/*
 Navicat Premium Data Transfer

 Source Server         : localhost
 Source Server Type    : MySQL
 Source Server Version : 80018
 Source Host           : localhost:3306
 Source Schema         : base-platform

 Target Server Type    : MySQL
 Target Server Version : 80018
 File Encoding         : 65001

 Date: 10/03/2025 09:35:39
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for mortals_sys_app
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_app`;
CREATE TABLE `mortals_sys_app`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点Id',
  `siteName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `appCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '应用编码',
  `appName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '应用名称',
  `appIconPath` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '应用图标',
  `appThemeName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '应用主题名称',
  `type` tinyint(2) NULL DEFAULT 1 COMMENT '类型(1.终端应用,2.移动端应用)',
  `url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '链接地址',
  `serviceApi` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '服务接口地址',
  `downDevCount` int(4) NULL DEFAULT 0 COMMENT '下发设备次数',
  `shelves` tinyint(2) NULL DEFAULT 0 COMMENT '是否上架(0.下架，1.上架)',
  `appType` tinyint(2) NULL DEFAULT 1 COMMENT '类型(1.应用程序,2.url)',
  `fileName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件名称',
  `filePath` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件相对路径地址',
  `distributeFilePath` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件部署路径地址',
  `version` int(9) NULL DEFAULT 0 COMMENT '当前版本',
  `summary` varchar(2048) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '简介',
  `notes` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新说明',
  `distribute` tinyint(2) NULL DEFAULT 0 COMMENT '是否部署(0.否，1.是)',
  `dataUpdate` tinyint(2) NULL DEFAULT 0 COMMENT '是否数据更新(0.否，1.是)',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 239 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '自助终端应用';

-- ----------------------------
-- Records of mortals_sys_app
-- ----------------------------
BEGIN;
INSERT INTO `mortals_sys_app` VALUES (1, 1, '测试', 'bjjd01', '办件查询', '/file/fileupload/1701688001515.png', '1', 1, '', '/zwfw_api', 0, 1, 1, '进度查询2.zip', '/file/fileupload/1736129612015.zip', '/home/publish/app/511722000000-0001/bjjd01/7', 7, '可查看该笔业务的办理详情和办理进度', '第一次更新', 1, 0, '2023-02-01 12:14:57', 1, '2025-01-06 10:13:38'), (2, 1, '测试', 'zxjj01', '中心简介', '/file/fileupload/1701688119961.png', '9', 1, '', '/basics_api', 0, 1, 1, '中心简介-新版2.zip', '/file/fileupload/1736129636614.zip', '/home/publish/app/511722000000-0001/zxjj01/7', 7, '为人民群众提供优质便捷高效服务的重要平台', '新增', 1, 0, '2023-02-01 16:19:36', 1, '2025-01-06 11:22:20'), (3, 1, '测试', 'zwgk', '政务资讯', '/file/fileupload/1701688160878.png', '1', 1, '', '/zwfw_api', 0, 1, 1, '1736130198806.zip', '/file/fileupload/1736131510794.zip', '/home/publish/app/511722000000-0001/zwgk/8', 8, '群众可通过该功能自主查询惠民公开信息', '政务公开改回政务资讯', 1, 0, '2023-02-01 16:21:49', 1, '2025-01-06 10:45:21'), (4, 1, '测试', 'bszn01', '办事指南', '/file/fileupload/1701687834822.png', '1', 1, 'http://ybs.sczwfw.gov.cn/?areaCode=511500000000', '/zwfw_api', 0, 1, 1, '办事指南.zip', '/file/fileupload/1736302362241.zip', '/home/publish/app/511722000000-0001/bszn01/8', 8, '查看符合受理条件的各类行政审批和其他政务服务事项详情', '修改接口', 1, 0, '2023-02-01 16:24:50', 1, '2025-01-08 10:12:59'), (5, 1, '测试', 'fwzx01', '服务之星', '/file/fileupload/1701688147169.png', '1', 1, '', '/basics_api', 0, 1, 1, '1736130245347.zip', '/file/fileupload/1736131379216.zip', '/home/publish/app/511722000000-0001/fwzx01/8', 8, '根据评优原则，经各部门及中心推荐、评选、公示', '0.2', 1, 0, '2023-02-08 14:46:56', 1, '2025-01-06 10:43:06'), (6, 1, '测试', 'wllz01', '网络理政', '/file/fileupload/1701688291199.png', '1', 1, '', '/zwfw_api', 0, 1, 1, '网络理政-通用版本.zip', '/file/fileupload/1736131908468.zip', '/home/publish/app/511722000000-0001/wllz01/7', 7, '问政于民、问需于民、问计于民，集中解决共性问题', '1', 1, 0, '2023-02-08 14:48:56', 1, '2025-01-06 10:51:57'), (9, 1, '测试', 'zwwkt', '政务微课堂', '/file/fileupload/1701688136447.png', '1', 1, '', '/zwfw_api', 0, 1, 1, '政务微课堂.zip', '/file/fileupload/1736131756188.zip', '/home/publish/app/511722000000-0001/zwwkt/7', 7, '通过图片视频的方式，让群众看得懂、能理解办事', '2', 1, 0, '2023-02-08 14:52:52', 1, '2025-01-06 10:49:28'), (208, 1, '测试', 'zzdy', '证照打印', '/file/fileupload/1701841024227.png', '1', 1, '', '/basics_api', 0, 0, 1, '1.zip', '', '', 1, '证照打印', '初始化', 0, 0, '2023-12-06 13:38:57', 1, '2024-10-23 13:50:56'), (211, 1, '测试', 'weidaohang', '微导航', '/file/fileupload/1715655917000.png', '1', 2, '/page_weidaohang/microNavigation/microNavigation/microNavigation', 'http://127.0.0.1:11078', 0, 0, 3, '', '', '', 0, '微导航', '微导航', 0, 0, '2024-05-14 11:05:56', 1, '2024-08-14 09:27:39'), (213, 1, '测试', 'banjianjindu', '办件进度', '/file/fileupload/1715656221623.png', '1', 2, '/page_weidaohang/microNavigation/applicationProgress/applicationProgress', 'http://127.0.0.1:11078', 0, 0, 3, '', '', '', 0, '办件进度', '办件进度', 0, 0, '2024-05-14 11:10:36', 1, '2024-08-15 14:01:58'), (214, 1, '测试', 'weiyuyue', '微预约', '/file/fileupload/1715656284945.png', '1', 2, '/page_zxyy/appointment/reservation/reservation', 'http://127.0.0.1:11078', 0, 0, 3, '', '', '', 0, '微预约', '微预约', 0, 0, '2024-05-14 11:11:37', 1, '2025-01-08 11:39:00'), (215, 1, '测试', 'zaixianquhao', '在线取号', '/file/fileupload/1715656349064.png', '1', 2, '/page_zxqh/onlineNum/ChooseSite/ChooseSite', 'http://127.0.0.1:11078', 0, 1, 3, '', '', '', 0, '在线取号', '在线取号', 0, 0, '2024-05-14 11:12:41', 1, '2025-01-08 11:39:14'), (216, 1, '测试', 'zhongxinshikuang', '岗位职责', '/file/fileupload/1715656440195.png', '1', 2, '/pages/aboutServe/centralReality/centralReality', 'http://127.0.0.1:11078', 0, 0, 3, '', '', '', 0, '岗位职责', '中心实况', 0, 0, '2024-05-14 11:14:14', 1, '2025-01-08 11:38:57'), (218, 1, '测试', 'weiyushen', '微预审', '/file/fileupload/1715656613207.png', '2', 2, '/page_wys/departmentList/departmentList', 'http://127.0.0.1:11078', 0, 0, 3, '', '', '', 0, '微预审', '微预审', 0, 0, '2024-05-14 11:17:08', 1, '2024-08-21 15:12:05'), (219, 1, '测试', 'SCZWFWW', '四川政务服务网', '/file/fileupload/1717472515649.png', '2', 1, 'https://dzsxhx.sczwfw.gov.cn/?areaCode=511722000000', '127.0.0.1', 0, 1, 2, '', '', '', 1, '四川省政务服务网是为全省自然人、法人和其他社会团体提供网上办事服务的“全省政务服务超市”。四川省政务服务网与实体政务大厅应在服务引导、同源数据发布的层次上进行充分互联集成。', 'V1.0', 1, 0, '2024-06-04 11:43:15', 1, '2025-01-06 11:29:46'), (235, 1, '测试', 'hqztc', '惠企直通车', '/file/fileupload/1736154402455.png', '9', 1, '', '/basics_api', 0, 1, 1, '惠企直通车.zip', '/file/fileupload/1736153270068.zip', '/home/publish/app/511722000000-0001/hqztc/1', 1, '架起政企“直通车” 跑出惠企“加速度', '新增', 1, 0, '2025-01-06 16:50:30', 1, '2025-01-07 21:01:59'), (236, 1, '测试', '12306', '12306出行', '/file/fileupload/1740726194914.png', '3', 1, 'https://www.12306.cn/index/index.html', '/', 0, 1, 2, '', '', '', 0, '“铁路12306”是中国铁路客户服务中心推出的官方手机购票应用软件，与火车票务官方网站共享用户、订单和票额等信息，并使用统一的购票业务规则，软件具有车票预订、在线支付、改签、退票、订单查询等功能', 'V1.0', 0, 0, '2025-02-28 15:03:45', 1, '2025-02-28 15:05:27'), (237, 1, '测试', 'XXW', '学信网', '/file/fileupload/1740726268713.png', '9', 1, 'https://www.chsi.com.cn/', '/', 0, 1, 2, '', '', '', 0, '学信网查询', 'V1.0', 0, 0, '2025-02-28 15:04:45', 1, '2025-02-28 15:05:30'), (238, 1, '测试', 'QCSKCX', '汽车时刻查询', '/file/fileupload/1740726379934.png', '9', 1, 'https://www.checi.cn/', '/', 0, 1, 2, '', '', '', 0, '汽车时刻查询', 'v1.0', 0, 0, '2025-02-28 15:06:34', 1, '2025-02-28 15:06:39');
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_app_category
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_app_category`;
CREATE TABLE `mortals_sys_app_category`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点Id',
  `siteName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `categoryCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '分类编码',
  `categoryName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '分类名称',
  `sort` int(4) NULL DEFAULT 0 COMMENT '排序字段',
  `cover` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '封面',
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '备注',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '自助终端应用分类';

-- ----------------------------
-- Records of mortals_sys_app_category
-- ----------------------------
BEGIN;
INSERT INTO `mortals_sys_app_category` VALUES (3, 1, '测试', 'shjf', '生活缴费', 3, '', '', '2023-06-20 19:35:16', 7, 1, '2025-01-07 10:27:13'), (4, 1, '测试', 'ybsb', '医保社保', 4, '', '', '2023-06-20 19:35:29', 7, 1, '2025-01-07 10:27:18'), (9, 1, '测试', 'smzx', '政务中心', 99, '/file/fileupload/1724223914512.png', '', '2024-08-21 15:05:16', 1, 1, '2025-01-07 10:24:37');
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_app_dataset
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_app_dataset`;
CREATE TABLE `mortals_sys_app_dataset`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `appId` bigint(20) NULL DEFAULT NULL COMMENT 'appId',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 707 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '自助终端应用数据集';

-- ----------------------------
-- Records of mortals_sys_app_dataset
-- ----------------------------
BEGIN;
INSERT INTO `mortals_sys_app_dataset` VALUES (5, 8, '2023-02-08 14:59:37', 1, '2023-02-08 14:59:37'), (52, 55, '2023-05-13 17:53:38', 1, '2023-05-13 17:53:38'), (53, 55, '2023-05-13 18:03:17', 1, '2023-05-13 18:03:17'), (54, 55, '2023-05-13 18:03:34', 1, '2023-05-13 18:03:34'), (55, 55, '2023-05-13 18:03:54', 1, '2023-05-13 18:03:54'), (117, 55, '2023-09-07 14:09:16', NULL, NULL), (118, 55, '2023-09-07 14:10:49', NULL, NULL), (119, 55, '2023-09-07 14:12:31', NULL, NULL), (120, 55, '2023-09-07 14:14:18', NULL, NULL), (121, 55, '2023-09-07 14:15:54', NULL, NULL), (124, 55, '2023-09-07 14:18:35', NULL, NULL), (125, 55, '2023-09-07 14:20:28', 7, '2023-09-07 14:20:51'), (126, 55, '2023-09-07 14:22:49', NULL, NULL), (127, 55, '2023-09-07 14:24:16', NULL, NULL), (128, 55, '2023-09-07 14:26:06', NULL, NULL), (129, 55, '2023-09-07 14:27:52', NULL, NULL), (366, 129, '2023-02-03 20:41:15', 7, '2023-09-07 16:58:34'), (367, 131, '2023-04-25 10:15:08', 7, '2023-07-13 10:02:06'), (368, 131, '2023-04-25 10:19:34', 1, '2023-04-25 10:19:34'), (369, 131, '2023-04-25 10:22:27', 1, '2023-04-25 10:35:25'), (370, 131, '2023-04-25 10:28:51', 1, '2023-04-25 10:28:51'), (371, 131, '2023-04-25 10:28:50', 1, '2023-04-25 10:28:50'), (372, 131, '2023-04-25 10:31:51', 7, '2023-07-24 17:19:22'), (373, 131, '2023-04-25 10:44:43', 1, '2023-04-25 10:44:43'), (374, 131, '2023-04-25 10:46:36', 1, '2023-04-25 10:46:36'), (375, 131, '2023-04-25 10:49:12', 1, '2023-04-25 10:49:12'), (376, 131, '2023-04-25 10:49:52', 1, '2023-04-25 10:49:52'), (377, 131, '2023-04-25 10:51:17', 1, '2023-04-25 10:51:17'), (378, 131, '2023-04-25 11:33:39', 1, '2023-04-25 11:33:39'), (379, 131, '2023-04-25 11:34:52', 1, '2023-04-25 11:34:52'), (380, 131, '2023-04-25 11:35:47', 1, '2023-04-25 11:35:47'), (381, 134, '2023-02-08 14:59:37', 1, '2023-02-08 14:59:37'), (382, 154, '2023-05-13 16:38:05', 1, '2023-05-13 16:38:05'), (383, 154, '2023-05-13 16:43:27', 1, '2023-05-13 16:43:27'), (384, 154, '2023-05-13 16:52:44', 1, '2023-05-13 16:52:44'), (385, 154, '2023-05-13 17:00:08', 1, '2023-05-13 17:00:08'), (386, 154, '2023-09-08 10:34:34', NULL, NULL), (387, 154, '2023-09-08 10:38:34', NULL, NULL), (388, 154, '2023-09-08 10:40:50', NULL, NULL), (389, 154, '2023-09-08 10:44:26', NULL, NULL), (390, 154, '2023-09-08 10:47:45', NULL, NULL), (391, 154, '2023-09-08 10:49:00', NULL, NULL), (392, 154, '2023-09-08 10:50:51', NULL, NULL), (393, 154, '2023-09-08 10:54:36', NULL, NULL), (394, 154, '2023-09-08 11:01:24', NULL, NULL), (395, 154, '2023-09-08 11:03:27', NULL, NULL), (396, 154, '2023-09-08 11:06:14', NULL, NULL), (397, 154, '2023-09-08 11:11:42', NULL, NULL), (398, 174, '2023-09-06 14:30:46', 2064, '2023-09-27 10:41:10'), (399, 174, '2023-09-06 14:31:37', 2064, '2023-09-27 10:41:15'), (400, 174, '2023-09-06 14:32:23', 2064, '2023-09-27 10:41:20'), (401, 174, '2023-09-06 14:33:03', 2064, '2023-09-27 10:41:26'), (402, 174, '2023-09-06 14:33:53', 2064, '2023-09-07 15:14:32'), (403, 174, '2023-09-06 14:35:06', 2064, '2023-09-27 10:41:34'), (404, 174, '2023-09-06 14:35:48', 2064, '2023-09-27 10:41:40'), (405, 174, '2023-09-07 10:31:13', 2064, '2023-09-07 15:15:31'), (406, 174, '2023-09-07 10:33:05', 2064, '2023-09-07 15:15:40'), (407, 174, '2023-09-07 10:34:18', 2064, '2023-09-07 15:15:58'), (408, 174, '2023-09-07 10:35:41', 2064, '2023-09-07 15:16:07'), (409, 174, '2023-09-07 10:37:47', 2064, '2023-09-07 15:16:13'), (410, 174, '2023-09-07 10:39:58', 2064, '2023-09-07 15:16:21'), (411, 174, '2023-09-07 10:40:56', 2064, '2023-09-07 15:16:28'), (412, 174, '2023-09-07 10:42:29', 2064, '2023-09-07 15:16:36'), (413, 174, '2023-09-07 10:43:41', 2064, '2023-09-07 15:17:36'), (414, 174, '2023-09-07 10:44:40', 2064, '2023-09-07 15:17:42'), (415, 174, '2023-09-07 10:45:44', 2064, '2023-09-07 15:17:50'), (416, 174, '2023-09-07 10:46:34', 2064, '2023-09-07 15:17:59'), (417, 174, '2023-09-07 10:47:33', 2064, '2023-09-07 15:18:21'), (418, 174, '2023-09-07 10:51:11', 2064, '2023-09-07 15:25:29'), (419, 175, '2023-09-19 09:59:35', 7, '2023-09-19 11:11:04'), (420, 174, '2023-09-07 10:52:53', 2064, '2023-09-07 15:25:36'), (421, 174, '2023-09-07 10:54:02', 2064, '2023-09-07 15:25:42'), (422, 174, '2023-09-07 10:55:59', 2064, '2023-09-07 15:25:48'), (423, 174, '2023-09-07 10:56:55', 2064, '2023-09-07 15:25:55'), (424, 174, '2023-09-07 10:59:46', 2064, '2023-09-07 15:21:55'), (425, 174, '2023-09-07 11:19:59', 2064, '2023-09-07 15:22:01'), (426, 175, '2023-09-22 10:42:55', 8, '2023-09-22 10:42:55'), (427, 174, '2023-09-07 11:21:05', 2064, '2023-09-07 15:22:09'), (428, 175, '2023-09-22 13:53:15', 2064, '2023-09-24 19:44:29'), (429, 174, '2023-09-07 11:23:30', 2064, '2023-09-07 15:23:09'), (430, 175, '2023-09-22 13:53:48', 1, '2023-09-24 20:56:29'), (431, 174, '2023-09-07 11:24:18', 2064, '2023-09-07 15:23:17'), (432, 175, '2023-09-25 09:12:26', 2064, '2023-09-25 09:12:26'), (433, 175, '2023-09-25 10:47:34', 2064, '2023-09-25 10:47:34'), (434, 174, '2023-09-07 11:25:07', 2064, '2023-09-07 15:23:28'), (435, 175, '2023-10-27 15:46:56', 7, '2023-10-27 16:17:53'), (436, 174, '2023-09-07 11:26:08', 2064, '2023-09-07 15:24:53'), (437, 174, '2023-09-07 11:26:53', 2064, '2023-09-07 15:25:01'), (438, 174, '2023-09-07 11:27:45', 2064, '2023-09-07 15:25:10'), (439, 174, '2023-09-07 11:29:12', 2064, '2023-09-07 15:25:17'), (440, 174, '2023-09-07 11:29:57', 2064, '2023-09-07 15:21:15'), (441, 174, '2023-09-07 11:30:40', 2064, '2023-09-07 15:21:21'), (442, 174, '2023-09-07 11:31:27', 2064, '2023-09-07 15:21:28'), (443, 174, '2023-09-07 11:32:47', 2064, '2023-09-07 15:21:36'), (444, 174, '2023-09-07 11:33:49', 2064, '2023-09-07 15:21:43'), (445, 174, '2023-09-07 11:34:28', 2064, '2023-09-11 17:23:48'), (446, 174, '2023-09-07 13:51:39', 2064, '2023-09-11 17:23:43'), (447, 174, '2023-09-07 13:53:36', 2064, '2023-09-11 17:23:36'), (448, 174, '2023-09-07 13:55:02', 2064, '2023-09-07 15:34:29'), (449, 174, '2023-09-07 13:57:11', 2064, '2023-09-07 17:15:49'), (450, 174, '2023-09-07 17:29:51', 7, '2023-09-22 12:01:20'), (451, 174, '2023-09-07 17:35:23', 2064, '2023-09-07 15:34:22'), (452, 174, '2023-09-07 17:36:50', 2064, '2023-09-07 15:34:22'), (453, 174, '2023-09-07 17:38:17', 2064, '2023-09-07 15:34:22'), (454, 174, '2023-09-07 17:39:54', 2064, '2023-09-07 15:34:22'), (455, 174, '2023-09-07 17:41:21', 2064, '2023-09-07 15:34:22'), (456, 174, '2023-09-07 17:42:23', 2064, '2023-09-07 15:34:22'), (457, 174, '2023-09-07 17:55:53', 2064, '2023-09-07 15:34:22'), (458, 174, '2023-09-07 17:57:13', 2064, '2023-09-07 15:34:22'), (459, 174, '2023-09-07 18:00:07', 2064, '2023-09-07 15:34:22'), (460, 174, '2023-09-07 18:01:14', NULL, NULL), (461, 174, '2023-09-11 17:22:55', NULL, NULL), (462, 174, '2023-09-11 17:25:24', 2064, '2023-09-11 17:26:02'), (463, 174, '2023-09-11 17:27:22', 2064, '2023-09-11 18:10:35'), (464, 174, '2023-09-12 16:50:45', 7, '2023-09-12 16:53:54'), (465, 174, '2023-09-12 16:51:39', NULL, NULL), (466, 174, '2023-09-12 16:52:34', NULL, NULL), (467, 174, '2023-09-12 16:53:37', NULL, NULL), (468, 174, '2023-09-12 16:54:43', NULL, NULL), (469, 174, '2023-09-12 16:57:51', 7, '2023-09-12 16:58:44'), (470, 174, '2023-09-12 16:59:13', NULL, NULL), (471, 174, '2023-09-12 17:00:27', NULL, NULL), (472, 174, '2023-09-12 17:02:42', NULL, NULL), (473, 174, '2023-09-12 17:10:46', NULL, NULL), (474, 174, '2023-09-12 17:15:22', NULL, NULL), (475, 174, '2023-09-12 17:16:12', NULL, NULL), (476, 174, '2023-09-12 17:17:57', NULL, NULL), (477, 174, '2023-09-12 17:21:10', 2064, '2023-09-12 17:21:22'), (478, 174, '2023-09-12 17:26:29', 2064, '2023-09-12 17:27:14'), (479, 174, '2023-09-12 17:29:19', 2064, '2023-09-12 17:21:22'), (480, 174, '2023-09-12 17:30:38', NULL, NULL), (481, 174, '2023-09-12 17:34:05', NULL, NULL), (482, 174, '2023-09-12 17:34:52', 7, '2023-09-12 17:35:12'), (483, 174, '2023-09-12 17:39:18', NULL, NULL), (484, 174, '2023-09-12 17:40:02', 2064, '2023-10-19 14:17:58'), (485, 174, '2023-09-12 17:43:00', NULL, NULL), (486, 174, '2023-09-12 17:43:38', NULL, NULL), (487, 174, '2023-09-12 17:44:59', NULL, NULL), (488, 174, '2023-09-12 17:45:14', NULL, NULL), (489, 174, '2023-09-12 17:46:04', NULL, NULL), (490, 174, '2023-09-12 17:47:21', NULL, NULL), (491, 174, '2023-09-12 17:48:50', NULL, NULL), (492, 174, '2023-09-12 17:50:04', NULL, NULL), (493, 174, '2023-09-12 17:52:36', NULL, NULL), (494, 174, '2023-09-12 17:53:31', 7, '2023-09-12 17:54:32'), (495, 174, '2023-09-12 17:55:33', 7, '2023-09-12 17:54:21'), (496, 174, '2023-09-12 17:56:41', 7, '2023-09-12 17:54:21'), (497, 174, '2023-09-12 17:57:45', 7, '2023-09-12 17:54:21'), (498, 174, '2023-09-12 17:59:04', 7, '2023-09-12 17:54:21'), (499, 174, '2023-09-12 18:02:04', 7, '2023-09-12 17:54:21'), (500, 174, '2023-09-12 18:04:12', NULL, NULL), (501, 174, '2023-09-12 18:05:34', NULL, NULL), (502, 174, '2023-09-12 18:07:13', NULL, NULL), (503, 174, '2023-09-13 09:30:53', NULL, NULL), (504, 174, '2023-09-13 09:32:47', NULL, NULL), (505, 174, '2023-09-13 09:35:27', NULL, NULL), (506, 174, '2023-09-13 09:37:06', NULL, NULL), (507, 174, '2023-09-13 09:39:42', NULL, NULL), (508, 174, '2023-09-13 09:40:59', NULL, NULL), (509, 174, '2023-09-13 09:42:59', NULL, NULL), (510, 174, '2023-09-13 09:43:58', NULL, NULL), (511, 174, '2023-09-13 09:45:10', NULL, NULL), (512, 174, '2023-09-13 09:49:12', NULL, NULL), (513, 174, '2023-09-13 09:53:48', NULL, NULL), (514, 174, '2023-09-13 09:54:54', NULL, NULL), (515, 174, '2023-09-13 09:56:41', NULL, NULL), (516, 174, '2023-09-13 09:58:06', NULL, NULL), (517, 174, '2023-09-13 10:04:04', NULL, NULL), (518, 174, '2023-09-13 10:06:42', NULL, NULL), (519, 174, '2023-09-13 10:09:09', NULL, NULL), (520, 174, '2023-09-13 10:11:26', NULL, NULL), (521, 174, '2023-09-13 10:17:06', 7, '2023-09-13 10:17:53'), (522, 174, '2023-09-13 10:18:51', NULL, NULL), (523, 174, '2023-09-13 10:19:50', 7, '2023-09-13 10:20:28'), (524, 174, '2023-09-13 10:20:48', NULL, NULL), (525, 174, '2023-09-13 10:22:09', NULL, NULL), (526, 174, '2023-09-13 10:22:22', NULL, NULL), (527, 174, '2023-09-13 10:23:08', NULL, NULL), (528, 174, '2023-09-13 10:23:55', 7, '2023-09-13 10:24:27'), (529, 174, '2023-09-13 10:24:59', NULL, NULL), (530, 174, '2023-09-13 10:26:01', NULL, NULL), (531, 174, '2023-09-13 10:27:24', NULL, NULL), (532, 174, '2023-09-13 10:28:30', NULL, NULL), (533, 174, '2023-09-13 10:28:40', NULL, NULL), (534, 174, '2023-09-13 10:29:34', NULL, NULL), (535, 174, '2023-09-13 10:30:35', NULL, NULL), (536, 174, '2023-09-13 10:32:08', NULL, NULL), (537, 174, '2023-09-13 10:32:51', NULL, NULL), (538, 174, '2023-09-13 10:34:34', NULL, NULL), (539, 174, '2023-09-13 10:36:49', NULL, NULL), (540, 174, '2023-09-13 10:37:44', NULL, NULL), (541, 174, '2023-09-13 10:41:22', NULL, NULL), (542, 174, '2023-09-13 10:44:04', NULL, NULL), (543, 174, '2023-09-13 10:45:08', NULL, NULL), (544, 174, '2023-09-13 10:47:12', NULL, NULL), (545, 174, '2023-09-13 10:47:57', NULL, NULL), (546, 174, '2023-09-13 10:51:38', NULL, NULL), (547, 174, '2023-09-13 10:55:50', NULL, NULL), (548, 174, '2023-09-13 13:56:10', NULL, NULL), (549, 174, '2023-09-13 13:57:13', NULL, NULL), (550, 174, '2023-09-13 13:58:27', NULL, NULL), (551, 174, '2023-09-13 13:59:50', NULL, NULL), (552, 174, '2023-09-13 15:35:30', NULL, NULL), (553, 174, '2023-09-13 15:36:37', NULL, NULL), (554, 174, '2023-09-13 15:37:37', 7, '2023-09-13 15:37:52'), (555, 174, '2023-09-13 15:38:46', NULL, NULL), (556, 174, '2023-09-13 15:40:37', 7, '2023-09-13 15:53:15'), (557, 174, '2023-09-13 15:57:49', NULL, NULL), (558, 174, '2023-09-13 15:59:00', NULL, NULL), (559, 174, '2023-09-13 15:59:49', NULL, NULL), (560, 174, '2023-09-13 16:00:43', NULL, NULL), (561, 174, '2023-09-13 16:01:50', 7, '2023-09-13 16:03:59'), (562, 174, '2023-09-13 16:05:11', 7, '2023-09-13 16:03:49'), (563, 174, '2023-09-13 16:06:07', 7, '2023-09-13 16:06:14'), (564, 174, '2023-09-13 16:07:17', 7, '2023-09-13 16:03:49'), (565, 174, '2023-09-13 16:08:10', 7, '2023-09-13 16:03:49'), (566, 174, '2023-09-13 16:09:13', 7, '2023-09-13 16:03:49'), (567, 174, '2023-09-13 16:14:07', 7, '2023-09-13 16:03:49'), (568, 174, '2023-09-13 16:15:33', 7, '2023-09-13 16:03:49'), (569, 174, '2023-09-13 16:16:44', 7, '2023-09-13 16:03:49'), (570, 174, '2023-09-13 16:18:11', 7, '2023-09-13 16:03:49'), (571, 174, '2023-09-13 16:56:50', 7, '2023-09-13 16:57:02'), (572, 174, '2023-09-13 16:57:47', NULL, NULL), (573, 174, '2023-09-13 16:58:45', NULL, NULL), (574, 174, '2023-09-13 17:00:08', NULL, NULL), (575, 174, '2023-09-13 17:01:18', 7, '2023-09-13 17:01:55'), (576, 174, '2023-09-13 17:02:49', 7, '2023-09-13 17:03:11'), (577, 174, '2023-09-14 14:59:55', NULL, NULL), (578, 174, '2023-09-14 15:01:08', NULL, NULL), (579, 174, '2023-09-14 15:02:13', NULL, NULL), (580, 174, '2023-09-14 15:03:06', NULL, NULL), (581, 174, '2023-09-14 15:03:54', 7, '2023-09-14 15:04:45'), (582, 174, '2023-09-14 15:05:26', 7, '2023-09-14 15:05:43'), (583, 174, '2023-09-14 15:08:15', 7, '2023-09-14 15:04:23'), (584, 174, '2023-09-14 15:09:26', 7, '2023-09-14 15:04:23'), (585, 174, '2023-09-14 15:10:50', 7, '2023-09-14 15:04:23'), (586, 174, '2023-09-14 15:11:48', 7, '2023-09-14 15:04:23'), (587, 174, '2023-09-14 15:15:10', 7, '2023-09-14 15:04:23'), (588, 174, '2023-09-14 15:16:14', 7, '2023-09-14 15:04:23'), (589, 174, '2023-09-14 15:16:55', 7, '2023-09-14 15:04:23'), (590, 174, '2023-09-14 15:18:39', 7, '2023-09-14 15:04:23'), (591, 174, '2023-09-14 15:19:30', 7, '2023-09-14 15:04:23'), (592, 174, '2023-09-14 15:20:28', 7, '2023-09-14 15:04:23'), (593, 174, '2023-09-14 15:27:35', 7, '2023-09-14 15:28:15'), (594, 174, '2023-09-14 15:29:13', NULL, NULL), (595, 174, '2023-09-14 15:30:05', NULL, NULL), (596, 174, '2023-09-14 15:49:20', NULL, NULL), (597, 174, '2023-09-14 15:50:16', NULL, NULL), (598, 174, '2023-09-14 15:51:14', NULL, NULL), (599, 174, '2023-09-14 15:53:01', NULL, NULL), (600, 174, '2023-09-14 15:55:05', NULL, NULL), (601, 174, '2023-09-14 15:56:06', NULL, NULL), (602, 174, '2023-09-14 15:57:09', NULL, NULL), (603, 174, '2023-09-14 15:58:35', NULL, NULL), (604, 174, '2023-09-14 15:59:28', NULL, NULL), (605, 174, '2023-09-14 16:00:25', NULL, NULL), (606, 174, '2023-09-14 16:01:12', NULL, NULL), (607, 174, '2023-09-14 16:02:01', NULL, NULL), (608, 174, '2023-09-14 16:02:42', NULL, NULL), (609, 174, '2023-09-14 16:03:24', NULL, NULL), (610, 174, '2023-09-14 16:06:03', NULL, NULL), (611, 174, '2023-09-14 16:08:24', NULL, NULL), (612, 174, '2023-09-14 16:09:13', NULL, NULL), (613, 174, '2023-09-14 16:10:02', NULL, NULL), (614, 174, '2023-09-14 16:11:02', NULL, NULL), (615, 174, '2023-09-14 16:11:56', NULL, NULL), (616, 174, '2023-09-14 16:12:44', NULL, NULL), (617, 174, '2023-09-14 16:13:35', NULL, NULL), (618, 174, '2023-09-14 16:14:40', NULL, NULL), (619, 174, '2023-09-14 16:16:25', NULL, NULL), (620, 174, '2023-09-14 16:18:18', NULL, NULL), (621, 174, '2023-09-14 16:19:11', NULL, NULL), (622, 174, '2023-09-14 16:20:49', NULL, NULL), (623, 174, '2023-09-14 16:21:56', NULL, NULL), (624, 174, '2023-09-14 16:22:45', NULL, NULL), (625, 174, '2023-09-14 16:27:16', NULL, NULL), (626, 174, '2023-09-14 16:30:46', NULL, NULL), (627, 174, '2023-09-14 16:31:58', NULL, NULL), (628, 174, '2023-09-14 16:33:05', 7, '2023-09-14 16:33:28'), (629, 174, '2023-09-14 16:35:02', NULL, NULL), (630, 174, '2023-09-14 16:47:51', 7, '2023-09-14 16:49:56'), (631, 174, '2023-09-14 16:51:33', 7, '2023-09-14 16:51:49'), (632, 174, '2023-09-14 16:53:09', NULL, NULL), (633, 174, '2023-09-14 16:54:25', NULL, NULL), (634, 174, '2023-09-14 16:55:21', NULL, NULL), (635, 174, '2023-09-14 16:58:10', NULL, NULL), (636, 174, '2023-09-14 16:59:54', NULL, NULL), (637, 174, '2023-09-14 17:02:20', NULL, NULL), (638, 174, '2023-09-14 17:03:11', NULL, NULL), (639, 174, '2023-09-14 17:08:00', NULL, NULL), (640, 174, '2023-09-14 17:11:41', NULL, NULL), (641, 174, '2023-09-14 17:12:37', NULL, NULL), (642, 174, '2023-09-14 17:13:25', NULL, NULL), (643, 174, '2023-09-14 17:16:18', NULL, NULL), (644, 174, '2023-09-14 17:17:27', 7, '2023-09-14 17:18:52'), (645, 174, '2023-09-14 17:19:56', NULL, NULL), (646, 174, '2023-09-14 17:43:31', 7, '2023-09-14 17:44:15'), (647, 174, '2023-09-14 17:45:52', NULL, NULL), (648, 174, '2023-09-14 17:46:44', NULL, NULL), (649, 174, '2023-09-14 17:48:10', NULL, NULL), (650, 174, '2023-09-14 17:49:44', NULL, NULL), (651, 174, '2023-09-22 12:34:04', 2064, '2023-10-07 15:37:15'), (652, 174, '2023-10-07 15:31:16', 2064, '2023-10-07 15:31:16'), (653, 174, '2023-10-07 15:32:43', 2064, '2023-10-07 15:54:05'), (654, 174, '2023-10-07 15:33:45', 2064, '2023-10-07 15:33:45'), (655, 174, '2023-10-07 15:35:40', 2064, '2023-10-07 15:35:40'), (656, 174, '2023-10-07 15:53:48', 2064, '2023-10-07 15:53:48'), (657, 174, '2023-10-31 16:19:29', 7, '2023-10-31 16:19:29'), (658, 117, '2023-11-13 23:56:51', 2064, '2023-11-13 23:56:51'), (693, 54, '2023-12-01 10:24:20', 1, '2023-12-01 10:24:20'), (695, 2, '2023-12-07 13:55:41', 1, '2025-01-07 10:57:31'), (705, 233, '2024-08-21 15:09:11', 1, '2024-08-21 15:09:11'), (706, 218, '2024-08-21 15:11:03', 1, '2024-08-21 15:11:03');
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_app_info_field
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_app_info_field`;
CREATE TABLE `mortals_sys_app_info_field`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `datasetId` bigint(20) NULL DEFAULT NULL COMMENT '应用数据集id',
  `fieldCode` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段编码',
  `fieldName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段名称',
  `fieldType` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框）',
  `fieldTypeValue` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字段类型值，当字段类型为多选，单选时候，预设复选值',
  `dataType` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据类型（number.数字,string.字符串）',
  `fieldValue` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '字段值',
  `defaultValue` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字段默认值',
  `fieldLen` int(9) NULL DEFAULT NULL COMMENT '数据长度，默认128',
  `fieldNull` tinyint(2) NULL DEFAULT NULL COMMENT '是否允许为空，(0.否,1.是)',
  `isList` tinyint(2) NULL DEFAULT NULL COMMENT '字段是否列表显示(0.否,1.是)',
  `fieldOrderNo` int(9) NULL DEFAULT NULL COMMENT '排序号',
  `remark` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '修改用户',
  `serviceApi` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '事件服务接口请求地址',
  `serviceApiParams` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '事件服务接口请求参数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7692 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '自助终端应用信息字段';

-- ----------------------------
-- Records of mortals_sys_app_info_field
-- ----------------------------
BEGIN;
INSERT INTO `mortals_sys_app_info_field` VALUES (20, 5, 'title', '媒体名称', 'input', '', 'string', '测试', '', 128, 0, 1, 1, '', '2023-02-08 14:59:37', 1, '2023-02-08 14:59:09', 1, '', ''), (21, 5, 'img', '二维码图片', 'upload', '', 'string', '/file/fileupload/1675839576108.png', '', 128, 0, 1, 1, '', '2023-02-08 14:59:37', 1, '2023-02-08 14:59:28', 1, '', ''), (302, 52, 'title', '标题', 'input', '', 'string', '进一步支持中小微企业和个体工商户健康发展的财税政策', '', 128, 0, 1, 1, '', '2023-05-13 17:53:38', 1, '2023-05-13 14:39:46', 1, '', ''), (303, 52, 'date', '发布时间', 'date', '', 'string', '2023-05-13', '', 128, 0, 1, 2, '', '2023-05-13 17:53:38', 1, '2023-05-13 17:52:13', 1, '', ''), (304, 52, 'type', '选择分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 3, '', '2023-05-13 17:53:38', 1, '2023-05-13 14:40:41', 1, '', ''), (305, 52, 'content', '内容', 'text', '', 'string', '<p class=\"ql-align-center\"><strong>进一步支持中小微企业和个体工商户健康发展的财税政策</strong></p><p class=\"ql-align-justify\">		为深入贯彻落实中央和省委经济工作会议精神，进一步减轻企业负担、优化营商环境、助企纾困解难，促进中小微企业和个体工商户健康发展，特制定以下政策措施。</p><p class=\"ql-align-justify\">	<strong>一、着力降低企业负担</strong></p><p class=\"ql-align-justify\">	1.持续推进减税降费。鼓励脱贫人口、失业人员、高校毕业生等重点群体从事个体经营，按每户每年14400元的限额标准扣减有关税费。支持中小微企业招用脱贫人口、失业人员，按实际招用人数每人每年7800元的定额标准扣减有关税费。继续实施疫情期间困难中小企业免征房产税、城镇土地使用税优惠政策。对中小微工业生产企业在厂区范围内的各类新建民用建筑，可不修建防空地下室，执行防空地下室易地建设费零收费标准。实施阶段性降低失业保险费率政策，减轻中小微企业社保缴费负担。</p><p class=\"ql-align-justify\">	2.促进降低经营成本。承租省属国有房屋用于生产经营，对经营暂时有困难但产品有市场、项目有前景、技术有竞争的中小微企业，以及劳动力密集、社会效益高的民生领域服务性中小微企业，一次性减免1-3个月房租。承租省属国有房屋用于生产经营的个体工商户，一次性减免1-3个月房租。鼓励各地结合实际加大租金减免力度。支持省级小型微型企业创业创新示范基地减免入驻中小微企业的厂房租金，省级财政对示范基地按不超过租金减免总额的50%，给予最高200万元补助。继续实施国际标准集装箱车辆、ETC车辆和绿色通道（鲜活农产品运输车辆）高速公路差异化收费政策，分别给予30%、5%和免收通行费优惠。其中，2022年2月18日至2023年12月31日期间，ETC货车通行费优惠再提高1个百分点，提标的减免费用由省级财政给予补贴。</p><p class=\"ql-align-justify\">	<strong>二、着力缓解融资困难</strong></p><p class=\"ql-align-justify\">	3.引导金融机构加大贷款力度。深入实施财政金融互动政策，引导金融机构向中小微企业发放首贷、信用贷。推动“园保贷”“服保贷”“天府科创贷”“文产贷”等产品合作银行扩大贷款规模；实施制造业企业“制惠贷”试点。支持市（州）建立风险补偿基金（资金池），对银行机构为区域内中小微企业和个体工商户贷款发生的损失给予补偿，省级财政按照市（州）财政实际拨付资金的50%，给予最高300万元的支持。</p><p class=\"ql-align-justify\">	4.鼓励投资机构投早投小。支持各类风险投资机构加大对种子期、初创期科技型中小微企业的投资力度，省级财政按不超过实际到位投资的2%，对风险投资机构给予最高100万元的奖励。鼓励省级产业类投资引导基金加大对中小微企业的投资，提高绩效考核权重。</p><p class=\"ql-align-justify\">	<strong>三、着力培育市场主体</strong></p><p class=\"ql-align-justify\">	5.加大纾困资金支持。鼓励地方安排中小微企业纾困资金，对生产经营暂时有困难但产品有市场、项目有前景、技术有竞争力的中小微企业，以及劳动力密集、社会效益高的民生领域服务型中小微企业给予专项资金支持，省级财政按市（州）实际补助资金的30%，给予最高1000万元支持。各地在确保失业保险待遇按时足额发放前提下，对不裁员或少裁员的中小微企业，可在现行最高上限内适当提高稳岗返还标准。继续对中小微企业吸纳高校毕业生、登记失业人员、农民工等重点群体给予就业创业相关补贴。</p><p class=\"ql-align-justify\">	6.引导激励创新发展。激励科技服务企业为中小微企业提供专业服务，省级财政按科技服务企业收入规模给予最高200万元的后补助支持。鼓励各地积极运用科技创新券服务中小微企业，省级财政按照不超过市（州）补助额的60%据实补助。</p><p class=\"ql-align-justify\">	7.支持市场拓展。对大企业采购中小微企业和个体工商户产品及服务年累计超过1亿元，按实际支付采购金额较上年增量部分的5%，给予企业最高300万元奖励。各级各部门主办的市场拓展活动，主办方对中小微企业和个体工商户参加展位费按减50%收取，同级财政对费用减免部分给予全额补助。</p><p class=\"ql-align-justify\">	<strong>四、着力优化营商环境</strong></p><p class=\"ql-align-justify\">	8.加强政府采购支持。足额预留采购份额专门面向中小企业采购；对符合条件的小微企业、个体工商户按国家规定的上限给予价格评审优惠。大力推广“政采贷”。取消收取供应商投标（响应）保证金，鼓励采购人免收供应商履约保证金，加大合同预付款比例。</p><p class=\"ql-align-justify\">	9.优化经营发展环境。在不影响正常生产生活秩序的情况下，允许临街商铺在门前划定区域范围内、划定时间范围内开展出店外摆经营活动，不收取外摆费用。鼓励各地在具备条件的餐饮相对集中街道划定临停路段，允许车辆在就餐时段临时停放。优先对中小企业孵化园等基础设施专项债券项目评审入库，优先安排“专项债券+市场化融资”组合融资项目发行。</p><p class=\"ql-align-justify\">	10.保障企业款项支付。制定《四川省保障中小企业款项支付投诉办理实施细则（暂行）》，建立预防和化解拖欠中小微企业账款长效机制，推动各级政府部门、事业单位及时支付账款，对经认定不及时支付款项的，在核定新增债务限额、“三公”经费、公务出行标准、出国出境审批、津补贴标准、办公用房管理等方面采取限制措施。</p><p><br></p>', '', 128, 0, 0, 99, '', '2023-05-13 17:53:38', 1, '2023-05-13 14:41:03', 1, '', ''), (306, 53, 'title', '标题', 'input', '', 'string', '《宜宾市推进中医药强市建设十条措施》', '', 128, 0, 1, 1, '', '2023-05-13 18:03:17', 1, '2023-05-13 14:39:46', 1, '', ''), (307, 53, 'date', '发布时间', 'date', '', 'string', '2023-05-13', '', 128, 0, 1, 2, '', '2023-05-13 18:03:17', 1, '2023-05-13 17:52:13', 1, '', ''), (308, 53, 'type', '选择分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 3, '', '2023-05-13 18:03:17', 1, '2023-05-13 14:40:41', 1, '', ''), (309, 53, 'content', '内容', 'text', '', 'string', '<p class=\"ql-align-justify\">《宜宾市推进中医药强市建设十条措施》正式出台。</p><p class=\"ql-align-justify\">	作为宜宾促进中医药传承创新发展、先行先试国家中医药综合改革示范区建设、推进中医药强市建设工作的强力支撑，《措施》明确了中医药工作示范建设、服务能力提升、产业提能增效、文化弘扬传承等37项硬核激励举措。其中，每年安排5000万元市级中医药发展专项资金，全国基层中医药工作示范县、国家级中医重点专科建设2个单项均给予1000万元奖补资金，最惹人注意。据悉，宜宾中医药发展专项资金额度及单项奖补金额居全省之首。</p><p class=\"ql-align-justify\">	《措施》聚焦中医药高质量发展，支持中医药示范品牌创建，对创建为全国基层中医药工作示范县、四川省中医药强县的县(区)分别给予1000万元、500万元一次性补助。</p><p class=\"ql-align-justify\">	《措施》聚焦中医医疗服务能力，支持改善就医体验，对中医药扶优补短、重点专科建设、科研创新、人才引培等12个能力建设项目给予激励，其中，创建国家级中医重点专科将给予1000万元能力建设经费。</p><p class=\"ql-align-justify\">	《措施》聚焦中医药产业提能增效，支持延伸壮大中医药一、二、三产业链，对种植基地、生产加工、健康旅游等13个产业发展项目给予扶持，其中，引进中医药企业培育最高奖补200万元。</p><p class=\"ql-align-justify\">	《措施》聚焦中医药文化传承，支持中医药+新业态，对中医药文化基地、非物质文化遗产保护等10个文化弘扬项目给予鼓励，其中，成功申报国家非物质文化遗产保护代表性项目名录奖补100万元。</p><p class=\"ql-align-justify\">	此外，《措施》还明确，对编制中医药发展规划、区域合作活动、产业调查分析、信息化建设培训、绩效考核培训、人才项目评选、中医适宜技术技能竞赛、综合执法监督等工作经费予以充分保障。</p><p class=\"ql-align-justify\">	据宜宾市中医药管理局相关负责人介绍，通过《措施》施行，将有力推进宜宾中医药高质量发展步入快车道，先行行试加力国家中医药综合改革示范区建设，不断开创宜宾中医药传承创新、振兴发展的新局面。</p><p><br></p>', '', 128, 0, 0, 99, '', '2023-05-13 18:03:17', 1, '2023-05-13 14:41:03', 1, '', ''), (310, 54, 'title', '标题', 'input', '', 'string', '宜宾市人民政府办公室关于印发宜宾市服务业领域助企纾困稳增长十条措施的通知', '', 128, 0, 1, 1, '', '2023-05-13 18:03:34', 1, '2023-05-13 14:39:46', 1, '', ''), (311, 54, 'date', '发布时间', 'date', '', 'string', '2023-05-13', '', 128, 0, 1, 2, '', '2023-05-13 18:03:34', 1, '2023-05-13 17:52:13', 1, '', ''), (312, 54, 'type', '选择分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '1', '', 128, 0, 0, 3, '', '2023-05-13 18:03:34', 1, '2023-05-13 14:40:41', 1, '', ''), (313, 54, 'content', '内容', 'text', '', 'string', '<p class=\"ql-align-center\">	<strong>宜宾市服务业领域助企纾困稳增长十条措施</strong></p><p class=\"ql-align-justify\">	为全面落实中央、省、市决策部署，按照“疫情要防住、经济要稳住、发展要安全”要求，立足宜宾实际，为支持市场主体应对疫情影响，努力实现稳定健康发展，全力以赴稳增长、稳预期、保主体，保持经济运行在合理区间，特制定本政策。</p><p class=\"ql-align-justify\">	一、降低商贸单位用电成本。对2022年9月至2023年3月期间，限额以上零售、住宿、餐饮单位用电费用按50%给予一次性补助，分别最高不超过10万元、4万元、1万元。〔责任单位:市商务局、市财政局，三江新区管委会、各县(区)政府〕</p><p class=\"ql-align-justify\">	二、加大消费券发放力度。在前期已安排财政资金600万元的基础上，市级财政追加安排资金2000万元，分期发放惠民消费券，重点支持住宿、餐饮、零售、景区、影院等受疫情影响严重行业规上、限上和限下样本单位。后续视政策实施效果可再增加发放额度。(责任单位:市商务局、市文广旅游局、市财政局)</p><p class=\"ql-align-justify\">	三、支持商业综合体减免租金。对2022年9月至2023年3月期间给予入驻商户减免租金且建筑面积3万平方米(含)以上的商业综合体，按照当期租金减免总金额的50%给予补贴，最高不超过50万元。〔责任单位:市商务局、市财政局，三江新区管委会、各县(区)政府〕</p><p class=\"ql-align-justify\">	四、支持餐饮、住宿单位做大营销额。对2022年9月至2023年3月期间，营业额达到200万元(含)—500万元、500万元(含)—1000万元、1000万元(含)以上的限额以上餐饮单位，分别给予3万元、5万元、8万元一次性补助;营业额达到500万元(含)—1200万元、1200万元(含)—2000万元、2000万元(含)以上的限额以上住宿单位，分别给予3万元、5万元、8万元一次性补助。〔责任单位:市商务局、市财政局，三江新区管委会、各县(区)政府〕</p><p class=\"ql-align-justify\">	五、支持“互联网+消费”发展。对在宜宾市范围内注册的市场主体于2022年9月至2023年3月期间开展“互联网+消费”活动给予以下支持:一是在京东、淘宝(天猫)、拼多多、抖音、快手、美团开设本土品牌专营店(旗舰店)，每成功开设1家给予市场主体一次性2万元补助;二是免费入驻宜宾国有电商平台，按每户0.5万元给予国有平台补助，单个平台最高补助不超过50万元;三是开展直播带货、短视频销售的带货主播，粉丝量达到10万及以上，且网上销售“宜宾造”产品达到20万元、50万元、100万元以上的，分别给予市场主体1万元、2万元、5万元一次性奖励，由市场主体奖励带货主播。〔责任单位:市商务局、市财政局，三江新区管委会、各县(区)政府〕</p><p class=\"ql-align-justify\">	六、支持会展企业应对疫情影响。对2022年9月至2023年3月期间在我市承办1万平方米及以上经贸类展会的本市会展企业给予补助。经备案和批准、受疫情影响在举办日前15日内终止的展会，合同场租面积在1万平方米及以上至3万平方米的给予10万元补贴，3万平方米及以上的给予20万元补贴;经备案和批准并顺利举办的展会，每1万平方米给予5万元防疫补贴，每个展会项目最高不超过20万元。〔责任单位:市商务局、市财政局，三江新区管委会、各县(区)政府〕</p><p class=\"ql-align-justify\">	七、鼓励市民绿色出行。鼓励市民乘坐公交车(含智轨)出行，今年10月至12月将公交、智轨乘车折扣调整到7折，增加的优惠金额由市级财政与运营企业按实结算。〔责任单位:市交通运输局、市财政局、市公服集团(市公交公司)、川南轨道公司〕</p><p class=\"ql-align-justify\">	八、加大金融支持力度</p><p class=\"ql-align-justify\">	(一)提供延期还贷和首贷支持。金融机构要按市场化原则，通过提供中长期贷款、降低利率、展期或续贷等方式，积极支持受困服务业企业抵御疫情影响，不得盲目限贷、抽贷、断贷。提高中小服务业企业“首贷率”，市财政在省级财政奖补的基础上，对向无贷款记录的我市中小服务业企业发放首笔贷款的地方法人银行机构，按照当年实际发放此类贷款金额的0.5‰给予补贴。此项补贴随同省级财金互动首贷奖补政策同步实施和拨付。(责任单位:市金融工作局、人行宜宾中支、市财政局、宜宾银保监分局)</p><p class=\"ql-align-justify\">	(二)提供货币政策工具支持。对符合条件的地方法人金融机构按照普惠小微贷款余额季度环比增量的2%提供激励资金。引导地方法人金融机构对受疫情影响的服务业企业优先使用再贷款资金予以支持。鼓励银行机构对出租车司机、网店店主、货车司机等灵活就业主体，比照个体工商户和小微企业主，加大经营性贷款支持力度。(责任单位:人行宜宾中支、宜宾银保监分局、市金融工作局)</p><p class=\"ql-align-justify\">	(三)提供合理信用保护支持。对因疫情影响的中小服务业企业未能及时还款的，经征信系统接入机构认可后，合理调整信用记录报送。相关逾期贷款以征信系统接入机构与贷款人协议调整后的还款计划及相应实际还款情况报送，已经报送的争取予以调整。(责任单位:人行宜宾中支、宜宾银保监分局、市金融工作局、在宜银行机构)</p><p class=\"ql-align-justify\">	(四)提供融资担保降费支持。政府性融资担保机构进一步降低服务业企业综合融资成本，对“支个保”等产品担保费率减按0.5%收取，把小微企业纳入“支个保”支持范围，市财政按照融资担保额的1%给予政府性融资担保公司补贴。鼓励政府性融资担保机构在同等条件下优先为小微企业和个体工商户首贷户提供担保。(责任单位:市金融工作局、市财政局)</p><p class=\"ql-align-justify\">	(五)提供商业保理融资支持。对全市中小服务业企业基于其应收账款转让获得市内国有商业保理公司的融资进行补贴，财政对2022年9月至2023年3月期间企业实际保理融资额按LPR计算利息的50%予以贴息，单户企业贴息金额最高不超过50万元。商业保理公司为中小服务业企业开通24小时绿色审批通道，最快1天放款。〔责任单位:市金融工作局、市财政局，三江新区管委会、各县(区)政府〕</p><p class=\"ql-align-justify\">	九、加大税收减免力度</p><p class=\"ql-align-justify\">	(一)对小规模纳税人及部分服务免征增值税。2022年4月1日至2022年12月31日对增值税小规模纳税人适用3%征收率的应税销售收入，免征增值税;对适用3%预征率的预缴增值税项目，暂停预缴增值税。2022年5月1日至2022年12月31日对纳税人为居民提供必需生活物资快递收派服务取得的收入，免征增值税。2022年对轮客渡、公交客运、出租车、长途客运、班车等公共交通运输服务免征增值税。(责任单位:宜宾市税务局)</p><p class=\"ql-align-justify\">	(二)减免小微企业“六税两费”。2022年对增值税小规模纳税人、小型微利企业和个体工商户在50%税额幅度内减征资源税、城市维护建设税、房产税、城镇土地使用税、印花税(不含证券交易印花税)、耕地占用税和教育费附加、地方教育附加等“六税两费”。(责任单位:宜宾市税务局)</p><p class=\"ql-align-justify\">	(三)减免小微企业和个体工商户所得税。2022年对小型微利企业年应纳税所得额不超过100万元的部分，减按12.5%计入应纳税所得额，按20%的税率缴纳企业所得税。2022年1月1日至2024年12月31日对小型微利企业年应纳税所得额超过100万元但不超过300万元的部分，减按25%计入应纳税所得额，按20%的税率缴纳企业所得税。2022年对个体工商户经营所得年应纳税所得额不超过100万元的部分，在现行优惠政策基础上，再减半征收个人所得税。(责任单位:宜宾市税务局)</p><p class=\"ql-align-justify\">	(四)减免受疫情影响中小企业房产税、城镇土地使用税。对因疫情导致重大损失，正常生产经营活动受到重大影响，缴纳房产税、城镇土地使用税确有困难的中小企业，可申请免征疫情期间房产税、城镇土地使用税。(责任单位:宜宾市税务局、市财政局)</p><p class=\"ql-align-justify\">	十、支持企业稳岗稳就业</p><p class=\"ql-align-justify\">	(一)实施留工培训补助。2022年1月1日至2022年12月31日，对累计出现1个(含)以上新冠肺炎疫情中高风险地区的县(区)，因疫情严重影响暂时无法正常生产经营的服务业参保企业(社会团体、基金会、社会服务机构、律师事务所、会计师事务所、以单位形式参保的个体工商户参照实施)，以及未出现中高风险疫情地区的餐饮、零售、旅游、民航、公路水路铁路运输5个特困行业参保企业，按每名参保职工500元的标准发放一次性留工培训补助，支持服务业企业组织职工以工作代替培训，所需资金从失业保险基金中列支。(责任单位:市人力资源社会保障局、市发展改革委、市市场监管局、宜宾市税务局)</p><p class=\"ql-align-justify\">	(二)发放一次性扩岗补助。服务业企业招用毕业时间为2022年1—12月的高校毕业生，签订劳动合同并参加失业保险的，按每人1000元标准发放一次性扩岗补助。扩岗补助与中小微企业吸纳毕业年度高校毕业生一次性吸纳就业补贴政策统一经办，不重复享受，所有符合条件的新申请企业均按扩岗补助政策受理，所需资金从失业保险基金中列支。(责任单位:市人力资源社会保障局、市委人才和大学城工作局)</p><p class=\"ql-align-justify\">	(三)继续实施阶段性缓缴社会保险费。对餐饮、零售、旅游、民航、公路水路铁路运输等5个特困行业及受疫情影响生产经营出现暂时困难的所有中小微企业，养老保险费缓缴实施期限至2022年12月31日，工伤、失业保险费缓缴期限不超过1年，缓缴期间免收滞纳金;企业申请办理社会保险费缓缴时，对于是否属于困难企业，可由企业作出书面承诺或采信行业主管部门的认定。以个人身份参加企业职工基本养老保险的个体工商户和各类灵活就业人员，2022年缴费有困难的，可自愿暂缓缴费，2022年未缴费月度可于2023年底前进行补缴。(责任单位:市人力资源社会保障局、市发展改革委、市财政局、宜宾市税务局)</p><p class=\"ql-align-justify\">	本政策有效期从印发之日至2023年3月31日，相关条款由牵头责任单位负责解释，并另行制定实施细则。除第二、七、八(一)、八(四)条由市财政全额承担外，需财政出资的条款所需资金按照市、区5:5，市、县3:7分担比例分级负担。</p><p class=\"ql-align-justify\">	本政策享受范围须为登记注册、税收和统计关系在我市的独立法人企业和个体商户。申报主体为规模以上、限额以上单位的，需在申报时点在库。违反常态化疫情防控政策的申报主体，取消申报资格。条款可分项叠加享受，但若涉及省、市其他同类型奖补政策的，按就高不就低原则执行，不重复交叉享受。公务人员、有关单位、企业严禁内外勾结、弄虚作假，骗取套取补贴资金，对出现相关问题的责任人由相关监督部门依法依纪严肃处理，涉嫌犯罪的依法追究刑事责任。</p><p><br></p>', '', 128, 0, 0, 99, '', '2023-05-13 18:03:34', 1, '2023-05-13 14:41:03', 1, '', ''), (314, 55, 'title', '标题', 'input', '', 'string', '聚焦高质量发展推动经济运行整体好转的若干政策措施', '', 128, 0, 1, 1, '', '2023-05-13 18:03:54', 1, '2023-05-13 14:39:46', 1, '', ''), (315, 55, 'date', '发布时间', 'date', '', 'string', '2023-05-13', '', 128, 0, 1, 2, '', '2023-05-13 18:03:54', 1, '2023-05-13 17:52:13', 1, '', ''), (316, 55, 'type', '选择分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 3, '', '2023-05-13 18:03:54', 1, '2023-05-13 14:40:41', 1, '', ''), (317, 55, 'content', '内容', 'text', '', 'string', '<p class=\"ql-align-center\"><strong>聚焦高质量发展推动经济运行整体好转的若干政策措施</strong></p><p class=\"ql-align-justify\">	为深入贯彻党的二十大和习近平总书记对四川工作系列重要指示精神，全面落实中央经济工作会议和省委经济工作会议部署，完整、准确、全面贯彻新发展理念，聚焦高质量发展首要任务，全力以赴拼经济、搞建设，着力改善社会心理预期、提振发展信心，推动我省2023年经济运行整体好转，实现质的有效提升和量的合理增长，确保完成既定目标任务，制定如下政策措施。</p><p class=\"ql-align-justify\">	<strong>一、强化财税政策支持</strong></p><p class=\"ql-align-justify\">	（一）对月销售额10万元以下（含本数）的增值税小规模纳税人，免征增值税；增值税小规模纳税人适用3%征收率的应税销售收入，减按1%征收率征收增值税；适用3%预征率的预缴增值税项目，减按1%预征率预缴增值税。允许生产性服务业纳税人按照当期可抵扣进项税额加计5%抵减应纳税额；允许生活性服务业纳税人按照当期可抵扣进项税额加计10%抵减应纳税额。（财政厅、四川省税务局按职责分工负责）</p><p class=\"ql-align-justify\">	（二）对增值税小规模纳税人、小型微利企业和个体工商户按50%减征资源税（不含水资源税）、城市维护建设税、房产税、城镇土地使用税、印花税（不含证券交易印花税）、耕地占用税和教育费附加、地方教育附加，执行期限至2024年12月31日。对交通运输、仓储和邮政、批发零售、住宿餐饮、旅游、文体娱乐行业纳税人，免征2023年上半年房产税、城镇土地使用税。（财政厅、四川省税务局按职责分工负责）</p><p class=\"ql-align-justify\">	（三）综合运用预留采购份额、价格评审优惠等措施支持中小企业参与政府采购，延续实施政府采购工程面向中小企业的预留份额阶段性提高至40%以上的政策。（财政厅牵头，省发展改革委、经济和信息化厅按职责分工负责）</p><p class=\"ql-align-justify\">	<strong>二、加大金融支持力度</strong></p><p class=\"ql-align-justify\">	（四）推广“制惠贷”“园保贷”“税电指数贷”，推动制造业贷款增速不低于15%、制造业中长期贷款增量不低于1000亿元。落实设备购置与更新改造再贷款政策，对符合条件的项目贷款给予2.5个百分点的贴息支持、期限2年，贴息后贷款利率不超过0.7%。持续开展绿色金融行动计划，推动绿色贷款增量不低于3000亿元，延续实施煤炭清洁高效利用再贷款政策，将碳减排支持工具实施期限延长至2024年12月31日。推动金融机构通过四川省征信平台投放贷款2800亿元。（人民银行成都分行牵头，省发展改革委、经济和信息化厅、财政厅、农业农村厅、省地方金融监管局、四川银保监局按职责分工负责）</p><p class=\"ql-align-justify\">	（五）安排不少于1000亿元再贷款资金，设立支小惠商贷、助农振兴贷等财金互动产品，财政按照1.5%给予贴息，贴息后借款利率不超过一年期贷款基础利率（LPR）加15个基点（BP）。对地方法人金融机构按普惠小微贷款增量的2%给予激励资金。鼓励银行机构与借款人共同协商普惠小微贷款延期还本付息，最长可延至2023年6月30日。开展民营经济融资难破解行动，推动民营经济贷款增量不低于2000亿元。（人民银行成都分行牵头，财政厅、省地方金融监管局、四川银保监局按职责分工负责）</p><p class=\"ql-align-justify\">	（六）支持银行机构将LPR下调和财政贴息奖补传导至贷款利率，合理降低中小微企业贷款利率。银行机构对小微企业和个体工商户免收一个账户的账户管理费和年费，对柜台单笔10万元（含本数）以下的对公人民币跨行转账汇款手续费实行九折优惠，免收支票工本费、挂失费，以及本票和银行汇票的手续费、工本费、挂失费。（人民银行成都分行牵头，省地方金融监管局、四川银保监局按职责分工负责）</p><p class=\"ql-align-justify\">	（七）鼓励银行机构扩大降费幅度和范围。降低政府性融资担保费率，统筹中央和省级融资担保奖补资金，按符合条件的融资担保费业务奖补资金的80%提前下达，支持各地按照“随报随审随拨”的原则及时兑付。对2023年融资担保支农支小平均费率低于1%的市（州），在奖补资金结算时给予倾斜。（省地方金融监管局牵头，财政厅、人民银行成都分行、四川银保监局按职责分工负责）</p><p class=\"ql-align-justify\">	（八）深入实施企业上市行动计划，用好全国中小企业股份转让系统与北京证券交易所上市直联机制，支持更多优质企业挂牌、上市。推动发行科创债等交易所债券，鼓励市场机构、政策性机构通过创设信用保护工具为民营企业债券融资提供增信支持。积极推进“险资入川”，力争2023年末规模超过5000亿元。（省地方金融监管局牵头，省发展改革委、四川银保监局、四川证监局按职责分工负责）</p><p class=\"ql-align-justify\">	<strong>三、推动重点产业加快发展</strong></p><p class=\"ql-align-justify\">	（九）实施优势产业提质倍增计划，安排专项资金支持工业投资和技术改造、产业创新体系建设，梯度培育先进制造业集群，支持培育产业发展新动能，遴选培育一批产业新赛道。（经济和信息化厅牵头，省发展改革委、财政厅、省能源局按职责分工负责）</p><p class=\"ql-align-justify\">	（十）支持制造强省重大工程建设，安排专项资金支持产业基础再造工程、重大技术装备攻关工程、产业链强链补链工程，突破一批关键核心技术，支持重大技术装备首台套、新材料首批次、软件首版次推广应用。安排专项资金实施“珠峰攀登”行动和“贡嘎培优”计划，培育领航企业、单项冠军、“专精特新”企业、“小升规”企业等。（经济和信息化厅牵头，省委军民融合办、省发展改革委、科技厅、财政厅、省国资委、省统计局、省经济合作局、省能源局按职责分工负责）</p><p class=\"ql-align-justify\">	（十一）开展重大产业化项目招引专项行动，鼓励境内外知名企业来川投资。对世界500强、中国500强、民营500强在川新注册中国区总部、企业（集团）总部和销售、结算、财务等功能性总部，综合考虑经济贡献等因素，给予其在川企业不超过1000万元的一次性奖励。对引进的符合我省产业发展规划且当年固定资产投资额超过10亿元的先进制造业项目，综合考虑经济贡献等因素，给予其在川企业不超过1000万元的一次性奖励。（省经济合作局牵头，省发展改革委、经济和信息化厅、财政厅按职责分工负责）</p><p class=\"ql-align-justify\">	（十二）安排1亿元资金实施大院大所成果转化“聚源兴川”行动，推动中央在川大院大所重大科技成果加速落地转化。推广“天府科创贷”，推动科技型企业贷款增速不低于15%。（科技厅牵头，省发展改革委、财政厅按职责分工负责）</p><p class=\"ql-align-justify\">	（十三）支持先进制造业和现代服务业融合试点，安排专项资金支持建设15个服务业高质量发展示范区。对营业收入上台阶或作出突出贡献的服务业（商贸）企业给予激励。支持100个省级服务业重点项目建设。扩大“服保贷”资金池，引导金融机构进一步加大贷款规模。（商务厅牵头，省发展改革委、财政厅按职责分工负责）</p><p class=\"ql-align-justify\">	（十四）加快建设新时代更高水平“天府粮仓”，对新建和改造提升高标准农田实行差异化补助政策，稳定平坝区域补助标准，提高丘陵山地高原补助标准。提高种粮大户补助标准，成都平原地区提高到90元／亩、丘陵山地高原区提高到100元／亩。推进油菜生产耕地轮作休耕试点，按规定每亩补助150元。对农业、林木培育和种植、畜牧业、渔业生产用电，在农村建设的保鲜仓储设施用电，以及农业服务业中的农产品初加工生产环节用电执行农业生产用电价格。（农业农村厅牵头，省发展改革委、财政厅、国网四川省电力公司按职责分工负责）</p><p class=\"ql-align-justify\">	<strong>四、积极扩大有效投资</strong></p><p class=\"ql-align-justify\">	（十五）安排3.5亿元资金开展项目前期工作激励，支持各地不断完善常态化项目储备机制，加快审批（核准、备案）和用地用林、规划许可、环境影响评价（以下简称环评）等手续办理，提升项目前期工作质量和效率。（省发展改革委牵头，财政厅、自然资源厅、生态环境厅、住房城乡建设厅、省林草局按职责分工负责）</p><p class=\"ql-align-justify\">	（十六）持续发挥重大项目分级协调机制作用，强化协调服务，全面推行项目审批流程优化，推动房屋建筑和市政基础设施类政府投资项目、企业投资项目开工前行政部门审批时间分别压缩至55个、45个工作日以内，实行承诺制的企业投资项目开工前行政部门审批时间压缩至40个工作日以内，推进项目极速审批、尽快开工、加快建设。（省发展改革委牵头，自然资源厅、生态环境厅、住房城乡建设厅、省林草局按职责分工负责）</p><p class=\"ql-align-justify\">	（十七）对列入国家重大项目清单的项目和纳入省重点项目清单的能源、交通、水利等单独选址项目，用地计划指标由省级统筹协调，应保尽保；对其余重点项目，用地计划指标确有不足的，视全省计划指标结余情况，由省级统筹调剂支持。国家支持的重大项目及纳入省重点项目清单的单独选址项目，使用林地定额由省级统筹协调，能保尽保；其中，同时涉及自然保护地（国家公园、国家级自然保护区除外）和使用林地的，可采取“容缺+承诺”的方式并行办理进入保护地和使用林地手续，不互为前置。完善重大项目环评服务保障机制，提前介入、超前服务，继续实行专班服务、专函推进，并探索“清单式”服务，进一步优化简化环评管理，服务项目精准快速落地。（省发展改革委牵头，自然资源厅、生态环境厅、省林草局按职责分工负责）</p><p class=\"ql-align-justify\">	（十八）强化银政企融资对接，引导金融机构加大重点项目建设融资支持。支持地方符合条件的项目优先使用地方政府专项债券作资本金。积极推进基础设施等领域不动产投资信托基金（REITs）试点，对成功发行且募集资金用于省内项目建设的，原始权益人可按投资规模的0.5%申请一次性补助、最高不超过500万元。常态化、制度化向社会资本推介项目，支持民间资本更多进入交通、能源、水利、文体旅游、教育卫生、养老、农业农村等重点行业和领域。（省发展改革委、财政厅牵头，省国资委、省地方金融监管局、人民银行成都分行按职责分工负责）</p><p class=\"ql-align-justify\">	<strong>五、促进消费回暖升级</strong></p><p class=\"ql-align-justify\">	（十九）落实新能源汽车免征车辆购置税政策，开展新能源汽车、绿色智能家电家装等系列促消费活动，举办第二届中国（四川）国际熊猫消费节。支持培育10个贸易与消费联动的特色消费促进平台和10个消费创新发展引领县，打造40个“商文旅交体康”多元融合的消费新场景，推进智慧商圈、示范步行街、一刻钟便民生活圈、家政社区服务网点、汽车品质消费集聚区建设。支持建设一批电商新业态基地，培育一批本土榜样带货主播。（商务厅牵头，财政厅、住房城乡建设厅、文化和旅游厅、省体育局、四川省税务局、省总工会按职责分工负责）</p><p class=\"ql-align-justify\">	（二十）支持地方发放文旅消费券、体育消费券，发挥川渝两省（市）文旅等资源优势，联合开展“百万职工游巴蜀”促消费活动。支持建设一批文化旅游融合示范项目，每个给予不超过1200万元补助。推进文化产业和旅游产业融合示范区、滑雪旅游度假地等新业态园区（基地）建设，安排专项资金支持打造文化和旅游网红打卡地。开展“安逸四川”文旅宣传推广，对优秀作品给予奖励。支持发展游川专列，推动引客入川。继续推广“体育贷”，支持建设一批体育旅游示范基地，持续举办“巴山蜀水运动川渝”体育旅游消费季活动。（文化和旅游厅牵头，财政厅、省体育局、省总工会、中国铁路成都局集团公司按职责分工负责）</p><p class=\"ql-align-justify\">	（二十一）实施入境旅游市场提振行动，宣传用好外国人144小时过境免签政策，进一步优化口岸通关营商环境，加大对接待入境游客、赴境外营销的旅行团奖励力度。鼓励各地对在四川省内依法纳税，且在“冬游四川消费季”期间组织游客包机从省外来川旅游的旅行社给予奖补。支持阿坝州、甘孜州、凉山州、攀枝花市在冬航季期间协调航空公司增开航线航班。持续做好道路交通保通保畅工作，确保要素流通安全顺畅。（文化和旅游厅、省政府口岸物流办牵头，公安厅、财政厅、成都海关、民航西南地区管理局按职责分工负责）</p><p class=\"ql-align-justify\">	<strong>六、加力稳定外贸外资</strong></p><p class=\"ql-align-justify\">	（二十二）开展“川行天下”国际市场拓展活动，支持超100场重点国际性展会和经贸活动，对参加境内外国际性展会的企业给予支持。优化因公出国（境）任务申报和外国人来华签证邀请函办理手续。协调驻外使领馆，为出海企业开展商务活动提供便利。依法取消对外贸易经营者备案登记，重点培育第二批“千户企业”500家。支持绿色低碳优势产业外贸企业开展国际物流、研发和“碳足迹”国际认证等。支持建设特色单品进口集散中心。按照中央相关部门部署要求开展二手车出口业务。（商务厅牵头，省委外办、公安厅、财政厅、省政府口岸物流办、成都海关、外汇局四川省分局、中国铁路成都局集团公司按职责分工负责）</p><p class=\"ql-align-justify\">	（二十三）对年出口额500万美元（含）以下企业给予最高100%出口信用保险保费支持，出口信用保险区域统保平台服务支持小微出口企业覆盖面提升至30%。支持企业办理关税保证保险业务，鼓励中小微企业采用外汇衍生品汇率避险，推动“两免一奖”汇率避险支持政策提质增效，鼓励银行机构减免中小微企业保证金和担保费。推动“数字成渝号”跨境金融服务平台新场景开发上线，为中欧班列用户提供跨境贸易融资一站式服务，探索铁路“一单制”金融服务创新。推动航空公司境外燃料及物资补给、设备更换（维修）等新型离岸业务在川落地，支持银行凭电子交易信息为跨境电商提供外汇结算服务。办理正常出口退税的平均时间压缩至5个工作日以内，持续优化跨境电商出口海外仓退税模式。制定出台航空、水运、铁路口岸外贸进出口货物标准作业程序参考和规范，提高通关效率。（商务厅牵头，省地方金融监管局、省政府口岸物流办、成都海关、四川省税务局、人民银行成都分行、四川银保监局、外汇局四川省分局、进出口银行四川省分行、中国信保四川分公司、中国铁路成都局集团公司按职责分工负责）</p><p class=\"ql-align-justify\">	（二十四）推动一批标志性外资项目落地，对境外世界500强、全球行业龙头企业当年在川直接投资超1000万美元的（不含房地产业和金融业），外商在川直接投资制造业和高技术产业当年超1000万美元且符合相关产业政策的，以及外商投资企业当年以境外投资者分配利润再投资符合有关条件且超1000万美元的（不含房地产业和金融业），按外商直接投资（FDI）到资额不低于2%的比例给予在川企业奖励。单个企业年度奖励金额不超过1000万元。（省经济合作局牵头，财政厅按职责分工负责）</p><p class=\"ql-align-justify\">	<strong>七、促进房地产市场平稳健康发展</strong></p><p class=\"ql-align-justify\">	（二十五）优化住房限购、限售、二套房认定标准等政策，支持符合条件的地方动态调整首套房贷款利率下限，落实居民个人换购住房个人所得税优惠政策，支持刚性和改善性住房需求。鼓励有条件的地区对引进人才、生育二孩或三孩家庭、进城务工人员等购买商品房（含二手房）给予补贴。培育发展住房租赁市场，支持成都发挥好租赁住房贷款支持计划试点示范作用。（住房城乡建设厅牵头，省发展改革委、财政厅、四川省税务局、人民银行成都分行、四川银保监局按职责分工负责）</p><p class=\"ql-align-justify\">	（二十六）推动商业银行稳定房地产开发贷款和建筑企业信贷投放，支持房地产开发贷款、信托融资等存量融资合理展期。优化商品房预售资金监管政策，及时调整保函置换预售监管资金执行标准，支持各地在保障商品房预售资金使用安全和项目正常交付前提下，适当灵活调整监管资金拨付节点，动态调整监管额度。支持有条件的城市开展商品房现售试点，积极推动房地产业向新发展模式平稳过渡。（住房城乡建设厅、人民银行成都分行牵头，四川银保监局按职责分工负责）</p><p class=\"ql-align-justify\">	（二十七）实施“建筑强企”培育行动，对贡献大的建筑业企业予以信用等激励。鼓励地方对晋升施工总承包特级（综合）资质的建筑业企业予以奖励。支持建筑业骨干企业与央企、省外国有企业组建联合体，参与轨道交通、公路、铁路、机场港口等项目建设，对以联合体方式承接的工程项目业绩予以认可。支持企业开展智能建造技术开发、技术转让和与之相关的技术咨询服务等业务，符合条件的依法落实相关税费优惠政策。（住房城乡建设厅牵头，省发展改革委、人力资源社会保障厅、交通运输厅、水利厅、四川省税务局、成都铁路监管局按职责分工负责）</p><p class=\"ql-align-justify\">	<strong>八、帮助市场主体降本增效</strong></p><p class=\"ql-align-justify\">	（二十八）对暂时缴费确有困难的小微企业和个体工商户经申请审核通过后，实行欠费不停水、不停电、不停气，减免在此期间产生的欠费违约金。在城镇规划建设用地范围内，将水、电、气、暖管线投资界面延伸至用户建筑区划红线。对用电报装容量160千瓦及以下且实行“三零”服务的用户采取低压方式接入电网，鼓励有条件的地区进一步提高低压接入容量上限标准。持续推广企业用户“一证办电”、房电联动“无感式”用电过户。（省发展改革委牵头，住房城乡建设厅、省能源局按职责分工负责）</p><p class=\"ql-align-justify\">	（二十九）对每月通行次数在30次及以上的电子不停车收费系统（ETC）公路客运班线客车，车辆通行费给予八五折优惠。对安装使用ETC的货车，车辆通行费给予6%优惠。延续实施国际标准集装箱运输车辆通行费30%优惠政策。对进出泸州、宜宾铁路港的集装箱运输车辆，车辆通行费给予60%优惠；对进出中欧班列图定站点货运集散地的集装箱运输车辆，车辆通行费给予60%优惠。（交通运输厅牵头，省发展改革委、财政厅按职责分工负责）</p><p class=\"ql-align-justify\">	（三十）全面推行保证保险、银行保函替代现金缴纳投标保证金、履约保证金、工程质量保证金和农民工工资保证金。公路水路交通在建项目在2023年1月1日至6月30日期间应缴纳的工程质量保证金，自应缴之日起可缓缴一个季度。严格实行施工过程结算，建设单位应当按约定的付款节点根据实际完成工程量及时足额支付工程进度款，不得由施工单位垫资建设。验收合格的工程必须在规定的结算周期内完成结算并支付工程款。（住房城乡建设厅牵头，省发展改革委、人力资源社会保障厅、交通运输厅、人民银行成都分行、四川银保监局按职责分工负责）</p><p class=\"ql-align-justify\">	（三十一）稳妥推广数字化电子发票，简化纳税人发票开具流程，逐步取消增值税发票税控设备。加快办理延期缴纳税款审批，将办理期限缩短至20个自然日。实现政府采购全流程电子化，取消收取供应商投标（响应）保证金，鼓励采购人免收供应商履约保证金，加大合同预付款比例。（四川省税务局、财政厅按职责分工负责）</p><p class=\"ql-align-justify\">	<strong>九、全力稳就业稳物价</strong></p><p class=\"ql-align-justify\">	（三十二）根据国家统一部署，延续实施失业保险稳岗返还、扩岗补助等政策。对中小微企业招用毕业年度大学生、脱贫人口、登记失业半年以上人员就业，签订1年以上劳动合同且按规定缴纳社会保险的，给予1000元／人一次性吸纳就业补贴。支持提高创业担保贷款政策执行标准，个人创业担保贷款额度提升至30万元，小微企业创业担保贷款额度提升至400万元。（人力资源社会保障厅牵头，财政厅、省地方金融监管局、人民银行成都分行按职责分工负责）</p><p class=\"ql-align-justify\">	（三十三）强化重点企业用工保障，安排专项资金支持打造一批零工市场。公益性岗位安置就业困难人员不低于30万人。在重点工程项目中实施以工代赈促进当地群众就业增收。（人力资源社会保障厅牵头，省发展改革委、财政厅、交通运输厅、水利厅、省乡村振兴局、省林草局按职责分工负责）</p><p class=\"ql-align-justify\">	（三十四）执行国家稻谷最低收购价政策，在政策执行期内市场收购价连续3天低于国家公布的最低收购价时启动实施，敞开收购农民余粮。强化生猪产能调控，稳定环保、贷款、保险等长效性支持政策，适时开展政府储备猪肉投放或收储。在物价涨幅达到启动条件时，向城乡低保对象等困难群众发放价格临时补贴。（省发展改革委牵头，民政厅、财政厅、农业农村厅、商务厅、省粮食和储备局按职责分工负责）</p><p class=\"ql-align-justify\">	<strong>十、着力优化营商环境</strong></p><p class=\"ql-align-justify\">	（三十五）清理和废止涉民营企业、外资企业市场准入限制和妨碍公平竞争的政策，开展拖欠民营企业和中小企业账款、涉企收费专项整治。规范行政审批中介服务目录管理，制定完善中介服务规范和标准。在工程建设、市场监管、生态环境等领域建立市场主体信用评价指标体系和分级标准，实行分级分类监管。推行“一目录五清单”（分类检查目录和“不予、免予、减轻、从轻、从重”处罚五张清单）精准高效监管执法，规范行政裁量权，常态化开展人民群众最不满意行政执法问题整改活动。依托省12345政务服务热线，建立健全营商环境投诉处理机制。全面落实市场主体“全生命周期”法律服务供给机制，实施重点项目法律服务“1+1”专项行动。（省政府办公厅牵头，省发展改革委、经济和信息化厅、司法厅、省市场监管局、省大数据中心按职责分工负责）</p><p class=\"ql-align-justify\">	（三十六）大力推进数字政府建设，统筹建好“一网通办”“一网监管”“一网公开”“一网协同”专区。推出100个事项“秒批秒办”、100个事项“一证一照办”、100个事项“掌上办”、50个事项“零材料办”、50个事项“省内通办”，对已上线的“一件事一次办”事项进行优化调整。推广电子证照应用，实现省内自建系统签发的高频电子证照共享互认和“免提交”。建成全省统一的“电子证明超市”，梳理发布无犯罪证明、户籍证明等高频电子证明清单。在投资、科技、交通等20个行业领域开展“一网通办”示范工程创建，实施市场主体迁移“无障碍一次办”改革，全面推广应用省工程建设项目审批系统数字审图、多测合一、联合验收、中介服务和水电气报装等辅线模块。（省政府办公厅牵头，自然资源厅、住房城乡建设厅、省市场监管局、省大数据中心、省政务服务和资源交易服务中心按职责分工负责）</p><p class=\"ql-align-justify\">	以上政策未特别注明实施期限的，施行有效期至2023年12月31日。开展政策措施落实情况督查，推进省级政府督查激励工作，构建联动督查机制。压紧压实市（州）和省直部门经济发展责任，统筹协调联动，强化信息共享，推动政策措施精准直达市场主体。</p><p><br></p>', '', 128, 0, 0, 99, '', '2023-05-13 18:03:54', 1, '2023-05-13 14:41:03', 1, '', ''), (1128, 117, 'title', '标题', 'input', '', 'string', '宜宾市人民政府办公室关于印发宜宾市市本级公共服务事项基本目录（2022年版）的通知', '', 128, 0, 1, 1, '', '2023-09-07 14:09:16', 7, '2023-05-13 14:39:46', 1, '', ''), (1129, 117, 'date', '发布时间', 'date', '', 'string', '2022-01-10', '', 128, 0, 1, 2, '', '2023-09-07 14:09:16', 7, '2023-05-13 17:52:13', 1, '', ''), (1130, 117, 'type', '选择分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 3, '', '2023-09-07 14:09:16', 7, '2023-05-13 14:40:41', 1, '', ''), (1131, 117, 'content', '内容', 'text', '', 'string', '<p>三江新区管委会，各县(区)人民政府，“两海”示范区管委会，市直有关部门(单位):</p><p>	按照《四川省人民政府办公厅关于印发四川省公共服务事项基本目录(2021年版)的通知》(川办发〔2021〕72号)要求，经市政府领导同意，现将《宜宾市市本级公共服务事项基本目录(2022年版)》(以下简称《目录》)印发你们，并就有关事项通知如下。</p><p>	一、《目录》要通过省一体化政务服务平台(四川政务服务网)、政府门户网站和政务服务大厅向社会公开，主动接受社会监督。三江新区管委会、各县(区)政府、“两海”示范区管委会要在《目录》的基础上，结合《四川省公共服务事项基本目录(2021年版)》，按照“只增不减”的原则，认真梳理本地区公共服务事项目录，于2月底前向社会公布，主动接受社会监督。</p><p>	二、列入《目录》中依申请办理的公共服务事项，除涉密事项外，原则上必须纳入省一体化政务服务平台办理，并根据“只进一扇门”改革和“三集中、三到位”等相关要求，全部纳入相应层级政务服务大厅集中办理，最大限度优化服务流程，缩短办理时限，降低办事成本，纵深推进“一网通办”前提下的“最多跑一次”改革。</p><p>	三、《目录》中的公共服务事项需要取消、变更、新增的，应按行业逐级向上级主管部门提出，并按程序审批后向社会公布。国家对公共服务事项有调整的，按国家调整要求执行。</p><p>	《宜宾市市本级公共服务事项目录(2019年版)》同时废止。</p>', '', 128, 0, 0, 99, '', '2023-09-07 14:09:16', 7, '2023-05-13 14:41:03', 1, '', ''), (1132, 118, 'title', '标题', 'input', '', 'string', '宜宾市人民政府关于印发宜宾市推进企业上市挂牌“五年行动计划”的通知', '', 128, 0, 1, 1, '', '2023-09-07 14:10:49', 7, '2023-05-13 14:39:46', 1, '', ''), (1133, 118, 'date', '发布时间', 'date', '', 'string', '2022-03-19', '', 128, 0, 1, 2, '', '2023-09-07 14:10:49', 7, '2023-05-13 17:52:13', 1, '', ''), (1134, 118, 'type', '选择分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 3, '', '2023-09-07 14:10:49', 7, '2023-05-13 14:40:41', 1, '', ''), (1135, 118, 'content', '内容', 'text', '', 'string', '<p>三江新区管委会、各县（区）人民政府，市直有关部门（单位），市属国有企业：</p><p>	现将《宜宾市推进企业上市挂牌“五年行动计划”》印发你们，请认真组织实施。</p><p class=\"ql-align-justify\">	&nbsp;&nbsp;</p><p class=\"ql-align-right\">宜宾市人民政府</p><p class=\"ql-align-right\">2022年3月19日</p><p class=\"ql-align-justify\">	&nbsp;</p><p class=\"ql-align-center\">	&nbsp;宜宾市推进企业上市挂牌“五年行动计划”</p><p class=\"ql-align-justify\">	&nbsp;</p><p class=\"ql-align-justify\">	为助力我市加快建设社会主义现代化的国家区域中心城市，充分利用资本市场改革发展的有利时机，深入推进我市企业融入多层次资本市场，结合我市实际，特制定本计划。</p><p class=\"ql-align-justify\">	一、目的意义</p><p class=\"ql-align-justify\">	坚持以习近平新时代中国特色社会主义思想为指导，全面贯彻新发展理念，按照“政府引导、市场运作、分层施策、整体推动”的原则，坚持“储备一批、培育一批、辅导一批、上市一批”的工作路径，充分利用注册制改革、科创板设立、创业板改革、北交所开市等系列重大机遇，营造企业上市挂牌良好氛围，完善企业上市挂牌各项政策措施，全力做好拟上市挂牌企业规范培育工作，加快推动更多优质企业上市挂牌，助力全市产业结构优化升级和经济高质量转型发展。</p><p class=\"ql-align-justify\">	二、工作目标</p><p class=\"ql-align-justify\">	经过五年努力，上市后备企业储备充足，上市挂牌企业数量倍增，构建较为完善的政策支撑体系、孵化培育体系和企业上市挂牌服务体系，打造融入多层次资本市场宜宾企业方阵。</p><p class=\"ql-align-justify\">	（一）上市挂牌企业数量倍增</p><p class=\"ql-align-justify\">	到2023年，全市新增上市公司4家以上，上市公司数量达到10家；新三板挂牌企业由2家增至12家以上。</p><p class=\"ql-align-justify\">	到2026年，全市新增上市公司13家以上，上市公司数量达到19家；新三板挂牌企业达到30家以上。</p><p class=\"ql-align-justify\">	（二）企业上市成为区域发展动能</p><p class=\"ql-align-justify\">	到2026年，三江新区新培育8家以上企业上市，翠屏区、叙州区、屏山县各培育2家以上企业上市，南溪区、江安县、长宁县各培育1家以上企业上市。市属国有企业要积极推动条件较好的子公司股改上市。</p><p class=\"ql-align-justify\">	（三）上市企业成为产业发展引领</p><p class=\"ql-align-justify\">	到2026年，全市一产（农、林、牧、渔业）的新三板挂牌企业增加2家；二产（制造业、建筑业等）上市公司增加11家；三产（现代金融、文化旅游、商贸物流等）上市公司增加2家。</p><p class=\"ql-align-justify\">	三、主要任务</p><p class=\"ql-align-justify\">	（一）储备上市挂牌后备企业优质资源</p><p class=\"ql-align-justify\">	市金融工作局制定《宜宾市上市后备企业入库标准》。各县（区）人民政府（含三江新区管委会，下同）和市直行业主管部门精准推荐符合产业政策导向、竞争能力较强、科技含量较高、具有发展潜力的企业进入宜宾市上市后备企业资源库。市金融工作局对上市后备企业资源库实施动态管理，每年进行增补和退出，定期进行动态调整。资源库按照“金种子企业”和“银种子企业”进行分层分类、精准培育，推进企业对接多层次资本市场。</p><p class=\"ql-align-justify\">	（二）分类开展企业上市挂牌精准培育</p><p class=\"ql-align-justify\">	根据“金种子企业”和“银种子企业”不同特征，针对性地开展培育服务。</p><p class=\"ql-align-justify\">	一是开辟“金种子企业”行政审批绿色通道。市、县（区）两级可依托上海证券交易所西部基地、深圳证券交易所西部基地、全国股转系统（新三板）西南基地等专业机构，组织专家为上市后备企业开展“一对一”咨询辅导。各县（区）人民政府和市直行业主管部门要建立“金种子企业”服务清单，对企业改制上市过程中涉及的项目立项、土地房产确权、税费缴纳、股权纠纷、证照补办和行政许可等问题给予指导和支持，依法依规及时出具相关证明文件。对法律法规和政策文件没有明确规定的特殊问题，依托联席会议机制，采取“一企一策”方式推动解决。</p><p class=\"ql-align-justify\">	二是加快“银种子企业”进入上市辅导程序。各县（区）人民政府、市直行业主管部门和市属国有企业要把推动“银种子企业”与中介机构签订辅导协议、股改列入“一把手”工程，形成工作方案和规划，列出问题和责任清单，推动企业开展筹备工作，逐年增加上市后备企业数量。对企业规范改制过程中涉及项目审批、税费缴纳、环境保护、资产转让、产权确认、证照补办等历史遗留问题，相关职能部门要及时给予政策指导和支持，协助企业依法依规妥善解决。　</p><p class=\"ql-align-justify\">	（三）推进企业规范化股份制改造</p><p class=\"ql-align-justify\">	加强源头培育，持续加大“小升规、规改股”工作力度。市直行业主管部门要重点围绕国家级专精特新“小巨人”企业、国家级高新技术企业、农业产业化国家级重点龙头企业、省级“专精特新”中小企业、省级百强民营企业等形成股份制改造清单。各县（区）人民政府要重点围绕区域特色产业、特色园区，形成企业股份制改造清单。支持企业广泛引进各类战略投资者参与股份制改造并增资扩股，制定股份制改造推进计划，指导企业完善法人治理结构，建立现代企业制度。</p><p class=\"ql-align-justify\">	（四）加大企业上市扶持力度</p><p class=\"ql-align-justify\">	认真落实《四川省人民政府办公厅关于深入实施财政金融互动政策的通知》（川办发〔2021〕51号），对纳入四川省上市后备企业培育管理的我市企业，积极协助其向省级财政争取20万元一次性补贴；对在新三板挂牌的我市企业，积极协助其向省级财政争取50万元一次性费用补贴；对在境内主板、创业板、科创板和境外主要资本市场首次公开发行股票的我市企业，积极协助其向省级财政争取100万元一次性费用补贴。</p><p class=\"ql-align-justify\">	认真落实《宜宾市高质量建设区域金融中心的支持政策》（宜办〔2021〕83号），对在境内主板、科创板、创业板上市企业分阶段给予共计1000万元奖励，北交所上市企业奖补政策参照科创板、创业板上市企业执行；对在香港证券交易所和境外主要资本市场成功上市的企业给予300万元奖励；对在新三板成功挂牌企业给予80万元奖励；企业通过并购重组等方式成为市外上市公司第一大股东，且将上市公司注册地、纳税地迁回宜宾的，给予300万元奖励。</p><p class=\"ql-align-justify\">	鼓励各县（区）根据自身财力，制定上市企业奖补政策，给予上市企业适当奖励。</p><p class=\"ql-align-justify\">	（五）充分发挥产业基金孵化引导作用</p><p class=\"ql-align-justify\">	围绕全市现代工业“5+1”产业、现代农业“5+2”产业、现代服务业“5+1”产业发展方向，支持与股权投资机构合作，通过直接投资或参与组建各类投资基金，“以投带引”撬动社会资本助力企业发展壮大，形成产业资本生态圈。</p><p class=\"ql-align-justify\">	（六）建立企业上市工作联席会议制度</p><p class=\"ql-align-justify\">	实施企业上市挂牌“五年行动计划”，建立企业上市工作联席会议制度，协调解决工作中存在的问题。建立上市后备企业“一对一”联系机制，对“金种子企业”和“银种子企业”，由1名市领导牵头联系、1个市直行业主管部门对口联系、1名证券机构“金融顾问”专业联系。市金融工作局牵头协调，市直行业主管部门、各县（区）人民政府负责本领域、本区域内具体任务落实，合力推进企业上市挂牌。</p><p class=\"ql-align-justify\">	本意见自印发之日起执行，有效期至2026年12月31日，其中涉及川办发〔2021〕51号、宜办〔2021〕83号文的政策执行期，以其明确的起止日期为准。涉及政策具体申报标准及流程参照宜金发〔2021〕20号执行。由市金融工作局负责解释。</p><p class=\"ql-align-justify\">	&nbsp;</p><p class=\"ql-align-justify\">	附件：1．宜宾市企业上市工作联席会议制度</p><p class=\"ql-align-justify\">	2．2022—2026年度各县（区）、市直部门上市企业目标任务</p><p><br></p>', '', 128, 0, 0, 99, '', '2023-09-07 14:10:49', 7, '2023-05-13 14:41:03', 1, '', ''), (1136, 119, 'title', '标题', 'input', '', 'string', '宜宾市人民政府办公室关于加强中心城区新型产业用地（M0） 管理的指导意见（试行）', '', 128, 0, 1, 1, '', '2023-09-07 14:12:31', 7, '2023-05-13 14:39:46', 1, '', ''), (1137, 119, 'date', '发布时间', 'date', '', 'string', '2022-04-06', '', 128, 0, 1, 2, '', '2023-09-07 14:12:31', 7, '2023-05-13 17:52:13', 1, '', ''), (1138, 119, 'type', '选择分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 3, '', '2023-09-07 14:12:31', 7, '2023-05-13 14:40:41', 1, '', ''), (1139, 119, 'content', '内容', 'text', '', 'string', '<p>三江新区管委会，各县(区)人民政府，市直各部门(单位):</p><p>	为支持培育发展新经济、新产业、新业态，打造一批“生产、生活、生态”融合发展的新型产业综合体，以高品质空间吸引创新要素集聚，增强产业转型升级和经济社会高质量发展的新动力，推动实施创新驱动发展战略，加快建设社会主义现代化的国家区域中心城市，根据国土资源部等六部委《关于支持新产业新业态发展促进大众创业万众创新用地的意见》(国土资规〔2015〕5号)、《产业用地政策实施工作指引(2019年版)》《宜宾市人民政府关于推进大众创业万众创新的实施意见》(宜府函〔2016〕43号)等精神，经市政府同意，现结合我市实际，就加强中心城区新型产业用地(M0)管理提出如下指导意见。</p><p>	一、明确新型产业用地(M0)内涵</p><p>	新型产业用地(M0)是指主要用于融合研发、创意、设计、孵化、检测、检验、中试、认证、无污染生产等新型产业功能及相关配套服务的工业用地，包括新供应M0和已供工业用地调整为M0两种类型。</p><p>	新型产业用地(M0)是在城市用地分类规定的“工业用地(M)”大类下增设的中类，土地用途表述为“工业用地(新型产业用地M0)”。</p><p>	新型产业用地(M0)项目用房包括产业用房和配套用房。产业用房是指直接用于项目生产、研发、设计、小试、中试、勘察、检验、检测、孵化、技术转移等功能用途的用房，不得用于住宅、商业、餐饮、宾馆等经营性用途;配套用房是指为满足职住平衡和新型产业配套需求修建的直接为新型产业生产服务的办公、会议、员工宿舍、倒班房、食堂、超市等办公和生活服务设施用房。</p><p>	二、统筹新型产业用地(M0)布局</p><p>	围绕“功能复合、产城融合、职住平衡、生态宜居”理念，科学布局新型产业用地(M0)。在中心城市开发边界内研究新型产业用地(M0)布局，考虑空间结构合理分布，新型产业用地(M0)应当安排在交通便捷、配套完善的区域，重点布局在叙州区、三江新区、翠屏区，并优先使用存量土地。根据在上述区域的施行情况，逐步推广至其余县(区)。</p><p>	按照“产业互动、功能混合、集约节约、提质增效”原则，三江新区管委会、各区政府应根据全市及各自产业发展目标和功能需求，组织制定新型产业用地(M0)专项方案，明确新型产业用地(M0)的建设规模、范围、布局和产业定位等内容，报经市自然资源规划局、市发展改革委、市科技局、市经济和信息化局审定同意后，按程序纳入国土空间详细规划。</p><p>	三、加强规划控制管理</p><p>	新型产业用地(M0)是工业用地的特殊类型，现有控制性详细规划中的M大类用地均可作为新型产业用地(M0)落地，不需调整控制性详细规划确定的规划用地性质，只需按程序完善其他规划指标调整。其他用地性质调整为M0的，可以按照现行控制性详细规划修改程序，报市政府审批之后实施。</p><p>	新型产业用地(M0)容积率原则上不低于2.0，不高于5.0，有特殊规模要求的，应当组织对城市空间品质、公共服务设施、交通设施和市政设施等承载能力的专项论证。单宗新型产业用地(M0)的绿地率控制在15%～25%之间，建筑高度应符合宜宾市现行城市空间形态控制要求，确因特殊工艺要求需突破的，由市自然资源规划局按程序组织专题论证。</p><p>	新型产业用地(M0)项目的建筑方案应在设计方案图中明确标注产业用房和配套用房。产业用房的计容建筑面积不得低于总计容建筑面积的80%，配套用房建筑面积不超过总计容建筑面积的20%，鼓励多个临近地块集中统筹设置配套用房。严禁建设成套住宅、专家楼、宾馆、招待所和培训中心等非为新型产业生产服务的配套设施。</p><p>	新型产业用地(M0)建筑应以行政主管部门明确的立面效果为准，采用现代风格公建化立面。整体统筹每栋建筑立面，不得以层为单位对立面进行改造。产业用房中用于生产制造的，应当符合工业建筑设计规范，研发设计用房参照办公建筑设计规范进行设计。配套宿舍应适当独立集中、合理布局，与产业功能既要联系便捷又要避免互相干扰，可参考公租房标准进行设计。</p><p>	新型产业用地(M0)的停车位配建指标应按每百平方米0.8～1.2辆配建标准进行配置，鼓励地下空间开发，原则上机动车地下停车位配建比例不得低于80%。</p><p>	配套用房与产业用房按照“四同步”要求建设，即同步设计、同步报批、同步建设、同步验收，并且其施工、验收、发证不得早于产业用房。</p><p>	四、强化项目准入管控</p><p>	新型产业用地(M0)项目的产业类型应当符合《宜宾市中心城区新型产业用地(M0)产业准入目录》要求(详见附件)，且不属于国家发展改革委《产业结构调整指导目录(2019年本)》中明确的淘汰类、限制类产业。新型产业用地(M0)项目应当符合以下准入条件:</p><p>	(一)固定资产投资强度不低于每亩300万元。</p><p>	(二)单位用地税收不低于每亩12万元。</p><p>	(三)单位用地营业收入不低于每亩600万元。</p><p>	(四)研发经费支出不低于主营业务收入的3%，每公顷新型产业用地(M0)引进的国家高新技术企业或国家级、省级“专精特新”(高成长)企业不少于1家，且拥有自主知识产权的企业不少于2家。</p><p>	三江新区管委会、各区政府可在上述标准的基础上，根据本地区产业发展实际，进一步确定具体的产业准入条件。</p><p>	对新供应新型产业用地(M0)，由属地区政府(管委会)根据新型产业用地(M0)项目准入条件，组织拟定项目履约监管协议，内容包括产业类型、产业标准、准入要求、生产技术、产品品质、建设时序、达产时间、自持要求、运营标准、违约处置方式等。市自然资源规划局将项目履约监管协议作为新型产业用地(M0)供地方案的要件一并报市政府批准，并纳入土地供应公告附件内容。土地竞得人在竞得土地后，持成交确认书与属地区政府(管委会)签订项目履约监管协议，再与市自然资源规划局签订国有建设用地使用权有偿使用合同。</p><p>	已供工业用地受让人拟将原工业用地调整为新型产业用地(M0)的，应先通过属地区政府(管委会)组织的产业准入审查，与属地区政府(管委会)签订项目履约监管协议，由市自然资源规划局拟定变更土地使用条件、补缴土地出让价款的方案，连同履约监管协议一并报市政府批准后，按照新型产业用途办理用地手续，签订土地出让合同变更协议。</p><p>	五、分类实施土地供应</p><p>	(一)新供应的新型产业用地(M0)。新供应的新型产业用地(M0)应当以公开招拍挂方式处置，鼓励以弹性年期出让、先租后让等方式供应。采取弹性年期出让方式供应的，出让年期一般不超过40年，对鼓励类重大新型产业用地(M0)项目，经市政府批准同意，土地出让年限可按工业用地法定最高出让年限50年确定;采取先租后让方式供应土地的，招拍挂程序在租赁供应时实施，租赁期不超过5年，租赁期满通过达产验收的可以办理协议出让手续，转为出让土地，出让年期等于先租后让总年期减去已租赁使用年期。</p><p>	新供应新型产业用地(M0)的土地出让起始价按不低于以下公式计算:</p><p>	M0=M1×(1-Y)+B×Y</p><p>	其中:M0为新型产业用地出让起始价</p><p>	M1为土地所在地对应级别工业用地基准地价</p><p>	B为土地所在地对应级别商务金融用地基准地价</p><p>	Y为配套用房建筑面积占总计容建筑面积的比例</p><p>	M1、B须参照基准地价修正体系进行容积率、年期等相关系数修正。经修正后的出让起始价不得低于国家规定的工业用地出让最低价标准。</p><p>	采取先租后让方式供应的，租赁期间租金按照出让土地价格根据年期等系数修正后确定，后续出让期间的出让价款为总出让年期价格减去租赁期间已支付租金的余额。</p><p>	(二)已供工业用地调整为M0。已供工业用地调整为新型产业用地(M0)的，按照土地剩余年限下新型产业用途的出让价格扣减原土地用途剩余年限价格的差额确定补缴的土地价款，出让年限为原工业用地剩余年限。补缴土地出让价款的计算公式如下:</p><p>	M0=〔M1×(1-Y)+B×Y〕-G</p><p>	其中:M0为已供工业用地调整为新型产业用地补缴的土地价款</p><p>	M1为土地所在地对应级别工业用地基准地价</p><p>	B为土地所在地对应级别商务金融用地基准地价</p><p>	Y为配套用房建筑面积占总计容建筑面积的比例</p><p>	G为原用途剩余年限对应的土地价格</p><p>	M1、B须参照基准地价修正体系进行容积率、年期等相关系数修正。</p><p>	六、规范不动产权管理</p><p>	新供应新型产业用地(M0)和已供工业用地调整为新型产业用地(M0)的项目，在竣工验收满5年，且经属地区政府(管委会)按照产业准入条件实施达产考核通过后，经市自然资源规划局批准，产业用房可以幢、层等固定界限为基本单元进行分割转让，可分割转让面积不超过项目范围内产业用房总计容建筑面积的50%，最小分割单元建筑面积不低于600平方米，产业用房未经同意不得整体转让，确需整体转让的应当经市政府批准同意。配套用房应当由土地使用权人全部持有，不得转让，且必须服务于产业发展。</p><p>	新型产业用地(M0)项目在办理不动产登记时，土地用途登记为“工业用地(新型产业用地M0)”，房屋用途登记为产业用房和配套用房，并注明产业用房自持或可分割转让比例，以及配套用房不得转让。</p><p>	七、严格实施履约监管</p><p>	属地区政府(管委会)作为新型产业用地(M0)项目的监管主体，负责对新型产业用地(M0)项目的开发建设和运营情况进行监管，加强对项目的日常巡查，对违法、违规、违约行为进行处置，并及时将监管和处置情况反馈给市级相关部门。市级有关部门根据各自职能对新型产业用地(M0)项目实施做好指导和监督。</p><p>	在新型产业用地(M0)项目约定达产时间后3个月内，属地区政府(管委会)根据土地有偿使用合同和项目履约监管协议，组织完成达产验收评估，并将验收考评结果反馈市级相关部门。通过达产验收的，出具项目达产验收意见，属一次性出让方式供地的允许按照第六条相关规定办理不动产权转让，属先租后让方式供地的，租赁期满可办理剩余年限土地出让手续，换发剩余年限不动产权证书;未通过达产验收的，应当按照履约监管协议约定，不得转让不动产权，并由属地区政府(管委会)责令开发主体进行限期整改，对整改期限届满仍未通过达产验收的，不得转让不动产权，严格追究违约责任，情节严重的，可依照土地有偿使用合同约定，解除合同，收回土地使用权，依法依规限制其参与新的土地竞买。</p><p>	新型产业用地(M0)主体应当严格按照土地有偿使用合同相关要求使用土地，不得擅自改变土地用途和规划建设条件，对违反规定的，属地区政府(管委会)应当责令其限期整改，拒不整改或整改后仍不符合要求的，由市自然资源规划局报请市政府批准后，依法解除土地有偿使用合同，收回土地使用权。如涉及土地闲置的，按照原国土资源部《闲置土地处置办法》有关规定进行处理，因土地使用权人自身原因闲置满两年的依法收回土地使用权。</p><p>	本意见“六、规范不动产权管理”“七、严格实施履约监管”的内容应当在相关协议中明确。</p><p>	本意见中“属地区政府(管委会)”是指M0项目的管理主体(翠屏区、叙州区、南溪区政府或三江新区管委会)。</p><p>	本意见自2022年5月8日起施行，有效期1年。各县可参照执行。</p><p>	附件:宜宾市中心城区新型产业用地(M0)产业准入目录</p><p class=\"ql-align-right\">	宜宾市人民政府办公室</p><p class=\"ql-align-right\">	2022年4月6日</p><p><br></p>', '', 128, 0, 0, 99, '', '2023-09-07 14:12:31', 7, '2023-05-13 14:41:03', 1, '', '');
INSERT INTO `mortals_sys_app_info_field` VALUES (1140, 120, 'title', '标题', 'input', '', 'string', '宜宾市人民政府关于印发《宜宾市制造业“双百工程”行动方案》的通知', '', 128, 0, 1, 1, '', '2023-09-07 14:14:18', 7, '2023-05-13 14:39:46', 1, '', ''), (1141, 120, 'date', '发布时间', 'date', '', 'string', '2022-05-26', '', 128, 0, 1, 2, '', '2023-09-07 14:14:18', 7, '2023-05-13 17:52:13', 1, '', ''), (1142, 120, 'type', '选择分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 3, '', '2023-09-07 14:14:18', 7, '2023-05-13 14:40:41', 1, '', ''), (1143, 120, 'content', '内容', 'text', '', 'string', '<p>三江新区管委会，各县(区)人民政府，市直有关部门(单位):</p><p>	现将《宜宾市制造业“双百工程”行动方案》印发你们，请认真组织实施。</p><p>	</p><p class=\"ql-align-right\">宜宾市人民政府</p><p class=\"ql-align-right\">2022年5月26日</p><p class=\"ql-align-center\"><br></p><p class=\"ql-align-center\">宜宾市制造业“双百工程”行动方案</p><p>	为深入贯彻落实“制造强国”战略和《四川省“十四五”制造业高质量发展规划》，坚定推进“工业挑大梁、制造业扛大旗”，以制造业高质量发展，助推制造强市试点建设和我市工业经济高质量发展，制定《宜宾市制造业“双百工程”行动方案》。</p><p>	一、总体要求</p><p>	以习近平新时代中国特色社会主义思想为指导，深入贯彻党的十九届六中全会、省委十一届十次全会、市第六次党代会精神，完整、准确、全面贯彻新发展理念，大力发展绿色低碳优势产业，前瞻布局战略新赛道，新增一批投资(含招引)百亿元的制造业项目，新增培育一批营业收入超百亿元的制造业企业，推动制造业投资规模和质量双提升，加快制造业强链补链集聚发展，强化制造业项目建设要素保障，优化提升政务服务能力，为加快建设现代化区域中心城市提供制造业有力支撑。</p><p>	二、工作目标</p><p>	利用三年时间(2022—2024年)，创新推进制造业新增项目和招大引强，新增投资100亿元以上制造业项目不少于10个〔三江新区、叙州区分别不低于2个，翠屏区、南溪区、江安县、高县、珙县、屏山县分别不低于1个，鼓励其他县(区)积极新增100亿元以上制造业投资项目〕;持续培育制造业企业做强做大，新培育年营业收入100亿元以上企业不少于10户。</p><p>	三、工作举措</p><p>	(一)实施制造业百亿项目招引工程。</p><p>	1.产业链招商。白酒食品产业要推动有条件的区域招引白酒行业知名企业或项目、产业链配套优质项目和消费品龙头项目入驻园区发展。动力电池产业要紧盯细分领域头部企业，引进落地电池正负极材料、电解液、隔膜等核心配套项目10个以上，着力构建动力电池“1+6”产业生态圈，加快打造具有世界影响力的动力电池产业基地、建设“动力电池之都”。智能终端产业要大力引进显示组件等关键零部件和物联网等关联领域头部企业，推动智能终端产业向数字经济产业转型。高端装备(含汽车)制造产业要积极推动全市智轨线网建设，示范助力智轨交通快运系统进一步拓展应用城市，支持中车铁投公司加快发展;要按照新能源汽车“1+2”产业布局，以实施电动宜宾工程和换电重卡示范市为契机，支持凯翼汽车做大规模，大力引进培育新能源重卡和配套产业项目，构建新能源汽车全产业链体系，提升汽车产业规模。医疗器械产业要按照“1+N”产业空间布局，紧盯高端医疗设备、现代中药、医用耗材等细分领域头部企业招大引强，加快省医用卫生应急产业基地的企业招引入驻。新材料产业要以丝丽雅集团公司、屏山纺织产业园等为重点，推动纺织产业全链条发展;推动南部区域各县结合自身资源优势招引产业;以叙州区高新技术产业园区为主，推动建设宜宾市太阳能电池产业园，布局太阳能电池产业。信息技术服务业要以高铁西站片区和长江上游大数据中心两个片区为主，加快建设宜宾市信息技术服务产业园，推动宜宾市信息技术服务产业园加速中心在2022年6月建成开业，推进M0地块互联网头部企业招引入住。推动长江上游大数据中心二期在2022年6月建成开园，有序推进长江上游大数据中心三至八期建成投产，招引一批数字经济头部企业入住长江上游大数据中心。</p><p>	2.基金招商。充分利用基金招商，导入优质企业，不断拓展产业生态圈。各级产业发展专班认真研判基金带动项目，利用“漏斗机制”选出优质项目，根据各县(区)产业定位推送招商，引进一批新兴产业领域优质项目落户宜宾。发挥政府引导型基金杠杆作用，用好市产业基金及子基金，推动有条件的县(区)根据自身产业特点，以设立母基金、直接股权投资、合作设立私募股权投资基金等方式对重点项目精准提供融资支持，推动市属国有企业设立产业链招商基金，吸引与宜宾产业链契合度高的项目引进宜宾落地。</p><p>	3.存量企业扩能或转型升级投资。积极鼓励和支持市内制造业企业通过扩能、转型升级等多种方式新增投资，推进企业做强做大。</p><p>	(二)实施新增百亿企业培育工程。</p><p>	1.瞄准目标企业扶持一批。在现有制造业企业中，重点培育支持10户近三年内营业收入超100亿元的潜在企业，制定一企一策帮扶措施，分批培育成为营业收入超100亿元的领航企业。</p><p>	2.兼并重组打造一批。鼓励有条件的龙头企业围绕纵向全产业链、横向关联配套，完善分工协作体系，采取合作收购、参股控股、联合经营等方式，跨地区、跨行业、跨所有制形式开展兼并重组，形成大规模全领域的企业集团，打造一批营业收入超100亿元的企业。</p><p>	四、保障措施</p><p>	(一)加强组织保障。</p><p>	在宜宾市工业强市领导小组下成立以市长任组长的宜宾市制造业“双百工程”行动推进专项工作组，负责制造业“双百工程”行动的组织领导、统筹协调和工作推进。推进专项工作组办公室设在市经济和信息化局，市经济和信息化局、市经济合作和新兴产业局主要负责同志共同负责日常推进工作。</p><p>	(二)加强激励保障。</p><p>	1.营业收入超百亿元企业激励保障。对当年营业收入首次达到100亿元的制造业企业，在达到100亿元之日起的次月，由市委、市政府授予“宜宾市100亿元企业”荣誉称号，同时给予企业一次性300万元奖励、企业经营管理团队一次性100万元奖励。</p><p>	2.投资超百亿元项目激励保障。对单个总投资超100亿元的制造业项目，按照已签“投资协议”，按时或提前实现实质性开工建设的，给予企业项目管理团队一次性100万元奖励。</p><p>	3.招大引强先进个人激励保障。市直部门、县(区)成功签约投资超100亿的单个制造业项目(已按时或提前开工建设)，可各推荐1名公职人员按程序记三等功。</p><p>	(三)加强要素保障。</p><p>	加强对超100亿元投资项目和培育企业的生产要素优先保障，特别是产业用地、能评、环评、安评、产业规划、用工及人才支持、金融服务等方面，为项目持续实施、企业引领发展提供坚强要素保障。</p><p>	(四)加强服务保障。</p><p>	市直相关部门按门类、分行业对惠企政策进行全面梳理，为企业做好国家、省级、市级政策解读，主动上门服务、靠前服务，帮助企业准确把握发展大势、分析问题、解决问题，指导企业项目建设快速推进，生产经营健康发展。</p><p>	(五)加强工作调度。</p><p>	建立“月通报、季调度、年考评、总交账”工作调度机制，协调解决项目建设和企业发展中的困难问题。同时建立宜宾市工业企业进阶授牌机制，对营业收入、税收两个方面分不同产业进行授牌。</p><p>	本方案自2022年1月1日起实施，有效期3年。政策施行期间如国家、省级政策等因素发生变化，按新的政策要求适时调整。</p>', '', 128, 0, 0, 99, '', '2023-09-07 14:14:18', 7, '2023-05-13 14:41:03', 1, '', ''), (1144, 121, 'title', '标题', 'input', '', 'string', '宜宾市人民政府办公室关于印发宜宾市深化“放管服”改革优化营商环境2022年工作任务清单的通知', '', 128, 0, 1, 1, '', '2023-09-07 14:15:54', 7, '2023-05-13 14:39:46', 1, '', ''), (1145, 121, 'date', '发布时间', 'date', '', 'string', '2022-06-01', '', 128, 0, 1, 2, '', '2023-09-07 14:15:54', 7, '2023-05-13 17:52:13', 1, '', ''), (1146, 121, 'type', '选择分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 3, '', '2023-09-07 14:15:54', 7, '2023-05-13 14:40:41', 1, '', ''), (1147, 121, 'content', '内容', 'text', '', 'string', '<p>三江新区管委会、各县(区)人民政府，市直有关部门(单位):</p><p>	根据《四川省人民政府办公厅关于印发四川省深化“放管服”改革优化营商环境2022年工作要点的通知》(川办发〔2022〕37号)、《四川省人民政府办公厅关于印发〈四川省深化“放管服”改革优化营商环境2022年重点任务台账〉的通知》(川办便函〔2022〕95号)等要求，结合我市实际，现将《宜宾市深化“放管服”改革优化营商环境2022年工作任务清单》印发你们，并提出以下工作要求，请认真抓好贯彻落实。</p><p>	一、提高思想认识。深化“放管服”改革、优化营商环境，是激发市场主体活力和发展内生动力的关键之举，是落实“六稳”“六保”任务的重要抓手。各县(区)、市直有关部门要切实提高思想认识，全面把握2022年深化“放管服”改革优化营商环境的新形势、新要求，通过“放管服”改革，加快打造与高质量发展相适应的一流营商环境，为宜宾加快建设现代化区域中心城市作出新的更大贡献。</p><p>	二、务求工作实效。牵头部门(单位)要建立主要负责人直接抓“放管服”改革的工作机制，落实“清单制+责任制”，聚焦突出问题，拿出务实举措，进一步抓好简政放权、放管结合、优化服务各项工作，确保完成全年工作目标，切实推动各项改革任务落地落实。市直牵头部门(单位)应汇总相关任务完成情况，于每季度第一个月10日前，将上季度工作推进落实情况报市“放管服”改革办。</p><p>	三、强化督促指导。市“放管服”改革办要建立工作推进情况定期收集和通报机制，实时监测、动态督导年度任务情况，及时协调解决困难问题。对工作推进不力、进度滞后的地方和部门，运用“两书一函”等方式推动各项重点工作任务高标准高质量完成。各县(区)要同步建立健全工作机制，确保改革工作任务落地落实。</p><p>	市“放管服”改革办联系人:唐侨;联系电话:2208865;传真:2208666;电子邮箱:ybfgfb@163.com。</p><p>	附件:《宜宾市深化“放管服”改革优化营商环境2022年工作任务清单》落实情况报表(样表)</p><p>	</p><p class=\"ql-align-right\">	宜宾市人民政府办公室</p><p class=\"ql-align-right\">	2022年6月1日</p><p><br></p>', '', 128, 0, 0, 99, '', '2023-09-07 14:15:54', 7, '2023-05-13 14:41:03', 1, '', ''), (1156, 124, 'title', '标题', 'input', '', 'string', '宜宾市人民政府办公室关于印发《宜宾市标准化发展考核激励办法》的通知', '', 128, 0, 1, 1, '', '2023-09-07 14:18:35', 7, '2023-05-13 14:39:46', 1, '', ''), (1157, 124, 'date', '发布时间', 'date', '', 'string', '2022-07-23', '', 128, 0, 1, 2, '', '2023-09-07 14:18:35', 7, '2023-05-13 17:52:13', 1, '', ''), (1158, 124, 'type', '选择分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 3, '', '2023-09-07 14:18:35', 7, '2023-05-13 14:40:41', 1, '', ''), (1159, 124, 'content', '内容', 'text', '', 'string', '<p>三江新区管委会，各县(区)人民政府，市直有关部门(单位):</p><p>	经市政府同意，现将《宜宾市标准化发展考核激励办法》印发你们，请遵照执行。</p><p class=\"ql-align-right\">	宜宾市人民政府办公室</p><p class=\"ql-align-right\">	2022年7月23日</p><p class=\"ql-align-center\">	<strong>宜宾市标准化发展考核激励办法</strong></p><p class=\"ql-align-center\">	第一章&nbsp;&nbsp;总则</p><p>	第一条为充分发挥标准化在自主创新、产业竞争、国际贸易和社会治理现代化中的重要技术支撑作用，鼓励有关企业和组织积极开展标准化工作，根据《中华人民共和国标准化法》《国家标准化发展纲要》等要求，结合本市实际，制定本办法。</p><p>	第二条本办法适用于依法注册(登记或设立)的、具有独立法人资格的各类组织机构、社会团体及个人，开展标准化建设及取得标准化成果后的一次性激励。</p><p>	第三条市政府给予必要的标准化经费保障，资金纳入市财政预算，市标准化行政主管部门负责标准化激励项目的具体管理工作。</p><p class=\"ql-align-center\">	<strong>第二章激励范围及标准</strong></p><p>	第四条标准化是提升经济、社会发展质量的重要技术支撑，是促进产业升级、加速科研成果转换应用等的重要途径。本办法规定的标准化激励范围包括:</p><p>	(一)主导或参与制定国际标准、国家标准、行业标准、地方标准、团体标准，并经国际标准化组织、标准化管理部门或有关标准管理机构正式批准发布。</p><p>	(二)经有关主管部门正式批准成立的国际、国家、行业、省、市专业标准化技术委员会(分技术委员会秘书处或工作组单位)。</p><p>	(三)承担国家级、省级、市级的各类标准化建设项目。</p><p>	(四)国家企业标准领跑者(排行榜)产品。</p><p class=\"ql-align-center\">	<strong>(五)其他相关品牌及成果。</strong></p><p>	第五条标准化激励项目遵循自愿申报的原则，对评定为符合标准化激励项目的各类组织机构和社会团体，由市政府按下列标准实施一次性经费激励。</p><p>	(一)对主导制定国际、国家、行业、四川省地方标准并经批准发布的，每个标准分别激励100万元、50万元、30万元、5万元;对参与制定国际、国家、行业标准并经批准发布的(需排名前3位)，每个标准分别激励10万元、5万元、3万元。</p><p>	对主导制定四川省(宜宾市)地方标准并经有效实施的，每个标准激励3万元。</p><p>	(二)对主导修订国家标准、行业标准，并经批准发布的，每个标准分别激励10万元、5万元。</p><p>	(三)对主导制定全国性、省级社会团体的团体标准，并经批准发布实施的，每个标准分别激励8万元、4万元。</p><p>	对主导制定宜宾市级团体标准并经有效实施的，每个标准激励2万元。</p><p>	(四)对承担国家级、省级标准化示范(试点)项目，并通过主管部门验收的单位，每个项目分别激励10万元、5万元。</p><p>	对经市政府批准开展的市级标准化试点、示范项目，并通过主管部门验收合格的单位，每个项目激励10万元。</p><p>	(五)对批准成立的国际标准化组织专业技术委员会(含分技术委员会)秘书处、国家专业标准化技术委员会秘书处、国家专业标准化技术委员会分技术委员会秘书处(工作组)、四川省专业标准化技术委员会秘书处的单位，分别激励50万元、30万元、20万元、5万元。</p><p>	对经批准设立的宜宾市专业标准化技术委员会发起单位，激励5万元。</p><p>	(六)对获批为国家企业标准领跑者(排行榜)的产品，每个产品激励10万元。</p><p class=\"ql-align-center\">	<strong>第三章&nbsp;&nbsp;项目的申报</strong></p><p>	第六条申请标准化激励项目应当符合下列条件之一:</p><p>	(一)符合产业布局和发展方向，有利于促进科技成果转化及产业优化升级。</p><p>	(二)有利于加快自主创新成果产业化，有利于促进知识产权与技术标准的融合发展，增强核心竞争力。</p><p>	(三)有利于形成优势产业和提升产品在国际、国内市场的竞争力。</p><p>	(四)有利于掌握行业话语权、抢占改革和创新的制高点。</p><p>	(五)有利于推动社会治理能力治理体系现代化和文化传承。</p><p>	(六)有利于生态保护、生态文明建设和资源循环利用，促进节能降耗、加强环境保护、提升安全建设水平和保护生命健康。</p><p>	(七)有利于提高产品、装备、技术、服务的质量和效益，助力品牌建设。</p><p>	(八)有利于先进前沿技术和高新技术产业的引入，加速绿色发展。</p><p>	(九)标准化项目的实施或标准化机构的成立能带来显著经济、生态、社会和质量等效益。</p><p>	第七条申请标准化激励项目经费的单位应当提交下列有关文件:</p><p>	(一)宜宾市标准化项目激励经费申请表(见附件)。</p><p>	(二)标准发布管理机构批准发布的文件和正式发布的标准文本;宜宾市地方标准、宜宾市级团体标准实施后的效益分析总结。</p><p>	(三)成立、承担了相关专业标准化技术组织的主管机关批文等相关材料。</p><p>	(四)标准化示范(试点)建设项目通过验收确认的主管机关批文等材料。</p><p>	(五)企业标准领跑者(排行榜)产品的国家相关文件。</p><p>	(六)加盖公章的营业执照或单位法人证书复印件等。</p><p>	(七)其他能够佐证的相关资料。</p><p>	以上纸质材料一式三份，按顺序装订。必要时，需提供支撑材料复印件的原件进行核对。</p><p>	第八条申请激励经费的标准化建设项目时间与圆满完成的正式批文时间间隔不超过2年，逾期不再受理。</p><p>	第九条有下列情况之一者不受理标准化激励项目申请:</p><p>	(一)申请项目不符合本办法规定条件的。</p><p>	(二)超过规定期限的。</p><p>	(三)申请单位近2年内因安全、环境保护等强制标准未达标或其他质量问题被查处或正在接受调查的。</p><p>	(四)四川省(宜宾市)地方标准与宜宾市内的团体标准有下列情况之一的:</p><p>	——缺乏标准实施主体或未取得实际效益;</p><p>	——已经废止过后改头换面;</p><p>	——重复交叉;</p><p>	——没有必要或不能体现先进适用性;</p><p>	——其他。</p><p>	(五)弄虚作假等违反相关规定的。</p><p class=\"ql-align-center\">	<strong>第四章&nbsp;&nbsp;项目的评定</strong></p><p>	第十条市标准化行政主管部门对受理的申请项目进行评审，拟定激励项目和额度，按照当年规定程序及相关部门审核认定结果，报市政府批准后执行。</p><p>	第十一条标准化项目已获得我市政府部门同类性质更高额度奖励的，不再激励。未达到本办法规定额度的，可以补齐金额。</p><p class=\"ql-align-center\">	<strong>第五章&nbsp;&nbsp;经费管理及责任</strong></p><p>	第十二条激励经费应按照现行财务制度规定进行账务处理，按照专款专用原则用于奖补开展标准化项目建设中的经费投入及相关的技术研发工作。</p><p>	第十三条申报材料要确保真实性、完整性，要经得起历史检验、审计检验、巡察检验，严格逗硬惩处违规骗取财政资金。对企业(个人)和国家工作人员弄虚作假，骗取奖补资金一经查实的，对企业(个人)按照《财政违法行为处罚处分条例》(国务院令第427号)等规定追回违反规定骗取的资金，依法对企业(个人)给予处罚，取消两年申报本办法中激励经费资格;对国家工作人员由相关部门依法依纪严肃处理;涉嫌犯罪的，依法追究刑事责任。</p><p class=\"ql-align-center\">	<strong>第六章&nbsp;&nbsp;考核</strong></p><p>	第十四条标准文本正式批准发布实施后，对创新性突出、技术水平高、取得显著经济效益或社会效益的标准，优先纳入奖项评定范围。</p><p>	第十五条根据标准化工作相关政策规定和工作需要进行考核。原则上遵循以下方式:</p><p>	(一)每年对县(区)政府及市直部门进行一次目标绩效考核。具体办法另行制定。</p><p>	(二)对个人和纳入政府目标绩效考核以外的企事业单位和社会团体，每2年以市政府名义考核一次;同步开展宜宾市标准创新贡献奖评选。具体办法另行制定。</p><p class=\"ql-align-center\">	<strong>第七章&nbsp;&nbsp;附则</strong></p><p>	第十六条本办法自印发之日起施行，有效期至2026年12月31日止。《宜宾市人民政府办公室关于印发绿色宜宾标准化建设考核激励办法的通知》(宜府办函〔2017〕135号)同时废止。</p>', '', 128, 0, 0, 99, '', '2023-09-07 14:18:35', 7, '2023-05-13 14:41:03', 1, '', ''), (1164, 125, 'title', '标题', 'input', '', 'string', '宜宾市人民政府办公室关于印发《宜宾市健全重特大疾病医疗保险和救助制度实施办法》的通知', '', 128, 0, 1, 1, '', '2023-09-07 14:20:51', 7, '2023-09-07 14:20:51', 7, '', ''), (1165, 125, 'date', '发布时间', 'date', '', 'string', '2022-11-24', '', 128, 0, 1, 2, '', '2023-09-07 14:20:51', 7, '2023-09-07 14:20:51', 7, '', ''), (1166, 125, 'type', '选择分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '1', '', 128, 0, 0, 3, '', '2023-09-07 14:20:51', 7, '2023-09-07 14:20:51', 7, '', ''), (1167, 125, 'content', '内容', 'text', '', 'string', '<p>三江新区管委会，各县(区)人民政府，市直有关部门(单位):</p><p>	《宜宾市健全重特大疾病医疗保险和救助制度实施办法》已经市政府同意。现印发你们，请认真贯彻落实。</p><p class=\"ql-align-right\">宜宾市人民政府办公室</p><p class=\"ql-align-right\">2022年11月24日</p><p class=\"ql-align-center\">宜宾市健全重特大疾病医疗保险和救助制度	实施办法</p><p>	第一章&nbsp;总则</p><p>	第一条&nbsp;&nbsp;为进一步健全我市医疗救助制度(以下简称医疗救助)，做好重特大疾病医疗保障，减轻困难群众重特大疾病医疗费用负担，有效防范和化解因病致贫返贫风险，筑牢民生保障底线，根据《四川省人民政府办公厅关于健全重特大疾病医疗保险和救助制度的实施意见》(川办规〔2022〕6号)要求，结合我市实际，制定本办法。</p><p>	第二条坚持以人民为中心，坚持共同富裕方向，坚持应保尽保、保障基本，尽力而为、量力而行，推动民生改善更可持续。聚焦减轻困难群众重特大疾病医疗费用负担，建立健全防范和化解因病致贫返贫长效机制，强化基本医保、大病保险、医疗救助(以下简称三重制度)综合保障，实事求是确定困难群众医疗保障待遇标准，确保困难群众基本医疗有保障，不因罹患重特大疾病影响基本生活，同时避免过度保障。</p><p>	第三条本实施办法适用于我市医疗费用负担较重的困难职工和城乡居民。具备多种救助身份的人员，按就高不就低原则享受医疗救助待遇，不得重复享受。</p><p>	第二章&nbsp;救助对象认定</p><p>	第四条统一救助对象类别。医疗救助公平覆盖医疗费用负担较重的困难职工和城乡居民，根据救助对象类别实施分类救助。医疗救助对象包含特困人员、孤儿、低保对象、低保边缘家庭成员、纳入监测范围的农村易返贫致贫人口(以下简称防止返贫监测对象)以及不符合特困人员救助供养、低保或低保边缘家庭条件，但因高额医疗费用支出导致家庭基本生活出现严重困难的大病患者(以下简称因病致贫重病患者)6类对象。县级以上地方人民政府规定的其他特殊困难人员，按上述救助对象类别给予相应救助。</p><p>	第五条由民政部门认定特困人员、孤儿、低保对象、低保边缘家庭成员和因病致贫重病患者。由乡村振兴部门认定防止返贫监测对象。</p><p>	第三章&nbsp;资助参保政策</p><p>	第六条&nbsp;确保困难群众应保尽保。困难群众依法参加基本医保，按规定享有三重制度保障权益。对已实现稳定就业的困难群众，引导其依法依规参加城镇职工基本医保。全面落实城乡居民基本医保参保财政补助政策，对参加城乡居民基本医保的个人缴费部分(我市当年城乡居民基本医保最低档次缴费标准)，按以下标准在医疗救助基金中给予分类资助:</p><p>	(一)对特困人员、孤儿给予全额资助;</p><p>	(二)对低保对象、防止返贫监测对象给予75%定额资助;</p><p>	(三)对已稳定脱贫人口，执行资助参保渐退政策。对其参加2022年、2023年、2024年城乡居民基本医保费用，按75%、50%、25%进行资助;2025年按标准退出，不再享受资助参保政策。</p><p>	第七条各县(区)政府要落实参保主体责任，重点做好困难群众、新增救助对象等特殊人员的参保动员工作，适应人口流动和参保需求变化，灵活调整救助对象参保缴费方式，确保其及时参保、应保尽保。</p><p>	第四章&nbsp;医疗救助保障范围</p><p>	第八条&nbsp;明确救助费用保障范围。严格执行医疗保障待遇清单制度，医疗救助基金支付的药品、医用耗材、诊疗项目应符合基本医保支付范围规定。救助费用主要覆盖救助对象在定点医药机构发生的住院费用、因慢性病需长期服药或患重特大疾病需长期门诊治疗的费用。基本医保、大病保险起付线以下的政策范围内个人自付费用，按规定纳入救助保障。</p><p>	第九条救助对象发生的符合救助范围内的医疗费用，经基本医保、大病保险支付后的个人自付费用，超过医疗救助基金起付标准的部分按比例给予救助，一个自然年度不超过救助限额。</p><p>	第十条合理确定基本救助水平。对特困人员、孤儿、低保对象、低保边缘家庭成员、防止返贫监测对象按规定给予救助，对因病致贫重病患者根据实际给予一定救助。按救助对象家庭困难情况，分类设定年度救助起付标准(以下简称起付标准)。</p><p>	(一)门诊慢性病、门诊重特大疾病(以下简称门诊慢特病)和住院救助。统筹门诊慢特病和住院救助保障，门诊慢特病和住院医疗费用合并计算起付标准，共用年度救助限额。对特困人员、孤儿、低保对象不设救助起付标准，防止返贫监测对象、低保边缘家庭成员、因病致贫重病患者的起付标准分别按我市上年居民人均可支配收入的5%、10%、25%确定。对1个自然年度内经基本医保、大病保险支付后政策范围内个人自付医疗费用(主要包括住院、门诊慢特病、单行支付药品和高值药品等产生的医疗费用)在年度救助限额3.5万元内按比例进行救助。其中，特困人员、孤儿按100%，低保对象按70%，防止返贫监测对象按65%，低保边缘家庭成员、因病致贫重病患者按50%进行救助。</p><p>	(二)其他门诊救助。对特困人员、孤儿、低保对象、防止返贫监测对象、低保边缘家庭、因病致贫重病患者不设门诊救助起付标准，对政策范围内个人自付门诊医疗费用在年度救助限额1000元内进行救助。其中，特困人员、孤儿按100%，低保对象按70%，防止返贫监测对象按65%，低保边缘家庭成员、因病致贫重病患者按50%进行救助。</p><p>	(三)倾斜救助。对规范转诊且在省域内就医的救助对象，经三重制度综合保障后政策范围内个人年度累计自付费用仍超过我市防止返贫监测收入标准的部分，给予倾斜救助。救助比例为50%，倾斜救助年度限额为2万元。</p><p>	第五章&nbsp;医疗救助服务与管理</p><p>	第十一条促进三重制度互补衔接。完善统一的基本医保制度，发挥基本医保主体保障功能，严格执行基本医保支付范围和标准，实施公平适度保障。巩固大病保险减负功能，对特困人员、孤儿、低保对象统一执行起付线降低50%、报销比例提高5个百分点的倾斜支付政策。夯实医疗救助托底保障功能，按照“先保险后救助”原则，对基本医保、大病保险等支付后个人医疗费用负担仍然较重的救助对象按规定实施救助，合力防范因病致贫返贫风险。</p><p>	第十二条落实综合保障政策。医疗保障、民政、乡村振兴等医疗救助协同部门要稳妥推动规范、高效、安全的数据交换和信息共享机制，全面对接社会救助经办服务，按照职责分工做好困难群众医疗救助申请受理、分办转办及结果反馈。强化医疗救助、临时救助、慈善救助等综合性保障措施，精准实施分层分类帮扶。综合救助水平要根据困难群众家庭经济状况、个人实际费用负担情况合理确定。积极引导社会力量参与救助保障，不断壮大慈善救助，鼓励医疗互助和商业健康保险发展。鼓励慈善组织和其他社会组织设立大病救助项目，培育实施品牌救助项目，发挥补充救助作用。指导慈善组织依法开展大病救助募捐活动，推动供需精准对接。</p><p>	第十三条建立健全防范和化解因病致贫返贫长效机制。实施医疗救助对象信息动态管理，依托四川省医疗保障信息平台、农村低收入人口监测平台和民政社会救助信息平台，加强信息共享，做好因病致贫和因病返贫双预警风险监测，对基本医保参保对象实施动态监测，做到主动发现、精准救助。各县(区)医疗保障部门将基本医保参保对象中，个人年度累计自付医疗费用超过我市上年居民人均可支配收入50%的人员信息，定期推送至同级民政、乡村振兴部门。各县(区)民政、乡村振兴部门做好监测工作，将符合条件的人员按规定确定为相应救助对象，并及时反馈至同级医疗保障部门做好标识，按规定落实医疗保障待遇。全面建立依申请救助机制，畅通低保边缘家庭成员、防止返贫监测对象和因病致贫重病患者医疗救助申请渠道，民政、乡村振兴部门要及时开展认定工作，动态调整认定信息，增强救助时效性。已认定为特困人员、孤儿、低保对象的，直接获得医疗救助。</p><p>	第十四条高效规范经办服务。简化申请、审核、救助金给付流程，对已经认定的6类对象，实现统筹区内基本医保、大病保险、医疗救助“一站式”服务、“一窗口”办理、“一单制”结算。做好救助信息共享互认和资助参保、待遇给付等经办服务。推动三重制度服务融合，依托四川省医疗保障信息平台，加强数据归口管理。完善定点医药机构医疗救助服务内容，做好基本医保和医疗救助费用结算。</p><p>	第十五条救助对象原则上应当在市域内县级及以下定点医疗机构就医，确需到三级及以上定点医疗机构(含市内和异地)就医应当完善转诊转院手续。针对经基层首诊转诊至市域内定点医疗机构住院的特困人员、孤儿、低保对象，实行“先诊疗后付费”，全面免除其住院押金。做好异地安置和异地转诊救助对象登记备案、就医结算等服务，按规定转诊的救助对象，执行本市救助标准。除危急重症外，未按规定转诊的救助对象，所发生的医疗费用原则上不纳入医疗救助范围。</p><p>	第十六条2023年全面实现医疗救助市级统筹。具体的医疗救助资金配套和管理办法由市医保局、市财政局另行制定。</p><p>	第十七条&nbsp;未在定点医疗机构“一单制”联网结算的医疗救助费用，应通过“阳光审批平台”和社会保障卡“一卡通”发放。</p><p>	第六章&nbsp;监督与责任追究</p><p>	第十八条定点医疗机构加强救助对象就医行为引导，严控不合理医疗费用支出。强化医保定点医疗机构费用管控主体责任，做好医疗保障费用监控、稽查审核，保持打击欺诈骗保高压态势，确保基金安全高效、合理使用。</p><p>	第十九条医疗保障部门要会同财政、民政、乡村振兴等相关部门开展事前、事中和事后监督检查，民政、乡村振兴部门要对救助对象经济状况等情况进行重点核查。医疗保障部门和经办机构应公布举报电话，接受社会监督。</p><p>	第二十条医疗救助工作人员在开展医疗救助工作中滥用职权、玩忽职守、徇私舞弊等，依法依规给予处分;构成犯罪的，依法追究刑事责任。</p><p>	第二十一条任何单位和个人采取虚报、隐瞒、伪造等手段，骗取医疗救助基金的，按照相关法律法规予以查处;构成犯罪的，依法追究刑事责任。</p><p>	第七章&nbsp;组织保障</p><p>	第二十二条加强组织领导。强化党委领导、政府主导、部门协同、社会参与的重特大疾病保障工作机制。将困难群众重特大疾病医疗救助托底保障政策落实情况作为加强和改善民生的重要指标，纳入医疗救助工作绩效评价。加强医疗救助基金预算管理，落实县(区)政府对医疗救助的投入保障责任。加强政策宣传解读，及时回应社会关切，营造良好舆论氛围。</p><p>	第二十三条强化部门协同。建立健全部门协同机制，加强医疗保障、社会救助、医疗卫生制度政策及经办服务统筹协调。医疗保障部门要统筹推进医疗保险、医疗救助制度改革和管理工作，落实好医疗保障政策。民政部门要做好相关救助对象认定工作，会同相关部门做好因病致贫重病患者认定和相关信息共享，支持慈善救助发展，统筹做好其他社会救助。财政部门要按规定做好资金支持。卫生健康部门要强化对医疗机构的行业管理，规范诊疗路径，促进分级诊疗。税务部门要做好基本医保保费征缴相关工作。银保监部门要加强对商业保险机构承办大病保险的行业监管，规范商业健康保险发展。乡村振兴部门要做好防止返贫监测对象监测和信息共享。工会要完善困难职工帮扶体系，做好职工医疗互助和罹患大病困难职工帮扶。</p><p>	第二十四条夯实基层基础。加强基层医疗保障队伍建设，统筹医疗保障公共服务需求和事业发展需要，充实经办、服务、监管等人员配置，做好相应保障。积极引入社会力量参与经办服务，鼓励商业保险机构、慈善组织、社会工作服务机构等参与医疗救助经办服务。大力推动医疗救助经办服务下沉，重点提升信息化和经办服务水平。加强医疗救助政策和业务能力培训，努力打造综合素质高、工作作风好、业务能力强的基层医保队伍。</p><p>	第八章&nbsp;附则</p><p>	第二十五条市医保局、市财政局可根据国家和省上部署、医疗救助资金支付能力、医学技术发展等情况，对医疗救助相关政策适时进行调整。</p><p>	第二十六条此前有关政策与本实施办法不一致的，以本办法为准。</p><p>	第二十七条&nbsp;&nbsp;本办法自2022年12月25日起施行，有效期5年。本办法相关政策自2022年9月1日起执行。</p>', '', 128, 0, 0, 99, '', '2023-09-07 14:20:51', 7, '2023-09-07 14:20:51', 7, '', ''), (1168, 126, 'title', '标题', 'input', '', 'string', '宜宾市人民政府办公室关于印发《实施十大工程促进高校和中职学校毕业生等青年就业创业政策措施》的通知', '', 128, 0, 1, 1, '', '2023-09-07 14:22:49', 7, '2023-05-13 14:39:46', 1, '', ''), (1169, 126, 'date', '发布时间', 'date', '', 'string', '2023-12-18', '', 128, 0, 1, 2, '', '2023-09-07 14:22:49', 7, '2023-05-13 17:52:13', 1, '', ''), (1170, 126, 'type', '选择分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 3, '', '2023-09-07 14:22:49', 7, '2023-05-13 14:40:41', 1, '', ''), (1171, 126, 'content', '内容', 'text', '', 'string', '<p>三江新区管委会，各县(区)人民政府，市直各部门(单位)，各在宜高校:</p><p>	经市委、市政府同意，现将《实施十大工程促进高校和中职学校毕业生等青年就业创业政策措施》印发你们，请结合实际，认真贯彻执行。</p><p class=\"ql-align-right\">	宜宾市人民政府办公室</p><p class=\"ql-align-right\">	2022年12月18日</p><p class=\"ql-align-center\">	<strong>实施十大工程促进高校和中职学校毕业生等青年就业创业政策措施</strong></p><p>	为深入贯彻党的二十大精神、习近平总书记来川来宜视察重要指示精神及省委十二届二次全会精神，认真落实党中央、国务院和省委、省政府系列稳就业保就业决策部署，根据省政府《关于印发〈进一步稳定和扩大就业十五条政策措施〉的通知》(川府发〔2022〕12号)，省就业工作领导小组办公室、人力资源社会保障厅《关于印发〈进一步促进高校毕业生等青年就业创业十三条政策措施〉的通知》(川人社发〔2022〕13号)精神，结合我市实际，制定本政策措施。</p><p>	一、实施高校和中职学校毕业生稳定就业工程</p><p>	(一)稳定政策岗位规模</p><p>	完善编制动态调整机制，优化编制资源配置，加大机关事业单位招录(聘)力度，加强各项招录(聘)实施进程与高校毕业生求职时间衔接，全市机关、事业单位每年拿出不少于1000个岗位面向高校毕业生招考招录(聘)。〔责任单位:市委组织部、市委编办、市人力资源社会保障局，三江新区管委会、各县(区)政府。逗号前为牵头单位，下同〕</p><p>	深化落实基层法官检察官助理规范便捷招录机制，提高法治工作部门招录具有法学和其他学科双学位、法学交叉学科、党内法规学科或研究方向教育背景的人才比例，按权限放宽艰苦边远地区法治工作部门公务员招录条件，畅通政法专业高校毕业生进入基层司法机关就业渠道。(责任单位:市委组织部，市法院、市检察院)</p><p>	在全市医疗卫生机构、中小学校、县级新冠疫情社区排查专班、乡镇(街道)或乡镇(街道)社工站等设立公共卫生特别服务岗，招募一批医药卫生类专业、社会工作相关专业高校毕业生从事医疗卫生、校医辅助、疫情社区排查防控等工作，服务期限最长不超过3年。(责任单位:市卫生健康委，市委人才大学城局、市教育体育局、市民政局、市财政局、市人力资源社会保障局等)</p><p>	受疫情影响严重地区，在2022年12月31日前可实施中小学、幼儿园、中等职业学校教师资格“先上岗、再考证”阶段性措施。(责任单位:市教育体育局，市人力资源社会保障局)</p><p>	(二)鼓励企业吸纳就业</p><p>	鼓励国有企业(含国有控股和国有资本占主导地位企业，下同)挖掘岗位潜力，稳定和扩大高校毕业生招用规模。〔责任单位:市国资委，三江新区管委会、各县(区)政府〕</p><p>	对中小微企业招用毕业年度大学生、登记失业半年以上的人员就业并签订1年以上劳动合同且按规定缴纳社会保险费的，给予1000元/人一次性吸纳就业补贴，政策实施期限截至2024年12月31日，所需资金在中、省就业创业补助资金中列支。鼓励市内用人单位为招用的高校毕业生提供事业提升发展通道，每年通报表扬一批吸纳高校和中职学校毕业生先进企业。〔责任单位:三江新区管委会、各县(区)政府〕</p><p>	企业招用失业半年以上青年符合政策条件的，在3年内按实际招用人数7800元/年·人的定额标准对企业扣减有关税费，政策实施期限截至2025年12月31日。(责任单位:市财政局、宜宾市税务局，市人力资源社会保障局)</p><p>	小微企业、新型农业经营主体和社会组织招用离校2年内未就业高校毕业生，签订1年以上劳动合同并为其缴纳社会保险费的，按单位实际缴纳的社会保险费给予社保补贴，补贴期限最长不超过1年，所需资金在中、省就业创业补助资金中列支。(责任单位:市人力资源社会保障局，市财政局)</p><p>	(三)鼓励来宜留宜就业</p><p>	首次进入市内用人单位(机关事业单位除外)签订劳动合同并购买社会保险且稳定就业一年以上的，给予在宜就业高校毕业生1000元/人一次性就业补贴，所需资金由各县(区)财政安排解决，政策实施期限截至2025年7月31日。〔责任单位:三江新区管委会、各县(区)政府〕</p><p>	(四)简化求职就业手续</p><p>	推进体检结果互认，高校毕业生近6个月内已在合规医疗机构进行体检的，用人单位应当认可其结果，原则上不得要求其重复体检，法律法规另有规定的从其规定。(责任单位:市委组织部、市人力资源社会保障局、市国资委)</p><p>	取消高校毕业生离校前公共就业人才服务机构在就业协议书上签章环节，取消高校毕业生离校后到公共就业人才服务机构办理报到手续。(责任单位:市人力资源社会保障局)</p><p>	从2023年起，不再发放、补办、改派就业报到证，高校毕业生凭学历证书直接办理城镇落户手续，高校及相关部门按规定转递档案。(责任单位:市公安局、市人力资源社会保障局)</p><p>	(五)强化公共就业服务</p><p>	健全高校和中职学校就业指导体系，引导学生树立正确的职业观、就业观和择业观，充分发挥公共就业服务机构、高校和中职学校管理部门职能作用，每年对在宜高校和中职学校开展全覆盖就业创业指导服务进校园活动不低于12场(次);会同在宜高校和中职学校针对性搭建线上线下就业平台，组织开展“百日千万”网络招聘等专项活动，加密线上线下招聘频次，开展“直播带岗”、视频面试等特色招聘。运用政府购买服务机制，支持经营性人力资源服务机构、社会组织等市场力量提供多元化招聘服务。支持市科教产业集团公司开展大学生就业冲刺夏令营活动。〔责任单位:市人力资源社会保障局、市委人才大学城局、市教育体育局，市财政局、团市委、市妇联、市残联、在宜高校、市职技校、市科教产业集团公司、三江新区管委会、各县(区)政府〕</p><p>	强化高校毕业生离校前后信息衔接，运用线上登记、窗口服务、社区摸排等各类渠道，与离校未就业高校毕业生及失业青年普遍联系，建立实名制数据库，为有就业意愿的免费提供1次职业指导、3次岗位推荐、1次职业培训或就业见习机会。(责任单位:市人力资源社会保障局)</p><p>	二、实施高校毕业生灵活就业工程</p><p>	(六)支持自主灵活就业</p><p>	对离校2年内未就业高校毕业生灵活就业后缴纳社会保险费的，按个人缴纳社会保险费的2/3标准给予社会保险补贴，补贴期限不超过2年，所需资金在中、省就业创业补助资金中列支。〔责任单位:三江新区管委会、各县(区)政府〕</p><p>	鼓励毕业年度内高校毕业生、登记失业半年以上青年从事个体经营，在3年内按14400元/户·年的限额标准扣减有关税费，政策实施期限截至2025年12月31日。(责任单位:市财政局、宜宾市税务局，市人力资源社会保障局)</p><p>	三、实施引导高校毕业生服务基层工程</p><p>	(七)拓宽基层就业空间</p><p>	到县以下基层单位就业的高校毕业生等青年，按规定享受高定工资、试用期执行转正定级工资、首次申报评审职称提前1年等政策，对其中招聘为事业单位正式工作人员的，可提前转正定级。(责任单位:市委组织部、市人力资源社会保障局)</p><p>	四川省省属高校毕业生到我市艰苦边远地区基层单位连续服务三年及以上，按规定予以学费奖补。〔责任单位:市教育体育局，市财政局、相关县(区)政府〕</p><p>	继续实施“三支一扶”计划、农村特岗教师计划、大学生志愿服务西部计划等基层服务项目，市本级每年安排资金开发本地“大学生志愿服务西部计划”基层项目岗位150名，主要面向在宜高校专项招聘。〔责任单位:市人力资源社会保障局、市教育体育局、团市委，市财政局、市委人才大学城局、三江新区管委会、各县(区)政府〕</p><p>	四、实施高校学生报名参军工程</p><p>	(八)鼓励报名参军入伍</p><p>	大学毕业生享受优先报名应征、优先体检政考、优先审批定兵、优先分配方向。技工院校全日制预备技师(技师)班、高级工班毕业生取得国家认可的高级及以上职业资格证书或职业技能等级证书的，参军入伍时分别按照全日制本科、大专学历落实优先政策，并享受有关奖励优待。当年上半年批准入伍的高职(专科)、普通本科及以上毕业年级学生，所在高校应开辟毕业设计和论文答辩绿色通道，完成规定学业、符合毕业条件的，所在高校应当准予毕业，享受应届大学生入伍有关优惠政策。同时，鼓励新入职大学毕业生“带编”入伍，按规定保留其人事关系或者劳动关系。〔责任单位:三江新区管委会、各县(区)政府，市委人才大学城局、市征兵办〕</p><p>	自2022年9月起，从宜宾市应征入伍的大学生义务兵，入伍一次性奖励金按照普通全日制本科及以上学历毕业生3万元、普通全日制专科毕业生2.5万元、普通全日制大学在校生及高校新生1万元的标准发放。技工院校全日制预备技师(技师)班、高级工班毕业生取得国家认可的高级及以上职业资格证书或职业技能等级证书的，分别比照普通全日制本科、专科毕业生发放入伍一次性奖励金。所需资金由各县(区)财政安排解决，县(区)退役军人部门负责发放。〔责任单位:三江新区管委会、各县(区)政府〕</p><p>	在我市参军入伍的大学生，服役期间立功受奖的，适当提高一次性奖励金发放标准，具体为:平时荣誉称号提高到6万元/人、平时一等功提高到3.5万元/人、平时二等功提高到1.2万元/人、平时三等功提高到0.3万元/人、嘉奖提高到0.07万元/人，其他功勋荣誉表彰参照有关规定执行。所需经费由县(区)财政保障，县(区)退役军人部门负责发放。〔责任单位:三江新区管委会、各县(区)政府，市退役军人局〕</p><p>	全市每年从新招聘事业单位岗位中拿出一定数量的公益一类事业单位编制岗位(不含转业士官安置计划)，定向招聘经各县(区)政府征兵办批准入伍的全日制普通高校毕业生退役士兵(含退役后复学取得学历的大学生士兵)。〔责任单位:三江新区管委会、各县(区)政府、市退役军人局，市委编办、市人力资源社会保障局、市征兵办〕</p><p>	五、实施高校和中职学校毕业生创业扶持工程</p><p>	(九)鼓励创业吸纳就业</p><p>	鼓励毕业3年内的高校毕业生创业新增岗位吸纳劳动者就业，签订劳动合同并按规定参加社会保险的，招用3人(含3人)以下的，给予2000元/人的奖励;招用3人以上的，每增加1人奖励3000元，最高奖励总额不超过10万元。所需资金在中、省就业创业补助资金中列支。〔责任单位:三江新区管委会、各县(区)政府〕</p><p>	(十)强化创业金融扶持</p><p>	高校毕业生、登记失业青年自主创业且符合条件的，可申请贷款额度最高不超过20万元、贷款期限最长不超过3年的创业担保贷款，按规定享受贴息政策。小微企业当年新招用高校毕业生、登记失业青年等群体符合人数规定的，可申请最高不超过300万元、贷款期限最长不超过2年的创业担保贷款，按规定享受贴息政策。(责任单位:市财政局、人行宜宾中支，市人力资源社会保障局)</p><p>	(十一)鼓励引导自主创业</p><p>	鼓励引导高校和中职学校毕业生返乡下乡领办、创办农业企业，发展电子商务;对符合条件的创业高校和中职学校毕业生一次性发放创业补贴1.5万元/人，领创多个创业项目的，累计补贴最高不超过10万元。所需资金在中、省就业创业补助资金和地方配套资金中列支。〔责任单位:市人力资源社会保障局、市财政局、市委人才大学城局、市教育体育局，三江新区管委会、各县(区)政府〕</p><p>	政府投资开发的孵化器等创业载体要安排30%左右的场地免费向高校毕业生创业者提供。(责任单位:市发展改革委、市科技局、市人力资源社会保障局、市农业农村局等)</p><p>	(十二)加强创业载体扶持</p><p>	按要求推进“天府微创园”建设，持续实施“青创计划”，延伸创业服务体系。(责任单位:市人力资源社会保障局、团市委)</p><p>	加大青年创业项目支持力度，对评审通过的四川科技英才培养计划创新创业苗子工程培育项目给予1万元～5万元资金支持，重点项目给予10万元资金支持;对新认定的国家级、省级科技企业孵化器和大学科技园，分别给予一次性100万元、50万元补助;对新认定的国家级众创空间(专业化众创空间)、省级众创空间，分别给予50万元、30万元补助;对新认定的国家级、省级创业孵化基地给予90万元的一次性补助。(责任单位:市科技局、市人力资源社会保障局，市财政局)</p><p>	六、实施高校和中职学校毕业生见习提能工程</p><p>	(十三)强化就业见习提能</p><p>	组织毕业2年内的高校毕业生、16～24岁失业青年参加3～12个月就业见习，按全市最低工资标准给予用人单位就业见习补贴，就业见习补贴标准实施期限截至2024年12月31日，所需资金在中、省就业创业补助资金中列支。各地要为就业见习人员购买人身意外伤害保险，有条件的用人单位可为见习人员购买工伤保险、商业医疗保险。(责任单位:市人力资源社会保障局，市财政局)</p><p>	离校未就业高校毕业生到基层实习见习基地或者到企事业单位参加项目研究的，视同基层工作经历，自报到之日起算。(责任单位:市委组织部、市人力资源社会保障局)</p><p>	支持各就业见习基地参加国家级、省级就业见习基地评定，对成功创建为国家级、省级就业见习基地的，按规定分别落实30万元、20万元的一次性奖补资金，政策实施期限截至2024年12月31日。(责任单位:市人力资源社会保障局，市财政局)</p><p>	七、实施高校和中职学校毕业生援助帮扶工程</p><p>	(十四)开展困难援助帮扶</p><p>	对低保家庭、脱贫残疾人家庭、原建档立卡贫困家庭，以及残疾、特困、获得国家助学贷款等高校和中职学校毕业生给予1500元/人的一次性求职创业补贴;充分发挥社区吸纳高校毕业生就业作用，各社区开发高校毕业生公益性岗位原则上不少于2个，公益性岗位优先托底安置失业一年以上的就业困难高校毕业生，鼓励县(区)加大配套资金投入，改善公益性岗位从业人员收入水平。所需资金在中、省就业创业补助资金中列支。〔责任单位:市人力资源社会保障局、市财政局、三江新区管委会、各县(区)政府〕</p><p>	免除2022年及以前年度高校毕业生2022年应偿还的国家助学贷款利息，本金可申请延期1年偿还，不计复利;高校毕业生因疫情影响2022年未及时还款的，不影响征信。(责任单位:市财政局、人行宜宾中支)</p><p>	(十五)维护劳动就业权益</p><p>	开展平等就业相关法律法规和政策宣传，坚决防止和纠正性别、年龄、学历等就业歧视，依法打击“黑职介”、虚假招聘、售卖简历等违法犯罪活动，坚决治理付费实习、滥用试用期、拖欠试用期工资等违规行为。(责任单位:市人力资源社会保障局、市委人才大学城局、市教育体育局、市公安局)</p><p>	对存在就业歧视、欺诈等问题的用人单位，及时向高校和中职学校毕业生发布警示提醒。(责任单位:市委人才大学城局、市教育体育局，市人力资源社会保障局、市公安局)</p><p>	八、实施高校和中职学校毕业生提技赋能工程</p><p>	(十六)提升职业技能水平</p><p>	鼓励市科教产业集团公司会同市职技校、宜宾职业技术学院与在宜高校开展职业技能培训合作。对高校学生参加职业技能培训并取得职业资格证书或职业技能等级证书的，按1800元/人标准给予高校学生职业技能培训补贴。对在宜高校组织学生开展创业培训的，按规定给予补贴支持。所需资金在职业技能提升行动资金或中、省就业创业补助资金中列支。〔责任单位:市人力资源社会保障局、市财政局、在宜高校、市职技校、三江新区管委会、相关县(区)政府〕</p><p>	支持中高职院校组织学生参加所学专业之外的职业技能等级培训，按取得职业技能等级证书人数给予学校1500元/人的一次性职业技能培训补贴，所需资金由市、县(区)财政安排解决。对中职学校组织毕业年度学生开展创业培训(网创培训)的，按规定给予补贴支持，所需资金在中、省就业创业补助资金中列支。〔责任单位:市人力资源社会保障局、市财政局，市教育体育局、市卫生健康委、市职技校、各县(区)政府〕</p><p>	(十七)部分放宽考评限制</p><p>	鼓励高校毕业生等青年在获得学历证书的同时获得相关职业资格证书或职业技能等级证书，对需要学历学位证书作为报考条件的，允许先参加考试评定，通过考试评定的，待取得相关学历学位证书后再发放职业资格证书或职业技能等级证书。(责任单位:市人力资源社会保障局、市委人才大学城局)</p><p>	九、实施中职毕业生学历提升工程</p><p>	(十八)支持在职学历提升</p><p>	支持在宜就业中职毕业生提升学历，对取得大专及以上学历证书(含技工院校高级工班及以上毕业证)的，给予4000元/人的一次性学历提升补贴;对取得本科学历和学位证书的，给予8000元/人的一次性学历提升补贴。所需资金由各县(区)财政安排解决。〔责任单位:三江新区管委会、各县(区)政府，市教育体育局〕</p><p>	十、实施高校毕业生安居稳就业工程</p><p>	(十九)实施留宜安居补贴</p><p>	鼓励各县(区)结合实际出台购房补贴政策，促进在我市就业的全日制专科(含技工院校高级工班、预备技师班)及以上高校毕业生留宜安居，补贴原则按不低于300元/平方米给予一次性补贴，具体补贴标准由各县(区)自行确定。〔责任单位:三江新区管委会、各县(区)政府，市住房城乡建设局〕</p><p>	(二十)给予就业租房支持</p><p>	鼓励各县(区)结合实际出台租房补贴政策，对在我市就业的应届全日制专科(含技工院校高级工班、预备技师班)及以上高校毕业生给予租房扶持，具体补贴标准由各县(区)自行确定。〔责任单位:三江新区管委会、各县(区)政府，市住房城乡建设局〕</p><p>	(二十一)提供求职免费住宿</p><p>	鼓励各县(区)根据实际情况建立人才就业驿站，为来宜求职应届高校毕业生提供最多7天的免费住宿服务。〔责任单位:三江新区管委会、各县(区)政府〕</p><p>	本政策措施自印发之日起施行，有效期至2025年7月31日止(文中有明确规定政策实施期限的除外)。2022年8月1日至文件施行之日期间，按本政策措施执行。今后中、省、市有政策新规定的，按新规定执行。</p>', '', 128, 0, 0, 99, '', '2023-09-07 14:22:49', 7, '2023-05-13 14:41:03', 1, '', ''), (1172, 127, 'title', '标题', 'input', '', 'string', '宜宾市人民政府办公室关于进一步加强政府系统政务新媒体建设管理工作的通知', '', 128, 0, 1, 1, '', '2023-09-07 14:24:16', 7, '2023-05-13 14:39:46', 1, '', ''), (1173, 127, 'date', '发布时间', 'date', '', 'string', '2023-03-23', '', 128, 0, 1, 2, '', '2023-09-07 14:24:16', 7, '2023-05-13 17:52:13', 1, '', ''), (1174, 127, 'type', '选择分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '1', '', 128, 0, 0, 3, '', '2023-09-07 14:24:16', 7, '2023-05-13 14:40:41', 1, '', ''), (1175, 127, 'content', '内容', 'text', '', 'string', '<p>三江新区管委会，各县(区)人民政府，市直各部门(单位):</p><p>	为进一步提高政务新媒体建设管理水平，根据《四川省人民政府办公厅关于创新完善机制加强全省政府系统政务新媒体管理的通知》(川办函〔2022〕89号)要求，现就有关事项通知如下。</p><p>	一、落实工作职责</p><p>	市政府办公室是全市政务新媒体工作的主管单位，三江新区管委会、各县(区)政府办公室是本地区政务新媒体工作的主管单位。按照“谁主管，谁负责”原则，主管单位做好本地区政务新媒体的推进、指导、协调、监督工作。各级行业主管部门要进一步加强对本行业承担公共服务职能的企事业单位新媒体工作的指导和监督。</p><p>	按照“谁主办、谁负责”原则，政务新媒体主办单位要履行规划建设、内容审核、组织保障、健康发展、安全管理等职责，特别要加强信息审核、技术监测和探索创新。政务新媒体内容运营原则上由主办单位负责，确需委托第三方运营的，应要求其具备互联网信息传播和新媒体运维资质能力，督促提高政治敏锐性和政策理解把握能力，并落实好自身管理责任，绝不能一托了之。不得以个人名义开设政务新媒体，不得为专项活动或专项工作单独开设政务新媒体。除确因工作需要外，原则上不再新增政务新媒体账号。</p><p>	二、健全工作机制</p><p>	(一)整合机制。主办单位要推进集约整合，一个单位原则上在同一平台只开设一个账号;在不同平台开设的政务新媒体名称应保持一致;有多个账号的，要将信息发布、政民互动、办事服务等功能集成到一个账号。无政府网站和政务新媒体的单位，应借助市、县(区)政府门户网站及时主动回应社会关切。要加强运维保障，施行准入承诺制;要加大突出问题处置力度，探索形成“约谈—整改—关停”退出流程。</p><p>	(二)读网机制。主办单位要建立完善不间断读网制度，特别是在节假日、全国两会、重大活动等重要节点期间，需实行单位负责人值班带班制度，并安排人员轮流值班读网。如收到主管单位及有关单位的通知等，要及时做好记录，抓好工作落实。读网期间要负责对政务新媒体各个频道、栏目及专题进行监控，及时更新信息、纠正错情，保证政务新媒体正常运行。</p><p>	(三)联动机制。主管单位要定期与宣传、网信、公安、政务服务、数字经济等部门(单位)沟通协调，共同做好发布引导、舆情研判、应急处置、服务整合等工作，合力解决工作中的问题和困难。主办单位要加强党中央国务院和省委省政府、市委市政府重要信息的及时转载，形成整体联动、同频共振的传播格局;要加强与政府网站融合发展，强化与主流新闻媒体的交流合作，提高政府权威信息影响力，助力政策措施的落实落地。</p><p>	三、完善功能建设</p><p>	(一)深化内容建设。主办单位为信息发布工作的责任单位，单位主要负责人为第一责任人，发布信息应是本地区、本部门职责相关的政务信息并注明撰稿人、审核人、审签人等，不得发布代表个人观点、意见及情绪的言论，不得刊登商业广告或链接商业广告页面;要加大力度转载习近平总书记重大活动、重要讲话等权威信息;要建立完善信息内容更新机制，每两周至少更新一次;要积极制作原创类政务信息，市、县(区)主账号要带头探索对信息进行梳理、提炼，推动“一次采集、多种生产、多元发布”，以数字化、微访谈、图解、视频、动漫等多形式展现。</p><p>	(二)畅通互动交流。主办单位要建立健全与群众、企业沟通的桥梁，畅通政务新媒体互动渠道，完善留言评论、咨询投诉等栏目，依法依规、态度诚恳、严谨周到、及时规范回复网民留言，杜绝答非所问、空洞说教、生硬冷漠、雷人雷语。咨询类问题原则上在24小时内办结;建议、投诉类问题7个工作日内办结。针对留言中涉及重大突发事件或社会热点事件的，应及时发布权威信息，澄清事实，辟除谣言。要梳理常见问题，建立完善权威、有效的咨询答问库，并持续更新，不断提升答问效率和互动质量。有条件的政务新媒体账号可依托政府网站、电子邮箱等平台，建立纠错举报渠道。</p><p>	(三)优化政务服务。具备依托互联网提供政务服务能力的主办单位都应提高线上服务水平，立足实现群众“掌上办”“最多跑一次”的需求，加快将信息查询、办事预约、证照办理等在线服务整合到政府网站与政务新媒体，并设置统一的办事入口，实现政府网站、政务新媒体与办事大厅线上线下联通、数据互联共享，提升政务服务水平。各县(区)要运用政务新媒体，推进“政务公开+基层治理”行动，实现权力运行公开透明，办事进度全程可查，同时注重结合智慧城市、智慧社区、数字乡村等建设，提高政务新媒体便民服务数字化智能化水平。</p><p>	四、强化矩阵建设</p><p>	由主管单位牵头，以市、县(区)主账号为龙头，积极建设政务新媒体矩阵，推进整体联动、协同发声，全面提升政务新媒体传播力、引导力、影响力、公信力;充分发挥市、县(区)主账号的引领作用，健全信息发布、互动回应协作机制，积极开展转办督办联动、线上线下联动。市、县(区)政府门户网站应加强政务新媒体矩阵专栏建设管理，并根据开设、变更、注销等实际情况动态调整，方便群众关注或下载。</p><p>	五、严格内容审核</p><p>	主办单位要提高政治站位，坚持正确导向，严格落实政府信息公开审查和信息发布“三审”制度，规范审核流程，压实审核责任。涉及本地区、本部门、本系统的重大事件、应急突发事件等信息，未经授权严禁擅自发布。对转载发布的信息，要在发布的信息中注明信息来源，并标注编校人、审核人。切实保护好用户信息安全，不得违法违规获取超过服务需求的个人信息，不得公开损害用户权益的内容。涉及公民个人隐私的，应当严格遵守国家有关公民个人信息保护的法律法规;除惩戒公示、强制性信息披露外，应予以去标识化技术性处理。</p><p>	六、做好安全防护</p><p>	主办单位要严格落实网络意识形态和网络安全工作责任制，建立健全安全管理、保密审查制度和应急预案，切实守住网络安全底线;要加强对政务新媒体账号密码和使用终端的安全管理，防止账号被盗用或被恶意攻击等安全事件发生;要加强日常监测，发现违法有害信息要第一时间处理，发现重大舆情要按程序转送相关部门办理;在加挂或链接新的功能或业务系统前，要开展测试，严格审核把关，必要时应开展安全评估。要加强离职人员安全保密管理。</p><p>	七、强化组织保障</p><p>	(一)加强组织领导。主管主办单位要进一步完善政务公开工作机制，将政务新媒体工作纳入重要议事日程定期研究，确定分管领导，明确承办机构，落实必要经费保障，县级以上人民政府主办的政务新媒体应明确专人负责，其他主办单位应配齐配强工作人员，专岗专责，抓好工作落实。因工作岗位调整的，应在人员变动后3个工作日内向市政府信息服务保障中心报备。</p><p>	(二)加强人员培训。主管单位要统筹做好指导和培训工作。主办单位要定期开展政务新媒体建设管理培训，并将保密教育和政务舆情风险意识教育纳入培训计划，积极开展交流、研讨，增强信息编发能力、回应引导能力、工作执行能力和应急处置能力，努力打造一支政治立场坚定、熟悉政策法规、掌握传播规律、具备较强能力的专业队伍。</p><p>	(三)加强监督管理。主管单位要每季度至少开展一次全覆盖检查，并及时向社会公开检查结果，通报存在问题，总结经验做法。对多次发现突出问题且整改不力的政务新媒体账号，本级主管单位可责令其关停;探索政务新媒体分级分类精细化监管，并持续落实分级备案制度，凡开设、变更、注销账号，应在2个工作日内向本级主管单位备案，未向本级主管单位备案私自开设的政务新媒体账号，一经发现，一律予以关停注销。</p><p>	(四)加强考核评价。主管单位要按年度开展政务新媒体检查评估工作，将结果纳入年度政务公开绩效考评，同时树立重实干、重实绩、重担当的鲜明导向，对政务新媒体工作成效好的单位和个人，按照有关规定予以激励表扬;对违反规定发布转载不良或有害信息、破坏网络传播秩序、损害公众权益等突出问题，要严肃追责问责。</p>', '', 128, 0, 0, 99, '', '2023-09-07 14:24:16', 7, '2023-05-13 14:41:03', 1, '', '');
INSERT INTO `mortals_sys_app_info_field` VALUES (1176, 128, 'title', '标题', 'input', '', 'string', '宜宾市人民政府关于宜宾市中心城区国有土地上房屋征收补偿标准有关事宜的通知', '', 128, 0, 1, 1, '', '2023-09-07 14:26:06', 7, '2023-05-13 14:39:46', 1, '', ''), (1177, 128, 'date', '发布时间', 'date', '', 'string', '2023-06-15', '', 128, 0, 1, 2, '', '2023-09-07 14:26:06', 7, '2023-05-13 17:52:13', 1, '', ''), (1178, 128, 'type', '选择分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '1', '', 128, 0, 0, 3, '', '2023-09-07 14:26:06', 7, '2023-05-13 14:40:41', 1, '', ''), (1179, 128, 'content', '内容', 'text', '', 'string', '<p>三江新区管委会，翠屏区、叙州区人民政府，市级有关部门，有关企事业单位：</p><p>	为保障被征收房屋所有权人（以下简称被征收人）的合法权益，切实维护公共利益，根据《国有土地上房屋征收与补偿条例》（国务院令第590号）、《四川省国有土地上房屋征收与补偿条例》（四川省人大常委会2014年第26号公告）及《国有土地上房屋征收评估办法》（建房〔2011〕77号）的规定，结合宜宾市城市规划区实际，现就中心城区国有土地上房屋征收补偿标准有关事宜通知如下。</p><p>	一、适用范围</p><p>	三江新区，翠屏区合江门街道、大观楼街道、西郊街道、安阜街道、象鼻街道、李庄镇、菜坝镇、宗场镇，叙州区南岸街道、赵场街道、柏溪街道。</p><p>	二、被征收房屋性质、用途及建筑面积的认定</p><p>	（一）征收已经登记的房屋，其性质、用途和建筑面积以房屋权属证书或者房屋登记簿的记载为准，作为征收补偿的依据。房屋权属证书记载的事项，应当与房屋登记簿一致；记载不一致的，除有证据证明房屋登记簿确有错误的，以房屋登记簿为准。</p><p>	（二）被征收房屋未经产权登记的，由各区人民政府组织相关职能部门依法对房屋征收范围内未经登记建筑的性质、用途及建筑面积等进行调查、认定和处理。对认定为合法建筑和未超过批准期限的临时建筑的，应当给予补偿；对认定为违法建筑和超过批准期限的临时建筑的，不予补偿。</p><p>	各区人民政府应当将未经登记的建筑认定和处理结果在房屋征收范围内公示，公示期不得少于七日。</p><p>	当事人对认定和处理结果有异议的，应当在公示期内提出，做出认定和处理的部门应当进行核实并作出处理决定。</p><p>	三、征收补偿标准</p><p>	国有土地上房屋征收补偿包括被征收房屋价值的补偿、装饰装修补偿、室内基本设施设备损失补偿、搬迁补偿、住宅房屋临时安置补偿和非住宅房屋停产停业损失补偿。被征收人可以选择货币补偿，也可以选择房屋产权调换。被征收房屋的价值由具有相应资质的房地产价格评估机构按照房屋征收评估相关规定评估确定，评估机构的选择按照《四川省国有土地上房屋征收与补偿条例》（四川省人大常委会2014年第26号公告）、《国有土地上房屋征收评估办法》（建房〔2011〕77号）规定执行。</p><p>	（一）被征收房屋价值的补偿</p><p>	1．被征收人选择货币补偿的，房屋征收部门按照被征收房屋评估单价乘以房屋建筑面积得出的价值，对被征收人进行补偿。</p><p>	2．被征收人选择产权调换的，房屋征收部门根据被征收房屋性质对被征收人进行安置补偿，并与被征收人计算、结清被征收房屋价值与用于产权调换房屋价值的差价。</p><p>	（1）被征收房屋为非住宅的，根据被征收房屋的建筑面积对被征收人进行补偿。产权调换房屋建筑面积与被征收房屋建筑面积相等的部分，按照产权调换房屋市场评估价值优惠10％与被征收人结算差价；超过被征收房屋建筑面积的部分，按照产权调换房屋市场评估价值与被征收人结算差价。</p><p>	（2）被征收房屋为住宅的，按照就近靠户型、征收一套对应安置一套的原则，对被征收人进行安置。被征收房屋和产权调换房屋按照套内建筑面积和公摊面积分别结算差价。</p><p>	房屋征收部门在改建或就近地段提供产权调换房屋的，用于产权调换补偿的房屋套内建筑面积不得小于被征收房屋套内建筑面积，按照被征收房屋和产权调换房屋套内建筑面积调换，等面积部分免补差价，被征收房屋公摊面积小于产权调换房屋公摊面积的，房屋征收部门免收被征收人公摊面积补差款；在其他地段提供产权调换房屋的，产权调换房屋与被征收房屋套内建筑面积相等的部分，按照产权调换房屋市场评估价值优惠20％与被征收人结算差价，并免收被征收人公摊面积补差款。</p><p>	产权调换房屋套内建筑面积超出被征收房屋套内建筑面积10平方米以内（含10平方米）的部分，按照产权调换房屋评估价值优惠10％与被征收人结算差价；超出被征收房屋套内建筑面积10平方米以上的部分，按照产权调换房屋市场评估价值与被征收人结算差价。</p><p>	对征收私有住宅房屋产权建筑面积低于50平方米，经核查他处无住房且符合城镇住房保障条件的被征收人，按不低于50平方米产权建筑面积的标准进行安置，被征收人不再支付50平方米以内建筑面积的补差款。产权调换房屋建筑面积超过50平方米以上的部分，按产权调换房屋市场评估价与被征收人结算差价。</p><p>	（二）装饰装修补偿</p><p>	被征收房屋室内装饰装修价值补偿，由房屋征收部门与被征收人协商确定；协商不成的，可以委托已经选定或者确定的房地产价格评估机构通过评估确定。</p><p>	（三）室内基本设施设备损失补偿</p><p>	因征收房屋造成的水电气的补偿费用由已经选定的房地产价格评估机构评估确定。因征收房屋造成的空调移机、热水器移机、弱电等室内基本设施设备损失补偿及住宅炉灶费补偿，按照以下标准执行：</p><p>	空调移机每台500元，热水器移机每部300元，弱电设施每户850元，住宅炉灶费每户800元。</p><p>	（四）搬迁补偿</p><p>	1．征收非住宅的，被征收人可在以下搬迁补偿方式中选择一种确定搬迁补偿费。</p><p>	（1）根据被征收房屋建筑面积（不含空地），按照35元／平方米的标准给予被征收人用于因征收房屋造成的搬迁补偿费。</p><p>	（2）由资产评估机构对搬迁补偿费进行评估，房屋征收部门按照评估结果给予被征收人用于因征收房屋造成搬迁的补偿费。</p><p>	2．征收住宅的，被征收房屋建筑面积在100平方米以内（含100平方米）搬迁补偿标准为每户2000元／次。超过100平方米的，每增加1平方米，增加10元／平方米的搬迁补偿费。房屋征收部门按照标准给予被征收人两次搬迁补偿费。</p><p>	（五）住宅房屋临时安置补偿</p><p>	住宅房屋临时安置补偿标准由各区人民政府根据实际情况制定。</p><p>	1．被征收人选择货币补偿的，房屋征收部门按照住宅房屋临时安置补偿标准，一次性给予被征收人十二个月的临时安置补偿费。</p><p>	2．被征收人选择产权调换的，产权调换房屋交付前，被征收人可以选择临时安置补偿，也可以选择临时安置过渡用房。选择临时安置补偿的，房屋征收部门在过渡期限内，按照住宅房屋临时安置补偿标准给予被征收人临时安置补偿费。过渡期限从签订征收补偿协议并腾空交付被征收房屋之日起计算，到产权调换房屋交付次月止，过渡期限不超过二十四个月；产权调换房屋为房屋征收范围内新建高层建筑的，过渡期限不超过三十六个月。选择临时安置过渡用房的，征收部门不再支付临时安置补偿费。</p><p>	3．过渡期限超过上述规定的，房屋征收部门按照以下标准分段计算，及时给予被征收人临时安置补偿费：对自行安排住处的被征收人，逾期不足六个月的，逾期时间内临时安置补偿费按规定标准的1.5倍发放；逾期六个月以上不足一年的，本逾期时间内按2倍发放；逾期一年以上的，本逾期时间内按3倍发放。对选择临时安置过渡用房的被征收人，从逾期之月起按月付给临时安置补助费；逾期一年以上的，本逾期时间内临时安置补助费按2倍发放；在此期间内被征收人有权继续使用临时安置用房。</p><p>	（六）非住宅房屋停产停业损失补偿</p><p>	1．对因征收房屋造成停产停业损失的补偿，补偿金额由当事人协商选择下列方式之一确定：</p><p>	（1）按被征收房屋市场评估总价的一定比例计算，具体标准由各区人民政府根据实际情况制定。</p><p>	（2）按被征收房屋租金收益计算，具体标准由各区人民政府根据实际情况制定。</p><p>	（3）按净利润损失计算：具体按照上一年度报税务部门的数值计算，或由双方共同委托中介机构认定；</p><p>	（4）按从业人员工资收入计算：从业人员工资收入根据统计部门公布的本区域上年度城镇职工平均工资收入计算，从业人数按实际从业人员（不含临时人员）计算。无法核定实际从业人数的，可根据房屋面积或有效的劳动合同进行认定；</p><p>	（5）各区人民政府制定的其他补偿办法。</p><p>	协商不成的，可以委托具有相应资质的评估机构通过评估确定。</p><p>	2．非住宅房屋停产停业损失补偿，停产停业期限的确定：</p><p>	（1）被征收人选择货币补偿的，房屋征收部门根据被征收人选择的停产停业损失补偿计算方式，一次性给予被征收人六个月的停产停业损失补偿费。</p><p>	（2）被征收人选择产权调换的，产权调换房屋交付前，被征收人可以选择停产停业损失补偿，也可以选择临时安置过渡用房。选择停产停业损失补偿的，房屋征收部门在过渡期限内，给予被征收人停产停业损失补偿费。过渡期限从签订协议并腾空交付被征收房屋之日起计算，到产权调换房屋交付次月止，过渡期限不超过二十四个月；产权调换房屋为征收范围内新建高层建筑的，过渡期限不超过三十六个月。选择临时安置过渡用房的，征收部门不再支付停产停业损失补偿费。</p><p>	（3）过渡期限超过上述规定的，房屋征收部门按照以下标准分段计算，及时给予被征收人停产停业损失补偿费：超过过渡期限一年以内的，逾期时间内停产停业损失补偿费按规定标准的1.5倍发放；超过过渡期限一年以上的，本逾期时间内停产停业损失补偿费按规定标准的2倍发放。</p><p>	四、政策性补助标准</p><p>	（一）被征收房屋为住宅和用地性质为商业服务业设施用地的非住宅补助</p><p>	被征收人选择货币补偿的，给予被征收人政策性补助包括购房补助、物管费补助；被征收人选择产权调换的，给予被征收人的政策性补助包括物管费补助、首次专项维修资金补助、产权调换房屋装饰装修期补助。</p><p>	1．购房补助。</p><p>	被征收人选择货币补偿的：被征收房屋为住宅，房屋征收部门按照被征收房屋评估价值的30％给予被征收人购房补助；被征收房屋用地性质为商业服务业设施用地的非住宅（不含用地性质为工业、物流仓储、道路与交通设施、公用设施、公共管理与公共服务设施、绿地与广场用地的非住宅），房屋征收部门按照被征收房屋评估价值的20％给予被征收人购房补助。</p><p>	2．物管费补助。</p><p>	房屋征收部门根据被征收房屋建筑面积，按照每月1.2元／平方米的标准，一次性给予被征收人三年的物管费补助，被征收房屋建筑面积小于50平方米的按照50平方米计算。</p><p>	3．首次专项维修资金补助。</p><p>	被征收人选择产权调换的，房屋征收部门应当按照产权调换房屋建筑面积以房地产管理部门公布的产权调换房屋所在区域商品住宅首次专项维修资金缴存标准为被征收人缴存首次专项维修资金，首次专项维修资金由房屋征收部门直接缴入首次专项维修资金专用账户。</p><p>	4．产权调换房屋装饰装修期补助。</p><p>	被征收人选择产权调换的，房屋征收部门按照产权调换补偿协议约定的住宅房屋临时安置补偿标准或非住宅停产停业损失补偿标准，给予被征收人三个月的产权调换房屋装饰装修期补助。</p><p>	（二）征收用地性质为工业、物流仓储、道路与交通设施、公用设施、公共管理与公共服务设施、绿地与广场用地的非住宅，可根据企业经营情况及用地性质适当给予一次性补助，数额不超过被征收房屋评估价值的5％。</p><p>	五、搬迁奖励标准</p><p>	（一）征收住宅和用地性质为商业服务业设施用地的非住宅搬迁奖励</p><p>	1．按时搬迁奖。被征收人在签约期限内签订征收补偿安置协议，并按照协议约定时间腾空交房的，房屋征收部门按照非住宅房屋5万元／户、住宅房屋4万元／户的标准给予被征收人按时搬迁奖励。</p><p>	2．整体搬迁奖励。在征收范围内的被征收人均按时搬迁交房的，房屋征收部门按照1万元／户的标准，给予该区域内的被征收人整体搬迁奖励。</p><p>	3．选择货币补偿搬迁奖励。被征收人选择货币补偿并按时搬迁交房的，房屋征收部门根据被征收房屋建筑面积，按照非住宅一层临街营业性房屋500元／平方米、其余楼层营业性房屋和非住宅房屋300元／平方米，住宅房屋300元／平方米的标准给予被征收人搬迁奖励。</p><p>	（二）征收用地性质为工业、物流仓储、道路与交通设施、公用设施、公共管理与公共服务设施、绿地与广场用地的非住宅搬迁奖励</p><p>	被征收人在签约期限内签订征收补偿安置协议，并按照协议约定时间腾空交房的，房屋征收部门根据被征收房屋评估总价分段进行奖励：1000万元（含1000万元）以下的部分，按照10％给予搬迁奖励；超过1000万元以上的部分，按照超出部分的5％给予搬迁奖励。给予被征收人的搬迁奖励最高不超过500万元。</p><p>	六、征收补偿、政策性补助及搬迁奖励的发放</p><p>	被征收房屋价值的补偿、搬迁补偿、住宅房屋临时安置补偿、非住宅房屋停产停业损失补偿，政策性补助以及搬迁奖励等，以户为单位发放给被征收人。被征收人的认定，以房屋权属证书登记为准，一套房产多人共有的，按照一户认定。</p><p>	七、其它规定</p><p>	（一）房屋征收范围确定并公布后，不得在房屋征收范围内实施新建、扩建、改建房屋及其附属物和改变房屋、土地用途等行为；违反规定实施的部分，不予补偿。</p><p>	房屋征收部门应当将前款所列事项书面通知有关部门暂停办理相关手续。暂停办理相关手续的书面通知应当载明暂停期限。暂停期限最长不得超过一年。</p><p>	房屋征收范围确定并公布后，有下列行为之一的，不增加补偿：</p><p>	1．房屋转让、分割、赠与；</p><p>	2．新增、变更工商营业登记；</p><p>	3．迁入户口或者分户；</p><p>	4．其他为增加补偿费用实施的不当行为。</p><p>	（二）被征收人及其父母、配偶、子女持有残疾证或者居民最低生活保障金领取证的，房屋征收部门给予被征收人每户5000元的一次性困难补助。</p><p>	（三）征收住宅，被征收人、公租房承租人符合城镇住房保障条件的，作出房屋征收决定的各区人民政府应当依据城镇住房保障相关法律、法规规定和被征收人实际分类实施住房保障。为被征收人提供保障性住房的时序，可以按照签订补偿协议后实际搬迁的先后顺序确定。</p><p>	（四）签订征收补偿协议时，房屋征收部门应当在征收补偿协议中与被征收人明确被征收房屋权属证书的注销事项。</p><p>	八、本通知自2023年7月17日起施行，有效期5年。《宜宾市人民政府关于宜宾市中心城区国有土地上房屋征收补偿标准及有关问题的通知》（宜府发〔2013〕19号）同时废止，本通知施行前已发布征收决定公告的征收项目，继续按原文件规定执行。</p>', '', 128, 0, 0, 99, '', '2023-09-07 14:26:06', 7, '2023-05-13 14:41:03', 1, '', ''), (1180, 129, 'title', '标题', 'input', '', 'string', '宜宾市人民政府办公室关于印发《宜宾市城镇燃气安全事故应急救援预案》的通知', '', 128, 0, 1, 1, '', '2023-09-07 14:27:52', 7, '2023-05-13 14:39:46', 1, '', ''), (1181, 129, 'date', '发布时间', 'date', '', 'string', '2023-07-07', '', 128, 0, 1, 2, '', '2023-09-07 14:27:52', 7, '2023-05-13 17:52:13', 1, '', ''), (1182, 129, 'type', '选择分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 3, '', '2023-09-07 14:27:52', 7, '2023-05-13 14:40:41', 1, '', ''), (1183, 129, 'content', '内容', 'text', '', 'string', '<p>三江新区、宜宾高新区、“两海”示范区管委会，各县（区）人民政府，市直相关部门，市公用事业服务集团公司、宜宾华润燃气有限公司、宜宾中气天然气有限公司：</p><p>	《宜宾市城镇燃气安全事故应急救援预案》已经市政府同意，现印发给你们，请遵照执行。</p><p class=\"ql-align-right\">	宜宾市人民政府办公室</p><p class=\"ql-align-right\">	   2023年7月7日</p><p>	  </p><p class=\"ql-align-center\">	宜宾市城镇燃气安全事故应急救援预案</p><p>	</p><p>	1．总则</p><p>	1.1编制目的</p><p>	为做好全市城镇燃气安全事故应急救援工作，实施应急抢险，及时、有序、高效、妥善处置事故、排除隐患，并在必要时实施紧急救援工作，最大限度减少事故可能造成的损失，保护人民生命财产安全，珍惜生命、关爱生命，维护社会稳定，保障经济发展，特制定本预案。</p><p>	1.2编制依据</p><p>	以《中华人民共和国突发事件应对法》《中华人民共和国安全生产法》《中华人民共和国消防法》《生产安全事故应急预案管理办法》《四川省突发事件应对办法》《城镇燃气管理条例》《四川省燃气管理条例》《宜宾市突发事件应急预案管理办法》及有关法律、法规的规定为依据，编制本预案。</p><p>	1.3工作原则</p><p>	统一领导，分级负责；以人为本，预防为先；快速反应，快速处理。</p><p>	1.4概念和适用范围</p><p>	本预案所称城镇燃气安全事故，是指城镇燃气储存、使用、经营和废弃物处置过程中，因其能量意外释放造成人员伤亡、财产损失、环境污染等事故。包括由城镇燃气引起的爆燃事故、泄漏事故以及对社会造成重大影响的其它事故。</p><p>	本预案适用于我市行政区域内城镇发生的因燃气泄漏、爆炸、火灾、中毒等原因造成的事故险情；同时，对各县（区）的燃气突发事件的应急处置具有支援和指导职责。</p><p>	1.5事故分级</p><p>	本预案有关数量的表述，“以上”含本数，“以下”不含本数。</p><p>	1.5.1特别重大事故（Ⅰ级响应）：是指造成30人以上死亡，或者100人以上重伤，或者1亿元以上直接经济损失的事故。</p><p>	1.5.2重大事故（Ⅱ级响应）：造成10人以上、30人以下死亡（含失踪），或危及10人以上、30人以下生命安全，或者50人以上、100人以下中毒（重伤），或者直接经济损失5000万元以上、1亿元以下的安全生产事故。</p><p>	1.5.3较大事故（Ⅲ级响应）：造成3人以上、10人以下死亡（含失踪），或危及10人以上、30人以下生产安全，或者30人以上、50人以下中毒（重伤），或者直接经济损失1000万元以上、5000万元以下的安全生产事故。</p><p>	1.5.4一般事故（Ⅳ级响应）：是指造成3人以下死亡，或者10人以下重伤，或者1000万元以下直接经济损失的事故。</p><p>	2．应急组织指挥体系与职责</p><p>	城镇燃气安全事故救援应急组织体系由市政府及市住房城乡建设局、市应急管理局等部门，燃气管理和生产、经营单位（企业）组成。成立宜宾市城镇燃气安全事故应急救援指挥部（以下简称市应急指挥部）。</p><p>	2.1市应急指挥部</p><p>	2.1.l市应急指挥部组成</p><p>	指挥长：市政府分管副市长</p><p>	副指挥长：市住房城乡建设局局长、市应急管理局局长</p><p>	成员：市委宣传部、市应急管理局、市住房城乡建设局、市公安局、市市场监管局、市卫生健康委、市生态环境局、市交通运输局、市委网信办、市消防救援支队、国网宜宾供电公司、市公用事业服务集团公司、宜宾华润燃气有限公司、宜宾中气天然气有限公司、宜宾天然气发展有限公司、各通讯公司等单位分管负责人。</p><p>	市应急指挥部成员单位按照各自职责，负责本预案实施过程中的重大事项的指导、协调和保障工作。</p><p>	（1）市应急管理局：参与市应急指挥部办公室工作，负责应急处置中综合协调及信息汇总工作；根据授权负责组织或参与生产经营性燃气事故的调查和处理，对事故应急抢险处置和抢险救援工作提出意见和建议。</p><p>	（2）市委宣传部：负责组织、协调应急新闻报道，做好媒体记者的组织、管理和引导工作。</p><p>	（3）市公安局：负责维护燃气安全事故应急抢险现场秩序和社会公共秩序，涉燃气犯罪案件的处置侦破工作，负责事故区域的道路管制和交通疏导工作，负责保障抢险救援人员、车辆的通行，配合做好事故善后工作。</p><p>	（4）市消防救援支队：负责事故中的抢险救援和火灾扑救工作。</p><p>	（5）市住房城乡建设局：负责燃气安全事故信息的接收、核实、处理、传递、通报、报告，组织有关部门及单位对事故发生地进行技术支持和支援，组织事故应急技术研究和应急知识宣传教育等工作。</p><p>	（6）市市场监管局：负责参与燃气压力容器及压力管道抢险方案的制订；参与事故调查处理和技术、质量分析。</p><p>	（7）市卫生健康委：负责组织协调燃气安全事故中的医疗救治、卫生监督、疾病控制等。</p><p>	（8）市生态环境局：负责对燃气安全事故现场周边地区环境监测和实时报告，对事故产生的废弃物等有害物的处置提出措施建议，并协助相关部门进行处理。</p><p>	（9）市交通运输局：负责燃气安全事故处置过程中有关涉及公路损毁、抢修道路等事宜的应急处理。</p><p>	（10）市委网信办：负责牵头处置舆情事件工作。</p><p>	（11）国网宜宾供电公司：负责供电范围内电力供应保障，全力组织抢修，并采取临时应急措施尽快恢复供电。</p><p>	（12）市公用事业服务集团公司：督促参股燃气企业做好燃气应急预案工作和抢险物资储备、人员调配工作；完成市政府安排的应急救援任务。</p><p>	（13）宜宾华润燃气有限公司、宜宾中气天然气有限公司、宜宾天然气发展有限公司：负责编制本企业燃气应急现场抢险救援预案及各类安全事故应急处置措施，做好抢险物资储备、人员调配工作；燃气安全事故发生后，按照市应急指挥部的要求组织实施现场抢修；做好生产调度、抢修作业、安全监护、用户通告、临时供气等工作；做好后勤保障工作，配合事故调查、取证、分析工作。</p><p>	（14）各通讯公司：负责通讯保障工作，有关管线单位负责其所属管线的抢修及保护工作。</p><p>	其他相关部门根据本部门职责，配合做好相关工作。</p><p>	市应急指挥部下设市应急指挥部办公室、市应急指挥部专家工作组、市应急指挥部应急救援抢险组等。</p><p>	2.1.2市应急指挥部办公室组成</p><p>	市应急指挥部办公室设在市住房城乡建设局，负责日常工作。</p><p>	主任：市住房城乡建设局局长</p><p>	副主任：市住房城乡建设局分管安全生产和城镇燃气的局领导、市应急管理局分管燃气安全的局领导</p><p>	成员：市住房城乡建设局市政公用事业管理科、城市建设科、质量安全科、办公室、行政审批科、建设工程消防审验科、财务科主要负责人，市应急管理局相关科室主要负责人，宜宾天然气发展有限公司、宜宾华润燃气有限公司、宜宾中气天然气有限公司主要负责人，燃气专家。</p><p>	2.1.3市应急指挥部专家工作组组成</p><p>	由城镇燃气设施的设计、施工、营运和电力工程、卫生防疫等方面的专家组成。</p><p>	2.1.4市应急指挥部应急救援抢险组组成</p><p>	由城镇燃气企业抢险队伍组成。</p><p>	2.2各级指挥体系职责</p><p>	2.2.1市应急指挥部职责</p><p>	（1）突发性燃气安全事件发生时，负责应急事件处理的统一协调指挥，组织对事故发生地进行技术支持和支援。</p><p>	（2）负责制订、完善和实施城镇燃气安全事故应急预案。</p><p>	（3）负责全市城镇燃气安全事故应急信息的接收、核实、处理、传递、通报、报告；及时了解掌握全市范围内城镇燃气突发安全事故情况，根据情况需要，向上级政府报告事故情况和应急措施的建议。</p><p>	（4）组织燃气安全事故应急技术研究和应急知识宣传教育等工作，拟定宣传口径，指定专门人员拟草和审核新闻通稿，协调和安排相关救援部门负责人、专家接受媒体采访。</p><p>	（5）确定各成员单位的具体职责任务及工作分工。</p><p>	（6）研究、落实市委、市政府交办的有关燃气安全事故处置工作其他重大事项。</p><p>	2.2.2市应急指挥部办公室职责</p><p>	在应急响应期间负责市燃气安全事故应急指挥部成员单位和专家工作组的联络，负责收集情况，及时传达省、市应急领导机构的指示。应急响应时，提出报告和建议；及时传达和执行省、市政府的各项决策和指令，并检查和报告执行情况。</p><p>	2.2.3市应急指挥部专家工作组职责</p><p>	参加市应急指挥部统一组织的活动及专题研究；应急响应时，研究分析事故信息和有关情况，为应急决策提供咨询或提出建议；参与事故调查，对事故处理提出咨询意见；受市应急指挥部的指派，对事发地实施技术支持。</p><p>	2.2.4应急救援抢险组职责</p><p>	负责事发现场的抢险和安全保障，按照市应急指挥部的要求组织实施现场抢修作业、安全监护、临时停气、供气等工作。</p><p>	2.3各县（区）城镇燃气安全事故救援应急组织</p><p>	各县（区）政府根据本预案，制订当地城镇燃气安全事故救援应急预案。比照市应急指挥部职责，成立县（区）级城镇燃气安全事故救援应急指挥部，在当地政府领导下开展工作；办公室设在同级政府建设行政主管部门，具体负责日常工作。</p><p>	3．预防与预警机制</p><p>	3.1市、县级应急指挥部办公室要定期组织应急演练，原则上市级每3年、县级每2年组织一次应急演练，并制定专项应急演练计划，报同级应急指挥部同意后，由预案指挥机构组织实施。</p><p>	企事业单位（社会团体）应急预案原则上根据本单位的事故风险特点每年演练一次，预案演练前的计划安排和演练后的评估报告，应报属地主管部门备案，抄送属地应急指挥部办公室。</p><p>	3.2城镇燃气企业要定期检查本单位燃气应急救援预案、交通、通讯、仪器、抢险工具和专业人员的落实情况，制定年度演练计划，每年组织抢险应急演练，并设专人对抢险器材、设备等定期进行维护保养，确保随时处于工作状态。严格落实巡查、巡线、入户检查制度。</p><p>	3.3应急救援工作应由多部门配合，城镇燃气主管部门应在市应急救援指挥部的统一领导下，与应急、公安、卫生、消防等有关部门及时沟通、密切合作，共同开展应急抢险救援工作。</p><p>	3.4预警机制，当燃气发生泄漏、爆炸、火灾、或使人中毒等情况潜在发生时，当地群众应及时拨打城镇燃气安全事故接警中心电话，并告知周围群众及时撤离。</p><p>	4．应急响应</p><p>	4.1总体要求</p><p>	城镇燃气安全事故发生后，在事发地县（区）政府领导下，县（区）级应急指挥部组织实施事故应急、抢险、排险、抢修、快速修复、恢复重建等方面的工作，初步判断燃气安全事故的级别，提出是否启动城镇燃气安全事故救援应急预案的建议，并及时向上级政府应急机构报告情况。</p><p>	4.2事故报告</p><p>	4.2.1报告程序</p><p>	发生城镇燃气安全事故的单位，必须及时、准确、如实地报告，不得隐瞒不报、谎报或者拖延不报，不得故意破坏事故现场，毁灭有关证据和扰乱现场秩序。</p><p>	城镇燃气安全事故发生后，事故单位及相关人员应立即拨打当地县（区）城镇燃气安全事故接警中心电话，同时组织相关人员做好事故现场的抢险、疏散工作。县（区）接警中心接报后，按照分级响应的规定，立即联系市城镇燃气安全事故应急救援领导小组应急办公室，应急办公室立即向市应急指挥部报告，并由市应急指挥部决定是否启动本预案。</p><p>	事故单位在12小时内将事故书面材料上报当地县（区）城镇燃气行业主管部门，城镇燃气主管部门按《生产安全事故报告和调查处理条例》的规定上报。</p><p>	4.2.2.报告内容</p><p>	主要包括以下内容：</p><p>	（1）事故或险情发生的时间、地点、事故类别、人员伤亡情况，设施损失及对供气造成影响的情况。</p><p>	（2）险情基本情况，事故简要经过，紧急抢险救援情况，直接经济损失。</p><p>	（3）险情或事故原因的初步分析或基本结论。</p><p>	（4）采取的措施。</p><p>	（5）事故报告单位、签发人及报告时间。</p><p>	（6）其他需要上报的有关事项。</p><p>	4.3分级响应</p><p>	发生Ⅰ级特别重大城镇燃气安全突发事件后，由市应急指挥部报市委、市政府主要领导决定启动一级响应，启动后按程序上报并向社会公布。</p><p>	发生Ⅱ级重大城镇燃气安全突发事件后，由市应急指挥部报市政府主要领导决定启动二级响应，启动后按程序上报并向社会公布。</p><p>	发生Ⅲ级较大城镇燃气安全突发事件后，由市应急指挥部办公室报指挥长决定启动三级响应，启动后按程序上报并向社会公布。</p><p>	发生Ⅳ级一般城镇燃气安全突发事件后，由县（区）政府决定启动四级响应，启动后按程序上报并向社会公布。</p><p>	4.4处置措施</p><p>	城镇燃气安全事故发生后，根据事故的严重程度，事发地县（区）应急指挥部立即启动相应等级的应急预案。迅速采取有效措施，组织抢救，防止事态扩大。严格保护事故现场。迅速派人赶赴事故现场，负责维护现场秩序和证据收集工作。服从事发地政府的统一部署和指挥，了解掌握事故情况，协调组织抢险救灾和调查处置等事宜，并根据事故等级及时向市级燃气安全事故应急指挥部办公室报告事态趋势及状况。因抢救人员、防止事态扩大、恢复生产及疏通交通等原因，需要移动现场物件的，应当做好标记，采取拍照、摄像、绘图等方法详细记录事故现场原貌，妥善保存现场重要痕迹、物证。</p><p>	根据燃气安全事故的成因、分类，组织实施救援。</p><p>	4.5指挥协调</p><p>	突发事件应遵循分级负责、属地为主、层级响应、协调联动的原则。当突发事件超出属地政府的应对能力时，由上一级政府提供支援或者负责应对。初判发生一般突发事件，原则上由事发地县（区）政府负责应对。初判发生较大突发事件，原则上由市政府负责应对，由事发地县（区）政府负责先期处置。初判发生重大、特别重大突发事件，市政府负责组织处置的同时，立即报省政府协调支持或组织应对。</p><p>	4.6.应急解除</p><p>	4.6.1现场应急处置工作完成后，经现场应急救援指挥部确认，并报应急指挥部批准，终止实施本预案，现场应急处置工作结束，应急救援队伍撤离事故现场。</p><p>	4.6.2抢险应急状态终止后，各有关单位应及时向市应急指挥部作出书面报告。书面报告的基本内容是：事故发生及抢险经过；事故原因；事故造成后果，包括伤亡人员情况及经济损失等；预防事故采取的措施；应急预案效果及评估情况；应吸取的经验教训以及对事故责任单位及责任人的处理情况等。</p><p>	4.7信息公开和舆情处置</p><p>	4.7.1履行统一领导职责或者组织处置突发事件的人民政府，应当按照有关规定统一、准确、及时发布有关突发事件事态发展和应急处置工作的信息。</p><p>	4.7.2属地应急指挥部办公室成员单位要紧密关注舆情动态，如遇突发舆情事件，应及时处置，并在2小时内向属地应急指挥部报告，应急指挥部接到报告后，同步报上一级应急指挥部办公室，应急指挥部根据事件严重程度抉择是否召开舆情应急处置工作会议。 </p><p>	4.8后期处置</p><p>	4.8.1突发事件的起因调查与分析</p><p>	应急处置工作结束后，履行统一领导职责的人民政府应当及时组织有关部门和专业技术力量，按照有关规定对突发事件造成的损失进行统计、核实和评估；对突发事件的起因、性质、影响、责任等问题开展调查和分析，对信息报送、应急决策、预警、处置与救援等应对工作进行全面客观的评估，并向上一级人民政府和同级人大常委会报告。</p><p>	4.8.2生活、生产秩序的恢复</p><p>	突发事件应急处置工作结束后，履行统一领导职责的人民政府应当立即组织对突发事件造成的损失进行评估，组织受影响地区尽快恢复生产、生活、工作和社会秩序，制定恢复重建计划，并向上一级人民政府报告。</p><p>	 受突发事件影响地区的人民政府应当及时组织和协调公安、交通、铁路、民航、邮电、建设等有关部门恢复社会治安秩序，尽快修复被损坏的交通、通信、供水、排水、供电、供气、供热等公共设施。</p><p>	县级以上地方人民政府应当根据损失情况和有关规定，对受突发事件影响较大的地区和行业，采取费用减免、贷款贴息、财政转移支付和对口支援等措施，提供资金援助、物资支持、技术指导和人力支援。</p><p>	4.8.3持续防止其他安全衍生事件的发生</p><p>	突发事件的威胁和危害得到控制或者消除后，履行统一领导职责或者组织处置突发事件的人民政府应当停止执行应急处置措施，同时采取或者继续实施疫病防治、疫情或者灾害监控、环境污染消除、宣传疏导等必要措施，防止发生自然灾害、事故灾难、公共卫生事件的次生、衍生事件或者重新引发社会安全事件。</p><p>	5．保障措施</p><p>	5.1物资保障</p><p>	有关部门、城镇燃气企业要储备一定数量的应急救援物资。在应急响应时，各有关部门、城镇燃气企业要服从调动，保证应急救援的需求。市消防救援支队应配置专门针对燃气引起的火灾的灭火设备、设施及其他装备物资。</p><p>	5.2医疗卫生保障</p><p>	卫生健康行政主管部门负责组织调度医疗救护队伍实施医疗救治，并根据城镇燃气安全事故造成人员伤亡的特点，协调落实专用药品和器材。</p><p>	医疗救护队伍接到指令后，要迅速进入事故现场实施医疗救援；各级医院负责后续治疗。</p><p>	5.3交通管制</p><p>	交通管制要开设应急救援特别通道，应急救援车辆要有专用标识，在管制区域内允许执行任务车辆通行，并按照规定免交道路通行费。</p><p>	5.4交通运输保障</p><p>	交通运输保障以事故发生地县（区）政府为主进行协调指挥，协调沿途有关政府提供交通警戒支持，保证及时调运城镇燃气安全事故应急救援人员、装备和物资。</p><p>	6．应急预案管理</p><p>	6.1应急预案培训</p><p>	在市安委会的指导、协调下组织应急预案的培训，包括制定应急预案的培训计划、方式和要求。市应急指挥部成员单位根据自己职责制定相关的培训计划，并做好宣传教育和告知等工作。</p><p>	6.2应急预案演练</p><p>	在市安委会的指导、协调下组织城镇燃气安全事故应急救援演习。各城镇燃气企业结合自身特点，定期组织本单位进行应急救援演习，并接受城镇燃气安全事故应急救援工作领导小组检查。</p><p>	6.3应急预案修订</p><p>	6.3.1修订周期</p><p>	根据应急管理形势的变化、应急预案演练和突发事件处置中发现的问题，依据有关法律、行政法规、规章和本办法的规定，定期或适时修订应急预案，原则上每3年至少修订一次，各县（区）参照修订。法律、法规、规章对修订周期另有规定的，从其规定。</p><p>	6.3.2如出现以下情况，应及时对本预案进行调整</p><p>	新法律法规、标准与规范颁布实施，相关法律法规、标准与规范修订；</p><p>	应急组织体系发生重大调整；</p><p>	预案中发现不符合项或其他原因；</p><p>	其他需对预案进行修订的因素。</p><p>	6.4专家库专家由市住房城乡建设局根据专家年龄、身体状况等因素作适当调整。</p><p>	6.5应急预案备案</p><p>	本预案经评审后，报同级安全委员会备案，企业预案报属地主管部门备案。</p><pre class=\"ql-syntax\" spellcheck=\"false\">	7．本预案自颁布之日起实施。\n</pre>', '', 128, 0, 0, 99, '', '2023-09-07 14:27:52', 7, '2023-05-13 14:41:03', 1, '', ''), (4451, 366, 'video', '视频', 'upload', '', '', 'file/fileupload/1694077059474.mp4', '', 128, 0, 1, 1, '', '2023-09-07 16:58:34', 7, '2023-09-07 16:58:34', 7, '', ''), (4452, 366, 'title', '标题', 'input', '', 'string', '中心简介', '', 128, 0, 1, 1, '', '2023-09-07 16:58:34', 7, '2023-09-07 16:58:34', 7, '', ''), (4453, 366, 'content', '文字内容', 'text', '', '', '<p class=\"ql-align-center\">    宜宾市民中心位于宜宾市南部新区高铁片区，占地48亩、总建筑面积69524平方米，由同济大学建筑设计研究院设计。市民中心共有六层，其中地上四层，一、二层为政务服务办事大厅，三层为宜宾市信息技术服务产业园，四层为市政务服务非公经济局办公区和公共资源交易服务区。市民中心在建筑风格上，通过对宜宾历史文化、文脉传承、特色材料空间挖掘，吸取“川南重镇”“红色情怀”“三江源头”“蜀南竹海”“七星山水”等场所记忆，呈现具有宜宾历史背景、文化传承、地域特色的室内外空间，展示山水竹特色元素。中心前后有近8万平方米城市绿地广场，方便企业群众在办事之余休闲休憩。</p><p>	市民中心内部结构类似“工”字形，由四个角政务服务大厅及中间服务区构成。政务服务大厅以“全省排头兵、西部争一流”为总目标，按照“规范、便利、智慧、高效”的原则建设，为企业群众提供“省心、贴心、暖心、舒心”的办事服务。</p><p>	<strong>一是一站入驻省心。</strong>按照“三集中三到位”和“只进一扇门”“最多跑一次”要求，39个有依申请政务服务事项的政务服务部门，水电气、邮政、金融、公证等7个公共（便民）服务单位入驻。共有前后台窗口工作人员438名，可受理、办理592项（主项）政务服务事项和水电气、邮政、金融、公证等便民服务事项。</p><p>	<strong>二是布局优化贴心</strong>。充分考虑企业群众办事频次、人流密度、行进流向等因素，将每层楼划分为ABCDE五个区域，按照“无差别+分领域综窗”运行模式，在一楼设公安综合、企业开办/工程建设/社事交通、医疗保障服务大厅和智能导办、银行服务、24小时智能自助政务服务超市、生活服务等便民专区，在二楼设出入境、税务、住房公积金、不动产登记、人力资源社会保障服务大厅和商务公证服务专区。通过明确的功能分区、精短的动线组织、高效的标识指引，营造“宜人之家，宾至如归”的体验。</p><p>	<strong>三是便民利民暖心</strong>。在市民中心内的政务大厅，每层楼、每个专厅均设置咨询导办，通过智能机器人导办，设置休闲区、医务室、母婴室、第三卫生间、无障碍卫生间等公用设施，提供免费茶水、免费打印复印、免费邮寄等服务，满足市民个性化服务需求。在市民中心外部，规范出租车、两轮车停靠，设立公交车站台，规范智能停车及提供充电桩等，为群众交通出行提供便利。</p><p>	<strong>四是智享服务舒心。</strong>依托省一体化政务服务平台，融合线上线下服务，打造“宜人宜宾宜办事”政务服务品牌。通过开发“宜办事”微信小程序、政务公开查询发布系统、智能引导预约系统和办事视频动画指引等，实现线上办事服务拓展；通过智能机器人导办、智能排队叫号、填单辅助、智能监察、AI预审、大数据分析、智慧大厅集成管理等，打造事前导引、事中办理、事后评价“零距离、可视化、全覆盖”办事服务通道，实现政务大厅智能化服务。</p>', '', 128, 0, 1, 1, '', '2023-09-07 16:58:34', 7, '2023-09-07 16:58:34', 7, '', ''), (4454, 367, 'staffName', '员工姓名', 'input', '', 'string', '雷雨', '', 128, 0, 1, 1, '', '2023-07-13 10:02:06', 7, '2023-07-13 10:02:06', 7, '', ''), (4455, 367, 'jobNum', '工号', 'input', '', 'string', 'JJ008', '', 128, 0, 1, 1, '', '2023-07-13 10:02:06', 7, '2023-07-13 10:02:06', 7, '', ''), (4456, 367, 'section', '部门', 'input', '', 'string', '市公安交警支队', '', 128, 0, 1, 1, '', '2023-07-13 10:02:06', 7, '2023-07-13 10:02:06', 7, '', ''), (4457, 367, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1682388965434.png', '', 128, 0, 1, 1, '', '2023-07-13 10:02:06', 7, '2023-07-13 10:02:06', 7, '', ''), (4458, 367, 'type', '类型', 'select', '{\n\"1\":\"月度\",\n\"2\":\"年度\"\n}', 'string', '1', '', 128, 1, 1, 99, '', '2023-07-13 10:02:06', 7, '2023-07-13 10:02:06', 7, '', ''), (4459, 368, 'staffName', '员工姓名', 'input', '', 'string', '彭娜', '', 128, 0, 1, 1, '', '2023-04-25 10:19:34', 1, '2023-02-08 14:56:36', 1, '', ''), (4460, 368, 'jobNum', '工号', 'input', '', 'string', 'JJ003', '', 128, 0, 1, 1, '', '2023-04-25 10:19:34', 1, '2023-02-08 14:56:56', 1, '', ''), (4461, 368, 'section', '部门', 'input', '', 'string', '市公安交警支队', '', 128, 0, 1, 1, '', '2023-04-25 10:19:34', 1, '2023-02-08 14:57:23', 1, '', ''), (4462, 368, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1682389232254.png', '', 128, 0, 1, 1, '', '2023-04-25 10:19:34', 1, '2023-02-08 14:57:52', 1, '', ''), (4463, 368, 'type', '类型', 'select', '{\n\"1\":\"月度\",\n\"2\":\"年度\"\n}', 'string', '2', '', 128, 1, 1, 99, '', '2023-04-25 10:19:34', 1, '2023-04-24 15:23:34', 1, '', ''), (4464, 369, 'staffName', '员工姓名', 'input', '', 'string', '向树明', '', 128, 0, 1, 1, '', '2023-04-25 10:35:25', 1, '2023-04-25 10:35:25', 1, '', ''), (4465, 369, 'jobNum', '工号', 'input', '', 'string', 'JJ011', '', 128, 0, 1, 1, '', '2023-04-25 10:35:25', 1, '2023-04-25 10:35:25', 1, '', ''), (4466, 369, 'section', '部门', 'input', '', 'string', '市公安交警支队', '', 128, 0, 1, 1, '', '2023-04-25 10:35:25', 1, '2023-04-25 10:35:25', 1, '', ''), (4467, 369, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1682389344267.png', '', 128, 0, 1, 1, '', '2023-04-25 10:35:25', 1, '2023-04-25 10:35:25', 1, '', ''), (4468, 369, 'type', '类型', 'select', '{\n\"1\":\"月度\",\n\"2\":\"年度\"\n}', 'string', '2', '', 128, 1, 1, 99, '', '2023-04-25 10:35:25', 1, '2023-04-25 10:35:25', 1, '', ''), (4469, 370, 'staffName', '员工姓名', 'input', '', 'string', '黄兆慧', '', 128, 0, 1, 1, '', '2023-04-25 10:28:51', 1, '2023-02-08 14:56:36', 1, '', ''), (4470, 370, 'jobNum', '工号', 'input', '', 'string', 'stj002', '', 128, 0, 1, 1, '', '2023-04-25 10:28:51', 1, '2023-02-08 14:56:56', 1, '', ''), (4471, 370, 'section', '部门', 'input', '', 'string', '市交通运输局', '', 128, 0, 1, 1, '', '2023-04-25 10:28:51', 1, '2023-02-08 14:57:23', 1, '', ''), (4472, 370, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1682389725587.png', '', 128, 0, 1, 1, '', '2023-04-25 10:28:51', 1, '2023-02-08 14:57:52', 1, '', ''), (4473, 370, 'type', '类型', 'select', '{\n\"1\":\"月度\",\n\"2\":\"年度\"\n}', 'string', '', '', 128, 1, 1, 99, '', '2023-04-25 10:28:51', 1, '2023-04-24 15:23:34', 1, '', ''), (4474, 371, 'staffName', '员工姓名', 'input', '', 'string', '黄祖孝', '', 128, 0, 1, 1, '', '2023-04-25 10:28:50', 1, '2023-02-08 14:56:36', 1, '', ''), (4475, 371, 'jobNum', '工号', 'input', '', 'string', 'SW037', '', 128, 0, 1, 1, '', '2023-04-25 10:28:50', 1, '2023-02-08 14:56:56', 1, '', ''), (4476, 371, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 0, 1, 1, '', '2023-04-25 10:28:50', 1, '2023-02-08 14:57:23', 1, '', ''), (4477, 371, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1682389728221.png', '', 128, 0, 1, 1, '', '2023-04-25 10:28:50', 1, '2023-02-08 14:57:52', 1, '', ''), (4478, 371, 'type', '类型', 'select', '{\n\"1\":\"月度\",\n\"2\":\"年度\"\n}', 'string', '', '', 128, 1, 1, 99, '', '2023-04-25 10:28:50', 1, '2023-04-24 15:23:34', 1, '', ''), (4479, 372, 'staffName', '员工姓名', 'input', '', 'string', '曾艳', '', 128, 0, 1, 1, '', '2023-07-24 17:19:22', 7, '2023-07-24 17:19:22', 7, '', ''), (4480, 372, 'jobNum', '工号', 'input', '', 'string', 'ZJ003', '', 128, 0, 1, 1, '', '2023-07-24 17:19:22', 7, '2023-07-24 17:19:22', 7, '', ''), (4481, 372, 'section', '部门', 'input', '', 'string', '叙州区住房保障和房地 产事务中心', '', 128, 0, 1, 1, '', '2023-07-24 17:19:22', 7, '2023-07-24 17:19:22', 7, '', ''), (4482, 372, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1683250121027.jpg', '', 128, 0, 1, 1, '', '2023-07-24 17:19:22', 7, '2023-07-24 17:19:22', 7, '', ''), (4483, 372, 'type', '类型', 'select', '{\n\"1\":\"月度\",\n\"2\":\"年度\"\n}', 'string', '', '', 128, 1, 1, 99, '', '2023-07-24 17:19:22', 7, '2023-07-24 17:19:22', 7, '', ''), (4484, 373, 'staffName', '员工姓名', 'input', '', 'string', '彭渤', '', 128, 0, 1, 1, '', '2023-04-25 10:44:43', 1, '2023-02-08 14:56:36', 1, '', ''), (4485, 373, 'jobNum', '工号', 'input', '', 'string', 'RS055', '', 128, 0, 1, 1, '', '2023-04-25 10:44:43', 1, '2023-02-08 14:56:56', 1, '', ''), (4486, 373, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 0, 1, 1, '', '2023-04-25 10:44:43', 1, '2023-02-08 14:57:23', 1, '', ''), (4487, 373, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1682390742731.jpg', '', 128, 0, 1, 1, '', '2023-04-25 10:44:43', 1, '2023-02-08 14:57:52', 1, '', ''), (4488, 373, 'type', '类型', 'select', '{\n\"1\":\"月度\",\n\"2\":\"年度\"\n}', 'string', '', '', 128, 1, 1, 99, '', '2023-04-25 10:44:43', 1, '2023-04-24 15:23:34', 1, '', ''), (4489, 374, 'staffName', '员工姓名', 'input', '', 'string', '潘艳', '', 128, 0, 1, 1, '', '2023-04-25 10:46:36', 1, '2023-02-08 14:56:36', 1, '', ''), (4490, 374, 'jobNum', '工号', 'input', '', 'string', 'scj0008', '', 128, 0, 1, 1, '', '2023-04-25 10:46:36', 1, '2023-02-08 14:56:56', 1, '', ''), (4491, 374, 'section', '部门', 'input', '', 'string', '宜宾市市场监管局', '', 128, 0, 1, 1, '', '2023-04-25 10:46:36', 1, '2023-02-08 14:57:23', 1, '', ''), (4492, 374, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1682390786111.jpg', '', 128, 0, 1, 1, '', '2023-04-25 10:46:36', 1, '2023-02-08 14:57:52', 1, '', ''), (4493, 374, 'type', '类型', 'select', '{\n\"1\":\"月度\",\n\"2\":\"年度\"\n}', 'string', '', '', 128, 1, 1, 99, '', '2023-04-25 10:46:36', 1, '2023-04-24 15:23:34', 1, '', ''), (4494, 375, 'staffName', '员工姓名', 'input', '', 'string', '吴霞', '', 128, 0, 1, 1, '', '2023-04-25 10:49:12', 1, '2023-02-08 14:56:36', 1, '', ''), (4495, 375, 'jobNum', '工号', 'input', '', 'string', 'WJ01', '', 128, 0, 1, 1, '', '2023-04-25 10:49:12', 1, '2023-02-08 14:56:56', 1, '', ''), (4496, 375, 'section', '部门', 'input', '', 'string', '市卫生健康委', '', 128, 0, 1, 1, '', '2023-04-25 10:49:12', 1, '2023-02-08 14:57:23', 1, '', ''), (4497, 375, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1682390937867.png', '', 128, 0, 1, 1, '', '2023-04-25 10:49:12', 1, '2023-02-08 14:57:52', 1, '', ''), (4498, 375, 'type', '类型', 'select', '{\n\"1\":\"月度\",\n\"2\":\"年度\"\n}', 'string', '', '', 128, 1, 1, 99, '', '2023-04-25 10:49:12', 1, '2023-04-24 15:23:34', 1, '', ''), (4499, 376, 'staffName', '员工姓名', 'input', '', 'string', '杨洋', '', 128, 0, 1, 1, '', '2023-04-25 10:49:52', 1, '2023-02-08 14:56:36', 1, '', ''), (4500, 376, 'jobNum', '工号', 'input', '', 'string', 'mz0001', '', 128, 0, 1, 1, '', '2023-04-25 10:49:52', 1, '2023-02-08 14:56:56', 1, '', ''), (4501, 376, 'section', '部门', 'input', '', 'string', '市民政局', '', 128, 0, 1, 1, '', '2023-04-25 10:49:52', 1, '2023-02-08 14:57:23', 1, '', ''), (4502, 376, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1682390990507.jpg', '', 128, 0, 1, 1, '', '2023-04-25 10:49:52', 1, '2023-02-08 14:57:52', 1, '', ''), (4503, 376, 'type', '类型', 'select', '{\n\"1\":\"月度\",\n\"2\":\"年度\"\n}', 'string', '', '', 128, 1, 1, 99, '', '2023-04-25 10:49:52', 1, '2023-04-24 15:23:34', 1, '', ''), (4504, 377, 'staffName', '员工姓名', 'input', '', 'string', '李涛', '', 128, 0, 1, 1, '', '2023-04-25 10:51:17', 1, '2023-02-08 14:56:36', 1, '', ''), (4505, 377, 'jobNum', '工号', 'input', '', 'string', 'XF01', '', 128, 0, 1, 1, '', '2023-04-25 10:51:17', 1, '2023-02-08 14:56:56', 1, '', ''), (4506, 377, 'section', '部门', 'input', '', 'string', '市消防救援支队', '', 128, 0, 1, 1, '', '2023-04-25 10:51:17', 1, '2023-02-08 14:57:23', 1, '', ''), (4507, 377, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1682391007487.jpg', '', 128, 0, 1, 1, '', '2023-04-25 10:51:17', 1, '2023-02-08 14:57:52', 1, '', ''), (4508, 377, 'type', '类型', 'select', '{\n\"1\":\"月度\",\n\"2\":\"年度\"\n}', 'string', '', '', 128, 1, 1, 99, '', '2023-04-25 10:51:17', 1, '2023-04-24 15:23:34', 1, '', ''), (4509, 378, 'staffName', '员工姓名', 'input', '', 'string', '罗戎', '', 128, 0, 1, 1, '', '2023-04-25 11:33:39', 1, '2023-02-08 14:56:36', 1, '', ''), (4510, 378, 'jobNum', '工号', 'input', '', 'string', 'YJ01', '', 128, 0, 1, 1, '', '2023-04-25 11:33:39', 1, '2023-02-08 14:56:56', 1, '', ''), (4511, 378, 'section', '部门', 'input', '', 'string', '市应局', '', 128, 0, 1, 1, '', '2023-04-25 11:33:39', 1, '2023-02-08 14:57:23', 1, '', ''), (4512, 378, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1682393617032.jpg', '', 128, 0, 1, 1, '', '2023-04-25 11:33:39', 1, '2023-02-08 14:57:52', 1, '', ''), (4513, 378, 'type', '类型', 'select', '{\n\"1\":\"月度\",\n\"2\":\"年度\"\n}', 'string', '', '', 128, 1, 1, 99, '', '2023-04-25 11:33:39', 1, '2023-04-24 15:23:34', 1, '', ''), (4514, 379, 'staffName', '员工姓名', 'input', '', 'string', '夏小燕', '', 128, 0, 1, 1, '', '2023-04-25 11:34:52', 1, '2023-02-08 14:56:36', 1, '', ''), (4515, 379, 'jobNum', '工号', 'input', '', 'string', 'BDC044', '', 128, 0, 1, 1, '', '2023-04-25 11:34:52', 1, '2023-02-08 14:56:56', 1, '', ''), (4516, 379, 'section', '部门', 'input', '', 'string', '不动产登记中心', '', 128, 0, 1, 1, '', '2023-04-25 11:34:52', 1, '2023-02-08 14:57:23', 1, '', ''), (4517, 379, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1682393752977.jpg', '', 128, 0, 1, 1, '', '2023-04-25 11:34:52', 1, '2023-02-08 14:57:52', 1, '', ''), (4518, 379, 'type', '类型', 'select', '{\n\"1\":\"月度\",\n\"2\":\"年度\"\n}', 'string', '', '', 128, 1, 1, 99, '', '2023-04-25 11:34:52', 1, '2023-04-24 15:23:34', 1, '', ''), (4519, 380, 'staffName', '员工姓名', 'input', '', 'string', '梁香琴', '', 128, 0, 1, 1, '', '2023-04-25 11:35:47', 1, '2023-02-08 14:56:36', 1, '', ''), (4520, 380, 'jobNum', '工号', 'input', '', 'string', 'ZJ02', '', 128, 0, 1, 1, '', '2023-04-25 11:35:47', 1, '2023-02-08 14:56:56', 1, '', ''), (4521, 380, 'section', '部门', 'input', '', 'string', '市住建局', '', 128, 0, 1, 1, '', '2023-04-25 11:35:47', 1, '2023-02-08 14:57:23', 1, '', ''), (4522, 380, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1682393807877.jpg', '', 128, 0, 1, 1, '', '2023-04-25 11:35:47', 1, '2023-02-08 14:57:52', 1, '', ''), (4523, 380, 'type', '类型', 'select', '{\n\"1\":\"月度\",\n\"2\":\"年度\"\n}', 'string', '', '', 128, 1, 1, 99, '', '2023-04-25 11:35:47', 1, '2023-04-24 15:23:34', 1, '', ''), (4524, 381, 'title', '媒体名称', 'input', '', 'string', '测试', '', 128, 0, 1, 1, '', '2023-02-08 14:59:37', 1, '2023-02-08 14:59:09', 1, '', ''), (4525, 381, 'img', '二维码图片', 'upload', '', 'string', 'file/fileupload/1675839576108.png', '', 128, 0, 1, 1, '', '2023-02-08 14:59:37', 1, '2023-02-08 14:59:28', 1, '', ''), (4526, 382, 'title', '标题', 'input', '', 'string', '聚焦高质量发展推动经济运行整体好转的若干政策措施', '', 128, 0, 1, 99, '', '2023-05-13 16:38:05', 1, '2023-05-13 11:06:39', 1, '', ''), (4527, 382, 'date', '发布日期', 'date', '', 'string', '2023-02-06', '', 128, 0, 1, 99, '', '2023-05-13 16:38:05', 1, '2023-05-13 11:08:53', 1, '', ''), (4528, 382, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 99, '', '2023-05-13 16:38:05', 1, '2023-05-13 11:11:13', 1, '', ''), (4529, 382, 'content', '内容', 'text', '', 'string', '<p class=\"ql-align-center\"><strong>聚焦高质量发展推动经济运行整体好转的若干政策措施</strong></p><p class=\"ql-align-justify\">	为深入贯彻党的二十大和习近平总书记对四川工作系列重要指示精神，全面落实中央经济工作会议和省委经济工作会议部署，完整、准确、全面贯彻新发展理念，聚焦高质量发展首要任务，全力以赴拼经济、搞建设，着力改善社会心理预期、提振发展信心，推动我省2023年经济运行整体好转，实现质的有效提升和量的合理增长，确保完成既定目标任务，制定如下政策措施。</p><p class=\"ql-align-justify\">	<strong>一、强化财税政策支持</strong></p><p class=\"ql-align-justify\">	（一）对月销售额10万元以下（含本数）的增值税小规模纳税人，免征增值税；增值税小规模纳税人适用3%征收率的应税销售收入，减按1%征收率征收增值税；适用3%预征率的预缴增值税项目，减按1%预征率预缴增值税。允许生产性服务业纳税人按照当期可抵扣进项税额加计5%抵减应纳税额；允许生活性服务业纳税人按照当期可抵扣进项税额加计10%抵减应纳税额。（财政厅、四川省税务局按职责分工负责）</p><p class=\"ql-align-justify\">	（二）对增值税小规模纳税人、小型微利企业和个体工商户按50%减征资源税（不含水资源税）、城市维护建设税、房产税、城镇土地使用税、印花税（不含证券交易印花税）、耕地占用税和教育费附加、地方教育附加，执行期限至2024年12月31日。对交通运输、仓储和邮政、批发零售、住宿餐饮、旅游、文体娱乐行业纳税人，免征2023年上半年房产税、城镇土地使用税。（财政厅、四川省税务局按职责分工负责）</p><p class=\"ql-align-justify\">	（三）综合运用预留采购份额、价格评审优惠等措施支持中小企业参与政府采购，延续实施政府采购工程面向中小企业的预留份额阶段性提高至40%以上的政策。（财政厅牵头，省发展改革委、经济和信息化厅按职责分工负责）</p><p class=\"ql-align-justify\">	<strong>二、加大金融支持力度</strong></p><p class=\"ql-align-justify\">	（四）推广“制惠贷”“园保贷”“税电指数贷”，推动制造业贷款增速不低于15%、制造业中长期贷款增量不低于1000亿元。落实设备购置与更新改造再贷款政策，对符合条件的项目贷款给予2.5个百分点的贴息支持、期限2年，贴息后贷款利率不超过0.7%。持续开展绿色金融行动计划，推动绿色贷款增量不低于3000亿元，延续实施煤炭清洁高效利用再贷款政策，将碳减排支持工具实施期限延长至2024年12月31日。推动金融机构通过四川省征信平台投放贷款2800亿元。（人民银行成都分行牵头，省发展改革委、经济和信息化厅、财政厅、农业农村厅、省地方金融监管局、四川银保监局按职责分工负责）</p><p class=\"ql-align-justify\">	（五）安排不少于1000亿元再贷款资金，设立支小惠商贷、助农振兴贷等财金互动产品，财政按照1.5%给予贴息，贴息后借款利率不超过一年期贷款基础利率（LPR）加15个基点（BP）。对地方法人金融机构按普惠小微贷款增量的2%给予激励资金。鼓励银行机构与借款人共同协商普惠小微贷款延期还本付息，最长可延至2023年6月30日。开展民营经济融资难破解行动，推动民营经济贷款增量不低于2000亿元。（人民银行成都分行牵头，财政厅、省地方金融监管局、四川银保监局按职责分工负责）</p><p class=\"ql-align-justify\">	（六）支持银行机构将LPR下调和财政贴息奖补传导至贷款利率，合理降低中小微企业贷款利率。银行机构对小微企业和个体工商户免收一个账户的账户管理费和年费，对柜台单笔10万元（含本数）以下的对公人民币跨行转账汇款手续费实行九折优惠，免收支票工本费、挂失费，以及本票和银行汇票的手续费、工本费、挂失费。（人民银行成都分行牵头，省地方金融监管局、四川银保监局按职责分工负责）</p><p class=\"ql-align-justify\">	（七）鼓励银行机构扩大降费幅度和范围。降低政府性融资担保费率，统筹中央和省级融资担保奖补资金，按符合条件的融资担保费业务奖补资金的80%提前下达，支持各地按照“随报随审随拨”的原则及时兑付。对2023年融资担保支农支小平均费率低于1%的市（州），在奖补资金结算时给予倾斜。（省地方金融监管局牵头，财政厅、人民银行成都分行、四川银保监局按职责分工负责）</p><p class=\"ql-align-justify\">	（八）深入实施企业上市行动计划，用好全国中小企业股份转让系统与北京证券交易所上市直联机制，支持更多优质企业挂牌、上市。推动发行科创债等交易所债券，鼓励市场机构、政策性机构通过创设信用保护工具为民营企业债券融资提供增信支持。积极推进“险资入川”，力争2023年末规模超过5000亿元。（省地方金融监管局牵头，省发展改革委、四川银保监局、四川证监局按职责分工负责）</p><p class=\"ql-align-justify\">	<strong>三、推动重点产业加快发展</strong></p><p class=\"ql-align-justify\">	（九）实施优势产业提质倍增计划，安排专项资金支持工业投资和技术改造、产业创新体系建设，梯度培育先进制造业集群，支持培育产业发展新动能，遴选培育一批产业新赛道。（经济和信息化厅牵头，省发展改革委、财政厅、省能源局按职责分工负责）</p><p class=\"ql-align-justify\">	（十）支持制造强省重大工程建设，安排专项资金支持产业基础再造工程、重大技术装备攻关工程、产业链强链补链工程，突破一批关键核心技术，支持重大技术装备首台套、新材料首批次、软件首版次推广应用。安排专项资金实施“珠峰攀登”行动和“贡嘎培优”计划，培育领航企业、单项冠军、“专精特新”企业、“小升规”企业等。（经济和信息化厅牵头，省委军民融合办、省发展改革委、科技厅、财政厅、省国资委、省统计局、省经济合作局、省能源局按职责分工负责）</p><p class=\"ql-align-justify\">	（十一）开展重大产业化项目招引专项行动，鼓励境内外知名企业来川投资。对世界500强、中国500强、民营500强在川新注册中国区总部、企业（集团）总部和销售、结算、财务等功能性总部，综合考虑经济贡献等因素，给予其在川企业不超过1000万元的一次性奖励。对引进的符合我省产业发展规划且当年固定资产投资额超过10亿元的先进制造业项目，综合考虑经济贡献等因素，给予其在川企业不超过1000万元的一次性奖励。（省经济合作局牵头，省发展改革委、经济和信息化厅、财政厅按职责分工负责）</p><p class=\"ql-align-justify\">	（十二）安排1亿元资金实施大院大所成果转化“聚源兴川”行动，推动中央在川大院大所重大科技成果加速落地转化。推广“天府科创贷”，推动科技型企业贷款增速不低于15%。（科技厅牵头，省发展改革委、财政厅按职责分工负责）</p><p class=\"ql-align-justify\">	（十三）支持先进制造业和现代服务业融合试点，安排专项资金支持建设15个服务业高质量发展示范区。对营业收入上台阶或作出突出贡献的服务业（商贸）企业给予激励。支持100个省级服务业重点项目建设。扩大“服保贷”资金池，引导金融机构进一步加大贷款规模。（商务厅牵头，省发展改革委、财政厅按职责分工负责）</p><p class=\"ql-align-justify\">	（十四）加快建设新时代更高水平“天府粮仓”，对新建和改造提升高标准农田实行差异化补助政策，稳定平坝区域补助标准，提高丘陵山地高原补助标准。提高种粮大户补助标准，成都平原地区提高到90元／亩、丘陵山地高原区提高到100元／亩。推进油菜生产耕地轮作休耕试点，按规定每亩补助150元。对农业、林木培育和种植、畜牧业、渔业生产用电，在农村建设的保鲜仓储设施用电，以及农业服务业中的农产品初加工生产环节用电执行农业生产用电价格。（农业农村厅牵头，省发展改革委、财政厅、国网四川省电力公司按职责分工负责）</p><p class=\"ql-align-justify\">	<strong>四、积极扩大有效投资</strong></p><p class=\"ql-align-justify\">	（十五）安排3.5亿元资金开展项目前期工作激励，支持各地不断完善常态化项目储备机制，加快审批（核准、备案）和用地用林、规划许可、环境影响评价（以下简称环评）等手续办理，提升项目前期工作质量和效率。（省发展改革委牵头，财政厅、自然资源厅、生态环境厅、住房城乡建设厅、省林草局按职责分工负责）</p><p class=\"ql-align-justify\">	（十六）持续发挥重大项目分级协调机制作用，强化协调服务，全面推行项目审批流程优化，推动房屋建筑和市政基础设施类政府投资项目、企业投资项目开工前行政部门审批时间分别压缩至55个、45个工作日以内，实行承诺制的企业投资项目开工前行政部门审批时间压缩至40个工作日以内，推进项目极速审批、尽快开工、加快建设。（省发展改革委牵头，自然资源厅、生态环境厅、住房城乡建设厅、省林草局按职责分工负责）</p><p class=\"ql-align-justify\">	（十七）对列入国家重大项目清单的项目和纳入省重点项目清单的能源、交通、水利等单独选址项目，用地计划指标由省级统筹协调，应保尽保；对其余重点项目，用地计划指标确有不足的，视全省计划指标结余情况，由省级统筹调剂支持。国家支持的重大项目及纳入省重点项目清单的单独选址项目，使用林地定额由省级统筹协调，能保尽保；其中，同时涉及自然保护地（国家公园、国家级自然保护区除外）和使用林地的，可采取“容缺+承诺”的方式并行办理进入保护地和使用林地手续，不互为前置。完善重大项目环评服务保障机制，提前介入、超前服务，继续实行专班服务、专函推进，并探索“清单式”服务，进一步优化简化环评管理，服务项目精准快速落地。（省发展改革委牵头，自然资源厅、生态环境厅、省林草局按职责分工负责）</p><p class=\"ql-align-justify\">	（十八）强化银政企融资对接，引导金融机构加大重点项目建设融资支持。支持地方符合条件的项目优先使用地方政府专项债券作资本金。积极推进基础设施等领域不动产投资信托基金（REITs）试点，对成功发行且募集资金用于省内项目建设的，原始权益人可按投资规模的0.5%申请一次性补助、最高不超过500万元。常态化、制度化向社会资本推介项目，支持民间资本更多进入交通、能源、水利、文体旅游、教育卫生、养老、农业农村等重点行业和领域。（省发展改革委、财政厅牵头，省国资委、省地方金融监管局、人民银行成都分行按职责分工负责）</p><p class=\"ql-align-justify\">	<strong>五、促进消费回暖升级</strong></p><p class=\"ql-align-justify\">	（十九）落实新能源汽车免征车辆购置税政策，开展新能源汽车、绿色智能家电家装等系列促消费活动，举办第二届中国（四川）国际熊猫消费节。支持培育10个贸易与消费联动的特色消费促进平台和10个消费创新发展引领县，打造40个“商文旅交体康”多元融合的消费新场景，推进智慧商圈、示范步行街、一刻钟便民生活圈、家政社区服务网点、汽车品质消费集聚区建设。支持建设一批电商新业态基地，培育一批本土榜样带货主播。（商务厅牵头，财政厅、住房城乡建设厅、文化和旅游厅、省体育局、四川省税务局、省总工会按职责分工负责）</p><p class=\"ql-align-justify\">	（二十）支持地方发放文旅消费券、体育消费券，发挥川渝两省（市）文旅等资源优势，联合开展“百万职工游巴蜀”促消费活动。支持建设一批文化旅游融合示范项目，每个给予不超过1200万元补助。推进文化产业和旅游产业融合示范区、滑雪旅游度假地等新业态园区（基地）建设，安排专项资金支持打造文化和旅游网红打卡地。开展“安逸四川”文旅宣传推广，对优秀作品给予奖励。支持发展游川专列，推动引客入川。继续推广“体育贷”，支持建设一批体育旅游示范基地，持续举办“巴山蜀水运动川渝”体育旅游消费季活动。（文化和旅游厅牵头，财政厅、省体育局、省总工会、中国铁路成都局集团公司按职责分工负责）</p><p class=\"ql-align-justify\">	（二十一）实施入境旅游市场提振行动，宣传用好外国人144小时过境免签政策，进一步优化口岸通关营商环境，加大对接待入境游客、赴境外营销的旅行团奖励力度。鼓励各地对在四川省内依法纳税，且在“冬游四川消费季”期间组织游客包机从省外来川旅游的旅行社给予奖补。支持阿坝州、甘孜州、凉山州、攀枝花市在冬航季期间协调航空公司增开航线航班。持续做好道路交通保通保畅工作，确保要素流通安全顺畅。（文化和旅游厅、省政府口岸物流办牵头，公安厅、财政厅、成都海关、民航西南地区管理局按职责分工负责）</p><p class=\"ql-align-justify\">	<strong>六、加力稳定外贸外资</strong></p><p class=\"ql-align-justify\">	（二十二）开展“川行天下”国际市场拓展活动，支持超100场重点国际性展会和经贸活动，对参加境内外国际性展会的企业给予支持。优化因公出国（境）任务申报和外国人来华签证邀请函办理手续。协调驻外使领馆，为出海企业开展商务活动提供便利。依法取消对外贸易经营者备案登记，重点培育第二批“千户企业”500家。支持绿色低碳优势产业外贸企业开展国际物流、研发和“碳足迹”国际认证等。支持建设特色单品进口集散中心。按照中央相关部门部署要求开展二手车出口业务。（商务厅牵头，省委外办、公安厅、财政厅、省政府口岸物流办、成都海关、外汇局四川省分局、中国铁路成都局集团公司按职责分工负责）</p><p class=\"ql-align-justify\">	（二十三）对年出口额500万美元（含）以下企业给予最高100%出口信用保险保费支持，出口信用保险区域统保平台服务支持小微出口企业覆盖面提升至30%。支持企业办理关税保证保险业务，鼓励中小微企业采用外汇衍生品汇率避险，推动“两免一奖”汇率避险支持政策提质增效，鼓励银行机构减免中小微企业保证金和担保费。推动“数字成渝号”跨境金融服务平台新场景开发上线，为中欧班列用户提供跨境贸易融资一站式服务，探索铁路“一单制”金融服务创新。推动航空公司境外燃料及物资补给、设备更换（维修）等新型离岸业务在川落地，支持银行凭电子交易信息为跨境电商提供外汇结算服务。办理正常出口退税的平均时间压缩至5个工作日以内，持续优化跨境电商出口海外仓退税模式。制定出台航空、水运、铁路口岸外贸进出口货物标准作业程序参考和规范，提高通关效率。（商务厅牵头，省地方金融监管局、省政府口岸物流办、成都海关、四川省税务局、人民银行成都分行、四川银保监局、外汇局四川省分局、进出口银行四川省分行、中国信保四川分公司、中国铁路成都局集团公司按职责分工负责）</p><p class=\"ql-align-justify\">	（二十四）推动一批标志性外资项目落地，对境外世界500强、全球行业龙头企业当年在川直接投资超1000万美元的（不含房地产业和金融业），外商在川直接投资制造业和高技术产业当年超1000万美元且符合相关产业政策的，以及外商投资企业当年以境外投资者分配利润再投资符合有关条件且超1000万美元的（不含房地产业和金融业），按外商直接投资（FDI）到资额不低于2%的比例给予在川企业奖励。单个企业年度奖励金额不超过1000万元。（省经济合作局牵头，财政厅按职责分工负责）</p><p class=\"ql-align-justify\">	<strong>七、促进房地产市场平稳健康发展</strong></p><p class=\"ql-align-justify\">	（二十五）优化住房限购、限售、二套房认定标准等政策，支持符合条件的地方动态调整首套房贷款利率下限，落实居民个人换购住房个人所得税优惠政策，支持刚性和改善性住房需求。鼓励有条件的地区对引进人才、生育二孩或三孩家庭、进城务工人员等购买商品房（含二手房）给予补贴。培育发展住房租赁市场，支持成都发挥好租赁住房贷款支持计划试点示范作用。（住房城乡建设厅牵头，省发展改革委、财政厅、四川省税务局、人民银行成都分行、四川银保监局按职责分工负责）</p><p class=\"ql-align-justify\">	（二十六）推动商业银行稳定房地产开发贷款和建筑企业信贷投放，支持房地产开发贷款、信托融资等存量融资合理展期。优化商品房预售资金监管政策，及时调整保函置换预售监管资金执行标准，支持各地在保障商品房预售资金使用安全和项目正常交付前提下，适当灵活调整监管资金拨付节点，动态调整监管额度。支持有条件的城市开展商品房现售试点，积极推动房地产业向新发展模式平稳过渡。（住房城乡建设厅、人民银行成都分行牵头，四川银保监局按职责分工负责）</p><p class=\"ql-align-justify\">	（二十七）实施“建筑强企”培育行动，对贡献大的建筑业企业予以信用等激励。鼓励地方对晋升施工总承包特级（综合）资质的建筑业企业予以奖励。支持建筑业骨干企业与央企、省外国有企业组建联合体，参与轨道交通、公路、铁路、机场港口等项目建设，对以联合体方式承接的工程项目业绩予以认可。支持企业开展智能建造技术开发、技术转让和与之相关的技术咨询服务等业务，符合条件的依法落实相关税费优惠政策。（住房城乡建设厅牵头，省发展改革委、人力资源社会保障厅、交通运输厅、水利厅、四川省税务局、成都铁路监管局按职责分工负责）</p><p class=\"ql-align-justify\">	<strong>八、帮助市场主体降本增效</strong></p><p class=\"ql-align-justify\">	（二十八）对暂时缴费确有困难的小微企业和个体工商户经申请审核通过后，实行欠费不停水、不停电、不停气，减免在此期间产生的欠费违约金。在城镇规划建设用地范围内，将水、电、气、暖管线投资界面延伸至用户建筑区划红线。对用电报装容量160千瓦及以下且实行“三零”服务的用户采取低压方式接入电网，鼓励有条件的地区进一步提高低压接入容量上限标准。持续推广企业用户“一证办电”、房电联动“无感式”用电过户。（省发展改革委牵头，住房城乡建设厅、省能源局按职责分工负责）</p><p class=\"ql-align-justify\">	（二十九）对每月通行次数在30次及以上的电子不停车收费系统（ETC）公路客运班线客车，车辆通行费给予八五折优惠。对安装使用ETC的货车，车辆通行费给予6%优惠。延续实施国际标准集装箱运输车辆通行费30%优惠政策。对进出泸州、宜宾铁路港的集装箱运输车辆，车辆通行费给予60%优惠；对进出中欧班列图定站点货运集散地的集装箱运输车辆，车辆通行费给予60%优惠。（交通运输厅牵头，省发展改革委、财政厅按职责分工负责）</p><p class=\"ql-align-justify\">	（三十）全面推行保证保险、银行保函替代现金缴纳投标保证金、履约保证金、工程质量保证金和农民工工资保证金。公路水路交通在建项目在2023年1月1日至6月30日期间应缴纳的工程质量保证金，自应缴之日起可缓缴一个季度。严格实行施工过程结算，建设单位应当按约定的付款节点根据实际完成工程量及时足额支付工程进度款，不得由施工单位垫资建设。验收合格的工程必须在规定的结算周期内完成结算并支付工程款。（住房城乡建设厅牵头，省发展改革委、人力资源社会保障厅、交通运输厅、人民银行成都分行、四川银保监局按职责分工负责）</p><p class=\"ql-align-justify\">	（三十一）稳妥推广数字化电子发票，简化纳税人发票开具流程，逐步取消增值税发票税控设备。加快办理延期缴纳税款审批，将办理期限缩短至20个自然日。实现政府采购全流程电子化，取消收取供应商投标（响应）保证金，鼓励采购人免收供应商履约保证金，加大合同预付款比例。（四川省税务局、财政厅按职责分工负责）</p><p class=\"ql-align-justify\">	<strong>九、全力稳就业稳物价</strong></p><p class=\"ql-align-justify\">	（三十二）根据国家统一部署，延续实施失业保险稳岗返还、扩岗补助等政策。对中小微企业招用毕业年度大学生、脱贫人口、登记失业半年以上人员就业，签订1年以上劳动合同且按规定缴纳社会保险的，给予1000元／人一次性吸纳就业补贴。支持提高创业担保贷款政策执行标准，个人创业担保贷款额度提升至30万元，小微企业创业担保贷款额度提升至400万元。（人力资源社会保障厅牵头，财政厅、省地方金融监管局、人民银行成都分行按职责分工负责）</p><p class=\"ql-align-justify\">	（三十三）强化重点企业用工保障，安排专项资金支持打造一批零工市场。公益性岗位安置就业困难人员不低于30万人。在重点工程项目中实施以工代赈促进当地群众就业增收。（人力资源社会保障厅牵头，省发展改革委、财政厅、交通运输厅、水利厅、省乡村振兴局、省林草局按职责分工负责）</p><p class=\"ql-align-justify\">	（三十四）执行国家稻谷最低收购价政策，在政策执行期内市场收购价连续3天低于国家公布的最低收购价时启动实施，敞开收购农民余粮。强化生猪产能调控，稳定环保、贷款、保险等长效性支持政策，适时开展政府储备猪肉投放或收储。在物价涨幅达到启动条件时，向城乡低保对象等困难群众发放价格临时补贴。（省发展改革委牵头，民政厅、财政厅、农业农村厅、商务厅、省粮食和储备局按职责分工负责）</p><p class=\"ql-align-justify\">	<strong>十、着力优化营商环境</strong></p><p class=\"ql-align-justify\">	（三十五）清理和废止涉民营企业、外资企业市场准入限制和妨碍公平竞争的政策，开展拖欠民营企业和中小企业账款、涉企收费专项整治。规范行政审批中介服务目录管理，制定完善中介服务规范和标准。在工程建设、市场监管、生态环境等领域建立市场主体信用评价指标体系和分级标准，实行分级分类监管。推行“一目录五清单”（分类检查目录和“不予、免予、减轻、从轻、从重”处罚五张清单）精准高效监管执法，规范行政裁量权，常态化开展人民群众最不满意行政执法问题整改活动。依托省12345政务服务热线，建立健全营商环境投诉处理机制。全面落实市场主体“全生命周期”法律服务供给机制，实施重点项目法律服务“1+1”专项行动。（省政府办公厅牵头，省发展改革委、经济和信息化厅、司法厅、省市场监管局、省大数据中心按职责分工负责）</p><p class=\"ql-align-justify\">	（三十六）大力推进数字政府建设，统筹建好“一网通办”“一网监管”“一网公开”“一网协同”专区。推出100个事项“秒批秒办”、100个事项“一证一照办”、100个事项“掌上办”、50个事项“零材料办”、50个事项“省内通办”，对已上线的“一件事一次办”事项进行优化调整。推广电子证照应用，实现省内自建系统签发的高频电子证照共享互认和“免提交”。建成全省统一的“电子证明超市”，梳理发布无犯罪证明、户籍证明等高频电子证明清单。在投资、科技、交通等20个行业领域开展“一网通办”示范工程创建，实施市场主体迁移“无障碍一次办”改革，全面推广应用省工程建设项目审批系统数字审图、多测合一、联合验收、中介服务和水电气报装等辅线模块。（省政府办公厅牵头，自然资源厅、住房城乡建设厅、省市场监管局、省大数据中心、省政务服务和资源交易服务中心按职责分工负责）</p><p class=\"ql-align-justify\">	以上政策未特别注明实施期限的，施行有效期至2023年12月31日。开展政策措施落实情况督查，推进省级政府督查激励工作，构建联动督查机制。压紧压实市（州）和省直部门经济发展责任，统筹协调联动，强化信息共享，推动政策措施精准直达市场主体。</p><p><br></p>', '', 128, 0, 0, 99, '', '2023-05-13 16:38:05', 1, '2023-05-13 11:11:38', 1, '', '');
INSERT INTO `mortals_sys_app_info_field` VALUES (4530, 383, 'title', '标题', 'input', '', 'string', '宜宾市服务业领域助企纾困稳增长十条措施', '', 128, 0, 1, 99, '', '2023-05-13 16:43:27', 1, '2023-05-13 11:06:39', 1, '', ''), (4531, 383, 'date', '发布日期', 'date', '', 'string', '2023-05-13', '', 128, 0, 1, 99, '', '2023-05-13 16:43:27', 1, '2023-05-13 11:08:53', 1, '', ''), (4532, 383, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '1', '', 128, 0, 0, 99, '', '2023-05-13 16:43:27', 1, '2023-05-13 11:11:13', 1, '', ''), (4533, 383, 'content', '内容', 'text', '', 'string', '<p class=\"ql-align-center\">	<strong>宜宾市服务业领域助企纾困稳增长十条措施</strong></p><p class=\"ql-align-justify\">	为全面落实中央、省、市决策部署，按照“疫情要防住、经济要稳住、发展要安全”要求，立足宜宾实际，为支持市场主体应对疫情影响，努力实现稳定健康发展，全力以赴稳增长、稳预期、保主体，保持经济运行在合理区间，特制定本政策。</p><p class=\"ql-align-justify\">	一、降低商贸单位用电成本。对2022年9月至2023年3月期间，限额以上零售、住宿、餐饮单位用电费用按50%给予一次性补助，分别最高不超过10万元、4万元、1万元。〔责任单位:市商务局、市财政局，三江新区管委会、各县(区)政府〕</p><p class=\"ql-align-justify\">	二、加大消费券发放力度。在前期已安排财政资金600万元的基础上，市级财政追加安排资金2000万元，分期发放惠民消费券，重点支持住宿、餐饮、零售、景区、影院等受疫情影响严重行业规上、限上和限下样本单位。后续视政策实施效果可再增加发放额度。(责任单位:市商务局、市文广旅游局、市财政局)</p><p class=\"ql-align-justify\">	三、支持商业综合体减免租金。对2022年9月至2023年3月期间给予入驻商户减免租金且建筑面积3万平方米(含)以上的商业综合体，按照当期租金减免总金额的50%给予补贴，最高不超过50万元。〔责任单位:市商务局、市财政局，三江新区管委会、各县(区)政府〕</p><p class=\"ql-align-justify\">	四、支持餐饮、住宿单位做大营销额。对2022年9月至2023年3月期间，营业额达到200万元(含)—500万元、500万元(含)—1000万元、1000万元(含)以上的限额以上餐饮单位，分别给予3万元、5万元、8万元一次性补助;营业额达到500万元(含)—1200万元、1200万元(含)—2000万元、2000万元(含)以上的限额以上住宿单位，分别给予3万元、5万元、8万元一次性补助。〔责任单位:市商务局、市财政局，三江新区管委会、各县(区)政府〕</p><p class=\"ql-align-justify\">	五、支持“互联网+消费”发展。对在宜宾市范围内注册的市场主体于2022年9月至2023年3月期间开展“互联网+消费”活动给予以下支持:一是在京东、淘宝(天猫)、拼多多、抖音、快手、美团开设本土品牌专营店(旗舰店)，每成功开设1家给予市场主体一次性2万元补助;二是免费入驻宜宾国有电商平台，按每户0.5万元给予国有平台补助，单个平台最高补助不超过50万元;三是开展直播带货、短视频销售的带货主播，粉丝量达到10万及以上，且网上销售“宜宾造”产品达到20万元、50万元、100万元以上的，分别给予市场主体1万元、2万元、5万元一次性奖励，由市场主体奖励带货主播。〔责任单位:市商务局、市财政局，三江新区管委会、各县(区)政府〕</p><p class=\"ql-align-justify\">	六、支持会展企业应对疫情影响。对2022年9月至2023年3月期间在我市承办1万平方米及以上经贸类展会的本市会展企业给予补助。经备案和批准、受疫情影响在举办日前15日内终止的展会，合同场租面积在1万平方米及以上至3万平方米的给予10万元补贴，3万平方米及以上的给予20万元补贴;经备案和批准并顺利举办的展会，每1万平方米给予5万元防疫补贴，每个展会项目最高不超过20万元。〔责任单位:市商务局、市财政局，三江新区管委会、各县(区)政府〕</p><p class=\"ql-align-justify\">	七、鼓励市民绿色出行。鼓励市民乘坐公交车(含智轨)出行，今年10月至12月将公交、智轨乘车折扣调整到7折，增加的优惠金额由市级财政与运营企业按实结算。〔责任单位:市交通运输局、市财政局、市公服集团(市公交公司)、川南轨道公司〕</p><p class=\"ql-align-justify\">	八、加大金融支持力度</p><p class=\"ql-align-justify\">	(一)提供延期还贷和首贷支持。金融机构要按市场化原则，通过提供中长期贷款、降低利率、展期或续贷等方式，积极支持受困服务业企业抵御疫情影响，不得盲目限贷、抽贷、断贷。提高中小服务业企业“首贷率”，市财政在省级财政奖补的基础上，对向无贷款记录的我市中小服务业企业发放首笔贷款的地方法人银行机构，按照当年实际发放此类贷款金额的0.5‰给予补贴。此项补贴随同省级财金互动首贷奖补政策同步实施和拨付。(责任单位:市金融工作局、人行宜宾中支、市财政局、宜宾银保监分局)</p><p class=\"ql-align-justify\">	(二)提供货币政策工具支持。对符合条件的地方法人金融机构按照普惠小微贷款余额季度环比增量的2%提供激励资金。引导地方法人金融机构对受疫情影响的服务业企业优先使用再贷款资金予以支持。鼓励银行机构对出租车司机、网店店主、货车司机等灵活就业主体，比照个体工商户和小微企业主，加大经营性贷款支持力度。(责任单位:人行宜宾中支、宜宾银保监分局、市金融工作局)</p><p class=\"ql-align-justify\">	(三)提供合理信用保护支持。对因疫情影响的中小服务业企业未能及时还款的，经征信系统接入机构认可后，合理调整信用记录报送。相关逾期贷款以征信系统接入机构与贷款人协议调整后的还款计划及相应实际还款情况报送，已经报送的争取予以调整。(责任单位:人行宜宾中支、宜宾银保监分局、市金融工作局、在宜银行机构)</p><p class=\"ql-align-justify\">	(四)提供融资担保降费支持。政府性融资担保机构进一步降低服务业企业综合融资成本，对“支个保”等产品担保费率减按0.5%收取，把小微企业纳入“支个保”支持范围，市财政按照融资担保额的1%给予政府性融资担保公司补贴。鼓励政府性融资担保机构在同等条件下优先为小微企业和个体工商户首贷户提供担保。(责任单位:市金融工作局、市财政局)</p><p class=\"ql-align-justify\">	(五)提供商业保理融资支持。对全市中小服务业企业基于其应收账款转让获得市内国有商业保理公司的融资进行补贴，财政对2022年9月至2023年3月期间企业实际保理融资额按LPR计算利息的50%予以贴息，单户企业贴息金额最高不超过50万元。商业保理公司为中小服务业企业开通24小时绿色审批通道，最快1天放款。〔责任单位:市金融工作局、市财政局，三江新区管委会、各县(区)政府〕</p><p class=\"ql-align-justify\">	九、加大税收减免力度</p><p class=\"ql-align-justify\">	(一)对小规模纳税人及部分服务免征增值税。2022年4月1日至2022年12月31日对增值税小规模纳税人适用3%征收率的应税销售收入，免征增值税;对适用3%预征率的预缴增值税项目，暂停预缴增值税。2022年5月1日至2022年12月31日对纳税人为居民提供必需生活物资快递收派服务取得的收入，免征增值税。2022年对轮客渡、公交客运、出租车、长途客运、班车等公共交通运输服务免征增值税。(责任单位:宜宾市税务局)</p><p class=\"ql-align-justify\">	(二)减免小微企业“六税两费”。2022年对增值税小规模纳税人、小型微利企业和个体工商户在50%税额幅度内减征资源税、城市维护建设税、房产税、城镇土地使用税、印花税(不含证券交易印花税)、耕地占用税和教育费附加、地方教育附加等“六税两费”。(责任单位:宜宾市税务局)</p><p class=\"ql-align-justify\">	(三)减免小微企业和个体工商户所得税。2022年对小型微利企业年应纳税所得额不超过100万元的部分，减按12.5%计入应纳税所得额，按20%的税率缴纳企业所得税。2022年1月1日至2024年12月31日对小型微利企业年应纳税所得额超过100万元但不超过300万元的部分，减按25%计入应纳税所得额，按20%的税率缴纳企业所得税。2022年对个体工商户经营所得年应纳税所得额不超过100万元的部分，在现行优惠政策基础上，再减半征收个人所得税。(责任单位:宜宾市税务局)</p><p class=\"ql-align-justify\">	(四)减免受疫情影响中小企业房产税、城镇土地使用税。对因疫情导致重大损失，正常生产经营活动受到重大影响，缴纳房产税、城镇土地使用税确有困难的中小企业，可申请免征疫情期间房产税、城镇土地使用税。(责任单位:宜宾市税务局、市财政局)</p><p class=\"ql-align-justify\">	十、支持企业稳岗稳就业</p><p class=\"ql-align-justify\">	(一)实施留工培训补助。2022年1月1日至2022年12月31日，对累计出现1个(含)以上新冠肺炎疫情中高风险地区的县(区)，因疫情严重影响暂时无法正常生产经营的服务业参保企业(社会团体、基金会、社会服务机构、律师事务所、会计师事务所、以单位形式参保的个体工商户参照实施)，以及未出现中高风险疫情地区的餐饮、零售、旅游、民航、公路水路铁路运输5个特困行业参保企业，按每名参保职工500元的标准发放一次性留工培训补助，支持服务业企业组织职工以工作代替培训，所需资金从失业保险基金中列支。(责任单位:市人力资源社会保障局、市发展改革委、市市场监管局、宜宾市税务局)</p><p class=\"ql-align-justify\">	(二)发放一次性扩岗补助。服务业企业招用毕业时间为2022年1—12月的高校毕业生，签订劳动合同并参加失业保险的，按每人1000元标准发放一次性扩岗补助。扩岗补助与中小微企业吸纳毕业年度高校毕业生一次性吸纳就业补贴政策统一经办，不重复享受，所有符合条件的新申请企业均按扩岗补助政策受理，所需资金从失业保险基金中列支。(责任单位:市人力资源社会保障局、市委人才和大学城工作局)</p><p class=\"ql-align-justify\">	(三)继续实施阶段性缓缴社会保险费。对餐饮、零售、旅游、民航、公路水路铁路运输等5个特困行业及受疫情影响生产经营出现暂时困难的所有中小微企业，养老保险费缓缴实施期限至2022年12月31日，工伤、失业保险费缓缴期限不超过1年，缓缴期间免收滞纳金;企业申请办理社会保险费缓缴时，对于是否属于困难企业，可由企业作出书面承诺或采信行业主管部门的认定。以个人身份参加企业职工基本养老保险的个体工商户和各类灵活就业人员，2022年缴费有困难的，可自愿暂缓缴费，2022年未缴费月度可于2023年底前进行补缴。(责任单位:市人力资源社会保障局、市发展改革委、市财政局、宜宾市税务局)</p><p class=\"ql-align-justify\">	本政策有效期从印发之日至2023年3月31日，相关条款由牵头责任单位负责解释，并另行制定实施细则。除第二、七、八(一)、八(四)条由市财政全额承担外，需财政出资的条款所需资金按照市、区5:5，市、县3:7分担比例分级负担。</p><p class=\"ql-align-justify\">	本政策享受范围须为登记注册、税收和统计关系在我市的独立法人企业和个体商户。申报主体为规模以上、限额以上单位的，需在申报时点在库。违反常态化疫情防控政策的申报主体，取消申报资格。条款可分项叠加享受，但若涉及省、市其他同类型奖补政策的，按就高不就低原则执行，不重复交叉享受。公务人员、有关单位、企业严禁内外勾结、弄虚作假，骗取套取补贴资金，对出现相关问题的责任人由相关监督部门依法依纪严肃处理，涉嫌犯罪的依法追究刑事责任。</p><p><br></p>', '', 128, 0, 0, 99, '', '2023-05-13 16:43:27', 1, '2023-05-13 11:11:38', 1, '', ''), (4534, 384, 'title', '标题', 'input', '', 'string', '《宜宾市推进中医药强市建设十条措施》', '', 128, 0, 1, 99, '', '2023-05-13 16:52:44', 1, '2023-05-13 11:06:39', 1, '', ''), (4535, 384, 'date', '发布日期', 'date', '', 'string', '2023-05-12', '', 128, 0, 1, 99, '', '2023-05-13 16:52:44', 1, '2023-05-13 11:08:53', 1, '', ''), (4536, 384, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 99, '', '2023-05-13 16:52:44', 1, '2023-05-13 11:11:13', 1, '', ''), (4537, 384, 'content', '内容', 'text', '', 'string', '<p class=\"ql-align-justify\">《宜宾市推进中医药强市建设十条措施》正式出台。</p><p class=\"ql-align-justify\">	作为宜宾促进中医药传承创新发展、先行先试国家中医药综合改革示范区建设、推进中医药强市建设工作的强力支撑，《措施》明确了中医药工作示范建设、服务能力提升、产业提能增效、文化弘扬传承等37项硬核激励举措。其中，每年安排5000万元市级中医药发展专项资金，全国基层中医药工作示范县、国家级中医重点专科建设2个单项均给予1000万元奖补资金，最惹人注意。据悉，宜宾中医药发展专项资金额度及单项奖补金额居全省之首。</p><p class=\"ql-align-justify\">	《措施》聚焦中医药高质量发展，支持中医药示范品牌创建，对创建为全国基层中医药工作示范县、四川省中医药强县的县(区)分别给予1000万元、500万元一次性补助。</p><p class=\"ql-align-justify\">	《措施》聚焦中医医疗服务能力，支持改善就医体验，对中医药扶优补短、重点专科建设、科研创新、人才引培等12个能力建设项目给予激励，其中，创建国家级中医重点专科将给予1000万元能力建设经费。</p><p class=\"ql-align-justify\">	《措施》聚焦中医药产业提能增效，支持延伸壮大中医药一、二、三产业链，对种植基地、生产加工、健康旅游等13个产业发展项目给予扶持，其中，引进中医药企业培育最高奖补200万元。</p><p class=\"ql-align-justify\">	《措施》聚焦中医药文化传承，支持中医药+新业态，对中医药文化基地、非物质文化遗产保护等10个文化弘扬项目给予鼓励，其中，成功申报国家非物质文化遗产保护代表性项目名录奖补100万元。</p><p class=\"ql-align-justify\">	此外，《措施》还明确，对编制中医药发展规划、区域合作活动、产业调查分析、信息化建设培训、绩效考核培训、人才项目评选、中医适宜技术技能竞赛、综合执法监督等工作经费予以充分保障。</p><p class=\"ql-align-justify\">	据宜宾市中医药管理局相关负责人介绍，通过《措施》施行，将有力推进宜宾中医药高质量发展步入快车道，先行行试加力国家中医药综合改革示范区建设，不断开创宜宾中医药传承创新、振兴发展的新局面。</p><p><br></p>', '', 128, 0, 0, 99, '', '2023-05-13 16:52:44', 1, '2023-05-13 11:11:38', 1, '', ''), (4538, 385, 'title', '标题', 'input', '', 'string', '进一步支持中小微企业和个体工商户健康发展的财税政策', '', 128, 0, 1, 99, '', '2023-05-13 17:00:08', 1, '2023-05-13 11:06:39', 1, '', ''), (4539, 385, 'date', '发布日期', 'date', '', 'string', '2023-05-13', '', 128, 0, 1, 99, '', '2023-05-13 17:00:08', 1, '2023-05-13 11:08:53', 1, '', ''), (4540, 385, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 99, '', '2023-05-13 17:00:08', 1, '2023-05-13 11:11:13', 1, '', ''), (4541, 385, 'content', '内容', 'text', '', 'string', '<p class=\"ql-align-center\"><strong>进一步支持中小微企业和个体工商户健康发展的财税政策</strong></p><p class=\"ql-align-justify\">		为深入贯彻落实中央和省委经济工作会议精神，进一步减轻企业负担、优化营商环境、助企纾困解难，促进中小微企业和个体工商户健康发展，特制定以下政策措施。</p><p class=\"ql-align-justify\">	<strong>一、着力降低企业负担</strong></p><p class=\"ql-align-justify\">	1.持续推进减税降费。鼓励脱贫人口、失业人员、高校毕业生等重点群体从事个体经营，按每户每年14400元的限额标准扣减有关税费。支持中小微企业招用脱贫人口、失业人员，按实际招用人数每人每年7800元的定额标准扣减有关税费。继续实施疫情期间困难中小企业免征房产税、城镇土地使用税优惠政策。对中小微工业生产企业在厂区范围内的各类新建民用建筑，可不修建防空地下室，执行防空地下室易地建设费零收费标准。实施阶段性降低失业保险费率政策，减轻中小微企业社保缴费负担。</p><p class=\"ql-align-justify\">	2.促进降低经营成本。承租省属国有房屋用于生产经营，对经营暂时有困难但产品有市场、项目有前景、技术有竞争的中小微企业，以及劳动力密集、社会效益高的民生领域服务性中小微企业，一次性减免1-3个月房租。承租省属国有房屋用于生产经营的个体工商户，一次性减免1-3个月房租。鼓励各地结合实际加大租金减免力度。支持省级小型微型企业创业创新示范基地减免入驻中小微企业的厂房租金，省级财政对示范基地按不超过租金减免总额的50%，给予最高200万元补助。继续实施国际标准集装箱车辆、ETC车辆和绿色通道（鲜活农产品运输车辆）高速公路差异化收费政策，分别给予30%、5%和免收通行费优惠。其中，2022年2月18日至2023年12月31日期间，ETC货车通行费优惠再提高1个百分点，提标的减免费用由省级财政给予补贴。</p><p class=\"ql-align-justify\">	<strong>二、着力缓解融资困难</strong></p><p class=\"ql-align-justify\">	3.引导金融机构加大贷款力度。深入实施财政金融互动政策，引导金融机构向中小微企业发放首贷、信用贷。推动“园保贷”“服保贷”“天府科创贷”“文产贷”等产品合作银行扩大贷款规模；实施制造业企业“制惠贷”试点。支持市（州）建立风险补偿基金（资金池），对银行机构为区域内中小微企业和个体工商户贷款发生的损失给予补偿，省级财政按照市（州）财政实际拨付资金的50%，给予最高300万元的支持。</p><p class=\"ql-align-justify\">	4.鼓励投资机构投早投小。支持各类风险投资机构加大对种子期、初创期科技型中小微企业的投资力度，省级财政按不超过实际到位投资的2%，对风险投资机构给予最高100万元的奖励。鼓励省级产业类投资引导基金加大对中小微企业的投资，提高绩效考核权重。</p><p class=\"ql-align-justify\">	<strong>三、着力培育市场主体</strong></p><p class=\"ql-align-justify\">	5.加大纾困资金支持。鼓励地方安排中小微企业纾困资金，对生产经营暂时有困难但产品有市场、项目有前景、技术有竞争力的中小微企业，以及劳动力密集、社会效益高的民生领域服务型中小微企业给予专项资金支持，省级财政按市（州）实际补助资金的30%，给予最高1000万元支持。各地在确保失业保险待遇按时足额发放前提下，对不裁员或少裁员的中小微企业，可在现行最高上限内适当提高稳岗返还标准。继续对中小微企业吸纳高校毕业生、登记失业人员、农民工等重点群体给予就业创业相关补贴。</p><p class=\"ql-align-justify\">	6.引导激励创新发展。激励科技服务企业为中小微企业提供专业服务，省级财政按科技服务企业收入规模给予最高200万元的后补助支持。鼓励各地积极运用科技创新券服务中小微企业，省级财政按照不超过市（州）补助额的60%据实补助。</p><p class=\"ql-align-justify\">	7.支持市场拓展。对大企业采购中小微企业和个体工商户产品及服务年累计超过1亿元，按实际支付采购金额较上年增量部分的5%，给予企业最高300万元奖励。各级各部门主办的市场拓展活动，主办方对中小微企业和个体工商户参加展位费按减50%收取，同级财政对费用减免部分给予全额补助。</p><p class=\"ql-align-justify\">	<strong>四、着力优化营商环境</strong></p><p class=\"ql-align-justify\">	8.加强政府采购支持。足额预留采购份额专门面向中小企业采购；对符合条件的小微企业、个体工商户按国家规定的上限给予价格评审优惠。大力推广“政采贷”。取消收取供应商投标（响应）保证金，鼓励采购人免收供应商履约保证金，加大合同预付款比例。</p><p class=\"ql-align-justify\">	9.优化经营发展环境。在不影响正常生产生活秩序的情况下，允许临街商铺在门前划定区域范围内、划定时间范围内开展出店外摆经营活动，不收取外摆费用。鼓励各地在具备条件的餐饮相对集中街道划定临停路段，允许车辆在就餐时段临时停放。优先对中小企业孵化园等基础设施专项债券项目评审入库，优先安排“专项债券+市场化融资”组合融资项目发行。</p><p class=\"ql-align-justify\">	10.保障企业款项支付。制定《四川省保障中小企业款项支付投诉办理实施细则（暂行）》，建立预防和化解拖欠中小微企业账款长效机制，推动各级政府部门、事业单位及时支付账款，对经认定不及时支付款项的，在核定新增债务限额、“三公”经费、公务出行标准、出国出境审批、津补贴标准、办公用房管理等方面采取限制措施。</p><p><br></p>', '', 128, 0, 0, 99, '', '2023-05-13 17:00:08', 1, '2023-05-13 11:11:38', 1, '', ''), (4542, 386, 'content', '内容', 'text', '', 'string', '<p>三江新区、宜宾高新区、“两海”示范区管委会,各县(区)人民政府,市直有关部门(单位),市属有关企业:</p><p>	为深入贯彻落实国务院《“十四五”市场监管现代化规划》(国发〔2021〕30号),统筹发展和安全,全力打造“酒都食安”标志性成果,加快建设食品安全治理现代化体系,经市政府同意,现提出如下意见。</p><p>	一、总体要求</p><p>	(一)指导思想</p><p>	坚持以习近平新时代中国特色社会主义思想为指导,深刻领会习近平总书记关于食品安全的重要论述,深入贯彻党的二十大精神和省第十二次党代会、省委十二届历次全会、市委六届六次全会部署,严格落实“四个最严”要求,持续夯实食品安全发展基础,全面实施食品安全战略,对标食品安全治理现代化体系建设目标,加快推动“酒都食安”建设,提高从农田到餐桌全过程监管能力,提升食品全链条质量安全保障水平,全力守护老百姓“舌尖上的安全”,为高质量谱写中国式现代化宜宾篇章提供坚实保障。</p><p>	(二)工作目标</p><p>	到2025年,食品安全党政同责和企业主体责任落实到位,着力构建食品安全五大体系、三大工程,成功创建国家食品安全示范城市,食品安全智能化风险管控达到先进水平,全市各类食品生产经营主体暗访合规率达到93%以上,食品评价性抽检合格率保持在98%以上,食品安全群众满意度达到85分以上,“酒都食安”成为全省的响亮名片,初步实现食品安全治理体系和治理能力现代化。</p><p>	到2035年,食品安全保障和风险管控水平达到国内先进城市水平,食品产业高质量发展,产地环境污染得到有效治理,生产经营者责任意识、诚信意识和食品质量安全管理水平大幅提高,从农田到餐桌全过程监管体系高效运行,人民群众吃得健康、吃得放心,“酒都食安”影响力进一步提升,成为全国的响亮名片,高水平实现食品安全治理体系和治理能力现代化。</p><p>	二、主要工作</p><p>	(一)构建高效落实的属地责任体系</p><p>	1.压实党政同责责任。严格落实《地方党政领导干部食品安全责任制规定》,按规定用好示范创建、评议考核、督查检查、公开述职等手段,推动党委、政府领导自觉履行组织领导和督促落实食品安全属地管理责任,杜绝发生较大及以上级别食品安全事件。到2025年,成功创建国家食品安全示范城市,建成国家农产品质量安全县5个,省级食品安全示范县(区)6个,巩固提升食品安全示范城市和农产品质量安全县创建工作,使其常态化、长效化。</p><p>	2.压实属地包保责任。严格执行“三张清单+一项承诺书”制度,推动形成分层分级、精准防控、末端发力、终端见效的长效机制。各级包保干部常态化应用数字化履责平台,包保关系建立率、承诺书签订率、督导完成率保持在100%。</p><p>	3.健全综合协调机制。完善风险会商、定期调度、年度报告、挂牌督办、责任约谈等机制,落实落细约谈通知书、整改通知书、提醒敦促函“两书一函”制度。开展重大问题联合督办、区域性风险隐患联合研判、重大事项集中督促约谈。</p><p>	(二)构建高效务实的主体责任体系</p><p>	1.落实质量安全管理责任。指导食品生产经营者执行《企业落实食品安全主体责任监督管理规定》,100%配备食品安全总监、食品安全员,深入落实日管控、周排查、月调度工作制度,提升问题发现能力,自查发现问题处置率达到100%。</p><p>	2.加强生产经营过程控制。指导食品生产经营者落实进货查验、生产经营过程控制、出厂检验等制度,规范食品生产经营行为,严格落实问题食品召回制度。鼓励食品生产企业使用关键控制点智控应用。</p><p>	(三)构建高效严格的监管责任体系</p><p>	1.严格依法监管。严把产地环境安全、农业投入品生产使用、粮食收储质量安全、食品加工质量安全、流通领域销售质量安全和餐饮服务质量安全等“六关”,严厉查处违法违规行为。强化行刑、行纪衔接、司法与行政执法衔接机制。落实“处罚到人”要求,健全从业禁入人员黑名单制度。通过“四川省市场监管一体化工作平台”开展食品销售领域食品安全监督检查。深化食品安全民事公益诉讼惩罚性赔偿制度。</p><p>	2.严格信用监管。加快食品行业诚信体系建设,全面实行食品生产经营者信用分级分类管理,完善信用承诺、守信核查、失信惩戒、信用修复闭环。强化食品生产经营单位风险分级管理,风险分级达到100%、监督检查总开展率达到80%以上。</p><p>	3.严格风险管控。健全食品安全风险隐患闭环管控机制,加强风险监测、评估、管理、交流和预警。加强食品安全应急能力和应急体系建设,完善食品安全事件预警监测、组织指挥、应急保障、信息报告和新闻发布制度。加强舆情监测,建立重大舆情收集、分析研判和快速响应机制。完善重大活动保障体系,抓实重大活动食品安全保障。深化校园食品安全守护、网络餐饮治理、餐饮环境卫生提升等专项行动,加强食品安全抽检监测。主动发布权威信息,及时开展风险解读,鼓励研究机构、高校、协会、媒体等参与食品安全风险交流,科学解疑释惑。</p><p>	4.完善投诉举报机制。畅通12345和12315等投诉举报渠道,认真落实举报奖励制度,切实维护消费者合法权益。鼓励企业内部知情人举报食品研发、生产、销售等环节中的违法犯罪行为,经查证属实的,按照有关规定给予奖励。加强对举报人的保护,对打击报复举报人的,依法严肃查处。对恶意举报非法牟利的行为,依法予以严厉打击。</p><p>	(四)构建高效融合的共治责任体系</p><p>	1.强化普法和科普宣传。主流媒体持续加强食品安全法律法规、国家标准、科学知识的宣传教育,增强人民群众食品安全意识。在中小学开展食品安全与营养教育等活动。持续开展“食品安全宣传周”和食品安全进农村、进校园、进企业、进社区等宣传。</p><p>	2.鼓励社会监督。深化市食品安全委员会成员单位联系基层食品安全工作制度,统筹全市力量参与、支持和监督食品安全工作。依法公开行政监管和处罚的标准、依据、结果,接受社会监督。支持行业协会建立行规行约和奖惩机制,强化行业自律。鼓励新闻媒体准确客观报道食品安全问题,有序开展食品安全舆论监督。</p><p>	(五)构建高效协同的考核体系</p><p>	1.抓实评议考核。根据《国务院办公厅关于印发食品安全工作评议考核办法的通知》(国办发〔2023〕6号)要求,及时修订《宜宾市食品安全工作评议考核办法》,加强食品安全工作评议考核,逗硬奖惩措施。按照“管行业必须管安全”和“谁主管谁负责”的要求,市直各部门建立本部门本行业食品安全工作制度,制定实施食品安全工作计划,各司其职、齐抓共管,统筹推进食品安全工作。</p><p>	2.抓实跟踪督办。加强对各级各部门食品安全工作的跟踪督办,建立“红旗引路、黄旗问责”工作机制,加大媒体曝光力度。发挥责任约谈警示作用,健全完善责任约谈制度,让各级各部门领导干部真正把保障食品安全这一重大政治责任牢记在心。对问题较多、屡教不改,特别是连续抽检不合格的食品生产经营企业定期开展责任约谈、制定整改清单、明确整改时限,逐一消除食品安全隐患。</p><p>	3.抓实示范引领。对在食品安全工作中作出突出贡献的单位和个人,按照有关规定给予表扬。对县(区)和部门(单位)创新性示范经验做法进行全市推广。对食品生产经营优秀的集体或个人进行宣传。开展食品安全校园征文等活动宣扬先进事迹,打造食品安全示范街区发挥引领作用,强化食品安全工作正面引领和社会引导。</p><p>	(六)实施监管提升工程</p><p>	1.推进专项行动开展。聚焦重点领域、重点产业、重点环节开展食品安全专项行动督查整治,针对突出问题、薄弱环节,采取有力措施筑牢基础、补齐短板、提升水平,有效防范化解食品安全风险。逐步推进学校食堂等集中用餐单位的食品安全专项治理行动,组织开展对全市大米生产经营企业、小作坊进行质量安全风险排查,持续推动酱腌菜生产企业资质、环境卫生、过程质量控制等情况全面摸底检查。推进反食品浪费行动,发布反餐饮浪费红黑榜,强化检查执法力度。</p><p>	2.推动食品园区提升。实施食品小作坊治理提升行动,推动建设食品小作坊生产经营的集中园区,从原料采购、工艺流程、风险防控、车间卫生、从业人员管理等方面对园区实施精细化监管,构建先进的园区管理模式。督促各商户完善原料进货、产品出库和出厂档案等台账资料,建立安全生产档案,确保每一批次的产品可追溯。参照国家标准和行业标准,结合小作坊实际,全面探索制定小作坊生产加工地方标准。定期组织人大代表、政协委员、新闻记者、市民代表走进园区开展调研,织密织牢群防群治的“安全网”。</p><p>	3.推动智慧监管实施。深化大数据支撑赋能,加强政府与社会、企业数据共享,进一步增强大数据比对分析、自动预警、在线监管等能力,提升食品安全治理能力与水平。大力推进宜宾市场监管智慧服务(大数据)中心平台建设,实现1+1+N智慧监管。1个统一平台,把需求系统整合到统一平台,实现统一登录、统一认证、统一管理。1个数据中心,积极争取数据回流,归集、调取其他部门涉及市场主体的数据,整合其他自建系统的数据。N个场景应用,分析梳理使用需求,遵循公开、公平、共享的原则,建设各类场景应用,满足创建国家食品安全示范城市及食品安全监管等各方面需求。鼓励生产车间安装高清监控,接入食品安全智慧监管平台,实现远程在线监管。</p><p>	(七)实施产业强基工程</p><p>	1.推进科技强基。将食品安全纳入全市科技计划,加强食品安全领域的科技创新,引导食品企业加大科研投入,完善科技成果转化应用机制。积极建设一批食品安全技术支撑机构和重点实验室,加快引进培养高层次人才和高水平创新团队,重点突破关键技术。加快研究成果转化应用。依托市内外国家级专业技术机构,开展基础科学和前沿科学研究,提高食品安全风险发现和防范能力。</p><p>	2.推进品牌强基。依托白酒等特色产业集群和特色产业基地,实施区域名品名牌培育工程。引导企业增强以质量和信誉为核心的品牌意识,树立品牌产品理念,制定品牌管理体系,形成一批具有自主知识产权的名牌产品和企业。推进宜宾白酒地理标志认定、保护和示范工作,支持白酒企业争创“中国质量奖”和“四川省天府质量奖”,用好“宜宾酒”品牌,在全省打造产区共享品牌标杆。支持白酒生产经营企业采用条形码、二维码、无线射频(RFID)等信息化手段,打造“一瓶一码”品牌化身份证。鼓励食品行业自主品牌积极争取国家品牌企业相关认证。加大自主知识产权产品保护力度,建设有利于品牌发展的长效机制和良好环境。</p><p>	3.推进质量强基。鼓励食品经营企业获得质量认证认可,实施增品种、提品质行动。鼓励和引导食品生产经营企业标准与国际标准体系兼容,支持参与国际国内标准制定修订等标准化活动,大力实施企业标准“领跑者”制度。在固态法白酒等领先行业,大力培育建设国际一流的综合性、专业性、标准化研究机构,以及国家级质量标准实验室和国家技术标准创新基地,形成标准、计量、认证认可、检验检测一体化运行的国家质量基础设施。引导食品企业延伸产业链条,建立优质原料生产基地及配套设施。推进承诺达标合格证“亮证”行动,强化农产品质量安全追溯体系建设。推动建立重点食品“认证+监管”联动机制,推进白酒和大中型规模以上肉制品等食品生产企业开展危害分析和关键控制点(HACCP)等体系认证。</p><p>	(八)实施民生实事工程</p><p>	1.提升民生消费水平。深入实施民生实事工程,到2025年,培育达标食品小作坊500家、合格食品小作坊1500家,其余食品小作坊确保基本合格。养老机构“阳光厨房”建成率达到80%以上。建成AA级以上规范化农产品集中交易市场27家,培育农村家宴一体化服务公司10家。深化放心示范餐饮街区建设,动态培育食品类放心消费单位3000家以上。</p><p>	2.促进国民营养健康。实施国民营养计划,深入开展食物营养功能评价研究。开展营养健康食堂(餐厅)、营养与健康学校建设,全面普及膳食营养知识,引导居民养成科学的膳食习惯,到2025年,建成营养健康食堂(餐厅)、营养与健康学校30家。</p><p>	3.增强多元供给能力。持续推进“放管服”改革,深化食品生产许可改革,完善告知承诺制度、许可审批流程和审查审批标准,减少不必要的限制,鼓励创业、支持就业。增强粮食等食物产业链、供应链韧性,有效应对重大自然灾害和突发事件的考验,全面提升绿色、生态、优质、安全的农产品供给能力。</p><p>	三、保障措施</p><p>	(一)强化组织领导。充分发挥市食品安全委员会综合协调作用,强化部门协同联动,提升工作合力。各级各部门要加强组织领导,落实属地责任,完善工作机制,确保各项工作落地落实。</p><p>	(二)强化督促指导。以严格督查考核食品安全“两个责任”为主体,通过调研调度、动态跟踪、情况会商等方式掌握“酒都食安”标志性成果打造情况。</p><p>	(三)鼓励工作创新。坚持顶层设计和基层探索双向发力,鼓励和支持有条件的县(区)、部门(单位)进行集成式创新和专项试点,实现一地创新、全市共享,按规定对相关县(区)、部门(单位)及其主要负责人给予表扬。</p><p><br></p>', '', 128, 0, 0, 99, '', '2023-09-08 10:34:34', 7, '2023-05-13 11:11:38', 1, '', ''), (4543, 386, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 99, '', '2023-09-08 10:34:34', 7, '2023-05-13 11:11:13', 1, '', ''), (4544, 386, 'date', '发布日期', 'date', '', 'string', '2023-09-06', '', 128, 0, 1, 99, '', '2023-09-08 10:34:34', 7, '2023-05-13 11:08:53', 1, '', ''), (4545, 386, 'title', '标题', 'input', '', 'string', '宜宾市人民政府办公室关于打造“酒都食安”加快建设食品安全 治理现代化体系的意见', '', 128, 0, 1, 99, '', '2023-09-08 10:34:34', 7, '2023-05-13 11:06:39', 1, '', ''), (4546, 387, 'content', '内容', 'text', '', 'string', '<p>三江新区、宜宾高新区、“两海”示范区管委会,各县(区)人民政府,市直有关部门(单位):</p><p>	《宜宾市市长质量奖评定管理办法》已经市政府同意,现印发给你们,请认真贯彻执行。</p><p class=\"ql-align-right\">宜宾市人民政府办公室</p><p class=\"ql-align-right\">2023年9月6日</p><p class=\"ql-align-center\">	<strong>宜宾市市长质量奖评定管理办法</strong></p><p class=\"ql-align-center\">	<strong>第一章&nbsp; 总则</strong></p><p>	第一条为深入贯彻《质量强国建设纲要》,推进质量强市战略,引导和激励全市各行业加强质量管理,追求卓越绩效,根据《中华人民共和国产品质量法》,结合我市实际,制定本办法。</p><p>	第二条宜宾市市长质量奖(以下简称市长质量奖)的评定和管理适用本办法。</p><p>	第三条市长质量奖是宜宾市人民政府设立的最高质量荣誉,设组织奖、个人奖。组织奖授予本市实施卓越的质量管理经营模式,取得显著经济和社会效益,并对宜宾市质量建设作出积极贡献的法人和非法人组织(以下统称组织);个人奖授予在本市质量工作中作出突出贡献的个人。</p><p>	第四条市长质量奖的申报和评定遵循下列原则:</p><p>	(一)自愿申请;</p><p>	(二)科学、客观、公正;</p><p>	(三)严格标准、优中选优。</p><p>	第五条市长质量奖评定标准参照国家标准《卓越绩效评价准则》(GB/T19580-2012)和《卓越绩效评价准则实施指南》(GB/Z19579-2012)。</p><p class=\"ql-align-center\">	<strong>第二章&nbsp; 奖项设置</strong></p><p>	第六条市长质量奖分为市长质量奖(组织奖、个人奖)、市长质量奖提名奖(组织奖、个人奖),每两年评定一次,每次评定表扬总数不超过15个组织和个人。</p><p>	第七条对获得市长质量奖的组织和个人,采取通报表扬、颁发奖杯、证书的形式,以资鼓励宣传推广其先进质量管理经验、开展质量创新、技术攻关、推动质量持续改进及人员质量素质提升等。获奖组织和个人在获奖后不得以原获奖成果再次申报。</p><p>	第八条市长质量奖评选的工作经费列入市级财政预算,实行专款专用。</p><p class=\"ql-align-center\">	<strong>第三章&nbsp; 组织管理</strong></p><p>	第九条市政府设立市长质量奖评委会(以下简称评委会),负责履行以下职责:</p><p>	(一)组织、推动、指导、监督市长质量奖评定活动的开展,决定市长质量奖评定活动的重大事项;</p><p>	(二)审定市长质量奖评定标准、实施指南和工作程序等重要工作规范;</p><p>	(三)审查评审结果,确定市长质量奖、市长质量奖提名奖候选名单,提请市政府审定;</p><p>	(四)按照本办法第二十九条、三十条的规定履行监督职责。</p><p>	第十条评委会下设评委会办公室(以下简称评委办),负责履行以下职责:</p><p>	(一)拟订市长质量奖评定标准、工作程序和管理制度等;</p><p>	(二)建立市长质量奖评审专家库和评审组;</p><p>	(三)组织实施市长质量奖资格审查、材料评审和现场评审,并根据评审组的综合评审报告,提出市长质量奖、市长质量奖提名奖候选建议名单;</p><p>	(四)调查市长质量奖评定过程中的重大事项;</p><p>	(五)对获奖组织、个人进行监督。</p><p>	第十一条评委办根据评审工作的需要,在市长质量奖评审专家库中,选择3名以上(含3名)单数的专家,组成市长质量奖评审组(以下简称评审组),开展评审工作。评审工作结束后,评审组自动解散。</p><p>	评审组实行组长负责制,履行以下职责:</p><p>	(一)负责市长质量奖的材料评审、现场评审及综合评价;</p><p>	(二)提交综合评审报告;</p><p>	(三)其他有关事项。</p><p>	第十二条市质量品牌办、县(区)质量强县(区)办,市级有关行业主管部门,市级行业协会是市长质量奖的推荐机构,履行以下职责:</p><p>	(一)负责本地区、本系统和本行业市长质量奖的培育、发动和推荐工作;</p><p>	(二)宣传、推广获奖组织、个人的先进经验和成果。</p><p class=\"ql-align-center\">	<strong>第四章&nbsp; 申报条件</strong></p><p>	第十三条申报市长质量奖的组织,应当同时具备下列条件:</p><p>	(一)在本市行政区域内依法设立,其生产经营活动符合国家产业导向、法律法规及有关政策要求;</p><p>	(二)实施卓越绩效质量管理模式,管理体系健全,通过ISO9001质量体系认证或者其它体系认证并有效运行;</p><p>	(三)在质量水平、技术和创新能力、品牌影响力、经济效益等方面取得突出成绩,在全市同行业中处于领先水平;</p><p>	(四)实现质量管理制度、模式、方法、成效创新,并具有推广价值;</p><p>	(五)积极履行社会责任,具有良好的诚信记录和社会声誉;</p><p>	(六)工贸企业须通过安全生产标准化三级及以上。</p><p>	第十四条申报市长质量奖的个人,应当同时具备下列条件:</p><p>	(一)遵纪守法,在本市从事质量管理工作3年以上;</p><p>	(二)质量意识和创新意识强,质量工作中成绩显著,得到所在单位和社会高度认可;</p><p>	(三)掌握质量管理理论和专业技能,具有丰富的实践管理经验,为推动区域、行业和企业提高质量管理水平作出了突出贡献。</p><p>	第十五条组织有下列情形之一的,不得申报市长质量奖:</p><p>	(一)生产经营活动不符合国家产业、环保、质量政策的;</p><p>	(二)列入国家强制管理范围的产品未获得相关证照的;</p><p>	(三)近3年在国家、省、市产品监督抽查中存在不合格,企业经营异常或者有重大质量、设备、安全、环保事故及重大质量投诉,或存在其他违法、违规行为,经调查属实的。</p><p>	个人有下列情形之一的,不得申报市长质量奖个人奖:</p><p>	(一)所属的组织近3年有重大的质量、设备、安全、环境污染、公共卫生等事故的;</p><p>	(二)近3年因重大质量事故受到行政处罚或存在其他违法、违纪、违规行为的。</p><p class=\"ql-align-center\">	<strong>第五章&nbsp; 评定程序</strong></p><p>	第十六条每届市长质量奖评选前,由评委办在宜宾日报或宜宾晚报、宜宾新闻网、宜宾市市场监督管理局网站上发布评选公告,并向省质量强省办报告启动情况。</p><p>	第十七条符合市长质量奖申报条件的,应当在规定期限内向推荐机构提交申报材料。</p><p>	第十八条推荐机构在规定期限内,对申报材料进行审核,认为符合本办法规定的申报条件的,需形成书面推荐意见,报送评委办。</p><p>	第十九条资格审查。评委办对申报者的基本条件,申报材料的完整性、真实性进行资格审查。</p><p>	第二十条材料评审。对经资格审查合格的组织和个人,由评审组对其提交的申报材料进行评审,并按照“优中选优”的原则提出现场评审名单。</p><p>	第二十一条现场评审。接受现场评审的组织,应当提供第三方对其主导产品进行用户满意度调查的评价报告。接受现场评审的个人,不需提供第三方用户评价报告。评审组对组织和个人进行现场评审,并形成现场评审报告。</p><p>	第二十二条陈述答辩。接受现场评审的组织负责人应就实施卓越绩效模式情况进行陈述答辩。接受现场评审的个人不需陈述答辩。</p><p>	第二十三条评审组应当根据材料评审情况、现场评审报告和第三方用户评价报告,形成综合评审报告。</p><p>	第二十四条评委办根据评审组提交的综合评审报告,提出市长质量奖、市长质量奖提名奖候选建议名单,并经征求相关部门意见后,提请评委会审查。</p><p>	第二十五条评委会对市长质量奖、市长质量奖提名奖候选建议名单进行审查,确定市长质量奖、市长质量奖提名奖候选名单,并在宜宾日报或宜宾晚报、宜宾新闻网、宜宾市市场监督管理局网站向社会公示,公示期为10天。</p><p>	第二十六条评委办将通过公示的市长质量奖、市长质量奖提名奖候选名单报市政府审定。市政府审定后,对获得市长质量奖、市长质量奖提名奖的组织和个人予以表扬,由市长颁发市长质量奖奖杯、证书。</p><p class=\"ql-align-center\">	<strong>第六章&nbsp; 监督管理</strong></p><p>	第二十七条获奖组织和个人可在企业品牌形象推广中使用获奖信息,但应注明获奖年度,不得将市长质量奖标识用于具体产品、服务的质量宣传(如产品广告、包装、说明等)。</p><p>	第二十八条获奖组织、个人有下列情形之一的,应当在情况发生后15日内书面报告评委办:</p><p>	(一)发生重大质量、安全、环保事故的;</p><p>	(二)国家、行业、省、市产品质量监督抽查不合格的;</p><p>	(三)质量水平明显下降,用户对质量问题反映强烈,有重大质量投诉,并受到有关行政主管部门行政处罚的。</p><p>	第二十九条获奖组织、个人违反本办法第二十七条规定或未遵守第二十八条应报尽报规定的,情节较轻,由评委办给予批评;情节严重的,由评委会提请市政府撤销其市长质量奖称号,并收回奖杯和证书。</p><p>	第三十条对弄虚作假或采取其他不正当手段骗取市长质量奖的组织、个人,由评委会提请市政府批准撤销其市长质量奖称号,收回奖杯、证书,并向社会通告。</p><p>	第三十一条不接受被撤销市长质量奖称号的组织、个人在5年内再次申报市长质量奖。</p><p>	第三十二条评委办工作人员和评审组成员应当严格遵守工作纪律,实事求是,公正廉洁,并为申报者保守商业和技术秘密。参与市长质量奖评选的人员与申报者有利害关系的,应当主动申请回避。</p><p>	第三十三条对在评定过程中违规违纪的行为,各级纪检监察部门按照职责和干部管理权限,依规依纪处理。涉嫌犯罪的,移送司法机关处理。</p><p class=\"ql-align-center\">	<strong>第七章&nbsp; 异议处理</strong></p><p>	第三十四条任何单位或者个人对评选表扬有异议的,可以向评委办提出并提供相应证明。以匿名方式提出异议的,不予受理。</p><p>	单位提出异议的,应当注明单位住所、联系方式并加盖本单位公章;个人提出异议的,应当在书面异议材料上签署本人姓名,注明联系电话、通讯地址,提供身份证明。</p><p>	第三十五条评委办应当自收到书面异议材料后5个工作日内进行审查,对符合规定并能提供充分证据的异议,应当受理,并出具书面凭证。</p><p>	第三十六条涉及异议的任何一方、申报材料接收单位应当</p><p>	积极配合评委办进行异议调查,不得推诿和延误。</p><p>	第三十七条涉及国防、国家安全的异议,应当按照国家有关规定予以处理。</p><p>	第三十八条评委办应当将异议处理结果告知异议方,并通报有关申报材料接收单位。</p><p class=\"ql-align-center\">	<strong>第八章&nbsp; 推广应用</strong></p><p>	第三十九条各县(区)质量强县(区)工作领导小组、市直有关部门(单位)应当按照职责分工,组织本地区、本领域获奖组织在行业领域内推行先进质量管理模式和方法,开展经验交流。但不得借推广名义从事任何营利性活动。</p><p>	第四十条获奖组织和个人应当发挥质量标杆示范引领作用,主动推广先进质量管理模式、方法,推进我市行业领域整体质量提升;持续开展先进质量管理理念、模式和方法创新,追求卓越质量,持续提升效益。</p><p>	第四十一条获奖组织应当为其他组织了解学习其质量管理模式和方法提供便利条件。国家另有规定的除外。</p><p class=\"ql-align-center\">	<strong>第九章&nbsp; 附则</strong></p><p>	第四十二条本办法自2023年10月8日起施行,有效期5年。</p>', '', 128, 0, 0, 99, '', '2023-09-08 10:38:34', 7, '2023-05-13 11:11:38', 1, '', ''), (4547, 387, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '1', '', 128, 0, 0, 99, '', '2023-09-08 10:38:34', 7, '2023-05-13 11:11:13', 1, '', ''), (4548, 387, 'date', '发布日期', 'date', '', 'string', '2023-09-06', '', 128, 0, 1, 99, '', '2023-09-08 10:38:34', 7, '2023-05-13 11:08:53', 1, '', ''), (4549, 387, 'title', '标题', 'input', '', 'string', '宜宾市人民政府办公室关于印发《宜宾市市长质量奖评定管理办法》的通知', '', 128, 0, 1, 99, '', '2023-09-08 10:38:34', 7, '2023-05-13 11:06:39', 1, '', ''), (4550, 388, 'content', '内容', 'text', '', 'string', '<p>三江新区、宜宾高新区、“两海”示范区管委会，各县（区）人民政府，市直相关部门，市公用事业服务集团公司、宜宾华润燃气有限公司、宜宾中气天然气有限公司：</p><p>	《宜宾市城镇燃气安全事故应急救援预案》已经市政府同意，现印发给你们，请遵照执行。</p><p class=\"ql-align-right\">	宜宾市人民政府办公室</p><p class=\"ql-align-right\">	   2023年7月7日</p><p>	  </p><p class=\"ql-align-center\">	宜宾市城镇燃气安全事故应急救援预案</p><p>	</p><p>	1．总则</p><p>	1.1编制目的</p><p>	为做好全市城镇燃气安全事故应急救援工作，实施应急抢险，及时、有序、高效、妥善处置事故、排除隐患，并在必要时实施紧急救援工作，最大限度减少事故可能造成的损失，保护人民生命财产安全，珍惜生命、关爱生命，维护社会稳定，保障经济发展，特制定本预案。</p><p>	1.2编制依据</p><p>	以《中华人民共和国突发事件应对法》《中华人民共和国安全生产法》《中华人民共和国消防法》《生产安全事故应急预案管理办法》《四川省突发事件应对办法》《城镇燃气管理条例》《四川省燃气管理条例》《宜宾市突发事件应急预案管理办法》及有关法律、法规的规定为依据，编制本预案。</p><p>	1.3工作原则</p><p>	统一领导，分级负责；以人为本，预防为先；快速反应，快速处理。</p><p>	1.4概念和适用范围</p><p>	本预案所称城镇燃气安全事故，是指城镇燃气储存、使用、经营和废弃物处置过程中，因其能量意外释放造成人员伤亡、财产损失、环境污染等事故。包括由城镇燃气引起的爆燃事故、泄漏事故以及对社会造成重大影响的其它事故。</p><p>	本预案适用于我市行政区域内城镇发生的因燃气泄漏、爆炸、火灾、中毒等原因造成的事故险情；同时，对各县（区）的燃气突发事件的应急处置具有支援和指导职责。</p><p>	1.5事故分级</p><p>	本预案有关数量的表述，“以上”含本数，“以下”不含本数。</p><p>	1.5.1特别重大事故（Ⅰ级响应）：是指造成30人以上死亡，或者100人以上重伤，或者1亿元以上直接经济损失的事故。</p><p>	1.5.2重大事故（Ⅱ级响应）：造成10人以上、30人以下死亡（含失踪），或危及10人以上、30人以下生命安全，或者50人以上、100人以下中毒（重伤），或者直接经济损失5000万元以上、1亿元以下的安全生产事故。</p><p>	1.5.3较大事故（Ⅲ级响应）：造成3人以上、10人以下死亡（含失踪），或危及10人以上、30人以下生产安全，或者30人以上、50人以下中毒（重伤），或者直接经济损失1000万元以上、5000万元以下的安全生产事故。</p><p>	1.5.4一般事故（Ⅳ级响应）：是指造成3人以下死亡，或者10人以下重伤，或者1000万元以下直接经济损失的事故。</p><p>	2．应急组织指挥体系与职责</p><p>	城镇燃气安全事故救援应急组织体系由市政府及市住房城乡建设局、市应急管理局等部门，燃气管理和生产、经营单位（企业）组成。成立宜宾市城镇燃气安全事故应急救援指挥部（以下简称市应急指挥部）。</p><p>	2.1市应急指挥部</p><p>	2.1.l市应急指挥部组成</p><p>	指挥长：市政府分管副市长</p><p>	副指挥长：市住房城乡建设局局长、市应急管理局局长</p><p>	成员：市委宣传部、市应急管理局、市住房城乡建设局、市公安局、市市场监管局、市卫生健康委、市生态环境局、市交通运输局、市委网信办、市消防救援支队、国网宜宾供电公司、市公用事业服务集团公司、宜宾华润燃气有限公司、宜宾中气天然气有限公司、宜宾天然气发展有限公司、各通讯公司等单位分管负责人。</p><p>	市应急指挥部成员单位按照各自职责，负责本预案实施过程中的重大事项的指导、协调和保障工作。</p><p>	（1）市应急管理局：参与市应急指挥部办公室工作，负责应急处置中综合协调及信息汇总工作；根据授权负责组织或参与生产经营性燃气事故的调查和处理，对事故应急抢险处置和抢险救援工作提出意见和建议。</p><p>	（2）市委宣传部：负责组织、协调应急新闻报道，做好媒体记者的组织、管理和引导工作。</p><p>	（3）市公安局：负责维护燃气安全事故应急抢险现场秩序和社会公共秩序，涉燃气犯罪案件的处置侦破工作，负责事故区域的道路管制和交通疏导工作，负责保障抢险救援人员、车辆的通行，配合做好事故善后工作。</p><p>	（4）市消防救援支队：负责事故中的抢险救援和火灾扑救工作。</p><p>	（5）市住房城乡建设局：负责燃气安全事故信息的接收、核实、处理、传递、通报、报告，组织有关部门及单位对事故发生地进行技术支持和支援，组织事故应急技术研究和应急知识宣传教育等工作。</p><p>	（6）市市场监管局：负责参与燃气压力容器及压力管道抢险方案的制订；参与事故调查处理和技术、质量分析。</p><p>	（7）市卫生健康委：负责组织协调燃气安全事故中的医疗救治、卫生监督、疾病控制等。</p><p>	（8）市生态环境局：负责对燃气安全事故现场周边地区环境监测和实时报告，对事故产生的废弃物等有害物的处置提出措施建议，并协助相关部门进行处理。</p><p>	（9）市交通运输局：负责燃气安全事故处置过程中有关涉及公路损毁、抢修道路等事宜的应急处理。</p><p>	（10）市委网信办：负责牵头处置舆情事件工作。</p><p>	（11）国网宜宾供电公司：负责供电范围内电力供应保障，全力组织抢修，并采取临时应急措施尽快恢复供电。</p><p>	（12）市公用事业服务集团公司：督促参股燃气企业做好燃气应急预案工作和抢险物资储备、人员调配工作；完成市政府安排的应急救援任务。</p><p>	（13）宜宾华润燃气有限公司、宜宾中气天然气有限公司、宜宾天然气发展有限公司：负责编制本企业燃气应急现场抢险救援预案及各类安全事故应急处置措施，做好抢险物资储备、人员调配工作；燃气安全事故发生后，按照市应急指挥部的要求组织实施现场抢修；做好生产调度、抢修作业、安全监护、用户通告、临时供气等工作；做好后勤保障工作，配合事故调查、取证、分析工作。</p><p>	（14）各通讯公司：负责通讯保障工作，有关管线单位负责其所属管线的抢修及保护工作。</p><p>	其他相关部门根据本部门职责，配合做好相关工作。</p><p>	市应急指挥部下设市应急指挥部办公室、市应急指挥部专家工作组、市应急指挥部应急救援抢险组等。</p><p>	2.1.2市应急指挥部办公室组成</p><p>	市应急指挥部办公室设在市住房城乡建设局，负责日常工作。</p><p>	主任：市住房城乡建设局局长</p><p>	副主任：市住房城乡建设局分管安全生产和城镇燃气的局领导、市应急管理局分管燃气安全的局领导</p><p>	成员：市住房城乡建设局市政公用事业管理科、城市建设科、质量安全科、办公室、行政审批科、建设工程消防审验科、财务科主要负责人，市应急管理局相关科室主要负责人，宜宾天然气发展有限公司、宜宾华润燃气有限公司、宜宾中气天然气有限公司主要负责人，燃气专家。</p><p>	2.1.3市应急指挥部专家工作组组成</p><p>	由城镇燃气设施的设计、施工、营运和电力工程、卫生防疫等方面的专家组成。</p><p>	2.1.4市应急指挥部应急救援抢险组组成</p><p>	由城镇燃气企业抢险队伍组成。</p><p>	2.2各级指挥体系职责</p><p>	2.2.1市应急指挥部职责</p><p>	（1）突发性燃气安全事件发生时，负责应急事件处理的统一协调指挥，组织对事故发生地进行技术支持和支援。</p><p>	（2）负责制订、完善和实施城镇燃气安全事故应急预案。</p><p>	（3）负责全市城镇燃气安全事故应急信息的接收、核实、处理、传递、通报、报告；及时了解掌握全市范围内城镇燃气突发安全事故情况，根据情况需要，向上级政府报告事故情况和应急措施的建议。</p><p>	（4）组织燃气安全事故应急技术研究和应急知识宣传教育等工作，拟定宣传口径，指定专门人员拟草和审核新闻通稿，协调和安排相关救援部门负责人、专家接受媒体采访。</p><p>	（5）确定各成员单位的具体职责任务及工作分工。</p><p>	（6）研究、落实市委、市政府交办的有关燃气安全事故处置工作其他重大事项。</p><p>	2.2.2市应急指挥部办公室职责</p><p>	在应急响应期间负责市燃气安全事故应急指挥部成员单位和专家工作组的联络，负责收集情况，及时传达省、市应急领导机构的指示。应急响应时，提出报告和建议；及时传达和执行省、市政府的各项决策和指令，并检查和报告执行情况。</p><p>	2.2.3市应急指挥部专家工作组职责</p><p>	参加市应急指挥部统一组织的活动及专题研究；应急响应时，研究分析事故信息和有关情况，为应急决策提供咨询或提出建议；参与事故调查，对事故处理提出咨询意见；受市应急指挥部的指派，对事发地实施技术支持。</p><p>	2.2.4应急救援抢险组职责</p><p>	负责事发现场的抢险和安全保障，按照市应急指挥部的要求组织实施现场抢修作业、安全监护、临时停气、供气等工作。</p><p>	2.3各县（区）城镇燃气安全事故救援应急组织</p><p>	各县（区）政府根据本预案，制订当地城镇燃气安全事故救援应急预案。比照市应急指挥部职责，成立县（区）级城镇燃气安全事故救援应急指挥部，在当地政府领导下开展工作；办公室设在同级政府建设行政主管部门，具体负责日常工作。</p><p>	3．预防与预警机制</p><p>	3.1市、县级应急指挥部办公室要定期组织应急演练，原则上市级每3年、县级每2年组织一次应急演练，并制定专项应急演练计划，报同级应急指挥部同意后，由预案指挥机构组织实施。</p><p>	企事业单位（社会团体）应急预案原则上根据本单位的事故风险特点每年演练一次，预案演练前的计划安排和演练后的评估报告，应报属地主管部门备案，抄送属地应急指挥部办公室。</p><p>	3.2城镇燃气企业要定期检查本单位燃气应急救援预案、交通、通讯、仪器、抢险工具和专业人员的落实情况，制定年度演练计划，每年组织抢险应急演练，并设专人对抢险器材、设备等定期进行维护保养，确保随时处于工作状态。严格落实巡查、巡线、入户检查制度。</p><p>	3.3应急救援工作应由多部门配合，城镇燃气主管部门应在市应急救援指挥部的统一领导下，与应急、公安、卫生、消防等有关部门及时沟通、密切合作，共同开展应急抢险救援工作。</p><p>	3.4预警机制，当燃气发生泄漏、爆炸、火灾、或使人中毒等情况潜在发生时，当地群众应及时拨打城镇燃气安全事故接警中心电话，并告知周围群众及时撤离。</p><p>	4．应急响应</p><p>	4.1总体要求</p><p>	城镇燃气安全事故发生后，在事发地县（区）政府领导下，县（区）级应急指挥部组织实施事故应急、抢险、排险、抢修、快速修复、恢复重建等方面的工作，初步判断燃气安全事故的级别，提出是否启动城镇燃气安全事故救援应急预案的建议，并及时向上级政府应急机构报告情况。</p><p>	4.2事故报告</p><p>	4.2.1报告程序</p><p>	发生城镇燃气安全事故的单位，必须及时、准确、如实地报告，不得隐瞒不报、谎报或者拖延不报，不得故意破坏事故现场，毁灭有关证据和扰乱现场秩序。</p><p>	城镇燃气安全事故发生后，事故单位及相关人员应立即拨打当地县（区）城镇燃气安全事故接警中心电话，同时组织相关人员做好事故现场的抢险、疏散工作。县（区）接警中心接报后，按照分级响应的规定，立即联系市城镇燃气安全事故应急救援领导小组应急办公室，应急办公室立即向市应急指挥部报告，并由市应急指挥部决定是否启动本预案。</p><p>	事故单位在12小时内将事故书面材料上报当地县（区）城镇燃气行业主管部门，城镇燃气主管部门按《生产安全事故报告和调查处理条例》的规定上报。</p><p>	4.2.2.报告内容</p><p>	主要包括以下内容：</p><p>	（1）事故或险情发生的时间、地点、事故类别、人员伤亡情况，设施损失及对供气造成影响的情况。</p><p>	（2）险情基本情况，事故简要经过，紧急抢险救援情况，直接经济损失。</p><p>	（3）险情或事故原因的初步分析或基本结论。</p><p>	（4）采取的措施。</p><p>	（5）事故报告单位、签发人及报告时间。</p><p>	（6）其他需要上报的有关事项。</p><p>	4.3分级响应</p><p>	发生Ⅰ级特别重大城镇燃气安全突发事件后，由市应急指挥部报市委、市政府主要领导决定启动一级响应，启动后按程序上报并向社会公布。</p><p>	发生Ⅱ级重大城镇燃气安全突发事件后，由市应急指挥部报市政府主要领导决定启动二级响应，启动后按程序上报并向社会公布。</p><p>	发生Ⅲ级较大城镇燃气安全突发事件后，由市应急指挥部办公室报指挥长决定启动三级响应，启动后按程序上报并向社会公布。</p><p>	发生Ⅳ级一般城镇燃气安全突发事件后，由县（区）政府决定启动四级响应，启动后按程序上报并向社会公布。</p><p>	4.4处置措施</p><p>	城镇燃气安全事故发生后，根据事故的严重程度，事发地县（区）应急指挥部立即启动相应等级的应急预案。迅速采取有效措施，组织抢救，防止事态扩大。严格保护事故现场。迅速派人赶赴事故现场，负责维护现场秩序和证据收集工作。服从事发地政府的统一部署和指挥，了解掌握事故情况，协调组织抢险救灾和调查处置等事宜，并根据事故等级及时向市级燃气安全事故应急指挥部办公室报告事态趋势及状况。因抢救人员、防止事态扩大、恢复生产及疏通交通等原因，需要移动现场物件的，应当做好标记，采取拍照、摄像、绘图等方法详细记录事故现场原貌，妥善保存现场重要痕迹、物证。</p><p>	根据燃气安全事故的成因、分类，组织实施救援。</p><p>	4.5指挥协调</p><p>	突发事件应遵循分级负责、属地为主、层级响应、协调联动的原则。当突发事件超出属地政府的应对能力时，由上一级政府提供支援或者负责应对。初判发生一般突发事件，原则上由事发地县（区）政府负责应对。初判发生较大突发事件，原则上由市政府负责应对，由事发地县（区）政府负责先期处置。初判发生重大、特别重大突发事件，市政府负责组织处置的同时，立即报省政府协调支持或组织应对。</p><p>	4.6.应急解除</p><p>	4.6.1现场应急处置工作完成后，经现场应急救援指挥部确认，并报应急指挥部批准，终止实施本预案，现场应急处置工作结束，应急救援队伍撤离事故现场。</p><p>	4.6.2抢险应急状态终止后，各有关单位应及时向市应急指挥部作出书面报告。书面报告的基本内容是：事故发生及抢险经过；事故原因；事故造成后果，包括伤亡人员情况及经济损失等；预防事故采取的措施；应急预案效果及评估情况；应吸取的经验教训以及对事故责任单位及责任人的处理情况等。</p><p>	4.7信息公开和舆情处置</p><p>	4.7.1履行统一领导职责或者组织处置突发事件的人民政府，应当按照有关规定统一、准确、及时发布有关突发事件事态发展和应急处置工作的信息。</p><p>	4.7.2属地应急指挥部办公室成员单位要紧密关注舆情动态，如遇突发舆情事件，应及时处置，并在2小时内向属地应急指挥部报告，应急指挥部接到报告后，同步报上一级应急指挥部办公室，应急指挥部根据事件严重程度抉择是否召开舆情应急处置工作会议。 </p><p>	4.8后期处置</p><p>	4.8.1突发事件的起因调查与分析</p><p>	应急处置工作结束后，履行统一领导职责的人民政府应当及时组织有关部门和专业技术力量，按照有关规定对突发事件造成的损失进行统计、核实和评估；对突发事件的起因、性质、影响、责任等问题开展调查和分析，对信息报送、应急决策、预警、处置与救援等应对工作进行全面客观的评估，并向上一级人民政府和同级人大常委会报告。</p><p>	4.8.2生活、生产秩序的恢复</p><p>	突发事件应急处置工作结束后，履行统一领导职责的人民政府应当立即组织对突发事件造成的损失进行评估，组织受影响地区尽快恢复生产、生活、工作和社会秩序，制定恢复重建计划，并向上一级人民政府报告。</p><p>	 受突发事件影响地区的人民政府应当及时组织和协调公安、交通、铁路、民航、邮电、建设等有关部门恢复社会治安秩序，尽快修复被损坏的交通、通信、供水、排水、供电、供气、供热等公共设施。</p><p>	县级以上地方人民政府应当根据损失情况和有关规定，对受突发事件影响较大的地区和行业，采取费用减免、贷款贴息、财政转移支付和对口支援等措施，提供资金援助、物资支持、技术指导和人力支援。</p><p>	4.8.3持续防止其他安全衍生事件的发生</p><p>	突发事件的威胁和危害得到控制或者消除后，履行统一领导职责或者组织处置突发事件的人民政府应当停止执行应急处置措施，同时采取或者继续实施疫病防治、疫情或者灾害监控、环境污染消除、宣传疏导等必要措施，防止发生自然灾害、事故灾难、公共卫生事件的次生、衍生事件或者重新引发社会安全事件。</p><p>	5．保障措施</p><p>	5.1物资保障</p><p>	有关部门、城镇燃气企业要储备一定数量的应急救援物资。在应急响应时，各有关部门、城镇燃气企业要服从调动，保证应急救援的需求。市消防救援支队应配置专门针对燃气引起的火灾的灭火设备、设施及其他装备物资。</p><p>	5.2医疗卫生保障</p><p>	卫生健康行政主管部门负责组织调度医疗救护队伍实施医疗救治，并根据城镇燃气安全事故造成人员伤亡的特点，协调落实专用药品和器材。</p><p>	医疗救护队伍接到指令后，要迅速进入事故现场实施医疗救援；各级医院负责后续治疗。</p><p>	5.3交通管制</p><p>	交通管制要开设应急救援特别通道，应急救援车辆要有专用标识，在管制区域内允许执行任务车辆通行，并按照规定免交道路通行费。</p><p>	5.4交通运输保障</p><p>	交通运输保障以事故发生地县（区）政府为主进行协调指挥，协调沿途有关政府提供交通警戒支持，保证及时调运城镇燃气安全事故应急救援人员、装备和物资。</p><p>	6．应急预案管理</p><p>	6.1应急预案培训</p><p>	在市安委会的指导、协调下组织应急预案的培训，包括制定应急预案的培训计划、方式和要求。市应急指挥部成员单位根据自己职责制定相关的培训计划，并做好宣传教育和告知等工作。</p><p>	6.2应急预案演练</p><p>	在市安委会的指导、协调下组织城镇燃气安全事故应急救援演习。各城镇燃气企业结合自身特点，定期组织本单位进行应急救援演习，并接受城镇燃气安全事故应急救援工作领导小组检查。</p><p>	6.3应急预案修订</p><p>	6.3.1修订周期</p><p>	根据应急管理形势的变化、应急预案演练和突发事件处置中发现的问题，依据有关法律、行政法规、规章和本办法的规定，定期或适时修订应急预案，原则上每3年至少修订一次，各县（区）参照修订。法律、法规、规章对修订周期另有规定的，从其规定。</p><p>	6.3.2如出现以下情况，应及时对本预案进行调整</p><p>	新法律法规、标准与规范颁布实施，相关法律法规、标准与规范修订；</p><p>	应急组织体系发生重大调整；</p><p>	预案中发现不符合项或其他原因；</p><p>	其他需对预案进行修订的因素。</p><p>	6.4专家库专家由市住房城乡建设局根据专家年龄、身体状况等因素作适当调整。</p><p>	6.5应急预案备案</p><p>	本预案经评审后，报同级安全委员会备案，企业预案报属地主管部门备案。</p><p>	7．本预案自颁布之日起实施。</p>', '', 128, 0, 0, 99, '', '2023-09-08 10:40:50', 7, '2023-05-13 11:11:38', 1, '', '');
INSERT INTO `mortals_sys_app_info_field` VALUES (4551, 388, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 99, '', '2023-09-08 10:40:50', 7, '2023-05-13 11:11:13', 1, '', ''), (4552, 388, 'date', '发布日期', 'date', '', 'string', '2023-07-07', '', 128, 0, 1, 99, '', '2023-09-08 10:40:50', 7, '2023-05-13 11:08:53', 1, '', ''), (4553, 388, 'title', '标题', 'input', '', 'string', '宜宾市人民政府办公室关于印发《宜宾市城镇燃气安全事故应急救援预案》的通知', '', 128, 0, 1, 99, '', '2023-09-08 10:40:50', 7, '2023-05-13 11:06:39', 1, '', ''), (4554, 389, 'content', '内容', 'text', '', 'string', '<p>三江新区、“两海”示范区、宜宾高新区管委会，各县（区）人民政府，市直有关部门（单位）：</p><p>	经市政府同意，现将《宜宾市制造业招商引资“百日攻坚”行动（第三季）实施方案》印发你们，请认真贯彻落实。</p><p>	附件：1．宜宾市制造业招商引资“百日攻坚”行动（第三季）考核评价体系</p><p>	2．宜宾市制造业招商引资“百日攻坚”行动（第三季）指导性目标任务分解表</p><p>	3．信息报送专人联络方式</p><p class=\"ql-align-right\">宜宾市人民政府办公室</p><p class=\"ql-align-right\">2023年6月15日</p><p class=\"ql-align-right\"><br></p><p class=\"ql-align-center\">宜宾市制造业招商引资“百日攻坚”行动	（第三季）实施方案</p><p>	为深入贯彻党的二十大精神和习近平总书记来川来宜视察重要指示精神，全面落实省委、省政府安排部署，进一步加大制造业招商引资工作力度，推动我市制造业高质量发展，根据四川省人民政府办公厅《关于开展全省制造业招商引资“百日攻坚”行动（第三季）的通知》，结合我市产业发展实际，特制定本实施方案。</p><p>	一、总体要求</p><p>	以习近平新时代中国特色社会主义思想为指导，着力构建现代化产业体系，加快建设以新型工业化为主导的制造强市，坚持把发展特色优势产业和战略性新兴产业作为主攻方向，聚焦我市制造业发展重点领域、薄弱环节，突出招大引强目标导向，实施产业链精准招商，进一步推动招商引资项目签约落地、开工建设、竣工验收、投产达产，确保全市制造业招商引资工作取得新成效，助力全市经济高质量发展。</p><p>	二、工作目标</p><p>	围绕我市主导产业，高效招引一批行业龙头、重点关键链节项目，力争在“百日攻坚”行动（第三季）期间全市新签约项目总投资不少于1500亿元。</p><p>	三、工作重点</p><p>	（一）突出重点领域，优化产业生态。围绕白酒特色优势产业，动力电池、光伏、智能终端、新能源汽车等战略性新兴产业，先进材料、装备制造、能源、建材等传统优势产业，剖析产业链短板和缺失环节，依托“产业链招商＋基金招商＋敲门拜访”的“2＋1”模式，重点招引一批建链、强链、补链、延链项目，进一步壮大做强产业集群，完善产业生态圈。</p><p>	（二）紧盯龙头企业，切实招大引强。围绕制造业智能化、绿色化、融合化发展方向，积极招引“三类500强”企业、外资企业、国家级制造业单项冠军企业、国家级专精特新“小巨人”企业、“链主型、总部型、平台型”企业或项目落地落户。</p><p>	（三）围绕目标任务，有序推进工作。要合理衔接全年招商任务和“百日攻坚”行动（第三季）目标任务，力争利用此次攻坚行动，为高质量完成全年目标任务打好基础。要加快数字经济高质量发展大会、2023世界动力电池大会等大型展会和专题招商推介会的签约成果转化，做好项目落地、开工等工作。同时，积极做好项目储备，力争在今年中国西部国际博览会、中国国际名酒博览会等重大活动中取得更好成绩。</p><p>	（四）强化协同联动，推进项目落地。建立和完善重点项目服务机制，各相关部门要落实行业主管责任，全面梳理已签约未开工项目、已开工未竣工项目，落实专人负责，督导项目进度。要素保障部门要对重点项目在土地、能耗、用电、环评、人才以及营业执照、施工许可办理等方面给予支持服务。各县（区）要落实属地责任，倒排工期、挂图作战，确保项目如期开工、竣工。</p><p>	（五）加强指导帮扶，严格政策兑现。发挥政策对产业发展的引导和促进作用，强化政策兑现及时性，增强产业政策协同性，用好各种政策工具组合，形成“产业—科技—金融—教育—人才”高效联动局面，指导符合条件的企业申报政策扶持项目、争创示范企业等，鼓励企业加强科技创新、绿色发展和数字化转型。</p><p>	（六）强化服务保障，营造一流环境。坚持市县（区）一体、专班推动机制，围绕重点项目落地、审批、建设、投产等环节建立“一对一”服务机制，全覆盖联系服务规上制造业企业，构建企业问题困难收集、协商、解决的闭环工作机制，及时协调解决项目落地建设过程中的各类瓶颈问题，助推招引来宜的企业签得下、留得住、发展好、贡献大。</p><p>	四、工作步骤</p><p>	“百日攻坚”行动（第三季）从即日起至2023年9月5日结束，具体分为三个阶段。</p><p>	（一）动员部署阶段（即日起至6月19日）。各县（区）积极组织动员、制定实施方案、明确工作目标、细化分解任务、编制招商图谱，为实战攻坚打好基础。</p><p>	（二）集中攻坚阶段（6月20日至8月29日）。各县（区）围绕工作目标，积极协调各方力量，强化部门联动配合，形成合力共同攻坚；市直有关部门结合职能职责主动作为、通力协作，为县（区）提供有力支持服务，创造良好攻坚条件。市经济和信息化局、市经合新产局按照产业分工做好市级党政领导外出招商引资相关对接工作。</p><p>	（三）总结考评阶段（8月30日至9月5日）。各县（区）、各有关部门认真总结工作成效，提炼可复制、可推广的经验做法，形成总结报告；市经济和信息化局、市经合新产局联动相关部门，开展“百日攻坚”行动（第三季）实际成效综合考评。</p><p>	五、工作要求</p><p>	（一）强化组织领导。充分发挥工业强市领导小组统揽作用，各县（区）落实主体责任，各产业专班积极跟进，各部门抓好协作，市经济和信息化局、市经合新产局加强统筹协调，配强攻坚队伍，提前布局、精准发力。市直有关部门要树立全市“一盘棋”思想，加强市县（区）联动，确保各项工作高效有序推进。</p><p>	（二）做好氛围营造。各县（区）要认真总结工作中的好经验、好做法，选树先进典型，充分发挥各级各类媒体平台作用，多途径、多方式宣传优惠政策、发展环境等，营造招商爱商、亲商助商良好氛围。</p><p>	（三）加强信息报送。各县（区）要坚持情况动态监测、信息定期报送制度，明确专人每周报送“百日攻坚”行动（第三季）专刊信息，适时按要求报送相关统计报表。请各县（区）于2023年6月19日前将经济和信息化、经济合作部门专人联络方式（见附件3）报送至邮箱ybjxjjhz＠163．com。</p><p>	（四）科学考核督导。市经济和信息化局、市经合新产局根据县（区）工作完成情况，开展“百日攻坚”行动（第三季）成效综合考评，对工作成效突出的县（区）和个人予以通报表扬。</p><p>	（五）严肃考评纪律。各县（区）要严格遵守考评纪律和规定，坚决做到实事求是、抓真项目、真抓项目，严禁弄虚作假、瞒报虚报，一经发现立即取消考评资格并予以通报批评，造成严重后果的将严肃问责。</p>', '', 128, 0, 0, 99, '', '2023-09-08 10:44:26', 7, '2023-05-13 11:11:38', 1, '', ''), (4555, 389, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 99, '', '2023-09-08 10:44:26', 7, '2023-05-13 11:11:13', 1, '', ''), (4556, 389, 'date', '发布日期', 'date', '', 'string', '2023-06-15', '', 128, 0, 1, 99, '', '2023-09-08 10:44:26', 7, '2023-05-13 11:08:53', 1, '', ''), (4557, 389, 'title', '标题', 'input', '', 'string', '宜宾市人民政府办公室关于印发《宜宾市制造业招商引资“百日攻坚”行动（第三季）实施方案》的通知', '', 128, 0, 1, 99, '', '2023-09-08 10:44:26', 7, '2023-05-13 11:06:39', 1, '', ''), (4558, 390, 'content', '内容', 'text', '', 'string', '<p>三江新区管委会，各县(区)人民政府，市直各部门(单位):</p><p>	为进一步提高政务新媒体建设管理水平，根据《四川省人民政府办公厅关于创新完善机制加强全省政府系统政务新媒体管理的通知》(川办函〔2022〕89号)要求，现就有关事项通知如下。</p><p>	一、落实工作职责</p><p>	市政府办公室是全市政务新媒体工作的主管单位，三江新区管委会、各县(区)政府办公室是本地区政务新媒体工作的主管单位。按照“谁主管，谁负责”原则，主管单位做好本地区政务新媒体的推进、指导、协调、监督工作。各级行业主管部门要进一步加强对本行业承担公共服务职能的企事业单位新媒体工作的指导和监督。</p><p>	按照“谁主办、谁负责”原则，政务新媒体主办单位要履行规划建设、内容审核、组织保障、健康发展、安全管理等职责，特别要加强信息审核、技术监测和探索创新。政务新媒体内容运营原则上由主办单位负责，确需委托第三方运营的，应要求其具备互联网信息传播和新媒体运维资质能力，督促提高政治敏锐性和政策理解把握能力，并落实好自身管理责任，绝不能一托了之。不得以个人名义开设政务新媒体，不得为专项活动或专项工作单独开设政务新媒体。除确因工作需要外，原则上不再新增政务新媒体账号。</p><p>	二、健全工作机制</p><p>	(一)整合机制。主办单位要推进集约整合，一个单位原则上在同一平台只开设一个账号;在不同平台开设的政务新媒体名称应保持一致;有多个账号的，要将信息发布、政民互动、办事服务等功能集成到一个账号。无政府网站和政务新媒体的单位，应借助市、县(区)政府门户网站及时主动回应社会关切。要加强运维保障，施行准入承诺制;要加大突出问题处置力度，探索形成“约谈—整改—关停”退出流程。</p><p>	(二)读网机制。主办单位要建立完善不间断读网制度，特别是在节假日、全国两会、重大活动等重要节点期间，需实行单位负责人值班带班制度，并安排人员轮流值班读网。如收到主管单位及有关单位的通知等，要及时做好记录，抓好工作落实。读网期间要负责对政务新媒体各个频道、栏目及专题进行监控，及时更新信息、纠正错情，保证政务新媒体正常运行。</p><p>	(三)联动机制。主管单位要定期与宣传、网信、公安、政务服务、数字经济等部门(单位)沟通协调，共同做好发布引导、舆情研判、应急处置、服务整合等工作，合力解决工作中的问题和困难。主办单位要加强党中央国务院和省委省政府、市委市政府重要信息的及时转载，形成整体联动、同频共振的传播格局;要加强与政府网站融合发展，强化与主流新闻媒体的交流合作，提高政府权威信息影响力，助力政策措施的落实落地。</p><p>	三、完善功能建设</p><p>	(一)深化内容建设。主办单位为信息发布工作的责任单位，单位主要负责人为第一责任人，发布信息应是本地区、本部门职责相关的政务信息并注明撰稿人、审核人、审签人等，不得发布代表个人观点、意见及情绪的言论，不得刊登商业广告或链接商业广告页面;要加大力度转载习近平总书记重大活动、重要讲话等权威信息;要建立完善信息内容更新机制，每两周至少更新一次;要积极制作原创类政务信息，市、县(区)主账号要带头探索对信息进行梳理、提炼，推动“一次采集、多种生产、多元发布”，以数字化、微访谈、图解、视频、动漫等多形式展现。</p><p>	(二)畅通互动交流。主办单位要建立健全与群众、企业沟通的桥梁，畅通政务新媒体互动渠道，完善留言评论、咨询投诉等栏目，依法依规、态度诚恳、严谨周到、及时规范回复网民留言，杜绝答非所问、空洞说教、生硬冷漠、雷人雷语。咨询类问题原则上在24小时内办结;建议、投诉类问题7个工作日内办结。针对留言中涉及重大突发事件或社会热点事件的，应及时发布权威信息，澄清事实，辟除谣言。要梳理常见问题，建立完善权威、有效的咨询答问库，并持续更新，不断提升答问效率和互动质量。有条件的政务新媒体账号可依托政府网站、电子邮箱等平台，建立纠错举报渠道。</p><p>	(三)优化政务服务。具备依托互联网提供政务服务能力的主办单位都应提高线上服务水平，立足实现群众“掌上办”“最多跑一次”的需求，加快将信息查询、办事预约、证照办理等在线服务整合到政府网站与政务新媒体，并设置统一的办事入口，实现政府网站、政务新媒体与办事大厅线上线下联通、数据互联共享，提升政务服务水平。各县(区)要运用政务新媒体，推进“政务公开+基层治理”行动，实现权力运行公开透明，办事进度全程可查，同时注重结合智慧城市、智慧社区、数字乡村等建设，提高政务新媒体便民服务数字化智能化水平。</p><p>	四、强化矩阵建设</p><p>	由主管单位牵头，以市、县(区)主账号为龙头，积极建设政务新媒体矩阵，推进整体联动、协同发声，全面提升政务新媒体传播力、引导力、影响力、公信力;充分发挥市、县(区)主账号的引领作用，健全信息发布、互动回应协作机制，积极开展转办督办联动、线上线下联动。市、县(区)政府门户网站应加强政务新媒体矩阵专栏建设管理，并根据开设、变更、注销等实际情况动态调整，方便群众关注或下载。</p><p>	五、严格内容审核</p><p>	主办单位要提高政治站位，坚持正确导向，严格落实政府信息公开审查和信息发布“三审”制度，规范审核流程，压实审核责任。涉及本地区、本部门、本系统的重大事件、应急突发事件等信息，未经授权严禁擅自发布。对转载发布的信息，要在发布的信息中注明信息来源，并标注编校人、审核人。切实保护好用户信息安全，不得违法违规获取超过服务需求的个人信息，不得公开损害用户权益的内容。涉及公民个人隐私的，应当严格遵守国家有关公民个人信息保护的法律法规;除惩戒公示、强制性信息披露外，应予以去标识化技术性处理。</p><p>	六、做好安全防护</p><p>	主办单位要严格落实网络意识形态和网络安全工作责任制，建立健全安全管理、保密审查制度和应急预案，切实守住网络安全底线;要加强对政务新媒体账号密码和使用终端的安全管理，防止账号被盗用或被恶意攻击等安全事件发生;要加强日常监测，发现违法有害信息要第一时间处理，发现重大舆情要按程序转送相关部门办理;在加挂或链接新的功能或业务系统前，要开展测试，严格审核把关，必要时应开展安全评估。要加强离职人员安全保密管理。</p><p>	七、强化组织保障</p><p>	(一)加强组织领导。主管主办单位要进一步完善政务公开工作机制，将政务新媒体工作纳入重要议事日程定期研究，确定分管领导，明确承办机构，落实必要经费保障，县级以上人民政府主办的政务新媒体应明确专人负责，其他主办单位应配齐配强工作人员，专岗专责，抓好工作落实。因工作岗位调整的，应在人员变动后3个工作日内向市政府信息服务保障中心报备。</p><p>	(二)加强人员培训。主管单位要统筹做好指导和培训工作。主办单位要定期开展政务新媒体建设管理培训，并将保密教育和政务舆情风险意识教育纳入培训计划，积极开展交流、研讨，增强信息编发能力、回应引导能力、工作执行能力和应急处置能力，努力打造一支政治立场坚定、熟悉政策法规、掌握传播规律、具备较强能力的专业队伍。</p><p>	(三)加强监督管理。主管单位要每季度至少开展一次全覆盖检查，并及时向社会公开检查结果，通报存在问题，总结经验做法。对多次发现突出问题且整改不力的政务新媒体账号，本级主管单位可责令其关停;探索政务新媒体分级分类精细化监管，并持续落实分级备案制度，凡开设、变更、注销账号，应在2个工作日内向本级主管单位备案，未向本级主管单位备案私自开设的政务新媒体账号，一经发现，一律予以关停注销。</p><p>	(四)加强考核评价。主管单位要按年度开展政务新媒体检查评估工作，将结果纳入年度政务公开绩效考评，同时树立重实干、重实绩、重担当的鲜明导向，对政务新媒体工作成效好的单位和个人，按照有关规定予以激励表扬;对违反规定发布转载不良或有害信息、破坏网络传播秩序、损害公众权益等突出问题，要严肃追责问责。</p><p class=\"ql-align-right\">	宜宾市人民政府办公室</p><p class=\"ql-align-right\">	2023年3月23日</p><p><br></p>', '', 128, 0, 0, 99, '', '2023-09-08 10:47:45', 7, '2023-05-13 11:11:38', 1, '', ''), (4559, 390, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 99, '', '2023-09-08 10:47:45', 7, '2023-05-13 11:11:13', 1, '', ''), (4560, 390, 'date', '发布日期', 'date', '', 'string', '2023-03-23', '', 128, 0, 1, 99, '', '2023-09-08 10:47:45', 7, '2023-05-13 11:08:53', 1, '', ''), (4561, 390, 'title', '标题', 'input', '', 'string', '宜宾市人民政府办公室关于进一步加强政府系统政务新媒体建设管理工作的通知', '', 128, 0, 1, 99, '', '2023-09-08 10:47:45', 7, '2023-05-13 11:06:39', 1, '', ''), (4562, 391, 'content', '内容', 'text', '', 'string', '<p>三江新区管委会，各县(区)人民政府，市直有关部门(单位):</p><p>	经市政府同意，现将《贯彻落实建设富有巴蜀特色的国际消费目的地实施方案的责任分工方案》印发给你们，请结合工作实际，认真抓好贯彻落实。</p><p class=\"ql-align-right\">	宜宾市人民政府办公室</p><p class=\"ql-align-right\">	2022年11月23日</p><p class=\"ql-align-center\">	<strong>贯彻落实建设富有巴蜀特色的国际消费目的地实施方案的责任分工方案</strong></p><p>	为深入贯彻落实《建设富有巴蜀特色的国际消费目的地实施方案》(渝府办发〔2022〕87号)，结合宜宾实际。现制定如下责任分工方案。</p><p>	一、发展目标</p><p>	立足宜宾特色、资源禀赋，全力建设享誉国内的高品质生态生活宜居地，具有全国影响力的川菜美食体验区，全省放心舒心消费示范城市，全面建成四川省消费中心城市。到2025年，社会消费品零售总额年均增长10%左右，全市社会消费品零售总额规模达到1600亿元以上，全市网络交易额达到800亿元以上，实现实物商品网络零售额增长15%以上，基本建成“立足川南渝西、融入川渝滇黔，面向国内外，产品特色突出，消费功能齐备”的区域性国际消费目的地。</p><p>	二、建设区域消费中心城市</p><p>	以建设区域消费中心为目标，抢抓成渝地区双城经济圈建设历史机遇，突出地域优势、产业特色，高起点编制商圈规划，高水平建设中心城区核心商圈，统筹推进城市商圈、特色街镇提升打造，着力打造具有特色的区域消费中心城市。(责任单位:三江新区管委会，翠屏区、叙州区、南溪区人民政府，市商务局、市自然资源规划局、市住房城乡建设局、市文广旅游局)</p><p>	三、打造夜间消费集聚区</p><p>	大力发展具有宜宾特色的夜间经济，充分挖掘夜间休闲资源，将夜间经济与城市历史文化和旅游资源深度融合，打造属于宜宾的城市特色IP。重点打造和提升李庄古镇、冠英街—文脉大道、夜游三江、南溪古街、白沙湖商圈、南丝绸之路不夜城等重点夜间经济项目，引导和支持各县(区)培育打造“宜宾大夜市”，丰富夜市、夜秀、夜游等夜间消费产品，打造“醉美宜宾·浪漫三江”城市名片。〔责任单位:三江新区管委会，各县(区)人民政府，市商务局、市文广旅游局、市自然资源规划局、市住房城乡建设局〕</p><p>	四、打造特色消费集聚区</p><p>	积极支持兴文、长宁、江安打造竹产品特色消费集聚区;支持五粮液创建国家级工业旅游示范基地，助推宜宾打造“中国酒都”和世界白酒文化旅游目的地;引导三江新区依托无人机、智能终端产品打造特色电子产品消费集聚区;推动各县(区)围绕特色美食打造特色美食消费集聚区;鼓励产业园区结合实际规划打造服务区内企业的特色商业区;加快推进三江新区大学城周边商业配套建设，形成以“大学生”为消费主体的消费集聚区。全力建设一批产业集聚、特色明显、商旅文结合发展的特色消费集聚区。〔责任单位:三江新区管委会，各县(区)人民政府，市商务局、市文广旅游局、市委人才和大学城工作局、市经济和信息化局、五粮液集团公司〕</p><p>	五、发展国际消费</p><p>	大力推进RCEP西南跨境新零售体验中心项目，打造跨境电商O2O体验店。打造宜宾市“一带一路”南向通道商品集散中心，加快宜宾综保区跨境电商产业园(跨境电商监管中心)项目建设，积极申报建设跨境电商综合试验区，促进进口商品和集散。〔责任单位:三江新区管委会，各县(区)人民政府，宜宾综保区管委会、市商务局、宜宾海关〕</p><p>	六、打造区域美食中心</p><p>	传承发展宜宾美食文化，推广宜宾美食。研究制定促进宜宾美食发展和品牌建设的支持政策，支持“宜宾燃面”“李庄白肉”“全竹宴”等美食品牌走出去，不断扩大知名度。规范培育宜宾餐饮品牌，举办名店、名菜、名小吃评选及主题宣传活动。开展“宜宾美食”全国行活动。支持宜宾燃面、李庄白肉、高县土火锅、全竹宴等申报各级非遗名录，加强对宜宾美食文化的保护与传承。鼓励在主城区建设美食城和美食街。〔责任单位:三江新区管委会，各县(区)人民政府，市商务局、市文广旅游局〕</p><p>	七、打造区域国际会展中心</p><p>	持续提升世界动力电池大会、中国国际名酒博览会、中国(宜宾)国际竹产业发展峰会(竹产品交易会)、国际(宜宾)茶业年会、中国智能终端产业发展大会等一批重点展会的影响力。打造以三江新区为核心，各县(区)为依托的会展经济生态圈。以宜宾国际会展集团公司为载体，通过股权合作等方式引入优质运营团队，加快宜宾会展业国际化、市场化、品牌化、专业化进程。推动发展数字会展、绿色会展、智慧会展、体验会展、新型会展，完善高端商业配套服务链。培育创建“会展创新发展引领区”。〔责任单位:三江新区管委会，各县(区)人民政府，市商务局、市经济和信息化局、市农业农村局、市林业竹业局、宜宾国际会展集团公司〕</p><p>	八、推进消费创新升级</p><p>	支持引进品牌首店、高端定制店、跨界融合店，发展消费精品首发、首秀、首展。到2025年，新引进各类品牌首店50家以上;支持发展蕴含宜宾特色文化、展现工匠精神、承载城市记忆的小店经济，鼓励特色小店以宜宾风情、产业特色、历史文化等新奇体验留住国内外游客;支持以“宜人宜礼”为代表的数字化门店建设，大力发展智慧药房、智慧商店、智慧街区，鼓励发展网上菜场、网上餐厅、网上超市、网上市场、无人商店等新业态。支持“京东·西南数字化产融协同平台”和“筠品荟”等市县平台推广“线下体验+平台销售+直播带货+短视频”全渠道矩阵营销，促进产销精准衔接，打造新零售示范企业;积极促进绿色消费，鼓励企业创建绿色商场、绿色饭店、钻级酒家、星级旅游饭店等。推进“直播电商+特色产业+文旅+乡村振兴”协同发展，助推乡村旅游、民俗等转型升级。〔责任单位:三江新区管委会，各县(区)人民政府，市商务局、市经济和信息化局、市科技局、市农业农村局、市乡村振兴局、市文广旅游局〕</p><p>	九、培育壮大优势企业</p><p>	重点扶持一批主业突出、核心竞争力强的企业做大做强，实施企业上市挂牌“五年行动计划”，全力培育上市企业。支持振兴老字号品牌，鼓励老字号企业依托现代技术，加快研发、设计、生产、品牌营销和售后服务各环节的模式创新，开展协同制造、个性化定制等新模式，提高产品质量，扩大品牌受众。鼓励宜宾企业大力发展连锁经营，支持有实力的企业走出宜宾开设分店、提升品牌知名度，打造区域品牌，扩大企业影响力。健全创意设计、广告宣传、国际营销、体系认证、品牌评价等品牌建设配套服务，做大做强一批本土骨干企业。〔责任单位:三江新区管委会，各县(区)人民政府，市商务局、市经济和信息化局、市市场监管局〕</p><p>	十、推动消费品产业集群发展</p><p>	鼓励发展智能终端、绿色食品饮料等特色产业集群，培育壮大优质白酒、精制茶叶、特色竹产品等特色消费品产业，发展具有宜宾特色的消费品，促进消费品工业与旅游产业融合发展，形成具有地区特色和影响力的消费品产业集群。〔责任单位:有关县(区)人民政府，市经济和信息化局、市农业农村局、市文广旅游局、市商务局〕</p><p>	十一、推动“宜宾造”卖全球</p><p>	推动我市智能终端、动力电池、新能源汽车等企业加强产业研发、提升制造水平和产品的国际竞争力，加快建成世界级动力电池产业集群和智能终端、新能源汽车区域出口基地。支持“宜宾造”品牌建设和宣传推广，组织酒、竹、茶等“宜宾造”特色产品和企业参加“中国(四川)国际熊猫消费节”“中国(重庆)国际消费节”“川渝好货进双城”“川渝好货全国行”“成渝双城消费节”等活动，提升“宜宾造”品牌影响力。依托宜宾综保区等平台，推动“宜宾造”产品“卖全球”。〔责任单位:三江新区管委会，各县(区)人民政府，市商务局、市财政局、市经济和信息化局、市农业农村局、市文广旅游局〕</p><p>	十二、打响体育赛事品牌</p><p>	支持南溪区大力发展赛事经济，积极承办CBA、CUBA、中国大学生游泳锦标赛、全国大学生排球联赛等国内外知名赛事。提升宜宾马拉松赛、国家森林城市马拉松系列赛等赛事的国际影响力，培育宜宾长宁龙舟赛、兴文山地汽车拉力赛、宜宾自行车赛、环竹海自行车赛等赛事，支持各县(区)举办高水平体育赛事活动。〔责任单位:各县(区)人民政府，市教育体育局〕</p><p>	十三、打造巴蜀文化旅游走廊</p><p>	持续开展天府旅游名县、天府旅游名牌建设，提升文旅产业国际竞争力。充分挖掘长江文化、酒文化、僰苗文化、哪吒文化、抗战文化、民俗风情文化等文化资源，打造一批精品旅游线路，扩大蜀南竹海、兴文石海、李庄古镇等旅游品牌影响力。发展以长江文化为主题的影视传媒、教育培训和文化旅游主题体验集聚区，规划建设长江国家文化公园。依托自然特色风光，民俗风情、农事活动等，发展乡村旅游。推动有条件的县(区)布局建设自驾游营地和野外露营地，发展乡村民宿，推出温泉、游轮、徒步、自驾等一批特色化、品质化旅游产品。支持“三江夜游”项目进一步提升，推出365天内畅游川渝的“江游卡”，可一卡畅玩川渝两地包含宜宾三江游、重庆两江游、合川三江游、万州平湖游、各线路轮渡、观光航线、水上巴士、帆船、快艇、皮划艇等水上旅游项目。〔责任单位:各县(区)人民政府，市文广旅游局〕</p><p>	十四、健全消费者权益保障制度</p><p>	推动服务标准化建设，引导市场主体采标对标，探索建立消费环境监测评价体系。对涉及安全、健康、环保等方面的产品依法落实强制性产品认证(CCC认证)监督管理要求。鼓励线下实体店自主承诺无理由退货，探索建立特色旅游商品无理由退货制度。健全消费领域信用监管体系，开展消费投诉信息公示，强化社会监督。完善消费环节经营者首问责任制和赔偿先付制度。〔责任单位:各县(区)人民政府，市市场监管局〕</p>', '', 128, 0, 0, 99, '', '2023-09-08 10:49:00', 7, '2023-05-13 11:11:38', 1, '', ''), (4563, 391, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 99, '', '2023-09-08 10:49:00', 7, '2023-05-13 11:11:13', 1, '', ''), (4564, 391, 'date', '发布日期', 'date', '', 'string', '2022-11-23', '', 128, 0, 1, 99, '', '2023-09-08 10:49:00', 7, '2023-05-13 11:08:53', 1, '', ''), (4565, 391, 'title', '标题', 'input', '', 'string', '宜宾市人民政府办公室关于印发《贯彻落实建设富有巴蜀特色的国际消费目的地实施方案的责任分工方案》的通知', '', 128, 0, 1, 99, '', '2023-09-08 10:49:00', 7, '2023-05-13 11:06:39', 1, '', ''), (4566, 392, 'content', '内容', 'text', '', 'string', '<p>三江新区管委会，各县(区)人民政府，市直各部门(单位):</p><p>	经市委、市政府同意，现将《宜宾市服务业领域助企纾困稳增长十条措施》印发你们，请认真抓好推进落实。</p><p class=\"ql-align-right\">	宜宾市人民政府办公室</p><p class=\"ql-align-right\">	2022年11月3日</p><p class=\"ql-align-center\">	<strong>宜宾市服务业领域助企纾困稳增长十条措施</strong></p><p>	为全面落实中央、省、市决策部署，按照“疫情要防住、经济要稳住、发展要安全”要求，立足宜宾实际，为支持市场主体应对疫情影响，努力实现稳定健康发展，全力以赴稳增长、稳预期、保主体，保持经济运行在合理区间，特制定本政策。</p><p>	一、降低商贸单位用电成本。对2022年9月至2023年3月期间，限额以上零售、住宿、餐饮单位用电费用按50%给予一次性补助，分别最高不超过10万元、4万元、1万元。〔责任单位:市商务局、市财政局，三江新区管委会、各县(区)政府〕</p><p>	二、加大消费券发放力度。在前期已安排财政资金600万元的基础上，市级财政追加安排资金2000万元，分期发放惠民消费券，重点支持住宿、餐饮、零售、景区、影院等受疫情影响严重行业规上、限上和限下样本单位。后续视政策实施效果可再增加发放额度。(责任单位:市商务局、市文广旅游局、市财政局)</p><p>	三、支持商业综合体减免租金。对2022年9月至2023年3月期间给予入驻商户减免租金且建筑面积3万平方米(含)以上的商业综合体，按照当期租金减免总金额的50%给予补贴，最高不超过50万元。〔责任单位:市商务局、市财政局，三江新区管委会、各县(区)政府〕</p><p>	四、支持餐饮、住宿单位做大营销额。对2022年9月至2023年3月期间，营业额达到200万元(含)—500万元、500万元(含)—1000万元、1000万元(含)以上的限额以上餐饮单位，分别给予3万元、5万元、8万元一次性补助;营业额达到500万元(含)—1200万元、1200万元(含)—2000万元、2000万元(含)以上的限额以上住宿单位，分别给予3万元、5万元、8万元一次性补助。〔责任单位:市商务局、市财政局，三江新区管委会、各县(区)政府〕</p><p>	五、支持“互联网+消费”发展。对在宜宾市范围内注册的市场主体于2022年9月至2023年3月期间开展“互联网+消费”活动给予以下支持:一是在京东、淘宝(天猫)、拼多多、抖音、快手、美团开设本土品牌专营店(旗舰店)，每成功开设1家给予市场主体一次性2万元补助;二是免费入驻宜宾国有电商平台，按每户0.5万元给予国有平台补助，单个平台最高补助不超过50万元;三是开展直播带货、短视频销售的带货主播，粉丝量达到10万及以上，且网上销售“宜宾造”产品达到20万元、50万元、100万元以上的，分别给予市场主体1万元、2万元、5万元一次性奖励，由市场主体奖励带货主播。〔责任单位:市商务局、市财政局，三江新区管委会、各县(区)政府〕</p><p>	六、支持会展企业应对疫情影响。对2022年9月至2023年3月期间在我市承办1万平方米及以上经贸类展会的本市会展企业给予补助。经备案和批准、受疫情影响在举办日前15日内终止的展会，合同场租面积在1万平方米及以上至3万平方米的给予10万元补贴，3万平方米及以上的给予20万元补贴;经备案和批准并顺利举办的展会，每1万平方米给予5万元防疫补贴，每个展会项目最高不超过20万元。〔责任单位:市商务局、市财政局，三江新区管委会、各县(区)政府〕</p><p>	七、鼓励市民绿色出行。鼓励市民乘坐公交车(含智轨)出行，今年10月至12月将公交、智轨乘车折扣调整到7折，增加的优惠金额由市级财政与运营企业按实结算。〔责任单位:市交通运输局、市财政局、市公服集团(市公交公司)、川南轨道公司〕</p><p>	八、加大金融支持力度</p><p>	(一)提供延期还贷和首贷支持。金融机构要按市场化原则，通过提供中长期贷款、降低利率、展期或续贷等方式，积极支持受困服务业企业抵御疫情影响，不得盲目限贷、抽贷、断贷。提高中小服务业企业“首贷率”，市财政在省级财政奖补的基础上，对向无贷款记录的我市中小服务业企业发放首笔贷款的地方法人银行机构，按照当年实际发放此类贷款金额的0.5‰给予补贴。此项补贴随同省级财金互动首贷奖补政策同步实施和拨付。(责任单位:市金融工作局、人行宜宾中支、市财政局、宜宾银保监分局)</p><p>	(二)提供货币政策工具支持。对符合条件的地方法人金融机构按照普惠小微贷款余额季度环比增量的2%提供激励资金。引导地方法人金融机构对受疫情影响的服务业企业优先使用再贷款资金予以支持。鼓励银行机构对出租车司机、网店店主、货车司机等灵活就业主体，比照个体工商户和小微企业主，加大经营性贷款支持力度。(责任单位:人行宜宾中支、宜宾银保监分局、市金融工作局)</p><p>	(三)提供合理信用保护支持。对因疫情影响的中小服务业企业未能及时还款的，经征信系统接入机构认可后，合理调整信用记录报送。相关逾期贷款以征信系统接入机构与贷款人协议调整后的还款计划及相应实际还款情况报送，已经报送的争取予以调整。(责任单位:人行宜宾中支、宜宾银保监分局、市金融工作局、在宜银行机构)</p><p>	(四)提供融资担保降费支持。政府性融资担保机构进一步降低服务业企业综合融资成本，对“支个保”等产品担保费率减按0.5%收取，把小微企业纳入“支个保”支持范围，市财政按照融资担保额的1%给予政府性融资担保公司补贴。鼓励政府性融资担保机构在同等条件下优先为小微企业和个体工商户首贷户提供担保。(责任单位:市金融工作局、市财政局)</p><p>	(五)提供商业保理融资支持。对全市中小服务业企业基于其应收账款转让获得市内国有商业保理公司的融资进行补贴，财政对2022年9月至2023年3月期间企业实际保理融资额按LPR计算利息的50%予以贴息，单户企业贴息金额最高不超过50万元。商业保理公司为中小服务业企业开通24小时绿色审批通道，最快1天放款。〔责任单位:市金融工作局、市财政局，三江新区管委会、各县(区)政府〕</p><p>	九、加大税收减免力度</p><p>	(一)对小规模纳税人及部分服务免征增值税。2022年4月1日至2022年12月31日对增值税小规模纳税人适用3%征收率的应税销售收入，免征增值税;对适用3%预征率的预缴增值税项目，暂停预缴增值税。2022年5月1日至2022年12月31日对纳税人为居民提供必需生活物资快递收派服务取得的收入，免征增值税。2022年对轮客渡、公交客运、出租车、长途客运、班车等公共交通运输服务免征增值税。(责任单位:宜宾市税务局)</p><p>	(二)减免小微企业“六税两费”。2022年对增值税小规模纳税人、小型微利企业和个体工商户在50%税额幅度内减征资源税、城市维护建设税、房产税、城镇土地使用税、印花税(不含证券交易印花税)、耕地占用税和教育费附加、地方教育附加等“六税两费”。(责任单位:宜宾市税务局)</p><p>	(三)减免小微企业和个体工商户所得税。2022年对小型微利企业年应纳税所得额不超过100万元的部分，减按12.5%计入应纳税所得额，按20%的税率缴纳企业所得税。2022年1月1日至2024年12月31日对小型微利企业年应纳税所得额超过100万元但不超过300万元的部分，减按25%计入应纳税所得额，按20%的税率缴纳企业所得税。2022年对个体工商户经营所得年应纳税所得额不超过100万元的部分，在现行优惠政策基础上，再减半征收个人所得税。(责任单位:宜宾市税务局)</p><p>	(四)减免受疫情影响中小企业房产税、城镇土地使用税。对因疫情导致重大损失，正常生产经营活动受到重大影响，缴纳房产税、城镇土地使用税确有困难的中小企业，可申请免征疫情期间房产税、城镇土地使用税。(责任单位:宜宾市税务局、市财政局)</p><p>	十、支持企业稳岗稳就业</p><p>	(一)实施留工培训补助。2022年1月1日至2022年12月31日，对累计出现1个(含)以上新冠肺炎疫情中高风险地区的县(区)，因疫情严重影响暂时无法正常生产经营的服务业参保企业(社会团体、基金会、社会服务机构、律师事务所、会计师事务所、以单位形式参保的个体工商户参照实施)，以及未出现中高风险疫情地区的餐饮、零售、旅游、民航、公路水路铁路运输5个特困行业参保企业，按每名参保职工500元的标准发放一次性留工培训补助，支持服务业企业组织职工以工作代替培训，所需资金从失业保险基金中列支。(责任单位:市人力资源社会保障局、市发展改革委、市市场监管局、宜宾市税务局)</p><p>	(二)发放一次性扩岗补助。服务业企业招用毕业时间为2022年1—12月的高校毕业生，签订劳动合同并参加失业保险的，按每人1000元标准发放一次性扩岗补助。扩岗补助与中小微企业吸纳毕业年度高校毕业生一次性吸纳就业补贴政策统一经办，不重复享受，所有符合条件的新申请企业均按扩岗补助政策受理，所需资金从失业保险基金中列支。(责任单位:市人力资源社会保障局、市委人才和大学城工作局)</p><p>	(三)继续实施阶段性缓缴社会保险费。对餐饮、零售、旅游、民航、公路水路铁路运输等5个特困行业及受疫情影响生产经营出现暂时困难的所有中小微企业，养老保险费缓缴实施期限至2022年12月31日，工伤、失业保险费缓缴期限不超过1年，缓缴期间免收滞纳金;企业申请办理社会保险费缓缴时，对于是否属于困难企业，可由企业作出书面承诺或采信行业主管部门的认定。以个人身份参加企业职工基本养老保险的个体工商户和各类灵活就业人员，2022年缴费有困难的，可自愿暂缓缴费，2022年未缴费月度可于2023年底前进行补缴。(责任单位:市人力资源社会保障局、市发展改革委、市财政局、宜宾市税务局)</p><p>	本政策有效期从印发之日至2023年3月31日，相关条款由牵头责任单位负责解释，并另行制定实施细则。除第二、七、八(一)、八(四)条由市财政全额承担外，需财政出资的条款所需资金按照市、区5:5，市、县3:7分担比例分级负担。</p><p>	本政策享受范围须为登记注册、税收和统计关系在我市的独立法人企业和个体商户。申报主体为规模以上、限额以上单位的，需在申报时点在库。违反常态化疫情防控政策的申报主体，取消申报资格。条款可分项叠加享受，但若涉及省、市其他同类型奖补政策的，按就高不就低原则执行，不重复交叉享受。公务人员、有关单位、企业严禁内外勾结、弄虚作假，骗取套取补贴资金，对出现相关问题的责任人由相关监督部门依法依纪严肃处理，涉嫌犯罪的依法追究刑事责任。</p>', '', 128, 0, 0, 99, '', '2023-09-08 10:50:51', 7, '2023-05-13 11:11:38', 1, '', ''), (4567, 392, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '1', '', 128, 0, 0, 99, '', '2023-09-08 10:50:51', 7, '2023-05-13 11:11:13', 1, '', ''), (4568, 392, 'date', '发布日期', 'date', '', 'string', '2022-11-03', '', 128, 0, 1, 99, '', '2023-09-08 10:50:51', 7, '2023-05-13 11:08:53', 1, '', ''), (4569, 392, 'title', '标题', 'input', '', 'string', '宜宾市人民政府办公室关于印发宜宾市服务业领域助企纾困稳增长十条措施的通知', '', 128, 0, 1, 99, '', '2023-09-08 10:50:51', 7, '2023-05-13 11:06:39', 1, '', ''), (4570, 393, 'content', '内容', 'text', '', 'string', '<p>三江新区管委会，有关县(区)政府，市级各部门(单位):</p><p>	《川渝共建长江上游航运中心宜宾市实施方案》已经市政府同意，现印发你们，请结合实际，认真组织实施。</p><p class=\"ql-align-right\">	宜宾市人民政府办公室</p><p class=\"ql-align-right\">	2022年10月20日</p><p class=\"ql-align-center\">		<strong>川渝共建长江上游航运中心宜宾市实施方案</strong></p><p>	为贯彻落实党中央、国务院关于推动成渝地区双城经济圈建设的决策部署，协同推进长江上游航运中心建设，根据《成渝地区双城经济圈建设规划纲要》《国家综合立体交通网规划纲要》《成渝地区双城经济圈综合交通运输发展规划》《共建长江上游航运中心实施方案》要求，结合宜宾区域经济发展需求，编制本方案。</p><p>	一、总体要求</p><p>	以习近平新时代中国特色社会主义思想为指导，全面贯彻党的二十大精神，深入学习贯彻习近平总书记来川来宜视察讲话精神，立足新发展阶段，完整、准确、全面贯彻新发展理念，积极融入和服务新发展格局，推动高质量发展。紧扣成渝地区双城经济圈作为全国交通四极之一的定位，围绕宜宾—泸州建成川南区域中心城市、西部陆海新通道和长江经济带物流枢纽、全国性综合交通枢纽城市目标要求，开放引领、区域协同、内提质效、外保安畅，参与共建长江上游航运中心，服务长江经济带发展和成渝地区双城经济圈建设。</p><p>	二、总体目标</p><p>	按照“紧扣国家战略、彰显上游特色、示范引领带动”的总体思路，加快以长江(金沙江)为主通道、其他支流为骨架的航道网络，打造分工协作、结构合理、功能完善的港口布局，构建要素齐备、功能完善的港航服务体系。到2025年，宜宾港基本建成航运产业要素齐备、航运服务功能健全、航运市场繁荣规范、具有一定区域航运资源配置能力的长江上游航运中心骨干港。</p><p>	(一)内河航运基础设施逐步完善。强化水运在双循环发展格局中联通内外的纽带作用，基础设施支撑能力进一步增强。到2025年，宜宾三级及以上航道达到293公里，实现3000吨级单船常年直达宜宾，1000吨级船舶直达岷江、金沙江沿线码头，金沙江宜宾段昼夜通航，港口货物吞吐能力达到3000万吨，船舶运力规模达到25万载重吨。</p><p>	(二)航运组织能力显著增强。货运组织先进高效，对产业支撑能力更强。到2025年，稳定开行乐山至宜宾、金沙江翻坝水水中转航线，增开宜宾港至长江干线沿江港口班轮航线，集装箱铁水联运和水水中转比例达到10%。</p><p>	(三)航运服务能力大幅提升。航运更好支撑区域发展战略和产业空间布局调整。航运交易、金融保险、信息咨询等服务要素加快集聚，口岸综合效率进一步提升，航运制度和政策创新加快，航运营商环境不断改善，市场主体更加壮大活跃，服务能级进一步提升。</p><p>	(四)智慧绿色发展先行示范。5G、区块链、人工智能、北斗导航等技术在航运中进一步推广使用，智慧港口、智慧航道试点建设取得明显成效，绿色港口、绿色航运、绿色船舶、绿色运输组织等方面指标达到国内一流水平。到2025年，长江干线过闸船型标准化率达到82%。</p><p>	三、重点任务</p><p>	(一)科学规划布局。</p><p>	1.积极争取上位规划。有关重大项目、重大措施力争纳入《成渝地区双城经济圈综合立体交通网规划(2021-2050年)》《金沙江下游航运规划》，争取有关重大政策落地，积极参与配合川渝两省市共建长江上游航运中心发展规划研究工作。(责任单位:市交通运输局)</p><p>	2.完善宜宾港口规划。完成四川宜宾港总体规划修订工作，进一步完善港口功能布局。(责任单位:市交通运输局、市生态环境局、市林业竹业局、三江新区管委会、翠屏区政府、南溪区政府、叙州区政府、江安县政府、屏山县政府)</p><p>	(二)增强现代航运基础设施网络。</p><p>	3.完善对外通道体系。畅通国内综合运输大廊道，加快推进渝昆高铁、成自宜高铁建设，力争开工建设宜西攀高铁，启动建设渝宜高铁，丰富川渝地区高铁网络，高效融入国家“八纵八横”高速铁路主通道，依托西部陆海新通道国家建设，织密货运铁路网，加快建设隆黄铁路，力争开工建设珙叙铁路;加快构建“一环十射四联”高速公路网络，加快建设宜宾至威信、宜宾至彝良、仁沐新、新市至金阳高速公路，力争开工建设宜宾至新市、重庆经叙永至筠连、宜宾至泸州至江津、南溪至内江高速公路，加快推进峨边经马边至屏山高速公路前期工作，延伸港口腹地，拓展航运辐射服务范围。〔责任单位:市发展改革委、市交通运输局、三江新区管委会，各县(区)政府〕</p><p>	4.提升航运基础设施能级。积极配合长江航道局推进长江干线宜宾至重庆段生态航道建设前期工作，推进水富至宜宾段生态航道建设前期工作，力争启动宜宾至重庆段、水富至宜宾段生态航道建设，完成宜宾至水富段航标建设工程;完成金沙江溪洛渡至水富航道建设工程;积极配合交通运输厅推进岷江龙溪口至宜宾段航道整治工程。到2025年，长江干线宜宾至重庆段力争提升至二级航道标准、水富至宜宾段力争提升到三级航道标准，金沙江向家坝库区达到三级及以上航道标准，岷江乐山至宜宾段基本达到三级标准，航道整体通航能力提升，翻坝码头可停靠1000吨级以上船舶。(责任单位:市交通运输局、市发展改革委、市生态环境局、市水利局、市农业农村局、市林业竹业局)</p><p>	5.完善港口集疏运体系。以港口为枢纽节点，打通多式联运&nbsp;“最后一公里”，大力发展铁水联运、公水联运，完成宜宾港铁路集疏运中心项目建设，协调加快向家坝翻坝转运系统建设，适时推动豆坝作业区铁水联运工作。(责任单位:市交通运输局、市发展改革委、三江新区管委会、翠屏区政府、叙州区政府、屏山县政府)</p><p>	6.推进港口功能结构优化。探索岸线有偿使用机制，加快淘汰一批老旧散小低效码头，整合船舶修造产业，完善港口服务设施配套，集约节约利用岸线资源。港口码头方面，试点加快推进港口码头的技术改造与升级扩能，推进宜宾港二龙口码头恢复使用并视运营情况逐步进行升级改造，推进宜宾向家坝库区旅游码头建设工程，推动志城作业区、龙川庙、香炉滩、烧瓦沱等码头泊位完善、调整港口功能;新建港口码头须经严格论证，依法合规建设;研究推动已建但闲置码头的启用工作，提高码头利用率;开展港口码头靠泊能力评估和历史老码头技术检测评估，强化船舶靠泊安全保障。船舶修造产业方面，推动金沙江向家坝库区、岷江船舶修造厂建设工程，引导2家及以上船厂提档升级。港口服务设施配套方面，建设金沙江向家坝库区公共锚地，推动船舶停泊区设施建设和划定，完善沿江船舶加油加气设施布局。力争到2025年，实现港口功能基本完善，布局相对合理。(责任单位:市交通运输局、市发展改革委、市经济和信息化局、市生态环境局、市水利局、市农业农村局、市林业竹业局、市商务局、三江新区管委会、南溪区政府、叙州区政府、江安县政府、屏山县政府)</p><p>	(三)打造现代航运物流体系。</p><p>	7.促进港产城融合发展。引导适水产业临港布局、集聚发展，进一步优化提升宜宾港及临港物流园区、临港产业园区规划，推动传统港口向“港口+现代物流”升级，推动影响城市功能发挥的港口退出或转型发展。(责任单位:三江新区管委会、翠屏区政府、南溪区政府、叙州区政府、江安县政府、屏山县政府，市发展改革委、市商务局、市经济和信息化局、市交通运输局)</p><p>	8.培育壮大水路运输市场主体。积极推进港口协同运营，研究港口码头所有权和经营权分离，以整合危险货物码头、散货码头为着手点，推进我市中小型码头联合运营，有效扩大港口规模，加快港口资源整合利用，并配合推动川渝港口企业联盟发展。积极争取上级航运支持政策并研究我市航运支持政策，引导探索我市航运企业兼并重组、规模化发展，健全行业门类，提升航运企业经营能力，推动非标准船舶、老旧船舶退出市场。依托金沙江航运开发，引导宜宾航运企业拓展与沿金沙江及周边地区航运业务关联度，提升航运影响力，引进一批具有优秀货源组织和配置能力的综合物流企业，培育打造一批具有较强货源组织和配置能力的区域合作或本土综合物流企业。(责任单位:市发展改革委、市交通运输局、市商务局、市国资委)</p><p>	9.优化运输组织模式。融入国内大循环，实施长江黄金水道挖潜增效工程，积极参与发展川渝地区区间航运，优化干支直达航线，推动“小转大”“散改集”，推动水富港至宜宾港、宜宾港至重庆港及长江中下游“水水中转”班轮开行并常态化运行;推动三峡集团进一步提高向家坝翻坝转运效率和向家坝升船机通航效能，推广向家坝升船机适应性船型，畅通向家坝翻坝转运，充分转化金沙江航运潜能;以专业服务助推上游地区航运降本增效;推进国际大循环，畅通江海直达航线，配合推进开行运营“川渝外贸快班”，争取开行“宜宾始发外贸快班”，加快宜宾通关融入川渝通关一体化步伐，实现外贸进出口货物港口自由转关。(责任单位:市交通运输局、市商务局、三江新区管委会、四川宜宾港公司)</p><p>	(四)建立现代航运服务体系。</p><p>	10.提升航运服务能力。参与配合建设并依托航运大数据中心、长江上游航运发展智库，共建共享内河船员基础信息库;建立中高等院校、科研机构、行业组织来宜培训航运人才常态化机制;协同推进长江上游航运服务集聚区建设，提升航运服务能力。(责任单位:市交通运输局、市委人才和大学城工作局)</p><p>	(五)提升航运对外开放功能。</p><p>	11.构建全方位口岸开放体系。加快在宜宾港布局国家开放口岸，拓展口岸综合服务功能。积极争取将中欧班列(成渝)、西部陆海新通道班列始发点延伸到宜宾港，打造“一带一路”和长江经济带的连接示范点。(责任单位:宜宾综保区管委会、市交通运输局、四川宜宾港公司、市商务局、三江新区管委会)</p><p>	12.优化水运口岸营商环境。完善中欧班列(成渝)、西部陆海新通道沿线区域与西部地区、长江经济带的通关合作机制，强化跨部门、跨地区通关协作。共同优化进出口环节证件流转方式，加强口岸收费管理，联合公布口岸作业时限标准。推进口岸通关和物流模式改革，全面落实“两步申报”“两段准入”改革，推行“船边直提”“抵港直装”“离港确认”等模式。探索开展成渝国际“单一窗口”合作，巩固提升“7×24小时”口岸通关服务保障水平。加强区域水路运输市场一体化建设，进一步规范港口装卸收费，提高口岸信息化服务水平，统筹市场规则和优惠政策，促进生产要素跨区域自由流动。(责任单位:宜宾综保区管委会、宜宾海关、市交通运输局)</p><p>	(六)打造绿色智慧航运体系。</p><p>	13.推动绿色航运建设。加快生态航道、绿色港口建设，推广应用码头岸电。推动宜宾港建设生态港口示范工程，在航道建设和整治中推广运用绿色环保技术工艺;持续完善全市港口船舶岸电设施、港口船舶污染物接收转运和处置设施体系建设;加大对纯电动动力船舶研究推广支持力度;统筹推进宜宾水上综合服务区布局建设;开展内河船舶大气污染物监测工作，摸清内河船舶大气污染排放的总体情况，降低船舶硫氧化物、氮氧化物、颗粒物和挥发性有机物等大气污染物的排放，持续改善内河空气质量。(责任单位:市交通运输局、三江新区管委会、翠屏区政府、南溪区政府、叙州区政府、江安县政府、屏山县政府、四川宜宾港公司)</p><p>	14.推进水运新基建应用。推动5G、区块链、北斗导航等技术与传统基础设施建设深度融合发展，推进水运新基建。推进金沙江智慧航道建设，应用功能完善、标准一致、数据共享的电子航道图;推广自动化码头技术，推动建设宜宾港智慧港口;参与推动宜泸渝智慧物流信息平台互联互通，推广港口无纸化作业;推动长江上游航运支持保障系统一体化布局，完成宜宾市水上交通安全监管系统建设，整合有关监控系统，实现海事安全监控系统一体化全覆盖;推进应急救援基站建设、救助船艇打造、应急队伍组建、应急物资补充，基本实现水上交通综合应急救援全覆盖;参与共建长江上游智慧航运服务系统。(责任单位:市交通运输局、市商务局、四川宜宾港公司)</p><p>	(七)深化区域与周边合作。</p><p>	15.深化周边合作，配合共建长江上游航运枢纽。参与组建长江上游港口联盟，探索金沙江港口协作机制，提升区域港口码头管理运营一体化水平。利用长江首城优势，深化宜宾港与泸州港、重庆港的合作;充分发挥宜宾港长江干支中转港作用，利用岷江、金沙江桥头堡和三江聚合优势，深化宜宾港与昆明、攀枝花、昭通、毕节、六盘水、凉山等地区合作，将货源引流至宜宾，加快港口发展步伐，提高发展水平。〔责任单位:市交通运输局、各航运企业、三江新区管委会、各县(区)政府〕</p><p>	16.加强与上海国际航运中心合作。联合推广应用江海直达船型，探索开辟江海直达航线，共同提高外贸集装箱直达快线频率。推动宜宾港进一步深化与上海港合作，新增开行宜宾—上海直达航线，争取海关总署、上海港支持，将外贸集装箱直达快线模式、离港确认模式等措施推广到宜宾外贸快线。(责任单位:市交通运输局、市商务局、宜宾综保区管委会、三江新区管委会)</p><p>	17.加强与长江沿线、沿海、沿边物流枢纽合作。新增、加密航线、班列，共同构建国内大循环的主通道，优化粮食、纸浆、化肥等大宗物资供应链管理，促进沿海、沿边、沿江的协同开放。(责任单位:市商务局、市交通运输局、各港口企业、三江新区管委会、南溪区政府、叙州区政府、江安县政府、屏山县政府)</p><p>	四、保障措施</p><p>	(一)加强组织领导。成立宜宾市共建长江上游航运中心专项工作组，加强对共建长江上游航运中心的协调调度、跟踪督导，研究部署重点工作、研究决策重大事项。各成员单位要加强指导、主动服务，积极配合、通力协作，确保各项工作尽早落地见效。</p><p>	(二)强化资金保障。按照国务院办公厅印发的《交通运输领域中央与地方财政事权和支出责任划分改革方案》(国办发〔2019〕33号)，建立健全各级财政投入保障机制。积极争取中、省资金支持，支持地方政府一般债券资金投入，利用政策性银行、商业银行等金融机构的创新金融产品和融资模式，积极引导社会资本参与共建长江上游航运中心。</p><p>	(三)加强要素保障。强化航运规划、港口、物流园区规划与江河综合流域规划、“三线一单”生态环境分区管控、国土空间规划、产业规划、综合交通规划等统筹衔接，确保港口物流园区建设与“三区三线”衔接与兼容。在项目审批、土地供给、资金统筹等方面给予优先保障。</p><p>	(四)加强安全管理。督促航运企业建立健全安全生产制度，切实把责任压实到最小工作单元。严格落实重点水运项目安全生产主体责任，加强平安工地建设，严守安全生产红线。有序推进水路行业危险货物运输安全风险集中治理，加强港口危险货物存储装卸作业监管。畅通上下游间水情传递和信息沟通渠道，完善汛情预警机制，强化流域内跨区域协同，确保流域水上安全。</p><p>	(五)加强执法联动。进一步完善执法装备设施，夯实执法基础，加强跨区域执法联动，强化执法队伍共建，深化交通运输“跨界+联合”执法新模式建设，推广应急救援协作配合，共同应对水上交通突发事件。</p>', '', 128, 0, 0, 99, '', '2023-09-08 10:54:36', 7, '2023-05-13 11:11:38', 1, '', ''), (4571, 393, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 99, '', '2023-09-08 10:54:36', 7, '2023-05-13 11:11:13', 1, '', ''), (4572, 393, 'date', '发布日期', 'date', '', 'string', '2022-10-20', '', 128, 0, 1, 99, '', '2023-09-08 10:54:36', 7, '2023-05-13 11:08:53', 1, '', ''), (4573, 393, 'title', '标题', 'input', '', 'string', '宜宾市人民政府办公室关于印发《川渝共建长江上游航运中心宜宾市实施方案》的通知', '', 128, 0, 1, 99, '', '2023-09-08 10:54:36', 7, '2023-05-13 11:06:39', 1, '', ''), (4574, 394, 'content', '内容', 'text', '', 'string', '<p>三江新区管委会，各县(区)人民政府，市直有关部门(单位):</p><p>	经市政府同意，现将《宜宾市标准化发展考核激励办法》印发你们，请遵照执行。</p><p class=\"ql-align-right\">	宜宾市人民政府办公室</p><p class=\"ql-align-right\">	2022年7月23日</p><p class=\"ql-align-center\">	<strong>宜宾市标准化发展考核激励办法</strong></p><p class=\"ql-align-center\">	第一章&nbsp;&nbsp;总则</p><p>	第一条为充分发挥标准化在自主创新、产业竞争、国际贸易和社会治理现代化中的重要技术支撑作用，鼓励有关企业和组织积极开展标准化工作，根据《中华人民共和国标准化法》《国家标准化发展纲要》等要求，结合本市实际，制定本办法。</p><p>	第二条本办法适用于依法注册(登记或设立)的、具有独立法人资格的各类组织机构、社会团体及个人，开展标准化建设及取得标准化成果后的一次性激励。</p><p>	第三条市政府给予必要的标准化经费保障，资金纳入市财政预算，市标准化行政主管部门负责标准化激励项目的具体管理工作。</p><p class=\"ql-align-center\">	<strong>第二章激励范围及标准</strong></p><p>	第四条标准化是提升经济、社会发展质量的重要技术支撑，是促进产业升级、加速科研成果转换应用等的重要途径。本办法规定的标准化激励范围包括:</p><p>	(一)主导或参与制定国际标准、国家标准、行业标准、地方标准、团体标准，并经国际标准化组织、标准化管理部门或有关标准管理机构正式批准发布。</p><p>	(二)经有关主管部门正式批准成立的国际、国家、行业、省、市专业标准化技术委员会(分技术委员会秘书处或工作组单位)。</p><p>	(三)承担国家级、省级、市级的各类标准化建设项目。</p><p>	(四)国家企业标准领跑者(排行榜)产品。</p><p class=\"ql-align-center\">	<strong>(五)其他相关品牌及成果。</strong></p><p>	第五条标准化激励项目遵循自愿申报的原则，对评定为符合标准化激励项目的各类组织机构和社会团体，由市政府按下列标准实施一次性经费激励。</p><p>	(一)对主导制定国际、国家、行业、四川省地方标准并经批准发布的，每个标准分别激励100万元、50万元、30万元、5万元;对参与制定国际、国家、行业标准并经批准发布的(需排名前3位)，每个标准分别激励10万元、5万元、3万元。</p><p>	对主导制定四川省(宜宾市)地方标准并经有效实施的，每个标准激励3万元。</p><p>	(二)对主导修订国家标准、行业标准，并经批准发布的，每个标准分别激励10万元、5万元。</p><p>	(三)对主导制定全国性、省级社会团体的团体标准，并经批准发布实施的，每个标准分别激励8万元、4万元。</p><p>	对主导制定宜宾市级团体标准并经有效实施的，每个标准激励2万元。</p><p>	(四)对承担国家级、省级标准化示范(试点)项目，并通过主管部门验收的单位，每个项目分别激励10万元、5万元。</p><p>	对经市政府批准开展的市级标准化试点、示范项目，并通过主管部门验收合格的单位，每个项目激励10万元。</p><p>	(五)对批准成立的国际标准化组织专业技术委员会(含分技术委员会)秘书处、国家专业标准化技术委员会秘书处、国家专业标准化技术委员会分技术委员会秘书处(工作组)、四川省专业标准化技术委员会秘书处的单位，分别激励50万元、30万元、20万元、5万元。</p><p>	对经批准设立的宜宾市专业标准化技术委员会发起单位，激励5万元。</p><p>	(六)对获批为国家企业标准领跑者(排行榜)的产品，每个产品激励10万元。</p><p class=\"ql-align-center\">	<strong>第三章&nbsp;&nbsp;项目的申报</strong></p><p>	第六条申请标准化激励项目应当符合下列条件之一:</p><p>	(一)符合产业布局和发展方向，有利于促进科技成果转化及产业优化升级。</p><p>	(二)有利于加快自主创新成果产业化，有利于促进知识产权与技术标准的融合发展，增强核心竞争力。</p><p>	(三)有利于形成优势产业和提升产品在国际、国内市场的竞争力。</p><p>	(四)有利于掌握行业话语权、抢占改革和创新的制高点。</p><p>	(五)有利于推动社会治理能力治理体系现代化和文化传承。</p><p>	(六)有利于生态保护、生态文明建设和资源循环利用，促进节能降耗、加强环境保护、提升安全建设水平和保护生命健康。</p><p>	(七)有利于提高产品、装备、技术、服务的质量和效益，助力品牌建设。</p><p>	(八)有利于先进前沿技术和高新技术产业的引入，加速绿色发展。</p><p>	(九)标准化项目的实施或标准化机构的成立能带来显著经济、生态、社会和质量等效益。</p><p>	第七条申请标准化激励项目经费的单位应当提交下列有关文件:</p><p>	(一)宜宾市标准化项目激励经费申请表(见附件)。</p><p>	(二)标准发布管理机构批准发布的文件和正式发布的标准文本;宜宾市地方标准、宜宾市级团体标准实施后的效益分析总结。</p><p>	(三)成立、承担了相关专业标准化技术组织的主管机关批文等相关材料。</p><p>	(四)标准化示范(试点)建设项目通过验收确认的主管机关批文等材料。</p><p>	(五)企业标准领跑者(排行榜)产品的国家相关文件。</p><p>	(六)加盖公章的营业执照或单位法人证书复印件等。</p><p>	(七)其他能够佐证的相关资料。</p><p>	以上纸质材料一式三份，按顺序装订。必要时，需提供支撑材料复印件的原件进行核对。</p><p>	第八条申请激励经费的标准化建设项目时间与圆满完成的正式批文时间间隔不超过2年，逾期不再受理。</p><p>	第九条有下列情况之一者不受理标准化激励项目申请:</p><p>	(一)申请项目不符合本办法规定条件的。</p><p>	(二)超过规定期限的。</p><p>	(三)申请单位近2年内因安全、环境保护等强制标准未达标或其他质量问题被查处或正在接受调查的。</p><p>	(四)四川省(宜宾市)地方标准与宜宾市内的团体标准有下列情况之一的:</p><p>	——缺乏标准实施主体或未取得实际效益;</p><p>	——已经废止过后改头换面;</p><p>	——重复交叉;</p><p>	——没有必要或不能体现先进适用性;</p><p>	——其他。</p><p>	(五)弄虚作假等违反相关规定的。</p><p class=\"ql-align-center\">	<strong>第四章&nbsp;&nbsp;项目的评定</strong></p><p>	第十条市标准化行政主管部门对受理的申请项目进行评审，拟定激励项目和额度，按照当年规定程序及相关部门审核认定结果，报市政府批准后执行。</p><p>	第十一条标准化项目已获得我市政府部门同类性质更高额度奖励的，不再激励。未达到本办法规定额度的，可以补齐金额。</p><p class=\"ql-align-center\">	<strong>第五章&nbsp;&nbsp;经费管理及责任</strong></p><p>	第十二条激励经费应按照现行财务制度规定进行账务处理，按照专款专用原则用于奖补开展标准化项目建设中的经费投入及相关的技术研发工作。</p><p>	第十三条申报材料要确保真实性、完整性，要经得起历史检验、审计检验、巡察检验，严格逗硬惩处违规骗取财政资金。对企业(个人)和国家工作人员弄虚作假，骗取奖补资金一经查实的，对企业(个人)按照《财政违法行为处罚处分条例》(国务院令第427号)等规定追回违反规定骗取的资金，依法对企业(个人)给予处罚，取消两年申报本办法中激励经费资格;对国家工作人员由相关部门依法依纪严肃处理;涉嫌犯罪的，依法追究刑事责任。</p><p class=\"ql-align-center\">	<strong>第六章&nbsp;&nbsp;考核</strong></p><p>	第十四条标准文本正式批准发布实施后，对创新性突出、技术水平高、取得显著经济效益或社会效益的标准，优先纳入奖项评定范围。</p><p>	第十五条根据标准化工作相关政策规定和工作需要进行考核。原则上遵循以下方式:</p><p>	(一)每年对县(区)政府及市直部门进行一次目标绩效考核。具体办法另行制定。</p><p>	(二)对个人和纳入政府目标绩效考核以外的企事业单位和社会团体，每2年以市政府名义考核一次;同步开展宜宾市标准创新贡献奖评选。具体办法另行制定。</p><p class=\"ql-align-center\">	<strong>第七章&nbsp;&nbsp;附则</strong></p><p>	第十六条本办法自印发之日起施行，有效期至2026年12月31日止。《宜宾市人民政府办公室关于印发绿色宜宾标准化建设考核激励办法的通知》(宜府办函〔2017〕135号)同时废止。</p>', '', 128, 0, 0, 99, '', '2023-09-08 11:01:24', 7, '2023-05-13 11:11:38', 1, '', '');
INSERT INTO `mortals_sys_app_info_field` VALUES (4575, 394, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '1', '', 128, 0, 0, 99, '', '2023-09-08 11:01:24', 7, '2023-05-13 11:11:13', 1, '', ''), (4576, 394, 'date', '发布日期', 'date', '', 'string', '2022-07-23', '', 128, 0, 1, 99, '', '2023-09-08 11:01:24', 7, '2023-05-13 11:08:53', 1, '', ''), (4577, 394, 'title', '标题', 'input', '', 'string', '宜宾市人民政府办公室关于印发《宜宾市标准化发展考核激励办法》的通知', '', 128, 0, 1, 99, '', '2023-09-08 11:01:24', 7, '2023-05-13 11:06:39', 1, '', ''), (4578, 395, 'content', '内容', 'text', '', 'string', '<p>三江新区管委会，各县(区)人民政府，市直有关部门(单位):</p><p>	为深入贯彻习近平总书记关于“培育一批‘专精特新’中小企业”的重要指示精神，认真落实国务院、省政府关于促进“专精特新”中小企业发展工作的安排部署，加快推动“专精特新”企业梯度培育和高质量发展，制定以下实施意见。</p><p>	一、指导思想</p><p>	以习近平新时代中国特色社会主义思想为指导，全面贯彻党的十九大和十九届历次全会精神，深入贯彻习近平总书记关于中小企业发展的重要指示批示精神和省委十一届历次全会精神，完整、准确、全面贯彻新发展理念，坚持以推动高质量发展为主题，以“产业发展双轮驱动”战略为引领，不断优化现代产业体系，按“专精特新”评价标准，分级培育壮大一批专注细分市场、创新能力强、质量效益高、产业支撑作用大的中小企业，引导和推动中小企业加快创新转型，增强自主创新能力和核心竞争力，助力实体经济特别是制造业做实做强做优，加快建设现代化区域中心城市。</p><p>	二、培育目标</p><p>	围绕“链长板”“补短板”“强弱项”“填空白”，依托产业战略布局新赛道，培育发展多层级的“专精特新”中小企业群体和一批国家高新技术企业、上市企业，促进中小企业高质量发展。到2026年，全市累计培育“专精特新”培育库企业800家，其中，省级“专精特新”中小企业不低于400家、国家级专精特新“小巨人”企业不低于50家(全省350家);全市新增国家高新技术企业不低于350家。</p><p>	三、培育对象与条件</p><p>	(一)培育对象。按照规模、特征以及成长性等确定不同的标准和条件，建立市级“专精特新”种子企业库、省级“专精特新”中小企业库、国家级专精特新“小巨人”企业库(以下简称培育库企业)，做优培育库企业，层层递进，不断壮大形成一批省级“专精特新”企业、国家级专精特新“小巨人”企业、国家级制造业单项冠军示范企业、国家高新技术企业、“国家级制造业单项冠军产品”企业、国家级单项冠军培育企业、上市企业，形成梯度培育格局。</p><p>	(二)培育条件。</p><p>	1.市级“专精特新”种子企业库条件(以下条件需同时满足):</p><p>	(1)符合中、省、市产业发展方向。在宜宾市辖区内登记注册并已经营业1年及以上，具有独立法人资格的中小企业。</p><p>	(2)企业年主营业务收入1000万元以上且主营业务收入保持正增长。主导产品(服务)销售收入占营业收入的60%以上。</p><p>	(3)企业R&amp;D占比达到1%及以上。</p><p>	(4)企业资产负债率不高于80%。</p><p>	(5)节能、环保和安全生产等符合国家和省、市相关规定，近两年内未发生重大安全、稳定、质量、环境污染事故。银行信用、纳税信用和社会信用良好，依法规范缴纳各项社会保险。</p><p>	2.省级“专精特新”中小企业库以经济和信息化厅认定的企业为准。</p><p>	3.国家级专精特新“小巨人”企业库以工信部认定的企业为准。</p><p>	四、重点举措及支持政策</p><p>	大力推进“三库培优、四化提效、产融支撑”，着力实施六大行动。</p><p>	(一)实施主体培育行动。</p><p>	1.&nbsp;强化梯次培育。构建从孵化培育、成长扶持到成熟壮大的梯度培育体系，推动市级“专精特新”种子向省级“专精特新”中小企业、国家级专精特新“小巨人”企业梯次升级;推动评价入库的科技型中小企业培育成国家高新技术企业。</p><p>	企业营业收入首次达到10亿元、1亿元、5000万元的，分别给予一次性50万元、30万元、20万元补助。〔责任单位:市经济和信息化局、市经济合作和新兴产业局，市财政局(逗号前为牵头单位，下同)〕</p><p>	2.鼓励企业跃升。(1)对市内首次认定为“国家级制造业单项冠军示范企业”“国家级制造业单项冠军产品”“国家级单项冠军培育企业”的企业分别给予一次性1000万元、800万元、500万元补助。对首次认定的国家级专精特新“小巨人”企业、省级“专精特新”企业，分别给予一次性100万元、30万元补助。(2)对首次和非首次认定的国家高新技术企业，分别一次性给予30万元、15万元补助。(3)各县(区)每年设立科技型中小企业20万元的专项培育经费，用于补助科技型中小企业入库备案。(责任单位:市经济和信息化局、市经济合作和新兴产业局、市科技局，市财政局)</p><p>	3.支持强链补链。按照产业链梳理“专精特新”企业，瞄准产业链关键环节、短板弱项，加大引进关联性大、带动性强的大企业和专精特新“小巨人”企业，实施一批强链补链项目，打造优势产业上下游分工协作、配套型的“专精特新”中小企业集群。</p><p>	对宜宾市行政区域以外迁入，且签约落地并完成商事登记的国家级专精特新“小巨人”企业或国家高新技术企业，给予一次性100万元补助。(责任单位:市经济和信息化局、市经济合作和新兴产业局，市市场监管局)</p><p>	(二)实施专业化提档行动。</p><p>	支持我市企业采用专项技术或工艺，提高高价值专利创造能力，生产制造专用性强、专业特点明显的产品，在细分行业中具有市场专业化发展优势。</p><p>	4.实施知识产权强企。组建知识产权专家顾问团和志愿者队伍，市财政每年安排不低于100万元用于提供公益性知识产权咨询和信息服务。建立海外维权专家顾问团队，为企业知识产权海外布局、维权和纠纷应对等提供咨询服务。支持知识产权服务机构提供成果转化、知识产权托管、质押融资等全程服务。</p><p>	(1)对首次获得国家知识产权强企企业、示范企业、优势企业称号的企业，分别给予一次性100万元、100万元、30万元补助;对首次获得省知识产权强企企业、示范企业、优势企业称号的企业，分别给予一次性50万元、30万元、20万元补助;对首次获得省级高价值专利培育中心认定的企业，给予一次性100万元补助。(2)对首次通过《企业知识产权管理规范》国家标准认定的企业，给予一次性10万元补助。(3)对获得中国专利金奖、银奖、优秀奖的企业，分别给予一次性50万元、30万元、10万元补助;对获得四川省专利特等奖、一等奖、二等奖的企业，分别给予一次性30万元、20万元、10万元补助。(责任单位:市市场监管局，市经济和信息化局、市经济合作和新兴产业局、市科技局、市财政局)</p><p>	5.支持企业专业人才培养。市财政每年从人才科技研发资金中安排企业人才工作经费，开展企业家市场营销、管理提升等专业辅导培训。指导县(区)建立“专精特新”中小企业以及高新技术企业紧缺专业人才需求目录，举办“专精特新”中小企业以及高新技术企业专场人才招聘会。国家级专精特新“小巨人”企业和国家高新技术企业主要经营管理人才(指董事长、总经理)经认定符合条件的发放人才绿卡。(责任单位:市经济和信息化局、市科技局、市经济合作和新兴产业局、市委人才和大学城工作局，市人力资源社会保障局、市教育体育局、市财政局)</p><p>	(三)实施精细化提质行动。推动“专精特新”企业提升产品质量，促进标准化建设，鼓励和支持培育企业导入卓越绩效管理模式，瞄准先进标杆企业推动产品提质升级。</p><p>	6.支持企业精细化管理。鼓励企业取得相关质量管理体系认证，瞄准先进标杆企业推动产品提质升级，开展精细化生产、精细化管理、精细化服务。</p><p>	对首次获得全国质量标杆、四川省质量标杆荣誉的企业，分别给予一次性100万元、30万元补助。(责任单位:市市场监管局，市经济和信息化局、市经济合作和新兴产业局、市财政局)</p><p>	7.推动绿色低碳发展。支持“专精特新”中小企业及高新技术企业绿色低碳发展，开展绿色低碳技术研究攻关，积极主导或参与绿色低碳产品标准制订，开展节能降碳技术改造，持续强化产品绿色化、用地集约化、生产洁净化、废物资源化、能源低碳化能力建设。</p><p>	对首次获评国家级绿色示范企业(绿色工厂)、国家绿色设计产品、省级绿色示范企业(绿色工厂)、省级节水型(节水标杆)企业、通过清洁生产审核的企业，分别给予一次性50万元、30万元、20万元、20万元、20万元补助。(责任单位:市经济和信息化局、市经济合作和新兴产业局，市发展改革委、市生态环境局、市财政局)</p><p>	(四)实施特色化提升行动。支持我市企业采用独特的工艺、技术、配方或特殊原料研制、生产具有地域特点或具有特殊功能的产品，提供特色化的服务。提升“宜”字头酒、茶、竹等特色食品和汽车等工业品牌影响力。</p><p>	8.促进品牌提升。对成功申报“中华老字号”、国家地理标志保护产品、地理标志证明商标、“天府名品”的申报主体，分别给予一次性100万元、20万元、20万元、20万元补助。〔责任单位:市市场监管局、市文广旅游局，市经济和信息化局、市经济合作和新兴产业局、市商务局、市农业农村局、市财政局。〕</p><p>	9.助力企业市场开拓。支持“专精特新”中小企业参加国内外重大展会、论坛活动。组织召开“专精特新”新品发布会。</p><p>	对承办行业领域高端峰会、论坛、重大赛事活动并对宜宾区域品牌进行宣传的“专精特新”企业，按照企业实际支出费用的30%给予最高一次性不超过200万元的补助。(责任单位:市经济和信息化局、市经济合作和新兴产业局，市商务局、市财政局)</p><p>	(五)实施创新力提速行动。</p><p>	10.鼓励企业研发投入。鼓励企业加大研发投入，提高自主创新能力。对企业当年主营业务收入1千万以上且研发经费(R&amp;D)占比超过6%、3%、1.5%的企业，分别给予一次性50万元、20万元、10万元补助;或对研发投入总额超过1亿元以上的、5千万元至1亿元的、1千万元至5千万元的，分别给予一次性100万元、50万元、20万元补助。(责任单位:市科技局、市经济和信息化局、市经济合作和新兴产业局，市财政局)</p><p>	11.支持企业数字赋能。推进企业智能化转型全覆盖，提升企业数字化管理、智能化生产、网络化协同、服务化延伸能力。(1)对认定为全球灯塔工厂的企业，给予一次性1000万元补助。(2)市财政每年安排不低于100万元用于为企业提供数字化转型评价诊断服务。(责任单位:市经济和信息化局、市经济合作和新兴产业局，市财政局)</p><p>	12.支持企业产学研深度融合。对成功创建省级、市级产教融合型企业的企业，分别给予一次性30万元、20万元补助。(责任单位:市发展改革委，市委人才和大学城工作局、市人力资源社会保障局、市教育体育局、市经济和信息化局、市经济合作和新兴产业局、市财政局)</p><p>	对成功创建国家、省级现代产业学院或产教融合研究生示范培养基地的企业，分别给予一次性500&nbsp;万元、300万元补助。(责任单位:市委人才和大学城工作局，市教育体育局、市发展改革委、市经济和信息化局、市经济合作和新兴产业局、市财政局)</p><p>	13.鼓励平台升级。对首次认定为国家级、省级小企业公共服务示范平台或小型微型企业创业创新示范基地的运营主体，分别给予一次性100万元、30万元补助。</p><p>	14.促进科技成果转化。支持“专精特新”中小企业与高校、科研院所等开展技术需求和科研成果转化对接，推动供需双向“揭榜”。对将国、省科技奖励或具有发明专利的成果在宜产业化的，按企业支付技术合同交易额的20%给予支持，单项不超过100万元。(责任单位:市科技局，市委人才和大学城工作局、市经济和信息化局、市经济合作和新兴产业局、市财政局)</p><p>	(六)实施产融支撑行动。</p><p>	15.强化金融服务，降低融资成本。积极探索新型政银担企风险共担和风险补偿机制，建立宜宾市“专精特新”(科技型)中小企业发展风险资金池，专项为“专精特新”企业(种子企业)及科技型中小企业提供融资担保增信支持。推动在供应链产业链中占主导地位的“专精特新”(科技型)中小企业与金融机构打造特色供应链融资模式，建立核心企业和上下游中小企业“白名单”，提供“一链一策”金融服务方案。将专精特新“小巨人”企业纳入拟挂牌、上市后备企业名单，抢抓北京证券交易所风口契机，支持企业登陆资本市场。</p><p>	持续降低政府性融资担保机构担保费率，政府性融资担保机构为“专精特新”企业发展风险资金池支持的项目提供年化担保费率不高于1%的融资担保支持，并由市财政统筹资金按照当年业务发生额的1%给予政府性融资担保机构担保费补贴。省级以上“专精特新”中小企业因重大研发、重大技改、投资扩产等获得银行贷款的，根据企业实际贷款额，按照不超过当年1月份同期限档次贷款市场报价利率(LPR)的50%给予贴息补助。(责任单位:市财政局，市金融工作局、市经济和信息化局、市经济合作和新兴产业局)</p><p>	五、保障措施</p><p>	(一)加强组织协调。市直有关部门按照职责分工，加强政策创新和服务，形成高效协同的工作推进机制。各县(区)人民政府要建立完善“专精特新”(科技型)中小企业发展协调推进机制，按照统一规范的“专精特新”(科技型)中小企业培育标准和要求，做好优质中小企业筛选入库、奖补支持、监测分析、专员服务等全流程动态管理。〔责任单位:市经济和信息化局、市科技局、市经济合作和新兴产业局，市政务服务非公经济局、三江新区管委会、各县(区)人民政府〕</p><p>	(二)完善服务体系。强化对企跟踪服务，全力做好生产要素协调保障。实施驻厂联络服务，向培育库重点企业派驻党员干部驻厂服务，引导帮助中小企业规范管理，开展惠企政策宣传和银企对接活动，及时协调解决培育库企业难点、痛点问题。鼓励和支持中小企业公共服务示范平台和核心服务机构，为“专精特新”(科技型)中小企业提供政策咨询、检验检测、技术转移、投资融资等全方位“点对点”专业服务。〔责任单位:市经济和信息化局、市科技局、市经济合作和新兴产业局，市政务服务非公经济局、市市场监管局、三江新区管委会、各县(区)人民政府〕</p><p>	(三)强化典型宣传。选树一批“专精特新”(科技型)中小企业发展典型与标杆，充分发挥示范引领作用。在省、市主流媒体大力宣传推广创新创优典型案例，总结推广先进经验做法和发展模式，全面营造支持“专精特新”(科技型)中小企业高质量发展的良好氛围。〔责任单位:市经济和信息化局、市科技局，市文广旅游局、市经济合作和新兴产业局、三江新区管委会、各县(区)人民政府〕</p><p>	已发布的市级有关扶持政策中有同类奖补政策的，按就高不就低和不重复享受的原则予以兑现。除明确由市级财政安排资金和创牌授牌、获得荣誉称号类补助由市级财政承担兑现外，其余由市、县(区)级财政按照3:7比例承担并兑现。</p><p>	奖补政策的制定、兑现和解释，必须依法依规规范操作，确保经得起历史、审计和事业发展的检验，经得起各级党委和政府的督查、巡察、巡视等检查。各县(区，含三江新区)和市直相关行业主管部门要对奖补资金的真实性、合法性、准确性负全责;财政部门要对奖补资金拨付使用进行监管，审计部门要依法实施审计监督，杜绝企业套取骗取奖补资金，严防企业与公职人员内外勾结、弄虚作假。有上述行为经查实的，按照《财政违法行为处罚处分条例》(国务院令第427号)等规定，追回违反规定骗取的资金，依法对申报企业给予处罚，取消企业三年申报我市财政补助资金资格;公职人员和有关单位有上述行为经查实的，由相关部门依法依纪严肃处理。</p><p>	本实施意见自印发之日起施行，有效期5年。政策施行期间如国家、省级政策等因素发生变化，我市将适时对政策进行调整。</p>', '', 128, 0, 0, 99, '', '2023-09-08 11:03:28', 7, '2023-05-13 11:11:38', 1, '', ''), (4579, 395, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '1', '', 128, 0, 0, 99, '', '2023-09-08 11:03:28', 7, '2023-05-13 11:11:13', 1, '', ''), (4580, 395, 'date', '发布日期', 'date', '', 'string', '2022-05-27', '', 128, 0, 1, 99, '', '2023-09-08 11:03:28', 7, '2023-05-13 11:08:53', 1, '', ''), (4581, 395, 'title', '标题', 'input', '', 'string', '宜宾市人民政府关于培育“专精特新”中小企业的实施意见', '', 128, 0, 1, 99, '', '2023-09-08 11:03:28', 7, '2023-05-13 11:06:39', 1, '', ''), (4582, 396, 'content', '内容', 'text', '', 'string', '<p>三江新区管委会，各县(区)人民政府，市直有关部门(单位):</p><p>	现将《宜宾市制造业“双百工程”行动方案》印发你们，请认真组织实施。</p><p>	</p><p class=\"ql-align-right\">宜宾市人民政府</p><p class=\"ql-align-right\">2022年5月26日</p><p class=\"ql-align-center\"><br></p><p class=\"ql-align-center\">宜宾市制造业“双百工程”行动方案</p><p>	为深入贯彻落实“制造强国”战略和《四川省“十四五”制造业高质量发展规划》，坚定推进“工业挑大梁、制造业扛大旗”，以制造业高质量发展，助推制造强市试点建设和我市工业经济高质量发展，制定《宜宾市制造业“双百工程”行动方案》。</p><p>	一、总体要求</p><p>	以习近平新时代中国特色社会主义思想为指导，深入贯彻党的十九届六中全会、省委十一届十次全会、市第六次党代会精神，完整、准确、全面贯彻新发展理念，大力发展绿色低碳优势产业，前瞻布局战略新赛道，新增一批投资(含招引)百亿元的制造业项目，新增培育一批营业收入超百亿元的制造业企业，推动制造业投资规模和质量双提升，加快制造业强链补链集聚发展，强化制造业项目建设要素保障，优化提升政务服务能力，为加快建设现代化区域中心城市提供制造业有力支撑。</p><p>	二、工作目标</p><p>	利用三年时间(2022—2024年)，创新推进制造业新增项目和招大引强，新增投资100亿元以上制造业项目不少于10个〔三江新区、叙州区分别不低于2个，翠屏区、南溪区、江安县、高县、珙县、屏山县分别不低于1个，鼓励其他县(区)积极新增100亿元以上制造业投资项目〕;持续培育制造业企业做强做大，新培育年营业收入100亿元以上企业不少于10户。</p><p>	三、工作举措</p><p>	(一)实施制造业百亿项目招引工程。</p><p>	1.产业链招商。白酒食品产业要推动有条件的区域招引白酒行业知名企业或项目、产业链配套优质项目和消费品龙头项目入驻园区发展。动力电池产业要紧盯细分领域头部企业，引进落地电池正负极材料、电解液、隔膜等核心配套项目10个以上，着力构建动力电池“1+6”产业生态圈，加快打造具有世界影响力的动力电池产业基地、建设“动力电池之都”。智能终端产业要大力引进显示组件等关键零部件和物联网等关联领域头部企业，推动智能终端产业向数字经济产业转型。高端装备(含汽车)制造产业要积极推动全市智轨线网建设，示范助力智轨交通快运系统进一步拓展应用城市，支持中车铁投公司加快发展;要按照新能源汽车“1+2”产业布局，以实施电动宜宾工程和换电重卡示范市为契机，支持凯翼汽车做大规模，大力引进培育新能源重卡和配套产业项目，构建新能源汽车全产业链体系，提升汽车产业规模。医疗器械产业要按照“1+N”产业空间布局，紧盯高端医疗设备、现代中药、医用耗材等细分领域头部企业招大引强，加快省医用卫生应急产业基地的企业招引入驻。新材料产业要以丝丽雅集团公司、屏山纺织产业园等为重点，推动纺织产业全链条发展;推动南部区域各县结合自身资源优势招引产业;以叙州区高新技术产业园区为主，推动建设宜宾市太阳能电池产业园，布局太阳能电池产业。信息技术服务业要以高铁西站片区和长江上游大数据中心两个片区为主，加快建设宜宾市信息技术服务产业园，推动宜宾市信息技术服务产业园加速中心在2022年6月建成开业，推进M0地块互联网头部企业招引入住。推动长江上游大数据中心二期在2022年6月建成开园，有序推进长江上游大数据中心三至八期建成投产，招引一批数字经济头部企业入住长江上游大数据中心。</p><p>	2.基金招商。充分利用基金招商，导入优质企业，不断拓展产业生态圈。各级产业发展专班认真研判基金带动项目，利用“漏斗机制”选出优质项目，根据各县(区)产业定位推送招商，引进一批新兴产业领域优质项目落户宜宾。发挥政府引导型基金杠杆作用，用好市产业基金及子基金，推动有条件的县(区)根据自身产业特点，以设立母基金、直接股权投资、合作设立私募股权投资基金等方式对重点项目精准提供融资支持，推动市属国有企业设立产业链招商基金，吸引与宜宾产业链契合度高的项目引进宜宾落地。</p><p>	3.存量企业扩能或转型升级投资。积极鼓励和支持市内制造业企业通过扩能、转型升级等多种方式新增投资，推进企业做强做大。</p><p>	(二)实施新增百亿企业培育工程。</p><p>	1.瞄准目标企业扶持一批。在现有制造业企业中，重点培育支持10户近三年内营业收入超100亿元的潜在企业，制定一企一策帮扶措施，分批培育成为营业收入超100亿元的领航企业。</p><p>	2.兼并重组打造一批。鼓励有条件的龙头企业围绕纵向全产业链、横向关联配套，完善分工协作体系，采取合作收购、参股控股、联合经营等方式，跨地区、跨行业、跨所有制形式开展兼并重组，形成大规模全领域的企业集团，打造一批营业收入超100亿元的企业。</p><p>	四、保障措施</p><p>	(一)加强组织保障。</p><p>	在宜宾市工业强市领导小组下成立以市长任组长的宜宾市制造业“双百工程”行动推进专项工作组，负责制造业“双百工程”行动的组织领导、统筹协调和工作推进。推进专项工作组办公室设在市经济和信息化局，市经济和信息化局、市经济合作和新兴产业局主要负责同志共同负责日常推进工作。</p><p>	(二)加强激励保障。</p><p>	1.营业收入超百亿元企业激励保障。对当年营业收入首次达到100亿元的制造业企业，在达到100亿元之日起的次月，由市委、市政府授予“宜宾市100亿元企业”荣誉称号，同时给予企业一次性300万元奖励、企业经营管理团队一次性100万元奖励。</p><p>	2.投资超百亿元项目激励保障。对单个总投资超100亿元的制造业项目，按照已签“投资协议”，按时或提前实现实质性开工建设的，给予企业项目管理团队一次性100万元奖励。</p><p>	3.招大引强先进个人激励保障。市直部门、县(区)成功签约投资超100亿的单个制造业项目(已按时或提前开工建设)，可各推荐1名公职人员按程序记三等功。</p><p>	(三)加强要素保障。</p><p>	加强对超100亿元投资项目和培育企业的生产要素优先保障，特别是产业用地、能评、环评、安评、产业规划、用工及人才支持、金融服务等方面，为项目持续实施、企业引领发展提供坚强要素保障。</p><p>	(四)加强服务保障。</p><p>	市直相关部门按门类、分行业对惠企政策进行全面梳理，为企业做好国家、省级、市级政策解读，主动上门服务、靠前服务，帮助企业准确把握发展大势、分析问题、解决问题，指导企业项目建设快速推进，生产经营健康发展。</p><p>	(五)加强工作调度。</p><p>	建立“月通报、季调度、年考评、总交账”工作调度机制，协调解决项目建设和企业发展中的困难问题。同时建立宜宾市工业企业进阶授牌机制，对营业收入、税收两个方面分不同产业进行授牌。</p><p>	本方案自2022年1月1日起实施，有效期3年。政策施行期间如国家、省级政策等因素发生变化，按新的政策要求适时调整。</p>', '', 128, 0, 0, 99, '', '2023-09-08 11:06:14', 7, '2023-05-13 11:11:38', 1, '', ''), (4583, 396, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 99, '', '2023-09-08 11:06:14', 7, '2023-05-13 11:11:13', 1, '', ''), (4584, 396, 'date', '发布日期', 'date', '', 'string', '2022-05-26', '', 128, 0, 1, 99, '', '2023-09-08 11:06:14', 7, '2023-05-13 11:08:53', 1, '', ''), (4585, 396, 'title', '标题', 'input', '', 'string', '宜宾市人民政府关于印发《宜宾市制造业“双百工程”行动方案》的通知', '', 128, 0, 1, 99, '', '2023-09-08 11:06:14', 7, '2023-05-13 11:06:39', 1, '', ''), (4586, 397, 'content', '内容', 'text', '', 'string', '<p>三江新区管委会、各县（区）人民政府，市直有关部门（单位），市属国有企业：</p><p>	现将《宜宾市推进企业上市挂牌“五年行动计划”》印发你们，请认真组织实施。</p><p class=\"ql-align-justify\">	&nbsp;&nbsp;</p><p class=\"ql-align-right\">宜宾市人民政府</p><p class=\"ql-align-right\">2022年3月19日</p><p class=\"ql-align-justify\">	&nbsp;</p><p class=\"ql-align-center\">	&nbsp;宜宾市推进企业上市挂牌“五年行动计划”</p><p class=\"ql-align-justify\">	&nbsp;</p><p class=\"ql-align-justify\">	为助力我市加快建设社会主义现代化的国家区域中心城市，充分利用资本市场改革发展的有利时机，深入推进我市企业融入多层次资本市场，结合我市实际，特制定本计划。</p><p class=\"ql-align-justify\">	一、目的意义</p><p class=\"ql-align-justify\">	坚持以习近平新时代中国特色社会主义思想为指导，全面贯彻新发展理念，按照“政府引导、市场运作、分层施策、整体推动”的原则，坚持“储备一批、培育一批、辅导一批、上市一批”的工作路径，充分利用注册制改革、科创板设立、创业板改革、北交所开市等系列重大机遇，营造企业上市挂牌良好氛围，完善企业上市挂牌各项政策措施，全力做好拟上市挂牌企业规范培育工作，加快推动更多优质企业上市挂牌，助力全市产业结构优化升级和经济高质量转型发展。</p><p class=\"ql-align-justify\">	二、工作目标</p><p class=\"ql-align-justify\">	经过五年努力，上市后备企业储备充足，上市挂牌企业数量倍增，构建较为完善的政策支撑体系、孵化培育体系和企业上市挂牌服务体系，打造融入多层次资本市场宜宾企业方阵。</p><p class=\"ql-align-justify\">	（一）上市挂牌企业数量倍增</p><p class=\"ql-align-justify\">	到2023年，全市新增上市公司4家以上，上市公司数量达到10家；新三板挂牌企业由2家增至12家以上。</p><p class=\"ql-align-justify\">	到2026年，全市新增上市公司13家以上，上市公司数量达到19家；新三板挂牌企业达到30家以上。</p><p class=\"ql-align-justify\">	（二）企业上市成为区域发展动能</p><p class=\"ql-align-justify\">	到2026年，三江新区新培育8家以上企业上市，翠屏区、叙州区、屏山县各培育2家以上企业上市，南溪区、江安县、长宁县各培育1家以上企业上市。市属国有企业要积极推动条件较好的子公司股改上市。</p><p class=\"ql-align-justify\">	（三）上市企业成为产业发展引领</p><p class=\"ql-align-justify\">	到2026年，全市一产（农、林、牧、渔业）的新三板挂牌企业增加2家；二产（制造业、建筑业等）上市公司增加11家；三产（现代金融、文化旅游、商贸物流等）上市公司增加2家。</p><p class=\"ql-align-justify\">	三、主要任务</p><p class=\"ql-align-justify\">	（一）储备上市挂牌后备企业优质资源</p><p class=\"ql-align-justify\">	市金融工作局制定《宜宾市上市后备企业入库标准》。各县（区）人民政府（含三江新区管委会，下同）和市直行业主管部门精准推荐符合产业政策导向、竞争能力较强、科技含量较高、具有发展潜力的企业进入宜宾市上市后备企业资源库。市金融工作局对上市后备企业资源库实施动态管理，每年进行增补和退出，定期进行动态调整。资源库按照“金种子企业”和“银种子企业”进行分层分类、精准培育，推进企业对接多层次资本市场。</p><p class=\"ql-align-justify\">	（二）分类开展企业上市挂牌精准培育</p><p class=\"ql-align-justify\">	根据“金种子企业”和“银种子企业”不同特征，针对性地开展培育服务。</p><p class=\"ql-align-justify\">	一是开辟“金种子企业”行政审批绿色通道。市、县（区）两级可依托上海证券交易所西部基地、深圳证券交易所西部基地、全国股转系统（新三板）西南基地等专业机构，组织专家为上市后备企业开展“一对一”咨询辅导。各县（区）人民政府和市直行业主管部门要建立“金种子企业”服务清单，对企业改制上市过程中涉及的项目立项、土地房产确权、税费缴纳、股权纠纷、证照补办和行政许可等问题给予指导和支持，依法依规及时出具相关证明文件。对法律法规和政策文件没有明确规定的特殊问题，依托联席会议机制，采取“一企一策”方式推动解决。</p><p class=\"ql-align-justify\">	二是加快“银种子企业”进入上市辅导程序。各县（区）人民政府、市直行业主管部门和市属国有企业要把推动“银种子企业”与中介机构签订辅导协议、股改列入“一把手”工程，形成工作方案和规划，列出问题和责任清单，推动企业开展筹备工作，逐年增加上市后备企业数量。对企业规范改制过程中涉及项目审批、税费缴纳、环境保护、资产转让、产权确认、证照补办等历史遗留问题，相关职能部门要及时给予政策指导和支持，协助企业依法依规妥善解决。　</p><p class=\"ql-align-justify\">	（三）推进企业规范化股份制改造</p><p class=\"ql-align-justify\">	加强源头培育，持续加大“小升规、规改股”工作力度。市直行业主管部门要重点围绕国家级专精特新“小巨人”企业、国家级高新技术企业、农业产业化国家级重点龙头企业、省级“专精特新”中小企业、省级百强民营企业等形成股份制改造清单。各县（区）人民政府要重点围绕区域特色产业、特色园区，形成企业股份制改造清单。支持企业广泛引进各类战略投资者参与股份制改造并增资扩股，制定股份制改造推进计划，指导企业完善法人治理结构，建立现代企业制度。</p><p class=\"ql-align-justify\">	（四）加大企业上市扶持力度</p><p class=\"ql-align-justify\">	认真落实《四川省人民政府办公厅关于深入实施财政金融互动政策的通知》（川办发〔2021〕51号），对纳入四川省上市后备企业培育管理的我市企业，积极协助其向省级财政争取20万元一次性补贴；对在新三板挂牌的我市企业，积极协助其向省级财政争取50万元一次性费用补贴；对在境内主板、创业板、科创板和境外主要资本市场首次公开发行股票的我市企业，积极协助其向省级财政争取100万元一次性费用补贴。</p><p class=\"ql-align-justify\">	认真落实《宜宾市高质量建设区域金融中心的支持政策》（宜办〔2021〕83号），对在境内主板、科创板、创业板上市企业分阶段给予共计1000万元奖励，北交所上市企业奖补政策参照科创板、创业板上市企业执行；对在香港证券交易所和境外主要资本市场成功上市的企业给予300万元奖励；对在新三板成功挂牌企业给予80万元奖励；企业通过并购重组等方式成为市外上市公司第一大股东，且将上市公司注册地、纳税地迁回宜宾的，给予300万元奖励。</p><p class=\"ql-align-justify\">	鼓励各县（区）根据自身财力，制定上市企业奖补政策，给予上市企业适当奖励。</p><p class=\"ql-align-justify\">	（五）充分发挥产业基金孵化引导作用</p><p class=\"ql-align-justify\">	围绕全市现代工业“5+1”产业、现代农业“5+2”产业、现代服务业“5+1”产业发展方向，支持与股权投资机构合作，通过直接投资或参与组建各类投资基金，“以投带引”撬动社会资本助力企业发展壮大，形成产业资本生态圈。</p><p class=\"ql-align-justify\">	（六）建立企业上市工作联席会议制度</p><p class=\"ql-align-justify\">	实施企业上市挂牌“五年行动计划”，建立企业上市工作联席会议制度，协调解决工作中存在的问题。建立上市后备企业“一对一”联系机制，对“金种子企业”和“银种子企业”，由1名市领导牵头联系、1个市直行业主管部门对口联系、1名证券机构“金融顾问”专业联系。市金融工作局牵头协调，市直行业主管部门、各县（区）人民政府负责本领域、本区域内具体任务落实，合力推进企业上市挂牌。</p><p class=\"ql-align-justify\">	本意见自印发之日起执行，有效期至2026年12月31日，其中涉及川办发〔2021〕51号、宜办〔2021〕83号文的政策执行期，以其明确的起止日期为准。涉及政策具体申报标准及流程参照宜金发〔2021〕20号执行。由市金融工作局负责解释。</p><p class=\"ql-align-justify\">	&nbsp;</p><p class=\"ql-align-justify\">	附件：1．宜宾市企业上市工作联席会议制度</p><p class=\"ql-align-justify\">	2．2022—2026年度各县（区）、市直部门上市企业目标任务</p><p><br></p>', '', 128, 0, 0, 99, '', '2023-09-08 11:11:42', 7, '2023-05-13 11:11:38', 1, '', ''), (4587, 397, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 99, '', '2023-09-08 11:11:42', 7, '2023-05-13 11:11:13', 1, '', ''), (4588, 397, 'date', '发布日期', 'date', '', 'string', '2022-03-19', '', 128, 0, 1, 99, '', '2023-09-08 11:11:42', 7, '2023-05-13 11:08:53', 1, '', ''), (4589, 397, 'title', '标题', 'input', '', 'string', '宜宾市人民政府关于印发宜宾市推进企业上市挂牌“五年行动计划”的通知', '', 128, 0, 1, 99, '', '2023-09-08 11:11:42', 7, '2023-05-13 11:06:39', 1, '', ''), (4590, 398, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-27 10:41:10', 2064, '2023-09-27 10:41:10', 2064, '', ''), (4591, 398, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1693981823635.jpg', '', 128, 1, 1, 99, '', '2023-09-27 10:41:10', 2064, '2023-09-27 10:41:10', 2064, '', ''), (4592, 398, 'section', '部门', 'input', '', 'string', '市司法局', '', 128, 1, 1, 99, '', '2023-09-27 10:41:10', 2064, '2023-09-27 10:41:10', 2064, '', ''), (4593, 398, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-27 10:41:10', 2064, '2023-09-27 10:41:10', 2064, '', ''), (4594, 398, 'jobNum', '工号', 'input', '', 'string', 'SF04', '', 128, 1, 1, 99, '', '2023-09-27 10:41:10', 2064, '2023-09-27 10:41:10', 2064, '', ''), (4595, 398, 'staffName', '员工姓名', 'input', '', 'string', '廖小兰', '', 128, 1, 1, 99, '', '2023-09-27 10:41:10', 2064, '2023-09-27 10:41:10', 2064, '', ''), (4596, 398, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-27 10:41:10', 2064, '2023-09-27 10:41:10', 2064, '', ''), (4597, 398, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-27 10:41:10', 2064, '2023-09-27 10:41:10', 2064, '', ''), (4598, 398, 'month', '月度', 'month', '', 'string', '7', '', 128, 1, 1, 99, '', '2023-09-27 10:41:10', 2064, '2023-09-27 10:41:10', 2064, '', ''), (4599, 398, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-27 10:41:10', 2064, '2023-09-27 10:41:10', 2064, '', ''), (4600, 399, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-27 10:41:15', 2064, '2023-09-27 10:41:15', 2064, '', ''), (4601, 399, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1693989400765.jpg', '', 128, 1, 1, 99, '', '2023-09-27 10:41:15', 2064, '2023-09-27 10:41:15', 2064, '', ''), (4602, 399, 'section', '部门', 'input', '', 'string', '市民政局', '', 128, 1, 1, 99, '', '2023-09-27 10:41:15', 2064, '2023-09-27 10:41:15', 2064, '', ''), (4603, 399, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-27 10:41:15', 2064, '2023-09-27 10:41:15', 2064, '', ''), (4604, 399, 'jobNum', '工号', 'input', '', 'string', 'MZ0002', '', 128, 1, 1, 99, '', '2023-09-27 10:41:15', 2064, '2023-09-27 10:41:15', 2064, '', ''), (4605, 399, 'staffName', '员工姓名', 'input', '', 'string', '何  薇', '', 128, 1, 1, 99, '', '2023-09-27 10:41:15', 2064, '2023-09-27 10:41:15', 2064, '', ''), (4606, 399, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-27 10:41:15', 2064, '2023-09-27 10:41:15', 2064, '', ''), (4607, 399, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-27 10:41:15', 2064, '2023-09-27 10:41:15', 2064, '', ''), (4608, 399, 'month', '月度', 'month', '', 'string', '7', '', 128, 1, 1, 99, '', '2023-09-27 10:41:15', 2064, '2023-09-27 10:41:15', 2064, '', ''), (4609, 399, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-27 10:41:15', 2064, '2023-09-27 10:41:15', 2064, '', ''), (4610, 400, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-27 10:41:20', 2064, '2023-09-27 10:41:20', 2064, '', ''), (4611, 400, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1693981910400.jpg', '', 128, 1, 1, 99, '', '2023-09-27 10:41:20', 2064, '2023-09-27 10:41:20', 2064, '', ''), (4612, 400, 'section', '部门', 'input', '', 'string', '市医保局', '', 128, 1, 1, 99, '', '2023-09-27 10:41:20', 2064, '2023-09-27 10:41:20', 2064, '', ''), (4613, 400, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-27 10:41:20', 2064, '2023-09-27 10:41:20', 2064, '', ''), (4614, 400, 'jobNum', '工号', 'input', '', 'string', 'YB015', '', 128, 1, 1, 99, '', '2023-09-27 10:41:20', 2064, '2023-09-27 10:41:20', 2064, '', ''), (4615, 400, 'staffName', '员工姓名', 'input', '', 'string', '陈  凤', '', 128, 1, 1, 99, '', '2023-09-27 10:41:20', 2064, '2023-09-27 10:41:20', 2064, '', ''), (4616, 400, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-27 10:41:20', 2064, '2023-09-27 10:41:20', 2064, '', ''), (4617, 400, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-27 10:41:20', 2064, '2023-09-27 10:41:20', 2064, '', ''), (4618, 400, 'month', '月度', 'month', '', 'string', '7', '', 128, 1, 1, 99, '', '2023-09-27 10:41:20', 2064, '2023-09-27 10:41:20', 2064, '', ''), (4619, 400, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-27 10:41:20', 2064, '2023-09-27 10:41:20', 2064, '', ''), (4620, 401, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-27 10:41:26', 2064, '2023-09-27 10:41:26', 2064, '', ''), (4621, 401, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1693981965561.jpg', '', 128, 1, 1, 99, '', '2023-09-27 10:41:26', 2064, '2023-09-27 10:41:26', 2064, '', ''), (4622, 401, 'section', '部门', 'input', '', 'string', '市医保局', '', 128, 1, 1, 99, '', '2023-09-27 10:41:26', 2064, '2023-09-27 10:41:26', 2064, '', ''), (4623, 401, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-27 10:41:26', 2064, '2023-09-27 10:41:26', 2064, '', ''), (4624, 401, 'jobNum', '工号', 'input', '', 'string', 'YB021', '', 128, 1, 1, 99, '', '2023-09-27 10:41:26', 2064, '2023-09-27 10:41:26', 2064, '', ''), (4625, 401, 'staffName', '员工姓名', 'input', '', 'string', '何海容', '', 128, 1, 1, 99, '', '2023-09-27 10:41:26', 2064, '2023-09-27 10:41:26', 2064, '', ''), (4626, 401, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-27 10:41:26', 2064, '2023-09-27 10:41:26', 2064, '', ''), (4627, 401, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-27 10:41:26', 2064, '2023-09-27 10:41:26', 2064, '', ''), (4628, 401, 'month', '月度', 'month', '', 'string', '7', '', 128, 1, 1, 99, '', '2023-09-27 10:41:26', 2064, '2023-09-27 10:41:26', 2064, '', ''), (4629, 401, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-27 10:41:26', 2064, '2023-09-27 10:41:26', 2064, '', ''), (4630, 402, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:14:32', 2064, '2023-09-07 15:14:32', 2064, '', ''), (4631, 402, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1693982003971.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:14:32', 2064, '2023-09-07 15:14:32', 2064, '', ''), (4632, 402, 'section', '部门', 'input', '', 'string', '市医保局', '', 128, 1, 1, 99, '', '2023-09-07 15:14:32', 2064, '2023-09-07 15:14:32', 2064, '', ''), (4633, 402, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:14:32', 2064, '2023-09-07 15:14:32', 2064, '', ''), (4634, 402, 'jobNum', '工号', 'input', '', 'string', 'YB022', '', 128, 1, 1, 99, '', '2023-09-07 15:14:32', 2064, '2023-09-07 15:14:32', 2064, '', ''), (4635, 402, 'staffName', '员工姓名', 'input', '', 'string', '邓坤燕', '', 128, 1, 1, 99, '', '2023-09-07 15:14:32', 2064, '2023-09-07 15:14:32', 2064, '', ''), (4636, 402, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:14:32', 2064, '2023-09-07 15:14:32', 2064, '', ''), (4637, 402, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:14:32', 2064, '2023-09-07 15:14:32', 2064, '', ''), (4638, 402, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:14:32', 2064, '2023-09-07 15:14:32', 2064, '', ''), (4639, 402, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:14:32', 2064, '2023-09-07 15:14:32', 2064, '', ''), (4640, 403, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-27 10:41:34', 2064, '2023-09-27 10:41:34', 2064, '', ''), (4641, 403, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1693982057087.jpg', '', 128, 1, 1, 99, '', '2023-09-27 10:41:34', 2064, '2023-09-27 10:41:34', 2064, '', ''), (4642, 403, 'section', '部门', 'input', '', 'string', '市医保局', '', 128, 1, 1, 99, '', '2023-09-27 10:41:34', 2064, '2023-09-27 10:41:34', 2064, '', ''), (4643, 403, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-27 10:41:34', 2064, '2023-09-27 10:41:34', 2064, '', ''), (4644, 403, 'jobNum', '工号', 'input', '', 'string', 'YB026', '', 128, 1, 1, 99, '', '2023-09-27 10:41:34', 2064, '2023-09-27 10:41:34', 2064, '', ''), (4645, 403, 'staffName', '员工姓名', 'input', '', 'string', '张馨木', '', 128, 1, 1, 99, '', '2023-09-27 10:41:34', 2064, '2023-09-27 10:41:34', 2064, '', ''), (4646, 403, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-27 10:41:34', 2064, '2023-09-27 10:41:34', 2064, '', ''), (4647, 403, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-27 10:41:34', 2064, '2023-09-27 10:41:34', 2064, '', ''), (4648, 403, 'month', '月度', 'month', '', 'string', '7', '', 128, 1, 1, 99, '', '2023-09-27 10:41:34', 2064, '2023-09-27 10:41:34', 2064, '', ''), (4649, 403, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-27 10:41:34', 2064, '2023-09-27 10:41:34', 2064, '', ''), (4650, 404, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-27 10:41:40', 2064, '2023-09-27 10:41:40', 2064, '', ''), (4651, 404, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1693982132232.jpg', '', 128, 1, 1, 99, '', '2023-09-27 10:41:40', 2064, '2023-09-27 10:41:40', 2064, '', ''), (4652, 404, 'section', '部门', 'input', '', 'string', '市医保局', '', 128, 1, 1, 99, '', '2023-09-27 10:41:40', 2064, '2023-09-27 10:41:40', 2064, '', ''), (4653, 404, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-27 10:41:40', 2064, '2023-09-27 10:41:40', 2064, '', ''), (4654, 404, 'jobNum', '工号', 'input', '', 'string', 'YB029', '', 128, 1, 1, 99, '', '2023-09-27 10:41:40', 2064, '2023-09-27 10:41:40', 2064, '', ''), (4655, 404, 'staffName', '员工姓名', 'input', '', 'string', '杨宗莉', '', 128, 1, 1, 99, '', '2023-09-27 10:41:40', 2064, '2023-09-27 10:41:40', 2064, '', ''), (4656, 404, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-27 10:41:40', 2064, '2023-09-27 10:41:40', 2064, '', ''), (4657, 404, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-27 10:41:40', 2064, '2023-09-27 10:41:40', 2064, '', ''), (4658, 404, 'month', '月度', 'month', '', 'string', '7', '', 128, 1, 1, 99, '', '2023-09-27 10:41:40', 2064, '2023-09-27 10:41:40', 2064, '', ''), (4659, 404, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-27 10:41:40', 2064, '2023-09-27 10:41:40', 2064, '', ''), (4660, 405, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:15:31', 2064, '2023-09-07 15:15:31', 2064, '', ''), (4661, 405, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694053810539.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:15:31', 2064, '2023-09-07 15:15:31', 2064, '', ''), (4662, 405, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-07 15:15:31', 2064, '2023-09-07 15:15:31', 2064, '', ''), (4663, 405, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:15:31', 2064, '2023-09-07 15:15:31', 2064, '', ''), (4664, 405, 'jobNum', '工号', 'input', '', 'string', 'SW084', '', 128, 1, 1, 99, '', '2023-09-07 15:15:31', 2064, '2023-09-07 15:15:31', 2064, '', ''), (4665, 405, 'staffName', '员工姓名', 'input', '', 'string', '蔡宇航', '', 128, 1, 1, 99, '', '2023-09-07 15:15:31', 2064, '2023-09-07 15:15:31', 2064, '', ''), (4666, 405, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:15:31', 2064, '2023-09-07 15:15:31', 2064, '', ''), (4667, 405, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:15:31', 2064, '2023-09-07 15:15:31', 2064, '', ''), (4668, 405, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:15:31', 2064, '2023-09-07 15:15:31', 2064, '', ''), (4669, 405, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:15:31', 2064, '2023-09-07 15:15:31', 2064, '', ''), (4670, 406, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:15:40', 2064, '2023-09-07 15:15:40', 2064, '', ''), (4671, 406, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694053973652.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:15:40', 2064, '2023-09-07 15:15:40', 2064, '', ''), (4672, 406, 'section', '部门', 'input', '', 'string', '市政务服务非公经济局', '', 128, 1, 1, 99, '', '2023-09-07 15:15:40', 2064, '2023-09-07 15:15:40', 2064, '', ''), (4673, 406, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:15:40', 2064, '2023-09-07 15:15:40', 2064, '', ''), (4674, 406, 'jobNum', '工号', 'input', '', 'string', 'ZF05', '', 128, 1, 1, 99, '', '2023-09-07 15:15:40', 2064, '2023-09-07 15:15:40', 2064, '', ''), (4675, 406, 'staffName', '员工姓名', 'input', '', 'string', '万松', '', 128, 1, 1, 99, '', '2023-09-07 15:15:40', 2064, '2023-09-07 15:15:40', 2064, '', ''), (4676, 406, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:15:40', 2064, '2023-09-07 15:15:40', 2064, '', ''), (4677, 406, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:15:40', 2064, '2023-09-07 15:15:40', 2064, '', ''), (4678, 406, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:15:40', 2064, '2023-09-07 15:15:40', 2064, '', ''), (4679, 406, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:15:40', 2064, '2023-09-07 15:15:40', 2064, '', ''), (4680, 407, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:15:58', 2064, '2023-09-07 15:15:58', 2064, '', ''), (4681, 407, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694054047973.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:15:58', 2064, '2023-09-07 15:15:58', 2064, '', ''), (4682, 407, 'section', '部门', 'input', '', 'string', '市政务服务非公经济局', '', 128, 1, 1, 99, '', '2023-09-07 15:15:58', 2064, '2023-09-07 15:15:58', 2064, '', ''), (4683, 407, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:15:58', 2064, '2023-09-07 15:15:58', 2064, '', ''), (4684, 407, 'jobNum', '工号', 'input', '', 'string', 'ZF03', '', 128, 1, 1, 99, '', '2023-09-07 15:15:58', 2064, '2023-09-07 15:15:58', 2064, '', ''), (4685, 407, 'staffName', '员工姓名', 'input', '', 'string', '桂淼	', '', 128, 1, 1, 99, '', '2023-09-07 15:15:58', 2064, '2023-09-07 15:15:58', 2064, '', ''), (4686, 407, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:15:58', 2064, '2023-09-07 15:15:58', 2064, '', ''), (4687, 407, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:15:58', 2064, '2023-09-07 15:15:58', 2064, '', ''), (4688, 407, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:15:58', 2064, '2023-09-07 15:15:58', 2064, '', ''), (4689, 407, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:15:58', 2064, '2023-09-07 15:15:58', 2064, '', ''), (4690, 408, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:16:07', 2064, '2023-09-07 15:16:07', 2064, '', ''), (4691, 408, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694054100448.png', '', 128, 1, 1, 99, '', '2023-09-07 15:16:07', 2064, '2023-09-07 15:16:07', 2064, '', ''), (4692, 408, 'section', '部门', 'input', '', 'string', '市公安局', '', 128, 1, 1, 99, '', '2023-09-07 15:16:07', 2064, '2023-09-07 15:16:07', 2064, '', ''), (4693, 408, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:16:07', 2064, '2023-09-07 15:16:07', 2064, '', ''), (4694, 408, 'jobNum', '工号', 'input', '', 'string', 'JJ007', '', 128, 1, 1, 99, '', '2023-09-07 15:16:07', 2064, '2023-09-07 15:16:07', 2064, '', ''), (4695, 408, 'staffName', '员工姓名', 'input', '', 'string', '王丹 ', '', 128, 1, 1, 99, '', '2023-09-07 15:16:07', 2064, '2023-09-07 15:16:07', 2064, '', ''), (4696, 408, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:16:07', 2064, '2023-09-07 15:16:07', 2064, '', ''), (4697, 408, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:16:07', 2064, '2023-09-07 15:16:07', 2064, '', ''), (4698, 408, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:16:07', 2064, '2023-09-07 15:16:07', 2064, '', ''), (4699, 408, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:16:07', 2064, '2023-09-07 15:16:07', 2064, '', ''), (4700, 409, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:16:13', 2064, '2023-09-07 15:16:13', 2064, '', ''), (4701, 409, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694054226807.png', '', 128, 1, 1, 99, '', '2023-09-07 15:16:13', 2064, '2023-09-07 15:16:13', 2064, '', ''), (4702, 409, 'section', '部门', 'input', '', 'string', '市公安局', '', 128, 1, 1, 99, '', '2023-09-07 15:16:13', 2064, '2023-09-07 15:16:13', 2064, '', ''), (4703, 409, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:16:13', 2064, '2023-09-07 15:16:13', 2064, '', ''), (4704, 409, 'jobNum', '工号', 'input', '', 'string', 'JJ004', '', 128, 1, 1, 99, '', '2023-09-07 15:16:13', 2064, '2023-09-07 15:16:13', 2064, '', ''), (4705, 409, 'staffName', '员工姓名', 'input', '', 'string', '石艳', '', 128, 1, 1, 99, '', '2023-09-07 15:16:13', 2064, '2023-09-07 15:16:13', 2064, '', ''), (4706, 409, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:16:13', 2064, '2023-09-07 15:16:13', 2064, '', ''), (4707, 409, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:16:13', 2064, '2023-09-07 15:16:13', 2064, '', ''), (4708, 409, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:16:13', 2064, '2023-09-07 15:16:13', 2064, '', ''), (4709, 409, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:16:13', 2064, '2023-09-07 15:16:13', 2064, '', ''), (4710, 410, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:16:21', 2064, '2023-09-07 15:16:21', 2064, '', ''), (4711, 410, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694054372505.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:16:21', 2064, '2023-09-07 15:16:21', 2064, '', ''), (4712, 410, 'section', '部门', 'input', '', 'string', '市公安局', '', 128, 1, 1, 99, '', '2023-09-07 15:16:21', 2064, '2023-09-07 15:16:21', 2064, '', ''), (4713, 410, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:16:21', 2064, '2023-09-07 15:16:21', 2064, '', ''), (4714, 410, 'jobNum', '工号', 'input', '', 'string', 'JJ0017', '', 128, 1, 1, 99, '', '2023-09-07 15:16:21', 2064, '2023-09-07 15:16:21', 2064, '', ''), (4715, 410, 'staffName', '员工姓名', 'input', '', 'string', '罗元杰', '', 128, 1, 1, 99, '', '2023-09-07 15:16:21', 2064, '2023-09-07 15:16:21', 2064, '', ''), (4716, 410, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:16:21', 2064, '2023-09-07 15:16:21', 2064, '', ''), (4717, 410, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:16:21', 2064, '2023-09-07 15:16:21', 2064, '', ''), (4718, 410, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:16:21', 2064, '2023-09-07 15:16:21', 2064, '', ''), (4719, 410, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:16:21', 2064, '2023-09-07 15:16:21', 2064, '', ''), (4720, 411, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:16:28', 2064, '2023-09-07 15:16:28', 2064, '', ''), (4721, 411, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694054420719.png', '', 128, 1, 1, 99, '', '2023-09-07 15:16:28', 2064, '2023-09-07 15:16:28', 2064, '', ''), (4722, 411, 'section', '部门', 'input', '', 'string', '市公安局', '', 128, 1, 1, 99, '', '2023-09-07 15:16:28', 2064, '2023-09-07 15:16:28', 2064, '', ''), (4723, 411, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:16:28', 2064, '2023-09-07 15:16:28', 2064, '', ''), (4724, 411, 'jobNum', '工号', 'input', '', 'string', 'JJ006', '', 128, 1, 1, 99, '', '2023-09-07 15:16:28', 2064, '2023-09-07 15:16:28', 2064, '', ''), (4725, 411, 'staffName', '员工姓名', 'input', '', 'string', '凌霞', '', 128, 1, 1, 99, '', '2023-09-07 15:16:28', 2064, '2023-09-07 15:16:28', 2064, '', ''), (4726, 411, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:16:28', 2064, '2023-09-07 15:16:28', 2064, '', ''), (4727, 411, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:16:28', 2064, '2023-09-07 15:16:28', 2064, '', ''), (4728, 411, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:16:28', 2064, '2023-09-07 15:16:28', 2064, '', ''), (4729, 411, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:16:28', 2064, '2023-09-07 15:16:28', 2064, '', ''), (4730, 412, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:16:36', 2064, '2023-09-07 15:16:36', 2064, '', ''), (4731, 412, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694054525334.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:16:36', 2064, '2023-09-07 15:16:36', 2064, '', ''), (4732, 412, 'section', '部门', 'input', '', 'string', '市公安局', '', 128, 1, 1, 99, '', '2023-09-07 15:16:36', 2064, '2023-09-07 15:16:36', 2064, '', ''), (4733, 412, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:16:36', 2064, '2023-09-07 15:16:36', 2064, '', ''), (4734, 412, 'jobNum', '工号', 'input', '', 'string', 'HZ001	', '', 128, 1, 1, 99, '', '2023-09-07 15:16:36', 2064, '2023-09-07 15:16:36', 2064, '', ''), (4735, 412, 'staffName', '员工姓名', 'input', '', 'string', '黄方闻', '', 128, 1, 1, 99, '', '2023-09-07 15:16:36', 2064, '2023-09-07 15:16:36', 2064, '', ''), (4736, 412, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:16:36', 2064, '2023-09-07 15:16:36', 2064, '', ''), (4737, 412, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:16:36', 2064, '2023-09-07 15:16:36', 2064, '', ''), (4738, 412, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:16:36', 2064, '2023-09-07 15:16:36', 2064, '', ''), (4739, 412, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:16:36', 2064, '2023-09-07 15:16:36', 2064, '', ''), (4740, 413, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:17:36', 2064, '2023-09-07 15:17:36', 2064, '', ''), (4741, 413, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694054598294.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:17:36', 2064, '2023-09-07 15:17:36', 2064, '', ''), (4742, 413, 'section', '部门', 'input', '', 'string', '中国银行', '', 128, 1, 1, 99, '', '2023-09-07 15:17:36', 2064, '2023-09-07 15:17:36', 2064, '', ''), (4743, 413, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:17:36', 2064, '2023-09-07 15:17:36', 2064, '', ''), (4744, 413, 'jobNum', '工号', 'input', '', 'string', 'ZG07', '', 128, 1, 1, 99, '', '2023-09-07 15:17:36', 2064, '2023-09-07 15:17:36', 2064, '', ''), (4745, 413, 'staffName', '员工姓名', 'input', '', 'string', '谢雨秀', '', 128, 1, 1, 99, '', '2023-09-07 15:17:36', 2064, '2023-09-07 15:17:36', 2064, '', ''), (4746, 413, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:17:36', 2064, '2023-09-07 15:17:36', 2064, '', ''), (4747, 413, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:17:36', 2064, '2023-09-07 15:17:36', 2064, '', ''), (4748, 413, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:17:36', 2064, '2023-09-07 15:17:36', 2064, '', ''), (4749, 413, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:17:36', 2064, '2023-09-07 15:17:36', 2064, '', ''), (4750, 414, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:17:42', 2064, '2023-09-07 15:17:42', 2064, '', ''), (4751, 414, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694054647913.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:17:42', 2064, '2023-09-07 15:17:42', 2064, '', ''), (4752, 414, 'section', '部门', 'input', '', 'string', '宜宾市市场监管局', '', 128, 1, 1, 99, '', '2023-09-07 15:17:42', 2064, '2023-09-07 15:17:42', 2064, '', ''), (4753, 414, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:17:42', 2064, '2023-09-07 15:17:42', 2064, '', ''), (4754, 414, 'jobNum', '工号', 'input', '', 'string', 'scj0004', '', 128, 1, 1, 99, '', '2023-09-07 15:17:42', 2064, '2023-09-07 15:17:42', 2064, '', ''), (4755, 414, 'staffName', '员工姓名', 'input', '', 'string', '胡宇璐', '', 128, 1, 1, 99, '', '2023-09-07 15:17:42', 2064, '2023-09-07 15:17:42', 2064, '', ''), (4756, 414, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:17:42', 2064, '2023-09-07 15:17:42', 2064, '', ''), (4757, 414, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:17:42', 2064, '2023-09-07 15:17:42', 2064, '', '');
INSERT INTO `mortals_sys_app_info_field` VALUES (4758, 414, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:17:42', 2064, '2023-09-07 15:17:42', 2064, '', ''), (4759, 414, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:17:42', 2064, '2023-09-07 15:17:42', 2064, '', ''), (4760, 415, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:17:50', 2064, '2023-09-07 15:17:50', 2064, '', ''), (4761, 415, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694054721654.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:17:50', 2064, '2023-09-07 15:17:50', 2064, '', ''), (4762, 415, 'section', '部门', 'input', '', 'string', '宜宾市市场监管局', '', 128, 1, 1, 99, '', '2023-09-07 15:17:50', 2064, '2023-09-07 15:17:50', 2064, '', ''), (4763, 415, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:17:50', 2064, '2023-09-07 15:17:50', 2064, '', ''), (4764, 415, 'jobNum', '工号', 'input', '', 'string', 'scj0002', '', 128, 1, 1, 99, '', '2023-09-07 15:17:50', 2064, '2023-09-07 15:17:50', 2064, '', ''), (4765, 415, 'staffName', '员工姓名', 'input', '', 'string', '曾仕艳', '', 128, 1, 1, 99, '', '2023-09-07 15:17:50', 2064, '2023-09-07 15:17:50', 2064, '', ''), (4766, 415, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:17:50', 2064, '2023-09-07 15:17:50', 2064, '', ''), (4767, 415, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:17:50', 2064, '2023-09-07 15:17:50', 2064, '', ''), (4768, 415, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:17:50', 2064, '2023-09-07 15:17:50', 2064, '', ''), (4769, 415, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:17:50', 2064, '2023-09-07 15:17:50', 2064, '', ''), (4770, 416, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:17:59', 2064, '2023-09-07 15:17:59', 2064, '', ''), (4771, 416, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694054774716.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:17:59', 2064, '2023-09-07 15:17:59', 2064, '', ''), (4772, 416, 'section', '部门', 'input', '', 'string', '市应急局	', '', 128, 1, 1, 99, '', '2023-09-07 15:17:59', 2064, '2023-09-07 15:17:59', 2064, '', ''), (4773, 416, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:17:59', 2064, '2023-09-07 15:17:59', 2064, '', ''), (4774, 416, 'jobNum', '工号', 'input', '', 'string', 'YJ01', '', 128, 1, 1, 99, '', '2023-09-07 15:17:59', 2064, '2023-09-07 15:17:59', 2064, '', ''), (4775, 416, 'staffName', '员工姓名', 'input', '', 'string', '罗戎', '', 128, 1, 1, 99, '', '2023-09-07 15:17:59', 2064, '2023-09-07 15:17:59', 2064, '', ''), (4776, 416, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:17:59', 2064, '2023-09-07 15:17:59', 2064, '', ''), (4777, 416, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:17:59', 2064, '2023-09-07 15:17:59', 2064, '', ''), (4778, 416, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:17:59', 2064, '2023-09-07 15:17:59', 2064, '', ''), (4779, 416, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:17:59', 2064, '2023-09-07 15:17:59', 2064, '', ''), (4780, 417, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:18:21', 2064, '2023-09-07 15:18:21', 2064, '', ''), (4781, 417, 'img', '员工照片', 'upload', '', 'string', '/file/fileupload/1694054834296.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:18:21', 2064, '2023-09-07 15:18:21', 2064, '', ''), (4782, 417, 'section', '部门', 'input', '', 'string', '市住建局', '', 128, 1, 1, 99, '', '2023-09-07 15:18:21', 2064, '2023-09-07 15:18:21', 2064, '', ''), (4783, 417, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:18:21', 2064, '2023-09-07 15:18:21', 2064, '', ''), (4784, 417, 'jobNum', '工号', 'input', '', 'string', 'ZJ02', '', 128, 1, 1, 99, '', '2023-09-07 15:18:21', 2064, '2023-09-07 15:18:21', 2064, '', ''), (4785, 417, 'staffName', '员工姓名', 'input', '', 'string', '梁香琴', '', 128, 1, 1, 99, '', '2023-09-07 15:18:21', 2064, '2023-09-07 15:18:21', 2064, '', ''), (4786, 417, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:18:21', 2064, '2023-09-07 15:18:21', 2064, '', ''), (4787, 417, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:18:21', 2064, '2023-09-07 15:18:21', 2064, '', ''), (4788, 417, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:18:21', 2064, '2023-09-07 15:18:21', 2064, '', ''), (4789, 417, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:18:21', 2064, '2023-09-07 15:18:21', 2064, '', ''), (4790, 418, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:25:29', 2064, '2023-09-07 15:25:29', 2064, '', ''), (4791, 418, 'img', '员工照片', 'upload', '', 'string', '/file/fileupload/1694055043788.png', '', 128, 1, 1, 99, '', '2023-09-07 15:25:29', 2064, '2023-09-07 15:25:29', 2064, '', ''), (4792, 418, 'section', '部门', 'input', '', 'string', '市交通运输局	', '', 128, 1, 1, 99, '', '2023-09-07 15:25:29', 2064, '2023-09-07 15:25:29', 2064, '', ''), (4793, 418, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:25:29', 2064, '2023-09-07 15:25:29', 2064, '', ''), (4794, 418, 'jobNum', '工号', 'input', '', 'string', 'sjt002', '', 128, 1, 1, 99, '', '2023-09-07 15:25:29', 2064, '2023-09-07 15:25:29', 2064, '', ''), (4795, 418, 'staffName', '员工姓名', 'input', '', 'string', '黄兆慧', '', 128, 1, 1, 99, '', '2023-09-07 15:25:29', 2064, '2023-09-07 15:25:29', 2064, '', ''), (4796, 418, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:25:29', 2064, '2023-09-07 15:25:29', 2064, '', ''), (4797, 418, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:25:29', 2064, '2023-09-07 15:25:29', 2064, '', ''), (4798, 418, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:25:29', 2064, '2023-09-07 15:25:29', 2064, '', ''), (4799, 418, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:25:29', 2064, '2023-09-07 15:25:29', 2064, '', ''), (4800, 420, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:25:36', 2064, '2023-09-07 15:25:36', 2064, '', ''), (4801, 420, 'img', '员工照片', 'upload', '', 'string', '/file/fileupload/1694055149809.png', '', 128, 1, 1, 99, '', '2023-09-07 15:25:36', 2064, '2023-09-07 15:25:36', 2064, '', ''), (4802, 420, 'section', '部门', 'input', '', 'string', '市交通运输局', '', 128, 1, 1, 99, '', '2023-09-07 15:25:36', 2064, '2023-09-07 15:25:36', 2064, '', ''), (4803, 420, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:25:36', 2064, '2023-09-07 15:25:36', 2064, '', ''), (4804, 420, 'jobNum', '工号', 'input', '', 'string', 'sjt008', '', 128, 1, 1, 99, '', '2023-09-07 15:25:36', 2064, '2023-09-07 15:25:36', 2064, '', ''), (4805, 420, 'staffName', '员工姓名', 'input', '', 'string', '刘彬', '', 128, 1, 1, 99, '', '2023-09-07 15:25:36', 2064, '2023-09-07 15:25:36', 2064, '', ''), (4806, 420, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:25:36', 2064, '2023-09-07 15:25:36', 2064, '', ''), (4807, 420, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:25:36', 2064, '2023-09-07 15:25:36', 2064, '', ''), (4808, 420, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:25:36', 2064, '2023-09-07 15:25:36', 2064, '', ''), (4809, 420, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:25:36', 2064, '2023-09-07 15:25:36', 2064, '', ''), (4810, 421, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:25:42', 2064, '2023-09-07 15:25:42', 2064, '', ''), (4811, 421, 'img', '员工照片', 'upload', '', 'string', '/file/fileupload/1694055210689.png', '', 128, 1, 1, 99, '', '2023-09-07 15:25:42', 2064, '2023-09-07 15:25:42', 2064, '', ''), (4812, 421, 'section', '部门', 'input', '', 'string', '市交通运输局', '', 128, 1, 1, 99, '', '2023-09-07 15:25:42', 2064, '2023-09-07 15:25:42', 2064, '', ''), (4813, 421, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:25:42', 2064, '2023-09-07 15:25:42', 2064, '', ''), (4814, 421, 'jobNum', '工号', 'input', '', 'string', 'sjt0019', '', 128, 1, 1, 99, '', '2023-09-07 15:25:42', 2064, '2023-09-07 15:25:42', 2064, '', ''), (4815, 421, 'staffName', '员工姓名', 'input', '', 'string', '孙薇', '', 128, 1, 1, 99, '', '2023-09-07 15:25:42', 2064, '2023-09-07 15:25:42', 2064, '', ''), (4816, 421, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:25:42', 2064, '2023-09-07 15:25:42', 2064, '', ''), (4817, 421, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:25:42', 2064, '2023-09-07 15:25:42', 2064, '', ''), (4818, 421, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:25:42', 2064, '2023-09-07 15:25:42', 2064, '', ''), (4819, 421, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:25:42', 2064, '2023-09-07 15:25:42', 2064, '', ''), (4820, 422, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:25:48', 2064, '2023-09-07 15:25:48', 2064, '', ''), (4821, 422, 'img', '员工照片', 'upload', '', 'string', '/file/fileupload/1694055330850.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:25:48', 2064, '2023-09-07 15:25:48', 2064, '', ''), (4822, 422, 'section', '部门', 'input', '', 'string', '出入境管理支队', '', 128, 1, 1, 99, '', '2023-09-07 15:25:48', 2064, '2023-09-07 15:25:48', 2064, '', ''), (4823, 422, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:25:48', 2064, '2023-09-07 15:25:48', 2064, '', ''), (4824, 422, 'jobNum', '工号', 'input', '', 'string', 'CRJ035 ', '', 128, 1, 1, 99, '', '2023-09-07 15:25:48', 2064, '2023-09-07 15:25:48', 2064, '', ''), (4825, 422, 'staffName', '员工姓名', 'input', '', 'string', '郭永红', '', 128, 1, 1, 99, '', '2023-09-07 15:25:48', 2064, '2023-09-07 15:25:48', 2064, '', ''), (4826, 422, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:25:48', 2064, '2023-09-07 15:25:48', 2064, '', ''), (4827, 422, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:25:48', 2064, '2023-09-07 15:25:48', 2064, '', ''), (4828, 422, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:25:48', 2064, '2023-09-07 15:25:48', 2064, '', ''), (4829, 422, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:25:48', 2064, '2023-09-07 15:25:48', 2064, '', ''), (4830, 423, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:25:55', 2064, '2023-09-07 15:25:55', 2064, '', ''), (4831, 423, 'img', '员工照片', 'upload', '', 'string', '/file/fileupload/1694055383700.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:25:55', 2064, '2023-09-07 15:25:55', 2064, '', ''), (4832, 423, 'section', '部门', 'input', '', 'string', '出入境管理支队', '', 128, 1, 1, 99, '', '2023-09-07 15:25:55', 2064, '2023-09-07 15:25:55', 2064, '', ''), (4833, 423, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:25:55', 2064, '2023-09-07 15:25:55', 2064, '', ''), (4834, 423, 'jobNum', '工号', 'input', '', 'string', 'CRJ025', '', 128, 1, 1, 99, '', '2023-09-07 15:25:55', 2064, '2023-09-07 15:25:55', 2064, '', ''), (4835, 423, 'staffName', '员工姓名', 'input', '', 'string', '廖旭骄', '', 128, 1, 1, 99, '', '2023-09-07 15:25:55', 2064, '2023-09-07 15:25:55', 2064, '', ''), (4836, 423, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:25:55', 2064, '2023-09-07 15:25:55', 2064, '', ''), (4837, 423, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:25:55', 2064, '2023-09-07 15:25:55', 2064, '', ''), (4838, 423, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:25:55', 2064, '2023-09-07 15:25:55', 2064, '', ''), (4839, 423, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:25:55', 2064, '2023-09-07 15:25:55', 2064, '', ''), (4840, 424, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:21:55', 2064, '2023-09-07 15:21:55', 2064, '', ''), (4841, 424, 'img', '员工照片', 'upload', '', 'string', '/file/fileupload/1694055562544.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:21:55', 2064, '2023-09-07 15:21:55', 2064, '', ''), (4842, 424, 'section', '部门', 'input', '', 'string', '出入境管理支队', '', 128, 1, 1, 99, '', '2023-09-07 15:21:55', 2064, '2023-09-07 15:21:55', 2064, '', ''), (4843, 424, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:21:55', 2064, '2023-09-07 15:21:55', 2064, '', ''), (4844, 424, 'jobNum', '工号', 'input', '', 'string', 'CRJ031', '', 128, 1, 1, 99, '', '2023-09-07 15:21:55', 2064, '2023-09-07 15:21:55', 2064, '', ''), (4845, 424, 'staffName', '员工姓名', 'input', '', 'string', '彭睿', '', 128, 1, 1, 99, '', '2023-09-07 15:21:55', 2064, '2023-09-07 15:21:55', 2064, '', ''), (4846, 424, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:21:55', 2064, '2023-09-07 15:21:55', 2064, '', ''), (4847, 424, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:21:55', 2064, '2023-09-07 15:21:55', 2064, '', ''), (4848, 424, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:21:55', 2064, '2023-09-07 15:21:55', 2064, '', ''), (4849, 424, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:21:55', 2064, '2023-09-07 15:21:55', 2064, '', ''), (4850, 419, 'portalName', '门户名称', 'input', '', 'string', '宜宾市政务服务和非公经济发展局', '', 128, 1, 1, 99, '', '2023-09-19 11:11:04', 7, '2023-09-19 11:11:04', 7, '', ''), (4851, 419, 'type', '类型', 'radio', '{\n\"itemList\":\"事项清单\",\n\"portalWebsite\":\"门户网站\"\n}', 'string', 'portalWebsite', '', 128, 0, 1, 99, '', '2023-09-19 11:11:04', 7, '2023-09-19 11:11:04', 7, '', ''), (4852, 419, 'portalWebsite', '门户网站	', 'input', '', 'string', 'http://zwfwhfgjjfzj.yibin.gov.cn/sy/zwgk/qlqd/', '', 128, 1, 1, 99, '', '2023-09-19 11:11:04', 7, '2023-09-19 11:11:04', 7, '', ''), (4853, 419, 'itemList', '事项清单', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-19 11:11:04', 7, '2023-09-19 11:11:04', 7, '', ''), (4854, 425, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:22:01', 2064, '2023-09-07 15:22:01', 2064, '', ''), (4855, 425, 'img', '员工照片', 'upload', '', 'string', '/file/fileupload/1694056773787.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:22:01', 2064, '2023-09-07 15:22:01', 2064, '', ''), (4856, 425, 'section', '部门', 'input', '', 'string', '出入境管理支队', '', 128, 1, 1, 99, '', '2023-09-07 15:22:01', 2064, '2023-09-07 15:22:01', 2064, '', ''), (4857, 425, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:22:01', 2064, '2023-09-07 15:22:01', 2064, '', ''), (4858, 425, 'jobNum', '工号', 'input', '', 'string', 'CRJ027', '', 128, 1, 1, 99, '', '2023-09-07 15:22:01', 2064, '2023-09-07 15:22:01', 2064, '', ''), (4859, 425, 'staffName', '员工姓名', 'input', '', 'string', '黄丽', '', 128, 1, 1, 99, '', '2023-09-07 15:22:01', 2064, '2023-09-07 15:22:01', 2064, '', ''), (4860, 425, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:22:01', 2064, '2023-09-07 15:22:01', 2064, '', ''), (4861, 425, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:22:01', 2064, '2023-09-07 15:22:01', 2064, '', ''), (4862, 425, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:22:01', 2064, '2023-09-07 15:22:01', 2064, '', ''), (4863, 425, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:22:01', 2064, '2023-09-07 15:22:01', 2064, '', ''), (4864, 426, 'itemName', '事项名称', 'input', '{}', 'string', '', '', 128, 1, 1, 99, '', '2023-09-22 10:42:55', 8, NULL, NULL, '', '{}'), (4865, 426, 'portalName', '门户名称', 'input', '', 'string', '四川政务服务网', '', 128, 1, 1, 99, '', '2023-09-22 10:42:55', 8, '2023-09-08 15:15:02', 1, '', ''), (4866, 426, 'type', '类型', 'radio', '{\n\"itemList\":\"事项清单\",\n\"portalWebsite\":\"门户网站\"\n}', 'string', 'portalWebsite', '', 128, 0, 1, 99, '', '2023-09-22 10:42:55', 8, NULL, NULL, '', ''), (4867, 426, 'portalWebsite', '门户网站	', 'input', '', 'string', 'http://ybs.sczwfw.gov.cn/?areaCode=511500000000', '', 128, 1, 1, 99, '', '2023-09-22 10:42:55', 8, '2023-09-14 14:07:01', 1, '', ''), (4868, 426, 'itemList', '事项清单', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-22 10:42:55', 8, '2023-09-14 14:08:35', 1, '', ''), (4869, 427, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:22:09', 2064, '2023-09-07 15:22:09', 2064, '', ''), (4870, 427, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694056844638.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:22:09', 2064, '2023-09-07 15:22:09', 2064, '', ''), (4871, 427, 'section', '部门', 'input', '', 'string', '出入境管理支队', '', 128, 1, 1, 99, '', '2023-09-07 15:22:09', 2064, '2023-09-07 15:22:09', 2064, '', ''), (4872, 427, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:22:09', 2064, '2023-09-07 15:22:09', 2064, '', ''), (4873, 427, 'jobNum', '工号', 'input', '', 'string', 'CRJ028', '', 128, 1, 1, 99, '', '2023-09-07 15:22:09', 2064, '2023-09-07 15:22:09', 2064, '', ''), (4874, 427, 'staffName', '员工姓名', 'input', '', 'string', '田圳', '', 128, 1, 1, 99, '', '2023-09-07 15:22:09', 2064, '2023-09-07 15:22:09', 2064, '', ''), (4875, 427, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:22:09', 2064, '2023-09-07 15:22:09', 2064, '', ''), (4876, 427, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:22:09', 2064, '2023-09-07 15:22:09', 2064, '', ''), (4877, 427, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:22:09', 2064, '2023-09-07 15:22:09', 2064, '', ''), (4878, 427, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:22:09', 2064, '2023-09-07 15:22:09', 2064, '', ''), (4879, 428, 'itemName', '事项名称', 'input', '{}', 'string', '宜宾市行政许可事项清单 （2023 年版）', '', 128, 1, 1, 99, '', '2023-09-24 19:44:29', 2064, '2023-09-24 19:44:29', 2064, '', ''), (4880, 428, 'portalName', '门户名称', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-24 19:44:29', 2064, '2023-09-24 19:44:29', 2064, '', ''), (4881, 428, 'type', '类型', 'radio', '{\n\"itemList\":\"事项清单\",\n\"portalWebsite\":\"门户网站\"\n}', 'string', 'itemList', '', 128, 0, 1, 99, '', '2023-09-24 19:44:29', 2064, '2023-09-24 19:44:29', 2064, '', ''), (4882, 428, 'portalWebsite', '门户网站	', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-24 19:44:29', 2064, '2023-09-24 19:44:29', 2064, '', ''), (4883, 428, 'itemList', '事项清单', 'upload', '', 'string', 'file/fileupload/1695361993791.pdf', '', 128, 1, 1, 99, '', '2023-09-24 19:44:29', 2064, '2023-09-24 19:44:29', 2064, '', ''), (4884, 429, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:23:09', 2064, '2023-09-07 15:23:09', 2064, '', ''), (4885, 429, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694056997502.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:23:09', 2064, '2023-09-07 15:23:09', 2064, '', ''), (4886, 429, 'section', '部门', 'input', '', 'string', '出入境管理支队', '', 128, 1, 1, 99, '', '2023-09-07 15:23:09', 2064, '2023-09-07 15:23:09', 2064, '', ''), (4887, 429, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:23:09', 2064, '2023-09-07 15:23:09', 2064, '', ''), (4888, 429, 'jobNum', '工号', 'input', '', 'string', 'CRJ018', '', 128, 1, 1, 99, '', '2023-09-07 15:23:09', 2064, '2023-09-07 15:23:09', 2064, '', ''), (4889, 429, 'staffName', '员工姓名', 'input', '', 'string', '李杨娜', '', 128, 1, 1, 99, '', '2023-09-07 15:23:09', 2064, '2023-09-07 15:23:09', 2064, '', ''), (4890, 429, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:23:09', 2064, '2023-09-07 15:23:09', 2064, '', ''), (4891, 429, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:23:09', 2064, '2023-09-07 15:23:09', 2064, '', ''), (4892, 429, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:23:09', 2064, '2023-09-07 15:23:09', 2064, '', ''), (4893, 429, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:23:09', 2064, '2023-09-07 15:23:09', 2064, '', ''), (4894, 430, 'itemName', '事项名称', 'input', '{}', 'string', '宜宾市市本级公共服务事项基本目录（2022年版）', '', 128, 1, 1, 99, '', '2023-09-24 20:56:29', 1, '2023-09-24 20:56:29', 1, '', ''), (4895, 430, 'portalName', '门户名称', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-24 20:56:29', 1, '2023-09-24 20:56:29', 1, '', ''), (4896, 430, 'type', '类型', 'radio', '{\n\"itemList\":\"事项清单\",\n\"portalWebsite\":\"门户网站\"\n}', 'string', 'itemList', '', 128, 0, 1, 99, '', '2023-09-24 20:56:29', 1, '2023-09-24 20:56:29', 1, '', ''), (4897, 430, 'portalWebsite', '门户网站	', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-24 20:56:29', 1, '2023-09-24 20:56:29', 1, '', ''), (4898, 430, 'itemList', '事项清单', 'upload', '', 'string', 'file/fileupload/1695560160565.pdf', '', 128, 1, 1, 99, '', '2023-09-24 20:56:29', 1, '2023-09-24 20:56:29', 1, '', ''), (4899, 431, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:23:17', 2064, '2023-09-07 15:23:17', 2064, '', ''), (4900, 431, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694057034981.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:23:17', 2064, '2023-09-07 15:23:17', 2064, '', ''), (4901, 431, 'section', '部门', 'input', '', 'string', '出入境管理支队', '', 128, 1, 1, 99, '', '2023-09-07 15:23:17', 2064, '2023-09-07 15:23:17', 2064, '', ''), (4902, 431, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:23:17', 2064, '2023-09-07 15:23:17', 2064, '', ''), (4903, 431, 'jobNum', '工号', 'input', '', 'string', 'CRJ024', '', 128, 1, 1, 99, '', '2023-09-07 15:23:17', 2064, '2023-09-07 15:23:17', 2064, '', ''), (4904, 431, 'staffName', '员工姓名', 'input', '', 'string', '孙家辉', '', 128, 1, 1, 99, '', '2023-09-07 15:23:17', 2064, '2023-09-07 15:23:17', 2064, '', ''), (4905, 431, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:23:17', 2064, '2023-09-07 15:23:17', 2064, '', ''), (4906, 431, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:23:17', 2064, '2023-09-07 15:23:17', 2064, '', ''), (4907, 431, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:23:17', 2064, '2023-09-07 15:23:17', 2064, '', ''), (4908, 431, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:23:17', 2064, '2023-09-07 15:23:17', 2064, '', ''), (4909, 432, 'itemName', '事项名称', 'input', '{}', 'string', '宜宾市市本级行政审批中介服务事项清单(2023 年版)', '', 128, 1, 1, 99, '', '2023-09-25 09:12:26', 2064, NULL, NULL, '', '{}'), (4910, 432, 'portalName', '门户名称', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-25 09:12:26', 2064, '2023-09-08 15:15:02', 1, '', ''), (4911, 432, 'type', '类型', 'radio', '{\n\"itemList\":\"事项清单\",\n\"portalWebsite\":\"门户网站\"\n}', 'string', 'itemList', '', 128, 0, 1, 99, '', '2023-09-25 09:12:26', 2064, NULL, NULL, '', ''), (4912, 432, 'portalWebsite', '门户网站	', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-25 09:12:26', 2064, '2023-09-14 14:07:01', 1, '', ''), (4913, 432, 'itemList', '事项清单', 'upload', '', 'string', 'file/fileupload/1695604337762.pdf', '', 128, 1, 1, 99, '', '2023-09-25 09:12:26', 2064, '2023-09-14 14:08:35', 1, '', ''), (4914, 433, 'itemName', '事项名称', 'input', '{}', 'string', '第一批省内通办事项（市、县事项）', '', 128, 1, 1, 99, '', '2023-09-25 10:47:34', 2064, NULL, NULL, '', '{}'), (4915, 433, 'portalName', '门户名称', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-25 10:47:34', 2064, '2023-09-08 15:15:02', 1, '', ''), (4916, 433, 'type', '类型', 'radio', '{\n\"itemList\":\"事项清单\",\n\"portalWebsite\":\"门户网站\"\n}', 'string', 'itemList', '', 128, 0, 1, 99, '', '2023-09-25 10:47:34', 2064, NULL, NULL, '', ''), (4917, 433, 'portalWebsite', '门户网站	', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-25 10:47:34', 2064, '2023-09-14 14:07:01', 1, '', ''), (4918, 433, 'itemList', '事项清单', 'upload', '', 'string', 'file/fileupload/1695610018822.pdf', '', 128, 1, 1, 99, '', '2023-09-25 10:47:34', 2064, '2023-09-14 14:08:35', 1, '', ''), (4919, 434, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:23:28', 2064, '2023-09-07 15:23:28', 2064, '', ''), (4920, 434, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694057075074.png', '', 128, 1, 1, 99, '', '2023-09-07 15:23:28', 2064, '2023-09-07 15:23:28', 2064, '', ''), (4921, 434, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-07 15:23:28', 2064, '2023-09-07 15:23:28', 2064, '', ''), (4922, 434, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:23:28', 2064, '2023-09-07 15:23:28', 2064, '', ''), (4923, 434, 'jobNum', '工号', 'input', '', 'string', 'SW048', '', 128, 1, 1, 99, '', '2023-09-07 15:23:28', 2064, '2023-09-07 15:23:28', 2064, '', ''), (4924, 434, 'staffName', '员工姓名', 'input', '', 'string', '袁红', '', 128, 1, 1, 99, '', '2023-09-07 15:23:28', 2064, '2023-09-07 15:23:28', 2064, '', ''), (4925, 434, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:23:28', 2064, '2023-09-07 15:23:28', 2064, '', ''), (4926, 434, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:23:28', 2064, '2023-09-07 15:23:28', 2064, '', ''), (4927, 434, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:23:28', 2064, '2023-09-07 15:23:28', 2064, '', ''), (4928, 434, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:23:28', 2064, '2023-09-07 15:23:28', 2064, '', ''), (4929, 435, 'itemName', '事项名称', 'input', '{}', 'string', '“全天候”政务服务事项清单', '', 128, 1, 1, 99, '', '2023-10-27 16:17:53', 7, '2023-10-27 16:17:53', 7, '', ''), (4930, 435, 'portalName', '门户名称', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-27 16:17:53', 7, '2023-10-27 16:17:53', 7, '', ''), (4931, 435, 'type', '类型', 'radio', '{\n\"itemList\":\"事项清单\",\n\"portalWebsite\":\"门户网站\"\n}', 'string', 'itemList', '', 128, 0, 1, 99, '', '2023-10-27 16:17:53', 7, '2023-10-27 16:17:53', 7, '', ''), (4932, 435, 'portalWebsite', '门户网站	', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-27 16:17:53', 7, '2023-10-27 16:17:53', 7, '', ''), (4933, 435, 'itemList', '事项清单', 'upload', '', 'string', 'file/fileupload/1698394625770.pdf', '', 128, 1, 1, 99, '', '2023-10-27 16:17:53', 7, '2023-10-27 16:17:53', 7, '', ''), (4934, 436, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:24:53', 2064, '2023-09-07 15:24:53', 2064, '', ''), (4935, 436, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694057132767.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:24:53', 2064, '2023-09-07 15:24:53', 2064, '', ''), (4936, 436, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-07 15:24:53', 2064, '2023-09-07 15:24:53', 2064, '', ''), (4937, 436, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:24:53', 2064, '2023-09-07 15:24:53', 2064, '', ''), (4938, 436, 'jobNum', '工号', 'input', '', 'string', 'SW047', '', 128, 1, 1, 99, '', '2023-09-07 15:24:53', 2064, '2023-09-07 15:24:53', 2064, '', ''), (4939, 436, 'staffName', '员工姓名', 'input', '', 'string', '钟雪倩', '', 128, 1, 1, 99, '', '2023-09-07 15:24:53', 2064, '2023-09-07 15:24:53', 2064, '', ''), (4940, 436, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:24:53', 2064, '2023-09-07 15:24:53', 2064, '', ''), (4941, 436, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:24:53', 2064, '2023-09-07 15:24:53', 2064, '', ''), (4942, 436, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:24:53', 2064, '2023-09-07 15:24:53', 2064, '', ''), (4943, 436, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:24:53', 2064, '2023-09-07 15:24:53', 2064, '', ''), (4944, 437, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:25:01', 2064, '2023-09-07 15:25:01', 2064, '', ''), (4945, 437, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694057187582.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:25:01', 2064, '2023-09-07 15:25:01', 2064, '', ''), (4946, 437, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-07 15:25:01', 2064, '2023-09-07 15:25:01', 2064, '', ''), (4947, 437, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:25:01', 2064, '2023-09-07 15:25:01', 2064, '', ''), (4948, 437, 'jobNum', '工号', 'input', '', 'string', 'SW042', '', 128, 1, 1, 99, '', '2023-09-07 15:25:01', 2064, '2023-09-07 15:25:01', 2064, '', ''), (4949, 437, 'staffName', '员工姓名', 'input', '', 'string', '代洋', '', 128, 1, 1, 99, '', '2023-09-07 15:25:01', 2064, '2023-09-07 15:25:01', 2064, '', ''), (4950, 437, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:25:01', 2064, '2023-09-07 15:25:01', 2064, '', ''), (4951, 437, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:25:01', 2064, '2023-09-07 15:25:01', 2064, '', ''), (4952, 437, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:25:01', 2064, '2023-09-07 15:25:01', 2064, '', ''), (4953, 437, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:25:01', 2064, '2023-09-07 15:25:01', 2064, '', ''), (4954, 438, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:25:10', 2064, '2023-09-07 15:25:10', 2064, '', ''), (4955, 438, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694057236685.png', '', 128, 1, 1, 99, '', '2023-09-07 15:25:10', 2064, '2023-09-07 15:25:10', 2064, '', ''), (4956, 438, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-07 15:25:10', 2064, '2023-09-07 15:25:10', 2064, '', ''), (4957, 438, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:25:10', 2064, '2023-09-07 15:25:10', 2064, '', ''), (4958, 438, 'jobNum', '工号', 'input', '', 'string', 'SW032', '', 128, 1, 1, 99, '', '2023-09-07 15:25:10', 2064, '2023-09-07 15:25:10', 2064, '', ''), (4959, 438, 'staffName', '员工姓名', 'input', '', 'string', '石博', '', 128, 1, 1, 99, '', '2023-09-07 15:25:10', 2064, '2023-09-07 15:25:10', 2064, '', ''), (4960, 438, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:25:10', 2064, '2023-09-07 15:25:10', 2064, '', ''), (4961, 438, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:25:10', 2064, '2023-09-07 15:25:10', 2064, '', ''), (4962, 438, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:25:10', 2064, '2023-09-07 15:25:10', 2064, '', ''), (4963, 438, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:25:10', 2064, '2023-09-07 15:25:10', 2064, '', ''), (4964, 439, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:25:17', 2064, '2023-09-07 15:25:17', 2064, '', ''), (4965, 439, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694057324496.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:25:17', 2064, '2023-09-07 15:25:17', 2064, '', ''), (4966, 439, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-07 15:25:17', 2064, '2023-09-07 15:25:17', 2064, '', ''), (4967, 439, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:25:17', 2064, '2023-09-07 15:25:17', 2064, '', ''), (4968, 439, 'jobNum', '工号', 'input', '', 'string', 'SW114', '', 128, 1, 1, 99, '', '2023-09-07 15:25:17', 2064, '2023-09-07 15:25:17', 2064, '', ''), (4969, 439, 'staffName', '员工姓名', 'input', '', 'string', '李超仁', '', 128, 1, 1, 99, '', '2023-09-07 15:25:17', 2064, '2023-09-07 15:25:17', 2064, '', ''), (4970, 439, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:25:17', 2064, '2023-09-07 15:25:17', 2064, '', ''), (4971, 439, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:25:17', 2064, '2023-09-07 15:25:17', 2064, '', ''), (4972, 439, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:25:17', 2064, '2023-09-07 15:25:17', 2064, '', ''), (4973, 439, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:25:17', 2064, '2023-09-07 15:25:17', 2064, '', ''), (4974, 440, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:21:15', 2064, '2023-09-07 15:21:15', 2064, '', ''), (4975, 440, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694057367390.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:21:15', 2064, '2023-09-07 15:21:15', 2064, '', ''), (4976, 440, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-07 15:21:15', 2064, '2023-09-07 15:21:15', 2064, '', ''), (4977, 440, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:21:15', 2064, '2023-09-07 15:21:15', 2064, '', ''), (4978, 440, 'jobNum', '工号', 'input', '', 'string', 'SW059', '', 128, 1, 1, 99, '', '2023-09-07 15:21:15', 2064, '2023-09-07 15:21:15', 2064, '', ''), (4979, 440, 'staffName', '员工姓名', 'input', '', 'string', '梁竹馨', '', 128, 1, 1, 99, '', '2023-09-07 15:21:15', 2064, '2023-09-07 15:21:15', 2064, '', ''), (4980, 440, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:21:15', 2064, '2023-09-07 15:21:15', 2064, '', ''), (4981, 440, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:21:15', 2064, '2023-09-07 15:21:15', 2064, '', ''), (4982, 440, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:21:15', 2064, '2023-09-07 15:21:15', 2064, '', ''), (4983, 440, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:21:15', 2064, '2023-09-07 15:21:15', 2064, '', ''), (4984, 441, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:21:21', 2064, '2023-09-07 15:21:21', 2064, '', ''), (4985, 441, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694057415268.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:21:21', 2064, '2023-09-07 15:21:21', 2064, '', ''), (4986, 441, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-07 15:21:21', 2064, '2023-09-07 15:21:21', 2064, '', ''), (4987, 441, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:21:21', 2064, '2023-09-07 15:21:21', 2064, '', ''), (4988, 441, 'jobNum', '工号', 'input', '', 'string', 'SW056	', '', 128, 1, 1, 99, '', '2023-09-07 15:21:21', 2064, '2023-09-07 15:21:21', 2064, '', ''), (4989, 441, 'staffName', '员工姓名', 'input', '', 'string', '周惠玲', '', 128, 1, 1, 99, '', '2023-09-07 15:21:21', 2064, '2023-09-07 15:21:21', 2064, '', ''), (4990, 441, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:21:21', 2064, '2023-09-07 15:21:21', 2064, '', ''), (4991, 441, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:21:21', 2064, '2023-09-07 15:21:21', 2064, '', ''), (4992, 441, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:21:21', 2064, '2023-09-07 15:21:21', 2064, '', ''), (4993, 441, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:21:21', 2064, '2023-09-07 15:21:21', 2064, '', ''), (4994, 442, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:21:28', 2064, '2023-09-07 15:21:28', 2064, '', ''), (4995, 442, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694057457164.png', '', 128, 1, 1, 99, '', '2023-09-07 15:21:28', 2064, '2023-09-07 15:21:28', 2064, '', ''), (4996, 442, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-07 15:21:28', 2064, '2023-09-07 15:21:28', 2064, '', ''), (4997, 442, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:21:28', 2064, '2023-09-07 15:21:28', 2064, '', ''), (4998, 442, 'jobNum', '工号', 'input', '', 'string', 'SW058', '', 128, 1, 1, 99, '', '2023-09-07 15:21:28', 2064, '2023-09-07 15:21:28', 2064, '', ''), (4999, 442, 'staffName', '员工姓名', 'input', '', 'string', '舒兴伟', '', 128, 1, 1, 99, '', '2023-09-07 15:21:28', 2064, '2023-09-07 15:21:28', 2064, '', ''), (5000, 442, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:21:28', 2064, '2023-09-07 15:21:28', 2064, '', ''), (5001, 442, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:21:28', 2064, '2023-09-07 15:21:28', 2064, '', ''), (5002, 442, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:21:28', 2064, '2023-09-07 15:21:28', 2064, '', ''), (5003, 442, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:21:28', 2064, '2023-09-07 15:21:28', 2064, '', ''), (5004, 443, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:21:36', 2064, '2023-09-07 15:21:36', 2064, '', ''), (5005, 443, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694057537309.png', '', 128, 1, 1, 99, '', '2023-09-07 15:21:36', 2064, '2023-09-07 15:21:36', 2064, '', ''), (5006, 443, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-07 15:21:36', 2064, '2023-09-07 15:21:36', 2064, '', ''), (5007, 443, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:21:36', 2064, '2023-09-07 15:21:36', 2064, '', ''), (5008, 443, 'jobNum', '工号', 'input', '', 'string', 'SW0112', '', 128, 1, 1, 99, '', '2023-09-07 15:21:36', 2064, '2023-09-07 15:21:36', 2064, '', ''), (5009, 443, 'staffName', '员工姓名', 'input', '', 'string', '赵泓钰', '', 128, 1, 1, 99, '', '2023-09-07 15:21:36', 2064, '2023-09-07 15:21:36', 2064, '', ''), (5010, 443, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:21:36', 2064, '2023-09-07 15:21:36', 2064, '', ''), (5011, 443, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:21:36', 2064, '2023-09-07 15:21:36', 2064, '', ''), (5012, 443, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:21:36', 2064, '2023-09-07 15:21:36', 2064, '', ''), (5013, 443, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:21:36', 2064, '2023-09-07 15:21:36', 2064, '', ''), (5014, 444, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:21:43', 2064, '2023-09-07 15:21:43', 2064, '', ''), (5015, 444, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694057595373.jpg', '', 128, 1, 1, 99, '', '2023-09-07 15:21:43', 2064, '2023-09-07 15:21:43', 2064, '', ''), (5016, 444, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-07 15:21:43', 2064, '2023-09-07 15:21:43', 2064, '', ''), (5017, 444, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:21:43', 2064, '2023-09-07 15:21:43', 2064, '', ''), (5018, 444, 'jobNum', '工号', 'input', '', 'string', 'sw0002', '', 128, 1, 1, 99, '', '2023-09-07 15:21:43', 2064, '2023-09-07 15:21:43', 2064, '', ''), (5019, 444, 'staffName', '员工姓名', 'input', '', 'string', '陈利', '', 128, 1, 1, 99, '', '2023-09-07 15:21:43', 2064, '2023-09-07 15:21:43', 2064, '', ''), (5020, 444, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:21:43', 2064, '2023-09-07 15:21:43', 2064, '', ''), (5021, 444, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:21:43', 2064, '2023-09-07 15:21:43', 2064, '', ''), (5022, 444, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:21:43', 2064, '2023-09-07 15:21:43', 2064, '', ''), (5023, 444, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:21:43', 2064, '2023-09-07 15:21:43', 2064, '', ''), (5024, 445, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-11 17:23:48', 2064, '2023-09-11 17:23:48', 2064, '', ''), (5025, 445, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694057644843.jpg', '', 128, 1, 1, 99, '', '2023-09-11 17:23:48', 2064, '2023-09-11 17:23:48', 2064, '', ''), (5026, 445, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-11 17:23:48', 2064, '2023-09-11 17:23:48', 2064, '', ''), (5027, 445, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-11 17:23:48', 2064, '2023-09-11 17:23:48', 2064, '', ''), (5028, 445, 'jobNum', '工号', 'input', '', 'string', 'SW087', '', 128, 1, 1, 99, '', '2023-09-11 17:23:48', 2064, '2023-09-11 17:23:48', 2064, '', ''), (5029, 445, 'staffName', '员工姓名', 'input', '', 'string', '温苓利', '', 128, 1, 1, 99, '', '2023-09-11 17:23:48', 2064, '2023-09-11 17:23:48', 2064, '', ''), (5030, 445, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-11 17:23:48', 2064, '2023-09-11 17:23:48', 2064, '', ''), (5031, 445, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-11 17:23:48', 2064, '2023-09-11 17:23:48', 2064, '', ''), (5032, 445, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-11 17:23:48', 2064, '2023-09-11 17:23:48', 2064, '', ''), (5033, 445, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-11 17:23:48', 2064, '2023-09-11 17:23:48', 2064, '', ''), (5034, 446, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-11 17:23:43', 2064, '2023-09-11 17:23:43', 2064, '', ''), (5035, 446, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694065856728.jpg', '', 128, 1, 1, 99, '', '2023-09-11 17:23:43', 2064, '2023-09-11 17:23:43', 2064, '', ''), (5036, 446, 'section', '部门', 'input', '', 'string', '市税务局	', '', 128, 1, 1, 99, '', '2023-09-11 17:23:43', 2064, '2023-09-11 17:23:43', 2064, '', ''), (5037, 446, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-11 17:23:43', 2064, '2023-09-11 17:23:43', 2064, '', ''), (5038, 446, 'jobNum', '工号', 'input', '', 'string', 'SW076', '', 128, 1, 1, 99, '', '2023-09-11 17:23:43', 2064, '2023-09-11 17:23:43', 2064, '', ''), (5039, 446, 'staffName', '员工姓名', 'input', '', 'string', '陈永兰', '', 128, 1, 1, 99, '', '2023-09-11 17:23:43', 2064, '2023-09-11 17:23:43', 2064, '', ''), (5040, 446, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-11 17:23:43', 2064, '2023-09-11 17:23:43', 2064, '', ''), (5041, 446, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-11 17:23:43', 2064, '2023-09-11 17:23:43', 2064, '', ''), (5042, 446, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-11 17:23:43', 2064, '2023-09-11 17:23:43', 2064, '', ''), (5043, 446, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-11 17:23:43', 2064, '2023-09-11 17:23:43', 2064, '', ''), (5044, 447, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-11 17:23:36', 2064, '2023-09-11 17:23:36', 2064, '', ''), (5045, 447, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694066068685.png', '', 128, 1, 1, 99, '', '2023-09-11 17:23:36', 2064, '2023-09-11 17:23:36', 2064, '', ''), (5046, 447, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-11 17:23:36', 2064, '2023-09-11 17:23:36', 2064, '', ''), (5047, 447, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-11 17:23:36', 2064, '2023-09-11 17:23:36', 2064, '', ''), (5048, 447, 'jobNum', '工号', 'input', '', 'string', 'SW030', '', 128, 1, 1, 99, '', '2023-09-11 17:23:36', 2064, '2023-09-11 17:23:36', 2064, '', ''), (5049, 447, 'staffName', '员工姓名', 'input', '', 'string', '谢珊	', '', 128, 1, 1, 99, '', '2023-09-11 17:23:36', 2064, '2023-09-11 17:23:36', 2064, '', ''), (5050, 447, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-11 17:23:36', 2064, '2023-09-11 17:23:36', 2064, '', ''), (5051, 447, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-11 17:23:36', 2064, '2023-09-11 17:23:36', 2064, '', ''), (5052, 447, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-11 17:23:36', 2064, '2023-09-11 17:23:36', 2064, '', ''), (5053, 447, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-11 17:23:36', 2064, '2023-09-11 17:23:36', 2064, '', ''), (5054, 448, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:34:29', 2064, '2023-09-07 15:34:29', 2064, '', ''), (5055, 448, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694066068685.png', '', 128, 1, 1, 99, '', '2023-09-07 15:34:29', 2064, '2023-09-07 15:34:29', 2064, '', ''), (5056, 448, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-07 15:34:29', 2064, '2023-09-07 15:34:29', 2064, '', ''), (5057, 448, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 15:34:29', 2064, '2023-09-07 15:34:29', 2064, '', ''), (5058, 448, 'jobNum', '工号', 'input', '', 'string', 'SW030', '', 128, 1, 1, 99, '', '2023-09-07 15:34:29', 2064, '2023-09-07 15:34:29', 2064, '', ''), (5059, 448, 'staffName', '员工姓名', 'input', '', 'string', '谢珊	', '', 128, 1, 1, 99, '', '2023-09-07 15:34:29', 2064, '2023-09-07 15:34:29', 2064, '', ''), (5060, 448, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:34:29', 2064, '2023-09-07 15:34:29', 2064, '', ''), (5061, 448, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 15:34:29', 2064, '2023-09-07 15:34:29', 2064, '', ''), (5062, 448, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 15:34:29', 2064, '2023-09-07 15:34:29', 2064, '', ''), (5063, 448, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 15:34:29', 2064, '2023-09-07 15:34:29', 2064, '', ''), (5064, 449, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 17:15:49', 2064, '2023-09-07 17:15:49', 2064, '', ''), (5065, 449, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694066197127.png', '', 128, 1, 1, 99, '', '2023-09-07 17:15:49', 2064, '2023-09-07 17:15:49', 2064, '', ''), (5066, 449, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-07 17:15:49', 2064, '2023-09-07 17:15:49', 2064, '', ''), (5067, 449, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 17:15:49', 2064, '2023-09-07 17:15:49', 2064, '', ''), (5068, 449, 'jobNum', '工号', 'input', '', 'string', 'SW026', '', 128, 1, 1, 99, '', '2023-09-07 17:15:49', 2064, '2023-09-07 17:15:49', 2064, '', ''), (5069, 449, 'staffName', '员工姓名', 'input', '', 'string', '李洋', '', 128, 1, 1, 99, '', '2023-09-07 17:15:49', 2064, '2023-09-07 17:15:49', 2064, '', ''), (5070, 449, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 17:15:49', 2064, '2023-09-07 17:15:49', 2064, '', ''), (5071, 449, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 17:15:49', 2064, '2023-09-07 17:15:49', 2064, '', ''), (5072, 449, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 17:15:49', 2064, '2023-09-07 17:15:49', 2064, '', ''), (5073, 449, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 17:15:49', 2064, '2023-09-07 17:15:49', 2064, '', ''), (5074, 450, 'redFlag', '红旗窗口', 'upload', '', 'string', 'file/fileupload/1694079103516.png', '', 128, 1, 1, 99, '', '2023-09-22 12:01:20', 7, '2023-09-22 12:01:20', 7, '', ''), (5075, 450, 'img', '员工照片', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-22 12:01:20', 7, '2023-09-22 12:01:20', 7, '', ''), (5076, 450, 'section', '部门', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-22 12:01:20', 7, '2023-09-22 12:01:20', 7, '', ''), (5077, 450, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-22 12:01:20', 7, '2023-09-22 12:01:20', 7, '', ''), (5078, 450, 'jobNum', '工号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-22 12:01:20', 7, '2023-09-22 12:01:20', 7, '', ''), (5079, 450, 'staffName', '员工姓名', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-22 12:01:20', 7, '2023-09-22 12:01:20', 7, '', ''), (5080, 450, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '2', '', 128, 0, 1, 99, '', '2023-09-22 12:01:20', 7, '2023-09-22 12:01:20', 7, '', ''), (5081, 450, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-22 12:01:20', 7, '2023-09-22 12:01:20', 7, '', ''), (5082, 450, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-22 12:01:20', 7, '2023-09-22 12:01:20', 7, '', ''), (5083, 450, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-22 12:01:20', 7, '2023-09-22 12:01:20', 7, '', ''), (5084, 451, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 17:35:23', 2064, '2023-09-06 14:18:42', 1, '', ''), (5085, 451, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694079294419.png', '', 128, 1, 1, 99, '', '2023-09-07 17:35:23', 2064, '2023-09-06 14:17:18', 1, '', ''), (5086, 451, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-07 17:35:23', 2064, '2023-09-06 14:17:39', 1, '', ''), (5087, 451, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 17:35:23', 2064, NULL, NULL, '', ''), (5088, 451, 'jobNum', '工号', 'input', '', 'string', 'SW028', '', 128, 1, 1, 99, '', '2023-09-07 17:35:23', 2064, NULL, NULL, '', ''), (5089, 451, 'staffName', '员工姓名', 'input', '', 'string', '罗翔文', '', 128, 1, 1, 99, '', '2023-09-07 17:35:23', 2064, '2023-09-06 14:16:51', 1, '', ''), (5090, 451, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 17:35:23', 2064, NULL, NULL, '', ''), (5091, 451, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 17:35:23', 2064, '2023-09-06 09:08:31', 1, '', ''), (5092, 451, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 17:35:23', 2064, '2023-09-06 09:08:38', 1, '', ''), (5093, 451, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 17:35:23', 2064, NULL, NULL, '', ''), (5094, 452, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 17:36:50', 2064, '2023-09-06 14:18:42', 1, '', ''), (5095, 452, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694079387055.png', '', 128, 1, 1, 99, '', '2023-09-07 17:36:50', 2064, '2023-09-06 14:17:18', 1, '', ''), (5096, 452, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-07 17:36:50', 2064, '2023-09-06 14:17:39', 1, '', ''), (5097, 452, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 17:36:50', 2064, NULL, NULL, '', ''), (5098, 452, 'jobNum', '工号', 'input', '', 'string', 'SW029 ', '', 128, 1, 1, 99, '', '2023-09-07 17:36:50', 2064, NULL, NULL, '', ''), (5099, 452, 'staffName', '员工姓名', 'input', '', 'string', '黄渊', '', 128, 1, 1, 99, '', '2023-09-07 17:36:50', 2064, '2023-09-06 14:16:51', 1, '', ''), (5100, 452, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 17:36:50', 2064, NULL, NULL, '', ''), (5101, 452, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 17:36:50', 2064, '2023-09-06 09:08:31', 1, '', ''), (5102, 452, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 17:36:50', 2064, '2023-09-06 09:08:38', 1, '', ''), (5103, 452, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 17:36:50', 2064, NULL, NULL, '', ''), (5104, 453, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 17:38:17', 2064, '2023-09-06 14:18:42', 1, '', ''), (5105, 453, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694079444963.png', '', 128, 1, 1, 99, '', '2023-09-07 17:38:17', 2064, '2023-09-06 14:17:18', 1, '', ''), (5106, 453, 'section', '部门', 'input', '', 'string', '不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-07 17:38:17', 2064, '2023-09-06 14:17:39', 1, '', ''), (5107, 453, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 17:38:17', 2064, NULL, NULL, '', ''), (5108, 453, 'jobNum', '工号', 'input', '', 'string', 'BDC058', '', 128, 1, 1, 99, '', '2023-09-07 17:38:17', 2064, NULL, NULL, '', ''), (5109, 453, 'staffName', '员工姓名', 'input', '', 'string', '向莉', '', 128, 1, 1, 99, '', '2023-09-07 17:38:17', 2064, '2023-09-06 14:16:51', 1, '', ''), (5110, 453, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 17:38:17', 2064, NULL, NULL, '', ''), (5111, 453, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 17:38:17', 2064, '2023-09-06 09:08:31', 1, '', ''), (5112, 453, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 17:38:17', 2064, '2023-09-06 09:08:38', 1, '', ''), (5113, 453, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 17:38:17', 2064, NULL, NULL, '', ''), (5114, 454, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 17:39:54', 2064, '2023-09-06 14:18:42', 1, '', ''), (5115, 454, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694079507881.png', '', 128, 1, 1, 99, '', '2023-09-07 17:39:54', 2064, '2023-09-06 14:17:18', 1, '', ''), (5116, 454, 'section', '部门', 'input', '', 'string', '不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-07 17:39:54', 2064, '2023-09-06 14:17:39', 1, '', ''), (5117, 454, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 17:39:54', 2064, NULL, NULL, '', ''), (5118, 454, 'jobNum', '工号', 'input', '', 'string', 'BDC048', '', 128, 1, 1, 99, '', '2023-09-07 17:39:54', 2064, NULL, NULL, '', ''), (5119, 454, 'staffName', '员工姓名', 'input', '', 'string', '曾莎', '', 128, 1, 1, 99, '', '2023-09-07 17:39:54', 2064, '2023-09-06 14:16:51', 1, '', ''), (5120, 454, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 17:39:54', 2064, NULL, NULL, '', ''), (5121, 454, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 17:39:54', 2064, '2023-09-06 09:08:31', 1, '', ''), (5122, 454, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 17:39:54', 2064, '2023-09-06 09:08:38', 1, '', ''), (5123, 454, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 17:39:54', 2064, NULL, NULL, '', ''), (5124, 455, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 17:41:21', 2064, '2023-09-06 14:18:42', 1, '', ''), (5125, 455, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694079650611.png', '', 128, 1, 1, 99, '', '2023-09-07 17:41:21', 2064, '2023-09-06 14:17:18', 1, '', ''), (5126, 455, 'section', '部门', 'input', '', 'string', '不动产登记中心	', '', 128, 1, 1, 99, '', '2023-09-07 17:41:21', 2064, '2023-09-06 14:17:39', 1, '', ''), (5127, 455, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 17:41:21', 2064, NULL, NULL, '', ''), (5128, 455, 'jobNum', '工号', 'input', '', 'string', 'BDC050', '', 128, 1, 1, 99, '', '2023-09-07 17:41:21', 2064, NULL, NULL, '', ''), (5129, 455, 'staffName', '员工姓名', 'input', '', 'string', '李英杰', '', 128, 1, 1, 99, '', '2023-09-07 17:41:21', 2064, '2023-09-06 14:16:51', 1, '', ''), (5130, 455, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 17:41:21', 2064, NULL, NULL, '', ''), (5131, 455, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 17:41:21', 2064, '2023-09-06 09:08:31', 1, '', ''), (5132, 455, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 17:41:21', 2064, '2023-09-06 09:08:38', 1, '', ''), (5133, 455, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 17:41:21', 2064, NULL, NULL, '', ''), (5134, 456, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 17:42:23', 2064, '2023-09-06 14:18:42', 1, '', ''), (5135, 456, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694079718992.png', '', 128, 1, 1, 99, '', '2023-09-07 17:42:23', 2064, '2023-09-06 14:17:18', 1, '', ''), (5136, 456, 'section', '部门', 'input', '', 'string', '不动产登记中心	', '', 128, 1, 1, 99, '', '2023-09-07 17:42:23', 2064, '2023-09-06 14:17:39', 1, '', ''), (5137, 456, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 17:42:23', 2064, NULL, NULL, '', ''), (5138, 456, 'jobNum', '工号', 'input', '', 'string', 'BDC052', '', 128, 1, 1, 99, '', '2023-09-07 17:42:23', 2064, NULL, NULL, '', ''), (5139, 456, 'staffName', '员工姓名', 'input', '', 'string', '陈国玲', '', 128, 1, 1, 99, '', '2023-09-07 17:42:23', 2064, '2023-09-06 14:16:51', 1, '', ''), (5140, 456, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 17:42:23', 2064, NULL, NULL, '', ''), (5141, 456, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 17:42:23', 2064, '2023-09-06 09:08:31', 1, '', ''), (5142, 456, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 17:42:23', 2064, '2023-09-06 09:08:38', 1, '', ''), (5143, 456, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 17:42:23', 2064, NULL, NULL, '', ''), (5144, 457, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 17:55:53', 2064, '2023-09-06 14:18:42', 1, '', ''), (5145, 457, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694080521033.png', '', 128, 1, 1, 99, '', '2023-09-07 17:55:53', 2064, '2023-09-06 14:17:18', 1, '', ''), (5146, 457, 'section', '部门', 'input', '', 'string', '不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-07 17:55:53', 2064, '2023-09-06 14:17:39', 1, '', ''), (5147, 457, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 17:55:53', 2064, NULL, NULL, '', ''), (5148, 457, 'jobNum', '工号', 'input', '', 'string', 'BDC049', '', 128, 1, 1, 99, '', '2023-09-07 17:55:53', 2064, NULL, NULL, '', ''), (5149, 457, 'staffName', '员工姓名', 'input', '', 'string', '陈蓉萍	', '', 128, 1, 1, 99, '', '2023-09-07 17:55:53', 2064, '2023-09-06 14:16:51', 1, '', '');
INSERT INTO `mortals_sys_app_info_field` VALUES (5150, 457, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 17:55:53', 2064, NULL, NULL, '', ''), (5151, 457, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 17:55:53', 2064, '2023-09-06 09:08:31', 1, '', ''), (5152, 457, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 17:55:53', 2064, '2023-09-06 09:08:38', 1, '', ''), (5153, 457, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 17:55:53', 2064, NULL, NULL, '', ''), (5154, 458, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 17:57:13', 2064, '2023-09-06 14:18:42', 1, '', ''), (5155, 458, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694080581125.png', '', 128, 1, 1, 99, '', '2023-09-07 17:57:13', 2064, '2023-09-06 14:17:18', 1, '', ''), (5156, 458, 'section', '部门', 'input', '', 'string', '不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-07 17:57:13', 2064, '2023-09-06 14:17:39', 1, '', ''), (5157, 458, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 17:57:13', 2064, NULL, NULL, '', ''), (5158, 458, 'jobNum', '工号', 'input', '', 'string', 'BDC049', '', 128, 1, 1, 99, '', '2023-09-07 17:57:13', 2064, NULL, NULL, '', ''), (5159, 458, 'staffName', '员工姓名', 'input', '', 'string', '刘俊利', '', 128, 1, 1, 99, '', '2023-09-07 17:57:13', 2064, '2023-09-06 14:16:51', 1, '', ''), (5160, 458, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 17:57:13', 2064, NULL, NULL, '', ''), (5161, 458, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 17:57:13', 2064, '2023-09-06 09:08:31', 1, '', ''), (5162, 458, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 17:57:13', 2064, '2023-09-06 09:08:38', 1, '', ''), (5163, 458, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 17:57:13', 2064, NULL, NULL, '', ''), (5164, 459, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 18:00:07', 2064, '2023-09-06 14:18:42', 1, '', ''), (5165, 459, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694080760383.png', '', 128, 1, 1, 99, '', '2023-09-07 18:00:07', 2064, '2023-09-06 14:17:18', 1, '', ''), (5166, 459, 'section', '部门', 'input', '', 'string', '不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-07 18:00:07', 2064, '2023-09-06 14:17:39', 1, '', ''), (5167, 459, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 18:00:07', 2064, NULL, NULL, '', ''), (5168, 459, 'jobNum', '工号', 'input', '', 'string', 'BDC053', '', 128, 1, 1, 99, '', '2023-09-07 18:00:07', 2064, NULL, NULL, '', ''), (5169, 459, 'staffName', '员工姓名', 'input', '', 'string', '冯菁	', '', 128, 1, 1, 99, '', '2023-09-07 18:00:07', 2064, '2023-09-06 14:16:51', 1, '', ''), (5170, 459, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 18:00:07', 2064, NULL, NULL, '', ''), (5171, 459, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 18:00:07', 2064, '2023-09-06 09:08:31', 1, '', ''), (5172, 459, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 18:00:07', 2064, '2023-09-06 09:08:38', 1, '', ''), (5173, 459, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 18:00:07', 2064, NULL, NULL, '', ''), (5174, 460, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 18:01:14', 2064, '2023-09-06 14:18:42', 1, '', ''), (5175, 460, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694080839213.jpg', '', 128, 1, 1, 99, '', '2023-09-07 18:01:14', 2064, '2023-09-06 14:17:18', 1, '', ''), (5176, 460, 'section', '部门', 'input', '', 'string', '市公积金中心	', '', 128, 1, 1, 99, '', '2023-09-07 18:01:14', 2064, '2023-09-06 14:17:39', 1, '', ''), (5177, 460, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 18:01:14', 2064, NULL, NULL, '', ''), (5178, 460, 'jobNum', '工号', 'input', '', 'string', 'GJJ009', '', 128, 1, 1, 99, '', '2023-09-07 18:01:14', 2064, NULL, NULL, '', ''), (5179, 460, 'staffName', '员工姓名', 'input', '', 'string', '曾彬', '', 128, 1, 1, 99, '', '2023-09-07 18:01:14', 2064, '2023-09-06 14:16:51', 1, '', ''), (5180, 460, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 18:01:14', 2064, NULL, NULL, '', ''), (5181, 460, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-07 18:01:14', 2064, '2023-09-06 09:08:31', 1, '', ''), (5182, 460, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-09-07 18:01:14', 2064, '2023-09-06 09:08:38', 1, '', ''), (5183, 460, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-07 18:01:14', 2064, NULL, NULL, '', ''), (5184, 461, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-11 17:22:55', 2064, '2023-09-06 14:18:42', 1, '', ''), (5185, 461, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694424162240.png', '', 128, 1, 1, 99, '', '2023-09-11 17:22:55', 2064, '2023-09-06 14:17:18', 1, '', ''), (5186, 461, 'section', '部门', 'input', '', 'string', '市卫生健康委', '', 128, 1, 1, 99, '', '2023-09-11 17:22:55', 2064, '2023-09-06 14:17:39', 1, '', ''), (5187, 461, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-11 17:22:55', 2064, NULL, NULL, '', ''), (5188, 461, 'jobNum', '工号', 'input', '', 'string', 'WJ01', '', 128, 1, 1, 99, '', '2023-09-11 17:22:55', 2064, NULL, NULL, '', ''), (5189, 461, 'staffName', '员工姓名', 'input', '', 'string', '吴霞', '', 128, 1, 1, 99, '', '2023-09-11 17:22:55', 2064, '2023-09-06 14:16:51', 1, '', ''), (5190, 461, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-11 17:22:55', 2064, NULL, NULL, '', ''), (5191, 461, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-11 17:22:55', 2064, '2023-09-06 09:08:31', 1, '', ''), (5192, 461, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-11 17:22:55', 2064, '2023-09-06 09:08:38', 1, '', ''), (5193, 461, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-11 17:22:55', 2064, NULL, NULL, '', ''), (5194, 462, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-11 17:26:02', 2064, '2023-09-11 17:26:02', 2064, '', ''), (5195, 462, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694424314519.jpg', '', 128, 1, 1, 99, '', '2023-09-11 17:26:02', 2064, '2023-09-11 17:26:02', 2064, '', ''), (5196, 462, 'section', '部门', 'input', '', 'string', '市民政局', '', 128, 1, 1, 99, '', '2023-09-11 17:26:02', 2064, '2023-09-11 17:26:02', 2064, '', ''), (5197, 462, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-11 17:26:02', 2064, '2023-09-11 17:26:02', 2064, '', ''), (5198, 462, 'jobNum', '工号', 'input', '', 'string', 'mz0001', '', 128, 1, 1, 99, '', '2023-09-11 17:26:02', 2064, '2023-09-11 17:26:02', 2064, '', ''), (5199, 462, 'staffName', '员工姓名', 'input', '', 'string', '杨洋', '', 128, 1, 1, 99, '', '2023-09-11 17:26:02', 2064, '2023-09-11 17:26:02', 2064, '', ''), (5200, 462, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-11 17:26:02', 2064, '2023-09-11 17:26:02', 2064, '', ''), (5201, 462, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-11 17:26:02', 2064, '2023-09-11 17:26:02', 2064, '', ''), (5202, 462, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-11 17:26:02', 2064, '2023-09-11 17:26:02', 2064, '', ''), (5203, 462, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-11 17:26:02', 2064, '2023-09-11 17:26:02', 2064, '', ''), (5204, 463, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-11 18:10:35', 2064, '2023-09-11 18:10:35', 2064, '', ''), (5205, 463, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694427033380.jpg', '', 128, 1, 1, 99, '', '2023-09-11 18:10:35', 2064, '2023-09-11 18:10:35', 2064, '', ''), (5206, 463, 'section', '部门', 'input', '', 'string', '市消防救援支队', '', 128, 1, 1, 99, '', '2023-09-11 18:10:35', 2064, '2023-09-11 18:10:35', 2064, '', ''), (5207, 463, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-11 18:10:35', 2064, '2023-09-11 18:10:35', 2064, '', ''), (5208, 463, 'jobNum', '工号', 'input', '', 'string', 'XF01', '', 128, 1, 1, 99, '', '2023-09-11 18:10:35', 2064, '2023-09-11 18:10:35', 2064, '', ''), (5209, 463, 'staffName', '员工姓名', 'input', '', 'string', '李涛', '', 128, 1, 1, 99, '', '2023-09-11 18:10:35', 2064, '2023-09-11 18:10:35', 2064, '', ''), (5210, 463, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-11 18:10:35', 2064, '2023-09-11 18:10:35', 2064, '', ''), (5211, 463, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-11 18:10:35', 2064, '2023-09-11 18:10:35', 2064, '', ''), (5212, 463, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-11 18:10:35', 2064, '2023-09-11 18:10:35', 2064, '', ''), (5213, 463, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-11 18:10:35', 2064, '2023-09-11 18:10:35', 2064, '', ''), (5214, 464, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:53:54', 7, '2023-09-12 16:53:54', 7, '', ''), (5215, 464, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694508602269.jpg', '', 128, 1, 1, 99, '', '2023-09-12 16:53:54', 7, '2023-09-12 16:53:54', 7, '', ''), (5216, 464, 'section', '部门', 'input', '', 'string', '市市场监管局	', '', 128, 1, 1, 99, '', '2023-09-12 16:53:54', 7, '2023-09-12 16:53:54', 7, '', ''), (5217, 464, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:53:54', 7, '2023-09-12 16:53:54', 7, '', ''), (5218, 464, 'jobNum', '工号', 'input', '', 'string', 'scj0001', '', 128, 1, 1, 99, '', '2023-09-12 16:53:54', 7, '2023-09-12 16:53:54', 7, '', ''), (5219, 464, 'staffName', '员工姓名', 'input', '', 'string', '曾丽', '', 128, 1, 1, 99, '', '2023-09-12 16:53:54', 7, '2023-09-12 16:53:54', 7, '', ''), (5220, 464, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 16:53:54', 7, '2023-09-12 16:53:54', 7, '', ''), (5221, 464, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 16:53:54', 7, '2023-09-12 16:53:54', 7, '', ''), (5222, 464, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:53:54', 7, '2023-09-12 16:53:54', 7, '', ''), (5223, 464, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 16:53:54', 7, '2023-09-12 16:53:54', 7, '', ''), (5224, 465, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:51:39', 2064, '2023-09-06 14:18:42', 1, '', ''), (5225, 465, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694508678969.jpg', '', 128, 1, 1, 99, '', '2023-09-12 16:51:39', 2064, '2023-09-06 14:17:18', 1, '', ''), (5226, 465, 'section', '部门', 'input', '', 'string', '市市场监管局', '', 128, 1, 1, 99, '', '2023-09-12 16:51:39', 2064, '2023-09-06 14:17:39', 1, '', ''), (5227, 465, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:51:39', 2064, NULL, NULL, '', ''), (5228, 465, 'jobNum', '工号', 'input', '', 'string', 'scj0008', '', 128, 1, 1, 99, '', '2023-09-12 16:51:39', 2064, NULL, NULL, '', ''), (5229, 465, 'staffName', '员工姓名', 'input', '', 'string', '潘艳', '', 128, 1, 1, 99, '', '2023-09-12 16:51:39', 2064, '2023-09-06 14:16:51', 1, '', ''), (5230, 465, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 16:51:39', 2064, NULL, NULL, '', ''), (5231, 465, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 16:51:39', 2064, '2023-09-06 09:08:31', 1, '', ''), (5232, 465, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:51:39', 2064, '2023-09-06 09:08:38', 1, '', ''), (5233, 465, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 16:51:39', 2064, NULL, NULL, '', ''), (5234, 466, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:52:34', 2064, '2023-09-06 14:18:42', 1, '', ''), (5235, 466, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694508737730.jpg', '', 128, 1, 1, 99, '', '2023-09-12 16:52:34', 2064, '2023-09-06 14:17:18', 1, '', ''), (5236, 466, 'section', '部门', 'input', '', 'string', '市应急局', '', 128, 1, 1, 99, '', '2023-09-12 16:52:34', 2064, '2023-09-06 14:17:39', 1, '', ''), (5237, 466, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:52:34', 2064, NULL, NULL, '', ''), (5238, 466, 'jobNum', '工号', 'input', '', 'string', 'YJ01', '', 128, 1, 1, 99, '', '2023-09-12 16:52:34', 2064, NULL, NULL, '', ''), (5239, 466, 'staffName', '员工姓名', 'input', '', 'string', '罗戎', '', 128, 1, 1, 99, '', '2023-09-12 16:52:34', 2064, '2023-09-06 14:16:51', 1, '', ''), (5240, 466, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 16:52:34', 2064, NULL, NULL, '', ''), (5241, 466, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 16:52:34', 2064, '2023-09-06 09:08:31', 1, '', ''), (5242, 466, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:52:34', 2064, '2023-09-06 09:08:38', 1, '', ''), (5243, 466, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 16:52:34', 2064, NULL, NULL, '', ''), (5244, 467, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:53:37', 2064, '2023-09-06 14:18:42', 1, '', ''), (5245, 467, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694508801031.jpg', '', 128, 1, 1, 99, '', '2023-09-12 16:53:37', 2064, '2023-09-06 14:17:18', 1, '', ''), (5246, 467, 'section', '部门', 'input', '', 'string', '市住建局', '', 128, 1, 1, 99, '', '2023-09-12 16:53:37', 2064, '2023-09-06 14:17:39', 1, '', ''), (5247, 467, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:53:37', 2064, NULL, NULL, '', ''), (5248, 467, 'jobNum', '工号', 'input', '', 'string', 'ZJ02', '', 128, 1, 1, 99, '', '2023-09-12 16:53:37', 2064, NULL, NULL, '', ''), (5249, 467, 'staffName', '员工姓名', 'input', '', 'string', '梁香琴', '', 128, 1, 1, 99, '', '2023-09-12 16:53:37', 2064, '2023-09-06 14:16:51', 1, '', ''), (5250, 467, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 16:53:37', 2064, NULL, NULL, '', ''), (5251, 467, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 16:53:37', 2064, '2023-09-06 09:08:31', 1, '', ''), (5252, 467, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:53:37', 2064, '2023-09-06 09:08:38', 1, '', ''), (5253, 467, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 16:53:37', 2064, NULL, NULL, '', ''), (5254, 468, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:54:43', 2064, '2023-09-06 14:18:42', 1, '', ''), (5255, 468, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694508868438.jpg', '', 128, 1, 1, 99, '', '2023-09-12 16:54:43', 2064, '2023-09-06 14:17:18', 1, '', ''), (5256, 468, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-09-12 16:54:43', 2064, '2023-09-06 14:17:39', 1, '', ''), (5257, 468, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:54:43', 2064, NULL, NULL, '', ''), (5258, 468, 'jobNum', '工号', 'input', '', 'string', 'RS055', '', 128, 1, 1, 99, '', '2023-09-12 16:54:43', 2064, NULL, NULL, '', ''), (5259, 468, 'staffName', '员工姓名', 'input', '', 'string', '彭渤', '', 128, 1, 1, 99, '', '2023-09-12 16:54:43', 2064, '2023-09-06 14:16:51', 1, '', ''), (5260, 468, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 16:54:43', 2064, NULL, NULL, '', ''), (5261, 468, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 16:54:43', 2064, '2023-09-06 09:08:31', 1, '', ''), (5262, 468, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:54:43', 2064, '2023-09-06 09:08:38', 1, '', ''), (5263, 468, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 16:54:43', 2064, NULL, NULL, '', ''), (5264, 469, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:58:44', 7, '2023-09-12 16:58:44', 7, '', ''), (5265, 469, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694509109654.jpg', '', 128, 1, 1, 99, '', '2023-09-12 16:58:44', 7, '2023-09-12 16:58:44', 7, '', ''), (5266, 469, 'section', '部门', 'input', '', 'string', '市政务服务非公经济局', '', 128, 1, 1, 99, '', '2023-09-12 16:58:44', 7, '2023-09-12 16:58:44', 7, '', ''), (5267, 469, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:58:44', 7, '2023-09-12 16:58:44', 7, '', ''), (5268, 469, 'jobNum', '工号', 'input', '', 'string', 'ZF02', '', 128, 1, 1, 99, '', '2023-09-12 16:58:44', 7, '2023-09-12 16:58:44', 7, '', ''), (5269, 469, 'staffName', '员工姓名', 'input', '', 'string', '方鸽', '', 128, 1, 1, 99, '', '2023-09-12 16:58:44', 7, '2023-09-12 16:58:44', 7, '', ''), (5270, 469, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 16:58:44', 7, '2023-09-12 16:58:44', 7, '', ''), (5271, 469, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-12 16:58:44', 7, '2023-09-12 16:58:44', 7, '', ''), (5272, 469, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-12 16:58:44', 7, '2023-09-12 16:58:44', 7, '', ''), (5273, 469, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 16:58:44', 7, '2023-09-12 16:58:44', 7, '', ''), (5274, 470, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:59:13', 2064, '2023-09-06 14:18:42', 1, '', ''), (5275, 470, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694509131839.png', '', 128, 1, 1, 99, '', '2023-09-12 16:59:13', 2064, '2023-09-06 14:17:18', 1, '', ''), (5276, 470, 'section', '部门', 'input', '', 'string', '市交通运输局', '', 128, 1, 1, 99, '', '2023-09-12 16:59:13', 2064, '2023-09-06 14:17:39', 1, '', ''), (5277, 470, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:59:13', 2064, NULL, NULL, '', ''), (5278, 470, 'jobNum', '工号', 'input', '', 'string', 'sjt002', '', 128, 1, 1, 99, '', '2023-09-12 16:59:13', 2064, NULL, NULL, '', ''), (5279, 470, 'staffName', '员工姓名', 'input', '', 'string', '黄兆慧	', '', 128, 1, 1, 99, '', '2023-09-12 16:59:13', 2064, '2023-09-06 14:16:51', 1, '', ''), (5280, 470, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 16:59:13', 2064, NULL, NULL, '', ''), (5281, 470, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 16:59:13', 2064, '2023-09-06 09:08:31', 1, '', ''), (5282, 470, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 16:59:13', 2064, '2023-09-06 09:08:38', 1, '', ''), (5283, 470, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 16:59:13', 2064, NULL, NULL, '', ''), (5284, 471, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:00:27', 2064, '2023-09-06 14:18:42', 1, '', ''), (5285, 471, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694509210440.png', '', 128, 1, 1, 99, '', '2023-09-12 17:00:27', 2064, '2023-09-06 14:17:18', 1, '', ''), (5286, 471, 'section', '部门', 'input', '', 'string', '市交通运输局', '', 128, 1, 1, 99, '', '2023-09-12 17:00:27', 2064, '2023-09-06 14:17:39', 1, '', ''), (5287, 471, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:00:27', 2064, NULL, NULL, '', ''), (5288, 471, 'jobNum', '工号', 'input', '', 'string', 'sjt0019', '', 128, 1, 1, 99, '', '2023-09-12 17:00:27', 2064, NULL, NULL, '', ''), (5289, 471, 'staffName', '员工姓名', 'input', '', 'string', '孙薇', '', 128, 1, 1, 99, '', '2023-09-12 17:00:27', 2064, '2023-09-06 14:16:51', 1, '', ''), (5290, 471, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:00:27', 2064, NULL, NULL, '', ''), (5291, 471, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 17:00:27', 2064, '2023-09-06 09:08:31', 1, '', ''), (5292, 471, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:00:27', 2064, '2023-09-06 09:08:38', 1, '', ''), (5293, 471, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 17:00:27', 2064, NULL, NULL, '', ''), (5294, 472, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:02:42', 2064, '2023-09-06 14:18:42', 1, '', ''), (5295, 472, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694509344784.png', '', 128, 1, 1, 99, '', '2023-09-12 17:02:42', 2064, '2023-09-06 14:17:18', 1, '', ''), (5296, 472, 'section', '部门', 'input', '', 'string', '市交通运输局', '', 128, 1, 1, 99, '', '2023-09-12 17:02:42', 2064, '2023-09-06 14:17:39', 1, '', ''), (5297, 472, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:02:42', 2064, NULL, NULL, '', ''), (5298, 472, 'jobNum', '工号', 'input', '', 'string', 'sjt015', '', 128, 1, 1, 99, '', '2023-09-12 17:02:42', 2064, NULL, NULL, '', ''), (5299, 472, 'staffName', '员工姓名', 'input', '', 'string', '罗敬鸿	', '', 128, 1, 1, 99, '', '2023-09-12 17:02:42', 2064, '2023-09-06 14:16:51', 1, '', ''), (5300, 472, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:02:42', 2064, NULL, NULL, '', ''), (5301, 472, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 17:02:42', 2064, '2023-09-06 09:08:31', 1, '', ''), (5302, 472, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:02:42', 2064, '2023-09-06 09:08:38', 1, '', ''), (5303, 472, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 17:02:42', 2064, NULL, NULL, '', ''), (5304, 473, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:10:46', 2064, '2023-09-06 14:18:42', 1, '', ''), (5305, 473, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694509792591.png', '', 128, 1, 1, 99, '', '2023-09-12 17:10:46', 2064, '2023-09-06 14:17:18', 1, '', ''), (5306, 473, 'section', '部门', 'input', '', 'string', '市自然资源和规划局', '', 128, 1, 1, 99, '', '2023-09-12 17:10:46', 2064, '2023-09-06 14:17:39', 1, '', ''), (5307, 473, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:10:46', 2064, NULL, NULL, '', ''), (5308, 473, 'jobNum', '工号', 'input', '', 'string', 'BDC054', '', 128, 1, 1, 99, '', '2023-09-12 17:10:46', 2064, NULL, NULL, '', ''), (5309, 473, 'staffName', '员工姓名', 'input', '', 'string', '曾茂玲', '', 128, 1, 1, 99, '', '2023-09-12 17:10:46', 2064, '2023-09-06 14:16:51', 1, '', ''), (5310, 473, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:10:46', 2064, NULL, NULL, '', ''), (5311, 473, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 17:10:46', 2064, '2023-09-06 09:08:31', 1, '', ''), (5312, 473, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:10:46', 2064, '2023-09-06 09:08:38', 1, '', ''), (5313, 473, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 17:10:46', 2064, NULL, NULL, '', ''), (5314, 474, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:15:22', 2064, '2023-09-06 14:18:42', 1, '', ''), (5315, 474, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694510063381.png', '', 128, 1, 1, 99, '', '2023-09-12 17:15:22', 2064, '2023-09-06 14:17:18', 1, '', ''), (5316, 474, 'section', '部门', 'input', '', 'string', '市自然资源和规划局', '', 128, 1, 1, 99, '', '2023-09-12 17:15:22', 2064, '2023-09-06 14:17:39', 1, '', ''), (5317, 474, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:15:22', 2064, NULL, NULL, '', ''), (5318, 474, 'jobNum', '工号', 'input', '', 'string', 'BDC059', '', 128, 1, 1, 99, '', '2023-09-12 17:15:22', 2064, NULL, NULL, '', ''), (5319, 474, 'staffName', '员工姓名', 'input', '', 'string', '涂雷佳', '', 128, 1, 1, 99, '', '2023-09-12 17:15:22', 2064, '2023-09-06 14:16:51', 1, '', ''), (5320, 474, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:15:22', 2064, NULL, NULL, '', ''), (5321, 474, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 17:15:22', 2064, '2023-09-06 09:08:31', 1, '', ''), (5322, 474, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:15:22', 2064, '2023-09-06 09:08:38', 1, '', ''), (5323, 474, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 17:15:22', 2064, NULL, NULL, '', ''), (5324, 475, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:16:12', 2064, '2023-09-06 14:18:42', 1, '', ''), (5325, 475, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694510149198.png', '', 128, 1, 1, 99, '', '2023-09-12 17:16:12', 2064, '2023-09-06 14:17:18', 1, '', ''), (5326, 475, 'section', '部门', 'input', '', 'string', '市自然资源和规划局', '', 128, 1, 1, 99, '', '2023-09-12 17:16:12', 2064, '2023-09-06 14:17:39', 1, '', ''), (5327, 475, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:16:12', 2064, NULL, NULL, '', ''), (5328, 475, 'jobNum', '工号', 'input', '', 'string', 'BDC058', '', 128, 1, 1, 99, '', '2023-09-12 17:16:12', 2064, NULL, NULL, '', ''), (5329, 475, 'staffName', '员工姓名', 'input', '', 'string', '向莉', '', 128, 1, 1, 99, '', '2023-09-12 17:16:12', 2064, '2023-09-06 14:16:51', 1, '', ''), (5330, 475, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:16:12', 2064, NULL, NULL, '', ''), (5331, 475, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 17:16:12', 2064, '2023-09-06 09:08:31', 1, '', ''), (5332, 475, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:16:12', 2064, '2023-09-06 09:08:38', 1, '', ''), (5333, 475, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 17:16:12', 2064, NULL, NULL, '', ''), (5334, 476, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:17:57', 2064, '2023-09-06 14:18:42', 1, '', ''), (5335, 476, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694510267530.jpg', '', 128, 1, 1, 99, '', '2023-09-12 17:17:57', 2064, '2023-09-06 14:17:18', 1, '', ''), (5336, 476, 'section', '部门', 'input', '', 'string', '市自然资源和规划局', '', 128, 1, 1, 99, '', '2023-09-12 17:17:57', 2064, '2023-09-06 14:17:39', 1, '', ''), (5337, 476, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:17:57', 2064, NULL, NULL, '', ''), (5338, 476, 'jobNum', '工号', 'input', '', 'string', 'BDC044	', '', 128, 1, 1, 99, '', '2023-09-12 17:17:57', 2064, NULL, NULL, '', ''), (5339, 476, 'staffName', '员工姓名', 'input', '', 'string', '夏小燕', '', 128, 1, 1, 99, '', '2023-09-12 17:17:57', 2064, '2023-09-06 14:16:51', 1, '', ''), (5340, 476, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:17:57', 2064, NULL, NULL, '', ''), (5341, 476, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 17:17:57', 2064, '2023-09-06 09:08:31', 1, '', ''), (5342, 476, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:17:57', 2064, '2023-09-06 09:08:38', 1, '', ''), (5343, 476, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 17:17:57', 2064, NULL, NULL, '', ''), (5344, 477, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:21:22', 2064, '2023-09-12 17:21:22', 2064, '', ''), (5345, 477, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694510452287.png', '', 128, 1, 1, 99, '', '2023-09-12 17:21:22', 2064, '2023-09-12 17:21:22', 2064, '', ''), (5346, 477, 'section', '部门', 'input', '', 'string', '不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-12 17:21:22', 2064, '2023-09-12 17:21:22', 2064, '', ''), (5347, 477, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:21:22', 2064, '2023-09-12 17:21:22', 2064, '', ''), (5348, 477, 'jobNum', '工号', 'input', '', 'string', 'BDC050', '', 128, 1, 1, 99, '', '2023-09-12 17:21:22', 2064, '2023-09-12 17:21:22', 2064, '', ''), (5349, 477, 'staffName', '员工姓名', 'input', '', 'string', '李英杰', '', 128, 1, 1, 99, '', '2023-09-12 17:21:22', 2064, '2023-09-12 17:21:22', 2064, '', ''), (5350, 477, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:21:22', 2064, '2023-09-12 17:21:22', 2064, '', ''), (5351, 477, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 17:21:22', 2064, '2023-09-12 17:21:22', 2064, '', ''), (5352, 477, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:21:22', 2064, '2023-09-12 17:21:22', 2064, '', ''), (5353, 477, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 17:21:22', 2064, '2023-09-12 17:21:22', 2064, '', ''), (5354, 478, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:27:14', 2064, '2023-09-12 17:27:14', 2064, '', ''), (5355, 478, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694510832362.png', '', 128, 1, 1, 99, '', '2023-09-12 17:27:14', 2064, '2023-09-12 17:27:14', 2064, '', ''), (5356, 478, 'section', '部门', 'input', '', 'string', '市自然资源和规划局', '', 128, 1, 1, 99, '', '2023-09-12 17:27:14', 2064, '2023-09-12 17:27:14', 2064, '', ''), (5357, 478, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:27:14', 2064, '2023-09-12 17:27:14', 2064, '', ''), (5358, 478, 'jobNum', '工号', 'input', '', 'string', 'BDC055	', '', 128, 1, 1, 99, '', '2023-09-12 17:27:14', 2064, '2023-09-12 17:27:14', 2064, '', ''), (5359, 478, 'staffName', '员工姓名', 'input', '', 'string', '黎明', '', 128, 1, 1, 99, '', '2023-09-12 17:27:14', 2064, '2023-09-12 17:27:14', 2064, '', ''), (5360, 478, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:27:14', 2064, '2023-09-12 17:27:14', 2064, '', ''), (5361, 478, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 17:27:14', 2064, '2023-09-12 17:27:14', 2064, '', ''), (5362, 478, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:27:14', 2064, '2023-09-12 17:27:14', 2064, '', ''), (5363, 478, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 17:27:14', 2064, '2023-09-12 17:27:14', 2064, '', ''), (5364, 479, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:29:19', 2064, '2023-09-06 14:18:42', 1, '', ''), (5365, 479, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694510944200.png', '', 128, 1, 1, 99, '', '2023-09-12 17:29:19', 2064, '2023-09-06 14:17:18', 1, '', ''), (5366, 479, 'section', '部门', 'input', '', 'string', '不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-12 17:29:19', 2064, '2023-09-06 14:17:39', 1, '', ''), (5367, 479, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:29:19', 2064, NULL, NULL, '', ''), (5368, 479, 'jobNum', '工号', 'input', '', 'string', 'BDC060', '', 128, 1, 1, 99, '', '2023-09-12 17:29:19', 2064, NULL, NULL, '', ''), (5369, 479, 'staffName', '员工姓名', 'input', '', 'string', '唐埠堎', '', 128, 1, 1, 99, '', '2023-09-12 17:29:19', 2064, '2023-09-06 14:16:51', 1, '', ''), (5370, 479, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:29:19', 2064, NULL, NULL, '', ''), (5371, 479, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 17:29:19', 2064, '2023-09-06 09:08:31', 1, '', ''), (5372, 479, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:29:19', 2064, '2023-09-06 09:08:38', 1, '', ''), (5373, 479, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 17:29:19', 2064, NULL, NULL, '', ''), (5374, 480, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:30:38', 2064, '2023-09-06 14:18:42', 1, '', ''), (5375, 480, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694510997655.png', '', 128, 1, 1, 99, '', '2023-09-12 17:30:38', 2064, '2023-09-06 14:17:18', 1, '', ''), (5376, 480, 'section', '部门', 'input', '', 'string', '不动产登记中心	', '', 128, 1, 1, 99, '', '2023-09-12 17:30:38', 2064, '2023-09-06 14:17:39', 1, '', ''), (5377, 480, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:30:38', 2064, NULL, NULL, '', ''), (5378, 480, 'jobNum', '工号', 'input', '', 'string', 'BDC048', '', 128, 1, 1, 99, '', '2023-09-12 17:30:38', 2064, NULL, NULL, '', ''), (5379, 480, 'staffName', '员工姓名', 'input', '', 'string', '曾莎', '', 128, 1, 1, 99, '', '2023-09-12 17:30:38', 2064, '2023-09-06 14:16:51', 1, '', ''), (5380, 480, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:30:38', 2064, NULL, NULL, '', ''), (5381, 480, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 17:30:38', 2064, '2023-09-06 09:08:31', 1, '', ''), (5382, 480, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:30:38', 2064, '2023-09-06 09:08:38', 1, '', ''), (5383, 480, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 17:30:38', 2064, NULL, NULL, '', ''), (5384, 481, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:34:05', 2064, '2023-09-06 14:18:42', 1, '', ''), (5385, 481, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694511225797.png', '', 128, 1, 1, 99, '', '2023-09-12 17:34:05', 2064, '2023-09-06 14:17:18', 1, '', ''), (5386, 481, 'section', '部门', 'input', '', 'string', '市公安局', '', 128, 1, 1, 99, '', '2023-09-12 17:34:05', 2064, '2023-09-06 14:17:39', 1, '', ''), (5387, 481, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:34:05', 2064, NULL, NULL, '', ''), (5388, 481, 'jobNum', '工号', 'input', '', 'string', 'JJ008', '', 128, 1, 1, 99, '', '2023-09-12 17:34:05', 2064, NULL, NULL, '', ''), (5389, 481, 'staffName', '员工姓名', 'input', '', 'string', '雷雨', '', 128, 1, 1, 99, '', '2023-09-12 17:34:05', 2064, '2023-09-06 14:16:51', 1, '', ''), (5390, 481, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:34:05', 2064, NULL, NULL, '', ''), (5391, 481, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 17:34:05', 2064, '2023-09-06 09:08:31', 1, '', ''), (5392, 481, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:34:05', 2064, '2023-09-06 09:08:38', 1, '', ''), (5393, 481, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 17:34:05', 2064, NULL, NULL, '', ''), (5394, 482, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:35:12', 7, '2023-09-12 17:35:12', 7, '', ''), (5395, 482, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694511308251.jpg', '', 128, 1, 1, 99, '', '2023-09-12 17:35:12', 7, '2023-09-12 17:35:12', 7, '', ''), (5396, 482, 'section', '部门', 'input', '', 'string', '市民政局', '', 128, 1, 1, 99, '', '2023-09-12 17:35:12', 7, '2023-09-12 17:35:12', 7, '', ''), (5397, 482, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:35:12', 7, '2023-09-12 17:35:12', 7, '', ''), (5398, 482, 'jobNum', '工号', 'input', '', 'string', 'MZ001', '', 128, 1, 1, 99, '', '2023-09-12 17:35:12', 7, '2023-09-12 17:35:12', 7, '', ''), (5399, 482, 'staffName', '员工姓名', 'input', '', 'string', '杨洋', '', 128, 1, 1, 99, '', '2023-09-12 17:35:12', 7, '2023-09-12 17:35:12', 7, '', ''), (5400, 482, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:35:12', 7, '2023-09-12 17:35:12', 7, '', ''), (5401, 482, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-12 17:35:12', 7, '2023-09-12 17:35:12', 7, '', ''), (5402, 482, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-12 17:35:12', 7, '2023-09-12 17:35:12', 7, '', ''), (5403, 482, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:35:12', 7, '2023-09-12 17:35:12', 7, '', ''), (5404, 483, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:39:18', 7, '2023-09-06 14:18:42', 1, '', ''), (5405, 483, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694511506009.png', '', 128, 1, 1, 99, '', '2023-09-12 17:39:18', 7, '2023-09-06 14:17:18', 1, '', ''), (5406, 483, 'section', '部门', 'input', '', 'string', '市卫生健康委', '', 128, 1, 1, 99, '', '2023-09-12 17:39:18', 7, '2023-09-06 14:17:39', 1, '', ''), (5407, 483, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:39:18', 7, NULL, NULL, '', ''), (5408, 483, 'jobNum', '工号', 'input', '', 'string', 'WJ01', '', 128, 1, 1, 99, '', '2023-09-12 17:39:18', 7, NULL, NULL, '', ''), (5409, 483, 'staffName', '员工姓名', 'input', '', 'string', '吴霞', '', 128, 1, 1, 99, '', '2023-09-12 17:39:18', 7, '2023-09-06 14:16:51', 1, '', ''), (5410, 483, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:39:18', 7, NULL, NULL, '', ''), (5411, 483, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-12 17:39:18', 7, '2023-09-06 09:08:31', 1, '', ''), (5412, 483, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-12 17:39:18', 7, '2023-09-06 09:08:38', 1, '', ''), (5413, 483, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:39:18', 7, NULL, NULL, '', ''), (5414, 484, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-19 14:17:58', 2064, '2023-10-19 14:17:58', 2064, '', ''), (5415, 484, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694511588259.png', '', 128, 1, 1, 99, '', '2023-10-19 14:17:58', 2064, '2023-10-19 14:17:58', 2064, '', ''), (5416, 484, 'section', '部门', 'input', '', 'string', '市公安局', '', 128, 1, 1, 99, '', '2023-10-19 14:17:58', 2064, '2023-10-19 14:17:58', 2064, '', ''), (5417, 484, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-19 14:17:58', 2064, '2023-10-19 14:17:58', 2064, '', ''), (5418, 484, 'jobNum', '工号', 'input', '', 'string', 'JJ003', '', 128, 1, 1, 99, '', '2023-10-19 14:17:58', 2064, '2023-10-19 14:17:58', 2064, '', ''), (5419, 484, 'staffName', '员工姓名', 'input', '', 'string', '彭娜', '', 128, 1, 1, 99, '', '2023-10-19 14:17:58', 2064, '2023-10-19 14:17:58', 2064, '', ''), (5420, 484, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-10-19 14:17:58', 2064, '2023-10-19 14:17:58', 2064, '', ''), (5421, 484, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-10-19 14:17:58', 2064, '2023-10-19 14:17:58', 2064, '', ''), (5422, 484, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-19 14:17:58', 2064, '2023-10-19 14:17:58', 2064, '', ''), (5423, 484, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-10-19 14:17:58', 2064, '2023-10-19 14:17:58', 2064, '', ''), (5424, 485, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:43:00', 2064, '2023-09-06 14:18:42', 1, '', ''), (5425, 485, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694511762285.png', '', 128, 1, 1, 99, '', '2023-09-12 17:43:00', 2064, '2023-09-06 14:17:18', 1, '', ''), (5426, 485, 'section', '部门', 'input', '', 'string', '市公安局', '', 128, 1, 1, 99, '', '2023-09-12 17:43:00', 2064, '2023-09-06 14:17:39', 1, '', ''), (5427, 485, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:43:00', 2064, NULL, NULL, '', ''), (5428, 485, 'jobNum', '工号', 'input', '', 'string', 'JJ011	', '', 128, 1, 1, 99, '', '2023-09-12 17:43:00', 2064, NULL, NULL, '', ''), (5429, 485, 'staffName', '员工姓名', 'input', '', 'string', '向树明', '', 128, 1, 1, 99, '', '2023-09-12 17:43:00', 2064, '2023-09-06 14:16:51', 1, '', ''), (5430, 485, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:43:00', 2064, NULL, NULL, '', ''), (5431, 485, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 17:43:00', 2064, '2023-09-06 09:08:31', 1, '', ''), (5432, 485, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:43:00', 2064, '2023-09-06 09:08:38', 1, '', ''), (5433, 485, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 17:43:00', 2064, NULL, NULL, '', ''), (5434, 486, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:43:38', 7, '2023-09-06 14:18:42', 1, '', ''), (5435, 486, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694511768917.jpg', '', 128, 1, 1, 99, '', '2023-09-12 17:43:38', 7, '2023-09-06 14:17:18', 1, '', ''), (5436, 486, 'section', '部门', 'input', '', 'string', '市市场监管局', '', 128, 1, 1, 99, '', '2023-09-12 17:43:38', 7, '2023-09-06 14:17:39', 1, '', ''), (5437, 486, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:43:38', 7, NULL, NULL, '', ''), (5438, 486, 'jobNum', '工号', 'input', '', 'string', 'scj014', '', 128, 1, 1, 99, '', '2023-09-12 17:43:38', 7, NULL, NULL, '', ''), (5439, 486, 'staffName', '员工姓名', 'input', '', 'string', '王潇', '', 128, 1, 1, 99, '', '2023-09-12 17:43:38', 7, '2023-09-06 14:16:51', 1, '', ''), (5440, 486, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:43:38', 7, NULL, NULL, '', ''), (5441, 486, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-12 17:43:38', 7, '2023-09-06 09:08:31', 1, '', ''), (5442, 486, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-12 17:43:38', 7, '2023-09-06 09:08:38', 1, '', ''), (5443, 486, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:43:38', 7, NULL, NULL, '', ''), (5444, 487, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:44:59', 7, '2023-09-06 14:18:42', 1, '', ''), (5445, 487, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694511854806.jpg', '', 128, 1, 1, 99, '', '2023-09-12 17:44:59', 7, '2023-09-06 14:17:18', 1, '', ''), (5446, 487, 'section', '部门', 'input', '', 'string', '市市场监管局', '', 128, 1, 1, 99, '', '2023-09-12 17:44:59', 7, '2023-09-06 14:17:39', 1, '', ''), (5447, 487, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:44:59', 7, NULL, NULL, '', ''), (5448, 487, 'jobNum', '工号', 'input', '', 'string', 'scj004', '', 128, 1, 1, 99, '', '2023-09-12 17:44:59', 7, NULL, NULL, '', ''), (5449, 487, 'staffName', '员工姓名', 'input', '', 'string', '胡宇璐', '', 128, 1, 1, 99, '', '2023-09-12 17:44:59', 7, '2023-09-06 14:16:51', 1, '', ''), (5450, 487, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:44:59', 7, NULL, NULL, '', ''), (5451, 487, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-12 17:44:59', 7, '2023-09-06 09:08:31', 1, '', ''), (5452, 487, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-12 17:44:59', 7, '2023-09-06 09:08:38', 1, '', ''), (5453, 487, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:44:59', 7, NULL, NULL, '', ''), (5454, 488, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:45:14', 2064, '2023-09-06 14:18:42', 1, '', ''), (5455, 488, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694511888849.png', '', 128, 1, 1, 99, '', '2023-09-12 17:45:14', 2064, '2023-09-06 14:17:18', 1, '', ''), (5456, 488, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-12 17:45:14', 2064, '2023-09-06 14:17:39', 1, '', ''), (5457, 488, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:45:14', 2064, NULL, NULL, '', ''), (5458, 488, 'jobNum', '工号', 'input', '', 'string', 'SW037', '', 128, 1, 1, 99, '', '2023-09-12 17:45:14', 2064, NULL, NULL, '', ''), (5459, 488, 'staffName', '员工姓名', 'input', '', 'string', '黄祖孝', '', 128, 1, 1, 99, '', '2023-09-12 17:45:14', 2064, '2023-09-06 14:16:51', 1, '', ''), (5460, 488, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:45:14', 2064, NULL, NULL, '', ''), (5461, 488, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 17:45:14', 2064, '2023-09-06 09:08:31', 1, '', ''), (5462, 488, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:45:14', 2064, '2023-09-06 09:08:38', 1, '', ''), (5463, 488, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 17:45:14', 2064, NULL, NULL, '', ''), (5464, 489, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:46:04', 7, '2023-09-06 14:18:42', 1, '', ''), (5465, 489, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694511924436.jpg', '', 128, 1, 1, 99, '', '2023-09-12 17:46:04', 7, '2023-09-06 14:17:18', 1, '', ''), (5466, 489, 'section', '部门', 'input', '', 'string', '市应急管理局', '', 128, 1, 1, 99, '', '2023-09-12 17:46:04', 7, '2023-09-06 14:17:39', 1, '', ''), (5467, 489, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:46:04', 7, NULL, NULL, '', ''), (5468, 489, 'jobNum', '工号', 'input', '', 'string', 'YJ', '', 128, 1, 1, 99, '', '2023-09-12 17:46:04', 7, NULL, NULL, '', ''), (5469, 489, 'staffName', '员工姓名', 'input', '', 'string', '杨洪', '', 128, 1, 1, 99, '', '2023-09-12 17:46:04', 7, '2023-09-06 14:16:51', 1, '', ''), (5470, 489, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:46:04', 7, NULL, NULL, '', ''), (5471, 489, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-12 17:46:04', 7, '2023-09-06 09:08:31', 1, '', ''), (5472, 489, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-12 17:46:04', 7, '2023-09-06 09:08:38', 1, '', ''), (5473, 489, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:46:04', 7, NULL, NULL, '', ''), (5474, 490, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:47:21', 7, '2023-09-06 14:18:42', 1, '', ''), (5475, 490, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694512009105.png', '', 128, 1, 1, 99, '', '2023-09-12 17:47:21', 7, '2023-09-06 14:17:18', 1, '', ''), (5476, 490, 'section', '部门', 'input', '', 'string', '市交通运输局', '', 128, 1, 1, 99, '', '2023-09-12 17:47:21', 7, '2023-09-06 14:17:39', 1, '', ''), (5477, 490, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:47:21', 7, NULL, NULL, '', ''), (5478, 490, 'jobNum', '工号', 'input', '', 'string', 'sjt002', '', 128, 1, 1, 99, '', '2023-09-12 17:47:21', 7, NULL, NULL, '', ''), (5479, 490, 'staffName', '员工姓名', 'input', '', 'string', '黄兆慧', '', 128, 1, 1, 99, '', '2023-09-12 17:47:21', 7, '2023-09-06 14:16:51', 1, '', ''), (5480, 490, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:47:21', 7, NULL, NULL, '', ''), (5481, 490, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-12 17:47:21', 7, '2023-09-06 09:08:31', 1, '', ''), (5482, 490, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-12 17:47:21', 7, '2023-09-06 09:08:38', 1, '', ''), (5483, 490, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:47:21', 7, NULL, NULL, '', ''), (5484, 491, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:48:50', 7, '2023-09-06 14:18:42', 1, '', ''), (5485, 491, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694512079837.png', '', 128, 1, 1, 99, '', '2023-09-12 17:48:50', 7, '2023-09-06 14:17:18', 1, '', ''), (5486, 491, 'section', '部门', 'input', '', 'string', '市交通运输局', '', 128, 1, 1, 99, '', '2023-09-12 17:48:50', 7, '2023-09-06 14:17:39', 1, '', ''), (5487, 491, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:48:50', 7, NULL, NULL, '', ''), (5488, 491, 'jobNum', '工号', 'input', '', 'string', 'sjt010', '', 128, 1, 1, 99, '', '2023-09-12 17:48:50', 7, NULL, NULL, '', ''), (5489, 491, 'staffName', '员工姓名', 'input', '', 'string', '刘静', '', 128, 1, 1, 99, '', '2023-09-12 17:48:50', 7, '2023-09-06 14:16:51', 1, '', ''), (5490, 491, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:48:50', 7, NULL, NULL, '', ''), (5491, 491, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-12 17:48:50', 7, '2023-09-06 09:08:31', 1, '', ''), (5492, 491, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-12 17:48:50', 7, '2023-09-06 09:08:38', 1, '', ''), (5493, 491, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:48:50', 7, NULL, NULL, '', ''), (5494, 492, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:50:04', 7, '2023-09-06 14:18:42', 1, '', ''), (5495, 492, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694512161908.png', '', 128, 1, 1, 99, '', '2023-09-12 17:50:04', 7, '2023-09-06 14:17:18', 1, '', ''), (5496, 492, 'section', '部门', 'input', '', 'string', '市交通运输局', '', 128, 1, 1, 99, '', '2023-09-12 17:50:04', 7, '2023-09-06 14:17:39', 1, '', ''), (5497, 492, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:50:04', 7, NULL, NULL, '', ''), (5498, 492, 'jobNum', '工号', 'input', '', 'string', 'sjt015', '', 128, 1, 1, 99, '', '2023-09-12 17:50:04', 7, NULL, NULL, '', ''), (5499, 492, 'staffName', '员工姓名', 'input', '', 'string', '罗敬鸿', '', 128, 1, 1, 99, '', '2023-09-12 17:50:04', 7, '2023-09-06 14:16:51', 1, '', ''), (5500, 492, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:50:04', 7, NULL, NULL, '', ''), (5501, 492, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-12 17:50:04', 7, '2023-09-06 09:08:31', 1, '', ''), (5502, 492, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-12 17:50:04', 7, '2023-09-06 09:08:38', 1, '', ''), (5503, 492, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:50:04', 7, NULL, NULL, '', ''), (5504, 493, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:52:36', 7, '2023-09-06 14:18:42', 1, '', ''), (5505, 493, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694512237240.png', '', 128, 1, 1, 99, '', '2023-09-12 17:52:36', 7, '2023-09-06 14:17:18', 1, '', ''), (5506, 493, 'section', '部门', 'input', '', 'string', '市自然资源规划局', '', 128, 1, 1, 99, '', '2023-09-12 17:52:36', 7, '2023-09-06 14:17:39', 1, '', ''), (5507, 493, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:52:36', 7, NULL, NULL, '', ''), (5508, 493, 'jobNum', '工号', 'input', '', 'string', 'BDC060', '', 128, 1, 1, 99, '', '2023-09-12 17:52:36', 7, NULL, NULL, '', ''), (5509, 493, 'staffName', '员工姓名', 'input', '', 'string', '唐埠堎', '', 128, 1, 1, 99, '', '2023-09-12 17:52:36', 7, '2023-09-06 14:16:51', 1, '', ''), (5510, 493, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:52:36', 7, NULL, NULL, '', ''), (5511, 493, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-12 17:52:36', 7, '2023-09-06 09:08:31', 1, '', ''), (5512, 493, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-12 17:52:36', 7, '2023-09-06 09:08:38', 1, '', ''), (5513, 493, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:52:36', 7, NULL, NULL, '', ''), (5514, 494, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:54:32', 7, '2023-09-12 17:54:32', 7, '', ''), (5515, 494, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694512443712.png', '', 128, 1, 1, 99, '', '2023-09-12 17:54:32', 7, '2023-09-12 17:54:32', 7, '', ''), (5516, 494, 'section', '部门', 'input', '', 'string', '市自然资源规划局', '', 128, 1, 1, 99, '', '2023-09-12 17:54:32', 7, '2023-09-12 17:54:32', 7, '', ''), (5517, 494, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:54:32', 7, '2023-09-12 17:54:32', 7, '', ''), (5518, 494, 'jobNum', '工号', 'input', '', 'string', 'BDC050', '', 128, 1, 1, 99, '', '2023-09-12 17:54:32', 7, '2023-09-12 17:54:32', 7, '', ''), (5519, 494, 'staffName', '员工姓名', 'input', '', 'string', '李英杰', '', 128, 1, 1, 99, '', '2023-09-12 17:54:32', 7, '2023-09-12 17:54:32', 7, '', ''), (5520, 494, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:54:32', 7, '2023-09-12 17:54:32', 7, '', ''), (5521, 494, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-12 17:54:32', 7, '2023-09-12 17:54:32', 7, '', ''), (5522, 494, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-12 17:54:32', 7, '2023-09-12 17:54:32', 7, '', ''), (5523, 494, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:54:32', 7, '2023-09-12 17:54:32', 7, '', ''), (5524, 495, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:55:33', 7, '2023-09-06 14:18:42', 1, '', ''), (5525, 495, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694512500668.png', '', 128, 1, 1, 99, '', '2023-09-12 17:55:33', 7, '2023-09-06 14:17:18', 1, '', ''), (5526, 495, 'section', '部门', 'input', '', 'string', '市自然资源规划局', '', 128, 1, 1, 99, '', '2023-09-12 17:55:33', 7, '2023-09-06 14:17:39', 1, '', ''), (5527, 495, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:55:33', 7, NULL, NULL, '', ''), (5528, 495, 'jobNum', '工号', 'input', '', 'string', 'BDC055', '', 128, 1, 1, 99, '', '2023-09-12 17:55:33', 7, NULL, NULL, '', ''), (5529, 495, 'staffName', '员工姓名', 'input', '', 'string', '黎明', '', 128, 1, 1, 99, '', '2023-09-12 17:55:33', 7, '2023-09-06 14:16:51', 1, '', ''), (5530, 495, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:55:33', 7, NULL, NULL, '', ''), (5531, 495, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-12 17:55:33', 7, '2023-09-06 09:08:31', 1, '', ''), (5532, 495, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-12 17:55:33', 7, '2023-09-06 09:08:38', 1, '', ''), (5533, 495, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:55:33', 7, NULL, NULL, '', ''), (5534, 496, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:56:41', 7, '2023-09-06 14:18:42', 1, '', ''), (5535, 496, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694512564118.png', '', 128, 1, 1, 99, '', '2023-09-12 17:56:41', 7, '2023-09-06 14:17:18', 1, '', ''), (5536, 496, 'section', '部门', 'input', '', 'string', '市自然资源规划局', '', 128, 1, 1, 99, '', '2023-09-12 17:56:41', 7, '2023-09-06 14:17:39', 1, '', ''), (5537, 496, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:56:41', 7, NULL, NULL, '', ''), (5538, 496, 'jobNum', '工号', 'input', '', 'string', 'BDC048', '', 128, 1, 1, 99, '', '2023-09-12 17:56:41', 7, NULL, NULL, '', ''), (5539, 496, 'staffName', '员工姓名', 'input', '', 'string', '曾莎', '', 128, 1, 1, 99, '', '2023-09-12 17:56:41', 7, '2023-09-06 14:16:51', 1, '', ''), (5540, 496, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:56:41', 7, NULL, NULL, '', ''), (5541, 496, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-12 17:56:41', 7, '2023-09-06 09:08:31', 1, '', ''), (5542, 496, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-12 17:56:41', 7, '2023-09-06 09:08:38', 1, '', ''), (5543, 496, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:56:41', 7, NULL, NULL, '', ''), (5544, 497, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:57:45', 7, '2023-09-06 14:18:42', 1, '', ''), (5545, 497, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694512627689.png', '', 128, 1, 1, 99, '', '2023-09-12 17:57:45', 7, '2023-09-06 14:17:18', 1, '', ''), (5546, 497, 'section', '部门', 'input', '', 'string', '市自然资源规划局', '', 128, 1, 1, 99, '', '2023-09-12 17:57:45', 7, '2023-09-06 14:17:39', 1, '', ''), (5547, 497, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:57:45', 7, NULL, NULL, '', ''), (5548, 497, 'jobNum', '工号', 'input', '', 'string', 'BDC058', '', 128, 1, 1, 99, '', '2023-09-12 17:57:45', 7, NULL, NULL, '', ''), (5549, 497, 'staffName', '员工姓名', 'input', '', 'string', '向莉', '', 128, 1, 1, 99, '', '2023-09-12 17:57:45', 7, '2023-09-06 14:16:51', 1, '', ''), (5550, 497, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:57:45', 7, NULL, NULL, '', ''), (5551, 497, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-12 17:57:45', 7, '2023-09-06 09:08:31', 1, '', ''), (5552, 497, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-12 17:57:45', 7, '2023-09-06 09:08:38', 1, '', ''), (5553, 497, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:57:45', 7, NULL, NULL, '', ''), (5554, 498, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:59:04', 7, '2023-09-06 14:18:42', 1, '', ''), (5555, 498, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694512701202.jpg', '', 128, 1, 1, 99, '', '2023-09-12 17:59:04', 7, '2023-09-06 14:17:18', 1, '', ''), (5556, 498, 'section', '部门', 'input', '', 'string', '市自然资源规划局', '', 128, 1, 1, 99, '', '2023-09-12 17:59:04', 7, '2023-09-06 14:17:39', 1, '', ''), (5557, 498, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 17:59:04', 7, NULL, NULL, '', ''), (5558, 498, 'jobNum', '工号', 'input', '', 'string', 'BDC044', '', 128, 1, 1, 99, '', '2023-09-12 17:59:04', 7, NULL, NULL, '', ''), (5559, 498, 'staffName', '员工姓名', 'input', '', 'string', '夏小燕', '', 128, 1, 1, 99, '', '2023-09-12 17:59:04', 7, '2023-09-06 14:16:51', 1, '', ''), (5560, 498, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:59:04', 7, NULL, NULL, '', '');
INSERT INTO `mortals_sys_app_info_field` VALUES (5561, 498, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-12 17:59:04', 7, '2023-09-06 09:08:31', 1, '', ''), (5562, 498, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-12 17:59:04', 7, '2023-09-06 09:08:38', 1, '', ''), (5563, 498, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 17:59:04', 7, NULL, NULL, '', ''), (5564, 499, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 18:02:04', 7, '2023-09-06 14:18:42', 1, '', ''), (5565, 499, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694512777546.png', '', 128, 1, 1, 99, '', '2023-09-12 18:02:04', 7, '2023-09-06 14:17:18', 1, '', ''), (5566, 499, 'section', '部门', 'input', '', 'string', '市自然资源规划局', '', 128, 1, 1, 99, '', '2023-09-12 18:02:04', 7, '2023-09-06 14:17:39', 1, '', ''), (5567, 499, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 18:02:04', 7, NULL, NULL, '', ''), (5568, 499, 'jobNum', '工号', 'input', '', 'string', 'BDC049', '', 128, 1, 1, 99, '', '2023-09-12 18:02:04', 7, NULL, NULL, '', ''), (5569, 499, 'staffName', '员工姓名', 'input', '', 'string', '陈蓉萍', '', 128, 1, 1, 99, '', '2023-09-12 18:02:04', 7, '2023-09-06 14:16:51', 1, '', ''), (5570, 499, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 18:02:04', 7, NULL, NULL, '', ''), (5571, 499, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-12 18:02:04', 7, '2023-09-06 09:08:31', 1, '', ''), (5572, 499, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-12 18:02:04', 7, '2023-09-06 09:08:38', 1, '', ''), (5573, 499, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 18:02:04', 7, NULL, NULL, '', ''), (5574, 500, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 18:04:12', 2064, '2023-09-06 14:18:42', 1, '', ''), (5575, 500, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694513040308.jpg', '', 128, 1, 1, 99, '', '2023-09-12 18:04:12', 2064, '2023-09-06 14:17:18', 1, '', ''), (5576, 500, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-12 18:04:12', 2064, '2023-09-06 14:17:39', 1, '', ''), (5577, 500, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 18:04:12', 2064, NULL, NULL, '', ''), (5578, 500, 'jobNum', '工号', 'input', '', 'string', 'SW041', '', 128, 1, 1, 99, '', '2023-09-12 18:04:12', 2064, NULL, NULL, '', ''), (5579, 500, 'staffName', '员工姓名', 'input', '', 'string', '张珏菁', '', 128, 1, 1, 99, '', '2023-09-12 18:04:12', 2064, '2023-09-06 14:16:51', 1, '', ''), (5580, 500, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 18:04:12', 2064, NULL, NULL, '', ''), (5581, 500, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 18:04:12', 2064, '2023-09-06 09:08:31', 1, '', ''), (5582, 500, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 18:04:12', 2064, '2023-09-06 09:08:38', 1, '', ''), (5583, 500, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 18:04:12', 2064, NULL, NULL, '', ''), (5584, 501, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 18:05:34', 2064, '2023-09-06 14:18:42', 1, '', ''), (5585, 501, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694513114845.png', '', 128, 1, 1, 99, '', '2023-09-12 18:05:34', 2064, '2023-09-06 14:17:18', 1, '', ''), (5586, 501, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-12 18:05:34', 2064, '2023-09-06 14:17:39', 1, '', ''), (5587, 501, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 18:05:34', 2064, NULL, NULL, '', ''), (5588, 501, 'jobNum', '工号', 'input', '', 'string', 'SW036', '', 128, 1, 1, 99, '', '2023-09-12 18:05:34', 2064, NULL, NULL, '', ''), (5589, 501, 'staffName', '员工姓名', 'input', '', 'string', '郑会文', '', 128, 1, 1, 99, '', '2023-09-12 18:05:34', 2064, '2023-09-06 14:16:51', 1, '', ''), (5590, 501, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 18:05:34', 2064, NULL, NULL, '', ''), (5591, 501, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 18:05:34', 2064, '2023-09-06 09:08:31', 1, '', ''), (5592, 501, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 18:05:34', 2064, '2023-09-06 09:08:38', 1, '', ''), (5593, 501, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 18:05:34', 2064, NULL, NULL, '', ''), (5594, 502, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 18:07:13', 2064, '2023-09-06 14:18:42', 1, '', ''), (5595, 502, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694513197841.jpeg', '', 128, 1, 1, 99, '', '2023-09-12 18:07:13', 2064, '2023-09-06 14:17:18', 1, '', ''), (5596, 502, 'section', '部门', 'input', '', 'string', '叙州区住房保障中心', '', 128, 1, 1, 99, '', '2023-09-12 18:07:13', 2064, '2023-09-06 14:17:39', 1, '', ''), (5597, 502, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 18:07:13', 2064, NULL, NULL, '', ''), (5598, 502, 'jobNum', '工号', 'input', '', 'string', 'ZJ003', '', 128, 1, 1, 99, '', '2023-09-12 18:07:13', 2064, NULL, NULL, '', ''), (5599, 502, 'staffName', '员工姓名', 'input', '', 'string', '曾艳', '', 128, 1, 1, 99, '', '2023-09-12 18:07:13', 2064, '2023-09-06 14:16:51', 1, '', ''), (5600, 502, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-12 18:07:13', 2064, NULL, NULL, '', ''), (5601, 502, 'year', '年度', 'year', '', 'string', '2022', '', 128, 0, 1, 99, '', '2023-09-12 18:07:13', 2064, '2023-09-06 09:08:31', 1, '', ''), (5602, 502, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-12 18:07:13', 2064, '2023-09-06 09:08:38', 1, '', ''), (5603, 502, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-12 18:07:13', 2064, NULL, NULL, '', ''), (5604, 503, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:30:53', 2064, '2023-09-06 14:18:42', 1, '', ''), (5605, 503, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694568635271.jpg', '', 128, 1, 1, 99, '', '2023-09-13 09:30:53', 2064, '2023-09-06 14:17:18', 1, '', ''), (5606, 503, 'section', '部门', 'input', '', 'string', '市人防办	', '', 128, 1, 1, 99, '', '2023-09-13 09:30:53', 2064, '2023-09-06 14:17:39', 1, '', ''), (5607, 503, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:30:53', 2064, NULL, NULL, '', ''), (5608, 503, 'jobNum', '工号', 'input', '', 'string', 'rf001', '', 128, 1, 1, 99, '', '2023-09-13 09:30:53', 2064, NULL, NULL, '', ''), (5609, 503, 'staffName', '员工姓名', 'input', '', 'string', '熊思衡', '', 128, 1, 1, 99, '', '2023-09-13 09:30:53', 2064, '2023-09-06 14:16:51', 1, '', ''), (5610, 503, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:30:53', 2064, NULL, NULL, '', ''), (5611, 503, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 09:30:53', 2064, '2023-09-06 09:08:31', 1, '', ''), (5612, 503, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 09:30:53', 2064, '2023-09-06 09:08:38', 1, '', ''), (5613, 503, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:30:53', 2064, NULL, NULL, '', ''), (5614, 504, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:32:47', 2064, '2023-09-06 14:18:42', 1, '', ''), (5615, 504, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694568739436.jpg', '', 128, 1, 1, 99, '', '2023-09-13 09:32:47', 2064, '2023-09-06 14:17:18', 1, '', ''), (5616, 504, 'section', '部门', 'input', '', 'string', '市医保局', '', 128, 1, 1, 99, '', '2023-09-13 09:32:47', 2064, '2023-09-06 14:17:39', 1, '', ''), (5617, 504, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:32:47', 2064, NULL, NULL, '', ''), (5618, 504, 'jobNum', '工号', 'input', '', 'string', 'YB006', '', 128, 1, 1, 99, '', '2023-09-13 09:32:47', 2064, NULL, NULL, '', ''), (5619, 504, 'staffName', '员工姓名', 'input', '', 'string', '王先萍', '', 128, 1, 1, 99, '', '2023-09-13 09:32:47', 2064, '2023-09-06 14:16:51', 1, '', ''), (5620, 504, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:32:47', 2064, NULL, NULL, '', ''), (5621, 504, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 09:32:47', 2064, '2023-09-06 09:08:31', 1, '', ''), (5622, 504, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 09:32:47', 2064, '2023-09-06 09:08:38', 1, '', ''), (5623, 504, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:32:47', 2064, NULL, NULL, '', ''), (5624, 505, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:35:27', 2064, '2023-09-06 14:18:42', 1, '', ''), (5625, 505, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694568905538.jpg', '', 128, 1, 1, 99, '', '2023-09-13 09:35:27', 2064, '2023-09-06 14:17:18', 1, '', ''), (5626, 505, 'section', '部门', 'input', '', 'string', '市民政局', '', 128, 1, 1, 99, '', '2023-09-13 09:35:27', 2064, '2023-09-06 14:17:39', 1, '', ''), (5627, 505, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:35:27', 2064, NULL, NULL, '', ''), (5628, 505, 'jobNum', '工号', 'input', '', 'string', 'MZ0002', '', 128, 1, 1, 99, '', '2023-09-13 09:35:27', 2064, NULL, NULL, '', ''), (5629, 505, 'staffName', '员工姓名', 'input', '', 'string', '何薇', '', 128, 1, 1, 99, '', '2023-09-13 09:35:27', 2064, '2023-09-06 14:16:51', 1, '', ''), (5630, 505, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:35:27', 2064, NULL, NULL, '', ''), (5631, 505, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 09:35:27', 2064, '2023-09-06 09:08:31', 1, '', ''), (5632, 505, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 09:35:27', 2064, '2023-09-06 09:08:38', 1, '', ''), (5633, 505, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:35:27', 2064, NULL, NULL, '', ''), (5634, 506, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:37:06', 2064, '2023-09-06 14:18:42', 1, '', ''), (5635, 506, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694568999404.jpg', '', 128, 1, 1, 99, '', '2023-09-13 09:37:06', 2064, '2023-09-06 14:17:18', 1, '', ''), (5636, 506, 'section', '部门', 'input', '', 'string', '市医保局', '', 128, 1, 1, 99, '', '2023-09-13 09:37:06', 2064, '2023-09-06 14:17:39', 1, '', ''), (5637, 506, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:37:06', 2064, NULL, NULL, '', ''), (5638, 506, 'jobNum', '工号', 'input', '', 'string', 'YB008', '', 128, 1, 1, 99, '', '2023-09-13 09:37:06', 2064, NULL, NULL, '', ''), (5639, 506, 'staffName', '员工姓名', 'input', '', 'string', '吴龙平', '', 128, 1, 1, 99, '', '2023-09-13 09:37:06', 2064, '2023-09-06 14:16:51', 1, '', ''), (5640, 506, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:37:06', 2064, NULL, NULL, '', ''), (5641, 506, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 09:37:06', 2064, '2023-09-06 09:08:31', 1, '', ''), (5642, 506, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 09:37:06', 2064, '2023-09-06 09:08:38', 1, '', ''), (5643, 506, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:37:06', 2064, NULL, NULL, '', ''), (5644, 507, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:39:42', 2064, '2023-09-06 14:18:42', 1, '', ''), (5645, 507, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694569158330.jpg', '', 128, 1, 1, 99, '', '2023-09-13 09:39:42', 2064, '2023-09-06 14:17:18', 1, '', ''), (5646, 507, 'section', '部门', 'input', '', 'string', '中国银行', '', 128, 1, 1, 99, '', '2023-09-13 09:39:42', 2064, '2023-09-06 14:17:39', 1, '', ''), (5647, 507, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:39:42', 2064, NULL, NULL, '', ''), (5648, 507, 'jobNum', '工号', 'input', '', 'string', 'ZG07', '', 128, 1, 1, 99, '', '2023-09-13 09:39:42', 2064, NULL, NULL, '', ''), (5649, 507, 'staffName', '员工姓名', 'input', '', 'string', '谢雨秀', '', 128, 1, 1, 99, '', '2023-09-13 09:39:42', 2064, '2023-09-06 14:16:51', 1, '', ''), (5650, 507, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:39:42', 2064, NULL, NULL, '', ''), (5651, 507, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 09:39:42', 2064, '2023-09-06 09:08:31', 1, '', ''), (5652, 507, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 09:39:42', 2064, '2023-09-06 09:08:38', 1, '', ''), (5653, 507, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:39:42', 2064, NULL, NULL, '', ''), (5654, 508, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:40:59', 2064, '2023-09-06 14:18:42', 1, '', ''), (5655, 508, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694569239737.jpg', '', 128, 1, 1, 99, '', '2023-09-13 09:40:59', 2064, '2023-09-06 14:17:18', 1, '', ''), (5656, 508, 'section', '部门', 'input', '', 'string', '市医保局', '', 128, 1, 1, 99, '', '2023-09-13 09:40:59', 2064, '2023-09-06 14:17:39', 1, '', ''), (5657, 508, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:40:59', 2064, NULL, NULL, '', ''), (5658, 508, 'jobNum', '工号', 'input', '', 'string', 'YB014', '', 128, 1, 1, 99, '', '2023-09-13 09:40:59', 2064, NULL, NULL, '', ''), (5659, 508, 'staffName', '员工姓名', 'input', '', 'string', '肖欢', '', 128, 1, 1, 99, '', '2023-09-13 09:40:59', 2064, '2023-09-06 14:16:51', 1, '', ''), (5660, 508, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:40:59', 2064, NULL, NULL, '', ''), (5661, 508, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 09:40:59', 2064, '2023-09-06 09:08:31', 1, '', ''), (5662, 508, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 09:40:59', 2064, '2023-09-06 09:08:38', 1, '', ''), (5663, 508, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:40:59', 2064, NULL, NULL, '', ''), (5664, 509, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:42:59', 2064, '2023-09-06 14:18:42', 1, '', ''), (5665, 509, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694569347961.jpg', '', 128, 1, 1, 99, '', '2023-09-13 09:42:59', 2064, '2023-09-06 14:17:18', 1, '', ''), (5666, 509, 'section', '部门', 'input', '', 'string', '市政务服务非公经济局', '', 128, 1, 1, 99, '', '2023-09-13 09:42:59', 2064, '2023-09-06 14:17:39', 1, '', ''), (5667, 509, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:42:59', 2064, NULL, NULL, '', ''), (5668, 509, 'jobNum', '工号', 'input', '', 'string', 'ZF03', '', 128, 1, 1, 99, '', '2023-09-13 09:42:59', 2064, NULL, NULL, '', ''), (5669, 509, 'staffName', '员工姓名', 'input', '', 'string', '桂淼', '', 128, 1, 1, 99, '', '2023-09-13 09:42:59', 2064, '2023-09-06 14:16:51', 1, '', ''), (5670, 509, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:42:59', 2064, NULL, NULL, '', ''), (5671, 509, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 09:42:59', 2064, '2023-09-06 09:08:31', 1, '', ''), (5672, 509, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 09:42:59', 2064, '2023-09-06 09:08:38', 1, '', ''), (5673, 509, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:42:59', 2064, NULL, NULL, '', ''), (5674, 510, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:43:58', 2064, '2023-09-06 14:18:42', 1, '', ''), (5675, 510, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694569414586.jpg', '', 128, 1, 1, 99, '', '2023-09-13 09:43:58', 2064, '2023-09-06 14:17:18', 1, '', ''), (5676, 510, 'section', '部门', 'input', '', 'string', '市医保局', '', 128, 1, 1, 99, '', '2023-09-13 09:43:58', 2064, '2023-09-06 14:17:39', 1, '', ''), (5677, 510, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:43:58', 2064, NULL, NULL, '', ''), (5678, 510, 'jobNum', '工号', 'input', '', 'string', 'YB017', '', 128, 1, 1, 99, '', '2023-09-13 09:43:58', 2064, NULL, NULL, '', ''), (5679, 510, 'staffName', '员工姓名', 'input', '', 'string', '何梦灵   ', '', 128, 1, 1, 99, '', '2023-09-13 09:43:58', 2064, '2023-09-06 14:16:51', 1, '', ''), (5680, 510, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:43:58', 2064, NULL, NULL, '', ''), (5681, 510, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 09:43:58', 2064, '2023-09-06 09:08:31', 1, '', ''), (5682, 510, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 09:43:58', 2064, '2023-09-06 09:08:38', 1, '', ''), (5683, 510, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:43:58', 2064, NULL, NULL, '', ''), (5684, 511, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:45:10', 2064, '2023-09-06 14:18:42', 1, '', ''), (5685, 511, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694569482203.jpg', '', 128, 1, 1, 99, '', '2023-09-13 09:45:10', 2064, '2023-09-06 14:17:18', 1, '', ''), (5686, 511, 'section', '部门', 'input', '', 'string', '市政务服务非公经济局', '', 128, 1, 1, 99, '', '2023-09-13 09:45:10', 2064, '2023-09-06 14:17:39', 1, '', ''), (5687, 511, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:45:10', 2064, NULL, NULL, '', ''), (5688, 511, 'jobNum', '工号', 'input', '', 'string', 'ZF06', '', 128, 1, 1, 99, '', '2023-09-13 09:45:10', 2064, NULL, NULL, '', ''), (5689, 511, 'staffName', '员工姓名', 'input', '', 'string', '王梦茜', '', 128, 1, 1, 99, '', '2023-09-13 09:45:10', 2064, '2023-09-06 14:16:51', 1, '', ''), (5690, 511, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:45:10', 2064, NULL, NULL, '', ''), (5691, 511, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 09:45:10', 2064, '2023-09-06 09:08:31', 1, '', ''), (5692, 511, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 09:45:10', 2064, '2023-09-06 09:08:38', 1, '', ''), (5693, 511, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:45:10', 2064, NULL, NULL, '', ''), (5694, 512, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:49:12', 2064, '2023-09-06 14:18:42', 1, '', ''), (5695, 512, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694569680449.jpg', '', 128, 1, 1, 99, '', '2023-09-13 09:49:12', 2064, '2023-09-06 14:17:18', 1, '', ''), (5696, 512, 'section', '部门', 'input', '', 'string', '市医保局', '', 128, 1, 1, 99, '', '2023-09-13 09:49:12', 2064, '2023-09-06 14:17:39', 1, '', ''), (5697, 512, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:49:12', 2064, NULL, NULL, '', ''), (5698, 512, 'jobNum', '工号', 'input', '', 'string', 'YB021', '', 128, 1, 1, 99, '', '2023-09-13 09:49:12', 2064, NULL, NULL, '', ''), (5699, 512, 'staffName', '员工姓名', 'input', '', 'string', '何海容', '', 128, 1, 1, 99, '', '2023-09-13 09:49:12', 2064, '2023-09-06 14:16:51', 1, '', ''), (5700, 512, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:49:12', 2064, NULL, NULL, '', ''), (5701, 512, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 09:49:12', 2064, '2023-09-06 09:08:31', 1, '', ''), (5702, 512, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 09:49:12', 2064, '2023-09-06 09:08:38', 1, '', ''), (5703, 512, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:49:12', 2064, NULL, NULL, '', ''), (5704, 513, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:53:48', 2064, '2023-09-06 14:18:42', 1, '', ''), (5705, 513, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694569999140.jpg', '', 128, 1, 1, 99, '', '2023-09-13 09:53:48', 2064, '2023-09-06 14:17:18', 1, '', ''), (5706, 513, 'section', '部门', 'input', '', 'string', '市应急局', '', 128, 1, 1, 99, '', '2023-09-13 09:53:48', 2064, '2023-09-06 14:17:39', 1, '', ''), (5707, 513, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:53:48', 2064, NULL, NULL, '', ''), (5708, 513, 'jobNum', '工号', 'input', '', 'string', 'YJ01', '', 128, 1, 1, 99, '', '2023-09-13 09:53:48', 2064, NULL, NULL, '', ''), (5709, 513, 'staffName', '员工姓名', 'input', '', 'string', '罗戎', '', 128, 1, 1, 99, '', '2023-09-13 09:53:48', 2064, '2023-09-06 14:16:51', 1, '', ''), (5710, 513, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:53:48', 2064, NULL, NULL, '', ''), (5711, 513, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 09:53:48', 2064, '2023-09-06 09:08:31', 1, '', ''), (5712, 513, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 09:53:48', 2064, '2023-09-06 09:08:38', 1, '', ''), (5713, 513, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:53:48', 2064, NULL, NULL, '', ''), (5714, 514, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:54:54', 2064, '2023-09-06 14:18:42', 1, '', ''), (5715, 514, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694570067996.jpg', '', 128, 1, 1, 99, '', '2023-09-13 09:54:54', 2064, '2023-09-06 14:17:18', 1, '', ''), (5716, 514, 'section', '部门', 'input', '', 'string', '市医保局', '', 128, 1, 1, 99, '', '2023-09-13 09:54:54', 2064, '2023-09-06 14:17:39', 1, '', ''), (5717, 514, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:54:54', 2064, NULL, NULL, '', ''), (5718, 514, 'jobNum', '工号', 'input', '', 'string', 'YB031', '', 128, 1, 1, 99, '', '2023-09-13 09:54:54', 2064, NULL, NULL, '', ''), (5719, 514, 'staffName', '员工姓名', 'input', '', 'string', '唐明', '', 128, 1, 1, 99, '', '2023-09-13 09:54:54', 2064, '2023-09-06 14:16:51', 1, '', ''), (5720, 514, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:54:54', 2064, NULL, NULL, '', ''), (5721, 514, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 09:54:54', 2064, '2023-09-06 09:08:31', 1, '', ''), (5722, 514, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 09:54:54', 2064, '2023-09-06 09:08:38', 1, '', ''), (5723, 514, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:54:54', 2064, NULL, NULL, '', ''), (5724, 515, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:56:41', 2064, '2023-09-06 14:18:42', 1, '', ''), (5725, 515, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694570180100.jpg', '', 128, 1, 1, 99, '', '2023-09-13 09:56:41', 2064, '2023-09-06 14:17:18', 1, '', ''), (5726, 515, 'section', '部门', 'input', '', 'string', '市场监管局', '', 128, 1, 1, 99, '', '2023-09-13 09:56:41', 2064, '2023-09-06 14:17:39', 1, '', ''), (5727, 515, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:56:41', 2064, NULL, NULL, '', ''), (5728, 515, 'jobNum', '工号', 'input', '', 'string', 'scj0006', '', 128, 1, 1, 99, '', '2023-09-13 09:56:41', 2064, NULL, NULL, '', ''), (5729, 515, 'staffName', '员工姓名', 'input', '', 'string', '廖宁霞', '', 128, 1, 1, 99, '', '2023-09-13 09:56:41', 2064, '2023-09-06 14:16:51', 1, '', ''), (5730, 515, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:56:41', 2064, NULL, NULL, '', ''), (5731, 515, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 09:56:41', 2064, '2023-09-06 09:08:31', 1, '', ''), (5732, 515, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 09:56:41', 2064, '2023-09-06 09:08:38', 1, '', ''), (5733, 515, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:56:41', 2064, NULL, NULL, '', ''), (5734, 516, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:58:06', 2064, '2023-09-06 14:18:42', 1, '', ''), (5735, 516, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694570265512.jpg', '', 128, 1, 1, 99, '', '2023-09-13 09:58:06', 2064, '2023-09-06 14:17:18', 1, '', ''), (5736, 516, 'section', '部门', 'input', '', 'string', '市政务服务非公经济局', '', 128, 1, 1, 99, '', '2023-09-13 09:58:06', 2064, '2023-09-06 14:17:39', 1, '', ''), (5737, 516, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 09:58:06', 2064, NULL, NULL, '', ''), (5738, 516, 'jobNum', '工号', 'input', '', 'string', 'ZF07', '', 128, 1, 1, 99, '', '2023-09-13 09:58:06', 2064, NULL, NULL, '', ''), (5739, 516, 'staffName', '员工姓名', 'input', '', 'string', '谢照玲', '', 128, 1, 1, 99, '', '2023-09-13 09:58:06', 2064, '2023-09-06 14:16:51', 1, '', ''), (5740, 516, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:58:06', 2064, NULL, NULL, '', ''), (5741, 516, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 09:58:06', 2064, '2023-09-06 09:08:31', 1, '', ''), (5742, 516, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 09:58:06', 2064, '2023-09-06 09:08:38', 1, '', ''), (5743, 516, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 09:58:06', 2064, NULL, NULL, '', ''), (5744, 517, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:04:04', 2064, '2023-09-06 14:18:42', 1, '', ''), (5745, 517, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694570618154.jpg', '', 128, 1, 1, 99, '', '2023-09-13 10:04:04', 2064, '2023-09-06 14:17:18', 1, '', ''), (5746, 517, 'section', '部门', 'input', '', 'string', '市场监管局', '', 128, 1, 1, 99, '', '2023-09-13 10:04:04', 2064, '2023-09-06 14:17:39', 1, '', ''), (5747, 517, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:04:04', 2064, NULL, NULL, '', ''), (5748, 517, 'jobNum', '工号', 'input', '', 'string', 'scj010', '', 128, 1, 1, 99, '', '2023-09-13 10:04:04', 2064, NULL, NULL, '', ''), (5749, 517, 'staffName', '员工姓名', 'input', '', 'string', '阮代容', '', 128, 1, 1, 99, '', '2023-09-13 10:04:04', 2064, '2023-09-06 14:16:51', 1, '', ''), (5750, 517, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:04:04', 2064, NULL, NULL, '', ''), (5751, 517, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:04:04', 2064, '2023-09-06 09:08:31', 1, '', ''), (5752, 517, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:04:04', 2064, '2023-09-06 09:08:38', 1, '', ''), (5753, 517, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-13 10:04:04', 2064, NULL, NULL, '', ''), (5754, 518, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:06:42', 2064, '2023-09-06 14:18:42', 1, '', ''), (5755, 518, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694570775576.jpg', '', 128, 1, 1, 99, '', '2023-09-13 10:06:42', 2064, '2023-09-06 14:17:18', 1, '', ''), (5756, 518, 'section', '部门', 'input', '', 'string', '市住建局', '', 128, 1, 1, 99, '', '2023-09-13 10:06:42', 2064, '2023-09-06 14:17:39', 1, '', ''), (5757, 518, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:06:42', 2064, NULL, NULL, '', ''), (5758, 518, 'jobNum', '工号', 'input', '', 'string', 'ZJ02', '', 128, 1, 1, 99, '', '2023-09-13 10:06:42', 2064, NULL, NULL, '', ''), (5759, 518, 'staffName', '员工姓名', 'input', '', 'string', '梁香琴', '', 128, 1, 1, 99, '', '2023-09-13 10:06:42', 2064, '2023-09-06 14:16:51', 1, '', ''), (5760, 518, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:06:42', 2064, NULL, NULL, '', ''), (5761, 518, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:06:42', 2064, '2023-09-06 09:08:31', 1, '', ''), (5762, 518, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:06:42', 2064, '2023-09-06 09:08:38', 1, '', ''), (5763, 518, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-13 10:06:42', 2064, NULL, NULL, '', ''), (5764, 519, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:09:09', 2064, '2023-09-06 14:18:42', 1, '', ''), (5765, 519, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694570917595.png', '', 128, 1, 1, 99, '', '2023-09-13 10:09:09', 2064, '2023-09-06 14:17:18', 1, '', ''), (5766, 519, 'section', '部门', 'input', '', 'string', '市交通运输局', '', 128, 1, 1, 99, '', '2023-09-13 10:09:09', 2064, '2023-09-06 14:17:39', 1, '', ''), (5767, 519, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:09:09', 2064, NULL, NULL, '', ''), (5768, 519, 'jobNum', '工号', 'input', '', 'string', 'sjt002', '', 128, 1, 1, 99, '', '2023-09-13 10:09:09', 2064, NULL, NULL, '', ''), (5769, 519, 'staffName', '员工姓名', 'input', '', 'string', '黄兆慧', '', 128, 1, 1, 99, '', '2023-09-13 10:09:09', 2064, '2023-09-06 14:16:51', 1, '', ''), (5770, 519, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:09:09', 2064, NULL, NULL, '', ''), (5771, 519, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:09:09', 2064, '2023-09-06 09:08:31', 1, '', ''), (5772, 519, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:09:09', 2064, '2023-09-06 09:08:38', 1, '', ''), (5773, 519, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:09:09', 2064, NULL, NULL, '', ''), (5774, 520, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:11:26', 2064, '2023-09-06 14:18:42', 1, '', ''), (5775, 520, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694571063131.png', '', 128, 1, 1, 99, '', '2023-09-13 10:11:26', 2064, '2023-09-06 14:17:18', 1, '', ''), (5776, 520, 'section', '部门', 'input', '', 'string', '不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-13 10:11:26', 2064, '2023-09-06 14:17:39', 1, '', ''), (5777, 520, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:11:26', 2064, NULL, NULL, '', ''), (5778, 520, 'jobNum', '工号', 'input', '', 'string', 'BDC049', '', 128, 1, 1, 99, '', '2023-09-13 10:11:26', 2064, NULL, NULL, '', ''), (5779, 520, 'staffName', '员工姓名', 'input', '', 'string', '刘俊利', '', 128, 1, 1, 99, '', '2023-09-13 10:11:26', 2064, '2023-09-06 14:16:51', 1, '', ''), (5780, 520, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:11:26', 2064, NULL, NULL, '', ''), (5781, 520, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:11:26', 2064, '2023-09-06 09:08:31', 1, '', ''), (5782, 520, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:11:26', 2064, '2023-09-06 09:08:38', 1, '', ''), (5783, 520, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-13 10:11:26', 2064, NULL, NULL, '', ''), (5784, 521, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:17:53', 7, '2023-09-13 10:17:53', 7, '', ''), (5785, 521, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694571462586.jpg', '', 128, 1, 1, 99, '', '2023-09-13 10:17:53', 7, '2023-09-13 10:17:53', 7, '', ''), (5786, 521, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-13 10:17:53', 7, '2023-09-13 10:17:53', 7, '', ''), (5787, 521, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:17:53', 7, '2023-09-13 10:17:53', 7, '', ''), (5788, 521, 'jobNum', '工号', 'input', '', 'string', 'SW047', '', 128, 1, 1, 99, '', '2023-09-13 10:17:53', 7, '2023-09-13 10:17:53', 7, '', ''), (5789, 521, 'staffName', '员工姓名', 'input', '', 'string', '钟雪倩', '', 128, 1, 1, 99, '', '2023-09-13 10:17:53', 7, '2023-09-13 10:17:53', 7, '', ''), (5790, 521, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:17:53', 7, '2023-09-13 10:17:53', 7, '', ''), (5791, 521, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:17:53', 7, '2023-09-13 10:17:53', 7, '', ''), (5792, 521, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-13 10:17:53', 7, '2023-09-13 10:17:53', 7, '', ''), (5793, 521, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:17:53', 7, '2023-09-13 10:17:53', 7, '', ''), (5794, 522, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:18:51', 7, '2023-09-06 14:18:42', 1, '', ''), (5795, 522, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694571499309.png', '', 128, 1, 1, 99, '', '2023-09-13 10:18:51', 7, '2023-09-06 14:17:18', 1, '', ''), (5796, 522, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-13 10:18:51', 7, '2023-09-06 14:17:39', 1, '', ''), (5797, 522, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:18:51', 7, NULL, NULL, '', ''), (5798, 522, 'jobNum', '工号', 'input', '', 'string', 'SW037', '', 128, 1, 1, 99, '', '2023-09-13 10:18:51', 7, NULL, NULL, '', ''), (5799, 522, 'staffName', '员工姓名', 'input', '', 'string', '黄祖孝', '', 128, 1, 1, 99, '', '2023-09-13 10:18:51', 7, '2023-09-06 14:16:51', 1, '', ''), (5800, 522, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:18:51', 7, NULL, NULL, '', ''), (5801, 522, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:18:51', 7, '2023-09-06 09:08:31', 1, '', ''), (5802, 522, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-13 10:18:51', 7, '2023-09-06 09:08:38', 1, '', ''), (5803, 522, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:18:51', 7, NULL, NULL, '', ''), (5804, 523, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:20:28', 7, '2023-09-13 10:20:28', 7, '', ''), (5805, 523, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694571563520.png', '', 128, 1, 1, 99, '', '2023-09-13 10:20:28', 7, '2023-09-13 10:20:28', 7, '', ''), (5806, 523, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-13 10:20:28', 7, '2023-09-13 10:20:28', 7, '', ''), (5807, 523, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:20:28', 7, '2023-09-13 10:20:28', 7, '', ''), (5808, 523, 'jobNum', '工号', 'input', '', 'string', 'SW040', '', 128, 1, 1, 99, '', '2023-09-13 10:20:28', 7, '2023-09-13 10:20:28', 7, '', ''), (5809, 523, 'staffName', '员工姓名', 'input', '', 'string', '郭海彬', '', 128, 1, 1, 99, '', '2023-09-13 10:20:28', 7, '2023-09-13 10:20:28', 7, '', ''), (5810, 523, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:20:28', 7, '2023-09-13 10:20:28', 7, '', ''), (5811, 523, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:20:28', 7, '2023-09-13 10:20:28', 7, '', ''), (5812, 523, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-13 10:20:28', 7, '2023-09-13 10:20:28', 7, '', ''), (5813, 523, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:20:28', 7, '2023-09-13 10:20:28', 7, '', ''), (5814, 524, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:20:48', 2064, '2023-09-06 14:18:42', 1, '', ''), (5815, 524, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694571626090.png', '', 128, 1, 1, 99, '', '2023-09-13 10:20:48', 2064, '2023-09-06 14:17:18', 1, '', ''), (5816, 524, 'section', '部门', 'input', '', 'string', '市交通运输局	', '', 128, 1, 1, 99, '', '2023-09-13 10:20:48', 2064, '2023-09-06 14:17:39', 1, '', ''), (5817, 524, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:20:48', 2064, NULL, NULL, '', ''), (5818, 524, 'jobNum', '工号', 'input', '', 'string', 'sjt008', '', 128, 1, 1, 99, '', '2023-09-13 10:20:48', 2064, NULL, NULL, '', ''), (5819, 524, 'staffName', '员工姓名', 'input', '', 'string', '刘彬', '', 128, 1, 1, 99, '', '2023-09-13 10:20:48', 2064, '2023-09-06 14:16:51', 1, '', ''), (5820, 524, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:20:48', 2064, NULL, NULL, '', ''), (5821, 524, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:20:48', 2064, '2023-09-06 09:08:31', 1, '', ''), (5822, 524, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:20:48', 2064, '2023-09-06 09:08:38', 1, '', ''), (5823, 524, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-09-13 10:20:48', 2064, NULL, NULL, '', ''), (5824, 525, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:22:09', 7, '2023-09-06 14:18:42', 1, '', ''), (5825, 525, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694571689779.png', '', 128, 1, 1, 99, '', '2023-09-13 10:22:09', 7, '2023-09-06 14:17:18', 1, '', ''), (5826, 525, 'section', '部门', 'input', '', 'string', '市公安局交警支队', '', 128, 1, 1, 99, '', '2023-09-13 10:22:09', 7, '2023-09-06 14:17:39', 1, '', ''), (5827, 525, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:22:09', 7, NULL, NULL, '', ''), (5828, 525, 'jobNum', '工号', 'input', '', 'string', 'JJ008', '', 128, 1, 1, 99, '', '2023-09-13 10:22:09', 7, NULL, NULL, '', ''), (5829, 525, 'staffName', '员工姓名', 'input', '', 'string', '雷雨', '', 128, 1, 1, 99, '', '2023-09-13 10:22:09', 7, '2023-09-06 14:16:51', 1, '', ''), (5830, 525, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:22:09', 7, NULL, NULL, '', ''), (5831, 525, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:22:09', 7, '2023-09-06 09:08:31', 1, '', ''), (5832, 525, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-13 10:22:09', 7, '2023-09-06 09:08:38', 1, '', ''), (5833, 525, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:22:09', 7, NULL, NULL, '', ''), (5834, 526, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:22:22', 2064, '2023-09-06 14:18:42', 1, '', ''), (5835, 526, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694571701200.png', '', 128, 1, 1, 99, '', '2023-09-13 10:22:22', 2064, '2023-09-06 14:17:18', 1, '', ''), (5836, 526, 'section', '部门', 'input', '', 'string', '不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-13 10:22:22', 2064, '2023-09-06 14:17:39', 1, '', ''), (5837, 526, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:22:22', 2064, NULL, NULL, '', ''), (5838, 526, 'jobNum', '工号', 'input', '', 'string', 'BDC058', '', 128, 1, 1, 99, '', '2023-09-13 10:22:22', 2064, NULL, NULL, '', ''), (5839, 526, 'staffName', '员工姓名', 'input', '', 'string', '向莉', '', 128, 1, 1, 99, '', '2023-09-13 10:22:22', 2064, '2023-09-06 14:16:51', 1, '', ''), (5840, 526, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:22:22', 2064, NULL, NULL, '', ''), (5841, 526, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:22:22', 2064, '2023-09-06 09:08:31', 1, '', ''), (5842, 526, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:22:22', 2064, '2023-09-06 09:08:38', 1, '', ''), (5843, 526, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:22:22', 2064, NULL, NULL, '', ''), (5844, 527, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:23:08', 7, '2023-09-06 14:18:42', 1, '', ''), (5845, 527, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694571754845.png', '', 128, 1, 1, 99, '', '2023-09-13 10:23:08', 7, '2023-09-06 14:17:18', 1, '', ''), (5846, 527, 'section', '部门', 'input', '', 'string', '市公安局交警支队', '', 128, 1, 1, 99, '', '2023-09-13 10:23:08', 7, '2023-09-06 14:17:39', 1, '', ''), (5847, 527, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:23:08', 7, NULL, NULL, '', ''), (5848, 527, 'jobNum', '工号', 'input', '', 'string', 'JJ015', '', 128, 1, 1, 99, '', '2023-09-13 10:23:08', 7, NULL, NULL, '', ''), (5849, 527, 'staffName', '员工姓名', 'input', '', 'string', '彭杰', '', 128, 1, 1, 99, '', '2023-09-13 10:23:08', 7, '2023-09-06 14:16:51', 1, '', ''), (5850, 527, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:23:08', 7, NULL, NULL, '', ''), (5851, 527, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:23:08', 7, '2023-09-06 09:08:31', 1, '', ''), (5852, 527, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-13 10:23:08', 7, '2023-09-06 09:08:38', 1, '', ''), (5853, 527, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:23:08', 7, NULL, NULL, '', ''), (5854, 528, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:24:27', 7, '2023-09-13 10:24:27', 7, '', ''), (5855, 528, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694571812354.png', '', 128, 1, 1, 99, '', '2023-09-13 10:24:27', 7, '2023-09-13 10:24:27', 7, '', ''), (5856, 528, 'section', '部门', 'input', '', 'string', '市公安局交警支队', '', 128, 1, 1, 99, '', '2023-09-13 10:24:27', 7, '2023-09-13 10:24:27', 7, '', ''), (5857, 528, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:24:27', 7, '2023-09-13 10:24:27', 7, '', ''), (5858, 528, 'jobNum', '工号', 'input', '', 'string', 'JJ013', '', 128, 1, 1, 99, '', '2023-09-13 10:24:27', 7, '2023-09-13 10:24:27', 7, '', ''), (5859, 528, 'staffName', '员工姓名', 'input', '', 'string', '曾厦', '', 128, 1, 1, 99, '', '2023-09-13 10:24:27', 7, '2023-09-13 10:24:27', 7, '', ''), (5860, 528, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:24:27', 7, '2023-09-13 10:24:27', 7, '', ''), (5861, 528, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:24:27', 7, '2023-09-13 10:24:27', 7, '', ''), (5862, 528, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-13 10:24:27', 7, '2023-09-13 10:24:27', 7, '', ''), (5863, 528, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:24:27', 7, '2023-09-13 10:24:27', 7, '', ''), (5864, 529, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:24:59', 2064, '2023-09-06 14:18:42', 1, '', ''), (5865, 529, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694571888178.jpg', '', 128, 1, 1, 99, '', '2023-09-13 10:24:59', 2064, '2023-09-06 14:17:18', 1, '', ''), (5866, 529, 'section', '部门', 'input', '', 'string', '何旭东', '', 128, 1, 1, 99, '', '2023-09-13 10:24:59', 2064, '2023-09-06 14:17:39', 1, '', ''), (5867, 529, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:24:59', 2064, NULL, NULL, '', ''), (5868, 529, 'jobNum', '工号', 'input', '', 'string', 'sjt026', '', 128, 1, 1, 99, '', '2023-09-13 10:24:59', 2064, NULL, NULL, '', ''), (5869, 529, 'staffName', '员工姓名', 'input', '', 'string', '何旭东', '', 128, 1, 1, 99, '', '2023-09-13 10:24:59', 2064, '2023-09-06 14:16:51', 1, '', ''), (5870, 529, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:24:59', 2064, NULL, NULL, '', ''), (5871, 529, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:24:59', 2064, '2023-09-06 09:08:31', 1, '', ''), (5872, 529, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:24:59', 2064, '2023-09-06 09:08:38', 1, '', ''), (5873, 529, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:24:59', 2064, NULL, NULL, '', ''), (5874, 530, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:26:01', 7, '2023-09-06 14:18:42', 1, '', ''), (5875, 530, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694571914999.jpg', '', 128, 1, 1, 99, '', '2023-09-13 10:26:01', 7, '2023-09-06 14:17:18', 1, '', ''), (5876, 530, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-09-13 10:26:01', 7, '2023-09-06 14:17:39', 1, '', ''), (5877, 530, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:26:01', 7, NULL, NULL, '', ''), (5878, 530, 'jobNum', '工号', 'input', '', 'string', 'rs061', '', 128, 1, 1, 99, '', '2023-09-13 10:26:01', 7, NULL, NULL, '', ''), (5879, 530, 'staffName', '员工姓名', 'input', '', 'string', '王一帆', '', 128, 1, 1, 99, '', '2023-09-13 10:26:01', 7, '2023-09-06 14:16:51', 1, '', ''), (5880, 530, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:26:01', 7, NULL, NULL, '', ''), (5881, 530, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:26:01', 7, '2023-09-06 09:08:31', 1, '', ''), (5882, 530, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-13 10:26:01', 7, '2023-09-06 09:08:38', 1, '', ''), (5883, 530, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:26:01', 7, NULL, NULL, '', ''), (5884, 531, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:27:24', 7, '2023-09-06 14:18:42', 1, '', ''), (5885, 531, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694571995750.png', '', 128, 1, 1, 99, '', '2023-09-13 10:27:24', 7, '2023-09-06 14:17:18', 1, '', ''), (5886, 531, 'section', '部门', 'input', '', 'string', '市自然资源规划局', '', 128, 1, 1, 99, '', '2023-09-13 10:27:24', 7, '2023-09-06 14:17:39', 1, '', ''), (5887, 531, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:27:24', 7, NULL, NULL, '', ''), (5888, 531, 'jobNum', '工号', 'input', '', 'string', 'BDC059', '', 128, 1, 1, 99, '', '2023-09-13 10:27:24', 7, NULL, NULL, '', ''), (5889, 531, 'staffName', '员工姓名', 'input', '', 'string', '涂雷佳', '', 128, 1, 1, 99, '', '2023-09-13 10:27:24', 7, '2023-09-06 14:16:51', 1, '', ''), (5890, 531, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:27:24', 7, NULL, NULL, '', ''), (5891, 531, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:27:24', 7, '2023-09-06 09:08:31', 1, '', ''), (5892, 531, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-13 10:27:24', 7, '2023-09-06 09:08:38', 1, '', ''), (5893, 531, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:27:24', 7, NULL, NULL, '', ''), (5894, 532, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:28:30', 7, '2023-09-06 14:18:42', 1, '', ''), (5895, 532, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694572075771.png', '', 128, 1, 1, 99, '', '2023-09-13 10:28:30', 7, '2023-09-06 14:17:18', 1, '', ''), (5896, 532, 'section', '部门', 'input', '', 'string', '市自然资源规划局', '', 128, 1, 1, 99, '', '2023-09-13 10:28:30', 7, '2023-09-06 14:17:39', 1, '', ''), (5897, 532, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:28:30', 7, NULL, NULL, '', ''), (5898, 532, 'jobNum', '工号', 'input', '', 'string', 'BDC052', '', 128, 1, 1, 99, '', '2023-09-13 10:28:30', 7, NULL, NULL, '', ''), (5899, 532, 'staffName', '员工姓名', 'input', '', 'string', '陈国玲', '', 128, 1, 1, 99, '', '2023-09-13 10:28:30', 7, '2023-09-06 14:16:51', 1, '', ''), (5900, 532, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:28:30', 7, NULL, NULL, '', ''), (5901, 532, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:28:30', 7, '2023-09-06 09:08:31', 1, '', ''), (5902, 532, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-13 10:28:30', 7, '2023-09-06 09:08:38', 1, '', ''), (5903, 532, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:28:30', 7, NULL, NULL, '', ''), (5904, 533, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:28:40', 2064, '2023-09-06 14:18:42', 1, '', ''), (5905, 533, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694572105594.png', '', 128, 1, 1, 99, '', '2023-09-13 10:28:40', 2064, '2023-09-06 14:17:18', 1, '', ''), (5906, 533, 'section', '部门', 'input', '', 'string', '不动产登记中心	', '', 128, 1, 1, 99, '', '2023-09-13 10:28:40', 2064, '2023-09-06 14:17:39', 1, '', ''), (5907, 533, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:28:40', 2064, NULL, NULL, '', ''), (5908, 533, 'jobNum', '工号', 'input', '', 'string', 'BDC048', '', 128, 1, 1, 99, '', '2023-09-13 10:28:40', 2064, NULL, NULL, '', ''), (5909, 533, 'staffName', '员工姓名', 'input', '', 'string', '曾莎', '', 128, 1, 1, 99, '', '2023-09-13 10:28:40', 2064, '2023-09-06 14:16:51', 1, '', ''), (5910, 533, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:28:40', 2064, NULL, NULL, '', ''), (5911, 533, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:28:40', 2064, '2023-09-06 09:08:31', 1, '', ''), (5912, 533, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:28:40', 2064, '2023-09-06 09:08:38', 1, '', ''), (5913, 533, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:28:40', 2064, NULL, NULL, '', ''), (5914, 534, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:29:34', 7, '2023-09-06 14:18:42', 1, '', ''), (5915, 534, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694572131426.jpeg', '', 128, 1, 1, 99, '', '2023-09-13 10:29:34', 7, '2023-09-06 14:17:18', 1, '', ''), (5916, 534, 'section', '部门', 'input', '', 'string', '叙州区住房保障和房地产事务中心', '', 128, 1, 1, 99, '', '2023-09-13 10:29:34', 7, '2023-09-06 14:17:39', 1, '', ''), (5917, 534, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:29:34', 7, NULL, NULL, '', ''), (5918, 534, 'jobNum', '工号', 'input', '', 'string', 'ZJ001', '', 128, 1, 1, 99, '', '2023-09-13 10:29:34', 7, NULL, NULL, '', ''), (5919, 534, 'staffName', '员工姓名', 'input', '', 'string', '陈长虹', '', 128, 1, 1, 99, '', '2023-09-13 10:29:34', 7, '2023-09-06 14:16:51', 1, '', ''), (5920, 534, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:29:34', 7, NULL, NULL, '', ''), (5921, 534, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:29:34', 7, '2023-09-06 09:08:31', 1, '', ''), (5922, 534, 'month', '月度', 'month', '', 'string', '1', '', 128, 1, 1, 99, '', '2023-09-13 10:29:34', 7, '2023-09-06 09:08:38', 1, '', ''), (5923, 534, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:29:34', 7, NULL, NULL, '', ''), (5924, 535, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:30:35', 2064, '2023-09-06 14:18:42', 1, '', ''), (5925, 535, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694572202637.png', '', 128, 1, 1, 99, '', '2023-09-13 10:30:35', 2064, '2023-09-06 14:17:18', 1, '', ''), (5926, 535, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-13 10:30:35', 2064, '2023-09-06 14:17:39', 1, '', ''), (5927, 535, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:30:35', 2064, NULL, NULL, '', ''), (5928, 535, 'jobNum', '工号', 'input', '', 'string', 'SW048', '', 128, 1, 1, 99, '', '2023-09-13 10:30:35', 2064, NULL, NULL, '', ''), (5929, 535, 'staffName', '员工姓名', 'input', '', 'string', '袁红', '', 128, 1, 1, 99, '', '2023-09-13 10:30:35', 2064, '2023-09-06 14:16:51', 1, '', ''), (5930, 535, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:30:35', 2064, NULL, NULL, '', ''), (5931, 535, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:30:35', 2064, '2023-09-06 09:08:31', 1, '', ''), (5932, 535, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:30:35', 2064, '2023-09-06 09:08:38', 1, '', ''), (5933, 535, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:30:35', 2064, NULL, NULL, '', ''), (5934, 536, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:32:08', 2064, '2023-09-06 14:18:42', 1, '', ''), (5935, 536, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694572305091.png', '', 128, 1, 1, 99, '', '2023-09-13 10:32:08', 2064, '2023-09-06 14:17:18', 1, '', ''), (5936, 536, 'section', '部门', 'input', '', 'string', '不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-13 10:32:08', 2064, '2023-09-06 14:17:39', 1, '', ''), (5937, 536, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:32:08', 2064, NULL, NULL, '', ''), (5938, 536, 'jobNum', '工号', 'input', '', 'string', 'BDC056', '', 128, 1, 1, 99, '', '2023-09-13 10:32:08', 2064, NULL, NULL, '', ''), (5939, 536, 'staffName', '员工姓名', 'input', '', 'string', '康梦玲', '', 128, 1, 1, 99, '', '2023-09-13 10:32:08', 2064, '2023-09-06 14:16:51', 1, '', ''), (5940, 536, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:32:08', 2064, NULL, NULL, '', ''), (5941, 536, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:32:08', 2064, '2023-09-06 09:08:31', 1, '', ''), (5942, 536, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:32:08', 2064, '2023-09-06 09:08:38', 1, '', ''), (5943, 536, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:32:08', 2064, NULL, NULL, '', ''), (5944, 537, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:32:51', 2064, '2023-09-06 14:18:42', 1, '', ''), (5945, 537, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694572346036.jpg', '', 128, 1, 1, 99, '', '2023-09-13 10:32:51', 2064, '2023-09-06 14:17:18', 1, '', ''), (5946, 537, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-13 10:32:51', 2064, '2023-09-06 14:17:39', 1, '', ''), (5947, 537, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:32:51', 2064, NULL, NULL, '', ''), (5948, 537, 'jobNum', '工号', 'input', '', 'string', 'SW047', '', 128, 1, 1, 99, '', '2023-09-13 10:32:51', 2064, NULL, NULL, '', ''), (5949, 537, 'staffName', '员工姓名', 'input', '', 'string', '钟雪倩', '', 128, 1, 1, 99, '', '2023-09-13 10:32:51', 2064, '2023-09-06 14:16:51', 1, '', ''), (5950, 537, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:32:51', 2064, NULL, NULL, '', ''), (5951, 537, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:32:51', 2064, '2023-09-06 09:08:31', 1, '', ''), (5952, 537, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:32:51', 2064, '2023-09-06 09:08:38', 1, '', ''), (5953, 537, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:32:51', 2064, NULL, NULL, '', ''), (5954, 538, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:34:34', 2064, '2023-09-06 14:18:42', 1, '', ''), (5955, 538, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694572397249.png', '', 128, 1, 1, 99, '', '2023-09-13 10:34:34', 2064, '2023-09-06 14:17:18', 1, '', ''), (5956, 538, 'section', '部门', 'input', '', 'string', '不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-13 10:34:34', 2064, '2023-09-06 14:17:39', 1, '', ''), (5957, 538, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:34:34', 2064, NULL, NULL, '', ''), (5958, 538, 'jobNum', '工号', 'input', '', 'string', 'BDC049', '', 128, 1, 1, 99, '', '2023-09-13 10:34:34', 2064, NULL, NULL, '', ''), (5959, 538, 'staffName', '员工姓名', 'input', '', 'string', '陈蓉萍', '', 128, 1, 1, 99, '', '2023-09-13 10:34:34', 2064, '2023-09-06 14:16:51', 1, '', ''), (5960, 538, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:34:34', 2064, NULL, NULL, '', ''), (5961, 538, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:34:34', 2064, '2023-09-06 09:08:31', 1, '', ''), (5962, 538, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:34:34', 2064, '2023-09-06 09:08:38', 1, '', ''), (5963, 538, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:34:34', 2064, NULL, NULL, '', ''), (5964, 539, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:36:49', 2064, '2023-09-06 14:18:42', 1, '', ''), (5965, 539, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694572583242.jpg', '', 128, 1, 1, 99, '', '2023-09-13 10:36:49', 2064, '2023-09-06 14:17:18', 1, '', ''), (5966, 539, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-13 10:36:49', 2064, '2023-09-06 14:17:39', 1, '', ''), (5967, 539, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:36:49', 2064, NULL, NULL, '', ''), (5968, 539, 'jobNum', '工号', 'input', '', 'string', 'SW046', '', 128, 1, 1, 99, '', '2023-09-13 10:36:49', 2064, NULL, NULL, '', ''), (5969, 539, 'staffName', '员工姓名', 'input', '', 'string', '何婷玉', '', 128, 1, 1, 99, '', '2023-09-13 10:36:49', 2064, '2023-09-06 14:16:51', 1, '', ''), (5970, 539, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:36:49', 2064, NULL, NULL, '', ''), (5971, 539, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:36:49', 2064, '2023-09-06 09:08:31', 1, '', ''), (5972, 539, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:36:49', 2064, '2023-09-06 09:08:38', 1, '', ''), (5973, 539, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:36:49', 2064, NULL, NULL, '', '');
INSERT INTO `mortals_sys_app_info_field` VALUES (5974, 540, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:37:44', 2064, '2023-09-06 14:18:42', 1, '', ''), (5975, 540, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694572631989.png', '', 128, 1, 1, 99, '', '2023-09-13 10:37:44', 2064, '2023-09-06 14:17:18', 1, '', ''), (5976, 540, 'section', '部门', 'input', '', 'string', '不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-13 10:37:44', 2064, '2023-09-06 14:17:39', 1, '', ''), (5977, 540, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:37:44', 2064, NULL, NULL, '', ''), (5978, 540, 'jobNum', '工号', 'input', '', 'string', 'BDC053', '', 128, 1, 1, 99, '', '2023-09-13 10:37:44', 2064, NULL, NULL, '', ''), (5979, 540, 'staffName', '员工姓名', 'input', '', 'string', '冯菁', '', 128, 1, 1, 99, '', '2023-09-13 10:37:44', 2064, '2023-09-06 14:16:51', 1, '', ''), (5980, 540, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:37:44', 2064, NULL, NULL, '', ''), (5981, 540, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:37:44', 2064, '2023-09-06 09:08:31', 1, '', ''), (5982, 540, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:37:44', 2064, '2023-09-06 09:08:38', 1, '', ''), (5983, 540, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:37:44', 2064, NULL, NULL, '', ''), (5984, 541, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:41:22', 2064, '2023-09-06 14:18:42', 1, '', ''), (5985, 541, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694572851245.jpg', '', 128, 1, 1, 99, '', '2023-09-13 10:41:22', 2064, '2023-09-06 14:17:18', 1, '', ''), (5986, 541, 'section', '部门', 'input', '', 'string', '不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-13 10:41:22', 2064, '2023-09-06 14:17:39', 1, '', ''), (5987, 541, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:41:22', 2064, NULL, NULL, '', ''), (5988, 541, 'jobNum', '工号', 'input', '', 'string', 'BDC067', '', 128, 1, 1, 99, '', '2023-09-13 10:41:22', 2064, NULL, NULL, '', ''), (5989, 541, 'staffName', '员工姓名', 'input', '', 'string', '卓龙杰', '', 128, 1, 1, 99, '', '2023-09-13 10:41:22', 2064, '2023-09-06 14:16:51', 1, '', ''), (5990, 541, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:41:22', 2064, NULL, NULL, '', ''), (5991, 541, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:41:22', 2064, '2023-09-06 09:08:31', 1, '', ''), (5992, 541, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:41:22', 2064, '2023-09-06 09:08:38', 1, '', ''), (5993, 541, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:41:22', 2064, NULL, NULL, '', ''), (5994, 542, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:44:04', 2064, '2023-09-06 14:18:42', 1, '', ''), (5995, 542, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694573000893.png', '', 128, 1, 1, 99, '', '2023-09-13 10:44:04', 2064, '2023-09-06 14:17:18', 1, '', ''), (5996, 542, 'section', '部门', 'input', '', 'string', '不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-13 10:44:04', 2064, '2023-09-06 14:17:39', 1, '', ''), (5997, 542, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:44:04', 2064, NULL, NULL, '', ''), (5998, 542, 'jobNum', '工号', 'input', '', 'string', 'BDC060', '', 128, 1, 1, 99, '', '2023-09-13 10:44:04', 2064, NULL, NULL, '', ''), (5999, 542, 'staffName', '员工姓名', 'input', '', 'string', '唐埠棱', '', 128, 1, 1, 99, '', '2023-09-13 10:44:04', 2064, '2023-09-06 14:16:51', 1, '', ''), (6000, 542, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:44:04', 2064, NULL, NULL, '', ''), (6001, 542, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:44:04', 2064, '2023-09-06 09:08:31', 1, '', ''), (6002, 542, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:44:04', 2064, '2023-09-06 09:08:38', 1, '', ''), (6003, 542, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:44:04', 2064, NULL, NULL, '', ''), (6004, 543, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:45:08', 2064, '2023-09-06 14:18:42', 1, '', ''), (6005, 543, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694573086355.jpg', '', 128, 1, 1, 99, '', '2023-09-13 10:45:08', 2064, '2023-09-06 14:17:18', 1, '', ''), (6006, 543, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-13 10:45:08', 2064, '2023-09-06 14:17:39', 1, '', ''), (6007, 543, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:45:08', 2064, NULL, NULL, '', ''), (6008, 543, 'jobNum', '工号', 'input', '', 'string', 'SW114', '', 128, 1, 1, 99, '', '2023-09-13 10:45:08', 2064, NULL, NULL, '', ''), (6009, 543, 'staffName', '员工姓名', 'input', '', 'string', '李超仁', '', 128, 1, 1, 99, '', '2023-09-13 10:45:08', 2064, '2023-09-06 14:16:51', 1, '', ''), (6010, 543, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:45:08', 2064, NULL, NULL, '', ''), (6011, 543, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:45:08', 2064, '2023-09-06 09:08:31', 1, '', ''), (6012, 543, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:45:08', 2064, '2023-09-06 09:08:38', 1, '', ''), (6013, 543, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:45:08', 2064, NULL, NULL, '', ''), (6014, 544, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:47:12', 2064, '2023-09-06 14:18:42', 1, '', ''), (6015, 544, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694573208750.png', '', 128, 1, 1, 99, '', '2023-09-13 10:47:12', 2064, '2023-09-06 14:17:18', 1, '', ''), (6016, 544, 'section', '部门', 'input', '', 'string', '市公安局', '', 128, 1, 1, 99, '', '2023-09-13 10:47:12', 2064, '2023-09-06 14:17:39', 1, '', ''), (6017, 544, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:47:12', 2064, NULL, NULL, '', ''), (6018, 544, 'jobNum', '工号', 'input', '', 'string', 'JJ004', '', 128, 1, 1, 99, '', '2023-09-13 10:47:12', 2064, NULL, NULL, '', ''), (6019, 544, 'staffName', '员工姓名', 'input', '', 'string', '石艳', '', 128, 1, 1, 99, '', '2023-09-13 10:47:12', 2064, '2023-09-06 14:16:51', 1, '', ''), (6020, 544, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:47:12', 2064, NULL, NULL, '', ''), (6021, 544, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:47:12', 2064, '2023-09-06 09:08:31', 1, '', ''), (6022, 544, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:47:12', 2064, '2023-09-06 09:08:38', 1, '', ''), (6023, 544, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:47:12', 2064, NULL, NULL, '', ''), (6024, 545, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:47:57', 2064, '2023-09-06 14:18:42', 1, '', ''), (6025, 545, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694573249511.jpg', '', 128, 1, 1, 99, '', '2023-09-13 10:47:57', 2064, '2023-09-06 14:17:18', 1, '', ''), (6026, 545, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-13 10:47:57', 2064, '2023-09-06 14:17:39', 1, '', ''), (6027, 545, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:47:57', 2064, NULL, NULL, '', ''), (6028, 545, 'jobNum', '工号', 'input', '', 'string', 'SW059', '', 128, 1, 1, 99, '', '2023-09-13 10:47:57', 2064, NULL, NULL, '', ''), (6029, 545, 'staffName', '员工姓名', 'input', '', 'string', '梁竹馨', '', 128, 1, 1, 99, '', '2023-09-13 10:47:57', 2064, '2023-09-06 14:16:51', 1, '', ''), (6030, 545, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:47:57', 2064, NULL, NULL, '', ''), (6031, 545, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:47:57', 2064, '2023-09-06 09:08:31', 1, '', ''), (6032, 545, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:47:57', 2064, '2023-09-06 09:08:38', 1, '', ''), (6033, 545, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:47:57', 2064, NULL, NULL, '', ''), (6034, 546, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:51:38', 2064, '2023-09-06 14:18:42', 1, '', ''), (6035, 546, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694573475250.jpg', '', 128, 1, 1, 99, '', '2023-09-13 10:51:38', 2064, '2023-09-06 14:17:18', 1, '', ''), (6036, 546, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-13 10:51:38', 2064, '2023-09-06 14:17:39', 1, '', ''), (6037, 546, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:51:38', 2064, NULL, NULL, '', ''), (6038, 546, 'jobNum', '工号', 'input', '', 'string', 'SW059', '', 128, 1, 1, 99, '', '2023-09-13 10:51:38', 2064, NULL, NULL, '', ''), (6039, 546, 'staffName', '员工姓名', 'input', '', 'string', '周惠玲', '', 128, 1, 1, 99, '', '2023-09-13 10:51:38', 2064, '2023-09-06 14:16:51', 1, '', ''), (6040, 546, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:51:38', 2064, NULL, NULL, '', ''), (6041, 546, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:51:38', 2064, '2023-09-06 09:08:31', 1, '', ''), (6042, 546, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:51:38', 2064, '2023-09-06 09:08:38', 1, '', ''), (6043, 546, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:51:38', 2064, NULL, NULL, '', ''), (6044, 547, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:55:50', 2064, '2023-09-06 14:18:42', 1, '', ''), (6045, 547, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694573726076.png', '', 128, 1, 1, 99, '', '2023-09-13 10:55:50', 2064, '2023-09-06 14:17:18', 1, '', ''), (6046, 547, 'section', '部门', 'input', '', 'string', '市公安局', '', 128, 1, 1, 99, '', '2023-09-13 10:55:50', 2064, '2023-09-06 14:17:39', 1, '', ''), (6047, 547, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 10:55:50', 2064, NULL, NULL, '', ''), (6048, 547, 'jobNum', '工号', 'input', '', 'string', 'JJ007', '', 128, 1, 1, 99, '', '2023-09-13 10:55:50', 2064, NULL, NULL, '', ''), (6049, 547, 'staffName', '员工姓名', 'input', '', 'string', '王丹', '', 128, 1, 1, 99, '', '2023-09-13 10:55:50', 2064, '2023-09-06 14:16:51', 1, '', ''), (6050, 547, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:55:50', 2064, NULL, NULL, '', ''), (6051, 547, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 10:55:50', 2064, '2023-09-06 09:08:31', 1, '', ''), (6052, 547, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 10:55:50', 2064, '2023-09-06 09:08:38', 1, '', ''), (6053, 547, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 10:55:50', 2064, NULL, NULL, '', ''), (6054, 548, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 13:56:10', 2064, '2023-09-06 14:18:42', 1, '', ''), (6055, 548, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694584547749.png', '', 128, 1, 1, 99, '', '2023-09-13 13:56:10', 2064, '2023-09-06 14:17:18', 1, '', ''), (6056, 548, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-13 13:56:10', 2064, '2023-09-06 14:17:39', 1, '', ''), (6057, 548, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 13:56:10', 2064, NULL, NULL, '', ''), (6058, 548, 'jobNum', '工号', 'input', '', 'string', 'SW058', '', 128, 1, 1, 99, '', '2023-09-13 13:56:10', 2064, NULL, NULL, '', ''), (6059, 548, 'staffName', '员工姓名', 'input', '', 'string', '舒兴伟', '', 128, 1, 1, 99, '', '2023-09-13 13:56:10', 2064, '2023-09-06 14:16:51', 1, '', ''), (6060, 548, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 13:56:10', 2064, NULL, NULL, '', ''), (6061, 548, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 13:56:10', 2064, '2023-09-06 09:08:31', 1, '', ''), (6062, 548, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 13:56:10', 2064, '2023-09-06 09:08:38', 1, '', ''), (6063, 548, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 13:56:10', 2064, NULL, NULL, '', ''), (6064, 549, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 13:57:13', 2064, '2023-09-06 14:18:42', 1, '', ''), (6065, 549, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694584607185.png', '', 128, 1, 1, 99, '', '2023-09-13 13:57:13', 2064, '2023-09-06 14:17:18', 1, '', ''), (6066, 549, 'section', '部门', 'input', '', 'string', '市公安局', '', 128, 1, 1, 99, '', '2023-09-13 13:57:13', 2064, '2023-09-06 14:17:39', 1, '', ''), (6067, 549, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 13:57:13', 2064, NULL, NULL, '', ''), (6068, 549, 'jobNum', '工号', 'input', '', 'string', 'JJ014', '', 128, 1, 1, 99, '', '2023-09-13 13:57:13', 2064, NULL, NULL, '', ''), (6069, 549, 'staffName', '员工姓名', 'input', '', 'string', '何肃桃', '', 128, 1, 1, 99, '', '2023-09-13 13:57:13', 2064, '2023-09-06 14:16:51', 1, '', ''), (6070, 549, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '2', '', 128, 0, 1, 99, '', '2023-09-13 13:57:13', 2064, NULL, NULL, '', ''), (6071, 549, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 13:57:13', 2064, '2023-09-06 09:08:31', 1, '', ''), (6072, 549, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 13:57:13', 2064, '2023-09-06 09:08:38', 1, '', ''), (6073, 549, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 13:57:13', 2064, NULL, NULL, '', ''), (6074, 550, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 13:58:27', 2064, '2023-09-06 14:18:42', 1, '', ''), (6075, 550, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694584659004.png', '', 128, 1, 1, 99, '', '2023-09-13 13:58:27', 2064, '2023-09-06 14:17:18', 1, '', ''), (6076, 550, 'section', '部门', 'input', '', 'string', '市税务局', '', 128, 1, 1, 99, '', '2023-09-13 13:58:27', 2064, '2023-09-06 14:17:39', 1, '', ''), (6077, 550, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 13:58:27', 2064, NULL, NULL, '', ''), (6078, 550, 'jobNum', '工号', 'input', '', 'string', 'SW028', '', 128, 1, 1, 99, '', '2023-09-13 13:58:27', 2064, NULL, NULL, '', ''), (6079, 550, 'staffName', '员工姓名', 'input', '', 'string', '罗翔文', '', 128, 1, 1, 99, '', '2023-09-13 13:58:27', 2064, '2023-09-06 14:16:51', 1, '', ''), (6080, 550, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 13:58:27', 2064, NULL, NULL, '', ''), (6081, 550, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 13:58:27', 2064, '2023-09-06 09:08:31', 1, '', ''), (6082, 550, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 13:58:27', 2064, '2023-09-06 09:08:38', 1, '', ''), (6083, 550, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 13:58:27', 2064, NULL, NULL, '', ''), (6084, 551, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 13:59:50', 2064, '2023-09-06 14:18:42', 1, '', ''), (6085, 551, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694584770922.jpg', '', 128, 1, 1, 99, '', '2023-09-13 13:59:50', 2064, '2023-09-06 14:17:18', 1, '', ''), (6086, 551, 'section', '部门', 'input', '', 'string', '出入境管理支队', '', 128, 1, 1, 99, '', '2023-09-13 13:59:50', 2064, '2023-09-06 14:17:39', 1, '', ''), (6087, 551, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 13:59:50', 2064, NULL, NULL, '', ''), (6088, 551, 'jobNum', '工号', 'input', '', 'string', 'CRJ034', '', 128, 1, 1, 99, '', '2023-09-13 13:59:50', 2064, NULL, NULL, '', ''), (6089, 551, 'staffName', '员工姓名', 'input', '', 'string', '曾代雄', '', 128, 1, 1, 99, '', '2023-09-13 13:59:50', 2064, '2023-09-06 14:16:51', 1, '', ''), (6090, 551, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 13:59:50', 2064, NULL, NULL, '', ''), (6091, 551, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 13:59:50', 2064, '2023-09-06 09:08:31', 1, '', ''), (6092, 551, 'month', '月度', 'month', '', 'string', '6', '', 128, 1, 1, 99, '', '2023-09-13 13:59:50', 2064, '2023-09-06 09:08:38', 1, '', ''), (6093, 551, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 13:59:50', 2064, NULL, NULL, '', ''), (6094, 552, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 15:35:30', 7, '2023-09-06 14:18:42', 1, '', ''), (6095, 552, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694590469656.jpg', '', 128, 1, 1, 99, '', '2023-09-13 15:35:30', 7, '2023-09-06 14:17:18', 1, '', ''), (6096, 552, 'section', '部门', 'input', '', 'string', '市政务服务非公局', '', 128, 1, 1, 99, '', '2023-09-13 15:35:30', 7, '2023-09-06 14:17:39', 1, '', ''), (6097, 552, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 15:35:30', 7, NULL, NULL, '', ''), (6098, 552, 'jobNum', '工号', 'input', '', 'string', 'ZF02', '', 128, 1, 1, 99, '', '2023-09-13 15:35:30', 7, NULL, NULL, '', ''), (6099, 552, 'staffName', '员工姓名', 'input', '', 'string', '方鸽', '', 128, 1, 1, 99, '', '2023-09-13 15:35:30', 7, '2023-09-06 14:16:51', 1, '', ''), (6100, 552, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 15:35:30', 7, NULL, NULL, '', ''), (6101, 552, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 15:35:30', 7, '2023-09-06 09:08:31', 1, '', ''), (6102, 552, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 15:35:30', 7, '2023-09-06 09:08:38', 1, '', ''), (6103, 552, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 15:35:30', 7, NULL, NULL, '', ''), (6104, 553, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 15:36:37', 7, '2023-09-06 14:18:42', 1, '', ''), (6105, 553, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694590563745.jpg', '', 128, 1, 1, 99, '', '2023-09-13 15:36:37', 7, '2023-09-06 14:17:18', 1, '', ''), (6106, 553, 'section', '部门', 'input', '', 'string', '市民政局', '', 128, 1, 1, 99, '', '2023-09-13 15:36:37', 7, '2023-09-06 14:17:39', 1, '', ''), (6107, 553, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 15:36:37', 7, NULL, NULL, '', ''), (6108, 553, 'jobNum', '工号', 'input', '', 'string', 'MZ001', '', 128, 1, 1, 99, '', '2023-09-13 15:36:37', 7, NULL, NULL, '', ''), (6109, 553, 'staffName', '员工姓名', 'input', '', 'string', '杨洋', '', 128, 1, 1, 99, '', '2023-09-13 15:36:37', 7, '2023-09-06 14:16:51', 1, '', ''), (6110, 553, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 15:36:37', 7, NULL, NULL, '', ''), (6111, 553, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 15:36:37', 7, '2023-09-06 09:08:31', 1, '', ''), (6112, 553, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 15:36:37', 7, '2023-09-06 09:08:38', 1, '', ''), (6113, 553, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 15:36:37', 7, NULL, NULL, '', ''), (6114, 554, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 15:37:52', 7, '2023-09-13 15:37:52', 7, '', ''), (6115, 554, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694590636530.jpg', '', 128, 1, 1, 99, '', '2023-09-13 15:37:52', 7, '2023-09-13 15:37:52', 7, '', ''), (6116, 554, 'section', '部门', 'input', '', 'string', '市应急管理局', '', 128, 1, 1, 99, '', '2023-09-13 15:37:52', 7, '2023-09-13 15:37:52', 7, '', ''), (6117, 554, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 15:37:52', 7, '2023-09-13 15:37:52', 7, '', ''), (6118, 554, 'jobNum', '工号', 'input', '', 'string', 'YJ03', '', 128, 1, 1, 99, '', '2023-09-13 15:37:52', 7, '2023-09-13 15:37:52', 7, '', ''), (6119, 554, 'staffName', '员工姓名', 'input', '', 'string', '杨洪', '', 128, 1, 1, 99, '', '2023-09-13 15:37:52', 7, '2023-09-13 15:37:52', 7, '', ''), (6120, 554, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 15:37:52', 7, '2023-09-13 15:37:52', 7, '', ''), (6121, 554, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 15:37:52', 7, '2023-09-13 15:37:52', 7, '', ''), (6122, 554, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 15:37:52', 7, '2023-09-13 15:37:52', 7, '', ''), (6123, 554, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 15:37:52', 7, '2023-09-13 15:37:52', 7, '', ''), (6124, 555, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 15:38:46', 7, '2023-09-06 14:18:42', 1, '', ''), (6125, 555, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694590698767.jpg', '', 128, 1, 1, 99, '', '2023-09-13 15:38:46', 7, '2023-09-06 14:17:18', 1, '', ''), (6126, 555, 'section', '部门', 'input', '', 'string', '市市场监管局', '', 128, 1, 1, 99, '', '2023-09-13 15:38:46', 7, '2023-09-06 14:17:39', 1, '', ''), (6127, 555, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 15:38:46', 7, NULL, NULL, '', ''), (6128, 555, 'jobNum', '工号', 'input', '', 'string', 'scj0008', '', 128, 1, 1, 99, '', '2023-09-13 15:38:46', 7, NULL, NULL, '', ''), (6129, 555, 'staffName', '员工姓名', 'input', '', 'string', '潘艳', '', 128, 1, 1, 99, '', '2023-09-13 15:38:46', 7, '2023-09-06 14:16:51', 1, '', ''), (6130, 555, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 15:38:46', 7, NULL, NULL, '', ''), (6131, 555, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 15:38:46', 7, '2023-09-06 09:08:31', 1, '', ''), (6132, 555, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 15:38:46', 7, '2023-09-06 09:08:38', 1, '', ''), (6133, 555, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 15:38:46', 7, NULL, NULL, '', ''), (6134, 556, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 15:53:15', 7, '2023-09-13 15:53:15', 7, '', ''), (6135, 556, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694590815525.jpg', '', 128, 1, 1, 99, '', '2023-09-13 15:53:15', 7, '2023-09-13 15:53:15', 7, '', ''), (6136, 556, 'section', '部门', 'input', '', 'string', '市市场监管局', '', 128, 1, 1, 99, '', '2023-09-13 15:53:15', 7, '2023-09-13 15:53:15', 7, '', ''), (6137, 556, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 15:53:15', 7, '2023-09-13 15:53:15', 7, '', ''), (6138, 556, 'jobNum', '工号', 'input', '', 'string', 'scj0006', '', 128, 1, 1, 99, '', '2023-09-13 15:53:15', 7, '2023-09-13 15:53:15', 7, '', ''), (6139, 556, 'staffName', '员工姓名', 'input', '', 'string', '廖宁霞', '', 128, 1, 1, 99, '', '2023-09-13 15:53:15', 7, '2023-09-13 15:53:15', 7, '', ''), (6140, 556, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 15:53:15', 7, '2023-09-13 15:53:15', 7, '', ''), (6141, 556, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 15:53:15', 7, '2023-09-13 15:53:15', 7, '', ''), (6142, 556, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 15:53:15', 7, '2023-09-13 15:53:15', 7, '', ''), (6143, 556, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 15:53:15', 7, '2023-09-13 15:53:15', 7, '', ''), (6144, 557, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 15:57:49', 7, '2023-09-06 14:18:42', 1, '', ''), (6145, 557, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694591837598.jpg', '', 128, 1, 1, 99, '', '2023-09-13 15:57:49', 7, '2023-09-06 14:17:18', 1, '', ''), (6146, 557, 'section', '部门', 'input', '', 'string', '市住房城乡建设局', '', 128, 1, 1, 99, '', '2023-09-13 15:57:49', 7, '2023-09-06 14:17:39', 1, '', ''), (6147, 557, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 15:57:49', 7, NULL, NULL, '', ''), (6148, 557, 'jobNum', '工号', 'input', '', 'string', 'ZJ02', '', 128, 1, 1, 99, '', '2023-09-13 15:57:49', 7, NULL, NULL, '', ''), (6149, 557, 'staffName', '员工姓名', 'input', '', 'string', '梁香琴', '', 128, 1, 1, 99, '', '2023-09-13 15:57:49', 7, '2023-09-06 14:16:51', 1, '', ''), (6150, 557, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 15:57:49', 7, NULL, NULL, '', ''), (6151, 557, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 15:57:49', 7, '2023-09-06 09:08:31', 1, '', ''), (6152, 557, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 15:57:49', 7, '2023-09-06 09:08:38', 1, '', ''), (6153, 557, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 15:57:49', 7, NULL, NULL, '', ''), (6154, 558, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 15:59:00', 7, '2023-09-06 14:18:42', 1, '', ''), (6155, 558, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694591896839.png', '', 128, 1, 1, 99, '', '2023-09-13 15:59:00', 7, '2023-09-06 14:17:18', 1, '', ''), (6156, 558, 'section', '部门', 'input', '', 'string', '市交通运输局', '', 128, 1, 1, 99, '', '2023-09-13 15:59:00', 7, '2023-09-06 14:17:39', 1, '', ''), (6157, 558, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 15:59:00', 7, NULL, NULL, '', ''), (6158, 558, 'jobNum', '工号', 'input', '', 'string', 'sjt002', '', 128, 1, 1, 99, '', '2023-09-13 15:59:00', 7, NULL, NULL, '', ''), (6159, 558, 'staffName', '员工姓名', 'input', '', 'string', '黄兆慧', '', 128, 1, 1, 99, '', '2023-09-13 15:59:00', 7, '2023-09-06 14:16:51', 1, '', ''), (6160, 558, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 15:59:00', 7, NULL, NULL, '', ''), (6161, 558, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 15:59:00', 7, '2023-09-06 09:08:31', 1, '', ''), (6162, 558, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 15:59:00', 7, '2023-09-06 09:08:38', 1, '', ''), (6163, 558, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 15:59:00', 7, NULL, NULL, '', ''), (6164, 559, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 15:59:49', 7, '2023-09-06 14:18:42', 1, '', ''), (6165, 559, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694591958263.png', '', 128, 1, 1, 99, '', '2023-09-13 15:59:49', 7, '2023-09-06 14:17:18', 1, '', ''), (6166, 559, 'section', '部门', 'input', '', 'string', '市交通运输局', '', 128, 1, 1, 99, '', '2023-09-13 15:59:49', 7, '2023-09-06 14:17:39', 1, '', ''), (6167, 559, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 15:59:49', 7, NULL, NULL, '', ''), (6168, 559, 'jobNum', '工号', 'input', '', 'string', 'sjt010', '', 128, 1, 1, 99, '', '2023-09-13 15:59:49', 7, NULL, NULL, '', ''), (6169, 559, 'staffName', '员工姓名', 'input', '', 'string', '刘静', '', 128, 1, 1, 99, '', '2023-09-13 15:59:49', 7, '2023-09-06 14:16:51', 1, '', ''), (6170, 559, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 15:59:49', 7, NULL, NULL, '', ''), (6171, 559, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 15:59:49', 7, '2023-09-06 09:08:31', 1, '', ''), (6172, 559, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 15:59:49', 7, '2023-09-06 09:08:38', 1, '', ''), (6173, 559, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 15:59:49', 7, NULL, NULL, '', ''), (6174, 560, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:00:43', 7, '2023-09-06 14:18:42', 1, '', ''), (6175, 560, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694592013762.png', '', 128, 1, 1, 99, '', '2023-09-13 16:00:43', 7, '2023-09-06 14:17:18', 1, '', ''), (6176, 560, 'section', '部门', 'input', '', 'string', '市交通运输局', '', 128, 1, 1, 99, '', '2023-09-13 16:00:43', 7, '2023-09-06 14:17:39', 1, '', ''), (6177, 560, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:00:43', 7, NULL, NULL, '', ''), (6178, 560, 'jobNum', '工号', 'input', '', 'string', 'sjt0019', '', 128, 1, 1, 99, '', '2023-09-13 16:00:43', 7, NULL, NULL, '', ''), (6179, 560, 'staffName', '员工姓名', 'input', '', 'string', '孙薇', '', 128, 1, 1, 99, '', '2023-09-13 16:00:43', 7, '2023-09-06 14:16:51', 1, '', ''), (6180, 560, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:00:43', 7, NULL, NULL, '', ''), (6181, 560, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 16:00:43', 7, '2023-09-06 09:08:31', 1, '', ''), (6182, 560, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 16:00:43', 7, '2023-09-06 09:08:38', 1, '', ''), (6183, 560, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:00:43', 7, NULL, NULL, '', ''), (6184, 561, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:03:59', 7, '2023-09-13 16:03:59', 7, '', ''), (6185, 561, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694592083161.png', '', 128, 1, 1, 99, '', '2023-09-13 16:03:59', 7, '2023-09-13 16:03:59', 7, '', ''), (6186, 561, 'section', '部门', 'input', '', 'string', '市自然资源规划局', '', 128, 1, 1, 99, '', '2023-09-13 16:03:59', 7, '2023-09-13 16:03:59', 7, '', ''), (6187, 561, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:03:59', 7, '2023-09-13 16:03:59', 7, '', ''), (6188, 561, 'jobNum', '工号', 'input', '', 'string', 'BDC060', '', 128, 1, 1, 99, '', '2023-09-13 16:03:59', 7, '2023-09-13 16:03:59', 7, '', ''), (6189, 561, 'staffName', '员工姓名', 'input', '', 'string', '唐埠堎', '', 128, 1, 1, 99, '', '2023-09-13 16:03:59', 7, '2023-09-13 16:03:59', 7, '', ''), (6190, 561, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:03:59', 7, '2023-09-13 16:03:59', 7, '', ''), (6191, 561, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 16:03:59', 7, '2023-09-13 16:03:59', 7, '', ''), (6192, 561, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 16:03:59', 7, '2023-09-13 16:03:59', 7, '', ''), (6193, 561, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:03:59', 7, '2023-09-13 16:03:59', 7, '', ''), (6194, 562, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:05:11', 7, '2023-09-06 14:18:42', 1, '', ''), (6195, 562, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694592266482.png', '', 128, 1, 1, 99, '', '2023-09-13 16:05:11', 7, '2023-09-06 14:17:18', 1, '', ''), (6196, 562, 'section', '部门', 'input', '', 'string', '市自然资源规划局', '', 128, 1, 1, 99, '', '2023-09-13 16:05:11', 7, '2023-09-06 14:17:39', 1, '', ''), (6197, 562, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:05:11', 7, NULL, NULL, '', ''), (6198, 562, 'jobNum', '工号', 'input', '', 'string', 'BDC050', '', 128, 1, 1, 99, '', '2023-09-13 16:05:11', 7, NULL, NULL, '', ''), (6199, 562, 'staffName', '员工姓名', 'input', '', 'string', '李英杰', '', 128, 1, 1, 99, '', '2023-09-13 16:05:11', 7, '2023-09-06 14:16:51', 1, '', ''), (6200, 562, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:05:11', 7, NULL, NULL, '', ''), (6201, 562, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 16:05:11', 7, '2023-09-06 09:08:31', 1, '', ''), (6202, 562, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 16:05:11', 7, '2023-09-06 09:08:38', 1, '', ''), (6203, 562, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:05:11', 7, NULL, NULL, '', ''), (6204, 563, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:06:14', 7, '2023-09-13 16:06:14', 7, '', ''), (6205, 563, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694592337122.png', '', 128, 1, 1, 99, '', '2023-09-13 16:06:14', 7, '2023-09-13 16:06:14', 7, '', ''), (6206, 563, 'section', '部门', 'input', '', 'string', '市自然资源规划局', '', 128, 1, 1, 99, '', '2023-09-13 16:06:14', 7, '2023-09-13 16:06:14', 7, '', ''), (6207, 563, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:06:14', 7, '2023-09-13 16:06:14', 7, '', ''), (6208, 563, 'jobNum', '工号', 'input', '', 'string', 'BDC055', '', 128, 1, 1, 99, '', '2023-09-13 16:06:14', 7, '2023-09-13 16:06:14', 7, '', ''), (6209, 563, 'staffName', '员工姓名', 'input', '', 'string', '黎明', '', 128, 1, 1, 99, '', '2023-09-13 16:06:14', 7, '2023-09-13 16:06:14', 7, '', ''), (6210, 563, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:06:14', 7, '2023-09-13 16:06:14', 7, '', ''), (6211, 563, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 16:06:14', 7, '2023-09-13 16:06:14', 7, '', ''), (6212, 563, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 16:06:14', 7, '2023-09-13 16:06:14', 7, '', ''), (6213, 563, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:06:14', 7, '2023-09-13 16:06:14', 7, '', ''), (6214, 564, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:07:17', 7, '2023-09-06 14:18:42', 1, '', ''), (6215, 564, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694592405181.png', '', 128, 1, 1, 99, '', '2023-09-13 16:07:17', 7, '2023-09-06 14:17:18', 1, '', ''), (6216, 564, 'section', '部门', 'input', '', 'string', '市自然资源规划局', '', 128, 1, 1, 99, '', '2023-09-13 16:07:17', 7, '2023-09-06 14:17:39', 1, '', ''), (6217, 564, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:07:17', 7, NULL, NULL, '', ''), (6218, 564, 'jobNum', '工号', 'input', '', 'string', 'BDC048', '', 128, 1, 1, 99, '', '2023-09-13 16:07:17', 7, NULL, NULL, '', ''), (6219, 564, 'staffName', '员工姓名', 'input', '', 'string', '曾莎', '', 128, 1, 1, 99, '', '2023-09-13 16:07:17', 7, '2023-09-06 14:16:51', 1, '', ''), (6220, 564, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:07:17', 7, NULL, NULL, '', ''), (6221, 564, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 16:07:17', 7, '2023-09-06 09:08:31', 1, '', ''), (6222, 564, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 16:07:17', 7, '2023-09-06 09:08:38', 1, '', ''), (6223, 564, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:07:17', 7, NULL, NULL, '', ''), (6224, 565, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:08:10', 7, '2023-09-06 14:18:42', 1, '', ''), (6225, 565, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694592459869.png', '', 128, 1, 1, 99, '', '2023-09-13 16:08:10', 7, '2023-09-06 14:17:18', 1, '', ''), (6226, 565, 'section', '部门', 'input', '', 'string', '市自然资源规划局', '', 128, 1, 1, 99, '', '2023-09-13 16:08:10', 7, '2023-09-06 14:17:39', 1, '', ''), (6227, 565, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:08:10', 7, NULL, NULL, '', ''), (6228, 565, 'jobNum', '工号', 'input', '', 'string', 'BDC058', '', 128, 1, 1, 99, '', '2023-09-13 16:08:10', 7, NULL, NULL, '', ''), (6229, 565, 'staffName', '员工姓名', 'input', '', 'string', '向莉', '', 128, 1, 1, 99, '', '2023-09-13 16:08:10', 7, '2023-09-06 14:16:51', 1, '', ''), (6230, 565, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:08:10', 7, NULL, NULL, '', ''), (6231, 565, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 16:08:10', 7, '2023-09-06 09:08:31', 1, '', ''), (6232, 565, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 16:08:10', 7, '2023-09-06 09:08:38', 1, '', ''), (6233, 565, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:08:10', 7, NULL, NULL, '', ''), (6234, 566, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:09:13', 7, '2023-09-06 14:18:42', 1, '', ''), (6235, 566, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694592516940.jpg', '', 128, 1, 1, 99, '', '2023-09-13 16:09:13', 7, '2023-09-06 14:17:18', 1, '', ''), (6236, 566, 'section', '部门', 'input', '', 'string', '市自然资源规划局', '', 128, 1, 1, 99, '', '2023-09-13 16:09:13', 7, '2023-09-06 14:17:39', 1, '', ''), (6237, 566, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:09:13', 7, NULL, NULL, '', ''), (6238, 566, 'jobNum', '工号', 'input', '', 'string', 'BDC044', '', 128, 1, 1, 99, '', '2023-09-13 16:09:13', 7, NULL, NULL, '', ''), (6239, 566, 'staffName', '员工姓名', 'input', '', 'string', '夏小燕', '', 128, 1, 1, 99, '', '2023-09-13 16:09:13', 7, '2023-09-06 14:16:51', 1, '', ''), (6240, 566, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:09:13', 7, NULL, NULL, '', ''), (6241, 566, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 16:09:13', 7, '2023-09-06 09:08:31', 1, '', ''), (6242, 566, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 16:09:13', 7, '2023-09-06 09:08:38', 1, '', ''), (6243, 566, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:09:13', 7, NULL, NULL, '', ''), (6244, 567, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:14:07', 7, '2023-09-06 14:18:42', 1, '', ''), (6245, 567, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694592814856.png', '', 128, 1, 1, 99, '', '2023-09-13 16:14:07', 7, '2023-09-06 14:17:18', 1, '', ''), (6246, 567, 'section', '部门', 'input', '', 'string', '市自然资源规划局', '', 128, 1, 1, 99, '', '2023-09-13 16:14:07', 7, '2023-09-06 14:17:39', 1, '', ''), (6247, 567, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:14:07', 7, NULL, NULL, '', ''), (6248, 567, 'jobNum', '工号', 'input', '', 'string', 'BDC049', '', 128, 1, 1, 99, '', '2023-09-13 16:14:07', 7, NULL, NULL, '', ''), (6249, 567, 'staffName', '员工姓名', 'input', '', 'string', '陈蓉萍', '', 128, 1, 1, 99, '', '2023-09-13 16:14:07', 7, '2023-09-06 14:16:51', 1, '', ''), (6250, 567, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:14:07', 7, NULL, NULL, '', ''), (6251, 567, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 16:14:07', 7, '2023-09-06 09:08:31', 1, '', ''), (6252, 567, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 16:14:07', 7, '2023-09-06 09:08:38', 1, '', ''), (6253, 567, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:14:07', 7, NULL, NULL, '', ''), (6254, 568, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:15:33', 7, '2023-09-06 14:18:42', 1, '', ''), (6255, 568, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694592890042.jpg', '', 128, 1, 1, 99, '', '2023-09-13 16:15:33', 7, '2023-09-06 14:17:18', 1, '', ''), (6256, 568, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-13 16:15:33', 7, '2023-09-06 14:17:39', 1, '', ''), (6257, 568, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:15:33', 7, NULL, NULL, '', ''), (6258, 568, 'jobNum', '工号', 'input', '', 'string', 'SW047', '', 128, 1, 1, 99, '', '2023-09-13 16:15:33', 7, NULL, NULL, '', ''), (6259, 568, 'staffName', '员工姓名', 'input', '', 'string', '钟雪倩', '', 128, 1, 1, 99, '', '2023-09-13 16:15:33', 7, '2023-09-06 14:16:51', 1, '', ''), (6260, 568, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:15:33', 7, NULL, NULL, '', ''), (6261, 568, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 16:15:33', 7, '2023-09-06 09:08:31', 1, '', ''), (6262, 568, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 16:15:33', 7, '2023-09-06 09:08:38', 1, '', ''), (6263, 568, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:15:33', 7, NULL, NULL, '', ''), (6264, 569, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:16:44', 7, '2023-09-06 14:18:42', 1, '', ''), (6265, 569, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694592954495.png', '', 128, 1, 1, 99, '', '2023-09-13 16:16:44', 7, '2023-09-06 14:17:18', 1, '', ''), (6266, 569, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-13 16:16:44', 7, '2023-09-06 14:17:39', 1, '', ''), (6267, 569, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:16:44', 7, NULL, NULL, '', ''), (6268, 569, 'jobNum', '工号', 'input', '', 'string', 'SW048', '', 128, 1, 1, 99, '', '2023-09-13 16:16:44', 7, NULL, NULL, '', ''), (6269, 569, 'staffName', '员工姓名', 'input', '', 'string', '袁红', '', 128, 1, 1, 99, '', '2023-09-13 16:16:44', 7, '2023-09-06 14:16:51', 1, '', ''), (6270, 569, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:16:44', 7, NULL, NULL, '', ''), (6271, 569, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 16:16:44', 7, '2023-09-06 09:08:31', 1, '', ''), (6272, 569, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 16:16:44', 7, '2023-09-06 09:08:38', 1, '', ''), (6273, 569, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:16:44', 7, NULL, NULL, '', ''), (6274, 570, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:18:11', 7, '2023-09-06 14:18:42', 1, '', ''), (6275, 570, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694593033444.jpg', '', 128, 1, 1, 99, '', '2023-09-13 16:18:11', 7, '2023-09-06 14:17:18', 1, '', ''), (6276, 570, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-13 16:18:11', 7, '2023-09-06 14:17:39', 1, '', ''), (6277, 570, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:18:11', 7, NULL, NULL, '', ''), (6278, 570, 'jobNum', '工号', 'input', '', 'string', 'SW046', '', 128, 1, 1, 99, '', '2023-09-13 16:18:11', 7, NULL, NULL, '', ''), (6279, 570, 'staffName', '员工姓名', 'input', '', 'string', '何婷玉', '', 128, 1, 1, 99, '', '2023-09-13 16:18:11', 7, '2023-09-06 14:16:51', 1, '', ''), (6280, 570, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:18:11', 7, NULL, NULL, '', ''), (6281, 570, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 16:18:11', 7, '2023-09-06 09:08:31', 1, '', ''), (6282, 570, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 16:18:11', 7, '2023-09-06 09:08:38', 1, '', ''), (6283, 570, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:18:11', 7, NULL, NULL, '', ''), (6284, 571, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:57:02', 7, '2023-09-13 16:57:02', 7, '', ''), (6285, 571, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694595390115.png', '', 128, 1, 1, 99, '', '2023-09-13 16:57:02', 7, '2023-09-13 16:57:02', 7, '', ''), (6286, 571, 'section', '部门', 'input', '', 'string', '市公安局交警支队', '', 128, 1, 1, 99, '', '2023-09-13 16:57:02', 7, '2023-09-13 16:57:02', 7, '', ''), (6287, 571, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:57:02', 7, '2023-09-13 16:57:02', 7, '', ''), (6288, 571, 'jobNum', '工号', 'input', '', 'string', 'JJ008', '', 128, 1, 1, 99, '', '2023-09-13 16:57:02', 7, '2023-09-13 16:57:02', 7, '', ''), (6289, 571, 'staffName', '员工姓名', 'input', '', 'string', '雷雨', '', 128, 1, 1, 99, '', '2023-09-13 16:57:02', 7, '2023-09-13 16:57:02', 7, '', ''), (6290, 571, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:57:02', 7, '2023-09-13 16:57:02', 7, '', ''), (6291, 571, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 16:57:02', 7, '2023-09-13 16:57:02', 7, '', ''), (6292, 571, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 16:57:02', 7, '2023-09-13 16:57:02', 7, '', ''), (6293, 571, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:57:02', 7, '2023-09-13 16:57:02', 7, '', ''), (6294, 572, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:57:47', 7, '2023-09-06 14:18:42', 1, '', ''), (6295, 572, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694595440316.png', '', 128, 1, 1, 99, '', '2023-09-13 16:57:47', 7, '2023-09-06 14:17:18', 1, '', ''), (6296, 572, 'section', '部门', 'input', '', 'string', '市公安局交警支队', '', 128, 1, 1, 99, '', '2023-09-13 16:57:47', 7, '2023-09-06 14:17:39', 1, '', ''), (6297, 572, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:57:47', 7, NULL, NULL, '', ''), (6298, 572, 'jobNum', '工号', 'input', '', 'string', 'JJ015', '', 128, 1, 1, 99, '', '2023-09-13 16:57:47', 7, NULL, NULL, '', ''), (6299, 572, 'staffName', '员工姓名', 'input', '', 'string', '彭杰', '', 128, 1, 1, 99, '', '2023-09-13 16:57:47', 7, '2023-09-06 14:16:51', 1, '', ''), (6300, 572, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:57:47', 7, NULL, NULL, '', ''), (6301, 572, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 16:57:47', 7, '2023-09-06 09:08:31', 1, '', ''), (6302, 572, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 16:57:47', 7, '2023-09-06 09:08:38', 1, '', ''), (6303, 572, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:57:47', 7, NULL, NULL, '', ''), (6304, 573, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:58:45', 7, '2023-09-06 14:18:42', 1, '', ''), (6305, 573, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694595489361.png', '', 128, 1, 1, 99, '', '2023-09-13 16:58:45', 7, '2023-09-06 14:17:18', 1, '', ''), (6306, 573, 'section', '部门', 'input', '', 'string', '市公安局交警支队', '', 128, 1, 1, 99, '', '2023-09-13 16:58:45', 7, '2023-09-06 14:17:39', 1, '', ''), (6307, 573, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 16:58:45', 7, NULL, NULL, '', ''), (6308, 573, 'jobNum', '工号', 'input', '', 'string', 'JJ012', '', 128, 1, 1, 99, '', '2023-09-13 16:58:45', 7, NULL, NULL, '', ''), (6309, 573, 'staffName', '员工姓名', 'input', '', 'string', '李章跃', '', 128, 1, 1, 99, '', '2023-09-13 16:58:45', 7, '2023-09-06 14:16:51', 1, '', ''), (6310, 573, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:58:45', 7, NULL, NULL, '', ''), (6311, 573, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 16:58:45', 7, '2023-09-06 09:08:31', 1, '', ''), (6312, 573, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 16:58:45', 7, '2023-09-06 09:08:38', 1, '', ''), (6313, 573, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 16:58:45', 7, NULL, NULL, '', ''), (6314, 574, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 17:00:08', 7, '2023-09-06 14:18:42', 1, '', ''), (6315, 574, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694595574507.jpg', '', 128, 1, 1, 99, '', '2023-09-13 17:00:08', 7, '2023-09-06 14:17:18', 1, '', ''), (6316, 574, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-09-13 17:00:08', 7, '2023-09-06 14:17:39', 1, '', ''), (6317, 574, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 17:00:08', 7, NULL, NULL, '', ''), (6318, 574, 'jobNum', '工号', 'input', '', 'string', 'RS055', '', 128, 1, 1, 99, '', '2023-09-13 17:00:08', 7, NULL, NULL, '', ''), (6319, 574, 'staffName', '员工姓名', 'input', '', 'string', '彭渤', '', 128, 1, 1, 99, '', '2023-09-13 17:00:08', 7, '2023-09-06 14:16:51', 1, '', ''), (6320, 574, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 17:00:08', 7, NULL, NULL, '', ''), (6321, 574, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 17:00:08', 7, '2023-09-06 09:08:31', 1, '', ''), (6322, 574, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 17:00:08', 7, '2023-09-06 09:08:38', 1, '', ''), (6323, 574, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 17:00:08', 7, NULL, NULL, '', ''), (6324, 575, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 17:01:55', 7, '2023-09-13 17:01:55', 7, '', ''), (6325, 575, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694595700637.png', '', 128, 1, 1, 99, '', '2023-09-13 17:01:55', 7, '2023-09-13 17:01:55', 7, '', ''), (6326, 575, 'section', '部门', 'input', '', 'string', '市自然资源规划局', '', 128, 1, 1, 99, '', '2023-09-13 17:01:55', 7, '2023-09-13 17:01:55', 7, '', ''), (6327, 575, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 17:01:55', 7, '2023-09-13 17:01:55', 7, '', ''), (6328, 575, 'jobNum', '工号', 'input', '', 'string', 'BDC059', '', 128, 1, 1, 99, '', '2023-09-13 17:01:55', 7, '2023-09-13 17:01:55', 7, '', ''), (6329, 575, 'staffName', '员工姓名', 'input', '', 'string', '涂雷佳', '', 128, 1, 1, 99, '', '2023-09-13 17:01:55', 7, '2023-09-13 17:01:55', 7, '', ''), (6330, 575, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 17:01:55', 7, '2023-09-13 17:01:55', 7, '', ''), (6331, 575, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 17:01:55', 7, '2023-09-13 17:01:55', 7, '', ''), (6332, 575, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 17:01:55', 7, '2023-09-13 17:01:55', 7, '', ''), (6333, 575, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 17:01:55', 7, '2023-09-13 17:01:55', 7, '', ''), (6334, 576, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 17:03:11', 7, '2023-09-13 17:03:11', 7, '', ''), (6335, 576, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694595746892.jpg', '', 128, 1, 1, 99, '', '2023-09-13 17:03:11', 7, '2023-09-13 17:03:11', 7, '', ''), (6336, 576, 'section', '部门', 'input', '', 'string', '市自然资源规划局', '', 128, 1, 1, 99, '', '2023-09-13 17:03:11', 7, '2023-09-13 17:03:11', 7, '', ''), (6337, 576, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-13 17:03:11', 7, '2023-09-13 17:03:11', 7, '', ''), (6338, 576, 'jobNum', '工号', 'input', '', 'string', 'BDC018', '', 128, 1, 1, 99, '', '2023-09-13 17:03:11', 7, '2023-09-13 17:03:11', 7, '', ''), (6339, 576, 'staffName', '员工姓名', 'input', '', 'string', '文妍洁', '', 128, 1, 1, 99, '', '2023-09-13 17:03:11', 7, '2023-09-13 17:03:11', 7, '', ''), (6340, 576, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 17:03:11', 7, '2023-09-13 17:03:11', 7, '', ''), (6341, 576, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-13 17:03:11', 7, '2023-09-13 17:03:11', 7, '', ''), (6342, 576, 'month', '月度', 'month', '', 'string', '2', '', 128, 1, 1, 99, '', '2023-09-13 17:03:11', 7, '2023-09-13 17:03:11', 7, '', ''), (6343, 576, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-13 17:03:11', 7, '2023-09-13 17:03:11', 7, '', ''), (6344, 577, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 14:59:55', 7, '2023-09-06 14:18:42', 1, '', ''), (6345, 577, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694674715998.jpg', '', 128, 1, 1, 99, '', '2023-09-14 14:59:55', 7, '2023-09-06 14:17:18', 1, '', ''), (6346, 577, 'section', '部门', 'input', '', 'string', '市政务服务非公经济局', '', 128, 1, 1, 99, '', '2023-09-14 14:59:55', 7, '2023-09-06 14:17:39', 1, '', ''), (6347, 577, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 14:59:55', 7, NULL, NULL, '', ''), (6348, 577, 'jobNum', '工号', 'input', '', 'string', 'ZF02', '', 128, 1, 1, 99, '', '2023-09-14 14:59:55', 7, NULL, NULL, '', ''), (6349, 577, 'staffName', '员工姓名', 'input', '', 'string', '方鸽', '', 128, 1, 1, 99, '', '2023-09-14 14:59:55', 7, '2023-09-06 14:16:51', 1, '', ''), (6350, 577, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 14:59:55', 7, NULL, NULL, '', ''), (6351, 577, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 14:59:55', 7, '2023-09-06 09:08:31', 1, '', ''), (6352, 577, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 14:59:55', 7, '2023-09-06 09:08:38', 1, '', ''), (6353, 577, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 14:59:55', 7, NULL, NULL, '', ''), (6354, 578, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:01:08', 7, '2023-09-06 14:18:42', 1, '', ''), (6355, 578, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694674839631.jpg', '', 128, 1, 1, 99, '', '2023-09-14 15:01:08', 7, '2023-09-06 14:17:18', 1, '', ''), (6356, 578, 'section', '部门', 'input', '', 'string', '市医保局', '', 128, 1, 1, 99, '', '2023-09-14 15:01:08', 7, '2023-09-06 14:17:39', 1, '', ''), (6357, 578, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:01:08', 7, NULL, NULL, '', ''), (6358, 578, 'jobNum', '工号', 'input', '', 'string', 'YB001', '', 128, 1, 1, 99, '', '2023-09-14 15:01:08', 7, NULL, NULL, '', ''), (6359, 578, 'staffName', '员工姓名', 'input', '', 'string', '谢湘萍', '', 128, 1, 1, 99, '', '2023-09-14 15:01:08', 7, '2023-09-06 14:16:51', 1, '', ''), (6360, 578, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:01:08', 7, NULL, NULL, '', ''), (6361, 578, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:01:08', 7, '2023-09-06 09:08:31', 1, '', ''), (6362, 578, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:01:08', 7, '2023-09-06 09:08:38', 1, '', ''), (6363, 578, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:01:08', 7, NULL, NULL, '', ''), (6364, 579, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:02:13', 7, '2023-09-06 14:18:42', 1, '', ''), (6365, 579, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694674906659.jpg', '', 128, 1, 1, 99, '', '2023-09-14 15:02:13', 7, '2023-09-06 14:17:18', 1, '', ''), (6366, 579, 'section', '部门', 'input', '', 'string', '市医保局', '', 128, 1, 1, 99, '', '2023-09-14 15:02:13', 7, '2023-09-06 14:17:39', 1, '', ''), (6367, 579, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:02:13', 7, NULL, NULL, '', ''), (6368, 579, 'jobNum', '工号', 'input', '', 'string', 'YB002', '', 128, 1, 1, 99, '', '2023-09-14 15:02:13', 7, NULL, NULL, '', ''), (6369, 579, 'staffName', '员工姓名', 'input', '', 'string', '肖春', '', 128, 1, 1, 99, '', '2023-09-14 15:02:13', 7, '2023-09-06 14:16:51', 1, '', ''), (6370, 579, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:02:13', 7, NULL, NULL, '', ''), (6371, 579, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:02:13', 7, '2023-09-06 09:08:31', 1, '', ''), (6372, 579, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:02:13', 7, '2023-09-06 09:08:38', 1, '', ''), (6373, 579, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:02:13', 7, NULL, NULL, '', ''), (6374, 580, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:03:06', 7, '2023-09-06 14:18:42', 1, '', ''), (6375, 580, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694674953724.jpg', '', 128, 1, 1, 99, '', '2023-09-14 15:03:06', 7, '2023-09-06 14:17:18', 1, '', ''), (6376, 580, 'section', '部门', 'input', '', 'string', '市医保局', '', 128, 1, 1, 99, '', '2023-09-14 15:03:06', 7, '2023-09-06 14:17:39', 1, '', ''), (6377, 580, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:03:06', 7, NULL, NULL, '', ''), (6378, 580, 'jobNum', '工号', 'input', '', 'string', 'YB003', '', 128, 1, 1, 99, '', '2023-09-14 15:03:06', 7, NULL, NULL, '', ''), (6379, 580, 'staffName', '员工姓名', 'input', '', 'string', '樊琴', '', 128, 1, 1, 99, '', '2023-09-14 15:03:06', 7, '2023-09-06 14:16:51', 1, '', ''), (6380, 580, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:03:06', 7, NULL, NULL, '', ''), (6381, 580, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:03:06', 7, '2023-09-06 09:08:31', 1, '', ''), (6382, 580, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:03:06', 7, '2023-09-06 09:08:38', 1, '', ''), (6383, 580, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:03:06', 7, NULL, NULL, '', ''), (6384, 581, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:04:45', 7, '2023-09-14 15:04:45', 7, '', ''), (6385, 581, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694675004805.jpg', '', 128, 1, 1, 99, '', '2023-09-14 15:04:45', 7, '2023-09-14 15:04:45', 7, '', ''), (6386, 581, 'section', '部门', 'input', '', 'string', '市医保局', '', 128, 1, 1, 99, '', '2023-09-14 15:04:45', 7, '2023-09-14 15:04:45', 7, '', ''), (6387, 581, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:04:45', 7, '2023-09-14 15:04:45', 7, '', ''), (6388, 581, 'jobNum', '工号', 'input', '', 'string', 'YB004', '', 128, 1, 1, 99, '', '2023-09-14 15:04:45', 7, '2023-09-14 15:04:45', 7, '', '');
INSERT INTO `mortals_sys_app_info_field` VALUES (6389, 581, 'staffName', '员工姓名', 'input', '', 'string', '张琴', '', 128, 1, 1, 99, '', '2023-09-14 15:04:45', 7, '2023-09-14 15:04:45', 7, '', ''), (6390, 581, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:04:45', 7, '2023-09-14 15:04:45', 7, '', ''), (6391, 581, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:04:45', 7, '2023-09-14 15:04:45', 7, '', ''), (6392, 581, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:04:45', 7, '2023-09-14 15:04:45', 7, '', ''), (6393, 581, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:04:45', 7, '2023-09-14 15:04:45', 7, '', ''), (6394, 582, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:05:43', 7, '2023-09-14 15:05:43', 7, '', ''), (6395, 582, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694675104226.jpg', '', 128, 1, 1, 99, '', '2023-09-14 15:05:43', 7, '2023-09-14 15:05:43', 7, '', ''), (6396, 582, 'section', '部门', 'input', '', 'string', '市医保局', '', 128, 1, 1, 99, '', '2023-09-14 15:05:43', 7, '2023-09-14 15:05:43', 7, '', ''), (6397, 582, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:05:43', 7, '2023-09-14 15:05:43', 7, '', ''), (6398, 582, 'jobNum', '工号', 'input', '', 'string', 'YB014', '', 128, 1, 1, 99, '', '2023-09-14 15:05:43', 7, '2023-09-14 15:05:43', 7, '', ''), (6399, 582, 'staffName', '员工姓名', 'input', '', 'string', '肖欢', '', 128, 1, 1, 99, '', '2023-09-14 15:05:43', 7, '2023-09-14 15:05:43', 7, '', ''), (6400, 582, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:05:43', 7, '2023-09-14 15:05:43', 7, '', ''), (6401, 582, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:05:43', 7, '2023-09-14 15:05:43', 7, '', ''), (6402, 582, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:05:43', 7, '2023-09-14 15:05:43', 7, '', ''), (6403, 582, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:05:43', 7, '2023-09-14 15:05:43', 7, '', ''), (6404, 583, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:08:15', 7, '2023-09-06 14:18:42', 1, '', ''), (6405, 583, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694675162519.jpg', '', 128, 1, 1, 99, '', '2023-09-14 15:08:15', 7, '2023-09-06 14:17:18', 1, '', ''), (6406, 583, 'section', '部门', 'input', '', 'string', '市医保局', '', 128, 1, 1, 99, '', '2023-09-14 15:08:15', 7, '2023-09-06 14:17:39', 1, '', ''), (6407, 583, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:08:15', 7, NULL, NULL, '', ''), (6408, 583, 'jobNum', '工号', 'input', '', 'string', 'YB021', '', 128, 1, 1, 99, '', '2023-09-14 15:08:15', 7, NULL, NULL, '', ''), (6409, 583, 'staffName', '员工姓名', 'input', '', 'string', '何海容', '', 128, 1, 1, 99, '', '2023-09-14 15:08:15', 7, '2023-09-06 14:16:51', 1, '', ''), (6410, 583, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:08:15', 7, NULL, NULL, '', ''), (6411, 583, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:08:15', 7, '2023-09-06 09:08:31', 1, '', ''), (6412, 583, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:08:15', 7, '2023-09-06 09:08:38', 1, '', ''), (6413, 583, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:08:15', 7, NULL, NULL, '', ''), (6414, 584, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:09:26', 7, '2023-09-06 14:18:42', 1, '', ''), (6415, 584, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694675338444.jpg', '', 128, 1, 1, 99, '', '2023-09-14 15:09:26', 7, '2023-09-06 14:17:18', 1, '', ''), (6416, 584, 'section', '部门', 'input', '', 'string', '市医保局', '', 128, 1, 1, 99, '', '2023-09-14 15:09:26', 7, '2023-09-06 14:17:39', 1, '', ''), (6417, 584, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:09:26', 7, NULL, NULL, '', ''), (6418, 584, 'jobNum', '工号', 'input', '', 'string', 'YB027', '', 128, 1, 1, 99, '', '2023-09-14 15:09:26', 7, NULL, NULL, '', ''), (6419, 584, 'staffName', '员工姓名', 'input', '', 'string', '王颖妍', '', 128, 1, 1, 99, '', '2023-09-14 15:09:26', 7, '2023-09-06 14:16:51', 1, '', ''), (6420, 584, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:09:26', 7, NULL, NULL, '', ''), (6421, 584, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:09:26', 7, '2023-09-06 09:08:31', 1, '', ''), (6422, 584, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:09:26', 7, '2023-09-06 09:08:38', 1, '', ''), (6423, 584, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:09:26', 7, NULL, NULL, '', ''), (6424, 585, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:10:50', 7, '2023-09-06 14:18:42', 1, '', ''), (6425, 585, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694675408263.jpg', '', 128, 1, 1, 99, '', '2023-09-14 15:10:50', 7, '2023-09-06 14:17:18', 1, '', ''), (6426, 585, 'section', '部门', 'input', '', 'string', '市市场监管局', '', 128, 1, 1, 99, '', '2023-09-14 15:10:50', 7, '2023-09-06 14:17:39', 1, '', ''), (6427, 585, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:10:50', 7, NULL, NULL, '', ''), (6428, 585, 'jobNum', '工号', 'input', '', 'string', 'YJ01', '', 128, 1, 1, 99, '', '2023-09-14 15:10:50', 7, NULL, NULL, '', ''), (6429, 585, 'staffName', '员工姓名', 'input', '', 'string', '罗戎', '', 128, 1, 1, 99, '', '2023-09-14 15:10:50', 7, '2023-09-06 14:16:51', 1, '', ''), (6430, 585, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:10:50', 7, NULL, NULL, '', ''), (6431, 585, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:10:50', 7, '2023-09-06 09:08:31', 1, '', ''), (6432, 585, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:10:50', 7, '2023-09-06 09:08:38', 1, '', ''), (6433, 585, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:10:50', 7, NULL, NULL, '', ''), (6434, 586, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:11:48', 7, '2023-09-06 14:18:42', 1, '', ''), (6435, 586, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694675470796.png', '', 128, 1, 1, 99, '', '2023-09-14 15:11:48', 7, '2023-09-06 14:17:18', 1, '', ''), (6436, 586, 'section', '部门', 'input', '', 'string', '市市场监管局', '', 128, 1, 1, 99, '', '2023-09-14 15:11:48', 7, '2023-09-06 14:17:39', 1, '', ''), (6437, 586, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:11:48', 7, NULL, NULL, '', ''), (6438, 586, 'jobNum', '工号', 'input', '', 'string', 'scj013', '', 128, 1, 1, 99, '', '2023-09-14 15:11:48', 7, NULL, NULL, '', ''), (6439, 586, 'staffName', '员工姓名', 'input', '', 'string', '王明炜', '', 128, 1, 1, 99, '', '2023-09-14 15:11:48', 7, '2023-09-06 14:16:51', 1, '', ''), (6440, 586, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:11:48', 7, NULL, NULL, '', ''), (6441, 586, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:11:48', 7, '2023-09-06 09:08:31', 1, '', ''), (6442, 586, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:11:48', 7, '2023-09-06 09:08:38', 1, '', ''), (6443, 586, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:11:48', 7, NULL, NULL, '', ''), (6444, 587, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:15:10', 7, '2023-09-06 14:18:42', 1, '', ''), (6445, 587, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694675530623.jpg', '', 128, 1, 1, 99, '', '2023-09-14 15:15:10', 7, '2023-09-06 14:17:18', 1, '', ''), (6446, 587, 'section', '部门', 'input', '', 'string', '市市场监管局', '', 128, 1, 1, 99, '', '2023-09-14 15:15:10', 7, '2023-09-06 14:17:39', 1, '', ''), (6447, 587, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:15:10', 7, NULL, NULL, '', ''), (6448, 587, 'jobNum', '工号', 'input', '', 'string', 'scj013', '', 128, 1, 1, 99, '', '2023-09-14 15:15:10', 7, NULL, NULL, '', ''), (6449, 587, 'staffName', '员工姓名', 'input', '', 'string', '张家文', '', 128, 1, 1, 99, '', '2023-09-14 15:15:10', 7, '2023-09-06 14:16:51', 1, '', ''), (6450, 587, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:15:10', 7, NULL, NULL, '', ''), (6451, 587, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:15:10', 7, '2023-09-06 09:08:31', 1, '', ''), (6452, 587, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:15:10', 7, '2023-09-06 09:08:38', 1, '', ''), (6453, 587, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:15:10', 7, NULL, NULL, '', ''), (6454, 588, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:16:14', 7, '2023-09-06 14:18:42', 1, '', ''), (6455, 588, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694675747356.png', '', 128, 1, 1, 99, '', '2023-09-14 15:16:14', 7, '2023-09-06 14:17:18', 1, '', ''), (6456, 588, 'section', '部门', 'input', '', 'string', '市交通运输局', '', 128, 1, 1, 99, '', '2023-09-14 15:16:14', 7, '2023-09-06 14:17:39', 1, '', ''), (6457, 588, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:16:14', 7, NULL, NULL, '', ''), (6458, 588, 'jobNum', '工号', 'input', '', 'string', 'sjt002', '', 128, 1, 1, 99, '', '2023-09-14 15:16:14', 7, NULL, NULL, '', ''), (6459, 588, 'staffName', '员工姓名', 'input', '', 'string', '黄兆慧', '', 128, 1, 1, 99, '', '2023-09-14 15:16:14', 7, '2023-09-06 14:16:51', 1, '', ''), (6460, 588, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:16:14', 7, NULL, NULL, '', ''), (6461, 588, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:16:14', 7, '2023-09-06 09:08:31', 1, '', ''), (6462, 588, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:16:14', 7, '2023-09-06 09:08:38', 1, '', ''), (6463, 588, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:16:14', 7, NULL, NULL, '', ''), (6464, 589, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:16:55', 7, '2023-09-06 14:18:42', 1, '', ''), (6465, 589, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694675790083.png', '', 128, 1, 1, 99, '', '2023-09-14 15:16:55', 7, '2023-09-06 14:17:18', 1, '', ''), (6466, 589, 'section', '部门', 'input', '', 'string', '市交通运输局', '', 128, 1, 1, 99, '', '2023-09-14 15:16:55', 7, '2023-09-06 14:17:39', 1, '', ''), (6467, 589, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:16:55', 7, NULL, NULL, '', ''), (6468, 589, 'jobNum', '工号', 'input', '', 'string', 'sjt010', '', 128, 1, 1, 99, '', '2023-09-14 15:16:55', 7, NULL, NULL, '', ''), (6469, 589, 'staffName', '员工姓名', 'input', '', 'string', '刘静', '', 128, 1, 1, 99, '', '2023-09-14 15:16:55', 7, '2023-09-06 14:16:51', 1, '', ''), (6470, 589, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:16:55', 7, NULL, NULL, '', ''), (6471, 589, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:16:55', 7, '2023-09-06 09:08:31', 1, '', ''), (6472, 589, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:16:55', 7, '2023-09-06 09:08:38', 1, '', ''), (6473, 589, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:16:55', 7, NULL, NULL, '', ''), (6474, 590, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:18:39', 7, '2023-09-06 14:18:42', 1, '', ''), (6475, 590, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694675883325.png', '', 128, 1, 1, 99, '', '2023-09-14 15:18:39', 7, '2023-09-06 14:17:18', 1, '', ''), (6476, 590, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 15:18:39', 7, '2023-09-06 14:17:39', 1, '', ''), (6477, 590, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:18:39', 7, NULL, NULL, '', ''), (6478, 590, 'jobNum', '工号', 'input', '', 'string', 'SW036', '', 128, 1, 1, 99, '', '2023-09-14 15:18:39', 7, NULL, NULL, '', ''), (6479, 590, 'staffName', '员工姓名', 'input', '', 'string', '郑会文', '', 128, 1, 1, 99, '', '2023-09-14 15:18:39', 7, '2023-09-06 14:16:51', 1, '', ''), (6480, 590, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:18:39', 7, NULL, NULL, '', ''), (6481, 590, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:18:39', 7, '2023-09-06 09:08:31', 1, '', ''), (6482, 590, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:18:39', 7, '2023-09-06 09:08:38', 1, '', ''), (6483, 590, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:18:39', 7, NULL, NULL, '', ''), (6484, 591, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:19:30', 7, '2023-09-06 14:18:42', 1, '', ''), (6485, 591, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694675937207.png', '', 128, 1, 1, 99, '', '2023-09-14 15:19:30', 7, '2023-09-06 14:17:18', 1, '', ''), (6486, 591, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 15:19:30', 7, '2023-09-06 14:17:39', 1, '', ''), (6487, 591, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:19:30', 7, NULL, NULL, '', ''), (6488, 591, 'jobNum', '工号', 'input', '', 'string', 'SW037', '', 128, 1, 1, 99, '', '2023-09-14 15:19:30', 7, NULL, NULL, '', ''), (6489, 591, 'staffName', '员工姓名', 'input', '', 'string', '黄祖孝', '', 128, 1, 1, 99, '', '2023-09-14 15:19:30', 7, '2023-09-06 14:16:51', 1, '', ''), (6490, 591, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:19:30', 7, NULL, NULL, '', ''), (6491, 591, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:19:30', 7, '2023-09-06 09:08:31', 1, '', ''), (6492, 591, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:19:30', 7, '2023-09-06 09:08:38', 1, '', ''), (6493, 591, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:19:30', 7, NULL, NULL, '', ''), (6494, 592, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:20:28', 7, '2023-09-06 14:18:42', 1, '', ''), (6495, 592, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694675994670.png', '', 128, 1, 1, 99, '', '2023-09-14 15:20:28', 7, '2023-09-06 14:17:18', 1, '', ''), (6496, 592, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 15:20:28', 7, '2023-09-06 14:17:39', 1, '', ''), (6497, 592, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:20:28', 7, NULL, NULL, '', ''), (6498, 592, 'jobNum', '工号', 'input', '', 'string', 'SW040', '', 128, 1, 1, 99, '', '2023-09-14 15:20:28', 7, NULL, NULL, '', ''), (6499, 592, 'staffName', '员工姓名', 'input', '', 'string', '郭海彬', '', 128, 1, 1, 99, '', '2023-09-14 15:20:28', 7, '2023-09-06 14:16:51', 1, '', ''), (6500, 592, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:20:28', 7, NULL, NULL, '', ''), (6501, 592, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:20:28', 7, '2023-09-06 09:08:31', 1, '', ''), (6502, 592, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:20:28', 7, '2023-09-06 09:08:38', 1, '', ''), (6503, 592, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:20:28', 7, NULL, NULL, '', ''), (6504, 593, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:28:15', 7, '2023-09-14 15:28:15', 7, '', ''), (6505, 593, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694676474272.png', '', 128, 1, 1, 99, '', '2023-09-14 15:28:15', 7, '2023-09-14 15:28:15', 7, '', ''), (6506, 593, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 15:28:15', 7, '2023-09-14 15:28:15', 7, '', ''), (6507, 593, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:28:15', 7, '2023-09-14 15:28:15', 7, '', ''), (6508, 593, 'jobNum', '工号', 'input', '', 'string', 'SW048', '', 128, 1, 1, 99, '', '2023-09-14 15:28:15', 7, '2023-09-14 15:28:15', 7, '', ''), (6509, 593, 'staffName', '员工姓名', 'input', '', 'string', '袁红', '', 128, 1, 1, 99, '', '2023-09-14 15:28:15', 7, '2023-09-14 15:28:15', 7, '', ''), (6510, 593, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:28:15', 7, '2023-09-14 15:28:15', 7, '', ''), (6511, 593, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:28:15', 7, '2023-09-14 15:28:15', 7, '', ''), (6512, 593, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:28:15', 7, '2023-09-14 15:28:15', 7, '', ''), (6513, 593, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:28:15', 7, '2023-09-14 15:28:15', 7, '', ''), (6514, 594, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:29:13', 7, '2023-09-06 14:18:42', 1, '', ''), (6515, 594, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694676522413.jpg', '', 128, 1, 1, 99, '', '2023-09-14 15:29:13', 7, '2023-09-06 14:17:18', 1, '', ''), (6516, 594, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 15:29:13', 7, '2023-09-06 14:17:39', 1, '', ''), (6517, 594, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:29:13', 7, NULL, NULL, '', ''), (6518, 594, 'jobNum', '工号', 'input', '', 'string', 'SW047', '', 128, 1, 1, 99, '', '2023-09-14 15:29:13', 7, NULL, NULL, '', ''), (6519, 594, 'staffName', '员工姓名', 'input', '', 'string', '钟雪倩', '', 128, 1, 1, 99, '', '2023-09-14 15:29:13', 7, '2023-09-06 14:16:51', 1, '', ''), (6520, 594, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:29:13', 7, NULL, NULL, '', ''), (6521, 594, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:29:13', 7, '2023-09-06 09:08:31', 1, '', ''), (6522, 594, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:29:13', 7, '2023-09-06 09:08:38', 1, '', ''), (6523, 594, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:29:13', 7, NULL, NULL, '', ''), (6524, 595, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:30:05', 7, '2023-09-06 14:18:42', 1, '', ''), (6525, 595, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694676577104.jpg', '', 128, 1, 1, 99, '', '2023-09-14 15:30:05', 7, '2023-09-06 14:17:18', 1, '', ''), (6526, 595, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 15:30:05', 7, '2023-09-06 14:17:39', 1, '', ''), (6527, 595, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:30:05', 7, NULL, NULL, '', ''), (6528, 595, 'jobNum', '工号', 'input', '', 'string', 'SW046', '', 128, 1, 1, 99, '', '2023-09-14 15:30:05', 7, NULL, NULL, '', ''), (6529, 595, 'staffName', '员工姓名', 'input', '', 'string', '何婷玉', '', 128, 1, 1, 99, '', '2023-09-14 15:30:05', 7, '2023-09-06 14:16:51', 1, '', ''), (6530, 595, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:30:05', 7, NULL, NULL, '', ''), (6531, 595, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:30:05', 7, '2023-09-06 09:08:31', 1, '', ''), (6532, 595, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:30:05', 7, '2023-09-06 09:08:38', 1, '', ''), (6533, 595, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:30:05', 7, NULL, NULL, '', ''), (6534, 596, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:49:20', 7, '2023-09-06 14:18:42', 1, '', ''), (6535, 596, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694677712293.png', '', 128, 1, 1, 99, '', '2023-09-14 15:49:20', 7, '2023-09-06 14:17:18', 1, '', ''), (6536, 596, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 15:49:20', 7, '2023-09-06 14:17:39', 1, '', ''), (6537, 596, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:49:20', 7, NULL, NULL, '', ''), (6538, 596, 'jobNum', '工号', 'input', '', 'string', 'SW045', '', 128, 1, 1, 99, '', '2023-09-14 15:49:20', 7, NULL, NULL, '', ''), (6539, 596, 'staffName', '员工姓名', 'input', '', 'string', '聂卓伟', '', 128, 1, 1, 99, '', '2023-09-14 15:49:20', 7, '2023-09-06 14:16:51', 1, '', ''), (6540, 596, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:49:20', 7, NULL, NULL, '', ''), (6541, 596, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:49:20', 7, '2023-09-06 09:08:31', 1, '', ''), (6542, 596, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:49:20', 7, '2023-09-06 09:08:38', 1, '', ''), (6543, 596, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:49:20', 7, NULL, NULL, '', ''), (6544, 597, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:50:16', 7, '2023-09-06 14:18:42', 1, '', ''), (6545, 597, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694677782226.jpg', '', 128, 1, 1, 99, '', '2023-09-14 15:50:16', 7, '2023-09-06 14:17:18', 1, '', ''), (6546, 597, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 15:50:16', 7, '2023-09-06 14:17:39', 1, '', ''), (6547, 597, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:50:16', 7, NULL, NULL, '', ''), (6548, 597, 'jobNum', '工号', 'input', '', 'string', 'SW056', '', 128, 1, 1, 99, '', '2023-09-14 15:50:16', 7, NULL, NULL, '', ''), (6549, 597, 'staffName', '员工姓名', 'input', '', 'string', '周慧玲', '', 128, 1, 1, 99, '', '2023-09-14 15:50:16', 7, '2023-09-06 14:16:51', 1, '', ''), (6550, 597, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:50:16', 7, NULL, NULL, '', ''), (6551, 597, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:50:16', 7, '2023-09-06 09:08:31', 1, '', ''), (6552, 597, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:50:16', 7, '2023-09-06 09:08:38', 1, '', ''), (6553, 597, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:50:16', 7, NULL, NULL, '', ''), (6554, 598, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:51:14', 7, '2023-09-06 14:18:42', 1, '', ''), (6555, 598, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694677845631.png', '', 128, 1, 1, 99, '', '2023-09-14 15:51:14', 7, '2023-09-06 14:17:18', 1, '', ''), (6556, 598, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 15:51:14', 7, '2023-09-06 14:17:39', 1, '', ''), (6557, 598, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:51:14', 7, NULL, NULL, '', ''), (6558, 598, 'jobNum', '工号', 'input', '', 'string', 'SW058', '', 128, 1, 1, 99, '', '2023-09-14 15:51:14', 7, NULL, NULL, '', ''), (6559, 598, 'staffName', '员工姓名', 'input', '', 'string', '舒兴伟', '', 128, 1, 1, 99, '', '2023-09-14 15:51:14', 7, '2023-09-06 14:16:51', 1, '', ''), (6560, 598, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:51:14', 7, NULL, NULL, '', ''), (6561, 598, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:51:14', 7, '2023-09-06 09:08:31', 1, '', ''), (6562, 598, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:51:14', 7, '2023-09-06 09:08:38', 1, '', ''), (6563, 598, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:51:14', 7, NULL, NULL, '', ''), (6564, 599, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:53:01', 7, '2023-09-06 14:18:42', 1, '', ''), (6565, 599, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694677903829.png', '', 128, 1, 1, 99, '', '2023-09-14 15:53:01', 7, '2023-09-06 14:17:18', 1, '', ''), (6566, 599, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 15:53:01', 7, '2023-09-06 14:17:39', 1, '', ''), (6567, 599, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:53:01', 7, NULL, NULL, '', ''), (6568, 599, 'jobNum', '工号', 'input', '', 'string', 'SW057', '', 128, 1, 1, 99, '', '2023-09-14 15:53:01', 7, NULL, NULL, '', ''), (6569, 599, 'staffName', '员工姓名', 'input', '', 'string', '李亮', '', 128, 1, 1, 99, '', '2023-09-14 15:53:01', 7, '2023-09-06 14:16:51', 1, '', ''), (6570, 599, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:53:01', 7, NULL, NULL, '', ''), (6571, 599, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:53:01', 7, '2023-09-06 09:08:31', 1, '', ''), (6572, 599, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:53:01', 7, '2023-09-06 09:08:38', 1, '', ''), (6573, 599, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:53:01', 7, NULL, NULL, '', ''), (6574, 600, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:55:05', 7, '2023-09-06 14:18:42', 1, '', ''), (6575, 600, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694678031235.png', '', 128, 1, 1, 99, '', '2023-09-14 15:55:05', 7, '2023-09-06 14:17:18', 1, '', ''), (6576, 600, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 15:55:05', 7, '2023-09-06 14:17:39', 1, '', ''), (6577, 600, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:55:05', 7, NULL, NULL, '', ''), (6578, 600, 'jobNum', '工号', 'input', '', 'string', 'SW111', '', 128, 1, 1, 99, '', '2023-09-14 15:55:05', 7, NULL, NULL, '', ''), (6579, 600, 'staffName', '员工姓名', 'input', '', 'string', '吴秋实', '', 128, 1, 1, 99, '', '2023-09-14 15:55:05', 7, '2023-09-06 14:16:51', 1, '', ''), (6580, 600, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:55:05', 7, NULL, NULL, '', ''), (6581, 600, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:55:05', 7, '2023-09-06 09:08:31', 1, '', ''), (6582, 600, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:55:05', 7, '2023-09-06 09:08:38', 1, '', ''), (6583, 600, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:55:05', 7, NULL, NULL, '', ''), (6584, 601, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:56:06', 7, '2023-09-06 14:18:42', 1, '', ''), (6585, 601, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694678125516.png', '', 128, 1, 1, 99, '', '2023-09-14 15:56:06', 7, '2023-09-06 14:17:18', 1, '', ''), (6586, 601, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 15:56:06', 7, '2023-09-06 14:17:39', 1, '', ''), (6587, 601, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:56:06', 7, NULL, NULL, '', ''), (6588, 601, 'jobNum', '工号', 'input', '', 'string', 'SW0112', '', 128, 1, 1, 99, '', '2023-09-14 15:56:06', 7, NULL, NULL, '', ''), (6589, 601, 'staffName', '员工姓名', 'input', '', 'string', '赵泓钰', '', 128, 1, 1, 99, '', '2023-09-14 15:56:06', 7, '2023-09-06 14:16:51', 1, '', ''), (6590, 601, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:56:06', 7, NULL, NULL, '', ''), (6591, 601, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:56:06', 7, '2023-09-06 09:08:31', 1, '', ''), (6592, 601, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:56:06', 7, '2023-09-06 09:08:38', 1, '', ''), (6593, 601, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:56:06', 7, NULL, NULL, '', ''), (6594, 602, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:57:09', 7, '2023-09-06 14:18:42', 1, '', ''), (6595, 602, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694678199528.png', '', 128, 1, 1, 99, '', '2023-09-14 15:57:09', 7, '2023-09-06 14:17:18', 1, '', ''), (6596, 602, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 15:57:09', 7, '2023-09-06 14:17:39', 1, '', ''), (6597, 602, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:57:09', 7, NULL, NULL, '', ''), (6598, 602, 'jobNum', '工号', 'input', '', 'string', 'SW063', '', 128, 1, 1, 99, '', '2023-09-14 15:57:09', 7, NULL, NULL, '', ''), (6599, 602, 'staffName', '员工姓名', 'input', '', 'string', '陈采莲', '', 128, 1, 1, 99, '', '2023-09-14 15:57:09', 7, '2023-09-06 14:16:51', 1, '', ''), (6600, 602, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:57:09', 7, NULL, NULL, '', ''), (6601, 602, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:57:09', 7, '2023-09-06 09:08:31', 1, '', ''), (6602, 602, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:57:09', 7, '2023-09-06 09:08:38', 1, '', ''), (6603, 602, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:57:09', 7, NULL, NULL, '', ''), (6604, 603, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:58:35', 7, '2023-09-06 14:18:42', 1, '', ''), (6605, 603, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694678292486.jpg', '', 128, 1, 1, 99, '', '2023-09-14 15:58:35', 7, '2023-09-06 14:17:18', 1, '', ''), (6606, 603, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 15:58:35', 7, '2023-09-06 14:17:39', 1, '', ''), (6607, 603, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:58:35', 7, NULL, NULL, '', ''), (6608, 603, 'jobNum', '工号', 'input', '', 'string', 'SW080', '', 128, 1, 1, 99, '', '2023-09-14 15:58:35', 7, NULL, NULL, '', ''), (6609, 603, 'staffName', '员工姓名', 'input', '', 'string', '胡薇雪', '', 128, 1, 1, 99, '', '2023-09-14 15:58:35', 7, '2023-09-06 14:16:51', 1, '', ''), (6610, 603, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:58:35', 7, NULL, NULL, '', ''), (6611, 603, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:58:35', 7, '2023-09-06 09:08:31', 1, '', ''), (6612, 603, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:58:35', 7, '2023-09-06 09:08:38', 1, '', ''), (6613, 603, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:58:35', 7, NULL, NULL, '', ''), (6614, 604, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:59:28', 7, '2023-09-06 14:18:42', 1, '', ''), (6615, 604, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694678341359.jpg', '', 128, 1, 1, 99, '', '2023-09-14 15:59:28', 7, '2023-09-06 14:17:18', 1, '', ''), (6616, 604, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 15:59:28', 7, '2023-09-06 14:17:39', 1, '', ''), (6617, 604, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 15:59:28', 7, NULL, NULL, '', ''), (6618, 604, 'jobNum', '工号', 'input', '', 'string', 'SW084', '', 128, 1, 1, 99, '', '2023-09-14 15:59:28', 7, NULL, NULL, '', ''), (6619, 604, 'staffName', '员工姓名', 'input', '', 'string', '蔡宇航', '', 128, 1, 1, 99, '', '2023-09-14 15:59:28', 7, '2023-09-06 14:16:51', 1, '', ''), (6620, 604, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:59:28', 7, NULL, NULL, '', ''), (6621, 604, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 15:59:28', 7, '2023-09-06 09:08:31', 1, '', ''), (6622, 604, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 15:59:28', 7, '2023-09-06 09:08:38', 1, '', ''), (6623, 604, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 15:59:28', 7, NULL, NULL, '', ''), (6624, 605, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:00:25', 7, '2023-09-06 14:18:42', 1, '', ''), (6625, 605, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694678397533.jpg', '', 128, 1, 1, 99, '', '2023-09-14 16:00:25', 7, '2023-09-06 14:17:18', 1, '', ''), (6626, 605, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 16:00:25', 7, '2023-09-06 14:17:39', 1, '', ''), (6627, 605, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:00:25', 7, NULL, NULL, '', ''), (6628, 605, 'jobNum', '工号', 'input', '', 'string', 'SW086', '', 128, 1, 1, 99, '', '2023-09-14 16:00:25', 7, NULL, NULL, '', ''), (6629, 605, 'staffName', '员工姓名', 'input', '', 'string', '唐静', '', 128, 1, 1, 99, '', '2023-09-14 16:00:25', 7, '2023-09-06 14:16:51', 1, '', ''), (6630, 605, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:00:25', 7, NULL, NULL, '', ''), (6631, 605, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:00:25', 7, '2023-09-06 09:08:31', 1, '', ''), (6632, 605, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:00:25', 7, '2023-09-06 09:08:38', 1, '', ''), (6633, 605, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:00:25', 7, NULL, NULL, '', ''), (6634, 606, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:01:12', 7, '2023-09-06 14:18:42', 1, '', ''), (6635, 606, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694678447766.jpg', '', 128, 1, 1, 99, '', '2023-09-14 16:01:12', 7, '2023-09-06 14:17:18', 1, '', ''), (6636, 606, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 16:01:12', 7, '2023-09-06 14:17:39', 1, '', ''), (6637, 606, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:01:12', 7, NULL, NULL, '', ''), (6638, 606, 'jobNum', '工号', 'input', '', 'string', 'SW025', '', 128, 1, 1, 99, '', '2023-09-14 16:01:12', 7, NULL, NULL, '', ''), (6639, 606, 'staffName', '员工姓名', 'input', '', 'string', '杨馨', '', 128, 1, 1, 99, '', '2023-09-14 16:01:12', 7, '2023-09-06 14:16:51', 1, '', ''), (6640, 606, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:01:12', 7, NULL, NULL, '', ''), (6641, 606, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:01:12', 7, '2023-09-06 09:08:31', 1, '', ''), (6642, 606, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:01:12', 7, '2023-09-06 09:08:38', 1, '', ''), (6643, 606, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:01:12', 7, NULL, NULL, '', ''), (6644, 607, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:02:01', 7, '2023-09-06 14:18:42', 1, '', ''), (6645, 607, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694678492513.png', '', 128, 1, 1, 99, '', '2023-09-14 16:02:01', 7, '2023-09-06 14:17:18', 1, '', ''), (6646, 607, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 16:02:01', 7, '2023-09-06 14:17:39', 1, '', ''), (6647, 607, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:02:01', 7, NULL, NULL, '', ''), (6648, 607, 'jobNum', '工号', 'input', '', 'string', 'SW030', '', 128, 1, 1, 99, '', '2023-09-14 16:02:01', 7, NULL, NULL, '', ''), (6649, 607, 'staffName', '员工姓名', 'input', '', 'string', '谢珊', '', 128, 1, 1, 99, '', '2023-09-14 16:02:01', 7, '2023-09-06 14:16:51', 1, '', ''), (6650, 607, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:02:01', 7, NULL, NULL, '', ''), (6651, 607, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:02:01', 7, '2023-09-06 09:08:31', 1, '', ''), (6652, 607, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:02:01', 7, '2023-09-06 09:08:38', 1, '', ''), (6653, 607, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:02:01', 7, NULL, NULL, '', ''), (6654, 608, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:02:42', 7, '2023-09-06 14:18:42', 1, '', ''), (6655, 608, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694678538044.png', '', 128, 1, 1, 99, '', '2023-09-14 16:02:42', 7, '2023-09-06 14:17:18', 1, '', ''), (6656, 608, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 16:02:42', 7, '2023-09-06 14:17:39', 1, '', ''), (6657, 608, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:02:42', 7, NULL, NULL, '', ''), (6658, 608, 'jobNum', '工号', 'input', '', 'string', 'SW026', '', 128, 1, 1, 99, '', '2023-09-14 16:02:42', 7, NULL, NULL, '', ''), (6659, 608, 'staffName', '员工姓名', 'input', '', 'string', '李洋', '', 128, 1, 1, 99, '', '2023-09-14 16:02:42', 7, '2023-09-06 14:16:51', 1, '', ''), (6660, 608, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:02:42', 7, NULL, NULL, '', ''), (6661, 608, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:02:42', 7, '2023-09-06 09:08:31', 1, '', ''), (6662, 608, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:02:42', 7, '2023-09-06 09:08:38', 1, '', ''), (6663, 608, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:02:42', 7, NULL, NULL, '', ''), (6664, 609, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:03:24', 7, '2023-09-06 14:18:42', 1, '', ''), (6665, 609, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694678579934.png', '', 128, 1, 1, 99, '', '2023-09-14 16:03:24', 7, '2023-09-06 14:17:18', 1, '', ''), (6666, 609, 'section', '部门', 'input', '', 'string', '宜宾市税务局', '', 128, 1, 1, 99, '', '2023-09-14 16:03:24', 7, '2023-09-06 14:17:39', 1, '', ''), (6667, 609, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:03:24', 7, NULL, NULL, '', ''), (6668, 609, 'jobNum', '工号', 'input', '', 'string', 'SW028', '', 128, 1, 1, 99, '', '2023-09-14 16:03:24', 7, NULL, NULL, '', ''), (6669, 609, 'staffName', '员工姓名', 'input', '', 'string', '罗翔文', '', 128, 1, 1, 99, '', '2023-09-14 16:03:24', 7, '2023-09-06 14:16:51', 1, '', ''), (6670, 609, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:03:24', 7, NULL, NULL, '', ''), (6671, 609, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:03:24', 7, '2023-09-06 09:08:31', 1, '', ''), (6672, 609, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:03:24', 7, '2023-09-06 09:08:38', 1, '', ''), (6673, 609, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:03:24', 7, NULL, NULL, '', ''), (6674, 610, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:06:03', 7, '2023-09-06 14:18:42', 1, '', ''), (6675, 610, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694678672570.jpg', '', 128, 1, 1, 99, '', '2023-09-14 16:06:03', 7, '2023-09-06 14:17:18', 1, '', ''), (6676, 610, 'section', '部门', 'input', '', 'string', '市住房城乡建设局', '', 128, 1, 1, 99, '', '2023-09-14 16:06:03', 7, '2023-09-06 14:17:39', 1, '', ''), (6677, 610, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:06:03', 7, NULL, NULL, '', ''), (6678, 610, 'jobNum', '工号', 'input', '', 'string', 'ZJ02', '', 128, 1, 1, 99, '', '2023-09-14 16:06:03', 7, NULL, NULL, '', ''), (6679, 610, 'staffName', '员工姓名', 'input', '', 'string', '梁香琴', '', 128, 1, 1, 99, '', '2023-09-14 16:06:03', 7, '2023-09-06 14:16:51', 1, '', ''), (6680, 610, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:06:03', 7, NULL, NULL, '', ''), (6681, 610, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:06:03', 7, '2023-09-06 09:08:31', 1, '', ''), (6682, 610, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:06:03', 7, '2023-09-06 09:08:38', 1, '', ''), (6683, 610, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:06:03', 7, NULL, NULL, '', ''), (6684, 611, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:08:24', 7, '2023-09-06 14:18:42', 1, '', ''), (6685, 611, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694678877612.png', '', 128, 1, 1, 99, '', '2023-09-14 16:08:24', 7, '2023-09-06 14:17:18', 1, '', ''), (6686, 611, 'section', '部门', 'input', '', 'string', '市不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-14 16:08:24', 7, '2023-09-06 14:17:39', 1, '', ''), (6687, 611, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:08:24', 7, NULL, NULL, '', ''), (6688, 611, 'jobNum', '工号', 'input', '', 'string', 'BDC058', '', 128, 1, 1, 99, '', '2023-09-14 16:08:24', 7, NULL, NULL, '', ''), (6689, 611, 'staffName', '员工姓名', 'input', '', 'string', '向莉', '', 128, 1, 1, 99, '', '2023-09-14 16:08:24', 7, '2023-09-06 14:16:51', 1, '', ''), (6690, 611, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:08:24', 7, NULL, NULL, '', ''), (6691, 611, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:08:24', 7, '2023-09-06 09:08:31', 1, '', ''), (6692, 611, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:08:24', 7, '2023-09-06 09:08:38', 1, '', ''), (6693, 611, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:08:24', 7, NULL, NULL, '', ''), (6694, 612, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:09:13', 7, '2023-09-06 14:18:42', 1, '', ''), (6695, 612, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694678926683.png', '', 128, 1, 1, 99, '', '2023-09-14 16:09:13', 7, '2023-09-06 14:17:18', 1, '', ''), (6696, 612, 'section', '部门', 'input', '', 'string', '市不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-14 16:09:13', 7, '2023-09-06 14:17:39', 1, '', ''), (6697, 612, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:09:13', 7, NULL, NULL, '', ''), (6698, 612, 'jobNum', '工号', 'input', '', 'string', 'BDC048', '', 128, 1, 1, 99, '', '2023-09-14 16:09:13', 7, NULL, NULL, '', ''), (6699, 612, 'staffName', '员工姓名', 'input', '', 'string', '曾莎', '', 128, 1, 1, 99, '', '2023-09-14 16:09:13', 7, '2023-09-06 14:16:51', 1, '', ''), (6700, 612, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:09:13', 7, NULL, NULL, '', ''), (6701, 612, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:09:13', 7, '2023-09-06 09:08:31', 1, '', ''), (6702, 612, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:09:13', 7, '2023-09-06 09:08:38', 1, '', ''), (6703, 612, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:09:13', 7, NULL, NULL, '', ''), (6704, 613, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:10:02', 7, '2023-09-06 14:18:42', 1, '', ''), (6705, 613, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694678971581.png', '', 128, 1, 1, 99, '', '2023-09-14 16:10:02', 7, '2023-09-06 14:17:18', 1, '', ''), (6706, 613, 'section', '部门', 'input', '', 'string', '市不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-14 16:10:02', 7, '2023-09-06 14:17:39', 1, '', ''), (6707, 613, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:10:02', 7, NULL, NULL, '', ''), (6708, 613, 'jobNum', '工号', 'input', '', 'string', 'BDC050', '', 128, 1, 1, 99, '', '2023-09-14 16:10:02', 7, NULL, NULL, '', ''), (6709, 613, 'staffName', '员工姓名', 'input', '', 'string', '李英杰', '', 128, 1, 1, 99, '', '2023-09-14 16:10:02', 7, '2023-09-06 14:16:51', 1, '', ''), (6710, 613, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:10:02', 7, NULL, NULL, '', ''), (6711, 613, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:10:02', 7, '2023-09-06 09:08:31', 1, '', ''), (6712, 613, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:10:02', 7, '2023-09-06 09:08:38', 1, '', ''), (6713, 613, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:10:02', 7, NULL, NULL, '', ''), (6714, 614, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:11:02', 7, '2023-09-06 14:18:42', 1, '', ''), (6715, 614, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694679031141.png', '', 128, 1, 1, 99, '', '2023-09-14 16:11:02', 7, '2023-09-06 14:17:18', 1, '', ''), (6716, 614, 'section', '部门', 'input', '', 'string', '市不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-14 16:11:02', 7, '2023-09-06 14:17:39', 1, '', ''), (6717, 614, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:11:02', 7, NULL, NULL, '', ''), (6718, 614, 'jobNum', '工号', 'input', '', 'string', 'BDC052', '', 128, 1, 1, 99, '', '2023-09-14 16:11:02', 7, NULL, NULL, '', ''), (6719, 614, 'staffName', '员工姓名', 'input', '', 'string', '陈国玲', '', 128, 1, 1, 99, '', '2023-09-14 16:11:02', 7, '2023-09-06 14:16:51', 1, '', ''), (6720, 614, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:11:02', 7, NULL, NULL, '', ''), (6721, 614, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:11:02', 7, '2023-09-06 09:08:31', 1, '', ''), (6722, 614, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:11:02', 7, '2023-09-06 09:08:38', 1, '', ''), (6723, 614, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:11:02', 7, NULL, NULL, '', ''), (6724, 615, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:11:56', 7, '2023-09-06 14:18:42', 1, '', ''), (6725, 615, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694679085346.png', '', 128, 1, 1, 99, '', '2023-09-14 16:11:56', 7, '2023-09-06 14:17:18', 1, '', ''), (6726, 615, 'section', '部门', 'input', '', 'string', '市不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-14 16:11:56', 7, '2023-09-06 14:17:39', 1, '', ''), (6727, 615, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:11:56', 7, NULL, NULL, '', ''), (6728, 615, 'jobNum', '工号', 'input', '', 'string', 'BDC049', '', 128, 1, 1, 99, '', '2023-09-14 16:11:56', 7, NULL, NULL, '', ''), (6729, 615, 'staffName', '员工姓名', 'input', '', 'string', '陈蓉萍', '', 128, 1, 1, 99, '', '2023-09-14 16:11:56', 7, '2023-09-06 14:16:51', 1, '', ''), (6730, 615, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:11:56', 7, NULL, NULL, '', ''), (6731, 615, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:11:56', 7, '2023-09-06 09:08:31', 1, '', ''), (6732, 615, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:11:56', 7, '2023-09-06 09:08:38', 1, '', ''), (6733, 615, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:11:56', 7, NULL, NULL, '', ''), (6734, 616, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:12:44', 7, '2023-09-06 14:18:42', 1, '', ''), (6735, 616, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694679139041.png', '', 128, 1, 1, 99, '', '2023-09-14 16:12:44', 7, '2023-09-06 14:17:18', 1, '', ''), (6736, 616, 'section', '部门', 'input', '', 'string', '市不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-14 16:12:44', 7, '2023-09-06 14:17:39', 1, '', ''), (6737, 616, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:12:44', 7, NULL, NULL, '', ''), (6738, 616, 'jobNum', '工号', 'input', '', 'string', 'BDC049', '', 128, 1, 1, 99, '', '2023-09-14 16:12:44', 7, NULL, NULL, '', ''), (6739, 616, 'staffName', '员工姓名', 'input', '', 'string', '刘俊利', '', 128, 1, 1, 99, '', '2023-09-14 16:12:44', 7, '2023-09-06 14:16:51', 1, '', ''), (6740, 616, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:12:44', 7, NULL, NULL, '', ''), (6741, 616, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:12:44', 7, '2023-09-06 09:08:31', 1, '', ''), (6742, 616, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:12:44', 7, '2023-09-06 09:08:38', 1, '', ''), (6743, 616, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:12:44', 7, NULL, NULL, '', ''), (6744, 617, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:13:35', 7, '2023-09-06 14:18:42', 1, '', ''), (6745, 617, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694679184387.png', '', 128, 1, 1, 99, '', '2023-09-14 16:13:35', 7, '2023-09-06 14:17:18', 1, '', ''), (6746, 617, 'section', '部门', 'input', '', 'string', '市不动产登记中心', '', 128, 1, 1, 99, '', '2023-09-14 16:13:35', 7, '2023-09-06 14:17:39', 1, '', ''), (6747, 617, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:13:35', 7, NULL, NULL, '', ''), (6748, 617, 'jobNum', '工号', 'input', '', 'string', 'BDC060', '', 128, 1, 1, 99, '', '2023-09-14 16:13:35', 7, NULL, NULL, '', ''), (6749, 617, 'staffName', '员工姓名', 'input', '', 'string', '唐埠堎', '', 128, 1, 1, 99, '', '2023-09-14 16:13:35', 7, '2023-09-06 14:16:51', 1, '', ''), (6750, 617, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:13:35', 7, NULL, NULL, '', ''), (6751, 617, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:13:35', 7, '2023-09-06 09:08:31', 1, '', ''), (6752, 617, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:13:35', 7, '2023-09-06 09:08:38', 1, '', ''), (6753, 617, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:13:35', 7, NULL, NULL, '', ''), (6754, 618, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:14:40', 7, '2023-09-06 14:18:42', 1, '', ''), (6755, 618, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694679251807.png', '', 128, 1, 1, 99, '', '2023-09-14 16:14:40', 7, '2023-09-06 14:17:18', 1, '', ''), (6756, 618, 'section', '部门', 'input', '', 'string', '市公安局交警支队', '', 128, 1, 1, 99, '', '2023-09-14 16:14:40', 7, '2023-09-06 14:17:39', 1, '', ''), (6757, 618, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:14:40', 7, NULL, NULL, '', ''), (6758, 618, 'jobNum', '工号', 'input', '', 'string', 'JJ011', '', 128, 1, 1, 99, '', '2023-09-14 16:14:40', 7, NULL, NULL, '', ''), (6759, 618, 'staffName', '员工姓名', 'input', '', 'string', '向树明', '', 128, 1, 1, 99, '', '2023-09-14 16:14:40', 7, '2023-09-06 14:16:51', 1, '', ''), (6760, 618, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:14:40', 7, NULL, NULL, '', ''), (6761, 618, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:14:40', 7, '2023-09-06 09:08:31', 1, '', ''), (6762, 618, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:14:40', 7, '2023-09-06 09:08:38', 1, '', ''), (6763, 618, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:14:40', 7, NULL, NULL, '', ''), (6764, 619, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:16:25', 7, '2023-09-06 14:18:42', 1, '', ''), (6765, 619, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694679347082.png', '', 128, 1, 1, 99, '', '2023-09-14 16:16:25', 7, '2023-09-06 14:17:18', 1, '', ''), (6766, 619, 'section', '部门', 'input', '', 'string', '市公安局交警支队', '', 128, 1, 1, 99, '', '2023-09-14 16:16:25', 7, '2023-09-06 14:17:39', 1, '', ''), (6767, 619, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:16:25', 7, NULL, NULL, '', ''), (6768, 619, 'jobNum', '工号', 'input', '', 'string', 'JJ007', '', 128, 1, 1, 99, '', '2023-09-14 16:16:25', 7, NULL, NULL, '', ''), (6769, 619, 'staffName', '员工姓名', 'input', '', 'string', '王丹', '', 128, 1, 1, 99, '', '2023-09-14 16:16:25', 7, '2023-09-06 14:16:51', 1, '', ''), (6770, 619, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:16:25', 7, NULL, NULL, '', ''), (6771, 619, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:16:25', 7, '2023-09-06 09:08:31', 1, '', ''), (6772, 619, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:16:25', 7, '2023-09-06 09:08:38', 1, '', ''), (6773, 619, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:16:25', 7, NULL, NULL, '', ''), (6774, 620, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:18:18', 7, '2023-09-06 14:18:42', 1, '', ''), (6775, 620, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694679470774.png', '', 128, 1, 1, 99, '', '2023-09-14 16:18:18', 7, '2023-09-06 14:17:18', 1, '', ''), (6776, 620, 'section', '部门', 'input', '', 'string', '市公安局交警支队', '', 128, 1, 1, 99, '', '2023-09-14 16:18:18', 7, '2023-09-06 14:17:39', 1, '', ''), (6777, 620, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:18:18', 7, NULL, NULL, '', ''), (6778, 620, 'jobNum', '工号', 'input', '', 'string', 'JJ004', '', 128, 1, 1, 99, '', '2023-09-14 16:18:18', 7, NULL, NULL, '', ''), (6779, 620, 'staffName', '员工姓名', 'input', '', 'string', '石艳', '', 128, 1, 1, 99, '', '2023-09-14 16:18:18', 7, '2023-09-06 14:16:51', 1, '', ''), (6780, 620, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:18:18', 7, NULL, NULL, '', ''), (6781, 620, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:18:18', 7, '2023-09-06 09:08:31', 1, '', ''), (6782, 620, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:18:18', 7, '2023-09-06 09:08:38', 1, '', ''), (6783, 620, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:18:18', 7, NULL, NULL, '', ''), (6784, 621, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:19:11', 7, '2023-09-06 14:18:42', 1, '', ''), (6785, 621, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694679526184.png', '', 128, 1, 1, 99, '', '2023-09-14 16:19:11', 7, '2023-09-06 14:17:18', 1, '', ''), (6786, 621, 'section', '部门', 'input', '', 'string', '市公安局交警支队', '', 128, 1, 1, 99, '', '2023-09-14 16:19:11', 7, '2023-09-06 14:17:39', 1, '', ''), (6787, 621, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:19:11', 7, NULL, NULL, '', ''), (6788, 621, 'jobNum', '工号', 'input', '', 'string', 'JJ008', '', 128, 1, 1, 99, '', '2023-09-14 16:19:11', 7, NULL, NULL, '', ''), (6789, 621, 'staffName', '员工姓名', 'input', '', 'string', '雷雨', '', 128, 1, 1, 99, '', '2023-09-14 16:19:11', 7, '2023-09-06 14:16:51', 1, '', ''), (6790, 621, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:19:11', 7, NULL, NULL, '', ''), (6791, 621, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:19:11', 7, '2023-09-06 09:08:31', 1, '', ''), (6792, 621, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:19:11', 7, '2023-09-06 09:08:38', 1, '', ''), (6793, 621, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:19:11', 7, NULL, NULL, '', ''), (6794, 622, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:20:49', 7, '2023-09-06 14:18:42', 1, '', ''), (6795, 622, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694679567876.jpg', '', 128, 1, 1, 99, '', '2023-09-14 16:20:49', 7, '2023-09-06 14:17:18', 1, '', ''), (6796, 622, 'section', '部门', 'input', '', 'string', '市公安局出入境管理支队', '', 128, 1, 1, 99, '', '2023-09-14 16:20:49', 7, '2023-09-06 14:17:39', 1, '', ''), (6797, 622, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:20:49', 7, NULL, NULL, '', ''), (6798, 622, 'jobNum', '工号', 'input', '', 'string', 'CRJ035', '', 128, 1, 1, 99, '', '2023-09-14 16:20:49', 7, NULL, NULL, '', ''), (6799, 622, 'staffName', '员工姓名', 'input', '', 'string', '郭永红', '', 128, 1, 1, 99, '', '2023-09-14 16:20:49', 7, '2023-09-06 14:16:51', 1, '', ''), (6800, 622, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:20:49', 7, NULL, NULL, '', ''), (6801, 622, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:20:49', 7, '2023-09-06 09:08:31', 1, '', ''), (6802, 622, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:20:49', 7, '2023-09-06 09:08:38', 1, '', ''), (6803, 622, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:20:49', 7, NULL, NULL, '', ''), (6804, 623, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:21:56', 7, '2023-09-06 14:18:42', 1, '', ''), (6805, 623, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694679678383.jpg', '', 128, 1, 1, 99, '', '2023-09-14 16:21:56', 7, '2023-09-06 14:17:18', 1, '', ''), (6806, 623, 'section', '部门', 'input', '', 'string', '市公安局出入境管理支队', '', 128, 1, 1, 99, '', '2023-09-14 16:21:56', 7, '2023-09-06 14:17:39', 1, '', ''), (6807, 623, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:21:56', 7, NULL, NULL, '', '');
INSERT INTO `mortals_sys_app_info_field` VALUES (6808, 623, 'jobNum', '工号', 'input', '', 'string', 'CRJ025', '', 128, 1, 1, 99, '', '2023-09-14 16:21:56', 7, NULL, NULL, '', ''), (6809, 623, 'staffName', '员工姓名', 'input', '', 'string', '廖旭骄', '', 128, 1, 1, 99, '', '2023-09-14 16:21:56', 7, '2023-09-06 14:16:51', 1, '', ''), (6810, 623, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:21:56', 7, NULL, NULL, '', ''), (6811, 623, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:21:56', 7, '2023-09-06 09:08:31', 1, '', ''), (6812, 623, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:21:56', 7, '2023-09-06 09:08:38', 1, '', ''), (6813, 623, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:21:56', 7, NULL, NULL, '', ''), (6814, 624, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:22:45', 7, '2023-09-06 14:18:42', 1, '', ''), (6815, 624, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694679736982.jpg', '', 128, 1, 1, 99, '', '2023-09-14 16:22:45', 7, '2023-09-06 14:17:18', 1, '', ''), (6816, 624, 'section', '部门', 'input', '', 'string', '市公安局出入境管理支队', '', 128, 1, 1, 99, '', '2023-09-14 16:22:45', 7, '2023-09-06 14:17:39', 1, '', ''), (6817, 624, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:22:45', 7, NULL, NULL, '', ''), (6818, 624, 'jobNum', '工号', 'input', '', 'string', 'CRJ031', '', 128, 1, 1, 99, '', '2023-09-14 16:22:45', 7, NULL, NULL, '', ''), (6819, 624, 'staffName', '员工姓名', 'input', '', 'string', '彭睿', '', 128, 1, 1, 99, '', '2023-09-14 16:22:45', 7, '2023-09-06 14:16:51', 1, '', ''), (6820, 624, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:22:45', 7, NULL, NULL, '', ''), (6821, 624, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:22:45', 7, '2023-09-06 09:08:31', 1, '', ''), (6822, 624, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:22:45', 7, '2023-09-06 09:08:38', 1, '', ''), (6823, 624, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:22:45', 7, NULL, NULL, '', ''), (6824, 625, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:27:16', 7, '2023-09-06 14:18:42', 1, '', ''), (6825, 625, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694679936094.jpg', '', 128, 1, 1, 99, '', '2023-09-14 16:27:16', 7, '2023-09-06 14:17:18', 1, '', ''), (6826, 625, 'section', '部门', 'input', '', 'string', '市公安局出入境管理支队', '', 128, 1, 1, 99, '', '2023-09-14 16:27:16', 7, '2023-09-06 14:17:39', 1, '', ''), (6827, 625, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:27:16', 7, NULL, NULL, '', ''), (6828, 625, 'jobNum', '工号', 'input', '', 'string', 'CRJ027', '', 128, 1, 1, 99, '', '2023-09-14 16:27:16', 7, NULL, NULL, '', ''), (6829, 625, 'staffName', '员工姓名', 'input', '', 'string', '黄丽', '', 128, 1, 1, 99, '', '2023-09-14 16:27:16', 7, '2023-09-06 14:16:51', 1, '', ''), (6830, 625, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:27:16', 7, NULL, NULL, '', ''), (6831, 625, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:27:16', 7, '2023-09-06 09:08:31', 1, '', ''), (6832, 625, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:27:16', 7, '2023-09-06 09:08:38', 1, '', ''), (6833, 625, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:27:16', 7, NULL, NULL, '', ''), (6834, 626, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:30:46', 7, '2023-09-06 14:18:42', 1, '', ''), (6835, 626, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694680196327.jpg', '', 128, 1, 1, 99, '', '2023-09-14 16:30:46', 7, '2023-09-06 14:17:18', 1, '', ''), (6836, 626, 'section', '部门', 'input', '', 'string', '市公安局出入境管理支队', '', 128, 1, 1, 99, '', '2023-09-14 16:30:46', 7, '2023-09-06 14:17:39', 1, '', ''), (6837, 626, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:30:46', 7, NULL, NULL, '', ''), (6838, 626, 'jobNum', '工号', 'input', '', 'string', 'CRJ016', '', 128, 1, 1, 99, '', '2023-09-14 16:30:46', 7, NULL, NULL, '', ''), (6839, 626, 'staffName', '员工姓名', 'input', '', 'string', '丁盛', '', 128, 1, 1, 99, '', '2023-09-14 16:30:46', 7, '2023-09-06 14:16:51', 1, '', ''), (6840, 626, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:30:46', 7, NULL, NULL, '', ''), (6841, 626, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:30:46', 7, '2023-09-06 09:08:31', 1, '', ''), (6842, 626, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:30:46', 7, '2023-09-06 09:08:38', 1, '', ''), (6843, 626, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:30:46', 7, NULL, NULL, '', ''), (6844, 627, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:31:58', 7, '2023-09-06 14:18:42', 1, '', ''), (6845, 627, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694680274147.jpg', '', 128, 1, 1, 99, '', '2023-09-14 16:31:58', 7, '2023-09-06 14:17:18', 1, '', ''), (6846, 627, 'section', '部门', 'input', '', 'string', '市公安局出入境管理支队', '', 128, 1, 1, 99, '', '2023-09-14 16:31:58', 7, '2023-09-06 14:17:39', 1, '', ''), (6847, 627, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:31:58', 7, NULL, NULL, '', ''), (6848, 627, 'jobNum', '工号', 'input', '', 'string', 'CRJ022', '', 128, 1, 1, 99, '', '2023-09-14 16:31:58', 7, NULL, NULL, '', ''), (6849, 627, 'staffName', '员工姓名', 'input', '', 'string', '林婷', '', 128, 1, 1, 99, '', '2023-09-14 16:31:58', 7, '2023-09-06 14:16:51', 1, '', ''), (6850, 627, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:31:58', 7, NULL, NULL, '', ''), (6851, 627, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:31:58', 7, '2023-09-06 09:08:31', 1, '', ''), (6852, 627, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:31:58', 7, '2023-09-06 09:08:38', 1, '', ''), (6853, 627, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:31:58', 7, NULL, NULL, '', ''), (6854, 628, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:33:28', 7, '2023-09-14 16:33:28', 7, '', ''), (6855, 628, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694680351842.jpg', '', 128, 1, 1, 99, '', '2023-09-14 16:33:28', 7, '2023-09-14 16:33:28', 7, '', ''), (6856, 628, 'section', '部门', 'input', '', 'string', '市公安局出入境管理支队', '', 128, 1, 1, 99, '', '2023-09-14 16:33:28', 7, '2023-09-14 16:33:28', 7, '', ''), (6857, 628, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:33:28', 7, '2023-09-14 16:33:28', 7, '', ''), (6858, 628, 'jobNum', '工号', 'input', '', 'string', 'CRJ019', '', 128, 1, 1, 99, '', '2023-09-14 16:33:28', 7, '2023-09-14 16:33:28', 7, '', ''), (6859, 628, 'staffName', '员工姓名', 'input', '', 'string', '刘瑜', '', 128, 1, 1, 99, '', '2023-09-14 16:33:28', 7, '2023-09-14 16:33:28', 7, '', ''), (6860, 628, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:33:28', 7, '2023-09-14 16:33:28', 7, '', ''), (6861, 628, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:33:28', 7, '2023-09-14 16:33:28', 7, '', ''), (6862, 628, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:33:28', 7, '2023-09-14 16:33:28', 7, '', ''), (6863, 628, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:33:28', 7, '2023-09-14 16:33:28', 7, '', ''), (6864, 629, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:35:02', 7, '2023-09-06 14:18:42', 1, '', ''), (6865, 629, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694680453296.png', '', 128, 1, 1, 99, '', '2023-09-14 16:35:02', 7, '2023-09-06 14:17:18', 1, '', ''), (6866, 629, 'section', '部门', 'input', '', 'string', '市卫生健康委', '', 128, 1, 1, 99, '', '2023-09-14 16:35:02', 7, '2023-09-06 14:17:39', 1, '', ''), (6867, 629, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:35:02', 7, NULL, NULL, '', ''), (6868, 629, 'jobNum', '工号', 'input', '', 'string', 'WJ01', '', 128, 1, 1, 99, '', '2023-09-14 16:35:02', 7, NULL, NULL, '', ''), (6869, 629, 'staffName', '员工姓名', 'input', '', 'string', '吴霞', '', 128, 1, 1, 99, '', '2023-09-14 16:35:02', 7, '2023-09-06 14:16:51', 1, '', ''), (6870, 629, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:35:02', 7, NULL, NULL, '', ''), (6871, 629, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:35:02', 7, '2023-09-06 09:08:31', 1, '', ''), (6872, 629, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:35:02', 7, '2023-09-06 09:08:38', 1, '', ''), (6873, 629, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:35:02', 7, NULL, NULL, '', ''), (6874, 630, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:49:56', 7, '2023-09-14 16:49:56', 7, '', ''), (6875, 630, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694681247009.jpg', '', 128, 1, 1, 99, '', '2023-09-14 16:49:56', 7, '2023-09-14 16:49:56', 7, '', ''), (6876, 630, 'section', '部门', 'input', '', 'string', '市生态环境局', '', 128, 1, 1, 99, '', '2023-09-14 16:49:56', 7, '2023-09-14 16:49:56', 7, '', ''), (6877, 630, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:49:56', 7, '2023-09-14 16:49:56', 7, '', ''), (6878, 630, 'jobNum', '工号', 'input', '', 'string', 'sth001', '', 128, 1, 1, 99, '', '2023-09-14 16:49:56', 7, '2023-09-14 16:49:56', 7, '', ''), (6879, 630, 'staffName', '员工姓名', 'input', '', 'string', '陈旭佳', '', 128, 1, 1, 99, '', '2023-09-14 16:49:56', 7, '2023-09-14 16:49:56', 7, '', ''), (6880, 630, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:49:56', 7, '2023-09-14 16:49:56', 7, '', ''), (6881, 630, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:49:56', 7, '2023-09-14 16:49:56', 7, '', ''), (6882, 630, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:49:56', 7, '2023-09-14 16:49:56', 7, '', ''), (6883, 630, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:49:56', 7, '2023-09-14 16:49:56', 7, '', ''), (6884, 631, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:51:49', 7, '2023-09-14 16:51:49', 7, '', ''), (6885, 631, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694681463656.jpg', '', 128, 1, 1, 99, '', '2023-09-14 16:51:49', 7, '2023-09-14 16:51:49', 7, '', ''), (6886, 631, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-09-14 16:51:49', 7, '2023-09-14 16:51:49', 7, '', ''), (6887, 631, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:51:49', 7, '2023-09-14 16:51:49', 7, '', ''), (6888, 631, 'jobNum', '工号', 'input', '', 'string', 'RS007', '', 128, 1, 1, 99, '', '2023-09-14 16:51:49', 7, '2023-09-14 16:51:49', 7, '', ''), (6889, 631, 'staffName', '员工姓名', 'input', '', 'string', '尹红', '', 128, 1, 1, 99, '', '2023-09-14 16:51:49', 7, '2023-09-14 16:51:49', 7, '', ''), (6890, 631, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:51:49', 7, '2023-09-14 16:51:49', 7, '', ''), (6891, 631, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:51:49', 7, '2023-09-14 16:51:49', 7, '', ''), (6892, 631, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:51:49', 7, '2023-09-14 16:51:49', 7, '', ''), (6893, 631, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:51:49', 7, '2023-09-14 16:51:49', 7, '', ''), (6894, 632, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:53:09', 7, '2023-09-06 14:18:42', 1, '', ''), (6895, 632, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694681544568.jpg', '', 128, 1, 1, 99, '', '2023-09-14 16:53:09', 7, '2023-09-06 14:17:18', 1, '', ''), (6896, 632, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-09-14 16:53:09', 7, '2023-09-06 14:17:39', 1, '', ''), (6897, 632, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:53:09', 7, NULL, NULL, '', ''), (6898, 632, 'jobNum', '工号', 'input', '', 'string', 'rs059', '', 128, 1, 1, 99, '', '2023-09-14 16:53:09', 7, NULL, NULL, '', ''), (6899, 632, 'staffName', '员工姓名', 'input', '', 'string', '王晨', '', 128, 1, 1, 99, '', '2023-09-14 16:53:09', 7, '2023-09-06 14:16:51', 1, '', ''), (6900, 632, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:53:09', 7, NULL, NULL, '', ''), (6901, 632, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:53:09', 7, '2023-09-06 09:08:31', 1, '', ''), (6902, 632, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:53:09', 7, '2023-09-06 09:08:38', 1, '', ''), (6903, 632, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:53:09', 7, NULL, NULL, '', ''), (6904, 633, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:54:25', 7, '2023-09-06 14:18:42', 1, '', ''), (6905, 633, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694681635802.jpg', '', 128, 1, 1, 99, '', '2023-09-14 16:54:25', 7, '2023-09-06 14:17:18', 1, '', ''), (6906, 633, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-09-14 16:54:25', 7, '2023-09-06 14:17:39', 1, '', ''), (6907, 633, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:54:25', 7, NULL, NULL, '', ''), (6908, 633, 'jobNum', '工号', 'input', '', 'string', 'RS045', '', 128, 1, 1, 99, '', '2023-09-14 16:54:25', 7, NULL, NULL, '', ''), (6909, 633, 'staffName', '员工姓名', 'input', '', 'string', '陈丽', '', 128, 1, 1, 99, '', '2023-09-14 16:54:25', 7, '2023-09-06 14:16:51', 1, '', ''), (6910, 633, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:54:25', 7, NULL, NULL, '', ''), (6911, 633, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:54:25', 7, '2023-09-06 09:08:31', 1, '', ''), (6912, 633, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:54:25', 7, '2023-09-06 09:08:38', 1, '', ''), (6913, 633, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:54:25', 7, NULL, NULL, '', ''), (6914, 634, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:55:21', 7, '2023-09-06 14:18:42', 1, '', ''), (6915, 634, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694681691047.jpg', '', 128, 1, 1, 99, '', '2023-09-14 16:55:21', 7, '2023-09-06 14:17:18', 1, '', ''), (6916, 634, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-09-14 16:55:21', 7, '2023-09-06 14:17:39', 1, '', ''), (6917, 634, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:55:21', 7, NULL, NULL, '', ''), (6918, 634, 'jobNum', '工号', 'input', '', 'string', 'RS024', '', 128, 1, 1, 99, '', '2023-09-14 16:55:21', 7, NULL, NULL, '', ''), (6919, 634, 'staffName', '员工姓名', 'input', '', 'string', '刘小路', '', 128, 1, 1, 99, '', '2023-09-14 16:55:21', 7, '2023-09-06 14:16:51', 1, '', ''), (6920, 634, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:55:21', 7, NULL, NULL, '', ''), (6921, 634, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:55:21', 7, '2023-09-06 09:08:31', 1, '', ''), (6922, 634, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:55:21', 7, '2023-09-06 09:08:38', 1, '', ''), (6923, 634, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:55:21', 7, NULL, NULL, '', ''), (6924, 635, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:58:10', 7, '2023-09-06 14:18:42', 1, '', ''), (6925, 635, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694681863713.jpg', '', 128, 1, 1, 99, '', '2023-09-14 16:58:10', 7, '2023-09-06 14:17:18', 1, '', ''), (6926, 635, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-09-14 16:58:10', 7, '2023-09-06 14:17:39', 1, '', ''), (6927, 635, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:58:10', 7, NULL, NULL, '', ''), (6928, 635, 'jobNum', '工号', 'input', '', 'string', 'RS044', '', 128, 1, 1, 99, '', '2023-09-14 16:58:10', 7, NULL, NULL, '', ''), (6929, 635, 'staffName', '员工姓名', 'input', '', 'string', '陈敏', '', 128, 1, 1, 99, '', '2023-09-14 16:58:10', 7, '2023-09-06 14:16:51', 1, '', ''), (6930, 635, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:58:10', 7, NULL, NULL, '', ''), (6931, 635, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:58:10', 7, '2023-09-06 09:08:31', 1, '', ''), (6932, 635, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:58:10', 7, '2023-09-06 09:08:38', 1, '', ''), (6933, 635, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:58:10', 7, NULL, NULL, '', ''), (6934, 636, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:59:54', 7, '2023-09-06 14:18:42', 1, '', ''), (6935, 636, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694681914716.jpg', '', 128, 1, 1, 99, '', '2023-09-14 16:59:54', 7, '2023-09-06 14:17:18', 1, '', ''), (6936, 636, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-09-14 16:59:54', 7, '2023-09-06 14:17:39', 1, '', ''), (6937, 636, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 16:59:54', 7, NULL, NULL, '', ''), (6938, 636, 'jobNum', '工号', 'input', '', 'string', 'RS040', '', 128, 1, 1, 99, '', '2023-09-14 16:59:54', 7, NULL, NULL, '', ''), (6939, 636, 'staffName', '员工姓名', 'input', '', 'string', '郑可佳', '', 128, 1, 1, 99, '', '2023-09-14 16:59:54', 7, '2023-09-06 14:16:51', 1, '', ''), (6940, 636, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:59:54', 7, NULL, NULL, '', ''), (6941, 636, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 16:59:54', 7, '2023-09-06 09:08:31', 1, '', ''), (6942, 636, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 16:59:54', 7, '2023-09-06 09:08:38', 1, '', ''), (6943, 636, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 16:59:54', 7, NULL, NULL, '', ''), (6944, 637, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:02:20', 7, '2023-09-06 14:18:42', 1, '', ''), (6945, 637, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694682097502.jpg', '', 128, 1, 1, 99, '', '2023-09-14 17:02:20', 7, '2023-09-06 14:17:18', 1, '', ''), (6946, 637, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-09-14 17:02:20', 7, '2023-09-06 14:17:39', 1, '', ''), (6947, 637, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:02:20', 7, NULL, NULL, '', ''), (6948, 637, 'jobNum', '工号', 'input', '', 'string', 'RS041', '', 128, 1, 1, 99, '', '2023-09-14 17:02:20', 7, NULL, NULL, '', ''), (6949, 637, 'staffName', '员工姓名', 'input', '', 'string', '麻燕', '', 128, 1, 1, 99, '', '2023-09-14 17:02:20', 7, '2023-09-06 14:16:51', 1, '', ''), (6950, 637, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:02:20', 7, NULL, NULL, '', ''), (6951, 637, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 17:02:20', 7, '2023-09-06 09:08:31', 1, '', ''), (6952, 637, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 17:02:20', 7, '2023-09-06 09:08:38', 1, '', ''), (6953, 637, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:02:20', 7, NULL, NULL, '', ''), (6954, 638, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:03:11', 7, '2023-09-06 14:18:42', 1, '', ''), (6955, 638, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694682161118.jpg', '', 128, 1, 1, 99, '', '2023-09-14 17:03:11', 7, '2023-09-06 14:17:18', 1, '', ''), (6956, 638, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-09-14 17:03:11', 7, '2023-09-06 14:17:39', 1, '', ''), (6957, 638, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:03:11', 7, NULL, NULL, '', ''), (6958, 638, 'jobNum', '工号', 'input', '', 'string', 'RS028', '', 128, 1, 1, 99, '', '2023-09-14 17:03:11', 7, NULL, NULL, '', ''), (6959, 638, 'staffName', '员工姓名', 'input', '', 'string', '杜丽晶', '', 128, 1, 1, 99, '', '2023-09-14 17:03:11', 7, '2023-09-06 14:16:51', 1, '', ''), (6960, 638, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:03:11', 7, NULL, NULL, '', ''), (6961, 638, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 17:03:11', 7, '2023-09-06 09:08:31', 1, '', ''), (6962, 638, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 17:03:11', 7, '2023-09-06 09:08:38', 1, '', ''), (6963, 638, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:03:11', 7, NULL, NULL, '', ''), (6964, 639, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:08:00', 7, '2023-09-06 14:18:42', 1, '', ''), (6965, 639, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694682452436.jpg', '', 128, 1, 1, 99, '', '2023-09-14 17:08:00', 7, '2023-09-06 14:17:18', 1, '', ''), (6966, 639, 'section', '部门', 'input', '', 'string', '宜宾市消防救援支队', '', 128, 1, 1, 99, '', '2023-09-14 17:08:00', 7, '2023-09-06 14:17:39', 1, '', ''), (6967, 639, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:08:00', 7, NULL, NULL, '', ''), (6968, 639, 'jobNum', '工号', 'input', '', 'string', 'XF01', '', 128, 1, 1, 99, '', '2023-09-14 17:08:00', 7, NULL, NULL, '', ''), (6969, 639, 'staffName', '员工姓名', 'input', '', 'string', '李涛', '', 128, 1, 1, 99, '', '2023-09-14 17:08:00', 7, '2023-09-06 14:16:51', 1, '', ''), (6970, 639, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:08:00', 7, NULL, NULL, '', ''), (6971, 639, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 17:08:00', 7, '2023-09-06 09:08:31', 1, '', ''), (6972, 639, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 17:08:00', 7, '2023-09-06 09:08:38', 1, '', ''), (6973, 639, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:08:00', 7, NULL, NULL, '', ''), (6974, 640, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:11:41', 7, '2023-09-06 14:18:42', 1, '', ''), (6975, 640, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694682672941.jpg', '', 128, 1, 1, 99, '', '2023-09-14 17:11:41', 7, '2023-09-06 14:17:18', 1, '', ''), (6976, 640, 'section', '部门', 'input', '', 'string', '住房公积金叙州区管理部', '', 128, 1, 1, 99, '', '2023-09-14 17:11:41', 7, '2023-09-06 14:17:39', 1, '', ''), (6977, 640, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:11:41', 7, NULL, NULL, '', ''), (6978, 640, 'jobNum', '工号', 'input', '', 'string', 'GJJ004', '', 128, 1, 1, 99, '', '2023-09-14 17:11:41', 7, NULL, NULL, '', ''), (6979, 640, 'staffName', '员工姓名', 'input', '', 'string', '赵红', '', 128, 1, 1, 99, '', '2023-09-14 17:11:41', 7, '2023-09-06 14:16:51', 1, '', ''), (6980, 640, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:11:41', 7, NULL, NULL, '', ''), (6981, 640, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 17:11:41', 7, '2023-09-06 09:08:31', 1, '', ''), (6982, 640, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 17:11:41', 7, '2023-09-06 09:08:38', 1, '', ''), (6983, 640, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:11:41', 7, NULL, NULL, '', ''), (6984, 641, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:12:37', 7, '2023-09-06 14:18:42', 1, '', ''), (6985, 641, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694682726703.jpg', '', 128, 1, 1, 99, '', '2023-09-14 17:12:37', 7, '2023-09-06 14:17:18', 1, '', ''), (6986, 641, 'section', '部门', 'input', '', 'string', '住房公积金叙州区管理部', '', 128, 1, 1, 99, '', '2023-09-14 17:12:37', 7, '2023-09-06 14:17:39', 1, '', ''), (6987, 641, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:12:37', 7, NULL, NULL, '', ''), (6988, 641, 'jobNum', '工号', 'input', '', 'string', 'GJJ008', '', 128, 1, 1, 99, '', '2023-09-14 17:12:37', 7, NULL, NULL, '', ''), (6989, 641, 'staffName', '员工姓名', 'input', '', 'string', '陈均', '', 128, 1, 1, 99, '', '2023-09-14 17:12:37', 7, '2023-09-06 14:16:51', 1, '', ''), (6990, 641, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:12:37', 7, NULL, NULL, '', ''), (6991, 641, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 17:12:37', 7, '2023-09-06 09:08:31', 1, '', ''), (6992, 641, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 17:12:37', 7, '2023-09-06 09:08:38', 1, '', ''), (6993, 641, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:12:37', 7, NULL, NULL, '', ''), (6994, 642, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:13:25', 7, '2023-09-06 14:18:42', 1, '', ''), (6995, 642, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694682775308.jpg', '', 128, 1, 1, 99, '', '2023-09-14 17:13:25', 7, '2023-09-06 14:17:18', 1, '', ''), (6996, 642, 'section', '部门', 'input', '', 'string', '住房公积金叙州区管理部', '', 128, 1, 1, 99, '', '2023-09-14 17:13:25', 7, '2023-09-06 14:17:39', 1, '', ''), (6997, 642, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:13:25', 7, NULL, NULL, '', ''), (6998, 642, 'jobNum', '工号', 'input', '', 'string', 'GJJ015', '', 128, 1, 1, 99, '', '2023-09-14 17:13:25', 7, NULL, NULL, '', ''), (6999, 642, 'staffName', '员工姓名', 'input', '', 'string', '王丽', '', 128, 1, 1, 99, '', '2023-09-14 17:13:25', 7, '2023-09-06 14:16:51', 1, '', ''), (7000, 642, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:13:25', 7, NULL, NULL, '', ''), (7001, 642, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 17:13:25', 7, '2023-09-06 09:08:31', 1, '', ''), (7002, 642, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 17:13:25', 7, '2023-09-06 09:08:38', 1, '', ''), (7003, 642, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:13:25', 7, NULL, NULL, '', ''), (7004, 643, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:16:18', 7, '2023-09-06 14:18:42', 1, '', ''), (7005, 643, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694682937461.jpg', '', 128, 1, 1, 99, '', '2023-09-14 17:16:18', 7, '2023-09-06 14:17:18', 1, '', ''), (7006, 643, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-09-14 17:16:18', 7, '2023-09-06 14:17:39', 1, '', ''), (7007, 643, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:16:18', 7, NULL, NULL, '', ''), (7008, 643, 'jobNum', '工号', 'input', '', 'string', 'RS055', '', 128, 1, 1, 99, '', '2023-09-14 17:16:18', 7, NULL, NULL, '', ''), (7009, 643, 'staffName', '员工姓名', 'input', '', 'string', '彭渤', '', 128, 1, 1, 99, '', '2023-09-14 17:16:18', 7, '2023-09-06 14:16:51', 1, '', ''), (7010, 643, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:16:18', 7, NULL, NULL, '', ''), (7011, 643, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 17:16:18', 7, '2023-09-06 09:08:31', 1, '', ''), (7012, 643, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 17:16:18', 7, '2023-09-06 09:08:38', 1, '', ''), (7013, 643, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:16:18', 7, NULL, NULL, '', ''), (7014, 644, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:18:52', 7, '2023-09-14 17:18:52', 7, '', ''), (7015, 644, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694683022263.jpg', '', 128, 1, 1, 99, '', '2023-09-14 17:18:52', 7, '2023-09-14 17:18:52', 7, '', ''), (7016, 644, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-09-14 17:18:52', 7, '2023-09-14 17:18:52', 7, '', ''), (7017, 644, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:18:52', 7, '2023-09-14 17:18:52', 7, '', ''), (7018, 644, 'jobNum', '工号', 'input', '', 'string', 'RS065', '', 128, 1, 1, 99, '', '2023-09-14 17:18:52', 7, '2023-09-14 17:18:52', 7, '', ''), (7019, 644, 'staffName', '员工姓名', 'input', '', 'string', '雷玲', '', 128, 1, 1, 99, '', '2023-09-14 17:18:52', 7, '2023-09-14 17:18:52', 7, '', ''), (7020, 644, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:18:52', 7, '2023-09-14 17:18:52', 7, '', ''), (7021, 644, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 17:18:52', 7, '2023-09-14 17:18:52', 7, '', ''), (7022, 644, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 17:18:52', 7, '2023-09-14 17:18:52', 7, '', ''), (7023, 644, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:18:52', 7, '2023-09-14 17:18:52', 7, '', ''), (7024, 645, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:19:56', 7, '2023-09-06 14:18:42', 1, '', ''), (7025, 645, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694683153451.jpg', '', 128, 1, 1, 99, '', '2023-09-14 17:19:56', 7, '2023-09-06 14:17:18', 1, '', ''), (7026, 645, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-09-14 17:19:56', 7, '2023-09-06 14:17:39', 1, '', ''), (7027, 645, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:19:56', 7, NULL, NULL, '', ''), (7028, 645, 'jobNum', '工号', 'input', '', 'string', 'RS061', '', 128, 1, 1, 99, '', '2023-09-14 17:19:56', 7, NULL, NULL, '', ''), (7029, 645, 'staffName', '员工姓名', 'input', '', 'string', '李丹', '', 128, 1, 1, 99, '', '2023-09-14 17:19:56', 7, '2023-09-06 14:16:51', 1, '', ''), (7030, 645, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:19:56', 7, NULL, NULL, '', ''), (7031, 645, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 17:19:56', 7, '2023-09-06 09:08:31', 1, '', ''), (7032, 645, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 17:19:56', 7, '2023-09-06 09:08:38', 1, '', ''), (7033, 645, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:19:56', 7, NULL, NULL, '', ''), (7034, 646, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:44:15', 7, '2023-09-14 17:44:15', 7, '', ''), (7035, 646, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694684584825.jpg', '', 128, 1, 1, 99, '', '2023-09-14 17:44:15', 7, '2023-09-14 17:44:15', 7, '', ''), (7036, 646, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-09-14 17:44:15', 7, '2023-09-14 17:44:15', 7, '', ''), (7037, 646, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:44:15', 7, '2023-09-14 17:44:15', 7, '', ''), (7038, 646, 'jobNum', '工号', 'input', '', 'string', 'RS011', '', 128, 1, 1, 99, '', '2023-09-14 17:44:15', 7, '2023-09-14 17:44:15', 7, '', ''), (7039, 646, 'staffName', '员工姓名', 'input', '', 'string', '李道平', '', 128, 1, 1, 99, '', '2023-09-14 17:44:15', 7, '2023-09-14 17:44:15', 7, '', ''), (7040, 646, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:44:15', 7, '2023-09-14 17:44:15', 7, '', ''), (7041, 646, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 17:44:15', 7, '2023-09-14 17:44:15', 7, '', ''), (7042, 646, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 17:44:15', 7, '2023-09-14 17:44:15', 7, '', ''), (7043, 646, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:44:15', 7, '2023-09-14 17:44:15', 7, '', ''), (7044, 647, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:45:52', 7, '2023-09-06 14:18:42', 1, '', ''), (7045, 647, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694684721964.jpg', '', 128, 1, 1, 99, '', '2023-09-14 17:45:52', 7, '2023-09-06 14:17:18', 1, '', ''), (7046, 647, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-09-14 17:45:52', 7, '2023-09-06 14:17:39', 1, '', ''), (7047, 647, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:45:52', 7, NULL, NULL, '', ''), (7048, 647, 'jobNum', '工号', 'input', '', 'string', 'RS030', '', 128, 1, 1, 99, '', '2023-09-14 17:45:52', 7, NULL, NULL, '', ''), (7049, 647, 'staffName', '员工姓名', 'input', '', 'string', '侯丽', '', 128, 1, 1, 99, '', '2023-09-14 17:45:52', 7, '2023-09-06 14:16:51', 1, '', ''), (7050, 647, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:45:52', 7, NULL, NULL, '', ''), (7051, 647, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 17:45:52', 7, '2023-09-06 09:08:31', 1, '', ''), (7052, 647, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 17:45:52', 7, '2023-09-06 09:08:38', 1, '', ''), (7053, 647, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:45:52', 7, NULL, NULL, '', ''), (7054, 648, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:46:44', 7, '2023-09-06 14:18:42', 1, '', ''), (7055, 648, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694684775373.jpg', '', 128, 1, 1, 99, '', '2023-09-14 17:46:44', 7, '2023-09-06 14:17:18', 1, '', ''), (7056, 648, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-09-14 17:46:44', 7, '2023-09-06 14:17:39', 1, '', ''), (7057, 648, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:46:44', 7, NULL, NULL, '', ''), (7058, 648, 'jobNum', '工号', 'input', '', 'string', 'RS026', '', 128, 1, 1, 99, '', '2023-09-14 17:46:44', 7, NULL, NULL, '', ''), (7059, 648, 'staffName', '员工姓名', 'input', '', 'string', '黄巍', '', 128, 1, 1, 99, '', '2023-09-14 17:46:44', 7, '2023-09-06 14:16:51', 1, '', ''), (7060, 648, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:46:44', 7, NULL, NULL, '', ''), (7061, 648, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 17:46:44', 7, '2023-09-06 09:08:31', 1, '', ''), (7062, 648, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 17:46:44', 7, '2023-09-06 09:08:38', 1, '', ''), (7063, 648, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:46:44', 7, NULL, NULL, '', ''), (7064, 649, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:48:10', 7, '2023-09-06 14:18:42', 1, '', ''), (7065, 649, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694684862280.jpeg', '', 128, 1, 1, 99, '', '2023-09-14 17:48:10', 7, '2023-09-06 14:17:18', 1, '', ''), (7066, 649, 'section', '部门', 'input', '', 'string', '叙州区住房保障和房地产事务中心', '', 128, 1, 1, 99, '', '2023-09-14 17:48:10', 7, '2023-09-06 14:17:39', 1, '', ''), (7067, 649, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:48:10', 7, NULL, NULL, '', ''), (7068, 649, 'jobNum', '工号', 'input', '', 'string', 'ZJ004', '', 128, 1, 1, 99, '', '2023-09-14 17:48:10', 7, NULL, NULL, '', ''), (7069, 649, 'staffName', '员工姓名', 'input', '', 'string', '高雪', '', 128, 1, 1, 99, '', '2023-09-14 17:48:10', 7, '2023-09-06 14:16:51', 1, '', ''), (7070, 649, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:48:10', 7, NULL, NULL, '', ''), (7071, 649, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 17:48:10', 7, '2023-09-06 09:08:31', 1, '', ''), (7072, 649, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 17:48:10', 7, '2023-09-06 09:08:38', 1, '', ''), (7073, 649, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:48:10', 7, NULL, NULL, '', ''), (7074, 650, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:49:44', 7, '2023-09-06 14:18:42', 1, '', ''), (7075, 650, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1694684949810.jpg', '', 128, 1, 1, 99, '', '2023-09-14 17:49:44', 7, '2023-09-06 14:17:18', 1, '', ''), (7076, 650, 'section', '部门', 'input', '', 'string', '市公安局治安〈户政〉支队）', '', 128, 1, 1, 99, '', '2023-09-14 17:49:44', 7, '2023-09-06 14:17:39', 1, '', ''), (7077, 650, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 17:49:44', 7, NULL, NULL, '', ''), (7078, 650, 'jobNum', '工号', 'input', '', 'string', 'HZ005', '', 128, 1, 1, 99, '', '2023-09-14 17:49:44', 7, NULL, NULL, '', ''), (7079, 650, 'staffName', '员工姓名', 'input', '', 'string', '胡蕊', '', 128, 1, 1, 99, '', '2023-09-14 17:49:44', 7, '2023-09-06 14:16:51', 1, '', ''), (7080, 650, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:49:44', 7, NULL, NULL, '', ''), (7081, 650, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-09-14 17:49:44', 7, '2023-09-06 09:08:31', 1, '', ''), (7082, 650, 'month', '月度', 'month', '', 'string', '3', '', 128, 1, 1, 99, '', '2023-09-14 17:49:44', 7, '2023-09-06 09:08:38', 1, '', ''), (7083, 650, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-09-14 17:49:44', 7, NULL, NULL, '', ''), (7084, 651, 'redFlag', '红旗窗口', 'upload', '', 'string', 'file/fileupload/1695357228452.png', '', 128, 1, 1, 99, '', '2023-10-07 15:37:15', 2064, '2023-10-07 15:37:15', 2064, '', ''), (7085, 651, 'img', '员工照片', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-07 15:37:15', 2064, '2023-10-07 15:37:15', 2064, '', ''), (7086, 651, 'section', '部门', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-07 15:37:15', 2064, '2023-10-07 15:37:15', 2064, '', ''), (7087, 651, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-07 15:37:15', 2064, '2023-10-07 15:37:15', 2064, '', ''), (7088, 651, 'jobNum', '工号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-07 15:37:15', 2064, '2023-10-07 15:37:15', 2064, '', ''), (7089, 651, 'staffName', '员工姓名', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-07 15:37:15', 2064, '2023-10-07 15:37:15', 2064, '', ''), (7090, 651, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '2', '', 128, 0, 1, 99, '', '2023-10-07 15:37:15', 2064, '2023-10-07 15:37:15', 2064, '', ''), (7091, 651, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-10-07 15:37:15', 2064, '2023-10-07 15:37:15', 2064, '', ''), (7092, 651, 'month', '月度', 'month', '', 'string', '9', '', 128, 1, 1, 99, '', '2023-10-07 15:37:15', 2064, '2023-10-07 15:37:15', 2064, '', ''), (7093, 651, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-10-07 15:37:15', 2064, '2023-10-07 15:37:15', 2064, '', ''), (7094, 652, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-07 15:31:16', 2064, '2023-09-06 14:18:42', 1, '', ''), (7095, 652, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1696663871245.jpeg', '', 128, 1, 1, 99, '', '2023-10-07 15:31:16', 2064, '2023-09-06 14:17:18', 1, '', ''), (7096, 652, 'section', '部门', 'input', '', 'string', '叙州区住房保障中心', '', 128, 1, 1, 99, '', '2023-10-07 15:31:16', 2064, '2023-09-06 14:17:39', 1, '', ''), (7097, 652, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-07 15:31:16', 2064, NULL, NULL, '', ''), (7098, 652, 'jobNum', '工号', 'input', '', 'string', 'ZJ002', '', 128, 1, 1, 99, '', '2023-10-07 15:31:16', 2064, NULL, NULL, '', ''), (7099, 652, 'staffName', '员工姓名', 'input', '', 'string', '陈俊衡', '', 128, 1, 1, 99, '', '2023-10-07 15:31:16', 2064, '2023-09-06 14:16:51', 1, '', ''), (7100, 652, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-10-07 15:31:16', 2064, NULL, NULL, '', ''), (7101, 652, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-10-07 15:31:16', 2064, '2023-09-06 09:08:31', 1, '', ''), (7102, 652, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-10-07 15:31:16', 2064, '2023-09-06 09:08:38', 1, '', ''), (7103, 652, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-10-07 15:31:16', 2064, NULL, NULL, '', ''), (7104, 653, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-07 15:54:05', 2064, '2023-10-07 15:54:05', 2064, '', ''), (7105, 653, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1696663927118.jpg', '', 128, 1, 1, 99, '', '2023-10-07 15:54:05', 2064, '2023-10-07 15:54:05', 2064, '', ''), (7106, 653, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-10-07 15:54:05', 2064, '2023-10-07 15:54:05', 2064, '', ''), (7107, 653, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-07 15:54:05', 2064, '2023-10-07 15:54:05', 2064, '', ''), (7108, 653, 'jobNum', '工号', 'input', '', 'string', 'RS040', '', 128, 1, 1, 99, '', '2023-10-07 15:54:05', 2064, '2023-10-07 15:54:05', 2064, '', ''), (7109, 653, 'staffName', '员工姓名', 'input', '', 'string', '郑可佳', '', 128, 1, 1, 99, '', '2023-10-07 15:54:05', 2064, '2023-10-07 15:54:05', 2064, '', ''), (7110, 653, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-10-07 15:54:05', 2064, '2023-10-07 15:54:05', 2064, '', ''), (7111, 653, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-10-07 15:54:05', 2064, '2023-10-07 15:54:05', 2064, '', ''), (7112, 653, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-10-07 15:54:05', 2064, '2023-10-07 15:54:05', 2064, '', ''), (7113, 653, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-10-07 15:54:05', 2064, '2023-10-07 15:54:05', 2064, '', ''), (7114, 654, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-07 15:33:45', 2064, '2023-09-06 14:18:42', 1, '', ''), (7115, 654, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1696663999968.jpg', '', 128, 1, 1, 99, '', '2023-10-07 15:33:45', 2064, '2023-09-06 14:17:18', 1, '', ''), (7116, 654, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-10-07 15:33:45', 2064, '2023-09-06 14:17:39', 1, '', ''), (7117, 654, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-07 15:33:45', 2064, NULL, NULL, '', ''), (7118, 654, 'jobNum', '工号', 'input', '', 'string', 'RS011', '', 128, 1, 1, 99, '', '2023-10-07 15:33:45', 2064, NULL, NULL, '', ''), (7119, 654, 'staffName', '员工姓名', 'input', '', 'string', '李道平', '', 128, 1, 1, 99, '', '2023-10-07 15:33:45', 2064, '2023-09-06 14:16:51', 1, '', ''), (7120, 654, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-10-07 15:33:45', 2064, NULL, NULL, '', ''), (7121, 654, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-10-07 15:33:45', 2064, '2023-09-06 09:08:31', 1, '', ''), (7122, 654, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-10-07 15:33:45', 2064, '2023-09-06 09:08:38', 1, '', ''), (7123, 654, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '0', '', 128, 0, 1, 99, '', '2023-10-07 15:33:45', 2064, NULL, NULL, '', ''), (7124, 655, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-07 15:35:40', 2064, '2023-09-06 14:18:42', 1, '', ''), (7125, 655, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1696664114942.jpg', '', 128, 1, 1, 99, '', '2023-10-07 15:35:40', 2064, '2023-09-06 14:17:18', 1, '', ''), (7126, 655, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-10-07 15:35:40', 2064, '2023-09-06 14:17:39', 1, '', ''), (7127, 655, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-07 15:35:40', 2064, NULL, NULL, '', ''), (7128, 655, 'jobNum', '工号', 'input', '', 'string', 'RS075', '', 128, 1, 1, 99, '', '2023-10-07 15:35:40', 2064, NULL, NULL, '', ''), (7129, 655, 'staffName', '员工姓名', 'input', '', 'string', '孙兴', '', 128, 1, 1, 99, '', '2023-10-07 15:35:40', 2064, '2023-09-06 14:16:51', 1, '', ''), (7130, 655, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-10-07 15:35:40', 2064, NULL, NULL, '', ''), (7131, 655, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-10-07 15:35:40', 2064, '2023-09-06 09:08:31', 1, '', ''), (7132, 655, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-10-07 15:35:40', 2064, '2023-09-06 09:08:38', 1, '', ''), (7133, 655, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-10-07 15:35:40', 2064, NULL, NULL, '', ''), (7134, 656, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-07 15:53:48', 2064, '2023-09-06 14:18:42', 1, '', ''), (7135, 656, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1696665207820.jpg', '', 128, 1, 1, 99, '', '2023-10-07 15:53:48', 2064, '2023-09-06 14:17:18', 1, '', ''), (7136, 656, 'section', '部门', 'input', '', 'string', '市人力资源社会保障局', '', 128, 1, 1, 99, '', '2023-10-07 15:53:48', 2064, '2023-09-06 14:17:39', 1, '', ''), (7137, 656, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-07 15:53:48', 2064, NULL, NULL, '', ''), (7138, 656, 'jobNum', '工号', 'input', '', 'string', 'RS044', '', 128, 1, 1, 99, '', '2023-10-07 15:53:48', 2064, NULL, NULL, '', ''), (7139, 656, 'staffName', '员工姓名', 'input', '', 'string', '陈敏', '', 128, 1, 1, 99, '', '2023-10-07 15:53:48', 2064, '2023-09-06 14:16:51', 1, '', ''), (7140, 656, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-10-07 15:53:48', 2064, NULL, NULL, '', ''), (7141, 656, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-10-07 15:53:48', 2064, '2023-09-06 09:08:31', 1, '', ''), (7142, 656, 'month', '月度', 'month', '', 'string', '8', '', 128, 1, 1, 99, '', '2023-10-07 15:53:48', 2064, '2023-09-06 09:08:38', 1, '', ''), (7143, 656, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-10-07 15:53:48', 2064, NULL, NULL, '', ''), (7144, 657, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-31 16:19:29', 7, '2023-09-06 14:18:42', 1, '', ''), (7145, 657, 'img', '员工照片', 'upload', '', 'string', 'file/fileupload/1698740290040.png', '', 128, 1, 1, 99, '', '2023-10-31 16:19:29', 7, '2023-09-06 14:17:18', 1, '', ''), (7146, 657, 'section', '部门', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-31 16:19:29', 7, '2023-09-06 14:17:39', 1, '', ''), (7147, 657, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-10-31 16:19:29', 7, NULL, NULL, '', ''), (7148, 657, 'jobNum', '工号', 'input', '', 'string', 'BDC048', '', 128, 1, 1, 99, '', '2023-10-31 16:19:29', 7, NULL, NULL, '', ''), (7149, 657, 'staffName', '员工姓名', 'input', '', 'string', '曾莎', '', 128, 1, 1, 99, '', '2023-10-31 16:19:29', 7, '2023-09-06 14:16:51', 1, '', ''), (7150, 657, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '1', '', 128, 0, 1, 99, '', '2023-10-31 16:19:29', 7, NULL, NULL, '', ''), (7151, 657, 'year', '年度', 'year', '', 'string', '2023', '', 128, 0, 1, 99, '', '2023-10-31 16:19:29', 7, '2023-09-06 09:08:31', 1, '', ''), (7152, 657, 'month', '月度', 'month', '', 'string', '4', '', 128, 1, 1, 99, '', '2023-10-31 16:19:29', 7, '2023-09-06 09:08:38', 1, '', ''), (7153, 657, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '1', '', 128, 0, 1, 99, '', '2023-10-31 16:19:29', 7, NULL, NULL, '', ''), (7154, 658, 'video', '视频', 'upload', '', 'string', 'file/fileupload/1699890959697.mp4', '', 128, 0, 1, 99, '', '2023-11-13 23:56:51', 2064, NULL, NULL, '', ''), (7155, 658, 'content', '文字内容', 'text', '', 'string', '<p>	宜宾市翠屏区政务服务中心位于宜宾市翠屏区岷江新区东山路25号，建筑面积2万余平方米。中心共有5层，其中，一、二、三、四层为政务服务办事大厅（含公共资源交易服务），五层为集中会议及职工活动室。我们以建设全省示范政务服务中心为目标，按照“规范、便利、智慧、高效”的原则，为企业群众提供流程更佳、效率更高、服务更优的办事服务体验，着力打造全省一流的营商环境。</p><p>	<strong>集中到位“一站办”。</strong>按照“三集中三到位”和“只进一扇门”“最多跑一次”要求，32个有依申请政务服务事项的政务服务部门，水电气、邮政、金融、公证、通信等7个公共（便民）服务单位入驻，可受理、办理530项（主项）政务服务事项和水电气、邮政、金融、公证、通信等便民服务事项。</p><p>	<strong>合理分布“便利办”</strong>。根据楼层结构及企业群众办事频次、人流密度、行进流向等因素，实行“1综窗+1智慧+10专窗”服务模式，设置1个综合审批服务专区，1个“24小时”智慧服务专区，另设人才招聘、市场主体（惠企服务）、工程建设、医保、税务、人社（含社保+就业）、公安（含户政+出入境）、不动产（含房产、公证）、法务、退役军人等10个服务专区。通过明确的功能分区引导群众便利办。</p><p>	<strong>便民服务“暖心办”。</strong>在政务服务中心办事大厅设置咨询导办，通过“人工+智能机器人”实现双重咨询引导，设置儿童娱乐区、休闲书吧、母婴室、无障碍卫生间等公用设施，提供免费茶水、免费打印复印、免费邮寄、免费手机充电站等服务，满足企业个性化服务需求。</p><p>	<strong>信息服务“智慧办”。</strong>通过“翠屏政务”微信公众号及天府通办“翠易办”APP实现政务服务交通指引、导航信息、办事大厅分布及其主要审批业务范围、咨询电话、办事指南查询、业务申报、惠企政策宣传及申报、投诉建议等掌上服务。通过智能机器人导办、智能排队叫号、填单辅助、智能监察、大数据分析、智慧大厅集成管理等，打造事前导引、事中办理、事后评价“零距离、可视化、全覆盖”办事服务通道，打造“翠易办”政务服务品牌。</p>', '', 128, 0, 0, 99, '', '2023-11-13 23:56:51', 2064, NULL, NULL, '', ''), (7156, 658, 'title', '标题', 'input', '', 'string', '宜宾市翠屏区政务服务中心简介', '', 128, 0, 1, 99, '', '2023-11-13 23:56:51', 2064, NULL, NULL, '', ''), (7550, 693, 'content', '内容', 'text', '', 'string', '<p class=\"ql-align-center\">	<span style=\"font-size: 20px;\">若尔盖县按照“服务便民利民</span></p><p class=\"ql-align-justify\">	<span style=\"font-size: 16px;\">若尔盖县按照“服务便民利民、办事依法依规、信息公开透明、数据开放共享”的原则，简化环节、优化流程、转变作风、提高效能，不断提升群众满意度。</span></p><p class=\"ql-align-justify\">	<span style=\"font-size: 16px;\">提升综合服务效能。深化群众异地换领、补领、挂失申报和丢失招领制度，截至目前，办理跨省迁移、异地身份证、其他户籍业务等共计14936起。通过创新便民利民工作方式，设立业务咨询台、特殊人群绿色通道等，解决办事群众反复跑”“来回跑”难题，户政业务办理地点延伸至群众“家门口”，提供优先办理、上门服务等便利条件，确保申请事项及时得到受理。</span></p><p class=\"ql-align-justify\"><span style=\"font-size: 16px;\">优化办事服务流程。推行程序标准化、流程公式化集约式窗口服务，实现车管、治安、户政、禁毒、出入境、监管业务“一站式”办结，核查港澳签注函35件，审核边界通行证100余人次，清理有效护照3999本；依靠政务一体化平台，实行接件、审核、审批、办理“一站式”服务，简化“跨省通办”迁移手续，实现跨省迁移户口业务。</span></p><p class=\"ql-align-justify\">	<span style=\"font-size: 16px;\">深化窗口服务意识。不断增强服务效能，推出新服务举措，规范窗口服务、减少审批环节、缩短办证时间，提供便捷高效“一站式”服务；通过窗口深入群众，听取服务建设意见，不断提高业务水平；宣传国家法律法规、建设网办培训窗口，推广“交管12123”1360余次，学法减分559次，使窗口切实成为宣传新前沿。</span></p><p><br></p>', '', 128, 0, 0, 99, '', '2023-12-01 10:24:20', 1, '2023-05-13 11:11:38', 1, '', ''), (7551, 693, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '0', '', 128, 0, 0, 99, '', '2023-12-01 10:24:20', 1, '2023-05-13 11:11:13', 1, '', ''), (7552, 693, 'date', '发布日期', 'date', '', 'string', '2023-11-15', '', 128, 0, 1, 99, '', '2023-12-01 10:24:20', 1, '2023-05-13 11:08:53', 1, '', ''), (7553, 693, 'title', '标题', 'input', '', 'string', '若尔盖县按照“服务便民利民', '', 128, 0, 1, 99, '', '2023-12-01 10:24:20', 1, '2023-05-13 11:06:39', 1, '', ''), (7626, 705, 'name', '姓名', 'input', '', 'string', '张三', '1', 128, 0, 0, 99, '', '2024-08-21 15:09:11', 1, NULL, NULL, '', ''), (7627, 706, 'telephone', '联系电话', 'input', '', 'string', '13214785698', '1', 128, 0, 0, 99, '', '2024-08-21 15:11:03', 1, NULL, NULL, '', ''), (7689, 695, 'content', '文字内容', 'text', '', '', '<p><strong style=\"font-size: 20px;\">单位信息</strong></p><p class=\"ql-align-justify\"><span style=\"font-size: 16px;\">	办公地址：</span><span style=\"font-size: 16px; color: rgb(51, 51, 51);\">宣汉县东乡街道学坝街3号。</span></p><p class=\"ql-align-justify\"><span style=\"font-size: 16px;\">	办公时间：上午9：00-12:00 下午13:30-17:00</span></p><p><strong style=\"font-size: 20px;\">职能职责</strong></p><p><span style=\"font-size: 16px;\">	（一）贯彻落实国家、省、市有关行政审批制度改革的相关政策规定，创新和完善相关工作体制机制。</span></p><p><span style=\"font-size: 16px;\">	（二）负责行使相对集中行政许可权，对审批行为承担相应的法律责任；负责上级部门下放的行政许可事项承接工作。</span></p><p><span style=\"font-size: 16px;\">	（三）负责划转的行政审批事项涉及的现场勘察、技术论证和社会听证等协调工作并组织实施。</span></p><p><span style=\"font-size: 16px;\">	（四）负责牵头推进全县行政审批制度改革工作，组织清理和规范行政审批事项前置条件；负责对行政审批事项流程进行规范和优化，推进行政审批标准化建设。</span></p><p><span style=\"font-size: 16px;\">	（五）负责会同有关部门加强行政审批、政务服务信息化建设。</span></p><p><span style=\"font-size: 16px;\">	（六）负责协调进驻大厅部门的依申请服务事项办理；负责对大厅内行政审批、政务服务行为进行监督检查；负责对大厅窗口工作人员进行日常监督、教育培训和检查考核。</span></p><p><span style=\"font-size: 16px;\">	（七）负责指导全县各级政务服务、便民服务体系建设，负责建立行政审批、公共服务考核体系。</span></p><p><span style=\"font-size: 16px;\">	（八）负责推进“互联网+政务服务”工作；负责一体化政务服务平台的运行管理工作。</span></p><p><span style=\"font-size: 16px;\">	（九）负责全县行政效能投诉和行政效能监察工作。</span></p><p><span style=\"font-size: 16px;\">	（十）负责职责范围内的安全生产和职业健康、生态环境保护、人才队伍建设等工作。</span></p><p><span style=\"font-size: 16px;\">	（十一）完成县委、县政府交办的其他工作。</span></p>', '', 128, 0, 0, 1, '', '2025-01-07 10:57:31', 1, '2025-01-07 10:57:31', 1, NULL, NULL), (7690, 695, 'title', '标题', 'input', '', 'string', '行政审批和数据局', '', 128, 0, 1, 1, '', '2025-01-07 10:57:31', 1, '2025-01-07 10:57:31', 1, NULL, NULL), (7691, 695, 'video', '视频', 'upload', '', '', '/file/fileupload/1736218316915.mp4', '', 128, 0, 1, 1, '', '2025-01-07 10:57:31', 1, '2025-01-07 10:57:31', 1, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_app_info_templete_field
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_app_info_templete_field`;
CREATE TABLE `mortals_sys_app_info_templete_field`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `appId` bigint(20) NULL DEFAULT NULL COMMENT '应用id',
  `fieldCode` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段编码',
  `fieldName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段名称',
  `fieldType` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框,editer.富文本）',
  `fieldTypeValue` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字段类型值，当字段类型为多选，单选时候，预设复选值',
  `dataType` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据类型（number.数字,string.字符串）',
  `fieldValue` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段值',
  `defaultValue` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字段默认值',
  `fieldLen` int(9) NULL DEFAULT NULL COMMENT '数据长度，默认128',
  `fieldNull` tinyint(2) NULL DEFAULT NULL COMMENT '是否允许为空，(0.否,1.是)',
  `isList` tinyint(2) NULL DEFAULT NULL COMMENT '字段是否列表显示(0.否,1.是)',
  `fieldOrderNo` int(9) NULL DEFAULT NULL COMMENT '排序号',
  `remark` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '修改用户',
  `serviceApi` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '事件服务接口请求地址',
  `serviceApiParams` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '事件服务接口请求参数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 92 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '自助终端应用模板信息字段';

-- ----------------------------
-- Records of mortals_sys_app_info_templete_field
-- ----------------------------
BEGIN;
INSERT INTO `mortals_sys_app_info_templete_field` VALUES (1, 2, 'video', '视频', 'upload', '', '', '', '', 128, 0, 1, 1, '', '2023-02-03 19:33:17', 1, '2023-02-03 19:33:17', 1, '', ''), (2, 2, 'title', '标题', 'input', '', 'string', '', '', 128, 0, 1, 1, '', '2023-02-03 19:33:47', 1, '2023-02-03 19:36:38', 1, '', ''), (3, 2, 'content', '文字内容', 'text', '', '', '', '', 128, 0, 0, 1, '', '2023-02-03 19:34:17', 1, '2023-02-09 21:06:58', 1, '', ''), (4, 5, 'staffName', '员工姓名', 'input', '', 'string', '', '', 128, 0, 1, 1, '', '2023-02-08 14:56:36', 1, '2023-02-08 14:56:36', 1, '', ''), (6, 5, 'section', '部门', 'input', '', 'string', '', '', 128, 0, 1, 1, '', '2023-02-08 14:57:23', 1, '2023-02-08 14:57:23', 1, '', ''), (7, 5, 'img', '员工照片', 'upload', '', 'string', '', '', 128, 0, 1, 1, '', '2023-02-08 14:57:52', 1, '2023-02-08 14:57:52', 1, '', ''), (8, 8, 'title', '媒体名称', 'input', '', 'string', '', '', 128, 0, 1, 1, '', '2023-02-08 14:59:09', 1, '2023-02-08 14:59:09', 1, '', ''), (9, 8, 'img', '二维码图片', 'upload', '', 'string', '', '', 128, 0, 1, 1, '', '2023-02-08 14:59:28', 1, '2023-02-08 14:59:28', 1, '', ''), (11, 5, 'type', '类型', 'select', '{\"1\":\"月度\",\"2\":\"年度\"}', 'string', '', '', 128, 1, 1, 99, '', '2023-04-24 15:23:34', 1, '2025-01-06 10:31:32', 1, '', ''), (12, 54, 'title', '标题', 'input', '', 'string', '', '', 128, 0, 1, 99, '', '2023-05-13 11:06:39', 1, '2023-05-13 11:06:39', 1, '', ''), (13, 54, 'date', '发布日期', 'date', '', 'string', '', '', 128, 0, 1, 99, '', '2023-05-13 11:08:53', 1, '2023-05-13 11:08:53', 1, '', ''), (14, 54, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '', '', 128, 0, 0, 99, '', '2023-05-13 11:11:13', 1, '2023-05-13 11:11:13', 1, '', ''), (15, 54, 'content', '内容', 'text', '', 'string', '', '', 128, 0, 0, 99, '', '2023-05-13 11:11:38', 1, '2023-05-13 11:11:38', 1, '', ''), (16, 55, 'title', '标题', 'input', '', 'string', '', '', 128, 0, 1, 1, '', '2023-05-13 14:39:46', 1, '2023-05-13 14:39:46', 1, '', ''), (17, 55, 'date', '发布时间', 'date', '', 'string', '', '', 128, 0, 1, 2, '', '2023-05-13 14:40:09', 1, '2023-05-13 17:52:13', 1, '', ''), (18, 55, 'type', '选择分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '', '', 128, 0, 0, 3, '', '2023-05-13 14:40:41', 1, '2023-05-13 14:40:41', 1, '', ''), (19, 55, 'content', '内容', 'text', '', 'string', '', '', 128, 0, 0, 99, '', '2023-05-13 14:41:03', 1, '2023-05-13 14:41:03', 1, '', ''), (20, 84, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '', '', 128, 0, 1, 99, '', '2023-09-05 16:01:08', 1, NULL, NULL, '', ''), (21, 84, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-05 16:01:36', 1, '2023-09-06 09:08:38', 1, '', ''), (22, 84, 'year', '年度', 'year', '', 'string', '', '', 128, 0, 1, 99, '', '2023-09-05 16:02:09', 1, '2023-09-06 09:08:31', 1, '', ''), (23, 84, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '', '', 128, 0, 1, 99, '', '2023-09-05 16:03:44', 1, NULL, NULL, '', ''), (24, 84, 'staffName', '员工姓名', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-05 16:04:10', 1, '2023-09-06 14:16:51', 1, '', ''), (25, 84, 'jobNum', '工号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-05 16:04:30', 1, NULL, NULL, '', ''), (26, 84, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-05 16:04:47', 1, NULL, NULL, '', ''), (27, 84, 'section', '部门', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-05 16:05:16', 1, '2023-09-06 14:17:39', 1, '', ''), (28, 84, 'img', '员工照片', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-05 16:05:36', 1, '2023-09-06 14:17:18', 1, '', ''), (29, 84, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-06 14:18:37', 1, '2023-09-06 14:18:42', 1, '', ''), (37, 116, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-11-13 14:54:14', 8, NULL, NULL, '', ''), (40, 116, 'img', '员工照片', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-11-13 14:55:40', 8, NULL, NULL, '', ''), (41, 116, 'section', '部门', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-11-13 15:10:49', 8, NULL, NULL, '', ''), (42, 116, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-11-13 15:11:39', 8, NULL, NULL, '', ''), (43, 116, 'jobNum', '工号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-11-13 15:12:01', 8, NULL, NULL, '', ''), (44, 116, 'staffName', '员工姓名', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-11-13 15:13:11', 8, NULL, NULL, '', ''), (45, 116, 'type', '类型', 'select', '{\"1\":\"服务之星\",\"2\":\"红旗窗口\"}', 'string', '', '', 128, 0, 1, 99, '', '2023-11-13 15:15:42', 8, NULL, NULL, '', ''), (46, 116, 'year', '年度', 'year', '', 'string', '', '', 128, 0, 1, 99, '', '2023-11-13 15:16:33', 8, NULL, NULL, '', ''), (47, 116, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 0, 99, '', '2023-11-13 15:17:43', 8, '2023-11-13 15:18:56', 8, '', ''), (48, 116, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '', '', 128, 0, 1, 99, '', '2023-11-13 15:17:31', 8, NULL, NULL, '', ''), (49, 117, 'content', '文字内容', 'text', '', 'string', '', '', 128, 0, 0, 99, '', '2023-11-13 15:32:24', 8, NULL, NULL, '', ''), (50, 117, 'title', '标题', 'input', '', 'string', '', '', 128, 0, 1, 99, '', '2023-11-13 15:32:01', 8, NULL, NULL, '', ''), (51, 117, 'video', '视频', 'upload', '', 'string', '', '', 128, 0, 1, 99, '', '2023-11-13 15:32:27', 8, NULL, NULL, '', ''), (52, 129, 'video', '视频', 'upload', '', '', '', '', 128, 0, 1, 1, '', '2023-02-03 19:33:17', 1, '2023-02-03 19:33:17', 1, '', ''), (53, 129, 'title', '标题', 'input', '', 'string', '', '', 128, 0, 1, 1, '', '2023-02-03 19:33:47', 1, '2023-02-03 19:36:38', 1, '', ''), (54, 129, 'content', '文字内容', 'text', '', '', '', '', 128, 0, 0, 1, '', '2023-02-03 19:34:17', 1, '2023-02-09 21:06:58', 1, '', ''), (55, 131, 'staffName', '员工姓名', 'input', '', 'string', '', '', 128, 0, 1, 1, '', '2023-02-08 14:56:36', 1, '2023-02-08 14:56:36', 1, '', ''), (56, 131, 'jobNum', '工号', 'input', '', 'string', '', '', 128, 0, 1, 1, '', '2023-02-08 14:56:56', 1, '2023-02-08 14:56:56', 1, '', ''), (57, 131, 'section', '部门', 'input', '', 'string', '', '', 128, 0, 1, 1, '', '2023-02-08 14:57:23', 1, '2023-02-08 14:57:23', 1, '', ''), (58, 131, 'img', '员工照片', 'upload', '', 'string', '', '', 128, 0, 1, 1, '', '2023-02-08 14:57:52', 1, '2023-02-08 14:57:52', 1, '', ''), (59, 131, 'type', '类型', 'select', '{\n\"1\":\"月度\",\n\"2\":\"年度\"\n}', 'string', '', '', 128, 1, 1, 99, '', '2023-04-24 15:23:34', 1, '2023-04-24 15:23:34', 1, '', ''), (60, 134, 'title', '媒体名称', 'input', '', 'string', '', '', 128, 0, 1, 1, '', '2023-02-08 14:59:09', 1, '2023-02-08 14:59:09', 1, '', ''), (61, 134, 'img', '二维码图片', 'upload', '', 'string', '', '', 128, 0, 1, 1, '', '2023-02-08 14:59:28', 1, '2023-02-08 14:59:28', 1, '', ''), (62, 154, 'title', '标题', 'input', '', 'string', '', '', 128, 0, 1, 99, '', '2023-05-13 11:06:39', 1, '2023-05-13 11:06:39', 1, '', ''), (63, 154, 'date', '发布日期', 'date', '', 'string', '', '', 128, 0, 1, 99, '', '2023-05-13 11:08:53', 1, '2023-05-13 11:08:53', 1, '', ''), (64, 154, 'type', '分类', 'select', '{\"0\":\"优惠政策\",\"1\":\"减免政策\"}', 'string', '', '', 128, 0, 0, 99, '', '2023-05-13 11:11:13', 1, '2023-05-13 11:11:13', 1, '', ''), (65, 154, 'content', '内容', 'text', '', 'string', '', '', 128, 0, 0, 99, '', '2023-05-13 11:11:38', 1, '2023-05-13 11:11:38', 1, '', ''), (66, 175, 'itemList', '事项清单', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 11:11:11', 1, '2023-09-14 14:08:35', 1, '', ''), (67, 175, 'portalWebsite', '门户网站	', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-07 11:11:49', 1, '2023-09-14 14:07:01', 1, '', ''), (68, 175, 'type', '类型', 'radio', '{\n\"itemList\":\"事项清单\",\n\"portalWebsite\":\"门户网站\"\n}', 'string', '', '', 128, 0, 1, 99, '', '2023-09-14 14:06:45', 1, NULL, NULL, '', ''), (69, 175, 'portalName', '门户名称', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-14 14:07:29', 1, '2023-09-08 15:15:02', 1, '', ''), (70, 175, 'itemName', '事项名称', 'input', '{}', 'string', '', '', 128, 1, 1, 99, '', '2023-09-22 10:41:42', 8, NULL, NULL, '', '{}'), (71, 174, 'yOrm', '年度或月度', 'select', '{\"0\":\"年度\",\"1\":\"月度\"}', 'string', '', '', 128, 0, 1, 99, '', '2023-09-05 16:01:08', 1, NULL, NULL, '', ''), (72, 174, 'month', '月度', 'month', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-05 16:01:36', 1, '2023-09-06 09:08:38', 1, '', ''), (73, 174, 'year', '年度', 'year', '', 'string', '', '', 128, 0, 1, 99, '', '2023-09-05 16:02:09', 1, '2023-09-06 09:08:31', 1, '', ''), (74, 174, 'type', '类型', 'select', '{\n\"1\":\"服务之星\",\n\"2\":\"红旗窗口\"\n}', 'string', '', '', 128, 0, 1, 99, '', '2023-09-05 16:03:44', 1, NULL, NULL, '', ''), (75, 174, 'staffName', '员工姓名', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-05 16:04:10', 1, '2023-09-06 14:16:51', 1, '', ''), (76, 174, 'jobNum', '工号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-05 16:04:30', 1, NULL, NULL, '', ''), (77, 174, 'winNum', '窗口号', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-05 16:04:47', 1, NULL, NULL, '', ''), (78, 174, 'section', '部门', 'input', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-05 16:05:16', 1, '2023-09-06 14:17:39', 1, '', ''), (79, 174, 'img', '员工照片', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-05 16:05:36', 1, '2023-09-06 14:17:18', 1, '', ''), (80, 174, 'redFlag', '红旗窗口', 'upload', '', 'string', '', '', 128, 1, 1, 99, '', '2023-09-06 14:18:37', 1, '2023-09-06 14:18:42', 1, '', ''), (85, 233, 'name', '姓名', 'input', '', 'string', '', '1', 128, 0, 0, 99, '', '2024-08-21 15:08:55', 1, NULL, NULL, '', ''), (86, 218, 'telephone', '联系电话', 'input', '', 'string', '', '1', 128, 0, 0, 99, '', '2024-08-21 15:10:38', 1, NULL, NULL, '', ''), (87, 5, 'jobNum', '工号', 'input', '', 'string', '', '0', 128, 1, 1, 99, '', '2025-01-06 10:32:06', 1, '2024-04-18 09:19:57', 1, '', ''), (88, 235, 'title', '标题', 'input', '', 'string', '', '1', 128, 0, 1, 1, '', '2025-01-06 16:52:15', 1, '2025-01-06 16:59:31', 1, '', ''), (89, 235, 'type', '分类', 'select', '{\"优惠政策\":\"优惠政策\"}', 'string', '', '1', 128, 0, 1, 2, '', '2025-01-06 16:56:16', 1, '2025-01-06 16:59:47', 1, '', ''), (90, 235, 'date', '公布日期', 'date', '', 'string', '', '0', 128, 0, 1, 3, '', '2025-01-06 16:58:20', 1, '2025-01-06 17:00:07', 1, '', ''), (91, 235, 'content', '内容', 'text', '', 'string', '', '0', 128, 0, 0, 99, '', '2025-01-06 16:59:13', 1, NULL, NULL, '', '');
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_app_version
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_app_version`;
CREATE TABLE `mortals_sys_app_version`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `appId` bigint(20) NULL DEFAULT NULL COMMENT 'app应用Id',
  `appName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '应用名称',
  `version` int(9) NULL DEFAULT NULL COMMENT '版本号',
  `notes` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新说明',
  `fileName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '文件名称',
  `filePath` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '文件相对路径地址',
  `distributeFilePath` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '文件部署路径地址',
  `used` tinyint(2) NULL DEFAULT 0 COMMENT '是否使用(0.否，1.是)',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1421 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '自助终端应用版本历史';

-- ----------------------------
-- Records of mortals_sys_app_version
-- ----------------------------
BEGIN;
INSERT INTO `mortals_sys_app_version` VALUES (1186, 1, '办件查询', 1, '第一次更新', '进度查询.zip', '/file/fileupload/1711348620968.zip', '', 0, '2024-03-25 14:37:01', NULL, NULL), (1188, 6, '网络理政', 1, '1', '网络理政-reg.zip', '/file/fileupload/1711507233979.zip', '', 0, '2024-03-27 10:40:35', NULL, NULL), (1190, 9, '政务微课堂', 1, '2', '政务微课堂.zip', '/file/fileupload/1711604504789.zip', '', 0, '2024-03-28 13:41:46', NULL, NULL), (1197, 5, '服务之星', 1, '0.2', '服务之星2.zip', '/file/fileupload/1713403501303.zip', '', 0, '2024-04-18 09:25:02', NULL, NULL), (1299, 2, '中心简介', 1, '新增', '中心简介-新版.zip', '/file/fileupload/1729587176405.zip', '', 0, '2024-10-22 16:52:57', NULL, NULL), (1300, 3, '政务资讯', 1, '政务公开改回政务资讯', '政务资讯-旧.zip', '/file/fileupload/1729587235980.zip', '', 0, '2024-10-22 16:53:57', NULL, NULL), (1310, 4, '办事指南', 1, '修改接口', 'css.zip', '/file/fileupload/1729662401263.zip', '', 0, '2024-10-23 13:46:43', NULL, NULL), (1311, 208, '证照打印', 1, '初始化', '1.zip', '/file/fileupload/1729662646631.zip', '', 0, '2024-10-23 13:50:50', NULL, NULL), (1403, 1, '办件查询', 7, '第一次更新', '进度查询2.zip', '/file/fileupload/1736129612015.zip', '/home/publish/app/511722000000-0001/bjjd01/7', 0, '2025-01-06 10:13:34', NULL, NULL), (1404, 2, '中心网站', 7, '新增', '中心简介-新版2.zip', '/file/fileupload/1736129636614.zip', '/home/publish/app/511722000000-0001/zxjj01/7', 0, '2025-01-06 10:13:58', NULL, NULL), (1405, 3, '政务资讯', 7, '政务公开改回政务资讯', '政务资讯-通用版本.zip', '/file/fileupload/1736130198806.zip', '/home/publish/app/511722000000-0001/zwgk/7', 0, '2025-01-06 10:23:20', NULL, NULL), (1406, 5, '服务之星', 7, '0.2', '服务之心-红旗窗口.zip', '/file/fileupload/1736130245347.zip', '/home/publish/app/511722000000-0001/fwzx01/7', 0, '2025-01-06 10:24:07', NULL, NULL), (1407, 5, '服务之星', 8, '0.2', '1736130245347.zip', '/file/fileupload/1736131379216.zip', '/home/publish/app/511722000000-0001/fwzx01/8', 0, '2025-01-06 10:43:00', NULL, NULL), (1408, 3, '政务资讯', 8, '政务公开改回政务资讯', '1736130198806.zip', '/file/fileupload/1736131510794.zip', '/home/publish/app/511722000000-0001/zwgk/8', 0, '2025-01-06 10:45:13', NULL, NULL), (1409, 9, '政务微课堂', 7, '2', '政务微课堂.zip', '/file/fileupload/1736131756188.zip', '/home/publish/app/511722000000-0001/zwwkt/7', 0, '2025-01-06 10:49:18', NULL, NULL), (1410, 6, '网络理政', 7, '1', '网络理政-通用版本.zip', '/file/fileupload/1736131908468.zip', '/home/publish/app/511722000000-0001/wllz01/7', 0, '2025-01-06 10:51:50', NULL, NULL), (1411, 2, '中心简介', 8, '新增', '中心简介-新版2.zip', '/file/fileupload/1736129636614.zip', '/home/publish/app/511722000000-0001/zxjj01/7', 0, '2025-01-06 11:22:20', NULL, NULL), (1412, 4, '办事指南', 7, '修改接口', '办事指南.zip', '/file/fileupload/1736152880637.zip', '/home/publish/app/511722000000-0001/bszn01/7', 0, '2025-01-06 16:41:24', NULL, NULL), (1413, 235, '惠企直通车', 0, '新增', '惠企直通车.zip', '/file/fileupload/1736153270068.zip', '', 0, '2025-01-06 16:50:30', NULL, NULL), (1414, 235, '惠企直通车', 1, '新增', '惠企直通车.zip', '/file/fileupload/1736153270068.zip', '/home/publish/app/511722000000-0001/hqztc/1', 0, '2025-01-06 16:50:57', NULL, NULL), (1415, 235, '惠企直通车', 2, '新增', '惠企直通车.zip', '/file/fileupload/1736153270068.zip', '/home/publish/app/511722000000-0001/hqztc/1', 0, '2025-01-06 17:06:45', NULL, NULL), (1416, 235, '惠企直通车', 3, '新增', '惠企直通车.zip', '/file/fileupload/1736153270068.zip', '/home/publish/app/511722000000-0001/hqztc/1', 0, '2025-01-07 21:01:59', NULL, NULL), (1417, 4, '办事指南', 8, '修改接口', '办事指南.zip', '/file/fileupload/1736302362241.zip', '/home/publish/app/511722000000-0001/bszn01/8', 0, '2025-01-08 10:12:51', NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_area
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_area`;
CREATE TABLE `mortals_sys_area`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `ancestors` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '祖级列表，逗号分隔',
  `name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域名称',
  `iid` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一体化的ID号',
  `pid` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一体化的父id',
  `haveSonArea` char(5) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否有下级区域（True.是，False.否）',
  `haveSonDept` char(5) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否有下级部门（True.是，False.否）',
  `haveGetDept` char(5) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否获取部门（true.是，false.否）',
  `haveGetMatterList` char(5) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否获取事项列表（true.是，false.否）',
  `areaCode` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域编码',
  `areaLevel` tinyint(2) NULL DEFAULT 1 COMMENT '区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)',
  `shortName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称简称',
  `domain` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '访问地址',
  `status` tinyint(2) NULL DEFAULT 1 COMMENT '区域状态 (0.停用，1.正常)',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3333 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '区域表';

-- ----------------------------
-- Records of mortals_sys_area
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_base_area
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_base_area`;
CREATE TABLE `mortals_sys_base_area`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `ancestors` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '祖级列表，逗号分隔',
  `name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域名称',
  `iid` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一体化的ID号',
  `pid` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一体化的父id',
  `haveSonArea` char(5) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否有下级区域（True.是，False.否）',
  `haveSonDept` char(5) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否有下级部门（True.是，False.否）',
  `haveGetDept` char(5) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否获取部门（true.是，false.否）',
  `haveGetMatterList` char(5) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否获取事项列表（true.是，false.否）',
  `areaCode` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域编码',
  `areaLevel` tinyint(2) NULL DEFAULT 1 COMMENT '区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)',
  `shortName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称简称',
  `domain` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '访问地址',
  `status` tinyint(2) NULL DEFAULT 1 COMMENT '区域状态 (0.停用，1.正常)',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 36357 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '区域表';

-- ----------------------------
-- Records of mortals_sys_base_area
-- ----------------------------
BEGIN;
INSERT INTO `mortals_sys_base_area` VALUES (1, '', '四川省', '6182157d00ce41559e001a89d87f4057', '0', 'True', 'True', 'true', 'true', '510000000000', 1, '四川省', 'www.sczwfw.gov.cn', 1, '2021-07-19 11:28:28', NULL, '2022-03-17 13:39:30'), (2, '', '成都市', 'a1c5bc973eb74529b9329bcfd9680056', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '510100000000', 2, '成都市', 'cds.sczwfw.gov.cn', 1, '2021-07-19 11:28:28', NULL, NULL), (3, '', '青羊区', '50295ca431d048df9d745888e7a0932e', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510105000000', 3, '青羊区', 'cdsqyq.sczwfw.gov.cn', 1, '2021-07-19 11:28:29', NULL, NULL), (4, '', '蔡桥街道', 'd7fb8c9d35cb4321852917d7873c16f6', '50295ca431d048df9d745888e7a0932e', 'True', 'True', 'false', 'false', '510105521000', 4, '蔡桥街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510105521000', 1, '2021-07-19 11:28:29', NULL, NULL), (5, '', '同欣社区', 'bb0f2495fd1a4da58e93111f7e14c252', 'd7fb8c9d35cb4321852917d7873c16f6', 'False', 'True', 'false', 'false', '510105015076', 5, '同欣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105015076', 1, '2021-07-19 11:28:29', NULL, NULL), (6, '', '七里沟社区', '3208da01e09a43f3839e4f462026d123', 'd7fb8c9d35cb4321852917d7873c16f6', 'False', 'True', 'false', 'false', '510105015109', 5, '七里沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105015109', 1, '2021-07-19 11:28:29', NULL, NULL), (7, '', '同瑞社区', '852724bcf84c484d9f7b59900ad8de16', 'd7fb8c9d35cb4321852917d7873c16f6', 'False', 'True', 'false', 'false', '510105015168', 5, '同瑞社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105015168', 1, '2021-07-19 11:28:29', NULL, NULL), (8, '', '同辉社区', 'a74d90c0ad0e4457abc574674dc2f826', 'd7fb8c9d35cb4321852917d7873c16f6', 'False', 'True', 'false', 'false', '510105015187', 5, '同辉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105015187', 1, '2021-07-19 11:28:29', NULL, NULL), (9, '', '万家湾社区', 'ae91b0b64fab4f14955cc448f6f2f91b', 'd7fb8c9d35cb4321852917d7873c16f6', 'False', 'True', 'false', 'false', '510105015198', 5, '万家湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105015198', 1, '2021-07-19 11:28:29', NULL, NULL), (10, '', '红碾社区', 'cd99e3c465a7404fa788ddae005e0245', 'd7fb8c9d35cb4321852917d7873c16f6', 'False', 'True', 'false', 'false', '510105015664', 5, '红碾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105015664', 1, '2021-07-19 11:28:29', NULL, NULL), (11, '', '华严社区', 'fbc6ef707bb24b06930e0949cb1f43ab', 'd7fb8c9d35cb4321852917d7873c16f6', 'False', 'True', 'false', 'false', '510105015815', 5, '华严社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105015815', 1, '2021-07-19 11:28:29', NULL, NULL), (12, '', '蔡桥社区', '30cd26e830504c849a70142a2c8d84c1', 'd7fb8c9d35cb4321852917d7873c16f6', 'False', 'True', 'false', 'false', '510105015880', 5, '蔡桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105015880', 1, '2021-07-19 11:28:29', NULL, NULL), (13, '', '康河街道', '74d04e1e670a4a7f9a600d6c351679d7', '50295ca431d048df9d745888e7a0932e', 'True', 'True', 'false', 'false', '510105839000', 4, '康河街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510105839000', 1, '2021-07-19 11:28:29', NULL, NULL), (14, '', '马厂社区', 'b89fa7705e7043ac8e831c629a204038', '74d04e1e670a4a7f9a600d6c351679d7', 'False', 'True', 'false', 'false', '510105016009', 5, '马厂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105016009', 1, '2021-07-19 11:28:30', NULL, NULL), (15, '', '董家坝社区', '74ca91b65b1f4ae0921e638fe2adea2c', '74d04e1e670a4a7f9a600d6c351679d7', 'False', 'True', 'false', 'false', '510105016100', 5, '董家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105016100', 1, '2021-07-19 11:28:30', NULL, NULL), (16, '', '康河社区', 'b6114bac17784a6a94d6227d850f7d69', '74d04e1e670a4a7f9a600d6c351679d7', 'False', 'True', 'false', 'false', '510105016940', 5, '康河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105016940', 1, '2021-07-19 11:28:30', NULL, NULL), (17, '', '乐平社区', '9c6818acd23e43009fdb65e5da5d8ef9', '74d04e1e670a4a7f9a600d6c351679d7', 'False', 'True', 'false', 'false', '510105016943', 5, '乐平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105016943', 1, '2021-07-19 11:28:30', NULL, NULL), (18, '', '文家街道', '9e46ba17093e4dda98f878fff64c5f05', '50295ca431d048df9d745888e7a0932e', 'True', 'True', 'false', 'false', '510105212000', 4, '文家街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510105212000', 1, '2021-07-19 11:28:30', NULL, NULL), (19, '', '高坎社区', 'd8940cee4f434634b781f647ed3e9c32', '9e46ba17093e4dda98f878fff64c5f05', 'False', 'True', 'false', 'false', '510105014156', 5, '高坎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105014156', 1, '2021-07-19 11:28:30', NULL, NULL), (20, '', '张家碾社区', '10e4cd0d152a4bea899d0e9be0dd0790', '9e46ba17093e4dda98f878fff64c5f05', 'False', 'True', 'false', 'false', '510105014469', 5, '张家碾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105014469', 1, '2021-07-19 11:28:30', NULL, NULL), (21, '', '大石桥社区', '3860d21dc31e457aaf8b5b8837c4d0b2', '9e46ba17093e4dda98f878fff64c5f05', 'False', 'True', 'false', 'false', '510105014484', 5, '大石桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105014484', 1, '2021-07-19 11:28:30', NULL, NULL), (22, '', '康庄社区', '9e763e4b07b34098936e67a297e19657', '9e46ba17093e4dda98f878fff64c5f05', 'False', 'True', 'false', 'false', '510105014865', 5, '康庄社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105014865', 1, '2021-07-19 11:28:30', NULL, NULL), (23, '', '盐井社区', 'd716af936aac4afd88c6892d428201fc', '9e46ba17093e4dda98f878fff64c5f05', 'False', 'True', 'false', 'false', '510105014903', 5, '盐井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105014903', 1, '2021-07-19 11:28:30', NULL, NULL), (24, '', '黄田坝街道', 'd9b2e5e3150e4d31829319d58db97ef3', '50295ca431d048df9d745888e7a0932e', 'True', 'True', 'false', 'false', '510105441000', 4, '黄田坝街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510105441000', 1, '2021-07-19 11:28:30', NULL, NULL), (25, '', '快活社区', '20c9ce5c3027425181720edcd360532c', 'd9b2e5e3150e4d31829319d58db97ef3', 'False', 'True', 'false', 'false', '510105012406', 5, '快活社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105012406', 1, '2021-07-19 11:28:30', NULL, NULL), (26, '', '黄土社区', '12fadf03c1b444b689f47c53adee3242', 'd9b2e5e3150e4d31829319d58db97ef3', 'False', 'True', 'false', 'false', '510105012939', 5, '黄土社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105012939', 1, '2021-07-19 11:28:30', NULL, NULL), (27, '', '华兴社区', '1b1a8d1b32a04ec694b8b385a71115d2', 'd9b2e5e3150e4d31829319d58db97ef3', 'False', 'True', 'false', 'false', '510105012160', 5, '华兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105012160', 1, '2021-07-19 11:28:31', NULL, NULL), (28, '', '联工社区', '684fe5077f384155925207657cd629d4', 'd9b2e5e3150e4d31829319d58db97ef3', 'False', 'True', 'false', 'false', '510105012373', 5, '联工社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105012373', 1, '2021-07-19 11:28:31', NULL, NULL), (29, '', '成航社区', '44a7f14e78774e8aa8c2e5659b781b81', 'd9b2e5e3150e4d31829319d58db97ef3', 'False', 'True', 'false', 'false', '510105012479', 5, '成航社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105012479', 1, '2021-07-19 11:28:31', NULL, NULL), (30, '', '安康社区', 'c646146f8cf4426a94cd87b8e700ab4a', 'd9b2e5e3150e4d31829319d58db97ef3', 'False', 'True', 'false', 'false', '510105012495', 5, '安康社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105012495', 1, '2021-07-19 11:28:31', NULL, NULL), (31, '', '民安社区', '3945f2addd234e47a67b20caeff5b9c8', 'd9b2e5e3150e4d31829319d58db97ef3', 'False', 'True', 'false', 'false', '510105012695', 5, '民安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105012695', 1, '2021-07-19 11:28:31', NULL, NULL), (32, '', '草堂街道', 'e6bb4ab583d24899b15e61055668133c', '50295ca431d048df9d745888e7a0932e', 'True', 'True', 'false', 'false', '510105518000', 4, '草堂街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510105518000', 1, '2021-07-19 11:28:31', NULL, NULL), (33, '', '青华社区', '74dbec936778432fa98cfb3b63b2fd98', 'e6bb4ab583d24899b15e61055668133c', 'False', 'True', 'false', 'false', '510105007172', 5, '青华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105007172', 1, '2021-07-19 11:28:31', NULL, NULL), (34, '', '芳邻路社区', 'becadcb6dc534f4daef27cd4cb2b990b', 'e6bb4ab583d24899b15e61055668133c', 'False', 'True', 'false', 'false', '510105007319', 5, '芳邻路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105007319', 1, '2021-07-19 11:28:31', NULL, NULL), (35, '', '送仙桥社区', 'a4656118533a45a29831d43c53c770c0', 'e6bb4ab583d24899b15e61055668133c', 'False', 'True', 'false', 'false', '510105007328', 5, '送仙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105007328', 1, '2021-07-19 11:28:31', NULL, NULL), (36, '', '琴台路社区', '46ceb2243231462fa11b1fc950d80a43', 'e6bb4ab583d24899b15e61055668133c', 'False', 'True', 'false', 'false', '510105007738', 5, '琴台路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105007738', 1, '2021-07-19 11:28:31', NULL, NULL), (37, '', '草堂路社区', 'a1a029c3bff5433dac79f5ea4cdecddc', 'e6bb4ab583d24899b15e61055668133c', 'False', 'True', 'false', 'false', '510105007937', 5, '草堂路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105007937', 1, '2021-07-19 11:28:31', NULL, NULL), (38, '', '苏坡街道', '82f2d0188dad4006bab39a94bd7514e1', '50295ca431d048df9d745888e7a0932e', 'True', 'True', 'false', 'false', '510105568000', 4, '苏坡街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510105568000', 1, '2021-07-19 11:28:31', NULL, NULL), (39, '', '培风路社区', '1b814a48d0514c50a822c46784284805', '82f2d0188dad4006bab39a94bd7514e1', 'False', 'True', 'false', 'false', '510105013323', 5, '培风路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105013323', 1, '2021-07-19 11:28:32', NULL, NULL), (40, '', '清江社区', '71510d82ecfc4c4688b4c888bbd9d4f4', '82f2d0188dad4006bab39a94bd7514e1', 'False', 'True', 'false', 'false', '510105013501', 5, '清江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105013501', 1, '2021-07-19 11:28:32', NULL, NULL), (41, '', '百仁社区', 'b4c7ce81a7514c7386a65e1c62450942', '82f2d0188dad4006bab39a94bd7514e1', 'False', 'True', 'false', 'false', '510105013553', 5, '百仁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105013553', 1, '2021-07-19 11:28:32', NULL, NULL), (42, '', '清源社区', 'ea524601d8064d9eaf410272e61940db', '82f2d0188dad4006bab39a94bd7514e1', 'False', 'True', 'false', 'false', '510105013691', 5, '清源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105013691', 1, '2021-07-19 11:28:32', NULL, NULL), (43, '', '清波社区', '39eca8bd46554ef39efdd8b4ae512b6e', '82f2d0188dad4006bab39a94bd7514e1', 'False', 'True', 'false', 'false', '510105013740', 5, '清波社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105013740', 1, '2021-07-19 11:28:32', NULL, NULL), (44, '', '中坝社区', 'fc41ba68fc7c435685cd1921556dd7f7', '82f2d0188dad4006bab39a94bd7514e1', 'False', 'True', 'false', 'false', '510105013829', 5, '中坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105013829', 1, '2021-07-19 11:28:32', NULL, NULL), (45, '', '西御河街道', '72f56a79cc4048a58cc671514449c6cd', '50295ca431d048df9d745888e7a0932e', 'True', 'True', 'false', 'false', '510105593000', 4, '西御河街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510105593000', 1, '2021-07-19 11:28:32', NULL, NULL), (46, '', '鼓楼社区', '3b36a814f3704a4daf0d54d86d503bd1', '72f56a79cc4048a58cc671514449c6cd', 'False', 'True', 'false', 'false', '510105003167', 5, '鼓楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105003167', 1, '2021-07-19 11:28:32', NULL, NULL), (47, '', '骡马市社区', 'ed64c1f2665947338a830a745debb921', '72f56a79cc4048a58cc671514449c6cd', 'False', 'True', 'false', 'false', '510105003739', 5, '骡马市社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105003739', 1, '2021-07-19 11:28:32', NULL, NULL), (48, '', '升平社区', '44efae1468a34fd3b2e2e92e34aa9a98', '72f56a79cc4048a58cc671514449c6cd', 'False', 'True', 'false', 'false', '510105003862', 5, '升平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105003862', 1, '2021-07-19 11:28:32', NULL, NULL), (49, '', '陕西街社区', 'b2ccaa9f802e41be95354562459a7353', '72f56a79cc4048a58cc671514449c6cd', 'False', 'True', 'false', 'false', '510105003943', 5, '陕西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105003943', 1, '2021-07-19 11:28:32', NULL, NULL), (50, '', '西华门社区', 'da1982c6848843deac4ddf840b86a45b', '72f56a79cc4048a58cc671514449c6cd', 'False', 'True', 'false', 'false', '510105003681', 5, '西华门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105003681', 1, '2021-07-19 11:28:32', NULL, NULL), (51, '', '少城街道', '65c3d84d59f64f7e81da2d82486beafe', '50295ca431d048df9d745888e7a0932e', 'True', 'True', 'false', 'false', '510105607000', 4, '少城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510105607000', 1, '2021-07-19 11:28:32', NULL, NULL), (52, '', '长城社区', '317cb1b647194bb5807a750fc4af75a5', '65c3d84d59f64f7e81da2d82486beafe', 'False', 'True', 'false', 'false', '510105005294', 5, '长城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105005294', 1, '2021-07-19 11:28:33', NULL, NULL), (53, '', '祠堂街社区', 'd56540aedb1c412c8e2ec2d733004574', '65c3d84d59f64f7e81da2d82486beafe', 'False', 'True', 'false', 'false', '510105005846', 5, '祠堂街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105005846', 1, '2021-07-19 11:28:33', NULL, NULL), (54, '', '文翁社区', '4326a96e0b074142b866ced19bdb2af4', '65c3d84d59f64f7e81da2d82486beafe', 'False', 'True', 'false', 'false', '510105005985', 5, '文翁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105005985', 1, '2021-07-19 11:28:33', NULL, NULL), (55, '', '四道街社区', 'a68cdb0f7cb8408392b6b1c7258fc3c0', '65c3d84d59f64f7e81da2d82486beafe', 'False', 'True', 'false', 'false', '510105005033', 5, '四道街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105005033', 1, '2021-07-19 11:28:33', NULL, NULL), (56, '', '商业街社区', '138d78393038430d9d905080dd00efcc', '65c3d84d59f64f7e81da2d82486beafe', 'False', 'True', 'false', 'false', '510105005289', 5, '商业街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105005289', 1, '2021-07-19 11:28:33', NULL, NULL), (57, '', '宽巷子社区', '7ad9918521fd4f4791448125bca84cf7', '65c3d84d59f64f7e81da2d82486beafe', 'False', 'True', 'false', 'false', '510105005898', 5, '宽巷子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105005898', 1, '2021-07-19 11:28:33', NULL, NULL), (58, '', '金沙街道', '55d5520d18c6419899383ed79a1dc2f1', '50295ca431d048df9d745888e7a0932e', 'True', 'True', 'false', 'false', '510105708000', 4, '金沙街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510105708000', 1, '2021-07-19 11:28:33', NULL, NULL), (59, '', '同怡社区', '1f1f375a39224d139f320232f09ca919', '55d5520d18c6419899383ed79a1dc2f1', 'False', 'True', 'false', 'false', '510105011361', 5, '同怡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105011361', 1, '2021-07-19 11:28:33', NULL, NULL), (60, '', '金鹏社区', '59b2850e2fe3423d98d1c73652849344', '55d5520d18c6419899383ed79a1dc2f1', 'False', 'True', 'false', 'false', '510105011383', 5, '金鹏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105011383', 1, '2021-07-19 11:28:33', NULL, NULL), (61, '', '金凤社区', '743dc33777224853980b16582dc2af3a', '55d5520d18c6419899383ed79a1dc2f1', 'False', 'True', 'false', 'false', '510105011621', 5, '金凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105011621', 1, '2021-07-19 11:28:34', NULL, NULL), (62, '', '金沙遗址社区', 'f165df83c6fb482a9ace40fd285af992', '55d5520d18c6419899383ed79a1dc2f1', 'False', 'True', 'false', 'false', '510105011671', 5, '金沙遗址社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105011671', 1, '2021-07-19 11:28:34', NULL, NULL), (63, '', '府南街道', '5807e48e383f4c5583fa54b8bfeb2022', '50295ca431d048df9d745888e7a0932e', 'True', 'True', 'false', 'false', '510105885000', 4, '府南街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510105885000', 1, '2021-07-19 11:28:34', NULL, NULL), (64, '', '石人北路社区', 'f7dbb97ce2934433a21096226420eae7', '5807e48e383f4c5583fa54b8bfeb2022', 'False', 'True', 'false', 'false', '510105008103', 5, '石人北路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105008103', 1, '2021-07-19 11:28:34', NULL, NULL), (65, '', '清溪社区', '257d09d6256841d2a8ebf63ef94f5ab0', '5807e48e383f4c5583fa54b8bfeb2022', 'False', 'True', 'false', 'false', '510105008146', 5, '清溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105008146', 1, '2021-07-19 11:28:34', NULL, NULL), (66, '', '同德社区', '919332b6a8634d3a89be840bbedb63fa', '5807e48e383f4c5583fa54b8bfeb2022', 'False', 'True', 'false', 'false', '510105008258', 5, '同德社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105008258', 1, '2021-07-19 11:28:34', NULL, NULL), (67, '', '文苑社区', 'fa2b59a2c42b4df993a42c77c5f9b99f', '5807e48e383f4c5583fa54b8bfeb2022', 'False', 'True', 'false', 'false', '510105008455', 5, '文苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105008455', 1, '2021-07-19 11:28:34', NULL, NULL), (68, '', '战旗社区', 'd1c1af1a096e4858807cbca364464e2a', '5807e48e383f4c5583fa54b8bfeb2022', 'False', 'True', 'false', 'false', '510105008642', 5, '战旗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105008642', 1, '2021-07-19 11:28:34', NULL, NULL), (69, '', '石人南路社区', 'e2b4b7c0c1194445a4d0f0830c7c6f52', '5807e48e383f4c5583fa54b8bfeb2022', 'False', 'True', 'false', 'false', '510105008805', 5, '石人南路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105008805', 1, '2021-07-19 11:28:34', NULL, NULL), (70, '', '草市街街道', '6419b7d63e414264a40f87c2b878717c', '50295ca431d048df9d745888e7a0932e', 'True', 'True', 'false', 'false', '510105895000', 4, '草市街街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510105895000', 1, '2021-07-19 11:28:34', NULL, NULL), (71, '', '小关庙社区', 'cd9be7cfa30f4c2faea66d85102d21e6', '6419b7d63e414264a40f87c2b878717c', 'False', 'True', 'false', 'false', '510105002415', 5, '小关庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105002415', 1, '2021-07-19 11:28:34', NULL, NULL), (72, '', '八宝街社区', 'a65bc126f7f445e9afbbade8dae3a1a7', '6419b7d63e414264a40f87c2b878717c', 'False', 'True', 'false', 'false', '510105002594', 5, '八宝街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105002594', 1, '2021-07-19 11:28:34', NULL, NULL), (73, '', '宁夏街社区', 'ed9145746ee647f3993d473cf15caa02', '6419b7d63e414264a40f87c2b878717c', 'False', 'True', 'false', 'false', '510105002782', 5, '宁夏街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105002782', 1, '2021-07-19 11:28:35', NULL, NULL), (74, '', '玉沙路社区', '6cd554ed9330401eb14a5a7421dedcc1', '6419b7d63e414264a40f87c2b878717c', 'False', 'True', 'false', 'false', '510105002813', 5, '玉沙路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105002813', 1, '2021-07-19 11:28:35', NULL, NULL), (75, '', '双眼井社区', 'a0950f8f827a48d899e524845bd793bf', '6419b7d63e414264a40f87c2b878717c', 'False', 'True', 'false', 'false', '510105002232', 5, '双眼井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105002232', 1, '2021-07-19 11:28:35', NULL, NULL), (76, '', '光华街道', 'e1c3262c2b3e4daeb2d983e92279d782', '50295ca431d048df9d745888e7a0932e', 'True', 'True', 'false', 'false', '510105922000', 4, '光华街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510105922000', 1, '2021-07-19 11:28:35', NULL, NULL), (77, '', '清水河社区', 'b2194fedb16041c3bba05b01a48679ae', 'e1c3262c2b3e4daeb2d983e92279d782', 'False', 'True', 'false', 'false', '510105009286', 5, '清水河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105009286', 1, '2021-07-19 11:28:35', NULL, NULL), (78, '', '东坡路社区', '947fff27740b49ef8a57afcd2dfa97a6', 'e1c3262c2b3e4daeb2d983e92279d782', 'False', 'True', 'false', 'false', '510105009603', 5, '东坡路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105009603', 1, '2021-07-19 11:28:35', NULL, NULL), (79, '', '双新路社区', '4ce73d37f121490bba58858cd8ea03a3', 'e1c3262c2b3e4daeb2d983e92279d782', 'False', 'True', 'false', 'false', '510105009852', 5, '双新路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105009852', 1, '2021-07-19 11:28:35', NULL, NULL), (80, '', '贝森路社区', '2b1e272a1c324f0c8369b9325a19849b', 'e1c3262c2b3e4daeb2d983e92279d782', 'False', 'True', 'false', 'false', '510105009886', 5, '贝森路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105009886', 1, '2021-07-19 11:28:35', NULL, NULL), (81, '', '财大社区', 'd03fad32914a4f74bf6001d1a25fdca4', 'e1c3262c2b3e4daeb2d983e92279d782', 'False', 'True', 'false', 'false', '510105009164', 5, '财大社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105009164', 1, '2021-07-19 11:28:35', NULL, NULL), (82, '', '浣花社区', '211873156717450c9032b4ea60af8912', 'e1c3262c2b3e4daeb2d983e92279d782', 'False', 'True', 'false', 'false', '510105009421', 5, '浣花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510105009421', 1, '2021-07-19 11:28:35', NULL, NULL), (83, '', '高新区', '0f5f8c010bce410fb9526e79ccf392ca', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510109000000', 3, '高新区', 'cdsgxq.sczwfw.gov.cn', 1, '2021-07-19 11:28:35', NULL, NULL), (84, '', '肖家河街道', '050c669f9e9d49d1a03270bbeed4e900', '0f5f8c010bce410fb9526e79ccf392ca', 'True', 'True', 'false', 'false', '510109001000', 4, '肖家河街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510109001000', 1, '2021-07-19 11:28:35', NULL, NULL), (85, '', '永丰社区', '8c8b17a21d9c48e69b42cbdb4689532a', '050c669f9e9d49d1a03270bbeed4e900', 'False', 'True', 'false', 'false', '510109001002', 5, '永丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109001002', 1, '2021-07-19 11:28:35', NULL, NULL), (86, '', '兴蓉社区', 'e7646bbe4fc44416942d643172474caf', '050c669f9e9d49d1a03270bbeed4e900', 'False', 'True', 'false', 'false', '510109001003', 5, '兴蓉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109001003', 1, '2021-07-19 11:28:35', NULL, NULL), (87, '', '新北社区', 'ac1031970c304fa3a2e0896858a06a43', '050c669f9e9d49d1a03270bbeed4e900', 'False', 'True', 'false', 'false', '510109001004', 5, '新北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109001004', 1, '2021-07-19 11:28:35', NULL, NULL), (88, '', '新光社区', 'f526dae2c5b941d09ae778760a64fd2e', '050c669f9e9d49d1a03270bbeed4e900', 'False', 'True', 'false', 'false', '510109001005', 5, '新光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109001005', 1, '2021-07-19 11:28:35', NULL, NULL), (89, '', '新盛社区', '13935d29a7884a7980ba01d0f2c2e7eb', '050c669f9e9d49d1a03270bbeed4e900', 'False', 'True', 'false', 'false', '510109001006', 5, '新盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109001006', 1, '2021-07-19 11:28:35', NULL, NULL), (90, '', '肖家河正街社区', '533ab3b34bc1484697e4a8347c82cdd7', '050c669f9e9d49d1a03270bbeed4e900', 'False', 'True', 'false', 'false', '510109001007', 5, '正街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109001007', 1, '2021-07-19 11:28:36', NULL, NULL), (91, '', '科园社区', 'f045a006b7654b4c840fbba68d5d3e6f', '050c669f9e9d49d1a03270bbeed4e900', 'False', 'True', 'false', 'false', '510109001129', 5, '科园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109001129', 1, '2021-07-19 11:28:36', NULL, NULL), (92, '', '芳草街街道', 'acf76a314a524c37903aacbb998c60a6', '0f5f8c010bce410fb9526e79ccf392ca', 'True', 'True', 'false', 'false', '510109002000', 4, '芳草街街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510109002000', 1, '2021-07-19 11:28:36', NULL, NULL), (93, '', '沙子堰社区', '05a255f9104d4920bc049e83ffb68550', 'acf76a314a524c37903aacbb998c60a6', 'False', 'True', 'false', 'false', '510109002001', 5, '沙子堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109002001', 1, '2021-07-19 11:28:36', NULL, NULL), (94, '', '紫荆社区', '33f4d2b4d672494f85a98766fc6ac070', 'acf76a314a524c37903aacbb998c60a6', 'False', 'True', 'false', 'false', '510109007001', 5, '紫荆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109007001', 1, '2021-07-19 11:28:36', NULL, NULL), (95, '', '紫竹社区', '3e4ca8716da045d8b9cbfb7b4c9f6f97', 'acf76a314a524c37903aacbb998c60a6', 'False', 'True', 'false', 'false', '510109007003', 5, '紫竹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109007003', 1, '2021-07-19 11:28:36', NULL, NULL), (96, '', '蓓蕾社区', '512c6ee9be9345c3b449e4b1896bec55', 'acf76a314a524c37903aacbb998c60a6', 'False', 'True', 'false', 'false', '510109007005', 5, '蓓蕾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109007005', 1, '2021-07-19 11:28:36', NULL, NULL), (97, '', '神仙树社区', '8417c13aed514029aaab298a601331e9', 'acf76a314a524c37903aacbb998c60a6', 'False', 'True', 'false', 'false', '510109007006', 5, '神仙树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109007006', 1, '2021-07-19 11:28:36', NULL, NULL), (98, '', '紫薇社区', '09c70494bad1467ba3760ea0e87e0f2e', 'acf76a314a524c37903aacbb998c60a6', 'False', 'True', 'false', 'false', '510109007008', 5, '紫薇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109007008', 1, '2021-07-19 11:28:36', NULL, NULL), (99, '', '盛泰社区', '9cd28cc02dc041dd8dc5e9c4afca27b4', 'acf76a314a524c37903aacbb998c60a6', 'False', 'True', 'false', 'false', '510109007009', 5, '盛泰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109007009', 1, '2021-07-19 11:28:36', NULL, NULL), (100, '', '石羊街道', '1c6cb7d99dec4fb49e1add2311e4ec8e', '0f5f8c010bce410fb9526e79ccf392ca', 'True', 'True', 'false', 'false', '510109003000', 4, '石羊街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510109003000', 1, '2021-07-19 11:28:36', NULL, NULL), (101, '', '石羊街道锦晖社区', 'be0a09023d7e4652a569ba5aea75c286', '1c6cb7d99dec4fb49e1add2311e4ec8e', 'False', 'True', 'false', 'false', '510109003400', 5, '石羊街道锦晖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003400', 1, '2021-07-19 11:28:36', NULL, NULL), (102, '', '石羊街道府盛社区', '1ebe42e71ba74e0a96cf29f7f1519ffa', '1c6cb7d99dec4fb49e1add2311e4ec8e', 'False', 'True', 'false', 'false', '510109003401', 5, '石羊街道府盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003401', 1, '2021-07-19 11:28:37', NULL, NULL), (103, '', '石羊街道锦羊社区', 'b9f73175f7ea4d5bb7415e4a8226dfee', '1c6cb7d99dec4fb49e1add2311e4ec8e', 'False', 'True', 'false', 'false', '510109003402', 5, '石羊街道锦羊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003402', 1, '2021-07-19 11:28:37', NULL, NULL), (104, '', '新园社区', 'e7541bf2bbb8438e92fef680d654fef5', '1c6cb7d99dec4fb49e1add2311e4ec8e', 'False', 'True', 'false', 'false', '510109006001', 5, '新园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109006001', 1, '2021-07-19 11:28:37', NULL, NULL), (105, '', '新街社区', 'edc34872dfda4954b6a4ce683904980f', '1c6cb7d99dec4fb49e1add2311e4ec8e', 'False', 'True', 'false', 'false', '510109006002', 5, '新街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109006002', 1, '2021-07-19 11:28:37', NULL, NULL), (106, '', '新南社区', '495024fa0a9f4565af4d56d61dbf100f', '1c6cb7d99dec4fb49e1add2311e4ec8e', 'False', 'True', 'false', 'false', '510109006003', 5, '新南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109006003', 1, '2021-07-19 11:28:37', NULL, NULL), (107, '', '庆安社区', '78a530cf4a7040afaa0dd7ba4fa53401', '1c6cb7d99dec4fb49e1add2311e4ec8e', 'False', 'True', 'false', 'false', '510109006004', 5, '庆安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109006004', 1, '2021-07-19 11:28:37', NULL, NULL), (108, '', '三元社区', 'ee0e2f1b01ee4ff6a144af24ccf9fce1', '1c6cb7d99dec4fb49e1add2311e4ec8e', 'False', 'True', 'false', 'false', '510109006005', 5, '三元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109006005', 1, '2021-07-19 11:28:37', NULL, NULL), (109, '', '府城社区', '3254cc94b4e24e95af5fa847a91b436d', '1c6cb7d99dec4fb49e1add2311e4ec8e', 'False', 'True', 'false', 'false', '510109006006', 5, '府城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109006006', 1, '2021-07-19 11:28:37', NULL, NULL), (110, '', '锦城社区', 'f477d73cd2834ab69fd3859c54c9099b', '1c6cb7d99dec4fb49e1add2311e4ec8e', 'False', 'True', 'false', 'false', '510109006007', 5, '锦城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109006007', 1, '2021-07-19 11:28:37', NULL, NULL), (111, '', '美洲花园社区', 'e526c0c6dbbb41bb99235e08bd81142a', '1c6cb7d99dec4fb49e1add2311e4ec8e', 'False', 'True', 'false', 'false', '510109006008', 5, '美洲花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109006008', 1, '2021-07-19 11:28:37', NULL, NULL), (112, '', '盛兴社区', 'b6bf403f7bb141e4b370569d192797b7', '1c6cb7d99dec4fb49e1add2311e4ec8e', 'False', 'True', 'false', 'false', '510109006009', 5, '盛兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109006009', 1, '2021-07-19 11:28:37', NULL, NULL), (113, '', '盛乐社区', '2b79ca982dc44a43a6ab90f59373508a', '1c6cb7d99dec4fb49e1add2311e4ec8e', 'False', 'True', 'false', 'false', '510109006010', 5, '盛乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109006010', 1, '2021-07-19 11:28:38', NULL, NULL), (114, '', '盛华社区', '518675dec31d4802bb189c4ad68230d9', '1c6cb7d99dec4fb49e1add2311e4ec8e', 'False', 'True', 'false', 'false', '510109006011', 5, '盛华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109006011', 1, '2021-07-19 11:28:38', NULL, NULL), (115, '', '桂溪街道', '99e1de4143f34964bff16ceda6fd85a9', '0f5f8c010bce410fb9526e79ccf392ca', 'True', 'True', 'false', 'false', '510109004000', 4, '桂溪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510109004000', 1, '2021-07-19 11:28:38', NULL, NULL), (116, '', '交子公园社区', 'f76398df516343579b302e6058bdb6b4', '99e1de4143f34964bff16ceda6fd85a9', 'False', 'True', 'false', 'false', '510109005014', 5, '桂溪街道交子公园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109005014', 1, '2021-07-19 11:28:38', NULL, NULL), (117, '', '月牙湖社区', 'e346cbcaf04d4b7795bf0a06ef65cf52', '99e1de4143f34964bff16ceda6fd85a9', 'False', 'True', 'false', 'false', '510109005015', 5, '桂溪街道月牙湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109005015', 1, '2021-07-19 11:28:38', NULL, NULL), (118, '', '大源社区', '4dbd5c309ffa45e082a610587c6a1655', '99e1de4143f34964bff16ceda6fd85a9', 'False', 'True', 'false', 'false', '510109005016', 5, '桂溪街道大源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109005016', 1, '2021-07-19 11:28:38', NULL, NULL), (119, '', '吉泰社区', 'fc09c9bfe10946a588b3e743f7fdbd71', '99e1de4143f34964bff16ceda6fd85a9', 'False', 'True', 'false', 'false', '510109005017', 5, '桂溪街道吉泰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109005017', 1, '2021-07-19 11:28:38', NULL, NULL), (120, '', '昆华社区', '12bb5b730fc4468f9950c41840d5605a', '99e1de4143f34964bff16ceda6fd85a9', 'False', 'True', 'false', 'false', '510109005018', 5, '桂溪街道昆华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109005018', 1, '2021-07-19 11:28:38', NULL, NULL), (121, '', '科创社区', '1f3ee424f63344249ad3b45da95fe37b', '99e1de4143f34964bff16ceda6fd85a9', 'False', 'True', 'false', 'false', '510109005019', 5, '桂溪街道科创社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109005019', 1, '2021-07-19 11:28:38', NULL, NULL), (122, '', '南新社区', '9d857e6523f447a48aaeb37f13e21812', '99e1de4143f34964bff16ceda6fd85a9', 'False', 'True', 'false', 'false', '510109005007', 5, '南新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109005007', 1, '2021-07-19 11:28:38', NULL, NULL), (123, '', '临江社区', '0419f061d75d4a719b61ee1b4a445108', '99e1de4143f34964bff16ceda6fd85a9', 'False', 'True', 'false', 'false', '510109005008', 5, '临江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109005008', 1, '2021-07-19 11:28:39', NULL, NULL), (124, '', '益州社区', '586dee4487ef4716b56f32562748c55c', '99e1de4143f34964bff16ceda6fd85a9', 'False', 'True', 'false', 'false', '510109005009', 5, '益州社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109005009', 1, '2021-07-19 11:28:39', NULL, NULL), (125, '', '永安社区', '4cf1f17ae9b94515ab8aa28b969d0967', '99e1de4143f34964bff16ceda6fd85a9', 'False', 'True', 'false', 'false', '510109005010', 5, '永安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109005010', 1, '2021-07-19 11:28:39', NULL, NULL), (126, '', '和平社区', 'eab739f4598d49e980e4611cc6608413', '99e1de4143f34964bff16ceda6fd85a9', 'False', 'True', 'false', 'false', '510109005011', 5, '和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109005011', 1, '2021-07-19 11:28:39', NULL, NULL), (127, '', '三瓦窑社区', '41b5d253f4ed489a8437353f2435a702', '99e1de4143f34964bff16ceda6fd85a9', 'False', 'True', 'false', 'false', '510109005012', 5, '三瓦窑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109005012', 1, '2021-07-19 11:28:39', NULL, NULL), (128, '', '天华社区', '1e15fbb3138a44648b51470f724845f5', '99e1de4143f34964bff16ceda6fd85a9', 'False', 'True', 'false', 'false', '510109005013', 5, '天华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109005013', 1, '2021-07-19 11:28:39', NULL, NULL), (129, '', '合作街道', '32838a1ad0a64cdca1a69a653bcca01c', '0f5f8c010bce410fb9526e79ccf392ca', 'True', 'True', 'false', 'false', '510109005000', 4, '合作街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510109005000', 1, '2021-07-19 11:28:39', NULL, NULL), (130, '', '顺江社区', '2d3f6c712dde440f9dfceb1a0285f323', '32838a1ad0a64cdca1a69a653bcca01c', 'False', 'True', 'false', 'false', '510109004001', 5, '顺江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109004001', 1, '2021-07-19 11:28:39', NULL, NULL), (131, '', '中海社区', '297999c906f4422c84de32fd1017f6b5', '32838a1ad0a64cdca1a69a653bcca01c', 'False', 'True', 'false', 'false', '510109004002', 5, '中海社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109004002', 1, '2021-07-19 11:28:39', NULL, NULL), (132, '', '中和街道', '82560e19ec98475da6b3e0315bc50a73', '0f5f8c010bce410fb9526e79ccf392ca', 'True', 'True', 'false', 'false', '510109006000', 4, '中和街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510109006000', 1, '2021-07-19 11:28:39', NULL, NULL), (133, '', '朝阳社区', '41d00b1124ca45ba9ae2c8f6f065ed56', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003001', 5, '朝阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003001', 1, '2021-07-19 11:28:39', NULL, NULL), (134, '', '陆肖社区', '809f6a135276489db31ab37b1cdb8381', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003002', 5, '陆肖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003002', 1, '2021-07-19 11:28:40', NULL, NULL), (135, '', '迎江社区', 'b4a55a76cd2d495d91da476dacd56ee3', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003003', 5, '迎江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003003', 1, '2021-07-19 11:28:40', NULL, NULL), (136, '', '新会社区', '8fc9425fbc454cf1b7999701ae162f8d', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003004', 5, '新会社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003004', 1, '2021-07-19 11:28:40', NULL, NULL), (137, '', '五根松社区', 'bbe303436554451ba6537a8760e0238e', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003005', 5, '五根松社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003005', 1, '2021-07-19 11:28:40', NULL, NULL), (138, '', '七里社区', '0cf51a5b59d44882bc3709af40dc60fb', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003006', 5, '七里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003006', 1, '2021-07-19 11:28:40', NULL, NULL), (139, '', '东寺社区', 'e1133ec37a45468f85019bca19a45443', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003007', 5, '东寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003007', 1, '2021-07-19 11:28:40', NULL, NULL), (140, '', '仁和社区', '581e4dcbce54481fb91ba1ee77c0bda7', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003008', 5, '仁和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003008', 1, '2021-07-19 11:28:40', NULL, NULL), (141, '', '姐儿堰社区', '1cdad09e38fa4ebda98163484810fe78', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003009', 5, '姐儿堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003009', 1, '2021-07-19 11:28:40', NULL, NULL), (142, '', '新华社区', '4bd9354702484b629c1efcc6d9899145', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003010', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003010', 1, '2021-07-19 11:28:40', NULL, NULL), (143, '', '化龙社区', '6c72f69e259e4267ac2f081ecf4c05b4', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003011', 5, '化龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003011', 1, '2021-07-19 11:28:40', NULL, NULL), (144, '', '蒲草社区', 'bd6e73200d164df28b8860ef780168c2', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003012', 5, '蒲草社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003012', 1, '2021-07-19 11:28:40', NULL, NULL), (145, '', '府河社区', '6588a4c468914fc4a37ea92023383e61', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003013', 5, '府河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003013', 1, '2021-07-19 11:28:40', NULL, NULL), (146, '', '劲松社区', '43612eabdbd04cc58d3801982b7bab28', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003014', 5, '劲松社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003014', 1, '2021-07-19 11:28:40', NULL, NULL), (147, '', '新民社区', 'c4432ca928ed4056929edc88d0735c7a', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003015', 5, '新民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003015', 1, '2021-07-19 11:28:40', NULL, NULL), (148, '', '观东社区', '744f0249472c4bc48ec7828a498ae628', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003016', 5, '观东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003016', 1, '2021-07-19 11:28:40', NULL, NULL), (149, '', '龙灯山社区', '994d2b66beff43bf83dcf8f98e700f60', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003017', 5, '龙灯山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003017', 1, '2021-07-19 11:28:41', NULL, NULL), (150, '', '双龙社区', '533654c1e6694832bbeda986fed8778b', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003018', 5, '双龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003018', 1, '2021-07-19 11:28:41', NULL, NULL), (151, '', '会龙社区', 'fc41ca94d5d9498ab7e7539083beffff', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003019', 5, '会龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003019', 1, '2021-07-19 11:28:41', NULL, NULL), (152, '', '应龙社区', 'db503e69d54744a884eb7e88b857cc7b', '82560e19ec98475da6b3e0315bc50a73', 'False', 'True', 'false', 'false', '510109003020', 5, '应龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109003020', 1, '2021-07-19 11:28:41', NULL, NULL), (153, '', '西园街道', '3a1b376ce84648619c8fa058e1aefea6', '0f5f8c010bce410fb9526e79ccf392ca', 'True', 'True', 'false', 'false', '510109007000', 4, '西园街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510109007000', 1, '2021-07-19 11:28:41', NULL, NULL), (154, '', '尚锦社区', '2e3ea6d5dfad453993caed5b54a96ab5', '3a1b376ce84648619c8fa058e1aefea6', 'False', 'True', 'false', 'false', '510109007021', 5, '尚锦社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109007021', 1, '2021-07-19 11:28:41', NULL, NULL), (155, '', '檬梓社区', 'f40e893da7fb49bfa537c27cbde7f431', '3a1b376ce84648619c8fa058e1aefea6', 'False', 'True', 'false', 'false', '510109007022', 5, '檬梓社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109007022', 1, '2021-07-19 11:28:41', NULL, NULL), (156, '', '独柏社区', '759f18de02894d8a9c90c12f637207bb', '3a1b376ce84648619c8fa058e1aefea6', 'False', 'True', 'false', 'false', '510109007023', 5, '独柏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510109007023', 1, '2021-07-19 11:28:41', NULL, NULL), (157, '', '天府新区（成都直管区）', 'e544a178ad5b4e2e8d3b465a2e70311e', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510110000000', 3, '天府新区', 'cdstfxq.sczwfw.gov.cn', 1, '2021-07-19 11:28:41', NULL, NULL), (158, '', '永兴街道', 'd50172d711eb4953845ccca612dea487', 'e544a178ad5b4e2e8d3b465a2e70311e', 'True', 'True', 'false', 'false', '510110212000', 4, '永兴街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510110212000', 1, '2021-07-19 11:28:41', NULL, NULL), (159, '', '龙星村', 'e703a2a9f2054926bbee54ef83826cfa', 'd50172d711eb4953845ccca612dea487', 'False', 'True', 'false', 'false', '510110006025', 5, '龙星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110006025', 1, '2021-07-19 11:28:41', NULL, NULL), (160, '', '河山村', '435a401a8ff248b583ce3abc79859e46', 'd50172d711eb4953845ccca612dea487', 'False', 'True', 'false', 'false', '510110006433', 5, '河山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110006433', 1, '2021-07-19 11:28:41', NULL, NULL), (161, '', '三星场社区', '16de2905eb9646c1a69d3cdd1cf3db06', 'd50172d711eb4953845ccca612dea487', 'False', 'True', 'false', 'false', '510110006811', 5, '三星场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110006811', 1, '2021-07-19 11:28:41', NULL, NULL), (162, '', '井堰村', '10cb353edfb145158994f88951ed8768', 'd50172d711eb4953845ccca612dea487', 'False', 'True', 'false', 'false', '510110025483', 5, '井堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110025483', 1, '2021-07-19 11:28:41', NULL, NULL), (163, '', '永兴场社区', '200318be3bfb457ca9c940027fd88bd6', 'd50172d711eb4953845ccca612dea487', 'False', 'True', 'false', 'false', '510110006001', 5, '永兴场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110006001', 1, '2021-07-19 11:28:41', NULL, NULL), (164, '', '干塘村', '00687af52e8f4d3295ebbff5eee706b1', 'd50172d711eb4953845ccca612dea487', 'False', 'True', 'false', 'false', '510110006002', 5, '干塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110006002', 1, '2021-07-19 11:28:41', NULL, NULL), (165, '', '天福社区', 'f024497ce56446db882c29951162e718', 'd50172d711eb4953845ccca612dea487', 'False', 'True', 'false', 'false', '510110006003', 5, '天福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110006003', 1, '2021-07-19 11:28:42', NULL, NULL), (166, '', '明水村', 'f2b0da30fd9a4d39886af039c6b75468', 'd50172d711eb4953845ccca612dea487', 'False', 'True', 'false', 'false', '510110006004', 5, '明水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110006004', 1, '2021-07-19 11:28:42', NULL, NULL), (167, '', '红花村', '9207ac221d0c49d08d5a6966881706fa', 'd50172d711eb4953845ccca612dea487', 'False', 'True', 'false', 'false', '510110006005', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110006005', 1, '2021-07-19 11:28:42', NULL, NULL), (168, '', '南新村', 'a91860caa5ad432883eabdfdd8b82dfe', 'd50172d711eb4953845ccca612dea487', 'False', 'True', 'false', 'false', '510110006006', 5, '南新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110006006', 1, '2021-07-19 11:28:42', NULL, NULL), (169, '', '丹土村', '5bbdd56717cd4691913059372aaf10eb', 'd50172d711eb4953845ccca612dea487', 'False', 'True', 'false', 'false', '510110006007', 5, '丹土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110006007', 1, '2021-07-19 11:28:42', NULL, NULL), (170, '', '新兴街道', '26b596bd67fb4dea942407c724b7cbdb', 'e544a178ad5b4e2e8d3b465a2e70311e', 'True', 'True', 'false', 'false', '510110235000', 4, '新兴街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510110235000', 1, '2021-07-19 11:28:42', NULL, NULL), (171, '', '茅香村', '2492e8f6bfe941e4918d01a0384a70d2', '26b596bd67fb4dea942407c724b7cbdb', 'False', 'True', 'false', 'false', '510110005301', 5, '茅香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110005301', 1, '2021-07-19 11:28:42', NULL, NULL), (172, '', '川心村', 'b45edfcfb1204307999f6f69b434a3e2', '26b596bd67fb4dea942407c724b7cbdb', 'False', 'True', 'false', 'false', '510110005349', 5, '川心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110005349', 1, '2021-07-19 11:28:42', NULL, NULL), (173, '', '梅家村', 'c0e955bbd63d465a91fa9c596cfc7a5c', '26b596bd67fb4dea942407c724b7cbdb', 'False', 'True', 'false', 'false', '510110005428', 5, '梅家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110005428', 1, '2021-07-19 11:28:42', NULL, NULL), (174, '', '简华村', '356dcbfe37af40ffac52edbba547bd9c', '26b596bd67fb4dea942407c724b7cbdb', 'False', 'True', 'false', 'false', '510110005451', 5, '简华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110005451', 1, '2021-07-19 11:28:42', NULL, NULL), (175, '', '百合村', 'f21b4c06ff00455e90bc08fe4f18430e', '26b596bd67fb4dea942407c724b7cbdb', 'False', 'True', 'false', 'false', '510110005522', 5, '百合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110005522', 1, '2021-07-19 11:28:42', NULL, NULL), (176, '', '团山村', '60dc4540c203431e9a604dd36d2e2144', '26b596bd67fb4dea942407c724b7cbdb', 'False', 'True', 'false', 'false', '510110005785', 5, '团山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110005785', 1, '2021-07-19 11:28:43', NULL, NULL), (177, '', '白沙社区', 'b0deba13e1174760a06ad28a26e803be', '26b596bd67fb4dea942407c724b7cbdb', 'False', 'True', 'false', 'false', '510110022622', 5, '白沙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110022622', 1, '2021-07-19 11:28:43', NULL, NULL), (178, '', '新兴场社区', '0889f71c3778484aae25b2e63a1940ac', '26b596bd67fb4dea942407c724b7cbdb', 'False', 'True', 'false', 'false', '510110005001', 5, '新兴场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110005001', 1, '2021-07-19 11:28:43', NULL, NULL), (179, '', '柏杨村', 'fa2382b6a6584fad82d16dd51e5450ac', '26b596bd67fb4dea942407c724b7cbdb', 'False', 'True', 'false', 'false', '510110005002', 5, '柏杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110005002', 1, '2021-07-19 11:28:43', NULL, NULL), (180, '', '井坝村', '60ddc1801d46435d9e40ed860be54cee', '26b596bd67fb4dea942407c724b7cbdb', 'False', 'True', 'false', 'false', '510110005003', 5, '井坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110005003', 1, '2021-07-19 11:28:43', NULL, NULL), (181, '', '孔雀村', 'ee411cdc9cfc4a4697b6de4120250740', '26b596bd67fb4dea942407c724b7cbdb', 'False', 'True', 'false', 'false', '510110005004', 5, '孔雀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110005004', 1, '2021-07-19 11:28:43', NULL, NULL), (182, '', '凉水村', '46c275b9189c462da6d65e5996c37573', '26b596bd67fb4dea942407c724b7cbdb', 'False', 'True', 'false', 'false', '510110005006', 5, '凉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110005006', 1, '2021-07-19 11:28:43', NULL, NULL), (183, '', '小桥社区', '44533c68c0324f7da7d12a6500a146ff', '26b596bd67fb4dea942407c724b7cbdb', 'False', 'True', 'false', 'false', '510110005007', 5, '小桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110005007', 1, '2021-07-19 11:28:43', NULL, NULL), (184, '', '庙山社区', '9dacd0792ad14986ae886a347ad37820', '26b596bd67fb4dea942407c724b7cbdb', 'False', 'True', 'false', 'false', '510110005008', 5, '庙山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110005008', 1, '2021-07-19 11:28:43', NULL, NULL), (185, '', '正兴街道', 'f8e1b6cbaf1246dba12f42af8eddd932', 'e544a178ad5b4e2e8d3b465a2e70311e', 'True', 'True', 'false', 'false', '510110307000', 4, '正兴街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510110307000', 1, '2021-07-19 11:28:43', NULL, NULL), (186, '', '苏码头社区', '359ad60f9a544ca3a080b28f3aec8db9', 'f8e1b6cbaf1246dba12f42af8eddd932', 'False', 'True', 'false', 'false', '510110003001', 5, '苏码头社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110003001', 1, '2021-07-19 11:28:43', NULL, NULL), (187, '', '大安桥社区', '0db54440edd8410db97a2b7d71c06603', 'f8e1b6cbaf1246dba12f42af8eddd932', 'False', 'True', 'false', 'false', '510110003002', 5, '大安桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110003002', 1, '2021-07-19 11:28:43', NULL, NULL), (188, '', '秦东社区', '41ca25c107fe4a96b0bc43331e6e04b6', 'f8e1b6cbaf1246dba12f42af8eddd932', 'False', 'True', 'false', 'false', '510110003003', 5, '秦东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110003003', 1, '2021-07-19 11:28:43', NULL, NULL), (189, '', '龙回社区', 'f66df56eaf6747f5850497252a6bd3dc', 'f8e1b6cbaf1246dba12f42af8eddd932', 'False', 'True', 'false', 'false', '510110003004', 5, '龙回社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110003004', 1, '2021-07-19 11:28:44', NULL, NULL), (190, '', '田家寺社区', 'e297277cf07a4312802558b95fcb6abd', 'f8e1b6cbaf1246dba12f42af8eddd932', 'False', 'True', 'false', 'false', '510110003005', 5, '田家寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110003005', 1, '2021-07-19 11:28:44', NULL, NULL), (191, '', '钓鱼嘴社区', '8249da7ca69d4ea79f5914e900931fee', 'f8e1b6cbaf1246dba12f42af8eddd932', 'False', 'True', 'false', 'false', '510110003006', 5, '钓鱼嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110003006', 1, '2021-07-19 11:28:44', NULL, NULL), (192, '', '火石岩村', 'c83073112b8246589b392f99b8c32978', 'f8e1b6cbaf1246dba12f42af8eddd932', 'False', 'True', 'false', 'false', '510110003007', 5, '火石岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110003007', 1, '2021-07-19 11:28:44', NULL, NULL), (193, '', '秦皇寺社区', 'd218add1a99045ca9a502adaa8fcb503', 'f8e1b6cbaf1246dba12f42af8eddd932', 'False', 'True', 'false', 'false', '510110003008', 5, '秦皇寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110003008', 1, '2021-07-19 11:28:44', NULL, NULL), (194, '', '凉风顶社区', 'c25f4f13b15442f7aaf4548ad6f60860', 'f8e1b6cbaf1246dba12f42af8eddd932', 'False', 'True', 'false', 'false', '510110003009', 5, '凉风顶社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110003009', 1, '2021-07-19 11:28:44', NULL, NULL), (195, '', '官塘村', '2aae0650200a4ed28f009e9f1a47efdb', 'f8e1b6cbaf1246dba12f42af8eddd932', 'False', 'True', 'false', 'false', '510110003010', 5, '官塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110003010', 1, '2021-07-19 11:28:44', NULL, NULL), (196, '', '太平街道', '73137e144d094f1d8fab6e0b61c4af10', 'e544a178ad5b4e2e8d3b465a2e70311e', 'True', 'True', 'false', 'false', '510110321000', 4, '太平街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510110321000', 1, '2021-07-19 11:28:44', NULL, NULL), (197, '', '太平镇', '44e596b2ebf540789c64753c37240126', '73137e144d094f1d8fab6e0b61c4af10', 'False', 'False', 'false', 'false', '510110009716', 5, '太平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110009716', 1, '2021-07-19 11:28:44', NULL, NULL), (198, '', '太平场社区', '709c75e4b3e049cc882ea4dbdd50978e', '73137e144d094f1d8fab6e0b61c4af10', 'False', 'True', 'false', 'false', '510110009001', 5, '太平场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110009001', 1, '2021-07-19 11:28:44', NULL, NULL), (199, '', '鹿林村', 'b2138104d02c491cbd895c9643cc9bc7', '73137e144d094f1d8fab6e0b61c4af10', 'False', 'True', 'false', 'false', '510110009002', 5, '鹿林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110009002', 1, '2021-07-19 11:28:44', NULL, NULL), (200, '', '合江场社区', 'e4dc467deb3e485795b0e83277bd4e7c', '73137e144d094f1d8fab6e0b61c4af10', 'False', 'True', 'false', 'false', '510110009003', 5, '合江场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110009003', 1, '2021-07-19 11:28:44', NULL, NULL), (201, '', '二郎村', 'bffac52d24e548099f4f20f9d509a4ef', '73137e144d094f1d8fab6e0b61c4af10', 'False', 'True', 'false', 'false', '510110009004', 5, '二郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110009004', 1, '2021-07-19 11:28:44', NULL, NULL), (202, '', '前进村', '957b11d22c77402baf69fcec12f4d97c', '73137e144d094f1d8fab6e0b61c4af10', 'False', 'True', 'false', 'false', '510110009005', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110009005', 1, '2021-07-19 11:28:44', NULL, NULL), (203, '', '白马村', '1011f0df89b04b2d981f820b908102e6', '73137e144d094f1d8fab6e0b61c4af10', 'False', 'True', 'false', 'false', '510110009006', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110009006', 1, '2021-07-19 11:28:45', NULL, NULL), (204, '', '桃源村', '0f04e1d99ecd44d0948b40381177acb6', '73137e144d094f1d8fab6e0b61c4af10', 'False', 'True', 'false', 'false', '510110009007', 5, '桃源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110009007', 1, '2021-07-19 11:28:45', NULL, NULL), (205, '', '小堰村', '58459d1c5ab04fd38a1b21fdd0002976', '73137e144d094f1d8fab6e0b61c4af10', 'False', 'True', 'false', 'false', '510110009008', 5, '小堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110009008', 1, '2021-07-19 11:28:45', NULL, NULL), (206, '', '鹿溪村', '5a1d9662d82a497089bc091570793b57', '73137e144d094f1d8fab6e0b61c4af10', 'False', 'True', 'false', 'false', '510110009205', 5, '鹿溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110009205', 1, '2021-07-19 11:28:45', NULL, NULL), (207, '', '南天寺村', '486d2db6fa9445669e82342cee1785d0', '73137e144d094f1d8fab6e0b61c4af10', 'False', 'True', 'false', 'false', '510110009348', 5, '南天寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110009348', 1, '2021-07-19 11:28:45', NULL, NULL), (208, '', '三峨湖村', '7ec399068cec4e3fade90064b6f9a201', '73137e144d094f1d8fab6e0b61c4af10', 'False', 'True', 'false', 'false', '510110009416', 5, '三峨湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110009416', 1, '2021-07-19 11:28:45', NULL, NULL), (209, '', '天灯村', '1a6498cfff484a688f371e39ea9f1735', '73137e144d094f1d8fab6e0b61c4af10', 'False', 'True', 'false', 'false', '510110321011', 5, '天灯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110321011', 1, '2021-07-19 11:28:45', NULL, NULL), (210, '', '万安街道', '3c473d84e9b44b4a8ae6806b1360aeff', 'e544a178ad5b4e2e8d3b465a2e70311e', 'True', 'True', 'false', 'false', '510110417000', 4, '万安街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510110417000', 1, '2021-07-19 11:28:45', NULL, NULL), (211, '', '场镇社区', 'c67236a96bc845a289082b824bb30280', '3c473d84e9b44b4a8ae6806b1360aeff', 'False', 'False', 'false', 'false', '510110002001', 5, '场镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110002001', 1, '2021-07-19 11:28:45', NULL, NULL), (212, '', '城南坡社区', '660cb230e88747b8b2c1a0f44f818b5b', '3c473d84e9b44b4a8ae6806b1360aeff', 'False', 'True', 'false', 'false', '510110002002', 5, '城南坡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110002002', 1, '2021-07-19 11:28:45', NULL, NULL), (213, '', '大石社区', '9e22d4481ae0412499f3d0da3276f4ef', '3c473d84e9b44b4a8ae6806b1360aeff', 'False', 'True', 'false', 'false', '510110002003', 5, '大石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110002003', 1, '2021-07-19 11:28:45', NULL, NULL), (214, '', '东林社区', '4d2cfccbd20f4b968ebf6708665318f8', '3c473d84e9b44b4a8ae6806b1360aeff', 'False', 'False', 'false', 'false', '510110002004', 5, '东林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110002004', 1, '2021-07-19 11:28:45', NULL, NULL), (215, '', '高饭店村', '254f3d9e5fd448e582e047ad0245966f', '3c473d84e9b44b4a8ae6806b1360aeff', 'False', 'True', 'false', 'false', '510110002005', 5, '高饭店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110002005', 1, '2021-07-19 11:28:45', NULL, NULL), (216, '', '和韵社区', '72f987f0bd604f938758808d693edb2c', '3c473d84e9b44b4a8ae6806b1360aeff', 'False', 'True', 'false', 'false', '510110002006', 5, '和韵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110002006', 1, '2021-07-19 11:28:45', NULL, NULL), (217, '', '开元村', '996cf0b52f56462a92336da69232d9e1', '3c473d84e9b44b4a8ae6806b1360aeff', 'False', 'True', 'false', 'false', '510110002008', 5, '开元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110002008', 1, '2021-07-19 11:28:45', NULL, NULL), (218, '', '韩婆岭村', '6a8fbe0ca6a34b5b920557ef61f06f02', '3c473d84e9b44b4a8ae6806b1360aeff', 'False', 'True', 'false', 'false', '510110002009', 5, '韩婆岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110002009', 1, '2021-07-19 11:28:45', NULL, NULL), (219, '', '双泉村', '4bf05276fe084121a8f8bc45832ead57', '3c473d84e9b44b4a8ae6806b1360aeff', 'False', 'True', 'false', 'false', '510110002010', 5, '双泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110002010', 1, '2021-07-19 11:28:46', NULL, NULL), (220, '', '石桥村', '8ad2ce1ccd954857ac83fa9b20778b9a', '3c473d84e9b44b4a8ae6806b1360aeff', 'False', 'True', 'false', 'false', '510110002130', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110002130', 1, '2021-07-19 11:28:46', NULL, NULL), (221, '', '定安桥社区', 'c74097b1348246ce8a7e2b59320f147d', '3c473d84e9b44b4a8ae6806b1360aeff', 'False', 'True', 'false', 'false', '510110002979', 5, '定安桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110002979', 1, '2021-07-19 11:28:46', NULL, NULL), (222, '', '佳苑社区', 'b6d366e3aa1d4e7d83eabba0dd3e45da', '3c473d84e9b44b4a8ae6806b1360aeff', 'False', 'False', 'false', 'false', '510110002982', 5, '佳苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110002982', 1, '2021-07-19 11:28:46', NULL, NULL), (223, '', '麓山社区', 'e52f2de6742a413e815b27110aa13f8f', '3c473d84e9b44b4a8ae6806b1360aeff', 'False', 'True', 'false', 'false', '510110417660', 5, '麓山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110417660', 1, '2021-07-19 11:28:46', NULL, NULL), (224, '', '雅澜社区', '1ad51bbfeab440de9d0dba4c20c165ab', '3c473d84e9b44b4a8ae6806b1360aeff', 'False', 'True', 'false', 'false', '510110417882', 5, '雅澜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110417882', 1, '2021-07-19 11:28:46', NULL, NULL), (225, '', '兴隆街道', '27966c05e0914d269705423b4cac978d', 'e544a178ad5b4e2e8d3b465a2e70311e', 'True', 'True', 'false', 'false', '510110474000', 4, '兴隆街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510110474000', 1, '2021-07-19 11:28:46', NULL, NULL), (226, '', '兴隆湖社区', 'b073953350c5499e87cc11830036b1c9', '27966c05e0914d269705423b4cac978d', 'False', 'True', 'false', 'false', '510110004037', 5, '兴隆湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110004037', 1, '2021-07-19 11:28:46', NULL, NULL), (227, '', '保水社区', 'b8476ce8de0f4a0b81ac790abce0821d', '27966c05e0914d269705423b4cac978d', 'False', 'True', 'false', 'false', '510110004001', 5, '保水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110004001', 1, '2021-07-19 11:28:46', NULL, NULL), (228, '', '蓝家店社区', 'a92fafca89ca464d9bda8f4c9a5e9873', '27966c05e0914d269705423b4cac978d', 'False', 'True', 'false', 'false', '510110004003', 5, '蓝家店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110004003', 1, '2021-07-19 11:28:46', NULL, NULL), (229, '', '三根松社区', 'e8c26ab7b5d64ae987125f7a36ed6748', '27966c05e0914d269705423b4cac978d', 'False', 'True', 'false', 'false', '510110004004', 5, '三根松社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110004004', 1, '2021-07-19 11:28:46', NULL, NULL), (230, '', '天明社区', 'a58b82cf0d6d460c937d89329ab41c61', '27966c05e0914d269705423b4cac978d', 'False', 'True', 'false', 'false', '510110004005', 5, '天明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110004005', 1, '2021-07-19 11:28:46', NULL, NULL), (231, '', '刘家坝村', '1cd917f7a4774bb281ceec27f8e13853', '27966c05e0914d269705423b4cac978d', 'False', 'True', 'false', 'false', '510110004007', 5, '刘家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110004007', 1, '2021-07-19 11:28:46', NULL, NULL), (232, '', '斑竹村', '06b11291c23d40c2ab496435fb9af9bd', '27966c05e0914d269705423b4cac978d', 'False', 'True', 'false', 'false', '510110004008', 5, '斑竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110004008', 1, '2021-07-19 11:28:47', NULL, NULL), (233, '', '瓦窑村', '24a4e33142b04a30a81cb9a3b638679a', '27966c05e0914d269705423b4cac978d', 'False', 'True', 'false', 'false', '510110004009', 5, '瓦窑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110004009', 1, '2021-07-19 11:28:47', NULL, NULL), (234, '', '罗家店社区', 'ec7ffac17c0745deb3ccfa3bd08769a8', '27966c05e0914d269705423b4cac978d', 'False', 'True', 'false', 'false', '510110004010', 5, '罗家店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110004010', 1, '2021-07-19 11:28:47', NULL, NULL), (235, '', '华阳街道', '13ccddfc8b644904bbf4ea21b218eb46', 'e544a178ad5b4e2e8d3b465a2e70311e', 'True', 'True', 'false', 'false', '510110498000', 4, '华阳街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510110498000', 1, '2021-07-19 11:28:47', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (236, '', '麓湖公园社区', '797568dcb3f84afbae07af3af4c04b1f', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110003378', 5, '麓湖公园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110003378', 1, '2021-07-19 11:28:47', NULL, NULL), (237, '', '通济桥社区', '585fb86c9deb4853be4270f1f51061bb', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001002', 5, '通济桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001002', 1, '2021-07-19 11:28:47', NULL, NULL), (238, '', '古城社区', '1c64fc8cec604f7494f309a09d6b9a1c', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001004', 5, '古城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001004', 1, '2021-07-19 11:28:47', NULL, NULL), (239, '', '菜蔬社区', '3873050282124fee9d91e7c7d9951082', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001005', 5, '菜蔬社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001005', 1, '2021-07-19 11:28:47', NULL, NULL), (240, '', '广都社区', '051fb299931a4ca4b8e392f579b4cd04', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001006', 5, '广都社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001006', 1, '2021-07-19 11:28:47', NULL, NULL), (241, '', '四河社区', 'f57870b55cf94f349623aeb8be1562fc', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001007', 5, '四河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001007', 1, '2021-07-19 11:28:47', NULL, NULL), (242, '', '伏龙社区', '68e89799edda43edbba16d312be9b671', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001008', 5, '伏龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001008', 1, '2021-07-19 11:28:47', NULL, NULL), (243, '', '沙河社区', '9e7ebe4eb66a4f80a30bb9cf7aed67f4', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001009', 5, '沙河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001009', 1, '2021-07-19 11:28:47', NULL, NULL), (244, '', '二江寺社区', '8bee8bc03dbd4cffa556d1d97fb14b96', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001010', 5, '二江寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001010', 1, '2021-07-19 11:28:47', NULL, NULL), (245, '', '滨江社区', 'ce28d2168a79438087ef67f96a9fad77', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001011', 5, '滨江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001011', 1, '2021-07-19 11:28:47', NULL, NULL), (246, '', '一心社区', '27db955c8eb34a04af29405079763757', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001013', 5, '一心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001013', 1, '2021-07-19 11:28:47', NULL, NULL), (247, '', '南山社区', '5e2d491b1d0c45e98a1d6adff7b3b831', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001014', 5, '南山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001014', 1, '2021-07-19 11:28:47', NULL, NULL), (248, '', '观音湾社区', '4a983ccb1a5c4b78bc7d0cd3969a4d89', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001015', 5, '观音湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001015', 1, '2021-07-19 11:28:48', NULL, NULL), (249, '', '正大街社区', '96386be6f9954fa09df9bbfd18a118b7', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001016', 5, '正大街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001016', 1, '2021-07-19 11:28:48', NULL, NULL), (250, '', '将军碑社区', '35acaa810ae6431ca6c6bb5e791443e9', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001017', 5, '将军碑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001017', 1, '2021-07-19 11:28:48', NULL, NULL), (251, '', '正东街社区', 'ff713406f10544158185a1042990bea1', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001018', 5, '正东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001018', 1, '2021-07-19 11:28:48', NULL, NULL), (252, '', '祥龙社区', '094577d7539a4a53ac6ea7adc565ac8c', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001019', 5, '祥龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001019', 1, '2021-07-19 11:28:48', NULL, NULL), (253, '', '广福社区', 'c76d7454588d44f797c19f0e25b9d889', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001020', 5, '广福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001020', 1, '2021-07-19 11:28:48', NULL, NULL), (254, '', '龙河社区', '076c2aae4cea4bee93100a44a06b317e', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001021', 5, '龙河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001021', 1, '2021-07-19 11:28:48', NULL, NULL), (255, '', '锦江社区', '4579501f2def4cc3992020c53175abef', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001022', 5, '锦江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001022', 1, '2021-07-19 11:28:48', NULL, NULL), (256, '', '安公社区', '8d40d3fd6b704b5facdb538dd24a7545', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001024', 5, '安公社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001024', 1, '2021-07-19 11:28:48', NULL, NULL), (257, '', '鹤林社区', '640cfbdd077c483cbfff39d86c3abfdc', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001026', 5, '鹤林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001026', 1, '2021-07-19 11:28:48', NULL, NULL), (258, '', '西寺社区', 'd29ecdefb42e418683ea60def938f79c', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001027', 5, '西寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001027', 1, '2021-07-19 11:28:48', NULL, NULL), (259, '', '香山社区', '7df8b9d03a054c3580f127a0391a562a', '13ccddfc8b644904bbf4ea21b218eb46', 'False', 'True', 'false', 'false', '510110001028', 5, '香山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110001028', 1, '2021-07-19 11:28:48', NULL, NULL), (260, '', '籍田街道', 'ba0eb285f28e44018e21d1942021c896', 'e544a178ad5b4e2e8d3b465a2e70311e', 'True', 'True', 'false', 'false', '510110503000', 4, '籍田街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510110503000', 1, '2021-07-19 11:28:48', NULL, NULL), (261, '', '清华村', 'eed23bc956de4779bdbc637cd1513175', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008001', 5, '清华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008001', 1, '2021-07-19 11:28:48', NULL, NULL), (262, '', '红碑村', '9e937171d3e64571925bf1777cbad2b1', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008002', 5, '红碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008002', 1, '2021-07-19 11:28:49', NULL, NULL), (263, '', '粮丰村', '516725e397274c7bad9f16f7b21433f5', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008003', 5, '粮丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008003', 1, '2021-07-19 11:28:49', NULL, NULL), (264, '', '西安村', 'e7426de422804cb088a1f19dc3f3ffaa', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008004', 5, '西安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008004', 1, '2021-07-19 11:28:49', NULL, NULL), (265, '', '大林社区', '109349bf84d74e4182b1d85014a60511', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008005', 5, '大林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008005', 1, '2021-07-19 11:28:49', NULL, NULL), (266, '', '林溪社区', '628bbf3b676c47f0bc5d5173f80b8f78', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008006', 5, '林溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008006', 1, '2021-07-19 11:28:49', NULL, NULL), (267, '', '地平村', '8b922c5919e54430accc4d9b3550780c', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008007', 5, '地平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008007', 1, '2021-07-19 11:28:49', NULL, NULL), (268, '', '回江社区', 'abc56f5f819b42c7865b5b629648f850', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008008', 5, '回江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008008', 1, '2021-07-19 11:28:49', NULL, NULL), (269, '', '长征村', '805b228bb46f4242b68eb7e851b34263', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008009', 5, '长征村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008009', 1, '2021-07-19 11:28:49', NULL, NULL), (270, '', '铧炉村', 'd0253a6c196641beb96d8b8cb7d80098', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008010', 5, '铧炉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008010', 1, '2021-07-19 11:28:49', NULL, NULL), (271, '', '红五村', '8cd211785c84491cbfe04cc05c941a4b', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008011', 5, '红五村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008011', 1, '2021-07-19 11:28:49', NULL, NULL), (272, '', '蔡堰社区', '291e4cfa313845d3a74fe29f6ff58307', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008012', 5, '蔡堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008012', 1, '2021-07-19 11:28:49', NULL, NULL), (273, '', '向山村', '3ba9e3a20cd048408704a7350e567f85', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008054', 5, '向山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008054', 1, '2021-07-19 11:28:49', NULL, NULL), (274, '', '石庙村', '3d3e6635e1e3406485509f832f276339', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008144', 5, '石庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008144', 1, '2021-07-19 11:28:49', NULL, NULL), (275, '', '槐花村', '9144e625f4e24d4caac1a2bc2edcf785', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008264', 5, '槐花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008264', 1, '2021-07-19 11:28:49', NULL, NULL), (276, '', '黄堰村', 'c6ec138e5e434093adf024d3647a517a', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008513', 5, '黄堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008513', 1, '2021-07-19 11:28:50', NULL, NULL), (277, '', '合力村', 'ad60043c44cc45bc8ea064f1a0f590c2', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008881', 5, '合力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008881', 1, '2021-07-19 11:28:50', NULL, NULL), (278, '', '五台村', 'a3910ec16d4e457a960128ae882f04d2', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008930', 5, '五台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008930', 1, '2021-07-19 11:28:50', NULL, NULL), (279, '', '水池村', 'fa1464a8d2d54a72a74b7b31b9336548', 'ba0eb285f28e44018e21d1942021c896', 'False', 'True', 'false', 'false', '510110008980', 5, '水池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110008980', 1, '2021-07-19 11:28:50', NULL, NULL), (280, '', '煎茶街道', 'ddfd2b410c394c51a3824c272d7df7f7', 'e544a178ad5b4e2e8d3b465a2e70311e', 'True', 'True', 'false', 'false', '510110916000', 4, '煎茶街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510110916000', 1, '2021-07-19 11:28:50', NULL, NULL), (281, '', '沿溪村', '04a363c63f5343b9b0706dc730c80a16', 'ddfd2b410c394c51a3824c272d7df7f7', 'False', 'True', 'false', 'false', '510110007003', 5, '沿溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110007003', 1, '2021-07-19 11:28:50', NULL, NULL), (282, '', '茶林社区', 'c4111626b9b14e99b0abb8bdd8381e28', 'ddfd2b410c394c51a3824c272d7df7f7', 'False', 'True', 'false', 'false', '510110007004', 5, '茶林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110007004', 1, '2021-07-19 11:28:50', NULL, NULL), (283, '', '鸿湘村', '1b069ff864c24ec3b9687f1fd2e2ecef', 'ddfd2b410c394c51a3824c272d7df7f7', 'False', 'True', 'false', 'false', '510110007005', 5, '鸿湘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110007005', 1, '2021-07-19 11:28:50', NULL, NULL), (284, '', '老龙村', '9b746f816bdc4558939ba0b7615ebbbf', 'ddfd2b410c394c51a3824c272d7df7f7', 'False', 'True', 'false', 'false', '510110007006', 5, '老龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110007006', 1, '2021-07-19 11:28:50', NULL, NULL), (285, '', '鹿溪河村', '2b8cc07c403445bab0b77d0632173599', 'ddfd2b410c394c51a3824c272d7df7f7', 'False', 'True', 'false', 'false', '510110007007', 5, '鹿溪河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110007007', 1, '2021-07-19 11:28:50', NULL, NULL), (286, '', '尖山村', '3e747b58f80b423b882497dc8de55505', 'ddfd2b410c394c51a3824c272d7df7f7', 'False', 'True', 'false', 'false', '510110007009', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110007009', 1, '2021-07-19 11:28:50', NULL, NULL), (287, '', '煎茶溪社区', 'd0f5fe785d6a405c83fd76aa7b6dfa55', 'ddfd2b410c394c51a3824c272d7df7f7', 'False', 'True', 'false', 'false', '510110916291', 5, '煎茶溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110916291', 1, '2021-07-19 11:28:50', NULL, NULL), (288, '', '青松村', '5b301bda3b034676b3aa3e159279fc63', 'ddfd2b410c394c51a3824c272d7df7f7', 'False', 'True', 'false', 'false', '510110916493', 5, '青松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110916493', 1, '2021-07-19 11:28:50', NULL, NULL), (289, '', '五里社区', '5a8d41783dc7489aaa41f2e4c2ebf68d', 'ddfd2b410c394c51a3824c272d7df7f7', 'False', 'True', 'false', 'false', '510110916654', 5, '五里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510110916654', 1, '2021-07-19 11:28:50', NULL, NULL), (290, '', '东部新区', '4a70caddca2a41a49a1ad02d7c11f785', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510186000000', 3, '东部新区', 'cdsdbxq.sczwfw.gov.cn', 1, '2021-07-19 11:28:50', NULL, NULL), (291, '', '养马街道', 'd32eba6e4ccf4ecab3eaf0a360342d69', '4a70caddca2a41a49a1ad02d7c11f785', 'True', 'True', 'false', 'false', '510186007013', 4, '养马街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510186007013', 1, '2021-07-19 11:28:51', NULL, NULL), (292, '', '成都东部新区养马街道三元社区居民委员会', '8c2717d3969946489db1f143a3007f79', 'd32eba6e4ccf4ecab3eaf0a360342d69', 'False', 'True', 'false', 'false', '510186010137', 5, '养马街道三元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186010137', 1, '2021-07-19 11:28:51', NULL, NULL), (293, '', '成都东部新区养马街道田家坝社区居民委员会', 'fc04406c24334e859299bab7808376ae', 'd32eba6e4ccf4ecab3eaf0a360342d69', 'False', 'True', 'false', 'false', '510186010208', 5, '养马街道田家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186010208', 1, '2021-07-19 11:28:51', NULL, NULL), (294, '', '成都东部新区养马街道海大社区居民委员会', '2592730f5e664713bfdd53521b366bd0', 'd32eba6e4ccf4ecab3eaf0a360342d69', 'False', 'True', 'false', 'false', '510186010303', 5, '养马街道海大社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186010303', 1, '2021-07-19 11:28:51', NULL, NULL), (295, '', '成都东部新区养马街道新路社区居民委员会', '3d4d2fcc32b84d9db916c611301b1543', 'd32eba6e4ccf4ecab3eaf0a360342d69', 'False', 'True', 'false', 'false', '510186010304', 5, '养马街道新路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186010304', 1, '2021-07-19 11:28:51', NULL, NULL), (296, '', '成都东部新区养马街道灵仙社区居民委员会', '02be92640c8641e488ddca7830b18b30', 'd32eba6e4ccf4ecab3eaf0a360342d69', 'False', 'True', 'false', 'false', '510186010330', 5, '养马街道灵仙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186010330', 1, '2021-07-19 11:28:51', NULL, NULL), (297, '', '成都东部新区养马街道尹家祠村村民委员会', 'bbd8e6e86f0741bd80e48e475fb06528', 'd32eba6e4ccf4ecab3eaf0a360342d69', 'False', 'True', 'false', 'false', '510186010417', 5, '养马街道尹家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186010417', 1, '2021-07-19 11:28:51', NULL, NULL), (298, '', '成都东部新区养马街道熊家篇村村民委员会', 'e8b930acb10647f89c9f39a95fc1f425', 'd32eba6e4ccf4ecab3eaf0a360342d69', 'False', 'True', 'false', 'false', '510186010505', 5, '养马街道熊家篇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186010505', 1, '2021-07-19 11:28:51', NULL, NULL), (299, '', '成都东部新区养马街道长岭社区居民委员会', '5cc7f5c4f95e438fa8202e884daa30e4', 'd32eba6e4ccf4ecab3eaf0a360342d69', 'False', 'True', 'false', 'false', '510186010588', 5, '养马街道长岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186010588', 1, '2021-07-19 11:28:51', NULL, NULL), (300, '', '成都东部新区养马街道先进村村民委员会', 'dc25fae7f63a45a3a0efb0c5febb295f', 'd32eba6e4ccf4ecab3eaf0a360342d69', 'False', 'True', 'false', 'false', '510186010599', 5, '养马街道先进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186010599', 1, '2021-07-19 11:28:51', NULL, NULL), (301, '', '成都东部新区养马街道荷花社区居民委员会', 'eb4cef1d76c94e3faac96ddcbc36c314', 'd32eba6e4ccf4ecab3eaf0a360342d69', 'False', 'True', 'false', 'false', '510186010636', 5, '养马街道荷花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186010636', 1, '2021-07-19 11:28:51', NULL, NULL), (302, '', '成都东部新区养马街道顺江村村民委员会', 'f893dedb0cc94a73b2b167a5533f8c2a', 'd32eba6e4ccf4ecab3eaf0a360342d69', 'False', 'True', 'false', 'false', '510186010922', 5, '养马街道顺江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186010922', 1, '2021-07-19 11:28:51', NULL, NULL), (303, '', '成都东部新区养马街道金渔池村村民委员会', '1c58e1a5ad26483ba0d19e63ed3658b3', 'd32eba6e4ccf4ecab3eaf0a360342d69', 'False', 'True', 'false', 'false', '510186010951', 5, '养马街道金渔池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186010951', 1, '2021-07-19 11:28:51', NULL, NULL), (304, '', '成都东部新区养马街道铁东社区居民委员会', '79507447d4bc40bd92240ada3d753fac', 'd32eba6e4ccf4ecab3eaf0a360342d69', 'False', 'True', 'false', 'false', '510186010971', 5, '养马街道铁东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186010971', 1, '2021-07-19 11:28:52', NULL, NULL), (305, '', '成都东部新区养马街道松树湾社区居民委员会', 'bc0e85d6dae24606b6291e23962cebe9', 'd32eba6e4ccf4ecab3eaf0a360342d69', 'False', 'True', 'false', 'false', '510186109625', 5, '养马街道松树湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186109625', 1, '2021-07-19 11:28:52', NULL, NULL), (306, '', '海螺镇', '48439e99737444ed91a6801756fa1d61', '4a70caddca2a41a49a1ad02d7c11f785', 'True', 'True', 'false', 'false', '510186062006', 4, '海螺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510186062006', 1, '2021-07-19 11:28:52', NULL, NULL), (307, '', '成都东部新区海螺镇力量村村民委员会', '74cbdbd4c92648c5b29e98f448ab8395', '48439e99737444ed91a6801756fa1d61', 'False', 'True', 'false', 'false', '510186123031', 5, '力量村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186123031', 1, '2021-07-19 11:28:52', NULL, NULL), (308, '', '成都东部新区海螺镇大鹅村村民委员会', '4cc4fb7015914ff9989d1212345f4cf9', '48439e99737444ed91a6801756fa1d61', 'False', 'True', 'false', 'false', '510186132066', 5, '海螺镇大鹅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186132066', 1, '2021-07-19 11:28:52', NULL, NULL), (309, '', '成都东部新区海螺镇坛罐社区居民委员会', 'ce16968f9e2c404ea57649e205d7ecdd', '48439e99737444ed91a6801756fa1d61', 'False', 'True', 'false', 'false', '510186132206', 5, '海螺镇坛罐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186132206', 1, '2021-07-19 11:28:52', NULL, NULL), (310, '', '成都东部新区海螺镇万年社区居民委员会', 'c4bfcef8857945d0b7c3ab57d93c4620', '48439e99737444ed91a6801756fa1d61', 'False', 'True', 'false', 'false', '510186132412', 5, '海螺镇万年社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186132412', 1, '2021-07-19 11:28:52', NULL, NULL), (311, '', '成都东部新区海螺镇青龙村村民委员会', '9c87f1f15ba44cc7958ac7baf5acad9f', '48439e99737444ed91a6801756fa1d61', 'False', 'True', 'false', 'false', '510186132458', 5, '海螺镇青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186132458', 1, '2021-07-19 11:28:52', NULL, NULL), (312, '', '成都东部新区海螺镇两河村村民委员会', 'f7c5acb8b0b644799093d6fa7d9aad64', '48439e99737444ed91a6801756fa1d61', 'False', 'True', 'false', 'false', '510186132496', 5, '海螺镇两河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186132496', 1, '2021-07-19 11:28:52', NULL, NULL), (313, '', '成都东部新区海螺镇栗子村村民委员会', '2de47dce04194b7bbdd9ba755068ac4a', '48439e99737444ed91a6801756fa1d61', 'False', 'True', 'false', 'false', '510186132521', 5, '海螺镇栗子村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186132521', 1, '2021-07-19 11:28:52', NULL, NULL), (314, '', '成都东部新区海螺镇互利村村民委员会', 'cab4bf0dfd634c778315afd6aa3713f7', '48439e99737444ed91a6801756fa1d61', 'False', 'True', 'false', 'false', '510186132595', 5, '互利村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186132595', 1, '2021-07-19 11:28:52', NULL, NULL), (315, '', '成都东部新区海螺镇烧房村村民委员会', 'dcf18f1d3a5a48d9b50fb117878b8db5', '48439e99737444ed91a6801756fa1d61', 'False', 'True', 'false', 'false', '510186132936', 5, '海螺镇烧房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186132936', 1, '2021-07-19 11:28:52', NULL, NULL), (316, '', '丹景街道', 'b3d1d724522b4185859ae610f5a6b037', '4a70caddca2a41a49a1ad02d7c11f785', 'True', 'True', 'false', 'false', '510186081003', 4, '丹景街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510186081003', 1, '2021-07-19 11:28:52', NULL, NULL), (317, '', '成都东部新区丹景街道陈河村村民委员会', '6cb48fe757074f39af826a9b7bacd261', 'b3d1d724522b4185859ae610f5a6b037', 'False', 'True', 'false', 'false', '510186017050', 5, '丹景街道陈河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186017050', 1, '2021-07-19 11:28:53', NULL, NULL), (318, '', '成都东部新区丹景街道保安村村民委员会', 'f2b397d4a91f4b5e87142b56d6830705', 'b3d1d724522b4185859ae610f5a6b037', 'False', 'True', 'false', 'false', '510186017191', 5, '丹景街道保安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186017191', 1, '2021-07-19 11:28:53', NULL, NULL), (319, '', '成都东部新区丹景街道同意村村民委员会', 'db606727550643808493748b194b8d3b', 'b3d1d724522b4185859ae610f5a6b037', 'False', 'True', 'false', 'false', '510186017254', 5, '丹景街道同意村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186017254', 1, '2021-07-19 11:28:53', NULL, NULL), (320, '', '成都东部新区丹景街道藕埝村村民委员会', 'ba06f137e5c94b28a6068b5539e308be', 'b3d1d724522b4185859ae610f5a6b037', 'False', 'True', 'false', 'false', '510186017263', 5, '丹景街道藕埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186017263', 1, '2021-07-19 11:28:53', NULL, NULL), (321, '', '成都东部新区丹景街道柏树村村民委员会', '5146e717c3bf49f8ba935945c3113b46', 'b3d1d724522b4185859ae610f5a6b037', 'False', 'True', 'false', 'false', '510186017444', 5, '丹景街道柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186017444', 1, '2021-07-19 11:28:53', NULL, NULL), (322, '', '成都东部新区丹景街道全安村村民委员会', '7d5c4c0c174d4d3ab1319d83e0ad2922', 'b3d1d724522b4185859ae610f5a6b037', 'False', 'True', 'false', 'false', '510186017452', 5, '丹景街道全安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186017452', 1, '2021-07-19 11:28:53', NULL, NULL), (323, '', '成都东部新区丹景街道新场村村民委员会', '278111c2d26942918859e2c0ea70e91b', 'b3d1d724522b4185859ae610f5a6b037', 'False', 'True', 'false', 'false', '510186017512', 5, '丹景街道新场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186017512', 1, '2021-07-19 11:28:53', NULL, NULL), (324, '', '成都东部新区丹景街道花苞村村民委员会', '1773bb9e57ee471696073eb2e4348529', 'b3d1d724522b4185859ae610f5a6b037', 'False', 'True', 'false', 'false', '510186017673', 5, '丹景街道花苞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186017673', 1, '2021-07-19 11:28:53', NULL, NULL), (325, '', '成都东部新区丹景街道新湖街社区居民委员会', '281bc51636204bc1971fad439d60e47e', 'b3d1d724522b4185859ae610f5a6b037', 'False', 'True', 'false', 'false', '510186017692', 5, '丹景街道新湖街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186017692', 1, '2021-07-19 11:28:53', NULL, NULL), (326, '', '成都东部新区丹景街道张家沟村村民委员会', '28f59829e5d54484b5c00a693d7c0bfc', 'b3d1d724522b4185859ae610f5a6b037', 'False', 'True', 'false', 'false', '510186017762', 5, '丹景街道张家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186017762', 1, '2021-07-19 11:28:53', NULL, NULL), (327, '', '贾家街道', 'b5bae855439e49e0ab98a7450d7a396a', '4a70caddca2a41a49a1ad02d7c11f785', 'True', 'True', 'false', 'false', '510186144007', 4, '贾家街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510186144007', 1, '2021-07-19 11:28:53', NULL, NULL), (328, '', '成都东部新区贾家街道城北社区居民委员会', '0ae73dd19d2446d2a05c90074cbe3cad', 'b5bae855439e49e0ab98a7450d7a396a', 'False', 'True', 'false', 'false', '510186011021', 5, '贾家街道城北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186011021', 1, '2021-07-19 11:28:53', NULL, NULL), (329, '', '成都东部新区贾家街道水口村村民委员会', '827344b418704f0594a8db23abc51e47', 'b5bae855439e49e0ab98a7450d7a396a', 'False', 'True', 'false', 'false', '510186011035', 5, '贾家街道水口村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186011035', 1, '2021-07-19 11:28:53', NULL, NULL), (330, '', '成都东部新区贾家街道十八梯村村民委员会', 'c5b3b1dc7972497c986d5cd329fd84c4', 'b5bae855439e49e0ab98a7450d7a396a', 'False', 'True', 'false', 'false', '510186011065', 5, '贾家街道十八梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186011065', 1, '2021-07-19 11:28:53', NULL, NULL), (331, '', '成都东部新区贾家街道二道桥村村民委员会', '1a0288233fb24bb88d18725149f8c15d', 'b5bae855439e49e0ab98a7450d7a396a', 'False', 'True', 'false', 'false', '510186011083', 5, '贾家街道二道桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186011083', 1, '2021-07-19 11:28:53', NULL, NULL), (332, '', '成都东部新区贾家街道菠萝社区居民委员会', '8c1e0c16697f4bd39da69fa14b2ee7f9', 'b5bae855439e49e0ab98a7450d7a396a', 'False', 'True', 'false', 'false', '510186011153', 5, '贾家街道菠萝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186011153', 1, '2021-07-19 11:28:53', NULL, NULL), (333, '', '成都东部新区贾家街道顺城社区居民委员会', '2300445c3efa436faf1ce250cb1e92cb', 'b5bae855439e49e0ab98a7450d7a396a', 'False', 'True', 'false', 'false', '510186011164', 5, '贾家街道顺城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186011164', 1, '2021-07-19 11:28:53', NULL, NULL), (334, '', '成都东部新区贾家街道健康社区居民委员会', '68804b7318db4213881464f8e77a4791', 'b5bae855439e49e0ab98a7450d7a396a', 'False', 'True', 'false', 'false', '510186011195', 5, '贾家街道健康社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186011195', 1, '2021-07-19 11:28:54', NULL, NULL), (335, '', '成都东部新区贾家街道快乐村村民委员会', '209be478fc414fe9a2dba86a19f06513', 'b5bae855439e49e0ab98a7450d7a396a', 'False', 'True', 'false', 'false', '510186011280', 5, '贾家街道快乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186011280', 1, '2021-07-19 11:28:54', NULL, NULL), (336, '', '成都东部新区贾家街道前进路社区居民委员会', '2daa501e594046f4a9d7201932aeff72', 'b5bae855439e49e0ab98a7450d7a396a', 'False', 'True', 'false', 'false', '510186011481', 5, '贾家街道前进路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186011481', 1, '2021-07-19 11:28:54', NULL, NULL), (337, '', '成都东部新区贾家街道商贸街社区居民委员会', '35520f34f9c14083b449b87eece7a9b6', 'b5bae855439e49e0ab98a7450d7a396a', 'False', 'True', 'false', 'false', '510186011506', 5, '贾家街道商贸街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186011506', 1, '2021-07-19 11:28:54', NULL, NULL), (338, '', '成都东部新区贾家街道柏林社区居委员会', '5036410d4b00435b830009b8c2339d4a', 'b5bae855439e49e0ab98a7450d7a396a', 'False', 'True', 'false', 'false', '510186011575', 5, '贾家街道柏林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186011575', 1, '2021-07-19 11:28:54', NULL, NULL), (339, '', '成都市东部新区贾家街道久隆社区居民委员会', '9befe0ab51a6427e84795bf084509b71', 'b5bae855439e49e0ab98a7450d7a396a', 'False', 'True', 'false', 'false', '510186011582', 5, '久隆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186011582', 1, '2021-07-19 11:28:54', NULL, NULL), (340, '', '成都东部新区贾家街道天宫社区居民委员会', '840606693cd94a41946f20babddb5987', 'b5bae855439e49e0ab98a7450d7a396a', 'False', 'True', 'false', 'false', '510186011611', 5, '贾家街道天宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186011611', 1, '2021-07-19 11:28:54', NULL, NULL), (341, '', '成都东部新区贾家街道竹林村村民委员会', 'a5ddfaee44a24587a7ba3fb946a3efe3', 'b5bae855439e49e0ab98a7450d7a396a', 'False', 'True', 'false', 'false', '510186011809', 5, '贾家街道竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186011809', 1, '2021-07-19 11:28:54', NULL, NULL), (342, '', '成都东部新区贾家街道桂花村村民委员会', 'adfa792ea8754a169a9af3593a241b91', 'b5bae855439e49e0ab98a7450d7a396a', 'False', 'True', 'false', 'false', '510186011841', 5, '成都东部新区贾家街道桂花村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186011841', 1, '2021-07-19 11:28:54', NULL, NULL), (343, '', '成都东部新区贾家街道团河坝村村民委员会', '422bccfbfe6d43b59af8a99b473c443e', 'b5bae855439e49e0ab98a7450d7a396a', 'False', 'True', 'false', 'false', '510186011887', 5, '贾家街道团河坝村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186011887', 1, '2021-07-19 11:28:54', NULL, NULL), (344, '', '成都东部新区贾家街道卧龙村村民委员会', '65a8f8d0ca774a5a90cb8508d8ceb5df', 'b5bae855439e49e0ab98a7450d7a396a', 'False', 'True', 'false', 'false', '510186011916', 5, '成都东部新区贾家街道卧龙村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186011916', 1, '2021-07-19 11:28:54', NULL, NULL), (345, '', '成都东部新区贾家街道高坡社区居民委员会', 'a2f862b6c80a4a77b8af00b1ced67090', 'b5bae855439e49e0ab98a7450d7a396a', 'False', 'True', 'false', 'false', '510186011925', 5, '贾家街道高坡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186011925', 1, '2021-07-19 11:28:54', NULL, NULL), (346, '', '壮溪镇', '6dea7b53b58245bf97125bb94eae7414', '4a70caddca2a41a49a1ad02d7c11f785', 'True', 'True', 'false', 'false', '510186198015', 4, '壮溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510186198015', 1, '2021-07-19 11:28:54', NULL, NULL), (347, '', '成都东部新区壮溪镇光华社区居民委员会', 'c57362ee658a4b72bc6b26a5f628b733', '6dea7b53b58245bf97125bb94eae7414', 'False', 'True', 'false', 'false', '510186128040', 5, '壮溪镇光华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186128040', 1, '2021-07-19 11:28:54', NULL, NULL), (348, '', '成都东部新区壮溪镇马家祠社区居民委员会', '44a72c4e578043f68fdf489aae9dd8d5', '6dea7b53b58245bf97125bb94eae7414', 'False', 'True', 'false', 'false', '510186128292', 5, '壮溪镇马家祠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186128292', 1, '2021-07-19 11:28:54', NULL, NULL), (349, '', '成都东部新区壮溪镇民权村村民委员会', '8e7eb40186934400bbaa5f4c4d4d6647', '6dea7b53b58245bf97125bb94eae7414', 'False', 'True', 'false', 'false', '510186128425', 5, '壮溪镇民权村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186128425', 1, '2021-07-19 11:28:55', NULL, NULL), (350, '', '成都东部新区壮溪镇高产村村民委员会', 'e0e6969e37d9448eac36d1e2c7dc5416', '6dea7b53b58245bf97125bb94eae7414', 'False', 'True', 'false', 'false', '510186128661', 5, '壮溪镇高产村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186128661', 1, '2021-07-19 11:28:55', NULL, NULL), (351, '', '成都东部新区壮溪镇工农村村民委员会', '2cf6c90b9e7c46fb9b13756fda52bad6', '6dea7b53b58245bf97125bb94eae7414', 'False', 'True', 'false', 'false', '510186128924', 5, '壮溪镇工农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186128924', 1, '2021-07-19 11:28:55', NULL, NULL), (352, '', '玉成街道', '5157f2ba8f924a549f556b90f85e6595', '4a70caddca2a41a49a1ad02d7c11f785', 'True', 'True', 'false', 'false', '510186211014', 4, '玉成街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510186211014', 1, '2021-07-19 11:28:55', NULL, NULL), (353, '', '成都东部新区玉成街道涌泉村村民委员会', '328fc5c5bd524c10b47cfee13057621e', '5157f2ba8f924a549f556b90f85e6595', 'False', 'True', 'false', 'false', '510186016072', 5, '玉成街道涌泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186016072', 1, '2021-07-19 11:28:55', NULL, NULL), (354, '', '成都东部新区玉成街道赵家山村居民委员会', '12918d4280974abfa6f10e10a991ac66', '5157f2ba8f924a549f556b90f85e6595', 'False', 'True', 'false', 'false', '510186016147', 5, '玉成街道赵家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186016147', 1, '2021-07-19 11:28:55', NULL, NULL), (355, '', '成都东部新区玉成街道松林湾村居民委员会', '4dc6de318b8044f6aed1e044bb9c2927', '5157f2ba8f924a549f556b90f85e6595', 'False', 'True', 'false', 'false', '510186016161', 5, '玉成街道松林湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186016161', 1, '2021-07-19 11:28:55', NULL, NULL), (356, '', '成都东部新区玉成街道街邻村村民委员会', '6f98f4efdd1b49d4bf55e7ff11463c95', '5157f2ba8f924a549f556b90f85e6595', 'False', 'True', 'false', 'false', '510186016292', 5, '玉成街道街邻村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186016292', 1, '2021-07-19 11:28:55', NULL, NULL), (357, '', '成都东部新区玉成街道同盟村村民委员会', '3c52ba2452de478c81e8cbd2bc88100a', '5157f2ba8f924a549f556b90f85e6595', 'False', 'True', 'false', 'false', '510186016296', 5, '玉成街道同盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186016296', 1, '2021-07-19 11:28:55', NULL, NULL), (358, '', '成都东部新区玉成街道斑竹湾村村民委员会', '4025e82cc93f465d9670f951ec26128d', '5157f2ba8f924a549f556b90f85e6595', 'False', 'True', 'false', 'false', '510186016357', 5, '玉成街道斑竹湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186016357', 1, '2021-07-19 11:28:55', NULL, NULL), (359, '', '成都东部新区玉成街道高田村村民委员会', 'bf25c969f6a34ab1b965053ac3a3cfff', '5157f2ba8f924a549f556b90f85e6595', 'False', 'True', 'false', 'false', '510186016389', 5, '玉成街道高田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186016389', 1, '2021-07-19 11:28:55', NULL, NULL), (360, '', '成都东部新区玉成街道秀才沟社区居民委员会', '39a5e6d161364402b78f9c96853aa502', '5157f2ba8f924a549f556b90f85e6595', 'False', 'True', 'false', 'false', '510186016404', 5, '玉成街道秀才沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186016404', 1, '2021-07-19 11:28:56', NULL, NULL), (361, '', '成都东部新区玉成街道玉成社区居民委员会', 'd2b074cf74824b02bec32530c436cda2', '5157f2ba8f924a549f556b90f85e6595', 'False', 'True', 'false', 'false', '510186016479', 5, '玉成街道玉成社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186016479', 1, '2021-07-19 11:28:56', NULL, NULL), (362, '', '成都东部新区玉成街道回龙村村民委员会', '9f4f7e44e9bf4110bf850f0e12022922', '5157f2ba8f924a549f556b90f85e6595', 'False', 'True', 'false', 'false', '510186016652', 5, '玉成街道回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186016652', 1, '2021-07-19 11:28:56', NULL, NULL), (363, '', '成都东部新区玉成街道吊脚楼村村民委员会', '00ee5f5979734d518b01f789db7b3ad2', '5157f2ba8f924a549f556b90f85e6595', 'False', 'True', 'false', 'false', '510186016707', 5, '玉成街道吊脚楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186016707', 1, '2021-07-19 11:28:56', NULL, NULL), (364, '', '成都东部新区玉成街道龙王庙社区居民委员会', '33524aea847a4c1da4faf0d454b9a78e', '5157f2ba8f924a549f556b90f85e6595', 'False', 'True', 'false', 'false', '510186016875', 5, '玉成街道龙王庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186016875', 1, '2021-07-19 11:28:56', NULL, NULL), (365, '', '草池街道', 'dd9aafe159764ef7940ab4c9a0c91591', '4a70caddca2a41a49a1ad02d7c11f785', 'True', 'True', 'false', 'false', '510186313011', 4, '草池街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510186313011', 1, '2021-07-19 11:28:56', NULL, NULL), (366, '', '成都东部新区草池街道五爱村村民委员会', 'a11b8819e3a74f968dee40faa9d9baaf', 'dd9aafe159764ef7940ab4c9a0c91591', 'False', 'True', 'false', 'false', '510186014098', 5, '草池街道五爱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186014098', 1, '2021-07-19 11:28:56', NULL, NULL), (367, '', '成都东部新区草池街道绛溪社区居民委员会', '7b5c28eb2ceb41908f98978f93f66f04', 'dd9aafe159764ef7940ab4c9a0c91591', 'False', 'True', 'false', 'false', '510186014143', 5, '草池街道绛溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186014143', 1, '2021-07-19 11:28:56', NULL, NULL), (368, '', '成都东部新区草池街道盘山村村民委员会', 'd3e1992709ce46848e9f1d38e299b112', 'dd9aafe159764ef7940ab4c9a0c91591', 'False', 'True', 'false', 'false', '510186014144', 5, '草池街道盘山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186014144', 1, '2021-07-19 11:28:56', NULL, NULL), (369, '', '成都东部新区草池街道幸福村村民委员会', '98f23cd464764e67a0f2bc8d4ae44d58', 'dd9aafe159764ef7940ab4c9a0c91591', 'False', 'True', 'false', 'false', '510186014150', 5, '草池街道幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186014150', 1, '2021-07-19 11:28:56', NULL, NULL), (370, '', '成都东部新区草池街道金鸡村村民委员会', '75e0dbecad5e44c2a6e96501a4a069af', 'dd9aafe159764ef7940ab4c9a0c91591', 'False', 'True', 'false', 'false', '510186014177', 5, '草池街道金鸡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186014177', 1, '2021-07-19 11:28:56', NULL, NULL), (371, '', '成都东部新区草池街道国防村村民委员会', '7659be47bc794e239c414ba205fcce8a', 'dd9aafe159764ef7940ab4c9a0c91591', 'False', 'True', 'false', 'false', '510186014180', 5, '草池街道国防村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186014180', 1, '2021-07-19 11:28:56', NULL, NULL), (372, '', '成都东部新区草池街道平桥村村民委员会', '311aa90545824f55a09282b591d048a6', 'dd9aafe159764ef7940ab4c9a0c91591', 'False', 'True', 'false', 'false', '510186014191', 5, '草池街道平桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186014191', 1, '2021-07-19 11:28:56', NULL, NULL), (373, '', '成都东部新区草池街道丽星村村民委员会', 'b0e3c081b80e475f82bfedec00af2b28', 'dd9aafe159764ef7940ab4c9a0c91591', 'False', 'True', 'false', 'false', '510186014209', 5, '草池街道丽星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186014209', 1, '2021-07-19 11:28:56', NULL, NULL), (374, '', '成都东部新区草池街道勤耕村村民委员会', '62b608d2fee148e7bcdb108556e6a681', 'dd9aafe159764ef7940ab4c9a0c91591', 'False', 'True', 'false', 'false', '510186014265', 5, '草池街道勤耕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186014265', 1, '2021-07-19 11:28:56', NULL, NULL), (375, '', '成都东部新区草池街道八仙村村民委员会', '258937f814174f57be6412a6b01ffa59', 'dd9aafe159764ef7940ab4c9a0c91591', 'False', 'True', 'false', 'false', '510186014394', 5, '草池街道八仙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186014394', 1, '2021-07-19 11:28:57', NULL, NULL), (376, '', '成都东部新区草池街道白马村村民委员会', '1dcf1ab5c33549afb1965c95b5b0cb3a', 'dd9aafe159764ef7940ab4c9a0c91591', 'False', 'True', 'false', 'false', '510186014396', 5, '草池街道白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186014396', 1, '2021-07-19 11:28:57', NULL, NULL), (377, '', '成都东部新区草池街道裕民社区居民委员会', '51fb88147c254f4ea55e0db666c0888d', 'dd9aafe159764ef7940ab4c9a0c91591', 'False', 'True', 'false', 'false', '510186014523', 5, '草池街道裕民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186014523', 1, '2021-07-19 11:28:57', NULL, NULL), (378, '', '成都东部新区草池街道平泉村村民委员会', 'b4619c6c0a1d4935a0b89db40836023a', 'dd9aafe159764ef7940ab4c9a0c91591', 'False', 'True', 'false', 'false', '510186014641', 5, '草池街道平泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186014641', 1, '2021-07-19 11:28:57', NULL, NULL), (379, '', '成都东部新区草池街道三渔村村民委员会', '3c230e1dcfd84030a70c90ea4585f6c5', 'dd9aafe159764ef7940ab4c9a0c91591', 'False', 'True', 'false', 'false', '510186014678', 5, '草池街道三渔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186014678', 1, '2021-07-19 11:28:57', NULL, NULL), (380, '', '成都东部新区草池街道石梁村村民委员会', '4bc8005826044bd49a60d64509a65c45', 'dd9aafe159764ef7940ab4c9a0c91591', 'False', 'True', 'false', 'false', '510186014765', 5, '草池街道石梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186014765', 1, '2021-07-19 11:28:57', NULL, NULL), (381, '', '成都东部新区草池街道长河村村民委员会', '57fbafd575314ca4b2188f62dcba8ef9', 'dd9aafe159764ef7940ab4c9a0c91591', 'False', 'True', 'false', 'false', '510186014807', 5, '草池街道长河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186014807', 1, '2021-07-19 11:28:57', NULL, NULL), (382, '', '成都东部新区草池街道崔家村村民委员会', 'f48f5d9312d34bbfaaa390b49015ba73', 'dd9aafe159764ef7940ab4c9a0c91591', 'False', 'True', 'false', 'false', '510186014938', 5, '草池街道崔家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186014938', 1, '2021-07-19 11:28:57', NULL, NULL), (383, '', '石盘街道', '69e470688bfb4f508d1301b82fd3184b', '4a70caddca2a41a49a1ad02d7c11f785', 'True', 'True', 'false', 'false', '510186487010', 4, '石盘街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510186487010', 1, '2021-07-19 11:28:57', NULL, NULL), (384, '', '成都东部新区石盘街道银杏社区居民委员会', '9c3e182517be42748afb43c9ba19a928', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009399', 5, '石盘街道银杏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009399', 1, '2021-07-19 11:28:57', NULL, NULL), (385, '', '成都东部新区石盘街道付家祠村村民委员会', '5b23529f0b334ecf8d1607f781bf3e97', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009810', 5, '石盘街道付家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009810', 1, '2021-07-19 11:28:57', NULL, NULL), (386, '', '成都东部新区石盘街道小斑竹村村民委员会', 'e2ff786f454c4e6ab4a690b371dfd4db', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009543', 5, '石盘街道小斑竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009543', 1, '2021-07-19 11:28:57', NULL, NULL), (387, '', '成都东部新区石盘街道三合堰社区居民委员会', '229650e352544e899a3d27cc3db0cc3d', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009078', 5, '石盘街道三合堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009078', 1, '2021-07-19 11:28:57', NULL, NULL), (388, '', '成都东部新区石盘街道卫星社区居民委员会', '83928551a4ab41269f3118634c6cfd9e', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009831', 5, '石盘街道卫星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009831', 1, '2021-07-19 11:28:58', NULL, NULL), (389, '', '成都东部新区石盘街道天长村村民委员会', '64e248ec2f984a599d89f095738d6982', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009408', 5, '石盘街道天长村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009408', 1, '2021-07-19 11:28:58', NULL, NULL), (390, '', '成都东部新区石盘街道河嘴村村民委员会', 'a095fdd6809441fa878fcd70b3f28163', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009003', 5, '石盘街道河嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009003', 1, '2021-07-19 11:28:58', NULL, NULL), (391, '', '成都东部新区石盘街道郭家祠村村民委员会', '14d6978c896244738fc049a496e99d46', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009464', 5, '石盘街道郭家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009464', 1, '2021-07-19 11:28:58', NULL, NULL), (392, '', '成都东部新区石盘街道白塔村村民委员会', '89fc6dc524454bf38e0389a688d82acc', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009712', 5, '石盘街道白塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009712', 1, '2021-07-19 11:28:58', NULL, NULL), (393, '', '成都东部新区石盘街道谢家祠村村民委员会', 'df69e0c42d6949c88d399f7d04c62c5a', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009228', 5, '石盘街道谢家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009228', 1, '2021-07-19 11:28:58', NULL, NULL), (394, '', '成都东部新区石盘街道银定桥社区居民委员会', '17350bbad9784d10976f07c02402e0cf', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186004687', 5, '石盘街道银定桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186004687', 1, '2021-07-19 11:28:58', NULL, NULL), (395, '', '成都东部新区石盘街道四方碑村村民委员会', 'fb5462d64f4446c793fcea97e3608dfe', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009994', 5, '石盘街道四方碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009994', 1, '2021-07-19 11:28:58', NULL, NULL), (396, '', '成都东部新区石盘街道龙泉湖社区居民委员会', '0ffab75189e24e448c50297247cec6ce', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009873', 5, '石盘街道龙泉湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009873', 1, '2021-07-19 11:28:58', NULL, NULL), (397, '', '成都东部新区石盘街道吴家祠社区居民委员会', 'cf3d65b664d449ab927ff0488b958a5f', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009954', 5, '石盘街道吴家祠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009954', 1, '2021-07-19 11:28:58', NULL, NULL), (398, '', '成都东部新区石盘街道向阳社区居民委员会', '45af2ef985b24ae0b5d0b9a8489c3e55', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009213', 5, '石盘街道向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009213', 1, '2021-07-19 11:28:58', NULL, NULL), (399, '', '成都东部新区石盘街道火箭社区居民委员会', 'd808432c66a04e53b18bef0e71cf6dfc', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009516', 5, '石盘街道火箭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009516', 1, '2021-07-19 11:28:58', NULL, NULL), (400, '', '成都东部新区石盘街道佘家社区居民委员会', '493ee3e10bcf4d708fa3947071cc3449', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009637', 5, '石盘街道佘家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009637', 1, '2021-07-19 11:28:58', NULL, NULL), (401, '', '成都东部新区石盘街道方家林社区居民委员会', '5503fbc0f9ce4692ae32c473466d2b48', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009011', 5, '石盘街道方家林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009011', 1, '2021-07-19 11:28:58', NULL, NULL), (402, '', '成都东部新区石盘街道凤凰山社区居民委员会', 'c171a573f7d84fa696a646a84173892d', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009908', 5, '石盘街道凤凰山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009908', 1, '2021-07-19 11:28:59', NULL, NULL), (403, '', '成都东部新区石盘街道艳丰村村民委员会', '9f66973b8ee044138bfab71fd4639618', '69e470688bfb4f508d1301b82fd3184b', 'False', 'True', 'false', 'false', '510186009332', 5, '石盘街道艳丰村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186009332', 1, '2021-07-19 11:28:59', NULL, NULL), (404, '', '董家埂镇', '7f1a156478794d808ad524885c621a2d', '4a70caddca2a41a49a1ad02d7c11f785', 'True', 'True', 'false', 'false', '510186542001', 4, '董家埂镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510186542001', 1, '2021-07-19 11:28:59', NULL, NULL), (405, '', '成都东部新区董家埂镇尊恭村村民委员会', '90ce69737af34062b785b2ef68ea0dfc', '7f1a156478794d808ad524885c621a2d', 'False', 'True', 'false', 'false', '510186131010', 5, '尊恭村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186131010', 1, '2021-07-19 11:28:59', NULL, NULL), (406, '', '成都东部新区董家埂镇天星堰村村民委员会', 'f8757471e8e24ed3b9c3df0f7431bb57', '7f1a156478794d808ad524885c621a2d', 'False', 'True', 'false', 'false', '510186131111', 5, '董家埂镇天星堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186131111', 1, '2021-07-19 11:28:59', NULL, NULL), (407, '', '成都东部新区董家埂镇倒马坎村村民委员会', 'a7007b3041a14fc698b3e2b47efda56b', '7f1a156478794d808ad524885c621a2d', 'False', 'True', 'false', 'false', '510186131224', 5, '董家埂镇倒马坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186131224', 1, '2021-07-19 11:28:59', NULL, NULL), (408, '', '成都东部新区董家埂镇龙口村村民委员会', '05e6e4dc142840b7802e0c5167ff2152', '7f1a156478794d808ad524885c621a2d', 'False', 'True', 'false', 'false', '510186131517', 5, '龙口村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186131517', 1, '2021-07-19 11:28:59', NULL, NULL), (409, '', '成都东部新区董家埂镇深洞村村民委员会', 'a5a1c801c0344d89aa236227383d5c32', '7f1a156478794d808ad524885c621a2d', 'False', 'True', 'false', 'false', '510186131521', 5, '董家埂镇深洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186131521', 1, '2021-07-19 11:28:59', NULL, NULL), (410, '', '成都东部新区董家埂镇五马桥村村民委员会', 'd6d3b81d0ea7451f90967507d698466d', '7f1a156478794d808ad524885c621a2d', 'False', 'True', 'false', 'false', '510186131603', 5, '董家埂镇五马桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186131603', 1, '2021-07-19 11:28:59', NULL, NULL), (411, '', '成都东部新区董家埂镇陈家沟村村委会', 'a7588db5aa2f46108a8857578dc76478', '7f1a156478794d808ad524885c621a2d', 'False', 'True', 'false', 'false', '510186131638', 5, '董家埂镇陈家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186131638', 1, '2021-07-19 11:28:59', NULL, NULL), (412, '', '成都东部新区董家埂镇库沿村村民委员会', '33d4b3679fcc4ec8b41c342bf63db285', '7f1a156478794d808ad524885c621a2d', 'False', 'True', 'false', 'false', '510186131667', 5, '董家埂镇库沿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186131667', 1, '2021-07-19 11:28:59', NULL, NULL), (413, '', '成都东部新区董家埂镇小河村村民委员会', 'd7471d1c29a14c4cb10871df4120a218', '7f1a156478794d808ad524885c621a2d', 'False', 'True', 'false', 'false', '510186131738', 5, '小河村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186131738', 1, '2021-07-19 11:28:59', NULL, NULL), (414, '', '成都东部新区董家埂镇付家坪村村民委员会', '1f67dddcb8f84b4e95964151119a1f3d', '7f1a156478794d808ad524885c621a2d', 'False', 'True', 'false', 'false', '510186131748', 5, '董家埂镇付家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186131748', 1, '2021-07-19 11:28:59', NULL, NULL), (415, '', '成都东部新区董家埂镇高家湾村村民委员会', '5345316d03e44c44952a8a9113ebcb93', '7f1a156478794d808ad524885c621a2d', 'False', 'True', 'false', 'false', '510186131898', 5, '董家埂镇高家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186131898', 1, '2021-07-19 11:29:00', NULL, NULL), (416, '', '成都东部新区董家埂镇大屋沟村村民委员会', '77b41e2df0574b788e35f2d1c1aeb016', '7f1a156478794d808ad524885c621a2d', 'False', 'True', 'false', 'false', '510186131989', 5, '董家埂镇大屋沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186131989', 1, '2021-07-19 11:29:00', NULL, NULL), (417, '', '高明镇', '4ae8f20086ae4993b280f1425e192460', '4a70caddca2a41a49a1ad02d7c11f785', 'True', 'True', 'false', 'false', '510186606005', 4, '高明镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510186606005', 1, '2021-07-19 11:29:00', NULL, NULL), (418, '', '成都东部新区高明镇高塔村村民委员会', '9dad5ff96ac54ed8a0217f1a88b30363', '4ae8f20086ae4993b280f1425e192460', 'False', 'True', 'false', 'false', '510186126126', 5, '高明镇高塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186126126', 1, '2021-07-19 11:29:00', NULL, NULL), (419, '', '成都东部新区高明镇三大湾村村民委员会', 'b960ffbd4ba442b8a858ceb8c5823fff', '4ae8f20086ae4993b280f1425e192460', 'False', 'True', 'false', 'false', '510186126327', 5, '高明镇三大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186126327', 1, '2021-07-19 11:29:00', NULL, NULL), (420, '', '成都东部新区高明镇高明社区居民委员会', '1c64fb01880f4f4796590f8339274fad', '4ae8f20086ae4993b280f1425e192460', 'False', 'True', 'false', 'false', '510186126340', 5, '高明镇高明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186126340', 1, '2021-07-19 11:29:00', NULL, NULL), (421, '', '成都东部新区高明镇农丰村村民委员会', 'c6ff0a8f61b341548cae3f148a77535c', '4ae8f20086ae4993b280f1425e192460', 'False', 'True', 'false', 'false', '510186126477', 5, '高明镇农丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186126477', 1, '2021-07-19 11:29:00', NULL, NULL), (422, '', '成都东部新区高明镇东风村村民委员会', '50eb33a745c9455a977c41ba7967e5d0', '4ae8f20086ae4993b280f1425e192460', 'False', 'True', 'false', 'false', '510186126651', 5, '高明镇东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186126651', 1, '2021-07-19 11:29:00', NULL, NULL), (423, '', '成都东部新区高明镇石岗社区居民委员会', '5913f77adcfd4df3bcff1bc2fc7f570c', '4ae8f20086ae4993b280f1425e192460', 'False', 'True', 'false', 'false', '510186126670', 5, '高明镇石岗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186126670', 1, '2021-07-19 11:29:00', NULL, NULL), (424, '', '成都东部新区高明镇五指村村民委员会', 'd585d4c2c5ee401e9b3ca03f57d6f310', '4ae8f20086ae4993b280f1425e192460', 'False', 'True', 'false', 'false', '510186126711', 5, '高明镇五指村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186126711', 1, '2021-07-19 11:29:00', NULL, NULL), (425, '', '成都东部新区高明镇白金社区居民委员会', 'cdafa8d701964b8a91a7e11b0641f428', '4ae8f20086ae4993b280f1425e192460', 'False', 'True', 'false', 'false', '510186126812', 5, '高明镇白金社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186126812', 1, '2021-07-19 11:29:00', NULL, NULL), (426, '', '成都东部新区高明镇桅杆村村民委员会', '342f24bd45034fa8837150d432f7dafd', '4ae8f20086ae4993b280f1425e192460', 'False', 'True', 'false', 'false', '510186126895', 5, '高明镇桅杆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186126895', 1, '2021-07-19 11:29:00', NULL, NULL), (427, '', '武庙镇', '1ceec204680a44308fd280627e6887e0', '4a70caddca2a41a49a1ad02d7c11f785', 'True', 'True', 'false', 'false', '510186781012', 4, '武庙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510186781012', 1, '2021-07-19 11:29:01', NULL, NULL), (428, '', '成都东部新区武庙镇 中坝村村民委员会', '5ab8c83cb77a4e439fa5778d10c351ee', '1ceec204680a44308fd280627e6887e0', 'False', 'True', 'false', 'false', '510186127053', 5, '武庙镇中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186127053', 1, '2021-07-19 11:29:01', NULL, NULL), (429, '', '成都东部新区武庙镇 竹园村村民委员会', 'd0fe2223e3ab41d2a8cfbc25993ad799', '1ceec204680a44308fd280627e6887e0', 'False', 'True', 'false', 'false', '510186127200', 5, '武庙镇竹园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186127200', 1, '2021-07-19 11:29:01', NULL, NULL), (430, '', '成都东部新区武庙镇 石庙村村民委员会', '876d55dc4932491992d5c6377c80bf81', '1ceec204680a44308fd280627e6887e0', 'False', 'True', 'false', 'false', '510186127563', 5, '武庙镇石庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186127563', 1, '2021-07-19 11:29:01', NULL, NULL), (431, '', '成都东部新区武庙镇 青山村村民委员会', '3b4d3b31c22a498ea862de3b3cda52c7', '1ceec204680a44308fd280627e6887e0', 'False', 'True', 'false', 'false', '510186127643', 5, '武庙镇青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186127643', 1, '2021-07-19 11:29:01', NULL, NULL), (432, '', '成都东部新区武庙镇 团堡村村民委员会', '973d59120c2f467cb77cd79d9ccf181b', '1ceec204680a44308fd280627e6887e0', 'False', 'True', 'false', 'false', '510186127689', 5, '武庙镇团堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186127689', 1, '2021-07-19 11:29:01', NULL, NULL), (433, '', '成都东部新区武庙镇 付夕坪村村民委员会', '096337fa10194a5abb3934c56e567c70', '1ceec204680a44308fd280627e6887e0', 'False', 'True', 'false', 'false', '510186127714', 5, '武庙镇付夕坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186127714', 1, '2021-07-19 11:29:01', NULL, NULL), (434, '', '成都东部新区武庙镇 武庙社区居民委员会', '49ed672bd36e46729342c598f243fd9a', '1ceec204680a44308fd280627e6887e0', 'False', 'True', 'false', 'false', '510186127769', 5, '武庙镇武庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186127769', 1, '2021-07-19 11:29:01', NULL, NULL), (435, '', '三岔街道', '52afca135f3a4c639d56d251e686d447', '4a70caddca2a41a49a1ad02d7c11f785', 'True', 'True', 'false', 'false', '510186880009', 4, '三岔街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510186880009', 1, '2021-07-19 11:29:01', NULL, NULL), (436, '', '成都东部新区三岔街道石河堰村村民委员会', 'd1637fa0053c49fc90e67c5000394c68', '52afca135f3a4c639d56d251e686d447', 'False', 'True', 'false', 'false', '510186013017', 5, '三岔街道石河堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186013017', 1, '2021-07-19 11:29:01', NULL, NULL), (437, '', '成都东部新区三岔街道汪家村村民委员会', '9fe7be6342584f07999aa069553e1a58', '52afca135f3a4c639d56d251e686d447', 'False', 'True', 'false', 'false', '510186013233', 5, '三岔街道汪家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186013233', 1, '2021-07-19 11:29:01', NULL, NULL), (438, '', '成都东部新区三岔街道国宁花园社区居民委员会', '203ac8962eb84bc29f394de9814e5a0c', '52afca135f3a4c639d56d251e686d447', 'False', 'True', 'false', 'false', '510186013242', 5, '三岔街道国宁花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186013242', 1, '2021-07-19 11:29:01', NULL, NULL), (439, '', '成都东部新区三岔街道长兴街社区居民委员会', '38585a341bb94aa0b4809446689355aa', '52afca135f3a4c639d56d251e686d447', 'False', 'True', 'false', 'false', '510186013353', 5, '长兴街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186013353', 1, '2021-07-19 11:29:01', NULL, NULL), (440, '', '成都东部新区三岔街道国兴村村民委员会', 'fa024673937a4c70a6bf360a1e6ac39e', '52afca135f3a4c639d56d251e686d447', 'False', 'True', 'false', 'false', '510186013835', 5, '三岔街道国兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186013835', 1, '2021-07-19 11:29:02', NULL, NULL), (441, '', '成都东部新区三岔街道清水堰村村民委员会', 'fc108b2420ac40d48635d6789b164388', '52afca135f3a4c639d56d251e686d447', 'False', 'True', 'false', 'false', '510186013839', 5, '三岔街道清水堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186013839', 1, '2021-07-19 11:29:02', NULL, NULL), (442, '', '成都东部新区三岔街道清庙村村民委员会', 'c63146414f534238894229039f3acedc', '52afca135f3a4c639d56d251e686d447', 'False', 'True', 'false', 'false', '510186013895', 5, '三岔街道清庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186013895', 1, '2021-07-19 11:29:02', NULL, NULL), (443, '', '成都东部新区三岔街道万福村村民委员会', '67bf4fea44c744a5abb12c9345ab90a9', '52afca135f3a4c639d56d251e686d447', 'False', 'True', 'false', 'false', '510186013898', 5, '三岔街道万福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186013898', 1, '2021-07-19 11:29:02', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (444, '', '成都东部新区三岔街道板桥村村民委员会', '177064c563524e28ab8cf7504d3c666f', '52afca135f3a4c639d56d251e686d447', 'False', 'True', 'false', 'false', '510186013908', 5, '三岔街道板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186013908', 1, '2021-07-19 11:29:02', NULL, NULL), (445, '', '成都东部新区三岔街道三岔街社区居民委员会', '3acafc40f97f4ed0823eac461c869450', '52afca135f3a4c639d56d251e686d447', 'False', 'True', 'false', 'false', '510186013972', 5, '三岔街道三岔街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186013972', 1, '2021-07-19 11:29:02', NULL, NULL), (446, '', '成都东部新区三岔街道光荣村村民委员会', '9e5075a780b0408893dd7966af18d653', '52afca135f3a4c639d56d251e686d447', 'False', 'True', 'false', 'false', '510186013983', 5, '三岔街道光荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186013983', 1, '2021-07-19 11:29:02', NULL, NULL), (447, '', '成都东部新区三岔街道石庄村村民委员会', 'c1cc444b651b49ca84b75238546746f7', '52afca135f3a4c639d56d251e686d447', 'False', 'True', 'false', 'false', '510186013984', 5, '三岔街道石庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186013984', 1, '2021-07-19 11:29:02', NULL, NULL), (448, '', '成都东部新区福田街道大古村村民委员会', '7ad0bf3c8089440a8e1ca1f12bb1c828', '52afca135f3a4c639d56d251e686d447', 'False', 'False', 'false', 'false', '510186015208', 5, '福田街道大古村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186015208', 1, '2021-07-19 11:29:02', NULL, NULL), (449, '', '福田街道', '2d6397efbe9f4b13bc7a1f96930e8437', '4a70caddca2a41a49a1ad02d7c11f785', 'True', 'True', 'false', 'false', '510186917004', 4, '福田街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510186917004', 1, '2021-07-19 11:29:02', NULL, NULL), (450, '', '成都东部新区福田街道龙游村村民委员会', '47765d6fd2144dc69bdf64c9b01bb348', '2d6397efbe9f4b13bc7a1f96930e8437', 'False', 'True', 'false', 'false', '510186015097', 5, '福田街道龙游村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186015097', 1, '2021-07-19 11:29:02', NULL, NULL), (451, '', '成都东部新区福田街道金家坝村村民委员会', '2666a901676b4c03a83a91078601dc22', '2d6397efbe9f4b13bc7a1f96930e8437', 'False', 'True', 'false', 'false', '510186015151', 5, '福田街道金家坝村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186015151', 1, '2021-07-19 11:29:02', NULL, NULL), (452, '', '成都东部新区福田街道石圣村村民委员会', 'b20d3d642dca4cfaaa65760822c2dafd', '2d6397efbe9f4b13bc7a1f96930e8437', 'False', 'True', 'false', 'false', '510186015392', 5, '福田街道石圣村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186015392', 1, '2021-07-19 11:29:02', NULL, NULL), (453, '', '成都东部新区福田街道福兴街社区居民委员会', '74be73f743d249dead238a4f3fff270e', '2d6397efbe9f4b13bc7a1f96930e8437', 'False', 'True', 'false', 'false', '510186015746', 5, '福田街道福兴街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186015746', 1, '2021-07-19 11:29:02', NULL, NULL), (454, '', '成都东部新区福田街道学堂湾村村民委员会', 'c53182d308424aa7958f73299cd99175', '2d6397efbe9f4b13bc7a1f96930e8437', 'False', 'True', 'false', 'false', '510186015774', 5, '福田街道学堂湾村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186015774', 1, '2021-07-19 11:29:03', NULL, NULL), (455, '', '成都东部新区福田街道桅杆坝村村民委员会', '4fd35a86af8e4b07a796aa145c253d13', '2d6397efbe9f4b13bc7a1f96930e8437', 'False', 'True', 'false', 'false', '510186015807', 5, '福田街道桅杆坝村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186015807', 1, '2021-07-19 11:29:03', NULL, NULL), (456, '', '成都东部新区福田街道大古村村民委员会', '703cba86a8fa461d85e58e03d6587301', '2d6397efbe9f4b13bc7a1f96930e8437', 'False', 'True', 'false', 'false', '510186015914', 5, '福田街道大古村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186015914', 1, '2021-07-19 11:29:03', NULL, NULL), (457, '', '芦葭镇', '4c756bded12b47b1ad05c5d2fa5ca46a', '4a70caddca2a41a49a1ad02d7c11f785', 'True', 'True', 'false', 'false', '510186932008', 4, '芦葭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510186932008', 1, '2021-07-19 11:29:03', NULL, NULL), (458, '', '成都东部新区芦葭镇共乐村村民委员会', 'be88eae3eb9d4358b4f4b093f6dc441d', '4c756bded12b47b1ad05c5d2fa5ca46a', 'False', 'True', 'false', 'false', '510186122097', 5, '芦葭镇共乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186122097', 1, '2021-07-19 11:29:03', NULL, NULL), (459, '', '成都东部新区芦葭镇建安村村民委员会', '03d7e62d2f624721b19eae734aaa3df8', '4c756bded12b47b1ad05c5d2fa5ca46a', 'False', 'True', 'false', 'false', '510186122099', 5, '芦葭镇建安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186122099', 1, '2021-07-19 11:29:03', NULL, NULL), (460, '', '成都东部新区芦葭镇岳王村村民委员会', 'b3024174dc5143f68eafe4816b6a86f6', '4c756bded12b47b1ad05c5d2fa5ca46a', 'False', 'True', 'false', 'false', '510186122150', 5, '芦葭镇岳王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186122150', 1, '2021-07-19 11:29:03', NULL, NULL), (461, '', '成都东部新区芦葭镇枇杷村村民委员会', '798080dcbb88454690646d0d25185957', '4c756bded12b47b1ad05c5d2fa5ca46a', 'False', 'True', 'false', 'false', '510186122206', 5, '芦葭镇枇杷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186122206', 1, '2021-07-19 11:29:03', NULL, NULL), (462, '', '成都东部新区芦葭镇万角村村委会', '08455433129b4206bfaf7b63daef886d', '4c756bded12b47b1ad05c5d2fa5ca46a', 'False', 'True', 'false', 'false', '510186122247', 5, '芦葭镇万角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186122247', 1, '2021-07-19 11:29:03', NULL, NULL), (463, '', '成都东部新区芦葭镇三清庙村村民委员会', '096f4cb6bdfd4675ac0f902741b6a0c7', '4c756bded12b47b1ad05c5d2fa5ca46a', 'False', 'True', 'false', 'false', '510186122248', 5, '三清庙村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186122248', 1, '2021-07-19 11:29:03', NULL, NULL), (464, '', '成都东部新区芦葭镇清风社区居民委员会', '3be94a6e779b4dd38fcb945fc8fc0b08', '4c756bded12b47b1ad05c5d2fa5ca46a', 'False', 'True', 'false', 'false', '510186122417', 5, '芦葭镇清风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186122417', 1, '2021-07-19 11:29:03', NULL, NULL), (465, '', '成都东部新区芦葭镇芦葭社区居民委员会', '9693f8533a0b457da66bdb6aab41e005', '4c756bded12b47b1ad05c5d2fa5ca46a', 'False', 'True', 'false', 'false', '510186122420', 5, '芦葭社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186122420', 1, '2021-07-19 11:29:04', NULL, NULL), (466, '', '成都东部新区芦葭镇藕塘村村民委员会', '2793a64c1116444c8c4e2a704e0e36f8', '4c756bded12b47b1ad05c5d2fa5ca46a', 'False', 'True', 'false', 'false', '510186122421', 5, '芦葭镇藕塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186122421', 1, '2021-07-19 11:29:04', NULL, NULL), (467, '', '成都东部新区芦葭镇民乐村村民委员会', '378b699105a149d089b8e66d1a37be96', '4c756bded12b47b1ad05c5d2fa5ca46a', 'False', 'True', 'false', 'false', '510186122460', 5, '民乐村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186122460', 1, '2021-07-19 11:29:04', NULL, NULL), (468, '', '成都市东部新区芦葭镇十里村村民委员会', '0b85f0b536c8459b8ffc9727e53347ba', '4c756bded12b47b1ad05c5d2fa5ca46a', 'False', 'True', 'false', 'false', '510186122486', 5, '芦葭镇十里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186122486', 1, '2021-07-19 11:29:04', NULL, NULL), (469, '', '成都东部新区芦葭镇黄桷村村民委员会', '3826d259eac24569991c32bdc8a2d7b4', '4c756bded12b47b1ad05c5d2fa5ca46a', 'False', 'True', 'false', 'false', '510186122630', 5, '芦葭镇黄桷村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186122630', 1, '2021-07-19 11:29:04', NULL, NULL), (470, '', '成都东部新区芦葭镇仁里村村民委员会', 'c1eb2ea3d022468d86302fe04fab75f4', '4c756bded12b47b1ad05c5d2fa5ca46a', 'False', 'True', 'false', 'false', '510186122810', 5, '仁里村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186122810', 1, '2021-07-19 11:29:04', NULL, NULL), (471, '', '成都东部新区芦葭镇葭新社区居民委员会', '09e1ff4465ac4ba39b38fc8d4b52205e', '4c756bded12b47b1ad05c5d2fa5ca46a', 'False', 'True', 'false', 'false', '510186122831', 5, '芦葭镇葭新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186122831', 1, '2021-07-19 11:29:04', NULL, NULL), (472, '', '成都东部新区芦葭镇英明村村民委员会', '25c35cc05fdb4bd7b6c51d1cabbefa57', '4c756bded12b47b1ad05c5d2fa5ca46a', 'False', 'True', 'false', 'false', '510186122967', 5, '英明村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186122967', 1, '2021-07-19 11:29:04', NULL, NULL), (473, '', '石板凳街道', 'f24b74cd4c894e06a8bf7b0c8aea535e', '4a70caddca2a41a49a1ad02d7c11f785', 'True', 'True', 'false', 'false', '510186960002', 4, '石板凳街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510186960002', 1, '2021-07-19 11:29:04', NULL, NULL), (474, '', '成都东部新区石板凳街道先锋社区居民委员会', '783c8b93af734de58b6b86ff8b153e85', 'f24b74cd4c894e06a8bf7b0c8aea535e', 'False', 'True', 'false', 'false', '510186012264', 5, '石板凳街道先锋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186012264', 1, '2021-07-19 11:29:04', NULL, NULL), (475, '', '成都东部新区石板凳街道长堰村村民委员会', 'c9bda688d7a146ac97ce6a2ede8869e4', 'f24b74cd4c894e06a8bf7b0c8aea535e', 'False', 'True', 'false', 'false', '510186012282', 5, '石板凳街道长堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186012282', 1, '2021-07-19 11:29:04', NULL, NULL), (476, '', '成都东部新区石板凳街道金山村村民委员会', 'a8a4ed1725844fda9618467cc5e0f517', 'f24b74cd4c894e06a8bf7b0c8aea535e', 'False', 'True', 'false', 'false', '510186012342', 5, '石板凳街道金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186012342', 1, '2021-07-19 11:29:04', NULL, NULL), (477, '', '成都东部新区石板凳街道虎山社区居民委员会', '17efa1884a1843d080a2a803d5aadb02', 'f24b74cd4c894e06a8bf7b0c8aea535e', 'False', 'True', 'false', 'false', '510186012466', 5, '石板凳街道虎山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186012466', 1, '2021-07-19 11:29:05', NULL, NULL), (478, '', '成都东部新区石板凳街道桐子坳社区居民委员会', '146e8ee113a24e2287c06974c1cd4173', 'f24b74cd4c894e06a8bf7b0c8aea535e', 'False', 'True', 'false', 'false', '510186012498', 5, '石板凳街道桐子坳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186012498', 1, '2021-07-19 11:29:05', NULL, NULL), (479, '', '成都东部新区石板凳街道莲花堰社区居民委员会', '58e190e0a5784b24b1da325a8960a1b2', 'f24b74cd4c894e06a8bf7b0c8aea535e', 'False', 'True', 'false', 'false', '510186012557', 5, '石板凳街道莲花堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186012557', 1, '2021-07-19 11:29:05', NULL, NULL), (480, '', '成都东部新区石板凳街道高河村村民委员会', '9e7e4c8af94642698ef61f26bab713c7', 'f24b74cd4c894e06a8bf7b0c8aea535e', 'False', 'True', 'false', 'false', '510186012644', 5, '石板凳街道高河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186012644', 1, '2021-07-19 11:29:05', NULL, NULL), (481, '', '成都东部新区石板凳街道观音村村民委员会', '11c452e4a2c34b1ebc36939ff50ba46c', 'f24b74cd4c894e06a8bf7b0c8aea535e', 'False', 'True', 'false', 'false', '510186012792', 5, '石板凳街道观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186012792', 1, '2021-07-19 11:29:05', NULL, NULL), (482, '', '成都东部新区石板凳街道菜子村村民委员会', '4c3901091cf24fe899e58fa865b586b8', 'f24b74cd4c894e06a8bf7b0c8aea535e', 'False', 'True', 'false', 'false', '510186012803', 5, '石板凳街道菜子村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186012803', 1, '2021-07-19 11:29:05', NULL, NULL), (483, '', '成都东部新区石板凳街道岩店村村民委员会', 'f29ced85246044429f354d298d9bb929', 'f24b74cd4c894e06a8bf7b0c8aea535e', 'False', 'True', 'false', 'false', '510186111534', 5, '石板凳街道岩店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510186111534', 1, '2021-07-19 11:29:05', NULL, NULL), (484, '', '锦江区', 'badeb6d69ff24084b9d29840d6b3af92', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510104000000', 3, '锦江区', 'cdsjjq.sczwfw.gov.cn', 1, '2021-07-19 11:29:05', NULL, NULL), (485, '', '春熙路街道', '67f08f6df844425d804a33adc1005d5a', 'badeb6d69ff24084b9d29840d6b3af92', 'True', 'True', 'false', 'false', '510104003000', 4, '春熙路街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510104003000', 1, '2021-07-19 11:29:05', NULL, NULL), (486, '', '督院街社区', 'f4f0a7d9bc784a1fab97f0c8a620e476', '67f08f6df844425d804a33adc1005d5a', 'False', 'True', 'false', 'false', '510104003001', 5, '督院街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104003001', 1, '2021-07-19 11:29:05', NULL, NULL), (487, '', '总府路社区', 'f6e7ca1563dc430b8087dbf9d2bba232', '67f08f6df844425d804a33adc1005d5a', 'False', 'True', 'false', 'false', '510104003002', 5, '总府路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104003002', 1, '2021-07-19 11:29:05', NULL, NULL), (488, '', '盐道街社区', 'c87d462982874ec0899b1acded625173', '67f08f6df844425d804a33adc1005d5a', 'False', 'True', 'false', 'false', '510104003003', 5, '盐道街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104003003', 1, '2021-07-19 11:29:05', NULL, NULL), (489, '', '盐市口社区', 'ee4b5e313af64bcd92d6e84f963e5159', '67f08f6df844425d804a33adc1005d5a', 'False', 'True', 'false', 'false', '510104003004', 5, '盐市口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104003004', 1, '2021-07-19 11:29:05', NULL, NULL), (490, '', '书院街街道', '906ac53485de41e98fd66a1fbf2cf292', 'badeb6d69ff24084b9d29840d6b3af92', 'True', 'True', 'false', 'false', '510104004000', 4, '书院街街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510104004000', 1, '2021-07-19 11:29:06', NULL, NULL), (491, '', '五昭路社区', '9e4a5dacb6e44e1687434d01e761c0b1', '906ac53485de41e98fd66a1fbf2cf292', 'False', 'True', 'false', 'false', '510104004001', 5, '五昭路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104004001', 1, '2021-07-19 11:29:06', NULL, NULL), (492, '', '庆云社区', '8a5870cb78534eeeaa6497fb3faf0efc', '906ac53485de41e98fd66a1fbf2cf292', 'False', 'True', 'false', 'false', '510104004002', 5, '庆云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104004002', 1, '2021-07-19 11:29:06', NULL, NULL), (493, '', '福字街社区', '845345faa3e740d79f70bf81aaaec2f9', '906ac53485de41e98fd66a1fbf2cf292', 'False', 'True', 'false', 'false', '510104004003', 5, '福字街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104004003', 1, '2021-07-19 11:29:06', NULL, NULL), (494, '', '华兴街社区', '845f3c0adb45490784e8e61d28129324', '906ac53485de41e98fd66a1fbf2cf292', 'False', 'True', 'false', 'false', '510104004004', 5, '华兴街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104004004', 1, '2021-07-19 11:29:06', NULL, NULL), (495, '', '锦官驿街道', '01d31a1418a241cc95fe2c7fa25de3dd', 'badeb6d69ff24084b9d29840d6b3af92', 'True', 'True', 'false', 'false', '510104006000', 4, '锦官驿街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510104006000', 1, '2021-07-19 11:29:06', NULL, NULL), (496, '', '大慈寺社区', 'ee2eb0e25eac4707808d69ccce67293c', '01d31a1418a241cc95fe2c7fa25de3dd', 'False', 'True', 'false', 'false', '510104017001', 5, '大慈寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104017001', 1, '2021-07-19 11:29:06', NULL, NULL), (497, '', '点将台社区', '53991eb321304df0a433fa712b6215ba', '01d31a1418a241cc95fe2c7fa25de3dd', 'False', 'True', 'false', 'false', '510104017002', 5, '点将台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104017002', 1, '2021-07-19 11:29:06', NULL, NULL), (498, '', '交子社区', '5ed59fef100f47f28e84e8ff19a54a89', '01d31a1418a241cc95fe2c7fa25de3dd', 'False', 'True', 'false', 'false', '510104017003', 5, '交子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104017003', 1, '2021-07-19 11:29:06', NULL, NULL), (499, '', '水井坊社区', '3a642541b29f4b0ab5d3d2498070df25', '01d31a1418a241cc95fe2c7fa25de3dd', 'False', 'True', 'false', 'false', '510104017004', 5, '水井坊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104017004', 1, '2021-07-19 11:29:06', NULL, NULL), (500, '', '合江亭社区', '1fee9e028dc148e29ddecd2119899b43', '01d31a1418a241cc95fe2c7fa25de3dd', 'False', 'True', 'false', 'false', '510104017005', 5, '合江亭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104017005', 1, '2021-07-19 11:29:06', NULL, NULL), (501, '', '崇德里社区', '208641235483497fa0d38da12d66ed25', '01d31a1418a241cc95fe2c7fa25de3dd', 'False', 'True', 'false', 'false', '510104017006', 5, '崇德里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104017006', 1, '2021-07-19 11:29:06', NULL, NULL), (502, '', '牛市口街道', '719d475bdf48495ea34acfde12a8ff2b', 'badeb6d69ff24084b9d29840d6b3af92', 'True', 'True', 'false', 'false', '510104007000', 4, '牛市口街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510104007000', 1, '2021-07-19 11:29:06', NULL, NULL), (503, '', '水碾河路南社区', 'bddf3027b4ca4cbcbfdcdb1ba59a3df6', '719d475bdf48495ea34acfde12a8ff2b', 'False', 'True', 'false', 'false', '510104007001', 5, '水碾河路南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104007001', 1, '2021-07-19 11:29:06', NULL, NULL), (504, '', '华成路社区', 'f798c6d1d6454c78960fd34c4e165966', '719d475bdf48495ea34acfde12a8ff2b', 'False', 'True', 'false', 'false', '510104007002', 5, '华成路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104007002', 1, '2021-07-19 11:29:06', NULL, NULL), (505, '', '九眼桥社区', '9f2c44f4ce884315b2e868b8eda18f31', '719d475bdf48495ea34acfde12a8ff2b', 'False', 'True', 'false', 'false', '510104007003', 5, '九眼桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104007003', 1, '2021-07-19 11:29:06', NULL, NULL), (506, '', '莲桂西路社区', 'dd973a0b5f1942139417ce1882ef64a6', '719d475bdf48495ea34acfde12a8ff2b', 'False', 'True', 'false', 'false', '510104007004', 5, '莲桂西路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104007004', 1, '2021-07-19 11:29:07', NULL, NULL), (507, '', '得胜街社区', 'fcd224d9f4b84cb6b3039d87908cc641', '719d475bdf48495ea34acfde12a8ff2b', 'False', 'True', 'false', 'false', '510104007005', 5, '得胜街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104007005', 1, '2021-07-19 11:29:07', NULL, NULL), (508, '', '一心桥社区', '089daf476b4341b6a43472f7225705bf', '719d475bdf48495ea34acfde12a8ff2b', 'False', 'True', 'false', 'false', '510104007006', 5, '一心桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104007006', 1, '2021-07-19 11:29:07', NULL, NULL), (509, '', '莲花社区', '43d1d1b25d8f49b3923c3fb61ecf35bf', '719d475bdf48495ea34acfde12a8ff2b', 'False', 'True', 'false', 'false', '510104007007', 5, '莲花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104007007', 1, '2021-07-19 11:29:07', NULL, NULL), (510, '', '锦东社区', '408f1f1dd25b4df2a7ed8fb334e445ef', '719d475bdf48495ea34acfde12a8ff2b', 'False', 'True', 'false', 'false', '510104007008', 5, '锦东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104007008', 1, '2021-07-19 11:29:07', NULL, NULL), (511, '', '紫东社区', 'a8fb6144f5ab42bab4bbeda8f867e359', '719d475bdf48495ea34acfde12a8ff2b', 'False', 'True', 'false', 'false', '510104007009', 5, '紫东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104007009', 1, '2021-07-19 11:29:07', NULL, NULL), (512, '', '龙舟社区', 'ee1d3b2ff47f4573840eb93be4ef2343', '719d475bdf48495ea34acfde12a8ff2b', 'False', 'True', 'false', 'false', '510104007010', 5, '龙舟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104007010', 1, '2021-07-19 11:29:07', NULL, NULL), (513, '', '沙河街道', 'a5cd5d37560b4c3cbef9f827a2899213', 'badeb6d69ff24084b9d29840d6b3af92', 'True', 'True', 'false', 'false', '510104011000', 4, '沙河街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510104011000', 1, '2021-07-19 11:29:07', NULL, NULL), (514, '', '沙河社区', '969f30438f1e45da975c6c01ebb5c002', 'a5cd5d37560b4c3cbef9f827a2899213', 'False', 'True', 'false', 'false', '510104011001', 5, '沙河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104011001', 1, '2021-07-19 11:29:07', NULL, NULL), (515, '', '静康社区', 'ee7802e16b6b4509a3653129a87f7fb7', 'a5cd5d37560b4c3cbef9f827a2899213', 'False', 'True', 'false', 'false', '510104011002', 5, '静康社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104011002', 1, '2021-07-19 11:29:07', NULL, NULL), (516, '', '塔子山社区', 'a8a571bad308461b84567eab897766b9', 'a5cd5d37560b4c3cbef9f827a2899213', 'False', 'True', 'false', 'false', '510104011003', 5, '塔子山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104011003', 1, '2021-07-19 11:29:07', NULL, NULL), (517, '', '牛沙路社区', 'ee6cea9a97cc4babb42f2c63e36fb36b', 'a5cd5d37560b4c3cbef9f827a2899213', 'False', 'True', 'false', 'false', '510104011004', 5, '牛沙路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104011004', 1, '2021-07-19 11:29:07', NULL, NULL), (518, '', '五福桥社区', 'eba262b36df34876b4d3f235b2eb025e', 'a5cd5d37560b4c3cbef9f827a2899213', 'False', 'True', 'false', 'false', '510104011005', 5, '五福桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104011005', 1, '2021-07-19 11:29:07', NULL, NULL), (519, '', '汇泉路社区', '78bf96d6df5a4e8e87c7f360b60aa8fc', 'a5cd5d37560b4c3cbef9f827a2899213', 'False', 'True', 'false', 'false', '510104011006', 5, '汇泉路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104011006', 1, '2021-07-19 11:29:07', NULL, NULL), (520, '', '双桂路社区', '282ac0306bf9462c845fcfc333816ece', 'a5cd5d37560b4c3cbef9f827a2899213', 'False', 'True', 'false', 'false', '510104011007', 5, '双桂路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104011007', 1, '2021-07-19 11:29:07', NULL, NULL), (521, '', '狮子山街道', '75ae79f658c84c9ba6de86be29fd5ab1', 'badeb6d69ff24084b9d29840d6b3af92', 'True', 'True', 'false', 'false', '510104013000', 4, '狮子山街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510104013000', 1, '2021-07-19 11:29:07', NULL, NULL), (522, '', '菱窠社区', '2eec274f0211470e8b17b244bcc335d6', '75ae79f658c84c9ba6de86be29fd5ab1', 'False', 'True', 'false', 'false', '510104013001', 5, '菱窠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104013001', 1, '2021-07-19 11:29:07', NULL, NULL), (523, '', '佳宏路社区', 'a82725da33c840c8b78d7a099ee67251', '75ae79f658c84c9ba6de86be29fd5ab1', 'False', 'True', 'false', 'false', '510104013002', 5, '佳宏路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104013002', 1, '2021-07-19 11:29:08', NULL, NULL), (524, '', '万科城花社区', 'adc6fc8d5b1e44f5aa69e25c1c2e0768', '75ae79f658c84c9ba6de86be29fd5ab1', 'False', 'True', 'false', 'false', '510104013003', 5, '万科城花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104013003', 1, '2021-07-19 11:29:08', NULL, NULL), (525, '', '四川师大社区', 'be53356daaa1475eb5fb23e65e7306e3', '75ae79f658c84c9ba6de86be29fd5ab1', 'False', 'True', 'false', 'false', '510104013004', 5, '四川师大社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104013004', 1, '2021-07-19 11:29:08', NULL, NULL), (526, '', '花果社区', 'ce38bbd82f144ce19397f630414192a3', '75ae79f658c84c9ba6de86be29fd5ab1', 'False', 'True', 'false', 'false', '510104013005', 5, '花果社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104013005', 1, '2021-07-19 11:29:08', NULL, NULL), (527, '', '金像寺社区', 'b0aabd8a779d428983924ac8d711391f', '75ae79f658c84c9ba6de86be29fd5ab1', 'False', 'True', 'false', 'false', '510104013006', 5, '金像寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104013006', 1, '2021-07-19 11:29:08', NULL, NULL), (528, '', '东湖街道', '980502924f72415a864c75a61b6fef3d', 'badeb6d69ff24084b9d29840d6b3af92', 'True', 'True', 'false', 'false', '510104012000', 4, '东湖街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510104012000', 1, '2021-07-19 11:29:08', NULL, NULL), (529, '', '永兴社区', '8ebbf0d1bbb64bf6996c208f99742b95', '980502924f72415a864c75a61b6fef3d', 'False', 'True', 'false', 'false', '510104018001', 5, '永兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104018001', 1, '2021-07-19 11:29:08', NULL, NULL), (530, '', '翡翠城社区', '4ee14d970ac443dda3437ba3800d9f6c', '980502924f72415a864c75a61b6fef3d', 'False', 'True', 'false', 'false', '510104018002', 5, '翡翠城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104018002', 1, '2021-07-19 11:29:08', NULL, NULL), (531, '', '锦华社区', '888341909e8d446ebf8205499c97b7eb', '980502924f72415a864c75a61b6fef3d', 'False', 'True', 'false', 'false', '510104018003', 5, '锦华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104018003', 1, '2021-07-19 11:29:08', NULL, NULL), (532, '', '河滨社区', '96a77a91a71649b68d89439c5947ce3d', '980502924f72415a864c75a61b6fef3d', 'False', 'True', 'false', 'false', '510104018004', 5, '河滨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104018004', 1, '2021-07-19 11:29:08', NULL, NULL), (533, '', '石牛堰社区', 'b54a1c0473ca4ac6ac80127084ada1e8', '980502924f72415a864c75a61b6fef3d', 'False', 'True', 'false', 'false', '510104018005', 5, '石牛堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104018005', 1, '2021-07-19 11:29:08', NULL, NULL), (534, '', '东怡社区', 'a898e7df067a446595008e0397b64920', '980502924f72415a864c75a61b6fef3d', 'False', 'True', 'false', 'false', '510104018006', 5, '东怡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104018006', 1, '2021-07-19 11:29:08', NULL, NULL), (535, '', '观音桥社区', '8ac897153b784abaabb93060b3d55dd4', '980502924f72415a864c75a61b6fef3d', 'False', 'True', 'false', 'false', '510104018007', 5, '观音桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104018007', 1, '2021-07-19 11:29:08', NULL, NULL), (536, '', '锦华路街道', 'be347da242004aa882e46fd050bb667c', 'badeb6d69ff24084b9d29840d6b3af92', 'True', 'True', 'false', 'false', '510104008000', 4, '锦华路街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510104008000', 1, '2021-07-19 11:29:08', NULL, NULL), (537, '', '凯天社区', '202582da41f14ddf8a09432228f19c90', 'be347da242004aa882e46fd050bb667c', 'False', 'True', 'false', 'false', '510104019001', 5, '凯天社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104019001', 1, '2021-07-19 11:29:09', NULL, NULL), (538, '', '皇经社区', 'bc60623c34bc4e50a5c12bb942b3d2a9', 'be347da242004aa882e46fd050bb667c', 'False', 'True', 'false', 'false', '510104019002', 5, '皇经社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104019002', 1, '2021-07-19 11:29:09', NULL, NULL), (539, '', '琉璃社区', 'e1174c6daca14243bf6838b299884c8f', 'be347da242004aa882e46fd050bb667c', 'False', 'True', 'false', 'false', '510104019003', 5, '琉璃社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104019003', 1, '2021-07-19 11:29:09', NULL, NULL), (540, '', '经天社区', '5e8832dbe9c747d7bda4c47396ed1821', 'be347da242004aa882e46fd050bb667c', 'False', 'True', 'false', 'false', '510104019004', 5, '经天社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104019004', 1, '2021-07-19 11:29:09', NULL, NULL), (541, '', '柳江社区', '574797d5f24d45c4ace4b3c0c090fed1', 'be347da242004aa882e46fd050bb667c', 'False', 'True', 'false', 'false', '510104019005', 5, '柳江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104019005', 1, '2021-07-19 11:29:09', NULL, NULL), (542, '', '金象花园社区', 'a3b70f3443b841cda894381e267ce0ca', 'be347da242004aa882e46fd050bb667c', 'False', 'True', 'false', 'false', '510104019006', 5, '金象花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104019006', 1, '2021-07-19 11:29:09', NULL, NULL), (543, '', '晨辉社区', 'c4462701c0e74af59c138bb48a99bd21', 'be347da242004aa882e46fd050bb667c', 'False', 'True', 'false', 'false', '510104019007', 5, '晨辉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104019007', 1, '2021-07-19 11:29:09', NULL, NULL), (544, '', '柳江街道', 'ebe3b6b76c404aa887ede22db500f931', 'badeb6d69ff24084b9d29840d6b3af92', 'True', 'True', 'false', 'false', '510104015000', 4, '柳江街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510104015000', 1, '2021-07-19 11:29:09', NULL, NULL), (545, '', '包江桥社区', '6346fff0604846deba9bc2e18f54175b', 'ebe3b6b76c404aa887ede22db500f931', 'False', 'True', 'false', 'false', '510104015001', 5, '包江桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104015001', 1, '2021-07-19 11:29:09', NULL, NULL), (546, '', '锦阳社区', '4bf4cebb5ff849789f4ca83faae963be', 'ebe3b6b76c404aa887ede22db500f931', 'False', 'True', 'false', 'false', '510104015002', 5, '锦阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104015002', 1, '2021-07-19 11:29:09', NULL, NULL), (547, '', '锦馨社区', '6996ea26bd3d42c19ccd799ba19d37c9', 'ebe3b6b76c404aa887ede22db500f931', 'False', 'True', 'false', 'false', '510104015003', 5, '锦馨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104015003', 1, '2021-07-19 11:29:09', NULL, NULL), (548, '', '祝国寺社区', '1bf7771119bd4c34a696684102fb96d1', 'ebe3b6b76c404aa887ede22db500f931', 'False', 'True', 'false', 'false', '510104015004', 5, '祝国寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104015004', 1, '2021-07-19 11:29:09', NULL, NULL), (549, '', '锦逸社区', 'ee5ad8a1863b4c97a551adb636474286', 'ebe3b6b76c404aa887ede22db500f931', 'False', 'True', 'false', 'false', '510104015005', 5, '锦逸社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104015005', 1, '2021-07-19 11:29:09', NULL, NULL), (550, '', '棬子树社区', '060026fc9b03444083008db57981f778', 'ebe3b6b76c404aa887ede22db500f931', 'False', 'True', 'false', 'false', '510104015006', 5, '棬子树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104015006', 1, '2021-07-19 11:29:09', NULL, NULL), (551, '', '成龙路街道', '00426c506dd64283a5bcb57a0d64ca7e', 'badeb6d69ff24084b9d29840d6b3af92', 'True', 'True', 'false', 'false', '510104014000', 4, '成龙路街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510104014000', 1, '2021-07-19 11:29:09', NULL, NULL), (552, '', '华新社区', '3620bcae5bde4d4fb53191e81945b368', '00426c506dd64283a5bcb57a0d64ca7e', 'False', 'True', 'false', 'false', '510104014001', 5, '华新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104014001', 1, '2021-07-19 11:29:10', NULL, NULL), (553, '', '水杉社区', '4029ca2857b54001b947b3f71957f515', '00426c506dd64283a5bcb57a0d64ca7e', 'False', 'True', 'false', 'false', '510104014002', 5, '水杉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104014002', 1, '2021-07-19 11:29:10', NULL, NULL), (554, '', '卓锦城社区', '6d458a998ded4744b0b74aa85704812d', '00426c506dd64283a5bcb57a0d64ca7e', 'False', 'True', 'false', 'false', '510104014003', 5, '卓锦城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104014003', 1, '2021-07-19 11:29:10', NULL, NULL), (555, '', '国槐社区', '8e8d67d0b3224dadb37c4e4f0bdcf420', '00426c506dd64283a5bcb57a0d64ca7e', 'False', 'True', 'false', 'false', '510104014004', 5, '国槐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104014004', 1, '2021-07-19 11:29:10', NULL, NULL), (556, '', '香樟社区', 'fd3a93137b7e4fbe85b12f64c475e6a7', '00426c506dd64283a5bcb57a0d64ca7e', 'False', 'True', 'false', 'false', '510104014005', 5, '香樟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104014005', 1, '2021-07-19 11:29:10', NULL, NULL), (557, '', '皇经楼社区', '6d113b269e4f40f3adeb355b96ea5adf', '00426c506dd64283a5bcb57a0d64ca7e', 'False', 'True', 'false', 'false', '510104014006', 5, '皇经楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104014006', 1, '2021-07-19 11:29:10', NULL, NULL), (558, '', '蓝谷地社区', '33db4363ff264308859c2c5d9ae57616', '00426c506dd64283a5bcb57a0d64ca7e', 'False', 'True', 'false', 'false', '510104014007', 5, '蓝谷地社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104014007', 1, '2021-07-19 11:29:10', NULL, NULL), (559, '', '粮丰社区', '0da4e11a41644cb3b78b02cd3b291551', '00426c506dd64283a5bcb57a0d64ca7e', 'False', 'True', 'false', 'false', '510104014008', 5, '粮丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104014008', 1, '2021-07-19 11:29:10', NULL, NULL), (560, '', '枫树社区', '287b259e26914c2c9ade4176b0424e7d', '00426c506dd64283a5bcb57a0d64ca7e', 'False', 'True', 'false', 'false', '510104014009', 5, '枫树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104014009', 1, '2021-07-19 11:29:10', NULL, NULL), (561, '', '三圣街道', '81f1ee0f423f43da8a71eef643627b8a', 'badeb6d69ff24084b9d29840d6b3af92', 'True', 'True', 'false', 'false', '510104016000', 4, '三圣街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510104016000', 1, '2021-07-19 11:29:10', NULL, NULL), (562, '', '幸福社区', '5eb5c7ad7d8a4f77875aa56879829f4d', '81f1ee0f423f43da8a71eef643627b8a', 'False', 'True', 'false', 'false', '510104016001', 5, '幸福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104016001', 1, '2021-07-19 11:29:10', NULL, NULL), (563, '', '红砂社区', '29b5092f498346c8a3648452e056d503', '81f1ee0f423f43da8a71eef643627b8a', 'False', 'True', 'false', 'false', '510104016002', 5, '红砂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104016002', 1, '2021-07-19 11:29:10', NULL, NULL), (564, '', '驸马社区', 'e6cbb63d2cc644e8872ba8f8194757a0', '81f1ee0f423f43da8a71eef643627b8a', 'False', 'True', 'false', 'false', '510104016003', 5, '驸马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104016003', 1, '2021-07-19 11:29:10', NULL, NULL), (565, '', '万福社区', 'd5997f4122e8488587e96b071722918a', '81f1ee0f423f43da8a71eef643627b8a', 'False', 'True', 'false', 'false', '510104016004', 5, '万福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104016004', 1, '2021-07-19 11:29:10', NULL, NULL), (566, '', '江家堰社区', '5f7c88d49974443d8c295992650afe54', '81f1ee0f423f43da8a71eef643627b8a', 'False', 'True', 'false', 'false', '510104016005', 5, '江家堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104016005', 1, '2021-07-19 11:29:10', NULL, NULL), (567, '', '大安桥社区', 'ec22f638afdf4c708fa077a0a60f56a1', '81f1ee0f423f43da8a71eef643627b8a', 'False', 'True', 'false', 'false', '510104016006', 5, '大安桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104016006', 1, '2021-07-19 11:29:11', NULL, NULL), (568, '', '喜树路社区', '28d095d9ceb243a69cd4cbaa5f43c916', '81f1ee0f423f43da8a71eef643627b8a', 'False', 'True', 'false', 'false', '510104016007', 5, '喜树路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104016007', 1, '2021-07-19 11:29:11', NULL, NULL), (569, '', '栀子街社区', 'c81f22d2fa13499089d1081e0ce66cf2', '81f1ee0f423f43da8a71eef643627b8a', 'False', 'True', 'false', 'false', '510104016008', 5, '栀子街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104016008', 1, '2021-07-19 11:29:11', NULL, NULL), (570, '', '海棠路社区', '23da3a1ecb6643c08b09aae2f6a96127', '81f1ee0f423f43da8a71eef643627b8a', 'False', 'True', 'false', 'false', '510104016009', 5, '海棠路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104016009', 1, '2021-07-19 11:29:11', NULL, NULL), (571, '', '白桦林路社区', '3b08a8c4537647bab83df82cd59a45fc', '81f1ee0f423f43da8a71eef643627b8a', 'False', 'True', 'false', 'false', '510104016010', 5, '白桦林路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510104016010', 1, '2021-07-19 11:29:11', NULL, NULL), (572, '', '金牛区', 'c2b2d00d6ee74e569ca68615f41fc984', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510106000000', 3, '金牛区', 'cdsjnq.sczwfw.gov.cn', 1, '2021-07-19 11:29:11', NULL, NULL), (573, '', '金泉街道', '532256af35714bbdba59513b100ce9a5', 'c2b2d00d6ee74e569ca68615f41fc984', 'True', 'True', 'false', 'false', '510106250000', 4, '金泉街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510106250000', 1, '2021-07-19 11:29:11', NULL, NULL), (574, '', '迎宾路社区', '7ceea387ca7c44d18c47e045ca3845aa', '532256af35714bbdba59513b100ce9a5', 'False', 'True', 'false', 'false', '510106040002', 5, '迎宾路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106040002', 1, '2021-07-19 11:29:11', NULL, NULL), (575, '', '高家社区', 'f7ed5e22e5214e61841da0e819a7b352', '532256af35714bbdba59513b100ce9a5', 'False', 'True', 'false', 'false', '510106040003', 5, '高家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106040003', 1, '2021-07-19 11:29:11', NULL, NULL), (576, '', '淳风桥社区', '9b5645011e2646569fd965a53b5febae', '532256af35714bbdba59513b100ce9a5', 'False', 'True', 'false', 'false', '510106040004', 5, '淳风桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106040004', 1, '2021-07-19 11:29:11', NULL, NULL), (577, '', '清水河社区', '12d1f8f0a34a43698e784fdbf86f0899', '532256af35714bbdba59513b100ce9a5', 'False', 'True', 'false', 'false', '510106040005', 5, '清水河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106040005', 1, '2021-07-19 11:29:11', NULL, NULL), (578, '', '郞家社区', '911e0d0000f9442fb342b6408f2daa8a', '532256af35714bbdba59513b100ce9a5', 'False', 'True', 'false', 'false', '510106040007', 5, '郞家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106040007', 1, '2021-07-19 11:29:11', NULL, NULL), (579, '', '互助社区', 'e47e8d3590064f5e9ffd6cfafd8ffe03', '532256af35714bbdba59513b100ce9a5', 'False', 'True', 'false', 'false', '510106040015', 5, '互助社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106040015', 1, '2021-07-19 11:29:11', NULL, NULL), (580, '', '何家社区', 'e8f3a7eef2ac44538352965a4487cdab', '532256af35714bbdba59513b100ce9a5', 'False', 'True', 'false', 'false', '510106040016', 5, '何家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106040016', 1, '2021-07-19 11:29:11', NULL, NULL), (581, '', '金桥社区', 'd4d3f07a3b3e4896b22a44378b6ef02a', '532256af35714bbdba59513b100ce9a5', 'False', 'True', 'false', 'false', '510106040018', 5, '金桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106040018', 1, '2021-07-19 11:29:11', NULL, NULL), (582, '', '金科苑社区', '80304fc059614def870954c74486a0e2', '532256af35714bbdba59513b100ce9a5', 'False', 'True', 'false', 'false', '510106040019', 5, '金科苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106040019', 1, '2021-07-19 11:29:11', NULL, NULL), (583, '', '蜀西社区', '1371ff899eef4ddc9c068f0ab4702178', '532256af35714bbdba59513b100ce9a5', 'False', 'True', 'false', 'false', '510106040021', 5, '蜀西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106040021', 1, '2021-07-19 11:29:11', NULL, NULL), (584, '', '天回镇街道', '5ad0019281dc41c78038da3bae82b9ca', 'c2b2d00d6ee74e569ca68615f41fc984', 'True', 'True', 'false', 'false', '510106342000', 4, '天回镇街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510106342000', 1, '2021-07-19 11:29:12', NULL, NULL), (585, '', '玉垒社区', '8e222f9a605e4909877b0c656b6ed5c2', '5ad0019281dc41c78038da3bae82b9ca', 'False', 'True', 'false', 'false', '510106042001', 5, '玉垒社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106042001', 1, '2021-07-19 11:29:12', NULL, NULL), (586, '', '金华社区', '77d816b364414de98f6e2e8a2b257411', '5ad0019281dc41c78038da3bae82b9ca', 'False', 'True', 'false', 'false', '510106042002', 5, '金华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106042002', 1, '2021-07-19 11:29:12', NULL, NULL), (587, '', '大湾社区', '2b9aedd26b794c809cd413d2000ad6d0', '5ad0019281dc41c78038da3bae82b9ca', 'False', 'True', 'false', 'false', '510106042004', 5, '大湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106042004', 1, '2021-07-19 11:29:12', NULL, NULL), (588, '', '杜家碾社区', '176a194ad0e94b179c0d65c038790283', '5ad0019281dc41c78038da3bae82b9ca', 'False', 'True', 'false', 'false', '510106042005', 5, '杜家碾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106042005', 1, '2021-07-19 11:29:12', NULL, NULL), (589, '', '太华社区', '59d1af33e06946a7b57f5495158c7aa5', '5ad0019281dc41c78038da3bae82b9ca', 'False', 'True', 'false', 'false', '510106042006', 5, '太华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106042006', 1, '2021-07-19 11:29:12', NULL, NULL), (590, '', '余家巷社区', 'b51e864147fc4e268227684958783664', '5ad0019281dc41c78038da3bae82b9ca', 'False', 'True', 'false', 'false', '510106042007', 5, '余家巷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106042007', 1, '2021-07-19 11:29:12', NULL, NULL), (591, '', '宝年社区', '7a46679fd50e4942ab2fadf5b408f9bd', '5ad0019281dc41c78038da3bae82b9ca', 'False', 'True', 'false', 'false', '510106042008', 5, '宝年社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106042008', 1, '2021-07-19 11:29:12', NULL, NULL), (592, '', '木龙湾社区', 'aa098c27f887495f9585749733613b77', '5ad0019281dc41c78038da3bae82b9ca', 'False', 'True', 'false', 'false', '510106042009', 5, '木龙湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106042009', 1, '2021-07-19 11:29:12', NULL, NULL), (593, '', '甘油社区', 'e16c4d62e8074810a3f38966b6e08aaf', '5ad0019281dc41c78038da3bae82b9ca', 'False', 'True', 'false', 'false', '510106042010', 5, '甘油社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106042010', 1, '2021-07-19 11:29:12', NULL, NULL), (594, '', '车站社区', '8a5594ebd8b344ec99ec342b1806f428', '5ad0019281dc41c78038da3bae82b9ca', 'False', 'True', 'false', 'false', '510106042011', 5, '车站社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106042011', 1, '2021-07-19 11:29:12', NULL, NULL), (595, '', '红星社区', '544f4086ff2d45aeb6ebc64f23ce9a07', '5ad0019281dc41c78038da3bae82b9ca', 'False', 'True', 'false', 'false', '510106042012', 5, '红星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106042012', 1, '2021-07-19 11:29:12', NULL, NULL), (596, '', '土门社区', 'fd5e6cef70b94e79984b4babe7205164', '5ad0019281dc41c78038da3bae82b9ca', 'False', 'True', 'false', 'false', '510106042013', 5, '土门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106042013', 1, '2021-07-19 11:29:12', NULL, NULL), (597, '', '长胜社区', 'b465142df424425e8cadf4f8d711815b', '5ad0019281dc41c78038da3bae82b9ca', 'False', 'True', 'false', 'false', '510106042014', 5, '长胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106042014', 1, '2021-07-19 11:29:12', NULL, NULL), (598, '', '银杏园社区', '2fb110530c6b44aebef8230689dcd929', '5ad0019281dc41c78038da3bae82b9ca', 'False', 'True', 'false', 'false', '510106042015', 5, '银杏园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106042015', 1, '2021-07-19 11:29:12', NULL, NULL), (599, '', '白塔社区', 'f9425d68a4e44c24972eefe5000bb74c', '5ad0019281dc41c78038da3bae82b9ca', 'False', 'True', 'false', 'false', '510106042016', 5, '白塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106042016', 1, '2021-07-19 11:29:12', NULL, NULL), (600, '', '万石社区', '043420e6f5384e42b46faeb2c5e2b0ca', '5ad0019281dc41c78038da3bae82b9ca', 'False', 'True', 'false', 'false', '510106042018', 5, '万石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106042018', 1, '2021-07-19 11:29:12', NULL, NULL), (601, '', '九里堤街道', 'a179b9f1b1184ecab5f2456e23c57756', 'c2b2d00d6ee74e569ca68615f41fc984', 'True', 'True', 'false', 'false', '510106444000', 4, '九里堤街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510106444000', 1, '2021-07-19 11:29:13', NULL, NULL), (602, '', '交大社区', '09658d0026aa4b3fb8fc9965aeac25e9', 'a179b9f1b1184ecab5f2456e23c57756', 'False', 'True', 'false', 'false', '510106035007', 5, '交大社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106035007', 1, '2021-07-19 11:29:13', NULL, NULL), (603, '', '康禧社区', '0ac4ad2ba85f4804812728c57d810c07', 'a179b9f1b1184ecab5f2456e23c57756', 'False', 'True', 'false', 'false', '510106035008', 5, '康禧社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106035008', 1, '2021-07-19 11:29:13', NULL, NULL), (604, '', '北路社区', 'bcce12816755414a89078629d894a66a', 'a179b9f1b1184ecab5f2456e23c57756', 'False', 'True', 'false', 'false', '510106035010', 5, '北路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106035010', 1, '2021-07-19 11:29:13', NULL, NULL), (605, '', '五块石街道', 'f3b6ab188b4442078162321a617c0262', 'c2b2d00d6ee74e569ca68615f41fc984', 'True', 'True', 'false', 'false', '510106463000', 4, '五块石街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510106463000', 1, '2021-07-19 11:29:13', NULL, NULL), (606, '', '赛云台社区', '927b9965123e46e5b6a8ff3f9b68ca81', 'f3b6ab188b4442078162321a617c0262', 'False', 'True', 'false', 'false', '510106036001', 5, '赛云台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106036001', 1, '2021-07-19 11:29:13', NULL, NULL), (607, '', '五福社区', 'b891dd4823494b60b00a24bf5798d15f', 'f3b6ab188b4442078162321a617c0262', 'False', 'True', 'false', 'false', '510106036002', 5, '五福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106036002', 1, '2021-07-19 11:29:13', NULL, NULL), (608, '', '福源社区', '1c601c1a58c14431b8825229f46182d0', 'f3b6ab188b4442078162321a617c0262', 'False', 'True', 'false', 'false', '510106036003', 5, '福源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106036003', 1, '2021-07-19 11:29:13', NULL, NULL), (609, '', '抚琴街道', '950afbe28fe743f1824115f28c512d48', 'c2b2d00d6ee74e569ca68615f41fc984', 'True', 'True', 'false', 'false', '510106488000', 4, '抚琴街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510106488000', 1, '2021-07-19 11:29:13', NULL, NULL), (610, '', '金鱼街社区', '95ed435ede3142ba80f5c88be82428e8', '950afbe28fe743f1824115f28c512d48', 'False', 'True', 'false', 'false', '510106032003', 5, '金鱼街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106032003', 1, '2021-07-19 11:29:13', NULL, NULL), (611, '', '圃园路社区', '28997dc27f6644b6bd8474b08419ce67', '950afbe28fe743f1824115f28c512d48', 'False', 'True', 'false', 'false', '510106032005', 5, '圃园路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106032005', 1, '2021-07-19 11:29:13', NULL, NULL), (612, '', '铁路新村社区', 'c0bde12a48a045acb8d388ae68a352c0', '950afbe28fe743f1824115f28c512d48', 'False', 'True', 'false', 'false', '510106032009', 5, '铁路新村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106032009', 1, '2021-07-19 11:29:13', NULL, NULL), (613, '', '西北街社区', 'aeaae17a98254ab08278023c11fe3e7f', '950afbe28fe743f1824115f28c512d48', 'False', 'True', 'false', 'false', '510106032001', 5, '西北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106032001', 1, '2021-07-19 11:29:13', NULL, NULL), (614, '', '西南街社区', 'a0e6a2fcc6474e14935c2148d44a2a4c', '950afbe28fe743f1824115f28c512d48', 'False', 'True', 'false', 'false', '510106032002', 5, '西南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106032002', 1, '2021-07-19 11:29:13', NULL, NULL), (615, '', '金沙路社区', 'bbf6e75cb8504077acd7a2b56b477d7c', '950afbe28fe743f1824115f28c512d48', 'False', 'True', 'false', 'false', '510106032011', 5, '金沙路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106032011', 1, '2021-07-19 11:29:13', NULL, NULL), (616, '', '光荣小区社区', 'c8e77fda7e2f4858841d1991fc5fc8d2', '950afbe28fe743f1824115f28c512d48', 'False', 'True', 'false', 'false', '510106032012', 5, '光荣小区社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106032012', 1, '2021-07-19 11:29:13', NULL, NULL), (617, '', '驷马桥街道', '35cbb7a6024a476aae662d106adca8fb', 'c2b2d00d6ee74e569ca68615f41fc984', 'True', 'True', 'false', 'false', '510106533000', 4, '驷马桥街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510106533000', 1, '2021-07-19 11:29:14', NULL, NULL), (618, '', '树蓓街社区', 'e9d546eb30a5492ba8b39f7153faf9a0', '35cbb7a6024a476aae662d106adca8fb', 'False', 'True', 'false', 'false', '510106030002', 5, '树蓓街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106030002', 1, '2021-07-19 11:29:14', NULL, NULL), (619, '', '高笋塘社区', 'f04a233da7924e86baa9843536604a14', '35cbb7a6024a476aae662d106adca8fb', 'False', 'True', 'false', 'false', '510106030003', 5, '高笋塘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106030003', 1, '2021-07-19 11:29:14', NULL, NULL), (620, '', '红花社区', '4de6daab61084787a7533dbee6856c42', '35cbb7a6024a476aae662d106adca8fb', 'False', 'True', 'false', 'false', '510106030004', 5, '红花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106030004', 1, '2021-07-19 11:29:14', NULL, NULL), (621, '', '工人村社区', '0bf68d91b9a7494fa2c369d37beab614', '35cbb7a6024a476aae662d106adca8fb', 'False', 'True', 'false', 'false', '510106030005', 5, '工人村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106030005', 1, '2021-07-19 11:29:14', NULL, NULL), (622, '', '马鞍社区', 'd0b0ae4de5bb47119940255951b435b5', '35cbb7a6024a476aae662d106adca8fb', 'False', 'True', 'false', 'false', '510106030007', 5, '马鞍社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106030007', 1, '2021-07-19 11:29:14', NULL, NULL), (623, '', '曹家巷社区', '815906614b2447bba82edcf6f2173167', '35cbb7a6024a476aae662d106adca8fb', 'False', 'True', 'false', 'false', '510106030008', 5, '曹家巷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106030008', 1, '2021-07-19 11:29:14', NULL, NULL), (624, '', '西华街道', 'c70cbd786de541468ca1e7b56016ad20', 'c2b2d00d6ee74e569ca68615f41fc984', 'True', 'True', 'false', 'false', '510106544000', 4, '西华街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510106544000', 1, '2021-07-19 11:29:14', NULL, NULL), (625, '', '兴盛社区', '6f2e991c52a84396a1afee30b37d5fcc', 'c70cbd786de541468ca1e7b56016ad20', 'False', 'True', 'false', 'false', '510106025001', 5, '兴盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106025001', 1, '2021-07-19 11:29:14', NULL, NULL), (626, '', '金牛社区', '81071ea80fc8487b939c582acca340a9', 'c70cbd786de541468ca1e7b56016ad20', 'False', 'True', 'false', 'false', '510106025002', 5, '金牛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106025002', 1, '2021-07-19 11:29:14', NULL, NULL), (627, '', '跃进社区', '8f9cfb8e5e4942619350e2d69a19fdec', 'c70cbd786de541468ca1e7b56016ad20', 'False', 'True', 'false', 'false', '510106025003', 5, '跃进社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106025003', 1, '2021-07-19 11:29:14', NULL, NULL), (628, '', '青杠社区', '0029384207c54f28b860cec67469a752', 'c70cbd786de541468ca1e7b56016ad20', 'False', 'True', 'false', 'false', '510106025004', 5, '青杠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106025004', 1, '2021-07-19 11:29:14', NULL, NULL), (629, '', '涧漕社区', 'f8a10be5113c437aabc1f2cf81481350', 'c70cbd786de541468ca1e7b56016ad20', 'False', 'True', 'false', 'false', '510106025005', 5, '涧漕社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106025005', 1, '2021-07-19 11:29:14', NULL, NULL), (630, '', '兴瓦社区', 'ac2c758d3029408484358c1a8bcf19ee', 'c70cbd786de541468ca1e7b56016ad20', 'False', 'True', 'false', 'false', '510106025006', 5, '兴瓦社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106025006', 1, '2021-07-19 11:29:14', NULL, NULL), (631, '', '府河新居社区', 'a354983f73fc4195afa41ef2b98d35c5', 'c70cbd786de541468ca1e7b56016ad20', 'False', 'True', 'false', 'false', '510106025007', 5, '府河新居社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106025007', 1, '2021-07-19 11:29:14', NULL, NULL), (632, '', '富家社区', 'b3a58f3a13794278885c4d97d2038af4', 'c70cbd786de541468ca1e7b56016ad20', 'False', 'True', 'false', 'false', '510106025008', 5, '富家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106025008', 1, '2021-07-19 11:29:14', NULL, NULL), (633, '', '侯家社区', '8801e73be37045ab9699b23f82df371f', 'c70cbd786de541468ca1e7b56016ad20', 'False', 'True', 'false', 'false', '510106025009', 5, '侯家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106025009', 1, '2021-07-19 11:29:14', NULL, NULL), (634, '', '金罗社区', '56f725ab24734ea0b8cf2680e0a01cde', 'c70cbd786de541468ca1e7b56016ad20', 'False', 'True', 'false', 'false', '510106025010', 5, '金罗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106025010', 1, '2021-07-19 11:29:15', NULL, NULL), (635, '', '沙河源街道', 'c3bd21692782445c8c3c9f880e6719a1', 'c2b2d00d6ee74e569ca68615f41fc984', 'True', 'True', 'false', 'false', '510106618000', 4, '沙河源街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510106618000', 1, '2021-07-19 11:29:15', NULL, NULL), (636, '', '洞子口社区', 'ea0f8453d824489c9b2bdc24ca5531aa', 'c3bd21692782445c8c3c9f880e6719a1', 'False', 'True', 'false', 'false', '510106041001', 5, '洞子口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106041001', 1, '2021-07-19 11:29:15', NULL, NULL), (637, '', '汇泽社区', '99a213d99d6d497a824db789f9f36ce0', 'c3bd21692782445c8c3c9f880e6719a1', 'False', 'True', 'false', 'false', '510106041002', 5, '汇泽社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106041002', 1, '2021-07-19 11:29:15', NULL, NULL), (638, '', '古柏社区', 'e13cb049719c44eebc980852f0c1b5cf', 'c3bd21692782445c8c3c9f880e6719a1', 'False', 'True', 'false', 'false', '510106041003', 5, '古柏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106041003', 1, '2021-07-19 11:29:15', NULL, NULL), (639, '', '新桥社区', '25e650b2d8b947aba1db4470a495ff2d', 'c3bd21692782445c8c3c9f880e6719a1', 'False', 'True', 'false', 'false', '510106041004', 5, '新桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106041004', 1, '2021-07-19 11:29:15', NULL, NULL), (640, '', '陆家桥社区', 'e2b61f65b1e64b09b137f22f0f17eaea', 'c3bd21692782445c8c3c9f880e6719a1', 'False', 'True', 'false', 'false', '510106041005', 5, '陆家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106041005', 1, '2021-07-19 11:29:15', NULL, NULL), (641, '', '友联社区', '427d8a7f66ba46d9927c177ee3cc2f68', 'c3bd21692782445c8c3c9f880e6719a1', 'False', 'True', 'false', 'false', '510106041006', 5, '友联社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106041006', 1, '2021-07-19 11:29:15', NULL, NULL), (642, '', '踏水桥社区', 'c740abfe67db452b8130eaed60233d9f', 'c3bd21692782445c8c3c9f880e6719a1', 'False', 'True', 'false', 'false', '510106041007', 5, '踏水桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106041007', 1, '2021-07-19 11:29:15', NULL, NULL), (643, '', '王贾桥社区', 'afb2f1f2150d4618b5ddef518d2f8756', 'c3bd21692782445c8c3c9f880e6719a1', 'False', 'True', 'false', 'false', '510106041008', 5, '王贾桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106041008', 1, '2021-07-19 11:29:15', NULL, NULL), (644, '', '长久社区', 'a19cb28c623d45efad9f2587454464b4', 'c3bd21692782445c8c3c9f880e6719a1', 'False', 'True', 'false', 'false', '510106041010', 5, '长久社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106041010', 1, '2021-07-19 11:29:15', NULL, NULL), (645, '', '西安路街道', 'ed84d41b690c44e49acda5d6abc39ff4', 'c2b2d00d6ee74e569ca68615f41fc984', 'True', 'True', 'false', 'false', '510106675000', 4, '西安路街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510106675000', 1, '2021-07-19 11:29:15', NULL, NULL), (646, '', '青羊北路社区', '1a58ff95a73c4b01a20fd55f0d619a83', 'ed84d41b690c44e49acda5d6abc39ff4', 'False', 'True', 'false', 'false', '510106024010', 5, '青羊北路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106024010', 1, '2021-07-19 11:29:15', NULL, NULL), (647, '', '枣子巷社区', '99d7875ef124453cbba2fed8106a8c3a', 'ed84d41b690c44e49acda5d6abc39ff4', 'False', 'True', 'false', 'false', '510106024011', 5, '枣子巷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106024011', 1, '2021-07-19 11:29:15', NULL, NULL), (648, '', '永陵社区', '3427b90c22e84516a9a0d4f93f595be2', 'ed84d41b690c44e49acda5d6abc39ff4', 'False', 'True', 'false', 'false', '510106024012', 5, '永陵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106024012', 1, '2021-07-19 11:29:15', NULL, NULL), (649, '', '白果林社区', 'c152f230c04743d8937a696c045cf8bc', 'ed84d41b690c44e49acda5d6abc39ff4', 'False', 'True', 'false', 'false', '510106024013', 5, '白果林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106024013', 1, '2021-07-19 11:29:15', NULL, NULL), (650, '', '金琴南路社区', '75a99c4b793341ceac65cf34b4214376', 'ed84d41b690c44e49acda5d6abc39ff4', 'False', 'True', 'false', 'false', '510106024014', 5, '金琴南路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106024014', 1, '2021-07-19 11:29:15', NULL, NULL), (651, '', '马家花园社区', '65a72fe86f634bf0b74e8ff4ef06b4da', 'ed84d41b690c44e49acda5d6abc39ff4', 'False', 'True', 'false', 'false', '510106024015', 5, '马家花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106024015', 1, '2021-07-19 11:29:16', NULL, NULL), (652, '', '花牌坊社区', 'b8c6eb465f694567b2859c5c672589db', 'ed84d41b690c44e49acda5d6abc39ff4', 'False', 'True', 'false', 'false', '510106024016', 5, '花牌坊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106024016', 1, '2021-07-19 11:29:16', NULL, NULL), (653, '', '茶店子街道', 'd9046bfdcdde4778adb4b21839eb4b22', 'c2b2d00d6ee74e569ca68615f41fc984', 'True', 'True', 'false', 'false', '510106812000', 4, '茶店子街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510106812000', 1, '2021-07-19 11:29:16', NULL, NULL), (654, '', '奥林社区', 'd58b714fc0794b2a8bf7b99d2117bcff', 'd9046bfdcdde4778adb4b21839eb4b22', 'False', 'True', 'false', 'false', '510106031008', 5, '奥林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106031008', 1, '2021-07-19 11:29:16', NULL, NULL), (655, '', '化成社区', 'aa46e8b02513491b8753bda06cebb4be', 'd9046bfdcdde4778adb4b21839eb4b22', 'False', 'True', 'false', 'false', '510106031009', 5, '化成社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106031009', 1, '2021-07-19 11:29:16', NULL, NULL), (656, '', '育苗路社区', 'd9dd6edd9f894187b6fa3a46d2f3b702', 'd9046bfdcdde4778adb4b21839eb4b22', 'False', 'True', 'false', 'false', '510106031010', 5, '育苗路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106031010', 1, '2021-07-19 11:29:16', NULL, NULL), (657, '', '锦城社区', '187acca5cbe044cba6c9aefdff96674b', 'd9046bfdcdde4778adb4b21839eb4b22', 'False', 'True', 'false', 'false', '510106031011', 5, '锦城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106031011', 1, '2021-07-19 11:29:16', NULL, NULL), (658, '', '同善社区', 'ddba9f1f104947aea42ad30705067398', 'd9046bfdcdde4778adb4b21839eb4b22', 'False', 'True', 'false', 'false', '510106031012', 5, '同善社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106031012', 1, '2021-07-19 11:29:16', NULL, NULL), (659, '', '育新社区', '354fc6a30cda49adae2372419469f411', 'd9046bfdcdde4778adb4b21839eb4b22', 'False', 'True', 'false', 'false', '510106031013', 5, '育新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106031013', 1, '2021-07-19 11:29:16', NULL, NULL), (660, '', '黄忠社区', '33e87fa5a9b54c6c90b9845a2403650d', 'd9046bfdcdde4778adb4b21839eb4b22', 'False', 'True', 'false', 'false', '510106031014', 5, '黄忠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106031014', 1, '2021-07-19 11:29:16', NULL, NULL), (661, '', '营门口街道', '4bc8d89ca9d44387a67b7eb32645636e', 'c2b2d00d6ee74e569ca68615f41fc984', 'True', 'True', 'false', 'false', '510106828000', 4, '营门口街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510106828000', 1, '2021-07-19 11:29:16', NULL, NULL), (662, '', '银沙社区', 'bb858b24dbf1444390ed93615f6505a0', '4bc8d89ca9d44387a67b7eb32645636e', 'False', 'True', 'false', 'false', '510106038001', 5, '银沙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106038001', 1, '2021-07-19 11:29:16', NULL, NULL), (663, '', '银桂社区', 'f7854c8970814c908112a82c3d4d45a3', '4bc8d89ca9d44387a67b7eb32645636e', 'False', 'True', 'false', 'false', '510106038003', 5, '银桂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106038003', 1, '2021-07-19 11:29:16', NULL, NULL), (664, '', '长庆社区', '899e66124a50452dbeeee5a8294fa0de', '4bc8d89ca9d44387a67b7eb32645636e', 'False', 'True', 'false', 'false', '510106038004', 5, '长庆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106038004', 1, '2021-07-19 11:29:16', NULL, NULL), (665, '', '花照壁社区', 'cf884b93986643598b280229fe76d72b', '4bc8d89ca9d44387a67b7eb32645636e', 'False', 'True', 'false', 'false', '510106038005', 5, '花照壁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106038005', 1, '2021-07-19 11:29:16', NULL, NULL), (666, '', '茶店社区', '15cfb1df30d34809b50fc285f7863a92', '4bc8d89ca9d44387a67b7eb32645636e', 'False', 'True', 'false', 'false', '510106038006', 5, '茶店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106038006', 1, '2021-07-19 11:29:16', NULL, NULL), (667, '', '凤凰山街道', '909daaba814c46c4a7f06b466a943f41', 'c2b2d00d6ee74e569ca68615f41fc984', 'True', 'True', 'false', 'false', '510106856000', 4, '凤凰山街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510106856000', 1, '2021-07-19 11:29:17', NULL, NULL), (668, '', '金韦社区', '633ceadac40d4222b7ba8f512aac119d', '909daaba814c46c4a7f06b466a943f41', 'False', 'True', 'false', 'false', '510106043001', 5, '金韦社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106043001', 1, '2021-07-19 11:29:17', NULL, NULL), (669, '', '凤翔社区', '998864e99d994374bc3bd9cc4aaf0185', '909daaba814c46c4a7f06b466a943f41', 'False', 'True', 'false', 'false', '510106043002', 5, '凤翔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106043002', 1, '2021-07-19 11:29:17', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (670, '', '荷花池街道', '0eca123cba874200871b906716834cd1', 'c2b2d00d6ee74e569ca68615f41fc984', 'True', 'True', 'false', 'false', '510106929000', 4, '荷花池街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510106929000', 1, '2021-07-19 11:29:17', NULL, NULL), (671, '', '北站社区', '3d07971335004ab08afc4a5f5007dc7b', '0eca123cba874200871b906716834cd1', 'False', 'True', 'false', 'false', '510106027001', 5, '北站社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106027001', 1, '2021-07-19 11:29:17', NULL, NULL), (672, '', '互助路社区', 'bf84c4d4aa714324a6b31fb06b06a60b', '0eca123cba874200871b906716834cd1', 'False', 'True', 'false', 'false', '510106027004', 5, '互助路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106027004', 1, '2021-07-19 11:29:17', NULL, NULL), (673, '', '五丁社区', '315e070bc9a74283986fba2ae68f815a', '0eca123cba874200871b906716834cd1', 'False', 'True', 'false', 'false', '510106027002', 5, '五丁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106027002', 1, '2021-07-19 11:29:17', NULL, NULL), (674, '', '城隍庙社区', '4dcc816b303746cd84ff0926653d00af', '0eca123cba874200871b906716834cd1', 'False', 'True', 'false', 'false', '510106027003', 5, '城隍庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106027003', 1, '2021-07-19 11:29:17', NULL, NULL), (675, '', '荷花池社区', '23baed9d4fa44dc099e7c0b2671335af', '0eca123cba874200871b906716834cd1', 'False', 'True', 'false', 'false', '510106027010', 5, '荷花池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510106027010', 1, '2021-07-19 11:29:17', NULL, NULL), (676, '', '武侯区', '5b9c42a28f80417c94ce56d90de17b93', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510107000000', 3, '武侯区', 'cdswhq.sczwfw.gov.cn', 1, '2021-07-19 11:29:17', NULL, NULL), (677, '', '簇锦街道', '28d35c39ec9b4f2990e3ad2e2f2fcb7f', '5b9c42a28f80417c94ce56d90de17b93', 'True', 'True', 'false', 'false', '510107000365', 4, '簇锦街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510107000365', 1, '2021-07-19 11:29:17', NULL, NULL), (678, '', '高碑社区', 'f2ddc3b4b6cf4d6f83ed34dd68d20c3e', '28d35c39ec9b4f2990e3ad2e2f2fcb7f', 'False', 'True', 'false', 'false', '510107000036', 5, '高碑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000036', 1, '2021-07-19 11:29:17', NULL, NULL), (679, '', '铁佛社区', 'a679fa245bcc476a934dc9b787c07ada', '28d35c39ec9b4f2990e3ad2e2f2fcb7f', 'False', 'True', 'false', 'false', '510107000189', 5, '铁佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000189', 1, '2021-07-19 11:29:17', NULL, NULL), (680, '', '团结社区', '154826b137694e6caaaf69af64a9c638', '28d35c39ec9b4f2990e3ad2e2f2fcb7f', 'False', 'True', 'false', 'false', '510107000393', 5, '团结社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000393', 1, '2021-07-19 11:29:17', NULL, NULL), (681, '', '永兴社区', '2bb0eaa7b888485880e2b972921fab05', '28d35c39ec9b4f2990e3ad2e2f2fcb7f', 'False', 'True', 'false', 'false', '510107000709', 5, '永兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000709', 1, '2021-07-19 11:29:17', NULL, NULL), (682, '', '顺和社区', 'e278fa9b45574bf28f539a3f963b1284', '28d35c39ec9b4f2990e3ad2e2f2fcb7f', 'False', 'True', 'false', 'false', '510107000867', 5, '顺和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000867', 1, '2021-07-19 11:29:17', NULL, NULL), (683, '', '顺江社区', '05c60fa6e82f41a9b9d9867149927cd7', '28d35c39ec9b4f2990e3ad2e2f2fcb7f', 'False', 'True', 'false', 'false', '510107000960', 5, '顺江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000960', 1, '2021-07-19 11:29:17', NULL, NULL), (684, '', '望江路街道', 'b7902f7692aa420b8326f30f7bf0d5f5', '5b9c42a28f80417c94ce56d90de17b93', 'True', 'True', 'false', 'false', '510107000507', 4, '望江路街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510107000507', 1, '2021-07-19 11:29:18', NULL, NULL), (685, '', '棕东社区', '2bffc1106aad46fea4940dc004ac1d5f', 'b7902f7692aa420b8326f30f7bf0d5f5', 'False', 'True', 'false', 'false', '510107000288', 5, '棕东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000288', 1, '2021-07-19 11:29:18', NULL, NULL), (686, '', '新生路社区', 'd0d19417f9cb4cc6a5bc4e8e2e5bd66e', 'b7902f7692aa420b8326f30f7bf0d5f5', 'False', 'True', 'false', 'false', '510107000382', 5, '新生路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000382', 1, '2021-07-19 11:29:18', NULL, NULL), (687, '', '老马路社区', '4b9c64899a514359a832c3a63a516008', 'b7902f7692aa420b8326f30f7bf0d5f5', 'False', 'True', 'false', 'false', '510107000465', 5, '老马路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000465', 1, '2021-07-19 11:29:18', NULL, NULL), (688, '', '郭家桥社区', 'fb021175181548948806f85b0ada5a4b', 'b7902f7692aa420b8326f30f7bf0d5f5', 'False', 'True', 'false', 'false', '510107000860', 5, '郭家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000860', 1, '2021-07-19 11:29:18', NULL, NULL), (689, '', '共和路社区', '8a2f78086b904933b923cb1f4568b0e0', 'b7902f7692aa420b8326f30f7bf0d5f5', 'False', 'True', 'false', 'false', '510107000907', 5, '共和路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000907', 1, '2021-07-19 11:29:18', NULL, NULL), (690, '', '玉林街道', 'dc7f25b06ce8421bbd3d459a3bbb3ca5', '5b9c42a28f80417c94ce56d90de17b93', 'True', 'True', 'false', 'false', '510107486000', 4, '玉林街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510107486000', 1, '2021-07-19 11:29:18', NULL, NULL), (691, '', '玉林北路社区', 'f4a21375b0a04c04968c74ca0b0b7b8b', 'dc7f25b06ce8421bbd3d459a3bbb3ca5', 'False', 'True', 'false', 'false', '510107000064', 5, '玉林北路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000064', 1, '2021-07-19 11:29:18', NULL, NULL), (692, '', '电信路社区', '773dd88f9a4943fe85b08121d3f39387', 'dc7f25b06ce8421bbd3d459a3bbb3ca5', 'False', 'True', 'false', 'false', '510107000708', 5, '电信路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000708', 1, '2021-07-19 11:29:18', NULL, NULL), (693, '', '倪家桥社区', 'bc14804cb9314e43b021395aa6e11f82', 'dc7f25b06ce8421bbd3d459a3bbb3ca5', 'False', 'True', 'false', 'false', '510107000728', 5, '倪家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000728', 1, '2021-07-19 11:29:18', NULL, NULL), (694, '', '九如村社区', '67f8b8aa77ac44ddbfe23c76d9c8d778', 'dc7f25b06ce8421bbd3d459a3bbb3ca5', 'False', 'True', 'false', 'false', '510107000834', 5, '九如村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000834', 1, '2021-07-19 11:29:18', NULL, NULL), (695, '', '黉门街社区', 'eb1c1ee72b5c4567b9091e88a79ea304', 'dc7f25b06ce8421bbd3d459a3bbb3ca5', 'False', 'True', 'false', 'false', '510107000872', 5, '黉门街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000872', 1, '2021-07-19 11:29:18', NULL, NULL), (696, '', '玉林东路社区', '6868172baa8142f3952584a628115ef1', 'dc7f25b06ce8421bbd3d459a3bbb3ca5', 'False', 'True', 'false', 'false', '510107000955', 5, '玉林东路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000955', 1, '2021-07-19 11:29:18', NULL, NULL), (697, '', '棕南社区', '5f63f71f853346e28dcbb7f6744a2cc0', 'dc7f25b06ce8421bbd3d459a3bbb3ca5', 'False', 'True', 'false', 'false', '510107005009', 5, '棕南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107005009', 1, '2021-07-19 11:29:18', NULL, NULL), (698, '', '棕北社区', '2d2718780cb642f4a97c26e91a5cc487', 'dc7f25b06ce8421bbd3d459a3bbb3ca5', 'False', 'True', 'false', 'false', '510107005010', 5, '棕北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107005010', 1, '2021-07-19 11:29:18', NULL, NULL), (699, '', '跳伞塔社区', 'eaa2a6f5d66147c89bb3a192cec65df6', 'dc7f25b06ce8421bbd3d459a3bbb3ca5', 'False', 'True', 'false', 'false', '510107005011', 5, '跳伞塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107005011', 1, '2021-07-19 11:29:18', NULL, NULL), (700, '', '南虹村社区', '7750d9f065504713a617e92005ea179a', 'dc7f25b06ce8421bbd3d459a3bbb3ca5', 'False', 'True', 'false', 'false', '510107005013', 5, '南虹村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107005013', 1, '2021-07-19 11:29:19', NULL, NULL), (701, '', '新南路社区', '7020191448da4e92a75087d63acf2502', 'dc7f25b06ce8421bbd3d459a3bbb3ca5', 'False', 'True', 'false', 'false', '510107005015', 5, '新南路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107005015', 1, '2021-07-19 11:29:19', NULL, NULL), (702, '', '簇桥街道', '4e03f1d56b744070a0cff27005d06c35', '5b9c42a28f80417c94ce56d90de17b93', 'True', 'True', 'false', 'false', '510107497000', 4, '簇桥街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510107497000', 1, '2021-07-19 11:29:19', NULL, NULL), (703, '', '龙井社区', '144b07e1919d489f9459276986709495', '4e03f1d56b744070a0cff27005d06c35', 'False', 'True', 'false', 'false', '510107000242', 5, '龙井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000242', 1, '2021-07-19 11:29:19', NULL, NULL), (704, '', '新城社区', '2322795dcce942439fc6daa2e5b70af7', '4e03f1d56b744070a0cff27005d06c35', 'False', 'True', 'false', 'false', '510107000481', 5, '新城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000481', 1, '2021-07-19 11:29:19', NULL, NULL), (705, '', '七里社区', '2b5fb14061f342faa037c30994c4348d', '4e03f1d56b744070a0cff27005d06c35', 'False', 'True', 'false', 'false', '510107000624', 5, '七里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000624', 1, '2021-07-19 11:29:19', NULL, NULL), (706, '', '双凤社区', 'c62a7b4434cc41f091f61efa833648d1', '4e03f1d56b744070a0cff27005d06c35', 'False', 'True', 'false', 'false', '510107000711', 5, '双凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000711', 1, '2021-07-19 11:29:19', NULL, NULL), (707, '', '锦城社区', '9c339efc8dd646609369d19b5c753716', '4e03f1d56b744070a0cff27005d06c35', 'False', 'True', 'false', 'false', '510107000712', 5, '锦城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000712', 1, '2021-07-19 11:29:19', NULL, NULL), (708, '', '晋阳街道', 'd6c17e30570e4033a057a6085cd784c7', '5b9c42a28f80417c94ce56d90de17b93', 'True', 'True', 'false', 'false', '510107676000', 4, '晋阳街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510107676000', 1, '2021-07-19 11:29:19', NULL, NULL), (709, '', '晋吉社区', '276e490e5e734790abd5f507b5d578ca', 'd6c17e30570e4033a057a6085cd784c7', 'False', 'True', 'false', 'false', '510107000135', 5, '晋吉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000135', 1, '2021-07-19 11:29:19', NULL, NULL), (710, '', '金雁社区', '0ab5c033c4bc4d3ab76ca8a8c28b9fd0', 'd6c17e30570e4033a057a6085cd784c7', 'False', 'True', 'false', 'false', '510107000139', 5, '金雁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000139', 1, '2021-07-19 11:29:19', NULL, NULL), (711, '', '晋阳社区', '6b4eb552a31d48ae99f13abe3ea7218f', 'd6c17e30570e4033a057a6085cd784c7', 'False', 'True', 'false', 'false', '510107000379', 5, '晋阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000379', 1, '2021-07-19 11:29:19', NULL, NULL), (712, '', '沙堰社区', '4b81d8d8df094a58841e16985052adaa', 'd6c17e30570e4033a057a6085cd784c7', 'False', 'True', 'false', 'false', '510107000771', 5, '沙堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000771', 1, '2021-07-19 11:29:19', NULL, NULL), (713, '', '吉福社区', '5e03b85fd36c4eff888d39888fee749b', 'd6c17e30570e4033a057a6085cd784c7', 'False', 'True', 'false', 'false', '510107676879', 5, '吉福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107676879', 1, '2021-07-19 11:29:19', NULL, NULL), (714, '', '火车南站街道', '907b014860c0432fb7183958c6eb117b', '5b9c42a28f80417c94ce56d90de17b93', 'True', 'True', 'false', 'false', '510107745000', 4, '火车南站街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510107745000', 1, '2021-07-19 11:29:19', NULL, NULL), (715, '', '长寿苑社区', '948872e5065e41ae86e2e033538b6ab6', '907b014860c0432fb7183958c6eb117b', 'False', 'True', 'false', 'false', '510107000026', 5, '长寿苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000026', 1, '2021-07-19 11:29:19', NULL, NULL), (716, '', '锦官新城社区', '2fffd831d0b14da88f881e17e3503f0c', '907b014860c0432fb7183958c6eb117b', 'False', 'True', 'false', 'false', '510107000057', 5, '锦官新城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000057', 1, '2021-07-19 11:29:19', NULL, NULL), (717, '', '得胜社区', '213d1307b0784321918b339904d92aca', '907b014860c0432fb7183958c6eb117b', 'False', 'True', 'false', 'false', '510107000113', 5, '得胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000113', 1, '2021-07-19 11:29:20', NULL, NULL), (718, '', '桐梓林社区', '901c024bea8c455da6fa59cf4ceb30ab', '907b014860c0432fb7183958c6eb117b', 'False', 'True', 'false', 'false', '510107000134', 5, '桐梓林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000134', 1, '2021-07-19 11:29:20', NULL, NULL), (719, '', '南站社区', 'ec2bf0f5ea2b401ca494cc23a8f7cd71', '907b014860c0432fb7183958c6eb117b', 'False', 'True', 'false', 'false', '510107000323', 5, '南站社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000323', 1, '2021-07-19 11:29:20', NULL, NULL), (720, '', '高攀桥社区', '05a3268a2ca047f2b80fc6ecd36deb1f', '907b014860c0432fb7183958c6eb117b', 'False', 'True', 'false', 'false', '510107000452', 5, '高攀桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000452', 1, '2021-07-19 11:29:20', NULL, NULL), (721, '', '红牌楼街道', '1b1543e35594418884b4e914bb6ddfd5', '5b9c42a28f80417c94ce56d90de17b93', 'True', 'True', 'false', 'false', '510107863000', 4, '红牌楼街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510107863000', 1, '2021-07-19 11:29:20', NULL, NULL), (722, '', '龙腾社区', '5297b576313e4b96b71499571bbda72c', '1b1543e35594418884b4e914bb6ddfd5', 'False', 'True', 'false', 'false', '510107000074', 5, '龙腾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000074', 1, '2021-07-19 11:29:20', NULL, NULL), (723, '', '长城社区', '69c83c02f22d4f37aee363bb5b4f6c5a', '1b1543e35594418884b4e914bb6ddfd5', 'False', 'True', 'false', 'false', '510107000337', 5, '长城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000337', 1, '2021-07-19 11:29:20', NULL, NULL), (724, '', '太平社区', '738beba9a5ab48d38832f3cecfc2c748', '1b1543e35594418884b4e914bb6ddfd5', 'False', 'True', 'false', 'false', '510107000361', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000361', 1, '2021-07-19 11:29:20', NULL, NULL), (725, '', '双丰社区', 'c301c412a7c147e2ac9ad8aed5382a6b', '1b1543e35594418884b4e914bb6ddfd5', 'False', 'True', 'false', 'false', '510107000375', 5, '双丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000375', 1, '2021-07-19 11:29:20', NULL, NULL), (726, '', '龙爪社区', '45667990434f484898bf36f002321e52', '1b1543e35594418884b4e914bb6ddfd5', 'False', 'True', 'false', 'false', '510107000417', 5, '龙爪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000417', 1, '2021-07-19 11:29:20', NULL, NULL), (727, '', '竹园社区', 'a3ab5b06ea2e49e18572470e51bb951f', '1b1543e35594418884b4e914bb6ddfd5', 'False', 'True', 'false', 'false', '510107000528', 5, '竹园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000528', 1, '2021-07-19 11:29:20', NULL, NULL), (728, '', '丽都花园社区', 'f75963be31b3435b8c895b5db5e0c38c', '1b1543e35594418884b4e914bb6ddfd5', 'False', 'True', 'false', 'false', '510107000548', 5, '丽都花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000548', 1, '2021-07-19 11:29:20', NULL, NULL), (729, '', '金花桥街道', 'cd5b4e3c6ffc4d31b324731b659972ac', '5b9c42a28f80417c94ce56d90de17b93', 'True', 'True', 'false', 'false', '510107918000', 4, '金花桥街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510107918000', 1, '2021-07-19 11:29:21', NULL, NULL), (730, '', '陆坝社区', '56db3b6fc6a14778aa0b3d2cff0b018a', 'cd5b4e3c6ffc4d31b324731b659972ac', 'False', 'True', 'false', 'false', '510107000023', 5, '陆坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000023', 1, '2021-07-19 11:29:21', NULL, NULL), (731, '', '马家河社区', '07ac87f8c32c477aa5353e0af24a8ef6', 'cd5b4e3c6ffc4d31b324731b659972ac', 'False', 'True', 'false', 'false', '510107000038', 5, '马家河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000038', 1, '2021-07-19 11:29:21', NULL, NULL), (732, '', '凉井社区', '11cb206860b6435d952480c3c7f54156', 'cd5b4e3c6ffc4d31b324731b659972ac', 'False', 'True', 'false', 'false', '510107000396', 5, '凉井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000396', 1, '2021-07-19 11:29:21', NULL, NULL), (733, '', '花龙门社区', 'f5fb6695a3114b71bb820166945b8565', 'cd5b4e3c6ffc4d31b324731b659972ac', 'False', 'True', 'false', 'false', '510107000399', 5, '花龙门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000399', 1, '2021-07-19 11:29:21', NULL, NULL), (734, '', '文昌社区', '1746feaa53b34daf8acadd05b3faafa0', 'cd5b4e3c6ffc4d31b324731b659972ac', 'False', 'True', 'false', 'false', '510107000735', 5, '文昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000735', 1, '2021-07-19 11:29:21', NULL, NULL), (735, '', '金花社区', 'be6c024d07c546f8a2ce0c9daabef181', 'cd5b4e3c6ffc4d31b324731b659972ac', 'False', 'True', 'false', 'false', '510107000926', 5, '金花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000926', 1, '2021-07-19 11:29:21', NULL, NULL), (736, '', '永康社区', '1b43a7eb134c4bca86454e596b71602d', 'cd5b4e3c6ffc4d31b324731b659972ac', 'False', 'True', 'false', 'false', '510107000943', 5, '永康社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000943', 1, '2021-07-19 11:29:21', NULL, NULL), (737, '', '江安河社区', 'e3ce64c6fb1249f6aeccf5b38e7f6f52', 'cd5b4e3c6ffc4d31b324731b659972ac', 'False', 'True', 'false', 'false', '510107013007', 5, '江安河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107013007', 1, '2021-07-19 11:29:21', NULL, NULL), (738, '', '华兴街道', '9e2efc01058c45509046d99c8589e07e', '5b9c42a28f80417c94ce56d90de17b93', 'True', 'True', 'false', 'false', '510107923000', 4, '华兴街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510107923000', 1, '2021-07-19 11:29:22', NULL, NULL), (739, '', '沈家桥社区', '3c0160d9e07f4e83b83a53c23aa236c7', '9e2efc01058c45509046d99c8589e07e', 'False', 'True', 'false', 'false', '510107000300', 5, '沈家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000300', 1, '2021-07-19 11:29:22', NULL, NULL), (740, '', '南桥社区', 'e351cd0d219b4437b5577f6984a339bf', '9e2efc01058c45509046d99c8589e07e', 'False', 'True', 'false', 'false', '510107000301', 5, '南桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000301', 1, '2021-07-19 11:29:22', NULL, NULL), (741, '', '三河社区', '3b1b38e4b2f846d78166e4ba48515e83', '9e2efc01058c45509046d99c8589e07e', 'False', 'True', 'false', 'false', '510107000886', 5, '三河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000886', 1, '2021-07-19 11:29:22', NULL, NULL), (742, '', '浆洗街街道', 'd2d14aabd9134181bac1d26e2c9175cb', '5b9c42a28f80417c94ce56d90de17b93', 'True', 'True', 'false', 'false', '510107254000', 4, '浆洗街街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510107254000', 1, '2021-07-19 11:29:22', NULL, NULL), (743, '', '七道堰社区', 'dd6d9a3170d44938a697ef6ff2689cb1', 'd2d14aabd9134181bac1d26e2c9175cb', 'False', 'True', 'false', 'false', '5101070606', 5, '七道堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5101070606', 1, '2021-07-19 11:29:22', NULL, NULL), (744, '', '洗面桥社区', 'd3266926ba954ea28ad5e0acfcfa1c44', 'd2d14aabd9134181bac1d26e2c9175cb', 'False', 'True', 'false', 'false', '510107000378', 5, '洗面桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000378', 1, '2021-07-19 11:29:22', NULL, NULL), (745, '', '蜀汉街社区', 'a9d4b1ee2d1045119cf9427b3409a415', 'd2d14aabd9134181bac1d26e2c9175cb', 'False', 'True', 'false', 'false', '510107000820', 5, '蜀汉街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000820', 1, '2021-07-19 11:29:22', NULL, NULL), (746, '', '锦里社区', '9cc8bb7171954092aab8f7fcc64d0c42', 'd2d14aabd9134181bac1d26e2c9175cb', 'False', 'True', 'false', 'false', '510107001006', 5, '锦里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107001006', 1, '2021-07-19 11:29:22', NULL, NULL), (747, '', '双楠社区', '2be46dd736f2492296bd2b61770d491d', 'd2d14aabd9134181bac1d26e2c9175cb', 'False', 'True', 'false', 'false', '510107006003', 5, '双楠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107006003', 1, '2021-07-19 11:29:22', NULL, NULL), (748, '', '少陵社区', '1d6f5f5a67d345c8b61f53a5e7910f0a', 'd2d14aabd9134181bac1d26e2c9175cb', 'False', 'True', 'false', 'false', '510107008003', 5, '少陵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107008003', 1, '2021-07-19 11:29:22', NULL, NULL), (749, '', '百花社区', '3960fe974cf4440cb8c3c1eb71e30ef6', 'd2d14aabd9134181bac1d26e2c9175cb', 'False', 'True', 'false', 'false', '510107008004', 5, '百花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107008004', 1, '2021-07-19 11:29:22', NULL, NULL), (750, '', '广福桥社区', 'af9bf5ca6b8c464293038ee85cf0a9e6', 'd2d14aabd9134181bac1d26e2c9175cb', 'False', 'True', 'false', 'false', '510107008007', 5, '广福桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107008007', 1, '2021-07-19 11:29:22', NULL, NULL), (751, '', '楠欣社区', '71841766e7b14b528f4aeec2b2906bc8', 'd2d14aabd9134181bac1d26e2c9175cb', 'False', 'True', 'false', 'false', '510107008009', 5, '楠欣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107008009', 1, '2021-07-19 11:29:23', NULL, NULL), (752, '', '机投桥街道', 'ac35b9bbde964b9eaf34e6cb2b41426e', '5b9c42a28f80417c94ce56d90de17b93', 'True', 'True', 'false', 'false', '510107872000', 4, '机投桥街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510107872000', 1, '2021-07-19 11:29:23', NULL, NULL), (753, '', '潮音社区', 'd0c8cb0b381043e18c2e8878ccdc954e', 'ac35b9bbde964b9eaf34e6cb2b41426e', 'False', 'True', 'false', 'false', '510107000052', 5, '潮音社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000052', 1, '2021-07-19 11:29:23', NULL, NULL), (754, '', '半边街社区', '0b2d815e2fb046809704892da56672cb', 'ac35b9bbde964b9eaf34e6cb2b41426e', 'False', 'True', 'false', 'false', '510107000055', 5, '半边街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000055', 1, '2021-07-19 11:29:23', NULL, NULL), (755, '', '果堰社区', '7bcb0ee4a3ec4b55b0e160ed7b1e4f98', 'ac35b9bbde964b9eaf34e6cb2b41426e', 'False', 'True', 'false', 'false', '510107000169', 5, '果堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000169', 1, '2021-07-19 11:29:23', NULL, NULL), (756, '', '万寿桥社区', 'c2048766e93b451ab4728df74deffbe7', 'ac35b9bbde964b9eaf34e6cb2b41426e', 'False', 'True', 'false', 'false', '510107000232', 5, '万寿桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000232', 1, '2021-07-19 11:29:23', NULL, NULL), (757, '', '白佛社区', '5e289f73efee45339ecfb125e91abee6', 'ac35b9bbde964b9eaf34e6cb2b41426e', 'False', 'True', 'false', 'false', '510107000776', 5, '白佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107000776', 1, '2021-07-19 11:29:23', NULL, NULL), (758, '', '机投社区', '95f5dffb42e44295a7e8bc9709fa9d67', 'ac35b9bbde964b9eaf34e6cb2b41426e', 'False', 'True', 'false', 'false', '510107872943', 5, '机投社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510107872943', 1, '2021-07-19 11:29:23', NULL, NULL), (759, '', '成华区', 'ddaa012d77a84a3da555c156dd03b4b1', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510108000000', 3, '成华区', 'cdschq.sczwfw.gov.cn', 1, '2021-07-19 11:29:23', NULL, NULL), (760, '', '保和街道', '72e830a700d74f108f9b327acd7429d6', 'ddaa012d77a84a3da555c156dd03b4b1', 'True', 'True', 'false', 'false', '510108014000', 4, '保和街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510108014000', 1, '2021-07-19 11:29:23', NULL, NULL), (761, '', '斑竹社区', '1c3ca7e92e144179a15cff8fbc879ebf', '72e830a700d74f108f9b327acd7429d6', 'False', 'True', 'false', 'false', '510108014002', 5, '斑竹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108014002', 1, '2021-07-19 11:29:23', NULL, NULL), (762, '', '天鹅社区', '4e613f9a52944fff8ef736b4094b5776', '72e830a700d74f108f9b327acd7429d6', 'False', 'True', 'false', 'false', '510108014004', 5, '天鹅社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108014004', 1, '2021-07-19 11:29:23', NULL, NULL), (763, '', '和顺社区', '0ba54293d9ef4c75a14ae523494c7a56', '72e830a700d74f108f9b327acd7429d6', 'False', 'True', 'false', 'false', '510108014006', 5, '和顺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108014006', 1, '2021-07-19 11:29:23', NULL, NULL), (764, '', '杨柳社区', 'c23f19968bf84461bdc606c036050f74', '72e830a700d74f108f9b327acd7429d6', 'False', 'True', 'false', 'false', '510108014009', 5, '杨柳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108014009', 1, '2021-07-19 11:29:23', NULL, NULL), (765, '', '迎晖社区', '7da868f284ab4516b5959a44b2243c54', '72e830a700d74f108f9b327acd7429d6', 'False', 'True', 'false', 'false', '510108014010', 5, '迎晖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108014010', 1, '2021-07-19 11:29:23', NULL, NULL), (766, '', '胜利社区', '7910071093cc4edf8bccd1b9faf0b0c5', '72e830a700d74f108f9b327acd7429d6', 'False', 'True', 'false', 'false', '510108014011', 5, '胜利社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108014011', 1, '2021-07-19 11:29:23', NULL, NULL), (767, '', '和美社区', '9014be5a04214b65814b2420f17fd76e', '72e830a700d74f108f9b327acd7429d6', 'False', 'True', 'false', 'false', '510108014012', 5, '和美社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108014012', 1, '2021-07-19 11:29:23', NULL, NULL), (768, '', '和欣社区', '8a950fb73d8942bea226ef055548d437', '72e830a700d74f108f9b327acd7429d6', 'False', 'False', 'false', 'false', '510108014923', 5, '和欣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108014923', 1, '2021-07-19 11:29:24', NULL, NULL), (769, '', '龙潭街道', '8f0c2fe33aaf4169bae19a50e1286a8e', 'ddaa012d77a84a3da555c156dd03b4b1', 'True', 'True', 'false', 'false', '510108167000', 4, '龙潭街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510108167000', 1, '2021-07-19 11:29:24', NULL, NULL), (770, '', '龙驰社区', 'f0a35e1e8b2a4028860fc91ef5e72b61', '8f0c2fe33aaf4169bae19a50e1286a8e', 'False', 'False', 'false', 'false', '510108016086', 5, '龙驰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108016086', 1, '2021-07-19 11:29:24', NULL, NULL), (771, '', '龙祥社区', '0d0a791c67074c65a959218f6d4e6288', '8f0c2fe33aaf4169bae19a50e1286a8e', 'False', 'False', 'false', 'false', '510108016623', 5, '龙祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108016623', 1, '2021-07-19 11:29:24', NULL, NULL), (772, '', '龙瑞社区', '0962ad896c814597910bbb96051a6b59', '8f0c2fe33aaf4169bae19a50e1286a8e', 'False', 'False', 'false', 'false', '510108016772', 5, '龙瑞社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108016772', 1, '2021-07-19 11:29:24', NULL, NULL), (773, '', '华冠社区', '806af4038d8148caa58bc48b3179682b', '8f0c2fe33aaf4169bae19a50e1286a8e', 'False', 'False', 'false', 'false', '510108016927', 5, '华冠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108016927', 1, '2021-07-19 11:29:24', NULL, NULL), (774, '', '和成社区', 'a974e1eb0b5a4e75a02c09558ad5cd35', '8f0c2fe33aaf4169bae19a50e1286a8e', 'False', 'True', 'false', 'false', '510108167224', 5, '和成社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108167224', 1, '2021-07-19 11:29:24', NULL, NULL), (775, '', '威灵社区', 'a112017ba8154a24bf0c955bb087ce51', '8f0c2fe33aaf4169bae19a50e1286a8e', 'False', 'True', 'false', 'false', '510108167246', 5, '威灵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108167246', 1, '2021-07-19 11:29:24', NULL, NULL), (776, '', '院山社区', 'f6904c2caaf84a7894330f0a1df52311', '8f0c2fe33aaf4169bae19a50e1286a8e', 'False', 'True', 'false', 'false', '510108167259', 5, '院山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108167259', 1, '2021-07-19 11:29:24', NULL, NULL), (777, '', '正街社区', 'ce2cc23b671f4971810714ab6e0884bd', '8f0c2fe33aaf4169bae19a50e1286a8e', 'False', 'True', 'false', 'false', '510108167346', 5, '正街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108167346', 1, '2021-07-19 11:29:24', NULL, NULL), (778, '', '同乐社区', '1d5eaae682ae49c2867fdba073cd9792', '8f0c2fe33aaf4169bae19a50e1286a8e', 'False', 'True', 'false', 'false', '510108167401', 5, '同乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108167401', 1, '2021-07-19 11:29:24', NULL, NULL), (779, '', '高洪社区', '5cec171fd73449e6b1397f62de343eaf', '8f0c2fe33aaf4169bae19a50e1286a8e', 'False', 'True', 'false', 'false', '510108167443', 5, '高洪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108167443', 1, '2021-07-19 11:29:24', NULL, NULL), (780, '', '桂林社区', '65c38227b0f44548b7fe4f78600d9f2d', '8f0c2fe33aaf4169bae19a50e1286a8e', 'False', 'True', 'false', 'false', '510108167623', 5, '桂林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108167623', 1, '2021-07-19 11:29:25', NULL, NULL), (781, '', '华泰社区', '719d771bbbf3492caec0c7281721b835', '8f0c2fe33aaf4169bae19a50e1286a8e', 'False', 'True', 'false', 'false', '510108167629', 5, '华泰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108167629', 1, '2021-07-19 11:29:25', NULL, NULL), (782, '', '隆兴路社区', '4ac12a5b113240aa9dfcda1321ae9a6e', '8f0c2fe33aaf4169bae19a50e1286a8e', 'False', 'True', 'false', 'false', '510108167697', 5, '隆兴路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108167697', 1, '2021-07-19 11:29:25', NULL, NULL), (783, '', '同仁社区', 'c707bf228ae94b57b3f37c9e18bc5eb2', '8f0c2fe33aaf4169bae19a50e1286a8e', 'False', 'True', 'false', 'false', '510108167713', 5, '同仁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108167713', 1, '2021-07-19 11:29:25', NULL, NULL), (784, '', '丛树社区', 'a68e7c24b3074b4887a83a59fcde1a99', '8f0c2fe33aaf4169bae19a50e1286a8e', 'False', 'True', 'false', 'false', '510108167896', 5, '丛树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108167896', 1, '2021-07-19 11:29:25', NULL, NULL), (785, '', '向龙社区', 'fcd47411b08d4d90bfd2dcbf3072cff0', '8f0c2fe33aaf4169bae19a50e1286a8e', 'False', 'True', 'false', 'false', '510108167977', 5, '向龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108167977', 1, '2021-07-19 11:29:25', NULL, NULL), (786, '', '猛追湾街道', '535c41f99fd14de1bac77f9cb53de117', 'ddaa012d77a84a3da555c156dd03b4b1', 'True', 'True', 'false', 'false', '510108170000', 4, '猛追湾街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510108170000', 1, '2021-07-19 11:29:25', NULL, NULL), (787, '', '踏水社区', '193253c28adb49ca8f61b6381658f707', '535c41f99fd14de1bac77f9cb53de117', 'False', 'True', 'false', 'false', '510108002169', 5, '踏水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108002169', 1, '2021-07-19 11:29:25', NULL, NULL), (788, '', '祥和里社区', '4f11074db44c4efd886d25a61b713752', '535c41f99fd14de1bac77f9cb53de117', 'False', 'True', 'false', 'false', '510108170411', 5, '祥和里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108170411', 1, '2021-07-19 11:29:25', NULL, NULL), (789, '', '石油社区', '396aff82e9904004b44f55ed1846fbd8', '535c41f99fd14de1bac77f9cb53de117', 'False', 'True', 'false', 'false', '510108170450', 5, '石油社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108170450', 1, '2021-07-19 11:29:25', NULL, NULL), (790, '', '建华社区', '4e49ee04979d48a3aa88e8a896ae667d', '535c41f99fd14de1bac77f9cb53de117', 'False', 'True', 'false', 'false', '510108170517', 5, '建华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108170517', 1, '2021-07-19 11:29:25', NULL, NULL), (791, '', '望平社区', '37d23088953c438ca4e8c3e9ff279df9', '535c41f99fd14de1bac77f9cb53de117', 'False', 'True', 'false', 'false', '510108170562', 5, '望平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108170562', 1, '2021-07-19 11:29:25', NULL, NULL), (792, '', '培华路社区', '6f3765060888404892929b545f71ddc6', '535c41f99fd14de1bac77f9cb53de117', 'False', 'True', 'false', 'false', '510108002469', 5, '培华路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108002469', 1, '2021-07-19 11:29:25', NULL, NULL), (793, '', '建设中路社区', 'f8a7b30ac88e4acab5ef3ae5abc4aa92', '535c41f99fd14de1bac77f9cb53de117', 'False', 'True', 'false', 'false', '510108002427', 5, '建设中路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108002427', 1, '2021-07-19 11:29:26', NULL, NULL), (794, '', '白莲池街道', 'c1ecca0455e94856b9035129059a4e93', 'ddaa012d77a84a3da555c156dd03b4b1', 'True', 'True', 'false', 'false', '510108210000', 4, '白莲池街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510108210000', 1, '2021-07-19 11:29:26', NULL, NULL), (795, '', '石岭社区', '1413233bac4341a0a6fda0de6afa3e36', 'c1ecca0455e94856b9035129059a4e93', 'False', 'True', 'false', 'false', '510108210432', 5, '石岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108210432', 1, '2021-07-19 11:29:26', NULL, NULL), (796, '', '狮子社区', '672e5f2ca3554c96963c6a66d1763b06', 'c1ecca0455e94856b9035129059a4e93', 'False', 'True', 'false', 'false', '510108210699', 5, '狮子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108210699', 1, '2021-07-19 11:29:26', NULL, NULL), (797, '', '将军碑社区', 'd2d2e78205dd4b46a7c9b88d84b38bf9', 'c1ecca0455e94856b9035129059a4e93', 'False', 'True', 'false', 'false', '510108210737', 5, '将军碑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108210737', 1, '2021-07-19 11:29:26', NULL, NULL), (798, '', '白莲池社区', '11fdc1b2cbe74a0684c9321e7de4915d', 'c1ecca0455e94856b9035129059a4e93', 'False', 'True', 'false', 'false', '510108210808', 5, '白莲池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108210808', 1, '2021-07-19 11:29:26', NULL, NULL), (799, '', '一里塘社区', '8638db22c21346e4b9f4bc787fd6f3e7', 'c1ecca0455e94856b9035129059a4e93', 'False', 'True', 'false', 'false', '510108210946', 5, '一里塘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108210946', 1, '2021-07-19 11:29:26', NULL, NULL), (800, '', '万年场街道', 'c88aeeb2630248b69e71ce33678a4c4b', 'ddaa012d77a84a3da555c156dd03b4b1', 'True', 'True', 'false', 'false', '510108328000', 4, '万年场街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510108328000', 1, '2021-07-19 11:29:26', NULL, NULL), (801, '', '槐树店社区', '484a7d18efbe403994678bfaef4faa57', 'c88aeeb2630248b69e71ce33678a4c4b', 'False', 'True', 'false', 'false', '510108011005', 5, '槐树店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108011005', 1, '2021-07-19 11:29:26', NULL, NULL), (802, '', '联合社区', '7025279ae2df4d73ab3b08b362c27837', 'c88aeeb2630248b69e71ce33678a4c4b', 'False', 'True', 'false', 'false', '510108011006', 5, '联合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108011006', 1, '2021-07-19 11:29:26', NULL, NULL), (803, '', '长天路社区', 'c182bc49b15b4892a925dd870404fff2', 'c88aeeb2630248b69e71ce33678a4c4b', 'False', 'True', 'false', 'false', '510108011007', 5, '长天路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108011007', 1, '2021-07-19 11:29:26', NULL, NULL), (804, '', '红桥社区', '16dbd9c474844e1a8959b91865ea0ec1', 'c88aeeb2630248b69e71ce33678a4c4b', 'False', 'True', 'false', 'false', '510108011008', 5, '红桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108011008', 1, '2021-07-19 11:29:26', NULL, NULL), (805, '', '双福路社区', '03dde269472946c3885a8e4b948c2150', 'c88aeeb2630248b69e71ce33678a4c4b', 'False', 'True', 'false', 'false', '510108011025', 5, '双福路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108011025', 1, '2021-07-19 11:29:27', NULL, NULL), (806, '', '跳蹬河街道', '258629e2b60e493ba30b488b24cfe015', 'ddaa012d77a84a3da555c156dd03b4b1', 'True', 'True', 'false', 'false', '510108380000', 4, '跳蹬河街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510108380000', 1, '2021-07-19 11:29:27', NULL, NULL), (807, '', '建兴路社区', 'a781fa77400841bbbe98c0a69ae48947', '258629e2b60e493ba30b488b24cfe015', 'False', 'True', 'false', 'false', '510108008857', 5, '建兴路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108008857', 1, '2021-07-19 11:29:27', NULL, NULL), (808, '', '跳蹬河社区', '4420fc2ed239464aaeb71bdb2583ebef', '258629e2b60e493ba30b488b24cfe015', 'False', 'True', 'false', 'false', '510108008001', 5, '跳蹬河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108008001', 1, '2021-07-19 11:29:27', NULL, NULL), (809, '', '杉板桥社区', '46e88ac18f8345b890a0eec4d4d8ebb1', '258629e2b60e493ba30b488b24cfe015', 'False', 'True', 'false', 'false', '510108008003', 5, '杉板桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108008003', 1, '2021-07-19 11:29:27', NULL, NULL), (810, '', '锦绣社区', '457b56300fac443d883ef08b647cae4a', '258629e2b60e493ba30b488b24cfe015', 'False', 'True', 'false', 'false', '510108008004', 5, '锦绣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108008004', 1, '2021-07-19 11:29:27', NULL, NULL), (811, '', '跳蹬村', 'd8cef75f7ead4af6a7aa83b7cf2aa02a', '258629e2b60e493ba30b488b24cfe015', 'False', 'True', 'false', 'false', '510108008200', 5, '跳蹬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108008200', 1, '2021-07-19 11:29:27', NULL, NULL), (812, '', '府青路街道', '63a8ccaff99845718c9f429a49a761dd', 'ddaa012d77a84a3da555c156dd03b4b1', 'True', 'True', 'false', 'false', '510108542000', 4, '府青路街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510108542000', 1, '2021-07-19 11:29:27', NULL, NULL), (813, '', '怡福社区', '5f2bef6e9b0f49989e29800bd577b383', '63a8ccaff99845718c9f429a49a761dd', 'False', 'True', 'false', 'false', '510108006797', 5, '怡福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108006797', 1, '2021-07-19 11:29:27', NULL, NULL), (814, '', '文德社区', 'e952cdaae4a14d658924203ae0b55035', '63a8ccaff99845718c9f429a49a761dd', 'False', 'True', 'false', 'false', '510108006422', 5, '文德社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108006422', 1, '2021-07-19 11:29:27', NULL, NULL), (815, '', '桃源社区', '2152cd77d4324ed69b16b080658aa1f9', '63a8ccaff99845718c9f429a49a761dd', 'False', 'True', 'false', 'false', '510108006901', 5, '桃源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108006901', 1, '2021-07-19 11:29:27', NULL, NULL), (816, '', '李家沱社区', 'b88196b27c5b4e048ae9d15500ae2f6b', '63a8ccaff99845718c9f429a49a761dd', 'False', 'True', 'false', 'false', '510108542389', 5, '李家沱社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108542389', 1, '2021-07-19 11:29:27', NULL, NULL), (817, '', '八里庄社区', '9c76296c1c494f8bbc42eacb2893349e', '63a8ccaff99845718c9f429a49a761dd', 'False', 'True', 'false', 'false', '510108542733', 5, '八里庄社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108542733', 1, '2021-07-19 11:29:27', NULL, NULL), (818, '', '桃蹊社区', 'aa70217993204e079066cfefb4fe205f', '63a8ccaff99845718c9f429a49a761dd', 'False', 'True', 'false', 'false', '510108006572', 5, '桃蹊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108006572', 1, '2021-07-19 11:29:27', NULL, NULL), (819, '', '双桥子街道', 'f28cbb5e770541018206fd67c407b410', 'ddaa012d77a84a3da555c156dd03b4b1', 'True', 'True', 'false', 'false', '510108637000', 4, '双桥子街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510108637000', 1, '2021-07-19 11:29:28', NULL, NULL), (820, '', '新华社区', '12307d40f34d44fc8028ff082a840894', 'f28cbb5e770541018206fd67c407b410', 'False', 'True', 'false', 'false', '510108004811', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108004811', 1, '2021-07-19 11:29:28', NULL, NULL), (821, '', '双林社区', 'c60cad9c1899413084fae96d72a47969', 'f28cbb5e770541018206fd67c407b410', 'False', 'True', 'false', 'false', '510108637102', 5, '双林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108637102', 1, '2021-07-19 11:29:28', NULL, NULL), (822, '', '新鸿社区', '303b8042ca4e46fb8341457948deccb6', 'f28cbb5e770541018206fd67c407b410', 'False', 'True', 'false', 'false', '510108637154', 5, '新鸿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108637154', 1, '2021-07-19 11:29:28', NULL, NULL), (823, '', '双桥路北社区', 'b9bf5e5239764b21b755af56237ff028', 'f28cbb5e770541018206fd67c407b410', 'False', 'True', 'false', 'false', '510108637208', 5, '双桥路北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108637208', 1, '2021-07-19 11:29:28', NULL, NULL), (824, '', '三街坊社区', 'b1b1a212a3684c75a918735f20674eb8', 'f28cbb5e770541018206fd67c407b410', 'False', 'True', 'false', 'false', '510108637279', 5, '三街坊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108637279', 1, '2021-07-19 11:29:28', NULL, NULL), (825, '', '菽香里社区', '6e7e5e6cd9df4100bbb109810b25f025', 'f28cbb5e770541018206fd67c407b410', 'False', 'True', 'false', 'false', '510108637423', 5, '菽香里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108637423', 1, '2021-07-19 11:29:28', NULL, NULL), (826, '', '水碾河路北社区', 'c68f965670fd4413a906e8473f61e9c5', 'f28cbb5e770541018206fd67c407b410', 'False', 'True', 'false', 'false', '510108637496', 5, '水碾河路北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108637496', 1, '2021-07-19 11:29:28', NULL, NULL), (827, '', '万晟社区', '6e193e7107034638ba867ecb363f8c73', 'f28cbb5e770541018206fd67c407b410', 'False', 'True', 'false', 'false', '510108637943', 5, '万晟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108637943', 1, '2021-07-19 11:29:28', NULL, NULL), (828, '', '双水碾街道', '44d59e7ce4aa4bafaab5e24fef53a02b', 'ddaa012d77a84a3da555c156dd03b4b1', 'True', 'True', 'false', 'false', '510108767000', 4, '双水碾街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510108767000', 1, '2021-07-19 11:29:28', NULL, NULL), (829, '', '升仙湖社区', 'f34b5730b9a54dfaad88f1c1cf4217ef', '44d59e7ce4aa4bafaab5e24fef53a02b', 'False', 'True', 'false', 'false', '510108010017', 5, '升仙湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108010017', 1, '2021-07-19 11:29:28', NULL, NULL), (830, '', '站北路社区', '063fe7e64860405ba2ce172d0b27152d', '44d59e7ce4aa4bafaab5e24fef53a02b', 'False', 'True', 'false', 'false', '510108767247', 5, '站北路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108767247', 1, '2021-07-19 11:29:29', NULL, NULL), (831, '', '花径路社区', '3c9ad18324484104af7ca62f1cffeeb5', '44d59e7ce4aa4bafaab5e24fef53a02b', 'False', 'True', 'false', 'false', '510108767639', 5, '花径路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108767639', 1, '2021-07-19 11:29:29', NULL, NULL), (832, '', '荆竹社区', 'bd9a5880a0aa4cf788334a411ca96436', '44d59e7ce4aa4bafaab5e24fef53a02b', 'False', 'True', 'false', 'false', '510108767961', 5, '荆竹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108767961', 1, '2021-07-19 11:29:29', NULL, NULL), (833, '', '横桥社区', 'aa0d642dd6794cf79eaa1f2818af0df6', '44d59e7ce4aa4bafaab5e24fef53a02b', 'False', 'True', 'false', 'false', '510108767996', 5, '横桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108767996', 1, '2021-07-19 11:29:29', NULL, NULL), (834, '', '青龙街道', '6c806434d2704f85a5f3f19425c1382f', 'ddaa012d77a84a3da555c156dd03b4b1', 'True', 'True', 'false', 'false', '510108806000', 4, '青龙街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510108806000', 1, '2021-07-19 11:29:29', NULL, NULL), (835, '', '海滨湾社区', 'a80e0025b0494e869f610fb8b71a5935', '6c806434d2704f85a5f3f19425c1382f', 'False', 'True', 'false', 'false', '510108806194', 5, '海滨湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108806194', 1, '2021-07-19 11:29:29', NULL, NULL), (836, '', '东林社区', '0d64ff9cf2014b87b470085f45a128d9', '6c806434d2704f85a5f3f19425c1382f', 'False', 'True', 'false', 'false', '510108806209', 5, '东林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108806209', 1, '2021-07-19 11:29:29', NULL, NULL), (837, '', '致强社区', '8938aeef7e3d4a24862eb34f1e7e8cd7', '6c806434d2704f85a5f3f19425c1382f', 'False', 'True', 'false', 'false', '510108806290', 5, '致强社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108806290', 1, '2021-07-19 11:29:29', NULL, NULL), (838, '', '仁义路社区', 'ab3f6438f1994906b5d856c6647c8c98', '6c806434d2704f85a5f3f19425c1382f', 'False', 'True', 'false', 'false', '510108806296', 5, '仁义路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108806296', 1, '2021-07-19 11:29:29', NULL, NULL), (839, '', '西林社区', '026200ecc9764e5f874a3c4923fdf525', '6c806434d2704f85a5f3f19425c1382f', 'False', 'True', 'false', 'false', '510108806545', 5, '西林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108806545', 1, '2021-07-19 11:29:29', NULL, NULL), (840, '', '昭觉社区', 'f631f11db4944b31a0e5eab597e6dfa0', '6c806434d2704f85a5f3f19425c1382f', 'False', 'True', 'false', 'false', '510108806839', 5, '昭觉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108806839', 1, '2021-07-19 11:29:29', NULL, NULL), (841, '', '新山社区', '4113b01d667b4b4ca53259f675eaca46', '6c806434d2704f85a5f3f19425c1382f', 'False', 'True', 'false', 'false', '510108806884', 5, '新山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108806884', 1, '2021-07-19 11:29:29', NULL, NULL), (842, '', '昭青社区', '6ba400305f524b8f8bde1e8b531f6eb0', '6c806434d2704f85a5f3f19425c1382f', 'False', 'True', 'false', 'false', '510108806983', 5, '昭青社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108806983', 1, '2021-07-19 11:29:29', NULL, NULL), (843, '', '二仙桥街道', 'e71cbd4c62a34918af176d40656bda91', 'ddaa012d77a84a3da555c156dd03b4b1', 'True', 'True', 'false', 'false', '510108880000', 4, '二仙桥街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510108880000', 1, '2021-07-19 11:29:30', NULL, NULL), (844, '', '仙韵社区', '5230bfb2f8514bba89361a2b825b7212', 'e71cbd4c62a34918af176d40656bda91', 'False', 'True', 'false', 'false', '510108007449', 5, '仙韵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108007449', 1, '2021-07-19 11:29:30', NULL, NULL), (845, '', '东路社区', '29af1341a4d84fbfa242b5212d26a0cc', 'e71cbd4c62a34918af176d40656bda91', 'False', 'True', 'false', 'false', '510108007788', 5, '东路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108007788', 1, '2021-07-19 11:29:30', NULL, NULL), (846, '', '下涧槽社区', '178defbb8d694978916d8a5645c2a5bf', 'e71cbd4c62a34918af176d40656bda91', 'False', 'True', 'false', 'false', '510108007784', 5, '下涧槽社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108007784', 1, '2021-07-19 11:29:30', NULL, NULL), (847, '', '东华社区', '83e3b2b88502470da0d854190eb41dd4', 'e71cbd4c62a34918af176d40656bda91', 'False', 'True', 'false', 'false', '510108007636', 5, '东华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108007636', 1, '2021-07-19 11:29:30', NULL, NULL), (848, '', '长林盘社区', 'ec90225c2cd64ab9ba8b50adfec226e2', 'e71cbd4c62a34918af176d40656bda91', 'False', 'True', 'false', 'false', '510108007841', 5, '长林盘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108007841', 1, '2021-07-19 11:29:30', NULL, NULL), (849, '', '人民塘社区', '1640c00fd0354a7497df9285fde98b0c', 'e71cbd4c62a34918af176d40656bda91', 'False', 'True', 'false', 'false', '510108007166', 5, '人民塘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108007166', 1, '2021-07-19 11:29:30', NULL, NULL), (850, '', '圣灯社区', '886d53ce558a4bb7b8d5416ce49219f3', 'e71cbd4c62a34918af176d40656bda91', 'False', 'True', 'false', 'false', '510108007373', 5, '圣灯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108007373', 1, '2021-07-19 11:29:30', NULL, NULL), (851, '', '华林社区', '09239537a8bb4b3c84837dd0195a33a5', 'e71cbd4c62a34918af176d40656bda91', 'False', 'True', 'false', 'false', '510108007186', 5, '华林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108007186', 1, '2021-07-19 11:29:30', NULL, NULL), (852, '', '枫景社区', '37ad3d6ff5ed435fbd801d9a4d44744c', 'e71cbd4c62a34918af176d40656bda91', 'False', 'False', 'false', 'false', '510108007813', 5, '枫景社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510108007813', 1, '2021-07-19 11:29:30', NULL, NULL), (853, '', '龙泉驿区', '9189f84698984a9594235310a25a9b63', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510112000000', 3, '龙泉驿区', 'cdslqyq.sczwfw.gov.cn', 1, '2021-07-19 11:29:30', NULL, NULL), (854, '', '东安街道', '5926733969d64a689a06909930cbbb07', '9189f84698984a9594235310a25a9b63', 'True', 'True', 'false', 'false', '510112009000', 4, '东安街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510112009000', 1, '2021-07-19 11:29:30', NULL, NULL), (855, '', '红咏社区居委会', 'd8a781e211114c49b1d020871d446fa8', '5926733969d64a689a06909930cbbb07', 'False', 'True', 'false', 'false', '510112009001', 5, '红咏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112009001', 1, '2021-07-19 11:29:30', NULL, NULL), (856, '', '书房社区居委会', '8ace4f551b95434b8c909d996850bd5e', '5926733969d64a689a06909930cbbb07', 'False', 'True', 'false', 'false', '510112009002', 5, '书房社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112009002', 1, '2021-07-19 11:29:31', NULL, NULL), (857, '', '顶佛寺村村委会', '4133299f0b9f4289b0144004995ea3bd', '5926733969d64a689a06909930cbbb07', 'False', 'True', 'false', 'false', '510112009003', 5, '顶佛寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112009003', 1, '2021-07-19 11:29:31', NULL, NULL), (858, '', '聚和社区居委会', '82c3d75fc0b749858801390d24d06a6a', '5926733969d64a689a06909930cbbb07', 'False', 'True', 'false', 'false', '510112009004', 5, '聚和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112009004', 1, '2021-07-19 11:29:31', NULL, NULL), (859, '', '蒲草村村委会', 'b969a9086e504fa5adbf87cd3794b3db', '5926733969d64a689a06909930cbbb07', 'False', 'True', 'false', 'false', '510112009006', 5, '蒲草村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112009006', 1, '2021-07-19 11:29:31', NULL, NULL), (860, '', '洪河村村委会', '4c4a42416da240d0b97cf9613cd0db86', '5926733969d64a689a06909930cbbb07', 'False', 'True', 'false', 'false', '510112009007', 5, '洪河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112009007', 1, '2021-07-19 11:29:31', NULL, NULL), (861, '', '平安村村委会', 'fce467e66c1a4b8ba27c2526acd07e2b', '5926733969d64a689a06909930cbbb07', 'False', 'True', 'false', 'false', '510112009008', 5, '平安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112009008', 1, '2021-07-19 11:29:31', NULL, NULL), (862, '', '龙泉街道', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', '9189f84698984a9594235310a25a9b63', 'True', 'True', 'false', 'false', '510112304000', 4, '龙泉街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510112304000', 1, '2021-07-19 11:29:31', NULL, NULL), (863, '', '永兴街社区居委会', '25ca6ff877634fa5a238aac4a95bfcc2', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112001030', 5, '永兴街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112001030', 1, '2021-07-19 11:29:31', NULL, NULL), (864, '', '东大路社区居委会', '2d8f2c4486be47e287f6e5c7696b6c30', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112001032', 5, '东大路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112001032', 1, '2021-07-19 11:29:31', NULL, NULL), (865, '', '百工堰社区居委会', '9c20404142064511b3f07266a6e9191c', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304119', 5, '百工堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304119', 1, '2021-07-19 11:29:31', NULL, NULL), (866, '', '商业街社区居委会', '2afc61c36f3f4865ad318fc7aaf9ed4c', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304121', 5, '商业街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304121', 1, '2021-07-19 11:29:31', NULL, NULL), (867, '', '驿河社区居委会', 'c50df500b9264f588b3a85e6dce99124', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304176', 5, '驿河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304176', 1, '2021-07-19 11:29:31', NULL, NULL), (868, '', '星光社区居委会', '674c18d93aae4f048c8edddc7dcc7f38', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304189', 5, '星光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304189', 1, '2021-07-19 11:29:31', NULL, NULL), (869, '', '明江路社区居委会', '3e289fac16c4487994bcfcb519b2d382', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304269', 5, '明江路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304269', 1, '2021-07-19 11:29:31', NULL, NULL), (870, '', '驿都路社区居委会', 'f9a48f1525c94359a8d74f3804018060', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304370', 5, '驿都路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304370', 1, '2021-07-19 11:29:32', NULL, NULL), (871, '', '北泉路社区居委会', '320997c02c0e43c2a93bc63a7334e99d', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304407', 5, '北泉路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304407', 1, '2021-07-19 11:29:32', NULL, NULL), (872, '', '书南社区居委会', '7927ee04d0174f0fa52b7f5eeaa9d108', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304410', 5, '书南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304410', 1, '2021-07-19 11:29:32', NULL, NULL), (873, '', '平江路社区居委会', 'ba121209b294491b9705fab4a0c6323b', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304439', 5, '平江路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304439', 1, '2021-07-19 11:29:32', NULL, NULL), (874, '', '崇德社区居委会', 'f9031b8ac0a140d9bd2a4743ede2ead9', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304451', 5, '崇德社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304451', 1, '2021-07-19 11:29:32', NULL, NULL), (875, '', '芦溪河社区居委会', '8777439a5e2d4c17ad0d75e393da0321', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304471', 5, '芦溪河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304471', 1, '2021-07-19 11:29:32', NULL, NULL), (876, '', '万源路社区居委会', '36cd4d60814f4fcd87d4cd7a9d760475', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304629', 5, '万源路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304629', 1, '2021-07-19 11:29:32', NULL, NULL), (877, '', '界牌社区居委会', 'f51f77e297dd4ee99f0183f4e998247d', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304631', 5, '界牌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304631', 1, '2021-07-19 11:29:32', NULL, NULL), (878, '', '保平社区居委会', '9e756973fe974bc484cf0dc539f19b9a', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304646', 5, '保平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304646', 1, '2021-07-19 11:29:32', NULL, NULL), (879, '', '龙都社区居委会', 'd8f74caffce9409e836d9b56ae7dd22f', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304652', 5, '龙都社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304652', 1, '2021-07-19 11:29:32', NULL, NULL), (880, '', '接龙社区居委会', '47c8d7c25d024de498780400c702ac3b', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304727', 5, '接龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304727', 1, '2021-07-19 11:29:32', NULL, NULL), (881, '', '广场社区居委会', 'a089809337c34dc99f071411a8f3a385', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304759', 5, '龙泉广场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304759', 1, '2021-07-19 11:29:32', NULL, NULL), (882, '', '保安社区居委会', '4953096c7e3c4ebc8b108a3a4d039e57', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304760', 5, '保安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304760', 1, '2021-07-19 11:29:32', NULL, NULL), (883, '', '合龙社区居委会', '209780007f61407698a1411e6e2a7b29', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304792', 5, '合龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304792', 1, '2021-07-19 11:29:32', NULL, NULL), (884, '', '怡新社区居委会', '834aae26d895449e9de81f6c1e9a0905', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304801', 5, '怡新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304801', 1, '2021-07-19 11:29:32', NULL, NULL), (885, '', '利民社区居委会', 'eddc272c759b4eae8e4a08c17fe1e1cf', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304809', 5, '利民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304809', 1, '2021-07-19 11:29:33', NULL, NULL), (886, '', '魏家街社区居委会', '5a9655475f6749899638162500a62f27', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304873', 5, '魏家街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304873', 1, '2021-07-19 11:29:33', NULL, NULL), (887, '', '滨河花园社区居委会', '55f4ea59afd445449f4ea58946bb85be', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304889', 5, '滨河花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304889', 1, '2021-07-19 11:29:33', NULL, NULL), (888, '', '长柏路社区居委会', '5467f1a366ed468f8a870c5f62697ed2', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304913', 5, '长柏路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304913', 1, '2021-07-19 11:29:33', NULL, NULL), (889, '', '公园路社区居委会', 'b5be70625c34479f9e83e4feb378e26e', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304957', 5, '公园路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304957', 1, '2021-07-19 11:29:33', NULL, NULL), (890, '', '龙平社区居委会', '7a6f3c7c388a40aca488197cdf6614be', 'c1a7ac5f36ec4c4bb2a7d2200aa02875', 'False', 'True', 'false', 'false', '510112304972', 5, '龙平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112304972', 1, '2021-07-19 11:29:33', NULL, NULL), (891, '', '洛带镇', '3e71c7be2d084b3685d566ca94b26488', '9189f84698984a9594235310a25a9b63', 'True', 'True', 'false', 'false', '510112371000', 4, '洛带镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510112371000', 1, '2021-07-19 11:29:33', NULL, NULL), (892, '', '长安街社区居委会', '256ab018e8e242a2ace4d9acf2607915', '3e71c7be2d084b3685d566ca94b26488', 'False', 'True', 'false', 'false', '510112371113', 5, '长安街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112371113', 1, '2021-07-19 11:29:33', NULL, NULL), (893, '', '八角井社区居委会', '25cca31d4c654512b1c17aa063fb7a05', '3e71c7be2d084b3685d566ca94b26488', 'False', 'True', 'false', 'false', '510112371163', 5, '八角井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112371163', 1, '2021-07-19 11:29:33', NULL, NULL), (894, '', '松桥村村委会', '0c629d5c3143444ab376b9120ecf6e7e', '3e71c7be2d084b3685d566ca94b26488', 'False', 'True', 'false', 'false', '510112371339', 5, '松桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112371339', 1, '2021-07-19 11:29:33', NULL, NULL), (895, '', '老街社区居委会', 'ba586fc19e02488b8a2491698a9acf1a', '3e71c7be2d084b3685d566ca94b26488', 'False', 'True', 'false', 'false', '510112371566', 5, '老街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112371566', 1, '2021-07-19 11:29:33', NULL, NULL), (896, '', '宝胜村村委会', '19a15c15e64b4474b9eb818afe9bf5f5', '3e71c7be2d084b3685d566ca94b26488', 'False', 'True', 'false', 'false', '510112371626', 5, '宝胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112371626', 1, '2021-07-19 11:29:33', NULL, NULL), (897, '', '岐山村村委会', 'bfe743459b6545cabb302eaf09245fdc', '3e71c7be2d084b3685d566ca94b26488', 'False', 'True', 'false', 'false', '510112371810', 5, '岐山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112371810', 1, '2021-07-19 11:29:33', NULL, NULL), (898, '', '柏杨村村委会', 'e9fe6ffa84a04dbcb0448956624bc479', '3e71c7be2d084b3685d566ca94b26488', 'False', 'True', 'false', 'false', '510112371889', 5, '柏杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112371889', 1, '2021-07-19 11:29:33', NULL, NULL), (899, '', '山泉镇', '8646a2275bf643d0b3edd7b6374e4b26', '9189f84698984a9594235310a25a9b63', 'True', 'True', 'false', 'false', '510112469000', 4, '山泉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510112469000', 1, '2021-07-19 11:29:33', NULL, NULL), (900, '', '龙泉湖村村委会', 'af3995a75a774bfd8c901dbb248c1036', '8646a2275bf643d0b3edd7b6374e4b26', 'False', 'True', 'false', 'false', '510112115123', 5, '龙泉湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112115123', 1, '2021-07-19 11:29:33', NULL, NULL), (901, '', '长丰村村委会', '39b3d2fcd095485dbef0ba485b5cb3b2', '8646a2275bf643d0b3edd7b6374e4b26', 'False', 'True', 'false', 'false', '510112115124', 5, '长丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112115124', 1, '2021-07-19 11:29:34', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (902, '', '古驿社区居委会', '3591b40417ac414a84db406caff5e1f7', '8646a2275bf643d0b3edd7b6374e4b26', 'False', 'True', 'false', 'false', '510112115126', 5, '古驿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112115126', 1, '2021-07-19 11:29:34', NULL, NULL), (903, '', '大佛社区居委会', 'b01f0ed574334a3781d5ed06a5945ab8', '8646a2275bf643d0b3edd7b6374e4b26', 'False', 'True', 'false', 'false', '510112469183', 5, '大佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112469183', 1, '2021-07-19 11:29:34', NULL, NULL), (904, '', '桃源村村委会', '83224da3ce9a40e1a2a2563b84a1d9c8', '8646a2275bf643d0b3edd7b6374e4b26', 'False', 'True', 'false', 'false', '510112469328', 5, '桃源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112469328', 1, '2021-07-19 11:29:34', NULL, NULL), (905, '', '花果村村委会', 'f25a88198d014239a42cb6263f170aa0', '8646a2275bf643d0b3edd7b6374e4b26', 'False', 'True', 'false', 'false', '510112469507', 5, '花果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112469507', 1, '2021-07-19 11:29:34', NULL, NULL), (906, '', '美满村村委会', '310909ffd0f04dbfa5ceab56af826822', '8646a2275bf643d0b3edd7b6374e4b26', 'False', 'True', 'false', 'false', '510112469776', 5, '美满村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112469776', 1, '2021-07-19 11:29:34', NULL, NULL), (907, '', '红花村村委会', 'f1b98ce2b6fc42f790a4ac0bc628b9a5', '8646a2275bf643d0b3edd7b6374e4b26', 'False', 'True', 'false', 'false', '510112469899', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112469899', 1, '2021-07-19 11:29:34', NULL, NULL), (908, '', '万兴社区居委会', 'b63c0dcb798a4ad4a3f36a0993bcfab4', '8646a2275bf643d0b3edd7b6374e4b26', 'False', 'True', 'false', 'false', '510112115125', 5, '万兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112115125', 1, '2021-07-19 11:29:34', NULL, NULL), (909, '', '洪安镇', '91228ce596424a939a28599d1dcd9e49', '9189f84698984a9594235310a25a9b63', 'True', 'True', 'false', 'false', '510112521000', 4, '洪安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510112521000', 1, '2021-07-19 11:29:34', NULL, NULL), (910, '', '人和社区居委会', 'cb044796b49e4526aa45e36f6966f15c', '91228ce596424a939a28599d1dcd9e49', 'False', 'True', 'false', 'false', '510112108031', 5, '人和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112108031', 1, '2021-07-19 11:29:34', NULL, NULL), (911, '', '永丰村村委会', '2f28b39d99614f5da5bcd37530681936', '91228ce596424a939a28599d1dcd9e49', 'False', 'True', 'false', 'false', '510112108032', 5, '永丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112108032', 1, '2021-07-19 11:29:34', NULL, NULL), (912, '', '三村村村委会', 'b068d1e09e23437d886c710134dcb4ce', '91228ce596424a939a28599d1dcd9e49', 'False', 'True', 'false', 'false', '510112108033', 5, '三村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112108033', 1, '2021-07-19 11:29:34', NULL, NULL), (913, '', '大同村村委会', '6a9fb95804d4497c95d094a1c2c1b06b', '91228ce596424a939a28599d1dcd9e49', 'False', 'True', 'false', 'false', '510112108034', 5, '大同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112108034', 1, '2021-07-19 11:29:35', NULL, NULL), (914, '', '长伍村村委会', '9c8fdffdd3e84cc9b05861d486a6f174', '91228ce596424a939a28599d1dcd9e49', 'False', 'True', 'false', 'false', '510112108203', 5, '长伍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112108203', 1, '2021-07-19 11:29:35', NULL, NULL), (915, '', '洪福村村委会', 'a3a6bc5157814738a50d7e16f5e14338', '91228ce596424a939a28599d1dcd9e49', 'False', 'True', 'false', 'false', '510112108204', 5, '洪福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112108204', 1, '2021-07-19 11:29:35', NULL, NULL), (916, '', '文安社区居委会', '8b389da1c6cb420eb3e9eac6a00e8548', '91228ce596424a939a28599d1dcd9e49', 'False', 'True', 'false', 'false', '510112108332', 5, '文安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112108332', 1, '2021-07-19 11:29:35', NULL, NULL), (917, '', '土门村村委会', '523101ffd9354bf3b5ac873a41861a65', '91228ce596424a939a28599d1dcd9e49', 'False', 'True', 'false', 'false', '510112108638', 5, '土门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112108638', 1, '2021-07-19 11:29:35', NULL, NULL), (918, '', '红光村村委会', '9c96ccf8ad414caea7fe5e27e0354814', '91228ce596424a939a28599d1dcd9e49', 'False', 'True', 'false', 'false', '510112108883', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112108883', 1, '2021-07-19 11:29:35', NULL, NULL), (919, '', '柏合街道', '1bba7c2b5b52456bb4eb58aef0758d9a', '9189f84698984a9594235310a25a9b63', 'True', 'True', 'false', 'false', '510112543000', 4, '柏合街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510112543000', 1, '2021-07-19 11:29:35', NULL, NULL), (920, '', '东山社区居委会', 'dda7b4ade52e4236a68c4976e119f62f', '1bba7c2b5b52456bb4eb58aef0758d9a', 'False', 'True', 'false', 'false', '510112543111', 5, '东山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112543111', 1, '2021-07-19 11:29:35', NULL, NULL), (921, '', '黎明社区居委会', '291bfa6927d64e9d9ea8f3e8269bafce', '1bba7c2b5b52456bb4eb58aef0758d9a', 'False', 'True', 'false', 'false', '510112543129', 5, '黎明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112543129', 1, '2021-07-19 11:29:35', NULL, NULL), (922, '', '长松村村委会', '9d09be7e48c74f39860f91f8f6452d0b', '1bba7c2b5b52456bb4eb58aef0758d9a', 'False', 'True', 'false', 'false', '510112543134', 5, '长松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112543134', 1, '2021-07-19 11:29:35', NULL, NULL), (923, '', '东篱村村委会', '0c9df23e3c52415f8dfd76f5ea859f35', '1bba7c2b5b52456bb4eb58aef0758d9a', 'False', 'True', 'false', 'false', '510112543244', 5, '东篱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112543244', 1, '2021-07-19 11:29:35', NULL, NULL), (924, '', '东华村村委会', '4455a25d0d3f4ac29065bed8253016c8', '1bba7c2b5b52456bb4eb58aef0758d9a', 'False', 'True', 'false', 'false', '510112543259', 5, '东华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112543259', 1, '2021-07-19 11:29:36', NULL, NULL), (925, '', '宝狮村村委会', 'e3b80eb9ae834f47aa3dc317dee1d061', '1bba7c2b5b52456bb4eb58aef0758d9a', 'False', 'True', 'false', 'false', '510112543373', 5, '宝狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112543373', 1, '2021-07-19 11:29:36', NULL, NULL), (926, '', '二河村村委会', '45482283f8bb439d95601729d691fb17', '1bba7c2b5b52456bb4eb58aef0758d9a', 'False', 'True', 'false', 'false', '510112543431', 5, '二河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112543431', 1, '2021-07-19 11:29:36', NULL, NULL), (927, '', '马坝村村委会', 'df0b012e233a4b90a028cdf8017b947f', '1bba7c2b5b52456bb4eb58aef0758d9a', 'False', 'True', 'false', 'false', '510112543500', 5, '马坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112543500', 1, '2021-07-19 11:29:36', NULL, NULL), (928, '', '双碑村村委会', 'e71808c5b8414c08a1c192ce422a589a', '1bba7c2b5b52456bb4eb58aef0758d9a', 'False', 'True', 'false', 'false', '510112543517', 5, '双碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112543517', 1, '2021-07-19 11:29:36', NULL, NULL), (929, '', '梨花街社区居委会', '693359d8bb88425b9af35440201d1fb3', '1bba7c2b5b52456bb4eb58aef0758d9a', 'False', 'True', 'false', 'false', '510112543518', 5, '梨花街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112543518', 1, '2021-07-19 11:29:36', NULL, NULL), (930, '', '长远社区居委会', 'cc6c38ba100b4c0c8e8c1f12f353f9fe', '1bba7c2b5b52456bb4eb58aef0758d9a', 'False', 'True', 'false', 'false', '510112543651', 5, '长远社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112543651', 1, '2021-07-19 11:29:36', NULL, NULL), (931, '', '南山村村委会', '676da7817b4c49e0a4446d528eca2635', '1bba7c2b5b52456bb4eb58aef0758d9a', 'False', 'True', 'false', 'false', '510112543948', 5, '南山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112543948', 1, '2021-07-19 11:29:37', NULL, NULL), (932, '', '同安街道', 'de61ea778a434c7295dfcd6481e806b1', '9189f84698984a9594235310a25a9b63', 'True', 'True', 'false', 'false', '510112709000', 4, '同安街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510112709000', 1, '2021-07-19 11:29:37', NULL, NULL), (933, '', '福圣社区居委会', '4463cef3e94444d4ad12fdf8c5932ff7', 'de61ea778a434c7295dfcd6481e806b1', 'False', 'True', 'false', 'false', '510112004086', 5, '福圣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112004086', 1, '2021-07-19 11:29:37', NULL, NULL), (934, '', '阳光村村委会', '404b111c3c874256a4e0fcdef7c19aa9', 'de61ea778a434c7295dfcd6481e806b1', 'False', 'True', 'false', 'false', '510112004171', 5, '阳光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112004171', 1, '2021-07-19 11:29:37', NULL, NULL), (935, '', '同兴村村委会', 'eab2c90f49564233958e51ff17bb7ed7', 'de61ea778a434c7295dfcd6481e806b1', 'False', 'True', 'false', 'false', '510112004184', 5, '同兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112004184', 1, '2021-07-19 11:29:37', NULL, NULL), (936, '', '丽阳社区居委会', '87ce212f2c61405cbda061e0cc553a31', 'de61ea778a434c7295dfcd6481e806b1', 'False', 'True', 'false', 'false', '510112004253', 5, '丽阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112004253', 1, '2021-07-19 11:29:37', NULL, NULL), (937, '', '红旗村村委会', '9d0a64db110d403996a37d3183a5c96b', 'de61ea778a434c7295dfcd6481e806b1', 'False', 'True', 'false', 'false', '510112004336', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112004336', 1, '2021-07-19 11:29:37', NULL, NULL), (938, '', '阳坪社区居委会', 'b1f805b2f4ac472ab7246e90dc089b84', 'de61ea778a434c7295dfcd6481e806b1', 'False', 'True', 'false', 'false', '510112004475', 5, '阳坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112004475', 1, '2021-07-19 11:29:37', NULL, NULL), (939, '', '圣南社区居委会', 'bdaee85114ce4379ac69686bf08bc5f5', 'de61ea778a434c7295dfcd6481e806b1', 'False', 'True', 'false', 'false', '510112004516', 5, '圣南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112004516', 1, '2021-07-19 11:29:37', NULL, NULL), (940, '', '同福社区居委会', '0e00e4f5d84b47c39b5a118b728a0b88', 'de61ea778a434c7295dfcd6481e806b1', 'False', 'True', 'false', 'false', '510112004813', 5, '同福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112004813', 1, '2021-07-19 11:29:37', NULL, NULL), (941, '', '十陵街道', 'eff42613573f407f842950b9ece21a9c', '9189f84698984a9594235310a25a9b63', 'True', 'True', 'false', 'false', '510112724000', 4, '十陵街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510112724000', 1, '2021-07-19 11:29:37', NULL, NULL), (942, '', '江华社区居委会', '6fa477b4d5764cf3adecf5953d394166', 'eff42613573f407f842950b9ece21a9c', 'False', 'True', 'false', 'false', '510112724117', 5, '江华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112724117', 1, '2021-07-19 11:29:37', NULL, NULL), (943, '', '来龙村村委会', '89bf26dd1a1f4ffcb077040d1d8ab7d1', 'eff42613573f407f842950b9ece21a9c', 'False', 'True', 'false', 'false', '510112724147', 5, '来龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112724147', 1, '2021-07-19 11:29:37', NULL, NULL), (944, '', '千弓社区居委会', '61fc1e260b0b478ebb0f51019d85fb7e', 'eff42613573f407f842950b9ece21a9c', 'False', 'True', 'false', 'false', '510112724189', 5, '千弓社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112724189', 1, '2021-07-19 11:29:38', NULL, NULL), (945, '', '宁江社区居委会', '1811e7094fe844abab0a04063440513f', 'eff42613573f407f842950b9ece21a9c', 'False', 'True', 'false', 'false', '510112724288', 5, '宁江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112724288', 1, '2021-07-19 11:29:38', NULL, NULL), (946, '', '青龙社区居委会', '0dc069b84f1e4dae8f0ce44536d8010e', 'eff42613573f407f842950b9ece21a9c', 'False', 'True', 'false', 'false', '510112724361', 5, '青龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112724361', 1, '2021-07-19 11:29:38', NULL, NULL), (947, '', '华川社区居委会', '4ded59d81971408ebd495c4abdc622aa', 'eff42613573f407f842950b9ece21a9c', 'False', 'True', 'false', 'false', '510112724411', 5, '华川社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112724411', 1, '2021-07-19 11:29:38', NULL, NULL), (948, '', '石灵社区居委会', '60dc947d1a0a47d3bcfd00796fc4f74e', 'eff42613573f407f842950b9ece21a9c', 'False', 'True', 'false', 'false', '510112724455', 5, '石灵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112724455', 1, '2021-07-19 11:29:38', NULL, NULL), (949, '', '大草坪社区居委会', '277429cd29ba4e18b0b1d3217c0f7fc0', 'eff42613573f407f842950b9ece21a9c', 'False', 'True', 'false', 'false', '510112724654', 5, '大草坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112724654', 1, '2021-07-19 11:29:38', NULL, NULL), (950, '', '天兴社区居委会', '1a920f3c431b43039fb5dd2d5d81fc8b', 'eff42613573f407f842950b9ece21a9c', 'False', 'True', 'false', 'false', '510112724704', 5, '天兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112724704', 1, '2021-07-19 11:29:38', NULL, NULL), (951, '', '和平社区居委会', '18811e8bb2f94f60b119888101e9c806', 'eff42613573f407f842950b9ece21a9c', 'False', 'True', 'false', 'false', '510112724706', 5, '和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112724706', 1, '2021-07-19 11:29:38', NULL, NULL), (952, '', '友谊社区居委会', '4039f0ed61fd450f89f022e62a4e77e9', 'eff42613573f407f842950b9ece21a9c', 'False', 'True', 'false', 'false', '510112724724', 5, '友谊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112724724', 1, '2021-07-19 11:29:38', NULL, NULL), (953, '', '大梁村村委会', '4697c9bcb442497a9c7e5aaa3b6a3db9', 'eff42613573f407f842950b9ece21a9c', 'False', 'True', 'false', 'false', '510112724830', 5, '大梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112724830', 1, '2021-07-19 11:29:38', NULL, NULL), (954, '', '西河街道', 'f322897275264c159f8540f12c583e5d', '9189f84698984a9594235310a25a9b63', 'True', 'True', 'false', 'false', '510112731000', 4, '西河街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510112731000', 1, '2021-07-19 11:29:38', NULL, NULL), (955, '', '千禧社区居委会', 'ff095a2141a1404d9bb6ee643d341a4e', 'f322897275264c159f8540f12c583e5d', 'False', 'True', 'false', 'false', '510112104032', 5, '千禧社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112104032', 1, '2021-07-19 11:29:38', NULL, NULL), (956, '', '积善社区居委会', 'a4fa614c37b24621861e887e9066f732', 'f322897275264c159f8540f12c583e5d', 'False', 'True', 'false', 'false', '510112104033', 5, '积善社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112104033', 1, '2021-07-19 11:29:38', NULL, NULL), (957, '', '金壁社区居委会', '1d0aa861788242489ebfff40a92de8c5', 'f322897275264c159f8540f12c583e5d', 'False', 'True', 'false', 'false', '510112104034', 5, '金壁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112104034', 1, '2021-07-19 11:29:39', NULL, NULL), (958, '', '吉福社区居委会', 'c6d9a104cf5145e18fd604faf92186f6', 'f322897275264c159f8540f12c583e5d', 'False', 'True', 'false', 'false', '510112104035', 5, '吉福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112104035', 1, '2021-07-19 11:29:39', NULL, NULL), (959, '', '上游社区居委会', '730dd5fc86594a3e9ead7a890870ba92', 'f322897275264c159f8540f12c583e5d', 'False', 'True', 'false', 'false', '510112731138', 5, '上游社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112731138', 1, '2021-07-19 11:29:39', NULL, NULL), (960, '', '滨西社区居委会', '84119aa63162483daf8b1728c1db0800', 'f322897275264c159f8540f12c583e5d', 'False', 'True', 'false', 'false', '510112731149', 5, '滨西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112731149', 1, '2021-07-19 11:29:39', NULL, NULL), (961, '', '鹿角社区居委会', '40a9f95de5ba409b9fdc7240f4ff7c07', 'f322897275264c159f8540f12c583e5d', 'False', 'True', 'false', 'false', '510112731203', 5, '鹿角社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112731203', 1, '2021-07-19 11:29:39', NULL, NULL), (962, '', '卫星村村委会', 'bf04a36b373b4490a7fd7a24d5e90496', 'f322897275264c159f8540f12c583e5d', 'False', 'True', 'false', 'false', '510112731280', 5, '卫星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112731280', 1, '2021-07-19 11:29:39', NULL, NULL), (963, '', '龙井村村委会', '5980d91041bc49f68c2fd06e55e589eb', 'f322897275264c159f8540f12c583e5d', 'False', 'True', 'false', 'false', '510112731584', 5, '龙井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112731584', 1, '2021-07-19 11:29:39', NULL, NULL), (964, '', '大龙村村委会', '24fa997d661c4122bc3f69dd5d26f163', 'f322897275264c159f8540f12c583e5d', 'False', 'True', 'false', 'false', '510112731677', 5, '大龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112731677', 1, '2021-07-19 11:29:39', NULL, NULL), (965, '', '跃进社区居委会', 'a73f4c53644c4c61bfa6c5ebf9b9c97c', 'f322897275264c159f8540f12c583e5d', 'False', 'True', 'false', 'false', '510112731777', 5, '跃进社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112731777', 1, '2021-07-19 11:29:39', NULL, NULL), (966, '', '两河村村委会', 'ccc32fd9279a440683b56e9283be5b05', 'f322897275264c159f8540f12c583e5d', 'False', 'True', 'false', 'false', '510112731807', 5, '两河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112731807', 1, '2021-07-19 11:29:39', NULL, NULL), (967, '', '黄连村村委会', 'a0126196312542b19fbd727452913d33', 'f322897275264c159f8540f12c583e5d', 'False', 'True', 'false', 'false', '510112731855', 5, '黄连村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112731855', 1, '2021-07-19 11:29:39', NULL, NULL), (968, '', '天平村村委会', '5ac60a88979a43c8aa1d7f71584c3c2b', 'f322897275264c159f8540f12c583e5d', 'False', 'True', 'false', 'false', '510112731917', 5, '天平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112731917', 1, '2021-07-19 11:29:39', NULL, NULL), (969, '', '阙家社区居委会', '188fa4023d09484cbbd79e857c69c189', 'f322897275264c159f8540f12c583e5d', 'False', 'True', 'false', 'false', '510112731942', 5, '阙家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112731942', 1, '2021-07-19 11:29:39', NULL, NULL), (970, '', '大面街道', '2a13a57649184872bdf034739529af6c', '9189f84698984a9594235310a25a9b63', 'True', 'True', 'false', 'false', '510112932000', 4, '大面街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510112932000', 1, '2021-07-19 11:29:39', NULL, NULL), (971, '', '悦龙社区居委会', '5fae653c8d2d464aa814d1446a44354a', '2a13a57649184872bdf034739529af6c', 'False', 'True', 'false', 'false', '510112002012', 5, '悦龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112002012', 1, '2021-07-19 11:29:39', NULL, NULL), (972, '', '瑞龙社区居委会', 'df4c5f62327f49bab163761198733196', '2a13a57649184872bdf034739529af6c', 'False', 'True', 'false', 'false', '510112002013', 5, '瑞龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112002013', 1, '2021-07-19 11:29:39', NULL, NULL), (973, '', '卧龙社区居委会', '43038510f7e44f25aa52ced8a793a8a4', '2a13a57649184872bdf034739529af6c', 'False', 'True', 'false', 'false', '510112002014', 5, '卧龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112002014', 1, '2021-07-19 11:29:40', NULL, NULL), (974, '', '青台山社区居委会', 'e98f5bb982f04acc84bd48204cfa55fc', '2a13a57649184872bdf034739529af6c', 'False', 'True', 'false', 'false', '510112002016', 5, '青台山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112002016', 1, '2021-07-19 11:29:40', NULL, NULL), (975, '', '龙华社区居委会', '91ec9cd228a6443ebc0a11b7121ffafe', '2a13a57649184872bdf034739529af6c', 'False', 'True', 'false', 'false', '510112932148', 5, '龙华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112932148', 1, '2021-07-19 11:29:40', NULL, NULL), (976, '', '洪柳社区居委会', 'b2f95681b065491d844d086f5c419f58', '2a13a57649184872bdf034739529af6c', 'False', 'True', 'false', 'false', '510112932152', 5, '洪柳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112932152', 1, '2021-07-19 11:29:40', NULL, NULL), (977, '', '好日子社区居委会', 'ee46a7d05cff4e328cf1550f7431f406', '2a13a57649184872bdf034739529af6c', 'False', 'True', 'false', 'false', '510112932176', 5, '好日子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112932176', 1, '2021-07-19 11:29:40', NULL, NULL), (978, '', '师大社区居委会', 'c6398c7f56ae44aaa91f75b79dffa2c6', '2a13a57649184872bdf034739529af6c', 'False', 'True', 'false', 'false', '510112932238', 5, '师大社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112932238', 1, '2021-07-19 11:29:40', NULL, NULL), (979, '', '龙安社区居委会', 'c783c2701e9347e9ace4f1a91f91873c', '2a13a57649184872bdf034739529af6c', 'False', 'True', 'false', 'false', '510112932251', 5, '龙安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112932251', 1, '2021-07-19 11:29:40', NULL, NULL), (980, '', '陵川社区居委会', '304401b50e5c452f931c377a48ca17ad', '2a13a57649184872bdf034739529af6c', 'False', 'True', 'false', 'false', '510112932276', 5, '陵川社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112932276', 1, '2021-07-19 11:29:40', NULL, NULL), (981, '', '五星社区居委会', '41ce25bd64bd48a0b3484a65abd0ecc6', '2a13a57649184872bdf034739529af6c', 'False', 'True', 'false', 'false', '510112932443', 5, '五星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112932443', 1, '2021-07-19 11:29:40', NULL, NULL), (982, '', '民乐社区居委会', 'a4c874eea4b54d58ba816c12a775e4af', '2a13a57649184872bdf034739529af6c', 'False', 'True', 'false', 'false', '510112932518', 5, '民乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112932518', 1, '2021-07-19 11:29:40', NULL, NULL), (983, '', '玉石社区居委会', '6c2a636b402d445882697ba56f4d97fd', '2a13a57649184872bdf034739529af6c', 'False', 'True', 'false', 'false', '510112932690', 5, '玉石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112932690', 1, '2021-07-19 11:29:40', NULL, NULL), (984, '', '分水社区居委会', '2420b1d776dc49b99e93eac8324f4515', '2a13a57649184872bdf034739529af6c', 'False', 'True', 'false', 'false', '510112932781', 5, '分水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112932781', 1, '2021-07-19 11:29:40', NULL, NULL), (985, '', '东洪社区居委会', '2faefb6c4c89418ba0ef3e012b7858ad', '2a13a57649184872bdf034739529af6c', 'False', 'True', 'false', 'false', '510112932897', 5, '东洪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112932897', 1, '2021-07-19 11:29:40', NULL, NULL), (986, '', '天鹅湖社区居委会', 'dd85e621c3444f3ea70874e5a7bb8b63', '2a13a57649184872bdf034739529af6c', 'False', 'True', 'false', 'false', '510112932955', 5, '天鹅湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510112932955', 1, '2021-07-19 11:29:41', NULL, NULL), (987, '', '青白江区', '5e7665c09cc14d538805b8899835f029', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510113000000', 3, '青白江区', 'cdsqbjq.sczwfw.gov.cn', 1, '2021-07-19 11:29:41', NULL, NULL), (988, '', '清泉镇', 'ee938dbab5744e42b9536e42fcd4477d', '5e7665c09cc14d538805b8899835f029', 'True', 'True', 'false', 'false', '510113119000', 4, '清泉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510113119000', 1, '2021-07-19 11:29:41', NULL, NULL), (989, '', '五里坝社区', '5212688d3bdc41c0ba2aaa763d7b4d0c', 'ee938dbab5744e42b9536e42fcd4477d', 'False', 'True', 'false', 'false', '510113108088', 5, '五里坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113108088', 1, '2021-07-19 11:29:41', NULL, NULL), (990, '', '龙顺村', '9c4c5763eedb4c71859bd19e7c26503a', 'ee938dbab5744e42b9536e42fcd4477d', 'False', 'True', 'false', 'false', '510113108816', 5, '龙顺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113108816', 1, '2021-07-19 11:29:41', NULL, NULL), (991, '', '逍遥坪村', 'b251c68840a84598a682a713fb0202d8', 'ee938dbab5744e42b9536e42fcd4477d', 'False', 'True', 'false', 'false', '510113108832', 5, '逍遥坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113108832', 1, '2021-07-19 11:29:41', NULL, NULL), (992, '', '廖家场社区', '5ee5b87369c1457ca1e5bf0165295dc2', 'ee938dbab5744e42b9536e42fcd4477d', 'False', 'True', 'false', 'false', '510113119199', 5, '廖家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113119199', 1, '2021-07-19 11:29:41', NULL, NULL), (993, '', '牌坊村', 'fac950fc6a7f4bff81f4065a628122c7', 'ee938dbab5744e42b9536e42fcd4477d', 'False', 'True', 'false', 'false', '510113119276', 5, '牌坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113119276', 1, '2021-07-19 11:29:41', NULL, NULL), (994, '', '五桂村', '9dde6a39df6245988dc58af748a62994', 'ee938dbab5744e42b9536e42fcd4477d', 'False', 'True', 'false', 'false', '510113119436', 5, '五桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113119436', 1, '2021-07-19 11:29:41', NULL, NULL), (995, '', '五爱村', '784e0ad8887b4088a0a65b781cde20fb', 'ee938dbab5744e42b9536e42fcd4477d', 'False', 'True', 'false', 'false', '510113119579', 5, '五爱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113119579', 1, '2021-07-19 11:29:41', NULL, NULL), (996, '', '八仙桥社区', '966683eb10444158bd740b0cb767b854', 'ee938dbab5744e42b9536e42fcd4477d', 'False', 'True', 'false', 'false', '510113119626', 5, '八仙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113119626', 1, '2021-07-19 11:29:41', NULL, NULL), (997, '', '花园村', '4e2beb4953a845c2a0eb727a07c2d5e0', 'ee938dbab5744e42b9536e42fcd4477d', 'False', 'True', 'false', 'false', '510113119668', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113119668', 1, '2021-07-19 11:29:41', NULL, NULL), (998, '', '北宁村', 'c02867610ab04f9db1f92af3e1fc0d9c', 'ee938dbab5744e42b9536e42fcd4477d', 'False', 'True', 'false', 'false', '510113119740', 5, '北宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113119740', 1, '2021-07-19 11:29:41', NULL, NULL), (999, '', '桔丰村', 'accbe69b6f544acb890a9530b01596cb', 'ee938dbab5744e42b9536e42fcd4477d', 'False', 'True', 'false', 'false', '510113119764', 5, '桔丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113119764', 1, '2021-07-19 11:29:41', NULL, NULL), (1000, '', '西平村', 'bc66a346f21446d5bb0ce9c135ba6651', 'ee938dbab5744e42b9536e42fcd4477d', 'False', 'True', 'false', 'false', '510113119869', 5, '西平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113119869', 1, '2021-07-19 11:29:41', NULL, NULL), (1001, '', '城厢镇', 'aa93d317c425486aa614782136a6438c', '5e7665c09cc14d538805b8899835f029', 'True', 'True', 'false', 'false', '510113134000', 4, '城厢镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510113134000', 1, '2021-07-19 11:29:41', NULL, NULL), (1002, '', '甘泉社区', '41e8c4497f17432fbeb136fcc2119bcd', 'aa93d317c425486aa614782136a6438c', 'False', 'True', 'false', 'false', '510113104299', 5, '甘泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113104299', 1, '2021-07-19 11:29:41', NULL, NULL), (1003, '', '康家渡社区', 'c888cf049d57423683cb902a7bba708c', 'aa93d317c425486aa614782136a6438c', 'False', 'True', 'false', 'false', '510113104475', 5, '康家渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113104475', 1, '2021-07-19 11:29:42', NULL, NULL), (1004, '', '天星社区', '5f78e72755d84f2c9463bf255a5682dc', 'aa93d317c425486aa614782136a6438c', 'False', 'True', 'false', 'false', '510113104511', 5, '天星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113104511', 1, '2021-07-19 11:29:42', NULL, NULL), (1005, '', '桂通社区', '9dfa95eedd314cce9c20ee6d31e29470', 'aa93d317c425486aa614782136a6438c', 'False', 'True', 'false', 'false', '510113104571', 5, '桂通社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113104571', 1, '2021-07-19 11:29:42', NULL, NULL), (1006, '', '沿沱村', 'ce647e3c32ea4639ab2633aa5c7e0e08', 'aa93d317c425486aa614782136a6438c', 'False', 'True', 'false', 'false', '510113134128', 5, '沿沱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113134128', 1, '2021-07-19 11:29:42', NULL, NULL), (1007, '', '绣川河社区', 'ddbf7e4a124a4efaae7c14dc24b3c4fe', 'aa93d317c425486aa614782136a6438c', 'False', 'True', 'false', 'false', '510113134284', 5, '绣川河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113134284', 1, '2021-07-19 11:29:42', NULL, NULL), (1008, '', '茶花社区', 'e2e0f344ba6b44879f2d9cc16d1b0371', 'aa93d317c425486aa614782136a6438c', 'False', 'True', 'false', 'false', '510113134303', 5, '茶花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113134303', 1, '2021-07-19 11:29:42', NULL, NULL), (1009, '', '五泉社区', 'f8b6f3b4735d4cee910f2c450a0b2070', 'aa93d317c425486aa614782136a6438c', 'False', 'True', 'false', 'false', '510113134329', 5, '五泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113134329', 1, '2021-07-19 11:29:42', NULL, NULL), (1010, '', '马鞍社区', '3ec79ca7eeb049c880e1742047c89141', 'aa93d317c425486aa614782136a6438c', 'False', 'True', 'false', 'false', '510113134398', 5, '马鞍社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113134398', 1, '2021-07-19 11:29:42', NULL, NULL), (1011, '', '十八湾村', '0a69ca5a64c74f0ab172ee3a8562fa98', 'aa93d317c425486aa614782136a6438c', 'False', 'True', 'false', 'false', '510113134439', 5, '十八湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113134439', 1, '2021-07-19 11:29:42', NULL, NULL), (1012, '', '槐树街社区', '6c967e0f159f4057b730a4bc1b98a9f6', 'aa93d317c425486aa614782136a6438c', 'False', 'True', 'false', 'false', '510113134512', 5, '槐树街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113134512', 1, '2021-07-19 11:29:42', NULL, NULL), (1013, '', '龙潭社区', '00601ec98fc34e1da490fe8c46a8ce73', 'aa93d317c425486aa614782136a6438c', 'False', 'True', 'false', 'false', '510113134653', 5, '龙潭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113134653', 1, '2021-07-19 11:29:42', NULL, NULL), (1014, '', '壁峰社区', '75dc2780606d4309b3b321670c94462e', 'aa93d317c425486aa614782136a6438c', 'False', 'True', 'false', 'false', '510113134851', 5, '壁峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113134851', 1, '2021-07-19 11:29:42', NULL, NULL), (1015, '', '十五里社区', '34f618f35f2b4fc4b63d959c6717aee5', 'aa93d317c425486aa614782136a6438c', 'False', 'True', 'false', 'false', '510113134952', 5, '十五里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113134952', 1, '2021-07-19 11:29:42', NULL, NULL), (1016, '', '玉龙村', '1b8c103d54d4410983dd2c8dd9fff64b', 'aa93d317c425486aa614782136a6438c', 'False', 'True', 'false', 'false', '510113134996', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113134996', 1, '2021-07-19 11:29:42', NULL, NULL), (1017, '', '弥牟镇', 'de0fa32eb5b246aab528efa9a087faf9', '5e7665c09cc14d538805b8899835f029', 'True', 'True', 'false', 'false', '510113325000', 4, '弥牟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510113325000', 1, '2021-07-19 11:29:42', NULL, NULL), (1018, '', '白马村', 'fe01e12af0cd47bfb89fdcd5a50b8536', 'de0fa32eb5b246aab528efa9a087faf9', 'False', 'True', 'false', 'false', '510113325175', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113325175', 1, '2021-07-19 11:29:42', NULL, NULL), (1019, '', '狮子村', '5c873573bb06441681ea54e82bef851c', 'de0fa32eb5b246aab528efa9a087faf9', 'False', 'True', 'false', 'false', '510113325401', 5, '狮子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113325401', 1, '2021-07-19 11:29:42', NULL, NULL), (1020, '', '国光社区', '53f75f77a95447a18ff40e033d1bbae5', 'de0fa32eb5b246aab528efa9a087faf9', 'False', 'True', 'false', 'false', '510113325727', 5, '国光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113325727', 1, '2021-07-19 11:29:43', NULL, NULL), (1021, '', '火星社区', 'aa1a26d900864f47a1029fa7d41b9b4a', 'de0fa32eb5b246aab528efa9a087faf9', 'False', 'True', 'false', 'false', '510113325783', 5, '火星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113325783', 1, '2021-07-19 11:29:43', NULL, NULL), (1022, '', '三星社区', '6eb637a8dd24433eb35d323c4c17c777', 'de0fa32eb5b246aab528efa9a087faf9', 'False', 'True', 'false', 'false', '510113325827', 5, '三星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113325827', 1, '2021-07-19 11:29:43', NULL, NULL), (1023, '', '唐家寺社区', '76d52da963e54a1a9527d605bd392d36', 'de0fa32eb5b246aab528efa9a087faf9', 'False', 'True', 'false', 'false', '510113325888', 5, '唐家寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113325888', 1, '2021-07-19 11:29:43', NULL, NULL), (1024, '', '曙光村', '087b0dc058e141819ec83ac27f4bda6e', 'de0fa32eb5b246aab528efa9a087faf9', 'False', 'True', 'false', 'false', '510113325931', 5, '曙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113325931', 1, '2021-07-19 11:29:43', NULL, NULL), (1025, '', '大弯街道', '96583fa99c2f46ac83d6a2a0cd255e40', '5e7665c09cc14d538805b8899835f029', 'True', 'True', 'false', 'false', '510113688000', 4, '大弯街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510113688000', 1, '2021-07-19 11:29:43', NULL, NULL), (1026, '', '北新社区', '7bbc7a9cf82c4562b4c9963ea929a1be', '96583fa99c2f46ac83d6a2a0cd255e40', 'False', 'True', 'false', 'false', '510113002019', 5, '北新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113002019', 1, '2021-07-19 11:29:43', NULL, NULL), (1027, '', '团结路社区', '4528f94b26a445e38570b27a76ebc910', '96583fa99c2f46ac83d6a2a0cd255e40', 'False', 'True', 'false', 'false', '510113002024', 5, '团结路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113002024', 1, '2021-07-19 11:29:43', NULL, NULL), (1028, '', '华严社区', '5d312298c62042e4830a6d23dd07ecca', '96583fa99c2f46ac83d6a2a0cd255e40', 'False', 'True', 'false', 'false', '510113002087', 5, '华严社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113002087', 1, '2021-07-19 11:29:43', NULL, NULL), (1029, '', '长流河社区', 'c211921c116e4549ba8d6ec88ca967d0', '96583fa99c2f46ac83d6a2a0cd255e40', 'False', 'True', 'false', 'false', '510113002184', 5, '长流河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113002184', 1, '2021-07-19 11:29:43', NULL, NULL), (1030, '', '青江路社区', '74be938e3b574afe8b7b12b5d79cbc7c', '96583fa99c2f46ac83d6a2a0cd255e40', 'False', 'True', 'false', 'false', '510113002221', 5, '青江路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113002221', 1, '2021-07-19 11:29:43', NULL, NULL), (1031, '', '红锋社区', '5ea3a9010c804881b43a407754d31acb', '96583fa99c2f46ac83d6a2a0cd255e40', 'False', 'True', 'false', 'false', '510113002380', 5, '红锋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113002380', 1, '2021-07-19 11:29:43', NULL, NULL), (1032, '', '蔡家庙社区', 'b7bc71fb75794d5e98935d5fe981f9d9', '96583fa99c2f46ac83d6a2a0cd255e40', 'False', 'True', 'false', 'false', '510113002431', 5, '蔡家庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113002431', 1, '2021-07-19 11:29:43', NULL, NULL), (1033, '', '红阳社区', '4cc8960fbbd643ada16a97f9d8936356', '96583fa99c2f46ac83d6a2a0cd255e40', 'False', 'True', 'false', 'false', '510113002957', 5, '红阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113002957', 1, '2021-07-19 11:29:43', NULL, NULL), (1034, '', '红河社区', '2262b66dfe1a4eabaf005ea68186cc1e', '96583fa99c2f46ac83d6a2a0cd255e40', 'False', 'True', 'false', 'false', '510113688329', 5, '红河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113688329', 1, '2021-07-19 11:29:43', NULL, NULL), (1035, '', '凤凰湖社区', '143c0fd314884ee9a4f7c3a29debd4c3', '96583fa99c2f46ac83d6a2a0cd255e40', 'False', 'True', 'false', 'false', '510113688434', 5, '凤凰湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113688434', 1, '2021-07-19 11:29:43', NULL, NULL), (1036, '', '怡湖社区', '11a24e2f58134fea83e4d87e0cc7c3f0', '96583fa99c2f46ac83d6a2a0cd255e40', 'False', 'True', 'false', 'false', '510113688443', 5, '怡湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113688443', 1, '2021-07-19 11:29:43', NULL, NULL), (1037, '', '卿家湾社区', '9def5485ef1e400ea4676c0730ba3582', '96583fa99c2f46ac83d6a2a0cd255e40', 'False', 'True', 'false', 'false', '510113688506', 5, '卿家湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113688506', 1, '2021-07-19 11:29:43', NULL, NULL), (1038, '', '大弯社区', 'c1579392f6a54c8fa046841c1c9aca72', '96583fa99c2f46ac83d6a2a0cd255e40', 'False', 'True', 'false', 'false', '510113688552', 5, '大弯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113688552', 1, '2021-07-19 11:29:43', NULL, NULL), (1039, '', '石家碾社区', '767bf13312c3410a96d0671d7dc97287', '96583fa99c2f46ac83d6a2a0cd255e40', 'False', 'True', 'false', 'false', '510113688576', 5, '石家碾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113688576', 1, '2021-07-19 11:29:43', NULL, NULL), (1040, '', '革新社区', '109f0a6080904b159c66d602da00bbed', '96583fa99c2f46ac83d6a2a0cd255e40', 'False', 'True', 'false', 'false', '510113688653', 5, '革新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113688653', 1, '2021-07-19 11:29:44', NULL, NULL), (1041, '', '广场社区', '84cbd1a9cb6e4932ba768a124c4f88f5', '96583fa99c2f46ac83d6a2a0cd255e40', 'False', 'True', 'false', 'false', '510113688856', 5, '广场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113688856', 1, '2021-07-19 11:29:44', NULL, NULL), (1042, '', '化工路社区', 'd4007272d4c04accbe464971777e8b92', '96583fa99c2f46ac83d6a2a0cd255e40', 'False', 'True', 'false', 'false', '510113688880', 5, '化工路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113688880', 1, '2021-07-19 11:29:44', NULL, NULL), (1043, '', '黄家碾社区', 'cf7a431abd144a8db9248a1aa7980082', '96583fa99c2f46ac83d6a2a0cd255e40', 'False', 'True', 'false', 'false', '510113688963', 5, '黄家碾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113688963', 1, '2021-07-19 11:29:44', NULL, NULL), (1044, '', '福洪镇', '8423209a2fd94d399102d42d0d30e43a', '5e7665c09cc14d538805b8899835f029', 'True', 'True', 'false', 'false', '510113736000', 4, '福洪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510113736000', 1, '2021-07-19 11:29:44', NULL, NULL), (1045, '', '陈家湾社区', 'c30564278ec94bf1bbd826cea5554383', '8423209a2fd94d399102d42d0d30e43a', 'False', 'True', 'false', 'false', '510113111001', 5, '陈家湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113111001', 1, '2021-07-19 11:29:44', NULL, NULL), (1046, '', '上元桥社区', '7bcba7a49136444b90ca034c9b4007c4', '8423209a2fd94d399102d42d0d30e43a', 'False', 'True', 'false', 'false', '510113111004', 5, '上元桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113111004', 1, '2021-07-19 11:29:44', NULL, NULL), (1047, '', '金星村', 'a6b2673d740243bf9ed4f33bfda82544', '8423209a2fd94d399102d42d0d30e43a', 'False', 'True', 'false', 'false', '510113111070', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113111070', 1, '2021-07-19 11:29:44', NULL, NULL), (1048, '', '三元村', 'c4537ca93c564cfa9de1799e70bdb216', '8423209a2fd94d399102d42d0d30e43a', 'False', 'True', 'false', 'false', '510113111090', 5, '三元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113111090', 1, '2021-07-19 11:29:44', NULL, NULL), (1049, '', '油坊村', '543c13e72a92417fa30682e06c1f8d4a', '8423209a2fd94d399102d42d0d30e43a', 'False', 'True', 'false', 'false', '510113111266', 5, '油坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113111266', 1, '2021-07-19 11:29:44', NULL, NULL), (1050, '', '壁山村', 'aa3d9299d4884da597ea87177eade709', '8423209a2fd94d399102d42d0d30e43a', 'False', 'True', 'false', 'false', '510113111544', 5, '壁山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113111544', 1, '2021-07-19 11:29:44', NULL, NULL), (1051, '', '龙王村', '1aa80ea8b4664850b3a6a4ee55d7f0e4', '8423209a2fd94d399102d42d0d30e43a', 'False', 'True', 'false', 'false', '510113111891', 5, '龙王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113111891', 1, '2021-07-19 11:29:44', NULL, NULL), (1052, '', '字库社区', '85d9c084fe1a4eb18ef0bae028322423', '8423209a2fd94d399102d42d0d30e43a', 'False', 'True', 'false', 'false', '510113736184', 5, '字库社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113736184', 1, '2021-07-19 11:29:44', NULL, NULL), (1053, '', '杏花社区', '77ba6dd621cc474c9b0d684cd6b82c42', '8423209a2fd94d399102d42d0d30e43a', 'False', 'True', 'false', 'false', '510113736562', 5, '杏花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113736562', 1, '2021-07-19 11:29:44', NULL, NULL), (1054, '', '大同街道', '9ceaf7b3c94542b099b0877bf391c8ae', '5e7665c09cc14d538805b8899835f029', 'True', 'True', 'false', 'false', '510113899000', 4, '大同街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510113899000', 1, '2021-07-19 11:29:44', NULL, NULL), (1055, '', '同福村', 'c52f009356e345879dd88cd5c4298f25', '9ceaf7b3c94542b099b0877bf391c8ae', 'False', 'True', 'false', 'false', '510113899157', 5, '同福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113899157', 1, '2021-07-19 11:29:44', NULL, NULL), (1056, '', '新峰社区', '86bd25589bc24949b3116fd70e2676b7', '9ceaf7b3c94542b099b0877bf391c8ae', 'False', 'True', 'false', 'false', '510113899159', 5, '新峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113899159', 1, '2021-07-19 11:29:45', NULL, NULL), (1057, '', '界牌村', '067f759cdb114515a8c12fae510f415d', '9ceaf7b3c94542b099b0877bf391c8ae', 'False', 'True', 'false', 'false', '510113899306', 5, '界牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113899306', 1, '2021-07-19 11:29:45', NULL, NULL), (1058, '', '凤祥社区', 'e37f0404630a4ba5b9eb13c582c00109', '9ceaf7b3c94542b099b0877bf391c8ae', 'False', 'True', 'false', 'false', '510113899409', 5, '凤祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113899409', 1, '2021-07-19 11:29:45', NULL, NULL), (1059, '', '青龙村', 'aa92b09ba63345718330687c3874f28e', '9ceaf7b3c94542b099b0877bf391c8ae', 'False', 'True', 'false', 'false', '510113899590', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113899590', 1, '2021-07-19 11:29:45', NULL, NULL), (1060, '', '西林社区', '04be4151eef54f09b8429d0d35f43fdc', '9ceaf7b3c94542b099b0877bf391c8ae', 'False', 'True', 'false', 'false', '510113899708', 5, '西林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113899708', 1, '2021-07-19 11:29:45', NULL, NULL), (1061, '', '一心社区', '5ce6bb555fd146ddb04a9761aee1132b', '9ceaf7b3c94542b099b0877bf391c8ae', 'False', 'True', 'false', 'false', '510113899812', 5, '一心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113899812', 1, '2021-07-19 11:29:45', NULL, NULL), (1062, '', '红光社区', '3374447cba4a40f58e770f6968abd276', '9ceaf7b3c94542b099b0877bf391c8ae', 'False', 'True', 'false', 'false', '510113899880', 5, '红光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113899880', 1, '2021-07-19 11:29:45', NULL, NULL), (1063, '', '姚渡镇', '24833f5fbd7549d099e944ea2e5b0533', '5e7665c09cc14d538805b8899835f029', 'True', 'True', 'false', 'false', '510113995000', 4, '姚渡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510113995000', 1, '2021-07-19 11:29:45', NULL, NULL), (1064, '', '清平村', '7810cba6f690447d88a9dfe9d8329e9c', '24833f5fbd7549d099e944ea2e5b0533', 'False', 'True', 'false', 'false', '510113106046', 5, '清平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113106046', 1, '2021-07-19 11:29:45', NULL, NULL), (1065, '', '梁湾村', 'a1fc113e4f64486eb6eea000ef67b21e', '24833f5fbd7549d099e944ea2e5b0533', 'False', 'True', 'false', 'false', '510113106066', 5, '梁湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113106066', 1, '2021-07-19 11:29:45', NULL, NULL), (1066, '', '西江村', '7f681d7c42ac4f21b34e84a848a9efff', '24833f5fbd7549d099e944ea2e5b0533', 'False', 'True', 'false', 'false', '510113106122', 5, '西江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113106122', 1, '2021-07-19 11:29:45', NULL, NULL), (1067, '', '天平堰村', '85b10a35030240ca8aebe7e0901f6a44', '24833f5fbd7549d099e944ea2e5b0533', 'False', 'True', 'false', 'false', '510113106186', 5, '天平堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113106186', 1, '2021-07-19 11:29:46', NULL, NULL), (1068, '', '马坪村', '3059a77740e14b1b91b7ebb642adfd4b', '24833f5fbd7549d099e944ea2e5b0533', 'False', 'True', 'false', 'false', '510113106256', 5, '马坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113106256', 1, '2021-07-19 11:29:46', NULL, NULL), (1069, '', '龙王社区', '677cdf8e34264043b081a8d9fbdb85dc', '24833f5fbd7549d099e944ea2e5b0533', 'False', 'True', 'false', 'false', '510113106308', 5, '龙王社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113106308', 1, '2021-07-19 11:29:46', NULL, NULL), (1070, '', '东方社区', 'c7d5edf5debb4a4b941f1974b2daefc5', '24833f5fbd7549d099e944ea2e5b0533', 'False', 'True', 'false', 'false', '510113106340', 5, '东方社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113106340', 1, '2021-07-19 11:29:46', NULL, NULL), (1071, '', '牟池塔村', '78db4c4413db4a4abff478dc760381bb', '24833f5fbd7549d099e944ea2e5b0533', 'False', 'True', 'false', 'false', '510113106423', 5, '牟池塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113106423', 1, '2021-07-19 11:29:46', NULL, NULL), (1072, '', '红瓦店社区', '1605125539154642a9ed0992770c78fc', '24833f5fbd7549d099e944ea2e5b0533', 'False', 'True', 'false', 'false', '510113106627', 5, '红瓦店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113106627', 1, '2021-07-19 11:29:46', NULL, NULL), (1073, '', '姚家渡社区', 'a4353329129f4cfeb118872ebdf0386a', '24833f5fbd7549d099e944ea2e5b0533', 'False', 'True', 'false', 'false', '510113995333', 5, '姚家渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113995333', 1, '2021-07-19 11:29:46', NULL, NULL), (1074, '', '光明村', '715381ea27f440f38e612f4bc24a7daf', '24833f5fbd7549d099e944ea2e5b0533', 'False', 'True', 'false', 'false', '510113995375', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113995375', 1, '2021-07-19 11:29:46', NULL, NULL), (1075, '', '坪家村', '4fc31bca260b4c80ae12fd8e82955fb5', '24833f5fbd7549d099e944ea2e5b0533', 'False', 'True', 'false', 'false', '510113995447', 5, '坪家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113995447', 1, '2021-07-19 11:29:46', NULL, NULL), (1076, '', '凉水村', 'fefaedcf6e2e4c18815c5493f4e05e83', '24833f5fbd7549d099e944ea2e5b0533', 'False', 'True', 'false', 'false', '510113995502', 5, '凉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113995502', 1, '2021-07-19 11:29:46', NULL, NULL), (1077, '', '芦稿村', 'd8390ca51ce3453a8ac506df438cef5d', '24833f5fbd7549d099e944ea2e5b0533', 'False', 'True', 'false', 'false', '510113995689', 5, '芦稿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510113995689', 1, '2021-07-19 11:29:46', NULL, NULL), (1078, '', '新都区', '8e22639b66c64a71b93acd6b77330b46', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510114000000', 3, '新都区', 'cdsxdq.sczwfw.gov.cn', 1, '2021-07-19 11:29:46', NULL, NULL), (1079, '', '桂湖街道', '9818d182c6e8496a8c49b18bd16d88f3', '8e22639b66c64a71b93acd6b77330b46', 'True', 'True', 'false', 'false', '510114008000', 4, '桂湖街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510114008000', 1, '2021-07-19 11:29:46', NULL, NULL), (1080, '', '封赐村', '4e6b8b434b634ccaa4e9fbedbb348784', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008400', 5, '封赐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008400', 1, '2021-07-19 11:29:46', NULL, NULL), (1081, '', '高架村', '6f655c30797c46d69ed89743ee1a04b6', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008401', 5, '高架村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008401', 1, '2021-07-19 11:29:46', NULL, NULL), (1082, '', '施营社区', '2b4fa965196a47c3bb1ddee4b4b566ad', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008402', 5, '施营社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008402', 1, '2021-07-19 11:29:47', NULL, NULL), (1083, '', '汉城社区', 'e36c904167b742d4839cc10b0e224015', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008403', 5, '汉城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008403', 1, '2021-07-19 11:29:47', NULL, NULL), (1084, '', '天官村', '0cb244bdaf724c0e805948a3e31d99ab', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008404', 5, '天官村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008404', 1, '2021-07-19 11:29:47', NULL, NULL), (1085, '', '状元社区', 'f3a02f0b058b4289914ceeafc62921a5', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008405', 5, '状元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008405', 1, '2021-07-19 11:29:47', NULL, NULL), (1086, '', '毗河社区', '51a792e64477423c8688a089bfe518e0', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008406', 5, '毗河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008406', 1, '2021-07-19 11:29:47', NULL, NULL), (1087, '', '新兴社区', '0339429ad61e4dd1aeda6de1253a1e35', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008407', 5, '新兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008407', 1, '2021-07-19 11:29:47', NULL, NULL), (1088, '', '宝光社区', '54b2d6c2fdc74f6ca7ac47eaa75dcd2a', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008408', 5, '宝光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008408', 1, '2021-07-19 11:29:47', NULL, NULL), (1089, '', '锦水苑社区', '4b497bb6fb1b4cf2823f10bd1ac05b97', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008409', 5, '锦水苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008409', 1, '2021-07-19 11:29:47', NULL, NULL), (1090, '', '双慈村', 'eef02b70ebff429184defdbd37703db8', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008411', 5, '双慈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008411', 1, '2021-07-19 11:29:47', NULL, NULL), (1091, '', '西北社区', '0686bbd4b49c48fcacc51fe2f7582280', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008412', 5, '西北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008412', 1, '2021-07-19 11:29:47', NULL, NULL), (1092, '', '五里村', '9991ec46b7174c76a08c0ce3392fc392', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008413', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008413', 1, '2021-07-19 11:29:47', NULL, NULL), (1093, '', '瓦店社区', '03eefbca3b7f4a8ba0483483d34dff09', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008414', 5, '瓦店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008414', 1, '2021-07-19 11:29:47', NULL, NULL), (1094, '', '新东社区', '0e5a6a1653c24bf899854a7924b8c447', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008415', 5, '新东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008415', 1, '2021-07-19 11:29:47', NULL, NULL), (1095, '', '督桥河村', 'eaf29eb406ae4005921ea25daced1c4d', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008416', 5, '督桥河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008416', 1, '2021-07-19 11:29:47', NULL, NULL), (1096, '', '桂东社区', 'f17bd14436e34849abf46c9c6944da51', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008417', 5, '桂东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008417', 1, '2021-07-19 11:29:47', NULL, NULL), (1097, '', '桂湖西路社区', 'db9d4b1fb6074769b5d7509d25429669', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008418', 5, '桂湖西路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008418', 1, '2021-07-19 11:29:47', NULL, NULL), (1098, '', '燕塘村', '88a4dbf27a8b49bf89478773bbffc9a0', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008419', 5, '燕塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008419', 1, '2021-07-19 11:29:48', NULL, NULL), (1099, '', '天元村', 'c56e8f27716d423a9230cecf94984794', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008420', 5, '天元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008420', 1, '2021-07-19 11:29:48', NULL, NULL), (1100, '', '团结社区', '259a903508ce4db18f51cd26fdba5ec0', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008421', 5, '团结社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008421', 1, '2021-07-19 11:29:48', NULL, NULL), (1101, '', '五桂村', 'd15adc689aaf4d8eba10e11e2cd393e7', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008422', 5, '五桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008422', 1, '2021-07-19 11:29:48', NULL, NULL), (1102, '', '桂中社区', '5b299a68ae9443e9a054765738f6e677', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008423', 5, '桂中社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008423', 1, '2021-07-19 11:29:48', NULL, NULL), (1103, '', '新桥村', 'af309380dbaa4b60a8b13c7a6ee543e4', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008424', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008424', 1, '2021-07-19 11:29:48', NULL, NULL), (1104, '', '谕亭社区', '020d3d8302064ac2a6e9e8466201cf6e', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008425', 5, '谕亭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008425', 1, '2021-07-19 11:29:48', NULL, NULL), (1105, '', '金都街社区', 'f58e74ceb7ef4bc2baf1270ca45ffbbd', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008426', 5, '金都街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008426', 1, '2021-07-19 11:29:48', NULL, NULL), (1106, '', '湖滨路社区', 'ae4e942ef7034d539d4252fdb40824b2', '9818d182c6e8496a8c49b18bd16d88f3', 'False', 'True', 'false', 'false', '510114008427', 5, '湖滨路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114008427', 1, '2021-07-19 11:29:48', NULL, NULL), (1107, '', '大丰街道', '44c0e309eecb4123b13e9c35390ecbef', '8e22639b66c64a71b93acd6b77330b46', 'True', 'True', 'false', 'false', '510114158000', 4, '大丰街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510114158000', 1, '2021-07-19 11:29:48', NULL, NULL), (1108, '', '赵家社区居委会', '3e7b3cf6ae6e4b0390b28628ece9b9a7', '44c0e309eecb4123b13e9c35390ecbef', 'False', 'True', 'false', 'false', '510114001056', 5, '赵家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114001056', 1, '2021-07-19 11:29:48', NULL, NULL), (1109, '', '王桥社区居委会', '3d4294392c88451498eab8673bd8b4d4', '44c0e309eecb4123b13e9c35390ecbef', 'False', 'True', 'false', 'false', '510114001156', 5, '王桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114001156', 1, '2021-07-19 11:29:48', NULL, NULL), (1110, '', '太平社区居委会', '2d469d6d5dd348e585f1475cb45669c9', '44c0e309eecb4123b13e9c35390ecbef', 'False', 'True', 'false', 'false', '510114001166', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114001166', 1, '2021-07-19 11:29:49', NULL, NULL), (1111, '', '皇花社区居委会', '55b7b1a5bfcc42e0b92928720352c817', '44c0e309eecb4123b13e9c35390ecbef', 'False', 'True', 'false', 'false', '510114001279', 5, '皇花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114001279', 1, '2021-07-19 11:29:49', NULL, NULL), (1112, '', '铁路社区居委会', '285c751bd6f449f6bc3abb4c9470e3e3', '44c0e309eecb4123b13e9c35390ecbef', 'False', 'True', 'false', 'false', '510114001484', 5, '铁路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114001484', 1, '2021-07-19 11:29:49', NULL, NULL), (1113, '', '双林社区居委会', 'bed6af0c9e4742aeaab7bfcc57bac270', '44c0e309eecb4123b13e9c35390ecbef', 'False', 'True', 'false', 'false', '510114001520', 5, '双林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114001520', 1, '2021-07-19 11:29:49', NULL, NULL), (1114, '', '高堆社区居委会', 'c986d07e2a3a4ce2bdccaa5ebe1fcae3', '44c0e309eecb4123b13e9c35390ecbef', 'False', 'True', 'false', 'false', '510114001560', 5, '高堆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114001560', 1, '2021-07-19 11:29:49', NULL, NULL), (1115, '', '方营社区居委会', 'a61d6b7394724ffa8a94208aad2f5c8c', '44c0e309eecb4123b13e9c35390ecbef', 'False', 'True', 'false', 'false', '510114001589', 5, '方营社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114001589', 1, '2021-07-19 11:29:49', NULL, NULL), (1116, '', '南丰社区居委会', '588f450f644d4167bd9a0da4577bb836', '44c0e309eecb4123b13e9c35390ecbef', 'False', 'True', 'false', 'false', '510114001610', 5, '南丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114001610', 1, '2021-07-19 11:29:49', NULL, NULL), (1117, '', '高家社区居委会', '2d5775bfca7740b08967288196fa6c4c', '44c0e309eecb4123b13e9c35390ecbef', 'False', 'True', 'false', 'false', '510114001685', 5, '高家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114001685', 1, '2021-07-19 11:29:49', NULL, NULL), (1118, '', '甫家社区居委会', '58351bf03e154044b9455ce6cdc6f2d6', '44c0e309eecb4123b13e9c35390ecbef', 'False', 'True', 'false', 'false', '510114001835', 5, '甫家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114001835', 1, '2021-07-19 11:29:49', NULL, NULL), (1119, '', '三元社区居委会', '38a95a23f1e6486683c69494033dd343', '44c0e309eecb4123b13e9c35390ecbef', 'False', 'True', 'false', 'false', '510114001901', 5, '三元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114001901', 1, '2021-07-19 11:29:49', NULL, NULL), (1120, '', '崇义社区居委会', 'e751ff1fe26b4f498b7222e8322a1836', '44c0e309eecb4123b13e9c35390ecbef', 'False', 'True', 'false', 'false', '510114001917', 5, '崇义社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114001917', 1, '2021-07-19 11:29:49', NULL, NULL), (1121, '', '斑竹园街道', '51939b7eb7b24e0e9954750edc9f2673', '8e22639b66c64a71b93acd6b77330b46', 'True', 'True', 'false', 'false', '510114277000', 4, '斑竹园街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510114277000', 1, '2021-07-19 11:29:49', NULL, NULL), (1122, '', '升庵村', 'a3a9979d87f1439b8bf3182ef1237c91', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114007100', 5, '升庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114007100', 1, '2021-07-19 11:29:49', NULL, NULL), (1123, '', '石坝社区', 'de514574a5164c98ba3f4c81b7b01f83', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114007132', 5, '石坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114007132', 1, '2021-07-19 11:29:49', NULL, NULL), (1124, '', '廖家湾社区', 'bf1562c95e284489adc3372e306ea40e', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114007220', 5, '廖家湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114007220', 1, '2021-07-19 11:29:49', NULL, NULL), (1125, '', '公益社区', '04cb75b1021a4ef69b87b590c6a26e0f', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114007221', 5, '公益社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114007221', 1, '2021-07-19 11:29:50', NULL, NULL), (1126, '', '金和社区', '3e6b5b32c0cd40f99320030468e62d4d', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114007222', 5, '金和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114007222', 1, '2021-07-19 11:29:50', NULL, NULL), (1127, '', '安桥村', 'b49904ef638245979be70c65c679274c', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114007224', 5, '安桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114007224', 1, '2021-07-19 11:29:50', NULL, NULL), (1128, '', '华桂村', 'fe83fad4e9f248449c37cea4f1150423', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114007226', 5, '华桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114007226', 1, '2021-07-19 11:29:50', NULL, NULL), (1129, '', '林泉社区', 'a82c021d27d246fcb5bf685433f48f5e', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114007227', 5, '林泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114007227', 1, '2021-07-19 11:29:50', NULL, NULL), (1130, '', '锦城村', '350a13ad2da145f9a82e575afd017127', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114007228', 5, '锦城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114007228', 1, '2021-07-19 11:29:50', NULL, NULL), (1131, '', '骊园村', '3ebf323f9038406c9bcab65586105a56', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114007229', 5, '骊园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114007229', 1, '2021-07-19 11:29:50', NULL, NULL), (1132, '', '双龙村', '2eb17b6a4d484ee4b750cb764c662072', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114007231', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114007231', 1, '2021-07-19 11:29:50', NULL, NULL), (1133, '', '北星村', '7effdc0c9cfd44078ef8f7593ce13d9d', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114007312', 5, '北星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114007312', 1, '2021-07-19 11:29:50', NULL, NULL), (1134, '', '三河村村委会', 'b34be33f7e494ecba0c3a5f54ee1a77c', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114108289', 5, '三河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114108289', 1, '2021-07-19 11:29:50', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (1135, '', '福田社区居委会', 'bed8c503496b4ba5ace0ae75d239e2ed', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114108397', 5, '福田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114108397', 1, '2021-07-19 11:29:50', NULL, NULL), (1136, '', '鸦雀口社区居委会', '2f6afb7b2fbb4314b637abd3c4b9668b', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114108581', 5, '鸦雀口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114108581', 1, '2021-07-19 11:29:50', NULL, NULL), (1137, '', '顺江村村委会', '068dce10f35c463bb980291a37d63fdc', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114108646', 5, '顺江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114108646', 1, '2021-07-19 11:29:50', NULL, NULL), (1138, '', '柏水社区居委会', '9877ee29a5e94cc6907f36bed2757192', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114108659', 5, '柏水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114108659', 1, '2021-07-19 11:29:50', NULL, NULL), (1139, '', '忠义社区居委会', '3e6a215ad8a54cad95793b723579ce96', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114108773', 5, '忠义社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114108773', 1, '2021-07-19 11:29:51', NULL, NULL), (1140, '', '大江社区居委会', '28bae16637bd43e7bed54c8fe6d1d7ee', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114108783', 5, '大江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114108783', 1, '2021-07-19 11:29:51', NULL, NULL), (1141, '', '旃檀社区居委会', '2a5dbdeae026485a85238da5208564c1', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114108809', 5, '旃檀社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114108809', 1, '2021-07-19 11:29:51', NULL, NULL), (1142, '', '竹友社区居委会', '01e76dcaf38d42c2b99689d3984b4804', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114108880', 5, '竹友社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114108880', 1, '2021-07-19 11:29:51', NULL, NULL), (1143, '', '踏水社区居委会', 'ea31b6d0decf4f978e7613aa9dc887c3', '51939b7eb7b24e0e9954750edc9f2673', 'False', 'True', 'false', 'false', '510114108930', 5, '踏水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114108930', 1, '2021-07-19 11:29:51', NULL, NULL), (1144, '', '石板滩街道', '4e97b186e3f94cad9c0db526f3de4ab4', '8e22639b66c64a71b93acd6b77330b46', 'True', 'True', 'false', 'false', '510114328000', 4, '石板滩街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510114328000', 1, '2021-07-19 11:29:51', NULL, NULL), (1145, '', '木兰社区', '45ada8836e8a488b94943b3da2a07c75', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114006023', 5, '木兰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114006023', 1, '2021-07-19 11:29:51', NULL, NULL), (1146, '', '宁溪社区', 'fe03d4a0413448b6b1d571200ed8e441', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114006983', 5, '宁溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114006983', 1, '2021-07-19 11:29:51', NULL, NULL), (1147, '', '梁胜社区', '049f6127b483450db8d1805f1f2f7e6a', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114006984', 5, '梁胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114006984', 1, '2021-07-19 11:29:51', NULL, NULL), (1148, '', '兴宁村', '4e1a7162317a4a939f2f94eceb3bcbad', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114006985', 5, '兴宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114006985', 1, '2021-07-19 11:29:51', NULL, NULL), (1149, '', '长林社区', 'e905bbc498384d3381e19b3efdceac47', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114006986', 5, '长林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114006986', 1, '2021-07-19 11:29:51', NULL, NULL), (1150, '', '兴胜村', '1266d774205d410a82d23475e21494fd', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114006987', 5, '兴胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114006987', 1, '2021-07-19 11:29:51', NULL, NULL), (1151, '', '农和社区', '94b17376cdd348ccbc903f930af9ad15', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114006988', 5, '农和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114006988', 1, '2021-07-19 11:29:51', NULL, NULL), (1152, '', '航纬村', '9523aaa570ac42809bcefd68fceff4ad', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114006989', 5, '航纬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114006989', 1, '2021-07-19 11:29:51', NULL, NULL), (1153, '', '清水塘社区', '3318d86b338e4f769bbcff9ca2673613', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114006990', 5, '清水塘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114006990', 1, '2021-07-19 11:29:51', NULL, NULL), (1154, '', '狮子社区', '44db0fc2b71e4edd94c534ff1f3ee865', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114006991', 5, '狮子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114006991', 1, '2021-07-19 11:29:51', NULL, NULL), (1155, '', '合兴场社区', 'cc06925c0c694ec198f351f78669d1b1', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114006992', 5, '合兴场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114006992', 1, '2021-07-19 11:29:51', NULL, NULL), (1156, '', '兴城村', '6424b37cf6b149f8951b6a51f3c6fba1', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114006993', 5, '兴城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114006993', 1, '2021-07-19 11:29:51', NULL, NULL), (1157, '', '韩娥社区', 'ba2f098e907b4fa388dbe77c79974dc1', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114006994', 5, '韩娥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114006994', 1, '2021-07-19 11:29:51', NULL, NULL), (1158, '', '石林村', '5552ddab16ef4d46a9d200d60e6ba5d4', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114006995', 5, '石林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114006995', 1, '2021-07-19 11:29:51', NULL, NULL), (1159, '', '石马社区', '25fd9478e8564567adc329557abb9196', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114006996', 5, '石马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114006996', 1, '2021-07-19 11:29:51', NULL, NULL), (1160, '', '双谊村', '27239c09a5ad4632a9a41fc4ae5a3b75', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114006997', 5, '双谊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114006997', 1, '2021-07-19 11:29:51', NULL, NULL), (1161, '', '仁和场社区', '378f3d51773a4b3fbf4163d2198ce418', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114006998', 5, '仁和场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114006998', 1, '2021-07-19 11:29:51', NULL, NULL), (1162, '', '门坎坡社区', '85033b1a579e47dea04aa60658379087', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114006999', 5, '门坎坡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114006999', 1, '2021-07-19 11:29:51', NULL, NULL), (1163, '', '东风社区居委会', '97d780d7a6344363b0ccbeeba75b5e36', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114102267', 5, '东风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114102267', 1, '2021-07-19 11:29:52', NULL, NULL), (1164, '', '解放村村委会', '7f866ceeea924ebd956b362b013bbf74', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114102408', 5, '解放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114102408', 1, '2021-07-19 11:29:52', NULL, NULL), (1165, '', '金三角社区居委会', '382a609218274eedb15cf4535cc36fdb', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114102530', 5, '金三角社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114102530', 1, '2021-07-19 11:29:52', NULL, NULL), (1166, '', '集体村村委会', '7c069971e97547a9a8db2ffe956401fe', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114102543', 5, '集体村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114102543', 1, '2021-07-19 11:29:52', NULL, NULL), (1167, '', '五一村村委会', '109973d631ba47ffa3d579ebbe2d6dd6', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114102700', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114102700', 1, '2021-07-19 11:29:52', NULL, NULL), (1168, '', '土城村村委会', 'e025ff675a124b58b6b2751a4d0834cb', '4e97b186e3f94cad9c0db526f3de4ab4', 'False', 'True', 'false', 'false', '510114102716', 5, '土城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114102716', 1, '2021-07-19 11:29:52', NULL, NULL), (1169, '', '军屯镇', 'ed0d10dab4d7496fa8494aae15e1b196', '8e22639b66c64a71b93acd6b77330b46', 'True', 'True', 'false', 'false', '510114387000', 4, '军屯镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510114387000', 1, '2021-07-19 11:29:52', NULL, NULL), (1170, '', '金牛村', 'cc85f0dc5193421bad72319b5251389e', 'ed0d10dab4d7496fa8494aae15e1b196', 'False', 'True', 'false', 'false', '510114116110', 5, '金牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114116110', 1, '2021-07-19 11:29:52', NULL, NULL), (1171, '', '禾登社区', 'bf9f7380f1474bbb96afa8e818752326', 'ed0d10dab4d7496fa8494aae15e1b196', 'False', 'True', 'false', 'false', '510114116111', 5, '禾登社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114116111', 1, '2021-07-19 11:29:52', NULL, NULL), (1172, '', '清江村', '7a18b2ef210f4b32bd2a84fc00858f60', 'ed0d10dab4d7496fa8494aae15e1b196', 'False', 'True', 'false', 'false', '510114116112', 5, '清江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114116112', 1, '2021-07-19 11:29:52', NULL, NULL), (1173, '', '东林村', '26e4976656b54da4bcc4e85d5db8b88d', 'ed0d10dab4d7496fa8494aae15e1b196', 'False', 'True', 'false', 'false', '510114116113', 5, '东林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114116113', 1, '2021-07-19 11:29:52', NULL, NULL), (1174, '', '天星村', 'f7da17ce8a26441382bbbe669aa040a2', 'ed0d10dab4d7496fa8494aae15e1b196', 'False', 'True', 'false', 'false', '510114116114', 5, '天星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114116114', 1, '2021-07-19 11:29:52', NULL, NULL), (1175, '', '九堰村', '887bc30aa24644638ab4a1daac5d4aad', 'ed0d10dab4d7496fa8494aae15e1b196', 'False', 'True', 'false', 'false', '510114116116', 5, '九堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114116116', 1, '2021-07-19 11:29:52', NULL, NULL), (1176, '', '护国村', 'bf16c7ad3bfd4cf0a9fa62d5f0d03ac8', 'ed0d10dab4d7496fa8494aae15e1b196', 'False', 'True', 'false', 'false', '510114116117', 5, '护国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114116117', 1, '2021-07-19 11:29:52', NULL, NULL), (1177, '', '华严村', '76ffe08d520e4019bd5ce0b5ec85eb7c', 'ed0d10dab4d7496fa8494aae15e1b196', 'False', 'True', 'false', 'false', '510114116118', 5, '华严村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114116118', 1, '2021-07-19 11:29:52', NULL, NULL), (1178, '', '石庵村', '194da3c3b4aa4e17b4df9140ea938b0f', 'ed0d10dab4d7496fa8494aae15e1b196', 'False', 'True', 'false', 'false', '510114116119', 5, '石庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114116119', 1, '2021-07-19 11:29:52', NULL, NULL), (1179, '', '高祖社区', '4c37c2973a764d2c88034296e17c985f', 'ed0d10dab4d7496fa8494aae15e1b196', 'False', 'True', 'false', 'false', '510114116120', 5, '高祖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114116120', 1, '2021-07-19 11:29:52', NULL, NULL), (1180, '', '镇综合便民服务中心新民服务站', '1fcfade81d774ad1be2399351eb2654a', 'ed0d10dab4d7496fa8494aae15e1b196', 'False', 'True', 'false', 'false', '510114116231', 5, '镇综合便民服务中心新民服务站', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114116231', 1, '2021-07-19 11:29:52', NULL, NULL), (1181, '', '新民社区', '56c333d73ac14c84852a22bc349d074d', 'ed0d10dab4d7496fa8494aae15e1b196', 'False', 'True', 'false', 'false', '510114116756', 5, '新民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114116756', 1, '2021-07-19 11:29:52', NULL, NULL), (1182, '', '文昌社区居委会', '13ddd105811047bb8d677920cbebf280', 'ed0d10dab4d7496fa8494aae15e1b196', 'False', 'True', 'false', 'false', '510114116835', 5, '文昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114116835', 1, '2021-07-19 11:29:52', NULL, NULL), (1183, '', '郭家村村委会', '17a3f30e82f84c7d84d5555d7cd1d6e1', 'ed0d10dab4d7496fa8494aae15e1b196', 'False', 'True', 'false', 'false', '510114116902', 5, '郭家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114116902', 1, '2021-07-19 11:29:53', NULL, NULL), (1184, '', '深水社区居委会', '5d50ef55120740a5890254b8db767aab', 'ed0d10dab4d7496fa8494aae15e1b196', 'False', 'True', 'false', 'false', '510114116940', 5, '深水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114116940', 1, '2021-07-19 11:29:53', NULL, NULL), (1185, '', '清流镇', '30cd57fe31674d98abab207654389716', '8e22639b66c64a71b93acd6b77330b46', 'True', 'True', 'false', 'false', '510114515000', 4, '清流镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510114515000', 1, '2021-07-19 11:29:53', NULL, NULL), (1186, '', '清流社区', 'c70a4ecb73fd48f181209959a4f7c850', '30cd57fe31674d98abab207654389716', 'False', 'True', 'false', 'false', '510114109567', 5, '清流社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114109567', 1, '2021-07-19 11:29:53', NULL, NULL), (1187, '', '广泉村村委会', '35e1b407fa8e4912a51eab9bfe932ac1', '30cd57fe31674d98abab207654389716', 'False', 'True', 'false', 'false', '510114109047', 5, '广泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114109047', 1, '2021-07-19 11:29:53', NULL, NULL), (1188, '', '三尺村村委会', 'dafe4d6bd4754ffaa80c0242d09a1d78', '30cd57fe31674d98abab207654389716', 'False', 'True', 'false', 'false', '510114109164', 5, '三尺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114109164', 1, '2021-07-19 11:29:53', NULL, NULL), (1189, '', '水梨村村委会', '3dcbdf7411264345bcd822193de2f0e0', '30cd57fe31674d98abab207654389716', 'False', 'True', 'false', 'false', '510114109262', 5, '水梨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114109262', 1, '2021-07-19 11:29:53', NULL, NULL), (1190, '', '翠云村村委会', 'a158812c30604b5c8c66d08c433430dc', '30cd57fe31674d98abab207654389716', 'False', 'True', 'false', 'false', '510114109553', 5, '翠云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114109553', 1, '2021-07-19 11:29:53', NULL, NULL), (1191, '', '顺河社区居委会', 'da9916a4cd8146f481e4f0eaa7799559', '30cd57fe31674d98abab207654389716', 'False', 'True', 'false', 'false', '510114109648', 5, '顺河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114109648', 1, '2021-07-19 11:29:53', NULL, NULL), (1192, '', '柳泉村村委会', '17489e2b97e846de9216c8fbe35b01e8', '30cd57fe31674d98abab207654389716', 'False', 'True', 'false', 'false', '510114109657', 5, '柳泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114109657', 1, '2021-07-19 11:29:53', NULL, NULL), (1193, '', '九龙村村委会', 'd6e38c2f65b04010a732f0d5cf820cec', '30cd57fe31674d98abab207654389716', 'False', 'True', 'false', 'false', '510114109899', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114109899', 1, '2021-07-19 11:29:53', NULL, NULL), (1194, '', '新繁街道', '423fc35348da40589ed9497edee6bc11', '8e22639b66c64a71b93acd6b77330b46', 'True', 'True', 'false', 'false', '510114857000', 4, '新繁街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510114857000', 1, '2021-07-19 11:29:53', NULL, NULL), (1195, '', '东湖社区', '11e50be0ee514cb19431821a316f1920', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005857', 5, '东湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005857', 1, '2021-07-19 11:29:53', NULL, NULL), (1196, '', '渭水社区', '49b4cdbfb46d4f1eb49cafd2b8327f50', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005960', 5, '渭水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005960', 1, '2021-07-19 11:29:53', NULL, NULL), (1197, '', '崇光社区', '02bcd4e74c9343b5868adf94a806c179', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005966', 5, '崇光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005966', 1, '2021-07-19 11:29:53', NULL, NULL), (1198, '', '博钰社区', '3447a7be85524a1d8c125b05a70073ae', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005967', 5, '博钰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005967', 1, '2021-07-19 11:29:54', NULL, NULL), (1199, '', '繁花社区', '3de64704fe0e401696f1a740b3a4557d', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005968', 5, '繁花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005968', 1, '2021-07-19 11:29:54', NULL, NULL), (1200, '', '普文社区', '625b6af4ff84485ebef0e4ba00c44c66', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005970', 5, '普文社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005970', 1, '2021-07-19 11:29:54', NULL, NULL), (1201, '', '杏桂村', '67fccbb738cc46c98e20593051d3b734', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005971', 5, '杏桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005971', 1, '2021-07-19 11:29:54', NULL, NULL), (1202, '', '新石村', '361d80deb9ce4bf78fc5e813131ce496', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005972', 5, '新石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005972', 1, '2021-07-19 11:29:54', NULL, NULL), (1203, '', '新龙桥社区', 'c0a303941f1441a1bdf0ded1f10944c8', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005973', 5, '新龙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005973', 1, '2021-07-19 11:29:54', NULL, NULL), (1204, '', '汪家村村委会', '737d9d83d77649b4b3ed9a8a5ef876e6', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005974', 5, '汪家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005974', 1, '2021-07-19 11:29:54', NULL, NULL), (1205, '', '水云村', '2853fbaa1800447a807e3ea2e0d036fc', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005975', 5, '水云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005975', 1, '2021-07-19 11:29:54', NULL, NULL), (1206, '', '瑞云社区', 'ee7473dcb6e64ee08358e0e435a28099', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005976', 5, '瑞云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005976', 1, '2021-07-19 11:29:54', NULL, NULL), (1207, '', '繁江社区', 'b23b729f8ddd4bf18faef80db28327b0', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005977', 5, '繁江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005977', 1, '2021-07-19 11:29:54', NULL, NULL), (1208, '', '青桥村', 'b7cff419b3e741fabb175be031944da0', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005978', 5, '青桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005978', 1, '2021-07-19 11:29:54', NULL, NULL), (1209, '', '青河村', '27c542f159c64e269d0ae3169151ecb2', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005979', 5, '青河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005979', 1, '2021-07-19 11:29:55', NULL, NULL), (1210, '', '民安村', 'b74a7af7b2cf46e9861b4778f99d509f', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005980', 5, '民安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005980', 1, '2021-07-19 11:29:55', NULL, NULL), (1211, '', '澜木社区', 'f2c0e7cc18bf42989cccda91312e5908', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005981', 5, '澜木社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005981', 1, '2021-07-19 11:29:55', NULL, NULL), (1212, '', '锦苑社区', 'd52c53ff73f24b2892ad4321eeefa699', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005982', 5, '锦苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005982', 1, '2021-07-19 11:29:55', NULL, NULL), (1213, '', '锦源村', 'eab495ab8d584f19b80a66cc2121dd66', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114005984', 5, '锦源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114005984', 1, '2021-07-19 11:29:55', NULL, NULL), (1214, '', '同盟村村委会', 'efc55f03a9dd43038a859e4af49b53e5', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114103007', 5, '同盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114103007', 1, '2021-07-19 11:29:55', NULL, NULL), (1215, '', '大墓山村村委会', '25d46ccbcb0747b88ed055fe61811143', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114103012', 5, '大墓山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114103012', 1, '2021-07-19 11:29:55', NULL, NULL), (1216, '', '清镇村村委会', 'a5f11d95eacd415689019407c3017d02', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114103163', 5, '清镇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114103163', 1, '2021-07-19 11:29:55', NULL, NULL), (1217, '', '同心村村委会', 'bc5f38c905e94565be7ec97a72f10f2e', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114103181', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114103181', 1, '2021-07-19 11:29:55', NULL, NULL), (1218, '', '龙毅村村委会', '312bfa132ed44f0fbab370cf9c9e29ea', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114103280', 5, '龙毅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114103280', 1, '2021-07-19 11:29:55', NULL, NULL), (1219, '', '清白街村委会', '526cb595e2cc4e3388c8bf2f640823e3', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114103309', 5, '清白街', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114103309', 1, '2021-07-19 11:29:55', NULL, NULL), (1220, '', '兴堰村村委会', '24d36cd0c8da40ca9fc2307e79949371', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114103454', 5, '兴堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114103454', 1, '2021-07-19 11:29:55', NULL, NULL), (1221, '', '金地社区居委会', 'de479036a33a45e2b6d98c30325a6e46', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114103474', 5, '金地社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114103474', 1, '2021-07-19 11:29:56', NULL, NULL), (1222, '', '龙安分中心', 'ef5df2635c844a73bd757c50f71ed9d2', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114103475', 5, '龙安分中心', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114103475', 1, '2021-07-19 11:29:56', NULL, NULL), (1223, '', '锦河村村委会', 'f5439dd191c84cfcadc9cfee7f91d6f1', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114103540', 5, '锦河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114103540', 1, '2021-07-19 11:29:56', NULL, NULL), (1224, '', '天君村村委会', '0def47ef79a1450fa4a45d6ecf2b2ae2', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114103597', 5, '天君村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114103597', 1, '2021-07-19 11:29:56', NULL, NULL), (1225, '', '李园村村委会', 'dda24834514847a088e827bb644685ee', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114103634', 5, '李园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114103634', 1, '2021-07-19 11:29:56', NULL, NULL), (1226, '', '同裕村村委会', '8bdaf4eec60a4ef795766540323d145f', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114103775', 5, '同裕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114103775', 1, '2021-07-19 11:29:56', NULL, NULL), (1227, '', '蟇水村村委会', '36f7bff1ea5c4fe681722c5e8608f8aa', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114103793', 5, '蟇水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114103793', 1, '2021-07-19 11:29:56', NULL, NULL), (1228, '', '黄泥村村委会', '6891d3d78c04481094741839ee22aa67', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114103861', 5, '黄泥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114103861', 1, '2021-07-19 11:29:56', NULL, NULL), (1229, '', '金龙社区居委会', '9d816cf8aefa49d4bfc9196f067b73a0', '423fc35348da40589ed9497edee6bc11', 'False', 'True', 'false', 'false', '510114103882', 5, '金龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114103882', 1, '2021-07-19 11:29:56', NULL, NULL), (1230, '', '三河街道', 'a07bfd8b19fb4446a286bfa582b1045e', '8e22639b66c64a71b93acd6b77330b46', 'True', 'True', 'false', 'false', '510114887000', 4, '三河街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510114887000', 1, '2021-07-19 11:29:56', NULL, NULL), (1231, '', '长龙社区', '93f135b3ae214b59b4da7e7a6467250a', 'a07bfd8b19fb4446a286bfa582b1045e', 'False', 'True', 'false', 'false', '510114001911', 5, '长龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114001911', 1, '2021-07-19 11:29:56', NULL, NULL), (1232, '', '江陵路社区居委会', '5099bd90b6ae42a39aff62c8f0c74a63', 'a07bfd8b19fb4446a286bfa582b1045e', 'False', 'True', 'false', 'false', '510114003021', 5, '江陵路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114003021', 1, '2021-07-19 11:29:57', NULL, NULL), (1233, '', '互助社区居委会', 'c67c53de0b3a4929987bfa009cd29efe', 'a07bfd8b19fb4446a286bfa582b1045e', 'False', 'True', 'false', 'false', '510114003389', 5, '互助社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114003389', 1, '2021-07-19 11:29:57', NULL, NULL), (1234, '', '回龙社区居委会', '6ba0925e017340cdaed5ea4053b02f17', 'a07bfd8b19fb4446a286bfa582b1045e', 'False', 'True', 'false', 'false', '510114003535', 5, '回龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114003535', 1, '2021-07-19 11:29:57', NULL, NULL), (1235, '', '二台子社区居委会', '56af6c5d77d14869a2c074f8e2d18a50', 'a07bfd8b19fb4446a286bfa582b1045e', 'False', 'True', 'false', 'false', '510114003625', 5, '二台子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114003625', 1, '2021-07-19 11:29:57', NULL, NULL), (1236, '', '五龙社区居委会', '78fb1b25f3e4440ba193267eaa026394', 'a07bfd8b19fb4446a286bfa582b1045e', 'False', 'True', 'false', 'false', '510114003631', 5, '五龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114003631', 1, '2021-07-19 11:29:57', NULL, NULL), (1237, '', '花园社区居委会', '5e3ea72e107b4553965caf3bfaba1ffe', 'a07bfd8b19fb4446a286bfa582b1045e', 'False', 'True', 'false', 'false', '510114003968', 5, '花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114003968', 1, '2021-07-19 11:29:57', NULL, NULL), (1238, '', '新都街道', 'ec4d871d8fc349caa06f217e7511b9bc', '8e22639b66c64a71b93acd6b77330b46', 'True', 'True', 'false', 'false', '510114888000', 4, '新都街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510114888000', 1, '2021-07-19 11:29:57', NULL, NULL), (1239, '', '高筒社区', '7f83789055c545759fdac4111bbaa2c0', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114003431', 5, '高筒社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114003431', 1, '2021-07-19 11:29:57', NULL, NULL), (1240, '', '杨河社区', 'cb625538abee4145831d9575df0bc1aa', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114003432', 5, '杨河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114003432', 1, '2021-07-19 11:29:57', NULL, NULL), (1241, '', '观东村', '57db5423794e46188ff33978b0be2a53', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114003433', 5, '观东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114003433', 1, '2021-07-19 11:29:57', NULL, NULL), (1242, '', '议团村', 'c80c33c6466645fd902d662af8f2ab65', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114003434', 5, '议团村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114003434', 1, '2021-07-19 11:29:57', NULL, NULL), (1243, '', '新店子社区', '1291e4abb226479faaadc73a801e0c0f', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114003435', 5, '新店子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114003435', 1, '2021-07-19 11:29:58', NULL, NULL), (1244, '', '普河社区', '16d74e92b90347f3944d14572d6333b3', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114003436', 5, '普河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114003436', 1, '2021-07-19 11:29:58', NULL, NULL), (1245, '', '观西村', '934edd6f35904ac59e410497dc83d105', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114003437', 5, '观西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114003437', 1, '2021-07-19 11:29:58', NULL, NULL), (1246, '', '万和村村委会', '0e3e448091964b9c98dc3efb9e38a20d', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114003438', 5, '万和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114003438', 1, '2021-07-19 11:29:58', NULL, NULL), (1247, '', '泰兴社区', '49201e057351472eb1a95b1610ec3269', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114003439', 5, '泰兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114003439', 1, '2021-07-19 11:29:58', NULL, NULL), (1248, '', '龙虎村村委会', 'a8f3b23bf68e4fbba6f06a381113b4b4', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004114', 5, '龙虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004114', 1, '2021-07-19 11:29:58', NULL, NULL), (1249, '', '正因社区居委会', 'e4edb50fe17742b4ac8da9ec49d1fefb', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004168', 5, '正因社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004168', 1, '2021-07-19 11:29:58', NULL, NULL), (1250, '', '正兴社区居委会', 'ca0df1bcd9634df0bbafbf23f3b9c68a', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004202', 5, '正兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004202', 1, '2021-07-19 11:29:58', NULL, NULL), (1251, '', '福元村村委会', 'f55bd88fcb4744928d28714f2a223632', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004263', 5, '福元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004263', 1, '2021-07-19 11:29:58', NULL, NULL), (1252, '', '君跃社区居委会', 'c2131918372742e69e0148335c0b3d3d', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004271', 5, '君跃社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004271', 1, '2021-07-19 11:29:58', NULL, NULL), (1253, '', '永兴场镇社区', '5f90e88f06044e738030c8b18a7315d5', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004281', 5, '永兴场镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004281', 1, '2021-07-19 11:29:59', NULL, NULL), (1254, '', '泗义村村委会', 'e463baba662942fc8beb972ef49b2231', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004371', 5, '泗义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004371', 1, '2021-07-19 11:29:59', NULL, NULL), (1255, '', '静安社区居委会', '8ef98d6bb40649c8915c9c27d5f13eac', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004387', 5, '静安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004387', 1, '2021-07-19 11:29:59', NULL, NULL), (1256, '', '马超社区居委会', 'ee70a57ccbe142ab9bdfbd59ec99d0df', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004402', 5, '马超社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004402', 1, '2021-07-19 11:29:59', NULL, NULL), (1257, '', '同仁村村委会', 'ff4cf27590124cf48e998a4f290742f2', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004496', 5, '同仁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004496', 1, '2021-07-19 11:29:59', NULL, NULL), (1258, '', '桥楼村村委会', 'e792324b40b94b5dbeaf506e24177ad3', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004499', 5, '桥楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004499', 1, '2021-07-19 11:29:59', NULL, NULL), (1259, '', '朱王村村委会', 'e9f8a4df42094dbfabc08f66b3e86f89', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004514', 5, '朱王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004514', 1, '2021-07-19 11:29:59', NULL, NULL), (1260, '', '红星村村委会', '1cd2f4c2fb0c4e068780dd6d392d20d0', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004516', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004516', 1, '2021-07-19 11:29:59', NULL, NULL), (1261, '', '五四社区居委会', '4331343dd9d14c85813bc049fc78cefe', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004578', 5, '五四社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004578', 1, '2021-07-19 11:29:59', NULL, NULL), (1262, '', '西南石油大学社区', '54421f55395243a0929fa8f332452726', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004616', 5, '西南石油大学社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004616', 1, '2021-07-19 11:29:59', NULL, NULL), (1263, '', '白店村村委会', 'a189dc9353bc4ea2837846c13287ead2', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004706', 5, '白店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004706', 1, '2021-07-19 11:29:59', NULL, NULL), (1264, '', '寂光村村委会', '0032eb9da93f41f68306d1a74d1a6d21', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004785', 5, '寂光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004785', 1, '2021-07-19 11:29:59', NULL, NULL), (1265, '', '肖林社区居委会', '27d4fc5b935d48429892e672333eb6c1', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004819', 5, '肖林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004819', 1, '2021-07-19 11:30:00', NULL, NULL), (1266, '', '桂林村村委会', '3833f5d96506427f92ace534e407c06f', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004828', 5, '桂林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004828', 1, '2021-07-19 11:30:00', NULL, NULL), (1267, '', '沱江社区居委会', '9d99129bd69247d3b6fd42df6a41de0a', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004839', 5, '沱江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004839', 1, '2021-07-19 11:30:00', NULL, NULL), (1268, '', '板桥社区居委会', 'fec5f2a71bbe401bbbfd6380df9f3c7f', 'ec4d871d8fc349caa06f217e7511b9bc', 'False', 'True', 'false', 'false', '510114004961', 5, '板桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510114004961', 1, '2021-07-19 11:30:00', NULL, NULL), (1269, '', '温江区', 'e16162264ace4a30b171a194e5d12e45', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510115000000', 3, '温江区', 'cdswjq.sczwfw.gov.cn', 1, '2021-07-19 11:30:00', NULL, NULL), (1270, '', '柳城街道', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'e16162264ace4a30b171a194e5d12e45', 'True', 'True', 'false', 'false', '510115001000', 4, '柳城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510115001000', 1, '2021-07-19 11:30:00', NULL, NULL), (1271, '', '恒大城社区', '637b55f70d334887b9578783bad919bb', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001777', 5, '恒大城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001777', 1, '2021-07-19 11:30:00', NULL, NULL), (1272, '', '和平社区', 'afa6bd35d3e64a9abaf32bab888991ef', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001001', 5, '和平社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001001', 1, '2021-07-19 11:30:00', NULL, NULL), (1273, '', '黄金路社区', '92197426a2694ea7b12be898a87f15b7', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001002', 5, '黄金路社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001002', 1, '2021-07-19 11:30:00', NULL, NULL), (1274, '', '东街社区', '676e6b373c794aa18637d1313dd9c3c6', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001003', 5, '东街社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001003', 1, '2021-07-19 11:30:00', NULL, NULL), (1275, '', '南街社区', '755cffcff3054d428aee261ec02d83a9', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001004', 5, '南街社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001004', 1, '2021-07-19 11:30:00', NULL, NULL), (1276, '', '北街社区', '34a36af15c20497083984951c55a29d1', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001005', 5, '北街社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001005', 1, '2021-07-19 11:30:00', NULL, NULL), (1277, '', '西街社区', '0e22a8810e234db5b61218e0c742194e', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001006', 5, '西街社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001006', 1, '2021-07-19 11:30:00', NULL, NULL), (1278, '', '德通桥社区', '0484d1eaa8f64787afab115e40e14479', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001007', 5, '德通桥社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001007', 1, '2021-07-19 11:30:00', NULL, NULL), (1279, '', '凤溪大道社区', '7772f86af178455fa3671405e7c2b2f6', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001008', 5, '凤溪大道社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001008', 1, '2021-07-19 11:30:01', NULL, NULL), (1280, '', '鱼凫路社区', 'ea1abba012ab4e5581a09b98012df81b', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001009', 5, '鱼凫路社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001009', 1, '2021-07-19 11:30:01', NULL, NULL), (1281, '', '永宁路社区', 'e22d4787a1c04fbca30b37e6d11c5c48', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001010', 5, '永宁路社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001010', 1, '2021-07-19 11:30:01', NULL, NULL), (1282, '', '万盛社区', '2516c8246dd745999e93ed0daeed67bc', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001011', 5, '万盛社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001011', 1, '2021-07-19 11:30:01', NULL, NULL), (1283, '', '燎原社区', '185100ab246c4c4b91dd0b0e5ffb1c08', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001021', 5, '燎原社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001021', 1, '2021-07-19 11:30:01', NULL, NULL), (1284, '', '凉水社区', '63a5dcd996b04aab9a412b7081600312', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001032', 5, '凉水社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001032', 1, '2021-07-19 11:30:01', NULL, NULL), (1285, '', '新华社区', '183504a887234d92af93e790bba817c2', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001040', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001040', 1, '2021-07-19 11:30:01', NULL, NULL), (1286, '', '红光社区', '0339cf1e949043ae9db0da9b84f40e23', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001041', 5, '红光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001041', 1, '2021-07-19 11:30:01', NULL, NULL), (1287, '', '航天路社区', 'c2a6c8fd8f8f45f1a0ea391f3a050cee', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001043', 5, '航天路社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001043', 1, '2021-07-19 11:30:01', NULL, NULL), (1288, '', '光华社区', 'c4bafb5f37ee4c36b9362144bc16ee98', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001044', 5, '光华社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001044', 1, '2021-07-19 11:30:01', NULL, NULL), (1289, '', '大学城社区', 'a37d37aa99794117a2b316f5bb2a67db', '05adf0eae1754aa19f6a8d4aeb6ef2ff', 'False', 'True', 'false', 'false', '510115001045', 5, '大学城社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115001045', 1, '2021-07-19 11:30:01', NULL, NULL), (1290, '', '公平街道', '1b1c43e79ab445298d80d74890253dab', 'e16162264ace4a30b171a194e5d12e45', 'True', 'True', 'false', 'false', '510115002000', 4, '公平街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510115002000', 1, '2021-07-19 11:30:01', NULL, NULL), (1291, '', '分水惠和村', 'c2b2e4efe7fd499da954748b5ff74a99', '1b1c43e79ab445298d80d74890253dab', 'False', 'True', 'false', 'false', '510115002122', 5, '分水惠和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115002122', 1, '2021-07-19 11:30:01', NULL, NULL), (1292, '', '花都社区', '18fe5475485e49518460845edfe48287', '1b1c43e79ab445298d80d74890253dab', 'False', 'True', 'false', 'false', '510115002232', 5, '花都社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115002232', 1, '2021-07-19 11:30:01', NULL, NULL), (1293, '', '江安社区', '889010b0925e426da2518a6b68dec4c8', '1b1c43e79ab445298d80d74890253dab', 'False', 'True', 'false', 'false', '510115002444', 5, '江安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115002444', 1, '2021-07-19 11:30:02', NULL, NULL), (1294, '', '惠民社区', '225a9e6e7430448f903ce429a66e484a', '1b1c43e79ab445298d80d74890253dab', 'False', 'True', 'false', 'false', '510115002012', 5, '惠民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115002012', 1, '2021-07-19 11:30:02', NULL, NULL), (1295, '', '长安路社区', '3e72599d1bee417782660b6fd6f6dae7', '1b1c43e79ab445298d80d74890253dab', 'False', 'True', 'false', 'false', '510115002013', 5, '长安路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115002013', 1, '2021-07-19 11:30:02', NULL, NULL), (1296, '', '合江社区', '38b84a6b4e084e9cbf2fb1d366c3fc3a', '1b1c43e79ab445298d80d74890253dab', 'False', 'True', 'false', 'false', '510115002014', 5, '合江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115002014', 1, '2021-07-19 11:30:02', NULL, NULL), (1297, '', '太极社区', 'b67fa0ed698147959284ec5c758814db', '1b1c43e79ab445298d80d74890253dab', 'False', 'True', 'false', 'false', '510115002015', 5, '太极社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115002015', 1, '2021-07-19 11:30:02', NULL, NULL), (1298, '', '龙凤社区', '8177417d866f40659daba8b36ce7ceff', '1b1c43e79ab445298d80d74890253dab', 'False', 'True', 'false', 'false', '510115002016', 5, '龙凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115002016', 1, '2021-07-19 11:30:02', NULL, NULL), (1299, '', '正宗社区', '94a3108b75eb480b90064305a939fa76', '1b1c43e79ab445298d80d74890253dab', 'False', 'True', 'false', 'false', '510115002017', 5, '正宗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115002017', 1, '2021-07-19 11:30:02', NULL, NULL), (1300, '', '红桥社区', '1de443d444cd43949791f71524b6072f', '1b1c43e79ab445298d80d74890253dab', 'False', 'True', 'false', 'false', '510115002059', 5, '红桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115002059', 1, '2021-07-19 11:30:02', NULL, NULL), (1301, '', '涌泉街道', '8af9d9f452c84282a49c74818ee031d0', 'e16162264ace4a30b171a194e5d12e45', 'True', 'True', 'false', 'false', '510115003000', 4, '涌泉街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510115003000', 1, '2021-07-19 11:30:02', NULL, NULL), (1302, '', '花土社区', 'e1b8300867a94e00b59473e9420ec96b', '8af9d9f452c84282a49c74818ee031d0', 'False', 'True', 'false', 'false', '510115003213', 5, '花土社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115003213', 1, '2021-07-19 11:30:02', NULL, NULL), (1303, '', '江浦路社区', '2bcf7bbf1bff4682a81ad9a4616ee697', '8af9d9f452c84282a49c74818ee031d0', 'False', 'True', 'false', 'false', '510115003221', 5, '江浦路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115003221', 1, '2021-07-19 11:30:02', NULL, NULL), (1304, '', '清泉社区', '9b090dc86aa446cea6087f33f5b556a6', '8af9d9f452c84282a49c74818ee031d0', 'False', 'True', 'false', 'false', '510115003222', 5, '清泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115003222', 1, '2021-07-19 11:30:02', NULL, NULL), (1305, '', '康泉社区', '38798691e53b4d8abf8e2589f0c42c07', '8af9d9f452c84282a49c74818ee031d0', 'False', 'True', 'false', 'false', '510115003235', 5, '康泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115003235', 1, '2021-07-19 11:30:02', NULL, NULL), (1306, '', '丽晶港社区', 'b4e5484a178d4f498c8fc16764d50a22', '8af9d9f452c84282a49c74818ee031d0', 'False', 'True', 'false', 'false', '510115003238', 5, '丽晶港社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115003238', 1, '2021-07-19 11:30:02', NULL, NULL), (1307, '', '官河社区', '9763f2281b454509843d07878c325cf9', '8af9d9f452c84282a49c74818ee031d0', 'False', 'True', 'false', 'false', '510115003245', 5, '官河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115003245', 1, '2021-07-19 11:30:03', NULL, NULL), (1308, '', '共耕社区', 'ed408131a74a4daf867e2cfb3a60265b', '8af9d9f452c84282a49c74818ee031d0', 'False', 'True', 'false', 'false', '510115003019', 5, '共耕社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115003019', 1, '2021-07-19 11:30:03', NULL, NULL), (1309, '', '明光社区', 'b9c368f5728741428b9c46c4beaaddb3', '8af9d9f452c84282a49c74818ee031d0', 'False', 'True', 'false', 'false', '510115003061', 5, '明光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115003061', 1, '2021-07-19 11:30:03', NULL, NULL), (1310, '', '瑞泉馨城社区', '067fdf978a8449669666f918d9daf51c', '8af9d9f452c84282a49c74818ee031d0', 'False', 'True', 'false', 'false', '510115003077', 5, '瑞泉馨城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115003077', 1, '2021-07-19 11:30:03', NULL, NULL), (1311, '', '凤凰社区', '0f446dd738494352a63e2cbfb9c6c443', '8af9d9f452c84282a49c74818ee031d0', 'False', 'True', 'false', 'false', '510115003495', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115003495', 1, '2021-07-19 11:30:03', NULL, NULL), (1312, '', '天府街道', 'c1b2a6411c4546d2ad531e580278f9f7', 'e16162264ace4a30b171a194e5d12e45', 'True', 'True', 'false', 'false', '510115004000', 4, '天府街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510115004000', 1, '2021-07-19 11:30:03', NULL, NULL), (1313, '', '学府社区', '5ab6b9c9787e4f35a8e04b33c2edea83', 'c1b2a6411c4546d2ad531e580278f9f7', 'False', 'True', 'false', 'false', '510115004024', 5, '学府社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115004024', 1, '2021-07-19 11:30:03', NULL, NULL), (1314, '', '梓潼社区', '47fa8650e23843e3b879cce039ee490c', 'c1b2a6411c4546d2ad531e580278f9f7', 'False', 'True', 'false', 'false', '510115004025', 5, '梓潼社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115004025', 1, '2021-07-19 11:30:03', NULL, NULL), (1315, '', '金府社区', 'cd60ed52efa64cc692fc879509003cbe', 'c1b2a6411c4546d2ad531e580278f9f7', 'False', 'True', 'false', 'false', '510115004039', 5, '金府社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115004039', 1, '2021-07-19 11:30:03', NULL, NULL), (1316, '', '海科社区', '6440ed28f8484bb3aa1cd3b34468b93e', 'c1b2a6411c4546d2ad531e580278f9f7', 'False', 'True', 'false', 'false', '510115004040', 5, '海科社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115004040', 1, '2021-07-19 11:30:03', NULL, NULL), (1317, '', '天府家园社区', 'bb107dcc6ce64506b4ca473ca418e0b3', 'c1b2a6411c4546d2ad531e580278f9f7', 'False', 'True', 'false', 'false', '510115004041', 5, '天府家园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115004041', 1, '2021-07-19 11:30:03', NULL, NULL), (1318, '', '游家渡社区', '8e6f84a7466c4451b5b3a82d9781ba10', 'c1b2a6411c4546d2ad531e580278f9f7', 'False', 'True', 'false', 'false', '510115004042', 5, '游家渡社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115004042', 1, '2021-07-19 11:30:03', NULL, NULL), (1319, '', '笼堰社区', '82cc929a2480472caa98a436b751bb85', 'c1b2a6411c4546d2ad531e580278f9f7', 'False', 'True', 'false', 'false', '510115004213', 5, '笼堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115004213', 1, '2021-07-19 11:30:03', NULL, NULL), (1320, '', '和盛镇', 'd2594503db9c4761aa86bb80487ace03', 'e16162264ace4a30b171a194e5d12e45', 'True', 'True', 'false', 'false', '510115101000', 4, '和盛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510115101000', 1, '2021-07-19 11:30:03', NULL, NULL), (1321, '', '陈家渡村', '4af63cdf069b4d7d82d7e47b03492b15', 'd2594503db9c4761aa86bb80487ace03', 'False', 'True', 'false', 'false', '510115101331', 5, '陈家渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115101331', 1, '2021-07-19 11:30:03', NULL, NULL), (1322, '', '兰亭社区', 'df1d5073171d423f91767badfcccbc83', 'd2594503db9c4761aa86bb80487ace03', 'False', 'True', 'false', 'false', '510115101332', 5, '兰亭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115101332', 1, '2021-07-19 11:30:03', NULL, NULL), (1323, '', '綦临社区', '79deb27abc01463fa37739490c45de36', 'd2594503db9c4761aa86bb80487ace03', 'False', 'True', 'false', 'false', '510115101334', 5, '綦临社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115101334', 1, '2021-07-19 11:30:04', NULL, NULL), (1324, '', '舒家渡社区', '8c2968f414234bf1944d797a0c80a8b1', 'd2594503db9c4761aa86bb80487ace03', 'False', 'True', 'false', 'false', '510115101026', 5, '舒家渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115101026', 1, '2021-07-19 11:30:04', NULL, NULL), (1325, '', '柳岸社区', 'db09e7b07ea6414091826c5313498e80', 'd2594503db9c4761aa86bb80487ace03', 'False', 'True', 'false', 'false', '510115101042', 5, '柳岸社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115101042', 1, '2021-07-19 11:30:04', NULL, NULL), (1326, '', '东宫寺社区', '699cb03d8d60465b88d556abb541ea28', 'd2594503db9c4761aa86bb80487ace03', 'False', 'True', 'false', 'false', '510115101043', 5, '东宫寺社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115101043', 1, '2021-07-19 11:30:04', NULL, NULL), (1327, '', '李义村', '7f391a625ab24023939e8e24949858a2', 'd2594503db9c4761aa86bb80487ace03', 'False', 'True', 'false', 'false', '510115101220', 5, '李义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115101220', 1, '2021-07-19 11:30:04', NULL, NULL), (1328, '', '石坝村', '2e9f871342e04235888a14dfcb34c977', 'd2594503db9c4761aa86bb80487ace03', 'False', 'True', 'false', 'false', '510115101223', 5, '石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115101223', 1, '2021-07-19 11:30:04', NULL, NULL), (1329, '', '玉河村', '0e535b6611b24f839655a61d4da0d7f1', 'd2594503db9c4761aa86bb80487ace03', 'False', 'True', 'false', 'false', '510115101228', 5, '玉河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115101228', 1, '2021-07-19 11:30:04', NULL, NULL), (1330, '', '渡桥村', 'f7dbec5b124940b0accedc1770bf72ae', 'd2594503db9c4761aa86bb80487ace03', 'False', 'True', 'false', 'false', '510115101230', 5, '渡桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115101230', 1, '2021-07-19 11:30:04', NULL, NULL), (1331, '', '石牛村', '5d5a99384957456587b494e512b7ac81', 'd2594503db9c4761aa86bb80487ace03', 'False', 'True', 'false', 'false', '510115101232', 5, '石牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115101232', 1, '2021-07-19 11:30:04', NULL, NULL), (1332, '', '万春镇', '2a1215d655b0488ea2fc107ddcec2f0f', 'e16162264ace4a30b171a194e5d12e45', 'True', 'True', 'false', 'false', '510115105000', 4, '万春镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510115105000', 1, '2021-07-19 11:30:04', NULL, NULL), (1333, '', '镇子场社区', '306f4c489755499daddff78cb4f58bc3', '2a1215d655b0488ea2fc107ddcec2f0f', 'False', 'True', 'false', 'false', '510115105112', 5, '镇子场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115105112', 1, '2021-07-19 11:30:04', NULL, NULL), (1334, '', '长石社区', '67731bd13eb6486e9831b522638d78bc', '2a1215d655b0488ea2fc107ddcec2f0f', 'False', 'True', 'false', 'false', '510115105034', 5, '长石社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115105034', 1, '2021-07-19 11:30:04', NULL, NULL), (1335, '', '南岳社区', '79033da9eec142e78646e26098a4ea90', '2a1215d655b0488ea2fc107ddcec2f0f', 'False', 'True', 'false', 'false', '510115105035', 5, '南岳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115105035', 1, '2021-07-19 11:30:04', NULL, NULL), (1336, '', '永和社区', 'fa8e3538e7cc45a29de3a41ba32f53b8', '2a1215d655b0488ea2fc107ddcec2f0f', 'False', 'True', 'false', 'false', '510115105054', 5, '永和社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115105054', 1, '2021-07-19 11:30:04', NULL, NULL), (1337, '', '黄石社区', '8e3ca4f9399d42ffa4e302e7a658bebb', '2a1215d655b0488ea2fc107ddcec2f0f', 'False', 'True', 'false', 'false', '510115105056', 5, '黄石社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115105056', 1, '2021-07-19 11:30:04', NULL, NULL), (1338, '', '踏水桥社区', '6ba568f0e45f42f6be26528a21aba12b', '2a1215d655b0488ea2fc107ddcec2f0f', 'False', 'True', 'false', 'false', '510115105057', 5, '踏水桥社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115105057', 1, '2021-07-19 11:30:04', NULL, NULL), (1339, '', '春江路社区', 'c6b88d13ccdc4088a666f64d4c3ae1de', '2a1215d655b0488ea2fc107ddcec2f0f', 'False', 'True', 'false', 'false', '510115105058', 5, '春江路社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115105058', 1, '2021-07-19 11:30:05', NULL, NULL), (1340, '', '天乡路社区', '65c385b034364b51b450968df303ec3a', '2a1215d655b0488ea2fc107ddcec2f0f', 'False', 'True', 'false', 'false', '510115105071', 5, '天乡路社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115105071', 1, '2021-07-19 11:30:05', NULL, NULL), (1341, '', '幸福村', 'e1f72d81cd1c47bba6dd8c12605d3c6f', '2a1215d655b0488ea2fc107ddcec2f0f', 'False', 'True', 'false', 'false', '510115105249', 5, '幸福村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115105249', 1, '2021-07-19 11:30:05', NULL, NULL), (1342, '', '鱼凫村', '4ad0a0715b744901a3ebf8d77d2e9289', '2a1215d655b0488ea2fc107ddcec2f0f', 'False', 'True', 'false', 'false', '510115105251', 5, '鱼凫村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115105251', 1, '2021-07-19 11:30:05', NULL, NULL), (1343, '', '金星村', '89af742616924b3498f7d3e0603d0e0b', '2a1215d655b0488ea2fc107ddcec2f0f', 'False', 'True', 'false', 'false', '510115105253', 5, '金星村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115105253', 1, '2021-07-19 11:30:05', NULL, NULL), (1344, '', '和林村', '45d836137a8b4cdd8eb290e25473e92d', '2a1215d655b0488ea2fc107ddcec2f0f', 'False', 'True', 'false', 'false', '510115105254', 5, '和林村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115105254', 1, '2021-07-19 11:30:05', NULL, NULL), (1345, '', '高山村', 'be8efdb319a94546802d104b6f9cb2b9', '2a1215d655b0488ea2fc107ddcec2f0f', 'False', 'True', 'false', 'false', '510115105258', 5, '高山村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115105258', 1, '2021-07-19 11:30:05', NULL, NULL), (1346, '', '先锋村', 'feb61a71c1c14898a460bffae8b97781', '2a1215d655b0488ea2fc107ddcec2f0f', 'False', 'True', 'false', 'false', '510115105262', 5, '先锋村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115105262', 1, '2021-07-19 11:30:05', NULL, NULL), (1347, '', '寿安镇', '35416cbf67784ce3afd0f342c0f7b92a', 'e16162264ace4a30b171a194e5d12e45', 'True', 'True', 'false', 'false', '510115106000', 4, '寿安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510115106000', 1, '2021-07-19 11:30:05', NULL, NULL), (1348, '', '吴家场社区', '126cfecc100c48ffa2035673ffdbe53e', '35416cbf67784ce3afd0f342c0f7b92a', 'False', 'True', 'false', 'false', '510115106036', 5, '吴家场社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115106036', 1, '2021-07-19 11:30:05', NULL, NULL), (1349, '', '汪家湾社区', '1f4e326fb75b4ad0b23e2b77c41fd39b', '35416cbf67784ce3afd0f342c0f7b92a', 'False', 'True', 'false', 'false', '510115106037', 5, '汪家湾社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115106037', 1, '2021-07-19 11:30:05', NULL, NULL), (1350, '', '团结桥社区', 'abc120df3f804eb083c6a05f86f71fb6', '35416cbf67784ce3afd0f342c0f7b92a', 'False', 'True', 'false', 'false', '510115106038', 5, '团结桥社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115106038', 1, '2021-07-19 11:30:05', NULL, NULL), (1351, '', '百花社区', 'dd613b3b0cbe4e3fbc1a6c024b7409aa', '35416cbf67784ce3afd0f342c0f7b92a', 'False', 'True', 'false', 'false', '510115106072', 5, '百花社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115106072', 1, '2021-07-19 11:30:05', NULL, NULL), (1352, '', '喻庙社区', 'db71a334f1d944829f2cbe11b8dd8f5b', '35416cbf67784ce3afd0f342c0f7b92a', 'False', 'True', 'false', 'false', '510115106073', 5, '喻庙社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115106073', 1, '2021-07-19 11:30:05', NULL, NULL), (1353, '', '复兴社区', '78dcc22c8861439f8bc0f7a98f6727bc', '35416cbf67784ce3afd0f342c0f7b92a', 'False', 'True', 'false', 'false', '510115106074', 5, '复兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115106074', 1, '2021-07-19 11:30:05', NULL, NULL), (1354, '', '东岳社区', '8c6ab94651eb445a853e9b188955ad49', '35416cbf67784ce3afd0f342c0f7b92a', 'False', 'True', 'false', 'false', '510115106075', 5, '东岳社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115106075', 1, '2021-07-19 11:30:06', NULL, NULL), (1355, '', '天星村', '41c306fc75b5440bbbb6a43a8cb25ebc', '35416cbf67784ce3afd0f342c0f7b92a', 'False', 'True', 'false', 'false', '510115106269', 5, '天星村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115106269', 1, '2021-07-19 11:30:06', NULL, NULL), (1356, '', '新长青村', 'bb6dc19fcc1a4db1a06e9e890e1f6dc9', '35416cbf67784ce3afd0f342c0f7b92a', 'False', 'True', 'false', 'false', '510115106274', 5, '新长青村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115106274', 1, '2021-07-19 11:30:06', NULL, NULL), (1357, '', '岷江村', '7ac29a89748e421f9bae25be17486aa1', '35416cbf67784ce3afd0f342c0f7b92a', 'False', 'True', 'false', 'false', '510115106280', 5, '岷江村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115106280', 1, '2021-07-19 11:30:06', NULL, NULL), (1358, '', '永宁街道', '0e7dacea1d7745889a6d743d7b00f189', 'e16162264ace4a30b171a194e5d12e45', 'True', 'True', 'false', 'false', '510115521000', 4, '永宁街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510115521000', 1, '2021-07-19 11:30:06', NULL, NULL), (1359, '', '杏林社区', '21cb7cf043e74901b56b01c24a10512a', '0e7dacea1d7745889a6d743d7b00f189', 'False', 'True', 'false', 'false', '510115104654', 5, '杏林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115104654', 1, '2021-07-19 11:30:06', NULL, NULL), (1360, '', '天王社区', 'c702f8397bfa49a398f7b7eb16844e8c', '0e7dacea1d7745889a6d743d7b00f189', 'False', 'True', 'false', 'false', '510115104051', 5, '天王社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115104051', 1, '2021-07-19 11:30:06', NULL, NULL), (1361, '', '新庄社区', 'b4b43dbd951f443e8f2ca1ff340b3eec', '0e7dacea1d7745889a6d743d7b00f189', 'False', 'True', 'false', 'false', '510115104052', 5, '新庄社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115104052', 1, '2021-07-19 11:30:06', NULL, NULL), (1362, '', '八角社区', '4f068bd156cd49899c62d8d3264ca27a', '0e7dacea1d7745889a6d743d7b00f189', 'False', 'True', 'false', 'false', '510115104069', 5, '八角社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115104069', 1, '2021-07-19 11:30:06', NULL, NULL), (1363, '', '城武社区', '1532f8cc323d47a39830a41a2b7360f1', '0e7dacea1d7745889a6d743d7b00f189', 'False', 'True', 'false', 'false', '510115104071', 5, '城武社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115104071', 1, '2021-07-19 11:30:06', NULL, NULL), (1364, '', '金马街道', '71b0c06f8fc046abb73d15e39271af1f', 'e16162264ace4a30b171a194e5d12e45', 'True', 'True', 'false', 'false', '510115907000', 4, '金马街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510115907000', 1, '2021-07-19 11:30:06', NULL, NULL), (1365, '', '永科社区', '29cc8c7ce4fb41ce832b9a7ccabeebb7', '71b0c06f8fc046abb73d15e39271af1f', 'False', 'True', 'false', 'false', '510115104166', 5, '永科社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115104166', 1, '2021-07-19 11:30:06', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (1366, '', '金马街道分中心', 'a559c274742149e6aaa912b12c4a02af', '71b0c06f8fc046abb73d15e39271af1f', 'False', 'True', 'false', 'false', '510115104333', 5, '金马街道分中心', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115104333', 1, '2021-07-19 11:30:06', NULL, NULL), (1367, '', '尚合社区', '2178ad936d0243dab21b144f22db6e40', '71b0c06f8fc046abb73d15e39271af1f', 'False', 'True', 'false', 'false', '510115104354', 5, '尚合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115104354', 1, '2021-07-19 11:30:06', NULL, NULL), (1368, '', '兴科社区', 'af09ce358a8a46cd8515ad61fe61a643', '71b0c06f8fc046abb73d15e39271af1f', 'False', 'True', 'false', 'false', '510115104456', 5, '兴科社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115104456', 1, '2021-07-19 11:30:07', NULL, NULL), (1369, '', '永盛场社区', '304427a857314b71a40bfea771a677f5', '71b0c06f8fc046abb73d15e39271af1f', 'False', 'True', 'false', 'false', '510115104785', 5, '永盛场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115104785', 1, '2021-07-19 11:30:07', NULL, NULL), (1370, '', '友福社区', 'd936b6984051499f9c57d37198abf001', '71b0c06f8fc046abb73d15e39271af1f', 'False', 'True', 'false', 'false', '510115104876', 5, '友福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115104876', 1, '2021-07-19 11:30:07', NULL, NULL), (1371, '', '刘家濠社区', 'ac2a8993421544e6b7bbbbd5eb5ea4cc', '71b0c06f8fc046abb73d15e39271af1f', 'False', 'True', 'false', 'false', '510115104001', 5, '刘家濠社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115104001', 1, '2021-07-19 11:30:07', NULL, NULL), (1372, '', '金泉社区', 'b811063f387c4daebb39af2c3b1fbbcb', '71b0c06f8fc046abb73d15e39271af1f', 'False', 'True', 'false', 'false', '510115104002', 5, '金泉社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115104002', 1, '2021-07-19 11:30:07', NULL, NULL), (1373, '', '温泉社区', 'f8137f4faefa48f9ad84cb58ead9edee', '71b0c06f8fc046abb73d15e39271af1f', 'False', 'True', 'false', 'false', '510115104003', 5, '温泉社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115104003', 1, '2021-07-19 11:30:07', NULL, NULL), (1374, '', '光明社区', '7b281d89417e4b59b3313a5e5ba85e2e', '71b0c06f8fc046abb73d15e39271af1f', 'False', 'True', 'false', 'false', '510115104004', 5, '光明社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510115104004', 1, '2021-07-19 11:30:07', NULL, NULL), (1375, '', '双流区', '9f39c70e1306458980c4b6a700981b6d', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510116000000', 3, '双流区', 'cdsslq.sczwfw.gov.cn', 1, '2021-07-19 11:30:07', NULL, NULL), (1376, '', '怡心街道', '38771d507e6f440e8c2645af65c887d9', '9f39c70e1306458980c4b6a700981b6d', 'True', 'True', 'false', 'false', '510116100000', 4, '怡心街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510116100000', 1, '2021-07-19 11:30:07', NULL, NULL), (1377, '', '成都市双流区怡心街道高峰社区居民委员会', 'e85aa037a911450fa5cd92be4e93e260', '38771d507e6f440e8c2645af65c887d9', 'False', 'True', 'false', 'false', '510116100029', 5, '高峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116100029', 1, '2021-07-19 11:30:07', NULL, NULL), (1378, '', '成都市双流区怡心街道清河社区居民委员会', '029f53806cdb4099b0ddcda69f10909c', '38771d507e6f440e8c2645af65c887d9', 'False', 'True', 'false', 'false', '510116100030', 5, '清河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116100030', 1, '2021-07-19 11:30:07', NULL, NULL), (1379, '', '成都市双流区怡心街道长顺社区居民委员会', '8539e9e9451b4e5bb39d6c5058f6acfc', '38771d507e6f440e8c2645af65c887d9', 'False', 'True', 'false', 'false', '510116100032', 5, '长顺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116100032', 1, '2021-07-19 11:30:07', NULL, NULL), (1380, '', '成都市双流区怡心街道河池社区居民委员会', '396ca33b39974724beab82b8cd327af2', '38771d507e6f440e8c2645af65c887d9', 'False', 'True', 'false', 'false', '510116100033', 5, '河池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116100033', 1, '2021-07-19 11:30:07', NULL, NULL), (1381, '', '成都市双流区怡心街道骑龙社区综合居民委员会', 'e3d5f93807f54a479d6a54ad3698dbf9', '38771d507e6f440e8c2645af65c887d9', 'False', 'True', 'false', 'false', '510116100034', 5, '骑龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116100034', 1, '2021-07-19 11:30:07', NULL, NULL), (1382, '', '成都市双流区怡心街道红瓦社区居民委员会', '7072033e89204f288f09d16373cc01bc', '38771d507e6f440e8c2645af65c887d9', 'False', 'True', 'false', 'false', '510116100035', 5, '红瓦社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116100035', 1, '2021-07-19 11:30:08', NULL, NULL), (1383, '', '成都市双流区怡心街道三江社区居民委员会', 'a2c47170cf7f49cc9f756e23402dbb75', '38771d507e6f440e8c2645af65c887d9', 'False', 'True', 'false', 'false', '510116100036', 5, '三江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116100036', 1, '2021-07-19 11:30:08', NULL, NULL), (1384, '', '成都市双流区怡心街道草坪社区居民委员会', '24b6c6760b614a9291d4147beae9e8e0', '38771d507e6f440e8c2645af65c887d9', 'False', 'True', 'false', 'false', '510116100037', 5, '草坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116100037', 1, '2021-07-19 11:30:08', NULL, NULL), (1385, '', '成都市双流区怡心街道双塘社区居民委员会', 'bd5fe0fc5b6046ca80f1f02dc7bd05e5', '38771d507e6f440e8c2645af65c887d9', 'False', 'True', 'false', 'false', '510116100038', 5, '双塘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116100038', 1, '2021-07-19 11:30:08', NULL, NULL), (1386, '', '成都市双流区怡心街道公兴场社区居民委员会', 'fe545cca1ef0479fb99b38bc50c499ab', '38771d507e6f440e8c2645af65c887d9', 'False', 'True', 'false', 'false', '510116100040', 5, '公兴场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116100040', 1, '2021-07-19 11:30:08', NULL, NULL), (1387, '', '成都市双流区怡心街道藕塘社区居民委员会', '5b31ad90da854bdea56d1a8e9f6d34c4', '38771d507e6f440e8c2645af65c887d9', 'False', 'True', 'false', 'false', '510116100041', 5, '藕塘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116100041', 1, '2021-07-19 11:30:08', NULL, NULL), (1388, '', '成都市双流区怡心街道兰家沟社区居民委员会', '37d1066993e24fd7ab3f817d8310e04d', '38771d507e6f440e8c2645af65c887d9', 'False', 'True', 'false', 'false', '510116100042', 5, '兰家沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116100042', 1, '2021-07-19 11:30:08', NULL, NULL), (1389, '', '九江街道', '1bad94a89e614aed8cec55658c591b97', '9f39c70e1306458980c4b6a700981b6d', 'True', 'True', 'false', 'false', '510116142000', 4, '九江街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510116142000', 1, '2021-07-19 11:30:08', NULL, NULL), (1390, '', '九江街道邹家场社区党群服务中心', 'ee851afba6794778913d31b1396b995e', '1bad94a89e614aed8cec55658c591b97', 'False', 'True', 'false', 'false', '510116000944', 5, '邹家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000944', 1, '2021-07-19 11:30:08', NULL, NULL), (1391, '', '九江街道金岛社区居民委员会', '80fdc1972c014a49bb11a9b9b0510c62', '1bad94a89e614aed8cec55658c591b97', 'False', 'True', 'false', 'false', '510116000945', 5, '金岛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000945', 1, '2021-07-19 11:30:08', NULL, NULL), (1392, '', '九江街道石井社区居民委员会', '2b5091f6b28b49a2bd0d83e3ad883034', '1bad94a89e614aed8cec55658c591b97', 'False', 'True', 'false', 'false', '510116000946', 5, '石井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000946', 1, '2021-07-19 11:30:08', NULL, NULL), (1393, '', '九江街道万家社区居民委员会', '5641dcde0ece43b09c8762b6d5b6a7a7', '1bad94a89e614aed8cec55658c591b97', 'False', 'True', 'false', 'false', '510116000947', 5, '万家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000947', 1, '2021-07-19 11:30:08', NULL, NULL), (1394, '', '九江街道通江社区居民委员会', 'e44d14a935a74005bd6671fa7289ac69', '1bad94a89e614aed8cec55658c591b97', 'False', 'True', 'false', 'false', '510116000948', 5, '通江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000948', 1, '2021-07-19 11:30:08', NULL, NULL), (1395, '', '九江街道石牛社区居民委员会', '6894d4ea81a048b4835421d89dad7370', '1bad94a89e614aed8cec55658c591b97', 'False', 'True', 'false', 'false', '510116000949', 5, '石牛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000949', 1, '2021-07-19 11:30:08', NULL, NULL), (1396, '', '九江街道泉水凼社区居民委员会', '2931ee061ed64390a49024fb040da7c0', '1bad94a89e614aed8cec55658c591b97', 'False', 'True', 'false', 'false', '510116000950', 5, '泉水凼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000950', 1, '2021-07-19 11:30:09', NULL, NULL), (1397, '', '九江街道马家寺社区居民委员会', '24ad199c42064a158c4e225da7a1a93a', '1bad94a89e614aed8cec55658c591b97', 'False', 'True', 'false', 'false', '510116000951', 5, '马家寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000951', 1, '2021-07-19 11:30:09', NULL, NULL), (1398, '', '九江街道龙池社区居民委员会', 'dc02210512db48c4ae79e2a0e1011cfd', '1bad94a89e614aed8cec55658c591b97', 'False', 'True', 'false', 'false', '510116000952', 5, '龙池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000952', 1, '2021-07-19 11:30:09', NULL, NULL), (1399, '', '九江街道蛟龙社区居民委员会', 'c68021cb85c94adb96f6dabcb8055260', '1bad94a89e614aed8cec55658c591b97', 'False', 'True', 'false', 'false', '510116000953', 5, '蛟龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000953', 1, '2021-07-19 11:30:09', NULL, NULL), (1400, '', '九江街道大井社区居民委员会', 'd3fca0f8ac264d89a1d80d24b756b79c', '1bad94a89e614aed8cec55658c591b97', 'False', 'True', 'false', 'false', '510116000954', 5, '大井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000954', 1, '2021-07-19 11:30:09', NULL, NULL), (1401, '', '黄龙溪镇', 'f40629b3d5b14069943b430afcc5a7b9', '9f39c70e1306458980c4b6a700981b6d', 'True', 'True', 'false', 'false', '510116320000', 4, '黄龙溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510116320000', 1, '2021-07-19 11:30:09', NULL, NULL), (1402, '', '黄龙溪镇黄龙社区便民服务站', '94816340f6164845b48ec3f92a65caad', 'f40629b3d5b14069943b430afcc5a7b9', 'False', 'True', 'false', 'false', '510116000014', 5, '黄龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000014', 1, '2021-07-19 11:30:09', NULL, NULL), (1403, '', '黄龙溪镇大河社区便民服务站', 'ad27ca27c5b44d5f8316530436d1ff72', 'f40629b3d5b14069943b430afcc5a7b9', 'False', 'True', 'false', 'false', '510116000015', 5, '大河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000015', 1, '2021-07-19 11:30:09', NULL, NULL), (1404, '', '黄龙溪镇嘉禾社区便民服务站', 'e2f69f31530147e9b7b857beca2500d8', 'f40629b3d5b14069943b430afcc5a7b9', 'False', 'True', 'false', 'false', '510116000016', 5, '嘉禾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000016', 1, '2021-07-19 11:30:09', NULL, NULL), (1405, '', '黄龙溪镇白马社区便民服务站', '922db74a2a4f4b81b40ce6f225e96552', 'f40629b3d5b14069943b430afcc5a7b9', 'False', 'True', 'false', 'false', '510116000017', 5, '白马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000017', 1, '2021-07-19 11:30:09', NULL, NULL), (1406, '', '黄龙溪镇古佛社区便民服务站', 'a426184e1de449bbb236fc84c8310fe4', 'f40629b3d5b14069943b430afcc5a7b9', 'False', 'True', 'false', 'false', '510116000018', 5, '古佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000018', 1, '2021-07-19 11:30:09', NULL, NULL), (1407, '', '黄龙溪镇川江村便民服务站', '636fec02270148bbadd7e07db5fb04c1', 'f40629b3d5b14069943b430afcc5a7b9', 'False', 'True', 'false', 'false', '510116000019', 5, '川江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000019', 1, '2021-07-19 11:30:09', NULL, NULL), (1408, '', '黄龙溪镇响水村便民服务站', '2a7c616a4c1f40f7957bf1c979e7a38f', 'f40629b3d5b14069943b430afcc5a7b9', 'False', 'True', 'false', 'false', '510116000020', 5, '响水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000020', 1, '2021-07-19 11:30:09', NULL, NULL), (1409, '', '彭镇', '97fbb23f96944ba997db1f65381ddc44', '9f39c70e1306458980c4b6a700981b6d', 'True', 'True', 'false', 'false', '510116349000', 4, '彭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510116349000', 1, '2021-07-19 11:30:10', NULL, NULL), (1410, '', '彭镇永和村 村民委员会', 'f50d56a03cab463899a8487228fa50ef', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000971', 5, '永和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000971', 1, '2021-07-19 11:30:10', NULL, NULL), (1411, '', '彭镇舟渡村 村民委员会', '7f4b99e8c5b049d48d44958c04280f22', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000972', 5, '舟渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000972', 1, '2021-07-19 11:30:10', NULL, NULL), (1412, '', '彭镇金河村 村民委员会', '6ca82c14006540188116efcc96cf314f', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000973', 5, '金河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000973', 1, '2021-07-19 11:30:10', NULL, NULL), (1413, '', '彭镇临江村 村民委员会', '271636b91656475e8a47a21d16a47cb1', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000974', 5, '临江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000974', 1, '2021-07-19 11:30:10', NULL, NULL), (1414, '', '彭镇金马村 村民委员会', 'de032e54621843eeb43a2ba92a4fb5b8', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000975', 5, '金马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000975', 1, '2021-07-19 11:30:10', NULL, NULL), (1415, '', '彭镇岷江村 村民委员会', '81b97fe7e08545a9a50ae15fbcb00dec', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000976', 5, '岷江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000976', 1, '2021-07-19 11:30:10', NULL, NULL), (1416, '', '彭镇羊坪社区 居民委员会', '9d4649b055c74467b90a700d1e95f7e9', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000977', 5, '羊坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000977', 1, '2021-07-19 11:30:10', NULL, NULL), (1417, '', '彭镇鲢鱼社区 居民委员会', 'fde9a911b4ad4ce5871032f5ebf5ed22', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000978', 5, '鲢鱼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000978', 1, '2021-07-19 11:30:10', NULL, NULL), (1418, '', '彭镇新安社区 居民委员会', 'd69ffab4c19748c09fb623c0d3730b2e', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000979', 5, '新安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000979', 1, '2021-07-19 11:30:10', NULL, NULL), (1419, '', '彭镇金湾社区 居民委员会', '8ee7ba65d7a143b9bec63f59f5293a0a', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000980', 5, '金湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000980', 1, '2021-07-19 11:30:10', NULL, NULL), (1420, '', '彭镇歧阳社区 居民委员会', '846d700406fe446eac1c40b4d953e7dc', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000981', 5, '歧阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000981', 1, '2021-07-19 11:30:10', NULL, NULL), (1421, '', '彭镇彭家场社区居民委员会', '46f8cdddf29f4a26aa5ae4e32f297b30', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000982', 5, '彭家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000982', 1, '2021-07-19 11:30:10', NULL, NULL), (1422, '', '彭镇燃灯社区 居民委员会', '2c7e11ccc5a14218a9d0db6b918e1233', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000983', 5, '燃灯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000983', 1, '2021-07-19 11:30:10', NULL, NULL), (1423, '', '彭镇红石社区 居民委员会', '86ad2fffc23e4de2bc5071f0755e0f2c', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000984', 5, '红石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000984', 1, '2021-07-19 11:30:10', NULL, NULL), (1424, '', '彭镇金桥社区 居民委员会', '1693dda58ea2435987fc0c9612da38d2', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000985', 5, '金桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000985', 1, '2021-07-19 11:30:11', NULL, NULL), (1425, '', '彭镇昆山社区 居民委员会', 'c0848e58474f40979885411d5c818935', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000986', 5, '昆山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000986', 1, '2021-07-19 11:30:11', NULL, NULL), (1426, '', '彭镇柑梓社区 居民委员会', 'edf984b2bfa8496a847ed02cbc07fa78', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000987', 5, '柑梓社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000987', 1, '2021-07-19 11:30:11', NULL, NULL), (1427, '', '彭镇光荣社区 居民委员会', '7fed49b5919343e69f4e5e1d71942725', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000988', 5, '光荣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000988', 1, '2021-07-19 11:30:11', NULL, NULL), (1428, '', '彭镇合水社区 居民委员会', 'b97ea105b5874141b8cb2fdb96aff07b', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000989', 5, '合水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000989', 1, '2021-07-19 11:30:11', NULL, NULL), (1429, '', '彭镇布市社区 居民委员会', '7a91a8a6bda7476d88ce3cf1af4598a8', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000990', 5, '布市社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000990', 1, '2021-07-19 11:30:11', NULL, NULL), (1430, '', '彭镇兴福社区 居民委员会', '12b4df503937439db13c7314f58983f8', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000991', 5, '兴福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000991', 1, '2021-07-19 11:30:11', NULL, NULL), (1431, '', '彭镇木樨社区 居民委员会', 'd5a28c431c1a4e6d82dc8da35684d5e2', '97fbb23f96944ba997db1f65381ddc44', 'False', 'True', 'false', 'false', '510116000992', 5, '木樨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000992', 1, '2021-07-19 11:30:11', NULL, NULL), (1432, '', '西航港街道', 'ea80da2a02e14551a2012eee72b5f11f', '9f39c70e1306458980c4b6a700981b6d', 'True', 'True', 'false', 'false', '510116372000', 4, '西航港街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510116372000', 1, '2021-07-19 11:30:11', NULL, NULL), (1433, '', '西航港街道机场路社区居民委员会', 'a045d6ad34bc46ee838b20c0a7a1c07d', 'ea80da2a02e14551a2012eee72b5f11f', 'False', 'True', 'false', 'false', '510116000955', 5, '机场路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000955', 1, '2021-07-19 11:30:11', NULL, NULL), (1434, '', '西航港街道星月社区居民委员会', 'ecdf71841533440a9c8a39ff6efcd848', 'ea80da2a02e14551a2012eee72b5f11f', 'False', 'True', 'false', 'false', '510116000956', 5, '星月社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000956', 1, '2021-07-19 11:30:11', NULL, NULL), (1435, '', '西航港街道寺圣社区居民委员会', '20513b1fcb07473980c6b535c81ce15f', 'ea80da2a02e14551a2012eee72b5f11f', 'False', 'True', 'false', 'false', '510116000957', 5, '寺圣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000957', 1, '2021-07-19 11:30:11', NULL, NULL), (1436, '', '西航港街道蜀星社区居民委员会', 'da231a95a45d4901917ff55edb6169b8', 'ea80da2a02e14551a2012eee72b5f11f', 'False', 'True', 'false', 'false', '510116000958', 5, '蜀星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000958', 1, '2021-07-19 11:30:12', NULL, NULL), (1437, '', '西航港街道龙港社区居民委员会', '02b1b30868cf4864b1af018fb031eca5', 'ea80da2a02e14551a2012eee72b5f11f', 'False', 'True', 'false', 'false', '510116000959', 5, '龙港社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000959', 1, '2021-07-19 11:30:12', NULL, NULL), (1438, '', '西航港街道九龙湖社区居民委员会', '20409e8cd5844c68a5aca16cd266989f', 'ea80da2a02e14551a2012eee72b5f11f', 'False', 'True', 'false', 'false', '510116000960', 5, '九龙湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000960', 1, '2021-07-19 11:30:12', NULL, NULL), (1439, '', '西航港街道近都社区居民委员会', '30e773027ca948798e5e19c64781707c', 'ea80da2a02e14551a2012eee72b5f11f', 'False', 'True', 'false', 'false', '510116000961', 5, '近都社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000961', 1, '2021-07-19 11:30:12', NULL, NULL), (1440, '', '西航港街道 江安社区居民委员会', 'ae28fe40495640dab2a33c0d4ab1a7f7', 'ea80da2a02e14551a2012eee72b5f11f', 'False', 'True', 'false', 'false', '510116000962', 5, '江安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000962', 1, '2021-07-19 11:30:12', NULL, NULL), (1441, '', '西航港街道花红社区居民委员会', '39e2370b14b34bf49a2008400ea8e61a', 'ea80da2a02e14551a2012eee72b5f11f', 'False', 'True', 'false', 'false', '510116000963', 5, '花红社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000963', 1, '2021-07-19 11:30:12', NULL, NULL), (1442, '', '西航港街道 湖夹滩社区居民委员会', '5ddb5c8c4d6945ec83281809090c7037', 'ea80da2a02e14551a2012eee72b5f11f', 'False', 'True', 'false', 'false', '510116000964', 5, '湖夹滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000964', 1, '2021-07-19 11:30:12', NULL, NULL), (1443, '', '西航港街道桂花堰社区居民委会', '8b11661d1fca4c7e84510932726fc921', 'ea80da2a02e14551a2012eee72b5f11f', 'False', 'True', 'false', 'false', '510116000965', 5, '桂花堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000965', 1, '2021-07-19 11:30:12', NULL, NULL), (1444, '', '西航港街道光明社区居民委员会', '468e1093eac84bffb087d66eb6cd8ada', 'ea80da2a02e14551a2012eee72b5f11f', 'False', 'True', 'false', 'false', '510116000966', 5, '光明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000966', 1, '2021-07-19 11:30:12', NULL, NULL), (1445, '', '西航港街道常乐社区居民委员会', '284b67f6d0a5454da0261342be7c0553', 'ea80da2a02e14551a2012eee72b5f11f', 'False', 'True', 'false', 'false', '510116000967', 5, '常乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000967', 1, '2021-07-19 11:30:12', NULL, NULL), (1446, '', '西航港街道成白路社区居民委会', 'fe07b76f9e7748f9970335f7499f7bec', 'ea80da2a02e14551a2012eee72b5f11f', 'False', 'True', 'false', 'false', '510116000968', 5, '白路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000968', 1, '2021-07-19 11:30:12', NULL, NULL), (1447, '', '西航港街道白家场社区居民委员会', '040a0df689cf4e00a00faf3c3aa2d495', 'ea80da2a02e14551a2012eee72b5f11f', 'False', 'True', 'false', 'false', '510116000969', 5, '白家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000969', 1, '2021-07-19 11:30:12', NULL, NULL), (1448, '', '西航港街道莲花社区 居民委员会', 'a28f2eb278914c6ba329be93426c21aa', 'ea80da2a02e14551a2012eee72b5f11f', 'False', 'True', 'false', 'false', '510116000970', 5, '莲花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000970', 1, '2021-07-19 11:30:12', NULL, NULL), (1449, '', '黄甲街道', '5e95649802764a01ab11ce2549036398', '9f39c70e1306458980c4b6a700981b6d', 'True', 'True', 'false', 'false', '510116449000', 4, '黄甲街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510116449000', 1, '2021-07-19 11:30:12', NULL, NULL), (1450, '', '成都市双流区黄甲街道王家场社区居民委员会', '031a1d602de34729b8bd2a3d75d2fcd1', '5e95649802764a01ab11ce2549036398', 'False', 'True', 'false', 'false', '510116000021', 5, '王家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000021', 1, '2021-07-19 11:30:13', NULL, NULL), (1451, '', '成都市双流区黄甲街道青云寺社区居民委员会', '9aee763c002748f3959f268fe4dc2089', '5e95649802764a01ab11ce2549036398', 'False', 'True', 'false', 'false', '510116000022', 5, '青云寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000022', 1, '2021-07-19 11:30:13', NULL, NULL), (1452, '', '成都市双流区黄甲街道文庙社区居民委员会', '864aec95fe1b47eca00aa9b59f496078', '5e95649802764a01ab11ce2549036398', 'False', 'True', 'false', 'false', '510116000023', 5, '文庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000023', 1, '2021-07-19 11:30:13', NULL, NULL), (1453, '', '成都市双流区黄甲街道八角社区居民委员会', '560549f86abe4e46821fa5fdbe82dba1', '5e95649802764a01ab11ce2549036398', 'False', 'True', 'false', 'false', '510116000024', 5, '八角社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000024', 1, '2021-07-19 11:30:13', NULL, NULL), (1454, '', '成都市双流区黄甲街道双华社区居民委员会', '68a601dfb3de4defb6ed2a2333c5681b', '5e95649802764a01ab11ce2549036398', 'False', 'True', 'false', 'false', '510116000026', 5, '双华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000026', 1, '2021-07-19 11:30:13', NULL, NULL), (1455, '', '成都市双流区黄甲街道一里坡社区居民委员会', '51fdde3a34d54a56b3ec8d977d503a08', '5e95649802764a01ab11ce2549036398', 'False', 'True', 'false', 'false', '510116000027', 5, '一里坡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000027', 1, '2021-07-19 11:30:13', NULL, NULL), (1456, '', '成都市双流区黄甲街道长埂社区居民委员会', 'de5edbe0aaf9424db460f4b82306bd04', '5e95649802764a01ab11ce2549036398', 'False', 'True', 'false', 'false', '510116000028', 5, '长埂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000028', 1, '2021-07-19 11:30:13', NULL, NULL), (1457, '', '永安镇', '01bdfcc167e845efacb191d533593b46', '9f39c70e1306458980c4b6a700981b6d', 'True', 'True', 'false', 'false', '510116509000', 4, '永安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510116509000', 1, '2021-07-19 11:30:13', NULL, NULL), (1458, '', '成都市双流区永安镇三新村村民委员会', '69982d4b74cb4f9f8e6ad8296e60693c', '01bdfcc167e845efacb191d533593b46', 'False', 'True', 'false', 'false', '510116000993', 5, '三新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000993', 1, '2021-07-19 11:30:13', NULL, NULL), (1459, '', '成都市双流区永安镇梨园村村民委员会', 'f596bebd972b4a8187f2af8e1b04dd23', '01bdfcc167e845efacb191d533593b46', 'False', 'True', 'false', 'false', '510116000994', 5, '梨园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000994', 1, '2021-07-19 11:30:13', NULL, NULL), (1460, '', '成都市双流区永安镇双坝村村民委员会', 'ee166c6d7c4d4c62a8890969746febe9', '01bdfcc167e845efacb191d533593b46', 'False', 'True', 'false', 'false', '510116000995', 5, '双坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000995', 1, '2021-07-19 11:30:13', NULL, NULL), (1461, '', '成都市双流区永安镇凤凰里社区居民委员会', 'bf86de1e86b446d58aff43778612fcca', '01bdfcc167e845efacb191d533593b46', 'False', 'True', 'false', 'false', '510116000996', 5, '凤凰里', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000996', 1, '2021-07-19 11:30:13', NULL, NULL), (1462, '', '成都市双流区永安镇松柏社区居民委员会', 'd9d97eeaeee14ab5b6e981ff9da2c971', '01bdfcc167e845efacb191d533593b46', 'False', 'True', 'false', 'false', '510116000997', 5, '松柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000997', 1, '2021-07-19 11:30:13', NULL, NULL), (1463, '', '成都市双流区永安镇景山村村民委员会', '011dd45565e5492aa08e193ba5854529', '01bdfcc167e845efacb191d533593b46', 'False', 'True', 'false', 'false', '510116000998', 5, '景山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000998', 1, '2021-07-19 11:30:13', NULL, NULL), (1464, '', '成都市双流区永安镇付家坝社区居民委员会', '6136d12a40874991a1b0286688825df0', '01bdfcc167e845efacb191d533593b46', 'False', 'True', 'false', 'false', '510116000999', 5, '付家坝', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000999', 1, '2021-07-19 11:30:14', NULL, NULL), (1465, '', '东升街道', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', '9f39c70e1306458980c4b6a700981b6d', 'True', 'True', 'false', 'false', '510116745000', 4, '东升街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510116745000', 1, '2021-07-19 11:30:14', NULL, NULL), (1466, '', '东升街道葛陌社区居民委员会', 'f7435fb616a7443799f74ef57b48cffa', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000921', 5, '葛陌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000921', 1, '2021-07-19 11:30:14', NULL, NULL), (1467, '', '东升街道接待寺社区居民委员会', '92af484f54434f6d87bda05c9d0cde45', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000922', 5, '接待寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000922', 1, '2021-07-19 11:30:14', NULL, NULL), (1468, '', '东升街道花月街社区居民委员会', '346d9ebe58814297b363a131ece785f8', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000923', 5, '花月街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000923', 1, '2021-07-19 11:30:14', NULL, NULL), (1469, '', '东升街道迎春桥社区居民委员会', 'b6d2124221854b07b003421f582e2448', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000924', 5, '迎春桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000924', 1, '2021-07-19 11:30:14', NULL, NULL), (1470, '', '东升街道五洞桥社区居民委员会', '5676eb3fe9aa4b289a14151ec10d69f8', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000925', 5, '五洞桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000925', 1, '2021-07-19 11:30:14', NULL, NULL), (1471, '', '东升街道龙桥社区居民委员会', '941b76b692054b1aa4c07100b09eda80', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000926', 5, '龙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000926', 1, '2021-07-19 11:30:14', NULL, NULL), (1472, '', '东升街道广都社区居民委员会', 'e95f92041a5f482bb8369c1757394e69', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000927', 5, '广都社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000927', 1, '2021-07-19 11:30:14', NULL, NULL), (1473, '', '东升街道白鹤社区居民委员会', 'd206a0a7118b45a0bca27f96960522af', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000928', 5, '白鹤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000928', 1, '2021-07-19 11:30:14', NULL, NULL), (1474, '', '东升街道花园社区居民委员会', '3565d73e21af41d28f63d81acf94d78f', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000929', 5, '花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000929', 1, '2021-07-19 11:30:15', NULL, NULL), (1475, '', '东升街道长兴社区居民委员会', 'e3d6afc60d5944d186ecb0a3cf41fdb8', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000930', 5, '长兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000930', 1, '2021-07-19 11:30:15', NULL, NULL), (1476, '', '东升街道永乐社区居民委员会', 'e4c29f21d6504e019207362e0bee0f83', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000931', 5, '永乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000931', 1, '2021-07-19 11:30:15', NULL, NULL), (1477, '', '东升街道永福社区居民委员会', '569bff33f5574c02931b54dd96d03a88', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000932', 5, '永福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000932', 1, '2021-07-19 11:30:15', NULL, NULL), (1478, '', '东升街道双巷社区居民委员会', 'd8eaf8c1f1954c8ba97b489ef71b7a0b', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000933', 5, '双巷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000933', 1, '2021-07-19 11:30:15', NULL, NULL), (1479, '', '东升街道清泰社区居民委员会', '4d7834e1ed624db28ec53806f0cb7d27', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000934', 5, '清泰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000934', 1, '2021-07-19 11:30:15', NULL, NULL), (1480, '', '东升街道丰乐社区居民委员会', '063f1a8400d14ddc9e24cf02114fc460', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000935', 5, '丰乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000935', 1, '2021-07-19 11:30:15', NULL, NULL), (1481, '', '东升街道三里坝社区居民委员会', '0d550a02fb7b4b46b05f79fc57383e83', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000936', 5, '三里坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000936', 1, '2021-07-19 11:30:15', NULL, NULL), (1482, '', '东升街道芦蒿社区居民委员会', 'a2a2cfaea04743a2a400fd374747bc24', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000937', 5, '芦蒿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000937', 1, '2021-07-19 11:30:15', NULL, NULL), (1483, '', '东升街道双桂社区居民委员会', 'e301658e4ad940c7aa48423d14de7f22', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000938', 5, '双桂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000938', 1, '2021-07-19 11:30:15', NULL, NULL), (1484, '', '东升街道三义桥社区居民委员会', 'da4b8518464f463bb288577e182f644f', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000939', 5, '三义桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000939', 1, '2021-07-19 11:30:15', NULL, NULL), (1485, '', '东升街道普贤社区居民委员会', 'e87cc47c208a48ee95384311d2b34339', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000940', 5, '普贤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000940', 1, '2021-07-19 11:30:15', NULL, NULL), (1486, '', '东升街道城塔社区居民委员会', '2c3b7a36872b4940bfc20a0fd2aeba29', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000941', 5, '城塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000941', 1, '2021-07-19 11:30:15', NULL, NULL), (1487, '', '东升街道综合社区便民服务站', 'de0242aacd524992a9c99f3718affd8b', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000942', 5, '综合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000942', 1, '2021-07-19 11:30:15', NULL, NULL), (1488, '', '东升街道紫东阁社区居民委员会', '6a9f6bc582d24668af0f8ab01ad9e113', '536ddcc34f3c41a3a0b8f4bb0e0f7d33', 'False', 'True', 'false', 'false', '510116000943', 5, '紫东阁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000943', 1, '2021-07-19 11:30:16', NULL, NULL), (1489, '', '黄水镇', '81fd842901d44abea44f52b4960863f2', '9f39c70e1306458980c4b6a700981b6d', 'True', 'True', 'false', 'false', '510116815000', 4, '黄水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510116815000', 1, '2021-07-19 11:30:16', NULL, NULL), (1490, '', '成都市双流区黄水镇楠柳社区居民委员会', '67c114d5af6c42e88f6dd2a244567154', '81fd842901d44abea44f52b4960863f2', 'False', 'True', 'false', 'false', '510116000001', 5, '楠柳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000001', 1, '2021-07-19 11:30:16', NULL, NULL), (1491, '', '成都市双流区黄水镇白塔社区居民委员会', '87eb579de75d4977bbb6a383319bb5d3', '81fd842901d44abea44f52b4960863f2', 'False', 'True', 'false', 'false', '510116000002', 5, '白塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000002', 1, '2021-07-19 11:30:16', NULL, NULL), (1492, '', '成都市双流区黄水镇桃荚社区居民委员会', 'e5450203eac1462e8479eb392739096d', '81fd842901d44abea44f52b4960863f2', 'False', 'True', 'false', 'false', '510116000003', 5, '桃荚社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000003', 1, '2021-07-19 11:30:16', NULL, NULL), (1493, '', '成都市双流区黄水镇桂花社区居民委员会', '2d2783a74d834cd2be52301de087626b', '81fd842901d44abea44f52b4960863f2', 'False', 'True', 'false', 'false', '510116000004', 5, '桂花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000004', 1, '2021-07-19 11:30:16', NULL, NULL), (1494, '', '成都市双流区黄水镇应天寺社区居民委员会', '5454c4e02fa54302866422ed5a3199a5', '81fd842901d44abea44f52b4960863f2', 'False', 'True', 'false', 'false', '510116000005', 5, '应天寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000005', 1, '2021-07-19 11:30:16', NULL, NULL), (1495, '', '成都市双流区黄水镇云华社区居民委员会', '2ff728360484402487d5b720ed446c66', '81fd842901d44abea44f52b4960863f2', 'False', 'True', 'false', 'false', '510116000006', 5, '云华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000006', 1, '2021-07-19 11:30:16', NULL, NULL), (1496, '', '成都市双流区黄水镇花龙村村民委员会', 'e74dbd0f2c3e4d86b9251d4bc69e1f60', '81fd842901d44abea44f52b4960863f2', 'False', 'True', 'false', 'false', '510116000007', 5, '花龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000007', 1, '2021-07-19 11:30:16', NULL, NULL), (1497, '', '成都市双流区黄水镇杨公社区居民委员会', '9cae56e2df844296bdee73867c023d9b', '81fd842901d44abea44f52b4960863f2', 'False', 'True', 'false', 'false', '510116000008', 5, '杨公社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000008', 1, '2021-07-19 11:30:16', NULL, NULL), (1498, '', '成都市双流区黄水镇文武社区居民委员会', 'ac066c69dcf9490a817ea10c09dd37fd', '81fd842901d44abea44f52b4960863f2', 'False', 'True', 'false', 'false', '510116000009', 5, '文武社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000009', 1, '2021-07-19 11:30:16', NULL, NULL), (1499, '', '成都市双流区黄水镇扯旗社区居民委员会', 'ea2b19d34bfa4e5ca8cbabe5428ba75a', '81fd842901d44abea44f52b4960863f2', 'False', 'True', 'false', 'false', '510116000010', 5, '扯旗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000010', 1, '2021-07-19 11:30:16', NULL, NULL), (1500, '', '成都市双流区黄水镇红桥社区居民委员会', '8e0ddc056bf0402f89573ec97e4cd8af', '81fd842901d44abea44f52b4960863f2', 'False', 'True', 'false', 'false', '510116000011', 5, '红桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000011', 1, '2021-07-19 11:30:16', NULL, NULL), (1501, '', '成都市双流区黄水镇长沟社区居民委员会', '7eb658770a444e0d8221a89134fa00ed', '81fd842901d44abea44f52b4960863f2', 'False', 'True', 'false', 'false', '510116000012', 5, '长沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000012', 1, '2021-07-19 11:30:17', NULL, NULL), (1502, '', '成都市双流区黄水镇板桥社区居民委员会', 'f30716102ac84c4faaa8de8de4dc3625', '81fd842901d44abea44f52b4960863f2', 'False', 'True', 'false', 'false', '510116000013', 5, '板桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510116000013', 1, '2021-07-19 11:30:17', NULL, NULL), (1503, '', '郫都区', '9188e7ec2d524e669e1899b2e0a97d01', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510124000000', 3, '郫都区', 'cdspdq.sczwfw.gov.cn', 1, '2021-07-19 11:30:17', NULL, NULL), (1504, '', '唐昌镇', 'bb747d1956cb4925a03ed6ab08440da8', '9188e7ec2d524e669e1899b2e0a97d01', 'True', 'True', 'false', 'false', '510124072000', 4, '唐昌镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510124072000', 1, '2021-07-19 11:30:17', NULL, NULL), (1505, '', '文昌宫社区', '33c2e512a8ad426b99a7493f0a0b81d5', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'False', 'false', 'false', '510117104359', 5, '文昌宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510117104359', 1, '2021-07-19 11:30:17', NULL, NULL), (1506, '', '钓鱼村', '86633f871cd840c298485353ac65f76e', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072010', 5, '钓鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072010', 1, '2021-07-19 11:30:17', NULL, NULL), (1507, '', '永安村', '8c4c669317f5402ebb7e72b6f5907490', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072085', 5, '永安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072085', 1, '2021-07-19 11:30:17', NULL, NULL), (1508, '', '战旗村', 'f085600ffdbd47f2ac2fcddfab659fa8', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072086', 5, '战旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072086', 1, '2021-07-19 11:30:17', NULL, NULL), (1509, '', '竹林村', 'd71c38542d544c379fbde90e46850432', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072090', 5, '竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072090', 1, '2021-07-19 11:30:17', NULL, NULL), (1510, '', '火花村', '4e0c5f3ffa834f9bb1e1b5f3c801a69e', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072156', 5, '火花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072156', 1, '2021-07-19 11:30:17', NULL, NULL), (1511, '', '平康村', '6e3133456f9442e69cbc12d2fccde5b1', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072281', 5, '平康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072281', 1, '2021-07-19 11:30:17', NULL, NULL), (1512, '', '柏木村', '51e05f6c7d9f45fab1bf7e011800d1fe', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072457', 5, '柏木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072457', 1, '2021-07-19 11:30:17', NULL, NULL), (1513, '', '横山村', '064e8a815530464fabe26c1f9b530017', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072513', 5, '横山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072513', 1, '2021-07-19 11:30:18', NULL, NULL), (1514, '', '鸣凤社区', '189b8b0059df4350ba42ad90e464341c', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072521', 5, '鸣凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072521', 1, '2021-07-19 11:30:18', NULL, NULL), (1515, '', '青杨村', '76f8e8a7fb3d4215b51f5008d00c4cf9', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072549', 5, '青杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072549', 1, '2021-07-19 11:30:18', NULL, NULL), (1516, '', '万寿街社区', 'fc0fefbc034043eca6c04e1ef13a223f', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072559', 5, '万寿街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072559', 1, '2021-07-19 11:30:18', NULL, NULL), (1517, '', '大云村', 'c290eb24c4c14a11967b68a06b34ff9f', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072565', 5, '大云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072565', 1, '2021-07-19 11:30:18', NULL, NULL), (1518, '', '平乐村', 'd0c215a64907419281cd4e7cb92595cb', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072579', 5, '平乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072579', 1, '2021-07-19 11:30:18', NULL, NULL), (1519, '', '锦宁村', '15762e8376a5438a95f00f84bc63ed79', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072664', 5, '锦宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072664', 1, '2021-07-19 11:30:18', NULL, NULL), (1520, '', '翰林社区', 'fe9f0041fc4f47a0917747e94e584de7', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072682', 5, '翰林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072682', 1, '2021-07-19 11:30:18', NULL, NULL), (1521, '', '千夫村', '652f1d172489478e8d08fef1afe2be92', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072723', 5, '千夫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072723', 1, '2021-07-19 11:30:18', NULL, NULL), (1522, '', '福昌村', '0fb4a99f2ddd44078ad9d620f9a463fa', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072741', 5, '福昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072741', 1, '2021-07-19 11:30:18', NULL, NULL), (1523, '', '先锋村', 'df47d54a90d1423e87bc1604813ec3bd', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072798', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072798', 1, '2021-07-19 11:30:18', NULL, NULL), (1524, '', '留驾村', '2d66a35ebf8b4ae598a6cf28f6d1a4a6', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072898', 5, '留驾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072898', 1, '2021-07-19 11:30:18', NULL, NULL), (1525, '', '金沙社区', '69437545367e4b5c949d5c0a9550f17f', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072927', 5, '金沙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072927', 1, '2021-07-19 11:30:19', NULL, NULL), (1526, '', '沙河村', 'd6007cfbc8584eabb7450b3972f4f423', 'bb747d1956cb4925a03ed6ab08440da8', 'False', 'True', 'false', 'false', '510124072995', 5, '沙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124072995', 1, '2021-07-19 11:30:19', NULL, NULL), (1527, '', '安靖街道', '023d6a12b0d04434a54db64187c546c5', '9188e7ec2d524e669e1899b2e0a97d01', 'True', 'True', 'false', 'false', '510124077000', 4, '安靖街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510124077000', 1, '2021-07-19 11:30:19', NULL, NULL), (1528, '', '土地村', '9e390f861b4e4fc188d9a7e9cb2cef7b', '023d6a12b0d04434a54db64187c546c5', 'False', 'True', 'false', 'false', '510124077034', 5, '土地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124077034', 1, '2021-07-19 11:30:19', NULL, NULL), (1529, '', '方桥村', '2391c831f26b499c98fb764e948f8502', '023d6a12b0d04434a54db64187c546c5', 'False', 'True', 'false', 'false', '510124077036', 5, '方桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124077036', 1, '2021-07-19 11:30:19', NULL, NULL), (1530, '', '赛驰村', '27a5dd162878473a977b836eedbd0843', '023d6a12b0d04434a54db64187c546c5', 'False', 'True', 'false', 'false', '510124077217', 5, '赛驰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124077217', 1, '2021-07-19 11:30:19', NULL, NULL), (1531, '', '喜安社区', '4b3ae3a1617f445fb25501f9b0d4f747', '023d6a12b0d04434a54db64187c546c5', 'False', 'True', 'false', 'false', '510124077310', 5, '喜安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124077310', 1, '2021-07-19 11:30:19', NULL, NULL), (1532, '', '林湾村', '6530bec56f6e4dafbc14d472812cbe0d', '023d6a12b0d04434a54db64187c546c5', 'False', 'True', 'false', 'false', '510124077615', 5, '林湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124077615', 1, '2021-07-19 11:30:19', NULL, NULL), (1533, '', '沙湾村', '90cd4a515606450ca9cca170b1f63906', '023d6a12b0d04434a54db64187c546c5', 'False', 'True', 'false', 'false', '510124077637', 5, '沙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124077637', 1, '2021-07-19 11:30:19', NULL, NULL), (1534, '', '方碑社区', 'b618c6c3bb644641b7d5ea80aafe1569', '023d6a12b0d04434a54db64187c546c5', 'False', 'True', 'false', 'false', '510124077684', 5, '方碑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124077684', 1, '2021-07-19 11:30:19', NULL, NULL), (1535, '', '雍渡村', '0a4df907d04147c69fe404c3bc22e41b', '023d6a12b0d04434a54db64187c546c5', 'False', 'True', 'false', 'false', '510124077692', 5, '雍渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124077692', 1, '2021-07-19 11:30:19', NULL, NULL), (1536, '', '高桥村', 'f38ab8551589419e8e4264f824301f85', '023d6a12b0d04434a54db64187c546c5', 'False', 'True', 'false', 'false', '510124077873', 5, '高桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124077873', 1, '2021-07-19 11:30:20', NULL, NULL), (1537, '', '德源街道', 'a9eaa24f29174a18a1e70abc9e1776be', '9188e7ec2d524e669e1899b2e0a97d01', 'True', 'True', 'false', 'false', '510124131000', 4, '德源街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510124131000', 1, '2021-07-19 11:30:20', NULL, NULL), (1538, '', '德安社区', '478eaa4b71a648ea8316afec122352fc', 'a9eaa24f29174a18a1e70abc9e1776be', 'False', 'True', 'false', 'false', '510124131098', 5, '德安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124131098', 1, '2021-07-19 11:30:20', NULL, NULL), (1539, '', '菁蓉湖社区', '9f0337e5833f49a8b5ae80c6ac49a13d', 'a9eaa24f29174a18a1e70abc9e1776be', 'False', 'True', 'false', 'false', '510124131109', 5, '菁蓉湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124131109', 1, '2021-07-19 11:30:20', NULL, NULL), (1540, '', '禹庙村', '85d0016ec87d440b828fb56ab67aeca5', 'a9eaa24f29174a18a1e70abc9e1776be', 'False', 'True', 'false', 'false', '510124131138', 5, '禹庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124131138', 1, '2021-07-19 11:30:20', NULL, NULL), (1541, '', '馨美社区', 'ac56eba746cf4da4a010b97ad3a0a478', 'a9eaa24f29174a18a1e70abc9e1776be', 'False', 'True', 'false', 'false', '510124131363', 5, '馨美社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124131363', 1, '2021-07-19 11:30:20', NULL, NULL), (1542, '', '红旗社区', 'd107852fb5c34c63980a975efbea5394', 'a9eaa24f29174a18a1e70abc9e1776be', 'False', 'True', 'false', 'false', '510124131506', 5, '红旗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124131506', 1, '2021-07-19 11:30:20', NULL, NULL), (1543, '', '东林村', '7d3e4b4d18954ac18e46dbce0d4a6102', 'a9eaa24f29174a18a1e70abc9e1776be', 'False', 'True', 'false', 'false', '510124131676', 5, '东林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124131676', 1, '2021-07-19 11:30:20', NULL, NULL), (1544, '', '滨清路社区', 'b017b79e8a584f50a9d52a234b179d4c', 'a9eaa24f29174a18a1e70abc9e1776be', 'False', 'True', 'false', 'false', '510124131816', 5, '滨清路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124131816', 1, '2021-07-19 11:30:20', NULL, NULL), (1545, '', '犀浦街道', '8def7b18ba7941a79e3a7342dd073043', '9188e7ec2d524e669e1899b2e0a97d01', 'True', 'True', 'false', 'false', '510124408000', 4, '犀浦街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510124408000', 1, '2021-07-19 11:30:20', NULL, NULL), (1546, '', '双林村', '59aaf95b1f0d441b960874f44354d58b', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408141', 5, '双林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408141', 1, '2021-07-19 11:30:20', NULL, NULL), (1547, '', '岷江社区', '14c93151cc63433b8b20b4016761ee8b', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408185', 5, '岷江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408185', 1, '2021-07-19 11:30:20', NULL, NULL), (1548, '', '犀和社区', '108026c447534e7b967bed6cdadfc708', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408199', 5, '犀和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408199', 1, '2021-07-19 11:30:20', NULL, NULL), (1549, '', '国宁村', '6d59fe3c39304628b9ecef0e9bf077aa', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408201', 5, '国宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408201', 1, '2021-07-19 11:30:20', NULL, NULL), (1550, '', '龙吟村', '7c04107c38b3464aa78b1a22beb4aab0', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408313', 5, '龙吟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408313', 1, '2021-07-19 11:30:21', NULL, NULL), (1551, '', '锦园社区', 'd5f1e68f7620479b80cef919f4006e03', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408330', 5, '锦园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408330', 1, '2021-07-19 11:30:21', NULL, NULL), (1552, '', '梓潼社区', '6fd8d022840349db86a67acd00c9e4c4', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408422', 5, '梓潼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408422', 1, '2021-07-19 11:30:21', NULL, NULL), (1553, '', '犀池社区', '95cd820f67e74a8da6573528c369a7fc', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408441', 5, '犀池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408441', 1, '2021-07-19 11:30:21', NULL, NULL), (1554, '', '犀牛社区', '68fb4937b271429cb0a2c66e2ae455ad', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408511', 5, '犀牛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408511', 1, '2021-07-19 11:30:21', NULL, NULL), (1555, '', '浦兴社区', 'aa163771f71f4d6dac559f297473f869', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408520', 5, '浦兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408520', 1, '2021-07-19 11:30:21', NULL, NULL), (1556, '', '泗合社区', '0891c926a9b94cc9838b03fd406d7ae1', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408548', 5, '泗合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408548', 1, '2021-07-19 11:30:21', NULL, NULL), (1557, '', '犀浦村', 'ea3228db7d61445bbfbbe40282e2bc21', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408564', 5, '犀浦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408564', 1, '2021-07-19 11:30:21', NULL, NULL), (1558, '', '万福村', '4aaf6b1e2270444994a4bbb645464681', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408666', 5, '万福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408666', 1, '2021-07-19 11:30:21', NULL, NULL), (1559, '', '大都会社区', '0524e7ea0d1548c49edc52a681641fe4', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408669', 5, '大都会社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408669', 1, '2021-07-19 11:30:21', NULL, NULL), (1560, '', '犀湖社区', 'd0b7a374746f4568b8dbf3647931a5a1', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408700', 5, '犀湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408700', 1, '2021-07-19 11:30:21', NULL, NULL), (1561, '', '两河社区', '91cca42648114fa88498b33e5edb2ed5', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408797', 5, '两河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408797', 1, '2021-07-19 11:30:21', NULL, NULL), (1562, '', '石亭村', '1be73a01b1ad453397ed0ff9c94e12d6', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408804', 5, '石亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408804', 1, '2021-07-19 11:30:21', NULL, NULL), (1563, '', '玉龙社区', 'c6df600e443d4f8384277cf1c02fd926', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408931', 5, '玉龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408931', 1, '2021-07-19 11:30:22', NULL, NULL), (1564, '', '五粮村', 'ce6619248cdd46e992710033046aef11', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408947', 5, '五粮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408947', 1, '2021-07-19 11:30:22', NULL, NULL), (1565, '', '大田村', '113d14ad4b3e469c818d28c64c8d33c4', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408955', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408955', 1, '2021-07-19 11:30:22', NULL, NULL), (1566, '', '珠江路社区', '74a56ad8bed0494baf67be95ca785c7f', '8def7b18ba7941a79e3a7342dd073043', 'False', 'True', 'false', 'false', '510124408972', 5, '珠江路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124408972', 1, '2021-07-19 11:30:22', NULL, NULL), (1567, '', '三道堰镇', '6b298be4eed942579e3a8bda8145ffd6', '9188e7ec2d524e669e1899b2e0a97d01', 'True', 'True', 'false', 'false', '510124629000', 4, '三道堰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510124629000', 1, '2021-07-19 11:30:22', NULL, NULL), (1568, '', '古城村', '6994657dfc074c419c5eac6afe6c5fd2', '6b298be4eed942579e3a8bda8145ffd6', 'False', 'True', 'false', 'false', '510117106284', 5, '古城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510117106284', 1, '2021-07-19 11:30:22', NULL, NULL), (1569, '', '花牌村', '06cd31311c99468a9b857909accbf0d4', '6b298be4eed942579e3a8bda8145ffd6', 'False', 'False', 'false', 'false', '510117106425', 5, '花牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510117106425', 1, '2021-07-19 11:30:22', NULL, NULL), (1570, '', '八步桥社区', 'b8683160bb7c4639bc8c02b96d453b5f', '6b298be4eed942579e3a8bda8145ffd6', 'False', 'True', 'false', 'false', '510124629256', 5, '八步桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124629256', 1, '2021-07-19 11:30:22', NULL, NULL), (1571, '', '中平村', '306d85afa07d439fab20977911bef76d', '6b298be4eed942579e3a8bda8145ffd6', 'False', 'True', 'false', 'false', '510124629339', 5, '中平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124629339', 1, '2021-07-19 11:30:22', NULL, NULL), (1572, '', '马街社区', 'a211223a41ce4c71b612ce2e6d88849c', '6b298be4eed942579e3a8bda8145ffd6', 'False', 'True', 'false', 'false', '510124629537', 5, '马街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124629537', 1, '2021-07-19 11:30:22', NULL, NULL), (1573, '', '青杠树村', '93d4e10ae5f4479d867f2b6470cc3ea3', '6b298be4eed942579e3a8bda8145ffd6', 'False', 'True', 'false', 'false', '510124629668', 5, '青杠树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124629668', 1, '2021-07-19 11:30:22', NULL, NULL), (1574, '', '古堰社区', '209712cc941448d0ab21f3fd7348fb50', '6b298be4eed942579e3a8bda8145ffd6', 'False', 'True', 'false', 'false', '510124629673', 5, '古堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124629673', 1, '2021-07-19 11:30:22', NULL, NULL), (1575, '', '三堰村', '672412c8e2184afc8f67ee365b7895f3', '6b298be4eed942579e3a8bda8145ffd6', 'False', 'True', 'false', 'false', '510124629701', 5, '三堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124629701', 1, '2021-07-19 11:30:23', NULL, NULL), (1576, '', '秦家庙村', 'ec01f92420174d4d87ae928a671551a2', '6b298be4eed942579e3a8bda8145ffd6', 'False', 'True', 'false', 'false', '510124629714', 5, '秦家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124629714', 1, '2021-07-19 11:30:23', NULL, NULL), (1577, '', '邻城村', 'b679f64fc997488faa475f3b645e7d76', '6b298be4eed942579e3a8bda8145ffd6', 'False', 'True', 'false', 'false', '510124629819', 5, '邻城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124629819', 1, '2021-07-19 11:30:23', NULL, NULL), (1578, '', '安德街道', '5f3e6fd2ad4c4e6b9617e8fa69a36c76', '9188e7ec2d524e669e1899b2e0a97d01', 'True', 'True', 'false', 'false', '510124711000', 4, '安德街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510124711000', 1, '2021-07-19 11:30:23', NULL, NULL), (1579, '', '金柏村', '7981ebd7eafc472eb5bfe75f16365442', '5f3e6fd2ad4c4e6b9617e8fa69a36c76', 'False', 'True', 'false', 'false', '510117004075', 5, '金柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510117004075', 1, '2021-07-19 11:30:23', NULL, NULL), (1580, '', '两路口社区', 'aefe3500c94a4167b56570de78ce9623', '5f3e6fd2ad4c4e6b9617e8fa69a36c76', 'False', 'True', 'false', 'false', '510124711002', 5, '两路口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124711002', 1, '2021-07-19 11:30:23', NULL, NULL), (1581, '', '棋田村', '3b1eca07784b42ea911789fb3f60170b', '5f3e6fd2ad4c4e6b9617e8fa69a36c76', 'False', 'True', 'false', 'false', '510124711042', 5, '棋田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124711042', 1, '2021-07-19 11:30:23', NULL, NULL), (1582, '', '广福村', '12fca483a48f4578b1e445720915b842', '5f3e6fd2ad4c4e6b9617e8fa69a36c76', 'False', 'True', 'false', 'false', '510124711043', 5, '广福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124711043', 1, '2021-07-19 11:30:23', NULL, NULL), (1583, '', '望乐社区', '5204335f0e8d49ab9f2bcf971399a0cd', '5f3e6fd2ad4c4e6b9617e8fa69a36c76', 'False', 'True', 'false', 'false', '510124711069', 5, '望乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124711069', 1, '2021-07-19 11:30:23', NULL, NULL), (1584, '', '吉祥寺社区', '84c691f63a684a2ea05e7975288d13a6', '5f3e6fd2ad4c4e6b9617e8fa69a36c76', 'False', 'True', 'false', 'false', '510124711076', 5, '吉祥寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124711076', 1, '2021-07-19 11:30:23', NULL, NULL), (1585, '', '永盛村', '92c81b5f0416488cb35bfcc8d06ffb83', '5f3e6fd2ad4c4e6b9617e8fa69a36c76', 'False', 'True', 'false', 'false', '510124711082', 5, '永盛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124711082', 1, '2021-07-19 11:30:24', NULL, NULL), (1586, '', '安宁村', 'cb7b91f9be7c4e8c928a87a64397d2d7', '5f3e6fd2ad4c4e6b9617e8fa69a36c76', 'False', 'True', 'false', 'false', '510124711501', 5, '安宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124711501', 1, '2021-07-19 11:30:24', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (1587, '', '红专村', 'eed897d6110446a3aecb4368b772a91e', '5f3e6fd2ad4c4e6b9617e8fa69a36c76', 'False', 'True', 'false', 'false', '510124711622', 5, '红专村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124711622', 1, '2021-07-19 11:30:24', NULL, NULL), (1588, '', '安龙村', '84b10b25f38e4c3b99d5e3aa6f2685ec', '5f3e6fd2ad4c4e6b9617e8fa69a36c76', 'False', 'True', 'false', 'false', '510124711680', 5, '安龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124711680', 1, '2021-07-19 11:30:24', NULL, NULL), (1589, '', '云凌村', 'bc0370d635e7490bbd72a3241a7a79bd', '5f3e6fd2ad4c4e6b9617e8fa69a36c76', 'False', 'True', 'false', 'false', '510124711701', 5, '云凌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124711701', 1, '2021-07-19 11:30:24', NULL, NULL), (1590, '', '泉水村', '1e9df476948844c6ae2c1f03f9697c9f', '5f3e6fd2ad4c4e6b9617e8fa69a36c76', 'False', 'True', 'false', 'false', '510124711847', 5, '泉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124711847', 1, '2021-07-19 11:30:24', NULL, NULL), (1591, '', '云丰村', '125910ac95d843fa88af8001e36eae49', '5f3e6fd2ad4c4e6b9617e8fa69a36c76', 'False', 'True', 'false', 'false', '510124711914', 5, '云丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124711914', 1, '2021-07-19 11:30:24', NULL, NULL), (1592, '', '云桥村', 'ee51e78ecaec416eb8bc68f8289fec75', '5f3e6fd2ad4c4e6b9617e8fa69a36c76', 'False', 'True', 'false', 'false', '510124711946', 5, '云桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124711946', 1, '2021-07-19 11:30:24', NULL, NULL), (1593, '', '团结街道', '5347c8b3df564bc8bfc2b337a52cf72a', '9188e7ec2d524e669e1899b2e0a97d01', 'True', 'True', 'false', 'false', '510124738000', 4, '团结街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510124738000', 1, '2021-07-19 11:30:24', NULL, NULL), (1594, '', '宝华村', 'b1064446cc894af2bde70d21cb6304d7', '5347c8b3df564bc8bfc2b337a52cf72a', 'False', 'True', 'false', 'false', '510124738019', 5, '宝华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124738019', 1, '2021-07-19 11:30:24', NULL, NULL), (1595, '', '石桥村', '37f7149a1ffa49b3b4e51709bbe6da9f', '5347c8b3df564bc8bfc2b337a52cf72a', 'False', 'True', 'false', 'false', '510124738104', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124738104', 1, '2021-07-19 11:30:24', NULL, NULL), (1596, '', '白马村', 'd0127d8321a8468dafd8fa23f3a22967', '5347c8b3df564bc8bfc2b337a52cf72a', 'False', 'True', 'false', 'false', '510124738155', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124738155', 1, '2021-07-19 11:30:24', NULL, NULL), (1597, '', '永定村', 'ec4964c237c04eb790e3776779ec46d2', '5347c8b3df564bc8bfc2b337a52cf72a', 'False', 'True', 'false', 'false', '510124738190', 5, '永定村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124738190', 1, '2021-07-19 11:30:24', NULL, NULL), (1598, '', '长河村', '1fb453cec55a4bf89a011fec47cc2bdd', '5347c8b3df564bc8bfc2b337a52cf72a', 'False', 'True', 'false', 'false', '510124738258', 5, '长河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124738258', 1, '2021-07-19 11:30:24', NULL, NULL), (1599, '', '学府社区', 'f19b2b638ae84dbfaff55e9ebf53e614', '5347c8b3df564bc8bfc2b337a52cf72a', 'False', 'True', 'false', 'false', '510124738261', 5, '学府社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124738261', 1, '2021-07-19 11:30:24', NULL, NULL), (1600, '', '石堤村', 'b7b27497da5548b19f56e8500fca8433', '5347c8b3df564bc8bfc2b337a52cf72a', 'False', 'True', 'false', 'false', '510124738392', 5, '石堤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124738392', 1, '2021-07-19 11:30:25', NULL, NULL), (1601, '', '平安村', 'd27322038a794fccbd217a65f7a742c8', '5347c8b3df564bc8bfc2b337a52cf72a', 'False', 'True', 'false', 'false', '510124738698', 5, '平安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124738698', 1, '2021-07-19 11:30:25', NULL, NULL), (1602, '', '太和村', 'e6f67e4d3a9542658519ce9b5df029a3', '5347c8b3df564bc8bfc2b337a52cf72a', 'False', 'True', 'false', 'false', '510124738750', 5, '太和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124738750', 1, '2021-07-19 11:30:25', NULL, NULL), (1603, '', '仁义村', 'd53f52815aae48ad9b8381a95fe69255', '5347c8b3df564bc8bfc2b337a52cf72a', 'False', 'True', 'false', 'false', '510124738817', 5, '仁义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124738817', 1, '2021-07-19 11:30:25', NULL, NULL), (1604, '', '郫筒街道', 'e6abb3a28dd64f0885a3c2ce54090621', '9188e7ec2d524e669e1899b2e0a97d01', 'True', 'True', 'false', 'false', '510124805000', 4, '郫筒街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510124805000', 1, '2021-07-19 11:30:25', NULL, NULL), (1605, '', '梨园村', '34f2c70050f84ec9bdf42d27329f2ef6', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805030', 5, '梨园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805030', 1, '2021-07-19 11:30:25', NULL, NULL), (1606, '', '濂溪村', 'c8860242fc0f430786e39bda91831c97', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805110', 5, '濂溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805110', 1, '2021-07-19 11:30:25', NULL, NULL), (1607, '', '蜀都新邨社区', '759c4c73acaa47359f3417dc9922ef99', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805122', 5, '蜀都新邨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805122', 1, '2021-07-19 11:30:25', NULL, NULL), (1608, '', '望丛社区', 'dc78c7ff2792477b84ee2f108391856e', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805144', 5, '望丛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805144', 1, '2021-07-19 11:30:25', NULL, NULL), (1609, '', '伏龙社区', '55671512168f4fafbb04c80ca1a37410', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805189', 5, '伏龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805189', 1, '2021-07-19 11:30:25', NULL, NULL), (1610, '', '岷阳社区', 'c426c737b22442ceb52a3b4783fb6c90', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805291', 5, '岷阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805291', 1, '2021-07-19 11:30:25', NULL, NULL), (1611, '', '一里桥社区', 'aa0f39111a204f238605d158659501bb', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805315', 5, '一里桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805315', 1, '2021-07-19 11:30:25', NULL, NULL), (1612, '', '景岗村', '4b1d6f1fb62a46f2b4599310b62eabd5', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805323', 5, '景岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805323', 1, '2021-07-19 11:30:25', NULL, NULL), (1613, '', '文庙社区', '701461b11df1470987a1d8b5fb00ea7c', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805367', 5, '文庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805367', 1, '2021-07-19 11:30:25', NULL, NULL), (1614, '', '和平社区', '45b8c92583a541ae9b4b9ce70e38d061', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805370', 5, '和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805370', 1, '2021-07-19 11:30:26', NULL, NULL), (1615, '', '凉水井社区', 'd55c4ba58d9249e5862ff67a87745650', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805383', 5, '凉水井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805383', 1, '2021-07-19 11:30:26', NULL, NULL), (1616, '', '双柏社区', 'b3cc55e578d3441689a540986be5a4df', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805409', 5, '双柏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805409', 1, '2021-07-19 11:30:26', NULL, NULL), (1617, '', '宋公桥社区', '40135de1642846709c2a3714daf6922e', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805472', 5, '宋公桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805472', 1, '2021-07-19 11:30:26', NULL, NULL), (1618, '', '天台社区', '7606690f5e3141ce9ffa37a84927c24a', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805506', 5, '天台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805506', 1, '2021-07-19 11:30:26', NULL, NULL), (1619, '', '菠萝社区', '6d5c78b1bd644043879b43b12af68a12', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805584', 5, '菠萝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805584', 1, '2021-07-19 11:30:26', NULL, NULL), (1620, '', '石牛社区', '26f021c12a1347f4ac6ea199a9d526c5', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805625', 5, '石牛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805625', 1, '2021-07-19 11:30:26', NULL, NULL), (1621, '', '太平村', '342789ecd3ea449288ea1f7a66f0be1f', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805667', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805667', 1, '2021-07-19 11:30:26', NULL, NULL), (1622, '', '书院社区', '594e457566ff45548f8ebd27206c733a', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805668', 5, '书院社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805668', 1, '2021-07-19 11:30:26', NULL, NULL), (1623, '', '晨光社区', 'b06859bf79eb468ab142b5998f4e0a9b', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805839', 5, '晨光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805839', 1, '2021-07-19 11:30:26', NULL, NULL), (1624, '', '奎星楼社区', '49ec74661a944f05beb2b6c0b5ddbf68', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805878', 5, '奎星楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805878', 1, '2021-07-19 11:30:26', NULL, NULL), (1625, '', '鹃城村', 'fd0911d425fb4d88a2d807890d099dcb', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805895', 5, '鹃城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805895', 1, '2021-07-19 11:30:26', NULL, NULL), (1626, '', '长乐村', 'fb00bddee31f4848816658116931d92b', 'e6abb3a28dd64f0885a3c2ce54090621', 'False', 'True', 'false', 'false', '510124805998', 5, '长乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124805998', 1, '2021-07-19 11:30:26', NULL, NULL), (1627, '', '友爱镇', 'b09c90c631494025a2feb35e0cf21c85', '9188e7ec2d524e669e1899b2e0a97d01', 'True', 'True', 'false', 'false', '510124845000', 4, '友爱镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510124845000', 1, '2021-07-19 11:30:26', NULL, NULL), (1628, '', '升平社区', '1fb9641440fd412e8667bca6cafda5a2', 'b09c90c631494025a2feb35e0cf21c85', 'False', 'True', 'false', 'false', '510124845069', 5, '升平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124845069', 1, '2021-07-19 11:30:27', NULL, NULL), (1629, '', '龙溪村', '48d3f1acad5944d2b52c3b470b354b7c', 'b09c90c631494025a2feb35e0cf21c85', 'False', 'True', 'false', 'false', '510124845101', 5, '龙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124845101', 1, '2021-07-19 11:30:27', NULL, NULL), (1630, '', '清溪村', '07cf666c2dd346a3a6ae62104dadb1c4', 'b09c90c631494025a2feb35e0cf21c85', 'False', 'True', 'false', 'false', '510124845135', 5, '清溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124845135', 1, '2021-07-19 11:30:27', NULL, NULL), (1631, '', '何家场社区', 'c1d9b7cfe46a435ab63ea3c5d7683ef9', 'b09c90c631494025a2feb35e0cf21c85', 'False', 'True', 'false', 'false', '510124845165', 5, '何家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124845165', 1, '2021-07-19 11:30:27', NULL, NULL), (1632, '', '江安村', '6c3ce76c864645d5a8757247da18550e', 'b09c90c631494025a2feb35e0cf21c85', 'False', 'True', 'false', 'false', '510124845224', 5, '江安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124845224', 1, '2021-07-19 11:30:27', NULL, NULL), (1633, '', '达通村', 'c220412169bf45aa800d7fbe4d8d7796', 'b09c90c631494025a2feb35e0cf21c85', 'False', 'True', 'false', 'false', '510124845239', 5, '达通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124845239', 1, '2021-07-19 11:30:27', NULL, NULL), (1634, '', '石羊村', 'c26c79a8f08b46b398a4f064de53ce59', 'b09c90c631494025a2feb35e0cf21c85', 'False', 'True', 'false', 'false', '510124845241', 5, '石羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124845241', 1, '2021-07-19 11:30:27', NULL, NULL), (1635, '', '金台社区', '165d5d36d90e41319305dc7bb241cf12', 'b09c90c631494025a2feb35e0cf21c85', 'False', 'True', 'false', 'false', '510124845275', 5, '金台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124845275', 1, '2021-07-19 11:30:27', NULL, NULL), (1636, '', '向阳村', '2234417f177143aaba0b3fa5e0f7b38c', 'b09c90c631494025a2feb35e0cf21c85', 'False', 'True', 'false', 'false', '510124845386', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124845386', 1, '2021-07-19 11:30:27', NULL, NULL), (1637, '', '弥陀村', '43ca78b3d7594c77b3d2ee14b225661f', 'b09c90c631494025a2feb35e0cf21c85', 'False', 'True', 'false', 'false', '510124845415', 5, '弥陀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124845415', 1, '2021-07-19 11:30:27', NULL, NULL), (1638, '', '子云村', '167b72fbc26c40afa56e240b066cb1c5', 'b09c90c631494025a2feb35e0cf21c85', 'False', 'True', 'false', 'false', '510124845456', 5, '子云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124845456', 1, '2021-07-19 11:30:27', NULL, NULL), (1639, '', '释迦桥村', 'b2b39d6b822f4daea3764770a310ec23', 'b09c90c631494025a2feb35e0cf21c85', 'False', 'True', 'false', 'false', '510124845457', 5, '释迦桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124845457', 1, '2021-07-19 11:30:27', NULL, NULL), (1640, '', '青冈村', '430d479555ed4673baa6cad2f4d8fb2a', 'b09c90c631494025a2feb35e0cf21c85', 'False', 'True', 'false', 'false', '510124845563', 5, '青冈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124845563', 1, '2021-07-19 11:30:27', NULL, NULL), (1641, '', '兴福村', '846a5bb839ff4bc49fa4ef6219ce84c6', 'b09c90c631494025a2feb35e0cf21c85', 'False', 'True', 'false', 'false', '510124845698', 5, '兴福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124845698', 1, '2021-07-19 11:30:27', NULL, NULL), (1642, '', '农科村', 'ef6f85a676c541de8b9340957c4b1e44', 'b09c90c631494025a2feb35e0cf21c85', 'False', 'True', 'false', 'false', '510124845760', 5, '农科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124845760', 1, '2021-07-19 11:30:27', NULL, NULL), (1643, '', '筒春村', '23f11b0802c2455a9cfbd2e6a30a3fb2', 'b09c90c631494025a2feb35e0cf21c85', 'False', 'True', 'false', 'false', '510124845779', 5, '筒春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124845779', 1, '2021-07-19 11:30:28', NULL, NULL), (1644, '', '三元场社区', 'd3ee2553f18a4555b23ef253ee6ccc46', 'b09c90c631494025a2feb35e0cf21c85', 'False', 'True', 'false', 'false', '510124845811', 5, '三元场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124845811', 1, '2021-07-19 11:30:28', NULL, NULL), (1645, '', '花园场社区', 'a9f12828160f4f04beba8515e61c4a10', 'b09c90c631494025a2feb35e0cf21c85', 'False', 'True', 'false', 'false', '510124845865', 5, '花园场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124845865', 1, '2021-07-19 11:30:28', NULL, NULL), (1646, '', '红光街道', 'de2ccae6194a4f46a91d06abb8f721fc', '9188e7ec2d524e669e1899b2e0a97d01', 'True', 'True', 'false', 'false', '510124972000', 4, '红光街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510124972000', 1, '2021-07-19 11:30:28', NULL, NULL), (1647, '', '仁合社区', '5e784aabe879487399a5464b1bf7ff66', 'de2ccae6194a4f46a91d06abb8f721fc', 'False', 'True', 'false', 'false', '510124972069', 5, '仁合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124972069', 1, '2021-07-19 11:30:28', NULL, NULL), (1648, '', '宋家林村', 'cb94ac083fe949e78bf2fbec696603f7', 'de2ccae6194a4f46a91d06abb8f721fc', 'False', 'True', 'false', 'false', '510124972138', 5, '宋家林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124972138', 1, '2021-07-19 11:30:28', NULL, NULL), (1649, '', '护国社区', 'c210f21b76234975977e65c6009780a3', 'de2ccae6194a4f46a91d06abb8f721fc', 'False', 'True', 'false', 'false', '510124972141', 5, '护国社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124972141', 1, '2021-07-19 11:30:28', NULL, NULL), (1650, '', '合兴社区', 'c651278e293340ea9560fb5a238a6307', 'de2ccae6194a4f46a91d06abb8f721fc', 'False', 'True', 'false', 'false', '510124972171', 5, '合兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124972171', 1, '2021-07-19 11:30:28', NULL, NULL), (1651, '', '三观社区', '7b118b14174b42888131779daad9621b', 'de2ccae6194a4f46a91d06abb8f721fc', 'False', 'True', 'false', 'false', '510124972252', 5, '三观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124972252', 1, '2021-07-19 11:30:28', NULL, NULL), (1652, '', '长生村', 'b72a04dc7ba84606b294f3b892a04ae9', 'de2ccae6194a4f46a91d06abb8f721fc', 'False', 'True', 'false', 'false', '510124972373', 5, '长生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124972373', 1, '2021-07-19 11:30:28', NULL, NULL), (1653, '', '思源社区', '1a587c0bd60e47c6a54eb65765c8b490', 'de2ccae6194a4f46a91d06abb8f721fc', 'False', 'True', 'false', 'false', '510124972467', 5, '思源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124972467', 1, '2021-07-19 11:30:28', NULL, NULL), (1654, '', '金仪社区', '1cf274b0ec77473b85b2d23a3cd9c398', 'de2ccae6194a4f46a91d06abb8f721fc', 'False', 'True', 'false', 'false', '510124972476', 5, '金仪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124972476', 1, '2021-07-19 11:30:28', NULL, NULL), (1655, '', '渔塘坎村', '81fe651a2c4943e88decca223f05e36c', 'de2ccae6194a4f46a91d06abb8f721fc', 'False', 'True', 'false', 'false', '510124972542', 5, '渔塘坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124972542', 1, '2021-07-19 11:30:28', NULL, NULL), (1656, '', '铁门社区', '5a8dc4a95e344d1b95bd2149cf7924ee', 'de2ccae6194a4f46a91d06abb8f721fc', 'False', 'True', 'false', 'false', '510124972656', 5, '铁门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124972656', 1, '2021-07-19 11:30:29', NULL, NULL), (1657, '', '白云村', '943993e9eb9749a19b259283bcb5ea8d', 'de2ccae6194a4f46a91d06abb8f721fc', 'False', 'True', 'false', 'false', '510124972700', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124972700', 1, '2021-07-19 11:30:29', NULL, NULL), (1658, '', '高店社区', '1cefb5238e1a4d819e6725d6000fc065', 'de2ccae6194a4f46a91d06abb8f721fc', 'False', 'True', 'false', 'false', '510124972754', 5, '高店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124972754', 1, '2021-07-19 11:30:29', NULL, NULL), (1659, '', '汉姜村', '44be3a1556e74834b9eaeebf7b94c8c5', 'de2ccae6194a4f46a91d06abb8f721fc', 'False', 'True', 'false', 'false', '510124972903', 5, '汉姜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124972903', 1, '2021-07-19 11:30:29', NULL, NULL), (1660, '', '金土社区', 'aab992a9f24548e194ff2ac7a56ad65e', 'de2ccae6194a4f46a91d06abb8f721fc', 'False', 'True', 'false', 'false', '510124972952', 5, '金土社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510124972952', 1, '2021-07-19 11:30:29', NULL, NULL), (1661, '', '金堂县', 'a9c7abba0c914e89a0ff4af254347474', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510121000000', 3, '金堂县', 'cdsjtx.sczwfw.gov.cn', 1, '2021-07-19 11:30:29', NULL, NULL), (1662, '', '赵镇街道', '0c1c3d0b19f143ed96dc0454f302476d', 'a9c7abba0c914e89a0ff4af254347474', 'True', 'True', 'false', 'false', '510121100000', 4, '赵镇街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510121100000', 1, '2021-07-19 11:30:29', NULL, NULL), (1663, '', '普利社区', 'dfd112938e404c05ba4d395e40ad7da5', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121001004', 5, '普利社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121001004', 1, '2021-07-19 11:30:29', NULL, NULL), (1664, '', '金岭社区', '8a06071796d04a51b60aa7c6cf6c5a8e', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121001013', 5, '金岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121001013', 1, '2021-07-19 11:30:29', NULL, NULL), (1665, '', '河湾社区', 'a2a71f8e6d3b4e9e87da4a5c5a6818d7', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121001018', 5, '河湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121001018', 1, '2021-07-19 11:30:29', NULL, NULL), (1666, '', '米家巷社区', 'c004137d545b4c43ace224e75b7cddd0', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121001019', 5, '米家巷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121001019', 1, '2021-07-19 11:30:29', NULL, NULL), (1667, '', '玉龙街社区', 'a6ca2d4eb576421cbb1889d869376d38', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100015', 5, '玉龙街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100015', 1, '2021-07-19 11:30:29', NULL, NULL), (1668, '', '三江社区', 'c845b2c3af814c929c786dfbdaa9220f', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100016', 5, '三江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100016', 1, '2021-07-19 11:30:29', NULL, NULL), (1669, '', '北滨路社区', '2512b54b902e4ff587985ee0b44972c8', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100017', 5, '北滨路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100017', 1, '2021-07-19 11:30:29', NULL, NULL), (1670, '', '韩滩社区', '6be9097859884ceab893ab61f46699ef', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100018', 5, '韩滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100018', 1, '2021-07-19 11:30:29', NULL, NULL), (1671, '', '泰吉街社区', 'bb448aea26be4ac1a27210117e88157a', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100019', 5, '泰吉街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100019', 1, '2021-07-19 11:30:29', NULL, NULL), (1672, '', '十里社区', '0d7e35afa44e4524aab4de6160d45b3e', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100020', 5, '十里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100020', 1, '2021-07-19 11:30:30', NULL, NULL), (1673, '', '赵渡社区', '37a641eaf6bc471b8c16f47fb995280c', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100021', 5, '赵渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100021', 1, '2021-07-19 11:30:30', NULL, NULL), (1674, '', '中河路社区', 'fbef2ce88fda41fbbaead4e0c92f024c', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100022', 5, '中河路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100022', 1, '2021-07-19 11:30:30', NULL, NULL), (1675, '', '云绣社区', 'd87da9c9672f4c9eaf432faa0858060b', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100023', 5, '云绣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100023', 1, '2021-07-19 11:30:30', NULL, NULL), (1676, '', '沱源社区', 'fd26398b8c0841f1bb89b51766fec5a8', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100024', 5, '沱源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100024', 1, '2021-07-19 11:30:30', NULL, NULL), (1677, '', '杨柳桥社区', '744f4d1df962435e8a8bd2d15d9a7b40', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100025', 5, '杨柳桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100025', 1, '2021-07-19 11:30:30', NULL, NULL), (1678, '', '桐子园社区', '4674cbfbcab345a88628bb70fde11b85', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100247', 5, '桐子园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100247', 1, '2021-07-19 11:30:30', NULL, NULL), (1679, '', '江源社区', 'b240ac6cb441440b9dc6e0347219e05b', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100248', 5, '江源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100248', 1, '2021-07-19 11:30:30', NULL, NULL), (1680, '', '石子岭村', '8f657f0453464a3da14aae148c43106d', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100249', 5, '石子岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100249', 1, '2021-07-19 11:30:30', NULL, NULL), (1681, '', '观音山社区', '29da970e7c67418fa4b41ce58f42d5de', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100250', 5, '观音山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100250', 1, '2021-07-19 11:30:30', NULL, NULL), (1682, '', '家珍社区', '4f3c13278a6e4bd3ac3737e6c331c00e', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100251', 5, '家珍社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100251', 1, '2021-07-19 11:30:31', NULL, NULL), (1683, '', '三合社区', '85eab41bc20949a4a93599828528aab7', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100252', 5, '三合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100252', 1, '2021-07-19 11:30:31', NULL, NULL), (1684, '', '香龙山社区', '17a8bde0e78349bd905a5bd33ac84768', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100254', 5, '香龙山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100254', 1, '2021-07-19 11:30:31', NULL, NULL), (1685, '', '栖木河社区', 'b72138372cd5424698fa35e86684a2d1', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100255', 5, '栖木河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100255', 1, '2021-07-19 11:30:31', NULL, NULL), (1686, '', '石槽堰社区', '14dc3e938eca460a9ca44cd612e5c4d7', '0c1c3d0b19f143ed96dc0454f302476d', 'False', 'True', 'false', 'false', '510121100256', 5, '石槽堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121100256', 1, '2021-07-19 11:30:31', NULL, NULL), (1687, '', '官仓街道', '584582302ce14734b861615a8e193092', 'a9c7abba0c914e89a0ff4af254347474', 'True', 'True', 'false', 'false', '510121103000', 4, '官仓街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510121103000', 1, '2021-07-19 11:30:31', NULL, NULL), (1688, '', '玉皇山村', '98eff6ddfdc4466f8de4f4a7bf57d969', '584582302ce14734b861615a8e193092', 'False', 'True', 'false', 'false', '510121002009', 5, '玉皇山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121002009', 1, '2021-07-19 11:30:31', NULL, NULL), (1689, '', '爪龙溪社区', 'be67ade137b14838b3f11faba2d3dd08', '584582302ce14734b861615a8e193092', 'False', 'True', 'false', 'false', '510121002010', 5, '爪龙溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121002010', 1, '2021-07-19 11:30:31', NULL, NULL), (1690, '', '中孚社区', '9f788efe515644c4a7293d36e23cde41', '584582302ce14734b861615a8e193092', 'False', 'True', 'false', 'false', '510121103002', 5, '中孚社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121103002', 1, '2021-07-19 11:30:31', NULL, NULL), (1691, '', '花牌坊社区', '9fb445bf953e40549c1a711012bb5244', '584582302ce14734b861615a8e193092', 'False', 'True', 'false', 'false', '510121103079', 5, '花牌坊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121103079', 1, '2021-07-19 11:30:31', NULL, NULL), (1692, '', '新水碾社区', '73927eee3b7845e1b579ccd47025c045', '584582302ce14734b861615a8e193092', 'False', 'True', 'false', 'false', '510121103200', 5, '新水碾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121103200', 1, '2021-07-19 11:30:32', NULL, NULL), (1693, '', '双凤社区', 'a32ab5e1a2aa415eab1b22899ae7f711', '584582302ce14734b861615a8e193092', 'False', 'True', 'false', 'false', '510121103217', 5, '双凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121103217', 1, '2021-07-19 11:30:32', NULL, NULL), (1694, '', '白马泉社区', '0680e54d555e490997e2738c6585bc78', '584582302ce14734b861615a8e193092', 'False', 'True', 'false', 'false', '510121103218', 5, '白马泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121103218', 1, '2021-07-19 11:30:32', NULL, NULL), (1695, '', '红旗村', 'd35af7c985114f9eaf78ee7f994c3aa6', '584582302ce14734b861615a8e193092', 'False', 'True', 'false', 'false', '510121103219', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121103219', 1, '2021-07-19 11:30:32', NULL, NULL), (1696, '', '荣华社区', '575c8955b3a4480bbb082dd511c107be', '584582302ce14734b861615a8e193092', 'False', 'True', 'false', 'false', '510121103342', 5, '荣华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121103342', 1, '2021-07-19 11:30:32', NULL, NULL), (1697, '', '双堰社区', '883c8268a09149c8bfd4da782a9b3333', '584582302ce14734b861615a8e193092', 'False', 'True', 'false', 'false', '510121103401', 5, '双堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121103401', 1, '2021-07-19 11:30:32', NULL, NULL), (1698, '', '清江社区', '0d07e1ea449d4626b6205643d8a9cde3', '584582302ce14734b861615a8e193092', 'False', 'True', 'false', 'false', '510121103482', 5, '清江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121103482', 1, '2021-07-19 11:30:32', NULL, NULL), (1699, '', '淮口街道', '462a9497d76d4edbbe54bf3b757a31ba', 'a9c7abba0c914e89a0ff4af254347474', 'True', 'True', 'false', 'false', '510121104000', 4, '淮口街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510121104000', 1, '2021-07-19 11:30:32', NULL, NULL), (1700, '', '红阳社区', '7d49ae74d2304364bd83ec57fbc4a587', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121006005', 5, '红阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121006005', 1, '2021-07-19 11:30:32', NULL, NULL), (1701, '', '龙家山社区', '4c98305a94a64d7693ece662670a559a', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121006011', 5, '龙家山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121006011', 1, '2021-07-19 11:30:32', NULL, NULL), (1702, '', '瑞光社区', 'ae9ff869079c4287afb29962f3316dbd', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104005', 5, '瑞光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104005', 1, '2021-07-19 11:30:32', NULL, NULL), (1703, '', '滨江路社区', 'd362168ba7884e5b84b110074c22212a', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104006', 5, '滨江路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104006', 1, '2021-07-19 11:30:32', NULL, NULL), (1704, '', '同兴社区', '9e32319a24644ccb8e4f155553465938', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104008', 5, '同兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104008', 1, '2021-07-19 11:30:32', NULL, NULL), (1705, '', '淮帆社区', '5d32b9a9fded4bcd826bedf03d800909', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104009', 5, '淮帆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104009', 1, '2021-07-19 11:30:33', NULL, NULL), (1706, '', '白云村', 'cefdef7abd854137aa19da071b9b878e', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104172', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104172', 1, '2021-07-19 11:30:33', NULL, NULL), (1707, '', '金龙桥社区', '7a8e777dae6241afb8d78d30a7d135c3', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104207', 5, '金龙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104207', 1, '2021-07-19 11:30:33', NULL, NULL), (1708, '', '五星社区', 'e5adeda3f33a43c285683fdf1c849f00', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104227', 5, '五星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104227', 1, '2021-07-19 11:30:33', NULL, NULL), (1709, '', '龚家村', '0a5f2a9e22274a44aaa740877518d4bc', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104237', 5, '龚家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104237', 1, '2021-07-19 11:30:33', NULL, NULL), (1710, '', '天台村', '7551d190982642dc9ba31f68fa12b248', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104238', 5, '天台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104238', 1, '2021-07-19 11:30:33', NULL, NULL), (1711, '', '万福社区', '346f631307ed4a3286c1e5db62bbaf00', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104240', 5, '万福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104240', 1, '2021-07-19 11:30:33', NULL, NULL), (1712, '', '姜棚社区', 'a13a0e7d7bb54f7084404b2ec15d1629', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104241', 5, '姜棚社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104241', 1, '2021-07-19 11:30:33', NULL, NULL), (1713, '', '红岩寺社区', '47ad7d241b314aa4a0ff1b1bdfc0c39a', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104242', 5, '红岩寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104242', 1, '2021-07-19 11:30:33', NULL, NULL), (1714, '', '一根松社区', '24bc27eba4eb41edbb57a9eb9b2395fb', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104243', 5, '一根松社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104243', 1, '2021-07-19 11:30:34', NULL, NULL), (1715, '', '粮丰社区', '858dbc8178a8449b97a4794cb80db18d', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104245', 5, '粮丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104245', 1, '2021-07-19 11:30:34', NULL, NULL), (1716, '', '舒家湾村', '985dcbf9376a4d28bb49b5ab9871c1c5', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104246', 5, '舒家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104246', 1, '2021-07-19 11:30:34', NULL, NULL), (1717, '', '云顶村', 'c64a13e482c241328f13cc8373e6bc7a', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104247', 5, '云顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104247', 1, '2021-07-19 11:30:34', NULL, NULL), (1718, '', '山江村', 'd0691bc5f729437f879521c97a856a22', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104248', 5, '山江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104248', 1, '2021-07-19 11:30:34', NULL, NULL), (1719, '', '团结社区', '16312c10f43d489180decb2da86d617f', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104249', 5, '团结社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104249', 1, '2021-07-19 11:30:34', NULL, NULL), (1720, '', '洲城社区', '2336422742f44eca9dc640ec15c367ab', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104250', 5, '洲城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104250', 1, '2021-07-19 11:30:35', NULL, NULL), (1721, '', '望江社区', '4340e898e48542bdb1267a24c6f9d1bb', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104251', 5, '望江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104251', 1, '2021-07-19 11:30:35', NULL, NULL), (1722, '', '黄家社区', 'dd9d102ebfac488bbdca3c4dba957087', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104590', 5, '黄家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104590', 1, '2021-07-19 11:30:35', NULL, NULL), (1723, '', '明月社区', 'cfe6b756787546faad28febc7934ca4e', '462a9497d76d4edbbe54bf3b757a31ba', 'False', 'True', 'false', 'false', '510121104737', 5, '明月社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121104737', 1, '2021-07-19 11:30:35', NULL, NULL), (1724, '', '白果街道', '5bac58550b4a48188d529e3166b5faa2', 'a9c7abba0c914e89a0ff4af254347474', 'True', 'True', 'false', 'false', '510121105000', 4, '白果街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510121105000', 1, '2021-07-19 11:30:35', NULL, NULL), (1725, '', '高云社区', '413ce33928ad497396ec66cdd62a76ef', '5bac58550b4a48188d529e3166b5faa2', 'False', 'True', 'false', 'false', '510121005005', 5, '高云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121005005', 1, '2021-07-19 11:30:35', NULL, NULL), (1726, '', '文武宫社区', '6735ff47791c4ba0bb9bb68dc601ee42', '5bac58550b4a48188d529e3166b5faa2', 'False', 'True', 'false', 'false', '510121105002', 5, '文武宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121105002', 1, '2021-07-19 11:30:35', NULL, NULL), (1727, '', '五通村', 'eca9ceac7fd0454fa2252913f4ee52ce', '5bac58550b4a48188d529e3166b5faa2', 'False', 'True', 'false', 'false', '510121105224', 5, '五通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121105224', 1, '2021-07-19 11:30:35', NULL, NULL), (1728, '', '红石板社区', '60cfc4ea65cc4f0d9b2637e4099cfe6a', '5bac58550b4a48188d529e3166b5faa2', 'False', 'True', 'false', 'false', '510121105225', 5, '红石板社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121105225', 1, '2021-07-19 11:30:35', NULL, NULL), (1729, '', '回龙桥社区', 'afdea0be94ee4847b40145537937479c', '5bac58550b4a48188d529e3166b5faa2', 'False', 'True', 'false', 'false', '510121105226', 5, '回龙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121105226', 1, '2021-07-19 11:30:35', NULL, NULL), (1730, '', '龙王村', 'ad7c088834264bb4a1ce889628bb3543', '5bac58550b4a48188d529e3166b5faa2', 'False', 'True', 'false', 'false', '510121105229', 5, '龙王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121105229', 1, '2021-07-19 11:30:35', NULL, NULL), (1731, '', '罗盘村', '0be264965d454e3186cd3b9a36024f26', '5bac58550b4a48188d529e3166b5faa2', 'False', 'True', 'false', 'false', '510121105230', 5, '罗盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121105230', 1, '2021-07-19 11:30:35', NULL, NULL), (1732, '', '古堰村', '91c28bb2f6d44d04bf2c5955852c0f49', '5bac58550b4a48188d529e3166b5faa2', 'False', 'True', 'false', 'false', '510121105231', 5, '古堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121105231', 1, '2021-07-19 11:30:35', NULL, NULL), (1733, '', '马家林社区', 'ed60a7e7fc7348b7a77a52aad11e8cd3', '5bac58550b4a48188d529e3166b5faa2', 'False', 'True', 'false', 'false', '510121105232', 5, '马家林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121105232', 1, '2021-07-19 11:30:36', NULL, NULL), (1734, '', '五凤镇', '32d439766d9240adb1f7a235db504c4e', 'a9c7abba0c914e89a0ff4af254347474', 'True', 'True', 'false', 'false', '510121106000', 4, '五凤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510121106000', 1, '2021-07-19 11:30:36', NULL, NULL), (1735, '', '玉凤社区', 'a0680652562a4f658f4e34873e43e686', '32d439766d9240adb1f7a235db504c4e', 'False', 'True', 'false', 'false', '510121106003', 5, '玉凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121106003', 1, '2021-07-19 11:30:36', NULL, NULL), (1736, '', '五凤溪社区', '0516ecb9ff014efc970d56c9dc9f5b5a', '32d439766d9240adb1f7a235db504c4e', 'False', 'True', 'false', 'false', '510121106005', 5, '五凤溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121106005', 1, '2021-07-19 11:30:36', NULL, NULL), (1737, '', '金凤社区', '078f39ce880b4c93a208efbf076daf7d', '32d439766d9240adb1f7a235db504c4e', 'False', 'True', 'false', 'false', '510121106217', 5, '金凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121106217', 1, '2021-07-19 11:30:36', NULL, NULL), (1738, '', '金箱村', '6560eef4f1bb43f38226ea0db2d7c331', '32d439766d9240adb1f7a235db504c4e', 'False', 'True', 'false', 'false', '510121106218', 5, '金箱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121106218', 1, '2021-07-19 11:30:36', NULL, NULL), (1739, '', '白岩村', '365ecf13971040409b6131e93c20572e', '32d439766d9240adb1f7a235db504c4e', 'False', 'True', 'false', 'false', '510121106219', 5, '白岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121106219', 1, '2021-07-19 11:30:36', NULL, NULL), (1740, '', '青凤社区', 'fa046e99e6fe4410a68f7224b4dfcc8b', '32d439766d9240adb1f7a235db504c4e', 'False', 'True', 'false', 'false', '510121106221', 5, '青凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121106221', 1, '2021-07-19 11:30:36', NULL, NULL), (1741, '', '白凤社区', 'fc146d936805467b9e41e1cba614af22', '32d439766d9240adb1f7a235db504c4e', 'False', 'True', 'false', 'false', '510121106222', 5, '白凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121106222', 1, '2021-07-19 11:30:37', NULL, NULL), (1742, '', '小凤社区', 'a6fd1bfb65c143f190df169d7b94f05a', '32d439766d9240adb1f7a235db504c4e', 'False', 'True', 'false', 'false', '510121106223', 5, '小凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121106223', 1, '2021-07-19 11:30:37', NULL, NULL), (1743, '', '高板街道', '10cd7a49b3324a839685a40ed6df8e59', 'a9c7abba0c914e89a0ff4af254347474', 'True', 'True', 'false', 'false', '510121108000', 4, '高板街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510121108000', 1, '2021-07-19 11:30:37', NULL, NULL), (1744, '', '玉溪社区', '22c05879b5754f36813760c8cfe99c62', '10cd7a49b3324a839685a40ed6df8e59', 'False', 'True', 'false', 'false', '510121004005', 5, '玉溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121004005', 1, '2021-07-19 11:30:37', NULL, NULL), (1745, '', '兴桥社区', 'df7eb74b1df449639aac9a4cc693e9da', '10cd7a49b3324a839685a40ed6df8e59', 'False', 'True', 'false', 'false', '510121108004', 5, '兴桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121108004', 1, '2021-07-19 11:30:37', NULL, NULL), (1746, '', '石龙社区', 'ce2c17b9a5ed4b95951a6be2d0acf4ee', '10cd7a49b3324a839685a40ed6df8e59', 'False', 'True', 'false', 'false', '510121108005', 5, '石龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121108005', 1, '2021-07-19 11:30:37', NULL, NULL), (1747, '', '同善村', 'c725423717934b478fe6fa163b503d9d', '10cd7a49b3324a839685a40ed6df8e59', 'False', 'True', 'false', 'false', '510121108079', 5, '同善村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121108079', 1, '2021-07-19 11:30:37', NULL, NULL), (1748, '', '鸿河村', 'da619529cbc54e12bac36fd2771f27ac', '10cd7a49b3324a839685a40ed6df8e59', 'False', 'True', 'false', 'false', '510121108087', 5, '鸿河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121108087', 1, '2021-07-19 11:30:37', NULL, NULL), (1749, '', '五盛村', '1fbd9228025a4404a6fda957607fd608', '10cd7a49b3324a839685a40ed6df8e59', 'False', 'True', 'false', 'false', '510121108146', 5, '五盛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121108146', 1, '2021-07-19 11:30:38', NULL, NULL), (1750, '', '三岔河村', 'f5ca645f28a049e4aee845a7e5275a35', '10cd7a49b3324a839685a40ed6df8e59', 'False', 'True', 'false', 'false', '510121108181', 5, '三岔河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121108181', 1, '2021-07-19 11:30:38', NULL, NULL), (1751, '', '平安桥社区', '0f400932fbb44252b5a27f696d8fff69', '10cd7a49b3324a839685a40ed6df8e59', 'False', 'True', 'false', 'false', '510121108189', 5, '平安桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121108189', 1, '2021-07-19 11:30:38', NULL, NULL), (1752, '', '大禹村', '7ee6f34ae1a64012bffdb8c5721bc2c9', '10cd7a49b3324a839685a40ed6df8e59', 'False', 'True', 'false', 'false', '510121108195', 5, '大禹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121108195', 1, '2021-07-19 11:30:38', NULL, NULL), (1753, '', '东岳村', 'd7002b055ca84f2bb8205e3ce87126fd', '10cd7a49b3324a839685a40ed6df8e59', 'False', 'True', 'false', 'false', '510121108213', 5, '东岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121108213', 1, '2021-07-19 11:30:38', NULL, NULL), (1754, '', '杨溪社区', 'ed1baa1b4ccb487aae4103b556abb1a9', '10cd7a49b3324a839685a40ed6df8e59', 'False', 'True', 'false', 'false', '510121108219', 5, '杨溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121108219', 1, '2021-07-19 11:30:38', NULL, NULL), (1755, '', '风林社区', 'e71500e90295489ba94db76e5bbe6831', '10cd7a49b3324a839685a40ed6df8e59', 'False', 'True', 'false', 'false', '510121108221', 5, '风林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121108221', 1, '2021-07-19 11:30:38', NULL, NULL), (1756, '', '安桥村', 'b891a6b52d8244bf9083983dc1ea7c84', '10cd7a49b3324a839685a40ed6df8e59', 'False', 'True', 'false', 'false', '510121108222', 5, '安桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121108222', 1, '2021-07-19 11:30:38', NULL, NULL), (1757, '', '高龙社区', '640c0cb921734555b23dec9bf2a67a8d', '10cd7a49b3324a839685a40ed6df8e59', 'False', 'True', 'false', 'false', '510121108223', 5, '高龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121108223', 1, '2021-07-19 11:30:38', NULL, NULL), (1758, '', '小米塘村', '1a77195e0f904580ac494dba22f78553', '10cd7a49b3324a839685a40ed6df8e59', 'False', 'True', 'false', 'false', '510121108642', 5, '小米塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121108642', 1, '2021-07-19 11:30:39', NULL, NULL), (1759, '', '金钱寺村', '277338a5738d4e139f4ec0c8cb456f12', '10cd7a49b3324a839685a40ed6df8e59', 'False', 'True', 'false', 'false', '510121108789', 5, '金钱寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121108789', 1, '2021-07-19 11:30:39', NULL, NULL), (1760, '', '石桅子社区', '855636e576e741048d3b9925adb09d3c', '10cd7a49b3324a839685a40ed6df8e59', 'False', 'True', 'false', 'false', '510121108798', 5, '石桅子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121108798', 1, '2021-07-19 11:30:39', NULL, NULL), (1761, '', '玉亭村', 'fe68ce3d1726424e8753f5ec07e4bb4f', '10cd7a49b3324a839685a40ed6df8e59', 'False', 'True', 'false', 'false', '510121108943', 5, '玉亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121108943', 1, '2021-07-19 11:30:39', NULL, NULL), (1762, '', '三溪镇', '4142df803d1e4a7587c1988499a6f5e7', 'a9c7abba0c914e89a0ff4af254347474', 'True', 'True', 'false', 'false', '510121109000', 4, '三溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510121109000', 1, '2021-07-19 11:30:39', NULL, NULL), (1763, '', '三河社区', '3b4325ce92d74b8e92c7b34b32f1dc23', '4142df803d1e4a7587c1988499a6f5e7', 'False', 'True', 'false', 'false', '510121109003', 5, '三河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121109003', 1, '2021-07-19 11:30:39', NULL, NULL), (1764, '', '金河村', '1fb6c33acc2c4eb9bc420a927da8cfc1', '4142df803d1e4a7587c1988499a6f5e7', 'False', 'True', 'false', 'false', '510121109219', 5, '金河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121109219', 1, '2021-07-19 11:30:39', NULL, NULL), (1765, '', '黑凤寺社区', '0df169c9fea6451f8c3bce672d837dc8', '4142df803d1e4a7587c1988499a6f5e7', 'False', 'True', 'false', 'false', '510121109220', 5, '黑凤寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121109220', 1, '2021-07-19 11:30:39', NULL, NULL), (1766, '', '金峰村', '4a895149ef9f426dbccfc312ecf28e2c', '4142df803d1e4a7587c1988499a6f5e7', 'False', 'True', 'false', 'false', '510121109221', 5, '金峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121109221', 1, '2021-07-19 11:30:39', NULL, NULL), (1767, '', '龙桥村', '5a8aeb2ce8f0494f8b976340363399f2', '4142df803d1e4a7587c1988499a6f5e7', 'False', 'True', 'false', 'false', '510121109222', 5, '龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121109222', 1, '2021-07-19 11:30:39', NULL, NULL), (1768, '', '玉堂社区', 'c0e4a5f9dab34c8ca42bda4e2ab54bce', '4142df803d1e4a7587c1988499a6f5e7', 'False', 'True', 'false', 'false', '510121109224', 5, '玉堂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121109224', 1, '2021-07-19 11:30:39', NULL, NULL), (1769, '', '岳山社区', '614457b5c61040a68a3dd2952497b5ef', '4142df803d1e4a7587c1988499a6f5e7', 'False', 'True', 'false', 'false', '510121109226', 5, '岳山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121109226', 1, '2021-07-19 11:30:39', NULL, NULL), (1770, '', '长林村', '30b6db6ddb48462bbcfba05453f48ce8', '4142df803d1e4a7587c1988499a6f5e7', 'False', 'True', 'false', 'false', '510121109227', 5, '长林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121109227', 1, '2021-07-19 11:30:40', NULL, NULL), (1771, '', '福兴镇', '649cdd7d79cf4046955d814a823f7eb6', 'a9c7abba0c914e89a0ff4af254347474', 'True', 'True', 'false', 'false', '510121110000', 4, '福兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510121110000', 1, '2021-07-19 11:30:40', NULL, NULL), (1772, '', '龙河社区', 'd950d04a66834933ade80dbdd2dfc359', '649cdd7d79cf4046955d814a823f7eb6', 'False', 'True', 'false', 'false', '510121110002', 5, '龙河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121110002', 1, '2021-07-19 11:30:40', NULL, NULL), (1773, '', '福乐社区', '8b440194349e4643bf4ce16792a3bea1', '649cdd7d79cf4046955d814a823f7eb6', 'False', 'True', 'false', 'false', '510121110005', 5, '福乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121110005', 1, '2021-07-19 11:30:40', NULL, NULL), (1774, '', '三合碑社区', 'cdc7695eba454ecdbf8cc76a59f4de50', '649cdd7d79cf4046955d814a823f7eb6', 'False', 'True', 'false', 'false', '510121110006', 5, '三合碑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121110006', 1, '2021-07-19 11:30:40', NULL, NULL), (1775, '', '棠湖社区', '14b30b8283804005869d262e2170cfad', '649cdd7d79cf4046955d814a823f7eb6', 'False', 'True', 'false', 'false', '510121110201', 5, '棠湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121110201', 1, '2021-07-19 11:30:40', NULL, NULL), (1776, '', '积善村', 'b13d628bca84466f912083805c72da38', '649cdd7d79cf4046955d814a823f7eb6', 'False', 'True', 'false', 'false', '510121110203', 5, '积善村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121110203', 1, '2021-07-19 11:30:40', NULL, NULL), (1777, '', '东坝社区', '34dfc89f5e23410fa92de0efcd257ca6', '649cdd7d79cf4046955d814a823f7eb6', 'False', 'True', 'false', 'false', '510121110238', 5, '东坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121110238', 1, '2021-07-19 11:30:40', NULL, NULL), (1778, '', '双宏村', 'df234795810a4c4fa74235f197ee2713', '649cdd7d79cf4046955d814a823f7eb6', 'False', 'True', 'false', 'false', '510121110239', 5, '双宏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121110239', 1, '2021-07-19 11:30:40', NULL, NULL), (1779, '', '田堰社区', '43b7bc55e6c845bba3337be9357dc2c2', '649cdd7d79cf4046955d814a823f7eb6', 'False', 'True', 'false', 'false', '510121110240', 5, '田堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121110240', 1, '2021-07-19 11:30:40', NULL, NULL), (1780, '', '金福村', '0c3beff88a9d4c2283d492c28c9e062a', '649cdd7d79cf4046955d814a823f7eb6', 'False', 'True', 'false', 'false', '510121110241', 5, '金福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121110241', 1, '2021-07-19 11:30:40', NULL, NULL), (1781, '', '长乐村', 'b8b0d29234364045b37163659aeb8335', '649cdd7d79cf4046955d814a823f7eb6', 'False', 'True', 'false', 'false', '510121110243', 5, '长乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121110243', 1, '2021-07-19 11:30:40', NULL, NULL), (1782, '', '三王庙村', 'd84ebddd7e7e4ac2a1d869693454f311', '649cdd7d79cf4046955d814a823f7eb6', 'False', 'True', 'false', 'false', '510121110244', 5, '三王庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121110244', 1, '2021-07-19 11:30:41', NULL, NULL), (1783, '', '金龙镇', '4445a2586feb4f5c8e3f8c0827587bf3', 'a9c7abba0c914e89a0ff4af254347474', 'True', 'True', 'false', 'false', '510121111000', 4, '金龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510121111000', 1, '2021-07-19 11:30:41', NULL, NULL), (1784, '', '金龙社区', '366a0f224c8d4355b0e320a77b66f1d3', '4445a2586feb4f5c8e3f8c0827587bf3', 'False', 'True', 'false', 'false', '510121111003', 5, '金龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121111003', 1, '2021-07-19 11:30:41', NULL, NULL), (1785, '', '良园村', '3b09c4d723bb4276bc9733c73e352ca5', '4445a2586feb4f5c8e3f8c0827587bf3', 'False', 'True', 'false', 'false', '510121111216', 5, '良园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121111216', 1, '2021-07-19 11:30:41', NULL, NULL), (1786, '', '高梁村', 'b5b8d48150ec4b90aa683d24a0c32977', '4445a2586feb4f5c8e3f8c0827587bf3', 'False', 'True', 'false', 'false', '510121111217', 5, '高梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121111217', 1, '2021-07-19 11:30:41', NULL, NULL), (1787, '', '河源村', '0531439eb52f49e3a2fe4c2b947c61c0', '4445a2586feb4f5c8e3f8c0827587bf3', 'False', 'True', 'false', 'false', '510121111218', 5, '河源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121111218', 1, '2021-07-19 11:30:41', NULL, NULL), (1788, '', '谢杨坝村', '9e40eb93210845529962af5a57cf9d46', '4445a2586feb4f5c8e3f8c0827587bf3', 'False', 'True', 'false', 'false', '510121111219', 5, '谢杨坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121111219', 1, '2021-07-19 11:30:41', NULL, NULL), (1789, '', '净因寺村', 'a448fcea5b25410c80bcb5dff7585b9c', '4445a2586feb4f5c8e3f8c0827587bf3', 'False', 'True', 'false', 'false', '510121111220', 5, '净因寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121111220', 1, '2021-07-19 11:30:42', NULL, NULL), (1790, '', '赵家镇', '8e6053663f0343729a2f1fd3ac0c6058', 'a9c7abba0c914e89a0ff4af254347474', 'True', 'True', 'false', 'false', '510121112000', 4, '赵家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510121112000', 1, '2021-07-19 11:30:42', NULL, NULL), (1791, '', '翻山堰社区', '151d937c05264038950cc58e8d81f459', '8e6053663f0343729a2f1fd3ac0c6058', 'False', 'True', 'false', 'false', '510121112001', 5, '翻山堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121112001', 1, '2021-07-19 11:30:42', NULL, NULL), (1792, '', '莲墩社区', 'b058e7c076b74b4ab239a5a940bfa85f', '8e6053663f0343729a2f1fd3ac0c6058', 'False', 'True', 'false', 'false', '510121112002', 5, '莲墩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121112002', 1, '2021-07-19 11:30:42', NULL, NULL), (1793, '', '阳河街社区', '8602852441384718a0aa5cffb6ff23f8', '8e6053663f0343729a2f1fd3ac0c6058', 'False', 'True', 'false', 'false', '510121112003', 5, '阳河街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121112003', 1, '2021-07-19 11:30:42', NULL, NULL), (1794, '', '三烈社区', '5a7d60830259404fa3122a5da6e0c19f', '8e6053663f0343729a2f1fd3ac0c6058', 'False', 'True', 'false', 'false', '510121112004', 5, '三烈社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121112004', 1, '2021-07-19 11:30:42', NULL, NULL), (1795, '', '平水桥社区', 'b4b4682344c440a0b1e2ad00c11769f6', '8e6053663f0343729a2f1fd3ac0c6058', 'False', 'True', 'false', 'false', '510121112218', 5, '平水桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121112218', 1, '2021-07-19 11:30:42', NULL, NULL), (1796, '', '金山村', '1438bd35effc4723935aafa1652c766a', '8e6053663f0343729a2f1fd3ac0c6058', 'False', 'True', 'false', 'false', '510121112219', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121112219', 1, '2021-07-19 11:30:42', NULL, NULL), (1797, '', '天星洞村', 'd0aaacc8a0d84c6bb990e9b0ec4e87f5', '8e6053663f0343729a2f1fd3ac0c6058', 'False', 'True', 'false', 'false', '510121112221', 5, '天星洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121112221', 1, '2021-07-19 11:30:42', NULL, NULL), (1798, '', '碧山村', '110a572b892049f38bc7228bfa270879', '8e6053663f0343729a2f1fd3ac0c6058', 'False', 'True', 'false', 'false', '510121112222', 5, '碧山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121112222', 1, '2021-07-19 11:30:43', NULL, NULL), (1799, '', '竹篙镇', '72cf7d47c2664633aa6347cb4b8f44b5', 'a9c7abba0c914e89a0ff4af254347474', 'True', 'True', 'false', 'false', '510121113000', 4, '竹篙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510121113000', 1, '2021-07-19 11:30:43', NULL, NULL), (1800, '', '竹篙寺社区', 'f6ae07cfc32346bab11bf2dc069848d7', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113003', 5, '竹篙寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113003', 1, '2021-07-19 11:30:43', NULL, NULL), (1801, '', '青松社区', 'f16b9439aecb4798a7abcb50a14fb572', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113004', 5, '青松社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113004', 1, '2021-07-19 11:30:43', NULL, NULL), (1802, '', '常乐社区', '19fcced896b14570aa9c969ce071729f', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113005', 5, '常乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113005', 1, '2021-07-19 11:30:43', NULL, NULL), (1803, '', '凤凰社区', '8703d80829de4bfe95a0a7d0838908c1', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113007', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113007', 1, '2021-07-19 11:30:43', NULL, NULL), (1804, '', '广兴社区', '2717691582824723827ab27ee173516c', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113009', 5, '广兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113009', 1, '2021-07-19 11:30:43', NULL, NULL), (1805, '', '龙兴村', '237fb03045c240058f576dbe82d91276', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113201', 5, '龙兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113201', 1, '2021-07-19 11:30:43', NULL, NULL), (1806, '', '凉水井社区', '3884347e5e23418f819c155d1e64ebb2', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113233', 5, '凉水井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113233', 1, '2021-07-19 11:30:43', NULL, NULL), (1807, '', '红观音社区', '322fa291adc64e0cbaf4689938c366be', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113234', 5, '红观音社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113234', 1, '2021-07-19 11:30:43', NULL, NULL), (1808, '', '老虎寨社区', '493fc3add51d45e9a0e3e262f929db2f', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113235', 5, '老虎寨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113235', 1, '2021-07-19 11:30:43', NULL, NULL), (1809, '', '八棵松村', '9a069dbe03104de98fc279e0cbc638d4', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113238', 5, '八棵松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113238', 1, '2021-07-19 11:30:44', NULL, NULL), (1810, '', '天宝寨村', 'b451877dd48e4dbd8e591dbb40b4625c', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113239', 5, '天宝寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113239', 1, '2021-07-19 11:30:44', NULL, NULL), (1811, '', '金华村', 'df8ae9a0272e487a98a56b22fb89212a', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113240', 5, '金华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113240', 1, '2021-07-19 11:30:44', NULL, NULL), (1812, '', '半边街村', 'ca2df1e6ff954ee5b833149b5b324509', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113241', 5, '半边街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113241', 1, '2021-07-19 11:30:44', NULL, NULL), (1813, '', '金简河村', '8d3645db89c24cd5b05841b42b9e2eb0', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113242', 5, '金简河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113242', 1, '2021-07-19 11:30:44', NULL, NULL), (1814, '', '道沟湾社区', 'd9a61b650226472981e487af3afb0685', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113243', 5, '道沟湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113243', 1, '2021-07-19 11:30:44', NULL, NULL), (1815, '', '何家沟村', 'e5892e180ea5403fb7948553bd7bab19', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113276', 5, '何家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113276', 1, '2021-07-19 11:30:44', NULL, NULL), (1816, '', '和平村', '6aa188578f4a4ecaa494d08ab5118c32', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113362', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113362', 1, '2021-07-19 11:30:44', NULL, NULL), (1817, '', '桂花湾村', '5588a595a25f4702ad0c931368948b72', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113435', 5, '桂花湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113435', 1, '2021-07-19 11:30:44', NULL, NULL), (1818, '', '九龙社区', 'ea713361e5f24fe5bdf7b8f9a913f684', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113805', 5, '九龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113805', 1, '2021-07-19 11:30:44', NULL, NULL), (1819, '', '宝塔社区', 'e5920503f3974243bf8b1238525a500e', '72cf7d47c2664633aa6347cb4b8f44b5', 'False', 'True', 'false', 'false', '510121113807', 5, '宝塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121113807', 1, '2021-07-19 11:30:44', NULL, NULL), (1820, '', '转龙镇', '65e12c5e8f614687b5d5c0184ab95e4c', 'a9c7abba0c914e89a0ff4af254347474', 'True', 'True', 'false', 'false', '510121116000', 4, '转龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510121116000', 1, '2021-07-19 11:30:45', NULL, NULL), (1821, '', '桂龙社区', '5dfdd614b348450cab434c08ec3af9a3', '65e12c5e8f614687b5d5c0184ab95e4c', 'False', 'True', 'false', 'false', '510121116002', 5, '桂龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121116002', 1, '2021-07-19 11:30:45', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (1822, '', '龙灯桥村', '5a9b96a339c440eda47994cb9192d2be', '65e12c5e8f614687b5d5c0184ab95e4c', 'False', 'True', 'false', 'false', '510121116220', 5, '龙灯桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121116220', 1, '2021-07-19 11:30:45', NULL, NULL), (1823, '', '桑园村', 'd31441adaec3477289ed5938eaee2a32', '65e12c5e8f614687b5d5c0184ab95e4c', 'False', 'True', 'false', 'false', '510121116221', 5, '桑园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121116221', 1, '2021-07-19 11:30:45', NULL, NULL), (1824, '', '大桥村', 'd05e7878276b4cbab84c442e5e467afa', '65e12c5e8f614687b5d5c0184ab95e4c', 'False', 'True', 'false', 'false', '510121116223', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121116223', 1, '2021-07-19 11:30:45', NULL, NULL), (1825, '', '神仙桥村', 'b6318a354b864015b1285c9113731c2b', '65e12c5e8f614687b5d5c0184ab95e4c', 'False', 'True', 'false', 'false', '510121116224', 5, '神仙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121116224', 1, '2021-07-19 11:30:45', NULL, NULL), (1826, '', '古顶村', '464c0b0b5e6b41e4abe78aa8cff73c5d', '65e12c5e8f614687b5d5c0184ab95e4c', 'False', 'True', 'false', 'false', '510121116273', 5, '古顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121116273', 1, '2021-07-19 11:30:45', NULL, NULL), (1827, '', '隆盛社区', '1d5e86c4bd9a44d7bf1e97a44319372e', '65e12c5e8f614687b5d5c0184ab95e4c', 'False', 'True', 'false', 'false', '510121116345', 5, '隆盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121116345', 1, '2021-07-19 11:30:45', NULL, NULL), (1828, '', '黄桷桠社区', '0534c317bbb14b098658b3b68fdc1c0d', '65e12c5e8f614687b5d5c0184ab95e4c', 'False', 'True', 'false', 'false', '510121116355', 5, '黄桷桠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121116355', 1, '2021-07-19 11:30:46', NULL, NULL), (1829, '', '泉水沟村', '0abdfb970b0e40c6b2cd59c3c620eba5', '65e12c5e8f614687b5d5c0184ab95e4c', 'False', 'True', 'false', 'false', '510121116385', 5, '泉水沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121116385', 1, '2021-07-19 11:30:46', NULL, NULL), (1830, '', '白果湾村', '54137d83e9e847a883051ff34f5001dd', '65e12c5e8f614687b5d5c0184ab95e4c', 'False', 'True', 'false', 'false', '510121116527', 5, '白果湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121116527', 1, '2021-07-19 11:30:46', NULL, NULL), (1831, '', '丰收村', '8d3658b61f504b5fbe998b6150e7adba', '65e12c5e8f614687b5d5c0184ab95e4c', 'False', 'True', 'false', 'false', '510121116838', 5, '丰收村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121116838', 1, '2021-07-19 11:30:46', NULL, NULL), (1832, '', '新开村', 'af9e96df60ad47e2b7524d063f5515c2', '65e12c5e8f614687b5d5c0184ab95e4c', 'False', 'True', 'false', 'false', '510121116855', 5, '新开村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121116855', 1, '2021-07-19 11:30:46', NULL, NULL), (1833, '', '石佛村', '35da566a78204eefa9004655fce442cd', '65e12c5e8f614687b5d5c0184ab95e4c', 'False', 'True', 'false', 'false', '510121116976', 5, '石佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121116976', 1, '2021-07-19 11:30:46', NULL, NULL), (1834, '', '土桥镇', 'c15d41db8da848f992d89f35e2f5b88c', 'a9c7abba0c914e89a0ff4af254347474', 'True', 'True', 'false', 'false', '510121117000', 4, '土桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510121117000', 1, '2021-07-19 11:30:46', NULL, NULL), (1835, '', '朝阳社区', 'e1474fa3317e46bc8d88fbdf74380825', 'c15d41db8da848f992d89f35e2f5b88c', 'False', 'True', 'false', 'false', '510121117007', 5, '朝阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121117007', 1, '2021-07-19 11:30:46', NULL, NULL), (1836, '', '永兴社区', 'ed468dabcc5943a4a8621eed10b5fa3a', 'c15d41db8da848f992d89f35e2f5b88c', 'False', 'True', 'false', 'false', '510121117008', 5, '永兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121117008', 1, '2021-07-19 11:30:46', NULL, NULL), (1837, '', '梁家沟村', 'bb6c1756ee714254bcd4be761e6bcaf0', 'c15d41db8da848f992d89f35e2f5b88c', 'False', 'True', 'false', 'false', '510121117224', 5, '梁家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121117224', 1, '2021-07-19 11:30:46', NULL, NULL), (1838, '', '花果村', '312f375404f546fbb1f689855080bf86', 'c15d41db8da848f992d89f35e2f5b88c', 'False', 'True', 'false', 'false', '510121117225', 5, '花果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121117225', 1, '2021-07-19 11:30:46', NULL, NULL), (1839, '', '金壶村', '7c39efdf83564af4a8435c6f4b9b5612', 'c15d41db8da848f992d89f35e2f5b88c', 'False', 'True', 'false', 'false', '510121117227', 5, '金壶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121117227', 1, '2021-07-19 11:30:46', NULL, NULL), (1840, '', '湖包村', 'b6e6a96258114c78a93203d4e3c3040f', 'c15d41db8da848f992d89f35e2f5b88c', 'False', 'True', 'false', 'false', '510121117228', 5, '湖包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121117228', 1, '2021-07-19 11:30:46', NULL, NULL), (1841, '', '平山村', 'd3ede0b321024f3fa8a5d6918ca7e1d8', 'c15d41db8da848f992d89f35e2f5b88c', 'False', 'True', 'false', 'false', '510121117229', 5, '平山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121117229', 1, '2021-07-19 11:30:47', NULL, NULL), (1842, '', '云合镇', '0b93a86a4e764c4986f00d0cc012ea29', 'a9c7abba0c914e89a0ff4af254347474', 'True', 'True', 'false', 'false', '510121118000', 4, '云合镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510121118000', 1, '2021-07-19 11:30:47', NULL, NULL), (1843, '', '云桥社区', '1df9dc89b5574973afaa1ea83715c0be', '0b93a86a4e764c4986f00d0cc012ea29', 'False', 'True', 'false', 'false', '510121118002', 5, '云桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121118002', 1, '2021-07-19 11:30:47', NULL, NULL), (1844, '', '磨盘山村', '4a413eac15704ec5a2bc6b8cf7421844', '0b93a86a4e764c4986f00d0cc012ea29', 'False', 'True', 'false', 'false', '510121118225', 5, '磨盘山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121118225', 1, '2021-07-19 11:30:47', NULL, NULL), (1845, '', '金鸡山村', '4c2bf0236ed9425db5698eef49dd2ec7', '0b93a86a4e764c4986f00d0cc012ea29', 'False', 'True', 'false', 'false', '510121118227', 5, '金鸡山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121118227', 1, '2021-07-19 11:30:47', NULL, NULL), (1846, '', '白象村', '4dfb2da35b844a0ab420a4239e4253a1', '0b93a86a4e764c4986f00d0cc012ea29', 'False', 'True', 'false', 'false', '510121118228', 5, '白象村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121118228', 1, '2021-07-19 11:30:47', NULL, NULL), (1847, '', '石河村', '87a9ef45bb4843f79adf1de019f9ff22', '0b93a86a4e764c4986f00d0cc012ea29', 'False', 'True', 'false', 'false', '510121118229', 5, '石河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121118229', 1, '2021-07-19 11:30:47', NULL, NULL), (1848, '', '黄鹤村', 'acc099ab39334218ad11f8b21ac34aac', '0b93a86a4e764c4986f00d0cc012ea29', 'False', 'True', 'false', 'false', '510121118230', 5, '黄鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121118230', 1, '2021-07-19 11:30:47', NULL, NULL), (1849, '', '天元村', '13e3c1711dd2454b8df33e1f85241cbe', '0b93a86a4e764c4986f00d0cc012ea29', 'False', 'True', 'false', 'false', '510121118231', 5, '天元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121118231', 1, '2021-07-19 11:30:47', NULL, NULL), (1850, '', '三桥村', 'e1d682dc8de54be2a0b4e3fdf263f90c', '0b93a86a4e764c4986f00d0cc012ea29', 'False', 'True', 'false', 'false', '510121118232', 5, '三桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121118232', 1, '2021-07-19 11:30:47', NULL, NULL), (1851, '', '又新镇', '035d8111cfb1418787b492b7b2d722e1', 'a9c7abba0c914e89a0ff4af254347474', 'True', 'True', 'false', 'false', '510121119000', 4, '又新镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510121119000', 1, '2021-07-19 11:30:47', NULL, NULL), (1852, '', '永乐社区', 'ed0f8a3052d24055b996a026e33f6cce', '035d8111cfb1418787b492b7b2d722e1', 'False', 'True', 'false', 'false', '510121119296', 5, '永乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121119296', 1, '2021-07-19 11:30:47', NULL, NULL), (1853, '', '净乐社区', '92ba4dc9bd9a4343a1be2109d7b82e63', '035d8111cfb1418787b492b7b2d722e1', 'False', 'True', 'false', 'false', '510121119002', 5, '净乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121119002', 1, '2021-07-19 11:30:48', NULL, NULL), (1854, '', '蔡家河社区', '8223b6c3c28643ec9eafd35149d2001e', '035d8111cfb1418787b492b7b2d722e1', 'False', 'True', 'false', 'false', '510121119003', 5, '蔡家河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121119003', 1, '2021-07-19 11:30:48', NULL, NULL), (1855, '', '油坊堰村', '71ce3f6369e243d1adf0b15da1845b04', '035d8111cfb1418787b492b7b2d722e1', 'False', 'True', 'false', 'false', '510121119211', 5, '油坊堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121119211', 1, '2021-07-19 11:30:48', NULL, NULL), (1856, '', '祝新村', 'bc212bd660b8480fa9265f387483a2fc', '035d8111cfb1418787b492b7b2d722e1', 'False', 'True', 'false', 'false', '510121119229', 5, '祝新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121119229', 1, '2021-07-19 11:30:48', NULL, NULL), (1857, '', '宝鼎村', '89d8d98afac5442c85dbe885aca64999', '035d8111cfb1418787b492b7b2d722e1', 'False', 'True', 'false', 'false', '510121119232', 5, '宝鼎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121119232', 1, '2021-07-19 11:30:48', NULL, NULL), (1858, '', '三元村', '072faeda29094c1980cbecb7c272159f', '035d8111cfb1418787b492b7b2d722e1', 'False', 'True', 'false', 'false', '510121119233', 5, '三元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121119233', 1, '2021-07-19 11:30:48', NULL, NULL), (1859, '', '红缘村', '1ac0bcb6d3ae47e7accd3c843f66eca4', '035d8111cfb1418787b492b7b2d722e1', 'False', 'True', 'false', 'false', '510121119235', 5, '红缘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121119235', 1, '2021-07-19 11:30:48', NULL, NULL), (1860, '', '万安村', 'b9fb2cc7359f46a89960b9ec64a0d9bb', '035d8111cfb1418787b492b7b2d722e1', 'False', 'True', 'false', 'false', '510121119240', 5, '万安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121119240', 1, '2021-07-19 11:30:48', NULL, NULL), (1861, '', '栖贤街道', '249eeb03675b4d8d80eaf61d7a83d827', 'a9c7abba0c914e89a0ff4af254347474', 'True', 'True', 'false', 'false', '510121200000', 4, '栖贤街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510121200000', 1, '2021-07-19 11:30:48', NULL, NULL), (1862, '', '盐井社区', 'f0b6345f48434ebcabba6db0f785c09a', '249eeb03675b4d8d80eaf61d7a83d827', 'False', 'True', 'false', 'false', '510121200001', 5, '盐井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121200001', 1, '2021-07-19 11:30:48', NULL, NULL), (1863, '', '竹林社区', 'b74e35f113f841678380c2f7acdf0e2e', '249eeb03675b4d8d80eaf61d7a83d827', 'False', 'True', 'false', 'false', '510121200188', 5, '竹林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121200188', 1, '2021-07-19 11:30:48', NULL, NULL), (1864, '', '向前社区', '050cc6a4e22148ae8207a7ab42069911', '249eeb03675b4d8d80eaf61d7a83d827', 'False', 'True', 'false', 'false', '510121200200', 5, '向前社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121200200', 1, '2021-07-19 11:30:48', NULL, NULL), (1865, '', '岳公社区', '0794469d02a0467ba7da15f478beff7e', '249eeb03675b4d8d80eaf61d7a83d827', 'False', 'True', 'false', 'false', '510121200201', 5, '岳公社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121200201', 1, '2021-07-19 11:30:48', NULL, NULL), (1866, '', '牛背村', '1a5ea89747ce40d9975abe972c295870', '249eeb03675b4d8d80eaf61d7a83d827', 'False', 'True', 'false', 'false', '510121200202', 5, '牛背村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121200202', 1, '2021-07-19 11:30:48', NULL, NULL), (1867, '', '三学寺村', '2426d76190944db58843a2c0c298a71f', '249eeb03675b4d8d80eaf61d7a83d827', 'False', 'True', 'false', 'false', '510121200203', 5, '三学寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121200203', 1, '2021-07-19 11:30:49', NULL, NULL), (1868, '', '梨花沟村', 'ae80de50dcb442c9951e00bf63208413', '249eeb03675b4d8d80eaf61d7a83d827', 'False', 'True', 'false', 'false', '510121200205', 5, '梨花沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121200205', 1, '2021-07-19 11:30:49', NULL, NULL), (1869, '', '尖山村', '3ee5ddee336546a2ad93e4f271d8357b', '249eeb03675b4d8d80eaf61d7a83d827', 'False', 'True', 'false', 'false', '510121200206', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121200206', 1, '2021-07-19 11:30:49', NULL, NULL), (1870, '', '来宝沱社区', '1b6601378b6c47658cc2b8c4e08f3142', '249eeb03675b4d8d80eaf61d7a83d827', 'False', 'True', 'false', 'false', '510121200315', 5, '来宝沱社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121200315', 1, '2021-07-19 11:30:49', NULL, NULL), (1871, '', '兰家店社区', 'c669ad687e1f4f54845b432ecaed2f42', '249eeb03675b4d8d80eaf61d7a83d827', 'False', 'True', 'false', 'false', '510121200384', 5, '兰家店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121200384', 1, '2021-07-19 11:30:49', NULL, NULL), (1872, '', '双龙桥村', 'e7ca52e6826a45a1a83a68542ecf20dd', '249eeb03675b4d8d80eaf61d7a83d827', 'False', 'True', 'false', 'false', '510121200406', 5, '双龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121200406', 1, '2021-07-19 11:30:49', NULL, NULL), (1873, '', '川福号社区', '13f8b10c725b4b12ac6be179361643b0', '249eeb03675b4d8d80eaf61d7a83d827', 'False', 'True', 'false', 'false', '510121200556', 5, '川福号社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121200556', 1, '2021-07-19 11:30:49', NULL, NULL), (1874, '', '幸福村', '02891224b69e4758b4e2b1beb95dbd28', '249eeb03675b4d8d80eaf61d7a83d827', 'False', 'True', 'false', 'false', '510121200642', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121200642', 1, '2021-07-19 11:30:49', NULL, NULL), (1875, '', '星月村', 'de9907ca04924e6698bcd93b59a7dfc7', '249eeb03675b4d8d80eaf61d7a83d827', 'False', 'True', 'false', 'false', '510121200644', 5, '星月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121200644', 1, '2021-07-19 11:30:49', NULL, NULL), (1876, '', '四方村', 'a7430c69533945bdb7bc6dfd0bd71f49', '249eeb03675b4d8d80eaf61d7a83d827', 'False', 'True', 'false', 'false', '510121200700', 5, '四方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121200700', 1, '2021-07-19 11:30:49', NULL, NULL), (1877, '', '天灯社区', '215cce13136d44298dbdde1d4172f453', '249eeb03675b4d8d80eaf61d7a83d827', 'False', 'True', 'false', 'false', '510121200917', 5, '天灯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510121200917', 1, '2021-07-19 11:30:49', NULL, NULL), (1878, '', '大邑县', '466225a844c94e6bb5da7825fc5ba722', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'true', 'true', '510129000000', 3, '大邑县', 'cdsdyx.sczwfw.gov.cn', 1, '2021-07-19 11:30:49', NULL, NULL), (1879, '', '鹤鸣镇', 'a76020ce6cf64c45866f67b50c692f74', '466225a844c94e6bb5da7825fc5ba722', 'True', 'True', 'false', 'false', '510129000302', 4, '鹤鸣镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510129000302', 1, '2021-07-19 11:30:49', NULL, NULL), (1880, '', '两河口社区', 'bc13f143dad9459fb70df1ccdee8b6c1', 'a76020ce6cf64c45866f67b50c692f74', 'False', 'True', 'false', 'false', '510129119001', 5, '两河口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129119001', 1, '2021-07-19 11:30:50', NULL, NULL), (1881, '', '仙鹤社区', '3c851195cf8c432c98d1fe3a9169df32', 'a76020ce6cf64c45866f67b50c692f74', 'False', 'True', 'false', 'false', '510129119002', 5, '仙鹤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129119002', 1, '2021-07-19 11:30:50', NULL, NULL), (1882, '', '牟家营社区', '0007827d79014059884b6f16824d6904', 'a76020ce6cf64c45866f67b50c692f74', 'False', 'True', 'false', 'false', '510129119003', 5, '牟家营社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129119003', 1, '2021-07-19 11:30:50', NULL, NULL), (1883, '', '大坪村', '0497b5cdf2fb4418bc454a3e4defb6ff', 'a76020ce6cf64c45866f67b50c692f74', 'False', 'True', 'false', 'false', '510129119200', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129119200', 1, '2021-07-19 11:30:50', NULL, NULL), (1884, '', '新民村', 'ffd1619d8f26490ba5e147a0876ea3d0', 'a76020ce6cf64c45866f67b50c692f74', 'False', 'True', 'false', 'false', '510129119204', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129119204', 1, '2021-07-19 11:30:50', NULL, NULL), (1885, '', '忠孝村', '9aa4de5c9e844d4b91299d66200ae2ae', 'a76020ce6cf64c45866f67b50c692f74', 'False', 'True', 'false', 'false', '510129119206', 5, '忠孝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129119206', 1, '2021-07-19 11:30:50', NULL, NULL), (1886, '', '联和村', '5cd5235a6bae45928a0b43d7b8343c8f', 'a76020ce6cf64c45866f67b50c692f74', 'False', 'True', 'false', 'false', '510129119208', 5, '联和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129119208', 1, '2021-07-19 11:30:50', NULL, NULL), (1887, '', '雾中山村', '78b58cc73ecf4985a99b2d4d68bbfa0d', 'a76020ce6cf64c45866f67b50c692f74', 'False', 'True', 'false', 'false', '510129119209', 5, '雾中山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129119209', 1, '2021-07-19 11:30:50', NULL, NULL), (1888, '', '安仁镇', '5cc6f9db0e6a4d0d8f46d13da4db17cd', '466225a844c94e6bb5da7825fc5ba722', 'True', 'True', 'false', 'false', '510129151000', 4, '安仁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510129151000', 1, '2021-07-19 11:30:50', NULL, NULL), (1889, '', '长福社区', 'caf1d52c890847ac9313ab80a972d89d', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129105014', 5, '长福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129105014', 1, '2021-07-19 11:30:50', NULL, NULL), (1890, '', '元兴社区', '0ade1262899043ee99841707bac32234', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129105020', 5, '元兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129105020', 1, '2021-07-19 11:30:50', NULL, NULL), (1891, '', '正雄社区', '45a2a9305c7d41549bebb1fe91fad30c', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129105025', 5, '正雄社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129105025', 1, '2021-07-19 11:30:50', NULL, NULL), (1892, '', '新福社区', 'c9efd02fbbb24941a6b5227d925fac35', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129105037', 5, '新福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129105037', 1, '2021-07-19 11:30:50', NULL, NULL), (1893, '', '韩延社区', 'e5900c1a6629471f9cd5f56942b3fe7c', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129105039', 5, '韩延社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129105039', 1, '2021-07-19 11:30:50', NULL, NULL), (1894, '', '永兴社区', '9c767dc6e050418f873540be5be8af35', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129105041', 5, '永兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129105041', 1, '2021-07-19 11:30:50', NULL, NULL), (1895, '', '铁溪村', '0b534b1dee594dfcac3843bbcfc3649a', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129105248', 5, '铁溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129105248', 1, '2021-07-19 11:30:51', NULL, NULL), (1896, '', '柏家村', '20bebe9fee304df8bce45c64129e2db2', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129105251', 5, '柏家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129105251', 1, '2021-07-19 11:30:51', NULL, NULL), (1897, '', '红星街社区', '8e26c4a77a314681bf5211b2ef7f6a80', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151104', 5, '红星街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151104', 1, '2021-07-19 11:30:51', NULL, NULL), (1898, '', '民安社区', '96ed9a4810624a5da88f3f6315c0802c', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151128', 5, '民安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151128', 1, '2021-07-19 11:30:51', NULL, NULL), (1899, '', '五星社区', '70ea43eb4b76462298a2ee52d992fb76', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151238', 5, '五星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151238', 1, '2021-07-19 11:30:51', NULL, NULL), (1900, '', '齐埝社区', '67dde1227b3e4fffb4a5a922eb1beba3', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151262', 5, '齐埝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151262', 1, '2021-07-19 11:30:51', NULL, NULL), (1901, '', '和众社区', '057460e6674649ccb2fb2ef170255033', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151285', 5, '和众社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151285', 1, '2021-07-19 11:30:51', NULL, NULL), (1902, '', '新华社区', '0360c6774a66484d93f5287cb7692b3a', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151419', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151419', 1, '2021-07-19 11:30:51', NULL, NULL), (1903, '', '昌盛社区', 'f567c2556d7048fb8a956cac446134a5', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151429', 5, '昌盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151429', 1, '2021-07-19 11:30:51', NULL, NULL), (1904, '', '泉水社区', '1aae917562ce40a193f3887f95f8fff2', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151433', 5, '泉水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151433', 1, '2021-07-19 11:30:51', NULL, NULL), (1905, '', '广贤村', '16b10c709e72446396a6bed40909baf9', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151453', 5, '广贤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151453', 1, '2021-07-19 11:30:51', NULL, NULL), (1906, '', '唐场社区', '80dcf9fd0d2f4e63885fc0d030fcb876', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151482', 5, '唐场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151482', 1, '2021-07-19 11:30:51', NULL, NULL), (1907, '', '陈河社区', '426552d92b1d475686862dc5662fce2c', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151483', 5, '陈河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151483', 1, '2021-07-19 11:30:51', NULL, NULL), (1908, '', '复兴社区', 'f40b87ba682149b39d580636c852b255', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151607', 5, '复兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151607', 1, '2021-07-19 11:30:51', NULL, NULL), (1909, '', '金井社区', '00f5572d922d418693a18ec7c144b1f6', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151638', 5, '金井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151638', 1, '2021-07-19 11:30:52', NULL, NULL), (1910, '', '汪安社区', '9be10fdb82fd4e55a067e38e5c8e34c1', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151639', 5, '汪安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151639', 1, '2021-07-19 11:30:52', NULL, NULL), (1911, '', '白马村', '873708f62c8d4dd8b26624fbffc6175a', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151690', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151690', 1, '2021-07-19 11:30:52', NULL, NULL), (1912, '', '三河社区', 'c71a72a6b8b945d9878d0a531e443985', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151702', 5, '三河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151702', 1, '2021-07-19 11:30:52', NULL, NULL), (1913, '', '韩场社区', 'fc3a3c7e577748d08c0e5fef623450e7', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151719', 5, '韩场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151719', 1, '2021-07-19 11:30:52', NULL, NULL), (1914, '', '五合社区', '50b54c562b0a461e98bfb711a7ce45af', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151724', 5, '五合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151724', 1, '2021-07-19 11:30:52', NULL, NULL), (1915, '', '金光社区', '31267c65ff6c41b38db50aeb914eebd2', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151789', 5, '金光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151789', 1, '2021-07-19 11:30:52', NULL, NULL), (1916, '', '高山社区', '8c83d7b82dd64aa7a5e51c9b064311ec', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151799', 5, '高山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151799', 1, '2021-07-19 11:30:52', NULL, NULL), (1917, '', '香林社区', 'a71dcdc7c41047a88d03c3e362361c14', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151813', 5, '香林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151813', 1, '2021-07-19 11:30:52', NULL, NULL), (1918, '', '仁和街社区', '22e0562d6165437982e649a31f9d0705', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151823', 5, '仁和街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151823', 1, '2021-07-19 11:30:52', NULL, NULL), (1919, '', '虹桥社区', '58140d66b5a24e908d5db30dc06ea8cf', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151878', 5, '虹桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151878', 1, '2021-07-19 11:30:52', NULL, NULL), (1920, '', '赵善村', '6a794543c9b14811bcd114a06f0b9007', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151894', 5, '赵善村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151894', 1, '2021-07-19 11:30:52', NULL, NULL), (1921, '', '新团社区', 'b59ec8cb167646b283a994a4b75705f7', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151921', 5, '新团社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151921', 1, '2021-07-19 11:30:53', NULL, NULL), (1922, '', '蒲墩村', 'b5c8098fdd874785a5a3d2ceadc5676a', '5cc6f9db0e6a4d0d8f46d13da4db17cd', 'False', 'True', 'false', 'false', '510129151989', 5, '蒲墩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129151989', 1, '2021-07-19 11:30:53', NULL, NULL), (1923, '', '晋原街道', '4125752d1ad34fe1a5ab261121a02799', '466225a844c94e6bb5da7825fc5ba722', 'True', 'True', 'false', 'false', '510129379000', 4, '晋原街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510129379000', 1, '2021-07-19 11:30:53', NULL, NULL), (1924, '', '北街社区', '81fdb23293bc44759e80106d5a507b38', '4125752d1ad34fe1a5ab261121a02799', 'False', 'True', 'false', 'false', '510129379105', 5, '北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129379105', 1, '2021-07-19 11:30:53', NULL, NULL), (1925, '', '友谊村', '8fc58220c060481b9e5f1af5dad573cd', '4125752d1ad34fe1a5ab261121a02799', 'False', 'True', 'false', 'false', '510129379165', 5, '友谊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129379165', 1, '2021-07-19 11:30:53', NULL, NULL), (1926, '', '凤凰社区', '515ae035d133436e96f6f9194a369a40', '4125752d1ad34fe1a5ab261121a02799', 'False', 'True', 'false', 'false', '510129379282', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129379282', 1, '2021-07-19 11:30:53', NULL, NULL), (1927, '', '金龙村', '58a000b12e2b45c1b3932c3d7594736f', '4125752d1ad34fe1a5ab261121a02799', 'False', 'True', 'false', 'false', '510129379469', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129379469', 1, '2021-07-19 11:30:53', NULL, NULL), (1928, '', '南苑社区', 'e7d958adb6944591bc46913cd0a356fd', '4125752d1ad34fe1a5ab261121a02799', 'False', 'True', 'false', 'false', '510129379489', 5, '南苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129379489', 1, '2021-07-19 11:30:53', NULL, NULL), (1929, '', '黄土村', '682ffc325a2a4efaa89226861d642326', '4125752d1ad34fe1a5ab261121a02799', 'False', 'True', 'false', 'false', '510129379527', 5, '黄土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129379527', 1, '2021-07-19 11:30:53', NULL, NULL), (1930, '', '南街社区', '8d180d3cdf4d483d826e3f4005353a10', '4125752d1ad34fe1a5ab261121a02799', 'False', 'True', 'false', 'false', '510129379624', 5, '南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129379624', 1, '2021-07-19 11:30:53', NULL, NULL), (1931, '', '斜江社区', '99bfdb1094434ca2ad6b9d0525b1c8a3', '4125752d1ad34fe1a5ab261121a02799', 'False', 'True', 'false', 'false', '510129379736', 5, '斜江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129379736', 1, '2021-07-19 11:30:53', NULL, NULL), (1932, '', '西街社区', '745a8153f1224e93af432669aa5fb156', '4125752d1ad34fe1a5ab261121a02799', 'False', 'True', 'false', 'false', '510129379795', 5, '西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129379795', 1, '2021-07-19 11:30:53', NULL, NULL), (1933, '', '岳江社区', 'd8df9166b8224ceb91b0ca1d95bf6abe', '4125752d1ad34fe1a5ab261121a02799', 'False', 'True', 'false', 'false', '510129379811', 5, '岳江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129379811', 1, '2021-07-19 11:30:54', NULL, NULL), (1934, '', '官渡社区', 'b7c6bdcaa12748d29fa88725fc81c311', '4125752d1ad34fe1a5ab261121a02799', 'False', 'True', 'false', 'false', '510129379849', 5, '官渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129379849', 1, '2021-07-19 11:30:54', NULL, NULL), (1935, '', '新乐村', '769e76ce5f484d2791d6d7fbb6196d2b', '4125752d1ad34fe1a5ab261121a02799', 'False', 'True', 'false', 'false', '510129379916', 5, '新乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129379916', 1, '2021-07-19 11:30:54', NULL, NULL), (1936, '', '梁坪社区', '39583741d6ac4bc8a242dec2ced186e2', '4125752d1ad34fe1a5ab261121a02799', 'False', 'True', 'false', 'false', '510129379927', 5, '梁坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129379927', 1, '2021-07-19 11:30:54', NULL, NULL), (1937, '', '桃源社区', '47393a3d7dcd48c08afe4ae86370ad54', '4125752d1ad34fe1a5ab261121a02799', 'False', 'True', 'false', 'false', '510129379953', 5, '桃源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129379953', 1, '2021-07-19 11:30:54', NULL, NULL), (1938, '', '盐店村', '85a5822f09da4ad4839be67c1ae0eb69', '4125752d1ad34fe1a5ab261121a02799', 'False', 'True', 'false', 'false', '510129379961', 5, '盐店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129379961', 1, '2021-07-19 11:30:54', NULL, NULL), (1939, '', '青霞街道', '47ec74f6c40e4cbcb139c6e27115ad30', '466225a844c94e6bb5da7825fc5ba722', 'True', 'True', 'false', 'false', '510129417000', 4, '青霞街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510129417000', 1, '2021-07-19 11:30:54', NULL, NULL), (1940, '', '分水社区', 'add943a3d4b1426083115203ee1047bb', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003001', 5, '分水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003001', 1, '2021-07-19 11:30:54', NULL, NULL), (1941, '', '龙凤社区', '6a980f322432436bba29444697c7b8e3', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003002', 5, '龙凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003002', 1, '2021-07-19 11:30:54', NULL, NULL), (1942, '', '洞口社区', '4097a867fed54bb1a1833501478b177d', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003003', 5, '洞口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003003', 1, '2021-07-19 11:30:54', NULL, NULL), (1943, '', '子龙街社区', '5c0595c12d214470afb7170fc5d75238', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003004', 5, '子龙街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003004', 1, '2021-07-19 11:30:55', NULL, NULL), (1944, '', '晋王社区', '187fb84029bd4a1a8e3d777b9fcc09c5', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003005', 5, '晋王社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003005', 1, '2021-07-19 11:30:55', NULL, NULL), (1945, '', '芙蓉社区', 'c61676d8906c47fab575e32e91fa63a5', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003006', 5, '芙蓉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003006', 1, '2021-07-19 11:30:55', NULL, NULL), (1946, '', '锦屏社区', '8d5b4439f80e4db2ae6387fa43f3a596', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003007', 5, '锦屏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003007', 1, '2021-07-19 11:30:55', NULL, NULL), (1947, '', '红光社区', '7c54330e267c44ef8256664f24fea77b', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003009', 5, '红光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003009', 1, '2021-07-19 11:30:55', NULL, NULL), (1948, '', '东街社区', '27a419d0c433468cbec58aa948196cbb', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003010', 5, '东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003010', 1, '2021-07-19 11:30:55', NULL, NULL), (1949, '', '大树社区', '9d567e406b3d4413976b8d9c3e2ca852', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003011', 5, '大树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003011', 1, '2021-07-19 11:30:55', NULL, NULL), (1950, '', '长春路社区', '0239b0be7c9e40ac90d58139eff4c88b', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003012', 5, '长春路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003012', 1, '2021-07-19 11:30:55', NULL, NULL), (1951, '', '兴隆社区', 'ae3dab7c30ce4496badf4f4af6b0b3a3', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003013', 5, '兴隆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003013', 1, '2021-07-19 11:30:55', NULL, NULL), (1952, '', '潘家坝社区', 'df7bda80811e478aab62bb90c838a13c', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003014', 5, '潘家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003014', 1, '2021-07-19 11:30:56', NULL, NULL), (1953, '', '邑新社区', 'cb0981c597214322bef9bed9162164dc', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003016', 5, '邑新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003016', 1, '2021-07-19 11:30:56', NULL, NULL), (1954, '', '驷马社区', '481098534955494099139244a8fde179', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003017', 5, '驷马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003017', 1, '2021-07-19 11:30:56', NULL, NULL), (1955, '', '鸳鸯社区', '996f7e59ad7d46f9a583f7896327860b', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003018', 5, '鸳鸯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003018', 1, '2021-07-19 11:30:56', NULL, NULL), (1956, '', '龙华社区', '5fd7dc191426453bb58eac6196d0f28c', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003019', 5, '龙华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003019', 1, '2021-07-19 11:30:56', NULL, NULL), (1957, '', '梓橦村', 'c23f2b650dd04e5eabfd50ee21ab2f35', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003200', 5, '梓橦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003200', 1, '2021-07-19 11:30:56', NULL, NULL), (1958, '', '镇东村', 'c2d519fc0e2542f8878779adb48dabac', '47ec74f6c40e4cbcb139c6e27115ad30', 'False', 'True', 'false', 'false', '510129003202', 5, '镇东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129003202', 1, '2021-07-19 11:30:56', NULL, NULL), (1959, '', '花水湾镇', 'ec478a5b23244c78afcc9a852ccc61ea', '466225a844c94e6bb5da7825fc5ba722', 'True', 'True', 'false', 'false', '510129513000', 4, '花水湾镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510129513000', 1, '2021-07-19 11:30:56', NULL, NULL), (1960, '', '温泉社区', '31d2960368324db9b3aed9151bbbaa4a', 'ec478a5b23244c78afcc9a852ccc61ea', 'False', 'True', 'false', 'false', '510129118001', 5, '温泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129118001', 1, '2021-07-19 11:30:56', NULL, NULL), (1961, '', '天宫社区', 'df374c77561644c783f5976d41e0b409', 'ec478a5b23244c78afcc9a852ccc61ea', 'False', 'True', 'false', 'false', '510129118002', 5, '天宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129118002', 1, '2021-07-19 11:30:56', NULL, NULL), (1962, '', '伍田村', '8bc9a80de870414dbabaa035f6f47061', 'ec478a5b23244c78afcc9a852ccc61ea', 'False', 'True', 'false', 'false', '510129118203', 5, '伍田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129118203', 1, '2021-07-19 11:30:57', NULL, NULL), (1963, '', '千佛村', '6e07697ba22b4073b85b82e70ad1bbd3', 'ec478a5b23244c78afcc9a852ccc61ea', 'False', 'True', 'false', 'false', '510129118211', 5, '千佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129118211', 1, '2021-07-19 11:30:57', NULL, NULL), (1964, '', '沙渠街道', 'd59a6b2c1bf149878d3f7bf36046ae19', '466225a844c94e6bb5da7825fc5ba722', 'True', 'True', 'false', 'false', '510129569000', 4, '沙渠街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510129569000', 1, '2021-07-19 11:30:57', NULL, NULL), (1965, '', '勤江社区', '2a6d219fcf584520b60ddf38f38decfc', 'd59a6b2c1bf149878d3f7bf36046ae19', 'False', 'True', 'false', 'false', '510129002001', 5, '勤江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129002001', 1, '2021-07-19 11:30:57', NULL, NULL), (1966, '', '蔡场社区', '2367bc63d5964ba897cd8e4ff2b6bf77', 'd59a6b2c1bf149878d3f7bf36046ae19', 'False', 'True', 'false', 'false', '510129002007', 5, '蔡场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129002007', 1, '2021-07-19 11:30:57', NULL, NULL), (1967, '', '云南社区', 'ed8b6a91c5244033a0de63875055ffc2', 'd59a6b2c1bf149878d3f7bf36046ae19', 'False', 'True', 'false', 'false', '510129002008', 5, '云南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129002008', 1, '2021-07-19 11:30:57', NULL, NULL), (1968, '', '双龙社区', '773193162de540658ee90ff255c149a7', 'd59a6b2c1bf149878d3f7bf36046ae19', 'False', 'True', 'false', 'false', '510129002009', 5, '双龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129002009', 1, '2021-07-19 11:30:57', NULL, NULL), (1969, '', '祥龙社区', 'b310fdfc8c08400a8c9d04e2b78b04a6', 'd59a6b2c1bf149878d3f7bf36046ae19', 'False', 'True', 'false', 'false', '510129002010', 5, '祥龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129002010', 1, '2021-07-19 11:30:57', NULL, NULL), (1970, '', '龙冠社区', '86c16101a622420288e76d8e2112418d', 'd59a6b2c1bf149878d3f7bf36046ae19', 'False', 'True', 'false', 'false', '510129002011', 5, '龙冠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129002011', 1, '2021-07-19 11:30:57', NULL, NULL), (1971, '', '董场社区', '43f5bac3ead3450a992974f916612804', 'd59a6b2c1bf149878d3f7bf36046ae19', 'False', 'True', 'false', 'false', '510129002012', 5, '董场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129002012', 1, '2021-07-19 11:30:57', NULL, NULL), (1972, '', '东岳社区', 'd4ea629578004f18bb1e90faebbd457f', 'd59a6b2c1bf149878d3f7bf36046ae19', 'False', 'True', 'false', 'false', '510129002013', 5, '东岳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129002013', 1, '2021-07-19 11:30:57', NULL, NULL), (1973, '', '顺河社区', '687a04b6a563432d94a9343a4b1250a3', 'd59a6b2c1bf149878d3f7bf36046ae19', 'False', 'True', 'false', 'false', '510129002014', 5, '顺河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129002014', 1, '2021-07-19 11:30:57', NULL, NULL), (1974, '', '石泉社区', 'f571fb62d38b4e0a955ad1272f97aef3', 'd59a6b2c1bf149878d3f7bf36046ae19', 'False', 'True', 'false', 'false', '510129002015', 5, '石泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129002015', 1, '2021-07-19 11:30:58', NULL, NULL), (1975, '', '双河村', 'dec2ff2e639f47cc98f4dcf2528c2042', 'd59a6b2c1bf149878d3f7bf36046ae19', 'False', 'True', 'false', 'false', '510129002206', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129002206', 1, '2021-07-19 11:30:58', NULL, NULL), (1976, '', '万延村', '254692b326c34bd7be02851331ccec7a', 'd59a6b2c1bf149878d3f7bf36046ae19', 'False', 'True', 'false', 'false', '510129002208', 5, '万延村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129002208', 1, '2021-07-19 11:30:58', NULL, NULL), (1977, '', '王泗镇', '3a34ec5f7a8342be896eafb8444779f5', '466225a844c94e6bb5da7825fc5ba722', 'True', 'True', 'false', 'false', '510129707000', 4, '王泗镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510129707000', 1, '2021-07-19 11:30:58', NULL, NULL), (1978, '', '尚河村', '5302f42338674c00aa68318b8d24d3a2', '3a34ec5f7a8342be896eafb8444779f5', 'False', 'True', 'false', 'false', '510129707203', 5, '尚河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129707203', 1, '2021-07-19 11:30:58', NULL, NULL), (1979, '', '七一村', 'd48eb6a0945d4f36826ac41397b00141', '3a34ec5f7a8342be896eafb8444779f5', 'False', 'True', 'false', 'false', '510129707227', 5, '七一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129707227', 1, '2021-07-19 11:30:58', NULL, NULL), (1980, '', '福田社区', '05131885688c4aae935848ddead81544', '3a34ec5f7a8342be896eafb8444779f5', 'False', 'True', 'false', 'false', '510129707326', 5, '福田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129707326', 1, '2021-07-19 11:30:58', NULL, NULL), (1981, '', '东升村', 'c27e268c07ff4bf7aa232a10b672c16b', '3a34ec5f7a8342be896eafb8444779f5', 'False', 'True', 'false', 'false', '510129707348', 5, '东升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129707348', 1, '2021-07-19 11:30:58', NULL, NULL), (1982, '', '庙湾村', '4f0d21c1a54f4cef9284c7582ac8d47c', '3a34ec5f7a8342be896eafb8444779f5', 'False', 'True', 'false', 'false', '510129707436', 5, '庙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129707436', 1, '2021-07-19 11:30:58', NULL, NULL), (1983, '', '五家社区', '85df6b90315e4ad1a1378b23fe56e72a', '3a34ec5f7a8342be896eafb8444779f5', 'False', 'True', 'false', 'false', '510129707477', 5, '五家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129707477', 1, '2021-07-19 11:30:58', NULL, NULL), (1984, '', '白衣村', 'ca078f0379a74c0fad49c8aefea83e24', '3a34ec5f7a8342be896eafb8444779f5', 'False', 'True', 'false', 'false', '510129707502', 5, '白衣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129707502', 1, '2021-07-19 11:30:58', NULL, NULL), (1985, '', '三岔社区', 'd686ae77c9764908a9361708c96f2c8d', '3a34ec5f7a8342be896eafb8444779f5', 'False', 'True', 'false', 'false', '510129707641', 5, '三岔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129707641', 1, '2021-07-19 11:30:58', NULL, NULL), (1986, '', '新庆社区', '04cc2ce199f7472b91462daff0cd8b5c', '3a34ec5f7a8342be896eafb8444779f5', 'False', 'True', 'false', 'false', '510129707657', 5, '新庆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129707657', 1, '2021-07-19 11:30:59', NULL, NULL), (1987, '', '静林村', '9c4d2840b6f4432b9b9686c15f10ab87', '3a34ec5f7a8342be896eafb8444779f5', 'False', 'True', 'false', 'false', '510129707705', 5, '静林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129707705', 1, '2021-07-19 11:30:59', NULL, NULL), (1988, '', '飞羊村', '4ba23b51f24d4ce9b7cf08cc8c0b8c46', '3a34ec5f7a8342be896eafb8444779f5', 'False', 'True', 'false', 'false', '510129707731', 5, '飞羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129707731', 1, '2021-07-19 11:30:59', NULL, NULL), (1989, '', '永乐村', '4b6ebfa5103a40b384b757f8de08490d', '3a34ec5f7a8342be896eafb8444779f5', 'False', 'True', 'false', 'false', '510129707751', 5, '永乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129707751', 1, '2021-07-19 11:30:59', NULL, NULL), (1990, '', '三柏村', '8303c4dd8c5a40c1aaeedeff328893c2', '3a34ec5f7a8342be896eafb8444779f5', 'False', 'True', 'false', 'false', '510129707787', 5, '三柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129707787', 1, '2021-07-19 11:30:59', NULL, NULL), (1991, '', '西岭镇', '12ab20cb058c44339a76f9a5427900d6', '466225a844c94e6bb5da7825fc5ba722', 'True', 'True', 'false', 'false', '510129815000', 4, '西岭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510129815000', 1, '2021-07-19 11:30:59', NULL, NULL), (1992, '', '花石村', 'f82cb600f76c4da7987abf4923931f9c', '12ab20cb058c44339a76f9a5427900d6', 'False', 'True', 'false', 'false', '510129815351', 5, '花石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129815351', 1, '2021-07-19 11:30:59', NULL, NULL), (1993, '', '飞水村', '47ceb447449e41fdb4e585fececbb6e9', '12ab20cb058c44339a76f9a5427900d6', 'False', 'True', 'false', 'false', '510129815418', 5, '飞水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129815418', 1, '2021-07-19 11:30:59', NULL, NULL), (1994, '', '大龙村', '8c965ef5c6f44ebfa6e9134d96f9e17e', '12ab20cb058c44339a76f9a5427900d6', 'False', 'True', 'false', 'false', '510129815618', 5, '大龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129815618', 1, '2021-07-19 11:30:59', NULL, NULL), (1995, '', '沙坪社区', 'b2b470a761f8479bb9903dfd92225a4c', '12ab20cb058c44339a76f9a5427900d6', 'False', 'True', 'false', 'false', '510129815852', 5, '沙坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129815852', 1, '2021-07-19 11:30:59', NULL, NULL), (1996, '', '云华村', '49a4216449a84188b3d67325be514998', '12ab20cb058c44339a76f9a5427900d6', 'False', 'True', 'false', 'false', '510129815986', 5, '云华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129815986', 1, '2021-07-19 11:30:59', NULL, NULL), (1997, '', '䢺江镇', '2e0f229ef4324befb5024f53f8647a4f', '466225a844c94e6bb5da7825fc5ba722', 'True', 'True', 'false', 'false', '510129822000', 4, '䢺江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510129822000', 1, '2021-07-19 11:30:59', NULL, NULL), (1998, '', '虎岗村', 'c3cabef17dd9440b9dfebfdc6ce77f1e', '2e0f229ef4324befb5024f53f8647a4f', 'False', 'True', 'false', 'false', '510129822247', 5, '虎岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129822247', 1, '2021-07-19 11:30:59', NULL, NULL), (1999, '', '马桥村', '7a0c7a353be3468a8ee635a2ba6889a9', '2e0f229ef4324befb5024f53f8647a4f', 'False', 'True', 'false', 'false', '510129822361', 5, '马桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129822361', 1, '2021-07-19 11:31:00', NULL, NULL), (2000, '', '下坝社区', 'e7deda0225e74e7ba27c77d28f0dcb6f', '2e0f229ef4324befb5024f53f8647a4f', 'False', 'True', 'false', 'false', '510129822384', 5, '下坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129822384', 1, '2021-07-19 11:31:00', NULL, NULL), (2001, '', '大鹏村', 'fdf5c5117414476ba2fdec4bfe2e5bda', '2e0f229ef4324befb5024f53f8647a4f', 'False', 'True', 'false', 'false', '510129822386', 5, '大鹏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129822386', 1, '2021-07-19 11:31:00', NULL, NULL), (2002, '', '出源社区', '85c9d4aeac2f4112b829ce2f3ecb3ce2', '2e0f229ef4324befb5024f53f8647a4f', 'False', 'True', 'false', 'false', '510129822521', 5, '出源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129822521', 1, '2021-07-19 11:31:00', NULL, NULL), (2003, '', '上坝村', '12a619c6a7be498bbb91ac5ee730c0be', '2e0f229ef4324befb5024f53f8647a4f', 'False', 'True', 'false', 'false', '510129822714', 5, '上坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129822714', 1, '2021-07-19 11:31:00', NULL, NULL), (2004, '', '太平社区', '70131713d95441aca894e4a4f93b1f53', '2e0f229ef4324befb5024f53f8647a4f', 'False', 'True', 'false', 'false', '510129822768', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129822768', 1, '2021-07-19 11:31:00', NULL, NULL), (2005, '', '三元场村', '590ea9da282347d487efbb9e9542b805', '2e0f229ef4324befb5024f53f8647a4f', 'False', 'True', 'false', 'false', '510129822770', 5, '三元场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129822770', 1, '2021-07-19 11:31:00', NULL, NULL), (2006, '', '华山村', '1caf889aa4a64e3791ad3b858d5f1a06', '2e0f229ef4324befb5024f53f8647a4f', 'False', 'True', 'false', 'false', '510129822838', 5, '华山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129822838', 1, '2021-07-19 11:31:00', NULL, NULL), (2007, '', '香桂村', 'daef29460a1e4948814be47f2bd41f19', '2e0f229ef4324befb5024f53f8647a4f', 'False', 'True', 'false', 'false', '510129822971', 5, '香桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129822971', 1, '2021-07-19 11:31:00', NULL, NULL), (2008, '', '悦来镇', '488467a714284aa2a52e2ac3b4af42b4', '466225a844c94e6bb5da7825fc5ba722', 'True', 'True', 'false', 'false', '510129832000', 4, '悦来镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510129832000', 1, '2021-07-19 11:31:00', NULL, NULL), (2009, '', '金星社区', '856b2a49ac964989a9f7d2a64a54c7c7', '488467a714284aa2a52e2ac3b4af42b4', 'False', 'True', 'false', 'false', '510129104009', 5, '金星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129104009', 1, '2021-07-19 11:31:01', NULL, NULL), (2010, '', '灌口社区', 'e2f6d04af4a649f384c821533484df9e', '488467a714284aa2a52e2ac3b4af42b4', 'False', 'True', 'false', 'false', '510129104012', 5, '灌口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129104012', 1, '2021-07-19 11:31:01', NULL, NULL), (2011, '', '朝阳村', '393bec2dd948431aa3e6be096082da2a', '488467a714284aa2a52e2ac3b4af42b4', 'False', 'True', 'false', 'false', '510129104216', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129104216', 1, '2021-07-19 11:31:01', NULL, NULL), (2012, '', '星火村', 'ad05f09ed6fd475aa92389100313085d', '488467a714284aa2a52e2ac3b4af42b4', 'False', 'True', 'false', 'false', '510129832214', 5, '星火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129832214', 1, '2021-07-19 11:31:01', NULL, NULL), (2013, '', '屏江社区', '9ae5fddda2d14197adaecdcebff33a1a', '488467a714284aa2a52e2ac3b4af42b4', 'False', 'True', 'false', 'false', '510129832216', 5, '屏江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129832216', 1, '2021-07-19 11:31:01', NULL, NULL), (2014, '', '玉金社区', '0a8a35b97d184f53ae5e693ec74985f8', '488467a714284aa2a52e2ac3b4af42b4', 'False', 'True', 'false', 'false', '510129832272', 5, '玉金社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129832272', 1, '2021-07-19 11:31:01', NULL, NULL), (2015, '', '王岗村', '657676f6ed864b8dbac783446825d950', '488467a714284aa2a52e2ac3b4af42b4', 'False', 'True', 'false', 'false', '510129832309', 5, '王岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129832309', 1, '2021-07-19 11:31:01', NULL, NULL), (2016, '', '花溪谷社区', '19f86767bcc44321ad36a9e114dd6afa', '488467a714284aa2a52e2ac3b4af42b4', 'False', 'True', 'false', 'false', '510129832336', 5, '花溪谷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129832336', 1, '2021-07-19 11:31:01', NULL, NULL), (2017, '', '央石村', 'd42ab34f67ad4592b28443aa5a2ac8f8', '488467a714284aa2a52e2ac3b4af42b4', 'False', 'True', 'false', 'false', '510129832451', 5, '央石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129832451', 1, '2021-07-19 11:31:01', NULL, NULL), (2018, '', '丹凤村', 'f0ea1ad81e194faaa197caffe2ec69d7', '488467a714284aa2a52e2ac3b4af42b4', 'False', 'True', 'false', 'false', '510129832545', 5, '丹凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129832545', 1, '2021-07-19 11:31:02', NULL, NULL), (2019, '', '民集村', 'ec3f0a65f66245ea861ff4e2f683aed9', '488467a714284aa2a52e2ac3b4af42b4', 'False', 'True', 'false', 'false', '510129832623', 5, '民集村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129832623', 1, '2021-07-19 11:31:02', NULL, NULL), (2020, '', '龙泉社区', '8c803b4738cc4517905e92c88d47ba0a', '488467a714284aa2a52e2ac3b4af42b4', 'False', 'True', 'false', 'false', '510129832796', 5, '龙泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129832796', 1, '2021-07-19 11:31:02', NULL, NULL), (2021, '', '义和村', 'b257dfcdf1be4d4e92ed3da5eb942500', '488467a714284aa2a52e2ac3b4af42b4', 'False', 'True', 'false', 'false', '510129832836', 5, '义和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129832836', 1, '2021-07-19 11:31:02', NULL, NULL), (2022, '', '鹤庆村', '9892c2053a2746d1832e9811062ae3b7', '488467a714284aa2a52e2ac3b4af42b4', 'False', 'True', 'false', 'false', '510129832940', 5, '鹤庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129832940', 1, '2021-07-19 11:31:02', NULL, NULL), (2023, '', '宁江村', '60123bcc3bb342c6bb26c4c8253291ba', '488467a714284aa2a52e2ac3b4af42b4', 'False', 'True', 'false', 'false', '510129832948', 5, '宁江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129832948', 1, '2021-07-19 11:31:02', NULL, NULL), (2024, '', '新场镇', '5723884a948647309b00e5869dfa16e0', '466225a844c94e6bb5da7825fc5ba722', 'True', 'True', 'false', 'false', '510129852000', 4, '新场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510129852000', 1, '2021-07-19 11:31:02', NULL, NULL), (2025, '', '丰都社区', 'adf08ae698ca46b08f9dada03e0c1026', '5723884a948647309b00e5869dfa16e0', 'False', 'True', 'false', 'false', '510129103007', 5, '丰都社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129103007', 1, '2021-07-19 11:31:02', NULL, NULL), (2026, '', '西安社区', '7ca3c6477b134b229445f1ad144ab12e', '5723884a948647309b00e5869dfa16e0', 'False', 'True', 'false', 'false', '510129103011', 5, '西安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129103011', 1, '2021-07-19 11:31:02', NULL, NULL), (2027, '', '李安村', '615b75a8e13a44d58fe2ba4b11f94179', '5723884a948647309b00e5869dfa16e0', 'False', 'True', 'false', 'false', '510129103217', 5, '李安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129103217', 1, '2021-07-19 11:31:02', NULL, NULL), (2028, '', '飞凤村', 'f46061bd40364900a7201434ed25d92a', '5723884a948647309b00e5869dfa16e0', 'False', 'True', 'false', 'false', '510129103224', 5, '飞凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129103224', 1, '2021-07-19 11:31:03', NULL, NULL), (2029, '', '石虎社区', 'fad36450e1094eeab18eb6b5dfc4d397', '5723884a948647309b00e5869dfa16e0', 'False', 'True', 'false', 'false', '510129852170', 5, '石虎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129852170', 1, '2021-07-19 11:31:03', NULL, NULL), (2030, '', '头堰村', '31e7900ef663431db90ff4dd14b07961', '5723884a948647309b00e5869dfa16e0', 'False', 'True', 'false', 'false', '510129852243', 5, '头堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129852243', 1, '2021-07-19 11:31:03', NULL, NULL), (2031, '', '川王社区', 'e38c21651cd74cd7b56f3b74da02dd33', '5723884a948647309b00e5869dfa16e0', 'False', 'True', 'false', 'false', '510129852270', 5, '川王社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129852270', 1, '2021-07-19 11:31:03', NULL, NULL), (2032, '', '文昌社区', 'f5b2b854602b48719500f73fa15cd622', '5723884a948647309b00e5869dfa16e0', 'False', 'True', 'false', 'false', '510129852364', 5, '文昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129852364', 1, '2021-07-19 11:31:03', NULL, NULL), (2033, '', '龙桥社区', 'd54028f0c2c2406095d54372eb4817df', '5723884a948647309b00e5869dfa16e0', 'False', 'True', 'false', 'false', '510129852438', 5, '龙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129852438', 1, '2021-07-19 11:31:03', NULL, NULL), (2034, '', '灯笼社区', 'c31149ab29404742bfe81b88cd6f7f3d', '5723884a948647309b00e5869dfa16e0', 'False', 'True', 'false', 'false', '510129852730', 5, '灯笼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129852730', 1, '2021-07-19 11:31:03', NULL, NULL), (2035, '', '同心村', '36132d596c1d44ecbdadd68e8b4b25cd', '5723884a948647309b00e5869dfa16e0', 'False', 'True', 'false', 'false', '510129852922', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129852922', 1, '2021-07-19 11:31:03', NULL, NULL), (2036, '', '桐林社区', '62bc7a6a7e644208b8a93a6cda324e60', '5723884a948647309b00e5869dfa16e0', 'False', 'True', 'false', 'false', '510129852941', 5, '桐林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510129852941', 1, '2021-07-19 11:31:03', NULL, NULL), (2037, '', '蒲江县', '98ee4eb6cbd241538cd2aecc15580d65', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510131000000', 3, '蒲江县', 'cdspjx.sczwfw.gov.cn', 1, '2021-07-19 11:31:03', NULL, NULL), (2038, '', '鹤山街道', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', '98ee4eb6cbd241538cd2aecc15580d65', 'True', 'True', 'false', 'false', '510131001000', 4, '鹤山街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510131001000', 1, '2021-07-19 11:31:04', NULL, NULL), (2039, '', '西河村', 'b420ace83ed24d389ab45cc6072c5ea5', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001304', 5, '西河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001304', 1, '2021-07-19 11:31:04', NULL, NULL), (2040, '', '驭虹社区', '114f35472f4240fd8a151a7ecfa623e4', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001365', 5, '驭虹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001365', 1, '2021-07-19 11:31:04', NULL, NULL), (2041, '', '天华社区', '01c16cf2f1854f00adc10826bd34f3bf', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001380', 5, '天华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001380', 1, '2021-07-19 11:31:04', NULL, NULL), (2042, '', '盐井社区', '35cd1accc3d8444ca56cfc268c6b707f', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001577', 5, '盐井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001577', 1, '2021-07-19 11:31:04', NULL, NULL), (2043, '', '官帽社区', '59e899eb9f584d0b91bfaf49bf55ea3a', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001788', 5, '官帽社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001788', 1, '2021-07-19 11:31:04', NULL, NULL), (2044, '', '红合村', 'dc003ff4d0e9454889a75b8e2ac3af8c', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001900', 5, '红合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001900', 1, '2021-07-19 11:31:04', NULL, NULL), (2045, '', '全兴社区', '1c5bfc2fe2fb41239692a2c2fb2d0732', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001958', 5, '全兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001958', 1, '2021-07-19 11:31:04', NULL, NULL), (2046, '', '鹤山社区', 'a218d16bb78147b39412f3dcbe9dc707', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001001', 5, '鹤山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001001', 1, '2021-07-19 11:31:04', NULL, NULL), (2047, '', '朝阳社区', 'b6098324d2134df48608bef054c49975', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001002', 5, '朝阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001002', 1, '2021-07-19 11:31:04', NULL, NULL), (2048, '', '飞龙社区', 'f3afe70ab660464995fa6bc8170544c6', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001006', 5, '飞龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001006', 1, '2021-07-19 11:31:04', NULL, NULL), (2049, '', '了翁社区', 'd49e1c308fb543ecad131130756c341e', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001007', 5, '了翁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001007', 1, '2021-07-19 11:31:05', NULL, NULL), (2050, '', '蒲砚村', '1fe40d95477549df946d7057d4301a24', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001201', 5, '蒲砚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001201', 1, '2021-07-19 11:31:05', NULL, NULL), (2051, '', '张塘村', '48f9134b7ba94331b2051d2f385f6dfd', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001203', 5, '张塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001203', 1, '2021-07-19 11:31:05', NULL, NULL), (2052, '', '干柏社区', '097d90ef37e9463f9fb3c11ec8de2222', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001204', 5, '干柏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001204', 1, '2021-07-19 11:31:05', NULL, NULL), (2053, '', '体泉村', '71ef075769334ff0a9e7b0e60eedbef2', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001209', 5, '体泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001209', 1, '2021-07-19 11:31:05', NULL, NULL), (2054, '', '团结村', 'cbaad799b92d48babaa8edcf5611ae92', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001215', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001215', 1, '2021-07-19 11:31:05', NULL, NULL), (2055, '', '金沟村', '064663f9e8704aff8fa7498ef9fde405', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001221', 5, '金沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001221', 1, '2021-07-19 11:31:05', NULL, NULL), (2056, '', '公议村', '98ccb7c85ef8414a8885d4387bffca84', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001223', 5, '公议村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001223', 1, '2021-07-19 11:31:05', NULL, NULL), (2057, '', '白塔村', '64c9800cce984f1bb0451331d8b9bcd4', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001224', 5, '白塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001224', 1, '2021-07-19 11:31:06', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (2058, '', '铁溪村', '8dafe4bad4ad47a8bb4717722985fbe1', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001226', 5, '铁溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001226', 1, '2021-07-19 11:31:06', NULL, NULL), (2059, '', '龙头村', '9a4ad92804c8433dad7ba25c9cdb10e1', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001227', 5, '龙头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001227', 1, '2021-07-19 11:31:06', NULL, NULL), (2060, '', '铁炉村', '04e2af27cc2c4e11970750288d3c65f3', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001232', 5, '铁炉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001232', 1, '2021-07-19 11:31:06', NULL, NULL), (2061, '', '狮子树村', 'a7cef54acceb476ab6a1cc95cfabbc0f', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001238', 5, '狮子树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001238', 1, '2021-07-19 11:31:06', NULL, NULL), (2062, '', '齐心社区', '918c82731f0a47b29a5227b61629e85a', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001437', 5, '齐心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001437', 1, '2021-07-19 11:31:06', NULL, NULL), (2063, '', '梁江社区', '22ab40dd815f4ec0b183ac9077ceb6ab', '67f9b0a7bc8d42d3b3e6bd8e78d2ef05', 'False', 'True', 'false', 'false', '510131001833', 5, '梁江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131001833', 1, '2021-07-19 11:31:06', NULL, NULL), (2064, '', '大塘镇', '4cb76335271e48ab870c933daa354d61', '98ee4eb6cbd241538cd2aecc15580d65', 'True', 'True', 'false', 'false', '510131101000', 4, '大塘镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510131101000', 1, '2021-07-19 11:31:06', NULL, NULL), (2065, '', '官塘社区', '2aab6f4f375a4a708f51f61b89b0f114', '4cb76335271e48ab870c933daa354d61', 'False', 'True', 'false', 'false', '510131101001', 5, '官塘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131101001', 1, '2021-07-19 11:31:06', NULL, NULL), (2066, '', '东岳村', 'cf6b897a505241adb67a60b22c8b4a2f', '4cb76335271e48ab870c933daa354d61', 'False', 'True', 'false', 'false', '510131101200', 5, '东岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131101200', 1, '2021-07-19 11:31:07', NULL, NULL), (2067, '', '双石村', '96ae7396c0784c9389084ce5e81879e2', '4cb76335271e48ab870c933daa354d61', 'False', 'True', 'false', 'false', '510131101202', 5, '双石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131101202', 1, '2021-07-19 11:31:07', NULL, NULL), (2068, '', '八角井村', 'd5af7be9e92040adaa37bcd401ada713', '4cb76335271e48ab870c933daa354d61', 'False', 'True', 'false', 'false', '510131101203', 5, '八角井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131101203', 1, '2021-07-19 11:31:07', NULL, NULL), (2069, '', '五里村', '0972e4a0b9844bb1906d28deed8ece84', '4cb76335271e48ab870c933daa354d61', 'False', 'True', 'false', 'false', '510131101206', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131101206', 1, '2021-07-19 11:31:07', NULL, NULL), (2070, '', '洪福村', '476fb0e8578041338b4910d31febce2c', '4cb76335271e48ab870c933daa354d61', 'False', 'True', 'false', 'false', '510131101209', 5, '洪福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131101209', 1, '2021-07-19 11:31:07', NULL, NULL), (2071, '', '寿安街道', 'fa184ae9a9544df9bf1a65ec901b745b', '98ee4eb6cbd241538cd2aecc15580d65', 'True', 'True', 'false', 'false', '510131102000', 4, '寿安街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510131102000', 1, '2021-07-19 11:31:08', NULL, NULL), (2072, '', '石马村', '399d7709a2bb4919bef431cd1bc599f5', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131002046', 5, '石马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131002046', 1, '2021-07-19 11:31:08', NULL, NULL), (2073, '', '南锋村', '87291fce50b5461ab2a79353b472365e', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102096', 5, '南锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102096', 1, '2021-07-19 11:31:08', NULL, NULL), (2074, '', '妙乐村', 'af3a372bbd9c4416a99036f6dad07246', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102472', 5, '妙乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102472', 1, '2021-07-19 11:31:08', NULL, NULL), (2075, '', '和平社区', '9cd93b26fbbf4979b31f8186282cb8b6', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102851', 5, '和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102851', 1, '2021-07-19 11:31:08', NULL, NULL), (2076, '', '长秋村', '2f7cc9e39ba14347b4d81aa1693bd42a', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102985', 5, '长秋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102985', 1, '2021-07-19 11:31:08', NULL, NULL), (2077, '', '城南社区', '05f9c07e38c94bf2a0f136a5aa23eb4f', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102001', 5, '城南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102001', 1, '2021-07-19 11:31:08', NULL, NULL), (2078, '', '城北社区', 'b5140da601d24c8d8410139c9209b7b7', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102002', 5, '城北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102002', 1, '2021-07-19 11:31:08', NULL, NULL), (2079, '', '青龙社区', 'bee7b7b391494aeb888b90e91f45647b', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102003', 5, '青龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102003', 1, '2021-07-19 11:31:08', NULL, NULL), (2080, '', '松华社区', '4db6efb00c0048f8b0400dc3a4116faf', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102004', 5, '松华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102004', 1, '2021-07-19 11:31:08', NULL, NULL), (2081, '', '五星社区', '328759712d074978ad891e26a441d397', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102005', 5, '五星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102005', 1, '2021-07-19 11:31:09', NULL, NULL), (2082, '', '隆盛社区', 'fa55871a96ad4c7eb30694ff92d9b777', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102006', 5, '隆盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102006', 1, '2021-07-19 11:31:09', NULL, NULL), (2083, '', '围镇村', 'e291cb5f062f48ceb5c5250fa8682671', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102205', 5, '围镇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102205', 1, '2021-07-19 11:31:09', NULL, NULL), (2084, '', '丝栗村', '424b5dd053f9402c8702eb1a0c9a3dcb', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102206', 5, '丝栗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102206', 1, '2021-07-19 11:31:09', NULL, NULL), (2085, '', '金家村', 'd7a8a5c1a91b412893c1338632c2bc1a', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102208', 5, '金家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102208', 1, '2021-07-19 11:31:09', NULL, NULL), (2086, '', '七星村', '6334c4f6887e4f36ab94fe5e7993a763', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102209', 5, '七星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102209', 1, '2021-07-19 11:31:09', NULL, NULL), (2087, '', '插旗山村', '5211abd8d6cd475aba96b3dcd3c0023b', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102212', 5, '插旗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102212', 1, '2021-07-19 11:31:09', NULL, NULL), (2088, '', '五会村', '6a3c591287394c23a124f0df94ac49de', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102222', 5, '五会村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102222', 1, '2021-07-19 11:31:10', NULL, NULL), (2089, '', '光明村', '941db176f42a4ca4bf02ac8900f6d1ae', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102224', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102224', 1, '2021-07-19 11:31:10', NULL, NULL), (2090, '', '吕石桥村', '88886c45fdb14471b79e909a9b0592ca', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102225', 5, '吕石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102225', 1, '2021-07-19 11:31:10', NULL, NULL), (2091, '', '元觉村', '063afda0b7564d038138f7fa5b196c88', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102227', 5, '元觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102227', 1, '2021-07-19 11:31:10', NULL, NULL), (2092, '', '大漕村', '3e4f2615e9c24579ba5d746d9c9584b5', 'fa184ae9a9544df9bf1a65ec901b745b', 'False', 'True', 'false', 'false', '510131102235', 5, '大漕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131102235', 1, '2021-07-19 11:31:10', NULL, NULL), (2093, '', '朝阳湖镇', '847d662b4e5f4f00b229ec925a10a485', '98ee4eb6cbd241538cd2aecc15580d65', 'True', 'True', 'false', 'false', '510131103000', 4, '朝阳湖镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510131103000', 1, '2021-07-19 11:31:10', NULL, NULL), (2094, '', '尖峰村', '24291c46e9bf41ada30c9355a0741b95', '847d662b4e5f4f00b229ec925a10a485', 'False', 'True', 'false', 'false', '510131109053', 5, '尖峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131109053', 1, '2021-07-19 11:31:10', NULL, NULL), (2095, '', '白云村', 'a9b8b592d834462892b2bbf24a39ce33', '847d662b4e5f4f00b229ec925a10a485', 'False', 'True', 'false', 'false', '510131109251', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131109251', 1, '2021-07-19 11:31:10', NULL, NULL), (2096, '', '桥楼村', '871b1ed4d876471682e076919b8e71d2', '847d662b4e5f4f00b229ec925a10a485', 'False', 'True', 'false', 'false', '510131109829', 5, '桥楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131109829', 1, '2021-07-19 11:31:10', NULL, NULL), (2097, '', '鞍山村', 'cc6e67e6e49642f380f827710d07267d', '847d662b4e5f4f00b229ec925a10a485', 'False', 'True', 'false', 'false', '510131109986', 5, '鞍山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131109986', 1, '2021-07-19 11:31:10', NULL, NULL), (2098, '', '霖雨社区', '47b94e38424e4818a668cf7c1aa2b8c9', '847d662b4e5f4f00b229ec925a10a485', 'False', 'True', 'false', 'false', '510131103001', 5, '霖雨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131103001', 1, '2021-07-19 11:31:10', NULL, NULL), (2099, '', '白鹤村', '9bdb737c9e5743bd9c6b8a45ea2fc9c9', '847d662b4e5f4f00b229ec925a10a485', 'False', 'True', 'false', 'false', '510131103200', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131103200', 1, '2021-07-19 11:31:11', NULL, NULL), (2100, '', '仙阁村', '3f3eb0abaee34832b794b19a1eacb86f', '847d662b4e5f4f00b229ec925a10a485', 'False', 'True', 'false', 'false', '510131103202', 5, '仙阁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131103202', 1, '2021-07-19 11:31:11', NULL, NULL), (2101, '', '石象村', '40c63116eabc486fa57b028e3157cd83', '847d662b4e5f4f00b229ec925a10a485', 'False', 'True', 'false', 'false', '510131103207', 5, '石象村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131103207', 1, '2021-07-19 11:31:11', NULL, NULL), (2102, '', '西来镇', 'fa9375e3d62a44079c60dda981516532', '98ee4eb6cbd241538cd2aecc15580d65', 'True', 'True', 'false', 'false', '510131104000', 4, '西来镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510131104000', 1, '2021-07-19 11:31:11', NULL, NULL), (2103, '', '陈坝村', 'b9e0c4a210af4025b1814be748ade1d0', 'fa9375e3d62a44079c60dda981516532', 'False', 'True', 'false', 'false', '510131104062', 5, '陈坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131104062', 1, '2021-07-19 11:31:11', NULL, NULL), (2104, '', '九曲村', '39c47f0887754f7cb10fe34a88fdc668', 'fa9375e3d62a44079c60dda981516532', 'False', 'True', 'false', 'false', '510131104245', 5, '九曲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131104245', 1, '2021-07-19 11:31:11', NULL, NULL), (2105, '', '复兴社区', '70721514c637488dabdf9900f67d1825', 'fa9375e3d62a44079c60dda981516532', 'False', 'True', 'false', 'false', '510131104489', 5, '复兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131104489', 1, '2021-07-19 11:31:11', NULL, NULL), (2106, '', '三义村', 'b0bf4ed268974ab4b1086feb241b90a6', 'fa9375e3d62a44079c60dda981516532', 'False', 'True', 'false', 'false', '510131104978', 5, '三义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131104978', 1, '2021-07-19 11:31:11', NULL, NULL), (2107, '', '彭河社区', 'fb203970642844f3bd91568f45af2ab8', 'fa9375e3d62a44079c60dda981516532', 'False', 'True', 'false', 'false', '510131104979', 5, '彭河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131104979', 1, '2021-07-19 11:31:11', NULL, NULL), (2108, '', '临溪社区', '615ece1e74064e16a0b90928094b1a49', 'fa9375e3d62a44079c60dda981516532', 'False', 'True', 'false', 'false', '510131104001', 5, '临溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131104001', 1, '2021-07-19 11:31:11', NULL, NULL), (2109, '', '敦厚社区', '0041fef791db43e49089c70316453a85', 'fa9375e3d62a44079c60dda981516532', 'False', 'True', 'false', 'false', '510131104002', 5, '敦厚社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131104002', 1, '2021-07-19 11:31:12', NULL, NULL), (2110, '', '高桥社区', '9a0f8b940c8d4ff1a189cc85d1df1dbd', 'fa9375e3d62a44079c60dda981516532', 'False', 'True', 'false', 'false', '510131104003', 5, '高桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131104003', 1, '2021-07-19 11:31:12', NULL, NULL), (2111, '', '两河村', '5be9642661f348109f39440972fa3908', 'fa9375e3d62a44079c60dda981516532', 'False', 'True', 'false', 'false', '510131104201', 5, '两河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131104201', 1, '2021-07-19 11:31:12', NULL, NULL), (2112, '', '石桥村', 'eb8b3b0a68684aa6881ecba0ec991a4f', 'fa9375e3d62a44079c60dda981516532', 'False', 'True', 'false', 'false', '510131104203', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131104203', 1, '2021-07-19 11:31:12', NULL, NULL), (2113, '', '福田村', '0c394f246f3b4387b34e293c63345999', 'fa9375e3d62a44079c60dda981516532', 'False', 'True', 'false', 'false', '510131104204', 5, '福田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131104204', 1, '2021-07-19 11:31:12', NULL, NULL), (2114, '', '铜鼓村', '9a4b251fd05d4af381e4fdb3a8750ff0', 'fa9375e3d62a44079c60dda981516532', 'False', 'True', 'false', 'false', '510131104207', 5, '铜鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131104207', 1, '2021-07-19 11:31:12', NULL, NULL), (2115, '', '铁牛村', '53a8806b3e2f4ce4a0d7f7de3e77f241', 'fa9375e3d62a44079c60dda981516532', 'False', 'True', 'false', 'false', '510131104212', 5, '铁牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131104212', 1, '2021-07-19 11:31:12', NULL, NULL), (2116, '', '马福村', 'e53194763cbe4a08a4b7038a75ca7bdf', 'fa9375e3d62a44079c60dda981516532', 'False', 'True', 'false', 'false', '510131104213', 5, '马福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131104213', 1, '2021-07-19 11:31:12', NULL, NULL), (2117, '', '白马村', 'e24f5d7d50a246d3ae61881f0133ebf2', 'fa9375e3d62a44079c60dda981516532', 'False', 'True', 'false', 'false', '510131104216', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131104216', 1, '2021-07-19 11:31:12', NULL, NULL), (2118, '', '大田村', '437b0988629646e19befb6fc32e90d63', 'fa9375e3d62a44079c60dda981516532', 'False', 'True', 'false', 'false', '510131104222', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131104222', 1, '2021-07-19 11:31:12', NULL, NULL), (2119, '', '大兴镇', '74f60b32c4634f4b867170dcd9b7f496', '98ee4eb6cbd241538cd2aecc15580d65', 'True', 'True', 'false', 'false', '510131105000', 4, '大兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510131105000', 1, '2021-07-19 11:31:12', NULL, NULL), (2120, '', '场镇社区', 'd14fd48aa95049c6af3312f18a3e3187', '74f60b32c4634f4b867170dcd9b7f496', 'False', 'True', 'false', 'false', '510131105001', 5, '场镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131105001', 1, '2021-07-19 11:31:12', NULL, NULL), (2121, '', '米锅村', '3511708a9ab744c2b700c88c54eb6820', '74f60b32c4634f4b867170dcd9b7f496', 'False', 'True', 'false', 'false', '510131105202', 5, '米锅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131105202', 1, '2021-07-19 11:31:13', NULL, NULL), (2122, '', '王店村', 'fceb1eb90183407a80f81313eb18ef06', '74f60b32c4634f4b867170dcd9b7f496', 'False', 'True', 'false', 'false', '510131105203', 5, '王店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131105203', 1, '2021-07-19 11:31:13', NULL, NULL), (2123, '', '水口村', 'fb589e47c3c44590ab70c90aed19734a', '74f60b32c4634f4b867170dcd9b7f496', 'False', 'True', 'false', 'false', '510131105204', 5, '水口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131105204', 1, '2021-07-19 11:31:13', NULL, NULL), (2124, '', '炉坪村', 'bb91ce3f6abf44e48fda790b164313b8', '74f60b32c4634f4b867170dcd9b7f496', 'False', 'True', 'false', 'false', '510131105205', 5, '炉坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131105205', 1, '2021-07-19 11:31:13', NULL, NULL), (2125, '', '九尖村', '465756606524468e902bf109896061e7', '74f60b32c4634f4b867170dcd9b7f496', 'False', 'True', 'false', 'false', '510131105210', 5, '九尖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131105210', 1, '2021-07-19 11:31:13', NULL, NULL), (2126, '', '玉龙村', 'ee2d10d150044147aec5242d0cc91851', '74f60b32c4634f4b867170dcd9b7f496', 'False', 'True', 'false', 'false', '510131105212', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131105212', 1, '2021-07-19 11:31:13', NULL, NULL), (2127, '', '甘溪镇', '5c00e3bb75414feebd354cbf5f239a1e', '98ee4eb6cbd241538cd2aecc15580d65', 'True', 'True', 'false', 'false', '510131106000', 4, '甘溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510131106000', 1, '2021-07-19 11:31:13', NULL, NULL), (2128, '', '龙泉社区', 'bc7c79eeebc04f9db5f58452e5f0b792', '5c00e3bb75414feebd354cbf5f239a1e', 'False', 'True', 'false', 'false', '510131106001', 5, '龙泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131106001', 1, '2021-07-19 11:31:13', NULL, NULL), (2129, '', '藕塘村', '2afc90e1d6e14133a87424ce66c139f7', '5c00e3bb75414feebd354cbf5f239a1e', 'False', 'True', 'false', 'false', '510131106202', 5, '藕塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131106202', 1, '2021-07-19 11:31:13', NULL, NULL), (2130, '', '明月村', 'bc2614996a0740c89bb03822041eaab4', '5c00e3bb75414feebd354cbf5f239a1e', 'False', 'True', 'false', 'false', '510131106205', 5, '明月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131106205', 1, '2021-07-19 11:31:13', NULL, NULL), (2131, '', '箭塔村', 'a2eef8fb60bd4717b81fdcda72fedff6', '5c00e3bb75414feebd354cbf5f239a1e', 'False', 'True', 'false', 'false', '510131106209', 5, '箭塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131106209', 1, '2021-07-19 11:31:13', NULL, NULL), (2132, '', '成佳镇', '12e45f70555d426ea49f1bf5e0adca84', '98ee4eb6cbd241538cd2aecc15580d65', 'True', 'True', 'false', 'false', '510131107000', 4, '成佳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510131107000', 1, '2021-07-19 11:31:13', NULL, NULL), (2133, '', '妙音社区', 'b0df5751681b40f28ec356881e0767af', '12e45f70555d426ea49f1bf5e0adca84', 'False', 'True', 'false', 'false', '510131108290', 5, '妙音社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131108290', 1, '2021-07-19 11:31:13', NULL, NULL), (2134, '', '圣茶社区', '1298f5edaa0c484db79cb54a26cb07b2', '12e45f70555d426ea49f1bf5e0adca84', 'False', 'True', 'false', 'false', '510131107001', 5, '圣茶社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131107001', 1, '2021-07-19 11:31:14', NULL, NULL), (2135, '', '同心社区', '5caa3c88092e49428f7126e4e14a3f5d', '12e45f70555d426ea49f1bf5e0adca84', 'False', 'True', 'false', 'false', '510131107002', 5, '同心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131107002', 1, '2021-07-19 11:31:14', NULL, NULL), (2136, '', '麟凤村', 'd974bf1dca3941fdbcb4855e1d953a91', '12e45f70555d426ea49f1bf5e0adca84', 'False', 'True', 'false', 'false', '510131107202', 5, '麟凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131107202', 1, '2021-07-19 11:31:14', NULL, NULL), (2137, '', '友助村', '8098ca857f2348028d82da7c1db28430', '12e45f70555d426ea49f1bf5e0adca84', 'False', 'True', 'false', 'false', '510131107203', 5, '友助村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131107203', 1, '2021-07-19 11:31:14', NULL, NULL), (2138, '', '万民村', 'b58b9e60fac549288dc11e6c3ddcae9b', '12e45f70555d426ea49f1bf5e0adca84', 'False', 'True', 'false', 'false', '510131107204', 5, '万民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510131107204', 1, '2021-07-19 11:31:14', NULL, NULL), (2139, '', '新津区', 'f715d000c4fb474185e157806644a608', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510132000000', 3, '新津区', 'cdsxjx.sczwfw.gov.cn', 1, '2021-07-19 11:31:14', NULL, NULL), (2140, '', '普兴街道', 'f21086be86574d3f8b7f74cc49fa3d26', 'f715d000c4fb474185e157806644a608', 'True', 'True', 'false', 'false', '510132104000', 4, '普兴街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510132104000', 1, '2021-07-19 11:31:14', NULL, NULL), (2141, '', '宝峰社区', 'cdc8c407aa6442e5a85559c1535aed6e', 'f21086be86574d3f8b7f74cc49fa3d26', 'False', 'True', 'false', 'false', '510132104001', 5, '宝峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132104001', 1, '2021-07-19 11:31:14', NULL, NULL), (2142, '', '天宫社区', '281eca7400f14b4fa89c8be6c06edd51', 'f21086be86574d3f8b7f74cc49fa3d26', 'False', 'True', 'false', 'false', '510132104002', 5, '天宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132104002', 1, '2021-07-19 11:31:14', NULL, NULL), (2143, '', '顺河社区', '9249a165b67a4bf1b48ee8b8d90e634b', 'f21086be86574d3f8b7f74cc49fa3d26', 'False', 'True', 'false', 'false', '510132104004', 5, '顺河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132104004', 1, '2021-07-19 11:31:14', NULL, NULL), (2144, '', '五峰社区', '6f715452ad0d4d4b933e8c5973f9f744', 'f21086be86574d3f8b7f74cc49fa3d26', 'False', 'True', 'false', 'false', '510132104005', 5, '五峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132104005', 1, '2021-07-19 11:31:14', NULL, NULL), (2145, '', '骑龙社区', '328540a5b17b421087f38a990128ce45', 'f21086be86574d3f8b7f74cc49fa3d26', 'False', 'True', 'false', 'false', '510132104006', 5, '骑龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132104006', 1, '2021-07-19 11:31:14', NULL, NULL), (2146, '', '养正社区', '4f71344099cd4dd18d7c385188728aea', 'f21086be86574d3f8b7f74cc49fa3d26', 'False', 'True', 'false', 'false', '510132104007', 5, '养正社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132104007', 1, '2021-07-19 11:31:14', NULL, NULL), (2147, '', '五星社区', 'a8e1987ce03f423592aa91b45cb3f3e3', 'f21086be86574d3f8b7f74cc49fa3d26', 'False', 'True', 'false', 'false', '510132104036', 5, '五星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132104036', 1, '2021-07-19 11:31:14', NULL, NULL), (2148, '', '清凉社区', 'ed8ecf10900242b6a460fc2413a88591', 'f21086be86574d3f8b7f74cc49fa3d26', 'False', 'True', 'false', 'false', '510132104061', 5, '清凉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132104061', 1, '2021-07-19 11:31:14', NULL, NULL), (2149, '', '回龙村', '3d5f2683498f46bea56569062cc0e36b', 'f21086be86574d3f8b7f74cc49fa3d26', 'False', 'True', 'false', 'false', '510132104180', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132104180', 1, '2021-07-19 11:31:15', NULL, NULL), (2150, '', '山河村', '7ca9150ee48046e18d62fd65cabbe047', 'f21086be86574d3f8b7f74cc49fa3d26', 'False', 'True', 'false', 'false', '510132104202', 5, '山河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132104202', 1, '2021-07-19 11:31:15', NULL, NULL), (2151, '', '雷坡村', 'e21023f151184ef8956ecb6850b0bdd2', 'f21086be86574d3f8b7f74cc49fa3d26', 'False', 'True', 'false', 'false', '510132104205', 5, '雷坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132104205', 1, '2021-07-19 11:31:15', NULL, NULL), (2152, '', '柳江村', 'f365b3363f51499a910fcc815b972afe', 'f21086be86574d3f8b7f74cc49fa3d26', 'False', 'True', 'false', 'false', '510132104210', 5, '柳江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132104210', 1, '2021-07-19 11:31:15', NULL, NULL), (2153, '', '岳店村', 'abb5d04b68ea4258acf2fca4e04a280d', 'f21086be86574d3f8b7f74cc49fa3d26', 'False', 'True', 'false', 'false', '510132104449', 5, '岳店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132104449', 1, '2021-07-19 11:31:15', NULL, NULL), (2154, '', '白果村', 'ef18d2e431044576b6b994789752e36d', 'f21086be86574d3f8b7f74cc49fa3d26', 'False', 'True', 'false', 'false', '510132104930', 5, '白果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132104930', 1, '2021-07-19 11:31:15', NULL, NULL), (2155, '', '安西镇', 'c732615747324eec84feea2d58298655', 'f715d000c4fb474185e157806644a608', 'True', 'True', 'false', 'false', '510132108000', 4, '安西镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510132108000', 1, '2021-07-19 11:31:15', NULL, NULL), (2156, '', '花碑社区', 'fb0c49e10ba4447f96c0fd95a4902831', 'c732615747324eec84feea2d58298655', 'False', 'True', 'false', 'false', '510132108002', 5, '花碑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132108002', 1, '2021-07-19 11:31:15', NULL, NULL), (2157, '', '新漕村', 'd37b60920ccc4e62969d8d66462b9931', 'c732615747324eec84feea2d58298655', 'False', 'True', 'false', 'false', '510132108003', 5, '新漕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132108003', 1, '2021-07-19 11:31:15', NULL, NULL), (2158, '', '白鹤村', 'a214473320614172b804fbb03406cd15', 'c732615747324eec84feea2d58298655', 'False', 'True', 'false', 'false', '510132108201', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132108201', 1, '2021-07-19 11:31:15', NULL, NULL), (2159, '', '柏杨村', 'f1ae2fe2123a48aa8e07d3727f6a9415', 'c732615747324eec84feea2d58298655', 'False', 'True', 'false', 'false', '510132108202', 5, '柏杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132108202', 1, '2021-07-19 11:31:15', NULL, NULL), (2160, '', '月花村', 'f9e29d9f4d104dbf95d232e15e88547e', 'c732615747324eec84feea2d58298655', 'False', 'True', 'false', 'false', '510132108204', 5, '月花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132108204', 1, '2021-07-19 11:31:15', NULL, NULL), (2161, '', '方兴社区', 'dd6240fe864346a1a1c19c36bde051e6', 'c732615747324eec84feea2d58298655', 'False', 'True', 'false', 'false', '510132108001', 5, '方兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132108001', 1, '2021-07-19 11:31:15', NULL, NULL), (2162, '', '安西村', 'f8322c7cf28a463abc839e18ad16040c', 'c732615747324eec84feea2d58298655', 'False', 'True', 'false', 'false', '510132108205', 5, '安西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132108205', 1, '2021-07-19 11:31:15', NULL, NULL), (2163, '', '宝墩镇', '2250c797206645e383a85e1f06d3330b', 'f715d000c4fb474185e157806644a608', 'True', 'True', 'false', 'false', '510132140000', 4, '宝墩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510132140000', 1, '2021-07-19 11:31:15', NULL, NULL), (2164, '', '太平社区', '93ffcdfa0ff6458c885bc746145d20d0', '2250c797206645e383a85e1f06d3330b', 'False', 'True', 'false', 'false', '510132140001', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132140001', 1, '2021-07-19 11:31:15', NULL, NULL), (2165, '', '董大桥村', '47ef93a2dd1f411486be1081c3eefdf0', '2250c797206645e383a85e1f06d3330b', 'False', 'True', 'false', 'false', '510132140033', 5, '董大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132140033', 1, '2021-07-19 11:31:16', NULL, NULL), (2166, '', '张场社区', '55a52c1572be4ef3b09ba8492bc5f0b9', '2250c797206645e383a85e1f06d3330b', 'False', 'True', 'false', 'false', '510132140283', 5, '张场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132140283', 1, '2021-07-19 11:31:16', NULL, NULL), (2167, '', '狮子社区', '0a1401c0379e479a8ebee8921038305e', '2250c797206645e383a85e1f06d3330b', 'False', 'True', 'false', 'false', '510132140322', 5, '狮子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132140322', 1, '2021-07-19 11:31:16', NULL, NULL), (2168, '', '玉龙村', '1240f08911db4c02904a78af8bb80a78', '2250c797206645e383a85e1f06d3330b', 'False', 'True', 'false', 'false', '510132140444', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132140444', 1, '2021-07-19 11:31:16', NULL, NULL), (2169, '', '龙马村', 'cd893a2b8d2a487eab7c160a543e180f', '2250c797206645e383a85e1f06d3330b', 'False', 'True', 'false', 'false', '510132140458', 5, '龙马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132140458', 1, '2021-07-19 11:31:16', NULL, NULL), (2170, '', '迎先村', 'cbd3b5b2251a4cf6addc12ef2e9d7513', '2250c797206645e383a85e1f06d3330b', 'False', 'True', 'false', 'false', '510132140466', 5, '迎先村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132140466', 1, '2021-07-19 11:31:16', NULL, NULL), (2171, '', '万街村', 'a14e17b9223b427a812a70d16cddeac4', '2250c797206645e383a85e1f06d3330b', 'False', 'True', 'false', 'false', '510132140541', 5, '万街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132140541', 1, '2021-07-19 11:31:16', NULL, NULL), (2172, '', '宝墩村', '90988c6fe77c48da8ecd7703d27c77ee', '2250c797206645e383a85e1f06d3330b', 'False', 'True', 'false', 'false', '510132140727', 5, '宝墩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132140727', 1, '2021-07-19 11:31:16', NULL, NULL), (2173, '', '仙鹤社区', 'c9648d3949e14f95bf84f09bc0af23e1', '2250c797206645e383a85e1f06d3330b', 'False', 'True', 'false', 'false', '510132140900', 5, '仙鹤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132140900', 1, '2021-07-19 11:31:16', NULL, NULL), (2174, '', '五津街道', 'a1b7e72170b5437c8e56cffdd73cd7b2', 'f715d000c4fb474185e157806644a608', 'True', 'True', 'false', 'false', '510132001000', 4, '五津街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510132001000', 1, '2021-07-19 11:31:16', NULL, NULL), (2175, '', '寿阝江社区', '3680c718d32c48ca9a116d3b85e0995f', 'a1b7e72170b5437c8e56cffdd73cd7b2', 'False', 'True', 'false', 'false', '510132001001', 5, '寿阝江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132001001', 1, '2021-07-19 11:31:16', NULL, NULL), (2176, '', '南江社区', '1034a21fb8db42fcb537dc2d663303a5', 'a1b7e72170b5437c8e56cffdd73cd7b2', 'False', 'True', 'false', 'false', '510132001003', 5, '南江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132001003', 1, '2021-07-19 11:31:17', NULL, NULL), (2177, '', '城北社区', '26387047bf50492e86a73cab2b4102ac', 'a1b7e72170b5437c8e56cffdd73cd7b2', 'False', 'True', 'false', 'false', '510132001004', 5, '城北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132001004', 1, '2021-07-19 11:31:17', NULL, NULL), (2178, '', '城西社区', 'e068ac846603416ab8c4a4cb9112a0f7', 'a1b7e72170b5437c8e56cffdd73cd7b2', 'False', 'True', 'false', 'false', '510132001005', 5, '城西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132001005', 1, '2021-07-19 11:31:17', NULL, NULL), (2179, '', '抚江社区', 'ce5e5a390ead4d4db16955c60dbf9392', 'a1b7e72170b5437c8e56cffdd73cd7b2', 'False', 'True', 'false', 'false', '510132001006', 5, '抚江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132001006', 1, '2021-07-19 11:31:17', NULL, NULL), (2180, '', '红石社区', '7c1ac4cd4f6f42b48aa5dc92f58d0cbf', 'a1b7e72170b5437c8e56cffdd73cd7b2', 'False', 'True', 'false', 'false', '510132001007', 5, '红石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132001007', 1, '2021-07-19 11:31:17', NULL, NULL), (2181, '', '城东社区', '6f7dedcc0fb7467eaf06abfb67e18da5', 'a1b7e72170b5437c8e56cffdd73cd7b2', 'False', 'True', 'false', 'false', '510132001008', 5, '桥津社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132001008', 1, '2021-07-19 11:31:17', NULL, NULL), (2182, '', '吴店社区', '367a152a4ccb49948e58d055f346e228', 'a1b7e72170b5437c8e56cffdd73cd7b2', 'False', 'True', 'false', 'false', '510132001009', 5, '吴店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132001009', 1, '2021-07-19 11:31:17', NULL, NULL), (2183, '', '古家社区', '7bcec65b40154085ae28692f034327d8', 'a1b7e72170b5437c8e56cffdd73cd7b2', 'False', 'True', 'false', 'false', '510132001010', 5, '古家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132001010', 1, '2021-07-19 11:31:17', NULL, NULL), (2184, '', '平岗社区', 'af80142f553e4a52aa6c4a782d92801e', 'a1b7e72170b5437c8e56cffdd73cd7b2', 'False', 'True', 'false', 'false', '510132001011', 5, '平岗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132001011', 1, '2021-07-19 11:31:17', NULL, NULL), (2185, '', '文武社区', '0fe45786f8514b21880142f80c77f965', 'a1b7e72170b5437c8e56cffdd73cd7b2', 'False', 'True', 'false', 'false', '510132001012', 5, '文武社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132001012', 1, '2021-07-19 11:31:17', NULL, NULL), (2186, '', '临江村', 'f4a84e8387944ca78849a6d2e5ecb0f9', 'a1b7e72170b5437c8e56cffdd73cd7b2', 'False', 'True', 'false', 'false', '510132001206', 5, '临江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132001206', 1, '2021-07-19 11:31:17', NULL, NULL), (2187, '', '花桥街道', '66696657576d479c9b02ce4b9e766765', 'f715d000c4fb474185e157806644a608', 'True', 'True', 'false', 'false', '510132101000', 4, '花桥街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510132101000', 1, '2021-07-19 11:31:17', NULL, NULL), (2188, '', '黄桷树社区', '34be2fe6d6ed460f8a6e67e33c37b0a8', '66696657576d479c9b02ce4b9e766765', 'False', 'True', 'false', 'false', '510132101001', 5, '黄桷树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132101001', 1, '2021-07-19 11:31:17', NULL, NULL), (2189, '', '金桥社区', 'dd556f36bfa7497b9a74784cd58a51ae', '66696657576d479c9b02ce4b9e766765', 'False', 'True', 'false', 'false', '510132101002', 5, '金桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132101002', 1, '2021-07-19 11:31:17', NULL, NULL), (2190, '', '焦严村', '9298bd4c434943a5a3c09d0b884ba1b8', '66696657576d479c9b02ce4b9e766765', 'False', 'True', 'false', 'false', '510132101201', 5, '焦严村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132101201', 1, '2021-07-19 11:31:18', NULL, NULL), (2191, '', '蔡湾村', '4b2431ce334c4d2b826700ded4f1a4ca', '66696657576d479c9b02ce4b9e766765', 'False', 'True', 'false', 'false', '510132101202', 5, '蔡湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132101202', 1, '2021-07-19 11:31:18', NULL, NULL), (2192, '', '筒车村', 'e5d850d76cb440609a7d42e5acb2eb3d', '66696657576d479c9b02ce4b9e766765', 'False', 'True', 'false', 'false', '510132101203', 5, '筒车村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132101203', 1, '2021-07-19 11:31:18', NULL, NULL), (2193, '', '马王村', '8b2aab16825b46d48533546d40388a85', '66696657576d479c9b02ce4b9e766765', 'False', 'True', 'false', 'false', '510132101204', 5, '马王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132101204', 1, '2021-07-19 11:31:18', NULL, NULL), (2194, '', '长春村', '2fde750f68c9441892999ad86f77d0f6', '66696657576d479c9b02ce4b9e766765', 'False', 'True', 'false', 'false', '510132101205', 5, '长春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132101205', 1, '2021-07-19 11:31:18', NULL, NULL), (2195, '', '方井村', '94230814847542e49233c85aab910fc6', '66696657576d479c9b02ce4b9e766765', 'False', 'True', 'false', 'false', '510132101207', 5, '方井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132101207', 1, '2021-07-19 11:31:18', NULL, NULL), (2196, '', '花源街道', '0c143d387d3844829b2d4826e0363b45', 'f715d000c4fb474185e157806644a608', 'True', 'True', 'false', 'false', '510132102000', 4, '花源街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510132102000', 1, '2021-07-19 11:31:18', NULL, NULL), (2197, '', '花源社区', 'f0bf8447694f4e06a0c125a909327188', '0c143d387d3844829b2d4826e0363b45', 'False', 'True', 'false', 'false', '510132102001', 5, '花源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132102001', 1, '2021-07-19 11:31:18', NULL, NULL), (2198, '', '牧马山社区', '318f61bf624449e58e2a88321694a680', '0c143d387d3844829b2d4826e0363b45', 'False', 'True', 'false', 'false', '510132102002', 5, '牧马山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132102002', 1, '2021-07-19 11:31:18', NULL, NULL), (2199, '', '柳河社区', 'ac38fe3f86484c62a5d9747a729e2afc', '0c143d387d3844829b2d4826e0363b45', 'False', 'True', 'false', 'false', '510132102003', 5, '柳河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132102003', 1, '2021-07-19 11:31:18', NULL, NULL), (2200, '', '共和村', '329f88c2d8cc4090910cd756b2431c60', '0c143d387d3844829b2d4826e0363b45', 'False', 'True', 'false', 'false', '510132102202', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132102202', 1, '2021-07-19 11:31:18', NULL, NULL), (2201, '', '洪川村', '605d0c3dab9743d48d8a1e2d8717dea0', '0c143d387d3844829b2d4826e0363b45', 'False', 'True', 'false', 'false', '510132102203', 5, '洪川村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132102203', 1, '2021-07-19 11:31:18', NULL, NULL), (2202, '', '长乐村', '07768ba3d437466cb5c97da7853fb88e', '0c143d387d3844829b2d4826e0363b45', 'False', 'True', 'false', 'false', '510132102206', 5, '长乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132102206', 1, '2021-07-19 11:31:18', NULL, NULL), (2203, '', '东华村', '15f763e286f54f038ea685af05af1407', '0c143d387d3844829b2d4826e0363b45', 'False', 'True', 'false', 'false', '510132102207', 5, '东华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132102207', 1, '2021-07-19 11:31:18', NULL, NULL), (2204, '', '杨柳村', 'b3aa4ab31b3a462b9d1e981f19f59342', '0c143d387d3844829b2d4826e0363b45', 'False', 'True', 'false', 'false', '510132102209', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132102209', 1, '2021-07-19 11:31:18', NULL, NULL), (2205, '', '兴义镇', '5a017aa8a84e4a84b5e0200a6a17d240', 'f715d000c4fb474185e157806644a608', 'True', 'True', 'false', 'false', '510132105000', 4, '兴义镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510132105000', 1, '2021-07-19 11:31:18', NULL, NULL), (2206, '', '兴场社区', 'cdde9c8275dd4c1e94c6156668ddbd44', '5a017aa8a84e4a84b5e0200a6a17d240', 'False', 'True', 'false', 'false', '510132105001', 5, '兴场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132105001', 1, '2021-07-19 11:31:18', NULL, NULL), (2207, '', '岷江社区', 'e520419f97f6425a89ac7faed0b129e7', '5a017aa8a84e4a84b5e0200a6a17d240', 'False', 'True', 'false', 'false', '510132105002', 5, '岷江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132105002', 1, '2021-07-19 11:31:18', NULL, NULL), (2208, '', '纪碾村', 'e7a8a25832b341618622601b0c583880', '5a017aa8a84e4a84b5e0200a6a17d240', 'False', 'True', 'false', 'false', '510132105203', 5, '纪碾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132105203', 1, '2021-07-19 11:31:18', NULL, NULL), (2209, '', '田渡村', '18f58742c9e64a43b3d0d4e9310bbe7d', '5a017aa8a84e4a84b5e0200a6a17d240', 'False', 'True', 'false', 'false', '510132105204', 5, '田渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132105204', 1, '2021-07-19 11:31:18', NULL, NULL), (2210, '', '广滩村', '4fc2a36d40964e659af42eb4b3aaa9db', '5a017aa8a84e4a84b5e0200a6a17d240', 'False', 'True', 'false', 'false', '510132105205', 5, '广滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132105205', 1, '2021-07-19 11:31:18', NULL, NULL), (2211, '', '先寺村', 'c16255b4e67346679f5b25e32bc3974e', '5a017aa8a84e4a84b5e0200a6a17d240', 'False', 'True', 'false', 'false', '510132105206', 5, '先寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132105206', 1, '2021-07-19 11:31:18', NULL, NULL), (2212, '', '杨牌村', 'dde67f5ac6584b6aa901427ab65df0a2', '5a017aa8a84e4a84b5e0200a6a17d240', 'False', 'True', 'false', 'false', '510132105207', 5, '杨牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132105207', 1, '2021-07-19 11:31:19', NULL, NULL), (2213, '', '波尔村', '0539f5fb70264c75a15c0a73a464345d', '5a017aa8a84e4a84b5e0200a6a17d240', 'False', 'True', 'false', 'false', '510132105210', 5, '波尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132105210', 1, '2021-07-19 11:31:19', NULL, NULL), (2214, '', '张河村', '6bf545324f9643a386177f365bd1b944', '5a017aa8a84e4a84b5e0200a6a17d240', 'False', 'True', 'false', 'false', '510132105211', 5, '张河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132105211', 1, '2021-07-19 11:31:19', NULL, NULL), (2215, '', '永商镇', '57c3a850ab1644f19b8c4532555cb2ee', 'f715d000c4fb474185e157806644a608', 'True', 'True', 'false', 'false', '510132109000', 4, '永商镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510132109000', 1, '2021-07-19 11:31:19', NULL, NULL), (2216, '', '罗山村', 'aa80497fbe7f471bac97ab4eceebb3ee', '57c3a850ab1644f19b8c4532555cb2ee', 'False', 'False', 'false', 'false', '510132109104', 5, '罗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132109104', 1, '2021-07-19 11:31:19', NULL, NULL), (2217, '', '季河村', 'baf02d929dbc4bb49d6f170fd6d1787d', '57c3a850ab1644f19b8c4532555cb2ee', 'False', 'False', 'false', 'false', '510132109210', 5, '季河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132109210', 1, '2021-07-19 11:31:19', NULL, NULL), (2218, '', '金龙村', '220a2ca38be845198ed352e85b06d197', '57c3a850ab1644f19b8c4532555cb2ee', 'False', 'True', 'false', 'false', '510132109728', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132109728', 1, '2021-07-19 11:31:19', NULL, NULL), (2219, '', '邓公社区', 'd567145aeea24d7d90e30e616c8615ea', '57c3a850ab1644f19b8c4532555cb2ee', 'False', 'False', 'false', 'false', '510132109783', 5, '邓公社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132109783', 1, '2021-07-19 11:31:19', NULL, NULL), (2220, '', '文山村', '79d79f7f6f7d4a41aa47ade1fe10c7b5', '57c3a850ab1644f19b8c4532555cb2ee', 'False', 'True', 'false', 'false', '510132109787', 5, '文山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132109787', 1, '2021-07-19 11:31:19', NULL, NULL), (2221, '', '何店村', '0ee8e133d2be4b15a389325c33c03734', '57c3a850ab1644f19b8c4532555cb2ee', 'False', 'False', 'false', 'false', '510132109909', 5, '何店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132109909', 1, '2021-07-19 11:31:19', NULL, NULL), (2222, '', '新河村', '9824462fe4f141b782d166765c014060', '57c3a850ab1644f19b8c4532555cb2ee', 'False', 'True', 'false', 'false', '510132109998', 5, '新河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132109998', 1, '2021-07-19 11:31:19', NULL, NULL), (2223, '', '永兴社区', 'a2a83302ca744b0fb2b02584dd29f363', '57c3a850ab1644f19b8c4532555cb2ee', 'False', 'True', 'false', 'false', '510132109001', 5, '永兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132109001', 1, '2021-07-19 11:31:19', NULL, NULL), (2224, '', '车灌社区', 'f167a34539704c1b992cd2fabce1fa94', '57c3a850ab1644f19b8c4532555cb2ee', 'False', 'True', 'false', 'false', '510132109002', 5, '车灌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132109002', 1, '2021-07-19 11:31:19', NULL, NULL), (2225, '', '望江社区', '308aeaac8e474054bbc2b28789fd7ab2', '57c3a850ab1644f19b8c4532555cb2ee', 'False', 'True', 'false', 'false', '510132109003', 5, '望江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132109003', 1, '2021-07-19 11:31:19', NULL, NULL), (2226, '', '烽火村', '45b4b8619e844f3b902c986a134c442b', '57c3a850ab1644f19b8c4532555cb2ee', 'False', 'True', 'false', 'false', '510132109202', 5, '烽火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132109202', 1, '2021-07-19 11:31:20', NULL, NULL), (2227, '', '九莲村', 'e69d9656a5b14403911c85ac8300deec', '57c3a850ab1644f19b8c4532555cb2ee', 'False', 'True', 'false', 'false', '510132109203', 5, '九莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132109203', 1, '2021-07-19 11:31:20', NULL, NULL), (2228, '', '梨花村', 'b9e5223693d44901b4cebe734eaab892', '57c3a850ab1644f19b8c4532555cb2ee', 'False', 'True', 'false', 'false', '510132109205', 5, '梨花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510132109205', 1, '2021-07-19 11:31:20', NULL, NULL), (2229, '', '都江堰市', '714ba114a0c745819f7cd16844be12b0', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510181000000', 3, '都江堰市', 'cdsdjys.sczwfw.gov.cn', 1, '2021-07-19 11:31:20', NULL, NULL), (2230, '', '奎光塔街道', 'ba844f5f093446a8a8b7f287dc58c900', '714ba114a0c745819f7cd16844be12b0', 'True', 'True', 'false', 'false', '510181001000', 4, '奎光塔街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510181001000', 1, '2021-07-19 11:31:20', NULL, NULL), (2231, '', '都江堰市奎光塔街道民丰社区', '9784c30853a64ef3b5bf6d233e06932a', 'ba844f5f093446a8a8b7f287dc58c900', 'False', 'True', 'false', 'false', '510181001015', 5, '奎光塔街道民丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181001015', 1, '2021-07-19 11:31:20', NULL, NULL), (2232, '', '都江堰市奎光塔街道安顺社区', '58e803204f3f44fa916db7bd685e18a1', 'ba844f5f093446a8a8b7f287dc58c900', 'False', 'True', 'false', 'false', '510181001365', 5, '都江堰市奎光塔街道安顺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181001365', 1, '2021-07-19 11:31:20', NULL, NULL), (2233, '', '都江堰市奎光塔街道奎光塔社区', '2ce220d5316a44a9a26dad2442fd2d1d', 'ba844f5f093446a8a8b7f287dc58c900', 'False', 'True', 'false', 'false', '510181001391', 5, '都江堰市奎光塔街道奎光塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181001391', 1, '2021-07-19 11:31:20', NULL, NULL), (2234, '', '都江堰市奎光塔街道勤俭人家社区', '8863dd0846b244689e2109b4b1f0ad51', 'ba844f5f093446a8a8b7f287dc58c900', 'False', 'True', 'false', 'false', '510181001650', 5, '都江堰市奎光塔街道勤俭人家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181001650', 1, '2021-07-19 11:31:20', NULL, NULL), (2235, '', '都江堰市奎光塔街道金江社区', '2ebfb1817d1b403e82de266acf4244e1', 'ba844f5f093446a8a8b7f287dc58c900', 'False', 'True', 'false', 'false', '510181001668', 5, '都江堰市奎光塔街道金江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181001668', 1, '2021-07-19 11:31:20', NULL, NULL), (2236, '', '都江堰市奎光塔街道观江社区', 'd269b159eb3b4d999e4287c55e23fbf9', 'ba844f5f093446a8a8b7f287dc58c900', 'False', 'True', 'false', 'false', '510181001734', 5, '都江堰市奎光塔街道观江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181001734', 1, '2021-07-19 11:31:20', NULL, NULL), (2237, '', '都江堰市奎光塔街道龙潭湾社区', 'b25bcb745a664010b0c715c1bba818b2', 'ba844f5f093446a8a8b7f287dc58c900', 'False', 'True', 'false', 'false', '510181001744', 5, '都江堰市奎光塔街道龙潭湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181001744', 1, '2021-07-19 11:31:20', NULL, NULL), (2238, '', '都江堰市奎光塔街道滨河社区', '6ed98702063a48b9a2441642ec9b0f56', 'ba844f5f093446a8a8b7f287dc58c900', 'False', 'True', 'false', 'false', '510181001922', 5, '都江堰市奎光塔街道滨河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181001922', 1, '2021-07-19 11:31:20', NULL, NULL), (2239, '', '幸福街道', 'aea3d4af9a4342048923e4f045ea6967', '714ba114a0c745819f7cd16844be12b0', 'True', 'True', 'false', 'false', '510181002000', 4, '幸福街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510181002000', 1, '2021-07-19 11:31:20', NULL, NULL), (2240, '', '都江堰市幸福街道永寿社区', '0ceb56c82e0d4929939745eede53dbe9', 'aea3d4af9a4342048923e4f045ea6967', 'False', 'True', 'false', 'false', '510181002017', 5, '幸福街道永寿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181002017', 1, '2021-07-19 11:31:20', NULL, NULL), (2241, '', '都江堰市幸福街道永丰社区', '8976eb4ca5e046af9c78f51fd8e094c6', 'aea3d4af9a4342048923e4f045ea6967', 'False', 'True', 'false', 'false', '510181002018', 5, '幸福街道永丰', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181002018', 1, '2021-07-19 11:31:20', NULL, NULL), (2242, '', '都江堰市幸福街道新联社区', '0423db1b362b4b04852e282fdc3fe8dd', 'aea3d4af9a4342048923e4f045ea6967', 'False', 'True', 'false', 'false', '510181002019', 5, '幸福街道新联社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181002019', 1, '2021-07-19 11:31:20', NULL, NULL), (2243, '', '都江堰市幸福街道联盟社区', 'dc81fa40c62642d8bb5b4e8c238d4baa', 'aea3d4af9a4342048923e4f045ea6967', 'False', 'True', 'false', 'false', '510181002020', 5, '幸福街道联盟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181002020', 1, '2021-07-19 11:31:20', NULL, NULL), (2244, '', '都江堰市幸福街道翔凤桥社区', 'fbe2246ab0704d63a821d51bdceca2bf', 'aea3d4af9a4342048923e4f045ea6967', 'False', 'True', 'false', 'false', '510181002071', 5, '都江堰市幸福街道翔凤桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181002071', 1, '2021-07-19 11:31:21', NULL, NULL), (2245, '', '都江堰市幸福街道幸福社区', '24e577e00b6f48d4ad1c12973ba5c2bb', 'aea3d4af9a4342048923e4f045ea6967', 'False', 'True', 'false', 'false', '510181002171', 5, '都江堰市幸福街道幸福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181002171', 1, '2021-07-19 11:31:21', NULL, NULL), (2246, '', '都江堰市幸福街道莲花社区', '591b6310ade84e43b4a2d06d9f535498', 'aea3d4af9a4342048923e4f045ea6967', 'False', 'True', 'false', 'false', '510181002218', 5, '都江堰市幸福街道莲花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181002218', 1, '2021-07-19 11:31:21', NULL, NULL), (2247, '', '都江堰市幸福街道岷江社区', 'c61e3faf35cb4943883e344b9aa27a10', 'aea3d4af9a4342048923e4f045ea6967', 'False', 'True', 'false', 'false', '510181002437', 5, '都江堰市幸福街道岷江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181002437', 1, '2021-07-19 11:31:21', NULL, NULL), (2248, '', '都江堰市幸福街道彩虹社区', '1778cffe0bdc443d9bc1ede3d62d3459', 'aea3d4af9a4342048923e4f045ea6967', 'False', 'True', 'false', 'false', '510181002480', 5, '都江堰市幸福街道彩虹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181002480', 1, '2021-07-19 11:31:21', NULL, NULL), (2249, '', '都江堰市幸福街道解放社区', 'af19b2f44b5741e593e75e23f5a8e3f7', 'aea3d4af9a4342048923e4f045ea6967', 'False', 'True', 'false', 'false', '510181002541', 5, '都江堰市幸福街道解放社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181002541', 1, '2021-07-19 11:31:21', NULL, NULL), (2250, '', '灌口街道', '381c31fcc2b8460999f181477bbd8a56', '714ba114a0c745819f7cd16844be12b0', 'True', 'True', 'false', 'false', '510181004000', 4, '灌口街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510181004000', 1, '2021-07-19 11:31:21', NULL, NULL), (2251, '', '都江堰市灌口街道柳河社区', '63b2654f61434847be906db1fa2cd453', '381c31fcc2b8460999f181477bbd8a56', 'False', 'True', 'false', 'false', '510181004198', 5, '都江堰市灌口街道柳河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181004198', 1, '2021-07-19 11:31:21', NULL, NULL), (2252, '', '都江堰市灌口街道西川社区', 'af96cc45c2e94d5abb894c259ab304e7', '381c31fcc2b8460999f181477bbd8a56', 'False', 'True', 'false', 'false', '510181004291', 5, '都江堰市灌口街道西川社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181004291', 1, '2021-07-19 11:31:21', NULL, NULL), (2253, '', '都江堰市灌口街道太平社区', '57b46de3ba054ed5b6f6237204876883', '381c31fcc2b8460999f181477bbd8a56', 'False', 'True', 'false', 'false', '510181004315', 5, '都江堰市灌口街道太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181004315', 1, '2021-07-19 11:31:21', NULL, NULL), (2254, '', '都江堰市灌口街道南桥社区', '2d7663c74d8a4944895a73ced8ab7c40', '381c31fcc2b8460999f181477bbd8a56', 'False', 'True', 'false', 'false', '510181004341', 5, '都江堰市灌口街道南桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181004341', 1, '2021-07-19 11:31:21', NULL, NULL), (2255, '', '都江堰市灌口街道伏龙社区', '7327b04ad7d240eba1ac1986456e4800', '381c31fcc2b8460999f181477bbd8a56', 'False', 'True', 'false', 'false', '510181004371', 5, '都江堰市灌口街道伏龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181004371', 1, '2021-07-19 11:31:21', NULL, NULL), (2256, '', '都江堰市灌口街道平义社区', '76e4186d3afb437491ed978200fe796f', '381c31fcc2b8460999f181477bbd8a56', 'False', 'True', 'false', 'false', '510181004452', 5, '都江堰市灌口街道平义社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181004452', 1, '2021-07-19 11:31:21', NULL, NULL), (2257, '', '都江堰市灌口街道建兴社区', '52c6c58e0d56456cb7eda4b4954d96a7', '381c31fcc2b8460999f181477bbd8a56', 'False', 'True', 'false', 'false', '510181004516', 5, '都江堰市灌口街道建兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181004516', 1, '2021-07-19 11:31:21', NULL, NULL), (2258, '', '都江堰市灌口街道灵岩社区', 'ee1ec3f0b2504cd8878f719fe8b95ecf', '381c31fcc2b8460999f181477bbd8a56', 'False', 'True', 'false', 'false', '510181004523', 5, '都江堰市灌口街道灵岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181004523', 1, '2021-07-19 11:31:22', NULL, NULL), (2259, '', '都江堰市灌口街道蒲阳路社区', '6ffd7cd95a5f4f63a1ed532fd483590e', '381c31fcc2b8460999f181477bbd8a56', 'False', 'True', 'false', 'false', '510181004682', 5, '都江堰市灌口街道蒲阳路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181004682', 1, '2021-07-19 11:31:22', NULL, NULL), (2260, '', '银杏街道', 'e7eead613f0248c2857783a18df93c3c', '714ba114a0c745819f7cd16844be12b0', 'True', 'True', 'false', 'false', '510181005000', 4, '银杏街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510181005000', 1, '2021-07-19 11:31:22', NULL, NULL), (2261, '', '都江堰市银杏街道壹街社区', '23acaea8fbfb4d39b70020542c472e04', 'e7eead613f0248c2857783a18df93c3c', 'False', 'True', 'false', 'false', '510181005032', 5, '都江堰市银杏街道壹街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181005032', 1, '2021-07-19 11:31:22', NULL, NULL), (2262, '', '都江堰市银杏街道玉垒社区', '409b43f8a08941008f7d9861a89c69ee', 'e7eead613f0248c2857783a18df93c3c', 'False', 'True', 'false', 'false', '510181005090', 5, '都江堰市银杏街道玉垒社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181005090', 1, '2021-07-19 11:31:22', NULL, NULL), (2263, '', '都江堰市银杏街道万岭社区', 'ae4dff2e36ac4b36bf80c54c7bc9ccdd', 'e7eead613f0248c2857783a18df93c3c', 'False', 'True', 'false', 'false', '510181005176', 5, '都江堰市银杏街道万岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181005176', 1, '2021-07-19 11:31:22', NULL, NULL), (2264, '', '都江堰市银杏街道高桥社区', 'b7ec269eae714ca1b60b102240827740', 'e7eead613f0248c2857783a18df93c3c', 'False', 'True', 'false', 'false', '510181005238', 5, '都江堰市银杏街道高桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181005238', 1, '2021-07-19 11:31:22', NULL, NULL), (2265, '', '都江堰市银杏街道上游社区', 'de10274f7dd541d89d0ed832fdfd955e', 'e7eead613f0248c2857783a18df93c3c', 'False', 'True', 'false', 'false', '510181005272', 5, '都江堰市银杏街道上游社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181005272', 1, '2021-07-19 11:31:22', NULL, NULL), (2266, '', '都江堰市银杏街道百花社区', '68c3537faaba4b138ff019b8ac3ffab6', 'e7eead613f0248c2857783a18df93c3c', 'False', 'True', 'false', 'false', '510181005290', 5, '都江堰市银杏街道百花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181005290', 1, '2021-07-19 11:31:22', NULL, NULL), (2267, '', '都江堰市银杏街道王家桥社区', '7f40feaaf18f45ee8c8ac5a0a4c8d2d0', 'e7eead613f0248c2857783a18df93c3c', 'False', 'True', 'false', 'false', '510181005312', 5, '都江堰市银杏街道王家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181005312', 1, '2021-07-19 11:31:22', NULL, NULL), (2268, '', '都江堰市银杏街道朝阳社区', 'e34d6783a11f4067a4868762ff3341de', 'e7eead613f0248c2857783a18df93c3c', 'False', 'True', 'false', 'false', '510181005551', 5, '都江堰市银杏街道朝阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181005551', 1, '2021-07-19 11:31:22', NULL, NULL), (2269, '', '都江堰市银杏街道惠民社区', 'c5c6495c1c0f4415817f54ad82ef7a7d', 'e7eead613f0248c2857783a18df93c3c', 'False', 'True', 'false', 'false', '510181005675', 5, '都江堰市银杏街道惠民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181005675', 1, '2021-07-19 11:31:22', NULL, NULL), (2270, '', '都江堰市银杏街道高梗社区', '96b3d887f46a433aa1a07af7b8bff7a1', 'e7eead613f0248c2857783a18df93c3c', 'False', 'True', 'false', 'false', '510181005726', 5, '都江堰市银杏街道高梗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181005726', 1, '2021-07-19 11:31:22', NULL, NULL), (2271, '', '都江堰市银杏街道宁江社区', 'd11b4be2f6c642f8a9a87e987e600c3e', 'e7eead613f0248c2857783a18df93c3c', 'False', 'True', 'false', 'false', '510181005844', 5, '都江堰市银杏街道宁江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181005844', 1, '2021-07-19 11:31:23', NULL, NULL), (2272, '', '蒲阳街道', '7f399c73a86a4b6d8ac09bf9a03696b6', '714ba114a0c745819f7cd16844be12b0', 'True', 'True', 'false', 'false', '510181102000', 4, '蒲阳街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510181102000', 1, '2021-07-19 11:31:23', NULL, NULL), (2273, '', '都江堰市蒲阳街道鹿池社区', 'dd5c14622ad546f397429d9fb3d71a53', '7f399c73a86a4b6d8ac09bf9a03696b6', 'False', 'True', 'false', 'false', '510181102002', 5, '蒲阳街道鹿池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181102002', 1, '2021-07-19 11:31:23', NULL, NULL), (2274, '', '都江堰市蒲阳街道石瓮社区', '9973d49846cc462089b4969dbd412847', '7f399c73a86a4b6d8ac09bf9a03696b6', 'False', 'True', 'false', 'false', '510181102003', 5, '蒲阳街道石瓮社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181102003', 1, '2021-07-19 11:31:23', NULL, NULL), (2275, '', '都江堰市蒲阳街道棋盘社区', 'bcb009efa1104a6e8386bc046b7f0873', '7f399c73a86a4b6d8ac09bf9a03696b6', 'False', 'True', 'false', 'false', '510181102004', 5, '蒲阳街道棋盘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181102004', 1, '2021-07-19 11:31:23', NULL, NULL), (2276, '', '都江堰市蒲阳街道向峨社区', '1b0859523c7b46139437461c541a50cf', '7f399c73a86a4b6d8ac09bf9a03696b6', 'False', 'True', 'false', 'false', '510181102006', 5, '蒲阳街道向峨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181102006', 1, '2021-07-19 11:31:23', NULL, NULL), (2277, '', '都江堰市蒲阳街道石花社区', '3319ea85b1df4baaaab8763e00584b0b', '7f399c73a86a4b6d8ac09bf9a03696b6', 'False', 'True', 'false', 'false', '510181102007', 5, '蒲阳街道石花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181102007', 1, '2021-07-19 11:31:23', NULL, NULL), (2278, '', '都江堰市蒲阳街道莲月社区', 'e9bf143583e2480c85e14942d9606dec', '7f399c73a86a4b6d8ac09bf9a03696b6', 'False', 'True', 'false', 'false', '510181102008', 5, '蒲阳街道莲月社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181102008', 1, '2021-07-19 11:31:23', NULL, NULL), (2279, '', '都江堰市蒲阳街道红火社区', '4bb6be1735ab4fe1a9ac7351eaa0fa9f', '7f399c73a86a4b6d8ac09bf9a03696b6', 'False', 'True', 'false', 'false', '510181102010', 5, '蒲阳街道红火社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181102010', 1, '2021-07-19 11:31:23', NULL, NULL), (2280, '', '都江堰市蒲阳街道双柏社区', 'f2782c1d89f64a5facc0ebc987bd4490', '7f399c73a86a4b6d8ac09bf9a03696b6', 'False', 'True', 'false', 'false', '510181102045', 5, '都江堰市蒲阳街道双柏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181102045', 1, '2021-07-19 11:31:23', NULL, NULL), (2281, '', '都江堰市蒲阳街道和平社区', 'd1a807feff65497f8c39b8ec0c20c893', '7f399c73a86a4b6d8ac09bf9a03696b6', 'False', 'True', 'false', 'false', '510181102086', 5, '都江堰市蒲阳街道和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181102086', 1, '2021-07-19 11:31:23', NULL, NULL), (2282, '', '都江堰市蒲阳街道凉水社区', '0ffc87a23c244725994ddd49cf555ea7', '7f399c73a86a4b6d8ac09bf9a03696b6', 'False', 'True', 'false', 'false', '510181102349', 5, '都江堰市蒲阳街道凉水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181102349', 1, '2021-07-19 11:31:23', NULL, NULL), (2283, '', '都江堰市蒲阳街道花溪社区', 'd227639d5e32419e9408655e1406d1b5', '7f399c73a86a4b6d8ac09bf9a03696b6', 'False', 'True', 'false', 'false', '510181102397', 5, '都江堰市蒲阳街道花溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181102397', 1, '2021-07-19 11:31:23', NULL, NULL), (2284, '', '都江堰市蒲阳街道团结社区', '7c3ba075a59949d1b10be99bbfce0356', '7f399c73a86a4b6d8ac09bf9a03696b6', 'False', 'True', 'false', 'false', '510181102437', 5, '都江堰市蒲阳街道团结社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181102437', 1, '2021-07-19 11:31:23', NULL, NULL), (2285, '', '都江堰市蒲阳街道会元桥社区', '8910ea4f9cf844589974f609fba5d783', '7f399c73a86a4b6d8ac09bf9a03696b6', 'False', 'True', 'false', 'false', '510181102567', 5, '都江堰市蒲阳街道会元桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181102567', 1, '2021-07-19 11:31:23', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (2286, '', '都江堰市蒲阳街道金凤社区', '3a7d9ff603df4ee6b320ab1a1ce25a55', '7f399c73a86a4b6d8ac09bf9a03696b6', 'False', 'True', 'false', 'false', '510181102876', 5, '都江堰市蒲阳街道金凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181102876', 1, '2021-07-19 11:31:23', NULL, NULL), (2287, '', '都江堰市蒲阳街道蟠龙社区', '64fd76b9aa724c53be9466876ef72560', '7f399c73a86a4b6d8ac09bf9a03696b6', 'False', 'True', 'false', 'false', '510181102902', 5, '都江堰市蒲阳街道蟠龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181102902', 1, '2021-07-19 11:31:24', NULL, NULL), (2288, '', '聚源镇', '9f89d15ed01e4c5fba4cad133614ea93', '714ba114a0c745819f7cd16844be12b0', 'True', 'True', 'false', 'false', '510181103000', 4, '聚源镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510181103000', 1, '2021-07-19 11:31:24', NULL, NULL), (2289, '', '都江堰市聚源镇飞桥社区', '01f55f8b0c2746eaac93675a74c57c6b', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103002', 5, '都江堰市聚源镇飞桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103002', 1, '2021-07-19 11:31:24', NULL, NULL), (2290, '', '都江堰市聚源镇海云社区', '9f68d1931269493ea508a4be9b62a19a', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103003', 5, '聚源镇海云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103003', 1, '2021-07-19 11:31:24', NULL, NULL), (2291, '', '都江堰市聚源镇桂桥社区', '716c06d9aebc4aa085eb37ddfa25d05c', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103004', 5, '聚源镇桂桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103004', 1, '2021-07-19 11:31:24', NULL, NULL), (2292, '', '都江堰市聚源镇江安社区', '3f7c27d152464a98b223eb737af6d5f5', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103006', 5, '都江堰市聚源镇江安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103006', 1, '2021-07-19 11:31:24', NULL, NULL), (2293, '', '都江堰市聚源镇新华社区', '51c4d05e9b7e46a98a704a8996d5df18', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103007', 5, '聚源镇新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103007', 1, '2021-07-19 11:31:24', NULL, NULL), (2294, '', '都江堰市聚源镇崇义社区', '8df7aba2bf994629b9299f648f59ad8c', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103009', 5, '聚源镇崇义社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103009', 1, '2021-07-19 11:31:24', NULL, NULL), (2295, '', '都江堰市聚源镇双土社区', 'a475acea205543b394f0400b5cceb368', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103010', 5, '聚源镇双土社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103010', 1, '2021-07-19 11:31:24', NULL, NULL), (2296, '', '都江堰市聚源镇大桥社区', '3b78d37012f449288aba25af28210785', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103011', 5, '聚源镇大桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103011', 1, '2021-07-19 11:31:24', NULL, NULL), (2297, '', '都江堰市聚源镇芭桥社区', 'dcad34d1993f4ec0ad42378bf6ecb3e0', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103012', 5, '聚源镇芭桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103012', 1, '2021-07-19 11:31:25', NULL, NULL), (2298, '', '都江堰市聚源镇界牌社区', '78db78e4c97a4aa787f6e8a2af47bb06', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103013', 5, '聚源镇界牌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103013', 1, '2021-07-19 11:31:25', NULL, NULL), (2299, '', '都江堰市聚源镇金鸡社区', '7d05ab186b0849acb556bb04c90462f8', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103093', 5, '都江堰市聚源镇金鸡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103093', 1, '2021-07-19 11:31:25', NULL, NULL), (2300, '', '都江堰市聚源镇聚兴社区', 'fda002f7246c426fa3dfd88d3ac8da29', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103171', 5, '都江堰市聚源镇聚兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103171', 1, '2021-07-19 11:31:25', NULL, NULL), (2301, '', '都江堰市聚源镇迎祥社区', '2068962af6904793830406ef66e83fea', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103184', 5, '都江堰市聚源镇迎祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103184', 1, '2021-07-19 11:31:25', NULL, NULL), (2302, '', '都江堰市聚源镇羊桥社区', '63aed7afbc0c4c68bb70d79222059859', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103240', 5, '都江堰市聚源镇羊桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103240', 1, '2021-07-19 11:31:25', NULL, NULL), (2303, '', '都江堰市聚源镇花田社区', 'a7ea1ab039194a329c4215365c6f596d', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103280', 5, '都江堰市聚源镇花田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103280', 1, '2021-07-19 11:31:25', NULL, NULL), (2304, '', '都江堰市聚源镇普星社区', '5b99dbb8f35b4a0d81571c8bfcafa47f', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103386', 5, '都江堰市聚源镇普星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103386', 1, '2021-07-19 11:31:25', NULL, NULL), (2305, '', '都江堰市聚源镇三坝社区', 'ebdf8ed69662472eb4441ecb72f06398', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103607', 5, '都江堰市聚源镇三坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103607', 1, '2021-07-19 11:31:25', NULL, NULL), (2306, '', '都江堰市聚源镇导江社区', '80adb1c884f54a4ab009a79c61ce8d24', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103735', 5, '都江堰市聚源镇导江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103735', 1, '2021-07-19 11:31:25', NULL, NULL), (2307, '', '都江堰市聚源镇泉水社区', 'b411aa8e20f64a8abed0e2ab2dc9a56d', '9f89d15ed01e4c5fba4cad133614ea93', 'False', 'True', 'false', 'false', '510181103816', 5, '都江堰市聚源镇泉水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181103816', 1, '2021-07-19 11:31:25', NULL, NULL), (2308, '', '天马镇', '3928fa61f6704913902968c248d3b8fb', '714ba114a0c745819f7cd16844be12b0', 'True', 'True', 'false', 'false', '510181105000', 4, '天马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510181105000', 1, '2021-07-19 11:31:25', NULL, NULL), (2309, '', '都江堰市天马镇胥家社区', 'e2457cd77c2d4d638ef726823a8bfce3', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105024', 5, '天马镇胥家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105024', 1, '2021-07-19 11:31:26', NULL, NULL), (2310, '', '都江堰市天马镇驾虹社区', '098a8f3fc1664a5987656124c4d64c89', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105025', 5, '天马镇驾虹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105025', 1, '2021-07-19 11:31:26', NULL, NULL), (2311, '', '都江堰市天马镇桂林社区', 'f0d5af174cfd42e687345b1f1693914b', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105027', 5, '天马镇桂林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105027', 1, '2021-07-19 11:31:26', NULL, NULL), (2312, '', '都江堰市天马镇桂花社区', '0595a3418ce14cfab28aef818edab519', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105028', 5, '天马镇桂花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105028', 1, '2021-07-19 11:31:26', NULL, NULL), (2313, '', '都江堰市天马镇新民社区', '41e985bf9d7a4fc2879ab09a2e4b946a', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105029', 5, '天马镇新民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105029', 1, '2021-07-19 11:31:26', NULL, NULL), (2314, '', '都江堰市天马镇圣寿社区', 'fe6ebda4ca9c4edcb3c33339e3c754d4', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105030', 5, '天马镇圣寿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105030', 1, '2021-07-19 11:31:26', NULL, NULL), (2315, '', '都江堰市天马镇实新社区', 'afdfc166ab1d4c858eb66e51298ee14a', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105042', 5, '天马镇实新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105042', 1, '2021-07-19 11:31:26', NULL, NULL), (2316, '', '都江堰市天马镇柏河社区', 'dd0f1858d4e044728daa7c3a2a15a2b1', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105044', 5, '天马镇柏河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105044', 1, '2021-07-19 11:31:26', NULL, NULL), (2317, '', '都江堰市天马镇金胜社区', '8fc5117392f4410abd998aaf4089c24e', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105046', 5, '天马镇金胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105046', 1, '2021-07-19 11:31:26', NULL, NULL), (2318, '', '都江堰市天马镇南店社区', 'b4d675eab32f491b80849354faec3fbe', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105048', 5, '天马镇南店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105048', 1, '2021-07-19 11:31:26', NULL, NULL), (2319, '', '都江堰市天马镇仙鹤社区', '624e85f7d6d5450ab5341f9584c658c1', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105124', 5, '都江堰市天马镇仙鹤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105124', 1, '2021-07-19 11:31:26', NULL, NULL), (2320, '', '都江堰市天马镇金玉社区', 'e045dc65f8e5494fa6e9d4299ceeae8f', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105187', 5, '都江堰市天马镇金玉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105187', 1, '2021-07-19 11:31:26', NULL, NULL), (2321, '', '都江堰市天马镇向荣社区', '2ae722996d9b42519f821ed63db7bbaf', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105196', 5, '都江堰市天马镇向荣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105196', 1, '2021-07-19 11:31:26', NULL, NULL), (2322, '', '都江堰市天马镇建华社区', '61cad4bdc107405eb84cae058ce507e7', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105232', 5, '都江堰市天马镇建华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105232', 1, '2021-07-19 11:31:27', NULL, NULL), (2323, '', '都江堰市天马镇禹王社区', '8d8933c8ee764adea3727bfcf62e310f', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105239', 5, '都江堰市天马镇禹王社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105239', 1, '2021-07-19 11:31:27', NULL, NULL), (2324, '', '都江堰市天马镇金华社区', 'c183afa46a1e4a6892d9d5db9ebb7fd6', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105402', 5, '都江堰市天马镇金华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105402', 1, '2021-07-19 11:31:27', NULL, NULL), (2325, '', '都江堰市天马镇二郎社区', '20199899c90e4cfa9ff6af3fe3f8fa01', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105526', 5, '都江堰市天马镇二郎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105526', 1, '2021-07-19 11:31:27', NULL, NULL), (2326, '', '都江堰市天马镇金陵社区', '4d9e9fc49057479ba83218b7f01856a4', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105799', 5, '都江堰市天马镇金陵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105799', 1, '2021-07-19 11:31:27', NULL, NULL), (2327, '', '都江堰市天马镇碧鸡桥社区', 'b5e4dbff0bf640de9aa1d308f97cbca9', '3928fa61f6704913902968c248d3b8fb', 'False', 'True', 'false', 'false', '510181105824', 5, '都江堰市天马镇碧鸡桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181105824', 1, '2021-07-19 11:31:27', NULL, NULL), (2328, '', '石羊镇', 'fda51f13523c424c8ec0b235df05d850', '714ba114a0c745819f7cd16844be12b0', 'True', 'True', 'false', 'false', '510181106000', 4, '石羊镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510181106000', 1, '2021-07-19 11:31:27', NULL, NULL), (2329, '', '都江堰市石羊镇集祥社区', '6d1eba72a1ee49c1ac7b0249e9e070f7', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106031', 5, '石羊镇集祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106031', 1, '2021-07-19 11:31:27', NULL, NULL), (2330, '', '都江堰市石羊镇顺江社区', '0cb796703a2748d6af0b59cc88864f93', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106033', 5, '石羊镇顺江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106033', 1, '2021-07-19 11:31:27', NULL, NULL), (2331, '', '都江堰市石羊镇柳顺社区', '5634de19ef5c4ef98cd6e5b973b39474', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106034', 5, '石羊镇柳顺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106034', 1, '2021-07-19 11:31:27', NULL, NULL), (2332, '', '都江堰市石羊镇水月社区', '074adc5a1ee04dc1b6b5edf2e91618dd', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106036', 5, '石羊镇水月社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106036', 1, '2021-07-19 11:31:27', NULL, NULL), (2333, '', '都江堰市石羊镇鹤鸣社区', '6a65e730eca04f6380cd029736b60b5c', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106039', 5, '石羊镇鹤鸣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106039', 1, '2021-07-19 11:31:27', NULL, NULL), (2334, '', '都江堰市石羊镇七里社区', '43a4ab6afb324d9cace9e01dfd2169d2', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106040', 5, '石羊镇七里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106040', 1, '2021-07-19 11:31:27', NULL, NULL), (2335, '', '都江堰市石羊镇五一社区', '88affb87c7164b8ab4908e0e281a46eb', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106041', 5, '石羊镇五一社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106041', 1, '2021-07-19 11:31:27', NULL, NULL), (2336, '', '都江堰市石羊镇同乐社区', '6a6fcf43ca864da3b78226657fb6e38e', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106043', 5, '石羊镇同乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106043', 1, '2021-07-19 11:31:27', NULL, NULL), (2337, '', '都江堰市石羊镇柳街社区', '2adb4708c06742c0a7338a97c440829a', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106045', 5, '石羊镇柳街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106045', 1, '2021-07-19 11:31:27', NULL, NULL), (2338, '', '都江堰市石羊镇卫星社区', '508d24d4ad8c40389d9af078a72ab3c4', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106180', 5, '都江堰市石羊镇卫星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106180', 1, '2021-07-19 11:31:28', NULL, NULL), (2339, '', '都江堰市石羊镇皂角社区', '6eebdac81c9049d29eb2d9a62a821b47', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106262', 5, '都江堰市石羊镇皂角社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106262', 1, '2021-07-19 11:31:28', NULL, NULL), (2340, '', '都江堰市石羊镇丰乐社区', 'd5802a3c79fa4dd4bfbec197d771f97e', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106314', 5, '都江堰市石羊镇丰乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106314', 1, '2021-07-19 11:31:28', NULL, NULL), (2341, '', '都江堰市石羊镇广益社区', '7817a1a1db28447ba459dbd3f2773bc0', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106415', 5, '都江堰市石羊镇广益社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106415', 1, '2021-07-19 11:31:28', NULL, NULL), (2342, '', '都江堰市石羊镇古城社区', '1007df052b254e77a648cec75fa9edaa', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106548', 5, '都江堰市石羊镇古城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106548', 1, '2021-07-19 11:31:28', NULL, NULL), (2343, '', '都江堰市石羊镇清水社区', '46e6642c7d6442e1b34aa4acee825ff0', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106557', 5, '都江堰市石羊镇清水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106557', 1, '2021-07-19 11:31:28', NULL, NULL), (2344, '', '都江堰市石羊镇徐渡社区', 'a44ba38b0f2342e4b0d5f9a32690187a', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106650', 5, '都江堰市石羊镇徐渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106650', 1, '2021-07-19 11:31:28', NULL, NULL), (2345, '', '都江堰市石羊镇竹瓦社区', 'aa131555e22a4765a11914561de3585c', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106713', 5, '都江堰市石羊镇竹瓦社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106713', 1, '2021-07-19 11:31:28', NULL, NULL), (2346, '', '都江堰市石羊镇马祖社区', '9ce5142f20c640f59b3d4bcd4655e38a', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106730', 5, '都江堰市石羊镇马祖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106730', 1, '2021-07-19 11:31:28', NULL, NULL), (2347, '', '都江堰市石羊镇三羊社区', '18f977d0c5b34ad9b189bdf64e1b8708', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106857', 5, '都江堰市石羊镇三羊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106857', 1, '2021-07-19 11:31:28', NULL, NULL), (2348, '', '都江堰市石羊镇书院社区', '1ffe27ce615d4bb7806a36fdb7f8dbb7', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106901', 5, '都江堰市石羊镇书院社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106901', 1, '2021-07-19 11:31:28', NULL, NULL), (2349, '', '都江堰市石羊镇同心社区', 'e7572a4b16e44fc6b620aa70a87b34e9', 'fda51f13523c424c8ec0b235df05d850', 'False', 'True', 'false', 'false', '510181106979', 5, '都江堰市石羊镇同心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181106979', 1, '2021-07-19 11:31:28', NULL, NULL), (2350, '', '玉堂街道', '600f2325b9174dd897e5ee7fc424e8a8', '714ba114a0c745819f7cd16844be12b0', 'True', 'True', 'false', 'false', '510181108000', 4, '玉堂街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510181108000', 1, '2021-07-19 11:31:28', NULL, NULL), (2351, '', '都江堰市玉堂街道九龙社区', '3a0d3f26b9ef47688665df10f08ef78d', '600f2325b9174dd897e5ee7fc424e8a8', 'False', 'True', 'false', 'false', '510181006085', 5, '都江堰市玉堂街道九龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181006085', 1, '2021-07-19 11:31:28', NULL, NULL), (2352, '', '都江堰市玉堂街道三溪社区', '1d7aa0f19604459b87097d53d39c9dc4', '600f2325b9174dd897e5ee7fc424e8a8', 'False', 'True', 'false', 'false', '510181006124', 5, '都江堰市玉堂街道三溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181006124', 1, '2021-07-19 11:31:28', NULL, NULL), (2353, '', '都江堰市玉堂街道新益社区', '91ccff1301324762aa4f385fe9bbc982', '600f2325b9174dd897e5ee7fc424e8a8', 'False', 'True', 'false', 'false', '510181006254', 5, '都江堰市玉堂街道新益社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181006254', 1, '2021-07-19 11:31:28', NULL, NULL), (2354, '', '都江堰市玉堂街道上元社区', 'bcd58afacc90491284329eb2c0984c18', '600f2325b9174dd897e5ee7fc424e8a8', 'False', 'True', 'false', 'false', '510181006467', 5, '都江堰市玉堂街道上元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181006467', 1, '2021-07-19 11:31:29', NULL, NULL), (2355, '', '都江堰市玉堂街道永胜社区', '3004a27a43ed45438ee3428df2d82a3f', '600f2325b9174dd897e5ee7fc424e8a8', 'False', 'True', 'false', 'false', '510181006668', 5, '都江堰市玉堂街道永胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181006668', 1, '2021-07-19 11:31:29', NULL, NULL), (2356, '', '都江堰市玉堂街道耆亭社区', '174d4b51757c4c0ca2b9828058cdfa16', '600f2325b9174dd897e5ee7fc424e8a8', 'False', 'True', 'false', 'false', '510181006715', 5, '都江堰市玉堂街道耆亭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181006715', 1, '2021-07-19 11:31:29', NULL, NULL), (2357, '', '都江堰市玉堂街道梅花社区', '332bd4d7118c480e887eed882ad70022', '600f2325b9174dd897e5ee7fc424e8a8', 'False', 'True', 'false', 'false', '510181006828', 5, '都江堰市玉堂街道梅花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181006828', 1, '2021-07-19 11:31:29', NULL, NULL), (2358, '', '都江堰市玉堂街道红旗社区', '3f5832a5008e43398e4b0526e4ab1d85', '600f2325b9174dd897e5ee7fc424e8a8', 'False', 'True', 'false', 'false', '510181006844', 5, '都江堰市玉堂街道红旗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181006844', 1, '2021-07-19 11:31:29', NULL, NULL), (2359, '', '都江堰市玉堂街道宝瓶社区', '54940fa071b648fba1acee6c22d052b2', '600f2325b9174dd897e5ee7fc424e8a8', 'False', 'True', 'false', 'false', '510181006852', 5, '都江堰市玉堂街道', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181006852', 1, '2021-07-19 11:31:29', NULL, NULL), (2360, '', '都江堰市玉堂街道永康社区', '57d617d2857a466d9a36fefa212b651d', '600f2325b9174dd897e5ee7fc424e8a8', 'False', 'True', 'false', 'false', '510181108091', 5, '都江堰市玉堂街道永康社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181108091', 1, '2021-07-19 11:31:29', NULL, NULL), (2361, '', '都江堰市玉堂街道三台社区', '098ec9bb30be400d969609c6ebf8cd9c', '600f2325b9174dd897e5ee7fc424e8a8', 'False', 'True', 'false', 'false', '510181108262', 5, '都江堰市玉堂街道三台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181108262', 1, '2021-07-19 11:31:29', NULL, NULL), (2362, '', '都江堰市玉堂街道赵公山社区', '1c8e68d347364136ba40aedc81afc08a', '600f2325b9174dd897e5ee7fc424e8a8', 'False', 'True', 'false', 'false', '510181108292', 5, '都江堰市玉堂街道赵公山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181108292', 1, '2021-07-19 11:31:29', NULL, NULL), (2363, '', '都江堰市玉堂街道凤岐社区', 'cac4054aaccf4934b35ff76f28604212', '600f2325b9174dd897e5ee7fc424e8a8', 'False', 'True', 'false', 'false', '510181108419', 5, '都江堰市玉堂街道凤岐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181108419', 1, '2021-07-19 11:31:29', NULL, NULL), (2364, '', '都江堰市玉堂街道白马社区', '12017cfef30d41fe8991d470cfb1aa4e', '600f2325b9174dd897e5ee7fc424e8a8', 'False', 'True', 'false', 'false', '510181108500', 5, '都江堰市玉堂街道白马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181108500', 1, '2021-07-19 11:31:29', NULL, NULL), (2365, '', '都江堰市玉堂街道石牛社区', 'efb7dcf0c4cc4f5591fb70323a7ea4d4', '600f2325b9174dd897e5ee7fc424e8a8', 'False', 'True', 'false', 'false', '510181108725', 5, '都江堰市玉堂街道石牛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181108725', 1, '2021-07-19 11:31:29', NULL, NULL), (2366, '', '都江堰市玉堂街道青城桥社区', '92900b0d6ccb49a6aa73d2d1b8446905', '600f2325b9174dd897e5ee7fc424e8a8', 'False', 'True', 'false', 'false', '510181108750', 5, '都江堰市玉堂街道青城桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181108750', 1, '2021-07-19 11:31:29', NULL, NULL), (2367, '', '都江堰市玉堂街道外江社区', '6a22ab51e33f42d0ad36ab979297a4f6', '600f2325b9174dd897e5ee7fc424e8a8', 'False', 'True', 'false', 'false', '510181108855', 5, '都江堰市玉堂街道外江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181108855', 1, '2021-07-19 11:31:30', NULL, NULL), (2368, '', '都江堰市玉堂街道新生社区', '51414f0d03084cc98a8884cf99ba7cdc', '600f2325b9174dd897e5ee7fc424e8a8', 'False', 'True', 'false', 'false', '510181108922', 5, '都江堰市玉堂街道新生社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181108922', 1, '2021-07-19 11:31:30', NULL, NULL), (2369, '', '青城山镇', '2642145bfdd94f2e92fa89604ed34cd6', '714ba114a0c745819f7cd16844be12b0', 'True', 'True', 'false', 'false', '510181110000', 4, '青城山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510181110000', 1, '2021-07-19 11:31:30', NULL, NULL), (2370, '', '都江堰市青城山镇大观社区', '468eef7adcc14e47a63d930e2792bb90', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110042', 5, '青城山镇大观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110042', 1, '2021-07-19 11:31:30', NULL, NULL), (2371, '', '都江堰市青城山镇茶坪社区', 'a0dfbcd7648143e59d9cf7f03aca218a', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110051', 5, '青城山镇茶坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110051', 1, '2021-07-19 11:31:30', NULL, NULL), (2372, '', '都江堰市青城山镇红梅社区', '4afc71d8822345ea8cb0efad05e43a06', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110052', 5, '青城山镇红梅社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110052', 1, '2021-07-19 11:31:30', NULL, NULL), (2373, '', '都江堰市青城山镇欣禾社区', '5c686c5c340c47dfb418a6330ab129d5', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110053', 5, '青城山镇欣禾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110053', 1, '2021-07-19 11:31:30', NULL, NULL), (2374, '', '都江堰市青城山镇大通社区', '24ae35e66f1b4226a673064337641ebe', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110054', 5, '青城山镇大通社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110054', 1, '2021-07-19 11:31:30', NULL, NULL), (2375, '', '都江堰市青城山镇宿仙社区', '5f4b6186b17140a8b130cef7f3b981bc', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110055', 5, '青城山镇宿仙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110055', 1, '2021-07-19 11:31:30', NULL, NULL), (2376, '', '都江堰市青城山镇卉景社区', '3767e1b7bbf5465a800e052ae35b5b08', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110057', 5, '青城山镇卉景社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110057', 1, '2021-07-19 11:31:30', NULL, NULL), (2377, '', '都江堰市青城山镇成青社区', 'd226572d88a64bd09eda3c2bf844d36a', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110058', 5, '青城山镇成青社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110058', 1, '2021-07-19 11:31:31', NULL, NULL), (2378, '', '都江堰市青城山镇泊江社区', 'a718a6451306412c9544f681592f3c64', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110059', 5, '青城山镇泊江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110059', 1, '2021-07-19 11:31:31', NULL, NULL), (2379, '', '都江堰市青城山镇官田社区', 'e1871c23bb3e4f67803ccbf374ca961d', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110060', 5, '青城山镇官田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110060', 1, '2021-07-19 11:31:31', NULL, NULL), (2380, '', '都江堰市青城山镇东义社区', 'e0554257ed1d46839c3397c31a26a041', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110062', 5, '青城山镇东义社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110062', 1, '2021-07-19 11:31:31', NULL, NULL), (2381, '', '都江堰市青城山镇沿江社区', '5b111d88a6144e669219336c5818701d', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110129', 5, '都江堰市青城山镇沿江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110129', 1, '2021-07-19 11:31:31', NULL, NULL), (2382, '', '都江堰市青城山镇青城社区', 'bbe3c422b4fb4c8ead6582455283c0bd', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110150', 5, '都江堰市青城山镇青城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110150', 1, '2021-07-19 11:31:31', NULL, NULL), (2383, '', '都江堰市青城山镇青田社区', '89b15af31fdf43419ec5f35a52f4bc09', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110174', 5, '都江堰市青城山镇青田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110174', 1, '2021-07-19 11:31:31', NULL, NULL), (2384, '', '都江堰市青城山镇清江社区', 'fc3553eb29a241d3a616b7be523a8b8d', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110406', 5, '都江堰市青城山镇清江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110406', 1, '2021-07-19 11:31:31', NULL, NULL), (2385, '', '都江堰市青城山镇沙坪社区', '26d67b3c0d4942fcbda97cec209b10ed', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110409', 5, '都江堰市青城山镇沙坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110409', 1, '2021-07-19 11:31:31', NULL, NULL), (2386, '', '都江堰市青城山镇民兴社区', '4adb6a9ea1b34f2cb26445e5764c0a3a', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110436', 5, '都江堰市青城山镇民兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110436', 1, '2021-07-19 11:31:31', NULL, NULL), (2387, '', '都江堰市青城山镇泰安社区', '16ad3ea9a65443f683bf8dbe6533d125', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110455', 5, '都江堰市青城山镇泰安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110455', 1, '2021-07-19 11:31:31', NULL, NULL), (2388, '', '都江堰市青城山镇新桥社区', '0539cf50f90147c384ec46ee2ade13c0', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110480', 5, '都江堰市青城山镇新桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110480', 1, '2021-07-19 11:31:31', NULL, NULL), (2389, '', '都江堰市青城山镇长寿社区', '5ef44897653547f7a6abc4a34a48fe7f', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110530', 5, '都江堰市青城山镇长寿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110530', 1, '2021-07-19 11:31:32', NULL, NULL), (2390, '', '都江堰市青城山镇五里社区', '152069d6982b4700814bb7cee769b072', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110532', 5, '都江堰市青城山镇五里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110532', 1, '2021-07-19 11:31:32', NULL, NULL), (2391, '', '都江堰市青城山镇味江社区', '646a590fd11b470e907415a944fe556c', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110594', 5, '都江堰市青城山镇味江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110594', 1, '2021-07-19 11:31:32', NULL, NULL), (2392, '', '都江堰市青城山镇赤城社区', '9a1d76fce26a4ecea43177ca947693b6', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110624', 5, '都江堰市青城山镇赤城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110624', 1, '2021-07-19 11:31:32', NULL, NULL), (2393, '', '都江堰市青城山镇石桥社区', 'fd5b97d6f6ab4fb2af6e8135e6f95b25', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110677', 5, '都江堰市青城山镇石桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110677', 1, '2021-07-19 11:31:32', NULL, NULL), (2394, '', '都江堰市青城山镇芒城社区', 'cf9fe33160974bffbc01d31f8b195ee5', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110773', 5, '都江堰市青城山镇芒城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110773', 1, '2021-07-19 11:31:32', NULL, NULL), (2395, '', '都江堰市青城山镇五桂社区', '4f330289952b462bb5338b8e26faca3d', '2642145bfdd94f2e92fa89604ed34cd6', 'False', 'True', 'false', 'false', '510181110992', 5, '都江堰市青城山镇五桂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181110992', 1, '2021-07-19 11:31:32', NULL, NULL), (2396, '', '龙池镇', '08fd0e3fa50d4350ac60cc2a47727c54', '714ba114a0c745819f7cd16844be12b0', 'True', 'True', 'false', 'false', '510181111000', 4, '龙池镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510181111000', 1, '2021-07-19 11:31:32', NULL, NULL), (2397, '', '都江堰市龙池镇紫虹社区', 'dcb260232f7d4885a241e290368b14d3', '08fd0e3fa50d4350ac60cc2a47727c54', 'False', 'True', 'false', 'false', '510181111020', 5, '龙池镇紫虹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181111020', 1, '2021-07-19 11:31:32', NULL, NULL), (2398, '', '都江堰市龙池镇飞虹社区', 'da5bbafd507341619f75c8e03f9efeb8', '08fd0e3fa50d4350ac60cc2a47727c54', 'False', 'True', 'false', 'false', '510181111022', 5, '龙池镇飞虹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181111022', 1, '2021-07-19 11:31:32', NULL, NULL), (2399, '', '都江堰市龙池镇龙溪社区', '10578811be874db384caa6ec8daaad0f', '08fd0e3fa50d4350ac60cc2a47727c54', 'False', 'True', 'false', 'false', '510181111023', 5, '龙池镇龙溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181111023', 1, '2021-07-19 11:31:32', NULL, NULL), (2400, '', '都江堰市龙池镇紫坪社区', 'ed987bb9e593403587ceef7348a8af7c', '08fd0e3fa50d4350ac60cc2a47727c54', 'False', 'True', 'false', 'false', '510181111187', 5, '都江堰市龙池镇紫坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181111187', 1, '2021-07-19 11:31:32', NULL, NULL), (2401, '', '都江堰市龙池镇白沙社区', '30470e4beb6f48f7937b5ccd94324e3c', '08fd0e3fa50d4350ac60cc2a47727c54', 'False', 'True', 'false', 'false', '510181111266', 5, '都江堰市龙池镇白沙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181111266', 1, '2021-07-19 11:31:32', NULL, NULL), (2402, '', '都江堰市龙池镇南岳社区', '1362236730784779bb9cda42a4f6df6e', '08fd0e3fa50d4350ac60cc2a47727c54', 'False', 'True', 'false', 'false', '510181111372', 5, '都江堰市龙池镇南岳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181111372', 1, '2021-07-19 11:31:32', NULL, NULL), (2403, '', '都江堰市龙池镇望江社区', '81a152c9d45f453981d764d69ac51c8b', '08fd0e3fa50d4350ac60cc2a47727c54', 'False', 'True', 'false', 'false', '510181111416', 5, '都江堰市龙池镇望江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181111416', 1, '2021-07-19 11:31:32', NULL, NULL), (2404, '', '都江堰市龙池镇虹口社区', 'b4ca27f43c584290905b318472b77f71', '08fd0e3fa50d4350ac60cc2a47727c54', 'False', 'True', 'false', 'false', '510181111470', 5, '都江堰市龙池镇虹口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181111470', 1, '2021-07-19 11:31:32', NULL, NULL), (2405, '', '都江堰市龙池镇光荣社区', '3e3e8d066d244358bcc43c8663ff561e', '08fd0e3fa50d4350ac60cc2a47727c54', 'False', 'True', 'false', 'false', '510181111576', 5, '都江堰市龙池镇光荣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181111576', 1, '2021-07-19 11:31:33', NULL, NULL), (2406, '', '都江堰市龙池镇深溪社区', '7594e1b9a96e441db7560c13ced6478e', '08fd0e3fa50d4350ac60cc2a47727c54', 'False', 'True', 'false', 'false', '510181111673', 5, '都江堰市龙池镇深溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181111673', 1, '2021-07-19 11:31:33', NULL, NULL), (2407, '', '都江堰市龙池镇都江社区', 'de20aaa236d240a0b88f6d3c8efc2b4a', '08fd0e3fa50d4350ac60cc2a47727c54', 'False', 'True', 'false', 'false', '510181111682', 5, '都江堰市龙池镇都江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510181111682', 1, '2021-07-19 11:31:33', NULL, NULL), (2408, '', '彭州市', 'e0820986c9d64b5496c2f3745452dc71', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510182000000', 3, '彭州市', 'cdspzs.sczwfw.gov.cn', 1, '2021-07-19 11:31:33', NULL, NULL), (2409, '', '天彭街道', '78bbafd6d5944d53971efc90b0e233ad', 'e0820986c9d64b5496c2f3745452dc71', 'True', 'True', 'false', 'false', '510182100000', 4, '天彭街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510182100000', 1, '2021-07-19 11:31:33', NULL, NULL), (2410, '', '龙檀社区便民服务室', '556bccec3b2e4aeeb5e50c317d0cb584', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182001100', 5, '龙檀社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182001100', 1, '2021-07-19 11:31:33', NULL, NULL), (2411, '', '枣子树社区便民服务室', '6aaa501cdf1348dbb2b8816f26cc49df', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182001101', 5, '枣子树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182001101', 1, '2021-07-19 11:31:33', NULL, NULL), (2412, '', '龙安社区便民服务室', '4219878f9bb14327967d527caf04c856', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182001102', 5, '龙安社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182001102', 1, '2021-07-19 11:31:33', NULL, NULL), (2413, '', '临江社区便民服务室', '4271c70c4e0c48e9a644ef7a09da33cf', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182001103', 5, '临江社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182001103', 1, '2021-07-19 11:31:33', NULL, NULL), (2414, '', '站前社区便民服务室', '1b6703d1dcf241e9bdd78040bd112d71', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182001104', 5, '站前社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182001104', 1, '2021-07-19 11:31:33', NULL, NULL), (2415, '', '人和社区便民服务室', 'f41d4d3403094f8a8f49721bee2f1bfa', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182001105', 5, '人和社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182001105', 1, '2021-07-19 11:31:33', NULL, NULL), (2416, '', '清平社区便民服务室？', '247778a030fc4c6282c6911ddf2e90e4', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182001106', 5, '清平社区便民服务室？', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182001106', 1, '2021-07-19 11:31:34', NULL, NULL), (2417, '', '里仁社区便民服务室', 'f0f9957fcaef4cdbaad53d9f5abfd305', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182001107', 5, '里仁社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182001107', 1, '2021-07-19 11:31:34', NULL, NULL), (2418, '', '北塔社区便民服务室', 'afe9689db6be4a54993c08be3536a0bf', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182001108', 5, '北塔社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182001108', 1, '2021-07-19 11:31:34', NULL, NULL), (2419, '', '西海社区便民服务室', 'd95e8551d58f42a9a8cdd7a1e0947680', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182001109', 5, '西海社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182001109', 1, '2021-07-19 11:31:34', NULL, NULL), (2420, '', '东林社区便民服务室', 'ab8201d2c9c5439ba9dbf0bd9b0e6b37', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182001110', 5, '东林社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182001110', 1, '2021-07-19 11:31:34', NULL, NULL), (2421, '', '南津社区便民服务室', '164cb58d313e4e46bde504ac21f3761e', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182001111', 5, '南津社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182001111', 1, '2021-07-19 11:31:34', NULL, NULL), (2422, '', '柳河社区便民服务室', 'bd9eb087579d4d85aee55e4beae801db', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182001112', 5, '柳河社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182001112', 1, '2021-07-19 11:31:34', NULL, NULL), (2423, '', '天府中路社区居委会', 'bf46c515ae0a4a98bf3da2dddbcf7262', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182100009', 5, '天府中路社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182100009', 1, '2021-07-19 11:31:34', NULL, NULL), (2424, '', '朝阳中路社区居委会', '8776787456ba44faa2f9e4d0e813f685', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182100014', 5, '朝阳中路社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182100014', 1, '2021-07-19 11:31:34', NULL, NULL), (2425, '', '东湖社区居委会', '9ce75de37c3b49f68f8eafc4212ef3a3', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182100015', 5, '东湖社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182100015', 1, '2021-07-19 11:31:34', NULL, NULL), (2426, '', '光明社区居委会', '37333566e24842b0ad93f3458026897a', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182100017', 5, '光明社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182100017', 1, '2021-07-19 11:31:34', NULL, NULL), (2427, '', '白马社区居委会', 'ad4f6833b43245e9b426c07297a22fad', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182100018', 5, '白马社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182100018', 1, '2021-07-19 11:31:34', NULL, NULL), (2428, '', '滨河路社区居委会', '07eb7654c81d4593af29e61c95674d88', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182100026', 5, '滨河路社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182100026', 1, '2021-07-19 11:31:34', NULL, NULL), (2429, '', '利安社区居委会', '9db9c9ba84f245e7b331cb9859c234db', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182100030', 5, '利安社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182100030', 1, '2021-07-19 11:31:34', NULL, NULL), (2430, '', '锦阳社区居委会', 'a8add8bc01fd4aeaae36dc52e9483634', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182100034', 5, '锦阳社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182100034', 1, '2021-07-19 11:31:34', NULL, NULL), (2431, '', '百和社区居委会', '7c596de87e9242f8a3bcfd90a7026bd8', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182100036', 5, '百和社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182100036', 1, '2021-07-19 11:31:35', NULL, NULL), (2432, '', '双星村村委会', 'a75709b9738a428a9cc6338562873652', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182100200', 5, '双星村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182100200', 1, '2021-07-19 11:31:35', NULL, NULL), (2433, '', '星光村村委会', 'b2f87ce0e39745dfacc268d082b63258', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182100204', 5, '星光村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182100204', 1, '2021-07-19 11:31:35', NULL, NULL), (2434, '', '银木村村委会', 'f1ba45dbf03040359168297df125706c', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182100211', 5, '银木村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182100211', 1, '2021-07-19 11:31:35', NULL, NULL), (2435, '', '雷音村村委会', 'd1ffbf48ee1a4bdeaa4e1eef4578ea3e', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182100216', 5, '雷音村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182100216', 1, '2021-07-19 11:31:35', NULL, NULL), (2436, '', '白庙村村委会', '9b955702c79b4f2fbedc8a4f662add47', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182100223', 5, '白庙村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182100223', 1, '2021-07-19 11:31:35', NULL, NULL), (2437, '', '牌坊村村委会', '4a5fdcd90e4148dda9c902c6406c6eb7', '78bbafd6d5944d53971efc90b0e233ad', 'False', 'True', 'false', 'false', '510182100234', 5, '牌坊村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182100234', 1, '2021-07-19 11:31:35', NULL, NULL), (2438, '', '彭州市龙门山镇', '193719b4d7ba4c29a5be82b8350bf101', 'e0820986c9d64b5496c2f3745452dc71', 'True', 'True', 'false', 'false', '510182101000', 4, '龙门山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510182101000', 1, '2021-07-19 11:31:35', NULL, NULL), (2439, '', '大湾村', '8a92ede549994d16bb6bcab89eb51623', '193719b4d7ba4c29a5be82b8350bf101', 'False', 'True', 'false', 'false', '510182101115', 5, '大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182101115', 1, '2021-07-19 11:31:35', NULL, NULL), (2440, '', '草坝村', 'e0fa961656be48c79e8e7846b5031f5f', '193719b4d7ba4c29a5be82b8350bf101', 'False', 'True', 'false', 'false', '510182101124', 5, '草坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182101124', 1, '2021-07-19 11:31:35', NULL, NULL), (2441, '', '龙源村便民服务室', 'a8760eaf15e843f99bc87f0d665ee7e3', '193719b4d7ba4c29a5be82b8350bf101', 'False', 'True', 'false', 'false', '510182101152', 5, '龙源村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182101152', 1, '2021-07-19 11:31:35', NULL, NULL), (2442, '', '湔江源村便民服务室', '4ec58fbf5f384ecab4415c4379392a10', '193719b4d7ba4c29a5be82b8350bf101', 'False', 'True', 'false', 'false', '510182101153', 5, '湔江源村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182101153', 1, '2021-07-19 11:31:35', NULL, NULL), (2443, '', '渔江楠村便民服务室', 'eb37baf321fb4abc93f784859b035b7f', '193719b4d7ba4c29a5be82b8350bf101', 'False', 'True', 'false', 'false', '510182101154', 5, '渔江楠村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182101154', 1, '2021-07-19 11:31:35', NULL, NULL), (2444, '', '小鱼洞社区', '649e0972dc9e43a69c546c3f74a6bec1', '193719b4d7ba4c29a5be82b8350bf101', 'False', 'True', 'false', 'false', '510182101155', 5, '小鱼洞社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182101155', 1, '2021-07-19 11:31:35', NULL, NULL), (2445, '', '白水河社区居委会', '84cbbe32c252432abbd873e242c5c334', '193719b4d7ba4c29a5be82b8350bf101', 'False', 'True', 'false', 'false', '510182101001', 5, '白水河社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182101001', 1, '2021-07-19 11:31:36', NULL, NULL), (2446, '', '宝山村村委会', '4702427221444b52bfa5510450506af3', '193719b4d7ba4c29a5be82b8350bf101', 'False', 'True', 'false', 'false', '510182101202', 5, '宝山村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182101202', 1, '2021-07-19 11:31:36', NULL, NULL), (2447, '', '团山村村委会', '46daff4dea3a495c8b76d19d364e1e5d', '193719b4d7ba4c29a5be82b8350bf101', 'False', 'True', 'false', 'false', '510182101203', 5, '团山村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182101203', 1, '2021-07-19 11:31:36', NULL, NULL), (2448, '', '九峰村村委会', 'cf6ce62236ca496fa9dae8cba6bbc2c0', '193719b4d7ba4c29a5be82b8350bf101', 'False', 'True', 'false', 'false', '510182101204', 5, '九峰村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182101204', 1, '2021-07-19 11:31:36', NULL, NULL), (2449, '', '三沟村村委会', '5c3b64004fca4dbbb0b55fc28b6500dc', '193719b4d7ba4c29a5be82b8350bf101', 'False', 'True', 'false', 'false', '510182101205', 5, '三沟村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182101205', 1, '2021-07-19 11:31:36', NULL, NULL), (2450, '', '彭州市丽春镇', 'da4e1d79b0e642fcb6effae8cff8fccc', 'e0820986c9d64b5496c2f3745452dc71', 'True', 'True', 'false', 'false', '510182103000', 4, '丽春镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510182103000', 1, '2021-07-19 11:31:36', NULL, NULL), (2451, '', '航动社区便民服务室', 'b5de968e4324430688696d3d782d808c', 'da4e1d79b0e642fcb6effae8cff8fccc', 'False', 'True', 'false', 'false', '510182103140', 5, '航动社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182103140', 1, '2021-07-19 11:31:36', NULL, NULL), (2452, '', '花棚社区便民服务室', 'e6ff58c30f1c409faa1f3fe985b592c9', 'da4e1d79b0e642fcb6effae8cff8fccc', 'False', 'True', 'false', 'false', '510182103141', 5, '花棚社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182103141', 1, '2021-07-19 11:31:36', NULL, NULL), (2453, '', '利和村便民服务室', 'd2d83d67cbcb41829bf2d907d5c027fc', 'da4e1d79b0e642fcb6effae8cff8fccc', 'False', 'True', 'false', 'false', '510182103142', 5, '利和村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182103142', 1, '2021-07-19 11:31:37', NULL, NULL), (2454, '', '花街子社区', '1832fe02f0524ad6bdf66539f7ece430', 'da4e1d79b0e642fcb6effae8cff8fccc', 'False', 'True', 'false', 'false', '510182103001', 5, '花街子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182103001', 1, '2021-07-19 11:31:37', NULL, NULL), (2455, '', '谭家场社区', '92b448135ab54ca5bd5bd34f526cd89c', 'da4e1d79b0e642fcb6effae8cff8fccc', 'False', 'True', 'false', 'false', '510182103002', 5, '谭家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182103002', 1, '2021-07-19 11:31:37', NULL, NULL), (2456, '', '君平街社区', 'd47be1cd868f4690b927099135b2c9a2', 'da4e1d79b0e642fcb6effae8cff8fccc', 'False', 'True', 'false', 'false', '510182103003', 5, '君平街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182103003', 1, '2021-07-19 11:31:37', NULL, NULL), (2457, '', '景林村', '78dd7f9ea1174e03b7b6beeb1f621877', 'da4e1d79b0e642fcb6effae8cff8fccc', 'False', 'True', 'false', 'false', '510182103203', 5, '景林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182103203', 1, '2021-07-19 11:31:37', NULL, NULL), (2458, '', '黄鹤村', 'cb597d4b2d3b42acb44bd1256f1482c0', 'da4e1d79b0e642fcb6effae8cff8fccc', 'False', 'True', 'false', 'false', '510182103220', 5, '黄鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182103220', 1, '2021-07-19 11:31:37', NULL, NULL), (2459, '', '碧鸡村', 'd43535c0a9b44d8fa194b54d9b4a48fe', 'da4e1d79b0e642fcb6effae8cff8fccc', 'False', 'True', 'false', 'false', '510182103225', 5, '碧鸡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182103225', 1, '2021-07-19 11:31:37', NULL, NULL), (2460, '', '塔子村', 'f6778160f7144180b8879e317d9fa446', 'da4e1d79b0e642fcb6effae8cff8fccc', 'False', 'True', 'false', 'false', '510182103230', 5, '塔子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182103230', 1, '2021-07-19 11:31:37', NULL, NULL), (2461, '', '东风村', '5d06908fee9146da8c0e42f679823b34', 'da4e1d79b0e642fcb6effae8cff8fccc', 'False', 'True', 'false', 'false', '510182103232', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182103232', 1, '2021-07-19 11:31:37', NULL, NULL), (2462, '', '白果村', '462eee91161e44ccac2689cb5f27cafa', 'da4e1d79b0e642fcb6effae8cff8fccc', 'False', 'True', 'false', 'false', '510182103237', 5, '白果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182103237', 1, '2021-07-19 11:31:37', NULL, NULL), (2463, '', '天鹅村', 'dadccae3272d4c94bed74fac651552e1', 'da4e1d79b0e642fcb6effae8cff8fccc', 'False', 'True', 'false', 'false', '510182103239', 5, '天鹅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182103239', 1, '2021-07-19 11:31:38', NULL, NULL), (2464, '', '合江村', 'f510455ce16f466abd0bdafc91b27cdd', 'da4e1d79b0e642fcb6effae8cff8fccc', 'False', 'True', 'false', 'false', '510182103245', 5, '合江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182103245', 1, '2021-07-19 11:31:38', NULL, NULL), (2465, '', '黄龙村', 'c512762cb27b49a2af485e8fdd40f0fb', 'da4e1d79b0e642fcb6effae8cff8fccc', 'False', 'True', 'false', 'false', '510182103247', 5, '黄龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182103247', 1, '2021-07-19 11:31:38', NULL, NULL), (2466, '', '花草村', '9f2d903a9f044e428053fd50d0e9f2aa', 'da4e1d79b0e642fcb6effae8cff8fccc', 'False', 'True', 'false', 'false', '510182103248', 5, '花草村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182103248', 1, '2021-07-19 11:31:38', NULL, NULL), (2467, '', '长廊村', '28d0853ac16b4b15b82bd7fead5c374c', 'da4e1d79b0e642fcb6effae8cff8fccc', 'False', 'True', 'false', 'false', '510182103249', 5, '长廊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182103249', 1, '2021-07-19 11:31:38', NULL, NULL), (2468, '', '元义村', '2d58d54675b0402c91fd8c6ffaee93cd', 'da4e1d79b0e642fcb6effae8cff8fccc', 'False', 'True', 'false', 'false', '510182103250', 5, '元义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182103250', 1, '2021-07-19 11:31:38', NULL, NULL), (2469, '', '彭州市九尺镇', 'b8399a18597448c19b0bc648db7c61a4', 'e0820986c9d64b5496c2f3745452dc71', 'True', 'True', 'false', 'false', '510182104000', 4, '九尺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510182104000', 1, '2021-07-19 11:31:38', NULL, NULL), (2470, '', '九尺铺社区便民服务室', '124f2168b194467db0e0aa8fbac79d20', 'b8399a18597448c19b0bc648db7c61a4', 'False', 'True', 'false', 'false', '510182104143', 5, '九尺铺社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182104143', 1, '2021-07-19 11:31:38', NULL, NULL), (2471, '', '升平社区', 'abde8f62176f4bd69b70f9ddcabb4d5d', 'b8399a18597448c19b0bc648db7c61a4', 'False', 'True', 'false', 'false', '510182104144', 5, '升平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182104144', 1, '2021-07-19 11:31:38', NULL, NULL), (2472, '', '青雀村便民服务室', '2084490f67974655aa5dd3563336e9ba', 'b8399a18597448c19b0bc648db7c61a4', 'False', 'True', 'false', 'false', '510182104145', 5, '青雀村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182104145', 1, '2021-07-19 11:31:38', NULL, NULL), (2473, '', '石泉村便民服务室', '157b8d7468c44ee588dcaa64bc5ddfa8', 'b8399a18597448c19b0bc648db7c61a4', 'False', 'True', 'false', 'false', '510182104146', 5, '石泉村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182104146', 1, '2021-07-19 11:31:38', NULL, NULL), (2474, '', '广山村便民服务室', '803a59136fd94cc0956bb5de7217228d', 'b8399a18597448c19b0bc648db7c61a4', 'False', 'True', 'false', 'false', '510182104147', 5, '广山村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182104147', 1, '2021-07-19 11:31:38', NULL, NULL), (2475, '', '金沙社区便民服务室', '4c3ed6649e024139a7733709e17028bc', 'b8399a18597448c19b0bc648db7c61a4', 'False', 'True', 'false', 'false', '510182104148', 5, '金沙社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182104148', 1, '2021-07-19 11:31:38', NULL, NULL), (2476, '', '龙福村', '2dde0d263e3d440db1b0b1b3b19d9091', 'b8399a18597448c19b0bc648db7c61a4', 'False', 'True', 'false', 'false', '510182104221', 5, '龙福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182104221', 1, '2021-07-19 11:31:38', NULL, NULL), (2477, '', '昌衡村', 'a434cf7a4745481fa8335e1a2bde3616', 'b8399a18597448c19b0bc648db7c61a4', 'False', 'True', 'false', 'false', '510182104223', 5, '昌衡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182104223', 1, '2021-07-19 11:31:38', NULL, NULL), (2478, '', '玉源社区居委会', '784c90628b504eaea405d8203b242cf1', 'b8399a18597448c19b0bc648db7c61a4', 'False', 'True', 'false', 'false', '510182104003', 5, '玉源社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182104003', 1, '2021-07-19 11:31:38', NULL, NULL), (2479, '', '天宝村村委会', '5e56fb4b89784443bde6d3f78fefd0aa', 'b8399a18597448c19b0bc648db7c61a4', 'False', 'True', 'false', 'false', '510182104213', 5, '天宝村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182104213', 1, '2021-07-19 11:31:38', NULL, NULL), (2480, '', '宝马村村委会', '8e16b4fc78954b09947b1165c13469e3', 'b8399a18597448c19b0bc648db7c61a4', 'False', 'True', 'false', 'false', '510182104215', 5, '宝马村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182104215', 1, '2021-07-19 11:31:39', NULL, NULL), (2481, '', '彭州市通济镇', 'f9dbb2ea98ad4b64996887f7785cbb7a', 'e0820986c9d64b5496c2f3745452dc71', 'True', 'True', 'false', 'false', '510182106000', 4, '通济镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510182106000', 1, '2021-07-19 11:31:39', NULL, NULL), (2482, '', '海窝子社区居民委员会', 'fd211568ee974609b460c264ceebfbb5', 'f9dbb2ea98ad4b64996887f7785cbb7a', 'False', 'True', 'false', 'false', '510182106004', 5, '海窝子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182106004', 1, '2021-07-19 11:31:39', NULL, NULL), (2483, '', '阳平社区便民服务室', '82ac303cf19844af8559e581f5eac723', 'f9dbb2ea98ad4b64996887f7785cbb7a', 'False', 'True', 'false', 'false', '510182106005', 5, '阳平社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182106005', 1, '2021-07-19 11:31:39', NULL, NULL), (2484, '', '花坪村', 'ad8431b498774b13bf55edfc72de128b', 'f9dbb2ea98ad4b64996887f7785cbb7a', 'False', 'True', 'false', 'false', '510182106011', 5, '花坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182106011', 1, '2021-07-19 11:31:39', NULL, NULL), (2485, '', '龙怀村', '7d60b594b3da4cf5b8f8d05eb56089f5', 'f9dbb2ea98ad4b64996887f7785cbb7a', 'False', 'True', 'false', 'false', '510182106014', 5, '龙怀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182106014', 1, '2021-07-19 11:31:39', NULL, NULL), (2486, '', '君山村', '80ca53825c1443be862f6308e004b135', 'f9dbb2ea98ad4b64996887f7785cbb7a', 'False', 'True', 'false', 'false', '510182106016', 5, '君山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182106016', 1, '2021-07-19 11:31:39', NULL, NULL), (2487, '', '天台山村便民服务室', '08d50b9583b74815827bad133877d629', 'f9dbb2ea98ad4b64996887f7785cbb7a', 'False', 'True', 'false', 'false', '510182106154', 5, '天台山村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182106154', 1, '2021-07-19 11:31:39', NULL, NULL), (2488, '', '凤坪村便民服务室', '175080ee054b4836a95f92ee4ce3d437', 'f9dbb2ea98ad4b64996887f7785cbb7a', 'False', 'True', 'false', 'false', '510182106156', 5, '凤坪村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182106156', 1, '2021-07-19 11:31:39', NULL, NULL), (2489, '', '青杠林社区便民服务室', 'e52402da706d479982057f77c2832acc', 'f9dbb2ea98ad4b64996887f7785cbb7a', 'False', 'True', 'false', 'false', '510182106157', 5, '青杠林社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182106157', 1, '2021-07-19 11:31:39', NULL, NULL), (2490, '', '圆通坝社区便民服务室', '0e84008ff57a4fab8cc5d2c3e840281d', 'f9dbb2ea98ad4b64996887f7785cbb7a', 'False', 'True', 'false', 'false', '510182106158', 5, '圆通坝社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182106158', 1, '2021-07-19 11:31:39', NULL, NULL), (2491, '', '黄村坝社区便民服务室', '882d98b6837e47619e3d91be152f84f6', 'f9dbb2ea98ad4b64996887f7785cbb7a', 'False', 'True', 'false', 'false', '510182106159', 5, '黄村坝社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182106159', 1, '2021-07-19 11:31:39', NULL, NULL), (2492, '', '花溪村便民服务室', '2f55c6d7c1e443268f4efd58beb606a3', 'f9dbb2ea98ad4b64996887f7785cbb7a', 'False', 'True', 'false', 'false', '510182106160', 5, '花溪村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182106160', 1, '2021-07-19 11:31:39', NULL, NULL), (2493, '', '桥楼社区便民服务室', 'efb941a2633e43389cbbba81638c75df', 'f9dbb2ea98ad4b64996887f7785cbb7a', 'False', 'True', 'false', 'false', '510182106215', 5, '桥楼社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182106215', 1, '2021-07-19 11:31:39', NULL, NULL), (2494, '', '彭州市丹景山镇', '18819cfc7a874b288a599b40917f0420', 'e0820986c9d64b5496c2f3745452dc71', 'True', 'True', 'false', 'false', '510182107000', 4, '丹景山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510182107000', 1, '2021-07-19 11:31:39', NULL, NULL), (2495, '', '石河村便民服务室', '9729f28f65414566b810fe00adcfc458', '18819cfc7a874b288a599b40917f0420', 'False', 'True', 'false', 'false', '510182107160', 5, '石河村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182107160', 1, '2021-07-19 11:31:39', NULL, NULL), (2496, '', '关口社区便民服务室', '824699a8c4e34c03b9da9378cd7c288c', '18819cfc7a874b288a599b40917f0420', 'False', 'True', 'false', 'false', '510182107001', 5, '关口社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182107001', 1, '2021-07-19 11:31:40', NULL, NULL), (2497, '', '石洞埝社区', '6f3d2fc7055b4def84fef1d1f9afb839', '18819cfc7a874b288a599b40917f0420', 'False', 'True', 'false', 'false', '510182107002', 5, '石洞埝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182107002', 1, '2021-07-19 11:31:40', NULL, NULL), (2498, '', '东前社区', '2e1ba59e6d6f4f63a51919df75a126fe', '18819cfc7a874b288a599b40917f0420', 'False', 'True', 'false', 'false', '510182107003', 5, '东前社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182107003', 1, '2021-07-19 11:31:40', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (2499, '', '石牛社区', 'b42f6a16478a4a8c8021350ae60d1b98', '18819cfc7a874b288a599b40917f0420', 'False', 'True', 'false', 'false', '510182107004', 5, '石牛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182107004', 1, '2021-07-19 11:31:40', NULL, NULL), (2500, '', '杉柏村', '51e22257bd8e4b828422ffd5868d95c7', '18819cfc7a874b288a599b40917f0420', 'False', 'True', 'false', 'false', '510182107203', 5, '杉柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182107203', 1, '2021-07-19 11:31:40', NULL, NULL), (2501, '', '双松村', 'efda36f553924802949f10e095b8b880', '18819cfc7a874b288a599b40917f0420', 'False', 'True', 'false', 'false', '510182107206', 5, '双松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182107206', 1, '2021-07-19 11:31:40', NULL, NULL), (2502, '', '丹景村', '8ddd736889cd4782aee2f2a9f18a8305', '18819cfc7a874b288a599b40917f0420', 'False', 'True', 'false', 'false', '510182107210', 5, '丹景村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182107210', 1, '2021-07-19 11:31:40', NULL, NULL), (2503, '', '新春村', '2ad54144078a4841a443abd3ec548aa3', '18819cfc7a874b288a599b40917f0420', 'False', 'True', 'false', 'false', '510182107220', 5, '新春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182107220', 1, '2021-07-19 11:31:40', NULL, NULL), (2504, '', '武备村', '8f9ada7ef2934a509da03036d3766a35', '18819cfc7a874b288a599b40917f0420', 'False', 'True', 'false', 'false', '510182107222', 5, '武备村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182107222', 1, '2021-07-19 11:31:40', NULL, NULL), (2505, '', '隆丰街道', '1c861e23c96a4c80b1df24d070dbc04a', 'e0820986c9d64b5496c2f3745452dc71', 'True', 'True', 'false', 'false', '510182108000', 4, '隆丰街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510182108000', 1, '2021-07-19 11:31:40', NULL, NULL), (2506, '', '军屯场社区', 'dc150a10b7f04b4abc202a911b6df79d', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108001', 5, '军屯场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108001', 1, '2021-07-19 11:31:40', NULL, NULL), (2507, '', '玉皇村', 'c4eace8c40254e568f89b2499b929b72', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108009', 5, '玉皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108009', 1, '2021-07-19 11:31:40', NULL, NULL), (2508, '', '军屯村', '135ca05210494f17bf80c8f00b44b9b5', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108012', 5, '军屯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108012', 1, '2021-07-19 11:31:41', NULL, NULL), (2509, '', '双河村党群服务中心', 'f09be225579947fdb0c8189815695190', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108130', 5, '双河村党群服务中心', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108130', 1, '2021-07-19 11:31:41', NULL, NULL), (2510, '', '集贤村党群服务中心', 'd84f03a9bd194fc1b863c6ac5228c632', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108131', 5, '集贤村党群服务中心', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108131', 1, '2021-07-19 11:31:41', NULL, NULL), (2511, '', '万皇村党群服务中心', '5be616fb67bf465caeb6d90235089c9c', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108132', 5, '万皇村党群服务中心', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108132', 1, '2021-07-19 11:31:41', NULL, NULL), (2512, '', '隆丰街道文家村村民委员会', '606d80c3038b499db2a03c4d4abbbc35', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108133', 5, '隆丰街道文家村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108133', 1, '2021-07-19 11:31:41', NULL, NULL), (2513, '', '西京村党群服务中心', 'b40fc3eac1604455929cbcf9c04ec056', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108134', 5, '西京村党群服务中心', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108134', 1, '2021-07-19 11:31:41', NULL, NULL), (2514, '', '西河村党群服务中心', 'fe9462d018d245368e61de4a3f451590', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108135', 5, '西河村党群服务中心', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108135', 1, '2021-07-19 11:31:41', NULL, NULL), (2515, '', '马牧河村党群服务中心', '001974391e4c4917bbc655c4d3f2d542', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108136', 5, '马牧河村党群服务中心', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108136', 1, '2021-07-19 11:31:41', NULL, NULL), (2516, '', '石迎村便民服务室', '8992799238e045138481464e364d5fe9', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108137', 5, '石迎村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108137', 1, '2021-07-19 11:31:41', NULL, NULL), (2517, '', '井堰村党群服务中心', 'fb7b21aeab79402e96be4f636ab51958', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108138', 5, '井堰村党群服务中心', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108138', 1, '2021-07-19 11:31:41', NULL, NULL), (2518, '', '润林社区党群服务中心', 'f908c92f15a143248348ba761fc32c1b', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108139', 5, '润林社区党群服务中心', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108139', 1, '2021-07-19 11:31:41', NULL, NULL), (2519, '', '隆丰街道银定社区党群服务中心', 'ec79bd70a01c437197944d4bc1eb626b', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108140', 5, '隆丰街道银定社区党群服务中心', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108140', 1, '2021-07-19 11:31:41', NULL, NULL), (2520, '', '双埝社区', '9f61e6fdf5a0445a9e1f1afd637c13a1', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108002', 5, '双埝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108002', 1, '2021-07-19 11:31:41', NULL, NULL), (2521, '', '九九村', '0b51834ec5ec4777bb9e4d4771c5d2a4', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108209', 5, '九九村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108209', 1, '2021-07-19 11:31:41', NULL, NULL), (2522, '', '岚锦村', '0fdd389a554744b8b435e56f59e56646', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108221', 5, '岚锦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108221', 1, '2021-07-19 11:31:41', NULL, NULL), (2523, '', '桂花林村', '39df3f33d58d43d2aeaadd3775468063', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108222', 5, '桂花林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108222', 1, '2021-07-19 11:31:41', NULL, NULL), (2524, '', '九龙村', '97abff88e55c4ba3a3bb799c7878c5f4', '1c861e23c96a4c80b1df24d070dbc04a', 'False', 'True', 'false', 'false', '510182108223', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182108223', 1, '2021-07-19 11:31:42', NULL, NULL), (2525, '', '彭州市敖平镇', '62c760bcb02e4b368c207aff71e7d488', 'e0820986c9d64b5496c2f3745452dc71', 'True', 'True', 'false', 'false', '510182109000', 4, '敖平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510182109000', 1, '2021-07-19 11:31:42', NULL, NULL), (2526, '', '敖平镇白塔店村便民服务室', '6994e7d763d3428ca7447d970f680281', '62c760bcb02e4b368c207aff71e7d488', 'False', 'True', 'false', 'false', '510182109146', 5, '敖平镇白塔店村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182109146', 1, '2021-07-19 11:31:42', NULL, NULL), (2527, '', '敖平镇漓沅村便民服务室', '74fda1e549cc4881ac7410d2825bbaed', '62c760bcb02e4b368c207aff71e7d488', 'False', 'True', 'false', 'false', '510182109147', 5, '敖平镇漓沅村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182109147', 1, '2021-07-19 11:31:42', NULL, NULL), (2528, '', '敖平镇石龙山村便民服务室', '9fda6f6d5d78419695c4c9db668e8a4a', '62c760bcb02e4b368c207aff71e7d488', 'False', 'True', 'false', 'false', '510182109148', 5, '敖平镇石龙山村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182109148', 1, '2021-07-19 11:31:42', NULL, NULL), (2529, '', '敖平镇兴平村便民服务室', 'df150c6bcd5b4279bfabb8bd27405dae', '62c760bcb02e4b368c207aff71e7d488', 'False', 'True', 'false', 'false', '510182109149', 5, '敖平镇兴平村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182109149', 1, '2021-07-19 11:31:42', NULL, NULL), (2530, '', '敖平镇紫音泉村便民服务室', '4e5bc348905d43d6aa9038c491591974', '62c760bcb02e4b368c207aff71e7d488', 'False', 'True', 'false', 'false', '510182109150', 5, '敖平镇紫音泉村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182109150', 1, '2021-07-19 11:31:42', NULL, NULL), (2531, '', '敖平镇敖家场社区便民服务室', 'cacb65b3515f49dd8716afa102995191', '62c760bcb02e4b368c207aff71e7d488', 'False', 'True', 'false', 'false', '510182109151', 5, '敖平镇敖家场社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182109151', 1, '2021-07-19 11:31:42', NULL, NULL), (2532, '', '红岩子社区', '89692be04c354d8e93b4f159cf45db29', '62c760bcb02e4b368c207aff71e7d488', 'False', 'True', 'false', 'false', '510182109229', 5, '红岩子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182109229', 1, '2021-07-19 11:31:42', NULL, NULL), (2533, '', '凤泉村', '3473991ec7b548c18ec6820549f2e9ad', '62c760bcb02e4b368c207aff71e7d488', 'False', 'True', 'false', 'false', '510182109219', 5, '凤泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182109219', 1, '2021-07-19 11:31:42', NULL, NULL), (2534, '', '鹤泉村', 'f415f409ff704311b474d12e9f256c36', '62c760bcb02e4b368c207aff71e7d488', 'False', 'True', 'false', 'false', '510182109220', 5, '鹤泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182109220', 1, '2021-07-19 11:31:42', NULL, NULL), (2535, '', '友谊村', '3609aa0907dc417980dfa166fcd79c27', '62c760bcb02e4b368c207aff71e7d488', 'False', 'True', 'false', 'false', '510182109221', 5, '友谊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182109221', 1, '2021-07-19 11:31:42', NULL, NULL), (2536, '', '星河村', '0d863eea23d14267896cda684c8cc6e3', '62c760bcb02e4b368c207aff71e7d488', 'False', 'True', 'false', 'false', '510182109224', 5, '星河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182109224', 1, '2021-07-19 11:31:42', NULL, NULL), (2537, '', '彭州市桂花镇', '21b315df9f194b4a95f8cdbb0a399c0d', 'e0820986c9d64b5496c2f3745452dc71', 'True', 'True', 'false', 'false', '510182111000', 4, '桂花镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510182111000', 1, '2021-07-19 11:31:43', NULL, NULL), (2538, '', '磁峰社区', 'f372ba41d85d4cd7ac26b9f933e9be7b', '21b315df9f194b4a95f8cdbb0a399c0d', 'False', 'True', 'false', 'false', '510182111006', 5, '磁峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182111006', 1, '2021-07-19 11:31:43', NULL, NULL), (2539, '', '蟠龙村', '3246d47bca2342db9aecce73a7220a74', '21b315df9f194b4a95f8cdbb0a399c0d', 'False', 'True', 'false', 'false', '510182111007', 5, '蟠龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182111007', 1, '2021-07-19 11:31:43', NULL, NULL), (2540, '', '石门村', 'cb5fd06a89c04862bbc5d60f6a414bc2', '21b315df9f194b4a95f8cdbb0a399c0d', 'False', 'True', 'false', 'false', '510182111012', 5, '石门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182111012', 1, '2021-07-19 11:31:43', NULL, NULL), (2541, '', '金城社区便民服务室', 'd727b9a53d0b4c97a54311aec9379243', '21b315df9f194b4a95f8cdbb0a399c0d', 'False', 'True', 'false', 'false', '510182111160', 5, '金城社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182111160', 1, '2021-07-19 11:31:43', NULL, NULL), (2542, '', '鹿坪社区便民服务室', '1913af1802124a01928e87b4b6643a51', '21b315df9f194b4a95f8cdbb0a399c0d', 'False', 'True', 'false', 'false', '510182111161', 5, '鹿坪社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182111161', 1, '2021-07-19 11:31:43', NULL, NULL), (2543, '', '林泉村便民服务室', 'af19a32f48184a2c86e2f7b8c369efe0', '21b315df9f194b4a95f8cdbb0a399c0d', 'False', 'True', 'false', 'false', '510182111170', 5, '林泉村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182111170', 1, '2021-07-19 11:31:43', NULL, NULL), (2544, '', '桂花社区', '8961bb5875f94243912af63f9953e7ba', '21b315df9f194b4a95f8cdbb0a399c0d', 'False', 'True', 'false', 'false', '510182111001', 5, '桂花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182111001', 1, '2021-07-19 11:31:43', NULL, NULL), (2545, '', '丰乐社区', '10c12cb92af243559ce71b623ba27c06', '21b315df9f194b4a95f8cdbb0a399c0d', 'False', 'True', 'false', 'false', '510182111002', 5, '丰乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182111002', 1, '2021-07-19 11:31:43', NULL, NULL), (2546, '', '利济村', 'b8ff54f7ee3a438988ad15a22ecf26e7', '21b315df9f194b4a95f8cdbb0a399c0d', 'False', 'True', 'false', 'false', '510182111210', 5, '利济村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182111210', 1, '2021-07-19 11:31:43', NULL, NULL), (2547, '', '衡州村', '86425ad3a64b4971a9a86daeac0d2354', '21b315df9f194b4a95f8cdbb0a399c0d', 'False', 'True', 'false', 'false', '510182111211', 5, '衡州村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182111211', 1, '2021-07-19 11:31:43', NULL, NULL), (2548, '', '龙头村', 'f19819e843084020adb71536b5861309', '21b315df9f194b4a95f8cdbb0a399c0d', 'False', 'True', 'false', 'false', '510182111215', 5, '龙头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182111215', 1, '2021-07-19 11:31:43', NULL, NULL), (2549, '', '三圣村', '3dc04f929ca84cc097acc50e9bfd4e5a', '21b315df9f194b4a95f8cdbb0a399c0d', 'False', 'True', 'false', 'false', '510182111221', 5, '三圣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182111221', 1, '2021-07-19 11:31:43', NULL, NULL), (2550, '', '双红村', '3038468e304749e792bd19ea2ba1d392', '21b315df9f194b4a95f8cdbb0a399c0d', 'False', 'True', 'false', 'false', '510182111224', 5, '双红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182111224', 1, '2021-07-19 11:31:43', NULL, NULL), (2551, '', '红石桥村', '5701e6aec7e341adaade85e29b4a9d76', '21b315df9f194b4a95f8cdbb0a399c0d', 'False', 'True', 'false', 'false', '510182111989', 5, '红石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182111989', 1, '2021-07-19 11:31:44', NULL, NULL), (2552, '', '彭州市白鹿镇', 'ed9e07f6681746f7ab8144058608d91e', 'e0820986c9d64b5496c2f3745452dc71', 'True', 'True', 'false', 'false', '510182121000', 4, '白鹿镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510182121000', 1, '2021-07-19 11:31:44', NULL, NULL), (2553, '', '天生桥村', '9f22398b72994cb69c3c718efeacdb2f', 'ed9e07f6681746f7ab8144058608d91e', 'False', 'True', 'false', 'false', '510182121003', 5, '天生桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182121003', 1, '2021-07-19 11:31:44', NULL, NULL), (2554, '', '姚家村', '6f20a40b9a84497ea30a452ab33735a5', 'ed9e07f6681746f7ab8144058608d91e', 'False', 'True', 'false', 'false', '510182121008', 5, '姚家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182121008', 1, '2021-07-19 11:31:44', NULL, NULL), (2555, '', '官田村', 'ec7cdd3c4ebb4c1fa542d72cfdbe8612', 'ed9e07f6681746f7ab8144058608d91e', 'False', 'True', 'false', 'false', '510182121009', 5, '官田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182121009', 1, '2021-07-19 11:31:44', NULL, NULL), (2556, '', '思文场社区', '8ccaade3f50248e1ae7d9e10bfa3fbcb', 'ed9e07f6681746f7ab8144058608d91e', 'False', 'True', 'false', 'false', '510182121010', 5, '思文场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182121010', 1, '2021-07-19 11:31:44', NULL, NULL), (2557, '', '白鹿场社区', '7f83195e8d484a04a482570257e17f8a', 'ed9e07f6681746f7ab8144058608d91e', 'False', 'True', 'false', 'false', '510182121001', 5, '白鹿场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182121001', 1, '2021-07-19 11:31:44', NULL, NULL), (2558, '', '白鹿顶村', '16725c98016e4013b1fdc0e3d399dfca', 'ed9e07f6681746f7ab8144058608d91e', 'False', 'True', 'false', 'false', '510182121202', 5, '白鹿顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182121202', 1, '2021-07-19 11:31:44', NULL, NULL), (2559, '', '塘坝村', '8e13a5702e7746e5a7cc357e2025a913', 'ed9e07f6681746f7ab8144058608d91e', 'False', 'True', 'false', 'false', '510182121205', 5, '塘坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182121205', 1, '2021-07-19 11:31:44', NULL, NULL), (2560, '', '白茶村', '2272f96ca2f745edb4f876288b31d72f', 'ed9e07f6681746f7ab8144058608d91e', 'False', 'True', 'false', 'false', '510182121210', 5, '白茶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182121210', 1, '2021-07-19 11:31:44', NULL, NULL), (2561, '', '彭州市葛仙山镇', '012dc58f0f3141c1a682ca59edf78b46', 'e0820986c9d64b5496c2f3745452dc71', 'True', 'True', 'false', 'false', '510182123000', 4, '葛仙山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510182123000', 1, '2021-07-19 11:31:44', NULL, NULL), (2562, '', '熙玉村', '492dd8c6cfaf4880a462475f8d730545', '012dc58f0f3141c1a682ca59edf78b46', 'False', 'True', 'false', 'false', '510182123125', 5, '熙玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182123125', 1, '2021-07-19 11:31:45', NULL, NULL), (2563, '', '群柏村便民服务室', '4a4019c5100a470eb87c9c5fb86f0e6b', '012dc58f0f3141c1a682ca59edf78b46', 'False', 'True', 'false', 'false', '510182123155', 5, '群柏村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182123155', 1, '2021-07-19 11:31:45', NULL, NULL), (2564, '', '楠林社区便民服务室', '4e984f42a60b4350aab728fbc3a548dc', '012dc58f0f3141c1a682ca59edf78b46', 'False', 'True', 'false', 'false', '510182123156', 5, '楠林社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182123156', 1, '2021-07-19 11:31:45', NULL, NULL), (2565, '', '普红村便民服务室', 'a2c4660fc5d84475b809ad99245b675a', '012dc58f0f3141c1a682ca59edf78b46', 'False', 'True', 'false', 'false', '510182123157', 5, '普红村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182123157', 1, '2021-07-19 11:31:45', NULL, NULL), (2566, '', '井泉村村民委员会', '80f2097658ef43c19ba84957b6051cbb', '012dc58f0f3141c1a682ca59edf78b46', 'False', 'True', 'false', 'false', '510182123158', 5, '井泉村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182123158', 1, '2021-07-19 11:31:45', NULL, NULL), (2567, '', '华顺村便民服务室', 'f581979388a945bf975ebee0cb1ee1ac', '012dc58f0f3141c1a682ca59edf78b46', 'False', 'True', 'false', 'false', '510182123159', 5, '华顺村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182123159', 1, '2021-07-19 11:31:45', NULL, NULL), (2568, '', '云居村便民服务室', '8b0674bdc1b24dbb8c592c9a7307fd0f', '012dc58f0f3141c1a682ca59edf78b46', 'False', 'True', 'false', 'false', '510182123160', 5, '云居村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182123160', 1, '2021-07-19 11:31:45', NULL, NULL), (2569, '', '万年社区', 'dc6a83dc1f8c4827a16099d34d1bf5c3', '012dc58f0f3141c1a682ca59edf78b46', 'False', 'True', 'false', 'false', '510182123001', 5, '万年社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182123001', 1, '2021-07-19 11:31:45', NULL, NULL), (2570, '', '楠杨社区', '05fe6cf8f71f430db88517d5c6be192c', '012dc58f0f3141c1a682ca59edf78b46', 'False', 'True', 'false', 'false', '510182123002', 5, '楠杨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182123002', 1, '2021-07-19 11:31:45', NULL, NULL), (2571, '', '官仓村', '1b63dc2b35d645cf8428bf773e8456c1', '012dc58f0f3141c1a682ca59edf78b46', 'False', 'True', 'false', 'false', '510182123208', 5, '官仓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182123208', 1, '2021-07-19 11:31:45', NULL, NULL), (2572, '', '花园村', 'bc1ff719a1664f6ea0c9ca502b6f2635', '012dc58f0f3141c1a682ca59edf78b46', 'False', 'True', 'false', 'false', '510182123211', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182123211', 1, '2021-07-19 11:31:45', NULL, NULL), (2573, '', '张泉村', 'b6573ac94fa64d52859a8ea4bdcc0095', '012dc58f0f3141c1a682ca59edf78b46', 'False', 'True', 'false', 'false', '510182123226', 5, '张泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182123226', 1, '2021-07-19 11:31:45', NULL, NULL), (2574, '', '致和街道', '4f1b6db1e13d44238a90d75d16dfb244', 'e0820986c9d64b5496c2f3745452dc71', 'True', 'True', 'false', 'false', '510182126000', 4, '致和街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510182126000', 1, '2021-07-19 11:31:45', NULL, NULL), (2575, '', '和兴村便民服务室', 'd018d35d2e3c4ff7833e6314c1b4ae77', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126113', 5, '和兴村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126113', 1, '2021-07-19 11:31:45', NULL, NULL), (2576, '', '龙盘村便民服务室', '6ddff22415b049dfaff17fea04c258cf', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126114', 5, '龙盘村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126114', 1, '2021-07-19 11:31:46', NULL, NULL), (2577, '', '高桥村便民服务室', '97e6923ca788408ca942579a189e295d', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126115', 5, '高桥村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126115', 1, '2021-07-19 11:31:46', NULL, NULL), (2578, '', '和源村便民服务室', '12ec7001e92c4fd08eb34fdde244fa28', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126116', 5, '和源村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126116', 1, '2021-07-19 11:31:46', NULL, NULL), (2579, '', '顺和社区便民服务室', '257ac253a72f4e2db27e40aed745d3a0', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126117', 5, '顺和社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126117', 1, '2021-07-19 11:31:46', NULL, NULL), (2580, '', '汇通湖社区便民服务室', 'b4b5f8cec6bd4d9a98216c04b0bf16f8', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126118', 5, '汇通湖社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126118', 1, '2021-07-19 11:31:46', NULL, NULL), (2581, '', '护贤社区便民服务室', 'd44c8d38cdab4b5bbb58f1abb29121ae', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126119', 5, '护贤社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126119', 1, '2021-07-19 11:31:46', NULL, NULL), (2582, '', '普照社区便民服务室', '0349d4adf4de4e3a855f41fc3662c51d', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126120', 5, '普照社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126120', 1, '2021-07-19 11:31:46', NULL, NULL), (2583, '', '兴仁社区便民服务室', 'a94ca0d96a9e49c3bf75ec00a9e95639', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126121', 5, '兴仁社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126121', 1, '2021-07-19 11:31:46', NULL, NULL), (2584, '', '双龙社区便民服务室', '2e1019831780492eac6f4a4ff2a30c98', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126122', 5, '双龙社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126122', 1, '2021-07-19 11:31:46', NULL, NULL), (2585, '', '太平社区', '6812a986ad0841f7a1e436571e8bc55a', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126002', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126002', 1, '2021-07-19 11:31:46', NULL, NULL), (2586, '', '北京堂社区', '1ac26164092b4f1e93588ac5b012d0f5', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126003', 5, '北京堂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126003', 1, '2021-07-19 11:31:46', NULL, NULL), (2587, '', '万家社区', 'd4fa82846cf64f5da84176ab52266c52', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126006', 5, '万家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126006', 1, '2021-07-19 11:31:46', NULL, NULL), (2588, '', '长庆社区', '386a8f6f24f24cc1a01b760dc9343c92', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126015', 5, '长庆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126015', 1, '2021-07-19 11:31:46', NULL, NULL), (2589, '', '清洋社区', '59b4ae8163fc4c8e9d42e0960a066c91', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126210', 5, '清洋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126210', 1, '2021-07-19 11:31:46', NULL, NULL), (2590, '', '百祥社区', 'a613083337044f6d9fa778e46ece3baa', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126211', 5, '百祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126211', 1, '2021-07-19 11:31:47', NULL, NULL), (2591, '', '明台村', '695b62239e264c10b66214249942d55b', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126224', 5, '明台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126224', 1, '2021-07-19 11:31:47', NULL, NULL), (2592, '', '连封社区', '55ff85ab236242008d0130abdeaad145', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126229', 5, '连封社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126229', 1, '2021-07-19 11:31:47', NULL, NULL), (2593, '', '东远社区', '665ff6ca3a054b4dbd1d5697de5dae0a', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126232', 5, '东远社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126232', 1, '2021-07-19 11:31:47', NULL, NULL), (2594, '', '花土村', '282dd18adf88423ba59028cf5726a775', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126235', 5, '花土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126235', 1, '2021-07-19 11:31:47', NULL, NULL), (2595, '', '清林社区', '244f0db63c9348c0b26993de1857bb92', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126241', 5, '清林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126241', 1, '2021-07-19 11:31:47', NULL, NULL), (2596, '', '古云村', 'c3873b499a714ccab1606f056827f6e5', '4f1b6db1e13d44238a90d75d16dfb244', 'False', 'True', 'false', 'false', '510182126242', 5, '古云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182126242', 1, '2021-07-19 11:31:47', NULL, NULL), (2597, '', '濛阳街道', '7e8ef012fd3f48c4ae5c2a11799511fe', 'e0820986c9d64b5496c2f3745452dc71', 'True', 'True', 'false', 'false', '510182188000', 4, '濛阳街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510182188000', 1, '2021-07-19 11:31:47', NULL, NULL), (2598, '', '春泉村便民服务室', '13ad80206370418bbe420d86cc494ffa', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105123', 5, '春泉村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105123', 1, '2021-07-19 11:31:47', NULL, NULL), (2599, '', '白平村便民服务室', '6bb9868acfc04a93be4384dcf0592e1b', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105124', 5, '白平村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105124', 1, '2021-07-19 11:31:47', NULL, NULL), (2600, '', '清圣村便民服务室', '3de20b9bd9674eafa20a8e7bf72d17e9', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105125', 5, '清圣村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105125', 1, '2021-07-19 11:31:47', NULL, NULL), (2601, '', '金凤村便民服务室', 'fef3f6a065fb4c588a8d87718bd926eb', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105126', 5, '金凤村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105126', 1, '2021-07-19 11:31:47', NULL, NULL), (2602, '', '汉王村便民服务室', '58395a2d43254fb9a709ec258db0aeee', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105128', 5, '汉王村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105128', 1, '2021-07-19 11:31:47', NULL, NULL), (2603, '', '清远村便民服务室', 'e3154f44f0424fb8ad9f4ef2e625e4ed', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105129', 5, '清远村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105129', 1, '2021-07-19 11:31:47', NULL, NULL), (2604, '', '三邑桥村便民服务室', '7cd463c4db2d45538e3ffa80038cedf1', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105130', 5, '三邑桥村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105130', 1, '2021-07-19 11:31:48', NULL, NULL), (2605, '', '宝石村便民服务室', 'cc80829889014f2d829ec3921b84c249', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105131', 5, '宝石村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105131', 1, '2021-07-19 11:31:48', NULL, NULL), (2606, '', '桂桥村便民服务室', '5414e5f529654b1280b8465cfd95cdc3', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105132', 5, '桂桥村便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105132', 1, '2021-07-19 11:31:48', NULL, NULL), (2607, '', '杨湾社区便民服务室', '4edef0931b8944f3804fc70c7f0c9f73', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105134', 5, '杨湾社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105134', 1, '2021-07-19 11:31:48', NULL, NULL), (2608, '', '罗万社区便民服务室', '99571f06287344d0a14b0be908a4bd31', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105135', 5, '罗万社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105135', 1, '2021-07-19 11:31:48', NULL, NULL), (2609, '', '义和社区便民服务室', '5ee8e4eba4194f0bb05580abe62cf477', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105136', 5, '义和社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105136', 1, '2021-07-19 11:31:48', NULL, NULL), (2610, '', '星月社区便民服务室', 'c2de4437e95c4c8baaca40b7912c27f2', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105137', 5, '星月社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105137', 1, '2021-07-19 11:31:48', NULL, NULL), (2611, '', '凤凰石社区便民服务室', 'e3c20e2c1b0c40de95d2b394c622d4ea', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105138', 5, '凤凰石社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105138', 1, '2021-07-19 11:31:48', NULL, NULL), (2612, '', '濛江社区便民服务室', '95d2cdb24e8d4154afb182dbe4ca086b', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105139', 5, '濛江社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105139', 1, '2021-07-19 11:31:48', NULL, NULL), (2613, '', '竹瓦社区便民服务室', '4df9708de32d415cb437caf61952b38f', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105140', 5, '竹瓦社区便民服务室', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105140', 1, '2021-07-19 11:31:48', NULL, NULL), (2614, '', '方义村', '13000d1ce97c407980246e210603476e', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105225', 5, '方义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105225', 1, '2021-07-19 11:31:48', NULL, NULL), (2615, '', '丰碑村', '973734db63514502aeaefde0122ff1f7', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105777', 5, '丰碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105777', 1, '2021-07-19 11:31:48', NULL, NULL), (2616, '', '百兴村党群服务室', '6af53959480e4969b1acb508dac46dff', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105987', 5, '百兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105987', 1, '2021-07-19 11:31:49', NULL, NULL), (2617, '', '永桥社区', '2ece9c85d805494387982119deeac749', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105010', 5, '永桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105010', 1, '2021-07-19 11:31:49', NULL, NULL), (2618, '', '泉沟村', 'dd613eeeb86f49579949d40de584bc8d', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105254', 5, '泉沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105254', 1, '2021-07-19 11:31:49', NULL, NULL), (2619, '', '三王村', 'b3d47d49ea514668bb9c490d2aad6f2e', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105255', 5, '三王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105255', 1, '2021-07-19 11:31:49', NULL, NULL), (2620, '', '白土河村', 'd770d263fb0f4150be3207593bd5587f', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105258', 5, '白土河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105258', 1, '2021-07-19 11:31:49', NULL, NULL), (2621, '', '普华村', '253a44d614a24162a45b1a5d40b04c5f', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182105261', 5, '普华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182105261', 1, '2021-07-19 11:31:49', NULL, NULL), (2622, '', '东塔社区', '6e3593fd39b744a9b0870f9529450e4d', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182188858', 5, '东塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182188858', 1, '2021-07-19 11:31:49', NULL, NULL), (2623, '', '蔬香村', '6c85b84bb4464700bf6b8b5e4f0e2b15', '7e8ef012fd3f48c4ae5c2a11799511fe', 'False', 'True', 'false', 'false', '510182188930', 5, '蔬香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510182188930', 1, '2021-07-19 11:31:49', NULL, NULL), (2624, '', '邛崃市', '7b65559b718546a3ad0de8fcf211000c', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510183000000', 3, '邛崃市', 'cdsqls.sczwfw.gov.cn', 1, '2021-07-19 11:31:49', NULL, NULL), (2625, '', '临邛街道', '6ff36f54f14448c18638fff61eb6b6f7', '7b65559b718546a3ad0de8fcf211000c', 'True', 'True', 'false', 'false', '510183001000', 4, '临邛街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510183001000', 1, '2021-07-19 11:31:49', NULL, NULL), (2626, '', '文脉社区', '6cc4b0a5818b4dd9ba62a2cc79d86c40', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001179', 5, '文脉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001179', 1, '2021-07-19 11:31:49', NULL, NULL), (2627, '', '凤凰社区', '9096dad2c2254be79951e16c027ff49c', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001586', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001586', 1, '2021-07-19 11:31:49', NULL, NULL), (2628, '', '华山村', '17fcb9868c574778b95419bd717ca8fa', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001742', 5, '华山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001742', 1, '2021-07-19 11:31:49', NULL, NULL), (2629, '', '马桥村', 'aa48d5a462344d1f9f94eb4e17eec0d2', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001909', 5, '马桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001909', 1, '2021-07-19 11:31:50', NULL, NULL), (2630, '', '前进社区', '620a8ba964334a37bc7b1e557467121d', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001976', 5, '前进社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001976', 1, '2021-07-19 11:31:50', NULL, NULL), (2631, '', '文昌宫社区', '52559fdfe88e4222b52c0afa5c24f165', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001001', 5, '文昌宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001001', 1, '2021-07-19 11:31:50', NULL, NULL), (2632, '', '龙兴寺社区', 'adf56db1706c498dafbae02a20429854', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001002', 5, '龙兴寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001002', 1, '2021-07-19 11:31:50', NULL, NULL), (2633, '', '考棚社区', '71ef5269d6a54792990a9d9ce6488a0b', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001003', 5, '考棚社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001003', 1, '2021-07-19 11:31:50', NULL, NULL), (2634, '', '北坛社区', '4b2f15a24e494febba271a11a292c7a6', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001004', 5, '北坛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001004', 1, '2021-07-19 11:31:50', NULL, NULL), (2635, '', '蜚虹社区', '04a92e3e6ad040699bbdd24aabbf9e34', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001005', 5, '蜚虹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001005', 1, '2021-07-19 11:31:50', NULL, NULL), (2636, '', '三好社区', '48d5c0516fd54c71bfb7def6f197d5f0', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001006', 5, '三好社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001006', 1, '2021-07-19 11:31:50', NULL, NULL), (2637, '', '鹤鸣社区', 'f54ba0d8e33a44439ed20f1aa42c9b47', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001009', 5, '鹤鸣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001009', 1, '2021-07-19 11:31:50', NULL, NULL), (2638, '', '洪川社区', 'a5012b678545402597aa21ae3fc86e80', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001010', 5, '洪川社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001010', 1, '2021-07-19 11:31:50', NULL, NULL), (2639, '', '文星社区', '8baa55f792eb4e2fb6543c2ec1972586', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001011', 5, '文星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001011', 1, '2021-07-19 11:31:50', NULL, NULL), (2640, '', '北鹭社区', '0ae7c36424824693a84c4d4f331e8cba', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001012', 5, '北鹭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001012', 1, '2021-07-19 11:31:50', NULL, NULL), (2641, '', '西江村', '941da0daf90544dabf5e60b161ce4b82', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001200', 5, '西江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001200', 1, '2021-07-19 11:31:50', NULL, NULL), (2642, '', '盘陀村', 'e739cc2e0194483887321cdd3813a0a8', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001201', 5, '盘陀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001201', 1, '2021-07-19 11:31:50', NULL, NULL), (2643, '', '红旗村', '29d5d48542c642c7b5ba0c03a3163e2a', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001203', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001203', 1, '2021-07-19 11:31:50', NULL, NULL), (2644, '', '喻坎村', '9dc39ce2780c4fc5a4995511507e755c', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001204', 5, '喻坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001204', 1, '2021-07-19 11:31:50', NULL, NULL), (2645, '', '晨阳村', 'be4789317f2c4e549f3dc616223edac8', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001206', 5, '晨阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001206', 1, '2021-07-19 11:31:51', NULL, NULL), (2646, '', '金鹅村', '10a9ea5c62db416cb281d9857a3912fd', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001207', 5, '金鹅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001207', 1, '2021-07-19 11:31:51', NULL, NULL), (2647, '', '关家村', 'd5fcbe16ca6d495387c5750245e6da70', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001209', 5, '关家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001209', 1, '2021-07-19 11:31:51', NULL, NULL), (2648, '', '葫芦村', '1754ecdb148341249022f67ba45b45d6', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001211', 5, '葫芦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001211', 1, '2021-07-19 11:31:51', NULL, NULL), (2649, '', '柏树村', '36e6eaceecfc4f96be9071968958b07b', '6ff36f54f14448c18638fff61eb6b6f7', 'False', 'True', 'false', 'false', '510183001214', 5, '柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183001214', 1, '2021-07-19 11:31:51', NULL, NULL), (2650, '', '文君街道', 'e5c0c5d11b8647e19afa68a442e0e47b', '7b65559b718546a3ad0de8fcf211000c', 'True', 'True', 'false', 'false', '510183002000', 4, '文君街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510183002000', 1, '2021-07-19 11:31:51', NULL, NULL), (2651, '', '南岳村', '27727b5138c54cac8325d2425c4ab0d7', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002492', 5, '南岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002492', 1, '2021-07-19 11:31:51', NULL, NULL), (2652, '', '红岩子村', 'b830a16b3eb14cd4867473063566ba47', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002507', 5, '红岩子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002507', 1, '2021-07-19 11:31:51', NULL, NULL), (2653, '', '凤山村', 'de2d5bbe489d474eb101c3b4a35fad02', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002520', 5, '凤山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002520', 1, '2021-07-19 11:31:51', NULL, NULL), (2654, '', '金鸡村', '57e60c9a75654f69b15217c32cd569e2', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002785', 5, '金鸡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002785', 1, '2021-07-19 11:31:51', NULL, NULL), (2655, '', '广岩社区', 'b991c7e5cd64422f852b090873c470af', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002933', 5, '广岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002933', 1, '2021-07-19 11:31:51', NULL, NULL), (2656, '', '双桥社区', '92a9e0697aba47d1a1e5ffae69237836', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002974', 5, '双桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002974', 1, '2021-07-19 11:31:51', NULL, NULL), (2657, '', '观音阁社区', '7b1be25b95d2436e8ddb24a227085dda', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002001', 5, '观音阁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002001', 1, '2021-07-19 11:31:51', NULL, NULL), (2658, '', '文君井社区', '730b7bf807a34a34857ad331195aef67', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002002', 5, '文君井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002002', 1, '2021-07-19 11:31:52', NULL, NULL), (2659, '', '花园巷社区', '24e2058cc29b4af4a957c41322ccd1f1', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002003', 5, '花园巷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002003', 1, '2021-07-19 11:31:52', NULL, NULL), (2660, '', '铁花社区', '297aa381093d4c5ab30c8754fd8c5c9e', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002005', 5, '铁花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002005', 1, '2021-07-19 11:31:52', NULL, NULL), (2661, '', '黄坝社区', '819c62bb105745bb9aafe82e66c0f870', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002006', 5, '黄坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002006', 1, '2021-07-19 11:31:52', NULL, NULL), (2662, '', '玉带社区', '1be3add429124735a4d67ca337098328', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002007', 5, '玉带社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002007', 1, '2021-07-19 11:31:52', NULL, NULL), (2663, '', '东南社区', '7e0337ae893e4f018e5c2420157dc5e3', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002008', 5, '东南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002008', 1, '2021-07-19 11:31:52', NULL, NULL), (2664, '', '渔箭社区', '7213de7decbc4da6937a30c52a308f32', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002009', 5, '渔箭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002009', 1, '2021-07-19 11:31:52', NULL, NULL), (2665, '', '宝塔社区', '57368669deff4cc6970c6e81c68a1f6c', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002010', 5, '宝塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002010', 1, '2021-07-19 11:31:52', NULL, NULL), (2666, '', '惠民社区', '5a57707ed2a24f34a42f264d2b455b8e', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002011', 5, '惠民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002011', 1, '2021-07-19 11:31:52', NULL, NULL), (2667, '', '金桂社区', '7047d8f154534012a367794241f35b05', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002012', 5, '金桂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002012', 1, '2021-07-19 11:31:52', NULL, NULL), (2668, '', '渔唱社区', 'f8e8103996184f0ea3cd85b9d37389d4', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002013', 5, '渔唱社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002013', 1, '2021-07-19 11:31:52', NULL, NULL), (2669, '', '顺河社区', '9b334643378e4bb09c350407863e01d5', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002014', 5, '顺河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002014', 1, '2021-07-19 11:31:52', NULL, NULL), (2670, '', '联丰社区', 'ba3bb25731304dbbacb574e27ee77192', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002015', 5, '联丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002015', 1, '2021-07-19 11:31:52', NULL, NULL), (2671, '', '十方社区', '692ea82cc3504711ab5abd0b2add69e8', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002200', 5, '十方社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002200', 1, '2021-07-19 11:31:52', NULL, NULL), (2672, '', '文笔山村', '21faa13fbe9b431eb00554d34a4d59a2', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002202', 5, '文笔山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002202', 1, '2021-07-19 11:31:53', NULL, NULL), (2673, '', '邱店子村', '876bcd9f65ae4d579958142cfd5befe4', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002205', 5, '邱店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002205', 1, '2021-07-19 11:31:53', NULL, NULL), (2674, '', '南江村', '536293678780474e91c418283f604fc6', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002207', 5, '南江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002207', 1, '2021-07-19 11:31:53', NULL, NULL), (2675, '', '黄鹤村', 'a14341a9341d494abddf185fabd0d29b', 'e5c0c5d11b8647e19afa68a442e0e47b', 'False', 'True', 'false', 'false', '510183002209', 5, '黄鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183002209', 1, '2021-07-19 11:31:53', NULL, NULL), (2676, '', '羊安街道', '6a362301234741e28c653ea7ca83dbc7', '7b65559b718546a3ad0de8fcf211000c', 'True', 'True', 'false', 'false', '510183101000', 4, '羊安街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510183101000', 1, '2021-07-19 11:31:53', NULL, NULL), (2677, '', '回龙社区', 'd03b11a90dad4f3395a34b0b42d14243', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183004099', 5, '回龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183004099', 1, '2021-07-19 11:31:53', NULL, NULL), (2678, '', '白杨村', '1a408faade9949dc983779a0a53b1570', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183004140', 5, '白杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183004140', 1, '2021-07-19 11:31:53', NULL, NULL), (2679, '', '榆树社区', '7e458f0761e24c7dbcd8e231b6dd7212', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183004251', 5, '榆树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183004251', 1, '2021-07-19 11:31:53', NULL, NULL), (2680, '', '永丰社区', 'f02663f9676c4c2eb3af67f3e446e373', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183004308', 5, '永丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183004308', 1, '2021-07-19 11:31:53', NULL, NULL), (2681, '', '五员村', '48749d68611146c1898a2873d18e6b83', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183004394', 5, '五员村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183004394', 1, '2021-07-19 11:31:53', NULL, NULL), (2682, '', '乌木村', 'b928f1eb48594e72b772e737c4221b25', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183004444', 5, '乌木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183004444', 1, '2021-07-19 11:31:53', NULL, NULL), (2683, '', '民乐村', 'bdf5f043979a4617bfddcf3930683ab5', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183004470', 5, '民乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183004470', 1, '2021-07-19 11:31:53', NULL, NULL), (2684, '', '赵塔村', '59b79c11a9094671a804111c340fa3a2', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183004502', 5, '赵塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183004502', 1, '2021-07-19 11:31:54', NULL, NULL), (2685, '', '来龙村', '829eafe5aadd4b19a6b2b55a99e7ff1d', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183004516', 5, '来龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183004516', 1, '2021-07-19 11:31:54', NULL, NULL), (2686, '', '牟礼社区', 'adddf4046c054198b7ad503f7560ae78', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183004603', 5, '牟礼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183004603', 1, '2021-07-19 11:31:54', NULL, NULL), (2687, '', '泉水村', 'e349b6a4aea04df387b78e67c54c0d62', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183004666', 5, '泉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183004666', 1, '2021-07-19 11:31:54', NULL, NULL), (2688, '', '凉风村', '8d5ee85cc70249a7bf339e55b31136d0', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183004706', 5, '凉风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183004706', 1, '2021-07-19 11:31:54', NULL, NULL), (2689, '', '七里村', 'c8c73eee1a374c02ad141ec456391d0d', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183004819', 5, '七里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183004819', 1, '2021-07-19 11:31:54', NULL, NULL), (2690, '', '大塘村', '4af12e996cd644988e50d29cc12a30d6', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183004930', 5, '大塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183004930', 1, '2021-07-19 11:31:54', NULL, NULL), (2691, '', '两河村', '4ad3487cacbc43ba96c76e5e12dd5a78', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183004945', 5, '两河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183004945', 1, '2021-07-19 11:31:54', NULL, NULL), (2692, '', '羊安社区', 'd4168658d0314618ad60c31d373dc2ab', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183101001', 5, '羊安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183101001', 1, '2021-07-19 11:31:54', NULL, NULL), (2693, '', '永安社区', '58d1e7b8dea5435582de24298e4ee12b', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183101002', 5, '永安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183101002', 1, '2021-07-19 11:31:54', NULL, NULL), (2694, '', '仁和社区', '65687d2a84d8455f914bd64593ddd7ce', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183101003', 5, '仁和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183101003', 1, '2021-07-19 11:31:54', NULL, NULL), (2695, '', '汤营社区', 'a33b0cdaa6d5433fb5cf41f5566467bf', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183101004', 5, '汤营社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183101004', 1, '2021-07-19 11:31:54', NULL, NULL), (2696, '', '檀阴社区', '783e915db39442958fe3b8b198c20b16', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183101200', 5, '檀阴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183101200', 1, '2021-07-19 11:31:54', NULL, NULL), (2697, '', '界牌村', 'e33455e90e7d46cb8ee6c014e711837e', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183101202', 5, '界牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183101202', 1, '2021-07-19 11:31:54', NULL, NULL), (2698, '', '方林社区', 'd391a1479da04703a28ce129ec1234e1', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183101206', 5, '方林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183101206', 1, '2021-07-19 11:31:54', NULL, NULL), (2699, '', '樊哙社区', 'ab7544232de64e3db491424dfa11fa31', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183101218', 5, '樊哙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183101218', 1, '2021-07-19 11:31:54', NULL, NULL), (2700, '', '中心村', '57b7cdf9df854dac8dfdcaa9cd601ade', '6a362301234741e28c653ea7ca83dbc7', 'False', 'True', 'false', 'false', '510183101226', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183101226', 1, '2021-07-19 11:31:55', NULL, NULL), (2701, '', '桑园镇', 'd3963e268da349389f7fa9aae23bd9f6', '7b65559b718546a3ad0de8fcf211000c', 'True', 'True', 'false', 'false', '510183103000', 4, '桑园镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510183103000', 1, '2021-07-19 11:31:55', NULL, NULL), (2702, '', '西禅社区', 'f2d21dd743be41a5b43a4794bc73548e', 'd3963e268da349389f7fa9aae23bd9f6', 'False', 'True', 'false', 'false', '510183103115', 5, '西禅社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183103115', 1, '2021-07-19 11:31:55', NULL, NULL), (2703, '', '张坝社区', '52fc4e84c61e44b29545939882aae997', 'd3963e268da349389f7fa9aae23bd9f6', 'False', 'True', 'false', 'false', '510183103202', 5, '张坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183103202', 1, '2021-07-19 11:31:55', NULL, NULL), (2704, '', '周场村', '9974211ce8ca413d84de4601ac42f002', 'd3963e268da349389f7fa9aae23bd9f6', 'False', 'True', 'false', 'false', '510183103209', 5, '周场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183103209', 1, '2021-07-19 11:31:55', NULL, NULL), (2705, '', '和乐村', 'fde0f4dc2f114a08a2b9080075eb84a4', 'd3963e268da349389f7fa9aae23bd9f6', 'False', 'True', 'false', 'false', '510183103302', 5, '和乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183103302', 1, '2021-07-19 11:31:55', NULL, NULL), (2706, '', '古坪村', 'ade226bd137b4d1e8907f9cb75849075', 'd3963e268da349389f7fa9aae23bd9f6', 'False', 'True', 'false', 'false', '510183103314', 5, '古坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183103314', 1, '2021-07-19 11:31:55', NULL, NULL), (2707, '', '凤仪村', 'd7e40676f87c4f6496803747f276803f', 'd3963e268da349389f7fa9aae23bd9f6', 'False', 'True', 'false', 'false', '510183103396', 5, '凤仪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183103396', 1, '2021-07-19 11:31:55', NULL, NULL), (2708, '', '陈院村', 'c3eb0064d2df4e5a9681132ac3105c20', 'd3963e268da349389f7fa9aae23bd9f6', 'False', 'True', 'false', 'false', '510183103548', 5, '陈院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183103548', 1, '2021-07-19 11:31:55', NULL, NULL), (2709, '', '干塘村', 'a2e6ecc85de04a289738b19eb5160033', 'd3963e268da349389f7fa9aae23bd9f6', 'False', 'True', 'false', 'false', '510183103813', 5, '干塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183103813', 1, '2021-07-19 11:31:55', NULL, NULL), (2710, '', '马鞍社区', '030a6ac4c05a410c90e8bc3d74038880', 'd3963e268da349389f7fa9aae23bd9f6', 'False', 'True', 'false', 'false', '510183103001', 5, '马鞍社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183103001', 1, '2021-07-19 11:31:56', NULL, NULL), (2711, '', '高店村', '8eb1070ba91c4cfeb86021c5370c8831', 'd3963e268da349389f7fa9aae23bd9f6', 'False', 'True', 'false', 'false', '510183103203', 5, '高店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183103203', 1, '2021-07-19 11:31:56', NULL, NULL), (2712, '', '黑虎村', '5e828e4ee15a49c29249ed4c1592bf56', 'd3963e268da349389f7fa9aae23bd9f6', 'False', 'True', 'false', 'false', '510183103204', 5, '黑虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183103204', 1, '2021-07-19 11:31:56', NULL, NULL), (2713, '', '中田村', '621f3dc9f3e64025a83e77ddb620d881', 'd3963e268da349389f7fa9aae23bd9f6', 'False', 'True', 'false', 'false', '510183103207', 5, '中田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183103207', 1, '2021-07-19 11:31:56', NULL, NULL), (2714, '', '向阳村', 'f103472e1d5441638ae0496bcd603756', 'd3963e268da349389f7fa9aae23bd9f6', 'False', 'True', 'false', 'false', '510183103208', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183103208', 1, '2021-07-19 11:31:56', NULL, NULL), (2715, '', '童桥村', 'ecbfeb0075ce4996977cd3d016c6f9b8', 'd3963e268da349389f7fa9aae23bd9f6', 'False', 'True', 'false', 'false', '510183103210', 5, '童桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183103210', 1, '2021-07-19 11:31:56', NULL, NULL), (2716, '', '太山村', 'c29c4d1ec34d46db9c74b28547ced27e', 'd3963e268da349389f7fa9aae23bd9f6', 'False', 'True', 'false', 'false', '510183103214', 5, '太山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183103214', 1, '2021-07-19 11:31:56', NULL, NULL), (2717, '', '平乐镇', '9c91ffe13a594af7bab4e731b40085f4', '7b65559b718546a3ad0de8fcf211000c', 'True', 'True', 'false', 'false', '510183104000', 4, '平乐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510183104000', 1, '2021-07-19 11:31:56', NULL, NULL), (2718, '', '青华社区', '9ce3ed3e7c984138b8370b78b243fcf0', '9c91ffe13a594af7bab4e731b40085f4', 'False', 'True', 'false', 'false', '510183104234', 5, '青华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183104234', 1, '2021-07-19 11:31:56', NULL, NULL), (2719, '', '郑航村', '093e578273124067bd5f5bfa63001744', '9c91ffe13a594af7bab4e731b40085f4', 'False', 'True', 'false', 'false', '510183104457', 5, '郑航村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183104457', 1, '2021-07-19 11:31:56', NULL, NULL), (2720, '', '禹王社区', 'b8086faab8b24934ab5fd7438f76028f', '9c91ffe13a594af7bab4e731b40085f4', 'False', 'True', 'false', 'false', '510183104001', 5, '禹王社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183104001', 1, '2021-07-19 11:31:56', NULL, NULL), (2721, '', '金河社区', '44d086d19ac846f4bd97afa9d4459446', '9c91ffe13a594af7bab4e731b40085f4', 'False', 'True', 'false', 'false', '510183104002', 5, '金河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183104002', 1, '2021-07-19 11:31:56', NULL, NULL), (2722, '', '洗马社区', 'b978bce5a78e4fe9bc0f124156942b1f', '9c91ffe13a594af7bab4e731b40085f4', 'False', 'True', 'false', 'false', '510183104004', 5, '洗马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183104004', 1, '2021-07-19 11:31:56', NULL, NULL), (2723, '', '金华社区', '7945bd6de0c94649b504803ab4fe7d45', '9c91ffe13a594af7bab4e731b40085f4', 'False', 'True', 'false', 'false', '510183104006', 5, '金华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183104006', 1, '2021-07-19 11:31:56', NULL, NULL), (2724, '', '花楸社区', '525aba73860c49b99440e64ddf2b6961', '9c91ffe13a594af7bab4e731b40085f4', 'False', 'True', 'false', 'false', '510183104007', 5, '花楸社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183104007', 1, '2021-07-19 11:31:57', NULL, NULL), (2725, '', '安乐村', '6484f98c1e254c0fb32c0c57c6cd6f6a', '9c91ffe13a594af7bab4e731b40085f4', 'False', 'True', 'false', 'false', '510183104200', 5, '安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183104200', 1, '2021-07-19 11:31:57', NULL, NULL), (2726, '', '同乐村', 'efd8da56411d4e6f982404606f2cdb74', '9c91ffe13a594af7bab4e731b40085f4', 'False', 'True', 'false', 'false', '510183104207', 5, '同乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183104207', 1, '2021-07-19 11:31:57', NULL, NULL), (2727, '', '关帝村', '92b4e612872e441f9cfe329fbfd4af63', '9c91ffe13a594af7bab4e731b40085f4', 'False', 'True', 'false', 'false', '510183104211', 5, '关帝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183104211', 1, '2021-07-19 11:31:57', NULL, NULL), (2728, '', '马流村', 'ad24169530244f188f1756beccf1bb90', '9c91ffe13a594af7bab4e731b40085f4', 'False', 'True', 'false', 'false', '510183104219', 5, '马流村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183104219', 1, '2021-07-19 11:31:57', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (2729, '', '范店村', 'fc9ff3abe2c74640b287c4d5e8d2ca56', '9c91ffe13a594af7bab4e731b40085f4', 'False', 'True', 'false', 'false', '510183104222', 5, '范店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183104222', 1, '2021-07-19 11:31:57', NULL, NULL), (2730, '', '骑龙村', 'a40a9925a18f4872ac095e3e50f483a8', '9c91ffe13a594af7bab4e731b40085f4', 'False', 'True', 'false', 'false', '510183104223', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183104223', 1, '2021-07-19 11:31:57', NULL, NULL), (2731, '', '夹关镇', '0a3677cf3d5f4f33a754662a8d246db9', '7b65559b718546a3ad0de8fcf211000c', 'True', 'True', 'false', 'false', '510183105000', 4, '夹关镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510183105000', 1, '2021-07-19 11:31:57', NULL, NULL), (2732, '', '紫荆村', '45a1134f24424ab28c824a0986a2c1dc', '0a3677cf3d5f4f33a754662a8d246db9', 'False', 'True', 'false', 'false', '510183105243', 5, '紫荆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183105243', 1, '2021-07-19 11:31:57', NULL, NULL), (2733, '', '天井村', '43df895f529e4857ad89067cd5b2b058', '0a3677cf3d5f4f33a754662a8d246db9', 'False', 'True', 'false', 'false', '510183105363', 5, '天井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183105363', 1, '2021-07-19 11:31:57', NULL, NULL), (2734, '', '太和村', '095885e2e83a4cd89abeb59f64c23028', '0a3677cf3d5f4f33a754662a8d246db9', 'False', 'True', 'false', 'false', '510183105430', 5, '太和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183105430', 1, '2021-07-19 11:31:58', NULL, NULL), (2735, '', '冯坝村', '17360b27707f452a9e42af7b1cb9dca2', '0a3677cf3d5f4f33a754662a8d246db9', 'False', 'True', 'false', 'false', '510183105806', 5, '冯坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183105806', 1, '2021-07-19 11:31:58', NULL, NULL), (2736, '', '临江社区', 'c61dad3d50944d06a2a310069ddc63e7', '0a3677cf3d5f4f33a754662a8d246db9', 'False', 'True', 'false', 'false', '510183105001', 5, '临江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183105001', 1, '2021-07-19 11:31:58', NULL, NULL), (2737, '', '王店社区', '71b1bfcc571e4307b5de279046af49ff', '0a3677cf3d5f4f33a754662a8d246db9', 'False', 'True', 'false', 'false', '510183105002', 5, '王店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183105002', 1, '2021-07-19 11:31:58', NULL, NULL), (2738, '', '草池村', '21d54230bcf84f06aaa9956a798bbfa3', '0a3677cf3d5f4f33a754662a8d246db9', 'False', 'True', 'false', 'false', '510183105202', 5, '草池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183105202', 1, '2021-07-19 11:31:58', NULL, NULL), (2739, '', '拴马村', 'c2752576d83b480c9ee757b108be2fd1', '0a3677cf3d5f4f33a754662a8d246db9', 'False', 'True', 'false', 'false', '510183105207', 5, '拴马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183105207', 1, '2021-07-19 11:31:58', NULL, NULL), (2740, '', '熊营村', 'fe9cb76a07174067b87784a209872a39', '0a3677cf3d5f4f33a754662a8d246db9', 'False', 'True', 'false', 'false', '510183105209', 5, '熊营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183105209', 1, '2021-07-19 11:31:58', NULL, NULL), (2741, '', '鱼坝村', 'f241c0e972ac472f8bf2138a5c420daa', '0a3677cf3d5f4f33a754662a8d246db9', 'False', 'True', 'false', 'false', '510183105210', 5, '鱼坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183105210', 1, '2021-07-19 11:31:58', NULL, NULL), (2742, '', '龚店村', '9f6e357828d74523bc8d83382b57d1cd', '0a3677cf3d5f4f33a754662a8d246db9', 'False', 'True', 'false', 'false', '510183105212', 5, '龚店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183105212', 1, '2021-07-19 11:31:58', NULL, NULL), (2743, '', '火井镇', '6059f2a5b42847a48bee9aaf6d4f0228', '7b65559b718546a3ad0de8fcf211000c', 'True', 'True', 'false', 'false', '510183106000', 4, '火井镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510183106000', 1, '2021-07-19 11:31:58', NULL, NULL), (2744, '', '常乐村', '58d5fbfc5ef3411ab78d76b773b4c62d', '6059f2a5b42847a48bee9aaf6d4f0228', 'False', 'True', 'false', 'false', '510183106234', 5, '常乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183106234', 1, '2021-07-19 11:31:58', NULL, NULL), (2745, '', '大葫村', '4520ce5bb18b4cdd8949c535d0fefacd', '6059f2a5b42847a48bee9aaf6d4f0228', 'False', 'True', 'false', 'false', '510183106624', 5, '大葫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183106624', 1, '2021-07-19 11:31:59', NULL, NULL), (2746, '', '高场社区', '7dcfe0b852134ea9809798ec7b907adc', '6059f2a5b42847a48bee9aaf6d4f0228', 'False', 'True', 'false', 'false', '510183106001', 5, '高场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183106001', 1, '2021-07-19 11:31:59', NULL, NULL), (2747, '', '银台山村', '482fcb2ae7f54af2b33be1c97a0422d0', '6059f2a5b42847a48bee9aaf6d4f0228', 'False', 'True', 'false', 'false', '510183106202', 5, '银台山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183106202', 1, '2021-07-19 11:31:59', NULL, NULL), (2748, '', '状元村', 'ab69fbe430c84ee58f2874b23c564af4', '6059f2a5b42847a48bee9aaf6d4f0228', 'False', 'True', 'false', 'false', '510183106206', 5, '状元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183106206', 1, '2021-07-19 11:31:59', NULL, NULL), (2749, '', '双童村', '72dd97dfc22848b2a6b77d3d1b65a9ef', '6059f2a5b42847a48bee9aaf6d4f0228', 'False', 'True', 'false', 'false', '510183106208', 5, '双童村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183106208', 1, '2021-07-19 11:31:59', NULL, NULL), (2750, '', '三和村', 'bed87d8f72194f2daf9eba0183008163', '6059f2a5b42847a48bee9aaf6d4f0228', 'False', 'True', 'false', 'false', '510183106210', 5, '三和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183106210', 1, '2021-07-19 11:31:59', NULL, NULL), (2751, '', '兴福村', '2de75475933a4702baaadb072295f7e3', '6059f2a5b42847a48bee9aaf6d4f0228', 'False', 'True', 'false', 'false', '510183106213', 5, '兴福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183106213', 1, '2021-07-19 11:31:59', NULL, NULL), (2752, '', '纸坊村', '38f09463a3f84d0b8886d6e8b631e558', '6059f2a5b42847a48bee9aaf6d4f0228', 'False', 'True', 'false', 'false', '510183106214', 5, '纸坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183106214', 1, '2021-07-19 11:31:59', NULL, NULL), (2753, '', '固驿街道', '12afc3f389d2416cb6c1f3f24f927a45', '7b65559b718546a3ad0de8fcf211000c', 'True', 'True', 'false', 'false', '510183108000', 4, '固驿街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510183108000', 1, '2021-07-19 11:31:59', NULL, NULL), (2754, '', '迎祥村', '6258c584cb914b8ab5f74abf57e1ed48', '12afc3f389d2416cb6c1f3f24f927a45', 'False', 'True', 'false', 'false', '510183003585', 5, '迎祥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183003585', 1, '2021-07-19 11:31:59', NULL, NULL), (2755, '', '开元村', 'e97fbd793a634bf18bc1a92ef7cc25d3', '12afc3f389d2416cb6c1f3f24f927a45', 'False', 'True', 'false', 'false', '510183003712', 5, '开元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183003712', 1, '2021-07-19 11:32:00', NULL, NULL), (2756, '', '凤林村', 'a78593e82a2d444a9acc1eda25bb0025', '12afc3f389d2416cb6c1f3f24f927a45', 'False', 'True', 'false', 'false', '510183003718', 5, '凤林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183003718', 1, '2021-07-19 11:32:00', NULL, NULL), (2757, '', '兴贤社区', '4d118e58ab9c4ca798808fccf13fbf2b', '12afc3f389d2416cb6c1f3f24f927a45', 'False', 'True', 'false', 'false', '510183003736', 5, '兴贤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183003736', 1, '2021-07-19 11:32:00', NULL, NULL), (2758, '', '春台社区', '0284a629eaf143f2b5bc8c5451b47b32', '12afc3f389d2416cb6c1f3f24f927a45', 'False', 'True', 'false', 'false', '510183108001', 5, '春台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183108001', 1, '2021-07-19 11:32:00', NULL, NULL), (2759, '', '仁寿社区', '2045d9650e964f009a20c96a8a6a0f1f', '12afc3f389d2416cb6c1f3f24f927a45', 'False', 'True', 'false', 'false', '510183108002', 5, '仁寿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183108002', 1, '2021-07-19 11:32:00', NULL, NULL), (2760, '', '花园村', 'ddb694e26c104ad4817f863a33d506b7', '12afc3f389d2416cb6c1f3f24f927a45', 'False', 'True', 'false', 'false', '510183108202', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183108202', 1, '2021-07-19 11:32:00', NULL, NULL), (2761, '', '柏林桥村', '49ca426d72be4bf99b016eaffe7f5ae7', '12afc3f389d2416cb6c1f3f24f927a45', 'False', 'True', 'false', 'false', '510183108206', 5, '柏林桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183108206', 1, '2021-07-19 11:32:00', NULL, NULL), (2762, '', '公义村', 'ffbb9e0463984e569dd2174cca8efdcd', '12afc3f389d2416cb6c1f3f24f927a45', 'False', 'True', 'false', 'false', '510183108211', 5, '公义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183108211', 1, '2021-07-19 11:32:00', NULL, NULL), (2763, '', '军田村', 'ee954c184dbd4a3a8aab2aa4bfdd1a15', '12afc3f389d2416cb6c1f3f24f927a45', 'False', 'True', 'false', 'false', '510183108215', 5, '军田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183108215', 1, '2021-07-19 11:32:00', NULL, NULL), (2764, '', '龙庵村', 'e280e0d34f3440d5851b6646510f8ae3', '12afc3f389d2416cb6c1f3f24f927a45', 'False', 'True', 'false', 'false', '510183108217', 5, '龙庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183108217', 1, '2021-07-19 11:32:00', NULL, NULL), (2765, '', '南京村', '83fdc4d565334a63aabc3575e8dcf3e5', '12afc3f389d2416cb6c1f3f24f927a45', 'False', 'True', 'false', 'false', '510183108220', 5, '南京村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183108220', 1, '2021-07-19 11:32:00', NULL, NULL), (2766, '', '黑石村', '9e3d4283f4d343c88d683a7680beebd7', '12afc3f389d2416cb6c1f3f24f927a45', 'False', 'True', 'false', 'false', '510183108222', 5, '黑石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183108222', 1, '2021-07-19 11:32:00', NULL, NULL), (2767, '', '高埂街道', '88f3d0806dbd42afbf61aa0a59c25596', '7b65559b718546a3ad0de8fcf211000c', 'True', 'True', 'false', 'false', '510183111000', 4, '高埂街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510183111000', 1, '2021-07-19 11:32:00', NULL, NULL), (2768, '', '斜江社区', '4e4003ecad6c49ec897946f9b1994cc8', '88f3d0806dbd42afbf61aa0a59c25596', 'False', 'True', 'false', 'false', '510183005113', 5, '斜江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183005113', 1, '2021-07-19 11:32:01', NULL, NULL), (2769, '', '义渡社区', '8a7294be826246df989c6197cff885dc', '88f3d0806dbd42afbf61aa0a59c25596', 'False', 'True', 'false', 'false', '510183005298', 5, '义渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183005298', 1, '2021-07-19 11:32:01', NULL, NULL), (2770, '', '园林村', '45b4f42ba64f412a845acc3e22fad1dc', '88f3d0806dbd42afbf61aa0a59c25596', 'False', 'True', 'false', 'false', '510183005410', 5, '园林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183005410', 1, '2021-07-19 11:32:01', NULL, NULL), (2771, '', '火星村', '899947e271ff407aa23fa874d7c3fd3e', '88f3d0806dbd42afbf61aa0a59c25596', 'False', 'True', 'false', 'false', '510183005441', 5, '火星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183005441', 1, '2021-07-19 11:32:01', NULL, NULL), (2772, '', '英汉社区', 'c9cb83434d094fc398fb83c676e0ebf9', '88f3d0806dbd42afbf61aa0a59c25596', 'False', 'True', 'false', 'false', '510183005543', 5, '英汉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183005543', 1, '2021-07-19 11:32:01', NULL, NULL), (2773, '', '冉义社区', 'e6ff73bc8c354e088b9be3820e545e21', '88f3d0806dbd42afbf61aa0a59c25596', 'False', 'True', 'false', 'false', '510183005560', 5, '冉义社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183005560', 1, '2021-07-19 11:32:01', NULL, NULL), (2774, '', '共富村', 'efa9c5a1f9534601b84223efc2931487', '88f3d0806dbd42afbf61aa0a59c25596', 'False', 'True', 'false', 'false', '510183005587', 5, '共富村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183005587', 1, '2021-07-19 11:32:01', NULL, NULL), (2775, '', '高桥社区', 'decabce4276c4caebfa3c1833b0e8c78', '88f3d0806dbd42afbf61aa0a59c25596', 'False', 'True', 'false', 'false', '510183111001', 5, '高桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183111001', 1, '2021-07-19 11:32:01', NULL, NULL), (2776, '', '和平村', '39994295c09142c19a802397a191f043', '88f3d0806dbd42afbf61aa0a59c25596', 'False', 'True', 'false', 'false', '510183111207', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183111207', 1, '2021-07-19 11:32:01', NULL, NULL), (2777, '', '光明村', '070827b9110a4ac886de03d551f56475', '88f3d0806dbd42afbf61aa0a59c25596', 'False', 'True', 'false', 'false', '510183111208', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183111208', 1, '2021-07-19 11:32:01', NULL, NULL), (2778, '', '高埂村', '525be157978c43b48a91d6c3c3f2557f', '88f3d0806dbd42afbf61aa0a59c25596', 'False', 'True', 'false', 'false', '510183111212', 5, '高埂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183111212', 1, '2021-07-19 11:32:01', NULL, NULL), (2779, '', '临济镇', 'f84e5fcb7dbc4feaba7e2f0910941bcc', '7b65559b718546a3ad0de8fcf211000c', 'True', 'True', 'false', 'false', '510183115000', 4, '临济镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510183115000', 1, '2021-07-19 11:32:02', NULL, NULL), (2780, '', '寨沟村', '0b3268f6fbd64255a7f9e58d9652ae16', 'f84e5fcb7dbc4feaba7e2f0910941bcc', 'False', 'True', 'false', 'false', '510183115338', 5, '寨沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183115338', 1, '2021-07-19 11:32:02', NULL, NULL), (2781, '', '道佐社区', '28f433379ccf45d191cc081078aecfeb', 'f84e5fcb7dbc4feaba7e2f0910941bcc', 'False', 'True', 'false', 'false', '510183115890', 5, '道佐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183115890', 1, '2021-07-19 11:32:02', NULL, NULL), (2782, '', '万福村', '33073b95ae0f4580be036db65d009c0b', 'f84e5fcb7dbc4feaba7e2f0910941bcc', 'False', 'True', 'false', 'false', '510183115931', 5, '万福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183115931', 1, '2021-07-19 11:32:02', NULL, NULL), (2783, '', '黄庙社区', '5f5e73f513e44501bce544e6e04b88e9', 'f84e5fcb7dbc4feaba7e2f0910941bcc', 'False', 'True', 'false', 'false', '510183115001', 5, '黄庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183115001', 1, '2021-07-19 11:32:02', NULL, NULL), (2784, '', '瑞林村', '1ec34693c7d141aeb9c328e22a321b2a', 'f84e5fcb7dbc4feaba7e2f0910941bcc', 'False', 'True', 'false', 'false', '510183115204', 5, '瑞林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183115204', 1, '2021-07-19 11:32:02', NULL, NULL), (2785, '', '天台山镇', '52d8abdd965f47b8a56e4d791d35bde9', '7b65559b718546a3ad0de8fcf211000c', 'True', 'True', 'false', 'false', '510183118000', 4, '天台山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510183118000', 1, '2021-07-19 11:32:02', NULL, NULL), (2786, '', '何场村', 'c54a3b56dd7c4538b883f6a4d1c25fa4', '52d8abdd965f47b8a56e4d791d35bde9', 'False', 'True', 'false', 'false', '510183118527', 5, '何场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183118527', 1, '2021-07-19 11:32:02', NULL, NULL), (2787, '', '沙坝社区', '53fd8eb6cc59472b8578cd5205eebd1c', '52d8abdd965f47b8a56e4d791d35bde9', 'False', 'True', 'false', 'false', '510183118856', 5, '沙坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183118856', 1, '2021-07-19 11:32:02', NULL, NULL), (2788, '', '高兴村', '38e546690b624bde8bfa66217aaa8530', '52d8abdd965f47b8a56e4d791d35bde9', 'False', 'True', 'false', 'false', '510183118877', 5, '高兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183118877', 1, '2021-07-19 11:32:02', NULL, NULL), (2789, '', '靖口村', 'ee80d2d253f247c3ad6758febe52d1ed', '52d8abdd965f47b8a56e4d791d35bde9', 'False', 'True', 'false', 'false', '510183118903', 5, '靖口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183118903', 1, '2021-07-19 11:32:02', NULL, NULL), (2790, '', '毛河村', 'd0f3b7e1d33e41368771492f1d106926', '52d8abdd965f47b8a56e4d791d35bde9', 'False', 'True', 'false', 'false', '510183118990', 5, '毛河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183118990', 1, '2021-07-19 11:32:02', NULL, NULL), (2791, '', '三角社区', '61cccc1ce1ed45dfac4d14c519572534', '52d8abdd965f47b8a56e4d791d35bde9', 'False', 'True', 'false', 'false', '510183118001', 5, '三角社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183118001', 1, '2021-07-19 11:32:02', NULL, NULL), (2792, '', '纪红村', '2d0ac8aad685485c91734a32e4cbcc52', '52d8abdd965f47b8a56e4d791d35bde9', 'False', 'True', 'false', 'false', '510183118204', 5, '纪红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183118204', 1, '2021-07-19 11:32:02', NULL, NULL), (2793, '', '凤乐村', 'e3a91900fb9a430880584a9dea2133a8', '52d8abdd965f47b8a56e4d791d35bde9', 'False', 'True', 'false', 'false', '510183118205', 5, '凤乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183118205', 1, '2021-07-19 11:32:03', NULL, NULL), (2794, '', '南宝山镇', 'feb2738d8eaf48bdb82100a9a96dbd13', '7b65559b718546a3ad0de8fcf211000c', 'True', 'True', 'false', 'false', '510183121000', 4, '南宝山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510183121000', 1, '2021-07-19 11:32:03', NULL, NULL), (2795, '', '桃花社区', 'eb2fd04d4e6346dab9b6ad18309a9ce5', 'feb2738d8eaf48bdb82100a9a96dbd13', 'False', 'True', 'false', 'false', '510183121001', 5, '桃花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183121001', 1, '2021-07-19 11:32:03', NULL, NULL), (2796, '', '秋园村', 'ab14dbdd7f9d4313b8b97901cd5a8d87', 'feb2738d8eaf48bdb82100a9a96dbd13', 'False', 'True', 'false', 'false', '510183121204', 5, '秋园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183121204', 1, '2021-07-19 11:32:03', NULL, NULL), (2797, '', '金花村', '31bf1d28d7a94851bfd060c6db5917f9', 'feb2738d8eaf48bdb82100a9a96dbd13', 'False', 'True', 'false', 'false', '510183121206', 5, '金花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183121206', 1, '2021-07-19 11:32:03', NULL, NULL), (2798, '', '木梯村', '16063d095aa446a9bbbedb70d14c57e1', 'feb2738d8eaf48bdb82100a9a96dbd13', 'False', 'True', 'false', 'false', '510183121207', 5, '木梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183121207', 1, '2021-07-19 11:32:03', NULL, NULL), (2799, '', '马岩村', '2032b5a432aa47efb6d1eb73c1fe649c', 'feb2738d8eaf48bdb82100a9a96dbd13', 'False', 'True', 'false', 'false', '510183121209', 5, '马岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183121209', 1, '2021-07-19 11:32:03', NULL, NULL), (2800, '', '天池村', '05eef434ec5b440c978f2e01275cb15d', 'feb2738d8eaf48bdb82100a9a96dbd13', 'False', 'True', 'false', 'false', '510183121211', 5, '天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183121211', 1, '2021-07-19 11:32:03', NULL, NULL), (2801, '', '川王村', '7b140ae7ea1a4505bcc03f4f9b6de449', 'feb2738d8eaf48bdb82100a9a96dbd13', 'False', 'True', 'false', 'false', '510183121212', 5, '川王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183121212', 1, '2021-07-19 11:32:03', NULL, NULL), (2802, '', '静室村', '5ed661e7b29e4b2c9822cda083138781', 'feb2738d8eaf48bdb82100a9a96dbd13', 'False', 'True', 'false', 'false', '510183121214', 5, '静室村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183121214', 1, '2021-07-19 11:32:03', NULL, NULL), (2803, '', '直台村', 'bcf9a7de01eb4e34b8891ead0ac9dd0a', 'feb2738d8eaf48bdb82100a9a96dbd13', 'False', 'True', 'false', 'false', '510183121215', 5, '直台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183121215', 1, '2021-07-19 11:32:03', NULL, NULL), (2804, '', '大同镇', '70e5afdd54bb4f53993c59a94ec6352d', '7b65559b718546a3ad0de8fcf211000c', 'True', 'True', 'false', 'false', '510183212000', 4, '大同镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510183212000', 1, '2021-07-19 11:32:03', NULL, NULL), (2805, '', '金山村', 'a03880e2df7c443b851d752e75b68846', '70e5afdd54bb4f53993c59a94ec6352d', 'False', 'True', 'false', 'false', '510183212021', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183212021', 1, '2021-07-19 11:32:03', NULL, NULL), (2806, '', '白象村', '0158298591b8452592c596f7014e1d7e', '70e5afdd54bb4f53993c59a94ec6352d', 'False', 'True', 'false', 'false', '510183212206', 5, '白象村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183212206', 1, '2021-07-19 11:32:03', NULL, NULL), (2807, '', '钟山社区', '303334e3f2d94e1c850d1d40b2342a06', '70e5afdd54bb4f53993c59a94ec6352d', 'False', 'True', 'false', 'false', '510183212252', 5, '钟山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183212252', 1, '2021-07-19 11:32:04', NULL, NULL), (2808, '', '石尊村', '7dc02aec42a74b8998522cb1e8ca20b4', '70e5afdd54bb4f53993c59a94ec6352d', 'False', 'True', 'false', 'false', '510183212534', 5, '石尊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183212534', 1, '2021-07-19 11:32:04', NULL, NULL), (2809, '', '水口社区', '98018ccbe39a4da4a4b95c11e05505ac', '70e5afdd54bb4f53993c59a94ec6352d', 'False', 'True', 'false', 'false', '510183212621', 5, '水口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183212621', 1, '2021-07-19 11:32:04', NULL, NULL), (2810, '', '响水村', 'fcf639bbf79e40b3b7054aa1c2adfd77', '70e5afdd54bb4f53993c59a94ec6352d', 'False', 'True', 'false', 'false', '510183212647', 5, '响水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183212647', 1, '2021-07-19 11:32:04', NULL, NULL), (2811, '', '曙光村', '45bb3d221c984af19aefcfae8601e805', '70e5afdd54bb4f53993c59a94ec6352d', 'False', 'True', 'false', 'false', '510183212889', 5, '曙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183212889', 1, '2021-07-19 11:32:04', NULL, NULL), (2812, '', '合江村', 'b867b5e1ac604a2892a76446c469974d', '70e5afdd54bb4f53993c59a94ec6352d', 'False', 'True', 'false', 'false', '510183212897', 5, '合江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183212897', 1, '2021-07-19 11:32:04', NULL, NULL), (2813, '', '马湖村', 'f532c7bac2f243d784f7786fb6405643', '70e5afdd54bb4f53993c59a94ec6352d', 'False', 'True', 'false', 'false', '510183212964', 5, '马湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183212964', 1, '2021-07-19 11:32:04', NULL, NULL), (2814, '', '李桅村', '95a0813eb4024b28ab3283fca25863bc', '70e5afdd54bb4f53993c59a94ec6352d', 'False', 'True', 'false', 'false', '510183212985', 5, '李桅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183212985', 1, '2021-07-19 11:32:04', NULL, NULL), (2815, '', '永兴社区', '0de2c362140447ed8a9088f2aae7d729', '70e5afdd54bb4f53993c59a94ec6352d', 'False', 'True', 'false', 'false', '510183212001', 5, '永兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183212001', 1, '2021-07-19 11:32:04', NULL, NULL), (2816, '', '周沟村', '4c2b3a239b6248758880379da0fa0219', '70e5afdd54bb4f53993c59a94ec6352d', 'False', 'True', 'false', 'false', '510183212202', 5, '周沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183212202', 1, '2021-07-19 11:32:04', NULL, NULL), (2817, '', '景沟村', '37d1212fcbbb476da79dfff55a302064', '70e5afdd54bb4f53993c59a94ec6352d', 'False', 'True', 'false', 'false', '510183212203', 5, '景沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183212203', 1, '2021-07-19 11:32:05', NULL, NULL), (2818, '', '孔家山村', 'd693e68d8d914f87b30fbba113f8d1e3', '70e5afdd54bb4f53993c59a94ec6352d', 'False', 'True', 'false', 'false', '510183212207', 5, '孔家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183212207', 1, '2021-07-19 11:32:05', NULL, NULL), (2819, '', '陶坝村', '3c6f6dfd4ed040f7b9e877b1b23b47d6', '70e5afdd54bb4f53993c59a94ec6352d', 'False', 'True', 'false', 'false', '510183212211', 5, '陶坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183212211', 1, '2021-07-19 11:32:05', NULL, NULL), (2820, '', '孔明街道', '5c7bcdd5e10e4022a7862c0dedec839c', '7b65559b718546a3ad0de8fcf211000c', 'True', 'True', 'false', 'false', '510183214000', 4, '孔明街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510183214000', 1, '2021-07-19 11:32:05', NULL, NULL), (2821, '', '丰收村', '16b4fd653db84137b02fa18e22b35dc9', '5c7bcdd5e10e4022a7862c0dedec839c', 'False', 'True', 'false', 'false', '510183006061', 5, '丰收村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183006061', 1, '2021-07-19 11:32:05', NULL, NULL), (2822, '', '拢龙村', '629ccba12c8b464eaa0c0ce932018c98', '5c7bcdd5e10e4022a7862c0dedec839c', 'False', 'True', 'false', 'false', '510183006650', 5, '拢龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183006650', 1, '2021-07-19 11:32:05', NULL, NULL), (2823, '', '酒源社区', 'ab4fb9f8024448c8803c296c805f30ec', '5c7bcdd5e10e4022a7862c0dedec839c', 'False', 'True', 'false', 'false', '510183006696', 5, '酒源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183006696', 1, '2021-07-19 11:32:05', NULL, NULL), (2824, '', '卧龙社区', '476f2f26d0cf4ecca964ff59f4474be3', '5c7bcdd5e10e4022a7862c0dedec839c', 'False', 'True', 'false', 'false', '510183006937', 5, '卧龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183006937', 1, '2021-07-19 11:32:05', NULL, NULL), (2825, '', '太阳社区', '846922b1d2534560baa1d11a24e4cc4a', '5c7bcdd5e10e4022a7862c0dedec839c', 'False', 'True', 'false', 'false', '510183214001', 5, '太阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183214001', 1, '2021-07-19 11:32:05', NULL, NULL), (2826, '', '郭山村', '149ffbc6208b4f6289a28ede6c7b32fd', '5c7bcdd5e10e4022a7862c0dedec839c', 'False', 'True', 'false', 'false', '510183214201', 5, '郭山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183214201', 1, '2021-07-19 11:32:05', NULL, NULL), (2827, '', '姜殿村', 'a8ffb2126ebb4e9ca5bdbfbe15142e98', '5c7bcdd5e10e4022a7862c0dedec839c', 'False', 'True', 'false', 'false', '510183214203', 5, '姜殿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510183214203', 1, '2021-07-19 11:32:05', NULL, NULL), (2828, '', '崇州市', '2fbd447a37fd469ab552bdfaa0c65532', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510184000000', 3, '崇州市', 'cdsczs.sczwfw.gov.cn', 1, '2021-07-19 11:32:05', NULL, NULL), (2829, '', '崇阳街道', '0b96013d654f4203873551b724573907', '2fbd447a37fd469ab552bdfaa0c65532', 'True', 'True', 'false', 'false', '510184001000', 4, '崇阳街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510184001000', 1, '2021-07-19 11:32:05', NULL, NULL), (2830, '', '明湖社区', 'cac81314bc364aadb242d175ddde9ee4', '0b96013d654f4203873551b724573907', 'False', 'True', 'false', 'false', '510184001021', 5, '明湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184001021', 1, '2021-07-19 11:32:05', NULL, NULL), (2831, '', '汇蜀社区', 'f89682d2ac3e4f05bc1b52351e753fb5', '0b96013d654f4203873551b724573907', 'False', 'True', 'false', 'false', '510184001216', 5, '汇蜀社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184001216', 1, '2021-07-19 11:32:05', NULL, NULL), (2832, '', '永康社区', 'b7fb90a344e04e71b7f0d18726f8c70a', '0b96013d654f4203873551b724573907', 'False', 'True', 'false', 'false', '510184001039', 5, '永康社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184001039', 1, '2021-07-19 11:32:05', NULL, NULL), (2833, '', '小罗村', '82b72d89561a4deab08fe117367c23c6', '0b96013d654f4203873551b724573907', 'False', 'True', 'false', 'false', '510184001076', 5, '小罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184001076', 1, '2021-07-19 11:32:05', NULL, NULL), (2834, '', '北郊社区', 'f2545db24113413e967bef4565052c60', '0b96013d654f4203873551b724573907', 'False', 'True', 'false', 'false', '510184001120', 5, '北郊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184001120', 1, '2021-07-19 11:32:06', NULL, NULL), (2835, '', '石埂村', '9d1f7c1957f54c40a5a57471473bb190', '0b96013d654f4203873551b724573907', 'False', 'True', 'false', 'false', '510184001179', 5, '石埂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184001179', 1, '2021-07-19 11:32:06', NULL, NULL), (2836, '', '西河社区', '166706e1393648c092ab71473dde60f4', '0b96013d654f4203873551b724573907', 'False', 'True', 'false', 'false', '510184001286', 5, '西河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184001286', 1, '2021-07-19 11:32:06', NULL, NULL), (2837, '', '永安社区', '34c1e844cdd449cfa721df1fcfd12ee8', '0b96013d654f4203873551b724573907', 'False', 'True', 'false', 'false', '510184001378', 5, '永安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184001378', 1, '2021-07-19 11:32:06', NULL, NULL), (2838, '', '白石社区', '2f12e00877bf45f19f1c057fbd515536', '0b96013d654f4203873551b724573907', 'False', 'True', 'false', 'false', '510184001455', 5, '白石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184001455', 1, '2021-07-19 11:32:06', NULL, NULL), (2839, '', '棋盘村', '86fd24f61496449d94439649a64fef9f', '0b96013d654f4203873551b724573907', 'False', 'True', 'false', 'false', '510184001518', 5, '棋盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184001518', 1, '2021-07-19 11:32:06', NULL, NULL), (2840, '', '三元街社区', 'dcf1a67670d546479818c08b2696c320', '0b96013d654f4203873551b724573907', 'False', 'True', 'false', 'false', '510184001565', 5, '三元街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184001565', 1, '2021-07-19 11:32:06', NULL, NULL), (2841, '', '杨祠街社区', '321bcb749d1646bd9bde150145f3e411', '0b96013d654f4203873551b724573907', 'False', 'True', 'false', 'false', '510184001571', 5, '杨祠街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184001571', 1, '2021-07-19 11:32:06', NULL, NULL), (2842, '', '毛桥社区', 'b3a2f8dca7f94e42ae3a717673e1faa9', '0b96013d654f4203873551b724573907', 'False', 'True', 'false', 'false', '510184001714', 5, '毛桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184001714', 1, '2021-07-19 11:32:06', NULL, NULL), (2843, '', '上南街社区', '9d55ee1e5be846c0b66b153926003889', '0b96013d654f4203873551b724573907', 'False', 'True', 'false', 'false', '510184001816', 5, '上南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184001816', 1, '2021-07-19 11:32:06', NULL, NULL), (2844, '', '唐安西路社区', 'b447315288a84fedb0d04505893c0256', '0b96013d654f4203873551b724573907', 'False', 'True', 'false', 'false', '510184001888', 5, '唐安西路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184001888', 1, '2021-07-19 11:32:06', NULL, NULL), (2845, '', '石羊社区', '430fe6027b2846b58713832a1ddbfb8d', '0b96013d654f4203873551b724573907', 'False', 'True', 'false', 'false', '510184001921', 5, '石羊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184001921', 1, '2021-07-19 11:32:06', NULL, NULL), (2846, '', '北楸社区', '585a87e71b2b456c9ecc2b0f37f1cc2d', '0b96013d654f4203873551b724573907', 'False', 'True', 'false', 'false', '510184001975', 5, '北揪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184001975', 1, '2021-07-19 11:32:07', NULL, NULL), (2847, '', '三江街道', '87a6c4c413ca4c2b875d04a2a9b94274', '2fbd447a37fd469ab552bdfaa0c65532', 'True', 'True', 'false', 'false', '510184101000', 4, '三江街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510184101000', 1, '2021-07-19 11:32:07', NULL, NULL), (2848, '', '牂牁社区', 'a35a696904b44a83be6492376108e3cc', '87a6c4c413ca4c2b875d04a2a9b94274', 'False', 'True', 'false', 'false', '510184101042', 5, '牂牁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184101042', 1, '2021-07-19 11:32:07', NULL, NULL), (2849, '', '舒桥社区', '03a9510cf9e2488c87827377dc09c311', '87a6c4c413ca4c2b875d04a2a9b94274', 'False', 'True', 'false', 'false', '510184101315', 5, '舒桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184101315', 1, '2021-07-19 11:32:07', NULL, NULL), (2850, '', '听江社区', 'e9f64a40322d48bcae3e2b34a28f18da', '87a6c4c413ca4c2b875d04a2a9b94274', 'False', 'True', 'false', 'false', '510184101527', 5, '听江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184101527', 1, '2021-07-19 11:32:07', NULL, NULL), (2851, '', '皂角社区', '89fee366d9ee44c8b369741666fccc31', '87a6c4c413ca4c2b875d04a2a9b94274', 'False', 'True', 'false', 'false', '510184101661', 5, '皂角社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184101661', 1, '2021-07-19 11:32:07', NULL, NULL), (2852, '', '三桥社区', '727123b5cac44be691b7321f38b9038c', '87a6c4c413ca4c2b875d04a2a9b94274', 'False', 'True', 'false', 'false', '510184101672', 5, '三桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184101672', 1, '2021-07-19 11:32:07', NULL, NULL), (2853, '', '胜利社区', 'dc2cedb5370b40cabb791f49885d6105', '87a6c4c413ca4c2b875d04a2a9b94274', 'False', 'True', 'false', 'false', '510184101706', 5, '胜利社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184101706', 1, '2021-07-19 11:32:07', NULL, NULL), (2854, '', '三江社区', '3eb0be7b99b14e6a9d5d1e450b4fb69f', '87a6c4c413ca4c2b875d04a2a9b94274', 'False', 'True', 'false', 'false', '510184101794', 5, '三江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184101794', 1, '2021-07-19 11:32:07', NULL, NULL), (2855, '', '蒙渡村', '7f8677224b8e4f419eea9bab09076ca0', '87a6c4c413ca4c2b875d04a2a9b94274', 'False', 'True', 'false', 'false', '510184101030', 5, '蒙渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184101030', 1, '2021-07-19 11:32:07', NULL, NULL), (2856, '', '王桥村', 'cf07c64bc6ac431698d36169ed153aba', '87a6c4c413ca4c2b875d04a2a9b94274', 'False', 'True', 'false', 'false', '510184101057', 5, '王桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184101057', 1, '2021-07-19 11:32:07', NULL, NULL), (2857, '', '古泉村', '23379dae7b6344098fe8b115fe6a5572', '87a6c4c413ca4c2b875d04a2a9b94274', 'False', 'True', 'false', 'false', '510184101452', 5, '古泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184101452', 1, '2021-07-19 11:32:07', NULL, NULL), (2858, '', '仁和村', '50a9a9cdf6584137a224d6294dc45a97', '87a6c4c413ca4c2b875d04a2a9b94274', 'False', 'True', 'false', 'false', '510184101597', 5, '仁和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184101597', 1, '2021-07-19 11:32:07', NULL, NULL), (2859, '', '桥东社区', '291e7072e46844d8b42010d121a6a0f2', '87a6c4c413ca4c2b875d04a2a9b94274', 'False', 'True', 'false', 'false', '510184101669', 5, '桥东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184101669', 1, '2021-07-19 11:32:08', NULL, NULL), (2860, '', '顺金社区', '8dd120743f2043c2b4a1e4bd079769cc', '87a6c4c413ca4c2b875d04a2a9b94274', 'False', 'True', 'false', 'false', '510184101714', 5, '顺金社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184101714', 1, '2021-07-19 11:32:08', NULL, NULL), (2861, '', '宋桥村', '4ae9647589e74e27900befd74292bc9e', '87a6c4c413ca4c2b875d04a2a9b94274', 'False', 'True', 'false', 'false', '510184101815', 5, '宋桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184101815', 1, '2021-07-19 11:32:08', NULL, NULL), (2862, '', '沿河村', 'dabff455abe942c3ba287703f8456165', '87a6c4c413ca4c2b875d04a2a9b94274', 'False', 'True', 'false', 'false', '510184101900', 5, '沿河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184101900', 1, '2021-07-19 11:32:08', NULL, NULL), (2863, '', '江源街道', '38857fc9a0024410bd3ef4fbc3ff745d', '2fbd447a37fd469ab552bdfaa0c65532', 'True', 'True', 'false', 'false', '510184102000', 4, '江源街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510184102000', 1, '2021-07-19 11:32:08', NULL, NULL), (2864, '', '红土社区', '715fbb0376184cf394f451c3e72a2e2c', '38857fc9a0024410bd3ef4fbc3ff745d', 'False', 'True', 'false', 'false', '510184102301', 5, '红土社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184102301', 1, '2021-07-19 11:32:08', NULL, NULL), (2865, '', '石鱼村', '7baef9a9dd8942149ecaa13f59dcce74', '38857fc9a0024410bd3ef4fbc3ff745d', 'False', 'True', 'false', 'false', '510184102040', 5, '石鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184102040', 1, '2021-07-19 11:32:08', NULL, NULL), (2866, '', '唐兴社区', 'ad94cb0c3ea54cb3b51d7723ee9447fd', '38857fc9a0024410bd3ef4fbc3ff745d', 'False', 'True', 'false', 'false', '510184102394', 5, '唐兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184102394', 1, '2021-07-19 11:32:08', NULL, NULL), (2867, '', '桅杆村', '4a84450d72cd47f09a74b2c5375cf494', '38857fc9a0024410bd3ef4fbc3ff745d', 'False', 'True', 'false', 'false', '510184102400', 5, '桅杆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184102400', 1, '2021-07-19 11:32:08', NULL, NULL), (2868, '', '文观村', '73e060a201674afc829abb8a3cdbab26', '38857fc9a0024410bd3ef4fbc3ff745d', 'False', 'True', 'false', 'false', '510184102704', 5, '文观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184102704', 1, '2021-07-19 11:32:09', NULL, NULL), (2869, '', '邓公村', '65c107ecba3849ea921a1f65ddd25c4c', '38857fc9a0024410bd3ef4fbc3ff745d', 'False', 'True', 'false', 'false', '510184102834', 5, '邓公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184102834', 1, '2021-07-19 11:32:09', NULL, NULL), (2870, '', '大庙社区', '14c826d41f98468aa2b836d4f60732df', '38857fc9a0024410bd3ef4fbc3ff745d', 'False', 'True', 'false', 'false', '510184102910', 5, '大庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184102910', 1, '2021-07-19 11:32:09', NULL, NULL), (2871, '', '崇福村', '7d98626b3469459899b5275b3c5e088c', '38857fc9a0024410bd3ef4fbc3ff745d', 'False', 'True', 'false', 'false', '510184102974', 5, '崇福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184102974', 1, '2021-07-19 11:32:09', NULL, NULL), (2872, '', '羊马街道', 'b05585664bea45f0962f27439ba654ba', '2fbd447a37fd469ab552bdfaa0c65532', 'True', 'True', 'false', 'false', '510184103000', 4, '羊马街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510184103000', 1, '2021-07-19 11:32:09', NULL, NULL), (2873, '', '民乐村', '9a7b027123eb4ada9b2eb7a93c7f0a8d', 'b05585664bea45f0962f27439ba654ba', 'False', 'True', 'false', 'false', '510184002230', 5, '民乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184002230', 1, '2021-07-19 11:32:09', NULL, NULL), (2874, '', '安阜社区', 'a495e00dd8aa4058b9e498a75312191c', 'b05585664bea45f0962f27439ba654ba', 'False', 'True', 'false', 'false', '510184103184', 5, '安阜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184103184', 1, '2021-07-19 11:32:09', NULL, NULL), (2875, '', '全友社区', '022426fe063244328697cce62509bed3', 'b05585664bea45f0962f27439ba654ba', 'False', 'True', 'false', 'false', '510184103385', 5, '全友社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184103385', 1, '2021-07-19 11:32:09', NULL, NULL), (2876, '', '中华社区', '5d83bf907837494aa8ae055adf775e81', 'b05585664bea45f0962f27439ba654ba', 'False', 'True', 'false', 'false', '510184103427', 5, '中华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184103427', 1, '2021-07-19 11:32:09', NULL, NULL), (2877, '', '泗安社区', '17f9328514464fb99bf3e48987d57ff9', 'b05585664bea45f0962f27439ba654ba', 'False', 'True', 'false', 'false', '510184103753', 5, '泗安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184103753', 1, '2021-07-19 11:32:09', NULL, NULL), (2878, '', '凌翔街社区', '77d645d9f8f74cadbd027cc29ed31d8a', 'b05585664bea45f0962f27439ba654ba', 'False', 'True', 'false', 'false', '510184103848', 5, '凌翔街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184103848', 1, '2021-07-19 11:32:09', NULL, NULL), (2879, '', '崇江路社区', 'de215402f24e44148fb83c6af2b8d915', 'b05585664bea45f0962f27439ba654ba', 'False', 'True', 'false', 'false', '510184103975', 5, '崇江路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184103975', 1, '2021-07-19 11:32:09', NULL, NULL), (2880, '', '伏虎村', 'd3c39669699a436fa858a2cef80849a1', 'b05585664bea45f0962f27439ba654ba', 'False', 'True', 'false', 'false', '510184103496', 5, '伏虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184103496', 1, '2021-07-19 11:32:09', NULL, NULL), (2881, '', '经功村', '61f6e13c9c6843ba855ed8ce80e2943e', 'b05585664bea45f0962f27439ba654ba', 'False', 'True', 'false', 'false', '510184103972', 5, '经功村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184103972', 1, '2021-07-19 11:32:10', NULL, NULL), (2882, '', '福田村', '822058f9a92b4c79ae18c00166814e10', 'b05585664bea45f0962f27439ba654ba', 'False', 'True', 'false', 'false', '510184103999', 5, '福田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184103999', 1, '2021-07-19 11:32:10', NULL, NULL), (2883, '', '廖家镇', 'b99b46a6c1cd4b508fa75f1e094bf4d6', '2fbd447a37fd469ab552bdfaa0c65532', 'True', 'True', 'false', 'false', '510184104000', 4, '廖家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510184104000', 1, '2021-07-19 11:32:10', NULL, NULL), (2884, '', '明珠社区', '28940a2e6e85416fa1889d9df964f277', 'b99b46a6c1cd4b508fa75f1e094bf4d6', 'False', 'True', 'false', 'false', '510184104002', 5, '明珠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184104002', 1, '2021-07-19 11:32:10', NULL, NULL), (2885, '', '高庆社区', '7c1ecffa580441fc8b9436772b8f6a4f', 'b99b46a6c1cd4b508fa75f1e094bf4d6', 'False', 'True', 'false', 'false', '510184104155', 5, '高庆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184104155', 1, '2021-07-19 11:32:10', NULL, NULL), (2886, '', '君渡村', 'ba9292af181d4f3986911ab6d01693af', 'b99b46a6c1cd4b508fa75f1e094bf4d6', 'False', 'True', 'false', 'false', '510184104214', 5, '君渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184104214', 1, '2021-07-19 11:32:10', NULL, NULL), (2887, '', '春风村', '118ff6c6ced240cb85568c1c77077908', 'b99b46a6c1cd4b508fa75f1e094bf4d6', 'False', 'True', 'false', 'false', '510184104215', 5, '春风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184104215', 1, '2021-07-19 11:32:10', NULL, NULL), (2888, '', '全兴村', 'bea98b065f254147a8a3fca1fd768ad4', 'b99b46a6c1cd4b508fa75f1e094bf4d6', 'False', 'True', 'false', 'false', '510184104216', 5, '全兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184104216', 1, '2021-07-19 11:32:10', NULL, NULL), (2889, '', '民和村', '010b9560be194d6b9b9b949319074b47', 'b99b46a6c1cd4b508fa75f1e094bf4d6', 'False', 'True', 'false', 'false', '510184104093', 5, '民和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184104093', 1, '2021-07-19 11:32:10', NULL, NULL), (2890, '', '新桃村', 'fe2b125fd28d424caea2eb0509cec931', 'b99b46a6c1cd4b508fa75f1e094bf4d6', 'False', 'True', 'false', 'false', '510184104319', 5, '新桃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184104319', 1, '2021-07-19 11:32:10', NULL, NULL), (2891, '', '龙福村', '2bf7b73361964255859487b099a33e12', 'b99b46a6c1cd4b508fa75f1e094bf4d6', 'False', 'True', 'false', 'false', '510184104530', 5, '龙福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184104530', 1, '2021-07-19 11:32:10', NULL, NULL), (2892, '', '廖场村', '8c98e221e5da486aaa2c07355e268080', 'b99b46a6c1cd4b508fa75f1e094bf4d6', 'False', 'True', 'false', 'false', '510184104977', 5, '廖场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184104977', 1, '2021-07-19 11:32:11', NULL, NULL), (2893, '', '元通镇', '83204056c5bd4e1fae0041068f7f0a3d', '2fbd447a37fd469ab552bdfaa0c65532', 'True', 'True', 'false', 'false', '510184105000', 4, '元通镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510184105000', 1, '2021-07-19 11:32:11', NULL, NULL), (2894, '', '公议社区', 'e45cb860b3754ebd8c67a245377ca985', '83204056c5bd4e1fae0041068f7f0a3d', 'False', 'True', 'false', 'false', '510184105004', 5, '公议社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184105004', 1, '2021-07-19 11:32:11', NULL, NULL), (2895, '', '花果山社区', '27e5146def28465da4a476ed753cd302', '83204056c5bd4e1fae0041068f7f0a3d', 'False', 'True', 'false', 'false', '510184105005', 5, '花果山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184105005', 1, '2021-07-19 11:32:11', NULL, NULL), (2896, '', '圆和社区', '47bd26bdb64143238c5fb98b689d1186', '83204056c5bd4e1fae0041068f7f0a3d', 'False', 'True', 'false', 'false', '510184105006', 5, '圆和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184105006', 1, '2021-07-19 11:32:11', NULL, NULL), (2897, '', '通顺村', 'eb64480d0a5543ae8c557f70981e8bc9', '83204056c5bd4e1fae0041068f7f0a3d', 'False', 'True', 'false', 'false', '510184105208', 5, '通顺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184105208', 1, '2021-07-19 11:32:11', NULL, NULL), (2898, '', '天冬堰村', 'a54715099b5f4f149758ce71c29b0e02', '83204056c5bd4e1fae0041068f7f0a3d', 'False', 'True', 'false', 'false', '510184105216', 5, '天冬堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184105216', 1, '2021-07-19 11:32:11', NULL, NULL), (2899, '', '三合堰村', 'ec51619504944256926720a7a1147dfa', '83204056c5bd4e1fae0041068f7f0a3d', 'False', 'True', 'false', 'false', '510184105217', 5, '三合堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184105217', 1, '2021-07-19 11:32:11', NULL, NULL), (2900, '', '清溪村', '596543f19a3244b199f3fd5159d762b4', '83204056c5bd4e1fae0041068f7f0a3d', 'False', 'True', 'false', 'false', '510184105116', 5, '清溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184105116', 1, '2021-07-19 11:32:11', NULL, NULL), (2901, '', '聚源村', '3e948a96b5604b0385f1268da6bf99aa', '83204056c5bd4e1fae0041068f7f0a3d', 'False', 'True', 'false', 'false', '510184105129', 5, '聚源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184105129', 1, '2021-07-19 11:32:11', NULL, NULL), (2902, '', '禹王村', 'f6d6eb8535084844b50c1f63aca1c2e1', '83204056c5bd4e1fae0041068f7f0a3d', 'False', 'True', 'false', 'false', '510184105330', 5, '禹王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184105330', 1, '2021-07-19 11:32:11', NULL, NULL), (2903, '', '景汇村', '3d36bfb100474e44964d8c27fa3174cc', '83204056c5bd4e1fae0041068f7f0a3d', 'False', 'True', 'false', 'false', '510184105480', 5, '景汇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184105480', 1, '2021-07-19 11:32:11', NULL, NULL), (2904, '', '观胜镇', '5e6d99aa3fcc4412bec9dd666f00dcba', '2fbd447a37fd469ab552bdfaa0c65532', 'True', 'True', 'false', 'false', '510184106000', 4, '观胜镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510184106000', 1, '2021-07-19 11:32:11', NULL, NULL), (2905, '', '梓潼社区', '98fae7793c324d28ba8e6aa13fa12f01', '5e6d99aa3fcc4412bec9dd666f00dcba', 'False', 'True', 'false', 'false', '510184106003', 5, '梓潼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184106003', 1, '2021-07-19 11:32:12', NULL, NULL), (2906, '', '天府村', '407bf6438ee0403884c1f83464a4a869', '5e6d99aa3fcc4412bec9dd666f00dcba', 'False', 'True', 'false', 'false', '510184106219', 5, '天府村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184106219', 1, '2021-07-19 11:32:12', NULL, NULL), (2907, '', '天寿村', '01d23229bc11479b831328cd609563b6', '5e6d99aa3fcc4412bec9dd666f00dcba', 'False', 'True', 'false', 'false', '510184106220', 5, '天寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184106220', 1, '2021-07-19 11:32:12', NULL, NULL), (2908, '', '八角村', '922f94817d734a6ab2b8e48b089b126a', '5e6d99aa3fcc4412bec9dd666f00dcba', 'False', 'True', 'false', 'false', '510184106045', 5, '八角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184106045', 1, '2021-07-19 11:32:12', NULL, NULL), (2909, '', '天胜路社区', 'ea57112d7c00487696233195c4b2f325', '5e6d99aa3fcc4412bec9dd666f00dcba', 'False', 'True', 'false', 'false', '510184106373', 5, '天胜路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184106373', 1, '2021-07-19 11:32:12', NULL, NULL), (2910, '', '联义村', 'c219dbbb9b6b4426a9f096161df5ed98', '5e6d99aa3fcc4412bec9dd666f00dcba', 'False', 'True', 'false', 'false', '510184106549', 5, '联义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184106549', 1, '2021-07-19 11:32:12', NULL, NULL), (2911, '', '池塘村', '64eb8a7d95ce491cbd9de4990d9e4374', '5e6d99aa3fcc4412bec9dd666f00dcba', 'False', 'True', 'false', 'false', '510184106705', 5, '池塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184106705', 1, '2021-07-19 11:32:12', NULL, NULL), (2912, '', '青柳村', '0693514246ef4bea8056f1043465e241', '5e6d99aa3fcc4412bec9dd666f00dcba', 'False', 'True', 'false', 'false', '510184106709', 5, '青柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184106709', 1, '2021-07-19 11:32:12', NULL, NULL), (2913, '', '五桥村', 'a206a375d35a46a4ae4f64bafd22fb8e', '5e6d99aa3fcc4412bec9dd666f00dcba', 'False', 'True', 'false', 'false', '510184106830', 5, '五桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184106830', 1, '2021-07-19 11:32:12', NULL, NULL), (2914, '', '怀远镇', '3f5229bbc7cc49cc8b8cdf1743b7177d', '2fbd447a37fd469ab552bdfaa0c65532', 'True', 'True', 'false', 'false', '510184107000', 4, '怀远镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510184107000', 1, '2021-07-19 11:32:12', NULL, NULL), (2915, '', '前锋村', '59b2cd6774a8471daee37ba7308cfa84', '3f5229bbc7cc49cc8b8cdf1743b7177d', 'False', 'True', 'false', 'false', '510184107005', 5, '前锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184107005', 1, '2021-07-19 11:32:12', NULL, NULL), (2916, '', '安乐社区', '99bb2c03a74746c9938cbabd56abf1ea', '3f5229bbc7cc49cc8b8cdf1743b7177d', 'False', 'True', 'false', 'false', '510184107018', 5, '安乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184107018', 1, '2021-07-19 11:32:12', NULL, NULL), (2917, '', '泉水社区', '1009fc8fed974972b31f71aac79d76e1', '3f5229bbc7cc49cc8b8cdf1743b7177d', 'False', 'True', 'false', 'false', '510184107038', 5, '泉水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184107038', 1, '2021-07-19 11:32:12', NULL, NULL), (2918, '', '清江村', '913c0673181342a3bd7b21469c2d9f15', '3f5229bbc7cc49cc8b8cdf1743b7177d', 'False', 'True', 'false', 'false', '510184107072', 5, '清江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184107072', 1, '2021-07-19 11:32:13', NULL, NULL), (2919, '', '德通村', '7f0ad6cf6ad84bde947052d3d52d0519', '3f5229bbc7cc49cc8b8cdf1743b7177d', 'False', 'True', 'false', 'false', '510184107074', 5, '德通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184107074', 1, '2021-07-19 11:32:13', NULL, NULL), (2920, '', '黎店村', '6f113e07f8d441e1863298f2fcc15f1b', '3f5229bbc7cc49cc8b8cdf1743b7177d', 'False', 'True', 'false', 'false', '510184107181', 5, '黎店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184107181', 1, '2021-07-19 11:32:13', NULL, NULL), (2921, '', '定江桥社区', '3884f896fd434e61a12991fc641bbc0c', '3f5229bbc7cc49cc8b8cdf1743b7177d', 'False', 'True', 'false', 'false', '510184107372', 5, '定江桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184107372', 1, '2021-07-19 11:32:13', NULL, NULL), (2922, '', '富丽村', '297c2ba7bacf4a07a1315ca83526b93c', '3f5229bbc7cc49cc8b8cdf1743b7177d', 'False', 'True', 'false', 'false', '510184107430', 5, '富丽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184107430', 1, '2021-07-19 11:32:13', NULL, NULL), (2923, '', '三官村', '86bb8d1aba2c46f99e4a9109b270a219', '3f5229bbc7cc49cc8b8cdf1743b7177d', 'False', 'True', 'false', 'false', '510184107445', 5, '三官村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184107445', 1, '2021-07-19 11:32:13', NULL, NULL), (2924, '', '枫南村', 'a234f3c746994ac5b56b4e838f87156a', '3f5229bbc7cc49cc8b8cdf1743b7177d', 'False', 'True', 'false', 'false', '510184107475', 5, '枫南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184107475', 1, '2021-07-19 11:32:13', NULL, NULL), (2925, '', '洄澜街社区', 'e5d5853ebf7e41b899546638b6dea8af', '3f5229bbc7cc49cc8b8cdf1743b7177d', 'False', 'True', 'false', 'false', '510184107531', 5, '洄澜街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184107531', 1, '2021-07-19 11:32:13', NULL, NULL), (2926, '', '二江村', '38a2b60a8557428481c4058427c86650', '3f5229bbc7cc49cc8b8cdf1743b7177d', 'False', 'True', 'false', 'false', '510184107544', 5, '二江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184107544', 1, '2021-07-19 11:32:13', NULL, NULL), (2927, '', '富强村', 'd9a180b2b27645eeb6168b1c6ca72459', '3f5229bbc7cc49cc8b8cdf1743b7177d', 'False', 'True', 'false', 'false', '510184107620', 5, '富强村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184107620', 1, '2021-07-19 11:32:13', NULL, NULL), (2928, '', '天泉社区', 'a78bb741bb264be2ac05ac90187d6bca', '3f5229bbc7cc49cc8b8cdf1743b7177d', 'False', 'True', 'false', 'false', '510184107768', 5, '天泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184107768', 1, '2021-07-19 11:32:13', NULL, NULL), (2929, '', '宝峰村', '3e90e43c8aa24ee8bd944707dcffc7c1', '3f5229bbc7cc49cc8b8cdf1743b7177d', 'False', 'True', 'false', 'false', '510184107775', 5, '宝峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184107775', 1, '2021-07-19 11:32:13', NULL, NULL), (2930, '', '青峰岭社区', 'f0fe487c4ab04cb2a684e0d595e8f687', '3f5229bbc7cc49cc8b8cdf1743b7177d', 'False', 'True', 'false', 'false', '510184107893', 5, '青峰岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184107893', 1, '2021-07-19 11:32:13', NULL, NULL), (2931, '', '黄鹤村', 'db836675a60e401c828ceb08b88f05f1', '3f5229bbc7cc49cc8b8cdf1743b7177d', 'False', 'True', 'false', 'false', '510184107993', 5, '黄鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184107993', 1, '2021-07-19 11:32:13', NULL, NULL), (2932, '', '街子镇', '34eaad8a21614b3ba594b99bd6784394', '2fbd447a37fd469ab552bdfaa0c65532', 'True', 'True', 'false', 'false', '510184109000', 4, '街子镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510184109000', 1, '2021-07-19 11:32:13', NULL, NULL), (2933, '', '三郎社区', 'e184532499294097a4599c534cd49940', '34eaad8a21614b3ba594b99bd6784394', 'False', 'True', 'false', 'false', '510184109003', 5, '三郎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184109003', 1, '2021-07-19 11:32:14', NULL, NULL), (2934, '', '欢喜社区', 'd1fa6252f3a04ffbb6b84a83b746f708', '34eaad8a21614b3ba594b99bd6784394', 'False', 'True', 'false', 'false', '510184109006', 5, '欢喜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184109006', 1, '2021-07-19 11:32:14', NULL, NULL), (2935, '', '余庆社区', '4ff328ee11334acf89f6419cc2834fd1', '34eaad8a21614b3ba594b99bd6784394', 'False', 'True', 'false', 'false', '510184109042', 5, '余庆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184109042', 1, '2021-07-19 11:32:14', NULL, NULL), (2936, '', '会元社区', '367c7446e4b14560b9753641d38c1e94', '34eaad8a21614b3ba594b99bd6784394', 'False', 'True', 'false', 'false', '510184109181', 5, '会元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184109181', 1, '2021-07-19 11:32:14', NULL, NULL), (2937, '', '益善村', 'a94ba9ff5c914d99bdb92dd3b1500959', '34eaad8a21614b3ba594b99bd6784394', 'False', 'True', 'false', 'false', '510184109228', 5, '益善村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184109228', 1, '2021-07-19 11:32:14', NULL, NULL), (2938, '', '茶园村', '3b1e176322cc4c8a8507fd57fa106faf', '34eaad8a21614b3ba594b99bd6784394', 'False', 'True', 'false', 'false', '510184109230', 5, '茶园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184109230', 1, '2021-07-19 11:32:14', NULL, NULL), (2939, '', '凤鸣村', '2d010212c99b45c68fc1c2c52ef3060c', '34eaad8a21614b3ba594b99bd6784394', 'False', 'True', 'false', 'false', '510184109231', 5, '凤鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184109231', 1, '2021-07-19 11:32:14', NULL, NULL), (2940, '', '上元社区', '0f1d1674735649c3ad479408bb344546', '34eaad8a21614b3ba594b99bd6784394', 'False', 'True', 'false', 'false', '510184109454', 5, '上元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184109454', 1, '2021-07-19 11:32:14', NULL, NULL), (2941, '', '唐公社区', '641eb9db509a4c60be05c3fa757105f2', '34eaad8a21614b3ba594b99bd6784394', 'False', 'True', 'false', 'false', '510184109493', 5, '唐公社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184109493', 1, '2021-07-19 11:32:14', NULL, NULL), (2942, '', '双河社区', '5bc230c2f5144aa1a59ccb546c8b7eeb', '34eaad8a21614b3ba594b99bd6784394', 'False', 'True', 'false', 'false', '510184109055', 5, '双河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184109055', 1, '2021-07-19 11:32:14', NULL, NULL), (2943, '', '古寺村', 'a5edfe167ad544e3baf08afc7e90ffb6', '34eaad8a21614b3ba594b99bd6784394', 'False', 'True', 'false', 'false', '510184109192', 5, '古寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184109192', 1, '2021-07-19 11:32:14', NULL, NULL), (2944, '', '忙城村', 'eb5e57abe14b4677a133ef1b05925bc0', '34eaad8a21614b3ba594b99bd6784394', 'False', 'True', 'false', 'false', '510184109523', 5, '忙城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184109523', 1, '2021-07-19 11:32:14', NULL, NULL), (2945, '', '白圣村', 'c5984b32acaf4ffd8eb4227d7fab6989', '34eaad8a21614b3ba594b99bd6784394', 'False', 'True', 'false', 'false', '510184109798', 5, '白圣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184109798', 1, '2021-07-19 11:32:14', NULL, NULL), (2946, '', '天顺村', '8ca2d48b1bb8496ab4073b6e9b3dd6e0', '34eaad8a21614b3ba594b99bd6784394', 'False', 'True', 'false', 'false', '510184109809', 5, '天顺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184109809', 1, '2021-07-19 11:32:14', NULL, NULL), (2947, '', '文井江镇', 'af10be2200e644d4ab41ba38a66aa8ef', '2fbd447a37fd469ab552bdfaa0c65532', 'True', 'True', 'false', 'false', '510184110000', 4, '文井江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510184110000', 1, '2021-07-19 11:32:15', NULL, NULL), (2948, '', '万家社区', '7368114718404809aee6cd98a97bc66f', 'af10be2200e644d4ab41ba38a66aa8ef', 'False', 'True', 'false', 'false', '510184120001', 5, '万家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184120001', 1, '2021-07-19 11:32:15', NULL, NULL), (2949, '', '马家社区', '6ee620f15215440887b78c5b483c5f88', 'af10be2200e644d4ab41ba38a66aa8ef', 'False', 'True', 'false', 'false', '510184120002', 5, '马家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184120002', 1, '2021-07-19 11:32:15', NULL, NULL), (2950, '', '鞍子河社区', '0b0c0ed89ea74d1184b9ef950fe81bfd', 'af10be2200e644d4ab41ba38a66aa8ef', 'False', 'True', 'false', 'false', '510184120003', 5, '鞍子河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184120003', 1, '2021-07-19 11:32:15', NULL, NULL), (2951, '', '大坪村', 'ef4680b560aa409186cab3099a662f37', 'af10be2200e644d4ab41ba38a66aa8ef', 'False', 'True', 'false', 'false', '510184120202', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184120202', 1, '2021-07-19 11:32:15', NULL, NULL), (2952, '', '清泉村', '4126973bd7a34362b0fddbd93de86727', 'af10be2200e644d4ab41ba38a66aa8ef', 'False', 'True', 'false', 'false', '510184120207', 5, '清泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184120207', 1, '2021-07-19 11:32:15', NULL, NULL), (2953, '', '大同村', '70407ad8b46343efb0a200ee1451546e', 'af10be2200e644d4ab41ba38a66aa8ef', 'False', 'True', 'false', 'false', '510184120210', 5, '大同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184120210', 1, '2021-07-19 11:32:15', NULL, NULL), (2954, '', '苟家村', '38180a6b89924aa09aed981234b50982', 'af10be2200e644d4ab41ba38a66aa8ef', 'False', 'True', 'false', 'false', '510184120211', 5, '苟家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184120211', 1, '2021-07-19 11:32:15', NULL, NULL), (2955, '', '鸡冠山村', '0287442eaf3b4b9fb851b859dbda46d0', 'af10be2200e644d4ab41ba38a66aa8ef', 'False', 'True', 'false', 'false', '510184120217', 5, '鸡冠山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184120217', 1, '2021-07-19 11:32:15', NULL, NULL), (2956, '', '白头镇', '724844cd159444d6a1a8d3f9dacaffa2', '2fbd447a37fd469ab552bdfaa0c65532', 'True', 'True', 'false', 'false', '510184112000', 4, '白头镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510184112000', 1, '2021-07-19 11:32:15', NULL, NULL), (2957, '', '五福社区', 'b82748c251dc494a973cf78a442ff4dc', '724844cd159444d6a1a8d3f9dacaffa2', 'False', 'True', 'false', 'false', '510184112002', 5, '五福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184112002', 1, '2021-07-19 11:32:16', NULL, NULL), (2958, '', '崇德社区', '846b310687f64247bc763dbe9a3f3f38', '724844cd159444d6a1a8d3f9dacaffa2', 'False', 'True', 'false', 'false', '510184112004', 5, '崇德社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184112004', 1, '2021-07-19 11:32:16', NULL, NULL), (2959, '', '安顺社区', '5acc932072c34197a7183b984a06db8a', '724844cd159444d6a1a8d3f9dacaffa2', 'False', 'True', 'false', 'false', '510184112005', 5, '安顺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184112005', 1, '2021-07-19 11:32:16', NULL, NULL), (2960, '', '东关社区', '5068a96b917c422f88b32285b9b16cb6', '724844cd159444d6a1a8d3f9dacaffa2', 'False', 'True', 'false', 'false', '510184112007', 5, '东关社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184112007', 1, '2021-07-19 11:32:16', NULL, NULL), (2961, '', '东风村', 'b6c52babb6a0461f9636ec57762a1e5f', '724844cd159444d6a1a8d3f9dacaffa2', 'False', 'True', 'false', 'false', '510184112212', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184112212', 1, '2021-07-19 11:32:16', NULL, NULL), (2962, '', '桂花村', '100687fffaad4fe28aa32ae7190ef41c', '724844cd159444d6a1a8d3f9dacaffa2', 'False', 'True', 'false', 'false', '510184112213', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184112213', 1, '2021-07-19 11:32:16', NULL, NULL), (2963, '', '莲花村', '48250c87218947bea88508752046a69e', '724844cd159444d6a1a8d3f9dacaffa2', 'False', 'True', 'false', 'false', '510184112215', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184112215', 1, '2021-07-19 11:32:16', NULL, NULL), (2964, '', '大雨村', 'f5e82ee746c545fe90cd85cbba2cf4e0', '724844cd159444d6a1a8d3f9dacaffa2', 'False', 'True', 'false', 'false', '510184112216', 5, '大雨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184112216', 1, '2021-07-19 11:32:17', NULL, NULL), (2965, '', '梓乐村', '30e99b1559b646c396f0c28a20dca2d5', '724844cd159444d6a1a8d3f9dacaffa2', 'False', 'True', 'false', 'false', '510184112219', 5, '梓乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184112219', 1, '2021-07-19 11:32:17', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (2966, '', '紫竹村', '764ae3b98a8d45d1ba594d52a9f46800', '724844cd159444d6a1a8d3f9dacaffa2', 'False', 'True', 'false', 'false', '510184112220', 5, '紫竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184112220', 1, '2021-07-19 11:32:17', NULL, NULL), (2967, '', '壁山村', '59d85edbe0f24b9da7d2c2d0a8ee6d60', '724844cd159444d6a1a8d3f9dacaffa2', 'False', 'True', 'false', 'false', '510184112222', 5, '壁山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184112222', 1, '2021-07-19 11:32:17', NULL, NULL), (2968, '', '和乐社区', '1d65695c2f01481e9ab53c6847a168ae', '724844cd159444d6a1a8d3f9dacaffa2', 'False', 'True', 'false', 'false', '510184112082', 5, '和乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184112082', 1, '2021-07-19 11:32:17', NULL, NULL), (2969, '', '五星村', '497e5fc90142434c8d56bebf0d8c5e66', '724844cd159444d6a1a8d3f9dacaffa2', 'False', 'True', 'false', 'false', '510184112420', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184112420', 1, '2021-07-19 11:32:17', NULL, NULL), (2970, '', '高笕村', '3aafa75e8b8a461385c58ea881c709cd', '724844cd159444d6a1a8d3f9dacaffa2', 'False', 'True', 'false', 'false', '510184112438', 5, '高笕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184112438', 1, '2021-07-19 11:32:17', NULL, NULL), (2971, '', '甘泉村', 'e8e1fce59bf24b3ea0e0c5d0de6a0e69', '724844cd159444d6a1a8d3f9dacaffa2', 'False', 'True', 'false', 'false', '510184112483', 5, '甘泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184112483', 1, '2021-07-19 11:32:17', NULL, NULL), (2972, '', '三洞村', 'a71ef18bb73d4ada8beab18fb246749b', '724844cd159444d6a1a8d3f9dacaffa2', 'False', 'True', 'false', 'false', '510184112725', 5, '三洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184112725', 1, '2021-07-19 11:32:17', NULL, NULL), (2973, '', '道明镇', '0bdd91c530424cf285af15398fb04a55', '2fbd447a37fd469ab552bdfaa0c65532', 'True', 'True', 'false', 'false', '510184113000', 4, '道明镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510184113000', 1, '2021-07-19 11:32:17', NULL, NULL), (2974, '', '协和社区', '2e583325bddb49349a714a513b30f59b', '0bdd91c530424cf285af15398fb04a55', 'False', 'True', 'false', 'false', '510184113003', 5, '协和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184113003', 1, '2021-07-19 11:32:17', NULL, NULL), (2975, '', '白马社区', '841142752c524595b7a7d6c0cc20f0c7', '0bdd91c530424cf285af15398fb04a55', 'False', 'True', 'false', 'false', '510184113004', 5, '白马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184113004', 1, '2021-07-19 11:32:18', NULL, NULL), (2976, '', '济民村', 'a5a44fc733e049dbacd319519ddca2ba', '0bdd91c530424cf285af15398fb04a55', 'False', 'True', 'false', 'false', '510184113215', 5, '济民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184113215', 1, '2021-07-19 11:32:18', NULL, NULL), (2977, '', '双凤村', '3c0399a1e7da446c836ef67007d32841', '0bdd91c530424cf285af15398fb04a55', 'False', 'True', 'false', 'false', '510184113216', 5, '双凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184113216', 1, '2021-07-19 11:32:18', NULL, NULL), (2978, '', '新华村', 'b5ccdd9c02e44af6b6ec488d3bd3b284', '0bdd91c530424cf285af15398fb04a55', 'False', 'True', 'false', 'false', '510184113218', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184113218', 1, '2021-07-19 11:32:18', NULL, NULL), (2979, '', '乌尤村', '9835f13381c449d5bf7f70d6105c0c76', '0bdd91c530424cf285af15398fb04a55', 'False', 'True', 'false', 'false', '510184113219', 5, '乌尤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184113219', 1, '2021-07-19 11:32:18', NULL, NULL), (2980, '', '天民村', '450b06ab023b4098aed2d0cb14f64fa6', '0bdd91c530424cf285af15398fb04a55', 'False', 'True', 'false', 'false', '510184113220', 5, '天民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184113220', 1, '2021-07-19 11:32:18', NULL, NULL), (2981, '', '龙黄村', '80d2838c87864d1685a5eb165a38bdfe', '0bdd91c530424cf285af15398fb04a55', 'False', 'True', 'false', 'false', '510184113110', 5, '龙黄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184113110', 1, '2021-07-19 11:32:18', NULL, NULL), (2982, '', '天水村', '90a5e8d4f6104e2e9f93a68e8e81499e', '0bdd91c530424cf285af15398fb04a55', 'False', 'True', 'false', 'false', '510184113427', 5, '天水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184113427', 1, '2021-07-19 11:32:18', NULL, NULL), (2983, '', '红旗村', '82214baea6524b91bf7250b85ae2e5b8', '0bdd91c530424cf285af15398fb04a55', 'False', 'True', 'false', 'false', '510184113510', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184113510', 1, '2021-07-19 11:32:18', NULL, NULL), (2984, '', '永乐村', 'bb5334a01e2b42c08ee0fd3cf7a35541', '0bdd91c530424cf285af15398fb04a55', 'False', 'True', 'false', 'false', '510184113531', 5, '永乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184113531', 1, '2021-07-19 11:32:18', NULL, NULL), (2985, '', '升平村', 'c41abea86c3d4d55987fc5bd4307c72a', '0bdd91c530424cf285af15398fb04a55', 'False', 'True', 'false', 'false', '510184113543', 5, '升平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184113543', 1, '2021-07-19 11:32:18', NULL, NULL), (2986, '', '顺交村', 'c74b57c864a8482fa7963bc61f9e866c', '0bdd91c530424cf285af15398fb04a55', 'False', 'True', 'false', 'false', '510184113583', 5, '顺交村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184113583', 1, '2021-07-19 11:32:18', NULL, NULL), (2987, '', '东岳社区', '3d20cd8d2ff34dae8a4c8e5ff6588be1', '0bdd91c530424cf285af15398fb04a55', 'False', 'True', 'false', 'false', '510184113703', 5, '东岳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184113703', 1, '2021-07-19 11:32:18', NULL, NULL), (2988, '', '隆兴镇', '0d65529d529240e5b509f5ac0481a77b', '2fbd447a37fd469ab552bdfaa0c65532', 'True', 'True', 'false', 'false', '510184114000', 4, '隆兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510184114000', 1, '2021-07-19 11:32:19', NULL, NULL), (2989, '', '中和社区', 'c2eb3d5b76e44f6589ddb980d6867f78', '0d65529d529240e5b509f5ac0481a77b', 'False', 'True', 'false', 'false', '510184114002', 5, '中和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184114002', 1, '2021-07-19 11:32:19', NULL, NULL), (2990, '', '文锦社区', '23845649ed7e426aae6d9c5b100b3f94', '0d65529d529240e5b509f5ac0481a77b', 'False', 'True', 'false', 'false', '510184114003', 5, '文锦社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184114003', 1, '2021-07-19 11:32:19', NULL, NULL), (2991, '', '千功村', 'a096ffca6a7444f1870e0e1986891c8c', '0d65529d529240e5b509f5ac0481a77b', 'False', 'True', 'false', 'false', '510184114212', 5, '千功村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184114212', 1, '2021-07-19 11:32:19', NULL, NULL), (2992, '', '灵通村', 'b228b30e343040e4881eaea13966427f', '0d65529d529240e5b509f5ac0481a77b', 'False', 'True', 'false', 'false', '510184114213', 5, '灵通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184114213', 1, '2021-07-19 11:32:19', NULL, NULL), (2993, '', '群安村', '67d6684e5a974b3bad38b3711bad9f9a', '0d65529d529240e5b509f5ac0481a77b', 'False', 'True', 'false', 'false', '510184114214', 5, '群安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184114214', 1, '2021-07-19 11:32:19', NULL, NULL), (2994, '', '梁景村', '0f7fbf4827454adbb8b9aa3058a2b990', '0d65529d529240e5b509f5ac0481a77b', 'False', 'True', 'false', 'false', '510184114216', 5, '梁景村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184114216', 1, '2021-07-19 11:32:19', NULL, NULL), (2995, '', '黎坝村', '2d020ee1ded14ced91b705696c03cb56', '0d65529d529240e5b509f5ac0481a77b', 'False', 'True', 'false', 'false', '510184114227', 5, '黎坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184114227', 1, '2021-07-19 11:32:19', NULL, NULL), (2996, '', '香樟社区', '3db24ea44f2746c79368ed93706a88d8', '0d65529d529240e5b509f5ac0481a77b', 'False', 'True', 'false', 'false', '510184114526', 5, '香樟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184114526', 1, '2021-07-19 11:32:19', NULL, NULL), (2997, '', '石马村', 'f76319b799804fdda4a4149a2c98ff4d', '0d65529d529240e5b509f5ac0481a77b', 'False', 'True', 'false', 'false', '510184114532', 5, '石马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184114532', 1, '2021-07-19 11:32:19', NULL, NULL), (2998, '', '顺江村', 'e76f641a30cc47b59380600bcd13db70', '0d65529d529240e5b509f5ac0481a77b', 'False', 'True', 'false', 'false', '510184114538', 5, '顺江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184114538', 1, '2021-07-19 11:32:19', NULL, NULL), (2999, '', '青桥村', 'a21a87c148a64bb9b0e270e050508aaa', '0d65529d529240e5b509f5ac0481a77b', 'False', 'True', 'false', 'false', '510184114939', 5, '青桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184114939', 1, '2021-07-19 11:32:19', NULL, NULL), (3000, '', '大划街道', 'e35c8a8f90aa4513ac8cb0c26c1d4e30', '2fbd447a37fd469ab552bdfaa0c65532', 'True', 'True', 'false', 'false', '510184116000', 4, '大划街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510184116000', 1, '2021-07-19 11:32:19', NULL, NULL), (3001, '', '大有社区', '600cc8d611964013be1294d2d365b991', 'e35c8a8f90aa4513ac8cb0c26c1d4e30', 'False', 'True', 'false', 'false', '510184005004', 5, '大有社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184005004', 1, '2021-07-19 11:32:19', NULL, NULL), (3002, '', '德寿社区', '791bd2bef8ba455bac4f99399cfcfd9f', 'e35c8a8f90aa4513ac8cb0c26c1d4e30', 'False', 'True', 'false', 'false', '510184116333', 5, '德寿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184116333', 1, '2021-07-19 11:32:19', NULL, NULL), (3003, '', '崇镇社区', '0bf5d2a913e046958ef8726381beb1e0', 'e35c8a8f90aa4513ac8cb0c26c1d4e30', 'False', 'True', 'false', 'false', '510184116724', 5, '崇镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184116724', 1, '2021-07-19 11:32:20', NULL, NULL), (3004, '', '石桥村', 'e799b42f78aa46d398019d9e63828d10', 'e35c8a8f90aa4513ac8cb0c26c1d4e30', 'False', 'True', 'false', 'false', '510184116355', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184116355', 1, '2021-07-19 11:32:20', NULL, NULL), (3005, '', '划石社区', '7731e0e4855a4cd1aabf5ec7b5e0102d', 'e35c8a8f90aa4513ac8cb0c26c1d4e30', 'False', 'True', 'false', 'false', '510184116684', 5, '划石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184116684', 1, '2021-07-19 11:32:20', NULL, NULL), (3006, '', '白果社区', '163582b2162d4d6a8a49e1cf22ada7d5', 'e35c8a8f90aa4513ac8cb0c26c1d4e30', 'False', 'True', 'false', 'false', '510184116776', 5, '白果社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184116776', 1, '2021-07-19 11:32:20', NULL, NULL), (3007, '', '崇庆街道', 'dc5becdd2e044ecfb87dadc8f425c30a', '2fbd447a37fd469ab552bdfaa0c65532', 'True', 'True', 'false', 'false', '510184649000', 4, '崇庆街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510184649000', 1, '2021-07-19 11:32:20', NULL, NULL), (3008, '', '西江社区', '50069749e2ce46c08f3c9deb858e7de3', 'dc5becdd2e044ecfb87dadc8f425c30a', 'False', 'True', 'false', 'false', '510184006121', 5, '西江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184006121', 1, '2021-07-19 11:32:20', NULL, NULL), (3009, '', '同心社区', 'dd402a3ec8f54e67853eee4fb979df26', 'dc5becdd2e044ecfb87dadc8f425c30a', 'False', 'True', 'false', 'false', '510184006268', 5, '同心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184006268', 1, '2021-07-19 11:32:20', NULL, NULL), (3010, '', '金鸡社区', '1d9329cbe72645c8a3790bf6adbbbaa8', 'dc5becdd2e044ecfb87dadc8f425c30a', 'False', 'True', 'false', 'false', '510184006573', 5, '金鸡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184006573', 1, '2021-07-19 11:32:20', NULL, NULL), (3011, '', '白碾社区', '9a1fe9b23e2e4f91b003dcc459fd6cf6', 'dc5becdd2e044ecfb87dadc8f425c30a', 'False', 'True', 'false', 'false', '510184006628', 5, '白碾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184006628', 1, '2021-07-19 11:32:20', NULL, NULL), (3012, '', '仁里社区', '97987e95eb4445d6b7ba1b7501d0529f', 'dc5becdd2e044ecfb87dadc8f425c30a', 'False', 'True', 'false', 'false', '510184006643', 5, '仁里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184006643', 1, '2021-07-19 11:32:20', NULL, NULL), (3013, '', '彭庙社区', '24eff5b50e464f389a6e0be8e40011ef', 'dc5becdd2e044ecfb87dadc8f425c30a', 'False', 'True', 'false', 'false', '510184006658', 5, '彭庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184006658', 1, '2021-07-19 11:32:20', NULL, NULL), (3014, '', '红桥村', 'c96d77a7be1344f384016daab371874e', 'dc5becdd2e044ecfb87dadc8f425c30a', 'False', 'True', 'false', 'false', '510184006720', 5, '红桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184006720', 1, '2021-07-19 11:32:20', NULL, NULL), (3015, '', '三和社区', '207f6f8627d24ad8b1031183e1cd2191', 'dc5becdd2e044ecfb87dadc8f425c30a', 'False', 'True', 'false', 'false', '510184006744', 5, '三和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510184006744', 1, '2021-07-19 11:32:21', NULL, NULL), (3016, '', '简阳市', 'b9a865eb82024540abb1d560ce2ad809', 'a1c5bc973eb74529b9329bcfd9680056', 'True', 'True', 'false', 'false', '510185000000', 3, '简阳市', 'cdsjys.sczwfw.gov.cn', 1, '2021-07-19 11:32:21', NULL, NULL), (3017, '', '新市街道', 'c670ae0d813f4325bbc4edfea0154197', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185000594', 4, '新市街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185000594', 1, '2021-07-19 11:32:21', NULL, NULL), (3018, '', '简阳市新市街道新达街社区', '176fe7de4eb344629a8f02d2d7eba016', 'c670ae0d813f4325bbc4edfea0154197', 'False', 'True', 'false', 'false', '510185003001', 5, '新市街道新达街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185003001', 1, '2021-07-19 11:32:21', NULL, NULL), (3019, '', '简阳市新市街道龙桥社区', '15a680c64a1341a98b761e697a3e5e87', 'c670ae0d813f4325bbc4edfea0154197', 'False', 'True', 'false', 'false', '510185003002', 5, '新市街道龙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185003002', 1, '2021-07-19 11:32:21', NULL, NULL), (3020, '', '简阳市新市街道张家社区', '91a3e326e6004b46bb9721307779159d', 'c670ae0d813f4325bbc4edfea0154197', 'False', 'True', 'false', 'false', '510185003003', 5, '新市街道张家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185003003', 1, '2021-07-19 11:32:21', NULL, NULL), (3021, '', '简阳市新市街道飞马社区', 'b275cd219eac4b5c9e43d085e09858a5', 'c670ae0d813f4325bbc4edfea0154197', 'False', 'True', 'false', 'false', '510185003004', 5, '新市街道飞马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185003004', 1, '2021-07-19 11:32:21', NULL, NULL), (3022, '', '简阳市新市街道五里登村', '89293364c61d4516b14c4b4be966dea4', 'c670ae0d813f4325bbc4edfea0154197', 'False', 'True', 'false', 'false', '510185003005', 5, '新市街道五里登村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185003005', 1, '2021-07-19 11:32:21', NULL, NULL), (3023, '', '简阳市新市街道老虎嘴村', '9f0b8fc23b2b4b48842b4476b2cb620c', 'c670ae0d813f4325bbc4edfea0154197', 'False', 'True', 'false', 'false', '510185003006', 5, '新市街道老虎嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185003006', 1, '2021-07-19 11:32:21', NULL, NULL), (3024, '', '简阳市新市街道石家村', 'adde3425fe8944698db67d70c911938d', 'c670ae0d813f4325bbc4edfea0154197', 'False', 'True', 'false', 'false', '510185003007', 5, '新市街道石家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185003007', 1, '2021-07-19 11:32:21', NULL, NULL), (3025, '', '简阳市新市街道垣坝村', '5bb6cf49c0b54953bf1a46589b2e20df', 'c670ae0d813f4325bbc4edfea0154197', 'False', 'True', 'false', 'false', '510185003008', 5, '新市街道垣坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185003008', 1, '2021-07-19 11:32:21', NULL, NULL), (3026, '', '简阳市新市街道仁义村', '480cdfc34f974fdda080ed7493928123', 'c670ae0d813f4325bbc4edfea0154197', 'False', 'True', 'false', 'false', '510185003009', 5, '新市街道仁义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185003009', 1, '2021-07-19 11:32:21', NULL, NULL), (3027, '', '简阳市新市街道新五社区', '9565551ece264fb3b39defad5962cd35', 'c670ae0d813f4325bbc4edfea0154197', 'False', 'True', 'false', 'false', '510185003010', 5, '新市街道新五社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185003010', 1, '2021-07-19 11:32:21', NULL, NULL), (3028, '', '简阳市新市街道怀远社区', '9e26726852cc411c89c247a236b6890a', 'c670ae0d813f4325bbc4edfea0154197', 'False', 'True', 'false', 'false', '510185003011', 5, '新市街道怀远社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185003011', 1, '2021-07-19 11:32:22', NULL, NULL), (3029, '', '简阳市新市街道马鞍社区', 'f7ce91567d6f4172b7ed908dcb7fb6ce', 'c670ae0d813f4325bbc4edfea0154197', 'False', 'True', 'false', 'false', '510185003012', 5, '新市街道马鞍社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185003012', 1, '2021-07-19 11:32:22', NULL, NULL), (3030, '', '杨家镇', '8c0b60f7548347b7b47ad18d381337e9', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185096000', 4, '杨家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185096000', 1, '2021-07-19 11:32:22', NULL, NULL), (3031, '', '简阳市杨家镇民会村', '342449fac6d04bd3baac345a412350dc', '8c0b60f7548347b7b47ad18d381337e9', 'False', 'True', 'false', 'false', '510185102001', 5, '杨家镇民会村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185102001', 1, '2021-07-19 11:32:22', NULL, NULL), (3032, '', '简阳市杨家镇长安村', 'baa783df7ee7421b966f95a93f5af789', '8c0b60f7548347b7b47ad18d381337e9', 'False', 'True', 'false', 'false', '510185102002', 5, '杨家镇长安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185102002', 1, '2021-07-19 11:32:22', NULL, NULL), (3033, '', '简阳市杨家镇桐子湾村', '78e64ef51f46439498e457e3b6d69c79', '8c0b60f7548347b7b47ad18d381337e9', 'False', 'True', 'false', 'false', '510185102003', 5, '杨家镇桐子湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185102003', 1, '2021-07-19 11:32:22', NULL, NULL), (3034, '', '简阳市杨家镇金星村', '521ee7ea95e74c0ca338ee00739531fc', '8c0b60f7548347b7b47ad18d381337e9', 'False', 'True', 'false', 'false', '510185102004', 5, '杨家镇金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185102004', 1, '2021-07-19 11:32:22', NULL, NULL), (3035, '', '简阳市杨家镇界牌村', 'e026246b12ab41998071b0afe4facff4', '8c0b60f7548347b7b47ad18d381337e9', 'False', 'True', 'false', 'false', '510185102005', 5, '杨家镇界牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185102005', 1, '2021-07-19 11:32:22', NULL, NULL), (3036, '', '简阳市杨家镇常家坪村', '1446a6d3e0994a078373f4dc2af73308', '8c0b60f7548347b7b47ad18d381337e9', 'False', 'True', 'false', 'false', '510185102006', 5, '杨家镇常家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185102006', 1, '2021-07-19 11:32:22', NULL, NULL), (3037, '', '简阳市杨家镇模范村', '030962b734dd4ab8b2bca84e345f26f3', '8c0b60f7548347b7b47ad18d381337e9', 'False', 'True', 'false', 'false', '510185102007', 5, '杨家镇模范村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185102007', 1, '2021-07-19 11:32:22', NULL, NULL), (3038, '', '简阳市杨家镇新庙子村', '39d4fd3358e64705a9c5c39bca8422e5', '8c0b60f7548347b7b47ad18d381337e9', 'False', 'True', 'false', 'false', '510185102008', 5, '杨家镇新庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185102008', 1, '2021-07-19 11:32:22', NULL, NULL), (3039, '', '简阳市杨家镇互助村', '321204eb8f054e40b01424fa9419e3f3', '8c0b60f7548347b7b47ad18d381337e9', 'False', 'True', 'false', 'false', '510185102009', 5, '杨家镇互助村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185102009', 1, '2021-07-19 11:32:22', NULL, NULL), (3040, '', '简阳市杨家镇杨家社区', '977e95213302445babefa99913efc1a4', '8c0b60f7548347b7b47ad18d381337e9', 'False', 'True', 'false', 'false', '510185102010', 5, '杨家镇杨家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185102010', 1, '2021-07-19 11:32:22', NULL, NULL), (3041, '', '东溪街道', '79f0354b9d6641de8ebf68ad582ffbc7', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185108000', 4, '东溪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185108000', 1, '2021-07-19 11:32:22', NULL, NULL), (3042, '', '简阳市东溪街道江南社区', 'bc9f02bf85794ebf9c0b07f6c726545b', '79f0354b9d6641de8ebf68ad582ffbc7', 'False', 'True', 'false', 'false', '510185104001', 5, '东溪街道江南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185104001', 1, '2021-07-19 11:32:22', NULL, NULL), (3043, '', '简阳市东溪街道黄岭村', '2017f9ea685a4885aaeb55736c6f86e0', '79f0354b9d6641de8ebf68ad582ffbc7', 'False', 'True', 'false', 'false', '510185104002', 5, '东溪街道黄岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185104002', 1, '2021-07-19 11:32:23', NULL, NULL), (3044, '', '简阳市东溪街道龙溪村', '985998389481497b9454531149e56b58', '79f0354b9d6641de8ebf68ad582ffbc7', 'False', 'True', 'false', 'false', '510185104003', 5, '东溪街道龙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185104003', 1, '2021-07-19 11:32:23', NULL, NULL), (3045, '', '简阳市东溪街道凉水社区', '242bd080ec8745e1a7aa946fe2270800', '79f0354b9d6641de8ebf68ad582ffbc7', 'False', 'True', 'false', 'false', '510185104004', 5, '东溪街道凉水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185104004', 1, '2021-07-19 11:32:23', NULL, NULL), (3046, '', '简阳市东溪街道园艺社区', '4d9574507fc34524a079805a2c5f67ee', '79f0354b9d6641de8ebf68ad582ffbc7', 'False', 'True', 'false', 'false', '510185104005', 5, '东溪街道园艺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185104005', 1, '2021-07-19 11:32:23', NULL, NULL), (3047, '', '简阳市东溪街道元灯社区', 'bd8c33181264469baa5f97fc4f974575', '79f0354b9d6641de8ebf68ad582ffbc7', 'False', 'True', 'false', 'false', '510185104006', 5, '东溪街道元灯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185104006', 1, '2021-07-19 11:32:23', NULL, NULL), (3048, '', '简阳市东溪街道星光社区', '50598d48920f484eb8d25806c22066f2', '79f0354b9d6641de8ebf68ad582ffbc7', 'False', 'True', 'false', 'false', '510185104007', 5, '东溪街道星光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185104007', 1, '2021-07-19 11:32:23', NULL, NULL), (3049, '', '简阳市东溪街道尖山社区', 'a406ba77d6e1411e810f15567d740e32', '79f0354b9d6641de8ebf68ad582ffbc7', 'False', 'True', 'false', 'false', '510185104008', 5, '东溪街道尖山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185104008', 1, '2021-07-19 11:32:23', NULL, NULL), (3050, '', '简阳市东溪街道万古社区', '27273b0f540340aaa4bb1f1e79f00ddc', '79f0354b9d6641de8ebf68ad582ffbc7', 'False', 'True', 'false', 'false', '510185104009', 5, '东溪街道万古社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185104009', 1, '2021-07-19 11:32:23', NULL, NULL), (3051, '', '简阳市东溪街道新阳社区', '2a49d755e46e4e609ee0a73820e8b754', '79f0354b9d6641de8ebf68ad582ffbc7', 'False', 'True', 'false', 'false', '510185104010', 5, '东溪街道新阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185104010', 1, '2021-07-19 11:32:23', NULL, NULL), (3052, '', '简阳市东溪街道双河社区', '25eb34079bdd4b0bab7912db4ce7dc33', '79f0354b9d6641de8ebf68ad582ffbc7', 'False', 'True', 'false', 'false', '510185104011', 5, '东溪街道双河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185104011', 1, '2021-07-19 11:32:23', NULL, NULL), (3053, '', '简阳市东溪街道奎星社区', '508de0b8b3c148a3b68564cdfb2e7bdc', '79f0354b9d6641de8ebf68ad582ffbc7', 'False', 'True', 'false', 'false', '510185104012', 5, '东溪街道奎星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185104012', 1, '2021-07-19 11:32:23', NULL, NULL), (3054, '', '宏缘镇', '2de5a18af8194206aebc74e4bea2ce28', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185187000', 4, '宏缘镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185187000', 1, '2021-07-19 11:32:23', NULL, NULL), (3055, '', '简阳市宏缘镇矮桥村', 'c34f8cc116b64295940a6409d67b84fa', '2de5a18af8194206aebc74e4bea2ce28', 'False', 'True', 'false', 'false', '510185202001', 5, '宏缘镇矮桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185202001', 1, '2021-07-19 11:32:23', NULL, NULL), (3056, '', '简阳市宏缘镇大堰村', '03d8d81dd76d4bb2813ffda3d1caca6b', '2de5a18af8194206aebc74e4bea2ce28', 'False', 'True', 'false', 'false', '510185202002', 5, '宏缘镇大堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185202002', 1, '2021-07-19 11:32:23', NULL, NULL), (3057, '', '简阳市宏缘镇河心村', 'e5ff70c00b6543429c8af751cea67dcf', '2de5a18af8194206aebc74e4bea2ce28', 'False', 'True', 'false', 'false', '510185202003', 5, '宏缘镇河心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185202003', 1, '2021-07-19 11:32:24', NULL, NULL), (3058, '', '简阳市宏缘镇红沙村', '7af140ef7e4345498118778fc777be08', '2de5a18af8194206aebc74e4bea2ce28', 'False', 'True', 'false', 'false', '510185202004', 5, '宏缘镇红沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185202004', 1, '2021-07-19 11:32:24', NULL, NULL), (3059, '', '简阳市宏缘镇金盆村', '942f1b0a1e1541c18f615f3b891a1e63', '2de5a18af8194206aebc74e4bea2ce28', 'False', 'True', 'false', 'false', '510185202005', 5, '宏缘镇金盆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185202005', 1, '2021-07-19 11:32:24', NULL, NULL), (3060, '', '简阳市宏缘镇人民村', 'ceeac704297a4cce8004febf8c644205', '2de5a18af8194206aebc74e4bea2ce28', 'False', 'True', 'false', 'false', '510185202006', 5, '宏缘镇人民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185202006', 1, '2021-07-19 11:32:24', NULL, NULL), (3061, '', '简阳市宏缘镇易家坝村', '6ede6592c5d84cc7b67b64378ec615fe', '2de5a18af8194206aebc74e4bea2ce28', 'False', 'True', 'false', 'false', '510185202007', 5, '宏缘镇易家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185202007', 1, '2021-07-19 11:32:24', NULL, NULL), (3062, '', '简阳市宏缘镇壮家村', 'ff79700848a84a139c226ed3256c64c1', '2de5a18af8194206aebc74e4bea2ce28', 'False', 'True', 'false', 'false', '510185202008', 5, '宏缘镇壮家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185202008', 1, '2021-07-19 11:32:24', NULL, NULL), (3063, '', '简阳市宏缘镇渡口社区', 'e9a87ab9b07f45a091475b2544282dda', '2de5a18af8194206aebc74e4bea2ce28', 'False', 'True', 'false', 'false', '510185202009', 5, '宏缘镇渡口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185202009', 1, '2021-07-19 11:32:24', NULL, NULL), (3064, '', '镇金镇', 'b9178b84e2a34d92a347406f3ded6ea9', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185210000', 4, '镇金镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185210000', 1, '2021-07-19 11:32:24', NULL, NULL), (3065, '', '简阳市镇金镇小湾村', '8c8bf916c16f4ab58735d5277348659e', 'b9178b84e2a34d92a347406f3ded6ea9', 'False', 'True', 'false', 'false', '510185000001', 5, '镇金镇小湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185000001', 1, '2021-07-19 11:32:24', NULL, NULL), (3066, '', '简阳市镇金镇河坝村', '0e7803f173194a7eb5b3d7222175f747', 'b9178b84e2a34d92a347406f3ded6ea9', 'False', 'True', 'false', 'false', '510185000002', 5, '镇金镇河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185000002', 1, '2021-07-19 11:32:24', NULL, NULL), (3067, '', '简阳市镇金镇南山坳村', 'f63e6fb7f93d40a1962096ee3eb92bea', 'b9178b84e2a34d92a347406f3ded6ea9', 'False', 'True', 'false', 'false', '510185000003', 5, '镇金镇南山坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185000003', 1, '2021-07-19 11:32:24', NULL, NULL), (3068, '', '简阳市镇金镇二郎村', '7056406fc0cc43c1968d22202786c8f8', 'b9178b84e2a34d92a347406f3ded6ea9', 'False', 'True', 'false', 'false', '510185000004', 5, '镇金镇二郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185000004', 1, '2021-07-19 11:32:24', NULL, NULL), (3069, '', '简阳市镇金镇牌坊村', '4f9adaa2f59b43f4826409ab134166d9', 'b9178b84e2a34d92a347406f3ded6ea9', 'False', 'True', 'false', 'false', '510185000005', 5, '镇金镇牌坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185000005', 1, '2021-07-19 11:32:24', NULL, NULL), (3070, '', '简阳市镇金镇黄家厅村', '825ee0959e5d48e99fd5ad9ec266dbe4', 'b9178b84e2a34d92a347406f3ded6ea9', 'False', 'True', 'false', 'false', '510185000006', 5, '镇金镇黄家厅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185000006', 1, '2021-07-19 11:32:24', NULL, NULL), (3071, '', '简阳市镇金镇红庙山村', '56b0d9d11ad34fde96734e04ba082aac', 'b9178b84e2a34d92a347406f3ded6ea9', 'False', 'True', 'false', 'false', '510185000007', 5, '镇金镇红庙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185000007', 1, '2021-07-19 11:32:24', NULL, NULL), (3072, '', '简阳市镇金镇干家沟村', '40fc261852ee4d0885a867e7c0b985b9', 'b9178b84e2a34d92a347406f3ded6ea9', 'False', 'True', 'false', 'false', '510185000008', 5, '镇金镇干家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185000008', 1, '2021-07-19 11:32:25', NULL, NULL), (3073, '', '简阳市镇金镇朱家村', '6440de3b9f504e1a963c5d47d66176fb', 'b9178b84e2a34d92a347406f3ded6ea9', 'False', 'True', 'false', 'false', '510185000009', 5, '镇金镇朱家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185000009', 1, '2021-07-19 11:32:25', NULL, NULL), (3074, '', '简阳市镇金镇三里埂村', '3d8e5e06825547d5b3fb1ee27c1814b4', 'b9178b84e2a34d92a347406f3ded6ea9', 'False', 'True', 'false', 'false', '510185000010', 5, '镇金镇三里埂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185000010', 1, '2021-07-19 11:32:25', NULL, NULL), (3075, '', '简阳市镇金镇老龙村', '4824b5026fe94fcc84a97112d9c162e0', 'b9178b84e2a34d92a347406f3ded6ea9', 'False', 'True', 'false', 'false', '510185000011', 5, '镇金镇老龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185000011', 1, '2021-07-19 11:32:25', NULL, NULL), (3076, '', '简阳市镇金镇镇金社区', '26befc24f03c48a69621e578b8270b67', 'b9178b84e2a34d92a347406f3ded6ea9', 'False', 'True', 'false', 'false', '510185000012', 5, '镇金镇镇金社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185000012', 1, '2021-07-19 11:32:25', NULL, NULL), (3077, '', '简阳市镇金镇赵家社区', 'c32721a1ba7c41c2bac7cd8447a94fa7', 'b9178b84e2a34d92a347406f3ded6ea9', 'False', 'True', 'false', 'false', '510185000013', 5, '镇金镇赵家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185000013', 1, '2021-07-19 11:32:25', NULL, NULL), (3078, '', '云龙镇', '4927ed7e7f254ac4bbecf14b1d052693', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185342000', 4, '云龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185342000', 1, '2021-07-19 11:32:25', NULL, NULL), (3079, '', '简阳市云龙镇云龙社区', '5d7f0b6f33f7483f92576c0bf80333db', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107001', 5, '云龙镇云龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107001', 1, '2021-07-19 11:32:25', NULL, NULL), (3080, '', '简阳市云龙镇团碾村', 'a69f7bcb9e544166b5f6678a08f7cc9b', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107002', 5, '云龙镇团碾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107002', 1, '2021-07-19 11:32:25', NULL, NULL), (3081, '', '简阳市云龙镇中峰村', '76b8d4909b7b4c519c89252f58ef1c95', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107003', 5, '云龙镇中峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107003', 1, '2021-07-19 11:32:25', NULL, NULL), (3082, '', '简阳市云龙镇万安村', '0f9cdb661e224b33b6ee97e4eda5f3c0', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107004', 5, '云龙镇万安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107004', 1, '2021-07-19 11:32:25', NULL, NULL), (3083, '', '简阳市云龙镇石塔村', '855ceabfebc044b891d5b67df95384b1', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107005', 5, '云龙镇石塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107005', 1, '2021-07-19 11:32:25', NULL, NULL), (3084, '', '简阳市云龙镇老河村', '9c06e5365b4f431b9af0e0c790462473', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107006', 5, '云龙镇老河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107006', 1, '2021-07-19 11:32:25', NULL, NULL), (3085, '', '简阳市云龙镇龙潭村', 'f7ea776319f74590a709a6c190e3dca9', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107007', 5, '云龙镇龙潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107007', 1, '2021-07-19 11:32:26', NULL, NULL), (3086, '', '简阳市云龙镇红旗村', 'd52546f95cef4642aa35c80bedda42ff', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107008', 5, '云龙镇红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107008', 1, '2021-07-19 11:32:26', NULL, NULL), (3087, '', '简阳市云龙镇新乐村', 'c5f52e0a428f4c8fb7a5ce56116c695f', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107009', 5, '云龙镇新乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107009', 1, '2021-07-19 11:32:26', NULL, NULL), (3088, '', '简阳市云龙镇石佛村', 'f65eb0b2203f41ae947f39ceec1cef95', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107010', 5, '云龙镇石佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107010', 1, '2021-07-19 11:32:26', NULL, NULL), (3089, '', '简阳市云龙镇青锋村', 'e58732e8ab314d218087f58c24e1a0ea', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107011', 5, '云龙镇青锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107011', 1, '2021-07-19 11:32:26', NULL, NULL), (3090, '', '简阳市云龙镇翻身村', '4c5f5b1fe55946dd961cbb11a72e67aa', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107012', 5, '云龙镇翻身村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107012', 1, '2021-07-19 11:32:26', NULL, NULL), (3091, '', '简阳市云龙镇红坝村', '6bb272bcac1946c0ab45c6f38fa2c7e6', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107013', 5, '云龙镇红坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107013', 1, '2021-07-19 11:32:26', NULL, NULL), (3092, '', '简阳市云龙镇桤木村', '99790e66a2bb4189b23146abb9f98051', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107014', 5, '云龙镇桤木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107014', 1, '2021-07-19 11:32:26', NULL, NULL), (3093, '', '简阳市云龙镇海棠村', '02eb0e4ef4b84011b76fecd6c1f8003d', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107015', 5, '云龙镇海棠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107015', 1, '2021-07-19 11:32:26', NULL, NULL), (3094, '', '简阳市云龙镇全胜村', '058c513e29344bef832fc39297db7803', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107016', 5, '云龙镇全胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107016', 1, '2021-07-19 11:32:26', NULL, NULL), (3095, '', '简阳市云龙镇方井村', '91c03369847c4775b814f85bcaaa2408', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107017', 5, '云龙镇方井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107017', 1, '2021-07-19 11:32:26', NULL, NULL), (3096, '', '简阳市云龙镇爱民社区', '5a26ccd4290f478aabbdfddcb12e0de4', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107018', 5, '云龙镇爱民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107018', 1, '2021-07-19 11:32:26', NULL, NULL), (3097, '', '简阳市云龙镇千佛社区', '46c7bd9fd61042cc82ced9b02cca3e17', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107019', 5, '云龙镇千佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107019', 1, '2021-07-19 11:32:26', NULL, NULL), (3098, '', '简阳市云龙镇庄元社区', 'bd5542b44b394862a19e9a6c66803d81', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107020', 5, '云龙镇庄元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107020', 1, '2021-07-19 11:32:26', NULL, NULL), (3099, '', '简阳市云龙镇鱼荐社区', '94c5b0ea0e314486a2279498793d2569', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107021', 5, '云龙镇鱼荐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107021', 1, '2021-07-19 11:32:26', NULL, NULL), (3100, '', '简阳市云龙镇云峰社区', '9b9f9a5e4d01448891a40fdf4ccc7052', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107022', 5, '云龙镇云峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107022', 1, '2021-07-19 11:32:27', NULL, NULL), (3101, '', '简阳市云龙镇金马社区', '97ef034586c14ab2b28e79d1f1ccb5c5', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107023', 5, '云龙镇金马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107023', 1, '2021-07-19 11:32:27', NULL, NULL), (3102, '', '简阳市云龙镇五合社区', '6f742c356079432d99f3d68813e1d851', '4927ed7e7f254ac4bbecf14b1d052693', 'False', 'True', 'false', 'false', '510185107024', 5, '云龙镇五合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185107024', 1, '2021-07-19 11:32:27', NULL, NULL), (3103, '', '涌泉镇', 'bc5271290c1e4c568e1c257488ee93be', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185389000', 4, '涌泉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185389000', 1, '2021-07-19 11:32:27', NULL, NULL), (3104, '', '简阳市涌泉镇社区', 'ed9a1ed979e34416b53f629443310d0c', 'bc5271290c1e4c568e1c257488ee93be', 'False', 'True', 'false', 'false', '510185121001', 5, '涌泉镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185121001', 1, '2021-07-19 11:32:27', NULL, NULL), (3105, '', '简阳市涌泉镇文会村', 'b2b3268a61f24ee383d03cf1e15a9af0', 'bc5271290c1e4c568e1c257488ee93be', 'False', 'True', 'false', 'false', '510185121002', 5, '涌泉镇文会村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185121002', 1, '2021-07-19 11:32:27', NULL, NULL), (3106, '', '简阳市涌泉镇凉塘村', '812fb8b5674a46ed9b8512c4630f0acc', 'bc5271290c1e4c568e1c257488ee93be', 'False', 'True', 'false', 'false', '510185121003', 5, '涌泉镇凉塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185121003', 1, '2021-07-19 11:32:27', NULL, NULL), (3107, '', '简阳市涌泉镇同德村', '5f1ef8586ce54fc1ad98b729ead4baae', 'bc5271290c1e4c568e1c257488ee93be', 'False', 'True', 'false', 'false', '510185121004', 5, '涌泉镇同德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185121004', 1, '2021-07-19 11:32:27', NULL, NULL), (3108, '', '简阳市涌泉镇崇心村', '2c3bd1df724448ff8d837fe1eed2d0d7', 'bc5271290c1e4c568e1c257488ee93be', 'False', 'True', 'false', 'false', '510185121005', 5, '涌泉镇崇心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185121005', 1, '2021-07-19 11:32:27', NULL, NULL), (3109, '', '简阳市涌泉镇石柱村', 'df3c21ac9b904f0c97d1ad12fb76c479', 'bc5271290c1e4c568e1c257488ee93be', 'False', 'True', 'false', 'false', '510185121006', 5, '涌泉镇石柱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185121006', 1, '2021-07-19 11:32:27', NULL, NULL), (3110, '', '简阳市涌泉镇齐心村', '603ec1d4c197429ca38db2a2e62b1733', 'bc5271290c1e4c568e1c257488ee93be', 'False', 'True', 'false', 'false', '510185121007', 5, '涌泉镇齐心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185121007', 1, '2021-07-19 11:32:27', NULL, NULL), (3111, '', '简阳市涌泉镇清河村', 'b897864f15ea4bea9c49fbe08b07b277', 'bc5271290c1e4c568e1c257488ee93be', 'False', 'True', 'false', 'false', '510185121008', 5, '涌泉镇清河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185121008', 1, '2021-07-19 11:32:27', NULL, NULL), (3112, '', '江源镇', '14c990e82357498f963d469c73a54726', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185416000', 4, '江源镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185416000', 1, '2021-07-19 11:32:27', NULL, NULL), (3113, '', '简阳市江源镇月湾村', '13de63c0254e4b849f49300dd1c7c217', '14c990e82357498f963d469c73a54726', 'False', 'True', 'false', 'false', '510185120001', 5, '江源镇月湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185120001', 1, '2021-07-19 11:32:27', NULL, NULL), (3114, '', '简阳市江源镇老鹰村', '293f66b551c147ebaa4a2886659455d7', '14c990e82357498f963d469c73a54726', 'False', 'True', 'false', 'false', '510185120002', 5, '江源镇老鹰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185120002', 1, '2021-07-19 11:32:27', NULL, NULL), (3115, '', '简阳市江源镇花朝村', '97aa11af67ca4cca8b9369fee35d11bc', '14c990e82357498f963d469c73a54726', 'False', 'True', 'false', 'false', '510185120003', 5, '江源镇花朝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185120003', 1, '2021-07-19 11:32:27', NULL, NULL), (3116, '', '简阳市江源镇顺源村', '8d9d49eee1f74084903a2fb863881729', '14c990e82357498f963d469c73a54726', 'False', 'True', 'false', 'false', '510185120004', 5, '江源镇顺源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185120004', 1, '2021-07-19 11:32:28', NULL, NULL), (3117, '', '简阳市江源镇和睦村', 'af534ff794e44646af72c2358845e98a', '14c990e82357498f963d469c73a54726', 'False', 'True', 'false', 'false', '510185120005', 5, '江源镇和睦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185120005', 1, '2021-07-19 11:32:28', NULL, NULL), (3118, '', '简阳市江源镇丰产村', '31a44f9df9824600838bc955cc11f46e', '14c990e82357498f963d469c73a54726', 'False', 'True', 'false', 'false', '510185120006', 5, '江源镇丰产村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185120006', 1, '2021-07-19 11:32:28', NULL, NULL), (3119, '', '简阳市江源镇五洞村', '306b8be2ffca4e5594578f1c086db366', '14c990e82357498f963d469c73a54726', 'False', 'True', 'false', 'false', '510185120007', 5, '江源镇五洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185120007', 1, '2021-07-19 11:32:28', NULL, NULL), (3120, '', '简阳市江源镇双井村', '1e17b743c9544f98b59d79b5535da103', '14c990e82357498f963d469c73a54726', 'False', 'True', 'false', 'false', '510185120008', 5, '江源镇双井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185120008', 1, '2021-07-19 11:32:28', NULL, NULL), (3121, '', '简阳市江源镇石泉村', 'dcfb59e2ef9a4dc4819e6424b166e5ca', '14c990e82357498f963d469c73a54726', 'False', 'True', 'false', 'false', '510185120009', 5, '江源镇石泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185120009', 1, '2021-07-19 11:32:28', NULL, NULL), (3122, '', '简阳市江源镇芦稿村', 'b6801523945b4154bb6957723bfe8850', '14c990e82357498f963d469c73a54726', 'False', 'True', 'false', 'false', '510185120010', 5, '江源镇芦稿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185120010', 1, '2021-07-19 11:32:28', NULL, NULL), (3123, '', '简阳市江源镇团岭村', '68491899af69467984771731232e3f3a', '14c990e82357498f963d469c73a54726', 'False', 'True', 'false', 'false', '510185120011', 5, '江源镇团岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185120011', 1, '2021-07-19 11:32:28', NULL, NULL), (3124, '', '简阳市江源镇红台村', 'c21c9d4e255f4a818e43b07d709df712', '14c990e82357498f963d469c73a54726', 'False', 'True', 'false', 'false', '510185120012', 5, '江源镇红台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185120012', 1, '2021-07-19 11:32:28', NULL, NULL), (3125, '', '简阳市江源镇江源社区', 'fc15650ad3034f9482e6ada39e0885fb', '14c990e82357498f963d469c73a54726', 'False', 'True', 'false', 'false', '510185120013', 5, '江源镇江源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185120013', 1, '2021-07-19 11:32:28', NULL, NULL), (3126, '', '简阳市江源镇红旗社区', '1c0ff9fe87954a5bb05741931a4ed1c1', '14c990e82357498f963d469c73a54726', 'False', 'True', 'false', 'false', '510185120014', 5, '江源镇红旗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185120014', 1, '2021-07-19 11:32:28', NULL, NULL), (3127, '', '石钟镇', '413adae15da844de83fff45ad156e581', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185419000', 4, '石钟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185419000', 1, '2021-07-19 11:32:28', NULL, NULL), (3128, '', '简阳市石钟镇山泉村', '723a9d45d07442a9ada69ed3ae27b967', '413adae15da844de83fff45ad156e581', 'False', 'True', 'false', 'false', '510185114001', 5, '石钟镇山泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185114001', 1, '2021-07-19 11:32:29', NULL, NULL), (3129, '', '简阳市石钟镇五桂村', '3a0b06a7ba374e3f8677b0b5834c242e', '413adae15da844de83fff45ad156e581', 'False', 'True', 'false', 'false', '510185114002', 5, '石钟镇五桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185114002', 1, '2021-07-19 11:32:29', NULL, NULL), (3130, '', '简阳市石钟镇前锋村', '79017e17a18146ad8e285f66673dcef4', '413adae15da844de83fff45ad156e581', 'False', 'True', 'false', 'false', '510185114003', 5, '石钟镇前锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185114003', 1, '2021-07-19 11:32:29', NULL, NULL), (3131, '', '简阳市石钟镇民强村', '1094f0bf9aa64e319cbbaeb4235f7100', '413adae15da844de83fff45ad156e581', 'False', 'True', 'false', 'false', '510185114004', 5, '石钟镇民强村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185114004', 1, '2021-07-19 11:32:29', NULL, NULL), (3132, '', '简阳市石钟镇胜锋村', '4cfb749a505440f3aeaa2ff03698df92', '413adae15da844de83fff45ad156e581', 'False', 'True', 'false', 'false', '510185114005', 5, '石钟镇胜锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185114005', 1, '2021-07-19 11:32:29', NULL, NULL), (3133, '', '简阳市石钟镇石王村', 'e75123c347ee46e78c1a560365b7c9f5', '413adae15da844de83fff45ad156e581', 'False', 'True', 'false', 'false', '510185114006', 5, '石钟镇石王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185114006', 1, '2021-07-19 11:32:29', NULL, NULL), (3134, '', '简阳市石钟镇火烧庙村', 'e84ce961b6fd42bbb0d747411e24b9c7', '413adae15da844de83fff45ad156e581', 'False', 'True', 'false', 'false', '510185114007', 5, '石钟镇火烧庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185114007', 1, '2021-07-19 11:32:29', NULL, NULL), (3135, '', '简阳市石钟镇丁家村', '679da12e5e6b47b8a700e695c942b8e7', '413adae15da844de83fff45ad156e581', 'False', 'True', 'false', 'false', '510185114008', 5, '石钟镇丁家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185114008', 1, '2021-07-19 11:32:29', NULL, NULL), (3136, '', '简阳市石钟镇庙山村', '1e206504036b498780beee518de632b5', '413adae15da844de83fff45ad156e581', 'False', 'True', 'false', 'false', '510185114009', 5, '石钟镇庙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185114009', 1, '2021-07-19 11:32:29', NULL, NULL), (3137, '', '简阳市石钟镇长沟社区', '0481bce7b05041b2831e332bb8e80fe3', '413adae15da844de83fff45ad156e581', 'False', 'True', 'false', 'false', '510185114010', 5, '石钟镇长沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185114010', 1, '2021-07-19 11:32:29', NULL, NULL), (3138, '', '简阳市石钟镇黄连社区', '595243525024493c993709a5a995984c', '413adae15da844de83fff45ad156e581', 'False', 'True', 'false', 'false', '510185114011', 5, '石钟镇黄连社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185114011', 1, '2021-07-19 11:32:29', NULL, NULL), (3139, '', '简阳市石钟镇均乐社区', 'cee95702c90b432c9331568ece2b3b5b', '413adae15da844de83fff45ad156e581', 'False', 'True', 'false', 'false', '510185114012', 5, '石钟镇均乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185114012', 1, '2021-07-19 11:32:29', NULL, NULL), (3140, '', '简阳市石钟镇平窝社区', 'eae1a71edd70442989cc7e2d176cb22e', '413adae15da844de83fff45ad156e581', 'False', 'True', 'false', 'false', '510185114013', 5, '石钟镇平窝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185114013', 1, '2021-07-19 11:32:29', NULL, NULL), (3141, '', '石桥街道', '1fb0d46343ec4be7814a545989db94f7', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185448000', 4, '石桥街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185448000', 1, '2021-07-19 11:32:29', NULL, NULL), (3142, '', '简阳市石桥街道大街社区', '39f7e8dfe6014046b3b6e9882d48a6d6', '1fb0d46343ec4be7814a545989db94f7', 'False', 'True', 'false', 'false', '510185004001', 5, '石桥街道大街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185004001', 1, '2021-07-19 11:32:29', NULL, NULL), (3143, '', '简阳市石桥街道陈家坝村', 'e241470c0b804de7b71224e74d87f5b1', '1fb0d46343ec4be7814a545989db94f7', 'False', 'True', 'false', 'false', '510185004002', 5, '石桥街道陈家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185004002', 1, '2021-07-19 11:32:29', NULL, NULL), (3144, '', '简阳市石桥街道菱角村', '3a7c085ef0344665892ac5be8503cd9c', '1fb0d46343ec4be7814a545989db94f7', 'False', 'True', 'false', 'false', '510185004003', 5, '石桥街道菱角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185004003', 1, '2021-07-19 11:32:30', NULL, NULL), (3145, '', '简阳市石桥街道黄泥堰村', 'a5bca565ab2142bebe80c5ddd310a72c', '1fb0d46343ec4be7814a545989db94f7', 'False', 'True', 'false', 'false', '510185004004', 5, '石桥街道黄泥堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185004004', 1, '2021-07-19 11:32:30', NULL, NULL), (3146, '', '简阳市石桥街道永爱村', '24fe537e50634dcca2cc849f10787a8a', '1fb0d46343ec4be7814a545989db94f7', 'False', 'True', 'false', 'false', '510185004005', 5, '石桥街道永爱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185004005', 1, '2021-07-19 11:32:30', NULL, NULL), (3147, '', '简阳市石桥街道火烧店村', '4d3c83a3896a4bb3bafae645190b709f', '1fb0d46343ec4be7814a545989db94f7', 'False', 'True', 'false', 'false', '510185004006', 5, '石桥街道火烧店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185004006', 1, '2021-07-19 11:32:30', NULL, NULL), (3148, '', '简阳市石桥街道利民社区', '80f3bcb3e9c046a3a878a2238e6b0454', '1fb0d46343ec4be7814a545989db94f7', 'False', 'True', 'false', 'false', '510185004007', 5, '石桥街道利民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185004007', 1, '2021-07-19 11:32:30', NULL, NULL), (3149, '', '简阳市石桥街道天星社区', 'f38d7d951a044fd489c56f6a39de7fc3', '1fb0d46343ec4be7814a545989db94f7', 'False', 'True', 'false', 'false', '510185004008', 5, '石桥街道天星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185004008', 1, '2021-07-19 11:32:30', NULL, NULL), (3150, '', '简阳市石桥街道渡坝社区', '7a2800ce496e4001a9e6be799237ec4f', '1fb0d46343ec4be7814a545989db94f7', 'False', 'True', 'false', 'false', '510185004009', 5, '石桥街道渡坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185004009', 1, '2021-07-19 11:32:30', NULL, NULL), (3151, '', '简阳市石桥街道皂角社区', '5506a223d869488ea22ac38200fa78d4', '1fb0d46343ec4be7814a545989db94f7', 'False', 'True', 'false', 'false', '510185004010', 5, '石桥街道皂角社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185004010', 1, '2021-07-19 11:32:30', NULL, NULL), (3152, '', '简阳市石桥街道杨柳社区', 'acdf8e36929b40df8d1645e19eb7cc3f', '1fb0d46343ec4be7814a545989db94f7', 'False', 'True', 'false', 'false', '510185004011', 5, '石桥街道杨柳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185004011', 1, '2021-07-19 11:32:30', NULL, NULL), (3153, '', '简城街道', '16a70e4ea312466e90c851eab5d1c49c', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185450000', 4, '简城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185450000', 1, '2021-07-19 11:32:30', NULL, NULL), (3154, '', '简阳市简城街道安象街社区', '95d17fed8a364a34b8f0870f5efd81bc', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001001', 5, '简城街道安象街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001001', 1, '2021-07-19 11:32:30', NULL, NULL), (3155, '', '简阳市简城街道升阳社区', '3cce85356dfe4d91b3df59c2a45757a2', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001002', 5, '简城街道升阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001002', 1, '2021-07-19 11:32:30', NULL, NULL), (3156, '', '简阳市简城街道大井社区', '97dbb2979090481081c98cbd31ae4f42', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001003', 5, '简城街道大井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001003', 1, '2021-07-19 11:32:30', NULL, NULL), (3157, '', '简阳市简城街道龙垭社区', '0efbdca9e83646a88289d521c5bc49a5', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001004', 5, '简城街道龙垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001004', 1, '2021-07-19 11:32:30', NULL, NULL), (3158, '', '简阳市简城街道滨江路社区', '14cc5280fcf846948f8935b4855331af', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001005', 5, '简城街道滨江路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001005', 1, '2021-07-19 11:32:31', NULL, NULL), (3159, '', '简阳市简城街道金水街社区', '699ae973799d427aa783d7edf9e00f71', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001006', 5, '简城街道金水街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001006', 1, '2021-07-19 11:32:31', NULL, NULL), (3160, '', '简阳市简城街道白塔路社区', '91b3cc68dcb6469282f6295292149339', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001007', 5, '简城街道白塔路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001007', 1, '2021-07-19 11:32:31', NULL, NULL), (3161, '', '简阳市简城街道顺城街社区', 'e6473fc685334743b6e088efbb768259', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001008', 5, '简城街道顺城街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001008', 1, '2021-07-19 11:32:31', NULL, NULL), (3162, '', '简阳市简城街道南街社区', 'dd04def3d1384f2ea563f9d75a6ceb57', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001009', 5, '简城街道南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001009', 1, '2021-07-19 11:32:31', NULL, NULL), (3163, '', '简阳市简城街道政府街社区', '5e2b87d3beb84d1cabd7019209d58627', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001010', 5, '简城街道政府街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001010', 1, '2021-07-19 11:32:31', NULL, NULL), (3164, '', '简阳市简城街道新民街社区', '07b53f391ab2414585f34f1c6ec1f8c3', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001011', 5, '简城街道新民街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001011', 1, '2021-07-19 11:32:31', NULL, NULL), (3165, '', '简阳市简城街道建设路社区', '3e1bf2e34b1343a995e6067ec663428f', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001012', 5, '简城街道建设路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001012', 1, '2021-07-19 11:32:31', NULL, NULL), (3166, '', '简阳市简城街道花园街社区', 'b799b07fa8814a7fa57ed478088c8652', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001013', 5, '简城街道花园街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001013', 1, '2021-07-19 11:32:31', NULL, NULL), (3167, '', '简阳市简城街道川拖社区', '91796726d4024946a99fc199bdc4f72d', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001014', 5, '简城街道川拖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001014', 1, '2021-07-19 11:32:31', NULL, NULL), (3168, '', '简阳市简城街道川空社区', '2a4674f3788f4e399cf81e3578938536', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001015', 5, '简城街道川空社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001015', 1, '2021-07-19 11:32:31', NULL, NULL), (3169, '', '简阳市简城街道建设中路社区', '900e1f8df8024b39b8e05dfca228b168', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001016', 5, '简城街道建设中路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001016', 1, '2021-07-19 11:32:31', NULL, NULL), (3170, '', '简阳市简城街道华西社区', 'e9a78d1a28ba4b8da5c44dcce6f7783e', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001017', 5, '简城街道华西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001017', 1, '2021-07-19 11:32:31', NULL, NULL), (3171, '', '简阳市简城街道中心社区', '6a9fa889b2b5483c817196fe5bffa3f9', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001018', 5, '简城街道中心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001018', 1, '2021-07-19 11:32:31', NULL, NULL), (3172, '', '简阳市简城街道西峰社区', '9342a2dcb4df49549ca69886d90a7b2a', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001019', 5, '简城街道西峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001019', 1, '2021-07-19 11:32:31', NULL, NULL), (3173, '', '简阳市简城街道红塔社区', '14220677754346b6a84f20118ac4a0dc', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001020', 5, '简城街道红塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001020', 1, '2021-07-19 11:32:31', NULL, NULL), (3174, '', '简阳市简城街道棉丰社区', 'd0d1e3cf838c4069b7be668da9b367a1', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001021', 5, '简城街道棉丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001021', 1, '2021-07-19 11:32:32', NULL, NULL), (3175, '', '简阳市简城街道大葫社区', '6dc8b9e83f214a0ab63e6f22d1cc9cda', '16a70e4ea312466e90c851eab5d1c49c', 'False', 'True', 'false', 'false', '510185001022', 5, '简城街道大葫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185001022', 1, '2021-07-19 11:32:32', NULL, NULL), (3176, '', '青龙镇', 'b9ea1bbc4d1841078f6c684ecdc7769a', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185461000', 4, '青龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185461000', 1, '2021-07-19 11:32:32', NULL, NULL), (3177, '', '简阳市青龙镇大松树村', 'b8a31341677e42e3b5752ee665af1d38', 'b9ea1bbc4d1841078f6c684ecdc7769a', 'False', 'True', 'false', 'false', '510185125001', 5, '青龙镇大松树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185125001', 1, '2021-07-19 11:32:32', NULL, NULL), (3178, '', '简阳市青龙镇新堰村', 'b4f44c5401b74e5e98e430fc12ac8228', 'b9ea1bbc4d1841078f6c684ecdc7769a', 'False', 'True', 'false', 'false', '510185125002', 5, '青龙镇新堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185125002', 1, '2021-07-19 11:32:32', NULL, NULL), (3179, '', '简阳市青龙镇极乐村', '73c9fd1106c54858880e282b537b2807', 'b9ea1bbc4d1841078f6c684ecdc7769a', 'False', 'True', 'false', 'false', '510185125003', 5, '青龙镇极乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185125003', 1, '2021-07-19 11:32:32', NULL, NULL), (3180, '', '简阳市青龙镇水井村', '31580b0e577343fba7be807ec0f2cd65', 'b9ea1bbc4d1841078f6c684ecdc7769a', 'False', 'True', 'false', 'false', '510185125004', 5, '青龙镇水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185125004', 1, '2021-07-19 11:32:32', NULL, NULL), (3181, '', '简阳市青龙镇粮丰村', 'e0cbf2dc8a5f46a8b3fa51546f41f6a7', 'b9ea1bbc4d1841078f6c684ecdc7769a', 'False', 'True', 'false', 'false', '510185125005', 5, '青龙镇粮丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185125005', 1, '2021-07-19 11:32:32', NULL, NULL), (3182, '', '简阳市青龙镇联合村', '5de0ce98eab34d5faabb7bb68a6984f4', 'b9ea1bbc4d1841078f6c684ecdc7769a', 'False', 'True', 'false', 'false', '510185125006', 5, '青龙镇联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185125006', 1, '2021-07-19 11:32:32', NULL, NULL), (3183, '', '简阳市青龙镇芋河村', '7e16476df99846f29119c48564fb1101', 'b9ea1bbc4d1841078f6c684ecdc7769a', 'False', 'True', 'false', 'false', '510185125007', 5, '青龙镇芋河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185125007', 1, '2021-07-19 11:32:32', NULL, NULL), (3184, '', '简阳市青龙镇明星村', 'b057fc5e6f714850a7fa97f4da644e0f', 'b9ea1bbc4d1841078f6c684ecdc7769a', 'False', 'True', 'false', 'false', '510185125008', 5, '青龙镇明星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185125008', 1, '2021-07-19 11:32:32', NULL, NULL), (3185, '', '简阳市青龙镇银洞村', 'c7c33a5c251647169c162ee6ea737011', 'b9ea1bbc4d1841078f6c684ecdc7769a', 'False', 'True', 'false', 'false', '510185125009', 5, '青龙镇银洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185125009', 1, '2021-07-19 11:32:32', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (3186, '', '简阳市青龙镇青龙观社区', 'a473596e690342dcb887dc0e665ea41a', 'b9ea1bbc4d1841078f6c684ecdc7769a', 'False', 'True', 'false', 'false', '510185125010', 5, '青龙镇青龙观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185125010', 1, '2021-07-19 11:32:32', NULL, NULL), (3187, '', '平泉街道', '7240180e45a1486991b8680fc0bcf892', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185553000', 4, '平泉街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185553000', 1, '2021-07-19 11:32:32', NULL, NULL), (3188, '', '简阳市平泉街道荷桥村', '0ff580c5a1364cadb6d719274912fa79', '7240180e45a1486991b8680fc0bcf892', 'False', 'True', 'false', 'false', '510185105001', 5, '平泉街道荷桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185105001', 1, '2021-07-19 11:32:32', NULL, NULL), (3189, '', '简阳市平泉街道进步村', '61e7e007b3a446f1b8a71e261acec5fb', '7240180e45a1486991b8680fc0bcf892', 'False', 'True', 'false', 'false', '510185105002', 5, '平泉街道进步村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185105002', 1, '2021-07-19 11:32:32', NULL, NULL), (3190, '', '简阳市平泉街道平泉社区', '50c18d34b5904a05998bad2fd289dec0', '7240180e45a1486991b8680fc0bcf892', 'False', 'True', 'false', 'false', '510185105003', 5, '平泉街道平泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185105003', 1, '2021-07-19 11:32:33', NULL, NULL), (3191, '', '简阳市平泉街道胜华村', '29672f2c66e94b5db3239346042f6295', '7240180e45a1486991b8680fc0bcf892', 'False', 'True', 'false', 'false', '510185105004', 5, '平泉街道胜华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185105004', 1, '2021-07-19 11:32:33', NULL, NULL), (3192, '', '简阳市平泉街道新桥村', 'c9ab7feb103e44cc98a1f05c8517b709', '7240180e45a1486991b8680fc0bcf892', 'False', 'True', 'false', 'false', '510185105005', 5, '平泉街道新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185105005', 1, '2021-07-19 11:32:33', NULL, NULL), (3193, '', '简阳市平泉街道杨家寺村', 'bd548e0bf2cd46bc86b1cf0c00e96b2f', '7240180e45a1486991b8680fc0bcf892', 'False', 'True', 'false', 'false', '510185105006', 5, '平泉街道杨家寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185105006', 1, '2021-07-19 11:32:33', NULL, NULL), (3194, '', '简阳市平泉街道长春村', '62aa3731a274419da59538aba4689d55', '7240180e45a1486991b8680fc0bcf892', 'False', 'True', 'false', 'false', '510185105007', 5, '平泉街道长春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185105007', 1, '2021-07-19 11:32:33', NULL, NULL), (3195, '', '简阳市平泉街道竹湾村', '10d719a9fae044938abb0bf9906ed842', '7240180e45a1486991b8680fc0bcf892', 'False', 'True', 'false', 'false', '510185105008', 5, '平泉街道竹湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185105008', 1, '2021-07-19 11:32:33', NULL, NULL), (3196, '', '简阳市平泉街道协议村', '48ad4f8dfe9f4f43a031a93b266c3e49', '7240180e45a1486991b8680fc0bcf892', 'False', 'True', 'false', 'false', '510185105009', 5, '平泉街道协议村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185105009', 1, '2021-07-19 11:32:33', NULL, NULL), (3197, '', '简阳市平泉街道龙王村', 'dbc992e81a604f078d078dd6e97e7a80', '7240180e45a1486991b8680fc0bcf892', 'False', 'True', 'false', 'false', '510185105010', 5, '平泉街道龙王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185105010', 1, '2021-07-19 11:32:33', NULL, NULL), (3198, '', '简阳市平泉街道高坪村', 'f1b41ae41f0c4e8c89d0a9905a4e3443', '7240180e45a1486991b8680fc0bcf892', 'False', 'True', 'false', 'false', '510185105011', 5, '平泉街道高坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185105011', 1, '2021-07-19 11:32:33', NULL, NULL), (3199, '', '简阳市平泉街道太阳村', '6d3a023374ae49d1aabfa89282b9ab92', '7240180e45a1486991b8680fc0bcf892', 'False', 'True', 'false', 'false', '510185105012', 5, '平泉街道太阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185105012', 1, '2021-07-19 11:32:33', NULL, NULL), (3200, '', '简阳市平泉街道农建村', 'd5897d9ec9d843a9b3210a47c9309ab1', '7240180e45a1486991b8680fc0bcf892', 'False', 'True', 'false', 'false', '510185105013', 5, '平泉街道农建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185105013', 1, '2021-07-19 11:32:33', NULL, NULL), (3201, '', '简阳市平泉街道梓桐村', '7f664ffcac0c476097e200d757b1660e', '7240180e45a1486991b8680fc0bcf892', 'False', 'True', 'false', 'false', '510185105014', 5, '平泉街道梓桐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185105014', 1, '2021-07-19 11:32:33', NULL, NULL), (3202, '', '简阳市平泉街道群乐村', '98096b59f77e45f299ec1f26f2ff5cf6', '7240180e45a1486991b8680fc0bcf892', 'False', 'True', 'false', 'false', '510185105015', 5, '平泉街道群乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185105015', 1, '2021-07-19 11:32:33', NULL, NULL), (3203, '', '简阳市平泉街道龙泉社区', 'a2de0aaaedcf4d34b017ea0b6dfb31df', '7240180e45a1486991b8680fc0bcf892', 'False', 'True', 'false', 'false', '510185105016', 5, '平泉街道龙泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185105016', 1, '2021-07-19 11:32:33', NULL, NULL), (3204, '', '踏水镇', '8da4e309e9704c4b96f95b81baf189ed', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185609000', 4, '踏水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185609000', 1, '2021-07-19 11:32:34', NULL, NULL), (3205, '', '简阳市踏水镇柏杨村', '6eaf6d14106e4f5ca5f6c0e93a5a0e32', '8da4e309e9704c4b96f95b81baf189ed', 'False', 'True', 'false', 'false', '510185119001', 5, '踏水镇柏杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185119001', 1, '2021-07-19 11:32:34', NULL, NULL), (3206, '', '简阳市踏水镇泉水村', 'ba65024ae94d439a827266174c6a3b6c', '8da4e309e9704c4b96f95b81baf189ed', 'False', 'True', 'false', 'false', '510185119002', 5, '踏水镇泉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185119002', 1, '2021-07-19 11:32:34', NULL, NULL), (3207, '', '简阳市踏水镇双益村', 'e2837fc9ac494cb39ac0ded540e70dc4', '8da4e309e9704c4b96f95b81baf189ed', 'False', 'True', 'false', 'false', '510185119003', 5, '踏水镇双益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185119003', 1, '2021-07-19 11:32:34', NULL, NULL), (3208, '', '简阳市踏水镇石炮村', 'bc8350f17c034e3e87ef42930d418d8e', '8da4e309e9704c4b96f95b81baf189ed', 'False', 'True', 'false', 'false', '510185119004', 5, '踏水镇石炮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185119004', 1, '2021-07-19 11:32:34', NULL, NULL), (3209, '', '简阳市踏水镇大树村', 'aab3f8c53119467eb779d639130cb72a', '8da4e309e9704c4b96f95b81baf189ed', 'False', 'True', 'false', 'false', '510185119005', 5, '踏水镇大树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185119005', 1, '2021-07-19 11:32:34', NULL, NULL), (3210, '', '简阳市踏水镇店子村', 'd2948cbffa904b41af600cc1b2f65885', '8da4e309e9704c4b96f95b81baf189ed', 'False', 'True', 'false', 'false', '510185119006', 5, '踏水镇店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185119006', 1, '2021-07-19 11:32:34', NULL, NULL), (3211, '', '简阳市踏水镇发展村', 'e34476470cfc41c2a013bb240227b80c', '8da4e309e9704c4b96f95b81baf189ed', 'False', 'True', 'false', 'false', '510185119007', 5, '踏水镇发展村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185119007', 1, '2021-07-19 11:32:34', NULL, NULL), (3212, '', '简阳市踏水镇踏水社区', '2df393fe53de42a491f0fbd6d7b67e67', '8da4e309e9704c4b96f95b81baf189ed', 'False', 'True', 'false', 'false', '510185119008', 5, '踏水镇踏水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185119008', 1, '2021-07-19 11:32:34', NULL, NULL), (3213, '', '简阳市踏水镇寨子村', '92d40c241e2a4d87806eba872a315a31', '8da4e309e9704c4b96f95b81baf189ed', 'False', 'True', 'false', 'false', '510185119009', 5, '踏水镇寨子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185119009', 1, '2021-07-19 11:32:34', NULL, NULL), (3214, '', '施家镇', '9e02f3b4030a4b72a11e9caf15f4eae9', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185672000', 4, '施家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185672000', 1, '2021-07-19 11:32:34', NULL, NULL), (3215, '', '简阳市施家镇四益村', '0d5d2d2371f646769c85050f8d8fbee2', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115001', 5, '施家镇四益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115001', 1, '2021-07-19 11:32:34', NULL, NULL), (3216, '', '简阳市施家镇法堂村', 'd046e57d3a9d43629b60aad8d3ed0ad0', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115002', 5, '施家镇法堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115002', 1, '2021-07-19 11:32:34', NULL, NULL), (3217, '', '简阳市施家镇龙河村', 'f6bb23b5e6c84cc1ac95a26ee4dbe0de', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115003', 5, '施家镇龙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115003', 1, '2021-07-19 11:32:34', NULL, NULL), (3218, '', '简阳市施家镇共裕村', '78260b0bff3c4b89a6a59a8813cd6db3', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115004', 5, '施家镇共裕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115004', 1, '2021-07-19 11:32:34', NULL, NULL), (3219, '', '简阳市施家镇裕丰村', '54400d6086bc4849b4bf9f20018bb4b1', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115005', 5, '施家镇裕丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115005', 1, '2021-07-19 11:32:34', NULL, NULL), (3220, '', '简阳市施家镇信义村', '98c85cf4d237403db1843bbc9e717aed', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115006', 5, '施家镇信义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115006', 1, '2021-07-19 11:32:34', NULL, NULL), (3221, '', '简阳市施家镇施家社区', 'e53f69ea4516455194942f950a5702a9', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115007', 5, '施家镇施家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115007', 1, '2021-07-19 11:32:35', NULL, NULL), (3222, '', '简阳市施家镇龙凤村', 'e3160244c6f94958bcda09d3e0e3bccd', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115008', 5, '施家镇龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115008', 1, '2021-07-19 11:32:35', NULL, NULL), (3223, '', '简阳市施家镇悦乐村', 'f0294a58975e44fe8f3af28032e3c0ce', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115009', 5, '施家镇悦乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115009', 1, '2021-07-19 11:32:35', NULL, NULL), (3224, '', '简阳市施家镇兰坝村', '3515490b5ba04523a4e264ced86d17d5', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115010', 5, '施家镇兰坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115010', 1, '2021-07-19 11:32:35', NULL, NULL), (3225, '', '简阳市施家镇兴隆村', '711fa62efc0f455faaf6685f3623eebe', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115011', 5, '施家镇兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115011', 1, '2021-07-19 11:32:35', NULL, NULL), (3226, '', '简阳市施家镇天才村', '97600c96379147b683768851fbd203b5', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115012', 5, '施家镇天才村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115012', 1, '2021-07-19 11:32:35', NULL, NULL), (3227, '', '简阳市施家镇云林村', 'f0a01e899a894aefb8c2ab8ad1d25620', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115013', 5, '施家镇云林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115013', 1, '2021-07-19 11:32:35', NULL, NULL), (3228, '', '简阳市施家镇清水村', 'dcca29b912124d738815262f2fbc20ca', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115014', 5, '施家镇清水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115014', 1, '2021-07-19 11:32:35', NULL, NULL), (3229, '', '简阳市施家镇张林村', '49c60c60b045461ab3211ede151656ff', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115015', 5, '施家镇张林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115015', 1, '2021-07-19 11:32:35', NULL, NULL), (3230, '', '简阳市施家镇新安村', '0fd4c72dc6854cef8c20c22ac4f263cf', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115016', 5, '施家镇新安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115016', 1, '2021-07-19 11:32:35', NULL, NULL), (3231, '', '简阳市施家镇白羊嘴村', 'e3f58d7522c642c0adfbfd41d2bfe271', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115017', 5, '施家镇白羊嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115017', 1, '2021-07-19 11:32:35', NULL, NULL), (3232, '', '简阳市施家镇义和村', '534d66a7f99142f690b2d8d568a3ac27', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115018', 5, '施家镇义和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115018', 1, '2021-07-19 11:32:35', NULL, NULL), (3233, '', '简阳市施家镇金玉社区', '11689e2c10354356af7d3db9db92851f', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115019', 5, '施家镇金玉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115019', 1, '2021-07-19 11:32:35', NULL, NULL), (3234, '', '简阳市施家镇平息社区', '4646573b0ef540e78db73c370b718456', '9e02f3b4030a4b72a11e9caf15f4eae9', 'False', 'True', 'false', 'false', '510185115020', 5, '施家镇平息社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185115020', 1, '2021-07-19 11:32:36', NULL, NULL), (3235, '', '三星镇', 'a7a099fee8da43e49fef28a42e8a9622', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185681000', 4, '三星镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185681000', 1, '2021-07-19 11:32:36', NULL, NULL), (3236, '', '简阳市三星镇宝莲村', 'bdac3b5a1a82433baa65a724f6dd1801', 'a7a099fee8da43e49fef28a42e8a9622', 'False', 'True', 'false', 'false', '510185108001', 5, '三星镇宝莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185108001', 1, '2021-07-19 11:32:36', NULL, NULL), (3237, '', '简阳市三星镇共和村', '18ad219e483c4f1484dd273d1dfad4f4', 'a7a099fee8da43e49fef28a42e8a9622', 'False', 'True', 'false', 'false', '510185108002', 5, '三星镇共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185108002', 1, '2021-07-19 11:32:36', NULL, NULL), (3238, '', '简阳市三星镇利济社区', '62301fa377064881aa2b7574810e65aa', 'a7a099fee8da43e49fef28a42e8a9622', 'False', 'True', 'false', 'false', '510185108003', 5, '三星镇利济社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185108003', 1, '2021-07-19 11:32:36', NULL, NULL), (3239, '', '简阳市三星镇民桥村', 'dcd7430c14204fddb31762f23d752c57', 'a7a099fee8da43e49fef28a42e8a9622', 'False', 'True', 'false', 'false', '510185108004', 5, '三星镇民桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185108004', 1, '2021-07-19 11:32:36', NULL, NULL), (3240, '', '简阳市三星镇蟠龙村', 'a9fa3c75812547178271264375d08a67', 'a7a099fee8da43e49fef28a42e8a9622', 'False', 'True', 'false', 'false', '510185108005', 5, '三星镇蟠龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185108005', 1, '2021-07-19 11:32:36', NULL, NULL), (3241, '', '简阳市三星镇胜天村', '5cbb67cc430845b39962dbfe7fd1b6ac', 'a7a099fee8da43e49fef28a42e8a9622', 'False', 'True', 'false', 'false', '510185108006', 5, '三星镇胜天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185108006', 1, '2021-07-19 11:32:36', NULL, NULL), (3242, '', '简阳市三星镇双桂村', '97ee2fe80e05469f8cee6e934ec48013', 'a7a099fee8da43e49fef28a42e8a9622', 'False', 'True', 'false', 'false', '510185108007', 5, '三星镇双桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185108007', 1, '2021-07-19 11:32:36', NULL, NULL), (3243, '', '简阳市三星镇水泉村', 'c4d8db4773f94e41b1e28e92165abfd2', 'a7a099fee8da43e49fef28a42e8a9622', 'False', 'True', 'false', 'false', '510185108008', 5, '三星镇水泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185108008', 1, '2021-07-19 11:32:36', NULL, NULL), (3244, '', '简阳市三星镇游林村', '97cb637d079a4c95992b2b94a5d6f656', 'a7a099fee8da43e49fef28a42e8a9622', 'False', 'True', 'false', 'false', '510185108009', 5, '三星镇游林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185108009', 1, '2021-07-19 11:32:36', NULL, NULL), (3245, '', '简阳市三星镇秀阳村', '21f29785ea3d46658ef3084326147e47', 'a7a099fee8da43e49fef28a42e8a9622', 'False', 'True', 'false', 'false', '510185108010', 5, '三星镇秀阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185108010', 1, '2021-07-19 11:32:36', NULL, NULL), (3246, '', '简阳市三星镇干石山村', '2257df9828b34e76bd6fe07b52b730f3', 'a7a099fee8da43e49fef28a42e8a9622', 'False', 'True', 'false', 'false', '510185108011', 5, '三星镇干石山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185108011', 1, '2021-07-19 11:32:36', NULL, NULL), (3247, '', '简阳市三星镇三沟村', '1cef013e3f8d4b6496905e2a856de681', 'a7a099fee8da43e49fef28a42e8a9622', 'False', 'True', 'false', 'false', '510185108012', 5, '三星镇三沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185108012', 1, '2021-07-19 11:32:37', NULL, NULL), (3248, '', '简阳市三星镇柑子村', 'b1b306b075e14f3bb6b0018f3445bb86', 'a7a099fee8da43e49fef28a42e8a9622', 'False', 'True', 'false', 'false', '510185108013', 5, '三星镇柑子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185108013', 1, '2021-07-19 11:32:37', NULL, NULL), (3249, '', '简阳市三星镇平江村', '3664dfe083b346b682d400513bd6e579', 'a7a099fee8da43e49fef28a42e8a9622', 'False', 'True', 'false', 'false', '510185108014', 5, '三星镇平江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185108014', 1, '2021-07-19 11:32:37', NULL, NULL), (3250, '', '简阳市三星镇桐麻岭村', '3ecaadc336cd4d208558a524dd6a5080', 'a7a099fee8da43e49fef28a42e8a9622', 'False', 'True', 'false', 'false', '510185108015', 5, '三星镇桐麻岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185108015', 1, '2021-07-19 11:32:37', NULL, NULL), (3251, '', '简阳市三星镇雷公庙村', '7cbf17f94b9d42ce8954e7543a298b19', 'a7a099fee8da43e49fef28a42e8a9622', 'False', 'True', 'false', 'false', '510185108016', 5, '三星镇雷公庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185108016', 1, '2021-07-19 11:32:37', NULL, NULL), (3252, '', '简阳市三星镇新星社区', '511e175d0fc44cbdbeca7520ffd0691c', 'a7a099fee8da43e49fef28a42e8a9622', 'False', 'True', 'false', 'false', '510185108017', 5, '三星镇新星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185108017', 1, '2021-07-19 11:32:37', NULL, NULL), (3253, '', '简阳市三星镇同合社区', '08ccde2ba6914da6a90d3712cf16bd6b', 'a7a099fee8da43e49fef28a42e8a9622', 'False', 'True', 'false', 'false', '510185108018', 5, '三星镇同合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185108018', 1, '2021-07-19 11:32:37', NULL, NULL), (3254, '', '平武镇', '6c63890ed8ea41ecafd57dee649b8ece', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185749000', 4, '平武镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185749000', 1, '2021-07-19 11:32:37', NULL, NULL), (3255, '', '简阳市平武镇八角村', '51f00c0e27b2497d9adedd953b3dfe11', '6c63890ed8ea41ecafd57dee649b8ece', 'False', 'True', 'false', 'false', '510185117001', 5, '平武镇八角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185117001', 1, '2021-07-19 11:32:37', NULL, NULL), (3256, '', '简阳市平武镇皮匠街村', '945f58e25cc74b9abe387b0e7e21c74f', '6c63890ed8ea41ecafd57dee649b8ece', 'False', 'True', 'false', 'false', '510185117002', 5, '平武镇皮匠街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185117002', 1, '2021-07-19 11:32:37', NULL, NULL), (3257, '', '简阳市平武镇胡家街社区', '4d256ea12d6347688e6bbd4873cba8ff', '6c63890ed8ea41ecafd57dee649b8ece', 'False', 'True', 'false', 'false', '510185117003', 5, '平武镇胡家街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185117003', 1, '2021-07-19 11:32:37', NULL, NULL), (3258, '', '简阳市平武镇木桥村', '02eb4fa71a7740f5a677c0d22208dd0d', '6c63890ed8ea41ecafd57dee649b8ece', 'False', 'True', 'false', 'false', '510185117004', 5, '平武镇木桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185117004', 1, '2021-07-19 11:32:37', NULL, NULL), (3259, '', '简阳市平武镇尤安村', 'c6fa0bc8dd9c4666acebdc97e73c9941', '6c63890ed8ea41ecafd57dee649b8ece', 'False', 'True', 'false', 'false', '510185117005', 5, '平武镇尤安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185117005', 1, '2021-07-19 11:32:37', NULL, NULL), (3260, '', '简阳市平武镇高坡村', 'e6d7be0f09be4ba388e3f70d0a6efdc6', '6c63890ed8ea41ecafd57dee649b8ece', 'False', 'True', 'false', 'false', '510185117006', 5, '平武镇高坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185117006', 1, '2021-07-19 11:32:37', NULL, NULL), (3261, '', '简阳市平武镇进化社区', 'ff4030a6935642969282894ff153b05a', '6c63890ed8ea41ecafd57dee649b8ece', 'False', 'True', 'false', 'false', '510185117007', 5, '平武镇进化社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185117007', 1, '2021-07-19 11:32:38', NULL, NULL), (3262, '', '简阳市平武镇黄桷堰社区', '73c8551a857e4a179b32f1895c3fa372', '6c63890ed8ea41ecafd57dee649b8ece', 'False', 'True', 'false', 'false', '510185117008', 5, '平武镇黄桷堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185117008', 1, '2021-07-19 11:32:38', NULL, NULL), (3263, '', '禾丰镇', '009c356b5b41429d9714d1a79ba4ca9f', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185813000', 4, '禾丰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185813000', 1, '2021-07-19 11:32:38', NULL, NULL), (3264, '', '简阳市禾丰镇火盆村', 'e84217b557244f1eb7285cd916051ab6', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106001', 5, '禾丰镇火盆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106001', 1, '2021-07-19 11:32:38', NULL, NULL), (3265, '', '简阳市禾丰镇翰林村', 'd4542f71481143999017d35e47914d4f', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106002', 5, '禾丰镇翰林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106002', 1, '2021-07-19 11:32:38', NULL, NULL), (3266, '', '简阳市禾丰镇蒋家桥村', 'e569dbda693344418614d445bd7f65e2', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106003', 5, '禾丰镇蒋家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106003', 1, '2021-07-19 11:32:38', NULL, NULL), (3267, '', '简阳市禾丰镇丙灵村', '46949b41ec9f42328406ffe992c2bf3c', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106004', 5, '禾丰镇丙灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106004', 1, '2021-07-19 11:32:38', NULL, NULL), (3268, '', '简阳市禾丰镇碑垭村', '8d946223362c420697b621eb16857f01', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106005', 5, '禾丰镇碑垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106005', 1, '2021-07-19 11:32:38', NULL, NULL), (3269, '', '简阳市禾丰镇农云村', 'ee904482a7b7465db5c4c1825f2397aa', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106006', 5, '禾丰镇农云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106006', 1, '2021-07-19 11:32:38', NULL, NULL), (3270, '', '简阳市禾丰镇牛心山村', '36945ae3cf8d45c39d46f949b49e34c9', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106007', 5, '禾丰镇牛心山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106007', 1, '2021-07-19 11:32:38', NULL, NULL), (3271, '', '简阳市禾丰镇民胜村', '29ebf8c2ba364d5c917aa679e3beca6f', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106008', 5, '禾丰镇民胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106008', 1, '2021-07-19 11:32:38', NULL, NULL), (3272, '', '简阳市禾丰镇城隍村', '9dec11b847694ba1b90bfa2a6d409ea2', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106009', 5, '禾丰镇城隍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106009', 1, '2021-07-19 11:32:38', NULL, NULL), (3273, '', '简阳市禾丰镇农民村', 'c1bba72fe18341758a6d6c19da8c573b', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106010', 5, '禾丰镇农民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106010', 1, '2021-07-19 11:32:38', NULL, NULL), (3274, '', '简阳市禾丰镇南山村', '32c0b961f9ca44aa8dd401ec142a09f6', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106011', 5, '禾丰镇南山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106011', 1, '2021-07-19 11:32:38', NULL, NULL), (3275, '', '简阳市禾丰镇裕民社区', '2d5af811a3f74781a2085460420e57cf', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106012', 5, '禾丰镇裕民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106012', 1, '2021-07-19 11:32:38', NULL, NULL), (3276, '', '简阳市禾丰镇连山村', '7927610306fa43d792c2ace494c7a206', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106013', 5, '禾丰镇连山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106013', 1, '2021-07-19 11:32:38', NULL, NULL), (3277, '', '简阳市禾丰镇安全村', '390755f38a3e4b38ad2268287c574d12', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106014', 5, '禾丰镇安全村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106014', 1, '2021-07-19 11:32:38', NULL, NULL), (3278, '', '简阳市禾丰镇普安社区', 'afca52f122044933a9aa123f47bcb182', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106015', 5, '禾丰镇普安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106015', 1, '2021-07-19 11:32:38', NULL, NULL), (3279, '', '简阳市禾丰镇元吉社区', 'f225bf0a8cae47cf9098d9f38883f66f', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106016', 5, '禾丰镇元吉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106016', 1, '2021-07-19 11:32:39', NULL, NULL), (3280, '', '简阳市禾丰镇禾丰社区', 'c7b44cb824c94fa3852614c91ee6a72a', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106017', 5, '禾丰镇禾丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106017', 1, '2021-07-19 11:32:39', NULL, NULL), (3281, '', '简阳市禾丰镇接龙社区', '55e895810c744a20aa20b9d16bf4c090', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106018', 5, '禾丰镇接龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106018', 1, '2021-07-19 11:32:39', NULL, NULL), (3282, '', '简阳市禾丰镇潮水社区', 'e6d22d558bb7405c8aad65594158c372', '009c356b5b41429d9714d1a79ba4ca9f', 'False', 'True', 'false', 'false', '510185106019', 5, '禾丰镇潮水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185106019', 1, '2021-07-19 11:32:39', NULL, NULL), (3283, '', '三合镇', '07fc498af58c42e38c2b018a0600e88e', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185843000', 4, '三合镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185843000', 1, '2021-07-19 11:32:39', NULL, NULL), (3284, '', '简阳市三合镇利木村', '6646c13a2b5c40a0ab9071a33cacff2a', '07fc498af58c42e38c2b018a0600e88e', 'False', 'True', 'false', 'false', '510185116001', 5, '三合镇利木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185116001', 1, '2021-07-19 11:32:39', NULL, NULL), (3285, '', '简阳市三合镇石马井村', 'ed7505e32614460fbdbbf635a0ecd24c', '07fc498af58c42e38c2b018a0600e88e', 'False', 'True', 'false', 'false', '510185116002', 5, '三合镇石马井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185116002', 1, '2021-07-19 11:32:39', NULL, NULL), (3286, '', '简阳市三合镇塘坝村', 'cd9ab0d6d8494e63854c114a11ffd098', '07fc498af58c42e38c2b018a0600e88e', 'False', 'True', 'false', 'false', '510185116003', 5, '三合镇塘坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185116003', 1, '2021-07-19 11:32:39', NULL, NULL), (3287, '', '简阳市三合镇靖水村', '88003a19a3e043e3ad7f1c5cc1102d57', '07fc498af58c42e38c2b018a0600e88e', 'False', 'True', 'false', 'false', '510185116004', 5, '三合镇靖水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185116004', 1, '2021-07-19 11:32:39', NULL, NULL), (3288, '', '简阳市三合镇斑竹村', '8c892de27afe4c12953d793497e979db', '07fc498af58c42e38c2b018a0600e88e', 'False', 'True', 'false', 'false', '510185116005', 5, '三合镇斑竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185116005', 1, '2021-07-19 11:32:39', NULL, NULL), (3289, '', '简阳市三合镇沙河村', '180598a8cee3473c8a15fc040e4d490a', '07fc498af58c42e38c2b018a0600e88e', 'False', 'True', 'false', 'false', '510185116006', 5, '三合镇沙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185116006', 1, '2021-07-19 11:32:39', NULL, NULL), (3290, '', '简阳市三合镇石岭社区', '33a13948bdde4a6bab582ac302bd2e5d', '07fc498af58c42e38c2b018a0600e88e', 'False', 'True', 'false', 'false', '510185116007', 5, '三合镇石岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185116007', 1, '2021-07-19 11:32:39', NULL, NULL), (3291, '', '射洪坝街道', '7d429ef6da324a368f0c1d711a2c7176', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185844000', 4, '射洪坝街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185844000', 1, '2021-07-19 11:32:39', NULL, NULL), (3292, '', '简阳市射洪坝街道东滨路南段社区', 'd8e7e30f62a94373b9f42a87b3efb41c', '7d429ef6da324a368f0c1d711a2c7176', 'False', 'True', 'false', 'false', '510185002001', 5, '射洪坝街道东滨路南段社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185002001', 1, '2021-07-19 11:32:39', NULL, NULL), (3293, '', '简阳市射洪坝街道解放路社区', '2a7d190eda6944efa162051c0951d3ad', '7d429ef6da324a368f0c1d711a2c7176', 'False', 'True', 'false', 'false', '510185002002', 5, '射洪坝街道解放路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185002002', 1, '2021-07-19 11:32:39', NULL, NULL), (3294, '', '简阳市射洪坝街道射洪坝社区', '0e1b9572348c4745bce5c8addc3f3ce6', '7d429ef6da324a368f0c1d711a2c7176', 'False', 'True', 'false', 'false', '510185002003', 5, '射洪坝街道射洪坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185002003', 1, '2021-07-19 11:32:40', NULL, NULL), (3295, '', '简阳市射洪坝街道蜀阳社区', 'ffae6918771447c996711011c69e7834', '7d429ef6da324a368f0c1d711a2c7176', 'False', 'True', 'false', 'false', '510185002004', 5, '射洪坝街道蜀阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185002004', 1, '2021-07-19 11:32:40', NULL, NULL), (3296, '', '简阳市射洪坝街道筒车路社区', '21b31c63dd074b6e87aeddfc8909dd13', '7d429ef6da324a368f0c1d711a2c7176', 'False', 'True', 'false', 'false', '510185002005', 5, '射洪坝街道筒车路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185002005', 1, '2021-07-19 11:32:40', NULL, NULL), (3297, '', '简阳市射洪坝街道沱江社区', '6c929337c82b4f74a69d83f19bb25c3e', '7d429ef6da324a368f0c1d711a2c7176', 'False', 'True', 'false', 'false', '510185002006', 5, '射洪坝街道沱江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185002006', 1, '2021-07-19 11:32:40', NULL, NULL), (3298, '', '简阳市射洪坝街道铁堰社区', 'f9cb79e631c14ca08c5552ebcc167f03', '7d429ef6da324a368f0c1d711a2c7176', 'False', 'True', 'false', 'false', '510185002007', 5, '射洪坝街道铁堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185002007', 1, '2021-07-19 11:32:40', NULL, NULL), (3299, '', '简阳市射洪坝街道裕民村', '9270d0b978b646f290c12e030f271829', '7d429ef6da324a368f0c1d711a2c7176', 'False', 'True', 'false', 'false', '510185002008', 5, '射洪坝街道裕民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185002008', 1, '2021-07-19 11:32:40', NULL, NULL), (3300, '', '简阳市射洪坝街道长顺村', '7709a9fc754b4764b73d75d338bfff22', '7d429ef6da324a368f0c1d711a2c7176', 'False', 'True', 'false', 'false', '510185002009', 5, '射洪坝街道长顺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185002009', 1, '2021-07-19 11:32:40', NULL, NULL), (3301, '', '简阳市射洪坝街道新合社区', 'ef9509eff709454299b87e0370f1d6b5', '7d429ef6da324a368f0c1d711a2c7176', 'False', 'True', 'false', 'false', '510185002010', 5, '射洪坝街道新合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185002010', 1, '2021-07-19 11:32:40', NULL, NULL), (3302, '', '简阳市射洪坝街道柳林社区', '423a7569652045f79f245b17ae7d7260', '7d429ef6da324a368f0c1d711a2c7176', 'False', 'True', 'false', 'false', '510185002011', 5, '射洪坝街道柳林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185002011', 1, '2021-07-19 11:32:40', NULL, NULL), (3303, '', '赤水街道', '4d0b5ab0a3cb41988edcbd45136ca608', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185868000', 4, '赤水街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185868000', 1, '2021-07-19 11:32:40', NULL, NULL), (3304, '', '简阳市赤水街道三溪村', 'b63ce7b7a6aa44a2ba1ce766334bbfc2', '4d0b5ab0a3cb41988edcbd45136ca608', 'False', 'True', 'false', 'false', '510185101001', 5, '赤水街道三溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185101001', 1, '2021-07-19 11:32:40', NULL, NULL), (3305, '', '简阳市赤水街道先明村', 'edd39729a7094092ab8b7cd5bc82581a', '4d0b5ab0a3cb41988edcbd45136ca608', 'False', 'True', 'false', 'false', '510185101002', 5, '赤水街道先明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185101002', 1, '2021-07-19 11:32:40', NULL, NULL), (3306, '', '简阳市赤水街道深湾村', '6e94b18ab6fe402994b9e03cfa55f8ff', '4d0b5ab0a3cb41988edcbd45136ca608', 'False', 'True', 'false', 'false', '510185101003', 5, '赤水街道深湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185101003', 1, '2021-07-19 11:32:40', NULL, NULL), (3307, '', '简阳市赤水街道劲松村', '9fd02c21c3f642e397261dddb563bffe', '4d0b5ab0a3cb41988edcbd45136ca608', 'False', 'True', 'false', 'false', '510185101004', 5, '赤水街道劲松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185101004', 1, '2021-07-19 11:32:40', NULL, NULL), (3308, '', '简阳市赤水街道永平村', 'faf0f62bfafa459f816622c14f1adaa4', '4d0b5ab0a3cb41988edcbd45136ca608', 'False', 'True', 'false', 'false', '510185101005', 5, '赤水街道永平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185101005', 1, '2021-07-19 11:32:40', NULL, NULL), (3309, '', '简阳市赤水街道福民坝村', 'e8036bb722dc40a8a30a59340ecfb94b', '4d0b5ab0a3cb41988edcbd45136ca608', 'False', 'True', 'false', 'false', '510185101006', 5, '赤水街道福民坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185101006', 1, '2021-07-19 11:32:40', NULL, NULL), (3310, '', '简阳市赤水街道永达社区', 'bd7ee46cc83a4decab307949b43b837f', '4d0b5ab0a3cb41988edcbd45136ca608', 'False', 'True', 'false', 'false', '510185101007', 5, '赤水街道永达社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185101007', 1, '2021-07-19 11:32:40', NULL, NULL), (3311, '', '简阳市赤水街道万家堂社区', '5e5ff78643344c7680578c6018e7450f', '4d0b5ab0a3cb41988edcbd45136ca608', 'False', 'True', 'false', 'false', '510185101008', 5, '赤水街道万家堂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185101008', 1, '2021-07-19 11:32:40', NULL, NULL), (3312, '', '简阳市赤水街道万家坝社区', '6b322f1349af490d90ba5282ca3117ab', '4d0b5ab0a3cb41988edcbd45136ca608', 'False', 'True', 'false', 'false', '510185101009', 5, '赤水街道万家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185101009', 1, '2021-07-19 11:32:40', NULL, NULL), (3313, '', '简阳市赤水街道增产社区', '54a421d26c09476282a94d7a57dc5ca2', '4d0b5ab0a3cb41988edcbd45136ca608', 'False', 'True', 'false', 'false', '510185101010', 5, '赤水街道增产社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185101010', 1, '2021-07-19 11:32:40', NULL, NULL), (3314, '', '简阳市赤水街道建合社区', 'c12a2471adb94c3cbab2b1d18fc4784a', '4d0b5ab0a3cb41988edcbd45136ca608', 'False', 'True', 'false', 'false', '510185101011', 5, '赤水街道建合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185101011', 1, '2021-07-19 11:32:41', NULL, NULL), (3315, '', '简阳市赤水街道燕子社区', 'f35e6eeea74a43039b5cf4a4edd204a0', '4d0b5ab0a3cb41988edcbd45136ca608', 'False', 'True', 'false', 'false', '510185101012', 5, '赤水街道燕子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185101012', 1, '2021-07-19 11:32:41', NULL, NULL), (3316, '', '简阳市赤水街道飞鹅社区', 'a7f0f92eb4b04e18ab749688df5f1cf8', '4d0b5ab0a3cb41988edcbd45136ca608', 'False', 'True', 'false', 'false', '510185101013', 5, '赤水街道飞鹅社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185101013', 1, '2021-07-19 11:32:41', NULL, NULL), (3317, '', '简阳市赤水街道太平桥社区', 'acf7fc8c691645729a68021f5800b613', '4d0b5ab0a3cb41988edcbd45136ca608', 'False', 'True', 'false', 'false', '510185101014', 5, '赤水街道太平桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185101014', 1, '2021-07-19 11:32:41', NULL, NULL), (3318, '', '简阳市赤水街道回龙寺社区', '236bfb7f20854dde8ad0a13ff6d77a92', '4d0b5ab0a3cb41988edcbd45136ca608', 'False', 'True', 'false', 'false', '510185101015', 5, '赤水街道回龙寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185101015', 1, '2021-07-19 11:32:41', NULL, NULL), (3319, '', '简阳市赤水街道方家寺社区', '677d9dd143064d8bb8f8806b78e46422', '4d0b5ab0a3cb41988edcbd45136ca608', 'False', 'True', 'false', 'false', '510185101016', 5, '赤水街道方家寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185101016', 1, '2021-07-19 11:32:41', NULL, NULL), (3320, '', '雷家镇', '84b0a42d51884f24a555a9d73aa4a35b', 'b9a865eb82024540abb1d560ce2ad809', 'True', 'True', 'false', 'false', '510185919000', 4, '雷家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510185919000', 1, '2021-07-19 11:32:41', NULL, NULL), (3321, '', '简阳市雷家镇九龙滩村', 'bea57a211266492eb5d8c35cd6d04c21', '84b0a42d51884f24a555a9d73aa4a35b', 'False', 'True', 'false', 'false', '510185223001', 5, '雷家镇九龙滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185223001', 1, '2021-07-19 11:32:41', NULL, NULL), (3322, '', '简阳市雷家镇金竹村', '53f19e404f6a4b8a9e53b13131b6df20', '84b0a42d51884f24a555a9d73aa4a35b', 'False', 'True', 'false', 'false', '510185223002', 5, '雷家镇金竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185223002', 1, '2021-07-19 11:32:41', NULL, NULL), (3323, '', '简阳市雷家镇高嘴村', 'c4681b359c2e46a88a18c97b84794cf2', '84b0a42d51884f24a555a9d73aa4a35b', 'False', 'True', 'false', 'false', '510185223003', 5, '雷家镇高嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185223003', 1, '2021-07-19 11:32:41', NULL, NULL), (3324, '', '简阳市雷家镇石岩寺村', '74839057209e47b4ae851762d6b1ea1b', '84b0a42d51884f24a555a9d73aa4a35b', 'False', 'True', 'false', 'false', '510185223004', 5, '雷家镇石岩寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185223004', 1, '2021-07-19 11:32:41', NULL, NULL), (3325, '', '简阳市雷家镇高桥村', '88226e077fc642e29b343c5f19dbb8c2', '84b0a42d51884f24a555a9d73aa4a35b', 'False', 'True', 'false', 'false', '510185223005', 5, '雷家镇高桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185223005', 1, '2021-07-19 11:32:41', NULL, NULL), (3326, '', '简阳市雷家镇黑水寺村', '56ab8df783794329b883890f4b6fd2a3', '84b0a42d51884f24a555a9d73aa4a35b', 'False', 'True', 'false', 'false', '510185223006', 5, '雷家镇黑水寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185223006', 1, '2021-07-19 11:32:41', NULL, NULL), (3327, '', '简阳市雷家镇望水寺村', '89a2cbbf7ca04ae7b1c19e391178992e', '84b0a42d51884f24a555a9d73aa4a35b', 'False', 'True', 'false', 'false', '510185223007', 5, '雷家镇望水寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185223007', 1, '2021-07-19 11:32:41', NULL, NULL), (3328, '', '简阳市雷家镇团山社区', '873c561fc21949e5b0a89db4155db4b3', '84b0a42d51884f24a555a9d73aa4a35b', 'False', 'True', 'false', 'false', '510185223008', 5, '雷家镇团山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185223008', 1, '2021-07-19 11:32:41', NULL, NULL), (3329, '', '简阳市雷家镇金家社区', '3091000019f744aab2f99c80ed790eae', '84b0a42d51884f24a555a9d73aa4a35b', 'False', 'True', 'false', 'false', '510185223009', 5, '雷家镇金家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510185223009', 1, '2021-07-19 11:32:41', NULL, NULL), (3330, '', '自贡市', 'effde37459fb401e8cabb51660853bab', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '510300000000', 2, '自贡市', 'zgs.sczwfw.gov.cn', 1, '2021-07-19 11:32:41', NULL, NULL), (3331, '', '自流井区', 'fb64569a4ada43f3afa8d4e2459bf5fa', 'effde37459fb401e8cabb51660853bab', 'True', 'True', 'false', 'false', '510302000000', 3, '自流井区', 'zgszljq.sczwfw.gov.cn', 1, '2021-07-19 11:32:41', NULL, NULL), (3332, '', '舒坪街道', '7d2f3056591040dea5a191b21686457d', 'fb64569a4ada43f3afa8d4e2459bf5fa', 'True', 'True', 'false', 'false', '510302111700', 4, '舒坪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510302111700', 1, '2021-07-19 11:32:42', NULL, NULL), (3333, '', '肖家村', 'ad56110c6c7c49be87607f5c02037f00', '7d2f3056591040dea5a191b21686457d', 'False', 'True', 'false', 'false', '510302000035', 5, '肖家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302000035', 1, '2021-07-19 11:32:42', NULL, NULL), (3334, '', '水口村', '689b3df7d37f4223afac9e5757bcb777', '7d2f3056591040dea5a191b21686457d', 'False', 'True', 'false', 'false', '510302000243', 5, '水口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302000243', 1, '2021-07-19 11:32:42', NULL, NULL), (3335, '', '上阳社区', 'bb088a6b2ffd447d93da9eb7d3daafed', '7d2f3056591040dea5a191b21686457d', 'False', 'True', 'false', 'false', '510302000257', 5, '上阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302000257', 1, '2021-07-19 11:32:42', NULL, NULL), (3336, '', '磨刀岭社区', '35471b88d8274ffc901259a82a7715a6', '7d2f3056591040dea5a191b21686457d', 'False', 'True', 'false', 'false', '510302000462', 5, '磨刀岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302000462', 1, '2021-07-19 11:32:42', NULL, NULL), (3337, '', '白果村', '964f5b5060ea4e71ab9af2c7dbadfb53', '7d2f3056591040dea5a191b21686457d', 'False', 'True', 'false', 'false', '510302000558', 5, '白果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302000558', 1, '2021-07-19 11:32:42', NULL, NULL), (3338, '', '丹阳社区', '62a90d6a63f84aaead21e07abdd49d4d', '7d2f3056591040dea5a191b21686457d', 'False', 'True', 'false', 'false', '510302000718', 5, '丹阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302000718', 1, '2021-07-19 11:32:42', NULL, NULL), (3339, '', '舒家垇社区', '7489f84c833f45568c794451218916d3', '7d2f3056591040dea5a191b21686457d', 'False', 'True', 'false', 'false', '510302000753', 5, '舒家垇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302000753', 1, '2021-07-19 11:32:42', NULL, NULL), (3340, '', '柏林村', '1dddf2e4dc624f149ba2d6b4f9b5aad5', '7d2f3056591040dea5a191b21686457d', 'False', 'True', 'false', 'false', '510302000965', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302000965', 1, '2021-07-19 11:32:42', NULL, NULL), (3341, '', '郭家坳街道', 'a3b1c2fd61ce4d1cba69d8b2dcfcaef8', 'fb64569a4ada43f3afa8d4e2459bf5fa', 'True', 'True', 'false', 'false', '510302222000', 4, '郭街', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510302222000', 1, '2021-07-19 11:32:42', NULL, NULL), (3342, '', '马吃水社区', '0b3287b0c4a040f89d7e5afaba9fa073', 'a3b1c2fd61ce4d1cba69d8b2dcfcaef8', 'False', 'True', 'false', 'false', '510302004268', 5, '马吃水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302004268', 1, '2021-07-19 11:32:42', NULL, NULL), (3343, '', '芭蕉冲社区', '4a1cf97e5c1749a8a4375cfea04496ed', 'a3b1c2fd61ce4d1cba69d8b2dcfcaef8', 'False', 'True', 'false', 'false', '510302004365', 5, '芭蕉冲社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302004365', 1, '2021-07-19 11:32:42', NULL, NULL), (3344, '', '光大街社区', '2d700505708946aba8f3dbf9b2e107d0', 'a3b1c2fd61ce4d1cba69d8b2dcfcaef8', 'False', 'True', 'false', 'false', '510302004001', 5, '光大街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302004001', 1, '2021-07-19 11:32:42', NULL, NULL), (3345, '', '大来井社区', '05e5fe5fb9a6441b9d275c7c2f63ef91', 'a3b1c2fd61ce4d1cba69d8b2dcfcaef8', 'False', 'True', 'false', 'false', '510302004003', 5, '大来井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302004003', 1, '2021-07-19 11:32:43', NULL, NULL), (3346, '', '核桃湾社区', '9e971588e4b14d60a16620e9d84a94df', 'a3b1c2fd61ce4d1cba69d8b2dcfcaef8', 'False', 'True', 'false', 'false', '510302004005', 5, '核桃湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302004005', 1, '2021-07-19 11:32:43', NULL, NULL), (3347, '', '火井沱社区', 'e9a26b4e885d4f7c917ad05f0a09beb4', 'a3b1c2fd61ce4d1cba69d8b2dcfcaef8', 'False', 'True', 'false', 'false', '510302004006', 5, '火井沱社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302004006', 1, '2021-07-19 11:32:43', NULL, NULL), (3348, '', '大湾井社区', '595b5c36f9654beda778ec688b76bf38', 'a3b1c2fd61ce4d1cba69d8b2dcfcaef8', 'False', 'True', 'false', 'false', '510302004008', 5, '大湾井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302004008', 1, '2021-07-19 11:32:43', NULL, NULL), (3349, '', '仲权镇', '5b977f441bee4e84b49ba2f1ab91067a', 'fb64569a4ada43f3afa8d4e2459bf5fa', 'True', 'True', 'false', 'false', '510302290000', 4, '仲权镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510302290000', 1, '2021-07-19 11:32:43', NULL, NULL), (3350, '', '双石铺社区', '53abc68f219a4b729970c5f16a9d4cde', '5b977f441bee4e84b49ba2f1ab91067a', 'False', 'True', 'false', 'false', '510302101001', 5, '双石铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302101001', 1, '2021-07-19 11:32:43', NULL, NULL), (3351, '', '全胜村', '5a787cd533154fbbad266b1c473b2e1d', '5b977f441bee4e84b49ba2f1ab91067a', 'False', 'True', 'false', 'false', '510302101201', 5, '全胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302101201', 1, '2021-07-19 11:32:43', NULL, NULL), (3352, '', '永胜村', 'c2ee95e436f74a00814c5632b4a2ee93', '5b977f441bee4e84b49ba2f1ab91067a', 'False', 'True', 'false', 'false', '510302101203', 5, '永胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302101203', 1, '2021-07-19 11:32:43', NULL, NULL), (3353, '', '宏伟村', '88de10e5eb214f988d9e37e50ee1c291', '5b977f441bee4e84b49ba2f1ab91067a', 'False', 'True', 'false', 'false', '510302101204', 5, '宏伟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302101204', 1, '2021-07-19 11:32:43', NULL, NULL), (3354, '', '百胜村', '5a821816430c42be9507d60298ccf3f3', '5b977f441bee4e84b49ba2f1ab91067a', 'False', 'True', 'false', 'false', '510302101205', 5, '百胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302101205', 1, '2021-07-19 11:32:43', NULL, NULL), (3355, '', '银河村', '80c96fc0d3254550a68740a83c2740bd', '5b977f441bee4e84b49ba2f1ab91067a', 'False', 'True', 'false', 'false', '510302101207', 5, '银河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302101207', 1, '2021-07-19 11:32:43', NULL, NULL), (3356, '', '建设村', 'ea7ad507ff8e436399806aadaa89b151', '5b977f441bee4e84b49ba2f1ab91067a', 'False', 'True', 'false', 'false', '510302101208', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302101208', 1, '2021-07-19 11:32:43', NULL, NULL), (3357, '', '竹元村', 'ae999cf236a94ea8afe77de831af90fa', '5b977f441bee4e84b49ba2f1ab91067a', 'False', 'True', 'false', 'false', '510302101209', 5, '竹元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302101209', 1, '2021-07-19 11:32:43', NULL, NULL), (3358, '', '群光村', '1aaf6b5b9ca94b92bb42e2e5e6196391', '5b977f441bee4e84b49ba2f1ab91067a', 'False', 'True', 'false', 'false', '510302101210', 5, '群光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302101210', 1, '2021-07-19 11:32:43', NULL, NULL), (3359, '', '仲权村', '46d48ab60c234d20bddb07b079069d4b', '5b977f441bee4e84b49ba2f1ab91067a', 'False', 'True', 'false', 'false', '510302101211', 5, '仲权村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302101211', 1, '2021-07-19 11:32:43', NULL, NULL), (3360, '', '荣边镇', 'c17ccc21219c49fdbd45d63e839ad00a', 'fb64569a4ada43f3afa8d4e2459bf5fa', 'True', 'True', 'false', 'false', '510302321000', 4, '荣边镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510302321000', 1, '2021-07-19 11:32:43', NULL, NULL), (3361, '', '灵官殿社区', '6b86b96b00fd47e98d615122f9c11bcd', 'c17ccc21219c49fdbd45d63e839ad00a', 'False', 'True', 'false', 'false', '510302103001', 5, '灵官殿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302103001', 1, '2021-07-19 11:32:43', NULL, NULL), (3362, '', '干塘村', 'dad42833a5de44439a857b090b460343', 'c17ccc21219c49fdbd45d63e839ad00a', 'False', 'True', 'false', 'false', '510302103201', 5, '干塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302103201', 1, '2021-07-19 11:32:44', NULL, NULL), (3363, '', '大山村', 'a177ca48b67c4d1bb16900fbe263a31b', 'c17ccc21219c49fdbd45d63e839ad00a', 'False', 'True', 'false', 'false', '510302103204', 5, '大山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302103204', 1, '2021-07-19 11:32:44', NULL, NULL), (3364, '', '桂花村', '619e6b6c70344a9ea62585f5f4904a82', 'c17ccc21219c49fdbd45d63e839ad00a', 'False', 'True', 'false', 'false', '510302103208', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302103208', 1, '2021-07-19 11:32:44', NULL, NULL), (3365, '', '雨潭村', '5e6d9a051f31492794f8b3567490e510', 'c17ccc21219c49fdbd45d63e839ad00a', 'False', 'True', 'false', 'false', '510302103210', 5, '雨潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302103210', 1, '2021-07-19 11:32:44', NULL, NULL), (3366, '', '尖山村', 'daece1727c944ddda030bc9577017db3', 'c17ccc21219c49fdbd45d63e839ad00a', 'False', 'True', 'false', 'false', '510302103212', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302103212', 1, '2021-07-19 11:32:44', NULL, NULL), (3367, '', '飞龙峡镇', 'acd1af5669404ae9a6168f772891f442', 'fb64569a4ada43f3afa8d4e2459bf5fa', 'True', 'True', 'false', 'false', '510302371000', 4, '飞龙峡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510302371000', 1, '2021-07-19 11:32:44', NULL, NULL), (3368, '', '新国村', '2d603ba2fbc14f8ea1b9d717def9c77c', 'acd1af5669404ae9a6168f772891f442', 'False', 'True', 'false', 'false', '510302104647', 5, '新国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302104647', 1, '2021-07-19 11:32:44', NULL, NULL), (3369, '', '草堂村', '64c960654db44cdd9d185484b9fab0de', 'acd1af5669404ae9a6168f772891f442', 'False', 'True', 'false', 'false', '510302371238', 5, '草堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302371238', 1, '2021-07-19 11:32:44', NULL, NULL), (3370, '', '红岩村', '269b1b56140a44ad9b6430cf4617667a', 'acd1af5669404ae9a6168f772891f442', 'False', 'True', 'false', 'false', '510302371563', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302371563', 1, '2021-07-19 11:32:44', NULL, NULL), (3371, '', '丁香村', '7624c7daef6d4e40ba6b49cad520ac22', 'acd1af5669404ae9a6168f772891f442', 'False', 'True', 'false', 'false', '510302371655', 5, '丁香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302371655', 1, '2021-07-19 11:32:44', NULL, NULL), (3372, '', '漆树社区', 'b305aab28e2c49bf97a064e1914d5e18', 'acd1af5669404ae9a6168f772891f442', 'False', 'True', 'false', 'false', '510302371662', 5, '漆树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302371662', 1, '2021-07-19 11:32:44', NULL, NULL), (3373, '', '星星村', '1818ad9196574d9382ad2b4c0c507f36', 'acd1af5669404ae9a6168f772891f442', 'False', 'True', 'false', 'false', '510302371845', 5, '星星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302371845', 1, '2021-07-19 11:32:44', NULL, NULL), (3374, '', '五星街', '8cf8844bc46f4ea99541891d18e352eb', 'fb64569a4ada43f3afa8d4e2459bf5fa', 'True', 'True', 'false', 'false', '510302434000', 4, '五星街', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510302434000', 1, '2021-07-19 11:32:44', NULL, NULL), (3375, '', '新民街社区', 'e29ab9efdbaf432397ade0ba53f0dd64', '8cf8844bc46f4ea99541891d18e352eb', 'False', 'True', 'false', 'false', '510302001045', 5, '新民街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302001045', 1, '2021-07-19 11:32:44', NULL, NULL), (3376, '', '高山井社区', '83bba6b7f8c64ab3a87c912e3fd351c7', '8cf8844bc46f4ea99541891d18e352eb', 'False', 'True', 'false', 'false', '510302001160', 5, '高山井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302001160', 1, '2021-07-19 11:32:44', NULL, NULL), (3377, '', '黄桷坪社区', '5ac711999ce9402397390c4b0b6a8786', '8cf8844bc46f4ea99541891d18e352eb', 'False', 'True', 'false', 'false', '510302001236', 5, '黄桷坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302001236', 1, '2021-07-19 11:32:45', NULL, NULL), (3378, '', '天花井社区', '787fbf9f0c4d45e6bebc344eb17f332c', '8cf8844bc46f4ea99541891d18e352eb', 'False', 'True', 'false', 'false', '510302001503', 5, '天花井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302001503', 1, '2021-07-19 11:32:45', NULL, NULL), (3379, '', '珍珠寺社区', '8500deafc71648448d0cddbcbd44b8a4', '8cf8844bc46f4ea99541891d18e352eb', 'False', 'True', 'false', 'false', '510302001750', 5, '珍珠寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302001750', 1, '2021-07-19 11:32:45', NULL, NULL), (3380, '', '磨子井社区', 'edf97c0e0dea456ea2393d86aa71e884', '8cf8844bc46f4ea99541891d18e352eb', 'False', 'True', 'false', 'false', '510302001776', 5, '磨子井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302001776', 1, '2021-07-19 11:32:45', NULL, NULL), (3381, '', '东兴寺街', 'ddc3794cfe3d46779aa70b6b77dc287c', 'fb64569a4ada43f3afa8d4e2459bf5fa', 'True', 'True', 'false', 'false', '510302560000', 4, '东街', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510302560000', 1, '2021-07-19 11:32:45', NULL, NULL), (3382, '', '云井社区', 'f18d27ef17044853a46357b1afe9003c', 'ddc3794cfe3d46779aa70b6b77dc287c', 'False', 'True', 'false', 'false', '510302002263', 5, '云井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302002263', 1, '2021-07-19 11:32:45', NULL, NULL), (3383, '', '毛家坝社区', 'ca7b247a3d9742538fb5f29544b01c69', 'ddc3794cfe3d46779aa70b6b77dc287c', 'False', 'True', 'false', 'false', '510302002008', 5, '毛家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302002008', 1, '2021-07-19 11:32:45', NULL, NULL), (3384, '', '解放桥社区', '454442998767410c868bdb2ac960e9e6', 'ddc3794cfe3d46779aa70b6b77dc287c', 'False', 'True', 'false', 'false', '510302002106', 5, '解放桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302002106', 1, '2021-07-19 11:32:45', NULL, NULL), (3385, '', '三八路社区', '89bc66523de64354938b413f0c564afb', 'ddc3794cfe3d46779aa70b6b77dc287c', 'False', 'True', 'false', 'false', '510302002185', 5, '三八路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302002185', 1, '2021-07-19 11:32:45', NULL, NULL), (3386, '', '檀木林社区', 'ee56e53d88ac4a59bad19910f78c08bb', 'ddc3794cfe3d46779aa70b6b77dc287c', 'False', 'True', 'false', 'false', '510302002288', 5, '檀木林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302002288', 1, '2021-07-19 11:32:45', NULL, NULL), (3387, '', '鸿鹤坝社区', '98e5867cb4124f369e44ce642de602de', 'ddc3794cfe3d46779aa70b6b77dc287c', 'False', 'True', 'false', 'false', '510302002497', 5, '鸿鹤坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302002497', 1, '2021-07-19 11:32:46', NULL, NULL), (3388, '', '盐店街社区', 'ace2e3cdf12440a0bfa01529f9aa08b2', 'ddc3794cfe3d46779aa70b6b77dc287c', 'False', 'True', 'false', 'false', '510302002782', 5, '盐店街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302002782', 1, '2021-07-19 11:32:46', NULL, NULL), (3389, '', '钟云山社区', 'ce01da1fd8cf4ae3baabf7d0772c54a9', 'ddc3794cfe3d46779aa70b6b77dc287c', 'False', 'True', 'false', 'false', '510302002894', 5, '钟云山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302002894', 1, '2021-07-19 11:32:46', NULL, NULL), (3390, '', '新华路社区', '9967b39dd51f48598a119690a7bf7917', 'ddc3794cfe3d46779aa70b6b77dc287c', 'False', 'True', 'false', 'false', '510302560822', 5, '新华路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302560822', 1, '2021-07-19 11:32:46', NULL, NULL), (3391, '', '新街', '244e875682ee4ce29751a31545b24283', 'fb64569a4ada43f3afa8d4e2459bf5fa', 'True', 'True', 'false', 'false', '510302689000', 4, '新街', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510302689000', 1, '2021-07-19 11:32:46', NULL, NULL), (3392, '', '大缺口社区', '641a5e56eb1349adaeeadefc39366e9f', '244e875682ee4ce29751a31545b24283', 'False', 'True', 'false', 'false', '510302003523', 5, '大缺口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302003523', 1, '2021-07-19 11:32:46', NULL, NULL), (3393, '', '龙凤山社区', '31e10fecf70c4bfcb1fa072511490c64', '244e875682ee4ce29751a31545b24283', 'False', 'True', 'false', 'false', '510302003538', 5, '龙凤山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302003538', 1, '2021-07-19 11:32:46', NULL, NULL), (3394, '', '富台山社区', 'e80b41417e084f45aa752af91f91ccc6', '244e875682ee4ce29751a31545b24283', 'False', 'True', 'false', 'false', '510302003705', 5, '富台山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302003705', 1, '2021-07-19 11:32:46', NULL, NULL), (3395, '', '小桥井社区', '877476b163ee47a490afae5430271d6a', '244e875682ee4ce29751a31545b24283', 'False', 'True', 'false', 'false', '510302003775', 5, '小桥井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302003775', 1, '2021-07-19 11:32:46', NULL, NULL), (3396, '', '贡井区', '24c939cabdd248d68df3c71ca0b2df93', 'effde37459fb401e8cabb51660853bab', 'True', 'True', 'false', 'false', '510303000000', 3, '贡井区', 'zgsgjq.sczwfw.gov.cn', 1, '2021-07-19 11:32:46', NULL, NULL), (3397, '', '艾叶镇', 'a78253961c6c49a5b7b8de63c2f5782d', '24c939cabdd248d68df3c71ca0b2df93', 'True', 'True', 'false', 'false', '510303100000', 4, '艾叶镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510303100000', 1, '2021-07-19 11:32:46', NULL, NULL), (3398, '', '骑龙村民委员会', 'fd9db0f0c8f14af287861d368ef80732', 'a78253961c6c49a5b7b8de63c2f5782d', 'False', 'True', 'false', 'false', '510303100207', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303100207', 1, '2021-07-19 11:32:46', NULL, NULL), (3399, '', '六房村民委员会', 'a007124ff6e04c559f6a229b417a2d6f', 'a78253961c6c49a5b7b8de63c2f5782d', 'False', 'True', 'false', 'false', '510303100209', 5, '六房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303100209', 1, '2021-07-19 11:32:47', NULL, NULL), (3400, '', '石辊村民委员会', 'dc1d569186684cc0a2369b3783de776d', 'a78253961c6c49a5b7b8de63c2f5782d', 'False', 'True', 'false', 'false', '510303100229', 5, '石辊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303100229', 1, '2021-07-19 11:32:47', NULL, NULL), (3401, '', '大码头社区居委会', '3a3750a4f36f4380939225c0540bbf5b', 'a78253961c6c49a5b7b8de63c2f5782d', 'False', 'True', 'false', 'false', '510303100663', 5, '大码头社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303100663', 1, '2021-07-19 11:32:47', NULL, NULL), (3402, '', '沙塘村民委员会', '29958e605fe24422966e92d8dbde0b03', 'a78253961c6c49a5b7b8de63c2f5782d', 'False', 'True', 'false', 'false', '510303100716', 5, '沙塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303100716', 1, '2021-07-19 11:32:47', NULL, NULL), (3403, '', '柏树村民委员会', 'd267be2174ff41f3b65450594ee7b621', 'a78253961c6c49a5b7b8de63c2f5782d', 'False', 'True', 'false', 'false', '510303100849', 5, '柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303100849', 1, '2021-07-19 11:32:47', NULL, NULL), (3404, '', '竹林村民委员会', '5ee5d14a407741a6964e36921877a570', 'a78253961c6c49a5b7b8de63c2f5782d', 'False', 'True', 'false', 'false', '510303100891', 5, '竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303100891', 1, '2021-07-19 11:32:47', NULL, NULL), (3405, '', '李家桥社区居委会', 'a4cb0fe94d894f03ac26733a5d454805', 'a78253961c6c49a5b7b8de63c2f5782d', 'False', 'True', 'false', 'false', '510303100939', 5, '李家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303100939', 1, '2021-07-19 11:32:47', NULL, NULL), (3406, '', '建设镇', '701e949765484a5b869a5737afd5f357', '24c939cabdd248d68df3c71ca0b2df93', 'True', 'True', 'false', 'false', '510303101000', 4, '建设镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510303101000', 1, '2021-07-19 11:32:47', NULL, NULL), (3407, '', '郑家观村民委员会', '51221e9a19134f9ba16fd01811fc7aa6', '701e949765484a5b869a5737afd5f357', 'False', 'True', 'false', 'false', '510303108210', 5, '郑家观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108210', 1, '2021-07-19 11:32:47', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (3408, '', '白庙子社区居委会', '8a8dd0f6381d4c34a0b31a655d3495d2', '701e949765484a5b869a5737afd5f357', 'False', 'True', 'false', 'false', '510303109001', 5, '白庙子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303109001', 1, '2021-07-19 11:32:47', NULL, NULL), (3409, '', '旭东村民委员会', '5fb1c79266444718869f74485740889d', '701e949765484a5b869a5737afd5f357', 'False', 'True', 'false', 'false', '510303109201', 5, '旭东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303109201', 1, '2021-07-19 11:32:47', NULL, NULL), (3410, '', '建设村民委员会', '5c79af94a0804922ac010e86c4f5932a', '701e949765484a5b869a5737afd5f357', 'False', 'True', 'false', 'false', '510303109202', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303109202', 1, '2021-07-19 11:32:48', NULL, NULL), (3411, '', '石岭村民委员会', 'e17c8c2fb4964529bd275c978bf3f8a9', '701e949765484a5b869a5737afd5f357', 'False', 'True', 'false', 'false', '510303109204', 5, '石岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303109204', 1, '2021-07-19 11:32:48', NULL, NULL), (3412, '', '刘家村民委员会', '604c14ad3878482ea7763b593a3338f6', '701e949765484a5b869a5737afd5f357', 'False', 'True', 'false', 'false', '510303109207', 5, '刘家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303109207', 1, '2021-07-19 11:32:48', NULL, NULL), (3413, '', '银匠村民委员会', 'efcba760e2ee417b8a8d7759b36e3b73', '701e949765484a5b869a5737afd5f357', 'False', 'True', 'false', 'false', '510303109208', 5, '银匠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303109208', 1, '2021-07-19 11:32:48', NULL, NULL), (3414, '', '中心村民委员会', '732c0a89405d4cf1829e7d86e119f141', '701e949765484a5b869a5737afd5f357', 'False', 'True', 'false', 'false', '510303101203', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303101203', 1, '2021-07-19 11:32:48', NULL, NULL), (3415, '', '石堰村民委员会', '272a1ff775a440c5a6ea60db958554aa', '701e949765484a5b869a5737afd5f357', 'False', 'True', 'false', 'false', '510303101205', 5, '石堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303101205', 1, '2021-07-19 11:32:48', NULL, NULL), (3416, '', '幺塘村民委员会', '6fc2ab1745fc4e5b8ce7ac0197c68373', '701e949765484a5b869a5737afd5f357', 'False', 'True', 'false', 'false', '510303101206', 5, '幺塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303101206', 1, '2021-07-19 11:32:48', NULL, NULL), (3417, '', '麻柳村民委员会', 'f524896291d04209a7ef1b92895cff45', '701e949765484a5b869a5737afd5f357', 'False', 'True', 'false', 'false', '510303101208', 5, '麻柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303101208', 1, '2021-07-19 11:32:48', NULL, NULL), (3418, '', '重滩村民委员会', '0aff5eb837244862a512f9236825b411', '701e949765484a5b869a5737afd5f357', 'False', 'True', 'false', 'false', '510303101210', 5, '重滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303101210', 1, '2021-07-19 11:32:48', NULL, NULL), (3419, '', '固胜村民委员会', 'b160193419be411490fc3f0bb1971d11', '701e949765484a5b869a5737afd5f357', 'False', 'True', 'false', 'false', '510303101228', 5, '固胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303101228', 1, '2021-07-19 11:32:48', NULL, NULL), (3420, '', '大田村民委员会', '0ce3066bf0274ab8b2b00a6008a6759d', '701e949765484a5b869a5737afd5f357', 'False', 'True', 'false', 'false', '510303101889', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303101889', 1, '2021-07-19 11:32:48', NULL, NULL), (3421, '', '斑竹林社区居委会', 'f848a43cbe064c698f5c0c455697685a', '701e949765484a5b869a5737afd5f357', 'False', 'True', 'false', 'false', '510303101911', 5, '斑竹林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303101911', 1, '2021-07-19 11:32:48', NULL, NULL), (3422, '', '龙潭镇', 'c714c3fca3b74f399bee730306ca4e21', '24c939cabdd248d68df3c71ca0b2df93', 'True', 'True', 'false', 'false', '510303229000', 4, '龙潭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510303229000', 1, '2021-07-19 11:32:48', NULL, NULL), (3423, '', '万坪村', 'b602fa88a9e746599d38fed49eb339da', 'c714c3fca3b74f399bee730306ca4e21', 'False', 'True', 'false', 'false', '510303104201', 5, '万坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303104201', 1, '2021-07-19 11:32:48', NULL, NULL), (3424, '', '龙潭镇狮子村', 'dba1fea28e2448588f2cd28a1110a9e7', 'c714c3fca3b74f399bee730306ca4e21', 'False', 'True', 'false', 'false', '510303104272', 5, '狮子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303104272', 1, '2021-07-19 11:32:48', NULL, NULL), (3425, '', '龙潭镇白鹤村', 'ee797427d4a14424affa435535178dbe', 'c714c3fca3b74f399bee730306ca4e21', 'False', 'True', 'false', 'false', '510303104285', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303104285', 1, '2021-07-19 11:32:48', NULL, NULL), (3426, '', '龙潭镇将军村', '8f440ddb82654a8f80435f60cd23b22d', 'c714c3fca3b74f399bee730306ca4e21', 'False', 'True', 'false', 'false', '510303104296', 5, '将军村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303104296', 1, '2021-07-19 11:32:49', NULL, NULL), (3427, '', '龙潭镇菜子村', '8c4b49d0bd8242afb08e6ea9efa0319a', 'c714c3fca3b74f399bee730306ca4e21', 'False', 'True', 'false', 'false', '510303104334', 5, '菜子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303104334', 1, '2021-07-19 11:32:49', NULL, NULL), (3428, '', '龙潭镇幸福村', '677ee5faf07245aa901ee78406dc841a', 'c714c3fca3b74f399bee730306ca4e21', 'False', 'True', 'false', 'false', '510303104528', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303104528', 1, '2021-07-19 11:32:49', NULL, NULL), (3429, '', '龙潭镇里坪村', '6d86b68243ee41dfb7f3308c5883dc5c', 'c714c3fca3b74f399bee730306ca4e21', 'False', 'True', 'false', 'false', '510303104557', 5, '里坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303104557', 1, '2021-07-19 11:32:49', NULL, NULL), (3430, '', '龙潭镇道澄村', 'b89de3ee91e146afb0f7aa8e979c7831', 'c714c3fca3b74f399bee730306ca4e21', 'False', 'True', 'false', 'false', '510303104560', 5, '道澄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303104560', 1, '2021-07-19 11:32:49', NULL, NULL), (3431, '', '龙潭镇苗山村', '4272cec488a543c6b7d7957e87695129', 'c714c3fca3b74f399bee730306ca4e21', 'False', 'True', 'false', 'false', '510303104641', 5, '苗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303104641', 1, '2021-07-19 11:32:49', NULL, NULL), (3432, '', '龙潭镇团山村', '2603fcd716094250965e6661b6fc7bff', 'c714c3fca3b74f399bee730306ca4e21', 'False', 'True', 'false', 'false', '510303104798', 5, '团山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303104798', 1, '2021-07-19 11:32:49', NULL, NULL), (3433, '', '中坝村', 'a5777643e560425ea7e4e12ce9793ed9', 'c714c3fca3b74f399bee730306ca4e21', 'False', 'True', 'false', 'false', '510303229240', 5, '中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303229240', 1, '2021-07-19 11:32:49', NULL, NULL), (3434, '', '龙潭镇龙潭场社区', '9e66a050ede445e49607d46c5e3f2f74', 'c714c3fca3b74f399bee730306ca4e21', 'False', 'True', 'false', 'false', '510303229557', 5, '龙潭镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303229557', 1, '2021-07-19 11:32:49', NULL, NULL), (3435, '', '长土街', 'a3314e176a194b17b915adca0a46c4b6', '24c939cabdd248d68df3c71ca0b2df93', 'True', 'True', 'false', 'false', '510303309000', 4, '长土街', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510303309000', 1, '2021-07-19 11:32:49', NULL, NULL), (3436, '', '紫荆社区居民委员会', '9d1c687440d84d3d8675909a6ac42460', 'a3314e176a194b17b915adca0a46c4b6', 'False', 'True', 'false', 'false', '510303102091', 5, '紫荆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303102091', 1, '2021-07-19 11:32:50', NULL, NULL), (3437, '', '石牛社区居民委员会', '3cc17703bcf34271be054bfa22265a64', 'a3314e176a194b17b915adca0a46c4b6', 'False', 'True', 'false', 'false', '510303102219', 5, '石牛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303102219', 1, '2021-07-19 11:32:50', NULL, NULL), (3438, '', '罗石塔社区居委会', 'de5ff09a31b14bc4b54867ba070c29ef', 'a3314e176a194b17b915adca0a46c4b6', 'False', 'True', 'false', 'false', '510303102061', 5, '罗石塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303102061', 1, '2021-07-19 11:32:50', NULL, NULL), (3439, '', '黄泥坳社区居委会', '41cff44875c74566a9c8f41ab88ff28e', 'a3314e176a194b17b915adca0a46c4b6', 'False', 'True', 'false', 'false', '510303102282', 5, '黄泥坳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303102282', 1, '2021-07-19 11:32:50', NULL, NULL), (3440, '', '新华村民委员会', '55cbeecbc9184fafad09251961926a70', 'a3314e176a194b17b915adca0a46c4b6', 'False', 'True', 'false', 'false', '510303102488', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303102488', 1, '2021-07-19 11:32:50', NULL, NULL), (3441, '', '沙罗村民委员会', 'af57821c820349d68331b7622665c697', 'a3314e176a194b17b915adca0a46c4b6', 'False', 'True', 'false', 'false', '510303102506', 5, '沙罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303102506', 1, '2021-07-19 11:32:50', NULL, NULL), (3442, '', '元坝村民委员会', 'b4e69de49ffb4ea9b102b94aeeaa4b46', 'a3314e176a194b17b915adca0a46c4b6', 'False', 'True', 'false', 'false', '510303102810', 5, '元坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303102810', 1, '2021-07-19 11:32:50', NULL, NULL), (3443, '', '胜利路社区居委会', '2805570fecc64566a49875c950f0c3c6', 'a3314e176a194b17b915adca0a46c4b6', 'False', 'True', 'false', 'false', '510303102884', 5, '胜利路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303102884', 1, '2021-07-19 11:32:50', NULL, NULL), (3444, '', '三台村民委员会', '4d26f03495cc403c996f9ae9de9dcdc2', 'a3314e176a194b17b915adca0a46c4b6', 'False', 'True', 'false', 'false', '510303102895', 5, '三台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303102895', 1, '2021-07-19 11:32:50', NULL, NULL), (3445, '', '贡井街', '340fa1c40dc44581b87b3a1b0452eabd', '24c939cabdd248d68df3c71ca0b2df93', 'True', 'True', 'false', 'false', '510303404000', 4, '贡井街', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510303404000', 1, '2021-07-19 11:32:50', NULL, NULL), (3446, '', '蓆草田社区', '10613718e80c478abf9ea22a97c5e3db', '340fa1c40dc44581b87b3a1b0452eabd', 'False', 'True', 'false', 'false', '510303002010', 5, '蓆草田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303002010', 1, '2021-07-19 11:32:50', NULL, NULL), (3447, '', '老街子社区', '3cd0f5a9261a41a68ef3b507e8b14fcf', '340fa1c40dc44581b87b3a1b0452eabd', 'False', 'True', 'false', 'false', '510303002011', 5, '老街子', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303002011', 1, '2021-07-19 11:32:50', NULL, NULL), (3448, '', '坭塘塆社区', 'acd9a4cae11846d09b3f8b55c459e98f', '340fa1c40dc44581b87b3a1b0452eabd', 'False', 'True', 'false', 'false', '510303002012', 5, '坭塘塆', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303002012', 1, '2021-07-19 11:32:50', NULL, NULL), (3449, '', '莲花镇', '93ba2aca65174521965e2310abcd41d3', '24c939cabdd248d68df3c71ca0b2df93', 'True', 'True', 'false', 'false', '510303611000', 4, '莲花镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510303611000', 1, '2021-07-19 11:32:51', NULL, NULL), (3450, '', '牛尾河社区居委会', '8b5634c826a84f7eb7061d577b296a9f', '93ba2aca65174521965e2310abcd41d3', 'False', 'True', 'false', 'false', '510303201001', 5, '牛尾河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303201001', 1, '2021-07-19 11:32:51', NULL, NULL), (3451, '', '新桥村民委员会', '4337a9c8123444a2aa4641ad2c0124af', '93ba2aca65174521965e2310abcd41d3', 'False', 'True', 'false', 'false', '510303201202', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303201202', 1, '2021-07-19 11:32:51', NULL, NULL), (3452, '', '胜利村民委员会', 'd96a9cc77e44422b89e7e2b673e1f849', '93ba2aca65174521965e2310abcd41d3', 'False', 'True', 'false', 'false', '510303201203', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303201203', 1, '2021-07-19 11:32:51', NULL, NULL), (3453, '', '新民村民委员会', '1d2690a756494478a70a2961df222ab0', '93ba2aca65174521965e2310abcd41d3', 'False', 'True', 'false', 'false', '510303201205', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303201205', 1, '2021-07-19 11:32:51', NULL, NULL), (3454, '', '燕嘴村民委员会', '1fc383e502234353b96a306c8d05399e', '93ba2aca65174521965e2310abcd41d3', 'False', 'True', 'false', 'false', '510303201206', 5, '燕嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303201206', 1, '2021-07-19 11:32:51', NULL, NULL), (3455, '', '中咀村民委员会', 'd713ea6494984e62aa366f38edd95556', '93ba2aca65174521965e2310abcd41d3', 'False', 'True', 'false', 'false', '510303201208', 5, '中咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303201208', 1, '2021-07-19 11:32:51', NULL, NULL), (3456, '', '杨家祠村民委员会', '0c6e47e4441d42a8848f68b8dbdc4230', '93ba2aca65174521965e2310abcd41d3', 'False', 'True', 'false', 'false', '510303107009', 5, '杨家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303107009', 1, '2021-07-19 11:32:51', NULL, NULL), (3457, '', '象鼻村民委员会', '26db09527f6949bfacca8ebfc760cf7a', '93ba2aca65174521965e2310abcd41d3', 'False', 'True', 'false', 'false', '510303107022', 5, '象鼻村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303107022', 1, '2021-07-19 11:32:51', NULL, NULL), (3458, '', '沙溪村民委员会', 'cc6421a795fb4024846ccea34a7a3d5d', '93ba2aca65174521965e2310abcd41d3', 'False', 'True', 'false', 'false', '510303107110', 5, '沙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303107110', 1, '2021-07-19 11:32:51', NULL, NULL), (3459, '', '白仓村民委员会', '6dd27b53ff75424ca5fc14c5d2e5b978', '93ba2aca65174521965e2310abcd41d3', 'False', 'True', 'false', 'false', '510303107150', 5, '白仓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303107150', 1, '2021-07-19 11:32:51', NULL, NULL), (3460, '', '葛麻村民委员会', '7e4322cb68a94c479bb4f778553142f0', '93ba2aca65174521965e2310abcd41d3', 'False', 'True', 'false', 'false', '510303107155', 5, '葛麻村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303107155', 1, '2021-07-19 11:32:51', NULL, NULL), (3461, '', '莲花场社区居委会', 'a7c2c2c42d2f44529f0168859afb2e79', '93ba2aca65174521965e2310abcd41d3', 'False', 'True', 'false', 'false', '510303107477', 5, '莲花场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303107477', 1, '2021-07-19 11:32:51', NULL, NULL), (3462, '', '雷碥村民委员会', 'b1992b6823a24e84aafd704325596a07', '93ba2aca65174521965e2310abcd41d3', 'False', 'True', 'false', 'false', '510303107496', 5, '雷碥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303107496', 1, '2021-07-19 11:32:52', NULL, NULL), (3463, '', '余家村民委员会', 'e30a51a051764c71842628cd128078ee', '93ba2aca65174521965e2310abcd41d3', 'False', 'True', 'false', 'false', '510303107791', 5, '余家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303107791', 1, '2021-07-19 11:32:52', NULL, NULL), (3464, '', '成佳镇', '5d5f40189f7c424c9d2a931a64a27c47', '24c939cabdd248d68df3c71ca0b2df93', 'True', 'True', 'false', 'false', '510303685000', 4, '成佳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510303685000', 1, '2021-07-19 11:32:52', NULL, NULL), (3465, '', '自贡市贡井区成佳镇凤鸣社区', '29079c09d25946abaa7cac9ea395ca01', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108363', 5, '凤鸣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108363', 1, '2021-07-19 11:32:52', NULL, NULL), (3466, '', '凤凰社区居委会', '401f452e79b64414ab411b6a9b0f9835', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303200001', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303200001', 1, '2021-07-19 11:32:52', NULL, NULL), (3467, '', '凤凰村民委员会', '3039183a5f534376b221634f2fb6528e', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303200201', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303200201', 1, '2021-07-19 11:32:52', NULL, NULL), (3468, '', '靛坑村民委员会', 'b15511123949441fb3efcb047ecf7db0', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303200202', 5, '靛坑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303200202', 1, '2021-07-19 11:32:52', NULL, NULL), (3469, '', '九岭村民委员会', '208b28fff452415fb3d4f97a5e277528', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303200204', 5, '九岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303200204', 1, '2021-07-19 11:32:52', NULL, NULL), (3470, '', '小冲村民委员会', '30ba00babd4047c49af38e8e047a537f', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303200205', 5, '小冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303200205', 1, '2021-07-19 11:32:52', NULL, NULL), (3471, '', '高峰村民委员会', 'c114abbfeea5494fb67e46efe04434ee', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303200207', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303200207', 1, '2021-07-19 11:32:52', NULL, NULL), (3472, '', '凤鸣村民委员会', 'd158c0c2e09240e5b225846705ce0ece', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108038', 5, '凤鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108038', 1, '2021-07-19 11:32:52', NULL, NULL), (3473, '', '杨柳村民委员会', '43fdac20527c4e04886ae83d1bd22844', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108041', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108041', 1, '2021-07-19 11:32:52', NULL, NULL), (3474, '', '吴家山村民委员会', '0597eaa960b745fa81e29c0eb337e85c', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108069', 5, '吴家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108069', 1, '2021-07-19 11:32:52', NULL, NULL), (3475, '', '正兴村民委员会', '92a4a48272ae413094cefe7632cfe14b', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108075', 5, '正兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108075', 1, '2021-07-19 11:32:52', NULL, NULL), (3476, '', '晏家村民委员会', '75e71e3d68784fd6be257aada8a6b788', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108100', 5, '晏家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108100', 1, '2021-07-19 11:32:53', NULL, NULL), (3477, '', '双观村民委员会', '7b36745d33a44d32b0ee19dfec4cc8de', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108149', 5, '双观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108149', 1, '2021-07-19 11:32:53', NULL, NULL), (3478, '', '石龙村民委员会', '87ce67a3fb744cf7abcc713453555201', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108339', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108339', 1, '2021-07-19 11:32:53', NULL, NULL), (3479, '', '天宫村民委员会', '4d0279d4f76b45ab8f0c3c89416719c0', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108344', 5, '天宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108344', 1, '2021-07-19 11:32:53', NULL, NULL), (3480, '', '徐家村民委员会', '0a6b2ecf25c44f75b1c57af023a03084', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108568', 5, '徐家村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108568', 1, '2021-07-19 11:32:53', NULL, NULL), (3481, '', '祥龙村民委员会', '874417184a4d4498b1a6ec06a9d837ad', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108593', 5, '祥龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108593', 1, '2021-07-19 11:32:53', NULL, NULL), (3482, '', '新平村民委员会', 'ff7801cacaaf4bc9a834f6db6814aec0', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108663', 5, '新平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108663', 1, '2021-07-19 11:32:53', NULL, NULL), (3483, '', '友好村民委员会', '20ac300c3d744b9c9fcf2cde6297c9d5', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108696', 5, '友好村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108696', 1, '2021-07-19 11:32:53', NULL, NULL), (3484, '', '天府社区居委会', 'f330d66fb6334ea985a13c3825e2f7ed', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108705', 5, '天府社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108705', 1, '2021-07-19 11:32:53', NULL, NULL), (3485, '', '双河口村民委员会', '48afdfc6197045f584f7bc1cb1505ae4', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108745', 5, '双河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108745', 1, '2021-07-19 11:32:53', NULL, NULL), (3486, '', '张家桥村民委员会', 'b41455ee0f3447d0b1dcd5e7a1d4dd2c', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108797', 5, '张家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108797', 1, '2021-07-19 11:32:53', NULL, NULL), (3487, '', '五四村民委员会', '289a113ab0644279ab7175db3b34efba', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108834', 5, '五四村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108834', 1, '2021-07-19 11:32:53', NULL, NULL), (3488, '', '兰田村民委员会', '4b40b87164ee4d919763f7c63777d46f', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108910', 5, '兰田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108910', 1, '2021-07-19 11:32:53', NULL, NULL), (3489, '', '花椒村民委员会', 'e643d48b26e441b7935de351fc0d3250', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108975', 5, '花椒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108975', 1, '2021-07-19 11:32:54', NULL, NULL), (3490, '', '吴家祠村民委员会', '5f329ec9ceea4e15ad94e1fd14d2ca40', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108985', 5, '吴家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108985', 1, '2021-07-19 11:32:54', NULL, NULL), (3491, '', '先锋村民委员会', 'f35a7e6d24554524aaad5d89d5ed26bb', '5d5f40189f7c424c9d2a931a64a27c47', 'False', 'True', 'false', 'false', '510303108996', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303108996', 1, '2021-07-19 11:32:54', NULL, NULL), (3492, '', '五宝镇', '0b2f793af9f74065bb7689df05796f64', '24c939cabdd248d68df3c71ca0b2df93', 'True', 'True', 'false', 'false', '510303717000', 4, '五宝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510303717000', 1, '2021-07-19 11:32:54', NULL, NULL), (3493, '', '五宝社区居委会', 'bf5b75cf02144cc08bfe8c96e0a1474a', '0b2f793af9f74065bb7689df05796f64', 'False', 'True', 'false', 'false', '510303106223', 5, '五宝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303106223', 1, '2021-07-19 11:32:54', NULL, NULL), (3494, '', '田坝村委会', 'e56b6bb23b7b4dafbed451a0e7503ee0', '0b2f793af9f74065bb7689df05796f64', 'False', 'True', 'false', 'false', '510303106239', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303106239', 1, '2021-07-19 11:32:54', NULL, NULL), (3495, '', '王家村委会', '30406f1eb6d04a619d32aa1e29471d28', '0b2f793af9f74065bb7689df05796f64', 'False', 'True', 'false', 'false', '510303106268', 5, '王家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303106268', 1, '2021-07-19 11:32:54', NULL, NULL), (3496, '', '高林村委会', '795dc106b631461d83dde6384b26f9a6', '0b2f793af9f74065bb7689df05796f64', 'False', 'True', 'false', 'false', '510303106280', 5, '高林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303106280', 1, '2021-07-19 11:32:54', NULL, NULL), (3497, '', '五宝村委会', 'cdf8f28d12b14f3d8ba33d435b2b7e86', '0b2f793af9f74065bb7689df05796f64', 'False', 'True', 'false', 'false', '510303106290', 5, '五宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303106290', 1, '2021-07-19 11:32:54', NULL, NULL), (3498, '', '凤翔村委会', '5f0769935b044c9ba98b2908d45fab18', '0b2f793af9f74065bb7689df05796f64', 'False', 'True', 'false', 'false', '510303106436', 5, '凤翔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303106436', 1, '2021-07-19 11:32:54', NULL, NULL), (3499, '', '大同村委会', '8e4154b3a2ac409b9f19f3f131cdb3ea', '0b2f793af9f74065bb7689df05796f64', 'False', 'True', 'false', 'false', '510303106482', 5, '大同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303106482', 1, '2021-07-19 11:32:54', NULL, NULL), (3500, '', '云峰村委会', 'a40f6acbcadc4411b3d8a49efca90858', '0b2f793af9f74065bb7689df05796f64', 'False', 'True', 'false', 'false', '510303106501', 5, '云峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303106501', 1, '2021-07-19 11:32:54', NULL, NULL), (3501, '', '保证村委会', '9c2ec54cfb8a45db9ce4368f730bd313', '0b2f793af9f74065bb7689df05796f64', 'False', 'True', 'false', 'false', '510303106622', 5, '保证村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303106622', 1, '2021-07-19 11:32:55', NULL, NULL), (3502, '', '照石村委会', 'cc5b3929de484f8b8bf701483394c902', '0b2f793af9f74065bb7689df05796f64', 'False', 'True', 'false', 'false', '510303106694', 5, '照石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303106694', 1, '2021-07-19 11:32:55', NULL, NULL), (3503, '', '香枫村委会', '98498e4f09f144d4ba413d174e0dc811', '0b2f793af9f74065bb7689df05796f64', 'False', 'True', 'false', 'false', '510303106695', 5, '香枫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303106695', 1, '2021-07-19 11:32:55', NULL, NULL), (3504, '', '复兴村委会', 'efa11d3dff6f44f59593d4d7b10e6644', '0b2f793af9f74065bb7689df05796f64', 'False', 'True', 'false', 'false', '510303106712', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303106712', 1, '2021-07-19 11:32:55', NULL, NULL), (3505, '', '中华村委会', 'e8b46250102a490aaf46476a1b528e4b', '0b2f793af9f74065bb7689df05796f64', 'False', 'True', 'false', 'false', '510303106743', 5, '中华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303106743', 1, '2021-07-19 11:32:55', NULL, NULL), (3506, '', '蔡家村委会', '177524b5dc3f4b5383ab8a729c6999c3', '0b2f793af9f74065bb7689df05796f64', 'False', 'True', 'false', 'false', '510303106989', 5, '蔡家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303106989', 1, '2021-07-19 11:32:55', NULL, NULL), (3507, '', '七凤村委会', '353886592b5842aead456a7e078ec50f', '0b2f793af9f74065bb7689df05796f64', 'False', 'True', 'false', 'false', '510303106999', 5, '七凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303106999', 1, '2021-07-19 11:32:55', NULL, NULL), (3508, '', '桥头镇', 'b2f289de882e48979dda6b750a74648c', '24c939cabdd248d68df3c71ca0b2df93', 'True', 'True', 'false', 'false', '510303747000', 4, '桥头镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510303747000', 1, '2021-07-19 11:32:55', NULL, NULL), (3509, '', '增产村民委员会', '85238d8857c1499899c902c6cc987647', 'b2f289de882e48979dda6b750a74648c', 'False', 'True', 'false', 'false', '510303105269', 5, '增产村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303105269', 1, '2021-07-19 11:32:55', NULL, NULL), (3510, '', '桥头铺社区', 'eed543be24b744f89c742728b173c067', 'b2f289de882e48979dda6b750a74648c', 'False', 'True', 'false', 'false', '510303105565', 5, '桥头铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303105565', 1, '2021-07-19 11:32:55', NULL, NULL), (3511, '', '团结村民委员会', '543d7412ba0c44a4a7ac11a4139401d1', 'b2f289de882e48979dda6b750a74648c', 'False', 'True', 'false', 'false', '510303105586', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303105586', 1, '2021-07-19 11:32:55', NULL, NULL), (3512, '', '永顺村民委员会', 'c837b842324a4d8f958a7ddf900b93ca', 'b2f289de882e48979dda6b750a74648c', 'False', 'True', 'false', 'false', '510303105658', 5, '永顺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303105658', 1, '2021-07-19 11:32:55', NULL, NULL), (3513, '', '白房村民委员会', '34adc2bebe2d459885c5175e4bfee686', 'b2f289de882e48979dda6b750a74648c', 'False', 'True', 'false', 'false', '510303105770', 5, '白房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303105770', 1, '2021-07-19 11:32:55', NULL, NULL), (3514, '', '跳礅村民委员会', '1bb82bcfa54b4e8bbf6f07b31f48c9df', 'b2f289de882e48979dda6b750a74648c', 'False', 'True', 'false', 'false', '510303105882', 5, '跳礅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303105882', 1, '2021-07-19 11:32:55', NULL, NULL), (3515, '', '玉麒村民委员会', 'ac4411dd1b2b47cb82d59abd8ac0e74e', 'b2f289de882e48979dda6b750a74648c', 'False', 'True', 'false', 'false', '510303105954', 5, '玉麒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303105954', 1, '2021-07-19 11:32:56', NULL, NULL), (3516, '', '筱溪街', 'b52bef4dd91845429adff269af99e231', '24c939cabdd248d68df3c71ca0b2df93', 'True', 'True', 'false', 'false', '510303931000', 4, '筱溪街', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510303931000', 1, '2021-07-19 11:32:56', NULL, NULL), (3517, '', '洞桥社区居委会', 'b785192fef4b4498a0de44b525ac605a', 'b52bef4dd91845429adff269af99e231', 'False', 'True', 'false', 'false', '510303001250', 5, '洞桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303001250', 1, '2021-07-19 11:32:56', NULL, NULL), (3518, '', '新马路社区居委会', '4bee257a96f94136b22c1ead64528a3d', 'b52bef4dd91845429adff269af99e231', 'False', 'True', 'false', 'false', '510303001312', 5, '新马路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303001312', 1, '2021-07-19 11:32:56', NULL, NULL), (3519, '', '马槽塘社区居委会', '9657465fe1a64961992a93d14f2e63fa', 'b52bef4dd91845429adff269af99e231', 'False', 'True', 'false', 'false', '510303001364', 5, '马槽塘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303001364', 1, '2021-07-19 11:32:56', NULL, NULL), (3520, '', '青杠林社区居委会', '34f7c53e696b4bc38db3b200881f3d59', 'b52bef4dd91845429adff269af99e231', 'False', 'True', 'false', 'false', '510303001388', 5, '青杠林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303001388', 1, '2021-07-19 11:32:56', NULL, NULL), (3521, '', '伍家坡社区居委会', '46ebbf0cc8274e148fd54fb7b3190d79', 'b52bef4dd91845429adff269af99e231', 'False', 'True', 'false', 'false', '510303001564', 5, '伍家坡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303001564', 1, '2021-07-19 11:32:56', NULL, NULL), (3522, '', '金鱼河社区居民委员会', '94d6ff9580224db39740a9d367d23155', 'b52bef4dd91845429adff269af99e231', 'False', 'True', 'false', 'false', '510303001711', 5, '金鱼河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303001711', 1, '2021-07-19 11:32:56', NULL, NULL), (3523, '', '雷公滩社区居委会', '3e79eeecc30641758f9217c2027007af', 'b52bef4dd91845429adff269af99e231', 'False', 'True', 'false', 'false', '510303001878', 5, '雷公滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303001878', 1, '2021-07-19 11:32:56', NULL, NULL), (3524, '', '向阳社区居委会', 'c5ea0dc5158e463fa95d4ceaf77f275b', 'b52bef4dd91845429adff269af99e231', 'False', 'True', 'false', 'false', '510303001892', 5, '向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303001892', 1, '2021-07-19 11:32:56', NULL, NULL), (3525, '', '杨家坝社区居委会', 'bbaf794d0a9645a89aba8f72e185ede9', 'b52bef4dd91845429adff269af99e231', 'False', 'True', 'false', 'false', '510303001915', 5, '杨家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303001915', 1, '2021-07-19 11:32:56', NULL, NULL), (3526, '', '糍粑坳社区居委会', '69ec8f38019745e8a42d8cff40df4034', 'b52bef4dd91845429adff269af99e231', 'False', 'True', 'false', 'false', '510303001966', 5, '糍粑坳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510303001966', 1, '2021-07-19 11:32:56', NULL, NULL), (3527, '', '大安区', 'f2a7bc8e89f746fd8217543c4d1705b7', 'effde37459fb401e8cabb51660853bab', 'True', 'True', 'false', 'false', '510304000000', 3, '大安区', 'zgsdaq.sczwfw.gov.cn', 1, '2021-07-19 11:32:56', NULL, NULL), (3528, '', '何市镇', '58cd4f4bee504df48152b8de678673e0', 'f2a7bc8e89f746fd8217543c4d1705b7', 'True', 'True', 'false', 'false', '510304000295', 4, '何市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510304000295', 1, '2021-07-19 11:32:56', NULL, NULL), (3529, '', '王家村', '5e51d5c9ec614e13b794f0a6230ab213', '58cd4f4bee504df48152b8de678673e0', 'False', 'True', 'false', 'false', '510304116526', 5, '王家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304116526', 1, '2021-07-19 11:32:56', NULL, NULL), (3530, '', '黄桷村', '1b32e9ca2d5f400d9bfe2a275128fe05', '58cd4f4bee504df48152b8de678673e0', 'False', 'True', 'false', 'false', '510304117872', 5, '黄桷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304117872', 1, '2021-07-19 11:32:56', NULL, NULL), (3531, '', '阮家村', 'dc01bb14f0114a4eb00f7048de4adf41', '58cd4f4bee504df48152b8de678673e0', 'False', 'True', 'false', 'false', '510304119903', 5, '阮家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304119903', 1, '2021-07-19 11:32:56', NULL, NULL), (3532, '', '十字村', '138aa0c19cda40fbad055b5a8e081380', '58cd4f4bee504df48152b8de678673e0', 'False', 'True', 'false', 'false', '510304200010', 5, '十字村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304200010', 1, '2021-07-19 11:32:56', NULL, NULL), (3533, '', '何家场社区', 'de819e2d181141b5bbb1fd64aa6c539f', '58cd4f4bee504df48152b8de678673e0', 'False', 'True', 'false', 'false', '510304104006', 5, '何家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304104006', 1, '2021-07-19 11:32:57', NULL, NULL), (3534, '', '瓦高村', '1b8041d00f854475997d9ca8519531f3', '58cd4f4bee504df48152b8de678673e0', 'False', 'True', 'false', 'false', '510304104122', 5, '瓦高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304104122', 1, '2021-07-19 11:32:57', NULL, NULL), (3535, '', '五龙村', 'adc46443963f4493b5ff32e57f58d4d3', '58cd4f4bee504df48152b8de678673e0', 'False', 'True', 'false', 'false', '510304104201', 5, '五龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304104201', 1, '2021-07-19 11:32:57', NULL, NULL), (3536, '', '新和村', 'd7f7d3057c1c43b5979ccc56bcc93685', '58cd4f4bee504df48152b8de678673e0', 'False', 'True', 'false', 'false', '510304104204', 5, '新和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304104204', 1, '2021-07-19 11:32:57', NULL, NULL), (3537, '', '雨山村', '52ae4eaea7bc4b08b9775a683f8ba386', '58cd4f4bee504df48152b8de678673e0', 'False', 'True', 'false', 'false', '510304104210', 5, '雨山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304104210', 1, '2021-07-19 11:32:57', NULL, NULL), (3538, '', '钟鼓山村', 'dd59df35ccdb445b8fbb0bbf0031c1ff', '58cd4f4bee504df48152b8de678673e0', 'False', 'True', 'false', 'false', '510304104211', 5, '钟鼓山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304104211', 1, '2021-07-19 11:32:57', NULL, NULL), (3539, '', '永太村', '88535e315b294869b024c16afebc7433', '58cd4f4bee504df48152b8de678673e0', 'False', 'True', 'false', 'false', '510304104212', 5, '永太村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304104212', 1, '2021-07-19 11:32:57', NULL, NULL), (3540, '', '高庙村', 'f4b1f10e183342a0956d01d1b16203b2', '58cd4f4bee504df48152b8de678673e0', 'False', 'True', 'false', 'false', '510304104218', 5, '高庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304104218', 1, '2021-07-19 11:32:57', NULL, NULL), (3541, '', '点灯坳村', 'f08be8556deb4ca09d438f4d9bdbaa78', '58cd4f4bee504df48152b8de678673e0', 'False', 'True', 'false', 'false', '510304104223', 5, '点灯坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304104223', 1, '2021-07-19 11:32:57', NULL, NULL), (3542, '', '新房村', '0504abecdd2c4da48c3a38892f8b8977', '58cd4f4bee504df48152b8de678673e0', 'False', 'True', 'false', 'false', '510304104231', 5, '新房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304104231', 1, '2021-07-19 11:32:57', NULL, NULL), (3543, '', '大安街道', 'a75f9078165c4495ac5a8e0f6d109bb1', 'f2a7bc8e89f746fd8217543c4d1705b7', 'True', 'True', 'false', 'false', '510304001000', 4, '大安街', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510304001000', 1, '2021-07-19 11:32:58', NULL, NULL), (3544, '', '马草山社区', 'dbcf0c6945b4425c81ad59a0b2f9ff10', 'a75f9078165c4495ac5a8e0f6d109bb1', 'False', 'True', 'false', 'false', '510304001011', 5, '马草山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304001011', 1, '2021-07-19 11:32:58', NULL, NULL), (3545, '', '洞口井社区', '52d8d8d3a25148ecbf85252ad943e364', 'a75f9078165c4495ac5a8e0f6d109bb1', 'False', 'True', 'false', 'false', '510304001012', 5, '洞口井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304001012', 1, '2021-07-19 11:32:58', NULL, NULL), (3546, '', '扇子坝社区', '14b5ab1979254559b9578714cd00db97', 'a75f9078165c4495ac5a8e0f6d109bb1', 'False', 'True', 'false', 'false', '510304001014', 5, '扇子坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304001014', 1, '2021-07-19 11:32:58', NULL, NULL), (3547, '', '大安街社区', '647abc7fd2584579970d50fccbe9a516', 'a75f9078165c4495ac5a8e0f6d109bb1', 'False', 'True', 'false', 'false', '510304001016', 5, '大安街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304001016', 1, '2021-07-19 11:32:58', NULL, NULL), (3548, '', '仁和社区', '56466f1734b046939c25ecef0670a79c', 'a75f9078165c4495ac5a8e0f6d109bb1', 'False', 'True', 'false', 'false', '510304001018', 5, '仁和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304001018', 1, '2021-07-19 11:32:58', NULL, NULL), (3549, '', '龙井街道', 'c6cfce32978b4f0dab4b76c467c00027', 'f2a7bc8e89f746fd8217543c4d1705b7', 'True', 'True', 'false', 'false', '510304002000', 4, '龙井街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510304002000', 1, '2021-07-19 11:32:58', NULL, NULL), (3550, '', '广华社区', '55aad743ed0a40dbbebe197460c77aee', 'c6cfce32978b4f0dab4b76c467c00027', 'False', 'True', 'false', 'false', '510304002003', 5, '广华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304002003', 1, '2021-07-19 11:32:58', NULL, NULL), (3551, '', '红苕地社区', '9a5a23e950c44d85832226e70f2f818b', 'c6cfce32978b4f0dab4b76c467c00027', 'False', 'True', 'false', 'false', '510304002010', 5, '红苕地社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304002010', 1, '2021-07-19 11:32:58', NULL, NULL), (3552, '', '大楻桶社区', '49755b7c77944b8ea4246d69e3d9b0b5', 'c6cfce32978b4f0dab4b76c467c00027', 'False', 'True', 'false', 'false', '510304002013', 5, '大楻桶社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304002013', 1, '2021-07-19 11:32:58', NULL, NULL), (3553, '', '华大社区', '8cf734f3b8484011853100de0229aecc', 'c6cfce32978b4f0dab4b76c467c00027', 'False', 'True', 'false', 'false', '510304002014', 5, '华大社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304002014', 1, '2021-07-19 11:32:58', NULL, NULL), (3554, '', '马冲口街道', 'f12268f46e50427b9a69b6055e23a652', 'f2a7bc8e89f746fd8217543c4d1705b7', 'True', 'True', 'false', 'false', '510304003000', 4, '马冲口街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510304003000', 1, '2021-07-19 11:32:59', NULL, NULL), (3555, '', '马冲口社区', 'd7caddb4a6c54bef8d792dadfd29e361', 'f12268f46e50427b9a69b6055e23a652', 'False', 'True', 'false', 'false', '510304003007', 5, '马冲口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304003007', 1, '2021-07-19 11:32:59', NULL, NULL), (3556, '', '沙鱼坝社区', 'f3f5c096601c46078f300e650c91d0e4', 'f12268f46e50427b9a69b6055e23a652', 'False', 'True', 'false', 'false', '510304003008', 5, '沙鱼坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304003008', 1, '2021-07-19 11:32:59', NULL, NULL), (3557, '', '高硐社区', '79118c48af9a4804a3ea9a4a3b9026d9', 'f12268f46e50427b9a69b6055e23a652', 'False', 'True', 'false', 'false', '510304003009', 5, '高硐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304003009', 1, '2021-07-19 11:32:59', NULL, NULL), (3558, '', '文峰山社区', '710cc5677c8846d2947ce202bec3e513', 'f12268f46e50427b9a69b6055e23a652', 'False', 'True', 'false', 'false', '510304003011', 5, '文峰山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304003011', 1, '2021-07-19 11:32:59', NULL, NULL), (3559, '', '凉高山街道', '885674fd42c74e2ab912aee2e3529174', 'f2a7bc8e89f746fd8217543c4d1705b7', 'True', 'True', 'false', 'false', '510304004000', 4, '凉高山街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510304004000', 1, '2021-07-19 11:32:59', NULL, NULL), (3560, '', '凉高山社区', '9bd5b50116774473b0e8fe34f77b489d', '885674fd42c74e2ab912aee2e3529174', 'False', 'True', 'false', 'false', '510304004006', 5, '凉高山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304004006', 1, '2021-07-19 11:32:59', NULL, NULL), (3561, '', '上田坝社区', '57544f0a02424f0abb22e6423dafb48b', '885674fd42c74e2ab912aee2e3529174', 'False', 'True', 'false', 'false', '510304004008', 5, '上田坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304004008', 1, '2021-07-19 11:33:00', NULL, NULL), (3562, '', '团结镇', 'fc478b58baa44366b6ab762496fa884b', 'f2a7bc8e89f746fd8217543c4d1705b7', 'True', 'True', 'false', 'false', '510304102000', 4, '团结镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510304102000', 1, '2021-07-19 11:33:00', NULL, NULL), (3563, '', '团标寺社区', '062c4be15e564117ba7ca1dab367640f', 'fc478b58baa44366b6ab762496fa884b', 'False', 'True', 'false', 'false', '510304102002', 5, '团标寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304102002', 1, '2021-07-19 11:33:00', NULL, NULL), (3564, '', '申家村', 'aeb2571370694778839bc0b23388b99d', 'fc478b58baa44366b6ab762496fa884b', 'False', 'True', 'false', 'false', '510304102201', 5, '申家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304102201', 1, '2021-07-19 11:33:00', NULL, NULL), (3565, '', '狮塘村', '411dc60810024277a59f67d65776f2a9', 'fc478b58baa44366b6ab762496fa884b', 'False', 'True', 'false', 'false', '510304102203', 5, '狮塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304102203', 1, '2021-07-19 11:33:00', NULL, NULL), (3566, '', '朝天村', '295fac04624444bfa6da33ce25ac87cc', 'fc478b58baa44366b6ab762496fa884b', 'False', 'True', 'false', 'false', '510304102204', 5, '朝天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304102204', 1, '2021-07-19 11:33:00', NULL, NULL), (3567, '', '红星村', '9f37e87803b14bc5aa68a97ba8ee6f4a', 'fc478b58baa44366b6ab762496fa884b', 'False', 'True', 'false', 'false', '510304102207', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304102207', 1, '2021-07-19 11:33:00', NULL, NULL), (3568, '', '土柱村', 'c563a064b60148fc89cd8458965d9a08', 'fc478b58baa44366b6ab762496fa884b', 'False', 'True', 'false', 'false', '510304102209', 5, '土柱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304102209', 1, '2021-07-19 11:33:00', NULL, NULL), (3569, '', '三多寨镇', '8bac037fda40421bb09dfdb17efccc73', 'f2a7bc8e89f746fd8217543c4d1705b7', 'True', 'True', 'false', 'false', '510304103000', 4, '三多寨镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510304103000', 1, '2021-07-19 11:33:00', NULL, NULL), (3570, '', '长河村', '4292370ae60648b6872509e3ff4694bd', '8bac037fda40421bb09dfdb17efccc73', 'False', 'True', 'false', 'false', '510304118157', 5, '长河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304118157', 1, '2021-07-19 11:33:00', NULL, NULL), (3571, '', '八甲村', 'b152f0ccaed44156ab9dff8fce43058b', '8bac037fda40421bb09dfdb17efccc73', 'False', 'True', 'false', 'false', '510304103110', 5, '八甲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304103110', 1, '2021-07-19 11:33:00', NULL, NULL), (3572, '', '徐家村', 'b01ef5fed8d24eadad9b6d4b25b05ab2', '8bac037fda40421bb09dfdb17efccc73', 'False', 'True', 'false', 'false', '510304103138', 5, '徐家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304103138', 1, '2021-07-19 11:33:01', NULL, NULL), (3573, '', '三多寨社区', '6c8e5e34a7f04254a7a584a19f1574a4', '8bac037fda40421bb09dfdb17efccc73', 'False', 'True', 'false', 'false', '510304103280', 5, '三多寨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304103280', 1, '2021-07-19 11:33:01', NULL, NULL), (3574, '', '三关村', '7b682ca62ccf45d382e584dcb5098c20', '8bac037fda40421bb09dfdb17efccc73', 'False', 'True', 'false', 'false', '510304103344', 5, '三关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304103344', 1, '2021-07-19 11:33:01', NULL, NULL), (3575, '', '三多寨村', '49153fcd090f4dff9ec4d7c7e1fb6eda', '8bac037fda40421bb09dfdb17efccc73', 'False', 'True', 'false', 'false', '510304103738', 5, '三多寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304103738', 1, '2021-07-19 11:33:01', NULL, NULL), (3576, '', '联合村', 'cfecc09ece5c4a5ca56b2ebd61aff41f', '8bac037fda40421bb09dfdb17efccc73', 'False', 'True', 'false', 'false', '510304103855', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304103855', 1, '2021-07-19 11:33:01', NULL, NULL), (3577, '', '杨柳村', '554b5e54f72945f9b3e85469701fe52a', '8bac037fda40421bb09dfdb17efccc73', 'False', 'True', 'false', 'false', '510304103860', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304103860', 1, '2021-07-19 11:33:01', NULL, NULL), (3578, '', '同春村', '83abaefc9f874398ba1b6c8b5f68e09e', '8bac037fda40421bb09dfdb17efccc73', 'False', 'True', 'false', 'false', '510304103862', 5, '同春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304103862', 1, '2021-07-19 11:33:01', NULL, NULL), (3579, '', '轿子村', '95f758475e5b47d4b19a267110ac4555', '8bac037fda40421bb09dfdb17efccc73', 'False', 'True', 'false', 'false', '510304103945', 5, '轿子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304103945', 1, '2021-07-19 11:33:01', NULL, NULL), (3580, '', '新店镇', 'de604c610f294a47ad1948a9c4f431a2', 'f2a7bc8e89f746fd8217543c4d1705b7', 'True', 'True', 'false', 'false', '510304105000', 4, '新店镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510304105000', 1, '2021-07-19 11:33:01', NULL, NULL), (3581, '', '共和村', '71eb1039bc824316b38ff4c4a1502367', 'de604c610f294a47ad1948a9c4f431a2', 'False', 'True', 'false', 'false', '510304121581', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304121581', 1, '2021-07-19 11:33:01', NULL, NULL), (3582, '', '何院村', 'b60ee176a3c243a3955985a0dfbd59d4', 'de604c610f294a47ad1948a9c4f431a2', 'False', 'True', 'false', 'false', '510304122373', 5, '何院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304122373', 1, '2021-07-19 11:33:02', NULL, NULL), (3583, '', '高峰村', '740be9d0f9664899805b616f440f05a7', 'de604c610f294a47ad1948a9c4f431a2', 'False', 'True', 'false', 'false', '510304105202', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304105202', 1, '2021-07-19 11:33:02', NULL, NULL), (3584, '', '新建村', '2af3fe420c02462db13c9bb51608bb3a', 'de604c610f294a47ad1948a9c4f431a2', 'False', 'True', 'false', 'false', '510304105204', 5, '新建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304105204', 1, '2021-07-19 11:33:02', NULL, NULL), (3585, '', '龙晏村', '0a2b597c49e34319be0dad0469bed7d0', 'de604c610f294a47ad1948a9c4f431a2', 'False', 'True', 'false', 'false', '510304105205', 5, '龙晏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304105205', 1, '2021-07-19 11:33:02', NULL, NULL), (3586, '', '新店铺社区', 'c138f8e9b45c41c1ad9be00c36e4b6ab', 'de604c610f294a47ad1948a9c4f431a2', 'False', 'True', 'false', 'false', '510304105679', 5, '新店铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304105679', 1, '2021-07-19 11:33:02', NULL, NULL), (3587, '', '庙坝镇', 'cf4d884fcbe745ac8e9efae7dfcc7bae', 'f2a7bc8e89f746fd8217543c4d1705b7', 'True', 'True', 'false', 'false', '510304108000', 4, '庙坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510304108000', 1, '2021-07-19 11:33:02', NULL, NULL), (3588, '', '庙坝场社区', 'ddd2a814936b449b97cd17362bb3e889', 'cf4d884fcbe745ac8e9efae7dfcc7bae', 'False', 'True', 'false', 'false', '510304108001', 5, '庙坝场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304108001', 1, '2021-07-19 11:33:02', NULL, NULL), (3589, '', '坪上村', '6c419fc08848482680980d29fc6133a3', 'cf4d884fcbe745ac8e9efae7dfcc7bae', 'False', 'True', 'false', 'false', '510304108201', 5, '坪上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304108201', 1, '2021-07-19 11:33:02', NULL, NULL), (3590, '', '庙坝村', '33bae474fe9048279cbbea92eec2711c', 'cf4d884fcbe745ac8e9efae7dfcc7bae', 'False', 'True', 'false', 'false', '510304108203', 5, '庙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304108203', 1, '2021-07-19 11:33:02', NULL, NULL), (3591, '', '灯杆村', '9cafda5afc8e46e7a7c61d2abbeae446', 'cf4d884fcbe745ac8e9efae7dfcc7bae', 'False', 'True', 'false', 'false', '510304108205', 5, '灯杆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304108205', 1, '2021-07-19 11:33:02', NULL, NULL), (3592, '', '脚仙村', '9b08290ecf01477b9e23a453600da1ca', 'cf4d884fcbe745ac8e9efae7dfcc7bae', 'False', 'True', 'false', 'false', '510304108208', 5, '脚仙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304108208', 1, '2021-07-19 11:33:02', NULL, NULL), (3593, '', '柑子村', '0a2109b6206e48c7aac8a91f1f035d7d', 'cf4d884fcbe745ac8e9efae7dfcc7bae', 'False', 'True', 'false', 'false', '510304108209', 5, '柑子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304108209', 1, '2021-07-19 11:33:03', NULL, NULL), (3594, '', '黄荆村', '96f34640d6534e98959123dc94350ef0', 'cf4d884fcbe745ac8e9efae7dfcc7bae', 'False', 'True', 'false', 'false', '510304108210', 5, '黄荆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304108210', 1, '2021-07-19 11:33:03', NULL, NULL), (3595, '', '贾石村', 'c85b17e6afe34ee387852016b76947f1', 'cf4d884fcbe745ac8e9efae7dfcc7bae', 'False', 'True', 'false', 'false', '510304108212', 5, '贾石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304108212', 1, '2021-07-19 11:33:03', NULL, NULL), (3596, '', '九房村', '2ba6b29b7cf344f2aaa25a3e5a1e8552', 'cf4d884fcbe745ac8e9efae7dfcc7bae', 'False', 'True', 'false', 'false', '510304108213', 5, '九房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304108213', 1, '2021-07-19 11:33:03', NULL, NULL), (3597, '', '和平街道', 'e8543f6e6e4d4424ace10a04da471e19', 'f2a7bc8e89f746fd8217543c4d1705b7', 'True', 'True', 'false', 'false', '510304205000', 4, '和平街', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510304205000', 1, '2021-07-19 11:33:03', NULL, NULL), (3598, '', '金胜社区', '78d1098b05434fabab01df68f82041fc', 'e8543f6e6e4d4424ace10a04da471e19', 'False', 'True', 'false', 'false', '510304205003', 5, '金胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304205003', 1, '2021-07-19 11:33:03', NULL, NULL), (3599, '', '茴新社区', '396484efbacb4ef5b27f7ea206423f8c', 'e8543f6e6e4d4424ace10a04da471e19', 'False', 'True', 'false', 'false', '510304205004', 5, '茴新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304205004', 1, '2021-07-19 11:33:03', NULL, NULL), (3600, '', '金桂社区', '69be0aeb8fee4e9b885ab72f22392677', 'e8543f6e6e4d4424ace10a04da471e19', 'False', 'True', 'false', 'false', '510304205006', 5, '金桂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304205006', 1, '2021-07-19 11:33:03', NULL, NULL), (3601, '', '金胜村', '0823cfd2370746b6b9d92e577db7dc59', 'e8543f6e6e4d4424ace10a04da471e19', 'False', 'True', 'false', 'false', '510304205208', 5, '金胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304205208', 1, '2021-07-19 11:33:03', NULL, NULL), (3602, '', '茴新村', '9b6858d828a3493aa19edd544e78a38f', 'e8543f6e6e4d4424ace10a04da471e19', 'False', 'True', 'false', 'false', '510304205209', 5, '茴新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304205209', 1, '2021-07-19 11:33:03', NULL, NULL), (3603, '', '永田社区', '1b340f5a40f341f1a8710fdabf27907c', 'e8543f6e6e4d4424ace10a04da471e19', 'False', 'True', 'false', 'false', '510304205210', 5, '永田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304205210', 1, '2021-07-19 11:33:03', NULL, NULL), (3604, '', '新民镇', '72f1ce9e78ac4a4fbbfd2356522483fc', 'f2a7bc8e89f746fd8217543c4d1705b7', 'True', 'True', 'false', 'false', '510304339000', 4, '新民镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510304339000', 1, '2021-07-19 11:33:03', NULL, NULL), (3605, '', '天元村', '166be7292f574487983156341a784d06', '72f1ce9e78ac4a4fbbfd2356522483fc', 'False', 'True', 'false', 'false', '510304106201', 5, '天元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304106201', 1, '2021-07-19 11:33:04', NULL, NULL), (3606, '', '董家村', '00a2dad2d3ca47c78b9ad3b9512efd32', '72f1ce9e78ac4a4fbbfd2356522483fc', 'False', 'True', 'false', 'false', '510304106202', 5, '董家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304106202', 1, '2021-07-19 11:33:04', NULL, NULL), (3607, '', '柏树村', '3cf9a37303544badaaf9c14014ee0b49', '72f1ce9e78ac4a4fbbfd2356522483fc', 'False', 'True', 'false', 'false', '510304106203', 5, '柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304106203', 1, '2021-07-19 11:33:04', NULL, NULL), (3608, '', '燎原村', '9bad13934935432dbc214b7d16910c10', '72f1ce9e78ac4a4fbbfd2356522483fc', 'False', 'True', 'false', 'false', '510304106204', 5, '燎原村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304106204', 1, '2021-07-19 11:33:04', NULL, NULL), (3609, '', '文家村', 'a71bcb1e07c04f238d56a68c4299d580', '72f1ce9e78ac4a4fbbfd2356522483fc', 'False', 'True', 'false', 'false', '510304106205', 5, '文家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304106205', 1, '2021-07-19 11:33:04', NULL, NULL), (3610, '', '詹家村', 'f9fbbb0202b543c19c9af0765748f216', '72f1ce9e78ac4a4fbbfd2356522483fc', 'False', 'True', 'false', 'false', '510304106206', 5, '詹家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304106206', 1, '2021-07-19 11:33:04', NULL, NULL), (3611, '', '白果冲村', '976b06f9e1c84154829a1ec7ff1037da', '72f1ce9e78ac4a4fbbfd2356522483fc', 'False', 'True', 'false', 'false', '510304106208', 5, '白果冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304106208', 1, '2021-07-19 11:33:04', NULL, NULL), (3612, '', '富华村', 'e9a03a01f6a2425fb9a3da4596226b24', '72f1ce9e78ac4a4fbbfd2356522483fc', 'False', 'True', 'false', 'false', '510304106210', 5, '富华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304106210', 1, '2021-07-19 11:33:04', NULL, NULL), (3613, '', '天元井社区', 'c7e8314899a148e3a1487ba8fa805f32', '72f1ce9e78ac4a4fbbfd2356522483fc', 'False', 'True', 'false', 'false', '510304106740', 5, '天元井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304106740', 1, '2021-07-19 11:33:04', NULL, NULL), (3614, '', '董家社区', '52580fb22468493e80ab85477dea156f', '72f1ce9e78ac4a4fbbfd2356522483fc', 'False', 'True', 'false', 'false', '510304106750', 5, '董家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304106750', 1, '2021-07-19 11:33:04', NULL, NULL), (3615, '', '牛佛镇', '965590592cc9418aa813ac465531b0f4', 'f2a7bc8e89f746fd8217543c4d1705b7', 'True', 'True', 'false', 'false', '510304722000', 4, '牛佛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510304722000', 1, '2021-07-19 11:33:04', NULL, NULL), (3616, '', '东胜村', '3d9e772ae2774504949144d999f7da13', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107227', 5, '东胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107227', 1, '2021-07-19 11:33:05', NULL, NULL), (3617, '', '大义村', '61f4bb98c41a4f82b22fdb6029f536ff', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107234', 5, '大义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107234', 1, '2021-07-19 11:33:05', NULL, NULL), (3618, '', '大桥村', '850196ed06174820aff63b9f20ff7457', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107484', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107484', 1, '2021-07-19 11:33:05', NULL, NULL), (3619, '', '陈家村', '24009f9f706742ba9e82ec24ed6bac77', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107797', 5, '陈家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107797', 1, '2021-07-19 11:33:05', NULL, NULL), (3620, '', '富隆村', 'd7b40d96d2a4422288a9b5bbb861ac82', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107829', 5, '富隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107829', 1, '2021-07-19 11:33:05', NULL, NULL), (3621, '', '星光村', 'ae0bc58a496c4b828c809fd382eca423', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107114', 5, '星光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107114', 1, '2021-07-19 11:33:05', NULL, NULL), (3622, '', '祝家村', '963d57ec3dea4e56abca00b39271aede', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107157', 5, '祝家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107157', 1, '2021-07-19 11:33:05', NULL, NULL), (3623, '', '红旗村', '4d6f134dac7a404e9aa68848961ff79a', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107192', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107192', 1, '2021-07-19 11:33:05', NULL, NULL), (3624, '', '农科村', '0b50ccafff9944958df7695b739bd222', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107200', 5, '农科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107200', 1, '2021-07-19 11:33:05', NULL, NULL), (3625, '', '张家坝社区', '1229dcf9ea824c04b6da2fb9f96b197c', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107354', 5, '张家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107354', 1, '2021-07-19 11:33:05', NULL, NULL), (3626, '', '烟墩村', 'b8038b8ef24046db8156da138f5e1724', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107385', 5, '烟墩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107385', 1, '2021-07-19 11:33:05', NULL, NULL), (3627, '', '青年村', 'e58b2f59674a4271b55ece84c0577483', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107428', 5, '青年村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107428', 1, '2021-07-19 11:33:05', NULL, NULL), (3628, '', '罗井村', 'd474e0bf55594bebb510f62f05e3d31d', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107453', 5, '罗井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107453', 1, '2021-07-19 11:33:05', NULL, NULL), (3629, '', '王爷庙社区', '5effed0740d84e6c9bcc522337b37c48', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107537', 5, '王爷庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107537', 1, '2021-07-19 11:33:06', NULL, NULL), (3630, '', '王大山村', '83567b6afddd4577ac879182d4978901', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107566', 5, '王大山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107566', 1, '2021-07-19 11:33:06', NULL, NULL), (3631, '', '张寺村', 'eba13ec45a4a47659211b79a71ed9861', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107571', 5, '张寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107571', 1, '2021-07-19 11:33:06', NULL, NULL), (3632, '', '高店村', '09fd4e3ed5ca436a8e6c4b9a7ea5aa2d', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107625', 5, '高店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107625', 1, '2021-07-19 11:33:06', NULL, NULL), (3633, '', '金山村', 'a8fa18aff6ec40dca8f971970d146181', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107874', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107874', 1, '2021-07-19 11:33:06', NULL, NULL), (3634, '', '罗塘坝村', 'a71fe229bf1b4b0daca3ee35ea3c4aaf', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107902', 5, '罗塘坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107902', 1, '2021-07-19 11:33:06', NULL, NULL), (3635, '', '水井村', '7a0d18c18e804a1bb4ff05e1b6eda9a7', '965590592cc9418aa813ac465531b0f4', 'False', 'True', 'false', 'false', '510304107956', 5, '水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304107956', 1, '2021-07-19 11:33:06', NULL, NULL), (3636, '', '大山铺镇', '174e4ee5261540da80d7a61e92adb37c', 'f2a7bc8e89f746fd8217543c4d1705b7', 'True', 'True', 'false', 'false', '510304785000', 4, '大山铺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510304785000', 1, '2021-07-19 11:33:06', NULL, NULL), (3637, '', '西华村', 'ef8140ec4e1c4322af378671e3fe45e1', '174e4ee5261540da80d7a61e92adb37c', 'False', 'True', 'false', 'false', '510304000185', 5, '西华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304000185', 1, '2021-07-19 11:33:06', NULL, NULL), (3638, '', '大山村', 'ade5945e825140c3940b1b36df71544e', '174e4ee5261540da80d7a61e92adb37c', 'False', 'True', 'false', 'false', '510304000281', 5, '大山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304000281', 1, '2021-07-19 11:33:07', NULL, NULL), (3639, '', '新燕村', '07e72d4fc8854ef788d79a95616f8448', '174e4ee5261540da80d7a61e92adb37c', 'False', 'True', 'false', 'false', '510304000348', 5, '新燕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304000348', 1, '2021-07-19 11:33:07', NULL, NULL), (3640, '', '松林社区', 'c3c0821fe9904623b39193ec359b1f04', '174e4ee5261540da80d7a61e92adb37c', 'False', 'True', 'false', 'false', '510304000508', 5, '松林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304000508', 1, '2021-07-19 11:33:07', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (3641, '', '江姐村', 'c373765fe42d4305928321369b4f3a70', '174e4ee5261540da80d7a61e92adb37c', 'False', 'True', 'false', 'false', '510304000611', 5, '江姐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304000611', 1, '2021-07-19 11:33:07', NULL, NULL), (3642, '', '大山铺社区', '9e8c1d55a75f414f8de60f7ba2e2a3be', '174e4ee5261540da80d7a61e92adb37c', 'False', 'True', 'false', 'false', '510304000728', 5, '大山铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304000728', 1, '2021-07-19 11:33:07', NULL, NULL), (3643, '', '恐龙村', 'c49c704adaae425b896b3b6903f0826a', '174e4ee5261540da80d7a61e92adb37c', 'False', 'True', 'false', 'false', '510304000832', 5, '恐龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304000832', 1, '2021-07-19 11:33:07', NULL, NULL), (3644, '', '伍家村', '90c26df7fb734630ac249c4528942e2e', '174e4ee5261540da80d7a61e92adb37c', 'False', 'True', 'false', 'false', '510304000879', 5, '伍家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304000879', 1, '2021-07-19 11:33:07', NULL, NULL), (3645, '', '凤凰街道', '75b28042808c4cf589fdafae08349633', 'f2a7bc8e89f746fd8217543c4d1705b7', 'True', 'True', 'false', 'false', '510304953000', 4, '凤凰街', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510304953000', 1, '2021-07-19 11:33:07', NULL, NULL), (3646, '', '远达花园社区', '32d296a9792242f09479b537f519c79a', '75b28042808c4cf589fdafae08349633', 'False', 'True', 'false', 'false', '510304000015', 5, '远达花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304000015', 1, '2021-07-19 11:33:07', NULL, NULL), (3647, '', '济公村', '39addcb7f7974df38c29a51193bdc25e', '75b28042808c4cf589fdafae08349633', 'False', 'True', 'false', 'false', '510304000190', 5, '济公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304000190', 1, '2021-07-19 11:33:07', NULL, NULL), (3648, '', '济公社区', '0606363dd24749209d9baddab4cc2fb8', '75b28042808c4cf589fdafae08349633', 'False', 'True', 'false', 'false', '510304000560', 5, '济公社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304000560', 1, '2021-07-19 11:33:07', NULL, NULL), (3649, '', '双河口社区', 'd5e5825c9cf54fda83bf98e1f1292990', '75b28042808c4cf589fdafae08349633', 'False', 'True', 'false', 'false', '510304000573', 5, '双河口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304000573', 1, '2021-07-19 11:33:07', NULL, NULL), (3650, '', '永胜村', 'b048dc86b36a4be1a99c15d0748bd88f', '75b28042808c4cf589fdafae08349633', 'False', 'True', 'false', 'false', '510304000604', 5, '永胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304000604', 1, '2021-07-19 11:33:08', NULL, NULL), (3651, '', '凤凰村', '2ea4e4e5e00a422c944fbd3d544317c7', '75b28042808c4cf589fdafae08349633', 'False', 'True', 'false', 'false', '510304000776', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304000776', 1, '2021-07-19 11:33:08', NULL, NULL), (3652, '', '回龙镇', 'c71049b4f22e4edeaa190da1ca59059e', 'f2a7bc8e89f746fd8217543c4d1705b7', 'True', 'True', 'false', 'false', '510304971000', 4, '回龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510304971000', 1, '2021-07-19 11:33:08', NULL, NULL), (3653, '', '回龙场社区', '243b26e550ee4b9586d725c9e2c42265', 'c71049b4f22e4edeaa190da1ca59059e', 'False', 'True', 'false', 'false', '510304109001', 5, '回龙场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304109001', 1, '2021-07-19 11:33:08', NULL, NULL), (3654, '', '狮子村', 'a8359327d24d485a877c6f52d3334da2', 'c71049b4f22e4edeaa190da1ca59059e', 'False', 'True', 'false', 'false', '510304109202', 5, '狮子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304109202', 1, '2021-07-19 11:33:08', NULL, NULL), (3655, '', '优胜村', 'cc94e6eda7d94aab954b01646dd101c5', 'c71049b4f22e4edeaa190da1ca59059e', 'False', 'True', 'false', 'false', '510304109203', 5, '优胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304109203', 1, '2021-07-19 11:33:08', NULL, NULL), (3656, '', '庆华村', '4f0d114354f9472baebc91cb73875e4e', 'c71049b4f22e4edeaa190da1ca59059e', 'False', 'True', 'false', 'false', '510304109206', 5, '庆华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304109206', 1, '2021-07-19 11:33:08', NULL, NULL), (3657, '', '大同村', 'f2e9d0b02c014df2aa281d5c054f9082', 'c71049b4f22e4edeaa190da1ca59059e', 'False', 'True', 'false', 'false', '510304109207', 5, '大同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304109207', 1, '2021-07-19 11:33:09', NULL, NULL), (3658, '', '红珠村', 'ea07d7d73afd4454b0d3f07050f03840', 'c71049b4f22e4edeaa190da1ca59059e', 'False', 'True', 'false', 'false', '510304109208', 5, '红珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304109208', 1, '2021-07-19 11:33:09', NULL, NULL), (3659, '', '双柏村', '66a5cd8344154044877f34b2821ea437', 'c71049b4f22e4edeaa190da1ca59059e', 'False', 'True', 'false', 'false', '510304109211', 5, '双柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304109211', 1, '2021-07-19 11:33:09', NULL, NULL), (3660, '', '大丰村', 'ae69295ca26d4b47961a7d60adb00066', 'c71049b4f22e4edeaa190da1ca59059e', 'False', 'True', 'false', 'false', '510304109214', 5, '大丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304109214', 1, '2021-07-19 11:33:09', NULL, NULL), (3661, '', '火炬村', '7e39b2f93bad4cb7b1d03071e68bd706', 'c71049b4f22e4edeaa190da1ca59059e', 'False', 'True', 'false', 'false', '510304109215', 5, '火炬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304109215', 1, '2021-07-19 11:33:09', NULL, NULL), (3662, '', '古井村', '645384cdb86a4d3fa65f2ae1b434ebac', 'c71049b4f22e4edeaa190da1ca59059e', 'False', 'True', 'false', 'false', '510304109948', 5, '古井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510304109948', 1, '2021-07-19 11:33:09', NULL, NULL), (3663, '', '沿滩区', 'a560699e8b024698a5fa05dee0df9323', 'effde37459fb401e8cabb51660853bab', 'True', 'True', 'false', 'false', '510311000000', 3, '沿滩区', 'zgsytq.sczwfw.gov.cn', 1, '2021-07-19 11:33:09', NULL, NULL), (3664, '', '瓦市镇', 'dcc855f470034e9998b2c41c3346bd43', 'a560699e8b024698a5fa05dee0df9323', 'True', 'True', 'false', 'false', '510311111000', 4, '瓦市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510311111000', 1, '2021-07-19 11:33:09', NULL, NULL), (3665, '', '大雁湖村', 'f3dcf1bad9f34993812b3ee326f40e93', 'dcc855f470034e9998b2c41c3346bd43', 'False', 'False', 'false', 'false', '510311111026', 5, '大雁湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311111026', 1, '2021-07-19 11:33:09', NULL, NULL), (3666, '', '瓦宅铺社区', 'b239ddba58524a96912b3e9766ee8a65', 'dcc855f470034e9998b2c41c3346bd43', 'False', 'True', 'false', 'false', '510311111001', 5, '瓦宅铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311111001', 1, '2021-07-19 11:33:09', NULL, NULL), (3667, '', '沱湾村', '98a95a54c75c42f7b7d0acc038330fed', 'dcc855f470034e9998b2c41c3346bd43', 'False', 'True', 'false', 'false', '510311111201', 5, '沱湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311111201', 1, '2021-07-19 11:33:10', NULL, NULL), (3668, '', '新堂村', '1fa1fa3d49b94852bc199eecf0d65f35', 'dcc855f470034e9998b2c41c3346bd43', 'False', 'True', 'false', 'false', '510311111202', 5, '新堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311111202', 1, '2021-07-19 11:33:10', NULL, NULL), (3669, '', '华山村', '35c70eaba61e445da4a70559de0599b4', 'dcc855f470034e9998b2c41c3346bd43', 'False', 'True', 'false', 'false', '510311111203', 5, '华山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311111203', 1, '2021-07-19 11:33:10', NULL, NULL), (3670, '', '双塘村', '791652b3a0934e1a9cea4cd223a48194', 'dcc855f470034e9998b2c41c3346bd43', 'False', 'True', 'false', 'false', '510311111205', 5, '双塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311111205', 1, '2021-07-19 11:33:10', NULL, NULL), (3671, '', '方湾村', '3a9af31839144662bcbf4a1bc0660c59', 'dcc855f470034e9998b2c41c3346bd43', 'False', 'True', 'false', 'false', '510311111206', 5, '方湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311111206', 1, '2021-07-19 11:33:10', NULL, NULL), (3672, '', '卫家村', '3558ca30bf50482fa1f906027119f8d7', 'dcc855f470034e9998b2c41c3346bd43', 'False', 'True', 'false', 'false', '510311111208', 5, '卫家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311111208', 1, '2021-07-19 11:33:10', NULL, NULL), (3673, '', '沙溪村', '0d9eec47c58e4fe5bf79228106b1253d', 'dcc855f470034e9998b2c41c3346bd43', 'False', 'True', 'false', 'false', '510311111211', 5, '沙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311111211', 1, '2021-07-19 11:33:10', NULL, NULL), (3674, '', '永乐村', '705757bac7ea44b78fbfe432ea0540e4', 'dcc855f470034e9998b2c41c3346bd43', 'False', 'True', 'false', 'false', '510311111214', 5, '永乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311111214', 1, '2021-07-19 11:33:10', NULL, NULL), (3675, '', '刘山村', '7acf2d6e76e14ae089f5d424d7c184b8', 'dcc855f470034e9998b2c41c3346bd43', 'False', 'True', 'false', 'false', '510311111216', 5, '刘山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311111216', 1, '2021-07-19 11:33:10', NULL, NULL), (3676, '', '大觉村', 'ea626c24fcd2401bb84ca6ebbbfda8f2', 'dcc855f470034e9998b2c41c3346bd43', 'False', 'True', 'false', 'false', '510311111217', 5, '大觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311111217', 1, '2021-07-19 11:33:10', NULL, NULL), (3677, '', '金沙村', 'e4487d6f10d64630b72e5342dbbd403c', 'dcc855f470034e9998b2c41c3346bd43', 'False', 'True', 'false', 'false', '510311111224', 5, '金沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311111224', 1, '2021-07-19 11:33:10', NULL, NULL), (3678, '', '仙市镇', '14a345d00300446398be9e57a6202180', 'a560699e8b024698a5fa05dee0df9323', 'True', 'True', 'false', 'false', '510311501000', 4, '仙市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510311501000', 1, '2021-07-19 11:33:10', NULL, NULL), (3679, '', '仙滩社区', '6ab45f9fd9d1490c8e42590b06cbaef4', '14a345d00300446398be9e57a6202180', 'False', 'True', 'false', 'false', '510311112001', 5, '仙滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311112001', 1, '2021-07-19 11:33:10', NULL, NULL), (3680, '', '箭口村', 'cbf2027045554792b9e8d2e9d48ee2ec', '14a345d00300446398be9e57a6202180', 'False', 'True', 'false', 'false', '510311112201', 5, '箭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311112201', 1, '2021-07-19 11:33:11', NULL, NULL), (3681, '', '云溪村', '01c4b87c67a640b88557ec3d9479479b', '14a345d00300446398be9e57a6202180', 'False', 'True', 'false', 'false', '510311112203', 5, '云溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311112203', 1, '2021-07-19 11:33:11', NULL, NULL), (3682, '', '五七村', '17641848cbd3410cb857def7a3bf4cbf', '14a345d00300446398be9e57a6202180', 'False', 'True', 'false', 'false', '510311112204', 5, '五七村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311112204', 1, '2021-07-19 11:33:11', NULL, NULL), (3683, '', '焦湾村', '16e94165c5ad46cfaf1b44749025f4d0', '14a345d00300446398be9e57a6202180', 'False', 'True', 'false', 'false', '510311112206', 5, '焦湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311112206', 1, '2021-07-19 11:33:11', NULL, NULL), (3684, '', '象山村', '72839d7286d54495b21618173faea5e4', '14a345d00300446398be9e57a6202180', 'False', 'True', 'false', 'false', '510311112208', 5, '象山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311112208', 1, '2021-07-19 11:33:11', NULL, NULL), (3685, '', '上水村', 'fc4ba0c12695429da6e888c195b5c0c7', '14a345d00300446398be9e57a6202180', 'False', 'True', 'false', 'false', '510311112209', 5, '上水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311112209', 1, '2021-07-19 11:33:11', NULL, NULL), (3686, '', '月合村', '1f8db0d834014b3781bbbb007c931fea', '14a345d00300446398be9e57a6202180', 'False', 'True', 'false', 'false', '510311112210', 5, '月合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311112210', 1, '2021-07-19 11:33:11', NULL, NULL), (3687, '', '芭茅村', 'c58521ac2171434e90571c7dd0b49078', '14a345d00300446398be9e57a6202180', 'False', 'True', 'false', 'false', '510311112212', 5, '芭茅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311112212', 1, '2021-07-19 11:33:11', NULL, NULL), (3688, '', '鱼洞村', 'c399162c4b4a49b4884bac02dede4afb', '14a345d00300446398be9e57a6202180', 'False', 'True', 'false', 'false', '510311112213', 5, '鱼洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311112213', 1, '2021-07-19 11:33:12', NULL, NULL), (3689, '', '坳店村', '01548edf34db4049b13d7d51c58cb299', '14a345d00300446398be9e57a6202180', 'False', 'True', 'false', 'false', '510311112214', 5, '坳店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311112214', 1, '2021-07-19 11:33:12', NULL, NULL), (3690, '', '大岩村', '0d4cf1cd76244b5fa0ccce3c32d1172a', '14a345d00300446398be9e57a6202180', 'False', 'True', 'false', 'false', '510311112218', 5, '大岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311112218', 1, '2021-07-19 11:33:12', NULL, NULL), (3691, '', '百胜村', 'ba8429c7ef584cbcb8b232d486ad6617', '14a345d00300446398be9e57a6202180', 'False', 'True', 'false', 'false', '510311112222', 5, '百胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311112222', 1, '2021-07-19 11:33:12', NULL, NULL), (3692, '', '南和村', '0cf044864a2b4e388560d1b72dfca973', '14a345d00300446398be9e57a6202180', 'False', 'True', 'false', 'false', '510311112223', 5, '南和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311112223', 1, '2021-07-19 11:33:12', NULL, NULL), (3693, '', '八斗村', '4dcd5e52bd2d4174972347d8faeaf8ad', '14a345d00300446398be9e57a6202180', 'False', 'True', 'false', 'false', '510311112224', 5, '八斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311112224', 1, '2021-07-19 11:33:12', NULL, NULL), (3694, '', '柏树村', 'aa558369577444ceae5850844c0aee70', '14a345d00300446398be9e57a6202180', 'False', 'True', 'false', 'false', '510311112225', 5, '柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311112225', 1, '2021-07-19 11:33:13', NULL, NULL), (3695, '', '狮吼村', '81c2e63d913f4a7183cb4a89e0f0882e', '14a345d00300446398be9e57a6202180', 'False', 'True', 'false', 'false', '510311112226', 5, '狮吼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311112226', 1, '2021-07-19 11:33:13', NULL, NULL), (3696, '', '王井镇', 'c414839f4331461693f1bb9e7e067a5d', 'a560699e8b024698a5fa05dee0df9323', 'True', 'True', 'false', 'false', '510311574000', 4, '王井镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510311574000', 1, '2021-07-19 11:33:13', NULL, NULL), (3697, '', '高石村', 'f90df364fe0340378a304b8a28f58d3e', 'c414839f4331461693f1bb9e7e067a5d', 'False', 'False', 'false', 'false', '510311109022', 5, '高石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311109022', 1, '2021-07-19 11:33:13', NULL, NULL), (3698, '', '王井街社区', '2bfdf6489f104339bab4aaff45427616', 'c414839f4331461693f1bb9e7e067a5d', 'False', 'True', 'false', 'false', '510311109004', 5, '王井街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311109004', 1, '2021-07-19 11:33:13', NULL, NULL), (3699, '', '王井村', 'fe131608427e4460a615ba5c6d470ee2', 'c414839f4331461693f1bb9e7e067a5d', 'False', 'True', 'false', 'false', '510311109201', 5, '王井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311109201', 1, '2021-07-19 11:33:13', NULL, NULL), (3700, '', '新民村', 'd8a038e7ed2a4b30a834cd9cc6fa6381', 'c414839f4331461693f1bb9e7e067a5d', 'False', 'True', 'false', 'false', '510311109202', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311109202', 1, '2021-07-19 11:33:13', NULL, NULL), (3701, '', '黄桷村', '7c036a3cfba14faab74ba7072b7f9d21', 'c414839f4331461693f1bb9e7e067a5d', 'False', 'True', 'false', 'false', '510311109204', 5, '黄桷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311109204', 1, '2021-07-19 11:33:13', NULL, NULL), (3702, '', '沱田村', '19e5ea585f5648379caa67bb4fddf267', 'c414839f4331461693f1bb9e7e067a5d', 'False', 'True', 'false', 'false', '510311109205', 5, '沱田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311109205', 1, '2021-07-19 11:33:13', NULL, NULL), (3703, '', '桂花村', 'c3b885251f624560a306c53e824e2a47', 'c414839f4331461693f1bb9e7e067a5d', 'False', 'True', 'false', 'false', '510311109209', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311109209', 1, '2021-07-19 11:33:13', NULL, NULL), (3704, '', '兴隆镇', '53d6f212fc2e4427a5ef4b13317fa8e9', 'a560699e8b024698a5fa05dee0df9323', 'True', 'True', 'false', 'false', '510311604000', 4, '兴隆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510311604000', 1, '2021-07-19 11:33:13', NULL, NULL), (3705, '', '兴隆场社区', 'dfc2b7c7d27c42fe934d72f27cc03681', '53d6f212fc2e4427a5ef4b13317fa8e9', 'False', 'True', 'false', 'false', '510311102002', 5, '兴隆场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311102002', 1, '2021-07-19 11:33:13', NULL, NULL), (3706, '', '舒滩村', '3ec6c970b568495491b4117a3c993831', '53d6f212fc2e4427a5ef4b13317fa8e9', 'False', 'True', 'false', 'false', '510311102201', 5, '舒滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311102201', 1, '2021-07-19 11:33:14', NULL, NULL), (3707, '', '卫星村', '94fae8763304402386e476fc98ad0b79', '53d6f212fc2e4427a5ef4b13317fa8e9', 'False', 'True', 'false', 'false', '510311102203', 5, '卫星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311102203', 1, '2021-07-19 11:33:14', NULL, NULL), (3708, '', '留永村', 'b348ee12e2ce4d92804458fb811e7725', '53d6f212fc2e4427a5ef4b13317fa8e9', 'False', 'True', 'false', 'false', '510311102204', 5, '留永村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311102204', 1, '2021-07-19 11:33:14', NULL, NULL), (3709, '', '光辉村', '80c0be75ee214ae4a809740cd5917e8b', '53d6f212fc2e4427a5ef4b13317fa8e9', 'False', 'True', 'false', 'false', '510311102207', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311102207', 1, '2021-07-19 11:33:14', NULL, NULL), (3710, '', '先锋村', '328c704757074f85958221e08954cecb', '53d6f212fc2e4427a5ef4b13317fa8e9', 'False', 'True', 'false', 'false', '510311102208', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311102208', 1, '2021-07-19 11:33:14', NULL, NULL), (3711, '', '富全镇', '1b4e236cfaa24f9aa97a9b7779ca863f', 'a560699e8b024698a5fa05dee0df9323', 'True', 'True', 'false', 'false', '510311629000', 4, '富全镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510311629000', 1, '2021-07-19 11:33:14', NULL, NULL), (3712, '', '新房村', 'f40aca0b49a1471793b7e4ff21a4259a', '1b4e236cfaa24f9aa97a9b7779ca863f', 'False', 'True', 'false', 'false', '510311500259', 5, '新房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311500259', 1, '2021-07-19 11:33:14', NULL, NULL), (3713, '', '富全社区', 'ebea713c9b7a4da2b97858e75ade57a0', '1b4e236cfaa24f9aa97a9b7779ca863f', 'False', 'True', 'false', 'false', '510311500262', 5, '富全社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311500262', 1, '2021-07-19 11:33:14', NULL, NULL), (3714, '', '代寺村', 'a4b72d45f75243288cf2a9fbf845649e', '1b4e236cfaa24f9aa97a9b7779ca863f', 'False', 'True', 'false', 'false', '510311629600', 5, '代寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311629600', 1, '2021-07-19 11:33:14', NULL, NULL), (3715, '', '大罗村', 'c60bee883d5f4cc09bd4ccd41ef1e093', '1b4e236cfaa24f9aa97a9b7779ca863f', 'False', 'True', 'false', 'false', '510311629702', 5, '大罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311629702', 1, '2021-07-19 11:33:14', NULL, NULL), (3716, '', '舒安村', '240423d81bf949d19cd9b393796ebfd3', '1b4e236cfaa24f9aa97a9b7779ca863f', 'False', 'True', 'false', 'false', '510311629712', 5, '舒安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311629712', 1, '2021-07-19 11:33:14', NULL, NULL), (3717, '', '蒲余村', '147b86bffc574c81bc6e911277047113', '1b4e236cfaa24f9aa97a9b7779ca863f', 'False', 'True', 'false', 'false', '510311629872', 5, '蒲余村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311629872', 1, '2021-07-19 11:33:14', NULL, NULL), (3718, '', '九洪乡', '915e2676453c430fb4f0a904917ebee3', 'a560699e8b024698a5fa05dee0df9323', 'True', 'True', 'false', 'false', '510311639000', 4, '九洪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510311639000', 1, '2021-07-19 11:33:15', NULL, NULL), (3719, '', '九洪街社区', 'f3363946be8d4d4c9672afc2f257b279', '915e2676453c430fb4f0a904917ebee3', 'False', 'True', 'false', 'false', '510311204002', 5, '九洪街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311204002', 1, '2021-07-19 11:33:15', NULL, NULL), (3720, '', '九洪村', '8552817422894f47a674c6abe7538d39', '915e2676453c430fb4f0a904917ebee3', 'False', 'True', 'false', 'false', '510311204201', 5, '九洪村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311204201', 1, '2021-07-19 11:33:15', NULL, NULL), (3721, '', '齐岩村', 'ec27fb757a1d4e36b1d441d968237cf0', '915e2676453c430fb4f0a904917ebee3', 'False', 'True', 'false', 'false', '510311204203', 5, '齐岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311204203', 1, '2021-07-19 11:33:15', NULL, NULL), (3722, '', '张湾村', '33a1e2c62162402fb0cc574407f57506', '915e2676453c430fb4f0a904917ebee3', 'False', 'True', 'false', 'false', '510311204204', 5, '张湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311204204', 1, '2021-07-19 11:33:15', NULL, NULL), (3723, '', '石塔山村', '9fcec49c8db74fa3a8a37b22d3d910e3', '915e2676453c430fb4f0a904917ebee3', 'False', 'True', 'false', 'false', '510311204207', 5, '石塔山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311204207', 1, '2021-07-19 11:33:15', NULL, NULL), (3724, '', '三河村', 'e5ff090b876942aea83a3ed7451f5bbc', '915e2676453c430fb4f0a904917ebee3', 'False', 'True', 'false', 'false', '510311204209', 5, '三河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311204209', 1, '2021-07-19 11:33:15', NULL, NULL), (3725, '', '莲花村', 'aafd133fa9904659a39db1483ed0ae5e', '915e2676453c430fb4f0a904917ebee3', 'False', 'True', 'false', 'false', '510311204210', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311204210', 1, '2021-07-19 11:33:15', NULL, NULL), (3726, '', '骑龙村', 'e3d08d66fdf841458efb5710ba75fd4d', '915e2676453c430fb4f0a904917ebee3', 'False', 'True', 'false', 'false', '510311204212', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311204212', 1, '2021-07-19 11:33:15', NULL, NULL), (3727, '', '白罗村', '11af7921a2904b67bf2be50603ea3461', '915e2676453c430fb4f0a904917ebee3', 'False', 'True', 'false', 'false', '510311204213', 5, '白罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311204213', 1, '2021-07-19 11:33:15', NULL, NULL), (3728, '', '邓关街道办事处', 'c6413f4f59e1440a92df5d1c4e00649e', 'a560699e8b024698a5fa05dee0df9323', 'True', 'True', 'false', 'false', '510311717000', 4, '邓关街道办事处', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510311717000', 1, '2021-07-19 11:33:15', NULL, NULL), (3729, '', '黄坡岭村', '182e784ab0cc4dcdbcdedf2eaaa2cf7c', 'c6413f4f59e1440a92df5d1c4e00649e', 'False', 'False', 'false', 'false', '510311002037', 5, '黄坡岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311002037', 1, '2021-07-19 11:33:15', NULL, NULL), (3730, '', '太源村', '756006de30b7484c85aa13d49395804a', 'c6413f4f59e1440a92df5d1c4e00649e', 'False', 'False', 'false', 'false', '510311002128', 5, '太源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311002128', 1, '2021-07-19 11:33:15', NULL, NULL), (3731, '', '盐业社区', '0e1e4f12db2242f2917f24bc3389e5a4', 'c6413f4f59e1440a92df5d1c4e00649e', 'False', 'True', 'false', 'false', '510311108009', 5, '盐业社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311108009', 1, '2021-07-19 11:33:15', NULL, NULL), (3732, '', '会仙桥社区', '94838b6419e945f0abc2ff009c983ef0', 'c6413f4f59e1440a92df5d1c4e00649e', 'False', 'True', 'false', 'false', '510311108010', 5, '会仙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311108010', 1, '2021-07-19 11:33:15', NULL, NULL), (3733, '', '顺昌美村', '2dab19024607443a9460ad836fb50baf', 'c6413f4f59e1440a92df5d1c4e00649e', 'False', 'True', 'false', 'false', '510311108201', 5, '顺昌美村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311108201', 1, '2021-07-19 11:33:15', NULL, NULL), (3734, '', '新塘村', '083b40476984464f85fdc5e5c30ea986', 'c6413f4f59e1440a92df5d1c4e00649e', 'False', 'True', 'false', 'false', '510311108206', 5, '新塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311108206', 1, '2021-07-19 11:33:16', NULL, NULL), (3735, '', '卫坪街道办事处', 'ff099a79c6a2473abda84e8e726634c7', 'a560699e8b024698a5fa05dee0df9323', 'True', 'True', 'false', 'false', '510311742000', 4, '卫坪街道办事处', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510311742000', 1, '2021-07-19 11:33:16', NULL, NULL), (3736, '', '板仓社区', '1ff95c82fad84f53b015f0864e3be487', 'ff099a79c6a2473abda84e8e726634c7', 'False', 'True', 'false', 'false', '510311101004', 5, '板仓社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311101004', 1, '2021-07-19 11:33:16', NULL, NULL), (3737, '', '龙湖远大社区', '758dbb6c659a49e699c865f194898c5d', 'ff099a79c6a2473abda84e8e726634c7', 'False', 'True', 'false', 'false', '510311101005', 5, '龙湖远大社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311101005', 1, '2021-07-19 11:33:16', NULL, NULL), (3738, '', '恒大社区', '7b3279be3d984221b29e6527186edf57', 'ff099a79c6a2473abda84e8e726634c7', 'False', 'True', 'false', 'false', '510311101006', 5, '恒大社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311101006', 1, '2021-07-19 11:33:16', NULL, NULL), (3739, '', '沿湖社区', '1e60241ed4864250a12130055573587d', 'ff099a79c6a2473abda84e8e726634c7', 'False', 'True', 'false', 'false', '510311101007', 5, '沿湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311101007', 1, '2021-07-19 11:33:16', NULL, NULL), (3740, '', '锦城社区', '8f95e86e10da4a0788f7c0410a866ba7', 'ff099a79c6a2473abda84e8e726634c7', 'False', 'True', 'false', 'false', '510311101008', 5, '锦城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311101008', 1, '2021-07-19 11:33:16', NULL, NULL), (3741, '', '曾家桥村', '20067c5ff32748dbb1c96cb447cc9eb3', 'ff099a79c6a2473abda84e8e726634c7', 'False', 'True', 'false', 'false', '510311101203', 5, '曾家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311101203', 1, '2021-07-19 11:33:16', NULL, NULL), (3742, '', '岩山村', '1008875861a34f87ba971ab37092014d', 'ff099a79c6a2473abda84e8e726634c7', 'False', 'True', 'false', 'false', '510311101218', 5, '岩山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311101218', 1, '2021-07-19 11:33:16', NULL, NULL), (3743, '', '蛇金山村', 'f94242a924e5404a993c7ecdfcb267c0', 'ff099a79c6a2473abda84e8e726634c7', 'False', 'True', 'false', 'false', '510311101219', 5, '蛇金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311101219', 1, '2021-07-19 11:33:16', NULL, NULL), (3744, '', '黄市镇', '082896d945254664996c458925c1a7e0', 'a560699e8b024698a5fa05dee0df9323', 'True', 'True', 'false', 'false', '510311877000', 4, '黄市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510311877000', 1, '2021-07-19 11:33:16', NULL, NULL), (3745, '', '丰光村', 'e3679ec8814d4db099c0bc76c080295e', '082896d945254664996c458925c1a7e0', 'False', 'False', 'false', 'false', '510311110086', 5, '丰光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311110086', 1, '2021-07-19 11:33:16', NULL, NULL), (3746, '', '黄镇铺社区', '8ebe83ecd9d14de8b5a5d10798781389', '082896d945254664996c458925c1a7e0', 'False', 'True', 'false', 'false', '510311110002', 5, '黄镇铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311110002', 1, '2021-07-19 11:33:16', NULL, NULL), (3747, '', '红旗村', '6449177cdab74fbab475b7474ed68145', '082896d945254664996c458925c1a7e0', 'False', 'True', 'false', 'false', '510311110201', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311110201', 1, '2021-07-19 11:33:17', NULL, NULL), (3748, '', '回龙村', 'fba754b26f10478d8cbeae7305988637', '082896d945254664996c458925c1a7e0', 'False', 'False', 'false', 'false', '510311110203', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311110203', 1, '2021-07-19 11:33:17', NULL, NULL), (3749, '', '群英村', '9ab2b644c89b4d739832ed4a50b9702b', '082896d945254664996c458925c1a7e0', 'False', 'True', 'false', 'false', '510311110204', 5, '群英村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311110204', 1, '2021-07-19 11:33:17', NULL, NULL), (3750, '', '凤凰村', '235f77074a114a4e804eaad36f28b50b', '082896d945254664996c458925c1a7e0', 'False', 'True', 'false', 'false', '510311110208', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311110208', 1, '2021-07-19 11:33:17', NULL, NULL), (3751, '', '水井沟村', '410e5f05bcdb43218ddf3892a585f8f7', '082896d945254664996c458925c1a7e0', 'False', 'True', 'false', 'false', '510311110209', 5, '水井沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311110209', 1, '2021-07-19 11:33:17', NULL, NULL), (3752, '', '霞光村', '71b227156cc242fb91293068ed4815b2', '082896d945254664996c458925c1a7e0', 'False', 'True', 'false', 'false', '510311110211', 5, '霞光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311110211', 1, '2021-07-19 11:33:17', NULL, NULL), (3753, '', '联络镇', '4bfc2bda4339408eba82ec37f7d08022', 'a560699e8b024698a5fa05dee0df9323', 'True', 'True', 'false', 'false', '510311936000', 4, '联络镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510311936000', 1, '2021-07-19 11:33:17', NULL, NULL), (3754, '', '周场社区', '9593b3d1a159442e9f5ce0f5727e6b23', '4bfc2bda4339408eba82ec37f7d08022', 'False', 'True', 'false', 'false', '510311107002', 5, '周场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311107002', 1, '2021-07-19 11:33:17', NULL, NULL), (3755, '', '中心村', 'b7712993491b49b298860b3256e58425', '4bfc2bda4339408eba82ec37f7d08022', 'False', 'True', 'false', 'false', '510311107201', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311107201', 1, '2021-07-19 11:33:17', NULL, NULL), (3756, '', '新和村', '415def6320f94f49ab45790ae871a244', '4bfc2bda4339408eba82ec37f7d08022', 'False', 'True', 'false', 'false', '510311107203', 5, '新和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311107203', 1, '2021-07-19 11:33:17', NULL, NULL), (3757, '', '胡桥村', 'ddd2488dee604151be09b443adfab766', '4bfc2bda4339408eba82ec37f7d08022', 'False', 'True', 'false', 'false', '510311107206', 5, '胡桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311107206', 1, '2021-07-19 11:33:18', NULL, NULL), (3758, '', '高滩村', 'd4547a5002594bb181f12c5645c2b8f2', '4bfc2bda4339408eba82ec37f7d08022', 'False', 'True', 'false', 'false', '510311107207', 5, '高滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311107207', 1, '2021-07-19 11:33:18', NULL, NULL), (3759, '', '江冲村', '8db1af1db38a4a9e9bdfcf1f345e5049', '4bfc2bda4339408eba82ec37f7d08022', 'False', 'True', 'false', 'false', '510311107209', 5, '江冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311107209', 1, '2021-07-19 11:33:18', NULL, NULL), (3760, '', '沿滩镇', 'dd71c310f2844982a66194643c34e036', 'a560699e8b024698a5fa05dee0df9323', 'True', 'True', 'false', 'false', '510311991000', 4, '沿滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510311991000', 1, '2021-07-19 11:33:18', NULL, NULL), (3761, '', '田铺村', '8b18b27d66d74745b16f131296f50791', 'dd71c310f2844982a66194643c34e036', 'False', 'False', 'false', 'false', '510311100341', 5, '田铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311100341', 1, '2021-07-19 11:33:18', NULL, NULL), (3762, '', '平安村', '4ff0d09e026741a187f9106f502a7b94', 'dd71c310f2844982a66194643c34e036', 'False', 'False', 'false', 'false', '510311100502', 5, '平安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311100502', 1, '2021-07-19 11:33:18', NULL, NULL), (3763, '', '詹井村', 'c7749f42a98a4a1d9aa5716bbcfd3386', 'dd71c310f2844982a66194643c34e036', 'False', 'True', 'false', 'false', '510311100089', 5, '詹井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311100089', 1, '2021-07-19 11:33:18', NULL, NULL), (3764, '', '团结村', '04e50e8b72c341ccb89a18f14f7bcc08', 'dd71c310f2844982a66194643c34e036', 'False', 'True', 'false', 'false', '510311100215', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311100215', 1, '2021-07-19 11:33:18', NULL, NULL), (3765, '', '宜民村', '364434540b0942c69c2f1942461ee200', 'dd71c310f2844982a66194643c34e036', 'False', 'True', 'false', 'false', '510311100252', 5, '宜民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311100252', 1, '2021-07-19 11:33:18', NULL, NULL), (3766, '', '人民村', '27d40edcb593463ebf381dc27d604745', 'dd71c310f2844982a66194643c34e036', 'False', 'True', 'false', 'false', '510311100417', 5, '人民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311100417', 1, '2021-07-19 11:33:18', NULL, NULL), (3767, '', '互助村', '910cead4bb5f45b2a01c1e09666e7562', 'dd71c310f2844982a66194643c34e036', 'False', 'True', 'false', 'false', '510311100505', 5, '互助村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311100505', 1, '2021-07-19 11:33:18', NULL, NULL), (3768, '', '飞跃村', '12e05fafd0c448798aa2ae8aa5407f40', 'dd71c310f2844982a66194643c34e036', 'False', 'True', 'false', 'false', '510311100761', 5, '飞跃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311100761', 1, '2021-07-19 11:33:18', NULL, NULL), (3769, '', '汪坝村', '7501f080860347848f9399c04d96167a', 'dd71c310f2844982a66194643c34e036', 'False', 'True', 'false', 'false', '510311111177', 5, '汪坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311111177', 1, '2021-07-19 11:33:19', NULL, NULL), (3770, '', '开元路', '84d05cf55cd54bb9b3815836c23785fd', 'dd71c310f2844982a66194643c34e036', 'False', 'True', 'false', 'false', '510311991254', 5, '开元路', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311991254', 1, '2021-07-19 11:33:19', NULL, NULL), (3771, '', '兴元路', '4563c75402c2417695bbe573f81ea0d1', 'dd71c310f2844982a66194643c34e036', 'False', 'True', 'false', 'false', '510311991360', 5, '兴元路', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311991360', 1, '2021-07-19 11:33:19', NULL, NULL), (3772, '', '跃进村', '1453f7df86eb4c30a079b2ff21e61ceb', 'dd71c310f2844982a66194643c34e036', 'False', 'True', 'false', 'false', '510311991724', 5, '跃进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311991724', 1, '2021-07-19 11:33:19', NULL, NULL), (3773, '', '升坪街', 'd9de2139b7794ef1bc7a7a6a5adfbfc4', 'dd71c310f2844982a66194643c34e036', 'False', 'True', 'false', 'false', '510311991922', 5, '升坪街', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311991922', 1, '2021-07-19 11:33:19', NULL, NULL), (3774, '', '永安镇', 'bdfa99fb903848ed85bd224c514c7808', 'a560699e8b024698a5fa05dee0df9323', 'True', 'True', 'false', 'false', '510311451000', 4, '永安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510311451000', 1, '2021-07-19 11:33:19', NULL, NULL), (3775, '', '立志村', '9f42c9dbdfb742b5864666d6c21fab14', 'bdfa99fb903848ed85bd224c514c7808', 'False', 'False', 'false', 'false', '510311106032', 5, '立志村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311106032', 1, '2021-07-19 11:33:19', NULL, NULL), (3776, '', '刘山村', '4fcf2280ffc74d5b882162f3334b1e1a', 'bdfa99fb903848ed85bd224c514c7808', 'False', 'False', 'false', 'false', '510311106040', 5, '刘山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311106040', 1, '2021-07-19 11:33:19', NULL, NULL), (3777, '', '丰收村', 'f7583b8b6c9f495b9ccc244a3f966701', 'bdfa99fb903848ed85bd224c514c7808', 'False', 'False', 'false', 'false', '510311106090', 5, '丰收村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311106090', 1, '2021-07-19 11:33:19', NULL, NULL), (3778, '', '刘家山社区', '67cb08347867421393d74d115c7a52bc', 'bdfa99fb903848ed85bd224c514c7808', 'False', 'False', 'false', 'false', '510311106380', 5, '刘家山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311106380', 1, '2021-07-19 11:33:19', NULL, NULL), (3779, '', '新元村', '2b7ddf71bf2e41a7ba7ca72afe99aa90', 'bdfa99fb903848ed85bd224c514c7808', 'False', 'False', 'false', 'false', '510311106411', 5, '新元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311106411', 1, '2021-07-19 11:33:19', NULL, NULL), (3780, '', '前进村', 'f03befeeb31941b7b649868651ada517', 'bdfa99fb903848ed85bd224c514c7808', 'False', 'False', 'false', 'false', '510311106500', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311106500', 1, '2021-07-19 11:33:20', NULL, NULL), (3781, '', '双林村', '98b487910e384ae381074137badc157c', 'bdfa99fb903848ed85bd224c514c7808', 'False', 'False', 'false', 'false', '510311106607', 5, '双林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311106607', 1, '2021-07-19 11:33:20', NULL, NULL), (3782, '', '云丰村', '09eba56f43564b238c5335e08a43c63c', 'bdfa99fb903848ed85bd224c514c7808', 'False', 'False', 'false', 'false', '510311106667', 5, '云丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311106667', 1, '2021-07-19 11:33:20', NULL, NULL), (3783, '', '鳌头铺社区', '3bba7d69c2c548919641f98dae65ef29', 'bdfa99fb903848ed85bd224c514c7808', 'False', 'False', 'false', 'false', '510311106690', 5, '鳌头铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311106690', 1, '2021-07-19 11:33:20', NULL, NULL), (3784, '', '兴加村', 'a7b4e78705904f0e9f8dabd4a250a1fb', 'bdfa99fb903848ed85bd224c514c7808', 'False', 'False', 'false', 'false', '510311106960', 5, '兴加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311106960', 1, '2021-07-19 11:33:20', NULL, NULL), (3785, '', '云龙村', 'af54a046e99947c289d932be23b9a30e', 'bdfa99fb903848ed85bd224c514c7808', 'False', 'False', 'false', 'false', '510311106967', 5, '云龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311106967', 1, '2021-07-19 11:33:20', NULL, NULL), (3786, '', '瓦市村', '03fa26a9776e4a78a4442660fbfa9185', 'bdfa99fb903848ed85bd224c514c7808', 'False', 'False', 'false', 'false', '510311106975', 5, '瓦市村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510311106975', 1, '2021-07-19 11:33:20', NULL, NULL), (3787, '', '柏祥村', '42b76a336fab4a6b83a9fe5f7f9e2d74', 'bdfa99fb903848ed85bd224c514c7808', 'False', 'False', 'false', 'false', '5103012264804327424', 5, '柏祥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5103012264804327424', 1, '2021-07-19 11:33:20', NULL, NULL), (3788, '', '荣县', '5b0b942d668d43ecb7c85ce4a7badfe0', 'effde37459fb401e8cabb51660853bab', 'True', 'True', 'false', 'false', '510321000000', 3, '荣县', 'zgsrx.sczwfw.gov.cn', 1, '2021-07-19 11:33:20', NULL, NULL), (3789, '', '荣县人民政府梧桐街道办事处', '93bfe286c43a4ba4aeb2c2541123d34b', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321553000', 4, '梧桐街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321553000', 1, '2021-07-19 11:33:20', NULL, NULL), (3790, '', '荣县梧桐街道凤凰社区', 'c21c89d00ce341a18a9c6b56151e1edb', '93bfe286c43a4ba4aeb2c2541123d34b', 'False', 'True', 'false', 'false', '510321001014', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321001014', 1, '2021-07-19 11:33:21', NULL, NULL), (3791, '', '荣县梧桐街道二佛路社区', '45202ec26a874b29aede49a6e327ac03', '93bfe286c43a4ba4aeb2c2541123d34b', 'False', 'True', 'false', 'false', '510321001552', 5, '二佛路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321001552', 1, '2021-07-19 11:33:21', NULL, NULL), (3792, '', '荣县梧桐街道柏林村', '621e175451554568b9646ad0bee27442', '93bfe286c43a4ba4aeb2c2541123d34b', 'False', 'True', 'false', 'false', '510321001127', 5, '柏林村民', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321001127', 1, '2021-07-19 11:33:21', NULL, NULL), (3793, '', '荣县梧桐街道望景楼社区', '2a3c382ff20e43e1892a33b91440e5b1', '93bfe286c43a4ba4aeb2c2541123d34b', 'False', 'True', 'false', 'false', '510321001648', 5, '望景楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321001648', 1, '2021-07-19 11:33:21', NULL, NULL), (3794, '', '青阳街道', '89717bcaea434d67b3c02f3bc70eb3a7', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321935000', 4, '青阳街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321935000', 1, '2021-07-19 11:33:21', NULL, NULL), (3795, '', '荣县青阳街道朝阳社区居民委员会', 'c164b8fbe2d04785b6e257421c53ac78', '89717bcaea434d67b3c02f3bc70eb3a7', 'False', 'True', 'false', 'false', '510321002320', 5, '朝阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321002320', 1, '2021-07-19 11:33:21', NULL, NULL), (3796, '', '荣县青阳街道金碧社区居民委员会', 'fce66def61c444cb8573d3957f7e3af3', '89717bcaea434d67b3c02f3bc70eb3a7', 'False', 'True', 'false', 'false', '510321002766', 5, '金碧社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321002766', 1, '2021-07-19 11:33:21', NULL, NULL), (3797, '', '荣县青阳街道星星村', 'c16945af073140bb96c08537bbd557d0', '89717bcaea434d67b3c02f3bc70eb3a7', 'False', 'True', 'false', 'false', '510321002516', 5, '星星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321002516', 1, '2021-07-19 11:33:21', NULL, NULL), (3798, '', '荣县青阳街道刘家庙村', 'af5fae6093654eb5ba4d61087fc11274', '89717bcaea434d67b3c02f3bc70eb3a7', 'False', 'True', 'false', 'false', '510321002708', 5, '刘家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321002708', 1, '2021-07-19 11:33:21', NULL, NULL), (3799, '', '荣县青阳街道郝家坝社区', '9565c7c4ebbb436b8658ea3d768dd8a3', '89717bcaea434d67b3c02f3bc70eb3a7', 'False', 'True', 'false', 'false', '510321002874', 5, '郝家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321002874', 1, '2021-07-19 11:33:21', NULL, NULL), (3800, '', '旭阳镇', 'e12dc6910521444da77c71a05fdf1133', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321211000', 4, '旭阳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321211000', 1, '2021-07-19 11:33:21', NULL, NULL), (3801, '', '荣县旭阳镇北街社区', '0b7e860625be484e8cdec4fdc85ba6b4', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100022', 5, '北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100022', 1, '2021-07-19 11:33:21', NULL, NULL), (3802, '', '荣县旭阳镇西街社区', '39de1d249adf4c268132099bc42acb19', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100023', 5, '西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100023', 1, '2021-07-19 11:33:21', NULL, NULL), (3803, '', '荣县旭阳镇河街社区', '865182c707d14f0a8d6c3d2d28fd575a', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100024', 5, '河街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100024', 1, '2021-07-19 11:33:21', NULL, NULL), (3804, '', '荣县旭阳镇桂林街社区', 'ce6490264d874aca8eb22acf65b53abd', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100025', 5, '桂林街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100025', 1, '2021-07-19 11:33:21', NULL, NULL), (3805, '', '荣县旭阳镇南街社区', '2ecc7a1bd9ac4d94bff7ff39948b40aa', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100026', 5, '南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100026', 1, '2021-07-19 11:33:21', NULL, NULL), (3806, '', '荣县旭阳镇东街社区', '625fbd7d46994c5bba0303b01b618b0b', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100027', 5, '东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100027', 1, '2021-07-19 11:33:21', NULL, NULL), (3807, '', '荣县旭阳镇附东街社区', '04fc81a31a144dfa8c7883cc39820f20', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100028', 5, '附东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100028', 1, '2021-07-19 11:33:21', NULL, NULL), (3808, '', '荣县旭阳镇荣州路社区', 'c826ffcef3ad489cb5e20be80a7b3263', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100029', 5, '荣州路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100029', 1, '2021-07-19 11:33:22', NULL, NULL), (3809, '', '荣县旭阳镇赵家坝社区', 'ec0aaf093e92400aae806b74e8afa028', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100031', 5, '赵家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100031', 1, '2021-07-19 11:33:22', NULL, NULL), (3810, '', '荣县旭阳镇徐家塘村', 'e193c10ef26742b3a6620e495a135df4', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100203', 5, '徐家塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100203', 1, '2021-07-19 11:33:22', NULL, NULL), (3811, '', '荣县旭阳镇观音坡村', '4b2d27e3ee4c4002a9ac6a39404ac0d0', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100207', 5, '观音坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100207', 1, '2021-07-19 11:33:22', NULL, NULL), (3812, '', '荣县旭阳镇观音铺村', 'f99e4d8cfff343c197a62871dfa14890', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100215', 5, '观音铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100215', 1, '2021-07-19 11:33:22', NULL, NULL), (3813, '', '荣县旭阳镇曹家村', 'edfd1f3038a546e59bf010a8151794c3', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100229', 5, '曹家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100229', 1, '2021-07-19 11:33:22', NULL, NULL), (3814, '', '荣县旭阳镇王序塘村', '684bbccdaf0b40f9926ea2a45709697c', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100243', 5, '王序塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100243', 1, '2021-07-19 11:33:22', NULL, NULL), (3815, '', '荣县旭阳镇子同桥村', '3717634d6b8f4a748f0e1e24487d2c43', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100244', 5, '子同桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100244', 1, '2021-07-19 11:33:22', NULL, NULL), (3816, '', '荣县旭阳镇金鱼村', '95499cafe6c244698565814b5f5f1d68', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100245', 5, '金鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100245', 1, '2021-07-19 11:33:22', NULL, NULL), (3817, '', '荣县旭阳镇观斗山村', '0e41f0c0fb9e476db06dc38729ef8091', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100246', 5, '观斗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100246', 1, '2021-07-19 11:33:22', NULL, NULL), (3818, '', '荣县旭阳镇波罗村', '33d40bd1e3c140699cf8996d5867f7f1', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100247', 5, '波罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100247', 1, '2021-07-19 11:33:22', NULL, NULL), (3819, '', '荣县旭阳镇柑柏场村', 'd1580541bf914e0a9c96c258d5591aca', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100248', 5, '柑柏场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100248', 1, '2021-07-19 11:33:22', NULL, NULL), (3820, '', '荣县旭阳镇程家桥村', '06d544fdf19a4b20a8cbe5de1794db10', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100249', 5, '程家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100249', 1, '2021-07-19 11:33:22', NULL, NULL), (3821, '', '荣县旭阳镇石碓窝村', 'a78b468d06514a5db5e27ca1738a235c', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100250', 5, '石碓窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100250', 1, '2021-07-19 11:33:22', NULL, NULL), (3822, '', '荣县旭阳镇余家岩村', '490adffeb60d43afa1284830c2cc2469', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100251', 5, '余家岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100251', 1, '2021-07-19 11:33:22', NULL, NULL), (3823, '', '荣县旭阳镇天车村', '413a96be954948bd8d02c53089f0e52f', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100252', 5, '天车村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100252', 1, '2021-07-19 11:33:23', NULL, NULL), (3824, '', '荣县旭阳镇马石村', '1eb4d66968bf476a95fe6a0f272cf489', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100253', 5, '马石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100253', 1, '2021-07-19 11:33:23', NULL, NULL), (3825, '', '荣县旭阳镇一碗水村', 'a48537ce6ad046859b09b8507adafb04', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100254', 5, '一碗水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100254', 1, '2021-07-19 11:33:23', NULL, NULL), (3826, '', '荣县旭阳镇大井村', 'ca93d16c5cec451e90db01405d158d1a', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100255', 5, '大井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100255', 1, '2021-07-19 11:33:23', NULL, NULL), (3827, '', '荣县旭阳镇过水坳社区', '4a3c0fb1685948bd9ba5b3161ec99ccc', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100070', 5, '过水坳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100070', 1, '2021-07-19 11:33:23', NULL, NULL), (3828, '', '荣县旭阳镇文昌宫社区', '3c034a498d1d40e9b91a38c884335607', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100192', 5, '文昌宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100192', 1, '2021-07-19 11:33:23', NULL, NULL), (3829, '', '荣县旭阳镇夜合村', 'b55cb65170a04f3ab2da1b725a517463', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100173', 5, '夜合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100173', 1, '2021-07-19 11:33:23', NULL, NULL), (3830, '', '荣县旭阳镇两木村', '9c918ea1e8334a79af733b8cb1b83c29', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100036', 5, '两木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100036', 1, '2021-07-19 11:33:23', NULL, NULL), (3831, '', '荣县旭阳镇万民村', 'ef0a490981884b549404d48dbec97640', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100332', 5, '万民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100332', 1, '2021-07-19 11:33:23', NULL, NULL), (3832, '', '荣县旭阳镇黑林村', 'cf8a2edf8115497fbea7709838e1e6f8', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100754', 5, '黑林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100754', 1, '2021-07-19 11:33:23', NULL, NULL), (3833, '', '荣县旭阳镇文昌村', 'fbf99cc7a55641bf9e6362872171af45', 'e12dc6910521444da77c71a05fdf1133', 'False', 'True', 'false', 'false', '510321100087', 5, '文昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321100087', 1, '2021-07-19 11:33:23', NULL, NULL), (3834, '', '鼎新镇', '3b4371a440c1446790f5be92c532c1e7', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321000180', 4, '鼎新镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321000180', 1, '2021-07-19 11:33:23', NULL, NULL), (3835, '', '荣县鼎新镇鼎新寺社区', 'df88661cd5f649d5bb3cebf690c7ea95', '3b4371a440c1446790f5be92c532c1e7', 'False', 'True', 'false', 'false', '510321107002', 5, '鼎新寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321107002', 1, '2021-07-19 11:33:23', NULL, NULL), (3836, '', '荣县鼎新镇学堂村', 'af29197287e2407695e9edce92e33085', '3b4371a440c1446790f5be92c532c1e7', 'False', 'True', 'false', 'false', '510321107204', 5, '学堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321107204', 1, '2021-07-19 11:33:23', NULL, NULL), (3837, '', '荣县鼎新镇鼎新村', '3a08816597774a4eb3ffc33e9acc710c', '3b4371a440c1446790f5be92c532c1e7', 'False', 'True', 'false', 'false', '510321107205', 5, '鼎新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321107205', 1, '2021-07-19 11:33:23', NULL, NULL), (3838, '', '荣县鼎新镇老当村', '2bf2dd5711c74b36932cecdda67632be', '3b4371a440c1446790f5be92c532c1e7', 'False', 'True', 'false', 'false', '510321107207', 5, '老当村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321107207', 1, '2021-07-19 11:33:23', NULL, NULL), (3839, '', '荣县鼎新镇顺利村', '6ff7c971084b447b9489440704d569b5', '3b4371a440c1446790f5be92c532c1e7', 'False', 'True', 'false', 'false', '510321107208', 5, '顺利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321107208', 1, '2021-07-19 11:33:23', NULL, NULL), (3840, '', '荣县鼎新镇红胜村', '19eb0983b33140b8960c3ce4adfbfd59', '3b4371a440c1446790f5be92c532c1e7', 'False', 'True', 'false', 'false', '510321107209', 5, '红胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321107209', 1, '2021-07-19 11:33:24', NULL, NULL), (3841, '', '荣县鼎新镇李家村', '49f57951a120441c92834bb098b256e9', '3b4371a440c1446790f5be92c532c1e7', 'False', 'True', 'false', 'false', '510321107216', 5, '李家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321107216', 1, '2021-07-19 11:33:24', NULL, NULL), (3842, '', '荣县鼎新镇西堰村', '6e7036009601456094f6a4fa5ea8339a', '3b4371a440c1446790f5be92c532c1e7', 'False', 'True', 'false', 'false', '510321107218', 5, '西堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321107218', 1, '2021-07-19 11:33:24', NULL, NULL), (3843, '', '荣县鼎新镇鲤鱼村', 'f930902238994b348ba6672afcad3aa7', '3b4371a440c1446790f5be92c532c1e7', 'False', 'True', 'false', 'false', '510321107219', 5, '鲤鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321107219', 1, '2021-07-19 11:33:24', NULL, NULL), (3844, '', '东佳镇', '868ff4dc2b034735b105084b22907637', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321000237', 4, '东佳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321000237', 1, '2021-07-19 11:33:24', NULL, NULL), (3845, '', '荣县东佳镇金花殿社区', 'ee6a3b339c914517ba98c49fa23de412', '868ff4dc2b034735b105084b22907637', 'False', 'True', 'false', 'false', '510321202268', 5, '金花殿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321202268', 1, '2021-07-19 11:33:24', NULL, NULL), (3846, '', '荣县东佳镇肖公庙村', '6a18113255e240f6b531c888a8b3ac84', '868ff4dc2b034735b105084b22907637', 'False', 'True', 'false', 'false', '510321117221', 5, '肖公庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321117221', 1, '2021-07-19 11:33:24', NULL, NULL), (3847, '', '荣县东佳镇高庙子村', 'b4b3450d9c584939a50fbf40d1989b5a', '868ff4dc2b034735b105084b22907637', 'False', 'True', 'false', 'false', '510321117222', 5, '高庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321117222', 1, '2021-07-19 11:33:24', NULL, NULL), (3848, '', '荣县东佳镇东佳场社区', '0460bd84ca144ce4bc149386aaa941f1', '868ff4dc2b034735b105084b22907637', 'False', 'True', 'false', 'false', '510321117002', 5, '东佳场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321117002', 1, '2021-07-19 11:33:24', NULL, NULL), (3849, '', '荣县东佳镇赵家桥村', 'b68a80ba3e7447f49d805b310c6a24a6', '868ff4dc2b034735b105084b22907637', 'False', 'True', 'false', 'false', '510321117223', 5, '赵家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321117223', 1, '2021-07-19 11:33:24', NULL, NULL), (3850, '', '荣县东佳镇炮房村', 'dcfe2ce064d54490b31990282ff00606', '868ff4dc2b034735b105084b22907637', 'False', 'True', 'false', 'false', '510321117224', 5, '炮房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321117224', 1, '2021-07-19 11:33:24', NULL, NULL), (3851, '', '荣县东佳镇龙王殿村', '14a27e388ac448458472e99a4194e29a', '868ff4dc2b034735b105084b22907637', 'False', 'True', 'false', 'false', '510321117225', 5, '龙王殿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321117225', 1, '2021-07-19 11:33:25', NULL, NULL), (3852, '', '荣县东佳镇石庄村', 'bbbb46ee9d334f24a3bdf268dd3d3a76', '868ff4dc2b034735b105084b22907637', 'False', 'True', 'false', 'false', '510321117226', 5, '石庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321117226', 1, '2021-07-19 11:33:25', NULL, NULL), (3853, '', '荣县东佳镇顺河村', '4f400c4bfd0e4d6d9213ba08a30b556e', '868ff4dc2b034735b105084b22907637', 'False', 'True', 'false', 'false', '510321117228', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321117228', 1, '2021-07-19 11:33:25', NULL, NULL), (3854, '', '荣县东佳镇中间房村', '317df5ea211d466fb0661bd6d3336e11', '868ff4dc2b034735b105084b22907637', 'False', 'True', 'false', 'false', '510321202957', 5, '中间房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321202957', 1, '2021-07-19 11:33:25', NULL, NULL), (3855, '', '荣县东佳镇大天井村', '1a89286ae68345baab595a2529351429', '868ff4dc2b034735b105084b22907637', 'False', 'True', 'false', 'false', '510321202224', 5, '大天井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321202224', 1, '2021-07-19 11:33:25', NULL, NULL), (3856, '', '荣县东佳镇姜柏嘴村', '1cac9d7c7d9f4b20a5628a15b6f0371b', '868ff4dc2b034735b105084b22907637', 'False', 'True', 'false', 'false', '510321202471', 5, '姜柏嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321202471', 1, '2021-07-19 11:33:25', NULL, NULL), (3857, '', '荣县东佳镇大坪山村', 'afa7717797f14c87b338ee9ee6aea7a9', '868ff4dc2b034735b105084b22907637', 'False', 'True', 'false', 'false', '510321202712', 5, '大坪山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321202712', 1, '2021-07-19 11:33:25', NULL, NULL), (3858, '', '双石镇', '63bf2e2c4ad14822a7db861a20018f72', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321000411', 4, '双石镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321000411', 1, '2021-07-19 11:33:25', NULL, NULL), (3859, '', '荣县双石镇武官村村民委员会', '80e43aa85bbd4690a56aa3d01c02991f', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321103066', 5, '武官村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321103066', 1, '2021-07-19 11:33:25', NULL, NULL), (3860, '', '荣县双石镇鹿角村', '130517f8d69a48d597fe3e73804793d6', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321103178', 5, '鹿角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321103178', 1, '2021-07-19 11:33:25', NULL, NULL), (3861, '', '荣县双石镇望佳滩社区', '9123fc240b4d47448d32dde0e35cdb22', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321103210', 5, '望佳滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321103210', 1, '2021-07-19 11:33:25', NULL, NULL), (3862, '', '荣县双石镇玉河村', '0a455e25e1c249a280b33bdb19ba5c46', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321103409', 5, '玉河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321103409', 1, '2021-07-19 11:33:25', NULL, NULL), (3863, '', '荣县双石镇曲江村', 'd0c2ef9b9b8e431983e762bce8f03a9a', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321103478', 5, '曲江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321103478', 1, '2021-07-19 11:33:26', NULL, NULL), (3864, '', '荣县双石镇品山村', '467cf19872cd4a5d884b2930d3c7e88a', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321103547', 5, '品山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321103547', 1, '2021-07-19 11:33:26', NULL, NULL), (3865, '', '荣县双石镇麦子山村', '13e6e5379dc44381901e72777101850c', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321103640', 5, '麦子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321103640', 1, '2021-07-19 11:33:26', NULL, NULL), (3866, '', '荣县双石镇玉章社区', 'b76451ea0f6945b792b0d0c41c89de99', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321102004', 5, '玉章社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321102004', 1, '2021-07-19 11:33:26', NULL, NULL), (3867, '', '荣县双石镇李子桥社区', 'f39bfa4016ff49f08538196e02714f6e', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321102005', 5, '李子桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321102005', 1, '2021-07-19 11:33:26', NULL, NULL), (3868, '', '荣县双石镇燕子村', '11624ad7a2b74132aefe800b0d893ff2', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321102201', 5, '燕子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321102201', 1, '2021-07-19 11:33:26', NULL, NULL), (3869, '', '荣县双石镇长冲村', 'e1819a426b9240a09899dbdd5ae29096', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321102225', 5, '长冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321102225', 1, '2021-07-19 11:33:26', NULL, NULL), (3870, '', '荣县双石镇石锣村', '7648251bf58d4094b86b8ae1dfa8f9b8', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321102226', 5, '石锣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321102226', 1, '2021-07-19 11:33:26', NULL, NULL), (3871, '', '荣县双石镇大竹林村', '824fc8b34f284bdfb56e3e2156476910', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321102227', 5, '大竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321102227', 1, '2021-07-19 11:33:26', NULL, NULL), (3872, '', '荣县双石镇蔡家堰村', '6164961dff7341589468de158e5acb0d', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321102228', 5, '蔡家堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321102228', 1, '2021-07-19 11:33:26', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (3873, '', '荣县双石镇金台村', 'b04b12734997492b84b5adb3d827c88e', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321102229', 5, '金台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321102229', 1, '2021-07-19 11:33:26', NULL, NULL), (3874, '', '荣县双石镇石塔村', 'e7b07da3ffeb4a068e05e459eb339227', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321102230', 5, '石塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321102230', 1, '2021-07-19 11:33:27', NULL, NULL), (3875, '', '荣县双石镇黄家村', '354f42be373e4285ab5220d8c2a1b226', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321102231', 5, '黄家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321102231', 1, '2021-07-19 11:33:27', NULL, NULL), (3876, '', '荣县双石镇石牛村', '6a1a3db0657e4ecdbfa0245a22563fd3', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321102232', 5, '石牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321102232', 1, '2021-07-19 11:33:27', NULL, NULL), (3877, '', '荣县双石镇平坦桥村', 'bcac896ec3024b7ca3ae1263cbdb1f85', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321102233', 5, '平坦桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321102233', 1, '2021-07-19 11:33:27', NULL, NULL), (3878, '', '荣县双石镇插旗村', '87adf63c003642558d14957f6af20d15', '63bf2e2c4ad14822a7db861a20018f72', 'False', 'True', 'false', 'false', '510321103891', 5, '插旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321103891', 1, '2021-07-19 11:33:27', NULL, NULL), (3879, '', '来牟镇', '92be6702f78148c7a39850beb84f861d', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321116000', 4, '来牟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321116000', 1, '2021-07-19 11:33:27', NULL, NULL), (3880, '', '荣县来牟镇来牟铺社区', 'dfbced71c451434c8b89e7903b39b8f9', '92be6702f78148c7a39850beb84f861d', 'False', 'True', 'false', 'false', '510321121002', 5, '来牟铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321121002', 1, '2021-07-19 11:33:27', NULL, NULL), (3881, '', '荣县来牟镇踏紫山社区', 'ceba6c3d1eea4506979ac900db71e125', '92be6702f78148c7a39850beb84f861d', 'False', 'True', 'false', 'false', '510321121003', 5, '踏紫山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321121003', 1, '2021-07-19 11:33:27', NULL, NULL), (3882, '', '荣县来牟镇枷档湾村', 'eab6c2566b174337a8ee7c3a7450e586', '92be6702f78148c7a39850beb84f861d', 'False', 'True', 'false', 'false', '510321121207', 5, '枷档湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321121207', 1, '2021-07-19 11:33:27', NULL, NULL), (3883, '', '荣县来牟镇来牟村', 'bbfefc57bb474eddb1eae347a81a2030', '92be6702f78148c7a39850beb84f861d', 'False', 'True', 'false', 'false', '510321121219', 5, '来牟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321121219', 1, '2021-07-19 11:33:27', NULL, NULL), (3884, '', '荣县来牟镇一洞桥村', '63235ab2db0444d0829f40f8f1196eba', '92be6702f78148c7a39850beb84f861d', 'False', 'True', 'false', 'false', '510321121220', 5, '一洞桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321121220', 1, '2021-07-19 11:33:27', NULL, NULL), (3885, '', '荣县来牟镇踏紫村', 'fccf7c8c7c8347ed95d3c1692b711a53', '92be6702f78148c7a39850beb84f861d', 'False', 'True', 'false', 'false', '510321121223', 5, '踏紫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321121223', 1, '2021-07-19 11:33:27', NULL, NULL), (3886, '', '荣县来牟镇新寺村', 'f5a0d1a948074b549a1347c5c9722237', '92be6702f78148c7a39850beb84f861d', 'False', 'True', 'false', 'false', '510321121224', 5, '新寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321121224', 1, '2021-07-19 11:33:28', NULL, NULL), (3887, '', '荣县来牟镇鸽子村', 'c9af5125ac4b4f899a2cfbd442917ab8', '92be6702f78148c7a39850beb84f861d', 'False', 'True', 'false', 'false', '510321121225', 5, '鸽子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321121225', 1, '2021-07-19 11:33:28', NULL, NULL), (3888, '', '荣县来牟镇凉风村', '6d1488931dad4a9b806436a1ef1076cb', '92be6702f78148c7a39850beb84f861d', 'False', 'True', 'false', 'false', '510321121226', 5, '凉风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321121226', 1, '2021-07-19 11:33:28', NULL, NULL), (3889, '', '长山镇', 'b528565653f1494584cdb58c9c1fc959', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321118000', 4, '长山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321118000', 1, '2021-07-19 11:33:28', NULL, NULL), (3890, '', '荣县长山镇团结街社区', '2b66b45927724fe288003e832465b3f5', 'b528565653f1494584cdb58c9c1fc959', 'False', 'True', 'false', 'false', '510321118003', 5, '团结街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321118003', 1, '2021-07-19 11:33:28', NULL, NULL), (3891, '', '荣县长山镇友爱街社区', '8fd82e8245e14a0287f4f590f8b6f21a', 'b528565653f1494584cdb58c9c1fc959', 'False', 'True', 'false', 'false', '510321118004', 5, '友爱街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321118004', 1, '2021-07-19 11:33:28', NULL, NULL), (3892, '', '荣县长山镇人和社区', 'cb4a081a29b3479da386fd3b2bde5ee0', 'b528565653f1494584cdb58c9c1fc959', 'False', 'True', 'false', 'false', '510321118524', 5, '人和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321118524', 1, '2021-07-19 11:33:28', NULL, NULL), (3893, '', '荣县长山镇平滩村', 'eaccdbd47dcb439f9790d576dbf82c40', 'b528565653f1494584cdb58c9c1fc959', 'False', 'True', 'false', 'false', '510321118203', 5, '平滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321118203', 1, '2021-07-19 11:33:28', NULL, NULL), (3894, '', '荣县长山镇高松村', '5d704b9e326f4f9baf986519fb5c00ca', 'b528565653f1494584cdb58c9c1fc959', 'False', 'True', 'false', 'false', '510321118217', 5, '高松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321118217', 1, '2021-07-19 11:33:28', NULL, NULL), (3895, '', '荣县长山镇筒车村', '8fe78a234d5d4a4b95868e3da5c33049', 'b528565653f1494584cdb58c9c1fc959', 'False', 'True', 'false', 'false', '510321118224', 5, '筒车村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321118224', 1, '2021-07-19 11:33:29', NULL, NULL), (3896, '', '荣县长山镇双河村', '604b9a49926e497b8a8e6a2f6ad8f575', 'b528565653f1494584cdb58c9c1fc959', 'False', 'True', 'false', 'false', '510321118225', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321118225', 1, '2021-07-19 11:33:29', NULL, NULL), (3897, '', '荣县长山镇人民村', 'd7f24ad0dea946bfa9c0a7f04f8bd6a6', 'b528565653f1494584cdb58c9c1fc959', 'False', 'True', 'false', 'false', '510321118226', 5, '人民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321118226', 1, '2021-07-19 11:33:29', NULL, NULL), (3898, '', '荣县长山镇青龙村', '090988a358794cf58920faeb9bdac668', 'b528565653f1494584cdb58c9c1fc959', 'False', 'True', 'false', 'false', '510321118227', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321118227', 1, '2021-07-19 11:33:29', NULL, NULL), (3899, '', '荣县长山镇五通村', '061e95add5204d9e91f8401957f0379b', 'b528565653f1494584cdb58c9c1fc959', 'False', 'True', 'false', 'false', '510321118228', 5, '五通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321118228', 1, '2021-07-19 11:33:29', NULL, NULL), (3900, '', '荣县长山镇正江村', 'e415783c93c143e3af4e37f7b0a6be3b', 'b528565653f1494584cdb58c9c1fc959', 'False', 'True', 'false', 'false', '510321118229', 5, '正江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321118229', 1, '2021-07-19 11:33:29', NULL, NULL), (3901, '', '荣县长山镇胡家村', '8100eb9db18b4f409169bb78ba0fe10a', 'b528565653f1494584cdb58c9c1fc959', 'False', 'True', 'false', 'false', '510321118230', 5, '胡家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321118230', 1, '2021-07-19 11:33:29', NULL, NULL), (3902, '', '荣县长山镇石笋村', '0f3a8b816a2945a9b9d799fd0f6d89bf', 'b528565653f1494584cdb58c9c1fc959', 'False', 'True', 'false', 'false', '510321118231', 5, '石笋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321118231', 1, '2021-07-19 11:33:29', NULL, NULL), (3903, '', '观山镇', '88cd0850d3cc42e0b0681ec6dde7e2d2', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321123000', 4, '观山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321123000', 1, '2021-07-19 11:33:29', NULL, NULL), (3904, '', '荣县观山镇新祠村', '218c369d9dc94be7aa5416704d373017', '88cd0850d3cc42e0b0681ec6dde7e2d2', 'False', 'True', 'false', 'false', '510321206073', 5, '新祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321206073', 1, '2021-07-19 11:33:29', NULL, NULL), (3905, '', '荣县观山镇蔡家湾村', '36a222b6fcb549bf94e974e772feb2f2', '88cd0850d3cc42e0b0681ec6dde7e2d2', 'False', 'True', 'false', 'false', '510321206468', 5, '蔡家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321206468', 1, '2021-07-19 11:33:29', NULL, NULL), (3906, '', '荣县观山镇大树村', 'ce428aed0b9b4cd9ab5989808f99bd8c', '88cd0850d3cc42e0b0681ec6dde7e2d2', 'False', 'True', 'false', 'false', '510321206568', 5, '大树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321206568', 1, '2021-07-19 11:33:30', NULL, NULL), (3907, '', '荣县观山镇复兴场社区', '9548c46164ff4cecaf7f1414b71beeea', '88cd0850d3cc42e0b0681ec6dde7e2d2', 'False', 'True', 'false', 'false', '510321206769', 5, '复兴场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321206769', 1, '2021-07-19 11:33:30', NULL, NULL), (3908, '', '荣县观山镇五根树村', '4aacb518308a48c8aadf32ae37a059f2', '88cd0850d3cc42e0b0681ec6dde7e2d2', 'False', 'True', 'false', 'false', '510321206998', 5, '五根树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321206998', 1, '2021-07-19 11:33:30', NULL, NULL), (3909, '', '荣县观山镇赖河坝社区', 'd9c6337026f74c6aa238d4e1bb0a83b8', '88cd0850d3cc42e0b0681ec6dde7e2d2', 'False', 'True', 'false', 'false', '510321123002', 5, '赖河坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321123002', 1, '2021-07-19 11:33:30', NULL, NULL), (3910, '', '荣县观山镇但家坝社区', '15f2a768ed7b4872b8aae28751bda411', '88cd0850d3cc42e0b0681ec6dde7e2d2', 'False', 'True', 'false', 'false', '510321123003', 5, '但家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321123003', 1, '2021-07-19 11:33:30', NULL, NULL), (3911, '', '荣县观山镇高咀村', 'd63797873c164d3b8276fe466bf529a9', '88cd0850d3cc42e0b0681ec6dde7e2d2', 'False', 'True', 'false', 'false', '510321123201', 5, '高咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321123201', 1, '2021-07-19 11:33:30', NULL, NULL), (3912, '', '荣县观山镇大坝坪村', '4e6819e14e9f43cb820a7a0189d83ab5', '88cd0850d3cc42e0b0681ec6dde7e2d2', 'False', 'True', 'false', 'false', '510321123204', 5, '大坝坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321123204', 1, '2021-07-19 11:33:30', NULL, NULL), (3913, '', '荣县观山镇水池村', '63666234e60b4341be0b3fae6bca6ac0', '88cd0850d3cc42e0b0681ec6dde7e2d2', 'False', 'True', 'false', 'false', '510321123205', 5, '水池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321123205', 1, '2021-07-19 11:33:30', NULL, NULL), (3914, '', '荣县观山镇板桥村', 'f4954446090d44249f04b6f2b547f1d3', '88cd0850d3cc42e0b0681ec6dde7e2d2', 'False', 'True', 'false', 'false', '510321123208', 5, '板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321123208', 1, '2021-07-19 11:33:30', NULL, NULL), (3915, '', '荣县观山镇吴家湾村', '0f7df4305e464fcb836df0c0985058a0', '88cd0850d3cc42e0b0681ec6dde7e2d2', 'False', 'True', 'false', 'false', '510321123212', 5, '吴家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321123212', 1, '2021-07-19 11:33:30', NULL, NULL), (3916, '', '荣县观山镇但家村', 'a5a17f663aab4bfeb2319966e411f02f', '88cd0850d3cc42e0b0681ec6dde7e2d2', 'False', 'True', 'false', 'false', '510321123214', 5, '但家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321123214', 1, '2021-07-19 11:33:30', NULL, NULL), (3917, '', '荣县观山镇方冲村', 'da93b35ba09f4cce86af5d89d78d6af5', '88cd0850d3cc42e0b0681ec6dde7e2d2', 'False', 'True', 'false', 'false', '510321123216', 5, '方冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321123216', 1, '2021-07-19 11:33:30', NULL, NULL), (3918, '', '荣县观山镇楠树村', '5d7cc3c46e484675903683fed355d74f', '88cd0850d3cc42e0b0681ec6dde7e2d2', 'False', 'True', 'false', 'false', '510321123217', 5, '楠树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321123217', 1, '2021-07-19 11:33:30', NULL, NULL), (3919, '', '高山镇', 'df4c05a040e643ec9d573a16b0c7d1b2', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321124000', 4, '高山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321124000', 1, '2021-07-19 11:33:31', NULL, NULL), (3920, '', '荣县高山镇八仙村', 'e4b5d6ddce26411b80a2d9722fe8346a', 'df4c05a040e643ec9d573a16b0c7d1b2', 'False', 'True', 'false', 'false', '510321124782', 5, '八仙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321124782', 1, '2021-07-19 11:33:31', NULL, NULL), (3921, '', '荣县高山镇鸦鹊冲村', 'e3afaaf460e64554bb6842557e10bf37', 'df4c05a040e643ec9d573a16b0c7d1b2', 'False', 'True', 'false', 'false', '510321124179', 5, '鸦鹊冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321124179', 1, '2021-07-19 11:33:31', NULL, NULL), (3922, '', '荣县高山镇清水寺村', '46ce6c4c17554d91a8b42a2fe2c5f1d3', 'df4c05a040e643ec9d573a16b0c7d1b2', 'False', 'True', 'false', 'false', '510321124198', 5, '清水寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321124198', 1, '2021-07-19 11:33:31', NULL, NULL), (3923, '', '荣县高山镇高山铺社区', 'ecf282059e354858966cb73a63d23b71', 'df4c05a040e643ec9d573a16b0c7d1b2', 'False', 'True', 'false', 'false', '510321124267', 5, '高山铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321124267', 1, '2021-07-19 11:33:31', NULL, NULL), (3924, '', '荣县高山镇马塘村', '7b25b193a2544fbc89c3ff407204ad7b', 'df4c05a040e643ec9d573a16b0c7d1b2', 'False', 'True', 'false', 'false', '510321124330', 5, '马塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321124330', 1, '2021-07-19 11:33:31', NULL, NULL), (3925, '', '荣县高山镇太阳村', '7ca0caf8f29d41b5ac68c7b03df10d0f', 'df4c05a040e643ec9d573a16b0c7d1b2', 'False', 'True', 'false', 'false', '510321124566', 5, '太阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321124566', 1, '2021-07-19 11:33:31', NULL, NULL), (3926, '', '荣县高山镇牛王庙村', '212bfa61a2784f7d8a127f5f83756087', 'df4c05a040e643ec9d573a16b0c7d1b2', 'False', 'True', 'false', 'false', '510321124598', 5, '牛王庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321124598', 1, '2021-07-19 11:33:31', NULL, NULL), (3927, '', '荣县高山镇太平寺村', 'fd1ee9aa747f4d86a5d578a462d7c2f7', 'df4c05a040e643ec9d573a16b0c7d1b2', 'False', 'True', 'false', 'false', '510321124695', 5, '太平寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321124695', 1, '2021-07-19 11:33:31', NULL, NULL), (3928, '', '荣县高山镇红观音村', 'eb9fefea34034993ab15e346e808f476', 'df4c05a040e643ec9d573a16b0c7d1b2', 'False', 'True', 'false', 'false', '510321124701', 5, '红观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321124701', 1, '2021-07-19 11:33:31', NULL, NULL), (3929, '', '荣县高山镇汪家山社区', '8d6e7a7b952341abae2ce4521d2a92be', 'df4c05a040e643ec9d573a16b0c7d1b2', 'False', 'True', 'false', 'false', '510321124736', 5, '汪家山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321124736', 1, '2021-07-19 11:33:32', NULL, NULL), (3930, '', '荣县高山镇正义村', '095727600164427c8c774becbe0ca9bc', 'df4c05a040e643ec9d573a16b0c7d1b2', 'False', 'True', 'false', 'false', '510321124737', 5, '正义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321124737', 1, '2021-07-19 11:33:32', NULL, NULL), (3931, '', '荣县高山镇凉水井村', 'e9e0e4e10c5c483d8cba5ebb820b5a93', 'df4c05a040e643ec9d573a16b0c7d1b2', 'False', 'True', 'false', 'false', '510321124755', 5, '凉水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321124755', 1, '2021-07-19 11:33:32', NULL, NULL), (3932, '', '荣县高山镇黄花村', '26321e9ac2bc46fda230f23a3eda170f', 'df4c05a040e643ec9d573a16b0c7d1b2', 'False', 'True', 'false', 'false', '510321124821', 5, '黄花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321124821', 1, '2021-07-19 11:33:32', NULL, NULL), (3933, '', '乐德镇', 'a19e8285c1d6431e989bda20e9a31d01', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321175000', 4, '乐德镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321175000', 1, '2021-07-19 11:33:32', NULL, NULL), (3934, '', '荣县乐德镇乐德场社区', 'fe90b7230da1406c8dae8745f4c68708', 'a19e8285c1d6431e989bda20e9a31d01', 'False', 'True', 'false', 'false', '510321110003', 5, '乐德场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321110003', 1, '2021-07-19 11:33:32', NULL, NULL), (3935, '', '荣县乐德镇李家堰社区', '88a4dc8c6d7b4d739d9cf97f84da7ee1', 'a19e8285c1d6431e989bda20e9a31d01', 'False', 'True', 'false', 'false', '510321110004', 5, '李家堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321110004', 1, '2021-07-19 11:33:32', NULL, NULL), (3936, '', '荣县乐德镇桥凼村', 'd6011074c31d4f23bc9ce92708e0e6a8', 'a19e8285c1d6431e989bda20e9a31d01', 'False', 'True', 'false', 'false', '510321110201', 5, '桥凼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321110201', 1, '2021-07-19 11:33:32', NULL, NULL), (3937, '', '荣县乐德镇回龙殿村', '472e9327a6b04947b5f4113b88bf2f68', 'a19e8285c1d6431e989bda20e9a31d01', 'False', 'True', 'false', 'false', '510321110225', 5, '回龙殿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321110225', 1, '2021-07-19 11:33:32', NULL, NULL), (3938, '', '荣县乐德镇筲箕咀村', 'b84bc031b93945b880a1ce430a2e08ac', 'a19e8285c1d6431e989bda20e9a31d01', 'False', 'True', 'false', 'false', '510321110228', 5, '筲箕咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321110228', 1, '2021-07-19 11:33:32', NULL, NULL), (3939, '', '荣县乐德镇竹马村', 'e73a80ecf5b94ebbb35f4cf10ff53838', 'a19e8285c1d6431e989bda20e9a31d01', 'False', 'True', 'false', 'false', '510321110230', 5, '竹马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321110230', 1, '2021-07-19 11:33:32', NULL, NULL), (3940, '', '荣县乐德镇天宫庙村', '7e21fca359754e08a6466adcecdef306', 'a19e8285c1d6431e989bda20e9a31d01', 'False', 'True', 'false', 'false', '510321110231', 5, '天宫庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321110231', 1, '2021-07-19 11:33:33', NULL, NULL), (3941, '', '荣县乐德镇松林村', '67917ca83b494cd6985cbccbdf85865d', 'a19e8285c1d6431e989bda20e9a31d01', 'False', 'True', 'false', 'false', '510321110232', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321110232', 1, '2021-07-19 11:33:33', NULL, NULL), (3942, '', '荣县乐德镇太平村', '50bddef7410848e6a5ce9051bc77a765', 'a19e8285c1d6431e989bda20e9a31d01', 'False', 'True', 'false', 'false', '510321110233', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321110233', 1, '2021-07-19 11:33:33', NULL, NULL), (3943, '', '荣县乐德镇柑子坳村', 'ace800725b8e44c5b7ea05dc1a0f9004', 'a19e8285c1d6431e989bda20e9a31d01', 'False', 'True', 'false', 'false', '510321110234', 5, '柑子坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321110234', 1, '2021-07-19 11:33:33', NULL, NULL), (3944, '', '荣县乐德镇板栗村', '3d13f5725cae4cd7943933b135177340', 'a19e8285c1d6431e989bda20e9a31d01', 'False', 'True', 'false', 'false', '510321110236', 5, '板栗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321110236', 1, '2021-07-19 11:33:33', NULL, NULL), (3945, '', '荣县乐德镇南华村', '35d27404de5d470490fa1c1040eee03f', 'a19e8285c1d6431e989bda20e9a31d01', 'False', 'True', 'false', 'false', '510321110237', 5, '南华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321110237', 1, '2021-07-19 11:33:33', NULL, NULL), (3946, '', '度佳镇', '15c8a5e6db204a5e9c406f81a76f1aae', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321207000', 4, '度佳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321207000', 1, '2021-07-19 11:33:33', NULL, NULL), (3947, '', '荣县度佳镇度佳井社区', '0269992ff8924929a6ff43f69e71e98c', '15c8a5e6db204a5e9c406f81a76f1aae', 'False', 'True', 'false', 'false', '510321116003', 5, '度佳井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321116003', 1, '2021-07-19 11:33:33', NULL, NULL), (3948, '', '荣县度佳镇杨佳场社区', '0e8185255662434e92aca80f8aa0e7ce', '15c8a5e6db204a5e9c406f81a76f1aae', 'False', 'True', 'false', 'false', '510321116004', 5, '杨佳场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321116004', 1, '2021-07-19 11:33:34', NULL, NULL), (3949, '', '荣县度佳镇撞钟坝村', 'd4bfb1618b704d85b5c89b7c3d2039c1', '15c8a5e6db204a5e9c406f81a76f1aae', 'False', 'True', 'false', 'false', '510321116223', 5, '撞钟坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321116223', 1, '2021-07-19 11:33:34', NULL, NULL), (3950, '', '荣县度佳镇鸭子凼村', '9a9989ae66904f709ad4ffda54b104c2', '15c8a5e6db204a5e9c406f81a76f1aae', 'False', 'True', 'false', 'false', '510321116224', 5, '鸭子凼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321116224', 1, '2021-07-19 11:33:34', NULL, NULL), (3951, '', '荣县度佳镇果子塘村', '2df12f33c6c849c2a350d7138e831dc4', '15c8a5e6db204a5e9c406f81a76f1aae', 'False', 'True', 'false', 'false', '510321116225', 5, '果子塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321116225', 1, '2021-07-19 11:33:34', NULL, NULL), (3952, '', '荣县度佳镇李家嘴村', 'a9f88aa62eba457a93ba72c1a117b71b', '15c8a5e6db204a5e9c406f81a76f1aae', 'False', 'True', 'false', 'false', '510321116226', 5, '李家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321116226', 1, '2021-07-19 11:33:34', NULL, NULL), (3953, '', '荣县度佳镇白坡村', '991e6cb553524504961d62b8dad5bc10', '15c8a5e6db204a5e9c406f81a76f1aae', 'False', 'True', 'false', 'false', '510321116227', 5, '白坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321116227', 1, '2021-07-19 11:33:34', NULL, NULL), (3954, '', '荣县度佳镇阴咀村', '31ee66e4668643a49ca1b3d78cb5402e', '15c8a5e6db204a5e9c406f81a76f1aae', 'False', 'True', 'false', 'false', '510321116230', 5, '阴嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321116230', 1, '2021-07-19 11:33:34', NULL, NULL), (3955, '', '荣县度佳镇胡家巷村', '752720c71be549d6bf206a3231366740', '15c8a5e6db204a5e9c406f81a76f1aae', 'False', 'True', 'false', 'false', '510321116231', 5, '胡家巷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321116231', 1, '2021-07-19 11:33:34', NULL, NULL), (3956, '', '荣县度佳镇余家湾村', '5573b0c0bd2a428a8b21cd76381197e1', '15c8a5e6db204a5e9c406f81a76f1aae', 'False', 'True', 'false', 'false', '510321116232', 5, '余家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321116232', 1, '2021-07-19 11:33:34', NULL, NULL), (3957, '', '荣县度佳镇灯坡村', '1a4813a921604432b7279a491c50b9c4', '15c8a5e6db204a5e9c406f81a76f1aae', 'False', 'True', 'false', 'false', '510321116233', 5, '灯坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321116233', 1, '2021-07-19 11:33:35', NULL, NULL), (3958, '', '保华镇', 'c2300ae04e8449a2954070dd27e45a35', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321258000', 4, '保华镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321258000', 1, '2021-07-19 11:33:35', NULL, NULL), (3959, '', '荣县保华镇保华场社区', '4c7bc317fe8043e5b22cf24c4ebaca8c', 'c2300ae04e8449a2954070dd27e45a35', 'False', 'True', 'false', 'false', '510321258241', 5, '保华场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321258241', 1, '2021-07-19 11:33:35', NULL, NULL), (3960, '', '荣县保华镇礼佳场社区', 'a6c3ecd1c0c349859a9fe5aff42872a6', 'c2300ae04e8449a2954070dd27e45a35', 'False', 'True', 'false', 'false', '510321258932', 5, '礼佳场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321258932', 1, '2021-07-19 11:33:35', NULL, NULL), (3961, '', '荣县保华镇洋叉坳村', 'f55467d9217a4d2e9782af5e0565124d', 'c2300ae04e8449a2954070dd27e45a35', 'False', 'True', 'false', 'false', '510321258938', 5, '洋汊坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321258938', 1, '2021-07-19 11:33:35', NULL, NULL), (3962, '', '荣县保华镇大湾村', '994e285275d342df8fef94c5b5ff3b56', 'c2300ae04e8449a2954070dd27e45a35', 'False', 'True', 'false', 'false', '510321258612', 5, '大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321258612', 1, '2021-07-19 11:33:35', NULL, NULL), (3963, '', '荣县保华镇五皇村', 'a276b41fbac1407694a7f3c90faad828', 'c2300ae04e8449a2954070dd27e45a35', 'False', 'True', 'false', 'false', '510321258484', 5, '五皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321258484', 1, '2021-07-19 11:33:35', NULL, NULL), (3964, '', '荣县保华镇高石坎村', 'c40d045e3f6948f1ad3f2ebe7d7f6f26', 'c2300ae04e8449a2954070dd27e45a35', 'False', 'True', 'false', 'false', '510321258239', 5, '高石坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321258239', 1, '2021-07-19 11:33:35', NULL, NULL), (3965, '', '荣县保华镇代家山村', '73345cd0b81b440596ec0f7c75fc5340', 'c2300ae04e8449a2954070dd27e45a35', 'False', 'True', 'false', 'false', '510321258744', 5, '代家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321258744', 1, '2021-07-19 11:33:35', NULL, NULL), (3966, '', '荣县保华镇冯家塘村', '3c94319cfe2a4f3ba8d6bf062d80f712', 'c2300ae04e8449a2954070dd27e45a35', 'False', 'True', 'false', 'false', '510321258358', 5, '冯家塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321258358', 1, '2021-07-19 11:33:35', NULL, NULL), (3967, '', '荣县保华镇青杆坪村', '58f4aa6991f5443e9d0aa2ba167efe30', 'c2300ae04e8449a2954070dd27e45a35', 'False', 'True', 'false', 'false', '510321258784', 5, '青杆坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321258784', 1, '2021-07-19 11:33:36', NULL, NULL), (3968, '', '东兴镇', '6df2fae6672d4623a3e8f483b1d94c8b', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321315000', 4, '东兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321315000', 1, '2021-07-19 11:33:36', NULL, NULL), (3969, '', '荣县东兴镇墨林场社区', 'a65af0c8d10242088fc8ca1d45789d32', '6df2fae6672d4623a3e8f483b1d94c8b', 'False', 'True', 'false', 'false', '510321207332', 5, '墨林场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321207332', 1, '2021-07-19 11:33:36', NULL, NULL), (3970, '', '荣县东兴镇杨柳沟村', '253f7d31e72f4a6095027279a2f9a920', '6df2fae6672d4623a3e8f483b1d94c8b', 'False', 'True', 'false', 'false', '510321207503', 5, '杨柳沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321207503', 1, '2021-07-19 11:33:36', NULL, NULL), (3971, '', '荣县东兴镇龚家沟村', 'b37322e983de4298bc9f09e041b711d3', '6df2fae6672d4623a3e8f483b1d94c8b', 'False', 'True', 'false', 'false', '510321207633', 5, '龚家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321207633', 1, '2021-07-19 11:33:36', NULL, NULL), (3972, '', '荣县东兴镇牛头寨村', '4803b3fe1fcd49d889ae84b3e33f3521', '6df2fae6672d4623a3e8f483b1d94c8b', 'False', 'True', 'false', 'false', '510321207694', 5, '牛头寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321207694', 1, '2021-07-19 11:33:36', NULL, NULL), (3973, '', '荣县东兴镇吕仙村', 'a9a92a492a7e44d68fcadc30a106243e', '6df2fae6672d4623a3e8f483b1d94c8b', 'False', 'True', 'false', 'false', '510321207840', 5, '吕仙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321207840', 1, '2021-07-19 11:33:36', NULL, NULL), (3974, '', '荣县东兴镇土地坎村', 'f8f574f9a2de440b9e82d1f2c5c2e596', '6df2fae6672d4623a3e8f483b1d94c8b', 'False', 'True', 'false', 'false', '510321207866', 5, '土地坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321207866', 1, '2021-07-19 11:33:36', NULL, NULL), (3975, '', '荣县东兴镇东兴场社区', '0e63449410034849b0c736ec52759da7', '6df2fae6672d4623a3e8f483b1d94c8b', 'False', 'True', 'false', 'false', '510321125002', 5, '东兴场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321125002', 1, '2021-07-19 11:33:36', NULL, NULL), (3976, '', '荣县东兴镇炭洞子村', '9a5bbadca80b498abadf5ad30c3b79d7', '6df2fae6672d4623a3e8f483b1d94c8b', 'False', 'True', 'false', 'false', '510321125204', 5, '炭洞子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321125204', 1, '2021-07-19 11:33:37', NULL, NULL), (3977, '', '荣县东兴镇老君坝村', '1b8fc9e2200e4466a7ed46362f3fe08d', '6df2fae6672d4623a3e8f483b1d94c8b', 'False', 'True', 'false', 'false', '510321125205', 5, '老君坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321125205', 1, '2021-07-19 11:33:37', NULL, NULL), (3978, '', '荣县东兴镇白杨寺村', 'c50e84db65364fd5a8a37b38a22c8be5', '6df2fae6672d4623a3e8f483b1d94c8b', 'False', 'True', 'false', 'false', '510321125207', 5, '白杨寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321125207', 1, '2021-07-19 11:33:37', NULL, NULL), (3979, '', '荣县东兴镇观音坳村', '569702ef539949a8b2263ce2dc5a90ef', '6df2fae6672d4623a3e8f483b1d94c8b', 'False', 'True', 'false', 'false', '510321125208', 5, '观音坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321125208', 1, '2021-07-19 11:33:37', NULL, NULL), (3980, '', '古文镇', '74a904d4ac614d86a2f59d359f28b868', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321322000', 4, '古文镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321322000', 1, '2021-07-19 11:33:37', NULL, NULL), (3981, '', '荣县古文镇山边村', '0977e520fa7f4aecaf84b4674a21f7f1', '74a904d4ac614d86a2f59d359f28b868', 'False', 'True', 'false', 'false', '510321112207', 5, '山边村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321112207', 1, '2021-07-19 11:33:37', NULL, NULL), (3982, '', '荣县古文镇曹家园村', '5710d800873c4cffaa8ea39d689fa00b', '74a904d4ac614d86a2f59d359f28b868', 'False', 'True', 'false', 'false', '510321112219', 5, '曹家园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321112219', 1, '2021-07-19 11:33:37', NULL, NULL), (3983, '', '荣县古文镇新龙桥村', '8a963b6004c04005aa7c1cb4f0737842', '74a904d4ac614d86a2f59d359f28b868', 'False', 'True', 'false', 'false', '510321112220', 5, '新龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321112220', 1, '2021-07-19 11:33:37', NULL, NULL), (3984, '', '荣县古文镇鹰嘴塘村', '4ea05dd9a56e4995b1eadb7b2da3e445', '74a904d4ac614d86a2f59d359f28b868', 'False', 'True', 'false', 'false', '510321112221', 5, '鹰嘴塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321112221', 1, '2021-07-19 11:33:37', NULL, NULL), (3985, '', '荣县古文镇古文场社区', '6eed03adaa8845ffbdd259f38bd37e1b', '74a904d4ac614d86a2f59d359f28b868', 'False', 'True', 'false', 'false', '510321322594', 5, '古文场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321322594', 1, '2021-07-19 11:33:37', NULL, NULL), (3986, '', '荣县古文镇柏林坳村', '210fc399553e458a85dc9ad47279f65c', '74a904d4ac614d86a2f59d359f28b868', 'False', 'True', 'false', 'false', '510321322714', 5, '柏林坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321322714', 1, '2021-07-19 11:33:37', NULL, NULL), (3987, '', '荣县古文镇朱家湾村', '8e86ae2196b74cc9b28d185d98f12063', '74a904d4ac614d86a2f59d359f28b868', 'False', 'True', 'false', 'false', '510321322814', 5, '朱家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321322814', 1, '2021-07-19 11:33:37', NULL, NULL), (3988, '', '新桥镇', '382ce30f7c0d43b98f5cc39624df2961', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321364000', 4, '新桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321364000', 1, '2021-07-19 11:33:38', NULL, NULL), (3989, '', '荣县新桥镇圭山寺村', '245639e7f4a149be9cc837c6fa1b762e', '382ce30f7c0d43b98f5cc39624df2961', 'False', 'True', 'false', 'false', '510321203055', 5, '圭山寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321203055', 1, '2021-07-19 11:33:38', NULL, NULL), (3990, '', '荣县新桥镇塘咀村', '9502a8044ad84458a34ab8283c87706c', '382ce30f7c0d43b98f5cc39624df2961', 'False', 'True', 'false', 'false', '510321203318', 5, '塘咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321203318', 1, '2021-07-19 11:33:38', NULL, NULL), (3991, '', '荣县新桥镇新屋坝村', '9f04bb5aad4644289a6f93c5418cf491', '382ce30f7c0d43b98f5cc39624df2961', 'False', 'True', 'false', 'false', '510321203353', 5, '新屋坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321203353', 1, '2021-07-19 11:33:38', NULL, NULL), (3992, '', '荣县新桥镇狮子湾社区', '535566d7f12f4919a4c243a52d8c891c', '382ce30f7c0d43b98f5cc39624df2961', 'False', 'True', 'false', 'false', '510321203708', 5, '狮子湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321203708', 1, '2021-07-19 11:33:38', NULL, NULL), (3993, '', '荣县新桥镇新桥社区', 'b72d246dbb464b6bb217c7c3f6590133', '382ce30f7c0d43b98f5cc39624df2961', 'False', 'True', 'false', 'false', '510321114002', 5, '新桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321114002', 1, '2021-07-19 11:33:38', NULL, NULL), (3994, '', '荣县新桥镇赶场冲村', '144437609c5148fe9cade342492abdb9', '382ce30f7c0d43b98f5cc39624df2961', 'False', 'True', 'false', 'false', '510321114209', 5, '赶场冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321114209', 1, '2021-07-19 11:33:38', NULL, NULL), (3995, '', '荣县新桥镇三柏堂村', 'f2fa20ff6d054534b5d4cc2b1bce4a3e', '382ce30f7c0d43b98f5cc39624df2961', 'False', 'True', 'false', 'false', '510321114216', 5, '三柏堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321114216', 1, '2021-07-19 11:33:38', NULL, NULL), (3996, '', '荣县新桥镇牛皮洞村', 'f1cd1cad1d0c4f44b830527cb8cd12d3', '382ce30f7c0d43b98f5cc39624df2961', 'False', 'True', 'false', 'false', '510321114217', 5, '牛皮洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321114217', 1, '2021-07-19 11:33:38', NULL, NULL), (3997, '', '荣县新桥镇沙湾村', '3fe64f13d65242d2a9eafdb79fe5c76a', '382ce30f7c0d43b98f5cc39624df2961', 'False', 'True', 'false', 'false', '510321114218', 5, '沙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321114218', 1, '2021-07-19 11:33:38', NULL, NULL), (3998, '', '荣县新桥镇螺蛳坝村', 'd5ca2cf0923b458c848354c85fd09bdd', '382ce30f7c0d43b98f5cc39624df2961', 'False', 'True', 'false', 'false', '510321114220', 5, '螺蛳坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321114220', 1, '2021-07-19 11:33:38', NULL, NULL), (3999, '', '荣县新桥镇麻柳场村', '428228a459864c62ba526211ebd56111', '382ce30f7c0d43b98f5cc39624df2961', 'False', 'True', 'false', 'false', '510321114221', 5, '麻柳场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321114221', 1, '2021-07-19 11:33:38', NULL, NULL), (4000, '', '铁厂镇', '44d8fe12c4a9495e88a0d9d029d2a1bc', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321660000', 4, '铁厂镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321660000', 1, '2021-07-19 11:33:38', NULL, NULL), (4001, '', '荣县铁厂镇铁厂铺社区', '565b810206fa4445b4e32d88764515a5', '44d8fe12c4a9495e88a0d9d029d2a1bc', 'False', 'True', 'false', 'false', '510321126002', 5, '铁厂铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321126002', 1, '2021-07-19 11:33:39', NULL, NULL), (4002, '', '荣县铁厂镇大丰村', 'b2d8ea62eb3a4b6793b638d54c7edf8a', '44d8fe12c4a9495e88a0d9d029d2a1bc', 'False', 'True', 'false', 'false', '510321126201', 5, '大丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321126201', 1, '2021-07-19 11:33:39', NULL, NULL), (4003, '', '荣县铁厂镇大沟村', '3d454f400709464eb79fa2fa1a97482e', '44d8fe12c4a9495e88a0d9d029d2a1bc', 'False', 'True', 'false', 'false', '510321126202', 5, '大沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321126202', 1, '2021-07-19 11:33:39', NULL, NULL), (4004, '', '荣县铁厂镇茨芭坳村', 'acf6a1bd16d9415bbb756897f84f9185', '44d8fe12c4a9495e88a0d9d029d2a1bc', 'False', 'True', 'false', 'false', '510321126208', 5, '茨芭坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321126208', 1, '2021-07-19 11:33:39', NULL, NULL), (4005, '', '荣县铁厂镇白石铺村', 'bf8bde6a8abf4dad8766921894c0ba3b', '44d8fe12c4a9495e88a0d9d029d2a1bc', 'False', 'True', 'false', 'false', '510321126209', 5, '白石铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321126209', 1, '2021-07-19 11:33:39', NULL, NULL), (4006, '', '荣县铁厂镇三台村', 'da215e2a5e4943ef8f0d04cec9de4404', '44d8fe12c4a9495e88a0d9d029d2a1bc', 'False', 'True', 'false', 'false', '510321126215', 5, '三台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321126215', 1, '2021-07-19 11:33:39', NULL, NULL), (4007, '', '荣县铁厂镇黑观音村', '7b8ff0d749774c2eae99f0ea9eb57855', '44d8fe12c4a9495e88a0d9d029d2a1bc', 'False', 'True', 'false', 'false', '510321126218', 5, '黑观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321126218', 1, '2021-07-19 11:33:39', NULL, NULL), (4008, '', '双古镇', 'f858c4e2fe904bb3ba5a1bdf3c01fba2', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321703000', 4, '双古镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321703000', 1, '2021-07-19 11:33:39', NULL, NULL), (4009, '', '荣县双古镇上坝村', 'f8f16edd45dd4e52899c40f3dfd66f54', 'f858c4e2fe904bb3ba5a1bdf3c01fba2', 'False', 'True', 'false', 'false', '510321205202', 5, '上坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321205202', 1, '2021-07-19 11:33:39', NULL, NULL), (4010, '', '荣县双古镇长林村', 'c1edee7860e14c01955236040e7f25d6', 'f858c4e2fe904bb3ba5a1bdf3c01fba2', 'False', 'True', 'false', 'false', '510321205356', 5, '长林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321205356', 1, '2021-07-19 11:33:39', NULL, NULL), (4011, '', '荣县双古镇楠木村', 'c8df7c2eac5741ef914eaafde0417c9e', 'f858c4e2fe904bb3ba5a1bdf3c01fba2', 'False', 'True', 'false', 'false', '510321205912', 5, '楠木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321205912', 1, '2021-07-19 11:33:39', NULL, NULL), (4012, '', '荣县双古镇双古场社区', '7067d3a9ed184185a58fc31124bbadd0', 'f858c4e2fe904bb3ba5a1bdf3c01fba2', 'False', 'True', 'false', 'false', '510321122002', 5, '双古场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321122002', 1, '2021-07-19 11:33:39', NULL, NULL), (4013, '', '荣县双古镇朱家河村', '98369db9f871457482b7171a61103617', 'f858c4e2fe904bb3ba5a1bdf3c01fba2', 'False', 'True', 'false', 'false', '510321122201', 5, '朱家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321122201', 1, '2021-07-19 11:33:39', NULL, NULL), (4014, '', '荣县双古镇双古村', 'a47eda4485ec43ae8a185da0a79784b7', 'f858c4e2fe904bb3ba5a1bdf3c01fba2', 'False', 'True', 'false', 'false', '510321122204', 5, '双古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321122204', 1, '2021-07-19 11:33:39', NULL, NULL), (4015, '', '荣县双古镇晏家桥村', '67edf554e2c048c586f2904385e0e40e', 'f858c4e2fe904bb3ba5a1bdf3c01fba2', 'False', 'True', 'false', 'false', '510321122205', 5, '晏家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321122205', 1, '2021-07-19 11:33:40', NULL, NULL), (4016, '', '荣县双古镇范家村', '9841d252e5224990a237afe280cff600', 'f858c4e2fe904bb3ba5a1bdf3c01fba2', 'False', 'True', 'false', 'false', '510321122206', 5, '范家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321122206', 1, '2021-07-19 11:33:40', NULL, NULL), (4017, '', '荣县双古镇宋家塘村', 'fc9caa3be76945debbbeadd92614128a', 'f858c4e2fe904bb3ba5a1bdf3c01fba2', 'False', 'True', 'false', 'false', '510321122210', 5, '宋家塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321122210', 1, '2021-07-19 11:33:40', NULL, NULL), (4018, '', '荣县双古镇白果村', '22149e8bdc9e41bf82ed65a4bdd53def', 'f858c4e2fe904bb3ba5a1bdf3c01fba2', 'False', 'True', 'false', 'false', '510321122211', 5, '白果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321122211', 1, '2021-07-19 11:33:40', NULL, NULL), (4019, '', '荣县双古镇烟坡村', '21590c642b8546d1a88ee02d6f93a4c7', 'f858c4e2fe904bb3ba5a1bdf3c01fba2', 'False', 'True', 'false', 'false', '510321122218', 5, '烟坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321122218', 1, '2021-07-19 11:33:40', NULL, NULL), (4020, '', '荣县双古镇黄家坝村', 'e19d8e6c990b4fe485f98278398f3caf', 'f858c4e2fe904bb3ba5a1bdf3c01fba2', 'False', 'True', 'false', 'false', '510321122219', 5, '黄家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321122219', 1, '2021-07-19 11:33:40', NULL, NULL), (4021, '', '荣县双古镇于佳场社区', '8661f70d3f0e478bae4f6b789400d8f4', 'f858c4e2fe904bb3ba5a1bdf3c01fba2', 'False', 'True', 'false', 'false', '510321205467', 5, '于佳场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321205467', 1, '2021-07-19 11:33:40', NULL, NULL), (4022, '', '荣县双古镇四合厂村', '147d893eab7e4c6b8f570e0c11ad4b89', 'f858c4e2fe904bb3ba5a1bdf3c01fba2', 'False', 'True', 'false', 'false', '510321703949', 5, '四合厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321703949', 1, '2021-07-19 11:33:40', NULL, NULL), (4023, '', '留佳镇', '78d2eab531fc4abaa7b5f5a66e7c050d', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321722000', 4, '留佳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321722000', 1, '2021-07-19 11:33:40', NULL, NULL), (4024, '', '荣县留佳镇留佳场社区', '1ddc789cda8f40fdb6fff3693e6f6836', '78d2eab531fc4abaa7b5f5a66e7c050d', 'False', 'True', 'false', 'false', '510321120003', 5, '留佳场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321120003', 1, '2021-07-19 11:33:40', NULL, NULL), (4025, '', '荣县留佳镇大屋坡村', '753639acdf4c4dd0b9e8b97186d17920', '78d2eab531fc4abaa7b5f5a66e7c050d', 'False', 'True', 'false', 'false', '510321120206', 5, '大屋坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321120206', 1, '2021-07-19 11:33:40', NULL, NULL), (4026, '', '荣县留佳镇小田村', 'b79313e641684382b0329795cb75760e', '78d2eab531fc4abaa7b5f5a66e7c050d', 'False', 'True', 'false', 'false', '510321120231', 5, '小田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321120231', 1, '2021-07-19 11:33:40', NULL, NULL), (4027, '', '荣县留佳镇五间房村', '392523e76ee3407397fb221842f0d979', '78d2eab531fc4abaa7b5f5a66e7c050d', 'False', 'True', 'false', 'false', '510321120232', 5, '五间房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321120232', 1, '2021-07-19 11:33:40', NULL, NULL), (4028, '', '荣县留佳镇花红村', 'aab53ac1c46440b984e3663392b37141', '78d2eab531fc4abaa7b5f5a66e7c050d', 'False', 'True', 'false', 'false', '510321120233', 5, '花红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321120233', 1, '2021-07-19 11:33:41', NULL, NULL), (4029, '', '荣县留佳镇瓦滓村', '80bb50a5d9a4492f8709cf92cf75acd2', '78d2eab531fc4abaa7b5f5a66e7c050d', 'False', 'True', 'false', 'false', '510321120236', 5, '瓦滓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321120236', 1, '2021-07-19 11:33:41', NULL, NULL), (4030, '', '荣县留佳镇八角村', 'fa008f6c40644064a199709e36307cc7', '78d2eab531fc4abaa7b5f5a66e7c050d', 'False', 'True', 'false', 'false', '510321120237', 5, '八角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321120237', 1, '2021-07-19 11:33:41', NULL, NULL), (4031, '', '荣县留佳镇来龙村', 'c14cf65af7da4cba80ee71902495b127', '78d2eab531fc4abaa7b5f5a66e7c050d', 'False', 'True', 'false', 'false', '510321120238', 5, '来龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321120238', 1, '2021-07-19 11:33:41', NULL, NULL), (4032, '', '荣县留佳镇凤龙村', '15a9a0edcc844d968212f77de08ea772', '78d2eab531fc4abaa7b5f5a66e7c050d', 'False', 'True', 'false', 'false', '510321120239', 5, '凤龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321120239', 1, '2021-07-19 11:33:41', NULL, NULL), (4033, '', '荣县留佳镇玉皇村', 'd612ad0c332d40f58bda0e2b8ee401ec', '78d2eab531fc4abaa7b5f5a66e7c050d', 'False', 'True', 'false', 'false', '510321120240', 5, '玉皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321120240', 1, '2021-07-19 11:33:41', NULL, NULL), (4034, '', '荣县留佳镇老祠村', 'd065eaaf87ab49d3bb2ee0a19115d762', '78d2eab531fc4abaa7b5f5a66e7c050d', 'False', 'True', 'false', 'false', '510321120241', 5, '老祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321120241', 1, '2021-07-19 11:33:41', NULL, NULL), (4035, '', '荣县留佳镇金子村', 'abd5f8b03e43452b91e403da3c8a7b7f', '78d2eab531fc4abaa7b5f5a66e7c050d', 'False', 'True', 'false', 'false', '510321120242', 5, '金子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321120242', 1, '2021-07-19 11:33:41', NULL, NULL), (4036, '', '正紫镇', 'cbba19ea5e6743aa958850932014f2a5', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321785000', 4, '正紫镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321785000', 1, '2021-07-19 11:33:41', NULL, NULL), (4037, '', '荣县正紫镇正紫场社区', '64e52b20b4a841b8af9c0608b3c2cb85', 'cbba19ea5e6743aa958850932014f2a5', 'False', 'True', 'false', 'false', '510321115002', 5, '正紫场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321115002', 1, '2021-07-19 11:33:41', NULL, NULL), (4038, '', '荣县正紫镇卫星村', '9bb9c7cdd22e40dd93bbb9b1ade00436', 'cbba19ea5e6743aa958850932014f2a5', 'False', 'True', 'false', 'false', '510321115201', 5, '卫星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321115201', 1, '2021-07-19 11:33:41', NULL, NULL), (4039, '', '荣县正紫镇坟嘴山村', '4c355b979e68433d8ec6107d9e528ebd', 'cbba19ea5e6743aa958850932014f2a5', 'False', 'True', 'false', 'false', '510321115204', 5, '坟嘴山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321115204', 1, '2021-07-19 11:33:41', NULL, NULL), (4040, '', '荣县正紫镇香炉寺村', 'af6a7d2a1918401aa7dc137ed4788815', 'cbba19ea5e6743aa958850932014f2a5', 'False', 'True', 'false', 'false', '510321115205', 5, '香炉寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321115205', 1, '2021-07-19 11:33:41', NULL, NULL), (4041, '', '荣县正紫镇窝棚湾村', 'bbb2270ff5e54a6181a44468fb1a4bad', 'cbba19ea5e6743aa958850932014f2a5', 'False', 'True', 'false', 'false', '510321115207', 5, '窝棚湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321115207', 1, '2021-07-19 11:33:41', NULL, NULL), (4042, '', '荣县正紫镇张家庙村', '8793599c583f4a46bb0d018298932dfd', 'cbba19ea5e6743aa958850932014f2a5', 'False', 'True', 'false', 'false', '510321115212', 5, '张家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321115212', 1, '2021-07-19 11:33:42', NULL, NULL), (4043, '', '河口镇', '1915d53767f94dd1ab31aef78184bf03', '5b0b942d668d43ecb7c85ce4a7badfe0', 'True', 'True', 'false', 'false', '510321872000', 4, '河口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510321872000', 1, '2021-07-19 11:33:42', NULL, NULL), (4044, '', '荣县河口镇古佳场社区', '06888220edbd4c1b9c96cdb8def7b289', '1915d53767f94dd1ab31aef78184bf03', 'False', 'True', 'false', 'false', '510321204060', 5, '古佳场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321204060', 1, '2021-07-19 11:33:42', NULL, NULL), (4045, '', '荣县河口镇申坝村村民委员会', '53f3cd5d6e244d7883027c7203bfd77a', '1915d53767f94dd1ab31aef78184bf03', 'False', 'True', 'false', 'false', '510321204067', 5, '申坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321204067', 1, '2021-07-19 11:33:42', NULL, NULL), (4046, '', '荣县河口镇河坝湾村', '57801165cea84b808b9b5b312f762122', '1915d53767f94dd1ab31aef78184bf03', 'False', 'True', 'false', 'false', '510321204161', 5, '河坝湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321204161', 1, '2021-07-19 11:33:42', NULL, NULL), (4047, '', '荣县河口镇高嘴山村村民委员会', 'd2a9c024fe534f77bdb8445cb30af37c', '1915d53767f94dd1ab31aef78184bf03', 'False', 'True', 'false', 'false', '510321204575', 5, '高嘴山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321204575', 1, '2021-07-19 11:33:42', NULL, NULL), (4048, '', '荣县河口镇松林坝村村民委员会', '6285f969dc224a44b29770527a451e11', '1915d53767f94dd1ab31aef78184bf03', 'False', 'True', 'false', 'false', '510321204905', 5, '松林坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321204905', 1, '2021-07-19 11:33:42', NULL, NULL), (4049, '', '荣县河口镇河口场社区', '383b028580d247c29002cff2fec742d2', '1915d53767f94dd1ab31aef78184bf03', 'False', 'True', 'false', 'false', '510321113202', 5, '河口场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321113202', 1, '2021-07-19 11:33:42', NULL, NULL), (4050, '', '荣县河口镇河东社区', '6d83f7a9c9344b0d9b1e371bf1208bdf', '1915d53767f94dd1ab31aef78184bf03', 'False', 'True', 'false', 'false', '510321113203', 5, '河东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321113203', 1, '2021-07-19 11:33:42', NULL, NULL), (4051, '', '荣县河口镇罗家冲村', 'ac28250db9f9481e83c3177107c4acbf', '1915d53767f94dd1ab31aef78184bf03', 'False', 'True', 'false', 'false', '510321113222', 5, '罗家冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321113222', 1, '2021-07-19 11:33:42', NULL, NULL), (4052, '', '荣县河口镇杨坳山村', '510a2db19b6a4306942f7c663b0b53c9', '1915d53767f94dd1ab31aef78184bf03', 'False', 'True', 'false', 'false', '510321113223', 5, '杨坳山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321113223', 1, '2021-07-19 11:33:42', NULL, NULL), (4053, '', '荣县河口镇字库村', 'a3cffd158b104e0aad814701f0fd2bff', '1915d53767f94dd1ab31aef78184bf03', 'False', 'True', 'false', 'false', '510321113224', 5, '字库村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321113224', 1, '2021-07-19 11:33:42', NULL, NULL), (4054, '', '荣县河口镇文庄村', 'bd7b1b20d5064a7e83e3e4735b50960c', '1915d53767f94dd1ab31aef78184bf03', 'False', 'True', 'false', 'false', '510321113225', 5, '文庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321113225', 1, '2021-07-19 11:33:42', NULL, NULL), (4055, '', '荣县河口镇古文村', 'aaedf2929ea3444cba4d6dad53d2d761', '1915d53767f94dd1ab31aef78184bf03', 'False', 'True', 'false', 'false', '510321113226', 5, '古文村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321113226', 1, '2021-07-19 11:33:43', NULL, NULL), (4056, '', '荣县河口镇曹家嘴村', '7bdf5008a49d4054a3c2fcadaee6c988', '1915d53767f94dd1ab31aef78184bf03', 'False', 'True', 'false', 'false', '510321113228', 5, '曹家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321113228', 1, '2021-07-19 11:33:43', NULL, NULL), (4057, '', '荣县河口镇桂花冲村', '4b52ac0e17844333af10e57b1da1639e', '1915d53767f94dd1ab31aef78184bf03', 'False', 'True', 'false', 'false', '510321113229', 5, '桂花冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510321113229', 1, '2021-07-19 11:33:43', NULL, NULL), (4058, '', '富顺县', '0772d5368273424eb34177a912583788', 'effde37459fb401e8cabb51660853bab', 'True', 'True', 'false', 'false', '510322000000', 3, '富顺县', 'zgsfsx.sczwfw.gov.cn', 1, '2021-07-19 11:33:43', NULL, NULL), (4059, '', '富世街道', '7251a3437ee04d77a7e61f330fc67126', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322769000', 4, '富世街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322769000', 1, '2021-07-19 11:33:43', NULL, NULL), (4060, '', '金山社区居委会', '8d596d83ec4e4755a889951c76ac4c9a', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001001', 5, '金山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001001', 1, '2021-07-19 11:33:43', NULL, NULL), (4061, '', '富州花园社区居委会', '7a4d7cd10f33402e87669c062cd79742', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001002', 5, '富州花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001002', 1, '2021-07-19 11:33:43', NULL, NULL), (4062, '', '西湖社区居委会', '94b6ea3120d84c5ab9fc2641be9c5b6b', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001003', 5, '西湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001003', 1, '2021-07-19 11:33:43', NULL, NULL), (4063, '', '文庙社区居委会', 'b73b87263ae346eb9a2b90444bf25415', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001004', 5, '文庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001004', 1, '2021-07-19 11:33:43', NULL, NULL), (4064, '', '釜江社区居委会', 'ec4ad2ed563643a7956f56476efd5f70', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001005', 5, '釜江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001005', 1, '2021-07-19 11:33:43', NULL, NULL), (4065, '', '后街社区居委会', '4391d1f0fcfd45de95cd4c8d66857bcb', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001006', 5, '后街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001006', 1, '2021-07-19 11:33:43', NULL, NULL), (4066, '', '五府山社区居委会', '3a45a58100f34588b118e190b432ed29', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001007', 5, '五府山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001007', 1, '2021-07-19 11:33:44', NULL, NULL), (4067, '', '吉安社区居委会', 'd28c3025ef224734a425dd94a392088f', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001008', 5, '吉安庄社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001008', 1, '2021-07-19 11:33:44', NULL, NULL), (4068, '', '印花庄社区居委会', '798ff28013094833b9bece5bab8601a8', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001009', 5, '印花庄社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001009', 1, '2021-07-19 11:33:44', NULL, NULL), (4069, '', '龙山社区居委会', '9c43ff61deda4c748929c4a9d338a0a5', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001010', 5, '龙山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001010', 1, '2021-07-19 11:33:44', NULL, NULL), (4070, '', '北湖社区居委会', 'fb1c027b419841fda3d30967f573a498', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001011', 5, '北湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001011', 1, '2021-07-19 11:33:44', NULL, NULL), (4071, '', '白果湾社区居民委员会', 'f7931f76fce74a21bb54d728bf8a9087', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001012', 5, '白果湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001012', 1, '2021-07-19 11:33:44', NULL, NULL), (4072, '', '沙山社区居民委员会', '60fce08aec394b3c979281eb602def55', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001013', 5, '沙山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001013', 1, '2021-07-19 11:33:44', NULL, NULL), (4073, '', '杨柳湾社区居民委员会', '5375c567d3b24c54ae4e847fc5908d04', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001014', 5, '杨柳湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001014', 1, '2021-07-19 11:33:44', NULL, NULL), (4074, '', '十字岭社区居民委员会', 'd8978de80e674bc3b5c0140e37179171', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001015', 5, '十字岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001015', 1, '2021-07-19 11:33:44', NULL, NULL), (4075, '', '望云社区居民委员会', '8a43eb65607e492b80712da998b44759', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001016', 5, '望云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001016', 1, '2021-07-19 11:33:44', NULL, NULL), (4076, '', '海棠社区居民委员会', 'f9aabb04b60a4015bab6c2e56b06e660', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001017', 5, '海棠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001017', 1, '2021-07-19 11:33:44', NULL, NULL), (4077, '', '光明社区居民委员会', 'cc1bebe0423e40d199e4b731ab6e6a3e', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001018', 5, '光明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001018', 1, '2021-07-19 11:33:44', NULL, NULL), (4078, '', '滨江社区居民委员会', '5fba1508990442a19b4013d75edb3566', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001019', 5, '滨江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001019', 1, '2021-07-19 11:33:44', NULL, NULL), (4079, '', '吉祥社区居民委员会', '2b8ccf24b8b4428cbbbb8775ea6c61aa', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001020', 5, '吉祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001020', 1, '2021-07-19 11:33:45', NULL, NULL), (4080, '', '银杏社区居民委员会', 'a4d135f999d14bf495cd9bb2214dd447', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001021', 5, '银杏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001021', 1, '2021-07-19 11:33:45', NULL, NULL), (4081, '', '保家村村民委员会', '18dbe164bdd449d5824394ee049d5321', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001201', 5, '保家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001201', 1, '2021-07-19 11:33:45', NULL, NULL), (4082, '', '友爱村村民委员会', '5517f8d41d6f459687b7ec9c20ca1adf', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001202', 5, '友爱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001202', 1, '2021-07-19 11:33:45', NULL, NULL), (4083, '', '丁海村村民委员会', '7da9dc21dc6747fd9bbcc6891a816bfe', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001203', 5, '丁海村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001203', 1, '2021-07-19 11:33:45', NULL, NULL), (4084, '', '槽店村村民委员会', '3f4acc984484469a9e53d22117d3f21b', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001204', 5, '槽店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001204', 1, '2021-07-19 11:33:45', NULL, NULL), (4085, '', '联合村村民委员会', '4784b89dc4bc41ce8d5221578b67bfc9', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001205', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001205', 1, '2021-07-19 11:33:45', NULL, NULL), (4086, '', '李寺村村民委员会', 'd135ae82a4804e7bbd4bfd474c728ac5', '7251a3437ee04d77a7e61f330fc67126', 'False', 'True', 'false', 'false', '510322001208', 5, '李寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322001208', 1, '2021-07-19 11:33:45', NULL, NULL), (4087, '', '东湖街道', '1562667931994a5bb0878dd1171b3569', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322526000', 4, '东湖街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322526000', 1, '2021-07-19 11:33:45', NULL, NULL), (4088, '', '东街社区居委会', 'c3ec6a2dbb914e2e9a80ded0d8f7b794', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322526969', 5, '东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322526969', 1, '2021-07-19 11:33:45', NULL, NULL), (4089, '', '菊家桥社区居民委员会', '9b79f13273734545bd691fa5c8383648', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322526277', 5, '菊家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322526277', 1, '2021-07-19 11:33:46', NULL, NULL), (4090, '', '黄葛灏社区居民委员会', '490e58b729e143baa8b2271d36e75f19', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322101008', 5, '黄葛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322101008', 1, '2021-07-19 11:33:46', NULL, NULL), (4091, '', '五桥社区居委会', '1be06e0971f44c06a9ad455d8e96c71d', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322103004', 5, '五桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322103004', 1, '2021-07-19 11:33:46', NULL, NULL), (4092, '', '高石社区居委会', 'bcec55c0ee9a47cdb27613c8d3843abe', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322101007', 5, '高石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322101007', 1, '2021-07-19 11:33:46', NULL, NULL), (4093, '', '文光社区居民委员会', 'bb743414874242208c3d143b2bc83443', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322003557', 5, '文光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322003557', 1, '2021-07-19 11:33:46', NULL, NULL), (4094, '', '久泰村村民委员会', '3c137be617b5479d83537d5557b6c61e', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322101201', 5, '久泰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322101201', 1, '2021-07-19 11:33:46', NULL, NULL), (4095, '', '卫国村村民委员会', '052b9ddbdcc84e13bed1260ec9c3912d', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322101202', 5, '卫国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322101202', 1, '2021-07-19 11:33:46', NULL, NULL), (4096, '', '意志村村民委员会', '15b052ed27224c5aa2e61ecd20981f57', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322101208', 5, '意志村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322101208', 1, '2021-07-19 11:33:46', NULL, NULL), (4097, '', '同心村村民委员会', 'd1d5bb1123754b2b815e6abdf4dcae6b', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322101209', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322101209', 1, '2021-07-19 11:33:46', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (4098, '', '塘家村村民委员会', '41951d6057dc424fa6c05dc0505862a7', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322101212', 5, '塘家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322101212', 1, '2021-07-19 11:33:47', NULL, NULL), (4099, '', '楼台村村民委员会', 'c8d5e9908bd243bc91559b4db2021790', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322101213', 5, '楼台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322101213', 1, '2021-07-19 11:33:47', NULL, NULL), (4100, '', '山林村村民委员会', '6fb3ce80a5e04bc29e41be2672b174fd', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322101219', 5, '山林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322101219', 1, '2021-07-19 11:33:47', NULL, NULL), (4101, '', '云丰村村民委员会', '35f1c5dfc7ca42969ec32a6a3950f28f', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322101224', 5, '云丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322101224', 1, '2021-07-19 11:33:47', NULL, NULL), (4102, '', '沿江村村民委员会', '6751a6a751ef4341ada55aca197e9c2a', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322101226', 5, '沿江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322101226', 1, '2021-07-19 11:33:47', NULL, NULL), (4103, '', '凉桥村村民委员会', '20997fd714494e48b056b251d2ef56e3', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322101230', 5, '凉桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322101230', 1, '2021-07-19 11:33:47', NULL, NULL), (4104, '', '棬坝村村民委员会', 'e1ecf4e08d4149bc9682975d2252c2df', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322101231', 5, '棬坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322101231', 1, '2021-07-19 11:33:47', NULL, NULL), (4105, '', '土门村村民委员会', 'eb51dcd8a0f8413b8144fc1d2ee40571', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322101232', 5, '土门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322101232', 1, '2021-07-19 11:33:47', NULL, NULL), (4106, '', '高石村村民委员会', '74aff83b65a747c9b65ade18ad6db31d', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322101233', 5, '高石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322101233', 1, '2021-07-19 11:33:47', NULL, NULL), (4107, '', '长田村村民委员会', '68c5970d3a894f3ba0c5c27529f94450', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322101234', 5, '长田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322101234', 1, '2021-07-19 11:33:47', NULL, NULL), (4108, '', '顺河村村民委员会', 'c6ba69f1cf2644cf8917bd1f320272a5', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322101235', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322101235', 1, '2021-07-19 11:33:47', NULL, NULL), (4109, '', '复兴村村民委员会', '67a126b9fa3c449b97663d3c829a7bf9', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322103212', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322103212', 1, '2021-07-19 11:33:48', NULL, NULL), (4110, '', '芭蕉村村民委员会', 'e7c481cd7fc342bfa6ea54476885e3bc', '1562667931994a5bb0878dd1171b3569', 'False', 'True', 'false', 'false', '510322104223', 5, '芭蕉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322104223', 1, '2021-07-19 11:33:48', NULL, NULL), (4111, '', '琵琶镇', 'f770886ba169444c8750f319f0490cdd', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322418000', 4, '琵琶镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322418000', 1, '2021-07-19 11:33:48', NULL, NULL), (4112, '', '琵琶场社区居委会', 'ea604636294543a3b8654283d52ff388', 'f770886ba169444c8750f319f0490cdd', 'False', 'True', 'false', 'false', '510322102003', 5, '琵琶场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322102003', 1, '2021-07-19 11:33:48', NULL, NULL), (4113, '', '富安村村民委员会', '90b4525bb4ee4f28a1109420daa14b46', 'f770886ba169444c8750f319f0490cdd', 'False', 'True', 'false', 'false', '510322102221', 5, '富安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322102221', 1, '2021-07-19 11:33:48', NULL, NULL), (4114, '', '理策村村民委员会', 'f531e8be3bf44ba5967b7f0e6c45e100', 'f770886ba169444c8750f319f0490cdd', 'False', 'True', 'false', 'false', '510322102202', 5, '理策村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322102202', 1, '2021-07-19 11:33:48', NULL, NULL), (4115, '', '顺江村村民委员会', '7d2dfd7ae9814bf7a8cdc870124b342c', 'f770886ba169444c8750f319f0490cdd', 'False', 'True', 'false', 'false', '510322122205', 5, '顺江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322122205', 1, '2021-07-19 11:33:48', NULL, NULL), (4116, '', '艾家村村民委员会', '5d2536deabb7419c80ff264bcf1ddea0', 'f770886ba169444c8750f319f0490cdd', 'False', 'True', 'false', 'false', '510322102208', 5, '艾家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322102208', 1, '2021-07-19 11:33:48', NULL, NULL), (4117, '', '洞上村村民委员会', 'e28d166e9f9f42e1a49851f2d9e51f17', 'f770886ba169444c8750f319f0490cdd', 'False', 'True', 'false', 'false', '510322123215', 5, '洞上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322123215', 1, '2021-07-19 11:33:48', NULL, NULL), (4118, '', '石贡村村民委员会', 'f67299e227654df586e84bfccad7b787', 'f770886ba169444c8750f319f0490cdd', 'False', 'True', 'false', 'false', '510322102217', 5, '石贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322102217', 1, '2021-07-19 11:33:48', NULL, NULL), (4119, '', '土地村村民委员会', '25ef10ff2a5a4d51928730d9bc940332', 'f770886ba169444c8750f319f0490cdd', 'False', 'True', 'false', 'false', '510322102220', 5, '土地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322102220', 1, '2021-07-19 11:33:48', NULL, NULL), (4120, '', '青峰村村民委员会', 'd61cd4a7d88e4fb78285c41d9a83c600', 'f770886ba169444c8750f319f0490cdd', 'False', 'True', 'false', 'false', '510322102222', 5, '青峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322102222', 1, '2021-07-19 11:33:49', NULL, NULL), (4121, '', '徐家村村民委员会', '323656e3383741a2a056720ffb6a0438', 'f770886ba169444c8750f319f0490cdd', 'False', 'True', 'false', 'false', '510322102223', 5, '徐家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322102223', 1, '2021-07-19 11:33:49', NULL, NULL), (4122, '', '农场村村民委员会', '38d379f386f242e9a79be54244671bb0', 'f770886ba169444c8750f319f0490cdd', 'False', 'True', 'false', 'false', '510322102224', 5, '农场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322102224', 1, '2021-07-19 11:33:49', NULL, NULL), (4123, '', '金竹村村民委员会', '83fdd41f445a4cbb892e6ba65c26e562', 'f770886ba169444c8750f319f0490cdd', 'False', 'True', 'false', 'false', '510322102225', 5, '金竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322102225', 1, '2021-07-19 11:33:49', NULL, NULL), (4124, '', '青山村村民委员会', 'dba5dc62ad6341af88835f4a44ac6773', 'f770886ba169444c8750f319f0490cdd', 'False', 'True', 'false', 'false', '510322123218', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322123218', 1, '2021-07-19 11:33:49', NULL, NULL), (4125, '', '邓井关街道', 'bdd53c222a2a45f1a25612c66acb505e', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322789000', 4, '邓井关街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322789000', 1, '2021-07-19 11:33:49', NULL, NULL), (4126, '', '宋渡社区居委会', 'c293a2c999e94025ac1c56ab22bc394a', 'bdd53c222a2a45f1a25612c66acb505e', 'False', 'True', 'false', 'false', '510322100039', 5, '宋渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322100039', 1, '2021-07-19 11:33:49', NULL, NULL), (4127, '', '互助社区居委会', '6f313175e73e49debf0b6e39bd504e0e', 'bdd53c222a2a45f1a25612c66acb505e', 'False', 'True', 'false', 'false', '510322107002', 5, '互助社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322107002', 1, '2021-07-19 11:33:49', NULL, NULL), (4128, '', '邓井关社区居委会', '2db9cc1570b9492c92e6de68a00db496', 'bdd53c222a2a45f1a25612c66acb505e', 'False', 'True', 'false', 'false', '510322100036', 5, '邓井关社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322100036', 1, '2021-07-19 11:33:49', NULL, NULL), (4129, '', '平澜社区居民委员会', 'fb25fd54a4a240ff91a1ae76135cdbb7', 'bdd53c222a2a45f1a25612c66acb505e', 'False', 'True', 'false', 'false', '510322100038', 5, '青岗山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322100038', 1, '2021-07-19 11:33:49', NULL, NULL), (4130, '', '谷草山社区居民委员会', '8f8a1bbf6c694350ab81e63c50ab45cf', 'bdd53c222a2a45f1a25612c66acb505e', 'False', 'True', 'false', 'false', '510322100042', 5, '谷草山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322100042', 1, '2021-07-19 11:33:49', NULL, NULL), (4131, '', '滨河社区居民委员会', '3dc743aea42c44cf997aa0fa1780b41c', 'bdd53c222a2a45f1a25612c66acb505e', 'False', 'True', 'false', 'false', '510322002006', 5, '滨河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322002006', 1, '2021-07-19 11:33:49', NULL, NULL), (4132, '', '临江社区居民委员会', '8c59c6b314be4af1bcdbb8889f6f17fd', 'bdd53c222a2a45f1a25612c66acb505e', 'False', 'True', 'false', 'false', '510322100788', 5, '临江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322100788', 1, '2021-07-19 11:33:50', NULL, NULL), (4133, '', '松山社区居民委员会', 'ee9a24135e4b4732916a21b3d531e555', 'bdd53c222a2a45f1a25612c66acb505e', 'False', 'True', 'false', 'false', '510322100582', 5, '松山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322100582', 1, '2021-07-19 11:33:50', NULL, NULL), (4134, '', '安和社区居民委员会', '20fa9bf0431240669ecec3b31c9a7f7f', 'bdd53c222a2a45f1a25612c66acb505e', 'False', 'True', 'false', 'false', '510322100212', 5, '安和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322100212', 1, '2021-07-19 11:33:50', NULL, NULL), (4135, '', '锁江社区居民委员会', '3e553545674a4889be0eb176c0ee8d9a', 'bdd53c222a2a45f1a25612c66acb505e', 'False', 'True', 'false', 'false', '510322100215', 5, '锁江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322100215', 1, '2021-07-19 11:33:50', NULL, NULL), (4136, '', '晨光社区居民委员会', '7ae09fb4c8dc422bad2ddd3df8cb2dd9', 'bdd53c222a2a45f1a25612c66acb505e', 'False', 'True', 'false', 'false', '510322100020', 5, '晨光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322100020', 1, '2021-07-19 11:33:50', NULL, NULL), (4137, '', '安民社区居民委员会', '0c5a9752851148739689158b64d02e38', 'bdd53c222a2a45f1a25612c66acb505e', 'False', 'True', 'false', 'false', '510322002010', 5, '安民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322002010', 1, '2021-07-19 11:33:50', NULL, NULL), (4138, '', '长山村村民委员会', 'f360621733e94139bbeb204620e60f39', 'bdd53c222a2a45f1a25612c66acb505e', 'False', 'True', 'false', 'false', '510322107206', 5, '长山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322107206', 1, '2021-07-19 11:33:50', NULL, NULL), (4139, '', '力和村村民委员会', 'd0f38e31581646ba89c1fddf0cdb8107', 'bdd53c222a2a45f1a25612c66acb505e', 'False', 'True', 'false', 'false', '510322107214', 5, '力和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322107214', 1, '2021-07-19 11:33:50', NULL, NULL), (4140, '', '万古村村民委员会', '47ae70664c344b829b9d3dcdb7310e76', 'bdd53c222a2a45f1a25612c66acb505e', 'False', 'True', 'false', 'false', '510322107218', 5, '万古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322107218', 1, '2021-07-19 11:33:50', NULL, NULL), (4141, '', '春光村村民委员会', '4b23795ec0004920af60ab561ce8cd16', 'bdd53c222a2a45f1a25612c66acb505e', 'False', 'True', 'false', 'false', '510322107219', 5, '春光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322107219', 1, '2021-07-19 11:33:50', NULL, NULL), (4142, '', '金城村村民委员会', '4512840c37a94ef09554a4a9b608f1d6', 'bdd53c222a2a45f1a25612c66acb505e', 'False', 'True', 'false', 'false', '510322107220', 5, '金城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322107220', 1, '2021-07-19 11:33:51', NULL, NULL), (4143, '', '新湾村村民委员会', 'b61cd04f08384a269fd50e82d43d69d8', 'bdd53c222a2a45f1a25612c66acb505e', 'False', 'True', 'false', 'false', '510322107221', 5, '新湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322107221', 1, '2021-07-19 11:33:51', NULL, NULL), (4144, '', '狮市镇', 'e9828d818e2544b289d054530437b2b1', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322803000', 4, '狮市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322803000', 1, '2021-07-19 11:33:51', NULL, NULL), (4145, '', '狮子滩社区居委会', 'ddf1832ad598460bbf4fd9accb1cb63a', 'e9828d818e2544b289d054530437b2b1', 'False', 'True', 'false', 'false', '510322103003', 5, '狮子滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322103003', 1, '2021-07-19 11:33:51', NULL, NULL), (4146, '', '马安村村民委员会', '918b8d3c56a34ebc903a272dcf986b05', 'e9828d818e2544b289d054530437b2b1', 'False', 'True', 'false', 'false', '510322103203', 5, '马安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322103203', 1, '2021-07-19 11:33:51', NULL, NULL), (4147, '', '梓林村村民委员会', '2ab366280d984cdcbf037688e2ba1c1c', 'e9828d818e2544b289d054530437b2b1', 'False', 'True', 'false', 'false', '510322103210', 5, '梓林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322103210', 1, '2021-07-19 11:33:51', NULL, NULL), (4148, '', '罗寺村村民委员会', '4dee67a6787449fbb08c100de0a7e669', 'e9828d818e2544b289d054530437b2b1', 'False', 'True', 'false', 'false', '510322103215', 5, '罗寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322103215', 1, '2021-07-19 11:33:51', NULL, NULL), (4149, '', '花园村村民委员会', 'd8ce349f4273483abcbb16c1cd45d5fa', 'e9828d818e2544b289d054530437b2b1', 'False', 'True', 'false', 'false', '510322103217', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322103217', 1, '2021-07-19 11:33:51', NULL, NULL), (4150, '', '花市村村民委员会', '875a4bcb046745f99e6376cb5e2ccaea', 'e9828d818e2544b289d054530437b2b1', 'False', 'True', 'false', 'false', '510322103218', 5, '花市村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322103218', 1, '2021-07-19 11:33:51', NULL, NULL), (4151, '', '竹米村村民委员会', 'a02331655df541b9b034ce589a2b05e1', 'e9828d818e2544b289d054530437b2b1', 'False', 'True', 'false', 'false', '510322103219', 5, '竹米村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322103219', 1, '2021-07-19 11:33:51', NULL, NULL), (4152, '', '菱角村村民委员会', 'c2b0d2e10f704ee9967bd50643bdd605', 'e9828d818e2544b289d054530437b2b1', 'False', 'True', 'false', 'false', '510322103220', 5, '菱角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322103220', 1, '2021-07-19 11:33:51', NULL, NULL), (4153, '', '骑龙镇', '3d4d1592b3c04531a2c4a565846b6a2d', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322930000', 4, '骑龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322930000', 1, '2021-07-19 11:33:52', NULL, NULL), (4154, '', '骑龙场社区居委会', 'fc266020720b4452b92967fb15e12dae', '3d4d1592b3c04531a2c4a565846b6a2d', 'False', 'True', 'false', 'false', '510322383908', 5, '骑龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322383908', 1, '2021-07-19 11:33:52', NULL, NULL), (4155, '', '永胜社区居委会', '9b4084310e5d4382a6d683fa22d1f21a', '3d4d1592b3c04531a2c4a565846b6a2d', 'False', 'True', 'false', 'false', '510322383752', 5, '永胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322383752', 1, '2021-07-19 11:33:52', NULL, NULL), (4156, '', '柑坳社区居委会', 'b4ce2bee025048c7b67219d13546ccb3', '3d4d1592b3c04531a2c4a565846b6a2d', 'False', 'True', 'false', 'false', '510322383617', 5, '柑坳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322383617', 1, '2021-07-19 11:33:52', NULL, NULL), (4157, '', '龙须村村民委员会', 'cc9c47b06c4045888628871cfb13e46f', '3d4d1592b3c04531a2c4a565846b6a2d', 'False', 'True', 'false', 'false', '510322104221', 5, '龙须村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322104221', 1, '2021-07-19 11:33:52', NULL, NULL), (4158, '', '大田村村民委员会', '365863a120014a3b8effbba5e7cde642', '3d4d1592b3c04531a2c4a565846b6a2d', 'False', 'True', 'false', 'false', '510322104201', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322104201', 1, '2021-07-19 11:33:52', NULL, NULL), (4159, '', '上湾村村民委员会', '488b9a1c40e04e639e559d8fb15188bb', '3d4d1592b3c04531a2c4a565846b6a2d', 'False', 'True', 'false', 'false', '510322104203', 5, '上湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322104203', 1, '2021-07-19 11:33:52', NULL, NULL), (4160, '', '龙田村村民委员会', 'b45e697f1587497182659491686a9dc2', '3d4d1592b3c04531a2c4a565846b6a2d', 'False', 'True', 'false', 'false', '510322104206', 5, '龙田寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322104206', 1, '2021-07-19 11:33:52', NULL, NULL), (4161, '', '南极村村民委员会', '728bfead6ce646738ba30f78f53a4dd0', '3d4d1592b3c04531a2c4a565846b6a2d', 'False', 'True', 'false', 'false', '510322104210', 5, '南极村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322104210', 1, '2021-07-19 11:33:52', NULL, NULL), (4162, '', '金盘村村民委员会', '97a278753e7f4622b1a5dcfa37a16baa', '3d4d1592b3c04531a2c4a565846b6a2d', 'False', 'True', 'false', 'false', '510322104212', 5, '金盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322104212', 1, '2021-07-19 11:33:52', NULL, NULL), (4163, '', '观音村村民委员会', '5945fae0eb2142578a03dd713a844052', '3d4d1592b3c04531a2c4a565846b6a2d', 'False', 'True', 'false', 'false', '510322104214', 5, '观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322104214', 1, '2021-07-19 11:33:52', NULL, NULL), (4164, '', '卡房村村民委员会', '1194e11ec7b0429bb534c35c6c2a8923', '3d4d1592b3c04531a2c4a565846b6a2d', 'False', 'True', 'false', 'false', '510322104217', 5, '卡房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322104217', 1, '2021-07-19 11:33:52', NULL, NULL), (4165, '', '大湾村村民委员会', '26fe4d1e179e44d8a901ed0a339b9591', '3d4d1592b3c04531a2c4a565846b6a2d', 'False', 'True', 'false', 'false', '510322104218', 5, '大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322104218', 1, '2021-07-19 11:33:52', NULL, NULL), (4166, '', '铁牛村村民委员会', '9db979ad11cb41bbad6a9d930d494dfd', '3d4d1592b3c04531a2c4a565846b6a2d', 'False', 'True', 'false', 'false', '510322104227', 5, '铁牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322104227', 1, '2021-07-19 11:33:53', NULL, NULL), (4167, '', '井坝村村民委员会', 'f03f2bc7c1194217a056346cbe44aae8', '3d4d1592b3c04531a2c4a565846b6a2d', 'False', 'True', 'false', 'false', '510322104230', 5, '井坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322104230', 1, '2021-07-19 11:33:53', NULL, NULL), (4168, '', '代寺镇', '9f71e4b4ca974c5fbc76ccff3e75779b', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322569000', 4, '代寺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322569000', 1, '2021-07-19 11:33:53', NULL, NULL), (4169, '', '代家寺社区居委会', '46d45e1b3e944c81a49f60d67342a874', '9f71e4b4ca974c5fbc76ccff3e75779b', 'False', 'True', 'false', 'false', '510322111008', 5, '代家寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322111008', 1, '2021-07-19 11:33:53', NULL, NULL), (4170, '', '双河口社区居委会', 'ed78350113b444f1b58d2ec3bb868132', '9f71e4b4ca974c5fbc76ccff3e75779b', 'False', 'True', 'false', 'false', '510322111009', 5, '双河口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322111009', 1, '2021-07-19 11:33:53', NULL, NULL), (4171, '', '茨篱村村民委员会', '6aede60dadf3429c80d8733875c15123', '9f71e4b4ca974c5fbc76ccff3e75779b', 'False', 'True', 'false', 'false', '510322111231', 5, '茨篱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322111231', 1, '2021-07-19 11:33:53', NULL, NULL), (4172, '', '五一村村民委员会', '53da4922c1d34f9fa8cb2dcd48500ffc', '9f71e4b4ca974c5fbc76ccff3e75779b', 'False', 'True', 'false', 'false', '510322111206', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322111206', 1, '2021-07-19 11:33:53', NULL, NULL), (4173, '', '丰光村村民委员会', '412e6a39a55c44008a93c1f665f273e7', '9f71e4b4ca974c5fbc76ccff3e75779b', 'False', 'True', 'false', 'false', '510322111223', 5, '丰光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322111223', 1, '2021-07-19 11:33:53', NULL, NULL), (4174, '', '李子村村民委员会', 'b73da4cd64d24ca1b0d6b5cbdc7e3a0e', '9f71e4b4ca974c5fbc76ccff3e75779b', 'False', 'True', 'false', 'false', '510322111224', 5, '李子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322111224', 1, '2021-07-19 11:33:53', NULL, NULL), (4175, '', '白羊村村民委员会', '2ee2cfa09e3140a0a2c170959d4cabe5', '9f71e4b4ca974c5fbc76ccff3e75779b', 'False', 'True', 'false', 'false', '510322111227', 5, '白羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322111227', 1, '2021-07-19 11:33:53', NULL, NULL), (4176, '', '明星村村民委员会', '3312f1516a2d4f0eb69189e24fd464fc', '9f71e4b4ca974c5fbc76ccff3e75779b', 'False', 'True', 'false', 'false', '510322111230', 5, '明星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322111230', 1, '2021-07-19 11:33:53', NULL, NULL), (4177, '', '二七村村民委员会', 'c9d94a7bfe7b4df19a395d5b2daeaec2', '9f71e4b4ca974c5fbc76ccff3e75779b', 'False', 'True', 'false', 'false', '510322111233', 5, '二七村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322111233', 1, '2021-07-19 11:33:53', NULL, NULL), (4178, '', '草茂村村民委员会', '629afea681744f8382c1b0e18fe4d0f2', '9f71e4b4ca974c5fbc76ccff3e75779b', 'False', 'True', 'false', 'false', '510322111234', 5, '草茂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322111234', 1, '2021-07-19 11:33:53', NULL, NULL), (4179, '', '巨浪村村民委员会', 'd8791ea4493249fbb1b178dc57e2b810', '9f71e4b4ca974c5fbc76ccff3e75779b', 'False', 'True', 'false', 'false', '510322111235', 5, '巨浪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322111235', 1, '2021-07-19 11:33:54', NULL, NULL), (4180, '', '勤劳村村民委员会', '26671653986843b4a4f8bf160ac9c382', '9f71e4b4ca974c5fbc76ccff3e75779b', 'False', 'True', 'false', 'false', '510322111236', 5, '勤劳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322111236', 1, '2021-07-19 11:33:54', NULL, NULL), (4181, '', '旭光村村民委员会', '5181f031716849258fe1663919016846', '9f71e4b4ca974c5fbc76ccff3e75779b', 'False', 'True', 'false', 'false', '510322111239', 5, '旭光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322111239', 1, '2021-07-19 11:33:54', NULL, NULL), (4182, '', '童寺镇', 'f4252cd3403141fea205bf0675d50d32', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322113000', 4, '童寺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322113000', 1, '2021-07-19 11:33:54', NULL, NULL), (4183, '', '童家寺社区居委会', '4efc610e56ad47f5ac426ceed7a99535', 'f4252cd3403141fea205bf0675d50d32', 'False', 'True', 'false', 'false', '510322113004', 5, '童家寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322113004', 1, '2021-07-19 11:33:54', NULL, NULL), (4184, '', '大坳场社区居委会', '116d21e9e20f41b6999fe3eaeff7bbe3', 'f4252cd3403141fea205bf0675d50d32', 'False', 'True', 'false', 'false', '510322201002', 5, '大坳场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322201002', 1, '2021-07-19 11:33:54', NULL, NULL), (4185, '', '芝溪社区居委会', 'b1483d9de33c4a5c9cff91db9507ad01', 'f4252cd3403141fea205bf0675d50d32', 'False', 'True', 'false', 'false', '510322113272', 5, '芝溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322113272', 1, '2021-07-19 11:33:54', NULL, NULL), (4186, '', '栗寨村村民委员会', '86bd689607394814a62f885bf40d00d2', 'f4252cd3403141fea205bf0675d50d32', 'False', 'True', 'false', 'false', '510322113354', 5, '栗寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322113354', 1, '2021-07-19 11:33:54', NULL, NULL), (4187, '', '天池湖村村民委员会', '907c4ff949a64afdae8aa63e8aaa9935', 'f4252cd3403141fea205bf0675d50d32', 'False', 'True', 'false', 'false', '510322113678', 5, '天池湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322113678', 1, '2021-07-19 11:33:54', NULL, NULL), (4188, '', '老寨村村民委员会', 'ae98e43e1eb944729e167dc96c712d0f', 'f4252cd3403141fea205bf0675d50d32', 'False', 'True', 'false', 'false', '510322113495', 5, '老寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322113495', 1, '2021-07-19 11:33:54', NULL, NULL), (4189, '', '甘家村村民委员会', 'bb66505ba6c54dfbab44d337f7c67e43', 'f4252cd3403141fea205bf0675d50d32', 'False', 'True', 'false', 'false', '510322201206', 5, '甘家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322201206', 1, '2021-07-19 11:33:54', NULL, NULL), (4190, '', '骡田村村民委员会', 'cb11bf45b4034d9db3addfe8d0e90322', 'f4252cd3403141fea205bf0675d50d32', 'False', 'True', 'false', 'false', '510322201211', 5, '骡田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322201211', 1, '2021-07-19 11:33:54', NULL, NULL), (4191, '', '周河村村民委员会', 'b49ec58a9da04f7eacf06b7fdf9e6897', 'f4252cd3403141fea205bf0675d50d32', 'False', 'True', 'false', 'false', '510322113798', 5, '周河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322113798', 1, '2021-07-19 11:33:54', NULL, NULL), (4192, '', '凰凤村村民委员会', 'c3ef1ccd459f44aeb9c1b41a173a26d2', 'f4252cd3403141fea205bf0675d50d32', 'False', 'True', 'false', 'false', '510322113604', 5, '凰凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322113604', 1, '2021-07-19 11:33:55', NULL, NULL), (4193, '', '东禅村村民委员会', '78994edbfa0740b6a97c6ab593e19b8c', 'f4252cd3403141fea205bf0675d50d32', 'False', 'True', 'false', 'false', '510322113163', 5, '东禅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322113163', 1, '2021-07-19 11:33:55', NULL, NULL), (4194, '', '墨香村村民委员会', 'a4373f51a4a14e5fb3e456af805f61ed', 'f4252cd3403141fea205bf0675d50d32', 'False', 'True', 'false', 'false', '510322113668', 5, '墨香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322113668', 1, '2021-07-19 11:33:55', NULL, NULL), (4195, '', '西湖村村民委员会', '82cc18c2802f4de784536f30df115544', 'f4252cd3403141fea205bf0675d50d32', 'False', 'True', 'false', 'false', '510322113178', 5, '西湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322113178', 1, '2021-07-19 11:33:55', NULL, NULL), (4196, '', '民政村村民委员会', '90b7f26116e44ea99f364e18cb42e31d', 'f4252cd3403141fea205bf0675d50d32', 'False', 'True', 'false', 'false', '510322113411', 5, '民政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322113411', 1, '2021-07-19 11:33:55', NULL, NULL), (4197, '', '代江村村民委员会', 'a04d2c5a54524fafb7de7dc67d0989d7', 'f4252cd3403141fea205bf0675d50d32', 'False', 'True', 'false', 'false', '510322201207', 5, '代江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322201207', 1, '2021-07-19 11:33:55', NULL, NULL), (4198, '', '古佛镇', 'eed767a1b24d473d97405d1eced08844', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322716000', 4, '古佛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322716000', 1, '2021-07-19 11:33:55', NULL, NULL), (4199, '', '古佛场社区居委会', '11b004b7e29b44ce898aa74914ccd4f3', 'eed767a1b24d473d97405d1eced08844', 'False', 'True', 'false', 'false', '510322114002', 5, '古佛场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322114002', 1, '2021-07-19 11:33:55', NULL, NULL), (4200, '', '中兴场社区居委会', '69eaa586840c4ea3a3576f4b2b2038f1', 'eed767a1b24d473d97405d1eced08844', 'False', 'True', 'false', 'false', '510322112002', 5, '中兴场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322112002', 1, '2021-07-19 11:33:56', NULL, NULL), (4201, '', '千佛村村民委员会', '0b78882c2b624e6ca58d1aaa802ea852', 'eed767a1b24d473d97405d1eced08844', 'False', 'True', 'false', 'false', '510322112201', 5, '千佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322112201', 1, '2021-07-19 11:33:56', NULL, NULL), (4202, '', '华福村村民委员会', 'b3bad33f2034409da0005740e1df0d26', 'eed767a1b24d473d97405d1eced08844', 'False', 'True', 'false', 'false', '510322112202', 5, '华福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322112202', 1, '2021-07-19 11:33:56', NULL, NULL), (4203, '', '富强村村民委员会', 'b44c360408344d83b52bd7d0caf1874e', 'eed767a1b24d473d97405d1eced08844', 'False', 'True', 'false', 'false', '510322112204', 5, '富强村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322112204', 1, '2021-07-19 11:33:56', NULL, NULL), (4204, '', '百花村村民委员会', '37553fec460e4965aa0aa70a3c8cd64f', 'eed767a1b24d473d97405d1eced08844', 'False', 'True', 'false', 'false', '510322112209', 5, '百花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322112209', 1, '2021-07-19 11:33:56', NULL, NULL), (4205, '', '凤仪村村民委员会', '4ef01636a6944dfabff6499fef32baea', 'eed767a1b24d473d97405d1eced08844', 'False', 'True', 'false', 'false', '510322114213', 5, '凤仪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322114213', 1, '2021-07-19 11:33:56', NULL, NULL), (4206, '', '冯坪村村民委员会', 'ed19fe9f1c83491fb1b901619f7c2ea7', 'eed767a1b24d473d97405d1eced08844', 'False', 'True', 'false', 'false', '510322114214', 5, '冯坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322114214', 1, '2021-07-19 11:33:56', NULL, NULL), (4207, '', '天洋村村民委员会', '11fdab0e867f44be9049fdaf4fa8da77', 'eed767a1b24d473d97405d1eced08844', 'False', 'True', 'false', 'false', '510322114215', 5, '天洋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322114215', 1, '2021-07-19 11:33:56', NULL, NULL), (4208, '', '田边村村民委员会', '6528e9d1d80b4f88bc1f8f822d03ea71', 'eed767a1b24d473d97405d1eced08844', 'False', 'True', 'false', 'false', '510322114216', 5, '田边村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322114216', 1, '2021-07-19 11:33:56', NULL, NULL), (4209, '', '火车村村民委员会', '73c4fd3089b14eb692728d4d0e188fda', 'eed767a1b24d473d97405d1eced08844', 'False', 'True', 'false', 'false', '510322112211', 5, '火车村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322112211', 1, '2021-07-19 11:33:56', NULL, NULL), (4210, '', '永年镇', '1f8a233ea3dd41d19eb403a008946ac9', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322910000', 4, '永年镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322910000', 1, '2021-07-19 11:33:56', NULL, NULL), (4211, '', '永年社区居委会', 'a3542b16312c4a038ff4243ec2432abd', '1f8a233ea3dd41d19eb403a008946ac9', 'False', 'True', 'false', 'false', '510322115004', 5, '永年社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322115004', 1, '2021-07-19 11:33:56', NULL, NULL), (4212, '', '彭庙社区居委会', '3b9bd72af1e54aa5aeab5a7278e55256', '1f8a233ea3dd41d19eb403a008946ac9', 'False', 'True', 'false', 'false', '510322116002', 5, '彭庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322116002', 1, '2021-07-19 11:33:57', NULL, NULL), (4213, '', '大塘村村民委员会', '6b941b5282734e75bc766f95eccb5e6b', '1f8a233ea3dd41d19eb403a008946ac9', 'False', 'True', 'false', 'false', '510322116202', 5, '大塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322116202', 1, '2021-07-19 11:33:57', NULL, NULL), (4214, '', '新房村村民委员会', '6157aa1058e54a92ab50c89a6db4a6bb', '1f8a233ea3dd41d19eb403a008946ac9', 'False', 'True', 'false', 'false', '510322116203', 5, '新房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322116203', 1, '2021-07-19 11:33:57', NULL, NULL), (4215, '', '团坝村村民委员会', '30b20a2c37fe49ce85a78fe9dd287cf9', '1f8a233ea3dd41d19eb403a008946ac9', 'False', 'True', 'false', 'false', '510322116204', 5, '团坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322116204', 1, '2021-07-19 11:33:57', NULL, NULL), (4216, '', '新和村村民委员会', '187033c02d2d4d5ea3bb81bcbb74fe44', '1f8a233ea3dd41d19eb403a008946ac9', 'False', 'True', 'false', 'false', '510322116208', 5, '新和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322116208', 1, '2021-07-19 11:33:57', NULL, NULL), (4217, '', '柏林村村民委员会', '300a925235f1411ea7bb312c105ac292', '1f8a233ea3dd41d19eb403a008946ac9', 'False', 'True', 'false', 'false', '510322116211', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322116211', 1, '2021-07-19 11:33:57', NULL, NULL), (4218, '', '菜田村村民委员会', '13fb4ca1be4c46f680163137eb975d7f', '1f8a233ea3dd41d19eb403a008946ac9', 'False', 'True', 'false', 'false', '510322115215', 5, '菜田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322115215', 1, '2021-07-19 11:33:57', NULL, NULL), (4219, '', '桂花村村民委员会', '2de02f73d7f549c78319ed57e01f6da8', '1f8a233ea3dd41d19eb403a008946ac9', 'False', 'True', 'false', 'false', '510322115220', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322115220', 1, '2021-07-19 11:33:57', NULL, NULL), (4220, '', '马家村村民委员会', 'bb51dfd71d5a430f937a73adebbd15f9', '1f8a233ea3dd41d19eb403a008946ac9', 'False', 'True', 'false', 'false', '510322115232', 5, '马家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322115232', 1, '2021-07-19 11:33:57', NULL, NULL), (4221, '', '白塔村村民委员会', '3c1619433b584d80bd78aba1c91e97d6', '1f8a233ea3dd41d19eb403a008946ac9', 'False', 'True', 'false', 'false', '510322115224', 5, '白塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322115224', 1, '2021-07-19 11:33:58', NULL, NULL), (4222, '', '洗马村村民委员会', 'b8c28b40a2934c39b938a9d41efa0482', '1f8a233ea3dd41d19eb403a008946ac9', 'False', 'True', 'false', 'false', '510322115225', 5, '洗马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322115225', 1, '2021-07-19 11:33:58', NULL, NULL), (4223, '', '沙罗村村民委员会', 'cb50b1e93ae840f286d0408eea0f0012', '1f8a233ea3dd41d19eb403a008946ac9', 'False', 'True', 'false', 'false', '510322115226', 5, '沙罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322115226', 1, '2021-07-19 11:33:58', NULL, NULL), (4224, '', '新兴村村民委员会', 'a711187b078d416c8028297bf5930c81', '1f8a233ea3dd41d19eb403a008946ac9', 'False', 'True', 'false', 'false', '510322115227', 5, '新兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322115227', 1, '2021-07-19 11:33:58', NULL, NULL), (4225, '', '永民村村民委员会', 'b03f4c3fac004919b8e233b5600e6e3c', '1f8a233ea3dd41d19eb403a008946ac9', 'False', 'True', 'false', 'false', '510322115228', 5, '永民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322115228', 1, '2021-07-19 11:33:58', NULL, NULL), (4226, '', '五里村村民委员会', '2b98b84dd8714fd69dbb09be81057fee', '1f8a233ea3dd41d19eb403a008946ac9', 'False', 'True', 'false', 'false', '510322115229', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322115229', 1, '2021-07-19 11:33:58', NULL, NULL), (4227, '', '高河村村民委员会', 'ae6a6d34b8ac4fc6b25fbc62de319292', '1f8a233ea3dd41d19eb403a008946ac9', 'False', 'True', 'false', 'false', '510322115231', 5, '高河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322115231', 1, '2021-07-19 11:33:58', NULL, NULL), (4228, '', '莲池村村民委员会', '46481eeaa387454680b99693085b5c10', '1f8a233ea3dd41d19eb403a008946ac9', 'False', 'True', 'false', 'false', '510322116214', 5, '莲池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322116214', 1, '2021-07-19 11:33:58', NULL, NULL), (4229, '', '兜山镇', 'f24c0a50223a40c2b094c30e46be4496', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322192000', 4, '兜山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322192000', 1, '2021-07-19 11:33:58', NULL, NULL), (4230, '', '兜山社区居委会', '37107b64e91649e98ff5aa9e473cbcae', 'f24c0a50223a40c2b094c30e46be4496', 'False', 'True', 'false', 'false', '510322117003', 5, '兜山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322117003', 1, '2021-07-19 11:33:58', NULL, NULL), (4231, '', '横溪社区居委会', '6f5dc704fe4447d2bbfc7d3e647f1671', 'f24c0a50223a40c2b094c30e46be4496', 'False', 'True', 'false', 'false', '510322117004', 5, '横溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322117004', 1, '2021-07-19 11:33:58', NULL, NULL), (4232, '', '胡家村村民委员会', '7bfae3b94fd34a74b142dd30fc09b213', 'f24c0a50223a40c2b094c30e46be4496', 'False', 'True', 'false', 'false', '510322117201', 5, '胡家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322117201', 1, '2021-07-19 11:33:59', NULL, NULL), (4233, '', '杨家村村民委员会', '4fc7af7324464995b56c77354acb1e52', 'f24c0a50223a40c2b094c30e46be4496', 'False', 'True', 'false', 'false', '510322117208', 5, '杨家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322117208', 1, '2021-07-19 11:33:59', NULL, NULL), (4234, '', '香炉村村民委员会', '4711e8eb44cb4cd3971e413083f78e0a', 'f24c0a50223a40c2b094c30e46be4496', 'False', 'True', 'false', 'false', '510322117217', 5, '香炉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322117217', 1, '2021-07-19 11:33:59', NULL, NULL), (4235, '', '瓦窑村村民委员会', 'e0ffb8b7f4b3460d9da89d514b3bccf8', 'f24c0a50223a40c2b094c30e46be4496', 'False', 'True', 'false', 'false', '510322117225', 5, '瓦窑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322117225', 1, '2021-07-19 11:33:59', NULL, NULL), (4236, '', '双林村村民委员会', '2aaa68c4f55f4f57ac041924116626d1', 'f24c0a50223a40c2b094c30e46be4496', 'False', 'True', 'false', 'false', '510322117226', 5, '双林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322117226', 1, '2021-07-19 11:33:59', NULL, NULL), (4237, '', '赵家村村民委员会', '5a4359bbc25b49e3935a3da969c8bb8b', 'f24c0a50223a40c2b094c30e46be4496', 'False', 'True', 'false', 'false', '510322117228', 5, '赵家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322117228', 1, '2021-07-19 11:33:59', NULL, NULL), (4238, '', '宝峰村村民委员会', '75e801ff80a449c0b0ee65682892ef5a', 'f24c0a50223a40c2b094c30e46be4496', 'False', 'True', 'false', 'false', '510322117230', 5, '宝峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322117230', 1, '2021-07-19 11:33:59', NULL, NULL), (4239, '', '铁山村村民委员会', 'cf277f1dfbaf4696a71a2a9f5b67e96f', 'f24c0a50223a40c2b094c30e46be4496', 'False', 'True', 'false', 'false', '510322117231', 5, '铁山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322117231', 1, '2021-07-19 11:33:59', NULL, NULL), (4240, '', '天府村村民委员会', '6ff6ecfe3900442f830ba41fd4d21932', 'f24c0a50223a40c2b094c30e46be4496', 'False', 'True', 'false', 'false', '510322117232', 5, '天府村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322117232', 1, '2021-07-19 11:33:59', NULL, NULL), (4241, '', '柏山村村民委员会', 'ae7b0d06eb864c82aa5243b3ab896a25', 'f24c0a50223a40c2b094c30e46be4496', 'False', 'True', 'false', 'false', '510322117239', 5, '柏山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322117239', 1, '2021-07-19 11:34:00', NULL, NULL), (4242, '', '板桥镇', '6ef2c70ee14e4dd1b945087629ce3fe6', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322781000', 4, '板桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322781000', 1, '2021-07-19 11:34:00', NULL, NULL), (4243, '', '新华社区社区居民委员会', '79979b18bebd4c2a9477ccfbe80df6a8', '6ef2c70ee14e4dd1b945087629ce3fe6', 'False', 'True', 'false', 'false', '510322118653', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322118653', 1, '2021-07-19 11:34:00', NULL, NULL), (4244, '', '长石塔社区居委会', '1636e6926569445a916428d99734a5b0', '6ef2c70ee14e4dd1b945087629ce3fe6', 'False', 'True', 'false', 'false', '510322202002', 5, '长石塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322202002', 1, '2021-07-19 11:34:00', NULL, NULL), (4245, '', '和平社区居民委员会', 'e372c22f7b1c4a60ac240a96f7676f48', '6ef2c70ee14e4dd1b945087629ce3fe6', 'False', 'True', 'false', 'false', '510322118535', 5, '和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322118535', 1, '2021-07-19 11:34:00', NULL, NULL), (4246, '', '木桥沟村村民委员会', 'e62a4f09114c4f939ed9c1ceb4b037a1', '6ef2c70ee14e4dd1b945087629ce3fe6', 'False', 'True', 'false', 'false', '510322781201', 5, '木桥沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322781201', 1, '2021-07-19 11:34:01', NULL, NULL), (4247, '', '吴山村村民委员会', 'ae157e7b14e34bf6921f1df3d9a5d1be', '6ef2c70ee14e4dd1b945087629ce3fe6', 'False', 'True', 'false', 'false', '510322202207', 5, '吴山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322202207', 1, '2021-07-19 11:34:01', NULL, NULL), (4248, '', '朱扁村村民委员会', '7b907d612b1f45c7801d565c532647a2', '6ef2c70ee14e4dd1b945087629ce3fe6', 'False', 'True', 'false', 'false', '510322202209', 5, '朱扁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322202209', 1, '2021-07-19 11:34:01', NULL, NULL), (4249, '', '张坝村村民委员会', '3946401b930e4638a501124cb71848bf', '6ef2c70ee14e4dd1b945087629ce3fe6', 'False', 'True', 'false', 'false', '510322781857', 5, '张坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322781857', 1, '2021-07-19 11:34:02', NULL, NULL), (4250, '', '农历村村民委员会', '8b8091fcdf494da89681cfaadf1e15c5', '6ef2c70ee14e4dd1b945087629ce3fe6', 'False', 'True', 'false', 'false', '510322202212', 5, '农历村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322202212', 1, '2021-07-19 11:34:02', NULL, NULL), (4251, '', '和平村村民委员会', '4b4e67f1643a4c4d9d2c1078b31ebbd4', '6ef2c70ee14e4dd1b945087629ce3fe6', 'False', 'True', 'false', 'false', '510322202214', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322202214', 1, '2021-07-19 11:34:02', NULL, NULL), (4252, '', '白房村村民委员会', '55ff88b00e4842018a7098f3de1669ff', '6ef2c70ee14e4dd1b945087629ce3fe6', 'False', 'True', 'false', 'false', '510322781264', 5, '白房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322781264', 1, '2021-07-19 11:34:02', NULL, NULL), (4253, '', '万民村村民委员会', '43e644daf8a147d299b08f29230caf4e', '6ef2c70ee14e4dd1b945087629ce3fe6', 'False', 'True', 'false', 'false', '510322781196', 5, '万民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322781196', 1, '2021-07-19 11:34:03', NULL, NULL), (4254, '', '吴庙村村民委员会', 'bbe0091dcc74464db74d9bdb26c794ec', '6ef2c70ee14e4dd1b945087629ce3fe6', 'False', 'True', 'false', 'false', '510322781811', 5, '吴庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322781811', 1, '2021-07-19 11:34:03', NULL, NULL), (4255, '', '柑竹湾村村民委员会', '25576de79a8543ca848f944199e21f1c', '6ef2c70ee14e4dd1b945087629ce3fe6', 'False', 'True', 'false', 'false', '510322781873', 5, '柑竹湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322781873', 1, '2021-07-19 11:34:03', NULL, NULL), (4256, '', '天台村村民委员会', '819539dbc5c8446185a9c524e9d3dca8', '6ef2c70ee14e4dd1b945087629ce3fe6', 'False', 'True', 'false', 'false', '510322781836', 5, '天台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322781836', 1, '2021-07-19 11:34:03', NULL, NULL), (4257, '', '石龙村村民委员会', 'd7e8c76c70004805851a8ce1659dce53', '6ef2c70ee14e4dd1b945087629ce3fe6', 'False', 'True', 'false', 'false', '510322781793', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322781793', 1, '2021-07-19 11:34:03', NULL, NULL), (4258, '', '千秋村村民委员会', '997ec4755d5a402997a2695ccab15e51', '6ef2c70ee14e4dd1b945087629ce3fe6', 'False', 'True', 'false', 'false', '510322781354', 5, '千秋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322781354', 1, '2021-07-19 11:34:03', NULL, NULL), (4259, '', '龙乘村村民委员会', '1381fa07665c4b7b964f599a5b555bec', '6ef2c70ee14e4dd1b945087629ce3fe6', 'False', 'True', 'false', 'false', '510322781593', 5, '龙乘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322781593', 1, '2021-07-19 11:34:03', NULL, NULL), (4260, '', '福善镇', '1bc5b79bedf240278dd462b596f65cbf', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322119000', 4, '福善镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322119000', 1, '2021-07-19 11:34:04', NULL, NULL), (4261, '', '从善场社区居委会', '36d599c708b54fcb9dd5528125926de3', '1bc5b79bedf240278dd462b596f65cbf', 'False', 'True', 'false', 'false', '510322119002', 5, '丛善场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322119002', 1, '2021-07-19 11:34:04', NULL, NULL), (4262, '', '月形村村民委员会', 'bfbcf9c5a24647fc8b8ed4c35764a65d', '1bc5b79bedf240278dd462b596f65cbf', 'False', 'True', 'false', 'false', '510322119227', 5, '月形村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322119227', 1, '2021-07-19 11:34:04', NULL, NULL), (4263, '', '周安村村民委员会', '95cbfbc045a9444b857eb633af85c758', '1bc5b79bedf240278dd462b596f65cbf', 'False', 'True', 'false', 'false', '510322119226', 5, '周安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322119226', 1, '2021-07-19 11:34:04', NULL, NULL), (4264, '', '熊坝村村民委员会', '304ca616f20f4cc398095d49ad46aabd', '1bc5b79bedf240278dd462b596f65cbf', 'False', 'True', 'false', 'false', '510322119204', 5, '熊坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322119204', 1, '2021-07-19 11:34:04', NULL, NULL), (4265, '', '菜子村村民委员会', 'd2a657c9093c4f0d8513f53977f3435c', '1bc5b79bedf240278dd462b596f65cbf', 'False', 'True', 'false', 'false', '510322119213', 5, '菜子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322119213', 1, '2021-07-19 11:34:04', NULL, NULL), (4266, '', '阳升村村民委员会', 'a23d2e437a42469e9ecf384a32ecf208', '1bc5b79bedf240278dd462b596f65cbf', 'False', 'True', 'false', 'false', '510322119214', 5, '阳升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322119214', 1, '2021-07-19 11:34:04', NULL, NULL), (4267, '', '大峡口村村民委员会', '1ca25549f78a44e8860800d61e90d0a8', '1bc5b79bedf240278dd462b596f65cbf', 'False', 'True', 'false', 'false', '510322119219', 5, '大峡口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322119219', 1, '2021-07-19 11:34:04', NULL, NULL), (4268, '', '象鼻村村民委员会', 'b4686e7020dd4772afe826cee69adc11', '1bc5b79bedf240278dd462b596f65cbf', 'False', 'True', 'false', 'false', '510322119221', 5, '象鼻村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322119221', 1, '2021-07-19 11:34:04', NULL, NULL), (4269, '', '彭湾村村民委员会', '062f4ea935704d15ba3cf315d5769036', '1bc5b79bedf240278dd462b596f65cbf', 'False', 'True', 'false', 'false', '510322119223', 5, '彭湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322119223', 1, '2021-07-19 11:34:05', NULL, NULL), (4270, '', '韩咀村村民委员会', 'c3a286b741194d0d881383a11cbe9f36', '1bc5b79bedf240278dd462b596f65cbf', 'False', 'True', 'false', 'false', '510322119224', 5, '韩咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322119224', 1, '2021-07-19 11:34:05', NULL, NULL), (4271, '', '石平村村民委员会', 'e497190f980242a38ce29cb5ac5b22e2', '1bc5b79bedf240278dd462b596f65cbf', 'False', 'True', 'false', 'false', '510322119225', 5, '石平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322119225', 1, '2021-07-19 11:34:05', NULL, NULL), (4272, '', '李桥镇', 'c9da420df5ba4db7ac958dec5b23bae7', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322120000', 4, '李桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322120000', 1, '2021-07-19 11:34:05', NULL, NULL), (4273, '', '李桥社区居委会', 'fe66b523445f4554bbb6f34ddb963bf2', 'c9da420df5ba4db7ac958dec5b23bae7', 'False', 'True', 'false', 'false', '510322120230', 5, '李桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322120230', 1, '2021-07-19 11:34:05', NULL, NULL), (4274, '', '新雨社区居委会', 'e28ef185010b4581a171f7d2a6fb8c1e', 'c9da420df5ba4db7ac958dec5b23bae7', 'False', 'True', 'false', 'false', '510322120378', 5, '新雨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322120378', 1, '2021-07-19 11:34:05', NULL, NULL), (4275, '', '腰塘村村民委员会', '355b13db0430428d820313a21a248d7a', 'c9da420df5ba4db7ac958dec5b23bae7', 'False', 'True', 'false', 'false', '510322120652', 5, '腰塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322120652', 1, '2021-07-19 11:34:05', NULL, NULL), (4276, '', '大地村村民委员会', 'e1fdb78c891a4282aeec8649a025b19e', 'c9da420df5ba4db7ac958dec5b23bae7', 'False', 'True', 'false', 'false', '510322120802', 5, '大地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322120802', 1, '2021-07-19 11:34:05', NULL, NULL), (4277, '', '五条沟村村民委员会', '3915dcf15f1b4f629d768105a19cdf4e', 'c9da420df5ba4db7ac958dec5b23bae7', 'False', 'True', 'false', 'false', '510322120846', 5, '五条沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322120846', 1, '2021-07-19 11:34:05', NULL, NULL), (4278, '', '川主村村民委员会', '7811c1ad176d47a691bef40f3cfc2340', 'c9da420df5ba4db7ac958dec5b23bae7', 'False', 'True', 'false', 'false', '510322120330', 5, '川主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322120330', 1, '2021-07-19 11:34:05', NULL, NULL), (4279, '', '石高村村民委员会', 'e0393ba0613a4e66882f816646c252ed', 'c9da420df5ba4db7ac958dec5b23bae7', 'False', 'True', 'false', 'false', '510322120203', 5, '石高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322120203', 1, '2021-07-19 11:34:06', NULL, NULL), (4280, '', '高滩村村民委员会', 'b5a83afa11d24ed59a9f0c34a215fffa', 'c9da420df5ba4db7ac958dec5b23bae7', 'False', 'True', 'false', 'false', '510322120263', 5, '高滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322120263', 1, '2021-07-19 11:34:06', NULL, NULL), (4281, '', '石盘村村民委员会', '45ccfbbd4e90428a8786db4a56fd5e95', 'c9da420df5ba4db7ac958dec5b23bae7', 'False', 'True', 'false', 'false', '510322120301', 5, '石盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322120301', 1, '2021-07-19 11:34:06', NULL, NULL), (4282, '', '小桥村村民委员会', 'c3a17729ff094bcda0eb4450e2df1b8c', 'c9da420df5ba4db7ac958dec5b23bae7', 'False', 'True', 'false', 'false', '510322120547', 5, '小桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322120547', 1, '2021-07-19 11:34:06', NULL, NULL), (4283, '', '车桥村村民委员会', 'b96267670f784629ab177ef6d242cebe', 'c9da420df5ba4db7ac958dec5b23bae7', 'False', 'True', 'false', 'false', '510322120690', 5, '车桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322120690', 1, '2021-07-19 11:34:06', NULL, NULL), (4284, '', '赵化镇', '72527807851444e08d5d0efe00004924', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322121000', 4, '赵化镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322121000', 1, '2021-07-19 11:34:06', NULL, NULL), (4285, '', '培村社区居委会', '9616c1d330c24c2684650364c4cfb768', '72527807851444e08d5d0efe00004924', 'False', 'True', 'false', 'false', '510322121005', 5, '培村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322121005', 1, '2021-07-19 11:34:06', NULL, NULL), (4286, '', '万寿场社区居委会', '5939d318778e4064aee95568b31f4f02', '72527807851444e08d5d0efe00004924', 'False', 'True', 'false', 'false', '510322123002', 5, '万寿场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322123002', 1, '2021-07-19 11:34:07', NULL, NULL), (4287, '', '花园口社区居民委员会', '3bcadcd953054f64b66c531b55f65194', '72527807851444e08d5d0efe00004924', 'False', 'True', 'false', 'false', '510322121006', 5, '花园口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322121006', 1, '2021-07-19 11:34:07', NULL, NULL), (4288, '', '莲花村村民委员会', 'a037f001b9004c56982cac109591d708', '72527807851444e08d5d0efe00004924', 'False', 'True', 'false', 'false', '510322123219', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322123219', 1, '2021-07-19 11:34:07', NULL, NULL), (4289, '', '了果村村民委员会', 'e02f0fdf5d6b42bd9b586f4e12f027ec', '72527807851444e08d5d0efe00004924', 'False', 'True', 'false', 'false', '510322121204', 5, '了果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322121204', 1, '2021-07-19 11:34:07', NULL, NULL), (4290, '', '古木村村民委员会', 'a6fed15e279c4037b4745c4a8393073b', '72527807851444e08d5d0efe00004924', 'False', 'True', 'false', 'false', '510322121206', 5, '古木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322121206', 1, '2021-07-19 11:34:07', NULL, NULL), (4291, '', '铁龙村村民委员会', '97e1a1a5a0794873b5d6ab4ca6d2a391', '72527807851444e08d5d0efe00004924', 'False', 'True', 'false', 'false', '510322121217', 5, '铁龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322121217', 1, '2021-07-19 11:34:07', NULL, NULL), (4292, '', '桂林村村民委员会', 'bf4622d3236d4a55841300e62303f593', '72527807851444e08d5d0efe00004924', 'False', 'True', 'false', 'false', '510322123221', 5, '桂林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322123221', 1, '2021-07-19 11:34:07', NULL, NULL), (4293, '', '杨寺村村民委员会', '552b13f74ab54a6894e12b6205ff3496', '72527807851444e08d5d0efe00004924', 'False', 'True', 'false', 'false', '510322123224', 5, '杨寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322123224', 1, '2021-07-19 11:34:07', NULL, NULL), (4294, '', '鸿远村村民委员会', '8dd874d61e5c4fd4bcbb37c23c401340', '72527807851444e08d5d0efe00004924', 'False', 'True', 'false', 'false', '510322123223', 5, '鸿远村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322123223', 1, '2021-07-19 11:34:07', NULL, NULL), (4295, '', '踏水村村民委员会', 'c2b39f09ed6d4415beb19d7223e2774d', '72527807851444e08d5d0efe00004924', 'False', 'True', 'false', 'false', '510322123222', 5, '踏水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322123222', 1, '2021-07-19 11:34:07', NULL, NULL), (4296, '', '鸭池村村民委员会', '9b46412fe8f74f049e88fabcc4d9fb33', '72527807851444e08d5d0efe00004924', 'False', 'True', 'false', 'false', '510322121220', 5, '鸭池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322121220', 1, '2021-07-19 11:34:08', NULL, NULL), (4297, '', '斗志村村民委员会', '4598ce9498c04f93ba5c7bb23c6c476f', '72527807851444e08d5d0efe00004924', 'False', 'True', 'false', 'false', '510322121219', 5, '斗志村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322121219', 1, '2021-07-19 11:34:08', NULL, NULL), (4298, '', '苏坝村村民委员会', 'db3c21c69ec14e639852c5dce1d80371', '72527807851444e08d5d0efe00004924', 'False', 'True', 'false', 'false', '510322121215', 5, '苏坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322121215', 1, '2021-07-19 11:34:08', NULL, NULL), (4299, '', '鳌山村村民委员会', '53fb17f6dd494c14914ee6c5ff0d58bf', '72527807851444e08d5d0efe00004924', 'False', 'True', 'false', 'false', '510322121218', 5, '鳌山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322121218', 1, '2021-07-19 11:34:08', NULL, NULL), (4300, '', '安溪镇', '9647e8d7ebdd4aa98f0960f8c3f8633c', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322243000', 4, '安溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322243000', 1, '2021-07-19 11:34:08', NULL, NULL), (4301, '', '安溪社区居委会', 'f14b23a60f5946a18eaa9cb5b8f16ce4', '9647e8d7ebdd4aa98f0960f8c3f8633c', 'False', 'True', 'false', 'false', '510322122004', 5, '安溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322122004', 1, '2021-07-19 11:34:08', NULL, NULL), (4302, '', '毛桥社区居委会', '0c4a1dc16d124fd585d56ab7f012ecc4', '9647e8d7ebdd4aa98f0960f8c3f8633c', 'False', 'True', 'false', 'false', '510322122005', 5, '毛桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322122005', 1, '2021-07-19 11:34:08', NULL, NULL), (4303, '', '安福村村民委员会', '859018b7a2ae43a1935a9ab539774b17', '9647e8d7ebdd4aa98f0960f8c3f8633c', 'False', 'True', 'false', 'false', '510322122223', 5, '安福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322122223', 1, '2021-07-19 11:34:08', NULL, NULL), (4304, '', '幺灏村村民委员会', 'a688a66765de465c8dc6e8ed86b466c3', '9647e8d7ebdd4aa98f0960f8c3f8633c', 'False', 'True', 'false', 'false', '510322122224', 5, '幺灏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322122224', 1, '2021-07-19 11:34:08', NULL, NULL), (4305, '', '仰天村村民委员会', '964648f74b5c497392809e6f55a2a82a', '9647e8d7ebdd4aa98f0960f8c3f8633c', 'False', 'True', 'false', 'false', '510322122225', 5, '仰天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322122225', 1, '2021-07-19 11:34:08', NULL, NULL), (4306, '', '马山村村民委员会', '4c5a298792b7433ba542f6bfd5e5566a', '9647e8d7ebdd4aa98f0960f8c3f8633c', 'False', 'True', 'false', 'false', '510322122226', 5, '马山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322122226', 1, '2021-07-19 11:34:08', NULL, NULL), (4307, '', '杨堰村村民委员会', 'e5480e9016d94ee9ac1486c8ee3eb4de', '9647e8d7ebdd4aa98f0960f8c3f8633c', 'False', 'True', 'false', 'false', '510322122227', 5, '杨堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322122227', 1, '2021-07-19 11:34:08', NULL, NULL), (4308, '', '富南村村民委员会', '122bf19a259547bc83208170e3778480', '9647e8d7ebdd4aa98f0960f8c3f8633c', 'False', 'True', 'false', 'false', '510322122228', 5, '富南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322122228', 1, '2021-07-19 11:34:09', NULL, NULL), (4309, '', '临江村村民委员会', '8871d3cedf3840059cb96520666493e8', '9647e8d7ebdd4aa98f0960f8c3f8633c', 'False', 'True', 'false', 'false', '510322122222', 5, '临江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322122222', 1, '2021-07-19 11:34:09', NULL, NULL), (4310, '', '飞龙镇', '4fc47d3802644c8baf3df9270eeb06b3', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322253000', 4, '飞龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322253000', 1, '2021-07-19 11:34:09', NULL, NULL), (4311, '', '飞龙社区居委会', '71cb8e59ffbb44c0a4856bead0c5e43a', '4fc47d3802644c8baf3df9270eeb06b3', 'False', 'True', 'false', 'false', '510322124003', 5, '飞龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322124003', 1, '2021-07-19 11:34:09', NULL, NULL), (4312, '', '新农社区居委会', '36389b768534472eb7cb9ffbfc87dc33', '4fc47d3802644c8baf3df9270eeb06b3', 'False', 'True', 'false', 'false', '510322124004', 5, '新农社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322124004', 1, '2021-07-19 11:34:09', NULL, NULL), (4313, '', '新安村村民委员会', '7e880dd10b8547958d6446e24e780b20', '4fc47d3802644c8baf3df9270eeb06b3', 'False', 'True', 'false', 'false', '510322124215', 5, '新安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322124215', 1, '2021-07-19 11:34:09', NULL, NULL), (4314, '', '新胜村村民委员会', '8ac7bf7a39a54c04aca0cfce0864a472', '4fc47d3802644c8baf3df9270eeb06b3', 'False', 'True', 'false', 'false', '510322124220', 5, '新胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322124220', 1, '2021-07-19 11:34:09', NULL, NULL), (4315, '', '蜂窝村村民委员会', 'dbdd0299ce83494999ff64a1f6588f7a', '4fc47d3802644c8baf3df9270eeb06b3', 'False', 'True', 'false', 'false', '510322124221', 5, '蜂窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322124221', 1, '2021-07-19 11:34:09', NULL, NULL), (4316, '', '新文村村民委员会', '15a2c954febd4fc3ade850d56dcdf7d2', '4fc47d3802644c8baf3df9270eeb06b3', 'False', 'True', 'false', 'false', '510322124223', 5, '新文村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322124223', 1, '2021-07-19 11:34:09', NULL, NULL), (4317, '', '桐子村村民委员会', '93eb5d036828413eb1d08c859bff829a', '4fc47d3802644c8baf3df9270eeb06b3', 'False', 'True', 'false', 'false', '510322124224', 5, '桐子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322124224', 1, '2021-07-19 11:34:10', NULL, NULL), (4318, '', '促进村村民委员会', 'd78cb40ed8364194b308595ad3e50842', '4fc47d3802644c8baf3df9270eeb06b3', 'False', 'True', 'false', 'false', '510322124225', 5, '促进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322124225', 1, '2021-07-19 11:34:10', NULL, NULL), (4319, '', '发农村村民委员会', '195345497f2541509e1c2fba551fe093', '4fc47d3802644c8baf3df9270eeb06b3', 'False', 'True', 'false', 'false', '510322124226', 5, '发农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322124226', 1, '2021-07-19 11:34:10', NULL, NULL), (4320, '', '真觉村村民委员会', '2261f2c9e92e4e17bd0ba82ed5381f98', '4fc47d3802644c8baf3df9270eeb06b3', 'False', 'True', 'false', 'false', '510322124227', 5, '真觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322124227', 1, '2021-07-19 11:34:10', NULL, NULL), (4321, '', '怀德镇', '17cedbe7230b415592a888e8ffa981ac', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322877000', 4, '怀德镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322877000', 1, '2021-07-19 11:34:10', NULL, NULL), (4322, '', '怀德社区居委会', 'f9aca66d066b4fd4b5376f31b15fffac', '17cedbe7230b415592a888e8ffa981ac', 'False', 'True', 'false', 'false', '510322125005', 5, '怀德社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322125005', 1, '2021-07-19 11:34:10', NULL, NULL), (4323, '', '大城社区居委会', '00ae6ef4cfc341c5b1296d2483e1481e', '17cedbe7230b415592a888e8ffa981ac', 'False', 'True', 'false', 'false', '510322125006', 5, '大城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322125006', 1, '2021-07-19 11:34:10', NULL, NULL), (4324, '', '安怀村村民委员会', '5f42a75ffd5740948f97b8fc76a1c693', '17cedbe7230b415592a888e8ffa981ac', 'False', 'True', 'false', 'false', '510322125201', 5, '安怀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322125201', 1, '2021-07-19 11:34:10', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (4325, '', '桥村村民委员会', 'b18063d914d04ce2a0e4dfd7da5d9edb', '17cedbe7230b415592a888e8ffa981ac', 'False', 'True', 'false', 'false', '510322125202', 5, '桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322125202', 1, '2021-07-19 11:34:11', NULL, NULL), (4326, '', '虎头村村民委员会', '68cc8fbd126948468ceabff9eeb5ef72', '17cedbe7230b415592a888e8ffa981ac', 'False', 'True', 'false', 'false', '510322125219', 5, '虎头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322125219', 1, '2021-07-19 11:34:11', NULL, NULL), (4327, '', '司湾村村民委员会', '2abfe35e06254ce5841886e4c508d583', '17cedbe7230b415592a888e8ffa981ac', 'False', 'True', 'false', 'false', '510322125218', 5, '司湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322125218', 1, '2021-07-19 11:34:11', NULL, NULL), (4328, '', '界牌村村民委员会', '31f065c4be734a9ea5f0db08ddd4dd86', '17cedbe7230b415592a888e8ffa981ac', 'False', 'True', 'false', 'false', '510322125206', 5, '界牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322125206', 1, '2021-07-19 11:34:11', NULL, NULL), (4329, '', '清辉村村民委员会', '5b8b0cec103a4b3882b260e7064acf67', '17cedbe7230b415592a888e8ffa981ac', 'False', 'True', 'false', 'false', '510322125213', 5, '清辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322125213', 1, '2021-07-19 11:34:11', NULL, NULL), (4330, '', '甘庙村村民委员会', '97945e343eef47198d6ea75b8a9a9738', '17cedbe7230b415592a888e8ffa981ac', 'False', 'True', 'false', 'false', '510322125214', 5, '甘庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322125214', 1, '2021-07-19 11:34:11', NULL, NULL), (4331, '', '菊花村村民委员会', 'b4a401953aa0489c815e7c7a691516a2', '17cedbe7230b415592a888e8ffa981ac', 'False', 'True', 'false', 'false', '510322125217', 5, '菊花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322125217', 1, '2021-07-19 11:34:11', NULL, NULL), (4332, '', '长滩镇', '8704082af3af4af99ef596b8772ad08c', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322647000', 4, '长滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322647000', 1, '2021-07-19 11:34:11', NULL, NULL), (4333, '', '长滩坝社区居委会', '294e122fa12a437faef95dcda2c0bc91', '8704082af3af4af99ef596b8772ad08c', 'False', 'True', 'false', 'false', '510322126002', 5, '长滩坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322126002', 1, '2021-07-19 11:34:12', NULL, NULL), (4334, '', '石道场社区居委会', '20f7995997a2414ebea39433d6203c67', '8704082af3af4af99ef596b8772ad08c', 'False', 'True', 'false', 'false', '510322169883', 5, '石道场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322169883', 1, '2021-07-19 11:34:12', NULL, NULL), (4335, '', '碑山村村民委员会', '36f17f8d2db34e3d842301655139d270', '8704082af3af4af99ef596b8772ad08c', 'False', 'True', 'false', 'false', '510322126201', 5, '碑山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322126201', 1, '2021-07-19 11:34:12', NULL, NULL), (4336, '', '龙滩村村民委员会', '83825e05a8e34d0abe9735757c3e9c91', '8704082af3af4af99ef596b8772ad08c', 'False', 'True', 'false', 'false', '510322169210', 5, '龙滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322169210', 1, '2021-07-19 11:34:12', NULL, NULL), (4337, '', '谭家村村民委员会', '893d9dcf4c5b441888e90fc13112a699', '8704082af3af4af99ef596b8772ad08c', 'False', 'True', 'false', 'false', '510322169362', 5, '谭家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322169362', 1, '2021-07-19 11:34:12', NULL, NULL), (4338, '', '鱼坝村村民委员会', 'f7e59afb5d45445fbda24a1393e0d34b', '8704082af3af4af99ef596b8772ad08c', 'False', 'True', 'false', 'false', '510322126204', 5, '鱼坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322126204', 1, '2021-07-19 11:34:12', NULL, NULL), (4339, '', '均安村村民委员会', '9d4848f1f8344ae69fc798fceb1e9e99', '8704082af3af4af99ef596b8772ad08c', 'False', 'True', 'false', 'false', '510322126211', 5, '均安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322126211', 1, '2021-07-19 11:34:12', NULL, NULL), (4340, '', '胡观村村民委员会', '229d9af6430c4cdc8dfc586c2f5e0205', '8704082af3af4af99ef596b8772ad08c', 'False', 'True', 'false', 'false', '510322126212', 5, '胡观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322126212', 1, '2021-07-19 11:34:12', NULL, NULL), (4341, '', '青苔村村民委员会', 'a9ad186c829b422f91be05957785b984', '8704082af3af4af99ef596b8772ad08c', 'False', 'True', 'false', 'false', '510322126213', 5, '青苔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322126213', 1, '2021-07-19 11:34:12', NULL, NULL), (4342, '', '石河村村民委员会', '1f411a836b3541eca91d04b3a247f4d3', '8704082af3af4af99ef596b8772ad08c', 'False', 'True', 'false', 'false', '510322169800', 5, '石河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322169800', 1, '2021-07-19 11:34:12', NULL, NULL), (4343, '', '同安村村民委员会', 'fad4d2075b374faa84beec150f59d960', '8704082af3af4af99ef596b8772ad08c', 'False', 'True', 'false', 'false', '510322169854', 5, '同安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322169854', 1, '2021-07-19 11:34:13', NULL, NULL), (4344, '', '龙万乡', '0022c279f2f54e179702f7f4d5655a7b', '0772d5368273424eb34177a912583788', 'True', 'True', 'false', 'false', '510322390000', 4, '龙万乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510322390000', 1, '2021-07-19 11:34:13', NULL, NULL), (4345, '', '万坳社区居委会', '1c43738a359a43e0a577555f0c56a180', '0022c279f2f54e179702f7f4d5655a7b', 'False', 'True', 'false', 'false', '510322390456', 5, '万坳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322390456', 1, '2021-07-19 11:34:13', NULL, NULL), (4346, '', '龙硐社区居委会', '5c3ee33610464424b7f12da6fa38c1ba', '0022c279f2f54e179702f7f4d5655a7b', 'False', 'True', 'false', 'false', '510322200004', 5, '龙硐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322200004', 1, '2021-07-19 11:34:13', NULL, NULL), (4347, '', '华利村村民委员会', 'dc02cf760dfd489eab81cfce65b1a74b', '0022c279f2f54e179702f7f4d5655a7b', 'False', 'True', 'false', 'false', '510322390125', 5, '华利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322390125', 1, '2021-07-19 11:34:13', NULL, NULL), (4348, '', '月亮村村民委员会', '83d5127dcb92469ab6eca15c246384bc', '0022c279f2f54e179702f7f4d5655a7b', 'False', 'True', 'false', 'false', '510322390234', 5, '月亮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322390234', 1, '2021-07-19 11:34:13', NULL, NULL), (4349, '', '自力村村民委员会', '7c518baa2f414b9db9f028bae726b4ac', '0022c279f2f54e179702f7f4d5655a7b', 'False', 'True', 'false', 'false', '510322390921', 5, '自力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322390921', 1, '2021-07-19 11:34:13', NULL, NULL), (4350, '', '罗桥村村民委员会', 'a53b3714622644318b6e1dba134dd785', '0022c279f2f54e179702f7f4d5655a7b', 'False', 'True', 'false', 'false', '510322390108', 5, '罗桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322390108', 1, '2021-07-19 11:34:13', NULL, NULL), (4351, '', '中和村村民委员会', '8ffd8b714b874b1badf2b25c0e557844', '0022c279f2f54e179702f7f4d5655a7b', 'False', 'True', 'false', 'false', '510322390721', 5, '中和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322390721', 1, '2021-07-19 11:34:13', NULL, NULL), (4352, '', '下井村村民委员会', 'b01592da9721469c92eb19df192d249a', '0022c279f2f54e179702f7f4d5655a7b', 'False', 'True', 'false', 'false', '510322390032', 5, '下井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322390032', 1, '2021-07-19 11:34:13', NULL, NULL), (4353, '', '五余村村民委员会', '4b971e0cb6464863b747a5b52e3a97fa', '0022c279f2f54e179702f7f4d5655a7b', 'False', 'True', 'false', 'false', '510322390191', 5, '五余村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322390191', 1, '2021-07-19 11:34:13', NULL, NULL), (4354, '', '白英村村民委员会', 'ce2163daed6446c8a822999eb341c61a', '0022c279f2f54e179702f7f4d5655a7b', 'False', 'True', 'false', 'false', '510322390627', 5, '白英村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322390627', 1, '2021-07-19 11:34:13', NULL, NULL), (4355, '', '谢扁村村民委员会', '4a6747da41354d1e957fbec82e84fe6e', '0022c279f2f54e179702f7f4d5655a7b', 'False', 'True', 'false', 'false', '510322390049', 5, '谢扁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510322390049', 1, '2021-07-19 11:34:13', NULL, NULL), (4356, '', '高新技术产业开发区', 'bf613a5a319649808bb938690727a5b6', 'effde37459fb401e8cabb51660853bab', 'True', 'True', 'false', 'false', '510305000000', 3, '高新区', 'zgsgxq.sczwfw.gov.cn', 1, '2021-07-19 11:34:13', NULL, NULL), (4357, '', '红旗街道', '8f8655c09af24eddb96c72d5efca62f2', 'bf613a5a319649808bb938690727a5b6', 'True', 'True', 'false', 'false', '510302201000', 4, '红旗街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510302201000', 1, '2021-07-19 11:34:14', NULL, NULL), (4358, '', '大岩社区', '5511a70c09ad4c36bf20c9b7a2bc3349', '8f8655c09af24eddb96c72d5efca62f2', 'False', 'True', 'false', 'false', '510305201001', 5, '大岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305201001', 1, '2021-07-19 11:34:14', NULL, NULL), (4359, '', '景湖社区', 'd5c2a7f079ef4104aa6ffdd45d4413e0', '8f8655c09af24eddb96c72d5efca62f2', 'False', 'True', 'false', 'false', '510305201002', 5, '景湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305201002', 1, '2021-07-19 11:34:14', NULL, NULL), (4360, '', '悦景社区', '4814ba4636f9439b8cbd70ec0a8b3559', '8f8655c09af24eddb96c72d5efca62f2', 'False', 'True', 'false', 'false', '510305201004', 5, '悦景社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305201004', 1, '2021-07-19 11:34:14', NULL, NULL), (4361, '', '东湖社区', '6a1c74976a254e5b8181eb020566dd53', '8f8655c09af24eddb96c72d5efca62f2', 'False', 'True', 'false', 'false', '510305201024', 5, '东湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305201024', 1, '2021-07-19 11:34:14', NULL, NULL), (4362, '', '国湖社区', 'f7842c6cd60547f6beba9afc63623beb', '8f8655c09af24eddb96c72d5efca62f2', 'False', 'True', 'false', 'false', '510305201053', 5, '国湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305201053', 1, '2021-07-19 11:34:14', NULL, NULL), (4363, '', '紫景社区', 'f61153e8dd6444a4b581986df328bd0a', '8f8655c09af24eddb96c72d5efca62f2', 'False', 'True', 'false', 'false', '510305201117', 5, '紫景社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305201117', 1, '2021-07-19 11:34:14', NULL, NULL), (4364, '', '大湾社区', '7a6309df228d4c908275940fdd0963d7', '8f8655c09af24eddb96c72d5efca62f2', 'False', 'True', 'false', 'false', '510305201185', 5, '大湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305201185', 1, '2021-07-19 11:34:14', NULL, NULL), (4365, '', '龙神社区', 'be0ea82985f243ff915a5d18d8491c42', '8f8655c09af24eddb96c72d5efca62f2', 'False', 'True', 'false', 'false', '510305201351', 5, '龙神社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305201351', 1, '2021-07-19 11:34:14', NULL, NULL), (4366, '', '西湖社区', 'fdd66bb100f947128d667c79bb541f5d', '8f8655c09af24eddb96c72d5efca62f2', 'False', 'True', 'false', 'false', '510305201357', 5, '西湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305201357', 1, '2021-07-19 11:34:14', NULL, NULL), (4367, '', '胜景社区', '092dc0c4bc3648119364239e3bb3030b', '8f8655c09af24eddb96c72d5efca62f2', 'False', 'True', 'false', 'false', '510305201515', 5, '胜景社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305201515', 1, '2021-07-19 11:34:15', NULL, NULL), (4368, '', '杨公桥社区', 'd7d2ad9e052c4c069f4ae8916dcfe719', '8f8655c09af24eddb96c72d5efca62f2', 'False', 'True', 'false', 'false', '510305201805', 5, '杨公桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305201805', 1, '2021-07-19 11:34:15', NULL, NULL), (4369, '', '和景社区', '8a9a912545144358bef25588a829597e', '8f8655c09af24eddb96c72d5efca62f2', 'False', 'True', 'false', 'false', '510305201830', 5, '和景社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305201830', 1, '2021-07-19 11:34:15', NULL, NULL), (4370, '', '御景社区', '2419d3e9729e4403be9d571e03d65755', '8f8655c09af24eddb96c72d5efca62f2', 'False', 'True', 'false', 'false', '510305201920', 5, '御景社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305201920', 1, '2021-07-19 11:34:15', NULL, NULL), (4371, '', '华景社区', '0863c8a7698b41949657ce814ba7bfd0', '8f8655c09af24eddb96c72d5efca62f2', 'False', 'True', 'false', 'false', '510305202203', 5, '华景社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305202203', 1, '2021-07-19 11:34:15', NULL, NULL), (4372, '', '考举社区', 'c9ae3eb128fe489f8d9fa51dc1275580', '8f8655c09af24eddb96c72d5efca62f2', 'False', 'True', 'false', 'false', '510305202206', 5, '考举社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305202206', 1, '2021-07-19 11:34:15', NULL, NULL), (4373, '', '板仓街道', '8fa8ff1999f34e6cafdf417eeb2fc556', 'bf613a5a319649808bb938690727a5b6', 'True', 'True', 'false', 'false', '510305381000', 4, '板仓街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510305381000', 1, '2021-07-19 11:34:15', NULL, NULL), (4374, '', '沙坪社区', '9290ce094ab44f158559cf57122e5112', '8fa8ff1999f34e6cafdf417eeb2fc556', 'False', 'True', 'false', 'false', '510305001956', 5, '沙坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305001956', 1, '2021-07-19 11:34:15', NULL, NULL), (4375, '', '重滩村', '71cddacb1599431da1e27c490b52e1cc', '8fa8ff1999f34e6cafdf417eeb2fc556', 'False', 'True', 'false', 'false', '510305381086', 5, '重滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305381086', 1, '2021-07-19 11:34:15', NULL, NULL), (4376, '', '桔香村', '3a0f1e32007946ef9126af0e8aef01dd', '8fa8ff1999f34e6cafdf417eeb2fc556', 'False', 'True', 'false', 'false', '510305381317', 5, '桔香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305381317', 1, '2021-07-19 11:34:16', NULL, NULL), (4377, '', '卷梓社区', 'da859089efa84dd8b8947b73a0f2fb80', '8fa8ff1999f34e6cafdf417eeb2fc556', 'False', 'True', 'false', 'false', '510305381471', 5, '卷梓社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305381471', 1, '2021-07-19 11:34:16', NULL, NULL), (4378, '', '蔡市村', 'cc211b7fa8dc494a89474bf4d79565d4', '8fa8ff1999f34e6cafdf417eeb2fc556', 'False', 'True', 'false', 'false', '510305381532', 5, '蔡市村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305381532', 1, '2021-07-19 11:34:16', NULL, NULL), (4379, '', '瑶湾村', '68eac390161b4ff1adf41f0decf155d6', '8fa8ff1999f34e6cafdf417eeb2fc556', 'False', 'True', 'false', 'false', '510305381576', 5, '瑶湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305381576', 1, '2021-07-19 11:34:16', NULL, NULL), (4380, '', '兴塘村', '360425769bbc4eaf9a12c472c55eb57b', '8fa8ff1999f34e6cafdf417eeb2fc556', 'False', 'True', 'false', 'false', '510305381769', 5, '兴塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305381769', 1, '2021-07-19 11:34:16', NULL, NULL), (4381, '', '易市村', '66bcb23d2bc0418c9d7abfde3e2d8f5c', '8fa8ff1999f34e6cafdf417eeb2fc556', 'False', 'True', 'false', 'false', '510305381770', 5, '易市村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305381770', 1, '2021-07-19 11:34:16', NULL, NULL), (4382, '', '糍粑坳社区', 'c1a65e78f8514bcca3d5c91f585b868f', '8fa8ff1999f34e6cafdf417eeb2fc556', 'False', 'True', 'false', 'false', '510305381772', 5, '糍粑坳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305381772', 1, '2021-07-19 11:34:16', NULL, NULL), (4383, '', '新严社区', '646c1a92fbb54d7b83f6d71bc952d710', '8fa8ff1999f34e6cafdf417eeb2fc556', 'False', 'True', 'false', 'false', '510305381814', 5, '新严社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305381814', 1, '2021-07-19 11:34:16', NULL, NULL), (4384, '', '打谷村', '8e853fa28d81481ba1211bd3572206e1', '8fa8ff1999f34e6cafdf417eeb2fc556', 'False', 'True', 'false', 'false', '510305381881', 5, '打谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305381881', 1, '2021-07-19 11:34:16', NULL, NULL), (4385, '', '付家村', '6029022596d243feadc6a92b936c9609', '8fa8ff1999f34e6cafdf417eeb2fc556', 'False', 'True', 'false', 'false', '510305381929', 5, '付家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305381929', 1, '2021-07-19 11:34:17', NULL, NULL), (4386, '', '万佳村', 'faacfb30e5a84961aa3aa46a3d2c6525', '8fa8ff1999f34e6cafdf417eeb2fc556', 'False', 'True', 'false', 'false', '510305381959', 5, '万佳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305381959', 1, '2021-07-19 11:34:17', NULL, NULL), (4387, '', '詹市村', '5144115f2e6a460a8379dbd541bc3143', '8fa8ff1999f34e6cafdf417eeb2fc556', 'False', 'True', 'false', 'false', '510305381968', 5, '詹市村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305381968', 1, '2021-07-19 11:34:17', NULL, NULL), (4388, '', '尖山社区', '070e711293074b36a5c83c7f27dd3151', '8fa8ff1999f34e6cafdf417eeb2fc556', 'False', 'True', 'false', 'false', '510305381994', 5, '尖山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305381994', 1, '2021-07-19 11:34:17', NULL, NULL), (4389, '', '学苑街道', 'acf25cd75e41472bbb238b71aad60eb5', 'bf613a5a319649808bb938690727a5b6', 'True', 'True', 'false', 'false', '510305532000', 4, '学苑街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510305532000', 1, '2021-07-19 11:34:17', NULL, NULL), (4390, '', '英祥社区', 'afbec0da82fa4d67a0ce2ba7280ddb8e', 'acf25cd75e41472bbb238b71aad60eb5', 'False', 'False', 'false', 'false', '510302006006', 5, '英祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302006006', 1, '2021-07-19 11:34:17', NULL, NULL), (4391, '', '南苑社区', 'c31bd3042a1c42a29eb8a1878fd72f40', 'acf25cd75e41472bbb238b71aad60eb5', 'False', 'False', 'false', 'false', '510302006182', 5, '南苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302006182', 1, '2021-07-19 11:34:17', NULL, NULL), (4392, '', '谢家坝社区', 'f0a8db9c836c4c28b550e9afc595ebf7', 'acf25cd75e41472bbb238b71aad60eb5', 'False', 'False', 'false', 'false', '510302006494', 5, '谢家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302006494', 1, '2021-07-19 11:34:17', NULL, NULL), (4393, '', '泉井社区', '72bb6f16be10413da38a63afeb84c3e0', 'acf25cd75e41472bbb238b71aad60eb5', 'False', 'False', 'false', 'false', '510302006577', 5, '泉井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302006577', 1, '2021-07-19 11:34:17', NULL, NULL), (4394, '', '邓家坝社区', '576d0632a6a743429e8d01c3a9db93c0', 'acf25cd75e41472bbb238b71aad60eb5', 'False', 'True', 'false', 'false', '510302006603', 5, '邓家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302006603', 1, '2021-07-19 11:34:17', NULL, NULL), (4395, '', '新汇社区', 'e72caa8d2dec4d76afcca9c30cdf6ac6', 'acf25cd75e41472bbb238b71aad60eb5', 'False', 'False', 'false', 'false', '510302006622', 5, '新汇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302006622', 1, '2021-07-19 11:34:17', NULL, NULL), (4396, '', '白果社区', 'e9c3d297b4f24c0dbdccaa5aed72ed21', 'acf25cd75e41472bbb238b71aad60eb5', 'False', 'True', 'false', 'false', '510302006628', 5, '白果社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302006628', 1, '2021-07-19 11:34:18', NULL, NULL), (4397, '', '龙城社区', '3ec960522f674900a292676a73e2078e', 'acf25cd75e41472bbb238b71aad60eb5', 'False', 'False', 'false', 'false', '510302006762', 5, '龙城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302006762', 1, '2021-07-19 11:34:18', NULL, NULL), (4398, '', '金海社区', '46d986b037324140bb8d981201f14fd1', 'acf25cd75e41472bbb238b71aad60eb5', 'False', 'False', 'false', 'false', '510302006776', 5, '金海社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302006776', 1, '2021-07-19 11:34:18', NULL, NULL), (4399, '', '高峰街道', '3727697d3d574b1daeb638ad0fddfe3b', 'bf613a5a319649808bb938690727a5b6', 'True', 'True', 'false', 'false', '510305894000', 4, '高峰街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510305894000', 1, '2021-07-19 11:34:18', NULL, NULL), (4400, '', '燊海社区', 'ec73fc2c83b045b99f9c07d39e904591', '3727697d3d574b1daeb638ad0fddfe3b', 'False', 'True', 'false', 'false', '510305204002', 5, '燊海社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305204002', 1, '2021-07-19 11:34:18', NULL, NULL), (4401, '', '景苑社区', '5ae5d05a31e2461e9d8645e2696e98a1', '3727697d3d574b1daeb638ad0fddfe3b', 'False', 'True', 'false', 'false', '510305204003', 5, '景苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305204003', 1, '2021-07-19 11:34:18', NULL, NULL), (4402, '', '高峰村', '1b2571d2f0284f8796f06e766e26807a', '3727697d3d574b1daeb638ad0fddfe3b', 'False', 'True', 'false', 'false', '510305204201', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305204201', 1, '2021-07-19 11:34:18', NULL, NULL), (4403, '', '双院村', '6626bfe338f84657bbc519a9dc4cbc9b', '3727697d3d574b1daeb638ad0fddfe3b', 'False', 'True', 'false', 'false', '510305204203', 5, '双院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305204203', 1, '2021-07-19 11:34:18', NULL, NULL), (4404, '', '兴陈村', '33594d816562450eb785b86339ae74b0', '3727697d3d574b1daeb638ad0fddfe3b', 'False', 'True', 'false', 'false', '510305204204', 5, '兴陈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305204204', 1, '2021-07-19 11:34:18', NULL, NULL), (4405, '', '罗冲村', 'f6d865c0703d4836970d28cd7a8116ae', '3727697d3d574b1daeb638ad0fddfe3b', 'False', 'True', 'false', 'false', '510305204205', 5, '罗冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305204205', 1, '2021-07-19 11:34:18', NULL, NULL), (4406, '', '丹桂街道', '82ab1b3c8c194fdda339282c17ecc984', 'bf613a5a319649808bb938690727a5b6', 'True', 'True', 'false', 'false', '510305911000', 4, '丹桂街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510305911000', 1, '2021-07-19 11:34:19', NULL, NULL), (4407, '', '银桦社区', '69648ed353894140bfc3e348e2b0e882', '82ab1b3c8c194fdda339282c17ecc984', 'False', 'True', 'false', 'false', '510302005036', 5, '银桦社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302005036', 1, '2021-07-19 11:34:19', NULL, NULL), (4408, '', '丹桂社区', '2b037d89a29b47d9b19fbb9c33b876c3', '82ab1b3c8c194fdda339282c17ecc984', 'False', 'True', 'false', 'false', '510302005301', 5, '丹桂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510302005301', 1, '2021-07-19 11:34:19', NULL, NULL), (4409, '', '桂花社区', 'd6ef6dc3030d4b68ba8659c4adab2a94', '82ab1b3c8c194fdda339282c17ecc984', 'False', 'True', 'false', 'false', '510305005014', 5, '桂花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305005014', 1, '2021-07-19 11:34:19', NULL, NULL), (4410, '', '绿盛社区', 'c09987841dc94e14a417df4c420ac037', '82ab1b3c8c194fdda339282c17ecc984', 'False', 'True', 'false', 'false', '510305005079', 5, '绿盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305005079', 1, '2021-07-19 11:34:19', NULL, NULL), (4411, '', '明珠社区', 'aec017d03a3044f4b4d594391c88614a', '82ab1b3c8c194fdda339282c17ecc984', 'False', 'True', 'false', 'false', '510305005082', 5, '明珠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305005082', 1, '2021-07-19 11:34:19', NULL, NULL), (4412, '', '春华社区', '577e29df3f3b40c685120bcd5761a128', '82ab1b3c8c194fdda339282c17ecc984', 'False', 'True', 'false', 'false', '510305005422', 5, '春华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305005422', 1, '2021-07-19 11:34:19', NULL, NULL), (4413, '', '梨园社区', 'ea0f7b8774ba460d8744d03eab56cfcb', '82ab1b3c8c194fdda339282c17ecc984', 'False', 'True', 'false', 'false', '510305005638', 5, '梨园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305005638', 1, '2021-07-19 11:34:19', NULL, NULL), (4414, '', '交通苑社区', 'df22695b0d634c7ea35c2660623bd54f', '82ab1b3c8c194fdda339282c17ecc984', 'False', 'True', 'false', 'false', '510305005799', 5, '交通苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305005799', 1, '2021-07-19 11:34:19', NULL, NULL), (4415, '', '方冲社区', '623680a21dac44f097c770f6db41dfc2', '82ab1b3c8c194fdda339282c17ecc984', 'False', 'True', 'false', 'false', '510305005846', 5, '方冲社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510305005846', 1, '2021-07-19 11:34:19', NULL, NULL), (4416, '', '攀枝花市', '843aea67950f4877ac8861d24db593e5', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '510400000000', 2, '攀枝花市', 'pzhs.sczwfw.gov.cn', 1, '2021-07-19 11:34:19', NULL, NULL), (4417, '', '东区', '94ced588e13849288b6653d609d7285e', '843aea67950f4877ac8861d24db593e5', 'True', 'True', 'false', 'false', '510402000000', 3, '东区', 'pzhsdq.sczwfw.gov.cn', 1, '2021-07-19 11:34:19', NULL, NULL), (4418, '', '东华街道', '9b5da5b5a7434f45ab24ce8799588435', '94ced588e13849288b6653d609d7285e', 'True', 'True', 'false', 'false', '510402669000', 4, '东华街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510402669000', 1, '2021-07-19 11:34:20', NULL, NULL), (4419, '', '文华社区居民委员会', 'ac6915a44da0432b85a8bbc385baf6ef', '9b5da5b5a7434f45ab24ce8799588435', 'False', 'True', 'false', 'false', '510402010432', 5, '文华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402010432', 1, '2021-07-19 11:34:20', NULL, NULL), (4420, '', '民建社区居民委员会', 'a47d6e44b8c7464dbbfdbee9f597fbc0', '9b5da5b5a7434f45ab24ce8799588435', 'False', 'True', 'false', 'false', '510402010468', 5, '民建社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402010468', 1, '2021-07-19 11:34:20', NULL, NULL), (4421, '', '阳城社区居民委员会', 'bb554a03492f4cb092e737026a366d63', '9b5da5b5a7434f45ab24ce8799588435', 'False', 'True', 'false', 'false', '510402010527', 5, '阳城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402010527', 1, '2021-07-19 11:34:20', NULL, NULL), (4422, '', '新源路社区居民委员会', 'c7c7ef95fd71446391dcdcd11ceabfec', '9b5da5b5a7434f45ab24ce8799588435', 'False', 'True', 'false', 'false', '510402010544', 5, '新源路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402010544', 1, '2021-07-19 11:34:20', NULL, NULL), (4423, '', '学园路社区居民委员会', '4c64c02cf5f1435ca0332fa97720a68a', '9b5da5b5a7434f45ab24ce8799588435', 'False', 'True', 'false', 'false', '510402010554', 5, '学园路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402010554', 1, '2021-07-19 11:34:20', NULL, NULL), (4424, '', '龙珠社区居民委员会', '66d27bf3260d49cf84d7e942bb1ec4c3', '9b5da5b5a7434f45ab24ce8799588435', 'False', 'True', 'false', 'false', '510402010591', 5, '龙珠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402010591', 1, '2021-07-19 11:34:20', NULL, NULL), (4425, '', '金汇社区居民委员会', '70d36b744a2e493da2b2008f411faf9f', '9b5da5b5a7434f45ab24ce8799588435', 'False', 'True', 'false', 'false', '510402010607', 5, '金汇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402010607', 1, '2021-07-19 11:34:20', NULL, NULL), (4426, '', '弄弄坪街道', '1ee1590a8dd74699a6023d28e150d4f0', '94ced588e13849288b6653d609d7285e', 'True', 'True', 'false', 'false', '510402458000', 4, '弄弄坪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510402458000', 1, '2021-07-19 11:34:20', NULL, NULL), (4427, '', '向阳社区居民委员会', '0bd4c000ba7d4502a7718d94948e6e7e', '1ee1590a8dd74699a6023d28e150d4f0', 'False', 'True', 'false', 'false', '510402005157', 5, '向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402005157', 1, '2021-07-19 11:34:20', NULL, NULL), (4428, '', '大地湾社区居民委员会', '310424dfb6954fcb89144fd43ed7331a', '1ee1590a8dd74699a6023d28e150d4f0', 'False', 'True', 'false', 'false', '510402005282', 5, '大地湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402005282', 1, '2021-07-19 11:34:20', NULL, NULL), (4429, '', '枣树坡社区居民委员会', '264ed12676ca4dc1beac54f2068728b1', '1ee1590a8dd74699a6023d28e150d4f0', 'False', 'True', 'false', 'false', '510402005469', 5, '枣树坡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402005469', 1, '2021-07-19 11:34:20', NULL, NULL), (4430, '', '长寿路社区居民委员会', '54a4f56ab00440a8b62e3d33b6ee4f84', '1ee1590a8dd74699a6023d28e150d4f0', 'False', 'True', 'false', 'false', '510402005978', 5, '长寿路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402005978', 1, '2021-07-19 11:34:20', NULL, NULL), (4431, '', '烂泥田社区', 'ba41ae0fc35b43cf85c98cb73fe7b29f', '1ee1590a8dd74699a6023d28e150d4f0', 'False', 'True', 'false', 'false', '510402005273', 5, '烂泥田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402005273', 1, '2021-07-19 11:34:20', NULL, NULL), (4432, '', '高峰社区', 'b55e01c26ec84d7f8659ecff13feeb68', '1ee1590a8dd74699a6023d28e150d4f0', 'False', 'True', 'false', 'false', '510402005337', 5, '高峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402005337', 1, '2021-07-19 11:34:21', NULL, NULL), (4433, '', '大花地社区', '60ca0819cebf4cdd9f66b3c6837d68bb', '1ee1590a8dd74699a6023d28e150d4f0', 'False', 'True', 'false', 'false', '510402005688', 5, '大花地社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402005688', 1, '2021-07-19 11:34:21', NULL, NULL), (4434, '', '东风社区', '3f76d0617c7a4937b0ed018d92e970f1', '1ee1590a8dd74699a6023d28e150d4f0', 'False', 'True', 'false', 'false', '510402005945', 5, '东风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402005945', 1, '2021-07-19 11:34:21', NULL, NULL), (4435, '', '银江镇', '37ab331be861420dbc49c932711e6762', '94ced588e13849288b6653d609d7285e', 'True', 'True', 'false', 'false', '510402486000', 4, '银江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510402486000', 1, '2021-07-19 11:34:21', NULL, NULL), (4436, '', '恒德社区居民委员会', 'f21f1ebaaffc491ca9a95b91bab28d42', '37ab331be861420dbc49c932711e6762', 'False', 'True', 'false', 'false', '510402100503', 5, '恒德社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402100503', 1, '2021-07-19 11:34:21', NULL, NULL), (4437, '', '弄密社区村民委员会', '387a42b13879434ab53db64cba9889bb', '37ab331be861420dbc49c932711e6762', 'False', 'True', 'false', 'false', '510402100876', 5, '弄密村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402100876', 1, '2021-07-19 11:34:21', NULL, NULL), (4438, '', '攀枝花村', '17aa0630b7d14118a8f4ee0aad3e4afb', '37ab331be861420dbc49c932711e6762', 'False', 'True', 'false', 'false', '510402100034', 5, '攀枝花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402100034', 1, '2021-07-19 11:34:21', NULL, NULL), (4439, '', '华山村', 'fca98d481a9d4e0d8064e9e13a5f1fc3', '37ab331be861420dbc49c932711e6762', 'False', 'True', 'false', 'false', '510402100074', 5, '华山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402100074', 1, '2021-07-19 11:34:21', NULL, NULL), (4440, '', '五道河社区', 'ed56c65fbd1b4c4b80d8af96a0693301', '37ab331be861420dbc49c932711e6762', 'False', 'True', 'false', 'false', '510402100108', 5, '五道河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402100108', 1, '2021-07-19 11:34:21', NULL, NULL), (4441, '', '阿署达村', 'f66ae723b26647b0be04db0e94d1a9af', '37ab331be861420dbc49c932711e6762', 'False', 'True', 'false', 'false', '510402100110', 5, '阿署达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402100110', 1, '2021-07-19 11:34:21', NULL, NULL), (4442, '', '五道河村', 'f3ff74b7aebc4b888b8c6a79c95a3acf', '37ab331be861420dbc49c932711e6762', 'False', 'True', 'false', 'false', '510402100116', 5, '五道河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402100116', 1, '2021-07-19 11:34:21', NULL, NULL), (4443, '', '沙坝村', '3c850340dbb0470fbdcb691760d93cfc', '37ab331be861420dbc49c932711e6762', 'False', 'True', 'false', 'false', '510402100125', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402100125', 1, '2021-07-19 11:34:22', NULL, NULL), (4444, '', '倮果社区', 'aee42ae169e948bf801dae084d60731e', '37ab331be861420dbc49c932711e6762', 'False', 'True', 'false', 'false', '510402100215', 5, '倮果社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402100215', 1, '2021-07-19 11:34:22', NULL, NULL), (4445, '', '双江社区', '4a08ab72738847f79f94dd6717c5c33c', '37ab331be861420dbc49c932711e6762', 'False', 'True', 'false', 'false', '510402100684', 5, '双江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402100684', 1, '2021-07-19 11:34:22', NULL, NULL), (4446, '', '双龙滩村', '11c16eea2b614940b0c468538797e7bc', '37ab331be861420dbc49c932711e6762', 'False', 'True', 'false', 'false', '510402100777', 5, '双龙滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402100777', 1, '2021-07-19 11:34:22', NULL, NULL), (4447, '', '瓜子坪街道', 'aadbb76c28a941d0af58c2b52f7d55fe', '94ced588e13849288b6653d609d7285e', 'True', 'True', 'false', 'false', '510402581000', 4, '瓜子坪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510402581000', 1, '2021-07-19 11:34:22', NULL, NULL), (4448, '', '佳运社区居民委员会', 'cacd01a922214f48be357d4cb9347eb3', 'aadbb76c28a941d0af58c2b52f7d55fe', 'False', 'True', 'false', 'false', '510402009214', 5, '佳运社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402009214', 1, '2021-07-19 11:34:22', NULL, NULL), (4449, '', '密地社区居民委员会', 'f0196f965a3d4f0eb5a4aba1dae5e1f3', 'aadbb76c28a941d0af58c2b52f7d55fe', 'False', 'True', 'false', 'false', '510402009584', 5, '密地社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402009584', 1, '2021-07-19 11:34:22', NULL, NULL), (4450, '', '青年路社区', 'f04db974c56b4ce28b754b26d10845ca', 'aadbb76c28a941d0af58c2b52f7d55fe', 'False', 'True', 'false', 'false', '510402009081', 5, '青年路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402009081', 1, '2021-07-19 11:34:22', NULL, NULL), (4451, '', '新民路社区', '2853b8a5a3e147b7b59ee3e74b450b8f', 'aadbb76c28a941d0af58c2b52f7d55fe', 'False', 'True', 'false', 'false', '510402009233', 5, '新民路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402009233', 1, '2021-07-19 11:34:22', NULL, NULL), (4452, '', '阳光馨园社区', '889cb1968ffb4b03a6c8fe82bb058548', 'aadbb76c28a941d0af58c2b52f7d55fe', 'False', 'True', 'false', 'false', '510402009296', 5, '阳光馨园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402009296', 1, '2021-07-19 11:34:22', NULL, NULL), (4453, '', '兰尖社区', '30f0454896c5484e8acebe8616f78f8e', 'aadbb76c28a941d0af58c2b52f7d55fe', 'False', 'True', 'false', 'false', '510402009587', 5, '兰尖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402009587', 1, '2021-07-19 11:34:22', NULL, NULL), (4454, '', '攀北社区', '00f5ced7cba649f2b2bb1008dc2f3fc9', 'aadbb76c28a941d0af58c2b52f7d55fe', 'False', 'True', 'false', 'false', '510402009661', 5, '攀北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402009661', 1, '2021-07-19 11:34:22', NULL, NULL), (4455, '', '马兰山社区', '42ab44cd44fe4048b636b5575b030d22', 'aadbb76c28a941d0af58c2b52f7d55fe', 'False', 'True', 'false', 'false', '510402009799', 5, '马兰山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402009799', 1, '2021-07-19 11:34:22', NULL, NULL), (4456, '', '炳草岗街道', 'd0200283672e4e96889856b3c4dcbc9f', '94ced588e13849288b6653d609d7285e', 'True', 'True', 'false', 'false', '510402588000', 4, '炳草岗街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510402588000', 1, '2021-07-19 11:34:22', NULL, NULL), (4457, '', '二街坊社区', 'd0123bb37bf447deb8761d1a142e6e31', 'd0200283672e4e96889856b3c4dcbc9f', 'False', 'True', 'false', 'false', '510402002122', 5, '二街坊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402002122', 1, '2021-07-19 11:34:23', NULL, NULL), (4458, '', '凤凰社区', '08b62b19a5d349cd9157df81df8cac71', 'd0200283672e4e96889856b3c4dcbc9f', 'False', 'True', 'false', 'false', '510402002140', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402002140', 1, '2021-07-19 11:34:23', NULL, NULL), (4459, '', '湖光社区', '098dfe63073d4d9f8206fff8ab43342c', 'd0200283672e4e96889856b3c4dcbc9f', 'False', 'True', 'false', 'false', '510402002455', 5, '湖光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402002455', 1, '2021-07-19 11:34:23', NULL, NULL), (4460, '', '紫荆山社区居民委员会', 'cbee2062017341ee8443076d8e128dcd', 'd0200283672e4e96889856b3c4dcbc9f', 'False', 'True', 'false', 'false', '510402002467', 5, '紫荆山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402002467', 1, '2021-07-19 11:34:23', NULL, NULL), (4461, '', '竹湖园社区', '47b6c0cb151440338282bd17e9a41853', 'd0200283672e4e96889856b3c4dcbc9f', 'False', 'True', 'false', 'false', '510402002495', 5, '竹湖园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402002495', 1, '2021-07-19 11:34:23', NULL, NULL), (4462, '', '望江街社区', 'ff2076c7ee8145119b1d9d675331b0ee', 'd0200283672e4e96889856b3c4dcbc9f', 'False', 'True', 'false', 'false', '510402002601', 5, '望江街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402002601', 1, '2021-07-19 11:34:23', NULL, NULL), (4463, '', '西海岸社区', '4329711dcef648b7a2ed9870d43b9425', 'd0200283672e4e96889856b3c4dcbc9f', 'False', 'True', 'false', 'false', '510402002827', 5, '西海岸社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402002827', 1, '2021-07-19 11:34:23', NULL, NULL), (4464, '', '红星社区', '78df897801614d8895191fb9d3db544f', 'd0200283672e4e96889856b3c4dcbc9f', 'False', 'True', 'false', 'false', '510402002959', 5, '红星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402002959', 1, '2021-07-19 11:34:23', NULL, NULL), (4465, '', '大渡口街道', '71a4ecd32ff64acaadaadad3be82c3d4', '94ced588e13849288b6653d609d7285e', 'True', 'True', 'false', 'false', '510402884000', 4, '大渡口街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510402884000', 1, '2021-07-19 11:34:23', NULL, NULL), (4466, '', '南山社区居民委员会', 'a1194040929549a5bda376c4a4cfad83', '71a4ecd32ff64acaadaadad3be82c3d4', 'False', 'True', 'false', 'false', '510402001530', 5, '南山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402001530', 1, '2021-07-19 11:34:23', NULL, NULL), (4467, '', '光明社区', '2c915a248fd147989add92724d3ff17c', '71a4ecd32ff64acaadaadad3be82c3d4', 'False', 'True', 'false', 'false', '510402001193', 5, '光明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402001193', 1, '2021-07-19 11:34:23', NULL, NULL), (4468, '', '东方红社区', 'd26784bdf4d143c0beeb5fcfb65f81bc', '71a4ecd32ff64acaadaadad3be82c3d4', 'False', 'True', 'false', 'false', '510402001492', 5, '东方红社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402001492', 1, '2021-07-19 11:34:23', NULL, NULL), (4469, '', '金福社区', '0bd697e330c649f0bc84f0471fa0c52b', '71a4ecd32ff64acaadaadad3be82c3d4', 'False', 'True', 'false', 'false', '510402001701', 5, '金福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402001701', 1, '2021-07-19 11:34:23', NULL, NULL), (4470, '', '大渡口社区', 'bece5d32fe0c4753a67db7556c4b29b3', '71a4ecd32ff64acaadaadad3be82c3d4', 'False', 'True', 'false', 'false', '510402001768', 5, '大渡口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510402001768', 1, '2021-07-19 11:34:23', NULL, NULL), (4471, '', '西区', 'c0961451186f4cdfb5f4806f0fe5ea6b', '843aea67950f4877ac8861d24db593e5', 'True', 'True', 'false', 'false', '510403000000', 3, '西区', 'pzhsxq.sczwfw.gov.cn', 1, '2021-07-19 11:34:23', NULL, NULL), (4472, '', '玉泉街道', '9c2a2a3d3c1f41bd99047f6dd2db9576', 'c0961451186f4cdfb5f4806f0fe5ea6b', 'True', 'True', 'false', 'false', '510403134000', 4, '玉泉街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510403134000', 1, '2021-07-19 11:34:24', NULL, NULL), (4473, '', '席草坪社区居民委员会', '606ce0e1103348f6a2966daba1257fad', '9c2a2a3d3c1f41bd99047f6dd2db9576', 'False', 'True', 'false', 'false', '510403000387', 5, '席草坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403000387', 1, '2021-07-19 11:34:24', NULL, NULL), (4474, '', '巴关河社区居民委员会', '1887e72ae6754badaf17c4d8d6a028ca', '9c2a2a3d3c1f41bd99047f6dd2db9576', 'False', 'True', 'false', 'false', '510403000518', 5, '巴关河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403000518', 1, '2021-07-19 11:34:24', NULL, NULL), (4475, '', '河石坝社区居民委员会', '1f7ae28b7d404d03987f2fb6ceba1317', '9c2a2a3d3c1f41bd99047f6dd2db9576', 'False', 'True', 'false', 'false', '510403000909', 5, '河石坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403000909', 1, '2021-07-19 11:34:24', NULL, NULL), (4476, '', '动力站社区居民委员会', '2669eba339944b3f8f0b74402b6eaf80', '9c2a2a3d3c1f41bd99047f6dd2db9576', 'False', 'True', 'false', 'false', '510403000953', 5, '动力站社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403000953', 1, '2021-07-19 11:34:24', NULL, NULL), (4477, '', '格里坪镇', 'd4a5bd48fbef403689234539bbf7623f', 'c0961451186f4cdfb5f4806f0fe5ea6b', 'True', 'True', 'false', 'false', '510403139000', 4, '格里坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510403139000', 1, '2021-07-19 11:34:24', NULL, NULL), (4478, '', '金桥村民委员会', '266b2790ce3c4811b3bf0993360d4332', 'd4a5bd48fbef403689234539bbf7623f', 'False', 'True', 'false', 'false', '510403139210', 5, '金桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403139210', 1, '2021-07-19 11:34:24', NULL, NULL), (4479, '', '金林社区居民委员会', 'ac65ade627564130b7e933820e104d85', 'd4a5bd48fbef403689234539bbf7623f', 'False', 'True', 'false', 'false', '510403139083', 5, '金林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403139083', 1, '2021-07-19 11:34:24', NULL, NULL), (4480, '', '格里坪村民委员会', 'f75e2673f4a24830b962a9cb7b8e0677', 'd4a5bd48fbef403689234539bbf7623f', 'False', 'True', 'false', 'false', '510403139197', 5, '格里坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403139197', 1, '2021-07-19 11:34:24', NULL, NULL), (4481, '', '庄上村民委员会', '592c51b1ce7048b9b830d16d5963e499', 'd4a5bd48fbef403689234539bbf7623f', 'False', 'True', 'false', 'false', '510403139202', 5, '庄上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403139202', 1, '2021-07-19 11:34:24', NULL, NULL), (4482, '', '新庄村民委员会', '7642085440324cabb477e289ea7d8de6', 'd4a5bd48fbef403689234539bbf7623f', 'False', 'True', 'false', 'false', '510403139315', 5, '新庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403139315', 1, '2021-07-19 11:34:24', NULL, NULL), (4483, '', '大水井村民委员会', '1814636e9edc4dc3937980e3de3c407b', 'd4a5bd48fbef403689234539bbf7623f', 'False', 'True', 'false', 'false', '510403139459', 5, '大水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403139459', 1, '2021-07-19 11:34:24', NULL, NULL), (4484, '', '金家村民委员会', '804f8b7e29bd44c197b79d98bbd69b58', 'd4a5bd48fbef403689234539bbf7623f', 'False', 'True', 'false', 'false', '510403139590', 5, '金家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403139590', 1, '2021-07-19 11:34:24', NULL, NULL), (4485, '', '景怡社区居民委员会', 'a0378595413745ba856c5d8379a1be1a', 'd4a5bd48fbef403689234539bbf7623f', 'False', 'True', 'false', 'false', '510403139650', 5, '景怡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403139650', 1, '2021-07-19 11:34:24', NULL, NULL), (4486, '', '河门口街道办事处', 'cfa27bae295841669ec4cc6134281b1d', 'c0961451186f4cdfb5f4806f0fe5ea6b', 'True', 'True', 'false', 'false', '510403169000', 4, '河门口街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510403169000', 1, '2021-07-19 11:34:25', NULL, NULL), (4487, '', '苏铁社区居民委员会', '6bf25566ceae49dabf0f590f3cd79412', 'cfa27bae295841669ec4cc6134281b1d', 'False', 'True', 'false', 'false', '510403169004', 5, '苏铁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403169004', 1, '2021-07-19 11:34:25', NULL, NULL), (4488, '', '河门口社区居民委员会', 'd201f7db83124f8d817cc07bf3663db3', 'cfa27bae295841669ec4cc6134281b1d', 'False', 'True', 'false', 'false', '510403169005', 5, '河门口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403169005', 1, '2021-07-19 11:34:25', NULL, NULL), (4489, '', '陶家渡街道办事处', '7934286ebaf749b4b4b3b32e050ee27f', 'c0961451186f4cdfb5f4806f0fe5ea6b', 'True', 'True', 'false', 'false', '510403722000', 4, '陶家渡街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510403722000', 1, '2021-07-19 11:34:25', NULL, NULL), (4490, '', '宝鼎社区居民委员会', '9d52edeb463c44dfbada2d631195e906', '7934286ebaf749b4b4b3b32e050ee27f', 'False', 'False', 'false', 'false', '510403722008', 5, '宝鼎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403722008', 1, '2021-07-19 11:34:25', NULL, NULL), (4491, '', '花山社区居民委员会', '97ab1c956af147cfb43a2afb8ce557af', '7934286ebaf749b4b4b3b32e050ee27f', 'False', 'False', 'false', 'false', '510403722009', 5, '花山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403722009', 1, '2021-07-19 11:34:25', NULL, NULL), (4492, '', '太平社区居民委员会', '9c232c7c0be846aba01a3dc80267189e', '7934286ebaf749b4b4b3b32e050ee27f', 'False', 'False', 'false', 'false', '510403722010', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403722010', 1, '2021-07-19 11:34:25', NULL, NULL), (4493, '', '矿建社区居民委员会', '45e405a0767f476ba48c7e74ec4635b5', '7934286ebaf749b4b4b3b32e050ee27f', 'False', 'True', 'false', 'false', '510403722809', 5, '矿建社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403722809', 1, '2021-07-19 11:34:25', NULL, NULL), (4494, '', '大宝鼎街道办事处', 'a1c42d3412054be7a8071d99d74c45f6', 'c0961451186f4cdfb5f4806f0fe5ea6b', 'True', 'True', 'false', 'false', '510403800000', 4, '大宝鼎街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510403800000', 1, '2021-07-19 11:34:25', NULL, NULL), (4495, '', '小宝鼎社区居民委员会', '8596083c8ba64aeb93351c3f71e6d4d9', 'a1c42d3412054be7a8071d99d74c45f6', 'False', 'True', 'false', 'false', '510403800336', 5, '小宝鼎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403800336', 1, '2021-07-19 11:34:25', NULL, NULL), (4496, '', '沿江社区居民委员会', 'ac1408b76dfc42a5b0e4dd8c022f2bb9', 'a1c42d3412054be7a8071d99d74c45f6', 'False', 'True', 'false', 'false', '510403800466', 5, '沿江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403800466', 1, '2021-07-19 11:34:26', NULL, NULL), (4497, '', '清香坪街道办事处', '78b8831bef154f41addf33d1f42966ba', 'c0961451186f4cdfb5f4806f0fe5ea6b', 'True', 'True', 'false', 'false', '510403835000', 4, '清香坪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510403835000', 1, '2021-07-19 11:34:26', NULL, NULL), (4498, '', '智学社区居民委员会', '7592605678f94ee1a2dc5b6398780b3d', '78b8831bef154f41addf33d1f42966ba', 'False', 'True', 'false', 'false', '510403835009', 5, '智学社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403835009', 1, '2021-07-19 11:34:26', NULL, NULL), (4499, '', '杨家坪社区居民委员会', 'd162f449ab904a11b1cff58257eb6740', '78b8831bef154f41addf33d1f42966ba', 'False', 'True', 'false', 'false', '510403835031', 5, '杨家坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403835031', 1, '2021-07-19 11:34:26', NULL, NULL), (4500, '', '大水井社区居民委员会', '2bd0480cdc0f4d97bb8dc70f2d418eb8', '78b8831bef154f41addf33d1f42966ba', 'False', 'True', 'false', 'false', '510403835760', 5, '大水井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403835760', 1, '2021-07-19 11:34:27', NULL, NULL), (4501, '', '金沙社区居民委员会', '18521d165d3e4c589b02f17c9f23c90d', '78b8831bef154f41addf33d1f42966ba', 'False', 'True', 'false', 'false', '510403835884', 5, '金沙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403835884', 1, '2021-07-19 11:34:27', NULL, NULL), (4502, '', '路南社区居民委员会', '681197e65abb4351a09e229c876289f0', '78b8831bef154f41addf33d1f42966ba', 'False', 'True', 'false', 'false', '510403835913', 5, '路南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403835913', 1, '2021-07-19 11:34:27', NULL, NULL), (4503, '', '路北社区居民委员会', '6cbd3636bc1f4a508e82ea4b11c8fed6', '78b8831bef154f41addf33d1f42966ba', 'False', 'True', 'false', 'false', '510403835942', 5, '路北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510403835942', 1, '2021-07-19 11:34:27', NULL, NULL), (4504, '', '仁和区', 'a54a9d0b300442a8ba972a4018986c80', '843aea67950f4877ac8861d24db593e5', 'True', 'True', 'false', 'false', '510411000000', 3, '仁和区', 'pzhsrhq.sczwfw.gov.cn', 1, '2021-07-19 11:34:27', NULL, NULL), (4505, '', '啊喇彝族乡', '37d4c93d7d5c4d09b8b7d2df5100c383', 'a54a9d0b300442a8ba972a4018986c80', 'True', 'True', 'false', 'false', '510411108000', 4, '啊喇彝族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510411108000', 1, '2021-07-19 11:34:27', NULL, NULL), (4506, '', '啊喇村民委员会', '400759cd3e3e47379fd2a3b144b2097e', '37d4c93d7d5c4d09b8b7d2df5100c383', 'False', 'True', 'false', 'false', '510411201072', 5, '啊喇村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411201072', 1, '2021-07-19 11:34:27', NULL, NULL), (4507, '', '官房社区村民委员会', '1a5efd314cc14099aa466ba81090790a', '37d4c93d7d5c4d09b8b7d2df5100c383', 'False', 'True', 'false', 'false', '510411201244', 5, '官房社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411201244', 1, '2021-07-19 11:34:27', NULL, NULL), (4508, '', '永富社区村民委员会', '3466df9ef61f4c5987b332cee8095aeb', '37d4c93d7d5c4d09b8b7d2df5100c383', 'False', 'True', 'false', 'false', '510411201484', 5, '永富社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411201484', 1, '2021-07-19 11:34:27', NULL, NULL), (4509, '', '大竹社区村民委员会', 'd3ec84f81ecc40e093b52740bc0e0998', '37d4c93d7d5c4d09b8b7d2df5100c383', 'False', 'True', 'false', 'false', '510411201769', 5, '大竹社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411201769', 1, '2021-07-19 11:34:27', NULL, NULL), (4510, '', '起查喇社区村民委员会', '19efff9b8ab943c19dcc296463ba32fa', '37d4c93d7d5c4d09b8b7d2df5100c383', 'False', 'True', 'false', 'false', '510411201797', 5, '起查喇社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411201797', 1, '2021-07-19 11:34:27', NULL, NULL), (4511, '', '中坝乡', '3de771966fd04f9e9f97c046de353eeb', 'a54a9d0b300442a8ba972a4018986c80', 'True', 'True', 'false', 'false', '510411183000', 4, '中坝乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510411183000', 1, '2021-07-19 11:34:28', NULL, NULL), (4512, '', '中坝社区村民委员会', '61019e09d11a454fbbd9f5f11f7e1ba4', '3de771966fd04f9e9f97c046de353eeb', 'False', 'True', 'false', 'false', '510411205369', 5, '中坝社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411205369', 1, '2021-07-19 11:34:28', NULL, NULL), (4513, '', '大纸房社区村民委员会', '37bbd4e8f7e144dcaa1e850c6993b4ba', '3de771966fd04f9e9f97c046de353eeb', 'False', 'True', 'false', 'false', '510411205530', 5, '大纸房社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411205530', 1, '2021-07-19 11:34:28', NULL, NULL), (4514, '', '学房社区村民委员会', 'be34ba7bd98f4ce1922dfdfd3e7dad2b', '3de771966fd04f9e9f97c046de353eeb', 'False', 'True', 'false', 'false', '510411205807', 5, '学房社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411205807', 1, '2021-07-19 11:34:28', NULL, NULL), (4515, '', '团山社区村民委员会', '8fa2fe1ae8844d9d9d406ba166575a57', '3de771966fd04f9e9f97c046de353eeb', 'False', 'True', 'false', 'false', '510411205906', 5, '团山社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411205906', 1, '2021-07-19 11:34:28', NULL, NULL), (4516, '', '同德镇', '57fca6fd91c34337aee475ec274a9515', 'a54a9d0b300442a8ba972a4018986c80', 'True', 'True', 'false', 'false', '510411186000', 4, '同德镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510411186000', 1, '2021-07-19 11:34:28', NULL, NULL), (4517, '', '同德街社区居民委员会', '7f6e3cf254b74329b0b7c7092524f891', '57fca6fd91c34337aee475ec274a9515', 'False', 'True', 'false', 'false', '510411104319', 5, '同德街社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411104319', 1, '2021-07-19 11:34:28', NULL, NULL), (4518, '', '马拉所社区村民委员会', 'b38d16fc22164a7cb5805d5d5f989562', '57fca6fd91c34337aee475ec274a9515', 'False', 'True', 'false', 'false', '510411104374', 5, '马拉所社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411104374', 1, '2021-07-19 11:34:28', NULL, NULL), (4519, '', '共和社区村民委员会', 'd532dcff6a9f4230942dff2d184ad948', '57fca6fd91c34337aee475ec274a9515', 'False', 'True', 'false', 'false', '510411104405', 5, '共和社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411104405', 1, '2021-07-19 11:34:28', NULL, NULL), (4520, '', '道中桥社区村民委员会', 'efeaf9b4eb9945ef9e247182dd1de8cf', '57fca6fd91c34337aee475ec274a9515', 'False', 'True', 'false', 'false', '510411104532', 5, '道中桥社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411104532', 1, '2021-07-19 11:34:28', NULL, NULL), (4521, '', '新生社区村民委员会', '95b3d9ca31a4496fad348f3157234f1f', '57fca6fd91c34337aee475ec274a9515', 'False', 'True', 'false', 'false', '510411104628', 5, '新生社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411104628', 1, '2021-07-19 11:34:28', NULL, NULL), (4522, '', '龙塘社区村民委员会', 'd8d7efaa0e5d4231a5cf5ac1009eda29', '57fca6fd91c34337aee475ec274a9515', 'False', 'True', 'false', 'false', '510411104656', 5, '龙塘社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411104656', 1, '2021-07-19 11:34:28', NULL, NULL), (4523, '', '双河社区村民委员会', 'fc66f3e2f70e45fdaa6ee38d7e9dc815', '57fca6fd91c34337aee475ec274a9515', 'False', 'True', 'false', 'false', '510411104798', 5, '双河社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411104798', 1, '2021-07-19 11:34:28', NULL, NULL), (4524, '', '新民社区村民委员会', '90dc45867c5243c8ba5a24b1caee2fee', '57fca6fd91c34337aee475ec274a9515', 'False', 'True', 'false', 'false', '510411104982', 5, '新民社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411104982', 1, '2021-07-19 11:34:28', NULL, NULL), (4525, '', '太平乡', '5bee7de6fdb04bdfa3fb05e145b61f44', 'a54a9d0b300442a8ba972a4018986c80', 'True', 'True', 'false', 'false', '510411192000', 4, '太平乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510411192000', 1, '2021-07-19 11:34:28', NULL, NULL), (4526, '', '先锋社区村民委员会', 'a978e86ee17a482585db61a228d556c2', '5bee7de6fdb04bdfa3fb05e145b61f44', 'False', 'True', 'false', 'false', '510411203317', 5, '先锋社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411203317', 1, '2021-07-19 11:34:28', NULL, NULL), (4527, '', '半海社区村民委员会', '2e169bb1376e4f26a5a91615f5e0741c', '5bee7de6fdb04bdfa3fb05e145b61f44', 'False', 'False', 'false', 'false', '510411203412', 5, '半海社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411203412', 1, '2021-07-19 11:34:28', NULL, NULL), (4528, '', '花山社区村民委员会', '2397dc7c8c4b4763bc76766c8355c1df', '5bee7de6fdb04bdfa3fb05e145b61f44', 'False', 'True', 'false', 'false', '510411203430', 5, '花山社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411203430', 1, '2021-07-19 11:34:29', NULL, NULL), (4529, '', '红岩社区村民委员会', '9cb32c7f3aaf4c5bad2f0d53b7aa60ec', '5bee7de6fdb04bdfa3fb05e145b61f44', 'False', 'True', 'false', 'false', '510411203542', 5, '红岩社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411203542', 1, '2021-07-19 11:34:29', NULL, NULL), (4530, '', '河边社区村民委员会', 'ac888854616b4946a00e1311da66b279', '5bee7de6fdb04bdfa3fb05e145b61f44', 'False', 'False', 'false', 'false', '510411203650', 5, '河边社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411203650', 1, '2021-07-19 11:34:29', NULL, NULL), (4531, '', '革新社区村民委员会', '06ff4377c79048079ea1c1fca6d55af9', '5bee7de6fdb04bdfa3fb05e145b61f44', 'False', 'True', 'false', 'false', '510411203663', 5, '革新社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411203663', 1, '2021-07-19 11:34:29', NULL, NULL), (4532, '', '大村社区村民委员会', '824967fd28564a9eaf95f191a172cd9a', '5bee7de6fdb04bdfa3fb05e145b61f44', 'False', 'False', 'false', 'false', '510411203667', 5, '大村社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411203667', 1, '2021-07-19 11:34:29', NULL, NULL), (4533, '', '龙潭社区村民委员会', 'a98449dc947a4392a159382fb1e059b5', '5bee7de6fdb04bdfa3fb05e145b61f44', 'False', 'False', 'false', 'false', '510411203818', 5, '龙潭社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411203818', 1, '2021-07-19 11:34:29', NULL, NULL), (4534, '', '灰嘎社区村民委员会', 'c631b82d62af498ca654c0370663712f', '5bee7de6fdb04bdfa3fb05e145b61f44', 'False', 'True', 'false', 'false', '510411203877', 5, '灰嘎社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411203877', 1, '2021-07-19 11:34:29', NULL, NULL), (4535, '', '仁和镇', '1250968a927241f69a8da5ce2033b203', 'a54a9d0b300442a8ba972a4018986c80', 'True', 'True', 'false', 'false', '510411211000', 4, '仁和镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510411211000', 1, '2021-07-19 11:34:29', NULL, NULL), (4536, '', '攀枝花市仁和区仁和镇银华社区居民委员会', 'bdd304fb894241e88ce5a8feff165569', '1250968a927241f69a8da5ce2033b203', 'False', 'True', 'false', 'false', '510411100813', 5, '银华社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411100813', 1, '2021-07-19 11:34:29', NULL, NULL), (4537, '', '攀枝花市仁和区仁和镇四十九社区居民委员会', 'd91af4192e0a48f58babc8014b413e53', '1250968a927241f69a8da5ce2033b203', 'False', 'True', 'false', 'false', '510411100833', 5, '四十九社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411100833', 1, '2021-07-19 11:34:29', NULL, NULL), (4538, '', '红旗社区村民委员会', '27226b7e06b34c82a5d71b38f98eb301', '1250968a927241f69a8da5ce2033b203', 'False', 'True', 'false', 'false', '510411300139', 5, '红旗社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411300139', 1, '2021-07-19 11:34:29', NULL, NULL), (4539, '', '攀枝花市仁和区仁和镇总发社区村民委员会', 'd9377dd2b7b2410ea64ce190d43b760f', '1250968a927241f69a8da5ce2033b203', 'False', 'True', 'false', 'false', '510411300645', 5, '总发社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411300645', 1, '2021-07-19 11:34:29', NULL, NULL), (4540, '', '立新社区村民委员会', '2dc473c8f7234322becce35d08254f5d', '1250968a927241f69a8da5ce2033b203', 'False', 'True', 'false', 'false', '510411300753', 5, '立新社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411300753', 1, '2021-07-19 11:34:29', NULL, NULL), (4541, '', '板桥社区村民委员会', '2b7f9e6cb0684b5ca8c4c7cccc35a000', '1250968a927241f69a8da5ce2033b203', 'False', 'True', 'false', 'false', '510411300757', 5, '板桥社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411300757', 1, '2021-07-19 11:34:30', NULL, NULL), (4542, '', '田坝村民委员会', '89a1713274dc4bd28dc15ff4ae999b76', '1250968a927241f69a8da5ce2033b203', 'False', 'True', 'false', 'false', '510411100136', 5, '田坝村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411100136', 1, '2021-07-19 11:34:30', NULL, NULL), (4543, '', '土城街社区居民委员会', 'a25e8d34643e4c73892ad5086b87afb0', '1250968a927241f69a8da5ce2033b203', 'False', 'True', 'false', 'false', '510411100183', 5, '土城街社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411100183', 1, '2021-07-19 11:34:30', NULL, NULL), (4544, '', '沙沟社区居民委员会', 'fd130c14aa0b4123adb156ca0351fd4a', '1250968a927241f69a8da5ce2033b203', 'False', 'True', 'false', 'false', '510411100215', 5, '沙沟社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411100215', 1, '2021-07-19 11:34:30', NULL, NULL), (4545, '', '莲花社区村民委员会', '7824645ef1e14ea59123b8af275f381b', '1250968a927241f69a8da5ce2033b203', 'False', 'True', 'false', 'false', '510411100298', 5, '莲花社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411100298', 1, '2021-07-19 11:34:30', NULL, NULL), (4546, '', '仁和街社区居民委员会', '3fa796a7a1c04346b9b7319ddfddb9a3', '1250968a927241f69a8da5ce2033b203', 'False', 'True', 'false', 'false', '510411100364', 5, '仁和街社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411100364', 1, '2021-07-19 11:34:30', NULL, NULL), (4547, '', '沙沟社区村民委员会', '6fe66551022a4d6c86e00771cf73fb05', '1250968a927241f69a8da5ce2033b203', 'False', 'True', 'false', 'false', '510411100565', 5, '沙沟社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411100565', 1, '2021-07-19 11:34:30', NULL, NULL), (4548, '', '老街社区居民委员会', '51c377f449ff406d97728efb6644c63a', '1250968a927241f69a8da5ce2033b203', 'False', 'True', 'false', 'false', '510411100611', 5, '老街社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411100611', 1, '2021-07-19 11:34:30', NULL, NULL), (4549, '', '大河社区居民委员会', '3bc6b9250f5d45139ce7d52d38a5837a', '1250968a927241f69a8da5ce2033b203', 'False', 'True', 'false', 'false', '510411100845', 5, '大河社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411100845', 1, '2021-07-19 11:34:30', NULL, NULL), (4550, '', '弯庄社区居民委员会', 'c21f5afbc4df45de8af779c582ec2c3b', '1250968a927241f69a8da5ce2033b203', 'False', 'True', 'false', 'false', '510411100961', 5, '弯庄社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411100961', 1, '2021-07-19 11:34:30', NULL, NULL), (4551, '', '大田镇', '7f5678259962455ab1562b09117d775a', 'a54a9d0b300442a8ba972a4018986c80', 'True', 'True', 'false', 'false', '510411299000', 4, '大田镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510411299000', 1, '2021-07-19 11:34:30', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (4552, '', '小啊喇社区村民委员会', '69c585ea0c144765b7b716cd9d132a31', '7f5678259962455ab1562b09117d775a', 'False', 'True', 'false', 'false', '510411102302', 5, '小啊喇社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411102302', 1, '2021-07-19 11:34:30', NULL, NULL), (4553, '', '银鹿社区村民委员会', '6dd3da0b37b4402fa469461da77e338b', '7f5678259962455ab1562b09117d775a', 'False', 'True', 'false', 'false', '510411102371', 5, '银鹿社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411102371', 1, '2021-07-19 11:34:30', NULL, NULL), (4554, '', '乌喇么社区村民委员会', 'c62c05c961f84271a7079a9304026dfe', '7f5678259962455ab1562b09117d775a', 'False', 'True', 'false', 'false', '510411102556', 5, '乌喇么社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411102556', 1, '2021-07-19 11:34:31', NULL, NULL), (4555, '', '榴园社区村民委员会', '7f7a174006c840efaa6d764c94df1928', '7f5678259962455ab1562b09117d775a', 'False', 'True', 'false', 'false', '510411102693', 5, '榴园社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411102693', 1, '2021-07-19 11:34:31', NULL, NULL), (4556, '', '大田街社区居民委员会', '90d98cd23d194ec5bfc81c9632af97b0', '7f5678259962455ab1562b09117d775a', 'False', 'True', 'false', 'false', '510411102950', 5, '大田街社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411102950', 1, '2021-07-19 11:34:31', NULL, NULL), (4557, '', '片那立社区村民委员会', '3ee73370ef7a4a7197c862e2c7fe1f99', '7f5678259962455ab1562b09117d775a', 'False', 'True', 'false', 'false', '510411102968', 5, '片那立社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411102968', 1, '2021-07-19 11:34:31', NULL, NULL), (4558, '', '布德镇', '342758bf7cec4d7e91e67aec9ed4017c', 'a54a9d0b300442a8ba972a4018986c80', 'True', 'True', 'false', 'false', '510411427000', 4, '布德镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510411427000', 1, '2021-07-19 11:34:31', NULL, NULL), (4559, '', '民政社区村民委员会', 'aa2c14cd6f1f4f8799bafcfab1acd517', '342758bf7cec4d7e91e67aec9ed4017c', 'False', 'True', 'false', 'false', '510411106441', 5, '民政社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411106441', 1, '2021-07-19 11:34:31', NULL, NULL), (4560, '', '中心社区村民委员会', '85d6013db6cd4a19a8ae04ceb3d3c9e4', '342758bf7cec4d7e91e67aec9ed4017c', 'False', 'True', 'false', 'false', '510411106663', 5, '中心社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411106663', 1, '2021-07-19 11:34:31', NULL, NULL), (4561, '', '老村子社区村民委员会', 'fac8db9d5c1c4a56a6336b273dbfbf1d', '342758bf7cec4d7e91e67aec9ed4017c', 'False', 'True', 'false', 'false', '510411106781', 5, '老村子社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411106781', 1, '2021-07-19 11:34:31', NULL, NULL), (4562, '', '新桥社区村民委员会', '85a393f8d73748cb9e47095d2e0aeb9e', '342758bf7cec4d7e91e67aec9ed4017c', 'False', 'True', 'false', 'false', '510411106843', 5, '新桥社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411106843', 1, '2021-07-19 11:34:31', NULL, NULL), (4563, '', '布德社区村民委员会', '03960b614af347018538ffdd359b72a3', '342758bf7cec4d7e91e67aec9ed4017c', 'False', 'True', 'false', 'false', '510411106854', 5, '布德社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411106854', 1, '2021-07-19 11:34:31', NULL, NULL), (4564, '', '平地镇', '660838642ea94d4aa719d37182f063c6', 'a54a9d0b300442a8ba972a4018986c80', 'True', 'True', 'false', 'false', '510411498000', 4, '平地镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510411498000', 1, '2021-07-19 11:34:31', NULL, NULL), (4565, '', '迤沙拉社区村民委员会', 'f861f924294d42b38ec11c2faccda89f', '660838642ea94d4aa719d37182f063c6', 'False', 'True', 'false', 'false', '510411101122', 5, '迤沙拉社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411101122', 1, '2021-07-19 11:34:32', NULL, NULL), (4566, '', '平地街社区居民委员会', '4dc5e78bfc13434cb9b126ee23b7f0e2', '660838642ea94d4aa719d37182f063c6', 'False', 'True', 'false', 'false', '510411101220', 5, '平地街社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411101220', 1, '2021-07-19 11:34:32', NULL, NULL), (4567, '', '平地社区村民委员会', 'b2f100c2fb444664acf8538122182de9', '660838642ea94d4aa719d37182f063c6', 'False', 'True', 'false', 'false', '510411101306', 5, '平地社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411101306', 1, '2021-07-19 11:34:32', NULL, NULL), (4568, '', '白拉古社区村民委员会', 'f6bb382a9a274c56aa3850d4486736c4', '660838642ea94d4aa719d37182f063c6', 'False', 'True', 'false', 'false', '510411101360', 5, '白拉古社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411101360', 1, '2021-07-19 11:34:32', NULL, NULL), (4569, '', '波西社区村民委员会', 'becc08faa5f24e0aa89da2fdcf0ade97', '660838642ea94d4aa719d37182f063c6', 'False', 'True', 'false', 'false', '510411101650', 5, '波西社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411101650', 1, '2021-07-19 11:34:32', NULL, NULL), (4570, '', '辣子哨社区村民委员会', 'bb30dc6122bc453087b0efe9eeff7ffa', '660838642ea94d4aa719d37182f063c6', 'False', 'True', 'false', 'false', '510411101831', 5, '辣子哨社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411101831', 1, '2021-07-19 11:34:32', NULL, NULL), (4571, '', '大龙潭彝族乡', 'a276ba9f044b4e8f8ccaed6c9114bf44', 'a54a9d0b300442a8ba972a4018986c80', 'True', 'True', 'false', 'false', '510411622000', 4, '大龙潭彝族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510411622000', 1, '2021-07-19 11:34:32', NULL, NULL), (4572, '', '干坝子社区村民委员会', '096686a5a73e4a9b9cbeb8de7634d0b3', 'a276ba9f044b4e8f8ccaed6c9114bf44', 'False', 'True', 'false', 'false', '510411200018', 5, '干坝子社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411200018', 1, '2021-07-19 11:34:32', NULL, NULL), (4573, '', '迤资社区村民委员会', 'da25b9b7bf7040138b3087a28451ffb4', 'a276ba9f044b4e8f8ccaed6c9114bf44', 'False', 'False', 'false', 'false', '510411200098', 5, '迤资社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411200098', 1, '2021-07-19 11:34:32', NULL, NULL), (4574, '', '裕民社区村民委员会', 'd8ed486627d04ae7b14cde2a4d3efd19', 'a276ba9f044b4e8f8ccaed6c9114bf44', 'False', 'True', 'false', 'false', '510411200111', 5, '裕民社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411200111', 1, '2021-07-19 11:34:32', NULL, NULL), (4575, '', '立柯社区村民委员会', 'a987cca9faa6408fb288d235a4d6467b', 'a276ba9f044b4e8f8ccaed6c9114bf44', 'False', 'False', 'false', 'false', '510411200180', 5, '立柯社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411200180', 1, '2021-07-19 11:34:32', NULL, NULL), (4576, '', '新街社区村民委员会', '903d89726c0f45198db9af644e9afa5b', 'a276ba9f044b4e8f8ccaed6c9114bf44', 'False', 'True', 'false', 'false', '510411200281', 5, '新街社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411200281', 1, '2021-07-19 11:34:32', NULL, NULL), (4577, '', '混撒拉社区村民委员会', '83858b4172364bfb86e0064d4ca5d024', 'a276ba9f044b4e8f8ccaed6c9114bf44', 'False', 'True', 'false', 'false', '510411200358', 5, '混撒拉社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411200358', 1, '2021-07-19 11:34:32', NULL, NULL), (4578, '', '大龙潭社区村民委员会', 'e160f4a8031043f0a7aab04450c03fe7', 'a276ba9f044b4e8f8ccaed6c9114bf44', 'False', 'True', 'false', 'false', '510411200772', 5, '大龙潭社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411200772', 1, '2021-07-19 11:34:32', NULL, NULL), (4579, '', '拉砟社区村民委员会', '14bdc54dff2b432b91045695866833dc', 'a276ba9f044b4e8f8ccaed6c9114bf44', 'False', 'True', 'false', 'false', '510411200937', 5, '拉砟社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411200937', 1, '2021-07-19 11:34:33', NULL, NULL), (4580, '', '大河中路街道', '3c77f0f4a82048de9ec99a352f241364', 'a54a9d0b300442a8ba972a4018986c80', 'True', 'True', 'false', 'false', '510411634000', 4, '大河中路街办', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510411634000', 1, '2021-07-19 11:34:33', NULL, NULL), (4581, '', '花城社区居民委员会', '0d45359dc6fc42e08c881ee00322f14f', '3c77f0f4a82048de9ec99a352f241364', 'False', 'True', 'false', 'false', '510411001286', 5, '花城社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411001286', 1, '2021-07-19 11:34:33', NULL, NULL), (4582, '', '渡口社区村民委员会', '206423ea9cfb44588bab93b8d33c5f0b', '3c77f0f4a82048de9ec99a352f241364', 'False', 'True', 'false', 'false', '510411107690', 5, '渡口社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411107690', 1, '2021-07-19 11:34:33', NULL, NULL), (4583, '', '阳光社区居民委员会', '415c49a99f5f4b10816e9d46f3cd6756', '3c77f0f4a82048de9ec99a352f241364', 'False', 'True', 'false', 'false', '510411001498', 5, '阳光社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411001498', 1, '2021-07-19 11:34:33', NULL, NULL), (4584, '', '大河南路社区居民委员会', '6d85cc4da91e418b91979f5c3a084b8d', '3c77f0f4a82048de9ec99a352f241364', 'False', 'True', 'false', 'false', '510411001524', 5, '大河南路社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411001524', 1, '2021-07-19 11:34:33', NULL, NULL), (4585, '', '弯腰树社区居民委员会', '246fa0a3bf98490aa6a3db16188e060a', '3c77f0f4a82048de9ec99a352f241364', 'False', 'True', 'false', 'false', '510411001616', 5, '弯腰树社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411001616', 1, '2021-07-19 11:34:33', NULL, NULL), (4586, '', '大河中路社区居民委员会', 'acfd090c16f2490492c6d73ab8d28b35', '3c77f0f4a82048de9ec99a352f241364', 'False', 'True', 'false', 'false', '510411001936', 5, '大河中路社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411001936', 1, '2021-07-19 11:34:33', NULL, NULL), (4587, '', '务本乡', '27bee35ffb344a8fa2c2bd1a302d69e5', 'a54a9d0b300442a8ba972a4018986c80', 'True', 'True', 'false', 'false', '510411635000', 4, '务本乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510411635000', 1, '2021-07-19 11:34:33', NULL, NULL), (4588, '', '葩地社区村民委员会', '20c53b0b05924eb1b84c3074894302df', '27bee35ffb344a8fa2c2bd1a302d69e5', 'False', 'True', 'false', 'false', '510411204078', 5, '葩地社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411204078', 1, '2021-07-19 11:34:33', NULL, NULL), (4589, '', '垭口社区村民委员会', 'a7c87213c55348f2982ee5012fd54d51', '27bee35ffb344a8fa2c2bd1a302d69e5', 'False', 'True', 'false', 'false', '510411204511', 5, '垭口社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411204511', 1, '2021-07-19 11:34:33', NULL, NULL), (4590, '', '乌拉社区村民委员会', '865937f4125543e3804c55cd9ac24bf3', '27bee35ffb344a8fa2c2bd1a302d69e5', 'False', 'True', 'false', 'false', '510411204522', 5, '乌拉社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411204522', 1, '2021-07-19 11:34:33', NULL, NULL), (4591, '', '大火山社区村民委员会', 'eabefd117aeb4c8694f7b2912bfbc2f1', '27bee35ffb344a8fa2c2bd1a302d69e5', 'False', 'True', 'false', 'false', '510411204976', 5, '大火山社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411204976', 1, '2021-07-19 11:34:33', NULL, NULL), (4592, '', '前进镇', '7147b3e997b24f3a9523215b5f118a4f', 'a54a9d0b300442a8ba972a4018986c80', 'True', 'True', 'false', 'false', '510411936000', 4, '前进镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510411936000', 1, '2021-07-19 11:34:33', NULL, NULL), (4593, '', '渡口社区村民委员会', '16b96f1d01024782be9247b2b48e26ad', '7147b3e997b24f3a9523215b5f118a4f', 'False', 'False', 'false', 'false', '510411107235', 5, '渡口社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411107235', 1, '2021-07-19 11:34:34', NULL, NULL), (4594, '', '普达社区村民委员会', '4eed2414ce404ac9bfae120f0f47a6b6', '7147b3e997b24f3a9523215b5f118a4f', 'False', 'True', 'false', 'false', '510411107318', 5, '普达社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411107318', 1, '2021-07-19 11:34:34', NULL, NULL), (4595, '', '宝鼎社区村民委员会', 'f9d56a2404e6406ebc30f99647332f77', '7147b3e997b24f3a9523215b5f118a4f', 'False', 'False', 'false', 'false', '510411107480', 5, '宝鼎社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411107480', 1, '2021-07-19 11:34:34', NULL, NULL), (4596, '', '胜利社区村民委员会', 'f8527653b697472b99b56e938c62ec54', '7147b3e997b24f3a9523215b5f118a4f', 'False', 'True', 'false', 'false', '510411107691', 5, '胜利社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411107691', 1, '2021-07-19 11:34:34', NULL, NULL), (4597, '', '永胜社区村民委员会', '703e82951c3a457e902842af92f80c7b', '7147b3e997b24f3a9523215b5f118a4f', 'False', 'True', 'false', 'false', '510411107766', 5, '永胜社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411107766', 1, '2021-07-19 11:34:34', NULL, NULL), (4598, '', '田堡社区村民委员会', '8ceb45c444744e7b9aa1aec874a232d6', '7147b3e997b24f3a9523215b5f118a4f', 'False', 'True', 'false', 'false', '510411107882', 5, '田堡社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411107882', 1, '2021-07-19 11:34:34', NULL, NULL), (4599, '', '高峰社区村民委员会', '441c206d0edb48e1911ffc471ed36d74', '7147b3e997b24f3a9523215b5f118a4f', 'False', 'True', 'false', 'false', '510411107899', 5, '高峰社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411107899', 1, '2021-07-19 11:34:34', NULL, NULL), (4600, '', '前进社区居民委员会', '0cd603463b19460d92860f03ec85f264', '7147b3e997b24f3a9523215b5f118a4f', 'False', 'True', 'false', 'false', '510411107919', 5, '前进社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411107919', 1, '2021-07-19 11:34:34', NULL, NULL), (4601, '', '田房箐社区居民委员会', '7801ddbd048344f2a451c715400557b6', '7147b3e997b24f3a9523215b5f118a4f', 'False', 'True', 'false', 'false', '510411107941', 5, '田房箐社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411107941', 1, '2021-07-19 11:34:34', NULL, NULL), (4602, '', '福田镇', '20178e025b3b406d8623d5e663885fc6', 'a54a9d0b300442a8ba972a4018986c80', 'True', 'True', 'false', 'false', '510411984000', 4, '福田镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510411984000', 1, '2021-07-19 11:34:34', NULL, NULL), (4603, '', '金台子社区村民委员会', 'd400785f484d4a679adc05fa29ac9269', '20178e025b3b406d8623d5e663885fc6', 'False', 'True', 'false', 'false', '510411103424', 5, '金台子社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411103424', 1, '2021-07-19 11:34:34', NULL, NULL), (4604, '', '金龟社区村民委员会', '1edb2ee0b2114055a719f09ec3fa8238', '20178e025b3b406d8623d5e663885fc6', 'False', 'True', 'false', 'false', '510411103443', 5, '金龟社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411103443', 1, '2021-07-19 11:34:34', NULL, NULL), (4605, '', '福田街社区居民委员会', 'ab1d4645f25d43c3a7807a990f5f7282', '20178e025b3b406d8623d5e663885fc6', 'False', 'True', 'false', 'false', '510411103464', 5, '福田街社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411103464', 1, '2021-07-19 11:34:34', NULL, NULL), (4606, '', '塘坝社区村民委员会', 'ad42e079749d49e7a42a03ac159fc682', '20178e025b3b406d8623d5e663885fc6', 'False', 'True', 'false', 'false', '510411103675', 5, '塘坝社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411103675', 1, '2021-07-19 11:34:35', NULL, NULL), (4607, '', '务子田社区村民委员会', '48c348f5140a467e980a56b7812c511c', '20178e025b3b406d8623d5e663885fc6', 'False', 'True', 'false', 'false', '510411103990', 5, '务子田社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510411103990', 1, '2021-07-19 11:34:35', NULL, NULL), (4608, '', '攀西科技城', '8ed897a8e13a45a19189b5f0aea6d408', '843aea67950f4877ac8861d24db593e5', 'False', 'True', 'false', 'false', '510469000000', 3, '攀西科技城', 'pzhspxkjc.sczwfw.gov.cn', 1, '2021-07-19 11:34:35', NULL, NULL), (4609, '', '钒钛新城', '3edfb7347ee641d89d708ad5539b9a35', '843aea67950f4877ac8861d24db593e5', 'False', 'True', 'false', 'false', '510498000000', 3, '钒钛新城', 'pzhsftxc.sczwfw.gov.cn', 1, '2021-07-19 11:34:35', NULL, NULL), (4610, '', '米易县', '695335d15a12491eb57f8b24043df031', '843aea67950f4877ac8861d24db593e5', 'True', 'True', 'false', 'false', '510421000000', 3, '米易县', 'pzhsmyx.sczwfw.gov.cn', 1, '2021-07-19 11:34:35', NULL, NULL), (4611, '', '攀莲镇', 'b887f9b849e5420982d2080ca1a0324f', '695335d15a12491eb57f8b24043df031', 'True', 'True', 'false', 'false', '510421100000', 4, '攀莲镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510421100000', 1, '2021-07-19 11:34:35', NULL, NULL), (4612, '', '城北社区', 'f74570be9a2a456388335ae06c2771e4', 'b887f9b849e5420982d2080ca1a0324f', 'False', 'True', 'false', 'false', '510421100001', 5, '城北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421100001', 1, '2021-07-19 11:34:35', NULL, NULL), (4613, '', '城南社区', '70d915675e9f4c9ab60b9bb699ee32c1', 'b887f9b849e5420982d2080ca1a0324f', 'False', 'True', 'false', 'false', '510421100002', 5, '城南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421100002', 1, '2021-07-19 11:34:35', NULL, NULL), (4614, '', '河西社区', '680f30a5aa5048878967ac4ca249c014', 'b887f9b849e5420982d2080ca1a0324f', 'False', 'True', 'false', 'false', '510421100003', 5, '河西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421100003', 1, '2021-07-19 11:34:35', NULL, NULL), (4615, '', '新北社区', '442e91fdf95b46ba9a15bfac9d0473e4', 'b887f9b849e5420982d2080ca1a0324f', 'False', 'True', 'false', 'false', '510421100004', 5, '新北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421100004', 1, '2021-07-19 11:34:35', NULL, NULL), (4616, '', '青皮村', '7a3ea40740a240b8b8ba18b032b454ff', 'b887f9b849e5420982d2080ca1a0324f', 'False', 'True', 'false', 'false', '510421100200', 5, '青皮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421100200', 1, '2021-07-19 11:34:35', NULL, NULL), (4617, '', '水塘村', '5ed68584083342c7b5d54508a8cc2248', 'b887f9b849e5420982d2080ca1a0324f', 'False', 'True', 'false', 'false', '510421100201', 5, '水塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421100201', 1, '2021-07-19 11:34:35', NULL, NULL), (4618, '', '贤家村', '3a0cc833261d49488cafb949e0ce7d54', 'b887f9b849e5420982d2080ca1a0324f', 'False', 'True', 'false', 'false', '510421100202', 5, '贤家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421100202', 1, '2021-07-19 11:34:35', NULL, NULL), (4619, '', '柳溪村', '9a2ddbf30bfd4daf8ac05fd36d19b559', 'b887f9b849e5420982d2080ca1a0324f', 'False', 'True', 'false', 'false', '510421100203', 5, '柳溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421100203', 1, '2021-07-19 11:34:35', NULL, NULL), (4620, '', '观音村', 'd5d88a0b238e40b7999b8eff294d9ed5', 'b887f9b849e5420982d2080ca1a0324f', 'False', 'True', 'false', 'false', '510421100204', 5, '观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421100204', 1, '2021-07-19 11:34:35', NULL, NULL), (4621, '', '双沟村', '8b8f17b094f84da785eb6f273a3353fe', 'b887f9b849e5420982d2080ca1a0324f', 'False', 'True', 'false', 'false', '510421100206', 5, '双沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421100206', 1, '2021-07-19 11:34:35', NULL, NULL), (4622, '', '丙谷镇', '3b5ad1156ad14b10b8753cbd601bbe61', '695335d15a12491eb57f8b24043df031', 'True', 'True', 'false', 'false', '510421101000', 4, '丙谷镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510421101000', 1, '2021-07-19 11:34:36', NULL, NULL), (4623, '', '观音阁社区', '34b59a7cadd64350a59c74433b96fa34', '3b5ad1156ad14b10b8753cbd601bbe61', 'False', 'True', 'false', 'false', '510421101001', 5, '观音阁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421101001', 1, '2021-07-19 11:34:36', NULL, NULL), (4624, '', '雷窝村', '35995893b7e24a42a7db77bd9b3dfc3c', '3b5ad1156ad14b10b8753cbd601bbe61', 'False', 'True', 'false', 'false', '510421101200', 5, '雷窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421101200', 1, '2021-07-19 11:34:36', NULL, NULL), (4625, '', '沙沟村', 'f56139f0f6d2415383d64ec5ab26f693', '3b5ad1156ad14b10b8753cbd601bbe61', 'False', 'True', 'false', 'false', '510421101202', 5, '沙沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421101202', 1, '2021-07-19 11:34:36', NULL, NULL), (4626, '', '芭蕉箐村', 'cf0698063b234661b3c320f35fe171be', '3b5ad1156ad14b10b8753cbd601bbe61', 'False', 'True', 'false', 'false', '510421101203', 5, '芭蕉箐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421101203', 1, '2021-07-19 11:34:36', NULL, NULL), (4627, '', '橄榄河村', '08923904da30415eafaff37dd6c8ac55', '3b5ad1156ad14b10b8753cbd601bbe61', 'False', 'True', 'false', 'false', '510421101205', 5, '橄榄河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421101205', 1, '2021-07-19 11:34:36', NULL, NULL), (4628, '', '小河村', '4bd413f57222467b8fc74380008145e9', '3b5ad1156ad14b10b8753cbd601bbe61', 'False', 'True', 'false', 'false', '510421101206', 5, '小河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421101206', 1, '2021-07-19 11:34:36', NULL, NULL), (4629, '', '牛棚村', 'e6bcd3b89bf840a9954705d0730c3642', '3b5ad1156ad14b10b8753cbd601bbe61', 'False', 'True', 'false', 'false', '510421101208', 5, '牛棚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421101208', 1, '2021-07-19 11:34:36', NULL, NULL), (4630, '', '护林村', '7448cb1887be4ba58ebc42280539dd46', '3b5ad1156ad14b10b8753cbd601bbe61', 'False', 'True', 'false', 'false', '510421101209', 5, '护林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421101209', 1, '2021-07-19 11:34:36', NULL, NULL), (4631, '', '新村村', '898d7d8cd097429f980a3b4cd367c541', '3b5ad1156ad14b10b8753cbd601bbe61', 'False', 'True', 'false', 'false', '510421101210', 5, '新村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421101210', 1, '2021-07-19 11:34:36', NULL, NULL), (4632, '', '撒莲镇', '474ca293a89a4b28bcc975af9a7f5530', '695335d15a12491eb57f8b24043df031', 'True', 'True', 'false', 'false', '510421103000', 4, '撒莲镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510421103000', 1, '2021-07-19 11:34:36', NULL, NULL), (4633, '', '回箐村', '06ec72d7739748bc8d22e9081c72cd4d', '474ca293a89a4b28bcc975af9a7f5530', 'False', 'True', 'false', 'false', '510421103031', 5, '回箐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421103031', 1, '2021-07-19 11:34:37', NULL, NULL), (4634, '', '安全村', '77dd2cbcc0ab48a78cdbf35bc9cc9874', '474ca293a89a4b28bcc975af9a7f5530', 'False', 'True', 'false', 'false', '510421103155', 5, '安全村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421103155', 1, '2021-07-19 11:34:37', NULL, NULL), (4635, '', '垭口社区', '0d09d2cef321429e9b88a969eca2ac05', '474ca293a89a4b28bcc975af9a7f5530', 'False', 'True', 'false', 'false', '510421103242', 5, '垭口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421103242', 1, '2021-07-19 11:34:37', NULL, NULL), (4636, '', '垭口村', 'e0751a6b26554a6b9e90fe886b2087d5', '474ca293a89a4b28bcc975af9a7f5530', 'False', 'True', 'false', 'false', '510421103584', 5, '垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421103584', 1, '2021-07-19 11:34:37', NULL, NULL), (4637, '', '马坪村', '125690b178ef4e918b02ed3bc2fe4796', '474ca293a89a4b28bcc975af9a7f5530', 'False', 'True', 'false', 'false', '510421103793', 5, '马坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421103793', 1, '2021-07-19 11:34:37', NULL, NULL), (4638, '', '禹王宫社区', 'af8a34f1a9c245ab90638e09c72701fb', '474ca293a89a4b28bcc975af9a7f5530', 'False', 'True', 'false', 'false', '510421103001', 5, '禹王宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421103001', 1, '2021-07-19 11:34:37', NULL, NULL), (4639, '', '湾崃村', 'd553edaeaa1d437e923167e08af6b073', '474ca293a89a4b28bcc975af9a7f5530', 'False', 'True', 'false', 'false', '510421103200', 5, '湾崃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421103200', 1, '2021-07-19 11:34:37', NULL, NULL), (4640, '', '海塔村', '160146a2f89c41e7a31216f4b0dc9731', '474ca293a89a4b28bcc975af9a7f5530', 'False', 'True', 'false', 'false', '510421103201', 5, '海塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421103201', 1, '2021-07-19 11:34:37', NULL, NULL), (4641, '', '金花塘村', '0e3540baf2254244b877d53593c5342f', '474ca293a89a4b28bcc975af9a7f5530', 'False', 'True', 'false', 'false', '510421103202', 5, '金花塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421103202', 1, '2021-07-19 11:34:37', NULL, NULL), (4642, '', '摩挲村', 'b0c20e23b6db42df8ccdf155bbc6f58f', '474ca293a89a4b28bcc975af9a7f5530', 'False', 'True', 'false', 'false', '510421103203', 5, '摩挲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421103203', 1, '2021-07-19 11:34:37', NULL, NULL), (4643, '', '禹王宫村', '8982264827b5463fbbe8aa3cceacc57b', '474ca293a89a4b28bcc975af9a7f5530', 'False', 'True', 'false', 'false', '510421103204', 5, '禹王宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421103204', 1, '2021-07-19 11:34:37', NULL, NULL), (4644, '', '平阳村', '11832a68cb904a91a3db6a80aea609ec', '474ca293a89a4b28bcc975af9a7f5530', 'False', 'True', 'false', 'false', '510421103205', 5, '平阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421103205', 1, '2021-07-19 11:34:37', NULL, NULL), (4645, '', '草场镇', '8a846f4ea6424893a22cfc97cbc75087', '695335d15a12491eb57f8b24043df031', 'True', 'True', 'false', 'false', '510421200000', 4, '草场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510421200000', 1, '2021-07-19 11:34:37', NULL, NULL), (4646, '', '杨柳湾社区', '9a2f5d5b03044a9caa35bbc6a5d9b811', '8a846f4ea6424893a22cfc97cbc75087', 'False', 'True', 'false', 'false', '510421200001', 5, '杨柳湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421200001', 1, '2021-07-19 11:34:37', NULL, NULL), (4647, '', '龙华村', '9cf8ea9ba8c54d608d20146bf91f2412', '8a846f4ea6424893a22cfc97cbc75087', 'False', 'True', 'false', 'false', '510421200200', 5, '龙华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421200200', 1, '2021-07-19 11:34:38', NULL, NULL), (4648, '', '碗厂村', '44faea9707ae46d49d236b447082a93b', '8a846f4ea6424893a22cfc97cbc75087', 'False', 'True', 'false', 'false', '510421200201', 5, '碗厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421200201', 1, '2021-07-19 11:34:38', NULL, NULL), (4649, '', '顶针村', 'b6ef9fd0dca64d2cb686d06cb8da6c88', '8a846f4ea6424893a22cfc97cbc75087', 'False', 'True', 'false', 'false', '510421200202', 5, '顶针村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421200202', 1, '2021-07-19 11:34:38', NULL, NULL), (4650, '', '晃桥村', '97e9949606a44229b9c9b68168e039c4', '8a846f4ea6424893a22cfc97cbc75087', 'False', 'True', 'false', 'false', '510421200203', 5, '晃桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421200203', 1, '2021-07-19 11:34:38', NULL, NULL), (4651, '', '克朗村', 'addfb4f6596e4ba38b34ce56846e1a15', '8a846f4ea6424893a22cfc97cbc75087', 'False', 'True', 'false', 'false', '510421200204', 5, '克朗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421200204', 1, '2021-07-19 11:34:38', NULL, NULL), (4652, '', '仙山村', 'd266c157693042d0b78c04691cb0973c', '8a846f4ea6424893a22cfc97cbc75087', 'False', 'True', 'false', 'false', '510421200205', 5, '仙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421200205', 1, '2021-07-19 11:34:38', NULL, NULL), (4653, '', '沙坝村', '103a92b0fdf1448a909eed163ef607f4', '8a846f4ea6424893a22cfc97cbc75087', 'False', 'True', 'false', 'false', '510421200206', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421200206', 1, '2021-07-19 11:34:38', NULL, NULL), (4654, '', '白马镇', '5239ee53b0724335a8183a50e6b3a02b', '695335d15a12491eb57f8b24043df031', 'True', 'True', 'false', 'false', '510421105000', 4, '白马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510421105000', 1, '2021-07-19 11:34:38', NULL, NULL), (4655, '', '挂榜社区', '5691a707abe1437e956456ed92737069', '5239ee53b0724335a8183a50e6b3a02b', 'False', 'True', 'false', 'false', '510421105001', 5, '挂榜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421105001', 1, '2021-07-19 11:34:38', NULL, NULL), (4656, '', '挂榜村', 'bc7933fba0524d2ca39abd35335a48df', '5239ee53b0724335a8183a50e6b3a02b', 'False', 'True', 'false', 'false', '510421105200', 5, '挂榜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421105200', 1, '2021-07-19 11:34:38', NULL, NULL), (4657, '', '黄草村', '8d7e6f0d38d043febd46b01014ac9ca3', '5239ee53b0724335a8183a50e6b3a02b', 'False', 'True', 'false', 'false', '510421105203', 5, '黄草村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421105203', 1, '2021-07-19 11:34:38', NULL, NULL), (4658, '', '田坝村', '0d93891579914c8f9bd319df606f5d9c', '5239ee53b0724335a8183a50e6b3a02b', 'False', 'True', 'false', 'false', '510421105204', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421105204', 1, '2021-07-19 11:34:38', NULL, NULL), (4659, '', '田家村', '1601d33b568f4e3b963c4318e7944fcb', '5239ee53b0724335a8183a50e6b3a02b', 'False', 'True', 'false', 'false', '510421105205', 5, '田家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421105205', 1, '2021-07-19 11:34:38', NULL, NULL), (4660, '', '威龙村', 'ef27dfcf6c0947c49ad5496a573ddc9f', '5239ee53b0724335a8183a50e6b3a02b', 'False', 'True', 'false', 'false', '510421105206', 5, '威龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421105206', 1, '2021-07-19 11:34:38', NULL, NULL), (4661, '', '马槟榔村', '94667386df514377b3843371c7ef1440', '5239ee53b0724335a8183a50e6b3a02b', 'False', 'True', 'false', 'false', '510421105207', 5, '马槟榔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421105207', 1, '2021-07-19 11:34:38', NULL, NULL), (4662, '', '龙塘村', 'b9d0ff0a2ec246879c3bc8fef7c4c45e', '5239ee53b0724335a8183a50e6b3a02b', 'False', 'True', 'false', 'false', '510421105208', 5, '龙塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421105208', 1, '2021-07-19 11:34:39', NULL, NULL), (4663, '', '棕树湾村', 'a15438274b4a41a082b5e98cbea35fe3', '5239ee53b0724335a8183a50e6b3a02b', 'False', 'True', 'false', 'false', '510421105209', 5, '棕树湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421105209', 1, '2021-07-19 11:34:39', NULL, NULL), (4664, '', '高龙村', 'e0b0d44d25c44fbbb9469558f091a939', '5239ee53b0724335a8183a50e6b3a02b', 'False', 'True', 'false', 'false', '510421105211', 5, '高龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421105211', 1, '2021-07-19 11:34:39', NULL, NULL), (4665, '', '得石镇', 'c65769f35aba4f27af7505ee9163588c', '695335d15a12491eb57f8b24043df031', 'True', 'True', 'false', 'false', '510421102000', 4, '得石镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510421102000', 1, '2021-07-19 11:34:39', NULL, NULL), (4666, '', '得石社区', '1fba79955ec745bc842545e451f79715', 'c65769f35aba4f27af7505ee9163588c', 'False', 'True', 'false', 'false', '510421102001', 5, '得石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421102001', 1, '2021-07-19 11:34:39', NULL, NULL), (4667, '', '得石村', '9de6af6df6974767aa05e569ac7208a2', 'c65769f35aba4f27af7505ee9163588c', 'False', 'True', 'false', 'false', '510421102200', 5, '得石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421102200', 1, '2021-07-19 11:34:39', NULL, NULL), (4668, '', '坊田村', 'cf70915bfe5446828bd17e1880710768', 'c65769f35aba4f27af7505ee9163588c', 'False', 'True', 'false', 'false', '510421102201', 5, '坊田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421102201', 1, '2021-07-19 11:34:39', NULL, NULL), (4669, '', '黑谷田村', 'f5de7cf88c4d4204b5bbf46061ed0063', 'c65769f35aba4f27af7505ee9163588c', 'False', 'True', 'false', 'false', '510421102202', 5, '黑谷田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421102202', 1, '2021-07-19 11:34:39', NULL, NULL), (4670, '', '大田村', 'ff1df3e8b31b4d49b72106a91b6d633c', 'c65769f35aba4f27af7505ee9163588c', 'False', 'True', 'false', 'false', '510421102203', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421102203', 1, '2021-07-19 11:34:39', NULL, NULL), (4671, '', '草坝村', '63989b002d454ba2a437a46e1fa490d3', 'c65769f35aba4f27af7505ee9163588c', 'False', 'True', 'false', 'false', '510421102204', 5, '草坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421102204', 1, '2021-07-19 11:34:39', NULL, NULL), (4672, '', '马鹿寨村', 'bdfed5b39339495cbd17e5ab944edb32', 'c65769f35aba4f27af7505ee9163588c', 'False', 'True', 'false', 'false', '510421102205', 5, '马鹿寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421102205', 1, '2021-07-19 11:34:39', NULL, NULL), (4673, '', '普威镇', 'b36610ef9c354126a49f97cba83295dc', '695335d15a12491eb57f8b24043df031', 'True', 'True', 'false', 'false', '510421106000', 4, '普威镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510421106000', 1, '2021-07-19 11:34:39', NULL, NULL), (4674, '', '新舟村', '672046cc02f3496d8ae6ac0e295940cf', 'b36610ef9c354126a49f97cba83295dc', 'False', 'True', 'false', 'false', '510421106005', 5, '新舟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421106005', 1, '2021-07-19 11:34:39', NULL, NULL), (4675, '', '普济州社区', '0436665daf4d4d219e70cf6f36a795d2', 'b36610ef9c354126a49f97cba83295dc', 'False', 'True', 'false', 'false', '510421106001', 5, '普济州社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421106001', 1, '2021-07-19 11:34:39', NULL, NULL), (4676, '', '独树村', '5b8a678cdd224e909fdb3413234175d2', 'b36610ef9c354126a49f97cba83295dc', 'False', 'True', 'false', 'false', '510421106200', 5, '独树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421106200', 1, '2021-07-19 11:34:39', NULL, NULL), (4677, '', '西番村', '56e00d45812549b0a9d81bc37659343d', 'b36610ef9c354126a49f97cba83295dc', 'False', 'True', 'false', 'false', '510421106203', 5, '西番村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421106203', 1, '2021-07-19 11:34:40', NULL, NULL), (4678, '', '板棚村', '196a715802c246b485f8add5963786e8', 'b36610ef9c354126a49f97cba83295dc', 'False', 'True', 'false', 'false', '510421106205', 5, '板棚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421106205', 1, '2021-07-19 11:34:40', NULL, NULL), (4679, '', '白坡彝族乡', 'e5fcd314f35e4f86862c003101afa33f', '695335d15a12491eb57f8b24043df031', 'True', 'True', 'false', 'false', '510421202000', 4, '白坡彝族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510421202000', 1, '2021-07-19 11:34:40', NULL, NULL), (4680, '', '若水村', 'edb7252cdef54ea2b151880b60879ec9', 'e5fcd314f35e4f86862c003101afa33f', 'False', 'True', 'false', 'false', '510421202542', 5, '若水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421202542', 1, '2021-07-19 11:34:40', NULL, NULL), (4681, '', '张门扎村', '868d85ff5e154de995b8c17661d3d487', 'e5fcd314f35e4f86862c003101afa33f', 'False', 'True', 'false', 'false', '510421202200', 5, '张门扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421202200', 1, '2021-07-19 11:34:40', NULL, NULL), (4682, '', '姑表村', 'ebaf410b639447b8ba1c5021181109fa', 'e5fcd314f35e4f86862c003101afa33f', 'False', 'True', 'false', 'false', '510421202201', 5, '姑表村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421202201', 1, '2021-07-19 11:34:40', NULL, NULL), (4683, '', '滩脚村', '31f1087c226d467883c74999ac0c9b9b', 'e5fcd314f35e4f86862c003101afa33f', 'False', 'True', 'false', 'false', '510421202202', 5, '滩脚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421202202', 1, '2021-07-19 11:34:40', NULL, NULL), (4684, '', '南坝村', '48b40b5c74114e7895e3c638f880e166', 'e5fcd314f35e4f86862c003101afa33f', 'False', 'True', 'false', 'false', '510421202203', 5, '南坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421202203', 1, '2021-07-19 11:34:40', NULL, NULL), (4685, '', '核桃坪村', 'a787e1c264cb44e2b16c32e031990b42', 'e5fcd314f35e4f86862c003101afa33f', 'False', 'True', 'false', 'false', '510421202205', 5, '核桃坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421202205', 1, '2021-07-19 11:34:40', NULL, NULL), (4686, '', '油房村', '0afcb5534c1d4a65a7b813d3b94f9ba7', 'e5fcd314f35e4f86862c003101afa33f', 'False', 'True', 'false', 'false', '510421202206', 5, '油房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421202206', 1, '2021-07-19 11:34:40', NULL, NULL), (4687, '', '麻陇彝族乡', '0f6e0250a4c244609919f0cd979cfee3', '695335d15a12491eb57f8b24043df031', 'True', 'True', 'false', 'false', '510421203000', 4, '麻陇彝族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510421203000', 1, '2021-07-19 11:34:40', NULL, NULL), (4688, '', '中心村', 'd5719086798c4dbcba954bed2855c3d1', '0f6e0250a4c244609919f0cd979cfee3', 'False', 'True', 'false', 'false', '510421203200', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421203200', 1, '2021-07-19 11:34:40', NULL, NULL), (4689, '', '庄房村', '7863040b8857474fa49323a475a41de0', '0f6e0250a4c244609919f0cd979cfee3', 'False', 'True', 'false', 'false', '510421203201', 5, '庄房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421203201', 1, '2021-07-19 11:34:40', NULL, NULL), (4690, '', '红岩村', '0fb4a1ce1a3541bd9900d657c38b7a71', '0f6e0250a4c244609919f0cd979cfee3', 'False', 'True', 'false', 'false', '510421203202', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421203202', 1, '2021-07-19 11:34:40', NULL, NULL), (4691, '', '云盘村', 'cc10b6b0f8d047a7a4dc3de01f23574c', '0f6e0250a4c244609919f0cd979cfee3', 'False', 'True', 'false', 'false', '510421203205', 5, '云盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421203205', 1, '2021-07-19 11:34:41', NULL, NULL), (4692, '', '马井村', '5d66da80161244fba94ff8e7cde0ab02', '0f6e0250a4c244609919f0cd979cfee3', 'False', 'True', 'false', 'false', '510421203206', 5, '马井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421203206', 1, '2021-07-19 11:34:41', NULL, NULL), (4693, '', '黄草坪村', 'e3e765f139c744b5a1a37779d396d1c0', '0f6e0250a4c244609919f0cd979cfee3', 'False', 'True', 'false', 'false', '510421203207', 5, '黄草坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421203207', 1, '2021-07-19 11:34:41', NULL, NULL), (4694, '', '湾丘彝族乡', '272ff38dd10543119f26913623a517c2', '695335d15a12491eb57f8b24043df031', 'True', 'True', 'false', 'false', '510421201000', 4, '湾丘彝族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510421201000', 1, '2021-07-19 11:34:41', NULL, NULL), (4695, '', '湾丘社区', 'f52750ae15e3474dab7514bc02c22407', '272ff38dd10543119f26913623a517c2', 'False', 'True', 'false', 'false', '510421201001', 5, '湾丘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421201001', 1, '2021-07-19 11:34:41', NULL, NULL), (4696, '', '昔街村', '40d27e3f10104c95952dce98a39df700', '272ff38dd10543119f26913623a517c2', 'False', 'True', 'false', 'false', '510421201200', 5, '昔街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421201200', 1, '2021-07-19 11:34:41', NULL, NULL), (4697, '', '热水村', '2949da113e604b77bc4722db01918e30', '272ff38dd10543119f26913623a517c2', 'False', 'True', 'false', 'false', '510421201202', 5, '热水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421201202', 1, '2021-07-19 11:34:41', NULL, NULL), (4698, '', '杨家村', 'cfeaaf3a7f6d4252a97c34e5ef09f31e', '272ff38dd10543119f26913623a517c2', 'False', 'True', 'false', 'false', '510421201203', 5, '杨家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421201203', 1, '2021-07-19 11:34:41', NULL, NULL), (4699, '', '黄龙村', '4a2aebe2b871470d9e2273f90dbc255b', '272ff38dd10543119f26913623a517c2', 'False', 'True', 'false', 'false', '510421201204', 5, '黄龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421201204', 1, '2021-07-19 11:34:41', NULL, NULL), (4700, '', '青山村', 'e5603b480e4440c2ac3d909de4c6c41d', '272ff38dd10543119f26913623a517c2', 'False', 'True', 'false', 'false', '510421201205', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421201205', 1, '2021-07-19 11:34:41', NULL, NULL), (4701, '', '新山傈僳族乡', '57c18ef10e264c5b97c14526553e1c08', '695335d15a12491eb57f8b24043df031', 'True', 'True', 'false', 'false', '510421204000', 4, '新山傈僳族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510421204000', 1, '2021-07-19 11:34:41', NULL, NULL), (4702, '', '半山社区', '9d59acbd41e641358854b1a9873289a9', '57c18ef10e264c5b97c14526553e1c08', 'False', 'True', 'false', 'false', '510421204012', 5, '半山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421204012', 1, '2021-07-19 11:34:41', NULL, NULL), (4703, '', '新山村', 'c8c96c580701460d8c2d1b2d9ccac516', '57c18ef10e264c5b97c14526553e1c08', 'False', 'True', 'false', 'false', '510421204200', 5, '新山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421204200', 1, '2021-07-19 11:34:41', NULL, NULL), (4704, '', '高隆村', '6f673c7d2daa4284a37e9b853505eab2', '57c18ef10e264c5b97c14526553e1c08', 'False', 'True', 'false', 'false', '510421204201', 5, '高隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421204201', 1, '2021-07-19 11:34:41', NULL, NULL), (4705, '', '坪山村', 'c2751f616ef44101abdd68276bc475d4', '57c18ef10e264c5b97c14526553e1c08', 'False', 'True', 'false', 'false', '510421204202', 5, '坪山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421204202', 1, '2021-07-19 11:34:42', NULL, NULL), (4706, '', '中山村', '2968763036e844e6943feb0c90eb9c97', '57c18ef10e264c5b97c14526553e1c08', 'False', 'True', 'false', 'false', '510421204203', 5, '中山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510421204203', 1, '2021-07-19 11:34:42', NULL, NULL), (4707, '', '盐边县', 'd89d33e1b32b4cdf840fde54a16d778b', '843aea67950f4877ac8861d24db593e5', 'True', 'True', 'false', 'false', '510422000000', 3, '盐边县', 'pzhsybx.sczwfw.gov.cn', 1, '2021-07-19 11:34:42', NULL, NULL), (4708, '', '渔门镇', 'f50b66971872449f811cb4b9a061be3d', 'd89d33e1b32b4cdf840fde54a16d778b', 'True', 'True', 'false', 'false', '510422028000', 4, '渔门镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510422028000', 1, '2021-07-19 11:34:42', NULL, NULL), (4709, '', '鳡鱼村村民委员会', '7154118693d14d8fa147c5af41a047e5', 'f50b66971872449f811cb4b9a061be3d', 'False', 'True', 'false', 'false', '510422102220', 5, '鳡鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422102220', 1, '2021-07-19 11:34:42', NULL, NULL), (4710, '', '龙胜村村民委员会', '0d8acb8c8a214222bd72b12ca3679a1c', 'f50b66971872449f811cb4b9a061be3d', 'False', 'True', 'false', 'false', '510422102269', 5, '龙胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422102269', 1, '2021-07-19 11:34:42', NULL, NULL), (4711, '', '三源河村村民委员会', '6f567c88aaf04066881253ac0486ed59', 'f50b66971872449f811cb4b9a061be3d', 'False', 'True', 'false', 'false', '510422102298', 5, '三源河村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422102298', 1, '2021-07-19 11:34:42', NULL, NULL), (4712, '', '双龙社区村民委员会', 'd39ebfaba9584b5e963344fdc96bcfc2', 'f50b66971872449f811cb4b9a061be3d', 'False', 'True', 'false', 'false', '510422102352', 5, '双龙社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422102352', 1, '2021-07-19 11:34:42', NULL, NULL), (4713, '', '力马村村民委员会', '544854d2d79544958b2a66cc7e3cf9e6', 'f50b66971872449f811cb4b9a061be3d', 'False', 'True', 'false', 'false', '510422102358', 5, '力马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422102358', 1, '2021-07-19 11:34:42', NULL, NULL), (4714, '', '狮子堡社区村民委员会', 'a8d27fa1e46044fca5af7653fe752504', 'f50b66971872449f811cb4b9a061be3d', 'False', 'True', 'false', 'false', '510422102728', 5, '狮子堡社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422102728', 1, '2021-07-19 11:34:42', NULL, NULL), (4715, '', '渔门社区居民委员会', '0d9ed657df59491e910aa09d443d99ee', 'f50b66971872449f811cb4b9a061be3d', 'False', 'True', 'false', 'false', '510422102734', 5, '渔门社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422102734', 1, '2021-07-19 11:34:42', NULL, NULL), (4716, '', '高坪社区村民委员会', 'b419a435de0b4e6ca146be019c9bf996', 'f50b66971872449f811cb4b9a061be3d', 'False', 'True', 'false', 'false', '510422102802', 5, '高坪社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422102802', 1, '2021-07-19 11:34:42', NULL, NULL), (4717, '', '东风村村民委员会', '9f5e149e12444bd28e6d8468a13aa5b0', 'f50b66971872449f811cb4b9a061be3d', 'False', 'True', 'false', 'false', '510422102886', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422102886', 1, '2021-07-19 11:34:42', NULL, NULL), (4718, '', '犀牛村村民委员会', 'eeff94902e994c239c5940905cb9d104', 'f50b66971872449f811cb4b9a061be3d', 'False', 'True', 'false', 'false', '510422102952', 5, '犀牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422102952', 1, '2021-07-19 11:34:42', NULL, NULL), (4719, '', '红宝乡', '6ed4fa7da3324eaabe17714c8d242526', 'd89d33e1b32b4cdf840fde54a16d778b', 'True', 'True', 'false', 'false', '510422043000', 4, '红宝乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510422043000', 1, '2021-07-19 11:34:42', NULL, NULL), (4720, '', '谜塘村民委员会', '00e5b6e49add436db435a75753a8ac69', '6ed4fa7da3324eaabe17714c8d242526', 'False', 'True', 'false', 'false', '510422207372', 5, '谜塘村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422207372', 1, '2021-07-19 11:34:43', NULL, NULL), (4721, '', '广东湾村民委员会', '411a91399f70420ebd42af53e14df9f7', '6ed4fa7da3324eaabe17714c8d242526', 'False', 'True', 'false', 'false', '510422207617', 5, '广东湾村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422207617', 1, '2021-07-19 11:34:43', NULL, NULL), (4722, '', '干坪子社区村民委员会', 'a5684843d3cc4d9ab88b8490a75b1495', '6ed4fa7da3324eaabe17714c8d242526', 'False', 'True', 'false', 'false', '510422207681', 5, '干坪子社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422207681', 1, '2021-07-19 11:34:43', NULL, NULL), (4723, '', '择木龙村村民委员会', '099f326865df43f5b191919841ccb40c', '6ed4fa7da3324eaabe17714c8d242526', 'False', 'True', 'false', 'false', '510422207715', 5, '择木龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422207715', 1, '2021-07-19 11:34:43', NULL, NULL), (4724, '', '核桃箐社区村民委员会', '818f2d75a307401280d6b6dd77a6720d', '6ed4fa7da3324eaabe17714c8d242526', 'False', 'True', 'false', 'false', '510422207999', 5, '核桃箐社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422207999', 1, '2021-07-19 11:34:43', NULL, NULL), (4725, '', '国胜乡', '390515186f6a4e1b8fc46a37c907e8e0', 'd89d33e1b32b4cdf840fde54a16d778b', 'True', 'True', 'false', 'false', '510422072000', 4, '国胜乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510422072000', 1, '2021-07-19 11:34:43', NULL, NULL), (4726, '', '梭罗村村民委员会', 'da59adb7acf8455b966970490f7d7437', '390515186f6a4e1b8fc46a37c907e8e0', 'False', 'True', 'false', 'false', '510422206556', 5, '梭罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422206556', 1, '2021-07-19 11:34:43', NULL, NULL), (4727, '', '淘水社区村民委员会', '26e69b564a6642caab46b0087e196a38', '390515186f6a4e1b8fc46a37c907e8e0', 'False', 'True', 'false', 'false', '510422206047', 5, '淘水社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422206047', 1, '2021-07-19 11:34:43', NULL, NULL), (4728, '', '机房村民委员会', 'c94b625c29b449e58976aa073f761bc0', '390515186f6a4e1b8fc46a37c907e8e0', 'False', 'True', 'false', 'false', '510422206072', 5, '机房村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422206072', 1, '2021-07-19 11:34:43', NULL, NULL), (4729, '', '大石房社区村民委员会', '059a4a96c9564c2abe7f6bfa60429ce2', '390515186f6a4e1b8fc46a37c907e8e0', 'False', 'True', 'false', 'false', '510422206143', 5, '大石房社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422206143', 1, '2021-07-19 11:34:43', NULL, NULL), (4730, '', '小坪村民委员会', '192b62a830ee496e91e2337f8ead1bde', '390515186f6a4e1b8fc46a37c907e8e0', 'False', 'True', 'false', 'false', '510422206224', 5, '小坪村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422206224', 1, '2021-07-19 11:34:43', NULL, NULL), (4731, '', '民胜村民委员会', 'c108095602d14aefaa007057c5aa0c3d', '390515186f6a4e1b8fc46a37c907e8e0', 'False', 'True', 'false', 'false', '510422206313', 5, '民胜村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422206313', 1, '2021-07-19 11:34:43', NULL, NULL), (4732, '', '大毕社区村民委员会', '878974216d324db8a4a3ba289eda0013', '390515186f6a4e1b8fc46a37c907e8e0', 'False', 'True', 'false', 'false', '510422206520', 5, '大毕社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422206520', 1, '2021-07-19 11:34:43', NULL, NULL), (4733, '', '新毕社区村民委员会', '142364a43ffb49638cd865eeb9fa5ca8', '390515186f6a4e1b8fc46a37c907e8e0', 'False', 'True', 'false', 'false', '510422206787', 5, '新毕社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422206787', 1, '2021-07-19 11:34:43', NULL, NULL), (4734, '', '红果乡', 'a7e9326bf763471faa0c4e5afaeeeadb', 'd89d33e1b32b4cdf840fde54a16d778b', 'True', 'True', 'false', 'false', '510422101000', 4, '红果乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510422101000', 1, '2021-07-19 11:34:44', NULL, NULL), (4735, '', '红星社区居民委员会', '40ce27f355074d329f431cd620e616ca', 'a7e9326bf763471faa0c4e5afaeeeadb', 'False', 'True', 'false', 'false', '510422203064', 5, '红星社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422203064', 1, '2021-07-19 11:34:44', NULL, NULL), (4736, '', '红果社区村民委员会', '365df1b6319943b5936fd8a21f48c366', 'a7e9326bf763471faa0c4e5afaeeeadb', 'False', 'True', 'false', 'false', '510422203335', 5, '红果社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422203335', 1, '2021-07-19 11:34:44', NULL, NULL), (4737, '', '梁子田村民委员会', 'b2234fb481844f7493a2f9dda268415c', 'a7e9326bf763471faa0c4e5afaeeeadb', 'False', 'True', 'false', 'false', '510422203360', 5, '梁子田村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422203360', 1, '2021-07-19 11:34:44', NULL, NULL), (4738, '', '蒿枝坪社区村民委员会', '05584d619c7e496c99d23bc9618bfc87', 'a7e9326bf763471faa0c4e5afaeeeadb', 'False', 'True', 'false', 'false', '510422203388', 5, '蒿枝坪社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422203388', 1, '2021-07-19 11:34:44', NULL, NULL), (4739, '', '花椒箐村民委员会', '98a5e3abce304cf9824c2185516ead52', 'a7e9326bf763471faa0c4e5afaeeeadb', 'False', 'True', 'false', 'false', '510422203462', 5, '花椒箐村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422203462', 1, '2021-07-19 11:34:44', NULL, NULL), (4740, '', '花地社区村民委员会', '1a5598b8498b47a69794fc6230b24635', 'a7e9326bf763471faa0c4e5afaeeeadb', 'False', 'True', 'false', 'false', '510422203629', 5, '花地社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422203629', 1, '2021-07-19 11:34:44', NULL, NULL), (4741, '', '三滩社区村民委员会', '613d85c84a7d40b99a37a0455f9756f4', 'a7e9326bf763471faa0c4e5afaeeeadb', 'False', 'True', 'false', 'false', '510422203656', 5, '三滩社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422203656', 1, '2021-07-19 11:34:44', NULL, NULL), (4742, '', '格萨拉乡', 'd7ce2338e7c94d759ea1328b1159cef2', 'd89d33e1b32b4cdf840fde54a16d778b', 'True', 'True', 'false', 'false', '510422111000', 4, '格萨拉乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510422111000', 1, '2021-07-19 11:34:44', NULL, NULL), (4743, '', '大坪子社区村民委员会', '9a96a5b1034948c99a5286610b1b6bfc', 'd7ce2338e7c94d759ea1328b1159cef2', 'False', 'True', 'false', 'false', '510422211157', 5, '大坪子社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422211157', 1, '2021-07-19 11:34:44', NULL, NULL), (4744, '', '坪原村民委员会', '4848bc630f53430eb6fc565d223e3979', 'd7ce2338e7c94d759ea1328b1159cef2', 'False', 'True', 'false', 'false', '510422211205', 5, '坪原村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422211205', 1, '2021-07-19 11:34:44', NULL, NULL), (4745, '', '韭菜坪社区村民委员会', '3217a374793947c7a5b80c0f6d3245a1', 'd7ce2338e7c94d759ea1328b1159cef2', 'False', 'True', 'false', 'false', '510422211356', 5, '韭菜坪社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422211356', 1, '2021-07-19 11:34:44', NULL, NULL), (4746, '', '大湾村民委员会', 'b2e3b85fe66942cc9a6ba939128112ef', 'd7ce2338e7c94d759ea1328b1159cef2', 'False', 'True', 'false', 'false', '510422211678', 5, '大湾村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422211678', 1, '2021-07-19 11:34:44', NULL, NULL), (4747, '', '支六河社区村民委员会', '1f24078f1c644119bacbf5f70fff5f04', 'd7ce2338e7c94d759ea1328b1159cef2', 'False', 'True', 'false', 'false', '510422211707', 5, '支六河社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422211707', 1, '2021-07-19 11:34:44', NULL, NULL), (4748, '', '古德社区村民委员会', '7ce2d50f3813479aadfe9b0f1de81fa5', 'd7ce2338e7c94d759ea1328b1159cef2', 'False', 'True', 'false', 'false', '510422211889', 5, '古德社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422211889', 1, '2021-07-19 11:34:45', NULL, NULL), (4749, '', '共和乡', '9be45910ca8240dd84e673ecdb49d2e2', 'd89d33e1b32b4cdf840fde54a16d778b', 'True', 'True', 'false', 'false', '510422338000', 4, '共和乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510422338000', 1, '2021-07-19 11:34:45', NULL, NULL), (4750, '', '太坪村民委员会', 'd4aeec5c79724e909c90898eda0f1d91', '9be45910ca8240dd84e673ecdb49d2e2', 'False', 'True', 'false', 'false', '510422205111', 5, '太坪村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422205111', 1, '2021-07-19 11:34:45', NULL, NULL), (4751, '', '白草坪村村民委员会', 'ec26f11e765440bf95edfc4e9354bfe4', '9be45910ca8240dd84e673ecdb49d2e2', 'False', 'True', 'false', 'false', '510422205156', 5, '白草坪村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422205156', 1, '2021-07-19 11:34:45', NULL, NULL), (4752, '', '太田村村民委员会', '68877abe024a43a0ada8c73aae5d0437', '9be45910ca8240dd84e673ecdb49d2e2', 'False', 'True', 'false', 'false', '510422205246', 5, '太田村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422205246', 1, '2021-07-19 11:34:45', NULL, NULL), (4753, '', '林海村村民委员会', 'e7cdf3c945734d5c8f12f3adcf234f65', '9be45910ca8240dd84e673ecdb49d2e2', 'False', 'True', 'false', 'false', '510422205291', 5, '林海村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422205291', 1, '2021-07-19 11:34:45', NULL, NULL), (4754, '', '扎古村民委员会', '7e154948c1dd427f9b5d6905f59c9a40', '9be45910ca8240dd84e673ecdb49d2e2', 'False', 'True', 'false', 'false', '510422205368', 5, '扎古村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422205368', 1, '2021-07-19 11:34:45', NULL, NULL), (4755, '', '田坝村民委员会', '619dfbece36d4d688b94e12fe7db9d3c', '9be45910ca8240dd84e673ecdb49d2e2', 'False', 'True', 'false', 'false', '510422205660', 5, '田坝村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422205660', 1, '2021-07-19 11:34:45', NULL, NULL), (4756, '', '纳底河社区村民委员会', 'c38305b236314e88a04f0316bfda54be', '9be45910ca8240dd84e673ecdb49d2e2', 'False', 'True', 'false', 'false', '510422205889', 5, '纳底河社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422205889', 1, '2021-07-19 11:34:45', NULL, NULL), (4757, '', '惠民乡', 'a6a57a139628410d960f3dc2b1197139', 'd89d33e1b32b4cdf840fde54a16d778b', 'True', 'True', 'false', 'false', '510422379000', 4, '惠民乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510422379000', 1, '2021-07-19 11:34:45', NULL, NULL), (4758, '', '民主村民委员会', '4c6999f7b8464f5db60a2b883c05a693', 'a6a57a139628410d960f3dc2b1197139', 'False', 'True', 'false', 'false', '510422208005', 5, '民主村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422208005', 1, '2021-07-19 11:34:45', NULL, NULL), (4759, '', '新林社区村民委员会', 'd4573f9ab38e42a68ea06d677fc74cf3', 'a6a57a139628410d960f3dc2b1197139', 'False', 'True', 'false', 'false', '510422208041', 5, '新林社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422208041', 1, '2021-07-19 11:34:45', NULL, NULL), (4760, '', '建新社区村民委员会', 'bdc32f40c39e4f3ca6bdf2476a03315a', 'a6a57a139628410d960f3dc2b1197139', 'False', 'True', 'false', 'false', '510422208054', 5, '建新社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422208054', 1, '2021-07-19 11:34:45', NULL, NULL), (4761, '', '青龙村民委员会', '2f3a417cef444fdaa580da7e72d81b0b', 'a6a57a139628410d960f3dc2b1197139', 'False', 'True', 'false', 'false', '510422208502', 5, '青龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422208502', 1, '2021-07-19 11:34:45', NULL, NULL), (4762, '', '和平村民委员会', '480917aac64b48a7b9780b3f09f1eea9', 'a6a57a139628410d960f3dc2b1197139', 'False', 'True', 'false', 'false', '510422208646', 5, '和平村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422208646', 1, '2021-07-19 11:34:45', NULL, NULL), (4763, '', '银河社区村民委员会', '74dabded3b3042dda550f33c563031b3', 'a6a57a139628410d960f3dc2b1197139', 'False', 'True', 'false', 'false', '510422208701', 5, '银河社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422208701', 1, '2021-07-19 11:34:45', NULL, NULL), (4764, '', '兴隆社区村民委员会', 'ea5427dd8bfd44deb0ba0b626439f5c3', 'a6a57a139628410d960f3dc2b1197139', 'False', 'True', 'false', 'false', '510422208920', 5, '兴隆社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422208920', 1, '2021-07-19 11:34:46', NULL, NULL), (4765, '', '永兴镇', '9bfc1eedcc1442a893efaf37f94ebb60', 'd89d33e1b32b4cdf840fde54a16d778b', 'True', 'True', 'false', 'false', '510422580000', 4, '永兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510422580000', 1, '2021-07-19 11:34:46', NULL, NULL), (4766, '', '箐河村村民委员会', '8f0abc1205d444a1b42e4bff9cc36079', '9bfc1eedcc1442a893efaf37f94ebb60', 'False', 'True', 'false', 'false', '510422103139', 5, '箐河村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422103139', 1, '2021-07-19 11:34:46', NULL, NULL), (4767, '', '永兴村村民委员会', '8c6b18786b6441b5977a2cd9f9fb2a91', '9bfc1eedcc1442a893efaf37f94ebb60', 'False', 'True', 'false', 'false', '510422103162', 5, '永兴村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422103162', 1, '2021-07-19 11:34:46', NULL, NULL), (4768, '', '复兴村民委员会', 'e689549f0d3444209034613aa0b19e73', '9bfc1eedcc1442a893efaf37f94ebb60', 'False', 'True', 'false', 'false', '510422103302', 5, '复兴村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422103302', 1, '2021-07-19 11:34:46', NULL, NULL), (4769, '', '喇撒田社区居民委员会', 'c1a51f687a6a499bae407526aa7920ce', '9bfc1eedcc1442a893efaf37f94ebb60', 'False', 'True', 'false', 'false', '510422103356', 5, '喇撒田社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422103356', 1, '2021-07-19 11:34:46', NULL, NULL), (4770, '', '岩门村村民委员会', 'de129fbbb2974b2b8ae0d9a229621fd7', '9bfc1eedcc1442a893efaf37f94ebb60', 'False', 'True', 'false', 'false', '510422103529', 5, '岩门村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422103529', 1, '2021-07-19 11:34:46', NULL, NULL), (4771, '', '江西村民委员会', '76b21e80883542fbb7b64c2454066f01', '9bfc1eedcc1442a893efaf37f94ebb60', 'False', 'True', 'false', 'false', '510422103541', 5, '江西村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422103541', 1, '2021-07-19 11:34:46', NULL, NULL), (4772, '', '新胜社区村民委员会', '095001b80aad4db180d99b53ecc6ef59', '9bfc1eedcc1442a893efaf37f94ebb60', 'False', 'True', 'false', 'false', '510422103785', 5, '新胜社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422103785', 1, '2021-07-19 11:34:46', NULL, NULL), (4773, '', '作坊村民委员会', '52ca6998f0e84ea88dbcfb62aced1e0e', '9bfc1eedcc1442a893efaf37f94ebb60', 'False', 'True', 'false', 'false', '510422103856', 5, '作坊村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422103856', 1, '2021-07-19 11:34:46', NULL, NULL), (4774, '', '强胜村民委员会', '96114ae238d142448eb393049fa9a309', '9bfc1eedcc1442a893efaf37f94ebb60', 'False', 'True', 'false', 'false', '510422103905', 5, '强胜村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422103905', 1, '2021-07-19 11:34:46', NULL, NULL), (4775, '', '苍蒲村民委员会', '4898b1f131e74722a463b627950b91ae', '9bfc1eedcc1442a893efaf37f94ebb60', 'False', 'True', 'false', 'false', '510422103910', 5, '苍蒲村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422103910', 1, '2021-07-19 11:34:46', NULL, NULL), (4776, '', '桐子林镇', '8ac51dbd59aa450b830ccfdf68ad99c5', 'd89d33e1b32b4cdf840fde54a16d778b', 'True', 'True', 'false', 'false', '510422602000', 4, '桐子林镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510422602000', 1, '2021-07-19 11:34:46', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (4777, '', '清源社区居民委员会', 'a1cce3b2d5ab497a9d9005ef1458cc86', '8ac51dbd59aa450b830ccfdf68ad99c5', 'False', 'True', 'false', 'false', '510422100156', 5, '清源社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422100156', 1, '2021-07-19 11:34:47', NULL, NULL), (4778, '', '桐子林社区居民委员会', '18333bee1ba34ed1a95e672f3fff934d', '8ac51dbd59aa450b830ccfdf68ad99c5', 'False', 'True', 'false', 'false', '510422100215', 5, '桐子林社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422100215', 1, '2021-07-19 11:34:47', NULL, NULL), (4779, '', '城南社区居民委员会', 'f280db0555a349d3af87b587f56d6280', '8ac51dbd59aa450b830ccfdf68ad99c5', 'False', 'True', 'false', 'false', '510422100443', 5, '城南社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422100443', 1, '2021-07-19 11:34:47', NULL, NULL), (4780, '', '城北社区居民委员会', '28c016080e17476e90641036c43acafe', '8ac51dbd59aa450b830ccfdf68ad99c5', 'False', 'True', 'false', 'false', '510422100638', 5, '城北社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422100638', 1, '2021-07-19 11:34:47', NULL, NULL), (4781, '', '金河社区村民委员会', 'faf87913704148dd9b766464f0bebd02', '8ac51dbd59aa450b830ccfdf68ad99c5', 'False', 'True', 'false', 'false', '510422100919', 5, '金河社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422100919', 1, '2021-07-19 11:34:47', NULL, NULL), (4782, '', '红格镇', '02fd6fa2019c4fcebf86818c687827a4', 'd89d33e1b32b4cdf840fde54a16d778b', 'True', 'True', 'false', 'false', '510422643000', 4, '红格镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510422643000', 1, '2021-07-19 11:34:47', NULL, NULL), (4783, '', '鲊石村村民委员会', 'b289000d289c4171ab96ef0e5de24598', '02fd6fa2019c4fcebf86818c687827a4', 'False', 'True', 'false', 'false', '510422101146', 5, '鲊石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422101146', 1, '2021-07-19 11:34:47', NULL, NULL), (4784, '', '联合村村民委员会', 'e1ec4e31b5924b76980d0976131ecc98', '02fd6fa2019c4fcebf86818c687827a4', 'False', 'True', 'false', 'false', '510422101772', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422101772', 1, '2021-07-19 11:34:47', NULL, NULL), (4785, '', '永渔村村民委员会', 'a20518de7da7435daba0152f4b6d7d83', '02fd6fa2019c4fcebf86818c687827a4', 'False', 'True', 'false', 'false', '510422101102', 5, '永渔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422101102', 1, '2021-07-19 11:34:47', NULL, NULL), (4786, '', '新民村村民委员会', '44960479d049472da4ebfa70a9e5be59', '02fd6fa2019c4fcebf86818c687827a4', 'False', 'True', 'false', 'false', '510422101156', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422101156', 1, '2021-07-19 11:34:47', NULL, NULL), (4787, '', '益民村村民委员会', '9b6f236824fd4d06b2bc744130ed9be5', '02fd6fa2019c4fcebf86818c687827a4', 'False', 'True', 'false', 'false', '510422101289', 5, '益民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422101289', 1, '2021-07-19 11:34:47', NULL, NULL), (4788, '', '金沙村村民委员会', 'b6f2abf41a1c4fa198b67a064ef8579d', '02fd6fa2019c4fcebf86818c687827a4', 'False', 'True', 'false', 'false', '510422101436', 5, '金沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422101436', 1, '2021-07-19 11:34:47', NULL, NULL), (4789, '', '红格社区村民委员会', '2d6bc1fdd15f4379a63cadad7c44271d', '02fd6fa2019c4fcebf86818c687827a4', 'False', 'True', 'false', 'false', '510422101239', 5, '红格社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422101239', 1, '2021-07-19 11:34:48', NULL, NULL), (4790, '', '和爱村村民委员会', 'b79624050f404ce590b178e66fbbb4b7', '02fd6fa2019c4fcebf86818c687827a4', 'False', 'True', 'false', 'false', '510422101419', 5, '和爱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422101419', 1, '2021-07-19 11:34:48', NULL, NULL), (4791, '', '新隆社区村民委员会', 'dc163bf1f7e543f88c09edb362bec4bb', '02fd6fa2019c4fcebf86818c687827a4', 'False', 'True', 'false', 'false', '510422101434', 5, '新隆社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422101434', 1, '2021-07-19 11:34:48', NULL, NULL), (4792, '', '昔格达社区村民委员会', 'bf1dc0d4116047bd9c3fd262ba08ae3f', '02fd6fa2019c4fcebf86818c687827a4', 'False', 'True', 'false', 'false', '510422101506', 5, '昔格达社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422101506', 1, '2021-07-19 11:34:48', NULL, NULL), (4793, '', '阳光社区居民委员会', 'c63a0936254e4a128ad9917425393be8', '02fd6fa2019c4fcebf86818c687827a4', 'False', 'True', 'false', 'false', '510422101938', 5, '阳光社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422101938', 1, '2021-07-19 11:34:48', NULL, NULL), (4794, '', '新九乡', '21b8aee30db042edac58d62819ac1058', 'd89d33e1b32b4cdf840fde54a16d778b', 'True', 'True', 'false', 'false', '510422748000', 4, '新九乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510422748000', 1, '2021-07-19 11:34:48', NULL, NULL), (4795, '', '踏鲊社区村民委员会', '83da0c6b70754e988ceae1d85aae6d3e', '21b8aee30db042edac58d62819ac1058', 'False', 'True', 'false', 'false', '510422201016', 5, '踏鲊社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422201016', 1, '2021-07-19 11:34:48', NULL, NULL), (4796, '', '平谷社区村民委员会', 'af6bda6aea9148d1aa128020a2d23c48', '21b8aee30db042edac58d62819ac1058', 'False', 'True', 'false', 'false', '510422201042', 5, '平谷社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422201042', 1, '2021-07-19 11:34:48', NULL, NULL), (4797, '', '猛粮村民委员会', 'f06ec478042a4078bd8814df2de6bcfe', '21b8aee30db042edac58d62819ac1058', 'False', 'True', 'false', 'false', '510422201226', 5, '猛粮村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422201226', 1, '2021-07-19 11:34:48', NULL, NULL), (4798, '', '安宁村村民委员会', '75560af7290e4db8bc39a949fb6b8736', '21b8aee30db042edac58d62819ac1058', 'False', 'True', 'false', 'false', '510422201545', 5, '安宁村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422201545', 1, '2021-07-19 11:34:48', NULL, NULL), (4799, '', '九场社区村民委员会', '4a73646e930c412b876e4347c35a66bf', '21b8aee30db042edac58d62819ac1058', 'False', 'True', 'false', 'false', '510422201735', 5, '九场社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422201735', 1, '2021-07-19 11:34:48', NULL, NULL), (4800, '', '水平村村民委员会', '1f76573905cd4a0481f2c47518987fc3', '21b8aee30db042edac58d62819ac1058', 'False', 'True', 'false', 'false', '510422201814', 5, '水平村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422201814', 1, '2021-07-19 11:34:48', NULL, NULL), (4801, '', '新坝村民委员会', 'fe5014c765934876a82205075ef6f7f7', '21b8aee30db042edac58d62819ac1058', 'False', 'True', 'false', 'false', '510422201874', 5, '新坝村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422201874', 1, '2021-07-19 11:34:49', NULL, NULL), (4802, '', '温泉乡', '2b6d2a8867a94502839967082604861b', 'd89d33e1b32b4cdf840fde54a16d778b', 'True', 'True', 'false', 'false', '510422974000', 4, '温泉乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510422974000', 1, '2021-07-19 11:34:49', NULL, NULL), (4803, '', '道角村民委员会', '77d290a99311413183bfaacc9bc960dd', '2b6d2a8867a94502839967082604861b', 'False', 'True', 'false', 'false', '510422210096', 5, '道角村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422210096', 1, '2021-07-19 11:34:49', NULL, NULL), (4804, '', '四呷左村民委员会', '72ca72e1b04e4abab8c67e17b9c62388', '2b6d2a8867a94502839967082604861b', 'False', 'True', 'false', 'false', '510422210242', 5, '四呷左村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422210242', 1, '2021-07-19 11:34:49', NULL, NULL), (4805, '', '野麻地村民委员会', '023f516ba52e450eb6ad7dd32b683abe', '2b6d2a8867a94502839967082604861b', 'False', 'True', 'false', 'false', '510422210271', 5, '野麻地村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422210271', 1, '2021-07-19 11:34:49', NULL, NULL), (4806, '', '热水塘社区村民委员会', 'baf82cd84bcb43b1bb9b7330f6398403', '2b6d2a8867a94502839967082604861b', 'False', 'True', 'false', 'false', '510422210873', 5, '热水塘社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422210873', 1, '2021-07-19 11:34:49', NULL, NULL), (4807, '', '那片社区村民委员会', '4e472316f4d047d581d5494683efa20b', '2b6d2a8867a94502839967082604861b', 'False', 'True', 'false', 'false', '510422210914', 5, '那片社区村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510422210914', 1, '2021-07-19 11:34:49', NULL, NULL), (4808, '', '泸州市', 'f96cd81a6efd4a1d9f65a00b6277b1fb', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '510500000000', 2, '泸州市', 'lzs.sczwfw.gov.cn', 1, '2021-07-19 11:34:49', NULL, NULL), (4809, '', '江阳区', '0f662c2a66fc42eea9e9d47b3dd340f7', 'f96cd81a6efd4a1d9f65a00b6277b1fb', 'True', 'True', 'false', 'false', '510502000000', 3, '江阳区', 'lzsjyq.sczwfw.gov.cn', 1, '2021-07-19 11:34:49', NULL, NULL), (4810, '', '南城街道', '66aa56ad607746eaa9c3abb214ed5e97', '0f662c2a66fc42eea9e9d47b3dd340f7', 'True', 'True', 'false', 'false', '510502001000', 4, '南城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510502001000', 1, '2021-07-19 11:34:49', NULL, NULL), (4811, '', '上平社区', 'f907e3d7624f472ea5e0b72a9eeeb445', '66aa56ad607746eaa9c3abb214ed5e97', 'False', 'True', 'false', 'false', '510502001001', 5, '上平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502001001', 1, '2021-07-19 11:34:49', NULL, NULL), (4812, '', '三星街社区', 'a2716e3204e3466b8a2d077e610dfad8', '66aa56ad607746eaa9c3abb214ed5e97', 'False', 'True', 'false', 'false', '510502001003', 5, '三星街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502001003', 1, '2021-07-19 11:34:49', NULL, NULL), (4813, '', '滨江社区', 'ca1e0d3611234236a27dfef4274488fd', '66aa56ad607746eaa9c3abb214ed5e97', 'False', 'True', 'false', 'false', '510502001004', 5, '滨江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502001004', 1, '2021-07-19 11:34:49', NULL, NULL), (4814, '', '白招牌社区', 'f9cdb4c52b8b4a5cb0ecce9ef21c7672', '66aa56ad607746eaa9c3abb214ed5e97', 'False', 'True', 'false', 'false', '510502001006', 5, '白招牌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502001006', 1, '2021-07-19 11:34:50', NULL, NULL), (4815, '', '凤凰社区', '71768f1619984919b8a1ba96e24a1035', '66aa56ad607746eaa9c3abb214ed5e97', 'False', 'True', 'false', 'false', '510502001008', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502001008', 1, '2021-07-19 11:34:50', NULL, NULL), (4816, '', '国窖社区', '0e9d2d4455554a33aa971e477fc37189', '66aa56ad607746eaa9c3abb214ed5e97', 'False', 'True', 'false', 'false', '510502001009', 5, '国窖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502001009', 1, '2021-07-19 11:34:50', NULL, NULL), (4817, '', '北城街道', 'bba8b5a5693845ce9a0b2cd92130f7cd', '0f662c2a66fc42eea9e9d47b3dd340f7', 'True', 'True', 'false', 'false', '510502002000', 4, '北城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510502002000', 1, '2021-07-19 11:34:50', NULL, NULL), (4818, '', '东门口社区', 'ee10459d89c54588b4378322df030ad4', 'bba8b5a5693845ce9a0b2cd92130f7cd', 'False', 'True', 'false', 'false', '510502002001', 5, '东门口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502002001', 1, '2021-07-19 11:34:50', NULL, NULL), (4819, '', '濂溪路社区', '4ceb14dafc3241cc976ad89b6ee46ebd', 'bba8b5a5693845ce9a0b2cd92130f7cd', 'False', 'True', 'false', 'false', '510502002002', 5, '濂溪路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502002002', 1, '2021-07-19 11:34:50', NULL, NULL), (4820, '', '报恩塔社区', 'e0cb205c083d409990b788bdbf72cb83', 'bba8b5a5693845ce9a0b2cd92130f7cd', 'False', 'True', 'false', 'false', '510502002003', 5, '报恩塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502002003', 1, '2021-07-19 11:34:50', NULL, NULL), (4821, '', '城垣社区', '9f6b6390db1d48d2bcb441057f112527', 'bba8b5a5693845ce9a0b2cd92130f7cd', 'False', 'True', 'false', 'false', '510502002004', 5, '城垣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502002004', 1, '2021-07-19 11:34:50', NULL, NULL), (4822, '', '皂角巷社区', 'de95be1f067b49c1827fe4c86f23a6b0', 'bba8b5a5693845ce9a0b2cd92130f7cd', 'False', 'True', 'false', 'false', '510502002006', 5, '皂角巷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502002006', 1, '2021-07-19 11:34:50', NULL, NULL), (4823, '', '大山坪街道', 'a0a83c784cdc43629c838270dcb65832', '0f662c2a66fc42eea9e9d47b3dd340f7', 'True', 'True', 'false', 'false', '510502003000', 4, '大山坪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510502003000', 1, '2021-07-19 11:34:50', NULL, NULL), (4824, '', '麻柳湾社区', 'e89b161e49ab4332bd67b872b5217b42', 'a0a83c784cdc43629c838270dcb65832', 'False', 'True', 'false', 'false', '510502003001', 5, '麻柳湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502003001', 1, '2021-07-19 11:34:50', NULL, NULL), (4825, '', '纪念标社区', 'e5527e8396a54c63b4c142c5d9e31349', 'a0a83c784cdc43629c838270dcb65832', 'False', 'True', 'false', 'false', '510502003002', 5, '纪念标社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502003002', 1, '2021-07-19 11:34:50', NULL, NULL), (4826, '', '南苑社区', '1c9bd61f20c24c70892bb5d75aace753', 'a0a83c784cdc43629c838270dcb65832', 'False', 'True', 'false', 'false', '510502003006', 5, '南苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502003006', 1, '2021-07-19 11:34:50', NULL, NULL), (4827, '', '龙透关社区', '32e11991331b426eac6834ba894656b1', 'a0a83c784cdc43629c838270dcb65832', 'False', 'True', 'false', 'false', '510502003007', 5, '龙透关社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502003007', 1, '2021-07-19 11:34:50', NULL, NULL), (4828, '', '康华苑社区', 'd46837fc89804651a31a13f03d9e8e9f', 'a0a83c784cdc43629c838270dcb65832', 'False', 'True', 'false', 'false', '510502003008', 5, '康华苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502003008', 1, '2021-07-19 11:34:50', NULL, NULL), (4829, '', '山岩脑社区', '0eb656bde22542719aca89d12ec59c02', 'a0a83c784cdc43629c838270dcb65832', 'False', 'True', 'false', 'false', '510502003009', 5, '山岩脑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502003009', 1, '2021-07-19 11:34:50', NULL, NULL), (4830, '', '百子图社区', '0af17801d65b464eb2fbbaf007dfbb7e', 'a0a83c784cdc43629c838270dcb65832', 'False', 'True', 'false', 'false', '510502003011', 5, '百子图社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502003011', 1, '2021-07-19 11:34:50', NULL, NULL), (4831, '', '三道桥社区', '0385ad1213c44c33bca9d5806e5649f3', 'a0a83c784cdc43629c838270dcb65832', 'False', 'True', 'false', 'false', '510502003012', 5, '三道桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502003012', 1, '2021-07-19 11:34:50', NULL, NULL), (4832, '', '石马沟社区', 'c3f1289c7ddd46209fb64c2c57d31dd2', 'a0a83c784cdc43629c838270dcb65832', 'False', 'True', 'false', 'false', '510502003013', 5, '石马沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502003013', 1, '2021-07-19 11:34:50', NULL, NULL), (4833, '', '邻玉街道', '5d5f68fbe4584514905fecfb31f1401c', '0f662c2a66fc42eea9e9d47b3dd340f7', 'True', 'True', 'false', 'false', '510502004000', 4, '邻玉街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510502004000', 1, '2021-07-19 11:34:50', NULL, NULL), (4834, '', '邻江社区', 'bac2e63673c942c98d79045d046d2c8d', '5d5f68fbe4584514905fecfb31f1401c', 'False', 'True', 'false', 'false', '510502004001', 5, '邻江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502004001', 1, '2021-07-19 11:34:51', NULL, NULL), (4835, '', '先锋村', '855a3f71093d441eadd7deac883a1d93', '5d5f68fbe4584514905fecfb31f1401c', 'False', 'True', 'false', 'false', '510502004200', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502004200', 1, '2021-07-19 11:34:51', NULL, NULL), (4836, '', '兴隆村', '5132211e1d6e4aab97b67cbc2e30bc63', '5d5f68fbe4584514905fecfb31f1401c', 'False', 'True', 'false', 'false', '510502004201', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502004201', 1, '2021-07-19 11:34:51', NULL, NULL), (4837, '', '天堂村', '5e9700255abf449aaeb677f9abc9afca', '5d5f68fbe4584514905fecfb31f1401c', 'False', 'True', 'false', 'false', '510502004203', 5, '天堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502004203', 1, '2021-07-19 11:34:51', NULL, NULL), (4838, '', '漕溪村', '4b04c4bb05634c1e86a4ef68ed0b0860', '5d5f68fbe4584514905fecfb31f1401c', 'False', 'True', 'false', 'false', '510502004206', 5, '漕溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502004206', 1, '2021-07-19 11:34:51', NULL, NULL), (4839, '', '蓝田街道', '1c0c4aa03ff3435f8c7c8e5372b7b2e8', '0f662c2a66fc42eea9e9d47b3dd340f7', 'True', 'True', 'false', 'false', '510502005000', 4, '蓝田街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510502005000', 1, '2021-07-19 11:34:51', NULL, NULL), (4840, '', '前进社区', '9aa71ca37c164851bb75333608326a2c', '1c0c4aa03ff3435f8c7c8e5372b7b2e8', 'False', 'True', 'false', 'false', '510502005592', 5, '前进社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502005592', 1, '2021-07-19 11:34:51', NULL, NULL), (4841, '', '洞宾亭社区', '30e4a5e8170d4f95ad3398ae41aac753', '1c0c4aa03ff3435f8c7c8e5372b7b2e8', 'False', 'True', 'false', 'false', '510502005624', 5, '洞宾亭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502005624', 1, '2021-07-19 11:34:51', NULL, NULL), (4842, '', '梨子园社区', '326773fe8f7649c1ae8a9d2923918934', '1c0c4aa03ff3435f8c7c8e5372b7b2e8', 'False', 'True', 'false', 'false', '510502005662', 5, '梨子园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502005662', 1, '2021-07-19 11:34:51', NULL, NULL), (4843, '', '黄桷坪社区', 'd9af66824960488382eedcb281537af4', '1c0c4aa03ff3435f8c7c8e5372b7b2e8', 'False', 'True', 'false', 'false', '510502005687', 5, '黄桷坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502005687', 1, '2021-07-19 11:34:51', NULL, NULL), (4844, '', '杨桥社区', '15aeec8cba4144d59aa54b9cc5300f56', '1c0c4aa03ff3435f8c7c8e5372b7b2e8', 'False', 'True', 'false', 'false', '510502005909', 5, '前进社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502005909', 1, '2021-07-19 11:34:51', NULL, NULL), (4845, '', '宪桥社区', '9165786eae5541a09552bdb994cb3499', '1c0c4aa03ff3435f8c7c8e5372b7b2e8', 'False', 'True', 'false', 'false', '510502005001', 5, '宪桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502005001', 1, '2021-07-19 11:34:51', NULL, NULL), (4846, '', '牛市坎社区', '260a0233060447b9ba7bdd5b8a52c0c0', '1c0c4aa03ff3435f8c7c8e5372b7b2e8', 'False', 'True', 'false', 'false', '510502005002', 5, '牛市坎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502005002', 1, '2021-07-19 11:34:51', NULL, NULL), (4847, '', '东升桥社区', 'd2c53dd1bfa64c06b0833af390f3f971', '1c0c4aa03ff3435f8c7c8e5372b7b2e8', 'False', 'True', 'false', 'false', '510502005003', 5, '东升桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502005003', 1, '2021-07-19 11:34:51', NULL, NULL), (4848, '', '特林桥社区', 'a400f9629e864bfcb2a4bb41e1524a0c', '1c0c4aa03ff3435f8c7c8e5372b7b2e8', 'False', 'True', 'false', 'false', '510502005004', 5, '特林桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502005004', 1, '2021-07-19 11:34:51', NULL, NULL), (4849, '', '黄荆山社区', '4b633da20a154265a20a60dfc6f47be7', '1c0c4aa03ff3435f8c7c8e5372b7b2e8', 'False', 'True', 'false', 'false', '510502005005', 5, '黄荆山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502005005', 1, '2021-07-19 11:34:52', NULL, NULL), (4850, '', '重湾社区', 'd95d4f25caec47d19766a1bb009e0fc3', '1c0c4aa03ff3435f8c7c8e5372b7b2e8', 'False', 'True', 'false', 'false', '510502005006', 5, '重湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502005006', 1, '2021-07-19 11:34:52', NULL, NULL), (4851, '', '华油社区', 'a51db73db2a340cfbd552785865e1e84', '1c0c4aa03ff3435f8c7c8e5372b7b2e8', 'False', 'True', 'false', 'false', '510502005007', 5, '华油社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502005007', 1, '2021-07-19 11:34:52', NULL, NULL), (4852, '', '红光村', 'd3c90111a7534ac886c0bea31a3a0cd4', '1c0c4aa03ff3435f8c7c8e5372b7b2e8', 'False', 'True', 'false', 'false', '510502005208', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502005208', 1, '2021-07-19 11:34:52', NULL, NULL), (4853, '', '肖湾村', '2125c606d3ec4e45863cb4f6c60b9a36', '1c0c4aa03ff3435f8c7c8e5372b7b2e8', 'False', 'True', 'false', 'false', '510502005209', 5, '肖湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502005209', 1, '2021-07-19 11:34:52', NULL, NULL), (4854, '', '石岭村', '82c212d32336476e8ee5ca8b993c9a7a', '1c0c4aa03ff3435f8c7c8e5372b7b2e8', 'False', 'True', 'false', 'false', '510502005212', 5, '石岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502005212', 1, '2021-07-19 11:34:52', NULL, NULL), (4855, '', '战斗村', '927b98fdbdd94968b8934264bfd30a8f', '1c0c4aa03ff3435f8c7c8e5372b7b2e8', 'False', 'True', 'false', 'false', '510502005214', 5, '战斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502005214', 1, '2021-07-19 11:34:52', NULL, NULL), (4856, '', '茜草街道', 'd07f21e03ebc438bbca2259aa33a7ae9', '0f662c2a66fc42eea9e9d47b3dd340f7', 'True', 'True', 'false', 'false', '510502006000', 4, '茜草街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510502006000', 1, '2021-07-19 11:34:52', NULL, NULL), (4857, '', '四川省泸州市江阳区茜草街道桂圆林社区居民委员会', '5f843f352f4c4fefa955c387480ad7cb', 'd07f21e03ebc438bbca2259aa33a7ae9', 'False', 'True', 'false', 'false', '510502006336', 5, '桂圆林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502006336', 1, '2021-07-19 11:34:52', NULL, NULL), (4858, '', '四川省泸州市江阳区茜草街道匠心社区居民委员会', '44b13669bf364c4f916b76b3dc0178ff', 'd07f21e03ebc438bbca2259aa33a7ae9', 'False', 'True', 'false', 'false', '510502006580', 5, '匠心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502006580', 1, '2021-07-19 11:34:52', NULL, NULL), (4859, '', '四川省泸州市江阳区茜草街道彭湾社区居民委员会', '30a69db1cacb43eab19b0b51bb6c3758', 'd07f21e03ebc438bbca2259aa33a7ae9', 'False', 'True', 'false', 'false', '510502006693', 5, '彭湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502006693', 1, '2021-07-19 11:34:52', NULL, NULL), (4860, '', '四川省泸州市江阳区茜草街道沙坪社区居民委员会', '53578ab75d144c8db7736ec286095023', 'd07f21e03ebc438bbca2259aa33a7ae9', 'False', 'True', 'false', 'false', '510502006799', 5, '沙坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502006799', 1, '2021-07-19 11:34:52', NULL, NULL), (4861, '', '四川省泸州市江阳区茜草街道邻府社区居民委员会', 'e300fc07ad244150b6aa5272980351b6', 'd07f21e03ebc438bbca2259aa33a7ae9', 'False', 'True', 'false', 'false', '510502006857', 5, '邻府社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502006857', 1, '2021-07-19 11:34:52', NULL, NULL), (4862, '', '四川省泸州市江阳区茜草街道渔子溪社区居民委员会', 'f985267920884724bdf949a612514561', 'd07f21e03ebc438bbca2259aa33a7ae9', 'False', 'True', 'false', 'false', '510502006881', 5, '渔子溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502006881', 1, '2021-07-19 11:34:52', NULL, NULL), (4863, '', '毗卢寺社区', 'cadcb4c7d9fd438093db94e0b5ba2a56', 'd07f21e03ebc438bbca2259aa33a7ae9', 'False', 'True', 'false', 'false', '510502006001', 5, '毗卢寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502006001', 1, '2021-07-19 11:34:52', NULL, NULL), (4864, '', '鹅宝山社区', 'c1285a3ae39540b484a06d14781cb7f8', 'd07f21e03ebc438bbca2259aa33a7ae9', 'False', 'True', 'false', 'false', '510502006002', 5, '鹅宝山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502006002', 1, '2021-07-19 11:34:53', NULL, NULL), (4865, '', '坝心社区', '6e1ed94c238f41f283838f3c1b74b184', 'd07f21e03ebc438bbca2259aa33a7ae9', 'False', 'True', 'false', 'false', '510502006003', 5, '坝心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502006003', 1, '2021-07-19 11:34:53', NULL, NULL), (4866, '', '卫国社区', '2b7205ce93d1440fa427adb9748a65f7', 'd07f21e03ebc438bbca2259aa33a7ae9', 'False', 'True', 'false', 'false', '510502006005', 5, '卫国社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502006005', 1, '2021-07-19 11:34:53', NULL, NULL), (4867, '', '光明社区', '898ecb82402047b59543d494b9106865', 'd07f21e03ebc438bbca2259aa33a7ae9', 'False', 'True', 'false', 'false', '510502006006', 5, '光明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502006006', 1, '2021-07-19 11:34:53', NULL, NULL), (4868, '', '黎明社区', '397a320298b04ceba53fa7fa0a81b691', 'd07f21e03ebc438bbca2259aa33a7ae9', 'False', 'True', 'false', 'false', '510502006007', 5, '黎明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502006007', 1, '2021-07-19 11:34:53', NULL, NULL), (4869, '', '新光社区', '415b8513132a47a1bf56279d1b9689b8', 'd07f21e03ebc438bbca2259aa33a7ae9', 'False', 'True', 'false', 'false', '510502006008', 5, '新光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502006008', 1, '2021-07-19 11:34:53', NULL, NULL), (4870, '', '金沙社区', '89649bd2a22d42ddb06ca73213aa69bd', 'd07f21e03ebc438bbca2259aa33a7ae9', 'False', 'True', 'false', 'false', '510502006009', 5, '金沙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502006009', 1, '2021-07-19 11:34:53', NULL, NULL), (4871, '', '华阳街道', 'f71ff07c4c7f46a2997836422094544e', '0f662c2a66fc42eea9e9d47b3dd340f7', 'True', 'True', 'false', 'false', '510502007000', 4, '华阳街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510502007000', 1, '2021-07-19 11:34:53', NULL, NULL), (4872, '', '四川省泸州市江阳区华阳街道龙腾社区居民委员会', 'b018aecd510547c4a1e544b04380b49e', 'f71ff07c4c7f46a2997836422094544e', 'False', 'True', 'false', 'false', '510502007196', 5, '龙腾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502007196', 1, '2021-07-19 11:34:53', NULL, NULL), (4873, '', '竹苑社区', '7e712ab017564cd494711eee926c128a', 'f71ff07c4c7f46a2997836422094544e', 'False', 'True', 'false', 'false', '510502007001', 5, '竹苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502007001', 1, '2021-07-19 11:34:53', NULL, NULL), (4874, '', '瓦窑坝社区', '2e1de1d7cbc548279101755917d82727', 'f71ff07c4c7f46a2997836422094544e', 'False', 'True', 'false', 'false', '510502007002', 5, '瓦窑坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502007002', 1, '2021-07-19 11:34:53', NULL, NULL), (4875, '', '华宜社区', 'bf5a078105e84e718d5fc8c3947e28dd', 'f71ff07c4c7f46a2997836422094544e', 'False', 'True', 'false', 'false', '510502007003', 5, '华宜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502007003', 1, '2021-07-19 11:34:53', NULL, NULL), (4876, '', '康乐社区', '22ab4581ef4c41238f4239f21a20e82e', 'f71ff07c4c7f46a2997836422094544e', 'False', 'True', 'false', 'false', '510502007004', 5, '康乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502007004', 1, '2021-07-19 11:34:53', NULL, NULL), (4877, '', '瑞景社区', '49bce2b3a23a4e30951d7ed2d3c596b3', 'f71ff07c4c7f46a2997836422094544e', 'False', 'True', 'false', 'false', '510502007005', 5, '瑞景社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502007005', 1, '2021-07-19 11:34:53', NULL, NULL), (4878, '', '春景社区', 'a25ce62e8ded4543a43c6a468cb62c43', 'f71ff07c4c7f46a2997836422094544e', 'False', 'True', 'false', 'false', '510502007006', 5, '春景社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502007006', 1, '2021-07-19 11:34:53', NULL, NULL), (4879, '', '龙驰社区', '991141afefc94a7ea13001e97680e9ce', 'f71ff07c4c7f46a2997836422094544e', 'False', 'True', 'false', 'false', '510502007007', 5, '龙驰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502007007', 1, '2021-07-19 11:34:53', NULL, NULL), (4880, '', '江湾村', 'd82fa89399be460e8d4d04c6f71038f2', 'f71ff07c4c7f46a2997836422094544e', 'False', 'True', 'false', 'false', '510502007203', 5, '江湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502007203', 1, '2021-07-19 11:34:53', NULL, NULL), (4881, '', '西岸村', '289d6331191c4113b4ad652a9c38a896', 'f71ff07c4c7f46a2997836422094544e', 'False', 'True', 'false', 'false', '510502007209', 5, '西岸村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502007209', 1, '2021-07-19 11:34:53', NULL, NULL), (4882, '', '泰安街道', 'a48cfdc6bd564756b9cb55dbfcf15f45', '0f662c2a66fc42eea9e9d47b3dd340f7', 'True', 'True', 'false', 'false', '510502009000', 4, '泰安街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510502009000', 1, '2021-07-19 11:34:53', NULL, NULL), (4883, '', '泰安社区', 'ba4bd43bf28b484cb12a88d4d12519b5', 'a48cfdc6bd564756b9cb55dbfcf15f45', 'False', 'True', 'false', 'false', '510502009001', 5, '泰安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502009001', 1, '2021-07-19 11:34:53', NULL, NULL), (4884, '', '泰和社区', '616e6b16b51b419ca0802c6572342c02', 'a48cfdc6bd564756b9cb55dbfcf15f45', 'False', 'True', 'false', 'false', '510502009002', 5, '泰和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502009002', 1, '2021-07-19 11:34:53', NULL, NULL), (4885, '', '泰港社区', '5576c148a22a44d4b6244a0de9c26e1a', 'a48cfdc6bd564756b9cb55dbfcf15f45', 'False', 'True', 'false', 'false', '510502009003', 5, '泰港社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502009003', 1, '2021-07-19 11:34:53', NULL, NULL), (4886, '', '龙江村', '7a1c43c982d447a8a0fa7e3b3dc0b20f', 'a48cfdc6bd564756b9cb55dbfcf15f45', 'False', 'True', 'false', 'false', '510502009203', 5, '龙江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502009203', 1, '2021-07-19 11:34:53', NULL, NULL), (4887, '', '桔卫村', '437c268d29574f90b562405cfccef59b', 'a48cfdc6bd564756b9cb55dbfcf15f45', 'False', 'True', 'false', 'false', '510502009205', 5, '桔卫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502009205', 1, '2021-07-19 11:34:54', NULL, NULL), (4888, '', '云庆村', 'bbcc8a1c544e40cb8360d68b318fdebd', 'a48cfdc6bd564756b9cb55dbfcf15f45', 'False', 'True', 'false', 'false', '510502009206', 5, '云庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502009206', 1, '2021-07-19 11:34:54', NULL, NULL), (4889, '', '咀阳村', '1798fe78f0e84f54b93b8754cf5f7759', 'a48cfdc6bd564756b9cb55dbfcf15f45', 'False', 'True', 'false', 'false', '510502009209', 5, '咀阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502009209', 1, '2021-07-19 11:34:54', NULL, NULL), (4890, '', '况场街道', 'a8558b2d0fe34332ba276e670a5518f9', '0f662c2a66fc42eea9e9d47b3dd340f7', 'True', 'True', 'false', 'false', '510502010000', 4, '况场街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510502010000', 1, '2021-07-19 11:34:54', NULL, NULL), (4891, '', '况场社区', '5b0dc89152c04afb961b33f67543a991', 'a8558b2d0fe34332ba276e670a5518f9', 'False', 'True', 'false', 'false', '510502010001', 5, '况场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502010001', 1, '2021-07-19 11:34:54', NULL, NULL), (4892, '', '况丰村', 'caba4479dc2d429aa40562830c95672b', 'a8558b2d0fe34332ba276e670a5518f9', 'False', 'True', 'false', 'false', '510502010201', 5, '况丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502010201', 1, '2021-07-19 11:34:54', NULL, NULL), (4893, '', '普潮村', '63ea7153016c4a679d795e98ba75c1a1', 'a8558b2d0fe34332ba276e670a5518f9', 'False', 'True', 'false', 'false', '510502010203', 5, '普潮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502010203', 1, '2021-07-19 11:34:54', NULL, NULL), (4894, '', '红山村', '04649585a6d944cd925efedc34c67c4d', 'a8558b2d0fe34332ba276e670a5518f9', 'False', 'True', 'false', 'false', '510502010205', 5, '红山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502010205', 1, '2021-07-19 11:34:54', NULL, NULL), (4895, '', '保林村', 'eec6f0b3d11f4ac39eaecba923297494', 'a8558b2d0fe34332ba276e670a5518f9', 'False', 'True', 'false', 'false', '510502010208', 5, '保林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502010208', 1, '2021-07-19 11:34:54', NULL, NULL), (4896, '', '双湖村', '9fc10a8d78c9472fb05b579d08b7ee85', 'a8558b2d0fe34332ba276e670a5518f9', 'False', 'True', 'false', 'false', '510502010211', 5, '双湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502010211', 1, '2021-07-19 11:34:54', NULL, NULL), (4897, '', '游湾村', '1288ff1e9b2d4772b6d1e6a39b785520', 'a8558b2d0fe34332ba276e670a5518f9', 'False', 'True', 'false', 'false', '510502010215', 5, '游湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502010215', 1, '2021-07-19 11:34:54', NULL, NULL), (4898, '', '康城村', '2989f101f36e4ea089b1b112c0084360', 'a8558b2d0fe34332ba276e670a5518f9', 'False', 'True', 'false', 'false', '510502010218', 5, '康城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502010218', 1, '2021-07-19 11:34:54', NULL, NULL), (4899, '', '福利村', '6f08c2ade8144cc29594e652f7260961', 'a8558b2d0fe34332ba276e670a5518f9', 'False', 'True', 'false', 'false', '510502010219', 5, '福利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502010219', 1, '2021-07-19 11:34:54', NULL, NULL), (4900, '', '大地村', 'd65a70ad280b4dfca366f4b394b00e3f', 'a8558b2d0fe34332ba276e670a5518f9', 'False', 'True', 'false', 'false', '510502010223', 5, '大地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502010223', 1, '2021-07-19 11:34:54', NULL, NULL), (4901, '', '春华村', 'f244621a9ad84af7895b8f178123ff8f', 'a8558b2d0fe34332ba276e670a5518f9', 'False', 'True', 'false', 'false', '510502010224', 5, '春华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502010224', 1, '2021-07-19 11:34:54', NULL, NULL), (4902, '', '黄舣镇', 'b47d8af6ea4a4194a2640ade2991bdca', '0f662c2a66fc42eea9e9d47b3dd340f7', 'True', 'True', 'false', 'false', '510502103000', 4, '黄舣镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510502103000', 1, '2021-07-19 11:34:54', NULL, NULL), (4903, '', '来龙山村', '5ccc69e668804275940265660706914b', 'b47d8af6ea4a4194a2640ade2991bdca', 'False', 'True', 'false', 'false', '510502103140', 5, '来龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502103140', 1, '2021-07-19 11:34:54', NULL, NULL), (4904, '', '王河村', '6136cd1ee22144d998a15e23d5efae85', 'b47d8af6ea4a4194a2640ade2991bdca', 'False', 'True', 'false', 'false', '510502103189', 5, '王河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502103189', 1, '2021-07-19 11:34:54', NULL, NULL), (4905, '', '群利村', '6194aa65d51d42e687836dceb8fe4523', 'b47d8af6ea4a4194a2640ade2991bdca', 'False', 'True', 'false', 'false', '510502103200', 5, '群利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502103200', 1, '2021-07-19 11:34:54', NULL, NULL), (4906, '', '中寨村', '5960ff33ce43402bb42faeb9bac6d567', 'b47d8af6ea4a4194a2640ade2991bdca', 'False', 'True', 'false', 'false', '510502103579', 5, '中寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502103579', 1, '2021-07-19 11:34:54', NULL, NULL), (4907, '', '弥陀社区', 'bc896c0e764c4ed1990b86df0f218122', 'b47d8af6ea4a4194a2640ade2991bdca', 'False', 'True', 'false', 'false', '510502103602', 5, '弥陀社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502103602', 1, '2021-07-19 11:34:55', NULL, NULL), (4908, '', '白马村', '78d793fcaee045b09907f38a8be9c844', 'b47d8af6ea4a4194a2640ade2991bdca', 'False', 'True', 'false', 'false', '510502103667', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502103667', 1, '2021-07-19 11:34:55', NULL, NULL), (4909, '', '联合村', 'c935aa57170b444e99421ffb2fb4f358', 'b47d8af6ea4a4194a2640ade2991bdca', 'False', 'True', 'false', 'false', '510502103766', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502103766', 1, '2021-07-19 11:34:55', NULL, NULL), (4910, '', '清凉寺村', '8c80369d11db4b858cd28d755be9dc40', 'b47d8af6ea4a4194a2640ade2991bdca', 'False', 'True', 'false', 'false', '510502103900', 5, '清凉寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502103900', 1, '2021-07-19 11:34:55', NULL, NULL), (4911, '', '黄舣社区', '239e90c4380343158bfb69fe37bad284', 'b47d8af6ea4a4194a2640ade2991bdca', 'False', 'True', 'false', 'false', '510502103001', 5, '黄舣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502103001', 1, '2021-07-19 11:34:55', NULL, NULL), (4912, '', '黄桥社区', 'c0a128faf2bf44028806a378d5a625f2', 'b47d8af6ea4a4194a2640ade2991bdca', 'False', 'True', 'false', 'false', '510502103002', 5, '黄桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502103002', 1, '2021-07-19 11:34:55', NULL, NULL), (4913, '', '永兴村', '2a6068945cad4fb8be4083671a4cfdc9', 'b47d8af6ea4a4194a2640ade2991bdca', 'False', 'True', 'false', 'false', '510502103206', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502103206', 1, '2021-07-19 11:34:55', NULL, NULL), (4914, '', '界牌村', '4d81c111ea1a4cababd02952d6870054', 'b47d8af6ea4a4194a2640ade2991bdca', 'False', 'True', 'false', 'false', '510502103207', 5, '界牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502103207', 1, '2021-07-19 11:34:55', NULL, NULL), (4915, '', '观音寺村', '22adf5614ce742e5975ee5efe2b47dad', 'b47d8af6ea4a4194a2640ade2991bdca', 'False', 'True', 'false', 'false', '510502103211', 5, '观音寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502103211', 1, '2021-07-19 11:34:55', NULL, NULL), (4916, '', '瓦窑滩村', '2b7f51f89d7542928ea896e7f05b3d85', 'b47d8af6ea4a4194a2640ade2991bdca', 'False', 'True', 'false', 'false', '510502103213', 5, '瓦窑滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502103213', 1, '2021-07-19 11:34:55', NULL, NULL), (4917, '', '罗湾村', 'ce2986ef641345598b530a9bb6d5b991', 'b47d8af6ea4a4194a2640ade2991bdca', 'False', 'True', 'false', 'false', '510502103216', 5, '罗湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502103216', 1, '2021-07-19 11:34:55', NULL, NULL), (4918, '', '马道子村', 'f94955f9fe96484eb0f167f0c25d3b23', 'b47d8af6ea4a4194a2640ade2991bdca', 'False', 'True', 'false', 'false', '510502103218', 5, '马道子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502103218', 1, '2021-07-19 11:34:55', NULL, NULL), (4919, '', '通滩镇', 'b87467b176a74d3c81bd7dd8fa5a5099', '0f662c2a66fc42eea9e9d47b3dd340f7', 'True', 'True', 'false', 'false', '510502106000', 4, '通滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510502106000', 1, '2021-07-19 11:34:55', NULL, NULL), (4920, '', '久桥村', 'c6e48acbc17b4ed380f223846905ce5f', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106262', 5, '久桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106262', 1, '2021-07-19 11:34:55', NULL, NULL), (4921, '', '新学村', 'd043827532394079b51e6bb49ea87a0b', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106444', 5, '新学村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106444', 1, '2021-07-19 11:34:55', NULL, NULL), (4922, '', '石寨社区', '541891791251445791bb1f41ed5c3465', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106446', 5, '石寨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106446', 1, '2021-07-19 11:34:56', NULL, NULL), (4923, '', '田湾村', '133191924a5942058a321ef912330202', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106455', 5, '田湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106455', 1, '2021-07-19 11:34:56', NULL, NULL), (4924, '', '上湾村', '9d91ec0a9182479ab93d889331063ce9', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106545', 5, '上湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106545', 1, '2021-07-19 11:34:56', NULL, NULL), (4925, '', '金银村', '1c7bf573f0b1476985cdeb8756cad51e', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106915', 5, '金银村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106915', 1, '2021-07-19 11:34:56', NULL, NULL), (4926, '', '凤龙村', '8399f4ad9db44aa5896e0f8c78530006', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106928', 5, '凤龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106928', 1, '2021-07-19 11:34:56', NULL, NULL), (4927, '', '通滩社区', '15586038c1314f9bad88816dc3b1d1b0', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106001', 5, '通滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106001', 1, '2021-07-19 11:34:56', NULL, NULL), (4928, '', '长河社区', '369b9e776e224b6ab05ccba63406365f', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106201', 5, '长河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106201', 1, '2021-07-19 11:34:56', NULL, NULL), (4929, '', '罗石桥村', 'ad2f23cbc9544d7090aced26dc31b185', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106203', 5, '罗石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106203', 1, '2021-07-19 11:34:56', NULL, NULL), (4930, '', '平丰村', '7860e98de2964b58b60c14a32c3c860e', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106204', 5, '平丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106204', 1, '2021-07-19 11:34:56', NULL, NULL), (4931, '', '金雨滩村', 'd21243de5770444a9463b29bda8bf63a', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106207', 5, '金雨滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106207', 1, '2021-07-19 11:34:56', NULL, NULL), (4932, '', '卢坪村', '1b70e31511844e86bce57f96cbb353e1', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106208', 5, '卢坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106208', 1, '2021-07-19 11:34:56', NULL, NULL), (4933, '', '开丰村', '7a33c1bf50584a3bbf92a244931b27ab', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106211', 5, '开丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106211', 1, '2021-07-19 11:34:56', NULL, NULL), (4934, '', '玉田村', '84fd7bbb93534256824a47b6e36c4dbb', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106213', 5, '玉田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106213', 1, '2021-07-19 11:34:56', NULL, NULL), (4935, '', '魏国村', '3019a2eae2994f78864cf40c773d025b', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106215', 5, '魏国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106215', 1, '2021-07-19 11:34:56', NULL, NULL), (4936, '', '大竹山村', '512d3c376be94762a9f6bd09a08d321d', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106221', 5, '大竹山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106221', 1, '2021-07-19 11:34:56', NULL, NULL), (4937, '', '陵园村', 'ed13a69dd34b4f09b4fc133ae3e8fbf1', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106222', 5, '陵园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106222', 1, '2021-07-19 11:34:57', NULL, NULL), (4938, '', '大坝村', '9b1c469fe9a342898339f744ccb54f5e', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106223', 5, '大坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106223', 1, '2021-07-19 11:34:57', NULL, NULL), (4939, '', '桐子湾村', '17e501a455dd4b1ea34e75cfe9612015', 'b87467b176a74d3c81bd7dd8fa5a5099', 'False', 'True', 'false', 'false', '510502106224', 5, '桐子湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502106224', 1, '2021-07-19 11:34:57', NULL, NULL), (4940, '', '江北镇', '45bc6a9232894a55b07aac2138a85e0b', '0f662c2a66fc42eea9e9d47b3dd340f7', 'True', 'True', 'false', 'false', '510502107000', 4, '江北镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510502107000', 1, '2021-07-19 11:34:57', NULL, NULL), (4941, '', '江北社区', '8df3884c71c449b0953174d2f18190ab', '45bc6a9232894a55b07aac2138a85e0b', 'False', 'True', 'false', 'false', '510502107001', 5, '江北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502107001', 1, '2021-07-19 11:34:57', NULL, NULL), (4942, '', '石鱼村', '14357b64f7764c6bb4e459875d68c81e', '45bc6a9232894a55b07aac2138a85e0b', 'False', 'True', 'false', 'false', '510502107201', 5, '石鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502107201', 1, '2021-07-19 11:34:57', NULL, NULL), (4943, '', '下坝村', 'e5e63df401a04a069b44dcfac1f93c30', '45bc6a9232894a55b07aac2138a85e0b', 'False', 'True', 'false', 'false', '510502107203', 5, '下坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502107203', 1, '2021-07-19 11:34:57', NULL, NULL), (4944, '', '金钩村', '29a16bf3c3e14d6b893d28c74cf38bc3', '45bc6a9232894a55b07aac2138a85e0b', 'False', 'True', 'false', 'false', '510502107204', 5, '金钩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502107204', 1, '2021-07-19 11:34:57', NULL, NULL), (4945, '', '先锋村', 'f7ff3c5d5f584ee5bd966859e4e16a74', '45bc6a9232894a55b07aac2138a85e0b', 'False', 'True', 'false', 'false', '510502107207', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502107207', 1, '2021-07-19 11:34:57', NULL, NULL), (4946, '', '岱宗村', '7df7bb42899d4f89847eaa52e7f12e46', '45bc6a9232894a55b07aac2138a85e0b', 'False', 'True', 'false', 'false', '510502107208', 5, '岱宗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502107208', 1, '2021-07-19 11:34:57', NULL, NULL), (4947, '', '干坝村', '0255da882dc84c91835d780d2e825012', '45bc6a9232894a55b07aac2138a85e0b', 'False', 'True', 'false', 'false', '510502107209', 5, '干坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502107209', 1, '2021-07-19 11:34:57', NULL, NULL), (4948, '', '福海村', '1695e143138c4e439077870f8fa5a736', '45bc6a9232894a55b07aac2138a85e0b', 'False', 'True', 'false', 'false', '510502107211', 5, '福海村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502107211', 1, '2021-07-19 11:34:57', NULL, NULL), (4949, '', '方山镇', '7bd3ef6e46e343f387299bddcaf821eb', '0f662c2a66fc42eea9e9d47b3dd340f7', 'True', 'True', 'false', 'false', '510502108000', 4, '方山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510502108000', 1, '2021-07-19 11:34:57', NULL, NULL), (4950, '', '方山社区', 'b5d925e1dda54abea70cb77a095aa21f', '7bd3ef6e46e343f387299bddcaf821eb', 'False', 'True', 'false', 'false', '510502108001', 5, '方山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502108001', 1, '2021-07-19 11:34:57', NULL, NULL), (4951, '', '云峰村', '76546d4e9ef74f9ba2d109b6a03e6bed', '7bd3ef6e46e343f387299bddcaf821eb', 'False', 'True', 'false', 'false', '510502108202', 5, '云峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502108202', 1, '2021-07-19 11:34:58', NULL, NULL), (4952, '', '许湾村', '72a8d95700d34e6ab24c52c4d373e38b', '7bd3ef6e46e343f387299bddcaf821eb', 'False', 'True', 'false', 'false', '510502108204', 5, '许湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502108204', 1, '2021-07-19 11:34:58', NULL, NULL), (4953, '', '白村', '6f6f9b1bd82f489ebbaa0c18e4d57a9b', '7bd3ef6e46e343f387299bddcaf821eb', 'False', 'True', 'false', 'false', '510502108205', 5, '白村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502108205', 1, '2021-07-19 11:34:58', NULL, NULL), (4954, '', '熊坝村', '5a8ba3be49f346e79311c7a54341166a', '7bd3ef6e46e343f387299bddcaf821eb', 'False', 'True', 'false', 'false', '510502108206', 5, '熊坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502108206', 1, '2021-07-19 11:34:58', NULL, NULL), (4955, '', '白塔村', '1bfb98cd70e2418dbdf10310e2486250', '7bd3ef6e46e343f387299bddcaf821eb', 'False', 'True', 'false', 'false', '510502108208', 5, '白塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502108208', 1, '2021-07-19 11:34:58', NULL, NULL), (4956, '', '临江村', '627b50802471468b93560aeb9dcf798b', '7bd3ef6e46e343f387299bddcaf821eb', 'False', 'True', 'false', 'false', '510502108210', 5, '临江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502108210', 1, '2021-07-19 11:34:58', NULL, NULL), (4957, '', '方山村', '75d462cc4e3942958f19561cb309187a', '7bd3ef6e46e343f387299bddcaf821eb', 'False', 'True', 'false', 'false', '510502108212', 5, '方山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502108212', 1, '2021-07-19 11:34:58', NULL, NULL), (4958, '', '分水岭镇', 'a0c5320d39cd402fb4627fe09eeb312a', '0f662c2a66fc42eea9e9d47b3dd340f7', 'True', 'True', 'false', 'false', '510502109000', 4, '分水岭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510502109000', 1, '2021-07-19 11:34:58', NULL, NULL), (4959, '', '分水岭社区', '4cbdc3e96baa4a998658723d5baa308f', 'a0c5320d39cd402fb4627fe09eeb312a', 'False', 'True', 'false', 'false', '510502109001', 5, '分水岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502109001', 1, '2021-07-19 11:34:58', NULL, NULL), (4960, '', '泸南村', '2adfe6cf613b49cc9074ceec090135b2', 'a0c5320d39cd402fb4627fe09eeb312a', 'False', 'True', 'false', 'false', '510502109202', 5, '泸南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502109202', 1, '2021-07-19 11:34:58', NULL, NULL), (4961, '', '四峰山村', '3bb60a58ca1e4b6392fa954201666b33', 'a0c5320d39cd402fb4627fe09eeb312a', 'False', 'True', 'false', 'false', '510502109203', 5, '四峰山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502109203', 1, '2021-07-19 11:34:58', NULL, NULL), (4962, '', '连坡村', '9d2b09a3ae814ee082777924d5c57e2a', 'a0c5320d39cd402fb4627fe09eeb312a', 'False', 'True', 'false', 'false', '510502109207', 5, '连坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502109207', 1, '2021-07-19 11:34:58', NULL, NULL), (4963, '', '青锋村', 'eeff4cd1d1eb47f09acc0dae1badae06', 'a0c5320d39cd402fb4627fe09eeb312a', 'False', 'True', 'false', 'false', '510502109208', 5, '青锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502109208', 1, '2021-07-19 11:34:58', NULL, NULL), (4964, '', '董允坝村', '8622043e55c8422e8b4801b5a88ed457', 'a0c5320d39cd402fb4627fe09eeb312a', 'False', 'True', 'false', 'false', '510502109211', 5, '董允坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502109211', 1, '2021-07-19 11:34:58', NULL, NULL), (4965, '', '大南山村', '6f638013bec543ea807e774644709fdb', 'a0c5320d39cd402fb4627fe09eeb312a', 'False', 'True', 'false', 'false', '510502109212', 5, '大南山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502109212', 1, '2021-07-19 11:34:59', NULL, NULL), (4966, '', '观音阁村', '387e230a836548fba0ecb23a1c725e79', 'a0c5320d39cd402fb4627fe09eeb312a', 'False', 'True', 'false', 'false', '510502109213', 5, '观音阁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502109213', 1, '2021-07-19 11:34:59', NULL, NULL), (4967, '', '常乐寺村', 'a8470fb17c63458088e7f3136b608a72', 'a0c5320d39cd402fb4627fe09eeb312a', 'False', 'True', 'false', 'false', '510502109215', 5, '常乐寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502109215', 1, '2021-07-19 11:34:59', NULL, NULL), (4968, '', '黎山村', '52be7fd7e0a94e10ba33bf559d14aa9f', 'a0c5320d39cd402fb4627fe09eeb312a', 'False', 'True', 'false', 'false', '510502109217', 5, '黎山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502109217', 1, '2021-07-19 11:34:59', NULL, NULL), (4969, '', '回龙寺村', '471a82b4b01d44c1ad8ab42907a990c7', 'a0c5320d39cd402fb4627fe09eeb312a', 'False', 'True', 'false', 'false', '510502109220', 5, '回龙寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502109220', 1, '2021-07-19 11:34:59', NULL, NULL), (4970, '', '丹林镇', 'f71a137ab7114a829dd50708a4f6596e', '0f662c2a66fc42eea9e9d47b3dd340f7', 'True', 'True', 'false', 'false', '510502111000', 4, '丹林镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510502111000', 1, '2021-07-19 11:34:59', NULL, NULL), (4971, '', '丹林社区', '41804e237e774c4099022eccd590ba7d', 'f71a137ab7114a829dd50708a4f6596e', 'False', 'True', 'false', 'false', '510502111001', 5, '丹林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502111001', 1, '2021-07-19 11:34:59', NULL, NULL), (4972, '', '长冲村', 'bd1563b620044c00a37021d4d4cf3f39', 'f71a137ab7114a829dd50708a4f6596e', 'False', 'True', 'false', 'false', '510502111201', 5, '长冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502111201', 1, '2021-07-19 11:34:59', NULL, NULL), (4973, '', '梨花村', '2273cf0858bc420697a5985066ce1f96', 'f71a137ab7114a829dd50708a4f6596e', 'False', 'True', 'false', 'false', '510502111202', 5, '梨花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502111202', 1, '2021-07-19 11:34:59', NULL, NULL), (4974, '', '文罗村', 'ad202d72c6b74700a0af970dbd2696ec', 'f71a137ab7114a829dd50708a4f6596e', 'False', 'True', 'false', 'false', '510502111205', 5, '文罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502111205', 1, '2021-07-19 11:34:59', NULL, NULL), (4975, '', '丹松村', '5bdece2b3203477d8c7005e45c1e295f', 'f71a137ab7114a829dd50708a4f6596e', 'False', 'True', 'false', 'false', '510502111206', 5, '丹松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502111206', 1, '2021-07-19 11:34:59', NULL, NULL), (4976, '', '建设村', '707aa9113f7143248caeb1fa5d5ef708', 'f71a137ab7114a829dd50708a4f6596e', 'False', 'True', 'false', 'false', '510502111209', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510502111209', 1, '2021-07-19 11:34:59', NULL, NULL), (4977, '', '纳溪区', '521317b463594d72a516e73a8505890c', 'f96cd81a6efd4a1d9f65a00b6277b1fb', 'True', 'True', 'false', 'false', '510503000000', 3, '纳溪区', 'lzsnxq.sczwfw.gov.cn', 1, '2021-07-19 11:34:59', NULL, NULL), (4978, '', '安富街道', '05cf94938d9e4038af1b9db9dabef5f1', '521317b463594d72a516e73a8505890c', 'True', 'True', 'false', 'false', '510503001000', 4, '安富街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510503001000', 1, '2021-07-19 11:34:59', NULL, NULL), (4979, '', '三江村', 'b0c82c77eb3b496d88f575c523822abd', '05cf94938d9e4038af1b9db9dabef5f1', 'False', 'True', 'false', 'false', '510503109130', 5, '三江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503109130', 1, '2021-07-19 11:34:59', NULL, NULL), (4980, '', '石龙村', '36ae7fd88d6541889b782c303548c71d', '05cf94938d9e4038af1b9db9dabef5f1', 'False', 'True', 'false', 'false', '510503109146', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503109146', 1, '2021-07-19 11:34:59', NULL, NULL), (4981, '', '桂花村', '35132d4aa2bb483fb1fbb06fef4fd024', '05cf94938d9e4038af1b9db9dabef5f1', 'False', 'True', 'false', 'false', '510503109351', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503109351', 1, '2021-07-19 11:34:59', NULL, NULL), (4982, '', '石银村', 'f15deab32c404b709590e5d9c9b9e13f', '05cf94938d9e4038af1b9db9dabef5f1', 'False', 'True', 'false', 'false', '510503109826', 5, '石银村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503109826', 1, '2021-07-19 11:34:59', NULL, NULL), (4983, '', '友谊路社区', '97a3dbe3dbb443a0833cbbad5b4b1d83', '05cf94938d9e4038af1b9db9dabef5f1', 'False', 'True', 'false', 'false', '510503001207', 5, '友谊路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503001207', 1, '2021-07-19 11:35:00', NULL, NULL), (4984, '', '上坝社区', '0884fa5e89174c0386692166c6133e29', '05cf94938d9e4038af1b9db9dabef5f1', 'False', 'True', 'false', 'false', '510503001300', 5, '上坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503001300', 1, '2021-07-19 11:35:00', NULL, NULL), (4985, '', '丙灵社区', 'c9ce71b540224fe797894e0a383996c7', '05cf94938d9e4038af1b9db9dabef5f1', 'False', 'True', 'false', 'false', '510503001314', 5, '丙灵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503001314', 1, '2021-07-19 11:35:00', NULL, NULL), (4986, '', '百梯社区', 'd66e998816cc4baaa7493a4f5d3f51b8', '05cf94938d9e4038af1b9db9dabef5f1', 'False', 'True', 'false', 'false', '510503001541', 5, '百梯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503001541', 1, '2021-07-19 11:35:00', NULL, NULL), (4987, '', '顺江街社区', 'affaa51e11da47489b3f243699492758', '05cf94938d9e4038af1b9db9dabef5f1', 'False', 'True', 'false', 'false', '510503001913', 5, '顺江街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503001913', 1, '2021-07-19 11:35:00', NULL, NULL), (4988, '', '永宁街道', 'a36a249ea83645ccbd71c5f4f8e5bb64', '521317b463594d72a516e73a8505890c', 'True', 'True', 'false', 'false', '510503002000', 4, '永宁街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510503002000', 1, '2021-07-19 11:35:00', NULL, NULL), (4989, '', '紫阳坪社区', '9c586e72f81f4ca98c9d24945b24feb8', 'a36a249ea83645ccbd71c5f4f8e5bb64', 'False', 'True', 'false', 'false', '510503002193', 5, '紫阳坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503002193', 1, '2021-07-19 11:35:00', NULL, NULL), (4990, '', '安富村', '9fc5978909d8449f9b49008e45c94c79', 'a36a249ea83645ccbd71c5f4f8e5bb64', 'False', 'True', 'false', 'false', '510503002816', 5, '安富村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503002816', 1, '2021-07-19 11:35:00', NULL, NULL), (4991, '', '胜利街社区', '5afbd90090e04b43b9ebfd620216317b', 'a36a249ea83645ccbd71c5f4f8e5bb64', 'False', 'True', 'false', 'false', '510503002001', 5, '胜利街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503002001', 1, '2021-07-19 11:35:00', NULL, NULL), (4992, '', '人民路社区', 'b2ebf9768f1f454ea599ce0212a4b1f5', 'a36a249ea83645ccbd71c5f4f8e5bb64', 'False', 'True', 'false', 'false', '510503002002', 5, '人民路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503002002', 1, '2021-07-19 11:35:00', NULL, NULL), (4993, '', '永宁路社区', '4bf3b56c6689435a8422004c58247ff8', 'a36a249ea83645ccbd71c5f4f8e5bb64', 'False', 'True', 'false', 'false', '510503002003', 5, '永宁路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503002003', 1, '2021-07-19 11:35:00', NULL, NULL), (4994, '', '建陶社区', '8929f07d157c42748be0c3b2a302be25', 'a36a249ea83645ccbd71c5f4f8e5bb64', 'False', 'True', 'false', 'false', '510503002004', 5, '建陶社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503002004', 1, '2021-07-19 11:35:00', NULL, NULL), (4995, '', '较场坝社区', '76c964c395d341a99dab5a58ac4c1ac4', 'a36a249ea83645ccbd71c5f4f8e5bb64', 'False', 'True', 'false', 'false', '510503002005', 5, '较场坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503002005', 1, '2021-07-19 11:35:00', NULL, NULL), (4996, '', '打渔山社区', '09656cac073e4fc392ed5123ea4e6cb3', 'a36a249ea83645ccbd71c5f4f8e5bb64', 'False', 'True', 'false', 'false', '510503002008', 5, '打渔山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503002008', 1, '2021-07-19 11:35:00', NULL, NULL), (4997, '', '五顶村', '83456cc35c7a42d99c9c7eea424cee01', 'a36a249ea83645ccbd71c5f4f8e5bb64', 'False', 'True', 'false', 'false', '510503002009', 5, '五顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503002009', 1, '2021-07-19 11:35:00', NULL, NULL), (4998, '', '朱坪村', '9f7a2316a45140c0ba4af7b00df8d4cd', 'a36a249ea83645ccbd71c5f4f8e5bb64', 'False', 'True', 'false', 'false', '510503002203', 5, '朱坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503002203', 1, '2021-07-19 11:35:00', NULL, NULL), (4999, '', '棉花坡社区', '5ce49f65f61e44928cc3132f6dbebaf2', 'a36a249ea83645ccbd71c5f4f8e5bb64', 'False', 'True', 'false', 'false', '510503002585', 5, '棉花坡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503002585', 1, '2021-07-19 11:35:00', NULL, NULL), (5000, '', '东升街道', '41b7d2b22cee4dcfa6af791a4b792867', '521317b463594d72a516e73a8505890c', 'True', 'True', 'false', 'false', '510503003000', 4, '东升街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510503003000', 1, '2021-07-19 11:35:00', NULL, NULL), (5001, '', '方水村', 'd2fd0ed1022042d185281d1b7c6b1700', '41b7d2b22cee4dcfa6af791a4b792867', 'False', 'True', 'false', 'false', '510503003027', 5, '方水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503003027', 1, '2021-07-19 11:35:00', NULL, NULL), (5002, '', '柑湾村', '0ffc0cb5f67447a9b07d5c78ff92d29d', '41b7d2b22cee4dcfa6af791a4b792867', 'False', 'True', 'false', 'false', '510503003240', 5, '柑湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503003240', 1, '2021-07-19 11:35:00', NULL, NULL), (5003, '', '皂角树社区', '3e19443c61ce463faf5e068443cc3e07', '41b7d2b22cee4dcfa6af791a4b792867', 'False', 'True', 'false', 'false', '510503003724', 5, '皂角树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503003724', 1, '2021-07-19 11:35:00', NULL, NULL), (5004, '', '朝阳社区', 'bc60f099863141198795bcc108c52e4e', '41b7d2b22cee4dcfa6af791a4b792867', 'False', 'True', 'false', 'false', '510503003953', 5, '朝阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503003953', 1, '2021-07-19 11:35:00', NULL, NULL), (5005, '', '柿子村', 'a737221abbaa40a59bda1483460383f4', '41b7d2b22cee4dcfa6af791a4b792867', 'False', 'True', 'false', 'false', '510503003200', 5, '柿子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503003200', 1, '2021-07-19 11:35:01', NULL, NULL), (5006, '', '九川村', '0f1e453aab2e4916a08b495acefb2698', '41b7d2b22cee4dcfa6af791a4b792867', 'False', 'True', 'false', 'false', '510503003201', 5, '九川村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503003201', 1, '2021-07-19 11:35:01', NULL, NULL), (5007, '', '大林村', 'd4bfca7af3c0401d9f3bdb177db300ba', '41b7d2b22cee4dcfa6af791a4b792867', 'False', 'True', 'false', 'false', '510503003202', 5, '大林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503003202', 1, '2021-07-19 11:35:01', NULL, NULL), (5008, '', '大溪村', 'dc65934a868642f684de6e04b2f1be9b', '41b7d2b22cee4dcfa6af791a4b792867', 'False', 'True', 'false', 'false', '510503003203', 5, '大溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503003203', 1, '2021-07-19 11:35:01', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (5009, '', '大渡口镇', 'a0b32b690a204082bf6e7cac86bf2e30', '521317b463594d72a516e73a8505890c', 'True', 'True', 'false', 'false', '510503100000', 4, '大渡口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510503100000', 1, '2021-07-19 11:35:01', NULL, NULL), (5010, '', '锦衣社区', '2bdcbfb5b03a4d97ad75519598e9ce7f', 'a0b32b690a204082bf6e7cac86bf2e30', 'False', 'True', 'false', 'false', '510503100001', 5, '锦衣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503100001', 1, '2021-07-19 11:35:01', NULL, NULL), (5011, '', '光明村', 'e272b9c4088a4cf49014ac5e1412aa55', 'a0b32b690a204082bf6e7cac86bf2e30', 'False', 'True', 'false', 'false', '510503100204', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503100204', 1, '2021-07-19 11:35:01', NULL, NULL), (5012, '', '双龙村', '2237832d10e84efca3aaeaf5f9ec3ba0', 'a0b32b690a204082bf6e7cac86bf2e30', 'False', 'True', 'false', 'false', '510503100205', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503100205', 1, '2021-07-19 11:35:01', NULL, NULL), (5013, '', '民生村', '8d11f9aff8314f259cd4274a0ee02d18', 'a0b32b690a204082bf6e7cac86bf2e30', 'False', 'True', 'false', 'false', '510503100206', 5, '民生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503100206', 1, '2021-07-19 11:35:01', NULL, NULL), (5014, '', '凤凰湖村', 'fa178c35fffd4feb8b5c8b65ee96c2e9', 'a0b32b690a204082bf6e7cac86bf2e30', 'False', 'True', 'false', 'false', '510503100207', 5, '凤凰湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503100207', 1, '2021-07-19 11:35:01', NULL, NULL), (5015, '', '民强村', '96f35e57c7bd43e59df711fb0ffe220f', 'a0b32b690a204082bf6e7cac86bf2e30', 'False', 'True', 'false', 'false', '510503100211', 5, '民强村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503100211', 1, '2021-07-19 11:35:01', NULL, NULL), (5016, '', '银地村', '3b357f45e24f45df888f86cf24393d27', 'a0b32b690a204082bf6e7cac86bf2e30', 'False', 'True', 'false', 'false', '510503100213', 5, '银地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503100213', 1, '2021-07-19 11:35:01', NULL, NULL), (5017, '', '铜鼓村', 'a1625b1143fa474d9a660a193298e1b2', 'a0b32b690a204082bf6e7cac86bf2e30', 'False', 'True', 'false', 'false', '510503100214', 5, '铜鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503100214', 1, '2021-07-19 11:35:01', NULL, NULL), (5018, '', '鹿羊村', '55f791c19c1346a1af08ee29897d7a0e', 'a0b32b690a204082bf6e7cac86bf2e30', 'False', 'True', 'false', 'false', '510503100215', 5, '鹿羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503100215', 1, '2021-07-19 11:35:01', NULL, NULL), (5019, '', '太和村', '2efdc8ab577349718d09200cca47d535', 'a0b32b690a204082bf6e7cac86bf2e30', 'False', 'True', 'false', 'false', '510503100220', 5, '太和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503100220', 1, '2021-07-19 11:35:01', NULL, NULL), (5020, '', '象鼻村', '76960d0ebe8043c28a65f5d7511e9093', 'a0b32b690a204082bf6e7cac86bf2e30', 'False', 'True', 'false', 'false', '510503100222', 5, '象鼻村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503100222', 1, '2021-07-19 11:35:01', NULL, NULL), (5021, '', '火炬社区', '30080d4b11a6423c8235969b7fb4bc6c', 'a0b32b690a204082bf6e7cac86bf2e30', 'False', 'True', 'false', 'false', '510503100551', 5, '火炬社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503100551', 1, '2021-07-19 11:35:01', NULL, NULL), (5022, '', '护国镇', '1d59bd22c96b4d3581ac665240be14e0', '521317b463594d72a516e73a8505890c', 'True', 'True', 'false', 'false', '510503101000', 4, '护国镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510503101000', 1, '2021-07-19 11:35:02', NULL, NULL), (5023, '', '叙蓬溪社区', '7f60dd788a094fb0a30a3de308a57824', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101001', 5, '叙蓬溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101001', 1, '2021-07-19 11:35:02', NULL, NULL), (5024, '', '大洲驿社区', '9b3f39db8c9541ca813808a415d7be81', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101002', 5, '大洲驿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101002', 1, '2021-07-19 11:35:02', NULL, NULL), (5025, '', '护国岩社区', 'e845d6e3945d4fc9b62e5757a54d3bd5', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101004', 5, '护国岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101004', 1, '2021-07-19 11:35:02', NULL, NULL), (5026, '', '沙田村', '276b029304de4125a3ed41b3c8aaa936', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101202', 5, '沙田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101202', 1, '2021-07-19 11:35:02', NULL, NULL), (5027, '', '东巷口村', '49a2641bbd644ca197af781e77bf58a4', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101205', 5, '东巷口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101205', 1, '2021-07-19 11:35:02', NULL, NULL), (5028, '', '凤仪村', '97adbfc72bc64f638411ee42f1a624cd', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101206', 5, '凤仪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101206', 1, '2021-07-19 11:35:02', NULL, NULL), (5029, '', '沈咀村', 'acb185b4459e45609459d6f4ce216b48', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101208', 5, '沈咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101208', 1, '2021-07-19 11:35:02', NULL, NULL), (5030, '', '藕花村', '3bad20994b0946b487d986957a6189b9', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101209', 5, '藕花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101209', 1, '2021-07-19 11:35:02', NULL, NULL), (5031, '', '大雄村', '97dd4870cc9f4458ae1fde7251b9ce78', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101210', 5, '大雄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101210', 1, '2021-07-19 11:35:02', NULL, NULL), (5032, '', '永江村', '7808a51ddeba44d7adea08e2b2df79c4', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101211', 5, '永江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101211', 1, '2021-07-19 11:35:02', NULL, NULL), (5033, '', '德红村', '381476934baa4d1493bb1a7922f35ad9', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101212', 5, '德红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101212', 1, '2021-07-19 11:35:02', NULL, NULL), (5034, '', '瓦窑村', '526137e7b90a4851a146949c564f8f75', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101215', 5, '瓦窑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101215', 1, '2021-07-19 11:35:02', NULL, NULL), (5035, '', '插旗村', '6da259a97fe74be9942870d91a44d14c', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101216', 5, '插旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101216', 1, '2021-07-19 11:35:02', NULL, NULL), (5036, '', '洞子村', 'cd7de84b7ac641eaaf23715d17d2ecfd', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101217', 5, '洞子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101217', 1, '2021-07-19 11:35:03', NULL, NULL), (5037, '', '龙沟村', '0bdd80baab8942cd90db9eb64fb4aa4f', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101221', 5, '龙沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101221', 1, '2021-07-19 11:35:03', NULL, NULL), (5038, '', '黄花村', '6e470f48f4e44fc5a1358c522aed0e27', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101222', 5, '黄花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101222', 1, '2021-07-19 11:35:03', NULL, NULL), (5039, '', '凤凰村', '6252d6e9beda41819768d0d7d2c55dfb', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101223', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101223', 1, '2021-07-19 11:35:03', NULL, NULL), (5040, '', '新屋基村', '40781700a58d492fb919e9d389453d91', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101224', 5, '新屋基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101224', 1, '2021-07-19 11:35:03', NULL, NULL), (5041, '', '朝阳村', 'ebb65c55cbf44ea4b55b7fdd6828ab70', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101226', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101226', 1, '2021-07-19 11:35:03', NULL, NULL), (5042, '', '梅岭村', '83eb3f246db4446e9774d41428a1234e', '1d59bd22c96b4d3581ac665240be14e0', 'False', 'True', 'false', 'false', '510503101230', 5, '梅岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503101230', 1, '2021-07-19 11:35:03', NULL, NULL), (5043, '', '打古镇', 'a74d181577e74bb9aa000c7902342dd5', '521317b463594d72a516e73a8505890c', 'True', 'True', 'false', 'false', '510503102000', 4, '打古镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510503102000', 1, '2021-07-19 11:35:03', NULL, NULL), (5044, '', '双家村', 'bbfeec9e31014194a1df3309715b4cc5', 'a74d181577e74bb9aa000c7902342dd5', 'False', 'True', 'false', 'false', '510503102060', 5, '双家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503102060', 1, '2021-07-19 11:35:03', NULL, NULL), (5045, '', '打古社区', '2f3c8e01199844c893213b8db3eb8aeb', 'a74d181577e74bb9aa000c7902342dd5', 'False', 'True', 'false', 'false', '510503102001', 5, '打古社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503102001', 1, '2021-07-19 11:35:03', NULL, NULL), (5046, '', '丹桂村', 'e4246593c4df4478bcf60425b8a4d59a', 'a74d181577e74bb9aa000c7902342dd5', 'False', 'True', 'false', 'false', '510503102201', 5, '丹桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503102201', 1, '2021-07-19 11:35:03', NULL, NULL), (5047, '', '独树村', '85ea7288264f47a2a23ce06615cef72d', 'a74d181577e74bb9aa000c7902342dd5', 'False', 'True', 'false', 'false', '510503102202', 5, '独树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503102202', 1, '2021-07-19 11:35:03', NULL, NULL), (5048, '', '紫微村', '45326adc7bae4a2e997d78f4fbe2db46', 'a74d181577e74bb9aa000c7902342dd5', 'False', 'True', 'false', 'false', '510503102203', 5, '紫微村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503102203', 1, '2021-07-19 11:35:03', NULL, NULL), (5049, '', '黄桷村', 'ac6a059b841740fe8305621f43ace7ef', 'a74d181577e74bb9aa000c7902342dd5', 'False', 'True', 'false', 'false', '510503102204', 5, '黄桷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503102204', 1, '2021-07-19 11:35:03', NULL, NULL), (5050, '', '双桂村', 'f95918cbe1db4ee1b49c4cb63cdede52', 'a74d181577e74bb9aa000c7902342dd5', 'False', 'True', 'false', 'false', '510503102206', 5, '双桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503102206', 1, '2021-07-19 11:35:03', NULL, NULL), (5051, '', '古纯村', '9aaf4bbfe68d43b9961f7d50b5f741b7', 'a74d181577e74bb9aa000c7902342dd5', 'False', 'True', 'false', 'false', '510503102207', 5, '古纯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503102207', 1, '2021-07-19 11:35:04', NULL, NULL), (5052, '', '普照村', 'afda769543a04e3a990f7cc67d3a45b9', 'a74d181577e74bb9aa000c7902342dd5', 'False', 'True', 'false', 'false', '510503102209', 5, '普照村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503102209', 1, '2021-07-19 11:35:04', NULL, NULL), (5053, '', '云回村', '2e4cb4f17f074d44ae9ce4c26ccea94e', 'a74d181577e74bb9aa000c7902342dd5', 'False', 'True', 'false', 'false', '510503102210', 5, '云回村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503102210', 1, '2021-07-19 11:35:04', NULL, NULL), (5054, '', '龙古村', '6fd5165e2b2d4f10a959e92fb797aace', 'a74d181577e74bb9aa000c7902342dd5', 'False', 'True', 'false', 'false', '510503102214', 5, '龙古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503102214', 1, '2021-07-19 11:35:04', NULL, NULL), (5055, '', '白云村', 'd7858408620148529deeeb77b36e8cbc', 'a74d181577e74bb9aa000c7902342dd5', 'False', 'True', 'false', 'false', '510503102215', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503102215', 1, '2021-07-19 11:35:04', NULL, NULL), (5056, '', '新阳村', 'b0c00a8b5dfe497b845f080efa6f9a23', 'a74d181577e74bb9aa000c7902342dd5', 'False', 'True', 'false', 'false', '510503102216', 5, '新阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503102216', 1, '2021-07-19 11:35:04', NULL, NULL), (5057, '', '松林村', '249fc82f9c9946d78b86d1ade30c9495', 'a74d181577e74bb9aa000c7902342dd5', 'False', 'True', 'false', 'false', '510503102217', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503102217', 1, '2021-07-19 11:35:04', NULL, NULL), (5058, '', '兴莲村', '11d712803e4f45b98ff4f3a989a6c4d8', 'a74d181577e74bb9aa000c7902342dd5', 'False', 'True', 'false', 'false', '510503102218', 5, '兴莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503102218', 1, '2021-07-19 11:35:04', NULL, NULL), (5059, '', '上马镇', '5dd6998baa8e4697b57c33f587ab069a', '521317b463594d72a516e73a8505890c', 'True', 'True', 'false', 'false', '510503103000', 4, '上马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510503103000', 1, '2021-07-19 11:35:04', NULL, NULL), (5060, '', '上马社区', '0b7067a775874f13bd711c2cccac3843', '5dd6998baa8e4697b57c33f587ab069a', 'False', 'True', 'false', 'false', '510503103001', 5, '上马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503103001', 1, '2021-07-19 11:35:04', NULL, NULL), (5061, '', '黄桷坝村', 'b90b75fa9fc146399569f8e549ac5c87', '5dd6998baa8e4697b57c33f587ab069a', 'False', 'True', 'false', 'false', '510503103201', 5, '黄桷坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503103201', 1, '2021-07-19 11:35:04', NULL, NULL), (5062, '', '太平村', '37c03815d61e44039bd59789b7cb7ca8', '5dd6998baa8e4697b57c33f587ab069a', 'False', 'True', 'false', 'false', '510503103202', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503103202', 1, '2021-07-19 11:35:04', NULL, NULL), (5063, '', '桐梓村', '163f3fdd1b02472c98ff509536375cc5', '5dd6998baa8e4697b57c33f587ab069a', 'False', 'True', 'false', 'false', '510503103204', 5, '桐梓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503103204', 1, '2021-07-19 11:35:04', NULL, NULL), (5064, '', '团山村', '766e66a4d4f24d2cbc281fbe9613b952', '5dd6998baa8e4697b57c33f587ab069a', 'False', 'True', 'false', 'false', '510503103205', 5, '团山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503103205', 1, '2021-07-19 11:35:04', NULL, NULL), (5065, '', '江田村', '858797d19e2a4625a2a7c3fbc3b5250f', '5dd6998baa8e4697b57c33f587ab069a', 'False', 'True', 'false', 'false', '510503103209', 5, '江田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503103209', 1, '2021-07-19 11:35:04', NULL, NULL), (5066, '', '大池村', '7526ecf3e033418a8f7ee346121c4d44', '5dd6998baa8e4697b57c33f587ab069a', 'False', 'True', 'false', 'false', '510503103211', 5, '大池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503103211', 1, '2021-07-19 11:35:05', NULL, NULL), (5067, '', '云台寺村', '20e9ac646f9a4474a3895b442be1f754', '5dd6998baa8e4697b57c33f587ab069a', 'False', 'True', 'false', 'false', '510503103213', 5, '云台寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503103213', 1, '2021-07-19 11:35:05', NULL, NULL), (5068, '', '八角仓村', '253c335c0edb49edb40834be1829e1b3', '5dd6998baa8e4697b57c33f587ab069a', 'False', 'True', 'false', 'false', '510503103217', 5, '八角仓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503103217', 1, '2021-07-19 11:35:05', NULL, NULL), (5069, '', '合面镇', 'c24c82399159470390113ffb208d243a', '521317b463594d72a516e73a8505890c', 'True', 'True', 'false', 'false', '510503104000', 4, '合面镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510503104000', 1, '2021-07-19 11:35:05', NULL, NULL), (5070, '', '沙合社区', 'ec6fe61fac674384beeb475973b7a2de', 'c24c82399159470390113ffb208d243a', 'False', 'True', 'false', 'false', '510503104001', 5, '沙合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503104001', 1, '2021-07-19 11:35:05', NULL, NULL), (5071, '', '马桥村', 'a59fd3e650a44b6b8b824132bf357342', 'c24c82399159470390113ffb208d243a', 'False', 'True', 'false', 'false', '510503104201', 5, '马桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503104201', 1, '2021-07-19 11:35:05', NULL, NULL), (5072, '', '新设村', 'a9d6490f985641cc833442d8802c91cf', 'c24c82399159470390113ffb208d243a', 'False', 'True', 'false', 'false', '510503104203', 5, '新设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503104203', 1, '2021-07-19 11:35:05', NULL, NULL), (5073, '', '郑河村', '6e23a444b3ff4a86baa676545c5a0d4c', 'c24c82399159470390113ffb208d243a', 'False', 'True', 'false', 'false', '510503104204', 5, '郑河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503104204', 1, '2021-07-19 11:35:05', NULL, NULL), (5074, '', '四平村', 'a3a01aaa6d674b5eaeec2c2e7242a10c', 'c24c82399159470390113ffb208d243a', 'False', 'True', 'false', 'false', '510503104205', 5, '四平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503104205', 1, '2021-07-19 11:35:05', NULL, NULL), (5075, '', '太山村', '12e00cf9b2274753ac2dacedcd832df1', 'c24c82399159470390113ffb208d243a', 'False', 'True', 'false', 'false', '510503104207', 5, '太山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503104207', 1, '2021-07-19 11:35:05', NULL, NULL), (5076, '', '凤坪村', '4eac2a6705754369903e82eaa9bc03ca', 'c24c82399159470390113ffb208d243a', 'False', 'True', 'false', 'false', '510503104208', 5, '凤坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503104208', 1, '2021-07-19 11:35:05', NULL, NULL), (5077, '', '双凤村', '3d1c73bdd71244e788c34f049a34e3d4', 'c24c82399159470390113ffb208d243a', 'False', 'True', 'false', 'false', '510503104209', 5, '双凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503104209', 1, '2021-07-19 11:35:06', NULL, NULL), (5078, '', '周咀村', '6c6a6eca753540ee9d2f0e5606ded480', 'c24c82399159470390113ffb208d243a', 'False', 'True', 'false', 'false', '510503104210', 5, '周咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503104210', 1, '2021-07-19 11:35:06', NULL, NULL), (5079, '', '大石村', '5d284a9c55614414bfae39be4deede79', 'c24c82399159470390113ffb208d243a', 'False', 'True', 'false', 'false', '510503104212', 5, '大石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503104212', 1, '2021-07-19 11:35:06', NULL, NULL), (5080, '', '杏花村', '4647d86d6aee46c5bdfa177cc9d498c2', 'c24c82399159470390113ffb208d243a', 'False', 'True', 'false', 'false', '510503104215', 5, '杏花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503104215', 1, '2021-07-19 11:35:06', NULL, NULL), (5081, '', '营地村', '4323965a3e7e4f708fc1e2371ac95344', 'c24c82399159470390113ffb208d243a', 'False', 'True', 'false', 'false', '510503104218', 5, '营地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503104218', 1, '2021-07-19 11:35:06', NULL, NULL), (5082, '', '丰乐镇', 'bf840324f3434878a52e2e6baf648c36', '521317b463594d72a516e73a8505890c', 'True', 'True', 'false', 'false', '510503106000', 4, '丰乐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510503106000', 1, '2021-07-19 11:35:06', NULL, NULL), (5083, '', '牛背石社区', 'e432b22b345b4f59b6148af2421ea8a5', 'bf840324f3434878a52e2e6baf648c36', 'False', 'True', 'false', 'false', '510503106001', 5, '牛背石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503106001', 1, '2021-07-19 11:35:06', NULL, NULL), (5084, '', '罗东村', '5496c9521e9a4dbaa843b965a6f2afb6', 'bf840324f3434878a52e2e6baf648c36', 'False', 'True', 'false', 'false', '510503106202', 5, '罗东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503106202', 1, '2021-07-19 11:35:06', NULL, NULL), (5085, '', '石通村', '0def92cec3344832baad2efbf6306587', 'bf840324f3434878a52e2e6baf648c36', 'False', 'True', 'false', 'false', '510503106205', 5, '石通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503106205', 1, '2021-07-19 11:35:06', NULL, NULL), (5086, '', '沙坪村', 'f8b45488afd04e3ab60794e162bf0149', 'bf840324f3434878a52e2e6baf648c36', 'False', 'True', 'false', 'false', '510503106208', 5, '沙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503106208', 1, '2021-07-19 11:35:06', NULL, NULL), (5087, '', '天台村', '29f7376a737a43489d281500c7a1bf79', 'bf840324f3434878a52e2e6baf648c36', 'False', 'True', 'false', 'false', '510503106211', 5, '天台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503106211', 1, '2021-07-19 11:35:06', NULL, NULL), (5088, '', '大田村', '7caf11d9cb9649fbbcb16bd20eea0fd6', 'bf840324f3434878a52e2e6baf648c36', 'False', 'True', 'false', 'false', '510503106212', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503106212', 1, '2021-07-19 11:35:06', NULL, NULL), (5089, '', '马村', 'b3e343130edb4d01890e05a03dad3d7e', 'bf840324f3434878a52e2e6baf648c36', 'False', 'True', 'false', 'false', '510503106214', 5, '马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503106214', 1, '2021-07-19 11:35:06', NULL, NULL), (5090, '', '保安村', '66edd46b099643e49f1455a0b3b9624a', 'bf840324f3434878a52e2e6baf648c36', 'False', 'True', 'false', 'false', '510503106215', 5, '保安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503106215', 1, '2021-07-19 11:35:07', NULL, NULL), (5091, '', '五里村', 'bdecc52c18ef4eb397f1e91aa5e0774b', 'bf840324f3434878a52e2e6baf648c36', 'False', 'True', 'false', 'false', '510503106218', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503106218', 1, '2021-07-19 11:35:07', NULL, NULL), (5092, '', '中华村', '94424ee89fb64ed29658080ec7dbd093', 'bf840324f3434878a52e2e6baf648c36', 'False', 'True', 'false', 'false', '510503106220', 5, '中华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503106220', 1, '2021-07-19 11:35:07', NULL, NULL), (5093, '', '皂角村', '0dae658f44c342b3b9face5eeefd4c05', 'bf840324f3434878a52e2e6baf648c36', 'False', 'True', 'false', 'false', '510503106221', 5, '皂角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503106221', 1, '2021-07-19 11:35:07', NULL, NULL), (5094, '', '白合村', '880e26dc95b1447ba0f0854c07e99143', 'bf840324f3434878a52e2e6baf648c36', 'False', 'True', 'false', 'false', '510503106222', 5, '白合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503106222', 1, '2021-07-19 11:35:07', NULL, NULL), (5095, '', '白节镇', '1a630881c42d4857ac6da71fadfe69b9', '521317b463594d72a516e73a8505890c', 'True', 'True', 'false', 'false', '510503107000', 4, '白节镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510503107000', 1, '2021-07-19 11:35:07', NULL, NULL), (5096, '', '白节滩社区', 'bc63630279d944e5b869b3f589fda5a7', '1a630881c42d4857ac6da71fadfe69b9', 'False', 'True', 'false', 'false', '510503107001', 5, '白节滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503107001', 1, '2021-07-19 11:35:07', NULL, NULL), (5097, '', '高隆村', 'b802b7bf1d30467b919fe79ed1eb5d56', '1a630881c42d4857ac6da71fadfe69b9', 'False', 'True', 'false', 'false', '510503107201', 5, '高隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503107201', 1, '2021-07-19 11:35:07', NULL, NULL), (5098, '', '加鱼村', '4c4ac18001d64f2a80fa2b061fa1ea20', '1a630881c42d4857ac6da71fadfe69b9', 'False', 'True', 'false', 'false', '510503107203', 5, '加鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503107203', 1, '2021-07-19 11:35:07', NULL, NULL), (5099, '', '鱼湾村', 'be8059d7cd8c4367bafdad642ba52e03', '1a630881c42d4857ac6da71fadfe69b9', 'False', 'True', 'false', 'false', '510503107206', 5, '鱼湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503107206', 1, '2021-07-19 11:35:07', NULL, NULL), (5100, '', '玉水村', 'be7b7da4894c4b6aa868bc7888218d23', '1a630881c42d4857ac6da71fadfe69b9', 'False', 'True', 'false', 'false', '510503107207', 5, '玉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503107207', 1, '2021-07-19 11:35:07', NULL, NULL), (5101, '', '柳林村', '27e129d68bfa4ef7b3da7b03abe171a3', '1a630881c42d4857ac6da71fadfe69b9', 'False', 'True', 'false', 'false', '510503107209', 5, '柳林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503107209', 1, '2021-07-19 11:35:07', NULL, NULL), (5102, '', '金田村', 'eea1b65fac34444cba808e3c018abd1d', '1a630881c42d4857ac6da71fadfe69b9', 'False', 'True', 'false', 'false', '510503107211', 5, '金田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503107211', 1, '2021-07-19 11:35:07', NULL, NULL), (5103, '', '龙塘村', '976bdec9bda74971b27ab45bcfef5b62', '1a630881c42d4857ac6da71fadfe69b9', 'False', 'True', 'false', 'false', '510503107214', 5, '龙塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503107214', 1, '2021-07-19 11:35:07', NULL, NULL), (5104, '', '竹海村', '510f8b90c381402dad7672b792250273', '1a630881c42d4857ac6da71fadfe69b9', 'False', 'True', 'false', 'false', '510503107216', 5, '竹海村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503107216', 1, '2021-07-19 11:35:07', NULL, NULL), (5105, '', '福华村', 'bfb9328c81e94923a7c7fe4d21eae60f', '1a630881c42d4857ac6da71fadfe69b9', 'False', 'True', 'false', 'false', '510503107219', 5, '福华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503107219', 1, '2021-07-19 11:35:07', NULL, NULL), (5106, '', '兴桥村', '7e6652d8a620463486aab1ae75efc290', '1a630881c42d4857ac6da71fadfe69b9', 'False', 'True', 'false', 'false', '510503107220', 5, '兴桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503107220', 1, '2021-07-19 11:35:07', NULL, NULL), (5107, '', '赵坪村', '3012480c6318423aa264c8d57e5222d4', '1a630881c42d4857ac6da71fadfe69b9', 'False', 'True', 'false', 'false', '510503107221', 5, '赵坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503107221', 1, '2021-07-19 11:35:07', NULL, NULL), (5108, '', '来龙村', 'ce758875e784423a9d3e66bde342d496', '1a630881c42d4857ac6da71fadfe69b9', 'False', 'True', 'false', 'false', '510503107223', 5, '来龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503107223', 1, '2021-07-19 11:35:07', NULL, NULL), (5109, '', '皇观村', '4ff277a85dc74bd1bef43d616b708d6c', '1a630881c42d4857ac6da71fadfe69b9', 'False', 'True', 'false', 'false', '510503107225', 5, '皇观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503107225', 1, '2021-07-19 11:35:07', NULL, NULL), (5110, '', '青风村', '5ea8b2ffebd149ecabe6486e77afbdbd', '1a630881c42d4857ac6da71fadfe69b9', 'False', 'True', 'false', 'false', '510503107227', 5, '青风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503107227', 1, '2021-07-19 11:35:08', NULL, NULL), (5111, '', '团结村', 'cdc0ef5bbc9548109c82b9cc03817ee2', '1a630881c42d4857ac6da71fadfe69b9', 'False', 'True', 'false', 'false', '510503107229', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503107229', 1, '2021-07-19 11:35:08', NULL, NULL), (5112, '', '天仙镇', '36eb6d619bec4a41b2884d217cff29df', '521317b463594d72a516e73a8505890c', 'True', 'True', 'false', 'false', '510503108000', 4, '天仙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510503108000', 1, '2021-07-19 11:35:08', NULL, NULL), (5113, '', '清凉村', 'c8419e991b254d6f9ca2f8b920c1bd82', '36eb6d619bec4a41b2884d217cff29df', 'False', 'True', 'false', 'false', '510503110279', 5, '清凉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503110279', 1, '2021-07-19 11:35:08', NULL, NULL), (5114, '', '渠坝驿社区', '5a3a861f5e9046c187ae98aad81fbf53', '36eb6d619bec4a41b2884d217cff29df', 'False', 'True', 'false', 'false', '510503110594', 5, '渠坝驿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503110594', 1, '2021-07-19 11:35:08', NULL, NULL), (5115, '', '双新村', 'b40cd1a57d0c4c7a935bc51a2184f248', '36eb6d619bec4a41b2884d217cff29df', 'False', 'True', 'false', 'false', '510503110602', 5, '双新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503110602', 1, '2021-07-19 11:35:08', NULL, NULL), (5116, '', '雪龙村', '1d7e7e00744c45a6826e5c2adf1869e3', '36eb6d619bec4a41b2884d217cff29df', 'False', 'True', 'false', 'false', '510503110631', 5, '雪龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503110631', 1, '2021-07-19 11:35:08', NULL, NULL), (5117, '', '龙头村', 'f8f3c825274340589ec194591c42f9b3', '36eb6d619bec4a41b2884d217cff29df', 'False', 'True', 'false', 'false', '510503110647', 5, '龙头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503110647', 1, '2021-07-19 11:35:08', NULL, NULL), (5118, '', '花背溪社区', '581ccd18a0594e6d902eebfc6d42a3be', '36eb6d619bec4a41b2884d217cff29df', 'False', 'True', 'false', 'false', '510503108001', 5, '花背溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503108001', 1, '2021-07-19 11:35:08', NULL, NULL), (5119, '', '牟观村', 'ff438d95d88f444f89326cc80d75edac', '36eb6d619bec4a41b2884d217cff29df', 'False', 'True', 'false', 'false', '510503108201', 5, '牟观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503108201', 1, '2021-07-19 11:35:08', NULL, NULL), (5120, '', '观音村', 'c920d882568b4091af9470e5382639e9', '36eb6d619bec4a41b2884d217cff29df', 'False', 'True', 'false', 'false', '510503108202', 5, '观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503108202', 1, '2021-07-19 11:35:08', NULL, NULL), (5121, '', '将军村', '035ea38680c24a75976c2dde8af39cdb', '36eb6d619bec4a41b2884d217cff29df', 'False', 'True', 'false', 'false', '510503108203', 5, '将军村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503108203', 1, '2021-07-19 11:35:08', NULL, NULL), (5122, '', '文登村', '75b035ca24714430bed0bb5a98823aca', '36eb6d619bec4a41b2884d217cff29df', 'False', 'True', 'false', 'false', '510503108204', 5, '文登村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503108204', 1, '2021-07-19 11:35:08', NULL, NULL), (5123, '', '黄家村', 'be6ed3374e73440d8dee389e36a3e42f', '36eb6d619bec4a41b2884d217cff29df', 'False', 'True', 'false', 'false', '510503108207', 5, '黄家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503108207', 1, '2021-07-19 11:35:08', NULL, NULL), (5124, '', '银罗村', '616beccbe4364ce0a848f46225d8de96', '36eb6d619bec4a41b2884d217cff29df', 'False', 'True', 'false', 'false', '510503108209', 5, '银罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503108209', 1, '2021-07-19 11:35:08', NULL, NULL), (5125, '', '紫阳村', '93e510f81c794a8ba478e4f6700b95cf', '36eb6d619bec4a41b2884d217cff29df', 'False', 'True', 'false', 'false', '510503108656', 5, '紫阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503108656', 1, '2021-07-19 11:35:08', NULL, NULL), (5126, '', '九君村', '72eae7f429344b7ba587b3b25680d792', '36eb6d619bec4a41b2884d217cff29df', 'False', 'True', 'false', 'false', '510503110036', 5, '九君村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503110036', 1, '2021-07-19 11:35:08', NULL, NULL), (5127, '', '天星村', 'fc4461b99eeb4bcabd485fb4cf00546f', '36eb6d619bec4a41b2884d217cff29df', 'False', 'True', 'false', 'false', '510503110330', 5, '天星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503110330', 1, '2021-07-19 11:35:08', NULL, NULL), (5128, '', '新乐镇', '07a5967b015049d691ee8d24d6f00a94', '521317b463594d72a516e73a8505890c', 'True', 'True', 'false', 'false', '510503109000', 4, '新乐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510503109000', 1, '2021-07-19 11:35:09', NULL, NULL), (5129, '', '竹园社区', '98432a0a15f84decbb82c566b96235c2', '07a5967b015049d691ee8d24d6f00a94', 'False', 'True', 'false', 'false', '510503109060', 5, '竹园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503109060', 1, '2021-07-19 11:35:09', NULL, NULL), (5130, '', '棋盘村', '8dbe91586e114f529334f26206d56217', '07a5967b015049d691ee8d24d6f00a94', 'False', 'True', 'false', 'false', '510503109093', 5, '棋盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503109093', 1, '2021-07-19 11:35:09', NULL, NULL), (5131, '', '大河村', 'f836c7bd5f1843fb91804968420409bf', '07a5967b015049d691ee8d24d6f00a94', 'False', 'True', 'false', 'false', '510503109202', 5, '大河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503109202', 1, '2021-07-19 11:35:09', NULL, NULL), (5132, '', '伏龙村', '13bd5862faa24878829207cdfaaab0e1', '07a5967b015049d691ee8d24d6f00a94', 'False', 'True', 'false', 'false', '510503109518', 5, '伏龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503109518', 1, '2021-07-19 11:35:09', NULL, NULL), (5133, '', '高洞村', '8a663fcc62b84883a40be827b0b4bf5c', '07a5967b015049d691ee8d24d6f00a94', 'False', 'True', 'false', 'false', '510503109451', 5, '高洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503109451', 1, '2021-07-19 11:35:09', NULL, NULL), (5134, '', '金凤村', '49ed7598f3234d448f3fe7b2a0b82560', '07a5967b015049d691ee8d24d6f00a94', 'False', 'True', 'false', 'false', '510503109841', 5, '金凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503109841', 1, '2021-07-19 11:35:09', NULL, NULL), (5135, '', '龙蟠村', '11c2bf00bb0b4bed8d3e621928386f5d', '07a5967b015049d691ee8d24d6f00a94', 'False', 'True', 'false', 'false', '510503109360', 5, '龙蟠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503109360', 1, '2021-07-19 11:35:09', NULL, NULL), (5136, '', '龙车镇', 'd16e1226eaac4d6fa38a230fb68b303c', '521317b463594d72a516e73a8505890c', 'True', 'True', 'false', 'false', '510503111000', 4, '龙车镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510503111000', 1, '2021-07-19 11:35:09', NULL, NULL), (5137, '', '塘口村', 'f35ae5d8f4e94730bf157da4f25e2306', 'd16e1226eaac4d6fa38a230fb68b303c', 'False', 'True', 'false', 'false', '510503111202', 5, '塘口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503111202', 1, '2021-07-19 11:35:09', NULL, NULL), (5138, '', '长寿村', '2e4452c623b34c1e85c9c392b2038561', 'd16e1226eaac4d6fa38a230fb68b303c', 'False', 'True', 'false', 'false', '510503111203', 5, '长寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503111203', 1, '2021-07-19 11:35:09', NULL, NULL), (5139, '', '玛瑙村', 'd1906a65a7e14813865ac87729c5fb76', 'd16e1226eaac4d6fa38a230fb68b303c', 'False', 'True', 'false', 'false', '510503111205', 5, '玛瑙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503111205', 1, '2021-07-19 11:35:09', NULL, NULL), (5140, '', '曹湾村', '3729212c2efb47f3af8f12fa69f5cfdd', 'd16e1226eaac4d6fa38a230fb68b303c', 'False', 'True', 'false', 'false', '510503111207', 5, '曹湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503111207', 1, '2021-07-19 11:35:09', NULL, NULL), (5141, '', '中坝村', '0ae7b254057d4c859238c0215229d209', 'd16e1226eaac4d6fa38a230fb68b303c', 'False', 'True', 'false', 'false', '510503111209', 5, '中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503111209', 1, '2021-07-19 11:35:09', NULL, NULL), (5142, '', '金龙村', 'f5a0747959af45c4b14dd027da81274b', 'd16e1226eaac4d6fa38a230fb68b303c', 'False', 'True', 'false', 'false', '510503111212', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503111212', 1, '2021-07-19 11:35:09', NULL, NULL), (5143, '', '建坝村', '0e6aab53e0a64eae938a3026f9451057', 'd16e1226eaac4d6fa38a230fb68b303c', 'False', 'True', 'false', 'false', '510503111215', 5, '建坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503111215', 1, '2021-07-19 11:35:09', NULL, NULL), (5144, '', '古楼村', '80df7870761c4e9ba55bdedb61e424be', 'd16e1226eaac4d6fa38a230fb68b303c', 'False', 'True', 'false', 'false', '510503111218', 5, '古楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503111218', 1, '2021-07-19 11:35:09', NULL, NULL), (5145, '', '利合村', '9007709c066f4b79b38a6b6091f1d0c0', 'd16e1226eaac4d6fa38a230fb68b303c', 'False', 'True', 'false', 'false', '510503111219', 5, '利合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503111219', 1, '2021-07-19 11:35:09', NULL, NULL), (5146, '', '龙车山社区', '6575159ce7d049aebb452771e9f3e58c', 'd16e1226eaac4d6fa38a230fb68b303c', 'False', 'True', 'false', 'false', '510503111132', 5, '龙车山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510503111132', 1, '2021-07-19 11:35:09', NULL, NULL), (5147, '', '龙马潭区', '66c5737232c4469aabe2ba2c024dbdd2', 'f96cd81a6efd4a1d9f65a00b6277b1fb', 'True', 'True', 'false', 'false', '510504000000', 3, '龙马潭区', 'lzslmtq.sczwfw.gov.cn', 1, '2021-07-19 11:35:09', NULL, NULL), (5148, '', '小市街道', 'ec9489ceea154418af2342fed2816172', '66c5737232c4469aabe2ba2c024dbdd2', 'True', 'True', 'false', 'false', '510504001000', 4, '小市街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510504001000', 1, '2021-07-19 11:35:09', NULL, NULL), (5149, '', '杜家街社区居委会', 'e15b8f9a42d64f548bc668233b2bed81', 'ec9489ceea154418af2342fed2816172', 'False', 'True', 'false', 'false', '510504001001', 5, '杜家街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504001001', 1, '2021-07-19 11:35:09', NULL, NULL), (5150, '', '回龙湾社区居委会', '0309ea43d5f4455bb2cffcca65e14086', 'ec9489ceea154418af2342fed2816172', 'False', 'True', 'false', 'false', '510504001002', 5, '回龙湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504001002', 1, '2021-07-19 11:35:10', NULL, NULL), (5151, '', '上大街社区居委会', '6baee07dd01c4c639d495a4cdfdc1241', 'ec9489ceea154418af2342fed2816172', 'False', 'True', 'false', 'false', '510504001003', 5, '上大街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504001003', 1, '2021-07-19 11:35:10', NULL, NULL), (5152, '', '下大街社区居委会', '9e94c8e62ae643cdac3e096dd528dbb7', 'ec9489ceea154418af2342fed2816172', 'False', 'True', 'false', 'false', '510504001005', 5, '下大街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504001005', 1, '2021-07-19 11:35:10', NULL, NULL), (5153, '', '合道街社区居委会', 'a363d06be9f14b7bb6b32d3fd51e99a3', 'ec9489ceea154418af2342fed2816172', 'False', 'True', 'false', 'false', '510504001006', 5, '合道街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504001006', 1, '2021-07-19 11:35:10', NULL, NULL), (5154, '', '红星街道', 'b914c5e015834ebbac43d7d898119dcb', '66c5737232c4469aabe2ba2c024dbdd2', 'True', 'True', 'false', 'false', '510504003000', 4, '红星街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510504003000', 1, '2021-07-19 11:35:10', NULL, NULL), (5155, '', '奥体社区居委会', '61ee839818fd4a29b422e884dc739c7a', 'b914c5e015834ebbac43d7d898119dcb', 'False', 'True', 'false', 'false', '510504003592', 5, '奥体社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504003592', 1, '2021-07-19 11:35:10', NULL, NULL), (5156, '', '龙桥子社区居委会', '61771eb38a0a472f9ea22ce90daa2f99', 'b914c5e015834ebbac43d7d898119dcb', 'False', 'True', 'false', 'false', '510504003001', 5, '龙桥子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504003001', 1, '2021-07-19 11:35:10', NULL, NULL), (5157, '', '天立社区居委会', '4dfc6a24b5a543f29438b5eef50a73c4', 'b914c5e015834ebbac43d7d898119dcb', 'False', 'True', 'false', 'false', '510504003002', 5, '天立社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504003002', 1, '2021-07-19 11:35:10', NULL, NULL), (5158, '', '红星社区居委会', '4714a0d3410c499ea35ccd16e77eb14c', 'b914c5e015834ebbac43d7d898119dcb', 'False', 'True', 'false', 'false', '510504003003', 5, '红星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504003003', 1, '2021-07-19 11:35:10', NULL, NULL), (5159, '', '龙南社区居委会', 'b3458a9a5b494ff9a4fbfbdde181061c', 'b914c5e015834ebbac43d7d898119dcb', 'False', 'True', 'false', 'false', '510504003004', 5, '龙南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504003004', 1, '2021-07-19 11:35:10', NULL, NULL), (5160, '', '玉带桥社区居委会', '60f9404cbf2448d0ba23988d112bdfe1', 'b914c5e015834ebbac43d7d898119dcb', 'False', 'True', 'false', 'false', '510504003006', 5, '玉带桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504003006', 1, '2021-07-19 11:35:10', NULL, NULL), (5161, '', '长桥社区居委会', '35e3de05c6064c9c90fa09bb933880ac', 'b914c5e015834ebbac43d7d898119dcb', 'False', 'True', 'false', 'false', '510504003007', 5, '长桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504003007', 1, '2021-07-19 11:35:10', NULL, NULL), (5162, '', '大驿坝社区居委会', '72db0e6168cc4fa7a3868324db7af9f6', 'b914c5e015834ebbac43d7d898119dcb', 'False', 'True', 'false', 'false', '510504003008', 5, '大驿坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504003008', 1, '2021-07-19 11:35:10', NULL, NULL), (5163, '', '双桂社区居委会', 'd4dda834a70342c9b3704883233fb57b', 'b914c5e015834ebbac43d7d898119dcb', 'False', 'True', 'false', 'false', '510504003053', 5, '双桂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504003053', 1, '2021-07-19 11:35:10', NULL, NULL), (5164, '', '金井湾社区居委会', 'dceb5aadffbd416cb7e23e82030815a3', 'b914c5e015834ebbac43d7d898119dcb', 'False', 'True', 'false', 'false', '510504003574', 5, '金井湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504003574', 1, '2021-07-19 11:35:11', NULL, NULL), (5165, '', '春晖社区居委会', '0b5f29e8717c4c45b7869445e778d333', 'b914c5e015834ebbac43d7d898119dcb', 'False', 'True', 'false', 'false', '510504003935', 5, '春晖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504003935', 1, '2021-07-19 11:35:11', NULL, NULL), (5166, '', '莲花池街道', 'ecfeb1c39962421ca178b3c6cd0ad215', '66c5737232c4469aabe2ba2c024dbdd2', 'True', 'True', 'false', 'false', '510504004000', 4, '莲花池街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510504004000', 1, '2021-07-19 11:35:11', NULL, NULL), (5167, '', '宏达社区居委会', '9dfbd52d1101432ab5fdf91bf290102d', 'ecfeb1c39962421ca178b3c6cd0ad215', 'False', 'True', 'false', 'false', '510504004001', 5, '宏达社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504004001', 1, '2021-07-19 11:35:11', NULL, NULL), (5168, '', '羊大山社区居委会', '0c41694f78ee44f19f402ddd56037404', 'ecfeb1c39962421ca178b3c6cd0ad215', 'False', 'True', 'false', 'false', '510504004002', 5, '羊大山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504004002', 1, '2021-07-19 11:35:11', NULL, NULL), (5169, '', '五八社区居委会', '9764515a740143379e97951ba12d101b', 'ecfeb1c39962421ca178b3c6cd0ad215', 'False', 'True', 'false', 'false', '510504004003', 5, '五八社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504004003', 1, '2021-07-19 11:35:11', NULL, NULL), (5170, '', '龙祥社区居委会', '889100a3e8da4727811a2dcfc1a8ddfd', 'ecfeb1c39962421ca178b3c6cd0ad215', 'False', 'True', 'false', 'false', '510504004004', 5, '龙祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504004004', 1, '2021-07-19 11:35:11', NULL, NULL), (5171, '', '关口社区居委会', 'df5d2af30624487f931ba121f2ca2c7c', 'ecfeb1c39962421ca178b3c6cd0ad215', 'False', 'True', 'false', 'false', '510504004005', 5, '关口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504004005', 1, '2021-07-19 11:35:11', NULL, NULL), (5172, '', '春雨社区居委会', 'db4d0c167ed643a0baa008fec7deed4c', 'ecfeb1c39962421ca178b3c6cd0ad215', 'False', 'True', 'false', 'false', '510504004665', 5, '春雨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504004665', 1, '2021-07-19 11:35:11', NULL, NULL), (5173, '', '罗汉街道', '76fc71059b844a9897fd201dc149bcc8', '66c5737232c4469aabe2ba2c024dbdd2', 'True', 'True', 'false', 'false', '510504005000', 4, '罗汉街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510504005000', 1, '2021-07-19 11:35:11', NULL, NULL), (5174, '', '化工苑社区居委会', '436b535e4c9248d186627b65c06a2f74', '76fc71059b844a9897fd201dc149bcc8', 'False', 'True', 'false', 'false', '510504002009', 5, '化工苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504002009', 1, '2021-07-19 11:35:11', NULL, NULL), (5175, '', '临江苑社区居委会', '90df76256354409bbe55a322cf9b6502', '76fc71059b844a9897fd201dc149bcc8', 'False', 'True', 'false', 'false', '510504002010', 5, '临江苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504002010', 1, '2021-07-19 11:35:11', NULL, NULL), (5176, '', '罗汉场社区居委会', '3e9ff658a3a547fe818ab797feb5230d', '76fc71059b844a9897fd201dc149bcc8', 'False', 'True', 'false', 'false', '510504005001', 5, '罗汉场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504005001', 1, '2021-07-19 11:35:11', NULL, NULL), (5177, '', '临港社区居委会', 'beba2a3aafb64182a841bc6a5452f319', '76fc71059b844a9897fd201dc149bcc8', 'False', 'True', 'false', 'false', '510504005002', 5, '临港社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504005002', 1, '2021-07-19 11:35:11', NULL, NULL), (5178, '', '石樑社区居委会', '50145abda6ca469fb2479a08066e0e64', '76fc71059b844a9897fd201dc149bcc8', 'False', 'True', 'false', 'false', '510504005003', 5, '石樑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504005003', 1, '2021-07-19 11:35:12', NULL, NULL), (5179, '', '群丰村委会', '2b956f9f12db4925b64e38406d728d53', '76fc71059b844a9897fd201dc149bcc8', 'False', 'True', 'false', 'false', '510504005206', 5, '群丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504005206', 1, '2021-07-19 11:35:12', NULL, NULL), (5180, '', '上庄社区居委会', 'f2ffdcfa8fc64161aa8f3694919e0b1d', '76fc71059b844a9897fd201dc149bcc8', 'False', 'True', 'false', 'false', '510504005207', 5, '上庄社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504005207', 1, '2021-07-19 11:35:12', NULL, NULL), (5181, '', '建设村委会', 'b305141560514511ba008ba783d5b5f7', '76fc71059b844a9897fd201dc149bcc8', 'False', 'True', 'false', 'false', '510504005210', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504005210', 1, '2021-07-19 11:35:12', NULL, NULL), (5182, '', '航天苑社区居委会', '1d697a7fd4054b30be42bda437ca3d80', '76fc71059b844a9897fd201dc149bcc8', 'False', 'True', 'false', 'false', '510504005305', 5, '航天苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504005305', 1, '2021-07-19 11:35:12', NULL, NULL), (5183, '', '鱼塘街道', '9e8d8086b657466fb1b49b5516fc9c92', '66c5737232c4469aabe2ba2c024dbdd2', 'True', 'True', 'false', 'false', '510504006000', 4, '鱼塘街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510504006000', 1, '2021-07-19 11:35:12', NULL, NULL), (5184, '', '石堡湾社区居委会', '0feed8ea9a9a42fc9d855576f3d2452a', '9e8d8086b657466fb1b49b5516fc9c92', 'False', 'True', 'false', 'false', '510504006001', 5, '石堡湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504006001', 1, '2021-07-19 11:35:12', NULL, NULL), (5185, '', '枣林园社区居委会', 'ffd3bf8376f1471badac5251638e7fe7', '9e8d8086b657466fb1b49b5516fc9c92', 'False', 'True', 'false', 'false', '510504006002', 5, '枣林园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504006002', 1, '2021-07-19 11:35:12', NULL, NULL), (5186, '', '民权社区居委会', 'b7b788292279429b81bd7ab3a71282f8', '9e8d8086b657466fb1b49b5516fc9c92', 'False', 'True', 'false', 'false', '510504006003', 5, '民权社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504006003', 1, '2021-07-19 11:35:12', NULL, NULL), (5187, '', '望山坪社区居委会', '84d0525d25924fd79f1fe4404bb08186', '9e8d8086b657466fb1b49b5516fc9c92', 'False', 'True', 'false', 'false', '510504006004', 5, '望山坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504006004', 1, '2021-07-19 11:35:12', NULL, NULL), (5188, '', '民主社区居委会', '1fdb54ea05934cb0b2e7601976a6abc2', '9e8d8086b657466fb1b49b5516fc9c92', 'False', 'True', 'false', 'false', '510504006005', 5, '民主社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504006005', 1, '2021-07-19 11:35:12', NULL, NULL), (5189, '', '鱼塘社区居委会', '2acf8860ece04074a356fa430fd82faf', '9e8d8086b657466fb1b49b5516fc9c92', 'False', 'True', 'false', 'false', '510504006006', 5, '鱼塘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504006006', 1, '2021-07-19 11:35:12', NULL, NULL), (5190, '', '王庄村委会', 'ae9ce9dda3df4bcdae53887b0ffce11c', '9e8d8086b657466fb1b49b5516fc9c92', 'False', 'True', 'false', 'false', '510504006203', 5, '王庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504006203', 1, '2021-07-19 11:35:12', NULL, NULL), (5191, '', '抚琴台社区居委会', '39de8b31bf274e0bb38317aec7d3f0e9', '9e8d8086b657466fb1b49b5516fc9c92', 'False', 'True', 'false', 'false', '510504006204', 5, '抚琴台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504006204', 1, '2021-07-19 11:35:12', NULL, NULL), (5192, '', '云华山社区居委会', 'ab9ca6d0aa244597be11c18fb97ee3b4', '9e8d8086b657466fb1b49b5516fc9c92', 'False', 'True', 'false', 'false', '510504006452', 5, '云华山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504006452', 1, '2021-07-19 11:35:12', NULL, NULL), (5193, '', '安宁街道', 'ebc1f977fdca47d1ad6d5c9c6aea0659', '66c5737232c4469aabe2ba2c024dbdd2', 'True', 'True', 'false', 'false', '510504007000', 4, '安宁街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510504007000', 1, '2021-07-19 11:35:13', NULL, NULL), (5194, '', '良丰村委会', 'f9855cb401e84716b8836c714b03d825', 'ebc1f977fdca47d1ad6d5c9c6aea0659', 'False', 'True', 'false', 'false', '510504007207', 5, '良丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504007207', 1, '2021-07-19 11:35:13', NULL, NULL), (5195, '', '安宁社区居委会', 'c6cf4224f63545aeb222df7486928b6e', 'ebc1f977fdca47d1ad6d5c9c6aea0659', 'False', 'True', 'false', 'false', '510504007001', 5, '安宁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504007001', 1, '2021-07-19 11:35:13', NULL, NULL), (5196, '', '云台社区居委会', '9675e0d9860d43ed926936db767e71c7', 'ebc1f977fdca47d1ad6d5c9c6aea0659', 'False', 'True', 'false', 'false', '510504007002', 5, '云台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504007002', 1, '2021-07-19 11:35:13', NULL, NULL), (5197, '', '齐家社区居委会', '8135254aa9cc4240b36b268155f1c3bd', 'ebc1f977fdca47d1ad6d5c9c6aea0659', 'False', 'True', 'false', 'false', '510504007003', 5, '齐家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504007003', 1, '2021-07-19 11:35:13', NULL, NULL), (5198, '', '枣子社区居委会', '72fc42b1685546089350e6c86bbc164e', 'ebc1f977fdca47d1ad6d5c9c6aea0659', 'False', 'True', 'false', 'false', '510504007004', 5, '枣子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504007004', 1, '2021-07-19 11:35:13', NULL, NULL), (5199, '', '福林社区居委会', '264e697143a8421ca0e4c1b7a6b8ec88', 'ebc1f977fdca47d1ad6d5c9c6aea0659', 'False', 'True', 'false', 'false', '510504007005', 5, '福林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504007005', 1, '2021-07-19 11:35:13', NULL, NULL), (5200, '', '红岩社区居委会', 'f3bd946c47984444a00c26a0673647af', 'ebc1f977fdca47d1ad6d5c9c6aea0659', 'False', 'True', 'false', 'false', '510504007006', 5, '红岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504007006', 1, '2021-07-19 11:35:13', NULL, NULL), (5201, '', '阳高村委会', '2ff24b5e3d08484da6b21692c6ea8d57', 'ebc1f977fdca47d1ad6d5c9c6aea0659', 'False', 'True', 'false', 'false', '510504007205', 5, '阳高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504007205', 1, '2021-07-19 11:35:13', NULL, NULL), (5202, '', '柏杨社区居委会', '2cca456c3d18469db459221eb0a91d59', 'ebc1f977fdca47d1ad6d5c9c6aea0659', 'False', 'True', 'false', 'false', '510504007214', 5, '柏杨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504007214', 1, '2021-07-19 11:35:13', NULL, NULL), (5203, '', '石洞街道', '60d85f32e5a94217bc73dab8d6b14d26', '66c5737232c4469aabe2ba2c024dbdd2', 'True', 'True', 'false', 'false', '510504008000', 4, '石洞街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510504008000', 1, '2021-07-19 11:35:13', NULL, NULL), (5204, '', '张家祠社区居委会', '7869a839b4194094af0f8ee70979b428', '60d85f32e5a94217bc73dab8d6b14d26', 'False', 'True', 'false', 'false', '510504008001', 5, '张家祠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504008001', 1, '2021-07-19 11:35:13', NULL, NULL), (5205, '', '纪念碑社区居委会', 'ccab3079c5234d08afa083d970c59d3e', '60d85f32e5a94217bc73dab8d6b14d26', 'False', 'True', 'false', 'false', '510504008002', 5, '纪念碑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504008002', 1, '2021-07-19 11:35:13', NULL, NULL), (5206, '', '永寿社区居委会', 'daba0885b30e40bbbc5da7f79a381f3c', '60d85f32e5a94217bc73dab8d6b14d26', 'False', 'True', 'false', 'false', '510504008003', 5, '永寿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504008003', 1, '2021-07-19 11:35:13', NULL, NULL), (5207, '', '岳坡山社区居委会', '9bac8c06a8c04147b868188d6c369ac0', '60d85f32e5a94217bc73dab8d6b14d26', 'False', 'True', 'false', 'false', '510504008004', 5, '岳坡山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504008004', 1, '2021-07-19 11:35:13', NULL, NULL), (5208, '', '花博园社区居委会', '78fc578752fe49b282f0f2ffc222750f', '60d85f32e5a94217bc73dab8d6b14d26', 'False', 'True', 'false', 'false', '510504008005', 5, '花博园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504008005', 1, '2021-07-19 11:35:13', NULL, NULL), (5209, '', '河咀社区居委会', '4cc12d6165d74a47aebdbbca6eaf8ed6', '60d85f32e5a94217bc73dab8d6b14d26', 'False', 'True', 'false', 'false', '510504008006', 5, '河咀社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504008006', 1, '2021-07-19 11:35:13', NULL, NULL), (5210, '', '雨珠岩村委会', '33aff80f45674b89ade794a3f52ed0d3', '60d85f32e5a94217bc73dab8d6b14d26', 'False', 'True', 'false', 'false', '510504008212', 5, '雨珠岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504008212', 1, '2021-07-19 11:35:14', NULL, NULL), (5211, '', '鱼眼滩村委会', 'c87c66a2908d42658d4dcececa4c7606', '60d85f32e5a94217bc73dab8d6b14d26', 'False', 'True', 'false', 'false', '510504008213', 5, '鱼眼滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504008213', 1, '2021-07-19 11:35:14', NULL, NULL), (5212, '', '顺江村委会', 'd7c178e1e310474d8cca39d5df1b826d', '60d85f32e5a94217bc73dab8d6b14d26', 'False', 'True', 'false', 'false', '510504008217', 5, '顺江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504008217', 1, '2021-07-19 11:35:14', NULL, NULL), (5213, '', '永远社区居委会', '106ab2b3b167424e9cfd3754b1aec863', '60d85f32e5a94217bc73dab8d6b14d26', 'False', 'True', 'false', 'false', '510504008219', 5, '永远社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504008219', 1, '2021-07-19 11:35:14', NULL, NULL), (5214, '', '桥头村委会', '6112c71cd09d4e5dbf12179032389f58', '60d85f32e5a94217bc73dab8d6b14d26', 'False', 'True', 'false', 'false', '510504008220', 5, '桥头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504008220', 1, '2021-07-19 11:35:14', NULL, NULL), (5215, '', '特兴街道', 'a7b2ca803c9145919b9306193cb8c748', '66c5737232c4469aabe2ba2c024dbdd2', 'True', 'True', 'false', 'false', '510504009000', 4, '特兴街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510504009000', 1, '2021-07-19 11:35:14', NULL, NULL), (5216, '', '慈竹村委会', '8e48d5d8c4ab417e9f6e6a23c5bfcd52', 'a7b2ca803c9145919b9306193cb8c748', 'False', 'True', 'false', 'false', '510504009640', 5, '慈竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504009640', 1, '2021-07-19 11:35:14', NULL, NULL), (5217, '', '街村社区居委会', 'cbc31c17cf2240f99987afc42711ea97', 'a7b2ca803c9145919b9306193cb8c748', 'False', 'True', 'false', 'false', '510504009001', 5, '街村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504009001', 1, '2021-07-19 11:35:14', NULL, NULL), (5218, '', '奎丰社区居委会', '0eabb50ee16747cc84c4734582c8a804', 'a7b2ca803c9145919b9306193cb8c748', 'False', 'True', 'false', 'false', '510504009002', 5, '奎丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504009002', 1, '2021-07-19 11:35:14', NULL, NULL), (5219, '', '走马村委会', '2f6b038687d1440baf5443a5a3f2aa0e', 'a7b2ca803c9145919b9306193cb8c748', 'False', 'True', 'false', 'false', '510504009202', 5, '走马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504009202', 1, '2021-07-19 11:35:14', NULL, NULL), (5220, '', '河湾村委会', '9b25fc8519024499b017e51ffd6cd0fd', 'a7b2ca803c9145919b9306193cb8c748', 'False', 'True', 'false', 'false', '510504009204', 5, '河湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504009204', 1, '2021-07-19 11:35:14', NULL, NULL), (5221, '', '罗沙村委会', '1675cad381994e2f9e3acd9b1059b592', 'a7b2ca803c9145919b9306193cb8c748', 'False', 'True', 'false', 'false', '510504009205', 5, '罗沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504009205', 1, '2021-07-19 11:35:15', NULL, NULL), (5222, '', '安民村委会', '877ea777b11f461f968e4a4c76adcb5a', 'a7b2ca803c9145919b9306193cb8c748', 'False', 'True', 'false', 'false', '510504009206', 5, '安民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504009206', 1, '2021-07-19 11:35:15', NULL, NULL), (5223, '', '桐兴村委会', '81f97283de0c450f950eff4cc1e909e5', 'a7b2ca803c9145919b9306193cb8c748', 'False', 'True', 'false', 'false', '510504009210', 5, '桐兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504009210', 1, '2021-07-19 11:35:15', NULL, NULL), (5224, '', '魏园村委会', 'ef1b7e3751b04496a1cd78646ef38e35', 'a7b2ca803c9145919b9306193cb8c748', 'False', 'True', 'false', 'false', '510504009215', 5, '魏园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504009215', 1, '2021-07-19 11:35:15', NULL, NULL), (5225, '', '幸福村委会', '180583f8c989468581b4428b3a4ab53c', 'a7b2ca803c9145919b9306193cb8c748', 'False', 'True', 'false', 'false', '510504009568', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504009568', 1, '2021-07-19 11:35:15', NULL, NULL), (5226, '', '长安社区居委会', 'fcf02106df06491ab3b7998e91f4cfc0', 'a7b2ca803c9145919b9306193cb8c748', 'False', 'True', 'false', 'false', '510504009621', 5, '长安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504009621', 1, '2021-07-19 11:35:15', NULL, NULL), (5227, '', '长春村委会', 'e0f42656dbf44f38959bb77cc435b08f', 'a7b2ca803c9145919b9306193cb8c748', 'False', 'True', 'false', 'false', '510504009715', 5, '长春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504009715', 1, '2021-07-19 11:35:15', NULL, NULL), (5228, '', '胡市镇', '3b059aa149584cb492e9dfed84a8065f', '66c5737232c4469aabe2ba2c024dbdd2', 'True', 'True', 'false', 'false', '510504103000', 4, '胡市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510504103000', 1, '2021-07-19 11:35:15', NULL, NULL), (5229, '', '黄桷村委会', '3c2ec5aaa92f4450ab5f113fb44f95bc', '3b059aa149584cb492e9dfed84a8065f', 'False', 'True', 'false', 'false', '510504103211', 5, '黄桷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504103211', 1, '2021-07-19 11:35:15', NULL, NULL), (5230, '', '来龙社区居委会', '390a9e786a50491d89424c03c7ce151c', '3b059aa149584cb492e9dfed84a8065f', 'False', 'True', 'false', 'false', '510504103002', 5, '来龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504103002', 1, '2021-07-19 11:35:15', NULL, NULL), (5231, '', '胡市社区居委会', '6ee0358d8c1a4678bc678f6c0a4a7521', '3b059aa149584cb492e9dfed84a8065f', 'False', 'True', 'false', 'false', '510504103001', 5, '胡市社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504103001', 1, '2021-07-19 11:35:15', NULL, NULL), (5232, '', '金山社区居委会', 'e710f08aa34c4e65ad2eb1040b17fff2', '3b059aa149584cb492e9dfed84a8065f', 'False', 'True', 'false', 'false', '510504103201', 5, '金山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504103201', 1, '2021-07-19 11:35:15', NULL, NULL), (5233, '', '来寺村委会', '35aa8d06709f49de9923ad221d785dbc', '3b059aa149584cb492e9dfed84a8065f', 'False', 'True', 'false', 'false', '510504103208', 5, '来寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504103208', 1, '2021-07-19 11:35:15', NULL, NULL), (5234, '', '敦和村委会', '348d9520419f410cbe7d3bbe881cd590', '3b059aa149584cb492e9dfed84a8065f', 'False', 'True', 'false', 'false', '510504103212', 5, '敦和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504103212', 1, '2021-07-19 11:35:16', NULL, NULL), (5235, '', '三教村委会', '2f5f7cbe7da9424db0e1a919ffcb615b', '3b059aa149584cb492e9dfed84a8065f', 'False', 'True', 'false', 'false', '510504103215', 5, '三教村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504103215', 1, '2021-07-19 11:35:16', NULL, NULL), (5236, '', '双加镇', 'c2c692ae303345788360c2abd1664653', '66c5737232c4469aabe2ba2c024dbdd2', 'True', 'True', 'false', 'false', '510504106000', 4, '双加镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510504106000', 1, '2021-07-19 11:35:16', NULL, NULL), (5237, '', '双加社区居委会', '17c646e3788a4176b86ce0f7edac1d45', 'c2c692ae303345788360c2abd1664653', 'False', 'True', 'false', 'false', '510504106001', 5, '双加社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504106001', 1, '2021-07-19 11:35:16', NULL, NULL), (5238, '', '罗基社区居委会', 'c0472d430ff547918c1d3b73b450358f', 'c2c692ae303345788360c2abd1664653', 'False', 'True', 'false', 'false', '510504106002', 5, '罗基社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504106002', 1, '2021-07-19 11:35:16', NULL, NULL), (5239, '', '枝子园村委会', 'a3d3517b82dd412a82c91e3d905c6d4f', 'c2c692ae303345788360c2abd1664653', 'False', 'True', 'false', 'false', '510504106203', 5, '枝子园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504106203', 1, '2021-07-19 11:35:16', NULL, NULL), (5240, '', '大冲头村委会', '8cb216c49ff74822a3b481c15db0a33a', 'c2c692ae303345788360c2abd1664653', 'False', 'True', 'false', 'false', '510504106207', 5, '大冲头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504106207', 1, '2021-07-19 11:35:16', NULL, NULL), (5241, '', '罗星村委会', '03a479dd9cae4164b7ab3821783ba48b', 'c2c692ae303345788360c2abd1664653', 'False', 'True', 'false', 'false', '510504106211', 5, '罗星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504106211', 1, '2021-07-19 11:35:16', NULL, NULL), (5242, '', '凉坳村委会', 'cd0f1998a7c54673b4df3f63700b1137', 'c2c692ae303345788360c2abd1664653', 'False', 'True', 'false', 'false', '510504106212', 5, '凉坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504106212', 1, '2021-07-19 11:35:16', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (5243, '', '颜坪村委会', '9580df1cbd664f5db383077717b02e7c', 'c2c692ae303345788360c2abd1664653', 'False', 'True', 'false', 'false', '510504106214', 5, '颜坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504106214', 1, '2021-07-19 11:35:16', NULL, NULL), (5244, '', '金龙镇', '709b24b411854bafbb5b03d579aa6dec', '66c5737232c4469aabe2ba2c024dbdd2', 'True', 'True', 'false', 'false', '510504107000', 4, '金龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510504107000', 1, '2021-07-19 11:35:16', NULL, NULL), (5245, '', '金龙社区居委会', '65006690e6be48c2b696637c87219407', '709b24b411854bafbb5b03d579aa6dec', 'False', 'True', 'false', 'false', '510504107001', 5, '金龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504107001', 1, '2021-07-19 11:35:16', NULL, NULL), (5246, '', '官渡社区居委会', 'aac7c8923a0b4063b6f39f76dcc51022', '709b24b411854bafbb5b03d579aa6dec', 'False', 'True', 'false', 'false', '510504107002', 5, '官渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504107002', 1, '2021-07-19 11:35:16', NULL, NULL), (5247, '', '雪骡村委会', '0d819044b3bb4db5a7effd18c3a536c0', '709b24b411854bafbb5b03d579aa6dec', 'False', 'True', 'false', 'false', '510504107204', 5, '雪骡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504107204', 1, '2021-07-19 11:35:16', NULL, NULL), (5248, '', '塘坡村委会', '0697720161f941ba8aabf0a235519663', '709b24b411854bafbb5b03d579aa6dec', 'False', 'True', 'false', 'false', '510504107206', 5, '塘坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504107206', 1, '2021-07-19 11:35:17', NULL, NULL), (5249, '', '曹坝村委会', '15e5691674d24605bf1209415768a008', '709b24b411854bafbb5b03d579aa6dec', 'False', 'True', 'false', 'false', '510504107209', 5, '曹坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504107209', 1, '2021-07-19 11:35:17', NULL, NULL), (5250, '', '西坛村委会', 'd00fb9de35454cfe8e4b1b6361fada22', '709b24b411854bafbb5b03d579aa6dec', 'False', 'True', 'false', 'false', '510504107211', 5, '西坛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510504107211', 1, '2021-07-19 11:35:17', NULL, NULL), (5251, '', '泸县', '088821e021834bf8968a685c685246c3', 'f96cd81a6efd4a1d9f65a00b6277b1fb', 'True', 'True', 'false', 'false', '510521000000', 3, '泸县', 'lzslx.sczwfw.gov.cn', 1, '2021-07-19 11:35:17', NULL, NULL), (5252, '', '玉蟾街道', '4eab4d8f687c48e6b46ef75ff6a2abbb', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521200000', 4, '玉蟾街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521200000', 1, '2021-07-19 11:35:17', NULL, NULL), (5253, '', '祥和社区', '87064f087b394a70b3233e8b7951a530', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001005', 5, '祥和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001005', 1, '2021-07-19 11:35:17', NULL, NULL), (5254, '', '清溪社区', '9a4b901f96b44904885674d098bdccda', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001006', 5, '清溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001006', 1, '2021-07-19 11:35:17', NULL, NULL), (5255, '', '怡园社区', '37d5d106fe5e42a1856cb48104361a41', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001003', 5, '怡园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001003', 1, '2021-07-19 11:35:17', NULL, NULL), (5256, '', '朝阳社区', '64e822d805bb446ca5bb512e5b9c1b75', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001002', 5, '朝阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001002', 1, '2021-07-19 11:35:17', NULL, NULL), (5257, '', '西苑社区', '7626e14e691b4ed49a601acd04eed057', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001001', 5, '西苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001001', 1, '2021-07-19 11:35:17', NULL, NULL), (5258, '', '工矿社区', 'a2f9b5bf09cf477fad3c55ad5209dacc', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001007', 5, '工矿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001007', 1, '2021-07-19 11:35:17', NULL, NULL), (5259, '', '建设社区', '92577e0ec18d4ff597f2459d780d2efd', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001004', 5, '建设社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001004', 1, '2021-07-19 11:35:17', NULL, NULL), (5260, '', '清平社区', '617e3f2fe58241b09d9880a9c3e55623', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001008', 5, '清平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001008', 1, '2021-07-19 11:35:17', NULL, NULL), (5261, '', '康桥社区', '88cc6e5487d4459193295dac09c81a5d', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001009', 5, '康桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001009', 1, '2021-07-19 11:35:17', NULL, NULL), (5262, '', '龙桥社区', 'e2868bf9b45f4a7eb1f1e12c019d567f', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001010', 5, '龙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001010', 1, '2021-07-19 11:35:17', NULL, NULL), (5263, '', '九曲河村', '2455b11e39d14d1392bfe3f0bbda7024', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001201', 5, '九曲河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001201', 1, '2021-07-19 11:35:17', NULL, NULL), (5264, '', '玉蟾村', '9548de7cb61e43c1b1ec981d5696303d', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001203', 5, '玉蟾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001203', 1, '2021-07-19 11:35:18', NULL, NULL), (5265, '', '白龙塔村', '26c19893d00c46e5903c3c30bbeea8c0', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001202', 5, '白龙塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001202', 1, '2021-07-19 11:35:18', NULL, NULL), (5266, '', '小马滩村', 'cec2bc4539714470a6d811bfae044256', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001204', 5, '小马滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001204', 1, '2021-07-19 11:35:18', NULL, NULL), (5267, '', '龙华村', 'e929f043826945b1808a1c5d5088163d', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521200465', 5, '龙华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521200465', 1, '2021-07-19 11:35:18', NULL, NULL), (5268, '', '黄金村', '1fdd3d234a5f4f2d8071addbcbad72cc', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001207', 5, '黄金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001207', 1, '2021-07-19 11:35:18', NULL, NULL), (5269, '', '水竹林村', 'f70c3a57182243ed86d1ae84131682a8', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001200', 5, '水竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001200', 1, '2021-07-19 11:35:18', NULL, NULL), (5270, '', '古二井村', 'ff5160e8b3b44ab2be2626dbfdfcabf8', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001205', 5, '古二井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001205', 1, '2021-07-19 11:35:18', NULL, NULL), (5271, '', '马溪河村', '553d3613299c4a79977f9f1de3779b89', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001206', 5, '马溪河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001206', 1, '2021-07-19 11:35:18', NULL, NULL), (5272, '', '神龙村', 'b04ebacea0b545d79e7ff7fcdd2c5f5c', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521200805', 5, '神龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521200805', 1, '2021-07-19 11:35:18', NULL, NULL), (5273, '', '龙朝村', '9df5576ca44d4cd3b763c007937389f7', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001209', 5, '龙朝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001209', 1, '2021-07-19 11:35:18', NULL, NULL), (5274, '', '代桥村', '1049812197574b91b42b326868998410', '4eab4d8f687c48e6b46ef75ff6a2abbb', 'False', 'True', 'false', 'false', '510521001210', 5, '代桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521001210', 1, '2021-07-19 11:35:18', NULL, NULL), (5275, '', '福集镇', 'dc3d58f2a704460da7b0808dca6e1554', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521100000', 4, '福集镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521100000', 1, '2021-07-19 11:35:18', NULL, NULL), (5276, '', '大田社区', '125da308a22c416dbc67ac562487f866', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521100001', 5, '大田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521100001', 1, '2021-07-19 11:35:18', NULL, NULL), (5277, '', '天洋社区', '64a8986434ed4708934cd6024884c5c1', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521100002', 5, '天洋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521100002', 1, '2021-07-19 11:35:19', NULL, NULL), (5278, '', '太和社区', 'bea1dbef6613490bb90cb7859467bf59', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521100003', 5, '太和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521100003', 1, '2021-07-19 11:35:19', NULL, NULL), (5279, '', '赵岩村', '6e3152f8c27a48f2bb4599ccc6f9055e', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521100200', 5, '赵岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521100200', 1, '2021-07-19 11:35:19', NULL, NULL), (5280, '', '石鸭滩村', '57f65d8a29a44fcdb8bfaf115f387072', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521100201', 5, '石鸭滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521100201', 1, '2021-07-19 11:35:19', NULL, NULL), (5281, '', '沙土村', 'c052ad80f52542b2a492208813753e84', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521100202', 5, '沙土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521100202', 1, '2021-07-19 11:35:19', NULL, NULL), (5282, '', '螺蛳山村', '3059b1b2f2db4e1e9c1cbf12d9f94d86', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521100203', 5, '螺蛳山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521100203', 1, '2021-07-19 11:35:19', NULL, NULL), (5283, '', '大坪村', '9c05287a99dd4aab83e61bdbaafbc348', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521100204', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521100204', 1, '2021-07-19 11:35:19', NULL, NULL), (5284, '', '万宝村', '6f4119dc16d648c1bf15c16d7c3b3566', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521100205', 5, '万宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521100205', 1, '2021-07-19 11:35:19', NULL, NULL), (5285, '', '雷公村', '250553fe31cc45f09160b1fd8a9385e9', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521100206', 5, '雷公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521100206', 1, '2021-07-19 11:35:19', NULL, NULL), (5286, '', '金钱村', '612440ef43254036a10de9a97749ce60', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521100207', 5, '金钱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521100207', 1, '2021-07-19 11:35:19', NULL, NULL), (5287, '', '鱼目村', '03383028a49a4f56bd84ca2d0a1b95d2', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521407376', 5, '鱼目村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521407376', 1, '2021-07-19 11:35:19', NULL, NULL), (5288, '', '团仓村', '248ee16898f346c6926e266cfa77a655', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521100209', 5, '团仓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521100209', 1, '2021-07-19 11:35:19', NULL, NULL), (5289, '', '小冲子村', '084977d15abe4021836b46b99e7a19d7', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521100210', 5, '小冲子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521100210', 1, '2021-07-19 11:35:19', NULL, NULL), (5290, '', '李子村', '49eaca14eee54b8887bddc7ea9e25994', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521407198', 5, '李子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521407198', 1, '2021-07-19 11:35:19', NULL, NULL), (5291, '', '大桥村', '9ee66d2095e0483d96d2ba0f8366ce1e', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521100212', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521100212', 1, '2021-07-19 11:35:20', NULL, NULL), (5292, '', '茂盛村', 'a05a2d8056b94fb3b6e87df13f92779b', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521100213', 5, '茂盛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521100213', 1, '2021-07-19 11:35:20', NULL, NULL), (5293, '', '草坝村', 'b244dbb3701b4a82b8c11ca95562fd10', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521100214', 5, '草坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521100214', 1, '2021-07-19 11:35:20', NULL, NULL), (5294, '', '清华村', '1457a5f949094721a3b22b7ed664e027', 'dc3d58f2a704460da7b0808dca6e1554', 'False', 'True', 'false', 'false', '510521100215', 5, '清华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521100215', 1, '2021-07-19 11:35:20', NULL, NULL), (5295, '', '嘉明镇', '69396d10c8b44f4eb6768b6a163209d8', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521572000', 4, '嘉明镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521572000', 1, '2021-07-19 11:35:20', NULL, NULL), (5296, '', '石燕村', '0b0c965dbb3045a09f31ff336c095639', '69396d10c8b44f4eb6768b6a163209d8', 'False', 'True', 'false', 'false', '510521101227', 5, '石燕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521101227', 1, '2021-07-19 11:35:20', NULL, NULL), (5297, '', '秀水社区', '16553147f54746168affe34ea5db246c', '69396d10c8b44f4eb6768b6a163209d8', 'False', 'True', 'false', 'false', '510521101002', 5, '秀水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521101002', 1, '2021-07-19 11:35:20', NULL, NULL), (5298, '', '狮子村', '4972dd8d86b54353bf013ac43dc6c81c', '69396d10c8b44f4eb6768b6a163209d8', 'False', 'True', 'false', 'false', '510521101228', 5, '狮子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521101228', 1, '2021-07-19 11:35:20', NULL, NULL), (5299, '', '团山堡村', 'c3567187d74f43608415be2158f03c9c', '69396d10c8b44f4eb6768b6a163209d8', 'False', 'True', 'false', 'false', '510521101232', 5, '团山堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521101232', 1, '2021-07-19 11:35:20', NULL, NULL), (5300, '', '罗桥村', '93bc18b64519401899131ff42f82d76f', '69396d10c8b44f4eb6768b6a163209d8', 'False', 'True', 'false', 'false', '510521101229', 5, '罗桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521101229', 1, '2021-07-19 11:35:20', NULL, NULL), (5301, '', '复兴村', '2b3e440a30904cb183e540b9f706430c', '69396d10c8b44f4eb6768b6a163209d8', 'False', 'True', 'false', 'false', '510521101231', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521101231', 1, '2021-07-19 11:35:20', NULL, NULL), (5302, '', '葛林湾村', '343b249c4ae74558989a7569964586b7', '69396d10c8b44f4eb6768b6a163209d8', 'False', 'True', 'false', 'false', '510521101236', 5, '葛林湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521101236', 1, '2021-07-19 11:35:20', NULL, NULL), (5303, '', '大同村', '5b3b0d9d273f475c866ed65a204d43d4', '69396d10c8b44f4eb6768b6a163209d8', 'False', 'True', 'false', 'false', '510521101230', 5, '大同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521101230', 1, '2021-07-19 11:35:20', NULL, NULL), (5304, '', '双河口村', 'a8507bb0aafd4af3aee7f4b92fe8a105', '69396d10c8b44f4eb6768b6a163209d8', 'False', 'True', 'false', 'false', '510521101233', 5, '双河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521101233', 1, '2021-07-19 11:35:21', NULL, NULL), (5305, '', '护松村', 'e5fca520f0644192aa46ac0428c4fe06', '69396d10c8b44f4eb6768b6a163209d8', 'False', 'True', 'false', 'false', '510521101235', 5, '护松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521101235', 1, '2021-07-19 11:35:21', NULL, NULL), (5306, '', '少华村', '9d118b13e15a4061848e04842c44606a', '69396d10c8b44f4eb6768b6a163209d8', 'False', 'True', 'false', 'false', '510521101234', 5, '少华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521101234', 1, '2021-07-19 11:35:21', NULL, NULL), (5307, '', '喻寺镇', 'bcbd3c0e3e8a42f39dac7de9ea454388', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521505000', 4, '喻寺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521505000', 1, '2021-07-19 11:35:21', NULL, NULL), (5308, '', '兴顺社区', 'e8a2cf2f797a47148d7eefec70f1c90a', 'bcbd3c0e3e8a42f39dac7de9ea454388', 'False', 'True', 'false', 'false', '510521102005', 5, '兴顺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521102005', 1, '2021-07-19 11:35:21', NULL, NULL), (5309, '', '桐远社区', 'e5668f4a237649278540d7080e5641c5', 'bcbd3c0e3e8a42f39dac7de9ea454388', 'False', 'True', 'false', 'false', '510521102006', 5, '桐远社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521102006', 1, '2021-07-19 11:35:21', NULL, NULL), (5310, '', '雷达村', '08627d70984d4c7ebc6c6b3b72874ccd', 'bcbd3c0e3e8a42f39dac7de9ea454388', 'False', 'True', 'false', 'false', '510521102231', 5, '雷达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521102231', 1, '2021-07-19 11:35:21', NULL, NULL), (5311, '', '齐心村', 'd7efaeec446440d5924423cb5a5dc877', 'bcbd3c0e3e8a42f39dac7de9ea454388', 'False', 'True', 'false', 'false', '510521102233', 5, '齐心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521102233', 1, '2021-07-19 11:35:21', NULL, NULL), (5312, '', '新桥村', 'f7c1986613b041eabb711c6a306779de', 'bcbd3c0e3e8a42f39dac7de9ea454388', 'False', 'True', 'false', 'false', '510521102235', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521102235', 1, '2021-07-19 11:35:21', NULL, NULL), (5313, '', '鸦峰岩村', 'b740817e092b4de9bbab6d4447096742', 'bcbd3c0e3e8a42f39dac7de9ea454388', 'False', 'True', 'false', 'false', '510521102230', 5, '鸦峰岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521102230', 1, '2021-07-19 11:35:21', NULL, NULL), (5314, '', '古桥村', '47df0ce862024086b52d2a3cbbf2ccbb', 'bcbd3c0e3e8a42f39dac7de9ea454388', 'False', 'True', 'false', 'false', '510521102375', 5, '古桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521102375', 1, '2021-07-19 11:35:21', NULL, NULL), (5315, '', '雷坝村', '52499f1b1ecf49e2bb2b46c3dd45f66f', 'bcbd3c0e3e8a42f39dac7de9ea454388', 'False', 'True', 'false', 'false', '510521102234', 5, '雷坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521102234', 1, '2021-07-19 11:35:21', NULL, NULL), (5316, '', '周堰村', 'e32068df189c46db9e96cb1276f3b062', 'bcbd3c0e3e8a42f39dac7de9ea454388', 'False', 'True', 'false', 'false', '510521102236', 5, '周堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521102236', 1, '2021-07-19 11:35:21', NULL, NULL), (5317, '', '陈沱村', '5a386bff82404cf4b958edb194f7efe2', 'bcbd3c0e3e8a42f39dac7de9ea454388', 'False', 'True', 'false', 'false', '510521102222', 5, '陈沱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521102222', 1, '2021-07-19 11:35:22', NULL, NULL), (5318, '', '赵南村', 'e214ac12eb244fb28e7d8b55e095e84d', 'bcbd3c0e3e8a42f39dac7de9ea454388', 'False', 'True', 'false', 'false', '510521102239', 5, '赵南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521102239', 1, '2021-07-19 11:35:22', NULL, NULL), (5319, '', '兴隆村', '9a339b516d9740c997a684de525537e0', 'bcbd3c0e3e8a42f39dac7de9ea454388', 'False', 'True', 'false', 'false', '510521102238', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521102238', 1, '2021-07-19 11:35:22', NULL, NULL), (5320, '', '谭坝村', '08e407f78f20473ca27d1d6d030f0c05', 'bcbd3c0e3e8a42f39dac7de9ea454388', 'False', 'True', 'false', 'false', '510521102237', 5, '谭坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521102237', 1, '2021-07-19 11:35:22', NULL, NULL), (5321, '', '天兴镇', 'ed14dd02dce240a6a88ab907a86103b6', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521345000', 4, '天兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521345000', 1, '2021-07-19 11:35:22', NULL, NULL), (5322, '', '中兴社区', '494a942213624d4e90f33fb8094680e4', 'ed14dd02dce240a6a88ab907a86103b6', 'False', 'True', 'false', 'false', '510521117002', 5, '中兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521117002', 1, '2021-07-19 11:35:22', NULL, NULL), (5323, '', '垣山村', '7c7255cf404f49c9b06bdb0ff90397a1', 'ed14dd02dce240a6a88ab907a86103b6', 'False', 'True', 'false', 'false', '510521117218', 5, '垣山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521117218', 1, '2021-07-19 11:35:22', NULL, NULL), (5324, '', '场口村', 'ed6ea8a04da544beb0b1b8e983230c31', 'ed14dd02dce240a6a88ab907a86103b6', 'False', 'True', 'false', 'false', '510521117219', 5, '场口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521117219', 1, '2021-07-19 11:35:22', NULL, NULL), (5325, '', '龙凤村', 'ca7b55fe0c524fc6924a9160d231eb16', 'ed14dd02dce240a6a88ab907a86103b6', 'False', 'True', 'false', 'false', '510521117220', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521117220', 1, '2021-07-19 11:35:22', NULL, NULL), (5326, '', '板栗村', 'daa503832ae14f72beb539fe14835b74', 'ed14dd02dce240a6a88ab907a86103b6', 'False', 'True', 'false', 'false', '510521117221', 5, '板栗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521117221', 1, '2021-07-19 11:35:22', NULL, NULL), (5327, '', '志城村', '374363b6aa13478b8ec54c9ed3b8b0e9', 'ed14dd02dce240a6a88ab907a86103b6', 'False', 'True', 'false', 'false', '510521117222', 5, '志城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521117222', 1, '2021-07-19 11:35:22', NULL, NULL), (5328, '', '曹湾村', '513dd643658d4b138fb07f95199de9dd', 'ed14dd02dce240a6a88ab907a86103b6', 'False', 'True', 'false', 'false', '510521117223', 5, '曹湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521117223', 1, '2021-07-19 11:35:22', NULL, NULL), (5329, '', '田坝村', '62f99edd48714bcf8c12b80e20f35b0a', 'ed14dd02dce240a6a88ab907a86103b6', 'False', 'True', 'false', 'false', '510521117225', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521117225', 1, '2021-07-19 11:35:22', NULL, NULL), (5330, '', '一心村', '1fb0423ae1834f2c8a89b6857928bd40', 'ed14dd02dce240a6a88ab907a86103b6', 'False', 'True', 'false', 'false', '510521117224', 5, '一心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521117224', 1, '2021-07-19 11:35:22', NULL, NULL), (5331, '', '方洞镇', 'a17be390cc9948ed8ad04778b900807a', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521934000', 4, '方洞镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521934000', 1, '2021-07-19 11:35:22', NULL, NULL), (5332, '', '向阳社区', 'b793f42bad29438abca945347848f311', 'a17be390cc9948ed8ad04778b900807a', 'False', 'True', 'false', 'false', '510521118002', 5, '向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521118002', 1, '2021-07-19 11:35:23', NULL, NULL), (5333, '', '龙洞山社区', 'aa4b88269d514c889ce26c518203a538', 'a17be390cc9948ed8ad04778b900807a', 'False', 'True', 'false', 'false', '510521118003', 5, '龙洞山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521118003', 1, '2021-07-19 11:35:23', NULL, NULL), (5334, '', '董湾村', '8502a98211db417199f5894ecd28fec6', 'a17be390cc9948ed8ad04778b900807a', 'False', 'True', 'false', 'false', '510521118217', 5, '董湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521118217', 1, '2021-07-19 11:35:23', NULL, NULL), (5335, '', '薛湾村', 'ffe4e9e6a3a8432185d895768e817b71', 'a17be390cc9948ed8ad04778b900807a', 'False', 'True', 'false', 'false', '510521118218', 5, '薛湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521118218', 1, '2021-07-19 11:35:23', NULL, NULL), (5336, '', '庆丰村', '122d6a9650574b64b80d2a42da99a850', 'a17be390cc9948ed8ad04778b900807a', 'False', 'True', 'false', 'false', '510521118219', 5, '庆丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521118219', 1, '2021-07-19 11:35:23', NULL, NULL), (5337, '', '新联村', 'fb7769d9a6834ae5967d2ce8f139359e', 'a17be390cc9948ed8ad04778b900807a', 'False', 'True', 'false', 'false', '510521118220', 5, '新联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521118220', 1, '2021-07-19 11:35:23', NULL, NULL), (5338, '', '宋田村', 'e53de77f54524875b4678a9e64d04c84', 'a17be390cc9948ed8ad04778b900807a', 'False', 'True', 'false', 'false', '510521118223', 5, '宋田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521118223', 1, '2021-07-19 11:35:23', NULL, NULL), (5339, '', '邹寺村', 'af578198cb6d40af86f678f28bd44745', 'a17be390cc9948ed8ad04778b900807a', 'False', 'True', 'false', 'false', '510521118224', 5, '邹寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521118224', 1, '2021-07-19 11:35:23', NULL, NULL), (5340, '', '屈湾村', 'd165acb8986f48a1aef56ca79f07055f', 'a17be390cc9948ed8ad04778b900807a', 'False', 'True', 'false', 'false', '510521118225', 5, '屈湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521118225', 1, '2021-07-19 11:35:23', NULL, NULL), (5341, '', '三界村', '1fa0d73eeadb42ccbc1e271c2ec9eab4', 'a17be390cc9948ed8ad04778b900807a', 'False', 'True', 'false', 'false', '510521118226', 5, '三界村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521118226', 1, '2021-07-19 11:35:23', NULL, NULL), (5342, '', '石牌坊村', 'b211a2fc5d4e45d191c432b7d1a3617f', 'a17be390cc9948ed8ad04778b900807a', 'False', 'True', 'false', 'false', '510521118222', 5, '石牌坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521118222', 1, '2021-07-19 11:35:23', NULL, NULL), (5343, '', '增湾村', '91a2ccc4c41841eb8f188ec7b20061d4', 'a17be390cc9948ed8ad04778b900807a', 'False', 'True', 'false', 'false', '510521118227', 5, '增湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521118227', 1, '2021-07-19 11:35:23', NULL, NULL), (5344, '', '雨峰村', '81b8273376c44fbc9f6d03d5116a4ca9', 'a17be390cc9948ed8ad04778b900807a', 'False', 'True', 'false', 'false', '510521118228', 5, '雨峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521118228', 1, '2021-07-19 11:35:23', NULL, NULL), (5345, '', '陈田村', '05dc1c9532f84d7999c34a9b70b15712', 'a17be390cc9948ed8ad04778b900807a', 'False', 'True', 'false', 'false', '510521118221', 5, '陈田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521118221', 1, '2021-07-19 11:35:23', NULL, NULL), (5346, '', '得胜镇', 'c7471f0f0af347c885832411815d22b0', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521988000', 4, '得胜镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521988000', 1, '2021-07-19 11:35:24', NULL, NULL), (5347, '', '林坎社区', 'e8b2984786ff4abebf2aef21fb22c56b', 'c7471f0f0af347c885832411815d22b0', 'False', 'True', 'false', 'false', '510521103003', 5, '林坎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521103003', 1, '2021-07-19 11:35:24', NULL, NULL), (5348, '', '宋观社区', 'b6df22a103ad464294944e2023fa1a93', 'c7471f0f0af347c885832411815d22b0', 'False', 'True', 'false', 'false', '510521103004', 5, '宋观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521103004', 1, '2021-07-19 11:35:24', NULL, NULL), (5349, '', '顺江社区', '519c935b2fae466ebed3849e58bbd51c', 'c7471f0f0af347c885832411815d22b0', 'False', 'True', 'false', 'false', '510521103005', 5, '顺江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521103005', 1, '2021-07-19 11:35:24', NULL, NULL), (5350, '', '东皇殿村', 'f82ef5f565bc4fb9aa91861da9eac164', 'c7471f0f0af347c885832411815d22b0', 'False', 'True', 'false', 'false', '510521103230', 5, '东皇殿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521103230', 1, '2021-07-19 11:35:24', NULL, NULL), (5351, '', '得胜村', '9a633dde483e4dcb8efb9be3c15a816a', 'c7471f0f0af347c885832411815d22b0', 'False', 'True', 'false', 'false', '510521103225', 5, '得胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521103225', 1, '2021-07-19 11:35:24', NULL, NULL), (5352, '', '白象村', 'aacc4f61ec5a437381a8475b8e3de4c5', 'c7471f0f0af347c885832411815d22b0', 'False', 'True', 'false', 'false', '510521103222', 5, '白象村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521103222', 1, '2021-07-19 11:35:24', NULL, NULL), (5353, '', '大水坝村', '164256dc004f493db6a2d1c9b9d06cbc', 'c7471f0f0af347c885832411815d22b0', 'False', 'True', 'false', 'false', '510521103227', 5, '大水坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521103227', 1, '2021-07-19 11:35:24', NULL, NULL), (5354, '', '罐顶山村', '2af842b5c8bf4d208c038c982791b6b1', 'c7471f0f0af347c885832411815d22b0', 'False', 'True', 'false', 'false', '510521103226', 5, '罐顶山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521103226', 1, '2021-07-19 11:35:24', NULL, NULL), (5355, '', '龙阴沟村', '048c73ef2f7a4f2fa9f001a88be22111', 'c7471f0f0af347c885832411815d22b0', 'False', 'True', 'false', 'false', '510521103228', 5, '龙阴沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521103228', 1, '2021-07-19 11:35:24', NULL, NULL), (5356, '', '荞子坝村', 'c58b714f25484bd5862ba6803f068122', 'c7471f0f0af347c885832411815d22b0', 'False', 'True', 'false', 'false', '510521103229', 5, '荞子坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521103229', 1, '2021-07-19 11:35:24', NULL, NULL), (5357, '', '顺民村', '02e710a2283846578687f8e70ddb5c51', 'c7471f0f0af347c885832411815d22b0', 'False', 'True', 'false', 'false', '510521103233', 5, '顺民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521103233', 1, '2021-07-19 11:35:24', NULL, NULL), (5358, '', '高石塔村', '63fd18173d214d0d8dcb3e215dd852cd', 'c7471f0f0af347c885832411815d22b0', 'False', 'True', 'false', 'false', '510521103234', 5, '高石塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521103234', 1, '2021-07-19 11:35:25', NULL, NULL), (5359, '', '上顶山村', '01f103b6c93d4f579ff935132df700e9', 'c7471f0f0af347c885832411815d22b0', 'False', 'True', 'false', 'false', '510521103232', 5, '上顶山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521103232', 1, '2021-07-19 11:35:25', NULL, NULL), (5360, '', '门斗山村', '5abdedbcd4f9495a9934f72ae8cda534', 'c7471f0f0af347c885832411815d22b0', 'False', 'True', 'false', 'false', '510521103235', 5, '门斗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521103235', 1, '2021-07-19 11:35:25', NULL, NULL), (5361, '', '仁和村', 'a6a33273fa2c4e859da29f33e539c75a', 'c7471f0f0af347c885832411815d22b0', 'False', 'True', 'false', 'false', '510521103224', 5, '仁和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521103224', 1, '2021-07-19 11:35:25', NULL, NULL), (5362, '', '桐乐村', 'f88ff1f3780a4c96b36115a2317b7b1e', 'c7471f0f0af347c885832411815d22b0', 'False', 'True', 'false', 'false', '510521103231', 5, '桐乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521103231', 1, '2021-07-19 11:35:25', NULL, NULL), (5363, '', '接官坝村', '8ad51af4165541bb80cce20aae87254f', 'c7471f0f0af347c885832411815d22b0', 'False', 'True', 'false', 'false', '510521103223', 5, '接官坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521103223', 1, '2021-07-19 11:35:25', NULL, NULL), (5364, '', '海潮镇', '44d8328afca74b6f98150a4e41dc9996', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521732000', 4, '海潮镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521732000', 1, '2021-07-19 11:35:25', NULL, NULL), (5365, '', '兴盛社区', '9cb6f6bea0394707a8c438f198e88591', '44d8328afca74b6f98150a4e41dc9996', 'False', 'True', 'false', 'false', '510521123003', 5, '兴盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521123003', 1, '2021-07-19 11:35:25', NULL, NULL), (5366, '', '红合村', 'de53551505144b1c9c2b947ece9c0640', '44d8328afca74b6f98150a4e41dc9996', 'False', 'True', 'false', 'false', '510521123222', 5, '红合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521123222', 1, '2021-07-19 11:35:25', NULL, NULL), (5367, '', '龙塘村', '25372eeb02e749c78d005501e42076e3', '44d8328afca74b6f98150a4e41dc9996', 'False', 'True', 'false', 'false', '510521123224', 5, '龙塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521123224', 1, '2021-07-19 11:35:25', NULL, NULL), (5368, '', '陈湾村', '87aff437f0cc44b38989423cc9349339', '44d8328afca74b6f98150a4e41dc9996', 'False', 'True', 'false', 'false', '510521123225', 5, '陈湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521123225', 1, '2021-07-19 11:35:25', NULL, NULL), (5369, '', '尖山村', 'd68a0b965a874da99c98342157dd8513', '44d8328afca74b6f98150a4e41dc9996', 'False', 'True', 'false', 'false', '510521123226', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521123226', 1, '2021-07-19 11:35:25', NULL, NULL), (5370, '', '徐场村', 'd7f6bf66b64a462e916d39171dadebe4', '44d8328afca74b6f98150a4e41dc9996', 'False', 'True', 'false', 'false', '510521123227', 5, '徐场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521123227', 1, '2021-07-19 11:35:25', NULL, NULL), (5371, '', '流滩坝村', 'ee4c29b1a2a64c5a8221779416597c08', '44d8328afca74b6f98150a4e41dc9996', 'False', 'True', 'false', 'false', '510521123223', 5, '流滩坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521123223', 1, '2021-07-19 11:35:25', NULL, NULL), (5372, '', '小白村', 'ffc91e3b1d8c424c9b7b51a1fb19a4eb', '44d8328afca74b6f98150a4e41dc9996', 'False', 'True', 'false', 'false', '510521123228', 5, '小白村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521123228', 1, '2021-07-19 11:35:25', NULL, NULL), (5373, '', '潮河镇', '05f6def0f3c44757b01cca06b6b09f8c', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521542000', 4, '潮河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521542000', 1, '2021-07-19 11:35:25', NULL, NULL), (5374, '', '桂苑社区', '67ce72edc9e840a380eeb4f8e02691d8', '05f6def0f3c44757b01cca06b6b09f8c', 'False', 'True', 'false', 'false', '510521113004', 5, '桂苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521113004', 1, '2021-07-19 11:35:25', NULL, NULL), (5375, '', '瓦子社区', '71aed9b9824c40b8a2d143067fdad587', '05f6def0f3c44757b01cca06b6b09f8c', 'False', 'True', 'false', 'false', '510521113005', 5, '瓦子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521113005', 1, '2021-07-19 11:35:26', NULL, NULL), (5376, '', '天才村', '533edbe110f242689514909bdf10d2a2', '05f6def0f3c44757b01cca06b6b09f8c', 'False', 'True', 'false', 'false', '510521113231', 5, '天才村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521113231', 1, '2021-07-19 11:35:26', NULL, NULL), (5377, '', '伏鱼村', 'bd60f45b0e5d464c890693df3f6c352a', '05f6def0f3c44757b01cca06b6b09f8c', 'False', 'True', 'false', 'false', '510521113233', 5, '伏鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521113233', 1, '2021-07-19 11:35:26', NULL, NULL), (5378, '', '王庄村', 'e6882d2b3ba14f9586a96560bf179447', '05f6def0f3c44757b01cca06b6b09f8c', 'False', 'True', 'false', 'false', '510521113235', 5, '王庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521113235', 1, '2021-07-19 11:35:26', NULL, NULL), (5379, '', '潮河村', '39d7527647d64695a43dfc0dc78ce1e9', '05f6def0f3c44757b01cca06b6b09f8c', 'False', 'True', 'false', 'false', '510521113236', 5, '潮河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521113236', 1, '2021-07-19 11:35:26', NULL, NULL), (5380, '', '王坪村', '34f81d164ccf49a6abca92911fd2fccb', '05f6def0f3c44757b01cca06b6b09f8c', 'False', 'True', 'false', 'false', '510521113238', 5, '王坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521113238', 1, '2021-07-19 11:35:26', NULL, NULL), (5381, '', '唐寺村', '784885d9a00144b385a00daba38436ec', '05f6def0f3c44757b01cca06b6b09f8c', 'False', 'True', 'false', 'false', '510521113239', 5, '唐寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521113239', 1, '2021-07-19 11:35:26', NULL, NULL), (5382, '', '红兴村', 'dc8d2ccae6fe469d93bc28fac0976375', '05f6def0f3c44757b01cca06b6b09f8c', 'False', 'True', 'false', 'false', '510521113237', 5, '红兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521113237', 1, '2021-07-19 11:35:26', NULL, NULL), (5383, '', '桂凤村', '1c25e6d67659419690af36a0ef3d18de', '05f6def0f3c44757b01cca06b6b09f8c', 'False', 'True', 'false', 'false', '510521113240', 5, '桂凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521113240', 1, '2021-07-19 11:35:26', NULL, NULL), (5384, '', '五谷寺村', 'ff85614e6b83431db9721f8b025498d8', '05f6def0f3c44757b01cca06b6b09f8c', 'False', 'True', 'false', 'false', '510521113234', 5, '五谷寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521113234', 1, '2021-07-19 11:35:26', NULL, NULL), (5385, '', '后湾村', '58091ee81cc24a29a3425b27cb40e3bd', '05f6def0f3c44757b01cca06b6b09f8c', 'False', 'True', 'false', 'false', '510521113241', 5, '后湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521113241', 1, '2021-07-19 11:35:26', NULL, NULL), (5386, '', '朱家坪村', 'c7ca70583e5c40d08b3c0f917549b78c', '05f6def0f3c44757b01cca06b6b09f8c', 'False', 'True', 'false', 'false', '510521113243', 5, '朱家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521113243', 1, '2021-07-19 11:35:26', NULL, NULL), (5387, '', '龙江村', '26ec3197d81348a6a479474557762d83', '05f6def0f3c44757b01cca06b6b09f8c', 'False', 'True', 'false', 'false', '510521113232', 5, '龙江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521113232', 1, '2021-07-19 11:35:26', NULL, NULL), (5388, '', '天堂坝村', '141312aa8cf7419289ea86cbdeb79827', '05f6def0f3c44757b01cca06b6b09f8c', 'False', 'True', 'false', 'false', '510521113242', 5, '天堂坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521113242', 1, '2021-07-19 11:35:26', NULL, NULL), (5389, '', '牛滩镇', 'be105d598f5345d6a661953d49fbe78c', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521515000', 4, '牛滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521515000', 1, '2021-07-19 11:35:27', NULL, NULL), (5390, '', '金牛社区', '10cfbb117d21401fb92a7e50dff67953', 'be105d598f5345d6a661953d49fbe78c', 'False', 'True', 'false', 'false', '510521105004', 5, '金牛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105004', 1, '2021-07-19 11:35:27', NULL, NULL), (5391, '', '玉峰社区', 'd89b6b2925614be281b48b9cffd3b63e', 'be105d598f5345d6a661953d49fbe78c', 'False', 'True', 'false', 'false', '510521105005', 5, '玉峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105005', 1, '2021-07-19 11:35:27', NULL, NULL), (5392, '', '横江村', '3e58c893b11c4d9dac8b4e22395fe58f', 'be105d598f5345d6a661953d49fbe78c', 'False', 'True', 'false', 'false', '510521105232', 5, '横江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105232', 1, '2021-07-19 11:35:27', NULL, NULL), (5393, '', '团结村', 'c3227409e1a9426ab03d7daba492d4e4', 'be105d598f5345d6a661953d49fbe78c', 'False', 'True', 'false', 'false', '510521105233', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105233', 1, '2021-07-19 11:35:27', NULL, NULL), (5394, '', '建设村', 'f7ef6ef7100e45549f6e338e909bb061', 'be105d598f5345d6a661953d49fbe78c', 'False', 'True', 'false', 'false', '510521105235', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105235', 1, '2021-07-19 11:35:27', NULL, NULL), (5395, '', '新林村', 'a622f4419c864e52b77881b50a11311d', 'be105d598f5345d6a661953d49fbe78c', 'False', 'True', 'false', 'false', '510521105234', 5, '新林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105234', 1, '2021-07-19 11:35:27', NULL, NULL), (5396, '', '八甲村', '6d93781eebdd4e829f951ce3d17eb387', 'be105d598f5345d6a661953d49fbe78c', 'False', 'True', 'false', 'false', '510521105242', 5, '八甲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105242', 1, '2021-07-19 11:35:27', NULL, NULL), (5397, '', '赵湾村', 'dd72237703994e788862a96be1d29652', 'be105d598f5345d6a661953d49fbe78c', 'False', 'True', 'false', 'false', '510521105243', 5, '赵湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105243', 1, '2021-07-19 11:35:27', NULL, NULL), (5398, '', '天全村', '93898bcf609c40ebbe54fbdce12d781d', 'be105d598f5345d6a661953d49fbe78c', 'False', 'True', 'false', 'false', '510521105244', 5, '天全村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105244', 1, '2021-07-19 11:35:27', NULL, NULL), (5399, '', '寿尊村', '200599591c9a458a86561ad6369ca371', 'be105d598f5345d6a661953d49fbe78c', 'False', 'True', 'false', 'false', '510521105245', 5, '寿尊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105245', 1, '2021-07-19 11:35:27', NULL, NULL), (5400, '', '白洋村', 'bddf1a231ca74c13a36420b34bb56c12', 'be105d598f5345d6a661953d49fbe78c', 'False', 'True', 'false', 'false', '510521105246', 5, '白洋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105246', 1, '2021-07-19 11:35:27', NULL, NULL), (5401, '', '坳田村', 'eee0b4b4831e4387905b6067afba3409', 'be105d598f5345d6a661953d49fbe78c', 'False', 'True', 'false', 'false', '510521105220', 5, '坳田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105220', 1, '2021-07-19 11:35:27', NULL, NULL), (5402, '', '新加村', '979dfb91e87641e7a86f037049f9512c', 'be105d598f5345d6a661953d49fbe78c', 'False', 'True', 'false', 'false', '510521105239', 5, '新加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105239', 1, '2021-07-19 11:35:27', NULL, NULL), (5403, '', '红旗村', '3d28745ab0844154afa23384860209cb', 'be105d598f5345d6a661953d49fbe78c', 'False', 'True', 'false', 'false', '510521105240', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105240', 1, '2021-07-19 11:35:28', NULL, NULL), (5404, '', '营山村', 'af9d511f7dbc4b7aa486a68d72e2ead4', 'be105d598f5345d6a661953d49fbe78c', 'False', 'True', 'false', 'false', '510521105241', 5, '营山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105241', 1, '2021-07-19 11:35:28', NULL, NULL), (5405, '', '王坝村', '5d60f34b1c52418490017577881ad6c2', 'be105d598f5345d6a661953d49fbe78c', 'False', 'True', 'false', 'false', '510521105236', 5, '王坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105236', 1, '2021-07-19 11:35:28', NULL, NULL), (5406, '', '接龙村', '66ebe409b66c47d798f482389a3557ea', 'be105d598f5345d6a661953d49fbe78c', 'False', 'True', 'false', 'false', '510521105237', 5, '接龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105237', 1, '2021-07-19 11:35:28', NULL, NULL), (5407, '', '革新村', '027e75eccedb4e449d73ae73ca978409', 'be105d598f5345d6a661953d49fbe78c', 'False', 'True', 'false', 'false', '510521105238', 5, '革新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105238', 1, '2021-07-19 11:35:28', NULL, NULL), (5408, '', '毗卢镇', 'daef3b829dd246d28846b392dd74c9d0', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521707000', 4, '毗卢镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521707000', 1, '2021-07-19 11:35:28', NULL, NULL), (5409, '', '中峰街社区', '6bc1359113cd47db99278b3606556b3e', 'daef3b829dd246d28846b392dd74c9d0', 'False', 'True', 'false', 'false', '510521111006', 5, '中峰街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521111006', 1, '2021-07-19 11:35:28', NULL, NULL), (5410, '', '仙佛社区', 'b194e23520194e18843aac85afc55a7a', 'daef3b829dd246d28846b392dd74c9d0', 'False', 'True', 'false', 'false', '510521111005', 5, '仙佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521111005', 1, '2021-07-19 11:35:28', NULL, NULL), (5411, '', '黄桷树社区', '081c16f35aa54f1b83f276641613fa19', 'daef3b829dd246d28846b392dd74c9d0', 'False', 'True', 'false', 'false', '510521111004', 5, '黄桷树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521111004', 1, '2021-07-19 11:35:28', NULL, NULL), (5412, '', '罗汉坝村', '36c88d4ffab4406a8e30fc7d04cd38f9', 'daef3b829dd246d28846b392dd74c9d0', 'False', 'True', 'false', 'false', '510521111227', 5, '罗汉坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521111227', 1, '2021-07-19 11:35:28', NULL, NULL), (5413, '', '陈家河村', '8d7800897f92408497db4c1acfc0b9ce', 'daef3b829dd246d28846b392dd74c9d0', 'False', 'True', 'false', 'false', '510521111228', 5, '陈家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521111228', 1, '2021-07-19 11:35:28', NULL, NULL), (5414, '', '沙子坪村', 'e67fd84d7a2d45bcb63fabb282e4764d', 'daef3b829dd246d28846b392dd74c9d0', 'False', 'True', 'false', 'false', '510521111229', 5, '沙子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521111229', 1, '2021-07-19 11:35:28', NULL, NULL), (5415, '', '中峰村', 'a879ba4fb99c4ec38c7aa982a34b900a', 'daef3b829dd246d28846b392dd74c9d0', 'False', 'True', 'false', 'false', '510521111230', 5, '中峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521111230', 1, '2021-07-19 11:35:28', NULL, NULL), (5416, '', '毛楼村', '3364d61c08b047a7828a274e4fa2e7d4', 'daef3b829dd246d28846b392dd74c9d0', 'False', 'True', 'false', 'false', '510521111231', 5, '毛楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521111231', 1, '2021-07-19 11:35:28', NULL, NULL), (5417, '', '下林村', 'a6f21860756e4faabfb6bf9cb7a874e6', 'daef3b829dd246d28846b392dd74c9d0', 'False', 'True', 'false', 'false', '510521111232', 5, '下林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521111232', 1, '2021-07-19 11:35:28', NULL, NULL), (5418, '', '坳丘村', 'd7a7c1c8cceb4c07b43535fc9f40fb20', 'daef3b829dd246d28846b392dd74c9d0', 'False', 'True', 'false', 'false', '510521111233', 5, '坳丘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521111233', 1, '2021-07-19 11:35:28', NULL, NULL), (5419, '', '白合村', 'a69bad3c82274f318c37b53d79bde375', 'daef3b829dd246d28846b392dd74c9d0', 'False', 'True', 'false', 'false', '510521111234', 5, '白合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521111234', 1, '2021-07-19 11:35:29', NULL, NULL), (5420, '', '雄峰村', 'acded0bf8f4b424591eae8fbdd68ccb3', 'daef3b829dd246d28846b392dd74c9d0', 'False', 'True', 'false', 'false', '510521111235', 5, '雄峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521111235', 1, '2021-07-19 11:35:29', NULL, NULL), (5421, '', '荞子坡村', '001efb6586c9487f9fe3b28e522a68a8', 'daef3b829dd246d28846b392dd74c9d0', 'False', 'True', 'false', 'false', '510521111236', 5, '荞子坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521111236', 1, '2021-07-19 11:35:29', NULL, NULL), (5422, '', '莲花村', '58c307f8f6da4d5eabbedb0eed71e0be', 'daef3b829dd246d28846b392dd74c9d0', 'False', 'True', 'false', 'false', '510521111237', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521111237', 1, '2021-07-19 11:35:29', NULL, NULL), (5423, '', '高楼湾村', 'f6793e6a159f443e906c27903fd7e155', 'daef3b829dd246d28846b392dd74c9d0', 'False', 'True', 'false', 'false', '510521111226', 5, '高楼湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521111226', 1, '2021-07-19 11:35:29', NULL, NULL), (5424, '', '石桥镇', 'ab094e37a074484e890fe6f294555f14', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521174000', 4, '石桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521174000', 1, '2021-07-19 11:35:29', NULL, NULL), (5425, '', '松松社区', '15e29c1e88b3465cb0ce4a6c31116926', 'ab094e37a074484e890fe6f294555f14', 'False', 'True', 'false', 'false', '510521110005', 5, '松松社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521110005', 1, '2021-07-19 11:35:29', NULL, NULL), (5426, '', '狐狸坡社区', '5d72fbe7fb6b42178ad8974e2163f29c', 'ab094e37a074484e890fe6f294555f14', 'False', 'True', 'false', 'false', '510521110004', 5, '狐狸坡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521110004', 1, '2021-07-19 11:35:29', NULL, NULL), (5427, '', '永定村', '11089d3f44d244d8919eefb7af86f70a', 'ab094e37a074484e890fe6f294555f14', 'False', 'True', 'false', 'false', '510521110229', 5, '永定村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521110229', 1, '2021-07-19 11:35:29', NULL, NULL), (5428, '', '吉祥村', '3aa5e6bcfbbc424c955ff753fe4b869a', 'ab094e37a074484e890fe6f294555f14', 'False', 'True', 'false', 'false', '510521110230', 5, '吉祥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521110230', 1, '2021-07-19 11:35:29', NULL, NULL), (5429, '', '大王山村', '072cbd07dd8f4950b176ab0a3ec4fd14', 'ab094e37a074484e890fe6f294555f14', 'False', 'True', 'false', 'false', '510521110239', 5, '大王山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521110239', 1, '2021-07-19 11:35:29', NULL, NULL), (5430, '', '新屋咀村', 'f446921245b141e59ea3e3dda16b8253', 'ab094e37a074484e890fe6f294555f14', 'False', 'True', 'false', 'false', '510521110237', 5, '新屋咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521110237', 1, '2021-07-19 11:35:29', NULL, NULL), (5431, '', '黄荆湾村', '583295a61d5b49a48ace914e82ae5e8e', 'ab094e37a074484e890fe6f294555f14', 'False', 'True', 'false', 'false', '510521110238', 5, '黄荆湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521110238', 1, '2021-07-19 11:35:30', NULL, NULL), (5432, '', '秦家坝村', 'b473a32d218f4ee7a435ef37c61d19f7', 'ab094e37a074484e890fe6f294555f14', 'False', 'True', 'false', 'false', '510521110236', 5, '秦家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521110236', 1, '2021-07-19 11:35:30', NULL, NULL), (5433, '', '大堰村', '9f90d924f30a4b5ba0df288500972d6b', 'ab094e37a074484e890fe6f294555f14', 'False', 'True', 'false', 'false', '510521110234', 5, '大堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521110234', 1, '2021-07-19 11:35:30', NULL, NULL), (5434, '', '农丰村', 'a86d72964fb9420eb8cffc6fc65d043f', 'ab094e37a074484e890fe6f294555f14', 'False', 'True', 'false', 'false', '510521110231', 5, '农丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521110231', 1, '2021-07-19 11:35:30', NULL, NULL), (5435, '', '银朝村', '3920130d4c464678831a21133f3938ec', 'ab094e37a074484e890fe6f294555f14', 'False', 'True', 'false', 'false', '510521110232', 5, '银朝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521110232', 1, '2021-07-19 11:35:30', NULL, NULL), (5436, '', '洪安桥村', '5cb459dde70748e79dca16dc32f9a8b2', 'ab094e37a074484e890fe6f294555f14', 'False', 'True', 'false', 'false', '510521110235', 5, '洪安桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521110235', 1, '2021-07-19 11:35:30', NULL, NULL), (5437, '', '红山村', '299b68c5fe014534883b774e3ee2febd', 'ab094e37a074484e890fe6f294555f14', 'False', 'True', 'false', 'false', '510521110233', 5, '红山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521110233', 1, '2021-07-19 11:35:30', NULL, NULL), (5438, '', '兴盛村', '424bdf4274eb452295c1b65d7ccc4961', 'ab094e37a074484e890fe6f294555f14', 'False', 'True', 'false', 'false', '510521110228', 5, '兴盛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521110228', 1, '2021-07-19 11:35:30', NULL, NULL), (5439, '', '玄滩镇', '5e3320a3c32b4073939dfb50f2d8d14f', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521949000', 4, '玄滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521949000', 1, '2021-07-19 11:35:30', NULL, NULL), (5440, '', '正大街社区', '31fa4f8827b94f3880c89c6728c4d8cd', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107005', 5, '正大街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107005', 1, '2021-07-19 11:35:30', NULL, NULL), (5441, '', '西街社区', '72710d5dfe994bbbb15718942e71e57a', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107008', 5, '西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107008', 1, '2021-07-19 11:35:30', NULL, NULL), (5442, '', '东街社区', 'b163f9ca3a144329888998556bd94ad8', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107007', 5, '东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107007', 1, '2021-07-19 11:35:31', NULL, NULL), (5443, '', '中和社区', 'a6725167a36b434fa0261b78ef7138d2', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107009', 5, '中和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107009', 1, '2021-07-19 11:35:31', NULL, NULL), (5444, '', '喻坪社区', '78ad1c24390a4adcbcce3c6a7c6cd8dc', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107010', 5, '喻坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107010', 1, '2021-07-19 11:35:31', NULL, NULL), (5445, '', '涂场社区', '267ddc8338564110b42343e3a546c68b', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107241', 5, '涂场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107241', 1, '2021-07-19 11:35:31', NULL, NULL), (5446, '', '金龙寺村', 'e682e65917074631a930237f1ba660e9', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107232', 5, '金龙寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107232', 1, '2021-07-19 11:35:31', NULL, NULL), (5447, '', '玄丰村', '5db247dab11e4615b2ba9e9fe3af1d90', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107236', 5, '玄丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107236', 1, '2021-07-19 11:35:31', NULL, NULL), (5448, '', '石鹅沟村', 'f89daa1ae3b04f3b92bfa714685c590a', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107235', 5, '石鹅沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107235', 1, '2021-07-19 11:35:31', NULL, NULL), (5449, '', '通山村', '12ced75669fc4acfb79328b17d12bfdf', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107234', 5, '通山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107234', 1, '2021-07-19 11:35:31', NULL, NULL), (5450, '', '老油房村', '7d718986e2d54ad48b9ead65dae196bc', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107233', 5, '老油房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107233', 1, '2021-07-19 11:35:31', NULL, NULL), (5451, '', '平安村', '6eff79bc09004592b3b32d39199e2f1d', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107238', 5, '平安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107238', 1, '2021-07-19 11:35:31', NULL, NULL), (5452, '', '易湾村', 'cd29bb993bd44d0192661efdbac9c25f', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107244', 5, '易湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107244', 1, '2021-07-19 11:35:31', NULL, NULL), (5453, '', '新屋村', '3d68d8c099144c0698b7e4aa8e3cf56e', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107237', 5, '新屋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107237', 1, '2021-07-19 11:35:31', NULL, NULL), (5454, '', '涂丰村', '8f4512d9fb46483093fc24c9b970151e', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107243', 5, '涂丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107243', 1, '2021-07-19 11:35:31', NULL, NULL), (5455, '', '刁河村', '0940f8d8ca16457eb3118385016f10b5', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107239', 5, '刁河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107239', 1, '2021-07-19 11:35:31', NULL, NULL), (5456, '', '新山村', '17a29a2009cd4110b677475a03b36e15', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107621', 5, '新山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107621', 1, '2021-07-19 11:35:32', NULL, NULL), (5457, '', '太阳村', '0da96d86b6b540ebb0ea9c0653cda3c3', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107245', 5, '太阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107245', 1, '2021-07-19 11:35:32', NULL, NULL), (5458, '', '中心村', '5acaf582e4ec45a887a5b12a5c919393', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107246', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107246', 1, '2021-07-19 11:35:32', NULL, NULL), (5459, '', '海罗村', '93cb21497dc5439b97ac09cb986ab9d9', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107247', 5, '海罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107247', 1, '2021-07-19 11:35:32', NULL, NULL), (5460, '', '朱和村', 'e741b1a8428449519675e4b2fe87a865', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107251', 5, '朱和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107251', 1, '2021-07-19 11:35:32', NULL, NULL), (5461, '', '龙凤村', 'b5eaaa25c4d5420588d014639a910f3f', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107242', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107242', 1, '2021-07-19 11:35:32', NULL, NULL), (5462, '', '黄泥滩村', 'ff8134cdd30e46b2af2361da88df5442', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107249', 5, '黄泥滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107249', 1, '2021-07-19 11:35:32', NULL, NULL), (5463, '', '劳动村', '15a610dc559c406587516442b2aa7939', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107250', 5, '劳动村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107250', 1, '2021-07-19 11:35:32', NULL, NULL), (5464, '', '玉石村', '4ec18a4f9fc742b7abae7db13829a4ad', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107248', 5, '玉石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107248', 1, '2021-07-19 11:35:32', NULL, NULL), (5465, '', '黄坭村', '28a6f2bf08fd49d1a74b85fe2efec37e', '5e3320a3c32b4073939dfb50f2d8d14f', 'False', 'True', 'false', 'false', '510521107240', 5, '黄坭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521107240', 1, '2021-07-19 11:35:32', NULL, NULL), (5466, '', '云龙镇', '599e11034e9646408525f10ad6a865f7', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521362000', 4, '云龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521362000', 1, '2021-07-19 11:35:32', NULL, NULL), (5467, '', '达康社区', '253f59fa51c9464f8ce8bf673ad308bd', '599e11034e9646408525f10ad6a865f7', 'False', 'True', 'false', 'false', '510521109003', 5, '达康社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521109003', 1, '2021-07-19 11:35:32', NULL, NULL), (5468, '', '云和社区', '90c81300ecbb4d649b313ef97ca738df', '599e11034e9646408525f10ad6a865f7', 'False', 'True', 'false', 'false', '510521109769', 5, '云和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521109769', 1, '2021-07-19 11:35:32', NULL, NULL), (5469, '', '伏耳村', '9772759f316e49039fce9a1fda6cbfa9', '599e11034e9646408525f10ad6a865f7', 'False', 'True', 'false', 'false', '510521109241', 5, '伏耳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521109241', 1, '2021-07-19 11:35:32', NULL, NULL), (5470, '', '大水河村', '37d49702f9434f98b4a51120d944b8d9', '599e11034e9646408525f10ad6a865f7', 'False', 'True', 'false', 'false', '510521109232', 5, '大水河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521109232', 1, '2021-07-19 11:35:33', NULL, NULL), (5471, '', '杨高村', '27f57bec1bf746849b610486dc31e5d1', '599e11034e9646408525f10ad6a865f7', 'False', 'True', 'false', 'false', '510521109240', 5, '杨高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521109240', 1, '2021-07-19 11:35:33', NULL, NULL), (5472, '', '云丰村', '67de2ed5f176411dad42b839273048ec', '599e11034e9646408525f10ad6a865f7', 'False', 'True', 'false', 'false', '510521109239', 5, '云丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521109239', 1, '2021-07-19 11:35:33', NULL, NULL), (5473, '', '茅坝村', 'adec2f44e7e44130802d0252bd7b8fcc', '599e11034e9646408525f10ad6a865f7', 'False', 'True', 'false', 'false', '510521109234', 5, '茅坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521109234', 1, '2021-07-19 11:35:33', NULL, NULL), (5474, '', '战旗村', '21b89bc9a48442d8a1ebe2a16887575a', '599e11034e9646408525f10ad6a865f7', 'False', 'True', 'false', 'false', '510521109231', 5, '战旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521109231', 1, '2021-07-19 11:35:33', NULL, NULL), (5475, '', '龙河村', 'd9a8b96489d14e259ff8be2289ed3456', '599e11034e9646408525f10ad6a865f7', 'False', 'True', 'false', 'false', '510521109235', 5, '龙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521109235', 1, '2021-07-19 11:35:33', NULL, NULL), (5476, '', '英雄村', '5ba4f847473d4e239aba7f563e1b1411', '599e11034e9646408525f10ad6a865f7', 'False', 'True', 'false', 'false', '510521109236', 5, '英雄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521109236', 1, '2021-07-19 11:35:33', NULL, NULL), (5477, '', '龙滩子村', '8524013a95ca4f49a1da8a83bb7021c0', '599e11034e9646408525f10ad6a865f7', 'False', 'True', 'false', 'false', '510521109238', 5, '龙滩子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521109238', 1, '2021-07-19 11:35:33', NULL, NULL), (5478, '', '葛藤湾村', 'b37ef4ffd75944b59b70b59f92760eff', '599e11034e9646408525f10ad6a865f7', 'False', 'True', 'false', 'false', '510521109242', 5, '葛藤湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521109242', 1, '2021-07-19 11:35:33', NULL, NULL), (5479, '', '朱梅滩村', 'd39317cf326b4699a949aef89efbcaf0', '599e11034e9646408525f10ad6a865f7', 'False', 'True', 'false', 'false', '510521109243', 5, '朱梅滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521109243', 1, '2021-07-19 11:35:33', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (5480, '', '先锋村', 'c3fe587395a646a0ab807a09658cd05c', '599e11034e9646408525f10ad6a865f7', 'False', 'True', 'false', 'false', '510521109237', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521109237', 1, '2021-07-19 11:35:33', NULL, NULL), (5481, '', '高家嘴村', 'b131f1a0a3504f93b54ec2aefc288bf9', '599e11034e9646408525f10ad6a865f7', 'False', 'True', 'false', 'false', '510521109233', 5, '高家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521109233', 1, '2021-07-19 11:35:33', NULL, NULL), (5482, '', '奇峰镇', '8f10ff865c9a4e438fb7c54cda4e574f', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521206000', 4, '奇峰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521206000', 1, '2021-07-19 11:35:33', NULL, NULL), (5483, '', '永安社区', '4389b9fe6e744ee791fd79f6b607ebf2', '8f10ff865c9a4e438fb7c54cda4e574f', 'False', 'True', 'false', 'false', '510521112004', 5, '永安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521112004', 1, '2021-07-19 11:35:33', NULL, NULL), (5484, '', '宝藏社区', 'e6209b5f080f46fe9a77560168a9bad5', '8f10ff865c9a4e438fb7c54cda4e574f', 'False', 'True', 'false', 'false', '510521112005', 5, '宝藏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521112005', 1, '2021-07-19 11:35:33', NULL, NULL), (5485, '', '曹市社区', '05647dc75d064279b02520576652f885', '8f10ff865c9a4e438fb7c54cda4e574f', 'False', 'True', 'false', 'false', '510521112006', 5, '曹市社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521112006', 1, '2021-07-19 11:35:34', NULL, NULL), (5486, '', '玉田村', 'f333cabbc0f943c69476c35d6e23c6f1', '8f10ff865c9a4e438fb7c54cda4e574f', 'False', 'True', 'false', 'false', '510521112237', 5, '玉田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521112237', 1, '2021-07-19 11:35:34', NULL, NULL), (5487, '', '大江村', '3ecbea6200584c32b45bd2569993f484', '8f10ff865c9a4e438fb7c54cda4e574f', 'False', 'True', 'false', 'false', '510521112236', 5, '大江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521112236', 1, '2021-07-19 11:35:34', NULL, NULL), (5488, '', '宝丰村', 'b1307d90d841483193b12fb728c3ea6b', '8f10ff865c9a4e438fb7c54cda4e574f', 'False', 'True', 'false', 'false', '510521112239', 5, '宝丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521112239', 1, '2021-07-19 11:35:34', NULL, NULL), (5489, '', '红木村', '884f5a28a1b14e6f9365f72c79ea2b0a', '8f10ff865c9a4e438fb7c54cda4e574f', 'False', 'True', 'false', 'false', '510521112240', 5, '红木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521112240', 1, '2021-07-19 11:35:34', NULL, NULL), (5490, '', '渔庆村', 'aa5de1c3a4d3472e9384383bf759be68', '8f10ff865c9a4e438fb7c54cda4e574f', 'False', 'True', 'false', 'false', '510521112241', 5, '渔庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521112241', 1, '2021-07-19 11:35:34', NULL, NULL), (5491, '', '阳高村', '8b3836315d9a4ff5a99c07e0279b0aa3', '8f10ff865c9a4e438fb7c54cda4e574f', 'False', 'True', 'false', 'false', '510521112242', 5, '阳高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521112242', 1, '2021-07-19 11:35:34', NULL, NULL), (5492, '', '长林村', '26d3aedbce8a4057b24862c5baa0a836', '8f10ff865c9a4e438fb7c54cda4e574f', 'False', 'True', 'false', 'false', '510521112238', 5, '长林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521112238', 1, '2021-07-19 11:35:34', NULL, NULL), (5493, '', '石城村', '52c928b5de0049c1a5f840c7b43c0db5', '8f10ff865c9a4e438fb7c54cda4e574f', 'False', 'True', 'false', 'false', '510521112235', 5, '石城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521112235', 1, '2021-07-19 11:35:34', NULL, NULL), (5494, '', '华通村', 'c9b8430b0e7e476495303670b6c0df2d', '8f10ff865c9a4e438fb7c54cda4e574f', 'False', 'True', 'false', 'false', '510521112233', 5, '华通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521112233', 1, '2021-07-19 11:35:34', NULL, NULL), (5495, '', '共和村', 'a2108cbbc6594390a9de1ca062525ba1', '8f10ff865c9a4e438fb7c54cda4e574f', 'False', 'True', 'false', 'false', '510521112234', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521112234', 1, '2021-07-19 11:35:34', NULL, NULL), (5496, '', '柿子村', '4c7c639cd975487fa71af4cb8bf8cf45', '8f10ff865c9a4e438fb7c54cda4e574f', 'False', 'True', 'false', 'false', '510521112231', 5, '柿子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521112231', 1, '2021-07-19 11:35:34', NULL, NULL), (5497, '', '金鱼村', 'efa8e75cf25a4d58a7a0c0d331066198', '8f10ff865c9a4e438fb7c54cda4e574f', 'False', 'True', 'false', 'false', '510521112232', 5, '金鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521112232', 1, '2021-07-19 11:35:34', NULL, NULL), (5498, '', '百和镇', 'ed01a8fa71434fee9986efdfc40c9292', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521155000', 4, '百和镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521155000', 1, '2021-07-19 11:35:34', NULL, NULL), (5499, '', '高洞社区', 'a736bd0a654b45a7a0ed6f062bebb44b', 'ed01a8fa71434fee9986efdfc40c9292', 'False', 'True', 'false', 'false', '510521116004', 5, '高洞社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521116004', 1, '2021-07-19 11:35:35', NULL, NULL), (5500, '', '土主社区', 'bdc4afbad783411e93989d840e7b8146', 'ed01a8fa71434fee9986efdfc40c9292', 'False', 'True', 'false', 'false', '510521116005', 5, '土主社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521116005', 1, '2021-07-19 11:35:35', NULL, NULL), (5501, '', '朱巷村', 'ea8ee550d10b433aa4c56916b5e69f0c', 'ed01a8fa71434fee9986efdfc40c9292', 'False', 'True', 'false', 'false', '510521116228', 5, '朱巷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521116228', 1, '2021-07-19 11:35:35', NULL, NULL), (5502, '', '东林观村', '9e7ba8213a45461683bdf7c657a818ec', 'ed01a8fa71434fee9986efdfc40c9292', 'False', 'True', 'false', 'false', '510521116229', 5, '东林观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521116229', 1, '2021-07-19 11:35:35', NULL, NULL), (5503, '', '楼方咀村', 'ba4d844de89b424280b59989e790e85b', 'ed01a8fa71434fee9986efdfc40c9292', 'False', 'True', 'false', 'false', '510521116230', 5, '楼方咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521116230', 1, '2021-07-19 11:35:35', NULL, NULL), (5504, '', '军大丘村', 'd5086db39fd54d259f2ddcc82a1df836', 'ed01a8fa71434fee9986efdfc40c9292', 'False', 'True', 'false', 'false', '510521116227', 5, '军大丘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521116227', 1, '2021-07-19 11:35:35', NULL, NULL), (5505, '', '蒋坝村', '88182a85d2364f0cb10708859fadb9bc', 'ed01a8fa71434fee9986efdfc40c9292', 'False', 'True', 'false', 'false', '510521116231', 5, '蒋坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521116231', 1, '2021-07-19 11:35:35', NULL, NULL), (5506, '', '四合村', 'c047aece87aa40b49c38cb50ab10199d', 'ed01a8fa71434fee9986efdfc40c9292', 'False', 'True', 'false', 'false', '510521116232', 5, '四合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521116232', 1, '2021-07-19 11:35:35', NULL, NULL), (5507, '', '方碑村', 'c1b5fe5057124ce0a8c3ec9c306c009d', 'ed01a8fa71434fee9986efdfc40c9292', 'False', 'True', 'false', 'false', '510521116233', 5, '方碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521116233', 1, '2021-07-19 11:35:35', NULL, NULL), (5508, '', '骑龙村', 'b69aab9a71674c31bead35cf3b0bed5e', 'ed01a8fa71434fee9986efdfc40c9292', 'False', 'True', 'false', 'false', '510521116234', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521116234', 1, '2021-07-19 11:35:35', NULL, NULL), (5509, '', '兴隆嘴村', '24cf077570894f9fadfb1da21275fd5e', 'ed01a8fa71434fee9986efdfc40c9292', 'False', 'True', 'false', 'false', '510521116235', 5, '兴隆嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521116235', 1, '2021-07-19 11:35:35', NULL, NULL), (5510, '', '东岳村', 'eeff99dc640c4adcb6d6e6ee5e809cb2', 'ed01a8fa71434fee9986efdfc40c9292', 'False', 'True', 'false', 'false', '510521116236', 5, '东岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521116236', 1, '2021-07-19 11:35:36', NULL, NULL), (5511, '', '排楼村', '383c46c351684882a9f0a425669a3e46', 'ed01a8fa71434fee9986efdfc40c9292', 'False', 'True', 'false', 'false', '510521116237', 5, '排楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521116237', 1, '2021-07-19 11:35:36', NULL, NULL), (5512, '', '立石镇', 'fd5573d93dcf4ba0b50b73e1bb4149c7', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521115000', 4, '立石镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521115000', 1, '2021-07-19 11:35:36', NULL, NULL), (5513, '', '二郎井社区', 'c258ac42d1da495796d885e4317f18a0', 'fd5573d93dcf4ba0b50b73e1bb4149c7', 'False', 'True', 'false', 'false', '510521115002', 5, '二郎井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521115002', 1, '2021-07-19 11:35:36', NULL, NULL), (5514, '', '团结社区', 'd06ee761a2b94266be0b575373e95c07', 'fd5573d93dcf4ba0b50b73e1bb4149c7', 'False', 'True', 'false', 'false', '510521115129', 5, '团结社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521115129', 1, '2021-07-19 11:35:36', NULL, NULL), (5515, '', '下湾村', 'f35a4ac61b374a8daf746583c7919ea9', 'fd5573d93dcf4ba0b50b73e1bb4149c7', 'False', 'True', 'false', 'false', '510521115225', 5, '下湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521115225', 1, '2021-07-19 11:35:36', NULL, NULL), (5516, '', '柏杨村', '9a704daccd8242cbae24dfc708e13914', 'fd5573d93dcf4ba0b50b73e1bb4149c7', 'False', 'True', 'false', 'false', '510521115227', 5, '柏杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521115227', 1, '2021-07-19 11:35:36', NULL, NULL), (5517, '', '普照村', '61acc9cdbe9c464ea70bdb23500af707', 'fd5573d93dcf4ba0b50b73e1bb4149c7', 'False', 'True', 'false', 'false', '510521115228', 5, '普照村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521115228', 1, '2021-07-19 11:35:36', NULL, NULL), (5518, '', '三溪村', '5721eaf87fda4babbe9b42720ffbf26e', 'fd5573d93dcf4ba0b50b73e1bb4149c7', 'False', 'True', 'false', 'false', '510521115226', 5, '三溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521115226', 1, '2021-07-19 11:35:36', NULL, NULL), (5519, '', '水鸭池村', '0a5c8c64ffee4068860cbac3ec1be1df', 'fd5573d93dcf4ba0b50b73e1bb4149c7', 'False', 'True', 'false', 'false', '510521115231', 5, '水鸭池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521115231', 1, '2021-07-19 11:35:36', NULL, NULL), (5520, '', '玉龙村', 'a28b9044584746cf9b53168dbd77df26', 'fd5573d93dcf4ba0b50b73e1bb4149c7', 'False', 'True', 'false', 'false', '510521115229', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521115229', 1, '2021-07-19 11:35:36', NULL, NULL), (5521, '', '中咀村', 'e4e671e007674fee9ad33d7b6f13650e', 'fd5573d93dcf4ba0b50b73e1bb4149c7', 'False', 'True', 'false', 'false', '510521115230', 5, '中咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521115230', 1, '2021-07-19 11:35:36', NULL, NULL), (5522, '', '渔塘村', '3d9bab3929c94a1c8e962900c3b809fe', 'fd5573d93dcf4ba0b50b73e1bb4149c7', 'False', 'True', 'false', 'false', '510521115233', 5, '渔塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521115233', 1, '2021-07-19 11:35:37', NULL, NULL), (5523, '', '天堂村', 'c3384d7b28cc41b783a2978107ff3cd9', 'fd5573d93dcf4ba0b50b73e1bb4149c7', 'False', 'True', 'false', 'false', '510521115234', 5, '天堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521115234', 1, '2021-07-19 11:35:37', NULL, NULL), (5524, '', '艾大桥村', '2f631b558d1f40549a2122c3a8ceeaf1', 'fd5573d93dcf4ba0b50b73e1bb4149c7', 'False', 'True', 'false', 'false', '510521115232', 5, '艾大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521115232', 1, '2021-07-19 11:35:37', NULL, NULL), (5525, '', '兆雅镇', 'df960f3410d5421b94f54726d8a1f5b2', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521318000', 4, '兆雅镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521318000', 1, '2021-07-19 11:35:37', NULL, NULL), (5526, '', '安贤社区', '47dda51ea27240c2b3a6cbee30882fb0', 'df960f3410d5421b94f54726d8a1f5b2', 'False', 'True', 'false', 'false', '510521106004', 5, '安贤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521106004', 1, '2021-07-19 11:35:37', NULL, NULL), (5527, '', '杨九社区', '047a47a4e7c74fd1aec8f59db856bf1d', 'df960f3410d5421b94f54726d8a1f5b2', 'False', 'True', 'false', 'false', '510521106005', 5, '杨九社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521106005', 1, '2021-07-19 11:35:37', NULL, NULL), (5528, '', '石龙村', '5cb4f569a3414ecdb43ba74a61b60c72', 'df960f3410d5421b94f54726d8a1f5b2', 'False', 'True', 'false', 'false', '510521106228', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521106228', 1, '2021-07-19 11:35:37', NULL, NULL), (5529, '', '燕岩村', '5a66b7744ab14733a76ce33d467975c0', 'df960f3410d5421b94f54726d8a1f5b2', 'False', 'True', 'false', 'false', '510521106224', 5, '燕岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521106224', 1, '2021-07-19 11:35:37', NULL, NULL), (5530, '', '型家村', 'd1be79ee817e49c6a83939b81cbf5232', 'df960f3410d5421b94f54726d8a1f5b2', 'False', 'True', 'false', 'false', '510521106225', 5, '型家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521106225', 1, '2021-07-19 11:35:37', NULL, NULL), (5531, '', '永和村', '8f15cb916bbf416891bcef7a9f47c2b0', 'df960f3410d5421b94f54726d8a1f5b2', 'False', 'True', 'false', 'false', '510521106226', 5, '永和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521106226', 1, '2021-07-19 11:35:37', NULL, NULL), (5532, '', '古佛村', '8a811291d0b14081a901c64d9dbb0880', 'df960f3410d5421b94f54726d8a1f5b2', 'False', 'True', 'false', 'false', '510521106227', 5, '古佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521106227', 1, '2021-07-19 11:35:37', NULL, NULL), (5533, '', '大石坪村', 'cc55f221e6d146d6bc9280c8034f1c18', 'df960f3410d5421b94f54726d8a1f5b2', 'False', 'True', 'false', 'false', '510521106231', 5, '大石坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521106231', 1, '2021-07-19 11:35:37', NULL, NULL), (5534, '', '凤鸣村', '19b2e3e5e20b4be3aff0ded450ad3c58', 'df960f3410d5421b94f54726d8a1f5b2', 'False', 'True', 'false', 'false', '510521106229', 5, '凤鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521106229', 1, '2021-07-19 11:35:37', NULL, NULL), (5535, '', '两河村', '8c9ee394cefa4868bfa1e749e19173c6', 'df960f3410d5421b94f54726d8a1f5b2', 'False', 'True', 'false', 'false', '510521106230', 5, '两河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521106230', 1, '2021-07-19 11:35:37', NULL, NULL), (5536, '', '云锦镇', '58929b3f2fc448cea41a04c690a259d2', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521831000', 4, '云锦镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521831000', 1, '2021-07-19 11:35:38', NULL, NULL), (5537, '', '烟霞阁社区', '95db3d354991489480b872ea3914fecf', '58929b3f2fc448cea41a04c690a259d2', 'False', 'True', 'false', 'false', '510521114004', 5, '烟霞阁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521114004', 1, '2021-07-19 11:35:38', NULL, NULL), (5538, '', '石马社区', 'f089cdca403b4864bdf66c845ee81ff4', '58929b3f2fc448cea41a04c690a259d2', 'False', 'True', 'false', 'false', '510521114233', 5, '石马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521114233', 1, '2021-07-19 11:35:38', NULL, NULL), (5539, '', '花园村', 'd08a6032c91a4266a17f3d30568dc634', '58929b3f2fc448cea41a04c690a259d2', 'False', 'True', 'false', 'false', '510521114234', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521114234', 1, '2021-07-19 11:35:38', NULL, NULL), (5540, '', '龙井村', 'db8aa81df8a34d92a86c08f77a44f2a1', '58929b3f2fc448cea41a04c690a259d2', 'False', 'True', 'false', 'false', '510521114238', 5, '龙井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521114238', 1, '2021-07-19 11:35:38', NULL, NULL), (5541, '', '云丰村', 'c6c8ce299c8442d19dc5862c43d0da50', '58929b3f2fc448cea41a04c690a259d2', 'False', 'True', 'false', 'false', '510521114235', 5, '云丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521114235', 1, '2021-07-19 11:35:38', NULL, NULL), (5542, '', '骑龙寺村', 'd628afc51f8f449aac2dd4954b2e3642', '58929b3f2fc448cea41a04c690a259d2', 'False', 'True', 'false', 'false', '510521114237', 5, '骑龙寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521114237', 1, '2021-07-19 11:35:38', NULL, NULL), (5543, '', '板桥村', '7f4e901985e54913b0d7e3bb1e7b8eff', '58929b3f2fc448cea41a04c690a259d2', 'False', 'True', 'false', 'false', '510521114236', 5, '板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521114236', 1, '2021-07-19 11:35:38', NULL, NULL), (5544, '', '卫和村', 'a6bb1cea49244453b74dcf2c769ef846', '58929b3f2fc448cea41a04c690a259d2', 'False', 'True', 'false', 'false', '510521114247', 5, '卫和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521114247', 1, '2021-07-19 11:35:38', NULL, NULL), (5545, '', '斑竹林村', 'c11b2a82353041c4856e2e9efca2baba', '58929b3f2fc448cea41a04c690a259d2', 'False', 'True', 'false', 'false', '510521114239', 5, '斑竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521114239', 1, '2021-07-19 11:35:38', NULL, NULL), (5546, '', '天台寺村', '91d5e7856b844ac58021f99996394efe', '58929b3f2fc448cea41a04c690a259d2', 'False', 'True', 'false', 'false', '510521114241', 5, '天台寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521114241', 1, '2021-07-19 11:35:38', NULL, NULL), (5547, '', '黄泥堡村', 'db52d75f0dc640d59ea51106dca18772', '58929b3f2fc448cea41a04c690a259d2', 'False', 'True', 'false', 'false', '510521114242', 5, '黄泥堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521114242', 1, '2021-07-19 11:35:38', NULL, NULL), (5548, '', '冯石村', '57f3e3b9198049778d4f53950590054b', '58929b3f2fc448cea41a04c690a259d2', 'False', 'True', 'false', 'false', '510521114243', 5, '冯石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521114243', 1, '2021-07-19 11:35:38', NULL, NULL), (5549, '', '湾头村', 'd31d5bd170de4160999aca143eef5193', '58929b3f2fc448cea41a04c690a259d2', 'False', 'True', 'false', 'false', '510521114244', 5, '湾头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521114244', 1, '2021-07-19 11:35:39', NULL, NULL), (5550, '', '旺龙山村', '0e23b9ff58b0421996fbe74f417ded66', '58929b3f2fc448cea41a04c690a259d2', 'False', 'True', 'false', 'false', '510521114248', 5, '旺龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521114248', 1, '2021-07-19 11:35:39', NULL, NULL), (5551, '', '长潮村', 'a046b57b7faa4436a65e2f2e1bbc2175', '58929b3f2fc448cea41a04c690a259d2', 'False', 'True', 'false', 'false', '510521114245', 5, '长潮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521114245', 1, '2021-07-19 11:35:39', NULL, NULL), (5552, '', '桂花村', '29dfbfaa4ef345d78e479845bf3c2a00', '58929b3f2fc448cea41a04c690a259d2', 'False', 'True', 'false', 'false', '510521831598', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521831598', 1, '2021-07-19 11:35:39', NULL, NULL), (5553, '', '翻身村', '864a88b9d79948fcb67ce38c7a331056', '58929b3f2fc448cea41a04c690a259d2', 'False', 'True', 'false', 'false', '510521831393', 5, '翻身村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521831393', 1, '2021-07-19 11:35:39', NULL, NULL), (5554, '', '稻子村', 'f1ad6542ef6243fba2a2e938e6c2126d', '58929b3f2fc448cea41a04c690a259d2', 'False', 'True', 'false', 'false', '510521114240', 5, '稻子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521114240', 1, '2021-07-19 11:35:39', NULL, NULL), (5555, '', '太伏镇', '9bb51d2b4ca941938bf3a2c97010a0b2', '088821e021834bf8968a685c685246c3', 'True', 'True', 'false', 'false', '510521741000', 4, '太伏镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510521741000', 1, '2021-07-19 11:35:39', NULL, NULL), (5556, '', '太平社区', '8a1bb81344984189a802b20c34278fae', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108007', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108007', 1, '2021-07-19 11:35:39', NULL, NULL), (5557, '', '神仙桥社区', '7a86d2cbeba740c585c730844dd18b8d', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108008', 5, '神仙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108008', 1, '2021-07-19 11:35:39', NULL, NULL), (5558, '', '白云社区', 'd50b32480af1493f9849f529a3895372', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108359', 5, '白云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108359', 1, '2021-07-19 11:35:39', NULL, NULL), (5559, '', '张枣村', '4e910672e270475f924a0efef78c4229', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108250', 5, '张枣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108250', 1, '2021-07-19 11:35:39', NULL, NULL), (5560, '', '青桥村', 'a0d1d751e52a446fab9411d185ea5bc7', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108252', 5, '青桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108252', 1, '2021-07-19 11:35:39', NULL, NULL), (5561, '', '双石村', '746b2c8d42a44c538493ead23958e113', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108257', 5, '双石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108257', 1, '2021-07-19 11:35:39', NULL, NULL), (5562, '', '王坪村', 'e9c7f7505d544adc838368622a32c9a7', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108255', 5, '王坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108255', 1, '2021-07-19 11:35:39', NULL, NULL), (5563, '', '渔湾村', 'bb098491bdf84b1b9ccc1479a784df76', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108247', 5, '渔湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108247', 1, '2021-07-19 11:35:40', NULL, NULL), (5564, '', '林桥村', 'd210041178494415b9a717957e73dbc8', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108245', 5, '林桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108245', 1, '2021-07-19 11:35:40', NULL, NULL), (5565, '', '永利村', 'e9f641c571dd4979ac1c595d4bcc7952', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108217', 5, '永利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108217', 1, '2021-07-19 11:35:40', NULL, NULL), (5566, '', '新石村', 'dbadc209200f4dc087fe42bc549fa368', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108248', 5, '新石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108248', 1, '2021-07-19 11:35:40', NULL, NULL), (5567, '', '王湾村', '0e75928ad0cd4f88a6d6d99b7721d7af', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108243', 5, '王湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108243', 1, '2021-07-19 11:35:40', NULL, NULL), (5568, '', '照南山村', 'b20dc725bf9a4b2694f1dd06edf17479', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108259', 5, '照南山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108259', 1, '2021-07-19 11:35:40', NULL, NULL), (5569, '', '大坪子村', '16d456728c8446c38ed91ceb0021a914', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108256', 5, '大坪子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108256', 1, '2021-07-19 11:35:40', NULL, NULL), (5570, '', '石坝村', '28719b631f894010ad1cdb5154901a04', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108246', 5, '石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108246', 1, '2021-07-19 11:35:40', NULL, NULL), (5571, '', '沙河村', '2532016a4ab3449cb5fc5f03ed953021', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108258', 5, '沙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108258', 1, '2021-07-19 11:35:40', NULL, NULL), (5572, '', '五里村', '896fcdc463944c3190990f5f53d5e4c0', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108244', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108244', 1, '2021-07-19 11:35:40', NULL, NULL), (5573, '', '大山村', 'cc92de82f1f24de08a2f408c26161ea8', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108254', 5, '大山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108254', 1, '2021-07-19 11:35:40', NULL, NULL), (5574, '', '伏龙村', '68988363c4114be192f70d629f6f2958', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521105253', 5, '伏龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521105253', 1, '2021-07-19 11:35:40', NULL, NULL), (5575, '', '石龙井村', '013c51550fb94bc08d2af7c839f245f0', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108251', 5, '石龙井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108251', 1, '2021-07-19 11:35:40', NULL, NULL), (5576, '', '玉溪村', '0bb3268608fb428caa6a7214c7c6adc4', '9bb51d2b4ca941938bf3a2c97010a0b2', 'False', 'True', 'false', 'false', '510521108249', 5, '玉溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510521108249', 1, '2021-07-19 11:35:41', NULL, NULL), (5577, '', '合江县', '0213bfac44134f5d8822af5bdea72a45', 'f96cd81a6efd4a1d9f65a00b6277b1fb', 'True', 'True', 'false', 'false', '510522000000', 3, '合江县', 'lzshjx.sczwfw.gov.cn', 1, '2021-07-19 11:35:41', NULL, NULL), (5578, '', '符阳街道', 'f915c6e92eef4615bb91d7439081f61b', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522100000', 4, '符阳街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522100000', 1, '2021-07-19 11:35:41', NULL, NULL), (5579, '', '荔城社区', '3637263c5f894939bd95b58a2c00648a', 'f915c6e92eef4615bb91d7439081f61b', 'False', 'True', 'false', 'false', '510522001035', 5, '荔城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522001035', 1, '2021-07-19 11:35:41', NULL, NULL), (5580, '', '文桥村', 'e6aa1aac247b48d3810a6efd3b539c4d', 'f915c6e92eef4615bb91d7439081f61b', 'False', 'True', 'false', 'false', '510522001595', 5, '文桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522001595', 1, '2021-07-19 11:35:41', NULL, NULL), (5581, '', '少岷社区', '56189e48ced54f318192aad086a87499', 'f915c6e92eef4615bb91d7439081f61b', 'False', 'True', 'false', 'false', '510522001641', 5, '少岷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522001641', 1, '2021-07-19 11:35:41', NULL, NULL), (5582, '', '聚宝村', '46b9167a63ba438ca553aee5ef5bad0b', 'f915c6e92eef4615bb91d7439081f61b', 'False', 'True', 'false', 'false', '510522001645', 5, '聚宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522001645', 1, '2021-07-19 11:35:41', NULL, NULL), (5583, '', '百花亭社区', 'fb511acec47e4580b7360f3c579a8a3c', 'f915c6e92eef4615bb91d7439081f61b', 'False', 'True', 'false', 'false', '510522100003', 5, '百花亭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522100003', 1, '2021-07-19 11:35:41', NULL, NULL), (5584, '', '枣林桥社区', '5f2a0b164af34c098b989c18e2a58181', 'f915c6e92eef4615bb91d7439081f61b', 'False', 'True', 'false', 'false', '510522100007', 5, '枣林桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522100007', 1, '2021-07-19 11:35:41', NULL, NULL), (5585, '', '马街社区', '7a48885affa64447a708bd3d641e6069', 'f915c6e92eef4615bb91d7439081f61b', 'False', 'True', 'false', 'false', '510522100008', 5, '马街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522100008', 1, '2021-07-19 11:35:41', NULL, NULL), (5586, '', '建设路社区', '56dcc3ada6274fac958f7d57adbd7d26', 'f915c6e92eef4615bb91d7439081f61b', 'False', 'True', 'false', 'false', '510522100009', 5, '建设路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522100009', 1, '2021-07-19 11:35:41', NULL, NULL), (5587, '', '菜坝社区', '82db8675bbd44fed905d124737a81365', 'f915c6e92eef4615bb91d7439081f61b', 'False', 'True', 'false', 'false', '510522100012', 5, '菜坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522100012', 1, '2021-07-19 11:35:41', NULL, NULL), (5588, '', '桂园林社区', 'bdc1e1c6488146a4a3fb8e0d55a2d63f', 'f915c6e92eef4615bb91d7439081f61b', 'False', 'True', 'false', 'false', '510522100013', 5, '桂园林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522100013', 1, '2021-07-19 11:35:41', NULL, NULL), (5589, '', '义园街社区', 'fab9907830d54d71ae5375b939c32cc0', 'f915c6e92eef4615bb91d7439081f61b', 'False', 'True', 'false', 'false', '510522100014', 5, '义园街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522100014', 1, '2021-07-19 11:35:41', NULL, NULL), (5590, '', '桥凼社区', '49409bde88a34e69bc149501d530e316', 'f915c6e92eef4615bb91d7439081f61b', 'False', 'True', 'false', 'false', '510522100015', 5, '桥凼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522100015', 1, '2021-07-19 11:35:41', NULL, NULL), (5591, '', '三块石村', 'bd72972820cc40fc93375433729e3d1c', 'f915c6e92eef4615bb91d7439081f61b', 'False', 'True', 'false', 'false', '510522100203', 5, '三块石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522100203', 1, '2021-07-19 11:35:41', NULL, NULL), (5592, '', '魏家祠村', 'd361f213fad042519df50bc281a2ee31', 'f915c6e92eef4615bb91d7439081f61b', 'False', 'True', 'false', 'false', '510522100207', 5, '魏家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522100207', 1, '2021-07-19 11:35:41', NULL, NULL), (5593, '', '大同村', 'baa73c66dcd44a45a3f717c0ff3892e2', 'f915c6e92eef4615bb91d7439081f61b', 'False', 'True', 'false', 'false', '510522100216', 5, '大同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522100216', 1, '2021-07-19 11:35:41', NULL, NULL), (5594, '', '黄溪村', 'e0ebf6db3c514d6f902bd625392e61fe', 'f915c6e92eef4615bb91d7439081f61b', 'False', 'True', 'false', 'false', '510522100219', 5, '黄溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522100219', 1, '2021-07-19 11:35:42', NULL, NULL), (5595, '', '会青山村', 'b9264c8b7d8d4fa8bedbd14c8e8d4572', 'f915c6e92eef4615bb91d7439081f61b', 'False', 'True', 'false', 'false', '510522100221', 5, '会青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522100221', 1, '2021-07-19 11:35:42', NULL, NULL), (5596, '', '山顶上村', '1a22352280c045c68f47c202235f1d93', 'f915c6e92eef4615bb91d7439081f61b', 'False', 'True', 'false', 'false', '510522100222', 5, '山顶上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522100222', 1, '2021-07-19 11:35:42', NULL, NULL), (5597, '', '望龙镇', 'c0d4eb9949594e258d79460bacb6be0f', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522101000', 4, '望龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522101000', 1, '2021-07-19 11:35:42', NULL, NULL), (5598, '', '望龙社区', 'a9570cae5ae44ad5bfe4812dbade4d37', 'c0d4eb9949594e258d79460bacb6be0f', 'False', 'True', 'false', 'false', '510522101001', 5, '望龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522101001', 1, '2021-07-19 11:35:42', NULL, NULL), (5599, '', '圣登寺村', '1b3dc6dbc6da44f8b4bab694c649e19e', 'c0d4eb9949594e258d79460bacb6be0f', 'False', 'True', 'false', 'false', '510522101201', 5, '圣登寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522101201', 1, '2021-07-19 11:35:42', NULL, NULL), (5600, '', '新场子村', 'fe159c0fbc06435c915916ebf411712e', 'c0d4eb9949594e258d79460bacb6be0f', 'False', 'True', 'false', 'false', '510522101203', 5, '新场子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522101203', 1, '2021-07-19 11:35:42', NULL, NULL), (5601, '', '四合山村', '0a68b0eb2761487995286fc1cd6ad2f8', 'c0d4eb9949594e258d79460bacb6be0f', 'False', 'True', 'false', 'false', '510522101206', 5, '四合山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522101206', 1, '2021-07-19 11:35:42', NULL, NULL), (5602, '', '大院子村', 'c142bcfa8fa84945b85d666ebd7de511', 'c0d4eb9949594e258d79460bacb6be0f', 'False', 'True', 'false', 'false', '510522101208', 5, '大院子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522101208', 1, '2021-07-19 11:35:42', NULL, NULL), (5603, '', '瓦屋头村', '50d1df0eef97433c8df0480c16f732e2', 'c0d4eb9949594e258d79460bacb6be0f', 'False', 'True', 'false', 'false', '510522101211', 5, '瓦屋头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522101211', 1, '2021-07-19 11:35:42', NULL, NULL), (5604, '', '新屋基村', '68ae38c1b94848d1868fae23a6249637', 'c0d4eb9949594e258d79460bacb6be0f', 'False', 'True', 'false', 'false', '510522101212', 5, '新屋基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522101212', 1, '2021-07-19 11:35:42', NULL, NULL), (5605, '', '永定村', '04150b1d400f4729a917f38f518a05f1', 'c0d4eb9949594e258d79460bacb6be0f', 'False', 'True', 'false', 'false', '510522101215', 5, '永定村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522101215', 1, '2021-07-19 11:35:42', NULL, NULL), (5606, '', '张白垇村', 'eb7912f96c824756b07861160761d103', 'c0d4eb9949594e258d79460bacb6be0f', 'False', 'True', 'false', 'false', '510522101218', 5, '张白垇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522101218', 1, '2021-07-19 11:35:42', NULL, NULL), (5607, '', '清源寺村', '7e9a83378c3544c6801d7f4ba37e0399', 'c0d4eb9949594e258d79460bacb6be0f', 'False', 'True', 'false', 'false', '510522101219', 5, '清源寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522101219', 1, '2021-07-19 11:35:42', NULL, NULL), (5608, '', '白沙镇', 'c60deb30829441a1a20fb06bbf0e1a36', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522102000', 4, '白沙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522102000', 1, '2021-07-19 11:35:42', NULL, NULL), (5609, '', '会龙村', '048d497a2e034f2e99720e9f2eab5dc2', 'c60deb30829441a1a20fb06bbf0e1a36', 'False', 'True', 'false', 'false', '510522102234', 5, '会龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522102234', 1, '2021-07-19 11:35:42', NULL, NULL), (5610, '', '望川村', '718deb1fae1b4050b989c80643fb69f7', 'c60deb30829441a1a20fb06bbf0e1a36', 'False', 'True', 'false', 'false', '510522102335', 5, '望川村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522102335', 1, '2021-07-19 11:35:43', NULL, NULL), (5611, '', '参宝村', '329d0de329d64e59af43ce278c9a0fcc', 'c60deb30829441a1a20fb06bbf0e1a36', 'False', 'True', 'false', 'false', '510522102362', 5, '参宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522102362', 1, '2021-07-19 11:35:43', NULL, NULL), (5612, '', '龙顶山村', '8a8a47e5874d48b8a05b6396fdf0ffb2', 'c60deb30829441a1a20fb06bbf0e1a36', 'False', 'True', 'false', 'false', '510522102536', 5, '龙顶山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522102536', 1, '2021-07-19 11:35:43', NULL, NULL), (5613, '', '双水井村', '77c95133bc42416eb071bb932a1e103a', 'c60deb30829441a1a20fb06bbf0e1a36', 'False', 'True', 'false', 'false', '510522102595', 5, '双水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522102595', 1, '2021-07-19 11:35:43', NULL, NULL), (5614, '', '良石坪社区', '3bd2e2caa4a24a92bbd542c3c02042c0', 'c60deb30829441a1a20fb06bbf0e1a36', 'False', 'True', 'false', 'false', '510522102796', 5, '良石坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522102796', 1, '2021-07-19 11:35:43', NULL, NULL), (5615, '', '白沙社区', '545b0478a31a41fea8d33458b331ab26', 'c60deb30829441a1a20fb06bbf0e1a36', 'False', 'True', 'false', 'false', '510522102002', 5, '白沙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522102002', 1, '2021-07-19 11:35:43', NULL, NULL), (5616, '', '北寨村', '5de09fbc5b5e4cb19c1235baf7ffd248', 'c60deb30829441a1a20fb06bbf0e1a36', 'False', 'True', 'false', 'false', '510522102201', 5, '北寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522102201', 1, '2021-07-19 11:35:43', NULL, NULL), (5617, '', '芦稿村', 'd6fd9db42d5e4b4b8412898adfbd98e9', 'c60deb30829441a1a20fb06bbf0e1a36', 'False', 'True', 'false', 'false', '510522102202', 5, '芦稿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522102202', 1, '2021-07-19 11:35:43', NULL, NULL), (5618, '', '忠孝村', '379ab9bda9ae415f995783892ec5b899', 'c60deb30829441a1a20fb06bbf0e1a36', 'False', 'True', 'false', 'false', '510522102204', 5, '忠孝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522102204', 1, '2021-07-19 11:35:43', NULL, NULL), (5619, '', '灵丹村', 'ee8afd13f4554fddafa3bc7f1f948545', 'c60deb30829441a1a20fb06bbf0e1a36', 'False', 'True', 'false', 'false', '510522102210', 5, '灵丹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522102210', 1, '2021-07-19 11:35:43', NULL, NULL), (5620, '', '马鹿村', 'cc3f27e85011424c9b9f821793e88311', 'c60deb30829441a1a20fb06bbf0e1a36', 'False', 'True', 'false', 'false', '510522102212', 5, '马鹿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522102212', 1, '2021-07-19 11:35:43', NULL, NULL), (5621, '', '大桥镇', '7d709d99f90e4fecaae650fab328ede9', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522103000', 4, '大桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522103000', 1, '2021-07-19 11:35:43', NULL, NULL), (5622, '', '高鼓山村', '7ad45e309b0e4783a8071d4e1c9a71bd', '7d709d99f90e4fecaae650fab328ede9', 'False', 'True', 'false', 'false', '510522115136', 5, '高鼓山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522115136', 1, '2021-07-19 11:35:43', NULL, NULL), (5623, '', '双漩子村', 'f0a77bb7b9964e96b4c326d77a1be953', '7d709d99f90e4fecaae650fab328ede9', 'False', 'True', 'false', 'false', '510522115202', 5, '双漩子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522115202', 1, '2021-07-19 11:35:43', NULL, NULL), (5624, '', '大桥社区', '94ecdc18e3ee4e30b8889750dfd730e4', '7d709d99f90e4fecaae650fab328ede9', 'False', 'True', 'false', 'false', '510522115423', 5, '大桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522115423', 1, '2021-07-19 11:35:44', NULL, NULL), (5625, '', '黄包山村', 'f4992f0fe08f4f0482c25821619981e9', '7d709d99f90e4fecaae650fab328ede9', 'False', 'True', 'false', 'false', '510522115504', 5, '黄包山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522115504', 1, '2021-07-19 11:35:44', NULL, NULL), (5626, '', '长江村', '57d50eead5554f2c96bf27385d6fbd80', '7d709d99f90e4fecaae650fab328ede9', 'False', 'True', 'false', 'false', '510522115768', 5, '长江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522115768', 1, '2021-07-19 11:35:44', NULL, NULL), (5627, '', '土地坝村', '05fac4f4fb524d18865421f2c711e5b0', '7d709d99f90e4fecaae650fab328ede9', 'False', 'True', 'false', 'false', '510522115828', 5, '土地坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522115828', 1, '2021-07-19 11:35:44', NULL, NULL), (5628, '', '龙泉坝村', '7f101fe8f42043beadd2847faeda1a6a', '7d709d99f90e4fecaae650fab328ede9', 'False', 'True', 'false', 'false', '510522115854', 5, '龙泉坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522115854', 1, '2021-07-19 11:35:44', NULL, NULL), (5629, '', '旭照村', '979466c6fa3f41918464001a2800e431', '7d709d99f90e4fecaae650fab328ede9', 'False', 'True', 'false', 'false', '510522115898', 5, '旭照村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522115898', 1, '2021-07-19 11:35:44', NULL, NULL), (5630, '', '佛荫社区', '8acb7c9240d845b6a94dc01da65815f8', '7d709d99f90e4fecaae650fab328ede9', 'False', 'True', 'false', 'false', '510522103001', 5, '佛荫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522103001', 1, '2021-07-19 11:35:44', NULL, NULL), (5631, '', '将军湖村', 'ac1e8fb158174de68c2b3fd27df75195', '7d709d99f90e4fecaae650fab328ede9', 'False', 'True', 'false', 'false', '510522103203', 5, '将军湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522103203', 1, '2021-07-19 11:35:44', NULL, NULL), (5632, '', '里村村', '6b6b42a604cf4b6187e9ffb2d7d98f74', '7d709d99f90e4fecaae650fab328ede9', 'False', 'True', 'false', 'false', '510522103205', 5, '里村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522103205', 1, '2021-07-19 11:35:44', NULL, NULL), (5633, '', '留学堂村', '4c56adbf625d4ec0b5e20be0c8b41d95', '7d709d99f90e4fecaae650fab328ede9', 'False', 'True', 'false', 'false', '510522103206', 5, '留学堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522103206', 1, '2021-07-19 11:35:44', NULL, NULL), (5634, '', '乘山村', 'c883f2457445412495b48dd042c76a80', '7d709d99f90e4fecaae650fab328ede9', 'False', 'True', 'false', 'false', '510522103209', 5, '乘山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522103209', 1, '2021-07-19 11:35:44', NULL, NULL), (5635, '', '算刀村', '4b8643281f664fd3a9cba215adade2b3', '7d709d99f90e4fecaae650fab328ede9', 'False', 'True', 'false', 'false', '510522103210', 5, '算刀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522103210', 1, '2021-07-19 11:35:44', NULL, NULL), (5636, '', '上房村', 'c5f8815ddb394b2cbe4ce00264287d79', '7d709d99f90e4fecaae650fab328ede9', 'False', 'True', 'false', 'false', '510522103212', 5, '上房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522103212', 1, '2021-07-19 11:35:44', NULL, NULL), (5637, '', '流石村', '8d796fdc978747908084c1ad36e4b177', '7d709d99f90e4fecaae650fab328ede9', 'False', 'True', 'false', 'false', '510522103217', 5, '流石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522103217', 1, '2021-07-19 11:35:44', NULL, NULL), (5638, '', '先市镇', '259a8b4bf4d24673adeff879fe749856', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522104000', 4, '先市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522104000', 1, '2021-07-19 11:35:44', NULL, NULL), (5639, '', '新殿社区', 'b35297b265b548dbb88f409763964615', '259a8b4bf4d24673adeff879fe749856', 'False', 'True', 'false', 'false', '510522104151', 5, '新殿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522104151', 1, '2021-07-19 11:35:45', NULL, NULL), (5640, '', '幸福路社区', 'bffe2a0644b94b28b25ac2ecfa716f92', '259a8b4bf4d24673adeff879fe749856', 'False', 'True', 'false', 'false', '510522104001', 5, '幸福路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522104001', 1, '2021-07-19 11:35:45', NULL, NULL), (5641, '', '之溪路社区', 'a9c10fb7574b4bebbb1f2b1dd7ce9af0', '259a8b4bf4d24673adeff879fe749856', 'False', 'True', 'false', 'false', '510522104002', 5, '之溪路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522104002', 1, '2021-07-19 11:35:45', NULL, NULL), (5642, '', '下坝村', 'd00c9f14cc464cd1b367679bc90a54e0', '259a8b4bf4d24673adeff879fe749856', 'False', 'True', 'false', 'false', '510522104201', 5, '下坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522104201', 1, '2021-07-19 11:35:45', NULL, NULL), (5643, '', '贾山村', 'a10cd7f916d443639c45326a96b35909', '259a8b4bf4d24673adeff879fe749856', 'False', 'True', 'false', 'false', '510522104202', 5, '贾山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522104202', 1, '2021-07-19 11:35:45', NULL, NULL), (5644, '', '洋石桥村', '07393c1d68084f0c9d7eedc6eadf108e', '259a8b4bf4d24673adeff879fe749856', 'False', 'True', 'false', 'false', '510522104204', 5, '洋石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522104204', 1, '2021-07-19 11:35:45', NULL, NULL), (5645, '', '安宁村', '3178e20aee504ca19afa15f9a56280fb', '259a8b4bf4d24673adeff879fe749856', 'False', 'True', 'false', 'false', '510522104205', 5, '安宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522104205', 1, '2021-07-19 11:35:45', NULL, NULL), (5646, '', '庙高村', '5bc2358d73964621bc39fb751d70e48b', '259a8b4bf4d24673adeff879fe749856', 'False', 'True', 'false', 'false', '510522104206', 5, '庙高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522104206', 1, '2021-07-19 11:35:45', NULL, NULL), (5647, '', '金钩村', 'a370bcbf8046430c970b4f686c52b472', '259a8b4bf4d24673adeff879fe749856', 'False', 'True', 'false', 'false', '510522104210', 5, '金钩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522104210', 1, '2021-07-19 11:35:45', NULL, NULL), (5648, '', '汪垇村', '8614afc80a7a4a52855731c996277160', '259a8b4bf4d24673adeff879fe749856', 'False', 'True', 'false', 'false', '510522104214', 5, '汪垇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522104214', 1, '2021-07-19 11:35:45', NULL, NULL), (5649, '', '大土湾村', '09d6b61317864a99948dead7e6fcb1e5', '259a8b4bf4d24673adeff879fe749856', 'False', 'True', 'false', 'false', '510522104216', 5, '大土湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522104216', 1, '2021-07-19 11:35:45', NULL, NULL), (5650, '', '雄坝村', '7abefbd11be14304a6a8b6c82efc80c8', '259a8b4bf4d24673adeff879fe749856', 'False', 'True', 'false', 'false', '510522104217', 5, '雄坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522104217', 1, '2021-07-19 11:35:45', NULL, NULL), (5651, '', '尧坝镇', '98c1795573fb4042995ab37fc9bb4f58', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522105000', 4, '尧坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522105000', 1, '2021-07-19 11:35:45', NULL, NULL), (5652, '', '尧坝社区', 'c3bafc3efb394e2ab84d0f015dd4b571', '98c1795573fb4042995ab37fc9bb4f58', 'False', 'True', 'false', 'false', '510522105001', 5, '尧坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522105001', 1, '2021-07-19 11:35:45', NULL, NULL), (5653, '', '白村村', '38630ca588f34057abb44852a49bc8cf', '98c1795573fb4042995ab37fc9bb4f58', 'False', 'True', 'false', 'false', '510522105201', 5, '白村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522105201', 1, '2021-07-19 11:35:45', NULL, NULL), (5654, '', '向石塔村', 'b6ea66939d564d8d9cca8801cbb763da', '98c1795573fb4042995ab37fc9bb4f58', 'False', 'True', 'false', 'false', '510522105202', 5, '向石塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522105202', 1, '2021-07-19 11:35:45', NULL, NULL), (5655, '', '井桥村', 'b0d7089e1d0b425aaa9412e906f88970', '98c1795573fb4042995ab37fc9bb4f58', 'False', 'True', 'false', 'false', '510522105203', 5, '井桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522105203', 1, '2021-07-19 11:35:46', NULL, NULL), (5656, '', '团结村', '6269d2b3e4b94426ac4cf70571da7d43', '98c1795573fb4042995ab37fc9bb4f58', 'False', 'True', 'false', 'false', '510522105206', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522105206', 1, '2021-07-19 11:35:46', NULL, NULL), (5657, '', '上湾村', 'b1c3757a2b18405c927fd5a5d4c614b6', '98c1795573fb4042995ab37fc9bb4f58', 'False', 'True', 'false', 'false', '510522105211', 5, '上湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522105211', 1, '2021-07-19 11:35:46', NULL, NULL), (5658, '', '识字村', 'f4c3793a7f4145719d604eaeea5e8355', '98c1795573fb4042995ab37fc9bb4f58', 'False', 'True', 'false', 'false', '510522105213', 5, '识字村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522105213', 1, '2021-07-19 11:35:46', NULL, NULL), (5659, '', '鼓楼山村', 'ad2719744a974dd2b441d8011cc95dfc', '98c1795573fb4042995ab37fc9bb4f58', 'False', 'True', 'false', 'false', '510522105214', 5, '鼓楼山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522105214', 1, '2021-07-19 11:35:46', NULL, NULL), (5660, '', '仙顶村', '33feea8cd89048fdaebe238bbcb32c44', '98c1795573fb4042995ab37fc9bb4f58', 'False', 'True', 'false', 'false', '510522105216', 5, '仙顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522105216', 1, '2021-07-19 11:35:46', NULL, NULL), (5661, '', '天堂坝村', 'efc3e933178448c5aa36c1a1bc7115df', '98c1795573fb4042995ab37fc9bb4f58', 'False', 'True', 'false', 'false', '510522105218', 5, '天堂坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522105218', 1, '2021-07-19 11:35:46', NULL, NULL), (5662, '', '九支镇', 'a9711c26aca247148d2e4f70f6a9df6c', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522106000', 4, '九支镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522106000', 1, '2021-07-19 11:35:46', NULL, NULL), (5663, '', '永合村', 'f2222c7e14c5401991f836460c08edf5', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106017', 5, '永合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106017', 1, '2021-07-19 11:35:46', NULL, NULL), (5664, '', '两河村', '26f8d44100424041bb2f0f5bc559c53c', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106295', 5, '两河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106295', 1, '2021-07-19 11:35:46', NULL, NULL), (5665, '', '石顶山村', 'aa14b0a7bbe74b17b9e75c55b39f7833', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106482', 5, '石顶山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106482', 1, '2021-07-19 11:35:46', NULL, NULL), (5666, '', '块岩社区', '8f83e824aea642d38421ce5b1d9a23c1', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106674', 5, '块岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106674', 1, '2021-07-19 11:35:46', NULL, NULL), (5667, '', '锁口村', '0fb06b03580544c1b197e58caa1c52af', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106751', 5, '锁口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106751', 1, '2021-07-19 11:35:46', NULL, NULL), (5668, '', '李嘴村', '7c9a7f5619d0474686b8eaee1bfa7244', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106795', 5, '李嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106795', 1, '2021-07-19 11:35:46', NULL, NULL), (5669, '', '五通社区', 'e3d1ceb2f20041cfb54c70086dc7efec', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106830', 5, '五通社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106830', 1, '2021-07-19 11:35:47', NULL, NULL), (5670, '', '枣子村', '29f4156fe8414d70a5744a0526b5471a', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106839', 5, '枣子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106839', 1, '2021-07-19 11:35:47', NULL, NULL), (5671, '', '五通村', '215437a689984620bcb27451b00a50d9', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106904', 5, '五通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106904', 1, '2021-07-19 11:35:47', NULL, NULL), (5672, '', '安居坝社区', '01e60257155343448fbdc280a0138f6c', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106001', 5, '安居坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106001', 1, '2021-07-19 11:35:47', NULL, NULL), (5673, '', '华剪坝社区', 'f6f870074abc4e49b6b12da3200c8ea8', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106002', 5, '华剪坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106002', 1, '2021-07-19 11:35:47', NULL, NULL), (5674, '', '安居村', 'fbf7a3f8e2764203801512ad913ea3ae', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106201', 5, '安居村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106201', 1, '2021-07-19 11:35:47', NULL, NULL), (5675, '', '文化村', 'fea88354b05a442587dc2b6a2c2eb445', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106202', 5, '文化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106202', 1, '2021-07-19 11:35:47', NULL, NULL), (5676, '', '徐家祠村', '16a7cd15d8f54aa388f6bd83994a7f91', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106203', 5, '徐家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106203', 1, '2021-07-19 11:35:47', NULL, NULL), (5677, '', '夹子口村', '4b0672ff52414f26aee1d97856e5c255', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106204', 5, '夹子口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106204', 1, '2021-07-19 11:35:47', NULL, NULL), (5678, '', '柏香湾村', '04071861cd384b4db2fdf30b035dbd8b', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106207', 5, '柏香湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106207', 1, '2021-07-19 11:35:47', NULL, NULL), (5679, '', '盘龙山村', 'f1b26d6223014caa842bed4f1dbb4d4a', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106209', 5, '盘龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106209', 1, '2021-07-19 11:35:47', NULL, NULL), (5680, '', '赵岩村', '1aff8af372864bbcab10ded6f654c534', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106216', 5, '赵岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106216', 1, '2021-07-19 11:35:47', NULL, NULL), (5681, '', '羊蹄村', '8c9e3740268b45678a6b2e12c8e4b8a2', 'a9711c26aca247148d2e4f70f6a9df6c', 'False', 'True', 'false', 'false', '510522106219', 5, '羊蹄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522106219', 1, '2021-07-19 11:35:47', NULL, NULL), (5682, '', '凤鸣镇', '00d0718f28924f25a33c2dd3784a1565', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522108000', 4, '凤鸣镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522108000', 1, '2021-07-19 11:35:47', NULL, NULL), (5683, '', '凤鸣社区', '6bb04c97f5294e55930362fd3cbb0184', '00d0718f28924f25a33c2dd3784a1565', 'False', 'True', 'false', 'false', '510522108001', 5, '凤鸣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522108001', 1, '2021-07-19 11:35:48', NULL, NULL), (5684, '', '牌坊村', '48757979f71d4e1881f6b1b658e5be7a', '00d0718f28924f25a33c2dd3784a1565', 'False', 'True', 'false', 'false', '510522108204', 5, '牌坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522108204', 1, '2021-07-19 11:35:48', NULL, NULL), (5685, '', '新胜村', 'b5ff9cbd5eba47b3ba625c9407b38b25', '00d0718f28924f25a33c2dd3784a1565', 'False', 'True', 'false', 'false', '510522108205', 5, '新胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522108205', 1, '2021-07-19 11:35:48', NULL, NULL), (5686, '', '文理村', '83bcb6b1955b457abb4242b1a2d94e54', '00d0718f28924f25a33c2dd3784a1565', 'False', 'True', 'false', 'false', '510522108209', 5, '文理村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522108209', 1, '2021-07-19 11:35:48', NULL, NULL), (5687, '', '黄金湾村', '423bf966f7b048d09dfa626417089b43', '00d0718f28924f25a33c2dd3784a1565', 'False', 'True', 'false', 'false', '510522108212', 5, '黄金湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522108212', 1, '2021-07-19 11:35:48', NULL, NULL), (5688, '', '凤凰村', 'b8de68d02fb5466d8e34f191537c5e2b', '00d0718f28924f25a33c2dd3784a1565', 'False', 'True', 'false', 'false', '510522108214', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522108214', 1, '2021-07-19 11:35:48', NULL, NULL), (5689, '', '金龙湖村', '4f62d5bca39b472eacdd3328d2c15a23', '00d0718f28924f25a33c2dd3784a1565', 'False', 'True', 'false', 'false', '510522108216', 5, '金龙湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522108216', 1, '2021-07-19 11:35:48', NULL, NULL), (5690, '', '茅山村', '72b8e88356b34b85b2121e97d385679f', '00d0718f28924f25a33c2dd3784a1565', 'False', 'True', 'false', 'false', '510522108217', 5, '茅山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522108217', 1, '2021-07-19 11:35:48', NULL, NULL), (5691, '', '新洋村', 'd83cfa7e01594ff9871ca40b26b83a37', '00d0718f28924f25a33c2dd3784a1565', 'False', 'True', 'false', 'false', '510522108221', 5, '新洋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522108221', 1, '2021-07-19 11:35:48', NULL, NULL), (5692, '', '临港街道', '06985c0d393e467daa3448f76dd33cf0', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522109000', 4, '临港街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522109000', 1, '2021-07-19 11:35:48', NULL, NULL), (5693, '', '金银石村', 'bd99e8f5663644e29b43f7f3de60dcbc', '06985c0d393e467daa3448f76dd33cf0', 'False', 'True', 'false', 'false', '510522002278', 5, '金银石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522002278', 1, '2021-07-19 11:35:48', NULL, NULL), (5694, '', '五里坡社区', '10f61b325fdf44a9be511b147de215fb', '06985c0d393e467daa3448f76dd33cf0', 'False', 'True', 'false', 'false', '510522109001', 5, '五里坡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522109001', 1, '2021-07-19 11:35:48', NULL, NULL), (5695, '', '兴隆社区', 'd5106822a2aa44ee9ebd17373c8e5b52', '06985c0d393e467daa3448f76dd33cf0', 'False', 'True', 'false', 'false', '510522109002', 5, '兴隆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522109002', 1, '2021-07-19 11:35:48', NULL, NULL), (5696, '', '联榕坝社区', '4d802aa2bdd54b7b811eb6430b89c626', '06985c0d393e467daa3448f76dd33cf0', 'False', 'True', 'false', 'false', '510522109003', 5, '联榕坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522109003', 1, '2021-07-19 11:35:48', NULL, NULL), (5697, '', '凉坪村', 'af4cff6e89dd494a80e93450240b7962', '06985c0d393e467daa3448f76dd33cf0', 'False', 'True', 'false', 'false', '510522109202', 5, '凉坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522109202', 1, '2021-07-19 11:35:49', NULL, NULL), (5698, '', '塘沟村', '8e9ef295b78b42028feda370957343c5', '06985c0d393e467daa3448f76dd33cf0', 'False', 'True', 'false', 'false', '510522109204', 5, '塘沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522109204', 1, '2021-07-19 11:35:49', NULL, NULL), (5699, '', '小洋洞村', '7a1b701f2bad4875987aea64a3b87a6f', '06985c0d393e467daa3448f76dd33cf0', 'False', 'True', 'false', 'false', '510522109206', 5, '小洋洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522109206', 1, '2021-07-19 11:35:49', NULL, NULL), (5700, '', '石堰村', 'e0e335c6e61d49ad884c44708c05fda4', '06985c0d393e467daa3448f76dd33cf0', 'False', 'True', 'false', 'false', '510522109208', 5, '石堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522109208', 1, '2021-07-19 11:35:49', NULL, NULL), (5701, '', '雨台山村', '5967a1363ce94874b3faa8b1ace21beb', '06985c0d393e467daa3448f76dd33cf0', 'False', 'True', 'false', 'false', '510522109210', 5, '雨台山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522109210', 1, '2021-07-19 11:35:49', NULL, NULL), (5702, '', '符阳村', '3c7b1b901aed48f49b3c69f28f8030e2', '06985c0d393e467daa3448f76dd33cf0', 'False', 'True', 'false', 'false', '510522109212', 5, '符阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522109212', 1, '2021-07-19 11:35:49', NULL, NULL), (5703, '', '高庙子村', 'c4120ac669104d7ca3cdd329fb4c7a86', '06985c0d393e467daa3448f76dd33cf0', 'False', 'True', 'false', 'false', '510522109214', 5, '高庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522109214', 1, '2021-07-19 11:35:49', NULL, NULL), (5704, '', '白鹿镇', '1a7b7601af924e56afac2664b6d44bb6', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522110000', 4, '白鹿镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522110000', 1, '2021-07-19 11:35:49', NULL, NULL), (5705, '', '白鹿社区', '10fd25f2aa8841f0a2eea375f3d29cc6', '1a7b7601af924e56afac2664b6d44bb6', 'False', 'True', 'false', 'false', '510522110001', 5, '白鹿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522110001', 1, '2021-07-19 11:35:49', NULL, NULL), (5706, '', '柏松村', 'ed440505fdf34ee897ed011e77188c0a', '1a7b7601af924e56afac2664b6d44bb6', 'False', 'True', 'false', 'false', '510522110201', 5, '柏松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522110201', 1, '2021-07-19 11:35:49', NULL, NULL), (5707, '', '楠木村', '9244556b034d4dc09317363c006bc545', '1a7b7601af924e56afac2664b6d44bb6', 'False', 'True', 'false', 'false', '510522110204', 5, '楠木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522110204', 1, '2021-07-19 11:35:49', NULL, NULL), (5708, '', '两重村', 'd26ab1859e574c62ac73e684f4fed491', '1a7b7601af924e56afac2664b6d44bb6', 'False', 'True', 'false', 'false', '510522110205', 5, '两重村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522110205', 1, '2021-07-19 11:35:49', NULL, NULL), (5709, '', '水竹村', '4a96e31595c64f3ba70ae80435fd673d', '1a7b7601af924e56afac2664b6d44bb6', 'False', 'True', 'false', 'false', '510522110209', 5, '水竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522110209', 1, '2021-07-19 11:35:49', NULL, NULL), (5710, '', '江合村', 'd4383f71fa8149fc9a9d60157f3703f8', '1a7b7601af924e56afac2664b6d44bb6', 'False', 'True', 'false', 'false', '510522110213', 5, '江合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522110213', 1, '2021-07-19 11:35:49', NULL, NULL), (5711, '', '尹坪村', '29b2bad3cc1a4972b5f77b3e26e07adf', '1a7b7601af924e56afac2664b6d44bb6', 'False', 'True', 'false', 'false', '510522110214', 5, '尹坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522110214', 1, '2021-07-19 11:35:49', NULL, NULL), (5712, '', '马庙村', '8679468ffe5c41dab731313d9fc88a96', '1a7b7601af924e56afac2664b6d44bb6', 'False', 'True', 'false', 'false', '510522110215', 5, '马庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522110215', 1, '2021-07-19 11:35:49', NULL, NULL), (5713, '', '袁湾村', '89fd525898724bcb9d1301804676275e', '1a7b7601af924e56afac2664b6d44bb6', 'False', 'True', 'false', 'false', '510522110221', 5, '袁湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522110221', 1, '2021-07-19 11:35:49', NULL, NULL), (5714, '', '甘雨镇', '0d21b245bd2d4ce69980784a4693a001', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522111000', 4, '甘雨镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522111000', 1, '2021-07-19 11:35:49', NULL, NULL), (5715, '', '甘雨社区', 'feb8c63f2dcd478f895f4fd41abd74e9', '0d21b245bd2d4ce69980784a4693a001', 'False', 'True', 'false', 'false', '510522111001', 5, '甘雨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522111001', 1, '2021-07-19 11:35:50', NULL, NULL), (5716, '', '学堂村', '2ac65e4184f5461d87f17eeb993026a0', '0d21b245bd2d4ce69980784a4693a001', 'False', 'True', 'false', 'false', '510522111202', 5, '学堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522111202', 1, '2021-07-19 11:35:50', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (5717, '', '庄子村', '8a058dd9e4a84110a706bab8eda88f0b', '0d21b245bd2d4ce69980784a4693a001', 'False', 'True', 'false', 'false', '510522111205', 5, '庄子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522111205', 1, '2021-07-19 11:35:50', NULL, NULL), (5718, '', '华石村', 'cf6cd151241847e8b362cd3f29d8e163', '0d21b245bd2d4ce69980784a4693a001', 'False', 'True', 'false', 'false', '510522111206', 5, '华石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522111206', 1, '2021-07-19 11:35:50', NULL, NULL), (5719, '', '黄桷村', 'cb82f6a39d55455d8268039ac39bb8d3', '0d21b245bd2d4ce69980784a4693a001', 'False', 'True', 'false', 'false', '510522111207', 5, '黄桷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522111207', 1, '2021-07-19 11:35:51', NULL, NULL), (5720, '', '瑞丰村', 'c303bb1f266f4d019e2ee90a1cf6d920', '0d21b245bd2d4ce69980784a4693a001', 'False', 'True', 'false', 'false', '510522111210', 5, '瑞丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522111210', 1, '2021-07-19 11:35:51', NULL, NULL), (5721, '', '油榨村', '3c181ba82b334296a98a1e9dfc6279a6', '0d21b245bd2d4ce69980784a4693a001', 'False', 'True', 'false', 'false', '510522111217', 5, '油榨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522111217', 1, '2021-07-19 11:35:51', NULL, NULL), (5722, '', '槐花村', 'edc54b2e02204e5387948df96cf8fa41', '0d21b245bd2d4ce69980784a4693a001', 'False', 'True', 'false', 'false', '510522111218', 5, '槐花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522111218', 1, '2021-07-19 11:35:51', NULL, NULL), (5723, '', '福宝镇', '5df65dfadfa945a0a1448545e833b2d5', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522112000', 4, '福宝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522112000', 1, '2021-07-19 11:35:51', NULL, NULL), (5724, '', '回龙桥社区', '756911a2452741a3b80e2ec0f11442e6', '5df65dfadfa945a0a1448545e833b2d5', 'False', 'True', 'false', 'false', '510522112001', 5, '回龙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522112001', 1, '2021-07-19 11:35:51', NULL, NULL), (5725, '', '天堂坝社区', '2b5ef3ceb7ff408ca82c9a326d95e1ad', '5df65dfadfa945a0a1448545e833b2d5', 'False', 'True', 'false', 'false', '510522112002', 5, '天堂坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522112002', 1, '2021-07-19 11:35:51', NULL, NULL), (5726, '', '大亨村', 'd863271d6ba2496abd99823372b03ada', '5df65dfadfa945a0a1448545e833b2d5', 'False', 'True', 'false', 'false', '510522112204', 5, '大亨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522112204', 1, '2021-07-19 11:35:51', NULL, NULL), (5727, '', '鲤鱼村', '7cd338e8358f494095c6781e67037f60', '5df65dfadfa945a0a1448545e833b2d5', 'False', 'True', 'false', 'false', '510522112207', 5, '鲤鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522112207', 1, '2021-07-19 11:35:52', NULL, NULL), (5728, '', '穆村村', 'ca226e3e0cca4ea092759d0def1b7920', '5df65dfadfa945a0a1448545e833b2d5', 'False', 'True', 'false', 'false', '510522112215', 5, '穆村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522112215', 1, '2021-07-19 11:35:52', NULL, NULL), (5729, '', '鹤招岭村', 'd1ca3ff6454b4f53ad86d3611474f48e', '5df65dfadfa945a0a1448545e833b2d5', 'False', 'True', 'false', 'false', '510522112220', 5, '鹤招岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522112220', 1, '2021-07-19 11:35:52', NULL, NULL), (5730, '', '骑龙村', '50520d81e4dd4c9592b990b3a5de1f87', '5df65dfadfa945a0a1448545e833b2d5', 'False', 'True', 'false', 'false', '510522112223', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522112223', 1, '2021-07-19 11:35:52', NULL, NULL), (5731, '', '渡口村', 'fa00c54a9e4c4551a58bd3bf2bc62c4a', '5df65dfadfa945a0a1448545e833b2d5', 'False', 'True', 'false', 'false', '510522112227', 5, '渡口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522112227', 1, '2021-07-19 11:35:52', NULL, NULL), (5732, '', '打撮坝村', '64ac64d955694351b55ddc8fde92e58d', '5df65dfadfa945a0a1448545e833b2d5', 'False', 'True', 'false', 'false', '510522112229', 5, '打撮坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522112229', 1, '2021-07-19 11:35:52', NULL, NULL), (5733, '', '燕口村', 'aac484e728fd4c89aee2ad7bdc213d81', '5df65dfadfa945a0a1448545e833b2d5', 'False', 'True', 'false', 'false', '510522112230', 5, '燕口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522112230', 1, '2021-07-19 11:35:52', NULL, NULL), (5734, '', '鹿鸣村', 'bf98d9acb1914c6490a063bbac7daeba', '5df65dfadfa945a0a1448545e833b2d5', 'False', 'True', 'false', 'false', '510522112233', 5, '鹿鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522112233', 1, '2021-07-19 11:35:52', NULL, NULL), (5735, '', '先滩镇', '6578c28b5f0c44d0b46418aec9b0f459', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522113000', 4, '先滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522113000', 1, '2021-07-19 11:35:52', NULL, NULL), (5736, '', '方圆村', '04d1fb60b2f349748110e87a5d21dff5', '6578c28b5f0c44d0b46418aec9b0f459', 'False', 'True', 'false', 'false', '510522113191', 5, '方圆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522113191', 1, '2021-07-19 11:35:52', NULL, NULL), (5737, '', '龙田村', 'a2fbd8e4d360414ab6f9962b280861cf', '6578c28b5f0c44d0b46418aec9b0f459', 'False', 'True', 'false', 'false', '510522113279', 5, '龙田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522113279', 1, '2021-07-19 11:35:52', NULL, NULL), (5738, '', '自怀社区', '2ad0e5489075484f8ee1b0f2f593a3db', '6578c28b5f0c44d0b46418aec9b0f459', 'False', 'True', 'false', 'false', '510522113599', 5, '自怀社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522113599', 1, '2021-07-19 11:35:52', NULL, NULL), (5739, '', '先滩社区', '7b988f723df44d99a7ddbd84c34c19f2', '6578c28b5f0c44d0b46418aec9b0f459', 'False', 'True', 'false', 'false', '510522113001', 5, '先滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522113001', 1, '2021-07-19 11:35:52', NULL, NULL), (5740, '', '显云寺村', 'b4718017fc144a19bf5dd38caafcce42', '6578c28b5f0c44d0b46418aec9b0f459', 'False', 'True', 'false', 'false', '510522113201', 5, '显云寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522113201', 1, '2021-07-19 11:35:52', NULL, NULL), (5741, '', '民和村', 'f564137bcbbb47cab405b4d5323cab07', '6578c28b5f0c44d0b46418aec9b0f459', 'False', 'True', 'false', 'false', '510522113203', 5, '民和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522113203', 1, '2021-07-19 11:35:53', NULL, NULL), (5742, '', '朝阳村', '23548c078cb343489e927f201bee9cfc', '6578c28b5f0c44d0b46418aec9b0f459', 'False', 'True', 'false', 'false', '510522113204', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522113204', 1, '2021-07-19 11:35:53', NULL, NULL), (5743, '', '定钟寺村', '08bb85d586264a14b1a123a2fd409d03', '6578c28b5f0c44d0b46418aec9b0f459', 'False', 'True', 'false', 'false', '510522113205', 5, '定钟寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522113205', 1, '2021-07-19 11:35:53', NULL, NULL), (5744, '', '老龙口村', '518172ecf6514bb7ae9256d70487f858', '6578c28b5f0c44d0b46418aec9b0f459', 'False', 'True', 'false', 'false', '510522113206', 5, '老龙口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522113206', 1, '2021-07-19 11:35:53', NULL, NULL), (5745, '', '文明村', '39a48580ccda4b15b1a0aa3b6406a6f3', '6578c28b5f0c44d0b46418aec9b0f459', 'False', 'True', 'false', 'false', '510522113208', 5, '文明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522113208', 1, '2021-07-19 11:35:53', NULL, NULL), (5746, '', '显龙村', 'd8a3ef27adcb40239985a8c90ee32172', '6578c28b5f0c44d0b46418aec9b0f459', 'False', 'True', 'false', 'false', '510522113211', 5, '显龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522113211', 1, '2021-07-19 11:35:53', NULL, NULL), (5747, '', '金棠村', '2b0e78ab153b44389db5bd0a5f857ac9', '6578c28b5f0c44d0b46418aec9b0f459', 'False', 'True', 'false', 'false', '510522113212', 5, '金棠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522113212', 1, '2021-07-19 11:35:53', NULL, NULL), (5748, '', '家乐村', '7cc065266f4c432f8e0edc8a11163d07', '6578c28b5f0c44d0b46418aec9b0f459', 'False', 'True', 'false', 'false', '510522113214', 5, '家乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522113214', 1, '2021-07-19 11:35:53', NULL, NULL), (5749, '', '天池村', 'de86baef4c4f403dba76aede19277433', '6578c28b5f0c44d0b46418aec9b0f459', 'False', 'True', 'false', 'false', '510522113215', 5, '天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522113215', 1, '2021-07-19 11:35:53', NULL, NULL), (5750, '', '梨树湾村', 'e7966bdb2ac04da2817c8f02d1235ea1', '6578c28b5f0c44d0b46418aec9b0f459', 'False', 'True', 'false', 'false', '510522113217', 5, '梨树湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522113217', 1, '2021-07-19 11:35:53', NULL, NULL), (5751, '', '车辋镇', '456aa528eff0485c87231dbe49d345b9', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522116000', 4, '车辋镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522116000', 1, '2021-07-19 11:35:54', NULL, NULL), (5752, '', '石桥村', 'da308ff15cac446aadd913a9b4c0fa95', '456aa528eff0485c87231dbe49d345b9', 'False', 'True', 'false', 'false', '510522116542', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522116542', 1, '2021-07-19 11:35:54', NULL, NULL), (5753, '', '车辋社区', 'd80b958430364ab6ba4df320b6c3a320', '456aa528eff0485c87231dbe49d345b9', 'False', 'True', 'false', 'false', '510522116001', 5, '车辋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522116001', 1, '2021-07-19 11:35:54', NULL, NULL), (5754, '', '先锋村', '8bf8229f58854758974785069fd62152', '456aa528eff0485c87231dbe49d345b9', 'False', 'True', 'false', 'false', '510522116202', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522116202', 1, '2021-07-19 11:35:54', NULL, NULL), (5755, '', '旧桥村', 'ef86ce6f05c0453086f54cecbd1d8a4d', '456aa528eff0485c87231dbe49d345b9', 'False', 'True', 'false', 'false', '510522116208', 5, '旧桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522116208', 1, '2021-07-19 11:35:54', NULL, NULL), (5756, '', '人和村', 'd1d54a774254431f8c7f7e21f2c1117c', '456aa528eff0485c87231dbe49d345b9', 'False', 'True', 'false', 'false', '510522116211', 5, '人和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522116211', 1, '2021-07-19 11:35:54', NULL, NULL), (5757, '', '永利村', '831b8e3ac6b047819ea98055752802e4', '456aa528eff0485c87231dbe49d345b9', 'False', 'True', 'false', 'false', '510522116212', 5, '永利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522116212', 1, '2021-07-19 11:35:54', NULL, NULL), (5758, '', '五明村', '138e127c79bc42b5b51a1a5ca6fae73d', '456aa528eff0485c87231dbe49d345b9', 'False', 'True', 'false', 'false', '510522116214', 5, '五明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522116214', 1, '2021-07-19 11:35:54', NULL, NULL), (5759, '', '金龙村', '5769f391bb224da0a616ac9f2d771ade', '456aa528eff0485c87231dbe49d345b9', 'False', 'True', 'false', 'false', '510522116216', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522116216', 1, '2021-07-19 11:35:54', NULL, NULL), (5760, '', '白米镇', 'ae836ef7d2a4485fb413d1b869ddbe1d', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522117000', 4, '白米镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522117000', 1, '2021-07-19 11:35:54', NULL, NULL), (5761, '', '白米社区', '3c3f3774a77b4bc583c9d31642ddc312', 'ae836ef7d2a4485fb413d1b869ddbe1d', 'False', 'True', 'false', 'false', '510522117001', 5, '白米社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522117001', 1, '2021-07-19 11:35:54', NULL, NULL), (5762, '', '转龙湾村', 'a9a68e0d360e4b52a645c6aa65a6eecf', 'ae836ef7d2a4485fb413d1b869ddbe1d', 'False', 'True', 'false', 'false', '510522117201', 5, '转龙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522117201', 1, '2021-07-19 11:35:54', NULL, NULL), (5763, '', '黄金山村', '3e07a1d537ff4ea88cbd16fe8c7ce09e', 'ae836ef7d2a4485fb413d1b869ddbe1d', 'False', 'True', 'false', 'false', '510522117202', 5, '黄金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522117202', 1, '2021-07-19 11:35:54', NULL, NULL), (5764, '', '史坝村', 'bcee94b307af446a8cd208b3077c1c12', 'ae836ef7d2a4485fb413d1b869ddbe1d', 'False', 'True', 'false', 'false', '510522117205', 5, '史坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522117205', 1, '2021-07-19 11:35:54', NULL, NULL), (5765, '', '向阳村', '49420df8e86846d98b5d7f30fd78b300', 'ae836ef7d2a4485fb413d1b869ddbe1d', 'False', 'True', 'false', 'false', '510522117208', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522117208', 1, '2021-07-19 11:35:54', NULL, NULL), (5766, '', '斗笠村', '1cb35c7a2d7a49a1abedacf5761a138f', 'ae836ef7d2a4485fb413d1b869ddbe1d', 'False', 'True', 'false', 'false', '510522117211', 5, '斗笠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522117211', 1, '2021-07-19 11:35:55', NULL, NULL), (5767, '', '碾子塝村', '33c65647ee0d406ab09abded3117257a', 'ae836ef7d2a4485fb413d1b869ddbe1d', 'False', 'True', 'false', 'false', '510522117212', 5, '碾子塝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522117212', 1, '2021-07-19 11:35:55', NULL, NULL), (5768, '', '金宝山村', '4dd13f3d46894d06b9ca76c6181f4e83', 'ae836ef7d2a4485fb413d1b869ddbe1d', 'False', 'True', 'false', 'false', '510522117220', 5, '金宝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522117220', 1, '2021-07-19 11:35:55', NULL, NULL), (5769, '', '桂花树村', '9aee168fc3a049f5846c5c1591de3da4', 'ae836ef7d2a4485fb413d1b869ddbe1d', 'False', 'True', 'false', 'false', '510522117222', 5, '桂花树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522117222', 1, '2021-07-19 11:35:55', NULL, NULL), (5770, '', '梨湾村', 'c5df20d2de3c4af6ba3bc89f220b2236', 'ae836ef7d2a4485fb413d1b869ddbe1d', 'False', 'True', 'false', 'false', '510522117223', 5, '梨湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522117223', 1, '2021-07-19 11:35:55', NULL, NULL), (5771, '', '法王寺镇', 'a6425f9dea694aa38d29a789984ac686', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522119000', 4, '法王寺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522119000', 1, '2021-07-19 11:35:55', NULL, NULL), (5772, '', '龙泉村', 'e5cab7d816fc4d3894f91d333d0bc76c', 'a6425f9dea694aa38d29a789984ac686', 'False', 'True', 'false', 'false', '510522119815', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522119815', 1, '2021-07-19 11:35:55', NULL, NULL), (5773, '', '二里社区', '2ba80f54f5be4ae7ab5f8ec2780f3ad8', 'a6425f9dea694aa38d29a789984ac686', 'False', 'True', 'false', 'false', '510522119001', 5, '二里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522119001', 1, '2021-07-19 11:35:55', NULL, NULL), (5774, '', '四通村', 'da3f7cece33a4767a08f509bb6c5ffb9', 'a6425f9dea694aa38d29a789984ac686', 'False', 'True', 'false', 'false', '510522119201', 5, '四通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522119201', 1, '2021-07-19 11:35:55', NULL, NULL), (5775, '', '通树坝村', '35959a80f9344c10ac078f6f79f70442', 'a6425f9dea694aa38d29a789984ac686', 'False', 'True', 'false', 'false', '510522119202', 5, '通树坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522119202', 1, '2021-07-19 11:35:55', NULL, NULL), (5776, '', '金鸭子村', 'd6b9463840c34bd09bf245bd21418ac0', 'a6425f9dea694aa38d29a789984ac686', 'False', 'True', 'false', 'false', '510522119205', 5, '金鸭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522119205', 1, '2021-07-19 11:35:55', NULL, NULL), (5777, '', '山后头村', '0038914dccfd4f1d8fd0cd11e8f8896c', 'a6425f9dea694aa38d29a789984ac686', 'False', 'True', 'false', 'false', '510522119207', 5, '山后头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522119207', 1, '2021-07-19 11:35:55', NULL, NULL), (5778, '', '大木树村', '6049257348134ed7bc48bb056cb1628b', 'a6425f9dea694aa38d29a789984ac686', 'False', 'True', 'false', 'false', '510522119209', 5, '大木树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522119209', 1, '2021-07-19 11:35:55', NULL, NULL), (5779, '', '石佛村', 'f0d45506371f4bfc92730e12101f792c', 'a6425f9dea694aa38d29a789984ac686', 'False', 'True', 'false', 'false', '510522119210', 5, '石佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522119210', 1, '2021-07-19 11:35:55', NULL, NULL), (5780, '', '双龙桥村', '483f1bbf93274ec786246edf523990f5', 'a6425f9dea694aa38d29a789984ac686', 'False', 'True', 'false', 'false', '510522119213', 5, '双龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522119213', 1, '2021-07-19 11:35:55', NULL, NULL), (5781, '', '天池村', '935f91ec4f8743e29d1a84a1de8c3e68', 'a6425f9dea694aa38d29a789984ac686', 'False', 'True', 'false', 'false', '510522119216', 5, '天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522119216', 1, '2021-07-19 11:35:55', NULL, NULL), (5782, '', '农会村', '7955ca16dba14d6c9ff8d5854d98ec32', 'a6425f9dea694aa38d29a789984ac686', 'False', 'True', 'false', 'false', '510522119217', 5, '农会村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522119217', 1, '2021-07-19 11:35:55', NULL, NULL), (5783, '', '法王寺村', 'e4cae52b82504298a5c7627b7118fcd6', 'a6425f9dea694aa38d29a789984ac686', 'False', 'True', 'false', 'false', '510522119219', 5, '法王寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522119219', 1, '2021-07-19 11:35:56', NULL, NULL), (5784, '', '神臂城镇', 'f3652068aeb644a6b66122e9ca0648cd', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522121000', 4, '神臂城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522121000', 1, '2021-07-19 11:35:56', NULL, NULL), (5785, '', '和平社区', 'c51b54a186a94ca78a337dc2c40d8429', 'f3652068aeb644a6b66122e9ca0648cd', 'False', 'True', 'false', 'false', '510522121001', 5, '和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522121001', 1, '2021-07-19 11:35:56', NULL, NULL), (5786, '', '上大村', 'db63541b48e2429089214c9f11047a27', 'f3652068aeb644a6b66122e9ca0648cd', 'False', 'True', 'false', 'false', '510522121201', 5, '上大村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522121201', 1, '2021-07-19 11:35:56', NULL, NULL), (5787, '', '老泸村', 'a8a34d1193684dbfbaba2b5e0ca3ee96', 'f3652068aeb644a6b66122e9ca0648cd', 'False', 'True', 'false', 'false', '510522121206', 5, '老泸村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522121206', 1, '2021-07-19 11:35:56', NULL, NULL), (5788, '', '鲢鱼村', '979f20f9237641a8b90ec560d368b507', 'f3652068aeb644a6b66122e9ca0648cd', 'False', 'True', 'false', 'false', '510522121208', 5, '鲢鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522121208', 1, '2021-07-19 11:35:56', NULL, NULL), (5789, '', '高陵村', '1efd070c8a0642599bece996ef17b1ff', 'f3652068aeb644a6b66122e9ca0648cd', 'False', 'True', 'false', 'false', '510522121211', 5, '高陵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522121211', 1, '2021-07-19 11:35:56', NULL, NULL), (5790, '', '经盘村', 'd9991891c02a4c8489d92ad33a4c31ab', 'f3652068aeb644a6b66122e9ca0648cd', 'False', 'True', 'false', 'false', '510522121213', 5, '经盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522121213', 1, '2021-07-19 11:35:56', NULL, NULL), (5791, '', '石龙镇', '61d49d2c290c4828942a9005e249bf63', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522122000', 4, '石龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522122000', 1, '2021-07-19 11:35:56', NULL, NULL), (5792, '', '罗坝滩社区', 'bbbce86901ad4d22bc7d42e7e8bbfdd3', '61d49d2c290c4828942a9005e249bf63', 'False', 'True', 'false', 'false', '510522124076', 5, '罗坝滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522124076', 1, '2021-07-19 11:35:56', NULL, NULL), (5793, '', '松柏村', '0f1a7d0b7f054523b0a788747b0e27ed', '61d49d2c290c4828942a9005e249bf63', 'False', 'True', 'false', 'false', '510522124216', 5, '松柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522124216', 1, '2021-07-19 11:35:56', NULL, NULL), (5794, '', '太平村', 'cf921bb097714eba88e18b2eaf91dbe5', '61d49d2c290c4828942a9005e249bf63', 'False', 'True', 'false', 'false', '510522124276', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522124276', 1, '2021-07-19 11:35:56', NULL, NULL), (5795, '', '家合村', '8c3c3f19a3ec42c18f20ec2b7c20e5f1', '61d49d2c290c4828942a9005e249bf63', 'False', 'True', 'false', 'false', '510522124329', 5, '家合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522124329', 1, '2021-07-19 11:35:56', NULL, NULL), (5796, '', '青禾村', 'c4e5037d540641cbbdcf256a95f558c4', '61d49d2c290c4828942a9005e249bf63', 'False', 'True', 'false', 'false', '510522124355', 5, '青禾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522124355', 1, '2021-07-19 11:35:56', NULL, NULL), (5797, '', '两河社区', 'f860926041074bcc8224b31621b8c850', '61d49d2c290c4828942a9005e249bf63', 'False', 'True', 'false', 'false', '510522122001', 5, '两河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522122001', 1, '2021-07-19 11:35:56', NULL, NULL), (5798, '', '攀湾村', 'ec9db0c762ea4e17804f976858aa59e2', '61d49d2c290c4828942a9005e249bf63', 'False', 'True', 'false', 'false', '510522122201', 5, '攀湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522122201', 1, '2021-07-19 11:35:56', NULL, NULL), (5799, '', '砖房村', '26d9abecd0824d679be4feeefd6c2da0', '61d49d2c290c4828942a9005e249bf63', 'False', 'True', 'false', 'false', '510522122206', 5, '砖房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522122206', 1, '2021-07-19 11:35:56', NULL, NULL), (5800, '', '大久村', '1e362c5290fc442f8635c0db2744b243', '61d49d2c290c4828942a9005e249bf63', 'False', 'True', 'false', 'false', '510522122207', 5, '大久村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522122207', 1, '2021-07-19 11:35:56', NULL, NULL), (5801, '', '水河沟村', 'be8b4bd4128b40f3bcd6588501f7408e', '61d49d2c290c4828942a9005e249bf63', 'False', 'True', 'false', 'false', '510522122208', 5, '水河沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522122208', 1, '2021-07-19 11:35:56', NULL, NULL), (5802, '', '太公寺村', 'd68eb663896348dcb48b6f8073363165', '61d49d2c290c4828942a9005e249bf63', 'False', 'True', 'false', 'false', '510522122211', 5, '太公寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522122211', 1, '2021-07-19 11:35:57', NULL, NULL), (5803, '', '荔江镇', 'a6499f18ebef47d696648a1cfed6b157', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522123000', 4, '荔江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522123000', 1, '2021-07-19 11:35:57', NULL, NULL), (5804, '', '花桂村', 'cc70e76fce904e929d2941bc7adc9317', 'a6499f18ebef47d696648a1cfed6b157', 'False', 'True', 'false', 'false', '510522126241', 5, '花桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522126241', 1, '2021-07-19 11:35:57', NULL, NULL), (5805, '', '河坝村', 'e0ed956601cb488fac1a8064af23fdb9', 'a6499f18ebef47d696648a1cfed6b157', 'False', 'True', 'false', 'false', '510522126254', 5, '河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522126254', 1, '2021-07-19 11:35:57', NULL, NULL), (5806, '', '五亩村', '0c6e66d540934c37b45563ed61da64d7', 'a6499f18ebef47d696648a1cfed6b157', 'False', 'True', 'false', 'false', '510522126486', 5, '五亩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522126486', 1, '2021-07-19 11:35:57', NULL, NULL), (5807, '', '坪上村', '73485a63631748b7bfb49b39e01da940', 'a6499f18ebef47d696648a1cfed6b157', 'False', 'True', 'false', 'false', '510522126640', 5, '坪上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522126640', 1, '2021-07-19 11:35:57', NULL, NULL), (5808, '', '小寨村', '40a426e36a4d425c8e08b6562139c04d', 'a6499f18ebef47d696648a1cfed6b157', 'False', 'True', 'false', 'false', '510522126723', 5, '小寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522126723', 1, '2021-07-19 11:35:57', NULL, NULL), (5809, '', '甘雨村', '70bf9fcfda0a44689cdea47e19dece0b', 'a6499f18ebef47d696648a1cfed6b157', 'False', 'True', 'false', 'false', '510522126938', 5, '甘雨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522126938', 1, '2021-07-19 11:35:57', NULL, NULL), (5810, '', '实录社区', '2e57125c78ad4580891ba77614c9b59b', 'a6499f18ebef47d696648a1cfed6b157', 'False', 'True', 'false', 'false', '510522123001', 5, '实录社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522123001', 1, '2021-07-19 11:35:57', NULL, NULL), (5811, '', '慈竹林村', '267fce9e6d154a268e6691b9f501a576', 'a6499f18ebef47d696648a1cfed6b157', 'False', 'True', 'false', 'false', '510522123201', 5, '慈竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522123201', 1, '2021-07-19 11:35:57', NULL, NULL), (5812, '', '团湾村', 'e8a8d57aa02b4a0da9fed985478b28f6', 'a6499f18ebef47d696648a1cfed6b157', 'False', 'True', 'false', 'false', '510522123202', 5, '团湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522123202', 1, '2021-07-19 11:35:58', NULL, NULL), (5813, '', '蒋湾村', '7cffde7f7b6544a0b8e4d624a9b4b4c1', 'a6499f18ebef47d696648a1cfed6b157', 'False', 'True', 'false', 'false', '510522123204', 5, '蒋湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522123204', 1, '2021-07-19 11:35:58', NULL, NULL), (5814, '', '柿子田村', '7fdb7876c2f24d4a985c4afb46eaff0f', 'a6499f18ebef47d696648a1cfed6b157', 'False', 'True', 'false', 'false', '510522123207', 5, '柿子田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522123207', 1, '2021-07-19 11:35:58', NULL, NULL), (5815, '', '三江村', 'febad89a33e74dfcbd355a50835b1c93', 'a6499f18ebef47d696648a1cfed6b157', 'False', 'True', 'false', 'false', '510522123208', 5, '三江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522123208', 1, '2021-07-19 11:35:58', NULL, NULL), (5816, '', '觉悟村', 'd3dc32a2de7c48ca8fde1e6698bba0e2', 'a6499f18ebef47d696648a1cfed6b157', 'False', 'True', 'false', 'false', '510522123210', 5, '觉悟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522123210', 1, '2021-07-19 11:35:58', NULL, NULL), (5817, '', '两马村', '237342b252d54c0ab23a493abc674c52', 'a6499f18ebef47d696648a1cfed6b157', 'False', 'True', 'false', 'false', '510522123212', 5, '两马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522123212', 1, '2021-07-19 11:35:58', NULL, NULL), (5818, '', '堰坝社区', '428fbf12bb1244df9f36c26a2c93db57', 'a6499f18ebef47d696648a1cfed6b157', 'False', 'True', 'false', 'false', '510522123214', 5, '堰坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522123214', 1, '2021-07-19 11:35:58', NULL, NULL), (5819, '', '真龙镇', '49024da074114dcda22ad2cff4142168', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522125000', 4, '真龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522125000', 1, '2021-07-19 11:35:58', NULL, NULL), (5820, '', '密溪社区', '9e843aa79d424d41b2ea88a74f915b76', '49024da074114dcda22ad2cff4142168', 'False', 'True', 'false', 'false', '510522125001', 5, '密溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522125001', 1, '2021-07-19 11:35:58', NULL, NULL), (5821, '', '瓦房村', '06dd3853712b4421a6b2a59469b0c36f', '49024da074114dcda22ad2cff4142168', 'False', 'True', 'false', 'false', '510522125201', 5, '瓦房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522125201', 1, '2021-07-19 11:35:58', NULL, NULL), (5822, '', '集中村', '41935035695b42758e2262cbb01cb83c', '49024da074114dcda22ad2cff4142168', 'False', 'True', 'false', 'false', '510522125202', 5, '集中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522125202', 1, '2021-07-19 11:35:58', NULL, NULL), (5823, '', '安乐村', 'cf62fa9302c7441cac53331288e3e3df', '49024da074114dcda22ad2cff4142168', 'False', 'True', 'false', 'false', '510522125206', 5, '安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522125206', 1, '2021-07-19 11:35:58', NULL, NULL), (5824, '', '武民村', '55779d8d060f4b068369795c6b2d155c', '49024da074114dcda22ad2cff4142168', 'False', 'True', 'false', 'false', '510522125208', 5, '武民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522125208', 1, '2021-07-19 11:35:58', NULL, NULL), (5825, '', '白沟村', '93d148dc5ddf4cbf97ed40b8e6266e28', '49024da074114dcda22ad2cff4142168', 'False', 'True', 'false', 'false', '510522125214', 5, '白沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522125214', 1, '2021-07-19 11:35:58', NULL, NULL), (5826, '', '榕山镇', '08aad957bb01472e8d23960addb2e689', '0213bfac44134f5d8822af5bdea72a45', 'True', 'True', 'false', 'false', '510522210000', 4, '榕山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510522210000', 1, '2021-07-19 11:35:58', NULL, NULL), (5827, '', '回洞桥村', 'e45436cc86ec4377979d4fd20e8aad1a', '08aad957bb01472e8d23960addb2e689', 'False', 'True', 'false', 'false', '510522109378', 5, '回洞桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522109378', 1, '2021-07-19 11:35:59', NULL, NULL), (5828, '', '进宝村', '088ac10ae9ff45e7a6e7da11e90c248b', '08aad957bb01472e8d23960addb2e689', 'False', 'True', 'false', 'false', '510522109705', 5, '进宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522109705', 1, '2021-07-19 11:35:59', NULL, NULL), (5829, '', '梧桐山村', '01894304795c4bffacac74cb8d29f780', '08aad957bb01472e8d23960addb2e689', 'False', 'True', 'false', 'false', '510522109872', 5, '梧桐山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522109872', 1, '2021-07-19 11:35:59', NULL, NULL), (5830, '', '木广社区', '49e15ca4b3654304874d412852467ec5', '08aad957bb01472e8d23960addb2e689', 'False', 'True', 'false', 'false', '510522210001', 5, '木广社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522210001', 1, '2021-07-19 11:35:59', NULL, NULL), (5831, '', '木广村', '86348480a91d418fb8517ff15a33c231', '08aad957bb01472e8d23960addb2e689', 'False', 'True', 'false', 'false', '510522210201', 5, '木广村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522210201', 1, '2021-07-19 11:35:59', NULL, NULL), (5832, '', '皇城坝村', 'b5e431ec369b4cebbc4da6e21f94ed21', '08aad957bb01472e8d23960addb2e689', 'False', 'True', 'false', 'false', '510522210203', 5, '皇城坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522210203', 1, '2021-07-19 11:35:59', NULL, NULL), (5833, '', '万宝山村', '57f84bd0df174ef981a55e3f34258708', '08aad957bb01472e8d23960addb2e689', 'False', 'True', 'false', 'false', '510522210206', 5, '万宝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522210206', 1, '2021-07-19 11:35:59', NULL, NULL), (5834, '', '八仙村', 'f0de5b035dbc450c99a9662713f46fd0', '08aad957bb01472e8d23960addb2e689', 'False', 'True', 'false', 'false', '510522210208', 5, '八仙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522210208', 1, '2021-07-19 11:35:59', NULL, NULL), (5835, '', '永安村', '99386981e0b946bda7b58b31626d5b74', '08aad957bb01472e8d23960addb2e689', 'False', 'True', 'false', 'false', '510522210209', 5, '永安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522210209', 1, '2021-07-19 11:35:59', NULL, NULL), (5836, '', '坪岩村', '7d763561027d4eedae9c653b159e2114', '08aad957bb01472e8d23960addb2e689', 'False', 'True', 'false', 'false', '510522210211', 5, '坪岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510522210211', 1, '2021-07-19 11:35:59', NULL, NULL), (5837, '', '叙永县', '6b3972eaa58240cb8d18024938eed768', 'f96cd81a6efd4a1d9f65a00b6277b1fb', 'True', 'True', 'false', 'false', '510524000000', 3, '叙永县', 'lzsxyx.sczwfw.gov.cn', 1, '2021-07-19 11:35:59', NULL, NULL), (5838, '', '落卜镇', 'e7cd2c2e58f747bd98dd790671e9857d', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524013000', 4, '落卜镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524013000', 1, '2021-07-19 11:35:59', NULL, NULL), (5839, '', '落卜镇草坝村', 'c2d8fd3e7d774c5eb05ed25c06bb09c4', 'e7cd2c2e58f747bd98dd790671e9857d', 'False', 'True', 'false', 'false', '510524013001', 5, '落卜镇草坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524013001', 1, '2021-07-19 11:35:59', NULL, NULL), (5840, '', '落卜镇大树村', '7563e85be45f480fa044db9e4e4db0fd', 'e7cd2c2e58f747bd98dd790671e9857d', 'False', 'True', 'false', 'false', '510524013002', 5, '落卜镇大树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524013002', 1, '2021-07-19 11:35:59', NULL, NULL), (5841, '', '落卜镇硐坪村', '08b9945b7e734867a091dc85d1bf576c', 'e7cd2c2e58f747bd98dd790671e9857d', 'False', 'True', 'false', 'false', '510524013004', 5, '落卜镇硐坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524013004', 1, '2021-07-19 11:36:00', NULL, NULL), (5842, '', '落卜镇河东社区', 'd9374b200bfe4edabfd72dfa490ca17c', 'e7cd2c2e58f747bd98dd790671e9857d', 'False', 'True', 'false', 'false', '510524013005', 5, '落卜镇河东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524013005', 1, '2021-07-19 11:36:00', NULL, NULL), (5843, '', '落卜镇河西社区', '1a0c278b3db14fa88b789b76779930a0', 'e7cd2c2e58f747bd98dd790671e9857d', 'False', 'True', 'false', 'false', '510524013006', 5, '落卜镇河西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524013006', 1, '2021-07-19 11:36:00', NULL, NULL), (5844, '', '落卜镇红星村', 'c0e0ce0d8b894d7eab3186fc12b751e0', 'e7cd2c2e58f747bd98dd790671e9857d', 'False', 'True', 'false', 'false', '510524013007', 5, '落卜镇红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524013007', 1, '2021-07-19 11:36:00', NULL, NULL), (5845, '', '落卜镇三家坝村', '1ec3456562d6407e8294e86ab5633f40', 'e7cd2c2e58f747bd98dd790671e9857d', 'False', 'True', 'false', 'false', '510524013008', 5, '落卜镇三家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524013008', 1, '2021-07-19 11:36:00', NULL, NULL), (5846, '', '落卜镇三台村', '283e4e98b2a44e7ba66c27da123ed7cf', 'e7cd2c2e58f747bd98dd790671e9857d', 'False', 'True', 'false', 'false', '510524013009', 5, '落卜镇三台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524013009', 1, '2021-07-19 11:36:00', NULL, NULL), (5847, '', '落卜镇新华村', '8c8470b89dd64314b62b322ded4c14d7', 'e7cd2c2e58f747bd98dd790671e9857d', 'False', 'True', 'false', 'false', '510524013010', 5, '落卜镇新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524013010', 1, '2021-07-19 11:36:00', NULL, NULL), (5848, '', '落卜镇云山坝村', '0e04b1d509c24848827bb4170a3b8195', 'e7cd2c2e58f747bd98dd790671e9857d', 'False', 'True', 'false', 'false', '510524013011', 5, '落卜镇云山坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524013011', 1, '2021-07-19 11:36:00', NULL, NULL), (5849, '', '叙永镇', '8487606a4c404e538e60a9dbbf10023f', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524100000', 4, '叙永镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524100000', 1, '2021-07-19 11:36:00', NULL, NULL), (5850, '', '叙永镇定水社区', '192e981e6e7e4c278065de5409e1fc16', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100426', 5, '定水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100426', 1, '2021-07-19 11:36:00', NULL, NULL), (5851, '', '叙永镇南门社区居民委员会', '5da9f1e16f714619afe57486066b9fa6', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100597', 5, '南门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100597', 1, '2021-07-19 11:36:00', NULL, NULL), (5852, '', '叙永镇东外社区', '293f355894474a32920e6e123e64a1ee', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100001', 5, '叙永镇东外社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100001', 1, '2021-07-19 11:36:01', NULL, NULL), (5853, '', '叙永镇东城社区', 'c8e8194051f24e0e8968278b9e92806c', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100002', 5, '叙永镇东城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100002', 1, '2021-07-19 11:36:01', NULL, NULL), (5854, '', '叙永镇宝珠社区', '827db6ae31c0454f9f1713db91f476df', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100003', 5, '叙永镇宝珠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100003', 1, '2021-07-19 11:36:01', NULL, NULL), (5855, '', '叙永镇中城社区', '086208a3e6a644699cb05979d25577e0', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100004', 5, '叙永镇中城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100004', 1, '2021-07-19 11:36:01', NULL, NULL), (5856, '', '叙永镇西城社区', '56c24352bb744bd6ab46185c1b976b5c', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100005', 5, '叙永镇西城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100005', 1, '2021-07-19 11:36:01', NULL, NULL), (5857, '', '叙永镇南城社区', 'e68d8b4752314741a93f96dca78c0f7c', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100006', 5, '叙永镇南城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100006', 1, '2021-07-19 11:36:01', NULL, NULL), (5858, '', '叙永镇环城社区', '92cf6393bcde485cae0fa12f22f3e6cd', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100007', 5, '叙永镇环城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100007', 1, '2021-07-19 11:36:01', NULL, NULL), (5859, '', '叙永镇西外社区', 'ae49aa892c394f6aa54e5e515f5bcb1f', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100008', 5, '叙永镇西外社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100008', 1, '2021-07-19 11:36:01', NULL, NULL), (5860, '', '叙永镇和平社区', 'c3c26083f11e44e18b5617f15fd502e6', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100009', 5, '叙永镇和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100009', 1, '2021-07-19 11:36:01', NULL, NULL), (5861, '', '叙永镇安居村', '950b0d686bb54d2e83b5b6aeb4d211bf', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100201', 5, '叙永镇安居村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100201', 1, '2021-07-19 11:36:01', NULL, NULL), (5862, '', '叙永镇鱼凫社区', 'b71957fa4ea344e894c76c36f8c2b694', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100204', 5, '叙永镇鱼凫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100204', 1, '2021-07-19 11:36:01', NULL, NULL), (5863, '', '叙永镇万家村', '706b00c20c87486dbf1e74f0818505ba', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100207', 5, '叙永镇万家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100207', 1, '2021-07-19 11:36:01', NULL, NULL), (5864, '', '叙永镇车家坝村', '658f8165530c4e0aacc0372175fda309', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100208', 5, '叙永镇车家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100208', 1, '2021-07-19 11:36:01', NULL, NULL), (5865, '', '叙永镇五角村', '01276c9672cf469ebf546d27c90deac8', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100210', 5, '叙永镇五角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100210', 1, '2021-07-19 11:36:02', NULL, NULL), (5866, '', '叙永镇银顶村', 'd14682e1785c4702988f06468841c77a', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100212', 5, '叙永镇银顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100212', 1, '2021-07-19 11:36:02', NULL, NULL), (5867, '', '叙永镇军田村', 'c52cf3017248411d800dc43e48934df8', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100213', 5, '叙永镇军田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100213', 1, '2021-07-19 11:36:02', NULL, NULL), (5868, '', '叙永镇宝莲村', '692339a70d3e41f3830be74e2a5062d5', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100216', 5, '叙永镇宝莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100216', 1, '2021-07-19 11:36:02', NULL, NULL), (5869, '', '叙永镇金桂村', '982d62b015ea436a9f062bd0e1ea67e9', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100217', 5, '叙永镇金桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100217', 1, '2021-07-19 11:36:02', NULL, NULL), (5870, '', '叙永镇大岭村', 'ee89377ffca84851aecd11ba221e2207', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100218', 5, '叙永镇大岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100218', 1, '2021-07-19 11:36:02', NULL, NULL), (5871, '', '叙永镇宝元村', 'b2707dd3394d4e0c839ab8d4ab01d9cf', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100220', 5, '叙永镇宝元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100220', 1, '2021-07-19 11:36:02', NULL, NULL), (5872, '', '叙永镇丹山村', 'b9e627912f3647abb81f1520548264f7', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100225', 5, '叙永镇丹山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100225', 1, '2021-07-19 11:36:02', NULL, NULL), (5873, '', '叙永镇丹桂村', 'cf40037b8ea04b068d234cc22592a0d8', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100228', 5, '叙永镇丹桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100228', 1, '2021-07-19 11:36:02', NULL, NULL), (5874, '', '叙永镇百花村', 'c6b02643e7a14e599d3156963f587938', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100230', 5, '叙永镇百花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100230', 1, '2021-07-19 11:36:02', NULL, NULL), (5875, '', '叙永镇红岩村', '1a030af5f9dc47eb9db8f63cfaf8faa9', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100233', 5, '叙永镇红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100233', 1, '2021-07-19 11:36:02', NULL, NULL), (5876, '', '叙永镇红星社区', '304b68db75324f74962cfeed32807d18', '8487606a4c404e538e60a9dbbf10023f', 'False', 'True', 'false', 'false', '510524100235', 5, '叙永镇红星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524100235', 1, '2021-07-19 11:36:03', NULL, NULL), (5877, '', '江门镇', '55b1dda8852f49ef99399817ba0c7a32', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524101000', 4, '江门镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524101000', 1, '2021-07-19 11:36:03', NULL, NULL), (5878, '', '江门镇江门社区', 'f0b6fb7bd98f4281ba747e5ec0c015a1', '55b1dda8852f49ef99399817ba0c7a32', 'False', 'True', 'false', 'false', '510524101001', 5, '江门镇江门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524101001', 1, '2021-07-19 11:36:03', NULL, NULL), (5879, '', '江门镇光照村', '71e58e10d46648cfbfaaefe8958afa0c', '55b1dda8852f49ef99399817ba0c7a32', 'False', 'True', 'false', 'false', '510524101203', 5, '江门镇光照村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524101203', 1, '2021-07-19 11:36:03', NULL, NULL), (5880, '', '江门镇九江村', 'c1d8c4d637d846aa9212b360bb2ffbcb', '55b1dda8852f49ef99399817ba0c7a32', 'False', 'True', 'false', 'false', '510524101206', 5, '江门镇九江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524101206', 1, '2021-07-19 11:36:03', NULL, NULL), (5881, '', '江门镇新村村', 'e525eb0c7643495cb2026ae50ef9a708', '55b1dda8852f49ef99399817ba0c7a32', 'False', 'True', 'false', 'false', '510524101213', 5, '江门镇新村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524101213', 1, '2021-07-19 11:36:03', NULL, NULL), (5882, '', '江门镇祥林村', 'b5bec54175f04b6389818d138f19f089', '55b1dda8852f49ef99399817ba0c7a32', 'False', 'True', 'false', 'false', '510524101215', 5, '江门镇祥林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524101215', 1, '2021-07-19 11:36:03', NULL, NULL), (5883, '', '江门镇大元村', 'dce22c594c504e199326ad538095a67e', '55b1dda8852f49ef99399817ba0c7a32', 'False', 'True', 'false', 'false', '510524101217', 5, '江门镇大元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524101217', 1, '2021-07-19 11:36:03', NULL, NULL), (5884, '', '江门镇双莲村', '621386d86b2044aab6d772d65036ab44', '55b1dda8852f49ef99399817ba0c7a32', 'False', 'True', 'false', 'false', '510524101221', 5, '江门镇双莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524101221', 1, '2021-07-19 11:36:03', NULL, NULL), (5885, '', '江门镇高家村', '3fd171b9d4ac440f85debaace889b473', '55b1dda8852f49ef99399817ba0c7a32', 'False', 'True', 'false', 'false', '510524101227', 5, '江门镇高家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524101227', 1, '2021-07-19 11:36:03', NULL, NULL), (5886, '', '江门镇向坝村', 'af45e649aae342a28e26950d6f42be94', '55b1dda8852f49ef99399817ba0c7a32', 'False', 'True', 'false', 'false', '510524101230', 5, '江门镇向坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524101230', 1, '2021-07-19 11:36:04', NULL, NULL), (5887, '', '江门镇永胜村', '527ea6cdd23548dabe325f8e849cd397', '55b1dda8852f49ef99399817ba0c7a32', 'False', 'True', 'false', 'false', '510524101233', 5, '江门镇永胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524101233', 1, '2021-07-19 11:36:04', NULL, NULL), (5888, '', '江门镇青云村', 'd50457a3fe87438d8d9c103726c3b17c', '55b1dda8852f49ef99399817ba0c7a32', 'False', 'True', 'false', 'false', '510524101234', 5, '江门镇青云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524101234', 1, '2021-07-19 11:36:04', NULL, NULL), (5889, '', '江门镇古寨社区', 'dc99b8b7cd994a46a7723b9eb8f19033', '55b1dda8852f49ef99399817ba0c7a32', 'False', 'True', 'false', 'false', '510524101293', 5, '江门镇古寨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524101293', 1, '2021-07-19 11:36:04', NULL, NULL), (5890, '', '马岭镇', 'b80198423dcd4ce08a9e665582413d6c', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524102000', 4, '马岭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524102000', 1, '2021-07-19 11:36:04', NULL, NULL), (5891, '', '马岭镇马岭社区', '48c1932d78ff40e6be6cf5e8a18ca9c9', 'b80198423dcd4ce08a9e665582413d6c', 'False', 'True', 'false', 'false', '510524102001', 5, '马岭镇马岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524102001', 1, '2021-07-19 11:36:04', NULL, NULL), (5892, '', '马岭镇三块石村', 'a131e1241982422f9d3c2ae01cb72d88', 'b80198423dcd4ce08a9e665582413d6c', 'False', 'True', 'false', 'false', '510524102202', 5, '马岭镇三块石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524102202', 1, '2021-07-19 11:36:04', NULL, NULL), (5893, '', '马岭镇高店村', '1fee7f024d0d47cfa8b473c5c5852307', 'b80198423dcd4ce08a9e665582413d6c', 'False', 'True', 'false', 'false', '510524102205', 5, '马岭镇高店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524102205', 1, '2021-07-19 11:36:04', NULL, NULL), (5894, '', '马岭镇石龙村', '95c729028b8a43f4af6939cadf6f1367', 'b80198423dcd4ce08a9e665582413d6c', 'False', 'True', 'false', 'false', '510524102207', 5, '马岭镇石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524102207', 1, '2021-07-19 11:36:04', NULL, NULL), (5895, '', '马岭镇龙盘村', 'ab918945af6d4506be8087ebd7d96f17', 'b80198423dcd4ce08a9e665582413d6c', 'False', 'True', 'false', 'false', '510524102208', 5, '马岭镇龙盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524102208', 1, '2021-07-19 11:36:04', NULL, NULL), (5896, '', '马岭镇平青村', 'b9437cb72ce84388a61b967008ddef55', 'b80198423dcd4ce08a9e665582413d6c', 'False', 'True', 'false', 'false', '510524102215', 5, '马岭镇平青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524102215', 1, '2021-07-19 11:36:04', NULL, NULL), (5897, '', '马岭镇紫阳村', 'd4965b1786a545b7bea7b7c9694f79d6', 'b80198423dcd4ce08a9e665582413d6c', 'False', 'True', 'false', 'false', '510524102216', 5, '马岭镇紫阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524102216', 1, '2021-07-19 11:36:05', NULL, NULL), (5898, '', '马岭镇盘田村', '4efc5bb4cda84a51b64135cbff8c32cd', 'b80198423dcd4ce08a9e665582413d6c', 'False', 'True', 'false', 'false', '510524102223', 5, '马岭镇盘田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524102223', 1, '2021-07-19 11:36:05', NULL, NULL), (5899, '', '马岭镇清凉洞村', '97b8be8ad27e40f49cee0f6521383444', 'b80198423dcd4ce08a9e665582413d6c', 'False', 'True', 'false', 'false', '510524102224', 5, '马岭镇清凉洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524102224', 1, '2021-07-19 11:36:05', NULL, NULL), (5900, '', '马岭镇麦地坝村', '306dd3c599b4455ba62cdff3289c8a70', 'b80198423dcd4ce08a9e665582413d6c', 'False', 'True', 'false', 'false', '510524102226', 5, '马岭镇麦地坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524102226', 1, '2021-07-19 11:36:05', NULL, NULL), (5901, '', '马岭镇凤凰村', '87e9a3721ceb4a82bfe30188c7656b39', 'b80198423dcd4ce08a9e665582413d6c', 'False', 'True', 'false', 'false', '510524102227', 5, '马岭镇凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524102227', 1, '2021-07-19 11:36:05', NULL, NULL), (5902, '', '天池镇', 'd77de235b97f44029390e1191eb213c7', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524103000', 4, '天池镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524103000', 1, '2021-07-19 11:36:05', NULL, NULL), (5903, '', '天池镇大水井社区', '1486646136fd4c55b1f4f12450a58704', 'd77de235b97f44029390e1191eb213c7', 'False', 'True', 'false', 'false', '510524103001', 5, '天池镇大水井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524103001', 1, '2021-07-19 11:36:05', NULL, NULL), (5904, '', '天池镇盐井村', 'e4eb78545dda4ed8b54d3f9b9750917a', 'd77de235b97f44029390e1191eb213c7', 'False', 'True', 'false', 'false', '510524103213', 5, '天池镇盐井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524103213', 1, '2021-07-19 11:36:05', NULL, NULL), (5905, '', '天池镇高木村', 'a5bc9c84f5c1425d9ac834f37b21b871', 'd77de235b97f44029390e1191eb213c7', 'False', 'True', 'false', 'false', '510524103214', 5, '天池镇高木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524103214', 1, '2021-07-19 11:36:05', NULL, NULL), (5906, '', '天池镇柏阳村', 'd58024d3a5ff48e99f1a83bfd7cc262a', 'd77de235b97f44029390e1191eb213c7', 'False', 'True', 'false', 'false', '510524103215', 5, '天池镇柏阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524103215', 1, '2021-07-19 11:36:05', NULL, NULL), (5907, '', '天池镇凤江村', '0a55effc97aa4e28a7cde19a27e61cd3', 'd77de235b97f44029390e1191eb213c7', 'False', 'True', 'false', 'false', '510524103216', 5, '天池镇凤江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524103216', 1, '2021-07-19 11:36:05', NULL, NULL), (5908, '', '天池镇甲寨子村', '6cc7a6665086454395f7ab5d1cf5e966', 'd77de235b97f44029390e1191eb213c7', 'False', 'True', 'false', 'false', '510524103217', 5, '天池镇甲寨子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524103217', 1, '2021-07-19 11:36:05', NULL, NULL), (5909, '', '水尾镇', 'ef3a1331be7d4424b3ad6cedc9d18f2b', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524104000', 4, '水尾镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524104000', 1, '2021-07-19 11:36:05', NULL, NULL), (5910, '', '水尾镇画稿溪社区', '3f9cc547422e443580d9b0c0496f4892', 'ef3a1331be7d4424b3ad6cedc9d18f2b', 'False', 'True', 'false', 'false', '510524104001', 5, '水尾镇画稿溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524104001', 1, '2021-07-19 11:36:05', NULL, NULL), (5911, '', '水尾镇安全村', '495649fa1a1a4563b304408c218f42fb', 'ef3a1331be7d4424b3ad6cedc9d18f2b', 'False', 'True', 'false', 'false', '510524104201', 5, '水尾镇安全村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524104201', 1, '2021-07-19 11:36:06', NULL, NULL), (5912, '', '水尾镇会龙村', '99ce8bb0fcd448d29fb25aea640c68c8', 'ef3a1331be7d4424b3ad6cedc9d18f2b', 'False', 'True', 'false', 'false', '510524104203', 5, '会龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524104203', 1, '2021-07-19 11:36:06', NULL, NULL), (5913, '', '水尾镇钢铁村', '2cb4c1741d3b413c86e641e10b0538d5', 'ef3a1331be7d4424b3ad6cedc9d18f2b', 'False', 'True', 'false', 'false', '510524104204', 5, '水尾镇钢铁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524104204', 1, '2021-07-19 11:36:06', NULL, NULL), (5914, '', '水尾镇水星村', 'c90e85ac69f243deb700a8da05b5f012', 'ef3a1331be7d4424b3ad6cedc9d18f2b', 'False', 'True', 'false', 'false', '510524104205', 5, '水尾镇水星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524104205', 1, '2021-07-19 11:36:06', NULL, NULL), (5915, '', '水尾镇月明村', '0e6c1932006c46de81de7254e5eedc13', 'ef3a1331be7d4424b3ad6cedc9d18f2b', 'False', 'True', 'false', 'false', '510524104208', 5, '水尾镇月明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524104208', 1, '2021-07-19 11:36:06', NULL, NULL), (5916, '', '水尾镇番山村', '70fd1087375c483f9b014f4f6636e233', 'ef3a1331be7d4424b3ad6cedc9d18f2b', 'False', 'True', 'false', 'false', '510524104212', 5, '水尾镇番山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524104212', 1, '2021-07-19 11:36:06', NULL, NULL), (5917, '', '水尾镇青杠村', '1640ffff0e0a41929ba9f382e736a4c5', 'ef3a1331be7d4424b3ad6cedc9d18f2b', 'False', 'True', 'false', 'false', '510524104217', 5, '水尾镇青杠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524104217', 1, '2021-07-19 11:36:06', NULL, NULL), (5918, '', '水尾镇官斗村', 'ae777ac42a5b4a85b72a7299567f71d9', 'ef3a1331be7d4424b3ad6cedc9d18f2b', 'False', 'True', 'false', 'false', '510524104218', 5, '水尾镇官斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524104218', 1, '2021-07-19 11:36:06', NULL, NULL), (5919, '', '水尾镇广木村', '675d575634da4542b81ad815cdfb767b', 'ef3a1331be7d4424b3ad6cedc9d18f2b', 'False', 'True', 'false', 'false', '510524104222', 5, '水尾镇广木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524104222', 1, '2021-07-19 11:36:06', NULL, NULL), (5920, '', '水尾镇观音阁村', 'e35e7fb031904909b2f10e173ee87692', 'ef3a1331be7d4424b3ad6cedc9d18f2b', 'False', 'True', 'false', 'false', '510524104223', 5, '水尾镇观音阁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524104223', 1, '2021-07-19 11:36:06', NULL, NULL), (5921, '', '两河镇', '39029eb1c74a4d7880d5e0cdc0247be6', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524105000', 4, '两河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524105000', 1, '2021-07-19 11:36:06', NULL, NULL), (5922, '', '两河镇两河社区', '76802d082be348358c719c26c79c42bd', '39029eb1c74a4d7880d5e0cdc0247be6', 'False', 'True', 'false', 'false', '510524105001', 5, '两河镇两河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524105001', 1, '2021-07-19 11:36:06', NULL, NULL), (5923, '', '两河镇保丰村', 'b411f891723e4580bd0e8b6c21aefea1', '39029eb1c74a4d7880d5e0cdc0247be6', 'False', 'True', 'false', 'false', '510524105201', 5, '两河镇保丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524105201', 1, '2021-07-19 11:36:06', NULL, NULL), (5924, '', '两河镇镇国村', '4d44d339308f4a4fbbdb356d9834f4d8', '39029eb1c74a4d7880d5e0cdc0247be6', 'False', 'True', 'false', 'false', '510524105203', 5, '两河镇镇国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524105203', 1, '2021-07-19 11:36:06', NULL, NULL), (5925, '', '两河镇乐郎村', '308022ef98694d8da085a7b5c9892b83', '39029eb1c74a4d7880d5e0cdc0247be6', 'False', 'True', 'false', 'false', '510524105211', 5, '两河镇乐郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524105211', 1, '2021-07-19 11:36:06', NULL, NULL), (5926, '', '两河镇何营村', 'e4e6fce006b0443b96012608c437e834', '39029eb1c74a4d7880d5e0cdc0247be6', 'False', 'True', 'false', 'false', '510524105214', 5, '两河镇何营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524105214', 1, '2021-07-19 11:36:06', NULL, NULL), (5927, '', '两河镇尖山村', '8735f0923d484e3a97d065b3b2618e48', '39029eb1c74a4d7880d5e0cdc0247be6', 'False', 'True', 'false', 'false', '510524105224', 5, '两河镇尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524105224', 1, '2021-07-19 11:36:07', NULL, NULL), (5928, '', '两河镇鱼香坪村', '136b66de9f8141af907bb7494817503d', '39029eb1c74a4d7880d5e0cdc0247be6', 'False', 'True', 'false', 'false', '510524105230', 5, '两河镇鱼香坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524105230', 1, '2021-07-19 11:36:07', NULL, NULL), (5929, '', '两河镇双狮村', '05600c93a8374b5581842e5ad148e07e', '39029eb1c74a4d7880d5e0cdc0247be6', 'False', 'True', 'false', 'false', '510524105234', 5, '两河镇双狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524105234', 1, '2021-07-19 11:36:07', NULL, NULL), (5930, '', '两河镇关坝村', '3c6c0812926c43a79f67f06a8658d39d', '39029eb1c74a4d7880d5e0cdc0247be6', 'False', 'True', 'false', 'false', '510524105235', 5, '两河镇关坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524105235', 1, '2021-07-19 11:36:07', NULL, NULL), (5931, '', '两河镇天生桥村', '38800f89487849e4a83e39f69606decd', '39029eb1c74a4d7880d5e0cdc0247be6', 'False', 'True', 'false', 'false', '510524105236', 5, '两河镇天生桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524105236', 1, '2021-07-19 11:36:07', NULL, NULL), (5932, '', '两河镇太平山村', 'a1ae5e78c2fa4378920f312f263073c5', '39029eb1c74a4d7880d5e0cdc0247be6', 'False', 'True', 'false', 'false', '510524105237', 5, '两河镇太平山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524105237', 1, '2021-07-19 11:36:07', NULL, NULL), (5933, '', '后山镇', '71e4d3e5657945a7991a0dc3578bb3dd', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524107000', 4, '后山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524107000', 1, '2021-07-19 11:36:07', NULL, NULL), (5934, '', '后山镇后山社区', '7df62912b1ff4402a5ac181b185340a1', '71e4d3e5657945a7991a0dc3578bb3dd', 'False', 'True', 'false', 'false', '510524107001', 5, '后山镇后山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524107001', 1, '2021-07-19 11:36:07', NULL, NULL), (5935, '', '后山镇三斗米村', 'a579182120134890b434b4f7fe83c9ce', '71e4d3e5657945a7991a0dc3578bb3dd', 'False', 'True', 'false', 'false', '510524107201', 5, '后山镇三斗米村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524107201', 1, '2021-07-19 11:36:07', NULL, NULL), (5936, '', '后山镇丰收村', '1c5747b074054da4832af31adf459909', '71e4d3e5657945a7991a0dc3578bb3dd', 'False', 'True', 'false', 'false', '510524107202', 5, '后山镇丰收村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524107202', 1, '2021-07-19 11:36:07', NULL, NULL), (5937, '', '后山镇后山村', '11d8f6e9a1dd4a5696bd55b36ba7ead6', '71e4d3e5657945a7991a0dc3578bb3dd', 'False', 'True', 'false', 'false', '510524107203', 5, '后山镇后山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524107203', 1, '2021-07-19 11:36:07', NULL, NULL), (5938, '', '后山镇高楼村', 'be4a4b71fda341fbb48e26b1e7b86373', '71e4d3e5657945a7991a0dc3578bb3dd', 'False', 'True', 'false', 'false', '510524107206', 5, '后山镇高楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524107206', 1, '2021-07-19 11:36:08', NULL, NULL), (5939, '', '后山镇河源村', '3340c6f75ea04c488e78d8a40397db01', '71e4d3e5657945a7991a0dc3578bb3dd', 'False', 'True', 'false', 'false', '510524107207', 5, '后山镇河源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524107207', 1, '2021-07-19 11:36:08', NULL, NULL), (5940, '', '后山镇海坝村', 'cd3b40cef994445fae2d649ff793143c', '71e4d3e5657945a7991a0dc3578bb3dd', 'False', 'True', 'false', 'false', '510524107209', 5, '后山镇海坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524107209', 1, '2021-07-19 11:36:08', NULL, NULL), (5941, '', '后山镇鹰嘴村', '2e5539cd23b043f89cbe34cc58ab4b48', '71e4d3e5657945a7991a0dc3578bb3dd', 'False', 'True', 'false', 'false', '510524107213', 5, '后山镇鹰嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524107213', 1, '2021-07-19 11:36:08', NULL, NULL), (5942, '', '后山镇海力村', 'ea3b3aad5b6f4d6da85a0c962b4c2fdd', '71e4d3e5657945a7991a0dc3578bb3dd', 'False', 'True', 'false', 'false', '510524107214', 5, '后山镇海力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524107214', 1, '2021-07-19 11:36:08', NULL, NULL), (5943, '', '后山镇天元村', '731dc25c8d614d7884d8abef47995fdd', '71e4d3e5657945a7991a0dc3578bb3dd', 'False', 'True', 'false', 'false', '510524107218', 5, '后山镇天元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524107218', 1, '2021-07-19 11:36:08', NULL, NULL), (5944, '', '分水镇', 'f0cc7f7ab6a44228b36639fbac94b39b', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524108000', 4, '分水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524108000', 1, '2021-07-19 11:36:08', NULL, NULL), (5945, '', '分水镇分水社区', 'd5d37f97f5d54fb584e7cb614716347d', 'f0cc7f7ab6a44228b36639fbac94b39b', 'False', 'True', 'false', 'false', '510524108001', 5, '分水镇分水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524108001', 1, '2021-07-19 11:36:08', NULL, NULL), (5946, '', '分水镇分水村', '9f536f65b00649a89c9f4753d20aaad7', 'f0cc7f7ab6a44228b36639fbac94b39b', 'False', 'True', 'false', 'false', '510524108201', 5, '分水镇分水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524108201', 1, '2021-07-19 11:36:08', NULL, NULL), (5947, '', '分水镇鱼洞村', '67e75110189a46cb859f2fa2db3081a1', 'f0cc7f7ab6a44228b36639fbac94b39b', 'False', 'True', 'false', 'false', '510524108208', 5, '分水镇鱼洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524108208', 1, '2021-07-19 11:36:08', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (5948, '', '分水镇木格倒村', '303406a780ad444599c79d84fe00084a', 'f0cc7f7ab6a44228b36639fbac94b39b', 'False', 'True', 'false', 'false', '510524108213', 5, '分水镇木格倒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524108213', 1, '2021-07-19 11:36:08', NULL, NULL), (5949, '', '分水镇广子村', '857b78ef965b48c9bac339afc306d404', 'f0cc7f7ab6a44228b36639fbac94b39b', 'False', 'True', 'false', 'false', '510524108226', 5, '分水镇广子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524108226', 1, '2021-07-19 11:36:08', NULL, NULL), (5950, '', '分水镇龙洞村', 'a42d342877b94db798dc066d1436df00', 'f0cc7f7ab6a44228b36639fbac94b39b', 'False', 'True', 'false', 'false', '510524108230', 5, '分水镇龙洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524108230', 1, '2021-07-19 11:36:08', NULL, NULL), (5951, '', '分水镇路井村', '513d63a32ab94d419b8b840e66f14963', 'f0cc7f7ab6a44228b36639fbac94b39b', 'False', 'True', 'false', 'false', '510524108231', 5, '分水镇路井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524108231', 1, '2021-07-19 11:36:08', NULL, NULL), (5952, '', '分水镇新民村', 'b9efb53ca71c49568ed230ab68eed3e1', 'f0cc7f7ab6a44228b36639fbac94b39b', 'False', 'True', 'false', 'false', '510524108232', 5, '分水镇新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524108232', 1, '2021-07-19 11:36:08', NULL, NULL), (5953, '', '分水镇田坝村', '17458036945d474f8666ca4dc6deaa12', 'f0cc7f7ab6a44228b36639fbac94b39b', 'False', 'True', 'false', 'false', '510524108233', 5, '分水镇田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524108233', 1, '2021-07-19 11:36:08', NULL, NULL), (5954, '', '分水镇太平村', '078b7a2a0fc24132a1953951b64554b6', 'f0cc7f7ab6a44228b36639fbac94b39b', 'False', 'True', 'false', 'false', '510524108234', 5, '分水镇太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524108234', 1, '2021-07-19 11:36:09', NULL, NULL), (5955, '', '分水镇终南村', '9289568746094152ac73421535b95a40', 'f0cc7f7ab6a44228b36639fbac94b39b', 'False', 'True', 'false', 'false', '510524108235', 5, '分水镇终南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524108235', 1, '2021-07-19 11:36:09', NULL, NULL), (5956, '', '分水镇兴隆村', 'd555df92465c4f91baedab60921c8f7a', 'f0cc7f7ab6a44228b36639fbac94b39b', 'False', 'True', 'false', 'false', '510524108236', 5, '分水镇兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524108236', 1, '2021-07-19 11:36:09', NULL, NULL), (5957, '', '摩尼镇', 'a040181e63534986a6d7130cda44b356', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524109000', 4, '摩尼镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524109000', 1, '2021-07-19 11:36:09', NULL, NULL), (5958, '', '摩尼镇太康村', 'efc710701e954484b92c058d5ac3dbc9', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109003', 5, '摩尼镇太康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109003', 1, '2021-07-19 11:36:09', NULL, NULL), (5959, '', '摩尼镇营山村', '24109608d6764c14a0415dad6709dd41', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109242', 5, '摩尼镇营山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109242', 1, '2021-07-19 11:36:09', NULL, NULL), (5960, '', '摩尼镇仙洞村', '4e6f02c0ac2b416d8ab034d93ecc1686', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109252', 5, '摩尼镇仙洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109252', 1, '2021-07-19 11:36:09', NULL, NULL), (5961, '', '摩尼镇隆场村', '5b7ff0a18b7c425baccd51c33ee5d79e', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109274', 5, '摩尼镇隆场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109274', 1, '2021-07-19 11:36:09', NULL, NULL), (5962, '', '摩尼镇马湖村', 'f0a5fa6041db4c22aca1a2a28d155818', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109640', 5, '摩尼镇马湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109640', 1, '2021-07-19 11:36:09', NULL, NULL), (5963, '', '摩尼镇营盘山社区', '498c38c4fb75438391f022b3ab39ac50', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109949', 5, '摩尼镇营盘山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109949', 1, '2021-07-19 11:36:09', NULL, NULL), (5964, '', '摩尼镇金沙村', '6764f0d4843e46039bc4617d98d4863c', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109954', 5, '金沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109954', 1, '2021-07-19 11:36:10', NULL, NULL), (5965, '', '摩尼镇摩尼社区', 'b258660745fd45728892d4bcf94a53df', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109001', 5, '摩尼镇摩尼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109001', 1, '2021-07-19 11:36:10', NULL, NULL), (5966, '', '摩尼镇簸箩村', 'ad5366f96fa34ebcbb130056738b8e38', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109204', 5, '摩尼镇簸箩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109204', 1, '2021-07-19 11:36:10', NULL, NULL), (5967, '', '摩尼镇东柴村', '07969f8e99c84031a1bc16668a98c2a1', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109208', 5, '摩尼镇东柴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109208', 1, '2021-07-19 11:36:10', NULL, NULL), (5968, '', '摩尼镇金榜村', '1e394b02b7ad42748198f59dd0ba3fc5', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109211', 5, '摩尼镇金榜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109211', 1, '2021-07-19 11:36:10', NULL, NULL), (5969, '', '摩尼镇田义村', '3f89b3f52d34444f8fed925f32cd70ad', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109213', 5, '摩尼镇田义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109213', 1, '2021-07-19 11:36:10', NULL, NULL), (5970, '', '摩尼镇枧槽村', '9979897a4ea34d358c2ecd7810242c1d', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109215', 5, '摩尼镇枧槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109215', 1, '2021-07-19 11:36:10', NULL, NULL), (5971, '', '摩尼镇联盟村', 'a1251b33b5544466871bc06d21c4709e', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109224', 5, '摩尼镇联盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109224', 1, '2021-07-19 11:36:10', NULL, NULL), (5972, '', '摩尼镇李红村', '36e71bc3ca7f4ea785062026798fb852', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109225', 5, '摩尼镇李红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109225', 1, '2021-07-19 11:36:10', NULL, NULL), (5973, '', '摩尼镇龚山村', 'c5e1b4e406934b98b1cd6e9ed6520989', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109226', 5, '摩尼镇龚山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109226', 1, '2021-07-19 11:36:10', NULL, NULL), (5974, '', '摩尼镇郭庙村', 'c5857d1f83d34a72a65ebfbb34e6bf38', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109228', 5, '摩尼镇郭庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109228', 1, '2021-07-19 11:36:10', NULL, NULL), (5975, '', '摩尼镇旗燕村', '04c206acdb664582b50f1c0083a30746', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109229', 5, '摩尼镇旗燕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109229', 1, '2021-07-19 11:36:10', NULL, NULL), (5976, '', '摩尼镇黑尼村', '7e61ff02ee2e498790149cf8fc09da08', 'a040181e63534986a6d7130cda44b356', 'False', 'True', 'false', 'false', '510524109230', 5, '摩尼镇黑尼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524109230', 1, '2021-07-19 11:36:10', NULL, NULL), (5977, '', '赤水镇', '9b6b42429a4d4bd4a2fa08f00f503f79', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524110000', 4, '赤水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524110000', 1, '2021-07-19 11:36:11', NULL, NULL), (5978, '', '赤水镇赤水社区', '31057cefd8f9457ea3aa2a06f15ee2a4', '9b6b42429a4d4bd4a2fa08f00f503f79', 'False', 'True', 'false', 'false', '510524110001', 5, '赤水镇赤水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524110001', 1, '2021-07-19 11:36:11', NULL, NULL), (5979, '', '赤水镇双山村', '8d17af1b55d045239c49c75cf0da24f1', '9b6b42429a4d4bd4a2fa08f00f503f79', 'False', 'True', 'false', 'false', '510524110205', 5, '赤水镇双山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524110205', 1, '2021-07-19 11:36:11', NULL, NULL), (5980, '', '赤水镇孙家村', '86647de918774ac2a033f5997af76636', '9b6b42429a4d4bd4a2fa08f00f503f79', 'False', 'True', 'false', 'false', '510524110206', 5, '赤水镇孙家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524110206', 1, '2021-07-19 11:36:11', NULL, NULL), (5981, '', '赤水镇斜口村', 'd915940783c64a5eb1ab40d20231ca8d', '9b6b42429a4d4bd4a2fa08f00f503f79', 'False', 'True', 'false', 'false', '510524110209', 5, '赤水镇斜口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524110209', 1, '2021-07-19 11:36:11', NULL, NULL), (5982, '', '赤水镇大文村', '58b6af8c10d1485f8fef133ca83e5998', '9b6b42429a4d4bd4a2fa08f00f503f79', 'False', 'True', 'false', 'false', '510524110211', 5, '赤水镇大文村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524110211', 1, '2021-07-19 11:36:11', NULL, NULL), (5983, '', '赤水镇良坪村', 'b2d3f204c64e4118b8afd9ad7ee68843', '9b6b42429a4d4bd4a2fa08f00f503f79', 'False', 'True', 'false', 'false', '510524110212', 5, '赤水镇良坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524110212', 1, '2021-07-19 11:36:11', NULL, NULL), (5984, '', '赤水镇松林村', 'b045010fd69842d7a1d70f2ad7c4029c', '9b6b42429a4d4bd4a2fa08f00f503f79', 'False', 'True', 'false', 'false', '510524110213', 5, '赤水镇松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524110213', 1, '2021-07-19 11:36:11', NULL, NULL), (5985, '', '赤水镇中沙村', 'aa2c94a467a14558818e0575d7462ee3', '9b6b42429a4d4bd4a2fa08f00f503f79', 'False', 'True', 'false', 'false', '510524110215', 5, '赤水镇中沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524110215', 1, '2021-07-19 11:36:11', NULL, NULL), (5986, '', '赤水镇石门村', '0619ea3b6cdb4ad587068d873ddd58fc', '9b6b42429a4d4bd4a2fa08f00f503f79', 'False', 'True', 'false', 'false', '510524110219', 5, '赤水镇石门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524110219', 1, '2021-07-19 11:36:11', NULL, NULL), (5987, '', '赤水镇海风社区', '377de2086c22445c9813a3d2ef830875', '9b6b42429a4d4bd4a2fa08f00f503f79', 'False', 'True', 'false', 'false', '510524110220', 5, '赤水镇海风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524110220', 1, '2021-07-19 11:36:11', NULL, NULL), (5988, '', '赤水镇檬梓村', '3c64fca145ad4614ab6d6d5d88a1349a', '9b6b42429a4d4bd4a2fa08f00f503f79', 'False', 'True', 'false', 'false', '510524110222', 5, '赤水镇檬梓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524110222', 1, '2021-07-19 11:36:11', NULL, NULL), (5989, '', '赤水镇南山村', 'acfc94f4de7a41d4aedc9121dbb81ce5', '9b6b42429a4d4bd4a2fa08f00f503f79', 'False', 'True', 'false', 'false', '510524110223', 5, '赤水镇南山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524110223', 1, '2021-07-19 11:36:11', NULL, NULL), (5990, '', '赤水镇黄坪村', 'd85eaebbfe0840a787365c64648c06a9', '9b6b42429a4d4bd4a2fa08f00f503f79', 'False', 'True', 'false', 'false', '510524110227', 5, '赤水镇黄坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524110227', 1, '2021-07-19 11:36:11', NULL, NULL), (5991, '', '赤水镇三分村', '57d8375188304c37990162230ec00c49', '9b6b42429a4d4bd4a2fa08f00f503f79', 'False', 'True', 'false', 'false', '510524110229', 5, '赤水镇三分村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524110229', 1, '2021-07-19 11:36:11', NULL, NULL), (5992, '', '龙凤镇', '8c5f605894724fe4921235906cb78434', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524111000', 4, '龙凤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524111000', 1, '2021-07-19 11:36:12', NULL, NULL), (5993, '', '龙凤镇卷子城村', 'a8e9d2b5e70847e58667f5f18c00ead7', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111220', 5, '龙凤镇卷子城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111220', 1, '2021-07-19 11:36:12', NULL, NULL), (5994, '', '龙凤镇南坳村', '8faf0ce099b44eda8f0d2e8b096c1837', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111380', 5, '龙凤镇南坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111380', 1, '2021-07-19 11:36:12', NULL, NULL), (5995, '', '龙凤镇黄家坝村', '63617f33c82e48ffaa4d9013a51e022b', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111443', 5, '龙凤镇黄家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111443', 1, '2021-07-19 11:36:12', NULL, NULL), (5996, '', '龙凤镇兴隆社区', '7dfdbdb5c8a1488499ef13418c23aa8f', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111459', 5, '龙凤镇兴隆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111459', 1, '2021-07-19 11:36:12', NULL, NULL), (5997, '', '龙凤镇大竹村', '59901659512740d7aad499642dad1fe3', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111566', 5, '龙凤镇大竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111566', 1, '2021-07-19 11:36:12', NULL, NULL), (5998, '', '龙凤镇凉伞坡村', '69c1d47ff03c4d53a2c2b563b005b391', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111676', 5, '凉伞坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111676', 1, '2021-07-19 11:36:12', NULL, NULL), (5999, '', '龙凤镇黄桷坪', 'e0e084f1a84d4e5d9065c73335cb25fb', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111884', 5, '龙凤镇黄桷坪', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111884', 1, '2021-07-19 11:36:12', NULL, NULL), (6000, '', '龙凤镇茨竹村', 'ddfa1feb302a4621b2900b65000ed37d', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111931', 5, '龙凤镇茨竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111931', 1, '2021-07-19 11:36:12', NULL, NULL), (6001, '', '龙凤镇龙凤社区', '3a7fff8b314b4c989fb9e53039d288f8', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111001', 5, '龙凤镇龙凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111001', 1, '2021-07-19 11:36:12', NULL, NULL), (6002, '', '龙凤镇四坪村', '64b90bda6aa845c3b6ca83b191eb882f', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111204', 5, '龙凤镇四坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111204', 1, '2021-07-19 11:36:12', NULL, NULL), (6003, '', '龙凤镇谊合村', 'a7ce4897d7314393ab398fbcee816e21', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111206', 5, '龙凤镇谊合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111206', 1, '2021-07-19 11:36:12', NULL, NULL), (6004, '', '龙凤镇新松村', '2d57134d7cfc4cc685612069e6aa14a6', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111209', 5, '龙凤镇新松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111209', 1, '2021-07-19 11:36:12', NULL, NULL), (6005, '', '龙凤镇凤池村', '3d338919a40344b58d201dc5d620356d', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111212', 5, '龙凤镇凤池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111212', 1, '2021-07-19 11:36:12', NULL, NULL), (6006, '', '龙凤镇凤林村', '5f250742d52c4ae48a0b56d9cd9ee78c', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111213', 5, '龙凤镇凤林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111213', 1, '2021-07-19 11:36:12', NULL, NULL), (6007, '', '龙凤镇文村村', 'a98ae4d9f473481788f0b135c77cee1f', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111214', 5, '龙凤镇文村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111214', 1, '2021-07-19 11:36:12', NULL, NULL), (6008, '', '龙凤镇五桂元村', '4c424e1e05164f47bda928b4f63231fc', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111217', 5, '龙凤镇五桂元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111217', 1, '2021-07-19 11:36:12', NULL, NULL), (6009, '', '龙凤镇后安村', '9d8df165e275422f94b3cbad3ede4475', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111218', 5, '龙凤镇后安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111218', 1, '2021-07-19 11:36:12', NULL, NULL), (6010, '', '龙凤镇宝合村', '1b7be5da2cee4297ab6e4241e45e3d73', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111222', 5, '龙凤镇宝合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111222', 1, '2021-07-19 11:36:12', NULL, NULL), (6011, '', '龙凤镇双桥村', 'cde7f16313f940419981b9d6ad5f0f57', '8c5f605894724fe4921235906cb78434', 'False', 'True', 'false', 'false', '510524111226', 5, '龙凤镇双桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524111226', 1, '2021-07-19 11:36:12', NULL, NULL), (6012, '', '正东镇', 'b3e9d419144f43fc911ab78e34d5a178', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524112000', 4, '正东镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524112000', 1, '2021-07-19 11:36:13', NULL, NULL), (6013, '', '正东镇正东社区', 'ef19eea7b6234889b794f3e0e8d1c01c', 'b3e9d419144f43fc911ab78e34d5a178', 'False', 'True', 'false', 'false', '510524112001', 5, '正东镇正东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524112001', 1, '2021-07-19 11:36:13', NULL, NULL), (6014, '', '正东镇西湖村', 'c37cc410db5f475aa8ace575ef6b5dcb', 'b3e9d419144f43fc911ab78e34d5a178', 'False', 'True', 'false', 'false', '510524112202', 5, '正东镇西湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524112202', 1, '2021-07-19 11:36:13', NULL, NULL), (6015, '', '正东镇落业村', 'c80ecb98ebf5452ca955cb46b8b5d835', 'b3e9d419144f43fc911ab78e34d5a178', 'False', 'True', 'false', 'false', '510524112203', 5, '正东镇落业村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524112203', 1, '2021-07-19 11:36:13', NULL, NULL), (6016, '', '正东镇团山村', 'a739dd68c17040968604dba8a019eeda', 'b3e9d419144f43fc911ab78e34d5a178', 'False', 'True', 'false', 'false', '510524112207', 5, '正东镇团山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524112207', 1, '2021-07-19 11:36:13', NULL, NULL), (6017, '', '正东镇伏龙村', 'b6847ffc3af54e56af0d2c7eddca20de', 'b3e9d419144f43fc911ab78e34d5a178', 'False', 'True', 'false', 'false', '510524112209', 5, '正东镇伏龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524112209', 1, '2021-07-19 11:36:13', NULL, NULL), (6018, '', '正东镇新龙村', '5bc5fe1cf9db49959d996029f7bdef09', 'b3e9d419144f43fc911ab78e34d5a178', 'False', 'True', 'false', 'false', '510524112211', 5, '正东镇新龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524112211', 1, '2021-07-19 11:36:13', NULL, NULL), (6019, '', '正东镇林宝村', '3ccb76aaf81d43fa90bd83cc4041f257', 'b3e9d419144f43fc911ab78e34d5a178', 'False', 'True', 'false', 'false', '510524112215', 5, '正东镇林宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524112215', 1, '2021-07-19 11:36:13', NULL, NULL), (6020, '', '正东镇石桩村', 'bae35bd8d2494c66a1d18b6a267da76d', 'b3e9d419144f43fc911ab78e34d5a178', 'False', 'True', 'false', 'false', '510524112219', 5, '正东镇石桩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524112219', 1, '2021-07-19 11:36:13', NULL, NULL), (6021, '', '正东镇阳坪村', '05a233a15cf54005b78c42268fb4a649', 'b3e9d419144f43fc911ab78e34d5a178', 'False', 'True', 'false', 'false', '510524112221', 5, '正东镇阳坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524112221', 1, '2021-07-19 11:36:13', NULL, NULL), (6022, '', '正东镇普市村', 'e1caef45598d4d7a98089a880e45613d', 'b3e9d419144f43fc911ab78e34d5a178', 'False', 'True', 'false', 'false', '510524112224', 5, '正东镇普市村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524112224', 1, '2021-07-19 11:36:13', NULL, NULL), (6023, '', '正东镇永兴村', 'b1a53c65b9014520af3849c23c69a93e', 'b3e9d419144f43fc911ab78e34d5a178', 'False', 'True', 'false', 'false', '510524112516', 5, '正东镇永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524112516', 1, '2021-07-19 11:36:13', NULL, NULL), (6024, '', '观兴镇', '6ee8b6dace33484fb5950e69eb0546cd', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524113000', 4, '观兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524113000', 1, '2021-07-19 11:36:13', NULL, NULL), (6025, '', '观兴镇观兴社区', 'c8e7df2ba9f24ed18ce8a0ddf549a08d', '6ee8b6dace33484fb5950e69eb0546cd', 'False', 'True', 'false', 'false', '510524113001', 5, '观兴镇观兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524113001', 1, '2021-07-19 11:36:13', NULL, NULL), (6026, '', '观兴镇河坝村', '58b01294a4d04d508d3f6741d5bde4e2', '6ee8b6dace33484fb5950e69eb0546cd', 'False', 'True', 'false', 'false', '510524113201', 5, '观兴镇河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524113201', 1, '2021-07-19 11:36:13', NULL, NULL), (6027, '', '观兴镇沙田村', 'a26718b6132c47d58c75aa8313994a08', '6ee8b6dace33484fb5950e69eb0546cd', 'False', 'True', 'false', 'false', '510524113205', 5, '观兴镇沙田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524113205', 1, '2021-07-19 11:36:14', NULL, NULL), (6028, '', '观兴镇山关村', '18231e7ed6d2492dbbac73aecdb51645', '6ee8b6dace33484fb5950e69eb0546cd', 'False', 'True', 'false', 'false', '510524113212', 5, '观兴镇山关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524113212', 1, '2021-07-19 11:36:14', NULL, NULL), (6029, '', '观兴镇海水村', 'ca39c489b6ec4194b43a6f45b8da95b8', '6ee8b6dace33484fb5950e69eb0546cd', 'False', 'True', 'false', 'false', '510524113217', 5, '观兴镇海水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524113217', 1, '2021-07-19 11:36:14', NULL, NULL), (6030, '', '观兴镇坝上村', '2859c37921964007a9f7c8cb8e51a14e', '6ee8b6dace33484fb5950e69eb0546cd', 'False', 'True', 'false', 'false', '510524113220', 5, '观兴镇坝上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524113220', 1, '2021-07-19 11:36:14', NULL, NULL), (6031, '', '观兴镇奇峰村', '61ce13a8f7994b47b087e5fc2532c83a', '6ee8b6dace33484fb5950e69eb0546cd', 'False', 'True', 'false', 'false', '510524113222', 5, '观兴镇奇峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524113222', 1, '2021-07-19 11:36:14', NULL, NULL), (6032, '', '观兴镇长坝村', '67fbd57f7db24b7a916aed86f48c7135', '6ee8b6dace33484fb5950e69eb0546cd', 'False', 'True', 'false', 'false', '510524113231', 5, '观兴镇长坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524113231', 1, '2021-07-19 11:36:14', NULL, NULL), (6033, '', '观兴镇普兴村', '508784e074a34060b429f450024d0f53', '6ee8b6dace33484fb5950e69eb0546cd', 'False', 'True', 'false', 'false', '510524113232', 5, '观兴镇普兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524113232', 1, '2021-07-19 11:36:14', NULL, NULL), (6034, '', '观兴镇骑龙村', 'df30d6ec020e4ed7bae665db1c425e23', '6ee8b6dace33484fb5950e69eb0546cd', 'False', 'True', 'false', 'false', '510524113233', 5, '观兴镇骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524113233', 1, '2021-07-19 11:36:14', NULL, NULL), (6035, '', '麻城镇', '0df71052b14f40e9bf3abd072072ded0', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524117000', 4, '麻城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524117000', 1, '2021-07-19 11:36:14', NULL, NULL), (6036, '', '麻城镇麻线堡社区', 'b03e759911284c648cdaf38325ce0a41', '0df71052b14f40e9bf3abd072072ded0', 'False', 'True', 'false', 'false', '510524117001', 5, '麻城镇麻线堡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524117001', 1, '2021-07-19 11:36:14', NULL, NULL), (6037, '', '麻城镇麻城村', '5afe4628eeae4f37871c61d466fcfcfe', '0df71052b14f40e9bf3abd072072ded0', 'False', 'True', 'false', 'false', '510524117201', 5, '麻城镇麻城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524117201', 1, '2021-07-19 11:36:14', NULL, NULL), (6038, '', '麻城镇柏香村', '80df156a19004ad1aa144ebd884a4d3a', '0df71052b14f40e9bf3abd072072ded0', 'False', 'True', 'false', 'false', '510524117204', 5, '麻城镇柏香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524117204', 1, '2021-07-19 11:36:14', NULL, NULL), (6039, '', '麻城镇现榜村', '37927e64b2f341cea39b1faf62c32ca0', '0df71052b14f40e9bf3abd072072ded0', 'False', 'True', 'false', 'false', '510524117206', 5, '麻城镇现榜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524117206', 1, '2021-07-19 11:36:14', NULL, NULL), (6040, '', '麻城镇寨和村', '6995b3eca7554bf3b5be7693ecfdb6de', '0df71052b14f40e9bf3abd072072ded0', 'False', 'True', 'false', 'false', '510524117210', 5, '麻城镇寨和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524117210', 1, '2021-07-19 11:36:14', NULL, NULL), (6041, '', '麻城镇龙凤村', 'ebae1c080ec1416fa7b54286f6213961', '0df71052b14f40e9bf3abd072072ded0', 'False', 'True', 'false', 'false', '510524117214', 5, '麻城镇龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524117214', 1, '2021-07-19 11:36:15', NULL, NULL), (6042, '', '麻城镇双桥村', '6b53b5e3de7647baad59cf097b3f55e6', '0df71052b14f40e9bf3abd072072ded0', 'False', 'True', 'false', 'false', '510524117216', 5, '麻城镇双桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524117216', 1, '2021-07-19 11:36:15', NULL, NULL), (6043, '', '麻城镇田林村', '9aea55ea653c4314824c42ce1bb6cf9f', '0df71052b14f40e9bf3abd072072ded0', 'False', 'True', 'false', 'false', '510524117219', 5, '麻城镇田林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524117219', 1, '2021-07-19 11:36:15', NULL, NULL), (6044, '', '黄坭镇', '9360678257c84b1e82f2b8384f0a55fa', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524119000', 4, '黄坭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524119000', 1, '2021-07-19 11:36:15', NULL, NULL), (6045, '', '黄坭镇文昌社区', 'd98dcffb70354189bdcff814a7ffcffc', '9360678257c84b1e82f2b8384f0a55fa', 'False', 'True', 'false', 'false', '510524119001', 5, '黄坭镇文昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524119001', 1, '2021-07-19 11:36:15', NULL, NULL), (6046, '', '黄坭镇树坪村', 'da2ed32b24c2462699c50ac2f08f50df', '9360678257c84b1e82f2b8384f0a55fa', 'False', 'True', 'false', 'false', '510524119891', 5, '黄坭镇树坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524119891', 1, '2021-07-19 11:36:15', NULL, NULL), (6047, '', '黄坭镇黄坭村', 'b45f43c1d81048edb93b4c85f61f959c', '9360678257c84b1e82f2b8384f0a55fa', 'False', 'True', 'false', 'false', '510524119201', 5, '黄坭镇黄坭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524119201', 1, '2021-07-19 11:36:15', NULL, NULL), (6048, '', '黄坭镇金星村', '4ca7aff51ed74361b507e331d1cafd3c', '9360678257c84b1e82f2b8384f0a55fa', 'False', 'True', 'false', 'false', '510524119204', 5, '黄坭镇金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524119204', 1, '2021-07-19 11:36:15', NULL, NULL), (6049, '', '黄坭镇芦稿村', '4554a46cb1ab41f098f27b4156e0f18c', '9360678257c84b1e82f2b8384f0a55fa', 'False', 'True', 'false', 'false', '510524119210', 5, '黄坭镇芦稿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524119210', 1, '2021-07-19 11:36:15', NULL, NULL), (6050, '', '黄坭镇安定村', '6d76bcd393db47eeaa890dac76ebb3d3', '9360678257c84b1e82f2b8384f0a55fa', 'False', 'True', 'false', 'false', '510524119211', 5, '黄坭镇安定村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524119211', 1, '2021-07-19 11:36:15', NULL, NULL), (6051, '', '黄坭镇高坎村', 'ea510cb12a2f4a5d825384eb4c1f6962', '9360678257c84b1e82f2b8384f0a55fa', 'False', 'True', 'false', 'false', '510524119213', 5, '黄坭镇高坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524119213', 1, '2021-07-19 11:36:15', NULL, NULL), (6052, '', '黄坭镇银方村', '0a1fee0e8eaf4f059d1f367fcb8127f3', '9360678257c84b1e82f2b8384f0a55fa', 'False', 'True', 'false', 'false', '510524119217', 5, '黄坭镇银方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524119217', 1, '2021-07-19 11:36:15', NULL, NULL), (6053, '', '黄坭镇兴安村', 'c833197a85be4e30970e09516457cd41', '9360678257c84b1e82f2b8384f0a55fa', 'False', 'True', 'false', 'false', '510524119218', 5, '黄坭镇兴安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524119218', 1, '2021-07-19 11:36:16', NULL, NULL), (6054, '', '黄坭镇福林村', 'd40d0ee0c9624c7ab7597952501aa9ab', '9360678257c84b1e82f2b8384f0a55fa', 'False', 'True', 'false', 'false', '510524119227', 5, '黄坭镇福林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524119227', 1, '2021-07-19 11:36:16', NULL, NULL), (6055, '', '黄坭镇春光村', '5f51c6fcfacd4cf0bbb1b7b1940178da', '9360678257c84b1e82f2b8384f0a55fa', 'False', 'True', 'false', 'false', '510524199207', 5, '黄坭镇春光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524199207', 1, '2021-07-19 11:36:16', NULL, NULL), (6056, '', '向林镇', 'ec36f4c7858e4f02ac90cc520faa881f', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524200000', 4, '向林镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524200000', 1, '2021-07-19 11:36:16', NULL, NULL), (6057, '', '向林镇太平社区', '42503be8a87e4bd3a3c1d1a490b45608', 'ec36f4c7858e4f02ac90cc520faa881f', 'False', 'True', 'false', 'false', '510524116741', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524116741', 1, '2021-07-19 11:36:16', NULL, NULL), (6058, '', '向林镇向林社区', '9891a47fa63f45ea9f11622d4e5e5272', 'ec36f4c7858e4f02ac90cc520faa881f', 'False', 'True', 'false', 'false', '510524200001', 5, '向林镇向林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524200001', 1, '2021-07-19 11:36:16', NULL, NULL), (6059, '', '向林镇元龙村', 'd1d4e7fb56c54f25ba77a3e5d62c3dbd', 'ec36f4c7858e4f02ac90cc520faa881f', 'False', 'True', 'false', 'false', '510524200201', 5, '向林镇元龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524200201', 1, '2021-07-19 11:36:16', NULL, NULL), (6060, '', '向林镇龙池村', '2ac764ce4b404b93a12a737b96bf80d4', 'ec36f4c7858e4f02ac90cc520faa881f', 'False', 'True', 'false', 'false', '510524200206', 5, '向林镇龙池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524200206', 1, '2021-07-19 11:36:16', NULL, NULL), (6061, '', '向林镇大岩村', '94853e31f2ce404080907e010d47311f', 'ec36f4c7858e4f02ac90cc520faa881f', 'False', 'True', 'false', 'false', '510524200208', 5, '向林镇大岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524200208', 1, '2021-07-19 11:36:16', NULL, NULL), (6062, '', '向林镇九良村', 'ed5812b8e3bf456aa05dd03b9e09f227', 'ec36f4c7858e4f02ac90cc520faa881f', 'False', 'True', 'false', 'false', '510524200210', 5, '向林镇九良村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524200210', 1, '2021-07-19 11:36:16', NULL, NULL), (6063, '', '向林镇跃龙村', '5a5af91da3aa48e4b5f5b56479198e36', 'ec36f4c7858e4f02ac90cc520faa881f', 'False', 'True', 'false', 'false', '510524200211', 5, '向林镇跃龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524200211', 1, '2021-07-19 11:36:16', NULL, NULL), (6064, '', '向林镇棉竹村', 'a920e87f66b5435baaad831eebcadb55', 'ec36f4c7858e4f02ac90cc520faa881f', 'False', 'True', 'false', 'false', '510524200219', 5, '向林镇棉竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524200219', 1, '2021-07-19 11:36:16', NULL, NULL), (6065, '', '向林镇太关村', '8f3c3aa97973445791c9d76c433e268c', 'ec36f4c7858e4f02ac90cc520faa881f', 'False', 'True', 'false', 'false', '510524200220', 5, '向林镇太关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524200220', 1, '2021-07-19 11:36:16', NULL, NULL), (6066, '', '大石镇', '65273e48ebec4a3589b959ecc5e1fa99', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524201000', 4, '大石镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524201000', 1, '2021-07-19 11:36:16', NULL, NULL), (6067, '', '大石镇红洞桥村', 'd3e4316f301748ab98cc1922e880fe37', '65273e48ebec4a3589b959ecc5e1fa99', 'False', 'True', 'false', 'false', '510524118897', 5, '大石镇红洞桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524118897', 1, '2021-07-19 11:36:17', NULL, NULL), (6068, '', '大石社区', '9d55849e388b4514ba1c910d0b502823', '65273e48ebec4a3589b959ecc5e1fa99', 'False', 'True', 'false', 'false', '510524201001', 5, '大石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524201001', 1, '2021-07-19 11:36:17', NULL, NULL), (6069, '', '旺龙村', 'aafb1225335844a8a5044eeca335d05f', '65273e48ebec4a3589b959ecc5e1fa99', 'False', 'True', 'false', 'false', '510524201207', 5, '旺龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524201207', 1, '2021-07-19 11:36:17', NULL, NULL), (6070, '', '龙井村', 'e113ac4083b446a58e650040fb02f440', '65273e48ebec4a3589b959ecc5e1fa99', 'False', 'True', 'false', 'false', '510524201209', 5, '龙井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524201209', 1, '2021-07-19 11:36:17', NULL, NULL), (6071, '', '三门村', 'e2c9f59277404b1f96a752f5e19b2ccb', '65273e48ebec4a3589b959ecc5e1fa99', 'False', 'True', 'false', 'false', '510524201212', 5, '三门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524201212', 1, '2021-07-19 11:36:17', NULL, NULL), (6072, '', '互助村', '133a949a555849a285772ee3ac8bd35e', '65273e48ebec4a3589b959ecc5e1fa99', 'False', 'True', 'false', 'false', '510524201213', 5, '互助村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524201213', 1, '2021-07-19 11:36:17', NULL, NULL), (6073, '', '双全村', '31df1bb859ea4f0e86d1393b17d55428', '65273e48ebec4a3589b959ecc5e1fa99', 'False', 'True', 'false', 'false', '510524201217', 5, '双全村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524201217', 1, '2021-07-19 11:36:17', NULL, NULL), (6074, '', '大石村', '9174aadfdee544bda7555a2cc34e036b', '65273e48ebec4a3589b959ecc5e1fa99', 'False', 'True', 'false', 'false', '510524201220', 5, '大石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524201220', 1, '2021-07-19 11:36:17', NULL, NULL), (6075, '', '合乐苗族乡', '9cb3ba9d45004a3580d277fdcfc65761', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524210000', 4, '合乐苗族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524210000', 1, '2021-07-19 11:36:17', NULL, NULL), (6076, '', '合乐苗族乡兴复村', '762d9125aef64e42a26dd3641952cb30', '9cb3ba9d45004a3580d277fdcfc65761', 'False', 'True', 'false', 'false', '510524022001', 5, '合乐苗族乡兴复村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524022001', 1, '2021-07-19 11:36:17', NULL, NULL), (6077, '', '合乐苗族乡红店子村', 'd5d5ebf9cf644f19aa2f971c287ae0d2', '9cb3ba9d45004a3580d277fdcfc65761', 'False', 'True', 'false', 'false', '510524022002', 5, '合乐苗族乡红店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524022002', 1, '2021-07-19 11:36:17', NULL, NULL), (6078, '', '合乐苗族乡四美村', '984104b3671f46ae8b13712c964b8923', '9cb3ba9d45004a3580d277fdcfc65761', 'False', 'True', 'false', 'false', '510524022003', 5, '合乐苗族乡四美村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524022003', 1, '2021-07-19 11:36:17', NULL, NULL), (6079, '', '合乐苗族乡石梁村', 'fdfa0e2fc7c34571aa25426f3cfe03ff', '9cb3ba9d45004a3580d277fdcfc65761', 'False', 'True', 'false', 'false', '510524022004', 5, '合乐苗族乡石梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524022004', 1, '2021-07-19 11:36:17', NULL, NULL), (6080, '', '合乐苗族乡方元村', '37f7d0215919400caba21a9046b8a923', '9cb3ba9d45004a3580d277fdcfc65761', 'False', 'True', 'false', 'false', '510524022005', 5, '合乐苗族乡方元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524022005', 1, '2021-07-19 11:36:17', NULL, NULL), (6081, '', '合乐苗族乡三河社区', '0b36e26ab7524be8b566b38f3d3a2e24', '9cb3ba9d45004a3580d277fdcfc65761', 'False', 'True', 'false', 'false', '510524022006', 5, '合乐苗族乡三河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524022006', 1, '2021-07-19 11:36:18', NULL, NULL), (6082, '', '白腊苗族乡', 'd54f600f92ef4e8ea44a7b36d9488a81', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524211000', 4, '白腊苗族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524211000', 1, '2021-07-19 11:36:18', NULL, NULL), (6083, '', '白腊苗族乡落木河村', '07276dc0e2c548b8a5ecd6308d451abd', 'd54f600f92ef4e8ea44a7b36d9488a81', 'False', 'True', 'false', 'false', '510524211203', 5, '白腊苗族乡落木河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524211203', 1, '2021-07-19 11:36:18', NULL, NULL), (6084, '', '白腊苗族乡亮窗口村', 'f999d3f9377b44fea2233441d4dfb57a', 'd54f600f92ef4e8ea44a7b36d9488a81', 'False', 'True', 'false', 'false', '510524211204', 5, '白腊苗族乡亮窗口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524211204', 1, '2021-07-19 11:36:18', NULL, NULL), (6085, '', '白腊苗族乡荍田村', 'ca432439cdba46a6add2128bdafc3176', 'd54f600f92ef4e8ea44a7b36d9488a81', 'False', 'True', 'false', 'false', '510524211205', 5, '白腊苗族乡荍田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524211205', 1, '2021-07-19 11:36:18', NULL, NULL), (6086, '', '白腊苗族乡高峰村', 'a2117ccaf6ce4344bcfe870858ad690b', 'd54f600f92ef4e8ea44a7b36d9488a81', 'False', 'True', 'false', 'false', '510524211206', 5, '白腊苗族乡高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524211206', 1, '2021-07-19 11:36:18', NULL, NULL), (6087, '', '白腊苗族乡新店村', 'b8fc355571b34d52a2e02cd0677f3ebb', 'd54f600f92ef4e8ea44a7b36d9488a81', 'False', 'True', 'false', 'false', '510524211207', 5, '白腊苗族乡新店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524211207', 1, '2021-07-19 11:36:18', NULL, NULL), (6088, '', '白腊苗族乡回龙村', 'c8c284ecbc33417caa8c56c79f2ad1ee', 'd54f600f92ef4e8ea44a7b36d9488a81', 'False', 'True', 'false', 'false', '510524211208', 5, '白腊苗族乡回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524211208', 1, '2021-07-19 11:36:18', NULL, NULL), (6089, '', '白腊苗族乡天堂村', '7e85d77339f04c7b9107cb8303ab850d', 'd54f600f92ef4e8ea44a7b36d9488a81', 'False', 'True', 'false', 'false', '510524211209', 5, '白腊苗族乡天堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524211209', 1, '2021-07-19 11:36:18', NULL, NULL), (6090, '', '枧槽苗族乡', 'd9a0179cc88c4d11b813d0fe34fcd091', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524212000', 4, '枧槽苗族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524212000', 1, '2021-07-19 11:36:18', NULL, NULL), (6091, '', '枧槽苗族乡枧槽社区', '6732b9526d8b492d850c50be35809347', 'd9a0179cc88c4d11b813d0fe34fcd091', 'False', 'True', 'false', 'false', '510524212001', 5, '枧槽苗族乡枧槽社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524212001', 1, '2021-07-19 11:36:18', NULL, NULL), (6092, '', '枧槽苗族乡群英村', '9f7a35cd8bd647e9a271afc525dfbd9e', 'd9a0179cc88c4d11b813d0fe34fcd091', 'False', 'True', 'false', 'false', '510524212214', 5, '枧槽苗族乡群英村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524212214', 1, '2021-07-19 11:36:18', NULL, NULL), (6093, '', '枧槽苗族乡九龙村', 'b9df390151b948dbb8da5050befa95b3', 'd9a0179cc88c4d11b813d0fe34fcd091', 'False', 'True', 'false', 'false', '510524212215', 5, '枧槽苗族乡九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524212215', 1, '2021-07-19 11:36:18', NULL, NULL), (6094, '', '枧槽苗族乡观音桥村', 'e3c0c655a96341f8a12f48f21a2dc6ec', 'd9a0179cc88c4d11b813d0fe34fcd091', 'False', 'True', 'false', 'false', '510524212216', 5, '枧槽苗族乡观音桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524212216', 1, '2021-07-19 11:36:18', NULL, NULL), (6095, '', '枧槽苗族乡双河村', '66f577e0a47c47c798ca86e65505ae48', 'd9a0179cc88c4d11b813d0fe34fcd091', 'False', 'True', 'false', 'false', '510524212217', 5, '枧槽苗族乡双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524212217', 1, '2021-07-19 11:36:19', NULL, NULL), (6096, '', '枧槽苗族乡长秧村', '3835251ae3a6453fa5b6165a429d5b5f', 'd9a0179cc88c4d11b813d0fe34fcd091', 'False', 'True', 'false', 'false', '510524212218', 5, '枧槽苗族乡长秧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524212218', 1, '2021-07-19 11:36:19', NULL, NULL), (6097, '', '水潦彝族乡', '80050c784d2f4c7eb7d59db8da480de5', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524213000', 4, '水潦彝族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524213000', 1, '2021-07-19 11:36:19', NULL, NULL), (6098, '', '水潦彝族乡俯黔社区', '5d62a90dd5954ea09c1ba82d7083e74d', '80050c784d2f4c7eb7d59db8da480de5', 'False', 'True', 'false', 'false', '510524213001', 5, '水潦彝族乡俯黔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524213001', 1, '2021-07-19 11:36:19', NULL, NULL), (6099, '', '水潦彝族乡水潦村', '39ff13077ec5411a81c80ac4954f3d7e', '80050c784d2f4c7eb7d59db8da480de5', 'False', 'True', 'false', 'false', '510524213201', 5, '水潦彝族乡水潦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524213201', 1, '2021-07-19 11:36:19', NULL, NULL), (6100, '', '水潦彝族乡岔河村', '4e44db61f4fe4714aca7c4492cabfc2c', '80050c784d2f4c7eb7d59db8da480de5', 'False', 'True', 'false', 'false', '510524213204', 5, '水潦彝族乡岔河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524213204', 1, '2021-07-19 11:36:19', NULL, NULL), (6101, '', '水潦彝族乡田坝村', 'abca3babd8eb49b69b85e9c29e96724e', '80050c784d2f4c7eb7d59db8da480de5', 'False', 'True', 'false', 'false', '510524213205', 5, '水潦彝族乡田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524213205', 1, '2021-07-19 11:36:19', NULL, NULL), (6102, '', '水潦彝族乡雄光村', 'd37fcdca6d9a46f6b31d532bf36f3bd8', '80050c784d2f4c7eb7d59db8da480de5', 'False', 'True', 'false', 'false', '510524213206', 5, '水潦彝族乡雄光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524213206', 1, '2021-07-19 11:36:19', NULL, NULL), (6103, '', '水潦彝族乡白腊村', 'fa301e15003d4d4086ba9e3e3d4df9bd', '80050c784d2f4c7eb7d59db8da480de5', 'False', 'True', 'false', 'false', '510524213209', 5, '水潦彝族乡白腊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524213209', 1, '2021-07-19 11:36:19', NULL, NULL), (6104, '', '水潦彝族乡海涯村', '715dd564d84f47c3809ed85ba1eeaba9', '80050c784d2f4c7eb7d59db8da480de5', 'False', 'True', 'false', 'false', '510524213211', 5, '水潦彝族乡海涯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524213211', 1, '2021-07-19 11:36:19', NULL, NULL), (6105, '', '水潦彝族乡双山村', '7ace480c803649d09709773467c0f081', '80050c784d2f4c7eb7d59db8da480de5', 'False', 'True', 'false', 'false', '510524213212', 5, '水潦彝族乡双山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524213212', 1, '2021-07-19 11:36:19', NULL, NULL), (6106, '', '水潦彝族乡高坪村', '27b352304c6d4799a8e36e694c24be7c', '80050c784d2f4c7eb7d59db8da480de5', 'False', 'True', 'false', 'false', '510524213213', 5, '水潦彝族乡高坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524213213', 1, '2021-07-19 11:36:19', NULL, NULL), (6107, '', '水潦彝族乡大坝村', 'bc0fcf8c19a8487097a02ab93c3ee3d0', '80050c784d2f4c7eb7d59db8da480de5', 'False', 'True', 'false', 'false', '510524213216', 5, '水潦彝族乡大坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524213216', 1, '2021-07-19 11:36:19', NULL, NULL), (6108, '', '水潦彝族乡黄狮村', '34d372d24ce2402d9fb16e03e4d40425', '80050c784d2f4c7eb7d59db8da480de5', 'False', 'True', 'false', 'false', '510524213218', 5, '水潦彝族乡黄狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524213218', 1, '2021-07-19 11:36:19', NULL, NULL), (6109, '', '石厢子彝族乡', 'e6e7a75722c2484cbd3d3cf55e0a8814', '6b3972eaa58240cb8d18024938eed768', 'True', 'True', 'false', 'false', '510524214000', 4, '石厢子彝族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510524214000', 1, '2021-07-19 11:36:20', NULL, NULL), (6110, '', '石厢子彝族乡石厢子社区', '1d32f3b5a3754eae9210051cdf948ced', 'e6e7a75722c2484cbd3d3cf55e0a8814', 'False', 'True', 'false', 'false', '510524214001', 5, '石厢子彝族乡石厢子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524214001', 1, '2021-07-19 11:36:20', NULL, NULL), (6111, '', '石厢子彝族乡安乐村', '69b615e258a0435fbd65b757f0054b94', 'e6e7a75722c2484cbd3d3cf55e0a8814', 'False', 'True', 'false', 'false', '510524214201', 5, '石厢子彝族乡安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524214201', 1, '2021-07-19 11:36:20', NULL, NULL), (6112, '', '石厢子彝族乡坡脚村', '28c06a32bd454dfb9fc0c365adb13e1b', 'e6e7a75722c2484cbd3d3cf55e0a8814', 'False', 'True', 'false', 'false', '510524214204', 5, '石厢子彝族乡坡脚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524214204', 1, '2021-07-19 11:36:20', NULL, NULL), (6113, '', '石厢子彝族乡水潦铺村', '551ec96746cb409c9ec8a04c55f7ac87', 'e6e7a75722c2484cbd3d3cf55e0a8814', 'False', 'True', 'false', 'false', '510524214207', 5, '石厢子彝族乡水潦铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524214207', 1, '2021-07-19 11:36:20', NULL, NULL), (6114, '', '石厢子彝族乡堰塘村', '78f6992917f246bd8687559445f718db', 'e6e7a75722c2484cbd3d3cf55e0a8814', 'False', 'True', 'false', 'false', '510524214208', 5, '石厢子彝族乡堰塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510524214208', 1, '2021-07-19 11:36:20', NULL, NULL), (6115, '', '古蔺县', '944a25e4c6924ad38860c7f075d891fc', 'f96cd81a6efd4a1d9f65a00b6277b1fb', 'True', 'True', 'false', 'false', '510525000000', 3, '古蔺县', 'lzsglx.sczwfw.gov.cn', 1, '2021-07-19 11:36:20', NULL, NULL), (6116, '', '金兰街道', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525241000', 4, '金兰街道办事处', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525241000', 1, '2021-07-19 11:36:20', NULL, NULL), (6117, '', '青阳村', '408d00964dc24fb5a8ff2bc2d73080fc', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010009', 5, '青阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010009', 1, '2021-07-19 11:36:20', NULL, NULL), (6118, '', '广惠村', '4e4a0f2d4cf043ec89e79bcd0718fccf', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010047', 5, '广惠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010047', 1, '2021-07-19 11:36:20', NULL, NULL), (6119, '', '兴阳村', '4f442ae4cb874b8eb68c9c357385de0d', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010115', 5, '兴阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010115', 1, '2021-07-19 11:36:20', NULL, NULL), (6120, '', '桂香村', '3021f99f555f4ea5801df6d71f1cc636', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010243', 5, '桂香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010243', 1, '2021-07-19 11:36:20', NULL, NULL), (6121, '', '金山村', '8dde6b65949e4111af5edc731da401df', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010253', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010253', 1, '2021-07-19 11:36:20', NULL, NULL), (6122, '', '北朝村', 'e582c772e97e4242acff23b90e94bf60', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010332', 5, '北朝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010332', 1, '2021-07-19 11:36:20', NULL, NULL), (6123, '', '锅厂坝社区', '32f36fe1f4cb4bdb82a8839ccb9c5c40', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010370', 5, '锅厂坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010370', 1, '2021-07-19 11:36:21', NULL, NULL), (6124, '', '农场村', '3562abb47ca84c36bd7b8916a3f8db51', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010469', 5, '农场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010469', 1, '2021-07-19 11:36:21', NULL, NULL), (6125, '', '新店子村', '06ad0c15771d45c196896d5ff28c7b94', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010516', 5, '新店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010516', 1, '2021-07-19 11:36:21', NULL, NULL), (6126, '', '东新街社区', 'bf3f16a8150848bdaffecb83646a46f0', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010540', 5, '东新街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010540', 1, '2021-07-19 11:36:21', NULL, NULL), (6127, '', '玉田村', 'dc4c6de31ae54e7d8e20f9d135517b60', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010546', 5, '玉田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010546', 1, '2021-07-19 11:36:21', NULL, NULL), (6128, '', '头道河村', '5a69dcb723df49739455f4597c4efbf4', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010646', 5, '头道河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010646', 1, '2021-07-19 11:36:21', NULL, NULL), (6129, '', '王堂村', 'ace5144c4a6b48c8ba875c0008d0766f', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010652', 5, '王堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010652', 1, '2021-07-19 11:36:21', NULL, NULL), (6130, '', '红响村', 'f942f18841484794bfe12aeec7fbef2d', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010662', 5, '红响村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010662', 1, '2021-07-19 11:36:21', NULL, NULL), (6131, '', '凤田村', '705252d2ae744d3babb0cc5aa2c5485a', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010693', 5, '凤田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010693', 1, '2021-07-19 11:36:21', NULL, NULL), (6132, '', '火星村', '7f4ced6481624707a349db1f19409072', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010707', 5, '火星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010707', 1, '2021-07-19 11:36:21', NULL, NULL), (6133, '', '朝阳村', '01a233f746dd477da38a8e4f4ac6aa50', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010720', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010720', 1, '2021-07-19 11:36:21', NULL, NULL), (6134, '', '城北街社区', '28f842eb8a03421cb5e273658ac47ba9', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010862', 5, '城北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010862', 1, '2021-07-19 11:36:21', NULL, NULL), (6135, '', '中坝村', '827277a8d6ab4a10b1b76334b3d6de2a', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010865', 5, '中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010865', 1, '2021-07-19 11:36:21', NULL, NULL), (6136, '', '天堂村', '38ad52f0c5bf4dbaaf14d4c465dd8a5d', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525010980', 5, '天堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525010980', 1, '2021-07-19 11:36:21', NULL, NULL), (6137, '', '东城社区', 'b7c786b516694432a41986a8517cb8ba', '9f98c8b617f04cfd8c7a3dc6ade7cc1e', 'False', 'True', 'false', 'false', '510525011555', 5, '东城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525011555', 1, '2021-07-19 11:36:21', NULL, NULL), (6138, '', '彰德街道', '88947c69e6d54e17a1976d357b0b5d65', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '51052553300', 4, '彰德街道办事处', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=51052553300', 1, '2021-07-19 11:36:21', NULL, NULL), (6139, '', '胜蔺街社区', 'c181d7d148ed4ca9848cb6df331ab511', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020004', 5, '胜蔺街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020004', 1, '2021-07-19 11:36:22', NULL, NULL), (6140, '', '香山村', '47e8476134754b5ebe6999b01aa99ab8', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020038', 5, '香山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020038', 1, '2021-07-19 11:36:22', NULL, NULL), (6141, '', '光辉村', '59196dd26ab74d9ba45a4704f3c21c53', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020050', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020050', 1, '2021-07-19 11:36:22', NULL, NULL), (6142, '', '漆山村', 'dbadd66651cc417281f4ff608316408e', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020129', 5, '漆水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020129', 1, '2021-07-19 11:36:22', NULL, NULL), (6143, '', '龙坪村', '337741d3ffd34b079c949a8084ab3f3f', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020257', 5, '龙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020257', 1, '2021-07-19 11:36:22', NULL, NULL), (6144, '', '太平街村', '7108e7172a8341b0ad1e093bb34d9f7d', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020270', 5, '太平街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020270', 1, '2021-07-19 11:36:22', NULL, NULL), (6145, '', '长岭村', 'aabdf1ea33c7435788cc880528868efd', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020306', 5, '长岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020306', 1, '2021-07-19 11:36:22', NULL, NULL), (6146, '', '成龙村', '0af7cce1b5984097aae6cae6de29aceb', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020310', 5, '成龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020310', 1, '2021-07-19 11:36:22', NULL, NULL), (6147, '', '三道水村', 'd0f825955a464b46b9411c4f7bcc0817', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020319', 5, '三道水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020319', 1, '2021-07-19 11:36:22', NULL, NULL), (6148, '', '小水村', '6cee05e918c54ba9bd71ef81fe4d7f13', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020347', 5, '小水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020347', 1, '2021-07-19 11:36:22', NULL, NULL), (6149, '', '联合村', 'f93bb2c98a6a4a96a89f1c630640d6a2', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020367', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020367', 1, '2021-07-19 11:36:22', NULL, NULL), (6150, '', '飞龙村', '23ba4a3a3713421dab246b21f2b7a10f', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020369', 5, '飞龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020369', 1, '2021-07-19 11:36:22', NULL, NULL), (6151, '', '枣林村', 'f8551dcbf32a4805b5ff65d1109a1754', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020372', 5, '枣林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020372', 1, '2021-07-19 11:36:23', NULL, NULL), (6152, '', '奢香社区', '8b727cefbdcb4e1f94a923005d630ede', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020395', 5, '奢香社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020395', 1, '2021-07-19 11:36:23', NULL, NULL), (6153, '', '彰德社区', 'c8121bfe6ad4416596d1a10d56b00db3', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020419', 5, '彰德社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020419', 1, '2021-07-19 11:36:23', NULL, NULL), (6154, '', '商业街社区', '209107e9ea704ff6a42030ed71f237e0', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020450', 5, '商业街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020450', 1, '2021-07-19 11:36:23', NULL, NULL), (6155, '', '兰馨社区', 'a6113816143d4985ba6a02f5d371a98e', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020526', 5, '兰馨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020526', 1, '2021-07-19 11:36:23', NULL, NULL), (6156, '', '崇文社区', 'da795cf369df443aab7bfb0b0f4b40bb', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020633', 5, '崇文社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020633', 1, '2021-07-19 11:36:23', NULL, NULL), (6157, '', '西城街社区', 'bb2bfa55412f406d8d459eed6eef6267', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020647', 5, '西城街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020647', 1, '2021-07-19 11:36:23', NULL, NULL), (6158, '', '建国村', '9f02ee7f3c404851804294be30987534', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020667', 5, '建国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020667', 1, '2021-07-19 11:36:23', NULL, NULL), (6159, '', '芭蕉村', 'b7bbc19e2172472fb83391da130222ec', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020765', 5, '芭蕉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020765', 1, '2021-07-19 11:36:23', NULL, NULL), (6160, '', '龙爪村', '1e86715b0f42499c8e47ec3d99a1a365', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020841', 5, '龙爪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020841', 1, '2021-07-19 11:36:23', NULL, NULL), (6161, '', '宝灵村', '6626d62966dc4a09abec84f1d9258199', '88947c69e6d54e17a1976d357b0b5d65', 'False', 'True', 'false', 'false', '510525020861', 5, '宝灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525020861', 1, '2021-07-19 11:36:23', NULL, NULL), (6162, '', '马嘶苗族乡', 'fc943f4867c940f0a61b235583786a36', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525158000', 4, '马嘶苗族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525158000', 1, '2021-07-19 11:36:23', NULL, NULL), (6163, '', '养马嘶社区', '17d453bec16e470ba0da67dac1ab0655', 'fc943f4867c940f0a61b235583786a36', 'False', 'True', 'false', 'false', '510525209650', 5, '养马嘶社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525209650', 1, '2021-07-19 11:36:23', NULL, NULL), (6164, '', '红星村', 'b3b5488e188b4757a163d1b09940efa3', 'fc943f4867c940f0a61b235583786a36', 'False', 'True', 'false', 'false', '510525209201', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525209201', 1, '2021-07-19 11:36:23', NULL, NULL), (6165, '', '同心村', 'd2dbf03d11514fd39a7b5fbf8838111a', 'fc943f4867c940f0a61b235583786a36', 'False', 'True', 'false', 'false', '510525209202', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525209202', 1, '2021-07-19 11:36:24', NULL, NULL), (6166, '', '鑫和村', '81f3d8f03e5140b09ee4a30484703889', 'fc943f4867c940f0a61b235583786a36', 'False', 'True', 'false', 'false', '510525209203', 5, '鑫和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525209203', 1, '2021-07-19 11:36:24', NULL, NULL), (6167, '', '柳沟村', 'b3d685c980294171a0b7820402b51091', 'fc943f4867c940f0a61b235583786a36', 'False', 'True', 'false', 'false', '510525209204', 5, '柳沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525209204', 1, '2021-07-19 11:36:24', NULL, NULL), (6168, '', '茶园村', 'de2a7f4c637a4e33b906150eccf296cc', 'fc943f4867c940f0a61b235583786a36', 'False', 'True', 'false', 'false', '510525209205', 5, '茶园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525209205', 1, '2021-07-19 11:36:24', NULL, NULL), (6169, '', '箭竹苗族乡', 'b0a833feb6e24d95a5865a902a140b1f', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525173000', 4, '箭竹苗族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525173000', 1, '2021-07-19 11:36:24', NULL, NULL), (6170, '', '箭竹社区', 'a819d2b8eb7a48f697ce4fb3eeecb099', 'b0a833feb6e24d95a5865a902a140b1f', 'False', 'True', 'false', 'false', '510525212698', 5, '箭竹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525212698', 1, '2021-07-19 11:36:24', NULL, NULL), (6171, '', '团结村', '5df84b243e6e405788d3782b67214503', 'b0a833feb6e24d95a5865a902a140b1f', 'False', 'True', 'false', 'false', '510525212201', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525212201', 1, '2021-07-19 11:36:24', NULL, NULL), (6172, '', '富强村', '2b3209b0f8314d368f1e926e09396435', 'b0a833feb6e24d95a5865a902a140b1f', 'False', 'True', 'false', 'false', '510525212202', 5, '富强村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525212202', 1, '2021-07-19 11:36:24', NULL, NULL), (6173, '', '富华村', 'a0dd255e619b4f319821d7361e18c0bf', 'b0a833feb6e24d95a5865a902a140b1f', 'False', 'True', 'false', 'false', '510525212203', 5, '富华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525212203', 1, '2021-07-19 11:36:24', NULL, NULL), (6174, '', '聚贤村', '457cf3a056824b19bf758c9632747764', 'b0a833feb6e24d95a5865a902a140b1f', 'False', 'True', 'false', 'false', '510525212204', 5, '聚贤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525212204', 1, '2021-07-19 11:36:24', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (6175, '', '大雄村', '1f7cbe0db3164ee68bc51746c1622ce7', 'b0a833feb6e24d95a5865a902a140b1f', 'False', 'True', 'false', 'false', '510525212205', 5, '大雄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525212205', 1, '2021-07-19 11:36:24', NULL, NULL), (6176, '', '蔓岭村', '90de097f12c0404f852bff98ad16a326', 'b0a833feb6e24d95a5865a902a140b1f', 'False', 'True', 'false', 'false', '510525212206', 5, '蔓岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525212206', 1, '2021-07-19 11:36:24', NULL, NULL), (6177, '', '乐园村', 'a0e42fbec52c4b438fd73e96adef37ac', 'b0a833feb6e24d95a5865a902a140b1f', 'False', 'True', 'false', 'false', '510525212207', 5, '乐园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525212207', 1, '2021-07-19 11:36:24', NULL, NULL), (6178, '', '前丰村', '9653f0ebf34442e3a4c9bf08ff39494a', 'b0a833feb6e24d95a5865a902a140b1f', 'False', 'True', 'false', 'false', '510525212208', 5, '前丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525212208', 1, '2021-07-19 11:36:25', NULL, NULL), (6179, '', '石屏镇', 'fdb182c8a092401096a838cfa84c8ca9', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525277000', 4, '石屏镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525277000', 1, '2021-07-19 11:36:25', NULL, NULL), (6180, '', '石屏社区', '04c14b30d7dc482b91bc6daae40f8d0f', 'fdb182c8a092401096a838cfa84c8ca9', 'False', 'True', 'false', 'false', '510525113763', 5, '石屏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525113763', 1, '2021-07-19 11:36:25', NULL, NULL), (6181, '', '磺厂街社区', '85a09964a7bc4e64b64b1ac0f6811114', 'fdb182c8a092401096a838cfa84c8ca9', 'False', 'True', 'false', 'false', '510525113001', 5, '磺厂街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525113001', 1, '2021-07-19 11:36:25', NULL, NULL), (6182, '', '刘家村', '3aef07aecab64be7aba468619dd3f111', 'fdb182c8a092401096a838cfa84c8ca9', 'False', 'True', 'false', 'false', '510525113201', 5, '刘家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525113201', 1, '2021-07-19 11:36:25', NULL, NULL), (6183, '', '青凤村', '36785d6d6d9c423ba17804d19ccb5d47', 'fdb182c8a092401096a838cfa84c8ca9', 'False', 'True', 'false', 'false', '510525113202', 5, '青凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525113202', 1, '2021-07-19 11:36:25', NULL, NULL), (6184, '', '三桂村', 'ea61b73630514e9b9612662e1b1eab9d', 'fdb182c8a092401096a838cfa84c8ca9', 'False', 'True', 'false', 'false', '510525113203', 5, '三桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525113203', 1, '2021-07-19 11:36:25', NULL, NULL), (6185, '', '向顶村', 'a769a0d213aa4661b2eb3fd9fee166be', 'fdb182c8a092401096a838cfa84c8ca9', 'False', 'True', 'false', 'false', '510525113205', 5, '向顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525113205', 1, '2021-07-19 11:36:25', NULL, NULL), (6186, '', '扎山村', '0303417cd8e34823966ad2620a6594aa', 'fdb182c8a092401096a838cfa84c8ca9', 'False', 'True', 'false', 'false', '510525113206', 5, '扎山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525113206', 1, '2021-07-19 11:36:25', NULL, NULL), (6187, '', '长龙村', 'dfd6ff3bb9734098a99adf517e17e83d', 'fdb182c8a092401096a838cfa84c8ca9', 'False', 'True', 'false', 'false', '510525113207', 5, '长龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525113207', 1, '2021-07-19 11:36:25', NULL, NULL), (6188, '', '茅坝村', 'be03e7e8a8eb4b19a39ff67b63915c83', 'fdb182c8a092401096a838cfa84c8ca9', 'False', 'True', 'false', 'false', '510525113208', 5, '茅坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525113208', 1, '2021-07-19 11:36:25', NULL, NULL), (6189, '', '印合村', '3a3b3a71b9b6478b93b5ea14c12a7cb6', 'fdb182c8a092401096a838cfa84c8ca9', 'False', 'True', 'false', 'false', '510525113209', 5, '印合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525113209', 1, '2021-07-19 11:36:25', NULL, NULL), (6190, '', '五龙村', 'aaf94850bdfa4614aa560768c1fe7896', 'fdb182c8a092401096a838cfa84c8ca9', 'False', 'True', 'false', 'false', '510525113210', 5, '五龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525113210', 1, '2021-07-19 11:36:25', NULL, NULL), (6191, '', '大寨苗族乡', 'a5030db627c74d00a8d48128294d0d2b', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525305000', 4, '大寨苗族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525305000', 1, '2021-07-19 11:36:25', NULL, NULL), (6192, '', '庆丰园社区', '5fdd243dbd36421fadeb9f4d8d36dabc', 'a5030db627c74d00a8d48128294d0d2b', 'False', 'True', 'false', 'false', '510525214134', 5, '庆丰园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525214134', 1, '2021-07-19 11:36:26', NULL, NULL), (6193, '', '富民村', '0ec6418a5a984e4c966fb98e0cf14036', 'a5030db627c74d00a8d48128294d0d2b', 'False', 'True', 'false', 'false', '510525214208', 5, '富民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525214208', 1, '2021-07-19 11:36:26', NULL, NULL), (6194, '', '大寨村', '37a4002da7b84ac9ba9a9eb5aea4939d', 'a5030db627c74d00a8d48128294d0d2b', 'False', 'True', 'false', 'false', '510525214209', 5, '大寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525214209', 1, '2021-07-19 11:36:26', NULL, NULL), (6195, '', '向阳村', 'b39e57631ee6416f8794543f87ee7cd8', 'a5030db627c74d00a8d48128294d0d2b', 'False', 'True', 'false', 'false', '510525214210', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525214210', 1, '2021-07-19 11:36:26', NULL, NULL), (6196, '', '二郎镇', '7fbe767ea02e4520ac56dc6f87fc4500', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525324000', 4, '二郎镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525324000', 1, '2021-07-19 11:36:26', NULL, NULL), (6197, '', '土城街社区', 'bc4da8c077044571a737e573c9278b54', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104295', 5, '土城街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104295', 1, '2021-07-19 11:36:26', NULL, NULL), (6198, '', '风光村', '53b7d93841c845a99849cd0db2b10792', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104439', 5, '风光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104439', 1, '2021-07-19 11:36:26', NULL, NULL), (6199, '', '天井村', '12d552c75ad44788b915ec6f4fcb182e', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104614', 5, '天井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104614', 1, '2021-07-19 11:36:26', NULL, NULL), (6200, '', '裕华村', 'a591aad138f448f9b5a62a973a0ebdfd', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104814', 5, '裕华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104814', 1, '2021-07-19 11:36:26', NULL, NULL), (6201, '', '土城村', 'fa6b3a8122a44bdb83bdf852b61c0efe', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104952', 5, '土城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104952', 1, '2021-07-19 11:36:26', NULL, NULL), (6202, '', '二郎滩社区', '47fb8ef09b104f579be79faeb357d539', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104001', 5, '二郎滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104001', 1, '2021-07-19 11:36:26', NULL, NULL), (6203, '', '复陶街社区', 'e5db9f7a44a6436b8de3cf66079dcc92', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104002', 5, '复陶街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104002', 1, '2021-07-19 11:36:26', NULL, NULL), (6204, '', '玉林村', 'e827b2d9a99b4255a5547d2870d2981b', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104202', 5, '玉林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104202', 1, '2021-07-19 11:36:26', NULL, NULL), (6205, '', '卢山村', '5be79357de1c4fdb915fe2ea966463ef', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104203', 5, '卢山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104203', 1, '2021-07-19 11:36:26', NULL, NULL), (6206, '', '华年村', '012e2e4b852043af817ee8563b1bd0f3', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104204', 5, '华年村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104204', 1, '2021-07-19 11:36:26', NULL, NULL), (6207, '', '雷家沟村', '5e394919f0744066805dcf7a7cdac05e', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104205', 5, '雷家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104205', 1, '2021-07-19 11:36:26', NULL, NULL), (6208, '', '清水村', '1cd79d2258d24bc4847c7b6ddf8ef889', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104206', 5, '清水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104206', 1, '2021-07-19 11:36:26', NULL, NULL), (6209, '', '石榴村', '6a7ac049965f43b58d2e14af980eb2d9', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104207', 5, '石榴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104207', 1, '2021-07-19 11:36:26', NULL, NULL), (6210, '', '文明村', '379a2961147241c5a6e48afc8f9c229f', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104208', 5, '文明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104208', 1, '2021-07-19 11:36:26', NULL, NULL), (6211, '', '隆滩村', 'abdc660f7f8b4e8b855d644440b9fbce', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104209', 5, '隆滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104209', 1, '2021-07-19 11:36:27', NULL, NULL), (6212, '', '石笋村', '6b095b25a7c84b77b9ebdbfdcdc5141c', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104210', 5, '石笋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104210', 1, '2021-07-19 11:36:27', NULL, NULL), (6213, '', '铁桥村', 'ca2a1fc5e87544698a63efb0ca1503e2', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104211', 5, '铁桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104211', 1, '2021-07-19 11:36:27', NULL, NULL), (6214, '', '水泉村', '0a3a32a4867e447aa6c9fe949b8e1f62', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104212', 5, '水泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104212', 1, '2021-07-19 11:36:27', NULL, NULL), (6215, '', '鱼塘村', 'a0b7b0159d6a4e9fbd941a588cd5bae8', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104213', 5, '鱼塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104213', 1, '2021-07-19 11:36:27', NULL, NULL), (6216, '', '黄金社区', '7e46475f4e7144dfae90e0186e7c22ae', '7fbe767ea02e4520ac56dc6f87fc4500', 'False', 'True', 'false', 'false', '510525104215', 5, '黄金社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525104215', 1, '2021-07-19 11:36:27', NULL, NULL), (6217, '', '德耀镇', '61d2554cdf0e44b8b688441f7f3ca631', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525336000', 4, '德耀镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525336000', 1, '2021-07-19 11:36:27', NULL, NULL), (6218, '', '红光村', 'c6d78f7797a94a3395797c1952a19c54', '61d2554cdf0e44b8b688441f7f3ca631', 'False', 'True', 'false', 'false', '510525111421', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525111421', 1, '2021-07-19 11:36:27', NULL, NULL), (6219, '', '德耀街社区', '7821c43f813f4e208749c843fb2af09d', '61d2554cdf0e44b8b688441f7f3ca631', 'False', 'True', 'false', 'false', '510525111001', 5, '德耀街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525111001', 1, '2021-07-19 11:36:27', NULL, NULL), (6220, '', '福来村', '3878f9f3267844a2a3343c1bfde0b367', '61d2554cdf0e44b8b688441f7f3ca631', 'False', 'True', 'false', 'false', '510525111201', 5, '福来村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525111201', 1, '2021-07-19 11:36:27', NULL, NULL), (6221, '', '燕岩村', '5132c932a30e4a828a85a8e2e0eb83c2', '61d2554cdf0e44b8b688441f7f3ca631', 'False', 'True', 'false', 'false', '510525111203', 5, '燕岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525111203', 1, '2021-07-19 11:36:27', NULL, NULL), (6222, '', '集美村', '0b17fb51288947c6b5d1719c90197cb0', '61d2554cdf0e44b8b688441f7f3ca631', 'False', 'True', 'false', 'false', '510525111205', 5, '集美村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525111205', 1, '2021-07-19 11:36:27', NULL, NULL), (6223, '', '凤凰村', '6d599aee61394af78ca7a125380bcc04', '61d2554cdf0e44b8b688441f7f3ca631', 'False', 'True', 'false', 'false', '510525111206', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525111206', 1, '2021-07-19 11:36:27', NULL, NULL), (6224, '', '双凤村', '28b1c5b48caf44df9bacfe7565254ba5', '61d2554cdf0e44b8b688441f7f3ca631', 'False', 'True', 'false', 'false', '510525111207', 5, '双凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525111207', 1, '2021-07-19 11:36:27', NULL, NULL), (6225, '', '柏坪村', 'e025aecee8934e4da06e7c60941e101b', '61d2554cdf0e44b8b688441f7f3ca631', 'False', 'True', 'false', 'false', '510525111208', 5, '柏坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525111208', 1, '2021-07-19 11:36:27', NULL, NULL), (6226, '', '双沙镇', '043dcf98edbc47ed80e6327d16ea8237', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525344000', 4, '双沙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525344000', 1, '2021-07-19 11:36:28', NULL, NULL), (6227, '', '寨坪村', '8972496ee4cd4bfe9a7736ffd60e201b', '043dcf98edbc47ed80e6327d16ea8237', 'False', 'True', 'false', 'false', '510525110089', 5, '寨坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525110089', 1, '2021-07-19 11:36:28', NULL, NULL), (6228, '', '白马村', '98b3d175ece4472199c9210e647f10a6', '043dcf98edbc47ed80e6327d16ea8237', 'False', 'True', 'false', 'false', '510525110178', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525110178', 1, '2021-07-19 11:36:28', NULL, NULL), (6229, '', '白沙街社区', 'd408a78df60c47fca125059414252039', '043dcf98edbc47ed80e6327d16ea8237', 'False', 'True', 'false', 'false', '510525110001', 5, '白沙街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525110001', 1, '2021-07-19 11:36:28', NULL, NULL), (6230, '', '普庆村', '3a4679e7badf4f568c734b869d7b6f87', '043dcf98edbc47ed80e6327d16ea8237', 'False', 'True', 'false', 'false', '510525110201', 5, '普庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525110201', 1, '2021-07-19 11:36:28', NULL, NULL), (6231, '', '陈坪村', 'c2c5b683164c435dacd579f1c234e358', '043dcf98edbc47ed80e6327d16ea8237', 'False', 'True', 'false', 'false', '510525110202', 5, '陈坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525110202', 1, '2021-07-19 11:36:28', NULL, NULL), (6232, '', '德安村', '0ca1f6434304456e9a2c61a08015fd55', '043dcf98edbc47ed80e6327d16ea8237', 'False', 'True', 'false', 'false', '510525110203', 5, '德安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525110203', 1, '2021-07-19 11:36:28', NULL, NULL), (6233, '', '红沙村', '43754d03a4634200bf5d675763e27bdc', '043dcf98edbc47ed80e6327d16ea8237', 'False', 'True', 'false', 'false', '510525110205', 5, '红沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525110205', 1, '2021-07-19 11:36:28', NULL, NULL), (6234, '', '何屯村', '61fa99a448724148bd87ebc7b8ac0a52', '043dcf98edbc47ed80e6327d16ea8237', 'False', 'True', 'false', 'false', '510525110206', 5, '何屯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525110206', 1, '2021-07-19 11:36:28', NULL, NULL), (6235, '', '龙升村', 'f7727595eca24c63ad804ba65ae36828', '043dcf98edbc47ed80e6327d16ea8237', 'False', 'True', 'false', 'false', '510525110209', 5, '龙升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525110209', 1, '2021-07-19 11:36:28', NULL, NULL), (6236, '', '白沙村', '148b64f2be164675b2e866b107ab8a87', '043dcf98edbc47ed80e6327d16ea8237', 'False', 'True', 'false', 'false', '510525110211', 5, '白沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525110211', 1, '2021-07-19 11:36:28', NULL, NULL), (6237, '', '星光村', '8be4548023714ace8e43f700586672b2', '043dcf98edbc47ed80e6327d16ea8237', 'False', 'True', 'false', 'false', '510525110212', 5, '星光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525110212', 1, '2021-07-19 11:36:28', NULL, NULL), (6238, '', '东山村', '8be42dcb9ac04169bae5b77202579b3b', '043dcf98edbc47ed80e6327d16ea8237', 'False', 'True', 'false', 'false', '510525110213', 5, '东山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525110213', 1, '2021-07-19 11:36:28', NULL, NULL), (6239, '', '万寿村', '1e26848fff4d4929b1d458814738bbe7', '043dcf98edbc47ed80e6327d16ea8237', 'False', 'True', 'false', 'false', '510525110214', 5, '万寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525110214', 1, '2021-07-19 11:36:28', NULL, NULL), (6240, '', '庆丰村', '07e7b2415f4a4fb09b21bd02e662a829', '043dcf98edbc47ed80e6327d16ea8237', 'False', 'True', 'false', 'false', '510525110215', 5, '庆丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525110215', 1, '2021-07-19 11:36:28', NULL, NULL), (6241, '', '红光村', '016113fa3df747dbb5305ac10d2335aa', '043dcf98edbc47ed80e6327d16ea8237', 'False', 'True', 'false', 'false', '510525110692', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525110692', 1, '2021-07-19 11:36:28', NULL, NULL), (6242, '', '茅溪镇', '5d18104792c349cca8f83bbe2855dd02', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525347000', 4, '茅溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525347000', 1, '2021-07-19 11:36:29', NULL, NULL), (6243, '', '水口街社区', 'ce655b4969564a23980c6208a16c1b99', '5d18104792c349cca8f83bbe2855dd02', 'False', 'True', 'false', 'false', '510525108001', 5, '水口街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525108001', 1, '2021-07-19 11:36:29', NULL, NULL), (6244, '', '碧云村', '6f8b23e2ec1c40e38955d112d24fd3f2', '5d18104792c349cca8f83bbe2855dd02', 'False', 'True', 'false', 'false', '510525108202', 5, '碧云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525108202', 1, '2021-07-19 11:36:29', NULL, NULL), (6245, '', '柏腊村', 'e08feeafbcfc4440b779532f5bcde83e', '5d18104792c349cca8f83bbe2855dd02', 'False', 'True', 'false', 'false', '510525108203', 5, '柏腊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525108203', 1, '2021-07-19 11:36:29', NULL, NULL), (6246, '', '马跃村', '707ce32e9abe4dae8562c74aa077859d', '5d18104792c349cca8f83bbe2855dd02', 'False', 'True', 'false', 'false', '510525108204', 5, '马跃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525108204', 1, '2021-07-19 11:36:29', NULL, NULL), (6247, '', '怀场村', '4abed9e5c664433aa985a7defcd6cb47', '5d18104792c349cca8f83bbe2855dd02', 'False', 'True', 'false', 'false', '510525108205', 5, '怀场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525108205', 1, '2021-07-19 11:36:29', NULL, NULL), (6248, '', '浮云村', '2f306ff20cef4c2ca8571393a6de9642', '5d18104792c349cca8f83bbe2855dd02', 'False', 'True', 'false', 'false', '510525108206', 5, '浮云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525108206', 1, '2021-07-19 11:36:29', NULL, NULL), (6249, '', '青龙村', '0221275c0a2046ae94e1bd83a5364356', '5d18104792c349cca8f83bbe2855dd02', 'False', 'True', 'false', 'false', '510525108208', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525108208', 1, '2021-07-19 11:36:29', NULL, NULL), (6250, '', '来龙村', '31d0d8898c264acf9f9135493fc9a089', '5d18104792c349cca8f83bbe2855dd02', 'False', 'True', 'false', 'false', '510525108209', 5, '来龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525108209', 1, '2021-07-19 11:36:29', NULL, NULL), (6251, '', '九坝村', '74173df558934fa9b45e3d064c6184c9', '5d18104792c349cca8f83bbe2855dd02', 'False', 'True', 'false', 'false', '510525108211', 5, '九坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525108211', 1, '2021-07-19 11:36:29', NULL, NULL), (6252, '', '庙林村', 'c0f7304916dc41209ceb6289f603fd76', '5d18104792c349cca8f83bbe2855dd02', 'False', 'True', 'false', 'false', '510525108212', 5, '庙林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525108212', 1, '2021-07-19 11:36:29', NULL, NULL), (6253, '', '民心村', 'a2a5c4bdf6ce4f378401d52aea6cdf97', '5d18104792c349cca8f83bbe2855dd02', 'False', 'True', 'false', 'false', '510525108213', 5, '民心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525108213', 1, '2021-07-19 11:36:29', NULL, NULL), (6254, '', '台沙村', '57c5bc4723294fc2843f29711e13100e', '5d18104792c349cca8f83bbe2855dd02', 'False', 'True', 'false', 'false', '510525108214', 5, '台沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525108214', 1, '2021-07-19 11:36:29', NULL, NULL), (6255, '', '中坪村', 'cf68cea566804125a205a5a86da0a375', '5d18104792c349cca8f83bbe2855dd02', 'False', 'True', 'false', 'false', '510525108215', 5, '中坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525108215', 1, '2021-07-19 11:36:29', NULL, NULL), (6256, '', '天富村', '56986f4102cd405597c2ad4bb0c5bd6c', '5d18104792c349cca8f83bbe2855dd02', 'False', 'True', 'false', 'false', '510525347174', 5, '天富村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525347174', 1, '2021-07-19 11:36:29', NULL, NULL), (6257, '', '永乐街道', 'f46e991848cc43a9a8e5c54cd3ff9eb2', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525394000', 4, '永乐街道办事处', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525394000', 1, '2021-07-19 11:36:30', NULL, NULL), (6258, '', '乐用社区', 'a10e48e93dfd42e286066e8272cf70eb', 'f46e991848cc43a9a8e5c54cd3ff9eb2', 'False', 'True', 'false', 'false', '510525102001', 5, '乐用社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525102001', 1, '2021-07-19 11:36:30', NULL, NULL), (6259, '', '麻柳滩村', 'c1164506a13b48579612904815f39fc9', 'f46e991848cc43a9a8e5c54cd3ff9eb2', 'False', 'True', 'false', 'false', '510525102201', 5, '麻柳滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525102201', 1, '2021-07-19 11:36:30', NULL, NULL), (6260, '', '简阳村', '5c206d6594e3401186fcfe5ed2239097', 'f46e991848cc43a9a8e5c54cd3ff9eb2', 'False', 'True', 'false', 'false', '510525102203', 5, '简阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525102203', 1, '2021-07-19 11:36:30', NULL, NULL), (6261, '', '永乐村', '32d83e7fb3ea437bb7eb8f6a7ffa828d', 'f46e991848cc43a9a8e5c54cd3ff9eb2', 'False', 'True', 'false', 'false', '510525102204', 5, '永乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525102204', 1, '2021-07-19 11:36:30', NULL, NULL), (6262, '', '永吉村', 'eab3731d5e674ff0834bae1a3630209a', 'f46e991848cc43a9a8e5c54cd3ff9eb2', 'False', 'True', 'false', 'false', '510525102205', 5, '永吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525102205', 1, '2021-07-19 11:36:30', NULL, NULL), (6263, '', '两河口村', '1ad4f20c8db946cf9f75467574edfe94', 'f46e991848cc43a9a8e5c54cd3ff9eb2', 'False', 'True', 'false', 'false', '510525102206', 5, '两河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525102206', 1, '2021-07-19 11:36:30', NULL, NULL), (6264, '', '和平村', 'b9ade9bbe44c443f8017bc9c0b8b675f', 'f46e991848cc43a9a8e5c54cd3ff9eb2', 'False', 'True', 'false', 'false', '510525102207', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525102207', 1, '2021-07-19 11:36:30', NULL, NULL), (6265, '', '杨柳村', '03536e9f27274bbabae0fbc5fcd5cd45', 'f46e991848cc43a9a8e5c54cd3ff9eb2', 'False', 'True', 'false', 'false', '510525102208', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525102208', 1, '2021-07-19 11:36:30', NULL, NULL), (6266, '', '德付村', '8ff31cf2b2dc4de6906ca4e48cac3867', 'f46e991848cc43a9a8e5c54cd3ff9eb2', 'False', 'True', 'false', 'false', '510525102209', 5, '德付村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525102209', 1, '2021-07-19 11:36:30', NULL, NULL), (6267, '', '西华村', '25f04f914ae04bbd818264978643a991', 'f46e991848cc43a9a8e5c54cd3ff9eb2', 'False', 'True', 'false', 'false', '510525102210', 5, '西华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525102210', 1, '2021-07-19 11:36:30', NULL, NULL), (6268, '', '水落村', '42ac35c38d654c1ba2f0083ae4a9b8e1', 'f46e991848cc43a9a8e5c54cd3ff9eb2', 'False', 'True', 'false', 'false', '510525102211', 5, '水落村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525102211', 1, '2021-07-19 11:36:30', NULL, NULL), (6269, '', '永兴村', '43076e7ef0e940fb820c90f39c0dbea6', 'f46e991848cc43a9a8e5c54cd3ff9eb2', 'False', 'True', 'false', 'false', '510525102212', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525102212', 1, '2021-07-19 11:36:31', NULL, NULL), (6270, '', '山落村', '04d53226d5b542ec9a4af76c8189946b', 'f46e991848cc43a9a8e5c54cd3ff9eb2', 'False', 'True', 'false', 'false', '510525102213', 5, '山落村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525102213', 1, '2021-07-19 11:36:31', NULL, NULL), (6271, '', '大村镇', '5f223f7121e64448b655902941f48499', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525396000', 4, '大村镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525396000', 1, '2021-07-19 11:36:31', NULL, NULL), (6272, '', '大山村', '8d177744499245f190adebdaf11668e6', '5f223f7121e64448b655902941f48499', 'False', 'True', 'false', 'false', '510525105437', 5, '大山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525105437', 1, '2021-07-19 11:36:31', NULL, NULL), (6273, '', '赞台村', 'c58b530839fc47f3b5f03bd3147005d4', '5f223f7121e64448b655902941f48499', 'False', 'True', 'false', 'false', '510525105457', 5, '赞台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525105457', 1, '2021-07-19 11:36:31', NULL, NULL), (6274, '', '堰塘村', 'a8dab0119f3d41bda1abd7aedca58687', '5f223f7121e64448b655902941f48499', 'False', 'True', 'false', 'false', '510525105861', 5, '堰塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525105861', 1, '2021-07-19 11:36:31', NULL, NULL), (6275, '', '大村街社区', 'e8fded9482314ffd8ddfd2278ba16476', '5f223f7121e64448b655902941f48499', 'False', 'True', 'false', 'false', '510525105001', 5, '大村街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525105001', 1, '2021-07-19 11:36:31', NULL, NULL), (6276, '', '丰水村', 'bf396f079a704bf58ae4ebfc41310716', '5f223f7121e64448b655902941f48499', 'False', 'True', 'false', 'false', '510525105202', 5, '丰水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525105202', 1, '2021-07-19 11:36:31', NULL, NULL), (6277, '', '苏坝村', '7bf9968b82574d60b742acd5227dc4e0', '5f223f7121e64448b655902941f48499', 'False', 'True', 'false', 'false', '510525105203', 5, '苏坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525105203', 1, '2021-07-19 11:36:31', NULL, NULL), (6278, '', '玉峰村', 'aa4a73132c9048ef8437ea2f36b341d2', '5f223f7121e64448b655902941f48499', 'False', 'True', 'false', 'false', '510525105204', 5, '玉峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525105204', 1, '2021-07-19 11:36:31', NULL, NULL), (6279, '', '坳上村', 'e31a3b009f2a49ed98e64ce95f428e04', '5f223f7121e64448b655902941f48499', 'False', 'True', 'false', 'false', '510525105205', 5, '坳上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525105205', 1, '2021-07-19 11:36:31', NULL, NULL), (6280, '', '高山村', 'f4c31ffbd7944582b27901252fc8edf6', '5f223f7121e64448b655902941f48499', 'False', 'True', 'false', 'false', '510525105206', 5, '高山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525105206', 1, '2021-07-19 11:36:31', NULL, NULL), (6281, '', '桑木村', '02723858000f46f6b4ca8762aa3cf30f', '5f223f7121e64448b655902941f48499', 'False', 'True', 'false', 'false', '510525105207', 5, '桑木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525105207', 1, '2021-07-19 11:36:31', NULL, NULL), (6282, '', '菜田村', 'fe0186fdd3fe441ca4133489266e28a6', '5f223f7121e64448b655902941f48499', 'False', 'True', 'false', 'false', '510525105208', 5, '菜田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525105208', 1, '2021-07-19 11:36:31', NULL, NULL), (6283, '', '新场村', '79c819250f5045918e68cc5cb24bbc2a', '5f223f7121e64448b655902941f48499', 'False', 'True', 'false', 'false', '510525105209', 5, '新场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525105209', 1, '2021-07-19 11:36:31', NULL, NULL), (6284, '', '中乐村', 'e90975be088d4c29be7477de2595b4b5', '5f223f7121e64448b655902941f48499', 'False', 'True', 'false', 'false', '510525105210', 5, '中乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525105210', 1, '2021-07-19 11:36:31', NULL, NULL), (6285, '', '东新镇', '9504f5d07aab4530b1cfbbfa590c606b', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525469000', 4, '东新镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525469000', 1, '2021-07-19 11:36:31', NULL, NULL), (6286, '', '东新社区', '9b3a878fb55f4db8bda8dfed0bdb071a', '9504f5d07aab4530b1cfbbfa590c606b', 'False', 'True', 'false', 'false', '510525117083', 5, '东新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525117083', 1, '2021-07-19 11:36:31', NULL, NULL), (6287, '', '李家寨村', '8fdeed941ff740e7b7fb5c2ae4aa81b3', '9504f5d07aab4530b1cfbbfa590c606b', 'False', 'True', 'false', 'false', '510525117201', 5, '李家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525117201', 1, '2021-07-19 11:36:32', NULL, NULL), (6288, '', '兴文村', '45d9410d05934bee8c8e4e63aa2cb69e', '9504f5d07aab4530b1cfbbfa590c606b', 'False', 'True', 'false', 'false', '510525117202', 5, '兴文村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525117202', 1, '2021-07-19 11:36:32', NULL, NULL), (6289, '', '建东村', 'e72ab4a6ad34460c90469b2ec64ad15b', '9504f5d07aab4530b1cfbbfa590c606b', 'False', 'True', 'false', 'false', '510525117203', 5, '建东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525117203', 1, '2021-07-19 11:36:32', NULL, NULL), (6290, '', '姚家村', 'd581c34bd68540e491dfd665e5c78cc0', '9504f5d07aab4530b1cfbbfa590c606b', 'False', 'True', 'false', 'false', '510525117204', 5, '姚家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525117204', 1, '2021-07-19 11:36:32', NULL, NULL), (6291, '', '德华村', '774ee69dfccc4fd7bfae317eb6d499e9', '9504f5d07aab4530b1cfbbfa590c606b', 'False', 'True', 'false', 'false', '510525117206', 5, '德华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525117206', 1, '2021-07-19 11:36:32', NULL, NULL), (6292, '', '渔洞村', 'a8c6e7d9714749cd8024e32cb7fc6d95', '9504f5d07aab4530b1cfbbfa590c606b', 'False', 'True', 'false', 'false', '510525117207', 5, '渔洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525117207', 1, '2021-07-19 11:36:32', NULL, NULL), (6293, '', '民主村', '9be84149a3234346949dffa77eb5e675', '9504f5d07aab4530b1cfbbfa590c606b', 'False', 'True', 'false', 'false', '510525117208', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525117208', 1, '2021-07-19 11:36:32', NULL, NULL), (6294, '', '呐喊村', 'e3f18cb8a65d44b48079fcac1e169283', '9504f5d07aab4530b1cfbbfa590c606b', 'False', 'True', 'false', 'false', '510525117209', 5, '呐喊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525117209', 1, '2021-07-19 11:36:32', NULL, NULL), (6295, '', '白泥镇', 'e18482c24d2849ff81a787653ff6d06d', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525651000', 4, '白泥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525651000', 1, '2021-07-19 11:36:32', NULL, NULL), (6296, '', '沙坝村', 'fe604487d340490895745fc2e481e1e8', 'e18482c24d2849ff81a787653ff6d06d', 'False', 'True', 'false', 'false', '510525207202', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525207202', 1, '2021-07-19 11:36:32', NULL, NULL), (6297, '', '顺河村', 'fcdbebea458849aea401a2e9bb2b5a2c', 'e18482c24d2849ff81a787653ff6d06d', 'False', 'True', 'false', 'false', '510525207203', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525207203', 1, '2021-07-19 11:36:32', NULL, NULL), (6298, '', '菜板村', 'e68fb240322f4ad99a6e7069bbe9c7ee', 'e18482c24d2849ff81a787653ff6d06d', 'False', 'True', 'false', 'false', '510525207204', 5, '菜板村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525207204', 1, '2021-07-19 11:36:32', NULL, NULL), (6299, '', '骑龙社区', '5fb3211fa79642b19be52b3313ab5d29', 'e18482c24d2849ff81a787653ff6d06d', 'False', 'True', 'false', 'false', '510525651606', 5, '骑龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525651606', 1, '2021-07-19 11:36:32', NULL, NULL), (6300, '', '白泥村', 'd0ace5c689d64afea4609a84b0db5c72', 'e18482c24d2849ff81a787653ff6d06d', 'False', 'True', 'false', 'false', '510525651936', 5, '白泥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525651936', 1, '2021-07-19 11:36:32', NULL, NULL), (6301, '', '观文镇', 'c4d9aca826b24ff6bf07790181c5661a', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525652000', 4, '观文镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525652000', 1, '2021-07-19 11:36:32', NULL, NULL), (6302, '', '观文街社区', '4673f05902644039a277813be3643433', 'c4d9aca826b24ff6bf07790181c5661a', 'False', 'True', 'false', 'false', '510525109001', 5, '观文街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525109001', 1, '2021-07-19 11:36:33', NULL, NULL), (6303, '', '复兴村', '7291f7bfef864f6e84c051d3e933f889', 'c4d9aca826b24ff6bf07790181c5661a', 'False', 'True', 'false', 'false', '510525109201', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525109201', 1, '2021-07-19 11:36:33', NULL, NULL), (6304, '', '星凤村', '29c7bb5bd96e448187fadee280cd6f3c', 'c4d9aca826b24ff6bf07790181c5661a', 'False', 'True', 'false', 'false', '510525109202', 5, '星凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525109202', 1, '2021-07-19 11:36:33', NULL, NULL), (6305, '', '文化村', 'd98025e8da744a6b9a48bce5b167f5ce', 'c4d9aca826b24ff6bf07790181c5661a', 'False', 'True', 'false', 'false', '510525109203', 5, '文化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525109203', 1, '2021-07-19 11:36:33', NULL, NULL), (6306, '', '共和村', '6335941778f6419c9d5118a9a23a8078', 'c4d9aca826b24ff6bf07790181c5661a', 'False', 'True', 'false', 'false', '510525109204', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525109204', 1, '2021-07-19 11:36:33', NULL, NULL), (6307, '', '五桂村', 'c270f5f76ec94706ac81769b154fb0ec', 'c4d9aca826b24ff6bf07790181c5661a', 'False', 'True', 'false', 'false', '510525109205', 5, '五桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525109205', 1, '2021-07-19 11:36:33', NULL, NULL), (6308, '', '三凤村', 'cd95d2398e4b44bba996ef58cea5275f', 'c4d9aca826b24ff6bf07790181c5661a', 'False', 'True', 'false', 'false', '510525109206', 5, '三凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525109206', 1, '2021-07-19 11:36:33', NULL, NULL), (6309, '', '凤鸣村', '1a271d390179422c98a6dd4d700bf24a', 'c4d9aca826b24ff6bf07790181c5661a', 'False', 'True', 'false', 'false', '510525109208', 5, '凤鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525109208', 1, '2021-07-19 11:36:33', NULL, NULL), (6310, '', '建设村', '380f4d6175eb4d5dbe1a96bac4cd20b3', 'c4d9aca826b24ff6bf07790181c5661a', 'False', 'True', 'false', 'false', '510525109209', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525109209', 1, '2021-07-19 11:36:33', NULL, NULL), (6311, '', '民乐村', '554c0f4979634642b6a6c25e30a05859', 'c4d9aca826b24ff6bf07790181c5661a', 'False', 'True', 'false', 'false', '510525109210', 5, '民乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525109210', 1, '2021-07-19 11:36:33', NULL, NULL), (6312, '', '双桂村', '415279cd32bf4ba0838893c122e4f175', 'c4d9aca826b24ff6bf07790181c5661a', 'False', 'True', 'false', 'false', '510525109211', 5, '双桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525109211', 1, '2021-07-19 11:36:33', NULL, NULL), (6313, '', '荒田村', '2d62b0e49326497db6cb4b438fdc5994', 'c4d9aca826b24ff6bf07790181c5661a', 'False', 'True', 'false', 'false', '510525109212', 5, '荒田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525109212', 1, '2021-07-19 11:36:33', NULL, NULL), (6314, '', '永安村', '4010954a411e434282535fd9178419a0', 'c4d9aca826b24ff6bf07790181c5661a', 'False', 'True', 'false', 'false', '510525109213', 5, '永安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525109213', 1, '2021-07-19 11:36:33', NULL, NULL), (6315, '', '太平镇', 'bc3361e684764379816a2de0080ddc93', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525656000', 4, '太平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525656000', 1, '2021-07-19 11:36:33', NULL, NULL), (6316, '', '长征街社区', '05dd1cf89420466e88255daca951ce1d', 'bc3361e684764379816a2de0080ddc93', 'False', 'True', 'false', 'false', '510525103001', 5, '长征街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525103001', 1, '2021-07-19 11:36:33', NULL, NULL), (6317, '', '红军街社区', 'efdb2e61112a4cd09750db03942f4c06', 'bc3361e684764379816a2de0080ddc93', 'False', 'True', 'false', 'false', '510525103002', 5, '红军街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525103002', 1, '2021-07-19 11:36:33', NULL, NULL), (6318, '', '平丰村', 'dcffeda37ce94b18ace9fe9666e6a99a', 'bc3361e684764379816a2de0080ddc93', 'False', 'True', 'false', 'false', '510525103201', 5, '平丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525103201', 1, '2021-07-19 11:36:35', NULL, NULL), (6319, '', '走马村', '3d648cbfd33f4a10842996711ec8c5ad', 'bc3361e684764379816a2de0080ddc93', 'False', 'True', 'false', 'false', '510525103202', 5, '走马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525103202', 1, '2021-07-19 11:36:35', NULL, NULL), (6320, '', '城伍村', 'faa5665d7ece4a86b5e78ed26f6a2ac1', 'bc3361e684764379816a2de0080ddc93', 'False', 'True', 'false', 'false', '510525103203', 5, '城伍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525103203', 1, '2021-07-19 11:36:35', NULL, NULL), (6321, '', '太平村', 'c23bc24c770744828b70536fc9afc16e', 'bc3361e684764379816a2de0080ddc93', 'False', 'True', 'false', 'false', '510525103204', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525103204', 1, '2021-07-19 11:36:35', NULL, NULL), (6322, '', '高笠村', 'f70a921d68c74046b0cfe90122d384cc', 'bc3361e684764379816a2de0080ddc93', 'False', 'True', 'false', 'false', '510525103205', 5, '高笠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525103205', 1, '2021-07-19 11:36:35', NULL, NULL), (6323, '', '煌家村', '8834836593d44d79a187f9153c9dd78b', 'bc3361e684764379816a2de0080ddc93', 'False', 'True', 'false', 'false', '510525103206', 5, '煌家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525103206', 1, '2021-07-19 11:36:35', NULL, NULL), (6324, '', '团结村', '3d0e27a33f20403baaa99f17f52820e8', 'bc3361e684764379816a2de0080ddc93', 'False', 'True', 'false', 'false', '510525103207', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525103207', 1, '2021-07-19 11:36:36', NULL, NULL), (6325, '', '九龙村', '31b004cf78934d498d8567d35ac532c3', 'bc3361e684764379816a2de0080ddc93', 'False', 'True', 'false', 'false', '510525103208', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525103208', 1, '2021-07-19 11:36:36', NULL, NULL), (6326, '', '石宝镇', '7e6c0bdc7aff444b99bcbb95d67aba66', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525738000', 4, '石宝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525738000', 1, '2021-07-19 11:36:36', NULL, NULL), (6327, '', '白马村', '791161e9a3bf4ceba77a4a13510b056b', '7e6c0bdc7aff444b99bcbb95d67aba66', 'False', 'True', 'false', 'false', '510525106044', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525106044', 1, '2021-07-19 11:36:36', NULL, NULL), (6328, '', '石宝村', '88bf3ab7de374a57add9978bcb2e87d3', '7e6c0bdc7aff444b99bcbb95d67aba66', 'False', 'True', 'false', 'false', '510525106201', 5, '石宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525106201', 1, '2021-07-19 11:36:36', NULL, NULL), (6329, '', '小龙村', 'b43d42332a654ce0a0165e31438bd5e2', '7e6c0bdc7aff444b99bcbb95d67aba66', 'False', 'True', 'false', 'false', '510525106202', 5, '小龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525106202', 1, '2021-07-19 11:36:36', NULL, NULL), (6330, '', '普乐村', '43192c495bb34df492939330e1c53a9e', '7e6c0bdc7aff444b99bcbb95d67aba66', 'False', 'True', 'false', 'false', '510525106203', 5, '普乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525106203', 1, '2021-07-19 11:36:36', NULL, NULL), (6331, '', '红坝村', 'fe02d5021a754d37ae72c50e66060b97', '7e6c0bdc7aff444b99bcbb95d67aba66', 'False', 'True', 'false', 'false', '510525106204', 5, '红坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525106204', 1, '2021-07-19 11:36:36', NULL, NULL), (6332, '', '玉龙村', 'ca429b63d37241379927d8997110b93a', '7e6c0bdc7aff444b99bcbb95d67aba66', 'False', 'True', 'false', 'false', '510525106205', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525106205', 1, '2021-07-19 11:36:36', NULL, NULL), (6333, '', '白玉村', 'a6b2670cb3b644a6baf3ce490a1497df', '7e6c0bdc7aff444b99bcbb95d67aba66', 'False', 'True', 'false', 'false', '510525106206', 5, '白玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525106206', 1, '2021-07-19 11:36:36', NULL, NULL), (6334, '', '可贝村', 'a01ba71a91cd4035b8ce8a378e8e940f', '7e6c0bdc7aff444b99bcbb95d67aba66', 'False', 'True', 'false', 'false', '510525106207', 5, '可贝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525106207', 1, '2021-07-19 11:36:36', NULL, NULL), (6335, '', '合马村', 'dd5ee19e84f24225a16836b39fb76112', '7e6c0bdc7aff444b99bcbb95d67aba66', 'False', 'True', 'false', 'false', '510525106208', 5, '合马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525106208', 1, '2021-07-19 11:36:36', NULL, NULL), (6336, '', '双丰村', 'adf85c87100e48298ecf2f051f076d6c', '7e6c0bdc7aff444b99bcbb95d67aba66', 'False', 'True', 'false', 'false', '510525106209', 5, '双丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525106209', 1, '2021-07-19 11:36:36', NULL, NULL), (6337, '', '兴龙村', '8317d0dada1e47b2bcfd9d5561cf70e4', '7e6c0bdc7aff444b99bcbb95d67aba66', 'False', 'True', 'false', 'false', '510525106211', 5, '兴龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525106211', 1, '2021-07-19 11:36:36', NULL, NULL), (6338, '', '长坪村', '7bf1256a6d8a405f9f49b154b150f113', '7e6c0bdc7aff444b99bcbb95d67aba66', 'False', 'True', 'false', 'false', '510525106212', 5, '长坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525106212', 1, '2021-07-19 11:36:37', NULL, NULL), (6339, '', '五星村', '113bc6486c094dc09524eea6053d9462', '7e6c0bdc7aff444b99bcbb95d67aba66', 'False', 'True', 'false', 'false', '510525106213', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525106213', 1, '2021-07-19 11:36:37', NULL, NULL), (6340, '', '高家村', 'd8d53d0727d841d09b3eb18b24fffdd9', '7e6c0bdc7aff444b99bcbb95d67aba66', 'False', 'True', 'false', 'false', '510525106214', 5, '高家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525106214', 1, '2021-07-19 11:36:37', NULL, NULL), (6341, '', '石口村', '6afbefceb3fc41db9dcb8bbb65f63fe9', '7e6c0bdc7aff444b99bcbb95d67aba66', 'False', 'True', 'false', 'false', '510525106215', 5, '石口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525106215', 1, '2021-07-19 11:36:37', NULL, NULL), (6342, '', '石宝街社区', '941634240e274b61b9a20c3fa181d77b', '7e6c0bdc7aff444b99bcbb95d67aba66', 'False', 'True', 'false', 'false', '510525106217', 5, '石宝街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525106217', 1, '2021-07-19 11:36:37', NULL, NULL), (6343, '', '龙山镇', '7e478eb7e0474803a1e2728107e74f32', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525810000', 4, '龙山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525810000', 1, '2021-07-19 11:36:37', NULL, NULL), (6344, '', '天堂村', '60581686568448ff9e5d97adcf090da0', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101023', 5, '天堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101023', 1, '2021-07-19 11:36:37', NULL, NULL), (6345, '', '双河村', '9eff9f52ebc74edf98ffe0c2485c524f', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101048', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101048', 1, '2021-07-19 11:36:37', NULL, NULL), (6346, '', '三合村', '6e71ecb76a5f4f7ea8b18a23f3cd0623', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101060', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101060', 1, '2021-07-19 11:36:37', NULL, NULL), (6347, '', '苗沟村', '13007a5ed5f44a8281ea6318c9fc6520', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101188', 5, '苗沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101188', 1, '2021-07-19 11:36:37', NULL, NULL), (6348, '', '正元村', '426ee127e76641c0b30c177098af4055', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101262', 5, '正元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101262', 1, '2021-07-19 11:36:37', NULL, NULL), (6349, '', '望龙村', '866379f4699b407295384c62ccc06c91', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101303', 5, '望龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101303', 1, '2021-07-19 11:36:37', NULL, NULL), (6350, '', '鱼化街社区', '13fa591bab3148659fb440cdb4a6895a', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101515', 5, '鱼化街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101515', 1, '2021-07-19 11:36:37', NULL, NULL), (6351, '', '鱼丰村', '7cb479dd26254fa4a6933d5a6b857fd1', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101601', 5, '鱼丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101601', 1, '2021-07-19 11:36:38', NULL, NULL), (6352, '', '凤驰村', '730035975c4449cd9fb42dcb3036ae43', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101715', 5, '凤驰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101715', 1, '2021-07-19 11:36:38', NULL, NULL), (6353, '', '老马村', 'ab4feb7c91ef4b2f866a42f8d767a35b', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101729', 5, '老马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101729', 1, '2021-07-19 11:36:38', NULL, NULL), (6354, '', '仁和村', '796f2a83a0ac472aa0aaa0e119b8c5b0', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101912', 5, '仁和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101912', 1, '2021-07-19 11:36:38', NULL, NULL), (6355, '', '龙山街社区', '96fcb1e97910417aac74a5c91529c4f3', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101001', 5, '龙山街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101001', 1, '2021-07-19 11:36:38', NULL, NULL), (6356, '', '白沙村', '8bdefe05ae3c469d9695c896c6059dd3', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101201', 5, '白沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101201', 1, '2021-07-19 11:36:38', NULL, NULL), (6357, '', '稻香村', '004f534c1e934b7cafaf2b63e91eebef', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101202', 5, '稻香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101202', 1, '2021-07-19 11:36:38', NULL, NULL), (6358, '', '吉龙村', 'f827337fd9ca48278c385d361fa452a1', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101203', 5, '吉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101203', 1, '2021-07-19 11:36:38', NULL, NULL), (6359, '', '狮龙村', 'baaaa8ef197a41dbb041cde34268f1f4', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101205', 5, '狮龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101205', 1, '2021-07-19 11:36:38', NULL, NULL), (6360, '', '向田村', '3f2fae655de449b18b3d29fe404860e2', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101206', 5, '向田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101206', 1, '2021-07-19 11:36:38', NULL, NULL), (6361, '', '顺和村', '3865083034ec44cd9fdba35a90fcf236', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101208', 5, '顺和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101208', 1, '2021-07-19 11:36:38', NULL, NULL), (6362, '', '杨坪村', '46ff1098c8e74703a2d9c6067190b120', '7e478eb7e0474803a1e2728107e74f32', 'False', 'True', 'false', 'false', '510525101209', 5, '杨坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525101209', 1, '2021-07-19 11:36:38', NULL, NULL), (6363, '', '皇华镇', '502d16d490bd494dababf88f4a24ac04', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525829000', 4, '皇华镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525829000', 1, '2021-07-19 11:36:38', NULL, NULL), (6364, '', '华木村', 'd4aec150a46e42c1bc77f1e1977bb2c7', '502d16d490bd494dababf88f4a24ac04', 'False', 'True', 'false', 'false', '510525115316', 5, '华木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525115316', 1, '2021-07-19 11:36:38', NULL, NULL), (6365, '', '皇华社区', '2bdfd30d928645b7823c51f49fd40ed8', '502d16d490bd494dababf88f4a24ac04', 'False', 'True', 'false', 'false', '510525115001', 5, '皇华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525115001', 1, '2021-07-19 11:36:38', NULL, NULL), (6366, '', '皇华村', 'bf28ff7e1da54d1e9bde218060b00256', '502d16d490bd494dababf88f4a24ac04', 'False', 'True', 'false', 'false', '510525115201', 5, '皇华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525115201', 1, '2021-07-19 11:36:38', NULL, NULL), (6367, '', '利河村', 'e35e4da7a4374972a9f0c6af8df25101', '502d16d490bd494dababf88f4a24ac04', 'False', 'True', 'false', 'false', '510525115202', 5, '利河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525115202', 1, '2021-07-19 11:36:39', NULL, NULL), (6368, '', '龙田村', 'b4c96a5fff524831bc1fa57e8ed62a20', '502d16d490bd494dababf88f4a24ac04', 'False', 'True', 'false', 'false', '510525115203', 5, '龙田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525115203', 1, '2021-07-19 11:36:39', NULL, NULL), (6369, '', '金星村', 'eaae6fa29ca5461cb937e6434a0a6c88', '502d16d490bd494dababf88f4a24ac04', 'False', 'True', 'false', 'false', '510525115204', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525115204', 1, '2021-07-19 11:36:39', NULL, NULL), (6370, '', '红林村', '7fe4bfb8db954d5581539f19144df9e3', '502d16d490bd494dababf88f4a24ac04', 'False', 'True', 'false', 'false', '510525115205', 5, '红林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525115205', 1, '2021-07-19 11:36:39', NULL, NULL), (6371, '', '黑竹村', '88dde2df45764757845a5c81e12237b3', '502d16d490bd494dababf88f4a24ac04', 'False', 'True', 'false', 'false', '510525115206', 5, '黑竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525115206', 1, '2021-07-19 11:36:39', NULL, NULL), (6372, '', '铁厂村', '313e8a11069444a09c5ba4e6c1c0c473', '502d16d490bd494dababf88f4a24ac04', 'False', 'True', 'false', 'false', '510525115207', 5, '铁厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525115207', 1, '2021-07-19 11:36:39', NULL, NULL), (6373, '', '樱桃村', '05f3498b6fcf485dada65a47b12aaa2b', '502d16d490bd494dababf88f4a24ac04', 'False', 'True', 'false', 'false', '510525115208', 5, '樱桃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525115208', 1, '2021-07-19 11:36:39', NULL, NULL), (6374, '', '共裕村', '542f88c4273648d893dfda183ae7731a', '502d16d490bd494dababf88f4a24ac04', 'False', 'True', 'false', 'false', '510525115211', 5, '共裕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525115211', 1, '2021-07-19 11:36:39', NULL, NULL), (6375, '', '石鹅村', '1867fe7980b84aeb9e0d8d750f780775', '502d16d490bd494dababf88f4a24ac04', 'False', 'True', 'false', 'false', '510525115212', 5, '石鹅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525115212', 1, '2021-07-19 11:36:39', NULL, NULL), (6376, '', '石祥村', 'a8f91fcb9f7942e6a9207c5eed1ad75e', '502d16d490bd494dababf88f4a24ac04', 'False', 'True', 'false', 'false', '510525115213', 5, '石祥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525115213', 1, '2021-07-19 11:36:39', NULL, NULL), (6377, '', '大坝村', '15b848b57bf746e189ec5d8c3eccf971', '502d16d490bd494dababf88f4a24ac04', 'False', 'True', 'false', 'false', '510525115214', 5, '大坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525115214', 1, '2021-07-19 11:36:39', NULL, NULL), (6378, '', '文风村', 'c67079a481c64c56813c362ac0d4af7f', '502d16d490bd494dababf88f4a24ac04', 'False', 'True', 'false', 'false', '510525115215', 5, '文风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525115215', 1, '2021-07-19 11:36:39', NULL, NULL), (6379, '', '马蹄镇', '3ef6ea79aa2c4025892a6d4e49ec5b5f', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525834000', 4, '马蹄镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525834000', 1, '2021-07-19 11:36:39', NULL, NULL), (6380, '', '马蹄社区', '612d86411c5146f6b9973c2f08eac65a', '3ef6ea79aa2c4025892a6d4e49ec5b5f', 'False', 'True', 'false', 'false', '510525834021', 5, '马蹄社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525834021', 1, '2021-07-19 11:36:39', NULL, NULL), (6381, '', '果园村', 'd5065a8e023441bdbad258f636bf37b6', '3ef6ea79aa2c4025892a6d4e49ec5b5f', 'False', 'True', 'false', 'false', '510525834202', 5, '果园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525834202', 1, '2021-07-19 11:36:39', NULL, NULL), (6382, '', '土关村', '938da0ab5e9b47f19a23007268f798dd', '3ef6ea79aa2c4025892a6d4e49ec5b5f', 'False', 'True', 'false', 'false', '510525834203', 5, '土关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525834203', 1, '2021-07-19 11:36:39', NULL, NULL), (6383, '', '康田村', 'bca12e3490724bffbbe6d3b3074060e9', '3ef6ea79aa2c4025892a6d4e49ec5b5f', 'False', 'True', 'false', 'false', '510525834204', 5, '康田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525834204', 1, '2021-07-19 11:36:40', NULL, NULL), (6384, '', '石田村', 'c0b2b8e7635e474a82db2483eac9babb', '3ef6ea79aa2c4025892a6d4e49ec5b5f', 'False', 'True', 'false', 'false', '510525834205', 5, '石田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525834205', 1, '2021-07-19 11:36:40', NULL, NULL), (6385, '', '纳盘村', 'b9fc9fe1e70540098b1ce359085a539f', '3ef6ea79aa2c4025892a6d4e49ec5b5f', 'False', 'True', 'false', 'false', '510525834206', 5, '纳盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525834206', 1, '2021-07-19 11:36:40', NULL, NULL), (6386, '', '墙院村', '063e1778458d4072b801126a73d9a4d7', '3ef6ea79aa2c4025892a6d4e49ec5b5f', 'False', 'True', 'false', 'false', '510525834207', 5, '墙院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525834207', 1, '2021-07-19 11:36:40', NULL, NULL), (6387, '', '环路村', 'f217370a05214a83af32c9c327f99624', '3ef6ea79aa2c4025892a6d4e49ec5b5f', 'False', 'True', 'false', 'false', '510525834208', 5, '环路村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525834208', 1, '2021-07-19 11:36:40', NULL, NULL), (6388, '', '兰花村', '03caa92df17c404cb75cee6b7f5b2a51', '3ef6ea79aa2c4025892a6d4e49ec5b5f', 'False', 'True', 'false', 'false', '510525834209', 5, '兰花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525834209', 1, '2021-07-19 11:36:40', NULL, NULL), (6389, '', '椒园镇', 'e093ce7207b04f32bb107d2b83769d61', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525848000', 4, '椒园镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525848000', 1, '2021-07-19 11:36:40', NULL, NULL), (6390, '', '新园社区', 'c1828f6ef84e4ef69468eb19eeabebc6', 'e093ce7207b04f32bb107d2b83769d61', 'False', 'True', 'false', 'false', '510525118001', 5, '新园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525118001', 1, '2021-07-19 11:36:40', NULL, NULL), (6391, '', '椒园村', 'f16b5cb8dd9b44ddac906c93ae1b6134', 'e093ce7207b04f32bb107d2b83769d61', 'False', 'True', 'false', 'false', '510525118201', 5, '椒园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525118201', 1, '2021-07-19 11:36:40', NULL, NULL), (6392, '', '水田村', 'b9cc441aafde4e0994539fd9bd7d9b91', 'e093ce7207b04f32bb107d2b83769d61', 'False', 'True', 'false', 'false', '510525118202', 5, '水田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525118202', 1, '2021-07-19 11:36:40', NULL, NULL), (6393, '', '玉河村', '1a2f04b4246149f0a6e20ca553a12040', 'e093ce7207b04f32bb107d2b83769d61', 'False', 'True', 'false', 'false', '510525118204', 5, '玉河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525118204', 1, '2021-07-19 11:36:40', NULL, NULL), (6394, '', '育林村', '3d269ffed7e049af982814897d9e9964', 'e093ce7207b04f32bb107d2b83769d61', 'False', 'True', 'false', 'false', '510525118206', 5, '育林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525118206', 1, '2021-07-19 11:36:40', NULL, NULL), (6395, '', '龙凤村', '92c69ef3fa624f90aa78b6d091a8e529', 'e093ce7207b04f32bb107d2b83769d61', 'False', 'True', 'false', 'false', '510525118207', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525118207', 1, '2021-07-19 11:36:40', NULL, NULL), (6396, '', '犀牛村', '8cc1ea767415487eb4e8ae4b0526ca16', 'e093ce7207b04f32bb107d2b83769d61', 'False', 'True', 'false', 'false', '510525118208', 5, '犀牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525118208', 1, '2021-07-19 11:36:40', NULL, NULL), (6397, '', '丹桂镇', '92c9de7d975449d593a4bdea4f048301', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525931000', 4, '丹桂镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525931000', 1, '2021-07-19 11:36:41', NULL, NULL), (6398, '', '文星村', '02a3d9d7230c448db431f9b189ee403e', '92c9de7d975449d593a4bdea4f048301', 'False', 'True', 'false', 'false', '510525107326', 5, '文星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525107326', 1, '2021-07-19 11:36:41', NULL, NULL), (6399, '', '丹桂社区', 'ee432c0c82ea44ff82a1ebedbfb9a17f', '92c9de7d975449d593a4bdea4f048301', 'False', 'True', 'false', 'false', '510525107001', 5, '丹桂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525107001', 1, '2021-07-19 11:36:41', NULL, NULL), (6400, '', '普安村', '62413a8b4a27436fa4e2fc503983d547', '92c9de7d975449d593a4bdea4f048301', 'False', 'True', 'false', 'false', '510525107201', 5, '普安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525107201', 1, '2021-07-19 11:36:41', NULL, NULL), (6401, '', '金龙村', '160a4722405143a899d6a6800b0e921b', '92c9de7d975449d593a4bdea4f048301', 'False', 'True', 'false', 'false', '510525107202', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525107202', 1, '2021-07-19 11:36:41', NULL, NULL), (6402, '', '洗马村', '4d4f36ed5d7d4f12a2787a71215f7871', '92c9de7d975449d593a4bdea4f048301', 'False', 'True', 'false', 'false', '510525107204', 5, '洗马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525107204', 1, '2021-07-19 11:36:41', NULL, NULL), (6403, '', '香元村', 'd8202aece3b947b5bf29b88ceff3be3c', '92c9de7d975449d593a4bdea4f048301', 'False', 'True', 'false', 'false', '510525107205', 5, '香元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525107205', 1, '2021-07-19 11:36:41', NULL, NULL), (6404, '', '现龙村', 'ca7949a0f907440eb11937a25a4a351a', '92c9de7d975449d593a4bdea4f048301', 'False', 'True', 'false', 'false', '510525107206', 5, '现龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525107206', 1, '2021-07-19 11:36:41', NULL, NULL), (6405, '', '正丰村', 'f4132970e10640ef8d86abc11551211c', '92c9de7d975449d593a4bdea4f048301', 'False', 'True', 'false', 'false', '510525107208', 5, '正丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525107208', 1, '2021-07-19 11:36:41', NULL, NULL), (6406, '', '桂阳村', '95598e220e9740e6930adf954c9aeb1c', '92c9de7d975449d593a4bdea4f048301', 'False', 'True', 'false', 'false', '510525107209', 5, '桂阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525107209', 1, '2021-07-19 11:36:41', NULL, NULL), (6407, '', '岩湾村', 'a9aec5cb5eae4995948835dd40bfa837', '92c9de7d975449d593a4bdea4f048301', 'False', 'True', 'false', 'false', '510525107210', 5, '岩湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525107210', 1, '2021-07-19 11:36:41', NULL, NULL), (6408, '', '彭营村', 'e25d64d78a3140caa6bdcfdff25c7755', '92c9de7d975449d593a4bdea4f048301', 'False', 'True', 'false', 'false', '510525107211', 5, '彭营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525107211', 1, '2021-07-19 11:36:41', NULL, NULL), (6409, '', '仙寺村', 'f5bf094168cc4433b0048c981c93d911', '92c9de7d975449d593a4bdea4f048301', 'False', 'True', 'false', 'false', '510525107212', 5, '仙寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525107212', 1, '2021-07-19 11:36:41', NULL, NULL), (6410, '', '白良村', 'ddd1a23ae2bb4bd087257461781050cd', '92c9de7d975449d593a4bdea4f048301', 'False', 'True', 'false', 'false', '510525107213', 5, '白良村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525107213', 1, '2021-07-19 11:36:41', NULL, NULL), (6411, '', '金华村', '020a7036c1be4406a83c5bdfefd4a251', '92c9de7d975449d593a4bdea4f048301', 'False', 'True', 'false', 'false', '510525107214', 5, '金华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525107214', 1, '2021-07-19 11:36:41', NULL, NULL), (6412, '', '黄荆镇', '6153c3d00dfa4cbcb7c91de2badb31f6', '944a25e4c6924ad38860c7f075d891fc', 'True', 'True', 'false', 'false', '510525979000', 4, '黄荆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510525979000', 1, '2021-07-19 11:36:41', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (6413, '', '田坝村', 'd8cf25b6b5314ccd8a60fb4fbd7b4d84', '6153c3d00dfa4cbcb7c91de2badb31f6', 'False', 'True', 'false', 'false', '510525216001', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525216001', 1, '2021-07-19 11:36:41', NULL, NULL), (6414, '', '香楠村', '173a93a412d14fe3b2dc9e8e4358a089', '6153c3d00dfa4cbcb7c91de2badb31f6', 'False', 'True', 'false', 'false', '510525216008', 5, '香楠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525216008', 1, '2021-07-19 11:36:41', NULL, NULL), (6415, '', '新市村', 'ea6e97bad7a341d8950b0c9b0441d009', '6153c3d00dfa4cbcb7c91de2badb31f6', 'False', 'True', 'false', 'false', '510525216342', 5, '新市村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525216342', 1, '2021-07-19 11:36:42', NULL, NULL), (6416, '', '汉溪村', 'dc0ea6cd04fa4531b8ab8a3325ec9549', '6153c3d00dfa4cbcb7c91de2badb31f6', 'False', 'True', 'false', 'false', '510525216355', 5, '汉溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525216355', 1, '2021-07-19 11:36:42', NULL, NULL), (6417, '', '高峰村', '7de83b2dfe39458cbe6a1542009aa4ab', '6153c3d00dfa4cbcb7c91de2badb31f6', 'False', 'True', 'false', 'false', '510525216488', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525216488', 1, '2021-07-19 11:36:42', NULL, NULL), (6418, '', '桂花社区', 'bbd9bdf62d93416dbc8a30080d01c004', '6153c3d00dfa4cbcb7c91de2badb31f6', 'False', 'True', 'false', 'false', '510525216668', 5, '桂花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525216668', 1, '2021-07-19 11:36:42', NULL, NULL), (6419, '', '黄荆社区', '2a26fdf214a64dc1af8737a25a4543d5', '6153c3d00dfa4cbcb7c91de2badb31f6', 'False', 'True', 'false', 'false', '510525216798', 5, '黄荆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525216798', 1, '2021-07-19 11:36:42', NULL, NULL), (6420, '', '罗江村', '1b69884d40e54beb8d1a6e27cb873a9e', '6153c3d00dfa4cbcb7c91de2badb31f6', 'False', 'True', 'false', 'false', '510525216105', 5, '罗江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525216105', 1, '2021-07-19 11:36:42', NULL, NULL), (6421, '', '八节洞', '591d4fdd646b4dd58ff2d37d3efbb387', '6153c3d00dfa4cbcb7c91de2badb31f6', 'False', 'True', 'false', 'false', '510525216202', 5, '八节洞', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525216202', 1, '2021-07-19 11:36:42', NULL, NULL), (6422, '', '黄荆村', '9945a53a8a5b4a45b274999c14b4e39e', '6153c3d00dfa4cbcb7c91de2badb31f6', 'False', 'True', 'false', 'false', '510525216203', 5, '黄荆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525216203', 1, '2021-07-19 11:36:42', NULL, NULL), (6423, '', '原林村', 'b8a0fc2af3bb4b18bbae574197243a4d', '6153c3d00dfa4cbcb7c91de2badb31f6', 'False', 'True', 'false', 'false', '510525216204', 5, '原林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510525216204', 1, '2021-07-19 11:36:42', NULL, NULL), (6424, '', '泸州高新区', '99c6d9add592406b832daef61a710a5e', 'f96cd81a6efd4a1d9f65a00b6277b1fb', 'False', 'True', 'false', 'false', '510599000000', 3, '中国泸州高新区', 'lzsgxq.sczwfw.gov.cn', 1, '2021-07-19 11:36:42', NULL, NULL), (6425, '', '中国（四川）自由贸易试验区川南临港片区', '78e8b07fa9e54cd6aad2921198078a7a', 'f96cd81a6efd4a1d9f65a00b6277b1fb', 'False', 'True', 'false', 'false', '510504000100', 3, '中国（四川）自由贸易试验区川南临港片区', 'lzscnlgpq.sczwfw.gov.cn', 1, '2021-07-19 11:36:42', NULL, NULL), (6426, '', '德阳市', '64a68decebae47d49ac30f795b48df24', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '510600000000', 2, '德阳市', 'dys.sczwfw.gov.cn', 1, '2021-07-19 11:36:42', NULL, NULL), (6427, '', '旌阳区', 'ecf7e94171934752a95b0cffe77bc724', '64a68decebae47d49ac30f795b48df24', 'True', 'True', 'false', 'false', '510603000000', 3, '旌阳区', 'dysjyq.sczwfw.gov.cn', 1, '2021-07-19 11:36:42', NULL, NULL), (6428, '', '旌阳街道', '47939c282c8e43f88ebea5453f44c6e4', 'ecf7e94171934752a95b0cffe77bc724', 'True', 'True', 'false', 'false', '510603001000', 4, '旌阳街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510603001000', 1, '2021-07-19 11:36:42', NULL, NULL), (6429, '', '丁香巷社区', '1727fab4f5e949489cca2a00563d6aff', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001030', 5, '丁香巷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001030', 1, '2021-07-19 11:36:42', NULL, NULL), (6430, '', '南塔社区', 'afe7e4ddd2334a5f8b8950c787d43f38', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001031', 5, '南塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001031', 1, '2021-07-19 11:36:42', NULL, NULL), (6431, '', '香山巷社区', '020c29d14d8844618892ee80bb185c9f', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001032', 5, '香山巷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001032', 1, '2021-07-19 11:36:42', NULL, NULL), (6432, '', '华山南路社区', 'ce73cdaad6d94fe9b069ede9ce142a3e', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001033', 5, '华山南路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001033', 1, '2021-07-19 11:36:42', NULL, NULL), (6433, '', '花园巷社区', '29f58ce5665b4c0eb682b85c0ebf4880', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001034', 5, '花园巷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001034', 1, '2021-07-19 11:36:42', NULL, NULL), (6434, '', '舟山社区', '9327a27b55c64520b715867d3840f323', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001035', 5, '舟山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001035', 1, '2021-07-19 11:36:42', NULL, NULL), (6435, '', '怡安社区', '7ef2a73ab4fd4246b67023fb90c15d06', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001036', 5, '怡安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001036', 1, '2021-07-19 11:36:42', NULL, NULL), (6436, '', '桃园社区', '442d55b4db5f4852b6177f413d61ce70', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001037', 5, '桃园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001037', 1, '2021-07-19 11:36:43', NULL, NULL), (6437, '', '沙河街社区', 'ad2d911a26f04b4cb5e604ba742c6ac7', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001038', 5, '沙河街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001038', 1, '2021-07-19 11:36:43', NULL, NULL), (6438, '', '蒲东社区', '5248247494a04d6b9fb736918881d0e9', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001039', 5, '蒲东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001039', 1, '2021-07-19 11:36:43', NULL, NULL), (6439, '', '辽河街社区', '3e6c62b570f6468a9c1c17f3e4a7227f', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001040', 5, '辽河街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001040', 1, '2021-07-19 11:36:43', NULL, NULL), (6440, '', '平安社区', '6ad8886b6b9b473ab39792edd3e1047c', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001042', 5, '平安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001042', 1, '2021-07-19 11:36:43', NULL, NULL), (6441, '', '文昌社区', '7c0e30e51c954665a4c1ff8f7c3f3bea', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001001', 5, '文昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001001', 1, '2021-07-19 11:36:43', NULL, NULL), (6442, '', '光华社区', 'ea96111dbdfc4621a398456cc2d07694', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001004', 5, '光华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001004', 1, '2021-07-19 11:36:43', NULL, NULL), (6443, '', '堰塘坝社区', '08e8e25a5d6c42059c4cf359c63c8f7b', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001006', 5, '堰塘坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001006', 1, '2021-07-19 11:36:43', NULL, NULL), (6444, '', '米市坝社区', '5fbba0d2f0974af3a7fb0c3614749865', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001009', 5, '米市坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001009', 1, '2021-07-19 11:36:43', NULL, NULL), (6445, '', '西小区社区', '43a54846ac074e28b83a14f75ae1de3f', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001010', 5, '西小区社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001010', 1, '2021-07-19 11:36:43', NULL, NULL), (6446, '', '红雨社区', '4af0c5015eaa41798e8a1145914c2110', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001013', 5, '红雨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001013', 1, '2021-07-19 11:36:43', NULL, NULL), (6447, '', '陕西馆社区', '0fae34515ee646aa9de0a27d32ecf252', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001015', 5, '陕西馆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001015', 1, '2021-07-19 11:36:43', NULL, NULL), (6448, '', '文庙社区', '4aea185857654af3b5bc85829c9f3af5', '47939c282c8e43f88ebea5453f44c6e4', 'False', 'True', 'false', 'false', '510603001016', 5, '文庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603001016', 1, '2021-07-19 11:36:43', NULL, NULL), (6449, '', '黄许镇', 'ebb986447b7c4c2894342f9205dd8490', 'ecf7e94171934752a95b0cffe77bc724', 'True', 'True', 'false', 'false', '510603100000', 4, '黄许镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510603100000', 1, '2021-07-19 11:36:43', NULL, NULL), (6450, '', '南华宫社区', '651e49ede40142ca8daa89c6cbaf052e', 'ebb986447b7c4c2894342f9205dd8490', 'False', 'True', 'false', 'false', '510603100001', 5, '南华宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603100001', 1, '2021-07-19 11:36:43', NULL, NULL), (6451, '', '滨河街社区', '766024696ffa4c17b14da0ffcec2b2f4', 'ebb986447b7c4c2894342f9205dd8490', 'False', 'True', 'false', 'false', '510603100003', 5, '滨河街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603100003', 1, '2021-07-19 11:36:43', NULL, NULL), (6452, '', '孟家社区', 'b73e6408f1ca470a80b875f47216b124', 'ebb986447b7c4c2894342f9205dd8490', 'False', 'True', 'false', 'false', '510603100004', 5, '孟家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603100004', 1, '2021-07-19 11:36:43', NULL, NULL), (6453, '', '新新社区', '5938a84873af4fef8039c53319bf9ffd', 'ebb986447b7c4c2894342f9205dd8490', 'False', 'True', 'false', 'false', '510603100201', 5, '新新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603100201', 1, '2021-07-19 11:36:43', NULL, NULL), (6454, '', '三合村', '697afa514ef74ffc9b8e0f57687f32d2', 'ebb986447b7c4c2894342f9205dd8490', 'False', 'True', 'false', 'false', '510603100202', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603100202', 1, '2021-07-19 11:36:44', NULL, NULL), (6455, '', '新龙村', 'd73d5ef91b4e4e018808fe0d0bdbec40', 'ebb986447b7c4c2894342f9205dd8490', 'False', 'True', 'false', 'false', '510603100203', 5, '新龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603100203', 1, '2021-07-19 11:36:44', NULL, NULL), (6456, '', '胜华村', '6c178f1ec9324ffabc9e8395eaddfb6f', 'ebb986447b7c4c2894342f9205dd8490', 'False', 'True', 'false', 'false', '510603100207', 5, '胜华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603100207', 1, '2021-07-19 11:36:44', NULL, NULL), (6457, '', '广平村', 'fb19470557084359bcdec65bbca574f9', 'ebb986447b7c4c2894342f9205dd8490', 'False', 'True', 'false', 'false', '510603100208', 5, '广平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603100208', 1, '2021-07-19 11:36:44', NULL, NULL), (6458, '', '红海村', '746d61d6ff6a45e79b9e5e694e29235a', 'ebb986447b7c4c2894342f9205dd8490', 'False', 'True', 'false', 'false', '510603100210', 5, '红海村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603100210', 1, '2021-07-19 11:36:44', NULL, NULL), (6459, '', '双原村', '4b6a06e542d04608903294db75e42213', 'ebb986447b7c4c2894342f9205dd8490', 'False', 'True', 'false', 'false', '510603100211', 5, '双原村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603100211', 1, '2021-07-19 11:36:44', NULL, NULL), (6460, '', '大坝社区', '0b3246329e654d58aae0e29ecdd4f753', 'ebb986447b7c4c2894342f9205dd8490', 'False', 'True', 'false', 'false', '510603100213', 5, '大坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603100213', 1, '2021-07-19 11:36:44', NULL, NULL), (6461, '', '东泰村', '1974b0122a054890bbe074fa40c55aec', 'ebb986447b7c4c2894342f9205dd8490', 'False', 'True', 'false', 'false', '510603100214', 5, '东泰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603100214', 1, '2021-07-19 11:36:44', NULL, NULL), (6462, '', '宏山村', '3265bbaab13347088ff30a53d27db130', 'ebb986447b7c4c2894342f9205dd8490', 'False', 'True', 'false', 'false', '510603100222', 5, '宏山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603100222', 1, '2021-07-19 11:36:44', NULL, NULL), (6463, '', '袁家村', '7de9f74c629f415c9dceb5241a78f367', 'ebb986447b7c4c2894342f9205dd8490', 'False', 'True', 'false', 'false', '510603100224', 5, '袁家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603100224', 1, '2021-07-19 11:36:44', NULL, NULL), (6464, '', '仙桥村', '75feccdb2d5a447585054aa061aa1809', 'ebb986447b7c4c2894342f9205dd8490', 'False', 'True', 'false', 'false', '510603100226', 5, '仙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603100226', 1, '2021-07-19 11:36:44', NULL, NULL), (6465, '', '泰康村', '8f40cb5aafb347419cc0c6c6a968fdea', 'ebb986447b7c4c2894342f9205dd8490', 'False', 'True', 'false', 'false', '510603100227', 5, '泰康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603100227', 1, '2021-07-19 11:36:44', NULL, NULL), (6466, '', '长平村', 'a86f05f4acbf4f5ca45eef747fb04733', 'ebb986447b7c4c2894342f9205dd8490', 'False', 'True', 'false', 'false', '510603100230', 5, '长平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603100230', 1, '2021-07-19 11:36:44', NULL, NULL), (6467, '', '孝泉镇', '44f3936183294771978efe6f072c908c', 'ecf7e94171934752a95b0cffe77bc724', 'True', 'True', 'false', 'false', '510603101800', 4, '孝泉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510603101800', 1, '2021-07-19 11:36:44', NULL, NULL), (6468, '', '正阳街社区', '0c1f7bb48db943b3a2ee2e42427b0406', '44f3936183294771978efe6f072c908c', 'False', 'True', 'false', 'false', '510603101001', 5, '正阳街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603101001', 1, '2021-07-19 11:36:44', NULL, NULL), (6469, '', '阳安路社区', '595d068c31e34072be631a391e1e727a', '44f3936183294771978efe6f072c908c', 'False', 'True', 'false', 'false', '510603101003', 5, '阳安路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603101003', 1, '2021-07-19 11:36:44', NULL, NULL), (6470, '', '安安社区', '15bb8f00ca2d4f2b98eb1d5041f73e9b', '44f3936183294771978efe6f072c908c', 'False', 'True', 'false', 'false', '510603101004', 5, '安安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603101004', 1, '2021-07-19 11:36:44', NULL, NULL), (6471, '', '农鲤村', 'a4dbf2bf966d4f628dabd6241752de92', '44f3936183294771978efe6f072c908c', 'False', 'True', 'false', 'false', '510603101202', 5, '农鲤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603101202', 1, '2021-07-19 11:36:44', NULL, NULL), (6472, '', '江河村', 'e97c2a44bea440f3abb6b01154144908', '44f3936183294771978efe6f072c908c', 'False', 'True', 'false', 'false', '510603101205', 5, '江河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603101205', 1, '2021-07-19 11:36:45', NULL, NULL), (6473, '', '涌泉村', 'cdf7478d25804ab9ab6a447e1e20e892', '44f3936183294771978efe6f072c908c', 'False', 'True', 'false', 'false', '510603101206', 5, '涌泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603101206', 1, '2021-07-19 11:36:45', NULL, NULL), (6474, '', '五会村', 'f4fb162d457a4308907e34f30ffbfa11', '44f3936183294771978efe6f072c908c', 'False', 'True', 'false', 'false', '510603101209', 5, '五会村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603101209', 1, '2021-07-19 11:36:45', NULL, NULL), (6475, '', '高桥村', '16c72683790d42e88debb912cb3bc9c7', '44f3936183294771978efe6f072c908c', 'False', 'True', 'false', 'false', '510603101212', 5, '高桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603101212', 1, '2021-07-19 11:36:45', NULL, NULL), (6476, '', '黎郎村', 'edf5a71ccf5246db9d386f6daf44614a', '44f3936183294771978efe6f072c908c', 'False', 'True', 'false', 'false', '510603101213', 5, '黎郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603101213', 1, '2021-07-19 11:36:45', NULL, NULL), (6477, '', '民安村', 'efd5f9377ce34b93bc276ac1adc2d05c', '44f3936183294771978efe6f072c908c', 'False', 'True', 'false', 'false', '510603101216', 5, '民安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603101216', 1, '2021-07-19 11:36:45', NULL, NULL), (6478, '', '菖蒲村', '8a1d9c73cc6d4cd8a17bc457513c2010', '44f3936183294771978efe6f072c908c', 'False', 'True', 'false', 'false', '510603101218', 5, '菖蒲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603101218', 1, '2021-07-19 11:36:45', NULL, NULL), (6479, '', '桂花街社区', '546e08e0a7ec498da8633d9bb82722d6', '44f3936183294771978efe6f072c908c', 'False', 'True', 'false', 'false', '510603101649', 5, '桂花街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603101649', 1, '2021-07-19 11:36:45', NULL, NULL), (6480, '', '柏隆镇', '31515581e51946fbaf4e420518bf4109', 'ecf7e94171934752a95b0cffe77bc724', 'True', 'True', 'false', 'false', '510603103000', 4, '柏隆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510603103000', 1, '2021-07-19 11:36:45', NULL, NULL), (6481, '', '凤泉社区', '029b49a71fde4245bc72399802cb1d44', '31515581e51946fbaf4e420518bf4109', 'False', 'True', 'false', 'false', '510603103001', 5, '凤泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603103001', 1, '2021-07-19 11:36:45', NULL, NULL), (6482, '', '南平村', '5d987bb856b1419a8e40fc7753cfa69c', '31515581e51946fbaf4e420518bf4109', 'False', 'True', 'false', 'false', '510603103202', 5, '南平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603103202', 1, '2021-07-19 11:36:45', NULL, NULL), (6483, '', '红花村', '9aa1ed7961854f3c987a55eca79e5a2e', '31515581e51946fbaf4e420518bf4109', 'False', 'True', 'false', 'false', '510603103203', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603103203', 1, '2021-07-19 11:36:45', NULL, NULL), (6484, '', '镇元桥村', 'b6b453ca7bef49da8c8d94082e66d60a', '31515581e51946fbaf4e420518bf4109', 'False', 'True', 'false', 'false', '510603103204', 5, '镇元桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603103204', 1, '2021-07-19 11:36:45', NULL, NULL), (6485, '', '松柏村', 'ac2f06ebd85d4c359f5576510de5a6b7', '31515581e51946fbaf4e420518bf4109', 'False', 'True', 'false', 'false', '510603103206', 5, '松柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603103206', 1, '2021-07-19 11:36:46', NULL, NULL), (6486, '', '隆兴桥村', 'bab66cf6345240318a0872215df93054', '31515581e51946fbaf4e420518bf4109', 'False', 'True', 'false', 'false', '510603103207', 5, '隆兴桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603103207', 1, '2021-07-19 11:36:46', NULL, NULL), (6487, '', '清和村', '5af615f310ce4a2ba1e23eea5a2005a8', '31515581e51946fbaf4e420518bf4109', 'False', 'True', 'false', 'false', '510603103208', 5, '清和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603103208', 1, '2021-07-19 11:36:46', NULL, NULL), (6488, '', '孝感街道', 'fcb84a331dca424d990e8c1bf01ce421', 'ecf7e94171934752a95b0cffe77bc724', 'True', 'True', 'false', 'false', '510603104000', 4, '孝感街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510603104000', 1, '2021-07-19 11:36:46', NULL, NULL), (6489, '', '太行山路社区', 'c81cc8bb16b149c09c81b6bf3a3bbd30', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '51060310499', 5, '太行山路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=51060310499', 1, '2021-07-19 11:36:46', NULL, NULL), (6490, '', '红旗路社区', '19f9c88403d545b289901173fa2c5fea', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104030', 5, '红旗路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104030', 1, '2021-07-19 11:36:46', NULL, NULL), (6491, '', '友谊路社区', '4d5946d5b43146b79f0422b78b36ea8c', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104032', 5, '友谊路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104032', 1, '2021-07-19 11:36:46', NULL, NULL), (6492, '', '铁西社区', 'fe0df19f2d9243cd9573454bcf8e98ca', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104033', 5, '铁西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104033', 1, '2021-07-19 11:36:46', NULL, NULL), (6493, '', '东工苑社区', '78ff377db5024a97a012911e4441f815', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104034', 5, '东工苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104034', 1, '2021-07-19 11:36:46', NULL, NULL), (6494, '', '永兴社区', 'c6294533342e4423bbe6b06d0aa318c8', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104035', 5, '永兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104035', 1, '2021-07-19 11:36:46', NULL, NULL), (6495, '', '泰山社区', '15e9b04c6569428580141ec7522f61da', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104037', 5, '泰山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104037', 1, '2021-07-19 11:36:46', NULL, NULL), (6496, '', '文化路社区', 'e017e8c0739e46a491aeab140edbb96a', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104038', 5, '文化路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104038', 1, '2021-07-19 11:36:46', NULL, NULL), (6497, '', '五里堆社区', 'd26984374f724037b2d454c2eba9662e', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104039', 5, '五里堆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104039', 1, '2021-07-19 11:36:46', NULL, NULL), (6498, '', '淮河街社区', '00571b69b45d46f9bda233b6693b4be5', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104040', 5, '淮河街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104040', 1, '2021-07-19 11:36:46', NULL, NULL), (6499, '', '汾河路社区', 'ccfc6a253575441885cbdeea81bf4fee', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104041', 5, '汾河路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104041', 1, '2021-07-19 11:36:47', NULL, NULL), (6500, '', '秦宓社区', 'b5291c5712564d83a9cb90686485a435', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104042', 5, '秦宓社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104042', 1, '2021-07-19 11:36:47', NULL, NULL), (6501, '', '华联社区', '58b611a54a524784888651a2686f68f3', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104043', 5, '华联社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104043', 1, '2021-07-19 11:36:47', NULL, NULL), (6502, '', '扬程社区', 'd56d1c3713ba4da592109daf380ccb5b', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104044', 5, '扬程社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104044', 1, '2021-07-19 11:36:47', NULL, NULL), (6503, '', '永安社区', '6fdc5107cce647828b5aab9e4657821a', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104045', 5, '永安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104045', 1, '2021-07-19 11:36:47', NULL, NULL), (6504, '', '圣风社区', '17a83319d1184f30a00f9fbc6b35af0f', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104046', 5, '圣风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104046', 1, '2021-07-19 11:36:47', NULL, NULL), (6505, '', '金牛社区', '606a93cabc9a4dae9456f062767bdea6', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104047', 5, '金牛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104047', 1, '2021-07-19 11:36:47', NULL, NULL), (6506, '', '银山路社区', '77eb86bf0155481d8d1b49abf12d329a', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104001', 5, '银山路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104001', 1, '2021-07-19 11:36:47', NULL, NULL), (6507, '', '联合社区', '1ec35682477e43569598607d4548103c', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104002', 5, '联合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104002', 1, '2021-07-19 11:36:47', NULL, NULL), (6508, '', '金马村', 'b02921bd95804adfb812973c2c2b56e9', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104201', 5, '金马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104201', 1, '2021-07-19 11:36:47', NULL, NULL), (6509, '', '杨柳村', '5f2882a6c31b499ba95ad941ef6561a3', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104204', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104204', 1, '2021-07-19 11:36:47', NULL, NULL), (6510, '', '红伏村', 'f7ec000fef2d497a9b274927a535b654', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104206', 5, '红伏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104206', 1, '2021-07-19 11:36:47', NULL, NULL), (6511, '', '黄河村', '1c9954df47da418fbddc343e9a5abe58', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104207', 5, '黄河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104207', 1, '2021-07-19 11:36:47', NULL, NULL), (6512, '', '和平村', '29aed385e8ad4a4880709108ab37f1dd', 'fcb84a331dca424d990e8c1bf01ce421', 'False', 'True', 'false', 'false', '510603104209', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603104209', 1, '2021-07-19 11:36:47', NULL, NULL), (6513, '', '天元街道', '6143a1d4cbd84cf994d177b9beba9292', 'ecf7e94171934752a95b0cffe77bc724', 'True', 'True', 'false', 'false', '510603105000', 4, '天元街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510603105000', 1, '2021-07-19 11:36:47', NULL, NULL), (6514, '', '嘉新社区', '708e4e93e8c046128c7e9a71c12b173f', '6143a1d4cbd84cf994d177b9beba9292', 'False', 'True', 'false', 'false', '510603010230', 5, '嘉新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603010230', 1, '2021-07-19 11:36:47', NULL, NULL), (6515, '', '扬嘉村', 'c9ab0a03bd96412eba716d2b2dabc3be', '6143a1d4cbd84cf994d177b9beba9292', 'False', 'True', 'false', 'false', '510603010231', 5, '扬嘉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603010231', 1, '2021-07-19 11:36:47', NULL, NULL), (6516, '', '新隆村', 'de6b899b0a5e44228ffe7a84e97a750f', '6143a1d4cbd84cf994d177b9beba9292', 'False', 'True', 'false', 'false', '510603010232', 5, '新隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603010232', 1, '2021-07-19 11:36:48', NULL, NULL), (6517, '', '青花村', '8be97b8f8a83439da520bab5804812b2', '6143a1d4cbd84cf994d177b9beba9292', 'False', 'True', 'false', 'false', '510603010233', 5, '青花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603010233', 1, '2021-07-19 11:36:48', NULL, NULL), (6518, '', '丰城村', 'b0478345fda64efcb7cba7771abdfb38', '6143a1d4cbd84cf994d177b9beba9292', 'False', 'True', 'false', 'false', '510603010234', 5, '丰城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603010234', 1, '2021-07-19 11:36:48', NULL, NULL), (6519, '', '楠树村', '366c7b814ef44d5faaffab9036cb38b0', '6143a1d4cbd84cf994d177b9beba9292', 'False', 'True', 'false', 'false', '510603010235', 5, '楠树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603010235', 1, '2021-07-19 11:36:48', NULL, NULL), (6520, '', '景福社区', 'e13bd087a0c944b1bf44251a62ef09a3', '6143a1d4cbd84cf994d177b9beba9292', 'False', 'True', 'false', 'false', '510603010236', 5, '景福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603010236', 1, '2021-07-19 11:36:48', NULL, NULL), (6521, '', '天虹路社区', '6d1b1fb46c2a495d934de3664f5d1c65', '6143a1d4cbd84cf994d177b9beba9292', 'False', 'True', 'false', 'false', '510603105001', 5, '天虹路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603105001', 1, '2021-07-19 11:36:48', NULL, NULL), (6522, '', '段家坝社区', 'c0f4f68a9f64465b806c6998f4b5b903', '6143a1d4cbd84cf994d177b9beba9292', 'False', 'True', 'false', 'false', '510603105002', 5, '段家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603105002', 1, '2021-07-19 11:36:48', NULL, NULL), (6523, '', '黄连桥社区', '7c27f4e4bf5b4b28b7e7650c5c7f2855', '6143a1d4cbd84cf994d177b9beba9292', 'False', 'True', 'false', 'false', '510603105003', 5, '黄连桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603105003', 1, '2021-07-19 11:36:48', NULL, NULL), (6524, '', '三元社区', '82bb09f2aed44585af831abaf031da8d', '6143a1d4cbd84cf994d177b9beba9292', 'False', 'True', 'false', 'false', '510603105005', 5, '三元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603105005', 1, '2021-07-19 11:36:48', NULL, NULL), (6525, '', '武庙社区', '6f5e24c7471947998e17be3d5380440c', '6143a1d4cbd84cf994d177b9beba9292', 'False', 'True', 'false', 'false', '510603105006', 5, '武庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603105006', 1, '2021-07-19 11:36:48', NULL, NULL), (6526, '', '东河社区', '9e3f59cf155e4cf69f768eeae3034219', '6143a1d4cbd84cf994d177b9beba9292', 'False', 'True', 'false', 'false', '510603105007', 5, '东河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603105007', 1, '2021-07-19 11:36:48', NULL, NULL), (6527, '', '白鹤社区', '7ab2ce5cea134c62bd27d402a9f47e54', '6143a1d4cbd84cf994d177b9beba9292', 'False', 'True', 'false', 'false', '510603105204', 5, '白鹤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603105204', 1, '2021-07-19 11:36:48', NULL, NULL), (6528, '', '歇月社区', 'be43be45fa65487c8e14c5583543a1e3', '6143a1d4cbd84cf994d177b9beba9292', 'False', 'True', 'false', 'false', '510603105205', 5, '歇月社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603105205', 1, '2021-07-19 11:36:48', NULL, NULL), (6529, '', '花景村', 'a78ac383bdfb41d1963f95d01bbee035', '6143a1d4cbd84cf994d177b9beba9292', 'False', 'True', 'false', 'false', '510603105210', 5, '花景村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603105210', 1, '2021-07-19 11:36:48', NULL, NULL), (6530, '', '王谊村', '7bd9c42d060e4514bd9ddc64e09a4fb7', '6143a1d4cbd84cf994d177b9beba9292', 'False', 'True', 'false', 'false', '510603105212', 5, '王谊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603105212', 1, '2021-07-19 11:36:48', NULL, NULL), (6531, '', '白江村', '639ebc946b2b49d28bb9835a7cf5e554', '6143a1d4cbd84cf994d177b9beba9292', 'False', 'True', 'false', 'false', '510603105213', 5, '白江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603105213', 1, '2021-07-19 11:36:48', NULL, NULL), (6532, '', '双东镇', '707d7f1984e845b596f2b574651dd929', 'ecf7e94171934752a95b0cffe77bc724', 'True', 'True', 'false', 'false', '510603110000', 4, '双东镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510603110000', 1, '2021-07-19 11:36:48', NULL, NULL), (6533, '', '美女庙社区', '81c82d9d79c742e3988160bd32e75bed', '707d7f1984e845b596f2b574651dd929', 'False', 'True', 'false', 'false', '510603110001', 5, '美女庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603110001', 1, '2021-07-19 11:36:49', NULL, NULL), (6534, '', '通江社区', '06f5375a84d4497a8164318de2f17d4b', '707d7f1984e845b596f2b574651dd929', 'False', 'True', 'false', 'false', '510603110002', 5, '通江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603110002', 1, '2021-07-19 11:36:49', NULL, NULL), (6535, '', '龙凤社区', '416f250fc96348008256ae50ba217c19', '707d7f1984e845b596f2b574651dd929', 'False', 'True', 'false', 'false', '510603110003', 5, '龙凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603110003', 1, '2021-07-19 11:36:49', NULL, NULL), (6536, '', '高华强社区', '05c84fd6d63e40f7a5d0148ee468aea9', '707d7f1984e845b596f2b574651dd929', 'False', 'True', 'false', 'false', '510603110004', 5, '高华强社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603110004', 1, '2021-07-19 11:36:49', NULL, NULL), (6537, '', '清泉村', 'a4c2ff8e0ed7415a95a3fcd1e4a04a9a', '707d7f1984e845b596f2b574651dd929', 'False', 'True', 'false', 'false', '510603110202', 5, '清泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603110202', 1, '2021-07-19 11:36:49', NULL, NULL), (6538, '', '东美村', '64b1d51201d34c1f8af462befd56f04f', '707d7f1984e845b596f2b574651dd929', 'False', 'True', 'false', 'false', '510603110204', 5, '东美村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603110204', 1, '2021-07-19 11:36:49', NULL, NULL), (6539, '', '二百钱村', 'bb091eecaaaa4b529d3862fa812fcee8', '707d7f1984e845b596f2b574651dd929', 'False', 'True', 'false', 'false', '510603110205', 5, '二百钱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603110205', 1, '2021-07-19 11:36:49', NULL, NULL), (6540, '', '翻身村', 'cb0d78a0a96c4f88bf54486a120cacd7', '707d7f1984e845b596f2b574651dd929', 'False', 'True', 'false', 'false', '510603110211', 5, '翻身村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603110211', 1, '2021-07-19 11:36:49', NULL, NULL), (6541, '', '金锣桥村', 'f694b437d67b46878a18c3ee513ed94e', '707d7f1984e845b596f2b574651dd929', 'False', 'True', 'false', 'false', '510603110213', 5, '金锣桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603110213', 1, '2021-07-19 11:36:49', NULL, NULL), (6542, '', '钻石村', '8f2960b75d0d470083cdefc65314ead8', '707d7f1984e845b596f2b574651dd929', 'False', 'True', 'false', 'false', '510603110216', 5, '钻石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603110216', 1, '2021-07-19 11:36:49', NULL, NULL), (6543, '', '凯江村', '55317ccb10114b25a71d1b4e5782b6ba', '707d7f1984e845b596f2b574651dd929', 'False', 'True', 'false', 'false', '510603110217', 5, '凯江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603110217', 1, '2021-07-19 11:36:49', NULL, NULL), (6544, '', '八佛村', '2eb3c4030c0d497da3b067084adb9deb', '707d7f1984e845b596f2b574651dd929', 'False', 'True', 'false', 'false', '510603110219', 5, '八佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603110219', 1, '2021-07-19 11:36:49', NULL, NULL), (6545, '', '新中镇', '4b8fb8276e194a43aafbffb2b822898f', 'ecf7e94171934752a95b0cffe77bc724', 'True', 'True', 'false', 'false', '510603111000', 4, '新中镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510603111000', 1, '2021-07-19 11:36:49', NULL, NULL), (6546, '', '德中社区', '2fd785612ff04f7f9c9eef0cce735a75', '4b8fb8276e194a43aafbffb2b822898f', 'False', 'True', 'false', 'false', '510603111001', 5, '德中社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603111001', 1, '2021-07-19 11:36:49', NULL, NULL), (6547, '', '白河村', 'ae3f18b39b324b41abd38002fb366aba', '4b8fb8276e194a43aafbffb2b822898f', 'False', 'True', 'false', 'false', '510603111201', 5, '白河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603111201', 1, '2021-07-19 11:36:49', NULL, NULL), (6548, '', '尖山村', '11c5285b8aa14bdcacb641e889f2dcd3', '4b8fb8276e194a43aafbffb2b822898f', 'False', 'True', 'false', 'false', '510603111204', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603111204', 1, '2021-07-19 11:36:49', NULL, NULL), (6549, '', '龙居村', '347150d86e354196bdaaff55ea470aad', '4b8fb8276e194a43aafbffb2b822898f', 'False', 'True', 'false', 'false', '510603111207', 5, '龙居村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603111207', 1, '2021-07-19 11:36:49', NULL, NULL), (6550, '', '茶店村', 'e05ffd5af5f841f28e6d27592bd368af', '4b8fb8276e194a43aafbffb2b822898f', 'False', 'True', 'false', 'false', '510603111209', 5, '茶店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603111209', 1, '2021-07-19 11:36:50', NULL, NULL), (6551, '', '桂花村', '1fdca37baf3b46b29e3ae6abebcc94c3', '4b8fb8276e194a43aafbffb2b822898f', 'False', 'True', 'false', 'false', '510603111210', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603111210', 1, '2021-07-19 11:36:50', NULL, NULL), (6552, '', '东湖街道', 'e8add7e1142c4009b80702c96e122ec3', 'ecf7e94171934752a95b0cffe77bc724', 'True', 'True', 'false', 'false', '510603201000', 4, '东湖街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510603201000', 1, '2021-07-19 11:36:50', NULL, NULL), (6553, '', '凯江社区', '912da7f62ef54f27a796e2152fb2c1f1', 'e8add7e1142c4009b80702c96e122ec3', 'False', 'True', 'false', 'false', '510603201030', 5, '凯江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603201030', 1, '2021-07-19 11:36:50', NULL, NULL), (6554, '', '玉泉社区', '1ce1828baeeb415e85e82196e2d7e3bf', 'e8add7e1142c4009b80702c96e122ec3', 'False', 'True', 'false', 'false', '510603201002', 5, '玉泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603201002', 1, '2021-07-19 11:36:50', NULL, NULL), (6555, '', '黄河路社区', 'ec2d1c03a3de4232b417cf2e9675dc97', 'e8add7e1142c4009b80702c96e122ec3', 'False', 'True', 'false', 'false', '510603201003', 5, '黄河路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603201003', 1, '2021-07-19 11:36:50', NULL, NULL), (6556, '', '石桥社区', '64422f403e87445b9edcccc618df27b0', 'e8add7e1142c4009b80702c96e122ec3', 'False', 'True', 'false', 'false', '510603201005', 5, '石桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603201005', 1, '2021-07-19 11:36:50', NULL, NULL), (6557, '', '镇江社区', 'e32f49728000486caf76ad95e7c97231', 'e8add7e1142c4009b80702c96e122ec3', 'False', 'True', 'false', 'false', '510603201006', 5, '镇江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603201006', 1, '2021-07-19 11:36:50', NULL, NULL), (6558, '', '水库社区', '6af1d32abe6f4f5e9f2357f48f24227f', 'e8add7e1142c4009b80702c96e122ec3', 'False', 'True', 'false', 'false', '510603201007', 5, '水库社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603201007', 1, '2021-07-19 11:36:50', NULL, NULL), (6559, '', '马鞍山社区', '8919776f89c849b3b44e8714cfd7b8b9', 'e8add7e1142c4009b80702c96e122ec3', 'False', 'True', 'false', 'false', '510603201008', 5, '马鞍山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603201008', 1, '2021-07-19 11:36:50', NULL, NULL), (6560, '', '新华社区', 'f15bcca40cfd4a9ab2d5241daa2086c9', 'e8add7e1142c4009b80702c96e122ec3', 'False', 'True', 'false', 'false', '510603201012', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603201012', 1, '2021-07-19 11:36:50', NULL, NULL), (6561, '', '拱桥社区', 'd35a5335b2d745bd9ff1cfade0c6ab2b', 'e8add7e1142c4009b80702c96e122ec3', 'False', 'True', 'false', 'false', '510603201203', 5, '拱桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603201203', 1, '2021-07-19 11:36:50', NULL, NULL), (6562, '', '马鞍村', 'e876cbe1d88b4313a342b1e638c6b9b9', 'e8add7e1142c4009b80702c96e122ec3', 'False', 'True', 'false', 'false', '510603201206', 5, '马鞍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603201206', 1, '2021-07-19 11:36:50', NULL, NULL), (6563, '', '大地村', '69e3ad5b0af8413f91083f0a09d432e1', 'e8add7e1142c4009b80702c96e122ec3', 'False', 'True', 'false', 'false', '510603201208', 5, '大地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603201208', 1, '2021-07-19 11:36:50', NULL, NULL), (6564, '', '寿丰社区', 'a622e3868e4d40a6b86982a21e1486bb', 'e8add7e1142c4009b80702c96e122ec3', 'False', 'True', 'false', 'false', '510603201209', 5, '寿丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603201209', 1, '2021-07-19 11:36:50', NULL, NULL), (6565, '', '新沟村', 'b1171bd67f294b2eb49faffdb31dc0d0', 'e8add7e1142c4009b80702c96e122ec3', 'False', 'True', 'false', 'false', '510603201212', 5, '新沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603201212', 1, '2021-07-19 11:36:50', NULL, NULL), (6566, '', '高槐村', '89f97dc8d71743fdb77c3fd1ee33d564', 'e8add7e1142c4009b80702c96e122ec3', 'False', 'True', 'false', 'false', '510603201213', 5, '高槐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603201213', 1, '2021-07-19 11:36:51', NULL, NULL), (6567, '', '德新镇', '43931d1b912047778a91bb5055cfa5ec', 'ecf7e94171934752a95b0cffe77bc724', 'True', 'True', 'false', 'false', '510603313000', 4, '德新镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510603313000', 1, '2021-07-19 11:36:51', NULL, NULL), (6568, '', '长江村', '68528831758049a591d76804c5061cef', '43931d1b912047778a91bb5055cfa5ec', 'False', 'True', 'false', 'false', '510603108201', 5, '长江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603108201', 1, '2021-07-19 11:36:51', NULL, NULL), (6569, '', '胜利村', '710c85474c514e78b1729feed1e6ff25', '43931d1b912047778a91bb5055cfa5ec', 'False', 'True', 'false', 'false', '510603108203', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603108203', 1, '2021-07-19 11:36:51', NULL, NULL), (6570, '', '红阳村', '860b42f07b3b4234a09acf36e28ab621', '43931d1b912047778a91bb5055cfa5ec', 'False', 'True', 'false', 'false', '510603108205', 5, '红阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603108205', 1, '2021-07-19 11:36:51', NULL, NULL), (6571, '', '龙泉村', '5f6394e9f7094ca8a15c0f1fc1684ef3', '43931d1b912047778a91bb5055cfa5ec', 'False', 'True', 'false', 'false', '510603108210', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603108210', 1, '2021-07-19 11:36:51', NULL, NULL), (6572, '', '五星村', '9c91e70b41c64cceb8afe4f64b5a537a', '43931d1b912047778a91bb5055cfa5ec', 'False', 'True', 'false', 'false', '510603108213', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603108213', 1, '2021-07-19 11:36:51', NULL, NULL), (6573, '', '新玉村', '0e74f983bf654e6b802c33c8fb785f91', '43931d1b912047778a91bb5055cfa5ec', 'False', 'True', 'false', 'false', '510603313664', 5, '新玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603313664', 1, '2021-07-19 11:36:51', NULL, NULL), (6574, '', '星光村', 'da8037d286bf470987fb3d37f8b33249', '43931d1b912047778a91bb5055cfa5ec', 'False', 'True', 'false', 'false', '510603313745', 5, '星光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603313745', 1, '2021-07-19 11:36:51', NULL, NULL), (6575, '', '腾升社区', '47a75b4dab51438e8d447c3ad070c565', '43931d1b912047778a91bb5055cfa5ec', 'False', 'True', 'false', 'false', '510603313786', 5, '腾升社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603313786', 1, '2021-07-19 11:36:51', NULL, NULL), (6576, '', '和新镇', '82ae2e74dddc4031bb6a4da496006635', 'ecf7e94171934752a95b0cffe77bc724', 'True', 'True', 'false', 'false', '510603319000', 4, '和新镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510603319000', 1, '2021-07-19 11:36:51', NULL, NULL), (6577, '', '河坝湾社区', '0134e0f2aead42c7b0491dac0164b4a4', '82ae2e74dddc4031bb6a4da496006635', 'False', 'True', 'false', 'false', '510603117001', 5, '河坝湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603117001', 1, '2021-07-19 11:36:51', NULL, NULL), (6578, '', '高治村', 'c5082120b7ce4c12aa60e3a899e24d93', '82ae2e74dddc4031bb6a4da496006635', 'False', 'True', 'false', 'false', '510603117201', 5, '高治村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603117201', 1, '2021-07-19 11:36:51', NULL, NULL), (6579, '', '英雄岭村', '51017cf10b8b4d8fb42226720a17b8b7', '82ae2e74dddc4031bb6a4da496006635', 'False', 'True', 'false', 'false', '510603117202', 5, '英雄岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603117202', 1, '2021-07-19 11:36:51', NULL, NULL), (6580, '', '长寿村', '9d18106fe63747718442b105d2b3add1', '82ae2e74dddc4031bb6a4da496006635', 'False', 'True', 'false', 'false', '510603117203', 5, '长寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603117203', 1, '2021-07-19 11:36:51', NULL, NULL), (6581, '', '福兴村', '5ab2e95bf5ee4c699e817090662dd620', '82ae2e74dddc4031bb6a4da496006635', 'False', 'True', 'false', 'false', '510603117206', 5, '福兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603117206', 1, '2021-07-19 11:36:51', NULL, NULL), (6582, '', '永兴村', '3e8f0fa9568d487886a61c763726b1e1', '82ae2e74dddc4031bb6a4da496006635', 'False', 'True', 'false', 'false', '510603117209', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603117209', 1, '2021-07-19 11:36:51', NULL, NULL), (6583, '', '白蜡村', '9de3f9a36a9d4300814768d23eb0e983', '82ae2e74dddc4031bb6a4da496006635', 'False', 'True', 'false', 'false', '510603117211', 5, '白蜡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510603117211', 1, '2021-07-19 11:36:51', NULL, NULL), (6584, '', '罗江区', '140d6edad66b4298bede70f4ef2a9fa5', '64a68decebae47d49ac30f795b48df24', 'True', 'True', 'false', 'false', '510626000000', 3, '罗江区', 'dysljq.sczwfw.gov.cn', 1, '2021-07-19 11:36:52', NULL, NULL), (6585, '', '万安镇', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', '140d6edad66b4298bede70f4ef2a9fa5', 'True', 'True', 'false', 'false', '510626910000', 4, '万安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510626910000', 1, '2021-07-19 11:36:52', NULL, NULL), (6586, '', '万安镇景乐社区居民委员会', 'e08773c6c4fe4981b00dbc8034a90e39', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100001', 5, '景乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100001', 1, '2021-07-19 11:36:52', NULL, NULL), (6587, '', '万安镇东升社区居民委员会', '8d6f00dc390047beb3007f7bfe9e67bd', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100002', 5, '东升社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100002', 1, '2021-07-19 11:36:52', NULL, NULL), (6588, '', '万安镇朝圣社区居民委员会', 'ce2646af11c94c85838a8d52655681ed', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100003', 5, '朝圣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100003', 1, '2021-07-19 11:36:52', NULL, NULL), (6589, '', '万安镇富乐社区居民委员会', '3c22923627374b41b571155da3699b61', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100004', 5, '富乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100004', 1, '2021-07-19 11:36:52', NULL, NULL), (6590, '', '万安镇翰林社区居民委员会', '5e57d3b6732445909e04953cbecd3be5', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100005', 5, '翰林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100005', 1, '2021-07-19 11:36:52', NULL, NULL), (6591, '', '万安镇奎星阁社区居民委员会', '6a3c880ebe6843578a14c82a9841fd83', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100006', 5, '奎星阁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100006', 1, '2021-07-19 11:36:52', NULL, NULL), (6592, '', '万安镇黎明社区居民委员会', 'f79f815bf03a498d864a5f3be7476d76', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100007', 5, '黎明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100007', 1, '2021-07-19 11:36:52', NULL, NULL), (6593, '', '万安镇麓峰社区居民委员会', 'b986d9eecea54d368037041cf92c3e44', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100008', 5, '麓峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100008', 1, '2021-07-19 11:36:52', NULL, NULL), (6594, '', '万安镇金雁社区居民委员会', 'b66f3ff86a7847e7be26d2860e314ba2', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100009', 5, '金雁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100009', 1, '2021-07-19 11:36:52', NULL, NULL), (6595, '', '万安镇狮丰社区居民委员会', 'd9e0878aa3d94e47a56610bf4dd4df13', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100010', 5, '狮丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100010', 1, '2021-07-19 11:36:52', NULL, NULL), (6596, '', '万安镇斑竹社区居民委员会', 'f77a8784690c4dd68c4d570d253f8254', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100011', 5, '斑竹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100011', 1, '2021-07-19 11:36:52', NULL, NULL), (6597, '', '万安镇柏云社区居民委员会', 'c625472416654ee8aef398141c40548d', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100012', 5, '柏云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100012', 1, '2021-07-19 11:36:52', NULL, NULL), (6598, '', '万安镇泉水社区居民委员会', 'e73d598062c945a3815d5a8a235ee7df', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100013', 5, '泉水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100013', 1, '2021-07-19 11:36:52', NULL, NULL), (6599, '', '万安镇南塔社区居民委员会', '4b0eac09010340d587ba9dec7c3ef84d', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100014', 5, '南塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100014', 1, '2021-07-19 11:36:52', NULL, NULL), (6600, '', '万安镇长虹社区居民委员会', 'e4e704d171be421d8f8c4db58547cd64', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100015', 5, '长虹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100015', 1, '2021-07-19 11:36:52', NULL, NULL), (6601, '', '万安镇石龙社区居民委员会', 'bcc46699c1ab49ad81a9cf43aad3fc94', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100016', 5, '石龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100016', 1, '2021-07-19 11:36:52', NULL, NULL), (6602, '', '万安镇凯江社区居民委员会', '3a9a3d393a4041be97650089399dfce2', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100017', 5, '凯江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100017', 1, '2021-07-19 11:36:52', NULL, NULL), (6603, '', '万安镇芒江社区居民委员会', '6161f375319144cf90cee3669fe2acde', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100018', 5, '芒江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100018', 1, '2021-07-19 11:36:53', NULL, NULL), (6604, '', '万安镇御营社区居民委员会', '4218e9db32614b4aa38c96d8865f65b4', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100019', 5, '御营社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100019', 1, '2021-07-19 11:36:53', NULL, NULL), (6605, '', '万安镇明会社区居民委员会', '5f7f1e71be5d468a83ed3cfbb34235d9', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100020', 5, '明会社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100020', 1, '2021-07-19 11:36:53', NULL, NULL), (6606, '', '万安镇玉脑社区居民委员会', '2ef2c82f021b46e497df015ac3e99d60', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100021', 5, '玉脑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100021', 1, '2021-07-19 11:36:53', NULL, NULL), (6607, '', '万安镇响石村村民委员会', 'fd62c2d871e24cb19fa7d418dbf6b4be', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100022', 5, '响石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100022', 1, '2021-07-19 11:36:53', NULL, NULL), (6608, '', '万安镇太平村村民委员会', '4bb42a14e1db4fc9b9615d08d76b45cc', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100023', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100023', 1, '2021-07-19 11:36:53', NULL, NULL), (6609, '', '万安镇华兴村村民委员会', '94d5506f4fa742e09631ee6205e7449b', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100024', 5, '华兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100024', 1, '2021-07-19 11:36:53', NULL, NULL), (6610, '', '万安镇万寿村村民委员会', 'cccc71eea85b48589270f48afbcadc05', '9f3e0c3dff3c4a4bb64dfe0b7af1394e', 'False', 'True', 'false', 'false', '510626100025', 5, '万寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626100025', 1, '2021-07-19 11:36:53', NULL, NULL), (6611, '', '鄢家镇', 'eb49c0ca358a405b9dab59db3ba7f8b3', '140d6edad66b4298bede70f4ef2a9fa5', 'True', 'True', 'false', 'false', '510626101000', 4, '鄢家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510626101000', 1, '2021-07-19 11:36:53', NULL, NULL), (6612, '', '云岭社区', '0dbbd3b2c3fc4b98b6e1a949faf3e0b6', 'eb49c0ca358a405b9dab59db3ba7f8b3', 'False', 'True', 'false', 'false', '510626101001', 5, '云岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626101001', 1, '2021-07-19 11:36:53', NULL, NULL), (6613, '', '岭南社区', '74905ba6001f46048098435a740e9e52', 'eb49c0ca358a405b9dab59db3ba7f8b3', 'False', 'True', 'false', 'false', '510626101002', 5, '岭南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626101002', 1, '2021-07-19 11:36:53', NULL, NULL), (6614, '', '高峰村', '538a3309f88241a6851a5ce9cf96c623', 'eb49c0ca358a405b9dab59db3ba7f8b3', 'False', 'True', 'false', 'false', '510626101201', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626101201', 1, '2021-07-19 11:36:53', NULL, NULL), (6615, '', '七里村', '181260356e744289b59c89d04449155a', 'eb49c0ca358a405b9dab59db3ba7f8b3', 'False', 'True', 'false', 'false', '510626101204', 5, '七里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626101204', 1, '2021-07-19 11:36:53', NULL, NULL), (6616, '', '长堰村', '1afd81bcdbf54450b82d1e567180004d', 'eb49c0ca358a405b9dab59db3ba7f8b3', 'False', 'True', 'false', 'false', '510626101208', 5, '长堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626101208', 1, '2021-07-19 11:36:53', NULL, NULL), (6617, '', '璧山村', '323707cbd2bd4fcc929e9cc64fc2de8c', 'eb49c0ca358a405b9dab59db3ba7f8b3', 'False', 'True', 'false', 'false', '510626101211', 5, '璧山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626101211', 1, '2021-07-19 11:36:53', NULL, NULL), (6618, '', '星光村', '832114b488c1407f9f7ce3b171a7265f', 'eb49c0ca358a405b9dab59db3ba7f8b3', 'False', 'True', 'false', 'false', '510626101213', 5, '星光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626101213', 1, '2021-07-19 11:36:53', NULL, NULL), (6619, '', '高垭村', '91d662ab918747de9c571ec37f19cd08', 'eb49c0ca358a405b9dab59db3ba7f8b3', 'False', 'True', 'false', 'false', '510626101214', 5, '高垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626101214', 1, '2021-07-19 11:36:53', NULL, NULL), (6620, '', '新安堂村', 'd0d6878172ef4e6ba8c903d4ec70bce7', 'eb49c0ca358a405b9dab59db3ba7f8b3', 'False', 'True', 'false', 'false', '510626101219', 5, '新安堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626101219', 1, '2021-07-19 11:36:54', NULL, NULL), (6621, '', '万安村', 'a57dc1f6fd7947fc9170f735c3095cdd', 'eb49c0ca358a405b9dab59db3ba7f8b3', 'False', 'True', 'false', 'false', '510626101220', 5, '万安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626101220', 1, '2021-07-19 11:36:54', NULL, NULL), (6622, '', '灯盏村', 'e7856426b9884e7588d302aab748630e', 'eb49c0ca358a405b9dab59db3ba7f8b3', 'False', 'True', 'false', 'false', '510626101221', 5, '灯盏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626101221', 1, '2021-07-19 11:36:54', NULL, NULL), (6623, '', '回龙场村', '0ec4260c40d6435987c8b9a7a19a1f86', 'eb49c0ca358a405b9dab59db3ba7f8b3', 'False', 'True', 'false', 'false', '510626101223', 5, '回龙场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626101223', 1, '2021-07-19 11:36:54', NULL, NULL), (6624, '', '金山镇', '0f2b1f0cb4de451798eeba42fefb8de2', '140d6edad66b4298bede70f4ef2a9fa5', 'True', 'True', 'false', 'false', '510626102000', 4, '金山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510626102000', 1, '2021-07-19 11:36:54', NULL, NULL), (6625, '', '慧觉社区', '20e343388c7b42eaaedb10dfdc170832', '0f2b1f0cb4de451798eeba42fefb8de2', 'False', 'True', 'false', 'false', '510626102018', 5, '慧觉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626102018', 1, '2021-07-19 11:36:54', NULL, NULL), (6626, '', '富荣村', 'b1e71cdd764a4534a0c26593c542bb95', '0f2b1f0cb4de451798eeba42fefb8de2', 'False', 'True', 'false', 'false', '510626102019', 5, '富荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626102019', 1, '2021-07-19 11:36:54', NULL, NULL), (6627, '', '二龙村', '07eb1194ed0e4730ace2e4c277383613', '0f2b1f0cb4de451798eeba42fefb8de2', 'False', 'True', 'false', 'false', '510626102020', 5, '二龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626102020', 1, '2021-07-19 11:36:54', NULL, NULL), (6628, '', '茅庵堂村', '1dcb7646ee424550a662891e9417b73e', '0f2b1f0cb4de451798eeba42fefb8de2', 'False', 'True', 'false', 'false', '510626102021', 5, '茅庵堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626102021', 1, '2021-07-19 11:36:54', NULL, NULL), (6629, '', '家和社区', 'f48062f6be0b4177a1b411a817c5267d', '0f2b1f0cb4de451798eeba42fefb8de2', 'False', 'True', 'false', 'false', '510626102001', 5, '家和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626102001', 1, '2021-07-19 11:36:54', NULL, NULL), (6630, '', '金山社区', '9ba8592125de4bf5a454cfd80a5193c0', '0f2b1f0cb4de451798eeba42fefb8de2', 'False', 'True', 'false', 'false', '510626102201', 5, '金山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626102201', 1, '2021-07-19 11:36:54', NULL, NULL), (6631, '', '新塘村', '36f0b1261e8842bbbb373d82469036fc', '0f2b1f0cb4de451798eeba42fefb8de2', 'False', 'True', 'false', 'false', '510626102204', 5, '新塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626102204', 1, '2021-07-19 11:36:54', NULL, NULL), (6632, '', '罗家湾村', '4978cb862fdb4f119566c2587a1ad8a3', '0f2b1f0cb4de451798eeba42fefb8de2', 'False', 'True', 'false', 'false', '510626102205', 5, '罗家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626102205', 1, '2021-07-19 11:36:54', NULL, NULL), (6633, '', '吴家陵村', 'f0025ea915504faab143093a3a611965', '0f2b1f0cb4de451798eeba42fefb8de2', 'False', 'True', 'false', 'false', '510626102207', 5, '吴家陵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626102207', 1, '2021-07-19 11:36:54', NULL, NULL), (6634, '', '马驰村', '63a1a086ac244f4aa2ad30861d59229c', '0f2b1f0cb4de451798eeba42fefb8de2', 'False', 'True', 'false', 'false', '510626102209', 5, '马驰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626102209', 1, '2021-07-19 11:36:54', NULL, NULL), (6635, '', '安家村', '1e60a5f7e51e471c805bcaf3597c95c7', '0f2b1f0cb4de451798eeba42fefb8de2', 'False', 'True', 'false', 'false', '510626102211', 5, '安家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626102211', 1, '2021-07-19 11:36:54', NULL, NULL), (6636, '', '谭家坝村', '41983165162e4a3fae14dc9324ff7524', '0f2b1f0cb4de451798eeba42fefb8de2', 'False', 'True', 'false', 'false', '510626102215', 5, '谭家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626102215', 1, '2021-07-19 11:36:55', NULL, NULL), (6637, '', '大井村', '876263f51d8a42909913dd160e6c2f39', '0f2b1f0cb4de451798eeba42fefb8de2', 'False', 'True', 'false', 'false', '510626102219', 5, '大井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626102219', 1, '2021-07-19 11:36:55', NULL, NULL), (6638, '', '千鱼欢村', '7050085473224b49b8460dbbcc2e7919', '0f2b1f0cb4de451798eeba42fefb8de2', 'False', 'True', 'false', 'false', '510626102221', 5, '千鱼欢村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626102221', 1, '2021-07-19 11:36:55', NULL, NULL), (6639, '', '略坪镇', 'e38f17adc38040af8ee6acbb5a845349', '140d6edad66b4298bede70f4ef2a9fa5', 'True', 'True', 'false', 'false', '510626103000', 4, '略坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510626103000', 1, '2021-07-19 11:36:55', NULL, NULL), (6640, '', '大成社区', '25e5005153d349b18a0d757c79cacebe', 'e38f17adc38040af8ee6acbb5a845349', 'False', 'True', 'false', 'false', '510626103001', 5, '大成社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626103001', 1, '2021-07-19 11:36:55', NULL, NULL), (6641, '', '长玉村', 'babdeb730cd34a93b3b68b3460821472', 'e38f17adc38040af8ee6acbb5a845349', 'False', 'True', 'false', 'false', '510626103202', 5, '长玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626103202', 1, '2021-07-19 11:36:55', NULL, NULL), (6642, '', '建国村', 'b4caac8e93c74fc39f7974a5f69b69e9', 'e38f17adc38040af8ee6acbb5a845349', 'False', 'True', 'false', 'false', '510626103203', 5, '建国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626103203', 1, '2021-07-19 11:36:55', NULL, NULL), (6643, '', '安平村', '346253f75e4841a58d928743f55b23cc', 'e38f17adc38040af8ee6acbb5a845349', 'False', 'True', 'false', 'false', '510626103204', 5, '安平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626103204', 1, '2021-07-19 11:36:55', NULL, NULL), (6644, '', '锦屏村', '342d9a8f522b458bac2cd905d305dd85', 'e38f17adc38040af8ee6acbb5a845349', 'False', 'True', 'false', 'false', '510626103206', 5, '锦屏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626103206', 1, '2021-07-19 11:36:55', NULL, NULL), (6645, '', '联丰村', 'f71e2472f8fd44088ac69fa6c4441c23', 'e38f17adc38040af8ee6acbb5a845349', 'False', 'True', 'false', 'false', '510626103207', 5, '联丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626103207', 1, '2021-07-19 11:36:55', NULL, NULL), (6646, '', '松花村', '9585fc16dfb64b9eb2a4c18bee2c226c', 'e38f17adc38040af8ee6acbb5a845349', 'False', 'True', 'false', 'false', '510626103211', 5, '松花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626103211', 1, '2021-07-19 11:36:55', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (6647, '', '前龙村', 'bbc2c126249849139376d8c5b5cc6853', 'e38f17adc38040af8ee6acbb5a845349', 'False', 'True', 'false', 'false', '510626103213', 5, '前龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626103213', 1, '2021-07-19 11:36:55', NULL, NULL), (6648, '', '广安村', '876f27ed583145b996a10816b99e5828', 'e38f17adc38040af8ee6acbb5a845349', 'False', 'True', 'false', 'false', '510626103215', 5, '广安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626103215', 1, '2021-07-19 11:36:55', NULL, NULL), (6649, '', '隐逸山村', '2f8840ad4edd4d608f2d51116762389d', 'e38f17adc38040af8ee6acbb5a845349', 'False', 'True', 'false', 'false', '510626103216', 5, '隐逸山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626103216', 1, '2021-07-19 11:36:55', NULL, NULL), (6650, '', '高玉村', '10083044f4214243b66e57b07b910e23', 'e38f17adc38040af8ee6acbb5a845349', 'False', 'True', 'false', 'false', '510626103217', 5, '高玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626103217', 1, '2021-07-19 11:36:55', NULL, NULL), (6651, '', '调元镇', '67c0171a28f143c89519b110623676f1', '140d6edad66b4298bede70f4ef2a9fa5', 'True', 'True', 'false', 'false', '510626106000', 4, '调元镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510626106000', 1, '2021-07-19 11:36:56', NULL, NULL), (6652, '', '雨村社区', '7baacbd2bf7b4e7cb59b2a143629d4dc', '67c0171a28f143c89519b110623676f1', 'False', 'True', 'false', 'false', '510626106001', 5, '雨村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626106001', 1, '2021-07-19 11:36:56', NULL, NULL), (6653, '', '团堆村', 'b3d8295efe614e9384959196bbb19eaa', '67c0171a28f143c89519b110623676f1', 'False', 'True', 'false', 'false', '510626106201', 5, '团堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626106201', 1, '2021-07-19 11:36:56', NULL, NULL), (6654, '', '酒垭村', '317d26935cc84a63bd57c004af0c49fb', '67c0171a28f143c89519b110623676f1', 'False', 'True', 'false', 'false', '510626106204', 5, '酒垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626106204', 1, '2021-07-19 11:36:56', NULL, NULL), (6655, '', '文星村', 'e97c5ad4eb61426b9fcf55b73adce9a2', '67c0171a28f143c89519b110623676f1', 'False', 'True', 'false', 'false', '510626106206', 5, '文星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626106206', 1, '2021-07-19 11:36:56', NULL, NULL), (6656, '', '顺河村', '088ec71596434ad7a962b3beac191375', '67c0171a28f143c89519b110623676f1', 'False', 'True', 'false', 'false', '510626106211', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626106211', 1, '2021-07-19 11:36:56', NULL, NULL), (6657, '', '百花村', '8539e412611b4bdab31df5809ce3a773', '67c0171a28f143c89519b110623676f1', 'False', 'True', 'false', 'false', '510626106209', 5, '百花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626106209', 1, '2021-07-19 11:36:56', NULL, NULL), (6658, '', '新盛镇', '5a62bc408f8240659fb7631f50ed6a54', '140d6edad66b4298bede70f4ef2a9fa5', 'True', 'True', 'false', 'false', '510626107000', 4, '新盛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510626107000', 1, '2021-07-19 11:36:56', NULL, NULL), (6659, '', '宝镜村', '870019a3666b4323a25c9e9ace4ff5cd', '5a62bc408f8240659fb7631f50ed6a54', 'False', 'True', 'false', 'false', '510626107210', 5, '宝镜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626107210', 1, '2021-07-19 11:36:56', NULL, NULL), (6660, '', '天鹅村', 'b4b48621c775417688d9a9478e774de6', '5a62bc408f8240659fb7631f50ed6a54', 'False', 'True', 'false', 'false', '510626107215', 5, '天鹅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626107215', 1, '2021-07-19 11:36:56', NULL, NULL), (6661, '', '老君村', 'd6ce21c310bf455199409c4ce7da6baf', '5a62bc408f8240659fb7631f50ed6a54', 'False', 'True', 'false', 'false', '510626107204', 5, '老君村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626107204', 1, '2021-07-19 11:36:56', NULL, NULL), (6662, '', '金铃村', '366a5d5bd1f146ef83b9fc7882d6c628', '5a62bc408f8240659fb7631f50ed6a54', 'False', 'True', 'false', 'false', '510626107205', 5, '金铃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626107205', 1, '2021-07-19 11:36:56', NULL, NULL), (6663, '', '东岳村', 'cad990b148944f19a06a64ed289f4f3a', '5a62bc408f8240659fb7631f50ed6a54', 'False', 'True', 'false', 'false', '510626107206', 5, '东岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626107206', 1, '2021-07-19 11:36:56', NULL, NULL), (6664, '', '木龙村', '63ff74c567644083a3d35e46c13238a5', '5a62bc408f8240659fb7631f50ed6a54', 'False', 'True', 'false', 'false', '510626107220', 5, '木龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626107220', 1, '2021-07-19 11:36:56', NULL, NULL), (6665, '', '罗汉村', 'c618ec6dde5546d68850718d6fa4acf7', '5a62bc408f8240659fb7631f50ed6a54', 'False', 'True', 'false', 'false', '510626107211', 5, '罗汉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626107211', 1, '2021-07-19 11:36:56', NULL, NULL), (6666, '', '土城村', '668d297981ca4239873232c8789c9d6f', '5a62bc408f8240659fb7631f50ed6a54', 'False', 'True', 'false', 'false', '510626107214', 5, '土城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626107214', 1, '2021-07-19 11:36:57', NULL, NULL), (6667, '', '月亮村', 'fec959a95e1a4d1b8252a6a000b41343', '5a62bc408f8240659fb7631f50ed6a54', 'False', 'True', 'false', 'false', '510626107216', 5, '月亮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626107216', 1, '2021-07-19 11:36:57', NULL, NULL), (6668, '', '苏桥村', '171e19ee3f5646208b2d21f1c9b9696c', '5a62bc408f8240659fb7631f50ed6a54', 'False', 'True', 'false', 'false', '510626107219', 5, '苏桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626107219', 1, '2021-07-19 11:36:57', NULL, NULL), (6669, '', '金龙村', '887d781c619e4fc08191953bdaf6e5ca', '5a62bc408f8240659fb7631f50ed6a54', 'False', 'True', 'false', 'false', '510626107222', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626107222', 1, '2021-07-19 11:36:57', NULL, NULL), (6670, '', '艾家坝社区', '22493155e15f4f4b8ce841387bc2c380', '5a62bc408f8240659fb7631f50ed6a54', 'False', 'True', 'false', 'false', '510626107001', 5, '艾家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626107001', 1, '2021-07-19 11:36:57', NULL, NULL), (6671, '', '罗汉场社区', '0a602f48b1114c29821a3304ebe0730d', '5a62bc408f8240659fb7631f50ed6a54', 'False', 'True', 'false', 'false', '510626107002', 5, '罗汉场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626107002', 1, '2021-07-19 11:36:57', NULL, NULL), (6672, '', '白马关镇', '3e313525fad54523a6693ab0bc1eb1bd', '140d6edad66b4298bede70f4ef2a9fa5', 'True', 'True', 'false', 'false', '510626113000', 4, '白马关镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510626113000', 1, '2021-07-19 11:36:57', NULL, NULL), (6673, '', '合圣村', 'ae0a38a08ec74784bc7e49c2a567ca0f', '3e313525fad54523a6693ab0bc1eb1bd', 'False', 'True', 'false', 'false', '510626109010', 5, '合圣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626109010', 1, '2021-07-19 11:36:57', NULL, NULL), (6674, '', '盐井村', 'cd13dec1087e4eddac89427642854bba', '3e313525fad54523a6693ab0bc1eb1bd', 'False', 'True', 'false', 'false', '510626109011', 5, '盐井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626109011', 1, '2021-07-19 11:36:57', NULL, NULL), (6675, '', '宝峰村', 'c4256add7d1d4a0e9244545abdbe12e6', '3e313525fad54523a6693ab0bc1eb1bd', 'False', 'True', 'false', 'false', '510626109012', 5, '宝峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626109012', 1, '2021-07-19 11:36:57', NULL, NULL), (6676, '', '太三村', '36f028315ef1469faf5bf64d10883102', '3e313525fad54523a6693ab0bc1eb1bd', 'False', 'True', 'false', 'false', '510626109013', 5, '太三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626109013', 1, '2021-07-19 11:36:57', NULL, NULL), (6677, '', '小鞍村', 'feb0128fa2c748df946904f009507cf7', '3e313525fad54523a6693ab0bc1eb1bd', 'False', 'True', 'false', 'false', '510626109014', 5, '小鞍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626109014', 1, '2021-07-19 11:36:58', NULL, NULL), (6678, '', '蟠龙社区', 'e14fb9a938a043aeb2bc0b1f104ece5c', '3e313525fad54523a6693ab0bc1eb1bd', 'False', 'True', 'false', 'false', '510626109015', 5, '蟠龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626109015', 1, '2021-07-19 11:36:58', NULL, NULL), (6679, '', '海棠村', '44147efc7a9d4d4aba03f469f657a1b2', '3e313525fad54523a6693ab0bc1eb1bd', 'False', 'True', 'false', 'false', '510626109016', 5, '海棠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626109016', 1, '2021-07-19 11:36:58', NULL, NULL), (6680, '', '万佛村', 'd26937fd93ae40c6aad35a018f6796c1', '3e313525fad54523a6693ab0bc1eb1bd', 'False', 'True', 'false', 'false', '510626113202', 5, '万佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626113202', 1, '2021-07-19 11:36:58', NULL, NULL), (6681, '', '三叉河村', '818efcaa29cf429abc27a306137894fd', '3e313525fad54523a6693ab0bc1eb1bd', 'False', 'True', 'false', 'false', '510626113206', 5, '三叉河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626113206', 1, '2021-07-19 11:36:58', NULL, NULL), (6682, '', '凤雏村', '1f448c2cfd0349e79372645b37f9faac', '3e313525fad54523a6693ab0bc1eb1bd', 'False', 'True', 'false', 'false', '510626113207', 5, '凤雏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626113207', 1, '2021-07-19 11:36:58', NULL, NULL), (6683, '', '接引村', '637024be56ef470892bbd5c06374e8a6', '3e313525fad54523a6693ab0bc1eb1bd', 'False', 'True', 'false', 'false', '510626113208', 5, '接引村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626113208', 1, '2021-07-19 11:36:58', NULL, NULL), (6684, '', '换马村', '655fdd6b0b9d4166ae85682a13e18556', '3e313525fad54523a6693ab0bc1eb1bd', 'False', 'True', 'false', 'false', '510626113209', 5, '换马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510626113209', 1, '2021-07-19 11:36:58', NULL, NULL), (6685, '', '广汉市', '79f5e71c9c0545538e590902fe71aae1', '64a68decebae47d49ac30f795b48df24', 'True', 'True', 'true', 'true', '510681000000', 3, '广汉市', 'dysghs.sczwfw.gov.cn', 1, '2021-07-19 11:36:58', NULL, NULL), (6686, '', '三水镇', 'f3c86f42d6a04ecaa99c1fc0dce8ed4b', '79f5e71c9c0545538e590902fe71aae1', 'True', 'True', 'false', 'false', '510681101000', 4, '三水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510681101000', 1, '2021-07-19 11:36:58', NULL, NULL), (6687, '', '友谊村', '30c228b33683433297b974b8e552b61c', 'f3c86f42d6a04ecaa99c1fc0dce8ed4b', 'False', 'True', 'false', 'false', '510681101204', 5, '友谊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681101204', 1, '2021-07-19 11:36:58', NULL, NULL), (6688, '', '高原村', 'ec8a4c8a729e4095a5b28085e6268355', 'f3c86f42d6a04ecaa99c1fc0dce8ed4b', 'False', 'True', 'false', 'false', '510681101205', 5, '高原村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681101205', 1, '2021-07-19 11:36:58', NULL, NULL), (6689, '', '宝莲村', '12ebb828737d4e1a83b9e87d86c02df6', 'f3c86f42d6a04ecaa99c1fc0dce8ed4b', 'False', 'True', 'false', 'false', '510681101206', 5, '宝莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681101206', 1, '2021-07-19 11:36:58', NULL, NULL), (6690, '', '中心村', 'edd182b4094a4c218849070400befecd', 'f3c86f42d6a04ecaa99c1fc0dce8ed4b', 'False', 'True', 'false', 'false', '510681101208', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681101208', 1, '2021-07-19 11:36:59', NULL, NULL), (6691, '', '三水镇常乐社区', '4c528a2dc7954dd2b124e27dba8fc713', 'f3c86f42d6a04ecaa99c1fc0dce8ed4b', 'False', 'True', 'false', 'false', '510681101004', 5, '三水镇常乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681101004', 1, '2021-07-19 11:36:59', NULL, NULL), (6692, '', '三水镇航空社区', '23742ef53ed340e1a03ae04718bed2fa', 'f3c86f42d6a04ecaa99c1fc0dce8ed4b', 'False', 'True', 'false', 'false', '510681101005', 5, '三水镇航空社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681101005', 1, '2021-07-19 11:36:59', NULL, NULL), (6693, '', '三水镇石观社区', '23093930c14942b1bdd7d82056c2174c', 'f3c86f42d6a04ecaa99c1fc0dce8ed4b', 'False', 'True', 'false', 'false', '510681101006', 5, '三水镇石观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681101006', 1, '2021-07-19 11:36:59', NULL, NULL), (6694, '', '三水镇光明社区', '6e43d377c1db40eb9add88153c604cd0', 'f3c86f42d6a04ecaa99c1fc0dce8ed4b', 'False', 'True', 'false', 'false', '510681101007', 5, '三水镇光明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681101007', 1, '2021-07-19 11:36:59', NULL, NULL), (6695, '', '三水镇国防村', '5067ec26eb9c4469887c83523593a6b2', 'f3c86f42d6a04ecaa99c1fc0dce8ed4b', 'False', 'True', 'false', 'false', '510681101008', 5, '三水镇国防村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681101008', 1, '2021-07-19 11:36:59', NULL, NULL), (6696, '', '连山镇', '79e94c5109d049d49b07f7cca3165f6c', '79f5e71c9c0545538e590902fe71aae1', 'True', 'True', 'false', 'false', '510681102000', 4, '连山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510681102000', 1, '2021-07-19 11:36:59', NULL, NULL), (6697, '', '场镇', 'd31f4db6908346c592df8497682e040f', '79e94c5109d049d49b07f7cca3165f6c', 'False', 'True', 'false', 'false', '510681102001', 5, '场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681102001', 1, '2021-07-19 11:36:59', NULL, NULL), (6698, '', '光辉村', '3c6744f6d93745a59b4ea8a81c3e55bc', '79e94c5109d049d49b07f7cca3165f6c', 'False', 'True', 'false', 'false', '510681102201', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681102201', 1, '2021-07-19 11:36:59', NULL, NULL), (6699, '', '清河村', '2f1c607974b643379109fbd6996b1e18', '79e94c5109d049d49b07f7cca3165f6c', 'False', 'True', 'false', 'false', '510681102202', 5, '清河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681102202', 1, '2021-07-19 11:36:59', NULL, NULL), (6700, '', '川江村', 'e13758962d584064b6b0358bda54beec', '79e94c5109d049d49b07f7cca3165f6c', 'False', 'True', 'false', 'false', '510681102203', 5, '川江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681102203', 1, '2021-07-19 11:36:59', NULL, NULL), (6701, '', '石梯村', '52a1e094140b436591674f38d98ce65d', '79e94c5109d049d49b07f7cca3165f6c', 'False', 'True', 'false', 'false', '510681102204', 5, '石梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681102204', 1, '2021-07-19 11:36:59', NULL, NULL), (6702, '', '双堰村', 'cb08752c075d436da4dfc0316d41c0ee', '79e94c5109d049d49b07f7cca3165f6c', 'False', 'True', 'false', 'false', '510681102205', 5, '双堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681102205', 1, '2021-07-19 11:37:00', NULL, NULL), (6703, '', '五一村', '2c5d71633d05443abeef9ec417376a9e', '79e94c5109d049d49b07f7cca3165f6c', 'False', 'True', 'false', 'false', '510681102206', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681102206', 1, '2021-07-19 11:37:00', NULL, NULL), (6704, '', '乌木村', 'b6b3192c18784351bb3a5c5036dd2284', '79e94c5109d049d49b07f7cca3165f6c', 'False', 'True', 'false', 'false', '510681102207', 5, '乌木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681102207', 1, '2021-07-19 11:37:00', NULL, NULL), (6705, '', '锦花村', 'ee543647c7344e539e5253964487bc01', '79e94c5109d049d49b07f7cca3165f6c', 'False', 'True', 'false', 'false', '510681102208', 5, '锦花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681102208', 1, '2021-07-19 11:37:00', NULL, NULL), (6706, '', '沙堆村', '30e695564d1a463fa361985ff5db26c1', '79e94c5109d049d49b07f7cca3165f6c', 'False', 'True', 'false', 'false', '510681102209', 5, '沙堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681102209', 1, '2021-07-19 11:37:00', NULL, NULL), (6707, '', '柳堰村', 'd9b64060aa624465b1134c8604e6c913', '79e94c5109d049d49b07f7cca3165f6c', 'False', 'True', 'false', 'false', '510681102210', 5, '柳堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681102210', 1, '2021-07-19 11:37:00', NULL, NULL), (6708, '', '福寿村', '6d7a97dcfaab4e69b0a2972221ba136c', '79e94c5109d049d49b07f7cca3165f6c', 'False', 'True', 'false', 'false', '510681102211', 5, '福寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681102211', 1, '2021-07-19 11:37:00', NULL, NULL), (6709, '', '涌泉村', '3c4d073b0297448cb8014310e9057892', '79e94c5109d049d49b07f7cca3165f6c', 'False', 'True', 'false', 'false', '510681102212', 5, '涌泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681102212', 1, '2021-07-19 11:37:00', NULL, NULL), (6710, '', '齐心村', '76aa248be74745bc830da5e1087e57fe', '79e94c5109d049d49b07f7cca3165f6c', 'False', 'True', 'false', 'false', '510681102213', 5, '齐心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681102213', 1, '2021-07-19 11:37:00', NULL, NULL), (6711, '', '石门村', 'f3ec34c47e5b4fefa22e6a38eebf00e5', '79e94c5109d049d49b07f7cca3165f6c', 'False', 'True', 'false', 'false', '510681102214', 5, '石门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681102214', 1, '2021-07-19 11:37:00', NULL, NULL), (6712, '', '龙泉村', '153847ccf25f4896bf09c55b168febd4', '79e94c5109d049d49b07f7cca3165f6c', 'False', 'True', 'false', 'false', '510681102215', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681102215', 1, '2021-07-19 11:37:00', NULL, NULL), (6713, '', '桔红村', '5e41f36d512b40a79e30cbfe9e202d0a', '79e94c5109d049d49b07f7cca3165f6c', 'False', 'True', 'false', 'false', '510681102216', 5, '桔红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681102216', 1, '2021-07-19 11:37:00', NULL, NULL), (6714, '', '高坪镇', '258c35959a7444b1bbd48448d60b9740', '79f5e71c9c0545538e590902fe71aae1', 'True', 'True', 'false', 'false', '510681103000', 4, '高坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510681103000', 1, '2021-07-19 11:37:00', NULL, NULL), (6715, '', '百里社区', '9b6b7b70684f47fdbf18f4e9a1311c21', '258c35959a7444b1bbd48448d60b9740', 'False', 'True', 'false', 'false', '510681103005', 5, '百里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681103005', 1, '2021-07-19 11:37:00', NULL, NULL), (6716, '', '金九村', '60089a021a8246afbc0ef08096802169', '258c35959a7444b1bbd48448d60b9740', 'False', 'True', 'false', 'false', '510681103001', 5, '金九村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681103001', 1, '2021-07-19 11:37:01', NULL, NULL), (6717, '', '龙潭社区', 'fc77f890e3f147ba9fd0dbf0997a370c', '258c35959a7444b1bbd48448d60b9740', 'False', 'True', 'false', 'false', '510681103201', 5, '龙潭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681103201', 1, '2021-07-19 11:37:01', NULL, NULL), (6718, '', '园龙村', '158e6fc373824e23a0c9418cdba3d276', '258c35959a7444b1bbd48448d60b9740', 'False', 'True', 'false', 'false', '510681103202', 5, '园龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681103202', 1, '2021-07-19 11:37:01', NULL, NULL), (6719, '', '高拱桥村', 'fcf93360cd8d47d38e533778497082ea', '258c35959a7444b1bbd48448d60b9740', 'False', 'True', 'false', 'false', '510681103203', 5, '高拱桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681103203', 1, '2021-07-19 11:37:01', NULL, NULL), (6720, '', '文河村', 'e80871859549472aaaea7b5e582b45f0', '258c35959a7444b1bbd48448d60b9740', 'False', 'True', 'false', 'false', '510681103204', 5, '文河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681103204', 1, '2021-07-19 11:37:01', NULL, NULL), (6721, '', '水磨村', 'e82b9f098d62424695795c32eb5de865', '258c35959a7444b1bbd48448d60b9740', 'False', 'True', 'false', 'false', '510681103207', 5, '水磨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681103207', 1, '2021-07-19 11:37:01', NULL, NULL), (6722, '', '李堰村', '5378df2ff9994f90b6837e1280acbe42', '258c35959a7444b1bbd48448d60b9740', 'False', 'True', 'false', 'false', '510681103208', 5, '李堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681103208', 1, '2021-07-19 11:37:01', NULL, NULL), (6723, '', '三星堆镇', '63a213fe3cc344c8b3df64f89662ff0d', '79f5e71c9c0545538e590902fe71aae1', 'True', 'True', 'false', 'false', '510681104000', 4, '三星堆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510681104000', 1, '2021-07-19 11:37:01', NULL, NULL), (6724, '', '仁和社区', '965466e42b554f748c93b08ba747984e', '63a213fe3cc344c8b3df64f89662ff0d', 'False', 'True', 'false', 'false', '510681118090', 5, '仁和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681118090', 1, '2021-07-19 11:37:01', NULL, NULL), (6725, '', '南兴社区', 'c73e1e8c304843e3990aed9aa52ce563', '63a213fe3cc344c8b3df64f89662ff0d', 'False', 'True', 'false', 'false', '510681104001', 5, '南兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681104001', 1, '2021-07-19 11:37:01', NULL, NULL), (6726, '', '龙兴村', 'bd836688f15c4b2ebb9863db5b57fe53', '63a213fe3cc344c8b3df64f89662ff0d', 'False', 'True', 'false', 'false', '510681104201', 5, '龙兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681104201', 1, '2021-07-19 11:37:01', NULL, NULL), (6727, '', '楠林村', 'b5e67b228d5c4f98b520813def3aa3bf', '63a213fe3cc344c8b3df64f89662ff0d', 'False', 'True', 'false', 'false', '510681104204', 5, '楠林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681104204', 1, '2021-07-19 11:37:02', NULL, NULL), (6728, '', '三星村', 'd72a219fbcfa4b97babf4da04ab2d9af', '63a213fe3cc344c8b3df64f89662ff0d', 'False', 'True', 'false', 'false', '510681104205', 5, '三星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681104205', 1, '2021-07-19 11:37:02', NULL, NULL), (6729, '', '仁义村', 'c050ea2017ee463999f743b42ddc8578', '63a213fe3cc344c8b3df64f89662ff0d', 'False', 'True', 'false', 'false', '510681104208', 5, '仁义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681104208', 1, '2021-07-19 11:37:02', NULL, NULL), (6730, '', '欢喜村', 'd098d5bfec134835ae1701b5955913dd', '63a213fe3cc344c8b3df64f89662ff0d', 'False', 'True', 'false', 'false', '510681104209', 5, '欢喜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681104209', 1, '2021-07-19 11:37:02', NULL, NULL), (6731, '', '朝阳村', '78a7f83727c145df91bb1c85acb524bb', '63a213fe3cc344c8b3df64f89662ff0d', 'False', 'True', 'false', 'false', '510681104213', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681104213', 1, '2021-07-19 11:37:02', NULL, NULL), (6732, '', '高涧社区', '77952354aca0409dada569cc95e91ca9', '63a213fe3cc344c8b3df64f89662ff0d', 'False', 'True', 'false', 'false', '510681104215', 5, '高涧社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681104215', 1, '2021-07-19 11:37:02', NULL, NULL), (6733, '', '中兴村', '873b016284c648f99925f984e152b043', '63a213fe3cc344c8b3df64f89662ff0d', 'False', 'True', 'false', 'false', '510681104216', 5, '中兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681104216', 1, '2021-07-19 11:37:02', NULL, NULL), (6734, '', '仁圣村', '28f49f142b054c78ac10583d2aac400e', '63a213fe3cc344c8b3df64f89662ff0d', 'False', 'True', 'false', 'false', '510681104217', 5, '仁圣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681104217', 1, '2021-07-19 11:37:02', NULL, NULL), (6735, '', '向阳镇', '06525007cf8a43ac88a63f71a8c0d258', '79f5e71c9c0545538e590902fe71aae1', 'True', 'True', 'false', 'false', '510681105000', 4, '向阳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510681105000', 1, '2021-07-19 11:37:02', NULL, NULL), (6736, '', '向兴社区居民委员会', 'f90366c2b8764881a03dee4e32a539b4', '06525007cf8a43ac88a63f71a8c0d258', 'False', 'True', 'false', 'false', '510681105002', 5, '向兴社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681105002', 1, '2021-07-19 11:37:02', NULL, NULL), (6737, '', '荣升社区居民委员会', '76c3b975fb05410095a4987a15a2cc75', '06525007cf8a43ac88a63f71a8c0d258', 'False', 'True', 'false', 'false', '510681105201', 5, '荣升社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681105201', 1, '2021-07-19 11:37:02', NULL, NULL), (6738, '', '张化社区居民委员会', '6c0ea52a5bba41948c87c94182cbc6c8', '06525007cf8a43ac88a63f71a8c0d258', 'False', 'True', 'false', 'false', '510681105204', 5, '张化社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681105204', 1, '2021-07-19 11:37:02', NULL, NULL), (6739, '', '青月村村民委员会', 'feaee6081b1a415889b0527c6914d1c3', '06525007cf8a43ac88a63f71a8c0d258', 'False', 'True', 'false', 'false', '510681105208', 5, '青月村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681105208', 1, '2021-07-19 11:37:02', NULL, NULL), (6740, '', '同花社区居民委员会', 'ae80dc90c30a48789f173e99137a8659', '06525007cf8a43ac88a63f71a8c0d258', 'False', 'True', 'false', 'false', '510681105209', 5, '同花社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681105209', 1, '2021-07-19 11:37:03', NULL, NULL), (6741, '', '三界村村民委员会', '8fb5bafe513948a1a7804a3eeeaa314b', '06525007cf8a43ac88a63f71a8c0d258', 'False', 'True', 'false', 'false', '510681105213', 5, '三界村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681105213', 1, '2021-07-19 11:37:03', NULL, NULL), (6742, '', '高寿村村民委员会', '9d3ab1fa93234a1b855043245344c128', '06525007cf8a43ac88a63f71a8c0d258', 'False', 'True', 'false', 'false', '510681105214', 5, '高寿村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681105214', 1, '2021-07-19 11:37:03', NULL, NULL), (6743, '', '同兴村村民委员会', 'c772cdd909864a8280342042ac133bf1', '06525007cf8a43ac88a63f71a8c0d258', 'False', 'True', 'false', 'false', '510681105215', 5, '同兴村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681105215', 1, '2021-07-19 11:37:03', NULL, NULL), (6744, '', '小汉镇', '6ec56cd276db40ceaa270f0f7472a470', '79f5e71c9c0545538e590902fe71aae1', 'True', 'True', 'false', 'false', '510681106000', 4, '小汉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510681106000', 1, '2021-07-19 11:37:03', NULL, NULL), (6745, '', '康营社区', 'e8a25d76931049b2bed8ba678154e599', '6ec56cd276db40ceaa270f0f7472a470', 'False', 'True', 'false', 'false', '510681106206', 5, '康营社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681106206', 1, '2021-07-19 11:37:03', NULL, NULL), (6746, '', '小南社区', '102b410d1826430f87f2c5fd0785f00b', '6ec56cd276db40ceaa270f0f7472a470', 'False', 'True', 'false', 'false', '510681106001', 5, '小南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681106001', 1, '2021-07-19 11:37:03', NULL, NULL), (6747, '', '上林社区', '593c127e03fd4004a5f6aba5a7d52973', '6ec56cd276db40ceaa270f0f7472a470', 'False', 'True', 'false', 'false', '510681106203', 5, '上林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681106203', 1, '2021-07-19 11:37:03', NULL, NULL), (6748, '', '新华社区', '4da8f957dffc46349a858c351de2e0c2', '6ec56cd276db40ceaa270f0f7472a470', 'False', 'True', 'false', 'false', '510681106002', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681106002', 1, '2021-07-19 11:37:03', NULL, NULL), (6749, '', '八角村', 'a3a7e1ea37104db1895febd0e69a598f', '6ec56cd276db40ceaa270f0f7472a470', 'False', 'True', 'false', 'false', '510681106211', 5, '八角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681106211', 1, '2021-07-19 11:37:03', NULL, NULL), (6750, '', '峰昌村', '3e98136408f84738b165127f9a21f956', '6ec56cd276db40ceaa270f0f7472a470', 'False', 'True', 'false', 'false', '510681106215', 5, '峰昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681106215', 1, '2021-07-19 11:37:03', NULL, NULL), (6751, '', '新兴村', '8f44022edc5c4548a40b8f9663f0292c', '6ec56cd276db40ceaa270f0f7472a470', 'False', 'True', 'false', 'false', '510681106213', 5, '新兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681106213', 1, '2021-07-19 11:37:03', NULL, NULL), (6752, '', '团结村', 'b0ef060211054196911be247963d22dd', '6ec56cd276db40ceaa270f0f7472a470', 'False', 'True', 'false', 'false', '510681106208', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681106208', 1, '2021-07-19 11:37:03', NULL, NULL), (6753, '', '桂园村', '0c64459373884e4bb9abc02e4b9b8801', '6ec56cd276db40ceaa270f0f7472a470', 'False', 'True', 'false', 'false', '510681106214', 5, '桂园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681106214', 1, '2021-07-19 11:37:03', NULL, NULL), (6754, '', '凤凰村', '2d5159809a464e8484234c4a6cfdb465', '6ec56cd276db40ceaa270f0f7472a470', 'False', 'True', 'false', 'false', '510681106207', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681106207', 1, '2021-07-19 11:37:04', NULL, NULL), (6755, '', '金轮镇', '359d0e5a263c4d648ca039c4ba23a38b', '79f5e71c9c0545538e590902fe71aae1', 'True', 'True', 'false', 'false', '510681107000', 4, '金轮镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510681107000', 1, '2021-07-19 11:37:04', NULL, NULL), (6756, '', '摇亭社区', 'be7a2b99816c4e0196b86f9119d878d7', '359d0e5a263c4d648ca039c4ba23a38b', 'False', 'True', 'false', 'false', '510681107001', 5, '摇亭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681107001', 1, '2021-07-19 11:37:04', NULL, NULL), (6757, '', '金角村', 'e7f4f1b0cc55413f8a156cccfbb4bf9f', '359d0e5a263c4d648ca039c4ba23a38b', 'False', 'True', 'false', 'false', '510681107201', 5, '金角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681107201', 1, '2021-07-19 11:37:04', NULL, NULL), (6758, '', '东禅寺村', 'b22c59fe527b49a39a826329af6bc742', '359d0e5a263c4d648ca039c4ba23a38b', 'False', 'True', 'false', 'false', '510681107202', 5, '东禅寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681107202', 1, '2021-07-19 11:37:04', NULL, NULL), (6759, '', '五里村', '13e74c01c034485285952ac75d338248', '359d0e5a263c4d648ca039c4ba23a38b', 'False', 'True', 'false', 'false', '510681107203', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681107203', 1, '2021-07-19 11:37:04', NULL, NULL), (6760, '', '寨子村', '20336793a03640658d6e0dc3affa729e', '359d0e5a263c4d648ca039c4ba23a38b', 'False', 'True', 'false', 'false', '510681107204', 5, '寨子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681107204', 1, '2021-07-19 11:37:04', NULL, NULL), (6761, '', '樊池村', '6981e776923c4fa3863c7a842584b664', '359d0e5a263c4d648ca039c4ba23a38b', 'False', 'True', 'false', 'false', '510681107205', 5, '樊池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681107205', 1, '2021-07-19 11:37:04', NULL, NULL), (6762, '', '鸹林村', '5497e691f6c54791abc7a208fbbbd683', '359d0e5a263c4d648ca039c4ba23a38b', 'False', 'True', 'false', 'false', '510681107206', 5, '鸹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681107206', 1, '2021-07-19 11:37:04', NULL, NULL), (6763, '', '兴隆社区', 'a9d3b6452a4945feb936b77bc012e233', '359d0e5a263c4d648ca039c4ba23a38b', 'False', 'True', 'false', 'false', '510681107207', 5, '兴隆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681107207', 1, '2021-07-19 11:37:04', NULL, NULL), (6764, '', '桂花村', '5847f0886d2748089caa29be92dcdff9', '359d0e5a263c4d648ca039c4ba23a38b', 'False', 'True', 'false', 'false', '510681107208', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681107208', 1, '2021-07-19 11:37:04', NULL, NULL), (6765, '', '新丰街道', 'ff5771ba96e245b3a403f0b28df97c05', '79f5e71c9c0545538e590902fe71aae1', 'True', 'True', 'false', 'false', '510681108000', 4, '新丰街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510681108000', 1, '2021-07-19 11:37:04', NULL, NULL), (6766, '', '新丰', '5b3cedb5bcbb46c39c02cf5039b1691f', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108001', 5, '新丰', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108001', 1, '2021-07-19 11:37:04', NULL, NULL), (6767, '', '高店', 'cf200f068c884188aa157509de303ee3', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108002', 5, '高店', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108002', 1, '2021-07-19 11:37:04', NULL, NULL), (6768, '', '花园', '51dc16eae1e64c3785d57d817c73c3c7', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108003', 5, '花园', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108003', 1, '2021-07-19 11:37:04', NULL, NULL), (6769, '', '独木村', 'ea99aaf9cb6d463093562d5606013990', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108201', 5, '独木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108201', 1, '2021-07-19 11:37:04', NULL, NULL), (6770, '', '西城村', '7fdb483b10594eb9870060e390a7ab94', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108202', 5, '西城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108202', 1, '2021-07-19 11:37:04', NULL, NULL), (6771, '', '古城村', '14feef55611c4140b4ba2764d2103cfd', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108203', 5, '古城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108203', 1, '2021-07-19 11:37:05', NULL, NULL), (6772, '', '双槐村', '2928ded5b9ed40bfa37d5fbdb7ce9a90', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108204', 5, '双槐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108204', 1, '2021-07-19 11:37:05', NULL, NULL), (6773, '', '卡房村', '8981f69a242f46628a65c7e6b3a5eeef', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108205', 5, '卡房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108205', 1, '2021-07-19 11:37:05', NULL, NULL), (6774, '', '同善村', 'b0a8a6f53d774823a4eb9676e6c06548', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108206', 5, '同善村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108206', 1, '2021-07-19 11:37:05', NULL, NULL), (6775, '', '龙居村', '362bb8f2d83546b3b4085fc0616dea04', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108207', 5, '龙居村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108207', 1, '2021-07-19 11:37:05', NULL, NULL), (6776, '', '广东村', '2b86aad87b4145c88170fe062c726cb9', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108208', 5, '广东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108208', 1, '2021-07-19 11:37:05', NULL, NULL), (6777, '', '连江村', '316aca0981f9415e9d35329e8df8c0e2', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108209', 5, '连江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108209', 1, '2021-07-19 11:37:05', NULL, NULL), (6778, '', '三河村', '2b871c8717374c9fa7e0746ba54b2c40', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108210', 5, '三河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108210', 1, '2021-07-19 11:37:05', NULL, NULL), (6779, '', '四合村', 'ddcf84ed49f04a56b621e30e3bc0892e', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108211', 5, '四合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108211', 1, '2021-07-19 11:37:05', NULL, NULL), (6780, '', '顺河村', '684046b41afd4a019bf25b8b2366d1a4', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108212', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108212', 1, '2021-07-19 11:37:05', NULL, NULL), (6781, '', '跃龙村', '60e8e7df4db643de8d0d49d5b855769c', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108213', 5, '跃龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108213', 1, '2021-07-19 11:37:05', NULL, NULL), (6782, '', '大塘村', '3760364d79bb44fc835ba9ae0794cdd2', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108214', 5, '大塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108214', 1, '2021-07-19 11:37:05', NULL, NULL), (6783, '', '马牧村', '6387941ef45b40c7ac70008103bf0da3', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108215', 5, '马牧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108215', 1, '2021-07-19 11:37:05', NULL, NULL), (6784, '', '和平村', '0263649f32d34d1b9ec833726d9a91e3', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108216', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108216', 1, '2021-07-19 11:37:05', NULL, NULL), (6785, '', '金华村', '0bd867bf32a94702b247b6defa550697', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108217', 5, '金华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108217', 1, '2021-07-19 11:37:06', NULL, NULL), (6786, '', '京皇村', '02109d70122941fc8961af12e3287d9c', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108218', 5, '京皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108218', 1, '2021-07-19 11:37:06', NULL, NULL), (6787, '', '花园村', '0a9a5473dc84475197ac85d64dd1b97b', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108219', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108219', 1, '2021-07-19 11:37:06', NULL, NULL), (6788, '', '万胜村', 'ef2892a9723142b181ea9dfac3875cac', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108220', 5, '万胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108220', 1, '2021-07-19 11:37:06', NULL, NULL), (6789, '', '新河村', '54cb4233b58049ba826b2b066b05119b', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108221', 5, '新河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108221', 1, '2021-07-19 11:37:06', NULL, NULL), (6790, '', '灵泉村', '8adda2aa1e984f858120792e504cc15d', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108222', 5, '灵泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108222', 1, '2021-07-19 11:37:06', NULL, NULL), (6791, '', '狮象村', 'd4e5755f555a4b28a927ee38a1192d38', 'ff5771ba96e245b3a403f0b28df97c05', 'False', 'True', 'false', 'false', '510681108223', 5, '狮象村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681108223', 1, '2021-07-19 11:37:06', NULL, NULL), (6792, '', '金鱼镇', '85a8e9a069174d4ab1f555c3b94be7cb', '79f5e71c9c0545538e590902fe71aae1', 'True', 'True', 'false', 'false', '510681114000', 4, '金鱼镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510681114000', 1, '2021-07-19 11:37:06', NULL, NULL), (6793, '', '亭江社区', '259925ff1b32488a986ca4c4a4983b6e', '85a8e9a069174d4ab1f555c3b94be7cb', 'False', 'True', 'false', 'false', '510681114001', 5, '亭江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681114001', 1, '2021-07-19 11:37:06', NULL, NULL), (6794, '', '上岺村', '31d18c0bdf304cf384886b9791b9e089', '85a8e9a069174d4ab1f555c3b94be7cb', 'False', 'True', 'false', 'false', '510681114202', 5, '上岺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681114202', 1, '2021-07-19 11:37:06', NULL, NULL), (6795, '', '永和村', '9eee4130a2944560a9877a7667c4d680', '85a8e9a069174d4ab1f555c3b94be7cb', 'False', 'True', 'false', 'false', '510681114203', 5, '永和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681114203', 1, '2021-07-19 11:37:06', NULL, NULL), (6796, '', '黄家店村', '6d962b20f3ae4e26aa7c0b19fdd30775', '85a8e9a069174d4ab1f555c3b94be7cb', 'False', 'True', 'false', 'false', '510681114204', 5, '黄家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681114204', 1, '2021-07-19 11:37:06', NULL, NULL), (6797, '', '两江村', '5f10e2af429144a5af6261caee00ad77', '85a8e9a069174d4ab1f555c3b94be7cb', 'False', 'True', 'false', 'false', '510681114205', 5, '两江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681114205', 1, '2021-07-19 11:37:06', NULL, NULL), (6798, '', '月湾村', '411049043b8740ca944bc0a32481b355', '85a8e9a069174d4ab1f555c3b94be7cb', 'False', 'True', 'false', 'false', '510681114206', 5, '月湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681114206', 1, '2021-07-19 11:37:06', NULL, NULL), (6799, '', '和兴社区', 'eab37bfed2114cf39fc341a40ba4968a', '85a8e9a069174d4ab1f555c3b94be7cb', 'False', 'True', 'false', 'false', '510681114207', 5, '和兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681114207', 1, '2021-07-19 11:37:06', NULL, NULL), (6800, '', '凉水井社区', 'a7f67eb55a25400aab218a3230e5bdad', '85a8e9a069174d4ab1f555c3b94be7cb', 'False', 'True', 'false', 'false', '510681114208', 5, '凉水井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681114208', 1, '2021-07-19 11:37:06', NULL, NULL), (6801, '', '红安村', 'e99166fa8f6248b49ece3ce929ff8492', '85a8e9a069174d4ab1f555c3b94be7cb', 'False', 'True', 'false', 'false', '510681114209', 5, '红安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681114209', 1, '2021-07-19 11:37:07', NULL, NULL), (6802, '', '南丰镇', 'a0d5be962f2d4338b000cc819e4f5eb7', '79f5e71c9c0545538e590902fe71aae1', 'True', 'True', 'false', 'false', '510681116000', 4, '南丰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510681116000', 1, '2021-07-19 11:37:07', NULL, NULL), (6803, '', '场镇', '2f65410dd21c4372a62f570c32a60a41', 'a0d5be962f2d4338b000cc819e4f5eb7', 'False', 'True', 'false', 'false', '510681116001', 5, '场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681116001', 1, '2021-07-19 11:37:07', NULL, NULL), (6804, '', '建新村', '03e2a013fe944567913ba370147274b0', 'a0d5be962f2d4338b000cc819e4f5eb7', 'False', 'True', 'false', 'false', '510681116201', 5, '建新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681116201', 1, '2021-07-19 11:37:07', NULL, NULL), (6805, '', '永乐村', '629e30f513a846898c73552bb6865f6b', 'a0d5be962f2d4338b000cc819e4f5eb7', 'False', 'True', 'false', 'false', '510681116202', 5, '永乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681116202', 1, '2021-07-19 11:37:07', NULL, NULL), (6806, '', '七玉村', '947fc084e02b4995ac43eca02749a1f7', 'a0d5be962f2d4338b000cc819e4f5eb7', 'False', 'True', 'false', 'false', '510681116203', 5, '七玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681116203', 1, '2021-07-19 11:37:07', NULL, NULL), (6807, '', '双福村', 'a072ae31fb5c45ef8db3d73e9ef4943c', 'a0d5be962f2d4338b000cc819e4f5eb7', 'False', 'True', 'false', 'false', '510681116204', 5, '双福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681116204', 1, '2021-07-19 11:37:07', NULL, NULL), (6808, '', '元盛村', '9bdbd48e431147f9885a7f9850735465', 'a0d5be962f2d4338b000cc819e4f5eb7', 'False', 'True', 'false', 'false', '510681116205', 5, '元盛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681116205', 1, '2021-07-19 11:37:07', NULL, NULL), (6809, '', '阳关村', '542a7c32f7cd400a970349f00bfea39f', 'a0d5be962f2d4338b000cc819e4f5eb7', 'False', 'True', 'false', 'false', '510681116206', 5, '阳关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681116206', 1, '2021-07-19 11:37:07', NULL, NULL), (6810, '', '槐树村', 'a7f9129011774a238430b9e64588820a', 'a0d5be962f2d4338b000cc819e4f5eb7', 'False', 'True', 'false', 'false', '510681116207', 5, '槐树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681116207', 1, '2021-07-19 11:37:07', NULL, NULL), (6811, '', '金雁街道', '451a8bd93ae046b69f31130268c53488', '79f5e71c9c0545538e590902fe71aae1', 'True', 'True', 'false', 'false', '510681200000', 4, '金雁街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510681200000', 1, '2021-07-19 11:37:07', NULL, NULL), (6812, '', '白鱼村', '66598187ad0743b9aa55bcfd9b570e15', '451a8bd93ae046b69f31130268c53488', 'False', 'True', 'false', 'false', '510681200203', 5, '白鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681200203', 1, '2021-07-19 11:37:07', NULL, NULL), (6813, '', '雒城街道', '01b9dbbd2dfb409da62d5db075ffe02b', '79f5e71c9c0545538e590902fe71aae1', 'True', 'True', 'false', 'false', '510681725000', 4, '雒城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510681725000', 1, '2021-07-19 11:37:07', NULL, NULL), (6814, '', '常德社区', '0cf6bc06838645538117fe5416f050b1', '01b9dbbd2dfb409da62d5db075ffe02b', 'False', 'True', 'false', 'false', '510681100001', 5, '常德社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681100001', 1, '2021-07-19 11:37:08', NULL, NULL), (6815, '', '书院社区', 'f985338002394cca89afb879f3bb449d', '01b9dbbd2dfb409da62d5db075ffe02b', 'False', 'True', 'false', 'false', '510681100002', 5, '书院社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681100002', 1, '2021-07-19 11:37:08', NULL, NULL), (6816, '', '金领社区', 'bc57a5a1a143466881dff803416e8180', '01b9dbbd2dfb409da62d5db075ffe02b', 'False', 'True', 'false', 'false', '510681100003', 5, '金领社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681100003', 1, '2021-07-19 11:37:08', NULL, NULL), (6817, '', '学府社区', '85ec10913b3f494ea705be62aa0fad88', '01b9dbbd2dfb409da62d5db075ffe02b', 'False', 'True', 'false', 'false', '510681100004', 5, '学府社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681100004', 1, '2021-07-19 11:37:08', NULL, NULL), (6818, '', '金佛社区', '675c8c2014154d1785d344112c1e1e16', '01b9dbbd2dfb409da62d5db075ffe02b', 'False', 'True', 'false', 'false', '510681100005', 5, '金佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681100005', 1, '2021-07-19 11:37:08', NULL, NULL), (6819, '', '金山社区', '1d7aad308c214313b768ae51dd575700', '01b9dbbd2dfb409da62d5db075ffe02b', 'False', 'True', 'false', 'false', '510681100006', 5, '金山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681100006', 1, '2021-07-19 11:37:08', NULL, NULL), (6820, '', '三北社区', '5ec57104254540b185247599d2a0ee45', '01b9dbbd2dfb409da62d5db075ffe02b', 'False', 'True', 'false', 'false', '510681100007', 5, '三北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681100007', 1, '2021-07-19 11:37:08', NULL, NULL), (6821, '', '金华社区', '48bc950adca94313ac1173da37edea86', '01b9dbbd2dfb409da62d5db075ffe02b', 'False', 'True', 'false', 'false', '510681100008', 5, '金华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681100008', 1, '2021-07-19 11:37:08', NULL, NULL), (6822, '', '房湖社区', 'b5ed46efd3fa4c7fac41055aae95b0f9', '01b9dbbd2dfb409da62d5db075ffe02b', 'False', 'True', 'false', 'false', '510681100009', 5, '房湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681100009', 1, '2021-07-19 11:37:08', NULL, NULL), (6823, '', '和平社区', '820898846c0f4ae8a7efbd8d334b22d2', '01b9dbbd2dfb409da62d5db075ffe02b', 'False', 'True', 'false', 'false', '510681100010', 5, '和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681100010', 1, '2021-07-19 11:37:08', NULL, NULL), (6824, '', '金谷社区', '4d81f9f1e2d247a4b9b78b5c44556502', '01b9dbbd2dfb409da62d5db075ffe02b', 'False', 'True', 'false', 'false', '510681100011', 5, '金谷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681100011', 1, '2021-07-19 11:37:08', NULL, NULL), (6825, '', '光华社区', '1a7dc228820f4e4392c3113ff71bf61f', '01b9dbbd2dfb409da62d5db075ffe02b', 'False', 'True', 'false', 'false', '510681100013', 5, '光华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681100013', 1, '2021-07-19 11:37:08', NULL, NULL), (6826, '', '西城社区', 'fb0e284617924e5ca705da244e4aeb1a', '01b9dbbd2dfb409da62d5db075ffe02b', 'False', 'True', 'false', 'false', '510681100014', 5, '西城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681100014', 1, '2021-07-19 11:37:09', NULL, NULL), (6827, '', '西湖社区', 'f567fb5db05749fcb60d04e7fd4ee8be', '01b9dbbd2dfb409da62d5db075ffe02b', 'False', 'True', 'false', 'false', '510681100015', 5, '西湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681100015', 1, '2021-07-19 11:37:09', NULL, NULL), (6828, '', '顺德社区', 'a59f515d986143f696ef369ee0685455', '01b9dbbd2dfb409da62d5db075ffe02b', 'False', 'True', 'false', 'false', '510681100016', 5, '顺德社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681100016', 1, '2021-07-19 11:37:09', NULL, NULL), (6829, '', '狮堰社区', '2fef8aea74dc416299b24fc25e1e75b2', '01b9dbbd2dfb409da62d5db075ffe02b', 'False', 'True', 'false', 'false', '510681100018', 5, '狮堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510681100018', 1, '2021-07-19 11:37:09', NULL, NULL), (6830, '', '什邡市', '76a774f6a5d34ef1be2bb45b077558b6', '64a68decebae47d49ac30f795b48df24', 'True', 'True', 'false', 'false', '510682000000', 3, '什邡市', 'dyssfs.sczwfw.gov.cn', 1, '2021-07-19 11:37:09', NULL, NULL), (6831, '', '方亭街道', 'fdcb21ad645041dbb3bfccb1ccf85cff', '76a774f6a5d34ef1be2bb45b077558b6', 'True', 'True', 'false', 'false', '510682001000', 4, '方亭街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510682001000', 1, '2021-07-19 11:37:09', NULL, NULL), (6832, '', '阳光社区', '07ee6f04a34f4298afd60a1d0bfa371c', 'fdcb21ad645041dbb3bfccb1ccf85cff', 'False', 'True', 'false', 'false', '510682001002', 5, '阳光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682001002', 1, '2021-07-19 11:37:09', NULL, NULL), (6833, '', '石羊村', 'cac8e6ba270545578d775e53e3952d91', 'fdcb21ad645041dbb3bfccb1ccf85cff', 'False', 'True', 'false', 'false', '510682001003', 5, '石羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682001003', 1, '2021-07-19 11:37:09', NULL, NULL), (6834, '', '龙桥村', '4117a3f2f2fa4a729e7fb03c36770579', 'fdcb21ad645041dbb3bfccb1ccf85cff', 'False', 'True', 'false', 'false', '510682001004', 5, '龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682001004', 1, '2021-07-19 11:37:09', NULL, NULL), (6835, '', '通站东路社区', '81045c5e587b4a859b5ee808d41739d8', 'fdcb21ad645041dbb3bfccb1ccf85cff', 'False', 'True', 'false', 'false', '510682001006', 5, '通站东路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682001006', 1, '2021-07-19 11:37:09', NULL, NULL), (6836, '', '万丰村', '9860c90dc12944e09e52529f913a14c5', 'fdcb21ad645041dbb3bfccb1ccf85cff', 'False', 'True', 'false', 'false', '510682001007', 5, '万丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682001007', 1, '2021-07-19 11:37:09', NULL, NULL), (6837, '', '银杏社区', 'c6cc74ab9bd24c029455bdfedb4ffa8d', 'fdcb21ad645041dbb3bfccb1ccf85cff', 'False', 'True', 'false', 'false', '510682001008', 5, '银杏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682001008', 1, '2021-07-19 11:37:09', NULL, NULL), (6838, '', '回龙村', '4afc6727ddd24d4e9862a1eeea244718', 'fdcb21ad645041dbb3bfccb1ccf85cff', 'False', 'True', 'false', 'false', '510682001009', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682001009', 1, '2021-07-19 11:37:09', NULL, NULL), (6839, '', '回澜社区', 'd481d6d42e8341178bba6abde382b7db', 'fdcb21ad645041dbb3bfccb1ccf85cff', 'False', 'True', 'false', 'false', '510682001010', 5, '回澜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682001010', 1, '2021-07-19 11:37:09', NULL, NULL), (6840, '', '亭江东路社区', 'e9961255bc994472bada8525a5c6bcd7', 'fdcb21ad645041dbb3bfccb1ccf85cff', 'False', 'True', 'false', 'false', '510682001011', 5, '亭江东路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682001011', 1, '2021-07-19 11:37:09', NULL, NULL), (6841, '', '雍湖社区', '30666e4db6f3436b913fecaa264ff506', 'fdcb21ad645041dbb3bfccb1ccf85cff', 'False', 'True', 'false', 'false', '510682001012', 5, '雍湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682001012', 1, '2021-07-19 11:37:10', NULL, NULL), (6842, '', '鼓楼街社区', '158921c786464db7a88cb87bfd68b101', 'fdcb21ad645041dbb3bfccb1ccf85cff', 'False', 'True', 'false', 'false', '510682001013', 5, '鼓楼街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682001013', 1, '2021-07-19 11:37:10', NULL, NULL), (6843, '', '金河南路社区', '921c0bdb9208485093c013309590b68a', 'fdcb21ad645041dbb3bfccb1ccf85cff', 'False', 'True', 'false', 'false', '510682001014', 5, '金河南路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682001014', 1, '2021-07-19 11:37:10', NULL, NULL), (6844, '', '利民社区', 'c33c4fb396454e3ab1a6a1e3a1f533e3', 'fdcb21ad645041dbb3bfccb1ccf85cff', 'False', 'True', 'false', 'false', '510682001015', 5, '利民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682001015', 1, '2021-07-19 11:37:10', NULL, NULL), (6845, '', '玉皇村', '95191c9ecb4a496eae246102eb0ea2ab', 'fdcb21ad645041dbb3bfccb1ccf85cff', 'False', 'True', 'false', 'false', '510682001017', 5, '玉皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682001017', 1, '2021-07-19 11:37:10', NULL, NULL), (6846, '', '慧剑村', 'fdc32883698c40e38b5a2857646130e2', 'fdcb21ad645041dbb3bfccb1ccf85cff', 'False', 'True', 'false', 'false', '510682001018', 5, '慧剑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682001018', 1, '2021-07-19 11:37:10', NULL, NULL), (6847, '', '皂角街道', '6461e70119064f0989d10eb668e0f4b2', '76a774f6a5d34ef1be2bb45b077558b6', 'True', 'True', 'false', 'false', '510682002000', 4, '皂角街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510682002000', 1, '2021-07-19 11:37:10', NULL, NULL), (6848, '', '蓥峰南路社区', '7cc3038c5a96402bb26e9cf046aa398e', '6461e70119064f0989d10eb668e0f4b2', 'False', 'True', 'false', 'false', '510682002006', 5, '蓥峰南路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682002006', 1, '2021-07-19 11:37:10', NULL, NULL), (6849, '', '亭江西路社区', '596c140401f746a3b362593bea59d5ef', '6461e70119064f0989d10eb668e0f4b2', 'False', 'True', 'false', 'false', '510682002007', 5, '亭江西路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682002007', 1, '2021-07-19 11:37:10', NULL, NULL), (6850, '', '文兴路社区', '3f732393313a48b680e67ad79497e6e5', '6461e70119064f0989d10eb668e0f4b2', 'False', 'True', 'false', 'false', '510682002008', 5, '文兴路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682002008', 1, '2021-07-19 11:37:10', NULL, NULL), (6851, '', '长白山路社区', 'de6452d07076461e84b7c9657f97b285', '6461e70119064f0989d10eb668e0f4b2', 'False', 'True', 'false', 'false', '510682002009', 5, '长白山路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682002009', 1, '2021-07-19 11:37:10', NULL, NULL), (6852, '', '京什东路社区', '9802fc162e264cc5a79b76e882a97a7f', '6461e70119064f0989d10eb668e0f4b2', 'False', 'True', 'false', 'false', '510682002010', 5, '京什东路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682002010', 1, '2021-07-19 11:37:10', NULL, NULL), (6853, '', '清流村', 'bbef98c650ce4b4aa821b3151473f6fe', '6461e70119064f0989d10eb668e0f4b2', 'False', 'True', 'false', 'false', '510682002209', 5, '清流村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682002209', 1, '2021-07-19 11:37:11', NULL, NULL), (6854, '', '双泉社区', '559f8a869cc34531be2055ebe13a78d9', '6461e70119064f0989d10eb668e0f4b2', 'False', 'True', 'false', 'false', '510682002003', 5, '双泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682002003', 1, '2021-07-19 11:37:11', NULL, NULL), (6855, '', '义桥村', 'e845ea6fa79a4faab8211d2f2a6e01e1', '6461e70119064f0989d10eb668e0f4b2', 'False', 'True', 'false', 'false', '510682002201', 5, '义桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682002201', 1, '2021-07-19 11:37:11', NULL, NULL), (6856, '', '城东村', '44614a0fd3034dfc8047a5a1ac6949c1', '6461e70119064f0989d10eb668e0f4b2', 'False', 'True', 'false', 'false', '510682002202', 5, '城东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682002202', 1, '2021-07-19 11:37:11', NULL, NULL), (6857, '', '白果社区', '26789319b6a341f7893d5dd5c8616205', '6461e70119064f0989d10eb668e0f4b2', 'False', 'True', 'false', 'false', '510682002204', 5, '白果社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682002204', 1, '2021-07-19 11:37:11', NULL, NULL), (6858, '', '箭台村', 'c8159b678bb546f2a91cdb3b9bb0747e', '6461e70119064f0989d10eb668e0f4b2', 'False', 'True', 'false', 'false', '510682002276', 5, '箭台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682002276', 1, '2021-07-19 11:37:11', NULL, NULL), (6859, '', '南桥社区', '05baf6660c7c4d8aa5071c5e3d55dafb', '6461e70119064f0989d10eb668e0f4b2', 'False', 'True', 'false', 'false', '510682002310', 5, '南桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682002310', 1, '2021-07-19 11:37:11', NULL, NULL), (6860, '', '花桥村', 'b0324f39721a414ba225dbfc43cdd0ea', '6461e70119064f0989d10eb668e0f4b2', 'False', 'True', 'false', 'false', '510682002354', 5, '花桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682002354', 1, '2021-07-19 11:37:11', NULL, NULL), (6861, '', '桂泉村', 'f08a977af0094479ab36859ac78ef9d7', '6461e70119064f0989d10eb668e0f4b2', 'False', 'True', 'false', 'false', '510682002549', 5, '桂泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682002549', 1, '2021-07-19 11:37:11', NULL, NULL), (6862, '', '城西社区', 'bf7ae921e3654e808bba6e7c80009183', '6461e70119064f0989d10eb668e0f4b2', 'False', 'True', 'false', 'false', '510682002579', 5, '城西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682002579', 1, '2021-07-19 11:37:11', NULL, NULL), (6863, '', '洛水镇', 'de308f15b0ac43e88983289ff071b14a', '76a774f6a5d34ef1be2bb45b077558b6', 'True', 'True', 'false', 'false', '510682105000', 4, '洛水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510682105000', 1, '2021-07-19 11:37:11', NULL, NULL), (6864, '', '亭江社区', 'b354858c260346e78e00f11c74d537d1', 'de308f15b0ac43e88983289ff071b14a', 'False', 'True', 'false', 'false', '510682105001', 5, '亭江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682105001', 1, '2021-07-19 11:37:11', NULL, NULL), (6865, '', '柳河社区', '91c4394579d24a749bae8aa2f2f55016', 'de308f15b0ac43e88983289ff071b14a', 'False', 'True', 'false', 'false', '510682105002', 5, '柳河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682105002', 1, '2021-07-19 11:37:11', NULL, NULL), (6866, '', '尚家场社区', '24489a154b4742638ebb3462345b8bf4', 'de308f15b0ac43e88983289ff071b14a', 'False', 'True', 'false', 'false', '510682105003', 5, '尚家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682105003', 1, '2021-07-19 11:37:11', NULL, NULL), (6867, '', '洛城村', '74afc2aea43e4f90b1ce195e8f2ba7c9', 'de308f15b0ac43e88983289ff071b14a', 'False', 'True', 'false', 'false', '510682105201', 5, '洛城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682105201', 1, '2021-07-19 11:37:11', NULL, NULL), (6868, '', '永兴村', '9d179bbb9f714bbab2ac3cc5976deca6', 'de308f15b0ac43e88983289ff071b14a', 'False', 'True', 'false', 'false', '510682105203', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682105203', 1, '2021-07-19 11:37:12', NULL, NULL), (6869, '', '银池村', '75bae22c625b48caad07061c36ec427f', 'de308f15b0ac43e88983289ff071b14a', 'False', 'True', 'false', 'false', '510682105204', 5, '银池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682105204', 1, '2021-07-19 11:37:12', NULL, NULL), (6870, '', '联合村', 'ef533c94ed7c4a3184e9da25379204a3', 'de308f15b0ac43e88983289ff071b14a', 'False', 'True', 'false', 'false', '510682105205', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682105205', 1, '2021-07-19 11:37:12', NULL, NULL), (6871, '', '余安村', '412a72b857e44c5481a42b07f6ec1179', 'de308f15b0ac43e88983289ff071b14a', 'False', 'True', 'false', 'false', '510682105206', 5, '余安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682105206', 1, '2021-07-19 11:37:12', NULL, NULL), (6872, '', '李冰村', '04e57232e73b4aa58e6da813bf548359', 'de308f15b0ac43e88983289ff071b14a', 'False', 'True', 'false', 'false', '510682105208', 5, '李冰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682105208', 1, '2021-07-19 11:37:12', NULL, NULL), (6873, '', '家灵村', 'a64ad2a4e798478f89756d81a410679a', 'de308f15b0ac43e88983289ff071b14a', 'False', 'True', 'false', 'false', '510682105209', 5, '家灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682105209', 1, '2021-07-19 11:37:12', NULL, NULL), (6874, '', '渔江社区', '55fe20fa5fe4444482c2f6122d36f4e1', 'de308f15b0ac43e88983289ff071b14a', 'False', 'True', 'false', 'false', '510682105210', 5, '渔江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682105210', 1, '2021-07-19 11:37:12', NULL, NULL), (6875, '', '灵江社区', '58497320db684278a19117d6e9d12077', 'de308f15b0ac43e88983289ff071b14a', 'False', 'True', 'false', 'false', '510682105211', 5, '灵江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682105211', 1, '2021-07-19 11:37:12', NULL, NULL), (6876, '', '禾丰镇', '54d43bf702d44ef7a623d3b4da70e1b5', '76a774f6a5d34ef1be2bb45b077558b6', 'True', 'True', 'false', 'false', '510682106000', 4, '禾丰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510682106000', 1, '2021-07-19 11:37:12', NULL, NULL), (6877, '', '三圣社区', '1634d899392442f4afd3dfaf172cd971', '54d43bf702d44ef7a623d3b4da70e1b5', 'False', 'True', 'false', 'false', '510682106001', 5, '三圣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682106001', 1, '2021-07-19 11:37:12', NULL, NULL), (6878, '', '谷华村', 'e03101be373c490d8119274b6728cf1a', '54d43bf702d44ef7a623d3b4da70e1b5', 'False', 'True', 'false', 'false', '510682106201', 5, '谷华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682106201', 1, '2021-07-19 11:37:12', NULL, NULL), (6879, '', '镇江村', '40e93d6fe833460fbc491e5cb428ad19', '54d43bf702d44ef7a623d3b4da70e1b5', 'False', 'True', 'false', 'false', '510682106203', 5, '镇江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682106203', 1, '2021-07-19 11:37:12', NULL, NULL), (6880, '', '龚林村', 'a8ca5b20bcf5427bb8b8a9db1ec6a9cf', '54d43bf702d44ef7a623d3b4da70e1b5', 'False', 'True', 'false', 'false', '510682106204', 5, '龚林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682106204', 1, '2021-07-19 11:37:12', NULL, NULL), (6881, '', '和平村', '7ed466648d7047d88a3598f0344b3d08', '54d43bf702d44ef7a623d3b4da70e1b5', 'False', 'True', 'false', 'false', '510682106205', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682106205', 1, '2021-07-19 11:37:12', NULL, NULL), (6882, '', '文顺村', '380583fb655a4d02b71ab9611b407cd8', '54d43bf702d44ef7a623d3b4da70e1b5', 'False', 'True', 'false', 'false', '510682106206', 5, '文顺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682106206', 1, '2021-07-19 11:37:12', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (6883, '', '木泉村', 'c2a42ed9113d4604a521b6bb79e5c6a2', '54d43bf702d44ef7a623d3b4da70e1b5', 'False', 'True', 'false', 'false', '510682106207', 5, '木泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682106207', 1, '2021-07-19 11:37:12', NULL, NULL), (6884, '', '马祖镇', '2f34e90264454a39874bc5cfc63a1c9f', '76a774f6a5d34ef1be2bb45b077558b6', 'True', 'True', 'false', 'false', '510682108000', 4, '马祖镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510682108000', 1, '2021-07-19 11:37:12', NULL, NULL), (6885, '', '双盛社区', '86e437142bea49c3b817f9b9919abfcc', '2f34e90264454a39874bc5cfc63a1c9f', 'False', 'True', 'false', 'false', '510682108004', 5, '双盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682108004', 1, '2021-07-19 11:37:12', NULL, NULL), (6886, '', '万缘村', '23bcf8a0b1f4482abc58fdcf3446f9d4', '2f34e90264454a39874bc5cfc63a1c9f', 'False', 'True', 'false', 'false', '510682108204', 5, '万缘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682108204', 1, '2021-07-19 11:37:13', NULL, NULL), (6887, '', '白鱼河村', '0a3f3de609534dc3b5a1840adf6af1ef', '2f34e90264454a39874bc5cfc63a1c9f', 'False', 'True', 'false', 'false', '510682108208', 5, '白鱼河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682108208', 1, '2021-07-19 11:37:13', NULL, NULL), (6888, '', '东林村', '36469495c9ad41469a6cab972410c55f', '2f34e90264454a39874bc5cfc63a1c9f', 'False', 'True', 'false', 'false', '510682108209', 5, '东林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682108209', 1, '2021-07-19 11:37:13', NULL, NULL), (6889, '', '涌麟村', 'e7251c92952140eba6c5a284e03a0035', '2f34e90264454a39874bc5cfc63a1c9f', 'False', 'True', 'false', 'false', '510682108210', 5, '涌麟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682108210', 1, '2021-07-19 11:37:13', NULL, NULL), (6890, '', '京什社区', '6f52b13a0e0c4550a4f3443eaec3b72c', '2f34e90264454a39874bc5cfc63a1c9f', 'False', 'True', 'false', 'false', '510682108002', 5, '京什社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682108002', 1, '2021-07-19 11:37:13', NULL, NULL), (6891, '', '静安村', '78b096d8d7094104a3e411d4f9bb1d7d', '2f34e90264454a39874bc5cfc63a1c9f', 'False', 'True', 'false', 'false', '510682108201', 5, '静安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682108201', 1, '2021-07-19 11:37:13', NULL, NULL), (6892, '', '白沙泉社区', '26a64ed06e8d4bd5915e48b005fd1bd8', '2f34e90264454a39874bc5cfc63a1c9f', 'False', 'True', 'false', 'false', '510682108202', 5, '白沙泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682108202', 1, '2021-07-19 11:37:13', NULL, NULL), (6893, '', '邓通村', '75dc98ea35794809be7944f5c67dce9e', '2f34e90264454a39874bc5cfc63a1c9f', 'False', 'True', 'false', 'false', '510682108203', 5, '邓通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682108203', 1, '2021-07-19 11:37:13', NULL, NULL), (6894, '', '东岳村', '8b3df5084c704007b2de9ae0f54db24a', '2f34e90264454a39874bc5cfc63a1c9f', 'False', 'True', 'false', 'false', '510682108205', 5, '东岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682108205', 1, '2021-07-19 11:37:13', NULL, NULL), (6895, '', '马祖村', 'd63c222b8b4a4a7d8d25b6daadddda0a', '2f34e90264454a39874bc5cfc63a1c9f', 'False', 'True', 'false', 'false', '510682108206', 5, '马祖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682108206', 1, '2021-07-19 11:37:13', NULL, NULL), (6896, '', '复兴村', 'ab179cf24aab4856b5e559773bab84f0', '2f34e90264454a39874bc5cfc63a1c9f', 'False', 'True', 'false', 'false', '510682108207', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682108207', 1, '2021-07-19 11:37:13', NULL, NULL), (6897, '', '马井镇', 'e65777a214e242c2ab30c0e697f9fa00', '76a774f6a5d34ef1be2bb45b077558b6', 'True', 'True', 'false', 'false', '510682110000', 4, '马井镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510682110000', 1, '2021-07-19 11:37:13', NULL, NULL), (6898, '', '隐丰社区', 'dced8d57b0904035841948b39f3c4956', 'e65777a214e242c2ab30c0e697f9fa00', 'False', 'True', 'false', 'false', '510682110002', 5, '隐丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682110002', 1, '2021-07-19 11:37:13', NULL, NULL), (6899, '', '欢喜村', '4dd03e066b45402489f50c5783a4a17c', 'e65777a214e242c2ab30c0e697f9fa00', 'False', 'True', 'false', 'false', '510682110210', 5, '欢喜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682110210', 1, '2021-07-19 11:37:13', NULL, NULL), (6900, '', '福田村', 'fe7f6326e8ad44128a7fea45f6420631', 'e65777a214e242c2ab30c0e697f9fa00', 'False', 'True', 'false', 'false', '510682110211', 5, '福田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682110211', 1, '2021-07-19 11:37:13', NULL, NULL), (6901, '', '天台村', '46659194a46e41038f459b9e75cdb495', 'e65777a214e242c2ab30c0e697f9fa00', 'False', 'True', 'false', 'false', '510682110212', 5, '天台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682110212', 1, '2021-07-19 11:37:13', NULL, NULL), (6902, '', '建设村', '6509c78bcd7349bc8eb0ee6112470127', 'e65777a214e242c2ab30c0e697f9fa00', 'False', 'True', 'false', 'false', '510682110213', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682110213', 1, '2021-07-19 11:37:14', NULL, NULL), (6903, '', '寿增村', '51f9134b09ea47e9aa2bcf44d145b5b7', 'e65777a214e242c2ab30c0e697f9fa00', 'False', 'True', 'false', 'false', '510682110214', 5, '寿增村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682110214', 1, '2021-07-19 11:37:14', NULL, NULL), (6904, '', '万兴社区', 'b62097514a80422b834439be9c54600c', 'e65777a214e242c2ab30c0e697f9fa00', 'False', 'True', 'false', 'false', '510682110001', 5, '万兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682110001', 1, '2021-07-19 11:37:14', NULL, NULL), (6905, '', '万和村', '3fb9794887a249428a0b3d12c9dfc986', 'e65777a214e242c2ab30c0e697f9fa00', 'False', 'True', 'false', 'false', '510682110201', 5, '万和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682110201', 1, '2021-07-19 11:37:14', NULL, NULL), (6906, '', '金牛村', '81615ea22373420bbe81e15f19091e39', 'e65777a214e242c2ab30c0e697f9fa00', 'False', 'True', 'false', 'false', '510682110202', 5, '金牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682110202', 1, '2021-07-19 11:37:14', NULL, NULL), (6907, '', '双石桥村', 'c044f11dc6b84174b84c7a40a32a1cbb', 'e65777a214e242c2ab30c0e697f9fa00', 'False', 'True', 'false', 'false', '510682110203', 5, '双石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682110203', 1, '2021-07-19 11:37:14', NULL, NULL), (6908, '', '光华村', '16b2d54cf0984f97a8341761257ee455', 'e65777a214e242c2ab30c0e697f9fa00', 'False', 'True', 'false', 'false', '510682110204', 5, '光华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682110204', 1, '2021-07-19 11:37:14', NULL, NULL), (6909, '', '双堰村', '833aff6a0cd24a78b253a509139d107a', 'e65777a214e242c2ab30c0e697f9fa00', 'False', 'True', 'false', 'false', '510682110205', 5, '双堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682110205', 1, '2021-07-19 11:37:14', NULL, NULL), (6910, '', '同心村', '2db285c5bb524398b6639fd5d72fe6ce', 'e65777a214e242c2ab30c0e697f9fa00', 'False', 'True', 'false', 'false', '510682110206', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682110206', 1, '2021-07-19 11:37:14', NULL, NULL), (6911, '', '菠萝村', '6b0f7b4667b840a8a21d6ddee7b0f14f', 'e65777a214e242c2ab30c0e697f9fa00', 'False', 'True', 'false', 'false', '510682110207', 5, '菠萝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682110207', 1, '2021-07-19 11:37:14', NULL, NULL), (6912, '', '玉马村', '5dd91b72165b461d9714e409ab13e772', 'e65777a214e242c2ab30c0e697f9fa00', 'False', 'True', 'false', 'false', '510682110208', 5, '玉马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682110208', 1, '2021-07-19 11:37:14', NULL, NULL), (6913, '', '蓥华镇', '33eae47f587d47f8ad338ab3c0348391', '76a774f6a5d34ef1be2bb45b077558b6', 'True', 'True', 'false', 'false', '510682111000', 4, '蓥华镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510682111000', 1, '2021-07-19 11:37:14', NULL, NULL), (6914, '', '红白场社区', '0ea4e436bb354893badbada32e64f578', '33eae47f587d47f8ad338ab3c0348391', 'False', 'True', 'false', 'false', '510682111003', 5, '红白场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682111003', 1, '2021-07-19 11:37:14', NULL, NULL), (6915, '', '冰川社区', '1e5d7cb279474b819869400220a7bfe0', '33eae47f587d47f8ad338ab3c0348391', 'False', 'True', 'false', 'false', '510682111004', 5, '冰川社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682111004', 1, '2021-07-19 11:37:14', NULL, NULL), (6916, '', '红峡谷村', 'bb9c032ac5914fe9ba1acdf4e31f364c', '33eae47f587d47f8ad338ab3c0348391', 'False', 'True', 'false', 'false', '510682111208', 5, '红峡谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682111208', 1, '2021-07-19 11:37:14', NULL, NULL), (6917, '', '金河村', '193124987be04c0f9d98576e8146f0a4', '33eae47f587d47f8ad338ab3c0348391', 'False', 'True', 'false', 'false', '510682111209', 5, '金河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682111209', 1, '2021-07-19 11:37:14', NULL, NULL), (6918, '', '爆竹园村', 'd07469a7e60640279d8626c146440444', '33eae47f587d47f8ad338ab3c0348391', 'False', 'True', 'false', 'false', '510682111210', 5, '爆竹园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682111210', 1, '2021-07-19 11:37:14', NULL, NULL), (6919, '', '五马村', 'b369c1ad3d00446ca3e2185e2105448c', '33eae47f587d47f8ad338ab3c0348391', 'False', 'True', 'false', 'false', '510682111211', 5, '五马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682111211', 1, '2021-07-19 11:37:15', NULL, NULL), (6920, '', '杉木林村', 'd540fc0c5753444fb3040e8b302bcd48', '33eae47f587d47f8ad338ab3c0348391', 'False', 'True', 'false', 'false', '510682111212', 5, '杉木林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682111212', 1, '2021-07-19 11:37:15', NULL, NULL), (6921, '', '楠木村', '1dd118ac631249bcba384ce43efc4fb0', '33eae47f587d47f8ad338ab3c0348391', 'False', 'True', 'false', 'false', '510682111213', 5, '楠木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682111213', 1, '2021-07-19 11:37:15', NULL, NULL), (6922, '', '天桥村', '81de3e023adc4e4fa9bfacc06ccb257e', '33eae47f587d47f8ad338ab3c0348391', 'False', 'True', 'false', 'false', '510682111214', 5, '天桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682111214', 1, '2021-07-19 11:37:15', NULL, NULL), (6923, '', '飞来峰村', '2e763b3355e34975a98c05b3050ab0c9', '33eae47f587d47f8ad338ab3c0348391', 'False', 'True', 'false', 'false', '510682111215', 5, '飞来峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682111215', 1, '2021-07-19 11:37:15', NULL, NULL), (6924, '', '柿子坪村', '259da0ab649346f69869d6720016c609', '33eae47f587d47f8ad338ab3c0348391', 'False', 'True', 'false', 'false', '510682111216', 5, '柿子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682111216', 1, '2021-07-19 11:37:15', NULL, NULL), (6925, '', '高桥社区', 'c1ff7df6b22a44e7a38441bdf7cd3768', '33eae47f587d47f8ad338ab3c0348391', 'False', 'True', 'false', 'false', '510682111201', 5, '高桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682111201', 1, '2021-07-19 11:37:15', NULL, NULL), (6926, '', '仁和村', '4061798aa5054b4db228163f57cdd938', '33eae47f587d47f8ad338ab3c0348391', 'False', 'True', 'false', 'false', '510682111202', 5, '仁和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682111202', 1, '2021-07-19 11:37:15', NULL, NULL), (6927, '', '天宝村', '4a3beb52a2874ff687df3928b2f0d458', '33eae47f587d47f8ad338ab3c0348391', 'False', 'True', 'false', 'false', '510682111203', 5, '天宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682111203', 1, '2021-07-19 11:37:15', NULL, NULL), (6928, '', '竹溪村', 'eb1c6912f6d54b2aa995671e5b53773c', '33eae47f587d47f8ad338ab3c0348391', 'False', 'True', 'false', 'false', '510682111204', 5, '竹溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682111204', 1, '2021-07-19 11:37:15', NULL, NULL), (6929, '', '瓦窑村', 'e704f6b15b5642d58282e395a923fec6', '33eae47f587d47f8ad338ab3c0348391', 'False', 'True', 'false', 'false', '510682111205', 5, '瓦窑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682111205', 1, '2021-07-19 11:37:15', NULL, NULL), (6930, '', '石门村', 'a92e02f3b9244572acb6c19cc37ff79d', '33eae47f587d47f8ad338ab3c0348391', 'False', 'True', 'false', 'false', '510682111206', 5, '石门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682111206', 1, '2021-07-19 11:37:15', NULL, NULL), (6931, '', '雪门寺村', '84e2248f483145e98c02809755e2fa8f', '33eae47f587d47f8ad338ab3c0348391', 'False', 'True', 'false', 'false', '510682111207', 5, '雪门寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682111207', 1, '2021-07-19 11:37:15', NULL, NULL), (6932, '', '南泉镇', 'bfff6e9c8b8647188d2cd7a7a9309b76', '76a774f6a5d34ef1be2bb45b077558b6', 'True', 'True', 'false', 'false', '510682113000', 4, '南泉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510682113000', 1, '2021-07-19 11:37:15', NULL, NULL), (6933, '', '禾家场社区', '4b8ecd9948934b6dbccba1f3e6997461', 'bfff6e9c8b8647188d2cd7a7a9309b76', 'False', 'True', 'false', 'false', '510682113001', 5, '禾家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682113001', 1, '2021-07-19 11:37:15', NULL, NULL), (6934, '', '南阳村', '1326e455d3c14f21ac3284f284ff0046', 'bfff6e9c8b8647188d2cd7a7a9309b76', 'False', 'True', 'false', 'false', '510682113204', 5, '南阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682113204', 1, '2021-07-19 11:37:15', NULL, NULL), (6935, '', '柳泉村', 'aae1528980d744698bd45168ec2a6816', 'bfff6e9c8b8647188d2cd7a7a9309b76', 'False', 'True', 'false', 'false', '510682113205', 5, '柳泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682113205', 1, '2021-07-19 11:37:15', NULL, NULL), (6936, '', '瑞虹村', '20225633b7284fcd945dc1ec8b40ff13', 'bfff6e9c8b8647188d2cd7a7a9309b76', 'False', 'True', 'false', 'false', '510682113207', 5, '瑞虹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682113207', 1, '2021-07-19 11:37:16', NULL, NULL), (6937, '', '金桂村', 'd480c8007d4f44a581b9015433a1d219', 'bfff6e9c8b8647188d2cd7a7a9309b76', 'False', 'True', 'false', 'false', '510682113209', 5, '金桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682113209', 1, '2021-07-19 11:37:16', NULL, NULL), (6938, '', '团结村', 'd747b74d46854748a50307a8f1652a7e', 'bfff6e9c8b8647188d2cd7a7a9309b76', 'False', 'True', 'false', 'false', '510682113211', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682113211', 1, '2021-07-19 11:37:16', NULL, NULL), (6939, '', '湔氐镇', 'd4d3293601f74af698a956e6cc51922b', '76a774f6a5d34ef1be2bb45b077558b6', 'True', 'True', 'false', 'false', '510682116000', 4, '湔氐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510682116000', 1, '2021-07-19 11:37:16', NULL, NULL), (6940, '', '隆兴社区', '614cb62fbf3d4bd18781a1b64fd3ddb5', 'd4d3293601f74af698a956e6cc51922b', 'False', 'True', 'false', 'false', '510682116001', 5, '隆兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682116001', 1, '2021-07-19 11:37:16', NULL, NULL), (6941, '', '新街社区', 'ec290809430243d5ae44c7d687c87491', 'd4d3293601f74af698a956e6cc51922b', 'False', 'True', 'false', 'false', '510682116002', 5, '新街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682116002', 1, '2021-07-19 11:37:16', NULL, NULL), (6942, '', '龙居寺村', 'b3d61f8268bb4a238fdde6889d36c70a', 'd4d3293601f74af698a956e6cc51922b', 'False', 'True', 'false', 'false', '510682116201', 5, '龙居寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682116201', 1, '2021-07-19 11:37:16', NULL, NULL), (6943, '', '龙泉村', 'cf54f3654d124283bf36f5b8fb07acb2', 'd4d3293601f74af698a956e6cc51922b', 'False', 'True', 'false', 'false', '510682116202', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682116202', 1, '2021-07-19 11:37:16', NULL, NULL), (6944, '', '永安村', '065bea3996d44d0691c7e90fd547e555', 'd4d3293601f74af698a956e6cc51922b', 'False', 'True', 'false', 'false', '510682116203', 5, '永安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682116203', 1, '2021-07-19 11:37:16', NULL, NULL), (6945, '', '桐林村', '3c951ec9bc7948059f75eaf09461d0c3', 'd4d3293601f74af698a956e6cc51922b', 'False', 'True', 'false', 'false', '510682116206', 5, '桐林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682116206', 1, '2021-07-19 11:37:16', NULL, NULL), (6946, '', '白虎头村', '49138f8c2fad45979e7211e5cd6f22e0', 'd4d3293601f74af698a956e6cc51922b', 'False', 'True', 'false', 'false', '510682116207', 5, '白虎头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682116207', 1, '2021-07-19 11:37:16', NULL, NULL), (6947, '', '五一村', '40cc91c4e68642eeb94db0c4b9a0d433', 'd4d3293601f74af698a956e6cc51922b', 'False', 'True', 'false', 'false', '510682116208', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682116208', 1, '2021-07-19 11:37:16', NULL, NULL), (6948, '', '先锋村', 'a38b78192dad453f91ce126df1d11b60', 'd4d3293601f74af698a956e6cc51922b', 'False', 'True', 'false', 'false', '510682116210', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682116210', 1, '2021-07-19 11:37:16', NULL, NULL), (6949, '', '中和村', '12b3993c805c492aa42c7f8d783910f6', 'd4d3293601f74af698a956e6cc51922b', 'False', 'True', 'false', 'false', '510682116212', 5, '中和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682116212', 1, '2021-07-19 11:37:16', NULL, NULL), (6950, '', '太乐村', 'fefde27930e64df2832ef45df5e2a003', 'd4d3293601f74af698a956e6cc51922b', 'False', 'True', 'false', 'false', '510682116213', 5, '太乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682116213', 1, '2021-07-19 11:37:16', NULL, NULL), (6951, '', '师古镇', 'e3f2ebffc19f4d618559a9a6c07268e3', '76a774f6a5d34ef1be2bb45b077558b6', 'True', 'True', 'false', 'false', '510682120000', 4, '师古镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510682120000', 1, '2021-07-19 11:37:16', NULL, NULL), (6952, '', '盐市街社区', 'e94a7d8f84874430a94b5bd0302f625a', 'e3f2ebffc19f4d618559a9a6c07268e3', 'False', 'True', 'false', 'false', '510682120002', 5, '盐市街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682120002', 1, '2021-07-19 11:37:16', NULL, NULL), (6953, '', '回龙社区', '951bd1ec124f4136b982e01b4d1c5376', 'e3f2ebffc19f4d618559a9a6c07268e3', 'False', 'True', 'false', 'false', '510682120003', 5, '回龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682120003', 1, '2021-07-19 11:37:16', NULL, NULL), (6954, '', '师古村', 'c8c0c9613480483ca573994b10aa8743', 'e3f2ebffc19f4d618559a9a6c07268e3', 'False', 'True', 'false', 'false', '510682120201', 5, '师古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682120201', 1, '2021-07-19 11:37:17', NULL, NULL), (6955, '', '清泉村', '419bcc16e93f4aefafd99e3959ba7080', 'e3f2ebffc19f4d618559a9a6c07268e3', 'False', 'True', 'false', 'false', '510682120202', 5, '清泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682120202', 1, '2021-07-19 11:37:17', NULL, NULL), (6956, '', '虎林村', '25321250bf5045c18b44f6d2025d5c68', 'e3f2ebffc19f4d618559a9a6c07268e3', 'False', 'True', 'false', 'false', '510682120203', 5, '虎林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682120203', 1, '2021-07-19 11:37:17', NULL, NULL), (6957, '', '共和村', '7f2d308123654c9baa22839a5629a960', 'e3f2ebffc19f4d618559a9a6c07268e3', 'False', 'True', 'false', 'false', '510682120204', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682120204', 1, '2021-07-19 11:37:17', NULL, NULL), (6958, '', '红豆村', '6dae005a20a04b4aae5c5b3245023f88', 'e3f2ebffc19f4d618559a9a6c07268e3', 'False', 'True', 'false', 'false', '510682120206', 5, '红豆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682120206', 1, '2021-07-19 11:37:17', NULL, NULL), (6959, '', '大泉坑村', '258952f9aebf48e59f49e8521561a583', 'e3f2ebffc19f4d618559a9a6c07268e3', 'False', 'True', 'false', 'false', '510682120208', 5, '大泉坑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682120208', 1, '2021-07-19 11:37:17', NULL, NULL), (6960, '', '思源村', 'ea5cd164ad9949a5be0f1cca3efbaa00', 'e3f2ebffc19f4d618559a9a6c07268e3', 'False', 'True', 'false', 'false', '510682120209', 5, '思源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682120209', 1, '2021-07-19 11:37:17', NULL, NULL), (6961, '', '苏家桥村', 'b52300f4636849da85cdf04b80b1e459', 'e3f2ebffc19f4d618559a9a6c07268e3', 'False', 'True', 'false', 'false', '510682120210', 5, '苏家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682120210', 1, '2021-07-19 11:37:17', NULL, NULL), (6962, '', '双安村', '48d955fafaa8416ca90321697724e720', 'e3f2ebffc19f4d618559a9a6c07268e3', 'False', 'True', 'false', 'false', '510682120212', 5, '双安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682120212', 1, '2021-07-19 11:37:17', NULL, NULL), (6963, '', '九里埂村', 'db56f4f430d44162babac64c2d22e6cf', 'e3f2ebffc19f4d618559a9a6c07268e3', 'False', 'True', 'false', 'false', '510682120213', 5, '九里埂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510682120213', 1, '2021-07-19 11:37:17', NULL, NULL), (6964, '', '绵竹市', '58932e0abb7b4f55b46f5c8f99116d2f', '64a68decebae47d49ac30f795b48df24', 'True', 'True', 'false', 'false', '510683000000', 3, '绵竹市', 'dysmzs.sczwfw.gov.cn', 1, '2021-07-19 11:37:17', NULL, NULL), (6965, '', '紫岩街道', 'c547b9da105943b79ddf0499f70d2ff4', '58932e0abb7b4f55b46f5c8f99116d2f', 'True', 'True', 'false', 'false', '510683101000', 4, '紫岩街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510683101000', 1, '2021-07-19 11:37:17', NULL, NULL), (6966, '', '东北社区', '4ddf1552a61a45a4b346a64334af5397', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683002022', 5, '东北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683002022', 1, '2021-07-19 11:37:17', NULL, NULL), (6967, '', '齐天集镇社区', '19795394ca304bff87a35c74b75a2d11', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683121001', 5, '齐天集镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683121001', 1, '2021-07-19 11:37:17', NULL, NULL), (6968, '', '兴民村', '27b9f7cb77964434a7f543cc9681dbd0', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683121202', 5, '兴民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683121202', 1, '2021-07-19 11:37:17', NULL, NULL), (6969, '', '圣新村', 'd5618a06c1ea4695a9bd023cd8c0f33c', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683121203', 5, '圣新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683121203', 1, '2021-07-19 11:37:17', NULL, NULL), (6970, '', '蒲柳村', '8dc61ef7de7d42a285338d087a017719', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683121204', 5, '蒲柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683121204', 1, '2021-07-19 11:37:18', NULL, NULL), (6971, '', '双坪村', 'b6b820a836434fce9557e678706dc4b4', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683121205', 5, '双坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683121205', 1, '2021-07-19 11:37:18', NULL, NULL), (6972, '', '天河社区', 'ed8be5faeccf43f8813111bb6af9a10e', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683101262', 5, '天河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683101262', 1, '2021-07-19 11:37:18', NULL, NULL), (6973, '', '广和村', 'a72304ca89024731be62a06965c2c22d', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683101286', 5, '广和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683101286', 1, '2021-07-19 11:37:18', NULL, NULL), (6974, '', '赤竹村', 'a84cf9e6cc894f358b7e60dbfc94b5ca', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683101338', 5, '赤竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683101338', 1, '2021-07-19 11:37:18', NULL, NULL), (6975, '', '月亮社区', '8afcc72f3b014d52af7b2d5b78abfb9e', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683101344', 5, '月亮社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683101344', 1, '2021-07-19 11:37:18', NULL, NULL), (6976, '', '联合社区', 'cd68cb62375546a1bbc1775915587c60', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683101389', 5, '联合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683101389', 1, '2021-07-19 11:37:18', NULL, NULL), (6977, '', '学府社区', '90512ea9a06f4926bcae34d17515d136', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683101395', 5, '学府社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683101395', 1, '2021-07-19 11:37:18', NULL, NULL), (6978, '', '天齐村', 'f901dcac0e2e4c41bc2f280776c38d8b', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683101466', 5, '天齐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683101466', 1, '2021-07-19 11:37:18', NULL, NULL), (6979, '', '玉马社区', 'dbcd1d2abd5847a6b7abebcb544d8459', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683101486', 5, '玉马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683101486', 1, '2021-07-19 11:37:18', NULL, NULL), (6980, '', '茂泉社区', '9c550afdb384476285898cb9f33ca72b', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683101545', 5, '茂泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683101545', 1, '2021-07-19 11:37:18', NULL, NULL), (6981, '', '谷王社区', '92a8f4f770774ab0a6ca24f248dace0c', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683101552', 5, '谷王社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683101552', 1, '2021-07-19 11:37:18', NULL, NULL), (6982, '', '紫岩路社区', '7cf0d6769018414fa5613848c1b85098', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683101554', 5, '紫岩路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683101554', 1, '2021-07-19 11:37:18', NULL, NULL), (6983, '', '蔚泉社区', '034942f92eb14a6bb617f381097e5ab4', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683101609', 5, '蔚泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683101609', 1, '2021-07-19 11:37:18', NULL, NULL), (6984, '', '回澜社区', '4c813386273b4220bd5aa5f520ffee7d', 'c547b9da105943b79ddf0499f70d2ff4', 'False', 'True', 'false', 'false', '510683101674', 5, '回澜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683101674', 1, '2021-07-19 11:37:18', NULL, NULL), (6985, '', '剑南街道', '86249efd717a49cdbc4b5524ed520399', '58932e0abb7b4f55b46f5c8f99116d2f', 'True', 'True', 'false', 'false', '510683100000', 4, '剑南街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510683100000', 1, '2021-07-19 11:37:19', NULL, NULL), (6986, '', '茶盘街社区', '46501d6865534ac1ac994bd40c15a4f0', '86249efd717a49cdbc4b5524ed520399', 'False', 'True', 'false', 'false', '510683102202', 5, '茶盘街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683102202', 1, '2021-07-19 11:37:19', NULL, NULL), (6987, '', '板桥集镇社区', 'c75ad1355d1b404fa4e80b6286090b1d', '86249efd717a49cdbc4b5524ed520399', 'False', 'True', 'false', 'false', '510683113001', 5, '金安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683113001', 1, '2021-07-19 11:37:19', NULL, NULL), (6988, '', '柏杨村', '00bb25eb66094758b0a7be717b80e8c6', '86249efd717a49cdbc4b5524ed520399', 'False', 'True', 'false', 'false', '510683113201', 5, '柏杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683113201', 1, '2021-07-19 11:37:19', NULL, NULL), (6989, '', '五星村', '1309c39bd6cf47e6bd76ab0867b0f63d', '86249efd717a49cdbc4b5524ed520399', 'False', 'True', 'false', 'false', '510683113202', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683113202', 1, '2021-07-19 11:37:19', NULL, NULL), (6990, '', '酒城社区', 'de480624dadf416e89e0da5f23634637', '86249efd717a49cdbc4b5524ed520399', 'False', 'True', 'false', 'false', '510683113204', 5, '酒城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683113204', 1, '2021-07-19 11:37:19', NULL, NULL), (6991, '', '大东街社区', '3de5cc36375f422e85e7e7721507459c', '86249efd717a49cdbc4b5524ed520399', 'False', 'True', 'false', 'false', '510683100001', 5, '大东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683100001', 1, '2021-07-19 11:37:19', NULL, NULL), (6992, '', '仿古街社区', 'a2b36f97db9a49d484ff19783e7d90c9', '86249efd717a49cdbc4b5524ed520399', 'False', 'True', 'false', 'false', '510683100003', 5, '仿古街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683100003', 1, '2021-07-19 11:37:19', NULL, NULL), (6993, '', '三星街社区', '4b5ee11e6edb4c43b0ec1deda8212346', '86249efd717a49cdbc4b5524ed520399', 'False', 'True', 'false', 'false', '510683100004', 5, '三星街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683100004', 1, '2021-07-19 11:37:19', NULL, NULL), (6994, '', '迎祥街社区', 'be5b981e034844acb4159a07c0bd5a13', '86249efd717a49cdbc4b5524ed520399', 'False', 'True', 'false', 'false', '510683100297', 5, '迎祥街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683100297', 1, '2021-07-19 11:37:19', NULL, NULL), (6995, '', '五路口社区', '920629afb4894c1895db5d069f1d0d92', '86249efd717a49cdbc4b5524ed520399', 'False', 'True', 'false', 'false', '510683100302', 5, '五路口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683100302', 1, '2021-07-19 11:37:19', NULL, NULL), (6996, '', '滨河西路社区', '8ed1321a71854cd2b589603a2c589cce', '86249efd717a49cdbc4b5524ed520399', 'False', 'True', 'false', 'false', '510683100458', 5, '滨河西路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683100458', 1, '2021-07-19 11:37:19', NULL, NULL), (6997, '', '大南路社区', 'ccad6f5e582947f8a17e47ee1ebc03a3', '86249efd717a49cdbc4b5524ed520399', 'False', 'True', 'false', 'false', '510683100818', 5, '大南路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683100818', 1, '2021-07-19 11:37:19', NULL, NULL), (6998, '', '汉旺镇', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', '58932e0abb7b4f55b46f5c8f99116d2f', 'True', 'True', 'false', 'false', '510683106000', 4, '汉旺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510683106000', 1, '2021-07-19 11:37:19', NULL, NULL), (6999, '', '兴隆集镇社区', '5e1dfdc75a97498fbc050d900a329923', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683103001', 5, '兴隆集镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683103001', 1, '2021-07-19 11:37:19', NULL, NULL), (7000, '', '灵桥村', '8c6928a27efc416fa3d0d609e5efc08d', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683103201', 5, '灵桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683103201', 1, '2021-07-19 11:37:19', NULL, NULL), (7001, '', '安仁村', '46103ce7936e4848913c08b495a7a472', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683103202', 5, '安仁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683103202', 1, '2021-07-19 11:37:19', NULL, NULL), (7002, '', '广灵村', '4ff6afca65134fbf9f7f6331790acff4', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683103203', 5, '广灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683103203', 1, '2021-07-19 11:37:19', NULL, NULL), (7003, '', '建设村', '563c7c933b65438db9f77ccbdde93fbe', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683103205', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683103205', 1, '2021-07-19 11:37:20', NULL, NULL), (7004, '', '宜苑社区', '64c8da2017ed4dd7b1f6a93c2b2a8c4e', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683106488', 5, '宜苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683106488', 1, '2021-07-19 11:37:20', NULL, NULL), (7005, '', '拱星集镇社区', '15c53afbefd54a5da6a4aeb066367039', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683108001', 5, '拱星集镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683108001', 1, '2021-07-19 11:37:20', NULL, NULL), (7006, '', '白溪河村', 'abe569b4bac44283b940243f7a4d9e15', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683108201', 5, '白溪河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683108201', 1, '2021-07-19 11:37:20', NULL, NULL), (7007, '', '祥柳村', 'b07456ca1ad643479d404e71ee502ccd', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683108202', 5, '祥柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683108202', 1, '2021-07-19 11:37:20', NULL, NULL), (7008, '', '高柏村', '19c6fa8d485d45d19f64f2087fae90c9', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683108203', 5, '高柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683108203', 1, '2021-07-19 11:37:20', NULL, NULL), (7009, '', '红旗村', 'db8a5184f74547b4b4f9681699a76ef8', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683108204', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683108204', 1, '2021-07-19 11:37:20', NULL, NULL), (7010, '', '沿新村', 'af96ee45aefd4e4384fae66ddc8babd5', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683108206', 5, '沿新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683108206', 1, '2021-07-19 11:37:20', NULL, NULL), (7011, '', '大天池村', '1fbfc923e865482180407193af99d13c', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683201204', 5, '大天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683201204', 1, '2021-07-19 11:37:20', NULL, NULL), (7012, '', '天池村', 'c89cec3779e2442f8b8659d66f499988', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683201205', 5, '天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683201205', 1, '2021-07-19 11:37:20', NULL, NULL), (7013, '', '香山社区', '53c67deae1484fa98a42531155eafc69', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683106203', 5, '香山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683106203', 1, '2021-07-19 11:37:20', NULL, NULL), (7014, '', '汉新社区', 'fa3f6606a6654764ba14145583d21b2a', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683106204', 5, '汉新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683106204', 1, '2021-07-19 11:37:20', NULL, NULL), (7015, '', '群力社区', '28da930105184d2c82a8454f80de57db', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683106270', 5, '群力社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683106270', 1, '2021-07-19 11:37:20', NULL, NULL), (7016, '', '集贤社区', '77399b0cf4de4581b9f1a7c2ee9e3483', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683106271', 5, '集贤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683106271', 1, '2021-07-19 11:37:21', NULL, NULL), (7017, '', '东普村', '743d65575fc24f07bfb73cdac48c1ac5', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683106461', 5, '东普村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683106461', 1, '2021-07-19 11:37:21', NULL, NULL), (7018, '', '白果村', '55fa6c7256bb4f79b1ccd584adeb1dd8', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683106546', 5, '白果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683106546', 1, '2021-07-19 11:37:21', NULL, NULL), (7019, '', '武都社区', 'd3b27a055cda4c349bd0d95b75a578e6', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683106587', 5, '武都社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683106587', 1, '2021-07-19 11:37:21', NULL, NULL), (7020, '', '方大社区', 'ec557d24d97f4a85813b24bc310ebae9', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683106807', 5, '方大社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683106807', 1, '2021-07-19 11:37:21', NULL, NULL), (7021, '', '牛鼻村', 'a5e5c7fa2f7c4c5580c67cbacf136b35', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683106824', 5, '牛鼻村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683106824', 1, '2021-07-19 11:37:21', NULL, NULL), (7022, '', '新开村', 'a3e05386c412405ba945d4e5c9cc2e2b', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683106832', 5, '新开村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683106832', 1, '2021-07-19 11:37:21', NULL, NULL), (7023, '', '青龙社区', '1ccecf8f608641ee9fbac868d116e6cd', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683106846', 5, '青龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683106846', 1, '2021-07-19 11:37:21', NULL, NULL), (7024, '', '群新村', 'acfa5286b9374f5caa751e03911ef843', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683106898', 5, '群新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683106898', 1, '2021-07-19 11:37:21', NULL, NULL), (7025, '', '大柏林村', '9f1f494afa6f4aa9889a097a335e301a', 'd3c8acc5f79c4ee493c6aec10d1bdbb2', 'False', 'True', 'false', 'false', '510683106900', 5, '大柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683106900', 1, '2021-07-19 11:37:21', NULL, NULL), (7026, '', '孝德镇', '98d256f2486e4ab3a3a693278ff91d8a', '58932e0abb7b4f55b46f5c8f99116d2f', 'True', 'True', 'false', 'false', '510683116000', 4, '孝德镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510683116000', 1, '2021-07-19 11:37:21', NULL, NULL), (7027, '', '清华社区', '23aee4f094574102ac08a430593fbe84', '98d256f2486e4ab3a3a693278ff91d8a', 'False', 'True', 'false', 'false', '510683116141', 5, '清华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683116141', 1, '2021-07-19 11:37:21', NULL, NULL), (7028, '', '金星村', '4872cad12f4c4b21a41639abb5eb8e82', '98d256f2486e4ab3a3a693278ff91d8a', 'False', 'True', 'false', 'false', '510683116296', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683116296', 1, '2021-07-19 11:37:21', NULL, NULL), (7029, '', '高兴村', '7cad714e9bda42c08a809de9ef8193ba', '98d256f2486e4ab3a3a693278ff91d8a', 'False', 'True', 'false', 'false', '510683116359', 5, '高兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683116359', 1, '2021-07-19 11:37:21', NULL, NULL), (7030, '', '光明村', '658c78a51c3b4d3eb0ac87ea9af55453', '98d256f2486e4ab3a3a693278ff91d8a', 'False', 'True', 'false', 'false', '510683116392', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683116392', 1, '2021-07-19 11:37:21', NULL, NULL), (7031, '', '桂兰村', '42d3fa1a678d4623bf41b95e9d812c74', '98d256f2486e4ab3a3a693278ff91d8a', 'False', 'True', 'false', 'false', '510683116416', 5, '桂兰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683116416', 1, '2021-07-19 11:37:21', NULL, NULL), (7032, '', '文河社区', 'acaa72789d284556ae81d762c0b2fc8e', '98d256f2486e4ab3a3a693278ff91d8a', 'False', 'True', 'false', 'false', '510683116436', 5, '文河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683116436', 1, '2021-07-19 11:37:21', NULL, NULL), (7033, '', '年画村', '716879a7e64e4a9c8ad52d974df6eb87', '98d256f2486e4ab3a3a693278ff91d8a', 'False', 'True', 'false', 'false', '510683116440', 5, '年画村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683116440', 1, '2021-07-19 11:37:22', NULL, NULL), (7034, '', '洪拱村', '1340bc98e4bb431d8a846edd9df802b7', '98d256f2486e4ab3a3a693278ff91d8a', 'False', 'True', 'false', 'false', '510683116454', 5, '洪拱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683116454', 1, '2021-07-19 11:37:22', NULL, NULL), (7035, '', '兴隆社区', 'b1b89746b93f4018ad2f168a866e7ddd', '98d256f2486e4ab3a3a693278ff91d8a', 'False', 'True', 'false', 'false', '510683116474', 5, '兴隆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683116474', 1, '2021-07-19 11:37:22', NULL, NULL), (7036, '', '清道社区', 'd1a8a973e579410f947b160c97061cf4', '98d256f2486e4ab3a3a693278ff91d8a', 'False', 'True', 'false', 'false', '510683116699', 5, '清道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683116699', 1, '2021-07-19 11:37:22', NULL, NULL), (7037, '', '桐麻村', 'b4fe62b5a042433d8fc28420c5ebb371', '98d256f2486e4ab3a3a693278ff91d8a', 'False', 'True', 'false', 'false', '510683116743', 5, '桐麻村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683116743', 1, '2021-07-19 11:37:22', NULL, NULL), (7038, '', '齐福社区', 'a2f84e5587234e369843e7822012c2e8', '98d256f2486e4ab3a3a693278ff91d8a', 'False', 'True', 'false', 'false', '510683116766', 5, '齐福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683116766', 1, '2021-07-19 11:37:22', NULL, NULL), (7039, '', '茶店子村', '33106ed33fe14cd6a0ed5b2bd9959465', '98d256f2486e4ab3a3a693278ff91d8a', 'False', 'True', 'false', 'false', '510683116781', 5, '茶店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683116781', 1, '2021-07-19 11:37:22', NULL, NULL), (7040, '', '毫照村', '71a8abd6f0034538821524fe48709ce0', '98d256f2486e4ab3a3a693278ff91d8a', 'False', 'True', 'false', 'false', '510683116940', 5, '毫照村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683116940', 1, '2021-07-19 11:37:22', NULL, NULL), (7041, '', '年俗村', '8ed0bf9c752247afb9e676dcd7ab98f1', '98d256f2486e4ab3a3a693278ff91d8a', 'False', 'True', 'false', 'false', '510683116270', 5, '年俗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683116270', 1, '2021-07-19 11:37:22', NULL, NULL), (7042, '', '新市镇', 'c07ee040e825494d94c1c2f9cf599c5e', '58932e0abb7b4f55b46f5c8f99116d2f', 'True', 'True', 'false', 'false', '510683115000', 4, '新市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510683115000', 1, '2021-07-19 11:37:22', NULL, NULL), (7043, '', '鲁安村', 'b1891d861bd949dba6c975d953ed7241', 'c07ee040e825494d94c1c2f9cf599c5e', 'False', 'True', 'false', 'false', '510683115107', 5, '鲁安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683115107', 1, '2021-07-19 11:37:22', NULL, NULL), (7044, '', '长宁村', '43910bf490754e24bf4762d71821b647', 'c07ee040e825494d94c1c2f9cf599c5e', 'False', 'True', 'false', 'false', '510683115167', 5, '长宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683115167', 1, '2021-07-19 11:37:22', NULL, NULL), (7045, '', '火石村', '24f79ba4540e4e7a94e4a44ef2e8cd8b', 'c07ee040e825494d94c1c2f9cf599c5e', 'False', 'True', 'false', 'false', '510683115175', 5, '火石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683115175', 1, '2021-07-19 11:37:22', NULL, NULL), (7046, '', '下东林村', 'ace1dff01e4342958c926e5e25c6af41', 'c07ee040e825494d94c1c2f9cf599c5e', 'False', 'True', 'false', 'false', '510683115230', 5, '下东林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683115230', 1, '2021-07-19 11:37:22', NULL, NULL), (7047, '', '范存村', '1d7443a16ada4318a573d8ada59f7c23', 'c07ee040e825494d94c1c2f9cf599c5e', 'False', 'True', 'false', 'false', '510683115342', 5, '范存村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683115342', 1, '2021-07-19 11:37:22', NULL, NULL), (7048, '', '花园村', '4499d47fa58a45e2a44c875b72046387', 'c07ee040e825494d94c1c2f9cf599c5e', 'False', 'True', 'false', 'false', '510683115414', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683115414', 1, '2021-07-19 11:37:22', NULL, NULL), (7049, '', '新胜社区', '9a83d2378f9c47028eeca26d75b142c4', 'c07ee040e825494d94c1c2f9cf599c5e', 'False', 'True', 'false', 'false', '510683115420', 5, '新胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683115420', 1, '2021-07-19 11:37:22', NULL, NULL), (7050, '', '两河口村', 'ee309a8494044dc9984f82f599808625', 'c07ee040e825494d94c1c2f9cf599c5e', 'False', 'True', 'false', 'false', '510683115442', 5, '两河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683115442', 1, '2021-07-19 11:37:22', NULL, NULL), (7051, '', '白庙村', '18ba660076f843b194fba22d1eec3549', 'c07ee040e825494d94c1c2f9cf599c5e', 'False', 'True', 'false', 'false', '510683115528', 5, '白庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683115528', 1, '2021-07-19 11:37:22', NULL, NULL), (7052, '', '文昌社区', 'e14b360db71c4e3586d17b786aae0ba0', 'c07ee040e825494d94c1c2f9cf599c5e', 'False', 'True', 'false', 'false', '510683115557', 5, '文昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683115557', 1, '2021-07-19 11:37:22', NULL, NULL), (7053, '', '蒲泉村', '3e3a1f1ff3e647cd908124591fedebf3', 'c07ee040e825494d94c1c2f9cf599c5e', 'False', 'True', 'false', 'false', '510683115693', 5, '蒲泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683115693', 1, '2021-07-19 11:37:22', NULL, NULL), (7054, '', '红豆村', 'dea245debb3c4d91abbfe9e7e5c940c2', 'c07ee040e825494d94c1c2f9cf599c5e', 'False', 'True', 'false', 'false', '510683115797', 5, '红豆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683115797', 1, '2021-07-19 11:37:23', NULL, NULL), (7055, '', '金兰村', '326c111636f14be68b9fe1a5a99f78cd', 'c07ee040e825494d94c1c2f9cf599c5e', 'False', 'True', 'false', 'false', '510683115802', 5, '金兰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683115802', 1, '2021-07-19 11:37:23', NULL, NULL), (7056, '', '打鱼院村', 'acf4e951bf00492dacfd55efe2f1ad16', 'c07ee040e825494d94c1c2f9cf599c5e', 'False', 'True', 'false', 'false', '510683115819', 5, '打鱼院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683115819', 1, '2021-07-19 11:37:23', NULL, NULL), (7057, '', '石虎村', '44385c7140e04f89bd0962b2739d916b', 'c07ee040e825494d94c1c2f9cf599c5e', 'False', 'True', 'false', 'false', '510683115923', 5, '石虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683115923', 1, '2021-07-19 11:37:23', NULL, NULL), (7058, '', '富新镇', '25c4979edeb246c18f988e9c76fe80b5', '58932e0abb7b4f55b46f5c8f99116d2f', 'True', 'True', 'false', 'false', '510683119000', 4, '富新镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510683119000', 1, '2021-07-19 11:37:23', NULL, NULL), (7059, '', '绵远集镇社区', '433502c30e8345059b184fdfb03b5f02', '25c4979edeb246c18f988e9c76fe80b5', 'False', 'True', 'false', 'false', '510683123001', 5, '绵远集镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683123001', 1, '2021-07-19 11:37:23', NULL, NULL), (7060, '', '广西村', '12a71394cb974b49a96de01300414dd0', '25c4979edeb246c18f988e9c76fe80b5', 'False', 'True', 'false', 'false', '510683123221', 5, '广西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683123221', 1, '2021-07-19 11:37:23', NULL, NULL), (7061, '', '吉兆村', '68f4935ae5b44ee48d74a9d9dd0313c6', '25c4979edeb246c18f988e9c76fe80b5', 'False', 'True', 'false', 'false', '510683123223', 5, '吉兆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683123223', 1, '2021-07-19 11:37:23', NULL, NULL), (7062, '', '友花村', 'dbb7becc057e4c7cbb92b64b868addd6', '25c4979edeb246c18f988e9c76fe80b5', 'False', 'True', 'false', 'false', '510683119164', 5, '友花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683119164', 1, '2021-07-19 11:37:23', NULL, NULL), (7063, '', '文永村', '8d50c62e0cf34fe5aa91c2e3307dd21c', '25c4979edeb246c18f988e9c76fe80b5', 'False', 'True', 'false', 'false', '510683119390', 5, '文永村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683119390', 1, '2021-07-19 11:37:23', NULL, NULL), (7064, '', '杜茅村', 'd2eb00d062af4c10bbe124202d08fdbe', '25c4979edeb246c18f988e9c76fe80b5', 'False', 'True', 'false', 'false', '510683119421', 5, '杜茅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683119421', 1, '2021-07-19 11:37:23', NULL, NULL), (7065, '', '五福社区', '564a473b6ef34454ad8f2f5a3db03905', '25c4979edeb246c18f988e9c76fe80b5', 'False', 'True', 'false', 'false', '510683119536', 5, '五福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683119536', 1, '2021-07-19 11:37:23', NULL, NULL), (7066, '', '五里墩村', '4cc1878ee91d47b4918173cdc849a751', '25c4979edeb246c18f988e9c76fe80b5', 'False', 'True', 'false', 'false', '510683119579', 5, '五里墩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683119579', 1, '2021-07-19 11:37:23', NULL, NULL), (7067, '', '上庵村', '76bdc361a66d4e24873f40a830b8e8db', '25c4979edeb246c18f988e9c76fe80b5', 'False', 'True', 'false', 'false', '510683119595', 5, '上庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683119595', 1, '2021-07-19 11:37:23', NULL, NULL), (7068, '', '九胜村', '74d5b7c36b154910bf42661e9542f64f', '25c4979edeb246c18f988e9c76fe80b5', 'False', 'True', 'false', 'false', '510683119799', 5, '九胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683119799', 1, '2021-07-19 11:37:23', NULL, NULL), (7069, '', '清狮村', 'b8636d23aaa444a5a1f6da0f7f1e8ea1', '25c4979edeb246c18f988e9c76fe80b5', 'False', 'True', 'false', 'false', '510683119828', 5, '清狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683119828', 1, '2021-07-19 11:37:23', NULL, NULL), (7070, '', '新民路社区', 'b1941232c54a463d95a8b788626cbf43', '25c4979edeb246c18f988e9c76fe80b5', 'False', 'True', 'false', 'false', '510683119973', 5, '新民路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683119973', 1, '2021-07-19 11:37:23', NULL, NULL), (7071, '', '清平镇', 'd9d81e90d835487fa5445af914b6be7f', '58932e0abb7b4f55b46f5c8f99116d2f', 'True', 'True', 'false', 'false', '510683124000', 4, '清平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510683124000', 1, '2021-07-19 11:37:23', NULL, NULL), (7072, '', '圆包村', '130495e75ca44690ac51a6f9aee77335', 'd9d81e90d835487fa5445af914b6be7f', 'False', 'True', 'false', 'false', '510683124197', 5, '圆包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683124197', 1, '2021-07-19 11:37:24', NULL, NULL), (7073, '', '棋盘村', '7d70fdc1934c4323ac8521dd0d2e0181', 'd9d81e90d835487fa5445af914b6be7f', 'False', 'True', 'false', 'false', '510683124215', 5, '棋盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683124215', 1, '2021-07-19 11:37:24', NULL, NULL), (7074, '', '银杏社区', '37870518fc83419cb393b4c0a2833083', 'd9d81e90d835487fa5445af914b6be7f', 'False', 'True', 'false', 'false', '510683124334', 5, '银杏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683124334', 1, '2021-07-19 11:37:24', NULL, NULL), (7075, '', '湔沟村', '11bee36c7db648c7893b330551c9e616', 'd9d81e90d835487fa5445af914b6be7f', 'False', 'True', 'false', 'false', '510683124816', 5, '湔沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683124816', 1, '2021-07-19 11:37:24', NULL, NULL), (7076, '', '院通村', '8e034ffd9c584bfc80523cb7350b5a43', 'd9d81e90d835487fa5445af914b6be7f', 'False', 'True', 'false', 'false', '510683124878', 5, '院通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683124878', 1, '2021-07-19 11:37:24', NULL, NULL), (7077, '', '盐井村', '8a2b1c1c74fa44899c7d3e099c363d62', 'd9d81e90d835487fa5445af914b6be7f', 'False', 'True', 'false', 'false', '510683124941', 5, '盐井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683124941', 1, '2021-07-19 11:37:24', NULL, NULL), (7078, '', '九龙镇', '99837bb50c60437783171f3cf14f9c53', '58932e0abb7b4f55b46f5c8f99116d2f', 'True', 'True', 'false', 'false', '510683105000', 4, '九龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510683105000', 1, '2021-07-19 11:37:24', NULL, NULL), (7079, '', '秦家坎村', '88f9c98c13f0455d895a3eb4b614144d', '99837bb50c60437783171f3cf14f9c53', 'False', 'True', 'false', 'false', '510683105107', 5, '秦家坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683105107', 1, '2021-07-19 11:37:24', NULL, NULL), (7080, '', '新龙集镇社区', '55a1d16a6a264cd4b7396beaa7db03db', '99837bb50c60437783171f3cf14f9c53', 'False', 'True', 'false', 'false', '510683105101', 5, '新龙集镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683105101', 1, '2021-07-19 11:37:24', NULL, NULL), (7081, '', '双同村', '11e6f64f498b474bb58b6769a7e46228', '99837bb50c60437783171f3cf14f9c53', 'False', 'True', 'false', 'false', '510683105104', 5, '双同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683105104', 1, '2021-07-19 11:37:24', NULL, NULL), (7082, '', '清泉村', 'b7ee7a785bbc4d30b05c478bf58c02b7', '99837bb50c60437783171f3cf14f9c53', 'False', 'True', 'false', 'false', '510683105106', 5, '清泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683105106', 1, '2021-07-19 11:37:24', NULL, NULL), (7083, '', '双泉村', 'dc1a96458fd94394b223aeeaca485def', '99837bb50c60437783171f3cf14f9c53', 'False', 'True', 'false', 'false', '510683105386', 5, '双泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683105386', 1, '2021-07-19 11:37:24', NULL, NULL), (7084, '', '马跪村', 'f4e9b12db2f541ffbac2f2c4a6380f5a', '99837bb50c60437783171f3cf14f9c53', 'False', 'True', 'false', 'false', '510683105443', 5, '马跪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683105443', 1, '2021-07-19 11:37:24', NULL, NULL), (7085, '', '棚花村', '0d6d66f023e1484f91f968b66f1aef36', '99837bb50c60437783171f3cf14f9c53', 'False', 'True', 'false', 'false', '510683105565', 5, '棚花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683105565', 1, '2021-07-19 11:37:24', NULL, NULL), (7086, '', '遵道社区', 'bcebb5e4e9e0453fbbed4592ef403827', '99837bb50c60437783171f3cf14f9c53', 'False', 'True', 'false', 'false', '510683105576', 5, '遵道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683105576', 1, '2021-07-19 11:37:24', NULL, NULL), (7087, '', '双土村', '78693179a048496eb49257fca35dbb7f', '99837bb50c60437783171f3cf14f9c53', 'False', 'True', 'false', 'false', '510683105727', 5, '双土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683105727', 1, '2021-07-19 11:37:25', NULL, NULL), (7088, '', '高安村', 'ef9c65cd1c8e411eb608e21c93108040', '99837bb50c60437783171f3cf14f9c53', 'False', 'True', 'false', 'false', '510683105831', 5, '高安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683105831', 1, '2021-07-19 11:37:25', NULL, NULL), (7089, '', '文凤村', '2c4f81e3ae834bfbb12a1cb0832f3d90', '99837bb50c60437783171f3cf14f9c53', 'False', 'True', 'false', 'false', '510683105992', 5, '文凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683105992', 1, '2021-07-19 11:37:25', NULL, NULL), (7090, '', '广济镇', '4114b39627b34c21934e235ad0c1ab21', '58932e0abb7b4f55b46f5c8f99116d2f', 'True', 'True', 'false', 'false', '510683110000', 4, '广济镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510683110000', 1, '2021-07-19 11:37:25', NULL, NULL), (7091, '', '金花集镇社区', 'b746e08e5541452b8c41eed32c3a3e7a', '4114b39627b34c21934e235ad0c1ab21', 'False', 'True', 'false', 'false', '510683111001', 5, '金花集镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683111001', 1, '2021-07-19 11:37:25', NULL, NULL), (7092, '', '三江村', '28e93bdfbf4e4f949aa7cc6342058142', '4114b39627b34c21934e235ad0c1ab21', 'False', 'True', 'false', 'false', '510683111202', 5, '三江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683111202', 1, '2021-07-19 11:37:25', NULL, NULL), (7093, '', '玄郎村', '992962fb482b4c8c81c2c79b30ca8896', '4114b39627b34c21934e235ad0c1ab21', 'False', 'True', 'false', 'false', '510683111203', 5, '玄郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683111203', 1, '2021-07-19 11:37:25', NULL, NULL), (7094, '', '凤凰村', 'a495e201a955436dbe90509738abcda3', '4114b39627b34c21934e235ad0c1ab21', 'False', 'True', 'false', 'false', '510683111204', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683111204', 1, '2021-07-19 11:37:25', NULL, NULL), (7095, '', '吉祥村', 'b0c63955d80b416f97909e238fd872a2', '4114b39627b34c21934e235ad0c1ab21', 'False', 'True', 'false', 'false', '510683111205', 5, '吉祥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683111205', 1, '2021-07-19 11:37:25', NULL, NULL), (7096, '', '云盖村', 'adb8082ac29347e59b1f666e2d84efcc', '4114b39627b34c21934e235ad0c1ab21', 'False', 'True', 'false', 'false', '510683111206', 5, '云盖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683111206', 1, '2021-07-19 11:37:25', NULL, NULL), (7097, '', '卧云村', '53d746ce3ab0479684d6374f902c0e59', '4114b39627b34c21934e235ad0c1ab21', 'False', 'True', 'false', 'false', '510683110348', 5, '卧云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683110348', 1, '2021-07-19 11:37:25', NULL, NULL), (7098, '', '石河村', '181cc8502665444ebf2be00712ce7c09', '4114b39627b34c21934e235ad0c1ab21', 'False', 'True', 'false', 'false', '510683110354', 5, '石河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683110354', 1, '2021-07-19 11:37:25', NULL, NULL), (7099, '', '火烧埝社区', '64acae06d62c4977aeb28e9b5041db36', '4114b39627b34c21934e235ad0c1ab21', 'False', 'True', 'false', 'false', '510683110426', 5, '火烧埝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683110426', 1, '2021-07-19 11:37:25', NULL, NULL), (7100, '', '中新村', '91f2429babbf4462b941c728869501ed', '4114b39627b34c21934e235ad0c1ab21', 'False', 'True', 'false', 'false', '510683110693', 5, '中新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683110693', 1, '2021-07-19 11:37:25', NULL, NULL), (7101, '', '天平村', '233f79a8329e4f29987a1a772951cd32', '4114b39627b34c21934e235ad0c1ab21', 'False', 'True', 'false', 'false', '510683110925', 5, '天平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683110925', 1, '2021-07-19 11:37:26', NULL, NULL), (7102, '', '祈祥村', '989151df61134c7d8f05f554efc9fc2e', '4114b39627b34c21934e235ad0c1ab21', 'False', 'True', 'false', 'false', '510683110978', 5, '祈祥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683110978', 1, '2021-07-19 11:37:26', NULL, NULL), (7103, '', '麓棠镇', '46495de255bd4a13a041589efe44bfbb', '58932e0abb7b4f55b46f5c8f99116d2f', 'True', 'True', 'false', 'false', '510683109000', 4, '麓棠镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510683109000', 1, '2021-07-19 11:37:26', NULL, NULL), (7104, '', '民乐村', '225c95036f8a45a3901fe2cc5899a306', '46495de255bd4a13a041589efe44bfbb', 'False', 'True', 'false', 'false', '510683109121', 5, '民乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683109121', 1, '2021-07-19 11:37:26', NULL, NULL), (7105, '', '新乐村', '8f8885b7aa844625b4d1ce1b69e11cb4', '46495de255bd4a13a041589efe44bfbb', 'False', 'True', 'false', 'false', '510683109160', 5, '新乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683109160', 1, '2021-07-19 11:37:26', NULL, NULL), (7106, '', '林堰村', '51b7fc5f67bd4eb0acc719cfa80aa978', '46495de255bd4a13a041589efe44bfbb', 'False', 'True', 'false', 'false', '510683109208', 5, '林堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683109208', 1, '2021-07-19 11:37:26', NULL, NULL), (7107, '', '石团村', '8739a8041c06471c95edac8b1db90760', '46495de255bd4a13a041589efe44bfbb', 'False', 'True', 'false', 'false', '510683109220', 5, '石团村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683109220', 1, '2021-07-19 11:37:26', NULL, NULL), (7108, '', '玫瑰新村', '8b4888e27e924d45a0c7d798442ce596', '46495de255bd4a13a041589efe44bfbb', 'False', 'True', 'false', 'false', '510683109426', 5, '玫瑰新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683109426', 1, '2021-07-19 11:37:26', NULL, NULL), (7109, '', '长白村', '210c19b4c4d74bde8dbc1e77c7855c49', '46495de255bd4a13a041589efe44bfbb', 'False', 'True', 'false', 'false', '510683109794', 5, '长白村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683109794', 1, '2021-07-19 11:37:26', NULL, NULL), (7110, '', '古楼街社区', '1a160ac90d3f46e198f725e9e3d58bf5', '46495de255bd4a13a041589efe44bfbb', 'False', 'True', 'false', 'false', '510683109821', 5, '古楼街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683109821', 1, '2021-07-19 11:37:26', NULL, NULL), (7111, '', '麓棠村', '40e792619dce4f2c8be4b410da1d645b', '46495de255bd4a13a041589efe44bfbb', 'False', 'True', 'false', 'false', '510683109877', 5, '麓棠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683109877', 1, '2021-07-19 11:37:26', NULL, NULL), (7112, '', '什地镇', 'b56c8a2232b24dc788cf70501776032d', '58932e0abb7b4f55b46f5c8f99116d2f', 'True', 'True', 'false', 'false', '510683122000', 4, '什地镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510683122000', 1, '2021-07-19 11:37:26', NULL, NULL), (7113, '', '二圣宫社区', '75ad5dcc8e2e46eeb53a154e0cae1bd0', 'b56c8a2232b24dc788cf70501776032d', 'False', 'True', 'false', 'false', '510683122161', 5, '圣宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683122161', 1, '2021-07-19 11:37:26', NULL, NULL), (7114, '', '双瓦村', '43d9180975c54ee795f513481b5a50fb', 'b56c8a2232b24dc788cf70501776032d', 'False', 'True', 'false', 'false', '510683122587', 5, '双瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683122587', 1, '2021-07-19 11:37:26', NULL, NULL), (7115, '', '绵河村', '0f941d69dc594f40b9a97b97a93c5b75', 'b56c8a2232b24dc788cf70501776032d', 'False', 'True', 'false', 'false', '510683122798', 5, '绵河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683122798', 1, '2021-07-19 11:37:26', NULL, NULL), (7116, '', '五方村', 'aed7c3c4d1224ae7965b9d13019f1e7a', 'b56c8a2232b24dc788cf70501776032d', 'False', 'True', 'false', 'false', '510683122802', 5, '五方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683122802', 1, '2021-07-19 11:37:26', NULL, NULL), (7117, '', '同义村', 'e906fd5bafe94b0aac66cfa57da54da5', 'b56c8a2232b24dc788cf70501776032d', 'False', 'True', 'false', 'false', '510683122986', 5, '同义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683122986', 1, '2021-07-19 11:37:26', NULL, NULL), (7118, '', '红社村', '4b7982b6ef9d49839bc131279a118200', 'b56c8a2232b24dc788cf70501776032d', 'False', 'True', 'false', 'false', '510683122993', 5, '红社村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683122993', 1, '2021-07-19 11:37:27', NULL, NULL), (7119, '', '玉泉镇', 'f2653fb14678461fb41ebec52140b4b4', '58932e0abb7b4f55b46f5c8f99116d2f', 'True', 'True', 'false', 'false', '510683112000', 4, '玉泉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510683112000', 1, '2021-07-19 11:37:27', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (7120, '', '桂花村', 'fbbeef239ca04a8a959a7b8a0d5c5c64', 'f2653fb14678461fb41ebec52140b4b4', 'False', 'True', 'false', 'false', '510683112107', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683112107', 1, '2021-07-19 11:37:27', NULL, NULL), (7121, '', '涌泉村', '670de0d68fae4cb4a0870df6b187f443', 'f2653fb14678461fb41ebec52140b4b4', 'False', 'True', 'false', 'false', '510683112280', 5, '涌泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683112280', 1, '2021-07-19 11:37:27', NULL, NULL), (7122, '', '玉江村', '97f5ffd7f6754a80b85ecd756f479466', 'f2653fb14678461fb41ebec52140b4b4', 'False', 'True', 'false', 'false', '510683112305', 5, '玉江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683112305', 1, '2021-07-19 11:37:27', NULL, NULL), (7123, '', '永宁村', 'd8586f46e5954540be0cb4bf5c5a2215', 'f2653fb14678461fb41ebec52140b4b4', 'False', 'True', 'false', 'false', '510683112396', 5, '永宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683112396', 1, '2021-07-19 11:37:27', NULL, NULL), (7124, '', '龙兴村', '96d8d99744474b10946fd8e6a3694e08', 'f2653fb14678461fb41ebec52140b4b4', 'False', 'True', 'false', 'false', '510683112431', 5, '龙兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683112431', 1, '2021-07-19 11:37:27', NULL, NULL), (7125, '', '圣母泉社区', 'bb7dbdfb6d89497ea03c0278e39dbe49', 'f2653fb14678461fb41ebec52140b4b4', 'False', 'True', 'false', 'false', '510683112486', 5, '圣母泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510683112486', 1, '2021-07-19 11:37:27', NULL, NULL), (7126, '', '中江县', '74fcae3b009f4550a788a74fcef0848c', '64a68decebae47d49ac30f795b48df24', 'True', 'True', 'false', 'false', '510623000000', 3, '中江县', 'dyszjx.sczwfw.gov.cn', 1, '2021-07-19 11:37:27', NULL, NULL), (7127, '', '回龙镇', 'ecb9554f9fef482c8ff64a49abd4ec88', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623102000', 4, '回龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623102000', 1, '2021-07-19 11:37:27', NULL, NULL), (7128, '', '中皇寺村', '021f8869b30446b089529b273628a1a5', 'ecb9554f9fef482c8ff64a49abd4ec88', 'False', 'True', 'false', 'false', '510623102100', 5, '中皇寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623102100', 1, '2021-07-19 11:37:27', NULL, NULL), (7129, '', '万皇村', 'f1e4ffc9288c481ba2c8d17fd5477084', 'ecb9554f9fef482c8ff64a49abd4ec88', 'False', 'True', 'false', 'false', '510623102101', 5, '万皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623102101', 1, '2021-07-19 11:37:27', NULL, NULL), (7130, '', '竹堰新村', '8f4f5133ab4d40d0b7508b38d445d1ea', 'ecb9554f9fef482c8ff64a49abd4ec88', 'False', 'True', 'false', 'false', '510623102102', 5, '竹堰新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623102102', 1, '2021-07-19 11:37:27', NULL, NULL), (7131, '', '旺寨村', 'a04ca4e6b1044586a17bc559bbee8829', 'ecb9554f9fef482c8ff64a49abd4ec88', 'False', 'True', 'false', 'false', '510623102103', 5, '旺寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623102103', 1, '2021-07-19 11:37:27', NULL, NULL), (7132, '', '沿河村', '6378a3903d324de580afe165d798fd57', 'ecb9554f9fef482c8ff64a49abd4ec88', 'False', 'True', 'false', 'false', '510623102104', 5, '沿河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623102104', 1, '2021-07-19 11:37:27', NULL, NULL), (7133, '', '石庙村', '6a8c9b708e7a44bf83b9cdb648326fe7', 'ecb9554f9fef482c8ff64a49abd4ec88', 'False', 'True', 'false', 'false', '510623102105', 5, '石庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623102105', 1, '2021-07-19 11:37:27', NULL, NULL), (7134, '', '红庙村', '530eb5760db6463a8f0d547b9cfb35b1', 'ecb9554f9fef482c8ff64a49abd4ec88', 'False', 'True', 'false', 'false', '510623102106', 5, '红庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623102106', 1, '2021-07-19 11:37:27', NULL, NULL), (7135, '', '临江新村', '6dccc34cdd8f483aba305a85667155ca', 'ecb9554f9fef482c8ff64a49abd4ec88', 'False', 'True', 'false', 'false', '510623102107', 5, '临江新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623102107', 1, '2021-07-19 11:37:28', NULL, NULL), (7136, '', '新站村', '5318b8642c644c459a0346c59a8e4f5f', 'ecb9554f9fef482c8ff64a49abd4ec88', 'False', 'True', 'false', 'false', '510623102108', 5, '新站村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623102108', 1, '2021-07-19 11:37:28', NULL, NULL), (7137, '', '歇马村', '3ffbce2763e24ab390930e9c1182696d', 'ecb9554f9fef482c8ff64a49abd4ec88', 'False', 'True', 'false', 'false', '510623102110', 5, '歇马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623102110', 1, '2021-07-19 11:37:28', NULL, NULL), (7138, '', '五义村', 'd498158e296040a9b89b6198ce58cea5', 'ecb9554f9fef482c8ff64a49abd4ec88', 'False', 'True', 'false', 'false', '510623102111', 5, '五义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623102111', 1, '2021-07-19 11:37:28', NULL, NULL), (7139, '', '回龙村', 'c8444aaac5914a57906c7db332319e19', 'ecb9554f9fef482c8ff64a49abd4ec88', 'False', 'True', 'false', 'false', '510623102112', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623102112', 1, '2021-07-19 11:37:28', NULL, NULL), (7140, '', '江东村', '1da1cad4bfd5457ca0dc231ca4cb1a39', 'ecb9554f9fef482c8ff64a49abd4ec88', 'False', 'True', 'false', 'false', '510623102113', 5, '江东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623102113', 1, '2021-07-19 11:37:28', NULL, NULL), (7141, '', '朝阳街社区', '475eca5938404d6ca42f4ab553dc9e22', 'ecb9554f9fef482c8ff64a49abd4ec88', 'False', 'True', 'false', 'false', '510623102001', 5, '朝阳街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623102001', 1, '2021-07-19 11:37:28', NULL, NULL), (7142, '', '太白街社区', '4b93a93455e94d3aadac028aa4eeafcd', 'ecb9554f9fef482c8ff64a49abd4ec88', 'False', 'True', 'false', 'false', '510623102002', 5, '太白街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623102002', 1, '2021-07-19 11:37:28', NULL, NULL), (7143, '', '花竹村', '017405706c99445f8f435b73e5c6c246', 'ecb9554f9fef482c8ff64a49abd4ec88', 'False', 'True', 'false', 'false', '510623102207', 5, '花竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623102207', 1, '2021-07-19 11:37:28', NULL, NULL), (7144, '', '桔园村', '28a65a7b948f4df49b0fcaecaff3632c', 'ecb9554f9fef482c8ff64a49abd4ec88', 'False', 'True', 'false', 'false', '510623102227', 5, '桔园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623102227', 1, '2021-07-19 11:37:28', NULL, NULL), (7145, '', '长沟新村', '2382b63bde764614b805ac3ab19de726', 'ecb9554f9fef482c8ff64a49abd4ec88', 'False', 'True', 'false', 'false', '510623102231', 5, '长沟新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623102231', 1, '2021-07-19 11:37:28', NULL, NULL), (7146, '', '通济镇', '04dfca852dae43eca98585139f022ed3', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623103000', 4, '通济镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623103000', 1, '2021-07-19 11:37:28', NULL, NULL), (7147, '', '通桥老街社区', 'df51da69367441099421760c5413346e', '04dfca852dae43eca98585139f022ed3', 'False', 'True', 'false', 'false', '510623103001', 5, '通桥老街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623103001', 1, '2021-07-19 11:37:28', NULL, NULL), (7148, '', '通济村', '37e433642baa4549bb38161e3b7be50a', '04dfca852dae43eca98585139f022ed3', 'False', 'True', 'false', 'false', '510623103202', 5, '通济村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623103202', 1, '2021-07-19 11:37:28', NULL, NULL), (7149, '', '圣寿村', '24cd0e4646b5457c8f234d6e36bd09ea', '04dfca852dae43eca98585139f022ed3', 'False', 'True', 'false', 'false', '510623103204', 5, '圣寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623103204', 1, '2021-07-19 11:37:29', NULL, NULL), (7150, '', '土桥村', 'ab66ede3ed36420eaf3ffd05f707b53d', '04dfca852dae43eca98585139f022ed3', 'False', 'True', 'false', 'false', '510623103206', 5, '土桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623103206', 1, '2021-07-19 11:37:29', NULL, NULL), (7151, '', '泉水沟村', 'dc17db668e814dad8c307d7b41eee29f', '04dfca852dae43eca98585139f022ed3', 'False', 'True', 'false', 'false', '510623103209', 5, '泉水沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623103209', 1, '2021-07-19 11:37:29', NULL, NULL), (7152, '', '六松村', 'b65dd76e5d414893a8e42ce9fb5d1387', '04dfca852dae43eca98585139f022ed3', 'False', 'True', 'false', 'false', '510623103210', 5, '六松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623103210', 1, '2021-07-19 11:37:29', NULL, NULL), (7153, '', '道桩村', '7e2cc5d3c45f490ca7ce2ea2b670c000', '04dfca852dae43eca98585139f022ed3', 'False', 'True', 'false', 'false', '510623103212', 5, '道桩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623103212', 1, '2021-07-19 11:37:29', NULL, NULL), (7154, '', '建民村', '147b23e33951409c9da17d1b55a3eb89', '04dfca852dae43eca98585139f022ed3', 'False', 'True', 'false', 'false', '510623103215', 5, '建民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623103215', 1, '2021-07-19 11:37:29', NULL, NULL), (7155, '', '土门村', '44d8434ae8fa466abea8db680d218063', '04dfca852dae43eca98585139f022ed3', 'False', 'True', 'false', 'false', '510623103217', 5, '土门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623103217', 1, '2021-07-19 11:37:29', NULL, NULL), (7156, '', '苕坡村', 'fb95fa3d2240403c90c37f9c93f7c0db', '04dfca852dae43eca98585139f022ed3', 'False', 'True', 'false', 'false', '510623103219', 5, '苕坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623103219', 1, '2021-07-19 11:37:29', NULL, NULL), (7157, '', '狮龙村', 'd3aae644a02e4312b96bd337e316e4b5', '04dfca852dae43eca98585139f022ed3', 'False', 'True', 'false', 'false', '510623103220', 5, '狮龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623103220', 1, '2021-07-19 11:37:29', NULL, NULL), (7158, '', '永太镇', '02d8f3a549904eee830f89fa3751600a', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623104000', 4, '永太镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623104000', 1, '2021-07-19 11:37:29', NULL, NULL), (7159, '', '云龙社区', '98a75108f3a341ca958f48c03016e2cd', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104002', 5, '云龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104002', 1, '2021-07-19 11:37:29', NULL, NULL), (7160, '', '顺河村', 'af080bf075ca46a5834d3b8299d71aee', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104003', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104003', 1, '2021-07-19 11:37:29', NULL, NULL), (7161, '', '双凤社区', '73d6e3be57534b14972810542020ae52', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104005', 5, '双凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104005', 1, '2021-07-19 11:37:29', NULL, NULL), (7162, '', '明星村', 'adb8b5c4257b41609c699a7acbf3e9d7', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104201', 5, '明星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104201', 1, '2021-07-19 11:37:30', NULL, NULL), (7163, '', '多宝村', '8e776d819a144302a1bd9ef4255fe66d', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104202', 5, '多宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104202', 1, '2021-07-19 11:37:30', NULL, NULL), (7164, '', '长远村', '402a2b7e404b4ab58da3311369f088ea', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104205', 5, '长远村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104205', 1, '2021-07-19 11:37:30', NULL, NULL), (7165, '', '柏木村', '5b56ce92c26443d68e9bd5789eb9645d', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104206', 5, '柏木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104206', 1, '2021-07-19 11:37:30', NULL, NULL), (7166, '', '迎丰村', 'cb3cfd73943143a68ac6f6b3303bfaa2', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104207', 5, '迎丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104207', 1, '2021-07-19 11:37:30', NULL, NULL), (7167, '', '群益村', '1f10d0a7db3549fdbfbbfb77937280cb', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104208', 5, '群益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104208', 1, '2021-07-19 11:37:30', NULL, NULL), (7168, '', '新店村', '4eb0d006c14b4855a8da51959ed2cbe2', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104209', 5, '新店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104209', 1, '2021-07-19 11:37:30', NULL, NULL), (7169, '', '金桥村', '31b8b8be7bb64ecaa05cc2ee6d7f97f8', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104212', 5, '金桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104212', 1, '2021-07-19 11:37:30', NULL, NULL), (7170, '', '长河村', 'c4ff4a9185ed42dc9b52084e59de2194', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104216', 5, '长河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104216', 1, '2021-07-19 11:37:30', NULL, NULL), (7171, '', '小桥村', 'e0e64da3f2454252adcf328a22b7e3dc', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104217', 5, '小桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104217', 1, '2021-07-19 11:37:30', NULL, NULL), (7172, '', '石羊村', '5f8fd0da810840e7bd21ea2997c994c8', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104220', 5, '石羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104220', 1, '2021-07-19 11:37:30', NULL, NULL), (7173, '', '高坝村', 'c5cb34c93ce145d7920f29d0f5990d8c', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104221', 5, '高坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104221', 1, '2021-07-19 11:37:30', NULL, NULL), (7174, '', '东沟村', '660d6dd5e7a64ca2b76cc6f5838ba7ff', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104223', 5, '东沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104223', 1, '2021-07-19 11:37:30', NULL, NULL), (7175, '', '长兴村', 'e187d274efbd48d1a1139b14259a80d1', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104224', 5, '长兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104224', 1, '2021-07-19 11:37:31', NULL, NULL), (7176, '', '石狮村', '306dafce97cd417b8f8123a83da76450', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104227', 5, '石狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104227', 1, '2021-07-19 11:37:31', NULL, NULL), (7177, '', '牌坊村', 'dac065cf893b4c948e4c10b0b5a5c39b', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104229', 5, '牌坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104229', 1, '2021-07-19 11:37:31', NULL, NULL), (7178, '', '清福村', 'c14726d529c84ba598629c35cec3807a', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104230', 5, '清福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104230', 1, '2021-07-19 11:37:31', NULL, NULL), (7179, '', '天台村', 'c7573c7ec23f45dabc3942f5f624f89a', '02d8f3a549904eee830f89fa3751600a', 'False', 'True', 'false', 'false', '510623104755', 5, '天台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623104755', 1, '2021-07-19 11:37:31', NULL, NULL), (7180, '', '黄鹿镇', 'ccddd46687274584a1882446c2445055', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623105000', 4, '黄鹿镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623105000', 1, '2021-07-19 11:37:31', NULL, NULL), (7181, '', '黄鹿镇社区', '37cdb16b991f4f3aab0e048eacc375fb', 'ccddd46687274584a1882446c2445055', 'False', 'True', 'false', 'false', '510623105005', 5, '黄鹿镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623105005', 1, '2021-07-19 11:37:31', NULL, NULL), (7182, '', '宝塘村', '534eb16515bb43499332e94c43ab1af2', 'ccddd46687274584a1882446c2445055', 'False', 'True', 'false', 'false', '510623105203', 5, '宝塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623105203', 1, '2021-07-19 11:37:31', NULL, NULL), (7183, '', '金燕村', '14de500c86454c6bbe3affdcba59f868', 'ccddd46687274584a1882446c2445055', 'False', 'True', 'false', 'false', '510623105204', 5, '金燕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623105204', 1, '2021-07-19 11:37:31', NULL, NULL), (7184, '', '群力村', 'f222af45cdfb4792988468b811af9748', 'ccddd46687274584a1882446c2445055', 'False', 'True', 'false', 'false', '510623105208', 5, '群力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623105208', 1, '2021-07-19 11:37:31', NULL, NULL), (7185, '', '利兴村', 'f88bdb12a5af419db08919c04892b951', 'ccddd46687274584a1882446c2445055', 'False', 'True', 'false', 'false', '510623105209', 5, '利兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623105209', 1, '2021-07-19 11:37:31', NULL, NULL), (7186, '', '红金村', '8934478e44c74c30885ddf38b12a42b5', 'ccddd46687274584a1882446c2445055', 'False', 'True', 'false', 'false', '510623105211', 5, '红金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623105211', 1, '2021-07-19 11:37:31', NULL, NULL), (7187, '', '青藕村', 'd66a6ab8209045e6b64db410fd86f212', 'ccddd46687274584a1882446c2445055', 'False', 'True', 'false', 'false', '510623105212', 5, '青藕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623105212', 1, '2021-07-19 11:37:31', NULL, NULL), (7188, '', '福沟村', 'bf32c7cf64a347a8a224e9c6f28318de', 'ccddd46687274584a1882446c2445055', 'False', 'True', 'false', 'false', '510623105215', 5, '福沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623105215', 1, '2021-07-19 11:37:32', NULL, NULL), (7189, '', '思源村', 'd1ad47fd3a2f45ddac57156ffb9ac029', 'ccddd46687274584a1882446c2445055', 'False', 'True', 'false', 'false', '510623105216', 5, '思源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623105216', 1, '2021-07-19 11:37:32', NULL, NULL), (7190, '', '沙河村', '94402e9c3d2b4754b949b9f0917119ea', 'ccddd46687274584a1882446c2445055', 'False', 'True', 'false', 'false', '510623105217', 5, '沙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623105217', 1, '2021-07-19 11:37:32', NULL, NULL), (7191, '', '景观村', '8ee87201282c4594b89f6d5d029b9a32', 'ccddd46687274584a1882446c2445055', 'False', 'True', 'false', 'false', '510623105219', 5, '景观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623105219', 1, '2021-07-19 11:37:32', NULL, NULL), (7192, '', '集凤镇', 'd3bbdff3972c4622b0fc64cf2b8656c8', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623106000', 4, '集凤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623106000', 1, '2021-07-19 11:37:32', NULL, NULL), (7193, '', '走马铺社区', 'f2a467371d5c4fb39068a15d2e7f77fe', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106001', 5, '走马铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106001', 1, '2021-07-19 11:37:32', NULL, NULL), (7194, '', '玉龙村', 'ecbbb15fb32f4f71960e8f4177c8e043', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106201', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106201', 1, '2021-07-19 11:37:32', NULL, NULL), (7195, '', '古亭寺社区', '7284746b47e4482b9532ee7682b9cedc', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106202', 5, '古亭寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106202', 1, '2021-07-19 11:37:32', NULL, NULL), (7196, '', '枫桥村', '5f8849430c4d4f59becd440c8aee0b74', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106203', 5, '枫桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106203', 1, '2021-07-19 11:37:32', NULL, NULL), (7197, '', '西城村', '8b16ca80f8f240afad25a5aa0fcac247', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106204', 5, '西城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106204', 1, '2021-07-19 11:37:32', NULL, NULL), (7198, '', '古店村', '74dfa3275e254ac4be791eebdc9823a6', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106205', 5, '古店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106205', 1, '2021-07-19 11:37:32', NULL, NULL), (7199, '', '三金村', '69ccb3efd2eb4aefa1c902ebf87854aa', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106206', 5, '三金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106206', 1, '2021-07-19 11:37:32', NULL, NULL), (7200, '', '兰家坪村', 'cc68e2b73b484ee397f642217b6eeec4', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106207', 5, '兰家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106207', 1, '2021-07-19 11:37:32', NULL, NULL), (7201, '', '皂角村', '70c38b963a8344fb87737f7b00e6237d', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106208', 5, '皂角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106208', 1, '2021-07-19 11:37:32', NULL, NULL), (7202, '', '拱桥村', 'e54eacc22f7d4035b76ffaf9902bcf93', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106209', 5, '拱桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106209', 1, '2021-07-19 11:37:32', NULL, NULL), (7203, '', '隆兴村', '08f0debc6c5b48558bb5d4ae4856df14', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106210', 5, '隆兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106210', 1, '2021-07-19 11:37:32', NULL, NULL), (7204, '', '新龙村', '1e59224093c8483a8a2b878b4601fa3b', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106211', 5, '新龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106211', 1, '2021-07-19 11:37:32', NULL, NULL), (7205, '', '飞马村', 'bac848dad06849e794c2d2354c4cedbb', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106212', 5, '飞马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106212', 1, '2021-07-19 11:37:33', NULL, NULL), (7206, '', '两山村', '8ff419f2ca1a42cea6969c2d0d3cf7fe', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106213', 5, '两山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106213', 1, '2021-07-19 11:37:33', NULL, NULL), (7207, '', '九股泉村', 'f8f5e596288f4c64ae2d5d921ee55ac8', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106214', 5, '九股泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106214', 1, '2021-07-19 11:37:33', NULL, NULL), (7208, '', '白岭村', '98284f5b8606472ea86ccad55946b15f', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106215', 5, '白岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106215', 1, '2021-07-19 11:37:33', NULL, NULL), (7209, '', '万寿桥社区', 'bd9f46c88beb427a9463e73d1e44c37d', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106216', 5, '万寿桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106216', 1, '2021-07-19 11:37:33', NULL, NULL), (7210, '', '石垭子村', '50cc90569e364c19a89c7fee0d6fe7c7', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106217', 5, '石垭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106217', 1, '2021-07-19 11:37:33', NULL, NULL), (7211, '', '新丰村', '36f12bbfbe2740febc2da00518191133', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106218', 5, '新丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106218', 1, '2021-07-19 11:37:33', NULL, NULL), (7212, '', '石泉村', '243b389fc35e498c8d09376bbb9262a9', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106219', 5, '石泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106219', 1, '2021-07-19 11:37:33', NULL, NULL), (7213, '', '银冯村', 'cf14c54e8f1a4a61bb49112a3ec1cb3d', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106222', 5, '银冯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106222', 1, '2021-07-19 11:37:33', NULL, NULL), (7214, '', '西眉山村', 'c7f47babf87f4a2c98b5effb668e50a5', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106236', 5, '西眉山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106236', 1, '2021-07-19 11:37:33', NULL, NULL), (7215, '', '金家坪村', '4a0037d34aea4cf4ac34553ec6bd17f8', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106237', 5, '金家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106237', 1, '2021-07-19 11:37:33', NULL, NULL), (7216, '', '坭宾寺村', '2f79bb0e5a1f44989000dd376fb239d5', 'd3bbdff3972c4622b0fc64cf2b8656c8', 'False', 'True', 'false', 'false', '510623106238', 5, '坭宾寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623106238', 1, '2021-07-19 11:37:33', NULL, NULL), (7217, '', '富兴镇', 'ab878a7d6fa7441bb0d8500f9d396cfa', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623107000', 4, '富兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623107000', 1, '2021-07-19 11:37:33', NULL, NULL), (7218, '', '富民社区', 'ef59bfd619004a0593392609a7717a9e', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107001', 5, '富民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107001', 1, '2021-07-19 11:37:34', NULL, NULL), (7219, '', '高石梯社区', '36b455969cbd441daca13c8e72cb12b9', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107002', 5, '高石梯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107002', 1, '2021-07-19 11:37:34', NULL, NULL), (7220, '', '富强村', '782ab997568a4952bb175333d1edddf4', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107201', 5, '富强村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107201', 1, '2021-07-19 11:37:34', NULL, NULL), (7221, '', '辉山村', 'c4db96de56c14c2e9e44cdb2ec3df737', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107203', 5, '辉山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107203', 1, '2021-07-19 11:37:34', NULL, NULL), (7222, '', '富兴村', 'e7e2a0bc780243f0a7fb2014fd4a242b', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107204', 5, '富兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107204', 1, '2021-07-19 11:37:34', NULL, NULL), (7223, '', '银宝村', '0ca1180b7fa6402fb41ef09585e4949d', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107205', 5, '银宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107205', 1, '2021-07-19 11:37:34', NULL, NULL), (7224, '', '汉卿村', 'd2860289562b462b95b4c42446a0f950', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107207', 5, '汉卿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107207', 1, '2021-07-19 11:37:34', NULL, NULL), (7225, '', '棋盘村', '85d941f3bdc045deb8302dce70a0e9aa', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107208', 5, '棋盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107208', 1, '2021-07-19 11:37:34', NULL, NULL), (7226, '', '柳林沟村', '02796fcc0d814a588326c4eee092aceb', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107209', 5, '柳林沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107209', 1, '2021-07-19 11:37:34', NULL, NULL), (7227, '', '阳平村', 'e7a8fbaa35744203a53f5ed0a7374113', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107211', 5, '阳平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107211', 1, '2021-07-19 11:37:34', NULL, NULL), (7228, '', '茯岭村', '3345bcddc4164932838771fd03467610', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107214', 5, '茯岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107214', 1, '2021-07-19 11:37:34', NULL, NULL), (7229, '', '望江村', '339e5540cf7b4294b53fc56e29d466fe', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107215', 5, '望江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107215', 1, '2021-07-19 11:37:34', NULL, NULL), (7230, '', '天梯村', '83f1f8bdfee844ccbe963ff51d3444a4', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107216', 5, '天梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107216', 1, '2021-07-19 11:37:34', NULL, NULL), (7231, '', '五星村', '189ea0ca20a7459ea443c9672bcec631', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107218', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107218', 1, '2021-07-19 11:37:34', NULL, NULL), (7232, '', '丁字桥村', '31265630dada4148b5943a5dadef5c7c', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107219', 5, '丁字桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107219', 1, '2021-07-19 11:37:34', NULL, NULL), (7233, '', '建兴村', 'ab4742f08a2649cab0a85ad3768bf8a9', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107221', 5, '建兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107221', 1, '2021-07-19 11:37:34', NULL, NULL), (7234, '', '红光村', 'ecd0a8e4212542f586731c5b16d1efdf', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107223', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107223', 1, '2021-07-19 11:37:35', NULL, NULL), (7235, '', '东风村', '57bf2026a615474697aa94275e40d24b', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107225', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107225', 1, '2021-07-19 11:37:35', NULL, NULL), (7236, '', '群丰村', 'ae910f29c253432f82a3a3c171823daa', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107227', 5, '群丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107227', 1, '2021-07-19 11:37:35', NULL, NULL), (7237, '', '阳平关社区', 'bc397fd1608b4cbc9c12498425508bca', 'ab878a7d6fa7441bb0d8500f9d396cfa', 'False', 'True', 'false', 'false', '510623107585', 5, '阳平关社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623107585', 1, '2021-07-19 11:37:35', NULL, NULL), (7238, '', '辑庆镇', '390ae57bc7684368b9e82f11231c3632', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623108000', 4, '辑庆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623108000', 1, '2021-07-19 11:37:35', NULL, NULL), (7239, '', '新建村', '6074d67572d84125bf17dca9f77a6298', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623221202', 5, '新建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623221202', 1, '2021-07-19 11:37:35', NULL, NULL), (7240, '', '禾丰村', '7f1764611da9405c96bc87b5a71a1ff2', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623221207', 5, '禾丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623221207', 1, '2021-07-19 11:37:35', NULL, NULL), (7241, '', '燕窝村', '5c430654b4854f54bd4ee9589a67a755', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623221209', 5, '燕窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623221209', 1, '2021-07-19 11:37:35', NULL, NULL), (7242, '', '尖寨村', '90a4c1be96ca4f0c9b02b1bbbbac7123', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623221211', 5, '尖寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623221211', 1, '2021-07-19 11:37:35', NULL, NULL), (7243, '', '孟家营村', 'cd6e245825d14f7cbf0745f6b537d286', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623221212', 5, '孟家营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623221212', 1, '2021-07-19 11:37:35', NULL, NULL), (7244, '', '前进社区', '7760947f35074ac1aa5305877e290e5a', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108001', 5, '前进社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108001', 1, '2021-07-19 11:37:35', NULL, NULL), (7245, '', '半边山社区', '8f06dc0e20034bdeafab55f8bb605b6e', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108002', 5, '半边山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108002', 1, '2021-07-19 11:37:35', NULL, NULL), (7246, '', '上场村', '8e4df5db36c342e1a44d40a8cf7bce5d', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108201', 5, '上场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108201', 1, '2021-07-19 11:37:35', NULL, NULL), (7247, '', '永远村', '1b389d8183fd48bcaed60d7126b3f8b0', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108203', 5, '永远村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108203', 1, '2021-07-19 11:37:35', NULL, NULL), (7248, '', '飞凤社区', '25bb3990cba24976938e29c0129cca6d', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108204', 5, '飞凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108204', 1, '2021-07-19 11:37:36', NULL, NULL), (7249, '', '联丰村', '122200fdda8c41c5abf1cd258c1c313d', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108205', 5, '联丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108205', 1, '2021-07-19 11:37:36', NULL, NULL), (7250, '', '柳河村', '95355cb9d018430d845d28f926970eac', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108206', 5, '柳河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108206', 1, '2021-07-19 11:37:36', NULL, NULL), (7251, '', '青云村', '4cb05a7108ef4409be968b178da7e2d4', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108207', 5, '青云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108207', 1, '2021-07-19 11:37:36', NULL, NULL), (7252, '', '狮子村', '4d2fc0c40b28472bb1f7246bdfca42de', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108210', 5, '狮子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108210', 1, '2021-07-19 11:37:36', NULL, NULL), (7253, '', '飞龙村', 'c36d9e96849f46a0878e69e9f55bfd35', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108211', 5, '飞龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108211', 1, '2021-07-19 11:37:36', NULL, NULL), (7254, '', '柳林社区', 'f68cd8a6f4224b02b7e6817c0813423b', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108212', 5, '柳林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108212', 1, '2021-07-19 11:37:36', NULL, NULL), (7255, '', '中兴村', '6eef42f119064704a61fc9e0b5ac59df', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108213', 5, '中兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108213', 1, '2021-07-19 11:37:36', NULL, NULL), (7256, '', '大田坝村', '5a5c4c21ec7d4a58bf73d4dfedffb2a0', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108214', 5, '大田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108214', 1, '2021-07-19 11:37:36', NULL, NULL), (7257, '', '文堂村', '9b7b87454a8a4ba09c02c34b4b8462d6', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108215', 5, '文堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108215', 1, '2021-07-19 11:37:36', NULL, NULL), (7258, '', '书房村', 'a0770ea6709b411d803c2491f79c9bce', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108216', 5, '书房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108216', 1, '2021-07-19 11:37:36', NULL, NULL), (7259, '', '祝家庙村', 'cf50cd51aeb14fbdab2dc6e3fca8d09b', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108217', 5, '祝家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108217', 1, '2021-07-19 11:37:36', NULL, NULL), (7260, '', '张家沟村', '539298e534f8432783f844e85fbdd667', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108218', 5, '张家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108218', 1, '2021-07-19 11:37:36', NULL, NULL), (7261, '', '长梁村', '64c4271f76284be9b3700290a51b17b8', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108224', 5, '长梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108224', 1, '2021-07-19 11:37:37', NULL, NULL), (7262, '', '钟楼村', 'bcad5feaddd64a96978a54d582e04bec', '390ae57bc7684368b9e82f11231c3632', 'False', 'True', 'false', 'false', '510623108225', 5, '钟楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623108225', 1, '2021-07-19 11:37:37', NULL, NULL), (7263, '', '兴隆镇', 'da5ceadf61ac433b8763bea3abcaedb0', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623109000', 4, '兴隆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623109000', 1, '2021-07-19 11:37:37', NULL, NULL), (7264, '', '兴隆街社区', '79a25c558e434dd48c46b9f493fe8016', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109002', 5, '兴隆街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109002', 1, '2021-07-19 11:37:37', NULL, NULL), (7265, '', '兴安社区', '5a14462aa67e4d54864e635af370a83f', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109003', 5, '兴安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109003', 1, '2021-07-19 11:37:37', NULL, NULL), (7266, '', '十里碑村', 'b5e08c17404844a8b0b63408287956d1', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109037', 5, '十里碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109037', 1, '2021-07-19 11:37:37', NULL, NULL), (7267, '', '土城村', '5e045b71f9464ba48a14eb12c4bdd771', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109129', 5, '土城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109129', 1, '2021-07-19 11:37:37', NULL, NULL), (7268, '', '兴隆村', '1f4101d31de9471c82630d0af192d02b', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109201', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109201', 1, '2021-07-19 11:37:37', NULL, NULL), (7269, '', '舒坝村', '1c14e129353d46e88c65f129700ce6c9', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109205', 5, '舒坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109205', 1, '2021-07-19 11:37:37', NULL, NULL), (7270, '', '银河村', '0608fe1258b44a64a3b9a103949b83fc', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109206', 5, '银河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109206', 1, '2021-07-19 11:37:37', NULL, NULL), (7271, '', '翠竹村', 'f91c725c7a9a46e4b3328582f0531717', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109208', 5, '翠竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109208', 1, '2021-07-19 11:37:37', NULL, NULL), (7272, '', '长虹村', 'da97c3073eb64a24866a15e7a94a3418', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109210', 5, '长虹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109210', 1, '2021-07-19 11:37:37', NULL, NULL), (7273, '', '五里坝村', 'c60d5d2684254c27a76f9c212b4e554a', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109212', 5, '五里坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109212', 1, '2021-07-19 11:37:37', NULL, NULL), (7274, '', '双堰村', '134a1d3415a84049a316a8a1e303bac3', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109213', 5, '双堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109213', 1, '2021-07-19 11:37:38', NULL, NULL), (7275, '', '铜矿村', '18cea0dd33f541128a6e51b3db9109c1', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109214', 5, '铜矿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109214', 1, '2021-07-19 11:37:38', NULL, NULL), (7276, '', '仁寿寨村', '2780abbf71554786a46a7804b6639c6c', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109217', 5, '仁寿寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109217', 1, '2021-07-19 11:37:38', NULL, NULL), (7277, '', '龙河村', 'b17fc7a6145444f8978b165cf9291292', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109218', 5, '龙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109218', 1, '2021-07-19 11:37:38', NULL, NULL), (7278, '', '果园村', '99d9db8fb2994382b8c521660d7e88b0', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109219', 5, '果园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109219', 1, '2021-07-19 11:37:38', NULL, NULL), (7279, '', '碾子湾村', 'e7cd07dc05164b25856510789e4ce41e', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109220', 5, '碾子湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109220', 1, '2021-07-19 11:37:38', NULL, NULL), (7280, '', '兴青村', '73a345887ec8497caabdc6d77cf88d7f', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109222', 5, '兴青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109222', 1, '2021-07-19 11:37:38', NULL, NULL), (7281, '', '磨子桥村', '75677e7108ef406ea5ac712f0708f801', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109223', 5, '磨子桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109223', 1, '2021-07-19 11:37:38', NULL, NULL), (7282, '', '瓦窑村', '8bf3175474294850a2c79e6b929b9e1b', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109312', 5, '瓦窑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109312', 1, '2021-07-19 11:37:38', NULL, NULL), (7283, '', '六里班村', '0fc0a9ba57a743c9a252394f7f5c79b8', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109337', 5, '六里班村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109337', 1, '2021-07-19 11:37:38', NULL, NULL), (7284, '', '沙尖村', 'cbe8e2551a6f40cab5afa77c7e5dfb76', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109501', 5, '沙尖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109501', 1, '2021-07-19 11:37:38', NULL, NULL), (7285, '', '清溪河社区', '2fe5875476c94f66bc00fa0a2a72036d', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109623', 5, '清溪河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109623', 1, '2021-07-19 11:37:38', NULL, NULL), (7286, '', '清河村', 'ba4f8ea4217b43b5bbf9bf0ec65c1977', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109784', 5, '清河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109784', 1, '2021-07-19 11:37:38', NULL, NULL), (7287, '', '转水村', 'dbe0de34f72f489797e8379d8c5ee384', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109808', 5, '转水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109808', 1, '2021-07-19 11:37:38', NULL, NULL), (7288, '', '同沟村', 'fe95bdc6b6a244b48ffbba9cef8e77db', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109810', 5, '同沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109810', 1, '2021-07-19 11:37:39', NULL, NULL), (7289, '', '石碑河村', '82c6052c62ad4613a1840b1a38241f38', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109858', 5, '石碑河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109858', 1, '2021-07-19 11:37:39', NULL, NULL), (7290, '', '芦茅沟村', '920c7882b0bf46509737efffe58c4599', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109875', 5, '芦茅沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109875', 1, '2021-07-19 11:37:39', NULL, NULL), (7291, '', '曙光村', '1fba2f402b414f858141c102473dce7f', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109898', 5, '曙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109898', 1, '2021-07-19 11:37:39', NULL, NULL), (7292, '', '太平社区', '95aaa5a168bb4d43949aede6871e14b7', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109942', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109942', 1, '2021-07-19 11:37:39', NULL, NULL), (7293, '', '店坪村', '65ca64305a7546a8a2107d6f84e50246', 'da5ceadf61ac433b8763bea3abcaedb0', 'False', 'True', 'false', 'false', '510623109971', 5, '店坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623109971', 1, '2021-07-19 11:37:39', NULL, NULL), (7294, '', '龙台镇', 'ceb7e0357ded4a029fffb24ab0b383a0', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623110000', 4, '龙台镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623110000', 1, '2021-07-19 11:37:39', NULL, NULL), (7295, '', '横街社区', '702acb50ace944f39a96d823b03fdc5e', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110001', 5, '横街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110001', 1, '2021-07-19 11:37:39', NULL, NULL), (7296, '', '正街社区', 'be953f4b69b34578977f825c353d1c44', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110002', 5, '正街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110002', 1, '2021-07-19 11:37:39', NULL, NULL), (7297, '', '弘扬社区', 'c6fb2d34e53a48c682aafb0d4d45a295', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110111', 5, '弘扬社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110111', 1, '2021-07-19 11:37:39', NULL, NULL), (7298, '', '泉水村', '9640154213034f2b870d92f83e0f52b2', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110154', 5, '泉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110154', 1, '2021-07-19 11:37:39', NULL, NULL), (7299, '', '宝庆村', 'aaae15a6b9774d56963ef6d7dac9276c', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110201', 5, '宝庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110201', 1, '2021-07-19 11:37:39', NULL, NULL), (7300, '', '沼源村', 'e47f4ddd3cc443cb9582168e97749042', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110202', 5, '沼源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110202', 1, '2021-07-19 11:37:39', NULL, NULL), (7301, '', '顺风村', 'e334faf99bbf418e83f35cb2f2448415', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110203', 5, '顺风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110203', 1, '2021-07-19 11:37:39', NULL, NULL), (7302, '', '菱角村', '3a66c24ea08b4b84a194a6173d7ea73b', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110204', 5, '菱角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110204', 1, '2021-07-19 11:37:39', NULL, NULL), (7303, '', '青竹村', '4b9bb1313a85433da67accc0759899e8', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110205', 5, '青竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110205', 1, '2021-07-19 11:37:40', NULL, NULL), (7304, '', '横梁村', '696edf7e26ef4aa4a69ead2bbba2f4a3', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110206', 5, '横梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110206', 1, '2021-07-19 11:37:40', NULL, NULL), (7305, '', '金鱼村', '89a39c2f938c42909dcf6facb8f5e162', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110209', 5, '金鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110209', 1, '2021-07-19 11:37:40', NULL, NULL), (7306, '', '龙安村', '26c02c9809784df59950dcf6b6179513', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110211', 5, '龙安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110211', 1, '2021-07-19 11:37:40', NULL, NULL), (7307, '', '爱国村', 'ddc1b4f3b8784c01ab7841773755ceab', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110216', 5, '爱国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110216', 1, '2021-07-19 11:37:40', NULL, NULL), (7308, '', '望龙村', '816d36c5458f47bf83c208a0d44b0eb4', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110217', 5, '望龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110217', 1, '2021-07-19 11:37:40', NULL, NULL), (7309, '', '稻花村', 'f2fdb7af7b5448019a662c952b7cdfb1', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110222', 5, '稻花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110222', 1, '2021-07-19 11:37:40', NULL, NULL), (7310, '', '双溪村', '332ca72ab5374496bcd3875163e39993', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110226', 5, '双溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110226', 1, '2021-07-19 11:37:40', NULL, NULL), (7311, '', '金柏村', 'eeb70f6331944b2191643b8ef12214d4', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110231', 5, '金柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110231', 1, '2021-07-19 11:37:40', NULL, NULL), (7312, '', '桂岭村', '64272836c7e448ea9050fc916a1dcfdb', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110263', 5, '桂岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110263', 1, '2021-07-19 11:37:40', NULL, NULL), (7313, '', '梁峰村', '688c17bd86c241f8b2567cadb0654895', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110423', 5, '梁峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110423', 1, '2021-07-19 11:37:40', NULL, NULL), (7314, '', '普贤村', '38846878dde44162909ef982e697233b', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110452', 5, '普贤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110452', 1, '2021-07-19 11:37:40', NULL, NULL), (7315, '', '双寨村', 'fd5d8188c7834d4594dd4d22ba09379c', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110455', 5, '双寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110455', 1, '2021-07-19 11:37:40', NULL, NULL), (7316, '', '宝顶村', '02e621deb71244c5937060130c4a1d66', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110504', 5, '宝顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110504', 1, '2021-07-19 11:37:40', NULL, NULL), (7317, '', '双店村', '3ab3dddac9b8490db3dbf6562efbdc54', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110648', 5, '双店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110648', 1, '2021-07-19 11:37:41', NULL, NULL), (7318, '', '黄坡店村', 'fcd7f8c8e6a0473ea5f03c5e574eb87b', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110687', 5, '黄坡店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110687', 1, '2021-07-19 11:37:41', NULL, NULL), (7319, '', '花池村', '18cb574ac275429b9e710a1afe9dd577', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110690', 5, '花池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110690', 1, '2021-07-19 11:37:41', NULL, NULL), (7320, '', '荣桥村', '5e6d8472de664d9bbf314b7632cf2dbc', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110755', 5, '荣桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110755', 1, '2021-07-19 11:37:41', NULL, NULL), (7321, '', '汇水桥村', '93ae9488429e4dc4a4e254811ad1a7a9', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110858', 5, '汇水桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110858', 1, '2021-07-19 11:37:41', NULL, NULL), (7322, '', '青龙村', 'a278b6dbb936459b9176071f257c1aaf', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110862', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110862', 1, '2021-07-19 11:37:41', NULL, NULL), (7323, '', '驷马垭村', '4935c80cf6094a269e0e3adff7b2450f', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110886', 5, '驷马垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110886', 1, '2021-07-19 11:37:41', NULL, NULL), (7324, '', '大塘村', 'fda9b618eba4405e8c326a8aae14ab50', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110911', 5, '大塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110911', 1, '2021-07-19 11:37:41', NULL, NULL), (7325, '', '双龙社区', '805316c5d8b8476c982825e87aea720a', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110959', 5, '双龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110959', 1, '2021-07-19 11:37:41', NULL, NULL), (7326, '', '高店村', '28881a0a92b04995908b80c0b8be1342', 'ceb7e0357ded4a029fffb24ab0b383a0', 'False', 'True', 'false', 'false', '510623110972', 5, '高店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623110972', 1, '2021-07-19 11:37:41', NULL, NULL), (7327, '', '永安镇', 'f3008cd89d244c6bba5bf3cd2d3afa5c', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623111000', 4, '永安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623111000', 1, '2021-07-19 11:37:41', NULL, NULL), (7328, '', '西街社区', 'e3f82498759a4e67bc5b7182ef022c51', 'f3008cd89d244c6bba5bf3cd2d3afa5c', 'False', 'True', 'false', 'false', '510623111001', 5, '西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623111001', 1, '2021-07-19 11:37:41', NULL, NULL), (7329, '', '长安街社区', '1b2c0174e2d5429a96afb77cf272de1a', 'f3008cd89d244c6bba5bf3cd2d3afa5c', 'False', 'True', 'false', 'false', '510623111002', 5, '长安街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623111002', 1, '2021-07-19 11:37:41', NULL, NULL), (7330, '', '丰收村', 'ce8111cb025546bb87d86e1ad9b6c116', 'f3008cd89d244c6bba5bf3cd2d3afa5c', 'False', 'True', 'false', 'false', '510623111201', 5, '丰收村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623111201', 1, '2021-07-19 11:37:42', NULL, NULL), (7331, '', '红马村', '588c57dce4a14a0490fcda613e5bd292', 'f3008cd89d244c6bba5bf3cd2d3afa5c', 'False', 'True', 'false', 'false', '510623111203', 5, '红马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623111203', 1, '2021-07-19 11:37:42', NULL, NULL), (7332, '', '凉井村', 'ac709ab20a0342c9aaf359e94cf06855', 'f3008cd89d244c6bba5bf3cd2d3afa5c', 'False', 'True', 'false', 'false', '510623111204', 5, '凉井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623111204', 1, '2021-07-19 11:37:42', NULL, NULL), (7333, '', '永安村', '0b98ce1531ca445793299f6dcfdec983', 'f3008cd89d244c6bba5bf3cd2d3afa5c', 'False', 'True', 'false', 'false', '510623111205', 5, '永安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623111205', 1, '2021-07-19 11:37:42', NULL, NULL), (7334, '', '天岭村', '16b07ed986cb4fd0a75f62e4260cced8', 'f3008cd89d244c6bba5bf3cd2d3afa5c', 'False', 'True', 'false', 'false', '510623111207', 5, '天岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623111207', 1, '2021-07-19 11:37:42', NULL, NULL), (7335, '', '石堰村', '86f2df3b2e1a4ed4ad0b07e970f9bd71', 'f3008cd89d244c6bba5bf3cd2d3afa5c', 'False', 'True', 'false', 'false', '510623111210', 5, '石堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623111210', 1, '2021-07-19 11:37:42', NULL, NULL), (7336, '', '金山村', '6f14da70844342ccb7e19088d4ecc246', 'f3008cd89d244c6bba5bf3cd2d3afa5c', 'False', 'True', 'false', 'false', '510623111211', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623111211', 1, '2021-07-19 11:37:42', NULL, NULL), (7337, '', '黎家村', '60c993ea2285449283bb4a8a5b658d7b', 'f3008cd89d244c6bba5bf3cd2d3afa5c', 'False', 'True', 'false', 'false', '510623111214', 5, '黎家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623111214', 1, '2021-07-19 11:37:42', NULL, NULL), (7338, '', '桑园村', 'f67a6183770d42a19d0d23bae2ea9a7d', 'f3008cd89d244c6bba5bf3cd2d3afa5c', 'False', 'True', 'false', 'false', '510623111216', 5, '桑园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623111216', 1, '2021-07-19 11:37:42', NULL, NULL), (7339, '', '松湾村', 'dff7f2a9d1ae44f7976f9c32909c3484', 'f3008cd89d244c6bba5bf3cd2d3afa5c', 'False', 'True', 'false', 'false', '510623111219', 5, '松湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623111219', 1, '2021-07-19 11:37:42', NULL, NULL), (7340, '', '隆金村', '9fdea141f818485c96795abc6baf8941', 'f3008cd89d244c6bba5bf3cd2d3afa5c', 'False', 'True', 'false', 'false', '510623111220', 5, '隆金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623111220', 1, '2021-07-19 11:37:42', NULL, NULL), (7341, '', '玉兴镇', '37f1578f578b4b93a62fc8abbd1f4e21', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623113000', 4, '玉兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623113000', 1, '2021-07-19 11:37:42', NULL, NULL), (7342, '', '笋竹垭社区', '2088d5b383364ab997cd37c691d96e14', '37f1578f578b4b93a62fc8abbd1f4e21', 'False', 'True', 'false', 'false', '510623113001', 5, '笋竹垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623113001', 1, '2021-07-19 11:37:42', NULL, NULL), (7343, '', '玉屏村', '0fde141082cb48459005a4cd71fe7ccc', '37f1578f578b4b93a62fc8abbd1f4e21', 'False', 'True', 'false', 'false', '510623113201', 5, '玉屏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623113201', 1, '2021-07-19 11:37:42', NULL, NULL), (7344, '', '旭光村', 'c940f229134d493aa3c28a892f77547e', '37f1578f578b4b93a62fc8abbd1f4e21', 'False', 'True', 'false', 'false', '510623113203', 5, '旭光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623113203', 1, '2021-07-19 11:37:42', NULL, NULL), (7345, '', '团山村', '09f7b48611984b8bbcb4e2c6c8246b15', '37f1578f578b4b93a62fc8abbd1f4e21', 'False', 'True', 'false', 'false', '510623113204', 5, '团山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623113204', 1, '2021-07-19 11:37:42', NULL, NULL), (7346, '', '望云村', 'e269726a55d840b7ae7f12ad50629e07', '37f1578f578b4b93a62fc8abbd1f4e21', 'False', 'True', 'false', 'false', '510623113206', 5, '望云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623113206', 1, '2021-07-19 11:37:43', NULL, NULL), (7347, '', '囤粮村', '85e14c31c0f94dc99fc65e16191fb1ac', '37f1578f578b4b93a62fc8abbd1f4e21', 'False', 'True', 'false', 'false', '510623113208', 5, '囤粮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623113208', 1, '2021-07-19 11:37:43', NULL, NULL), (7348, '', '凡龙村', '5399338cd78447ab9ca5600118d789b0', '37f1578f578b4b93a62fc8abbd1f4e21', 'False', 'True', 'false', 'false', '510623113210', 5, '凡龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623113210', 1, '2021-07-19 11:37:43', NULL, NULL), (7349, '', '长春村', 'b06f476264d8427cb42540dfcf0e121e', '37f1578f578b4b93a62fc8abbd1f4e21', 'False', 'True', 'false', 'false', '510623113211', 5, '长春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623113211', 1, '2021-07-19 11:37:43', NULL, NULL), (7350, '', '金钩村', '0ef6f5635de64ec79b125078e0dde7c3', '37f1578f578b4b93a62fc8abbd1f4e21', 'False', 'True', 'false', 'false', '510623113213', 5, '金钩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623113213', 1, '2021-07-19 11:37:43', NULL, NULL), (7351, '', '大石村', '299a51b31d7247edb436f0cfd5acb33f', '37f1578f578b4b93a62fc8abbd1f4e21', 'False', 'True', 'false', 'false', '510623113215', 5, '大石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623113215', 1, '2021-07-19 11:37:43', NULL, NULL), (7352, '', '永兴镇', 'd93c45cad6d74323abf52663e5c8edf3', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623114000', 4, '永兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623114000', 1, '2021-07-19 11:37:43', NULL, NULL), (7353, '', '七郎村', '5debc4537ff34db49d5939fae9b01449', 'd93c45cad6d74323abf52663e5c8edf3', 'False', 'True', 'false', 'false', '510623114106', 5, '七郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623114106', 1, '2021-07-19 11:37:43', NULL, NULL), (7354, '', '三星村', '113aa7978e0a4af8982c370c1200e35b', 'd93c45cad6d74323abf52663e5c8edf3', 'False', 'True', 'false', 'false', '510623114134', 5, '三星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623114134', 1, '2021-07-19 11:37:43', NULL, NULL), (7355, '', '南峰村', 'cbb5859b5215465691b2775003d55904', 'd93c45cad6d74323abf52663e5c8edf3', 'False', 'True', 'false', 'false', '510623114202', 5, '南峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623114202', 1, '2021-07-19 11:37:43', NULL, NULL), (7356, '', '梧桐村', '513b7b691ce3459d9fd1cdc933486071', 'd93c45cad6d74323abf52663e5c8edf3', 'False', 'True', 'false', 'false', '510623114203', 5, '梧桐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623114203', 1, '2021-07-19 11:37:43', NULL, NULL), (7357, '', '大柏山村', '17f15db7fcd241fab109a2cc79f45dd9', 'd93c45cad6d74323abf52663e5c8edf3', 'False', 'True', 'false', 'false', '510623114204', 5, '大柏山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623114204', 1, '2021-07-19 11:37:43', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (7358, '', '永兴村', 'a937336db17147239b961c46cb598d23', 'd93c45cad6d74323abf52663e5c8edf3', 'False', 'True', 'false', 'false', '510623114205', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623114205', 1, '2021-07-19 11:37:43', NULL, NULL), (7359, '', '稻子村', 'a3d4804766554459959569c378728e2c', 'd93c45cad6d74323abf52663e5c8edf3', 'False', 'True', 'false', 'false', '510623114207', 5, '稻子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623114207', 1, '2021-07-19 11:37:43', NULL, NULL), (7360, '', '长坪村', '5fa0bd8dc70c4f89a8d22480bc5d2d90', 'd93c45cad6d74323abf52663e5c8edf3', 'False', 'True', 'false', 'false', '510623114210', 5, '长坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623114210', 1, '2021-07-19 11:37:43', NULL, NULL), (7361, '', '金狮村', '0fa34e1f5c1643acb0854ed4dae00e60', 'd93c45cad6d74323abf52663e5c8edf3', 'False', 'True', 'false', 'false', '510623114211', 5, '金狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623114211', 1, '2021-07-19 11:37:44', NULL, NULL), (7362, '', '青山村', 'bb9c63e853ff4387bfa3e1cb5a92218b', 'd93c45cad6d74323abf52663e5c8edf3', 'False', 'True', 'false', 'false', '510623114212', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623114212', 1, '2021-07-19 11:37:44', NULL, NULL), (7363, '', '文明社区', '0ca73774cb7b4a11ad34921462c46798', 'd93c45cad6d74323abf52663e5c8edf3', 'False', 'True', 'false', 'false', '510623114271', 5, '文明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623114271', 1, '2021-07-19 11:37:44', NULL, NULL), (7364, '', '高兴村', '6942b714ba384239bc97dcdf24c51d86', 'd93c45cad6d74323abf52663e5c8edf3', 'False', 'True', 'false', 'false', '510623114620', 5, '高兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623114620', 1, '2021-07-19 11:37:44', NULL, NULL), (7365, '', '石笋社区', '6353bc46580a43c298caa4c89c000dc0', 'd93c45cad6d74323abf52663e5c8edf3', 'False', 'True', 'false', 'false', '510623114818', 5, '石笋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623114818', 1, '2021-07-19 11:37:44', NULL, NULL), (7366, '', '红槐村', 'ed015c7a3e334dc694edc87755ca081f', 'd93c45cad6d74323abf52663e5c8edf3', 'False', 'True', 'false', 'false', '510623114848', 5, '红槐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623114848', 1, '2021-07-19 11:37:44', NULL, NULL), (7367, '', '水池村', '8f7c0bf81b62424a8c4e20afccd5f0f3', 'd93c45cad6d74323abf52663e5c8edf3', 'False', 'True', 'false', 'false', '510623114967', 5, '水池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623114967', 1, '2021-07-19 11:37:44', NULL, NULL), (7368, '', '悦来镇', 'f341623508434924b9a79a53c99a0636', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623115000', 4, '悦来镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623115000', 1, '2021-07-19 11:37:44', NULL, NULL), (7369, '', '平安社区', '56e4c0b38a394f268c71281fdfc215a2', 'f341623508434924b9a79a53c99a0636', 'False', 'True', 'false', 'false', '510623115001', 5, '平安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623115001', 1, '2021-07-19 11:37:44', NULL, NULL), (7370, '', '月耳井村', 'ed8008fe910e49ebbe9df2e91fb84915', 'f341623508434924b9a79a53c99a0636', 'False', 'True', 'false', 'false', '510623115201', 5, '月耳井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623115201', 1, '2021-07-19 11:37:44', NULL, NULL), (7371, '', '厚垭村', '34263f4ed3c6430e9b45b10519e5d110', 'f341623508434924b9a79a53c99a0636', 'False', 'True', 'false', 'false', '510623115203', 5, '厚垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623115203', 1, '2021-07-19 11:37:44', NULL, NULL), (7372, '', '宝光村', 'a494107b3b5646bcaa277bdc107ced49', 'f341623508434924b9a79a53c99a0636', 'False', 'True', 'false', 'false', '510623115204', 5, '宝光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623115204', 1, '2021-07-19 11:37:44', NULL, NULL), (7373, '', '碧池村', '3b0b92b175b649caa749bf5bcdb07969', 'f341623508434924b9a79a53c99a0636', 'False', 'True', 'false', 'false', '510623115207', 5, '碧池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623115207', 1, '2021-07-19 11:37:44', NULL, NULL), (7374, '', '马河村', '9f19b20856e8487db3772a92e7858c1f', 'f341623508434924b9a79a53c99a0636', 'False', 'True', 'false', 'false', '510623115208', 5, '马河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623115208', 1, '2021-07-19 11:37:44', NULL, NULL), (7375, '', '潘山村', '2409b39b06a94c10ae951f0a4eacf6b3', 'f341623508434924b9a79a53c99a0636', 'False', 'True', 'false', 'false', '510623115212', 5, '潘山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623115212', 1, '2021-07-19 11:37:45', NULL, NULL), (7376, '', '玉河村', '3c713c065ded4deea0fc94817d60bc40', 'f341623508434924b9a79a53c99a0636', 'False', 'True', 'false', 'false', '510623115213', 5, '玉河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623115213', 1, '2021-07-19 11:37:45', NULL, NULL), (7377, '', '群桥村', '908f90c48bb042c384ac1b42a30d3f8e', 'f341623508434924b9a79a53c99a0636', 'False', 'True', 'false', 'false', '510623115215', 5, '群桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623115215', 1, '2021-07-19 11:37:45', NULL, NULL), (7378, '', '新彭村', '22b1a68f5eb34baaaae09eea5199893a', 'f341623508434924b9a79a53c99a0636', 'False', 'True', 'false', 'false', '510623115216', 5, '新彭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623115216', 1, '2021-07-19 11:37:45', NULL, NULL), (7379, '', '红灵村', '8aaaf0b650634e2b9f5305e8e7345584', 'f341623508434924b9a79a53c99a0636', 'False', 'True', 'false', 'false', '510623115219', 5, '红灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623115219', 1, '2021-07-19 11:37:45', NULL, NULL), (7380, '', '壁山社区', '31337e7066ac4b0ca704f5f25f84040a', 'f341623508434924b9a79a53c99a0636', 'False', 'True', 'false', 'false', '510623115348', 5, '壁山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623115348', 1, '2021-07-19 11:37:45', NULL, NULL), (7381, '', '继光镇', '5a2f88b1c9ec4a6ca36d044f63f8cc7d', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623116000', 4, '继光镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623116000', 1, '2021-07-19 11:37:45', NULL, NULL), (7382, '', '兴发村', '5604283225c44961b827f83f68869b2f', '5a2f88b1c9ec4a6ca36d044f63f8cc7d', 'False', 'True', 'false', 'false', '510623116201', 5, '兴发村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623116201', 1, '2021-07-19 11:37:45', NULL, NULL), (7383, '', '芳草村', 'adf1ebb87688472484e8ab6896f4386f', '5a2f88b1c9ec4a6ca36d044f63f8cc7d', 'False', 'True', 'false', 'false', '510623116202', 5, '芳草村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623116202', 1, '2021-07-19 11:37:45', NULL, NULL), (7384, '', '长乐村', 'feab1553fb76445c8794cf24b4a4cdab', '5a2f88b1c9ec4a6ca36d044f63f8cc7d', 'False', 'True', 'false', 'false', '510623116204', 5, '长乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623116204', 1, '2021-07-19 11:37:45', NULL, NULL), (7385, '', '严新村', 'cd46af7ce060456c9f54508275fb5de8', '5a2f88b1c9ec4a6ca36d044f63f8cc7d', 'False', 'True', 'false', 'false', '510623116210', 5, '严新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623116210', 1, '2021-07-19 11:37:45', NULL, NULL), (7386, '', '石马村', 'c8b9b28b2af8458abac1520259e9f538', '5a2f88b1c9ec4a6ca36d044f63f8cc7d', 'False', 'True', 'false', 'false', '510623116212', 5, '石马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623116212', 1, '2021-07-19 11:37:45', NULL, NULL), (7387, '', '继光村', 'd5234ecfc70044769edb0efee5073351', '5a2f88b1c9ec4a6ca36d044f63f8cc7d', 'False', 'True', 'false', 'false', '510623116214', 5, '继光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623116214', 1, '2021-07-19 11:37:46', NULL, NULL), (7388, '', '铜梁村', 'c47a9c531e024947af7ab1fd4ac5a2f1', '5a2f88b1c9ec4a6ca36d044f63f8cc7d', 'False', 'True', 'false', 'false', '510623116217', 5, '铜梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623116217', 1, '2021-07-19 11:37:46', NULL, NULL), (7389, '', '袁家桥村', '07c2ed026f5a4f768a59a96e531bae7d', '5a2f88b1c9ec4a6ca36d044f63f8cc7d', 'False', 'True', 'false', 'false', '510623116218', 5, '袁家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623116218', 1, '2021-07-19 11:37:46', NULL, NULL), (7390, '', '兴旺村', 'f57271cf5dbd4bf1bc5e86f87bfe1624', '5a2f88b1c9ec4a6ca36d044f63f8cc7d', 'False', 'True', 'false', 'false', '510623116219', 5, '兴旺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623116219', 1, '2021-07-19 11:37:46', NULL, NULL), (7391, '', '新天村', 'ba53cbd62fa24bcaabf8820b238b36b1', '5a2f88b1c9ec4a6ca36d044f63f8cc7d', 'False', 'True', 'false', 'false', '510623116220', 5, '新天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623116220', 1, '2021-07-19 11:37:46', NULL, NULL), (7392, '', '旗山村', 'fff191db79744ca29ea41e5f3b859129', '5a2f88b1c9ec4a6ca36d044f63f8cc7d', 'False', 'True', 'false', 'false', '510623116269', 5, '旗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623116269', 1, '2021-07-19 11:37:46', NULL, NULL), (7393, '', '铁佛村', 'e7c6fbcfbdc140af97eb6a855459bf5e', '5a2f88b1c9ec4a6ca36d044f63f8cc7d', 'False', 'True', 'false', 'false', '510623116310', 5, '铁佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623116310', 1, '2021-07-19 11:37:46', NULL, NULL), (7394, '', '英雄社区', '681b71b63f6e40e18b4431a1b49423cc', '5a2f88b1c9ec4a6ca36d044f63f8cc7d', 'False', 'False', 'false', 'false', '510623116362', 5, '英雄社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623116362', 1, '2021-07-19 11:37:46', NULL, NULL), (7395, '', '正新社区', '8ec3f6cef6cb4d84980dadb59fcde569', '5a2f88b1c9ec4a6ca36d044f63f8cc7d', 'False', 'True', 'false', 'false', '510623116405', 5, '正新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623116405', 1, '2021-07-19 11:37:46', NULL, NULL), (7396, '', '桂花村', '29e8da570f99477ca5558de482e443f2', '5a2f88b1c9ec4a6ca36d044f63f8cc7d', 'False', 'True', 'false', 'false', '510623116595', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623116595', 1, '2021-07-19 11:37:46', NULL, NULL), (7397, '', '银杉村', '143ef4913a474c4e9cb20ffbee7c234d', '5a2f88b1c9ec4a6ca36d044f63f8cc7d', 'False', 'True', 'false', 'false', '510623116791', 5, '银杉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623116791', 1, '2021-07-19 11:37:46', NULL, NULL), (7398, '', '响滩子村', '2eedc3635846467994d7e53f41f49dc1', '5a2f88b1c9ec4a6ca36d044f63f8cc7d', 'False', 'True', 'false', 'false', '510623116878', 5, '响滩子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623116878', 1, '2021-07-19 11:37:47', NULL, NULL), (7399, '', '仓山镇', 'c8b62ab5e4744e11bb5417476f9f5f4f', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623117000', 4, '仓山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623117000', 1, '2021-07-19 11:37:47', NULL, NULL), (7400, '', '人民路社区', '5a1eaa4fa1e64233ab1470b8b417d765', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117003', 5, '人民路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117003', 1, '2021-07-19 11:37:47', NULL, NULL), (7401, '', '古镇社区', '8cf991a435e44fa39d60754f8d5a6827', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117005', 5, '古镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117005', 1, '2021-07-19 11:37:47', NULL, NULL), (7402, '', '元华社区', '1d18be340dcc4c64ae1751adb3452d4d', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117023', 5, '元华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117023', 1, '2021-07-19 11:37:47', NULL, NULL), (7403, '', '飞乌村', '9aaf8b295c48464fa278db6ae99318c1', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117201', 5, '飞乌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117201', 1, '2021-07-19 11:37:47', NULL, NULL), (7404, '', '双碑村', '22d091b06d7e444cac756f6415a5d85d', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117202', 5, '双碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117202', 1, '2021-07-19 11:37:47', NULL, NULL), (7405, '', '南华村', '6f627dc2083346fe8fb346fedbecda0b', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117203', 5, '南华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117203', 1, '2021-07-19 11:37:47', NULL, NULL), (7406, '', '送宝村', 'f8313b62247a4f33a5747950db28e098', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117204', 5, '送宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117204', 1, '2021-07-19 11:37:47', NULL, NULL), (7407, '', '踏水桥村', '51e54b83ba38488d889f132a576d5015', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117207', 5, '踏水桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117207', 1, '2021-07-19 11:37:47', NULL, NULL), (7408, '', '三江村', 'e169ddf0dba24a7f99917e862534a6b8', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117208', 5, '三江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117208', 1, '2021-07-19 11:37:47', NULL, NULL), (7409, '', '三合碑村', '60cafafd6fc540cb9fbc1e90f00d3f42', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117211', 5, '三合碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117211', 1, '2021-07-19 11:37:47', NULL, NULL), (7410, '', '龙怀村', '1aa1e3d5788d4e88905aa76488ae4e65', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117213', 5, '龙怀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117213', 1, '2021-07-19 11:37:47', NULL, NULL), (7411, '', '甘塘村', '51f540baf5dd490288cfa5fbd6369e1d', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117216', 5, '甘塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117216', 1, '2021-07-19 11:37:48', NULL, NULL), (7412, '', '甘露村', 'e0aba3566d724dca865b7fb8543e88b2', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117218', 5, '甘露村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117218', 1, '2021-07-19 11:37:48', NULL, NULL), (7413, '', '祁家沟村', '8af52e3f6a5043f1bb1f23627ad86e68', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117219', 5, '祁家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117219', 1, '2021-07-19 11:37:48', NULL, NULL), (7414, '', '郪城村', '7e15ede9006045ada1b97f767487850e', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117220', 5, '郪城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117220', 1, '2021-07-19 11:37:48', NULL, NULL), (7415, '', '宝塔村', '53c5b0d08fc44d799d5e5fd5c5589819', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117221', 5, '宝塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117221', 1, '2021-07-19 11:37:48', NULL, NULL), (7416, '', '太阳村', '123fe7cee37c408197beee555f636ea7', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117224', 5, '太阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117224', 1, '2021-07-19 11:37:48', NULL, NULL), (7417, '', '独楼村', '463ad53333004ca68ea63d7d1dc17752', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117225', 5, '独楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117225', 1, '2021-07-19 11:37:48', NULL, NULL), (7418, '', '大栗山村', '9a3e620e194c4315a0585047a99baf9f', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117226', 5, '大栗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117226', 1, '2021-07-19 11:37:48', NULL, NULL), (7419, '', '骑龙店村', 'a5435f61c15e48809c2bd075ee81e1df', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117230', 5, '骑龙店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117230', 1, '2021-07-19 11:37:48', NULL, NULL), (7420, '', '黄林村', 'cbccdf278f214b47a9fca94642a22af7', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117231', 5, '黄林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117231', 1, '2021-07-19 11:37:48', NULL, NULL), (7421, '', '华实村', 'a7df04dc83014d119397619f7f4dc352', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117233', 5, '华实村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117233', 1, '2021-07-19 11:37:48', NULL, NULL), (7422, '', '切山村', 'd70c0d286d90458494cd2ca904874285', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117234', 5, '切山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117234', 1, '2021-07-19 11:37:48', NULL, NULL), (7423, '', '响滩村', '6c72af94317d4e4985d811cef85add94', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117236', 5, '响滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117236', 1, '2021-07-19 11:37:48', NULL, NULL), (7424, '', '园山村', '92648c3431bf4231ab5434fcccedbd39', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117237', 5, '园山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117237', 1, '2021-07-19 11:37:48', NULL, NULL), (7425, '', '偏偏店村', '337607d85d864ed98ae48cd7487c9e9c', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117238', 5, '偏偏店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117238', 1, '2021-07-19 11:37:48', NULL, NULL), (7426, '', '玉宇村', '7b918e0e246142c9908e2193b59afce9', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117240', 5, '玉宇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117240', 1, '2021-07-19 11:37:48', NULL, NULL), (7427, '', '元兴村', 'a9374963aaf84c2094432ac52ee37d29', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117242', 5, '元兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117242', 1, '2021-07-19 11:37:49', NULL, NULL), (7428, '', '西阁村', 'ed5c51c99fbd47378ba1e95f9944c5c9', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117243', 5, '西阁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117243', 1, '2021-07-19 11:37:49', NULL, NULL), (7429, '', '富家村', 'a198827eaf76450ab3d5cc5af5b4b065', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117244', 5, '富家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117244', 1, '2021-07-19 11:37:49', NULL, NULL), (7430, '', '跳蹬村', '4d327ce3e6574c0abce20dd5bafcf2c7', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117245', 5, '跳蹬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117245', 1, '2021-07-19 11:37:49', NULL, NULL), (7431, '', '蒲溪村', '8bb57fbdcc6d4be380e786980a7ea716', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117246', 5, '蒲溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117246', 1, '2021-07-19 11:37:49', NULL, NULL), (7432, '', '妙沟村', '21c47402e0a5421e8656111efaba4d39', 'c8b62ab5e4744e11bb5417476f9f5f4f', 'False', 'True', 'false', 'false', '510623117247', 5, '妙沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623117247', 1, '2021-07-19 11:37:49', NULL, NULL), (7433, '', '广福镇', 'ac9610c3292e4e48a5b31f31aeafc47d', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623118000', 4, '广福镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623118000', 1, '2021-07-19 11:37:49', NULL, NULL), (7434, '', '铜山街社区', '47e0e51be817485facaae05cf9642028', 'ac9610c3292e4e48a5b31f31aeafc47d', 'False', 'True', 'false', 'false', '510623118001', 5, '铜山街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623118001', 1, '2021-07-19 11:37:49', NULL, NULL), (7435, '', '宝峰街社区', '9b66551ff61a45c29ea177ac663edabc', 'ac9610c3292e4e48a5b31f31aeafc47d', 'False', 'True', 'false', 'false', '510623118002', 5, '宝峰街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623118002', 1, '2021-07-19 11:37:49', NULL, NULL), (7436, '', '金钱坡村', '20bbc27599ee47d8b56ba2342038e4f7', 'ac9610c3292e4e48a5b31f31aeafc47d', 'False', 'True', 'false', 'false', '510623118202', 5, '金钱坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623118202', 1, '2021-07-19 11:37:49', NULL, NULL), (7437, '', '红岭村', 'a49956da964945f08e70fbe65309ae62', 'ac9610c3292e4e48a5b31f31aeafc47d', 'False', 'True', 'false', 'false', '510623118204', 5, '红岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623118204', 1, '2021-07-19 11:37:49', NULL, NULL), (7438, '', '文林村', '3f9ae0ba0e80423ab01f583bd6c972c9', 'ac9610c3292e4e48a5b31f31aeafc47d', 'False', 'True', 'false', 'false', '510623118208', 5, '文林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623118208', 1, '2021-07-19 11:37:49', NULL, NULL), (7439, '', '铜山村', '1a4cb2f0c3f441c3916d2923949c5137', 'ac9610c3292e4e48a5b31f31aeafc47d', 'False', 'True', 'false', 'false', '510623118210', 5, '铜山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623118210', 1, '2021-07-19 11:37:49', NULL, NULL), (7440, '', '井庙村', '8f7c37f40dcb446e9455549c53562493', 'ac9610c3292e4e48a5b31f31aeafc47d', 'False', 'True', 'false', 'false', '510623118211', 5, '井庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623118211', 1, '2021-07-19 11:37:50', NULL, NULL), (7441, '', '松树村', '548aeb4d374140249dcb621142ecc4bc', 'ac9610c3292e4e48a5b31f31aeafc47d', 'False', 'True', 'false', 'false', '510623118212', 5, '松树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623118212', 1, '2021-07-19 11:37:50', NULL, NULL), (7442, '', '马鞍村', '314f31fca2474be39dd22615f44211bd', 'ac9610c3292e4e48a5b31f31aeafc47d', 'False', 'True', 'false', 'false', '510623118213', 5, '马鞍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623118213', 1, '2021-07-19 11:37:50', NULL, NULL), (7443, '', '柏燕村', '2cf77e84bc964428b2d0c5cdaf89b1da', 'ac9610c3292e4e48a5b31f31aeafc47d', 'False', 'True', 'false', 'false', '510623118214', 5, '柏燕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623118214', 1, '2021-07-19 11:37:50', NULL, NULL), (7444, '', '金光村', 'ccc754dd6b2a4c3eaf34498acb7a5f82', 'ac9610c3292e4e48a5b31f31aeafc47d', 'False', 'True', 'false', 'false', '510623118220', 5, '金光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623118220', 1, '2021-07-19 11:37:50', NULL, NULL), (7445, '', '建中村', '9caa1a78795a458c95c42a9909a7de2a', 'ac9610c3292e4e48a5b31f31aeafc47d', 'False', 'True', 'false', 'false', '510623118221', 5, '建中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623118221', 1, '2021-07-19 11:37:50', NULL, NULL), (7446, '', '长胜村', 'fcba03623dc54a1e9620f7966c5f5b98', 'ac9610c3292e4e48a5b31f31aeafc47d', 'False', 'True', 'false', 'false', '510623118222', 5, '长胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623118222', 1, '2021-07-19 11:37:50', NULL, NULL), (7447, '', '石胜村', '14d371e1af3a43dc81c9d1bcf0447a48', 'ac9610c3292e4e48a5b31f31aeafc47d', 'False', 'True', 'false', 'false', '510623118225', 5, '石胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623118225', 1, '2021-07-19 11:37:50', NULL, NULL), (7448, '', '会龙镇', 'efdfd133fb3b4778aa781e53300b9ffe', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623119000', 4, '会龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623119000', 1, '2021-07-19 11:37:50', NULL, NULL), (7449, '', '清泉社区', 'a37cf53aa77a49db881496775ef68f35', 'efdfd133fb3b4778aa781e53300b9ffe', 'False', 'True', 'false', 'false', '510623119002', 5, '清泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623119002', 1, '2021-07-19 11:37:50', NULL, NULL), (7450, '', '泉柳村', 'e364f3e5646a4ff5bc85145dd23e5145', 'efdfd133fb3b4778aa781e53300b9ffe', 'False', 'True', 'false', 'false', '510623119095', 5, '泉柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623119095', 1, '2021-07-19 11:37:50', NULL, NULL), (7451, '', '会龙村', 'b4aec836713d44d2aadd8e2d2849a71a', 'efdfd133fb3b4778aa781e53300b9ffe', 'False', 'True', 'false', 'false', '510623119201', 5, '会龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623119201', 1, '2021-07-19 11:37:50', NULL, NULL), (7452, '', '丰登村', '308feed891284f28a7d16821c42b0bb9', 'efdfd133fb3b4778aa781e53300b9ffe', 'False', 'True', 'false', 'false', '510623119202', 5, '丰登村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623119202', 1, '2021-07-19 11:37:50', NULL, NULL), (7453, '', '关寨村', 'e20ca6f255ca45f4a3d37d9a7740d528', 'efdfd133fb3b4778aa781e53300b9ffe', 'False', 'True', 'false', 'false', '510623119203', 5, '关寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623119203', 1, '2021-07-19 11:37:50', NULL, NULL), (7454, '', '梨山沟村', 'c1d1cb8347014cb989c2cd9fca12f6b9', 'efdfd133fb3b4778aa781e53300b9ffe', 'False', 'True', 'false', 'false', '510623119204', 5, '梨山沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623119204', 1, '2021-07-19 11:37:51', NULL, NULL), (7455, '', '解放村', '0741bad184404ee19b3ce6d27c27e315', 'efdfd133fb3b4778aa781e53300b9ffe', 'False', 'True', 'false', 'false', '510623119206', 5, '解放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623119206', 1, '2021-07-19 11:37:51', NULL, NULL), (7456, '', '岗石村', 'b312b0086c04444ba2f2feba0586a6e4', 'efdfd133fb3b4778aa781e53300b9ffe', 'False', 'True', 'false', 'false', '510623119208', 5, '岗石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623119208', 1, '2021-07-19 11:37:51', NULL, NULL), (7457, '', '梓潼村', '0290ceba945943548faf12b9371b9f53', 'efdfd133fb3b4778aa781e53300b9ffe', 'False', 'True', 'false', 'false', '510623119211', 5, '梓潼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623119211', 1, '2021-07-19 11:37:51', NULL, NULL), (7458, '', '青杠村', '6e99bd1ee65b4dadad180681b6e642b5', 'efdfd133fb3b4778aa781e53300b9ffe', 'False', 'True', 'false', 'false', '510623119214', 5, '青杠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623119214', 1, '2021-07-19 11:37:51', NULL, NULL), (7459, '', '联盟村', 'a9abf7bbf6fe4b64927de180d737c2f9', 'efdfd133fb3b4778aa781e53300b9ffe', 'False', 'True', 'false', 'false', '510623119216', 5, '联盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623119216', 1, '2021-07-19 11:37:51', NULL, NULL), (7460, '', '万福镇', '464e4296272f40b2a09ccd91f6598fe5', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623120000', 4, '万福镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623120000', 1, '2021-07-19 11:37:51', NULL, NULL), (7461, '', '迎宾路社区', '078862ebb1ec4c0c8371698b3a89b359', '464e4296272f40b2a09ccd91f6598fe5', 'False', 'True', 'false', 'false', '510623120001', 5, '迎宾路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623120001', 1, '2021-07-19 11:37:51', NULL, NULL), (7462, '', '天池村', '67e528eee88f4bb5bb5171c641b96598', '464e4296272f40b2a09ccd91f6598fe5', 'False', 'True', 'false', 'false', '510623120201', 5, '天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623120201', 1, '2021-07-19 11:37:51', NULL, NULL), (7463, '', '桥亭村', '288b04360a014a43ab89f29706356c64', '464e4296272f40b2a09ccd91f6598fe5', 'False', 'True', 'false', 'false', '510623120202', 5, '桥亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623120202', 1, '2021-07-19 11:37:51', NULL, NULL), (7464, '', '中三村', 'd2b039410b254d5099ab80c25a57d689', '464e4296272f40b2a09ccd91f6598fe5', 'False', 'True', 'false', 'false', '510623120204', 5, '中三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623120204', 1, '2021-07-19 11:37:51', NULL, NULL), (7465, '', '昭明村', '8fdb30908c21423c84eb5ecbe11237a0', '464e4296272f40b2a09ccd91f6598fe5', 'False', 'True', 'false', 'false', '510623120205', 5, '昭明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623120205', 1, '2021-07-19 11:37:51', NULL, NULL), (7466, '', '登峰村', 'e7bd6da83b1945669ef7e5fa52e8588c', '464e4296272f40b2a09ccd91f6598fe5', 'False', 'True', 'false', 'false', '510623120207', 5, '登峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623120207', 1, '2021-07-19 11:37:51', NULL, NULL), (7467, '', '长征村', 'e750cdddab5e4cd78e80bd7fe65f8a22', '464e4296272f40b2a09ccd91f6598fe5', 'False', 'True', 'false', 'false', '510623120208', 5, '长征村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623120208', 1, '2021-07-19 11:37:51', NULL, NULL), (7468, '', '金坪村', '2bb877db59f94528aa8948633624650a', '464e4296272f40b2a09ccd91f6598fe5', 'False', 'True', 'false', 'false', '510623120211', 5, '金坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623120211', 1, '2021-07-19 11:37:51', NULL, NULL), (7469, '', '象山村', 'd2b9ca81ceff4c249b2301944b3a1262', '464e4296272f40b2a09ccd91f6598fe5', 'False', 'True', 'false', 'false', '510623120215', 5, '象山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623120215', 1, '2021-07-19 11:37:51', NULL, NULL), (7470, '', '高垭村', '5ccb269d5d2344c4928d4bf709c81050', '464e4296272f40b2a09ccd91f6598fe5', 'False', 'True', 'false', 'false', '510623120217', 5, '高垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623120217', 1, '2021-07-19 11:37:52', NULL, NULL), (7471, '', '普兴镇', 'b2d964066f6246fd8a4946b0acea74cb', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623121000', 4, '普兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623121000', 1, '2021-07-19 11:37:52', NULL, NULL), (7472, '', '清凉村', '3300be1f9f6947b3866d5d207d5254f6', 'b2d964066f6246fd8a4946b0acea74cb', 'False', 'True', 'false', 'false', '510623121011', 5, '清凉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623121011', 1, '2021-07-19 11:37:52', NULL, NULL), (7473, '', '向阳社区', '16effafa299b43969c1038ae5763acf2', 'b2d964066f6246fd8a4946b0acea74cb', 'False', 'True', 'false', 'false', '510623121001', 5, '向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623121001', 1, '2021-07-19 11:37:52', NULL, NULL), (7474, '', '团坝村', 'cec6d22563824d7091e68e696dea32b7', 'b2d964066f6246fd8a4946b0acea74cb', 'False', 'True', 'false', 'false', '510623121201', 5, '团坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623121201', 1, '2021-07-19 11:37:52', NULL, NULL), (7475, '', '龙门村', '117c7f07ed6c4765a37a4acdd3533955', 'b2d964066f6246fd8a4946b0acea74cb', 'False', 'True', 'false', 'false', '510623121204', 5, '龙门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623121204', 1, '2021-07-19 11:37:52', NULL, NULL), (7476, '', '静安村', '0a8ca99897674206bb1310758c3f3402', 'b2d964066f6246fd8a4946b0acea74cb', 'False', 'True', 'false', 'false', '510623121206', 5, '静安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623121206', 1, '2021-07-19 11:37:52', NULL, NULL), (7477, '', '山川村', 'f644f3a817d54653a271f314438d2db8', 'b2d964066f6246fd8a4946b0acea74cb', 'False', 'True', 'false', 'false', '510623121207', 5, '山川村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623121207', 1, '2021-07-19 11:37:52', NULL, NULL), (7478, '', '铜铃村', '8839ba8d4c214f8bbf132c518f95f08a', 'b2d964066f6246fd8a4946b0acea74cb', 'False', 'True', 'false', 'false', '510623121209', 5, '铜铃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623121209', 1, '2021-07-19 11:37:52', NULL, NULL), (7479, '', '新星村', 'bef5e2da71f24c169a65a8e2f5718b5d', 'b2d964066f6246fd8a4946b0acea74cb', 'False', 'True', 'false', 'false', '510623121210', 5, '新星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623121210', 1, '2021-07-19 11:37:52', NULL, NULL), (7480, '', '石龙店村', 'c2db8d56762d44189a1752f51b57bb56', 'b2d964066f6246fd8a4946b0acea74cb', 'False', 'True', 'false', 'false', '510623121212', 5, '石龙店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623121212', 1, '2021-07-19 11:37:52', NULL, NULL), (7481, '', '东升村', 'b0492455aa1a42688cac85513d942787', 'b2d964066f6246fd8a4946b0acea74cb', 'False', 'True', 'false', 'false', '510623121216', 5, '东升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623121216', 1, '2021-07-19 11:37:52', NULL, NULL), (7482, '', '联合镇', '8a2534183d0440f9995ff80798e7f5ce', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623122000', 4, '联合镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623122000', 1, '2021-07-19 11:37:52', NULL, NULL), (7483, '', '利民社区', 'b1c7865be5ee4a9797749dd7463aa273', '8a2534183d0440f9995ff80798e7f5ce', 'False', 'True', 'false', 'false', '510623122001', 5, '利民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623122001', 1, '2021-07-19 11:37:52', NULL, NULL), (7484, '', '鱼山村', 'a379cf7675ba47c88107a53bec9bdbf1', '8a2534183d0440f9995ff80798e7f5ce', 'False', 'True', 'false', 'false', '510623122006', 5, '鱼山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623122006', 1, '2021-07-19 11:37:52', NULL, NULL), (7485, '', '柏弯村', '649cc52f867f41ceaa1d8e77223df2ae', '8a2534183d0440f9995ff80798e7f5ce', 'False', 'True', 'false', 'false', '510623122093', 5, '柏弯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623122093', 1, '2021-07-19 11:37:52', NULL, NULL), (7486, '', '石龙村', '7fc110e6d6794abfad3754580c6b4ce1', '8a2534183d0440f9995ff80798e7f5ce', 'False', 'True', 'false', 'false', '510623122165', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623122165', 1, '2021-07-19 11:37:52', NULL, NULL), (7487, '', '联合村', '63710c43d6164ab8933008c0f8887fad', '8a2534183d0440f9995ff80798e7f5ce', 'False', 'True', 'false', 'false', '510623122201', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623122201', 1, '2021-07-19 11:37:52', NULL, NULL), (7488, '', '雄狮村', '0a53c55ba11f434cbae7e3b497603e91', '8a2534183d0440f9995ff80798e7f5ce', 'False', 'True', 'false', 'false', '510623122203', 5, '雄狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623122203', 1, '2021-07-19 11:37:53', NULL, NULL), (7489, '', '转龙村', '4baac400ad4e4469b45bfbb118baad46', '8a2534183d0440f9995ff80798e7f5ce', 'False', 'True', 'false', 'false', '510623122206', 5, '转龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623122206', 1, '2021-07-19 11:37:53', NULL, NULL), (7490, '', '宝莲村', 'da217c38c497428aad12a6621a21dd24', '8a2534183d0440f9995ff80798e7f5ce', 'False', 'True', 'false', 'false', '510623122207', 5, '宝莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623122207', 1, '2021-07-19 11:37:53', NULL, NULL), (7491, '', '八一村', '57d68756a87640f6ba7b0f2616394e75', '8a2534183d0440f9995ff80798e7f5ce', 'False', 'True', 'false', 'false', '510623122208', 5, '八一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623122208', 1, '2021-07-19 11:37:53', NULL, NULL), (7492, '', '中合村', '788a7ed04f2f456f9d72f4535e5389f0', '8a2534183d0440f9995ff80798e7f5ce', 'False', 'True', 'false', 'false', '510623122212', 5, '中合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623122212', 1, '2021-07-19 11:37:53', NULL, NULL), (7493, '', '五一村', '172e7999913045b4b01ba4859cce82f7', '8a2534183d0440f9995ff80798e7f5ce', 'False', 'True', 'false', 'false', '510623122213', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623122213', 1, '2021-07-19 11:37:53', NULL, NULL), (7494, '', '杨柳村', '87fbbbca2cc6458092711f8f620bd007', '8a2534183d0440f9995ff80798e7f5ce', 'False', 'True', 'false', 'false', '510623122214', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623122214', 1, '2021-07-19 11:37:53', NULL, NULL), (7495, '', '狮桥村', '2de4a44797314494b84160641781559d', '8a2534183d0440f9995ff80798e7f5ce', 'False', 'True', 'false', 'false', '510623122217', 5, '狮桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623122217', 1, '2021-07-19 11:37:53', NULL, NULL), (7496, '', '兴石社区', 'fe8a6bf77c084695acdf8aa583b89a45', '8a2534183d0440f9995ff80798e7f5ce', 'False', 'True', 'false', 'false', '510623122597', 5, '兴石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623122597', 1, '2021-07-19 11:37:53', NULL, NULL), (7497, '', '青林村', '1c2f173be9bd46afb93c7da480ab90cb', '8a2534183d0440f9995ff80798e7f5ce', 'False', 'True', 'false', 'false', '510623122846', 5, '青林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623122846', 1, '2021-07-19 11:37:53', NULL, NULL), (7498, '', '古林村', 'f6e9be24e57441d0a58aeaa996e76adb', '8a2534183d0440f9995ff80798e7f5ce', 'False', 'True', 'false', 'false', '510623122925', 5, '古林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623122925', 1, '2021-07-19 11:37:53', NULL, NULL), (7499, '', '银水村', '936dfc22fefa4a32ab939c58354be8cd', '8a2534183d0440f9995ff80798e7f5ce', 'False', 'True', 'false', 'false', '510623122982', 5, '银水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623122982', 1, '2021-07-19 11:37:53', NULL, NULL), (7500, '', '冯店镇', 'b091b0fdf39444cfaa48f6faf1c3e0bf', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623123000', 4, '冯店镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623123000', 1, '2021-07-19 11:37:53', NULL, NULL), (7501, '', '冯淮路社区', '7cfc62a1c01e40928f3fb815a74d0e96', 'b091b0fdf39444cfaa48f6faf1c3e0bf', 'False', 'True', 'false', 'false', '510623123002', 5, '冯淮路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623123002', 1, '2021-07-19 11:37:53', NULL, NULL), (7502, '', '春风村', 'fec5d6ce54a64911b5817dcc28d13414', 'b091b0fdf39444cfaa48f6faf1c3e0bf', 'False', 'True', 'false', 'false', '510623123202', 5, '春风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623123202', 1, '2021-07-19 11:37:54', NULL, NULL), (7503, '', '龙潭村', 'cf7695b6d9b24a07b2bb3bf5bd52b97c', 'b091b0fdf39444cfaa48f6faf1c3e0bf', 'False', 'True', 'false', 'false', '510623123204', 5, '龙潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623123204', 1, '2021-07-19 11:37:54', NULL, NULL), (7504, '', '观音沟村', '798a8b914c424c27a0bbc388f74a53c3', 'b091b0fdf39444cfaa48f6faf1c3e0bf', 'False', 'True', 'false', 'false', '510623123206', 5, '观音沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623123206', 1, '2021-07-19 11:37:54', NULL, NULL), (7505, '', '黄坪村', 'c2f6cf5da19b49cb9b7ee67859d64f34', 'b091b0fdf39444cfaa48f6faf1c3e0bf', 'False', 'True', 'false', 'false', '510623123208', 5, '黄坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623123208', 1, '2021-07-19 11:37:54', NULL, NULL), (7506, '', '蜡树村', 'f2762b5a9500448ab2dba1e136f2753a', 'b091b0fdf39444cfaa48f6faf1c3e0bf', 'False', 'True', 'false', 'false', '510623123210', 5, '蜡树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623123210', 1, '2021-07-19 11:37:54', NULL, NULL), (7507, '', '小金村', 'afee216d972a4ea9a408ae691341131b', 'b091b0fdf39444cfaa48f6faf1c3e0bf', 'False', 'True', 'false', 'false', '510623123211', 5, '小金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623123211', 1, '2021-07-19 11:37:54', NULL, NULL), (7508, '', '新仓村', 'e0b05a136c524ed8818b58bfa9c070b8', 'b091b0fdf39444cfaa48f6faf1c3e0bf', 'False', 'True', 'false', 'false', '510623123212', 5, '新仓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623123212', 1, '2021-07-19 11:37:54', NULL, NULL), (7509, '', '禾家村', '2bbff4e98be24407b34ee2db7258cc24', 'b091b0fdf39444cfaa48f6faf1c3e0bf', 'False', 'True', 'false', 'false', '510623123214', 5, '禾家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623123214', 1, '2021-07-19 11:37:54', NULL, NULL), (7510, '', '李都村', '41548d74221b4f59ba68240202e3674e', 'b091b0fdf39444cfaa48f6faf1c3e0bf', 'False', 'True', 'false', 'false', '510623123216', 5, '李都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623123216', 1, '2021-07-19 11:37:54', NULL, NULL), (7511, '', '童家村', '5b9c020c66804285922d6736cf1d725a', 'b091b0fdf39444cfaa48f6faf1c3e0bf', 'False', 'True', 'false', 'false', '510623123218', 5, '童家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623123218', 1, '2021-07-19 11:37:54', NULL, NULL), (7512, '', '平梁村', '6ca6b66c372e44178f6aa10267f4b717', 'b091b0fdf39444cfaa48f6faf1c3e0bf', 'False', 'True', 'false', 'false', '510623123219', 5, '平梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623123219', 1, '2021-07-19 11:37:54', NULL, NULL), (7513, '', '天山村', 'e22627cb25314eb4a156f7de04946c0c', 'b091b0fdf39444cfaa48f6faf1c3e0bf', 'False', 'True', 'false', 'false', '510623123222', 5, '天山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623123222', 1, '2021-07-19 11:37:54', NULL, NULL), (7514, '', '玉兔村', '19b1cda4f6584a72a182432f350793ce', 'b091b0fdf39444cfaa48f6faf1c3e0bf', 'False', 'True', 'false', 'false', '510623123223', 5, '玉兔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623123223', 1, '2021-07-19 11:37:54', NULL, NULL), (7515, '', '妙丰村', 'd313916d01e14a6eaecf51ab360a47bc', 'b091b0fdf39444cfaa48f6faf1c3e0bf', 'False', 'True', 'false', 'false', '510623123224', 5, '妙丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623123224', 1, '2021-07-19 11:37:55', NULL, NULL), (7516, '', '古石村', 'd22767aaeacf4788895487dd56759305', 'b091b0fdf39444cfaa48f6faf1c3e0bf', 'False', 'True', 'false', 'false', '510623123227', 5, '古石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623123227', 1, '2021-07-19 11:37:55', NULL, NULL), (7517, '', '三河村', '1eeca7379d684fd9952f6cc30ba1c636', 'b091b0fdf39444cfaa48f6faf1c3e0bf', 'False', 'True', 'false', 'false', '510623123228', 5, '三河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623123228', 1, '2021-07-19 11:37:55', NULL, NULL), (7518, '', '积金镇', 'f2aea5bd39c54df4a84d6034779b9554', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623124000', 4, '积金镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623124000', 1, '2021-07-19 11:37:55', NULL, NULL), (7519, '', '场镇社区', 'dce539c8cf984265b9587f6b395861a2', 'f2aea5bd39c54df4a84d6034779b9554', 'False', 'True', 'false', 'false', '510623124003', 5, '场镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623124003', 1, '2021-07-19 11:37:55', NULL, NULL), (7520, '', '石桥村', '65b2328bd40a4a768efa4e1fa026d735', 'f2aea5bd39c54df4a84d6034779b9554', 'False', 'True', 'false', 'false', '510623124209', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623124209', 1, '2021-07-19 11:37:55', NULL, NULL), (7521, '', '富裕村', 'b251414836ae493e806a1f764ee7d602', 'f2aea5bd39c54df4a84d6034779b9554', 'False', 'True', 'false', 'false', '510623124210', 5, '富裕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623124210', 1, '2021-07-19 11:37:55', NULL, NULL), (7522, '', '华泉村', 'e460ab27dda14e319a0e95f24cdab233', 'f2aea5bd39c54df4a84d6034779b9554', 'False', 'True', 'false', 'false', '510623124211', 5, '华泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623124211', 1, '2021-07-19 11:37:55', NULL, NULL), (7523, '', '宏程村', 'dcc2f8924e1143c8a71e5f9244c02f0f', 'f2aea5bd39c54df4a84d6034779b9554', 'False', 'True', 'false', 'false', '510623124212', 5, '宏程村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623124212', 1, '2021-07-19 11:37:55', NULL, NULL), (7524, '', '先锋村', '7af8803ec9d44b9ab9f12e84141d89ac', 'f2aea5bd39c54df4a84d6034779b9554', 'False', 'True', 'false', 'false', '510623124214', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623124214', 1, '2021-07-19 11:37:55', NULL, NULL), (7525, '', '长丰村', '88c16fad92384f36bf29b08c7456bcec', 'f2aea5bd39c54df4a84d6034779b9554', 'False', 'True', 'false', 'false', '510623124217', 5, '长丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623124217', 1, '2021-07-19 11:37:55', NULL, NULL), (7526, '', '黄金村', '8a5fb177c95644cab2a5402190cb5e14', 'f2aea5bd39c54df4a84d6034779b9554', 'False', 'True', 'false', 'false', '510623124218', 5, '黄金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623124218', 1, '2021-07-19 11:37:55', NULL, NULL), (7527, '', '田丰村', 'ecc872cfbee143a7b4d6632150efb7c9', 'f2aea5bd39c54df4a84d6034779b9554', 'False', 'True', 'false', 'false', '510623124219', 5, '田丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623124219', 1, '2021-07-19 11:37:55', NULL, NULL), (7528, '', '文玉村', 'fc73ee1bd7e84dac805ab63638bed1d6', 'f2aea5bd39c54df4a84d6034779b9554', 'False', 'True', 'false', 'false', '510623124220', 5, '文玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623124220', 1, '2021-07-19 11:37:55', NULL, NULL), (7529, '', '积金村', '731120a1c0bd44dfbafc1ad50fd60fcb', 'f2aea5bd39c54df4a84d6034779b9554', 'False', 'True', 'false', 'false', '510623124878', 5, '积金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623124878', 1, '2021-07-19 11:37:55', NULL, NULL), (7530, '', '太安镇', '4ad3b49fd21b4796b2083e6269f5dc7b', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623125000', 4, '太安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623125000', 1, '2021-07-19 11:37:55', NULL, NULL), (7531, '', '太平街社区', 'b83ba18c286745a49419f8d4eee3bf2f', '4ad3b49fd21b4796b2083e6269f5dc7b', 'False', 'True', 'false', 'false', '510623125001', 5, '太平街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623125001', 1, '2021-07-19 11:37:55', NULL, NULL), (7532, '', '太安村', '5a958039a5684a178319fb1bef3af33d', '4ad3b49fd21b4796b2083e6269f5dc7b', 'False', 'True', 'false', 'false', '510623125201', 5, '太安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623125201', 1, '2021-07-19 11:37:56', NULL, NULL), (7533, '', '月亮村', '2580a4419af64a11a9b0c90fccdb9d07', '4ad3b49fd21b4796b2083e6269f5dc7b', 'False', 'True', 'false', 'false', '510623125204', 5, '月井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623125204', 1, '2021-07-19 11:37:56', NULL, NULL), (7534, '', '高庙村', '358f6bb1d4e04d2485e85179a13fa2e3', '4ad3b49fd21b4796b2083e6269f5dc7b', 'False', 'True', 'false', 'false', '510623125206', 5, '高庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623125206', 1, '2021-07-19 11:37:56', NULL, NULL), (7535, '', '福寨村', '33095846d9db4b5ea9cbc4b5d0afbff3', '4ad3b49fd21b4796b2083e6269f5dc7b', 'False', 'True', 'false', 'false', '510623125208', 5, '福寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623125208', 1, '2021-07-19 11:37:56', NULL, NULL), (7536, '', '玉华村', 'f117befc7fdd4f5f8ea6ed9ab5542e8d', '4ad3b49fd21b4796b2083e6269f5dc7b', 'False', 'True', 'false', 'false', '510623125210', 5, '玉华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623125210', 1, '2021-07-19 11:37:56', NULL, NULL), (7537, '', '大坪村', '09c4a0efcecb4961819eb453a1d6a086', '4ad3b49fd21b4796b2083e6269f5dc7b', 'False', 'True', 'false', 'false', '510623125211', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623125211', 1, '2021-07-19 11:37:56', NULL, NULL), (7538, '', '游龙村', 'e5aaa8ec886041faace66c20738d83ef', '4ad3b49fd21b4796b2083e6269f5dc7b', 'False', 'True', 'false', 'false', '510623125213', 5, '游龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623125213', 1, '2021-07-19 11:37:56', NULL, NULL), (7539, '', '保安村', '6c692580a6d842febfa676288f1b8e49', '4ad3b49fd21b4796b2083e6269f5dc7b', 'False', 'True', 'false', 'false', '510623125216', 5, '保安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623125216', 1, '2021-07-19 11:37:56', NULL, NULL), (7540, '', '红泉村', '2862e4212b4b459a82413672d5dac101', '4ad3b49fd21b4796b2083e6269f5dc7b', 'False', 'True', 'false', 'false', '510623125218', 5, '红泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623125218', 1, '2021-07-19 11:37:56', NULL, NULL), (7541, '', '凤凰村', '6b293d360af34f039ecf571822372adf', '4ad3b49fd21b4796b2083e6269f5dc7b', 'False', 'True', 'false', 'false', '510623125221', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623125221', 1, '2021-07-19 11:37:56', NULL, NULL), (7542, '', '柏树乡', '3e889da652ed43caaf3ab80644d1f686', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623206000', 4, '柏树乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623206000', 1, '2021-07-19 11:37:56', NULL, NULL), (7543, '', '南盛街社区', '1b15f88cb1ab401fae4f43a28ef6f6e2', '3e889da652ed43caaf3ab80644d1f686', 'False', 'True', 'false', 'false', '510623206001', 5, '南盛街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623206001', 1, '2021-07-19 11:37:56', NULL, NULL), (7544, '', '左街社区', 'ddeec066abb14ad997e6dbc5b1bd34f4', '3e889da652ed43caaf3ab80644d1f686', 'False', 'True', 'false', 'false', '510623206002', 5, '左街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623206002', 1, '2021-07-19 11:37:56', NULL, NULL), (7545, '', '石河村', '7cd8eef69529441cb0bf3b492b1a0c49', '3e889da652ed43caaf3ab80644d1f686', 'False', 'True', 'false', 'false', '510623206027', 5, '石河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623206027', 1, '2021-07-19 11:37:56', NULL, NULL), (7546, '', '洞咀村', '6c5dd411752344d4b2cc22b6e0c52e49', '3e889da652ed43caaf3ab80644d1f686', 'False', 'True', 'false', 'false', '510623206203', 5, '洞咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623206203', 1, '2021-07-19 11:37:56', NULL, NULL), (7547, '', '五堂村', '0f253b33788f4d95aade2703eb510ad8', '3e889da652ed43caaf3ab80644d1f686', 'False', 'True', 'false', 'false', '510623206205', 5, '五堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623206205', 1, '2021-07-19 11:37:56', NULL, NULL), (7548, '', '紫桥村', 'b26de6b5982c436898df5cbb74f3a8fb', '3e889da652ed43caaf3ab80644d1f686', 'False', 'True', 'false', 'false', '510623206208', 5, '紫桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623206208', 1, '2021-07-19 11:37:57', NULL, NULL), (7549, '', '柏树村', '77a9d54da4ef4376b76f0903b71b91bf', '3e889da652ed43caaf3ab80644d1f686', 'False', 'True', 'false', 'false', '510623206209', 5, '柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623206209', 1, '2021-07-19 11:37:57', NULL, NULL), (7550, '', '群龙村', 'f3074b050ead4ff99bdb104f49d9baf2', '3e889da652ed43caaf3ab80644d1f686', 'False', 'True', 'false', 'false', '510623206210', 5, '群龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623206210', 1, '2021-07-19 11:37:57', NULL, NULL), (7551, '', '普陀村', 'c948edf5b8a348ba9d5c2118a6b2b2a6', '3e889da652ed43caaf3ab80644d1f686', 'False', 'True', 'false', 'false', '510623206211', 5, '普陀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623206211', 1, '2021-07-19 11:37:57', NULL, NULL), (7552, '', '龙寨村', 'e5acbe7b8c224c3281473c1e2c392e88', '3e889da652ed43caaf3ab80644d1f686', 'False', 'True', 'false', 'false', '510623206212', 5, '龙寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623206212', 1, '2021-07-19 11:37:57', NULL, NULL), (7553, '', '观井村', 'dcd3f2a168b542209522eb53a8efc9cd', '3e889da652ed43caaf3ab80644d1f686', 'False', 'True', 'false', 'false', '510623206214', 5, '观井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623206214', 1, '2021-07-19 11:37:57', NULL, NULL), (7554, '', '白庙村', '0662f44167b74c67bd777d363a1cd1b8', '3e889da652ed43caaf3ab80644d1f686', 'False', 'True', 'false', 'false', '510623206215', 5, '白庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623206215', 1, '2021-07-19 11:37:57', NULL, NULL), (7555, '', '金湾村', 'fbebc604824f4011bcb5817eec6f470a', '3e889da652ed43caaf3ab80644d1f686', 'False', 'True', 'false', 'false', '510623206219', 5, '金湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623206219', 1, '2021-07-19 11:37:57', NULL, NULL), (7556, '', '白果乡', '0d58351e2c8e4ee3bc59188a13399bfe', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623207000', 4, '白果乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623207000', 1, '2021-07-19 11:37:57', NULL, NULL), (7557, '', '银杏社区', '0c6b8e08ce7b49999e2ea861f6f92a91', '0d58351e2c8e4ee3bc59188a13399bfe', 'False', 'True', 'false', 'false', '510623207001', 5, '银杏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623207001', 1, '2021-07-19 11:37:57', NULL, NULL), (7558, '', '白果村', '2c5c6f763af2479eb4d614808cf52c6b', '0d58351e2c8e4ee3bc59188a13399bfe', 'False', 'True', 'false', 'false', '510623207201', 5, '白果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623207201', 1, '2021-07-19 11:37:58', NULL, NULL), (7559, '', '玉桂村', 'c8688fe9813e4497897f866637a8e4c5', '0d58351e2c8e4ee3bc59188a13399bfe', 'False', 'True', 'false', 'false', '510623207203', 5, '玉桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623207203', 1, '2021-07-19 11:37:58', NULL, NULL), (7560, '', '彩虹村', 'f52565b4ebd540f0b30b636a6d9ac8e3', '0d58351e2c8e4ee3bc59188a13399bfe', 'False', 'True', 'false', 'false', '510623207205', 5, '彩虹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623207205', 1, '2021-07-19 11:37:58', NULL, NULL), (7561, '', '百安村', '1c441e909aa74a8c905b936ab4a734e7', '0d58351e2c8e4ee3bc59188a13399bfe', 'False', 'True', 'false', 'false', '510623207208', 5, '百安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623207208', 1, '2021-07-19 11:37:58', NULL, NULL), (7562, '', '甘柏村', '7a98861ec56347cbb171ec78fa12bea9', '0d58351e2c8e4ee3bc59188a13399bfe', 'False', 'True', 'false', 'false', '510623207209', 5, '甘柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623207209', 1, '2021-07-19 11:37:58', NULL, NULL), (7563, '', '黄桷村', 'c4dd5e532b1e43a1a410ec767105cc37', '0d58351e2c8e4ee3bc59188a13399bfe', 'False', 'True', 'false', 'false', '510623207211', 5, '黄桷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623207211', 1, '2021-07-19 11:37:58', NULL, NULL), (7564, '', '快活村', '1791b8b906c1442aaf52abcdb783bcd3', '0d58351e2c8e4ee3bc59188a13399bfe', 'False', 'True', 'false', 'false', '510623207213', 5, '快活村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623207213', 1, '2021-07-19 11:37:58', NULL, NULL), (7565, '', '芝兰村', '7933e59938684385be7936592627c3a0', '0d58351e2c8e4ee3bc59188a13399bfe', 'False', 'True', 'false', 'false', '510623207216', 5, '芝兰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623207216', 1, '2021-07-19 11:37:58', NULL, NULL), (7566, '', '毛店村', '28fba4215b2f409ebe6b3479ca227a32', '0d58351e2c8e4ee3bc59188a13399bfe', 'False', 'True', 'false', 'false', '510623207217', 5, '毛店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623207217', 1, '2021-07-19 11:37:58', NULL, NULL), (7567, '', '永丰乡', '3a5ce034d92643508af059a9bc40ee17', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623214000', 4, '永丰乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623214000', 1, '2021-07-19 11:37:58', NULL, NULL), (7568, '', '街道社区', '2a337652cd1d41b09f9e5bb12677b93d', '3a5ce034d92643508af059a9bc40ee17', 'False', 'True', 'false', 'false', '510623214001', 5, '街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623214001', 1, '2021-07-19 11:37:58', NULL, NULL), (7569, '', '永丰村', '5bedbf346c9c433692c33e26bbd6d687', '3a5ce034d92643508af059a9bc40ee17', 'False', 'True', 'false', 'false', '510623214201', 5, '永丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623214201', 1, '2021-07-19 11:37:58', NULL, NULL), (7570, '', '新开村', '3230b05fa53545269dc2e9e025c92e9a', '3a5ce034d92643508af059a9bc40ee17', 'False', 'True', 'false', 'false', '510623214204', 5, '新开村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623214204', 1, '2021-07-19 11:37:58', NULL, NULL), (7571, '', '杨家场村', '5958e22fb26d4ba28f0b5149d8d617d8', '3a5ce034d92643508af059a9bc40ee17', 'False', 'True', 'false', 'false', '510623214205', 5, '杨家场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623214205', 1, '2021-07-19 11:37:58', NULL, NULL), (7572, '', '兴共村', '0313ec6490c5439eafc15216a69daec6', '3a5ce034d92643508af059a9bc40ee17', 'False', 'True', 'false', 'false', '510623214207', 5, '兴共村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623214207', 1, '2021-07-19 11:37:59', NULL, NULL), (7573, '', '谭受村', '26580e9eedaa4a7198bde85d949ce209', '3a5ce034d92643508af059a9bc40ee17', 'False', 'True', 'false', 'false', '510623214209', 5, '谭受村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623214209', 1, '2021-07-19 11:37:59', NULL, NULL), (7574, '', '碉楼村', 'b7f0fc41ec9d48ff99b6c7142403251c', '3a5ce034d92643508af059a9bc40ee17', 'False', 'True', 'false', 'false', '510623214210', 5, '碉楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623214210', 1, '2021-07-19 11:37:59', NULL, NULL), (7575, '', '延寿村', 'f3fdd385a2f54d42a9df344f339cd172', '3a5ce034d92643508af059a9bc40ee17', 'False', 'True', 'false', 'false', '510623214212', 5, '延寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623214212', 1, '2021-07-19 11:37:59', NULL, NULL), (7576, '', '保和村', '7a4bbe6bb86b4c4c9117ff5460218ea2', '3a5ce034d92643508af059a9bc40ee17', 'False', 'True', 'false', 'false', '510623214213', 5, '保和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623214213', 1, '2021-07-19 11:37:59', NULL, NULL), (7577, '', '通山乡', '5f00b934318e4005b7cb98d9ebe6e60b', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623218000', 4, '通山乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623218000', 1, '2021-07-19 11:37:59', NULL, NULL), (7578, '', '赛金村', '9eb33c5f86f049d5b349b01bb3ad1921', '5f00b934318e4005b7cb98d9ebe6e60b', 'False', 'True', 'false', 'false', '510623218007', 5, '赛金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623218007', 1, '2021-07-19 11:37:59', NULL, NULL), (7579, '', '金江村', '5e2401f2b3b7446ba9c85d564ee49cd7', '5f00b934318e4005b7cb98d9ebe6e60b', 'False', 'True', 'false', 'false', '510623218008', 5, '金江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623218008', 1, '2021-07-19 11:37:59', NULL, NULL), (7580, '', '北华社区', 'e44bdcbcaaaf4319825297fbbb4a011a', '5f00b934318e4005b7cb98d9ebe6e60b', 'False', 'True', 'false', 'false', '510623218001', 5, '北华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623218001', 1, '2021-07-19 11:37:59', NULL, NULL), (7581, '', '通山村', 'c2afdba52ae342c0b74b4eb24ad41e10', '5f00b934318e4005b7cb98d9ebe6e60b', 'False', 'True', 'false', 'false', '510623218201', 5, '通山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623218201', 1, '2021-07-19 11:37:59', NULL, NULL), (7582, '', '华安村', '22a5bcbefa2946ee9a78b5319ceb764d', '5f00b934318e4005b7cb98d9ebe6e60b', 'False', 'True', 'false', 'false', '510623218203', 5, '华安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623218203', 1, '2021-07-19 11:37:59', NULL, NULL), (7583, '', '前进村', '4b9803d34b34482fb520c92f138c75c3', '5f00b934318e4005b7cb98d9ebe6e60b', 'False', 'True', 'false', 'false', '510623218206', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623218206', 1, '2021-07-19 11:37:59', NULL, NULL), (7584, '', '古桥村', 'd8b512f7a0044ef28eb3169567ef38f4', '5f00b934318e4005b7cb98d9ebe6e60b', 'False', 'True', 'false', 'false', '510623218209', 5, '古桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623218209', 1, '2021-07-19 11:38:00', NULL, NULL), (7585, '', '大桥村', '716a33e8b418459dba81582b3cb66d29', '5f00b934318e4005b7cb98d9ebe6e60b', 'False', 'True', 'false', 'false', '510623218211', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623218211', 1, '2021-07-19 11:38:00', NULL, NULL), (7586, '', '金兴村', 'e685a1cd05134121aa56a57d9f0345a0', '5f00b934318e4005b7cb98d9ebe6e60b', 'False', 'True', 'false', 'false', '510623218212', 5, '金兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623218212', 1, '2021-07-19 11:38:00', NULL, NULL), (7587, '', '南华镇', 'bf244926b3ae4123b4d588b3423762ca', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623322000', 4, '南华镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623322000', 1, '2021-07-19 11:38:00', NULL, NULL), (7588, '', '槐安社区', 'b40b7ab9509f4ec6a218dd0093159efb', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101248', 5, '槐安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101248', 1, '2021-07-19 11:38:00', NULL, NULL), (7589, '', '西江北路社区', '96b6eb15adf84161820411993db5c43e', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101002', 5, '西江北路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101002', 1, '2021-07-19 11:38:00', NULL, NULL), (7590, '', '龙华社区', 'e883f361f20344cc9765933e320aa6ce', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101004', 5, '龙华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101004', 1, '2021-07-19 11:38:00', NULL, NULL), (7591, '', '谭家街社区', 'e5cbc2597532482b930b984160b9895d', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101006', 5, '谭家街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101006', 1, '2021-07-19 11:38:00', NULL, NULL), (7592, '', '余家河社区', 'b41d6b0b544242a3b843613cb995c4f2', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101007', 5, '余家河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101007', 1, '2021-07-19 11:38:00', NULL, NULL), (7593, '', '太和社区', 'c19f004b90fd433f977b5823f8236e78', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101008', 5, '太和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101008', 1, '2021-07-19 11:38:00', NULL, NULL), (7594, '', '南渡社区', '0fa32dd417444b728ecf03cc7fd7ebf1', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101009', 5, '南渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101009', 1, '2021-07-19 11:38:00', NULL, NULL), (7595, '', '集新社区', 'f82bc32e14ab48e3ab26dcffcb7038f9', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101010', 5, '集新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101010', 1, '2021-07-19 11:38:00', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (7596, '', '龙华村', 'e807cfbfe5254970be46f7158d18d053', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101201', 5, '龙华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101201', 1, '2021-07-19 11:38:01', NULL, NULL), (7597, '', '金银山村', '50b146a1d6df4496b0a0f452dd55ab0f', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101202', 5, '金银山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101202', 1, '2021-07-19 11:38:01', NULL, NULL), (7598, '', '上马村', '7a0b940d87cd46f0ab7ccdc5b755b1fe', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101203', 5, '上马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101203', 1, '2021-07-19 11:38:01', NULL, NULL), (7599, '', '李园村', '5e7fa971b5074227b5b7c9e801addef3', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101205', 5, '李园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101205', 1, '2021-07-19 11:38:01', NULL, NULL), (7600, '', '老坪村', 'fad9b1d2d67c49cfb8b5339fb153d4a7', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101206', 5, '老坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101206', 1, '2021-07-19 11:38:01', NULL, NULL), (7601, '', '石墙村', '6986a418ade04f38baf8d39177db7b2b', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101207', 5, '石墙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101207', 1, '2021-07-19 11:38:01', NULL, NULL), (7602, '', '严家湾村', '409b14632cd34fd9990a135f326009e8', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101208', 5, '严家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101208', 1, '2021-07-19 11:38:01', NULL, NULL), (7603, '', '五块碑村', 'fad6ef5f50244196afc3b6e051e9a80b', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101209', 5, '五块碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101209', 1, '2021-07-19 11:38:01', NULL, NULL), (7604, '', '西山村', 'dcd67785c65a46828ebc2414f85ee34c', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101210', 5, '西山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101210', 1, '2021-07-19 11:38:01', NULL, NULL), (7605, '', '积水村', '4c76ef4ad56d47f1bd23dd8e931f7e18', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101211', 5, '积水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101211', 1, '2021-07-19 11:38:01', NULL, NULL), (7606, '', '涌泉村', 'b98f3831490b4a549facec76b9fceb35', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101212', 5, '涌泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101212', 1, '2021-07-19 11:38:02', NULL, NULL), (7607, '', '苏家坝村', 'd9c8d045066742b0b1594f99fbe5bac6', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101213', 5, '苏家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101213', 1, '2021-07-19 11:38:02', NULL, NULL), (7608, '', '高桥村', '3252b1694f1748a8863b9900b5c9001a', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101215', 5, '高桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101215', 1, '2021-07-19 11:38:02', NULL, NULL), (7609, '', '金盆村', 'f3040c2845f745ae8d7744d00211bf25', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101216', 5, '金盆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101216', 1, '2021-07-19 11:38:02', NULL, NULL), (7610, '', '五里坡村', '7db3a6840aea4a748b5fdd8282f8cf47', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101219', 5, '五里坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101219', 1, '2021-07-19 11:38:02', NULL, NULL), (7611, '', '南渡村', '7ed0181eb9364dd0b1a6e488bc740a85', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101220', 5, '南渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101220', 1, '2021-07-19 11:38:02', NULL, NULL), (7612, '', '团结村', '6733df7debe1440d840aa72c5ddc3515', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101221', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101221', 1, '2021-07-19 11:38:02', NULL, NULL), (7613, '', '前锋村', '66133c1f906a4edfabbf7662c78153bc', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101222', 5, '前锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101222', 1, '2021-07-19 11:38:02', NULL, NULL), (7614, '', '民主村', 'd43a549408604dd196b957d1f15f84c5', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101223', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101223', 1, '2021-07-19 11:38:02', NULL, NULL), (7615, '', '黎明村', '0331433785324cfbba5ff574d422fb8a', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101224', 5, '黎明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101224', 1, '2021-07-19 11:38:02', NULL, NULL), (7616, '', '南坝村', '00f543ec015146ce9d1ee1a3a4d14ad7', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101225', 5, '南坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101225', 1, '2021-07-19 11:38:02', NULL, NULL), (7617, '', '光辉村', '53bd7f2d8e1e481cb6fec60d9fab66c9', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101226', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101226', 1, '2021-07-19 11:38:03', NULL, NULL), (7618, '', '茶店村', '8e15ebcdbaa8454594613ff201a3d3bb', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101227', 5, '茶店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101227', 1, '2021-07-19 11:38:03', NULL, NULL), (7619, '', '高石碑村', 'b646bb9d53e74d278e29b4f35a69504e', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101228', 5, '高石碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101228', 1, '2021-07-19 11:38:03', NULL, NULL), (7620, '', '救水村', 'f505bda37549416ca0cef6da6efd53cc', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101229', 5, '救水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101229', 1, '2021-07-19 11:38:03', NULL, NULL), (7621, '', '芦堰村', 'a8de182ef2ff47b28ea8de3b0959700b', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101230', 5, '芦堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101230', 1, '2021-07-19 11:38:03', NULL, NULL), (7622, '', '鱼池村', 'af388b8b70194490b30a9021e3dff3af', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101231', 5, '鱼池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101231', 1, '2021-07-19 11:38:03', NULL, NULL), (7623, '', '双石村', 'd14a4bab26434588ad0f52a22fe1a588', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101232', 5, '双石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101232', 1, '2021-07-19 11:38:03', NULL, NULL), (7624, '', '灌顶村', '2e61a218941a43ee86cbd3f6806318f1', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101233', 5, '灌顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101233', 1, '2021-07-19 11:38:03', NULL, NULL), (7625, '', '白象沟村', '2764210e52424900a29d96969ee90238', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101234', 5, '白象沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101234', 1, '2021-07-19 11:38:03', NULL, NULL), (7626, '', '天元村', 'f13a454888d243afa26b5c1a6f65c466', 'bf244926b3ae4123b4d588b3423762ca', 'False', 'True', 'false', 'false', '510623101235', 5, '天元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623101235', 1, '2021-07-19 11:38:03', NULL, NULL), (7627, '', '东北镇', '36f95b73304f4e9e8dd9b328f1687ab6', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623645000', 4, '东北镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623645000', 1, '2021-07-19 11:38:03', NULL, NULL), (7628, '', '龙金村', 'f21ea853f72643f78694114d807e34e8', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132102', 5, '龙金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132102', 1, '2021-07-19 11:38:04', NULL, NULL), (7629, '', '觉慧村', '33be47a6dcf0402e8f47c6dfecf3dca6', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132182', 5, '觉慧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132182', 1, '2021-07-19 11:38:04', NULL, NULL), (7630, '', '红土村', '232af31126bf44dc8291823d43f961d9', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132204', 5, '红土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132204', 1, '2021-07-19 11:38:04', NULL, NULL), (7631, '', '牟公村', '906f45849f104ac2a9d2dd86e8c7b28e', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132206', 5, '牟公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132206', 1, '2021-07-19 11:38:04', NULL, NULL), (7632, '', '百梨村', '94b57dcebdb445fb9e5cd6029e555d90', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132209', 5, '百梨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132209', 1, '2021-07-19 11:38:04', NULL, NULL), (7633, '', '喜胜村', 'ff03052442c446d78e135711df762f43', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132212', 5, '喜胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132212', 1, '2021-07-19 11:38:04', NULL, NULL), (7634, '', '山寨村', '2a9cb35c15c144b7a77e68b163fd7149', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132213', 5, '山寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132213', 1, '2021-07-19 11:38:04', NULL, NULL), (7635, '', '迎泉村', 'ba8ce9981c1e414a84a6766bba02e600', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132216', 5, '迎泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132216', 1, '2021-07-19 11:38:04', NULL, NULL), (7636, '', '坭金村', '87eeb8ef164a4c48a0ca7597f8534f0f', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132217', 5, '坭金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132217', 1, '2021-07-19 11:38:04', NULL, NULL), (7637, '', '响水村', '8544700ce9a24adc878eb79fbf9d3205', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132220', 5, '响水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132220', 1, '2021-07-19 11:38:04', NULL, NULL), (7638, '', '洪沟村', 'aed37c68c9ca48c7b306fa111ed46a31', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132221', 5, '洪沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132221', 1, '2021-07-19 11:38:04', NULL, NULL), (7639, '', '花园村', 'a8ef8571848545cb818f7f0db0e057dd', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132222', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132222', 1, '2021-07-19 11:38:04', NULL, NULL), (7640, '', '老桥村', '33a4ad212e6c48bd84a94605afd2040e', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132225', 5, '老桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132225', 1, '2021-07-19 11:38:04', NULL, NULL), (7641, '', '资杰村', '13f8556377ac4296bb74e3ad28f4745c', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132226', 5, '资杰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132226', 1, '2021-07-19 11:38:05', NULL, NULL), (7642, '', '幸福社区', 'cae73fe0454441a4a346dcc9bd3ed11c', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132316', 5, '幸福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132316', 1, '2021-07-19 11:38:05', NULL, NULL), (7643, '', '秀塘村', '0993b2dee0ca4233b116f3788f237bb5', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132411', 5, '秀塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132411', 1, '2021-07-19 11:38:05', NULL, NULL), (7644, '', '金马村', '5e5b8786a5344d4fb14d00b21c643cb5', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132578', 5, '金马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132578', 1, '2021-07-19 11:38:05', NULL, NULL), (7645, '', '连山村', 'e9d2889faae44714bd6720a9bfc53186', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132809', 5, '连山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132809', 1, '2021-07-19 11:38:05', NULL, NULL), (7646, '', '杰兴村', '047583ecca2c46989d965c1e1bef9d4c', '36f95b73304f4e9e8dd9b328f1687ab6', 'False', 'True', 'false', 'false', '510623132988', 5, '杰兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623132988', 1, '2021-07-19 11:38:05', NULL, NULL), (7647, '', '凯江镇', '675ef1e0edde4b7cbf4d74798a4d772d', '74fcae3b009f4550a788a74fcef0848c', 'True', 'True', 'false', 'false', '510623656000', 4, '凯江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510623656000', 1, '2021-07-19 11:38:05', NULL, NULL), (7648, '', '珠市街社区', 'fbb46434c1f24f6eab0a509be093c346', '675ef1e0edde4b7cbf4d74798a4d772d', 'False', 'True', 'false', 'false', '510623100003', 5, '珠市街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623100003', 1, '2021-07-19 11:38:05', NULL, NULL), (7649, '', '公园街社区', '1090514773b440d2b8a88801701837cb', '675ef1e0edde4b7cbf4d74798a4d772d', 'False', 'True', 'false', 'false', '510623100004', 5, '公园街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623100004', 1, '2021-07-19 11:38:05', NULL, NULL), (7650, '', '下南街社区', '5c3b478fdb824fa48aa71fd9119aa2d5', '675ef1e0edde4b7cbf4d74798a4d772d', 'False', 'True', 'false', 'false', '510623100005', 5, '下南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623100005', 1, '2021-07-19 11:38:05', NULL, NULL), (7651, '', '上南街社区', 'ab2473b79924475a8eb6d7c9896dcb14', '675ef1e0edde4b7cbf4d74798a4d772d', 'False', 'True', 'false', 'false', '510623100006', 5, '上南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623100006', 1, '2021-07-19 11:38:05', NULL, NULL), (7652, '', '小南街社区', 'd096c79ad2084686a7c4b62bd257f993', '675ef1e0edde4b7cbf4d74798a4d772d', 'False', 'True', 'false', 'false', '510623100007', 5, '小南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623100007', 1, '2021-07-19 11:38:05', NULL, NULL), (7653, '', '小西街社区', 'f9323fa3f90b4335afae478333c25e44', '675ef1e0edde4b7cbf4d74798a4d772d', 'False', 'True', 'false', 'false', '510623100008', 5, '小西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623100008', 1, '2021-07-19 11:38:05', NULL, NULL), (7654, '', '大西街社区', '866b2f2c653c463bb90fbaabc9d05ed5', '675ef1e0edde4b7cbf4d74798a4d772d', 'False', 'True', 'false', 'false', '510623100009', 5, '大西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623100009', 1, '2021-07-19 11:38:05', NULL, NULL), (7655, '', '上马村', '2a5a44d43c254a02ba4605cab7c9b093', '675ef1e0edde4b7cbf4d74798a4d772d', 'False', 'True', 'false', 'false', '510623100010', 5, '上马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623100010', 1, '2021-07-19 11:38:05', NULL, NULL), (7656, '', '荷花村', '052bfa20728a4621913c888b37265f8d', '675ef1e0edde4b7cbf4d74798a4d772d', 'False', 'False', 'false', 'false', '510623656229', 5, '荷花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623656229', 1, '2021-07-19 11:38:06', NULL, NULL), (7657, '', '大北街社区', '8a9c495f9b8e4131a9b1d4bd7b584e09', '675ef1e0edde4b7cbf4d74798a4d772d', 'False', 'True', 'false', 'false', '510623656433', 5, '大北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623656433', 1, '2021-07-19 11:38:06', NULL, NULL), (7658, '', '南塔村', 'e9f03be16159454fa20dd7020625f450', '675ef1e0edde4b7cbf4d74798a4d772d', 'False', 'False', 'false', 'false', '510623656517', 5, '南塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623656517', 1, '2021-07-19 11:38:06', NULL, NULL), (7659, '', '南塔社区', 'f2c1cd27a86b4ccead1defe134317af7', '675ef1e0edde4b7cbf4d74798a4d772d', 'False', 'True', 'false', 'false', '510623656559', 5, '南塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623656559', 1, '2021-07-19 11:38:06', NULL, NULL), (7660, '', '朝阳东路社区', '4e7f6a2a01f5443cac12e07ab23ab82e', '675ef1e0edde4b7cbf4d74798a4d772d', 'False', 'True', 'false', 'false', '510623656632', 5, '朝阳东路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623656632', 1, '2021-07-19 11:38:06', NULL, NULL), (7661, '', '朝阳南路社区', '20b30eb03307471d8a7138ea0caac735', '675ef1e0edde4b7cbf4d74798a4d772d', 'False', 'True', 'false', 'false', '510623656671', 5, '朝阳南路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623656671', 1, '2021-07-19 11:38:06', NULL, NULL), (7662, '', '北塔社区', 'adaea0dfce7b4c59aebad4e0a6142eea', '675ef1e0edde4b7cbf4d74798a4d772d', 'False', 'True', 'false', 'false', '510623656846', 5, '北塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623656846', 1, '2021-07-19 11:38:06', NULL, NULL), (7663, '', '玄武社区', '7ff1fbca11914bc785365163087da852', '675ef1e0edde4b7cbf4d74798a4d772d', 'False', 'True', 'false', 'false', '510623656854', 5, '玄武社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623656854', 1, '2021-07-19 11:38:06', NULL, NULL), (7664, '', '荷花社区', '93cb94c77a7c4ee98dec21fab23ccfc8', '675ef1e0edde4b7cbf4d74798a4d772d', 'False', 'True', 'false', 'false', '510623656906', 5, '荷花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623656906', 1, '2021-07-19 11:38:06', NULL, NULL), (7665, '', '朝阳北路社区', 'd08e6d11063b460c96312f2de72582c9', '675ef1e0edde4b7cbf4d74798a4d772d', 'False', 'True', 'false', 'false', '510623656913', 5, '朝阳北路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510623656913', 1, '2021-07-19 11:38:06', NULL, NULL), (7666, '', '德阳经济技术开发区', '92eea49ca7884d1d82d4b5370c4bda56', '64a68decebae47d49ac30f795b48df24', 'True', 'True', 'false', 'false', '510699000000', 3, '德阳经开区', 'dysdyjkq.sczwfw.gov.cn', 1, '2021-07-19 11:38:06', NULL, NULL), (7667, '', '旌东街道', '831e406f79984b5b8506086f21158ed8', '92eea49ca7884d1d82d4b5370c4bda56', 'True', 'True', 'false', 'false', '510699004000', 4, '旌东街道办', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510699004000', 1, '2021-07-19 11:38:06', NULL, NULL), (7668, '', '沂河社区', 'a713a006756b40d5a4c386b108f04050', '831e406f79984b5b8506086f21158ed8', 'False', 'True', 'false', 'false', '510699004001', 5, '沂河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699004001', 1, '2021-07-19 11:38:06', NULL, NULL), (7669, '', '东山社区', '3bfa33110a0349af91b92fbbf6d66e6c', '831e406f79984b5b8506086f21158ed8', 'False', 'True', 'false', 'false', '510699004002', 5, '东山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699004002', 1, '2021-07-19 11:38:07', NULL, NULL), (7670, '', '春锦社区', 'b53055ca9f5b42728da710b32f5bf957', '831e406f79984b5b8506086f21158ed8', 'False', 'True', 'false', 'false', '510699004003', 5, '春锦社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699004003', 1, '2021-07-19 11:38:07', NULL, NULL), (7671, '', '天山社区', '5b6dd658b4d541e5b70c9e7ec71e52b7', '831e406f79984b5b8506086f21158ed8', 'False', 'True', 'false', 'false', '510699004004', 5, '天山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699004004', 1, '2021-07-19 11:38:07', NULL, NULL), (7672, '', '龙井社区', 'bc7080cda79347e9a86df8dbd0e28132', '831e406f79984b5b8506086f21158ed8', 'False', 'True', 'false', 'false', '510699004005', 5, '龙井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699004005', 1, '2021-07-19 11:38:07', NULL, NULL), (7673, '', '旌湖社区', 'd4939f409411463b89730ee1a7725626', '831e406f79984b5b8506086f21158ed8', 'False', 'True', 'false', 'false', '510699004006', 5, '旌湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699004006', 1, '2021-07-19 11:38:07', NULL, NULL), (7674, '', '乐安社区', '617ebea6410c4a6ea62043a79f343875', '831e406f79984b5b8506086f21158ed8', 'False', 'True', 'false', 'false', '510699004007', 5, '乐安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699004007', 1, '2021-07-19 11:38:07', NULL, NULL), (7675, '', '沱江社区', 'a7fac014319a4e438e95c7d30a466e6c', '831e406f79984b5b8506086f21158ed8', 'False', 'True', 'false', 'false', '510699004008', 5, '沱江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699004008', 1, '2021-07-19 11:38:07', NULL, NULL), (7676, '', '八角井街道', '7b94c7211093465a8ec4eff7cbdd3972', '92eea49ca7884d1d82d4b5370c4bda56', 'True', 'True', 'false', 'false', '510699006000', 4, '八角井街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510699006000', 1, '2021-07-19 11:38:07', NULL, NULL), (7677, '', '松花江路社区', '9168dc79426d48538771daa658fef6f1', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006003', 5, '松花江路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006003', 1, '2021-07-19 11:38:07', NULL, NULL), (7678, '', '雅河路社区', '82c75e70c0424cfdb9a173d11130d80c', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006013', 5, '雅河路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006013', 1, '2021-07-19 11:38:07', NULL, NULL), (7679, '', '东升社区', '89c11310137c4e689fa91ea685242196', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006014', 5, '东升社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006014', 1, '2021-07-19 11:38:07', NULL, NULL), (7680, '', '旌南社区', '92a2862d062d4677864f0da09e251a5d', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'False', 'false', 'false', '510699006015', 5, '旌南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006015', 1, '2021-07-19 11:38:07', NULL, NULL), (7681, '', '泰山南路社区', '306d2abb17514365b3dd5c342822fc46', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006016', 5, '泰山南路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006016', 1, '2021-07-19 11:38:08', NULL, NULL), (7682, '', '宝峰寺社区', 'd6500bff44e5420481452bf2f1dfb08c', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006017', 5, '宝峰寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006017', 1, '2021-07-19 11:38:08', NULL, NULL), (7683, '', '岷山路社区', '321b9ef8961d46d5bff8b2129e9d67ee', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006018', 5, '岷山路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006018', 1, '2021-07-19 11:38:08', NULL, NULL), (7684, '', '蒙南路社区', 'ed14fb32281a45ef90735f16f7be7c3f', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006080', 5, '蒙南路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006080', 1, '2021-07-19 11:38:08', NULL, NULL), (7685, '', '衡山路社区', '94d78e7038f1427c974be74c9bc31965', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006081', 5, '衡山路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006081', 1, '2021-07-19 11:38:08', NULL, NULL), (7686, '', '工农社区', 'b8abb3c9972d481c8b047efd0a93f9f6', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006088', 5, '工农社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006088', 1, '2021-07-19 11:38:08', NULL, NULL), (7687, '', '千佛社区', 'd9a440f6190040dda537ba920e59f1d9', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '5106971102968979456', 5, '千佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5106971102968979456', 1, '2021-07-19 11:38:08', NULL, NULL), (7688, '', '鹄鸣村', '6a6b99dabc3f4833a20398860d5730b6', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006001', 5, '鹄鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006001', 1, '2021-07-19 11:38:08', NULL, NULL), (7689, '', '柳沙社区', 'd711f05db11f472e9d7ae0cd01631dba', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006002', 5, '柳沙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006002', 1, '2021-07-19 11:38:08', NULL, NULL), (7690, '', '柳风社区', '14307b61f3434d9f8bd20a23a7fa88ca', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006004', 5, '柳风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006004', 1, '2021-07-19 11:38:08', NULL, NULL), (7691, '', '梨园社区', '8b51136776964897ae2081d842ffc1b0', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006005', 5, '梨园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006005', 1, '2021-07-19 11:38:08', NULL, NULL), (7692, '', '双榕社区', '9a2987f0e6d9497a963aad52b2bebcd1', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006006', 5, '双榕社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006006', 1, '2021-07-19 11:38:09', NULL, NULL), (7693, '', '大汉社区', 'c1737b4de14440fcab4482a39f891aef', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006007', 5, '大汉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006007', 1, '2021-07-19 11:38:09', NULL, NULL), (7694, '', '福家社区', 'fb1d4828acbc4190917699c7b5f5701d', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006009', 5, '福家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006009', 1, '2021-07-19 11:38:09', NULL, NULL), (7695, '', '宝凤社区', 'de0d0d529ac04e95af99794c85aafd2a', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006010', 5, '宝凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006010', 1, '2021-07-19 11:38:09', NULL, NULL), (7696, '', '双圣社区', '5ec2849d0b4b4bdb8a09bdcdc556f6b1', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006011', 5, '双圣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006011', 1, '2021-07-19 11:38:09', NULL, NULL), (7697, '', '隆圣社区', 'aac241ceb8c34a9ba2c21c99f5cf0d96', '7b94c7211093465a8ec4eff7cbdd3972', 'False', 'True', 'false', 'false', '510699006012', 5, '隆圣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510699006012', 1, '2021-07-19 11:38:09', NULL, NULL), (7698, '', '德阳凯州新城', '2ec4b366e0b0452fa756077cf01ddfb8', '64a68decebae47d49ac30f795b48df24', 'False', 'True', 'false', 'false', '510662000000', 3, '德阳凯州新城', 'dysdykzxc.sczwfw.gov.cn', 1, '2021-07-19 11:38:09', NULL, NULL), (7699, '', '绵阳市', '06770f8688a045beaf53089460935c1e', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '510700000000', 2, '绵阳市', 'mys.sczwfw.gov.cn', 1, '2021-07-19 11:38:09', NULL, NULL), (7700, '', '四川省人民政府科学城办事处', 'd78210c3b50849baa93d1f9ab6de225d', '06770f8688a045beaf53089460935c1e', 'False', 'True', 'false', 'false', '510745000000', 3, '科学城办事处', 'myskxc.sczwfw.gov.cn', 1, '2021-07-19 11:38:09', NULL, NULL), (7701, '', '涪城区', 'bcb7fbaf77ae469986055ac97ae6e69c', '06770f8688a045beaf53089460935c1e', 'True', 'True', 'false', 'false', '510703000000', 3, '涪城区', 'mysfcq.sczwfw.gov.cn', 1, '2021-07-19 11:38:09', NULL, NULL), (7702, '', '城厢街道', '6dd81525a7644ff8b47c90787d82d4df', 'bcb7fbaf77ae469986055ac97ae6e69c', 'True', 'True', 'false', 'false', '510703001000', 4, '城厢街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510703001000', 1, '2021-07-19 11:38:09', NULL, NULL), (7703, '', '建国门社区', 'e2d03fd4652e40c1892531df8a9410e9', '6dd81525a7644ff8b47c90787d82d4df', 'False', 'True', 'false', 'false', '510703001027', 5, '建国门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703001027', 1, '2021-07-19 11:38:09', NULL, NULL), (7704, '', '警钟街社区', '599c932c65f34941bea70cce1443f63f', '6dd81525a7644ff8b47c90787d82d4df', 'False', 'True', 'false', 'false', '510703001003', 5, '警钟街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703001003', 1, '2021-07-19 11:38:10', NULL, NULL), (7705, '', '解放街社区', '3c2c158b9c6d4a2d9c8147ea98fef6bf', '6dd81525a7644ff8b47c90787d82d4df', 'False', 'True', 'false', 'false', '510703001002', 5, '解放街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703001002', 1, '2021-07-19 11:38:10', NULL, NULL), (7706, '', '文昌社区', 'b5cb2e0d83b64811a3505d59256e341e', '6dd81525a7644ff8b47c90787d82d4df', 'False', 'True', 'false', 'false', '510703001001', 5, '文昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703001001', 1, '2021-07-19 11:38:10', NULL, NULL), (7707, '', '钟鼓楼社区', 'a632564b2d0f4a5cac20e4e7fe6103bb', '6dd81525a7644ff8b47c90787d82d4df', 'False', 'True', 'false', 'false', '510703001009', 5, '钟鼓楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703001009', 1, '2021-07-19 11:38:10', NULL, NULL), (7708, '', '滨江社区', 'c5bec5ea6d1b469aa922b72653285641', '6dd81525a7644ff8b47c90787d82d4df', 'False', 'True', 'false', 'false', '510703001010', 5, '滨江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703001010', 1, '2021-07-19 11:38:10', NULL, NULL), (7709, '', '铁牛街社区', 'bc9b64bbba7b42d29deeb98e8a38434a', '6dd81525a7644ff8b47c90787d82d4df', 'False', 'True', 'false', 'false', '510703001004', 5, '铁牛街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703001004', 1, '2021-07-19 11:38:10', NULL, NULL), (7710, '', '会仙社区', '50ec6155ea7946d59367be0ee621eb6e', '6dd81525a7644ff8b47c90787d82d4df', 'False', 'True', 'false', 'false', '510703001006', 5, '会仙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703001006', 1, '2021-07-19 11:38:10', NULL, NULL), (7711, '', '得月楼社区', '9b88e89211734ae7a84ed7d62c9f5544', '6dd81525a7644ff8b47c90787d82d4df', 'False', 'True', 'false', 'false', '510703001005', 5, '得月楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703001005', 1, '2021-07-19 11:38:10', NULL, NULL), (7712, '', '安昌社区', 'd7b2be9b73484add8e0e31ae91ece3e9', '6dd81525a7644ff8b47c90787d82d4df', 'False', 'True', 'false', 'false', '510703001032', 5, '安昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703001032', 1, '2021-07-19 11:38:10', NULL, NULL), (7713, '', '绵兴路社区', '26cfc794b5644026a7567a8279ce6934', '6dd81525a7644ff8b47c90787d82d4df', 'False', 'True', 'false', 'false', '510703001007', 5, '绵兴路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703001007', 1, '2021-07-19 11:38:10', NULL, NULL), (7714, '', '成绵路社区', '965a05a736ee4cb68f6397a67a818481', '6dd81525a7644ff8b47c90787d82d4df', 'False', 'True', 'false', 'false', '510703001008', 5, '成绵路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703001008', 1, '2021-07-19 11:38:10', NULL, NULL), (7715, '', '临园路东段社区', '3ab3f82880b143d3bf9b78200c5046a2', '6dd81525a7644ff8b47c90787d82d4df', 'False', 'True', 'false', 'false', '510703001022', 5, '临园路东段社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703001022', 1, '2021-07-19 11:38:10', NULL, NULL), (7716, '', '工区街道', 'b5371a2a1fa0485486b58a932112c673', 'bcb7fbaf77ae469986055ac97ae6e69c', 'True', 'True', 'false', 'false', '510703003000', 4, '工区街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510703003000', 1, '2021-07-19 11:38:10', NULL, NULL), (7717, '', '绵州社区', '23093ab9690442c6937185c1e590786b', 'b5371a2a1fa0485486b58a932112c673', 'False', 'True', 'false', 'false', '510703003001', 5, '绵州社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703003001', 1, '2021-07-19 11:38:10', NULL, NULL), (7718, '', '跃北社区', 'c4fb092e18ba45c3ab0afb9231f746b4', 'b5371a2a1fa0485486b58a932112c673', 'False', 'True', 'false', 'false', '510703003002', 5, '跃北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703003002', 1, '2021-07-19 11:38:11', NULL, NULL), (7719, '', '华丰社区', '14c9fe2b7098402a982154188037f9ba', 'b5371a2a1fa0485486b58a932112c673', 'False', 'True', 'false', 'false', '510703003019', 5, '华丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703003019', 1, '2021-07-19 11:38:11', NULL, NULL), (7720, '', '绵江社区', '4446f5dac3b243acaa44c0fae3fe7f95', 'b5371a2a1fa0485486b58a932112c673', 'False', 'True', 'false', 'false', '510703003004', 5, '绵江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703003004', 1, '2021-07-19 11:38:11', NULL, NULL), (7721, '', '迎宾社区', '483b5c06c84343b3958b3cea667e4a34', 'b5371a2a1fa0485486b58a932112c673', 'False', 'True', 'false', 'false', '510703003006', 5, '迎宾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703003006', 1, '2021-07-19 11:38:11', NULL, NULL), (7722, '', '子云亭社区', '104d5b9850f1493babc4302cfc65e387', 'b5371a2a1fa0485486b58a932112c673', 'False', 'True', 'false', 'false', '510703003007', 5, '子云亭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703003007', 1, '2021-07-19 11:38:11', NULL, NULL), (7723, '', '西山社区', 'acf7d025579c4544a664b4a4d09851da', 'b5371a2a1fa0485486b58a932112c673', 'False', 'True', 'false', 'false', '510703003008', 5, '西山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703003008', 1, '2021-07-19 11:38:11', NULL, NULL), (7724, '', '滨涪社区', 'f90dbfa1e2344f4f9cdb42502e8515fb', 'b5371a2a1fa0485486b58a932112c673', 'False', 'True', 'false', 'false', '510703003009', 5, '滨涪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703003009', 1, '2021-07-19 11:38:11', NULL, NULL), (7725, '', '灵通社区', '83db022c8a6e4725a1fc757ed4982907', 'b5371a2a1fa0485486b58a932112c673', 'False', 'True', 'false', 'false', '510703003010', 5, '灵通社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703003010', 1, '2021-07-19 11:38:11', NULL, NULL), (7726, '', '飞来石社区', '156c51147975412e92648066274521e8', 'b5371a2a1fa0485486b58a932112c673', 'False', 'True', 'false', 'false', '510703003005', 5, '飞来石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703003005', 1, '2021-07-19 11:38:11', NULL, NULL), (7727, '', '金菊街社区', '7397ee4b58864733ae13d42bcad7cabf', 'b5371a2a1fa0485486b58a932112c673', 'False', 'True', 'false', 'false', '510703003012', 5, '金菊街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703003012', 1, '2021-07-19 11:38:11', NULL, NULL), (7728, '', '花园南街社区', 'e28c623d65e647c89437051fb6ab2114', 'b5371a2a1fa0485486b58a932112c673', 'False', 'True', 'false', 'false', '510703003013', 5, '花园南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703003013', 1, '2021-07-19 11:38:11', NULL, NULL), (7729, '', '临园路西段社区', '236baf2299cc44118af09eb68c09a588', 'b5371a2a1fa0485486b58a932112c673', 'False', 'True', 'false', 'false', '510703003014', 5, '临园路西段社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703003014', 1, '2021-07-19 11:38:11', NULL, NULL), (7730, '', '九洲社区', '9c04972414014179b05de673fef65fba', 'b5371a2a1fa0485486b58a932112c673', 'False', 'True', 'false', 'false', '510703003020', 5, '九洲社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703003020', 1, '2021-07-19 11:38:11', NULL, NULL), (7731, '', '朝阳社区', 'a1484f9b349d493f9d464b7187b8924e', 'b5371a2a1fa0485486b58a932112c673', 'False', 'True', 'false', 'false', '510703003003', 5, '朝阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703003003', 1, '2021-07-19 11:38:11', NULL, NULL), (7732, '', '石塘街道', '6cf42c9fca114713901386eadbdec830', 'bcb7fbaf77ae469986055ac97ae6e69c', 'True', 'True', 'false', 'false', '510703105000', 4, '石塘街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510703105000', 1, '2021-07-19 11:38:11', NULL, NULL), (7733, '', '御安社区', '6f4ae305f62a4eb090ddbb6e81380114', '6cf42c9fca114713901386eadbdec830', 'False', 'True', 'false', 'false', '510703011005', 5, '御安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703011005', 1, '2021-07-19 11:38:11', NULL, NULL), (7734, '', '御新社区', 'e19fa4108a3d4595a57081bc5cd35bb6', '6cf42c9fca114713901386eadbdec830', 'False', 'True', 'false', 'false', '510703011013', 5, '御新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703011013', 1, '2021-07-19 11:38:12', NULL, NULL), (7735, '', '西河路社区', '652809ee126d430f9828b3207ed148e0', '6cf42c9fca114713901386eadbdec830', 'False', 'True', 'false', 'false', '510703011009', 5, '西河路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703011009', 1, '2021-07-19 11:38:12', NULL, NULL), (7736, '', '石塘路社区', 'ea4a64ed710349198999749e52111f62', '6cf42c9fca114713901386eadbdec830', 'False', 'True', 'false', 'false', '510703011010', 5, '石塘路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703011010', 1, '2021-07-19 11:38:12', NULL, NULL), (7737, '', '小浮桥社区', '7f694a9a7df24167a3ee4f508c80008b', '6cf42c9fca114713901386eadbdec830', 'False', 'True', 'false', 'false', '510703011011', 5, '小浮桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703011011', 1, '2021-07-19 11:38:12', NULL, NULL), (7738, '', '南山社区', '15f41ba1732c452eb1ebb098cb8d9476', '6cf42c9fca114713901386eadbdec830', 'False', 'True', 'false', 'false', '510703105203', 5, '南山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703105203', 1, '2021-07-19 11:38:12', NULL, NULL), (7739, '', '御营社区', 'dee48eccdc0044f692f4b5f7267174af', '6cf42c9fca114713901386eadbdec830', 'False', 'True', 'false', 'false', '510703105001', 5, '御营社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703105001', 1, '2021-07-19 11:38:12', NULL, NULL), (7740, '', '东岳社区', '55143e294d614c46ad4a3b81465d1045', '6cf42c9fca114713901386eadbdec830', 'False', 'True', 'false', 'false', '510703105002', 5, '东岳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703105002', 1, '2021-07-19 11:38:12', NULL, NULL), (7741, '', '红星社区', '232bc898802c42be90879226b53674e6', '6cf42c9fca114713901386eadbdec830', 'False', 'True', 'false', 'false', '510703105003', 5, '红星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703105003', 1, '2021-07-19 11:38:12', NULL, NULL), (7742, '', '古井社区', '340b8eea7ff349adb675c8f06d7aaacd', '6cf42c9fca114713901386eadbdec830', 'False', 'True', 'false', 'false', '510703105004', 5, '古井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703105004', 1, '2021-07-19 11:38:12', NULL, NULL), (7743, '', '蟠龙村', '6fda63e059a84655b76300f092ab166e', '6cf42c9fca114713901386eadbdec830', 'False', 'True', 'false', 'false', '510703105202', 5, '蟠龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703105202', 1, '2021-07-19 11:38:12', NULL, NULL), (7744, '', '瓦店村', '58b27423dcfd47f387d1b555bd3feacd', '6cf42c9fca114713901386eadbdec830', 'False', 'True', 'false', 'false', '510703105204', 5, '瓦店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703105204', 1, '2021-07-19 11:38:12', NULL, NULL), (7745, '', '范家村', 'a5fa4d717a2848e287ed164254cbecf6', '6cf42c9fca114713901386eadbdec830', 'False', 'True', 'false', 'false', '510703105205', 5, '范家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703105205', 1, '2021-07-19 11:38:12', NULL, NULL), (7746, '', '浸水村', 'b644836b8d0442b596336c5388082e3e', '6cf42c9fca114713901386eadbdec830', 'False', 'True', 'false', 'false', '510703105206', 5, '浸水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703105206', 1, '2021-07-19 11:38:12', NULL, NULL), (7747, '', '城郊街道', 'dce81538b443452194faf74630bd2e69', 'bcb7fbaf77ae469986055ac97ae6e69c', 'True', 'True', 'false', 'false', '510703200000', 4, '城郊街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510703200000', 1, '2021-07-19 11:38:12', NULL, NULL), (7748, '', '花园第一社区', 'd910df61810140e49d2aae3a0cc49aa4', 'dce81538b443452194faf74630bd2e69', 'False', 'True', 'false', 'false', '510703010002', 5, '花园第一社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703010002', 1, '2021-07-19 11:38:13', NULL, NULL), (7749, '', '花园第二社区', '0a05f47c8eac478a87d00b43201d130c', 'dce81538b443452194faf74630bd2e69', 'False', 'True', 'false', 'false', '510703010003', 5, '花园第二社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703010003', 1, '2021-07-19 11:38:13', NULL, NULL), (7750, '', '城郊社区', 'a079cc59f43849a9a73149a9e49af544', 'dce81538b443452194faf74630bd2e69', 'False', 'True', 'false', 'false', '510703010014', 5, '城郊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703010014', 1, '2021-07-19 11:38:13', NULL, NULL), (7751, '', '三里社区', '4a86e6966eb544559f8585f1cd4e8a9f', 'dce81538b443452194faf74630bd2e69', 'False', 'True', 'false', 'false', '510703010006', 5, '三里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703010006', 1, '2021-07-19 11:38:13', NULL, NULL), (7752, '', '沿江社区', '7c47f9babede423d9a32e7bd97dc3466', 'dce81538b443452194faf74630bd2e69', 'False', 'True', 'false', 'false', '510703010009', 5, '沿江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703010009', 1, '2021-07-19 11:38:13', NULL, NULL), (7753, '', '平政社区', '7d1b2704ea744756b37566ef013c6a8f', 'dce81538b443452194faf74630bd2e69', 'False', 'True', 'false', 'false', '510703010011', 5, '平政社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703010011', 1, '2021-07-19 11:38:13', NULL, NULL), (7754, '', '高水社区', '0d868309f0434e819303c31f076daeb3', 'dce81538b443452194faf74630bd2e69', 'False', 'True', 'false', 'false', '510703010007', 5, '高水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703010007', 1, '2021-07-19 11:38:13', NULL, NULL), (7755, '', '圣水社区', '5ef169c82be244e1bcac91bd1bdab408', 'dce81538b443452194faf74630bd2e69', 'False', 'True', 'false', 'false', '510703010010', 5, '圣水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703010010', 1, '2021-07-19 11:38:13', NULL, NULL), (7756, '', '南河社区', 'adb51aefbdda454abca1ab302d277707', 'dce81538b443452194faf74630bd2e69', 'False', 'True', 'false', 'false', '510703010008', 5, '南河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703010008', 1, '2021-07-19 11:38:13', NULL, NULL), (7757, '', '牌坊社区', '6b16fc2a6f5d48f799c2ba899abd084f', 'dce81538b443452194faf74630bd2e69', 'False', 'True', 'false', 'false', '510703010013', 5, '牌坊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703010013', 1, '2021-07-19 11:38:13', NULL, NULL), (7758, '', '新庙社区', '634f28c3da134985aefd8a1032bcc354', 'dce81538b443452194faf74630bd2e69', 'False', 'True', 'false', 'false', '510703010012', 5, '新庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703010012', 1, '2021-07-19 11:38:14', NULL, NULL), (7759, '', '白土村', 'c129b17acec544c68bbd194d5df25e09', 'dce81538b443452194faf74630bd2e69', 'False', 'True', 'false', 'false', '510703010208', 5, '白土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703010208', 1, '2021-07-19 11:38:14', NULL, NULL), (7760, '', '下龙溪村', '063eaab0cb984fa68cd2bd389d266dc0', 'dce81538b443452194faf74630bd2e69', 'False', 'True', 'false', 'false', '510703010215', 5, '下龙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703010215', 1, '2021-07-19 11:38:14', NULL, NULL), (7761, '', '青义镇', 'db702e71af394c78aab80567ef0f7431', 'bcb7fbaf77ae469986055ac97ae6e69c', 'True', 'True', 'false', 'false', '510703351000', 4, '青义镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510703351000', 1, '2021-07-19 11:38:14', NULL, NULL), (7762, '', '大新村', '413a049f91c94b15969dff336aa8ea72', 'db702e71af394c78aab80567ef0f7431', 'False', 'True', 'false', 'false', '510703351844', 5, '大新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703351844', 1, '2021-07-19 11:38:15', NULL, NULL), (7763, '', '西园村', '471e382a27ad42c988b58470ec09861d', 'db702e71af394c78aab80567ef0f7431', 'False', 'True', 'false', 'false', '510703351944', 5, '西园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703351944', 1, '2021-07-19 11:38:15', NULL, NULL), (7764, '', '金家林社区', '2fb6dc4f1c254cbd82c12708e990db36', 'db702e71af394c78aab80567ef0f7431', 'False', 'True', 'false', 'false', '510703351676', 5, '金家林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703351676', 1, '2021-07-19 11:38:15', NULL, NULL), (7765, '', '戈家庙村', 'fd85b5b00aa149b990a152cbd8f8c6ff', 'db702e71af394c78aab80567ef0f7431', 'False', 'True', 'false', 'false', '510703351348', 5, '戈家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703351348', 1, '2021-07-19 11:38:15', NULL, NULL), (7766, '', '鼓楼村', '59d489232f8c4458a294c0c9138551bb', 'db702e71af394c78aab80567ef0f7431', 'False', 'True', 'false', 'false', '510703351226', 5, '鼓楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703351226', 1, '2021-07-19 11:38:15', NULL, NULL), (7767, '', '灯塔社区', '69a24f33a15847469d6af1d6c06c3aaa', 'db702e71af394c78aab80567ef0f7431', 'False', 'True', 'false', 'false', '510703351629', 5, '灯塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703351629', 1, '2021-07-19 11:38:15', NULL, NULL), (7768, '', '玉龙村', 'a5bd5fb0ae52427598929df1161e5969', 'db702e71af394c78aab80567ef0f7431', 'False', 'True', 'false', 'false', '510703351228', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703351228', 1, '2021-07-19 11:38:15', NULL, NULL), (7769, '', '大龙村', '9f5f7268b6184286a074ad9271a29fa1', 'db702e71af394c78aab80567ef0f7431', 'False', 'True', 'false', 'false', '510703351560', 5, '大龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703351560', 1, '2021-07-19 11:38:15', NULL, NULL), (7770, '', '绵兴村', '5f22a033b4074d88a6d2e0cd77cdde67', 'db702e71af394c78aab80567ef0f7431', 'False', 'True', 'false', 'false', '510703351487', 5, '绵兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703351487', 1, '2021-07-19 11:38:15', NULL, NULL), (7771, '', '青羊村', 'c234e545c7ee4bf08e1cc8f33b93dcd5', 'db702e71af394c78aab80567ef0f7431', 'False', 'True', 'false', 'false', '510703351650', 5, '青羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703351650', 1, '2021-07-19 11:38:15', NULL, NULL), (7772, '', '龙门社区', '278280f6857844dfab4c17354ca10f11', 'db702e71af394c78aab80567ef0f7431', 'False', 'True', 'false', 'false', '510703351049', 5, '龙门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703351049', 1, '2021-07-19 11:38:15', NULL, NULL), (7773, '', '小桥村', '61207b56a826475f9f38c16c4dc29331', 'db702e71af394c78aab80567ef0f7431', 'False', 'True', 'false', 'false', '510703351231', 5, '小桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703351231', 1, '2021-07-19 11:38:15', NULL, NULL), (7774, '', '龙峰村', 'b2e14d245a924877a3727edd6ac458ea', 'db702e71af394c78aab80567ef0f7431', 'False', 'True', 'false', 'false', '510703351454', 5, '龙峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703351454', 1, '2021-07-19 11:38:15', NULL, NULL), (7775, '', '前进村', '405c37142bfb4ff89f9c03c65bbbd5e6', 'db702e71af394c78aab80567ef0f7431', 'False', 'True', 'false', 'false', '510703351233', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703351233', 1, '2021-07-19 11:38:16', NULL, NULL), (7776, '', '香脊村', 'a42b56dda7ce4c2a963bb1c7e8f45f4a', 'db702e71af394c78aab80567ef0f7431', 'False', 'True', 'false', 'false', '510703351234', 5, '香脊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703351234', 1, '2021-07-19 11:38:16', NULL, NULL), (7777, '', '吴家镇', '6a14323537b04cdc9a97908984618d4b', 'bcb7fbaf77ae469986055ac97ae6e69c', 'True', 'True', 'false', 'false', '510703106000', 4, '吴家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510703106000', 1, '2021-07-19 11:38:16', NULL, NULL), (7778, '', '东吴社区', '665183473baf419c9f57c934a5a8bd95', '6a14323537b04cdc9a97908984618d4b', 'False', 'True', 'false', 'false', '510703106001', 5, '东吴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703106001', 1, '2021-07-19 11:38:16', NULL, NULL), (7779, '', '兴涌泉村', '762ac7e5c0dd4e91bf76498cf6a9c32f', '6a14323537b04cdc9a97908984618d4b', 'False', 'True', 'false', 'false', '510703106209', 5, '兴涌泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703106209', 1, '2021-07-19 11:38:16', NULL, NULL), (7780, '', '广福村', '8c286dcd4ac342f9a7089ac3b2701a67', '6a14323537b04cdc9a97908984618d4b', 'False', 'True', 'false', 'false', '510703106202', 5, '广福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703106202', 1, '2021-07-19 11:38:16', NULL, NULL), (7781, '', '凤凰山村', '91e62c32439f40fba000afb490890b92', '6a14323537b04cdc9a97908984618d4b', 'False', 'True', 'false', 'false', '510703106203', 5, '凤凰山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703106203', 1, '2021-07-19 11:38:16', NULL, NULL), (7782, '', '五龙村', '923490e6351f452187e0713ed8f15049', '6a14323537b04cdc9a97908984618d4b', 'False', 'True', 'false', 'false', '510703106204', 5, '五龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703106204', 1, '2021-07-19 11:38:16', NULL, NULL), (7783, '', '燕儿河村', '2107c0214e2742bdbcafa4a8a3e71fdd', '6a14323537b04cdc9a97908984618d4b', 'False', 'True', 'false', 'false', '510703106206', 5, '燕儿河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703106206', 1, '2021-07-19 11:38:16', NULL, NULL), (7784, '', '长福村', 'c21235d873b04e49885d2c9a050269b9', '6a14323537b04cdc9a97908984618d4b', 'False', 'True', 'false', 'false', '510703106210', 5, '长福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703106210', 1, '2021-07-19 11:38:16', NULL, NULL), (7785, '', '文景社区', 'cc37abe39d1343619348171cb9200272', '6a14323537b04cdc9a97908984618d4b', 'False', 'True', 'false', 'false', '510703106205', 5, '文景社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703106205', 1, '2021-07-19 11:38:16', NULL, NULL), (7786, '', '石洞河村', '2846193d0427413282e36a8fe28f4b14', '6a14323537b04cdc9a97908984618d4b', 'False', 'True', 'false', 'false', '510703106207', 5, '石洞河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703106207', 1, '2021-07-19 11:38:16', NULL, NULL), (7787, '', '戴家林村', '9a91cc3324934c9fb75e2e05e4dd3eec', '6a14323537b04cdc9a97908984618d4b', 'False', 'True', 'false', 'false', '510703106208', 5, '戴家林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703106208', 1, '2021-07-19 11:38:16', NULL, NULL), (7788, '', '三清观村', '436b441a9a794c4081e9b85a54ecdf11', '6a14323537b04cdc9a97908984618d4b', 'False', 'True', 'false', 'false', '510703106211', 5, '三清观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703106211', 1, '2021-07-19 11:38:16', NULL, NULL), (7789, '', '新皂镇', 'd8c163134ea94144b2799754b2e50d58', 'bcb7fbaf77ae469986055ac97ae6e69c', 'True', 'True', 'false', 'false', '510703110000', 4, '新皂镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510703110000', 1, '2021-07-19 11:38:16', NULL, NULL), (7790, '', '皂角铺社区', 'ddbbb4ec29074fa7a2d48dd92e120b29', 'd8c163134ea94144b2799754b2e50d58', 'False', 'True', 'false', 'false', '510703110001', 5, '皂角铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703110001', 1, '2021-07-19 11:38:17', NULL, NULL), (7791, '', '石梯子村', '3e908fd967c44424bfb39e8ec5606985', 'd8c163134ea94144b2799754b2e50d58', 'False', 'True', 'false', 'false', '510703110201', 5, '石梯子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703110201', 1, '2021-07-19 11:38:17', NULL, NULL), (7792, '', '邱家庙村', '3a0ca67f8f2449c9b9213ee2f5a71252', 'd8c163134ea94144b2799754b2e50d58', 'False', 'True', 'false', 'false', '510703110203', 5, '邱家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703110203', 1, '2021-07-19 11:38:17', NULL, NULL), (7793, '', '梅家沟村', 'f48607ab155040d2a8956a72a068862f', 'd8c163134ea94144b2799754b2e50d58', 'False', 'True', 'false', 'false', '510703110206', 5, '梅家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703110206', 1, '2021-07-19 11:38:17', NULL, NULL), (7794, '', '刘家坪村', '23b4d5b4954b4b48a2280ca2b86a48f5', 'd8c163134ea94144b2799754b2e50d58', 'False', 'True', 'false', 'false', '510703110208', 5, '刘家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703110208', 1, '2021-07-19 11:38:17', NULL, NULL), (7795, '', '赵家花园村', '0d1a590bd3ba45a9bc1f3911558fb386', 'd8c163134ea94144b2799754b2e50d58', 'False', 'True', 'false', 'false', '510703110204', 5, '赵家花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703110204', 1, '2021-07-19 11:38:17', NULL, NULL), (7796, '', '金峰社区', '10d6f765f6b54ad991dbdc85f6c917d0', 'd8c163134ea94144b2799754b2e50d58', 'False', 'True', 'false', 'false', '510703110202', 5, '金峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703110202', 1, '2021-07-19 11:38:17', NULL, NULL), (7797, '', '八庙子村', '8347b9cee2fc4464854132461058de05', 'd8c163134ea94144b2799754b2e50d58', 'False', 'True', 'false', 'false', '510703110205', 5, '八庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703110205', 1, '2021-07-19 11:38:17', NULL, NULL), (7798, '', '五福寺村', '8b45287555574343a843f938fa57adb1', 'd8c163134ea94144b2799754b2e50d58', 'False', 'True', 'false', 'false', '510703110209', 5, '五福寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703110209', 1, '2021-07-19 11:38:17', NULL, NULL), (7799, '', '莲花池村', '2d00234f4eab49e88af2d32aa94ed187', 'd8c163134ea94144b2799754b2e50d58', 'False', 'True', 'false', 'false', '510703110207', 5, '莲花池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703110207', 1, '2021-07-19 11:38:17', NULL, NULL), (7800, '', '丰谷镇', 'efdd33078f1f45cfa091fecd5c8b7f93', 'bcb7fbaf77ae469986055ac97ae6e69c', 'True', 'True', 'false', 'false', '510703100000', 4, '丰谷镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510703100000', 1, '2021-07-19 11:38:17', NULL, NULL), (7801, '', '二社区', 'f1e8190e4bfb43a7a8cce2d830d26dc4', 'efdd33078f1f45cfa091fecd5c8b7f93', 'False', 'True', 'false', 'false', '510703100007', 5, '二社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703100007', 1, '2021-07-19 11:38:17', NULL, NULL), (7802, '', '三社区', '55197c56e6e94721aec5854bcd3bf497', 'efdd33078f1f45cfa091fecd5c8b7f93', 'False', 'True', 'false', 'false', '510703100008', 5, '三社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703100008', 1, '2021-07-19 11:38:17', NULL, NULL), (7803, '', '团结村', '0fd592e725fe4d54b642702cba56870f', 'efdd33078f1f45cfa091fecd5c8b7f93', 'False', 'True', 'false', 'false', '510703100201', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703100201', 1, '2021-07-19 11:38:17', NULL, NULL), (7804, '', '工农村', '137e6388215a4201b69ceeb1b0c114f3', 'efdd33078f1f45cfa091fecd5c8b7f93', 'False', 'True', 'false', 'false', '510703100203', 5, '工农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703100203', 1, '2021-07-19 11:38:17', NULL, NULL), (7805, '', '和平村', 'bdc047439fea48dbbc758df716cad78d', 'efdd33078f1f45cfa091fecd5c8b7f93', 'False', 'True', 'false', 'false', '510703100205', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703100205', 1, '2021-07-19 11:38:18', NULL, NULL), (7806, '', '廻龙沟村', '7063653a1bd949ecaa1f6f187a50a320', 'efdd33078f1f45cfa091fecd5c8b7f93', 'False', 'True', 'false', 'false', '510703100210', 5, '廻龙沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703100210', 1, '2021-07-19 11:38:18', NULL, NULL), (7807, '', '兴隆沟村', '52e61a0a92174ea3af062deafcc9bebd', 'efdd33078f1f45cfa091fecd5c8b7f93', 'False', 'True', 'false', 'false', '510703100211', 5, '兴隆沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703100211', 1, '2021-07-19 11:38:18', NULL, NULL), (7808, '', '关帝场镇社区', '97b2340cb57f4183b2ef5018b65cb97d', 'efdd33078f1f45cfa091fecd5c8b7f93', 'False', 'True', 'false', 'false', '510703100202', 5, '关帝场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703100202', 1, '2021-07-19 11:38:18', NULL, NULL), (7809, '', '致富村', 'b675dd9e7a7d41108a448802906b0e6d', 'efdd33078f1f45cfa091fecd5c8b7f93', 'False', 'True', 'false', 'false', '510703100207', 5, '致富村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703100207', 1, '2021-07-19 11:38:18', NULL, NULL), (7810, '', '水塘村', '45a05e5b5f494b63a61ba14707d1f366', 'efdd33078f1f45cfa091fecd5c8b7f93', 'False', 'True', 'false', 'false', '510703100209', 5, '水塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703100209', 1, '2021-07-19 11:38:18', NULL, NULL), (7811, '', '字库村', '41bfa86d72074820a05f887c0ca7a22d', 'efdd33078f1f45cfa091fecd5c8b7f93', 'False', 'True', 'false', 'false', '510703100006', 5, '字库村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703100006', 1, '2021-07-19 11:38:18', NULL, NULL), (7812, '', '齐心村', '2ac98114619745a59fed89589594a33d', 'efdd33078f1f45cfa091fecd5c8b7f93', 'False', 'True', 'false', 'false', '510703100206', 5, '齐心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703100206', 1, '2021-07-19 11:38:18', NULL, NULL), (7813, '', '清水村', 'd7f2fafc20154022a6a7e1563936990b', 'efdd33078f1f45cfa091fecd5c8b7f93', 'False', 'True', 'false', 'false', '510703100208', 5, '清水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703100208', 1, '2021-07-19 11:38:18', NULL, NULL), (7814, '', '杨家镇', '4155a278a22c47ac92cb7fb385281d5a', 'bcb7fbaf77ae469986055ac97ae6e69c', 'True', 'True', 'false', 'false', '510703107000', 4, '杨家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510703107000', 1, '2021-07-19 11:38:18', NULL, NULL), (7815, '', '罗汉寺村', 'c737f3b41ded4ddfac9dd149d8368eb2', '4155a278a22c47ac92cb7fb385281d5a', 'False', 'True', 'false', 'false', '510703107201', 5, '罗汉寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703107201', 1, '2021-07-19 11:38:18', NULL, NULL), (7816, '', '柏林湾村', '311ea50742c54a9ebea7c569662723d8', '4155a278a22c47ac92cb7fb385281d5a', 'False', 'True', 'false', 'false', '510703107204', 5, '柏林湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703107204', 1, '2021-07-19 11:38:18', NULL, NULL), (7817, '', '回龙寺村', '3be80e3b992945ad945086a4d00b17e2', '4155a278a22c47ac92cb7fb385281d5a', 'False', 'True', 'false', 'false', '510703107205', 5, '回龙寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703107205', 1, '2021-07-19 11:38:18', NULL, NULL), (7818, '', '万和村', '27c7760732cb455782a4120a39305fa3', '4155a278a22c47ac92cb7fb385281d5a', 'False', 'True', 'false', 'false', '510703107207', 5, '万和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703107207', 1, '2021-07-19 11:38:19', NULL, NULL), (7819, '', '朵朵树村', '527d4c2976a04e42a88ca07ae76728a8', '4155a278a22c47ac92cb7fb385281d5a', 'False', 'True', 'false', 'false', '510703107209', 5, '朵朵树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703107209', 1, '2021-07-19 11:38:19', NULL, NULL), (7820, '', '杨家社区', '905fbe91c9a042eba695b588c5b62a5e', '4155a278a22c47ac92cb7fb385281d5a', 'False', 'True', 'false', 'false', '510703107001', 5, '杨家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703107001', 1, '2021-07-19 11:38:19', NULL, NULL), (7821, '', '玉皇社区', '0e253cfa19ea4ce88a353b55afac40d2', '4155a278a22c47ac92cb7fb385281d5a', 'False', 'True', 'false', 'false', '510703107211', 5, '玉皇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703107211', 1, '2021-07-19 11:38:19', NULL, NULL), (7822, '', '草堂村', '4de11ac7cd6d4761b389555b5f032ac3', '4155a278a22c47ac92cb7fb385281d5a', 'False', 'True', 'false', 'false', '510703107203', 5, '草堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703107203', 1, '2021-07-19 11:38:19', NULL, NULL), (7823, '', '新堰村', 'a08c1c9cf4a94ef0bb554cdb614cf3d0', '4155a278a22c47ac92cb7fb385281d5a', 'False', 'True', 'false', 'false', '510703107206', 5, '新堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703107206', 1, '2021-07-19 11:38:19', NULL, NULL), (7824, '', '鲜家坝村', 'd8b11aaa5b61490a8e051a775ec7a48f', '4155a278a22c47ac92cb7fb385281d5a', 'False', 'True', 'false', 'false', '510703107212', 5, '鲜家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510703107212', 1, '2021-07-19 11:38:19', NULL, NULL), (7825, '', '游仙区', '2c7a09c8d0274a22ba0a110ccfa5a94d', '06770f8688a045beaf53089460935c1e', 'True', 'True', 'false', 'false', '510704000000', 3, '游仙区', 'mysyxq.sczwfw.gov.cn', 1, '2021-07-19 11:38:19', NULL, NULL), (7826, '', '科学城春雷街道', 'bf402cd94d9e4086a833a59aac51fe6e', '2c7a09c8d0274a22ba0a110ccfa5a94d', 'False', 'True', 'false', 'false', '510704296704', 4, '科学城春雷街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510704296704', 1, '2021-07-19 11:38:19', NULL, NULL), (7827, '', '盐泉镇', '9e65ae44a50545fe84b0af9cd796aa4f', '2c7a09c8d0274a22ba0a110ccfa5a94d', 'True', 'True', 'false', 'false', '510704110000', 4, '盐泉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510704110000', 1, '2021-07-19 11:38:19', NULL, NULL), (7828, '', '圣谕村', 'c7a15f3881144435a5e4cef22443f849', '9e65ae44a50545fe84b0af9cd796aa4f', 'False', 'True', 'false', 'false', '51070411102', 5, '圣谕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=51070411102', 1, '2021-07-19 11:38:19', NULL, NULL), (7829, '', '雨台村', 'a667540fff834f42bcb13a92746fef94', '9e65ae44a50545fe84b0af9cd796aa4f', 'False', 'True', 'false', 'false', '510704110324', 5, '雨台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704110324', 1, '2021-07-19 11:38:19', NULL, NULL), (7830, '', '上方寺村', 'e50214df1640485089fc4eda8ce743f5', '9e65ae44a50545fe84b0af9cd796aa4f', 'False', 'True', 'false', 'false', '510704110514', 5, '上方寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704110514', 1, '2021-07-19 11:38:19', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (7831, '', '长林村', 'c38e4434adb0414380de21ec6af27017', '9e65ae44a50545fe84b0af9cd796aa4f', 'False', 'True', 'false', 'false', '510704110578', 5, '长林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704110578', 1, '2021-07-19 11:38:19', NULL, NULL), (7832, '', '宝山村', '67f6cdc6c8f4490f9ffa9634b7b7d124', '9e65ae44a50545fe84b0af9cd796aa4f', 'False', 'True', 'false', 'false', '510704110647', 5, '宝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704110647', 1, '2021-07-19 11:38:19', NULL, NULL), (7833, '', '玉溪村', 'f5edbb88305847b09b5115935005b9ad', '9e65ae44a50545fe84b0af9cd796aa4f', 'False', 'True', 'false', 'false', '510704110802', 5, '玉溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704110802', 1, '2021-07-19 11:38:20', NULL, NULL), (7834, '', '梓棉社区', 'a0cfe49b759445cda381e07bfbc29fd5', '9e65ae44a50545fe84b0af9cd796aa4f', 'False', 'True', 'false', 'false', '510704111001', 5, '梓绵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704111001', 1, '2021-07-19 11:38:20', NULL, NULL), (7835, '', '玉河社区', '1d096a07479c4b03bcb83287315cd0d3', '9e65ae44a50545fe84b0af9cd796aa4f', 'False', 'True', 'false', 'false', '510704111004', 5, '玉河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704111004', 1, '2021-07-19 11:38:20', NULL, NULL), (7836, '', '新和村', '4e9ca79e021649cfb643a341b3462eb1', '9e65ae44a50545fe84b0af9cd796aa4f', 'False', 'True', 'false', 'false', '510704111021', 5, '新和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704111021', 1, '2021-07-19 11:38:20', NULL, NULL), (7837, '', '广兴村', '5e97da232de640279e841f628f1b352c', '9e65ae44a50545fe84b0af9cd796aa4f', 'False', 'True', 'false', 'false', '510704111111', 5, '广兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704111111', 1, '2021-07-19 11:38:20', NULL, NULL), (7838, '', '通远村', 'c06958e2c53d4d1fb590fb387b0b6936', '9e65ae44a50545fe84b0af9cd796aa4f', 'False', 'True', 'false', 'false', '510704111200', 5, '通远村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704111200', 1, '2021-07-19 11:38:20', NULL, NULL), (7839, '', '光明村', 'c933443c7e864a01b7f9bbdc7837c2e1', '9e65ae44a50545fe84b0af9cd796aa4f', 'False', 'True', 'false', 'false', '510704111204', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704111204', 1, '2021-07-19 11:38:20', NULL, NULL), (7840, '', '黎红村', '2dff32c9e88b4629a76b3c4fb5d24a96', '9e65ae44a50545fe84b0af9cd796aa4f', 'False', 'True', 'false', 'false', '510704111209', 5, '黎红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704111209', 1, '2021-07-19 11:38:20', NULL, NULL), (7841, '', '清溪村', '2efe54cad6404cfab0a266db504c66fd', '9e65ae44a50545fe84b0af9cd796aa4f', 'False', 'True', 'false', 'false', '510704111221', 5, '清溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704111221', 1, '2021-07-19 11:38:20', NULL, NULL), (7842, '', '盐井村', 'b4c21cd85812419583c21c3af7c46c13', '9e65ae44a50545fe84b0af9cd796aa4f', 'False', 'True', 'false', 'false', '510704111241', 5, '盐井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704111241', 1, '2021-07-19 11:38:20', NULL, NULL), (7843, '', '白蝉社区', '609472497db941068b406aa80aa4df3e', '9e65ae44a50545fe84b0af9cd796aa4f', 'False', 'True', 'false', 'false', '510704111301', 5, '白婵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704111301', 1, '2021-07-19 11:38:20', NULL, NULL), (7844, '', '金蝉村', 'd337feae7a174ddab751bb6b82491911', '9e65ae44a50545fe84b0af9cd796aa4f', 'False', 'True', 'false', 'false', '510704111490', 5, '金蝉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704111490', 1, '2021-07-19 11:38:20', NULL, NULL), (7845, '', '石马镇', '67673c6a5d0d47cf926d8464c41ca14c', '2c7a09c8d0274a22ba0a110ccfa5a94d', 'True', 'True', 'false', 'false', '510704289000', 4, '石马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510704289000', 1, '2021-07-19 11:38:20', NULL, NULL), (7846, '', '解放社区', '44af9aab4af9457f8ae2d4630c701278', '67673c6a5d0d47cf926d8464c41ca14c', 'False', 'True', 'false', 'false', '510704289769', 5, '解放社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704289769', 1, '2021-07-19 11:38:20', NULL, NULL), (7847, '', '东林社区', 'd13c824a3fe948a4b1d7cf6d572f607e', '67673c6a5d0d47cf926d8464c41ca14c', 'False', 'True', 'false', 'false', '510704289001', 5, '东林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704289001', 1, '2021-07-19 11:38:21', NULL, NULL), (7848, '', '金树村', '5fd3fd705305451d9d8588171bc475ba', '67673c6a5d0d47cf926d8464c41ca14c', 'False', 'True', 'false', 'false', '510704289005', 5, '金树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704289005', 1, '2021-07-19 11:38:21', NULL, NULL), (7849, '', '张家坪村', '5af32e34f0e148e69db092c3746da1c6', '67673c6a5d0d47cf926d8464c41ca14c', 'False', 'True', 'false', 'false', '510704289008', 5, '张家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704289008', 1, '2021-07-19 11:38:21', NULL, NULL), (7850, '', '石锣村', '78171bd3e79f4a749f305a301837c9ac', '67673c6a5d0d47cf926d8464c41ca14c', 'False', 'True', 'false', 'false', '510704289201', 5, '石锣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704289201', 1, '2021-07-19 11:38:21', NULL, NULL), (7851, '', '中科社区', '2d56159ab5da49c08dc05e3e75c388aa', '67673c6a5d0d47cf926d8464c41ca14c', 'False', 'True', 'false', 'false', '510704289210', 5, '中科社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704289210', 1, '2021-07-19 11:38:21', NULL, NULL), (7852, '', '紫府村', 'c539069a91a04f628a2ccd37555bae92', '67673c6a5d0d47cf926d8464c41ca14c', 'False', 'True', 'false', 'false', '510704289343', 5, '紫府村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704289343', 1, '2021-07-19 11:38:21', NULL, NULL), (7853, '', '文峰村', '367fe25597234c4e9402ecf88b28f96a', '67673c6a5d0d47cf926d8464c41ca14c', 'False', 'True', 'false', 'false', '510704289394', 5, '文峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704289394', 1, '2021-07-19 11:38:21', NULL, NULL), (7854, '', '天林村', 'ef7f367c24174d25a156bb6f6581a06c', '67673c6a5d0d47cf926d8464c41ca14c', 'False', 'True', 'false', 'false', '510704289660', 5, '天林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704289660', 1, '2021-07-19 11:38:21', NULL, NULL), (7855, '', '翠屏社区', '1e0038ebacd744f898d2a060f496fb5b', '67673c6a5d0d47cf926d8464c41ca14c', 'False', 'True', 'false', 'false', '510704289729', 5, '翠屏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704289729', 1, '2021-07-19 11:38:21', NULL, NULL), (7856, '', '百胜村', '683b4c5b023c45a2aa37c405c7c7f6d5', '67673c6a5d0d47cf926d8464c41ca14c', 'False', 'True', 'false', 'false', '510704289755', 5, '百胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704289755', 1, '2021-07-19 11:38:21', NULL, NULL), (7857, '', '狮院村', '5786e2121a874788a220c657ee990541', '67673c6a5d0d47cf926d8464c41ca14c', 'False', 'True', 'false', 'false', '510704289800', 5, '狮院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704289800', 1, '2021-07-19 11:38:21', NULL, NULL), (7858, '', '飞凤村', 'a73145508b844738aef8e7840c0b0cca', '67673c6a5d0d47cf926d8464c41ca14c', 'False', 'True', 'false', 'false', '510704289803', 5, '飞凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704289803', 1, '2021-07-19 11:38:21', NULL, NULL), (7859, '', '涪江社区', 'a6c417ecda11424ca03d600d60c94ecb', '67673c6a5d0d47cf926d8464c41ca14c', 'False', 'True', 'false', 'false', '510704289831', 5, '涪江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704289831', 1, '2021-07-19 11:38:21', NULL, NULL), (7860, '', '横山社区', '6cd8e4a343e14fa3a802039526272e36', '67673c6a5d0d47cf926d8464c41ca14c', 'False', 'True', 'false', 'false', '510704289967', 5, '横山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704289967', 1, '2021-07-19 11:38:22', NULL, NULL), (7861, '', '新桥镇', 'bfd38d66532d4b749b5a761752df8d67', '2c7a09c8d0274a22ba0a110ccfa5a94d', 'True', 'True', 'false', 'false', '510704314000', 4, '新桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510704314000', 1, '2021-07-19 11:38:22', NULL, NULL), (7862, '', '桩子社区', 'a73422a92ba54ffa85243bb780038ee8', 'bfd38d66532d4b749b5a761752df8d67', 'False', 'True', 'false', 'false', '510704102092', 5, '桩子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704102092', 1, '2021-07-19 11:38:22', NULL, NULL), (7863, '', '新桥社区', '3871eef0020f4916bd294a1e1305f0cd', 'bfd38d66532d4b749b5a761752df8d67', 'False', 'True', 'false', 'false', '510704102442', 5, '新桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704102442', 1, '2021-07-19 11:38:22', NULL, NULL), (7864, '', '玉泉村', '485d78f7252d4e09bd670c0eae238687', 'bfd38d66532d4b749b5a761752df8d67', 'False', 'True', 'false', 'false', '510704102502', 5, '玉泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704102502', 1, '2021-07-19 11:38:22', NULL, NULL), (7865, '', '同福村', 'f7a735a149664e588e200f1ea487fab4', 'bfd38d66532d4b749b5a761752df8d67', 'False', 'True', 'false', 'false', '510704102562', 5, '同福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704102562', 1, '2021-07-19 11:38:22', NULL, NULL), (7866, '', '双河村', '08e91ef20d4b43ffbb2f142df7d5624a', 'bfd38d66532d4b749b5a761752df8d67', 'False', 'True', 'false', 'false', '510704102587', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704102587', 1, '2021-07-19 11:38:22', NULL, NULL), (7867, '', '新民村', '8d097a59738e439bb04adcd1b94cb191', 'bfd38d66532d4b749b5a761752df8d67', 'False', 'True', 'false', 'false', '510704102648', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704102648', 1, '2021-07-19 11:38:22', NULL, NULL), (7868, '', '铜华村', 'dc516d5615664d2caa0d759767f0ee42', 'bfd38d66532d4b749b5a761752df8d67', 'False', 'True', 'false', 'false', '510704102843', 5, '铜华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704102843', 1, '2021-07-19 11:38:22', NULL, NULL), (7869, '', '红星村', '2274a232b3ea477e8cc01e230af3f45e', 'bfd38d66532d4b749b5a761752df8d67', 'False', 'True', 'false', 'false', '510704102919', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704102919', 1, '2021-07-19 11:38:22', NULL, NULL), (7870, '', '王家坝村', 'e93220e902994c1aa0158691e8e3ee8c', 'bfd38d66532d4b749b5a761752df8d67', 'False', 'True', 'false', 'false', '510704102024', 5, '王家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704102024', 1, '2021-07-19 11:38:22', NULL, NULL), (7871, '', '石庙村', 'c5565d8c12264e99943d9a322018fe31', 'bfd38d66532d4b749b5a761752df8d67', 'False', 'True', 'false', 'false', '510704102030', 5, '石庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704102030', 1, '2021-07-19 11:38:23', NULL, NULL), (7872, '', '胜旗村', 'ccd6561689fe4af0a78c3ebd338a422f', 'bfd38d66532d4b749b5a761752df8d67', 'False', 'True', 'false', 'false', '510704102054', 5, '胜旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704102054', 1, '2021-07-19 11:38:23', NULL, NULL), (7873, '', '高意村', '9b53e11a31824b538d1deb7debe55e44', 'bfd38d66532d4b749b5a761752df8d67', 'False', 'True', 'false', 'false', '510704102074', 5, '高意村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704102074', 1, '2021-07-19 11:38:23', NULL, NULL), (7874, '', '云凤社区', '083ede26ae514942ad95f282eb79af16', 'bfd38d66532d4b749b5a761752df8d67', 'False', 'True', 'false', 'false', '510704102078', 5, '云凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704102078', 1, '2021-07-19 11:38:23', NULL, NULL), (7875, '', '柏龙村', '169f51d225644230927887377bfefa43', 'bfd38d66532d4b749b5a761752df8d67', 'False', 'True', 'false', 'false', '510704102204', 5, '柏龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704102204', 1, '2021-07-19 11:38:23', NULL, NULL), (7876, '', '胜利村', '52b1635dfdcf48cf9a0f46ea6531b553', 'bfd38d66532d4b749b5a761752df8d67', 'False', 'True', 'false', 'false', '510704102214', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704102214', 1, '2021-07-19 11:38:23', NULL, NULL), (7877, '', '复兴社区', '0ab62f8601c14dcda5381c09fb485205', 'bfd38d66532d4b749b5a761752df8d67', 'False', 'True', 'false', 'false', '510704102230', 5, '复兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704102230', 1, '2021-07-19 11:38:23', NULL, NULL), (7878, '', '新龙村', 'b52bdd2cd0284301a4b953deb07bf308', 'bfd38d66532d4b749b5a761752df8d67', 'False', 'True', 'false', 'false', '510704102240', 5, '新龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704102240', 1, '2021-07-19 11:38:23', NULL, NULL), (7879, '', '兴泉村', '45df39abff0a492c873a703012844ea0', 'bfd38d66532d4b749b5a761752df8d67', 'False', 'True', 'false', 'false', '510704102350', 5, '兴泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704102350', 1, '2021-07-19 11:38:23', NULL, NULL), (7880, '', '游仙街道', '456c2c45b50847c298cf38bd9bff9e8a', '2c7a09c8d0274a22ba0a110ccfa5a94d', 'True', 'True', 'false', 'false', '510704377000', 4, '游仙街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510704377000', 1, '2021-07-19 11:38:23', NULL, NULL), (7881, '', '龙申社区', '3ebf9175bed04da09c326d9ecfb566e8', '456c2c45b50847c298cf38bd9bff9e8a', 'False', 'True', 'false', 'false', '510704004135', 5, '龙申社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704004135', 1, '2021-07-19 11:38:23', NULL, NULL), (7882, '', '芙蓉社区', 'c01335ef74de4adb8bffead4cfe320af', '456c2c45b50847c298cf38bd9bff9e8a', 'False', 'True', 'false', 'false', '510704377141', 5, '芙蓉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704377141', 1, '2021-07-19 11:38:23', NULL, NULL), (7883, '', '文胜村', '33ca5ee0845d4cc597f0c776687e3b78', '456c2c45b50847c298cf38bd9bff9e8a', 'False', 'True', 'false', 'false', '510704377236', 5, '文胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704377236', 1, '2021-07-19 11:38:23', NULL, NULL), (7884, '', '吴家社区', '91fcbec4e7034299aeffb4b3c3bbe6be', '456c2c45b50847c298cf38bd9bff9e8a', 'False', 'True', 'false', 'false', '510704377539', 5, '吴家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704377539', 1, '2021-07-19 11:38:23', NULL, NULL), (7885, '', '石垭村', '6e83c6bd508d48d18f8cbaa533c3af59', '456c2c45b50847c298cf38bd9bff9e8a', 'False', 'True', 'false', 'false', '510704377606', 5, '石垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704377606', 1, '2021-07-19 11:38:23', NULL, NULL), (7886, '', '长明村', '33faa8af4fea45fd918a131edbf9d78c', '456c2c45b50847c298cf38bd9bff9e8a', 'False', 'True', 'false', 'false', '510704377833', 5, '长明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704377833', 1, '2021-07-19 11:38:23', NULL, NULL), (7887, '', '游仙观社区', '9bceb6411da847afb56842b4a121b56b', '456c2c45b50847c298cf38bd9bff9e8a', 'False', 'True', 'false', 'false', '510704377927', 5, '游仙观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704377927', 1, '2021-07-19 11:38:23', NULL, NULL), (7888, '', '金山村', '787ea842a4a64387952c9925908c7a5f', '456c2c45b50847c298cf38bd9bff9e8a', 'False', 'True', 'false', 'false', '510704377978', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704377978', 1, '2021-07-19 11:38:23', NULL, NULL), (7889, '', '经济试验区', 'b31ffbca792543489faa39c85b15234f', '2c7a09c8d0274a22ba0a110ccfa5a94d', 'True', 'True', 'false', 'false', '510704380301', 4, '经济试验区', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510704380301', 1, '2021-07-19 11:38:23', NULL, NULL), (7890, '', '六里社区', '509f7a0306ac4bb2bd09060dc857bc8b', 'b31ffbca792543489faa39c85b15234f', 'False', 'True', 'false', 'false', '510704004001', 5, '六里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704004001', 1, '2021-07-19 11:38:23', NULL, NULL), (7891, '', '小岛社区', '76006cf05ae64eaf9424ee0c379c43c0', 'b31ffbca792543489faa39c85b15234f', 'False', 'True', 'false', 'false', '510704004002', 5, '小岛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704004002', 1, '2021-07-19 11:38:24', NULL, NULL), (7892, '', '汉仙桥社区', '6aa3208d373440579e3e793e76fb609a', 'b31ffbca792543489faa39c85b15234f', 'False', 'True', 'false', 'false', '510704004004', 5, '汉仙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704004004', 1, '2021-07-19 11:38:24', NULL, NULL), (7893, '', '游仙东路社区', '8e4fa222b437454d8721e663ee76b6b6', 'b31ffbca792543489faa39c85b15234f', 'False', 'True', 'false', 'false', '510704004005', 5, '游仙东路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704004005', 1, '2021-07-19 11:38:24', NULL, NULL), (7894, '', '汉城社区', '8f7acda107c14729bf41a5a89cce782d', 'b31ffbca792543489faa39c85b15234f', 'False', 'True', 'false', 'false', '510704004006', 5, '汉城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704004006', 1, '2021-07-19 11:38:24', NULL, NULL), (7895, '', '桑林社区', 'b258bb124f1a44a9a3527ea4912c1a9f', 'b31ffbca792543489faa39c85b15234f', 'False', 'True', 'false', 'false', '510704004007', 5, '桑林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704004007', 1, '2021-07-19 11:38:24', NULL, NULL), (7896, '', '游仙路社区', '7c520ea8e0284417b2a6304e6c704c79', 'b31ffbca792543489faa39c85b15234f', 'False', 'True', 'false', 'false', '510704004010', 5, '游仙路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704004010', 1, '2021-07-19 11:38:24', NULL, NULL), (7897, '', '民安社区', '8aeed68d1f6440c88dbeb17b96496995', 'b31ffbca792543489faa39c85b15234f', 'False', 'True', 'false', 'false', '510704004011', 5, '民安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704004011', 1, '2021-07-19 11:38:24', NULL, NULL), (7898, '', '仙鹤镇', '54b8597f40124a95a6bd633825022761', '2c7a09c8d0274a22ba0a110ccfa5a94d', 'True', 'True', 'false', 'false', '510704482000', 4, '仙鹤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510704482000', 1, '2021-07-19 11:38:24', NULL, NULL), (7899, '', '朝真场社区', 'fd8c33082b8f443796d3b4c8a7eac17e', '54b8597f40124a95a6bd633825022761', 'False', 'True', 'false', 'false', '510704107040', 5, '朝真场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704107040', 1, '2021-07-19 11:38:24', NULL, NULL), (7900, '', '崇林村', 'df633bb33c384798bf7a958c9e6f8b94', '54b8597f40124a95a6bd633825022761', 'False', 'True', 'false', 'false', '510704107050', 5, '崇林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704107050', 1, '2021-07-19 11:38:24', NULL, NULL), (7901, '', '朝真村', '733fdd358fbf4e8f883e385c3a8e5301', '54b8597f40124a95a6bd633825022761', 'False', 'True', 'false', 'false', '510704107104', 5, '朝真村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704107104', 1, '2021-07-19 11:38:24', NULL, NULL), (7902, '', '石龙村', '8a264ad38fd04ea7a314797f51d4084c', '54b8597f40124a95a6bd633825022761', 'False', 'True', 'false', 'false', '510704107107', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704107107', 1, '2021-07-19 11:38:24', NULL, NULL), (7903, '', '青龙村', '2c668ac0f5fc454388f474c2ec3e889a', '54b8597f40124a95a6bd633825022761', 'False', 'True', 'false', 'false', '510704107117', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704107117', 1, '2021-07-19 11:38:24', NULL, NULL), (7904, '', '金柏村', 'dd322a0bc16d468089a886d634ad75e1', '54b8597f40124a95a6bd633825022761', 'False', 'True', 'false', 'false', '510704482201', 5, '金柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704482201', 1, '2021-07-19 11:38:25', NULL, NULL), (7905, '', '洛水村', '31a83e52c88948cebfa9862d96bb306b', '54b8597f40124a95a6bd633825022761', 'False', 'True', 'false', 'false', '510704482283', 5, '洛水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704482283', 1, '2021-07-19 11:38:25', NULL, NULL), (7906, '', '孟津村', 'f3ea7a76a1f54e578c08194cb26ac28e', '54b8597f40124a95a6bd633825022761', 'False', 'True', 'false', 'false', '510704482421', 5, '孟津村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704482421', 1, '2021-07-19 11:38:25', NULL, NULL), (7907, '', '云水村', '652a820e622344e4b4314e663b0d1b93', '54b8597f40124a95a6bd633825022761', 'False', 'True', 'false', 'false', '510704482485', 5, '云水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704482485', 1, '2021-07-19 11:38:25', NULL, NULL), (7908, '', '柏林社区', 'b9af5ff95de243bab9d1449a49a4bf3e', '54b8597f40124a95a6bd633825022761', 'False', 'True', 'false', 'false', '510704482515', 5, '柏林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704482515', 1, '2021-07-19 11:38:25', NULL, NULL), (7909, '', '金龙村', '582190dc3a3f4801b7cfd344e0205a9c', '54b8597f40124a95a6bd633825022761', 'False', 'True', 'false', 'false', '510704482813', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704482813', 1, '2021-07-19 11:38:25', NULL, NULL), (7910, '', '魏城镇', '6b140a2976b54a8c83d371aa69f708db', '2c7a09c8d0274a22ba0a110ccfa5a94d', 'True', 'True', 'false', 'false', '510704572000', 4, '魏城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510704572000', 1, '2021-07-19 11:38:25', NULL, NULL), (7911, '', '东宣社区', '21932ab706084b7f860ac65c16cc9992', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704104041', 5, '东宣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704104041', 1, '2021-07-19 11:38:26', NULL, NULL), (7912, '', '桂花社区', '8f59a34d9286410b87384d9a0fef1206', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704104424', 5, '桂花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704104424', 1, '2021-07-19 11:38:26', NULL, NULL), (7913, '', '飞龙村', '327a1ebfb8a54ce8b2dc72d0050483e3', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704104710', 5, '飞龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704104710', 1, '2021-07-19 11:38:26', NULL, NULL), (7914, '', '青云村', 'bf372d2a99544f158955a786580e4f30', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572116', 5, '青云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572116', 1, '2021-07-19 11:38:26', NULL, NULL), (7915, '', '牌坊村', 'fb476e4c7e124092a017b3c6872dfa43', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572141', 5, '牌坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572141', 1, '2021-07-19 11:38:26', NULL, NULL), (7916, '', '金华村', '8f8a391f153f4252818886873a8b26f7', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572143', 5, '金华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572143', 1, '2021-07-19 11:38:26', NULL, NULL), (7917, '', '铁炉村', '2e843d5d63a6407188f9957975e90203', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572147', 5, '铁炉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572147', 1, '2021-07-19 11:38:26', NULL, NULL), (7918, '', '绣山村', '75545417781545a4954504dfb0a262c7', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572206', 5, '绣山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572206', 1, '2021-07-19 11:38:26', NULL, NULL), (7919, '', '和阳村', '2f2e19427e134484b5f5a37e0715089c', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572226', 5, '和阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572226', 1, '2021-07-19 11:38:26', NULL, NULL), (7920, '', '永乐村', 'e3e758aa055e4514a9b183a76146a2d4', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572241', 5, '永乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572241', 1, '2021-07-19 11:38:26', NULL, NULL), (7921, '', '文圣村', 'f20ed162d5cf46d29bdd7ab3cdced6b6', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572351', 5, '文圣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572351', 1, '2021-07-19 11:38:26', NULL, NULL), (7922, '', '徐家社区', '00a11c9d1b1f4cdc876124d098880331', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572363', 5, '徐家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572363', 1, '2021-07-19 11:38:26', NULL, NULL), (7923, '', '宣化村', '55edddd92993463ba05d4140bb1c8d29', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572443', 5, '宣化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572443', 1, '2021-07-19 11:38:27', NULL, NULL), (7924, '', '莲花村', 'a19766f511fa41249eebb69cd2947a73', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572533', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572533', 1, '2021-07-19 11:38:27', NULL, NULL), (7925, '', '红岩村', '6e36a4a0df684268a5a2c92fc4a1b803', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572536', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572536', 1, '2021-07-19 11:38:27', NULL, NULL), (7926, '', '鱼泉村', '4237b58fb010414eb49aac11c4485345', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572546', 5, '鱼泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572546', 1, '2021-07-19 11:38:27', NULL, NULL), (7927, '', '安乐村', '0b243db602f240728ffb87c076ef5c4e', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572563', 5, '安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572563', 1, '2021-07-19 11:38:27', NULL, NULL), (7928, '', '群益村', '3a10010ac6e44485b01d98dafd3d5b67', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572687', 5, '群益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572687', 1, '2021-07-19 11:38:27', NULL, NULL), (7929, '', '白鹤村', 'b624abae339b43528381fd2751544fd1', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572863', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572863', 1, '2021-07-19 11:38:27', NULL, NULL), (7930, '', '七里村', '0f69c504e64841c1a96a9bf184ca7b6f', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572902', 5, '七里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572902', 1, '2021-07-19 11:38:27', NULL, NULL), (7931, '', '竹柳村', '29539e6705cb4f6ba36ffaa88f7020d7', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572917', 5, '竹柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572917', 1, '2021-07-19 11:38:27', NULL, NULL), (7932, '', '关帝村', '81021fbc7ca4498081f478bb6a6d2031', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572961', 5, '关帝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572961', 1, '2021-07-19 11:38:27', NULL, NULL), (7933, '', '栖凤村', '8b0a1d2aedaf45a9a49d654d3c966e13', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572967', 5, '栖凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572967', 1, '2021-07-19 11:38:27', NULL, NULL), (7934, '', '青陆村', 'ee931e979a1c4c4b93b2672e668ad3f3', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572993', 5, '青陆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572993', 1, '2021-07-19 11:38:27', NULL, NULL), (7935, '', '正兴社区', 'd4cc7849d7374a709cd2d298ed0040f1', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572995', 5, '正兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572995', 1, '2021-07-19 11:38:27', NULL, NULL), (7936, '', '星光村', '5b285443e25a474682e412be084372f0', '6b140a2976b54a8c83d371aa69f708db', 'False', 'True', 'false', 'false', '510704572148', 5, '星光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704572148', 1, '2021-07-19 11:38:27', NULL, NULL), (7937, '', '小枧镇', 'd594ad7b57e44edb9b8f71c28051d7f3', '2c7a09c8d0274a22ba0a110ccfa5a94d', 'True', 'True', 'false', 'false', '510704702000', 4, '小枧镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510704702000', 1, '2021-07-19 11:38:27', NULL, NULL), (7938, '', '高乐村', '145665cd951e49519d6faf0c8afcd6e3', 'd594ad7b57e44edb9b8f71c28051d7f3', 'False', 'True', 'false', 'false', '510704103025', 5, '高乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704103025', 1, '2021-07-19 11:38:27', NULL, NULL), (7939, '', '雨凤村', '50d2770608fb459b8f6448c28d96519a', 'd594ad7b57e44edb9b8f71c28051d7f3', 'False', 'True', 'false', 'false', '510704103049', 5, '雨凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704103049', 1, '2021-07-19 11:38:27', NULL, NULL), (7940, '', '建华社区', 'b3cc560175c84ec895f8957a173e6cbb', 'd594ad7b57e44edb9b8f71c28051d7f3', 'False', 'True', 'false', 'false', '510704103071', 5, '建华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704103071', 1, '2021-07-19 11:38:27', NULL, NULL), (7941, '', '天池村', '91c8fe0e6f1145f3a79211b46101540f', 'd594ad7b57e44edb9b8f71c28051d7f3', 'False', 'True', 'false', 'false', '510704103079', 5, '天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704103079', 1, '2021-07-19 11:38:27', NULL, NULL), (7942, '', '紫阳第一社区', '8a9b07977d814af096bdd0d0465d6dad', 'd594ad7b57e44edb9b8f71c28051d7f3', 'False', 'True', 'false', 'false', '510704702107', 5, '紫阳第一社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704702107', 1, '2021-07-19 11:38:27', NULL, NULL), (7943, '', '八龙村', 'f04f97cae3f44b4eb74a750739675448', 'd594ad7b57e44edb9b8f71c28051d7f3', 'False', 'True', 'false', 'false', '510704702138', 5, '八龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704702138', 1, '2021-07-19 11:38:28', NULL, NULL), (7944, '', '河沟社区', '7a114f87306c4907940f4360706d3ea9', 'd594ad7b57e44edb9b8f71c28051d7f3', 'False', 'True', 'false', 'false', '510704702203', 5, '河沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704702203', 1, '2021-07-19 11:38:28', NULL, NULL), (7945, '', '利民社区', '4cd810f1ea3342baa66194ac91383680', 'd594ad7b57e44edb9b8f71c28051d7f3', 'False', 'True', 'false', 'false', '510704702401', 5, '利民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704702401', 1, '2021-07-19 11:38:28', NULL, NULL), (7946, '', '遇仙村', '13714799b9154f588b74434dad1adb99', 'd594ad7b57e44edb9b8f71c28051d7f3', 'False', 'True', 'false', 'false', '510704702460', 5, '遇仙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704702460', 1, '2021-07-19 11:38:28', NULL, NULL), (7947, '', '洪垭村', '1452b0d7e17f457ea0f1fe44f0b6b6a8', 'd594ad7b57e44edb9b8f71c28051d7f3', 'False', 'True', 'false', 'false', '510704702464', 5, '洪垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704702464', 1, '2021-07-19 11:38:28', NULL, NULL), (7948, '', '大河社区', '08294e07e3d7405791bd36f96e126f7b', 'd594ad7b57e44edb9b8f71c28051d7f3', 'False', 'True', 'false', 'false', '510704702721', 5, '大河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704702721', 1, '2021-07-19 11:38:28', NULL, NULL), (7949, '', '一心社区', 'd949302db4244c75a69eee47a54b60b6', 'd594ad7b57e44edb9b8f71c28051d7f3', 'False', 'True', 'false', 'false', '510704702754', 5, '一心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704702754', 1, '2021-07-19 11:38:28', NULL, NULL), (7950, '', '紫阳社区', 'c80beea4d2cc4254a1e650e67b6ab3c9', 'd594ad7b57e44edb9b8f71c28051d7f3', 'False', 'True', 'false', 'false', '510704702796', 5, '紫阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704702796', 1, '2021-07-19 11:38:28', NULL, NULL), (7951, '', '三星社区', 'f249606a3ada402bbb2dd07fb3ac5707', 'd594ad7b57e44edb9b8f71c28051d7f3', 'False', 'True', 'false', 'false', '510704702819', 5, '三星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704702819', 1, '2021-07-19 11:38:28', NULL, NULL), (7952, '', '五星村', 'f96899d6db2f4b5bb9c09e5a43280c58', 'd594ad7b57e44edb9b8f71c28051d7f3', 'False', 'True', 'false', 'false', '510704702907', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704702907', 1, '2021-07-19 11:38:28', NULL, NULL), (7953, '', '思源社区', '068730ab52dc4a6c8f504ed74e411f19', 'd594ad7b57e44edb9b8f71c28051d7f3', 'False', 'True', 'false', 'false', '510704702980', 5, '思源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704702980', 1, '2021-07-19 11:38:28', NULL, NULL), (7954, '', '新华社区', '484677140fb847a58bf1e25d0d5fd5b3', 'd594ad7b57e44edb9b8f71c28051d7f3', 'False', 'True', 'false', 'false', '510704702996', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704702996', 1, '2021-07-19 11:38:28', NULL, NULL), (7955, '', '忠兴镇', '7d808597b31740dd8ee36a28180bf116', '2c7a09c8d0274a22ba0a110ccfa5a94d', 'True', 'True', 'false', 'false', '510704753000', 4, '忠兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510704753000', 1, '2021-07-19 11:38:28', NULL, NULL), (7956, '', '凤凰村', '50d19aaae7f14840bfbd5b654dea606e', '7d808597b31740dd8ee36a28180bf116', 'False', 'True', 'false', 'false', '510704106018', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704106018', 1, '2021-07-19 11:38:28', NULL, NULL), (7957, '', '忠兴社区', '37bfde49bb4f4408b714940ce9d8d01f', '7d808597b31740dd8ee36a28180bf116', 'False', 'True', 'false', 'false', '510704106023', 5, '忠兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704106023', 1, '2021-07-19 11:38:28', NULL, NULL), (7958, '', '凤凰社区', 'a34abf1bf7954cc7b6f2990ac4b06c9b', '7d808597b31740dd8ee36a28180bf116', 'False', 'True', 'false', 'false', '510704106098', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704106098', 1, '2021-07-19 11:38:28', NULL, NULL), (7959, '', '木龙村', '096caf5512c341fd9d4c60585a34a32c', '7d808597b31740dd8ee36a28180bf116', 'False', 'True', 'false', 'false', '510704106208', 5, '木龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704106208', 1, '2021-07-19 11:38:28', NULL, NULL), (7960, '', '乜家村', '2507a2d9f555465aa83efdb605e0db47', '7d808597b31740dd8ee36a28180bf116', 'False', 'True', 'false', 'false', '510704106217', 5, '乜家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704106217', 1, '2021-07-19 11:38:28', NULL, NULL), (7961, '', '南桥村', 'c168e7d7fa334ccd94a36db1e97c271c', '7d808597b31740dd8ee36a28180bf116', 'False', 'True', 'false', 'false', '510704106241', 5, '南桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704106241', 1, '2021-07-19 11:38:28', NULL, NULL), (7962, '', '酒店村', '73e3081501a14ee784d39265d9cb1f95', '7d808597b31740dd8ee36a28180bf116', 'False', 'True', 'false', 'false', '510704106250', 5, '酒店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704106250', 1, '2021-07-19 11:38:28', NULL, NULL), (7963, '', '福林村', '90465185c8de4879a0aca0115615fc4e', '7d808597b31740dd8ee36a28180bf116', 'False', 'True', 'false', 'false', '510704106302', 5, '福林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704106302', 1, '2021-07-19 11:38:29', NULL, NULL), (7964, '', '永佛村', 'd967ab41ec984709a2f32c5bfdc971d6', '7d808597b31740dd8ee36a28180bf116', 'False', 'True', 'false', 'false', '510704106304', 5, '永佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704106304', 1, '2021-07-19 11:38:29', NULL, NULL), (7965, '', '紫气村', '3f87e0cebc784a61ae3abf424350130a', '7d808597b31740dd8ee36a28180bf116', 'False', 'True', 'false', 'false', '510704106340', 5, '紫气村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704106340', 1, '2021-07-19 11:38:29', NULL, NULL), (7966, '', '五兴村', '0d2c0e6942b3467596937f2418aa7929', '7d808597b31740dd8ee36a28180bf116', 'False', 'True', 'false', 'false', '510704106402', 5, '五兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704106402', 1, '2021-07-19 11:38:29', NULL, NULL), (7967, '', '太平社区', 'd84c7b9e1497415da336e46c9d004ec9', '7d808597b31740dd8ee36a28180bf116', 'False', 'True', 'false', 'false', '510704106601', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704106601', 1, '2021-07-19 11:38:29', NULL, NULL), (7968, '', '双鱼村', 'a62030d70c3644fea942441083e0339d', '7d808597b31740dd8ee36a28180bf116', 'False', 'True', 'false', 'false', '510704753123', 5, '双鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704753123', 1, '2021-07-19 11:38:29', NULL, NULL), (7969, '', '龙安村', '9120294d2f1e4896b601ef585f63dc41', '7d808597b31740dd8ee36a28180bf116', 'False', 'True', 'false', 'false', '510704753504', 5, '龙安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704753504', 1, '2021-07-19 11:38:29', NULL, NULL), (7970, '', '兴合村', '6cf1fed3fa5346c2954cae0b78ea5395', '7d808597b31740dd8ee36a28180bf116', 'False', 'True', 'false', 'false', '510704753567', 5, '兴合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704753567', 1, '2021-07-19 11:38:29', NULL, NULL), (7971, '', '龙泉村', 'c8e77115811343dca266336d20f3dc99', '7d808597b31740dd8ee36a28180bf116', 'False', 'True', 'false', 'false', '510704753640', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704753640', 1, '2021-07-19 11:38:29', NULL, NULL), (7972, '', '明龙村', '78f17fd8c221421b86ddea8d0d4ef573', '7d808597b31740dd8ee36a28180bf116', 'False', 'True', 'false', 'false', '510704753746', 5, '明龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704753746', 1, '2021-07-19 11:38:29', NULL, NULL), (7973, '', '鑫龙村', '0a5cc10ba6f94322acb352640e7b76b0', '7d808597b31740dd8ee36a28180bf116', 'False', 'True', 'false', 'false', '510704753890', 5, '鑫龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704753890', 1, '2021-07-19 11:38:29', NULL, NULL), (7974, '', '信义镇', '850916d657ab49e384e6d888e89a13bf', '2c7a09c8d0274a22ba0a110ccfa5a94d', 'True', 'True', 'false', 'false', '510704765000', 4, '信义镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510704765000', 1, '2021-07-19 11:38:29', NULL, NULL), (7975, '', '刘家社区', '7e7446fe1d7148d096ce8c3a3708d16d', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765007', 5, '刘家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765007', 1, '2021-07-19 11:38:29', NULL, NULL), (7976, '', '凤鸣村', '79882b3a738041a6be82b72d456e084e', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765011', 5, '凤鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765011', 1, '2021-07-19 11:38:29', NULL, NULL), (7977, '', '群丰村', '74cc0f8f55f64eaa9de8b876e4c03d6b', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765024', 5, '群丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765024', 1, '2021-07-19 11:38:29', NULL, NULL), (7978, '', '金桥村', 'bb833e9191104ca1ad1915902ae4fc48', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765049', 5, '金桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765049', 1, '2021-07-19 11:38:29', NULL, NULL), (7979, '', '莲水村', '6dc51ed93fed44689e7c9a5eeb273890', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765078', 5, '莲水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765078', 1, '2021-07-19 11:38:29', NULL, NULL), (7980, '', '双兴村', '554c6a61200640e3ad398aabc7e8b7c4', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765202', 5, '双兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765202', 1, '2021-07-19 11:38:30', NULL, NULL), (7981, '', '家合村', 'f89e4ef96f824363a70371f446f9cb3a', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765207', 5, '家合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765207', 1, '2021-07-19 11:38:30', NULL, NULL), (7982, '', '段家桥村', '9116df75e6bf4879b52846df10971258', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765208', 5, '段家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765208', 1, '2021-07-19 11:38:30', NULL, NULL), (7983, '', '李花村', '9f6d97910f6648d9ae003304d8eac5ee', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765216', 5, '李花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765216', 1, '2021-07-19 11:38:30', NULL, NULL), (7984, '', '龙园村', '367df76a26754156a2e5a773046a9429', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765221', 5, '龙园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765221', 1, '2021-07-19 11:38:30', NULL, NULL), (7985, '', '曾家垭村', 'bd00e7006cfb40dead762b992dfff5af', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765230', 5, '曾家垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765230', 1, '2021-07-19 11:38:30', NULL, NULL), (7986, '', '卢家坪村', '0176213c77d84e58bdc5f3e07313282d', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765302', 5, '卢家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765302', 1, '2021-07-19 11:38:30', NULL, NULL), (7987, '', '信义村', '9f3e9235a2694cabaebc1a3c1f5ce2d1', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765308', 5, '信义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765308', 1, '2021-07-19 11:38:30', NULL, NULL), (7988, '', '仙山村', '311b5376d5d54290a241769256127bcb', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765377', 5, '仙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765377', 1, '2021-07-19 11:38:30', NULL, NULL), (7989, '', '观音桥社区', '86e2acd4e67c4920b1a90d85ed92a128', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765450', 5, '观音桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765450', 1, '2021-07-19 11:38:30', NULL, NULL), (7990, '', '白马村', '3467413129b149119ea4eeb7b7dd6bbf', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765503', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765503', 1, '2021-07-19 11:38:31', NULL, NULL), (7991, '', '石板社区', '349a4cc3b0534d74906c70e9aaf74b05', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765756', 5, '石板社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765756', 1, '2021-07-19 11:38:31', NULL, NULL), (7992, '', '福星村', '55920bb429ec4620852b12fe97a83265', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765758', 5, '福星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765758', 1, '2021-07-19 11:38:31', NULL, NULL), (7993, '', '红广村', '137c012d1aa845c3b185f3a0e47952dd', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765777', 5, '红广村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765777', 1, '2021-07-19 11:38:31', NULL, NULL), (7994, '', '铧柏村', '0156f86aec104608bba80c32677c1f13', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765864', 5, '铧柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765864', 1, '2021-07-19 11:38:31', NULL, NULL), (7995, '', '柳垭村', '5bec374957e442328877cff7f4f16a47', '850916d657ab49e384e6d888e89a13bf', 'False', 'True', 'false', 'false', '510704765952', 5, '柳垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704765952', 1, '2021-07-19 11:38:31', NULL, NULL), (7996, '', '富乐街道', 'a7ee1414a199428ba371a9b7492c4fe0', '2c7a09c8d0274a22ba0a110ccfa5a94d', 'True', 'True', 'false', 'false', '510704865000', 4, '富乐街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510704865000', 1, '2021-07-19 11:38:31', NULL, NULL), (7997, '', '五八社区', 'd3bf4a9499f9475a895f120d7f0c5b4f', 'a7ee1414a199428ba371a9b7492c4fe0', 'False', 'True', 'false', 'false', '510704003122', 5, '五八社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704003122', 1, '2021-07-19 11:38:31', NULL, NULL), (7998, '', '仙人路社区', 'b74eb31d6bc246c2bb0e6b999bffe00f', 'a7ee1414a199428ba371a9b7492c4fe0', 'False', 'True', 'false', 'false', '510704865191', 5, '仙人路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704865191', 1, '2021-07-19 11:38:31', NULL, NULL), (7999, '', '沈家坝北街社区', '0fec4a348c144644ba8bcfff9bf74823', 'a7ee1414a199428ba371a9b7492c4fe0', 'False', 'True', 'false', 'false', '510704865393', 5, '沈家坝北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704865393', 1, '2021-07-19 11:38:31', NULL, NULL), (8000, '', '沈家坝东街社区', '3a365ba730ad415aace4a4ca3c61e506', 'a7ee1414a199428ba371a9b7492c4fe0', 'False', 'True', 'false', 'false', '510704865428', 5, '沈家坝东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704865428', 1, '2021-07-19 11:38:31', NULL, NULL), (8001, '', '李杜祠社区', 'b226a69556714adb82e90d707ccd5dad', 'a7ee1414a199428ba371a9b7492c4fe0', 'False', 'True', 'false', 'false', '510704865922', 5, '李杜祠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704865922', 1, '2021-07-19 11:38:31', NULL, NULL), (8002, '', '涪江街道', 'd131603e2348471788b53ef26f9c1365', '2c7a09c8d0274a22ba0a110ccfa5a94d', 'True', 'True', 'false', 'false', '510704983000', 4, '涪江街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510704983000', 1, '2021-07-19 11:38:31', NULL, NULL), (8003, '', '开元路社区', 'd5adbfa8f5a847438fda558b654ab334', 'd131603e2348471788b53ef26f9c1365', 'False', 'True', 'false', 'false', '510704983115', 5, '开元路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704983115', 1, '2021-07-19 11:38:31', NULL, NULL), (8004, '', '开元路中街社区', 'f01e49592a0543548b2e9e0c765e9688', 'd131603e2348471788b53ef26f9c1365', 'False', 'True', 'false', 'false', '510704983161', 5, '开元路中街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704983161', 1, '2021-07-19 11:38:31', NULL, NULL), (8005, '', '五里堆路社区', 'c0b3c4158e2c44c3a6b88e0e70ed10bc', 'd131603e2348471788b53ef26f9c1365', 'False', 'True', 'false', 'false', '510704983203', 5, '五里堆路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704983203', 1, '2021-07-19 11:38:31', NULL, NULL), (8006, '', '剑南路东段社区', 'f63fb62619bc4a3d82628df6161621cd', 'd131603e2348471788b53ef26f9c1365', 'False', 'True', 'false', 'false', '510704983255', 5, '剑南路东段社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704983255', 1, '2021-07-19 11:38:32', NULL, NULL), (8007, '', '绵山路社区', 'bfbd9a12cee44859918183a87b1a7b9f', 'd131603e2348471788b53ef26f9c1365', 'False', 'True', 'false', 'false', '510704983748', 5, '绵山路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704983748', 1, '2021-07-19 11:38:32', NULL, NULL), (8008, '', '韩家脊社区', '297441563a3a42c9baa74504f1796d7d', 'd131603e2348471788b53ef26f9c1365', 'False', 'True', 'false', 'false', '510704983773', 5, '韩家脊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704983773', 1, '2021-07-19 11:38:32', NULL, NULL), (8009, '', '治平路社区', 'e75afeda025543de87924604c329ee64', 'd131603e2348471788b53ef26f9c1365', 'False', 'True', 'false', 'false', '510704983846', 5, '治平路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704983846', 1, '2021-07-19 11:38:32', NULL, NULL), (8010, '', '东材社区', '71df0d66e8ec4fb08a55404ad07c8355', 'd131603e2348471788b53ef26f9c1365', 'False', 'True', 'false', 'false', '510704983955', 5, '东材社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704983955', 1, '2021-07-19 11:38:32', NULL, NULL), (8011, '', '安州区', 'f203f3bdbb224d21b93cd0d021c9fab9', '06770f8688a045beaf53089460935c1e', 'True', 'True', 'false', 'false', '510705000000', 3, '安州区', 'mysazq.sczwfw.gov.cn', 1, '2021-07-19 11:38:32', NULL, NULL), (8012, '', '高川乡', '6dfeb472ac6a47609f98eda75bf47b9a', 'f203f3bdbb224d21b93cd0d021c9fab9', 'True', 'True', 'false', 'false', '510705202000', 4, '高川乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510705202000', 1, '2021-07-19 11:38:32', NULL, NULL), (8013, '', '接龙社区', 'f55c8fa73db340499ab57104fbc8ce27', '6dfeb472ac6a47609f98eda75bf47b9a', 'False', 'True', 'false', 'false', '510705202001', 5, '接龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705202001', 1, '2021-07-19 11:38:32', NULL, NULL), (8014, '', '高川村', 'be3dcf1b64e64db99fd1519b58a27596', '6dfeb472ac6a47609f98eda75bf47b9a', 'False', 'True', 'false', 'false', '510705202201', 5, '高川村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705202201', 1, '2021-07-19 11:38:32', NULL, NULL), (8015, '', '泉水村', 'edcd2b2af9ad46269fb221260487fdac', '6dfeb472ac6a47609f98eda75bf47b9a', 'False', 'True', 'false', 'false', '510705202202', 5, '泉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705202202', 1, '2021-07-19 11:38:32', NULL, NULL), (8016, '', '茅香村', 'ef94ca761fde46098468cb9b18654c9c', '6dfeb472ac6a47609f98eda75bf47b9a', 'False', 'True', 'false', 'false', '510705202206', 5, '茅香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705202206', 1, '2021-07-19 11:38:32', NULL, NULL), (8017, '', '天池村', '5995dde45cdf43a9b4f5b6f83b4fb648', '6dfeb472ac6a47609f98eda75bf47b9a', 'False', 'True', 'false', 'false', '510705202207', 5, '天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705202207', 1, '2021-07-19 11:38:32', NULL, NULL), (8018, '', '桑枣镇', 'd3a6ef67519248d6bd5c6f8f67c916d0', 'f203f3bdbb224d21b93cd0d021c9fab9', 'True', 'True', 'false', 'false', '510705101000', 4, '桑枣镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510705101000', 1, '2021-07-19 11:38:32', NULL, NULL), (8019, '', '枣园社区', '7b79e03d5af849549d9eafd02ad70747', 'd3a6ef67519248d6bd5c6f8f67c916d0', 'False', 'True', 'false', 'false', '510705101001', 5, '枣园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705101001', 1, '2021-07-19 11:38:32', NULL, NULL), (8020, '', '红牌村', '2be26769387741c8b90c5f41437a8354', 'd3a6ef67519248d6bd5c6f8f67c916d0', 'False', 'True', 'false', 'false', '510705101201', 5, '红牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705101201', 1, '2021-07-19 11:38:32', NULL, NULL), (8021, '', '立云村', 'be35cce363c64f408576dbc6a38a90c2', 'd3a6ef67519248d6bd5c6f8f67c916d0', 'False', 'True', 'false', 'false', '510705101202', 5, '立云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705101202', 1, '2021-07-19 11:38:32', NULL, NULL), (8022, '', '飞龙村', 'a6c5d78c2bce4f02a7fc8ae8f4ce3e85', 'd3a6ef67519248d6bd5c6f8f67c916d0', 'False', 'True', 'false', 'false', '510705101204', 5, '飞龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705101204', 1, '2021-07-19 11:38:32', NULL, NULL), (8023, '', '浴溪村', '613d006e6e1c4f588570292c696b0e38', 'd3a6ef67519248d6bd5c6f8f67c916d0', 'False', 'True', 'false', 'false', '510705101205', 5, '浴溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705101205', 1, '2021-07-19 11:38:32', NULL, NULL), (8024, '', '齐心村', 'fd676a07c0024d6eb4275a972947771e', 'd3a6ef67519248d6bd5c6f8f67c916d0', 'False', 'True', 'false', 'false', '510705101206', 5, '齐心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705101206', 1, '2021-07-19 11:38:32', NULL, NULL), (8025, '', '干柏村', 'a8cdb89cd8c04bfebd1ffa5998f7dfe2', 'd3a6ef67519248d6bd5c6f8f67c916d0', 'False', 'True', 'false', 'false', '510705101207', 5, '干柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705101207', 1, '2021-07-19 11:38:32', NULL, NULL), (8026, '', '花庙村', '68739072b8f54ecdbd30a59c8915251f', 'd3a6ef67519248d6bd5c6f8f67c916d0', 'False', 'True', 'false', 'false', '510705101210', 5, '花庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705101210', 1, '2021-07-19 11:38:33', NULL, NULL), (8027, '', '高峰村', '463a8e5cdf614c18b2cd461652feaf54', 'd3a6ef67519248d6bd5c6f8f67c916d0', 'False', 'True', 'false', 'false', '510705101211', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705101211', 1, '2021-07-19 11:38:33', NULL, NULL), (8028, '', '松林村', '1f94f926094d46f39b42bd8d82638754', 'd3a6ef67519248d6bd5c6f8f67c916d0', 'False', 'True', 'false', 'false', '510705101212', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705101212', 1, '2021-07-19 11:38:33', NULL, NULL), (8029, '', '黄羊村', '59fdbe5aaa514418b58d59c5bdd04f31', 'd3a6ef67519248d6bd5c6f8f67c916d0', 'False', 'True', 'false', 'false', '510705101213', 5, '黄羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705101213', 1, '2021-07-19 11:38:33', NULL, NULL), (8030, '', '上清村', '61a16780aaf7483490411a442e1fe752', 'd3a6ef67519248d6bd5c6f8f67c916d0', 'False', 'True', 'false', 'false', '510705101214', 5, '上清村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705101214', 1, '2021-07-19 11:38:33', NULL, NULL), (8031, '', '关中村', 'a50d6d473f094130a90b8f941bb17167', 'd3a6ef67519248d6bd5c6f8f67c916d0', 'False', 'True', 'false', 'false', '510705101215', 5, '关中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705101215', 1, '2021-07-19 11:38:33', NULL, NULL), (8032, '', '大竹村', 'f045480a41ac45a68cfea725b856b8e8', 'd3a6ef67519248d6bd5c6f8f67c916d0', 'False', 'True', 'false', 'false', '510705101216', 5, '大竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705101216', 1, '2021-07-19 11:38:33', NULL, NULL), (8033, '', '柳坝村', '6ef49cff1bfc4fd88c7b2db2df38c457', 'd3a6ef67519248d6bd5c6f8f67c916d0', 'False', 'True', 'false', 'false', '510705101217', 5, '柳坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705101217', 1, '2021-07-19 11:38:33', NULL, NULL), (8034, '', '晓坝社区', 'b3ce293ce0014268b8c3b77e7c4272fe', 'd3a6ef67519248d6bd5c6f8f67c916d0', 'False', 'True', 'false', 'false', '510705101219', 5, '晓坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705101219', 1, '2021-07-19 11:38:33', NULL, NULL), (8035, '', '花荄镇', '479310b8bbe94d15aef12f5f8990d027', 'f203f3bdbb224d21b93cd0d021c9fab9', 'True', 'True', 'false', 'false', '510705102000', 4, '花荄镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510705102000', 1, '2021-07-19 11:38:33', NULL, NULL), (8036, '', '皂河村', '152b73f3b91648448c330be6bbdca262', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705100070', 5, '皂河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705100070', 1, '2021-07-19 11:38:33', NULL, NULL), (8037, '', '益昌社区', '491af6e5f4c84c8a84489d46eebef164', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102001', 5, '益昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102001', 1, '2021-07-19 11:38:33', NULL, NULL), (8038, '', '胜果社区', '59de06a3c18d46009bdbe576c7560f52', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102002', 5, '胜果社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102002', 1, '2021-07-19 11:38:33', NULL, NULL), (8039, '', '文星社区', 'e62b8ab412cd42b5aed44d3778090d48', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102003', 5, '文星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102003', 1, '2021-07-19 11:38:33', NULL, NULL), (8040, '', '白鹤林社区', 'e0ecdccfc1b34c6c813f0f18a7374b73', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102004', 5, '白鹤林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102004', 1, '2021-07-19 11:38:34', NULL, NULL), (8041, '', '罗林社区', '738d3612e30347bbaf501362b422cde8', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102203', 5, '罗林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102203', 1, '2021-07-19 11:38:34', NULL, NULL), (8042, '', '龙兴村', '7893ee8023b1425ab42ab95094e33c0e', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102204', 5, '龙兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102204', 1, '2021-07-19 11:38:34', NULL, NULL), (8043, '', '雍峙村', '0c7bdc076ff845f393cde07ae16d4090', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102205', 5, '雍峙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102205', 1, '2021-07-19 11:38:34', NULL, NULL), (8044, '', '前进社区', '9332a3b78d1c4c99bd0cfeab47cd9336', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102206', 5, '前进社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102206', 1, '2021-07-19 11:38:34', NULL, NULL), (8045, '', '兴福村', 'eecc7f3e974f450db7952ff2c5b05e14', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102208', 5, '兴福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102208', 1, '2021-07-19 11:38:34', NULL, NULL), (8046, '', '五郎村', 'bc062cd2e7884600acf03567e3bf72ed', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102210', 5, '五郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102210', 1, '2021-07-19 11:38:34', NULL, NULL), (8047, '', '龙游村', 'b2e7f116c68e462281c34b191a9409da', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102211', 5, '龙游村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102211', 1, '2021-07-19 11:38:34', NULL, NULL), (8048, '', '狮回村', '833e4c4e92be44fe856b91df638b10a3', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102212', 5, '狮回村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102212', 1, '2021-07-19 11:38:34', NULL, NULL), (8049, '', '先林社区', '25e06ec373184fbe930433a178815ebb', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102214', 5, '先林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102214', 1, '2021-07-19 11:38:34', NULL, NULL), (8050, '', '红武村', '959c33fa481e4ffe877824582d1272b6', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102215', 5, '红武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102215', 1, '2021-07-19 11:38:34', NULL, NULL), (8051, '', '柏杨社区', '38cf4dfcd9924242aefc2224f2695a26', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102216', 5, '柏杨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102216', 1, '2021-07-19 11:38:35', NULL, NULL), (8052, '', '联丰村', 'f7b0f4e0810747c6bd74bffe02435902', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102217', 5, '联丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102217', 1, '2021-07-19 11:38:35', NULL, NULL), (8053, '', '九合村', '79c553467cdc4b43b57c9f9677c28329', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102218', 5, '九合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102218', 1, '2021-07-19 11:38:35', NULL, NULL), (8054, '', '兴仁社区', '099a9c1b20f0416c8788581e8d36b6e7', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102219', 5, '兴仁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102219', 1, '2021-07-19 11:38:35', NULL, NULL), (8055, '', '长沟村', '1b5a574ee072417dbe05136926160481', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102221', 5, '长沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102221', 1, '2021-07-19 11:38:35', NULL, NULL), (8056, '', '西岩社区', '9857011c03934ada8e7f8724f46f4cf2', '479310b8bbe94d15aef12f5f8990d027', 'False', 'True', 'false', 'false', '510705102005', 5, '西岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705102005', 1, '2021-07-19 11:38:35', NULL, NULL), (8057, '', '黄土镇', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'f203f3bdbb224d21b93cd0d021c9fab9', 'True', 'True', 'false', 'false', '510705103000', 4, '黄土镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510705103000', 1, '2021-07-19 11:38:35', NULL, NULL), (8058, '', '东城社区', 'ae89e75fb0164de4a0203299b01a2329', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'False', 'True', 'false', 'false', '510705103001', 5, '东城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705103001', 1, '2021-07-19 11:38:35', NULL, NULL), (8059, '', '永福社区', '33fa9677822e41d6a12ae84fe65fa097', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'False', 'True', 'false', 'false', '510705103002', 5, '永福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705103002', 1, '2021-07-19 11:38:35', NULL, NULL), (8060, '', '青龙村', 'c3845eb59d2c4b7aa006e5c5603bcd87', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'False', 'True', 'false', 'false', '510705103206', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705103206', 1, '2021-07-19 11:38:35', NULL, NULL), (8061, '', '文明村', '2f82bd5f95e24db994ab84123a594081', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'False', 'True', 'false', 'false', '510705103207', 5, '文明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705103207', 1, '2021-07-19 11:38:35', NULL, NULL), (8062, '', '喇叭村', '48937577dbdb417f86f631f7dfe27399', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'False', 'True', 'false', 'false', '510705103208', 5, '喇叭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705103208', 1, '2021-07-19 11:38:35', NULL, NULL), (8063, '', '芋河村', 'b35e797145644ccfb74b337603310c40', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'False', 'True', 'false', 'false', '510705103209', 5, '芋河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705103209', 1, '2021-07-19 11:38:35', NULL, NULL), (8064, '', '民生村', '4c51e2ec00e246efbf49361f55509b0e', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'False', 'True', 'false', 'false', '510705103210', 5, '民生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705103210', 1, '2021-07-19 11:38:36', NULL, NULL), (8065, '', '方碑村', '2f7ba79aecc4493aaeaf3f42f99b7c01', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'False', 'True', 'false', 'false', '510705103211', 5, '方碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705103211', 1, '2021-07-19 11:38:36', NULL, NULL), (8066, '', '兴民社区', 'ca1604d7e77c4a96a7998327e6cb0626', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'False', 'True', 'false', 'false', '510705103212', 5, '兴民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705103212', 1, '2021-07-19 11:38:36', NULL, NULL), (8067, '', '人民村', '05de32740b1340e09197c59061c62d58', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'False', 'True', 'false', 'false', '510705103213', 5, '人民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705103213', 1, '2021-07-19 11:38:36', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (8068, '', '江池村', 'f934f9b2283647da90a1b77450fbecec', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'False', 'True', 'false', 'false', '510705103214', 5, '江池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705103214', 1, '2021-07-19 11:38:36', NULL, NULL), (8069, '', '新光村', 'f822c6931e94486fab736c31e02c5248', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'False', 'True', 'false', 'false', '510705103215', 5, '新光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705103215', 1, '2021-07-19 11:38:36', NULL, NULL), (8070, '', '莲花村', '08939bdb8ad048659f8c2f2b981eec6c', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'False', 'True', 'false', 'false', '510705103216', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705103216', 1, '2021-07-19 11:38:36', NULL, NULL), (8071, '', '友谊村', '597c468922514cb4850685c98d37b505', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'False', 'True', 'false', 'false', '510705103217', 5, '友谊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705103217', 1, '2021-07-19 11:38:36', NULL, NULL), (8072, '', '平桥村', '424f851d22f649c0be7aba32047e8921', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'False', 'True', 'false', 'false', '510705103218', 5, '平桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705103218', 1, '2021-07-19 11:38:36', NULL, NULL), (8073, '', '盐井村', '3ce725356be144cf8e114452d6e58e6a', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'False', 'True', 'false', 'false', '510705103219', 5, '盐井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705103219', 1, '2021-07-19 11:38:36', NULL, NULL), (8074, '', '草溪村', '64f5a4e7159c4997b67c5c397de5f626', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'False', 'True', 'false', 'false', '510705103220', 5, '草溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705103220', 1, '2021-07-19 11:38:36', NULL, NULL), (8075, '', '菩提村', '68672415a20043e29b53832526f6c46b', 'e33f2cf8822a4e8bb3604c69754c0eb1', 'False', 'True', 'false', 'false', '510705103221', 5, '菩提村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705103221', 1, '2021-07-19 11:38:37', NULL, NULL), (8076, '', '塔水镇', '922315468c634066b6f15f7b2b349b91', 'f203f3bdbb224d21b93cd0d021c9fab9', 'True', 'True', 'false', 'false', '510705104000', 4, '塔水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510705104000', 1, '2021-07-19 11:38:37', NULL, NULL), (8077, '', '龙安社区', '525669b227134243aefdca9b99ebae64', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104001', 5, '龙安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104001', 1, '2021-07-19 11:38:37', NULL, NULL), (8078, '', '云塔社区', '35fec511d21d4f60ad9d147a5e85d92c', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104002', 5, '云塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104002', 1, '2021-07-19 11:38:37', NULL, NULL), (8079, '', '童山村', 'acd4e33c8c0b421d9f782b61e62c47bd', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104201', 5, '童山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104201', 1, '2021-07-19 11:38:37', NULL, NULL), (8080, '', '油房村', 'cfe715106f40420ca750f85c49ac7ad7', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104202', 5, '油房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104202', 1, '2021-07-19 11:38:37', NULL, NULL), (8081, '', '玉池村', 'f005bad795774390804bff40c9f47daa', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104203', 5, '玉池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104203', 1, '2021-07-19 11:38:37', NULL, NULL), (8082, '', '开禧村', 'f559a287002341689222fdf5b4b9d61f', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104204', 5, '开禧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104204', 1, '2021-07-19 11:38:37', NULL, NULL), (8083, '', '龙圣村', '925f6632b8d14df5b4ba42aae718c012', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104205', 5, '龙圣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104205', 1, '2021-07-19 11:38:37', NULL, NULL), (8084, '', '高观村', 'fac71c4563ef41e6acb8915ec8b36765', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104206', 5, '高观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104206', 1, '2021-07-19 11:38:37', NULL, NULL), (8085, '', '双星村', '34329d6cc5be45508bcfdc25d9515df8', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104207', 5, '双星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104207', 1, '2021-07-19 11:38:37', NULL, NULL), (8086, '', '七里村', '67969c7c92bf4b5aa0242f181d0974a2', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104208', 5, '七里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104208', 1, '2021-07-19 11:38:37', NULL, NULL), (8087, '', '双埝村', '31ea7fb1ea0d468ca6f22e859b65448d', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104209', 5, '双埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104209', 1, '2021-07-19 11:38:38', NULL, NULL), (8088, '', '裕林村', '45877922dac149768d897fbfa216644c', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104210', 5, '裕林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104210', 1, '2021-07-19 11:38:38', NULL, NULL), (8089, '', '玉泉社区', 'b4336a881e024e77814d7c0f9326a687', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104211', 5, '玉泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104211', 1, '2021-07-19 11:38:38', NULL, NULL), (8090, '', '团结村', '14f65e6494124fc2a6829a04817e358a', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104212', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104212', 1, '2021-07-19 11:38:38', NULL, NULL), (8091, '', '浮萍村', '5df0f6a5a68940ee993c5792e15c68d0', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104213', 5, '浮萍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104213', 1, '2021-07-19 11:38:38', NULL, NULL), (8092, '', '神泉村', 'b21833b891ce45fc9edd68e4ce0996d3', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104214', 5, '神泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104214', 1, '2021-07-19 11:38:38', NULL, NULL), (8093, '', '白庵村', '5683c7d6583144559cd1234989f8fb69', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104215', 5, '白庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104215', 1, '2021-07-19 11:38:38', NULL, NULL), (8094, '', '双石村', '14d568e723f64c43b7cf7f21fd61147f', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104216', 5, '双石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104216', 1, '2021-07-19 11:38:38', NULL, NULL), (8095, '', '调元社区', '37ec20bd63fe4d6d9f9f29288a67746e', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104217', 5, '调元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104217', 1, '2021-07-19 11:38:38', NULL, NULL), (8096, '', '三泉村', '0f8ba3df09da465ba26726d0cb4e6577', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104218', 5, '三泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104218', 1, '2021-07-19 11:38:38', NULL, NULL), (8097, '', '春林村', '989d14641527459d9a75899017b248d6', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104219', 5, '春林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104219', 1, '2021-07-19 11:38:38', NULL, NULL), (8098, '', '桂溪村', '09b86f6675464d5c96338faea0e06dee', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104220', 5, '桂溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104220', 1, '2021-07-19 11:38:38', NULL, NULL), (8099, '', '古井村', '0b38e11c45664682b834b47aabc6696f', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104221', 5, '古井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104221', 1, '2021-07-19 11:38:38', NULL, NULL), (8100, '', '涌泉村', '564cf626a5634baaa9a28c236ba3d6a5', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104222', 5, '涌泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104222', 1, '2021-07-19 11:38:39', NULL, NULL), (8101, '', '幸福村', '2b0fc133b34b4604a9cc4a15408a7c08', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104223', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104223', 1, '2021-07-19 11:38:39', NULL, NULL), (8102, '', '白果村', '1c19ef5d1d0a4efdaaa5ef431e9797f4', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104224', 5, '白果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104224', 1, '2021-07-19 11:38:39', NULL, NULL), (8103, '', '红埝村', '93a2413d91b64963b3083296d2406e53', '922315468c634066b6f15f7b2b349b91', 'False', 'True', 'false', 'false', '510705104225', 5, '红埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705104225', 1, '2021-07-19 11:38:39', NULL, NULL), (8104, '', '秀水镇', '269958fbe467429b8ad8aafd19da526b', 'f203f3bdbb224d21b93cd0d021c9fab9', 'True', 'True', 'false', 'false', '510705105000', 4, '秀水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510705105000', 1, '2021-07-19 11:38:39', NULL, NULL), (8105, '', '天竺村', '0a05476d8bd2432eb4ea7abbc8d7e068', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105434', 5, '天竺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105434', 1, '2021-07-19 11:38:39', NULL, NULL), (8106, '', '正园社区', '275be82d81974222bf47823fe4a46794', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105001', 5, '正园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105001', 1, '2021-07-19 11:38:39', NULL, NULL), (8107, '', '锦龙社区', 'ae414b29b2794ca590d6fd8067b9dbd6', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105002', 5, '锦龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105002', 1, '2021-07-19 11:38:39', NULL, NULL), (8108, '', '南苑社区', 'a194d4ca24cc42e5b1b2648dcfd78db9', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105003', 5, '南苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105003', 1, '2021-07-19 11:38:39', NULL, NULL), (8109, '', '东柏村', '2c0f719522d34fa4b5ae9795eb1f9bac', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105202', 5, '东柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105202', 1, '2021-07-19 11:38:39', NULL, NULL), (8110, '', '龙泉村', '20493135890d49c38190274fb15dd955', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105203', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105203', 1, '2021-07-19 11:38:39', NULL, NULL), (8111, '', '蟠龙村', '38428c9aedc44bd9a52894bc1bfe1896', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105205', 5, '蟠龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105205', 1, '2021-07-19 11:38:39', NULL, NULL), (8112, '', '石红村', '2092f58e3e384102911130193e0eb573', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105206', 5, '石红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105206', 1, '2021-07-19 11:38:40', NULL, NULL), (8113, '', '高新村', 'fdcfb4b911694090bc317ea06d8f01e9', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105209', 5, '高新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105209', 1, '2021-07-19 11:38:40', NULL, NULL), (8114, '', '水井村', '259e359cfeac4d2db236a87a054d70e2', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105210', 5, '水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105210', 1, '2021-07-19 11:38:40', NULL, NULL), (8115, '', '桥楼村', '220f8187041343f8994c89fc2f37762e', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105212', 5, '桥楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105212', 1, '2021-07-19 11:38:40', NULL, NULL), (8116, '', '群星村', '0a9235153c5547dd95aad0ce312258f6', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105213', 5, '群星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105213', 1, '2021-07-19 11:38:40', NULL, NULL), (8117, '', '农联村', '921da92c0d7a484aa023e89e53ea15b0', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105217', 5, '农联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105217', 1, '2021-07-19 11:38:40', NULL, NULL), (8118, '', '鸿益村', '87f7b5be68fa4a41a40d1de9ac477c62', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105218', 5, '鸿益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105218', 1, '2021-07-19 11:38:40', NULL, NULL), (8119, '', '大泉村', '81be0927323e4f1bab8479afd050c5e2', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105219', 5, '大泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105219', 1, '2021-07-19 11:38:40', NULL, NULL), (8120, '', '青松村', 'a2e40854777140e2bd516792ded60606', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105220', 5, '青松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105220', 1, '2021-07-19 11:38:40', NULL, NULL), (8121, '', '城南村', 'c03e803b107e48c7a9a47b89ec4e7b35', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105221', 5, '城南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105221', 1, '2021-07-19 11:38:40', NULL, NULL), (8122, '', '双泉村', 'f12cfc9f1d0f47ed96d3673023a5d116', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105224', 5, '双泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105224', 1, '2021-07-19 11:38:40', NULL, NULL), (8123, '', '九一村', '4a4a6d4704f5432fb687ddc750fb2cd6', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105227', 5, '九一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105227', 1, '2021-07-19 11:38:40', NULL, NULL), (8124, '', '方塔村', 'b4d866bb87e24f4088f418c15924bf3f', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105230', 5, '方塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105230', 1, '2021-07-19 11:38:40', NULL, NULL), (8125, '', '秀安村', '53e7b3bfede54ec88ddb8dfaf4bf3859', '269958fbe467429b8ad8aafd19da526b', 'False', 'True', 'false', 'false', '510705105235', 5, '秀安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705105235', 1, '2021-07-19 11:38:40', NULL, NULL), (8126, '', '千佛镇', '4586376abc954608848f39a620e7d456', 'f203f3bdbb224d21b93cd0d021c9fab9', 'True', 'True', 'false', 'false', '510705116000', 4, '千佛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510705116000', 1, '2021-07-19 11:38:40', NULL, NULL), (8127, '', '茶坪社区', 'f6083a0f9ee74be8a1c8cd05f9e758b8', '4586376abc954608848f39a620e7d456', 'False', 'True', 'false', 'false', '510705116001', 5, '茶坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705116001', 1, '2021-07-19 11:38:41', NULL, NULL), (8128, '', '老望沟村', '37a86d7f78794863bf8ac12e410f8dec', '4586376abc954608848f39a620e7d456', 'False', 'True', 'false', 'false', '510705116203', 5, '老望沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705116203', 1, '2021-07-19 11:38:41', NULL, NULL), (8129, '', '东益村', 'e4b47685930746f9ad2f7f73ceef688d', '4586376abc954608848f39a620e7d456', 'False', 'True', 'false', 'false', '510705116205', 5, '东益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705116205', 1, '2021-07-19 11:38:41', NULL, NULL), (8130, '', '千佛村', 'bc7c34530c444935821bfe44528ee20d', '4586376abc954608848f39a620e7d456', 'False', 'True', 'false', 'false', '510705116207', 5, '千佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705116207', 1, '2021-07-19 11:38:41', NULL, NULL), (8131, '', '宝藏村', '66638ff91834489e9a18fa5bb7f0c2af', '4586376abc954608848f39a620e7d456', 'False', 'True', 'false', 'false', '510705116208', 5, '宝藏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705116208', 1, '2021-07-19 11:38:41', NULL, NULL), (8132, '', '雎水镇', 'c058ac96347d4409a6ce93ebb84f0616', 'f203f3bdbb224d21b93cd0d021c9fab9', 'True', 'True', 'false', 'false', '510705425000', 4, '雎水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510705425000', 1, '2021-07-19 11:38:41', NULL, NULL), (8133, '', '荣华社区', 'add20979fedc4c5a920e5b2cf8ecce53', 'c058ac96347d4409a6ce93ebb84f0616', 'False', 'True', 'false', 'false', '510705110001', 5, '荣华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705110001', 1, '2021-07-19 11:38:41', NULL, NULL), (8134, '', '三合村', '3f5a08f91445429388a7b4a62100d40d', 'c058ac96347d4409a6ce93ebb84f0616', 'False', 'True', 'false', 'false', '510705110201', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705110201', 1, '2021-07-19 11:38:41', NULL, NULL), (8135, '', '枫香村', '2496620fa15a42bbbf200c283d984624', 'c058ac96347d4409a6ce93ebb84f0616', 'False', 'True', 'false', 'false', '510705110202', 5, '枫香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705110202', 1, '2021-07-19 11:38:41', NULL, NULL), (8136, '', '宝元村', '46d783ed40a447fc8f51cb6830e8e590', 'c058ac96347d4409a6ce93ebb84f0616', 'False', 'True', 'false', 'false', '510705110203', 5, '宝元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705110203', 1, '2021-07-19 11:38:41', NULL, NULL), (8137, '', '沸水村', '5bb22da7ee404ad58c1aae1fc86356ba', 'c058ac96347d4409a6ce93ebb84f0616', 'False', 'True', 'false', 'false', '510705110204', 5, '沸水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705110204', 1, '2021-07-19 11:38:41', NULL, NULL), (8138, '', '月儿门村', '826fcfcef9064f90814af54f326cf247', 'c058ac96347d4409a6ce93ebb84f0616', 'False', 'True', 'false', 'false', '510705110205', 5, '月儿门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705110205', 1, '2021-07-19 11:38:42', NULL, NULL), (8139, '', '白河村', '1b87d9b7f2e244b88590e647d117df38', 'c058ac96347d4409a6ce93ebb84f0616', 'False', 'True', 'false', 'false', '510705110206', 5, '白河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705110206', 1, '2021-07-19 11:38:42', NULL, NULL), (8140, '', '白驹泉社区', '7b72de7892c44f45a6785f8a8cac2253', 'c058ac96347d4409a6ce93ebb84f0616', 'False', 'True', 'false', 'false', '510705110207', 5, '白驹泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705110207', 1, '2021-07-19 11:38:42', NULL, NULL), (8141, '', '皇帽村', '8edbcb1c1241490ca62f0084b803de01', 'c058ac96347d4409a6ce93ebb84f0616', 'False', 'True', 'false', 'false', '510705110208', 5, '皇帽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705110208', 1, '2021-07-19 11:38:42', NULL, NULL), (8142, '', '校场坝村', '109e747fb7b842c0865cc06b48c27b0f', 'c058ac96347d4409a6ce93ebb84f0616', 'False', 'True', 'false', 'false', '510705110209', 5, '校场坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705110209', 1, '2021-07-19 11:38:42', NULL, NULL), (8143, '', '红云村', '1bdae330ca37477d85f51a77e89223f8', 'c058ac96347d4409a6ce93ebb84f0616', 'False', 'True', 'false', 'false', '510705110210', 5, '红云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705110210', 1, '2021-07-19 11:38:42', NULL, NULL), (8144, '', '河清镇', 'f2b4cea12eef4ce48e8cb8facedeb105', 'f203f3bdbb224d21b93cd0d021c9fab9', 'True', 'True', 'false', 'false', '510705438000', 4, '河清镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510705438000', 1, '2021-07-19 11:38:42', NULL, NULL), (8145, '', '富乐社区', 'e6ec0777485343fd879f5bde90912ff4', 'f2b4cea12eef4ce48e8cb8facedeb105', 'False', 'True', 'false', 'false', '510705106001', 5, '富乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705106001', 1, '2021-07-19 11:38:42', NULL, NULL), (8146, '', '马灵村', '4d16e34816304b65b78551e4a5a2e343', 'f2b4cea12eef4ce48e8cb8facedeb105', 'False', 'True', 'false', 'false', '510705106012', 5, '马灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705106012', 1, '2021-07-19 11:38:42', NULL, NULL), (8147, '', '七一村', '35561d1dd16746a789e86ed74ca05313', 'f2b4cea12eef4ce48e8cb8facedeb105', 'False', 'True', 'false', 'false', '510705106173', 5, '七一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705106173', 1, '2021-07-19 11:38:42', NULL, NULL), (8148, '', '桂丰村', '9774d1a6caca444f8a64497c40691172', 'f2b4cea12eef4ce48e8cb8facedeb105', 'False', 'True', 'false', 'false', '510705106201', 5, '桂丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705106201', 1, '2021-07-19 11:38:42', NULL, NULL), (8149, '', '金华村', 'fad6666f26754da0a8f4d608aa46a561', 'f2b4cea12eef4ce48e8cb8facedeb105', 'False', 'True', 'false', 'false', '510705106202', 5, '金华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705106202', 1, '2021-07-19 11:38:42', NULL, NULL), (8150, '', '宝华村', '94de382479ed40a3868190ea49114704', 'f2b4cea12eef4ce48e8cb8facedeb105', 'False', 'True', 'false', 'false', '510705106203', 5, '宝华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705106203', 1, '2021-07-19 11:38:42', NULL, NULL), (8151, '', '广红村', 'df537bfffa6f4f628bada06da8828d11', 'f2b4cea12eef4ce48e8cb8facedeb105', 'False', 'True', 'false', 'false', '510705106204', 5, '广红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705106204', 1, '2021-07-19 11:38:42', NULL, NULL), (8152, '', '同盛村', '1bfedc802fe24b8aafb59d72e0da5e50', 'f2b4cea12eef4ce48e8cb8facedeb105', 'False', 'True', 'false', 'false', '510705106205', 5, '同盛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705106205', 1, '2021-07-19 11:38:42', NULL, NULL), (8153, '', '五海观村', '1393395d346740baa128750582a17e73', 'f2b4cea12eef4ce48e8cb8facedeb105', 'False', 'True', 'false', 'false', '510705106206', 5, '五海观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705106206', 1, '2021-07-19 11:38:42', NULL, NULL), (8154, '', '金花村', '33cc5dc1f3ff4c9eae27c204c33803d1', 'f2b4cea12eef4ce48e8cb8facedeb105', 'False', 'True', 'false', 'false', '510705106207', 5, '金花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705106207', 1, '2021-07-19 11:38:42', NULL, NULL), (8155, '', '白溪村', '0297abf07dad474784ddc2cf4da4f355', 'f2b4cea12eef4ce48e8cb8facedeb105', 'False', 'True', 'false', 'false', '510705106208', 5, '白溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705106208', 1, '2021-07-19 11:38:42', NULL, NULL), (8156, '', '永河社区', '84246345a48a4efe9dbed0c11c129737', 'f2b4cea12eef4ce48e8cb8facedeb105', 'False', 'True', 'false', 'false', '510705106248', 5, '永河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705106248', 1, '2021-07-19 11:38:43', NULL, NULL), (8157, '', '迎新社区', '3c30872fb2ef4be2a9ef0e36a730261d', 'f2b4cea12eef4ce48e8cb8facedeb105', 'False', 'True', 'false', 'false', '510705106302', 5, '迎新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705106302', 1, '2021-07-19 11:38:43', NULL, NULL), (8158, '', '皇龙村', 'c77408ba130240e4a8c361ebabfc5d75', 'f2b4cea12eef4ce48e8cb8facedeb105', 'False', 'True', 'false', 'false', '510705106597', 5, '皇龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705106597', 1, '2021-07-19 11:38:43', NULL, NULL), (8159, '', '月溪村', '8e9e1dfcd5454658a893076284877bb7', 'f2b4cea12eef4ce48e8cb8facedeb105', 'False', 'True', 'false', 'false', '510705106665', 5, '月溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705106665', 1, '2021-07-19 11:38:43', NULL, NULL), (8160, '', '安罗村', '21a21f7ce0a0498a9c4edee385fe7aa5', 'f2b4cea12eef4ce48e8cb8facedeb105', 'False', 'True', 'false', 'false', '510705106710', 5, '安罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705106710', 1, '2021-07-19 11:38:43', NULL, NULL), (8161, '', '同心村', '201afdbd81e440878c71369ef1ca8718', 'f2b4cea12eef4ce48e8cb8facedeb105', 'False', 'True', 'false', 'false', '510705106968', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705106968', 1, '2021-07-19 11:38:43', NULL, NULL), (8162, '', '界牌镇', 'f8d94f5c72404165a14fa0753fce8632', 'f203f3bdbb224d21b93cd0d021c9fab9', 'True', 'True', 'false', 'false', '510705772000', 4, '界牌镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510705772000', 1, '2021-07-19 11:38:43', NULL, NULL), (8163, '', '青安社区', 'c1f751b2d9004e2ca2597743e656baa0', 'f8d94f5c72404165a14fa0753fce8632', 'False', 'True', 'false', 'false', '510705108001', 5, '青安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705108001', 1, '2021-07-19 11:38:43', NULL, NULL), (8164, '', '兴安社区', '4aab7cc2e054413ea23f03ce4970c038', 'f8d94f5c72404165a14fa0753fce8632', 'False', 'True', 'false', 'false', '510705108002', 5, '兴安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705108002', 1, '2021-07-19 11:38:43', NULL, NULL), (8165, '', '江安社区', '85bd40359ebd48738f2ad3d506a3aadd', 'f8d94f5c72404165a14fa0753fce8632', 'False', 'True', 'false', 'false', '510705108201', 5, '江安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705108201', 1, '2021-07-19 11:38:43', NULL, NULL), (8166, '', '富安社区', '9031b70c764849cea50c982d604465ca', 'f8d94f5c72404165a14fa0753fce8632', 'False', 'True', 'false', 'false', '510705108202', 5, '富安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705108202', 1, '2021-07-19 11:38:43', NULL, NULL), (8167, '', '金凤村', '764dc2a321e24f59970fb08cd2069268', 'f8d94f5c72404165a14fa0753fce8632', 'False', 'True', 'false', 'false', '510705108203', 5, '金凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705108203', 1, '2021-07-19 11:38:44', NULL, NULL), (8168, '', '石安社区', '835fc9f9c6464cbd9696758b48245b84', 'f8d94f5c72404165a14fa0753fce8632', 'False', 'True', 'false', 'false', '510705108204', 5, '石安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705108204', 1, '2021-07-19 11:38:44', NULL, NULL), (8169, '', '五显村', '264e1c15ed114447a9122affdc2adfdd', 'f8d94f5c72404165a14fa0753fce8632', 'False', 'True', 'false', 'false', '510705108205', 5, '五显村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705108205', 1, '2021-07-19 11:38:44', NULL, NULL), (8170, '', '龙集村', 'f5213caaae6c440194453c35af81d274', 'f8d94f5c72404165a14fa0753fce8632', 'False', 'True', 'false', 'false', '510705108206', 5, '龙集村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705108206', 1, '2021-07-19 11:38:44', NULL, NULL), (8171, '', '西明村', 'b81ecd4a5a974773990dc191c551a2ba', 'f8d94f5c72404165a14fa0753fce8632', 'False', 'True', 'false', 'false', '510705108207', 5, '西明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705108207', 1, '2021-07-19 11:38:44', NULL, NULL), (8172, '', '石岭村', '8d7cb58cc8b5405aa090d5e27cafefe0', 'f8d94f5c72404165a14fa0753fce8632', 'False', 'True', 'false', 'false', '510705108208', 5, '石岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510705108208', 1, '2021-07-19 11:38:44', NULL, NULL), (8173, '', '江油市', '224d2322b4764e1bab38a82c3a431d0c', '06770f8688a045beaf53089460935c1e', 'True', 'True', 'false', 'false', '510781000000', 3, '江油市', 'mysjys.sczwfw.gov.cn', 1, '2021-07-19 11:38:44', NULL, NULL), (8174, '', '中坝街道', 'cae7d603f6a449d18e61c2bb579bd266', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'True', 'false', 'false', '510781100000', 4, '中坝街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781100000', 1, '2021-07-19 11:38:44', NULL, NULL), (8175, '', '银河社区', '25f12f41ed89457598e15e90bb78cdab', 'cae7d603f6a449d18e61c2bb579bd266', 'False', 'True', 'false', 'false', '510781006017', 5, '银河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781006017', 1, '2021-07-19 11:38:44', NULL, NULL), (8176, '', '先锋社区', '0009059415cf434f986d068db89fc49c', 'cae7d603f6a449d18e61c2bb579bd266', 'False', 'True', 'false', 'false', '510781006021', 5, '先锋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781006021', 1, '2021-07-19 11:38:44', NULL, NULL), (8177, '', '幸福村', '01265062145241cf9e028bca60faa1e6', 'cae7d603f6a449d18e61c2bb579bd266', 'False', 'True', 'false', 'false', '510781006126', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781006126', 1, '2021-07-19 11:38:44', NULL, NULL), (8178, '', '涪江社区', '4c1d787b7f5d4d18ade7b57bf5ca34ba', 'cae7d603f6a449d18e61c2bb579bd266', 'False', 'True', 'false', 'false', '510781006211', 5, '涪江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781006211', 1, '2021-07-19 11:38:44', NULL, NULL), (8179, '', '东胜社区', '02155c6662e842c7b5dbcf418c1bb84f', 'cae7d603f6a449d18e61c2bb579bd266', 'False', 'True', 'false', 'false', '510781006242', 5, '东胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781006242', 1, '2021-07-19 11:38:44', NULL, NULL), (8180, '', '金轮社区', '30b4333f673347a699d2d408569b857d', 'cae7d603f6a449d18e61c2bb579bd266', 'False', 'True', 'false', 'false', '510781006395', 5, '金轮社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781006395', 1, '2021-07-19 11:38:44', NULL, NULL), (8181, '', '太白社区', '35cbb15760404a208f79333cfa48fdef', 'cae7d603f6a449d18e61c2bb579bd266', 'False', 'True', 'false', 'false', '510781006400', 5, '太白社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781006400', 1, '2021-07-19 11:38:44', NULL, NULL), (8182, '', '纪念碑社区', '8827044d270d454fb8d410a44d7eae76', 'cae7d603f6a449d18e61c2bb579bd266', 'False', 'True', 'false', 'false', '510781006416', 5, '纪念碑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781006416', 1, '2021-07-19 11:38:44', NULL, NULL), (8183, '', '滨江社区', 'a8683d86ef70458c9abffb8dacf7bd07', 'cae7d603f6a449d18e61c2bb579bd266', 'False', 'True', 'false', 'false', '510781006417', 5, '滨江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781006417', 1, '2021-07-19 11:38:44', NULL, NULL), (8184, '', '诗仙社区', '7f714de2a29543fdbf84be840ebfde68', 'cae7d603f6a449d18e61c2bb579bd266', 'False', 'True', 'false', 'false', '510781006442', 5, '诗仙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781006442', 1, '2021-07-19 11:38:44', NULL, NULL), (8185, '', '天宝社区', 'ef4a07d453e441ec93c87f64f2809637', 'cae7d603f6a449d18e61c2bb579bd266', 'False', 'True', 'false', 'false', '510781006520', 5, '天宝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781006520', 1, '2021-07-19 11:38:45', NULL, NULL), (8186, '', '天府社区', '0387fb55cd1649deab34d56631cf02ff', 'cae7d603f6a449d18e61c2bb579bd266', 'False', 'True', 'false', 'false', '510781006582', 5, '天府社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781006582', 1, '2021-07-19 11:38:45', NULL, NULL), (8187, '', '新场社区', 'd4f7ae47d4df4d8281a1062cd27c7a37', 'cae7d603f6a449d18e61c2bb579bd266', 'False', 'True', 'false', 'false', '510781006586', 5, '新场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781006586', 1, '2021-07-19 11:38:45', NULL, NULL), (8188, '', '画屏社区', '4e6f06e75e7547b1852521d251468ee9', 'cae7d603f6a449d18e61c2bb579bd266', 'False', 'True', 'false', 'false', '510781006590', 5, '画屏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781006590', 1, '2021-07-19 11:38:45', NULL, NULL), (8189, '', '华丰社区', '8242ca0b2548437c9e4b5055c45677c0', 'cae7d603f6a449d18e61c2bb579bd266', 'False', 'True', 'false', 'false', '510781006795', 5, '华丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781006795', 1, '2021-07-19 11:38:45', NULL, NULL), (8190, '', '明珠社区', 'e9a9b9e99b614bf89d871b7ce04fec33', 'cae7d603f6a449d18e61c2bb579bd266', 'False', 'True', 'false', 'false', '510781006878', 5, '明珠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781006878', 1, '2021-07-19 11:38:45', NULL, NULL), (8191, '', '城北社区', '7a4dc2717c1d41bc868f4bac405c73d5', 'cae7d603f6a449d18e61c2bb579bd266', 'False', 'True', 'false', 'false', '510781006879', 5, '城北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781006879', 1, '2021-07-19 11:38:45', NULL, NULL), (8192, '', '太平镇', 'fcd2812e25954e798269fb839c7355d5', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'True', 'false', 'false', '510781101000', 4, '太平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781101000', 1, '2021-07-19 11:38:45', NULL, NULL), (8193, '', '西山社区', 'e749e96b45da446299fd2e074770c282', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101009', 5, '西山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101009', 1, '2021-07-19 11:38:45', NULL, NULL), (8194, '', '长安社区', '5c950c276a28480b895661cd44485eaf', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101010', 5, '长安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101010', 1, '2021-07-19 11:38:45', NULL, NULL), (8195, '', '东林社区', '16b7b19b2d0e40a9b1eb9e5ac4cec537', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101012', 5, '东林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101012', 1, '2021-07-19 11:38:45', NULL, NULL), (8196, '', '会昌社区', '7bcefc7b1b9144a48cf07993cc64e811', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101013', 5, '会昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101013', 1, '2021-07-19 11:38:45', NULL, NULL), (8197, '', '红庙社区', '9a0eb41cc2b14414b9245a350ce9bc58', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101014', 5, '红庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101014', 1, '2021-07-19 11:38:45', NULL, NULL), (8198, '', '新城社区', 'dc0bedcf40a243599f3ef2a01cee3123', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781830077', 5, '新城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781830077', 1, '2021-07-19 11:38:45', NULL, NULL), (8199, '', '新华社区', '18626853457946abaad8a6adc3a70bfc', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '5107474395123163136', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5107474395123163136', 1, '2021-07-19 11:38:45', NULL, NULL), (8200, '', '读书台村', 'eeb54460da7b4c618074395a16a08ba6', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101011', 5, '读书台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101011', 1, '2021-07-19 11:38:46', NULL, NULL), (8201, '', '普照村', '5f7d672994e44f5f8a88835983704953', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101203', 5, '普照村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101203', 1, '2021-07-19 11:38:46', NULL, NULL), (8202, '', '涪滨社区', 'f1951b0b63e44c3ea8230f3d26eff9ae', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101229', 5, '涪滨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101229', 1, '2021-07-19 11:38:46', NULL, NULL), (8203, '', '德胜社区', '279534a0ad124077bd3caae45bdc6d80', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101354', 5, '德胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101354', 1, '2021-07-19 11:38:46', NULL, NULL), (8204, '', '石磬村', '0abcc67f0d774c4aa1b13f6b296c628f', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101460', 5, '石磬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101460', 1, '2021-07-19 11:38:46', NULL, NULL), (8205, '', '大荍村', '8f881c1d95844a3c8b6adab3ad234e2d', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101469', 5, '大荍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101469', 1, '2021-07-19 11:38:46', NULL, NULL), (8206, '', '文风社区', '2de5ad32678a49cfbdf534f0772a817e', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101573', 5, '文风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101573', 1, '2021-07-19 11:38:46', NULL, NULL), (8207, '', '龙茶村', 'bcf711b2e2ee456396ad5e7c906692a7', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101598', 5, '龙茶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101598', 1, '2021-07-19 11:38:46', NULL, NULL), (8208, '', '永丰社区', '4d66982f8c504920b19a182f8130ff8e', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101698', 5, '永丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101698', 1, '2021-07-19 11:38:46', NULL, NULL), (8209, '', '红砖岭村', 'f727dc3022be4139b65d2ec775d001a6', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101233', 5, '红砖岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101233', 1, '2021-07-19 11:38:46', NULL, NULL), (8210, '', '古桥村', '0c8ed67ba2414694933d855d309b14ba', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101234', 5, '古桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101234', 1, '2021-07-19 11:38:46', NULL, NULL), (8211, '', '庞家场村', 'd14d0c4459ce49d398fcd643dc04f82c', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101235', 5, '庞家场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101235', 1, '2021-07-19 11:38:47', NULL, NULL), (8212, '', '泗月村', '8db1454152364c239d94fa937696e648', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101236', 5, '泗月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101236', 1, '2021-07-19 11:38:47', NULL, NULL), (8213, '', '龙泉村', 'a646f1cb9b5b427abdd23aefdd1e871a', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101237', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101237', 1, '2021-07-19 11:38:47', NULL, NULL), (8214, '', '兴农村', 'e6265d3721b8427aa00c68724e3a3392', 'fcd2812e25954e798269fb839c7355d5', 'False', 'True', 'false', 'false', '510781101238', 5, '兴农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781101238', 1, '2021-07-19 11:38:47', NULL, NULL), (8215, '', '三合镇', '7989f219325a4b4a94606b1abfbb2765', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'True', 'false', 'false', '510781102000', 4, '三合镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781102000', 1, '2021-07-19 11:38:47', NULL, NULL), (8216, '', '长南社区', '9c15eb0078b14e9582aa96db25a49419', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102016', 5, '长南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102016', 1, '2021-07-19 11:38:47', NULL, NULL), (8217, '', '创元村', '0c1dffdb7c834e94857d2d46c11e857d', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102222', 5, '创元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102222', 1, '2021-07-19 11:38:47', NULL, NULL), (8218, '', '广新村', 'caf73f189a9f471cb01f35bc7de9854b', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102223', 5, '广新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102223', 1, '2021-07-19 11:38:47', NULL, NULL), (8219, '', '庆兴社区', 'd54a1f39078b48febcbd463aa0a138ef', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102040', 5, '庆兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102040', 1, '2021-07-19 11:38:47', NULL, NULL), (8220, '', '杨家庵村', '3ea36196be894ace9bf684eeff87b648', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102198', 5, '杨家庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102198', 1, '2021-07-19 11:38:47', NULL, NULL), (8221, '', '江东社区', 'c0c1f2f78e5b46139539d416bdb18ff4', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102210', 5, '江东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102210', 1, '2021-07-19 11:38:47', NULL, NULL), (8222, '', '喻观村', '5b64da4f071147c9a4a72d96d879f67d', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102278', 5, '喻观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102278', 1, '2021-07-19 11:38:47', NULL, NULL), (8223, '', '川矿社区', '00e8b95710cb49d987370068b020106c', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102380', 5, '川矿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102380', 1, '2021-07-19 11:38:47', NULL, NULL), (8224, '', '迎宾社区', '809ed3ee09e64de99ac60ce132f714b7', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102389', 5, '迎宾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102389', 1, '2021-07-19 11:38:47', NULL, NULL), (8225, '', '桂香社区', 'f09304554af24b5e88ab0fafc7fecee6', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102428', 5, '桂香社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102428', 1, '2021-07-19 11:38:48', NULL, NULL), (8226, '', '双江社区', '1acbb96bd446439984a16502f3d7829b', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102472', 5, '双江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102472', 1, '2021-07-19 11:38:48', NULL, NULL), (8227, '', '同心社区', 'c25d9e60ed504d5d89b25098908b1ac6', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102533', 5, '同心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102533', 1, '2021-07-19 11:38:48', NULL, NULL), (8228, '', '双流村', 'ed0fd7310d3244b88e411a208c7e30c2', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102541', 5, '双流村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102541', 1, '2021-07-19 11:38:48', NULL, NULL), (8229, '', '高坪村', 'eb84c36d19f4484d81c899a732b88235', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102553', 5, '高坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102553', 1, '2021-07-19 11:38:48', NULL, NULL), (8230, '', '石岭村', 'b3ef0e84ebfa4870b453b445ce75c456', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102585', 5, '石岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102585', 1, '2021-07-19 11:38:48', NULL, NULL), (8231, '', '中心社区', 'dfe4d805b33f4450bdee9b015d75aeb5', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102659', 5, '中心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102659', 1, '2021-07-19 11:38:48', NULL, NULL), (8232, '', '北林村', '3e5e6ec474e849638c1110e8cda532e6', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102715', 5, '北林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102715', 1, '2021-07-19 11:38:48', NULL, NULL), (8233, '', '蟠龙村', 'a7b028d93b784c2cb50a7cb47ce9c04b', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102729', 5, '蟠龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102729', 1, '2021-07-19 11:38:48', NULL, NULL), (8234, '', '建北社区', 'ab2592708e6f4c788c28ca41d26f2dc9', '7989f219325a4b4a94606b1abfbb2765', 'False', 'True', 'false', 'false', '510781102924', 5, '建北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781102924', 1, '2021-07-19 11:38:48', NULL, NULL), (8235, '', '含增镇', '7a29b3feb11e455a9c6e853ad10725dc', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'True', 'false', 'false', '510781103000', 4, '含增镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781103000', 1, '2021-07-19 11:38:48', NULL, NULL), (8236, '', '盘江社区', '82c6fc75c98043e9a4ec215ba4bc434e', '7a29b3feb11e455a9c6e853ad10725dc', 'False', 'True', 'false', 'false', '510781103002', 5, '盘江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781103002', 1, '2021-07-19 11:38:48', NULL, NULL), (8237, '', '含增村', '5e50caeb2e574c2eb67ff2fa08040bf0', '7a29b3feb11e455a9c6e853ad10725dc', 'False', 'True', 'false', 'false', '510781103027', 5, '含增村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781103027', 1, '2021-07-19 11:38:48', NULL, NULL), (8238, '', '乾元山村', 'aea4c9c9fb8b409b8abe426cc1833082', '7a29b3feb11e455a9c6e853ad10725dc', 'False', 'True', 'false', 'false', '510781103199', 5, '乾元山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781103199', 1, '2021-07-19 11:38:48', NULL, NULL), (8239, '', '界池村', '4ed23ef26d0149e6b7139124e531c9ee', '7a29b3feb11e455a9c6e853ad10725dc', 'False', 'True', 'false', 'false', '510781103247', 5, '界池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781103247', 1, '2021-07-19 11:38:48', NULL, NULL), (8240, '', '谭庄村', '235207991b7346cdaa0581f93b5eeecc', '7a29b3feb11e455a9c6e853ad10725dc', 'False', 'True', 'false', 'false', '510781103628', 5, '谭庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781103628', 1, '2021-07-19 11:38:49', NULL, NULL), (8241, '', '长春村', '117b03faa9a44818b381aa6ef66638dc', '7a29b3feb11e455a9c6e853ad10725dc', 'False', 'True', 'false', 'false', '510781103822', 5, '长春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781103822', 1, '2021-07-19 11:38:49', NULL, NULL), (8242, '', '青莲镇', 'c7491bd3230947988cf0c883b080ad3b', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'True', 'false', 'false', '510781104000', 4, '青莲镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781104000', 1, '2021-07-19 11:38:49', NULL, NULL), (8243, '', '九岭社区', '51dffca219fb4f3f8a016192440becb4', 'c7491bd3230947988cf0c883b080ad3b', 'False', 'True', 'false', 'false', '510781104002', 5, '九岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781104002', 1, '2021-07-19 11:38:49', NULL, NULL), (8244, '', '红岩村', 'aabebc7b7d7842ec9b148c45edbbd2b1', 'c7491bd3230947988cf0c883b080ad3b', 'False', 'True', 'false', 'false', '510781104215', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781104215', 1, '2021-07-19 11:38:49', NULL, NULL), (8245, '', '苏溪村', '027ff9f1b4eb4c028e193506c27765c4', 'c7491bd3230947988cf0c883b080ad3b', 'False', 'True', 'false', 'false', '510781104217', 5, '苏溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781104217', 1, '2021-07-19 11:38:49', NULL, NULL), (8246, '', '中河村', 'ead635239e92495d9e1338253a72a3f3', 'c7491bd3230947988cf0c883b080ad3b', 'False', 'True', 'false', 'false', '510781104219', 5, '中河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781104219', 1, '2021-07-19 11:38:49', NULL, NULL), (8247, '', '双石村', '83b00278916244c5a1bc6e4d1a37cde8', 'c7491bd3230947988cf0c883b080ad3b', 'False', 'True', 'false', 'false', '510781104220', 5, '双石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781104220', 1, '2021-07-19 11:38:49', NULL, NULL), (8248, '', '云瑶村', '710949970b5848bfac674cd65546b88b', 'c7491bd3230947988cf0c883b080ad3b', 'False', 'True', 'false', 'false', '510781104221', 5, '云瑶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781104221', 1, '2021-07-19 11:38:49', NULL, NULL), (8249, '', '邀月村', '7c55709e2db64c369eec157df6137a4a', 'c7491bd3230947988cf0c883b080ad3b', 'False', 'True', 'false', 'false', '510781104370', 5, '邀月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781104370', 1, '2021-07-19 11:38:49', NULL, NULL), (8250, '', '李白故居社区', 'ba20de5915ca4a2c854557e70b18181a', 'c7491bd3230947988cf0c883b080ad3b', 'False', 'True', 'false', 'false', '510781104408', 5, '李白故居社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781104408', 1, '2021-07-19 11:38:49', NULL, NULL), (8251, '', '诗仙村', 'fd99ddfcbc59426da4241c23e75165dd', 'c7491bd3230947988cf0c883b080ad3b', 'False', 'True', 'false', 'false', '510781104418', 5, '诗仙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781104418', 1, '2021-07-19 11:38:49', NULL, NULL), (8252, '', '太华村', '2fb25ab71cac47f397eff011f523b1e2', 'c7491bd3230947988cf0c883b080ad3b', 'False', 'True', 'false', 'false', '510781104829', 5, '太华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781104829', 1, '2021-07-19 11:38:49', NULL, NULL), (8253, '', '彰明镇', '5d8a0caec8ad4bdb9d434f08bf9a7e07', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'False', 'false', 'false', '510781105000', 4, '彰明镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781105000', 1, '2021-07-19 11:38:49', NULL, NULL), (8254, '', '静夜思社区', '7e0e211143fa474b8147f32bb9099f2c', '5d8a0caec8ad4bdb9d434f08bf9a7e07', 'False', 'True', 'false', 'false', '510781105002', 5, '静夜思社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781105002', 1, '2021-07-19 11:38:50', NULL, NULL), (8255, '', '昌隆村', 'a9d59a6f5db14eeb9e25c734bbeaa913', '5d8a0caec8ad4bdb9d434f08bf9a7e07', 'False', 'True', 'false', 'false', '510781105215', 5, '昌隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781105215', 1, '2021-07-19 11:38:50', NULL, NULL), (8256, '', '长庚村', 'fc8b57d7e4d1451ea8d6607d6da9efe7', '5d8a0caec8ad4bdb9d434f08bf9a7e07', 'False', 'True', 'false', 'false', '510781105058', 5, '长庚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781105058', 1, '2021-07-19 11:38:50', NULL, NULL), (8257, '', '明月村', '8b828192839944d89f1fccbe097e3e80', '5d8a0caec8ad4bdb9d434f08bf9a7e07', 'False', 'True', 'false', 'false', '510781105422', 5, '明月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781105422', 1, '2021-07-19 11:38:50', NULL, NULL), (8258, '', '治城社区', '114cc3530c6d493c845af0a7b11a8263', '5d8a0caec8ad4bdb9d434f08bf9a7e07', 'False', 'True', 'false', 'false', '510781105811', 5, '治城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781105811', 1, '2021-07-19 11:38:50', NULL, NULL), (8259, '', '福田村', 'fe5fc18157984f07aaa8fd382258c433', '5d8a0caec8ad4bdb9d434f08bf9a7e07', 'False', 'True', 'false', 'false', '510781105973', 5, '福田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781105973', 1, '2021-07-19 11:38:50', NULL, NULL), (8260, '', '龙凤镇', '6512163597a14300b60a62cbc6c00e24', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'False', 'false', 'false', '510781106000', 4, '龙凤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781106000', 1, '2021-07-19 11:38:50', NULL, NULL), (8261, '', '龙东社区', '35eed86ba1694c479683967b926f2b3b', '6512163597a14300b60a62cbc6c00e24', 'False', 'True', 'false', 'false', '510781106002', 5, '龙东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781106002', 1, '2021-07-19 11:38:50', NULL, NULL), (8262, '', '新苏村', '92417ccbe6124b67b4247a48decc8d31', '6512163597a14300b60a62cbc6c00e24', 'False', 'True', 'false', 'false', '510781106211', 5, '新苏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781106211', 1, '2021-07-19 11:38:50', NULL, NULL), (8263, '', '朝天村', 'a5b8a2f0b8f74b5099099ece905af64e', '6512163597a14300b60a62cbc6c00e24', 'False', 'True', 'false', 'false', '510781106213', 5, '朝天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781106213', 1, '2021-07-19 11:38:50', NULL, NULL), (8264, '', '莲花村', '1f04bf89f4664093bc074ee0db74ee46', '6512163597a14300b60a62cbc6c00e24', 'False', 'True', 'false', 'false', '510781106214', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781106214', 1, '2021-07-19 11:38:50', NULL, NULL), (8265, '', '东兴村', '536531ce3d5149e48acef30683c57c14', '6512163597a14300b60a62cbc6c00e24', 'False', 'True', 'false', 'false', '510781106219', 5, '东兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781106219', 1, '2021-07-19 11:38:50', NULL, NULL), (8266, '', '龙泰社区', '796b582541b649ada5c34f5e9c1b1e69', '6512163597a14300b60a62cbc6c00e24', 'False', 'True', 'false', 'false', '510781106006', 5, '龙泰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781106006', 1, '2021-07-19 11:38:50', NULL, NULL), (8267, '', '飞凤村', '47d08d3389234659a6967dfd8c9a0ac9', '6512163597a14300b60a62cbc6c00e24', 'False', 'True', 'false', 'false', '510781106404', 5, '飞凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781106404', 1, '2021-07-19 11:38:50', NULL, NULL), (8268, '', '中坪村', 'f3f7fb1cf334497c836c636bdb9fc392', '6512163597a14300b60a62cbc6c00e24', 'False', 'True', 'false', 'false', '510781106446', 5, '中坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781106446', 1, '2021-07-19 11:38:51', NULL, NULL), (8269, '', '龙云村', 'aa9380f27658446ba1f117030f1df5ed', '6512163597a14300b60a62cbc6c00e24', 'False', 'True', 'false', 'false', '510781106532', 5, '龙云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781106532', 1, '2021-07-19 11:38:51', NULL, NULL), (8270, '', '岐山村', '727a73da936a4996afcab6eece3be29e', '6512163597a14300b60a62cbc6c00e24', 'False', 'True', 'false', 'false', '510781106537', 5, '岐山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781106537', 1, '2021-07-19 11:38:51', NULL, NULL), (8271, '', '武都镇', '6f3b81ec119b41d0ba7ccde94e51eec9', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'False', 'false', 'false', '510781107000', 4, '武都镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781107000', 1, '2021-07-19 11:38:51', NULL, NULL), (8272, '', '长钢社区', '3ae6001a853e4c34b5f7fb88efdc4f2c', '6f3b81ec119b41d0ba7ccde94e51eec9', 'False', 'True', 'false', 'false', '510781107007', 5, '长钢社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781107007', 1, '2021-07-19 11:38:51', NULL, NULL), (8273, '', '兴武村', '391f5a1ccb614cf2869878c0c3f799a7', '6f3b81ec119b41d0ba7ccde94e51eec9', 'False', 'True', 'false', 'false', '510781107235', 5, '兴武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781107235', 1, '2021-07-19 11:38:51', NULL, NULL), (8274, '', '南塔村', '96f7d3dffbc641e98107c059281efda3', '6f3b81ec119b41d0ba7ccde94e51eec9', 'False', 'True', 'false', 'false', '510781107236', 5, '南塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781107236', 1, '2021-07-19 11:38:51', NULL, NULL), (8275, '', '城塘村', 'a8b7c0cd1db54754a2391559fa201281', '6f3b81ec119b41d0ba7ccde94e51eec9', 'False', 'True', 'false', 'false', '510781107237', 5, '城塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781107237', 1, '2021-07-19 11:38:51', NULL, NULL), (8276, '', '阳亭坝村', '055efdd51d524f54ac88f8f1be9b9543', '6f3b81ec119b41d0ba7ccde94e51eec9', 'False', 'True', 'false', 'false', '510781107238', 5, '阳亭坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781107238', 1, '2021-07-19 11:38:51', NULL, NULL), (8277, '', '窦团山村', 'dbbe78d8c17d4485864dd0d65ec15639', '6f3b81ec119b41d0ba7ccde94e51eec9', 'False', 'True', 'false', 'false', '510781107239', 5, '窦团山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781107239', 1, '2021-07-19 11:38:51', NULL, NULL), (8278, '', '北城村', 'fb77f95fe80f445b91ea8a9cf1f36f15', '6f3b81ec119b41d0ba7ccde94e51eec9', 'False', 'True', 'false', 'false', '510781107240', 5, '北城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781107240', 1, '2021-07-19 11:38:51', NULL, NULL), (8279, '', '永放村', '36215a5fb9474ce6b4c0842293a7b8d6', '6f3b81ec119b41d0ba7ccde94e51eec9', 'False', 'True', 'false', 'false', '510781107035', 5, '永放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781107035', 1, '2021-07-19 11:38:51', NULL, NULL), (8280, '', '右木社区', 'e86766bf15474f42a0e26e1fe02f4422', '6f3b81ec119b41d0ba7ccde94e51eec9', 'False', 'True', 'false', 'false', '510781107333', 5, '右木社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781107333', 1, '2021-07-19 11:38:51', NULL, NULL), (8281, '', '团山社区', '96f752da3a8545b0a904fdc8b497d386', '6f3b81ec119b41d0ba7ccde94e51eec9', 'False', 'True', 'false', 'false', '510781107750', 5, '团山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781107750', 1, '2021-07-19 11:38:51', NULL, NULL), (8282, '', '兴印村', '92c53df76eda42b8bf0247d0eff678d7', '6f3b81ec119b41d0ba7ccde94e51eec9', 'False', 'True', 'false', 'false', '510781107844', 5, '兴印村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781107844', 1, '2021-07-19 11:38:51', NULL, NULL), (8283, '', '大康镇', 'e409fb5d6ed447c79cc461abda64312a', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'True', 'false', 'false', '510781108000', 4, '大康镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781108000', 1, '2021-07-19 11:38:51', NULL, NULL), (8284, '', '书院村', 'b1e4cf30ac824d9396a8020090f0001a', 'e409fb5d6ed447c79cc461abda64312a', 'False', 'True', 'false', 'false', '510781108206', 5, '书院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781108206', 1, '2021-07-19 11:38:52', NULL, NULL), (8285, '', '陈塘关村', '1b40b0377da142ef88bb43c285bf9fdd', 'e409fb5d6ed447c79cc461abda64312a', 'False', 'True', 'false', 'false', '510781108211', 5, '陈塘关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781108211', 1, '2021-07-19 11:38:52', NULL, NULL), (8286, '', '戴天山村', 'bbf5c0f66a8d4513bd7586ff59e24230', 'e409fb5d6ed447c79cc461abda64312a', 'False', 'True', 'false', 'false', '5107344439771865088', 5, '戴天山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5107344439771865088', 1, '2021-07-19 11:38:52', NULL, NULL), (8287, '', '星火村', '4885daeee22448e98247e8dd0970e285', 'e409fb5d6ed447c79cc461abda64312a', 'False', 'True', 'false', 'false', '510781108208', 5, '星火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781108208', 1, '2021-07-19 11:38:52', NULL, NULL), (8288, '', '旧县村', 'af7679467f474db0be87db3193016cc4', 'e409fb5d6ed447c79cc461abda64312a', 'False', 'True', 'false', 'false', '510781108692', 5, '旧县村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781108692', 1, '2021-07-19 11:38:52', NULL, NULL), (8289, '', '匡山社区', '9434b014575641f79949fe276470a269', 'e409fb5d6ed447c79cc461abda64312a', 'False', 'True', 'false', 'false', '510781108929', 5, '匡山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781108929', 1, '2021-07-19 11:38:52', NULL, NULL), (8290, '', '官渡村', '7c8aaaf656864620bcaeda73e1dc7fba', 'e409fb5d6ed447c79cc461abda64312a', 'False', 'True', 'false', 'false', '510781108978', 5, '官渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781108978', 1, '2021-07-19 11:38:52', NULL, NULL), (8291, '', '新安镇', '1053c10257cd42c88510df371a7013e7', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'True', 'false', 'false', '510781109000', 4, '新安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781109000', 1, '2021-07-19 11:38:52', NULL, NULL), (8292, '', '义新社区', 'f28fcd422ca2424eac4ae48945d2e3d4', '1053c10257cd42c88510df371a7013e7', 'False', 'True', 'false', 'false', '510781109002', 5, '义新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781109002', 1, '2021-07-19 11:38:52', NULL, NULL), (8293, '', '白庙村', '3c94a74e072f476ebdb2f1727a0e7dd3', '1053c10257cd42c88510df371a7013e7', 'False', 'True', 'false', 'false', '510781109216', 5, '白庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781109216', 1, '2021-07-19 11:38:52', NULL, NULL), (8294, '', '保宁村', '0d4f78836b404b26bac133eabb1359db', '1053c10257cd42c88510df371a7013e7', 'False', 'True', 'false', 'false', '510781109218', 5, '保宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781109218', 1, '2021-07-19 11:38:52', NULL, NULL), (8295, '', '石音村', '389f5d8ace7145b7b5f05c17fb3db502', '1053c10257cd42c88510df371a7013e7', 'False', 'True', 'false', 'false', '510781109219', 5, '石音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781109219', 1, '2021-07-19 11:38:52', NULL, NULL), (8296, '', '金顶村', '6ab62d99bec54601999e8690f880f998', '1053c10257cd42c88510df371a7013e7', 'False', 'True', 'false', 'false', '510781109222', 5, '金顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781109222', 1, '2021-07-19 11:38:52', NULL, NULL), (8297, '', '书房村', '03e37b93c34a4721ac5af7e0021fff32', '1053c10257cd42c88510df371a7013e7', 'False', 'True', 'false', 'false', '510781109224', 5, '书房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781109224', 1, '2021-07-19 11:38:53', NULL, NULL), (8298, '', '黑滩村', 'a0db4fc8cd4945bb938ac11bdae0d049', '1053c10257cd42c88510df371a7013e7', 'False', 'True', 'false', 'false', '510781109050', 5, '黑滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781109050', 1, '2021-07-19 11:38:53', NULL, NULL), (8299, '', '黄土村', 'f5c0765902054d7ca326cbba5cd733d6', '1053c10257cd42c88510df371a7013e7', 'False', 'True', 'false', 'false', '510781109134', 5, '黄土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781109134', 1, '2021-07-19 11:38:53', NULL, NULL), (8300, '', '金果社区', '67bd00d6c5254a3294bdde6a09c8105d', '1053c10257cd42c88510df371a7013e7', 'False', 'True', 'false', 'false', '510781109411', 5, '金果社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781109411', 1, '2021-07-19 11:38:53', NULL, NULL), (8301, '', '新店村', '533ae2e3bb164e8bb767bd269243e3b4', '1053c10257cd42c88510df371a7013e7', 'False', 'True', 'false', 'false', '510781109578', 5, '新店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781109578', 1, '2021-07-19 11:38:53', NULL, NULL), (8302, '', '南山村', 'd018bbc25ba5425db7db91a9e1909095', '1053c10257cd42c88510df371a7013e7', 'False', 'True', 'false', 'false', '510781109685', 5, '南山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781109685', 1, '2021-07-19 11:38:53', NULL, NULL), (8303, '', '天岭村', '572cd55c51bd4ad38740edd16365af0a', '1053c10257cd42c88510df371a7013e7', 'False', 'True', 'false', 'false', '510781109716', 5, '天岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781109716', 1, '2021-07-19 11:38:53', NULL, NULL), (8304, '', '战旗镇', '9d13a4a7309d4a53afce85f73c3abe86', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'False', 'false', 'false', '510781110000', 4, '战旗镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781110000', 1, '2021-07-19 11:38:53', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (8305, '', '瓦子村', '5bddea4834ba4aa8932b6e668bfca4b7', '9d13a4a7309d4a53afce85f73c3abe86', 'False', 'True', 'false', 'false', '510781110016', 5, '瓦子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781110016', 1, '2021-07-19 11:38:53', NULL, NULL), (8306, '', '白云村', 'af7aea51b54446b8b1b5c53073273dd3', '9d13a4a7309d4a53afce85f73c3abe86', 'False', 'True', 'false', 'false', '510781110072', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781110072', 1, '2021-07-19 11:38:53', NULL, NULL), (8307, '', '石庙村', 'e2dd238d3e2e4ff1aea2696619a80c66', '9d13a4a7309d4a53afce85f73c3abe86', 'False', 'True', 'false', 'false', '510781110128', 5, '石庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781110128', 1, '2021-07-19 11:38:53', NULL, NULL), (8308, '', '白沙村', '5d2c4116815a4ddd9aad1291bef9bfc1', '9d13a4a7309d4a53afce85f73c3abe86', 'False', 'True', 'false', 'false', '510781110186', 5, '白沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781110186', 1, '2021-07-19 11:38:53', NULL, NULL), (8309, '', '和平社区', '5d573a8cd62a46109ee5829b575130c4', '9d13a4a7309d4a53afce85f73c3abe86', 'False', 'True', 'false', 'false', '510781110529', 5, '和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781110529', 1, '2021-07-19 11:38:53', NULL, NULL), (8310, '', '梨园村', 'de784c39649448d983bf6bcdf6e6f61d', '9d13a4a7309d4a53afce85f73c3abe86', 'False', 'True', 'false', 'false', '510781110530', 5, '梨园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781110530', 1, '2021-07-19 11:38:53', NULL, NULL), (8311, '', '双河镇', '3cd58d91e7d841d3ae1423e23a50e258', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'True', 'false', 'false', '510781111000', 4, '双河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781111000', 1, '2021-07-19 11:38:53', NULL, NULL), (8312, '', '新兴社区', '565ea984629843aca8a3b4d252087304', '3cd58d91e7d841d3ae1423e23a50e258', 'False', 'True', 'false', 'false', '510781111002', 5, '新兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781111002', 1, '2021-07-19 11:38:53', NULL, NULL), (8313, '', '马蹄岗村', '2a68adcab39b4adcb15c0ebd9033558a', '3cd58d91e7d841d3ae1423e23a50e258', 'False', 'True', 'false', 'false', '510781111214', 5, '马蹄岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781111214', 1, '2021-07-19 11:38:53', NULL, NULL), (8314, '', '玉清村', 'd63c01966e074ba2832950a5352cac62', '3cd58d91e7d841d3ae1423e23a50e258', 'False', 'True', 'false', 'false', '510781111215', 5, '玉清村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781111215', 1, '2021-07-19 11:38:54', NULL, NULL), (8315, '', '桅杆村', '0965667cc2894a89bc24a93c014cccdf', '3cd58d91e7d841d3ae1423e23a50e258', 'False', 'True', 'false', 'false', '510781111216', 5, '桅杆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781111216', 1, '2021-07-19 11:38:54', NULL, NULL), (8316, '', '新红村', '368515998c8846678690f1627535017e', '3cd58d91e7d841d3ae1423e23a50e258', 'False', 'True', 'false', 'false', '510781111217', 5, '新红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781111217', 1, '2021-07-19 11:38:54', NULL, NULL), (8317, '', '分水岭村', '78cd5c7e7ae54b3db2ac480a3b8b20e5', '3cd58d91e7d841d3ae1423e23a50e258', 'False', 'True', 'false', 'false', '510781111331', 5, '分水岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781111331', 1, '2021-07-19 11:38:54', NULL, NULL), (8318, '', '双百社区', '9cb981ed5075462bbbd915b506f64e8d', '3cd58d91e7d841d3ae1423e23a50e258', 'False', 'True', 'false', 'false', '510781111355', 5, '双百社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781111355', 1, '2021-07-19 11:38:54', NULL, NULL), (8319, '', '牛踩石村', '5773379aaa3643d698706ef59a51de07', '3cd58d91e7d841d3ae1423e23a50e258', 'False', 'True', 'false', 'false', '510781111532', 5, '牛踩石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781111532', 1, '2021-07-19 11:38:54', NULL, NULL), (8320, '', '天明村', '98db7668cad14f81922c26d1a4db5e19', '3cd58d91e7d841d3ae1423e23a50e258', 'False', 'True', 'false', 'false', '510781111693', 5, '天明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781111693', 1, '2021-07-19 11:38:54', NULL, NULL), (8321, '', '桂花村', '7b39481b53a14d6a83949a630ecde5f5', '3cd58d91e7d841d3ae1423e23a50e258', 'False', 'True', 'false', 'false', '510781111883', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781111883', 1, '2021-07-19 11:38:54', NULL, NULL), (8322, '', '永胜镇', '8c03ed45841140129f91e14c6130c9a2', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'True', 'false', 'false', '510781112000', 4, '永胜镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781112000', 1, '2021-07-19 11:38:54', NULL, NULL), (8323, '', '明阳社区', '044faed87ef14accaffade5e60e702b7', '8c03ed45841140129f91e14c6130c9a2', 'False', 'True', 'false', 'false', '510781112002', 5, '明阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781112002', 1, '2021-07-19 11:38:54', NULL, NULL), (8324, '', '文昌村', 'd3ea705fceaf4f5ebae0c6bedddad263', '8c03ed45841140129f91e14c6130c9a2', 'False', 'True', 'false', 'false', '510781112224', 5, '文昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781112224', 1, '2021-07-19 11:38:54', NULL, NULL), (8325, '', '永平村', '04697eeaa9aa4ae3916b061c9e3c4bad', '8c03ed45841140129f91e14c6130c9a2', 'False', 'True', 'false', 'false', '510781112235', 5, '永平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781112235', 1, '2021-07-19 11:38:54', NULL, NULL), (8326, '', '红星村', '515fdf8d205043388dbf8fd804bad819', '8c03ed45841140129f91e14c6130c9a2', 'False', 'True', 'false', 'false', '510781112236', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781112236', 1, '2021-07-19 11:38:54', NULL, NULL), (8327, '', '六峡村', 'ed0c53ba8cb546d5bc0eadf64ab16b95', '8c03ed45841140129f91e14c6130c9a2', 'False', 'True', 'false', 'false', '510781112237', 5, '六峡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781112237', 1, '2021-07-19 11:38:54', NULL, NULL), (8328, '', '藏王寨村', 'ff2ed8365639425896f9283cfd07b19a', '8c03ed45841140129f91e14c6130c9a2', 'False', 'True', 'false', 'false', '510781112238', 5, '藏王寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781112238', 1, '2021-07-19 11:38:54', NULL, NULL), (8329, '', '三水村', '3972e3484b924e54884a113ee52cdc73', '8c03ed45841140129f91e14c6130c9a2', 'False', 'True', 'false', 'false', '510781112239', 5, '三水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781112239', 1, '2021-07-19 11:38:54', NULL, NULL), (8330, '', '新春村', 'ea3a24e06e9049ba8a958267a8d62683', '8c03ed45841140129f91e14c6130c9a2', 'False', 'True', 'false', 'false', '510781112240', 5, '新春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781112240', 1, '2021-07-19 11:38:54', NULL, NULL), (8331, '', '龙泉寺村', '467906adba67475d910d7d4a9bade43f', '8c03ed45841140129f91e14c6130c9a2', 'False', 'True', 'false', 'false', '510781112241', 5, '龙泉寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781112241', 1, '2021-07-19 11:38:55', NULL, NULL), (8332, '', '金凤村', '1017ab0329944bd693d6314bd19b62f5', '8c03ed45841140129f91e14c6130c9a2', 'False', 'True', 'false', 'false', '510781112155', 5, '金凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781112155', 1, '2021-07-19 11:38:55', NULL, NULL), (8333, '', '海棠铺村', 'c03f1017566f4ce7b5c7b7b45881c7b6', '8c03ed45841140129f91e14c6130c9a2', 'False', 'True', 'false', 'false', '510781112371', 5, '海棠铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781112371', 1, '2021-07-19 11:38:55', NULL, NULL), (8334, '', '文峰社区', '10038242a8ea4f7fb6bfe64c31fc263e', '8c03ed45841140129f91e14c6130c9a2', 'False', 'True', 'false', 'false', '510781112642', 5, '文峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781112642', 1, '2021-07-19 11:38:55', NULL, NULL), (8335, '', '小溪坝镇', '02d68a42d55743c68a3c007d78814856', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'False', 'false', 'false', '510781113000', 4, '小溪坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781113000', 1, '2021-07-19 11:38:55', NULL, NULL), (8336, '', '东安社区', '2275f20b3a944875b639f0582f5b75dc', '02d68a42d55743c68a3c007d78814856', 'False', 'True', 'false', 'false', '510781113002', 5, '东安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781113002', 1, '2021-07-19 11:38:55', NULL, NULL), (8337, '', '马鞍村', '5ec36c94f49f4c85b647e5f567e5aa43', '02d68a42d55743c68a3c007d78814856', 'False', 'True', 'false', 'false', '510781113213', 5, '马鞍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781113213', 1, '2021-07-19 11:38:55', NULL, NULL), (8338, '', '银匠沟村', '48f9dc69da394de39f5581f23425904c', '02d68a42d55743c68a3c007d78814856', 'False', 'True', 'false', 'false', '510781113215', 5, '银匠沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781113215', 1, '2021-07-19 11:38:55', NULL, NULL), (8339, '', '金宝村', '5a33064f7a5d4522aaa051b2e37a7c15', '02d68a42d55743c68a3c007d78814856', 'False', 'True', 'false', 'false', '510781113216', 5, '金宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781113216', 1, '2021-07-19 11:38:55', NULL, NULL), (8340, '', '福严村', '15284fc9469b41c494740d24415e00a4', '02d68a42d55743c68a3c007d78814856', 'False', 'True', 'false', 'false', '510781113220', 5, '福严村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781113220', 1, '2021-07-19 11:38:55', NULL, NULL), (8341, '', '阴平村', '4d32b468c53c4c189b2b728134763049', '02d68a42d55743c68a3c007d78814856', 'False', 'True', 'false', 'false', '510781113221', 5, '阴平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781113221', 1, '2021-07-19 11:38:55', NULL, NULL), (8342, '', '人民村', 'da010843330a4a928169c0517918da1a', '02d68a42d55743c68a3c007d78814856', 'False', 'True', 'false', 'false', '510781113001', 5, '人民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781113001', 1, '2021-07-19 11:38:56', NULL, NULL), (8343, '', '新民社区', '8f87baa400a14a16941a8a9c8668abba', '02d68a42d55743c68a3c007d78814856', 'False', 'True', 'false', 'false', '510781113393', 5, '新民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781113393', 1, '2021-07-19 11:38:56', NULL, NULL), (8344, '', '鲜花村', '1a85901e17b44515bd8c1a3aacc859c8', '02d68a42d55743c68a3c007d78814856', 'False', 'True', 'false', 'false', '510781113653', 5, '鲜花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781113653', 1, '2021-07-19 11:38:56', NULL, NULL), (8345, '', '小溪村', 'd126f8e9b4604b8fa10b519cf488705a', '02d68a42d55743c68a3c007d78814856', 'False', 'True', 'false', 'false', '510781113895', 5, '小溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781113895', 1, '2021-07-19 11:38:56', NULL, NULL), (8346, '', '河口镇', '702625062aa94e1ebd88dbfb7173ba86', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'True', 'false', 'false', '510781114000', 4, '河口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781114000', 1, '2021-07-19 11:38:56', NULL, NULL), (8347, '', '三千米社区', 'eeaebfed927349b3858a167e59e58286', '702625062aa94e1ebd88dbfb7173ba86', 'False', 'True', 'false', 'false', '510781114001', 5, '三千米社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781114001', 1, '2021-07-19 11:38:56', NULL, NULL), (8348, '', '重兴村', '1aae814769204c9d95f8b757605c5215', '702625062aa94e1ebd88dbfb7173ba86', 'False', 'True', 'false', 'false', '510781114220', 5, '重兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781114220', 1, '2021-07-19 11:38:56', NULL, NULL), (8349, '', '石桥河村', 'cf2f371aabb04ff382dcf95a8236a999', '702625062aa94e1ebd88dbfb7173ba86', 'False', 'True', 'false', 'false', '510781114221', 5, '石桥河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781114221', 1, '2021-07-19 11:38:56', NULL, NULL), (8350, '', '新隆村', '35a35bbc35854b1a9013efe8cc35454f', '702625062aa94e1ebd88dbfb7173ba86', 'False', 'True', 'false', 'false', '510781114222', 5, '新隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781114222', 1, '2021-07-19 11:38:56', NULL, NULL), (8351, '', '圣马村', '0a73df3e71f747789ae6b4d3d4de982c', '702625062aa94e1ebd88dbfb7173ba86', 'False', 'True', 'false', 'false', '510781114162', 5, '圣马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781114162', 1, '2021-07-19 11:38:56', NULL, NULL), (8352, '', '合龙村', '08b173e374df4a25b4e0b6a4adc1d374', '702625062aa94e1ebd88dbfb7173ba86', 'False', 'True', 'false', 'false', '510781114456', 5, '合龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781114456', 1, '2021-07-19 11:38:56', NULL, NULL), (8353, '', '石佛村', '41412e033ac944adb9ccf75302392510', '702625062aa94e1ebd88dbfb7173ba86', 'False', 'True', 'false', 'false', '510781114551', 5, '石佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781114551', 1, '2021-07-19 11:38:56', NULL, NULL), (8354, '', '石寨村', '85a86e243f72479d914741bf8340cd16', '702625062aa94e1ebd88dbfb7173ba86', 'False', 'True', 'false', 'false', '510781114600', 5, '石寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781114600', 1, '2021-07-19 11:38:56', NULL, NULL), (8355, '', '统一村', 'eafb9a33808544b495a89f54d695b409', '702625062aa94e1ebd88dbfb7173ba86', 'False', 'True', 'false', 'false', '510781114987', 5, '统一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781114987', 1, '2021-07-19 11:38:56', NULL, NULL), (8356, '', '重华镇', 'e596130786684d0ba048bd0b320b5852', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'True', 'false', 'false', '510781115000', 4, '重华镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781115000', 1, '2021-07-19 11:38:57', NULL, NULL), (8357, '', '兴旺村', 'bd106d7beb7c41ccaa7ac456668c75a8', 'e596130786684d0ba048bd0b320b5852', 'False', 'True', 'false', 'false', '510781115219', 5, '兴旺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781115219', 1, '2021-07-19 11:38:57', NULL, NULL), (8358, '', '灵溪村', '7cb538f1f62f4d01911f30d04693d379', 'e596130786684d0ba048bd0b320b5852', 'False', 'True', 'false', 'false', '510781115221', 5, '灵溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781115221', 1, '2021-07-19 11:38:57', NULL, NULL), (8359, '', '老君山村', '7119393cac2e427395fbe321fe7b260a', 'e596130786684d0ba048bd0b320b5852', 'False', 'True', 'false', 'false', '510781115222', 5, '老君山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781115222', 1, '2021-07-19 11:38:57', NULL, NULL), (8360, '', '铜星村', '91c78325919a4ed5b4e8c310b7ec7b06', 'e596130786684d0ba048bd0b320b5852', 'False', 'True', 'false', 'false', '510781115223', 5, '铜星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781115223', 1, '2021-07-19 11:38:57', NULL, NULL), (8361, '', '百宝村', '165fb9834deb4fe1899cf84c67daab26', 'e596130786684d0ba048bd0b320b5852', 'False', 'True', 'false', 'false', '510781115224', 5, '百宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781115224', 1, '2021-07-19 11:38:57', NULL, NULL), (8362, '', '公安社区', 'ccd2c79e9af64621aefe1645489393c4', 'e596130786684d0ba048bd0b320b5852', 'False', 'True', 'false', 'false', '510781115791', 5, '公安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781115791', 1, '2021-07-19 11:38:57', NULL, NULL), (8363, '', '平桥村', '55227ccabce34593a57a59a1767f1c9b', 'e596130786684d0ba048bd0b320b5852', 'False', 'True', 'false', 'false', '510781115849', 5, '平桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781115849', 1, '2021-07-19 11:38:57', NULL, NULL), (8364, '', '厚坝镇', '8805214a497548bd8b2e4898bfbce34b', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'True', 'false', 'false', '510781116000', 4, '厚坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781116000', 1, '2021-07-19 11:38:57', NULL, NULL), (8365, '', '潼江社区', 'bf0e459b8b734dba98d5bd979ce6f648', '8805214a497548bd8b2e4898bfbce34b', 'False', 'True', 'false', 'false', '510781116002', 5, '潼江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781116002', 1, '2021-07-19 11:38:57', NULL, NULL), (8366, '', '华坪社区', 'ad5c82490ced4437864bb9569d9168f2', '8805214a497548bd8b2e4898bfbce34b', 'False', 'True', 'false', 'false', '510781116005', 5, '华坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781116005', 1, '2021-07-19 11:38:57', NULL, NULL), (8367, '', '花石村', '8317ab0c6a2641168f2bfca18d5cbcd0', '8805214a497548bd8b2e4898bfbce34b', 'False', 'True', 'false', 'false', '510781116218', 5, '花石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781116218', 1, '2021-07-19 11:38:57', NULL, NULL), (8368, '', '文胜村', 'fe2103cc1acb42aeb9db577a764f05ed', '8805214a497548bd8b2e4898bfbce34b', 'False', 'True', 'false', 'false', '510781116221', 5, '文胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781116221', 1, '2021-07-19 11:38:58', NULL, NULL), (8369, '', '养马峡村', 'e50b673fa3354ca99a54ee3bd1ec5437', '8805214a497548bd8b2e4898bfbce34b', 'False', 'True', 'false', 'false', '510781116222', 5, '养马峡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781116222', 1, '2021-07-19 11:38:58', NULL, NULL), (8370, '', '百胜村', '975a106e280e4a1d97d5ff686bd986e9', '8805214a497548bd8b2e4898bfbce34b', 'False', 'True', 'false', 'false', '510781116223', 5, '百胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781116223', 1, '2021-07-19 11:38:58', NULL, NULL), (8371, '', '香龙村', '6888ae3118b942de88bc03c2ba9a6156', '8805214a497548bd8b2e4898bfbce34b', 'False', 'True', 'false', 'false', '510781116528', 5, '香龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781116528', 1, '2021-07-19 11:38:58', NULL, NULL), (8372, '', '林镜村', '60aaa729a73e447b85961894c727a0b4', '8805214a497548bd8b2e4898bfbce34b', 'False', 'True', 'false', 'false', '510781116627', 5, '林镜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781116627', 1, '2021-07-19 11:38:58', NULL, NULL), (8373, '', '白塔社区', 'b61db45d26b4493ba73c60676ea4ff10', '8805214a497548bd8b2e4898bfbce34b', 'False', 'True', 'false', 'false', '510781116669', 5, '白塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781116669', 1, '2021-07-19 11:38:58', NULL, NULL), (8374, '', '万寿村', '62feb370106f4d2091108cb38ca2981c', '8805214a497548bd8b2e4898bfbce34b', 'False', 'True', 'false', 'false', '510781116877', 5, '万寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781116877', 1, '2021-07-19 11:38:58', NULL, NULL), (8375, '', '二郎庙镇', 'e04a83a7d6d9495bba8ca9f2e78b8402', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'True', 'false', 'false', '510781117000', 4, '二郎庙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781117000', 1, '2021-07-19 11:38:58', NULL, NULL), (8376, '', '青山社区', '3910b2bade76486ea42dacf250e790b0', 'e04a83a7d6d9495bba8ca9f2e78b8402', 'False', 'True', 'false', 'false', '510781117004', 5, '青山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781117004', 1, '2021-07-19 11:38:58', NULL, NULL), (8377, '', '双马社区', '7ac68494de7d4e07bda839b2253f3a40', 'e04a83a7d6d9495bba8ca9f2e78b8402', 'False', 'True', 'false', 'false', '510781117005', 5, '双马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781117005', 1, '2021-07-19 11:38:58', NULL, NULL), (8378, '', '牛郎村', '2db8c97e204c406fbdacd88e5fd8a7f5', 'e04a83a7d6d9495bba8ca9f2e78b8402', 'False', 'True', 'false', 'false', '510781117226', 5, '牛郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781117226', 1, '2021-07-19 11:38:58', NULL, NULL), (8379, '', '洗脚村', '9687c0fde1f8462da51576bc80b201da', 'e04a83a7d6d9495bba8ca9f2e78b8402', 'False', 'True', 'false', 'false', '510781117227', 5, '洗脚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781117227', 1, '2021-07-19 11:38:58', NULL, NULL), (8380, '', '将台村', '9686a084fc8c4bbd9fda24aed120f455', 'e04a83a7d6d9495bba8ca9f2e78b8402', 'False', 'True', 'false', 'false', '510781117230', 5, '将台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781117230', 1, '2021-07-19 11:38:58', NULL, NULL), (8381, '', '云集村', '340a0de9811646dbae660d417d3d58ad', 'e04a83a7d6d9495bba8ca9f2e78b8402', 'False', 'True', 'false', 'false', '510781117231', 5, '云集村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781117231', 1, '2021-07-19 11:38:58', NULL, NULL), (8382, '', '明镜村', 'de2151cbf765473298657c9324c6ed4b', 'e04a83a7d6d9495bba8ca9f2e78b8402', 'False', 'True', 'false', 'false', '510781117232', 5, '明镜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781117232', 1, '2021-07-19 11:38:59', NULL, NULL), (8383, '', '皇坪村', 'efd5c100b2d34e5b99903aa8503e2353', 'e04a83a7d6d9495bba8ca9f2e78b8402', 'False', 'True', 'false', 'false', '510781117233', 5, '皇坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781117233', 1, '2021-07-19 11:38:59', NULL, NULL), (8384, '', '金华村', '86bbf9c6c4da4c64968d826e8299b2c2', 'e04a83a7d6d9495bba8ca9f2e78b8402', 'False', 'True', 'false', 'false', '510781117234', 5, '金华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781117234', 1, '2021-07-19 11:38:59', NULL, NULL), (8385, '', '龙河村', 'bc9fe96d84cc4749a66ca881c197117f', 'e04a83a7d6d9495bba8ca9f2e78b8402', 'False', 'True', 'false', 'false', '510781117235', 5, '龙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781117235', 1, '2021-07-19 11:38:59', NULL, NULL), (8386, '', '宝桥村', '108e6bbfd35e46c0b79d81ff6a69b850', 'e04a83a7d6d9495bba8ca9f2e78b8402', 'False', 'True', 'false', 'false', '510781117236', 5, '宝桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781117236', 1, '2021-07-19 11:38:59', NULL, NULL), (8387, '', '芭蕉弯村', '34cd3c75ba204bb4aa6fcaafbc2f6ec9', 'e04a83a7d6d9495bba8ca9f2e78b8402', 'False', 'True', 'false', 'false', '510781117147', 5, '芭蕉弯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781117147', 1, '2021-07-19 11:38:59', NULL, NULL), (8388, '', '青林村', 'a1251ac2f0b6411583c19ddc39c62696', 'e04a83a7d6d9495bba8ca9f2e78b8402', 'False', 'True', 'false', 'false', '510781117378', 5, '青林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781117378', 1, '2021-07-19 11:38:59', NULL, NULL), (8389, '', '雷江村', '71c0654c26c54b3c890d98bae9d5d6d1', 'e04a83a7d6d9495bba8ca9f2e78b8402', 'False', 'True', 'false', 'false', '510781117851', 5, '雷江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781117851', 1, '2021-07-19 11:38:59', NULL, NULL), (8390, '', '马角镇', 'a27639cd6da14b35ba94333e41393049', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'True', 'false', 'false', '510781118000', 4, '马角镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781118000', 1, '2021-07-19 11:38:59', NULL, NULL), (8391, '', '大岳村', '6656d659277a4044888aee9f296cbcc7', 'a27639cd6da14b35ba94333e41393049', 'False', 'True', 'false', 'false', '510781118213', 5, '大岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781118213', 1, '2021-07-19 11:38:59', NULL, NULL), (8392, '', '沉水村', '5f7d622a4aad4795a9656a021eea4b70', 'a27639cd6da14b35ba94333e41393049', 'False', 'True', 'false', 'false', '510781118052', 5, '沉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781118052', 1, '2021-07-19 11:38:59', NULL, NULL), (8393, '', '马阁寺村', 'ade7d1aa96b74ea8af64e8d5c8ed0110', 'a27639cd6da14b35ba94333e41393049', 'False', 'True', 'false', 'false', '510781118139', 5, '马阁寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781118139', 1, '2021-07-19 11:38:59', NULL, NULL), (8394, '', '印坪村', '5062e383d07b4c3d8f51b3f619c9f1ac', 'a27639cd6da14b35ba94333e41393049', 'False', 'True', 'false', 'false', '510781118303', 5, '印坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781118303', 1, '2021-07-19 11:38:59', NULL, NULL), (8395, '', '梓江社区', '3169407cf7a64cdeb423b262c29eaf67', 'a27639cd6da14b35ba94333e41393049', 'False', 'True', 'false', 'false', '510781118472', 5, '梓江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781118472', 1, '2021-07-19 11:38:59', NULL, NULL), (8396, '', '龙宫村', '84d95b43760948f284c3ebd5ebe52eab', 'a27639cd6da14b35ba94333e41393049', 'False', 'True', 'false', 'false', '510781118527', 5, '龙宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781118527', 1, '2021-07-19 11:38:59', NULL, NULL), (8397, '', '前进村', '40b8924d975b45f18328d431f3b15e9b', 'a27639cd6da14b35ba94333e41393049', 'False', 'True', 'false', 'false', '510781118766', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781118766', 1, '2021-07-19 11:38:59', NULL, NULL), (8398, '', '雁门镇', 'ba0ed8f839164fbf8d796c3558158fe0', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'True', 'false', 'false', '510781119000', 4, '雁门镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781119000', 1, '2021-07-19 11:39:00', NULL, NULL), (8399, '', '五指山村', '2d045b61cdd94af48ec9622882dac417', 'ba0ed8f839164fbf8d796c3558158fe0', 'False', 'True', 'false', 'false', '510781119215', 5, '五指山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781119215', 1, '2021-07-19 11:39:00', NULL, NULL), (8400, '', '济时村', '423914d3dd364dde8a1821c807e3dc46', 'ba0ed8f839164fbf8d796c3558158fe0', 'False', 'True', 'false', 'false', '510781119224', 5, '济时村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781119224', 1, '2021-07-19 11:39:00', NULL, NULL), (8401, '', '云锣山村', 'fd25bab2a7ac4ab1a9e6bc92a38efd73', 'ba0ed8f839164fbf8d796c3558158fe0', 'False', 'True', 'false', 'false', '510781119225', 5, '云锣山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781119225', 1, '2021-07-19 11:39:00', NULL, NULL), (8402, '', '敬元村', '4e151fc5a25f4a8baeab2a416c138389', 'ba0ed8f839164fbf8d796c3558158fe0', 'False', 'True', 'false', 'false', '510781119226', 5, '敬元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781119226', 1, '2021-07-19 11:39:00', NULL, NULL), (8403, '', '青龙峡村', '94f68179cc884d38b353cf8a440be4a0', 'ba0ed8f839164fbf8d796c3558158fe0', 'False', 'True', 'false', 'false', '510781119227', 5, '青龙峡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781119227', 1, '2021-07-19 11:39:00', NULL, NULL), (8404, '', '沐水坝村', 'dea130fee4364c5dae5d72d242329956', 'ba0ed8f839164fbf8d796c3558158fe0', 'False', 'True', 'false', 'false', '510781119228', 5, '沐水坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781119228', 1, '2021-07-19 11:39:00', NULL, NULL), (8405, '', '青江村', '336345e95e2c459c9abb4813d91bfcd1', 'ba0ed8f839164fbf8d796c3558158fe0', 'False', 'True', 'false', 'false', '510781119229', 5, '青江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781119229', 1, '2021-07-19 11:39:00', NULL, NULL), (8406, '', '石元村', 'c939ab376f0f4af7abe4328e280df84f', 'ba0ed8f839164fbf8d796c3558158fe0', 'False', 'True', 'false', 'false', '510781119230', 5, '石元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781119230', 1, '2021-07-19 11:39:00', NULL, NULL), (8407, '', '雁门关村', '9f1195206a6049eb80117f842d5f2710', 'ba0ed8f839164fbf8d796c3558158fe0', 'False', 'True', 'false', 'false', '510781119231', 5, '雁门关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781119231', 1, '2021-07-19 11:39:00', NULL, NULL), (8408, '', '双桥社区', '15069d0450a143269bfb253a1010d3d6', 'ba0ed8f839164fbf8d796c3558158fe0', 'False', 'True', 'false', 'false', '510781119387', 5, '双桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781119387', 1, '2021-07-19 11:39:00', NULL, NULL), (8409, '', '会龙村', '26d6e470a74142fa87d2c671610816a4', 'ba0ed8f839164fbf8d796c3558158fe0', 'False', 'True', 'false', 'false', '510781119427', 5, '会龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781119427', 1, '2021-07-19 11:39:00', NULL, NULL), (8410, '', '西坝村', 'cf0f7adebd8e47958ada47890d951111', 'ba0ed8f839164fbf8d796c3558158fe0', 'False', 'True', 'false', 'false', '510781119451', 5, '西坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781119451', 1, '2021-07-19 11:39:00', NULL, NULL), (8411, '', '西屏镇', 'f25394c2bdce4dd7b753ede6ced6081c', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'True', 'false', 'false', '510781121000', 4, '西屏镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781121000', 1, '2021-07-19 11:39:01', NULL, NULL), (8412, '', '永安社区', '9bc3117bd04644be924f9dcdb11736a1', 'f25394c2bdce4dd7b753ede6ced6081c', 'False', 'True', 'false', 'false', '510781124001', 5, '永安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781124001', 1, '2021-07-19 11:39:01', NULL, NULL), (8413, '', '永兴村', '9cbc5a3b0fe44be2ab43737affc01b53', 'f25394c2bdce4dd7b753ede6ced6081c', 'False', 'True', 'false', 'false', '510781124201', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781124201', 1, '2021-07-19 11:39:01', NULL, NULL), (8414, '', '桃园村', 'b21d64e4e6cf4a959404129790fb2687', 'f25394c2bdce4dd7b753ede6ced6081c', 'False', 'True', 'false', 'false', '510781124206', 5, '桃园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781124206', 1, '2021-07-19 11:39:01', NULL, NULL), (8415, '', '祥和村', '60b6b417024e4760a0564c5320d003b0', 'f25394c2bdce4dd7b753ede6ced6081c', 'False', 'True', 'false', 'false', '510781124210', 5, '祥和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781124210', 1, '2021-07-19 11:39:01', NULL, NULL), (8416, '', '常青村', 'bc52457dd4f94040b3e6b7b0c8628c61', 'f25394c2bdce4dd7b753ede6ced6081c', 'False', 'True', 'false', 'false', '510781124214', 5, '常青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781124214', 1, '2021-07-19 11:39:01', NULL, NULL), (8417, '', '荣华村', 'cb9d1b7c713f40698cc5d6ebfe1212ad', 'f25394c2bdce4dd7b753ede6ced6081c', 'False', 'True', 'false', 'false', '510781124219', 5, '荣华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781124219', 1, '2021-07-19 11:39:01', NULL, NULL), (8418, '', '紫宝村', '505363f80de14270bb8f2ca7fc0d03c6', 'f25394c2bdce4dd7b753ede6ced6081c', 'False', 'True', 'false', 'false', '510781124220', 5, '紫宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781124220', 1, '2021-07-19 11:39:01', NULL, NULL), (8419, '', '香水村', 'ad1baaaf7502416b99998f87f3db961e', 'f25394c2bdce4dd7b753ede6ced6081c', 'False', 'True', 'false', 'false', '510781124222', 5, '香水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781124222', 1, '2021-07-19 11:39:01', NULL, NULL), (8420, '', '大堰镇', 'c1855cea144c4974a447a32ca2d9bdd6', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'True', 'false', 'false', '510781123000', 4, '大堰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781123000', 1, '2021-07-19 11:39:01', NULL, NULL), (8421, '', '飞跃社区', '08521b7b42964d56bfa52673e976523b', 'c1855cea144c4974a447a32ca2d9bdd6', 'False', 'True', 'false', 'false', '510781122002', 5, '飞跃社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781122002', 1, '2021-07-19 11:39:01', NULL, NULL), (8422, '', '集贤村', '68516e4f57cd44088fe9d3db41820fcd', 'c1855cea144c4974a447a32ca2d9bdd6', 'False', 'True', 'false', 'false', '510781122206', 5, '集贤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781122206', 1, '2021-07-19 11:39:01', NULL, NULL), (8423, '', '青龙村', 'db6d829fbdb445259c3e2be002d854c7', 'c1855cea144c4974a447a32ca2d9bdd6', 'False', 'True', 'false', 'false', '510781122214', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781122214', 1, '2021-07-19 11:39:01', NULL, NULL), (8424, '', '红旗村', 'cd35c9e4ce5a41529d36cae4259238f1', 'c1855cea144c4974a447a32ca2d9bdd6', 'False', 'True', 'false', 'false', '510781122223', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781122223', 1, '2021-07-19 11:39:02', NULL, NULL), (8425, '', '廉泉村', '47152396ebdf4bad9350061dfb137b60', 'c1855cea144c4974a447a32ca2d9bdd6', 'False', 'True', 'false', 'false', '510781122224', 5, '廉泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781122224', 1, '2021-07-19 11:39:02', NULL, NULL), (8426, '', '开凤村', '0a2e0d0cfde349788e0f48556d2881ea', 'c1855cea144c4974a447a32ca2d9bdd6', 'False', 'True', 'false', 'false', '510781122225', 5, '开凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781122225', 1, '2021-07-19 11:39:02', NULL, NULL), (8427, '', '贯山村', 'f6b3c38ad895460996b12c8e453454c9', 'c1855cea144c4974a447a32ca2d9bdd6', 'False', 'True', 'false', 'false', '510781122226', 5, '贯山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781122226', 1, '2021-07-19 11:39:02', NULL, NULL), (8428, '', '大贯村', 'f3d30b3ad8d847e1b104c303926bffe4', 'c1855cea144c4974a447a32ca2d9bdd6', 'False', 'True', 'false', 'false', '510781122227', 5, '大贯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781122227', 1, '2021-07-19 11:39:02', NULL, NULL), (8429, '', '稻香村', '35d1390972674524b7f87334b5491fbb', 'c1855cea144c4974a447a32ca2d9bdd6', 'False', 'True', 'false', 'false', '510781122228', 5, '稻香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781122228', 1, '2021-07-19 11:39:02', NULL, NULL), (8430, '', '方水镇', '624f5d79a8ec40009b1ce5a392722e6f', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'False', 'false', 'false', '510781125000', 4, '方水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781125000', 1, '2021-07-19 11:39:02', NULL, NULL), (8431, '', '祥瑞社区', 'de71b604c70147d8be3d1075bbe54a37', '624f5d79a8ec40009b1ce5a392722e6f', 'False', 'True', 'false', 'false', '510781125002', 5, '祥瑞社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781125002', 1, '2021-07-19 11:39:02', NULL, NULL), (8432, '', '天台村', '90120eeebcc342eda850dc7c1a1ff752', '624f5d79a8ec40009b1ce5a392722e6f', 'False', 'True', 'false', 'false', '510781125210', 5, '天台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781125210', 1, '2021-07-19 11:39:02', NULL, NULL), (8433, '', '东山村', '3c8cd9fe6dfc48d6aa1356b0d4cdc7b3', '624f5d79a8ec40009b1ce5a392722e6f', 'False', 'True', 'false', 'false', '510781125213', 5, '东山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781125213', 1, '2021-07-19 11:39:02', NULL, NULL), (8434, '', '阳明村', '0ba72339984548898e6a13388e0923d2', '624f5d79a8ec40009b1ce5a392722e6f', 'False', 'True', 'false', 'false', '510781125215', 5, '阳明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781125215', 1, '2021-07-19 11:39:02', NULL, NULL), (8435, '', '八一村', 'c5227864b4ea48e183c651686b26a818', '624f5d79a8ec40009b1ce5a392722e6f', 'False', 'True', 'false', 'false', '510781125218', 5, '八一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781125218', 1, '2021-07-19 11:39:02', NULL, NULL), (8436, '', '广义村', '47dab621135f4dbbadb1b258ece4e540', '624f5d79a8ec40009b1ce5a392722e6f', 'False', 'True', 'false', 'false', '510781125202', 5, '广义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781125202', 1, '2021-07-19 11:39:03', NULL, NULL), (8437, '', '永镇社区', '610c1ba71ab54809b1732188a13f4945', '624f5d79a8ec40009b1ce5a392722e6f', 'False', 'True', 'false', 'false', '510781125343', 5, '永镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781125343', 1, '2021-07-19 11:39:03', NULL, NULL), (8438, '', '高包村', '34bba36525c34fcf93edd80251f65116', '624f5d79a8ec40009b1ce5a392722e6f', 'False', 'True', 'false', 'false', '510781125413', 5, '高包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781125413', 1, '2021-07-19 11:39:03', NULL, NULL), (8439, '', '白玉村', 'd7a0a7c20f644d82ac6574cbae967621', '624f5d79a8ec40009b1ce5a392722e6f', 'False', 'True', 'false', 'false', '510781125429', 5, '白玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781125429', 1, '2021-07-19 11:39:03', NULL, NULL), (8440, '', '宝珠村', '8c92c8e32d3b41cb8c4ceb4b3ab05a6e', '624f5d79a8ec40009b1ce5a392722e6f', 'False', 'True', 'false', 'false', '510781125581', 5, '宝珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781125581', 1, '2021-07-19 11:39:03', NULL, NULL), (8441, '', '西林村', '641c605223e14ef5aa45e10a52cc076b', '624f5d79a8ec40009b1ce5a392722e6f', 'False', 'True', 'false', 'false', '510781125941', 5, '西林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781125941', 1, '2021-07-19 11:39:03', NULL, NULL), (8442, '', '枫顺乡', '7ba830e27f2647a88155d0628ccd7060', '224d2322b4764e1bab38a82c3a431d0c', 'True', 'True', 'false', 'false', '510781219000', 4, '枫顺乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510781219000', 1, '2021-07-19 11:39:03', NULL, NULL), (8443, '', '红枫社区', '68a7c30383094b0ca640afaf33152cfe', '7ba830e27f2647a88155d0628ccd7060', 'False', 'True', 'false', 'false', '510781219001', 5, '红枫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781219001', 1, '2021-07-19 11:39:03', NULL, NULL), (8444, '', '龙池村', '9ba363ef0d2e48688add95ad261b01be', '7ba830e27f2647a88155d0628ccd7060', 'False', 'True', 'false', 'false', '510781219206', 5, '龙池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781219206', 1, '2021-07-19 11:39:03', NULL, NULL), (8445, '', '吉安村', 'd04d85a5098046b3b8e2b96348316784', '7ba830e27f2647a88155d0628ccd7060', 'False', 'True', 'false', 'false', '510781219208', 5, '吉安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781219208', 1, '2021-07-19 11:39:03', NULL, NULL), (8446, '', '六合村', '3234675e1d0f4186a70b86213aa91503', '7ba830e27f2647a88155d0628ccd7060', 'False', 'True', 'false', 'false', '510781219210', 5, '六合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781219210', 1, '2021-07-19 11:39:03', NULL, NULL), (8447, '', '河石村', '7f7fc6abd65f477b9599af79e311b598', '7ba830e27f2647a88155d0628ccd7060', 'False', 'True', 'false', 'false', '510781219211', 5, '河石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781219211', 1, '2021-07-19 11:39:03', NULL, NULL), (8448, '', '枫橡村', 'a08d1f2ae6ec4640b4d6bd318b7298e1', '7ba830e27f2647a88155d0628ccd7060', 'False', 'True', 'false', 'false', '510781219047', 5, '枫橡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781219047', 1, '2021-07-19 11:39:03', NULL, NULL), (8449, '', '小坝村', '01c57261ec534c878a7d1ccdaa4b0dc3', '7ba830e27f2647a88155d0628ccd7060', 'False', 'True', 'false', 'false', '510781219187', 5, '小坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781219187', 1, '2021-07-19 11:39:03', NULL, NULL), (8450, '', '小院村', 'c2b36ca7bf654119a449f47e72f2aac3', '7ba830e27f2647a88155d0628ccd7060', 'False', 'True', 'false', 'false', '510781219304', 5, '小院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510781219304', 1, '2021-07-19 11:39:04', NULL, NULL), (8451, '', '三台县', '55e8a900de0e4c41a56f090456622f62', '06770f8688a045beaf53089460935c1e', 'True', 'True', 'false', 'false', '510722000000', 3, '三台县', 'mysstx.sczwfw.gov.cn', 1, '2021-07-19 11:39:04', NULL, NULL), (8452, '', '鲁班镇', '61166dc510a64687b54994f79c005a20', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722181000', 4, '鲁班镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722181000', 1, '2021-07-19 11:39:04', NULL, NULL), (8453, '', '鼓锣村', 'd67fb4842a6a49c7b4ffd8f5a4ae25c3', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114077', 5, '鼓锣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114077', 1, '2021-07-19 11:39:04', NULL, NULL), (8454, '', '太阳村', '37008b1109ac43f89bf95c7685e09a36', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114101', 5, '太阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114101', 1, '2021-07-19 11:39:04', NULL, NULL), (8455, '', '洞湾村', 'af2fc5da06804c40b4fb52ebe8d950bd', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114156', 5, '洞湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114156', 1, '2021-07-19 11:39:04', NULL, NULL), (8456, '', '幸福街社区', 'c3ff009c5da64cb7a91faf623a890bec', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114258', 5, '幸福街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114258', 1, '2021-07-19 11:39:04', NULL, NULL), (8457, '', '徐桥村', 'd7d3097daf3343ff841794913d83b085', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114263', 5, '徐桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114263', 1, '2021-07-19 11:39:04', NULL, NULL), (8458, '', '双龙村', '1775ed015724422dac86a9cd9d2ad743', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114283', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114283', 1, '2021-07-19 11:39:04', NULL, NULL), (8459, '', '白店村', 'ba26f6cba2d14c46bde237a6a20314ee', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114373', 5, '白店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114373', 1, '2021-07-19 11:39:04', NULL, NULL), (8460, '', '三柏村', 'f8eaa1c60bae4023901981c2dae7b690', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114423', 5, '三柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114423', 1, '2021-07-19 11:39:04', NULL, NULL), (8461, '', '桃花村', 'f7831e7a0c6f4c5d84e27d10fbbe5fc2', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114450', 5, '桃花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114450', 1, '2021-07-19 11:39:04', NULL, NULL), (8462, '', '大泉村', 'cfad5ffb9e7c43d0928aa9b3dd6de8a1', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114599', 5, '大泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114599', 1, '2021-07-19 11:39:04', NULL, NULL), (8463, '', '民众村', 'cc8a3110d81249ec83d2045cd1bc31e2', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114678', 5, '民众村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114678', 1, '2021-07-19 11:39:04', NULL, NULL), (8464, '', '梧桐村', '2ff868db3f164a8b8679653f7ed2b802', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114701', 5, '梧桐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114701', 1, '2021-07-19 11:39:04', NULL, NULL), (8465, '', '马祖村', 'c17d544682d84edeacd4078fe9ff9963', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114748', 5, '马祖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114748', 1, '2021-07-19 11:39:04', NULL, NULL), (8466, '', '同盟村', 'bece357294c5434e80163473f377e1d5', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114827', 5, '同盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114827', 1, '2021-07-19 11:39:05', NULL, NULL), (8467, '', '鲁班社区', '1b7f09402a7543dbace0968e29584043', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114859', 5, '鲁班社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114859', 1, '2021-07-19 11:39:05', NULL, NULL), (8468, '', '三合村', '30bc525554b74cacb6c8f8ddd523c86d', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114874', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114874', 1, '2021-07-19 11:39:05', NULL, NULL), (8469, '', '红安村', 'd32fbf7af65341cb9ee777df6c0359a3', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114894', 5, '红安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114894', 1, '2021-07-19 11:39:05', NULL, NULL), (8470, '', '富荣社区', '1c0698e476ed4103bebe7e8ed8c00437', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114905', 5, '富荣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114905', 1, '2021-07-19 11:39:05', NULL, NULL), (8471, '', '高店村', 'e94b1978ef3647c28384bd79fd27043b', '61166dc510a64687b54994f79c005a20', 'False', 'True', 'false', 'false', '510722114913', 5, '高店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722114913', 1, '2021-07-19 11:39:05', NULL, NULL), (8472, '', '新鲁镇', '52372e979c254928b32b1012cef8f270', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722226000', 4, '新鲁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722226000', 1, '2021-07-19 11:39:05', NULL, NULL), (8473, '', '望柱村', '19b05adae00c4a73ae06657f7ea220e0', '52372e979c254928b32b1012cef8f270', 'False', 'True', 'false', 'false', '510722133072', 5, '望柱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722133072', 1, '2021-07-19 11:39:05', NULL, NULL), (8474, '', '农纲村', '5e78addfd7d14286b4ceb5e93b2d5093', '52372e979c254928b32b1012cef8f270', 'False', 'True', 'false', 'false', '510722133121', 5, '农纲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722133121', 1, '2021-07-19 11:39:05', NULL, NULL), (8475, '', '禅寂村', 'd2468d5a31be4aceaa031c20af9ed0e4', '52372e979c254928b32b1012cef8f270', 'False', 'True', 'false', 'false', '510722133181', 5, '禅寂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722133181', 1, '2021-07-19 11:39:05', NULL, NULL), (8476, '', '方碑村', '51e6255bea1245dabb5084f173782374', '52372e979c254928b32b1012cef8f270', 'False', 'True', 'false', 'false', '510722133207', 5, '方碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722133207', 1, '2021-07-19 11:39:05', NULL, NULL), (8477, '', '南岳村', '7b558c05db444217bca6ccca5486807e', '52372e979c254928b32b1012cef8f270', 'False', 'True', 'false', 'false', '510722133217', 5, '南岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722133217', 1, '2021-07-19 11:39:05', NULL, NULL), (8478, '', '含苞村', '46490d97aa9644ddb9531cde8b6fa1aa', '52372e979c254928b32b1012cef8f270', 'False', 'True', 'false', 'false', '510722133264', 5, '含苞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722133264', 1, '2021-07-19 11:39:05', NULL, NULL), (8479, '', '牛头河村', 'dc4e57d091ab4e76a4b4373445ac19f8', '52372e979c254928b32b1012cef8f270', 'False', 'True', 'false', 'false', '510722133282', 5, '牛头河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722133282', 1, '2021-07-19 11:39:05', NULL, NULL), (8480, '', '高步村', '7ace6111ea0c43a8b4124422ed62def2', '52372e979c254928b32b1012cef8f270', 'False', 'True', 'false', 'false', '510722133284', 5, '高步村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722133284', 1, '2021-07-19 11:39:06', NULL, NULL), (8481, '', '一碗水村', 'aca092a20c7a4da3822740fcc4de2404', '52372e979c254928b32b1012cef8f270', 'False', 'True', 'false', 'false', '510722133431', 5, '一碗水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722133431', 1, '2021-07-19 11:39:06', NULL, NULL), (8482, '', '君安村', '9d8c0a1f5dab4d368a7f66d57da38e84', '52372e979c254928b32b1012cef8f270', 'False', 'True', 'false', 'false', '510722133603', 5, '君安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722133603', 1, '2021-07-19 11:39:06', NULL, NULL), (8483, '', '双泉村', 'da49d2218a9b4c5ca17dfa86db9060fe', '52372e979c254928b32b1012cef8f270', 'False', 'True', 'false', 'false', '510722133605', 5, '双泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722133605', 1, '2021-07-19 11:39:06', NULL, NULL), (8484, '', '新鲁社区', 'e246f3f5f4814246a8aec2126a6e788f', '52372e979c254928b32b1012cef8f270', 'False', 'True', 'false', 'false', '510722133770', 5, '新鲁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722133770', 1, '2021-07-19 11:39:06', NULL, NULL), (8485, '', '云同社区', '6515f729fb964a448fc3ba577e016e5a', '52372e979c254928b32b1012cef8f270', 'False', 'True', 'false', 'false', '510722133778', 5, '云同社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722133778', 1, '2021-07-19 11:39:06', NULL, NULL), (8486, '', '灵兴镇', 'a6f2046c268d4f00941cd99a4abd8b86', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722604000', 4, '灵兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722604000', 1, '2021-07-19 11:39:06', NULL, NULL), (8487, '', '争胜村', '941484bc281f481e818d5823f107199b', 'a6f2046c268d4f00941cd99a4abd8b86', 'False', 'False', 'false', 'false', '510722136154', 5, '争胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722136154', 1, '2021-07-19 11:39:06', NULL, NULL), (8488, '', '木鱼村', 'f9ad4a894a214db7925eee17c093c1c7', 'a6f2046c268d4f00941cd99a4abd8b86', 'False', 'False', 'false', 'false', '510722136196', 5, '木鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722136196', 1, '2021-07-19 11:39:06', NULL, NULL), (8489, '', '石桥村', '2cf0fe4e52f14d2bb08172d717c5903c', 'a6f2046c268d4f00941cd99a4abd8b86', 'False', 'False', 'false', 'false', '510722136409', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722136409', 1, '2021-07-19 11:39:06', NULL, NULL), (8490, '', '石堰村', '5016318c5ab848b5b6792dd879e5e454', 'a6f2046c268d4f00941cd99a4abd8b86', 'False', 'False', 'false', 'false', '510722136556', 5, '石堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722136556', 1, '2021-07-19 11:39:06', NULL, NULL), (8491, '', '花庙村', '7885cb9263b44b9cab443516fc0d4879', 'a6f2046c268d4f00941cd99a4abd8b86', 'False', 'False', 'false', 'false', '510722136562', 5, '花庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722136562', 1, '2021-07-19 11:39:06', NULL, NULL), (8492, '', '遇仙社区', 'e092c53589b54767a6afba6c874f4ef0', 'a6f2046c268d4f00941cd99a4abd8b86', 'False', 'False', 'false', 'false', '510722136776', 5, '遇仙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722136776', 1, '2021-07-19 11:39:07', NULL, NULL), (8493, '', '灵兴村', '452112b0df9945f2941d907b5ed2a7eb', 'a6f2046c268d4f00941cd99a4abd8b86', 'False', 'False', 'false', 'false', '510722136792', 5, '灵兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722136792', 1, '2021-07-19 11:39:07', NULL, NULL), (8494, '', '灵峰村', 'b89c66d1c7494a01a3657ee0db37cdce', 'a6f2046c268d4f00941cd99a4abd8b86', 'False', 'False', 'false', 'false', '510722136875', 5, '灵峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722136875', 1, '2021-07-19 11:39:07', NULL, NULL), (8495, '', '丰收村', '13c6d9db035d4cc8b48dc59eeb1d5739', 'a6f2046c268d4f00941cd99a4abd8b86', 'False', 'False', 'false', 'false', '510722136882', 5, '丰收村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722136882', 1, '2021-07-19 11:39:07', NULL, NULL), (8496, '', '景福镇', '777cea2718f2461f8a17f6a30de98548', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722618000', 4, '景福镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722618000', 1, '2021-07-19 11:39:07', NULL, NULL), (8497, '', '状元碑村', 'cd17b42f8ef64307b0588aae6931a5f4', '777cea2718f2461f8a17f6a30de98548', 'False', 'True', 'false', 'false', '510722115005', 5, '状元碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722115005', 1, '2021-07-19 11:39:07', NULL, NULL), (8498, '', '五泉山村', 'e9827eafefc24ac5a7f9b57f08fc1eaa', '777cea2718f2461f8a17f6a30de98548', 'False', 'True', 'false', 'false', '510722115023', 5, '五泉山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722115023', 1, '2021-07-19 11:39:07', NULL, NULL), (8499, '', '景福社区', '4a2183fce3b74aacbe916579f648463e', '777cea2718f2461f8a17f6a30de98548', 'False', 'True', 'false', 'false', '510722115039', 5, '景福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722115039', 1, '2021-07-19 11:39:07', NULL, NULL), (8500, '', '钟鹤楼村', '29aa5c89ea1045f9a5508d9d27e44fb4', '777cea2718f2461f8a17f6a30de98548', 'False', 'True', 'false', 'false', '510722115066', 5, '钟鹤楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722115066', 1, '2021-07-19 11:39:07', NULL, NULL), (8501, '', '天公山村', '97e11a83e6934a4eafb27e968e54bc1c', '777cea2718f2461f8a17f6a30de98548', 'False', 'True', 'false', 'false', '510722115143', 5, '天公山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722115143', 1, '2021-07-19 11:39:07', NULL, NULL), (8502, '', '向阳村', '360d3c07e2ae48568e4413b80fb7d154', '777cea2718f2461f8a17f6a30de98548', 'False', 'True', 'false', 'false', '510722115201', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722115201', 1, '2021-07-19 11:39:07', NULL, NULL), (8503, '', '菩提寺村', 'f8557536a8a2448c8d5b4e3db8446a3b', '777cea2718f2461f8a17f6a30de98548', 'False', 'True', 'false', 'false', '510722115366', 5, '菩提寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722115366', 1, '2021-07-19 11:39:07', NULL, NULL), (8504, '', '金龙村', '258a15d5648240ac956d2f34ee5a1db7', '777cea2718f2461f8a17f6a30de98548', 'False', 'True', 'false', 'false', '510722115470', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722115470', 1, '2021-07-19 11:39:07', NULL, NULL), (8505, '', '宋观庙村', '3d375e5cfdb048ec92dcbe7c9b1410f7', '777cea2718f2461f8a17f6a30de98548', 'False', 'True', 'false', 'false', '510722115522', 5, '宋观庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722115522', 1, '2021-07-19 11:39:07', NULL, NULL), (8506, '', '方垭社区', 'd15c740c67444bd2b64faea68216ee37', '777cea2718f2461f8a17f6a30de98548', 'False', 'True', 'false', 'false', '510722115555', 5, '方垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722115555', 1, '2021-07-19 11:39:08', NULL, NULL), (8507, '', '白沙湾村', '9d66e2d95c56482aa4938147711a635c', '777cea2718f2461f8a17f6a30de98548', 'False', 'True', 'false', 'false', '510722115658', 5, '白沙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722115658', 1, '2021-07-19 11:39:08', NULL, NULL), (8508, '', '槐山村', 'e57586e227634cfba9579cecf5124323', '777cea2718f2461f8a17f6a30de98548', 'False', 'True', 'false', 'false', '510722115690', 5, '槐山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722115690', 1, '2021-07-19 11:39:08', NULL, NULL), (8509, '', '马口堰村', '3b5339f06b864259803564f54858351a', '777cea2718f2461f8a17f6a30de98548', 'False', 'True', 'false', 'false', '510722115739', 5, '马口堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722115739', 1, '2021-07-19 11:39:08', NULL, NULL), (8510, '', '兴华村', '7a0d374a1b7a4e5f918c6aaecd17a0ee', '777cea2718f2461f8a17f6a30de98548', 'False', 'True', 'false', 'false', '510722115764', 5, '兴华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722115764', 1, '2021-07-19 11:39:08', NULL, NULL), (8511, '', '营盘山村', '49c4aad1077d428e95f80fea2edcca4a', '777cea2718f2461f8a17f6a30de98548', 'False', 'True', 'false', 'false', '510722115814', 5, '营盘山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722115814', 1, '2021-07-19 11:39:08', NULL, NULL), (8512, '', '和谐村', '12885ae42a5b457e87a9cf116c392de7', '777cea2718f2461f8a17f6a30de98548', 'False', 'True', 'false', 'false', '510722115825', 5, '和谐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722115825', 1, '2021-07-19 11:39:08', NULL, NULL), (8513, '', '太和村', '5302028f63e3460da54e0cdc2d0478d0', '777cea2718f2461f8a17f6a30de98548', 'False', 'True', 'false', 'false', '510722115894', 5, '太和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722115894', 1, '2021-07-19 11:39:08', NULL, NULL), (8514, '', '双乐社区', 'e7be4a1812e640a2b5574a343cb44a56', '777cea2718f2461f8a17f6a30de98548', 'False', 'True', 'false', 'false', '510722115916', 5, '双乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722115916', 1, '2021-07-19 11:39:08', NULL, NULL), (8515, '', '立新镇', 'e7475443ff9e4fe6b8b5ab1493043a76', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722665000', 4, '立新镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722665000', 1, '2021-07-19 11:39:08', NULL, NULL), (8516, '', '打虎村', 'f68a0c23b99e4dc7ac3c5a4dbf8aa0c8', 'e7475443ff9e4fe6b8b5ab1493043a76', 'False', 'True', 'false', 'false', '510722138123', 5, '打虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722138123', 1, '2021-07-19 11:39:08', NULL, NULL), (8517, '', '红星坝村', '3a506317e71143cbb5f2d230fec0b51d', 'e7475443ff9e4fe6b8b5ab1493043a76', 'False', 'True', 'false', 'false', '510722138396', 5, '红星坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722138396', 1, '2021-07-19 11:39:08', NULL, NULL), (8518, '', '立新社区', '2c2121f1ad194e1790cf7d7d8c1fe583', 'e7475443ff9e4fe6b8b5ab1493043a76', 'False', 'True', 'false', 'false', '510722138515', 5, '立新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722138515', 1, '2021-07-19 11:39:08', NULL, NULL), (8519, '', '车坝村', '15183efc060d495b99898aa8db35aa6c', 'e7475443ff9e4fe6b8b5ab1493043a76', 'False', 'True', 'false', 'false', '510722138611', 5, '车坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722138611', 1, '2021-07-19 11:39:08', NULL, NULL), (8520, '', '新民村', '11f872e3b40448c6947dacd6fcade2ee', 'e7475443ff9e4fe6b8b5ab1493043a76', 'False', 'True', 'false', 'false', '510722138664', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722138664', 1, '2021-07-19 11:39:08', NULL, NULL), (8521, '', '春光村', '98d82705d0aa40f7a02ee83baae4b4e7', 'e7475443ff9e4fe6b8b5ab1493043a76', 'False', 'True', 'false', 'false', '510722138676', 5, '春光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722138676', 1, '2021-07-19 11:39:09', NULL, NULL), (8522, '', '百灵山村', '0f97e497fa8e4c9bb3c8f835f69fbc35', 'e7475443ff9e4fe6b8b5ab1493043a76', 'False', 'True', 'false', 'false', '510722138771', 5, '百灵山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722138771', 1, '2021-07-19 11:39:09', NULL, NULL), (8523, '', '高棚村', 'b9129417db9a4d2dbdd03ab7277e62e4', 'e7475443ff9e4fe6b8b5ab1493043a76', 'False', 'True', 'false', 'false', '510722138914', 5, '高棚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722138914', 1, '2021-07-19 11:39:09', NULL, NULL), (8524, '', '凉泉村', 'cde69080b85d4ca38930ab632703029c', 'e7475443ff9e4fe6b8b5ab1493043a76', 'False', 'True', 'false', 'false', '510722138923', 5, '凉泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722138923', 1, '2021-07-19 11:39:09', NULL, NULL), (8525, '', '香林村', 'aa84800e4a2841d6a00905239aeafd85', 'e7475443ff9e4fe6b8b5ab1493043a76', 'False', 'True', 'false', 'false', '510722138942', 5, '香林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722138942', 1, '2021-07-19 11:39:09', NULL, NULL), (8526, '', '乐安镇', '1e52ef0b1a804eda89ce880a9cb0b10a', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722762000', 4, '乐安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722762000', 1, '2021-07-19 11:39:09', NULL, NULL), (8527, '', '响滩子村', '4c53a02a73ef4c0c93979cd375999a6d', '1e52ef0b1a804eda89ce880a9cb0b10a', 'False', 'False', 'false', 'false', '510722126073', 5, '响滩子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722126073', 1, '2021-07-19 11:39:09', NULL, NULL), (8528, '', '农兴村', '15cce34a0d5f4f87af57e56260462c63', '1e52ef0b1a804eda89ce880a9cb0b10a', 'False', 'False', 'false', 'false', '510722126096', 5, '农兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722126096', 1, '2021-07-19 11:39:09', NULL, NULL), (8529, '', '天马石村', '10bc25e22f8e4dc3b54d7101c27ec79b', '1e52ef0b1a804eda89ce880a9cb0b10a', 'False', 'False', 'false', 'false', '510722126132', 5, '天马石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722126132', 1, '2021-07-19 11:39:09', NULL, NULL), (8530, '', '金家村', '72cc8146fed14168bd420e1122803ff9', '1e52ef0b1a804eda89ce880a9cb0b10a', 'False', 'False', 'false', 'false', '510722126259', 5, '金家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722126259', 1, '2021-07-19 11:39:09', NULL, NULL), (8531, '', '乐安社区', '493c3213ff034bbd857302966f451fbd', '1e52ef0b1a804eda89ce880a9cb0b10a', 'False', 'False', 'false', 'false', '510722126271', 5, '乐安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722126271', 1, '2021-07-19 11:39:09', NULL, NULL), (8532, '', '双狮村', 'daa1e8786008447ab617692b7d3907d1', '1e52ef0b1a804eda89ce880a9cb0b10a', 'False', 'True', 'false', 'false', '510722126445', 5, '双狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722126445', 1, '2021-07-19 11:39:09', NULL, NULL), (8533, '', '光华村', '0d62d415817544feb6029e90e9cd6dcb', '1e52ef0b1a804eda89ce880a9cb0b10a', 'False', 'False', 'false', 'false', '510722126472', 5, '光华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722126472', 1, '2021-07-19 11:39:09', NULL, NULL), (8534, '', '仙桥村', 'c87cd6a6ff844180b76ad56987e60c27', '1e52ef0b1a804eda89ce880a9cb0b10a', 'False', 'False', 'false', 'false', '510722126515', 5, '仙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722126515', 1, '2021-07-19 11:39:09', NULL, NULL), (8535, '', '水井村', 'fa6252af7b764860808479951e4fc2b8', '1e52ef0b1a804eda89ce880a9cb0b10a', 'False', 'False', 'false', 'false', '510722126551', 5, '水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722126551', 1, '2021-07-19 11:39:09', NULL, NULL), (8536, '', '金铃村', 'e2cfca8987a9438a9804930218b1c410', '1e52ef0b1a804eda89ce880a9cb0b10a', 'False', 'False', 'false', 'false', '510722126748', 5, '金铃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722126748', 1, '2021-07-19 11:39:09', NULL, NULL), (8537, '', '阳光村', 'cb76d0d5f9ec4155a76d86d89ecfd62e', '1e52ef0b1a804eda89ce880a9cb0b10a', 'False', 'False', 'false', 'false', '510722126798', 5, '阳光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722126798', 1, '2021-07-19 11:39:10', NULL, NULL), (8538, '', '绿化村', '27bb94192cfd4273a8da383bb8d90d74', '1e52ef0b1a804eda89ce880a9cb0b10a', 'False', 'False', 'false', 'false', '510722126839', 5, '绿化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722126839', 1, '2021-07-19 11:39:10', NULL, NULL), (8539, '', '断山村', 'c0cd3e47132345979d2e2278b7b405ba', '1e52ef0b1a804eda89ce880a9cb0b10a', 'False', 'True', 'false', 'false', '510722126951', 5, '断山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722126951', 1, '2021-07-19 11:39:10', NULL, NULL), (8540, '', '北坝镇', '74b7a4c031f2446283858b2dc69b7694', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722100000', 4, '北坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722100000', 1, '2021-07-19 11:39:10', NULL, NULL), (8541, '', '芙蓉村', 'acfec76de5fe42a89ebff052498273a3', '74b7a4c031f2446283858b2dc69b7694', 'False', 'True', 'false', 'false', '510722100025', 5, '芙蓉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722100025', 1, '2021-07-19 11:39:10', NULL, NULL), (8542, '', '东塔村', '6daf0204c82841118d1d2232235c1122', '74b7a4c031f2446283858b2dc69b7694', 'False', 'True', 'false', 'false', '510722100047', 5, '东塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722100047', 1, '2021-07-19 11:39:10', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (8543, '', '水文村', '6d55e2109bae49ddb37c9b064d31eadc', '74b7a4c031f2446283858b2dc69b7694', 'False', 'True', 'false', 'false', '510722100099', 5, '水文村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722100099', 1, '2021-07-19 11:39:10', NULL, NULL), (8544, '', '三湾村', '303726170ddb40d1a950629e77dcd2d1', '74b7a4c031f2446283858b2dc69b7694', 'False', 'True', 'false', 'false', '510722100130', 5, '三湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722100130', 1, '2021-07-19 11:39:10', NULL, NULL), (8545, '', '文峰村', 'd847acc87771443cb29503deb3bdc386', '74b7a4c031f2446283858b2dc69b7694', 'False', 'True', 'false', 'false', '510722100233', 5, '文峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722100233', 1, '2021-07-19 11:39:10', NULL, NULL), (8546, '', '旗山村', 'f52da79951e14b838bd31b2dc2c7e946', '74b7a4c031f2446283858b2dc69b7694', 'False', 'True', 'false', 'false', '510722100666', 5, '旗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722100666', 1, '2021-07-19 11:39:10', NULL, NULL), (8547, '', '川新村', 'f99f4be02657402ea2bd4d3d471bc753', '74b7a4c031f2446283858b2dc69b7694', 'False', 'True', 'false', 'false', '510722100708', 5, '川新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722100708', 1, '2021-07-19 11:39:10', NULL, NULL), (8548, '', '龙白村', '50773e161ed34a55a2624a46e9caa202', '74b7a4c031f2446283858b2dc69b7694', 'False', 'True', 'false', 'false', '510722100819', 5, '龙白村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722100819', 1, '2021-07-19 11:39:10', NULL, NULL), (8549, '', '黄龙村', 'e30f5fff716442b3a2c4173daa849611', '74b7a4c031f2446283858b2dc69b7694', 'False', 'True', 'false', 'false', '510722100922', 5, '黄龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722100922', 1, '2021-07-19 11:39:10', NULL, NULL), (8550, '', '北龙村', '5600c95cf4a84e8ab60829c730f86c5d', '74b7a4c031f2446283858b2dc69b7694', 'False', 'True', 'false', 'false', '510722100983', 5, '北龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722100983', 1, '2021-07-19 11:39:10', NULL, NULL), (8551, '', '梓北社区', '203b0d38dd114900abf26dcea32d3b0c', '74b7a4c031f2446283858b2dc69b7694', 'False', 'True', 'false', 'false', '510722100495', 5, '梓北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722100495', 1, '2021-07-19 11:39:10', NULL, NULL), (8552, '', '东涪社区', 'e7aae0842c324271a0ee987cfda67442', '74b7a4c031f2446283858b2dc69b7694', 'False', 'True', 'false', 'false', '510722100665', 5, '东涪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722100665', 1, '2021-07-19 11:39:10', NULL, NULL), (8553, '', '北塔路社区', '9dd0e6a46fc749f6a24bfb89b3c23665', '74b7a4c031f2446283858b2dc69b7694', 'False', 'True', 'false', 'false', '510722100713', 5, '北塔路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722100713', 1, '2021-07-19 11:39:11', NULL, NULL), (8554, '', '樟树社区', '4acbb16fd28c4d44a5e96622d76e22ed', '74b7a4c031f2446283858b2dc69b7694', 'False', 'True', 'false', 'false', '510722100770', 5, '樟树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722100770', 1, '2021-07-19 11:39:11', NULL, NULL), (8555, '', '东河路社区', '43d607629e8d482f9491ebc3f5647692', '74b7a4c031f2446283858b2dc69b7694', 'False', 'True', 'false', 'false', '510722100972', 5, '东河路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722100972', 1, '2021-07-19 11:39:11', NULL, NULL), (8556, '', '潼川镇', '483b31c5750a48bea20882cb809270f3', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722101000', 4, '潼川镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722101000', 1, '2021-07-19 11:39:11', NULL, NULL), (8557, '', '五里梁村', 'c18ceaaa14aa4f298515736f5936ffc9', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101744', 5, '五里梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101744', 1, '2021-07-19 11:39:11', NULL, NULL), (8558, '', '南寺坝社区', 'd633cb38d6e446d89f8c739f800ae572', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101842', 5, '南寺坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101842', 1, '2021-07-19 11:39:11', NULL, NULL), (8559, '', '柳林村', '7f1d32c7d7fd48498d2fc1e3944cc6dc', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101045', 5, '柳林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101045', 1, '2021-07-19 11:39:11', NULL, NULL), (8560, '', '石宝村', 'e53e432d72eb4894bf943ca1abedc826', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101080', 5, '石宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101080', 1, '2021-07-19 11:39:11', NULL, NULL), (8561, '', '梓锦社区', '9f157c7852e743299f7b451f81813a49', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101132', 5, '梓锦社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101132', 1, '2021-07-19 11:39:11', NULL, NULL), (8562, '', '草堂社区', '55026775717448c39b1eec82179e030c', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101155', 5, '草堂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101155', 1, '2021-07-19 11:39:11', NULL, NULL), (8563, '', '老西街社区', '248f209878fc4b8285c7c43b933f9366', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101172', 5, '老西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101172', 1, '2021-07-19 11:39:11', NULL, NULL), (8564, '', '百花村', '02a4fb92522845008398d4023f728727', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101280', 5, '百花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101280', 1, '2021-07-19 11:39:11', NULL, NULL), (8565, '', '胜丰村', '38c43df277e24155b7664da63e18553d', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101292', 5, '胜丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101292', 1, '2021-07-19 11:39:11', NULL, NULL), (8566, '', '建设街社区', '12b0a03daad3418ab468d7fced899dbd', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101299', 5, '建设街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101299', 1, '2021-07-19 11:39:11', NULL, NULL), (8567, '', '古城社区', 'f25e677112a144b1b156af229f366b43', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101328', 5, '古城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101328', 1, '2021-07-19 11:39:11', NULL, NULL), (8568, '', '大河村', 'da9c81b9dd434cc2bc1a0d3f406967ae', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101416', 5, '大河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101416', 1, '2021-07-19 11:39:12', NULL, NULL), (8569, '', '解放街社区', 'f179e8197e1e4614ac9b9afb1f81fecd', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101429', 5, '解放街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101429', 1, '2021-07-19 11:39:12', NULL, NULL), (8570, '', '橙园村', '63ca99a996854446bacbd3af729e6aa6', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101456', 5, '橙园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101456', 1, '2021-07-19 11:39:12', NULL, NULL), (8571, '', '皂角城社区', '871249583a4a44eab5f9e89dfba35d1f', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101472', 5, '皂角城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101472', 1, '2021-07-19 11:39:12', NULL, NULL), (8572, '', '大兴村', '687926f6c68c4f3e986413ef23e7c757', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101482', 5, '大兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101482', 1, '2021-07-19 11:39:12', NULL, NULL), (8573, '', '解放村', '270fad5d141641bea834f63a48ce671c', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101496', 5, '解放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101496', 1, '2021-07-19 11:39:12', NULL, NULL), (8574, '', '大十字社区', '60bc2fe202864f568beffbf09da0b0a3', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101519', 5, '大十字社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101519', 1, '2021-07-19 11:39:12', NULL, NULL), (8575, '', '顺江村', '14040d12d4d6404695ebc4c4d69464f6', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101568', 5, '顺江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101568', 1, '2021-07-19 11:39:12', NULL, NULL), (8576, '', '蟠龙社区', 'b4737a85701148aa8ac7ea4c100e3886', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101644', 5, '蟠龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101644', 1, '2021-07-19 11:39:12', NULL, NULL), (8577, '', '长丰村', '6cab43f9d9bc40d498c6c7eeed248b6b', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101702', 5, '长丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101702', 1, '2021-07-19 11:39:12', NULL, NULL), (8578, '', '白鹤村', '30a3761cb8954469ba6f43bdcb08ba14', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101717', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101717', 1, '2021-07-19 11:39:12', NULL, NULL), (8579, '', '凤凰村', '8f7dd594fdd54c3d956c718303f5ef51', '483b31c5750a48bea20882cb809270f3', 'False', 'True', 'false', 'false', '510722101954', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722101954', 1, '2021-07-19 11:39:12', NULL, NULL), (8580, '', '塔山镇', '8004aa4b44bd498bbc8b5491697c590c', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722104000', 4, '塔山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722104000', 1, '2021-07-19 11:39:12', NULL, NULL), (8581, '', '常乐村', 'b54b22b4e984480b8df0db6c8ba40c80', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104055', 5, '常乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104055', 1, '2021-07-19 11:39:12', NULL, NULL), (8582, '', '福泉村', 'c7824b7fbe454a779a41e4d0f6851d76', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104132', 5, '福泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104132', 1, '2021-07-19 11:39:12', NULL, NULL), (8583, '', '清溪村', '5a7eb4a376a74e3e94d2df6dce8350b9', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104201', 5, '清溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104201', 1, '2021-07-19 11:39:13', NULL, NULL), (8584, '', '松柏村', '2efc9afdf9b743a68c9543a89852a647', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104484', 5, '松柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104484', 1, '2021-07-19 11:39:13', NULL, NULL), (8585, '', '大树村', '079f7a2cdd604ecc9519aae5a7bbbc7f', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104682', 5, '大树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104682', 1, '2021-07-19 11:39:13', NULL, NULL), (8586, '', '高堰社区', 'cde4ddf8a2284aa3896981f793898e20', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104752', 5, '高堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104752', 1, '2021-07-19 11:39:13', NULL, NULL), (8587, '', '丁垭村', '909c6693ef5d4363ac7cfe53129bc3a7', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104797', 5, '丁垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104797', 1, '2021-07-19 11:39:13', NULL, NULL), (8588, '', '柳池社区', '320fa9c2ef1c46a7a0bc7b3ff2eb37fe', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104978', 5, '柳池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104978', 1, '2021-07-19 11:39:13', NULL, NULL), (8589, '', '丝公村', '928362dd17fa4d4296b61c8f3182372d', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104061', 5, '丝公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104061', 1, '2021-07-19 11:39:13', NULL, NULL), (8590, '', '白龙村', 'b44aca08fb8f4bf98e889c825ceee9c1', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104092', 5, '白龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104092', 1, '2021-07-19 11:39:13', NULL, NULL), (8591, '', '南池村', 'cc45eca227e144489ae096097c754bc3', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104191', 5, '南池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104191', 1, '2021-07-19 11:39:13', NULL, NULL), (8592, '', '宝林村', 'cab64f4dd23c45fe8ecb2fcb77ae7d51', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104248', 5, '宝林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104248', 1, '2021-07-19 11:39:13', NULL, NULL), (8593, '', '金钢村', 'd742a0ddc7a74286bcd0ffeb3ab1a43d', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104271', 5, '金钢村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104271', 1, '2021-07-19 11:39:13', NULL, NULL), (8594, '', '鹅岭村', '8d50a3729b994ad8be2ab07160456bcc', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104405', 5, '鹅岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104405', 1, '2021-07-19 11:39:13', NULL, NULL), (8595, '', '塔山社区', '43ffb9e85789479f856d72334a7150b5', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104675', 5, '塔山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104675', 1, '2021-07-19 11:39:13', NULL, NULL), (8596, '', '槐树村', '4e26ca1dcca7472aba084fa12ba01830', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104712', 5, '槐树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104712', 1, '2021-07-19 11:39:13', NULL, NULL), (8597, '', '迎丰村', '8c1168971f7245fc95e726c431a74261', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104753', 5, '迎丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104753', 1, '2021-07-19 11:39:14', NULL, NULL), (8598, '', '宝塔村', '5bb53220a96a4147a806dbdee15c641c', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104842', 5, '宝塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104842', 1, '2021-07-19 11:39:14', NULL, NULL), (8599, '', '华光村', '5e56c13a3a22437d865e0266847243e0', '8004aa4b44bd498bbc8b5491697c590c', 'False', 'True', 'false', 'false', '510722104972', 5, '华光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722104972', 1, '2021-07-19 11:39:14', NULL, NULL), (8600, '', '龙树镇', 'ceb8805eaaea414fb7c0eb2bb54ef04c', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722106000', 4, '龙树镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722106000', 1, '2021-07-19 11:39:14', NULL, NULL), (8601, '', '白雀村', '318d2e1838c9496081be56a0885deb67', 'ceb8805eaaea414fb7c0eb2bb54ef04c', 'False', 'False', 'false', 'false', '510722106134', 5, '白雀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722106134', 1, '2021-07-19 11:39:14', NULL, NULL), (8602, '', '龙树社区', '6dfdac4801ef43c2ba4972fecced0383', 'ceb8805eaaea414fb7c0eb2bb54ef04c', 'False', 'True', 'false', 'false', '510722106035', 5, '龙树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722106035', 1, '2021-07-19 11:39:14', NULL, NULL), (8603, '', '幸福村', 'a59efe8eaec5414e93617d4328bd0899', 'ceb8805eaaea414fb7c0eb2bb54ef04c', 'False', 'True', 'false', 'false', '510722106371', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722106371', 1, '2021-07-19 11:39:14', NULL, NULL), (8604, '', '三联村', 'f6d9dff3b74a43c4941c09132cc05438', 'ceb8805eaaea414fb7c0eb2bb54ef04c', 'False', 'True', 'false', 'false', '510722106453', 5, '三联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722106453', 1, '2021-07-19 11:39:14', NULL, NULL), (8605, '', '鲜花村', '8f93094b5c8749768e217e77b954cc81', 'ceb8805eaaea414fb7c0eb2bb54ef04c', 'False', 'True', 'false', 'false', '510722106551', 5, '鲜花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722106551', 1, '2021-07-19 11:39:14', NULL, NULL), (8606, '', '华丰村', '065b570c2d0b45068a98c4aec40bbcf8', 'ceb8805eaaea414fb7c0eb2bb54ef04c', 'False', 'True', 'false', 'false', '510722106660', 5, '华丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722106660', 1, '2021-07-19 11:39:14', NULL, NULL), (8607, '', '梓江村', '0f41ea76853348609e797439668a7c49', 'ceb8805eaaea414fb7c0eb2bb54ef04c', 'False', 'True', 'false', 'false', '510722106805', 5, '梓江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722106805', 1, '2021-07-19 11:39:14', NULL, NULL), (8608, '', '双合村', '6a19251c1ba4488c9ae5571a647bca80', 'ceb8805eaaea414fb7c0eb2bb54ef04c', 'False', 'True', 'false', 'false', '510722106812', 5, '双合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722106812', 1, '2021-07-19 11:39:14', NULL, NULL), (8609, '', '石伞村', '0c89ec5e6d6346918703360de480970b', 'ceb8805eaaea414fb7c0eb2bb54ef04c', 'False', 'True', 'false', 'false', '510722106872', 5, '石伞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722106872', 1, '2021-07-19 11:39:14', NULL, NULL), (8610, '', '石安镇', 'ca55e167f8db4e02b047a26360a89d2a', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722107000', 4, '石安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722107000', 1, '2021-07-19 11:39:14', NULL, NULL), (8611, '', '兴隆社区', '32437f5907234cbcae8dfd285088c95e', 'ca55e167f8db4e02b047a26360a89d2a', 'False', 'True', 'false', 'false', '510722107149', 5, '兴隆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722107149', 1, '2021-07-19 11:39:14', NULL, NULL), (8612, '', '小桥村', '92c50384bbc647a2ae9e0aa1fbd814d2', 'ca55e167f8db4e02b047a26360a89d2a', 'False', 'True', 'false', 'false', '510722107167', 5, '小桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722107167', 1, '2021-07-19 11:39:14', NULL, NULL), (8613, '', '金鼓村', 'aec26cd3c43d47fc89bf88b3d1066547', 'ca55e167f8db4e02b047a26360a89d2a', 'False', 'True', 'false', 'false', '510722107256', 5, '金鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722107256', 1, '2021-07-19 11:39:14', NULL, NULL), (8614, '', '东宝村', 'eb93b233dc214321ae4704515587fa45', 'ca55e167f8db4e02b047a26360a89d2a', 'False', 'True', 'false', 'false', '510722107369', 5, '东宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722107369', 1, '2021-07-19 11:39:15', NULL, NULL), (8615, '', '清江村', 'b3696f3e8f4248a2930264b6d1c5e0c3', 'ca55e167f8db4e02b047a26360a89d2a', 'False', 'True', 'false', 'false', '510722107910', 5, '清江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722107910', 1, '2021-07-19 11:39:15', NULL, NULL), (8616, '', '龙凤村', 'ace95119bea34c959d2c3ff6b4b8b9a9', 'ca55e167f8db4e02b047a26360a89d2a', 'False', 'True', 'false', 'false', '510722107993', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722107993', 1, '2021-07-19 11:39:15', NULL, NULL), (8617, '', '清泉村', '4bf9eb69a4b846cca939cbb0f18ab224', 'ca55e167f8db4e02b047a26360a89d2a', 'False', 'True', 'false', 'false', '510722107016', 5, '清泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722107016', 1, '2021-07-19 11:39:15', NULL, NULL), (8618, '', '永泉村', '263f53d2f7c447e4903668eedff70911', 'ca55e167f8db4e02b047a26360a89d2a', 'False', 'True', 'false', 'false', '510722107208', 5, '永泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722107208', 1, '2021-07-19 11:39:15', NULL, NULL), (8619, '', '德胜村', 'f118870612e5478387956c438cd9880e', 'ca55e167f8db4e02b047a26360a89d2a', 'False', 'True', 'false', 'false', '510722107408', 5, '德胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722107408', 1, '2021-07-19 11:39:15', NULL, NULL), (8620, '', '裕光村', '1213b40769004735b42796cf7d8d843e', 'ca55e167f8db4e02b047a26360a89d2a', 'False', 'True', 'false', 'false', '510722107785', 5, '裕光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722107785', 1, '2021-07-19 11:39:15', NULL, NULL), (8621, '', '长河村', '5c9bc4b7c7a1439db2a58842bc5b96dd', 'ca55e167f8db4e02b047a26360a89d2a', 'False', 'True', 'false', 'false', '510722107791', 5, '长河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722107791', 1, '2021-07-19 11:39:15', NULL, NULL), (8622, '', '通沟村', '14e2ca805cdc4939bcb02c4e9f4d88e0', 'ca55e167f8db4e02b047a26360a89d2a', 'False', 'True', 'false', 'false', '510722107841', 5, '通沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722107841', 1, '2021-07-19 11:39:15', NULL, NULL), (8623, '', '石安社区', '94562607a60a4d21ab80c1096f8c6ebd', 'ca55e167f8db4e02b047a26360a89d2a', 'False', 'True', 'false', 'false', '510722107901', 5, '石安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722107901', 1, '2021-07-19 11:39:15', NULL, NULL), (8624, '', '富顺镇', 'ca62741d8ebd4410adf5a95b5a2cb755', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722108000', 4, '富顺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722108000', 1, '2021-07-19 11:39:15', NULL, NULL), (8625, '', '鑫龙村', '3e3028bc29114f84b2984620987080aa', 'ca62741d8ebd4410adf5a95b5a2cb755', 'False', 'True', 'false', 'false', '510722108271', 5, '鑫龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722108271', 1, '2021-07-19 11:39:15', NULL, NULL), (8626, '', '金马村', '4f601daeb0ce4321a7c8b2481807a2ad', 'ca62741d8ebd4410adf5a95b5a2cb755', 'False', 'True', 'false', 'false', '510722108571', 5, '金马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722108571', 1, '2021-07-19 11:39:15', NULL, NULL), (8627, '', '龙寨村', 'b174b88902aa4f2d88d28b9a3c4485f8', 'ca62741d8ebd4410adf5a95b5a2cb755', 'False', 'True', 'false', 'false', '510722108771', 5, '龙寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722108771', 1, '2021-07-19 11:39:15', NULL, NULL), (8628, '', '曹家沟村', 'f33a669ae8b64014b6b76763220777cd', 'ca62741d8ebd4410adf5a95b5a2cb755', 'False', 'True', 'false', 'false', '510722108210', 5, '曹家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722108210', 1, '2021-07-19 11:39:15', NULL, NULL), (8629, '', '太平村', 'be07a6cdf1fd40099f053d114563f5e3', 'ca62741d8ebd4410adf5a95b5a2cb755', 'False', 'True', 'false', 'false', '510722108353', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722108353', 1, '2021-07-19 11:39:15', NULL, NULL), (8630, '', '南峰村', '94d54835b5f348ed8d3648f76b34e8f7', 'ca62741d8ebd4410adf5a95b5a2cb755', 'False', 'True', 'false', 'false', '510722108389', 5, '南峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722108389', 1, '2021-07-19 11:39:16', NULL, NULL), (8631, '', '群乐村', 'ec075615288b43ee827f45a3eab85940', 'ca62741d8ebd4410adf5a95b5a2cb755', 'False', 'True', 'false', 'false', '510722108633', 5, '群乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722108633', 1, '2021-07-19 11:39:16', NULL, NULL), (8632, '', '华新村', '5a0fa7c5c99d481185a03a6d50e8c56d', 'ca62741d8ebd4410adf5a95b5a2cb755', 'False', 'True', 'false', 'false', '510722108784', 5, '华新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722108784', 1, '2021-07-19 11:39:16', NULL, NULL), (8633, '', '富顺社区', '39f3d334a2c44fc9b40b8ac0833c3eda', 'ca62741d8ebd4410adf5a95b5a2cb755', 'False', 'True', 'false', 'false', '510722108915', 5, '富顺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722108915', 1, '2021-07-19 11:39:16', NULL, NULL), (8634, '', '三元镇', '5082efc5a0cb44d98aac53dca9a1b44f', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722109000', 4, '三元镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722109000', 1, '2021-07-19 11:39:16', NULL, NULL), (8635, '', '芦桥村', '94071abeccc94cf491288d78cd7919d6', '5082efc5a0cb44d98aac53dca9a1b44f', 'False', 'True', 'false', 'false', '510722109969', 5, '芦桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722109969', 1, '2021-07-19 11:39:16', NULL, NULL), (8636, '', '普陀村', '8f8436306e084e8fa3ad0ef96ab0b062', '5082efc5a0cb44d98aac53dca9a1b44f', 'False', 'True', 'false', 'false', '510722109104', 5, '普陀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722109104', 1, '2021-07-19 11:39:16', NULL, NULL), (8637, '', '友爱村', 'ef1c69aba13a43c1914475b5f5c32513', '5082efc5a0cb44d98aac53dca9a1b44f', 'False', 'True', 'false', 'false', '510722109250', 5, '友爱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722109250', 1, '2021-07-19 11:39:16', NULL, NULL), (8638, '', '康乐村', '1656dafab134417082a1ca825345518d', '5082efc5a0cb44d98aac53dca9a1b44f', 'False', 'True', 'false', 'false', '510722109318', 5, '康乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722109318', 1, '2021-07-19 11:39:16', NULL, NULL), (8639, '', '三清村', 'cec52b4313ea402d84f1995aca096f38', '5082efc5a0cb44d98aac53dca9a1b44f', 'False', 'True', 'false', 'false', '510722109333', 5, '三清村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722109333', 1, '2021-07-19 11:39:16', NULL, NULL), (8640, '', '龙吟村', 'bef172e2508041eea89792dbe3df12d3', '5082efc5a0cb44d98aac53dca9a1b44f', 'False', 'True', 'false', 'false', '510722109339', 5, '龙吟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722109339', 1, '2021-07-19 11:39:16', NULL, NULL), (8641, '', '万安村', 'd65757f1654f4ab3a856024bb65a1c4c', '5082efc5a0cb44d98aac53dca9a1b44f', 'False', 'True', 'false', 'false', '510722109464', 5, '万安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722109464', 1, '2021-07-19 11:39:16', NULL, NULL), (8642, '', '三元社区', '5c942a31874f4ef9b56adcb8d2a7b37e', '5082efc5a0cb44d98aac53dca9a1b44f', 'False', 'True', 'false', 'false', '510722109708', 5, '三元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722109708', 1, '2021-07-19 11:39:16', NULL, NULL), (8643, '', '凤台村', '349eaf03d5a9450aa265bcc9ef39bc7a', '5082efc5a0cb44d98aac53dca9a1b44f', 'False', 'True', 'false', 'false', '510722109923', 5, '凤台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722109923', 1, '2021-07-19 11:39:16', NULL, NULL), (8644, '', '秋林镇', '2e327a2c7d644ab98f4b5e95c082f320', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722110000', 4, '秋林镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722110000', 1, '2021-07-19 11:39:16', NULL, NULL), (8645, '', '秋方村', 'f7df34a283c7447898d03c86d19db1fd', '2e327a2c7d644ab98f4b5e95c082f320', 'False', 'True', 'false', 'false', '510722110287', 5, '秋方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722110287', 1, '2021-07-19 11:39:16', NULL, NULL), (8646, '', '官井沟村', 'a7a04c96f1464b57b403088bd5eda334', '2e327a2c7d644ab98f4b5e95c082f320', 'False', 'True', 'false', 'false', '510722110052', 5, '官井沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722110052', 1, '2021-07-19 11:39:17', NULL, NULL), (8647, '', '红星村', 'cff794c2c45344d097665bb4aa98695f', '2e327a2c7d644ab98f4b5e95c082f320', 'False', 'True', 'false', 'false', '510722110155', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722110155', 1, '2021-07-19 11:39:17', NULL, NULL), (8648, '', '光辉村', 'a3f217d9fb784c9dbc360e58e2cb26a2', '2e327a2c7d644ab98f4b5e95c082f320', 'False', 'True', 'false', 'false', '510722110639', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722110639', 1, '2021-07-19 11:39:17', NULL, NULL), (8649, '', '山枝村', '6ce162126c0a488aa9c4c32aaec99636', '2e327a2c7d644ab98f4b5e95c082f320', 'False', 'True', 'false', 'false', '510722110683', 5, '山枝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722110683', 1, '2021-07-19 11:39:17', NULL, NULL), (8650, '', '文昌村', '737bb660e98b4332886431a7bee63caa', '2e327a2c7d644ab98f4b5e95c082f320', 'False', 'True', 'false', 'false', '510722110742', 5, '文昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722110742', 1, '2021-07-19 11:39:17', NULL, NULL), (8651, '', '秋林社区', 'd6f9d211766b4fff8b604a3a13eb01f2', '2e327a2c7d644ab98f4b5e95c082f320', 'False', 'True', 'false', 'false', '510722110858', 5, '秋林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722110858', 1, '2021-07-19 11:39:17', NULL, NULL), (8652, '', '新德镇', '04746dc40e21401fb2c2c2cac6ac4bd9', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722112000', 4, '新德镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722112000', 1, '2021-07-19 11:39:17', NULL, NULL), (8653, '', '永征村', '4756b52352d14d929252c4a9d5ebba99', '04746dc40e21401fb2c2c2cac6ac4bd9', 'False', 'True', 'false', 'false', '510722112150', 5, '永征村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722112150', 1, '2021-07-19 11:39:17', NULL, NULL), (8654, '', '永新社区', '26c3117d9daa479cb1305c1f689a26b2', '04746dc40e21401fb2c2c2cac6ac4bd9', 'False', 'True', 'false', 'false', '510722112174', 5, '永新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722112174', 1, '2021-07-19 11:39:17', NULL, NULL), (8655, '', '崭山村', '5f7f5115275f47c0aaf8d24f0ec7a4e4', '04746dc40e21401fb2c2c2cac6ac4bd9', 'False', 'True', 'false', 'false', '510722112492', 5, '崭山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722112492', 1, '2021-07-19 11:39:17', NULL, NULL), (8656, '', '红军村', '7f5a48728d5b41038f6626200328d9c7', '04746dc40e21401fb2c2c2cac6ac4bd9', 'False', 'True', 'false', 'false', '510722112979', 5, '红军村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722112979', 1, '2021-07-19 11:39:17', NULL, NULL), (8657, '', '桃园村', '3369c4bdbd7b4e6dbf6a2ee4ae9f43f9', '04746dc40e21401fb2c2c2cac6ac4bd9', 'False', 'True', 'false', 'false', '510722112372', 5, '桃园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722112372', 1, '2021-07-19 11:39:17', NULL, NULL), (8658, '', '新德社区', 'e2f6eeb116dc4bbcbccaf78eebcaabf5', '04746dc40e21401fb2c2c2cac6ac4bd9', 'False', 'True', 'false', 'false', '510722112471', 5, '新德社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722112471', 1, '2021-07-19 11:39:17', NULL, NULL), (8659, '', '福田村', '3e41cc1416dd405fb609c6cc07ed6a15', '04746dc40e21401fb2c2c2cac6ac4bd9', 'False', 'True', 'false', 'false', '510722112508', 5, '福田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722112508', 1, '2021-07-19 11:39:17', NULL, NULL), (8660, '', '富谷村', 'ffddc34203dc49f4956de075ebc9e2af', '04746dc40e21401fb2c2c2cac6ac4bd9', 'False', 'True', 'false', 'false', '510722112592', 5, '富谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722112592', 1, '2021-07-19 11:39:17', NULL, NULL), (8661, '', '新渡村', '1bd314db233c4bf485a975e87dfaf2f6', '04746dc40e21401fb2c2c2cac6ac4bd9', 'False', 'True', 'false', 'false', '510722112599', 5, '新渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722112599', 1, '2021-07-19 11:39:17', NULL, NULL), (8662, '', '新林村', 'e7762ba509494530a07c5460cbe20887', '04746dc40e21401fb2c2c2cac6ac4bd9', 'False', 'True', 'false', 'false', '510722112622', 5, '新林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722112622', 1, '2021-07-19 11:39:17', NULL, NULL), (8663, '', '长堰村', '3bff7e20072a4576987c09f5619648e1', '04746dc40e21401fb2c2c2cac6ac4bd9', 'False', 'True', 'false', 'false', '510722112866', 5, '长堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722112866', 1, '2021-07-19 11:39:17', NULL, NULL), (8664, '', '新生镇', '8c70658dd817497484eaf16be7deaee7', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722113000', 4, '新生镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722113000', 1, '2021-07-19 11:39:17', NULL, NULL), (8665, '', '曙光社区', '29b3d983ff2943528d8c321ca80952e7', '8c70658dd817497484eaf16be7deaee7', 'False', 'True', 'false', 'false', '510722113235', 5, '曙光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722113235', 1, '2021-07-19 11:39:17', NULL, NULL), (8666, '', '平桥村', 'ae0ad5ac0cda4db7aef807bbc640680b', '8c70658dd817497484eaf16be7deaee7', 'False', 'True', 'false', 'false', '510722113670', 5, '平桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722113670', 1, '2021-07-19 11:39:18', NULL, NULL), (8667, '', '联合村', '009753954b4f4c0782e62348a39d7fa2', '8c70658dd817497484eaf16be7deaee7', 'False', 'True', 'false', 'false', '510722113007', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722113007', 1, '2021-07-19 11:39:18', NULL, NULL), (8668, '', '德民村', '6a3fae11e8224ffea6319fd52bc9d7b1', '8c70658dd817497484eaf16be7deaee7', 'False', 'True', 'false', 'false', '510722113115', 5, '德民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722113115', 1, '2021-07-19 11:39:18', NULL, NULL), (8669, '', '龙河村', '05f1cd6b1e264895acb23184bfaf035d', '8c70658dd817497484eaf16be7deaee7', 'False', 'True', 'false', 'false', '510722113193', 5, '龙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722113193', 1, '2021-07-19 11:39:18', NULL, NULL), (8670, '', '长桥村', 'c7b3c4698b8b48ce93c63e2234e99663', '8c70658dd817497484eaf16be7deaee7', 'False', 'True', 'false', 'false', '510722113220', 5, '长桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722113220', 1, '2021-07-19 11:39:18', NULL, NULL), (8671, '', '太建村', '6eb50bb768ee4b4cbe6c97352949453f', '8c70658dd817497484eaf16be7deaee7', 'False', 'True', 'false', 'false', '510722113393', 5, '太建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722113393', 1, '2021-07-19 11:39:18', NULL, NULL), (8672, '', '金城村', 'b61dc529e06b474f87b496eeef9c06ab', '8c70658dd817497484eaf16be7deaee7', 'False', 'True', 'false', 'false', '510722113425', 5, '金城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722113425', 1, '2021-07-19 11:39:18', NULL, NULL), (8673, '', '永兴桥村', '95edfbe2dfc8433d8e31ac53bbe98bce', '8c70658dd817497484eaf16be7deaee7', 'False', 'True', 'false', 'false', '510722113520', 5, '永兴桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722113520', 1, '2021-07-19 11:39:18', NULL, NULL), (8674, '', '苏河村', '8e500decf2ad4f0fa07307ee0b3727a7', '8c70658dd817497484eaf16be7deaee7', 'False', 'True', 'false', 'false', '510722113587', 5, '苏河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722113587', 1, '2021-07-19 11:39:18', NULL, NULL), (8675, '', '桂林村', '743de0d0a3674a6dbd5e69e6a19e62cb', '8c70658dd817497484eaf16be7deaee7', 'False', 'True', 'false', 'false', '510722113677', 5, '桂林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722113677', 1, '2021-07-19 11:39:18', NULL, NULL), (8676, '', '新生社区', '9411500198cd4ce9ae76fa8e65f2cd1d', '8c70658dd817497484eaf16be7deaee7', 'False', 'True', 'false', 'false', '510722113732', 5, '新生社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722113732', 1, '2021-07-19 11:39:18', NULL, NULL), (8677, '', '双柏村', '60c4afcaccf946529c5bccf94f1901d6', '8c70658dd817497484eaf16be7deaee7', 'False', 'True', 'false', 'false', '510722113813', 5, '双柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722113813', 1, '2021-07-19 11:39:18', NULL, NULL), (8678, '', '百胜村', '3d831e64aa494e248751ac18374fe084', '8c70658dd817497484eaf16be7deaee7', 'False', 'True', 'false', 'false', '510722113922', 5, '百胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722113922', 1, '2021-07-19 11:39:18', NULL, NULL), (8679, '', '裕民村', '318765a45053475191fa7b62645288b8', '8c70658dd817497484eaf16be7deaee7', 'False', 'True', 'false', 'false', '510722113964', 5, '裕民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722113964', 1, '2021-07-19 11:39:18', NULL, NULL), (8680, '', '紫河镇', 'cb64f744e3134426bbf5f8130a28f568', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722116000', 4, '紫河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722116000', 1, '2021-07-19 11:39:18', NULL, NULL), (8681, '', '肖家沟村', 'cbedd35910f3458d850adaab0299f13e', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'False', 'false', 'false', '510722116007', 5, '肖家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116007', 1, '2021-07-19 11:39:18', NULL, NULL), (8682, '', '龙归寺村', 'd5610b47273745d4be00049fbbf35ae2', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'False', 'false', 'false', '510722116256', 5, '龙归寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116256', 1, '2021-07-19 11:39:18', NULL, NULL), (8683, '', '黄林湾村', 'd94d8e87cad949be9ce1b3f1aa83cee5', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'False', 'false', 'false', '510722116320', 5, '黄林湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116320', 1, '2021-07-19 11:39:18', NULL, NULL), (8684, '', '广利社区', '1f796a51140b4e66b9ca49f6ad0d5842', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'False', 'false', 'false', '510722116406', 5, '广利社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116406', 1, '2021-07-19 11:39:18', NULL, NULL), (8685, '', '冷家沟村', '1611131c263a42aa841be98b25511a5b', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'False', 'false', 'false', '510722116553', 5, '冷家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116553', 1, '2021-07-19 11:39:18', NULL, NULL), (8686, '', '红灯桥村', '083bea21861d4d8d9ad10c53470ecdeb', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'False', 'false', 'false', '510722116675', 5, '红灯桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116675', 1, '2021-07-19 11:39:18', NULL, NULL), (8687, '', '苏家沟村', '1f38c8660dae4c46981f810d4a391c28', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'False', 'false', 'false', '510722116778', 5, '苏家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116778', 1, '2021-07-19 11:39:18', NULL, NULL), (8688, '', '红花园村', 'e659b4e826984ad59707ec0ff7728c78', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'False', 'false', 'false', '510722116795', 5, '红花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116795', 1, '2021-07-19 11:39:19', NULL, NULL), (8689, '', '协和社区', 'f7a55b5cd73b4f39a52845aa8ca3e32e', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'False', 'false', 'false', '510722116825', 5, '协和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116825', 1, '2021-07-19 11:39:19', NULL, NULL), (8690, '', '来龙山村', '3e0c04aa7e5741af8cfa05e852e8afee', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'False', 'false', 'false', '510722116845', 5, '来龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116845', 1, '2021-07-19 11:39:19', NULL, NULL), (8691, '', '大胜寨村', '5fbf38d900d14b39acf245d9b7730499', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'False', 'false', 'false', '510722116929', 5, '大胜寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116929', 1, '2021-07-19 11:39:19', NULL, NULL), (8692, '', '何家沟村', 'cae782e59f13484abe8e849858b074e4', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'True', 'false', 'false', '510722116065', 5, '何家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116065', 1, '2021-07-19 11:39:19', NULL, NULL), (8693, '', '龙台寺村', '0569138f3afc456298ab967c005e4ef5', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'True', 'false', 'false', '510722116067', 5, '龙台寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116067', 1, '2021-07-19 11:39:19', NULL, NULL), (8694, '', '深垭井村', 'cd76be3adc354e5a83d271e26f154764', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'True', 'false', 'false', '510722116097', 5, '深垭井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116097', 1, '2021-07-19 11:39:19', NULL, NULL), (8695, '', '镇子桥村', '92b803bd27684f4385dd1bf8b993d5bf', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'True', 'false', 'false', '510722116259', 5, '镇子桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116259', 1, '2021-07-19 11:39:19', NULL, NULL), (8696, '', '紫河社区', 'df64883e2c2744e281c9a964696eb9c9', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'True', 'false', 'false', '510722116322', 5, '紫河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116322', 1, '2021-07-19 11:39:19', NULL, NULL), (8697, '', '秀才沟村', '4209573c7d0b4abbbb9e0725ddac8a88', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'True', 'false', 'false', '510722116630', 5, '秀才沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116630', 1, '2021-07-19 11:39:19', NULL, NULL), (8698, '', '河坝子村', 'be3efd15eb86464b84feb2ca1a86ed4e', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'True', 'false', 'false', '510722116752', 5, '河坝子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116752', 1, '2021-07-19 11:39:19', NULL, NULL), (8699, '', '石庄沟村', 'be057d5dc4654c7eb9b4400b8f30c320', 'cb64f744e3134426bbf5f8130a28f568', 'False', 'True', 'false', 'false', '510722116877', 5, '石庄沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722116877', 1, '2021-07-19 11:39:19', NULL, NULL), (8700, '', '观桥镇', '2dbf3b57ae3847f5bb64803f52c1fb92', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722118000', 4, '观桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722118000', 1, '2021-07-19 11:39:19', NULL, NULL), (8701, '', '菊河社区', 'accad3ca71bc4568babe5a1ee47d7c9d', '2dbf3b57ae3847f5bb64803f52c1fb92', 'False', 'True', 'false', 'false', '510722118224', 5, '菊河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722118224', 1, '2021-07-19 11:39:19', NULL, NULL), (8702, '', '同春村', '3ed012271cc3405f8b4321865894e309', '2dbf3b57ae3847f5bb64803f52c1fb92', 'False', 'True', 'false', 'false', '510722118278', 5, '同春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722118278', 1, '2021-07-19 11:39:19', NULL, NULL), (8703, '', '皇城寺村', 'aa64b5df4bd24c2c98077b7df380c1a7', '2dbf3b57ae3847f5bb64803f52c1fb92', 'False', 'True', 'false', 'false', '510722118688', 5, '皇城寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722118688', 1, '2021-07-19 11:39:19', NULL, NULL), (8704, '', '望君村', '9fa2acd6b1924ce7ada3705ee88ec420', '2dbf3b57ae3847f5bb64803f52c1fb92', 'False', 'True', 'false', 'false', '510722118984', 5, '望君村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722118984', 1, '2021-07-19 11:39:20', NULL, NULL), (8705, '', '湘江村', 'ae30fc3f20b64a96a24bea2dc5f5edb5', '2dbf3b57ae3847f5bb64803f52c1fb92', 'False', 'True', 'false', 'false', '510722118070', 5, '湘江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722118070', 1, '2021-07-19 11:39:20', NULL, NULL), (8706, '', '观音桥社区', 'cc24a0e20ee64315a2e58b9bd84197db', '2dbf3b57ae3847f5bb64803f52c1fb92', 'False', 'True', 'false', 'false', '510722118108', 5, '观音桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722118108', 1, '2021-07-19 11:39:20', NULL, NULL), (8707, '', '金鸭坡村', 'f8478918cd3a4dbaa99cb9b26e1c396c', '2dbf3b57ae3847f5bb64803f52c1fb92', 'False', 'True', 'false', 'false', '510722118116', 5, '金鸭坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722118116', 1, '2021-07-19 11:39:20', NULL, NULL), (8708, '', '方园村', 'fd49b3f157014e8aa10463ce366ae45c', '2dbf3b57ae3847f5bb64803f52c1fb92', 'False', 'True', 'false', 'false', '510722118293', 5, '方园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722118293', 1, '2021-07-19 11:39:20', NULL, NULL), (8709, '', '万福村', 'ef88a7d7bb9a4c9db6d55b456104535a', '2dbf3b57ae3847f5bb64803f52c1fb92', 'False', 'True', 'false', 'false', '510722118295', 5, '万福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722118295', 1, '2021-07-19 11:39:20', NULL, NULL), (8710, '', '平安村', '386b4bdb59e84c638adbd614e6af05f6', '2dbf3b57ae3847f5bb64803f52c1fb92', 'False', 'True', 'false', 'false', '510722118350', 5, '平安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722118350', 1, '2021-07-19 11:39:20', NULL, NULL), (8711, '', '梓楠村', 'db85721217874aba9d64455ec6275162', '2dbf3b57ae3847f5bb64803f52c1fb92', 'False', 'True', 'false', 'false', '510722118387', 5, '梓楠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722118387', 1, '2021-07-19 11:39:20', NULL, NULL), (8712, '', '十里桥村', 'eac60a7247694169accbe8625b943db6', '2dbf3b57ae3847f5bb64803f52c1fb92', 'False', 'True', 'false', 'false', '510722118477', 5, '十里桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722118477', 1, '2021-07-19 11:39:20', NULL, NULL), (8713, '', '大塘村', '35204af26a5c4797a3f23396828acd61', '2dbf3b57ae3847f5bb64803f52c1fb92', 'False', 'True', 'false', 'false', '510722118486', 5, '大塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722118486', 1, '2021-07-19 11:39:20', NULL, NULL), (8714, '', '方侧村', 'eaad26d32f794de1ad6d3d09615abe9c', '2dbf3b57ae3847f5bb64803f52c1fb92', 'False', 'True', 'false', 'false', '510722118605', 5, '方侧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722118605', 1, '2021-07-19 11:39:20', NULL, NULL), (8715, '', '天登村', 'd605c7bbfb1c451aa2b2bc8ad668485a', '2dbf3b57ae3847f5bb64803f52c1fb92', 'False', 'True', 'false', 'false', '510722118622', 5, '天登村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722118622', 1, '2021-07-19 11:39:20', NULL, NULL), (8716, '', '观桥村', '1219948ee0ca4e76a80bc888176c64f6', '2dbf3b57ae3847f5bb64803f52c1fb92', 'False', 'True', 'false', 'false', '510722118655', 5, '观桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722118655', 1, '2021-07-19 11:39:20', NULL, NULL), (8717, '', '围杆村', '671cc05e273b42fdbb93b5f5c49ffe77', '2dbf3b57ae3847f5bb64803f52c1fb92', 'False', 'True', 'false', 'false', '510722118782', 5, '围杆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722118782', 1, '2021-07-19 11:39:20', NULL, NULL), (8718, '', '碧波村', 'bc616f9ca70d4515bb232ab76fd5e6a1', '2dbf3b57ae3847f5bb64803f52c1fb92', 'False', 'True', 'false', 'false', '510722118954', 5, '碧波村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722118954', 1, '2021-07-19 11:39:20', NULL, NULL), (8719, '', '郪江镇', 'a995a586dda54fd294bcc4755cfb86db', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722119000', 4, '郪江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722119000', 1, '2021-07-19 11:39:20', NULL, NULL), (8720, '', '玉江村', 'a062341761fa4c2693ec8bd988bc379c', 'a995a586dda54fd294bcc4755cfb86db', 'False', 'True', 'false', 'false', '510722119015', 5, '玉江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722119015', 1, '2021-07-19 11:39:20', NULL, NULL), (8721, '', '舒家河村', 'd0f32eb3672c461aa9688b1d505eac3c', 'a995a586dda54fd294bcc4755cfb86db', 'False', 'True', 'false', 'false', '510722119057', 5, '舒家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722119057', 1, '2021-07-19 11:39:20', NULL, NULL), (8722, '', '明月村', '574b387ac31d457b86c9a3ce38b332e2', 'a995a586dda54fd294bcc4755cfb86db', 'False', 'True', 'false', 'false', '510722119067', 5, '明月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722119067', 1, '2021-07-19 11:39:20', NULL, NULL), (8723, '', '大佛寺村', 'f43012fa8b8d445eaaeac411640804a9', 'a995a586dda54fd294bcc4755cfb86db', 'False', 'True', 'false', 'false', '510722119124', 5, '大佛寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722119124', 1, '2021-07-19 11:39:21', NULL, NULL), (8724, '', '星月村', 'e37dd6085ad64fa0bda3c5d1b9890d5e', 'a995a586dda54fd294bcc4755cfb86db', 'False', 'True', 'false', 'false', '510722119246', 5, '星月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722119246', 1, '2021-07-19 11:39:21', NULL, NULL), (8725, '', '永丰社区', 'c78c10c54da34403b8c5eaf1c1e9564a', 'a995a586dda54fd294bcc4755cfb86db', 'False', 'True', 'false', 'false', '510722119297', 5, '永丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722119297', 1, '2021-07-19 11:39:21', NULL, NULL), (8726, '', '鱼洞村', '9a956555e99f48a1aefc7f3e95cf6c83', 'a995a586dda54fd294bcc4755cfb86db', 'False', 'True', 'false', 'false', '510722119327', 5, '鱼洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722119327', 1, '2021-07-19 11:39:21', NULL, NULL), (8727, '', '宝泉村', '2db275a45d1549d79a49941feafd8bca', 'a995a586dda54fd294bcc4755cfb86db', 'False', 'True', 'false', 'false', '510722119356', 5, '宝泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722119356', 1, '2021-07-19 11:39:21', NULL, NULL), (8728, '', '云台村', 'f9a6b4d91d6c42d9bb638a10014cfa96', 'a995a586dda54fd294bcc4755cfb86db', 'False', 'True', 'false', 'false', '510722119452', 5, '云台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722119452', 1, '2021-07-19 11:39:21', NULL, NULL), (8729, '', '花棚村', '6192b8b93ecf4e2f987082df74e123cd', 'a995a586dda54fd294bcc4755cfb86db', 'False', 'True', 'false', 'false', '510722119454', 5, '花棚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722119454', 1, '2021-07-19 11:39:21', NULL, NULL), (8730, '', '梨子园村', '96684f9354aa4e7ca53c7486e8a79799', 'a995a586dda54fd294bcc4755cfb86db', 'False', 'True', 'false', 'false', '510722119480', 5, '梨子园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722119480', 1, '2021-07-19 11:39:21', NULL, NULL), (8731, '', '安居社区', 'af52bf10a47648a09832d85687d47a62', 'a995a586dda54fd294bcc4755cfb86db', 'False', 'True', 'false', 'false', '510722119808', 5, '安居社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722119808', 1, '2021-07-19 11:39:21', NULL, NULL), (8732, '', '庙进村', '359202c24a0742b2a4d68b395190c56f', 'a995a586dda54fd294bcc4755cfb86db', 'False', 'True', 'false', 'false', '510722119838', 5, '庙进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722119838', 1, '2021-07-19 11:39:21', NULL, NULL), (8733, '', '郪王社区', 'ba6544455a4949ec88cf3b3c16e33498', 'a995a586dda54fd294bcc4755cfb86db', 'False', 'True', 'false', 'false', '510722119841', 5, '郪王社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722119841', 1, '2021-07-19 11:39:21', NULL, NULL), (8734, '', '中新镇', '28de9091b1de4d43971937712cc2f907', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722120000', 4, '中新镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722120000', 1, '2021-07-19 11:39:21', NULL, NULL), (8735, '', '天府村', '875f2025176544fab4cbeaa832d08db0', '28de9091b1de4d43971937712cc2f907', 'False', 'True', 'false', 'false', '510722120232', 5, '天府村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722120232', 1, '2021-07-19 11:39:21', NULL, NULL), (8736, '', '乐加社区', '65d1d9a246c34212afbddf3725844f38', '28de9091b1de4d43971937712cc2f907', 'False', 'True', 'false', 'false', '510722120354', 5, '乐加社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722120354', 1, '2021-07-19 11:39:21', NULL, NULL), (8737, '', '大众村', '949baffed5064a4593f00faf7993867d', '28de9091b1de4d43971937712cc2f907', 'False', 'True', 'false', 'false', '510722120379', 5, '大众村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722120379', 1, '2021-07-19 11:39:21', NULL, NULL), (8738, '', '来福村', '4cff91f7137d4af98631e4eb61ddbf84', '28de9091b1de4d43971937712cc2f907', 'False', 'True', 'false', 'false', '510722120462', 5, '来福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722120462', 1, '2021-07-19 11:39:21', NULL, NULL), (8739, '', '广林村', 'a73cddca253d421187aa0e47e3d5376f', '28de9091b1de4d43971937712cc2f907', 'False', 'True', 'false', 'false', '510722120577', 5, '广林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722120577', 1, '2021-07-19 11:39:21', NULL, NULL), (8740, '', '金鸡村', 'c2a612ab81774edf87f526af55036cec', '28de9091b1de4d43971937712cc2f907', 'False', 'True', 'false', 'false', '510722120961', 5, '金鸡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722120961', 1, '2021-07-19 11:39:21', NULL, NULL), (8741, '', '高新村', 'ad52e022af6244b69dbd748c35329417', '28de9091b1de4d43971937712cc2f907', 'False', 'True', 'false', 'false', '510722120282', 5, '高新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722120282', 1, '2021-07-19 11:39:22', NULL, NULL), (8742, '', '安乐村', 'd50da5553dc34d3da29cf0935b35d7ef', '28de9091b1de4d43971937712cc2f907', 'False', 'True', 'false', 'false', '510722120605', 5, '安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722120605', 1, '2021-07-19 11:39:22', NULL, NULL), (8743, '', '五碑村', '1568288ec7e746aeb88e4cfe6c749a91', '28de9091b1de4d43971937712cc2f907', 'False', 'True', 'false', 'false', '510722120609', 5, '五碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722120609', 1, '2021-07-19 11:39:22', NULL, NULL), (8744, '', '大林村', 'f0bb5e3687aa49e0beae52cf4403a4d0', '28de9091b1de4d43971937712cc2f907', 'False', 'True', 'false', 'false', '510722120623', 5, '大林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722120623', 1, '2021-07-19 11:39:22', NULL, NULL), (8745, '', '金钩村', '52bcf6528d304d0c89280b55ab73fe06', '28de9091b1de4d43971937712cc2f907', 'False', 'True', 'false', 'false', '510722120688', 5, '金钩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722120688', 1, '2021-07-19 11:39:22', NULL, NULL), (8746, '', '中新社区', '5049a9db2560401fa3202e738200f77b', '28de9091b1de4d43971937712cc2f907', 'False', 'True', 'false', 'false', '510722120807', 5, '中新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722120807', 1, '2021-07-19 11:39:22', NULL, NULL), (8747, '', '革新村', 'd668be02b16948f8a2f996323371f440', '28de9091b1de4d43971937712cc2f907', 'False', 'True', 'false', 'false', '510722120817', 5, '革新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722120817', 1, '2021-07-19 11:39:22', NULL, NULL), (8748, '', '古井镇', 'f5de00ca4c864e3fb449cbc044a0e96a', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722121000', 4, '古井镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722121000', 1, '2021-07-19 11:39:22', NULL, NULL), (8749, '', '红旗村', '9a2205911b70453c9253930b01552fa3', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'False', 'false', 'false', '510722121059', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121059', 1, '2021-07-19 11:39:22', NULL, NULL), (8750, '', '万安场社区', 'bc08e0456a024313b40ef69670a3e975', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'False', 'false', 'false', '510722121146', 5, '万安场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121146', 1, '2021-07-19 11:39:22', NULL, NULL), (8751, '', '下新社区', '8ed03393f0ab4b2591febb6b756fc84d', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'False', 'false', 'false', '510722121357', 5, '下新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121357', 1, '2021-07-19 11:39:22', NULL, NULL), (8752, '', '盐井沟村', '3e38501fde8f47009142b2ec09ff8bf1', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'False', 'false', 'false', '510722121569', 5, '盐井沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121569', 1, '2021-07-19 11:39:22', NULL, NULL), (8753, '', '双江村', '0f69874f4904412396f8ff2e58f221bc', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'False', 'false', 'false', '510722121626', 5, '双江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121626', 1, '2021-07-19 11:39:22', NULL, NULL), (8754, '', '凉水井村', 'c7a0f242066c463fb43c2470140fd772', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'False', 'false', 'false', '510722121757', 5, '凉水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121757', 1, '2021-07-19 11:39:22', NULL, NULL), (8755, '', '大林湾村', '7682a95ba4f64a70aba94f904e218167', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'False', 'false', 'false', '510722121784', 5, '大林湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121784', 1, '2021-07-19 11:39:22', NULL, NULL), (8756, '', '五星村', '208d8b1ed82b4e7c86e9b2617ebe2bf8', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'False', 'false', 'false', '510722121797', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121797', 1, '2021-07-19 11:39:22', NULL, NULL), (8757, '', '团结村', '2cb9a819bcda40afa7d93c5b375b0800', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'False', 'false', 'false', '510722121969', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121969', 1, '2021-07-19 11:39:22', NULL, NULL), (8758, '', '古井村', '71d395d6acd947cb978b983dff7c2339', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'True', 'false', 'false', '510722121118', 5, '古井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121118', 1, '2021-07-19 11:39:22', NULL, NULL), (8759, '', '锁泉村', 'fc216e3de4ed465b98898a962a9a6749', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'True', 'false', 'false', '510722121141', 5, '锁泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121141', 1, '2021-07-19 11:39:22', NULL, NULL), (8760, '', '枣林村', '4eef2fad2bc145bfb467890f854d2c73', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'True', 'false', 'false', '510722121170', 5, '枣林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121170', 1, '2021-07-19 11:39:22', NULL, NULL), (8761, '', '古井场社区', '1123b8134e0449eba26a40c96df24c18', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'True', 'false', 'false', '510722121206', 5, '古井场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121206', 1, '2021-07-19 11:39:22', NULL, NULL), (8762, '', '桐麻湾村', 'db83949021a94314a55abe3c025199af', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'True', 'false', 'false', '510722121245', 5, '桐麻湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121245', 1, '2021-07-19 11:39:22', NULL, NULL), (8763, '', '天星磨村', 'a47b348a5dfe466b9c443bf3392578ff', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'True', 'false', 'false', '510722121345', 5, '天星磨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121345', 1, '2021-07-19 11:39:22', NULL, NULL), (8764, '', '响水村', 'd1e4b565a50245c69515a150d4b924ec', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'True', 'false', 'false', '510722121485', 5, '响水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121485', 1, '2021-07-19 11:39:22', NULL, NULL), (8765, '', '黑柏林村', '265512026c684d3bb113c4538227cc29', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'True', 'false', 'false', '510722121545', 5, '黑柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121545', 1, '2021-07-19 11:39:22', NULL, NULL), (8766, '', '草帽河村', '704e864841e04301a52ee408a378f034', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'True', 'false', 'false', '510722121611', 5, '草帽河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121611', 1, '2021-07-19 11:39:23', NULL, NULL), (8767, '', '凯江村', '5ad82c6168104fabb7f6156a94f779e4', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'True', 'false', 'false', '510722121857', 5, '凯江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121857', 1, '2021-07-19 11:39:23', NULL, NULL), (8768, '', '邱碑村', '6c8f29851ce746e99ee424f39e3e1b6f', 'f5de00ca4c864e3fb449cbc044a0e96a', 'False', 'True', 'false', 'false', '510722121987', 5, '邱碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722121987', 1, '2021-07-19 11:39:23', NULL, NULL), (8769, '', '西平镇', '2ae618090e6649a09acdba0c844e6030', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722123000', 4, '西平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722123000', 1, '2021-07-19 11:39:23', NULL, NULL), (8770, '', '上新社区', '34a0efd6d88249e1a2db1f2fff3bb407', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123014', 5, '上新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123014', 1, '2021-07-19 11:39:23', NULL, NULL), (8771, '', '凯河社区', '4f08ae2ca7484a55bc652fc33fb0a5b9', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123038', 5, '凯河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123038', 1, '2021-07-19 11:39:23', NULL, NULL), (8772, '', '活力村', 'cfd50053d9e748f4ae1f0e38e104c566', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123042', 5, '活力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123042', 1, '2021-07-19 11:39:23', NULL, NULL), (8773, '', '瑞星社区', '782e2bac45314422b9f864a7ab9d33c7', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123100', 5, '瑞星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123100', 1, '2021-07-19 11:39:23', NULL, NULL), (8774, '', '上河村', 'fceb2ee9023742e0af80c6e1b03f7cb6', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123188', 5, '上河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123188', 1, '2021-07-19 11:39:23', NULL, NULL), (8775, '', '柑子园村', '84d317e50fdf4273aa190d4b9195f3b0', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123203', 5, '柑子园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123203', 1, '2021-07-19 11:39:23', NULL, NULL), (8776, '', '麻石桥村', 'b613352381bd4840bee86af25550e517', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123221', 5, '麻石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123221', 1, '2021-07-19 11:39:23', NULL, NULL), (8777, '', '五一桥村', 'bcb4858dff2f4a64b843c493d38752e2', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123263', 5, '五一桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123263', 1, '2021-07-19 11:39:23', NULL, NULL), (8778, '', '风吹树村', 'e5190b7d391f494cb489ca9cc4b036e7', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123273', 5, '风吹树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123273', 1, '2021-07-19 11:39:23', NULL, NULL), (8779, '', '高运柏村', '9089479013d14b259a5f8f63db2ce98c', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123287', 5, '高运柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123287', 1, '2021-07-19 11:39:23', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (8780, '', '西蜀社区', 'e33ffbc4ba994d25bc8cebfc82bcdc9e', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123369', 5, '西蜀社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123369', 1, '2021-07-19 11:39:23', NULL, NULL), (8781, '', '磨口村', '102ac31d8cbd4c2f9b3fa67e648b1c48', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123474', 5, '磨口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123474', 1, '2021-07-19 11:39:23', NULL, NULL), (8782, '', '橙子梁村', '9f1d17252bec454b9e84a9a147503b17', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123478', 5, '橙子梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123478', 1, '2021-07-19 11:39:23', NULL, NULL), (8783, '', '建林驿村', 'caf8172ddbff41a1854afd24ce4734c8', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123488', 5, '建林驿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123488', 1, '2021-07-19 11:39:23', NULL, NULL), (8784, '', '石笋村', '0fdc4694d06c46789980d375b9cf4f93', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123507', 5, '石笋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123507', 1, '2021-07-19 11:39:24', NULL, NULL), (8785, '', '核桃沟村', '65392d5e2fa44748959a870d6c0eab9d', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123547', 5, '核桃沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123547', 1, '2021-07-19 11:39:24', NULL, NULL), (8786, '', '跃进村', 'b2dea642d62442eb8856f0e8d6aba8a0', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123615', 5, '跃进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123615', 1, '2021-07-19 11:39:24', NULL, NULL), (8787, '', '响石板村', '1165f1eb8c254dbd80e6fc3c7cdea63e', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123679', 5, '响石板村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123679', 1, '2021-07-19 11:39:24', NULL, NULL), (8788, '', '老龙观村', 'c6892d6a133c4fd892822261633fcc69', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123758', 5, '老龙观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123758', 1, '2021-07-19 11:39:24', NULL, NULL), (8789, '', '马房楼村', '66f9bc8d7d5d43fe984a36e91332e697', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123817', 5, '马房楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123817', 1, '2021-07-19 11:39:24', NULL, NULL), (8790, '', '方子堰村', 'd916e471fc774d0198e513c0f5a638a1', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123835', 5, '方子堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123835', 1, '2021-07-19 11:39:24', NULL, NULL), (8791, '', '观音场社区', '5c8a322277884f66affba648962c8772', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123985', 5, '观音场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123985', 1, '2021-07-19 11:39:24', NULL, NULL), (8792, '', '朱君村', '467481077aec475dbca653b19a519874', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123996', 5, '朱君村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123996', 1, '2021-07-19 11:39:24', NULL, NULL), (8793, '', '白雀寺村', 'd390ecb4de7c4c49b053d0f5da510e06', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123153', 5, '白雀寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123153', 1, '2021-07-19 11:39:24', NULL, NULL), (8794, '', '红梁村', 'aa87c0d4f5a9484191417890e3d8c466', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123403', 5, '红梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123403', 1, '2021-07-19 11:39:24', NULL, NULL), (8795, '', '白庙嘴村', '8fccb3740f0e4c6bb5a854b80324db0d', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123534', 5, '白庙嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123534', 1, '2021-07-19 11:39:24', NULL, NULL), (8796, '', '金星村', '068f5b232a8745ff8aa876f544814ef1', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123565', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123565', 1, '2021-07-19 11:39:24', NULL, NULL), (8797, '', '金桥村', 'a9113c4ad9af49c9a190895323dde0fc', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123619', 5, '金桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123619', 1, '2021-07-19 11:39:24', NULL, NULL), (8798, '', '新庙村', '1410c638bc384ca9863bdf402c052477', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123970', 5, '新庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123970', 1, '2021-07-19 11:39:24', NULL, NULL), (8799, '', '狮王村', '2d2dd770ff1e41f99e5900ed8406bb2c', '2ae618090e6649a09acdba0c844e6030', 'False', 'True', 'false', 'false', '510722123999', 5, '狮王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722123999', 1, '2021-07-19 11:39:24', NULL, NULL), (8800, '', '八洞镇', '91f593122643445b9ea96e1524a5a1bf', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722124000', 4, '八洞镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722124000', 1, '2021-07-19 11:39:24', NULL, NULL), (8801, '', '张桥村', '17c923debc87455a87c6743519afe903', '91f593122643445b9ea96e1524a5a1bf', 'False', 'True', 'false', 'false', '510722124211', 5, '张桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722124211', 1, '2021-07-19 11:39:25', NULL, NULL), (8802, '', '龙宝山村', 'c2e1a8a4bcc94e318ba6b006e5fb44ff', '91f593122643445b9ea96e1524a5a1bf', 'False', 'True', 'false', 'false', '510722124273', 5, '龙宝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722124273', 1, '2021-07-19 11:39:25', NULL, NULL), (8803, '', '鹤嘴村', '21aedc7ffa7a4c93b2a640f4079c6f9f', '91f593122643445b9ea96e1524a5a1bf', 'False', 'True', 'false', 'false', '510722124283', 5, '鹤嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722124283', 1, '2021-07-19 11:39:25', NULL, NULL), (8804, '', '八洞镇八洞场社区', '3a57a9858a3b4762a615a109613cd2db', '91f593122643445b9ea96e1524a5a1bf', 'False', 'True', 'false', 'false', '510722124382', 5, '八洞场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722124382', 1, '2021-07-19 11:39:25', NULL, NULL), (8805, '', '天官堂村', 'e866d4ff73d544c19cfcfa47c0e44703', '91f593122643445b9ea96e1524a5a1bf', 'False', 'True', 'false', 'false', '510722124391', 5, '天官堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722124391', 1, '2021-07-19 11:39:25', NULL, NULL), (8806, '', '八洞村', '917b0c8bf95a44ddb5cbfb11827a3dbf', '91f593122643445b9ea96e1524a5a1bf', 'False', 'True', 'false', 'false', '510722124462', 5, '八洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722124462', 1, '2021-07-19 11:39:25', NULL, NULL), (8807, '', '书房村', '9cd72e670b914e28901280703bd5d01c', '91f593122643445b9ea96e1524a5a1bf', 'False', 'True', 'false', 'false', '510722124632', 5, '书房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722124632', 1, '2021-07-19 11:39:25', NULL, NULL), (8808, '', '柏山村', 'e7cb76a0f3ef4f688005f7d1dd4c0ed3', '91f593122643445b9ea96e1524a5a1bf', 'False', 'True', 'false', 'false', '510722124740', 5, '柏山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722124740', 1, '2021-07-19 11:39:25', NULL, NULL), (8809, '', '建平镇', '83974a5e35ac41eb869ca494ea6fae74', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722127000', 4, '建平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722127000', 1, '2021-07-19 11:39:25', NULL, NULL), (8810, '', '寺垭口村', '5db20262d7fe4927bdd785ab31e5a3d3', '83974a5e35ac41eb869ca494ea6fae74', 'False', 'True', 'false', 'false', '510722127068', 5, '寺垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722127068', 1, '2021-07-19 11:39:25', NULL, NULL), (8811, '', '五根松村', '115c1d7a062d4a1ab6862d8f6b669e06', '83974a5e35ac41eb869ca494ea6fae74', 'False', 'True', 'false', 'false', '510722127668', 5, '五根松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722127668', 1, '2021-07-19 11:39:25', NULL, NULL), (8812, '', '前锋社区', '75089551f9344d46a4f8e7cb32402c3d', '83974a5e35ac41eb869ca494ea6fae74', 'False', 'True', 'false', 'false', '510722127768', 5, '前锋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722127768', 1, '2021-07-19 11:39:25', NULL, NULL), (8813, '', '金龟村', '8e5f9f5aa5ae44d582c94dfef87efcd5', '83974a5e35ac41eb869ca494ea6fae74', 'False', 'True', 'false', 'false', '510722127880', 5, '金龟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722127880', 1, '2021-07-19 11:39:25', NULL, NULL), (8814, '', '杨五沟村', 'e758920064bb4eb2a869cc246e97044b', '83974a5e35ac41eb869ca494ea6fae74', 'False', 'True', 'false', 'false', '510722127922', 5, '杨五沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722127922', 1, '2021-07-19 11:39:25', NULL, NULL), (8815, '', '长征村', 'cdc2ce452c8b44109d54dd104008c6ff', '83974a5e35ac41eb869ca494ea6fae74', 'False', 'True', 'false', 'false', '510722127099', 5, '长征村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722127099', 1, '2021-07-19 11:39:25', NULL, NULL), (8816, '', '温家河村', '027c4289d1f54cc2a10c64d62d5c82c2', '83974a5e35ac41eb869ca494ea6fae74', 'False', 'True', 'false', 'false', '510722127162', 5, '温家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722127162', 1, '2021-07-19 11:39:25', NULL, NULL), (8817, '', '四季村', '3ad110048b144a1abfbab47b402728b3', '83974a5e35ac41eb869ca494ea6fae74', 'False', 'True', 'false', 'false', '510722127316', 5, '四季村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722127316', 1, '2021-07-19 11:39:25', NULL, NULL), (8818, '', '红星场社区', 'f3afb100603441b1815b69f5cebbc6c1', '83974a5e35ac41eb869ca494ea6fae74', 'False', 'True', 'false', 'false', '510722127399', 5, '红星场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722127399', 1, '2021-07-19 11:39:26', NULL, NULL), (8819, '', '建平社区', '55531979f0f54f84a9ebe487195ddf6a', '83974a5e35ac41eb869ca494ea6fae74', 'False', 'True', 'false', 'false', '510722127492', 5, '建平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722127492', 1, '2021-07-19 11:39:26', NULL, NULL), (8820, '', '栖凤村', '1dd46366ba2d4742834b081fcd8305e2', '83974a5e35ac41eb869ca494ea6fae74', 'False', 'True', 'false', 'false', '510722127501', 5, '栖凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722127501', 1, '2021-07-19 11:39:26', NULL, NULL), (8821, '', '芝麻村', '5cbc5a47cec6431d9b30b5209fb7fdf7', '83974a5e35ac41eb869ca494ea6fae74', 'False', 'True', 'false', 'false', '510722127718', 5, '芝麻村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722127718', 1, '2021-07-19 11:39:26', NULL, NULL), (8822, '', '玉皇村', '40c25975022642e68b1a4deef0f634ef', '83974a5e35ac41eb869ca494ea6fae74', 'False', 'True', 'false', 'false', '510722127771', 5, '玉皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722127771', 1, '2021-07-19 11:39:26', NULL, NULL), (8823, '', '大湾村', '329fcdc7183f4fad9636edb8a5a005c5', '83974a5e35ac41eb869ca494ea6fae74', 'False', 'True', 'false', 'false', '510722127972', 5, '大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722127972', 1, '2021-07-19 11:39:26', NULL, NULL), (8824, '', '中太镇', 'c3e97e063a014c08b9fdf17c3e2f7af4', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722131000', 4, '中太镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722131000', 1, '2021-07-19 11:39:26', NULL, NULL), (8825, '', '长乐村', '96876a0b8d7b49d29210d30526abd579', 'c3e97e063a014c08b9fdf17c3e2f7af4', 'False', 'False', 'false', 'false', '510722131470', 5, '长乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722131470', 1, '2021-07-19 11:39:26', NULL, NULL), (8826, '', '山鹰村', 'e716d608dddc401a8ec50eb3b7b1c2f9', 'c3e97e063a014c08b9fdf17c3e2f7af4', 'False', 'False', 'false', 'false', '510722131717', 5, '山鹰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722131717', 1, '2021-07-19 11:39:26', NULL, NULL), (8827, '', '中太村', '744eac730ac44834aadd7f271ff551eb', 'c3e97e063a014c08b9fdf17c3e2f7af4', 'False', 'True', 'false', 'false', '510722131131', 5, '中太村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722131131', 1, '2021-07-19 11:39:26', NULL, NULL), (8828, '', '鞍子村', 'd4442a838d25406aa89f73bba1577a8c', 'c3e97e063a014c08b9fdf17c3e2f7af4', 'False', 'True', 'false', 'false', '510722131148', 5, '鞍子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722131148', 1, '2021-07-19 11:39:26', NULL, NULL), (8829, '', '禹王村', '6095e19196b1432a849f7f02c3bbe34c', 'c3e97e063a014c08b9fdf17c3e2f7af4', 'False', 'True', 'false', 'false', '510722131206', 5, '禹王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722131206', 1, '2021-07-19 11:39:26', NULL, NULL), (8830, '', '七一村', '01fb32e15c2d4bc3b7ae562eb3335209', 'c3e97e063a014c08b9fdf17c3e2f7af4', 'False', 'True', 'false', 'false', '510722131338', 5, '七一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722131338', 1, '2021-07-19 11:39:26', NULL, NULL), (8831, '', '陈家庙', 'afd61175870549109ba03b032ab5ff04', 'c3e97e063a014c08b9fdf17c3e2f7af4', 'False', 'True', 'false', 'false', '510722131364', 5, '陈家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722131364', 1, '2021-07-19 11:39:26', NULL, NULL), (8832, '', '猫儿沟村', '591eeca2cdde4b19aebe542eeb49102c', 'c3e97e063a014c08b9fdf17c3e2f7af4', 'False', 'True', 'false', 'false', '510722131841', 5, '猫儿沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722131841', 1, '2021-07-19 11:39:26', NULL, NULL), (8833, '', '中太场社区', '0a6a2e6893a34ff68fe06e2c8e2810c0', 'c3e97e063a014c08b9fdf17c3e2f7af4', 'False', 'True', 'false', 'false', '510722131864', 5, '中太场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722131864', 1, '2021-07-19 11:39:27', NULL, NULL), (8834, '', '邹家寨村', '0b61f01e3105453c8ca9510f78e4e744', 'c3e97e063a014c08b9fdf17c3e2f7af4', 'False', 'True', 'false', 'false', '510722131883', 5, '邹家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722131883', 1, '2021-07-19 11:39:27', NULL, NULL), (8835, '', '金石镇', '7090e0f20d804105b416984cf2e2f8f2', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722132000', 4, '金石镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722132000', 1, '2021-07-19 11:39:27', NULL, NULL), (8836, '', '黎曙社区', '7216e35d9a034c87b699eb912a268059', '7090e0f20d804105b416984cf2e2f8f2', 'False', 'True', 'false', 'false', '510722132064', 5, '黎曙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722132064', 1, '2021-07-19 11:39:27', NULL, NULL), (8837, '', '寨山村', '5c90abdcef1f404baabb2270e63c9e86', '7090e0f20d804105b416984cf2e2f8f2', 'False', 'False', 'false', 'false', '510722132086', 5, '寨山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722132086', 1, '2021-07-19 11:39:27', NULL, NULL), (8838, '', '土城村', 'de4f6b291acb4b4ea3486e8ce6284593', '7090e0f20d804105b416984cf2e2f8f2', 'False', 'True', 'false', 'false', '510722132131', 5, '土城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722132131', 1, '2021-07-19 11:39:27', NULL, NULL), (8839, '', '黎福村', '9a66e5f619cb45c3b32e6f89b5611997', '7090e0f20d804105b416984cf2e2f8f2', 'False', 'True', 'false', 'false', '510722132643', 5, '黎福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722132643', 1, '2021-07-19 11:39:27', NULL, NULL), (8840, '', '翠湖村', 'ad353c948a6947e2bbbb0bba56939020', '7090e0f20d804105b416984cf2e2f8f2', 'False', 'True', 'false', 'false', '510722132709', 5, '翠湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722132709', 1, '2021-07-19 11:39:27', NULL, NULL), (8841, '', '新安村', '373ffba2560446479475054ff2498ac5', '7090e0f20d804105b416984cf2e2f8f2', 'False', 'True', 'false', 'false', '510722132023', 5, '新安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722132023', 1, '2021-07-19 11:39:27', NULL, NULL), (8842, '', '泉源村', '7789edb2968649a5a2ad73964b30eb75', '7090e0f20d804105b416984cf2e2f8f2', 'False', 'True', 'false', 'false', '510722132065', 5, '泉源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722132065', 1, '2021-07-19 11:39:27', NULL, NULL), (8843, '', '金石社区', 'd9a577e1d5b441d19d57c1b6cc913702', '7090e0f20d804105b416984cf2e2f8f2', 'False', 'True', 'false', 'false', '510722132082', 5, '金石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722132082', 1, '2021-07-19 11:39:27', NULL, NULL), (8844, '', '蟠桥村', '1c16e0ab0bad4893a285d9a4b4e8dde3', '7090e0f20d804105b416984cf2e2f8f2', 'False', 'True', 'false', 'false', '510722132319', 5, '蟠桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722132319', 1, '2021-07-19 11:39:27', NULL, NULL), (8845, '', '友谊村', '369ca3a02d604240b9f4a5b5c5f32ac2', '7090e0f20d804105b416984cf2e2f8f2', 'False', 'True', 'false', 'false', '510722132396', 5, '友谊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722132396', 1, '2021-07-19 11:39:27', NULL, NULL), (8846, '', '元山村', '0b54a522fea6476bbdaa08096aa12a5b', '7090e0f20d804105b416984cf2e2f8f2', 'False', 'True', 'false', 'false', '510722132553', 5, '元山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722132553', 1, '2021-07-19 11:39:27', NULL, NULL), (8847, '', '三秀村', 'e39ea065299e46adaf397411016ea778', '7090e0f20d804105b416984cf2e2f8f2', 'False', 'True', 'false', 'false', '510722132589', 5, '三秀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722132589', 1, '2021-07-19 11:39:27', NULL, NULL), (8848, '', '海棠村', 'd3ebd967a02b4637a35669f75ad1e26b', '7090e0f20d804105b416984cf2e2f8f2', 'False', 'True', 'false', 'false', '510722132620', 5, '海棠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722132620', 1, '2021-07-19 11:39:27', NULL, NULL), (8849, '', '明朗村', '9db2bbedd21a437e8caada1f551df1ed', '7090e0f20d804105b416984cf2e2f8f2', 'False', 'True', 'false', 'false', '510722132780', 5, '明朗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722132780', 1, '2021-07-19 11:39:27', NULL, NULL), (8850, '', '刘营镇', '1b7014f28b924bc2953dd1db557ae7f2', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722135000', 4, '刘营镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722135000', 1, '2021-07-19 11:39:28', NULL, NULL), (8851, '', '龙沟村', 'f28e66b5b3024965bd6efa97e25853fd', '1b7014f28b924bc2953dd1db557ae7f2', 'False', 'False', 'false', 'false', '510722135217', 5, '龙沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722135217', 1, '2021-07-19 11:39:28', NULL, NULL), (8852, '', '安宁村', '31b30bd5b66e4b9e895e58e2ae20eecb', '1b7014f28b924bc2953dd1db557ae7f2', 'False', 'False', 'false', 'false', '510722135394', 5, '安宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722135394', 1, '2021-07-19 11:39:28', NULL, NULL), (8853, '', '刘营社区', 'dead391dd9b840dc86126eded860422a', '1b7014f28b924bc2953dd1db557ae7f2', 'False', 'False', 'false', 'false', '510722135876', 5, '刘营社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722135876', 1, '2021-07-19 11:39:28', NULL, NULL), (8854, '', '石鼓坝村', 'b9b98bbbdb014cf8b91c035aec079c8a', '1b7014f28b924bc2953dd1db557ae7f2', 'False', 'False', 'false', 'false', '510722135938', 5, '石鼓坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722135938', 1, '2021-07-19 11:39:28', NULL, NULL), (8855, '', '黄泥井村', '3af6ee31158a4e48bd3a81b8db9aeb5b', '1b7014f28b924bc2953dd1db557ae7f2', 'False', 'True', 'false', 'false', '510722135204', 5, '黄泥井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722135204', 1, '2021-07-19 11:39:28', NULL, NULL), (8856, '', '转江村', 'a06ff0c003c746e89ffed1e7c8f43ef1', '1b7014f28b924bc2953dd1db557ae7f2', 'False', 'True', 'false', 'false', '510722135227', 5, '转江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722135227', 1, '2021-07-19 11:39:28', NULL, NULL), (8857, '', '三道河村', 'af6d44d582204f01afb29bb14bcab09e', '1b7014f28b924bc2953dd1db557ae7f2', 'False', 'True', 'false', 'false', '510722135303', 5, '三道河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722135303', 1, '2021-07-19 11:39:28', NULL, NULL), (8858, '', '大围坝村', '3bbc8d89d5564775992f1f009792b839', '1b7014f28b924bc2953dd1db557ae7f2', 'False', 'True', 'false', 'false', '510722135335', 5, '大围坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722135335', 1, '2021-07-19 11:39:28', NULL, NULL), (8859, '', '新乐村', '92a1a2affeff46f9999d807f80039d3e', '1b7014f28b924bc2953dd1db557ae7f2', 'False', 'True', 'false', 'false', '510722135373', 5, '新乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722135373', 1, '2021-07-19 11:39:28', NULL, NULL), (8860, '', '马家村', '78fe32d8e9de40b1b9a10af32239ff99', '1b7014f28b924bc2953dd1db557ae7f2', 'False', 'True', 'false', 'false', '510722135617', 5, '马家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722135617', 1, '2021-07-19 11:39:28', NULL, NULL), (8861, '', '伴月村', '00782167afa049fb86d85604e37b9006', '1b7014f28b924bc2953dd1db557ae7f2', 'False', 'True', 'false', 'false', '510722135948', 5, '伴月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722135948', 1, '2021-07-19 11:39:28', NULL, NULL), (8862, '', '芦溪镇', '6f0168297d9c4a1eb8d27ea1bb4f5667', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722137000', 4, '芦溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722137000', 1, '2021-07-19 11:39:28', NULL, NULL), (8863, '', '涪城村', '6837550d278e4003878f7b868092ef73', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137415', 5, '涪城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137415', 1, '2021-07-19 11:39:28', NULL, NULL), (8864, '', '花园社区', 'e251ecc174b64d7ba331cd1992385c63', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137618', 5, '花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137618', 1, '2021-07-19 11:39:28', NULL, NULL), (8865, '', '蟠龙山村', 'f7749b095a3a4f60b2f77a463aee3c27', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137653', 5, '蟠龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137653', 1, '2021-07-19 11:39:28', NULL, NULL), (8866, '', '镇江村', 'dfdeb58f921f4c06a17b003f12282be9', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137801', 5, '镇江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137801', 1, '2021-07-19 11:39:28', NULL, NULL), (8867, '', '星楼村', 'b0cd5bb85df84373bccc957a400274e7', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137805', 5, '星楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137805', 1, '2021-07-19 11:39:28', NULL, NULL), (8868, '', '水磨河村', '33a451dba2c34fd6a4907146bd8928fa', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137823', 5, '水磨河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137823', 1, '2021-07-19 11:39:29', NULL, NULL), (8869, '', '枣河村', '0a17e28aff2d4c92a2a9a4127820fb40', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137876', 5, '枣河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137876', 1, '2021-07-19 11:39:29', NULL, NULL), (8870, '', '营城村', 'bcf1636512654b029b21d014d1a31ea5', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137957', 5, '营城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137957', 1, '2021-07-19 11:39:29', NULL, NULL), (8871, '', '三桥村', 'b89a7de72f9141f8b1045f42c67429eb', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137133', 5, '三桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137133', 1, '2021-07-19 11:39:29', NULL, NULL), (8872, '', '姚江村', '3794f4d7e1df4d6d80e7cc5b4c14faf8', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137212', 5, '姚江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137212', 1, '2021-07-19 11:39:29', NULL, NULL), (8873, '', '青玉村', '5006dacee3714517965ff3181ea1968d', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137324', 5, '青玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137324', 1, '2021-07-19 11:39:29', NULL, NULL), (8874, '', '中街社区', 'c493e2b9160e4dc39d1e56ef718c4ba6', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137335', 5, '中街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137335', 1, '2021-07-19 11:39:29', NULL, NULL), (8875, '', '兴相村', 'b665f1b73d5c41ad8b833803c9568574', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137351', 5, '兴相村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137351', 1, '2021-07-19 11:39:29', NULL, NULL), (8876, '', '鹤林村', '1aa737a94ded474ba762f7a5e9e219e3', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137483', 5, '鹤林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137483', 1, '2021-07-19 11:39:29', NULL, NULL), (8877, '', '金台村', '5c2c1440a10c49b892c8b4a164125685', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137612', 5, '金台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137612', 1, '2021-07-19 11:39:29', NULL, NULL), (8878, '', '商业街社区', 'c533db72e9644307a0e9fe33f967f9d1', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137671', 5, '商业街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137671', 1, '2021-07-19 11:39:29', NULL, NULL), (8879, '', '五香村', '9be5f405e8a543e2a65ac6d8e5c9cbdd', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137742', 5, '五香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137742', 1, '2021-07-19 11:39:29', NULL, NULL), (8880, '', '广华寺村', 'e0c65311396b40a7b697d78422c24946', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137767', 5, '广华寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137767', 1, '2021-07-19 11:39:29', NULL, NULL), (8881, '', '五柏村', '7ae7df5f33284494a36f37a07f0c72a1', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137837', 5, '五柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137837', 1, '2021-07-19 11:39:29', NULL, NULL), (8882, '', '松林村', '36d00eac10c040078a14ddf1b08dbe7d', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137926', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137926', 1, '2021-07-19 11:39:29', NULL, NULL), (8883, '', '新街社区', '94c8807ef2e2433cbb652780fbdfb6d2', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137960', 5, '新街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137960', 1, '2021-07-19 11:39:30', NULL, NULL), (8884, '', '王家桥村', 'e57ec3e03fa14103ad7558a60c0c889c', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137975', 5, '王家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137975', 1, '2021-07-19 11:39:30', NULL, NULL), (8885, '', '永凤村', '6d4cc24c0d5b497088db6e153bf1abbf', '6f0168297d9c4a1eb8d27ea1bb4f5667', 'False', 'True', 'false', 'false', '510722137984', 5, '永凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722137984', 1, '2021-07-19 11:39:30', NULL, NULL), (8886, '', '永明镇', '2a3f3e0affea4a88854d85c9fa26c99c', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722140000', 4, '永明镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722140000', 1, '2021-07-19 11:39:30', NULL, NULL), (8887, '', '干坝王村', '94c412daf0aa4c3880fb6fc841444c1d', '2a3f3e0affea4a88854d85c9fa26c99c', 'False', 'False', 'false', 'false', '510722140106', 5, '干坝王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722140106', 1, '2021-07-19 11:39:30', NULL, NULL), (8888, '', '金翔村', 'e852ceff152a4f04a4b52a255f178a80', '2a3f3e0affea4a88854d85c9fa26c99c', 'False', 'False', 'false', 'false', '510722140314', 5, '金翔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722140314', 1, '2021-07-19 11:39:30', NULL, NULL), (8889, '', '建设社区', '6dd61ef6559040e4b2848b57d8154294', '2a3f3e0affea4a88854d85c9fa26c99c', 'False', 'False', 'false', 'false', '510722140357', 5, '建设社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722140357', 1, '2021-07-19 11:39:30', NULL, NULL), (8890, '', '木林村', 'ebcc40b047ad400d88e5e8ef29447ea6', '2a3f3e0affea4a88854d85c9fa26c99c', 'False', 'False', 'false', 'false', '510722140476', 5, '木林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722140476', 1, '2021-07-19 11:39:30', NULL, NULL), (8891, '', '梓潼庙村', '82681ee1985d46458bdd19562b3aa5aa', '2a3f3e0affea4a88854d85c9fa26c99c', 'False', 'False', 'false', 'false', '510722140547', 5, '梓潼庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722140547', 1, '2021-07-19 11:39:30', NULL, NULL), (8892, '', '涪建村', 'a115f1a621ce4bb693bbad40b2601422', '2a3f3e0affea4a88854d85c9fa26c99c', 'False', 'False', 'false', 'false', '510722140766', 5, '涪建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722140766', 1, '2021-07-19 11:39:30', NULL, NULL), (8893, '', '团缘村', '5b1083a72e034ba39fc580d6e60ecb87', '2a3f3e0affea4a88854d85c9fa26c99c', 'False', 'False', 'false', 'false', '510722140984', 5, '团缘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722140984', 1, '2021-07-19 11:39:30', NULL, NULL), (8894, '', '永和村', 'c457ca68f8b54f43b6fe24416cec24a8', '2a3f3e0affea4a88854d85c9fa26c99c', 'False', 'True', 'false', 'false', '510722140088', 5, '永和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722140088', 1, '2021-07-19 11:39:30', NULL, NULL), (8895, '', '观鹿村', 'bb19a311e7854c84994b0fca49472731', '2a3f3e0affea4a88854d85c9fa26c99c', 'False', 'False', 'false', 'false', '510722140143', 5, '观鹿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722140143', 1, '2021-07-19 11:39:30', NULL, NULL), (8896, '', '永明村', '8ac7306bd5bf441a95564ef727c7c054', '2a3f3e0affea4a88854d85c9fa26c99c', 'False', 'True', 'false', 'false', '510722140366', 5, '永明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722140366', 1, '2021-07-19 11:39:31', NULL, NULL), (8897, '', '红岩村', 'ae0ea3c158cb42358188efa1342429c1', '2a3f3e0affea4a88854d85c9fa26c99c', 'False', 'True', 'false', 'false', '510722140470', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722140470', 1, '2021-07-19 11:39:31', NULL, NULL), (8898, '', '涪江社区', '1cdf087f5f0c4ebdb357a1d9a2453ea8', '2a3f3e0affea4a88854d85c9fa26c99c', 'False', 'True', 'false', 'false', '510722140500', 5, '涪江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722140500', 1, '2021-07-19 11:39:31', NULL, NULL), (8899, '', '会仙路社区', '02ddb56f4878432db144accfbb967002', '2a3f3e0affea4a88854d85c9fa26c99c', 'False', 'True', 'false', 'false', '510722140686', 5, '会仙路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722140686', 1, '2021-07-19 11:39:31', NULL, NULL), (8900, '', '永红村', 'bd450616cc9e46bbb60f7896d9b82466', '2a3f3e0affea4a88854d85c9fa26c99c', 'False', 'False', 'false', 'false', '510722140912', 5, '永红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722140912', 1, '2021-07-19 11:39:31', NULL, NULL), (8901, '', '忠孝乡', '57044d052eb24c24a51b80f4b4fe004a', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722201000', 4, '忠孝乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722201000', 1, '2021-07-19 11:39:31', NULL, NULL), (8902, '', '东升村', 'd38e8a004ed947c8848a6c838bbcba3b', '57044d052eb24c24a51b80f4b4fe004a', 'False', 'True', 'false', 'false', '510722201033', 5, '东升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722201033', 1, '2021-07-19 11:39:31', NULL, NULL), (8903, '', '观音村', 'f9930141c9564d1f9dd5013fbea70c8f', '57044d052eb24c24a51b80f4b4fe004a', 'False', 'True', 'false', 'false', '510722201149', 5, '观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722201149', 1, '2021-07-19 11:39:31', NULL, NULL), (8904, '', '仁和村', '3f266a90b4cf4dd69234471ca71a0b51', '57044d052eb24c24a51b80f4b4fe004a', 'False', 'True', 'false', 'false', '510722201156', 5, '仁和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722201156', 1, '2021-07-19 11:39:31', NULL, NULL), (8905, '', '泉丰村', '8760d6b3731545c69114c32a9cdf49c7', '57044d052eb24c24a51b80f4b4fe004a', 'False', 'True', 'false', 'false', '510722201184', 5, '泉丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722201184', 1, '2021-07-19 11:39:31', NULL, NULL), (8906, '', '双胜社区', 'f8cd87c4e1ee424faf5eca3996322ab3', '57044d052eb24c24a51b80f4b4fe004a', 'False', 'True', 'false', 'false', '510722201235', 5, '双胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722201235', 1, '2021-07-19 11:39:31', NULL, NULL), (8907, '', '枫垭村', '633892c19b754b309208163d2f566e72', '57044d052eb24c24a51b80f4b4fe004a', 'False', 'True', 'false', 'false', '510722201739', 5, '枫垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722201739', 1, '2021-07-19 11:39:31', NULL, NULL), (8908, '', '联欢村', '5baa9bf781cd4b619728188230a225f0', '57044d052eb24c24a51b80f4b4fe004a', 'False', 'True', 'false', 'false', '510722201935', 5, '联欢村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722201935', 1, '2021-07-19 11:39:31', NULL, NULL), (8909, '', '建兴村', '89f6b036f9844732ad3724f3dc5bdc3c', '57044d052eb24c24a51b80f4b4fe004a', 'False', 'True', 'false', 'false', '510722201002', 5, '建兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722201002', 1, '2021-07-19 11:39:31', NULL, NULL), (8910, '', '忠孝社区', 'eab12f02b64e450e989b85b7b74b572e', '57044d052eb24c24a51b80f4b4fe004a', 'False', 'True', 'false', 'false', '510722201531', 5, '忠孝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722201531', 1, '2021-07-19 11:39:31', NULL, NULL), (8911, '', '断石乡', 'b86fb1e7b5cd408da192d357126dc61c', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722204000', 4, '断石乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722204000', 1, '2021-07-19 11:39:32', NULL, NULL), (8912, '', '上游村', '318222c40dd843ff8d97c3730d48ae7d', 'b86fb1e7b5cd408da192d357126dc61c', 'False', 'False', 'false', 'false', '510722204267', 5, '上游村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722204267', 1, '2021-07-19 11:39:32', NULL, NULL), (8913, '', '玉林社区', '56025b890e0c474f9affe980f98eafd0', 'b86fb1e7b5cd408da192d357126dc61c', 'False', 'False', 'false', 'false', '510722204359', 5, '玉林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722204359', 1, '2021-07-19 11:39:32', NULL, NULL), (8914, '', '飞凤村', 'f4865e59c63a465fb13adbcf9a4ffecb', 'b86fb1e7b5cd408da192d357126dc61c', 'False', 'False', 'false', 'false', '510722204629', 5, '飞凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722204629', 1, '2021-07-19 11:39:32', NULL, NULL), (8915, '', '先锋村', 'fa609814b4a94f43bb95c398db2a2f5d', 'b86fb1e7b5cd408da192d357126dc61c', 'False', 'False', 'false', 'false', '510722204837', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722204837', 1, '2021-07-19 11:39:32', NULL, NULL), (8916, '', '三里村', 'fced8cbc915c4a259c45eed3c73ae487', 'b86fb1e7b5cd408da192d357126dc61c', 'False', 'False', 'false', 'false', '510722204895', 5, '三里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722204895', 1, '2021-07-19 11:39:32', NULL, NULL), (8917, '', '禹和村', '06b3e1f3557049a8b666a8ce8fde3d77', 'b86fb1e7b5cd408da192d357126dc61c', 'False', 'False', 'false', 'false', '510722204957', 5, '禹和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722204957', 1, '2021-07-19 11:39:32', NULL, NULL), (8918, '', '白阳村', '677e395793dd43248420db3fc84ca631', 'b86fb1e7b5cd408da192d357126dc61c', 'False', 'True', 'false', 'false', '510722204641', 5, '白阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722204641', 1, '2021-07-19 11:39:32', NULL, NULL), (8919, '', '断石社区', '400e23d99e074469aa297d7f64f0c99e', 'b86fb1e7b5cd408da192d357126dc61c', 'False', 'True', 'false', 'false', '510722204719', 5, '断石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722204719', 1, '2021-07-19 11:39:32', NULL, NULL), (8920, '', '云龙村', '53c8c78737194494bbdf4691185d0f4a', 'b86fb1e7b5cd408da192d357126dc61c', 'False', 'True', 'false', 'false', '510722204720', 5, '云龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722204720', 1, '2021-07-19 11:39:32', NULL, NULL), (8921, '', '建中镇', 'e8009f34d14d4bf994e689b731f457a9', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722208000', 4, '建中镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722208000', 1, '2021-07-19 11:39:32', NULL, NULL), (8922, '', '西峰村', 'e1b9fced2c8e4643bbfc6b61f498445e', 'e8009f34d14d4bf994e689b731f457a9', 'False', 'True', 'false', 'false', '510722141605', 5, '西峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722141605', 1, '2021-07-19 11:39:32', NULL, NULL), (8923, '', '高山寨村', '737f9e9817b844ab825465efbbde5e88', 'e8009f34d14d4bf994e689b731f457a9', 'False', 'True', 'false', 'false', '510722208196', 5, '高山寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722208196', 1, '2021-07-19 11:39:32', NULL, NULL), (8924, '', '广益村', '28f96b864ecb47cabcd60c6194254d9b', 'e8009f34d14d4bf994e689b731f457a9', 'False', 'True', 'false', 'false', '510722208217', 5, '广益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722208217', 1, '2021-07-19 11:39:32', NULL, NULL), (8925, '', '朝凤村', '4b7e1ed53cc8466d9aa8f565df71b51f', 'e8009f34d14d4bf994e689b731f457a9', 'False', 'True', 'false', 'false', '510722208280', 5, '朝凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722208280', 1, '2021-07-19 11:39:33', NULL, NULL), (8926, '', '朝贤村', '49e8ffbd99114b4ca6484c28ed952a22', 'e8009f34d14d4bf994e689b731f457a9', 'False', 'True', 'false', 'false', '510722208476', 5, '朝贤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722208476', 1, '2021-07-19 11:39:33', NULL, NULL), (8927, '', '银河村', '533251a72ca241108e7f8e68361b1192', 'e8009f34d14d4bf994e689b731f457a9', 'False', 'True', 'false', 'false', '510722208654', 5, '银河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722208654', 1, '2021-07-19 11:39:33', NULL, NULL), (8928, '', '羊角村', '8d51b32e419545f1ad827d1d79dbedba', 'e8009f34d14d4bf994e689b731f457a9', 'False', 'True', 'false', 'false', '510722208718', 5, '羊角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722208718', 1, '2021-07-19 11:39:33', NULL, NULL), (8929, '', '大堰村', 'cb6cf6b4f9714f91a360c018744b0c94', 'e8009f34d14d4bf994e689b731f457a9', 'False', 'True', 'false', 'false', '510722208737', 5, '大堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722208737', 1, '2021-07-19 11:39:33', NULL, NULL), (8930, '', '建中社区', '970adccff2d94f53a07e012245ebb56c', 'e8009f34d14d4bf994e689b731f457a9', 'False', 'True', 'false', 'false', '510722208778', 5, '建中社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722208778', 1, '2021-07-19 11:39:33', NULL, NULL), (8931, '', '老马镇', '0faad2e1f17c405ca92984f118c5199a', '55e8a900de0e4c41a56f090456622f62', 'True', 'True', 'false', 'false', '510722218000', 4, '老马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510722218000', 1, '2021-07-19 11:39:33', NULL, NULL), (8932, '', '新河村', 'ed0ed9aec14f4e15918e39c3e699abfb', '0faad2e1f17c405ca92984f118c5199a', 'False', 'True', 'false', 'false', '510722145069', 5, '新河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722145069', 1, '2021-07-19 11:39:33', NULL, NULL), (8933, '', '望江村', '9052ce5fa5f04eb7a7b6295ad7e5a038', '0faad2e1f17c405ca92984f118c5199a', 'False', 'True', 'false', 'false', '510722145115', 5, '望江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722145115', 1, '2021-07-19 11:39:33', NULL, NULL), (8934, '', '五龙村', '2dcacfa9e0a84592a3af5bfc623daf5a', '0faad2e1f17c405ca92984f118c5199a', 'False', 'True', 'false', 'false', '510722145175', 5, '五龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722145175', 1, '2021-07-19 11:39:33', NULL, NULL), (8935, '', '柳林子村', 'a70c069e8cb64e63a189bef247762434', '0faad2e1f17c405ca92984f118c5199a', 'False', 'True', 'false', 'false', '510722145265', 5, '柳林子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722145265', 1, '2021-07-19 11:39:33', NULL, NULL), (8936, '', '龙头山村', 'a452c04ff9d44cc19894c618b854cf96', '0faad2e1f17c405ca92984f118c5199a', 'False', 'True', 'false', 'false', '510722145306', 5, '龙头山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722145306', 1, '2021-07-19 11:39:33', NULL, NULL), (8937, '', '回龙村', '4c89247aa7a643f1a36ae69e86b16c15', '0faad2e1f17c405ca92984f118c5199a', 'False', 'True', 'false', 'false', '510722145474', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722145474', 1, '2021-07-19 11:39:33', NULL, NULL), (8938, '', '莲花村', 'b568a70d17a54aaab88fff70141f657c', '0faad2e1f17c405ca92984f118c5199a', 'False', 'True', 'false', 'false', '510722145525', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722145525', 1, '2021-07-19 11:39:34', NULL, NULL), (8939, '', '兴盛社区', 'fcbcee67dc534b6c899a2489f4370348', '0faad2e1f17c405ca92984f118c5199a', 'False', 'True', 'false', 'false', '510722145769', 5, '兴盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722145769', 1, '2021-07-19 11:39:34', NULL, NULL), (8940, '', '里程村', 'bda4a57c6e4449b3a61c2e191cd25fa4', '0faad2e1f17c405ca92984f118c5199a', 'False', 'True', 'false', 'false', '510722145785', 5, '里程村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722145785', 1, '2021-07-19 11:39:34', NULL, NULL), (8941, '', '建青村', '0fd2465424c149e6bae23c89d34ec521', '0faad2e1f17c405ca92984f118c5199a', 'False', 'True', 'false', 'false', '510722145792', 5, '建青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722145792', 1, '2021-07-19 11:39:34', NULL, NULL), (8942, '', '川祖村', 'aef4593f88814e80b78449f013cc94a9', '0faad2e1f17c405ca92984f118c5199a', 'False', 'True', 'false', 'false', '510722145891', 5, '川祖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722145891', 1, '2021-07-19 11:39:34', NULL, NULL), (8943, '', '会龙村', '0c8a11abb6d04707a66bbd0bbe4a32e5', '0faad2e1f17c405ca92984f118c5199a', 'False', 'True', 'false', 'false', '510722145957', 5, '会龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722145957', 1, '2021-07-19 11:39:34', NULL, NULL), (8944, '', '光辉场社区', '2766557eb4ad494c95fa615e6c995a47', '0faad2e1f17c405ca92984f118c5199a', 'False', 'True', 'false', 'false', '510722218238', 5, '光辉场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722218238', 1, '2021-07-19 11:39:34', NULL, NULL), (8945, '', '九曲村', '847bda1c684f4b1d816e30f42b8f45a2', '0faad2e1f17c405ca92984f118c5199a', 'False', 'True', 'false', 'false', '510722218705', 5, '九曲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722218705', 1, '2021-07-19 11:39:34', NULL, NULL), (8946, '', '老马村', '0debb69c0c1743a7a5f498331ec755b0', '0faad2e1f17c405ca92984f118c5199a', 'False', 'True', 'false', 'false', '510722218777', 5, '老马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510722218777', 1, '2021-07-19 11:39:34', NULL, NULL), (8947, '', '梓潼县', 'd23bcaffdab3487c99c408e6b2d93785', '06770f8688a045beaf53089460935c1e', 'True', 'True', 'false', 'false', '510725000000', 3, '梓潼县', 'mysztx.sczwfw.gov.cn', 1, '2021-07-19 11:39:34', NULL, NULL), (8948, '', '文昌镇', 'f4a7d26d3e354893b4d950ae12fa419e', 'd23bcaffdab3487c99c408e6b2d93785', 'True', 'True', 'false', 'false', '510725100000', 4, '文昌镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510725100000', 1, '2021-07-19 11:39:34', NULL, NULL), (8949, '', '油泉村', 'cbe1013356a1474883abf03a9ab054ae', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'False', 'false', 'false', '510725100011', 5, '油泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100011', 1, '2021-07-19 11:39:34', NULL, NULL), (8950, '', '新桥村', '33d90144fd0d469bbeed31f99eb1b5a7', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'False', 'false', 'false', '510725100158', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100158', 1, '2021-07-19 11:39:34', NULL, NULL), (8951, '', '七曲村', '58e235f39f4843f392409b8469be47be', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'False', 'false', 'false', '510725100255', 5, '七曲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100255', 1, '2021-07-19 11:39:34', NULL, NULL), (8952, '', '柏林村', '7c93029d0a874b7293a1acdb9cd7ef60', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'False', 'false', 'false', '510725100420', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100420', 1, '2021-07-19 11:39:34', NULL, NULL), (8953, '', '御马村', '23cae627742e4583ad2ac49660ead787', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'False', 'false', 'false', '510725100571', 5, '御马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100571', 1, '2021-07-19 11:39:34', NULL, NULL), (8954, '', '云峰村', '6e13a2c9aefd4f08a2f542a91ab4fc29', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'False', 'false', 'false', '510725100612', 5, '云峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100612', 1, '2021-07-19 11:39:35', NULL, NULL), (8955, '', '高桥村', '7806a96cb20945de955d1001a2dd4f8a', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'False', 'false', 'false', '510725100614', 5, '高桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100614', 1, '2021-07-19 11:39:35', NULL, NULL), (8956, '', '飞龙村', '25804f2416714bb8bad600505939c075', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'False', 'false', 'false', '510725100671', 5, '飞龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100671', 1, '2021-07-19 11:39:35', NULL, NULL), (8957, '', '东风村', '45662fe5d21b4513bd209f85dfa14a57', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'False', 'false', 'false', '510725100784', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100784', 1, '2021-07-19 11:39:35', NULL, NULL), (8958, '', '红排村', '277914747be2473abb95a81ff33e8b64', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'False', 'false', 'false', '510725100981', 5, '红排村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100981', 1, '2021-07-19 11:39:35', NULL, NULL), (8959, '', '金燕村', '7c073f6033cb49bd9ea61e065a3b2643', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'False', 'false', 'false', '510725100993', 5, '金燕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100993', 1, '2021-07-19 11:39:35', NULL, NULL), (8960, '', '城郊村', '6b35fcb0e4b848c5ae561a59fa8070df', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'False', 'false', 'false', '510725100108', 5, '城郊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100108', 1, '2021-07-19 11:39:35', NULL, NULL), (8961, '', '铜鼓村', '28e18639a752496281ba99f369650bcf', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'False', 'false', 'false', '510725100118', 5, '铜鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100118', 1, '2021-07-19 11:39:35', NULL, NULL), (8962, '', '三清村', '56ff92b090a64a999d307b8f2061f453', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'True', 'false', 'false', '510725100208', 5, '三清村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100208', 1, '2021-07-19 11:39:35', NULL, NULL), (8963, '', '紫阳社区', '8ac8d8dd53e1400d8698fe2b6691df5c', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'True', 'false', 'false', '510725100244', 5, '紫阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100244', 1, '2021-07-19 11:39:35', NULL, NULL), (8964, '', '青龙村', '6a7e4d36687b4fcb95d6d2a88e4e4d23', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'True', 'false', 'false', '510725100407', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100407', 1, '2021-07-19 11:39:35', NULL, NULL), (8965, '', '文丰村', '52d99ec7d1e14147a618b64951f297a1', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'True', 'false', 'false', '510725100482', 5, '文丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100482', 1, '2021-07-19 11:39:35', NULL, NULL), (8966, '', '西河村', 'd7dbfff4a3394dbd84ef16be86099803', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'True', 'false', 'false', '510725100530', 5, '西河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100530', 1, '2021-07-19 11:39:35', NULL, NULL), (8967, '', '翠云社区', '6219344dcac444148137676f49e96791', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'False', 'false', 'false', '510725100560', 5, '翠云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100560', 1, '2021-07-19 11:39:35', NULL, NULL), (8968, '', '连枝村', 'c38b7b4b29434694861a6a5ed22c71f0', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'True', 'false', 'false', '510725100665', 5, '连枝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100665', 1, '2021-07-19 11:39:36', NULL, NULL), (8969, '', '青岭村', '1453694c9b57420bbf85e1514872924b', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'False', 'false', 'false', '510725100789', 5, '青岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100789', 1, '2021-07-19 11:39:36', NULL, NULL), (8970, '', '先锋村', '18a71142a9ef4ae091900681b927b3d8', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'True', 'false', 'false', '510725100831', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100831', 1, '2021-07-19 11:39:36', NULL, NULL), (8971, '', '三星村', '63564ea2c9e34842a10a0e7f836b0ab8', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'False', 'false', 'false', '510725100842', 5, '三星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100842', 1, '2021-07-19 11:39:36', NULL, NULL), (8972, '', '崇文社区', 'ca28eb6656ba46c29d2a310ddcd75a29', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'True', 'false', 'false', '510725100854', 5, '崇文社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100854', 1, '2021-07-19 11:39:36', NULL, NULL), (8973, '', '莲花村', '8856b959c06846dbbf80b3c5d3347187', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'True', 'false', 'false', '510725100891', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100891', 1, '2021-07-19 11:39:36', NULL, NULL), (8974, '', '龙口村', 'd1e81013a4274edaa6d74bcb6d5925d5', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'False', 'false', 'false', '510725100930', 5, '龙口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100930', 1, '2021-07-19 11:39:36', NULL, NULL), (8975, '', '民胜村', '1e86f38c60cd428ba08cec7bb2de2f9a', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'True', 'false', 'false', '510725100965', 5, '民胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100965', 1, '2021-07-19 11:39:36', NULL, NULL), (8976, '', '潼江社区', 'c15a5b2374eb431cb71e585f0010f2af', 'f4a7d26d3e354893b4d950ae12fa419e', 'False', 'True', 'false', 'false', '510725100989', 5, '潼江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725100989', 1, '2021-07-19 11:39:36', NULL, NULL), (8977, '', '长卿镇', 'd2bf75457a3b48a8984d4478f3b3b47b', 'd23bcaffdab3487c99c408e6b2d93785', 'True', 'True', 'false', 'false', '510725101000', 4, '长卿镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510725101000', 1, '2021-07-19 11:39:36', NULL, NULL), (8978, '', '柴坝村', 'aef7f9336281421eb86717e4d980bad5', 'd2bf75457a3b48a8984d4478f3b3b47b', 'False', 'True', 'false', 'false', '510725101337', 5, '柴坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725101337', 1, '2021-07-19 11:39:36', NULL, NULL), (8979, '', '三泉村', 'b6cf5d4bba8b4c148eca0be8c223dc1c', 'd2bf75457a3b48a8984d4478f3b3b47b', 'False', 'True', 'false', 'false', '510725101472', 5, '三泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725101472', 1, '2021-07-19 11:39:36', NULL, NULL), (8980, '', '油坪村', 'a778e5f78ebc46c6a55724f28f1c5969', 'd2bf75457a3b48a8984d4478f3b3b47b', 'False', 'True', 'false', 'false', '510725101820', 5, '油坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725101820', 1, '2021-07-19 11:39:36', NULL, NULL), (8981, '', '南桥社区', 'c7f477e4b0054eda8569b242f92e89f4', 'd2bf75457a3b48a8984d4478f3b3b47b', 'False', 'True', 'false', 'false', '510725101859', 5, '南桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725101859', 1, '2021-07-19 11:39:36', NULL, NULL), (8982, '', '天星村', 'b6a61a8f693645ecbf80104a21568aec', 'd2bf75457a3b48a8984d4478f3b3b47b', 'False', 'True', 'false', 'false', '510725101861', 5, '天星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725101861', 1, '2021-07-19 11:39:36', NULL, NULL), (8983, '', '兴隆村', '918e5c991e2a4e04b2ce1ae464a094f8', 'd2bf75457a3b48a8984d4478f3b3b47b', 'False', 'True', 'false', 'false', '510725101928', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725101928', 1, '2021-07-19 11:39:36', NULL, NULL), (8984, '', '皇观村', 'af473625e0894e0f9d3c0bc72a30cd99', 'd2bf75457a3b48a8984d4478f3b3b47b', 'False', 'True', 'false', 'false', '510725101975', 5, '皇观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725101975', 1, '2021-07-19 11:39:37', NULL, NULL), (8985, '', '中心村', '92356a3fd5994b119810fdbf781f8d66', 'd2bf75457a3b48a8984d4478f3b3b47b', 'False', 'True', 'false', 'false', '510725101910', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725101910', 1, '2021-07-19 11:39:37', NULL, NULL), (8986, '', '石河村', '2b12b95417cb499c8c18ba154001aaa2', 'd2bf75457a3b48a8984d4478f3b3b47b', 'False', 'True', 'false', 'false', '510725101939', 5, '石河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725101939', 1, '2021-07-19 11:39:37', NULL, NULL), (8987, '', '长卿村', '7359cd9acbb14c77bdc193d5d927c16f', 'd2bf75457a3b48a8984d4478f3b3b47b', 'False', 'True', 'false', 'false', '510725101963', 5, '长卿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725101963', 1, '2021-07-19 11:39:37', NULL, NULL), (8988, '', '许州镇', '17fb45480b8d4c59bc4c9041cc1f0301', 'd23bcaffdab3487c99c408e6b2d93785', 'True', 'True', 'false', 'false', '510725102000', 4, '许州镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510725102000', 1, '2021-07-19 11:39:37', NULL, NULL), (8989, '', '柏垭村', 'a6f44f6b97434768970b6e957d8a7ebc', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102094', 5, '柏垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102094', 1, '2021-07-19 11:39:37', NULL, NULL), (8990, '', '双龙村', 'a31e808691d247fbbc026bdf61280dbe', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102098', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102098', 1, '2021-07-19 11:39:37', NULL, NULL), (8991, '', '金天村', 'd89964197dd44c02b2d7151f367f40f5', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102162', 5, '金天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102162', 1, '2021-07-19 11:39:37', NULL, NULL), (8992, '', '仙峰社区', '3f62945a94b440c686baa19fe38c4b4e', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102173', 5, '仙峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102173', 1, '2021-07-19 11:39:37', NULL, NULL), (8993, '', '永桂村', '013188b2128841fc8c6ab936378f3b72', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102195', 5, '永桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102195', 1, '2021-07-19 11:39:37', NULL, NULL), (8994, '', '小垭村', 'b5d90599119b432c8aadf805fc9ef830', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102246', 5, '小垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102246', 1, '2021-07-19 11:39:37', NULL, NULL), (8995, '', '豢龙村', '7533d77fb9914b999fd6f23a11f05fae', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102295', 5, '豢龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102295', 1, '2021-07-19 11:39:37', NULL, NULL), (8996, '', '枣垭村', 'b29f3c00648646a09889a7e2bc313e24', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102553', 5, '枣垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102553', 1, '2021-07-19 11:39:37', NULL, NULL), (8997, '', '雨门村', 'beceedf6ded047fe85d095a40c99c680', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102694', 5, '雨门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102694', 1, '2021-07-19 11:39:37', NULL, NULL), (8998, '', '铜铃村', 'd262938284b447bb866c5919b3e0589a', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102695', 5, '铜铃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102695', 1, '2021-07-19 11:39:37', NULL, NULL), (8999, '', '甘滋村', '799fd3260cd64f9db018d1fb989b08a8', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102832', 5, '甘滋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102832', 1, '2021-07-19 11:39:37', NULL, NULL), (9000, '', '山泉村', '399c1b89664a42d6a0656b0e59d55f39', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102840', 5, '山泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102840', 1, '2021-07-19 11:39:38', NULL, NULL), (9001, '', '军民村', '526f55ea85d04238b0d6cf15c58c98e7', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102886', 5, '军民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102886', 1, '2021-07-19 11:39:38', NULL, NULL), (9002, '', '红军桥社区', '6d58027e90d544209dc696a99e961beb', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102035', 5, '红军桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102035', 1, '2021-07-19 11:39:38', NULL, NULL), (9003, '', '平原村', 'dcc80d9a8eff4a3ebe4ce8db30bfc2e0', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102126', 5, '平原村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102126', 1, '2021-07-19 11:39:38', NULL, NULL), (9004, '', '联盟村', 'dfb0ba51d6bf4be293b7db989b90c694', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102217', 5, '联盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102217', 1, '2021-07-19 11:39:38', NULL, NULL), (9005, '', '牛蹄山村', 'd1d7c275d1564712a04d87f3cd66acea', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102284', 5, '牛蹄山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102284', 1, '2021-07-19 11:39:38', NULL, NULL), (9006, '', '中坝村', '8501ad1369b14493a223ddc06214eab6', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102296', 5, '中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102296', 1, '2021-07-19 11:39:38', NULL, NULL), (9007, '', '燎原村', '67f6b7d11d474014be03790713598122', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102335', 5, '燎原村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102335', 1, '2021-07-19 11:39:38', NULL, NULL), (9008, '', '天宝村', '63b251a5daca445881f3a4054024a783', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102714', 5, '天宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102714', 1, '2021-07-19 11:39:38', NULL, NULL), (9009, '', '百顷村', '017d1fd8f62b4f45a338919193dc2a9a', '17fb45480b8d4c59bc4c9041cc1f0301', 'False', 'True', 'false', 'false', '510725102957', 5, '百顷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725102957', 1, '2021-07-19 11:39:38', NULL, NULL), (9010, '', '黎雅镇', '5bdf323a1a5241278d2cf02146720067', 'd23bcaffdab3487c99c408e6b2d93785', 'True', 'True', 'false', 'false', '510725103000', 4, '黎雅镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510725103000', 1, '2021-07-19 11:39:38', NULL, NULL), (9011, '', '九龙村', '4a3a6d341add4ebc9643dd11aae57e41', '5bdf323a1a5241278d2cf02146720067', 'False', 'True', 'false', 'false', '510725103993', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725103993', 1, '2021-07-19 11:39:38', NULL, NULL), (9012, '', '马安村', '5ffeb0dbcda74e1ba006498791f751ec', '5bdf323a1a5241278d2cf02146720067', 'False', 'True', 'false', 'false', '510725103152', 5, '马安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725103152', 1, '2021-07-19 11:39:38', NULL, NULL), (9013, '', '文昌宫社区', 'b1a79ed3ba30400583ef837bbd18f49a', '5bdf323a1a5241278d2cf02146720067', 'False', 'True', 'false', 'false', '510725103233', 5, '文昌宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725103233', 1, '2021-07-19 11:39:38', NULL, NULL), (9014, '', '大元包村', '54f3cd75840745ba9062f223018730f2', '5bdf323a1a5241278d2cf02146720067', 'False', 'True', 'false', 'false', '510725103273', 5, '大元包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725103273', 1, '2021-07-19 11:39:38', NULL, NULL), (9015, '', '仙鹅村', '89d90ebe768b4bab925cd5315270f30f', '5bdf323a1a5241278d2cf02146720067', 'False', 'True', 'false', 'false', '510725103318', 5, '仙鹅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725103318', 1, '2021-07-19 11:39:38', NULL, NULL), (9016, '', '兰花村', 'fa31eb2e9de348229a312e19b5f36b33', '5bdf323a1a5241278d2cf02146720067', 'False', 'True', 'false', 'false', '510725103358', 5, '兰花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725103358', 1, '2021-07-19 11:39:39', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (9017, '', '洄水村', '1c8046bd3df5463bb64d11f6bdd98fff', '5bdf323a1a5241278d2cf02146720067', 'False', 'True', 'false', 'false', '510725103425', 5, '洄水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725103425', 1, '2021-07-19 11:39:39', NULL, NULL), (9018, '', '藏鹅社区', '723a9ef62d0c4a3ba4be0d9c336e6321', '5bdf323a1a5241278d2cf02146720067', 'False', 'True', 'false', 'false', '510725103585', 5, '藏鹅社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725103585', 1, '2021-07-19 11:39:39', NULL, NULL), (9019, '', '从文村', '6929acc197b9476ca6516dea64b51074', '5bdf323a1a5241278d2cf02146720067', 'False', 'True', 'false', 'false', '510725103592', 5, '从文村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725103592', 1, '2021-07-19 11:39:39', NULL, NULL), (9020, '', '西安村', '6f9b17342b3342d48d4c7838563a1985', '5bdf323a1a5241278d2cf02146720067', 'False', 'True', 'false', 'false', '510725103601', 5, '西安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725103601', 1, '2021-07-19 11:39:39', NULL, NULL), (9021, '', '胜天村', '811e6a49cf35469f9c6d8bee7eec854a', '5bdf323a1a5241278d2cf02146720067', 'False', 'True', 'false', 'false', '510725103616', 5, '胜天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725103616', 1, '2021-07-19 11:39:39', NULL, NULL), (9022, '', '清平村', 'c412cc8265e2478ebff236dfa717744b', '5bdf323a1a5241278d2cf02146720067', 'False', 'True', 'false', 'false', '510725103650', 5, '清平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725103650', 1, '2021-07-19 11:39:39', NULL, NULL), (9023, '', '竹林村', 'ce7cfc4d075244cdb07ba443188055d5', '5bdf323a1a5241278d2cf02146720067', 'False', 'True', 'false', 'false', '510725103773', 5, '竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725103773', 1, '2021-07-19 11:39:39', NULL, NULL), (9024, '', '双高村', '5a0259851b1e479894f48abbc94694d2', '5bdf323a1a5241278d2cf02146720067', 'False', 'True', 'false', 'false', '510725103908', 5, '双高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725103908', 1, '2021-07-19 11:39:39', NULL, NULL), (9025, '', '卧龙镇', '7036b5ebf49f4b439c991fbc56a5386f', 'd23bcaffdab3487c99c408e6b2d93785', 'True', 'True', 'false', 'false', '510725105000', 4, '卧龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510725105000', 1, '2021-07-19 11:39:39', NULL, NULL), (9026, '', '拦河村', 'f5525a80b0424e0d8f4986942e3851e9', '7036b5ebf49f4b439c991fbc56a5386f', 'False', 'True', 'false', 'false', '510725105322', 5, '拦河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725105322', 1, '2021-07-19 11:39:39', NULL, NULL), (9027, '', '桂花村', 'fdcf0a6985a74b52a8adb63324e88631', '7036b5ebf49f4b439c991fbc56a5386f', 'False', 'True', 'false', 'false', '510725105383', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725105383', 1, '2021-07-19 11:39:39', NULL, NULL), (9028, '', '九柏村', 'cd17ac657c654bc8bcb56bce914087b5', '7036b5ebf49f4b439c991fbc56a5386f', 'False', 'True', 'false', 'false', '510725105575', 5, '九柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725105575', 1, '2021-07-19 11:39:39', NULL, NULL), (9029, '', '五一村', 'bd147b0e66b4471f82ed1cf975522c63', '7036b5ebf49f4b439c991fbc56a5386f', 'False', 'True', 'false', 'false', '510725105678', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725105678', 1, '2021-07-19 11:39:40', NULL, NULL), (9030, '', '兴龙社区', '3a47049a8142474da6ac29487a226fe2', '7036b5ebf49f4b439c991fbc56a5386f', 'False', 'True', 'false', 'false', '510725105685', 5, '兴龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725105685', 1, '2021-07-19 11:39:40', NULL, NULL), (9031, '', '金谷村', '4364cb84786b4ca083098c3ae5773cb8', '7036b5ebf49f4b439c991fbc56a5386f', 'False', 'True', 'false', 'false', '510725105755', 5, '金谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725105755', 1, '2021-07-19 11:39:40', NULL, NULL), (9032, '', '观义镇', '5224196245de44afb382f803bc0c2c54', 'd23bcaffdab3487c99c408e6b2d93785', 'True', 'True', 'false', 'false', '510725106000', 4, '观义镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510725106000', 1, '2021-07-19 11:39:40', NULL, NULL), (9033, '', '河口村', '5322e4bbcba345ad83b0d697369a6ef8', '5224196245de44afb382f803bc0c2c54', 'False', 'True', 'false', 'false', '510725106051', 5, '河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725106051', 1, '2021-07-19 11:39:40', NULL, NULL), (9034, '', '银针村', 'f5d8f53d0fe54c2890e4b0ea93e621ab', '5224196245de44afb382f803bc0c2c54', 'False', 'True', 'false', 'false', '510725106273', 5, '银针村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725106273', 1, '2021-07-19 11:39:40', NULL, NULL), (9035, '', '共和村', 'ef4b46c9ae3d4542838000df8d9d247c', '5224196245de44afb382f803bc0c2c54', 'False', 'True', 'false', 'false', '510725106286', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725106286', 1, '2021-07-19 11:39:40', NULL, NULL), (9036, '', '回銮村', 'c31b6f87462244528a0895ec77aa0a4e', '5224196245de44afb382f803bc0c2c54', 'False', 'True', 'false', 'false', '510725106959', 5, '回銮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725106959', 1, '2021-07-19 11:39:40', NULL, NULL), (9037, '', '池塘村', '159c04eaae5243d9b93bae3e880bf1ed', '5224196245de44afb382f803bc0c2c54', 'False', 'True', 'false', 'false', '510725106136', 5, '池塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725106136', 1, '2021-07-19 11:39:40', NULL, NULL), (9038, '', '红旗社区', '2d1fb80ef3fe4345b0273f6ad1035ea6', '5224196245de44afb382f803bc0c2c54', 'False', 'True', 'false', 'false', '510725106304', 5, '红旗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725106304', 1, '2021-07-19 11:39:40', NULL, NULL), (9039, '', '金银村', '7788281b79b0400aa26a8cea3c5d899c', '5224196245de44afb382f803bc0c2c54', 'False', 'True', 'false', 'false', '510725106498', 5, '金银村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725106498', 1, '2021-07-19 11:39:40', NULL, NULL), (9040, '', '红柳村', 'f570df1980ab4cedb9230f3b753994fa', '5224196245de44afb382f803bc0c2c54', 'False', 'True', 'false', 'false', '510725106585', 5, '红柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725106585', 1, '2021-07-19 11:39:40', NULL, NULL), (9041, '', '瓦子村', 'b8c8b98009564882a8b574eff82b0189', '5224196245de44afb382f803bc0c2c54', 'False', 'True', 'false', 'false', '510725106706', 5, '瓦子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725106706', 1, '2021-07-19 11:39:40', NULL, NULL), (9042, '', '玛瑙镇', 'b19bc4b323b4476d845af258e0b395fc', 'd23bcaffdab3487c99c408e6b2d93785', 'True', 'True', 'false', 'false', '510725107000', 4, '玛瑙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510725107000', 1, '2021-07-19 11:39:40', NULL, NULL), (9043, '', '龙台村', '8fe3e608cef74582a983fe542df18898', 'b19bc4b323b4476d845af258e0b395fc', 'False', 'True', 'false', 'false', '510725107244', 5, '龙台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725107244', 1, '2021-07-19 11:39:40', NULL, NULL), (9044, '', '黄花村', 'feb2e7965ae54eddaefc151b6b11a4d7', 'b19bc4b323b4476d845af258e0b395fc', 'False', 'True', 'false', 'false', '510725107543', 5, '黄花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725107543', 1, '2021-07-19 11:39:40', NULL, NULL), (9045, '', '后山村', '77d65db80e0a4dbe87939d261b7d171c', 'b19bc4b323b4476d845af258e0b395fc', 'False', 'True', 'false', 'false', '510725107564', 5, '后山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725107564', 1, '2021-07-19 11:39:41', NULL, NULL), (9046, '', '瓦苍村', 'e2e2bfaf82cd4d559680d836acab61cf', 'b19bc4b323b4476d845af258e0b395fc', 'False', 'True', 'false', 'false', '510725107039', 5, '瓦苍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725107039', 1, '2021-07-19 11:39:41', NULL, NULL), (9047, '', '交泰村', 'efde97beedf04cd68bbc6501063fdff0', 'b19bc4b323b4476d845af258e0b395fc', 'False', 'True', 'false', 'false', '510725107117', 5, '交泰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725107117', 1, '2021-07-19 11:39:41', NULL, NULL), (9048, '', '红庙村', '1af376e060ff4639bc6d24c115f5f660', 'b19bc4b323b4476d845af258e0b395fc', 'False', 'True', 'false', 'false', '510725107148', 5, '红庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725107148', 1, '2021-07-19 11:39:41', NULL, NULL), (9049, '', '贞元村', 'a5f04c1f0b54433288b0115b58d14a23', 'b19bc4b323b4476d845af258e0b395fc', 'False', 'True', 'false', 'false', '510725107482', 5, '贞元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725107482', 1, '2021-07-19 11:39:41', NULL, NULL), (9050, '', '玛瑙村', '989c94a76b574fef8719a61a02842b90', 'b19bc4b323b4476d845af258e0b395fc', 'False', 'True', 'false', 'false', '510725107624', 5, '玛瑙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725107624', 1, '2021-07-19 11:39:41', NULL, NULL), (9051, '', '兴隆场社区', '03de88f626404d0599107b93dc0905da', 'b19bc4b323b4476d845af258e0b395fc', 'False', 'True', 'false', 'false', '510725107662', 5, '兴隆场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725107662', 1, '2021-07-19 11:39:41', NULL, NULL), (9052, '', '桐麻村', '59bc901c2998411d94d85c0746df38c0', 'b19bc4b323b4476d845af258e0b395fc', 'False', 'True', 'false', 'false', '510725107715', 5, '桐麻村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725107715', 1, '2021-07-19 11:39:41', NULL, NULL), (9053, '', '罗桥村', '7d0da5f998a546c8af883c235828f3e6', 'b19bc4b323b4476d845af258e0b395fc', 'False', 'True', 'false', 'false', '510725107893', 5, '罗桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725107893', 1, '2021-07-19 11:39:41', NULL, NULL), (9054, '', '石牛镇', '1751b1f21cb04684b38b2a87bfe7904f', 'd23bcaffdab3487c99c408e6b2d93785', 'True', 'True', 'false', 'false', '510725108000', 4, '石牛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510725108000', 1, '2021-07-19 11:39:41', NULL, NULL), (9055, '', '双峰村', '4773c9bb7d004519a53e75bd5086cfa8', '1751b1f21cb04684b38b2a87bfe7904f', 'False', 'False', 'false', 'false', '510725108186', 5, '双峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725108186', 1, '2021-07-19 11:39:41', NULL, NULL), (9056, '', '清华村', 'c21b8cf535ad424fbe5fdad74de5b9cc', '1751b1f21cb04684b38b2a87bfe7904f', 'False', 'False', 'false', 'false', '510725108463', 5, '清华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725108463', 1, '2021-07-19 11:39:42', NULL, NULL), (9057, '', '友谊村', '0ad4b27769cf49e7831f5b70d28bc323', '1751b1f21cb04684b38b2a87bfe7904f', 'False', 'False', 'false', 'false', '510725108600', 5, '友谊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725108600', 1, '2021-07-19 11:39:42', NULL, NULL), (9058, '', '龙帽村', '8ff52c05938241358c6fefc72f609f36', '1751b1f21cb04684b38b2a87bfe7904f', 'False', 'False', 'false', 'false', '510725108671', 5, '龙帽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725108671', 1, '2021-07-19 11:39:42', NULL, NULL), (9059, '', '清河村', '35e8272e9c7f47f787454743a8b9a855', '1751b1f21cb04684b38b2a87bfe7904f', 'False', 'True', 'false', 'false', '510725108254', 5, '清河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725108254', 1, '2021-07-19 11:39:42', NULL, NULL), (9060, '', '雁门村', '4e755727c02b425285d18ffae9139434', '1751b1f21cb04684b38b2a87bfe7904f', 'False', 'True', 'false', 'false', '510725108383', 5, '雁门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725108383', 1, '2021-07-19 11:39:42', NULL, NULL), (9061, '', '金牛街社区', '659953f37b5f4c5ca9fecc4ccd18122d', '1751b1f21cb04684b38b2a87bfe7904f', 'False', 'True', 'false', 'false', '510725108467', 5, '金牛街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725108467', 1, '2021-07-19 11:39:42', NULL, NULL), (9062, '', '富强村', '5ecdf24089e445c7b1517045e83e8c2e', '1751b1f21cb04684b38b2a87bfe7904f', 'False', 'True', 'false', 'false', '510725108607', 5, '富强村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725108607', 1, '2021-07-19 11:39:42', NULL, NULL), (9063, '', '团结村', 'b77eade63aa746019f5ed106833258b3', '1751b1f21cb04684b38b2a87bfe7904f', 'False', 'True', 'false', 'false', '510725108628', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725108628', 1, '2021-07-19 11:39:42', NULL, NULL), (9064, '', '柳林村', '332ff74027044111b3acfbb740c4c2fa', '1751b1f21cb04684b38b2a87bfe7904f', 'False', 'True', 'false', 'false', '510725108642', 5, '柳林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725108642', 1, '2021-07-19 11:39:42', NULL, NULL), (9065, '', '双塘村', 'e17c73500e20435cbf4a9d55edf923db', '1751b1f21cb04684b38b2a87bfe7904f', 'False', 'True', 'false', 'false', '510725108769', 5, '双塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725108769', 1, '2021-07-19 11:39:42', NULL, NULL), (9066, '', '自强镇', 'a4eef07eac8a43a9be6d56bc2b2a2ec9', 'd23bcaffdab3487c99c408e6b2d93785', 'True', 'True', 'false', 'false', '510725109000', 4, '自强镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510725109000', 1, '2021-07-19 11:39:42', NULL, NULL), (9067, '', '建国村', '2854e72193684045b3bd19102eac4e22', 'a4eef07eac8a43a9be6d56bc2b2a2ec9', 'False', 'False', 'false', 'false', '510725109037', 5, '建国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725109037', 1, '2021-07-19 11:39:42', NULL, NULL), (9068, '', '二洞村', '6d683a492cb9419a8b6f3904952bedb5', 'a4eef07eac8a43a9be6d56bc2b2a2ec9', 'False', 'False', 'false', 'false', '510725109074', 5, '二洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725109074', 1, '2021-07-19 11:39:43', NULL, NULL), (9069, '', '思公村', 'cc3f473741014907ba29174ca038b33d', 'a4eef07eac8a43a9be6d56bc2b2a2ec9', 'False', 'False', 'false', 'false', '510725109142', 5, '思公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725109142', 1, '2021-07-19 11:39:43', NULL, NULL), (9070, '', '金光村', '31ba3c1e34af4b6cac176c9e1b9191bf', 'a4eef07eac8a43a9be6d56bc2b2a2ec9', 'False', 'False', 'false', 'false', '510725109425', 5, '金光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725109425', 1, '2021-07-19 11:39:43', NULL, NULL), (9071, '', '流泉村', '227a70ebe2dc4acbb12fad0bfc1cd478', 'a4eef07eac8a43a9be6d56bc2b2a2ec9', 'False', 'False', 'false', 'false', '510725109430', 5, '流泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725109430', 1, '2021-07-19 11:39:43', NULL, NULL), (9072, '', '马迎村', '07df51cdeae040fa901cefe74c1fdf1c', 'a4eef07eac8a43a9be6d56bc2b2a2ec9', 'False', 'False', 'false', 'false', '510725109921', 5, '马迎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725109921', 1, '2021-07-19 11:39:43', NULL, NULL), (9073, '', '黎明村', '21bd5e50208440128822f7d99126c110', 'a4eef07eac8a43a9be6d56bc2b2a2ec9', 'False', 'True', 'false', 'false', '510725109102', 5, '黎明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725109102', 1, '2021-07-19 11:39:43', NULL, NULL), (9074, '', '三合村', '832a1abce71c4d4ea89cb4511b38dbe8', 'a4eef07eac8a43a9be6d56bc2b2a2ec9', 'False', 'True', 'false', 'false', '510725109129', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725109129', 1, '2021-07-19 11:39:43', NULL, NULL), (9075, '', '大安社区', '062ac40b35b84c56afe7c50551162cf9', 'a4eef07eac8a43a9be6d56bc2b2a2ec9', 'False', 'True', 'false', 'false', '510725109349', 5, '大安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725109349', 1, '2021-07-19 11:39:43', NULL, NULL), (9076, '', '长征村', 'ada4e5928b584808867ab9e06942f07e', 'a4eef07eac8a43a9be6d56bc2b2a2ec9', 'False', 'True', 'false', 'false', '510725109882', 5, '长征村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725109882', 1, '2021-07-19 11:39:43', NULL, NULL), (9077, '', '仁和镇', 'f2f1561adea6469886e859b1dea47095', 'd23bcaffdab3487c99c408e6b2d93785', 'True', 'True', 'false', 'false', '510725110000', 4, '仁和镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510725110000', 1, '2021-07-19 11:39:43', NULL, NULL), (9078, '', '天台村', 'd5bee0f9c98948eb87a7697c3f47ae5c', 'f2f1561adea6469886e859b1dea47095', 'False', 'False', 'false', 'false', '510725110027', 5, '天台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725110027', 1, '2021-07-19 11:39:43', NULL, NULL), (9079, '', '金宝场社区居委会', '083abdc8f315409498c6592f5de1426d', 'f2f1561adea6469886e859b1dea47095', 'False', 'False', 'false', 'false', '510725110152', 5, '金宝场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725110152', 1, '2021-07-19 11:39:43', NULL, NULL), (9080, '', '曙光村', '54918c5e527d447b9c10b99a181796ba', 'f2f1561adea6469886e859b1dea47095', 'False', 'False', 'false', 'false', '510725110158', 5, '曙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725110158', 1, '2021-07-19 11:39:43', NULL, NULL), (9081, '', '里仁村', '00453504c95a4bd3bc272cbf58cd28b3', 'f2f1561adea6469886e859b1dea47095', 'False', 'False', 'false', 'false', '510725110279', 5, '里仁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725110279', 1, '2021-07-19 11:39:43', NULL, NULL), (9082, '', '新华村', '7ce1916bab9044f5bbc767f2f8b33ae3', 'f2f1561adea6469886e859b1dea47095', 'False', 'False', 'false', 'false', '510725110496', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725110496', 1, '2021-07-19 11:39:44', NULL, NULL), (9083, '', '松林村', '00e388b0684d452cbcfc226ef064b436', 'f2f1561adea6469886e859b1dea47095', 'False', 'False', 'false', 'false', '510725110665', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725110665', 1, '2021-07-19 11:39:44', NULL, NULL), (9084, '', '两河村', 'ccbf06d77ec14a9d85e19b72bb1f6232', 'f2f1561adea6469886e859b1dea47095', 'False', 'False', 'false', 'false', '510725110667', 5, '两河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725110667', 1, '2021-07-19 11:39:44', NULL, NULL), (9085, '', '青元村', '4fa7200c22e24154899ff0adb93ae1b6', 'f2f1561adea6469886e859b1dea47095', 'False', 'False', 'false', 'false', '510725110941', 5, '青元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725110941', 1, '2021-07-19 11:39:44', NULL, NULL), (9086, '', '秋树村', 'abfba0d85ebc437d879417226b4a93fb', 'f2f1561adea6469886e859b1dea47095', 'False', 'False', 'false', 'false', '510725110950', 5, '秋树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725110950', 1, '2021-07-19 11:39:44', NULL, NULL), (9087, '', '大新村', '9844b31d8fa7457bb857da1c68465548', 'f2f1561adea6469886e859b1dea47095', 'False', 'False', 'false', 'false', '510725110972', 5, '大新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725110972', 1, '2021-07-19 11:39:44', NULL, NULL), (9088, '', '檬桠村', 'fa6dc8cf7a084610a66da1297f72ed43', 'f2f1561adea6469886e859b1dea47095', 'False', 'True', 'false', 'false', '510725110236', 5, '檬桠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725110236', 1, '2021-07-19 11:39:44', NULL, NULL), (9089, '', '观龙村', '47d128735a854aeeac95ee7c355c6ec7', 'f2f1561adea6469886e859b1dea47095', 'False', 'True', 'false', 'false', '510725110351', 5, '观龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725110351', 1, '2021-07-19 11:39:44', NULL, NULL), (9090, '', '天乐村', 'cb31720ea61c462cb7e632c93fd7223a', 'f2f1561adea6469886e859b1dea47095', 'False', 'True', 'false', 'false', '510725110988', 5, '天乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725110988', 1, '2021-07-19 11:39:44', NULL, NULL), (9091, '', '宏仁镇', '9521db1f8b65438d9874ba952158844b', 'd23bcaffdab3487c99c408e6b2d93785', 'True', 'True', 'false', 'false', '510725202000', 4, '宏仁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510725202000', 1, '2021-07-19 11:39:44', NULL, NULL), (9092, '', '金宝村', '4898a42457cb416989890c212d2ff3cc', '9521db1f8b65438d9874ba952158844b', 'False', 'False', 'false', 'false', '510725118278', 5, '金宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725118278', 1, '2021-07-19 11:39:44', NULL, NULL), (9093, '', '石香台社区', '229174dc6bb941349034915a6a3b5d9d', '9521db1f8b65438d9874ba952158844b', 'False', 'False', 'false', 'false', '510725118339', 5, '石香台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725118339', 1, '2021-07-19 11:39:44', NULL, NULL), (9094, '', '石鸡村', 'e6c57bd7fdc84758a5f1892308f5f0a3', '9521db1f8b65438d9874ba952158844b', 'False', 'False', 'false', 'false', '510725118353', 5, '石鸡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725118353', 1, '2021-07-19 11:39:44', NULL, NULL), (9095, '', '白云村', '868c1bf82c5942ba8a3ac1f8ccc08f59', '9521db1f8b65438d9874ba952158844b', 'False', 'False', 'false', 'false', '510725118411', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725118411', 1, '2021-07-19 11:39:45', NULL, NULL), (9096, '', '长安村', '659afd925f574079b25ffb769c0f8373', '9521db1f8b65438d9874ba952158844b', 'False', 'False', 'false', 'false', '510725118543', 5, '长安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725118543', 1, '2021-07-19 11:39:45', NULL, NULL), (9097, '', '弘德村', 'dd1fc092455240f0966c22240843cadf', '9521db1f8b65438d9874ba952158844b', 'False', 'False', 'false', 'false', '510725118582', 5, '弘德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725118582', 1, '2021-07-19 11:39:45', NULL, NULL), (9098, '', '红星村', '2a3bc4b9d6af48d3be79d608758049d9', '9521db1f8b65438d9874ba952158844b', 'False', 'False', 'false', 'false', '510725118687', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725118687', 1, '2021-07-19 11:39:45', NULL, NULL), (9099, '', '长春村', '2eb99b09afbe4def9f96ab5a84da48d9', '9521db1f8b65438d9874ba952158844b', 'False', 'False', 'false', 'false', '510725118725', 5, '长春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725118725', 1, '2021-07-19 11:39:45', NULL, NULL), (9100, '', '石台村', '4e11cce1a31a48508fc7ea28f17a6d0b', '9521db1f8b65438d9874ba952158844b', 'False', 'False', 'false', 'false', '510725118758', 5, '石台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725118758', 1, '2021-07-19 11:39:45', NULL, NULL), (9101, '', '五星村', '97ae4f19e40347d185995b7f3c3442c9', '9521db1f8b65438d9874ba952158844b', 'False', 'False', 'false', 'false', '510725118967', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725118967', 1, '2021-07-19 11:39:45', NULL, NULL), (9102, '', '演武镇', 'a41e58042d6a41eb9e329341d1b5845a', 'd23bcaffdab3487c99c408e6b2d93785', 'True', 'True', 'false', 'false', '510725204000', 4, '演武镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510725204000', 1, '2021-07-19 11:39:45', NULL, NULL), (9103, '', '小亭村', 'cd8d7566efba47929b5f79d059a51307', 'a41e58042d6a41eb9e329341d1b5845a', 'False', 'False', 'false', 'false', '510725114061', 5, '小亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725114061', 1, '2021-07-19 11:39:45', NULL, NULL), (9104, '', '群联村', 'f14c8dd29f9f4f77aee0b18ba02e8824', 'a41e58042d6a41eb9e329341d1b5845a', 'False', 'False', 'false', 'false', '510725114366', 5, '群联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725114366', 1, '2021-07-19 11:39:45', NULL, NULL), (9105, '', '东山村', 'f7dc26c4b8924f4d808f7f341c78ab31', 'a41e58042d6a41eb9e329341d1b5845a', 'False', 'False', 'false', 'false', '510725114699', 5, '东山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725114699', 1, '2021-07-19 11:39:45', NULL, NULL), (9106, '', '红岩村', '34daef95769d4279b2a0e298c5d8c801', 'a41e58042d6a41eb9e329341d1b5845a', 'False', 'False', 'false', 'false', '510725114722', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725114722', 1, '2021-07-19 11:39:45', NULL, NULL), (9107, '', '上亭铺村', 'e6117836f223444dba72903b20375ec9', 'a41e58042d6a41eb9e329341d1b5845a', 'False', 'False', 'false', 'false', '510725114778', 5, '上亭铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725114778', 1, '2021-07-19 11:39:45', NULL, NULL), (9108, '', '玉泉村', 'a2dd708238724bd4b6293429587e800d', 'a41e58042d6a41eb9e329341d1b5845a', 'False', 'False', 'false', 'false', '510725114976', 5, '玉泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725114976', 1, '2021-07-19 11:39:45', NULL, NULL), (9109, '', '双板镇', '3d6d33ffc70d44008d02d8f787e96eaa', 'd23bcaffdab3487c99c408e6b2d93785', 'True', 'True', 'false', 'false', '510725206000', 4, '双板镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510725206000', 1, '2021-07-19 11:39:45', NULL, NULL), (9110, '', '菱角村', '0c697e2fd6594ee3a9cae6fb68cd855d', '3d6d33ffc70d44008d02d8f787e96eaa', 'False', 'True', 'false', 'false', '510725111225', 5, '菱角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725111225', 1, '2021-07-19 11:39:45', NULL, NULL), (9111, '', '桥龙村', '53393fc5f0ce493f98ec971c454bb6bd', '3d6d33ffc70d44008d02d8f787e96eaa', 'False', 'True', 'false', 'false', '510725111663', 5, '桥龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725111663', 1, '2021-07-19 11:39:45', NULL, NULL), (9112, '', '南垭村', 'bed7b3a7454942ed8e58839dabf745d4', '3d6d33ffc70d44008d02d8f787e96eaa', 'False', 'True', 'false', 'false', '510725111790', 5, '南垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725111790', 1, '2021-07-19 11:39:46', NULL, NULL), (9113, '', '石桥社区', '813853eff63341fca68a7f9b86b2b6ae', '3d6d33ffc70d44008d02d8f787e96eaa', 'False', 'True', 'false', 'false', '510725111844', 5, '石桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725111844', 1, '2021-07-19 11:39:46', NULL, NULL), (9114, '', '德胜村', 'f1827b0779404937aca0478d946451f2', '3d6d33ffc70d44008d02d8f787e96eaa', 'False', 'True', 'false', 'false', '510725111845', 5, '德胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725111845', 1, '2021-07-19 11:39:46', NULL, NULL), (9115, '', '新寨村', 'de91695a76a1495f95d4ea39650297a0', '3d6d33ffc70d44008d02d8f787e96eaa', 'False', 'True', 'false', 'false', '510725111959', 5, '新寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725111959', 1, '2021-07-19 11:39:46', NULL, NULL), (9116, '', '全胜村', 'c76a5069b2aa4ff6ae33b63e21a66bf2', '3d6d33ffc70d44008d02d8f787e96eaa', 'False', 'True', 'false', 'false', '510725111986', 5, '全胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725111986', 1, '2021-07-19 11:39:46', NULL, NULL), (9117, '', '金龙镇', '7687672ec8854875a8b6476ee856c950', 'd23bcaffdab3487c99c408e6b2d93785', 'True', 'True', 'false', 'false', '510725210000', 4, '金龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510725210000', 1, '2021-07-19 11:39:46', NULL, NULL), (9118, '', '金凤社区', '103a62be911143eda888787fba2a9f82', '7687672ec8854875a8b6476ee856c950', 'False', 'True', 'false', 'false', '510725112483', 5, '金凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725112483', 1, '2021-07-19 11:39:46', NULL, NULL), (9119, '', '金华村', '5cf49257c87a49b184bf9866cbd6f992', '7687672ec8854875a8b6476ee856c950', 'False', 'True', 'false', 'false', '510725210170', 5, '金华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725210170', 1, '2021-07-19 11:39:46', NULL, NULL), (9120, '', '金龙村', 'dedb300488f84b208e7691cb615813d6', '7687672ec8854875a8b6476ee856c950', 'False', 'True', 'false', 'false', '510725210383', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725210383', 1, '2021-07-19 11:39:46', NULL, NULL), (9121, '', '金莲村', '4424622d407f493193b4aff263882ad1', '7687672ec8854875a8b6476ee856c950', 'False', 'True', 'false', 'false', '510725210443', 5, '金莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725210443', 1, '2021-07-19 11:39:46', NULL, NULL), (9122, '', '龙凤村', '2bd6aab540fe4c4c8ea7e97d70bdf684', '7687672ec8854875a8b6476ee856c950', 'False', 'True', 'false', 'false', '510725210449', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725210449', 1, '2021-07-19 11:39:46', NULL, NULL), (9123, '', '栖凤村', '86bae00a5b894656bc23c84ff5d1fbba', '7687672ec8854875a8b6476ee856c950', 'False', 'True', 'false', 'false', '510725210513', 5, '栖凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725210513', 1, '2021-07-19 11:39:47', NULL, NULL), (9124, '', '青光村', '62fd3a3401aa4e038f55eaf2730416fd', '7687672ec8854875a8b6476ee856c950', 'False', 'True', 'false', 'false', '510725210553', 5, '青光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725210553', 1, '2021-07-19 11:39:47', NULL, NULL), (9125, '', '龙泉村', 'fa91d4a3f4e942d2b876225265ab6dca', '7687672ec8854875a8b6476ee856c950', 'False', 'True', 'false', 'false', '510725210689', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725210689', 1, '2021-07-19 11:39:47', NULL, NULL), (9126, '', '宝石乡', 'ce4c08e9b6e04ec68baa04e8f4042f85', 'd23bcaffdab3487c99c408e6b2d93785', 'True', 'True', 'false', 'false', '510725217000', 4, '宝石乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510725217000', 1, '2021-07-19 11:39:47', NULL, NULL), (9127, '', '阁楼村', '345c27d0310049ce97151b7bcd1cbe03', 'ce4c08e9b6e04ec68baa04e8f4042f85', 'False', 'True', 'false', 'false', '510725217204', 5, '阁楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725217204', 1, '2021-07-19 11:39:47', NULL, NULL), (9128, '', '同心村', 'bbdfddae33cb4e0dbaecc224ad2bbb72', 'ce4c08e9b6e04ec68baa04e8f4042f85', 'False', 'True', 'false', 'false', '510725217526', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725217526', 1, '2021-07-19 11:39:47', NULL, NULL), (9129, '', '土塔村', '743d12789fdf4ab0bce212a11eda2899', 'ce4c08e9b6e04ec68baa04e8f4042f85', 'False', 'True', 'false', 'false', '510725217614', 5, '土塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725217614', 1, '2021-07-19 11:39:47', NULL, NULL), (9130, '', '红豆村', 'a3502d3f50fa44d182be2834d739b97e', 'ce4c08e9b6e04ec68baa04e8f4042f85', 'False', 'True', 'false', 'false', '510725217745', 5, '红豆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725217745', 1, '2021-07-19 11:39:47', NULL, NULL), (9131, '', '庆祝村', 'fd021ca3aaed4379bf346ca73e62d666', 'ce4c08e9b6e04ec68baa04e8f4042f85', 'False', 'True', 'false', 'false', '510725217160', 5, '庆祝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725217160', 1, '2021-07-19 11:39:47', NULL, NULL), (9132, '', '斑竹村', 'ca44eb12856f4e26bdf03d06e207f3c2', 'ce4c08e9b6e04ec68baa04e8f4042f85', 'False', 'True', 'false', 'false', '510725217173', 5, '斑竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725217173', 1, '2021-07-19 11:39:47', NULL, NULL), (9133, '', '天生村', '3a42c79bb53d42fb9e54553511743ee5', 'ce4c08e9b6e04ec68baa04e8f4042f85', 'False', 'True', 'false', 'false', '510725217200', 5, '天生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725217200', 1, '2021-07-19 11:39:47', NULL, NULL), (9134, '', '白马村', '63c9ae5fab39458ca4baf3b44e7d56ce', 'ce4c08e9b6e04ec68baa04e8f4042f85', 'False', 'True', 'false', 'false', '510725217522', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725217522', 1, '2021-07-19 11:39:47', NULL, NULL), (9135, '', '场坝村', 'dfe3d130ef0b4102a13ad87b1d5ff7df', 'ce4c08e9b6e04ec68baa04e8f4042f85', 'False', 'True', 'false', 'false', '510725217524', 5, '场坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725217524', 1, '2021-07-19 11:39:47', NULL, NULL), (9136, '', '长梁村', '648d638ad2da4abdb24ad93e5a55ab2e', 'ce4c08e9b6e04ec68baa04e8f4042f85', 'False', 'True', 'false', 'false', '510725217629', 5, '长梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725217629', 1, '2021-07-19 11:39:47', NULL, NULL), (9137, '', '红卫村', '0e7b6c4b75fb4ccbaf726bb52b02118a', 'ce4c08e9b6e04ec68baa04e8f4042f85', 'False', 'True', 'false', 'false', '510725217946', 5, '红卫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725217946', 1, '2021-07-19 11:39:47', NULL, NULL), (9138, '', '文兴镇', 'aa6310fd1d014a5ab8ef6c677c86a6ea', 'd23bcaffdab3487c99c408e6b2d93785', 'True', 'True', 'false', 'false', '510725781000', 4, '文兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510725781000', 1, '2021-07-19 11:39:47', NULL, NULL), (9139, '', '灯塔村', 'b7a1a6a1f4794633b3a0c13d2678f13e', 'aa6310fd1d014a5ab8ef6c677c86a6ea', 'False', 'False', 'false', 'false', '510725113032', 5, '灯塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725113032', 1, '2021-07-19 11:39:47', NULL, NULL), (9140, '', '照耀村', '8e0ef262489244c2b80fc4b6292f5f18', 'aa6310fd1d014a5ab8ef6c677c86a6ea', 'False', 'False', 'false', 'false', '510725113199', 5, '照耀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725113199', 1, '2021-07-19 11:39:47', NULL, NULL), (9141, '', '盘龙村', 'adbc2201be5a46219c492a4f2710e6a8', 'aa6310fd1d014a5ab8ef6c677c86a6ea', 'False', 'False', 'false', 'false', '510725113356', 5, '盘龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725113356', 1, '2021-07-19 11:39:48', NULL, NULL), (9142, '', '文井社区', '20a7f88215384702a3de9580f53394bd', 'aa6310fd1d014a5ab8ef6c677c86a6ea', 'False', 'False', 'false', 'false', '510725113844', 5, '文井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725113844', 1, '2021-07-19 11:39:48', NULL, NULL), (9143, '', '火花村', '8c4d20c5e380455db7cbecde77d355bf', 'aa6310fd1d014a5ab8ef6c677c86a6ea', 'False', 'False', 'false', 'false', '510725113957', 5, '火花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725113957', 1, '2021-07-19 11:39:48', NULL, NULL), (9144, '', '双凤村', 'df2c827e8e464ca88058533a4c46f38b', 'aa6310fd1d014a5ab8ef6c677c86a6ea', 'False', 'False', 'false', 'false', '510725113970', 5, '双凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510725113970', 1, '2021-07-19 11:39:48', NULL, NULL), (9145, '', '盐亭县', '07e8f0f3ae78479aaac3e18c5a42450d', '06770f8688a045beaf53089460935c1e', 'True', 'True', 'false', 'false', '510723000000', 3, '盐亭县', 'mysytx.sczwfw.gov.cn', 1, '2021-07-19 11:39:48', NULL, NULL), (9146, '', '巨龙镇', '9be39d4d403c437295064dc5d1f10a35', '07e8f0f3ae78479aaac3e18c5a42450d', 'True', 'True', 'false', 'false', '510723001000', 4, '巨龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510723001000', 1, '2021-07-19 11:39:48', NULL, NULL), (9147, '', '石桥社区', 'ab31c95c08084a3282c9a8bc2c1590c0', '9be39d4d403c437295064dc5d1f10a35', 'False', 'True', 'false', 'false', '510723001043', 5, '石桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723001043', 1, '2021-07-19 11:39:48', NULL, NULL), (9148, '', '上月园社区', '91a6da28064343be9b39c1e9c835cfff', '9be39d4d403c437295064dc5d1f10a35', 'False', 'True', 'false', 'false', '510723001051', 5, '上月园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723001051', 1, '2021-07-19 11:39:48', NULL, NULL), (9149, '', '梓水村', '273cd414dff9420b8959e3275fbd2781', '9be39d4d403c437295064dc5d1f10a35', 'False', 'True', 'false', 'false', '510723001119', 5, '梓水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723001119', 1, '2021-07-19 11:39:48', NULL, NULL), (9150, '', '钟沟村', '679290471c324c158f690e15eae2bba4', '9be39d4d403c437295064dc5d1f10a35', 'False', 'True', 'false', 'false', '510723001158', 5, '钟沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723001158', 1, '2021-07-19 11:39:48', NULL, NULL), (9151, '', '江南社区', '56411fa796ec4a66a9764ba9463fc579', '9be39d4d403c437295064dc5d1f10a35', 'False', 'True', 'false', 'false', '510723001229', 5, '江南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723001229', 1, '2021-07-19 11:39:48', NULL, NULL), (9152, '', '两岔河社区', '7229dcb0289d44c7b0b3341f1cd37e57', '9be39d4d403c437295064dc5d1f10a35', 'False', 'True', 'false', 'false', '510723001508', 5, '两岔河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723001508', 1, '2021-07-19 11:39:48', NULL, NULL), (9153, '', '临江社区', '89fb23fc34684014a3a3b322fa91ebf2', '9be39d4d403c437295064dc5d1f10a35', 'False', 'True', 'false', 'false', '510723001626', 5, '临江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723001626', 1, '2021-07-19 11:39:48', NULL, NULL), (9154, '', '蒙子社区', '9d0d56f4c95f4fd6aff9b3896291eaf9', '9be39d4d403c437295064dc5d1f10a35', 'False', 'True', 'false', 'false', '510723001722', 5, '蒙子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723001722', 1, '2021-07-19 11:39:48', NULL, NULL), (9155, '', '青丰村', '9a6c1300f7b44fe3ba6b357262bccaf3', '9be39d4d403c437295064dc5d1f10a35', 'False', 'True', 'false', 'false', '510723001801', 5, '青丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723001801', 1, '2021-07-19 11:39:48', NULL, NULL), (9156, '', '麻秧社区', 'a51d1968061c4923a077ccf6ab30c3c3', '9be39d4d403c437295064dc5d1f10a35', 'False', 'True', 'false', 'false', '510723001820', 5, '麻秧社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723001820', 1, '2021-07-19 11:39:48', NULL, NULL), (9157, '', '金昌村', 'cf3f99b6777d4efb9f9abaf28a25fed2', '9be39d4d403c437295064dc5d1f10a35', 'False', 'True', 'false', 'false', '510723001822', 5, '金昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723001822', 1, '2021-07-19 11:39:48', NULL, NULL), (9158, '', '天水村', '2e8e988a9c2a4eb881ffa794ff0545e5', '9be39d4d403c437295064dc5d1f10a35', 'False', 'True', 'false', 'false', '510723001869', 5, '天水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723001869', 1, '2021-07-19 11:39:49', NULL, NULL), (9159, '', '胜利村', '142ea5b9c87b47628d60920e9f70db47', '9be39d4d403c437295064dc5d1f10a35', 'False', 'True', 'false', 'false', '510723001876', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723001876', 1, '2021-07-19 11:39:49', NULL, NULL), (9160, '', '下月园社区', '5c44697e1c4c4c65bec0cf99b830f390', '9be39d4d403c437295064dc5d1f10a35', 'False', 'True', 'false', 'false', '510723001978', 5, '下月园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723001978', 1, '2021-07-19 11:39:49', NULL, NULL), (9161, '', '东石村', '70680b13f3df47d38e66b0483cca6505', '9be39d4d403c437295064dc5d1f10a35', 'False', 'True', 'false', 'false', '510723001995', 5, '东石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723001995', 1, '2021-07-19 11:39:49', NULL, NULL), (9162, '', '凤灵街道', 'c5c6d29f18cf4bfba56a1416372bf16f', '07e8f0f3ae78479aaac3e18c5a42450d', 'True', 'True', 'false', 'false', '510723002000', 4, '凤灵街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510723002000', 1, '2021-07-19 11:39:49', NULL, NULL), (9163, '', '红光社区', '3be0f6c8c04a424d817ae5c7f39ba966', 'c5c6d29f18cf4bfba56a1416372bf16f', 'False', 'True', 'false', 'false', '510723002009', 5, '红光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723002009', 1, '2021-07-19 11:39:49', NULL, NULL), (9164, '', '指南社区', '1031d241d2dd4d5f8814eb30a2f80b26', 'c5c6d29f18cf4bfba56a1416372bf16f', 'False', 'True', 'false', 'false', '510723002069', 5, '指南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723002069', 1, '2021-07-19 11:39:49', NULL, NULL), (9165, '', '文同路社区', '1a40df4ba5094eacaceef547a4b216e4', 'c5c6d29f18cf4bfba56a1416372bf16f', 'False', 'True', 'false', 'false', '510723002073', 5, '文同路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723002073', 1, '2021-07-19 11:39:49', NULL, NULL), (9166, '', '梅花村', '67a9c6518eea413784199fc590a389c7', 'c5c6d29f18cf4bfba56a1416372bf16f', 'False', 'True', 'false', 'false', '510723002201', 5, '梅花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723002201', 1, '2021-07-19 11:39:49', NULL, NULL), (9167, '', '云盘社区', 'a3a317b7002343d7bfcfe829e0d2ec98', 'c5c6d29f18cf4bfba56a1416372bf16f', 'False', 'True', 'false', 'false', '510723002236', 5, '云盘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723002236', 1, '2021-07-19 11:39:49', NULL, NULL), (9168, '', '石岭社区', '68f7da9bb46741f8b8d1bd94395cdc11', 'c5c6d29f18cf4bfba56a1416372bf16f', 'False', 'True', 'false', 'false', '510723002245', 5, '石岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723002245', 1, '2021-07-19 11:39:49', NULL, NULL), (9169, '', '先锋社区', '543d5d10d2af49f6b2254f24d6218a8f', 'c5c6d29f18cf4bfba56a1416372bf16f', 'False', 'True', 'false', 'false', '510723002300', 5, '先锋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723002300', 1, '2021-07-19 11:39:49', NULL, NULL), (9170, '', '三义社区', '35f7355734d74c3490dc3228b408ce8c', 'c5c6d29f18cf4bfba56a1416372bf16f', 'False', 'True', 'false', 'false', '510723002301', 5, '三义社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723002301', 1, '2021-07-19 11:39:49', NULL, NULL), (9171, '', '石龙社区', '1b896fddeca54759b985d81a4d390d68', 'c5c6d29f18cf4bfba56a1416372bf16f', 'False', 'True', 'false', 'false', '510723002385', 5, '石龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723002385', 1, '2021-07-19 11:39:49', NULL, NULL), (9172, '', '万安社区', '81efc1495faa4971aafac688199c67f4', 'c5c6d29f18cf4bfba56a1416372bf16f', 'False', 'True', 'false', 'false', '510723002483', 5, '万安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723002483', 1, '2021-07-19 11:39:50', NULL, NULL), (9173, '', '南街社区', 'eaa5454371dd44ebbcbd3e644254fa13', 'c5c6d29f18cf4bfba56a1416372bf16f', 'False', 'True', 'false', 'false', '510723002531', 5, '南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723002531', 1, '2021-07-19 11:39:50', NULL, NULL), (9174, '', '滨江社区', 'd2561a282b374a4e95045ed9a3d0991b', 'c5c6d29f18cf4bfba56a1416372bf16f', 'False', 'True', 'false', 'false', '510723002588', 5, '滨江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723002588', 1, '2021-07-19 11:39:50', NULL, NULL), (9175, '', '东街社区', '296df6a886704154b1d4097b18ad3442', 'c5c6d29f18cf4bfba56a1416372bf16f', 'False', 'True', 'false', 'false', '510723002710', 5, '东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723002710', 1, '2021-07-19 11:39:50', NULL, NULL), (9176, '', '城东路社区', '4f0035c4f9bb41ae8a19538a8439e111', 'c5c6d29f18cf4bfba56a1416372bf16f', 'False', 'True', 'false', 'false', '510723002900', 5, '城东路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723002900', 1, '2021-07-19 11:39:50', NULL, NULL), (9177, '', '北街社区', '2feee31da14d47d69c55738cddaf739d', 'c5c6d29f18cf4bfba56a1416372bf16f', 'False', 'True', 'false', 'false', '510723002901', 5, '北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723002901', 1, '2021-07-19 11:39:50', NULL, NULL), (9178, '', '新西街社区', 'ee3bc3c6e8d14aed9ba132a74415bb1c', 'c5c6d29f18cf4bfba56a1416372bf16f', 'False', 'True', 'false', 'false', '510723002957', 5, '新西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723002957', 1, '2021-07-19 11:39:50', NULL, NULL), (9179, '', '云溪镇', 'f9a7c3507a12479ea56a9f6a81a2bb6e', '07e8f0f3ae78479aaac3e18c5a42450d', 'True', 'True', 'false', 'false', '510723100000', 4, '云溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510723100000', 1, '2021-07-19 11:39:50', NULL, NULL), (9180, '', '新农村', 'f7e3278c0efd4137844f1d2cea24c8ef', 'f9a7c3507a12479ea56a9f6a81a2bb6e', 'False', 'True', 'false', 'false', '510723100011', 5, '新农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723100011', 1, '2021-07-19 11:39:50', NULL, NULL), (9181, '', '复兴村', '6613c300d1384b1b99daf0c4f69e45f9', 'f9a7c3507a12479ea56a9f6a81a2bb6e', 'False', 'True', 'false', 'false', '510723100022', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723100022', 1, '2021-07-19 11:39:50', NULL, NULL), (9182, '', '凤池街社区', 'ea5498827ad9406c9bec393d4c68711e', 'f9a7c3507a12479ea56a9f6a81a2bb6e', 'False', 'True', 'false', 'false', '510723100166', 5, '凤池街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723100166', 1, '2021-07-19 11:39:50', NULL, NULL), (9183, '', '弥江路社区', '9c8ee4659cdd4f7c8741e83e3655936e', 'f9a7c3507a12479ea56a9f6a81a2bb6e', 'False', 'True', 'false', 'false', '510723100338', 5, '弥江路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723100338', 1, '2021-07-19 11:39:50', NULL, NULL), (9184, '', '鳌鱼村', '389211a07b844394918bfc91dd6df42c', 'f9a7c3507a12479ea56a9f6a81a2bb6e', 'False', 'True', 'false', 'false', '510723100484', 5, '鳌鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723100484', 1, '2021-07-19 11:39:50', NULL, NULL), (9185, '', '东永村', '9326b339420b4abfa63f073d7ed4f8d6', 'f9a7c3507a12479ea56a9f6a81a2bb6e', 'False', 'True', 'false', 'false', '510723100518', 5, '东永村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723100518', 1, '2021-07-19 11:39:50', NULL, NULL), (9186, '', '三清村', '4bd39292e6074cc6b77d259b7ea33260', 'f9a7c3507a12479ea56a9f6a81a2bb6e', 'False', 'True', 'false', 'false', '510723100519', 5, '三清村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723100519', 1, '2021-07-19 11:39:51', NULL, NULL), (9187, '', '阳山村', '2bb6e8316bdc4544be21aed34abac65c', 'f9a7c3507a12479ea56a9f6a81a2bb6e', 'False', 'True', 'false', 'false', '510723100885', 5, '阳山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723100885', 1, '2021-07-19 11:39:51', NULL, NULL), (9188, '', '石牌村', '868ec59ab563406aa77b21ec999f297c', 'f9a7c3507a12479ea56a9f6a81a2bb6e', 'False', 'True', 'false', 'false', '510723100947', 5, '石牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723100947', 1, '2021-07-19 11:39:51', NULL, NULL), (9189, '', '玉龙镇', '0c60e73cba1d41eebcb11e2534969388', '07e8f0f3ae78479aaac3e18c5a42450d', 'True', 'True', 'false', 'false', '510723101000', 4, '玉龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510723101000', 1, '2021-07-19 11:39:51', NULL, NULL), (9190, '', '龙门村', '34430b6d240d4ce4882d0f2f828fd685', '0c60e73cba1d41eebcb11e2534969388', 'False', 'True', 'false', 'false', '510723101011', 5, '龙门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723101011', 1, '2021-07-19 11:39:51', NULL, NULL), (9191, '', '双兴村', '2ce841f786674fceb02a93261f499f0e', '0c60e73cba1d41eebcb11e2534969388', 'False', 'True', 'false', 'false', '510723101028', 5, '双兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723101028', 1, '2021-07-19 11:39:51', NULL, NULL), (9192, '', '青峰岭村', 'e8a63da2f9a04b61867f83b56fa5ce72', '0c60e73cba1d41eebcb11e2534969388', 'False', 'True', 'false', 'false', '510723101033', 5, '青峰岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723101033', 1, '2021-07-19 11:39:51', NULL, NULL), (9193, '', '广向村', '86f71d3266d94451a8a53ced4f4cac96', '0c60e73cba1d41eebcb11e2534969388', 'False', 'True', 'false', 'false', '510723101044', 5, '广向村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723101044', 1, '2021-07-19 11:39:51', NULL, NULL), (9194, '', '黄溪村', '9f45ccf542b2432ba75444189a09ea0f', '0c60e73cba1d41eebcb11e2534969388', 'False', 'True', 'false', 'false', '510723101111', 5, '黄溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723101111', 1, '2021-07-19 11:39:51', NULL, NULL), (9195, '', '望江社区', '5a63f6c50d8e4effa7828f7c8bbda53a', '0c60e73cba1d41eebcb11e2534969388', 'False', 'True', 'false', 'false', '510723101158', 5, '望江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723101158', 1, '2021-07-19 11:39:51', NULL, NULL), (9196, '', '梓江村', '252a06bf52b045659e41adfa28bc884e', '0c60e73cba1d41eebcb11e2534969388', 'False', 'True', 'false', 'false', '510723101172', 5, '梓江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723101172', 1, '2021-07-19 11:39:51', NULL, NULL), (9197, '', '新家沟村', 'c49917e16f0745f9ae172e0e3550830c', '0c60e73cba1d41eebcb11e2534969388', 'False', 'True', 'false', 'false', '510723101199', 5, '新家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723101199', 1, '2021-07-19 11:39:51', NULL, NULL), (9198, '', '永兴社区', 'd1428e9f828c412daf20c6d179dc5772', '0c60e73cba1d41eebcb11e2534969388', 'False', 'True', 'false', 'false', '510723101203', 5, '永兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723101203', 1, '2021-07-19 11:39:51', NULL, NULL), (9199, '', '三星村', '547fa9b9b7934d65abd8e4c7259302cb', '0c60e73cba1d41eebcb11e2534969388', 'False', 'True', 'false', 'false', '510723101459', 5, '三星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723101459', 1, '2021-07-19 11:39:51', NULL, NULL), (9200, '', '保星村', '60ee06794ca345f9bf8fa47e4d781722', '0c60e73cba1d41eebcb11e2534969388', 'False', 'True', 'false', 'false', '510723101575', 5, '保星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723101575', 1, '2021-07-19 11:39:51', NULL, NULL), (9201, '', '腾龙社区', '83fa0dd4eb9a4ee4a814fa8e8c6667e8', '0c60e73cba1d41eebcb11e2534969388', 'False', 'True', 'false', 'false', '510723101691', 5, '腾龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723101691', 1, '2021-07-19 11:39:51', NULL, NULL), (9202, '', '照红村', 'd9d29175cc20451ebb9c3495405b4a22', '0c60e73cba1d41eebcb11e2534969388', 'False', 'True', 'false', 'false', '510723101777', 5, '照红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723101777', 1, '2021-07-19 11:39:51', NULL, NULL), (9203, '', '天垣村', '074e3b1c0a67458595b6998be11fb09c', '0c60e73cba1d41eebcb11e2534969388', 'False', 'True', 'false', 'false', '510723101824', 5, '天垣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723101824', 1, '2021-07-19 11:39:51', NULL, NULL), (9204, '', '富驿镇', '86da1bb35c8348eda7d2df08c21ec2cf', '07e8f0f3ae78479aaac3e18c5a42450d', 'True', 'True', 'false', 'false', '510723102000', 4, '富驿镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510723102000', 1, '2021-07-19 11:39:51', NULL, NULL), (9205, '', '三岔村', 'fc9315121df74990847e6dbd67ea0378', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102002', 5, '三岔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102002', 1, '2021-07-19 11:39:51', NULL, NULL), (9206, '', '五柳村', '03037118d7934c7c9aa0d71a5e8a49d4', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102023', 5, '五柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102023', 1, '2021-07-19 11:39:52', NULL, NULL), (9207, '', '宝山社区', 'a09f98473a744414a9891fddb5e81508', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102024', 5, '宝山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102024', 1, '2021-07-19 11:39:52', NULL, NULL), (9208, '', '青献村', 'ed7e08e04c60431aaaae317be97753a4', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102225', 5, '青献村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102225', 1, '2021-07-19 11:39:52', NULL, NULL), (9209, '', '涪山村', 'fa32c1a42ca84bf7a2b7d1584af3cbce', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102236', 5, '涪山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102236', 1, '2021-07-19 11:39:52', NULL, NULL), (9210, '', '光荣村', 'd08d4cf3e9224ec192a36feb8ea52e17', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102265', 5, '光荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102265', 1, '2021-07-19 11:39:52', NULL, NULL), (9211, '', '金安社区', 'c7d6f3e3df744708a5bca1e7b0bf0ac9', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102279', 5, '金安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102279', 1, '2021-07-19 11:39:52', NULL, NULL), (9212, '', '花林村', '3f4a94b19f38458bb53d754380f962bf', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102310', 5, '花林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102310', 1, '2021-07-19 11:39:52', NULL, NULL), (9213, '', '前锋村', '125527dbeed1490795f541a3e1e6c160', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102405', 5, '前锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102405', 1, '2021-07-19 11:39:52', NULL, NULL), (9214, '', '凤阳村', '9146937909d24d1e9e4bf72b8ea32cc7', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102441', 5, '凤阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102441', 1, '2021-07-19 11:39:52', NULL, NULL), (9215, '', '龙坛村', '66c73959d5544c92bd6297e5e3fb13f0', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102471', 5, '龙坛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102471', 1, '2021-07-19 11:39:52', NULL, NULL), (9216, '', '雄关村', 'e29b3f55723c4954bf9265708cf79d8c', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102487', 5, '雄关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102487', 1, '2021-07-19 11:39:52', NULL, NULL), (9217, '', '高峰村', '751d4765ca9a466fb470a7c3d0226b2e', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102518', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102518', 1, '2021-07-19 11:39:52', NULL, NULL), (9218, '', '复明村', 'b7cb4a94831a4a34bf69c1a2f5f7af7d', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102569', 5, '复明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102569', 1, '2021-07-19 11:39:52', NULL, NULL), (9219, '', '五马社区', '7d722139d7524913baea115e9cb1ba0d', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102645', 5, '五马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102645', 1, '2021-07-19 11:39:52', NULL, NULL), (9220, '', '红关村', '09179f694d254642a0cab62960daf634', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102656', 5, '红关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102656', 1, '2021-07-19 11:39:52', NULL, NULL), (9221, '', '华龙村', '5e8d20bf1239409d8fde207819f140d1', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102785', 5, '华龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102785', 1, '2021-07-19 11:39:52', NULL, NULL), (9222, '', '文汇社区', '90a8d89bcf2f4555bc33ecc71e3528cd', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102797', 5, '文汇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102797', 1, '2021-07-19 11:39:52', NULL, NULL), (9223, '', '幸福村', '8956849570884381ad5c29b73ff4d444', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102799', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102799', 1, '2021-07-19 11:39:52', NULL, NULL), (9224, '', '三联村', 'b5078b148b7549a3adbb6f8b2ad591ca', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102864', 5, '三联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102864', 1, '2021-07-19 11:39:53', NULL, NULL), (9225, '', '回龙村', '8ec6b3fe265243358a35b9b6df9564d7', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102881', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102881', 1, '2021-07-19 11:39:53', NULL, NULL), (9226, '', '铜泰村', '691bd291ba344b9d93910bb095282df8', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102886', 5, '铜泰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102886', 1, '2021-07-19 11:39:53', NULL, NULL), (9227, '', '五星村', 'f6f84e7f072c4c53a441b1dd743e5107', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102908', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102908', 1, '2021-07-19 11:39:53', NULL, NULL), (9228, '', '大新村', 'b575ec4a0ef44a92b75fad070b59dfa4', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102914', 5, '大新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102914', 1, '2021-07-19 11:39:53', NULL, NULL), (9229, '', '梨园村', '61d3f3974c18442f84514cf0b5f318cb', '86da1bb35c8348eda7d2df08c21ec2cf', 'False', 'True', 'false', 'false', '510723102956', 5, '梨园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723102956', 1, '2021-07-19 11:39:53', NULL, NULL), (9230, '', '金孔镇', 'ed8f08ff400548c485126e9dc3f578aa', '07e8f0f3ae78479aaac3e18c5a42450d', 'True', 'True', 'false', 'false', '510723103000', 4, '金孔镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510723103000', 1, '2021-07-19 11:39:53', NULL, NULL), (9231, '', '古来社区', 'ed82afb0b9bd4464b9f642a2079b85ad', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103020', 5, '古来社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103020', 1, '2021-07-19 11:39:53', NULL, NULL), (9232, '', '西玉龙村', 'a4752341f7494d449c3ae46092ff7076', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103073', 5, '西玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103073', 1, '2021-07-19 11:39:53', NULL, NULL), (9233, '', '玉印村', 'd22c465d65024e429edc9a9247596fe7', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103172', 5, '玉印村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103172', 1, '2021-07-19 11:39:53', NULL, NULL), (9234, '', '檬垭村', 'e200e1a8aeb245379ffb7d5d4ae5bb27', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103197', 5, '檬垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103197', 1, '2021-07-19 11:39:53', NULL, NULL), (9235, '', '安佛社区', 'f3175c9480054032b56d1a50d73ac07b', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103216', 5, '安佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103216', 1, '2021-07-19 11:39:53', NULL, NULL), (9236, '', '红房村', '0ab1e954779a433386440a56f162d644', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103248', 5, '红房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103248', 1, '2021-07-19 11:39:53', NULL, NULL), (9237, '', '桃李村', '92d2509532554c09bfe691eb94ce8c45', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103265', 5, '桃李村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103265', 1, '2021-07-19 11:39:53', NULL, NULL), (9238, '', '思源社区', 'bdd0b7bb9c7740b98ca4acf36050ea8b', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103279', 5, '思源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103279', 1, '2021-07-19 11:39:53', NULL, NULL), (9239, '', '强云村', 'e312d4c963a1447480287c765a9703ee', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103288', 5, '强云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103288', 1, '2021-07-19 11:39:53', NULL, NULL), (9240, '', '孟阳村', 'eca139fd770e4dd093afb02293697f26', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103298', 5, '孟阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103298', 1, '2021-07-19 11:39:53', NULL, NULL), (9241, '', '凤凰村', '31628334e7db498f8b3b1990e75d7391', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103322', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103322', 1, '2021-07-19 11:39:53', NULL, NULL), (9242, '', '大同村', '1fd45aa059d344c997481519090790e5', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103348', 5, '大同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103348', 1, '2021-07-19 11:39:53', NULL, NULL), (9243, '', '木冈村', '22fe0b73b77e4465b09d7df5873dd40d', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103394', 5, '木冈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103394', 1, '2021-07-19 11:39:53', NULL, NULL), (9244, '', '蟠龙村', 'e796e902550144fe97c4851f2c3aeb3f', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103447', 5, '蟠龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103447', 1, '2021-07-19 11:39:54', NULL, NULL), (9245, '', '同心村', '1306dbe434c04c6a812139efa52dca1a', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103472', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103472', 1, '2021-07-19 11:39:54', NULL, NULL), (9246, '', '宗海社区', '854a05e24f6f41049ec663194caa2a28', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103473', 5, '宗海社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103473', 1, '2021-07-19 11:39:54', NULL, NULL), (9247, '', '林岩村', 'ceea7cba8b12401ba4c85ec8a8cd6da0', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103491', 5, '林岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103491', 1, '2021-07-19 11:39:54', NULL, NULL), (9248, '', '万合山村', '33cc0105d9bb462ca7c38628d997b205', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103620', 5, '万合山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103620', 1, '2021-07-19 11:39:54', NULL, NULL), (9249, '', '洗泽社区', '92d1c4a95eb64e29814cc7e719fd77d2', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103648', 5, '洗泽社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103648', 1, '2021-07-19 11:39:54', NULL, NULL), (9250, '', '玉石村', '71403fecc9c349a1aef48cbc32ba686d', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103653', 5, '玉石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103653', 1, '2021-07-19 11:39:54', NULL, NULL), (9251, '', '五云村', '939ba0fc05ca40dd9cfc0f3a141da703', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103718', 5, '五云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103718', 1, '2021-07-19 11:39:54', NULL, NULL), (9252, '', '石房村', '28c8f23e56504014ae2e3e4c632c2658', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103741', 5, '石房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103741', 1, '2021-07-19 11:39:54', NULL, NULL), (9253, '', '宝马村', 'c9f9ed453b974efc8a8cc4a1928d9ddb', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103778', 5, '宝马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103778', 1, '2021-07-19 11:39:54', NULL, NULL), (9254, '', '金佛社区', 'd95d16079a7e45e7b0a23a92aa7db98c', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103863', 5, '金佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103863', 1, '2021-07-19 11:39:54', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (9255, '', '洋溪村', '8ab24449b4fd4ec9adabbe01eecd24f9', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103956', 5, '洋溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103956', 1, '2021-07-19 11:39:54', NULL, NULL), (9256, '', '天台村', 'e3982d6ca25e4960bf9dd4b8dbfb084d', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103957', 5, '天台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103957', 1, '2021-07-19 11:39:54', NULL, NULL), (9257, '', '东陵村', 'db862b584bc84eac91458976897ecfa5', 'ed8f08ff400548c485126e9dc3f578aa', 'False', 'True', 'false', 'false', '510723103990', 5, '东陵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723103990', 1, '2021-07-19 11:39:54', NULL, NULL), (9258, '', '黄甸镇', '678a981771a5471e8a6c3f1156027683', '07e8f0f3ae78479aaac3e18c5a42450d', 'True', 'True', 'false', 'false', '510723105000', 4, '黄甸镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510723105000', 1, '2021-07-19 11:39:54', NULL, NULL), (9259, '', '高林村', 'bad2abb2280b4639b3ffd85de7d5d753', '678a981771a5471e8a6c3f1156027683', 'False', 'True', 'false', 'false', '510723105003', 5, '高林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723105003', 1, '2021-07-19 11:39:54', NULL, NULL), (9260, '', '湍江社区', '3ca9dd4dbe984d87ac20301ae052aa7d', '678a981771a5471e8a6c3f1156027683', 'False', 'True', 'false', 'false', '510723105115', 5, '湍江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723105115', 1, '2021-07-19 11:39:54', NULL, NULL), (9261, '', '万泉村', 'da6b2902f8ef4c13a46e753071bc7d6b', '678a981771a5471e8a6c3f1156027683', 'False', 'True', 'false', 'false', '510723105118', 5, '万泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723105118', 1, '2021-07-19 11:39:54', NULL, NULL), (9262, '', '黄天坝社区', '21ea9b5c94c94c6688f3bd02ce4d2b29', '678a981771a5471e8a6c3f1156027683', 'False', 'True', 'false', 'false', '510723105184', 5, '黄天坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723105184', 1, '2021-07-19 11:39:54', NULL, NULL), (9263, '', '净铭村', '426355cadad247039c80a7f8931a683b', '678a981771a5471e8a6c3f1156027683', 'False', 'True', 'false', 'false', '510723105293', 5, '净铭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723105293', 1, '2021-07-19 11:39:55', NULL, NULL), (9264, '', '定光村', 'aff3062033744d509ad09028786cc3e0', '678a981771a5471e8a6c3f1156027683', 'False', 'True', 'false', 'false', '510723105307', 5, '定光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723105307', 1, '2021-07-19 11:39:55', NULL, NULL), (9265, '', '三元社区', 'b124570cc70747aab90a0fa30989b958', '678a981771a5471e8a6c3f1156027683', 'False', 'True', 'false', 'false', '510723105331', 5, '三元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723105331', 1, '2021-07-19 11:39:55', NULL, NULL), (9266, '', '金马村', 'd6300127731d473da6c7d4f76100168d', '678a981771a5471e8a6c3f1156027683', 'False', 'True', 'false', 'false', '510723105411', 5, '金马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723105411', 1, '2021-07-19 11:39:55', NULL, NULL), (9267, '', '金益村', 'd46419c47559413c98d3f1fdefe624f5', '678a981771a5471e8a6c3f1156027683', 'False', 'True', 'false', 'false', '510723105645', 5, '金益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723105645', 1, '2021-07-19 11:39:55', NULL, NULL), (9268, '', '龙台村', '747017e9189a4b428bc0e13607a6a140', '678a981771a5471e8a6c3f1156027683', 'False', 'True', 'false', 'false', '510723105654', 5, '龙台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723105654', 1, '2021-07-19 11:39:55', NULL, NULL), (9269, '', '三学村', 'dcc7df8ba5134a8cb63e3ea83bddc4f0', '678a981771a5471e8a6c3f1156027683', 'False', 'True', 'false', 'false', '510723105662', 5, '三学村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723105662', 1, '2021-07-19 11:39:55', NULL, NULL), (9270, '', '保安村', 'c90f56745f0542f281d7bef432d95cd4', '678a981771a5471e8a6c3f1156027683', 'False', 'True', 'false', 'false', '510723105809', 5, '保安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723105809', 1, '2021-07-19 11:39:55', NULL, NULL), (9271, '', '利和村', '08643c8bc4504f46884646622198f614', '678a981771a5471e8a6c3f1156027683', 'False', 'True', 'false', 'false', '510723105925', 5, '利和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723105925', 1, '2021-07-19 11:39:55', NULL, NULL), (9272, '', '长乐村', '9d6af0e429ea48ca9d05640aac2e6e6c', '678a981771a5471e8a6c3f1156027683', 'False', 'True', 'false', 'false', '510723105942', 5, '长乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723105942', 1, '2021-07-19 11:39:55', NULL, NULL), (9273, '', '笔塔村', 'ae611a7d00154419b0a0ddaedd22d4eb', '678a981771a5471e8a6c3f1156027683', 'False', 'True', 'false', 'false', '510723105995', 5, '笔塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723105995', 1, '2021-07-19 11:39:55', NULL, NULL), (9274, '', '岐伯镇', '83786472c8d244faa09c13b43e2474e7', '07e8f0f3ae78479aaac3e18c5a42450d', 'True', 'True', 'false', 'false', '510723106000', 4, '岐伯镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510723106000', 1, '2021-07-19 11:39:55', NULL, NULL), (9275, '', '榆龙社区', '1a1a52cf5b7141a69869397611e7f73c', '83786472c8d244faa09c13b43e2474e7', 'False', 'True', 'false', 'false', '510723106001', 5, '榆龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723106001', 1, '2021-07-19 11:39:55', NULL, NULL), (9276, '', '云龙村', '3f94639653ce4b539ed718ba93a17bc2', '83786472c8d244faa09c13b43e2474e7', 'False', 'True', 'false', 'false', '510723106035', 5, '云龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723106035', 1, '2021-07-19 11:39:56', NULL, NULL), (9277, '', '岐伯社区', 'c3544b49f9014c4d896692cd2ac9960d', '83786472c8d244faa09c13b43e2474e7', 'False', 'True', 'false', 'false', '510723106111', 5, '岐伯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723106111', 1, '2021-07-19 11:39:56', NULL, NULL), (9278, '', '前头村', '0e33482adf8344f9907102e8a2deecba', '83786472c8d244faa09c13b43e2474e7', 'False', 'True', 'false', 'false', '510723106128', 5, '前头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723106128', 1, '2021-07-19 11:39:56', NULL, NULL), (9279, '', '高峯村', '752c1326df654872a5af1d7a06ab9039', '83786472c8d244faa09c13b43e2474e7', 'False', 'True', 'false', 'false', '510723106187', 5, '高峯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723106187', 1, '2021-07-19 11:39:56', NULL, NULL), (9280, '', '新桥社区', '9a76717a287a4080b2ff04d173d92deb', '83786472c8d244faa09c13b43e2474e7', 'False', 'True', 'false', 'false', '510723106449', 5, '新桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723106449', 1, '2021-07-19 11:39:56', NULL, NULL), (9281, '', '青马村', '332b4c8c78e748c18d4994a397a2a670', '83786472c8d244faa09c13b43e2474e7', 'False', 'True', 'false', 'false', '510723106507', 5, '青马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723106507', 1, '2021-07-19 11:39:56', NULL, NULL), (9282, '', '三合村', 'a51d24d445464a1eb2224e5556f520f4', '83786472c8d244faa09c13b43e2474e7', 'False', 'True', 'false', 'false', '510723106716', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723106716', 1, '2021-07-19 11:39:56', NULL, NULL), (9283, '', '燕来村', '43af3987394c4a8498e7d4dcb22bfd6f', '83786472c8d244faa09c13b43e2474e7', 'False', 'True', 'false', 'false', '510723106779', 5, '燕来村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723106779', 1, '2021-07-19 11:39:56', NULL, NULL), (9284, '', '麒阳村', 'a78276bd0a9646a9baeef1deb6ea6537', '83786472c8d244faa09c13b43e2474e7', 'False', 'True', 'false', 'false', '510723106807', 5, '麟阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723106807', 1, '2021-07-19 11:39:56', NULL, NULL), (9285, '', '广福村', '0a44573a0be941789751088308cfdd0f', '83786472c8d244faa09c13b43e2474e7', 'False', 'True', 'false', 'false', '510723106832', 5, '广福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723106832', 1, '2021-07-19 11:39:56', NULL, NULL), (9286, '', '麟龙村', '77dfa0d0aabe42d28c4d71286e62d03c', '83786472c8d244faa09c13b43e2474e7', 'False', 'True', 'false', 'false', '510723106845', 5, '麟龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723106845', 1, '2021-07-19 11:39:56', NULL, NULL), (9287, '', '伯乐村', '0efd3c3c2f1c4e4ea044114e507554c6', '83786472c8d244faa09c13b43e2474e7', 'False', 'True', 'false', 'false', '510723106864', 5, '伯乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723106864', 1, '2021-07-19 11:39:56', NULL, NULL), (9288, '', '联合村', '6e6ef983ab7b4438a85e1a247e2295ce', '83786472c8d244faa09c13b43e2474e7', 'False', 'True', 'false', 'false', '510723106870', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723106870', 1, '2021-07-19 11:39:56', NULL, NULL), (9289, '', '龙前村', 'e5954d8c43b14c31aa3fb9ac74c2d4fb', '83786472c8d244faa09c13b43e2474e7', 'False', 'True', 'false', 'false', '510723106919', 5, '龙前村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723106919', 1, '2021-07-19 11:39:56', NULL, NULL), (9290, '', '龙顾村', '38b4febb4b6a4cd5a1f1870b1771dacc', '83786472c8d244faa09c13b43e2474e7', 'False', 'True', 'false', 'false', '510723106954', 5, '龙顾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723106954', 1, '2021-07-19 11:39:56', NULL, NULL), (9291, '', '九龙镇', 'f784e23b04ee4a51b56db295b8e72a79', '07e8f0f3ae78479aaac3e18c5a42450d', 'True', 'True', 'false', 'false', '510723107000', 4, '九龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510723107000', 1, '2021-07-19 11:39:57', NULL, NULL), (9292, '', '龙潭村', '0befc644adc4444fa18abedefcc2d441', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107023', 5, '龙潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107023', 1, '2021-07-19 11:39:57', NULL, NULL), (9293, '', '仁广村', 'ef7de0f15fd24e3b81eee44515e302f2', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107083', 5, '仁广村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107083', 1, '2021-07-19 11:39:57', NULL, NULL), (9294, '', '紫龙村', '2772f0bf8b8b4e61afe935e1d6442b86', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107090', 5, '紫龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107090', 1, '2021-07-19 11:39:57', NULL, NULL), (9295, '', '桃花村', '303f9a65d04b42038fdb26b08fa3f21c', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107139', 5, '桃花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107139', 1, '2021-07-19 11:39:57', NULL, NULL), (9296, '', '榉溪社区', 'f3345d15033643f09f304fac551b51bb', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107140', 5, '榉溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107140', 1, '2021-07-19 11:39:57', NULL, NULL), (9297, '', '万灵社区', 'bf845e28bada445fa628c2e5f8416052', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107173', 5, '万灵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107173', 1, '2021-07-19 11:39:57', NULL, NULL), (9298, '', '复新村', 'e7727b77608d4e03a7c37e56f8327588', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107294', 5, '复新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107294', 1, '2021-07-19 11:39:57', NULL, NULL), (9299, '', '青龙村', '88d5aaf2d7cc43158a602c65bd3d2ebc', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107414', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107414', 1, '2021-07-19 11:39:57', NULL, NULL), (9300, '', '应龙村', '094ce29fda7c42f49d992c6f773bb3b1', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107420', 5, '应龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107420', 1, '2021-07-19 11:39:57', NULL, NULL), (9301, '', '青松村', '139d4632144b41509d827c11fc867e11', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107422', 5, '青松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107422', 1, '2021-07-19 11:39:57', NULL, NULL), (9302, '', '八角社区', '5a6555c90db54d4dae973fe5390d0171', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107437', 5, '八角社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107437', 1, '2021-07-19 11:39:57', NULL, NULL), (9303, '', '长征村', '4c978651f65f4bd49259c4cdbec23d5d', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107453', 5, '长征村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107453', 1, '2021-07-19 11:39:57', NULL, NULL), (9304, '', '新胜村', '0b4efdce35a443288abfe1cd698164c2', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107510', 5, '新胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107510', 1, '2021-07-19 11:39:58', NULL, NULL), (9305, '', '江坝村', '9239d2441a354854b49a5ecb396857a1', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107558', 5, '江坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107558', 1, '2021-07-19 11:39:58', NULL, NULL), (9306, '', '五龙社区', '35d4bc8eab47446abcae12e4d5c03180', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107650', 5, '五龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107650', 1, '2021-07-19 11:39:58', NULL, NULL), (9307, '', '灵龙村', '05cf820595f44a72892c417fa14f9be7', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107773', 5, '灵龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107773', 1, '2021-07-19 11:39:58', NULL, NULL), (9308, '', '乐建村', '96e68822cc6249258bc02575482cb13c', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107847', 5, '乐建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107847', 1, '2021-07-19 11:39:58', NULL, NULL), (9309, '', '骑龙村', '2bfbcd8459464e2eacb6260bf91829cc', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107858', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107858', 1, '2021-07-19 11:39:58', NULL, NULL), (9310, '', '金龙村', 'd247e6d548404b638cbe5df2d6fa7a08', 'f784e23b04ee4a51b56db295b8e72a79', 'False', 'True', 'false', 'false', '510723107923', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723107923', 1, '2021-07-19 11:39:58', NULL, NULL), (9311, '', '高渠镇', 'b1f16c25777c45b695e07b318fd6f969', '07e8f0f3ae78479aaac3e18c5a42450d', 'True', 'True', 'false', 'false', '510723109000', 4, '高渠镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510723109000', 1, '2021-07-19 11:39:58', NULL, NULL), (9312, '', '白虎村', 'e5078c325869469dbc7f07ddf86a0892', 'b1f16c25777c45b695e07b318fd6f969', 'False', 'True', 'false', 'false', '510723109023', 5, '白虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723109023', 1, '2021-07-19 11:39:58', NULL, NULL), (9313, '', '双林村', '410497b18eb849488b9d4e32b515f7ea', 'b1f16c25777c45b695e07b318fd6f969', 'False', 'True', 'false', 'false', '510723109017', 5, '双林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723109017', 1, '2021-07-19 11:39:58', NULL, NULL), (9314, '', '石门村', '910780d661c643408040eb3405bcb9cf', 'b1f16c25777c45b695e07b318fd6f969', 'False', 'True', 'false', 'false', '510723109049', 5, '石门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723109049', 1, '2021-07-19 11:39:58', NULL, NULL), (9315, '', '聚兴社区', '962a61de841a4ca09fe5a14d41e2d0ab', 'b1f16c25777c45b695e07b318fd6f969', 'False', 'True', 'false', 'false', '510723109051', 5, '聚兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723109051', 1, '2021-07-19 11:39:58', NULL, NULL), (9316, '', '堠溪村', '9b2c2571e0fe44a9b1f74da5c6f34b8f', 'b1f16c25777c45b695e07b318fd6f969', 'False', 'True', 'false', 'false', '510723109055', 5, '堠溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723109055', 1, '2021-07-19 11:39:58', NULL, NULL), (9317, '', '玉带村', '8ba809b3cfd0477a8fafc420f9e4b39f', 'b1f16c25777c45b695e07b318fd6f969', 'False', 'True', 'false', 'false', '510723109085', 5, '玉带村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723109085', 1, '2021-07-19 11:39:59', NULL, NULL), (9318, '', '共和村', '28a9bdf6d4624cf492a765ac2a8ada52', 'b1f16c25777c45b695e07b318fd6f969', 'False', 'True', 'false', 'false', '510723109209', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723109209', 1, '2021-07-19 11:39:59', NULL, NULL), (9319, '', '凤林村', '6ec55a1f9e704187853c0d69d2154e75', 'b1f16c25777c45b695e07b318fd6f969', 'False', 'True', 'false', 'false', '510723109235', 5, '凤林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723109235', 1, '2021-07-19 11:39:59', NULL, NULL), (9320, '', '魏河村', '99696ca1a1f04310aec5e05b5ecd0a82', 'b1f16c25777c45b695e07b318fd6f969', 'False', 'True', 'false', 'false', '510723109314', 5, '魏河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723109314', 1, '2021-07-19 11:39:59', NULL, NULL), (9321, '', '香山村', '17c8070aac4a48f0a0914639df2d4024', 'b1f16c25777c45b695e07b318fd6f969', 'False', 'True', 'false', 'false', '510723109441', 5, '香山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723109441', 1, '2021-07-19 11:39:59', NULL, NULL), (9322, '', '章邦村', 'f5395e7201e645369a24965cac2961ba', 'b1f16c25777c45b695e07b318fd6f969', 'False', 'True', 'false', 'false', '510723109494', 5, '章邦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723109494', 1, '2021-07-19 11:39:59', NULL, NULL), (9323, '', '两河社区', '731d266125b34ff09dfd6e4d01807069', 'b1f16c25777c45b695e07b318fd6f969', 'False', 'True', 'false', 'false', '510723109559', 5, '两河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723109559', 1, '2021-07-19 11:39:59', NULL, NULL), (9324, '', '毛公社区', '470e984e3bb147a8b9b32b016121be53', 'b1f16c25777c45b695e07b318fd6f969', 'False', 'True', 'false', 'false', '510723109568', 5, '毛公社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723109568', 1, '2021-07-19 11:39:59', NULL, NULL), (9325, '', '宏生村', '5f97ff68d844451ea2395abd2d43247a', 'b1f16c25777c45b695e07b318fd6f969', 'False', 'True', 'false', 'false', '510723109806', 5, '宏生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723109806', 1, '2021-07-19 11:39:59', NULL, NULL), (9326, '', '桐船村', '4e71b4ac693c45b5b40145dd806ae6c1', 'b1f16c25777c45b695e07b318fd6f969', 'False', 'True', 'false', 'false', '510723109831', 5, '桐船村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723109831', 1, '2021-07-19 11:39:59', NULL, NULL), (9327, '', '五和村', '4738df7f0109462582022e7247859eda', 'b1f16c25777c45b695e07b318fd6f969', 'False', 'True', 'false', 'false', '510723109837', 5, '五和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723109837', 1, '2021-07-19 11:39:59', NULL, NULL), (9328, '', '白石垭村', 'dba15d0d6705422592e44748d4e105cf', 'b1f16c25777c45b695e07b318fd6f969', 'False', 'True', 'false', 'false', '510723109948', 5, '白石垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723109948', 1, '2021-07-19 11:39:59', NULL, NULL), (9329, '', '嫘祖镇', '217fbf42bf3d4bfb905221464bd0f847', '07e8f0f3ae78479aaac3e18c5a42450d', 'True', 'True', 'false', 'false', '510723110000', 4, '嫘祖镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510723110000', 1, '2021-07-19 11:39:59', NULL, NULL), (9330, '', '启文村', '3050b8058b664312a7cd4e26d87a5080', '217fbf42bf3d4bfb905221464bd0f847', 'False', 'True', 'false', 'false', '510723110056', 5, '启文村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723110056', 1, '2021-07-19 11:40:00', NULL, NULL), (9331, '', '折弓社区', '6c86307972ae489ba7e67f51299e2613', '217fbf42bf3d4bfb905221464bd0f847', 'False', 'True', 'false', 'false', '510723110094', 5, '折弓社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723110094', 1, '2021-07-19 11:40:00', NULL, NULL), (9332, '', '樵村', '264c999c9f8c461c97f7c02dedfda4cc', '217fbf42bf3d4bfb905221464bd0f847', 'False', 'True', 'false', 'false', '510723110140', 5, '樵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723110140', 1, '2021-07-19 11:40:00', NULL, NULL), (9333, '', '万隆村', 'a4aad2ebda314b228d313a869c8848fe', '217fbf42bf3d4bfb905221464bd0f847', 'False', 'True', 'false', 'false', '510723110258', 5, '万隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723110258', 1, '2021-07-19 11:40:00', NULL, NULL), (9334, '', '胥坝村', '315a03dfd6794e77b93af838e5a10c3c', '217fbf42bf3d4bfb905221464bd0f847', 'False', 'True', 'false', 'false', '510723110368', 5, '胥坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723110368', 1, '2021-07-19 11:40:00', NULL, NULL), (9335, '', '金刚村', '17f18646cacc476f99aa1f617026c2ec', '217fbf42bf3d4bfb905221464bd0f847', 'False', 'True', 'false', 'false', '510723110373', 5, '金刚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723110373', 1, '2021-07-19 11:40:00', NULL, NULL), (9336, '', '雍江村', '783f0f6fa4c84b1bbe1d05ef4ef58808', '217fbf42bf3d4bfb905221464bd0f847', 'False', 'True', 'false', 'false', '510723110407', 5, '雍江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723110407', 1, '2021-07-19 11:40:00', NULL, NULL), (9337, '', '长生村', 'e43f81f1db8841489e7ae6b8d43a2d6f', '217fbf42bf3d4bfb905221464bd0f847', 'False', 'True', 'false', 'false', '510723110424', 5, '长生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723110424', 1, '2021-07-19 11:40:00', NULL, NULL), (9338, '', '昝殿村', '4be370028a8449b9bcd3e9dd93c5f24b', '217fbf42bf3d4bfb905221464bd0f847', 'False', 'True', 'false', 'false', '510723110445', 5, '昝殿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723110445', 1, '2021-07-19 11:40:00', NULL, NULL), (9339, '', '金鸡社区', '218c6557b0f84eeb9331f849d48db31b', '217fbf42bf3d4bfb905221464bd0f847', 'False', 'True', 'false', 'false', '510723110509', 5, '金鸡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723110509', 1, '2021-07-19 11:40:00', NULL, NULL), (9340, '', '新星村', '95109b177ec54d9aaa32b515cecd5924', '217fbf42bf3d4bfb905221464bd0f847', 'False', 'True', 'false', 'false', '510723110616', 5, '新星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723110616', 1, '2021-07-19 11:40:00', NULL, NULL), (9341, '', '中台村', '30d374504130415397941423a7b58487', '217fbf42bf3d4bfb905221464bd0f847', 'False', 'True', 'false', 'false', '510723110738', 5, '中台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723110738', 1, '2021-07-19 11:40:00', NULL, NULL), (9342, '', '福禄村', '522ac5dcffb74c9d9431bd2a7a56d3fe', '217fbf42bf3d4bfb905221464bd0f847', 'False', 'True', 'false', 'false', '510723110984', 5, '福禄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723110984', 1, '2021-07-19 11:40:00', NULL, NULL), (9343, '', '嫘祖村', '9f7e6a5805d3452594879acb203f24c7', '217fbf42bf3d4bfb905221464bd0f847', 'False', 'True', 'false', 'false', '510723110989', 5, '嫘祖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723110989', 1, '2021-07-19 11:40:00', NULL, NULL), (9344, '', '鹅溪镇', '035a6ed3a0444de88ec0c8fccff3a500', '07e8f0f3ae78479aaac3e18c5a42450d', 'True', 'True', 'false', 'false', '510723111000', 4, '鹅溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510723111000', 1, '2021-07-19 11:40:00', NULL, NULL), (9345, '', '广协村', '2954a7ac62794570be383169e5615886', '035a6ed3a0444de88ec0c8fccff3a500', 'False', 'True', 'false', 'false', '510723111174', 5, '广协村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723111174', 1, '2021-07-19 11:40:00', NULL, NULL), (9346, '', '鹅溪村', 'f78eba3f72144311a2f88bdeb682d2c4', '035a6ed3a0444de88ec0c8fccff3a500', 'False', 'True', 'false', 'false', '510723111223', 5, '鹅溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723111223', 1, '2021-07-19 11:40:00', NULL, NULL), (9347, '', '剑河社区', '1029d8305e0d4f0fa2aff9ee0d241dfa', '035a6ed3a0444de88ec0c8fccff3a500', 'False', 'True', 'false', 'false', '510723111318', 5, '剑河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723111318', 1, '2021-07-19 11:40:00', NULL, NULL), (9348, '', '裕泉村', '1097e25f4fac4262aeb7767353e57d07', '035a6ed3a0444de88ec0c8fccff3a500', 'False', 'True', 'false', 'false', '510723111605', 5, '裕泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723111605', 1, '2021-07-19 11:40:01', NULL, NULL), (9349, '', '小莲沟村', '81a4ae3297f2432f880d8d9fa7887d5e', '035a6ed3a0444de88ec0c8fccff3a500', 'False', 'True', 'false', 'false', '510723111668', 5, '小莲沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723111668', 1, '2021-07-19 11:40:01', NULL, NULL), (9350, '', '安居社区', '48d1086478d64a97a702f9a685d3254d', '035a6ed3a0444de88ec0c8fccff3a500', 'False', 'True', 'false', 'false', '510723111830', 5, '安居社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723111830', 1, '2021-07-19 11:40:01', NULL, NULL), (9351, '', '长寿村', '5b715c7569ed41c09cac98e83c244ab9', '035a6ed3a0444de88ec0c8fccff3a500', 'False', 'True', 'false', 'false', '510723111881', 5, '长寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723111881', 1, '2021-07-19 11:40:01', NULL, NULL), (9352, '', '军民村', '2311a58e75284ae284b3b5ee72e8bfa6', '035a6ed3a0444de88ec0c8fccff3a500', 'False', 'True', 'false', 'false', '510723111899', 5, '军民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723111899', 1, '2021-07-19 11:40:01', NULL, NULL), (9353, '', '黄金钩村', 'c0cc3813c5684a86af9c6f6836fee12a', '035a6ed3a0444de88ec0c8fccff3a500', 'False', 'True', 'false', 'false', '510723111950', 5, '黄金钩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723111950', 1, '2021-07-19 11:40:01', NULL, NULL), (9354, '', '永泰镇', 'df3a64be43a64facb20617261e4660b0', '07e8f0f3ae78479aaac3e18c5a42450d', 'True', 'True', 'false', 'false', '510723112000', 4, '永泰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510723112000', 1, '2021-07-19 11:40:01', NULL, NULL), (9355, '', '林农社区', 'c2edfb7fa204484e93b65cfd015980e6', 'df3a64be43a64facb20617261e4660b0', 'False', 'True', 'false', 'false', '510723112069', 5, '林农社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723112069', 1, '2021-07-19 11:40:01', NULL, NULL), (9356, '', '景凤村', '59448e44027d4f5fb4bf5472db2bf13e', 'df3a64be43a64facb20617261e4660b0', 'False', 'True', 'false', 'false', '510723112138', 5, '景凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723112138', 1, '2021-07-19 11:40:01', NULL, NULL), (9357, '', '文同村', '2d0fc7979c004100b8a5e6845567c9ba', 'df3a64be43a64facb20617261e4660b0', 'False', 'True', 'false', 'false', '510723112195', 5, '文同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723112195', 1, '2021-07-19 11:40:01', NULL, NULL), (9358, '', '文同故里社区', '172ba0d69acf4e1793068515e43add2e', 'df3a64be43a64facb20617261e4660b0', 'False', 'True', 'false', 'false', '510723112244', 5, '文同故里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723112244', 1, '2021-07-19 11:40:01', NULL, NULL), (9359, '', '和平社区', '5901e39ad13644c7ac775215f3662f1d', 'df3a64be43a64facb20617261e4660b0', 'False', 'True', 'false', 'false', '510723112248', 5, '和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723112248', 1, '2021-07-19 11:40:01', NULL, NULL), (9360, '', '玉城村', '806b95bd58974dbf8b8d5d126694043a', 'df3a64be43a64facb20617261e4660b0', 'False', 'True', 'false', 'false', '510723112310', 5, '玉城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723112310', 1, '2021-07-19 11:40:01', NULL, NULL), (9361, '', '桂花村', 'bed46c24bcf446239a7ddeb9690c1874', 'df3a64be43a64facb20617261e4660b0', 'False', 'True', 'false', 'false', '510723112422', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723112422', 1, '2021-07-19 11:40:01', NULL, NULL), (9362, '', '灵星村', 'b218d8072ebd49b4949ed667ebf0592e', 'df3a64be43a64facb20617261e4660b0', 'False', 'True', 'false', 'false', '510723112569', 5, '灵星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723112569', 1, '2021-07-19 11:40:02', NULL, NULL), (9363, '', '玉龙村', 'ece34c9815f847bb93fd2f8c54c1e4e6', 'df3a64be43a64facb20617261e4660b0', 'False', 'True', 'false', 'false', '510723112701', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723112701', 1, '2021-07-19 11:40:02', NULL, NULL), (9364, '', '天和村', 'fb9ec0231eb845f2a1912a5021b834e4', 'df3a64be43a64facb20617261e4660b0', 'False', 'True', 'false', 'false', '510723112765', 5, '天和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723112765', 1, '2021-07-19 11:40:02', NULL, NULL), (9365, '', '陈家井村', 'e3fc929823324bbca6d31d5a4fb13f00', 'df3a64be43a64facb20617261e4660b0', 'False', 'True', 'false', 'false', '510723112847', 5, '陈家井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723112847', 1, '2021-07-19 11:40:02', NULL, NULL), (9366, '', '爱国村', '22dd91f5426b441cbec39ec0ba361a0d', 'df3a64be43a64facb20617261e4660b0', 'False', 'True', 'false', 'false', '510723112849', 5, '爱国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723112849', 1, '2021-07-19 11:40:02', NULL, NULL), (9367, '', '安定村', 'c93e50651a49476da1d0dbfbd771d671', 'df3a64be43a64facb20617261e4660b0', 'False', 'True', 'false', 'false', '510723112956', 5, '安定村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723112956', 1, '2021-07-19 11:40:02', NULL, NULL), (9368, '', '西陵镇', '82b1ad7a3ccf4fde90662f1a2a67e3f1', '07e8f0f3ae78479aaac3e18c5a42450d', 'True', 'True', 'false', 'false', '510723200000', 4, '西陵镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510723200000', 1, '2021-07-19 11:40:02', NULL, NULL), (9369, '', '莲花村', 'ed06da48f1334056920c9d2db89bba97', '82b1ad7a3ccf4fde90662f1a2a67e3f1', 'False', 'True', 'false', 'false', '510723200037', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723200037', 1, '2021-07-19 11:40:02', NULL, NULL), (9370, '', '联盟村', '06582a99b68643aba2f9c5cc9bcee43c', '82b1ad7a3ccf4fde90662f1a2a67e3f1', 'False', 'True', 'false', 'false', '510723200157', 5, '联盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723200157', 1, '2021-07-19 11:40:02', NULL, NULL), (9371, '', '三河村', '1611db780a4d498faa5cabf85f0926a4', '82b1ad7a3ccf4fde90662f1a2a67e3f1', 'False', 'True', 'false', 'false', '510723200159', 5, '三河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723200159', 1, '2021-07-19 11:40:02', NULL, NULL), (9372, '', '强华村', 'ed87e4c467cf423ba18094d640fd58fb', '82b1ad7a3ccf4fde90662f1a2a67e3f1', 'False', 'True', 'false', 'false', '510723200268', 5, '强华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723200268', 1, '2021-07-19 11:40:02', NULL, NULL), (9373, '', '高凤村', 'ea6c474aae7e4699a044ec1c51be8c1a', '82b1ad7a3ccf4fde90662f1a2a67e3f1', 'False', 'True', 'false', 'false', '510723200311', 5, '高凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723200311', 1, '2021-07-19 11:40:02', NULL, NULL), (9374, '', '麒麟村', '897121e986a748a8b46f324827752b83', '82b1ad7a3ccf4fde90662f1a2a67e3f1', 'False', 'True', 'false', 'false', '510723200314', 5, '麒麟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723200314', 1, '2021-07-19 11:40:02', NULL, NULL), (9375, '', '双龙村', 'f574c959067a45d982ae936781699d4d', '82b1ad7a3ccf4fde90662f1a2a67e3f1', 'False', 'True', 'false', 'false', '510723200360', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723200360', 1, '2021-07-19 11:40:02', NULL, NULL), (9376, '', '石道场村', '03cb43eff278425ba67e2954bd16c24c', '82b1ad7a3ccf4fde90662f1a2a67e3f1', 'False', 'True', 'false', 'false', '510723200390', 5, '石道场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723200390', 1, '2021-07-19 11:40:03', NULL, NULL), (9377, '', '高华村', '374d7b5cea3f4c5abbd1329dcec50a03', '82b1ad7a3ccf4fde90662f1a2a67e3f1', 'False', 'True', 'false', 'false', '510723200395', 5, '高华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723200395', 1, '2021-07-19 11:40:03', NULL, NULL), (9378, '', '龙泉村', '3bcfdf7ab73c4b8e91a57fe4887aec5a', '82b1ad7a3ccf4fde90662f1a2a67e3f1', 'False', 'True', 'false', 'false', '510723200411', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723200411', 1, '2021-07-19 11:40:03', NULL, NULL), (9379, '', '阳春村', '47cdace15d164a9da6b9648287a39271', '82b1ad7a3ccf4fde90662f1a2a67e3f1', 'False', 'True', 'false', 'false', '510723200520', 5, '阳春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723200520', 1, '2021-07-19 11:40:03', NULL, NULL), (9380, '', '龙凤社区', 'f34fd70b28e343199056ff3935b8130d', '82b1ad7a3ccf4fde90662f1a2a67e3f1', 'False', 'True', 'false', 'false', '510723200728', 5, '龙凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723200728', 1, '2021-07-19 11:40:03', NULL, NULL), (9381, '', '星星村', 'd4367bb3f4c848088900737eecae6ea6', '82b1ad7a3ccf4fde90662f1a2a67e3f1', 'False', 'True', 'false', 'false', '510723200851', 5, '星星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723200851', 1, '2021-07-19 11:40:03', NULL, NULL), (9382, '', '高灯社区', '7ce8bfb1d82f40e5987aed1639345004', '82b1ad7a3ccf4fde90662f1a2a67e3f1', 'False', 'True', 'false', 'false', '510723200918', 5, '高灯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723200918', 1, '2021-07-19 11:40:03', NULL, NULL), (9383, '', '莲花湖乡', '96440f2b71b948048fd874420b314a8a', '07e8f0f3ae78479aaac3e18c5a42450d', 'True', 'True', 'false', 'false', '510723209000', 4, '莲花湖乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510723209000', 1, '2021-07-19 11:40:03', NULL, NULL), (9384, '', '罗观村', 'a95f2f997a97468fb5455f6ccffbcef4', '96440f2b71b948048fd874420b314a8a', 'False', 'True', 'false', 'false', '510723209270', 5, '罗观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723209270', 1, '2021-07-19 11:40:03', NULL, NULL), (9385, '', '东莲村', '44fd31646d6a4184918e66eff248f210', '96440f2b71b948048fd874420b314a8a', 'False', 'True', 'false', 'false', '510723209291', 5, '东莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723209291', 1, '2021-07-19 11:40:03', NULL, NULL), (9386, '', '莲花石村', '73053df3efad4bae9024230dcd330f57', '96440f2b71b948048fd874420b314a8a', 'False', 'True', 'false', 'false', '510723209489', 5, '莲花石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723209489', 1, '2021-07-19 11:40:03', NULL, NULL), (9387, '', '弥江村', 'f28fc42c85184fce83174fc29820e882', '96440f2b71b948048fd874420b314a8a', 'False', 'True', 'false', 'false', '510723209510', 5, '弥江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723209510', 1, '2021-07-19 11:40:03', NULL, NULL), (9388, '', '武圣村', 'e76b0cb16a8b4e07b810cdfd6f033ae9', '96440f2b71b948048fd874420b314a8a', 'False', 'True', 'false', 'false', '510723209515', 5, '武圣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723209515', 1, '2021-07-19 11:40:03', NULL, NULL), (9389, '', '新房村', 'e94993cfc8244d9aaebe49872cc45950', '96440f2b71b948048fd874420b314a8a', 'False', 'True', 'false', 'false', '510723209687', 5, '新房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723209687', 1, '2021-07-19 11:40:04', NULL, NULL), (9390, '', '冯河社区', '313266dbbfde42c39bb75ecd02d70bf0', '96440f2b71b948048fd874420b314a8a', 'False', 'True', 'false', 'false', '510723209688', 5, '冯河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723209688', 1, '2021-07-19 11:40:04', NULL, NULL), (9391, '', '红五村', '566d1916cfe040db98ddfebe0c898199', '96440f2b71b948048fd874420b314a8a', 'False', 'True', 'false', 'false', '510723209799', 5, '红五村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723209799', 1, '2021-07-19 11:40:04', NULL, NULL), (9392, '', '双碑社区', 'bb5e757fcb61476086a4c660d1215a5b', '96440f2b71b948048fd874420b314a8a', 'False', 'True', 'false', 'false', '510723209800', 5, '双碑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723209800', 1, '2021-07-19 11:40:04', NULL, NULL), (9393, '', '兴隆村', '9d06fdbbf47341f884106a4960ce551c', '96440f2b71b948048fd874420b314a8a', 'False', 'True', 'false', 'false', '510723209844', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723209844', 1, '2021-07-19 11:40:04', NULL, NULL), (9394, '', '飞跃村', '47f6d940f99247f490daa985f6a11739', '96440f2b71b948048fd874420b314a8a', 'False', 'True', 'false', 'false', '510723209971', 5, '飞跃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723209971', 1, '2021-07-19 11:40:04', NULL, NULL), (9395, '', '文通镇', '42e9c9490f0f4b8baa635d0f4901c104', '07e8f0f3ae78479aaac3e18c5a42450d', 'True', 'True', 'false', 'false', '510723210000', 4, '文通镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510723210000', 1, '2021-07-19 11:40:04', NULL, NULL), (9396, '', '晓光村', '17f58d184fdf4951a4dc7f37cdb7a81e', '42e9c9490f0f4b8baa635d0f4901c104', 'False', 'True', 'false', 'false', '510723108072', 5, '晓光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723108072', 1, '2021-07-19 11:40:04', NULL, NULL), (9397, '', '黑坪社区', '63d2d48f5de04f128be52a5baeb9e0c3', '42e9c9490f0f4b8baa635d0f4901c104', 'False', 'True', 'false', 'false', '510723108171', 5, '黑坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723108171', 1, '2021-07-19 11:40:04', NULL, NULL), (9398, '', '风华村', 'f0ec6fd0cec74fce87ac5b47a42b9d1d', '42e9c9490f0f4b8baa635d0f4901c104', 'False', 'True', 'false', 'false', '510723108207', 5, '风华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723108207', 1, '2021-07-19 11:40:04', NULL, NULL), (9399, '', '高观村', '0afde826a7d34c1eb078aa6ab7634d0a', '42e9c9490f0f4b8baa635d0f4901c104', 'False', 'True', 'false', 'false', '510723108231', 5, '高观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723108231', 1, '2021-07-19 11:40:04', NULL, NULL), (9400, '', '塔三村', '421bed99da454b05bfaa2863780088e0', '42e9c9490f0f4b8baa635d0f4901c104', 'False', 'True', 'false', 'false', '510723108427', 5, '塔三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723108427', 1, '2021-07-19 11:40:04', NULL, NULL), (9401, '', '曙光村', 'ff82d4ac2d7c49319dd66b373735b909', '42e9c9490f0f4b8baa635d0f4901c104', 'False', 'True', 'false', 'false', '510723108556', 5, '曙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723108556', 1, '2021-07-19 11:40:04', NULL, NULL), (9402, '', '石牛庙社区', '0c9a3c9ded93422a908df8ce9c1a67c2', '42e9c9490f0f4b8baa635d0f4901c104', 'False', 'True', 'false', 'false', '510723108689', 5, '石牛庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723108689', 1, '2021-07-19 11:40:04', NULL, NULL), (9403, '', '红联村', 'f2aba41f5a284340b7f1fd303b42c95b', '42e9c9490f0f4b8baa635d0f4901c104', 'False', 'True', 'false', 'false', '510723108715', 5, '红联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723108715', 1, '2021-07-19 11:40:04', NULL, NULL), (9404, '', '荆牛村', '3d9407ad05e144f9a6c77ea9f17b3b4e', '42e9c9490f0f4b8baa635d0f4901c104', 'False', 'True', 'false', 'false', '510723108836', 5, '荆牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723108836', 1, '2021-07-19 11:40:05', NULL, NULL), (9405, '', '龙桥村', '7005bcd215254d19a97570447816ca8f', '42e9c9490f0f4b8baa635d0f4901c104', 'False', 'True', 'false', 'false', '510723108868', 5, '龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723108868', 1, '2021-07-19 11:40:05', NULL, NULL), (9406, '', '桥梁村', 'e422980bcd2148199a338ac4b03f24fb', '42e9c9490f0f4b8baa635d0f4901c104', 'False', 'True', 'false', 'false', '510723108892', 5, '桥梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723108892', 1, '2021-07-19 11:40:05', NULL, NULL), (9407, '', '星致村', '2dd5dc1f7efd441a9f5b63a4a1ad1627', '42e9c9490f0f4b8baa635d0f4901c104', 'False', 'True', 'false', 'false', '510723108972', 5, '星致村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723108972', 1, '2021-07-19 11:40:05', NULL, NULL), (9408, '', '大兴回族乡', 'c4dde25d8d0b4f389d30159f82b1636d', '07e8f0f3ae78479aaac3e18c5a42450d', 'True', 'True', 'false', 'false', '510723211000', 4, '大兴回族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510723211000', 1, '2021-07-19 11:40:05', NULL, NULL), (9409, '', '青峰村', '3cf1f22a9cec4cf7a4e54119b913ed4c', 'c4dde25d8d0b4f389d30159f82b1636d', 'False', 'True', 'false', 'false', '510723211262', 5, '青峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723211262', 1, '2021-07-19 11:40:05', NULL, NULL), (9410, '', '松柏村', '12237a7ca9554f788889953cbaa3b456', 'c4dde25d8d0b4f389d30159f82b1636d', 'False', 'True', 'false', 'false', '510723211506', 5, '松柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723211506', 1, '2021-07-19 11:40:05', NULL, NULL), (9411, '', '群英社区', 'beb38aaea73f46299d672bd197ace829', 'c4dde25d8d0b4f389d30159f82b1636d', 'False', 'True', 'false', 'false', '510723211675', 5, '群英社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723211675', 1, '2021-07-19 11:40:05', NULL, NULL), (9412, '', '尖子村', 'e389da63252849ba9e4d6e2a1a11ea94', 'c4dde25d8d0b4f389d30159f82b1636d', 'False', 'True', 'false', 'false', '510723211679', 5, '尖子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723211679', 1, '2021-07-19 11:40:05', NULL, NULL), (9413, '', '大联村', '261721982fbb4a328fe1ab3479b7063f', 'c4dde25d8d0b4f389d30159f82b1636d', 'False', 'True', 'false', 'false', '510723211762', 5, '大联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723211762', 1, '2021-07-19 11:40:05', NULL, NULL), (9414, '', '金宝村', '2e48f55d6c19474daac0b16a45097588', 'c4dde25d8d0b4f389d30159f82b1636d', 'False', 'True', 'false', 'false', '510723211859', 5, '金宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723211859', 1, '2021-07-19 11:40:05', NULL, NULL), (9415, '', '广裕村', '1f8bff31a9af4a9d8f8d8be4f36a8065', 'c4dde25d8d0b4f389d30159f82b1636d', 'False', 'True', 'false', 'false', '510723211913', 5, '广裕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723211913', 1, '2021-07-19 11:40:05', NULL, NULL), (9416, '', '林园村', '2d4d0b0a845140fe951003b28ab9441a', 'c4dde25d8d0b4f389d30159f82b1636d', 'False', 'True', 'false', 'false', '510723211964', 5, '林园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510723211964', 1, '2021-07-19 11:40:05', NULL, NULL), (9417, '', '平武县', '52678353c96d43c2bb73025a32af1718', '06770f8688a045beaf53089460935c1e', 'True', 'True', 'false', 'false', '510727000000', 3, '平武县', 'myspwx.sczwfw.gov.cn', 1, '2021-07-19 11:40:05', NULL, NULL), (9418, '', '龙安镇', '3cd2cd3aee2f41f092ae19ad0b9be4a5', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727100000', 4, '龙安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727100000', 1, '2021-07-19 11:40:05', NULL, NULL), (9419, '', '政府街社区', '8786fdc5fb8041669b448c0ccf583e0c', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100104', 5, '政府街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100104', 1, '2021-07-19 11:40:06', NULL, NULL), (9420, '', '人民西路社区', 'c56fb5fe9f08494ea376355c14b7cd19', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100124', 5, '人民西路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100124', 1, '2021-07-19 11:40:06', NULL, NULL), (9421, '', '人民东路社区', 'cec29eccb90842088135011fba2f6492', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100342', 5, '人民东路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100342', 1, '2021-07-19 11:40:06', NULL, NULL), (9422, '', '九龙路社区', '23ed3e896f71453a9dccbcc9ef43e10b', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100350', 5, '九龙路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100350', 1, '2021-07-19 11:40:06', NULL, NULL), (9423, '', '双安村', '5a8175fb3b3748e799eedbc4015b1739', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100429', 5, '双安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100429', 1, '2021-07-19 11:40:06', NULL, NULL), (9424, '', '东皋村', 'd2ad7768be7149b5ab86c297036cee96', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100470', 5, '东皋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100470', 1, '2021-07-19 11:40:06', NULL, NULL), (9425, '', '铁龙堡村', '907dd4a0b97143d99636acd3846f1bf1', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100484', 5, '铁龙堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100484', 1, '2021-07-19 11:40:06', NULL, NULL), (9426, '', '南岸社区', '4e2049ef3dc64f6c8fd50523832ec19d', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100528', 5, '南岸社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100528', 1, '2021-07-19 11:40:06', NULL, NULL), (9427, '', '两河堡村', 'fb8c051ab3a5408eb7bd6fc1ae0deec4', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100538', 5, '两河堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100538', 1, '2021-07-19 11:40:06', NULL, NULL), (9428, '', '义佛山村', 'd5ed7232a0ff4ff3be387d3d88a8191b', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100605', 5, '义佛山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100605', 1, '2021-07-19 11:40:06', NULL, NULL), (9429, '', '长桂村', '49d8c771ed9b4a868ccca297e1a68cbe', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100646', 5, '长桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100646', 1, '2021-07-19 11:40:06', NULL, NULL), (9430, '', '报恩寺社区', 'e3d80d155ed347c68def1a6a38518232', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100656', 5, '报恩寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100656', 1, '2021-07-19 11:40:06', NULL, NULL), (9431, '', '枕流村', '345aba1d61284d7cb77fcb828069405e', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100694', 5, '枕流村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100694', 1, '2021-07-19 11:40:06', NULL, NULL), (9432, '', '莫鱼沟村', 'fb9425ad7ffe4a4f8fe47193d62058d2', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100699', 5, '莫鱼沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100699', 1, '2021-07-19 11:40:07', NULL, NULL), (9433, '', '杨家河村', '5cce2581cb494aa58b614fb405059c34', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100748', 5, '杨家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100748', 1, '2021-07-19 11:40:07', NULL, NULL), (9434, '', '山水村', '6168224538764ba583849aceae9c5ae3', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100831', 5, '山水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100831', 1, '2021-07-19 11:40:07', NULL, NULL), (9435, '', '东溪村', 'a1f7a5ce5d3f47f89e76d24075702e5e', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100874', 5, '东溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100874', 1, '2021-07-19 11:40:07', NULL, NULL), (9436, '', '石人村', 'be93042f64114389b512fe59b9a339c8', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100984', 5, '石人村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100984', 1, '2021-07-19 11:40:07', NULL, NULL), (9437, '', '汇口村', '519f0c198bcd41b6bc26bcc5b21ee9e3', '3cd2cd3aee2f41f092ae19ad0b9be4a5', 'False', 'True', 'false', 'false', '510727100990', 5, '汇口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727100990', 1, '2021-07-19 11:40:07', NULL, NULL), (9438, '', '古城镇', 'c0e3024d932d4a368ab0dbb7c5e1a547', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727101000', 4, '古城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727101000', 1, '2021-07-19 11:40:07', NULL, NULL), (9439, '', '海号村', 'a8caa8b9d01e4db7b301eaf3bf23d25e', 'c0e3024d932d4a368ab0dbb7c5e1a547', 'False', 'True', 'false', 'false', '510727101150', 5, '海号村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727101150', 1, '2021-07-19 11:40:07', NULL, NULL), (9440, '', '五龙村', 'ad4fea830f6f4ad7a63b85f403c797b0', 'c0e3024d932d4a368ab0dbb7c5e1a547', 'False', 'True', 'false', 'false', '510727101211', 5, '五龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727101211', 1, '2021-07-19 11:40:07', NULL, NULL), (9441, '', '古城社区', '0faf393c6b2a4d24b01e1fb2f2215cb8', 'c0e3024d932d4a368ab0dbb7c5e1a547', 'False', 'True', 'false', 'false', '510727101251', 5, '古城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727101251', 1, '2021-07-19 11:40:07', NULL, NULL), (9442, '', '沙河村', '5c55b04e187a40149c4ee46b31aa4fcb', 'c0e3024d932d4a368ab0dbb7c5e1a547', 'False', 'True', 'false', 'false', '510727101493', 5, '沙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727101493', 1, '2021-07-19 11:40:07', NULL, NULL), (9443, '', '水田村', '12a32b3fbac44c58a5ab755d664f81f5', 'c0e3024d932d4a368ab0dbb7c5e1a547', 'False', 'True', 'false', 'false', '510727101652', 5, '水田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727101652', 1, '2021-07-19 11:40:08', NULL, NULL), (9444, '', '红岩村', '4f977f564e664e19ba9c1c4743b990b5', 'c0e3024d932d4a368ab0dbb7c5e1a547', 'False', 'True', 'false', 'false', '510727101709', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727101709', 1, '2021-07-19 11:40:08', NULL, NULL), (9445, '', '青羊村', 'fe8e36078cfc42648394328df3c9b9db', 'c0e3024d932d4a368ab0dbb7c5e1a547', 'False', 'True', 'false', 'false', '510727101096', 5, '青羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727101096', 1, '2021-07-19 11:40:08', NULL, NULL), (9446, '', '建新村', '5d05db84fa4f4cc8b0b7a8dc916eddd7', 'c0e3024d932d4a368ab0dbb7c5e1a547', 'False', 'True', 'false', 'false', '510727101224', 5, '建新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727101224', 1, '2021-07-19 11:40:08', NULL, NULL), (9447, '', '朝阳村', 'c68cf6d8d4ad44c6ad12f8b5587b9367', 'c0e3024d932d4a368ab0dbb7c5e1a547', 'False', 'True', 'false', 'false', '510727101333', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727101333', 1, '2021-07-19 11:40:08', NULL, NULL), (9448, '', '柏林村', 'e9ae3cf2756a4f54a7e1f63c9f989075', 'c0e3024d932d4a368ab0dbb7c5e1a547', 'False', 'True', 'false', 'false', '510727101353', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727101353', 1, '2021-07-19 11:40:08', NULL, NULL), (9449, '', '阳南村', 'c048b1bf543140559cf83dc61d38dc8d', 'c0e3024d932d4a368ab0dbb7c5e1a547', 'False', 'True', 'false', 'false', '510727101628', 5, '阳南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727101628', 1, '2021-07-19 11:40:08', NULL, NULL), (9450, '', '磨刀河村', '2f3fe434800747ca96860e52a5ad6686', 'c0e3024d932d4a368ab0dbb7c5e1a547', 'False', 'True', 'false', 'false', '510727101720', 5, '磨刀河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727101720', 1, '2021-07-19 11:40:08', NULL, NULL), (9451, '', '沙坪村', 'e0a80e933a8c4bf28016824db680f019', 'c0e3024d932d4a368ab0dbb7c5e1a547', 'False', 'True', 'false', 'false', '510727101754', 5, '沙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727101754', 1, '2021-07-19 11:40:08', NULL, NULL), (9452, '', '火炬村', '776505a2c0af42ba809c0f285611fda3', 'c0e3024d932d4a368ab0dbb7c5e1a547', 'False', 'True', 'false', 'false', '510727101762', 5, '火炬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727101762', 1, '2021-07-19 11:40:08', NULL, NULL), (9453, '', '山河村', '622e6e232d744c20a20340c022db7331', 'c0e3024d932d4a368ab0dbb7c5e1a547', 'False', 'True', 'false', 'false', '510727101851', 5, '山河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727101851', 1, '2021-07-19 11:40:08', NULL, NULL), (9454, '', '民权村', 'eca6debec361461eb8a826c03f11097e', 'c0e3024d932d4a368ab0dbb7c5e1a547', 'False', 'True', 'false', 'false', '510727101920', 5, '民权村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727101920', 1, '2021-07-19 11:40:08', NULL, NULL), (9455, '', '白草村', '4093322816e643caaf2ef62e0b3e0b36', 'c0e3024d932d4a368ab0dbb7c5e1a547', 'False', 'True', 'false', 'false', '510727101982', 5, '白草村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727101982', 1, '2021-07-19 11:40:08', NULL, NULL), (9456, '', '江油关镇', 'd66696dcf4fe44d58d132a87fea67716', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727102000', 4, '江油关镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727102000', 1, '2021-07-19 11:40:08', NULL, NULL), (9457, '', '凤鹤村', 'e7f34e60134740bea71d1590ca097de1', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102104', 5, '凤鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102104', 1, '2021-07-19 11:40:08', NULL, NULL), (9458, '', '天鹅村', '9e7da049a29348b2a20bc20e73083824', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102377', 5, '天鹅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102377', 1, '2021-07-19 11:40:09', NULL, NULL), (9459, '', '观凤村', '8b525395b74c49e2aa6c3bc026fbc84c', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102500', 5, '观凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102500', 1, '2021-07-19 11:40:09', NULL, NULL), (9460, '', '大沟村', '527a98065f284d51955cedec8cd05074', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102876', 5, '大沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102876', 1, '2021-07-19 11:40:09', NULL, NULL), (9461, '', '垭头坪村', '4ffc8ef4e05540f585a7edf6a88656f0', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102043', 5, '垭头坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102043', 1, '2021-07-19 11:40:09', NULL, NULL), (9462, '', '兴隆村', '7161622339f44580a5b32e240e795c74', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102061', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102061', 1, '2021-07-19 11:40:09', NULL, NULL), (9463, '', '南坝社区', '406401a9c4754bf8a14e40709a2b2e6c', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102112', 5, '南坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102112', 1, '2021-07-19 11:40:09', NULL, NULL), (9464, '', '洪溪村', '3cc03708e3d74d56a0e97b51a5842df8', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102147', 5, '洪溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102147', 1, '2021-07-19 11:40:09', NULL, NULL), (9465, '', '文家坝村', '26caa742c21344f187bb66a0599034aa', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102320', 5, '文家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102320', 1, '2021-07-19 11:40:09', NULL, NULL), (9466, '', '关东村', 'b90c39dd384e416f9f405dfceacc2e82', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102336', 5, '关东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102336', 1, '2021-07-19 11:40:09', NULL, NULL), (9467, '', '黄草湾村', 'e154f49ed1ab4f85a99c8a61397e4216', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102423', 5, '黄草湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102423', 1, '2021-07-19 11:40:09', NULL, NULL), (9468, '', '旧州村', 'c207afc16b9d45f5818d865fd643be8b', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102483', 5, '旧州村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102483', 1, '2021-07-19 11:40:09', NULL, NULL), (9469, '', '冒水头村', 'a553fb1ac16244e9b2da2ae691fa1be9', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102548', 5, '冒水头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102548', 1, '2021-07-19 11:40:09', NULL, NULL), (9470, '', '党家沟村', '2f5acefbb69840a38a1c17273874f48f', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102555', 5, '党家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102555', 1, '2021-07-19 11:40:09', NULL, NULL), (9471, '', '建筑村', '0a15724424fe45d4bbd63aad730d183c', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102634', 5, '建筑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102634', 1, '2021-07-19 11:40:09', NULL, NULL), (9472, '', '古龙村', '2fcfd311090f432ea60ee00bda800af0', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102670', 5, '古龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102670', 1, '2021-07-19 11:40:10', NULL, NULL), (9473, '', '苏家河村', 'a837f90c9b8a4d5e811f7f2280d6d6f8', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102781', 5, '苏家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102781', 1, '2021-07-19 11:40:10', NULL, NULL), (9474, '', '建全村', '22268e39d84a4cfeb95aa3c6c9138f3b', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102940', 5, '建全村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102940', 1, '2021-07-19 11:40:10', NULL, NULL), (9475, '', '新建村', 'e33c5fa83eb14aa6a6a9afa6a8689e5c', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102958', 5, '新建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102958', 1, '2021-07-19 11:40:10', NULL, NULL), (9476, '', '金林村', '11316ccf5647417ebac55b85c2d32822', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102969', 5, '金林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102969', 1, '2021-07-19 11:40:10', NULL, NULL), (9477, '', '建康村', 'e1562665ae0b44938695b70539e96393', 'd66696dcf4fe44d58d132a87fea67716', 'False', 'True', 'false', 'false', '510727102979', 5, '建康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727102979', 1, '2021-07-19 11:40:10', NULL, NULL), (9478, '', '响岩镇', '80456b37124f49f5a9cf2985406fe0da', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727103000', 4, '响岩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727103000', 1, '2021-07-19 11:40:10', NULL, NULL), (9479, '', '三桥村', 'f34da4b265394f2787f4f27737d8ee55', '80456b37124f49f5a9cf2985406fe0da', 'False', 'True', 'false', 'false', '510727103189', 5, '三桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727103189', 1, '2021-07-19 11:40:10', NULL, NULL), (9480, '', '响岩社区', '9a73b1c5cb974458a03e7720738af420', '80456b37124f49f5a9cf2985406fe0da', 'False', 'False', 'false', 'false', '510727103267', 5, '响岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727103267', 1, '2021-07-19 11:40:10', NULL, NULL), (9481, '', '大水村', '045b19efff084726889d63d863f1f138', '80456b37124f49f5a9cf2985406fe0da', 'False', 'True', 'false', 'false', '510727103268', 5, '大水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727103268', 1, '2021-07-19 11:40:10', NULL, NULL), (9482, '', '青山村', 'd571ceb1b87748b49095084e46e78ce5', '80456b37124f49f5a9cf2985406fe0da', 'False', 'True', 'false', 'false', '510727103354', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727103354', 1, '2021-07-19 11:40:10', NULL, NULL), (9483, '', '大田村', '611f4365970c4b0e8f8cd48cb8b00752', '80456b37124f49f5a9cf2985406fe0da', 'False', 'True', 'false', 'false', '510727103405', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727103405', 1, '2021-07-19 11:40:10', NULL, NULL), (9484, '', '中峰村', '75c8c3a503b0437ba0bc9f52baf05152', '80456b37124f49f5a9cf2985406fe0da', 'False', 'True', 'false', 'false', '510727103421', 5, '中峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727103421', 1, '2021-07-19 11:40:10', NULL, NULL), (9485, '', '双凤村', '708e1651edad4c0d9b2a6b0c41e3983c', '80456b37124f49f5a9cf2985406fe0da', 'False', 'True', 'false', 'false', '510727103460', 5, '双凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727103460', 1, '2021-07-19 11:40:10', NULL, NULL), (9486, '', '同心村', '914af1a20b4c4c58bcc66708cd791a82', '80456b37124f49f5a9cf2985406fe0da', 'False', 'True', 'false', 'false', '510727103466', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727103466', 1, '2021-07-19 11:40:11', NULL, NULL), (9487, '', '清水村', '1e1db35ed52c410b97c8fac102c2e405', '80456b37124f49f5a9cf2985406fe0da', 'False', 'True', 'false', 'false', '510727103643', 5, '清水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727103643', 1, '2021-07-19 11:40:11', NULL, NULL), (9488, '', '涪江村', '86d3f615eaa946d4a9d6d2dd43b05e00', '80456b37124f49f5a9cf2985406fe0da', 'False', 'True', 'false', 'false', '510727103723', 5, '涪江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727103723', 1, '2021-07-19 11:40:11', NULL, NULL), (9489, '', '鹤亭村', '5944ea2b41204b4aab98de7f2d08c7f4', '80456b37124f49f5a9cf2985406fe0da', 'False', 'True', 'false', 'false', '510727103805', 5, '鹤亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727103805', 1, '2021-07-19 11:40:11', NULL, NULL), (9490, '', '平通羌族乡', 'f0d4d3d7429045af95ebb1e09c23efff', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727104000', 4, '平通羌族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727104000', 1, '2021-07-19 11:40:11', NULL, NULL), (9491, '', '新桥村', '8c8b05c5294b4ed9801f972db137d5d8', 'f0d4d3d7429045af95ebb1e09c23efff', 'False', 'True', 'false', 'false', '510727104385', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727104385', 1, '2021-07-19 11:40:11', NULL, NULL), (9492, '', '新民村', '0e2a863f934e44dcb922c45ed4a8a8e5', 'f0d4d3d7429045af95ebb1e09c23efff', 'False', 'True', 'false', 'false', '510727104388', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727104388', 1, '2021-07-19 11:40:11', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (9493, '', '龙治村', 'eaa8016b4bea4e9fbdd6f5b8c7029f88', 'f0d4d3d7429045af95ebb1e09c23efff', 'False', 'True', 'false', 'false', '510727104615', 5, '龙治村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727104615', 1, '2021-07-19 11:40:11', NULL, NULL), (9494, '', '桅杆村', 'e5c42a4307bf4b1daa81d3cfbb9e7322', 'f0d4d3d7429045af95ebb1e09c23efff', 'False', 'True', 'false', 'false', '510727104138', 5, '桅杆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727104138', 1, '2021-07-19 11:40:11', NULL, NULL), (9495, '', '椒子山村', '505c0f7f4f3e4d20846eca6bd598e0fe', 'f0d4d3d7429045af95ebb1e09c23efff', 'False', 'True', 'false', 'false', '510727104185', 5, '椒子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727104185', 1, '2021-07-19 11:40:11', NULL, NULL), (9496, '', '易大村', '366ea2e344dd4e1eb83b4c7e585048e1', 'f0d4d3d7429045af95ebb1e09c23efff', 'False', 'True', 'false', 'false', '510727104244', 5, '易大村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727104244', 1, '2021-07-19 11:40:11', NULL, NULL), (9497, '', '三溪村', 'c03ac36422934248b7fee16fe6f2fdaa', 'f0d4d3d7429045af95ebb1e09c23efff', 'False', 'True', 'false', 'false', '510727104248', 5, '三溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727104248', 1, '2021-07-19 11:40:11', NULL, NULL), (9498, '', '平通社区', '7d2412d0ccf84528b79aaa8a68a1df31', 'f0d4d3d7429045af95ebb1e09c23efff', 'False', 'True', 'false', 'false', '510727104268', 5, '平通社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727104268', 1, '2021-07-19 11:40:11', NULL, NULL), (9499, '', '团碑村', '109477525b1240ecb270d17a4ec617b3', 'f0d4d3d7429045af95ebb1e09c23efff', 'False', 'True', 'false', 'false', '510727104403', 5, '团碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727104403', 1, '2021-07-19 11:40:12', NULL, NULL), (9500, '', '桥坝村', '8e96f622c11649aa821bfa11e0a25af9', 'f0d4d3d7429045af95ebb1e09c23efff', 'False', 'True', 'false', 'false', '510727104447', 5, '桥坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727104447', 1, '2021-07-19 11:40:12', NULL, NULL), (9501, '', '石坝村', '8b913b772d1f4ab292cfe6030f777d6f', 'f0d4d3d7429045af95ebb1e09c23efff', 'False', 'True', 'false', 'false', '510727104477', 5, '石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727104477', 1, '2021-07-19 11:40:12', NULL, NULL), (9502, '', '牛飞村', '908c3fd0b08b4dca8979225c5b27f386', 'f0d4d3d7429045af95ebb1e09c23efff', 'False', 'True', 'false', 'false', '510727104605', 5, '牛飞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727104605', 1, '2021-07-19 11:40:12', NULL, NULL), (9503, '', '新园村', '621bcfab733e482087fb8056dd0e1579', 'f0d4d3d7429045af95ebb1e09c23efff', 'False', 'True', 'false', 'false', '510727104609', 5, '新园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727104609', 1, '2021-07-19 11:40:12', NULL, NULL), (9504, '', '豆叩羌族乡', '4d1e35d869694ad8a83d3fe61fb33f69', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727105000', 4, '豆叩羌族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727105000', 1, '2021-07-19 11:40:12', NULL, NULL), (9505, '', '平沟村', 'c43b72e4c6154b1d86f9fd877aac2760', '4d1e35d869694ad8a83d3fe61fb33f69', 'False', 'True', 'false', 'false', '510727105130', 5, '平沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727105130', 1, '2021-07-19 11:40:12', NULL, NULL), (9506, '', '海棠村', 'db4cb455d99c47a8a19dab8de2c96911', '4d1e35d869694ad8a83d3fe61fb33f69', 'False', 'True', 'false', 'false', '510727105257', 5, '海棠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727105257', 1, '2021-07-19 11:40:12', NULL, NULL), (9507, '', '油榨村', '15ad6ba6a5c9464aa031f4efd4e82480', '4d1e35d869694ad8a83d3fe61fb33f69', 'False', 'True', 'false', 'false', '510727105996', 5, '油榨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727105996', 1, '2021-07-19 11:40:12', NULL, NULL), (9508, '', '银岭村', '855355c8cf354cc68144ec437536346e', '4d1e35d869694ad8a83d3fe61fb33f69', 'False', 'True', 'false', 'false', '510727105416', 5, '银岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727105416', 1, '2021-07-19 11:40:13', NULL, NULL), (9509, '', '紫荆村', '96bc544060a4441c9278b5b6e4ca9f6e', '4d1e35d869694ad8a83d3fe61fb33f69', 'False', 'True', 'false', 'false', '510727105429', 5, '紫荆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727105429', 1, '2021-07-19 11:40:13', NULL, NULL), (9510, '', '裕华村', 'ff76477766a04534aadb3e8141cfc70a', '4d1e35d869694ad8a83d3fe61fb33f69', 'False', 'True', 'false', 'false', '510727105490', 5, '裕华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727105490', 1, '2021-07-19 11:40:13', NULL, NULL), (9511, '', '先锋村', '27a25bf2342543b1a95e0c986b74b9b6', '4d1e35d869694ad8a83d3fe61fb33f69', 'False', 'True', 'false', 'false', '510727105546', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727105546', 1, '2021-07-19 11:40:13', NULL, NULL), (9512, '', '茶香村', 'c12a2353cfe448c0bc16d1c6527910fb', '4d1e35d869694ad8a83d3fe61fb33f69', 'False', 'True', 'false', 'false', '510727105563', 5, '茶香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727105563', 1, '2021-07-19 11:40:13', NULL, NULL), (9513, '', '竹坝村', '009e2ea2a5174caa8741ae5e0957597e', '4d1e35d869694ad8a83d3fe61fb33f69', 'False', 'True', 'false', 'false', '510727105637', 5, '竹坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727105637', 1, '2021-07-19 11:40:13', NULL, NULL), (9514, '', '荣华村', '50ecd0fc797a4300be239d4af5126c02', '4d1e35d869694ad8a83d3fe61fb33f69', 'False', 'True', 'false', 'false', '510727105741', 5, '荣华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727105741', 1, '2021-07-19 11:40:13', NULL, NULL), (9515, '', '木楠村', 'b857398e7da24b8d91b38f99f1aea481', '4d1e35d869694ad8a83d3fe61fb33f69', 'False', 'True', 'false', 'false', '510727105848', 5, '木楠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727105848', 1, '2021-07-19 11:40:13', NULL, NULL), (9516, '', '豆叩社区', 'ed7603d097074d74b44dabdd0a9201b9', '4d1e35d869694ad8a83d3fe61fb33f69', 'False', 'True', 'false', 'false', '510727105896', 5, '豆叩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727105896', 1, '2021-07-19 11:40:13', NULL, NULL), (9517, '', '华丰村', 'd45f5cc9d04148f68d323f091169c261', '4d1e35d869694ad8a83d3fe61fb33f69', 'False', 'True', 'false', 'false', '510727105949', 5, '华丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727105949', 1, '2021-07-19 11:40:13', NULL, NULL), (9518, '', '大桥镇', '3b6b6343eb054e4eba9b17a78eae131a', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727107000', 4, '大桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727107000', 1, '2021-07-19 11:40:14', NULL, NULL), (9519, '', '新乾村', '476b6b99346748f08809da616b7da5cf', '3b6b6343eb054e4eba9b17a78eae131a', 'False', 'False', 'false', 'false', '510727107137', 5, '新乾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727107137', 1, '2021-07-19 11:40:14', NULL, NULL), (9520, '', '大安村', '89dbf775bb8b4ba18829a3ca91c23d53', '3b6b6343eb054e4eba9b17a78eae131a', 'False', 'False', 'false', 'false', '510727107356', 5, '大安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727107356', 1, '2021-07-19 11:40:14', NULL, NULL), (9521, '', '田坝村', '6f6e9721d86e4061a91bf170e0287d9d', '3b6b6343eb054e4eba9b17a78eae131a', 'False', 'False', 'false', 'false', '510727107608', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727107608', 1, '2021-07-19 11:40:14', NULL, NULL), (9522, '', '河口村', 'a9adf46a0c0843cb861d43d6394508ee', '3b6b6343eb054e4eba9b17a78eae131a', 'False', 'False', 'false', 'false', '510727107662', 5, '河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727107662', 1, '2021-07-19 11:40:14', NULL, NULL), (9523, '', '金宝村', 'e8782944fdb641e8a90861ae8ed51775', '3b6b6343eb054e4eba9b17a78eae131a', 'False', 'False', 'false', 'false', '510727107732', 5, '金宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727107732', 1, '2021-07-19 11:40:14', NULL, NULL), (9524, '', '大桥社区', '3c634fb13d484da790181f74580745d1', '3b6b6343eb054e4eba9b17a78eae131a', 'False', 'False', 'false', 'false', '510727107831', 5, '大桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727107831', 1, '2021-07-19 11:40:14', NULL, NULL), (9525, '', '大城村', 'a9bc937b0c3d4903891b6c5690eae851', '3b6b6343eb054e4eba9b17a78eae131a', 'False', 'True', 'false', 'false', '510727107844', 5, '大城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727107844', 1, '2021-07-19 11:40:14', NULL, NULL), (9526, '', '安丰村', 'a11dfb0acbdf49028aca172a203d72d0', '3b6b6343eb054e4eba9b17a78eae131a', 'False', 'False', 'false', 'false', '510727107964', 5, '安丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727107964', 1, '2021-07-19 11:40:14', NULL, NULL), (9527, '', '新营村', '06b8073d9cf4496083af0e95ae6cae20', '3b6b6343eb054e4eba9b17a78eae131a', 'False', 'False', 'false', 'false', '510727107996', 5, '新营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727107996', 1, '2021-07-19 11:40:14', NULL, NULL), (9528, '', '水晶镇', 'b63eb53a3c0a4d31b184232bcdde9940', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727108000', 4, '水晶镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727108000', 1, '2021-07-19 11:40:14', NULL, NULL), (9529, '', '青龙村', '18124d88d09c46c181c0a95dc14b2e51', 'b63eb53a3c0a4d31b184232bcdde9940', 'False', 'True', 'false', 'false', '510727108027', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727108027', 1, '2021-07-19 11:40:15', NULL, NULL), (9530, '', '水晶村', '33f938b4aa9e44ffadf68e68580d3674', 'b63eb53a3c0a4d31b184232bcdde9940', 'False', 'True', 'false', 'false', '510727108112', 5, '水晶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727108112', 1, '2021-07-19 11:40:15', NULL, NULL), (9531, '', '大坪村', '92b52cb5d63b4c46a560eade21a2dbb6', 'b63eb53a3c0a4d31b184232bcdde9940', 'False', 'True', 'false', 'false', '510727108397', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727108397', 1, '2021-07-19 11:40:15', NULL, NULL), (9532, '', '任家坝村', 'fbcb6503ecda4563809a5739d247476a', 'b63eb53a3c0a4d31b184232bcdde9940', 'False', 'True', 'false', 'false', '510727108426', 5, '任家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727108426', 1, '2021-07-19 11:40:15', NULL, NULL), (9533, '', '新华村', '5a601d8f5f2a4a48ac57516f53f3fc29', 'b63eb53a3c0a4d31b184232bcdde9940', 'False', 'True', 'false', 'false', '510727108551', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727108551', 1, '2021-07-19 11:40:15', NULL, NULL), (9534, '', '溪坝村', '5d013be7aa754ac48f9738c8accdb21c', 'b63eb53a3c0a4d31b184232bcdde9940', 'False', 'True', 'false', 'false', '510727108585', 5, '溪坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727108585', 1, '2021-07-19 11:40:15', NULL, NULL), (9535, '', '涪源社区', '7f863c075081431ca17114632e1f70e3', 'b63eb53a3c0a4d31b184232bcdde9940', 'False', 'True', 'false', 'false', '510727108627', 5, '涪源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727108627', 1, '2021-07-19 11:40:15', NULL, NULL), (9536, '', '柏梓村', '1dc22a14020b43178f10aafe815a1d1b', 'b63eb53a3c0a4d31b184232bcdde9940', 'False', 'True', 'false', 'false', '510727108764', 5, '柏梓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727108764', 1, '2021-07-19 11:40:15', NULL, NULL), (9537, '', '竹柏村', '6a3c57e8da244be69f49c00cb947044f', 'b63eb53a3c0a4d31b184232bcdde9940', 'False', 'True', 'false', 'false', '510727108834', 5, '竹柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727108834', 1, '2021-07-19 11:40:15', NULL, NULL), (9538, '', '高村乡', '078d301d0de24ac098098bd74b775db1', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727200000', 4, '高村乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727200000', 1, '2021-07-19 11:40:15', NULL, NULL), (9539, '', '光一村', '6d4c0cc2af65480c930db7548feca270', '078d301d0de24ac098098bd74b775db1', 'False', 'False', 'false', 'false', '510727200032', 5, '光一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727200032', 1, '2021-07-19 11:40:15', NULL, NULL), (9540, '', '高村社区', '818456776e7d47558a16e5a5d2f4fb60', '078d301d0de24ac098098bd74b775db1', 'False', 'False', 'false', 'false', '510727200268', 5, '高村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727200268', 1, '2021-07-19 11:40:15', NULL, NULL), (9541, '', '福寿村', '71b1f5dfc79f40958a053070ec9a0a2f', '078d301d0de24ac098098bd74b775db1', 'False', 'True', 'false', 'false', '510727200629', 5, '福寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727200629', 1, '2021-07-19 11:40:16', NULL, NULL), (9542, '', '民主社区', 'd4433dffeeb14a4991af48ec05bf2a6d', '078d301d0de24ac098098bd74b775db1', 'False', 'False', 'false', 'false', '510727200800', 5, '民主社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727200800', 1, '2021-07-19 11:40:16', NULL, NULL), (9543, '', '大兴村', '252dd0c833d84eb3a1cdbbe71a039120', '078d301d0de24ac098098bd74b775db1', 'False', 'False', 'false', 'false', '510727200888', 5, '大兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727200888', 1, '2021-07-19 11:40:16', NULL, NULL), (9544, '', '五一村', 'e8f60a12623e4a52a692011b83552ce8', '078d301d0de24ac098098bd74b775db1', 'False', 'False', 'false', 'false', '510727200916', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727200916', 1, '2021-07-19 11:40:16', NULL, NULL), (9545, '', '坝子乡', 'f3ff63f587404721b4311e66ff2c52e5', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727202000', 4, '坝子乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727202000', 1, '2021-07-19 11:40:16', NULL, NULL), (9546, '', '金宝村', '14e059ea55c941d7acb13cf5c9f7571c', 'f3ff63f587404721b4311e66ff2c52e5', 'False', 'True', 'false', 'false', '510727202089', 5, '金宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727202089', 1, '2021-07-19 11:40:16', NULL, NULL), (9547, '', '五丰村', '994a01874a4345788b73a47a28db9a73', 'f3ff63f587404721b4311e66ff2c52e5', 'False', 'True', 'false', 'false', '510727202125', 5, '五丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727202125', 1, '2021-07-19 11:40:16', NULL, NULL), (9548, '', '玉丰村', '259a40dc173b459991caee8f03db20ae', 'f3ff63f587404721b4311e66ff2c52e5', 'False', 'True', 'false', 'false', '510727202138', 5, '玉丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727202138', 1, '2021-07-19 11:40:16', NULL, NULL), (9549, '', '双龙村', 'b4c13b59db4a475397af90b0f1f6471f', 'f3ff63f587404721b4311e66ff2c52e5', 'False', 'True', 'false', 'false', '510727202204', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727202204', 1, '2021-07-19 11:40:16', NULL, NULL), (9550, '', '白鸭村', 'e9649962a6eb4ef59dfd5db54efecd1c', 'f3ff63f587404721b4311e66ff2c52e5', 'False', 'True', 'false', 'false', '510727202286', 5, '白鸭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727202286', 1, '2021-07-19 11:40:16', NULL, NULL), (9551, '', '黑水村', 'a5bea3db320c49f3abfaecbd06519d66', 'f3ff63f587404721b4311e66ff2c52e5', 'False', 'True', 'false', 'false', '510727202401', 5, '黑水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727202401', 1, '2021-07-19 11:40:16', NULL, NULL), (9552, '', '坝子社区', 'f4e6a39560d641e5824c167d5072edc6', 'f3ff63f587404721b4311e66ff2c52e5', 'False', 'True', 'false', 'false', '510727202455', 5, '坝子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727202455', 1, '2021-07-19 11:40:16', NULL, NULL), (9553, '', '八洞村', '8e947578c57648c88d58673b5c468b54', 'f3ff63f587404721b4311e66ff2c52e5', 'False', 'True', 'false', 'false', '510727202483', 5, '八洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727202483', 1, '2021-07-19 11:40:16', NULL, NULL), (9554, '', '伏龙村', '5323c022d95f4552bf8b8879018db2fa', 'f3ff63f587404721b4311e66ff2c52e5', 'False', 'True', 'false', 'false', '510727202784', 5, '伏龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727202784', 1, '2021-07-19 11:40:16', NULL, NULL), (9555, '', '丘林村', '8aea0b2b01804104b381c4c53ee4cf9e', 'f3ff63f587404721b4311e66ff2c52e5', 'False', 'True', 'false', 'false', '510727202925', 5, '丘林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727202925', 1, '2021-07-19 11:40:16', NULL, NULL), (9556, '', '锁江羌族乡', '922bb225132f4301981d3bf4a9f89542', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727206000', 4, '锁江羌族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727206000', 1, '2021-07-19 11:40:17', NULL, NULL), (9557, '', '铧嘴村', 'bd44f7adf58e48e68ff352bdce555f5f', '922bb225132f4301981d3bf4a9f89542', 'False', 'True', 'false', 'false', '510727206126', 5, '铧嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727206126', 1, '2021-07-19 11:40:17', NULL, NULL), (9558, '', '皇庙村', 'fe317fda5b6342709c78623883a6201b', '922bb225132f4301981d3bf4a9f89542', 'False', 'True', 'false', 'false', '510727206294', 5, '皇庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727206294', 1, '2021-07-19 11:40:17', NULL, NULL), (9559, '', '大印社区', '3acd836a718b4eceb77c7be149328764', '922bb225132f4301981d3bf4a9f89542', 'False', 'True', 'false', 'false', '510727206308', 5, '大印社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727206308', 1, '2021-07-19 11:40:17', NULL, NULL), (9560, '', '山峰村', '6cf71bdc4fc1427dabbc6ba5cb42d905', '922bb225132f4301981d3bf4a9f89542', 'False', 'True', 'false', 'false', '510727206354', 5, '山峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727206354', 1, '2021-07-19 11:40:17', NULL, NULL), (9561, '', '黄坪村', '884b3180a7654dcb8de1d231d095734a', '922bb225132f4301981d3bf4a9f89542', 'False', 'True', 'false', 'false', '510727206364', 5, '黄坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727206364', 1, '2021-07-19 11:40:17', NULL, NULL), (9562, '', '立堡村', 'e0273899af50498898e140d92a9b81b0', '922bb225132f4301981d3bf4a9f89542', 'False', 'True', 'false', 'false', '510727206470', 5, '立堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727206470', 1, '2021-07-19 11:40:17', NULL, NULL), (9563, '', '金印村', 'c3d65d1a1e404f319557cfc53c20eca8', '922bb225132f4301981d3bf4a9f89542', 'False', 'True', 'false', 'false', '510727206987', 5, '金印村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727206987', 1, '2021-07-19 11:40:17', NULL, NULL), (9564, '', '凤阳村', '68006173eb964167bf167e599a0643dc', '922bb225132f4301981d3bf4a9f89542', 'False', 'True', 'false', 'false', '510727206060', 5, '凤阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727206060', 1, '2021-07-19 11:40:17', NULL, NULL), (9565, '', '江东村', 'ad28b3c382e945e29507af3c9a0e89ed', '922bb225132f4301981d3bf4a9f89542', 'False', 'True', 'false', 'false', '510727206125', 5, '江东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727206125', 1, '2021-07-19 11:40:17', NULL, NULL), (9566, '', '坝子村', '63fd5d0dfac14fa2bccc35d1aa6e65c8', '922bb225132f4301981d3bf4a9f89542', 'False', 'True', 'false', 'false', '510727206203', 5, '坝子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727206203', 1, '2021-07-19 11:40:17', NULL, NULL), (9567, '', '解放村', '79abe0c75fbc40e6bdca87bd5a630e89', '922bb225132f4301981d3bf4a9f89542', 'False', 'True', 'false', 'false', '510727206555', 5, '解放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727206555', 1, '2021-07-19 11:40:18', NULL, NULL), (9568, '', '水口村', 'b7367ef9d4d34c0982799ede07507bda', '922bb225132f4301981d3bf4a9f89542', 'False', 'True', 'false', 'false', '510727206766', 5, '水口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727206766', 1, '2021-07-19 11:40:18', NULL, NULL), (9569, '', '槐窝村', 'd8929afba9fc410f8c81811682fae379', '922bb225132f4301981d3bf4a9f89542', 'False', 'True', 'false', 'false', '510727206997', 5, '槐窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727206997', 1, '2021-07-19 11:40:18', NULL, NULL), (9570, '', '土城藏族乡', '1b70541ad8504ae6b3e2fac2971496d2', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727207000', 4, '土城藏族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727207000', 1, '2021-07-19 11:40:18', NULL, NULL), (9571, '', '土城村', '9e633967fa414708833daacc13a7e040', '1b70541ad8504ae6b3e2fac2971496d2', 'False', 'False', 'false', 'false', '510727207004', 5, '土城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727207004', 1, '2021-07-19 11:40:18', NULL, NULL), (9572, '', '枫香村', 'ef2e468391114d44ac2ccf47060b420f', '1b70541ad8504ae6b3e2fac2971496d2', 'False', 'False', 'false', 'false', '510727207012', 5, '枫香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727207012', 1, '2021-07-19 11:40:18', NULL, NULL), (9573, '', '海河村', '4914ab45488648a593aed65d8fcf9d57', '1b70541ad8504ae6b3e2fac2971496d2', 'False', 'False', 'false', 'false', '510727207020', 5, '海河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727207020', 1, '2021-07-19 11:40:18', NULL, NULL), (9574, '', '独木村', '2f83c99cb7d1487285091a66d786b2dd', '1b70541ad8504ae6b3e2fac2971496d2', 'False', 'False', 'false', 'false', '510727207268', 5, '独木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727207268', 1, '2021-07-19 11:40:18', NULL, NULL), (9575, '', '毛香村', '39a8e7c5eb8e46d1a08bb65a5fa810ea', '1b70541ad8504ae6b3e2fac2971496d2', 'False', 'False', 'false', 'false', '510727207435', 5, '毛香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727207435', 1, '2021-07-19 11:40:18', NULL, NULL), (9576, '', '五里台村', '0e83415c1aae4c4fbc9ac0778bace77d', '1b70541ad8504ae6b3e2fac2971496d2', 'False', 'True', 'false', 'false', '510727207718', 5, '五里台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727207718', 1, '2021-07-19 11:40:18', NULL, NULL), (9577, '', '旧堡羌族乡', '05949dd99ae744c2b2cb85824e269524', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727208000', 4, '旧堡羌族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727208000', 1, '2021-07-19 11:40:18', NULL, NULL), (9578, '', '宝竹村', 'e1eb5c9d0d3749078502381aff425989', '05949dd99ae744c2b2cb85824e269524', 'False', 'False', 'false', 'false', '510727208083', 5, '宝竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727208083', 1, '2021-07-19 11:40:18', NULL, NULL), (9579, '', '双泉村', 'd01231b1e37842c78fef2f5396034aa1', '05949dd99ae744c2b2cb85824e269524', 'False', 'False', 'false', 'false', '510727208284', 5, '双泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727208284', 1, '2021-07-19 11:40:18', NULL, NULL), (9580, '', '庆林村', '0276617553464b36a9b64bddb7b43b12', '05949dd99ae744c2b2cb85824e269524', 'False', 'False', 'false', 'false', '510727208708', 5, '庆林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727208708', 1, '2021-07-19 11:40:18', NULL, NULL), (9581, '', '竹丰村', 'a8b3693d0b7e4db396a4ed048f222f9c', '05949dd99ae744c2b2cb85824e269524', 'False', 'False', 'false', 'false', '510727208821', 5, '竹丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727208821', 1, '2021-07-19 11:40:18', NULL, NULL), (9582, '', '阔达藏族乡', '5879dea182424c5d91630547a6af1478', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727209000', 4, '阔达藏族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727209000', 1, '2021-07-19 11:40:19', NULL, NULL), (9583, '', '筏子头村', '62eccad376544175ace6fdae120e626f', '5879dea182424c5d91630547a6af1478', 'False', 'False', 'false', 'false', '510727209277', 5, '筏子头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727209277', 1, '2021-07-19 11:40:19', NULL, NULL), (9584, '', '阔丰村', 'c624356e74f5481faa1c13eb1fd42fe4', '5879dea182424c5d91630547a6af1478', 'False', 'True', 'false', 'false', '510727209387', 5, '阔丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727209387', 1, '2021-07-19 11:40:19', NULL, NULL), (9585, '', '仙坪村', '19149b3e02014b2faf39ab32322b5a23', '5879dea182424c5d91630547a6af1478', 'False', 'False', 'false', 'false', '510727209718', 5, '仙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727209718', 1, '2021-07-19 11:40:19', NULL, NULL), (9586, '', '铁龙村', '19b2ca2544e149c1af1dc2ace2064dc0', '5879dea182424c5d91630547a6af1478', 'False', 'False', 'false', 'false', '510727209829', 5, '铁龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727209829', 1, '2021-07-19 11:40:19', NULL, NULL), (9587, '', '旧庄村', 'adf0fd889ef2423da591788e8dc9c0ac', '5879dea182424c5d91630547a6af1478', 'False', 'False', 'false', 'false', '510727209891', 5, '旧庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727209891', 1, '2021-07-19 11:40:19', NULL, NULL), (9588, '', '黄羊关藏族乡', 'eae7907b5df2419b93dc6c640cadc7dc', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727210000', 4, '黄羊关藏族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727210000', 1, '2021-07-19 11:40:19', NULL, NULL), (9589, '', '曙光村', '18b1901343c3484f82525e8d596546f6', 'eae7907b5df2419b93dc6c640cadc7dc', 'False', 'True', 'false', 'false', '510727210464', 5, '曙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727210464', 1, '2021-07-19 11:40:19', NULL, NULL), (9590, '', '山园村', '162eedb915d4483d9ebc916680d93654', 'eae7907b5df2419b93dc6c640cadc7dc', 'False', 'True', 'false', 'false', '510727210800', 5, '山园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727210800', 1, '2021-07-19 11:40:19', NULL, NULL), (9591, '', '星光村', '30fcc1ff62d64fee952c8548711b2020', 'eae7907b5df2419b93dc6c640cadc7dc', 'False', 'True', 'false', 'false', '510727210945', 5, '星光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727210945', 1, '2021-07-19 11:40:19', NULL, NULL), (9592, '', '龙池村', '8cc57ad21651475c824bbaf90f689bac', 'eae7907b5df2419b93dc6c640cadc7dc', 'False', 'True', 'false', 'false', '510727210958', 5, '龙池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727210958', 1, '2021-07-19 11:40:19', NULL, NULL), (9593, '', '虎牙藏族乡', 'f1f7aba25665436e9e7681467f8598f7', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727211000', 4, '虎牙藏族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727211000', 1, '2021-07-19 11:40:19', NULL, NULL), (9594, '', '虎丰村', '752daed24a9f42559e6bfa82be71841e', 'f1f7aba25665436e9e7681467f8598f7', 'False', 'False', 'false', 'false', '510727211141', 5, '虎丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727211141', 1, '2021-07-19 11:40:19', NULL, NULL), (9595, '', '占口村', 'd35049dd05f54fcf8b7ce5c142beddf3', 'f1f7aba25665436e9e7681467f8598f7', 'False', 'False', 'false', 'false', '510727211247', 5, '占口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727211247', 1, '2021-07-19 11:40:20', NULL, NULL), (9596, '', '上游村', 'e2a6c0f3fdb943ada8dc3d72f231a8fc', 'f1f7aba25665436e9e7681467f8598f7', 'False', 'False', 'false', 'false', '510727211519', 5, '上游村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727211519', 1, '2021-07-19 11:40:20', NULL, NULL), (9597, '', '龙溪村', '020f561c436d42ff927508d1097b9072', 'f1f7aba25665436e9e7681467f8598f7', 'False', 'False', 'false', 'false', '510727211794', 5, '龙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727211794', 1, '2021-07-19 11:40:20', NULL, NULL), (9598, '', '高山堡', '3d2bd07166f64e77bcc801425d04a029', 'f1f7aba25665436e9e7681467f8598f7', 'False', 'True', 'false', 'false', '510727211856', 5, '高山堡', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727211856', 1, '2021-07-19 11:40:20', NULL, NULL), (9599, '', '泗耳藏族乡', '92076b523db84defaa3a2f2b76df8f94', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727212000', 4, '泗耳藏族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727212000', 1, '2021-07-19 11:40:20', NULL, NULL), (9600, '', '泗耳村', '51f27d8cc0794c79b5540e01faeac8f5', '92076b523db84defaa3a2f2b76df8f94', 'False', 'True', 'false', 'false', '510727212372', 5, '泗耳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727212372', 1, '2021-07-19 11:40:20', NULL, NULL), (9601, '', '茶坊村', '30a1da84e65b4f5b94c36692b5f1aec9', '92076b523db84defaa3a2f2b76df8f94', 'False', 'True', 'false', 'false', '510727212626', 5, '茶坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727212626', 1, '2021-07-19 11:40:20', NULL, NULL), (9602, '', '杨柳村', '1a28b79efab74c6e949016b60f4bfc83', '92076b523db84defaa3a2f2b76df8f94', 'False', 'True', 'false', 'false', '510727212663', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727212663', 1, '2021-07-19 11:40:20', NULL, NULL), (9603, '', '白马藏族乡', '70fabfd4a9884fcc923f678f9dc3b11a', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727213000', 4, '白马藏族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727213000', 1, '2021-07-19 11:40:20', NULL, NULL), (9604, '', '稿史脑村', 'b991efaa20314f39b4dbc8bc124f4307', '70fabfd4a9884fcc923f678f9dc3b11a', 'False', 'False', 'false', 'false', '510727213100', 5, '稿史脑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727213100', 1, '2021-07-19 11:40:20', NULL, NULL), (9605, '', '亚者造祖村', '8615d5861ae74ac0a534910ec2296df6', '70fabfd4a9884fcc923f678f9dc3b11a', 'False', 'False', 'false', 'false', '510727213196', 5, '亚者造祖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727213196', 1, '2021-07-19 11:40:20', NULL, NULL), (9606, '', '伊瓦岱惹村', 'a1c5283eeea74c9cbd37b5481e3fe420', '70fabfd4a9884fcc923f678f9dc3b11a', 'False', 'False', 'false', 'false', '510727213591', 5, '伊瓦岱惹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727213591', 1, '2021-07-19 11:40:20', NULL, NULL), (9607, '', '厄哩村', '2f67c3013a1a4c97bc2559144440daee', '70fabfd4a9884fcc923f678f9dc3b11a', 'False', 'False', 'false', 'false', '510727213771', 5, '厄哩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727213771', 1, '2021-07-19 11:40:21', NULL, NULL), (9608, '', '木座藏族乡', '60e2c12a9c5e4994a5ae0da45bb5327c', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727214000', 4, '木座藏族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727214000', 1, '2021-07-19 11:40:21', NULL, NULL), (9609, '', '和平村', '5624a7e7ee5c418a9411f64fcbf93c93', '60e2c12a9c5e4994a5ae0da45bb5327c', 'False', 'True', 'false', 'false', '510727214325', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727214325', 1, '2021-07-19 11:40:21', NULL, NULL), (9610, '', '民族村', '32eb0b06220846cdace11f088b001ad2', '60e2c12a9c5e4994a5ae0da45bb5327c', 'False', 'True', 'false', 'false', '510727214602', 5, '民族村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727214602', 1, '2021-07-19 11:40:21', NULL, NULL), (9611, '', '新驿村', '6c18ac1078ee46d597c8756597c4c31b', '60e2c12a9c5e4994a5ae0da45bb5327c', 'False', 'False', 'false', 'false', '510727214714', 5, '新驿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727214714', 1, '2021-07-19 11:40:21', NULL, NULL), (9612, '', '木皮藏族乡', '0c166cef38764566a188c2f51313d79e', '52678353c96d43c2bb73025a32af1718', 'True', 'True', 'false', 'false', '510727215000', 4, '木皮藏族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510727215000', 1, '2021-07-19 11:40:21', NULL, NULL), (9613, '', '小河村', '5aad26c766504b63adfb5e2498afe1d2', '0c166cef38764566a188c2f51313d79e', 'False', 'True', 'false', 'false', '510727215162', 5, '小河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727215162', 1, '2021-07-19 11:40:21', NULL, NULL), (9614, '', '金丰村', '4f86fc845b55454faafe06eff8a39688', '0c166cef38764566a188c2f51313d79e', 'False', 'False', 'false', 'false', '510727215358', 5, '金丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727215358', 1, '2021-07-19 11:40:21', NULL, NULL), (9615, '', '关坝村', 'e81f0397fc5e491bb09ed02b4c3543c0', '0c166cef38764566a188c2f51313d79e', 'False', 'True', 'false', 'false', '510727215392', 5, '关坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510727215392', 1, '2021-07-19 11:40:21', NULL, NULL), (9616, '', '北川羌族自治县', '18606ebac0f24b37ac1799a61944b884', '06770f8688a045beaf53089460935c1e', 'True', 'True', 'false', 'false', '510726000000', 3, '北川羌族自治县', 'mysbcx.sczwfw.gov.cn', 1, '2021-07-19 11:40:21', NULL, NULL), (9617, '', '坝底乡', 'a762748e3b38430795668cbd66dad17a', '18606ebac0f24b37ac1799a61944b884', 'True', 'True', 'false', 'false', '510726032000', 4, '坝底乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726032000', 1, '2021-07-19 11:40:21', NULL, NULL), (9618, '', '坪山村', 'ad97225f29bd49b7aa4228e15f6d2463', 'a762748e3b38430795668cbd66dad17a', 'False', 'True', 'false', 'false', '510726210336', 5, '坪山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726210336', 1, '2021-07-19 11:40:21', NULL, NULL), (9619, '', '新羊村', 'effdd06fd9b941aabd2c12419c4f9b58', 'a762748e3b38430795668cbd66dad17a', 'False', 'True', 'false', 'false', '510726210884', 5, '新羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726210884', 1, '2021-07-19 11:40:22', NULL, NULL), (9620, '', '山岔沟村', '54432cfaa7ba4c7fb33693af80b8f58f', 'a762748e3b38430795668cbd66dad17a', 'False', 'True', 'false', 'false', '510726210920', 5, '山岔沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726210920', 1, '2021-07-19 11:40:22', NULL, NULL), (9621, '', '武安社区', 'c8cf974e49654be9a574b73bf4c75c5d', 'a762748e3b38430795668cbd66dad17a', 'False', 'True', 'false', 'false', '510726212075', 5, '武安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726212075', 1, '2021-07-19 11:40:22', NULL, NULL), (9622, '', '岭岗村', 'fdcc087a36204f4f9e973e84404ee4da', 'a762748e3b38430795668cbd66dad17a', 'False', 'True', 'false', 'false', '510726212080', 5, '岭岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726212080', 1, '2021-07-19 11:40:22', NULL, NULL), (9623, '', '三溪村', '7cad3b3c1bf943e988072b374652249b', 'a762748e3b38430795668cbd66dad17a', 'False', 'True', 'false', 'false', '510726212087', 5, '三溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726212087', 1, '2021-07-19 11:40:22', NULL, NULL), (9624, '', '金龙村', 'fb33e6c71e2d4c87aa3497266518db19', 'a762748e3b38430795668cbd66dad17a', 'False', 'True', 'false', 'false', '510726212182', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726212182', 1, '2021-07-19 11:40:22', NULL, NULL), (9625, '', '石关村', '029e084fa1984ca59168207a02d59ac4', 'a762748e3b38430795668cbd66dad17a', 'False', 'True', 'false', 'false', '510726212191', 5, '石关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726212191', 1, '2021-07-19 11:40:22', NULL, NULL), (9626, '', '水田村', 'd0b1fef16c0b4f04a9e512ef745030dc', 'a762748e3b38430795668cbd66dad17a', 'False', 'True', 'false', 'false', '510726212212', 5, '水田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726212212', 1, '2021-07-19 11:40:22', NULL, NULL), (9627, '', '通坪村', 'acafc9024531453db02ab1562e41fdd6', 'a762748e3b38430795668cbd66dad17a', 'False', 'True', 'false', 'false', '510726212336', 5, '通坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726212336', 1, '2021-07-19 11:40:22', NULL, NULL), (9628, '', '金山村', 'c283a64040534e5092c3128d450c074a', 'a762748e3b38430795668cbd66dad17a', 'False', 'True', 'false', 'false', '510726212384', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726212384', 1, '2021-07-19 11:40:22', NULL, NULL), (9629, '', '小岭村', '9086e1db3bf4409584dfbd55bd6c2c0c', 'a762748e3b38430795668cbd66dad17a', 'False', 'True', 'false', 'false', '510726212414', 5, '小岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726212414', 1, '2021-07-19 11:40:22', NULL, NULL), (9630, '', '青坪村', '477100451de84118a6d43d7348c89595', 'a762748e3b38430795668cbd66dad17a', 'False', 'True', 'false', 'false', '510726212479', 5, '青坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726212479', 1, '2021-07-19 11:40:22', NULL, NULL), (9631, '', '坝底村', 'd0f4dccea94d49338cf6e93856c9012b', 'a762748e3b38430795668cbd66dad17a', 'False', 'True', 'false', 'false', '510726212548', 5, '坝底村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726212548', 1, '2021-07-19 11:40:22', NULL, NULL), (9632, '', '双合村', 'da8faedb11284af2977aa19214254aa8', 'a762748e3b38430795668cbd66dad17a', 'False', 'True', 'false', 'false', '510726212606', 5, '双合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726212606', 1, '2021-07-19 11:40:23', NULL, NULL), (9633, '', '坝底堡社区', 'e53525fdbff54655a8e566d5dc7ad298', 'a762748e3b38430795668cbd66dad17a', 'False', 'True', 'false', 'false', '510726212918', 5, '坝底堡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726212918', 1, '2021-07-19 11:40:23', NULL, NULL), (9634, '', '陈家坝镇', 'f4a8491399a54f65886d32fcb620873e', '18606ebac0f24b37ac1799a61944b884', 'True', 'True', 'false', 'false', '510726116000', 4, '陈家坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726116000', 1, '2021-07-19 11:40:23', NULL, NULL), (9635, '', '九龙村', '2b95733a4a2b4d8e91acad4ecb2ecd6d', 'f4a8491399a54f65886d32fcb620873e', 'False', 'True', 'false', 'false', '510726108099', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726108099', 1, '2021-07-19 11:40:23', NULL, NULL), (9636, '', '双埝村', '2ce99f4a627c4107bd2160759c9976d5', 'f4a8491399a54f65886d32fcb620873e', 'False', 'True', 'false', 'false', '510726108244', 5, '双埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726108244', 1, '2021-07-19 11:40:23', NULL, NULL), (9637, '', '宝桃村', '118a184ba68b4a9b9a31a066a0b51d92', 'f4a8491399a54f65886d32fcb620873e', 'False', 'True', 'false', 'false', '510726108520', 5, '宝桃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726108520', 1, '2021-07-19 11:40:23', NULL, NULL), (9638, '', '文兰村', '84edd3eef2cc4edea4bbca63327430f1', 'f4a8491399a54f65886d32fcb620873e', 'False', 'True', 'false', 'false', '510726108523', 5, '文兰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726108523', 1, '2021-07-19 11:40:23', NULL, NULL), (9639, '', '永平村', '040ed3e0a54f474fad6cf63fa807f088', 'f4a8491399a54f65886d32fcb620873e', 'False', 'True', 'false', 'false', '510726108557', 5, '永平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726108557', 1, '2021-07-19 11:40:23', NULL, NULL), (9640, '', '黎山村', '0359a459e5dd49a6b0208f909de50a39', 'f4a8491399a54f65886d32fcb620873e', 'False', 'True', 'false', 'false', '510726108830', 5, '黎山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726108830', 1, '2021-07-19 11:40:23', NULL, NULL), (9641, '', '陈家坝社区', '9c97750095054f0a8f1bac102e339d53', 'f4a8491399a54f65886d32fcb620873e', 'False', 'True', 'false', 'false', '510726109010', 5, '陈家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726109010', 1, '2021-07-19 11:40:23', NULL, NULL), (9642, '', '太洪村', '41ec882d736a479485165440168b6197', 'f4a8491399a54f65886d32fcb620873e', 'False', 'True', 'false', 'false', '510726109039', 5, '太洪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726109039', 1, '2021-07-19 11:40:23', NULL, NULL), (9643, '', '红岩村', 'b23cd4f08785464089213ac4e4a84dab', 'f4a8491399a54f65886d32fcb620873e', 'False', 'True', 'false', 'false', '510726109202', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726109202', 1, '2021-07-19 11:40:23', NULL, NULL), (9644, '', '西河村', '52118b72751e43b38125f3c2205bb5dd', 'f4a8491399a54f65886d32fcb620873e', 'False', 'True', 'false', 'false', '510726109485', 5, '西河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726109485', 1, '2021-07-19 11:40:24', NULL, NULL), (9645, '', '龙湾村', 'c9bc71e60f8843c3aff2eff03692d514', 'f4a8491399a54f65886d32fcb620873e', 'False', 'True', 'false', 'false', '510726109541', 5, '龙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726109541', 1, '2021-07-19 11:40:24', NULL, NULL), (9646, '', '老场村', 'a358624e78804d759887a4881b3e343a', 'f4a8491399a54f65886d32fcb620873e', 'False', 'True', 'false', 'false', '510726109880', 5, '老场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726109880', 1, '2021-07-19 11:40:24', NULL, NULL), (9647, '', '金鼓村', 'b09c5b35070c45b8b54c40c5cac2fb40', 'f4a8491399a54f65886d32fcb620873e', 'False', 'True', 'false', 'false', '510726109881', 5, '金鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726109881', 1, '2021-07-19 11:40:24', NULL, NULL), (9648, '', '通泉镇', '5e64f815ba744908b29025ac44945802', '18606ebac0f24b37ac1799a61944b884', 'True', 'True', 'false', 'false', '510726202000', 4, '通泉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726202000', 1, '2021-07-19 11:40:24', NULL, NULL), (9649, '', '黄江村', '3913c85fde7c4f81bbd8d093ee61e30c', '5e64f815ba744908b29025ac44945802', 'False', 'True', 'false', 'false', '510726104059', 5, '黄江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726104059', 1, '2021-07-19 11:40:24', NULL, NULL), (9650, '', '神木寨村', '69375607caf64b28ab0815ca446a37bc', '5e64f815ba744908b29025ac44945802', 'False', 'True', 'false', 'false', '510726104085', 5, '神木寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726104085', 1, '2021-07-19 11:40:24', NULL, NULL), (9651, '', '双潭村', '2bc28d94f4c143aa94e1b7e672959dc5', '5e64f815ba744908b29025ac44945802', 'False', 'True', 'false', 'false', '510726104195', 5, '双潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726104195', 1, '2021-07-19 11:40:24', NULL, NULL), (9652, '', '石门村', '8ab888151a89468dbb91a718f9c84069', '5e64f815ba744908b29025ac44945802', 'False', 'True', 'false', 'false', '510726104330', 5, '石门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726104330', 1, '2021-07-19 11:40:24', NULL, NULL), (9653, '', '双紫村', 'a52cbff4d67344fbbf5e07016a7fecae', '5e64f815ba744908b29025ac44945802', 'False', 'True', 'false', 'false', '510726104462', 5, '双紫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726104462', 1, '2021-07-19 11:40:24', NULL, NULL), (9654, '', '云坪村', '15a85f6a47394e79b296542b7360b0cf', '5e64f815ba744908b29025ac44945802', 'False', 'True', 'false', 'false', '510726104500', 5, '云坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726104500', 1, '2021-07-19 11:40:24', NULL, NULL), (9655, '', '羊耳沟村', '62f4f4c573e4444d992290286ea95b8b', '5e64f815ba744908b29025ac44945802', 'False', 'True', 'false', 'false', '510726104685', 5, '羊耳沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726104685', 1, '2021-07-19 11:40:24', NULL, NULL), (9656, '', '龙潭村', '94654aef8a50427d89fbdcf4002c5324', '5e64f815ba744908b29025ac44945802', 'False', 'True', 'false', 'false', '510726104708', 5, '龙潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726104708', 1, '2021-07-19 11:40:24', NULL, NULL), (9657, '', '幸福村', 'facc01804de64f0fa450f1e77a22b44f', '5e64f815ba744908b29025ac44945802', 'False', 'True', 'false', 'false', '510726110109', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726110109', 1, '2021-07-19 11:40:24', NULL, NULL), (9658, '', '战斗村', '27933d3354f441c098eb454810a2e664', '5e64f815ba744908b29025ac44945802', 'False', 'True', 'false', 'false', '510726110345', 5, '战斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726110345', 1, '2021-07-19 11:40:24', NULL, NULL), (9659, '', '通泉村', 'a59505deef964a8f82a270afc16865e8', '5e64f815ba744908b29025ac44945802', 'False', 'True', 'false', 'false', '510726110392', 5, '通泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726110392', 1, '2021-07-19 11:40:24', NULL, NULL), (9660, '', '流溪村', '9dbb697aa2094da3bd6cfe7ac28b255b', '5e64f815ba744908b29025ac44945802', 'False', 'True', 'false', 'false', '510726110456', 5, '流溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726110456', 1, '2021-07-19 11:40:24', NULL, NULL), (9661, '', '香江社区', '6e43db24059a4186b160699dd96939f1', '5e64f815ba744908b29025ac44945802', 'False', 'True', 'false', 'false', '510726110457', 5, '香江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726110457', 1, '2021-07-19 11:40:24', NULL, NULL), (9662, '', '香泉村', '87f306ef352d4d248c6a4ca81cdca8f8', '5e64f815ba744908b29025ac44945802', 'False', 'True', 'false', 'false', '510726110769', 5, '香泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726110769', 1, '2021-07-19 11:40:24', NULL, NULL), (9663, '', '通口社区', '8ce32659633a41eca56c6c45ddd76991', '5e64f815ba744908b29025ac44945802', 'False', 'True', 'false', 'false', '510726110983', 5, '通口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726110983', 1, '2021-07-19 11:40:25', NULL, NULL), (9664, '', '太平村', 'e6a4104caf5b48adb98f1e68ac9ad2e7', '5e64f815ba744908b29025ac44945802', 'False', 'True', 'false', 'false', '510726110985', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726110985', 1, '2021-07-19 11:40:25', NULL, NULL), (9665, '', '龙凤村', 'dd81773be7734b5091c78c0311c3de7e', '5e64f815ba744908b29025ac44945802', 'False', 'True', 'false', 'false', '510726110988', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726110988', 1, '2021-07-19 11:40:25', NULL, NULL), (9666, '', '漩坪乡', '9dcfd3e8ceaf418db300356da1720bf2', '18606ebac0f24b37ac1799a61944b884', 'True', 'True', 'false', 'false', '510726310000', 4, '漩坪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726310000', 1, '2021-07-19 11:40:25', NULL, NULL), (9667, '', '石龙村', 'a0d878fcf4c64efa8b76631ba0f51b84', '9dcfd3e8ceaf418db300356da1720bf2', 'False', 'True', 'false', 'false', '510726206089', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726206089', 1, '2021-07-19 11:40:25', NULL, NULL), (9668, '', '漩坪社区', 'c06583015e454a11be3644c073f69eca', '9dcfd3e8ceaf418db300356da1720bf2', 'False', 'True', 'false', 'false', '510726206100', 5, '漩坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726206100', 1, '2021-07-19 11:40:25', NULL, NULL), (9669, '', '清洁村', '7dac4e0237fb4597974b0623774184ea', '9dcfd3e8ceaf418db300356da1720bf2', 'False', 'True', 'false', 'false', '510726206148', 5, '清洁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726206148', 1, '2021-07-19 11:40:25', NULL, NULL), (9670, '', '桐麻村', '107d6954f99d47638af5a5f34696787c', '9dcfd3e8ceaf418db300356da1720bf2', 'False', 'True', 'false', 'false', '510726206169', 5, '桐麻村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726206169', 1, '2021-07-19 11:40:25', NULL, NULL), (9671, '', '张坪村', 'd100607a55424cc98322296705461f44', '9dcfd3e8ceaf418db300356da1720bf2', 'False', 'True', 'false', 'false', '510726206309', 5, '张坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726206309', 1, '2021-07-19 11:40:25', NULL, NULL), (9672, '', '景家村', '6be90d506a1d456c8a83cae8bc42465b', '9dcfd3e8ceaf418db300356da1720bf2', 'False', 'True', 'false', 'false', '510726206326', 5, '景家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726206326', 1, '2021-07-19 11:40:25', NULL, NULL), (9673, '', '椿芽村', 'ea4d47e13c784351b6dae789d49d49f4', '9dcfd3e8ceaf418db300356da1720bf2', 'False', 'True', 'false', 'false', '510726206425', 5, '椿芽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726206425', 1, '2021-07-19 11:40:25', NULL, NULL), (9674, '', '四松村', '7a7d4d78b7d54d73863711a5a9411f0e', '9dcfd3e8ceaf418db300356da1720bf2', 'False', 'True', 'false', 'false', '510726206487', 5, '四松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726206487', 1, '2021-07-19 11:40:25', NULL, NULL), (9675, '', '白溪村', 'c4623cbdf23a4cd88c16158219448b3b', '9dcfd3e8ceaf418db300356da1720bf2', 'False', 'True', 'false', 'false', '510726206875', 5, '白溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726206875', 1, '2021-07-19 11:40:25', NULL, NULL), (9676, '', '楼房村', '2fb6825180404ae4a560482d9abbcbf7', '9dcfd3e8ceaf418db300356da1720bf2', 'False', 'True', 'false', 'false', '510726206998', 5, '楼房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726206998', 1, '2021-07-19 11:40:25', NULL, NULL), (9677, '', '白什乡', 'ba82ff722cd94943b22e47f49e32dae7', '18606ebac0f24b37ac1799a61944b884', 'True', 'True', 'false', 'false', '510726339000', 4, '白什乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726339000', 1, '2021-07-19 11:40:25', NULL, NULL), (9678, '', '星河村', 'd138043644db4f87a38c360e8959f653', 'ba82ff722cd94943b22e47f49e32dae7', 'False', 'True', 'false', 'false', '510726211795', 5, '星河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726211795', 1, '2021-07-19 11:40:26', NULL, NULL), (9679, '', '白什村', '1c5926b4dfa8475f99c8807db2adcac9', 'ba82ff722cd94943b22e47f49e32dae7', 'False', 'True', 'false', 'false', '510726215319', 5, '白什村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726215319', 1, '2021-07-19 11:40:26', NULL, NULL), (9680, '', '白水村', 'cc64336f06b34261b7caa93f7638f132', 'ba82ff722cd94943b22e47f49e32dae7', 'False', 'True', 'false', 'false', '510726215443', 5, '白水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726215443', 1, '2021-07-19 11:40:26', NULL, NULL), (9681, '', '先锋社区', 'bd9e0d52b70d41e4ac3945218b59bc53', 'ba82ff722cd94943b22e47f49e32dae7', 'False', 'True', 'false', 'false', '510726215746', 5, '先锋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726215746', 1, '2021-07-19 11:40:26', NULL, NULL), (9682, '', '鱼背村', '5bfb1f8b6c644bb4af1bfb1f41568235', 'ba82ff722cd94943b22e47f49e32dae7', 'False', 'True', 'false', 'false', '510726215856', 5, '鱼背村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726215856', 1, '2021-07-19 11:40:26', NULL, NULL), (9683, '', '双溪村', '723e805b48334c4d8bd2c0a2f512a475', 'ba82ff722cd94943b22e47f49e32dae7', 'False', 'True', 'false', 'false', '510726215971', 5, '双溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726215971', 1, '2021-07-19 11:40:26', NULL, NULL), (9684, '', '片口乡', '5d3078b793a14d079ee383425e17199a', '18606ebac0f24b37ac1799a61944b884', 'True', 'True', 'false', 'false', '510726368000', 4, '片口乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726368000', 1, '2021-07-19 11:40:26', NULL, NULL), (9685, '', '民希村', '66585b9c8b8940338e912a3f4b6bbb3e', '5d3078b793a14d079ee383425e17199a', 'False', 'True', 'false', 'false', '510726208609', 5, '民希村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726208609', 1, '2021-07-19 11:40:26', NULL, NULL), (9686, '', '松柏村', '32f4bc94315b4d8ab39288ca67edd306', '5d3078b793a14d079ee383425e17199a', 'False', 'True', 'false', 'false', '510726210290', 5, '松柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726210290', 1, '2021-07-19 11:40:26', NULL, NULL), (9687, '', '保尔村', '63b5389329e3496d94ecd05a51b6f853', '5d3078b793a14d079ee383425e17199a', 'False', 'True', 'false', 'false', '510726210313', 5, '保尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726210313', 1, '2021-07-19 11:40:26', NULL, NULL), (9688, '', '泽可村', 'cc2ac9201c434121a3a8218b7d769372', '5d3078b793a14d079ee383425e17199a', 'False', 'True', 'false', 'false', '510726210326', 5, '泽可村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726210326', 1, '2021-07-19 11:40:26', NULL, NULL), (9689, '', '片口社区', 'c62451a7765443a79ad3e0ab982e4c97', '5d3078b793a14d079ee383425e17199a', 'False', 'True', 'false', 'false', '510726210483', 5, '片口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726210483', 1, '2021-07-19 11:40:26', NULL, NULL), (9690, '', '沟口村', '4263e74124b142d1bc9972f960f78fa6', '5d3078b793a14d079ee383425e17199a', 'False', 'True', 'false', 'false', '510726210552', 5, '沟口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726210552', 1, '2021-07-19 11:40:26', NULL, NULL), (9691, '', '晒金村', 'bbd769bbcead4d24b03aaff78f14e8c3', '5d3078b793a14d079ee383425e17199a', 'False', 'True', 'false', 'false', '510726210710', 5, '晒金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726210710', 1, '2021-07-19 11:40:26', NULL, NULL), (9692, '', '东江村', '75d2733df37249caaa8a704e992e0c88', '5d3078b793a14d079ee383425e17199a', 'False', 'True', 'false', 'false', '510726210832', 5, '东江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726210832', 1, '2021-07-19 11:40:26', NULL, NULL), (9693, '', '磨盘村', '53b90a271d1d460aab71d10232bab848', '5d3078b793a14d079ee383425e17199a', 'False', 'True', 'false', 'false', '510726210968', 5, '磨盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726210968', 1, '2021-07-19 11:40:27', NULL, NULL), (9694, '', '白坭乡', 'b4436477864249be86bbaa05ac08f309', '18606ebac0f24b37ac1799a61944b884', 'True', 'True', 'false', 'false', '510726432000', 4, '白坭乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726432000', 1, '2021-07-19 11:40:27', NULL, NULL), (9695, '', '林泉村', '36c99c1d33c1432485e2b50837b6726e', 'b4436477864249be86bbaa05ac08f309', 'False', 'True', 'false', 'false', '510726206568', 5, '林泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726206568', 1, '2021-07-19 11:40:27', NULL, NULL), (9696, '', '红豆杉村', 'c9154a23d0574bc1af437fdf6391b76d', 'b4436477864249be86bbaa05ac08f309', 'False', 'True', 'false', 'false', '510726206747', 5, '红豆杉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726206747', 1, '2021-07-19 11:40:27', NULL, NULL), (9697, '', '大方岭村', '0548e7af9c504b18aa748c03aa1eaf08', 'b4436477864249be86bbaa05ac08f309', 'False', 'True', 'false', 'false', '510726206803', 5, '大方岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726206803', 1, '2021-07-19 11:40:27', NULL, NULL), (9698, '', '梓荆村', '4c7e5022e7744741b71a048905a97f5a', 'b4436477864249be86bbaa05ac08f309', 'False', 'True', 'false', 'false', '510726206940', 5, '梓荆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726206940', 1, '2021-07-19 11:40:27', NULL, NULL), (9699, '', '中福村', '102aae8a24864c6cad0cdbd7c100fbbd', 'b4436477864249be86bbaa05ac08f309', 'False', 'True', 'false', 'false', '510726207202', 5, '中福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726207202', 1, '2021-07-19 11:40:27', NULL, NULL), (9700, '', '白坭社区', '1f10ffdf599442108a9ca8d149526a32', 'b4436477864249be86bbaa05ac08f309', 'False', 'True', 'false', 'false', '510726207342', 5, '白坭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726207342', 1, '2021-07-19 11:40:27', NULL, NULL), (9701, '', '构枝村', 'a0121e4aabf8418cb3b98cc5e435dab5', 'b4436477864249be86bbaa05ac08f309', 'False', 'True', 'false', 'false', '510726207549', 5, '构枝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726207549', 1, '2021-07-19 11:40:27', NULL, NULL), (9702, '', '桃源村', 'f9d1b001b3b74488ad5a4b8a3c366975', 'b4436477864249be86bbaa05ac08f309', 'False', 'True', 'false', 'false', '510726207831', 5, '桃源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726207831', 1, '2021-07-19 11:40:27', NULL, NULL), (9703, '', '岩福村', 'e9f266de20194a9aaad4ced39866368f', 'b4436477864249be86bbaa05ac08f309', 'False', 'True', 'false', 'false', '510726207938', 5, '岩福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726207938', 1, '2021-07-19 11:40:27', NULL, NULL), (9704, '', '马槽乡', '0ffbaf00f6434815834a984eaa62b1bd', '18606ebac0f24b37ac1799a61944b884', 'True', 'True', 'false', 'false', '510726588000', 4, '马槽乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726588000', 1, '2021-07-19 11:40:27', NULL, NULL), (9705, '', '黑水村', '8a2b734860dd4b4b9219cc21172ca1ce', '0ffbaf00f6434815834a984eaa62b1bd', 'False', 'True', 'false', 'false', '510726214112', 5, '黑水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726214112', 1, '2021-07-19 11:40:27', NULL, NULL), (9706, '', '黑亭村', '22a2c4b83ab14f4cb04bf750894dfef9', '0ffbaf00f6434815834a984eaa62b1bd', 'False', 'True', 'false', 'false', '510726214126', 5, '黑亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726214126', 1, '2021-07-19 11:40:27', NULL, NULL), (9707, '', '马槽社区', '2dd24b5840994a2a8eee493ea07929d9', '0ffbaf00f6434815834a984eaa62b1bd', 'False', 'True', 'false', 'false', '510726214181', 5, '马槽社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726214181', 1, '2021-07-19 11:40:27', NULL, NULL), (9708, '', '明头村', '566bff376b424a76b90263c5d34e6c52', '0ffbaf00f6434815834a984eaa62b1bd', 'False', 'True', 'false', 'false', '510726214271', 5, '明头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726214271', 1, '2021-07-19 11:40:28', NULL, NULL), (9709, '', '花桥村', '8a32978cfe8c4435b220d04b0bae34e2', '0ffbaf00f6434815834a984eaa62b1bd', 'False', 'True', 'false', 'false', '510726214766', 5, '花桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726214766', 1, '2021-07-19 11:40:28', NULL, NULL), (9710, '', '红星村', '402dd2f7aa724cafaf8e88ea8cdd0030', '0ffbaf00f6434815834a984eaa62b1bd', 'False', 'True', 'false', 'false', '510726216099', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726216099', 1, '2021-07-19 11:40:28', NULL, NULL), (9711, '', '永安镇', '94579424d75947a788a7e8b02c927d02', '18606ebac0f24b37ac1799a61944b884', 'True', 'True', 'false', 'false', '510726604000', 4, '永安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726604000', 1, '2021-07-19 11:40:28', NULL, NULL), (9712, '', '跃进村', '9b1def7a67e04664beb61bbf8f9911bf', '94579424d75947a788a7e8b02c927d02', 'False', 'True', 'false', 'false', '510726104137', 5, '跃进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726104137', 1, '2021-07-19 11:40:28', NULL, NULL), (9713, '', '后庄村', '738aec81484f407f98e3fbe26dd5a37f', '94579424d75947a788a7e8b02c927d02', 'False', 'True', 'false', 'false', '510726104227', 5, '后庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726104227', 1, '2021-07-19 11:40:28', NULL, NULL), (9714, '', '元门村', 'bce6834f316a47febb07b3458274ddba', '94579424d75947a788a7e8b02c927d02', 'False', 'True', 'false', 'false', '510726104237', 5, '元门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726104237', 1, '2021-07-19 11:40:28', NULL, NULL), (9715, '', '大安村', '27214a5bb6a34cf082ddb08b94fd20aa', '94579424d75947a788a7e8b02c927d02', 'False', 'True', 'false', 'false', '510726104260', 5, '大安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726104260', 1, '2021-07-19 11:40:28', NULL, NULL), (9716, '', '楠木村', '0f16fe27e8bf4142b7cfc6a648741b4a', '94579424d75947a788a7e8b02c927d02', 'False', 'True', 'false', 'false', '510726104274', 5, '楠木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726104274', 1, '2021-07-19 11:40:28', NULL, NULL), (9717, '', '平桥村', '297f007d596443858bfc0fb32ce94481', '94579424d75947a788a7e8b02c927d02', 'False', 'True', 'false', 'false', '510726104325', 5, '平桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726104325', 1, '2021-07-19 11:40:28', NULL, NULL), (9718, '', '分水村', '0ee906d498044b21af23373580bed4f2', '94579424d75947a788a7e8b02c927d02', 'False', 'True', 'false', 'false', '510726104512', 5, '分水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726104512', 1, '2021-07-19 11:40:28', NULL, NULL), (9719, '', '向阳村', 'cfaa50328895460d83ebdde6782a1484', '94579424d75947a788a7e8b02c927d02', 'False', 'True', 'false', 'false', '510726104600', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726104600', 1, '2021-07-19 11:40:28', NULL, NULL), (9720, '', '九鼎社区', 'e885c3fc17fb4da3b2fda1233edcdb6b', '94579424d75947a788a7e8b02c927d02', 'False', 'True', 'false', 'false', '510726104893', 5, '九鼎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726104893', 1, '2021-07-19 11:40:28', NULL, NULL), (9721, '', '永明村', 'b21988c123ef48e5b498bee89f85ad61', '94579424d75947a788a7e8b02c927d02', 'False', 'True', 'false', 'false', '510726105055', 5, '永明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105055', 1, '2021-07-19 11:40:29', NULL, NULL), (9722, '', '工农村', '1551796603134014b35b1859c90a37c0', '94579424d75947a788a7e8b02c927d02', 'False', 'True', 'false', 'false', '510726105337', 5, '工农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105337', 1, '2021-07-19 11:40:29', NULL, NULL), (9723, '', '新石村', '058ca8f9bcdb4993a568e8737724d40b', '94579424d75947a788a7e8b02c927d02', 'False', 'True', 'false', 'false', '510726105561', 5, '新石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105561', 1, '2021-07-19 11:40:29', NULL, NULL), (9724, '', '小坝镇', '2782b32832034efc9c20f22ef1113b36', '18606ebac0f24b37ac1799a61944b884', 'True', 'True', 'false', 'false', '510726703000', 4, '小坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726703000', 1, '2021-07-19 11:40:29', NULL, NULL), (9725, '', '团结村', '1be1a1d0cd5443a1aa3f4d247d21c226', '2782b32832034efc9c20f22ef1113b36', 'False', 'True', 'false', 'false', '510726108123', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726108123', 1, '2021-07-19 11:40:29', NULL, NULL), (9726, '', '庄坪村', 'a5d7f1b9acce4e99a4444d1b001e9e4f', '2782b32832034efc9c20f22ef1113b36', 'False', 'True', 'false', 'false', '510726108240', 5, '庄坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726108240', 1, '2021-07-19 11:40:29', NULL, NULL), (9727, '', '大梁村', '2804ccd9e3604622a9e7cfc5ee7942b4', '2782b32832034efc9c20f22ef1113b36', 'False', 'True', 'false', 'false', '510726108280', 5, '大梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726108280', 1, '2021-07-19 11:40:29', NULL, NULL), (9728, '', '大华村', 'd548f1cc9b3e4d56b96c82cae2c14849', '2782b32832034efc9c20f22ef1113b36', 'False', 'True', 'false', 'false', '510726108292', 5, '大华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726108292', 1, '2021-07-19 11:40:29', NULL, NULL), (9729, '', '上沟村', '975a6195d0164c0ea0725bfd1c78f9a4', '2782b32832034efc9c20f22ef1113b36', 'False', 'True', 'false', 'false', '510726108301', 5, '上沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726108301', 1, '2021-07-19 11:40:29', NULL, NULL), (9730, '', '太白村', '2530a3b3a7b6491ea3c001b71af169ee', '2782b32832034efc9c20f22ef1113b36', 'False', 'True', 'false', 'false', '510726108416', 5, '太白村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726108416', 1, '2021-07-19 11:40:29', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (9731, '', '大包村', 'bc78777bd01e466ca2d7eb23a00e72e0', '2782b32832034efc9c20f22ef1113b36', 'False', 'True', 'false', 'false', '510726108464', 5, '大包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726108464', 1, '2021-07-19 11:40:29', NULL, NULL), (9732, '', '小坝社区', '00b9da2333e346e68fd30daf87969de2', '2782b32832034efc9c20f22ef1113b36', 'False', 'True', 'false', 'false', '510726108652', 5, '小坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726108652', 1, '2021-07-19 11:40:30', NULL, NULL), (9733, '', '沙坪村', '4423227e6ff0411abbd4fbc60bb82e49', '2782b32832034efc9c20f22ef1113b36', 'False', 'True', 'false', 'false', '510726108705', 5, '沙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726108705', 1, '2021-07-19 11:40:30', NULL, NULL), (9734, '', '坝地村', '0317420a33394b308b9b65ea7ab4f5a2', '2782b32832034efc9c20f22ef1113b36', 'False', 'True', 'false', 'false', '510726108731', 5, '坝地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726108731', 1, '2021-07-19 11:40:30', NULL, NULL), (9735, '', '酒厂村', 'b5d2237185194d17b8a6613a00537dc4', '2782b32832034efc9c20f22ef1113b36', 'False', 'True', 'false', 'false', '510726108814', 5, '酒厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726108814', 1, '2021-07-19 11:40:30', NULL, NULL), (9736, '', '金凤村', '712f9addfd3a4480bf3397b9370675db', '2782b32832034efc9c20f22ef1113b36', 'False', 'True', 'false', 'false', '510726108855', 5, '金凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726108855', 1, '2021-07-19 11:40:30', NULL, NULL), (9737, '', '外白村', '1b7dcbcd93084527a823579e8670f2f0', '2782b32832034efc9c20f22ef1113b36', 'False', 'True', 'false', 'false', '510726109045', 5, '外白村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726109045', 1, '2021-07-19 11:40:30', NULL, NULL), (9738, '', '新晨村', 'ee8f205eceab48debbd9271399dd0a87', '2782b32832034efc9c20f22ef1113b36', 'False', 'True', 'false', 'false', '510726109067', 5, '新晨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726109067', 1, '2021-07-19 11:40:30', NULL, NULL), (9739, '', '甘渔村', '177ded6eb3d245ceba531b70c156bac2', '2782b32832034efc9c20f22ef1113b36', 'False', 'True', 'false', 'false', '510726109259', 5, '甘渔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726109259', 1, '2021-07-19 11:40:30', NULL, NULL), (9740, '', '江永村', '242708e15226480f9e163e2ddc948397', '2782b32832034efc9c20f22ef1113b36', 'False', 'True', 'false', 'false', '510726109561', 5, '江永村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726109561', 1, '2021-07-19 11:40:30', NULL, NULL), (9741, '', '聚宝沟村', 'de420ce11d1e4a9bb8a71338770bc44a', '2782b32832034efc9c20f22ef1113b36', 'False', 'True', 'false', 'false', '510726109686', 5, '聚宝沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726109686', 1, '2021-07-19 11:40:30', NULL, NULL), (9742, '', '永昌镇', '84828119beea4447a7a0bfea0f8255e4', '18606ebac0f24b37ac1799a61944b884', 'True', 'False', 'false', 'false', '510726713000', 4, '永昌镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726713000', 1, '2021-07-19 11:40:30', NULL, NULL), (9743, '', '圣灯山村', 'f660deba75574789a7ae55f9ae6354a1', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726103327', 5, '圣灯山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726103327', 1, '2021-07-19 11:40:30', NULL, NULL), (9744, '', '新华村', '8183556277fd42a2b527e5a6ed55fa01', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726103465', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726103465', 1, '2021-07-19 11:40:30', NULL, NULL), (9745, '', '沙汀村', '909a8d9a410747d494e94c9ae4391d6e', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726103647', 5, '沙汀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726103647', 1, '2021-07-19 11:40:31', NULL, NULL), (9746, '', '安昌社区', '33b937bbaad64f6d904fbbb72c92d34a', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726103873', 5, '安昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726103873', 1, '2021-07-19 11:40:31', NULL, NULL), (9747, '', '鼓楼村', 'c56e28726b364481a770373408842808', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105041', 5, '鼓楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105041', 1, '2021-07-19 11:40:31', NULL, NULL), (9748, '', '双龙村', 'c185350f290f40dbba6396a3e62e7bfd', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105163', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105163', 1, '2021-07-19 11:40:31', NULL, NULL), (9749, '', '蔬菜社区', '621ed3e666e6437e991b1621adc24628', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105185', 5, '蔬菜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105185', 1, '2021-07-19 11:40:31', NULL, NULL), (9750, '', '禹龙社区', 'db783f8c118144f2817ad6ebcd9bbfe5', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105186', 5, '禹龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105186', 1, '2021-07-19 11:40:31', NULL, NULL), (9751, '', '川主村', 'cedbdf086df548e992fc1d1682c562d4', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105203', 5, '川主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105203', 1, '2021-07-19 11:40:31', NULL, NULL), (9752, '', '纳润社区', 'd66054dca5174d8aabcff40c0776a79a', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105239', 5, '纳润社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105239', 1, '2021-07-19 11:40:31', NULL, NULL), (9753, '', '沐曦社区', '72e08ec28c744224b2e005a5de97e0ab', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105245', 5, '沐曦社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105245', 1, '2021-07-19 11:40:31', NULL, NULL), (9754, '', '竹林社区', '243a375603e64be7aa001b892d1959c0', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105377', 5, '竹林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105377', 1, '2021-07-19 11:40:31', NULL, NULL), (9755, '', '尔玛社区', 'd2d88a166a7b431fb4d00bee2da8ee44', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105431', 5, '尔玛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105431', 1, '2021-07-19 11:40:31', NULL, NULL), (9756, '', '宝林村', 'a43e25440aab4acf8e2f477f25521fd3', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105455', 5, '宝林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105455', 1, '2021-07-19 11:40:32', NULL, NULL), (9757, '', '开茂村', '1fc6c62698444145b308495a8edc37b9', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105497', 5, '开茂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105497', 1, '2021-07-19 11:40:32', NULL, NULL), (9758, '', '金龟村', 'bf4ba5c709c046efa0deeba9781d56f3', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105514', 5, '金龟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105514', 1, '2021-07-19 11:40:32', NULL, NULL), (9759, '', '福田村', 'be250b4ad5c94b97baddb43273fcc4c5', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105675', 5, '福田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105675', 1, '2021-07-19 11:40:32', NULL, NULL), (9760, '', '圣灯社区', '56fcff3ee0944397b78a713ecb9ddb6a', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105683', 5, '圣灯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105683', 1, '2021-07-19 11:40:32', NULL, NULL), (9761, '', '纳溪村', '6794b143724b4610a4895b05d620da24', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105692', 5, '纳溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105692', 1, '2021-07-19 11:40:32', NULL, NULL), (9762, '', '金霞社区', 'beae07c3b18341968b7b0bea8a739602', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105701', 5, '金霞社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105701', 1, '2021-07-19 11:40:32', NULL, NULL), (9763, '', '新川社区', 'e74807879ae34797b58a7579941d5d18', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105721', 5, '新川社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105721', 1, '2021-07-19 11:40:32', NULL, NULL), (9764, '', '北山村', '0d0d2c18746a4315b2f8b3b099894de2', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105814', 5, '北山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105814', 1, '2021-07-19 11:40:32', NULL, NULL), (9765, '', '裕清村', '7a851ad0c85840fda49687116f072cc7', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105897', 5, '裕清村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105897', 1, '2021-07-19 11:40:32', NULL, NULL), (9766, '', '诺西社区', '59744d3d7c4748a8ad6374d23fdb697a', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105948', 5, '诺西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105948', 1, '2021-07-19 11:40:32', NULL, NULL), (9767, '', '群联村', '7618c35a9d9d41708fa9c9973f16ad71', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105957', 5, '群联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105957', 1, '2021-07-19 11:40:32', NULL, NULL), (9768, '', '高安村', '0b6909c35de84439a8e325a2a9bb1e0e', '84828119beea4447a7a0bfea0f8255e4', 'False', 'True', 'false', 'false', '510726105971', 5, '高安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726105971', 1, '2021-07-19 11:40:32', NULL, NULL), (9769, '', '青片乡', '76954793bb9d4adfb4064120f1659521', '18606ebac0f24b37ac1799a61944b884', 'True', 'True', 'false', 'false', '510726934000', 4, '青片乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726934000', 1, '2021-07-19 11:40:32', NULL, NULL), (9770, '', '正河村', '390abb69b9364e44969cdf8414dc8742', '76954793bb9d4adfb4064120f1659521', 'False', 'True', 'false', 'false', '510726216018', 5, '正河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726216018', 1, '2021-07-19 11:40:32', NULL, NULL), (9771, '', '高峰村', '9382faa999c546d78cb4e1cb0c31b0d7', '76954793bb9d4adfb4064120f1659521', 'False', 'True', 'false', 'false', '510726216094', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726216094', 1, '2021-07-19 11:40:32', NULL, NULL), (9772, '', '新街社区', 'c29881d01a264646a5ff42c2605f2b6c', '76954793bb9d4adfb4064120f1659521', 'False', 'True', 'false', 'false', '510726216353', 5, '新街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726216353', 1, '2021-07-19 11:40:33', NULL, NULL), (9773, '', '上五村', 'f54cacf044d9427eaa134ba13e8d677f', '76954793bb9d4adfb4064120f1659521', 'False', 'True', 'false', 'false', '510726216616', 5, '上五村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726216616', 1, '2021-07-19 11:40:33', NULL, NULL), (9774, '', '茶湾村', '824ce96c5e0948bb94f5d0a953ace640', '76954793bb9d4adfb4064120f1659521', 'False', 'True', 'false', 'false', '510726216760', 5, '茶湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726216760', 1, '2021-07-19 11:40:33', NULL, NULL), (9775, '', '安棉村', '9e10784be236473c93bd88562d592695', '76954793bb9d4adfb4064120f1659521', 'False', 'True', 'false', 'false', '510726216850', 5, '安棉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726216850', 1, '2021-07-19 11:40:33', NULL, NULL), (9776, '', '桃龙藏族乡', 'dec09b8d6c4d45caa5ae583e6f6fb560', '18606ebac0f24b37ac1799a61944b884', 'True', 'True', 'false', 'false', '510726939000', 4, '桃龙藏族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726939000', 1, '2021-07-19 11:40:33', NULL, NULL), (9777, '', '九成村', '5c4f0f9d637c45628cfb93e2cf78ab2c', 'dec09b8d6c4d45caa5ae583e6f6fb560', 'False', 'True', 'false', 'false', '510726209145', 5, '九成村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726209145', 1, '2021-07-19 11:40:33', NULL, NULL), (9778, '', '桃花村', 'c5752cb0beeb41068799c6176ddb64a9', 'dec09b8d6c4d45caa5ae583e6f6fb560', 'False', 'True', 'false', 'false', '510726209452', 5, '桃花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726209452', 1, '2021-07-19 11:40:33', NULL, NULL), (9779, '', '大鹏村', 'dd14803570bd4d7cacec31a26732426c', 'dec09b8d6c4d45caa5ae583e6f6fb560', 'False', 'True', 'false', 'false', '510726209747', 5, '大鹏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726209747', 1, '2021-07-19 11:40:33', NULL, NULL), (9780, '', '铁龙村', 'a58137e4d485407b9655d27dae93318e', 'dec09b8d6c4d45caa5ae583e6f6fb560', 'False', 'True', 'false', 'false', '510726209852', 5, '铁龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726209852', 1, '2021-07-19 11:40:33', NULL, NULL), (9781, '', '龙藏社区', 'de7394bf8bee47369ffba3301570e4a4', 'dec09b8d6c4d45caa5ae583e6f6fb560', 'False', 'True', 'false', 'false', '510726209919', 5, '龙藏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726209919', 1, '2021-07-19 11:40:34', NULL, NULL), (9782, '', '五龙村', 'a710456d758244e08ecf67b3450d6647', 'dec09b8d6c4d45caa5ae583e6f6fb560', 'False', 'True', 'false', 'false', '510726214123', 5, '五龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726214123', 1, '2021-07-19 11:40:34', NULL, NULL), (9783, '', '开坪乡', 'd68b3273a6a84b389e168f75994dedb6', '18606ebac0f24b37ac1799a61944b884', 'True', 'True', 'false', 'false', '510726976000', 4, '开坪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726976000', 1, '2021-07-19 11:40:34', NULL, NULL), (9784, '', '艾林村', '5c4515b569154b3cba7de3cf1b486de7', 'd68b3273a6a84b389e168f75994dedb6', 'False', 'True', 'false', 'false', '510726209062', 5, '艾林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726209062', 1, '2021-07-19 11:40:34', NULL, NULL), (9785, '', '伏地堡村', '4e4074b1a164474db6db09bf8fc83f31', 'd68b3273a6a84b389e168f75994dedb6', 'False', 'True', 'false', 'false', '510726209178', 5, '伏地堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726209178', 1, '2021-07-19 11:40:34', NULL, NULL), (9786, '', '永坪堡村', '01541d67cde64c56988213ec1778d1f6', 'd68b3273a6a84b389e168f75994dedb6', 'False', 'True', 'false', 'false', '510726209785', 5, '永坪堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726209785', 1, '2021-07-19 11:40:34', NULL, NULL), (9787, '', '万安堡村', 'bf2ab465382349a1a11621a10df3cc62', 'd68b3273a6a84b389e168f75994dedb6', 'False', 'True', 'false', 'false', '510726209808', 5, '万安堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726209808', 1, '2021-07-19 11:40:34', NULL, NULL), (9788, '', '小园村', '535b4abdff6245a4b808079cc5d23919', 'd68b3273a6a84b389e168f75994dedb6', 'False', 'True', 'false', 'false', '510726211093', 5, '小园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726211093', 1, '2021-07-19 11:40:34', NULL, NULL), (9789, '', '凤阳村', 'af4233ab3ed8446291c79288b285b1ec', 'd68b3273a6a84b389e168f75994dedb6', 'False', 'True', 'false', 'false', '510726211278', 5, '凤阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726211278', 1, '2021-07-19 11:40:34', NULL, NULL), (9790, '', '开坪社区', 'fccc8034b6b94775bef02c5e0d8a906c', 'd68b3273a6a84b389e168f75994dedb6', 'False', 'True', 'false', 'false', '510726211813', 5, '开坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726211813', 1, '2021-07-19 11:40:34', NULL, NULL), (9791, '', '曲山镇', 'eedb2b6e7c6142669be7454e2af30770', '18606ebac0f24b37ac1799a61944b884', 'True', 'True', 'false', 'false', '510726100000', 4, '曲山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726100000', 1, '2021-07-19 11:40:34', NULL, NULL), (9792, '', '黄家坝村', '7fa6f73d5e764624b0c79a113c11e926', 'eedb2b6e7c6142669be7454e2af30770', 'False', 'True', 'false', 'false', '510726100234', 5, '黄家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726100234', 1, '2021-07-19 11:40:34', NULL, NULL), (9793, '', '石椅村', '3132f3831df247559e023722a9f2c325', 'eedb2b6e7c6142669be7454e2af30770', 'False', 'True', 'false', 'false', '510726100337', 5, '石椅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726100337', 1, '2021-07-19 11:40:34', NULL, NULL), (9794, '', '唐家山村', '258555cee50a4ca9b0e4e9cea4d858d5', 'eedb2b6e7c6142669be7454e2af30770', 'False', 'True', 'false', 'false', '510726100359', 5, '唐家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726100359', 1, '2021-07-19 11:40:35', NULL, NULL), (9795, '', '朝安村', '6e05e176a1e64b46a414eeb66b76b54f', 'eedb2b6e7c6142669be7454e2af30770', 'False', 'True', 'false', 'false', '510726100576', 5, '朝安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726100576', 1, '2021-07-19 11:40:35', NULL, NULL), (9796, '', '三汇村', '27be5a6d21f64a1d8d910ff62f169122', 'eedb2b6e7c6142669be7454e2af30770', 'False', 'True', 'false', 'false', '510726100783', 5, '三汇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726100783', 1, '2021-07-19 11:40:35', NULL, NULL), (9797, '', '玉皇山村', '934bbe08dca34eea87b8e148a629fd8b', 'eedb2b6e7c6142669be7454e2af30770', 'False', 'True', 'false', 'false', '510726100863', 5, '玉皇山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726100863', 1, '2021-07-19 11:40:35', NULL, NULL), (9798, '', '曲山社区', '43c5cc26462e496d8c61d66c21ceb8e5', 'eedb2b6e7c6142669be7454e2af30770', 'False', 'True', 'false', 'false', '510726100005', 5, '曲山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726100005', 1, '2021-07-19 11:40:35', NULL, NULL), (9799, '', '邓家社区', 'd629cc4260554786bc1703611bcfa8f9', 'eedb2b6e7c6142669be7454e2af30770', 'False', 'True', 'false', 'false', '510726100006', 5, '邓家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726100006', 1, '2021-07-19 11:40:35', NULL, NULL), (9800, '', '沙坝村', 'eb6ff415e1714aa48d32266cc43a62ca', 'eedb2b6e7c6142669be7454e2af30770', 'False', 'True', 'false', 'false', '510726100201', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726100201', 1, '2021-07-19 11:40:35', NULL, NULL), (9801, '', '任家坪村', '5c67c92548134b60af4f361a062c1c3f', 'eedb2b6e7c6142669be7454e2af30770', 'False', 'True', 'false', 'false', '510726100206', 5, '任家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726100206', 1, '2021-07-19 11:40:35', NULL, NULL), (9802, '', '东溪村', '5bf8b1f843e94baab1b4dac8bd1a4d58', 'eedb2b6e7c6142669be7454e2af30770', 'False', 'True', 'false', 'false', '510726100212', 5, '东溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726100212', 1, '2021-07-19 11:40:35', NULL, NULL), (9803, '', '海光村', '6d3ccb42d8554b55aaaa79753992a928', 'eedb2b6e7c6142669be7454e2af30770', 'False', 'True', 'false', 'false', '510726100214', 5, '海光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726100214', 1, '2021-07-19 11:40:35', NULL, NULL), (9804, '', '海元村', 'dede9ab2bf794daf87a49655b25c2cd0', 'eedb2b6e7c6142669be7454e2af30770', 'False', 'True', 'false', 'false', '510726100215', 5, '海元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726100215', 1, '2021-07-19 11:40:35', NULL, NULL), (9805, '', '治新村', '16d32e5eaf5345208e094e04978503b6', 'eedb2b6e7c6142669be7454e2af30770', 'False', 'True', 'false', 'false', '510726100217', 5, '治新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726100217', 1, '2021-07-19 11:40:35', NULL, NULL), (9806, '', '云力村', '066167d8dd234ae99d6fbb504c74a296', 'eedb2b6e7c6142669be7454e2af30770', 'False', 'True', 'false', 'false', '510726100219', 5, '云力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726100219', 1, '2021-07-19 11:40:35', NULL, NULL), (9807, '', '擂鼓镇', 'a6f58763279642aab8e77e40e8660fd7', '18606ebac0f24b37ac1799a61944b884', 'True', 'True', 'false', 'false', '510726101000', 4, '擂鼓镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726101000', 1, '2021-07-19 11:40:36', NULL, NULL), (9808, '', '龙坪村', 'c2a2365dd61145659e6e4a5ce33f6e6b', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101364', 5, '龙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101364', 1, '2021-07-19 11:40:36', NULL, NULL), (9809, '', '擂鼓坪社区', 'f8d01b6ed75a4c31bf32631bcbc0ccad', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101001', 5, '擂鼓坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101001', 1, '2021-07-19 11:40:36', NULL, NULL), (9810, '', '擂鼓村', '6cd3ba69086f48ff88a94582efadee55', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101201', 5, '擂鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101201', 1, '2021-07-19 11:40:36', NULL, NULL), (9811, '', '茨沟村', 'e09ed133713f4673a943fa149550b81b', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101202', 5, '茨沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101202', 1, '2021-07-19 11:40:36', NULL, NULL), (9812, '', '建新村', '923005134302426d81cfb3e2607a423f', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101203', 5, '建新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101203', 1, '2021-07-19 11:40:36', NULL, NULL), (9813, '', '胜利村', 'f507d03cfbea4609bb04bfde19fb6994', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101204', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101204', 1, '2021-07-19 11:40:36', NULL, NULL), (9814, '', '银定村', '7575150c02b44d788304222128811b09', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101205', 5, '银定村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101205', 1, '2021-07-19 11:40:36', NULL, NULL), (9815, '', '柳林村', '235bef3de55f468e9909ebc6157da8f7', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101206', 5, '柳林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101206', 1, '2021-07-19 11:40:36', NULL, NULL), (9816, '', '麻柳湾村', '1dc72107475a492c843113a5937ad496', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101208', 5, '麻柳湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101208', 1, '2021-07-19 11:40:36', NULL, NULL), (9817, '', '猫儿石村', '9495e69a6ab4436d9b23946db6d593f3', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101209', 5, '猫儿石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101209', 1, '2021-07-19 11:40:36', NULL, NULL), (9818, '', '楠竹村', '2172e47665b840d8abcc0db7d699c286', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101211', 5, '楠竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101211', 1, '2021-07-19 11:40:36', NULL, NULL), (9819, '', '五星村', 'b555d3548cdf489b83cc40f05287fa46', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101213', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101213', 1, '2021-07-19 11:40:36', NULL, NULL), (9820, '', '双流村', 'b36a87bf2a744b2a8cf6c386b6ee5b50', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101214', 5, '双流村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101214', 1, '2021-07-19 11:40:37', NULL, NULL), (9821, '', '南华村', '75af53eefb634795b2aced7f01bd181f', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101217', 5, '南华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101217', 1, '2021-07-19 11:40:37', NULL, NULL), (9822, '', '桥楼村', '246e35d944484f69b7a689a5267577b7', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101218', 5, '桥楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101218', 1, '2021-07-19 11:40:37', NULL, NULL), (9823, '', '田坝村', '2910454ba38f48919f17ddd886059eff', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101223', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101223', 1, '2021-07-19 11:40:37', NULL, NULL), (9824, '', '郭牛村', '84e2586503be45b4bf8b9e99a94e7934', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101225', 5, '郭牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101225', 1, '2021-07-19 11:40:37', NULL, NULL), (9825, '', '许家沟村', 'bdf10cdae97f46f0a5f4c6390a2143ba', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101226', 5, '许家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101226', 1, '2021-07-19 11:40:37', NULL, NULL), (9826, '', '盖头村', '1b5e0345638045618b0dd96c1f7daf20', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101229', 5, '盖头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101229', 1, '2021-07-19 11:40:37', NULL, NULL), (9827, '', '河道村', 'b1d128b79d5b447f95a55f67e8097999', 'a6f58763279642aab8e77e40e8660fd7', 'False', 'True', 'false', 'false', '510726101230', 5, '河道村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726101230', 1, '2021-07-19 11:40:37', NULL, NULL), (9828, '', '禹里镇', 'fa9a9582627742caaa64d64e82178769', '18606ebac0f24b37ac1799a61944b884', 'True', 'True', 'false', 'false', '510726106000', 4, '禹里镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726106000', 1, '2021-07-19 11:40:37', NULL, NULL), (9829, '', '青石村', '8ee8505ea02a421aa73501d21632336a', 'fa9a9582627742caaa64d64e82178769', 'False', 'True', 'false', 'false', '510726106068', 5, '青石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726106068', 1, '2021-07-19 11:40:37', NULL, NULL), (9830, '', '石泉社区', 'fecd48570bea4eaca8b0b2680bc4a66b', 'fa9a9582627742caaa64d64e82178769', 'False', 'True', 'false', 'false', '510726106774', 5, '石泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726106774', 1, '2021-07-19 11:40:37', NULL, NULL), (9831, '', '湔江村', 'de0cf7db01c241e8b42169d88f75cd3d', 'fa9a9582627742caaa64d64e82178769', 'False', 'True', 'false', 'false', '510726106201', 5, '湔江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726106201', 1, '2021-07-19 11:40:37', NULL, NULL), (9832, '', '慈竹村', '2aaafd2b26104ff4bd9d612133e0fca6', 'fa9a9582627742caaa64d64e82178769', 'False', 'True', 'false', 'false', '510726106204', 5, '慈竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726106204', 1, '2021-07-19 11:40:37', NULL, NULL), (9833, '', '望江村', '12d7015e6c02412a828e109ecb572622', 'fa9a9582627742caaa64d64e82178769', 'False', 'True', 'false', 'false', '510726106205', 5, '望江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726106205', 1, '2021-07-19 11:40:37', NULL, NULL), (9834, '', '柏林村', '8395804287ec44d3b7f424c0e7b9694e', 'fa9a9582627742caaa64d64e82178769', 'False', 'True', 'false', 'false', '510726106206', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726106206', 1, '2021-07-19 11:40:37', NULL, NULL), (9835, '', '石纽村', 'af1fb3db203147148c052a5e10013c2c', 'fa9a9582627742caaa64d64e82178769', 'False', 'True', 'false', 'false', '510726106208', 5, '石纽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726106208', 1, '2021-07-19 11:40:37', NULL, NULL), (9836, '', '紫阳村', '5ba441f1937c4e3d8540cf45206da690', 'fa9a9582627742caaa64d64e82178769', 'False', 'True', 'false', 'false', '510726106209', 5, '紫阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726106209', 1, '2021-07-19 11:40:38', NULL, NULL), (9837, '', '水秀村', '5e42d57e8591465dbefee5b033bfb7c2', 'fa9a9582627742caaa64d64e82178769', 'False', 'True', 'false', 'false', '510726106210', 5, '水秀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726106210', 1, '2021-07-19 11:40:38', NULL, NULL), (9838, '', '三坝村', '34f9b082e2314e1fab3ae8dde46299ed', 'fa9a9582627742caaa64d64e82178769', 'False', 'True', 'false', 'false', '510726106212', 5, '三坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726106212', 1, '2021-07-19 11:40:38', NULL, NULL), (9839, '', '青杠村', '6b2abb18c5ac4e988807e44a60845c8b', 'fa9a9582627742caaa64d64e82178769', 'False', 'True', 'false', 'false', '510726106213', 5, '青杠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726106213', 1, '2021-07-19 11:40:38', NULL, NULL), (9840, '', '三坪村', '1380a3248bd64e1c90f6379c83b96d34', 'fa9a9582627742caaa64d64e82178769', 'False', 'True', 'false', 'false', '510726106216', 5, '三坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726106216', 1, '2021-07-19 11:40:38', NULL, NULL), (9841, '', '杉柏村', '7512e8c12d954a5eaac28b1e22a0d980', 'fa9a9582627742caaa64d64e82178769', 'False', 'True', 'false', 'false', '510726106218', 5, '杉柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726106218', 1, '2021-07-19 11:40:38', NULL, NULL), (9842, '', '新埔村', '2480efaa7867467dbb0ba72de2676f5d', 'fa9a9582627742caaa64d64e82178769', 'False', 'True', 'false', 'false', '510726106219', 5, '新埔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726106219', 1, '2021-07-19 11:40:38', NULL, NULL), (9843, '', '禹里村', '3f83a1db9e9542b7abd87eabfb200e44', 'fa9a9582627742caaa64d64e82178769', 'False', 'True', 'false', 'false', '510726106222', 5, '禹里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726106222', 1, '2021-07-19 11:40:38', NULL, NULL), (9844, '', '禹穴村', '99e24bdf261c4dbf9cad62e6b700f515', 'fa9a9582627742caaa64d64e82178769', 'False', 'True', 'false', 'false', '510726106223', 5, '禹穴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726106223', 1, '2021-07-19 11:40:38', NULL, NULL), (9845, '', '庙坝村', '6c7d7d9fb44c4a3b8d0471329730c2bc', 'fa9a9582627742caaa64d64e82178769', 'False', 'True', 'false', 'false', '510726106225', 5, '庙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726106225', 1, '2021-07-19 11:40:38', NULL, NULL), (9846, '', '桂溪镇', '62e99301babe4f8ca8cc4017e28338cf', '18606ebac0f24b37ac1799a61944b884', 'True', 'True', 'false', 'false', '510726107000', 4, '桂溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726107000', 1, '2021-07-19 11:40:38', NULL, NULL), (9847, '', '黄金树村', '63cb0b9e8f0e46b4bad707e53a140f88', '62e99301babe4f8ca8cc4017e28338cf', 'False', 'True', 'false', 'false', '510726107161', 5, '黄金树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726107161', 1, '2021-07-19 11:40:38', NULL, NULL), (9848, '', '古龙村', 'e73750e6d59045569cb936959b8f9ecc', '62e99301babe4f8ca8cc4017e28338cf', 'False', 'True', 'false', 'false', '510726107373', 5, '古龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726107373', 1, '2021-07-19 11:40:38', NULL, NULL), (9849, '', '渭沟村', '1ef9846cd44745a9abbd71db3a82d94e', '62e99301babe4f8ca8cc4017e28338cf', 'False', 'True', 'false', 'false', '510726107699', 5, '渭沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726107699', 1, '2021-07-19 11:40:38', NULL, NULL), (9850, '', '永乐村', '0f6cec26b84d4c6a842b1f84e1a23f6d', '62e99301babe4f8ca8cc4017e28338cf', 'False', 'True', 'false', 'false', '510726107793', 5, '永乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726107793', 1, '2021-07-19 11:40:38', NULL, NULL), (9851, '', '宝城村', 'd344408dca864b0b93502d8c6b20d168', '62e99301babe4f8ca8cc4017e28338cf', 'False', 'True', 'false', 'false', '510726107986', 5, '宝城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726107986', 1, '2021-07-19 11:40:39', NULL, NULL), (9852, '', '云龙社区', 'e4e796f7bd9e4ce0b3d352025f229f40', '62e99301babe4f8ca8cc4017e28338cf', 'False', 'True', 'false', 'false', '510726107001', 5, '云龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726107001', 1, '2021-07-19 11:40:39', NULL, NULL), (9853, '', '桂溪村', 'fb0dbd619c73482998471396a69b3b57', '62e99301babe4f8ca8cc4017e28338cf', 'False', 'True', 'false', 'false', '510726107201', 5, '桂溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726107201', 1, '2021-07-19 11:40:39', NULL, NULL), (9854, '', '八角村', '1dcc1bdf189045ffa2048375951faacf', '62e99301babe4f8ca8cc4017e28338cf', 'False', 'True', 'false', 'false', '510726107202', 5, '八角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726107202', 1, '2021-07-19 11:40:39', NULL, NULL), (9855, '', '云兴村', '5dec3454287a4bf5a615fe11d3a45b98', '62e99301babe4f8ca8cc4017e28338cf', 'False', 'True', 'false', 'false', '510726107204', 5, '云兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726107204', 1, '2021-07-19 11:40:39', NULL, NULL), (9856, '', '杜家坝村', 'fc30401bb87b407592d7feed7367fb3e', '62e99301babe4f8ca8cc4017e28338cf', 'False', 'True', 'false', 'false', '510726107205', 5, '杜家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726107205', 1, '2021-07-19 11:40:39', NULL, NULL), (9857, '', '凤凰村', 'c0f83bb4bacf4d4494b4db698d6eb26a', '62e99301babe4f8ca8cc4017e28338cf', 'False', 'True', 'false', 'false', '510726107206', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726107206', 1, '2021-07-19 11:40:39', NULL, NULL), (9858, '', '辛夷村', 'a1714bc24692412291e11adf85c66ce7', '62e99301babe4f8ca8cc4017e28338cf', 'False', 'True', 'false', 'false', '510726107207', 5, '辛夷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726107207', 1, '2021-07-19 11:40:39', NULL, NULL), (9859, '', '都贯乡', '515d545ab1e2425b9e6b8a9e94983d26', '18606ebac0f24b37ac1799a61944b884', 'True', 'True', 'false', 'false', '510726213000', 4, '都贯乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510726213000', 1, '2021-07-19 11:40:39', NULL, NULL), (9860, '', '清溪村', '164eb0c7ddb14a029671732c0813221a', '515d545ab1e2425b9e6b8a9e94983d26', 'False', 'True', 'false', 'false', '510726217077', 5, '清溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726217077', 1, '2021-07-19 11:40:39', NULL, NULL), (9861, '', '都坝社区', '7817e695648f4e34a64f816fbee51b2f', '515d545ab1e2425b9e6b8a9e94983d26', 'False', 'True', 'false', 'false', '510726217108', 5, '都坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726217108', 1, '2021-07-19 11:40:39', NULL, NULL), (9862, '', '苔子茶村', 'ebb72f66c5904e829f3ed1a72636d7e3', '515d545ab1e2425b9e6b8a9e94983d26', 'False', 'True', 'false', 'false', '510726217146', 5, '苔子茶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726217146', 1, '2021-07-19 11:40:39', NULL, NULL), (9863, '', '茶马村', '11768a7ac17e42faa2ae73107f66e80a', '515d545ab1e2425b9e6b8a9e94983d26', 'False', 'True', 'false', 'false', '510726217391', 5, '茶马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726217391', 1, '2021-07-19 11:40:39', NULL, NULL), (9864, '', '皇帝庙村', 'bde0ce34e8da4f209952aeaecc6c152b', '515d545ab1e2425b9e6b8a9e94983d26', 'False', 'True', 'false', 'false', '510726217422', 5, '皇帝庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726217422', 1, '2021-07-19 11:40:39', NULL, NULL), (9865, '', '贯岭社区', '52f7f10d7e0f42b783da86b289f662d7', '515d545ab1e2425b9e6b8a9e94983d26', 'False', 'True', 'false', 'false', '510726217482', 5, '贯岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726217482', 1, '2021-07-19 11:40:40', NULL, NULL), (9866, '', '瓦壶沟村', '69c0ea60a5e646babf7d487453fe0bb4', '515d545ab1e2425b9e6b8a9e94983d26', 'False', 'True', 'false', 'false', '510726217611', 5, '瓦壶沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726217611', 1, '2021-07-19 11:40:40', NULL, NULL), (9867, '', '林埝村', 'fea588da4f6d4e998372b345591d5bd7', '515d545ab1e2425b9e6b8a9e94983d26', 'False', 'True', 'false', 'false', '510726217771', 5, '林埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726217771', 1, '2021-07-19 11:40:40', NULL, NULL), (9868, '', '九龙谷村', '24aaff9840a849e6bad420f5fae141b8', '515d545ab1e2425b9e6b8a9e94983d26', 'False', 'True', 'false', 'false', '510726217900', 5, '九龙谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510726217900', 1, '2021-07-19 11:40:40', NULL, NULL), (9869, '', '绵阳高新区', '31ac0df996e6486294eb653c069a823a', '06770f8688a045beaf53089460935c1e', 'True', 'True', 'false', 'false', '510715000000', 3, '高新区', 'mysgxq.sczwfw.gov.cn', 1, '2021-07-19 11:40:40', NULL, NULL), (9870, '', '普明街道', '16e86eaf15f94cd9a0ccc1618e07a817', '31ac0df996e6486294eb653c069a823a', 'True', 'True', 'false', 'false', '510715010000', 4, '普明街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510715010000', 1, '2021-07-19 11:40:40', NULL, NULL), (9871, '', '古泉社区', '65b6b68593d04432b91c59d4d22e064f', '16e86eaf15f94cd9a0ccc1618e07a817', 'False', 'True', 'false', 'false', '510715006006', 5, '古泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715006006', 1, '2021-07-19 11:40:40', NULL, NULL), (9872, '', '普明北路西段社区', 'ffaac9b192e1475ab50c77c6835e92ca', '16e86eaf15f94cd9a0ccc1618e07a817', 'False', 'True', 'false', 'false', '510715006014', 5, '普明北路西段社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715006014', 1, '2021-07-19 11:40:40', NULL, NULL), (9873, '', '石桥铺社区', 'a8a36a7efb364efe8baa38241b7a7558', '16e86eaf15f94cd9a0ccc1618e07a817', 'False', 'True', 'false', 'false', '510715006016', 5, '石桥铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715006016', 1, '2021-07-19 11:40:40', NULL, NULL), (9874, '', '凝祥寺社区', 'efdd340762cd4686920df6b6bd53c88c', '16e86eaf15f94cd9a0ccc1618e07a817', 'False', 'True', 'false', 'false', '510715016032', 5, '凝祥寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715016032', 1, '2021-07-19 11:40:40', NULL, NULL), (9875, '', '虹苑路社区', '6a6044c885014ea4862567e7add23cc7', '16e86eaf15f94cd9a0ccc1618e07a817', 'False', 'True', 'false', 'false', '510715016186', 5, '虹苑路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715016186', 1, '2021-07-19 11:40:41', NULL, NULL), (9876, '', '火炬东街社区', '2fcb628316934dada12c9c85ff2e1317', '16e86eaf15f94cd9a0ccc1618e07a817', 'False', 'True', 'false', 'false', '510715016351', 5, '火炬东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715016351', 1, '2021-07-19 11:40:41', NULL, NULL), (9877, '', '双碑社区', '962850afe33640db84f2dcd9d7a6dd93', '16e86eaf15f94cd9a0ccc1618e07a817', 'False', 'True', 'false', 'false', '510715016576', 5, '双碑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715016576', 1, '2021-07-19 11:40:41', NULL, NULL), (9878, '', '黄家祠社区', '5640a9db58de4ac49f9a9d63614c09d0', '16e86eaf15f94cd9a0ccc1618e07a817', 'False', 'True', 'false', 'false', '510715016744', 5, '黄家祠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715016744', 1, '2021-07-19 11:40:41', NULL, NULL), (9879, '', '普明寺社区', 'b40f030b79054be48d2ebcfc00bd00b6', '16e86eaf15f94cd9a0ccc1618e07a817', 'False', 'True', 'false', 'false', '510715016801', 5, '普明寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715016801', 1, '2021-07-19 11:40:41', NULL, NULL), (9880, '', '菩提寺社区', '57b92de767e0417c8f73406058206f9c', '16e86eaf15f94cd9a0ccc1618e07a817', 'False', 'True', 'false', 'false', '510715016888', 5, '菩提寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715016888', 1, '2021-07-19 11:40:41', NULL, NULL), (9881, '', '普明北路东段社区', '0a568d3fbc4f4f998d961561f8e10ef6', '16e86eaf15f94cd9a0ccc1618e07a817', 'False', 'True', 'false', 'false', '510715016896', 5, '普明北路东段社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715016896', 1, '2021-07-19 11:40:41', NULL, NULL), (9882, '', '永兴镇', '5fd8702426794b22bfdef0ef75785453', '31ac0df996e6486294eb653c069a823a', 'True', 'True', 'false', 'false', '510715040000', 4, '永兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510715040000', 1, '2021-07-19 11:40:41', NULL, NULL), (9883, '', '飞云社区', '055e8445ed0b4078898f857891074cc2', '5fd8702426794b22bfdef0ef75785453', 'False', 'True', 'false', 'false', '510715113006', 5, '飞云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715113006', 1, '2021-07-19 11:40:41', NULL, NULL), (9884, '', '永发社区', '7f8efa6ebe3a4e93bc571929b0501030', '5fd8702426794b22bfdef0ef75785453', 'False', 'True', 'false', 'false', '510715113007', 5, '永发社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715113007', 1, '2021-07-19 11:40:41', NULL, NULL), (9885, '', '茅针寺村', '3276d445d3464a19a86364edc08b85eb', '5fd8702426794b22bfdef0ef75785453', 'False', 'True', 'false', 'false', '510715113216', 5, '茅针寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715113216', 1, '2021-07-19 11:40:41', NULL, NULL), (9886, '', '天和村', '700516900a1044cc9b3da21d928fe546', '5fd8702426794b22bfdef0ef75785453', 'False', 'True', 'false', 'false', '510715113222', 5, '天和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715113222', 1, '2021-07-19 11:40:41', NULL, NULL), (9887, '', '永惠村', 'be4e6ee2fd9f470587bcd8f0aaa26cbc', '5fd8702426794b22bfdef0ef75785453', 'False', 'True', 'false', 'false', '510715113223', 5, '永惠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715113223', 1, '2021-07-19 11:40:41', NULL, NULL), (9888, '', '宝山村', 'c4810f04a76d43ddbf1ed1e58496d5c5', '5fd8702426794b22bfdef0ef75785453', 'False', 'True', 'false', 'false', '510715113224', 5, '宝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715113224', 1, '2021-07-19 11:40:41', NULL, NULL), (9889, '', '平和村', 'db3f4288dc514ad0ae3a4df9d81794b0', '5fd8702426794b22bfdef0ef75785453', 'False', 'True', 'false', 'false', '510715113225', 5, '平和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715113225', 1, '2021-07-19 11:40:41', NULL, NULL), (9890, '', '绵西村', '3f0521b0a2d54be49d695d4f838eb6ef', '5fd8702426794b22bfdef0ef75785453', 'False', 'True', 'false', 'false', '510715113226', 5, '绵西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715113226', 1, '2021-07-19 11:40:42', NULL, NULL), (9891, '', '溪河村', '710f6811922b4d9da96d1759cc1b4c52', '5fd8702426794b22bfdef0ef75785453', 'False', 'True', 'false', 'false', '510715113227', 5, '溪河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715113227', 1, '2021-07-19 11:40:42', NULL, NULL), (9892, '', '金河村', '66c07b8f3d784e3497f058b8e9f51754', '5fd8702426794b22bfdef0ef75785453', 'False', 'True', 'false', 'false', '510715113228', 5, '金河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715113228', 1, '2021-07-19 11:40:42', NULL, NULL), (9893, '', '银花湖村', '97aba1af94b6466a84b92ba0dd9758a4', '5fd8702426794b22bfdef0ef75785453', 'False', 'True', 'false', 'false', '510715113229', 5, '银花湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715113229', 1, '2021-07-19 11:40:42', NULL, NULL), (9894, '', '张家营村', '4e3a85da4158439db64472a7102641cc', '5fd8702426794b22bfdef0ef75785453', 'False', 'True', 'false', 'false', '510715043181', 5, '张家营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715043181', 1, '2021-07-19 11:40:42', NULL, NULL), (9895, '', '华裕路社区', 'd73a42c41fb8473196839a76ca7d149e', '5fd8702426794b22bfdef0ef75785453', 'False', 'True', 'false', 'false', '510715043563', 5, '华裕路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715043563', 1, '2021-07-19 11:40:42', NULL, NULL), (9896, '', '狮子山村', 'b3b942ba228f4dcf9270db4f3a016adb', '5fd8702426794b22bfdef0ef75785453', 'False', 'True', 'false', 'false', '510715043814', 5, '狮子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715043814', 1, '2021-07-19 11:40:42', NULL, NULL), (9897, '', '金祥寺社区', 'fcead2046a9a4b988eb279122b35b64d', '5fd8702426794b22bfdef0ef75785453', 'False', 'True', 'false', 'false', '510715043837', 5, '金祥寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715043837', 1, '2021-07-19 11:40:42', NULL, NULL), (9898, '', '龙家碾社区', 'bbc036ef50dd47c6868cd8f117b83ac6', '5fd8702426794b22bfdef0ef75785453', 'False', 'True', 'false', 'false', '510715043956', 5, '龙家碾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510715043956', 1, '2021-07-19 11:40:42', NULL, NULL), (9899, '', '绵阳经开区', 'fa14cf9d8749497cbb64f4f96e1bb270', '06770f8688a045beaf53089460935c1e', 'True', 'True', 'false', 'false', '510714000000', 3, '经济技术开发区', 'mysjkq.sczwfw.gov.cn', 1, '2021-07-19 11:40:42', NULL, NULL), (9900, '', '松垭镇', 'fa943ce948f14941b63eb99f0e46e99c', 'fa14cf9d8749497cbb64f4f96e1bb270', 'True', 'True', 'false', 'false', '510714002000', 4, '松垭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510714002000', 1, '2021-07-19 11:40:42', NULL, NULL), (9901, '', '福新社区', '689825e2fa844a3289e433b7a18a3811', 'fa943ce948f14941b63eb99f0e46e99c', 'False', 'True', 'false', 'false', '510704112052', 5, '福新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704112052', 1, '2021-07-19 11:40:42', NULL, NULL), (9902, '', '日新社区', '86837e2ca56344c0bc24dc59ec8dfb2f', 'fa943ce948f14941b63eb99f0e46e99c', 'False', 'True', 'false', 'false', '510704112190', 5, '日新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704112190', 1, '2021-07-19 11:40:42', NULL, NULL), (9903, '', '德政社区', '28b7df9a46ba468d9d903c8500879389', 'fa943ce948f14941b63eb99f0e46e99c', 'False', 'True', 'false', 'false', '510704112343', 5, '德政社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704112343', 1, '2021-07-19 11:40:43', NULL, NULL), (9904, '', '水磨村', '329980711893472eb894068c852ecbaa', 'fa943ce948f14941b63eb99f0e46e99c', 'False', 'True', 'false', 'false', '510704112483', 5, '水磨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704112483', 1, '2021-07-19 11:40:43', NULL, NULL), (9905, '', '鹤翔社区', '67cd93fd9e95409e96d5475bfce51242', 'fa943ce948f14941b63eb99f0e46e99c', 'False', 'True', 'false', 'false', '510704112649', 5, '鹤翔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704112649', 1, '2021-07-19 11:40:43', NULL, NULL), (9906, '', '活观音社区', '338b68bc33134876b98ef4a9c69f82b3', 'fa943ce948f14941b63eb99f0e46e99c', 'False', 'True', 'false', 'false', '510704112663', 5, '活观音社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510704112663', 1, '2021-07-19 11:40:43', NULL, NULL), (9907, '', '塘汛街道', 'aa3de5c36ae6428caf623c84b57615d9', 'fa14cf9d8749497cbb64f4f96e1bb270', 'True', 'True', 'false', 'false', '510714003000', 4, '塘汛街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510714003000', 1, '2021-07-19 11:40:43', NULL, NULL), (9908, '', '友谊社区', 'fc609387b70f4d39a9efcf1a1636e3d5', 'aa3de5c36ae6428caf623c84b57615d9', 'False', 'True', 'false', 'false', '510714003065', 5, '友谊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510714003065', 1, '2021-07-19 11:40:43', NULL, NULL), (9909, '', '三江社区', 'a49d39e35697471f9aa9f7fd5be9ef84', 'aa3de5c36ae6428caf623c84b57615d9', 'False', 'True', 'false', 'false', '510714003259', 5, '三江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510714003259', 1, '2021-07-19 11:40:43', NULL, NULL), (9910, '', '中心社区', 'e6c173d0709d48b5b8e23612278b89e8', 'aa3de5c36ae6428caf623c84b57615d9', 'False', 'True', 'false', 'false', '510714003458', 5, '中心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510714003458', 1, '2021-07-19 11:40:43', NULL, NULL), (9911, '', '金广村', 'e8375f7128924372847b513e3c78d7f6', 'aa3de5c36ae6428caf623c84b57615d9', 'False', 'True', 'false', 'false', '510714003493', 5, '金广村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510714003493', 1, '2021-07-19 11:40:43', NULL, NULL), (9912, '', '滨湖社区', 'd987452e6846455f86e3278260171e74', 'aa3de5c36ae6428caf623c84b57615d9', 'False', 'True', 'false', 'false', '510714003494', 5, '滨湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510714003494', 1, '2021-07-19 11:40:43', NULL, NULL), (9913, '', '涪沿社区', '956f8b5c5be248fd8e68619bd229d075', 'aa3de5c36ae6428caf623c84b57615d9', 'False', 'True', 'false', 'false', '510714003643', 5, '涪沿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510714003643', 1, '2021-07-19 11:40:43', NULL, NULL), (9914, '', '板桥社区', '66243ff5377e43329205a3c0ad801e0e', 'aa3de5c36ae6428caf623c84b57615d9', 'False', 'True', 'false', 'false', '510714003681', 5, '板桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510714003681', 1, '2021-07-19 11:40:44', NULL, NULL), (9915, '', '桃园社区', 'fa909ce60035497893e01ef0330e92cd', 'aa3de5c36ae6428caf623c84b57615d9', 'False', 'True', 'false', 'false', '510714003909', 5, '桃园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510714003909', 1, '2021-07-19 11:40:44', NULL, NULL), (9916, '', '群丰社区', '54154d908a9c4dcfbc26e5257d47c5da', 'aa3de5c36ae6428caf623c84b57615d9', 'False', 'True', 'false', 'false', '510714003933', 5, '群丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510714003933', 1, '2021-07-19 11:40:44', NULL, NULL), (9917, '', '文跃社区', '4fed2c01de7f42c6ac6a001af4b127ca', 'aa3de5c36ae6428caf623c84b57615d9', 'False', 'True', 'false', 'false', '510714003954', 5, '文跃社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510714003954', 1, '2021-07-19 11:40:44', NULL, NULL), (9918, '', '三元社区', '82e91f9e1326437a8f07429015d50e22', 'aa3de5c36ae6428caf623c84b57615d9', 'False', 'True', 'false', 'false', '510714003994', 5, '三元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510714003994', 1, '2021-07-19 11:40:44', NULL, NULL), (9919, '', '绵阳科技城科教创业园区', '9bb16001a58644d8924b29d3f05bb8fc', '06770f8688a045beaf53089460935c1e', 'True', 'True', 'false', 'false', '510713000000', 3, '科创区', 'myskcc.sczwfw.gov.cn', 1, '2021-07-19 11:40:44', NULL, NULL), (9920, '', '创业园街道', '6d502ebdb8a8413d89627f2ac3c7dee0', '9bb16001a58644d8924b29d3f05bb8fc', 'True', 'True', 'false', 'false', '510713027000', 4, '创业园街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510713027000', 1, '2021-07-19 11:40:44', NULL, NULL), (9921, '', '阳光社区', '0964b42b940548d88743a9e88c54bbe4', '6d502ebdb8a8413d89627f2ac3c7dee0', 'False', 'False', 'false', 'false', '510713027075', 5, '阳光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510713027075', 1, '2021-07-19 11:40:44', NULL, NULL), (9922, '', '八角社区', '232ddfee03b8431486b642b8a346b954', '6d502ebdb8a8413d89627f2ac3c7dee0', 'False', 'False', 'false', 'false', '510713027106', 5, '八角社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510713027106', 1, '2021-07-19 11:40:44', NULL, NULL), (9923, '', '科园社区', 'fa19ad9c1d4f4ea6bcfd327ec4a19c36', '6d502ebdb8a8413d89627f2ac3c7dee0', 'False', 'False', 'false', 'false', '510713027144', 5, '科园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510713027144', 1, '2021-07-19 11:40:44', NULL, NULL), (9924, '', '兴隆社区', '4748277f439d49f28c07d4442f73b092', '6d502ebdb8a8413d89627f2ac3c7dee0', 'False', 'False', 'false', 'false', '510713027196', 5, '兴隆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510713027196', 1, '2021-07-19 11:40:45', NULL, NULL), (9925, '', '元通社区', '5a1199f0dbd74c8fa4a031b8aad1d944', '6d502ebdb8a8413d89627f2ac3c7dee0', 'False', 'False', 'false', 'false', '510713027385', 5, '元通社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510713027385', 1, '2021-07-19 11:40:45', NULL, NULL), (9926, '', '上马社区', '2122dccdd4de4ee08ddf2bc2e68399ea', '6d502ebdb8a8413d89627f2ac3c7dee0', 'False', 'False', 'false', 'false', '510713027616', 5, '上马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510713027616', 1, '2021-07-19 11:40:45', NULL, NULL), (9927, '', '科虹社区', 'b1b1d8b83d034a50b46ee6671ab5efc3', '6d502ebdb8a8413d89627f2ac3c7dee0', 'False', 'False', 'false', 'false', '510713027707', 5, '科虹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510713027707', 1, '2021-07-19 11:40:45', NULL, NULL), (9928, '', '西园社区', '48adf8e4974d46439cfe04a9ca03ff4b', '6d502ebdb8a8413d89627f2ac3c7dee0', 'False', 'False', 'false', 'false', '510713027870', 5, '西园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510713027870', 1, '2021-07-19 11:40:45', NULL, NULL), (9929, '', '华奥社区', '9b13f5f995f2446ca294366f9bc7efd4', '6d502ebdb8a8413d89627f2ac3c7dee0', 'False', 'False', 'false', 'false', '510713027996', 5, '华奥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510713027996', 1, '2021-07-19 11:40:45', NULL, NULL), (9930, '', '仙海区', '43f36fea3c5d4d9cb9e32f7cc69c9e92', '06770f8688a045beaf53089460935c1e', 'True', 'True', 'false', 'false', '510711000000', 3, '仙海区', 'mysxhq.sczwfw.gov.cn', 1, '2021-07-19 11:40:45', NULL, NULL), (9931, '', '沉抗镇', '8a6609557dca4c37a8e546d7d84f54ca', '43f36fea3c5d4d9cb9e32f7cc69c9e92', 'True', 'True', 'false', 'false', '510711001000', 4, '沉抗镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510711001000', 1, '2021-07-19 11:40:45', NULL, NULL), (9932, '', '铜瓦村', 'b6fe8a64c3e346869de4264994b5d2d6', '8a6609557dca4c37a8e546d7d84f54ca', 'False', 'True', 'false', 'false', '510711001071', 5, '铜瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510711001071', 1, '2021-07-19 11:40:45', NULL, NULL), (9933, '', '徐家桥社区', '2ff636a666f74639a7749b5e94729f67', '8a6609557dca4c37a8e546d7d84f54ca', 'False', 'True', 'false', 'false', '510711001101', 5, '徐家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510711001101', 1, '2021-07-19 11:40:45', NULL, NULL), (9934, '', '燕子村', 'ccc2344e5e7149ab98b271feedaa9f92', '8a6609557dca4c37a8e546d7d84f54ca', 'False', 'True', 'false', 'false', '510711001123', 5, '燕子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510711001123', 1, '2021-07-19 11:40:45', NULL, NULL), (9935, '', '抗香村', '9e2f0c7fdbc94076925ff29c5ddd0bcd', '8a6609557dca4c37a8e546d7d84f54ca', 'False', 'True', 'false', 'false', '510711001309', 5, '抗香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510711001309', 1, '2021-07-19 11:40:45', NULL, NULL), (9936, '', '石河堰村', '50d0149f51af46219ba415bd6c3a6195', '8a6609557dca4c37a8e546d7d84f54ca', 'False', 'True', 'false', 'false', '510711001514', 5, '石河堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510711001514', 1, '2021-07-19 11:40:46', NULL, NULL), (9937, '', '锦屏村', '20058fb6ee014769ab7222be2f63e33b', '8a6609557dca4c37a8e546d7d84f54ca', 'False', 'True', 'false', 'false', '510711001553', 5, '锦屏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510711001553', 1, '2021-07-19 11:40:46', NULL, NULL), (9938, '', '黄金社区', '6896fd72fcea49f2b86227678936bf74', '8a6609557dca4c37a8e546d7d84f54ca', 'False', 'True', 'false', 'false', '510711001601', 5, '黄金社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510711001601', 1, '2021-07-19 11:40:46', NULL, NULL), (9939, '', '沉香社区', '6172242d18cb4acd857b7872311be427', '8a6609557dca4c37a8e546d7d84f54ca', 'False', 'True', 'false', 'false', '510711001747', 5, '沉香社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510711001747', 1, '2021-07-19 11:40:46', NULL, NULL), (9940, '', '七曲村', '49db17efc59b45d8a633519c30212a1a', '8a6609557dca4c37a8e546d7d84f54ca', 'False', 'True', 'false', 'false', '510711001784', 5, '七曲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510711001784', 1, '2021-07-19 11:40:46', NULL, NULL), (9941, '', '海棠社区', 'e1cbab8aa377481c96293ad74a2625af', '8a6609557dca4c37a8e546d7d84f54ca', 'False', 'True', 'false', 'false', '510711001896', 5, '海棠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510711001896', 1, '2021-07-19 11:40:46', NULL, NULL), (9942, '', '天生桥村', '782802a5a44b4483b5d1013358910ed1', '8a6609557dca4c37a8e546d7d84f54ca', 'False', 'True', 'false', 'false', '510711001959', 5, '天生桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510711001959', 1, '2021-07-19 11:40:46', NULL, NULL), (9943, '', '广元市', '9602bf2b753c4158bf4862498e91da56', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '510800000000', 2, '广元市', 'gys.sczwfw.gov.cn', 1, '2021-07-19 11:40:46', NULL, NULL), (9944, '', '苍溪县', 'a021dff1c9204a67bbb0aeae25b1d193', '9602bf2b753c4158bf4862498e91da56', 'True', 'True', 'false', 'false', '510824000000', 3, '苍溪县', 'gyscxx.sczwfw.gov.cn', 1, '2021-07-19 11:40:46', NULL, NULL), (9945, '', '陵江镇', 'e8bb8ce78d344dba980e10de2e08303a', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824100000', 4, '陵江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824100000', 1, '2021-07-19 11:40:46', NULL, NULL), (9946, '', '金穗社区', 'ff06361fb5264052b07fae5f8db220df', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100001', 5, '金穗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100001', 1, '2021-07-19 11:40:46', NULL, NULL), (9947, '', '红军路社区', 'd7c4446b261f4379b9ae9c4427225b14', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100002', 5, '红军路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100002', 1, '2021-07-19 11:40:46', NULL, NULL), (9948, '', '解放路社区', '4385888b21044f36ad62975952f1c8e2', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100003', 5, '解放路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100003', 1, '2021-07-19 11:40:46', NULL, NULL), (9949, '', '东城社区', 'e21f1f41982143c58b097b04b52787d8', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100004', 5, '东城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100004', 1, '2021-07-19 11:40:46', NULL, NULL), (9950, '', '北门社区', 'b85816ad0ab14eeb8aa5be4ce5b85e34', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100005', 5, '北门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100005', 1, '2021-07-19 11:40:47', NULL, NULL), (9951, '', '文焕社区', 'a69eef5692394347addc1d4f904f0c4e', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100006', 5, '文焕社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100006', 1, '2021-07-19 11:40:47', NULL, NULL), (9952, '', '武当社区', '9383758e57fc407eae4a4fae80f36080', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100007', 5, '武当社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100007', 1, '2021-07-19 11:40:47', NULL, NULL), (9953, '', '麻岭社区', '8ef1bb0195844b759de6ae8aee727c2c', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100008', 5, '麻岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100008', 1, '2021-07-19 11:40:47', NULL, NULL), (9954, '', '三清社区', 'b56df08c5c284a838424b863bca44357', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100009', 5, '三清社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100009', 1, '2021-07-19 11:40:47', NULL, NULL), (9955, '', '光明社区', '68d9e286c02e482294f5fec881ac516a', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100010', 5, '光明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100010', 1, '2021-07-19 11:40:47', NULL, NULL), (9956, '', '龙潭社区', '076905d12eae434cbd2f26419def996d', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100011', 5, '龙潭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100011', 1, '2021-07-19 11:40:47', NULL, NULL), (9957, '', '少屏社区', '703e7a94ac4b4d4aae34e6a0c78f4a86', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100012', 5, '少屏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100012', 1, '2021-07-19 11:40:47', NULL, NULL), (9958, '', '杜里社区', '0613dc4474f84ef6af88f21610cdfcd1', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100013', 5, '杜里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100013', 1, '2021-07-19 11:40:47', NULL, NULL), (9959, '', '群辉社区', 'dda2353535ee4b899019d30eef2cc5ea', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100014', 5, '群辉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100014', 1, '2021-07-19 11:40:47', NULL, NULL), (9960, '', '茶店社区', '74a32b9986cf421dab60d24934341188', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100015', 5, '茶店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100015', 1, '2021-07-19 11:40:47', NULL, NULL), (9961, '', '回水社区', 'ee5062c9ad8a48788dfdc9c32331b490', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100016', 5, '回水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100016', 1, '2021-07-19 11:40:47', NULL, NULL), (9962, '', '六槐社区', 'b896998ff4384e00a06e06269e6f5267', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100017', 5, '六槐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100017', 1, '2021-07-19 11:40:47', NULL, NULL), (9963, '', '庙垭社区', '383d50b6fe2148a3b544b2d86aee5659', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100018', 5, '庙垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100018', 1, '2021-07-19 11:40:47', NULL, NULL), (9964, '', '镇水社区', '7d13e656ba56449e8072dc1ee52ae64b', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100019', 5, '镇水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100019', 1, '2021-07-19 11:40:48', NULL, NULL), (9965, '', '西城社区', 'dfe90941e2d445b9bb5c107f6ab68b35', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100020', 5, '西城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100020', 1, '2021-07-19 11:40:48', NULL, NULL), (9966, '', '红军渡社区', 'd1e1e0c1b52247a7bf19651c4e9d32a5', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100021', 5, '红军渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100021', 1, '2021-07-19 11:40:48', NULL, NULL), (9967, '', '白观村', '7e94fde870f948f08415c25fb11f8409', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100205', 5, '白观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100205', 1, '2021-07-19 11:40:48', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (9968, '', '太平村', '538e9208fe4e4736ac47e1a4ce98535d', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100206', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100206', 1, '2021-07-19 11:40:48', NULL, NULL), (9969, '', '红旗桥社区', 'a5c05affd24b44f98e64154f8cce281c', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100212', 5, '红旗桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100212', 1, '2021-07-19 11:40:48', NULL, NULL), (9970, '', '龙洋村', 'a37cf6d3798e48209f00325ace107c6b', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100213', 5, '龙洋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100213', 1, '2021-07-19 11:40:48', NULL, NULL), (9971, '', '船山村', '4828b8ffec8843978e0e70f8577025e4', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100216', 5, '船山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100216', 1, '2021-07-19 11:40:48', NULL, NULL), (9972, '', '高城村', '71eecabfcab14b76a4a795e8515edd4f', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100224', 5, '高城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100224', 1, '2021-07-19 11:40:48', NULL, NULL), (9973, '', '金斗村', 'e574e05c1caf4932a00ff9a2fdd34b7d', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100226', 5, '金斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100226', 1, '2021-07-19 11:40:48', NULL, NULL), (9974, '', '古梁社区', '99e3a35fd554411a93e1677753a2dba7', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100227', 5, '古梁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100227', 1, '2021-07-19 11:40:48', NULL, NULL), (9975, '', '龙梁村', '030fc2ad166042e1927284ec3b4e6a5d', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100228', 5, '龙梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100228', 1, '2021-07-19 11:40:49', NULL, NULL), (9976, '', '群岭村', '6ef2fdfb49f84e0e80aefb5df2f1bf20', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100231', 5, '群岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100231', 1, '2021-07-19 11:40:49', NULL, NULL), (9977, '', '陵江村', 'bb08578026124a368fe8baf78d5acfa3', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100233', 5, '陵江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100233', 1, '2021-07-19 11:40:49', NULL, NULL), (9978, '', '凤凰村', '2a5e1f48556f4c42b5943f441442f76b', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100240', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100240', 1, '2021-07-19 11:40:49', NULL, NULL), (9979, '', '笋子沟村', '84e3c8eb029a40b09cc31b5f5c9912fc', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100242', 5, '笋子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100242', 1, '2021-07-19 11:40:49', NULL, NULL), (9980, '', '玉女村', '9e9947b7c5a04ecfa6641787f4b50517', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100243', 5, '玉女村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100243', 1, '2021-07-19 11:40:49', NULL, NULL), (9981, '', '康乐村', 'ac9f4a618a22421091e71b71f282b842', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100244', 5, '康乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100244', 1, '2021-07-19 11:40:49', NULL, NULL), (9982, '', '六河村', '580f1286f3b14e11af80548441430b67', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100247', 5, '六河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100247', 1, '2021-07-19 11:40:49', NULL, NULL), (9983, '', '九宝村', '6e2a0583a6fd4094bc16d000c5eee46e', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100249', 5, '九宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100249', 1, '2021-07-19 11:40:49', NULL, NULL), (9984, '', '孙坪村', '60c863dc9c3f48a98ae36ac52fdf7dd2', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100250', 5, '孙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100250', 1, '2021-07-19 11:40:49', NULL, NULL), (9985, '', '江南村', '10e48ba9e07449148e6d1e94d5400c27', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100256', 5, '江南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100256', 1, '2021-07-19 11:40:49', NULL, NULL), (9986, '', '东方村', '6d04f96e97cf4fb18160fe487b850f3a', 'e8bb8ce78d344dba980e10de2e08303a', 'False', 'True', 'false', 'false', '510824100257', 5, '东方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824100257', 1, '2021-07-19 11:40:50', NULL, NULL), (9987, '', '元坝镇', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824112000', 4, '元坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824112000', 1, '2021-07-19 11:40:50', NULL, NULL), (9988, '', '金碑村', '239f8804b35d42abb9fc63ff99af5e0f', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112089', 5, '金碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112089', 1, '2021-07-19 11:40:50', NULL, NULL), (9989, '', '桥沟村', 'a75472ed0fe340c8a4ec33e326601bfb', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112169', 5, '桥沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112169', 1, '2021-07-19 11:40:50', NULL, NULL), (9990, '', '石门社区', '3eb3498fe8a94efba2ccbfe6a05b46a1', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112399', 5, '石门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112399', 1, '2021-07-19 11:40:50', NULL, NULL), (9991, '', '大坪村', 'ebee605730dc4997871308fd85286083', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112451', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112451', 1, '2021-07-19 11:40:50', NULL, NULL), (9992, '', '元宝村', '4f881b63d372409cac879c8ab8917222', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112522', 5, '元宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112522', 1, '2021-07-19 11:40:50', NULL, NULL), (9993, '', '文江村', '8cacd1fbbdba4e09941391202c9e8f48', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112664', 5, '文江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112664', 1, '2021-07-19 11:40:50', NULL, NULL), (9994, '', '三林村', 'ffa4bb9a953a47338ea275e679dad6f4', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112690', 5, '三林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112690', 1, '2021-07-19 11:40:50', NULL, NULL), (9995, '', '金银村', 'e06572daf46d42229c7d887cd80949cd', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112896', 5, '金银村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112896', 1, '2021-07-19 11:40:50', NULL, NULL), (9996, '', '裕兴村', '4afcccbfa24342b39a837e8e65afe10b', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112900', 5, '裕兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112900', 1, '2021-07-19 11:40:50', NULL, NULL), (9997, '', '插寨村', '164d8e6835414fd9b702b8f43890e8f0', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112940', 5, '插寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112940', 1, '2021-07-19 11:40:50', NULL, NULL), (9998, '', '建设路社区', '17302011a7ea4fea94148149635255ad', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112001', 5, '建设路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112001', 1, '2021-07-19 11:40:50', NULL, NULL), (9999, '', '望江社区', 'f091a0e09ad140c8bf8c4350fc083972', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112002', 5, '望江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112002', 1, '2021-07-19 11:40:51', NULL, NULL), (10000, '', '店子社区', '2c7e7a1962834417b321a795c51c9b62', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112003', 5, '店子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112003', 1, '2021-07-19 11:40:51', NULL, NULL), (10001, '', '张王社区', 'c001e0ea6c5846dc96c478e7e6af8f73', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112004', 5, '张王社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112004', 1, '2021-07-19 11:40:51', NULL, NULL), (10002, '', '金壁社区', 'c3df9545db7b44f3ab8bef804fba8137', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112005', 5, '金壁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112005', 1, '2021-07-19 11:40:51', NULL, NULL), (10003, '', '庆宪村', '2423b844a7bd4e99a6f55d5780708e6b', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112201', 5, '庆宪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112201', 1, '2021-07-19 11:40:51', NULL, NULL), (10004, '', '张滩村', '3d88f7b0b1d343a3a1f92e585753663f', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112202', 5, '张滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112202', 1, '2021-07-19 11:40:51', NULL, NULL), (10005, '', '黄安村', '48cf8c82ebb64045845db5156acabf48', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112203', 5, '黄安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112203', 1, '2021-07-19 11:40:51', NULL, NULL), (10006, '', '裕群村', 'cb9b0e5f03a649119c93de83f57399b9', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112205', 5, '裕群村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112205', 1, '2021-07-19 11:40:51', NULL, NULL), (10007, '', '九盘村', '62e426e9da584c53baa6b0c5522fa3d4', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112206', 5, '九盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112206', 1, '2021-07-19 11:40:51', NULL, NULL), (10008, '', '将军村', 'b4b80a4cfe694c34a78def6c885ce24f', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112207', 5, '将军村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112207', 1, '2021-07-19 11:40:51', NULL, NULL), (10009, '', '天峨村', '09f39ac9be674e9e89d6545254c7e28e', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112208', 5, '天峨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112208', 1, '2021-07-19 11:40:51', NULL, NULL), (10010, '', '井岗村', '6160b1da2ba14db784812d2549039c8b', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112210', 5, '井岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112210', 1, '2021-07-19 11:40:51', NULL, NULL), (10011, '', '旋子山村', '64f4a33f679d4a5c80a2ef0abcf4c898', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112213', 5, '旋子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112213', 1, '2021-07-19 11:40:52', NULL, NULL), (10012, '', '清鹤村', 'e9a63bd1f32a4debac3f6eafde260acb', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112215', 5, '清鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112215', 1, '2021-07-19 11:40:52', NULL, NULL), (10013, '', '玉红村', 'f1377bd6f074435eac561cbdc600cc90', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112217', 5, '玉红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112217', 1, '2021-07-19 11:40:52', NULL, NULL), (10014, '', '井红村', '2156a13bdd0b4fc19b0d7c72f306a4ef', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112219', 5, '井红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112219', 1, '2021-07-19 11:40:52', NULL, NULL), (10015, '', '芦飞村', '4854db77f3d14b56bb99affad30d1fbe', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112220', 5, '芦飞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112220', 1, '2021-07-19 11:40:52', NULL, NULL), (10016, '', '中土社区', '5b32cc83cd42446b923e06851057cd5e', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112222', 5, '中土社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112222', 1, '2021-07-19 11:40:52', NULL, NULL), (10017, '', '文白村', '9af8606b09ea48978d0fb9e005f12677', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112224', 5, '文白村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112224', 1, '2021-07-19 11:40:52', NULL, NULL), (10018, '', '中梁村', '283a6f77341b46f89fc32f7f8affdb7c', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112225', 5, '中梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112225', 1, '2021-07-19 11:40:52', NULL, NULL), (10019, '', '青店村', 'cb8b464dc235428ab54836e22c9b58c1', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112226', 5, '青店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112226', 1, '2021-07-19 11:40:52', NULL, NULL), (10020, '', '鲜家沟村', 'cbc66e341d664260bf5a6d67b847ae84', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112229', 5, '鲜家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112229', 1, '2021-07-19 11:40:52', NULL, NULL), (10021, '', '铜土村', '4cec3e12dff94334a6df8a0ad0ded021', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112230', 5, '铜土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112230', 1, '2021-07-19 11:40:52', NULL, NULL), (10022, '', '山岔村', '8b2767da94994143a2ee6e50e3974d89', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112232', 5, '山岔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112232', 1, '2021-07-19 11:40:52', NULL, NULL), (10023, '', '峰平村', 'e44b4ba30b954d31ab53180045cbb6b0', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112233', 5, '峰平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112233', 1, '2021-07-19 11:40:53', NULL, NULL), (10024, '', '金高村', 'e362fd9ea4c44e9fa06235a53f75de58', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112234', 5, '金高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112234', 1, '2021-07-19 11:40:53', NULL, NULL), (10025, '', '文观村', '74b99b2e52874af3b4264d2663334a0a', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112235', 5, '文观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112235', 1, '2021-07-19 11:40:53', NULL, NULL), (10026, '', '七星村', '3046aa238ef3489c933cfa43a5a79f6e', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112236', 5, '七星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112236', 1, '2021-07-19 11:40:53', NULL, NULL), (10027, '', '白溪村', 'acca074a9f7b4efa976c3b007396a254', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112237', 5, '白溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112237', 1, '2021-07-19 11:40:53', NULL, NULL), (10028, '', '麻溪村', 'abca52c6cfdb4261959104d5b298703e', 'b04ebbe7c89b4d21bd24d3d5d09d8fe3', 'False', 'True', 'false', 'false', '510824112238', 5, '麻溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824112238', 1, '2021-07-19 11:40:53', NULL, NULL), (10029, '', '龙山镇', '0315a59cb8f540799e5452ed4ce089e9', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824123000', 4, '龙山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824123000', 1, '2021-07-19 11:40:53', NULL, NULL), (10030, '', '龙山社区', '401473f0fd7f44cd859de8a54e433794', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123001', 5, '龙山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123001', 1, '2021-07-19 11:40:53', NULL, NULL), (10031, '', '金斗社区', '38eee7fd09074fcd94a68b7b1a909582', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123002', 5, '金斗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123002', 1, '2021-07-19 11:40:53', NULL, NULL), (10032, '', '鞍子社区', '35effecbb26c479284007ff24cb9f8f7', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123003', 5, '鞍子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123003', 1, '2021-07-19 11:40:53', NULL, NULL), (10033, '', '柏杨社区', '30cf33d9e26040ca8bb59d6d6af7f9c2', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123004', 5, '柏杨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123004', 1, '2021-07-19 11:40:53', NULL, NULL), (10034, '', '迎宾路社区', 'f4b3b9824f1347ccb71acee8e0d10c98', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123005', 5, '迎宾路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123005', 1, '2021-07-19 11:40:54', NULL, NULL), (10035, '', '龙宝村', '6351ce2114e84ef0982b082e2826a63d', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123201', 5, '龙宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123201', 1, '2021-07-19 11:40:54', NULL, NULL), (10036, '', '文柏村', '6fd5b4fb125d4d7d8b64a661b1930d55', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123205', 5, '文柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123205', 1, '2021-07-19 11:40:54', NULL, NULL), (10037, '', '南阳村', 'b84c7857fb4a47c8b3d0f0f9f5c113fa', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123207', 5, '南阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123207', 1, '2021-07-19 11:40:54', NULL, NULL), (10038, '', '龙角村', '4678225b6223403c9e110237a5f3f086', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123208', 5, '龙角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123208', 1, '2021-07-19 11:40:54', NULL, NULL), (10039, '', '董永村', '5cbef2ced8bb44278556541daa2c372c', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123211', 5, '董永村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123211', 1, '2021-07-19 11:40:54', NULL, NULL), (10040, '', '槐荫村', 'f56311f1b85448a29b68e40d9206b270', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123212', 5, '槐荫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123212', 1, '2021-07-19 11:40:54', NULL, NULL), (10041, '', '先锋村', '826a7aa694554c4f87892b9600853684', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123213', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123213', 1, '2021-07-19 11:40:54', NULL, NULL), (10042, '', '翔凤村', '9c2ad888d32c4dc996d78dc5fbd7c972', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123215', 5, '翔凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123215', 1, '2021-07-19 11:40:54', NULL, NULL), (10043, '', '长梁村', 'a125a2c8e34c45f18fc02d492d9747f0', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123216', 5, '长梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123216', 1, '2021-07-19 11:40:54', NULL, NULL), (10044, '', '双灵村', '05a6d1418fd04a9788b191d9c0742bbc', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123217', 5, '双灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123217', 1, '2021-07-19 11:40:54', NULL, NULL), (10045, '', '立石村', 'aece480e953842d396df6f8955d6daae', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123219', 5, '立石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123219', 1, '2021-07-19 11:40:54', NULL, NULL), (10046, '', '大牟村', 'edd801d5982b4b8cbdaaae91b0219846', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123220', 5, '大牟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123220', 1, '2021-07-19 11:40:54', NULL, NULL), (10047, '', '五星村', '1dab6ec0adaf4115baf986d7a741f5af', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123222', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123222', 1, '2021-07-19 11:40:54', NULL, NULL), (10048, '', '灵凤村', 'e70436e4794f4d569ed6293246bc739a', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123225', 5, '灵凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123225', 1, '2021-07-19 11:40:54', NULL, NULL), (10049, '', '水垭村', 'd301094e9e43425398f66f31aa17a279', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123226', 5, '水垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123226', 1, '2021-07-19 11:40:55', NULL, NULL), (10050, '', '美福村', 'c9d44119c8a04e308d4ff19e56a3b01b', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123227', 5, '美福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123227', 1, '2021-07-19 11:40:55', NULL, NULL), (10051, '', '金桥村', '406727b40dee40db841b421441fb6a7a', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123229', 5, '金桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123229', 1, '2021-07-19 11:40:55', NULL, NULL), (10052, '', '宝宁村', '7f6c85525322454fb691eacf0db1c66e', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123231', 5, '宝宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123231', 1, '2021-07-19 11:40:55', NULL, NULL), (10053, '', '福田村', 'e8362ba22a95457f89aefce58bd1fc5d', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123233', 5, '福田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123233', 1, '2021-07-19 11:40:55', NULL, NULL), (10054, '', '塘山村', '7a88ec0dcae649f5aa5014d709226583', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123235', 5, '塘山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123235', 1, '2021-07-19 11:40:55', NULL, NULL), (10055, '', '玉带村', '288533d3c1cc453da4535f264fcccddc', '0315a59cb8f540799e5452ed4ce089e9', 'False', 'True', 'false', 'false', '510824123236', 5, '玉带村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824123236', 1, '2021-07-19 11:40:55', NULL, NULL), (10056, '', '歧坪镇', '7f92b6961361415ba66d444d27d97df4', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824114000', 4, '歧坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824114000', 1, '2021-07-19 11:40:55', NULL, NULL), (10057, '', '五一村', 'cd7219f8f641452fb5a10ae30447564e', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114537', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114537', 1, '2021-07-19 11:40:55', NULL, NULL), (10058, '', '宋安村', '5e7682251ea5493190f80912663a2a2d', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114761', 5, '宋安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114761', 1, '2021-07-19 11:40:55', NULL, NULL), (10059, '', '邓州社区', '87b92e17faa342cd89397eced12b91c9', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114001', 5, '邓州社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114001', 1, '2021-07-19 11:40:55', NULL, NULL), (10060, '', '南阳社区', 'd9c6ffb75ce24250a80205b510058bf8', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114002', 5, '南阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114002', 1, '2021-07-19 11:40:56', NULL, NULL), (10061, '', '宋江社区', '2493f83ea0674d6fa0ccc828b1515b98', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114003', 5, '宋江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114003', 1, '2021-07-19 11:40:56', NULL, NULL), (10062, '', '登高社区', '28f5b1be2a76449e9d9139d22e4e8813', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114004', 5, '登高社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114004', 1, '2021-07-19 11:40:56', NULL, NULL), (10063, '', '太营村', 'be6dc9b851e24ff28cbf5890d682ebe8', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114203', 5, '太营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114203', 1, '2021-07-19 11:40:56', NULL, NULL), (10064, '', '和平村', 'd4d74159403e48489102438eea351c6e', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114205', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114205', 1, '2021-07-19 11:40:56', NULL, NULL), (10065, '', '龙星村', 'cbd61c29651a44a8bafc756be6f45ae6', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114208', 5, '龙星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114208', 1, '2021-07-19 11:40:56', NULL, NULL), (10066, '', '旭光村', '6c2d877a07a04b73a0885aa2b266dedd', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114209', 5, '旭光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114209', 1, '2021-07-19 11:40:56', NULL, NULL), (10067, '', '六股树', 'cf4ebc7d025c4c0ab928433229b2f208', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114213', 5, '六股树', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114213', 1, '2021-07-19 11:40:56', NULL, NULL), (10068, '', '迴龙村', 'f98fe86292ea47efb51cecc8d485cc3a', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114215', 5, '迴龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114215', 1, '2021-07-19 11:40:56', NULL, NULL), (10069, '', '红杨村', '1e1ff4b357e140e082838e31644a6808', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114217', 5, '红杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114217', 1, '2021-07-19 11:40:57', NULL, NULL), (10070, '', '登高村', '107bb8b63f764b3c8bb4055466b43fde', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114218', 5, '登高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114218', 1, '2021-07-19 11:40:57', NULL, NULL), (10071, '', '永进村', '12827ca5c50c49bf8d342478daf298de', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114224', 5, '永进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114224', 1, '2021-07-19 11:40:57', NULL, NULL), (10072, '', '凤凰村', '1702ce1e8a8b43c6b1ddfb9030dcfe0f', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114226', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114226', 1, '2021-07-19 11:40:57', NULL, NULL), (10073, '', '万宝村', '9e472616f2024d8ab364aac4d071dd59', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114227', 5, '万宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114227', 1, '2021-07-19 11:40:57', NULL, NULL), (10074, '', '四蛮寨村', 'c587bba5c1db4dbfbaf81d67171579fc', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114231', 5, '四蛮寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114231', 1, '2021-07-19 11:40:57', NULL, NULL), (10075, '', '秀宝村', '5647f34e6b4949dc9df9caf1a2414999', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114234', 5, '秀宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114234', 1, '2021-07-19 11:40:57', NULL, NULL), (10076, '', '临江村', 'e7f06a4dfffb4a5fa9e3f4a4650bd99e', '7f92b6961361415ba66d444d27d97df4', 'False', 'True', 'false', 'false', '510824114236', 5, '临江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824114236', 1, '2021-07-19 11:40:57', NULL, NULL), (10077, '', '东溪镇', 'e49404a997a04960bdbb8c10d024c915', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824121000', 4, '东溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824121000', 1, '2021-07-19 11:40:57', NULL, NULL), (10078, '', '中山村', 'c6c2bfa6e08646f286f990fb78242fd5', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121205', 5, '中山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121205', 1, '2021-07-19 11:40:58', NULL, NULL), (10079, '', '红花村', '513d27cfb86943bc99ca4c333b2ad4db', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121608', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121608', 1, '2021-07-19 11:40:58', NULL, NULL), (10080, '', '民主村', '48ee91f0ac87423981f671153d0fecb0', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121687', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121687', 1, '2021-07-19 11:40:58', NULL, NULL), (10081, '', '团包村', '8ed76c680f3441ba992b5df2e18919de', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121768', 5, '团包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121768', 1, '2021-07-19 11:40:58', NULL, NULL), (10082, '', '石灶社区', '3334613d661844ea993cf0ff1a0d1186', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121784', 5, '石灶社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121784', 1, '2021-07-19 11:40:58', NULL, NULL), (10083, '', '五童村', 'f2b0f82d873f47a283c4deece238ad58', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121918', 5, '五童村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121918', 1, '2021-07-19 11:40:58', NULL, NULL), (10084, '', '宋水社区', '1efcc95bb9c64f8dbaf60a0413888092', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121001', 5, '宋水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121001', 1, '2021-07-19 11:40:58', NULL, NULL), (10085, '', '双田社区', 'fb96403c6e214eff929bb93d13a4a747', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121002', 5, '双田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121002', 1, '2021-07-19 11:40:58', NULL, NULL), (10086, '', '北泉社区', '49cb16f244f84e9f8fb3b544573aec63', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121003', 5, '北泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121003', 1, '2021-07-19 11:40:58', NULL, NULL), (10087, '', '大龙村', '75ae9cb8bed04d3582b387cf49b0abef', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121203', 5, '大龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121203', 1, '2021-07-19 11:40:59', NULL, NULL), (10088, '', '小龙村', 'e4e5c8e3b1ad4885a49138d2f876f330', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121204', 5, '小龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121204', 1, '2021-07-19 11:40:59', NULL, NULL), (10089, '', '望金村', '7c23233ac47e45c781b0d83bc9424b6e', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121206', 5, '望金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121206', 1, '2021-07-19 11:40:59', NULL, NULL), (10090, '', '黎明村', '8e3d27cd0b5e4acb8c684a772ca3279b', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121208', 5, '黎明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121208', 1, '2021-07-19 11:40:59', NULL, NULL), (10091, '', '群友村', '7ef6aaa180d84fb8ba95d2abb48cb614', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121209', 5, '群友村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121209', 1, '2021-07-19 11:40:59', NULL, NULL), (10092, '', '东河村', '77ddcf02d9b24b79aa6effbcd654f35d', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121210', 5, '东河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121210', 1, '2021-07-19 11:40:59', NULL, NULL), (10093, '', '花园村', '03d83de999a74f42bceaff90f29ada74', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121213', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121213', 1, '2021-07-19 11:40:59', NULL, NULL), (10094, '', '井子坪村', 'ed54c674576748ddb3d8d90b94923d4a', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121216', 5, '井子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121216', 1, '2021-07-19 11:40:59', NULL, NULL), (10095, '', '马蹄村', '1d65e7a7ca78474aad2586dc76a6ae98', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121217', 5, '马蹄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121217', 1, '2021-07-19 11:40:59', NULL, NULL), (10096, '', '芙光村', 'c2d9a6acbf504713b61a9cf3c9c12c27', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121218', 5, '芙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121218', 1, '2021-07-19 11:40:59', NULL, NULL), (10097, '', '瓦旋村', '46f1bb77191640a4a3049af22e4df5ac', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121220', 5, '瓦旋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121220', 1, '2021-07-19 11:40:59', NULL, NULL), (10098, '', '八庙村', '940ce57e85914775ac887f4fdbc946c8', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121223', 5, '八庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121223', 1, '2021-07-19 11:41:00', NULL, NULL), (10099, '', '康寨村', 'c5c3035a1ff3483a9c9c915e5ca21730', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121224', 5, '康寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121224', 1, '2021-07-19 11:41:00', NULL, NULL), (10100, '', '大石村', 'ce89398cf1274cc0b19137d60c5c431c', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121225', 5, '大石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121225', 1, '2021-07-19 11:41:00', NULL, NULL), (10101, '', '八字村', 'b964f818fe3341548ca8635aa1ac482f', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121227', 5, '八字村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121227', 1, '2021-07-19 11:41:00', NULL, NULL), (10102, '', '巨马村', 'f9ddb88f3e79466b8f9cf5b740cb9edc', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121230', 5, '巨马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121230', 1, '2021-07-19 11:41:00', NULL, NULL), (10103, '', '柴坡村', 'c89ad30257694c5cbf6a43cdc0403710', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121231', 5, '柴坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121231', 1, '2021-07-19 11:41:00', NULL, NULL), (10104, '', '陈干村', 'baeb7aeeac214de1916883d6b69586e7', 'e49404a997a04960bdbb8c10d024c915', 'False', 'True', 'false', 'false', '510824121233', 5, '陈干村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824121233', 1, '2021-07-19 11:41:00', NULL, NULL), (10105, '', '云峰镇', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824102000', 4, '云峰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824102000', 1, '2021-07-19 11:41:00', NULL, NULL), (10106, '', '王渡社区', 'cc552634ed4140e1ac2de03ea6034b84', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102717', 5, '王渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102717', 1, '2021-07-19 11:41:00', NULL, NULL), (10107, '', '烟峰楼社区', 'f69c246e3a6748099373ed851ecb7d9a', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102001', 5, '烟峰楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102001', 1, '2021-07-19 11:41:00', NULL, NULL), (10108, '', '五里社区', '31743a7891214450ad52bd6ed101fd92', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102003', 5, '五里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102003', 1, '2021-07-19 11:41:01', NULL, NULL), (10109, '', '三合村', '0452fc83823c4669a382ab34258359d9', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102203', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102203', 1, '2021-07-19 11:41:01', NULL, NULL), (10110, '', '陈石村', 'e403f78312eb4b44b9913f9581cfca53', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102204', 5, '陈石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102204', 1, '2021-07-19 11:41:01', NULL, NULL), (10111, '', '紫阳村', '34b6c4b3f33f4e81a384aef7af2414d4', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102206', 5, '紫阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102206', 1, '2021-07-19 11:41:01', NULL, NULL), (10112, '', '东柏村', 'fbfde76ba1a04d44a62f49eee1ea0627', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102207', 5, '东柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102207', 1, '2021-07-19 11:41:01', NULL, NULL), (10113, '', '虎背村', '4873b184f24f467291d68da0bd7dbe25', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102209', 5, '虎背村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102209', 1, '2021-07-19 11:41:01', NULL, NULL), (10114, '', '狮岭村', '3e2cf91cb91c4b089f04d31ede333f5c', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102210', 5, '狮岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102210', 1, '2021-07-19 11:41:01', NULL, NULL), (10115, '', '华盖村', '12403f73093542bba960e57be7cd7130', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102211', 5, '华盖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102211', 1, '2021-07-19 11:41:01', NULL, NULL), (10116, '', '青盐村', '475f3ba553db41218b13ff7400558572', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102212', 5, '青盐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102212', 1, '2021-07-19 11:41:01', NULL, NULL), (10117, '', '柏树村', 'cc28bb00e20c45dcbb42ccead085b300', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102215', 5, '柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102215', 1, '2021-07-19 11:41:01', NULL, NULL), (10118, '', '石家坝社区', '09f0fd6cac984bc68de77d49f241e064', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102217', 5, '石家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102217', 1, '2021-07-19 11:41:01', NULL, NULL), (10119, '', '紫云社区', 'd817b48d6fcc406aa861afd80aa04e5f', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102218', 5, '紫云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102218', 1, '2021-07-19 11:41:01', NULL, NULL), (10120, '', '张王村', '7d9c9a9c9b4c4bff96f77fb497d1ebbf', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102219', 5, '张王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102219', 1, '2021-07-19 11:41:01', NULL, NULL), (10121, '', '插花村', 'e203966ec3ce4c0caddd1428b1861e71', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102220', 5, '插花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102220', 1, '2021-07-19 11:41:02', NULL, NULL), (10122, '', '云台村', 'ca93e88c138545b4931e248a7cb36b69', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102223', 5, '云台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102223', 1, '2021-07-19 11:41:02', NULL, NULL), (10123, '', '大获城村', 'f353ec9824e6499d82dacab63f14e3a7', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102225', 5, '大获城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102225', 1, '2021-07-19 11:41:02', NULL, NULL), (10124, '', '响水村', '6a3a2b6f1a084bf5a0bea7eef07545b1', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102227', 5, '响水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102227', 1, '2021-07-19 11:41:02', NULL, NULL), (10125, '', '金石村', '1c5371b66cd74533b6686d4875996986', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102229', 5, '金石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102229', 1, '2021-07-19 11:41:02', NULL, NULL), (10126, '', '会民村', 'e8c30636214243c0b73993dca1886841', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102231', 5, '会民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102231', 1, '2021-07-19 11:41:02', NULL, NULL), (10127, '', '赤土垭村', '4ae3a612c93f4184b50a45daa7667515', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102233', 5, '赤土垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102233', 1, '2021-07-19 11:41:02', NULL, NULL), (10128, '', '王渡村', '0cd68cedfcc04df6b99fad7045c35b51', 'b02ad912a6dc455c8b6c875a6a7c5bae', 'False', 'True', 'false', 'false', '510824102234', 5, '王渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824102234', 1, '2021-07-19 11:41:02', NULL, NULL), (10129, '', '东青镇', 'a49ffcdff2c2470aa565b287ef227cd7', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824104000', 4, '东青镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824104000', 1, '2021-07-19 11:41:02', NULL, NULL), (10130, '', '宝梁村', '051697d47ec24e4ca7654059346dfe10', 'a49ffcdff2c2470aa565b287ef227cd7', 'False', 'True', 'false', 'false', '510824104022', 5, '宝梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824104022', 1, '2021-07-19 11:41:02', NULL, NULL), (10131, '', '东青社区', '7d6ee98031af46398141760d68cbb8cf', 'a49ffcdff2c2470aa565b287ef227cd7', 'False', 'True', 'false', 'false', '510824104001', 5, '东青社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824104001', 1, '2021-07-19 11:41:02', NULL, NULL), (10132, '', '蟠龙社区', '667753cfac7944e1aa5e860f838be9a0', 'a49ffcdff2c2470aa565b287ef227cd7', 'False', 'True', 'false', 'false', '510824104002', 5, '蟠龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824104002', 1, '2021-07-19 11:41:02', NULL, NULL), (10133, '', '东升村', 'ae6055f0de714270b8cbb0b7204da44b', 'a49ffcdff2c2470aa565b287ef227cd7', 'False', 'True', 'false', 'false', '510824104201', 5, '东升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824104201', 1, '2021-07-19 11:41:03', NULL, NULL), (10134, '', '东林村', 'e1da954bbf9b497ab48a80e4d3e25571', 'a49ffcdff2c2470aa565b287ef227cd7', 'False', 'True', 'false', 'false', '510824104202', 5, '东林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824104202', 1, '2021-07-19 11:41:03', NULL, NULL), (10135, '', '明兴村', '8cf79a9958a645e2b51e675c819d019b', 'a49ffcdff2c2470aa565b287ef227cd7', 'False', 'True', 'false', 'false', '510824104203', 5, '明兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824104203', 1, '2021-07-19 11:41:03', NULL, NULL), (10136, '', '铃旗村', '1a5086eec9194f67a0dd7c5a1beb4b06', 'a49ffcdff2c2470aa565b287ef227cd7', 'False', 'True', 'false', 'false', '510824104204', 5, '铃旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824104204', 1, '2021-07-19 11:41:03', NULL, NULL), (10137, '', '东光村', 'f7452bb9fc4b4edb9a9de2bfc358c160', 'a49ffcdff2c2470aa565b287ef227cd7', 'False', 'True', 'false', 'false', '510824104205', 5, '东光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824104205', 1, '2021-07-19 11:41:03', NULL, NULL), (10138, '', '五兴村', 'f9608e886c1240f796e3f2e1442baaa1', 'a49ffcdff2c2470aa565b287ef227cd7', 'False', 'True', 'false', 'false', '510824104206', 5, '五兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824104206', 1, '2021-07-19 11:41:03', NULL, NULL), (10139, '', '青山观村', 'cdb116d8d5574ee787aa0751b6c20257', 'a49ffcdff2c2470aa565b287ef227cd7', 'False', 'True', 'false', 'false', '510824104207', 5, '青山观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824104207', 1, '2021-07-19 11:41:03', NULL, NULL), (10140, '', '东阳村', '58097063fd7c4923a82e3696b73ad545', 'a49ffcdff2c2470aa565b287ef227cd7', 'False', 'True', 'false', 'false', '510824104208', 5, '东阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824104208', 1, '2021-07-19 11:41:03', NULL, NULL), (10141, '', '明阳村', '05b97b24ee1640fab82c1255f2e38931', 'a49ffcdff2c2470aa565b287ef227cd7', 'False', 'True', 'false', 'false', '510824104209', 5, '明阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824104209', 1, '2021-07-19 11:41:03', NULL, NULL), (10142, '', '互裕村', '9812c94b7b354fa4abb8b519ad3f5833', 'a49ffcdff2c2470aa565b287ef227cd7', 'False', 'True', 'false', 'false', '510824104212', 5, '互裕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824104212', 1, '2021-07-19 11:41:03', NULL, NULL), (10143, '', '前锋村', 'e884e7fa97f04c55a46c8518b49b14e6', 'a49ffcdff2c2470aa565b287ef227cd7', 'False', 'True', 'false', 'false', '510824104213', 5, '前锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824104213', 1, '2021-07-19 11:41:03', NULL, NULL), (10144, '', '禅林社区', '10c39c785ba54e99b2d11e5092cc490e', 'a49ffcdff2c2470aa565b287ef227cd7', 'False', 'True', 'false', 'false', '510824104215', 5, '禅林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824104215', 1, '2021-07-19 11:41:04', NULL, NULL), (10145, '', '碧水村', '5cc1f597ebbe499eb1004bad93a11b71', 'a49ffcdff2c2470aa565b287ef227cd7', 'False', 'True', 'false', 'false', '510824104217', 5, '碧水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824104217', 1, '2021-07-19 11:41:04', NULL, NULL), (10146, '', '苍红村', 'b2186d10c3044372af645954ed73beb5', 'a49ffcdff2c2470aa565b287ef227cd7', 'False', 'True', 'false', 'false', '510824104219', 5, '苍红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824104219', 1, '2021-07-19 11:41:04', NULL, NULL), (10147, '', '东高村', '62bc95c83b694c9e92fa8cf591edfdb4', 'a49ffcdff2c2470aa565b287ef227cd7', 'False', 'True', 'false', 'false', '510824104221', 5, '东高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824104221', 1, '2021-07-19 11:41:04', NULL, NULL), (10148, '', '文昌镇', 'd1a5bc53400643809c0b1b321b2cfe1b', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824117000', 4, '文昌镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824117000', 1, '2021-07-19 11:41:04', NULL, NULL), (10149, '', '文昌社区', '779f648e97dd4ebcbb4d4d9b601a43ef', 'd1a5bc53400643809c0b1b321b2cfe1b', 'False', 'True', 'false', 'false', '510824117001', 5, '文昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824117001', 1, '2021-07-19 11:41:04', NULL, NULL), (10150, '', '白岩社区', 'd2d26627275c43c8abf851c4db3d4f84', 'd1a5bc53400643809c0b1b321b2cfe1b', 'False', 'True', 'false', 'false', '510824117002', 5, '白岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824117002', 1, '2021-07-19 11:41:04', NULL, NULL), (10151, '', '石昌村', '860d3589767a4e04a685ceac653131b2', 'd1a5bc53400643809c0b1b321b2cfe1b', 'False', 'True', 'false', 'false', '510824117201', 5, '石昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824117201', 1, '2021-07-19 11:41:04', NULL, NULL), (10152, '', '权家村', '9411176e4e2744f0a7e3d544844b00fd', 'd1a5bc53400643809c0b1b321b2cfe1b', 'False', 'True', 'false', 'false', '510824117202', 5, '权家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824117202', 1, '2021-07-19 11:41:04', NULL, NULL), (10153, '', '刘家村', 'f1992ede3ece41ee91bb3b592af9bd97', 'd1a5bc53400643809c0b1b321b2cfe1b', 'False', 'True', 'false', 'false', '510824117204', 5, '刘家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824117204', 1, '2021-07-19 11:41:04', NULL, NULL), (10154, '', '得胜村', '639755cf71844ebdb933c2612954a8da', 'd1a5bc53400643809c0b1b321b2cfe1b', 'False', 'True', 'false', 'false', '510824117205', 5, '得胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824117205', 1, '2021-07-19 11:41:04', NULL, NULL), (10155, '', '金民村', '0ed45c0890794a8dafbb1a7a6b9d9ee8', 'd1a5bc53400643809c0b1b321b2cfe1b', 'False', 'True', 'false', 'false', '510824117207', 5, '金民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824117207', 1, '2021-07-19 11:41:04', NULL, NULL), (10156, '', '红瓦村', 'a695646265b74f44a0ff37b88e705f60', 'd1a5bc53400643809c0b1b321b2cfe1b', 'False', 'True', 'false', 'false', '510824117209', 5, '红瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824117209', 1, '2021-07-19 11:41:04', NULL, NULL), (10157, '', '鸳鸯村', '4dcb102017d046c48dac34b8081fa025', 'd1a5bc53400643809c0b1b321b2cfe1b', 'False', 'True', 'false', 'false', '510824117212', 5, '鸳鸯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824117212', 1, '2021-07-19 11:41:05', NULL, NULL), (10158, '', '孙家村', '04ca2fdbf3314315bca0da4772a2aea8', 'd1a5bc53400643809c0b1b321b2cfe1b', 'False', 'True', 'false', 'false', '510824117213', 5, '孙家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824117213', 1, '2021-07-19 11:41:05', NULL, NULL), (10159, '', '油堡村', '09a48d841beb46d2a2f451597a0bb8e2', 'd1a5bc53400643809c0b1b321b2cfe1b', 'False', 'True', 'false', 'false', '510824117216', 5, '油堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824117216', 1, '2021-07-19 11:41:05', NULL, NULL), (10160, '', '双庙村', 'f8606064535249f093c47c6b4727ca81', 'd1a5bc53400643809c0b1b321b2cfe1b', 'False', 'True', 'false', 'false', '510824117217', 5, '双庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824117217', 1, '2021-07-19 11:41:05', NULL, NULL), (10161, '', '白驿镇', 'f577d02f0a9948b2ac8b04faacab97bc', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824115000', 4, '白驿镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824115000', 1, '2021-07-19 11:41:05', NULL, NULL), (10162, '', '白驿社区', 'd3980adcc3824e4c802f4f2b5432e265', 'f577d02f0a9948b2ac8b04faacab97bc', 'False', 'True', 'false', 'false', '510824115001', 5, '白驿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824115001', 1, '2021-07-19 11:41:05', NULL, NULL), (10163, '', '金龙泉村', 'd16da4ca3d6f465faf1218c8c1ab5d47', 'f577d02f0a9948b2ac8b04faacab97bc', 'False', 'True', 'false', 'false', '510824115002', 5, '金龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824115002', 1, '2021-07-19 11:41:05', NULL, NULL), (10164, '', '马桑村', 'd9c51e91ed484c87ad0b493f84083675', 'f577d02f0a9948b2ac8b04faacab97bc', 'False', 'True', 'false', 'false', '510824115203', 5, '马桑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824115203', 1, '2021-07-19 11:41:05', NULL, NULL), (10165, '', '池口村', '35c7e0dfd4954042a9b455884e4b1859', 'f577d02f0a9948b2ac8b04faacab97bc', 'False', 'True', 'false', 'false', '510824115204', 5, '池口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824115204', 1, '2021-07-19 11:41:05', NULL, NULL), (10166, '', '天星村', '73690732af4e42ae86682cc417f06269', 'f577d02f0a9948b2ac8b04faacab97bc', 'False', 'True', 'false', 'false', '510824115207', 5, '天星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824115207', 1, '2021-07-19 11:41:05', NULL, NULL), (10167, '', '谯坝村', '9b74aaab52954015b41401ee7cf3c864', 'f577d02f0a9948b2ac8b04faacab97bc', 'False', 'True', 'false', 'false', '510824115208', 5, '谯坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824115208', 1, '2021-07-19 11:41:06', NULL, NULL), (10168, '', '红星村', '460975f9ae414d30bf423dbb5dda1a78', 'f577d02f0a9948b2ac8b04faacab97bc', 'False', 'True', 'false', 'false', '510824115209', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824115209', 1, '2021-07-19 11:41:06', NULL, NULL), (10169, '', '康泉村', '88a2c8c2459447a9b8364848e7c35c5f', 'f577d02f0a9948b2ac8b04faacab97bc', 'False', 'True', 'false', 'false', '510824115212', 5, '康泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824115212', 1, '2021-07-19 11:41:06', NULL, NULL), (10170, '', '青凤村', 'd49a75eda96a4ea09060e20074d26665', 'f577d02f0a9948b2ac8b04faacab97bc', 'False', 'True', 'false', 'false', '510824115213', 5, '青凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824115213', 1, '2021-07-19 11:41:06', NULL, NULL), (10171, '', '岫云村', 'e685251f964a40f2a9b8f8044b9bf9a1', 'f577d02f0a9948b2ac8b04faacab97bc', 'False', 'True', 'false', 'false', '510824115216', 5, '岫云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824115216', 1, '2021-07-19 11:41:06', NULL, NULL), (10172, '', '柳垭村', '51633e2e16dc4055b3f4d56a308e90cd', 'f577d02f0a9948b2ac8b04faacab97bc', 'False', 'True', 'false', 'false', '510824115217', 5, '柳垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824115217', 1, '2021-07-19 11:41:06', NULL, NULL), (10173, '', '下坊坪村', '0e8b680b45524985949376ba7b5e0bc7', 'f577d02f0a9948b2ac8b04faacab97bc', 'False', 'True', 'false', 'false', '510824115218', 5, '下坊坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824115218', 1, '2021-07-19 11:41:06', NULL, NULL), (10174, '', '檬垭村', 'b7be854ff6ac4681b352af64bc8b09f9', 'f577d02f0a9948b2ac8b04faacab97bc', 'False', 'True', 'false', 'false', '510824115222', 5, '檬垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824115222', 1, '2021-07-19 11:41:06', NULL, NULL), (10175, '', '李子社区', '4a4fe944244b4510a94e849b483fad9a', 'f577d02f0a9948b2ac8b04faacab97bc', 'False', 'True', 'false', 'false', '510824115223', 5, '李子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824115223', 1, '2021-07-19 11:41:06', NULL, NULL), (10176, '', '金凤村', 'f79c5cac13734a3d92af8db1ade98ec1', 'f577d02f0a9948b2ac8b04faacab97bc', 'False', 'True', 'false', 'false', '510824115224', 5, '金凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824115224', 1, '2021-07-19 11:41:06', NULL, NULL), (10177, '', '方山村', '998a2e72bcf9456b953909d2f29ee4a7', 'f577d02f0a9948b2ac8b04faacab97bc', 'False', 'True', 'false', 'false', '510824115226', 5, '方山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824115226', 1, '2021-07-19 11:41:06', NULL, NULL), (10178, '', '漓江镇', '29058eefd6be4478ba401bab5ab58dad', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824116000', 4, '漓江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824116000', 1, '2021-07-19 11:41:06', NULL, NULL), (10179, '', '漓江社区', '5620167ced424c28ac0eca8c32268e56', '29058eefd6be4478ba401bab5ab58dad', 'False', 'True', 'false', 'false', '510824116001', 5, '漓江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824116001', 1, '2021-07-19 11:41:07', NULL, NULL), (10180, '', '土鲤口社区', '8aa2f6598e82478aaf1386fedc8b1d24', '29058eefd6be4478ba401bab5ab58dad', 'False', 'True', 'false', 'false', '510824116002', 5, '土鲤口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824116002', 1, '2021-07-19 11:41:07', NULL, NULL), (10181, '', '清滩村', '2215ad564a7b415484b27e12c64eaed9', '29058eefd6be4478ba401bab5ab58dad', 'False', 'True', 'false', 'false', '510824116201', 5, '清滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824116201', 1, '2021-07-19 11:41:07', NULL, NULL), (10182, '', '官庄村', '03a3411f6eac42629ceb7eb5447ba7be', '29058eefd6be4478ba401bab5ab58dad', 'False', 'True', 'false', 'false', '510824116203', 5, '官庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824116203', 1, '2021-07-19 11:41:08', NULL, NULL), (10183, '', '龙亭村', 'b1124641d651467ba276441c818ca999', '29058eefd6be4478ba401bab5ab58dad', 'False', 'True', 'false', 'false', '510824116204', 5, '龙亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824116204', 1, '2021-07-19 11:41:08', NULL, NULL), (10184, '', '龙垭村', 'de65b95172a3471d981851cc3bbd70ef', '29058eefd6be4478ba401bab5ab58dad', 'False', 'True', 'false', 'false', '510824116205', 5, '龙垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824116205', 1, '2021-07-19 11:41:08', NULL, NULL), (10185, '', '凤峨村', '2c467e1649234baebf49b2bf5ee1f706', '29058eefd6be4478ba401bab5ab58dad', 'False', 'True', 'false', 'false', '510824116207', 5, '凤峨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824116207', 1, '2021-07-19 11:41:08', NULL, NULL), (10186, '', '山泉村', 'fb980629b0f54106a50af5b95570b429', '29058eefd6be4478ba401bab5ab58dad', 'False', 'True', 'false', 'false', '510824116208', 5, '山泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824116208', 1, '2021-07-19 11:41:08', NULL, NULL), (10187, '', '老林村', '72ffdc44c68a4d49ad8400e488f8df95', '29058eefd6be4478ba401bab5ab58dad', 'False', 'True', 'false', 'false', '510824116209', 5, '老林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824116209', 1, '2021-07-19 11:41:08', NULL, NULL), (10188, '', '五凤村', '20649e6e329743ca951e00855e1c3572', '29058eefd6be4478ba401bab5ab58dad', 'False', 'True', 'false', 'false', '510824116211', 5, '五凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824116211', 1, '2021-07-19 11:41:08', NULL, NULL), (10189, '', '富桥村', 'dc6a916f8a2a44b089e63054d9840667', '29058eefd6be4478ba401bab5ab58dad', 'False', 'True', 'false', 'false', '510824116212', 5, '富桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824116212', 1, '2021-07-19 11:41:08', NULL, NULL), (10190, '', '金峰村', 'e9ee7bc3b87d40d7bdf1434776bd1082', '29058eefd6be4478ba401bab5ab58dad', 'False', 'True', 'false', 'false', '510824116215', 5, '金峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824116215', 1, '2021-07-19 11:41:08', NULL, NULL), (10191, '', '龙顶村', '5e29bd5f4cf04db195f4770a00c7cb58', '29058eefd6be4478ba401bab5ab58dad', 'False', 'True', 'false', 'false', '510824116219', 5, '龙顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824116219', 1, '2021-07-19 11:41:08', NULL, NULL), (10192, '', '三溪村', '5dfd2759dda0443b9d9b7df5253cc9f0', '29058eefd6be4478ba401bab5ab58dad', 'False', 'True', 'false', 'false', '510824116221', 5, '三溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824116221', 1, '2021-07-19 11:41:08', NULL, NULL), (10193, '', '猴树粱村', '85c5e3ece61a492b84a47011081ce266', '29058eefd6be4478ba401bab5ab58dad', 'False', 'True', 'false', 'false', '510824116223', 5, '猴树粱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824116223', 1, '2021-07-19 11:41:08', NULL, NULL), (10194, '', '琴溪村', '9092c5a340474ac1b90f05265decfb81', '29058eefd6be4478ba401bab5ab58dad', 'False', 'True', 'false', 'false', '510824116225', 5, '琴溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824116225', 1, '2021-07-19 11:41:08', NULL, NULL), (10195, '', '月山乡', 'dcf5a55e23ac4b6994aaf4aafe4bd365', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824223000', 4, '月山乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824223000', 1, '2021-07-19 11:41:08', NULL, NULL), (10196, '', '烟峰社区', 'c3b3b4f37d344353812889bd5ba7e499', 'dcf5a55e23ac4b6994aaf4aafe4bd365', 'False', 'True', 'false', 'false', '510824223001', 5, '烟峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824223001', 1, '2021-07-19 11:41:09', NULL, NULL), (10197, '', '姚家坪社区', '01911c61a0b54c9f94ffba8d364b6e1c', 'dcf5a55e23ac4b6994aaf4aafe4bd365', 'False', 'True', 'false', 'false', '510824223002', 5, '姚家坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824223002', 1, '2021-07-19 11:41:09', NULL, NULL), (10198, '', '公益村', 'e19829793a02409ba3e7a01ae42038c6', 'dcf5a55e23ac4b6994aaf4aafe4bd365', 'False', 'True', 'false', 'false', '510824223201', 5, '公益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824223201', 1, '2021-07-19 11:41:09', NULL, NULL), (10199, '', '月山村', '35a1fdd8c0c3446ab41522ec656fe145', 'dcf5a55e23ac4b6994aaf4aafe4bd365', 'False', 'True', 'false', 'false', '510824223203', 5, '月山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824223203', 1, '2021-07-19 11:41:09', NULL, NULL), (10200, '', '钦差村', '7026922942d14b828e964b16f9d8981c', 'dcf5a55e23ac4b6994aaf4aafe4bd365', 'False', 'True', 'false', 'false', '510824223205', 5, '钦差村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824223205', 1, '2021-07-19 11:41:09', NULL, NULL), (10201, '', '花冠村', '9438bae04a5f4fdea710113148c9fc45', 'dcf5a55e23ac4b6994aaf4aafe4bd365', 'False', 'True', 'false', 'false', '510824223206', 5, '花冠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824223206', 1, '2021-07-19 11:41:09', NULL, NULL), (10202, '', '烟峰山村', 'a6fd1049aa9949ecb85593c087ce7321', 'dcf5a55e23ac4b6994aaf4aafe4bd365', 'False', 'True', 'false', 'false', '510824223208', 5, '烟峰山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824223208', 1, '2021-07-19 11:41:09', NULL, NULL), (10203, '', '西华村', '784deb6546b747cb8b8fd045af61bc61', 'dcf5a55e23ac4b6994aaf4aafe4bd365', 'False', 'True', 'false', 'false', '510824223210', 5, '西华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824223210', 1, '2021-07-19 11:41:09', NULL, NULL), (10204, '', '双星村', '3280612f105f4e7f82208ab8c687eecb', 'dcf5a55e23ac4b6994aaf4aafe4bd365', 'False', 'True', 'false', 'false', '510824223213', 5, '双星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824223213', 1, '2021-07-19 11:41:09', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (10205, '', '琳山村', 'b19fc050b1174b0484e26afc57dd4510', 'dcf5a55e23ac4b6994aaf4aafe4bd365', 'False', 'True', 'false', 'false', '510824223216', 5, '琳山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824223216', 1, '2021-07-19 11:41:09', NULL, NULL), (10206, '', '双龙村', 'eebbaae088e04159b8b055dfbbe77a25', 'dcf5a55e23ac4b6994aaf4aafe4bd365', 'False', 'True', 'false', 'false', '510824223217', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824223217', 1, '2021-07-19 11:41:10', NULL, NULL), (10207, '', '青杠村', 'be86c571fd9c45f18f809fdb9a4d0f0e', 'dcf5a55e23ac4b6994aaf4aafe4bd365', 'False', 'True', 'false', 'false', '510824223219', 5, '青杠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824223219', 1, '2021-07-19 11:41:10', NULL, NULL), (10208, '', '紫荆村', 'ea0f8cc0c53f4d579b9496dfe3ee2f81', 'dcf5a55e23ac4b6994aaf4aafe4bd365', 'False', 'True', 'false', 'false', '510824223220', 5, '紫荆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824223220', 1, '2021-07-19 11:41:10', NULL, NULL), (10209, '', '高坡镇', 'c4817c2ce4cf4ece83f746d1306eb46e', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824122000', 4, '高坡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824122000', 1, '2021-07-19 11:41:10', NULL, NULL), (10210, '', '柳溪村', 'ca85eecc4ce543c6838fcde457c51a5a', 'c4817c2ce4cf4ece83f746d1306eb46e', 'False', 'True', 'false', 'false', '510824122151', 5, '柳溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824122151', 1, '2021-07-19 11:41:10', NULL, NULL), (10211, '', '三垭社区', '39e77d6a0ecd4e70a6f920e8430f9a30', 'c4817c2ce4cf4ece83f746d1306eb46e', 'False', 'True', 'false', 'false', '510824122932', 5, '三垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824122932', 1, '2021-07-19 11:41:10', NULL, NULL), (10212, '', '双凤社区', 'd7d7bf570d1c4ac0842975f491b71c85', 'c4817c2ce4cf4ece83f746d1306eb46e', 'False', 'True', 'false', 'false', '510824122001', 5, '双凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824122001', 1, '2021-07-19 11:41:10', NULL, NULL), (10213, '', '双石社区', '4f0ca445fbed465b9cd7e936380d1d20', 'c4817c2ce4cf4ece83f746d1306eb46e', 'False', 'True', 'false', 'false', '510824122002', 5, '双石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824122002', 1, '2021-07-19 11:41:10', NULL, NULL), (10214, '', '天关村', 'cbb23fb24c934eb28ed795fa88c5a0d9', 'c4817c2ce4cf4ece83f746d1306eb46e', 'False', 'True', 'false', 'false', '510824122202', 5, '天关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824122202', 1, '2021-07-19 11:41:10', NULL, NULL), (10215, '', '柏垭村', '2cd6de798003412a8b274a1348f997e5', 'c4817c2ce4cf4ece83f746d1306eb46e', 'False', 'True', 'false', 'false', '510824122203', 5, '柏垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824122203', 1, '2021-07-19 11:41:10', NULL, NULL), (10216, '', '黄松村', '2fc74d1888384975a63141a7188def4f', 'c4817c2ce4cf4ece83f746d1306eb46e', 'False', 'True', 'false', 'false', '510824122206', 5, '黄松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824122206', 1, '2021-07-19 11:41:10', NULL, NULL), (10217, '', '青寨村', '68d791609ebd43f59cf6688588f4a917', 'c4817c2ce4cf4ece83f746d1306eb46e', 'False', 'True', 'false', 'false', '510824122207', 5, '青寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824122207', 1, '2021-07-19 11:41:10', NULL, NULL), (10218, '', '红岩村', '354ebbb7851845d48b9ae7e53d1fa730', 'c4817c2ce4cf4ece83f746d1306eb46e', 'False', 'True', 'false', 'false', '510824122209', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824122209', 1, '2021-07-19 11:41:10', NULL, NULL), (10219, '', '大湾村', '43679502408644659d51566fe5974c8d', 'c4817c2ce4cf4ece83f746d1306eb46e', 'False', 'True', 'false', 'false', '510824122210', 5, '大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824122210', 1, '2021-07-19 11:41:10', NULL, NULL), (10220, '', '竹梨村', 'a4caa10ba7824b2f971d8ccc0f05de3a', 'c4817c2ce4cf4ece83f746d1306eb46e', 'False', 'True', 'false', 'false', '510824122212', 5, '竹梨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824122212', 1, '2021-07-19 11:41:11', NULL, NULL), (10221, '', '红寨村', 'e9dc8f39b2184636b04c56546effcdb0', 'c4817c2ce4cf4ece83f746d1306eb46e', 'False', 'True', 'false', 'false', '510824122216', 5, '红寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824122216', 1, '2021-07-19 11:41:11', NULL, NULL), (10222, '', '云桑村', '6ffab761b743461db3442e5b95ea1658', 'c4817c2ce4cf4ece83f746d1306eb46e', 'False', 'True', 'false', 'false', '510824122222', 5, '云桑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824122222', 1, '2021-07-19 11:41:11', NULL, NULL), (10223, '', '玉帝村', '0237045651c74a3cb85e308a11440dbf', 'c4817c2ce4cf4ece83f746d1306eb46e', 'False', 'True', 'false', 'false', '510824122224', 5, '玉帝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824122224', 1, '2021-07-19 11:41:11', NULL, NULL), (10224, '', '岳东镇', 'eaf39a1ec8e444c9a486dd2ca8a8c322', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824118000', 4, '岳东镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824118000', 1, '2021-07-19 11:41:11', NULL, NULL), (10225, '', '青竹村', '52b682755e85498c8e85845de84be3f8', 'eaf39a1ec8e444c9a486dd2ca8a8c322', 'False', 'True', 'false', 'false', '510824118370', 5, '青竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824118370', 1, '2021-07-19 11:41:11', NULL, NULL), (10226, '', '禹文社区', '544cb3d2d77c43e2b62408551d737c6b', 'eaf39a1ec8e444c9a486dd2ca8a8c322', 'False', 'True', 'false', 'false', '510824118001', 5, '禹文社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824118001', 1, '2021-07-19 11:41:11', NULL, NULL), (10227, '', '文林社区', '3d0073153ebe46dca7c5064966a4c334', 'eaf39a1ec8e444c9a486dd2ca8a8c322', 'False', 'True', 'false', 'false', '510824118002', 5, '文林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824118002', 1, '2021-07-19 11:41:11', NULL, NULL), (10228, '', '守垭村', '71b70dc00af24155bf73674028579d66', 'eaf39a1ec8e444c9a486dd2ca8a8c322', 'False', 'True', 'false', 'false', '510824118203', 5, '守垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824118203', 1, '2021-07-19 11:41:11', NULL, NULL), (10229, '', '三塘村', '693e13df34df4c8ea5875f6b84874e86', 'eaf39a1ec8e444c9a486dd2ca8a8c322', 'False', 'True', 'false', 'false', '510824118204', 5, '三塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824118204', 1, '2021-07-19 11:41:11', NULL, NULL), (10230, '', '云寨村', '710f7f34b2b84ddfa0c4854e1242bb7d', 'eaf39a1ec8e444c9a486dd2ca8a8c322', 'False', 'True', 'false', 'false', '510824118207', 5, '云寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824118207', 1, '2021-07-19 11:41:12', NULL, NULL), (10231, '', '青龙村', 'f08d7f5ece95455997aa43b7b223a7af', 'eaf39a1ec8e444c9a486dd2ca8a8c322', 'False', 'True', 'false', 'false', '510824118208', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824118208', 1, '2021-07-19 11:41:12', NULL, NULL), (10232, '', '卧虎村', '6521e3fa3ca8486b86666d1ba42a760b', 'eaf39a1ec8e444c9a486dd2ca8a8c322', 'False', 'True', 'false', 'false', '510824118210', 5, '卧虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824118210', 1, '2021-07-19 11:41:12', NULL, NULL), (10233, '', '长岗岭村', '3e5abd98a89e423ba99ccf80baa3a741', 'eaf39a1ec8e444c9a486dd2ca8a8c322', 'False', 'True', 'false', 'false', '510824118212', 5, '长岗岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824118212', 1, '2021-07-19 11:41:12', NULL, NULL), (10234, '', '尖包村', 'c188655277fc4a3f9becf84279691b9b', 'eaf39a1ec8e444c9a486dd2ca8a8c322', 'False', 'True', 'false', 'false', '510824118214', 5, '尖包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824118214', 1, '2021-07-19 11:41:12', NULL, NULL), (10235, '', '新路村', '2c904a5c67724926b41fb50530000dbf', 'eaf39a1ec8e444c9a486dd2ca8a8c322', 'False', 'True', 'false', 'false', '510824118215', 5, '新路村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824118215', 1, '2021-07-19 11:41:12', NULL, NULL), (10236, '', '文庙村', 'b73da426dabb41cc826178df712fdbf5', 'eaf39a1ec8e444c9a486dd2ca8a8c322', 'False', 'True', 'false', 'false', '510824118219', 5, '文庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824118219', 1, '2021-07-19 11:41:12', NULL, NULL), (10237, '', '双柏村', '94a24c0614d24eb097a06ead9e179a71', 'eaf39a1ec8e444c9a486dd2ca8a8c322', 'False', 'True', 'false', 'false', '510824118221', 5, '双柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824118221', 1, '2021-07-19 11:41:12', NULL, NULL), (10238, '', '盘龙村', 'e3b4d1c53e544a37b26baeaf8d9887b0', 'eaf39a1ec8e444c9a486dd2ca8a8c322', 'False', 'True', 'false', 'false', '510824118222', 5, '盘龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824118222', 1, '2021-07-19 11:41:12', NULL, NULL), (10239, '', '太合村', 'e1c3518f7d6641b1bcf6688acceecb4d', 'eaf39a1ec8e444c9a486dd2ca8a8c322', 'False', 'True', 'false', 'false', '510824118225', 5, '太合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824118225', 1, '2021-07-19 11:41:12', NULL, NULL), (10240, '', '白桥镇', '216245e5c6b04b64b689efe0dd7a5fb6', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824105000', 4, '白桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824105000', 1, '2021-07-19 11:41:13', NULL, NULL), (10241, '', '龙门村', 'f7140f68d693463a85d82240d1d66b60', '216245e5c6b04b64b689efe0dd7a5fb6', 'False', 'True', 'false', 'false', '510824105913', 5, '龙门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824105913', 1, '2021-07-19 11:41:13', NULL, NULL), (10242, '', '马桑社区', '55b2af2988a84d0bbbb3d7687d108261', '216245e5c6b04b64b689efe0dd7a5fb6', 'False', 'True', 'false', 'false', '510824105001', 5, '马桑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824105001', 1, '2021-07-19 11:41:13', NULL, NULL), (10243, '', '白桥社区', '8bd5287db7084bdc9b046186dde24c7d', '216245e5c6b04b64b689efe0dd7a5fb6', 'False', 'True', 'false', 'false', '510824105002', 5, '白桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824105002', 1, '2021-07-19 11:41:13', NULL, NULL), (10244, '', '宝珠村', 'fbd970b601194dc2b04085cc563ca70f', '216245e5c6b04b64b689efe0dd7a5fb6', 'False', 'True', 'false', 'false', '510824105203', 5, '宝珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824105203', 1, '2021-07-19 11:41:13', NULL, NULL), (10245, '', '同心村', 'd21d07d519e64d0bb908f8b0c5752a94', '216245e5c6b04b64b689efe0dd7a5fb6', 'False', 'True', 'false', 'false', '510824105205', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824105205', 1, '2021-07-19 11:41:13', NULL, NULL), (10246, '', '柏林村', 'b7333ee60d5b4f03a2d5f45c0e148474', '216245e5c6b04b64b689efe0dd7a5fb6', 'False', 'True', 'false', 'false', '510824105208', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824105208', 1, '2021-07-19 11:41:13', NULL, NULL), (10247, '', '青林村', 'c06ad6066229465e9fb4032393233c98', '216245e5c6b04b64b689efe0dd7a5fb6', 'False', 'True', 'false', 'false', '510824105209', 5, '青林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824105209', 1, '2021-07-19 11:41:13', NULL, NULL), (10248, '', '杆柏村', 'b0ecb4899565481babab8734d159c6e4', '216245e5c6b04b64b689efe0dd7a5fb6', 'False', 'True', 'false', 'false', '510824105212', 5, '杆柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824105212', 1, '2021-07-19 11:41:13', NULL, NULL), (10249, '', '上马村', '00f4f5842df84aadb241e958034e2c73', '216245e5c6b04b64b689efe0dd7a5fb6', 'False', 'True', 'false', 'false', '510824105213', 5, '上马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824105213', 1, '2021-07-19 11:41:13', NULL, NULL), (10250, '', '铜顶村', 'd171a2e8bd074ab5a8f5d1b3b50d7a82', '216245e5c6b04b64b689efe0dd7a5fb6', 'False', 'True', 'false', 'false', '510824105215', 5, '铜顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824105215', 1, '2021-07-19 11:41:13', NULL, NULL), (10251, '', '龙江村', '232e9e9673294ba0980a3218d01285b0', '216245e5c6b04b64b689efe0dd7a5fb6', 'False', 'True', 'false', 'false', '510824105218', 5, '龙江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824105218', 1, '2021-07-19 11:41:14', NULL, NULL), (10252, '', '亭子镇', '5031ce222e20430a9fbc510aeb5cdf72', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824125000', 4, '亭子镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824125000', 1, '2021-07-19 11:41:14', NULL, NULL), (10253, '', '佛山社区', 'ddb8d5d637d14588a296e528d3f07ebf', '5031ce222e20430a9fbc510aeb5cdf72', 'False', 'True', 'false', 'false', '510824125001', 5, '佛山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824125001', 1, '2021-07-19 11:41:14', NULL, NULL), (10254, '', '清河村', 'e46c64aebf3246f08861270abcc7cc0e', '5031ce222e20430a9fbc510aeb5cdf72', 'False', 'True', 'false', 'false', '510824125201', 5, '清河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824125201', 1, '2021-07-19 11:41:14', NULL, NULL), (10255, '', '水池村', 'c8c377a9a0ac473bb9579eb7f1917cb1', '5031ce222e20430a9fbc510aeb5cdf72', 'False', 'True', 'false', 'false', '510824125204', 5, '水池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824125204', 1, '2021-07-19 11:41:14', NULL, NULL), (10256, '', '大营村', '8ca729050eb64d2a9de01649d8d46edc', '5031ce222e20430a9fbc510aeb5cdf72', 'False', 'True', 'false', 'false', '510824125206', 5, '大营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824125206', 1, '2021-07-19 11:41:14', NULL, NULL), (10257, '', '长江村', 'fbfdd120d8e34a839ca39e19d7a0bf8b', '5031ce222e20430a9fbc510aeb5cdf72', 'False', 'True', 'false', 'false', '510824125209', 5, '长江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824125209', 1, '2021-07-19 11:41:14', NULL, NULL), (10258, '', '双峰村', 'bc7ae1dac1844180b0f230a5418a2be3', '5031ce222e20430a9fbc510aeb5cdf72', 'False', 'True', 'false', 'false', '510824125210', 5, '双峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824125210', 1, '2021-07-19 11:41:14', NULL, NULL), (10259, '', '百利镇', 'f7caa8046b474fc3b444f55c6d77a280', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824268000', 4, '百利镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824268000', 1, '2021-07-19 11:41:14', NULL, NULL), (10260, '', '八庙社区', '4442a1d04d4b47c8900bf1d4aad54898', 'f7caa8046b474fc3b444f55c6d77a280', 'False', 'True', 'false', 'false', '510824006044', 5, '八庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824006044', 1, '2021-07-19 11:41:14', NULL, NULL), (10261, '', '方斗村', 'b8efbf1a17984406bd13bd36501245eb', 'f7caa8046b474fc3b444f55c6d77a280', 'False', 'True', 'false', 'false', '510824006105', 5, '方斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824006105', 1, '2021-07-19 11:41:14', NULL, NULL), (10262, '', '七树村', '290801517a44405d96fb92d7c5c05c4e', 'f7caa8046b474fc3b444f55c6d77a280', 'False', 'True', 'false', 'false', '510824006205', 5, '七树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824006205', 1, '2021-07-19 11:41:15', NULL, NULL), (10263, '', '金陵村', '53e3ea674d9041ac9b0d8de83e4a6b92', 'f7caa8046b474fc3b444f55c6d77a280', 'False', 'True', 'false', 'false', '510824006303', 5, '金陵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824006303', 1, '2021-07-19 11:41:15', NULL, NULL), (10264, '', '高玉村', '304894c1e84e4f0da3d54e94fdf74155', 'f7caa8046b474fc3b444f55c6d77a280', 'False', 'True', 'false', 'false', '510824006476', 5, '高玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824006476', 1, '2021-07-19 11:41:15', NULL, NULL), (10265, '', '涧溪村', '951ef0ca6e61411881e4960ed83d502c', 'f7caa8046b474fc3b444f55c6d77a280', 'False', 'True', 'false', 'false', '510824006488', 5, '涧溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824006488', 1, '2021-07-19 11:41:15', NULL, NULL), (10266, '', '新龙村', '7ff24aa317d44cd9892eb424fa2954a9', 'f7caa8046b474fc3b444f55c6d77a280', 'False', 'True', 'false', 'false', '510824006493', 5, '新龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824006493', 1, '2021-07-19 11:41:15', NULL, NULL), (10267, '', '青玉村', '51fd2b9c55ba4a4f97eeaf476df51447', 'f7caa8046b474fc3b444f55c6d77a280', 'False', 'True', 'false', 'false', '510824006498', 5, '青玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824006498', 1, '2021-07-19 11:41:15', NULL, NULL), (10268, '', '李家河村', '1b65b48b76cc4b078cd73e5c585ff37a', 'f7caa8046b474fc3b444f55c6d77a280', 'False', 'True', 'false', 'false', '510824006647', 5, '李家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824006647', 1, '2021-07-19 11:41:15', NULL, NULL), (10269, '', '观音村', '9b41cf08dde14c24b2e72556448f912b', 'f7caa8046b474fc3b444f55c6d77a280', 'False', 'True', 'false', 'false', '510824006897', 5, '观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824006897', 1, '2021-07-19 11:41:15', NULL, NULL), (10270, '', '胡家梁村', '6a98046671c44fb7bd0c2dc8e7b4a564', 'f7caa8046b474fc3b444f55c6d77a280', 'False', 'True', 'false', 'false', '510824006984', 5, '胡家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824006984', 1, '2021-07-19 11:41:15', NULL, NULL), (10271, '', '五龙镇', '97b0e12dcd8b4a62a374363350591c8d', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824107000', 4, '五龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824107000', 1, '2021-07-19 11:41:15', NULL, NULL), (10272, '', '乐园社区', 'b6d24cd818fb4374b102b2f70d629d13', '97b0e12dcd8b4a62a374363350591c8d', 'False', 'True', 'false', 'false', '510824107630', 5, '乐园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824107630', 1, '2021-07-19 11:41:15', NULL, NULL), (10273, '', '金龙社区', '39461dff34c24b8f94eb10cadf2ad912', '97b0e12dcd8b4a62a374363350591c8d', 'False', 'True', 'false', 'false', '510824107201', 5, '金龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824107201', 1, '2021-07-19 11:41:16', NULL, NULL), (10274, '', '新梁村', '3a576f507f7944748c098b9a9762e44e', '97b0e12dcd8b4a62a374363350591c8d', 'False', 'True', 'false', 'false', '510824107203', 5, '新梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824107203', 1, '2021-07-19 11:41:16', NULL, NULL), (10275, '', '九燕村', '4bb11e78bef84731a787972ee3518504', '97b0e12dcd8b4a62a374363350591c8d', 'False', 'True', 'false', 'false', '510824107204', 5, '九燕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824107204', 1, '2021-07-19 11:41:16', NULL, NULL), (10276, '', '玉龙村', 'b43f0c2425db4570a963731dbf3645ff', '97b0e12dcd8b4a62a374363350591c8d', 'False', 'True', 'false', 'false', '510824107205', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824107205', 1, '2021-07-19 11:41:16', NULL, NULL), (10277, '', '嘉龙村', 'b3106b34fd364d1db254ad0fa73cc14c', '97b0e12dcd8b4a62a374363350591c8d', 'False', 'True', 'false', 'false', '510824107207', 5, '嘉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824107207', 1, '2021-07-19 11:41:16', NULL, NULL), (10278, '', '蟠龙村', '126f05093275409680de2d58e5c81660', '97b0e12dcd8b4a62a374363350591c8d', 'False', 'True', 'false', 'false', '510824107210', 5, '蟠龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824107210', 1, '2021-07-19 11:41:16', NULL, NULL), (10279, '', '三会村', '4f7571eecae34d00a6e870445c3db0b0', '97b0e12dcd8b4a62a374363350591c8d', 'False', 'True', 'false', 'false', '510824107213', 5, '三会村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824107213', 1, '2021-07-19 11:41:16', NULL, NULL), (10280, '', '苍龙村', '82a92521c88b472da872f15034180002', '97b0e12dcd8b4a62a374363350591c8d', 'False', 'True', 'false', 'false', '510824107215', 5, '苍龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824107215', 1, '2021-07-19 11:41:16', NULL, NULL), (10281, '', '永宁镇', '714cc155a3c04915b8824c88687d2284', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824108000', 4, '永宁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824108000', 1, '2021-07-19 11:41:16', NULL, NULL), (10282, '', '永宁社区', '9a1d34a1f6fe452cb7f565b87ce0a25c', '714cc155a3c04915b8824c88687d2284', 'False', 'True', 'false', 'false', '510824108001', 5, '永宁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824108001', 1, '2021-07-19 11:41:16', NULL, NULL), (10283, '', '桃花村', '0ef12f4cbdaa43c0aa62373219e38f90', '714cc155a3c04915b8824c88687d2284', 'False', 'True', 'false', 'false', '510824108201', 5, '桃花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824108201', 1, '2021-07-19 11:41:16', NULL, NULL), (10284, '', '笔山村', '5f5d17e079ab439e8701c906edbf690e', '714cc155a3c04915b8824c88687d2284', 'False', 'True', 'false', 'false', '510824108202', 5, '笔山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824108202', 1, '2021-07-19 11:41:16', NULL, NULL), (10285, '', '平兰村', '9301693a608f4e2981b5cd53acfdca93', '714cc155a3c04915b8824c88687d2284', 'False', 'True', 'false', 'false', '510824108205', 5, '平兰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824108205', 1, '2021-07-19 11:41:16', NULL, NULL), (10286, '', '金荞村', 'fde0130f8b684b87a09c8f249c7bd167', '714cc155a3c04915b8824c88687d2284', 'False', 'True', 'false', 'false', '510824108207', 5, '金荞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824108207', 1, '2021-07-19 11:41:17', NULL, NULL), (10287, '', '铺子村', 'ed1427972fd147238489082561a569e8', '714cc155a3c04915b8824c88687d2284', 'False', 'True', 'false', 'false', '510824108209', 5, '铺子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824108209', 1, '2021-07-19 11:41:17', NULL, NULL), (10288, '', '鸳溪镇', 'f1edb0be9f5f4afda8d0bae5f711c2c2', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824109000', 4, '鸳溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824109000', 1, '2021-07-19 11:41:17', NULL, NULL), (10289, '', '院溪口社区', 'c20f14e7950c4e88ae2dbd65bb0c3b8b', 'f1edb0be9f5f4afda8d0bae5f711c2c2', 'False', 'True', 'false', 'false', '510824109001', 5, '院溪口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824109001', 1, '2021-07-19 11:41:17', NULL, NULL), (10290, '', '古楼村', 'ddfd4aa8c5704179b3bf576c4094c85a', 'f1edb0be9f5f4afda8d0bae5f711c2c2', 'False', 'True', 'false', 'false', '510824109201', 5, '古楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824109201', 1, '2021-07-19 11:41:17', NULL, NULL), (10291, '', '弓灯村', 'a31729993d004bd3b6515f1c180a4ed9', 'f1edb0be9f5f4afda8d0bae5f711c2c2', 'False', 'True', 'false', 'false', '510824109203', 5, '弓灯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824109203', 1, '2021-07-19 11:41:17', NULL, NULL), (10292, '', '学龙村', 'a66f863c334649939d4fcaec0486e6a9', 'f1edb0be9f5f4afda8d0bae5f711c2c2', 'False', 'True', 'false', 'false', '510824109205', 5, '学龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824109205', 1, '2021-07-19 11:41:17', NULL, NULL), (10293, '', '新三村', '53694cd6dee0481bbc73b1ac36c62aed', 'f1edb0be9f5f4afda8d0bae5f711c2c2', 'False', 'True', 'false', 'false', '510824109207', 5, '新三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824109207', 1, '2021-07-19 11:41:17', NULL, NULL), (10294, '', '宝民村', 'c9607ff86e384513943b10412a657020', 'f1edb0be9f5f4afda8d0bae5f711c2c2', 'False', 'True', 'false', 'false', '510824109208', 5, '宝民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824109208', 1, '2021-07-19 11:41:17', NULL, NULL), (10295, '', '四凤村', '0ffb6a80c66b4b9fad78fba34babfcce', 'f1edb0be9f5f4afda8d0bae5f711c2c2', 'False', 'True', 'false', 'false', '510824109211', 5, '四凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824109211', 1, '2021-07-19 11:41:17', NULL, NULL), (10296, '', '垭口梁村', '582ea1a6177845d2ae401df442af3efb', 'f1edb0be9f5f4afda8d0bae5f711c2c2', 'False', 'True', 'false', 'false', '510824109213', 5, '垭口梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824109213', 1, '2021-07-19 11:41:17', NULL, NULL), (10297, '', '清石村', '4757022f544d4455827ebe24eb6be4db', 'f1edb0be9f5f4afda8d0bae5f711c2c2', 'False', 'True', 'false', 'false', '510824109217', 5, '清石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824109217', 1, '2021-07-19 11:41:17', NULL, NULL), (10298, '', '白鹤乡', '448dd57911064f32ac9775310c08a45b', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824208000', 4, '白鹤乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824208000', 1, '2021-07-19 11:41:17', NULL, NULL), (10299, '', '伏公社区', '3daf1d7dcf604a358085c6e8b75cd989', '448dd57911064f32ac9775310c08a45b', 'False', 'True', 'false', 'false', '510824208001', 5, '伏公社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824208001', 1, '2021-07-19 11:41:17', NULL, NULL), (10300, '', '白鹤社区', 'cd06088f3b164347a48ff79bbd25ae6f', '448dd57911064f32ac9775310c08a45b', 'False', 'True', 'false', 'false', '510824208002', 5, '白鹤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824208002', 1, '2021-07-19 11:41:18', NULL, NULL), (10301, '', '柳池村', '4badd3fa8c824a0fa754121d6b92b4ea', '448dd57911064f32ac9775310c08a45b', 'False', 'True', 'false', 'false', '510824208203', 5, '柳池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824208203', 1, '2021-07-19 11:41:18', NULL, NULL), (10302, '', '上游村', '2a3a2a782ec044c4987c1f3667413ce5', '448dd57911064f32ac9775310c08a45b', 'False', 'True', 'false', 'false', '510824208206', 5, '上游村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824208206', 1, '2021-07-19 11:41:18', NULL, NULL), (10303, '', '新店子村', '5aca44cdff7d4702b5b0a8ecc169e1be', '448dd57911064f32ac9775310c08a45b', 'False', 'True', 'false', 'false', '510824208208', 5, '新店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824208208', 1, '2021-07-19 11:41:18', NULL, NULL), (10304, '', '古泉村', '903cb308b0754b19b328228e3b67cdde', '448dd57911064f32ac9775310c08a45b', 'False', 'True', 'false', 'false', '510824208211', 5, '古泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824208211', 1, '2021-07-19 11:41:18', NULL, NULL), (10305, '', '龙凤村', '9eebdd5af393448796459ec98523325f', '448dd57911064f32ac9775310c08a45b', 'False', 'True', 'false', 'false', '510824208213', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824208213', 1, '2021-07-19 11:41:18', NULL, NULL), (10306, '', '东风村', 'b08d29f04bcd424faba1139562c09416', '448dd57911064f32ac9775310c08a45b', 'False', 'True', 'false', 'false', '510824208217', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824208217', 1, '2021-07-19 11:41:18', NULL, NULL), (10307, '', '金谷村', '41461966b3d949f893c36868c4c23b4d', '448dd57911064f32ac9775310c08a45b', 'False', 'True', 'false', 'false', '510824208218', 5, '金谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824208218', 1, '2021-07-19 11:41:18', NULL, NULL), (10308, '', '浙水乡', 'f7f8aae5d6674042bb8f579a3df67d5b', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824209000', 4, '浙水乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824209000', 1, '2021-07-19 11:41:18', NULL, NULL), (10309, '', '坪江社区', 'a1ee09b71ee04f9892ebfd978b09d3c4', 'f7f8aae5d6674042bb8f579a3df67d5b', 'False', 'True', 'false', 'false', '510824209001', 5, '坪江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824209001', 1, '2021-07-19 11:41:18', NULL, NULL), (10310, '', '小浙河村', 'b003eb1a982d4d34abf0b11cd8d9db87', 'f7f8aae5d6674042bb8f579a3df67d5b', 'False', 'True', 'false', 'false', '510824209201', 5, '小浙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824209201', 1, '2021-07-19 11:41:19', NULL, NULL), (10311, '', '寨坪村', 'c82b3667fd20419b8e51dd9feea09dc1', 'f7f8aae5d6674042bb8f579a3df67d5b', 'False', 'True', 'false', 'false', '510824209203', 5, '寨坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824209203', 1, '2021-07-19 11:41:19', NULL, NULL), (10312, '', '梁都村', '60def5dc1a7142b8971074574e515f50', 'f7f8aae5d6674042bb8f579a3df67d5b', 'False', 'True', 'false', 'false', '510824209206', 5, '梁都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824209206', 1, '2021-07-19 11:41:19', NULL, NULL), (10313, '', '盘龙山村', '406680b8d85d44b5a59595741b817806', 'f7f8aae5d6674042bb8f579a3df67d5b', 'False', 'True', 'false', 'false', '510824209208', 5, '盘龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824209208', 1, '2021-07-19 11:41:19', NULL, NULL), (10314, '', '红旗村', '232014b1db5d4c25bc7b6123ab5c169b', 'f7f8aae5d6674042bb8f579a3df67d5b', 'False', 'True', 'false', 'false', '510824209210', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824209210', 1, '2021-07-19 11:41:19', NULL, NULL), (10315, '', '山水村', '024da800850e4ed087c4214bfcfe24bd', 'f7f8aae5d6674042bb8f579a3df67d5b', 'False', 'True', 'false', 'false', '510824209212', 5, '山水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824209212', 1, '2021-07-19 11:41:19', NULL, NULL), (10316, '', '龙王镇', '79e20672b18c4144949b39f45facb1a9', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824111000', 4, '龙王镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824111000', 1, '2021-07-19 11:41:19', NULL, NULL), (10317, '', '龙王社区', 'f4572fc46d974f91b613a4b97f8d72bb', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111001', 5, '龙王社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111001', 1, '2021-07-19 11:41:19', NULL, NULL), (10318, '', '两河社区', '550e2f6239274d7f912dc834dd511868', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111002', 5, '两河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111002', 1, '2021-07-19 11:41:19', NULL, NULL), (10319, '', '白云村', '30b89e30933545b1aff8237eed94aa06', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111049', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111049', 1, '2021-07-19 11:41:19', NULL, NULL), (10320, '', '梓龙村', '8ed074fc06c24b49a1e6ab1a24967c8e', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111088', 5, '梓龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111088', 1, '2021-07-19 11:41:19', NULL, NULL), (10321, '', '两河村', '8b7b6596674749dfbe9323570cdd91e5', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111201', 5, '两河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111201', 1, '2021-07-19 11:41:19', NULL, NULL), (10322, '', '九龙村', 'a3fef0b9cc9749e5b097c0c8d5925fe8', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111203', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111203', 1, '2021-07-19 11:41:19', NULL, NULL), (10323, '', '市场村', '96b4284bb9624e72b8a9524384b7c5a2', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111206', 5, '市场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111206', 1, '2021-07-19 11:41:19', NULL, NULL), (10324, '', '钟山村', '9187931302c64be8ae745647280a11a1', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111208', 5, '钟山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111208', 1, '2021-07-19 11:41:19', NULL, NULL), (10325, '', '洛阳村', 'f01bd56734a647b59cc4f0e4df37acce', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111210', 5, '洛阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111210', 1, '2021-07-19 11:41:20', NULL, NULL), (10326, '', '清水村', '81a9812554084b12bb9896a9c8c07f8d', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111212', 5, '清水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111212', 1, '2021-07-19 11:41:20', NULL, NULL), (10327, '', '友谊村', 'eb0b187c031a4f4ab1ca9f6b4cd7666f', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111216', 5, '友谊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111216', 1, '2021-07-19 11:41:20', NULL, NULL), (10328, '', '歇台村', 'a3ed3a33e58e4ae5baf5f20e95804e3e', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111217', 5, '歇台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111217', 1, '2021-07-19 11:41:20', NULL, NULL), (10329, '', '健康村', 'ec69d4c1a99046dfb03614206b0232ac', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111219', 5, '健康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111219', 1, '2021-07-19 11:41:20', NULL, NULL), (10330, '', '向阳村', 'a39fb732c6b74a40a4fb7618ed024e43', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111279', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111279', 1, '2021-07-19 11:41:20', NULL, NULL), (10331, '', '石牛村', 'bd017279e4424596bc4d51a2ef12f7da', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111397', 5, '石牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111397', 1, '2021-07-19 11:41:20', NULL, NULL), (10332, '', '天宝村', 'a17d16649591404f867326aa8b7c4011', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111432', 5, '天宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111432', 1, '2021-07-19 11:41:20', NULL, NULL), (10333, '', '花坪村', '7f4d91518d314165b6f0f63927fd97cc', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111441', 5, '花坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111441', 1, '2021-07-19 11:41:20', NULL, NULL), (10334, '', '星桥村', '8b951b5ec07e487bbd3e4a9f05fc4a9d', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111522', 5, '星桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111522', 1, '2021-07-19 11:41:20', NULL, NULL), (10335, '', '雍河社区', 'cf04248547b444ef98d791fcf5baa790', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111532', 5, '雍河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111532', 1, '2021-07-19 11:41:20', NULL, NULL), (10336, '', '新观社区', '2b79ff6fbb7c4fd9a944520f2232dabd', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111560', 5, '新观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111560', 1, '2021-07-19 11:41:20', NULL, NULL), (10337, '', '苟英村', 'faaa03b67bcb447786c79500f4d98612', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111600', 5, '苟英村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111600', 1, '2021-07-19 11:41:20', NULL, NULL), (10338, '', '乐园村', 'f41b3e188db443109bc8c423f52df492', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111794', 5, '乐园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111794', 1, '2021-07-19 11:41:20', NULL, NULL), (10339, '', '松光村', 'bfb8372c526f492881b23c7dc8a5a49a', '79e20672b18c4144949b39f45facb1a9', 'False', 'True', 'false', 'false', '510824111937', 5, '松光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824111937', 1, '2021-07-19 11:41:21', NULL, NULL), (10340, '', '三川镇', 'd0a6689fc00d41aa881e813d3de48ff7', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824110000', 4, '三川镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824110000', 1, '2021-07-19 11:41:21', NULL, NULL), (10341, '', '三川社区', 'b22db81949004302ba514bb8115b4598', 'd0a6689fc00d41aa881e813d3de48ff7', 'False', 'True', 'false', 'false', '510824110001', 5, '三川社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824110001', 1, '2021-07-19 11:41:21', NULL, NULL), (10342, '', '天观社区', '4547a3f439c249e8bc9f5765cc0c8d4a', 'd0a6689fc00d41aa881e813d3de48ff7', 'False', 'True', 'false', 'false', '510824110002', 5, '天观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824110002', 1, '2021-07-19 11:41:21', NULL, NULL), (10343, '', '三河村', '46180e6712c9475399c44d6777b70934', 'd0a6689fc00d41aa881e813d3de48ff7', 'False', 'True', 'false', 'false', '510824110201', 5, '三河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824110201', 1, '2021-07-19 11:41:21', NULL, NULL), (10344, '', '龙景村', '73d2e93633cd4233b35b7103278cd630', 'd0a6689fc00d41aa881e813d3de48ff7', 'False', 'True', 'false', 'false', '510824110202', 5, '龙景村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824110202', 1, '2021-07-19 11:41:21', NULL, NULL), (10345, '', '龙柳村', '2738eeeb82744e52a0a6fe305819bdcd', 'd0a6689fc00d41aa881e813d3de48ff7', 'False', 'True', 'false', 'false', '510824110205', 5, '龙柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824110205', 1, '2021-07-19 11:41:21', NULL, NULL), (10346, '', '川桥村', 'b7df773f7e9d42aaae6b356d823da713', 'd0a6689fc00d41aa881e813d3de48ff7', 'False', 'True', 'false', 'false', '510824110207', 5, '川桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824110207', 1, '2021-07-19 11:41:21', NULL, NULL), (10347, '', '玉河村', 'c94597afd2674c638f3f20e2c5131ba4', 'd0a6689fc00d41aa881e813d3de48ff7', 'False', 'True', 'false', 'false', '510824110208', 5, '玉河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824110208', 1, '2021-07-19 11:41:21', NULL, NULL), (10348, '', '阳园村', 'dd7b82b7b2624fa296739f75603f75ce', 'd0a6689fc00d41aa881e813d3de48ff7', 'False', 'True', 'false', 'false', '510824110210', 5, '阳园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824110210', 1, '2021-07-19 11:41:21', NULL, NULL), (10349, '', '大阳村', '0686db908ef1442bbca0ade1f6f7bb63', 'd0a6689fc00d41aa881e813d3de48ff7', 'False', 'True', 'false', 'false', '510824110212', 5, '大阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824110212', 1, '2021-07-19 11:41:21', NULL, NULL), (10350, '', '柏溪村', '15053c5c57a4403c8cda063b20a666c5', 'd0a6689fc00d41aa881e813d3de48ff7', 'False', 'True', 'false', 'false', '510824110214', 5, '柏溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824110214', 1, '2021-07-19 11:41:21', NULL, NULL), (10351, '', '楼莲村', '6a949505ca4643b8a6d416ba31cb0759', 'd0a6689fc00d41aa881e813d3de48ff7', 'False', 'True', 'false', 'false', '510824110216', 5, '楼莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824110216', 1, '2021-07-19 11:41:21', NULL, NULL), (10352, '', '天官村', 'f5ff8762e266411098b87dd327c8e7d9', 'd0a6689fc00d41aa881e813d3de48ff7', 'False', 'True', 'false', 'false', '510824110218', 5, '天官村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824110218', 1, '2021-07-19 11:41:22', NULL, NULL), (10353, '', '唤马镇', 'e13c7bb892cb431984596055e7157901', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824113000', 4, '唤马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824113000', 1, '2021-07-19 11:41:22', NULL, NULL), (10354, '', '金华社区', '61db15348b4c49a1b8f4f13058e1f544', 'e13c7bb892cb431984596055e7157901', 'False', 'True', 'false', 'false', '510824113001', 5, '金华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824113001', 1, '2021-07-19 11:41:22', NULL, NULL), (10355, '', '鱼塘村', 'd6e2425228eb479d908faf3f15e4d99b', 'e13c7bb892cb431984596055e7157901', 'False', 'True', 'false', 'false', '510824113201', 5, '鱼塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824113201', 1, '2021-07-19 11:41:22', NULL, NULL), (10356, '', '红龙村', 'e2319e81a3c34dc3b7ba06141f4e9fbd', 'e13c7bb892cb431984596055e7157901', 'False', 'True', 'false', 'false', '510824113202', 5, '红龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824113202', 1, '2021-07-19 11:41:22', NULL, NULL), (10357, '', '黑山村', 'b2f6767f046247c7b4024043ff90e8ae', 'e13c7bb892cb431984596055e7157901', 'False', 'True', 'false', 'false', '510824113204', 5, '黑山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824113204', 1, '2021-07-19 11:41:22', NULL, NULL), (10358, '', '云龙村', 'a4a9824685a64c1bb1b6d1504f80b749', 'e13c7bb892cb431984596055e7157901', 'False', 'True', 'false', 'false', '510824113206', 5, '云龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824113206', 1, '2021-07-19 11:41:22', NULL, NULL), (10359, '', '彭城村', 'e0c1807f72164da8b4c67d9f5ee347fa', 'e13c7bb892cb431984596055e7157901', 'False', 'True', 'false', 'false', '510824113207', 5, '彭城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824113207', 1, '2021-07-19 11:41:22', NULL, NULL), (10360, '', '金店村', '5af0ba3d63644bf88353f50bbcf0e2de', 'e13c7bb892cb431984596055e7157901', 'False', 'True', 'false', 'false', '510824113209', 5, '金店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824113209', 1, '2021-07-19 11:41:22', NULL, NULL), (10361, '', '金刚村', 'ba135deb05ab428d88dc84de8f71a296', 'e13c7bb892cb431984596055e7157901', 'False', 'True', 'false', 'false', '510824113212', 5, '金刚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824113212', 1, '2021-07-19 11:41:22', NULL, NULL), (10362, '', '桥溪乡', 'ad62f0e98c174a10acc2f0d83732a2c2', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824229000', 4, '桥溪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824229000', 1, '2021-07-19 11:41:23', NULL, NULL), (10363, '', '三溪社区', '3871828fb01648c8924ef90e5a6b816e', 'ad62f0e98c174a10acc2f0d83732a2c2', 'False', 'True', 'false', 'false', '510824229001', 5, '三溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824229001', 1, '2021-07-19 11:41:23', NULL, NULL), (10364, '', '长河村', '63a1b03ae2a749909c503cb0d4d38aa3', 'ad62f0e98c174a10acc2f0d83732a2c2', 'False', 'True', 'false', 'false', '510824229201', 5, '长河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824229201', 1, '2021-07-19 11:41:23', NULL, NULL), (10365, '', '近水村', '4a670e4b0e824680b607068eb95f1354', 'ad62f0e98c174a10acc2f0d83732a2c2', 'False', 'True', 'false', 'false', '510824229202', 5, '近水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824229202', 1, '2021-07-19 11:41:23', NULL, NULL), (10366, '', '川主村', 'c3dba9ea0b854501a15aecf324fb8b9b', 'ad62f0e98c174a10acc2f0d83732a2c2', 'False', 'True', 'false', 'false', '510824229204', 5, '川主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824229204', 1, '2021-07-19 11:41:23', NULL, NULL), (10367, '', '云峰村', '33bb1e1839cd443e880b1be48d1af317', 'ad62f0e98c174a10acc2f0d83732a2c2', 'False', 'True', 'false', 'false', '510824229207', 5, '云峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824229207', 1, '2021-07-19 11:41:23', NULL, NULL), (10368, '', '金龙村', '8050b633088040108214c38e13d2ad45', 'ad62f0e98c174a10acc2f0d83732a2c2', 'False', 'True', 'false', 'false', '510824229209', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824229209', 1, '2021-07-19 11:41:23', NULL, NULL), (10369, '', '尖山村', '657f9fd2e56343929d682c302589551e', 'ad62f0e98c174a10acc2f0d83732a2c2', 'False', 'True', 'false', 'false', '510824229212', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824229212', 1, '2021-07-19 11:41:23', NULL, NULL), (10370, '', '富强村', '6e44c5bd29184763823bc98abc9eac9e', 'ad62f0e98c174a10acc2f0d83732a2c2', 'False', 'True', 'false', 'false', '510824229214', 5, '富强村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824229214', 1, '2021-07-19 11:41:23', NULL, NULL), (10371, '', '运山镇', '7393cff8f91546fa94985f72b1926226', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824120000', 4, '运山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824120000', 1, '2021-07-19 11:41:23', NULL, NULL), (10372, '', '运山社区', 'a5c71c40b45b4ff485897c71123057e3', '7393cff8f91546fa94985f72b1926226', 'False', 'True', 'false', 'false', '510824120001', 5, '运山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824120001', 1, '2021-07-19 11:41:23', NULL, NULL), (10373, '', '宝明村', 'fa689ca8f7cb460aa740a140824b034a', '7393cff8f91546fa94985f72b1926226', 'False', 'True', 'false', 'false', '510824120202', 5, '宝明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824120202', 1, '2021-07-19 11:41:23', NULL, NULL), (10374, '', '二龙村', 'a603c73ef6544b4392a2a84e37f6251a', '7393cff8f91546fa94985f72b1926226', 'False', 'True', 'false', 'false', '510824120205', 5, '二龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824120205', 1, '2021-07-19 11:41:23', NULL, NULL), (10375, '', '双牌村', '9c1cf83234364ef88cffdbb1dac7fe9f', '7393cff8f91546fa94985f72b1926226', 'False', 'True', 'false', 'false', '510824120206', 5, '双牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824120206', 1, '2021-07-19 11:41:23', NULL, NULL), (10376, '', '义寨村', 'bcecd915a81d42c4908dbfa2cd1bdb26', '7393cff8f91546fa94985f72b1926226', 'False', 'True', 'false', 'false', '510824120207', 5, '义寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824120207', 1, '2021-07-19 11:41:23', NULL, NULL), (10377, '', '佛门村', '3f4cc80f955e4c3a9c2c9c73d0a3a6a7', '7393cff8f91546fa94985f72b1926226', 'False', 'True', 'false', 'false', '510824120208', 5, '佛门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824120208', 1, '2021-07-19 11:41:23', NULL, NULL), (10378, '', '龙井村', '93c5de71ab6d44479d7a83b654f285b8', '7393cff8f91546fa94985f72b1926226', 'False', 'True', 'false', 'false', '510824120209', 5, '龙井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824120209', 1, '2021-07-19 11:41:23', NULL, NULL), (10379, '', '石马镇', '04021c1c09e440c5a9a8173523306909', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824119000', 4, '石马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824119000', 1, '2021-07-19 11:41:23', NULL, NULL), (10380, '', '红星社区', 'dc378756b25b4915b5d1eeb4a045aa50', '04021c1c09e440c5a9a8173523306909', 'False', 'True', 'false', 'false', '510824119001', 5, '红星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824119001', 1, '2021-07-19 11:41:24', NULL, NULL), (10381, '', '石马村', '2241850964c840ea814b2b526a9b775a', '04021c1c09e440c5a9a8173523306909', 'False', 'True', 'false', 'false', '510824119201', 5, '石马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824119201', 1, '2021-07-19 11:41:24', NULL, NULL), (10382, '', '青田村', '39371830778940678ac719a523071775', '04021c1c09e440c5a9a8173523306909', 'False', 'True', 'false', 'false', '510824119204', 5, '青田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824119204', 1, '2021-07-19 11:41:24', NULL, NULL), (10383, '', '中华村', 'cc01872aee7d4d38bf4330811b5be146', '04021c1c09e440c5a9a8173523306909', 'False', 'True', 'false', 'false', '510824119205', 5, '中华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824119205', 1, '2021-07-19 11:41:24', NULL, NULL), (10384, '', '岳王村', '48974ed09f6143f684f0019918c47d33', '04021c1c09e440c5a9a8173523306909', 'False', 'True', 'false', 'false', '510824119206', 5, '岳王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824119206', 1, '2021-07-19 11:41:24', NULL, NULL), (10385, '', '凤桥村', '7b6ff8f975cb41a68c5a8eb4ff3d804c', '04021c1c09e440c5a9a8173523306909', 'False', 'True', 'false', 'false', '510824119208', 5, '凤桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824119208', 1, '2021-07-19 11:41:24', NULL, NULL), (10386, '', '青松村', '1d5edeca1bf34207951cb6a16b35e7ae', '04021c1c09e440c5a9a8173523306909', 'False', 'True', 'false', 'false', '510824119210', 5, '青松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824119210', 1, '2021-07-19 11:41:24', NULL, NULL), (10387, '', '月沙村', 'e52d89cbb8594837ba0d096879bdac80', '04021c1c09e440c5a9a8173523306909', 'False', 'True', 'false', 'false', '510824119211', 5, '月沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824119211', 1, '2021-07-19 11:41:24', NULL, NULL), (10388, '', '安木村', '39c5e8e8ebff461bb6586098927f8bad', '04021c1c09e440c5a9a8173523306909', 'False', 'True', 'false', 'false', '510824119214', 5, '安木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824119214', 1, '2021-07-19 11:41:24', NULL, NULL), (10389, '', '五峰村', 'cc42f83c3f2343848a4acab1682f45d2', '04021c1c09e440c5a9a8173523306909', 'False', 'True', 'false', 'false', '510824119217', 5, '五峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824119217', 1, '2021-07-19 11:41:24', NULL, NULL), (10390, '', '白山乡', '49836ee5bf8b403dab3ed2d5a4873928', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824226000', 4, '白山乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824226000', 1, '2021-07-19 11:41:24', NULL, NULL), (10391, '', '飞凤村', 'daa0a906ce82422f81d312d1667ae034', '49836ee5bf8b403dab3ed2d5a4873928', 'False', 'True', 'false', 'false', '510824226478', 5, '飞凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824226478', 1, '2021-07-19 11:41:24', NULL, NULL), (10392, '', '龙凤社区', '786d491b3a8a427bb98abe7ecad0d3a2', '49836ee5bf8b403dab3ed2d5a4873928', 'False', 'True', 'false', 'false', '510824226001', 5, '龙凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824226001', 1, '2021-07-19 11:41:25', NULL, NULL), (10393, '', '蚕丝村', 'd95877134f224ae1ab3dede631a1f6ca', '49836ee5bf8b403dab3ed2d5a4873928', 'False', 'True', 'false', 'false', '510824226201', 5, '蚕丝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824226201', 1, '2021-07-19 11:41:25', NULL, NULL), (10394, '', '车子村', '830b9554b12e4794a628545811f65104', '49836ee5bf8b403dab3ed2d5a4873928', 'False', 'True', 'false', 'false', '510824226205', 5, '车子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824226205', 1, '2021-07-19 11:41:25', NULL, NULL), (10395, '', '天南村', 'aa99c2b063ec4a449e20699ddaeaf5a1', '49836ee5bf8b403dab3ed2d5a4873928', 'False', 'True', 'false', 'false', '510824226206', 5, '天南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824226206', 1, '2021-07-19 11:41:25', NULL, NULL), (10396, '', '宝寨村', 'b80d45f1c2c5432fb5c7ee6f6e0bf588', '49836ee5bf8b403dab3ed2d5a4873928', 'False', 'True', 'false', 'false', '510824226209', 5, '宝寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824226209', 1, '2021-07-19 11:41:25', NULL, NULL), (10397, '', '红庙村', '06f16cba1fc84c07b724b3c1285322b6', '49836ee5bf8b403dab3ed2d5a4873928', 'False', 'True', 'false', 'false', '510824226211', 5, '红庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824226211', 1, '2021-07-19 11:41:25', NULL, NULL), (10398, '', '彭店乡', 'e3efe9605adb42b2b916751657d80992', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824228000', 4, '彭店乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824228000', 1, '2021-07-19 11:41:25', NULL, NULL), (10399, '', '祥和社区', '14b6a0d90ee74110adc4640560f0f2b9', 'e3efe9605adb42b2b916751657d80992', 'False', 'True', 'false', 'false', '510824228001', 5, '祥和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824228001', 1, '2021-07-19 11:41:25', NULL, NULL), (10400, '', '大梁村', 'cd79f390bc7b47169128e88cb93cb3ca', 'e3efe9605adb42b2b916751657d80992', 'False', 'True', 'false', 'false', '510824228203', 5, '大梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824228203', 1, '2021-07-19 11:41:25', NULL, NULL), (10401, '', '清泉村', 'b10d40abca3c462fa071f11a5779ebe5', 'e3efe9605adb42b2b916751657d80992', 'False', 'True', 'false', 'false', '510824228204', 5, '清泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824228204', 1, '2021-07-19 11:41:25', NULL, NULL), (10402, '', '来龙村', 'b96b8b758cba4730966027f74c87d533', 'e3efe9605adb42b2b916751657d80992', 'False', 'True', 'false', 'false', '510824228208', 5, '来龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824228208', 1, '2021-07-19 11:41:25', NULL, NULL), (10403, '', '河地镇', '8cabc25d54914788b75e4aecfc46c7bc', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824238000', 4, '河地镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824238000', 1, '2021-07-19 11:41:25', NULL, NULL), (10404, '', '天寨村', '016cf7420c804c38b8dc9579a4dcfae3', '8cabc25d54914788b75e4aecfc46c7bc', 'False', 'True', 'false', 'false', '510824238088', 5, '天寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824238088', 1, '2021-07-19 11:41:25', NULL, NULL), (10405, '', '双河社区', 'e48e6a462b514728a71a2115f96568e7', '8cabc25d54914788b75e4aecfc46c7bc', 'False', 'True', 'false', 'false', '510824238173', 5, '双河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824238173', 1, '2021-07-19 11:41:25', NULL, NULL), (10406, '', '龙固村', 'acd76948bf9d40e6836728b4994002cc', '8cabc25d54914788b75e4aecfc46c7bc', 'False', 'True', 'false', 'false', '510824238185', 5, '龙固村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824238185', 1, '2021-07-19 11:41:26', NULL, NULL), (10407, '', '榨垭村', '9b63a4acde8541ab90c89a2b051d25c0', '8cabc25d54914788b75e4aecfc46c7bc', 'False', 'True', 'false', 'false', '510824238188', 5, '榨垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824238188', 1, '2021-07-19 11:41:26', NULL, NULL), (10408, '', '天灵村', 'c9c8c06df5644ee985f6765a4275eb5d', '8cabc25d54914788b75e4aecfc46c7bc', 'False', 'True', 'false', 'false', '510824238220', 5, '天灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824238220', 1, '2021-07-19 11:41:26', NULL, NULL), (10409, '', '地干寺社区', '77dc76339e4c4a1699765b269c22bb86', '8cabc25d54914788b75e4aecfc46c7bc', 'False', 'True', 'false', 'false', '510824238302', 5, '地干寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824238302', 1, '2021-07-19 11:41:26', NULL, NULL), (10410, '', '龙寨村', '19fb497d58b6432aad77524e494fdb4c', '8cabc25d54914788b75e4aecfc46c7bc', 'False', 'True', 'false', 'false', '510824238379', 5, '龙寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824238379', 1, '2021-07-19 11:41:26', NULL, NULL), (10411, '', '国庆村', 'd21e7cd387324e5ea87e95c996193a47', '8cabc25d54914788b75e4aecfc46c7bc', 'False', 'True', 'false', 'false', '510824238495', 5, '国庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824238495', 1, '2021-07-19 11:41:26', NULL, NULL), (10412, '', '两河口社区', '75d99c79d73c40dda365ca8216a2f87a', '8cabc25d54914788b75e4aecfc46c7bc', 'False', 'True', 'false', 'false', '510824238001', 5, '两河口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824238001', 1, '2021-07-19 11:41:26', NULL, NULL), (10413, '', '高晨村', '19f1ec262d75493fb26da338d90cebd0', '8cabc25d54914788b75e4aecfc46c7bc', 'False', 'True', 'false', 'false', '510824238201', 5, '高晨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824238201', 1, '2021-07-19 11:41:26', NULL, NULL), (10414, '', '红琳村', '9ee32e080f5244dba5d58f1391bd7114', '8cabc25d54914788b75e4aecfc46c7bc', 'False', 'True', 'false', 'false', '510824238205', 5, '红琳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824238205', 1, '2021-07-19 11:41:26', NULL, NULL), (10415, '', '何家梁村', 'a8086fb2b7dc4ec48eadac7538e27960', '8cabc25d54914788b75e4aecfc46c7bc', 'False', 'True', 'false', 'false', '510824238206', 5, '何家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824238206', 1, '2021-07-19 11:41:26', NULL, NULL), (10416, '', '天主村', '46c58e2f9b27403ab9090ddfa7867960', '8cabc25d54914788b75e4aecfc46c7bc', 'False', 'True', 'false', 'false', '510824238208', 5, '天主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824238208', 1, '2021-07-19 11:41:27', NULL, NULL), (10417, '', '玉宝村', 'c4ed0f04172a43fb84c7e949bf2073c3', '8cabc25d54914788b75e4aecfc46c7bc', 'False', 'True', 'false', 'false', '510824238209', 5, '玉宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824238209', 1, '2021-07-19 11:41:27', NULL, NULL), (10418, '', '兴华村', 'fe41c7962fb042269c909b54cb4fc6e9', '8cabc25d54914788b75e4aecfc46c7bc', 'False', 'True', 'false', 'false', '510824238210', 5, '兴华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824238210', 1, '2021-07-19 11:41:27', NULL, NULL), (10419, '', '龙马村', '5f462789fca3439590fa7faeef6cbf80', '8cabc25d54914788b75e4aecfc46c7bc', 'False', 'True', 'false', 'false', '510824238212', 5, '龙马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824238212', 1, '2021-07-19 11:41:27', NULL, NULL), (10420, '', '黄猫垭镇', '009224869f8e49199e7e5bb9b918acc1', 'a021dff1c9204a67bbb0aeae25b1d193', 'True', 'True', 'false', 'false', '510824777000', 4, '黄猫垭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510824777000', 1, '2021-07-19 11:41:27', NULL, NULL), (10421, '', '蟠龙寨村', 'd25c1a209aaf467e827adaaa1b3bb55f', '009224869f8e49199e7e5bb9b918acc1', 'False', 'True', 'false', 'false', '510824005092', 5, '蟠龙寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824005092', 1, '2021-07-19 11:41:27', NULL, NULL), (10422, '', '龙洞社区', '98d3baaf5dd54bc1b53e83098775439c', '009224869f8e49199e7e5bb9b918acc1', 'False', 'True', 'false', 'false', '510824005243', 5, '龙洞社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824005243', 1, '2021-07-19 11:41:27', NULL, NULL), (10423, '', '黄猫社区', 'c1adcf3395fb4f2886dd313d406b86ed', '009224869f8e49199e7e5bb9b918acc1', 'False', 'True', 'false', 'false', '510824005282', 5, '黄猫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824005282', 1, '2021-07-19 11:41:27', NULL, NULL), (10424, '', '大远村', '585c55a1ef2a4818aed16c48beda6f43', '009224869f8e49199e7e5bb9b918acc1', 'False', 'True', 'false', 'false', '510824005347', 5, '大远村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824005347', 1, '2021-07-19 11:41:27', NULL, NULL), (10425, '', '回龙村', '7406a801500d4120a0e9756996d61eab', '009224869f8e49199e7e5bb9b918acc1', 'False', 'True', 'false', 'false', '510824005594', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824005594', 1, '2021-07-19 11:41:27', NULL, NULL), (10426, '', '三溪口村', 'f6508732ed0441d7b4ace535568af432', '009224869f8e49199e7e5bb9b918acc1', 'False', 'True', 'false', 'false', '510824005740', 5, '三溪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824005740', 1, '2021-07-19 11:41:27', NULL, NULL), (10427, '', '南军村', '285f268fdc494d5db97ca9d1b1c00f71', '009224869f8e49199e7e5bb9b918acc1', 'False', 'True', 'false', 'false', '510824005791', 5, '南军村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824005791', 1, '2021-07-19 11:41:27', NULL, NULL), (10428, '', '高台村', 'fa58a797657c4aaf816859e2cdea19fb', '009224869f8e49199e7e5bb9b918acc1', 'False', 'True', 'false', 'false', '510824005942', 5, '高台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824005942', 1, '2021-07-19 11:41:27', NULL, NULL), (10429, '', '呈元村', '33b1d4f498e248a8a93524c836a4c24a', '009224869f8e49199e7e5bb9b918acc1', 'False', 'True', 'false', 'false', '510824005945', 5, '呈元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510824005945', 1, '2021-07-19 11:41:27', NULL, NULL), (10430, '', '旺苍县', 'eba5d45fa0d44136a1469e7aaba98356', '9602bf2b753c4158bf4862498e91da56', 'True', 'True', 'false', 'false', '510821000000', 3, '旺苍县', 'gyswcx.sczwfw.gov.cn', 1, '2021-07-19 11:41:27', NULL, NULL), (10431, '', '天星镇', '75f18cedc1624a38a3c758de926f4544', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821005000', 4, '天星镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821005000', 1, '2021-07-19 11:41:28', NULL, NULL), (10432, '', '红光村', '81ef4447bb354330a411cc168575dcfc', '75f18cedc1624a38a3c758de926f4544', 'False', 'True', 'false', 'false', '510821005111', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821005111', 1, '2021-07-19 11:41:28', NULL, NULL), (10433, '', '云峰村', '3f8dc66611b2410e9d5c83dca5230c7c', '75f18cedc1624a38a3c758de926f4544', 'False', 'True', 'false', 'false', '510821005181', 5, '云峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821005181', 1, '2021-07-19 11:41:28', NULL, NULL), (10434, '', '农经村', 'bbb562a4d1044bdeb4d6c2948915f62a', '75f18cedc1624a38a3c758de926f4544', 'False', 'True', 'false', 'false', '510821005200', 5, '农经村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821005200', 1, '2021-07-19 11:41:28', NULL, NULL), (10435, '', '新农村', '2cbf1b13ecdb4d3d8cc0e2c948163ec6', '75f18cedc1624a38a3c758de926f4544', 'False', 'True', 'false', 'false', '510821005340', 5, '新农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821005340', 1, '2021-07-19 11:41:28', NULL, NULL), (10436, '', '黄松村', '4a6447f9fc9e4fa3bd9cb83ea871a83d', '75f18cedc1624a38a3c758de926f4544', 'False', 'True', 'false', 'false', '510821005408', 5, '黄松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821005408', 1, '2021-07-19 11:41:28', NULL, NULL), (10437, '', '木瓜村', '72f46cb9952f49bd8b69d2ed9c99df78', '75f18cedc1624a38a3c758de926f4544', 'False', 'True', 'false', 'false', '510821005454', 5, '木瓜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821005454', 1, '2021-07-19 11:41:28', NULL, NULL), (10438, '', '光辉村', 'c50509474f6b4a46a8f7d4ad91a95ae9', '75f18cedc1624a38a3c758de926f4544', 'False', 'True', 'false', 'false', '510821005460', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821005460', 1, '2021-07-19 11:41:28', NULL, NULL), (10439, '', '大山村', '8e6114f4919c4514b7e2c393b5c3cf5a', '75f18cedc1624a38a3c758de926f4544', 'False', 'True', 'false', 'false', '510821005470', 5, '大山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821005470', 1, '2021-07-19 11:41:28', NULL, NULL), (10440, '', '洪水村', '197f7dc96a414c62ab0ae5faf6ae8b24', '75f18cedc1624a38a3c758de926f4544', 'False', 'True', 'false', 'false', '510821005810', 5, '洪水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821005810', 1, '2021-07-19 11:41:28', NULL, NULL), (10441, '', '盐河镇', 'cf61e2f49c0049438b1c96d08ad0359c', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821121000', 4, '盐河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821121000', 1, '2021-07-19 11:41:28', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (10442, '', '春坪村', '10fa9c1fad024b3581d7f514c44b0158', 'cf61e2f49c0049438b1c96d08ad0359c', 'False', 'True', 'false', 'false', '510821121319', 5, '春坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821121319', 1, '2021-07-19 11:41:28', NULL, NULL), (10443, '', '龙潭村', 'efd7211d6044429fa471a50e91b3f116', 'cf61e2f49c0049438b1c96d08ad0359c', 'False', 'True', 'false', 'false', '510821121394', 5, '龙潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821121394', 1, '2021-07-19 11:41:28', NULL, NULL), (10444, '', '竹垭村', 'd723831a2ec041da8ec13adb4201693a', 'cf61e2f49c0049438b1c96d08ad0359c', 'False', 'True', 'false', 'false', '510821121516', 5, '竹垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821121516', 1, '2021-07-19 11:41:28', NULL, NULL), (10445, '', '金星村', '26ffe2bec3384de4b3fbf5687b362720', 'cf61e2f49c0049438b1c96d08ad0359c', 'False', 'True', 'false', 'false', '510821121690', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821121690', 1, '2021-07-19 11:41:28', NULL, NULL), (10446, '', '青山村', '99321101148e41b4beaefd56e94fff9f', 'cf61e2f49c0049438b1c96d08ad0359c', 'False', 'True', 'false', 'false', '510821121697', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821121697', 1, '2021-07-19 11:41:28', NULL, NULL), (10447, '', '自生村', '68cf5f09256c42a4b229aeff99bd4312', 'cf61e2f49c0049438b1c96d08ad0359c', 'False', 'True', 'false', 'false', '510821121800', 5, '自生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821121800', 1, '2021-07-19 11:41:29', NULL, NULL), (10448, '', '风景村', '49c860f7830b41e8979fdf97e5465357', 'cf61e2f49c0049438b1c96d08ad0359c', 'False', 'True', 'false', 'false', '510821121924', 5, '风景村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821121924', 1, '2021-07-19 11:41:29', NULL, NULL), (10449, '', '大两镇', '08e6bc4449854481affaa8de4313330c', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821216000', 4, '大两镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821216000', 1, '2021-07-19 11:41:29', NULL, NULL), (10450, '', '永星村', '34ee614ee0a34f8db1447c20af14b1db', '08e6bc4449854481affaa8de4313330c', 'False', 'True', 'false', 'false', '510821216076', 5, '永星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821216076', 1, '2021-07-19 11:41:29', NULL, NULL), (10451, '', '古城村', '6fa09628377c4ad488fb7f59b7796655', '08e6bc4449854481affaa8de4313330c', 'False', 'True', 'false', 'false', '510821216174', 5, '古城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821216174', 1, '2021-07-19 11:41:29', NULL, NULL), (10452, '', '德山村', 'ddfe8ec99d064dcf970df80c4f6fd101', '08e6bc4449854481affaa8de4313330c', 'False', 'True', 'false', 'false', '510821216177', 5, '德山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821216177', 1, '2021-07-19 11:41:29', NULL, NULL), (10453, '', '新华村', '4a19daa3eaba47beb8d20af8045fc7a3', '08e6bc4449854481affaa8de4313330c', 'False', 'True', 'false', 'false', '510821216230', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821216230', 1, '2021-07-19 11:41:29', NULL, NULL), (10454, '', '两汇村', 'fb669f6648154f469cae5c27feb491ca', '08e6bc4449854481affaa8de4313330c', 'False', 'True', 'false', 'false', '510821216261', 5, '两汇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821216261', 1, '2021-07-19 11:41:29', NULL, NULL), (10455, '', '万山村', '94c4a541fc4d4fdd85b4cb0ebb77666b', '08e6bc4449854481affaa8de4313330c', 'False', 'True', 'false', 'false', '510821216496', 5, '万山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821216496', 1, '2021-07-19 11:41:29', NULL, NULL), (10456, '', '蒙溪村', '1bc7274926b24a5aafa7512209e512b0', '08e6bc4449854481affaa8de4313330c', 'False', 'True', 'false', 'false', '510821216513', 5, '蒙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821216513', 1, '2021-07-19 11:41:29', NULL, NULL), (10457, '', '金光村', 'b0fd7e7a73844dac94aa7707907be676', '08e6bc4449854481affaa8de4313330c', 'False', 'True', 'false', 'false', '510821216702', 5, '金光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821216702', 1, '2021-07-19 11:41:29', NULL, NULL), (10458, '', '东河镇', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821100000', 4, '东河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821100000', 1, '2021-07-19 11:41:29', NULL, NULL), (10459, '', '冯家坝社区', 'c9eeb65a29a54c6a95bdc091ff07c648', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100060', 5, '冯家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100060', 1, '2021-07-19 11:41:30', NULL, NULL), (10460, '', '马家渡社区', 'bf9a678fffdd4550ab6b726c3b58e2ba', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100095', 5, '马家渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100095', 1, '2021-07-19 11:41:30', NULL, NULL), (10461, '', '川山村', '5ae371a5e3ab4e99a6cf40c9e3656893', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100116', 5, '川山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100116', 1, '2021-07-19 11:41:30', NULL, NULL), (10462, '', '治城社区', '8c24716b7ba143da8d06d44c93317fd8', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100205', 5, '治城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100205', 1, '2021-07-19 11:41:30', NULL, NULL), (10463, '', '灵溪村', '99ce0ac868c14ddcab1dac65ebeb896d', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100262', 5, '灵溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100262', 1, '2021-07-19 11:41:30', NULL, NULL), (10464, '', '金石村', 'de3f7670439a4a378e0888d3e3be6148', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100362', 5, '金石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100362', 1, '2021-07-19 11:41:30', NULL, NULL), (10465, '', '长滩村', '9509296fd74c4adc8996688195fa12e8', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100373', 5, '长滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100373', 1, '2021-07-19 11:41:30', NULL, NULL), (10466, '', '南阳村', '9b37709383d049f0941715b7061d24f8', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100406', 5, '南阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100406', 1, '2021-07-19 11:41:30', NULL, NULL), (10467, '', '宋水社区', '77039191b2e14bfda60ce7542c9a2033', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100434', 5, '宋水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100434', 1, '2021-07-19 11:41:30', NULL, NULL), (10468, '', '梨花村', '3c6b4da39cc7446c9c212e8d94524765', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100448', 5, '梨花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100448', 1, '2021-07-19 11:41:30', NULL, NULL), (10469, '', '红垭村', 'ae29725ea9bb4f37bd59c4a3ebad4a5d', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100482', 5, '红垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100482', 1, '2021-07-19 11:41:30', NULL, NULL), (10470, '', '东郊村', '0a0725156d784caaa75d1798d1f62385', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100499', 5, '东郊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100499', 1, '2021-07-19 11:41:30', NULL, NULL), (10471, '', '百丈关社区', '8c54fdc1fa8c474dbcfe11d91de0550b', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100545', 5, '百丈关社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100545', 1, '2021-07-19 11:41:30', NULL, NULL), (10472, '', '狮子村', '9481ad01b47f4b05912269c4699fd489', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100583', 5, '狮子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100583', 1, '2021-07-19 11:41:30', NULL, NULL), (10473, '', '南峰寺社区', 'cca70f677d624c689fcf55e34c32c291', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100605', 5, '南峰寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100605', 1, '2021-07-19 11:41:30', NULL, NULL), (10474, '', '印月潭社区便民服务代办站', 'b38259b1150b4b7f866074f87faa013c', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100607', 5, '印月潭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100607', 1, '2021-07-19 11:41:30', NULL, NULL), (10475, '', '卸甲碥社区', '491ed948f9134123a9fb26dfe2eeab99', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100669', 5, '卸甲碥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100669', 1, '2021-07-19 11:41:30', NULL, NULL), (10476, '', '凤凰梁社区便民服务代办站', '42aef51eb6094ded92f96517f07c3e2f', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100675', 5, '凤凰梁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100675', 1, '2021-07-19 11:41:31', NULL, NULL), (10477, '', '普陀寺社区', 'fab7b9e239584cbe8d96745645422bb7', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100695', 5, '普陀寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100695', 1, '2021-07-19 11:41:31', NULL, NULL), (10478, '', '白马寺社区', '25ad08fc9d6540f68f004bb1d232dca4', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100751', 5, '白马寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100751', 1, '2021-07-19 11:41:31', NULL, NULL), (10479, '', '福临村', 'de5ca1d336bf4b9880b3208ad3503f78', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100766', 5, '福临村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100766', 1, '2021-07-19 11:41:31', NULL, NULL), (10480, '', '双农村', '1fdeeac64e9d42bfa4669fd89ad51447', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100911', 5, '双农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100911', 1, '2021-07-19 11:41:31', NULL, NULL), (10481, '', '马家梁社区', '195e6e787f2548aa9a88814c2f14e166', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100959', 5, '马家梁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100959', 1, '2021-07-19 11:41:31', NULL, NULL), (10482, '', '南凤村', 'f0a752f794084749a62e8fc33204f2f5', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100961', 5, '南凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100961', 1, '2021-07-19 11:41:31', NULL, NULL), (10483, '', '四新村', '30733e33646c4f599aeb54d3da45a9d9', 'fa3941dbb6fc4a5480f69cb44f3f4145', 'False', 'True', 'false', 'false', '510821100994', 5, '四新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821100994', 1, '2021-07-19 11:41:31', NULL, NULL), (10484, '', '国华镇', 'db8490a83e7c48dbb2828a21747f0109', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821101000', 4, '国华镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821101000', 1, '2021-07-19 11:41:31', NULL, NULL), (10485, '', '石岗村', '9a47e8ef519d4c9196d73e174ba09bbc', 'db8490a83e7c48dbb2828a21747f0109', 'False', 'True', 'false', 'false', '510821101011', 5, '石岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821101011', 1, '2021-07-19 11:41:31', NULL, NULL), (10486, '', '牌坊村', '75cfbe32ced64929b77e9695cbe6e9e1', 'db8490a83e7c48dbb2828a21747f0109', 'False', 'True', 'false', 'false', '510821101018', 5, '牌坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821101018', 1, '2021-07-19 11:41:31', NULL, NULL), (10487, '', '古松村', 'ecb90cf5892349e18780ab8be8299320', 'db8490a83e7c48dbb2828a21747f0109', 'False', 'True', 'false', 'false', '510821101385', 5, '古松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821101385', 1, '2021-07-19 11:41:31', NULL, NULL), (10488, '', '红花村', '8ee1e4606dfb4b50926b54b1f319e9ef', 'db8490a83e7c48dbb2828a21747f0109', 'False', 'True', 'false', 'false', '510821101410', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821101410', 1, '2021-07-19 11:41:31', NULL, NULL), (10489, '', '花街村', 'efd7e1b3e7974e4ab4ed568ac52865cd', 'db8490a83e7c48dbb2828a21747f0109', 'False', 'True', 'false', 'false', '510821101519', 5, '花街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821101519', 1, '2021-07-19 11:41:31', NULL, NULL), (10490, '', '小河村', '0ff5b0c705304fcd990d575c16dee645', 'db8490a83e7c48dbb2828a21747f0109', 'False', 'True', 'false', 'false', '510821101577', 5, '小河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821101577', 1, '2021-07-19 11:41:31', NULL, NULL), (10491, '', '山峰村', '5fe09cf53e48419abd0daefe1d34fd43', 'db8490a83e7c48dbb2828a21747f0109', 'False', 'True', 'false', 'false', '510821101581', 5, '山峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821101581', 1, '2021-07-19 11:41:32', NULL, NULL), (10492, '', '郭家坝社区', '1c4772676caa4c8cb8c43078502a9d1a', 'db8490a83e7c48dbb2828a21747f0109', 'False', 'True', 'false', 'false', '510821101641', 5, '郭家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821101641', 1, '2021-07-19 11:41:32', NULL, NULL), (10493, '', '山坪村', 'f74fa46bf28f46879fb920c69b83028a', 'db8490a83e7c48dbb2828a21747f0109', 'False', 'True', 'false', 'false', '510821101701', 5, '山坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821101701', 1, '2021-07-19 11:41:32', NULL, NULL), (10494, '', '春风村', '28efd33da44d478989952c63bc594576', 'db8490a83e7c48dbb2828a21747f0109', 'False', 'True', 'false', 'false', '510821101985', 5, '春风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821101985', 1, '2021-07-19 11:41:32', NULL, NULL), (10495, '', '木门镇', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821102000', 4, '木门镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821102000', 1, '2021-07-19 11:41:32', NULL, NULL), (10496, '', '木门社区', '221c94a3b8144d8fb93401765bd558e3', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'False', 'True', 'false', 'false', '510821102772', 5, '木门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821102772', 1, '2021-07-19 11:41:32', NULL, NULL), (10497, '', '杏垭村', '03e5c15c2400439690117e0087d232fa', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'False', 'True', 'false', 'false', '510821102252', 5, '杏垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821102252', 1, '2021-07-19 11:41:32', NULL, NULL), (10498, '', '茶园村', '063150572da5458daefee09df1f40b32', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'False', 'True', 'false', 'false', '510821102828', 5, '茶园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821102828', 1, '2021-07-19 11:41:32', NULL, NULL), (10499, '', '石川村', 'a06fe6cc99d44011b00714c071035ccc', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'False', 'True', 'false', 'false', '510821102151', 5, '石川村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821102151', 1, '2021-07-19 11:41:32', NULL, NULL), (10500, '', '飞凤村', 'e094ec05e72e48ad96c05426ce665ffe', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'False', 'True', 'false', 'false', '510821102536', 5, '飞凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821102536', 1, '2021-07-19 11:41:32', NULL, NULL), (10501, '', '盐井村', '1bc69bbe77104ecd94b490c21a6c2c33', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'False', 'True', 'false', 'false', '510821102666', 5, '盐井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821102666', 1, '2021-07-19 11:41:32', NULL, NULL), (10502, '', '天星村', 'fb05ff82e19a46728034ddabaae90eb1', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'False', 'True', 'false', 'false', '510821102949', 5, '天星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821102949', 1, '2021-07-19 11:41:32', NULL, NULL), (10503, '', '柳树村', 'c391b9550f664fdb97686d310377a35b', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'False', 'True', 'false', 'false', '510821102535', 5, '柳树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821102535', 1, '2021-07-19 11:41:32', NULL, NULL), (10504, '', '双山村', 'a1a9822b8e844c3a8f3086f8ab7f299a', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'False', 'True', 'false', 'false', '510821102436', 5, '双山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821102436', 1, '2021-07-19 11:41:32', NULL, NULL), (10505, '', '三合村', 'f6afa168cf70430884f51f6a3865a836', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'False', 'True', 'false', 'false', '510821102685', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821102685', 1, '2021-07-19 11:41:32', NULL, NULL), (10506, '', '农建村', 'cde2bab6c37d4796afff5f824f4d2145', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'False', 'True', 'false', 'false', '510821102119', 5, '农建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821102119', 1, '2021-07-19 11:41:32', NULL, NULL), (10507, '', '河东村', '75015027fddf4efd8ebc6ca68f90442a', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'False', 'True', 'false', 'false', '510821102786', 5, '河东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821102786', 1, '2021-07-19 11:41:33', NULL, NULL), (10508, '', '青坪村', '82cefcd88f8d40c2a4e0fc9c16a34fe0', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'False', 'True', 'false', 'false', '510821102242', 5, '青坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821102242', 1, '2021-07-19 11:41:33', NULL, NULL), (10509, '', '杨林村', 'f6cc086252ab4c1ba25c0f1278469aa5', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'False', 'True', 'false', 'false', '510821102220', 5, '杨林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821102220', 1, '2021-07-19 11:41:33', NULL, NULL), (10510, '', '亭子村', '0b9c449f6c3e455886111ab9f44de5d4', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'False', 'True', 'false', 'false', '510821102647', 5, '亭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821102647', 1, '2021-07-19 11:41:33', NULL, NULL), (10511, '', '长乐村', 'fceb787a1924494cbd909e63aae917a8', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'False', 'True', 'false', 'false', '510821102111', 5, '长乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821102111', 1, '2021-07-19 11:41:33', NULL, NULL), (10512, '', '油树村', '24a48cc013f44cf79329e45161b4519f', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'False', 'True', 'false', 'false', '510821102965', 5, '油树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821102965', 1, '2021-07-19 11:41:33', NULL, NULL), (10513, '', '石垭村', '1d511e7d16964beb9fac840f827ca9fa', 'e36866ff34ab4ac9a2a5f840a75ffbea', 'False', 'True', 'false', 'false', '510821102749', 5, '石垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821102749', 1, '2021-07-19 11:41:33', NULL, NULL), (10514, '', '三江镇', 'a1aec40f85e64e4989b879d14998222a', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821108000', 4, '三江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821108000', 1, '2021-07-19 11:41:33', NULL, NULL), (10515, '', '花园村', '3b5f5f1cd3ae46c4bcd70e9a2d84b76e', 'a1aec40f85e64e4989b879d14998222a', 'False', 'True', 'false', 'false', '510821108189', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821108189', 1, '2021-07-19 11:41:33', NULL, NULL), (10516, '', '三江村', 'fa6bf619f4014e57a74ddfabf7808eb6', 'a1aec40f85e64e4989b879d14998222a', 'False', 'True', 'false', 'false', '510821108442', 5, '三江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821108442', 1, '2021-07-19 11:41:33', NULL, NULL), (10517, '', '三江坝社区', '863421d135284ed5b69a7b8cbca0e398', 'a1aec40f85e64e4989b879d14998222a', 'False', 'True', 'false', 'false', '510821108196', 5, '三江坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821108196', 1, '2021-07-19 11:41:33', NULL, NULL), (10518, '', '联盟村', 'f44df479349045e98286f71312b6a888', 'a1aec40f85e64e4989b879d14998222a', 'False', 'True', 'false', 'false', '510821108244', 5, '联盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821108244', 1, '2021-07-19 11:41:33', NULL, NULL), (10519, '', '桃红村', '806aaaceba6347e79aa547493ea36cec', 'a1aec40f85e64e4989b879d14998222a', 'False', 'True', 'false', 'false', '510821108264', 5, '桃红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821108264', 1, '2021-07-19 11:41:33', NULL, NULL), (10520, '', '分水村', 'de3dd1a9a68242928b174c2862528596', 'a1aec40f85e64e4989b879d14998222a', 'False', 'True', 'false', 'false', '510821108342', 5, '分水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821108342', 1, '2021-07-19 11:41:33', NULL, NULL), (10521, '', '厚坝村', '7441c2adeec74e0caaf8804882dceb65', 'a1aec40f85e64e4989b879d14998222a', 'False', 'True', 'false', 'false', '510821108424', 5, '厚坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821108424', 1, '2021-07-19 11:41:33', NULL, NULL), (10522, '', '石洞沟社区', 'ae05bf44ec8142dc97eb58cee3bfba89', 'a1aec40f85e64e4989b879d14998222a', 'False', 'True', 'false', 'false', '510821108585', 5, '石洞沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821108585', 1, '2021-07-19 11:41:33', NULL, NULL), (10523, '', '战旗村', '1d3bd55c3ea24ad2b2143c462b4dbed6', 'a1aec40f85e64e4989b879d14998222a', 'False', 'True', 'false', 'false', '510821108743', 5, '战旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821108743', 1, '2021-07-19 11:41:34', NULL, NULL), (10524, '', '大旗村', 'a095f1380b154b68931cafad61c5e3ee', 'a1aec40f85e64e4989b879d14998222a', 'False', 'True', 'false', 'false', '510821108762', 5, '大旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821108762', 1, '2021-07-19 11:41:34', NULL, NULL), (10525, '', '下石村', 'fc9eab362a504651985ea9d01da0eb9b', 'a1aec40f85e64e4989b879d14998222a', 'False', 'True', 'false', 'false', '510821108889', 5, '下石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821108889', 1, '2021-07-19 11:41:34', NULL, NULL), (10526, '', '碗厂河社区', '0c67e2d3008a4da8b41934100ee5e8cb', 'a1aec40f85e64e4989b879d14998222a', 'False', 'True', 'false', 'false', '510821108913', 5, '碗厂河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821108913', 1, '2021-07-19 11:41:34', NULL, NULL), (10527, '', '五权镇', 'd4ea959fb5634b1db1b46b946be54720', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821110000', 4, '五权镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821110000', 1, '2021-07-19 11:41:34', NULL, NULL), (10528, '', '五郎庙社区居民委员会', 'ae0eb0555f6f482f991c0ab4eedea78a', 'd4ea959fb5634b1db1b46b946be54720', 'False', 'True', 'false', 'false', '510821110075', 5, '五郎庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821110075', 1, '2021-07-19 11:41:34', NULL, NULL), (10529, '', '大星村民委员会', '922694d27f1647b0aede468f69375eb0', 'd4ea959fb5634b1db1b46b946be54720', 'False', 'True', 'false', 'false', '510821110261', 5, '大星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821110261', 1, '2021-07-19 11:41:34', NULL, NULL), (10530, '', '清水村民委员会', '09c19027810940fb8a1c37e5388e6bd1', 'd4ea959fb5634b1db1b46b946be54720', 'False', 'True', 'false', 'false', '510821110289', 5, '清水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821110289', 1, '2021-07-19 11:41:34', NULL, NULL), (10531, '', '天红村民委员会', 'f43e5d886a244b2499aee5923b95d75b', 'd4ea959fb5634b1db1b46b946be54720', 'False', 'True', 'false', 'false', '510821110296', 5, '天红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821110296', 1, '2021-07-19 11:41:34', NULL, NULL), (10532, '', '山花村民委员会', '48e869a6eea74a47932915ccd5f6829a', 'd4ea959fb5634b1db1b46b946be54720', 'False', 'True', 'false', 'false', '510821110348', 5, '山花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821110348', 1, '2021-07-19 11:41:34', NULL, NULL), (10533, '', '桂花村民委员会', 'ad025b4bd22a4ee4a282d022501c9064', 'd4ea959fb5634b1db1b46b946be54720', 'False', 'True', 'false', 'false', '510821110387', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821110387', 1, '2021-07-19 11:41:34', NULL, NULL), (10534, '', '铜钱村民委员会', '2141eeaf6a1a46018f0d88afb3b769a4', 'd4ea959fb5634b1db1b46b946be54720', 'False', 'True', 'false', 'false', '510821110439', 5, '铜钱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821110439', 1, '2021-07-19 11:41:34', NULL, NULL), (10535, '', '楠木村民委员会', 'a9494b4aacc0412784192cc5e6ae2dab', 'd4ea959fb5634b1db1b46b946be54720', 'False', 'True', 'false', 'false', '510821110456', 5, '楠木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821110456', 1, '2021-07-19 11:41:34', NULL, NULL), (10536, '', '双龙洞村民委员会', '6fe0f437f3f04546933484135ddff3e3', 'd4ea959fb5634b1db1b46b946be54720', 'False', 'True', 'false', 'false', '510821110761', 5, '双龙洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821110761', 1, '2021-07-19 11:41:34', NULL, NULL), (10537, '', '中河村民委员会', '9488c4c0011e47abb58edffd1ad0678e', 'd4ea959fb5634b1db1b46b946be54720', 'False', 'True', 'false', 'false', '510821110809', 5, '中河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821110809', 1, '2021-07-19 11:41:34', NULL, NULL), (10538, '', '三溪村民委员会', 'f3f845fa6281405da1d7b54e9f2c3e71', 'd4ea959fb5634b1db1b46b946be54720', 'False', 'True', 'false', 'false', '510821110889', 5, '三溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821110889', 1, '2021-07-19 11:41:34', NULL, NULL), (10539, '', '双汇镇', '2cc56b9da9eb4b9a8373e08b5f261f1d', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821112000', 4, '双汇镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821112000', 1, '2021-07-19 11:41:35', NULL, NULL), (10540, '', '永庆村', 'f2ff26b06bfa4b1fb6c5223fecac7bb9', '2cc56b9da9eb4b9a8373e08b5f261f1d', 'False', 'True', 'false', 'false', '510821112072', 5, '永庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821112072', 1, '2021-07-19 11:41:35', NULL, NULL), (10541, '', '莲花村', 'ab7d05acffb341c68d2922adb7f9b3e0', '2cc56b9da9eb4b9a8373e08b5f261f1d', 'False', 'True', 'false', 'false', '510821112194', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821112194', 1, '2021-07-19 11:41:35', NULL, NULL), (10542, '', '大坪村', '4b6307b70a1d454b9890f58944ccdde8', '2cc56b9da9eb4b9a8373e08b5f261f1d', 'False', 'True', 'false', 'false', '510821112303', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821112303', 1, '2021-07-19 11:41:35', NULL, NULL), (10543, '', '汶水村', '3c44456850e8426fbcc42bb62c483f74', '2cc56b9da9eb4b9a8373e08b5f261f1d', 'False', 'True', 'false', 'false', '510821112381', 5, '汶水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821112381', 1, '2021-07-19 11:41:35', NULL, NULL), (10544, '', '辕门村', '164a4cab752a4bc3a92252358244bf43', '2cc56b9da9eb4b9a8373e08b5f261f1d', 'False', 'True', 'false', 'false', '510821112384', 5, '辕门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821112384', 1, '2021-07-19 11:41:35', NULL, NULL), (10545, '', '深溪沟村', 'aaad8580c14547b4937648b9ddf99ca4', '2cc56b9da9eb4b9a8373e08b5f261f1d', 'False', 'True', 'false', 'false', '510821112451', 5, '深溪沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821112451', 1, '2021-07-19 11:41:35', NULL, NULL), (10546, '', '卫星村', '49390354eddc4efeb58ee2872ce6d15a', '2cc56b9da9eb4b9a8373e08b5f261f1d', 'False', 'True', 'false', 'false', '510821112492', 5, '卫星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821112492', 1, '2021-07-19 11:41:35', NULL, NULL), (10547, '', '斑竹村', '09070814955e404fa09f7b35afa7af0f', '2cc56b9da9eb4b9a8373e08b5f261f1d', 'False', 'True', 'false', 'false', '510821112536', 5, '斑竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821112536', 1, '2021-07-19 11:41:35', NULL, NULL), (10548, '', '两汇寺社区', '38f5366ff25748c49cecb51d023f3ab0', '2cc56b9da9eb4b9a8373e08b5f261f1d', 'False', 'True', 'false', 'false', '510821112633', 5, '两汇寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821112633', 1, '2021-07-19 11:41:35', NULL, NULL), (10549, '', '龙泉村', '1b41051743bd4e3cb565c1e86434269e', '2cc56b9da9eb4b9a8373e08b5f261f1d', 'False', 'True', 'false', 'false', '510821112720', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821112720', 1, '2021-07-19 11:41:36', NULL, NULL), (10550, '', '金龙村', '7aa1cdf024f84d2e8c762893511649f7', '2cc56b9da9eb4b9a8373e08b5f261f1d', 'False', 'True', 'false', 'false', '510821112728', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821112728', 1, '2021-07-19 11:41:36', NULL, NULL), (10551, '', '檬子乡', '4892bd7c69184a2f93b114aa10e54203', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821207000', 4, '檬子乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821207000', 1, '2021-07-19 11:41:36', NULL, NULL), (10552, '', '柏杨村', 'aaf8dd2ddd874f0bba798dd536505052', '4892bd7c69184a2f93b114aa10e54203', 'False', 'True', 'false', 'false', '510821207377', 5, '柏杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821207377', 1, '2021-07-19 11:41:36', NULL, NULL), (10553, '', '黎明村', 'd4666cda7f0e4c0e8151f7c753894a7f', '4892bd7c69184a2f93b114aa10e54203', 'False', 'True', 'false', 'false', '510821207747', 5, '黎明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821207747', 1, '2021-07-19 11:41:36', NULL, NULL), (10554, '', '钟岭村', '19474186fe754941af0f4b7c2f86789a', '4892bd7c69184a2f93b114aa10e54203', 'False', 'True', 'false', 'false', '510821207914', 5, '钟岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821207914', 1, '2021-07-19 11:41:36', NULL, NULL), (10555, '', '普济镇', 'aa7158e9f5af4a819ac2beec99db2f52', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821321000', 4, '普济镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821321000', 1, '2021-07-19 11:41:36', NULL, NULL), (10556, '', '池川村', '0b0854f923a94feca5a1bd6c651493af', 'aa7158e9f5af4a819ac2beec99db2f52', 'False', 'True', 'false', 'false', '510821321049', 5, '池川村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821321049', 1, '2021-07-19 11:41:36', NULL, NULL), (10557, '', '横石村', '399fa6014c0b4b93ab8decd3bdf779bb', 'aa7158e9f5af4a819ac2beec99db2f52', 'False', 'True', 'false', 'false', '510821321057', 5, '横石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821321057', 1, '2021-07-19 11:41:36', NULL, NULL), (10558, '', '佛子岩村', '39bfea8727694b0485491fca710fb6cf', 'aa7158e9f5af4a819ac2beec99db2f52', 'False', 'True', 'false', 'false', '510821321177', 5, '佛子岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821321177', 1, '2021-07-19 11:41:36', NULL, NULL), (10559, '', '普子岭社区', '8ffbf475ca63439cbd8a650b57f46bd7', 'aa7158e9f5af4a819ac2beec99db2f52', 'False', 'True', 'false', 'false', '510821321265', 5, '普子岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821321265', 1, '2021-07-19 11:41:36', NULL, NULL), (10560, '', '秀海村', 'f988f762cf814dfdb81c8fb46e0b2c9c', 'aa7158e9f5af4a819ac2beec99db2f52', 'False', 'True', 'false', 'false', '510821321301', 5, '秀海村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821321301', 1, '2021-07-19 11:41:37', NULL, NULL), (10561, '', '月西村', '8c3fb516af304fd2ba0fab5b77268dcb', 'aa7158e9f5af4a819ac2beec99db2f52', 'False', 'True', 'false', 'false', '510821321405', 5, '月西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821321405', 1, '2021-07-19 11:41:37', NULL, NULL), (10562, '', '中江村', 'a1744b51324647e7abdfa6675e29bc31', 'aa7158e9f5af4a819ac2beec99db2f52', 'False', 'True', 'false', 'false', '510821321447', 5, '中江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821321447', 1, '2021-07-19 11:41:37', NULL, NULL), (10563, '', '九江村', 'dcd2f0e91da94959a17dd9127e26c829', 'aa7158e9f5af4a819ac2beec99db2f52', 'False', 'True', 'false', 'false', '510821321587', 5, '九江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821321587', 1, '2021-07-19 11:41:37', NULL, NULL), (10564, '', '龙池村', '285376661c1a4033a1738553b9eb27c4', 'aa7158e9f5af4a819ac2beec99db2f52', 'False', 'True', 'false', 'false', '510821321592', 5, '龙池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821321592', 1, '2021-07-19 11:41:37', NULL, NULL), (10565, '', '远景村', 'f03d883690e14ef4a1c730c1e5e049de', 'aa7158e9f5af4a819ac2beec99db2f52', 'False', 'True', 'false', 'false', '510821321675', 5, '远景村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821321675', 1, '2021-07-19 11:41:37', NULL, NULL), (10566, '', '代池坝社区', '2a4a96605663426a85d0ff2c6eab4b74', 'aa7158e9f5af4a819ac2beec99db2f52', 'False', 'True', 'false', 'false', '510821321859', 5, '代池坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821321859', 1, '2021-07-19 11:41:37', NULL, NULL), (10567, '', '大营村', '6d7548b782bb46f3858e74507760c733', 'aa7158e9f5af4a819ac2beec99db2f52', 'False', 'True', 'false', 'false', '510821321927', 5, '大营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821321927', 1, '2021-07-19 11:41:37', NULL, NULL), (10568, '', '洪江村', '7d1f260679d54630be741e13b20ec8e0', 'aa7158e9f5af4a819ac2beec99db2f52', 'False', 'True', 'false', 'false', '510821321977', 5, '洪江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821321977', 1, '2021-07-19 11:41:37', NULL, NULL), (10569, '', '清江村', '15ce9c2e70f647fca0868cf8c2288010', 'aa7158e9f5af4a819ac2beec99db2f52', 'False', 'True', 'false', 'false', '510821321982', 5, '清江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821321982', 1, '2021-07-19 11:41:37', NULL, NULL), (10570, '', '九龙镇', '992bc406890c4fd4b1bcad10f7b336b0', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821363000', 4, '九龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821363000', 1, '2021-07-19 11:41:37', NULL, NULL), (10571, '', '先锋村', 'ae6f0e2f3ff64eca8e87e1f76ac2079b', '992bc406890c4fd4b1bcad10f7b336b0', 'False', 'True', 'false', 'false', '510821363017', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821363017', 1, '2021-07-19 11:41:37', NULL, NULL), (10572, '', '大竹村', '78f67d06c4d947379c12bf827875eab7', '992bc406890c4fd4b1bcad10f7b336b0', 'False', 'True', 'false', 'false', '510821363121', 5, '大竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821363121', 1, '2021-07-19 11:41:37', NULL, NULL), (10573, '', '文星村', '49b2c5b5da3848488c9f97f510b39401', '992bc406890c4fd4b1bcad10f7b336b0', 'False', 'True', 'false', 'false', '510821363176', 5, '文星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821363176', 1, '2021-07-19 11:41:37', NULL, NULL), (10574, '', '苍山村', '064fe8e9330b454dbd8e8381cfa9fa79', '992bc406890c4fd4b1bcad10f7b336b0', 'False', 'True', 'false', 'false', '510821363192', 5, '苍山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821363192', 1, '2021-07-19 11:41:37', NULL, NULL), (10575, '', '首石村', '2d79b92aba914b25b1701061848374be', '992bc406890c4fd4b1bcad10f7b336b0', 'False', 'True', 'false', 'false', '510821363353', 5, '首石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821363353', 1, '2021-07-19 11:41:37', NULL, NULL), (10576, '', '庙子村', '4b17ed238357411d863595c818b53f48', '992bc406890c4fd4b1bcad10f7b336b0', 'False', 'True', 'false', 'false', '510821363437', 5, '庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821363437', 1, '2021-07-19 11:41:37', NULL, NULL), (10577, '', '印斗村', '4931ada1aafa404cbfda622ddd09d858', '992bc406890c4fd4b1bcad10f7b336b0', 'False', 'True', 'false', 'false', '510821363450', 5, '印斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821363450', 1, '2021-07-19 11:41:38', NULL, NULL), (10578, '', '柏林村', 'a393c097318447bba099053578d5762a', '992bc406890c4fd4b1bcad10f7b336b0', 'False', 'True', 'false', 'false', '510821363751', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821363751', 1, '2021-07-19 11:41:38', NULL, NULL), (10579, '', '水磨镇', '51cf25d0ce3d4ff9961059b9971d951c', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821369000', 4, '水磨镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821369000', 1, '2021-07-19 11:41:38', NULL, NULL), (10580, '', '群花村', '60b74d163e44487b8ecafe21865ead0e', '51cf25d0ce3d4ff9961059b9971d951c', 'False', 'True', 'false', 'false', '510821369099', 5, '群花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821369099', 1, '2021-07-19 11:41:38', NULL, NULL), (10581, '', '火花村', 'd6cbf1691e30424e834e0004db4f7523', '51cf25d0ce3d4ff9961059b9971d951c', 'False', 'True', 'false', 'false', '510821369113', 5, '火花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821369113', 1, '2021-07-19 11:41:38', NULL, NULL), (10582, '', '桥板村', '3fc6e95fa96745aa8ea178a8fa74299b', '51cf25d0ce3d4ff9961059b9971d951c', 'False', 'True', 'false', 'false', '510821369613', 5, '桥板村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821369613', 1, '2021-07-19 11:41:38', NULL, NULL), (10583, '', '百花村', '371f9bb052f146a7ad7ebb7e7bd881df', '51cf25d0ce3d4ff9961059b9971d951c', 'False', 'True', 'false', 'false', '510821369744', 5, '百花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821369744', 1, '2021-07-19 11:41:38', NULL, NULL), (10584, '', '广福村', '99d0eb19e159446ca358122aa12ef917', '51cf25d0ce3d4ff9961059b9971d951c', 'False', 'True', 'false', 'false', '510821369995', 5, '广福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821369995', 1, '2021-07-19 11:41:38', NULL, NULL), (10585, '', '代弓村', '6aa4c1d2f3ca4a9bbc174b799a8965ae', '51cf25d0ce3d4ff9961059b9971d951c', 'False', 'True', 'false', 'false', '510821369999', 5, '代弓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821369999', 1, '2021-07-19 11:41:38', NULL, NULL), (10586, '', '白玉村', '2a21f9ff774e4b7696aed6967044f935', '51cf25d0ce3d4ff9961059b9971d951c', 'False', 'True', 'false', 'false', '510821369748', 5, '白玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821369748', 1, '2021-07-19 11:41:38', NULL, NULL), (10587, '', '春笋村', '19d8541877814ad09b75549f58320525', '51cf25d0ce3d4ff9961059b9971d951c', 'False', 'True', 'false', 'false', '510821369393', 5, '春笋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821369393', 1, '2021-07-19 11:41:38', NULL, NULL), (10588, '', '柳垭村', '04b4f309e4ec4c23b1d73a2be822a6f1', '51cf25d0ce3d4ff9961059b9971d951c', 'False', 'True', 'false', 'false', '510821369168', 5, '柳垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821369168', 1, '2021-07-19 11:41:38', NULL, NULL), (10589, '', '火炬村', '02652cb6398d473693275e28b0ae2160', '51cf25d0ce3d4ff9961059b9971d951c', 'False', 'True', 'false', 'false', '510821369382', 5, '火炬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821369382', 1, '2021-07-19 11:41:38', NULL, NULL), (10590, '', '张华镇', '673fe4315a374bb58b0e61bc43b6fd14', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821402000', 4, '张华镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821402000', 1, '2021-07-19 11:41:38', NULL, NULL), (10591, '', '荣华村', '467309b31c2346adaa0bf4c9859348b8', '673fe4315a374bb58b0e61bc43b6fd14', 'False', 'True', 'false', 'false', '510821402045', 5, '荣华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821402045', 1, '2021-07-19 11:41:38', NULL, NULL), (10592, '', '三汇村', 'ab51a1bf5edb4b149cd84b1747d47d50', '673fe4315a374bb58b0e61bc43b6fd14', 'False', 'True', 'false', 'false', '510821402231', 5, '三汇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821402231', 1, '2021-07-19 11:41:38', NULL, NULL), (10593, '', '张华沟社区', 'b21a26c7b92e4b78a657c40451fe803b', '673fe4315a374bb58b0e61bc43b6fd14', 'False', 'True', 'false', 'false', '510821402432', 5, '张华沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821402432', 1, '2021-07-19 11:41:38', NULL, NULL), (10594, '', '大梁村', '1559931e94e643ee96b35a44851c6ff5', '673fe4315a374bb58b0e61bc43b6fd14', 'False', 'True', 'false', 'false', '510821402466', 5, '大梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821402466', 1, '2021-07-19 11:41:38', NULL, NULL), (10595, '', '凤凰村', '24c3fb9706c5465f8b5779f8c257e6b1', '673fe4315a374bb58b0e61bc43b6fd14', 'False', 'True', 'false', 'false', '510821402528', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821402528', 1, '2021-07-19 11:41:38', NULL, NULL), (10596, '', '狮坪村', 'c5a60e87025c4ac38bb1f8e383c7614c', '673fe4315a374bb58b0e61bc43b6fd14', 'False', 'True', 'false', 'false', '510821402531', 5, '狮坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821402531', 1, '2021-07-19 11:41:38', NULL, NULL), (10597, '', '双龙村', '2727b898df0447b18527c172d811a5ff', '673fe4315a374bb58b0e61bc43b6fd14', 'False', 'True', 'false', 'false', '510821402574', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821402574', 1, '2021-07-19 11:41:39', NULL, NULL), (10598, '', '大地村', '199bab6043ec441aa2c48aacec0b1325', '673fe4315a374bb58b0e61bc43b6fd14', 'False', 'True', 'false', 'false', '510821402638', 5, '大地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821402638', 1, '2021-07-19 11:41:39', NULL, NULL), (10599, '', '枣林村', '4139005cbf114a5cadf5d7be90fc0fb6', '673fe4315a374bb58b0e61bc43b6fd14', 'False', 'True', 'false', 'false', '510821402662', 5, '枣林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821402662', 1, '2021-07-19 11:41:39', NULL, NULL), (10600, '', '光荣村', '94e1cd8eac284285a8a5f42137fd00e1', '673fe4315a374bb58b0e61bc43b6fd14', 'False', 'True', 'false', 'false', '510821402681', 5, '光荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821402681', 1, '2021-07-19 11:41:39', NULL, NULL), (10601, '', '岐山村', '0db4d50d2fab4e50baa8b1997d472824', '673fe4315a374bb58b0e61bc43b6fd14', 'False', 'True', 'false', 'false', '510821402725', 5, '岐山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821402725', 1, '2021-07-19 11:41:39', NULL, NULL), (10602, '', '友坝村', 'ace8f9cd0f2d474f92849d561617670f', '673fe4315a374bb58b0e61bc43b6fd14', 'False', 'True', 'false', 'false', '510821402760', 5, '友坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821402760', 1, '2021-07-19 11:41:39', NULL, NULL), (10603, '', '宋水村', '26de7406ebc547eaaa4fd801465b382b', '673fe4315a374bb58b0e61bc43b6fd14', 'False', 'True', 'false', 'false', '510821402774', 5, '宋水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821402774', 1, '2021-07-19 11:41:39', NULL, NULL), (10604, '', '九台村', 'c440fe5578c64d88b13d42502ff7b36e', '673fe4315a374bb58b0e61bc43b6fd14', 'False', 'True', 'false', 'false', '510821402827', 5, '九台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821402827', 1, '2021-07-19 11:41:39', NULL, NULL), (10605, '', '松浪村', '20016a79d2684e26914fabafe8cd056d', '673fe4315a374bb58b0e61bc43b6fd14', 'False', 'True', 'false', 'false', '510821402920', 5, '松浪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821402920', 1, '2021-07-19 11:41:39', NULL, NULL), (10606, '', '龙岗村', '4eba0a4cc0a54cd39575571e93d2bb72', '673fe4315a374bb58b0e61bc43b6fd14', 'False', 'True', 'false', 'false', '510821402976', 5, '龙岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821402976', 1, '2021-07-19 11:41:39', NULL, NULL), (10607, '', '龙凤镇', '7b950e2c2f3249e0bab883a98ba8ac88', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821533000', 4, '龙凤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821533000', 1, '2021-07-19 11:41:39', NULL, NULL), (10608, '', '人民村', 'ce874b6fb8f64c6888b511d2c640c673', '7b950e2c2f3249e0bab883a98ba8ac88', 'False', 'True', 'false', 'false', '510821533282', 5, '人民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821533282', 1, '2021-07-19 11:41:39', NULL, NULL), (10609, '', '龙安村', 'a508c4b22d0c44ecab672b03c649ebad', '7b950e2c2f3249e0bab883a98ba8ac88', 'False', 'True', 'false', 'false', '510821533369', 5, '龙安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821533369', 1, '2021-07-19 11:41:39', NULL, NULL), (10610, '', '白虎村', '7133183984954d2a8a4c5a1e6a55f4ef', '7b950e2c2f3249e0bab883a98ba8ac88', 'False', 'True', 'false', 'false', '510821533465', 5, '白虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821533465', 1, '2021-07-19 11:41:39', NULL, NULL), (10611, '', '锦旗村', '451c8f40c456492b8513a69b968f45ab', '7b950e2c2f3249e0bab883a98ba8ac88', 'False', 'True', 'false', 'false', '510821533504', 5, '锦旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821533504', 1, '2021-07-19 11:41:39', NULL, NULL), (10612, '', '龙台村', '7662b63d632c467dbba1d6abf5d83cdb', '7b950e2c2f3249e0bab883a98ba8ac88', 'False', 'True', 'false', 'false', '510821533533', 5, '龙台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821533533', 1, '2021-07-19 11:41:39', NULL, NULL), (10613, '', '天井村', '3c6d77331c0746a78e1de86061465860', '7b950e2c2f3249e0bab883a98ba8ac88', 'False', 'True', 'false', 'false', '510821533595', 5, '天井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821533595', 1, '2021-07-19 11:41:40', NULL, NULL), (10614, '', '龙凤村', 'a92166f1aecc4a568692c51654841d3b', '7b950e2c2f3249e0bab883a98ba8ac88', 'False', 'True', 'false', 'false', '510821533658', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821533658', 1, '2021-07-19 11:41:40', NULL, NULL), (10615, '', '中华村', '43978aed3b7647ba9526da4d77c6b7cd', '7b950e2c2f3249e0bab883a98ba8ac88', 'False', 'True', 'false', 'false', '510821533926', 5, '中华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821533926', 1, '2021-07-19 11:41:40', NULL, NULL), (10616, '', '燕子乡', 'fdac9563b4024727ad18bc3f9354ccdd', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821560000', 4, '燕子乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821560000', 1, '2021-07-19 11:41:40', NULL, NULL), (10617, '', '金河村', 'f54f0bd09d7a42bdada5e010baadc7dc', 'fdac9563b4024727ad18bc3f9354ccdd', 'False', 'True', 'false', 'false', '510821560022', 5, '金河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821560022', 1, '2021-07-19 11:41:40', NULL, NULL), (10618, '', '松龙村', '446fc9c6db174407b053887a5d0d00a3', 'fdac9563b4024727ad18bc3f9354ccdd', 'False', 'True', 'false', 'false', '510821560176', 5, '松龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821560176', 1, '2021-07-19 11:41:40', NULL, NULL), (10619, '', '燕午村', '922a1b4a7265406fa155e197be5d3ac6', 'fdac9563b4024727ad18bc3f9354ccdd', 'False', 'True', 'false', 'false', '510821560312', 5, '燕午村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821560312', 1, '2021-07-19 11:41:40', NULL, NULL), (10620, '', '双全村', 'e4c2ca0cfe8c4194bddfd905a2a2d382', 'fdac9563b4024727ad18bc3f9354ccdd', 'False', 'True', 'false', 'false', '510821560635', 5, '双全村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821560635', 1, '2021-07-19 11:41:40', NULL, NULL), (10621, '', '绿化村', '41f7feded4254d08bdcc42f419397e3d', 'fdac9563b4024727ad18bc3f9354ccdd', 'False', 'True', 'false', 'false', '510821560663', 5, '绿化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821560663', 1, '2021-07-19 11:41:40', NULL, NULL), (10622, '', '高阳镇', '37eb4afb6e27483fa6b4763613565f05', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821617000', 4, '高阳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821617000', 1, '2021-07-19 11:41:40', NULL, NULL), (10623, '', '双午村', 'ae2e1e04543149debba5ebc995fcb7e3', '37eb4afb6e27483fa6b4763613565f05', 'False', 'True', 'false', 'false', '510821617101', 5, '双午村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821617101', 1, '2021-07-19 11:41:40', NULL, NULL), (10624, '', '向阳村', '7309b8c8d03744b486d7ed5500e176c7', '37eb4afb6e27483fa6b4763613565f05', 'False', 'True', 'false', 'false', '510821617469', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821617469', 1, '2021-07-19 11:41:40', NULL, NULL), (10625, '', '崔河村', '947fea0112d54dfca55942685f1d2d19', '37eb4afb6e27483fa6b4763613565f05', 'False', 'True', 'false', 'false', '510821617525', 5, '崔河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821617525', 1, '2021-07-19 11:41:40', NULL, NULL), (10626, '', '温泉村', 'aae3edb4e6544f60b29aa06efd9e008c', '37eb4afb6e27483fa6b4763613565f05', 'False', 'True', 'false', 'false', '510821617609', 5, '温泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821617609', 1, '2021-07-19 11:41:40', NULL, NULL), (10627, '', '虎垭村', '7bca1c4c0091486c93cf69613c9b2ccf', '37eb4afb6e27483fa6b4763613565f05', 'False', 'True', 'false', 'false', '510821617635', 5, '虎垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821617635', 1, '2021-07-19 11:41:40', NULL, NULL), (10628, '', '鹿渡村', '1a6a36f504a54f569b9717cbaa76f84b', '37eb4afb6e27483fa6b4763613565f05', 'False', 'True', 'false', 'false', '510821617812', 5, '鹿渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821617812', 1, '2021-07-19 11:41:40', NULL, NULL), (10629, '', '支溪村', 'b2701e4d08b842d8a7c0db43f083bea8', '37eb4afb6e27483fa6b4763613565f05', 'False', 'True', 'false', 'false', '510821617864', 5, '支溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821617864', 1, '2021-07-19 11:41:41', NULL, NULL), (10630, '', '白水镇', '4eae26e0fcea4654bc802f6130c067bd', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821623000', 4, '白水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821623000', 1, '2021-07-19 11:41:41', NULL, NULL), (10631, '', '陈家岭社区', '36001c8b17b54284a491964227c669f2', '4eae26e0fcea4654bc802f6130c067bd', 'False', 'True', 'false', 'false', '510821103090', 5, '陈家岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821103090', 1, '2021-07-19 11:41:41', NULL, NULL), (10632, '', '大兴社区', 'c7909ac7ac11482485f32b746ac8d3ca', '4eae26e0fcea4654bc802f6130c067bd', 'False', 'True', 'false', 'false', '510821103001', 5, '大兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821103001', 1, '2021-07-19 11:41:41', NULL, NULL), (10633, '', '光明村', 'a4eea185ab5f4952b550ba4ea3666ded', '4eae26e0fcea4654bc802f6130c067bd', 'False', 'True', 'false', 'false', '510821103101', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821103101', 1, '2021-07-19 11:41:41', NULL, NULL), (10634, '', '卢家坝村', '39f605b522824250b8e3168f955d57fd', '4eae26e0fcea4654bc802f6130c067bd', 'False', 'True', 'false', 'false', '510821103241', 5, '卢家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821103241', 1, '2021-07-19 11:41:41', NULL, NULL), (10635, '', '麻英坝村', '677daf7d00a044ed8108d944d0d8f550', '4eae26e0fcea4654bc802f6130c067bd', 'False', 'True', 'false', 'false', '510821103319', 5, '麻英坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821103319', 1, '2021-07-19 11:41:41', NULL, NULL), (10636, '', '龙珠村', 'f732d34f44e04566aecedcdc753fa720', '4eae26e0fcea4654bc802f6130c067bd', 'False', 'True', 'false', 'false', '510821103353', 5, '龙珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821103353', 1, '2021-07-19 11:41:41', NULL, NULL), (10637, '', '尚山村', 'b1cb1325869d42b6acb266f3cdee4d71', '4eae26e0fcea4654bc802f6130c067bd', 'False', 'True', 'false', 'false', '510821103382', 5, '尚山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821103382', 1, '2021-07-19 11:41:41', NULL, NULL), (10638, '', '解放村', '672ba0b1a3db44738ffd52a3cbc4d7d4', '4eae26e0fcea4654bc802f6130c067bd', 'False', 'True', 'false', 'false', '510821103434', 5, '解放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821103434', 1, '2021-07-19 11:41:41', NULL, NULL), (10639, '', '水峰村', 'caa8be01c71d4ea8934b3e0f09aac022', '4eae26e0fcea4654bc802f6130c067bd', 'False', 'True', 'false', 'false', '510821103606', 5, '水峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821103606', 1, '2021-07-19 11:41:41', NULL, NULL), (10640, '', '快活村', '0c54affc81d1416eb4e15a4020c2cac6', '4eae26e0fcea4654bc802f6130c067bd', 'False', 'True', 'false', 'false', '510821103720', 5, '快活村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821103720', 1, '2021-07-19 11:41:41', NULL, NULL), (10641, '', '同心村', 'b2cd79134c934244b249051d059881f2', '4eae26e0fcea4654bc802f6130c067bd', 'False', 'True', 'false', 'false', '510821103737', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821103737', 1, '2021-07-19 11:41:41', NULL, NULL), (10642, '', '白水村', 'f1fac3d4ba53407593c1913c318e4139', '4eae26e0fcea4654bc802f6130c067bd', 'False', 'True', 'false', 'false', '510821103765', 5, '白水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821103765', 1, '2021-07-19 11:41:41', NULL, NULL), (10643, '', '大埝村', '6b05af09008049e49972746b7aaba8b5', '4eae26e0fcea4654bc802f6130c067bd', 'False', 'True', 'false', 'false', '510821103774', 5, '大埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821103774', 1, '2021-07-19 11:41:41', NULL, NULL), (10644, '', '勇敢村', '17a9f7415d834fa8b67b75e08ede6c01', '4eae26e0fcea4654bc802f6130c067bd', 'False', 'True', 'false', 'false', '510821103834', 5, '勇敢村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821103834', 1, '2021-07-19 11:41:41', NULL, NULL), (10645, '', '黄金村', '1cfec3fdfe8b4cfa9538fbbe0a8ac935', '4eae26e0fcea4654bc802f6130c067bd', 'False', 'True', 'false', 'false', '510821103874', 5, '黄金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821103874', 1, '2021-07-19 11:41:41', NULL, NULL), (10646, '', '静乐寺社区', '4adb2d725ae34014a0e610ec79bb8df8', '4eae26e0fcea4654bc802f6130c067bd', 'False', 'True', 'false', 'false', '510821103890', 5, '静乐寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821103890', 1, '2021-07-19 11:41:41', NULL, NULL), (10647, '', '嘉川镇', '8fbfbc168cc543c99f099fa352a2d98a', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821687000', 4, '嘉川镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821687000', 1, '2021-07-19 11:41:42', NULL, NULL), (10648, '', '五四村', '2906cd4a36db4ca8aa826d78038e4a79', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687148', 5, '五四村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687148', 1, '2021-07-19 11:41:42', NULL, NULL), (10649, '', '庆寨村', '07ac6c211e1245b1a7a5829cd37ba774', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687226', 5, '庆寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687226', 1, '2021-07-19 11:41:42', NULL, NULL), (10650, '', '教场梁社区', '28f6f470aadd44f18163c545afaa5065', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687256', 5, '教场梁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687256', 1, '2021-07-19 11:41:42', NULL, NULL), (10651, '', '真武宫社区', '7a82b113a4b34b1299a6f23f46201b16', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687280', 5, '真武宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687280', 1, '2021-07-19 11:41:42', NULL, NULL), (10652, '', '庙二湾社区', '0c8db531591a435490331dde0c39cff4', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687314', 5, '庙二湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687314', 1, '2021-07-19 11:41:42', NULL, NULL), (10653, '', '石龙村', 'a20829a0959e46efa94bb7cc37d61167', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687343', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687343', 1, '2021-07-19 11:41:42', NULL, NULL), (10654, '', '大树村', '272f373de56c4ae2967e7073dfd23612', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687345', 5, '大树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687345', 1, '2021-07-19 11:41:42', NULL, NULL), (10655, '', '灯塔村', '3ed940b82e074f9db91ba606de582031', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687395', 5, '灯塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687395', 1, '2021-07-19 11:41:42', NULL, NULL), (10656, '', '榆钱村', '496282de2ea74fb794b48fd29e5ae84b', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687442', 5, '榆钱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687442', 1, '2021-07-19 11:41:42', NULL, NULL), (10657, '', '槐树村', 'a70f936f8161420db17c600bcd1e17be', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687456', 5, '槐树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687456', 1, '2021-07-19 11:41:42', NULL, NULL), (10658, '', '唐家河社区', 'fdbd5c677f5145d2a1a4f77cf9a7def1', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687459', 5, '唐家河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687459', 1, '2021-07-19 11:41:42', NULL, NULL), (10659, '', '何家坝社区', '657b7f317838447b8a85ab9fda90f46a', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687499', 5, '何家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687499', 1, '2021-07-19 11:41:42', NULL, NULL), (10660, '', '顺水村', '7fcfd4f64c974a1a95db81f70e79f517', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687535', 5, '顺水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687535', 1, '2021-07-19 11:41:43', NULL, NULL), (10661, '', '五红村', '22ffec5a54c643a6827717662c660ac7', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687603', 5, '五红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687603', 1, '2021-07-19 11:41:43', NULL, NULL), (10662, '', '简家坝社区', 'cd2d58946f3640ffab0cef1a9dccfe96', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687612', 5, '简家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687612', 1, '2021-07-19 11:41:43', NULL, NULL), (10663, '', '和平村', '68f062fde2674c76a3cf9f0b1e9541bd', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687670', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687670', 1, '2021-07-19 11:41:43', NULL, NULL), (10664, '', '新生村', '2508d5a6052f4303accbe55e075b8f0b', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687671', 5, '新生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687671', 1, '2021-07-19 11:41:43', NULL, NULL), (10665, '', '石桥村', 'c910a920d9b14866b0a4c89d27e706d7', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687684', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687684', 1, '2021-07-19 11:41:43', NULL, NULL), (10666, '', '庙二村', 'd6b44a75c49f416aa5a41a3f09e45ef0', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687721', 5, '庙二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687721', 1, '2021-07-19 11:41:43', NULL, NULL), (10667, '', '群峰村', 'f4c9d3abb5c1488bbb9c7128deb32da7', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687806', 5, '群峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687806', 1, '2021-07-19 11:41:43', NULL, NULL), (10668, '', '蔬菜村', 'a02081c007744918a9177a2d7be23527', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687812', 5, '蔬菜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687812', 1, '2021-07-19 11:41:43', NULL, NULL), (10669, '', '自来村', '7d4ed41f326e4c9a9ca9936179fb29a4', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687865', 5, '自来村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687865', 1, '2021-07-19 11:41:43', NULL, NULL), (10670, '', '寨梁村', 'e40b95c3689a4b44a7cd9f90420e6aeb', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687896', 5, '寨梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687896', 1, '2021-07-19 11:41:43', NULL, NULL), (10671, '', '红旗村', '30100037671b42368ef8077f752d952a', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687923', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687923', 1, '2021-07-19 11:41:43', NULL, NULL), (10672, '', '胜利村', '28fee12000714dc9955bbcab614f5424', '8fbfbc168cc543c99f099fa352a2d98a', 'False', 'True', 'false', 'false', '510821687988', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821687988', 1, '2021-07-19 11:41:43', NULL, NULL), (10673, '', '米仓山镇', '9aa155fd1a5d457997182898acd04990', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821830000', 4, '米仓山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821830000', 1, '2021-07-19 11:41:44', NULL, NULL), (10674, '', '大坝村', 'c1dc97799d2e4e9784a81ad2d04f329d', '9aa155fd1a5d457997182898acd04990', 'False', 'True', 'false', 'false', '510821830048', 5, '大坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821830048', 1, '2021-07-19 11:41:44', NULL, NULL), (10675, '', '元山村', '4fc8402cb681447f9669241e5fea8d3f', '9aa155fd1a5d457997182898acd04990', 'False', 'True', 'false', 'false', '510821830246', 5, '元山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821830246', 1, '2021-07-19 11:41:44', NULL, NULL), (10676, '', '金竹村', 'ac214ba1d01540a282c3d0085fb85bed', '9aa155fd1a5d457997182898acd04990', 'False', 'True', 'false', 'false', '510821830713', 5, '金竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821830713', 1, '2021-07-19 11:41:44', NULL, NULL), (10677, '', '回龙社区', 'c816c73b64eb4dffa187a44d5740c783', '9aa155fd1a5d457997182898acd04990', 'False', 'True', 'false', 'false', '510821830766', 5, '回龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821830766', 1, '2021-07-19 11:41:44', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (10678, '', '鼓城山村', '77b01cbd73294ec3afb62526fd5acdbd', '9aa155fd1a5d457997182898acd04990', 'False', 'True', 'false', 'false', '510821830893', 5, '鼓城山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821830893', 1, '2021-07-19 11:41:44', NULL, NULL), (10679, '', '黄洋镇', '0f16f29f0b314b4391725918b6d0beca', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821847000', 4, '黄洋镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821847000', 1, '2021-07-19 11:41:44', NULL, NULL), (10680, '', '太阳村', 'ca68ad8b196d4e418f1d0158a4bc6e84', '0f16f29f0b314b4391725918b6d0beca', 'False', 'True', 'false', 'false', '510821847001', 5, '太阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821847001', 1, '2021-07-19 11:41:44', NULL, NULL), (10681, '', '赵家坝社区', 'fe5595987c40445f8a511dc81fa83a9f', '0f16f29f0b314b4391725918b6d0beca', 'False', 'True', 'false', 'false', '510821847211', 5, '赵家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821847211', 1, '2021-07-19 11:41:44', NULL, NULL), (10682, '', '古店村', '6e89bb1c0cca46b1922a2110fffe3891', '0f16f29f0b314b4391725918b6d0beca', 'False', 'True', 'false', 'false', '510821847368', 5, '古店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821847368', 1, '2021-07-19 11:41:44', NULL, NULL), (10683, '', '双安村', '5360d80b3d8943828d56743f3d78a63b', '0f16f29f0b314b4391725918b6d0beca', 'False', 'True', 'false', 'false', '510821847398', 5, '双安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821847398', 1, '2021-07-19 11:41:44', NULL, NULL), (10684, '', '水营村', '6d776d3689b3418d9bf62ebabd6cea0e', '0f16f29f0b314b4391725918b6d0beca', 'False', 'True', 'false', 'false', '510821847485', 5, '水营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821847485', 1, '2021-07-19 11:41:44', NULL, NULL), (10685, '', '黄洋河社区', 'e1b2a8f1758b49a888b6cdd424cb08df', '0f16f29f0b314b4391725918b6d0beca', 'False', 'True', 'false', 'false', '510821847576', 5, '黄洋河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821847576', 1, '2021-07-19 11:41:44', NULL, NULL), (10686, '', '金华村', '742a21485a094f5ab8959493db6ef9ce', '0f16f29f0b314b4391725918b6d0beca', 'False', 'True', 'false', 'false', '510821847687', 5, '金华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821847687', 1, '2021-07-19 11:41:44', NULL, NULL), (10687, '', '南溪村', '1a27dc5094d142b8a21cd39e4e49bc7f', '0f16f29f0b314b4391725918b6d0beca', 'False', 'True', 'false', 'false', '510821847882', 5, '南溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821847882', 1, '2021-07-19 11:41:44', NULL, NULL), (10688, '', '黄洋村', '92c452ad406f435b8b8ef3faac4c1b4f', '0f16f29f0b314b4391725918b6d0beca', 'False', 'True', 'false', 'false', '510821847992', 5, '黄洋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821847992', 1, '2021-07-19 11:41:44', NULL, NULL), (10689, '', '蟠龙村', '235980c7fa404899b31736c250efe0cc', '0f16f29f0b314b4391725918b6d0beca', 'False', 'True', 'false', 'false', '510821847343', 5, '蟠龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821847343', 1, '2021-07-19 11:41:44', NULL, NULL), (10690, '', '大德镇', 'b370c23d3eaf4bdd9bf9936b7e34bda3', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821982000', 4, '大德镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821982000', 1, '2021-07-19 11:41:44', NULL, NULL), (10691, '', '黄柏村', '6fe4bb1aca0147f988c12c5fdd41b423', 'b370c23d3eaf4bdd9bf9936b7e34bda3', 'False', 'True', 'false', 'false', '510821982036', 5, '黄柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821982036', 1, '2021-07-19 11:41:44', NULL, NULL), (10692, '', '工农村', '81154e02387f4608a30ef11f244133c2', 'b370c23d3eaf4bdd9bf9936b7e34bda3', 'False', 'True', 'false', 'false', '510821982042', 5, '工农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821982042', 1, '2021-07-19 11:41:44', NULL, NULL), (10693, '', '江长村', '8c134db0b5f4433b8b22dfbcae8d34bf', 'b370c23d3eaf4bdd9bf9936b7e34bda3', 'False', 'True', 'false', 'false', '510821982329', 5, '江长村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821982329', 1, '2021-07-19 11:41:45', NULL, NULL), (10694, '', '燎原村', 'befd674f58a94f458cc97fa96c90478f', 'b370c23d3eaf4bdd9bf9936b7e34bda3', 'False', 'True', 'false', 'false', '510821982737', 5, '燎原村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821982737', 1, '2021-07-19 11:41:45', NULL, NULL), (10695, '', '增产村', 'dd33ac7ac1cd4b868de2e9d6a325c56b', 'b370c23d3eaf4bdd9bf9936b7e34bda3', 'False', 'True', 'false', 'false', '510821982816', 5, '增产村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821982816', 1, '2021-07-19 11:41:45', NULL, NULL), (10696, '', '星火村', '72e19e3321404fd0b74737f34311cdb4', 'b370c23d3eaf4bdd9bf9936b7e34bda3', 'False', 'True', 'false', 'false', '510821982818', 5, '星火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821982818', 1, '2021-07-19 11:41:45', NULL, NULL), (10697, '', '金溪社区', 'c34edb1fd8824c31af2408bf33ea747a', 'b370c23d3eaf4bdd9bf9936b7e34bda3', 'False', 'True', 'false', 'false', '510821982870', 5, '金溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821982870', 1, '2021-07-19 11:41:45', NULL, NULL), (10698, '', '中坝村', '81f1d60b03814636af17ed2db72f8c31', 'b370c23d3eaf4bdd9bf9936b7e34bda3', 'False', 'True', 'false', 'false', '510821982915', 5, '中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821982915', 1, '2021-07-19 11:41:45', NULL, NULL), (10699, '', '英萃镇', '4df1403f41cd47ff9d890792b8c7ace3', 'eba5d45fa0d44136a1469e7aaba98356', 'True', 'True', 'false', 'false', '510821990000', 4, '英萃镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510821990000', 1, '2021-07-19 11:41:45', NULL, NULL), (10700, '', '雄鹰村', '18695bc5bf044e66a20896509afaeae7', '4df1403f41cd47ff9d890792b8c7ace3', 'False', 'True', 'false', 'false', '510821990053', 5, '雄鹰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821990053', 1, '2021-07-19 11:41:45', NULL, NULL), (10701, '', '关嘴村', 'ffa6846f01a948ea85af8377c338cfd8', '4df1403f41cd47ff9d890792b8c7ace3', 'False', 'True', 'false', 'false', '510821990100', 5, '关嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821990100', 1, '2021-07-19 11:41:45', NULL, NULL), (10702, '', '英安社区', '531d3ff73c7b42519efa71d87eebade4', '4df1403f41cd47ff9d890792b8c7ace3', 'False', 'True', 'false', 'false', '510821990127', 5, '英安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821990127', 1, '2021-07-19 11:41:45', NULL, NULL), (10703, '', '新建村', '3e9f56f6113a4327aaad24e9c0de0004', '4df1403f41cd47ff9d890792b8c7ace3', 'False', 'True', 'false', 'false', '510821990146', 5, '新建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821990146', 1, '2021-07-19 11:41:45', NULL, NULL), (10704, '', '中山村', 'be1a70befd514e85a44ed7cb7bf4e4c8', '4df1403f41cd47ff9d890792b8c7ace3', 'False', 'True', 'false', 'false', '510821990221', 5, '中山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821990221', 1, '2021-07-19 11:41:45', NULL, NULL), (10705, '', '蓝玉村', '5b2714e5f96d4d79af4ae51dce5c5fb0', '4df1403f41cd47ff9d890792b8c7ace3', 'False', 'True', 'false', 'false', '510821990227', 5, '蓝玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821990227', 1, '2021-07-19 11:41:45', NULL, NULL), (10706, '', '新房村', 'e815b1ac346b49398029b9b3fde53093', '4df1403f41cd47ff9d890792b8c7ace3', 'False', 'True', 'false', 'false', '510821990421', 5, '新房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821990421', 1, '2021-07-19 11:41:45', NULL, NULL), (10707, '', '学堂村', 'c1d848ca699d46fcb19f84545d0717c3', '4df1403f41cd47ff9d890792b8c7ace3', 'False', 'True', 'false', 'false', '510821990751', 5, '学堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821990751', 1, '2021-07-19 11:41:46', NULL, NULL), (10708, '', '竹园村', '36b84c753c234a99889822598c0da7ac', '4df1403f41cd47ff9d890792b8c7ace3', 'False', 'True', 'false', 'false', '510821990959', 5, '竹园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821990959', 1, '2021-07-19 11:41:46', NULL, NULL), (10709, '', '长石村', '154e7a21245c46c7b5325dfe83fe6aa5', '4df1403f41cd47ff9d890792b8c7ace3', 'False', 'True', 'false', 'false', '510821990993', 5, '长石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510821990993', 1, '2021-07-19 11:41:46', NULL, NULL), (10710, '', '青川县', 'bab92d7a73744e1f95e1d372948a2df5', '9602bf2b753c4158bf4862498e91da56', 'True', 'True', 'false', 'false', '510822000000', 3, '青川县', 'gysqcx.sczwfw.gov.cn', 1, '2021-07-19 11:41:46', NULL, NULL), (10711, '', '乔庄镇', 'ed8f5b9c215e467c9c8005b2531aa327', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822100000', 4, '乔庄镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822100000', 1, '2021-07-19 11:41:46', NULL, NULL), (10712, '', '秦兴社区', '5ba8d2d9dd074db18f1c9e93ff035df1', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100001', 5, '秦兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100001', 1, '2021-07-19 11:41:46', NULL, NULL), (10713, '', '方维社区', '8e6ddfed05b34a59be6ef39ad519e19b', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100002', 5, '方维社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100002', 1, '2021-07-19 11:41:46', NULL, NULL), (10714, '', '万众社区', 'a5111c679f2c423db3bd531a4f88cc86', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100003', 5, '万众社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100003', 1, '2021-07-19 11:41:46', NULL, NULL), (10715, '', '回龙社区', 'edf9aa9befff4b699f39cfc7f896d958', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100004', 5, '回龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100004', 1, '2021-07-19 11:41:46', NULL, NULL), (10716, '', '城郊社区', 'e0d49df0618245aca995c17cda0c0090', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100005', 5, '城郊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100005', 1, '2021-07-19 11:41:46', NULL, NULL), (10717, '', '孔溪社区', '5f4d2279b1564101bebd0e9ba2b9380c', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100010', 5, '孔溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100010', 1, '2021-07-19 11:41:46', NULL, NULL), (10718, '', '乌龙村', 'b6517b1a988d4e879b62d397d0be201e', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100011', 5, '乌龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100011', 1, '2021-07-19 11:41:46', NULL, NULL), (10719, '', '南溪村', '32db5e040bfc45adb976f100ec698c04', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100012', 5, '南溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100012', 1, '2021-07-19 11:41:46', NULL, NULL), (10720, '', '瓦砾村', 'dcbdc25f33bc46e98ddc3b63492a3a2c', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100013', 5, '瓦砾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100013', 1, '2021-07-19 11:41:46', NULL, NULL), (10721, '', '大坝村', '7f49afbc5a554f7e80e8749843265b23', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100014', 5, '大坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100014', 1, '2021-07-19 11:41:46', NULL, NULL), (10722, '', '群丰村', '25b7a3001e934897934b069bc1d5d8ba', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100015', 5, '群丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100015', 1, '2021-07-19 11:41:46', NULL, NULL), (10723, '', '新生村', '18790adfa6314520907555fb37bdbc08', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100016', 5, '新生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100016', 1, '2021-07-19 11:41:46', NULL, NULL), (10724, '', '解放村', 'ece7aa2b4de14455b09ee82706bdf762', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100017', 5, '解放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100017', 1, '2021-07-19 11:41:47', NULL, NULL), (10725, '', '枣树村', 'b2031cd3bbb54e8d83d7ffc6057eeac5', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100018', 5, '枣树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100018', 1, '2021-07-19 11:41:47', NULL, NULL), (10726, '', '大屋村', '2d1c861066ae4c88a3f1267eb3cd66ec', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100019', 5, '大屋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100019', 1, '2021-07-19 11:41:47', NULL, NULL), (10727, '', '庙子村', 'f1a074ba8d3945309bf195b4a8c70c0e', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100020', 5, '庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100020', 1, '2021-07-19 11:41:47', NULL, NULL), (10728, '', '黄坪社区', '811c823db601480cb63c0907e880b688', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100021', 5, '黄坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100021', 1, '2021-07-19 11:41:47', NULL, NULL), (10729, '', '遥林村', '740fe076e08f47b0941c8c51e56228f8', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100022', 5, '遥林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100022', 1, '2021-07-19 11:41:47', NULL, NULL), (10730, '', '弓家河', 'f467c160dacc4dfcb56189627b7b3249', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100023', 5, '弓家河', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100023', 1, '2021-07-19 11:41:47', NULL, NULL), (10731, '', '三盘村', '9b8716f0aeec4a70877b4f32bfdbe1cb', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100024', 5, '三盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100024', 1, '2021-07-19 11:41:47', NULL, NULL), (10732, '', '碓坪村', '71a939d733aa4a43ab140b38210f031e', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100025', 5, '碓坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100025', 1, '2021-07-19 11:41:47', NULL, NULL), (10733, '', '张家村', '643658352ef54f6da10215767caaee83', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100201', 5, '张家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100201', 1, '2021-07-19 11:41:47', NULL, NULL), (10734, '', '石元村', '7ac8abecadab4e47ac8265992d711810', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100202', 5, '石元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100202', 1, '2021-07-19 11:41:47', NULL, NULL), (10735, '', '大沟村', 'a24fc87347c5428ba6327fbde0a46a28', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100203', 5, '大沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100203', 1, '2021-07-19 11:41:47', NULL, NULL), (10736, '', '茶树村', '1a507a0578d9454ba273835a1ff94dd9', 'ed8f5b9c215e467c9c8005b2531aa327', 'False', 'True', 'false', 'false', '510822100204', 5, '茶树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822100204', 1, '2021-07-19 11:41:47', NULL, NULL), (10737, '', '青溪镇', '36c5750c4ac44b769aab19f82def9c17', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822101000', 4, '青溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822101000', 1, '2021-07-19 11:41:47', NULL, NULL), (10738, '', '东瓯社区', '5e834b9683ee40e3b872f2072a7f7389', '36c5750c4ac44b769aab19f82def9c17', 'False', 'True', 'false', 'false', '510822101002', 5, '东瓯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822101002', 1, '2021-07-19 11:41:48', NULL, NULL), (10739, '', '东方社区', 'd68daca5d3b04fbe92cfed35f9649785', '36c5750c4ac44b769aab19f82def9c17', 'False', 'True', 'false', 'false', '510822101001', 5, '东方社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822101001', 1, '2021-07-19 11:41:48', NULL, NULL), (10740, '', '大水村', '0b62b6f3b36b48b0a790f90e6541059e', '36c5750c4ac44b769aab19f82def9c17', 'False', 'True', 'false', 'false', '510822101200', 5, '大水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822101200', 1, '2021-07-19 11:41:48', NULL, NULL), (10741, '', '堰坪村', '89861b7048a84db9ba0f83edde51bfb0', '36c5750c4ac44b769aab19f82def9c17', 'False', 'True', 'false', 'false', '510822101201', 5, '堰坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822101201', 1, '2021-07-19 11:41:48', NULL, NULL), (10742, '', '东桥村', '15ff2de2c1564cb28077c4449b26fecc', '36c5750c4ac44b769aab19f82def9c17', 'False', 'True', 'false', 'false', '510822101203', 5, '东桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822101203', 1, '2021-07-19 11:41:48', NULL, NULL), (10743, '', '阴平村', '1e06c46d9fa5408b9c1e43cf76cef38e', '36c5750c4ac44b769aab19f82def9c17', 'False', 'True', 'false', 'false', '510822101205', 5, '阴平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822101205', 1, '2021-07-19 11:41:48', NULL, NULL), (10744, '', '徐坝村', '642f2f48f8c04965895a36aa3e668faf', '36c5750c4ac44b769aab19f82def9c17', 'False', 'True', 'false', 'false', '510822101208', 5, '徐坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822101208', 1, '2021-07-19 11:41:48', NULL, NULL), (10745, '', '金桥村', 'f2b4b43b8abc4381b88cd5965eaaf41e', '36c5750c4ac44b769aab19f82def9c17', 'False', 'True', 'false', 'false', '510822101209', 5, '金桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822101209', 1, '2021-07-19 11:41:48', NULL, NULL), (10746, '', '青溪村', '71312c2350564b068ba19ba7af7414dd', '36c5750c4ac44b769aab19f82def9c17', 'False', 'True', 'false', 'false', '510822101210', 5, '青溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822101210', 1, '2021-07-19 11:41:48', NULL, NULL), (10747, '', '魏坝村', '0a4714096ed7410da35ad4e61bd2cfda', '36c5750c4ac44b769aab19f82def9c17', 'False', 'True', 'false', 'false', '510822101212', 5, '魏坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822101212', 1, '2021-07-19 11:41:48', NULL, NULL), (10748, '', '落衣沟村', '56a683251ac54cd4bc91055e18808d9a', '36c5750c4ac44b769aab19f82def9c17', 'False', 'True', 'false', 'false', '510822101214', 5, '落衣沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822101214', 1, '2021-07-19 11:41:48', NULL, NULL), (10749, '', '房石镇', '7faa55e7095b4ca291e76d13c9be00d5', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822102000', 4, '房石镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822102000', 1, '2021-07-19 11:41:48', NULL, NULL), (10750, '', '前河村', 'f774b44b0e4e4d2f86500e4179d1c202', '7faa55e7095b4ca291e76d13c9be00d5', 'False', 'True', 'false', 'false', '510822102200', 5, '前河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822102200', 1, '2021-07-19 11:41:48', NULL, NULL), (10751, '', '兴福村', 'a37560d479724fb188c9182bd0ec7270', '7faa55e7095b4ca291e76d13c9be00d5', 'False', 'True', 'false', 'false', '510822102201', 5, '兴福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822102201', 1, '2021-07-19 11:41:48', NULL, NULL), (10752, '', '里河村', '6bb885ca14e347319fffee650c14ea63', '7faa55e7095b4ca291e76d13c9be00d5', 'False', 'True', 'false', 'false', '510822102203', 5, '里河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822102203', 1, '2021-07-19 11:41:48', NULL, NULL), (10753, '', '天井村', '754f841aa53a4a9c8c097c5e96e1ec4e', '7faa55e7095b4ca291e76d13c9be00d5', 'False', 'True', 'false', 'false', '510822102204', 5, '天井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822102204', 1, '2021-07-19 11:41:48', NULL, NULL), (10754, '', '百兴村', 'ef65c02c996242f5ac84c9ebc17ff9b2', '7faa55e7095b4ca291e76d13c9be00d5', 'False', 'True', 'false', 'false', '510822102207', 5, '百兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822102207', 1, '2021-07-19 11:41:48', NULL, NULL), (10755, '', '新桥村', 'ef65ba0f5ac34f6f9ea29d813fb5e4c6', '7faa55e7095b4ca291e76d13c9be00d5', 'False', 'True', 'false', 'false', '510822102209', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822102209', 1, '2021-07-19 11:41:48', NULL, NULL), (10756, '', '大石坝社区', '3c916680842f45f38f5b2b10fb2fd4d3', '7faa55e7095b4ca291e76d13c9be00d5', 'False', 'True', 'false', 'false', '510822102212', 5, '大石坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822102212', 1, '2021-07-19 11:41:48', NULL, NULL), (10757, '', '关庄镇', 'f38c7311070543c6bc0d6e5df6d219ed', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822103000', 4, '关庄镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822103000', 1, '2021-07-19 11:41:48', NULL, NULL), (10758, '', '红光社区', 'cf14aebdbfb24e40b48f3ea2c3fb2b8d', 'f38c7311070543c6bc0d6e5df6d219ed', 'False', 'True', 'false', 'false', '510822103006', 5, '红光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822103006', 1, '2021-07-19 11:41:49', NULL, NULL), (10759, '', '东河口村', '824e8cf1aa1e4f0ebd1d7d3a3d20af66', 'f38c7311070543c6bc0d6e5df6d219ed', 'False', 'True', 'false', 'false', '510822103007', 5, '东河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822103007', 1, '2021-07-19 11:41:49', NULL, NULL), (10760, '', '陶龙村', 'fc540fa0b4684c4b8db5cdeeea762da1', 'f38c7311070543c6bc0d6e5df6d219ed', 'False', 'True', 'false', 'false', '510822103008', 5, '陶龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822103008', 1, '2021-07-19 11:41:49', NULL, NULL), (10761, '', '书房村', 'e32a3cd58ef14ae9b69ef182e4d1caf0', 'f38c7311070543c6bc0d6e5df6d219ed', 'False', 'True', 'false', 'false', '510822103009', 5, '书房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822103009', 1, '2021-07-19 11:41:49', NULL, NULL), (10762, '', '苏河村', '661e4cdbccf0463982cdf096c1256af4', 'f38c7311070543c6bc0d6e5df6d219ed', 'False', 'True', 'false', 'false', '510822103010', 5, '苏河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822103010', 1, '2021-07-19 11:41:49', NULL, NULL), (10763, '', '樟河村', '28a4ec59c0854b6ca6096b3c12df2690', 'f38c7311070543c6bc0d6e5df6d219ed', 'False', 'True', 'false', 'false', '510822103011', 5, '樟河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822103011', 1, '2021-07-19 11:41:49', NULL, NULL), (10764, '', '樱桃村', 'e8cf06516e334ccc85ca7015ffcc76e2', 'f38c7311070543c6bc0d6e5df6d219ed', 'False', 'True', 'false', 'false', '510822103012', 5, '樱桃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822103012', 1, '2021-07-19 11:41:49', NULL, NULL), (10765, '', '寺坝社区', 'f34f992b8094415db627b72f08930763', 'f38c7311070543c6bc0d6e5df6d219ed', 'False', 'True', 'false', 'false', '510822103001', 5, '寺坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822103001', 1, '2021-07-19 11:41:49', NULL, NULL), (10766, '', '沙坝社区', '5ef2fd8604024056a63577198fef006c', 'f38c7311070543c6bc0d6e5df6d219ed', 'False', 'True', 'false', 'false', '510822103002', 5, '沙坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822103002', 1, '2021-07-19 11:41:49', NULL, NULL), (10767, '', '群力村', '1920e098cf654323b517087512eeafcb', 'f38c7311070543c6bc0d6e5df6d219ed', 'False', 'True', 'false', 'false', '510822103200', 5, '群力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822103200', 1, '2021-07-19 11:41:49', NULL, NULL), (10768, '', '固井村', 'ac376542489644998bb1ee9f669acf90', 'f38c7311070543c6bc0d6e5df6d219ed', 'False', 'True', 'false', 'false', '510822103202', 5, '固井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822103202', 1, '2021-07-19 11:41:49', NULL, NULL), (10769, '', '凉水镇', '2e30806089b943cc81d05cd6b35a4e56', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822104000', 4, '凉水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822104000', 1, '2021-07-19 11:41:49', NULL, NULL), (10770, '', '茅坝村', '8ebdff49ec0342198a1b95a69a2b122e', '2e30806089b943cc81d05cd6b35a4e56', 'False', 'True', 'false', 'false', '510822104207', 5, '茅坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822104207', 1, '2021-07-19 11:41:49', NULL, NULL), (10771, '', '曙光村', 'bc9e75fe55ed489ca56345ec67e74076', '2e30806089b943cc81d05cd6b35a4e56', 'False', 'True', 'false', 'false', '510822104208', 5, '曙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822104208', 1, '2021-07-19 11:41:49', NULL, NULL), (10772, '', '凉水井社区', '31bad37a58c54708a539f5846be7f9d8', '2e30806089b943cc81d05cd6b35a4e56', 'False', 'True', 'false', 'false', '510822104001', 5, '凉水井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822104001', 1, '2021-07-19 11:41:49', NULL, NULL), (10773, '', '跃进村', 'b12dd387239845c8a2804d57e077f9d2', '2e30806089b943cc81d05cd6b35a4e56', 'False', 'True', 'false', 'false', '510822104200', 5, '跃进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822104200', 1, '2021-07-19 11:41:50', NULL, NULL), (10774, '', '团结村', '1f36550caa4c45aaa0bf0895bba3cea8', '2e30806089b943cc81d05cd6b35a4e56', 'False', 'True', 'false', 'false', '510822104201', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822104201', 1, '2021-07-19 11:41:50', NULL, NULL), (10775, '', '凉华村', '3ded455db4ad474284926657e484d7bf', '2e30806089b943cc81d05cd6b35a4e56', 'False', 'True', 'false', 'false', '510822104202', 5, '凉华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822104202', 1, '2021-07-19 11:41:50', NULL, NULL), (10776, '', '群英村', 'e6ddd52e3f38422bbbea96e64e8ebd33', '2e30806089b943cc81d05cd6b35a4e56', 'False', 'True', 'false', 'false', '510822104203', 5, '群英村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822104203', 1, '2021-07-19 11:41:50', NULL, NULL), (10777, '', '学房村', '4cfa9bb7d2c04a008047b6d374c3cce1', '2e30806089b943cc81d05cd6b35a4e56', 'False', 'True', 'false', 'false', '510822104204', 5, '学房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822104204', 1, '2021-07-19 11:41:50', NULL, NULL), (10778, '', '友谊村', 'e3301393cce7462fb072e29998355e7f', '2e30806089b943cc81d05cd6b35a4e56', 'False', 'True', 'false', 'false', '510822104205', 5, '友谊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822104205', 1, '2021-07-19 11:41:50', NULL, NULL), (10779, '', '胜利村', 'b9bbe53d58d14dc88623c7abacc7bfdb', '2e30806089b943cc81d05cd6b35a4e56', 'False', 'True', 'false', 'false', '510822104206', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822104206', 1, '2021-07-19 11:41:50', NULL, NULL), (10780, '', '竹园镇', '750d1346ab724db29ada515b56c25eb0', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822105000', 4, '竹园镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822105000', 1, '2021-07-19 11:41:50', NULL, NULL), (10781, '', '桃源社区', '65859d9dfe1242eaa251d095dd6c8be5', '750d1346ab724db29ada515b56c25eb0', 'False', 'True', 'false', 'false', '510822105009', 5, '桃源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822105009', 1, '2021-07-19 11:41:50', NULL, NULL), (10782, '', '马鹿社区', 'c048552f35f34dde8e70b8b007b4fd8a', '750d1346ab724db29ada515b56c25eb0', 'False', 'True', 'false', 'false', '510822105010', 5, '马鹿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822105010', 1, '2021-07-19 11:41:50', NULL, NULL), (10783, '', '龙峰社区', '5b8663b5f80643b2a75fac1a13a4d0c5', '750d1346ab724db29ada515b56c25eb0', 'False', 'True', 'false', 'false', '510822105011', 5, '龙峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822105011', 1, '2021-07-19 11:41:50', NULL, NULL), (10784, '', '金子山社区', '1e9d560352904a6ea1bc6dc0e8c56365', '750d1346ab724db29ada515b56c25eb0', 'False', 'True', 'false', 'false', '510822105013', 5, '金子山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822105013', 1, '2021-07-19 11:41:50', NULL, NULL), (10785, '', '衡柏村', 'e3498de4670e45389b2a94bb2c2d1bd7', '750d1346ab724db29ada515b56c25eb0', 'False', 'True', 'false', 'false', '510822105014', 5, '衡柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822105014', 1, '2021-07-19 11:41:50', NULL, NULL), (10786, '', '菜溪村', '5d496067450b42ebb0ef7d5de4a7a1bb', '750d1346ab724db29ada515b56c25eb0', 'False', 'True', 'false', 'false', '510822105015', 5, '菜溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822105015', 1, '2021-07-19 11:41:50', NULL, NULL), (10787, '', '梁沙社区', 'ba75bc609b05457eb3ace57633ecaae1', '750d1346ab724db29ada515b56c25eb0', 'False', 'True', 'false', 'false', '510822105002', 5, '梁沙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822105002', 1, '2021-07-19 11:41:50', NULL, NULL), (10788, '', '竹园坝社区', '5fab8464b0dc4d649e125635bdd9ce6c', '750d1346ab724db29ada515b56c25eb0', 'False', 'True', 'false', 'false', '510822105003', 5, '竹园坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822105003', 1, '2021-07-19 11:41:50', NULL, NULL), (10789, '', '白沙社区', 'dece4e2c825342d1b269e9763586dfe3', '750d1346ab724db29ada515b56c25eb0', 'False', 'True', 'false', 'false', '510822105004', 5, '白沙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822105004', 1, '2021-07-19 11:41:50', NULL, NULL), (10790, '', '方石村', 'ab24b6d3a7e945739251550bb0d85d42', '750d1346ab724db29ada515b56c25eb0', 'False', 'True', 'false', 'false', '510822105012', 5, '方石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822105012', 1, '2021-07-19 11:41:51', NULL, NULL), (10791, '', '黄沙村', '427c5b8e24034404b00b29e02b071467', '750d1346ab724db29ada515b56c25eb0', 'False', 'True', 'false', 'false', '510822105201', 5, '黄沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822105201', 1, '2021-07-19 11:41:51', NULL, NULL), (10792, '', '河口村', 'd2ca09f4979d48ab9d3ca3bbc367327a', '750d1346ab724db29ada515b56c25eb0', 'False', 'True', 'false', 'false', '510822105204', 5, '河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822105204', 1, '2021-07-19 11:41:51', NULL, NULL), (10793, '', '清江村', '43f7a01a32224fc8b8fbff928b345b8b', '750d1346ab724db29ada515b56c25eb0', 'False', 'True', 'false', 'false', '510822105206', 5, '清江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822105206', 1, '2021-07-19 11:41:51', NULL, NULL), (10794, '', '银沙社区', '0c18c230a5924b8191f7029d70a71264', '750d1346ab724db29ada515b56c25eb0', 'False', 'True', 'false', 'false', '510822105207', 5, '银沙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822105207', 1, '2021-07-19 11:41:51', NULL, NULL), (10795, '', '三郎村', '31c10edcf1834b6f932b11b8cdb2d628', '750d1346ab724db29ada515b56c25eb0', 'False', 'True', 'false', 'false', '510822105208', 5, '三郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822105208', 1, '2021-07-19 11:41:51', NULL, NULL), (10796, '', '木鱼镇', 'fdc593a98ff241ef94174210cf3a8e31', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822106000', 4, '木鱼镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822106000', 1, '2021-07-19 11:41:51', NULL, NULL), (10797, '', '木鱼村', '26c897e90df04b69963b04d8441fdbaf', 'fdc593a98ff241ef94174210cf3a8e31', 'False', 'True', 'false', 'false', '510822106001', 5, '木鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822106001', 1, '2021-07-19 11:41:51', NULL, NULL), (10798, '', '铁炉村', '907b01c9247f4546931133823b18b494', 'fdc593a98ff241ef94174210cf3a8e31', 'False', 'True', 'false', 'false', '510822106002', 5, '铁炉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822106002', 1, '2021-07-19 11:41:51', NULL, NULL), (10799, '', '文武社区', '1795d8d3b6ad4f8b96e5e325a1901a34', 'fdc593a98ff241ef94174210cf3a8e31', 'False', 'True', 'false', 'false', '510822106003', 5, '文武社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822106003', 1, '2021-07-19 11:41:51', NULL, NULL), (10800, '', '石牛社区', 'aa393119faa24399ad3fd3d93fd7a05a', 'fdc593a98ff241ef94174210cf3a8e31', 'False', 'True', 'false', 'false', '510822106004', 5, '石牛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822106004', 1, '2021-07-19 11:41:51', NULL, NULL), (10801, '', '板桥村', '532e4415641b415dbbf321f1e2f4755a', 'fdc593a98ff241ef94174210cf3a8e31', 'False', 'True', 'false', 'false', '510822106005', 5, '板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822106005', 1, '2021-07-19 11:41:51', NULL, NULL), (10802, '', '前山村', '6ffb84c2c7774b23abb18786052d6797', 'fdc593a98ff241ef94174210cf3a8e31', 'False', 'True', 'false', 'false', '510822106006', 5, '前山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822106006', 1, '2021-07-19 11:41:51', NULL, NULL), (10803, '', '新坝村', '6b1ab43c2aba4d668b2eb9f9c83e3a09', 'fdc593a98ff241ef94174210cf3a8e31', 'False', 'True', 'false', 'false', '510822106007', 5, '新坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822106007', 1, '2021-07-19 11:41:51', NULL, NULL), (10804, '', '红旗社区', 'c53f7e4412bc4e03883253918e7aa121', 'fdc593a98ff241ef94174210cf3a8e31', 'False', 'True', 'false', 'false', '510822106008', 5, '红旗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822106008', 1, '2021-07-19 11:41:51', NULL, NULL), (10805, '', '沙州镇', '1e15ae228d0a41cb974d528da88c8524', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822107000', 4, '沙州镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822107000', 1, '2021-07-19 11:41:51', NULL, NULL), (10806, '', '乐园村', '7355d6b8175c4d49b29e525dc5bc04a5', '1e15ae228d0a41cb974d528da88c8524', 'False', 'True', 'false', 'false', '510822107004', 5, '乐园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822107004', 1, '2021-07-19 11:41:52', NULL, NULL), (10807, '', '永红村', '572deca94cf544378f37bea32bcc1557', '1e15ae228d0a41cb974d528da88c8524', 'False', 'True', 'false', 'false', '510822107005', 5, '永红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822107005', 1, '2021-07-19 11:41:52', NULL, NULL), (10808, '', '高峰村', '5140656183db4b43bf89c8b16b7cc1db', '1e15ae228d0a41cb974d528da88c8524', 'False', 'True', 'false', 'false', '510822107006', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822107006', 1, '2021-07-19 11:41:52', NULL, NULL), (10809, '', '白河村', '25bdf0169cdd4b2da570340b2a057232', '1e15ae228d0a41cb974d528da88c8524', 'False', 'True', 'false', 'false', '510822107007', 5, '白河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822107007', 1, '2021-07-19 11:41:52', NULL, NULL), (10810, '', '东山村', 'f4b46de1b0284690830ef8ef26f9007c', '1e15ae228d0a41cb974d528da88c8524', 'False', 'True', 'false', 'false', '510822107008', 5, '东山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822107008', 1, '2021-07-19 11:41:52', NULL, NULL), (10811, '', '白龙湖社区', '46675f6de7f040028578b325f49c5145', '1e15ae228d0a41cb974d528da88c8524', 'False', 'True', 'false', 'false', '510822107009', 5, '白龙湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822107009', 1, '2021-07-19 11:41:52', NULL, NULL), (10812, '', '白水关社区', '435f00a8af75485db3c1e065bbdabac6', '1e15ae228d0a41cb974d528da88c8524', 'False', 'True', 'false', 'false', '510822107010', 5, '白水关社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822107010', 1, '2021-07-19 11:41:52', NULL, NULL), (10813, '', '南丰村', '58d1c2c6fd6e4adc8587b98e798d64ac', '1e15ae228d0a41cb974d528da88c8524', 'False', 'True', 'false', 'false', '510822107200', 5, '南丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822107200', 1, '2021-07-19 11:41:52', NULL, NULL), (10814, '', '江边村', 'a62368e57f534c2dbe8a25c979a63e8d', '1e15ae228d0a41cb974d528da88c8524', 'False', 'True', 'false', 'false', '510822107201', 5, '江边村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822107201', 1, '2021-07-19 11:41:52', NULL, NULL), (10815, '', '寺沟村', '6153f8c113f64d1d833bd16c433d54b1', '1e15ae228d0a41cb974d528da88c8524', 'False', 'True', 'false', 'false', '510822107204', 5, '寺沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822107204', 1, '2021-07-19 11:41:52', NULL, NULL), (10816, '', '幸福村', '5071dbb117954bc2bd5c83b4b7d14a6d', '1e15ae228d0a41cb974d528da88c8524', 'False', 'True', 'false', 'false', '510822107206', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822107206', 1, '2021-07-19 11:41:52', NULL, NULL), (10817, '', '三堆村', '0f0ed72eec6048cda1750c8a2515369b', '1e15ae228d0a41cb974d528da88c8524', 'False', 'True', 'false', 'false', '510822107208', 5, '三堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822107208', 1, '2021-07-19 11:41:52', NULL, NULL), (10818, '', '青坪村', '7135cabdf3584ab9b5fa99c90d4a2e62', '1e15ae228d0a41cb974d528da88c8524', 'False', 'True', 'false', 'false', '510822107209', 5, '青坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822107209', 1, '2021-07-19 11:41:52', NULL, NULL), (10819, '', '姚渡镇', 'f28247a8254646f480428cc881f49bf1', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822108000', 4, '姚渡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822108000', 1, '2021-07-19 11:41:52', NULL, NULL), (10820, '', '汉道河村', '533b9462ecbd40e6b37f86159e6d4356', 'f28247a8254646f480428cc881f49bf1', 'False', 'True', 'false', 'false', '510822108387', 5, '汉道河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822108387', 1, '2021-07-19 11:41:52', NULL, NULL), (10821, '', '姚家渡社区', 'f7fc1b45c77e46abbadb68c67f2de024', 'f28247a8254646f480428cc881f49bf1', 'False', 'True', 'false', 'false', '510822108001', 5, '姚家渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822108001', 1, '2021-07-19 11:41:53', NULL, NULL), (10822, '', '市坪村', '4afdd5b12ccf4fe796bc08ade3b2512e', 'f28247a8254646f480428cc881f49bf1', 'False', 'True', 'false', 'false', '510822108200', 5, '市坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822108200', 1, '2021-07-19 11:41:53', NULL, NULL), (10823, '', '柳田村', 'ff9bd382292d4b01bdfab9457e35a5cc', 'f28247a8254646f480428cc881f49bf1', 'False', 'True', 'false', 'false', '510822108205', 5, '柳田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822108205', 1, '2021-07-19 11:41:53', NULL, NULL), (10824, '', '三锅镇', '7016a9e5b9ca4ca78986992ddd4aaac0', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822109000', 4, '三锅镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822109000', 1, '2021-07-19 11:41:53', NULL, NULL), (10825, '', '河西村', '235e4cd33dc6473e80cd48822f6b7688', '7016a9e5b9ca4ca78986992ddd4aaac0', 'False', 'True', 'false', 'false', '510822109103', 5, '河西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822109103', 1, '2021-07-19 11:41:53', NULL, NULL), (10826, '', '苏阳村', 'c15a6194e21c473d8921ffe5cfb4e0ac', '7016a9e5b9ca4ca78986992ddd4aaac0', 'False', 'True', 'false', 'false', '510822109358', 5, '苏阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822109358', 1, '2021-07-19 11:41:53', NULL, NULL), (10827, '', '渔寨村', 'd03fedf7c56e463ba4a261f68914f94e', '7016a9e5b9ca4ca78986992ddd4aaac0', 'False', 'True', 'false', 'false', '510822109745', 5, '渔寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822109745', 1, '2021-07-19 11:41:53', NULL, NULL), (10828, '', '青石村', 'e5ec7f5abb6e46c7a0972d707ab7070c', '7016a9e5b9ca4ca78986992ddd4aaac0', 'False', 'True', 'false', 'false', '510822109753', 5, '青石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822109753', 1, '2021-07-19 11:41:53', NULL, NULL), (10829, '', '桥楼社区', '5fccdf767cda4a71b4c8ce06722f208d', '7016a9e5b9ca4ca78986992ddd4aaac0', 'False', 'True', 'false', 'false', '510822109975', 5, '桥楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822109975', 1, '2021-07-19 11:41:53', NULL, NULL), (10830, '', '三锅石社区', 'd239745fbb9d42029a823c94a639b1e0', '7016a9e5b9ca4ca78986992ddd4aaac0', 'False', 'True', 'false', 'false', '510822109001', 5, '三锅石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822109001', 1, '2021-07-19 11:41:53', NULL, NULL), (10831, '', '东阳村', 'a6d8dbccbcca4d59bbac0ff466f0f4a7', '7016a9e5b9ca4ca78986992ddd4aaac0', 'False', 'True', 'false', 'false', '510822109200', 5, '东阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822109200', 1, '2021-07-19 11:41:53', NULL, NULL), (10832, '', '民利村', '039a31a7794d42eea541482f6eec5cdc', '7016a9e5b9ca4ca78986992ddd4aaac0', 'False', 'True', 'false', 'false', '510822109201', 5, '民利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822109201', 1, '2021-07-19 11:41:53', NULL, NULL), (10833, '', '民兴村', '516f1ff2f2a74eeeb1447c396909801f', '7016a9e5b9ca4ca78986992ddd4aaac0', 'False', 'True', 'false', 'false', '510822109202', 5, '民兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822109202', 1, '2021-07-19 11:41:53', NULL, NULL), (10834, '', '杨柳村', 'f74e6b3f59e94af0bc924aa7c85b2fbc', '7016a9e5b9ca4ca78986992ddd4aaac0', 'False', 'True', 'false', 'false', '510822109204', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822109204', 1, '2021-07-19 11:41:53', NULL, NULL), (10835, '', '茶坝乡', '991e7189a88c4c4c80477213fc1613cd', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822203000', 4, '茶坝乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822203000', 1, '2021-07-19 11:41:54', NULL, NULL), (10836, '', '炉场社区', '311bc171040e4ded8f23778c4c397630', '991e7189a88c4c4c80477213fc1613cd', 'False', 'True', 'false', 'false', '510822203001', 5, '炉场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822203001', 1, '2021-07-19 11:41:54', NULL, NULL), (10837, '', '平溪村', '8599356f11f6402c94b7c9b68ba5a340', '991e7189a88c4c4c80477213fc1613cd', 'False', 'True', 'false', 'false', '510822203212', 5, '平溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822203212', 1, '2021-07-19 11:41:54', NULL, NULL), (10838, '', '双河村', 'be41e221e13b4f23b10878113f114234', '991e7189a88c4c4c80477213fc1613cd', 'False', 'True', 'false', 'false', '510822203201', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822203201', 1, '2021-07-19 11:41:54', NULL, NULL), (10839, '', '兴龙村', '3837070d8f8b4f4cbf9d7b1007fece88', '991e7189a88c4c4c80477213fc1613cd', 'False', 'True', 'false', 'false', '510822203202', 5, '兴龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822203202', 1, '2021-07-19 11:41:54', NULL, NULL), (10840, '', '月明村', '284a800418bf4055ac83d30d4e159cfc', '991e7189a88c4c4c80477213fc1613cd', 'False', 'True', 'false', 'false', '510822203205', 5, '月明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822203205', 1, '2021-07-19 11:41:54', NULL, NULL), (10841, '', '青岭村', 'bd6f5f5eb5454d4fa02482792517af96', '991e7189a88c4c4c80477213fc1613cd', 'False', 'True', 'false', 'false', '510822203206', 5, '青岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822203206', 1, '2021-07-19 11:41:54', NULL, NULL), (10842, '', '新石村', '057c4105d4e34f6680cc45b3047f4e7f', '991e7189a88c4c4c80477213fc1613cd', 'False', 'True', 'false', 'false', '510822203210', 5, '新石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822203210', 1, '2021-07-19 11:41:54', NULL, NULL), (10843, '', '青新村', 'de574fd56a994de6824387290215ed96', '991e7189a88c4c4c80477213fc1613cd', 'False', 'True', 'false', 'false', '510822203203', 5, '青新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822203203', 1, '2021-07-19 11:41:54', NULL, NULL), (10844, '', '蒿溪回族乡', '2cada143a2964e4c82ede8be0ba5633b', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822207000', 4, '蒿溪回族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822207000', 1, '2021-07-19 11:41:54', NULL, NULL), (10845, '', '地坪村', '15db6e297eb64b22979f61d1db060819', '2cada143a2964e4c82ede8be0ba5633b', 'False', 'True', 'false', 'false', '510822207200', 5, '地坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822207200', 1, '2021-07-19 11:41:54', NULL, NULL), (10846, '', '青光村', 'b76e63d9bd33464291eacd7c1bba704d', '2cada143a2964e4c82ede8be0ba5633b', 'False', 'True', 'false', 'false', '510822207201', 5, '青光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822207201', 1, '2021-07-19 11:41:54', NULL, NULL), (10847, '', '炭河村', '9b493dda910b455ead04e2f96524c79f', '2cada143a2964e4c82ede8be0ba5633b', 'False', 'True', 'false', 'false', '510822207203', 5, '炭河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822207203', 1, '2021-07-19 11:41:54', NULL, NULL), (10848, '', '光辉村', 'ec56528e2993405092d80b728310b149', '2cada143a2964e4c82ede8be0ba5633b', 'False', 'True', 'false', 'false', '510822207204', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822207204', 1, '2021-07-19 11:41:54', NULL, NULL), (10849, '', '乐安镇', '73d672b78c9c4678b778714bf7958b6f', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822208000', 4, '乐安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822208000', 1, '2021-07-19 11:41:54', NULL, NULL), (10850, '', '大桥社区', 'fbda4a5dcb9e4a588b8ee7373f60fa62', '73d672b78c9c4678b778714bf7958b6f', 'False', 'True', 'false', 'false', '510822208002', 5, '大桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822208002', 1, '2021-07-19 11:41:55', NULL, NULL), (10851, '', '古城村', '24c1eb6bbca9498fadfed814b07a3d74', '73d672b78c9c4678b778714bf7958b6f', 'False', 'True', 'false', 'false', '510822208005', 5, '古城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822208005', 1, '2021-07-19 11:41:55', NULL, NULL), (10852, '', '康坝村', '6779742d93a04e1a9b992ce009fe7c4e', '73d672b78c9c4678b778714bf7958b6f', 'False', 'True', 'false', 'false', '510822208006', 5, '康坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822208006', 1, '2021-07-19 11:41:55', NULL, NULL), (10853, '', '长坪村', '26c3e544c37e45faab641f2e7efdaf49', '73d672b78c9c4678b778714bf7958b6f', 'False', 'True', 'false', 'false', '510822208007', 5, '长坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822208007', 1, '2021-07-19 11:41:55', NULL, NULL), (10854, '', '松柏村', '0d5fd3943c4a400c9c77d29fb4cadff0', '73d672b78c9c4678b778714bf7958b6f', 'False', 'True', 'false', 'false', '510822208008', 5, '松柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822208008', 1, '2021-07-19 11:41:55', NULL, NULL), (10855, '', '通坝村', '839787dc936c4f9abcdb627b63183070', '73d672b78c9c4678b778714bf7958b6f', 'False', 'True', 'false', 'false', '510822208200', 5, '通坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822208200', 1, '2021-07-19 11:41:55', NULL, NULL), (10856, '', '向阳村', '2c079215a9f74bd58fd71f736263fa46', '73d672b78c9c4678b778714bf7958b6f', 'False', 'True', 'false', 'false', '510822208201', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822208201', 1, '2021-07-19 11:41:55', NULL, NULL), (10857, '', '后坝村', 'f6108cabc02c4afe903396719b7b5d5f', '73d672b78c9c4678b778714bf7958b6f', 'False', 'True', 'false', 'false', '510822208202', 5, '后坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822208202', 1, '2021-07-19 11:41:55', NULL, NULL), (10858, '', '曲河乡', 'b30ba3ad654f47e1846f72a0d74cfa19', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822210000', 4, '曲河乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822210000', 1, '2021-07-19 11:41:55', NULL, NULL), (10859, '', '稻香社区', '216ae4fada5e4b9c921cd397dc15459a', 'b30ba3ad654f47e1846f72a0d74cfa19', 'False', 'True', 'false', 'false', '510822210001', 5, '稻香社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822210001', 1, '2021-07-19 11:41:55', NULL, NULL), (10860, '', '青城社区', 'b9600dcf0fa048cbba88a94c09f972ad', 'b30ba3ad654f47e1846f72a0d74cfa19', 'False', 'True', 'false', 'false', '510822210002', 5, '青城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822210002', 1, '2021-07-19 11:41:55', NULL, NULL), (10861, '', '青龙湖村', '80fe25e80c624acbbd8139f335defaf1', 'b30ba3ad654f47e1846f72a0d74cfa19', 'False', 'True', 'false', 'false', '510822210204', 5, '青龙湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822210204', 1, '2021-07-19 11:41:55', NULL, NULL), (10862, '', '银洞村', '1f677dd8a82f41a0a5904045fa7ad773', 'b30ba3ad654f47e1846f72a0d74cfa19', 'False', 'True', 'false', 'false', '510822210206', 5, '银洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822210206', 1, '2021-07-19 11:41:55', NULL, NULL), (10863, '', '建新村', '3bdf15af117c4618a377b0a7fee401ec', 'b30ba3ad654f47e1846f72a0d74cfa19', 'False', 'True', 'false', 'false', '510822210212', 5, '建新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822210212', 1, '2021-07-19 11:41:55', NULL, NULL), (10864, '', '石坝乡', 'ceb36ac94781440d8d9d7016eb2f0871', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822212000', 4, '石坝乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822212000', 1, '2021-07-19 11:41:55', NULL, NULL), (10865, '', '三台村', '604dd392ea154f0ea7ca863705a7bde4', 'ceb36ac94781440d8d9d7016eb2f0871', 'False', 'True', 'false', 'false', '510822212206', 5, '三台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822212206', 1, '2021-07-19 11:41:55', NULL, NULL), (10866, '', '马公村', '54ff0f61a027414d9531180ed37928db', 'ceb36ac94781440d8d9d7016eb2f0871', 'False', 'True', 'false', 'false', '510822212207', 5, '马公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822212207', 1, '2021-07-19 11:41:56', NULL, NULL), (10867, '', '大房村', '1428af70d10440ab8979ae660b38b80b', 'ceb36ac94781440d8d9d7016eb2f0871', 'False', 'True', 'false', 'false', '510822212200', 5, '大房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822212200', 1, '2021-07-19 11:41:56', NULL, NULL), (10868, '', '三江村', '5461aa3caabd4a8b95df45684476fa34', 'ceb36ac94781440d8d9d7016eb2f0871', 'False', 'True', 'false', 'false', '510822212201', 5, '三江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822212201', 1, '2021-07-19 11:41:56', NULL, NULL), (10869, '', '中心村', '4cb33b07402242f4ba8008a03abc40e3', 'ceb36ac94781440d8d9d7016eb2f0871', 'False', 'True', 'false', 'false', '510822212203', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822212203', 1, '2021-07-19 11:41:56', NULL, NULL), (10870, '', '青龙村', '9671ecb744e1457cb8d69c59e789ac1e', 'ceb36ac94781440d8d9d7016eb2f0871', 'False', 'True', 'false', 'false', '510822212205', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822212205', 1, '2021-07-19 11:41:56', NULL, NULL), (10871, '', '大院回族乡', '31c50fdbeab5481b8653ad315cd34aa9', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822216000', 4, '大院回族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822216000', 1, '2021-07-19 11:41:56', NULL, NULL), (10872, '', '明珠社区', '31f16288c9e5410a82a2dee4174adb04', '31c50fdbeab5481b8653ad315cd34aa9', 'False', 'True', 'false', 'false', '510822216001', 5, '明珠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822216001', 1, '2021-07-19 11:41:56', NULL, NULL), (10873, '', '锁家村', '07f271962c4e4005bd2183824fb717f0', '31c50fdbeab5481b8653ad315cd34aa9', 'False', 'True', 'false', 'false', '510822216200', 5, '锁家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822216200', 1, '2021-07-19 11:41:56', NULL, NULL), (10874, '', '花果村', '7ccb20bd9c98496cbbf2c865b14b0467', '31c50fdbeab5481b8653ad315cd34aa9', 'False', 'True', 'false', 'false', '510822216201', 5, '花果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822216201', 1, '2021-07-19 11:41:56', NULL, NULL), (10875, '', '大茅村', '3622d7f21bd64625916d239bd94c3564', '31c50fdbeab5481b8653ad315cd34aa9', 'False', 'True', 'false', 'false', '510822216203', 5, '大茅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822216203', 1, '2021-07-19 11:41:56', NULL, NULL), (10876, '', '竹坝村', 'd7abc3a8bae346ef929d42db0e170bc8', '31c50fdbeab5481b8653ad315cd34aa9', 'False', 'True', 'false', 'false', '510822216204', 5, '竹坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822216204', 1, '2021-07-19 11:41:56', NULL, NULL), (10877, '', '建兴村', '6e96fe4ae9384c4a8f637f6435df91d3', '31c50fdbeab5481b8653ad315cd34aa9', 'False', 'True', 'false', 'false', '510822216205', 5, '建兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822216205', 1, '2021-07-19 11:41:56', NULL, NULL), (10878, '', '七佛乡', '99d92641bab34624818275db3f10f1ec', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822220000', 4, '七佛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822220000', 1, '2021-07-19 11:41:56', NULL, NULL), (10879, '', '七佛村', '5934893f1fe54327a78876b40b904936', '99d92641bab34624818275db3f10f1ec', 'False', 'True', 'false', 'false', '510822220927', 5, '七佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822220927', 1, '2021-07-19 11:41:56', NULL, NULL), (10880, '', '贡茶社区', '3125392f0a234646b38f90de1a131b16', '99d92641bab34624818275db3f10f1ec', 'False', 'True', 'false', 'false', '510822220001', 5, '贡茶社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822220001', 1, '2021-07-19 11:41:56', NULL, NULL), (10881, '', '燕子村', 'fbfda73b62984e54b055d411eb3e32fc', '99d92641bab34624818275db3f10f1ec', 'False', 'True', 'false', 'false', '510822220200', 5, '燕子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822220200', 1, '2021-07-19 11:41:57', NULL, NULL), (10882, '', '楼子村', '38707cd76e634482835598bfa52816ed', '99d92641bab34624818275db3f10f1ec', 'False', 'True', 'false', 'false', '510822220201', 5, '楼子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822220201', 1, '2021-07-19 11:41:57', NULL, NULL), (10883, '', '新坪村', '34c34dc6e33f417a90f00b01da2a88eb', '99d92641bab34624818275db3f10f1ec', 'False', 'True', 'false', 'false', '510822220202', 5, '新坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822220202', 1, '2021-07-19 11:41:57', NULL, NULL), (10884, '', '建峰镇', '60a0d8f6b9854fa09a053a47ff3d913e', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822221000', 4, '建峰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822221000', 1, '2021-07-19 11:41:57', NULL, NULL), (10885, '', '青峰社区', 'ce25dcec5c854d38bb20bcfed84b311d', '60a0d8f6b9854fa09a053a47ff3d913e', 'False', 'True', 'false', 'false', '510822221001', 5, '青峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822221001', 1, '2021-07-19 11:41:57', NULL, NULL), (10886, '', '建峰村', 'ccd60d558a85416cabc99da5bcd947b3', '60a0d8f6b9854fa09a053a47ff3d913e', 'False', 'True', 'false', 'false', '510822221200', 5, '建峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822221200', 1, '2021-07-19 11:41:57', NULL, NULL), (10887, '', '青沟村', 'd9eab129e50a4ce2917cab5fa009288d', '60a0d8f6b9854fa09a053a47ff3d913e', 'False', 'True', 'false', 'false', '510822221202', 5, '青沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822221202', 1, '2021-07-19 11:41:57', NULL, NULL), (10888, '', '碾子村', 'fad9be293347491eb91c14f301830453', '60a0d8f6b9854fa09a053a47ff3d913e', 'False', 'True', 'false', 'false', '510822221203', 5, '碾子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822221203', 1, '2021-07-19 11:41:57', NULL, NULL), (10889, '', '葛底村', 'e43ae25e7d1d4e2b9bb6633a6c7f115f', '60a0d8f6b9854fa09a053a47ff3d913e', 'False', 'True', 'false', 'false', '510822221204', 5, '葛底村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822221204', 1, '2021-07-19 11:41:57', NULL, NULL), (10890, '', '白家社区', 'fef0ae77506a4a0e9ee894a42ae88480', '60a0d8f6b9854fa09a053a47ff3d913e', 'False', 'True', 'false', 'false', '510822221205', 5, '白家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822221205', 1, '2021-07-19 11:41:57', NULL, NULL), (10891, '', '华尖村', 'df1897b53add40a6ae5437e3659b231d', '60a0d8f6b9854fa09a053a47ff3d913e', 'False', 'True', 'false', 'false', '510822221206', 5, '华尖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822221206', 1, '2021-07-19 11:41:57', NULL, NULL), (10892, '', '马村', 'e78f7735ad334fba81ad84e67235f09c', '60a0d8f6b9854fa09a053a47ff3d913e', 'False', 'True', 'false', 'false', '510822221207', 5, '马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822221207', 1, '2021-07-19 11:41:57', NULL, NULL), (10893, '', '佛山村', '5503fe33ab754135be27a541c677e9a2', '60a0d8f6b9854fa09a053a47ff3d913e', 'False', 'True', 'false', 'false', '510822221208', 5, '佛山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822221208', 1, '2021-07-19 11:41:57', NULL, NULL), (10894, '', '骑马乡', 'cffa8e178fd945c28f461cd00582b068', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822224000', 4, '骑马乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822224000', 1, '2021-07-19 11:41:57', NULL, NULL), (10895, '', '新民社区', 'e7c68cdfc3bf41fcbe486f623ba1adde', 'cffa8e178fd945c28f461cd00582b068', 'False', 'True', 'false', 'false', '510822224002', 5, '新民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822224002', 1, '2021-07-19 11:41:57', NULL, NULL), (10896, '', '里坪村', '5cd684a342194703a6e6577b3d9b7348', 'cffa8e178fd945c28f461cd00582b068', 'False', 'True', 'false', 'false', '510822224200', 5, '里坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822224200', 1, '2021-07-19 11:41:57', NULL, NULL), (10897, '', '水磨村', '20cbe233737a4542813fd7b10f420681', 'cffa8e178fd945c28f461cd00582b068', 'False', 'True', 'false', 'false', '510822224202', 5, '水磨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822224202', 1, '2021-07-19 11:41:57', NULL, NULL), (10898, '', '中元村', '86e8ab328dd643cfb8be301de2b78f1e', 'cffa8e178fd945c28f461cd00582b068', 'False', 'True', 'false', 'false', '510822224204', 5, '中元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822224204', 1, '2021-07-19 11:41:58', NULL, NULL), (10899, '', '大树村', 'e9a2a4220c35432e8fa2ce8ddad23d91', 'cffa8e178fd945c28f461cd00582b068', 'False', 'True', 'false', 'false', '510822224205', 5, '大树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822224205', 1, '2021-07-19 11:41:58', NULL, NULL), (10900, '', '红光村', '87b1eea8a6884a3398f0b2753c1d0380', 'cffa8e178fd945c28f461cd00582b068', 'False', 'True', 'false', 'false', '510822224206', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822224206', 1, '2021-07-19 11:41:58', NULL, NULL), (10901, '', '光明村', '6905efe30c4f4913aa0793c4bba8c445', 'cffa8e178fd945c28f461cd00582b068', 'False', 'True', 'false', 'false', '510822224207', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822224207', 1, '2021-07-19 11:41:58', NULL, NULL), (10902, '', '观音店乡', '49bee04766c44b6c8cd13500f374d85d', 'bab92d7a73744e1f95e1d372948a2df5', 'True', 'True', 'false', 'false', '510822225000', 4, '观音店乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510822225000', 1, '2021-07-19 11:41:58', NULL, NULL), (10903, '', '太平社区', '71247cbd704f449b830a0d7e1c891141', '49bee04766c44b6c8cd13500f374d85d', 'False', 'True', 'false', 'false', '510822225001', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822225001', 1, '2021-07-19 11:41:58', NULL, NULL), (10904, '', '观音村', 'e0631c2949b740689c5ec9ad34535aab', '49bee04766c44b6c8cd13500f374d85d', 'False', 'True', 'false', 'false', '510822225200', 5, '观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822225200', 1, '2021-07-19 11:41:58', NULL, NULL), (10905, '', '河坝村', 'fe5194bd77244638af79b0eaae020861', '49bee04766c44b6c8cd13500f374d85d', 'False', 'True', 'false', 'false', '510822225201', 5, '河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822225201', 1, '2021-07-19 11:41:58', NULL, NULL), (10906, '', '两河村', 'c8692c1355114754989bd1f9e9c69edb', '49bee04766c44b6c8cd13500f374d85d', 'False', 'True', 'false', 'false', '510822225203', 5, '两河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822225203', 1, '2021-07-19 11:41:58', NULL, NULL), (10907, '', '青竹村', '1227a41e19b54f3e9067cb1d324c85f9', '49bee04766c44b6c8cd13500f374d85d', 'False', 'True', 'false', 'false', '510822225204', 5, '青竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822225204', 1, '2021-07-19 11:41:58', NULL, NULL), (10908, '', '余坝村', '79853e7b28de4c9fbac42033f33ceac0', '49bee04766c44b6c8cd13500f374d85d', 'False', 'True', 'false', 'false', '510822225205', 5, '余坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510822225205', 1, '2021-07-19 11:41:58', NULL, NULL), (10909, '', '剑阁县', '0dd6e437cec142ed8944ae99510292b0', '9602bf2b753c4158bf4862498e91da56', 'True', 'True', 'false', 'false', '510823000000', 3, '剑阁县', 'gysjgx.sczwfw.gov.cn', 1, '2021-07-19 11:41:58', NULL, NULL), (10910, '', '普安镇', '373541ba81794bf29194d8cd6f2d1167', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823100000', 4, '普安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823100000', 1, '2021-07-19 11:41:58', NULL, NULL), (10911, '', '锯山村', 'ab8ec7a597d84f50a95c8b8635ab9822', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100006', 5, '锯山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100006', 1, '2021-07-19 11:41:59', NULL, NULL), (10912, '', '五星村', '04abf5d51f4f4036a0a66355bc2469a1', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100016', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100016', 1, '2021-07-19 11:41:59', NULL, NULL), (10913, '', '响水村', '34937d7470ea44cc9115e1d25df12e3c', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100058', 5, '响水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100058', 1, '2021-07-19 11:41:59', NULL, NULL), (10914, '', '共和村', '97ea92fd13534884981725b20898a2e9', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100074', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100074', 1, '2021-07-19 11:41:59', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (10915, '', '剑公社区', '7e28404ec0d14eb299746244c137ef53', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100093', 5, '剑公社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100093', 1, '2021-07-19 11:41:59', NULL, NULL), (10916, '', '田家社区', 'a69ddee7a6924b0b9695a9c229379805', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100136', 5, '田家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100136', 1, '2021-07-19 11:41:59', NULL, NULL), (10917, '', '二郎村', '5169f29e86214e57815e2e986cb3a51f', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100205', 5, '二郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100205', 1, '2021-07-19 11:41:59', NULL, NULL), (10918, '', '松林村', 'b08675b86bd54d18a003f070b363fb9e', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100217', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100217', 1, '2021-07-19 11:41:59', NULL, NULL), (10919, '', '营盘社区', 'ff28926f8b64483a8003c7ef26515fe7', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100239', 5, '营盘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100239', 1, '2021-07-19 11:41:59', NULL, NULL), (10920, '', '双丰村', '4f6c28ef1ccf412793e6a9ab91857c0f', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100244', 5, '双丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100244', 1, '2021-07-19 11:41:59', NULL, NULL), (10921, '', '石泉村', '316cec1da9c8434a88a810203829b86b', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100268', 5, '石泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100268', 1, '2021-07-19 11:41:59', NULL, NULL), (10922, '', '闻溪村', '240bed3349de4de2bb68bc0be21d2651', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100284', 5, '闻溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100284', 1, '2021-07-19 11:41:59', NULL, NULL), (10923, '', '碑梁村', '5c75e548fa0941818208996db8d33e0c', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100342', 5, '碑梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100342', 1, '2021-07-19 11:41:59', NULL, NULL), (10924, '', '星光村', 'f001633366ad47f181eb89dc3d9d621b', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100502', 5, '星光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100502', 1, '2021-07-19 11:41:59', NULL, NULL), (10925, '', '长春村', '51a6426f69784e36a88a13c95d4e8bcd', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100556', 5, '长春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100556', 1, '2021-07-19 11:41:59', NULL, NULL), (10926, '', '新中村', 'a44b139af1a449a6a9d542e53d32ece8', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100569', 5, '新中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100569', 1, '2021-07-19 11:41:59', NULL, NULL), (10927, '', '水池村', '264dd6f8a19247b3bada071802c65ffd', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100595', 5, '水池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100595', 1, '2021-07-19 11:42:00', NULL, NULL), (10928, '', '民主社区', '7e96ba8e988e42ee8db85f12d0f9cff8', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100664', 5, '民主社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100664', 1, '2021-07-19 11:42:00', NULL, NULL), (10929, '', '前锋村', '37cb960c1afd4dbf882a5a4b90098ef5', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100703', 5, '前锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100703', 1, '2021-07-19 11:42:00', NULL, NULL), (10930, '', '亮垭村', 'eb43af0a9bcd4ede8133f9bfaf492afe', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100735', 5, '亮垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100735', 1, '2021-07-19 11:42:00', NULL, NULL), (10931, '', '云凤村', '3a46309d0f80416aab5180443456308a', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100858', 5, '云凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100858', 1, '2021-07-19 11:42:00', NULL, NULL), (10932, '', '青碑村', 'e1de0158d5734d02afa5e8de4e79876c', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100863', 5, '青碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100863', 1, '2021-07-19 11:42:00', NULL, NULL), (10933, '', '石庙社区', 'babb7d6271d245998a904dff13f7fad4', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100904', 5, '石庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100904', 1, '2021-07-19 11:42:00', NULL, NULL), (10934, '', '飞凤村', '4962b537c6a14eeab3a2271b27cab4a6', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100948', 5, '飞凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100948', 1, '2021-07-19 11:42:00', NULL, NULL), (10935, '', '新华村', 'acb63e6f14874d778d2dfe0c09f52d1c', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100973', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100973', 1, '2021-07-19 11:42:00', NULL, NULL), (10936, '', '城北社区', '476fb9032ecf45cb84fcf2916892f37a', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100987', 5, '城北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100987', 1, '2021-07-19 11:42:00', NULL, NULL), (10937, '', '鼓楼社区', '4e475a47a73d4ef6886c70cd6d4f7073', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100001', 5, '鼓楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100001', 1, '2021-07-19 11:42:00', NULL, NULL), (10938, '', '小玲珑社区', '00f0f12872bf435eabe94439eff0cb04', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100002', 5, '小玲珑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100002', 1, '2021-07-19 11:42:00', NULL, NULL), (10939, '', '卧龙社区', '4f1c4c5d7f8d46998d174575c99b2e17', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100003', 5, '卧龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100003', 1, '2021-07-19 11:42:00', NULL, NULL), (10940, '', '较场坝社区', 'e2d0da4567f946b0b900cf8015a09618', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100004', 5, '较场坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100004', 1, '2021-07-19 11:42:00', NULL, NULL), (10941, '', '剑西村', '44f0912501a24b36b04ba2f7a6564956', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100201', 5, '剑西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100201', 1, '2021-07-19 11:42:00', NULL, NULL), (10942, '', '江东村', '418548ca38e4466b8af9714ff45d7f50', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100203', 5, '江东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100203', 1, '2021-07-19 11:42:00', NULL, NULL), (10943, '', '剑坪社区', 'd2bf917ca03240cf85f0829e4f945d60', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100204', 5, '剑坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100204', 1, '2021-07-19 11:42:01', NULL, NULL), (10944, '', '光荣社区', '7db53c40bf36467c9e8c9f42b2c2e5f2', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100206', 5, '光荣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100206', 1, '2021-07-19 11:42:01', NULL, NULL), (10945, '', '白虎村', '6b47bef7d68244f9b1679b074b78ef0b', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100208', 5, '白虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100208', 1, '2021-07-19 11:42:01', NULL, NULL), (10946, '', '银山村', 'b7ec02c262a64238acfa499ed95b3544', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100210', 5, '银山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100210', 1, '2021-07-19 11:42:01', NULL, NULL), (10947, '', '同心村', 'c774ababfa674d648844e34cc7b7dcc4', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100212', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100212', 1, '2021-07-19 11:42:01', NULL, NULL), (10948, '', '联合村', '45c48148a0f44683a6a701fb4c4df2ff', '373541ba81794bf29194d8cd6f2d1167', 'False', 'True', 'false', 'false', '510823100545', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823100545', 1, '2021-07-19 11:42:01', NULL, NULL), (10949, '', '龙源镇', '0885ff1ad4644cfbb1d051c4f4ad3d9b', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823101000', 4, '龙源镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823101000', 1, '2021-07-19 11:42:01', NULL, NULL), (10950, '', '梨垭村', '22fdad90bab349edaa765a7b672dc034', '0885ff1ad4644cfbb1d051c4f4ad3d9b', 'False', 'True', 'false', 'false', '510823101076', 5, '梨垭村代办站', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823101076', 1, '2021-07-19 11:42:01', NULL, NULL), (10951, '', '西山村', 'feffbb6a04094ad9af3ceba4176f3a28', '0885ff1ad4644cfbb1d051c4f4ad3d9b', 'False', 'True', 'false', 'false', '510823101375', 5, '西山村代办站', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823101375', 1, '2021-07-19 11:42:01', NULL, NULL), (10952, '', '天堂村', '1abb7f45a8114ce6a781683fed228e10', '0885ff1ad4644cfbb1d051c4f4ad3d9b', 'False', 'True', 'false', 'false', '510823101653', 5, '天堂村代办站', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823101653', 1, '2021-07-19 11:42:01', NULL, NULL), (10953, '', '江石社区', 'e8d49d933e45431c8c288c7fceec7330', '0885ff1ad4644cfbb1d051c4f4ad3d9b', 'False', 'True', 'false', 'false', '510823101694', 5, '江石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823101694', 1, '2021-07-19 11:42:01', NULL, NULL), (10954, '', '九龙村', 'a2155faec6f547e4a841a9c959069a9e', '0885ff1ad4644cfbb1d051c4f4ad3d9b', 'False', 'True', 'false', 'false', '510823101764', 5, '九龙村代办站', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823101764', 1, '2021-07-19 11:42:01', NULL, NULL), (10955, '', '双台村', 'fb34ca9603e14056a5ca206520a270e1', '0885ff1ad4644cfbb1d051c4f4ad3d9b', 'False', 'True', 'false', 'false', '510823101893', 5, '双台村代办站', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823101893', 1, '2021-07-19 11:42:01', NULL, NULL), (10956, '', '凉胜村', '7e8dfcda47ed4ef8ad7cc3d944b6667d', '0885ff1ad4644cfbb1d051c4f4ad3d9b', 'False', 'True', 'false', 'false', '510823101427', 5, '凉胜村代办站', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823101427', 1, '2021-07-19 11:42:01', NULL, NULL), (10957, '', '龙源寺社区', '1bd09a3dfd9a4440a163096b12b2197e', '0885ff1ad4644cfbb1d051c4f4ad3d9b', 'False', 'True', 'false', 'false', '510823101001', 5, '龙源寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823101001', 1, '2021-07-19 11:42:01', NULL, NULL), (10958, '', '青杆村', '69c24924db0741dcabad5aaefde3fea8', '0885ff1ad4644cfbb1d051c4f4ad3d9b', 'False', 'True', 'false', 'false', '510823101204', 5, '青杆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823101204', 1, '2021-07-19 11:42:01', NULL, NULL), (10959, '', '登云村', '176845b852bd4d1692835cb2fb121377', '0885ff1ad4644cfbb1d051c4f4ad3d9b', 'False', 'True', 'false', 'false', '510823101206', 5, '登云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823101206', 1, '2021-07-19 11:42:01', NULL, NULL), (10960, '', '红彤村', '471c3d1956634a42b1e55b1e528b73f2', '0885ff1ad4644cfbb1d051c4f4ad3d9b', 'False', 'True', 'false', 'false', '510823101210', 5, '红彤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823101210', 1, '2021-07-19 11:42:02', NULL, NULL), (10961, '', '七宝村', 'ebf2c1db5aed453fb64dd1601bc1ad68', '0885ff1ad4644cfbb1d051c4f4ad3d9b', 'False', 'True', 'false', 'false', '510823101211', 5, '七宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823101211', 1, '2021-07-19 11:42:02', NULL, NULL), (10962, '', '兴泉村', '4bb24fdba5e34caeb63ec328e7b5d08d', '0885ff1ad4644cfbb1d051c4f4ad3d9b', 'False', 'True', 'false', 'false', '510823101215', 5, '兴泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823101215', 1, '2021-07-19 11:42:02', NULL, NULL), (10963, '', '金山村', '1fdac39f824042c1bad0713f54e4087e', '0885ff1ad4644cfbb1d051c4f4ad3d9b', 'False', 'True', 'false', 'false', '510823101816', 5, '金山村代办站', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823101816', 1, '2021-07-19 11:42:02', NULL, NULL), (10964, '', '文远村', 'ea61f021ad414b578bc14e8e8bdf6563', '0885ff1ad4644cfbb1d051c4f4ad3d9b', 'False', 'True', 'false', 'false', '510823101895', 5, '文远村代办站', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823101895', 1, '2021-07-19 11:42:02', NULL, NULL), (10965, '', '盐店镇', '92edd451ac4748359dcbcedb6ab77c28', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823103000', 4, '盐店镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823103000', 1, '2021-07-19 11:42:02', NULL, NULL), (10966, '', '红旗社区', '3c1d9841837b479c836d007580e909e0', '92edd451ac4748359dcbcedb6ab77c28', 'False', 'True', 'false', 'false', '510823103001', 5, '红旗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823103001', 1, '2021-07-19 11:42:02', NULL, NULL), (10967, '', '鲜花村', '876adb2a02e9415e9b418344be476f85', '92edd451ac4748359dcbcedb6ab77c28', 'False', 'True', 'false', 'false', '510823103200', 5, '鲜花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823103200', 1, '2021-07-19 11:42:02', NULL, NULL), (10968, '', '红花村', '09683da840654ccb9d64da9b1c5f222c', '92edd451ac4748359dcbcedb6ab77c28', 'False', 'True', 'false', 'false', '510823103201', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823103201', 1, '2021-07-19 11:42:02', NULL, NULL), (10969, '', '双马村', '5bfb92d2a7b04d8fb58e794f0fedd383', '92edd451ac4748359dcbcedb6ab77c28', 'False', 'True', 'false', 'false', '510823103202', 5, '双马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823103202', 1, '2021-07-19 11:42:02', NULL, NULL), (10970, '', '依山村', '76303b52cfe1424bb0303d59aa63af24', '92edd451ac4748359dcbcedb6ab77c28', 'False', 'True', 'false', 'false', '510823103203', 5, '依山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823103203', 1, '2021-07-19 11:42:02', NULL, NULL), (10971, '', '五丰村', '3788398c28154c1dbac28fe22ac78ee2', '92edd451ac4748359dcbcedb6ab77c28', 'False', 'True', 'false', 'false', '510823103204', 5, '五丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823103204', 1, '2021-07-19 11:42:02', NULL, NULL), (10972, '', '石笋村', '5d135ca5215a4ab19e6b435350cf83b1', '92edd451ac4748359dcbcedb6ab77c28', 'False', 'True', 'false', 'false', '510823103205', 5, '石笋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823103205', 1, '2021-07-19 11:42:02', NULL, NULL), (10973, '', '石柱村', 'ebd64f1a4fc84df3a38466388b298978', '92edd451ac4748359dcbcedb6ab77c28', 'False', 'True', 'false', 'false', '510823103206', 5, '石柱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823103206', 1, '2021-07-19 11:42:02', NULL, NULL), (10974, '', '五指村', 'be144f972b2546afa15c6b1de8274b56', '92edd451ac4748359dcbcedb6ab77c28', 'False', 'True', 'false', 'false', '510823103207', 5, '五指村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823103207', 1, '2021-07-19 11:42:02', NULL, NULL), (10975, '', '西庙村', '639d691a055a4dac96374bd9168bb355', '92edd451ac4748359dcbcedb6ab77c28', 'False', 'True', 'false', 'false', '510823103208', 5, '西庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823103208', 1, '2021-07-19 11:42:02', NULL, NULL), (10976, '', '柳沟镇', '531105df5ce34ced9331d0a2b61b2a79', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823104000', 4, '柳沟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823104000', 1, '2021-07-19 11:42:02', NULL, NULL), (10977, '', '三清村', '3bc9a1793cd4476c832a5974db471596', '531105df5ce34ced9331d0a2b61b2a79', 'False', 'True', 'false', 'false', '510823104001', 5, '三清村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823104001', 1, '2021-07-19 11:42:03', NULL, NULL), (10978, '', '毛坝社区', 'f1f0bf704d584c329d7b064b0508b047', '531105df5ce34ced9331d0a2b61b2a79', 'False', 'True', 'false', 'false', '510823104004', 5, '毛坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823104004', 1, '2021-07-19 11:42:03', NULL, NULL), (10979, '', '回龙村', '1fb401c7757840979077e2ad01a87500', '531105df5ce34ced9331d0a2b61b2a79', 'False', 'True', 'false', 'false', '510823104005', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823104005', 1, '2021-07-19 11:42:03', NULL, NULL), (10980, '', '春光村', 'aa38be52ae9a4bddbe1b6c4692a50b08', '531105df5ce34ced9331d0a2b61b2a79', 'False', 'True', 'false', 'false', '510823104006', 5, '春光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823104006', 1, '2021-07-19 11:42:03', NULL, NULL), (10981, '', '清水村', '6d3a2cb01a8b4fa5b7308cf56c4e6d19', '531105df5ce34ced9331d0a2b61b2a79', 'False', 'True', 'false', 'false', '510823104007', 5, '清水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823104007', 1, '2021-07-19 11:42:03', NULL, NULL), (10982, '', '元山村', '865436401b0f4de2b6145567f815bf32', '531105df5ce34ced9331d0a2b61b2a79', 'False', 'True', 'false', 'false', '510823104008', 5, '元山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823104008', 1, '2021-07-19 11:42:03', NULL, NULL), (10983, '', '团山村', '757257c99c52486cabbfe79ac1209637', '531105df5ce34ced9331d0a2b61b2a79', 'False', 'True', 'false', 'false', '510823104009', 5, '团山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823104009', 1, '2021-07-19 11:42:03', NULL, NULL), (10984, '', '光华村', '0d12a04e1044493e939e22345b64ab93', '531105df5ce34ced9331d0a2b61b2a79', 'False', 'True', 'false', 'false', '510823104010', 5, '光华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823104010', 1, '2021-07-19 11:42:03', NULL, NULL), (10985, '', '南庙村', '8a7586e4fd604738b4acb86311951652', '531105df5ce34ced9331d0a2b61b2a79', 'False', 'True', 'false', 'false', '510823104011', 5, '南庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823104011', 1, '2021-07-19 11:42:03', NULL, NULL), (10986, '', '灵泉社区', 'f4a37f2811014402ad9961dc150c0457', '531105df5ce34ced9331d0a2b61b2a79', 'False', 'True', 'false', 'false', '510823104012', 5, '灵泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823104012', 1, '2021-07-19 11:42:03', NULL, NULL), (10987, '', '长安村', 'c7f499006d25425f939b1e476b06c8ad', '531105df5ce34ced9331d0a2b61b2a79', 'False', 'True', 'false', 'false', '510823104002', 5, '长安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823104002', 1, '2021-07-19 11:42:03', NULL, NULL), (10988, '', '四五村', 'f0314d81d99b4e5986dcf2695ceda379', '531105df5ce34ced9331d0a2b61b2a79', 'False', 'True', 'false', 'false', '510823104003', 5, '四五村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823104003', 1, '2021-07-19 11:42:03', NULL, NULL), (10989, '', '武连镇', 'b09b72eb8ccf40e0ab8ea3ee23d8ac18', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823105000', 4, '武连镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823105000', 1, '2021-07-19 11:42:03', NULL, NULL), (10990, '', '正兴社区', 'e85fbdfed08f47419a1b6ab686a7ad98', 'b09b72eb8ccf40e0ab8ea3ee23d8ac18', 'False', 'True', 'false', 'false', '510823105004', 5, '正兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823105004', 1, '2021-07-19 11:42:03', NULL, NULL), (10991, '', '三元村', '6a30aac4110f44c18afcdf91bdbc58a0', 'b09b72eb8ccf40e0ab8ea3ee23d8ac18', 'False', 'True', 'false', 'false', '510823105207', 5, '三元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823105207', 1, '2021-07-19 11:42:04', NULL, NULL), (10992, '', '双坪村', 'bcf90f76d2ef4be78f7e10eafafbe124', 'b09b72eb8ccf40e0ab8ea3ee23d8ac18', 'False', 'True', 'false', 'false', '510823105208', 5, '双坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823105208', 1, '2021-07-19 11:42:04', NULL, NULL), (10993, '', '武庵村', '5163f8aa7b23400eb03cecd1ace8b07f', 'b09b72eb8ccf40e0ab8ea3ee23d8ac18', 'False', 'True', 'false', 'false', '5108393202639118336', 5, '武庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5108393202639118336', 1, '2021-07-19 11:42:04', NULL, NULL), (10994, '', '武侯社区', 'cf9cf64683c24966b1696ff3fc27b8f1', 'b09b72eb8ccf40e0ab8ea3ee23d8ac18', 'False', 'True', 'false', 'false', '510823105001', 5, '武侯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823105001', 1, '2021-07-19 11:42:04', NULL, NULL), (10995, '', '觉苑社区', 'b0cfdcc40e4a4fdf9d88e0985b81392c', 'b09b72eb8ccf40e0ab8ea3ee23d8ac18', 'False', 'True', 'false', 'false', '510823105002', 5, '觉苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823105002', 1, '2021-07-19 11:42:04', NULL, NULL), (10996, '', '新桥社区', '03ac6b67812443a59f4bbe6634403326', 'b09b72eb8ccf40e0ab8ea3ee23d8ac18', 'False', 'True', 'false', 'false', '510823105003', 5, '新桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823105003', 1, '2021-07-19 11:42:04', NULL, NULL), (10997, '', '计划村', '055b28a46ed04c7da9745d206d189c17', 'b09b72eb8ccf40e0ab8ea3ee23d8ac18', 'False', 'True', 'false', 'false', '510823105201', 5, '计划村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823105201', 1, '2021-07-19 11:42:04', NULL, NULL), (10998, '', '寨桥村', '471386079a3c4d149004c59ac6fde946', 'b09b72eb8ccf40e0ab8ea3ee23d8ac18', 'False', 'True', 'false', 'false', '510823105203', 5, '寨桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823105203', 1, '2021-07-19 11:42:04', NULL, NULL), (10999, '', '枣垭村', 'c54e3a13c0bb486399c09b972073a516', 'b09b72eb8ccf40e0ab8ea3ee23d8ac18', 'False', 'True', 'false', 'false', '510823105204', 5, '枣垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823105204', 1, '2021-07-19 11:42:04', NULL, NULL), (11000, '', '武五村', '45c884ad7564423d9bdd20710a199183', 'b09b72eb8ccf40e0ab8ea3ee23d8ac18', 'False', 'True', 'false', 'false', '510823105205', 5, '武五村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823105205', 1, '2021-07-19 11:42:04', NULL, NULL), (11001, '', '四合村', 'd44f2f5cda994cfaa9f94aebad7d9435', 'b09b72eb8ccf40e0ab8ea3ee23d8ac18', 'False', 'True', 'false', 'false', '510823105209', 5, '四合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823105209', 1, '2021-07-19 11:42:04', NULL, NULL), (11002, '', '兴隆村', '1979587632b04e75bcfdb35015e5bcf8', 'b09b72eb8ccf40e0ab8ea3ee23d8ac18', 'False', 'True', 'false', 'false', '510823105210', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823105210', 1, '2021-07-19 11:42:04', NULL, NULL), (11003, '', '东宝镇', 'd5631c34388d44e7ac49d4bbd914e7c7', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823106000', 4, '东宝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823106000', 1, '2021-07-19 11:42:04', NULL, NULL), (11004, '', '燕山村', 'bbc301f52d8b4352a852f43c44ad6330', 'd5631c34388d44e7ac49d4bbd914e7c7', 'False', 'True', 'false', 'false', '510823106580', 5, '燕山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823106580', 1, '2021-07-19 11:42:04', NULL, NULL), (11005, '', '双西村', 'f93bc329b77c4c63817cbffebf7951f3', 'd5631c34388d44e7ac49d4bbd914e7c7', 'False', 'True', 'false', 'false', '510823106633', 5, '双西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823106633', 1, '2021-07-19 11:42:04', NULL, NULL), (11006, '', '新梁村', 'f078758c45b440348767f4e2866b5ace', 'd5631c34388d44e7ac49d4bbd914e7c7', 'False', 'True', 'false', 'false', '510823106802', 5, '新梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823106802', 1, '2021-07-19 11:42:04', NULL, NULL), (11007, '', '联峰村', 'd8800946f1094e24b0151a1af0a60ada', 'd5631c34388d44e7ac49d4bbd914e7c7', 'False', 'True', 'false', 'false', '510823106974', 5, '联峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823106974', 1, '2021-07-19 11:42:04', NULL, NULL), (11008, '', '宝石社区', '14749b895d8440a9be67b301b3943c12', 'd5631c34388d44e7ac49d4bbd914e7c7', 'False', 'True', 'false', 'false', '510823106001', 5, '宝石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823106001', 1, '2021-07-19 11:42:04', NULL, NULL), (11009, '', '迎春村', 'a096f5087a674aa99fc1e2fd151fe1bc', 'd5631c34388d44e7ac49d4bbd914e7c7', 'False', 'True', 'false', 'false', '510823106204', 5, '迎春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823106204', 1, '2021-07-19 11:42:04', NULL, NULL), (11010, '', '开封镇', 'fc1944747f01460dabc11652d6452392', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823107000', 4, '开封镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823107000', 1, '2021-07-19 11:42:05', NULL, NULL), (11011, '', '郭沟村', '1941b5b067944ef8b8f5946ff7d4a953', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107004', 5, '郭沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107004', 1, '2021-07-19 11:42:05', NULL, NULL), (11012, '', '朝阳村', '521286138dff4e35960ac123717b914e', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107005', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107005', 1, '2021-07-19 11:42:05', NULL, NULL), (11013, '', '回龙村', 'e2ec3bb7cb514e48aaf1cbaf71814b0e', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107006', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107006', 1, '2021-07-19 11:42:05', NULL, NULL), (11014, '', '马灯村', '6580c2e85ab249c39d5522ec1dc20417', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107007', 5, '马灯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107007', 1, '2021-07-19 11:42:05', NULL, NULL), (11015, '', '作坊村', '2fa28b2199cd44dabaa26fd5b5cea9c6', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107013', 5, '作坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107013', 1, '2021-07-19 11:42:05', NULL, NULL), (11016, '', '高池村', '18bbfda577564a35ab268c8ff5f39bee', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107014', 5, '高池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107014', 1, '2021-07-19 11:42:05', NULL, NULL), (11017, '', '杨岭村', 'dae58b092e124edead9d48d120eb56b0', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107015', 5, '杨岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107015', 1, '2021-07-19 11:42:05', NULL, NULL), (11018, '', '青荣村', 'd21ef9ffa20b4bb0963ba7363fb037e8', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107016', 5, '青荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107016', 1, '2021-07-19 11:42:05', NULL, NULL), (11019, '', '庄子村', '3ae546d5e195453597fbc3df9052a36d', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107017', 5, '庄子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107017', 1, '2021-07-19 11:42:05', NULL, NULL), (11020, '', '天珠村', 'bcda0feea8a24d93a4671409a87c8fb1', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107018', 5, '天珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107018', 1, '2021-07-19 11:42:05', NULL, NULL), (11021, '', '寺坝村', 'faabaff3eed0470e9d7585dabdb86fdd', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107019', 5, '寺坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107019', 1, '2021-07-19 11:42:05', NULL, NULL), (11022, '', '马林村', '926a20b7f95141f49ed548dcf6c9266e', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107020', 5, '马林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107020', 1, '2021-07-19 11:42:06', NULL, NULL), (11023, '', '迎水村', '9a575a58913e4fb594dc518640fe9c0d', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107021', 5, '迎水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107021', 1, '2021-07-19 11:42:06', NULL, NULL), (11024, '', '碗泉村', '279a56a449e646418f7529bffc2dd0e4', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107022', 5, '碗泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107022', 1, '2021-07-19 11:42:06', NULL, NULL), (11025, '', '庙湾村', 'b4cdae5ab06b426dbbf7552a9fd767b0', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107023', 5, '庙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107023', 1, '2021-07-19 11:42:06', NULL, NULL), (11026, '', '高垭村', '4a96bd5dfca94cb0854db8f474a03f9f', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107024', 5, '高垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107024', 1, '2021-07-19 11:42:06', NULL, NULL), (11027, '', '白兔村', '5cbbaf5a78dd4a92ac6e6fcca749f5e4', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107025', 5, '白兔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107025', 1, '2021-07-19 11:42:06', NULL, NULL), (11028, '', '泉水村', '24fc6cc5b25b4fa285bdbd49b2b72457', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107026', 5, '泉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107026', 1, '2021-07-19 11:42:06', NULL, NULL), (11029, '', '走马村', 'd505a69e18fa407a9a02f9ebf60c5456', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107028', 5, '走马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107028', 1, '2021-07-19 11:42:06', NULL, NULL), (11030, '', '石印村', '27208e2ed0534ff5997e16e451907d35', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107029', 5, '石印村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107029', 1, '2021-07-19 11:42:06', NULL, NULL), (11031, '', '庆丰村', '44ee751048c842a093617a3fb56c17e7', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107030', 5, '庆丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107030', 1, '2021-07-19 11:42:06', NULL, NULL), (11032, '', '国光村', '64ccffbb8f584dcabc5376bfe0987224', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107031', 5, '国光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107031', 1, '2021-07-19 11:42:06', NULL, NULL), (11033, '', '文庙社区', '71077e4563074869b0f71120ce9982fe', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107001', 5, '文庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107001', 1, '2021-07-19 11:42:06', NULL, NULL), (11034, '', '光辉社区', '79abceae68e3433f9ab6c91762846f54', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107002', 5, '光辉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107002', 1, '2021-07-19 11:42:07', NULL, NULL), (11035, '', '和平社区', 'e7f53262542941eda1ff42c2148ea712', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107003', 5, '和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107003', 1, '2021-07-19 11:42:07', NULL, NULL), (11036, '', '鞍山村', 'bcf4df27e6004e02b7d7b5ff9286e579', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107201', 5, '鞍山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107201', 1, '2021-07-19 11:42:07', NULL, NULL), (11037, '', '龙桥村', '7f0febb76570451495fc76a97ef0f767', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107202', 5, '龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107202', 1, '2021-07-19 11:42:07', NULL, NULL), (11038, '', '同坝村', '967e8d0b899644c69bc2787a321f10bd', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107203', 5, '同坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107203', 1, '2021-07-19 11:42:07', NULL, NULL), (11039, '', '友爱村', 'c5ad4f56e2a2415c8de2e00c150ae3d9', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107207', 5, '友爱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107207', 1, '2021-07-19 11:42:07', NULL, NULL), (11040, '', '白云村', 'a09cfaeb63c44e26904fd631058c53cd', 'fc1944747f01460dabc11652d6452392', 'False', 'True', 'false', 'false', '510823107210', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823107210', 1, '2021-07-19 11:42:07', NULL, NULL), (11041, '', '元山镇', '7f10423d58d144868ea4b984ce25cc3d', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823108206', 4, '元山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823108206', 1, '2021-07-19 11:42:07', NULL, NULL), (11042, '', '石板村', '30e9e28f16524f55b36520558cffad45', '7f10423d58d144868ea4b984ce25cc3d', 'False', 'True', 'false', 'false', '510823108017', 5, '石板村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823108017', 1, '2021-07-19 11:42:07', NULL, NULL), (11043, '', '双柳村', '453a9ec26803419aa8be124fafee56f3', '7f10423d58d144868ea4b984ce25cc3d', 'False', 'True', 'false', 'false', '510823108086', 5, '双柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823108086', 1, '2021-07-19 11:42:07', NULL, NULL), (11044, '', '广爱村', '1a4795a05cdd4d9db1f20f1cef7548f4', '7f10423d58d144868ea4b984ce25cc3d', 'False', 'True', 'false', 'false', '510823108300', 5, '广爱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823108300', 1, '2021-07-19 11:42:07', NULL, NULL), (11045, '', '金竹村', '572851e764ae4165b6811e206061250b', '7f10423d58d144868ea4b984ce25cc3d', 'False', 'True', 'false', 'false', '510823108301', 5, '金竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823108301', 1, '2021-07-19 11:42:07', NULL, NULL), (11046, '', '白坝村', 'be77210919fb4ef8832ee05567c13dbe', '7f10423d58d144868ea4b984ce25cc3d', 'False', 'True', 'false', 'false', '510823108569', 5, '白坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823108569', 1, '2021-07-19 11:42:07', NULL, NULL), (11047, '', '石楼村', 'f1c1d62daec34bf5899c590a22d2cebe', '7f10423d58d144868ea4b984ce25cc3d', 'False', 'True', 'false', 'false', '510823108720', 5, '石楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823108720', 1, '2021-07-19 11:42:07', NULL, NULL), (11048, '', '时古村', 'fad68a0301d344ceb653e7b500e32497', '7f10423d58d144868ea4b984ce25cc3d', 'False', 'True', 'false', 'false', '510823108787', 5, '时古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823108787', 1, '2021-07-19 11:42:07', NULL, NULL), (11049, '', '同桥村', '6d9638b563284b30afb7d0b41e60623d', '7f10423d58d144868ea4b984ce25cc3d', 'False', 'True', 'false', 'false', '510823108857', 5, '同桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823108857', 1, '2021-07-19 11:42:08', NULL, NULL), (11050, '', '粮丰村', '7de93c58917e47409c07c83aad49aa20', '7f10423d58d144868ea4b984ce25cc3d', 'False', 'True', 'false', 'false', '510823108864', 5, '粮丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823108864', 1, '2021-07-19 11:42:08', NULL, NULL), (11051, '', '元山社区', '6b6e417576814107bd16f3828a6a7530', '7f10423d58d144868ea4b984ce25cc3d', 'False', 'True', 'false', 'false', '510823108001', 5, '元山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823108001', 1, '2021-07-19 11:42:08', NULL, NULL), (11052, '', '福泉村', 'ea14d4d0f30e496d8ea63b04035fc01a', '7f10423d58d144868ea4b984ce25cc3d', 'False', 'True', 'false', 'false', '510823108200', 5, '福泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823108200', 1, '2021-07-19 11:42:08', NULL, NULL), (11053, '', '演圣镇', '0cd786063e174f07b511ab91e9fed21b', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823109000', 4, '演圣镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823109000', 1, '2021-07-19 11:42:08', NULL, NULL), (11054, '', '平坝社区', 'd7429564d91e434bbef3c1966a9ba22e', '0cd786063e174f07b511ab91e9fed21b', 'False', 'True', 'false', 'false', '510823109001', 5, '平坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823109001', 1, '2021-07-19 11:42:08', NULL, NULL), (11055, '', '寅圣社区', '3f0eb183d7324d8da04bb1f9980fc1b9', '0cd786063e174f07b511ab91e9fed21b', 'False', 'True', 'false', 'false', '510823109200', 5, '寅圣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823109200', 1, '2021-07-19 11:42:08', NULL, NULL), (11056, '', '亭坝村', '0038df0068fb449cbe098f35cdd28ff3', '0cd786063e174f07b511ab91e9fed21b', 'False', 'True', 'false', 'false', '510823109201', 5, '亭坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823109201', 1, '2021-07-19 11:42:08', NULL, NULL), (11057, '', '金刚村', 'e2d3d573473041bba4708dbc496214a0', '0cd786063e174f07b511ab91e9fed21b', 'False', 'True', 'false', 'false', '510823109202', 5, '金刚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823109202', 1, '2021-07-19 11:42:08', NULL, NULL), (11058, '', '天马村', '05df83fe40cf47709487a223924724de', '0cd786063e174f07b511ab91e9fed21b', 'False', 'True', 'false', 'false', '510823109203', 5, '天马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823109203', 1, '2021-07-19 11:42:08', NULL, NULL), (11059, '', '梁垭村', 'dea8f60fad9542d68a282a0dea151caa', '0cd786063e174f07b511ab91e9fed21b', 'False', 'True', 'false', 'false', '510823109206', 5, '梁垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823109206', 1, '2021-07-19 11:42:08', NULL, NULL), (11060, '', '龙滩村', '1e6db43959ef440781e5e54119e5423b', '0cd786063e174f07b511ab91e9fed21b', 'False', 'True', 'false', 'false', '510823109208', 5, '龙滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823109208', 1, '2021-07-19 11:42:08', NULL, NULL), (11061, '', '王河镇', '1d601288d1a3443989c11330ff4f6de9', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823110000', 4, '王河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823110000', 1, '2021-07-19 11:42:08', NULL, NULL), (11062, '', '华阳社区', '26218fd376764619aab4669227514879', '1d601288d1a3443989c11330ff4f6de9', 'False', 'True', 'false', 'false', '510823110001', 5, '华阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823110001', 1, '2021-07-19 11:42:08', NULL, NULL), (11063, '', '柘坝村', 'f220a66d4aa949b399578565f82a9fb3', '1d601288d1a3443989c11330ff4f6de9', 'False', 'True', 'false', 'false', '510823110032', 5, '柘坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823110032', 1, '2021-07-19 11:42:08', NULL, NULL), (11064, '', '弹垭村', '98da6ad3167b456ab68bd558cae08620', '1d601288d1a3443989c11330ff4f6de9', 'False', 'True', 'false', 'false', '510823110075', 5, '弹垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823110075', 1, '2021-07-19 11:42:08', NULL, NULL), (11065, '', '小仓村', 'db53c51645b14f2687810b0bde35a166', '1d601288d1a3443989c11330ff4f6de9', 'False', 'True', 'false', 'false', '510823110160', 5, '小仓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823110160', 1, '2021-07-19 11:42:08', NULL, NULL), (11066, '', '南华村', 'cf33bb1c62ec4fa19c19aa1b41c4ec9a', '1d601288d1a3443989c11330ff4f6de9', 'False', 'True', 'false', 'false', '510823110200', 5, '南华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823110200', 1, '2021-07-19 11:42:09', NULL, NULL), (11067, '', '新电村', 'dfbf9dfed47643e2a20842a4bcd4bd42', '1d601288d1a3443989c11330ff4f6de9', 'False', 'True', 'false', 'false', '510823110201', 5, '新电村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823110201', 1, '2021-07-19 11:42:09', NULL, NULL), (11068, '', '蜀柏村', '19865ca038e045cc8e467567b3b35d5f', '1d601288d1a3443989c11330ff4f6de9', 'False', 'True', 'false', 'false', '510823110203', 5, '蜀柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823110203', 1, '2021-07-19 11:42:09', NULL, NULL), (11069, '', '深垭村', 'b9a662f8bb8745f5a85c7e6866d30cb2', '1d601288d1a3443989c11330ff4f6de9', 'False', 'True', 'false', 'false', '510823110204', 5, '深垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823110204', 1, '2021-07-19 11:42:09', NULL, NULL), (11070, '', '龙凤村', '07ccb3c75d2f42579f176d1691d1c997', '1d601288d1a3443989c11330ff4f6de9', 'False', 'True', 'false', 'false', '510823110205', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823110205', 1, '2021-07-19 11:42:09', NULL, NULL), (11071, '', '鲁垭村', 'a5e0c8a7d75c4629b2ed6b79a227f976', '1d601288d1a3443989c11330ff4f6de9', 'False', 'True', 'false', 'false', '510823110207', 5, '鲁垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823110207', 1, '2021-07-19 11:42:09', NULL, NULL), (11072, '', '林茂村', 'a96b1c4483274a64bbd0c5cb16c6e48c', '1d601288d1a3443989c11330ff4f6de9', 'False', 'True', 'false', 'false', '510823110208', 5, '林茂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823110208', 1, '2021-07-19 11:42:09', NULL, NULL), (11073, '', '群力村', 'ee172209c907405095b4760ff13ef099', '1d601288d1a3443989c11330ff4f6de9', 'False', 'True', 'false', 'false', '510823110327', 5, '群力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823110327', 1, '2021-07-19 11:42:09', NULL, NULL), (11074, '', '荣光村', '8f08663dbffd4949bfce17a9647ee670', '1d601288d1a3443989c11330ff4f6de9', 'False', 'True', 'false', 'false', '510823110344', 5, '荣光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823110344', 1, '2021-07-19 11:42:09', NULL, NULL), (11075, '', '林山村', 'd63ec46b10664e7b9d619f15c5c1f225', '1d601288d1a3443989c11330ff4f6de9', 'False', 'True', 'false', 'false', '510823110674', 5, '林山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823110674', 1, '2021-07-19 11:42:09', NULL, NULL), (11076, '', '公店村', '3d1a8c5b8d3a4810943a8aa2cb63b396', '1d601288d1a3443989c11330ff4f6de9', 'False', 'True', 'false', 'false', '510823110801', 5, '公店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823110801', 1, '2021-07-19 11:42:09', NULL, NULL), (11077, '', '平乐村', '4b049ad832d24f3693d4a71a3dd40a68', '1d601288d1a3443989c11330ff4f6de9', 'False', 'True', 'false', 'false', '510823110880', 5, '平乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823110880', 1, '2021-07-19 11:42:09', NULL, NULL), (11078, '', '公兴镇', '0413a763af8849bd87400b66d4401890', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823111000', 4, '公兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823111000', 1, '2021-07-19 11:42:09', NULL, NULL), (11079, '', '大桥社区', '696493f8ee55415fad67546c40ebbf7d', '0413a763af8849bd87400b66d4401890', 'False', 'True', 'false', 'false', '510823111001', 5, '大桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823111001', 1, '2021-07-19 11:42:09', NULL, NULL), (11080, '', '兴峰村', 'ca5c30078e9a4516b7c1e27efeb068f8', '0413a763af8849bd87400b66d4401890', 'False', 'True', 'false', 'false', '510823111013', 5, '兴峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823111013', 1, '2021-07-19 11:42:09', NULL, NULL), (11081, '', '三泉村', 'bb00d4495ff146619ebe21f61565dd7f', '0413a763af8849bd87400b66d4401890', 'False', 'True', 'false', 'false', '510823111050', 5, '三泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823111050', 1, '2021-07-19 11:42:09', NULL, NULL), (11082, '', '天星村', '0dc074c20ddb4a1290a08e8a2062f998', '0413a763af8849bd87400b66d4401890', 'False', 'True', 'false', 'false', '510823111107', 5, '天星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823111107', 1, '2021-07-19 11:42:10', NULL, NULL), (11083, '', '新生社区', '2caf482f5e2148a9b38db49ad8ed5dfc', '0413a763af8849bd87400b66d4401890', 'False', 'True', 'false', 'false', '510823111200', 5, '新生社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823111200', 1, '2021-07-19 11:42:10', NULL, NULL), (11084, '', '九龙村', '275ab245343447babbb0af8bf552f939', '0413a763af8849bd87400b66d4401890', 'False', 'True', 'false', 'false', '510823111201', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823111201', 1, '2021-07-19 11:42:10', NULL, NULL), (11085, '', '大凉村', '7d0bfc98cd25424aaa7bdcdcb6a1d4ff', '0413a763af8849bd87400b66d4401890', 'False', 'True', 'false', 'false', '510823111202', 5, '大凉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823111202', 1, '2021-07-19 11:42:10', NULL, NULL), (11086, '', '文林村', '7f536cf25dec45cf998c753c4ed8ad68', '0413a763af8849bd87400b66d4401890', 'False', 'True', 'false', 'false', '510823111204', 5, '文林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823111204', 1, '2021-07-19 11:42:10', NULL, NULL), (11087, '', '凤凰村', '8f7439123fff41dc99303f0ae74ef3a6', '0413a763af8849bd87400b66d4401890', 'False', 'True', 'false', 'false', '510823111205', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823111205', 1, '2021-07-19 11:42:10', NULL, NULL), (11088, '', '金山村', '0fb5e60377ee466986aeb2e39d3ec4ec', '0413a763af8849bd87400b66d4401890', 'False', 'True', 'false', 'false', '510823111220', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823111220', 1, '2021-07-19 11:42:10', NULL, NULL), (11089, '', '大垭村', '45e90a591b304448a8f7725d9380b677', '0413a763af8849bd87400b66d4401890', 'False', 'True', 'false', 'false', '510823111401', 5, '大垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823111401', 1, '2021-07-19 11:42:10', NULL, NULL), (11090, '', '石马村', '203001d511c94a0f97ab9e6fbff321b3', '0413a763af8849bd87400b66d4401890', 'False', 'True', 'false', 'false', '510823111462', 5, '石马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823111462', 1, '2021-07-19 11:42:10', NULL, NULL), (11091, '', '金铃村', '875e7374bf3d48f198c7fde8339874ca', '0413a763af8849bd87400b66d4401890', 'False', 'True', 'false', 'false', '510823111513', 5, '金铃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823111513', 1, '2021-07-19 11:42:10', NULL, NULL), (11092, '', '龙座社区', '5b475606e0784852bf4e9132f960fca8', '0413a763af8849bd87400b66d4401890', 'False', 'True', 'false', 'false', '510823111539', 5, '龙座社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823111539', 1, '2021-07-19 11:42:10', NULL, NULL), (11093, '', '圈龙社区', '57e6e03ce87746f28c8786b69cbcab6f', '0413a763af8849bd87400b66d4401890', 'False', 'True', 'false', 'false', '510823111587', 5, '圈龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823111587', 1, '2021-07-19 11:42:10', NULL, NULL), (11094, '', '向前村', '1e0e406e25444b6eab3bc88293e5d9c4', '0413a763af8849bd87400b66d4401890', 'False', 'True', 'false', 'false', '510823111592', 5, '向前村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823111592', 1, '2021-07-19 11:42:10', NULL, NULL), (11095, '', '太吉村', '6d28e14d529d45138cbdc7c16b384baf', '0413a763af8849bd87400b66d4401890', 'False', 'True', 'false', 'false', '510823111796', 5, '太吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823111796', 1, '2021-07-19 11:42:10', NULL, NULL), (11096, '', '龙角村', 'dc7363d3bdc246809e8e09ed23077c7c', '0413a763af8849bd87400b66d4401890', 'False', 'True', 'false', 'false', '510823111940', 5, '龙角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823111940', 1, '2021-07-19 11:42:10', NULL, NULL), (11097, '', '金仙镇', '77f9856e005341cdbad1bf3f4fa28c4d', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823112000', 4, '金仙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823112000', 1, '2021-07-19 11:42:10', NULL, NULL), (11098, '', '桥楼村', '71077e975ae34a06a116afc83188c4fb', '77f9856e005341cdbad1bf3f4fa28c4d', 'False', 'True', 'false', 'false', '510823112068', 5, '桥楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823112068', 1, '2021-07-19 11:42:10', NULL, NULL), (11099, '', '双桥村', '0dba4c02dbe744baa7031d3fc574d456', '77f9856e005341cdbad1bf3f4fa28c4d', 'False', 'True', 'false', 'false', '510823112275', 5, '双桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823112275', 1, '2021-07-19 11:42:11', NULL, NULL), (11100, '', '玉溪村', '5e30560b5b3d41bb86265ef500c4e834', '77f9856e005341cdbad1bf3f4fa28c4d', 'False', 'True', 'false', 'false', '510823112371', 5, '玉溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823112371', 1, '2021-07-19 11:42:11', NULL, NULL), (11101, '', '长岭村', '9522a9bf2dd44e3083cdac8dc794f6d8', '77f9856e005341cdbad1bf3f4fa28c4d', 'False', 'True', 'false', 'false', '510823112520', 5, '长岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823112520', 1, '2021-07-19 11:42:11', NULL, NULL), (11102, '', '复兴村', '48a3cec160ce45e59d6d1cff8a00a602', '77f9856e005341cdbad1bf3f4fa28c4d', 'False', 'True', 'false', 'false', '510823112584', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823112584', 1, '2021-07-19 11:42:11', NULL, NULL), (11103, '', '玉台村', 'cc1dd3b3e49d4ceb9e8a1e981c7c5207', '77f9856e005341cdbad1bf3f4fa28c4d', 'False', 'True', 'false', 'false', '510823112868', 5, '玉台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823112868', 1, '2021-07-19 11:42:11', NULL, NULL), (11104, '', '金仙社区', 'bcffc9f9bbc04642b928d30582f2927a', '77f9856e005341cdbad1bf3f4fa28c4d', 'False', 'True', 'false', 'false', '510823112001', 5, '金仙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823112001', 1, '2021-07-19 11:42:11', NULL, NULL), (11105, '', '西河村', 'afb23f281c684f9faeb8b0069a94abef', '77f9856e005341cdbad1bf3f4fa28c4d', 'False', 'True', 'false', 'false', '510823112202', 5, '西河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823112202', 1, '2021-07-19 11:42:11', NULL, NULL), (11106, '', '赛金村', 'ae66d38e97f84bf9ab9ecaa364ee5e2b', '77f9856e005341cdbad1bf3f4fa28c4d', 'False', 'True', 'false', 'false', '510823112203', 5, '赛金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823112203', 1, '2021-07-19 11:42:11', NULL, NULL), (11107, '', '大顺村', '472d36c867df4c4782a86b6d4747a2d9', '77f9856e005341cdbad1bf3f4fa28c4d', 'False', 'True', 'false', 'false', '510823112206', 5, '大顺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823112206', 1, '2021-07-19 11:42:11', NULL, NULL), (11108, '', '小桥村', 'fc125a58e0444c7398a484f1e5d2fb13', '77f9856e005341cdbad1bf3f4fa28c4d', 'False', 'True', 'false', 'false', '510823112207', 5, '小桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823112207', 1, '2021-07-19 11:42:11', NULL, NULL), (11109, '', '香沉镇', '18f1f770050543698ccb17a64e836ea9', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823113000', 4, '香沉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823113000', 1, '2021-07-19 11:42:11', NULL, NULL), (11110, '', '乘元社区', 'b33501a224924ba8adbf6a49deff4737', '18f1f770050543698ccb17a64e836ea9', 'False', 'True', 'false', 'false', '510823113285', 5, '乘元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823113285', 1, '2021-07-19 11:42:11', NULL, NULL), (11111, '', '跃进社区', '7de6f26bf0824fe68e54280d28ffee9b', '18f1f770050543698ccb17a64e836ea9', 'False', 'True', 'false', 'false', '510823113001', 5, '跃进社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823113001', 1, '2021-07-19 11:42:11', NULL, NULL), (11112, '', '东沟村', 'e4f5d1e60192433086043957d7c0d556', '18f1f770050543698ccb17a64e836ea9', 'False', 'True', 'false', 'false', '510823113202', 5, '东沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823113202', 1, '2021-07-19 11:42:11', NULL, NULL), (11113, '', '群英村', '0313cc6afb8949aa8fba12b62ba6a645', '18f1f770050543698ccb17a64e836ea9', 'False', 'True', 'false', 'false', '510823113205', 5, '群英村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823113205', 1, '2021-07-19 11:42:11', NULL, NULL), (11114, '', '剑南村', '1111409fc02649cbbcc54159b330aa6b', '18f1f770050543698ccb17a64e836ea9', 'False', 'True', 'false', 'false', '510823113206', 5, '剑南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823113206', 1, '2021-07-19 11:42:11', NULL, NULL), (11115, '', '龙台村', 'de7da83f2c174208a47f3ea30091fdd9', '18f1f770050543698ccb17a64e836ea9', 'False', 'True', 'false', 'false', '510823113207', 5, '龙台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823113207', 1, '2021-07-19 11:42:11', NULL, NULL), (11116, '', '白龙镇', 'da6a6807c4fd4a7990a9888eccc8771a', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823114000', 4, '白龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823114000', 1, '2021-07-19 11:42:11', NULL, NULL), (11117, '', '小碑村', 'c9874eeecee8487aa9ea0c8f1301c6a0', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114044', 5, '小碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114044', 1, '2021-07-19 11:42:11', NULL, NULL), (11118, '', '健康村', '9140f860c2cc4d509600f396777d177b', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114123', 5, '健康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114123', 1, '2021-07-19 11:42:12', NULL, NULL), (11119, '', '山峰村', '6822a0f3ca5b43029922958a134b9933', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114258', 5, '山峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114258', 1, '2021-07-19 11:42:12', NULL, NULL), (11120, '', '松柏村', '723c15232973436a894ab516e760c449', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114297', 5, '松柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114297', 1, '2021-07-19 11:42:12', NULL, NULL), (11121, '', '三尖社区', 'd939500f6b844de9a4ee8af5231b81e5', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114319', 5, '三尖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114319', 1, '2021-07-19 11:42:12', NULL, NULL), (11122, '', '剑锋村', 'ecf8551b47b14de2a4243f4aefc9a02e', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114337', 5, '剑锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114337', 1, '2021-07-19 11:42:12', NULL, NULL), (11123, '', '黄林村', '34c1c65274eb44b29473442ac6066b7d', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114539', 5, '黄林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114539', 1, '2021-07-19 11:42:12', NULL, NULL), (11124, '', '唐家村', '6048dd0a32da443baddbbe3ceb8d6bd4', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114584', 5, '唐家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114584', 1, '2021-07-19 11:42:12', NULL, NULL), (11125, '', '山岭社区', '175f7a03d5544c61be0869af385a442c', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114622', 5, '山岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114622', 1, '2021-07-19 11:42:12', NULL, NULL), (11126, '', '红岩村', 'e7c12836c6f14a568d5236211e756149', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114794', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114794', 1, '2021-07-19 11:42:12', NULL, NULL), (11127, '', '前途村', '814dbc53ee4e4ea6bec09e80b5f81e04', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114867', 5, '前途村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114867', 1, '2021-07-19 11:42:12', NULL, NULL), (11128, '', '广坪社区', '8044c498168e43a2b9764df5f53333ae', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114894', 5, '广坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114894', 1, '2021-07-19 11:42:12', NULL, NULL), (11129, '', '先锋村', '0c4a3bd5bdac40a58bf107dff0fb6b81', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114910', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114910', 1, '2021-07-19 11:42:12', NULL, NULL), (11130, '', '远大村', '64ee3c9fb16d47fcb17a02ce6dd29090', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114928', 5, '远大村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114928', 1, '2021-07-19 11:42:12', NULL, NULL), (11131, '', '龙洞社区', '1cab3f9dd63b4311b4ce9728dd577e84', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114001', 5, '龙洞社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114001', 1, '2021-07-19 11:42:12', NULL, NULL), (11132, '', '鲁班社区', '811cfcdab2db4ce8b7bc9fa833397dfa', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114002', 5, '鲁班社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114002', 1, '2021-07-19 11:42:12', NULL, NULL), (11133, '', '三湾社区', '68d00fa80e9e48a781977d4c949d1e2b', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114003', 5, '三湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114003', 1, '2021-07-19 11:42:12', NULL, NULL), (11134, '', '临津社区', 'e0d724942b044e45a29ae54a8237d8da', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114004', 5, '临津社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114004', 1, '2021-07-19 11:42:13', NULL, NULL), (11135, '', '石滩村', '0102ff0039664d60a15e9dfe612792c6', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114201', 5, '石滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114201', 1, '2021-07-19 11:42:13', NULL, NULL), (11136, '', '春风社区', 'ff6a5902718c485e98be15cf3c686a5e', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114203', 5, '春风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114203', 1, '2021-07-19 11:42:13', NULL, NULL), (11137, '', '槐树村', 'd08db794e7844cd89591199207970ff6', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114205', 5, '槐树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114205', 1, '2021-07-19 11:42:13', NULL, NULL), (11138, '', '河垭村', '3d9b868bfbdf415ea653fe20f124f191', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114207', 5, '河垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114207', 1, '2021-07-19 11:42:13', NULL, NULL), (11139, '', '古楼村', 'eedbd5a8fef64c07b4cf2da9dda1bbf1', 'da6a6807c4fd4a7990a9888eccc8771a', 'False', 'True', 'false', 'false', '510823114208', 5, '古楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823114208', 1, '2021-07-19 11:42:13', NULL, NULL), (11140, '', '鹤龄镇', 'ef9cc0bf6ca64aa1b4f37e2e533fa574', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823115000', 4, '鹤龄镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823115000', 1, '2021-07-19 11:42:13', NULL, NULL), (11141, '', '凤凰社区', 'bb623e8efb9a475283ab0d587eeebb97', 'ef9cc0bf6ca64aa1b4f37e2e533fa574', 'False', 'True', 'false', 'false', '510823115001', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823115001', 1, '2021-07-19 11:42:13', NULL, NULL), (11142, '', '赤化社区', '372bfcf7b42548ff9d24329183781b03', 'ef9cc0bf6ca64aa1b4f37e2e533fa574', 'False', 'True', 'false', 'false', '510823115002', 5, '赤化社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823115002', 1, '2021-07-19 11:42:13', NULL, NULL), (11143, '', '金珠村', '3e5e72dfd6264175b2273c046ef62d8a', 'ef9cc0bf6ca64aa1b4f37e2e533fa574', 'False', 'True', 'false', 'false', '510823115201', 5, '金珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823115201', 1, '2021-07-19 11:42:13', NULL, NULL), (11144, '', '长寿村', 'eecae04d167c49cca02f47c0c75ae2d4', 'ef9cc0bf6ca64aa1b4f37e2e533fa574', 'False', 'True', 'false', 'false', '510823115203', 5, '长寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823115203', 1, '2021-07-19 11:42:13', NULL, NULL), (11145, '', '永兴村', 'ce1e1afa12b044edb8f27e572fa7fad1', 'ef9cc0bf6ca64aa1b4f37e2e533fa574', 'False', 'True', 'false', 'false', '510823115204', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823115204', 1, '2021-07-19 11:42:13', NULL, NULL), (11146, '', '龙潭村', '8f75308c007f4de5acb2c73f8a36c4ff', 'ef9cc0bf6ca64aa1b4f37e2e533fa574', 'False', 'True', 'false', 'false', '510823115206', 5, '龙潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823115206', 1, '2021-07-19 11:42:13', NULL, NULL), (11147, '', '青木村', 'cc591bb57b5641f9b1fcab79fde167b9', 'ef9cc0bf6ca64aa1b4f37e2e533fa574', 'False', 'True', 'false', 'false', '510823115207', 5, '青木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823115207', 1, '2021-07-19 11:42:13', NULL, NULL), (11148, '', '化林村', '97aac54b75154ac1bcf66e9855f1478e', 'ef9cc0bf6ca64aa1b4f37e2e533fa574', 'False', 'True', 'false', 'false', '510823115210', 5, '化林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823115210', 1, '2021-07-19 11:42:13', NULL, NULL), (11149, '', '岳坪村', 'ce64d254cdec4154838323e315b021f1', 'ef9cc0bf6ca64aa1b4f37e2e533fa574', 'False', 'True', 'false', 'false', '510823115211', 5, '岳坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823115211', 1, '2021-07-19 11:42:13', NULL, NULL), (11150, '', '白鹤村', 'e8bc9aab21fa47df95d8da08ec401f44', 'ef9cc0bf6ca64aa1b4f37e2e533fa574', 'False', 'True', 'false', 'false', '510823115212', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823115212', 1, '2021-07-19 11:42:14', NULL, NULL), (11151, '', '印盒村', '07475d4eb46e401ca127790c4e8d3142', 'ef9cc0bf6ca64aa1b4f37e2e533fa574', 'False', 'True', 'false', 'false', '510823115215', 5, '印盒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823115215', 1, '2021-07-19 11:42:14', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (11152, '', '杨村镇', 'a1370e7d842b4b56808188c865e3a9a9', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823116000', 4, '杨村镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823116000', 1, '2021-07-19 11:42:14', NULL, NULL), (11153, '', '白水村', '886b0f75cfe841f48af46792d17d306a', 'a1370e7d842b4b56808188c865e3a9a9', 'False', 'True', 'false', 'false', '510823116052', 5, '白水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823116052', 1, '2021-07-19 11:42:14', NULL, NULL), (11154, '', '锦屏村', 'c9bb91e0048d451092b7f1cb2ba01830', 'a1370e7d842b4b56808188c865e3a9a9', 'False', 'True', 'false', 'false', '510823116292', 5, '锦屏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823116292', 1, '2021-07-19 11:42:14', NULL, NULL), (11155, '', '佛山村', 'c5ae2410a3ab44fe922ce8da2bc86c22', 'a1370e7d842b4b56808188c865e3a9a9', 'False', 'True', 'false', 'false', '510823116399', 5, '佛山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823116399', 1, '2021-07-19 11:42:14', NULL, NULL), (11156, '', '青墟村', '302da175537a409aa10ef70c6d97c679', 'a1370e7d842b4b56808188c865e3a9a9', 'False', 'True', 'false', 'false', '510823116436', 5, '青墟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823116436', 1, '2021-07-19 11:42:14', NULL, NULL), (11157, '', '龙鞍社区', '2fe9eae860bd429488a7e6a830f09fc1', 'a1370e7d842b4b56808188c865e3a9a9', 'False', 'True', 'false', 'false', '510823116001', 5, '龙鞍社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823116001', 1, '2021-07-19 11:42:14', NULL, NULL), (11158, '', '石门村', 'a67a1220a7854d81b610a8b7d75c978b', 'a1370e7d842b4b56808188c865e3a9a9', 'False', 'True', 'false', 'false', '510823116201', 5, '石门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823116201', 1, '2021-07-19 11:42:14', NULL, NULL), (11159, '', '长湖村', '3f5dcdb8bbee4ca686034c54aa833217', 'a1370e7d842b4b56808188c865e3a9a9', 'False', 'True', 'false', 'false', '510823116202', 5, '长湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823116202', 1, '2021-07-19 11:42:14', NULL, NULL), (11160, '', '建设村', '09658ea81b2349c194ca34a57ccaf682', 'a1370e7d842b4b56808188c865e3a9a9', 'False', 'True', 'false', 'false', '510823116204', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823116204', 1, '2021-07-19 11:42:14', NULL, NULL), (11161, '', '柏梓村', '7a8cbcedb0084a399e9b78e132eb36cf', 'a1370e7d842b4b56808188c865e3a9a9', 'False', 'True', 'false', 'false', '510823116205', 5, '柏梓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823116205', 1, '2021-07-19 11:42:14', NULL, NULL), (11162, '', '三合村', 'b90e2baef7cb4d2c93226624794fd536', 'a1370e7d842b4b56808188c865e3a9a9', 'False', 'True', 'false', 'false', '510823116206', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823116206', 1, '2021-07-19 11:42:14', NULL, NULL), (11163, '', '羊岭镇', '14326991536c41e5bc635b6291243745', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823117000', 4, '羊岭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823117000', 1, '2021-07-19 11:42:14', NULL, NULL), (11164, '', '石城村', 'e9ec520ff2a04154b8baad7b6c006b8f', '14326991536c41e5bc635b6291243745', 'False', 'True', 'false', 'false', '510823117838', 5, '石城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823117838', 1, '2021-07-19 11:42:14', NULL, NULL), (11165, '', '太平社区', 'cefa870c8a664816b89921287b596818', '14326991536c41e5bc635b6291243745', 'False', 'True', 'false', 'false', '510823117001', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823117001', 1, '2021-07-19 11:42:14', NULL, NULL), (11166, '', '庙坝社区', '16cd5d6dbcb845bf892108855ecf05c9', '14326991536c41e5bc635b6291243745', 'False', 'True', 'false', 'false', '510823117002', 5, '庙坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823117002', 1, '2021-07-19 11:42:14', NULL, NULL), (11167, '', '大堰村', '99a89ff60f0b4c19bbb3b469fea91f0b', '14326991536c41e5bc635b6291243745', 'False', 'True', 'false', 'false', '510823117207', 5, '大堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823117207', 1, '2021-07-19 11:42:14', NULL, NULL), (11168, '', '钟鼓村', '912d916811a840b0a986bf344416b0c8', '14326991536c41e5bc635b6291243745', 'False', 'True', 'false', 'false', '510823117209', 5, '钟鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823117209', 1, '2021-07-19 11:42:14', NULL, NULL), (11169, '', '青柏村', 'f3e76321ebd24870b259f22ef77a72e8', '14326991536c41e5bc635b6291243745', 'False', 'True', 'false', 'false', '510823117210', 5, '青柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823117210', 1, '2021-07-19 11:42:15', NULL, NULL), (11170, '', '江口镇', '7f3b7f9493dd4253aa3e8da212811f3a', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823118000', 4, '江口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823118000', 1, '2021-07-19 11:42:15', NULL, NULL), (11171, '', '闻江社区', '299bc62b6e624d1fa2c19e7d8dd02e23', '7f3b7f9493dd4253aa3e8da212811f3a', 'False', 'True', 'false', 'false', '510823118001', 5, '闻江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823118001', 1, '2021-07-19 11:42:15', NULL, NULL), (11172, '', '木林坝社区', '6a19928224f945a391ee7412e99bf10b', '7f3b7f9493dd4253aa3e8da212811f3a', 'False', 'True', 'false', 'false', '510823118002', 5, '木林坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823118002', 1, '2021-07-19 11:42:15', NULL, NULL), (11173, '', '灌林社区', 'e6206ac074e3419c91658ff99d910b10', '7f3b7f9493dd4253aa3e8da212811f3a', 'False', 'True', 'false', 'false', '510823118003', 5, '灌林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823118003', 1, '2021-07-19 11:42:15', NULL, NULL), (11174, '', '新禾村', '29ff95331bc045008b29bda1ed5153ea', '7f3b7f9493dd4253aa3e8da212811f3a', 'False', 'True', 'false', 'false', '510823118200', 5, '新禾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823118200', 1, '2021-07-19 11:42:15', NULL, NULL), (11175, '', '长江村', '54d7d2d968394891a9eda53115734aee', '7f3b7f9493dd4253aa3e8da212811f3a', 'False', 'True', 'false', 'false', '510823118202', 5, '长江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823118202', 1, '2021-07-19 11:42:15', NULL, NULL), (11176, '', '新庄村', '7654a6f79c724b4c8ed25f6a1abbd116', '7f3b7f9493dd4253aa3e8da212811f3a', 'False', 'True', 'false', 'false', '510823118203', 5, '新庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823118203', 1, '2021-07-19 11:42:15', NULL, NULL), (11177, '', '七林村', 'c95104be2be44127872b739d6bf0b46a', '7f3b7f9493dd4253aa3e8da212811f3a', 'False', 'True', 'false', 'false', '510823118204', 5, '七林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823118204', 1, '2021-07-19 11:42:15', NULL, NULL), (11178, '', '高堂村', '0e237041e9dc4c149b6aadb216c273de', '7f3b7f9493dd4253aa3e8da212811f3a', 'False', 'True', 'false', 'false', '510823118205', 5, '高堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823118205', 1, '2021-07-19 11:42:15', NULL, NULL), (11179, '', '春雷村', 'e036b7da6c844edfaf3b0171629c04ab', '7f3b7f9493dd4253aa3e8da212811f3a', 'False', 'True', 'false', 'false', '510823118206', 5, '春雷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823118206', 1, '2021-07-19 11:42:15', NULL, NULL), (11180, '', '陵丰村', 'd0ebbdcf98ec47ca9f2a4b63efe7d731', '7f3b7f9493dd4253aa3e8da212811f3a', 'False', 'True', 'false', 'false', '510823118209', 5, '陵丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823118209', 1, '2021-07-19 11:42:15', NULL, NULL), (11181, '', '剑门关镇', '9967d60c006f476da281b089e34f0b9c', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823120000', 4, '剑门关镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823120000', 1, '2021-07-19 11:42:15', NULL, NULL), (11182, '', '高观社区', '8aef5801376c464baeb21b806cf3d00b', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120082', 5, '高观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120082', 1, '2021-07-19 11:42:15', NULL, NULL), (11183, '', '天桥村', '013ee6a1bbef4ad0a5bba8bfb9f0dc4a', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120253', 5, '天桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120253', 1, '2021-07-19 11:42:15', NULL, NULL), (11184, '', '茶坪村', 'fb67d059552e45e5ab973474a51d942f', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120325', 5, '茶坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120325', 1, '2021-07-19 11:42:15', NULL, NULL), (11185, '', '健民村', '38c6d92766bb44d68191a5a5eaddfe1a', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120599', 5, '健民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120599', 1, '2021-07-19 11:42:16', NULL, NULL), (11186, '', '元岭村', '237a39db40704fa49b2e151ebcc6c285', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120777', 5, '元岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120777', 1, '2021-07-19 11:42:16', NULL, NULL), (11187, '', '新田村', 'c8209730076b41db9a6c141f92694c3b', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120843', 5, '新田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120843', 1, '2021-07-19 11:42:16', NULL, NULL), (11188, '', '张帽村', '5049beb8793c4fb58319b44af3ec5ba2', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120979', 5, '张帽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120979', 1, '2021-07-19 11:42:16', NULL, NULL), (11189, '', '雄关社区', '0378680f233746c3983aa5c419d9c116', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120001', 5, '雄关社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120001', 1, '2021-07-19 11:42:16', NULL, NULL), (11190, '', '志公社区', 'e768eb399ea94cf5b8ebf680d22e0e90', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120002', 5, '志公社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120002', 1, '2021-07-19 11:42:16', NULL, NULL), (11191, '', '剑门村', '186902a501904027adcd4496b33fa653', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120201', 5, '剑门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120201', 1, '2021-07-19 11:42:16', NULL, NULL), (11192, '', '大房村', '70e1e1c0352c48ce927ea8316a2a4187', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120202', 5, '大房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120202', 1, '2021-07-19 11:42:16', NULL, NULL), (11193, '', '青树村', 'ad62e39e1b484278be0cf79d030d76dd', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120203', 5, '青树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120203', 1, '2021-07-19 11:42:16', NULL, NULL), (11194, '', '双鱼村', '8f8423d385514e9188054357ebb1c7ce', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120204', 5, '双鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120204', 1, '2021-07-19 11:42:16', NULL, NULL), (11195, '', '剑山村', 'deb179c94ccf4a23af370efcd7cd007b', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120206', 5, '剑山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120206', 1, '2021-07-19 11:42:16', NULL, NULL), (11196, '', '元安村', '9f51d10d8cd24f90834947372754db83', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120207', 5, '元安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120207', 1, '2021-07-19 11:42:16', NULL, NULL), (11197, '', '梁山村', '757a3a4e3e9648adb285c8617f66adea', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120208', 5, '梁山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120208', 1, '2021-07-19 11:42:16', NULL, NULL), (11198, '', '高峰村', 'd49876c6ad194a64886d55fdbac9d95c', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120211', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120211', 1, '2021-07-19 11:42:16', NULL, NULL), (11199, '', '桂花村', '61e0bf835c7f43dd95457a897c7e3ea8', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120212', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120212', 1, '2021-07-19 11:42:16', NULL, NULL), (11200, '', '田坝村', '65ee35fd9e80472697bd284388f2cf59', '9967d60c006f476da281b089e34f0b9c', 'False', 'True', 'false', 'false', '510823120794', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823120794', 1, '2021-07-19 11:42:16', NULL, NULL), (11201, '', '汉阳镇', '649d4ead95384672b14d3c25b4a902f7', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823121000', 4, '汉阳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823121000', 1, '2021-07-19 11:42:16', NULL, NULL), (11202, '', '登煌村', '347d9ee03c464788a840341af554d90e', '649d4ead95384672b14d3c25b4a902f7', 'False', 'True', 'false', 'false', '510823121197', 5, '登煌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823121197', 1, '2021-07-19 11:42:16', NULL, NULL), (11203, '', '东青村', '75ced22782f74304bbd29067c5826d29', '649d4ead95384672b14d3c25b4a902f7', 'False', 'True', 'false', 'false', '510823121447', 5, '东青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823121447', 1, '2021-07-19 11:42:16', NULL, NULL), (11204, '', '翠云社区', '4dde9f0643764de1a392b3b428203bfb', '649d4ead95384672b14d3c25b4a902f7', 'False', 'True', 'false', 'false', '510823121001', 5, '翠云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823121001', 1, '2021-07-19 11:42:17', NULL, NULL), (11205, '', '云丰村', '7add185cccf64f0298e08d33e82dfc7c', '649d4ead95384672b14d3c25b4a902f7', 'False', 'True', 'false', 'false', '510823121201', 5, '云丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823121201', 1, '2021-07-19 11:42:17', NULL, NULL), (11206, '', '永泉村', '8a9982c74d224824a7eb508c9c3e5561', '649d4ead95384672b14d3c25b4a902f7', 'False', 'True', 'false', 'false', '510823121206', 5, '永泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823121206', 1, '2021-07-19 11:42:17', NULL, NULL), (11207, '', '壮山村', 'ea9699528fb94b0b8778a1de95305e6d', '649d4ead95384672b14d3c25b4a902f7', 'False', 'True', 'false', 'false', '510823121207', 5, '壮山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823121207', 1, '2021-07-19 11:42:17', NULL, NULL), (11208, '', '壮岭村', '18542239a33c4793adb814dc7789432f', '649d4ead95384672b14d3c25b4a902f7', 'False', 'True', 'false', 'false', '510823121208', 5, '壮岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823121208', 1, '2021-07-19 11:42:17', NULL, NULL), (11209, '', '七里村', '2c36cbfc5a7b4f5985079702e7caf6ab', '649d4ead95384672b14d3c25b4a902f7', 'False', 'True', 'false', 'false', '510823121211', 5, '七里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823121211', 1, '2021-07-19 11:42:17', NULL, NULL), (11210, '', '下寺镇', 'a94bc648c54540c296ca521afd272956', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823122000', 4, '下寺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823122000', 1, '2021-07-19 11:42:17', NULL, NULL), (11211, '', '茶园沟村', 'b18c478ae71a4afc85c75d6f7168d394', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122010', 5, '茶园沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122010', 1, '2021-07-19 11:42:17', NULL, NULL), (11212, '', '双旗村', '3c9ef678b62648c7b4dec0a0d1575df8', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122015', 5, '双旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122015', 1, '2021-07-19 11:42:17', NULL, NULL), (11213, '', '青松村', '63245d3c8f4d4adfb70032b20b025577', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122016', 5, '青松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122016', 1, '2021-07-19 11:42:17', NULL, NULL), (11214, '', '二龙村', 'db27d7101e4644aaabe869a3a66255bf', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122017', 5, '二龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122017', 1, '2021-07-19 11:42:17', NULL, NULL), (11215, '', '中心村', 'e26769eed9fa48ad801e48247d2cecc4', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122018', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122018', 1, '2021-07-19 11:42:17', NULL, NULL), (11216, '', '顺风村', 'cc22d41ba32a4f3e81e5123423134a81', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122019', 5, '顺风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122019', 1, '2021-07-19 11:42:17', NULL, NULL), (11217, '', '三房社区', 'd82a4be53edc46e794843c692bd9f7ed', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122020', 5, '三房社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122020', 1, '2021-07-19 11:42:17', NULL, NULL), (11218, '', '桅杆村', '6e29c3f48591434aa9134d5349c2a546', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122021', 5, '桅杆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122021', 1, '2021-07-19 11:42:17', NULL, NULL), (11219, '', '修城坝社区', '60f2fb628cbe4cf29014bc1cb367e689', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122001', 5, '修城坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122001', 1, '2021-07-19 11:42:17', NULL, NULL), (11220, '', '沙溪坝社区', 'de01d137de294a50b50c5436f24cb3c8', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122002', 5, '沙溪坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122002', 1, '2021-07-19 11:42:17', NULL, NULL), (11221, '', '雷鸣社区', '4fb09636d8da4797a646f5ad9d700867', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122003', 5, '雷鸣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122003', 1, '2021-07-19 11:42:17', NULL, NULL), (11222, '', '渡口社区', 'b34087f0fb7840238996de3df6bd4f0c', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122004', 5, '渡口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122004', 1, '2021-07-19 11:42:18', NULL, NULL), (11223, '', '清江社区', 'ff27511f2a174175874b711bfe791b32', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122005', 5, '清江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122005', 1, '2021-07-19 11:42:18', NULL, NULL), (11224, '', '下寺社区', '3c693155deb94a51b55b1817fa890f3e', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122006', 5, '下寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122006', 1, '2021-07-19 11:42:18', NULL, NULL), (11225, '', '翰林社区', 'eea53d8f305d4e3e9a80c8d0d589fef8', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122007', 5, '翰林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122007', 1, '2021-07-19 11:42:18', NULL, NULL), (11226, '', '三江社区', 'e16c0efb0ab54c288170a31406cba364', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122008', 5, '三江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122008', 1, '2021-07-19 11:42:18', NULL, NULL), (11227, '', '窑沟社区', '7813ffd0e39b4130bfaf9ee4d573e637', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122009', 5, '窑沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122009', 1, '2021-07-19 11:42:18', NULL, NULL), (11228, '', '冠京村', 'e0e8e47103844bab95989f995db7929a', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122203', 5, '冠京村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122203', 1, '2021-07-19 11:42:18', NULL, NULL), (11229, '', '峰垭村', '44951d083f0944c58022423da5fefdf4', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122204', 5, '峰垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122204', 1, '2021-07-19 11:42:18', NULL, NULL), (11230, '', '空木村', 'ef47365d2fc342e28817e3e2c002f423', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122211', 5, '空木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122211', 1, '2021-07-19 11:42:18', NULL, NULL), (11231, '', '石瓮村', '8b1e420d26184e5b89f00e3c677362e0', 'a94bc648c54540c296ca521afd272956', 'False', 'True', 'false', 'false', '510823122212', 5, '石瓮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823122212', 1, '2021-07-19 11:42:18', NULL, NULL), (11232, '', '姚家镇', 'acf03ac2bfe149bf97609d52e8876afe', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823203000', 4, '姚家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823203000', 1, '2021-07-19 11:42:18', NULL, NULL), (11233, '', '明兴村', '0107e538698545099a7f72a5d7f87981', 'acf03ac2bfe149bf97609d52e8876afe', 'False', 'True', 'false', 'false', '510823203066', 5, '明兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823203066', 1, '2021-07-19 11:42:18', NULL, NULL), (11234, '', '向阳社区', '05503ad3416b4094852bae8eaa4adc5f', 'acf03ac2bfe149bf97609d52e8876afe', 'False', 'True', 'false', 'false', '510823203147', 5, '向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823203147', 1, '2021-07-19 11:42:18', NULL, NULL), (11235, '', '团结村', '804965e8bd894cc2896308acc61d95e1', 'acf03ac2bfe149bf97609d52e8876afe', 'False', 'True', 'false', 'false', '510823203270', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823203270', 1, '2021-07-19 11:42:18', NULL, NULL), (11236, '', '银溪村', '4e5449da5af34b489b62c8c7982fe344', 'acf03ac2bfe149bf97609d52e8876afe', 'False', 'True', 'false', 'false', '510823203472', 5, '银溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823203472', 1, '2021-07-19 11:42:18', NULL, NULL), (11237, '', '元宝村', '2df40eeb094c4095a14ba92daa84c07e', 'acf03ac2bfe149bf97609d52e8876afe', 'False', 'True', 'false', 'false', '510823203529', 5, '元宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823203529', 1, '2021-07-19 11:42:18', NULL, NULL), (11238, '', '天字村', 'd75a777638ae4ee290c344ce3dfd597d', 'acf03ac2bfe149bf97609d52e8876afe', 'False', 'True', 'false', 'false', '510823203577', 5, '天字村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823203577', 1, '2021-07-19 11:42:18', NULL, NULL), (11239, '', '柳场村', '08a6ac595e7e456f93c239a3c9ba5def', 'acf03ac2bfe149bf97609d52e8876afe', 'False', 'True', 'false', 'false', '510823203792', 5, '柳场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823203792', 1, '2021-07-19 11:42:18', NULL, NULL), (11240, '', '繁荣村', 'b0307611b8fd40658a0eb0433857401c', 'acf03ac2bfe149bf97609d52e8876afe', 'False', 'True', 'false', 'false', '510823203794', 5, '繁荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823203794', 1, '2021-07-19 11:42:18', NULL, NULL), (11241, '', '钟岭村', '10f4c897565c4168a62ea2ce134e23b9', 'acf03ac2bfe149bf97609d52e8876afe', 'False', 'True', 'false', 'false', '510823203879', 5, '钟岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823203879', 1, '2021-07-19 11:42:19', NULL, NULL), (11242, '', '北庙村', '0530c9a05b50433491f0839f9a84f28a', 'acf03ac2bfe149bf97609d52e8876afe', 'False', 'True', 'false', 'false', '510823203989', 5, '北庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823203989', 1, '2021-07-19 11:42:19', NULL, NULL), (11243, '', '义兴镇', '8f8441a049b14cc5b9e74d5ac8e8a638', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823206000', 4, '义兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823206000', 1, '2021-07-19 11:42:19', NULL, NULL), (11244, '', '甘水村(农村社区)', 'c8acb4f9b1c346288d749c3ad402ed11', '8f8441a049b14cc5b9e74d5ac8e8a638', 'False', 'True', 'false', 'false', '510823206351', 5, '甘水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823206351', 1, '2021-07-19 11:42:19', NULL, NULL), (11245, '', '新星社区', '20289c3d15674e769626108b73ce5f8e', '8f8441a049b14cc5b9e74d5ac8e8a638', 'False', 'True', 'false', 'false', '510823206001', 5, '新星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823206001', 1, '2021-07-19 11:42:19', NULL, NULL), (11246, '', '工农村', '111b5eed47c247218c1df5963e4d601d', '8f8441a049b14cc5b9e74d5ac8e8a638', 'False', 'True', 'false', 'false', '510823206200', 5, '工农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823206200', 1, '2021-07-19 11:42:19', NULL, NULL), (11247, '', '劳动村', 'c87b32ee7b6947869daff155596bc1f6', '8f8441a049b14cc5b9e74d5ac8e8a638', 'False', 'True', 'false', 'false', '510823206201', 5, '劳动村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823206201', 1, '2021-07-19 11:42:19', NULL, NULL), (11248, '', '沙河村', '9f72ddd5ab994682a15f529a5a7d6b45', '8f8441a049b14cc5b9e74d5ac8e8a638', 'False', 'True', 'false', 'false', '510823206202', 5, '沙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823206202', 1, '2021-07-19 11:42:19', NULL, NULL), (11249, '', '双垭村', 'cc06403e8b7141bfa29c4a1ae46c1552', '8f8441a049b14cc5b9e74d5ac8e8a638', 'False', 'True', 'false', 'false', '510823206203', 5, '双垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823206203', 1, '2021-07-19 11:42:19', NULL, NULL), (11250, '', '红星村', '63b3464a2c5043e5a81ee1d73b3f00c1', '8f8441a049b14cc5b9e74d5ac8e8a638', 'False', 'True', 'false', 'false', '510823206205', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823206205', 1, '2021-07-19 11:42:19', NULL, NULL), (11251, '', '秀钟乡', '0911a6de44624313a02ee355bfd74417', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823210000', 4, '秀钟乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823210000', 1, '2021-07-19 11:42:19', NULL, NULL), (11252, '', '钟山村', 'e0ee150e23f84e1e930b099581caaab6', '0911a6de44624313a02ee355bfd74417', 'False', 'True', 'false', 'false', '510823210202', 5, '钟山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823210202', 1, '2021-07-19 11:42:19', NULL, NULL), (11253, '', '太兴村', '35917c133d5441a8bbc4e6749ba0567a', '0911a6de44624313a02ee355bfd74417', 'False', 'True', 'false', 'false', '510823210204', 5, '太兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823210204', 1, '2021-07-19 11:42:19', NULL, NULL), (11254, '', '双河村', '3f72b9cddb984da6a28884a3c0ed5de3', '0911a6de44624313a02ee355bfd74417', 'False', 'True', 'false', 'false', '510823210205', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823210205', 1, '2021-07-19 11:42:19', NULL, NULL), (11255, '', '青岭村', '20eb3ca20a664cd8965cad956265db1f', '0911a6de44624313a02ee355bfd74417', 'False', 'True', 'false', 'false', '510823210207', 5, '青岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823210207', 1, '2021-07-19 11:42:19', NULL, NULL), (11256, '', '荷花村', '48c0493e8e024ae39b3c3fc9dd7246ff', '0911a6de44624313a02ee355bfd74417', 'False', 'True', 'false', 'false', '510823210208', 5, '荷花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823210208', 1, '2021-07-19 11:42:19', NULL, NULL), (11257, '', '涂山镇', '30f6508507b849a3888b079a88b2e69b', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823221000', 4, '涂山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823221000', 1, '2021-07-19 11:42:19', NULL, NULL), (11258, '', '涂山村', '9822d94fe64943c280f2b1a1cc906fb1', '30f6508507b849a3888b079a88b2e69b', 'False', 'True', 'false', 'false', '510823221200', 5, '涂山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823221200', 1, '2021-07-19 11:42:19', NULL, NULL), (11259, '', '太和村', '4d59ff7ac47346afb156f680f4fe00be', '30f6508507b849a3888b079a88b2e69b', 'False', 'True', 'false', 'false', '510823221201', 5, '太和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823221201', 1, '2021-07-19 11:42:20', NULL, NULL), (11260, '', '厚子铺村', '89ff1e44128043eaa414901c4e24dd09', '30f6508507b849a3888b079a88b2e69b', 'False', 'True', 'false', 'false', '510823221202', 5, '厚子铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823221202', 1, '2021-07-19 11:42:20', NULL, NULL), (11261, '', '石剑村', '2dc2c006970845aeb5bfe02446fe9a64', '30f6508507b849a3888b079a88b2e69b', 'False', 'True', 'false', 'false', '510823221203', 5, '石剑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823221203', 1, '2021-07-19 11:42:20', NULL, NULL), (11262, '', '东河村', '4c696994fd8f4c9baac2895c1c69f23e', '30f6508507b849a3888b079a88b2e69b', 'False', 'True', 'false', 'false', '510823221205', 5, '东河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823221205', 1, '2021-07-19 11:42:20', NULL, NULL), (11263, '', '迎新村', 'ad51718a8932482889e40244dd5e2ab5', '30f6508507b849a3888b079a88b2e69b', 'False', 'True', 'false', 'false', '510823221208', 5, '迎新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823221208', 1, '2021-07-19 11:42:20', NULL, NULL), (11264, '', '店子镇', '32466abd206d42a997ad55cd7faf3b19', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823226000', 4, '店子镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823226000', 1, '2021-07-19 11:42:20', NULL, NULL), (11265, '', '永兴社区', '54576aa80901400681a3dc95133bbb84', '32466abd206d42a997ad55cd7faf3b19', 'False', 'True', 'false', 'false', '510823226001', 5, '永兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823226001', 1, '2021-07-19 11:42:20', NULL, NULL), (11266, '', '大河村', 'fd07e9b3ceea4c3e93fcc5b468560636', '32466abd206d42a997ad55cd7faf3b19', 'False', 'True', 'false', 'false', '510823226200', 5, '大河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823226200', 1, '2021-07-19 11:42:20', NULL, NULL), (11267, '', '联盟村', '3a2674c53494441d96f5326bed9ebc61', '32466abd206d42a997ad55cd7faf3b19', 'False', 'True', 'false', 'false', '510823226203', 5, '联盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823226203', 1, '2021-07-19 11:42:20', NULL, NULL), (11268, '', '元丰村', '82e47a46ed3e4bf5b704c21ecef76e4c', '32466abd206d42a997ad55cd7faf3b19', 'False', 'True', 'false', 'false', '510823226204', 5, '元丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823226204', 1, '2021-07-19 11:42:20', NULL, NULL), (11269, '', '龙水村', 'd21f2e07135a4b1c94a19104af2a66f6', '32466abd206d42a997ad55cd7faf3b19', 'False', 'True', 'false', 'false', '510823226206', 5, '龙水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823226206', 1, '2021-07-19 11:42:20', NULL, NULL), (11270, '', '尖山村', '08d97a0352c8498d8e756be485cd796c', '32466abd206d42a997ad55cd7faf3b19', 'False', 'True', 'false', 'false', '510823226207', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823226207', 1, '2021-07-19 11:42:20', NULL, NULL), (11271, '', '登高村', '9fb75f65ef6841549f0dd91107e79384', '32466abd206d42a997ad55cd7faf3b19', 'False', 'True', 'false', 'false', '510823226208', 5, '登高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823226208', 1, '2021-07-19 11:42:20', NULL, NULL), (11272, '', '石岩村', 'dabfe290758640e8afe5f3e2953f331f', '32466abd206d42a997ad55cd7faf3b19', 'False', 'True', 'false', 'false', '510823226209', 5, '石岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823226209', 1, '2021-07-19 11:42:20', NULL, NULL), (11273, '', '樵店乡', 'd584e4e8eb054f7eb3f885c81142d0e8', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823228000', 4, '樵店乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823228000', 1, '2021-07-19 11:42:20', NULL, NULL), (11274, '', '七一村', '4516b3a6c2ba492ebf4f2648d135c1cf', 'd584e4e8eb054f7eb3f885c81142d0e8', 'False', 'True', 'false', 'false', '510823228074', 5, '七一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823228074', 1, '2021-07-19 11:42:20', NULL, NULL), (11275, '', '木林村', 'db0e03b7482b4242a40c07838fa86380', 'd584e4e8eb054f7eb3f885c81142d0e8', 'False', 'True', 'false', 'false', '510823228200', 5, '木林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823228200', 1, '2021-07-19 11:42:20', NULL, NULL), (11276, '', '井田村', '8e0debf3f7d0441aadb254729127fef4', 'd584e4e8eb054f7eb3f885c81142d0e8', 'False', 'True', 'false', 'false', '510823228201', 5, '井田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823228201', 1, '2021-07-19 11:42:21', NULL, NULL), (11277, '', '蒲李村', 'd07e6b7dc6ed416fa64378fa5fe0852a', 'd584e4e8eb054f7eb3f885c81142d0e8', 'False', 'True', 'false', 'false', '510823228202', 5, '蒲李村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823228202', 1, '2021-07-19 11:42:21', NULL, NULL), (11278, '', '新房村', '8581b4ec4a134132a94f4001c5fa07fc', 'd584e4e8eb054f7eb3f885c81142d0e8', 'False', 'True', 'false', 'false', '510823228203', 5, '新房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823228203', 1, '2021-07-19 11:42:21', NULL, NULL), (11279, '', '中岩村', '2ba77818e844409eb607f5187da045f0', 'd584e4e8eb054f7eb3f885c81142d0e8', 'False', 'True', 'false', 'false', '510823228206', 5, '中岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823228206', 1, '2021-07-19 11:42:21', NULL, NULL), (11280, '', '张王镇', '4a371cdc641f4b5e815205345a8901b1', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823232000', 4, '张王镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823232000', 1, '2021-07-19 11:42:21', NULL, NULL), (11281, '', '青龙社区', 'e0b36ec9c35a40c7a102d5b970618e9b', '4a371cdc641f4b5e815205345a8901b1', 'False', 'True', 'false', 'false', '510823232001', 5, '青龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823232001', 1, '2021-07-19 11:42:21', NULL, NULL), (11282, '', '嘉陵村', '61e0e9ad33324054b14c34b2e794caca', '4a371cdc641f4b5e815205345a8901b1', 'False', 'True', 'false', 'false', '510823232200', 5, '嘉陵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823232200', 1, '2021-07-19 11:42:21', NULL, NULL), (11283, '', '苍山村', 'c7475003bbe641dc92f013169c6d77d3', '4a371cdc641f4b5e815205345a8901b1', 'False', 'True', 'false', 'false', '510823232201', 5, '苍山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823232201', 1, '2021-07-19 11:42:21', NULL, NULL), (11284, '', '大柏村', '7ac81e850ffb4dd59cd914049bb85875', '4a371cdc641f4b5e815205345a8901b1', 'False', 'True', 'false', 'false', '510823232202', 5, '大柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823232202', 1, '2021-07-19 11:42:21', NULL, NULL), (11285, '', '紫荆村', '1b53aaf8b96948ea962e10b1e2404316', '4a371cdc641f4b5e815205345a8901b1', 'False', 'True', 'false', 'false', '510823232203', 5, '紫荆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823232203', 1, '2021-07-19 11:42:21', NULL, NULL), (11286, '', '长石村', 'a72837c143b04328836a665356461664', '4a371cdc641f4b5e815205345a8901b1', 'False', 'True', 'false', 'false', '510823232204', 5, '长石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823232204', 1, '2021-07-19 11:42:21', NULL, NULL), (11287, '', '金光村', 'e613470a94ec415a9ed5534e43be20e7', '4a371cdc641f4b5e815205345a8901b1', 'False', 'True', 'false', 'false', '510823232205', 5, '金光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823232205', 1, '2021-07-19 11:42:21', NULL, NULL), (11288, '', '金号村', '59f5bcd8191448fbb18002c26a68024d', '4a371cdc641f4b5e815205345a8901b1', 'False', 'True', 'false', 'false', '510823232206', 5, '金号村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823232206', 1, '2021-07-19 11:42:21', NULL, NULL), (11289, '', '穿井村', 'b3012258e58d4aa8ab426941104ece07', '4a371cdc641f4b5e815205345a8901b1', 'False', 'True', 'false', 'false', '510823232207', 5, '穿井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823232207', 1, '2021-07-19 11:42:21', NULL, NULL), (11290, '', '木马镇', '83ae9095db814ae5987f7c690815dcf8', '0dd6e437cec142ed8944ae99510292b0', 'True', 'True', 'false', 'false', '510823988000', 4, '木马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510823988000', 1, '2021-07-19 11:42:21', NULL, NULL), (11291, '', '柏垭村', 'e3bfb1e7b9ab40449cfdd2f69869faeb', '83ae9095db814ae5987f7c690815dcf8', 'False', 'True', 'false', 'false', '510823119732', 5, '柏垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823119732', 1, '2021-07-19 11:42:21', NULL, NULL), (11292, '', '共同村', '428891b06749439f861735c6d970cc35', '83ae9095db814ae5987f7c690815dcf8', 'False', 'True', 'false', 'false', '510823119029', 5, '共同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823119029', 1, '2021-07-19 11:42:22', NULL, NULL), (11293, '', '井泉村', 'c8312c61414e4976a572bb2c56f805c3', '83ae9095db814ae5987f7c690815dcf8', 'False', 'True', 'false', 'false', '510823119243', 5, '井泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823119243', 1, '2021-07-19 11:42:22', NULL, NULL), (11294, '', '新庙村', '86e7d8d9a5514c699b2d6b34437367f1', '83ae9095db814ae5987f7c690815dcf8', 'False', 'True', 'false', 'false', '510823119820', 5, '新庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823119820', 1, '2021-07-19 11:42:22', NULL, NULL), (11295, '', '柳青村', 'd36427daa23246d4b4beb1a3e79ea81b', '83ae9095db814ae5987f7c690815dcf8', 'False', 'True', 'false', 'false', '510823119832', 5, '柳青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823119832', 1, '2021-07-19 11:42:22', NULL, NULL), (11296, '', '松木村', '5221c156e85c4186b3e5f6dca386cc04', '83ae9095db814ae5987f7c690815dcf8', 'False', 'True', 'false', 'false', '510823988153', 5, '松木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823988153', 1, '2021-07-19 11:42:22', NULL, NULL), (11297, '', '王家坪村', '9d53bcc6cab347d3806ebb9978628f66', '83ae9095db814ae5987f7c690815dcf8', 'False', 'True', 'false', 'false', '510823988304', 5, '王家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823988304', 1, '2021-07-19 11:42:22', NULL, NULL), (11298, '', '七柏村', '35e6c3f064054125863aeb9640335718', '83ae9095db814ae5987f7c690815dcf8', 'False', 'True', 'false', 'false', '510823988396', 5, '七柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823988396', 1, '2021-07-19 11:42:22', NULL, NULL), (11299, '', '威灵村', '35d74567fa9b4945867ad1b1b997681f', '83ae9095db814ae5987f7c690815dcf8', 'False', 'True', 'false', 'false', '510823988460', 5, '威灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823988460', 1, '2021-07-19 11:42:22', NULL, NULL), (11300, '', '木马寺社区', 'b0e5c76486ef4076ac3eee0e5bdf4e76', '83ae9095db814ae5987f7c690815dcf8', 'False', 'True', 'false', 'false', '510823988465', 5, '木马寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823988465', 1, '2021-07-19 11:42:22', NULL, NULL), (11301, '', '金魁村', '1e13774bade1423f9eca4d68d43ebd8a', '83ae9095db814ae5987f7c690815dcf8', 'False', 'True', 'false', 'false', '510823988556', 5, '金魁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823988556', 1, '2021-07-19 11:42:22', NULL, NULL), (11302, '', '庵子村', 'e2883d615e2348e3b3e472e368e98e92', '83ae9095db814ae5987f7c690815dcf8', 'False', 'True', 'false', 'false', '510823988715', 5, '庵子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510823988715', 1, '2021-07-19 11:42:22', NULL, NULL), (11303, '', '利州区', 'c82cd54da82241359f2132fdc939ea59', '9602bf2b753c4158bf4862498e91da56', 'True', 'True', 'false', 'false', '510802000000', 3, '利州区', 'gyslzq.sczwfw.gov.cn', 1, '2021-07-19 11:42:22', NULL, NULL), (11304, '', '东坝街道', 'a0ab8947af1b4b2d872023471f65c893', 'c82cd54da82241359f2132fdc939ea59', 'True', 'True', 'false', 'false', '510802001000', 4, '东坝街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510802001000', 1, '2021-07-19 11:42:22', NULL, NULL), (11305, '', '苴国社区', '570765fab7b942159f28ca2d5f74c63d', 'a0ab8947af1b4b2d872023471f65c893', 'False', 'True', 'false', 'false', '510802001747', 5, '苴国社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802001747', 1, '2021-07-19 11:42:22', NULL, NULL), (11306, '', '翠屏社区', 'ffe2ce49c2c14b32ab9c96b5138cfa19', 'a0ab8947af1b4b2d872023471f65c893', 'False', 'True', 'false', 'false', '510802001001', 5, '翠屏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802001001', 1, '2021-07-19 11:42:22', NULL, NULL), (11307, '', '陈家壕社区', 'e5130579fc59404c95d0d9d15ca52803', 'a0ab8947af1b4b2d872023471f65c893', 'False', 'True', 'false', 'false', '510802001002', 5, '陈家壕社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802001002', 1, '2021-07-19 11:42:22', NULL, NULL), (11308, '', '兴安社区', 'd85d7b78909e43729826578a0b81c25f', 'a0ab8947af1b4b2d872023471f65c893', 'False', 'True', 'false', 'false', '510802001003', 5, '兴安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802001003', 1, '2021-07-19 11:42:22', NULL, NULL), (11309, '', '金柜社区', '1c912471dedd493da2f0785a0f920540', 'a0ab8947af1b4b2d872023471f65c893', 'False', 'True', 'false', 'false', '510802001004', 5, '金柜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802001004', 1, '2021-07-19 11:42:22', NULL, NULL), (11310, '', '新民社区', 'd1d5fa93693e4708bba25bbd4be0d98a', 'a0ab8947af1b4b2d872023471f65c893', 'False', 'True', 'false', 'false', '510802001005', 5, '新民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802001005', 1, '2021-07-19 11:42:23', NULL, NULL), (11311, '', '栖凤社区', 'c507e3b3716f41e392761431e32775c5', 'a0ab8947af1b4b2d872023471f65c893', 'False', 'True', 'false', 'false', '510802001006', 5, '栖凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802001006', 1, '2021-07-19 11:42:23', NULL, NULL), (11312, '', '莲花池社区', '7aa23f961d46433587f4b6ccb19e1949', 'a0ab8947af1b4b2d872023471f65c893', 'False', 'True', 'false', 'false', '510802001007', 5, '莲花池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802001007', 1, '2021-07-19 11:42:23', NULL, NULL), (11313, '', '东屏社区', '0a4992c29bfe4b178c72f6b30c68ce95', 'a0ab8947af1b4b2d872023471f65c893', 'False', 'True', 'false', 'false', '510802001008', 5, '东屏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802001008', 1, '2021-07-19 11:42:23', NULL, NULL), (11314, '', '柜北社区', '30bd66d44a41439696b9022e9552bca0', 'a0ab8947af1b4b2d872023471f65c893', 'False', 'True', 'false', 'false', '510802001009', 5, '柜北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802001009', 1, '2021-07-19 11:42:23', NULL, NULL), (11315, '', '望江社区', '7a8d72226d5e46eda4368ee7ef2f629a', 'a0ab8947af1b4b2d872023471f65c893', 'False', 'True', 'false', 'false', '510802001010', 5, '望江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802001010', 1, '2021-07-19 11:42:23', NULL, NULL), (11316, '', '文昌社区', 'c6578f4ccd4148aabf525152309490f9', 'a0ab8947af1b4b2d872023471f65c893', 'False', 'True', 'false', 'false', '510802001201', 5, '文昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802001201', 1, '2021-07-19 11:42:23', NULL, NULL), (11317, '', '雁栖社区', 'ede2b0f61161453784a3e3d29278d40b', 'a0ab8947af1b4b2d872023471f65c893', 'False', 'True', 'false', 'false', '510802001202', 5, '雁栖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802001202', 1, '2021-07-19 11:42:23', NULL, NULL), (11318, '', '河西街道', 'b59e662e559c46c1b647ac459164a1f9', 'c82cd54da82241359f2132fdc939ea59', 'True', 'False', 'false', 'false', '510802003000', 4, '河西街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510802003000', 1, '2021-07-19 11:42:23', NULL, NULL), (11319, '', '何家渡社区', 'b39c215406fa4162942d3f913d6a7fbf', 'b59e662e559c46c1b647ac459164a1f9', 'False', 'True', 'false', 'false', '510802003992', 5, '何家渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802003992', 1, '2021-07-19 11:42:23', NULL, NULL), (11320, '', '东风坪社区', 'd648b2be4d5e45ae8e37337d157bd09a', 'b59e662e559c46c1b647ac459164a1f9', 'False', 'True', 'false', 'false', '510802003007', 5, '东风坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802003007', 1, '2021-07-19 11:42:23', NULL, NULL), (11321, '', '群心社区', 'ca1808f082cc4db287a002d0bae33e21', 'b59e662e559c46c1b647ac459164a1f9', 'False', 'True', 'false', 'false', '510802003076', 5, '群心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802003076', 1, '2021-07-19 11:42:23', NULL, NULL), (11322, '', '杨家岩社区', '4670f306094845d4b40392e7760a6c99', 'b59e662e559c46c1b647ac459164a1f9', 'False', 'True', 'false', 'false', '510802003132', 5, '杨家岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802003132', 1, '2021-07-19 11:42:23', NULL, NULL), (11323, '', '龙泉社区', 'a26cf0a509b448e1b6c85480eb0291ac', 'b59e662e559c46c1b647ac459164a1f9', 'False', 'True', 'false', 'false', '510802003204', 5, '龙泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802003204', 1, '2021-07-19 11:42:23', NULL, NULL), (11324, '', '白山村', 'db406a6f6dc0400bae8f6624acaf5908', 'b59e662e559c46c1b647ac459164a1f9', 'False', 'True', 'false', 'false', '510802003210', 5, '白山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802003210', 1, '2021-07-19 11:42:23', NULL, NULL), (11325, '', '杨家浩村', '056b1800ef5b45ebb5ff101bdc6f311d', 'b59e662e559c46c1b647ac459164a1f9', 'False', 'True', 'false', 'false', '510802003211', 5, '杨家浩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802003211', 1, '2021-07-19 11:42:24', NULL, NULL), (11326, '', '天曌苑社区', '437f7be6d42d4c1f923660b270c705bc', 'b59e662e559c46c1b647ac459164a1f9', 'False', 'True', 'false', 'false', '510802003256', 5, '天曌苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802003256', 1, '2021-07-19 11:42:24', NULL, NULL), (11327, '', '学工村', 'c9c0c7a93b9e4f1c85ceb14cd278df5f', 'b59e662e559c46c1b647ac459164a1f9', 'False', 'True', 'false', 'false', '510802003381', 5, '学工村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802003381', 1, '2021-07-19 11:42:24', NULL, NULL), (11328, '', '杨柳村', 'e34b1a1877dc444b988cd4aaaba53382', 'b59e662e559c46c1b647ac459164a1f9', 'False', 'True', 'false', 'false', '510802003537', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802003537', 1, '2021-07-19 11:42:24', NULL, NULL), (11329, '', '同心村', '2940435f171f4aefb2545726bf33992f', 'b59e662e559c46c1b647ac459164a1f9', 'False', 'True', 'false', 'false', '510802003698', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802003698', 1, '2021-07-19 11:42:24', NULL, NULL), (11330, '', '雪峰街道', 'f7d99b3178c04c9486fca11b4f313b2a', 'c82cd54da82241359f2132fdc939ea59', 'True', 'True', 'false', 'false', '510802004000', 4, '雪峰街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510802004000', 1, '2021-07-19 11:42:24', NULL, NULL), (11331, '', '雪峰寺社区', '8305b695e41546748591174e4ea49021', 'f7d99b3178c04c9486fca11b4f313b2a', 'False', 'True', 'false', 'false', '510802004001', 5, '雪峰寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802004001', 1, '2021-07-19 11:42:24', NULL, NULL), (11332, '', '华山路社区', '966b769d3dfc44898a64d7ce31571236', 'f7d99b3178c04c9486fca11b4f313b2a', 'False', 'True', 'false', 'false', '510802004002', 5, '华山路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802004002', 1, '2021-07-19 11:42:24', NULL, NULL), (11333, '', '芸香社区', '3bf17589ee0f414c8e0947d09ad5d60f', 'f7d99b3178c04c9486fca11b4f313b2a', 'False', 'True', 'false', 'false', '510802004003', 5, '芸香社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802004003', 1, '2021-07-19 11:42:24', NULL, NULL), (11334, '', '九华社区', '5db0ea91d31f456cbee5db63231b3bb4', 'f7d99b3178c04c9486fca11b4f313b2a', 'False', 'True', 'false', 'false', '510802004200', 5, '九华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802004200', 1, '2021-07-19 11:42:24', NULL, NULL), (11335, '', '泡石社区', '4c8812f278194aee84f759ff08d901c0', 'f7d99b3178c04c9486fca11b4f313b2a', 'False', 'True', 'false', 'false', '510802004201', 5, '泡石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802004201', 1, '2021-07-19 11:42:24', NULL, NULL), (11336, '', '樵歌社区', '49fd9b7409f942d88ac07035422f8575', 'f7d99b3178c04c9486fca11b4f313b2a', 'False', 'True', 'false', 'false', '510802004202', 5, '樵歌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802004202', 1, '2021-07-19 11:42:24', NULL, NULL), (11337, '', '五洲社区', '778b472ddfae4d9d899c49cf0644c14c', 'f7d99b3178c04c9486fca11b4f313b2a', 'False', 'True', 'false', 'false', '510802004775', 5, '五洲社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802004775', 1, '2021-07-19 11:42:24', NULL, NULL), (11338, '', '金山村', '40de11f3ed2144219bf64ec0334a56d4', 'f7d99b3178c04c9486fca11b4f313b2a', 'False', 'True', 'false', 'false', '510802004927', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802004927', 1, '2021-07-19 11:42:24', NULL, NULL), (11339, '', '南河街道', '3bf88ed524b34e6aac88cb7c526e2019', 'c82cd54da82241359f2132fdc939ea59', 'True', 'False', 'false', 'false', '510802005000', 4, '南河街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510802005000', 1, '2021-07-19 11:42:24', NULL, NULL), (11340, '', '石马坝社区', 'a992dd9f033a433f90be4016999cbf71', '3bf88ed524b34e6aac88cb7c526e2019', 'False', 'True', 'false', 'false', '510802005001', 5, '石马坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802005001', 1, '2021-07-19 11:42:24', NULL, NULL), (11341, '', '郑州街社区', '39ea97c806964e7284ad3be60801bf2e', '3bf88ed524b34e6aac88cb7c526e2019', 'False', 'True', 'false', 'false', '510802005003', 5, '郑州街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802005003', 1, '2021-07-19 11:42:24', NULL, NULL), (11342, '', '南鹰社区', 'a711305cd42a4fb1bf45ab6f080002ee', '3bf88ed524b34e6aac88cb7c526e2019', 'False', 'True', 'false', 'false', '510802005004', 5, '南鹰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802005004', 1, '2021-07-19 11:42:25', NULL, NULL), (11343, '', '接官亭社区', '729d71b6942d46e491ab3f0f209839b2', '3bf88ed524b34e6aac88cb7c526e2019', 'False', 'True', 'false', 'false', '510802005005', 5, '接官亭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802005005', 1, '2021-07-19 11:42:25', NULL, NULL), (11344, '', '体育场社区', 'b1d22a46cdae4cffa4d076268dcac03e', '3bf88ed524b34e6aac88cb7c526e2019', 'False', 'True', 'false', 'false', '510802005007', 5, '体育场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802005007', 1, '2021-07-19 11:42:25', NULL, NULL), (11345, '', '上西街道', '136b303521b142689ed4e97f059baeb3', 'c82cd54da82241359f2132fdc939ea59', 'True', 'False', 'false', 'false', '510802006000', 4, '上西街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510802006000', 1, '2021-07-19 11:42:25', NULL, NULL), (11346, '', '上西皇泽寺社区', '56f94a3d9ba94a43a50297b75d5e0a97', '136b303521b142689ed4e97f059baeb3', 'False', 'True', 'false', 'false', '510802006001', 5, '上西皇泽寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802006001', 1, '2021-07-19 11:42:25', NULL, NULL), (11347, '', '女皇路社区', 'fd01fe56fe154136b4bd455aba5d7a87', '136b303521b142689ed4e97f059baeb3', 'False', 'True', 'false', 'false', '510802006002', 5, '女皇路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802006002', 1, '2021-07-19 11:42:25', NULL, NULL), (11348, '', '橄榄园社区', 'dbe771353c004a928bfc17a7afd88625', '136b303521b142689ed4e97f059baeb3', 'False', 'True', 'false', 'false', '510802006003', 5, '橄榄园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802006003', 1, '2021-07-19 11:42:25', NULL, NULL), (11349, '', '则天南路社区', '8488a0a36e24465a84eba4319b34af00', '136b303521b142689ed4e97f059baeb3', 'False', 'True', 'false', 'false', '510802006005', 5, '则天南路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802006005', 1, '2021-07-19 11:42:25', NULL, NULL), (11350, '', '则天北路社区', '044f71dbb82544a4b04f960c3f66d796', '136b303521b142689ed4e97f059baeb3', 'False', 'True', 'false', 'false', '510802006006', 5, '则天北路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802006006', 1, '2021-07-19 11:42:25', NULL, NULL), (11351, '', '吴家濠村', '1e701142503846ebb98d01d8b6d45ff9', '136b303521b142689ed4e97f059baeb3', 'False', 'True', 'false', 'false', '510802006200', 5, '吴家濠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802006200', 1, '2021-07-19 11:42:25', NULL, NULL), (11352, '', '联盟村', '18ae67b4fcae4f4fb366cd828d32cfcb', '136b303521b142689ed4e97f059baeb3', 'False', 'True', 'false', 'false', '510802006505', 5, '联盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802006505', 1, '2021-07-19 11:42:25', NULL, NULL), (11353, '', '郑家沟村', 'e3ebd81a78c847efbcd71550ef1c2abb', '136b303521b142689ed4e97f059baeb3', 'False', 'True', 'false', 'false', '510802006788', 5, '郑家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802006788', 1, '2021-07-19 11:42:25', NULL, NULL), (11354, '', '江北社区', 'b45e425ad9134e5784d7f9e19fc56501', '136b303521b142689ed4e97f059baeb3', 'False', 'True', 'false', 'false', '510802006843', 5, '江北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802006843', 1, '2021-07-19 11:42:25', NULL, NULL), (11355, '', '大石镇', '6f52cb14a79c48879e83c2cfda3c3444', 'c82cd54da82241359f2132fdc939ea59', 'True', 'False', 'false', 'false', '510802101000', 4, '大石镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510802101000', 1, '2021-07-19 11:42:25', NULL, NULL), (11356, '', '金龙洞村', '015b277e7b414d759ded4f282081ab08', '6f52cb14a79c48879e83c2cfda3c3444', 'False', 'True', 'false', 'false', '510802101162', 5, '金龙洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802101162', 1, '2021-07-19 11:42:25', NULL, NULL), (11357, '', '大稻坝村', '9589dac967d544ffa1025dd96178a363', '6f52cb14a79c48879e83c2cfda3c3444', 'False', 'True', 'false', 'false', '510802101486', 5, '大稻坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802101486', 1, '2021-07-19 11:42:26', NULL, NULL), (11358, '', '安家湾村', '78f2f68fe15345398f1df18d12038484', '6f52cb14a79c48879e83c2cfda3c3444', 'False', 'True', 'false', 'false', '510802101627', 5, '安家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802101627', 1, '2021-07-19 11:42:26', NULL, NULL), (11359, '', '大石板社区', 'dbae4557c02a40f4902c90ac0c198541', '6f52cb14a79c48879e83c2cfda3c3444', 'False', 'True', 'false', 'false', '510802101200', 5, '大石板社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802101200', 1, '2021-07-19 11:42:26', NULL, NULL), (11360, '', '小稻村', 'f5feff9070684746bd781d563ca120c7', '6f52cb14a79c48879e83c2cfda3c3444', 'False', 'True', 'false', 'false', '510802101201', 5, '小稻村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802101201', 1, '2021-07-19 11:42:26', NULL, NULL), (11361, '', '缠龙村', '9596ba96e63a4acc83e4076858994be3', '6f52cb14a79c48879e83c2cfda3c3444', 'False', 'True', 'false', 'false', '510802101203', 5, '缠龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802101203', 1, '2021-07-19 11:42:26', NULL, NULL), (11362, '', '前进村', 'a31f75d5816f443d9d0edf3f8e8c6af4', '6f52cb14a79c48879e83c2cfda3c3444', 'False', 'True', 'false', 'false', '510802101207', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802101207', 1, '2021-07-19 11:42:26', NULL, NULL), (11363, '', '青岩村', '95248a2ebdcc4263b3bc8659d9ebef91', '6f52cb14a79c48879e83c2cfda3c3444', 'False', 'True', 'false', 'false', '510802101209', 5, '青岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802101209', 1, '2021-07-19 11:42:26', NULL, NULL), (11364, '', '光荣村', '7845c985fb59478fa496210a74bc332c', '6f52cb14a79c48879e83c2cfda3c3444', 'False', 'True', 'false', 'false', '510802101210', 5, '光荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802101210', 1, '2021-07-19 11:42:26', NULL, NULL), (11365, '', '青岭村', '63cbc538f4734ca1b486a1ef4ce5d9ca', '6f52cb14a79c48879e83c2cfda3c3444', 'False', 'True', 'false', 'false', '510802101213', 5, '青岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802101213', 1, '2021-07-19 11:42:26', NULL, NULL), (11366, '', '石笋村', '927239d28a124f258b1f40ebc48c85cd', '6f52cb14a79c48879e83c2cfda3c3444', 'False', 'True', 'false', 'false', '510802101218', 5, '石笋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802101218', 1, '2021-07-19 11:42:26', NULL, NULL), (11367, '', '三堆镇', '7c6862495fc844408f50b65932a611c3', 'c82cd54da82241359f2132fdc939ea59', 'True', 'True', 'false', 'false', '510802105000', 4, '三堆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510802105000', 1, '2021-07-19 11:42:26', NULL, NULL), (11368, '', '五郎村', 'ee3e695f9a074b528478e086e6d6430f', '7c6862495fc844408f50b65932a611c3', 'False', 'True', 'false', 'false', '510802105607', 5, '五郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802105607', 1, '2021-07-19 11:42:26', NULL, NULL), (11369, '', '井田社区', 'e02b68e7ec8c4296acac9b15ca72ad72', '7c6862495fc844408f50b65932a611c3', 'False', 'True', 'false', 'false', '510802105965', 5, '井田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802105965', 1, '2021-07-19 11:42:27', NULL, NULL), (11370, '', '宝珠社区', '472295b41f5a4250a393fd5aab838351', '7c6862495fc844408f50b65932a611c3', 'False', 'True', 'false', 'false', '510802105002', 5, '宝珠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802105002', 1, '2021-07-19 11:42:27', NULL, NULL), (11371, '', '马鸣阁社区', 'a343d04ca4d04d7e9d82c3cc8a2f51f1', '7c6862495fc844408f50b65932a611c3', 'False', 'True', 'false', 'false', '510802105003', 5, '马鸣阁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802105003', 1, '2021-07-19 11:42:27', NULL, NULL), (11372, '', '魁阁社区', 'f773cf6f91784f3db434bdb25d1a449c', '7c6862495fc844408f50b65932a611c3', 'False', 'True', 'false', 'false', '510802105200', 5, '魁阁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802105200', 1, '2021-07-19 11:42:27', NULL, NULL), (11373, '', '高桥村', 'cca66fb6412c4c9d82565e081b7b22ee', '7c6862495fc844408f50b65932a611c3', 'False', 'True', 'false', 'false', '510802105201', 5, '高桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802105201', 1, '2021-07-19 11:42:27', NULL, NULL), (11374, '', '羊盘村', '73b17172b78f407baf8514db65d882f4', '7c6862495fc844408f50b65932a611c3', 'False', 'True', 'false', 'false', '510802105203', 5, '羊盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802105203', 1, '2021-07-19 11:42:27', NULL, NULL), (11375, '', '飞龙村', '97ccc9ec735a40a89c8c89c7b58dd3ca', '7c6862495fc844408f50b65932a611c3', 'False', 'True', 'false', 'false', '510802105204', 5, '飞龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802105204', 1, '2021-07-19 11:42:27', NULL, NULL), (11376, '', '白岩村', 'e3ec87e9ea2e416c92d13d20a2e820e7', '7c6862495fc844408f50b65932a611c3', 'False', 'True', 'false', 'false', '510802105208', 5, '白岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802105208', 1, '2021-07-19 11:42:27', NULL, NULL), (11377, '', '飞凤村', 'da4345e9985342549b2e5b0b9e6a5f6c', '7c6862495fc844408f50b65932a611c3', 'False', 'True', 'false', 'false', '510802105211', 5, '飞凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802105211', 1, '2021-07-19 11:42:27', NULL, NULL), (11378, '', '小河村', '2e4f54eefbe1456ba54d86e6fd73e4dc', '7c6862495fc844408f50b65932a611c3', 'False', 'True', 'false', 'false', '510802105215', 5, '小河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802105215', 1, '2021-07-19 11:42:27', NULL, NULL), (11379, '', '龙池村', '3a4169468c50430283ea43ab0c365fa8', '7c6862495fc844408f50b65932a611c3', 'False', 'True', 'false', 'false', '510802105217', 5, '龙池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802105217', 1, '2021-07-19 11:42:27', NULL, NULL), (11380, '', '舞凤村', '97b72988a9be449f9a041331fd2ce7f0', '7c6862495fc844408f50b65932a611c3', 'False', 'True', 'false', 'false', '510802105218', 5, '舞凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802105218', 1, '2021-07-19 11:42:27', NULL, NULL), (11381, '', '九龙村', 'b2ba5949ab65428e848adf71e279a797', '7c6862495fc844408f50b65932a611c3', 'False', 'True', 'false', 'false', '510802105219', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802105219', 1, '2021-07-19 11:42:27', NULL, NULL), (11382, '', '白朝乡', '574859bd139b4d28bc0877f15e0ff6cd', 'c82cd54da82241359f2132fdc939ea59', 'True', 'True', 'false', 'false', '510802200000', 4, '白朝乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510802200000', 1, '2021-07-19 11:42:27', NULL, NULL), (11383, '', '白马街社区', 'a4d5756f573d485a936a276c4bc388ad', '574859bd139b4d28bc0877f15e0ff6cd', 'False', 'True', 'false', 'false', '510802200001', 5, '白马街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802200001', 1, '2021-07-19 11:42:27', NULL, NULL), (11384, '', '徐家村', '511727dd4eaa451e9dd0f85f215002b4', '574859bd139b4d28bc0877f15e0ff6cd', 'False', 'True', 'false', 'false', '510802200202', 5, '徐家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802200202', 1, '2021-07-19 11:42:27', NULL, NULL), (11385, '', '观音村', 'aa3f627a078b4cfa89c5cb789d0d3779', '574859bd139b4d28bc0877f15e0ff6cd', 'False', 'True', 'false', 'false', '510802200204', 5, '观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802200204', 1, '2021-07-19 11:42:27', NULL, NULL), (11386, '', '永久村', 'd72d0fc5c3dc4e55b48a0439b6963146', '574859bd139b4d28bc0877f15e0ff6cd', 'False', 'True', 'false', 'false', '510802200205', 5, '永久村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802200205', 1, '2021-07-19 11:42:28', NULL, NULL), (11387, '', '荞鱼村', '15e34a9cf4eb427887a965ff95aed038', '574859bd139b4d28bc0877f15e0ff6cd', 'False', 'True', 'false', 'false', '510802200206', 5, '荞鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802200206', 1, '2021-07-19 11:42:28', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (11388, '', '新华村', '73e39bc61dd74664b0eb7b2c0829c8d1', '574859bd139b4d28bc0877f15e0ff6cd', 'False', 'True', 'false', 'false', '510802200208', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802200208', 1, '2021-07-19 11:42:28', NULL, NULL), (11389, '', '星明村', '87cc321a268a4bf093b8ef2265404cdf', '574859bd139b4d28bc0877f15e0ff6cd', 'False', 'True', 'false', 'false', '510802200209', 5, '星明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802200209', 1, '2021-07-19 11:42:28', NULL, NULL), (11390, '', '新房村', 'a4fd3b038d994a79b369ec86fd0b9133', '574859bd139b4d28bc0877f15e0ff6cd', 'False', 'True', 'false', 'false', '510802200210', 5, '新房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802200210', 1, '2021-07-19 11:42:28', NULL, NULL), (11391, '', '白朝村', '14f9db9915f0436caae5a706e0cbe003', '574859bd139b4d28bc0877f15e0ff6cd', 'False', 'True', 'false', 'false', '510802200805', 5, '白朝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802200805', 1, '2021-07-19 11:42:28', NULL, NULL), (11392, '', '金洞乡', '4815503a69de43b6a8ad47ddd527bf0d', 'c82cd54da82241359f2132fdc939ea59', 'True', 'True', 'false', 'false', '510802201000', 4, '金洞乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510802201000', 1, '2021-07-19 11:42:28', NULL, NULL), (11393, '', '白龙湖社区', '1b1cd732467f4632b157048661ec5e97', '4815503a69de43b6a8ad47ddd527bf0d', 'False', 'True', 'false', 'false', '510802201001', 5, '白龙湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802201001', 1, '2021-07-19 11:42:28', NULL, NULL), (11394, '', '长阳村', 'cbe9bc4927b545c1b82040b312788593', '4815503a69de43b6a8ad47ddd527bf0d', 'False', 'True', 'false', 'false', '510802201200', 5, '长阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802201200', 1, '2021-07-19 11:42:28', NULL, NULL), (11395, '', '站湾村', '4526be50815b489a87a63da0dd155293', '4815503a69de43b6a8ad47ddd527bf0d', 'False', 'True', 'false', 'false', '510802201203', 5, '站湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802201203', 1, '2021-07-19 11:42:28', NULL, NULL), (11396, '', '石青村', 'b3b7496dc7ef4f7abbaa63b3024bc96d', '4815503a69de43b6a8ad47ddd527bf0d', 'False', 'True', 'false', 'false', '510802201206', 5, '石青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802201206', 1, '2021-07-19 11:42:28', NULL, NULL), (11397, '', '清河村', '9bdacfe9d3bd4be491404ebd10fecb69', '4815503a69de43b6a8ad47ddd527bf0d', 'False', 'True', 'false', 'false', '510802201208', 5, '清河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802201208', 1, '2021-07-19 11:42:28', NULL, NULL), (11398, '', '田沟村', 'ddc6fe81aeac46aa9212d8c856eeb987', '4815503a69de43b6a8ad47ddd527bf0d', 'False', 'True', 'false', 'false', '510802201210', 5, '田沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802201210', 1, '2021-07-19 11:42:28', NULL, NULL), (11399, '', '店子村', '5b325d90b5894a7d9166f42c9f31af97', '4815503a69de43b6a8ad47ddd527bf0d', 'False', 'True', 'false', 'false', '510802201211', 5, '店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802201211', 1, '2021-07-19 11:42:28', NULL, NULL), (11400, '', '龙潭乡', 'ccccca775d2b4b2e9f872db92b4484d6', 'c82cd54da82241359f2132fdc939ea59', 'True', 'True', 'false', 'false', '510802202000', 4, '龙潭乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510802202000', 1, '2021-07-19 11:42:29', NULL, NULL), (11401, '', '庙坪村', '4e6fcb6131294046aae7bea580c3468c', 'ccccca775d2b4b2e9f872db92b4484d6', 'False', 'True', 'false', 'false', '510802008201', 5, '庙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802008201', 1, '2021-07-19 11:42:29', NULL, NULL), (11402, '', '柏佛村', '04e20dc734a24637a955bb95112edfc4', 'ccccca775d2b4b2e9f872db92b4484d6', 'False', 'True', 'false', 'false', '510802008202', 5, '柏佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802008202', 1, '2021-07-19 11:42:29', NULL, NULL), (11403, '', '红心村', '10a9cb74334e4d719beccc2538b0a384', 'ccccca775d2b4b2e9f872db92b4484d6', 'False', 'True', 'false', 'false', '510802008203', 5, '红心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802008203', 1, '2021-07-19 11:42:29', NULL, NULL), (11404, '', '桃园村', 'd9baaa3b3e1c4316a067d26760a826fe', 'ccccca775d2b4b2e9f872db92b4484d6', 'False', 'True', 'false', 'false', '510802008205', 5, '桃园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802008205', 1, '2021-07-19 11:42:29', NULL, NULL), (11405, '', '曙光村', 'aec9042825444330a1d482a71610e250', 'ccccca775d2b4b2e9f872db92b4484d6', 'False', 'True', 'false', 'false', '510802008206', 5, '曙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802008206', 1, '2021-07-19 11:42:29', NULL, NULL), (11406, '', '青龙村', 'c3dd73ec3d5442338978c7b5a88db0ea', 'ccccca775d2b4b2e9f872db92b4484d6', 'False', 'True', 'false', 'false', '510802008207', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802008207', 1, '2021-07-19 11:42:29', NULL, NULL), (11407, '', '界牌村', '7048e143bccb456ea2024482d687858c', 'ccccca775d2b4b2e9f872db92b4484d6', 'False', 'True', 'false', 'false', '510802008208', 5, '界牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802008208', 1, '2021-07-19 11:42:29', NULL, NULL), (11408, '', '凤凰村', '2420a0fbbbdc4967995e80f6f8a92993', 'ccccca775d2b4b2e9f872db92b4484d6', 'False', 'True', 'false', 'false', '510802008210', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802008210', 1, '2021-07-19 11:42:29', NULL, NULL), (11409, '', '小垭村', '02e92f6ca2cc4a0eb5fa3153f0b22b57', 'ccccca775d2b4b2e9f872db92b4484d6', 'False', 'True', 'false', 'false', '510802008213', 5, '小垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802008213', 1, '2021-07-19 11:42:29', NULL, NULL), (11410, '', '复兴村', '99c8e9088db84ff28507f2af3f690095', 'ccccca775d2b4b2e9f872db92b4484d6', 'False', 'True', 'false', 'false', '510802008215', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802008215', 1, '2021-07-19 11:42:29', NULL, NULL), (11411, '', '回民村', '1cc7f43a44e0483e947dde86701f1aac', 'ccccca775d2b4b2e9f872db92b4484d6', 'False', 'True', 'false', 'false', '510802008216', 5, '回民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802008216', 1, '2021-07-19 11:42:29', NULL, NULL), (11412, '', '驿地河社区', '01f413624c154d729b231b823caf14ff', 'ccccca775d2b4b2e9f872db92b4484d6', 'False', 'True', 'false', 'false', '510802202001', 5, '驿地河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802202001', 1, '2021-07-19 11:42:29', NULL, NULL), (11413, '', '金鼓村', '3e2644eb120a4341b08927c899e0620c', 'ccccca775d2b4b2e9f872db92b4484d6', 'False', 'True', 'false', 'false', '510802202200', 5, '金鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802202200', 1, '2021-07-19 11:42:30', NULL, NULL), (11414, '', '宝轮镇', 'bac8f021e1a34dd181ec4f41b11c944e', 'c82cd54da82241359f2132fdc939ea59', 'True', 'False', 'false', 'false', '510802409000', 4, '宝轮镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510802409000', 1, '2021-07-19 11:42:30', NULL, NULL), (11415, '', '清江村', 'a807f393f914410cb0a4e10fd03dc762', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802000002', 5, '清江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802000002', 1, '2021-07-19 11:42:30', NULL, NULL), (11416, '', '梨源村', '2423a53af7e442798d25f4b809be416a', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802000406', 5, '梨源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802000406', 1, '2021-07-19 11:42:30', NULL, NULL), (11417, '', '赤化村', 'f2e0a2ffb561449cb1856c8ffb0f8ffa', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802000421', 5, '赤化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802000421', 1, '2021-07-19 11:42:30', NULL, NULL), (11418, '', '三江口社区', '8dd86395ff364dce80573341bde4de09', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802000443', 5, '三江口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802000443', 1, '2021-07-19 11:42:30', NULL, NULL), (11419, '', '红星村', 'dce5f88920eb4bb49395b89ef5349166', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802000477', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802000477', 1, '2021-07-19 11:42:30', NULL, NULL), (11420, '', '海棠溪村', '6ac4e33abe0a4ef2b11c6c44d3268ada', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802000549', 5, '海棠溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802000549', 1, '2021-07-19 11:42:30', NULL, NULL), (11421, '', '张公岭村', '838b77cf3f994f4aa0bf373266d4f4d5', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802000552', 5, '张公岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802000552', 1, '2021-07-19 11:42:30', NULL, NULL), (11422, '', '菖溪村', '23537a271b2a4d4e96da37de335e364a', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802000711', 5, '菖溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802000711', 1, '2021-07-19 11:42:30', NULL, NULL), (11423, '', '老林村', '37be97ff9f944341a6092bf7ea6176c3', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802000730', 5, '老林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802000730', 1, '2021-07-19 11:42:30', NULL, NULL), (11424, '', '天曌村', '511703d8b40c4881b26b1dbd835b9cf5', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802000772', 5, '天曌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802000772', 1, '2021-07-19 11:42:30', NULL, NULL), (11425, '', '范家村', '713e75269888448fa428d4986aef0383', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802000863', 5, '范家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802000863', 1, '2021-07-19 11:42:30', NULL, NULL), (11426, '', '宝轮院社区', '8a35cd46af344251bca09ece1c199d95', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802007275', 5, '宝轮院社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802007275', 1, '2021-07-19 11:42:30', NULL, NULL), (11427, '', '白田坝社区', '31e1a896a0484b7f98f6e99e60bb90fb', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802000164', 5, '白田坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802000164', 1, '2021-07-19 11:42:31', NULL, NULL), (11428, '', '泥窝社区', 'cfe74ad921d6475789333a4083a28870', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802000335', 5, '泥窝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802000335', 1, '2021-07-19 11:42:31', NULL, NULL), (11429, '', '云峰社区', '93a2d6fb034b4bc6a0c63d4eb3a1a4c4', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802103004', 5, '云峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802103004', 1, '2021-07-19 11:42:31', NULL, NULL), (11430, '', '新街社区', 'b7a6d700847647e2bb4d048739c10b6c', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802103008', 5, '新街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802103008', 1, '2021-07-19 11:42:31', NULL, NULL), (11431, '', '花园社区', '4d2c98eb6f254262b9cfc836165ed875', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802103014', 5, '花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802103014', 1, '2021-07-19 11:42:31', NULL, NULL), (11432, '', '爱国社区', '5a11dff390414ed9830268fcc458d5db', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802103016', 5, '爱国社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802103016', 1, '2021-07-19 11:42:31', NULL, NULL), (11433, '', '石桥社区', 'ee5e0bf870b74dab8ca9a81c774d5a00', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802103017', 5, '石桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802103017', 1, '2021-07-19 11:42:31', NULL, NULL), (11434, '', '紫兰社区', '14e5cd70bd8e41d683a058356b670925', 'bac8f021e1a34dd181ec4f41b11c944e', 'False', 'True', 'false', 'false', '510802409493', 5, '紫兰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802409493', 1, '2021-07-19 11:42:31', NULL, NULL), (11435, '', '荣山镇', '458b1858bb704f14b8a0e0bcb4a905b5', 'c82cd54da82241359f2132fdc939ea59', 'True', 'False', 'false', 'false', '510802738000', 4, '荣山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510802738000', 1, '2021-07-19 11:42:31', NULL, NULL), (11436, '', '明月村', '437d9ac281b64051a9971504b2fd5397', '458b1858bb704f14b8a0e0bcb4a905b5', 'False', 'True', 'false', 'false', '510802000659', 5, '明月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802000659', 1, '2021-07-19 11:42:31', NULL, NULL), (11437, '', '雷坝社区', 'f25c852f4f5a4fb788ae219dfe15f153', '458b1858bb704f14b8a0e0bcb4a905b5', 'False', 'True', 'false', 'false', '510802100001', 5, '雷坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802100001', 1, '2021-07-19 11:42:31', NULL, NULL), (11438, '', '张坝社区', '81dcf335db6f426491d4e4005824bebf', '458b1858bb704f14b8a0e0bcb4a905b5', 'False', 'True', 'false', 'false', '510802100002', 5, '张坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802100002', 1, '2021-07-19 11:42:31', NULL, NULL), (11439, '', '中口村', '5a08bfe0a043460ebabefdb5edfd22b4', '458b1858bb704f14b8a0e0bcb4a905b5', 'False', 'True', 'false', 'false', '510802100203', 5, '中口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802100203', 1, '2021-07-19 11:42:32', NULL, NULL), (11440, '', '高坑村', '11b5bb6072c34afcbe73f179eb5d5540', '458b1858bb704f14b8a0e0bcb4a905b5', 'False', 'True', 'false', 'false', '510802100204', 5, '高坑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802100204', 1, '2021-07-19 11:42:32', NULL, NULL), (11441, '', '大地村', '0f79ac85b5c64efa8a0300fe955a8506', '458b1858bb704f14b8a0e0bcb4a905b5', 'False', 'True', 'false', 'false', '510802100207', 5, '大地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802100207', 1, '2021-07-19 11:42:32', NULL, NULL), (11442, '', '和平村', '857594626d53443eaea2964a60ff58f9', '458b1858bb704f14b8a0e0bcb4a905b5', 'False', 'True', 'false', 'false', '510802100209', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802100209', 1, '2021-07-19 11:42:32', NULL, NULL), (11443, '', '红旗村', '10c2fde719d542c0932677d79d623549', '458b1858bb704f14b8a0e0bcb4a905b5', 'False', 'True', 'false', 'false', '510802100217', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802100217', 1, '2021-07-19 11:42:32', NULL, NULL), (11444, '', '高旗村', '68f75078f6b4453fa83f99b434e27080', '458b1858bb704f14b8a0e0bcb4a905b5', 'False', 'True', 'false', 'false', '510802100218', 5, '高旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802100218', 1, '2021-07-19 11:42:32', NULL, NULL), (11445, '', '宋坪村', 'fce77ea4e97540f5950bc2eb4d965bbf', '458b1858bb704f14b8a0e0bcb4a905b5', 'False', 'True', 'false', 'false', '510802100219', 5, '宋坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802100219', 1, '2021-07-19 11:42:32', NULL, NULL), (11446, '', '花园村', '1f7b166ec76c4753ac144473d107687a', '458b1858bb704f14b8a0e0bcb4a905b5', 'False', 'True', 'false', 'false', '510802100221', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802100221', 1, '2021-07-19 11:42:32', NULL, NULL), (11447, '', '泉坝村', 'd7b87ef7c4834fd69d3a86c2bc59e2cc', '458b1858bb704f14b8a0e0bcb4a905b5', 'False', 'True', 'false', 'false', '510802738153', 5, '泉坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802738153', 1, '2021-07-19 11:42:32', NULL, NULL), (11448, '', '万缘街道', 'e60d29179e984aafaf1ddf95a5cd42d6', 'c82cd54da82241359f2132fdc939ea59', 'True', 'True', 'false', 'false', '510802777000', 4, '万缘街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510802777000', 1, '2021-07-19 11:42:32', NULL, NULL), (11449, '', '万和村', '9912912a9f174c2e91ec1f694db131b6', 'e60d29179e984aafaf1ddf95a5cd42d6', 'False', 'True', 'false', 'false', '510802009021', 5, '万和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802009021', 1, '2021-07-19 11:42:32', NULL, NULL), (11450, '', '古堰社区', 'edfb97d5eef74141a6567ac867330e43', 'e60d29179e984aafaf1ddf95a5cd42d6', 'False', 'True', 'false', 'false', '510802009054', 5, '古堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802009054', 1, '2021-07-19 11:42:32', NULL, NULL), (11451, '', '万缘社区', '1d8ebc886941426fb6e0b5931ce3a879', 'e60d29179e984aafaf1ddf95a5cd42d6', 'False', 'True', 'false', 'false', '510802009266', 5, '万缘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802009266', 1, '2021-07-19 11:42:32', NULL, NULL), (11452, '', '老街社区', '41a0e72d5afd482c9ac494027e293654', 'e60d29179e984aafaf1ddf95a5cd42d6', 'False', 'True', 'false', 'false', '510802009304', 5, '老街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802009304', 1, '2021-07-19 11:42:33', NULL, NULL), (11453, '', '绿化村', '742974f51d0d47db8d4de7ea50c1f12c', 'e60d29179e984aafaf1ddf95a5cd42d6', 'False', 'True', 'false', 'false', '510802009327', 5, '绿化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802009327', 1, '2021-07-19 11:42:33', NULL, NULL), (11454, '', '快乐社区', '1cad79ddb683419abf5f202a00d84156', 'e60d29179e984aafaf1ddf95a5cd42d6', 'False', 'True', 'false', 'false', '510802009954', 5, '快乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802009954', 1, '2021-07-19 11:42:33', NULL, NULL), (11455, '', '嘉陵街道', 'd10782d277484bb0b1ca7e0f2cf77e82', 'c82cd54da82241359f2132fdc939ea59', 'True', 'True', 'false', 'false', '510802990000', 4, '嘉陵街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510802990000', 1, '2021-07-19 11:42:33', NULL, NULL), (11456, '', '虎星村', '50cd7f08860140019ebfe124116e3298', 'd10782d277484bb0b1ca7e0f2cf77e82', 'False', 'True', 'false', 'false', '510802100284', 5, '虎星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802100284', 1, '2021-07-19 11:42:33', NULL, NULL), (11457, '', '小岩村', '14b7ef7163f342678a1ec30321a51f46', 'd10782d277484bb0b1ca7e0f2cf77e82', 'False', 'True', 'false', 'false', '510802100329', 5, '小岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802100329', 1, '2021-07-19 11:42:33', NULL, NULL), (11458, '', '千佛社区', '3fff4e43d5164a229bc14b56c33b84c1', 'd10782d277484bb0b1ca7e0f2cf77e82', 'False', 'True', 'false', 'false', '510802100559', 5, '千佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802100559', 1, '2021-07-19 11:42:33', NULL, NULL), (11459, '', '三颗村', '60fa908010ca49baa04ae42f310745aa', 'd10782d277484bb0b1ca7e0f2cf77e82', 'False', 'True', 'false', 'false', '510802100596', 5, '三颗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802100596', 1, '2021-07-19 11:42:33', NULL, NULL), (11460, '', '新塘村', 'a6ea6569262b4bd5bbed6d00014318f5', 'd10782d277484bb0b1ca7e0f2cf77e82', 'False', 'True', 'false', 'false', '510802100791', 5, '新塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802100791', 1, '2021-07-19 11:42:33', NULL, NULL), (11461, '', '枫香村', 'eaf1ba1ae58640ff8a492320c7d03bba', 'd10782d277484bb0b1ca7e0f2cf77e82', 'False', 'True', 'false', 'false', '510802100817', 5, '枫香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802100817', 1, '2021-07-19 11:42:33', NULL, NULL), (11462, '', '亮垭村', '1e7ddf86e841408a9ce3dbaaca48432c', 'd10782d277484bb0b1ca7e0f2cf77e82', 'False', 'True', 'false', 'false', '510802100934', 5, '亮垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802100934', 1, '2021-07-19 11:42:33', NULL, NULL), (11463, '', '平桥社区', '008e8e9e52014f69bf909b8f1fcb13ca', 'd10782d277484bb0b1ca7e0f2cf77e82', 'False', 'True', 'false', 'false', '510802990129', 5, '平桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802990129', 1, '2021-07-19 11:42:33', NULL, NULL), (11464, '', '将军桥社区', '921843ab39cc4242acc583dbd1767a0b', 'd10782d277484bb0b1ca7e0f2cf77e82', 'False', 'True', 'false', 'false', '510802990366', 5, '将军桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802990366', 1, '2021-07-19 11:42:33', NULL, NULL), (11465, '', '北街社区', '4abd88f25c044ca0ae5b32be60a96748', 'd10782d277484bb0b1ca7e0f2cf77e82', 'False', 'True', 'false', 'false', '510802990431', 5, '北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802990431', 1, '2021-07-19 11:42:33', NULL, NULL), (11466, '', '下河街社区', '45d90b9e50874a2f948fe52f04d57a22', 'd10782d277484bb0b1ca7e0f2cf77e82', 'False', 'True', 'false', 'false', '510802990472', 5, '下河街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802990472', 1, '2021-07-19 11:42:34', NULL, NULL), (11467, '', '上河街社区', '60f6e4399ded437f9fbac8ca47371e04', 'd10782d277484bb0b1ca7e0f2cf77e82', 'False', 'True', 'false', 'false', '510802990627', 5, '上河街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802990627', 1, '2021-07-19 11:42:34', NULL, NULL), (11468, '', '市场街社区', '4a84a62a94cf4a27acdddd311e114d94', 'd10782d277484bb0b1ca7e0f2cf77e82', 'False', 'True', 'false', 'false', '510802990650', 5, '市场街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802990650', 1, '2021-07-19 11:42:34', NULL, NULL), (11469, '', '大华社区', '7c042dac655e4f43ace3e1e637d56bc5', 'd10782d277484bb0b1ca7e0f2cf77e82', 'False', 'True', 'false', 'false', '510802990676', 5, '大华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802990676', 1, '2021-07-19 11:42:34', NULL, NULL), (11470, '', '南街社区', '44743379901a40a0bcb4353a18665c5f', 'd10782d277484bb0b1ca7e0f2cf77e82', 'False', 'True', 'false', 'false', '510802990694', 5, '南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802990694', 1, '2021-07-19 11:42:34', NULL, NULL), (11471, '', '凤凰山社区', '28aec90f0de841198e594a6cdc1b7637', 'd10782d277484bb0b1ca7e0f2cf77e82', 'False', 'True', 'false', 'false', '510802990781', 5, '凤凰山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802990781', 1, '2021-07-19 11:42:34', NULL, NULL), (11472, '', '建设路社区', '37f47062d48845ec8682bd9e4efed4f9', 'd10782d277484bb0b1ca7e0f2cf77e82', 'False', 'True', 'false', 'false', '510802990807', 5, '建设路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510802990807', 1, '2021-07-19 11:42:34', NULL, NULL), (11473, '', '昭化区', '2a153d742a1343a992601a9587dc590e', '9602bf2b753c4158bf4862498e91da56', 'True', 'True', 'false', 'false', '510811000000', 3, '昭化区', 'gyszhq.sczwfw.gov.cn', 1, '2021-07-19 11:42:34', NULL, NULL), (11474, '', '元坝镇', '075181ab9b2041ae9fc0fd0ab30c035a', '2a153d742a1343a992601a9587dc590e', 'True', 'True', 'false', 'false', '510811001000', 4, '元坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510811001000', 1, '2021-07-19 11:42:34', NULL, NULL), (11475, '', '紫云村', '8463b1b5b29b495caba7af4de4be0091', '075181ab9b2041ae9fc0fd0ab30c035a', 'False', 'True', 'false', 'false', '510811001001', 5, '紫云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811001001', 1, '2021-07-19 11:42:34', NULL, NULL), (11476, '', '云雾村', '45b95bdce222411e905a27dc64b34588', '075181ab9b2041ae9fc0fd0ab30c035a', 'False', 'True', 'false', 'false', '510811001002', 5, '云雾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811001002', 1, '2021-07-19 11:42:34', NULL, NULL), (11477, '', '普子村', '792a1d973fa84729b4ee8f97df30242a', '075181ab9b2041ae9fc0fd0ab30c035a', 'False', 'True', 'false', 'false', '510811001004', 5, '普子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811001004', 1, '2021-07-19 11:42:34', NULL, NULL), (11478, '', '分水岭村', '5c44b5140d214003b855f6d5f703de91', '075181ab9b2041ae9fc0fd0ab30c035a', 'False', 'True', 'false', 'false', '510811001005', 5, '分水岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811001005', 1, '2021-07-19 11:42:34', NULL, NULL), (11479, '', '大坝村', 'ff49f1cc46864dcea55700b76db51131', '075181ab9b2041ae9fc0fd0ab30c035a', 'False', 'True', 'false', 'false', '510811001006', 5, '大坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811001006', 1, '2021-07-19 11:42:34', NULL, NULL), (11480, '', '杏花村', '633fc2bb27bd4327b8931d7db35dfe32', '075181ab9b2041ae9fc0fd0ab30c035a', 'False', 'True', 'false', 'false', '510811001007', 5, '杏花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811001007', 1, '2021-07-19 11:42:34', NULL, NULL), (11481, '', '五一村', 'd6bde09341a64b61b82616bf3dcfb0c1', '075181ab9b2041ae9fc0fd0ab30c035a', 'False', 'True', 'false', 'false', '510811001008', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811001008', 1, '2021-07-19 11:42:35', NULL, NULL), (11482, '', '柳桥村', 'd7f11e02e80c4ec698a77e5857449da3', '075181ab9b2041ae9fc0fd0ab30c035a', 'False', 'True', 'false', 'false', '510811001009', 5, '柳桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811001009', 1, '2021-07-19 11:42:35', NULL, NULL), (11483, '', '拣银岩村', '06f4ba4e24be443e846bd2457d0fb8d1', '075181ab9b2041ae9fc0fd0ab30c035a', 'False', 'True', 'false', 'false', '510811001010', 5, '拣银岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811001010', 1, '2021-07-19 11:42:35', NULL, NULL), (11484, '', '中梁村', '2277108d83804e549557fdc149d0f6bf', '075181ab9b2041ae9fc0fd0ab30c035a', 'False', 'True', 'false', 'false', '510811001011', 5, '中梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811001011', 1, '2021-07-19 11:42:35', NULL, NULL), (11485, '', '马克思街社区', '5c4a27aadf224b9e9b96fbe40b3fe36e', '075181ab9b2041ae9fc0fd0ab30c035a', 'False', 'True', 'false', 'false', '510811001143', 5, '马克思街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811001143', 1, '2021-07-19 11:42:35', NULL, NULL), (11486, '', '长坝社区', '024e962988644ea284266afd2c5c03b6', '075181ab9b2041ae9fc0fd0ab30c035a', 'False', 'True', 'false', 'false', '510811001235', 5, '长坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811001235', 1, '2021-07-19 11:42:35', NULL, NULL), (11487, '', '东山社区', 'cdee21a661624ab9a53ea44819a14af1', '075181ab9b2041ae9fc0fd0ab30c035a', 'False', 'True', 'false', 'false', '510811001258', 5, '东山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811001258', 1, '2021-07-19 11:42:35', NULL, NULL), (11488, '', '京兆路社区', '00ee899de40f431bb86c397a4ef9ef29', '075181ab9b2041ae9fc0fd0ab30c035a', 'False', 'True', 'false', 'false', '510811001381', 5, '京兆路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811001381', 1, '2021-07-19 11:42:35', NULL, NULL), (11489, '', '金花村', '3a58c4ac3a4a462cad44c4a3f8d4e10d', '075181ab9b2041ae9fc0fd0ab30c035a', 'False', 'True', 'false', 'false', '510811001763', 5, '金花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811001763', 1, '2021-07-19 11:42:35', NULL, NULL), (11490, '', '青梅路社区', '20be4979f5b14ac0bf38e246f6b5c0bc', '075181ab9b2041ae9fc0fd0ab30c035a', 'False', 'True', 'false', 'false', '510811001767', 5, '青梅路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811001767', 1, '2021-07-19 11:42:35', NULL, NULL), (11491, '', '昭化镇', '736b69aa202e4bd7bd9dea93ec67c477', '2a153d742a1343a992601a9587dc590e', 'True', 'True', 'false', 'false', '510811002000', 4, '昭化镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510811002000', 1, '2021-07-19 11:42:36', NULL, NULL), (11492, '', '朝阳村', '0ca047265fa044d59b44a52271b04da7', '736b69aa202e4bd7bd9dea93ec67c477', 'False', 'True', 'false', 'false', '510811002001', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811002001', 1, '2021-07-19 11:42:36', NULL, NULL), (11493, '', '灯杆村', '2403287822954f0fbf1a8f5e4f8bd532', '736b69aa202e4bd7bd9dea93ec67c477', 'False', 'True', 'false', 'false', '510811002002', 5, '灯杆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811002002', 1, '2021-07-19 11:42:36', NULL, NULL), (11494, '', '牛头村', '0ea5d82291c9446691e638adace960c0', '736b69aa202e4bd7bd9dea93ec67c477', 'False', 'True', 'false', 'false', '510811002003', 5, '牛头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811002003', 1, '2021-07-19 11:42:36', NULL, NULL), (11495, '', '大朝驿村', '36b22850808f4f61a4ba198b4b3d5943', '736b69aa202e4bd7bd9dea93ec67c477', 'False', 'True', 'false', 'false', '510811002004', 5, '大朝驿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811002004', 1, '2021-07-19 11:42:36', NULL, NULL), (11496, '', '南马村', '33f7731fbc8f4e08b433132d4ae23c42', '736b69aa202e4bd7bd9dea93ec67c477', 'False', 'True', 'false', 'false', '510811002005', 5, '南马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811002005', 1, '2021-07-19 11:42:36', NULL, NULL), (11497, '', '松宁村', 'bef2b869395d4fd1ad982855bcfed471', '736b69aa202e4bd7bd9dea93ec67c477', 'False', 'True', 'false', 'false', '510811002006', 5, '松宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811002006', 1, '2021-07-19 11:42:36', NULL, NULL), (11498, '', '城关村', 'b468de9e03eb4adbab889b6d0002cf76', '736b69aa202e4bd7bd9dea93ec67c477', 'False', 'True', 'false', 'false', '510811002007', 5, '城关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811002007', 1, '2021-07-19 11:42:36', NULL, NULL), (11499, '', '战胜村', '02cce4ad2fcf461aa17606d729b9ce25', '736b69aa202e4bd7bd9dea93ec67c477', 'False', 'True', 'false', 'false', '510811002008', 5, '战胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811002008', 1, '2021-07-19 11:42:36', NULL, NULL), (11500, '', '天雄村', '88fa901109894f48a9c9619652f35151', '736b69aa202e4bd7bd9dea93ec67c477', 'False', 'True', 'false', 'false', '510811002009', 5, '天雄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811002009', 1, '2021-07-19 11:42:37', NULL, NULL), (11501, '', '凤凰村', '20e928083af04922be4d56524703e17f', '736b69aa202e4bd7bd9dea93ec67c477', 'False', 'True', 'false', 'false', '510811002010', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811002010', 1, '2021-07-19 11:42:37', NULL, NULL), (11502, '', '鸭浮村', '0f36054389254d8784dc1ec6788adeac', '736b69aa202e4bd7bd9dea93ec67c477', 'False', 'True', 'false', 'false', '510811002011', 5, '鸭浮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811002011', 1, '2021-07-19 11:42:37', NULL, NULL), (11503, '', '石盘村', '75a569929e8140b8be09e90f8b22b407', '736b69aa202e4bd7bd9dea93ec67c477', 'False', 'True', 'false', 'false', '510811002012', 5, '石盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811002012', 1, '2021-07-19 11:42:37', NULL, NULL), (11504, '', '葭萌关社区', '8de539491b3c49b8af0423d84f05f4f2', '736b69aa202e4bd7bd9dea93ec67c477', 'False', 'True', 'false', 'false', '510811000507', 5, '葭萌关', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811000507', 1, '2021-07-19 11:42:37', NULL, NULL), (11505, '', '射箭镇', '64c0286e7f6e4644897d2924b8e0273f', '2a153d742a1343a992601a9587dc590e', 'True', 'True', 'false', 'false', '510811003000', 4, '射箭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510811003000', 1, '2021-07-19 11:42:37', NULL, NULL), (11506, '', '五房村', 'a83ff3501e7043de85787c4393bc341c', '64c0286e7f6e4644897d2924b8e0273f', 'False', 'True', 'false', 'false', '510811003001', 5, '五房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811003001', 1, '2021-07-19 11:42:37', NULL, NULL), (11507, '', '潼梓村', 'c8f118e9b76a46f4a7698e438afc2e1e', '64c0286e7f6e4644897d2924b8e0273f', 'False', 'True', 'false', 'false', '510811003002', 5, '潼梓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811003002', 1, '2021-07-19 11:42:37', NULL, NULL), (11508, '', '京元村', '1bda51c1ea5447b3b3e9d7623052819a', '64c0286e7f6e4644897d2924b8e0273f', 'False', 'True', 'false', 'false', '510811003003', 5, '京元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811003003', 1, '2021-07-19 11:42:37', NULL, NULL), (11509, '', '板石村', 'a7ca3405be1045b2994fb89e77fb8989', '64c0286e7f6e4644897d2924b8e0273f', 'False', 'True', 'false', 'false', '510811003004', 5, '板石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811003004', 1, '2021-07-19 11:42:37', NULL, NULL), (11510, '', '前锋村', '764dc687f7d64074bb3c7c2f58e032c3', '64c0286e7f6e4644897d2924b8e0273f', 'False', 'True', 'false', 'false', '510811003005', 5, '前锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811003005', 1, '2021-07-19 11:42:38', NULL, NULL), (11511, '', '龙江村', '0c4a5ffa331b446c8ffc12560d48a74a', '64c0286e7f6e4644897d2924b8e0273f', 'False', 'True', 'false', 'false', '510811003006', 5, '龙江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811003006', 1, '2021-07-19 11:42:38', NULL, NULL), (11512, '', '晒金村', 'c882938b07c3458fa13a58fbc8a15c82', '64c0286e7f6e4644897d2924b8e0273f', 'False', 'True', 'false', 'false', '510811003007', 5, '晒金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811003007', 1, '2021-07-19 11:42:38', NULL, NULL), (11513, '', '帽壳村', 'a06c797eb2cd48968487c727cadc7521', '64c0286e7f6e4644897d2924b8e0273f', 'False', 'True', 'false', 'false', '510811003008', 5, '帽壳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811003008', 1, '2021-07-19 11:42:38', NULL, NULL), (11514, '', '云峰村', 'ac98bd89728740e4bf07c57c77833860', '64c0286e7f6e4644897d2924b8e0273f', 'False', 'True', 'false', 'false', '510811003009', 5, '云峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811003009', 1, '2021-07-19 11:42:38', NULL, NULL), (11515, '', '提阳社区', '6548fe9ade5a43bbaec4a8cdc00b088a', '64c0286e7f6e4644897d2924b8e0273f', 'False', 'True', 'false', 'false', '510811003085', 5, '提阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811003085', 1, '2021-07-19 11:42:38', NULL, NULL), (11516, '', '明觉社区', '1d4d3edc26c6424f8a72ac92156f269c', '64c0286e7f6e4644897d2924b8e0273f', 'False', 'True', 'false', 'false', '510811003471', 5, '明觉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811003471', 1, '2021-07-19 11:42:38', NULL, NULL), (11517, '', '红岩镇', '657440ae515d45ba8b5350e3c13f5da9', '2a153d742a1343a992601a9587dc590e', 'True', 'True', 'false', 'false', '510811004000', 4, '红岩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510811004000', 1, '2021-07-19 11:42:38', NULL, NULL), (11518, '', '红江村', '4d657cf659c34405b8ce720af9b4e940', '657440ae515d45ba8b5350e3c13f5da9', 'False', 'True', 'false', 'false', '510811004001', 5, '红江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811004001', 1, '2021-07-19 11:42:38', NULL, NULL), (11519, '', '坪林村', 'b7a4f94550594e05b6ace643dc7252a5', '657440ae515d45ba8b5350e3c13f5da9', 'False', 'True', 'false', 'false', '510811004002', 5, '坪林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811004002', 1, '2021-07-19 11:42:38', NULL, NULL), (11520, '', '长梁村', '1bf1d79d406244b387f5dfc5c9db2299', '657440ae515d45ba8b5350e3c13f5da9', 'False', 'True', 'false', 'false', '510811004003', 5, '长梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811004003', 1, '2021-07-19 11:42:38', NULL, NULL), (11521, '', '天星村', '2c0019a03984484788f9d18a89a901fd', '657440ae515d45ba8b5350e3c13f5da9', 'False', 'True', 'false', 'false', '510811004004', 5, '天星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811004004', 1, '2021-07-19 11:42:39', NULL, NULL), (11522, '', '山溪村', '4e2e52f5a39d41cfa8a1aa89f87232e4', '657440ae515d45ba8b5350e3c13f5da9', 'False', 'True', 'false', 'false', '510811004005', 5, '山溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811004005', 1, '2021-07-19 11:42:39', NULL, NULL), (11523, '', '华丰村', '4c8e47523fa1426ca16d8021f873051c', '657440ae515d45ba8b5350e3c13f5da9', 'False', 'True', 'false', 'false', '510811004006', 5, '华丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811004006', 1, '2021-07-19 11:42:39', NULL, NULL), (11524, '', '金牛村', 'b51a12b84f974394b795524a1a9d3bde', '657440ae515d45ba8b5350e3c13f5da9', 'False', 'True', 'false', 'false', '510811004007', 5, '金牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811004007', 1, '2021-07-19 11:42:39', NULL, NULL), (11525, '', '青光村', '4b8a2bb74ef447ea8a79aff6c302ada6', '657440ae515d45ba8b5350e3c13f5da9', 'False', 'True', 'false', 'false', '510811004008', 5, '青光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811004008', 1, '2021-07-19 11:42:39', NULL, NULL), (11526, '', '会果村', 'dc4ab4885ef948b68903b56714ae4311', '657440ae515d45ba8b5350e3c13f5da9', 'False', 'True', 'false', 'false', '510811004009', 5, '会果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811004009', 1, '2021-07-19 11:42:39', NULL, NULL), (11527, '', '照壁村', 'cf32c3a435f543f9975dc6c572f7287a', '657440ae515d45ba8b5350e3c13f5da9', 'False', 'True', 'false', 'false', '510811004010', 5, '照壁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811004010', 1, '2021-07-19 11:42:39', NULL, NULL), (11528, '', '红寨村', '9065b0c7da2941a1960727d38c9fd107', '657440ae515d45ba8b5350e3c13f5da9', 'False', 'True', 'false', 'false', '510811004011', 5, '红寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811004011', 1, '2021-07-19 11:42:39', NULL, NULL), (11529, '', '百花社区', 'e36591856f674f0386e57c697b2cfe0b', '657440ae515d45ba8b5350e3c13f5da9', 'False', 'True', 'false', 'false', '510811004403', 5, '百花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811004403', 1, '2021-07-19 11:42:39', NULL, NULL), (11530, '', '白果社区', 'a899590ccd774fd09772c1f3e0b2a043', '657440ae515d45ba8b5350e3c13f5da9', 'False', 'True', 'false', 'false', '510811004887', 5, '白果社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811004887', 1, '2021-07-19 11:42:39', NULL, NULL), (11531, '', '沙坝社区', 'a1611abdbef14e67b59d27cd1ff03738', '657440ae515d45ba8b5350e3c13f5da9', 'False', 'True', 'false', 'false', '510811004991', 5, '沙坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811004991', 1, '2021-07-19 11:42:40', NULL, NULL), (11532, '', '虎跳镇', 'aa2945fc2ed04b10b3b924a819fdb435', '2a153d742a1343a992601a9587dc590e', 'True', 'True', 'false', 'false', '510811005000', 4, '虎跳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510811005000', 1, '2021-07-19 11:42:40', NULL, NULL), (11533, '', '竹江村', '6ca3be6635654db39da8ad99aae37113', 'aa2945fc2ed04b10b3b924a819fdb435', 'False', 'True', 'false', 'false', '510811005001', 5, '竹江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811005001', 1, '2021-07-19 11:42:40', NULL, NULL), (11534, '', '东岩村', '86f05f9831624e109b772dcef2d04e48', 'aa2945fc2ed04b10b3b924a819fdb435', 'False', 'True', 'false', 'false', '510811005002', 5, '东岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811005002', 1, '2021-07-19 11:42:40', NULL, NULL), (11535, '', '毗鹿村', '646086f0a45e4b3f8fc67881d44388b2', 'aa2945fc2ed04b10b3b924a819fdb435', 'False', 'True', 'false', 'false', '510811005003', 5, '毗鹿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811005003', 1, '2021-07-19 11:42:40', NULL, NULL), (11536, '', '三公村', '7f9e90356d8a44609250e2a2ef9251b2', 'aa2945fc2ed04b10b3b924a819fdb435', 'False', 'True', 'false', 'false', '510811005004', 5, '三公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811005004', 1, '2021-07-19 11:42:40', NULL, NULL), (11537, '', '雷鸣村', 'a85e98a2de4e4f929bd7bcacdbbcc64a', 'aa2945fc2ed04b10b3b924a819fdb435', 'False', 'True', 'false', 'false', '510811005005', 5, '雷鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811005005', 1, '2021-07-19 11:42:40', NULL, NULL), (11538, '', '断桥村', 'a06ae0f8219e4b20a6ee24e79854574f', 'aa2945fc2ed04b10b3b924a819fdb435', 'False', 'True', 'false', 'false', '510811005006', 5, '断桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811005006', 1, '2021-07-19 11:42:40', NULL, NULL), (11539, '', '陈江村', '516800ec79b04978b116fc18e93c1f94', 'aa2945fc2ed04b10b3b924a819fdb435', 'False', 'True', 'false', 'false', '510811005007', 5, '陈江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811005007', 1, '2021-07-19 11:42:40', NULL, NULL), (11540, '', '紫金村', 'f41e84020001434397d4b37c8682f682', 'aa2945fc2ed04b10b3b924a819fdb435', 'False', 'True', 'false', 'false', '510811005008', 5, '紫金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811005008', 1, '2021-07-19 11:42:40', NULL, NULL), (11541, '', '大雾村', '107df5c2b4f1454a8b4064bc5eaa3412', 'aa2945fc2ed04b10b3b924a819fdb435', 'False', 'True', 'false', 'false', '510811005009', 5, '大雾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811005009', 1, '2021-07-19 11:42:40', NULL, NULL), (11542, '', '南斗村', '7cbb0e44feb54dfd9bd8b2b65953ca1a', 'aa2945fc2ed04b10b3b924a819fdb435', 'False', 'True', 'false', 'false', '510811005010', 5, '南斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811005010', 1, '2021-07-19 11:42:40', NULL, NULL), (11543, '', '青龙村', '243b203c7fc5499892c2ebdcea7936a7', 'aa2945fc2ed04b10b3b924a819fdb435', 'False', 'True', 'false', 'false', '510811005011', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811005011', 1, '2021-07-19 11:42:41', NULL, NULL), (11544, '', '五龙村', '446d115fa8d84179b94fd69166e0b867', 'aa2945fc2ed04b10b3b924a819fdb435', 'False', 'True', 'false', 'false', '510811005012', 5, '五龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811005012', 1, '2021-07-19 11:42:41', NULL, NULL), (11545, '', '亭子湖社区', '5b87901e58f341ec935912747b56d1e7', 'aa2945fc2ed04b10b3b924a819fdb435', 'False', 'True', 'false', 'false', '510811005082', 5, '亭子湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811005082', 1, '2021-07-19 11:42:41', NULL, NULL), (11546, '', '陈江社区', '810d281da9024b7182fb678429604e11', 'aa2945fc2ed04b10b3b924a819fdb435', 'False', 'True', 'false', 'false', '510811005193', 5, '陈江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811005193', 1, '2021-07-19 11:42:41', NULL, NULL), (11547, '', '丁家社区', 'f8780754278d4f92b3d538ce2d3231bb', 'aa2945fc2ed04b10b3b924a819fdb435', 'False', 'True', 'false', 'false', '510811005531', 5, '丁家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811005531', 1, '2021-07-19 11:42:41', NULL, NULL), (11548, '', '青牛镇', '40bdc095ffd1417389ee082f0d6e00fb', '2a153d742a1343a992601a9587dc590e', 'True', 'True', 'false', 'false', '510811006000', 4, '青牛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510811006000', 1, '2021-07-19 11:42:41', NULL, NULL), (11549, '', '白牛村', 'd175d61161eb42d9b84906582aad274d', '40bdc095ffd1417389ee082f0d6e00fb', 'False', 'True', 'false', 'false', '510811006001', 5, '白牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811006001', 1, '2021-07-19 11:42:41', NULL, NULL), (11550, '', '莲池村', '56f95c2eab354ca89d355f0807848212', '40bdc095ffd1417389ee082f0d6e00fb', 'False', 'True', 'false', 'false', '510811006002', 5, '莲池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811006002', 1, '2021-07-19 11:42:41', NULL, NULL), (11551, '', '团结村', '1a2fb2cc838a479596c16effcb25494d', '40bdc095ffd1417389ee082f0d6e00fb', 'False', 'True', 'false', 'false', '510811006003', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811006003', 1, '2021-07-19 11:42:41', NULL, NULL), (11552, '', '苏山村', '81ab62b254604a1ead0bf9d2c6f87265', '40bdc095ffd1417389ee082f0d6e00fb', 'False', 'True', 'false', 'false', '510811006004', 5, '苏山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811006004', 1, '2021-07-19 11:42:41', NULL, NULL), (11553, '', '青牛峡社区', '35c0ccd3144147a6ba6a2736bacbd51b', '40bdc095ffd1417389ee082f0d6e00fb', 'False', 'True', 'false', 'false', '510811006209', 5, '青牛峡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811006209', 1, '2021-07-19 11:42:41', NULL, NULL), (11554, '', '卫子镇', 'c2096fe2cd3142a7859ae9044998312c', '2a153d742a1343a992601a9587dc590e', 'True', 'True', 'false', 'false', '510811007000', 4, '卫子镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510811007000', 1, '2021-07-19 11:42:42', NULL, NULL), (11555, '', '卫子村', 'b1a42fccead444a2a12a0a5bb3fc03c0', 'c2096fe2cd3142a7859ae9044998312c', 'False', 'True', 'false', 'false', '510811007001', 5, '卫子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811007001', 1, '2021-07-19 11:42:42', NULL, NULL), (11556, '', '梅树村', '5aff466a92cd4a65a1175ddff3c3e440', 'c2096fe2cd3142a7859ae9044998312c', 'False', 'True', 'false', 'false', '510811007002', 5, '梅树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811007002', 1, '2021-07-19 11:42:42', NULL, NULL), (11557, '', '新荣村', 'e681b9bfac3c48b5a30a45485e2d8500', 'c2096fe2cd3142a7859ae9044998312c', 'False', 'True', 'false', 'false', '510811007003', 5, '新荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811007003', 1, '2021-07-19 11:42:42', NULL, NULL), (11558, '', '石井铺村', '6b9b163f9e71430292eda0971c301eba', 'c2096fe2cd3142a7859ae9044998312c', 'False', 'True', 'false', 'false', '510811007004', 5, '石井铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811007004', 1, '2021-07-19 11:42:42', NULL, NULL), (11559, '', '肖家寨村', '11fb91da60554a098bb3bd32db318d47', 'c2096fe2cd3142a7859ae9044998312c', 'False', 'True', 'false', 'false', '510811007005', 5, '肖家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811007005', 1, '2021-07-19 11:42:42', NULL, NULL), (11560, '', '沈家阁村', 'afeff359712947bb98a1f7036e09ea6d', 'c2096fe2cd3142a7859ae9044998312c', 'False', 'True', 'false', 'false', '510811007006', 5, '沈家阁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811007006', 1, '2021-07-19 11:42:42', NULL, NULL), (11561, '', '新场村', '8df191873c5c491d834de8fda949fd4b', 'c2096fe2cd3142a7859ae9044998312c', 'False', 'True', 'false', 'false', '510811007007', 5, '新场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811007007', 1, '2021-07-19 11:42:42', NULL, NULL), (11562, '', '狮子村', '48eaf785af2749f2a1fa5b919f8edd20', 'c2096fe2cd3142a7859ae9044998312c', 'False', 'True', 'false', 'false', '510811007008', 5, '狮子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811007008', 1, '2021-07-19 11:42:42', NULL, NULL), (11563, '', '穿心村', '3edfc48929eb4e7688a46d233eabd444', 'c2096fe2cd3142a7859ae9044998312c', 'False', 'True', 'false', 'false', '510811007009', 5, '穿心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811007009', 1, '2021-07-19 11:42:42', NULL, NULL), (11564, '', '元柏树村', '846734bc301f42a998cd65d55362b9eb', 'c2096fe2cd3142a7859ae9044998312c', 'False', 'True', 'false', 'false', '510811007010', 5, '元柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811007010', 1, '2021-07-19 11:42:42', NULL, NULL), (11565, '', '保民村', '08d2400a115940d5bbd3d5d9bb0ddf85', 'c2096fe2cd3142a7859ae9044998312c', 'False', 'True', 'false', 'false', '510811007011', 5, '保民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811007011', 1, '2021-07-19 11:42:42', NULL, NULL), (11566, '', '千秋村', '667331903a0d4c138c83240f64d89b6e', 'c2096fe2cd3142a7859ae9044998312c', 'False', 'True', 'false', 'false', '510811007012', 5, '千秋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811007012', 1, '2021-07-19 11:42:42', NULL, NULL), (11567, '', '中山村', '14c7edd45f58499b983fc9b0954d4b07', 'c2096fe2cd3142a7859ae9044998312c', 'False', 'True', 'false', 'false', '510811007013', 5, '中山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811007013', 1, '2021-07-19 11:42:42', NULL, NULL), (11568, '', '板石沟村', '0ac74922676b4c799dbdeb8a33181796', 'c2096fe2cd3142a7859ae9044998312c', 'False', 'True', 'false', 'false', '510811007014', 5, '板石沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811007014', 1, '2021-07-19 11:42:43', NULL, NULL), (11569, '', '冯家岭村', 'eba350be5f0449d1ae9bb9771125911d', 'c2096fe2cd3142a7859ae9044998312c', 'False', 'True', 'false', 'false', '510811007015', 5, '冯家岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811007015', 1, '2021-07-19 11:42:43', NULL, NULL), (11570, '', '广元市昭化区卫子镇石井社区', '7fc31c403fbd41a28c6cef50cbedf79d', 'c2096fe2cd3142a7859ae9044998312c', 'False', 'True', 'false', 'false', '510811007391', 5, '石井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811007391', 1, '2021-07-19 11:42:43', NULL, NULL), (11571, '', '金印社区', 'de4a0daace7f44d9a68dbcc2aab62ed6', 'c2096fe2cd3142a7859ae9044998312c', 'False', 'True', 'false', 'false', '510811070511', 5, '金印社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811070511', 1, '2021-07-19 11:42:43', NULL, NULL), (11572, '', '太公镇', '7ce231a7319c4eac94b48e6c61f33ec2', '2a153d742a1343a992601a9587dc590e', 'True', 'True', 'false', 'false', '510811008000', 4, '太公镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510811008000', 1, '2021-07-19 11:42:43', NULL, NULL), (11573, '', '高照村', 'b267a29ea512463199c67e1d29af2e64', '7ce231a7319c4eac94b48e6c61f33ec2', 'False', 'True', 'false', 'false', '510811008001', 5, '高照村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811008001', 1, '2021-07-19 11:42:43', NULL, NULL), (11574, '', '太平村', '052ad16572024226bdc2592e2fd91b94', '7ce231a7319c4eac94b48e6c61f33ec2', 'False', 'True', 'false', 'false', '510811008002', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811008002', 1, '2021-07-19 11:42:43', NULL, NULL), (11575, '', '黄金村', 'cd8c1497c628464c9647515ef50a726a', '7ce231a7319c4eac94b48e6c61f33ec2', 'False', 'True', 'false', 'false', '510811008003', 5, '黄金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811008003', 1, '2021-07-19 11:42:43', NULL, NULL), (11576, '', '双庙村', '6ea18bfbe94e48adb288d5aac24fee26', '7ce231a7319c4eac94b48e6c61f33ec2', 'False', 'True', 'false', 'false', '510811008004', 5, '双庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811008004', 1, '2021-07-19 11:42:43', NULL, NULL), (11577, '', '回龙村', 'b80bc73d9b934bad93c90b40ad67088c', '7ce231a7319c4eac94b48e6c61f33ec2', 'False', 'True', 'false', 'false', '510811008005', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811008005', 1, '2021-07-19 11:42:43', NULL, NULL), (11578, '', '太公岭村', 'd3ea3060865b4b4c9f40848b2f31f9be', '7ce231a7319c4eac94b48e6c61f33ec2', 'False', 'True', 'false', 'false', '510811008006', 5, '太公岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811008006', 1, '2021-07-19 11:42:43', NULL, NULL), (11579, '', '张家村', '1031fe400a5346ff99d9d955b490b956', '7ce231a7319c4eac94b48e6c61f33ec2', 'False', 'True', 'false', 'false', '510811008007', 5, '张家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811008007', 1, '2021-07-19 11:42:43', NULL, NULL), (11580, '', '白头村', 'a67c3f2787ad4b1aa59e450bbb474305', '7ce231a7319c4eac94b48e6c61f33ec2', 'False', 'True', 'false', 'false', '510811008008', 5, '白头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811008008', 1, '2021-07-19 11:42:43', NULL, NULL), (11581, '', '水磨村', '0d0426c460a041c88ed9b10a1304ec84', '7ce231a7319c4eac94b48e6c61f33ec2', 'False', 'True', 'false', 'false', '510811008009', 5, '水磨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811008009', 1, '2021-07-19 11:42:43', NULL, NULL), (11582, '', '场埃村', '28e8e3883474419bb89918346c20f1f8', '7ce231a7319c4eac94b48e6c61f33ec2', 'False', 'True', 'false', 'false', '510811008010', 5, '场埃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811008010', 1, '2021-07-19 11:42:43', NULL, NULL), (11583, '', '学堂村', '8fabfd19963d4800953cd383a10f7999', '7ce231a7319c4eac94b48e6c61f33ec2', 'False', 'True', 'false', 'false', '510811008011', 5, '学堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811008011', 1, '2021-07-19 11:42:43', NULL, NULL), (11584, '', '红卫村', '8b609a4d5edf4be1b3a993fc0485c1dc', '7ce231a7319c4eac94b48e6c61f33ec2', 'False', 'True', 'false', 'false', '510811008012', 5, '红卫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811008012', 1, '2021-07-19 11:42:43', NULL, NULL), (11585, '', '玄贞村', '5a67ec6c8059463da0811f18cbf04791', '7ce231a7319c4eac94b48e6c61f33ec2', 'False', 'True', 'false', 'false', '510811008013', 5, '玄贞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811008013', 1, '2021-07-19 11:42:44', NULL, NULL), (11586, '', '红军山社区', '83ec40e6d14d4e4c9d4bfdce454f74e3', '7ce231a7319c4eac94b48e6c61f33ec2', 'False', 'True', 'false', 'false', '510811008659', 5, '红军山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811008659', 1, '2021-07-19 11:42:44', NULL, NULL), (11587, '', '清水镇', '01ed02986e774309b0f5787258118eac', '2a153d742a1343a992601a9587dc590e', 'True', 'True', 'false', 'false', '510811009000', 4, '清水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510811009000', 1, '2021-07-19 11:42:44', NULL, NULL), (11588, '', '傲盘村', '4751c61abaa24f0fbdee39848eced813', '01ed02986e774309b0f5787258118eac', 'False', 'True', 'false', 'false', '510811009001', 5, '傲盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811009001', 1, '2021-07-19 11:42:44', NULL, NULL), (11589, '', '金紫村', '5ebc11bc4dd941e99d05a7f15933ca53', '01ed02986e774309b0f5787258118eac', 'False', 'True', 'false', 'false', '510811009002', 5, '金紫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811009002', 1, '2021-07-19 11:42:44', NULL, NULL), (11590, '', '松梁村', '7546507fd3bc4b8b9ebb1ba33e1dd7b2', '01ed02986e774309b0f5787258118eac', 'False', 'True', 'false', 'false', '510811009003', 5, '松梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811009003', 1, '2021-07-19 11:42:44', NULL, NULL), (11591, '', '石庙村', 'c40686affe83425b989ac9b2538b4814', '01ed02986e774309b0f5787258118eac', 'False', 'True', 'false', 'false', '510811009004', 5, '石庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811009004', 1, '2021-07-19 11:42:44', NULL, NULL), (11592, '', '龙凤村', '3f12550b3da44c0e86fb56fe156baec1', '01ed02986e774309b0f5787258118eac', 'False', 'True', 'false', 'false', '510811009005', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811009005', 1, '2021-07-19 11:42:44', NULL, NULL), (11593, '', '清凉村', 'dfcdbd66849f47cf9b1f747991badd8c', '01ed02986e774309b0f5787258118eac', 'False', 'True', 'false', 'false', '510811009006', 5, '清凉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811009006', 1, '2021-07-19 11:42:44', NULL, NULL), (11594, '', '文华村', '1771fb162a49455bac264dfec134cc0c', '01ed02986e774309b0f5787258118eac', 'False', 'True', 'false', 'false', '510811009007', 5, '文华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811009007', 1, '2021-07-19 11:42:44', NULL, NULL), (11595, '', '普贤村', '4c5687d87ed44d4ea4799e64b7819bb9', '01ed02986e774309b0f5787258118eac', 'False', 'True', 'false', 'false', '510811009008', 5, '普贤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811009008', 1, '2021-07-19 11:42:44', NULL, NULL), (11596, '', '香溪村', '6060b25606534f4cbd6cec2820d61aba', '01ed02986e774309b0f5787258118eac', 'False', 'True', 'false', 'false', '510811009009', 5, '香溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811009009', 1, '2021-07-19 11:42:44', NULL, NULL), (11597, '', '玉莲村', '26e789c5cdcf472f8ef5b94e8e8df094', '01ed02986e774309b0f5787258118eac', 'False', 'True', 'false', 'false', '510811009010', 5, '玉莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811009010', 1, '2021-07-19 11:42:45', NULL, NULL), (11598, '', '安山村', 'd1d0e165e0ea4ef59e84cb5486c37516', '01ed02986e774309b0f5787258118eac', 'False', 'True', 'false', 'false', '510811009011', 5, '安山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811009011', 1, '2021-07-19 11:42:45', NULL, NULL), (11599, '', '树丰村', 'e6271dc334f34e6ea9c533916b940b6b', '01ed02986e774309b0f5787258118eac', 'False', 'True', 'false', 'false', '510811009012', 5, '树丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811009012', 1, '2021-07-19 11:42:45', NULL, NULL), (11600, '', '清水铺社区', '54a633398aca409a94c87d9085d38f96', '01ed02986e774309b0f5787258118eac', 'False', 'True', 'false', 'false', '510811009823', 5, '清水铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811009823', 1, '2021-07-19 11:42:45', NULL, NULL), (11601, '', '柏林沟镇', '6fd0d12506c649279b27881c65f866cf', '2a153d742a1343a992601a9587dc590e', 'True', 'True', 'false', 'false', '510811010000', 4, '柏林沟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510811010000', 1, '2021-07-19 11:42:45', NULL, NULL), (11602, '', '岚黎村', '24b901955f5746cdaccd237ec282b538', '6fd0d12506c649279b27881c65f866cf', 'False', 'True', 'false', 'false', '510811010001', 5, '岚黎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811010001', 1, '2021-07-19 11:42:45', NULL, NULL), (11603, '', '向阳村', '0c1b482db21c4cf1b06bf7372ef6e56f', '6fd0d12506c649279b27881c65f866cf', 'False', 'True', 'false', 'false', '510811010002', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811010002', 1, '2021-07-19 11:42:45', NULL, NULL), (11604, '', '助国村', '2ea20af1eee74f6fbfc2fb5d60ec26e5', '6fd0d12506c649279b27881c65f866cf', 'False', 'True', 'false', 'false', '510811010003', 5, '助国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811010003', 1, '2021-07-19 11:42:45', NULL, NULL), (11605, '', '双龙村', '7d9a3ebd80be46069c015779718201d3', '6fd0d12506c649279b27881c65f866cf', 'False', 'True', 'false', 'false', '510811010004', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811010004', 1, '2021-07-19 11:42:45', NULL, NULL), (11606, '', '赤岚村', '4c838272d10c43c7a968f4b2ab68e1ca', '6fd0d12506c649279b27881c65f866cf', 'False', 'True', 'false', 'false', '510811010005', 5, '赤岚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811010005', 1, '2021-07-19 11:42:45', NULL, NULL), (11607, '', '金岚村', '478b653262254559a6010cb63ea30a45', '6fd0d12506c649279b27881c65f866cf', 'False', 'True', 'false', 'false', '510811010006', 5, '金岚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811010006', 1, '2021-07-19 11:42:45', NULL, NULL), (11608, '', '马蹄滩村', '5bb0a18b79114aabadcf289578ae7194', '6fd0d12506c649279b27881c65f866cf', 'False', 'True', 'false', 'false', '510811010007', 5, '马蹄滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811010007', 1, '2021-07-19 11:42:45', NULL, NULL), (11609, '', '长岭村', 'c4510961a3cf4d738f25184a7f9b7e81', '6fd0d12506c649279b27881c65f866cf', 'False', 'True', 'false', 'false', '510811010008', 5, '长岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811010008', 1, '2021-07-19 11:42:46', NULL, NULL), (11610, '', '岚桥社区', '30d579a3b6a8439598a654734e55fe40', '6fd0d12506c649279b27881c65f866cf', 'False', 'True', 'false', 'false', '510811010210', 5, '岚桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811010210', 1, '2021-07-19 11:42:46', NULL, NULL), (11611, '', '文村社区', 'ad02ce982c534b49a11b213c0e7d0590', '6fd0d12506c649279b27881c65f866cf', 'False', 'True', 'false', 'false', '510811010717', 5, '文村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811010717', 1, '2021-07-19 11:42:46', NULL, NULL), (11612, '', '王家镇', 'cb0bef0dcaee476aa5f722baa6439744', '2a153d742a1343a992601a9587dc590e', 'True', 'True', 'false', 'false', '510811011000', 4, '王家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510811011000', 1, '2021-07-19 11:42:46', NULL, NULL), (11613, '', '新华村', '9ec1d3266780457eb9973b6cb936ab84', 'cb0bef0dcaee476aa5f722baa6439744', 'False', 'True', 'false', 'false', '510811011001', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811011001', 1, '2021-07-19 11:42:46', NULL, NULL), (11614, '', '红庙村', '83418ae2e22c4c15a48d45604e277028', 'cb0bef0dcaee476aa5f722baa6439744', 'False', 'True', 'false', 'false', '510811011002', 5, '红庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811011002', 1, '2021-07-19 11:42:46', NULL, NULL), (11615, '', '银鱼村', '100d043bfd8749a5a1cdda04192d675a', 'cb0bef0dcaee476aa5f722baa6439744', 'False', 'True', 'false', 'false', '510811011003', 5, '银鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811011003', 1, '2021-07-19 11:42:46', NULL, NULL), (11616, '', '作功村', '9e7c6993847c4825be6ca285e216038b', 'cb0bef0dcaee476aa5f722baa6439744', 'False', 'True', 'false', 'false', '510811011004', 5, '作功村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811011004', 1, '2021-07-19 11:42:46', NULL, NULL), (11617, '', '荣华村', 'da6f1bd3ad004e1ba380ec6252dde567', 'cb0bef0dcaee476aa5f722baa6439744', 'False', 'True', 'false', 'false', '510811011005', 5, '荣华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811011005', 1, '2021-07-19 11:42:46', NULL, NULL), (11618, '', '晋贤村', 'c04508e0fc9c4c0792a2e248e229daff', 'cb0bef0dcaee476aa5f722baa6439744', 'False', 'True', 'false', 'false', '510811011006', 5, '晋贤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811011006', 1, '2021-07-19 11:42:46', NULL, NULL), (11619, '', '文星村', '847598115c86478982caee45d47cc878', 'cb0bef0dcaee476aa5f722baa6439744', 'False', 'True', 'false', 'false', '510811011007', 5, '文星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811011007', 1, '2021-07-19 11:42:46', NULL, NULL), (11620, '', '五马村', '8c3ed2e5f9054066a033857b8b25d92b', 'cb0bef0dcaee476aa5f722baa6439744', 'False', 'True', 'false', 'false', '510811011008', 5, '五马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811011008', 1, '2021-07-19 11:42:46', NULL, NULL), (11621, '', '金星村', '97f35d5a473c47839ba2aef090735cad', 'cb0bef0dcaee476aa5f722baa6439744', 'False', 'True', 'false', 'false', '510811011009', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811011009', 1, '2021-07-19 11:42:46', NULL, NULL), (11622, '', '方山村', 'dfda4d3351be4d818fc0a27a092d466b', 'cb0bef0dcaee476aa5f722baa6439744', 'False', 'True', 'false', 'false', '510811011010', 5, '方山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811011010', 1, '2021-07-19 11:42:47', NULL, NULL), (11623, '', '安平村', '063c5d1d74a34e64b1d1568f15246a92', 'cb0bef0dcaee476aa5f722baa6439744', 'False', 'True', 'false', 'false', '510811011011', 5, '安平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811011011', 1, '2021-07-19 11:42:47', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (11624, '', '金帽铺社区', 'fa6bc2afa79b4fd8b2a4e73eb0161022', 'cb0bef0dcaee476aa5f722baa6439744', 'False', 'True', 'false', 'false', '510811011732', 5, '金帽铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811011732', 1, '2021-07-19 11:42:47', NULL, NULL), (11625, '', '磨滩镇', '94bcd334cd54459bbef831f264d391f6', '2a153d742a1343a992601a9587dc590e', 'True', 'True', 'false', 'false', '510811012000', 4, '磨滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510811012000', 1, '2021-07-19 11:42:47', NULL, NULL), (11626, '', '金堂村', '9556074a32984394a3d57a9260d23c05', '94bcd334cd54459bbef831f264d391f6', 'False', 'True', 'false', 'false', '510811012001', 5, '金堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811012001', 1, '2021-07-19 11:42:47', NULL, NULL), (11627, '', '长青村', '9e313713b8474e36a4a1cf6d873f709f', '94bcd334cd54459bbef831f264d391f6', 'False', 'True', 'false', 'false', '510811012002', 5, '长青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811012002', 1, '2021-07-19 11:42:47', NULL, NULL), (11628, '', '佛岩村', 'dc24cb701ab040038c8b94349ebccfc4', '94bcd334cd54459bbef831f264d391f6', 'False', 'True', 'false', 'false', '510811012003', 5, '佛岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811012003', 1, '2021-07-19 11:42:47', NULL, NULL), (11629, '', '金华村', '26771591ad8a43cd9b4c9afe3a43da68', '94bcd334cd54459bbef831f264d391f6', 'False', 'True', 'false', 'false', '510811012004', 5, '金华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811012004', 1, '2021-07-19 11:42:47', NULL, NULL), (11630, '', '磨滩村', '35340537443d476ba7dfa4bcd4a81de6', '94bcd334cd54459bbef831f264d391f6', 'False', 'True', 'false', 'false', '510811012005', 5, '磨滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811012005', 1, '2021-07-19 11:42:47', NULL, NULL), (11631, '', '龙门场社区', '93f8b223682c4327b1b12c12e3f68dbd', '94bcd334cd54459bbef831f264d391f6', 'False', 'True', 'false', 'false', '510811012594', 5, '龙门场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510811012594', 1, '2021-07-19 11:42:47', NULL, NULL), (11632, '', '朝天区', 'cf3c70c02b3144fe8b22e59d68790322', '9602bf2b753c4158bf4862498e91da56', 'True', 'True', 'false', 'false', '510812000000', 3, '朝天区', 'gysctq.sczwfw.gov.cn', 1, '2021-07-19 11:42:47', NULL, NULL), (11633, '', '朝天镇', 'b25ab07907ff436a9f81876b2bdc3d9c', 'cf3c70c02b3144fe8b22e59d68790322', 'True', 'True', 'false', 'false', '510812100000', 4, '朝天镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510812100000', 1, '2021-07-19 11:42:47', NULL, NULL), (11634, '', '明月路社区', '119b855b0d0d4352bcd01861c4810394', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100001', 5, '明月路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100001', 1, '2021-07-19 11:42:47', NULL, NULL), (11635, '', '俞家村', 'da706f27b5604e06977283aeb91b455d', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100216', 5, '俞家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100216', 1, '2021-07-19 11:42:48', NULL, NULL), (11636, '', '青龙村', '990f6bff5f034b04be6627dce33d4530', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100217', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100217', 1, '2021-07-19 11:42:48', NULL, NULL), (11637, '', '将军村', 'bac71411544c4b888237b51b6aa5fe0b', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100220', 5, '将军村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100220', 1, '2021-07-19 11:42:48', NULL, NULL), (11638, '', '三友村', 'bdf1abdb004645d5a906e8fc61e9c9ec', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100221', 5, '三友村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100221', 1, '2021-07-19 11:42:48', NULL, NULL), (11639, '', '柿子岭村', '0886aa5c179d4dedbb18c97da42b1af9', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100222', 5, '柿子岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100222', 1, '2021-07-19 11:42:48', NULL, NULL), (11640, '', '天井村', 'b065c0b70a5e41c3b9186fb993cc3ea6', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100223', 5, '天井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100223', 1, '2021-07-19 11:42:48', NULL, NULL), (11641, '', '松广村', '9779453a9dd4492abdd2ed2fff43fb3d', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100224', 5, '松广村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100224', 1, '2021-07-19 11:42:48', NULL, NULL), (11642, '', '双坪村', '9eb538850dd74c9c89020002d1994d05', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100226', 5, '双坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100226', 1, '2021-07-19 11:42:48', NULL, NULL), (11643, '', '小安村', '76a4f1f9ab504811a7cea10aa2420c1d', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100227', 5, '小安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100227', 1, '2021-07-19 11:42:48', NULL, NULL), (11644, '', '文昌村', 'f6c4b9f517d144348c404acb143350d5', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100228', 5, '文昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100228', 1, '2021-07-19 11:42:48', NULL, NULL), (11645, '', '龙门村', '21a0b54f5054430aa3bfc343f380ecc0', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100229', 5, '龙门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100229', 1, '2021-07-19 11:42:48', NULL, NULL), (11646, '', '大巴口社区', '8f1953886f9d46a4bdd1123367780c53', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100003', 5, '大巴口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100003', 1, '2021-07-19 11:42:48', NULL, NULL), (11647, '', '朝天村', '1adc6a86ce064655935ec1f394f05c07', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100200', 5, '朝天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100200', 1, '2021-07-19 11:42:48', NULL, NULL), (11648, '', '清风路社区', 'b85953b3129a405ab56594e63d3c712d', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100201', 5, '清风路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100201', 1, '2021-07-19 11:42:48', NULL, NULL), (11649, '', '青云村', 'c0fa4be6a03a46f2a71b0d7ec0602bcb', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100202', 5, '青云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100202', 1, '2021-07-19 11:42:48', NULL, NULL), (11650, '', '朱家村', 'f5ae6404277f4758a67ec052a6cc8315', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100203', 5, '朱家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100203', 1, '2021-07-19 11:42:48', NULL, NULL), (11651, '', '明月村', '8734cea9c928434b9f21d63f0f8bd0ff', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100204', 5, '明月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100204', 1, '2021-07-19 11:42:49', NULL, NULL), (11652, '', '双河村', '1e6958e6252d4b0e8f6ee878cc545834', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100205', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100205', 1, '2021-07-19 11:42:49', NULL, NULL), (11653, '', '金堆村', 'eea32cc91ea74c09840bb24701ddf0aa', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100209', 5, '金堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100209', 1, '2021-07-19 11:42:49', NULL, NULL), (11654, '', '陈家村', '1495d6a4a5ee4e98860fb075bc1da8e7', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100210', 5, '陈家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100210', 1, '2021-07-19 11:42:49', NULL, NULL), (11655, '', '金场村', '9696c717cf804d2992bc33e7b94902a8', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100211', 5, '金场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100211', 1, '2021-07-19 11:42:49', NULL, NULL), (11656, '', '三滩村', 'd072f7cf439a47ff8efbdc25ece7bb96', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100212', 5, '三滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100212', 1, '2021-07-19 11:42:49', NULL, NULL), (11657, '', '烟灯村', 'af2df263eb914177a875e326ef589f97', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100213', 5, '烟灯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100213', 1, '2021-07-19 11:42:49', NULL, NULL), (11658, '', '军师村', 'c46ef38218ba42da99cc105a1e9b3ab2', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100469', 5, '军师村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100469', 1, '2021-07-19 11:42:49', NULL, NULL), (11659, '', '重岩村', '984cc2936cd947e1bdda7b85e8fa3d7c', 'b25ab07907ff436a9f81876b2bdc3d9c', 'False', 'True', 'false', 'false', '510812100942', 5, '重岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812100942', 1, '2021-07-19 11:42:49', NULL, NULL), (11660, '', '大滩镇', 'aa9406f5df094a2e8aa19aa914cedf70', 'cf3c70c02b3144fe8b22e59d68790322', 'True', 'True', 'false', 'false', '510812101000', 4, '大滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510812101000', 1, '2021-07-19 11:42:49', NULL, NULL), (11661, '', '文安村', 'f98547b908a14272aada101518d70201', 'aa9406f5df094a2e8aa19aa914cedf70', 'False', 'True', 'false', 'false', '510812101217', 5, '文安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812101217', 1, '2021-07-19 11:42:49', NULL, NULL), (11662, '', '捍红村', 'f4a1a6624dcb4b99826c7cb579c23199', 'aa9406f5df094a2e8aa19aa914cedf70', 'False', 'True', 'false', 'false', '510812101218', 5, '捍红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812101218', 1, '2021-07-19 11:42:49', NULL, NULL), (11663, '', '坪台村', '6fe95a885a7e498dbc2d62014de55cb3', 'aa9406f5df094a2e8aa19aa914cedf70', 'False', 'True', 'false', 'false', '510812101219', 5, '坪台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812101219', 1, '2021-07-19 11:42:50', NULL, NULL), (11664, '', '柏杨村', '2c8448066b9e41928b9f9d424d214830', 'aa9406f5df094a2e8aa19aa914cedf70', 'False', 'True', 'false', 'false', '510812101220', 5, '柏杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812101220', 1, '2021-07-19 11:42:50', NULL, NULL), (11665, '', '大滩社区', '8b6ef9023d0447688424f03e9fb38223', 'aa9406f5df094a2e8aa19aa914cedf70', 'False', 'True', 'false', 'false', '510812101001', 5, '大滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812101001', 1, '2021-07-19 11:42:50', NULL, NULL), (11666, '', '横梁村', '667c498e8f7c4ec2bda6a2e1abd84e60', 'aa9406f5df094a2e8aa19aa914cedf70', 'False', 'True', 'false', 'false', '510812101200', 5, '横梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812101200', 1, '2021-07-19 11:42:50', NULL, NULL), (11667, '', '自然村', '5edd9bf562594c85b07430510a6ca625', 'aa9406f5df094a2e8aa19aa914cedf70', 'False', 'True', 'false', 'false', '510812101203', 5, '自然村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812101203', 1, '2021-07-19 11:42:50', NULL, NULL), (11668, '', '敬忠村', '5add019d30e14dbda7d0fdd38e3670aa', 'aa9406f5df094a2e8aa19aa914cedf70', 'False', 'True', 'false', 'false', '510812101205', 5, '敬忠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812101205', 1, '2021-07-19 11:42:50', NULL, NULL), (11669, '', '回龙村', '6fc30dc54dc7467a96cae739e7534775', 'aa9406f5df094a2e8aa19aa914cedf70', 'False', 'True', 'false', 'false', '510812101206', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812101206', 1, '2021-07-19 11:42:50', NULL, NULL), (11670, '', '风雷村', '8949855ede8645c2ae443ab066f62d99', 'aa9406f5df094a2e8aa19aa914cedf70', 'False', 'True', 'false', 'false', '510812101207', 5, '风雷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812101207', 1, '2021-07-19 11:42:50', NULL, NULL), (11671, '', '新生村', '2c2163789e4840899a91ae1b24f74d38', 'aa9406f5df094a2e8aa19aa914cedf70', 'False', 'True', 'false', 'false', '510812101208', 5, '新生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812101208', 1, '2021-07-19 11:42:50', NULL, NULL), (11672, '', '茅坪村', '12316208dd7b4de9a86debd18f95ccce', 'aa9406f5df094a2e8aa19aa914cedf70', 'False', 'True', 'false', 'false', '510812101211', 5, '茅坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812101211', 1, '2021-07-19 11:42:50', NULL, NULL), (11673, '', '业成村', 'a1e00d42b18f42aa9d68fcd27d4f1524', 'aa9406f5df094a2e8aa19aa914cedf70', 'False', 'True', 'false', 'false', '510812101212', 5, '业成村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812101212', 1, '2021-07-19 11:42:50', NULL, NULL), (11674, '', '响水村', 'b07368af234f4b5d922c7de7a7c075be', 'aa9406f5df094a2e8aa19aa914cedf70', 'False', 'True', 'false', 'false', '510812101214', 5, '响水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812101214', 1, '2021-07-19 11:42:50', NULL, NULL), (11675, '', '天池村', 'f8819ca90cd24a0ead1c6427675a9eec', 'aa9406f5df094a2e8aa19aa914cedf70', 'False', 'True', 'false', 'false', '510812101215', 5, '天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812101215', 1, '2021-07-19 11:42:50', NULL, NULL), (11676, '', '凤凰村', '2ca62fd97e704122bd96ab4f60aff866', 'aa9406f5df094a2e8aa19aa914cedf70', 'False', 'True', 'false', 'false', '510812101216', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812101216', 1, '2021-07-19 11:42:50', NULL, NULL), (11677, '', '羊木镇', 'dd0650cdb0b141379a904d776645b144', 'cf3c70c02b3144fe8b22e59d68790322', 'True', 'True', 'false', 'false', '510812102000', 4, '羊木镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510812102000', 1, '2021-07-19 11:42:50', NULL, NULL), (11678, '', '上坝村', '32f1125f4e3e46609b826d8a0e213430', 'dd0650cdb0b141379a904d776645b144', 'False', 'True', 'false', 'false', '510812102214', 5, '上坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812102214', 1, '2021-07-19 11:42:50', NULL, NULL), (11679, '', '关口村', '817d96507ed144a99baf5df7f83e006a', 'dd0650cdb0b141379a904d776645b144', 'False', 'True', 'false', 'false', '510812102215', 5, '关口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812102215', 1, '2021-07-19 11:42:50', NULL, NULL), (11680, '', '西北村', '24c8919dd62f452bbd128aec8d00f12a', 'dd0650cdb0b141379a904d776645b144', 'False', 'True', 'false', 'false', '510812102216', 5, '西北村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812102216', 1, '2021-07-19 11:42:51', NULL, NULL), (11681, '', '金台社区', 'b676efd6f2db41f29d0cae9ca1e74f93', 'dd0650cdb0b141379a904d776645b144', 'False', 'True', 'false', 'false', '510812102001', 5, '金台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812102001', 1, '2021-07-19 11:42:51', NULL, NULL), (11682, '', '东山村', '03a18ed100034736804ef2e363f17c13', 'dd0650cdb0b141379a904d776645b144', 'False', 'True', 'false', 'false', '510812102201', 5, '东山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812102201', 1, '2021-07-19 11:42:51', NULL, NULL), (11683, '', '银岭村', '2c0a01b9c4d84af09c477395d2cb3537', 'dd0650cdb0b141379a904d776645b144', 'False', 'True', 'false', 'false', '510812102202', 5, '银岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812102202', 1, '2021-07-19 11:42:51', NULL, NULL), (11684, '', '兰坝村', '884d8f0746b24e578cfbef12a7a5815c', 'dd0650cdb0b141379a904d776645b144', 'False', 'True', 'false', 'false', '510812102203', 5, '兰坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812102203', 1, '2021-07-19 11:42:51', NULL, NULL), (11685, '', '红岩村', '81a2dd23d4fb48fe92e2d6eba7f24055', 'dd0650cdb0b141379a904d776645b144', 'False', 'True', 'false', 'false', '510812102204', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812102204', 1, '2021-07-19 11:42:51', NULL, NULL), (11686, '', '新山村', 'c64305e57ce44a688e90e7d95fba8f14', 'dd0650cdb0b141379a904d776645b144', 'False', 'True', 'false', 'false', '510812102205', 5, '新山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812102205', 1, '2021-07-19 11:42:51', NULL, NULL), (11687, '', '金笔村', '518f6c1b27ac4253842b29609a6ea9dc', 'dd0650cdb0b141379a904d776645b144', 'False', 'True', 'false', 'false', '510812102207', 5, '金笔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812102207', 1, '2021-07-19 11:42:51', NULL, NULL), (11688, '', '新塘村', '935b4d38d1e5421699e3a71799845d64', 'dd0650cdb0b141379a904d776645b144', 'False', 'True', 'false', 'false', '510812102208', 5, '新塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812102208', 1, '2021-07-19 11:42:51', NULL, NULL), (11689, '', '金顶村', '29fd88f19eb34578b52d42f609e5f74b', 'dd0650cdb0b141379a904d776645b144', 'False', 'True', 'false', 'false', '510812102211', 5, '金顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812102211', 1, '2021-07-19 11:42:51', NULL, NULL), (11690, '', '青白村', 'a8f4df4cc86046d48a5cc26915f6afb6', 'dd0650cdb0b141379a904d776645b144', 'False', 'True', 'false', 'false', '510812102213', 5, '青白村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812102213', 1, '2021-07-19 11:42:51', NULL, NULL), (11691, '', '曾家镇', '56c18b669656421eb8efc263705c1371', 'cf3c70c02b3144fe8b22e59d68790322', 'True', 'True', 'false', 'false', '510812103000', 4, '曾家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510812103000', 1, '2021-07-19 11:42:51', NULL, NULL), (11692, '', '尧坪村', '18efe60b80ab4088b5636b612ede1fe3', '56c18b669656421eb8efc263705c1371', 'False', 'True', 'false', 'false', '510812103211', 5, '尧坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812103211', 1, '2021-07-19 11:42:52', NULL, NULL), (11693, '', '大竹村', 'eb0affe9c3cf49e09999525292d84f9d', '56c18b669656421eb8efc263705c1371', 'False', 'True', 'false', 'false', '510812103212', 5, '大竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812103212', 1, '2021-07-19 11:42:52', NULL, NULL), (11694, '', '毛坝村', '83b39e7c400c4e7f942561c82128c496', '56c18b669656421eb8efc263705c1371', 'False', 'True', 'false', 'false', '510812103213', 5, '毛坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812103213', 1, '2021-07-19 11:42:52', NULL, NULL), (11695, '', '工农村', '1895402c8525439b845c05b35e98fc62', '56c18b669656421eb8efc263705c1371', 'False', 'True', 'false', 'false', '510812103214', 5, '工农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812103214', 1, '2021-07-19 11:42:52', NULL, NULL), (11696, '', '李家村', '16445f3fe3f14519ac99211ac9cff382', '56c18b669656421eb8efc263705c1371', 'False', 'True', 'false', 'false', '510812103215', 5, '李家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812103215', 1, '2021-07-19 11:42:52', NULL, NULL), (11697, '', '曾家社区', '04107161c6a84c00a459f31feca84e1c', '56c18b669656421eb8efc263705c1371', 'False', 'True', 'false', 'false', '510812103001', 5, '曾家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812103001', 1, '2021-07-19 11:42:52', NULL, NULL), (11698, '', '石烛村', '5f30a10d41ad4666935847f29806338f', '56c18b669656421eb8efc263705c1371', 'False', 'True', 'false', 'false', '510812103202', 5, '石烛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812103202', 1, '2021-07-19 11:42:52', NULL, NULL), (11699, '', '石鹰村', '7c85ed2717be442f917e9c0ff28c0d39', '56c18b669656421eb8efc263705c1371', 'False', 'True', 'false', 'false', '510812103204', 5, '石鹰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812103204', 1, '2021-07-19 11:42:52', NULL, NULL), (11700, '', '前卫村', 'ca6bd6918a0245a89ae899907a8ea03d', '56c18b669656421eb8efc263705c1371', 'False', 'True', 'false', 'false', '510812103205', 5, '前卫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812103205', 1, '2021-07-19 11:42:52', NULL, NULL), (11701, '', '中柏村', '11d238934a964b5f9eb568b788d8db1b', '56c18b669656421eb8efc263705c1371', 'False', 'True', 'false', 'false', '510812103206', 5, '中柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812103206', 1, '2021-07-19 11:42:52', NULL, NULL), (11702, '', '荣乐村', 'f3156f30e4024933a16c28684165bfa8', '56c18b669656421eb8efc263705c1371', 'False', 'True', 'false', 'false', '510812103207', 5, '荣乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812103207', 1, '2021-07-19 11:42:52', NULL, NULL), (11703, '', '白鹰村', '6fb3b44ed9a7457a833f9555d09ba8b4', '56c18b669656421eb8efc263705c1371', 'False', 'True', 'false', 'false', '510812103209', 5, '白鹰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812103209', 1, '2021-07-19 11:42:52', NULL, NULL), (11704, '', '中子镇', '5498e88ec656403ab2455f5b358cbf01', 'cf3c70c02b3144fe8b22e59d68790322', 'True', 'True', 'false', 'false', '510812104000', 4, '中子镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510812104000', 1, '2021-07-19 11:42:52', NULL, NULL), (11705, '', '转斗铺社区', '3fb2d2639b044f89afb29b9fc1cdfca2', '5498e88ec656403ab2455f5b358cbf01', 'False', 'True', 'false', 'false', '510812104002', 5, '转斗铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812104002', 1, '2021-07-19 11:42:52', NULL, NULL), (11706, '', '潜溪村', 'e863206366814d47b44aa55fcb565f57', '5498e88ec656403ab2455f5b358cbf01', 'False', 'True', 'false', 'false', '510812104210', 5, '潜溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812104210', 1, '2021-07-19 11:42:52', NULL, NULL), (11707, '', '清泉村', '25cf0bb2359b454d9a8fbf0e930f4742', '5498e88ec656403ab2455f5b358cbf01', 'False', 'True', 'false', 'false', '510812104211', 5, '清泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812104211', 1, '2021-07-19 11:42:52', NULL, NULL), (11708, '', '黎明村', '0b8d337f45fe49d6987c1165c2f3f854', '5498e88ec656403ab2455f5b358cbf01', 'False', 'True', 'false', 'false', '510812104212', 5, '黎明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812104212', 1, '2021-07-19 11:42:52', NULL, NULL), (11709, '', '校场村', '0b6e25801122418687246e7bfb987900', '5498e88ec656403ab2455f5b358cbf01', 'False', 'True', 'false', 'false', '510812104213', 5, '校场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812104213', 1, '2021-07-19 11:42:52', NULL, NULL), (11710, '', '转北村', '93bea450217d4718a7f0198070558945', '5498e88ec656403ab2455f5b358cbf01', 'False', 'True', 'false', 'false', '510812104214', 5, '转北村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812104214', 1, '2021-07-19 11:42:52', NULL, NULL), (11711, '', '转南村', 'fe18e6dbcea74885a05b2df23316aa0d', '5498e88ec656403ab2455f5b358cbf01', 'False', 'True', 'false', 'false', '510812104215', 5, '转南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812104215', 1, '2021-07-19 11:42:52', NULL, NULL), (11712, '', '中子铺社区', 'ea3b4213db4a46c1bc9e8f068a117dda', '5498e88ec656403ab2455f5b358cbf01', 'False', 'True', 'false', 'false', '510812104001', 5, '中子铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812104001', 1, '2021-07-19 11:42:53', NULL, NULL), (11713, '', '五里村', 'fb0d640330444b669b656e43f4e9a1f3', '5498e88ec656403ab2455f5b358cbf01', 'False', 'True', 'false', 'false', '510812104200', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812104200', 1, '2021-07-19 11:42:53', NULL, NULL), (11714, '', '枣树村', '6c3c08c1f8314f0d9c25048642dc67e3', '5498e88ec656403ab2455f5b358cbf01', 'False', 'True', 'false', 'false', '510812104202', 5, '枣树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812104202', 1, '2021-07-19 11:42:53', NULL, NULL), (11715, '', '印坪村', '4e77c0acdb3042bba1ccf8897084c4f9', '5498e88ec656403ab2455f5b358cbf01', 'False', 'True', 'false', 'false', '510812104203', 5, '印坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812104203', 1, '2021-07-19 11:42:53', NULL, NULL), (11716, '', '高车村', 'cbf5bcb550bb42c39132b662f11bb558', '5498e88ec656403ab2455f5b358cbf01', 'False', 'True', 'false', 'false', '510812104204', 5, '高车村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812104204', 1, '2021-07-19 11:42:53', NULL, NULL), (11717, '', '柏树村', '98c45f7b9ce14c1bb5207674487daeee', '5498e88ec656403ab2455f5b358cbf01', 'False', 'True', 'false', 'false', '510812104205', 5, '柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812104205', 1, '2021-07-19 11:42:53', NULL, NULL), (11718, '', '小屯村', '3654352fb23e4383bfb63fcbc5c2ef2f', '5498e88ec656403ab2455f5b358cbf01', 'False', 'True', 'false', 'false', '510812104207', 5, '小屯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812104207', 1, '2021-07-19 11:42:53', NULL, NULL), (11719, '', '宣河村', '57bf3ed044904945a9aad767b681a6a7', '5498e88ec656403ab2455f5b358cbf01', 'False', 'True', 'false', 'false', '510812104208', 5, '宣河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812104208', 1, '2021-07-19 11:42:53', NULL, NULL), (11720, '', '旭光村', '5ad2fbd73e3e45d7a8c4b4931400c25c', '5498e88ec656403ab2455f5b358cbf01', 'False', 'True', 'false', 'false', '510812104209', 5, '旭光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812104209', 1, '2021-07-19 11:42:53', NULL, NULL), (11721, '', '沙河镇', '70188b17881a4c418184c97088d3504e', 'cf3c70c02b3144fe8b22e59d68790322', 'True', 'True', 'false', 'false', '510812105000', 4, '沙河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510812105000', 1, '2021-07-19 11:42:53', NULL, NULL), (11722, '', '飞仙关社区', '6bb3777b47f74a42aff9dd18c57bd2ce', '70188b17881a4c418184c97088d3504e', 'False', 'True', 'false', 'false', '510812105001', 5, '飞仙关社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812105001', 1, '2021-07-19 11:42:53', NULL, NULL), (11723, '', '石卡村', '007ac820edfe43e5844e5678295abf16', '70188b17881a4c418184c97088d3504e', 'False', 'True', 'false', 'false', '510812105209', 5, '石卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812105209', 1, '2021-07-19 11:42:53', NULL, NULL), (11724, '', '鱼鳞村', '317f933d339d413c927debac5eb42af0', '70188b17881a4c418184c97088d3504e', 'False', 'True', 'false', 'false', '510812105210', 5, '鱼鳞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812105210', 1, '2021-07-19 11:42:53', NULL, NULL), (11725, '', '鱼洞村', '9fb9528d4c7e49bba8fa15f0c85f647d', '70188b17881a4c418184c97088d3504e', 'False', 'True', 'false', 'false', '510812105211', 5, '鱼洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812105211', 1, '2021-07-19 11:42:53', NULL, NULL), (11726, '', '元西村', '01c9d31d73214624a2e3ea46d46aaf62', '70188b17881a4c418184c97088d3504e', 'False', 'True', 'false', 'false', '510812105212', 5, '元西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812105212', 1, '2021-07-19 11:42:53', NULL, NULL), (11727, '', '罗圈岩村', '9633f7e2c4af435c9c06d0d63d3f3d77', '70188b17881a4c418184c97088d3504e', 'False', 'True', 'false', 'false', '510812105213', 5, '罗圈岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812105213', 1, '2021-07-19 11:42:53', NULL, NULL), (11728, '', '南华村', '696597afdcd44b78a8514851aa344057', '70188b17881a4c418184c97088d3504e', 'False', 'True', 'false', 'false', '510812105200', 5, '南华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812105200', 1, '2021-07-19 11:42:53', NULL, NULL), (11729, '', '三湾村', '911c09d6d1e248e6b6a988db129e5711', '70188b17881a4c418184c97088d3504e', 'False', 'True', 'false', 'false', '510812105203', 5, '三湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812105203', 1, '2021-07-19 11:42:54', NULL, NULL), (11730, '', '唐家村', '43f21bf1e4dd4d99b40bbc08a3d68cfe', '70188b17881a4c418184c97088d3504e', 'False', 'True', 'false', 'false', '510812105205', 5, '唐家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812105205', 1, '2021-07-19 11:42:54', NULL, NULL), (11731, '', '望云村', '273b01202ba543e1b8b3393573706dc3', '70188b17881a4c418184c97088d3504e', 'False', 'True', 'false', 'false', '510812105207', 5, '望云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812105207', 1, '2021-07-19 11:42:54', NULL, NULL), (11732, '', '白虎村', '85948f1b005c4622b7381529f90c9faa', '70188b17881a4c418184c97088d3504e', 'False', 'True', 'false', 'false', '510812105208', 5, '白虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812105208', 1, '2021-07-19 11:42:54', NULL, NULL), (11733, '', '云雾山镇', 'e44b90650d754c85bfcf249216ce6034', 'cf3c70c02b3144fe8b22e59d68790322', 'True', 'True', 'false', 'false', '510812203000', 4, '云雾山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510812203000', 1, '2021-07-19 11:42:54', NULL, NULL), (11734, '', '菜子坝社区', '53125f166ab2479f86e8b5dd05e0cc50', 'e44b90650d754c85bfcf249216ce6034', 'False', 'True', 'false', 'false', '510812203200', 5, '菜子坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812203200', 1, '2021-07-19 11:42:54', NULL, NULL), (11735, '', '鲤鱼村', '9b01477ce10a4310b9e9aec5ddb27ddc', 'e44b90650d754c85bfcf249216ce6034', 'False', 'True', 'false', 'false', '510812203201', 5, '鲤鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812203201', 1, '2021-07-19 11:42:54', NULL, NULL), (11736, '', '石门村', '5518d03169104c0d8263397b7a19300c', 'e44b90650d754c85bfcf249216ce6034', 'False', 'True', 'false', 'false', '510812203202', 5, '石门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812203202', 1, '2021-07-19 11:42:54', NULL, NULL), (11737, '', '花石村', '58cafa348fe44d6680743567b99ae8eb', 'e44b90650d754c85bfcf249216ce6034', 'False', 'True', 'false', 'false', '510812203203', 5, '花石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812203203', 1, '2021-07-19 11:42:54', NULL, NULL), (11738, '', '三龙村', 'e9219ffcec66415393271552201bc78a', 'e44b90650d754c85bfcf249216ce6034', 'False', 'True', 'false', 'false', '510812203204', 5, '三龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812203204', 1, '2021-07-19 11:42:54', NULL, NULL), (11739, '', '金龙村', '348a3cbfb4e24405a31361a790c948a7', 'e44b90650d754c85bfcf249216ce6034', 'False', 'True', 'false', 'false', '510812203205', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812203205', 1, '2021-07-19 11:42:54', NULL, NULL), (11740, '', '梧桐村', '34cfe6f3a9a14b038b342d9031dcfd34', 'e44b90650d754c85bfcf249216ce6034', 'False', 'True', 'false', 'false', '510812203206', 5, '梧桐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812203206', 1, '2021-07-19 11:42:54', NULL, NULL), (11741, '', '中坝村', 'ea4f3a818b53451dbea2de2a17d9adbd', 'e44b90650d754c85bfcf249216ce6034', 'False', 'True', 'false', 'false', '510812203207', 5, '中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812203207', 1, '2021-07-19 11:42:54', NULL, NULL), (11742, '', '水磨沟镇', '4e8289588ee942a7a21ed4cc01c0af82', 'cf3c70c02b3144fe8b22e59d68790322', 'True', 'True', 'false', 'false', '510812209000', 4, '水磨沟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510812209000', 1, '2021-07-19 11:42:54', NULL, NULL), (11743, '', '水磨沟社区', '56f9c5dad7394c2cac45eb0ba21af9f5', '4e8289588ee942a7a21ed4cc01c0af82', 'False', 'True', 'false', 'false', '510812209200', 5, '水磨沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812209200', 1, '2021-07-19 11:42:55', NULL, NULL), (11744, '', '菜坝河村', '57f8c2ae906442d4bd6b2fb55e6f637e', '4e8289588ee942a7a21ed4cc01c0af82', 'False', 'True', 'false', 'false', '510812209201', 5, '菜坝河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812209201', 1, '2021-07-19 11:42:55', NULL, NULL), (11745, '', '红坪村', 'd53b9e9fb31f4a2fa5210b37d553638a', '4e8289588ee942a7a21ed4cc01c0af82', 'False', 'True', 'false', 'false', '510812209202', 5, '红坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812209202', 1, '2021-07-19 11:42:55', NULL, NULL), (11746, '', '马家坝村', 'c753ad9f5ab943aba4e5c8b0e24b83dd', '4e8289588ee942a7a21ed4cc01c0af82', 'False', 'True', 'false', 'false', '510812209203', 5, '马家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812209203', 1, '2021-07-19 11:42:55', NULL, NULL), (11747, '', '桃源村', 'ac0d2d8f4d814c5980c0cb1d1e220f6f', '4e8289588ee942a7a21ed4cc01c0af82', 'False', 'True', 'false', 'false', '510812209204', 5, '桃源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812209204', 1, '2021-07-19 11:42:55', NULL, NULL), (11748, '', '枫香滩村', '7205d708abfd42c6bd74e18edd0fc96d', '4e8289588ee942a7a21ed4cc01c0af82', 'False', 'True', 'false', 'false', '510812209205', 5, '枫香滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812209205', 1, '2021-07-19 11:42:55', NULL, NULL), (11749, '', '两河口镇', 'fa12f09b9d4044f4a3cfe9730bb9cc31', 'cf3c70c02b3144fe8b22e59d68790322', 'True', 'True', 'false', 'false', '510812211000', 4, '两河口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510812211000', 1, '2021-07-19 11:42:55', NULL, NULL), (11750, '', '吉庆社区', 'aa1170a45c7d4c8f8ac476c55ed0d011', 'fa12f09b9d4044f4a3cfe9730bb9cc31', 'False', 'True', 'false', 'false', '510812211200', 5, '吉庆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812211200', 1, '2021-07-19 11:42:55', NULL, NULL), (11751, '', '黄家村', '6e9d1ad2ec84482599804139dc4ac6e8', 'fa12f09b9d4044f4a3cfe9730bb9cc31', 'False', 'True', 'false', 'false', '510812211201', 5, '黄家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812211201', 1, '2021-07-19 11:42:55', NULL, NULL), (11752, '', '黄柏村', '9ab140dc35e3495e9584fbfc36b6dccf', 'fa12f09b9d4044f4a3cfe9730bb9cc31', 'False', 'True', 'false', 'false', '510812211202', 5, '黄柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812211202', 1, '2021-07-19 11:42:56', NULL, NULL), (11753, '', '农华村', '061f28dc3524402fb3371971e49e5325', 'fa12f09b9d4044f4a3cfe9730bb9cc31', 'False', 'True', 'false', 'false', '510812211203', 5, '农华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812211203', 1, '2021-07-19 11:42:56', NULL, NULL), (11754, '', '老林村', '1c0a6fa309364017b2e4a03939b9c828', 'fa12f09b9d4044f4a3cfe9730bb9cc31', 'False', 'True', 'false', 'false', '510812211204', 5, '老林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812211204', 1, '2021-07-19 11:42:56', NULL, NULL), (11755, '', '永平村', '8f51b43da0ea47dfb57cc1ebf8f5a0f8', 'fa12f09b9d4044f4a3cfe9730bb9cc31', 'False', 'True', 'false', 'false', '510812211205', 5, '永平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812211205', 1, '2021-07-19 11:42:56', NULL, NULL), (11756, '', '两河村', '4f94e228bfae4c4f906c839329baed01', 'fa12f09b9d4044f4a3cfe9730bb9cc31', 'False', 'True', 'false', 'false', '510812211206', 5, '两河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812211206', 1, '2021-07-19 11:42:56', NULL, NULL), (11757, '', '大尖山村', '1a5bb60637a24cd0af91cf757cbb90b7', 'fa12f09b9d4044f4a3cfe9730bb9cc31', 'False', 'True', 'false', 'false', '510812211207', 5, '大尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812211207', 1, '2021-07-19 11:42:56', NULL, NULL), (11758, '', '李家镇', '2dca9f9878024b0d829b9e891de1603c', 'cf3c70c02b3144fe8b22e59d68790322', 'True', 'True', 'false', 'false', '510812213000', 4, '李家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510812213000', 1, '2021-07-19 11:42:56', NULL, NULL), (11759, '', '水观村', '3ef9d348b6b34914b3730c93d5b01783', '2dca9f9878024b0d829b9e891de1603c', 'False', 'True', 'false', 'false', '510812213207', 5, '水观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812213207', 1, '2021-07-19 11:42:56', NULL, NULL), (11760, '', '蒋家村', 'eff37aa0e9e44a4d96706c94afd543e0', '2dca9f9878024b0d829b9e891de1603c', 'False', 'True', 'false', 'false', '510812213208', 5, '蒋家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812213208', 1, '2021-07-19 11:42:56', NULL, NULL), (11761, '', '王家垭', 'bdfb15cd5a5c4225b4ef3c49311a3f25', '2dca9f9878024b0d829b9e891de1603c', 'False', 'True', 'false', 'false', '510812213209', 5, '王家垭', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812213209', 1, '2021-07-19 11:42:56', NULL, NULL), (11762, '', '协议村', 'fdd3baa151b54537ba1f2d8b15df28eb', '2dca9f9878024b0d829b9e891de1603c', 'False', 'True', 'false', 'false', '510812213210', 5, '协议村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812213210', 1, '2021-07-19 11:42:56', NULL, NULL), (11763, '', '易兴村', '06e6f81b5e904e1cb56fe132529a0aeb', '2dca9f9878024b0d829b9e891de1603c', 'False', 'True', 'false', 'false', '510812213211', 5, '易兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812213211', 1, '2021-07-19 11:42:56', NULL, NULL), (11764, '', '望远山社区', '1c5dbf36cd0044788c208f3e1a85dd9e', '2dca9f9878024b0d829b9e891de1603c', 'False', 'True', 'false', 'false', '510812213200', 5, '望远山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812213200', 1, '2021-07-19 11:42:56', NULL, NULL), (11765, '', '永乐村', '7eb6be65fa37440b9399c49657bd6333', '2dca9f9878024b0d829b9e891de1603c', 'False', 'True', 'false', 'false', '510812213201', 5, '永乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812213201', 1, '2021-07-19 11:42:57', NULL, NULL), (11766, '', '新建村', 'c5b97abaabb4408da0acbabf6716afcf', '2dca9f9878024b0d829b9e891de1603c', 'False', 'True', 'false', 'false', '510812213202', 5, '新建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812213202', 1, '2021-07-19 11:42:57', NULL, NULL), (11767, '', '流水村', '7b094fcec683409fb4cf49c2a13e5afa', '2dca9f9878024b0d829b9e891de1603c', 'False', 'True', 'false', 'false', '510812213203', 5, '流水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812213203', 1, '2021-07-19 11:42:57', NULL, NULL), (11768, '', '青林村', '382b949a315041ee942c4edcf79cd11d', '2dca9f9878024b0d829b9e891de1603c', 'False', 'True', 'false', 'false', '510812213204', 5, '青林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812213204', 1, '2021-07-19 11:42:57', NULL, NULL), (11769, '', '卫星村', 'cf1f78c76a9d439cb2c647ad05ddbb4d', '2dca9f9878024b0d829b9e891de1603c', 'False', 'True', 'false', 'false', '510812213205', 5, '卫星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812213205', 1, '2021-07-19 11:42:57', NULL, NULL), (11770, '', '民主村', '5fd3010effed41eeb522f9431032202d', '2dca9f9878024b0d829b9e891de1603c', 'False', 'True', 'false', 'false', '510812213206', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812213206', 1, '2021-07-19 11:42:57', NULL, NULL), (11771, '', '麻柳乡', '0520b4eabd3e4426818d441dbd0f371b', 'cf3c70c02b3144fe8b22e59d68790322', 'True', 'True', 'false', 'false', '510812214000', 4, '麻柳乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510812214000', 1, '2021-07-19 11:42:57', NULL, NULL), (11772, '', '复兴社区', '95e0938700ad4d3e8e21b2bdc3d86ecf', '0520b4eabd3e4426818d441dbd0f371b', 'False', 'True', 'false', 'false', '510812214200', 5, '复兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812214200', 1, '2021-07-19 11:42:57', NULL, NULL), (11773, '', '石牌村', 'd2d88f98728c4aac9db8b73de0599b3e', '0520b4eabd3e4426818d441dbd0f371b', 'False', 'True', 'false', 'false', '510812214201', 5, '石牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812214201', 1, '2021-07-19 11:42:57', NULL, NULL), (11774, '', '乔天村', 'f9de435b3c904e17837c7175db93ffea', '0520b4eabd3e4426818d441dbd0f371b', 'False', 'True', 'false', 'false', '510812214202', 5, '乔天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812214202', 1, '2021-07-19 11:42:57', NULL, NULL), (11775, '', '黄小村', 'd94f203f991c41f7b9e16446a4ea9d68', '0520b4eabd3e4426818d441dbd0f371b', 'False', 'True', 'false', 'false', '510812214204', 5, '黄小村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812214204', 1, '2021-07-19 11:42:57', NULL, NULL), (11776, '', '石板村', 'c89b27f1b69140369b2bc991f8d4fd33', '0520b4eabd3e4426818d441dbd0f371b', 'False', 'True', 'false', 'false', '510812214206', 5, '石板村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812214206', 1, '2021-07-19 11:42:57', NULL, NULL), (11777, '', '临溪乡', '52ba5751dcfe418e8670eb5f5c04fb6a', 'cf3c70c02b3144fe8b22e59d68790322', 'True', 'True', 'false', 'false', '510812215000', 4, '临溪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510812215000', 1, '2021-07-19 11:42:57', NULL, NULL), (11778, '', '淖池村', '873f8e882046459eb160f56a97cc2494', '52ba5751dcfe418e8670eb5f5c04fb6a', 'False', 'True', 'false', 'false', '510812215200', 5, '淖池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812215200', 1, '2021-07-19 11:42:58', NULL, NULL), (11779, '', '临溪社区', 'faac6627b8684998a3298771f19c0694', '52ba5751dcfe418e8670eb5f5c04fb6a', 'False', 'True', 'false', 'false', '510812215201', 5, '临溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812215201', 1, '2021-07-19 11:42:58', NULL, NULL), (11780, '', '党家村', 'a937deb48d954ffb95d8fd7c2a8ef3f6', '52ba5751dcfe418e8670eb5f5c04fb6a', 'False', 'True', 'false', 'false', '510812215202', 5, '党家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812215202', 1, '2021-07-19 11:42:58', NULL, NULL), (11781, '', '望坪村', '90faad7d03ab496593976f53284ad4e1', '52ba5751dcfe418e8670eb5f5c04fb6a', 'False', 'True', 'false', 'false', '510812215203', 5, '望坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812215203', 1, '2021-07-19 11:42:58', NULL, NULL), (11782, '', '桃树村', '6ee4190edf634ceeb0f01c78c23d2f5d', '52ba5751dcfe418e8670eb5f5c04fb6a', 'False', 'True', 'false', 'false', '510812215204', 5, '桃树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812215204', 1, '2021-07-19 11:42:58', NULL, NULL), (11783, '', '四新村', '54f5a12b495c4f328be794e3387ba213', '52ba5751dcfe418e8670eb5f5c04fb6a', 'False', 'True', 'false', 'false', '510812215205', 5, '四新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510812215205', 1, '2021-07-19 11:42:58', NULL, NULL), (11784, '', '广元经开区', '17511db5f10e46ca9f2ca9bd4d1bd47a', '9602bf2b753c4158bf4862498e91da56', 'True', 'True', 'false', 'false', '510803000000', 3, '经开区', 'gysgyjkq.sczwfw.gov.cn', 1, '2021-07-19 11:42:58', NULL, NULL), (11785, '', '袁家坝街道办事处', 'ba49bbfbdbf249b09d15eab420132fdd', '17511db5f10e46ca9f2ca9bd4d1bd47a', 'True', 'True', 'false', 'false', '510803002000', 4, '袁家坝办事处', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510803002000', 1, '2021-07-19 11:42:58', NULL, NULL), (11786, '', '嘉陵社区', '72294616b54b4163807c0db0575daf7f', 'ba49bbfbdbf249b09d15eab420132fdd', 'False', 'True', 'false', 'false', '510803002365', 5, '嘉陵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803002365', 1, '2021-07-19 11:42:58', NULL, NULL), (11787, '', '协和村', '3a125d85662f4ee58bcb0447e0eb97db', 'ba49bbfbdbf249b09d15eab420132fdd', 'False', 'True', 'false', 'false', '510803002422', 5, '协和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803002422', 1, '2021-07-19 11:42:58', NULL, NULL), (11788, '', '覃家梁村', '6a24bddb3a26466182332e3a7e100966', 'ba49bbfbdbf249b09d15eab420132fdd', 'False', 'True', 'false', 'false', '510803002479', 5, '覃家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803002479', 1, '2021-07-19 11:42:58', NULL, NULL), (11789, '', '仕农村', 'a53839197d6a45c1ae1a4994f9b570fc', 'ba49bbfbdbf249b09d15eab420132fdd', 'False', 'True', 'false', 'false', '510803002576', 5, '仕农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803002576', 1, '2021-07-19 11:42:58', NULL, NULL), (11790, '', '惠家沟社区', '708d7d3e85d64aff92632969d383c43a', 'ba49bbfbdbf249b09d15eab420132fdd', 'False', 'True', 'false', 'false', '510803002688', 5, '惠家沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803002688', 1, '2021-07-19 11:42:59', NULL, NULL), (11791, '', '石龙街道办事处', '9fdcef5f5a744926a24fb11b01a72536', '17511db5f10e46ca9f2ca9bd4d1bd47a', 'True', 'True', 'false', 'false', '510803160000', 4, '石龙办事处', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510803160000', 1, '2021-07-19 11:42:59', NULL, NULL), (11792, '', '肖家村', '6707a041682b437ca26dfd8dd31786fc', '9fdcef5f5a744926a24fb11b01a72536', 'False', 'True', 'false', 'false', '510803160274', 5, '肖家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803160274', 1, '2021-07-19 11:42:59', NULL, NULL), (11793, '', '摆宴村', '3687ed413549402284432903eea4293f', '9fdcef5f5a744926a24fb11b01a72536', 'False', 'True', 'false', 'false', '510803160297', 5, '摆宴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803160297', 1, '2021-07-19 11:42:59', NULL, NULL), (11794, '', '石龙村', '268b031335ae4a6ea3eee1770821d8ba', '9fdcef5f5a744926a24fb11b01a72536', 'False', 'True', 'false', 'false', '510803160371', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803160371', 1, '2021-07-19 11:42:59', NULL, NULL), (11795, '', '白龙社区', '5cf169f628fb4f91ad01564591f59a1f', '9fdcef5f5a744926a24fb11b01a72536', 'False', 'True', 'false', 'false', '510803160396', 5, '白龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803160396', 1, '2021-07-19 11:42:59', NULL, NULL), (11796, '', '坪雾社区', 'fbc4510c13894c86a8522f6673ebda57', '9fdcef5f5a744926a24fb11b01a72536', 'False', 'True', 'false', 'false', '510803160761', 5, '坪雾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803160761', 1, '2021-07-19 11:42:59', NULL, NULL), (11797, '', '双龙社区', '4c09fc64e6e6475fa27f940ae525115b', '9fdcef5f5a744926a24fb11b01a72536', 'False', 'True', 'false', 'false', '510803160926', 5, '双龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803160926', 1, '2021-07-19 11:42:59', NULL, NULL), (11798, '', '石门社区', 'ed2d59914186491796907fd5c2c765ad', '9fdcef5f5a744926a24fb11b01a72536', 'False', 'True', 'false', 'false', '510803160994', 5, '石门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803160994', 1, '2021-07-19 11:42:59', NULL, NULL), (11799, '', '盘龙镇', '4c8c5c38da934aebaec2c0d4bf0a872e', '17511db5f10e46ca9f2ca9bd4d1bd47a', 'True', 'True', 'false', 'false', '510803608000', 4, '盘龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510803608000', 1, '2021-07-19 11:43:00', NULL, NULL), (11800, '', '五佛崖村', '650071dde1ff47b3a1313295ae3782f1', '4c8c5c38da934aebaec2c0d4bf0a872e', 'False', 'True', 'false', 'false', '510803608017', 5, '五佛崖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803608017', 1, '2021-07-19 11:43:00', NULL, NULL), (11801, '', '东升村', 'd438c72dd9504e198a6022cb0b6972b7', '4c8c5c38da934aebaec2c0d4bf0a872e', 'False', 'True', 'false', 'false', '510803608045', 5, '东升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803608045', 1, '2021-07-19 11:43:00', NULL, NULL), (11802, '', '新龙村', '1948de59ae7b47a7bae38855bcc69271', '4c8c5c38da934aebaec2c0d4bf0a872e', 'False', 'True', 'false', 'false', '510803608198', 5, '新龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803608198', 1, '2021-07-19 11:43:00', NULL, NULL), (11803, '', '上石村', '8ed77e0fa1ce4d07bdcad84fbf05fdfd', '4c8c5c38da934aebaec2c0d4bf0a872e', 'False', 'True', 'false', 'false', '510803608237', 5, '上石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803608237', 1, '2021-07-19 11:43:00', NULL, NULL), (11804, '', '陵江社区', '107856b3918048fd8eacb046857c8cee', '4c8c5c38da934aebaec2c0d4bf0a872e', 'False', 'True', 'false', 'false', '510803608339', 5, '陵江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803608339', 1, '2021-07-19 11:43:00', NULL, NULL), (11805, '', '深沟村', '66da99ee48354f2e85ce046741abe854', '4c8c5c38da934aebaec2c0d4bf0a872e', 'False', 'True', 'false', 'false', '510803608385', 5, '深沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803608385', 1, '2021-07-19 11:43:00', NULL, NULL), (11806, '', '大昌沟社区', 'c64b1805b6af4b56aea1f22d80d797ca', '4c8c5c38da934aebaec2c0d4bf0a872e', 'False', 'True', 'false', 'false', '510803608413', 5, '大昌沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803608413', 1, '2021-07-19 11:43:00', NULL, NULL), (11807, '', '黄垭村', '506936f2a386474f9c6b7c64a9b583a5', '4c8c5c38da934aebaec2c0d4bf0a872e', 'False', 'True', 'false', 'false', '510803608450', 5, '黄垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803608450', 1, '2021-07-19 11:43:00', NULL, NULL), (11808, '', '石盘社区', 'bb71246c386548f998e9ebcba5a53324', '4c8c5c38da934aebaec2c0d4bf0a872e', 'False', 'True', 'false', 'false', '510803608675', 5, '石盘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803608675', 1, '2021-07-19 11:43:00', NULL, NULL), (11809, '', '红光村', '60c51a91322f4c12b2b4677ad0a6257c', '4c8c5c38da934aebaec2c0d4bf0a872e', 'False', 'True', 'false', 'false', '510803608685', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803608685', 1, '2021-07-19 11:43:00', NULL, NULL), (11810, '', '西南村', 'ff5196295d7644f3af2ddab08a7b7c55', '4c8c5c38da934aebaec2c0d4bf0a872e', 'False', 'True', 'false', 'false', '510803608726', 5, '西南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803608726', 1, '2021-07-19 11:43:00', NULL, NULL), (11811, '', '走马岭社区', '0aecc126a7ad4268ad52a8318cce5eea', '4c8c5c38da934aebaec2c0d4bf0a872e', 'False', 'True', 'false', 'false', '510803608853', 5, '走马岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803608853', 1, '2021-07-19 11:43:01', NULL, NULL), (11812, '', '南山村', 'aaf21f34816b4dafae575d9f6cab695e', '4c8c5c38da934aebaec2c0d4bf0a872e', 'False', 'True', 'false', 'false', '510803608977', 5, '南山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803608977', 1, '2021-07-19 11:43:01', NULL, NULL), (11813, '', '下西坝街道办事处', 'd675e4c87db645fa9e595850ec092b4a', '17511db5f10e46ca9f2ca9bd4d1bd47a', 'True', 'True', 'false', 'false', '510803832000', 4, '下西办事处', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510803832000', 1, '2021-07-19 11:43:01', NULL, NULL), (11814, '', '南陵社区', '91ed6bcf98d54c6c8cffa67541a7b54f', 'd675e4c87db645fa9e595850ec092b4a', 'False', 'True', 'false', 'false', '510803832002', 5, '南陵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803832002', 1, '2021-07-19 11:43:01', NULL, NULL), (11815, '', '下西社区', 'da786c489d954182994dc22f293d72d0', 'd675e4c87db645fa9e595850ec092b4a', 'False', 'True', 'false', 'false', '510803832307', 5, '下西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803832307', 1, '2021-07-19 11:43:01', NULL, NULL), (11816, '', '王家营社区', 'a30b4124a2824e2a82dd4097768421c9', 'd675e4c87db645fa9e595850ec092b4a', 'False', 'True', 'false', 'false', '510803832376', 5, '王家营社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803832376', 1, '2021-07-19 11:43:01', NULL, NULL), (11817, '', '树仁社区', 'a21dfd239ea543f88f0ace08a7e82d78', 'd675e4c87db645fa9e595850ec092b4a', 'False', 'True', 'false', 'false', '510803832575', 5, '树仁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803832575', 1, '2021-07-19 11:43:01', NULL, NULL), (11818, '', '曾家营社区', '71faa7b3efaa490dabec0ebb3b710e8d', 'd675e4c87db645fa9e595850ec092b4a', 'False', 'True', 'false', 'false', '510803832772', 5, '曾家营社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803832772', 1, '2021-07-19 11:43:01', NULL, NULL), (11819, '', '活力社区', '533e196d9f534681b8e402980565049a', 'd675e4c87db645fa9e595850ec092b4a', 'False', 'True', 'false', 'false', '510803832860', 5, '活力社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803832860', 1, '2021-07-19 11:43:01', NULL, NULL), (11820, '', '八一社区', 'df698b57b53344888a3ed19505247567', 'd675e4c87db645fa9e595850ec092b4a', 'False', 'True', 'false', 'false', '510803832872', 5, '八一社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803832872', 1, '2021-07-19 11:43:01', NULL, NULL), (11821, '', '铁路社区', '2bbb54a7521049f58d7bf3fe5efc9bc1', 'd675e4c87db645fa9e595850ec092b4a', 'False', 'True', 'false', 'false', '510803832932', 5, '铁路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510803832932', 1, '2021-07-19 11:43:01', NULL, NULL), (11822, '', '遂宁市', '50f12c6cc85e4ea3aac4d59ab7d035eb', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '510900000000', 2, '遂宁市', 'sns.sczwfw.gov.cn', 1, '2021-07-19 11:43:01', NULL, NULL), (11823, '', '船山区', 'b79028eca52c4a3fa0a64f11b372a80e', '50f12c6cc85e4ea3aac4d59ab7d035eb', 'True', 'True', 'true', 'true', '510903000000', 3, '船山区', 'snscsq.sczwfw.gov.cn', 1, '2021-07-19 11:43:02', NULL, NULL), (11824, '', '桂花镇', 'fb556886fdcc429d8d88eb8bbda29e5d', 'b79028eca52c4a3fa0a64f11b372a80e', 'True', 'True', 'true', 'true', '510903558000', 4, '桂花镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510903558000', 1, '2021-07-19 11:43:02', NULL, NULL), (11825, '', '翰林村', '2b362e3bf20d4e698cbdffabc3b0de8f', 'fb556886fdcc429d8d88eb8bbda29e5d', 'False', 'True', 'false', 'false', '510903106350', 5, '翰林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903106350', 1, '2021-07-19 11:43:02', NULL, NULL), (11826, '', '三圣村', '9711db8d32884c6585ceb63cdaed4b05', 'fb556886fdcc429d8d88eb8bbda29e5d', 'False', 'True', 'false', 'false', '510903106389', 5, '三圣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903106389', 1, '2021-07-19 11:43:02', NULL, NULL), (11827, '', '金桂社区', '1cb89c3d5b9946359ce1fe10d31b8e2f', 'fb556886fdcc429d8d88eb8bbda29e5d', 'False', 'True', 'false', 'false', '510903106417', 5, '金桂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903106417', 1, '2021-07-19 11:43:02', NULL, NULL), (11828, '', '桂郪村', 'b49012c560474fd194eb0545749bcac1', 'fb556886fdcc429d8d88eb8bbda29e5d', 'False', 'True', 'false', 'false', '510903106418', 5, '桂郪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903106418', 1, '2021-07-19 11:43:02', NULL, NULL), (11829, '', '石景村', '3124bdddb03649259bf0e908b5647eeb', 'fb556886fdcc429d8d88eb8bbda29e5d', 'False', 'True', 'false', 'false', '510903106455', 5, '石景村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903106455', 1, '2021-07-19 11:43:02', NULL, NULL), (11830, '', '兰桂村', 'd1574f17d22e4c52b02d545522aeb8ac', 'fb556886fdcc429d8d88eb8bbda29e5d', 'False', 'True', 'false', 'false', '510903106511', 5, '兰桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903106511', 1, '2021-07-19 11:43:02', NULL, NULL), (11831, '', '黄龙村', '0d56fc97fc004024b8543bec4da0e9cc', 'fb556886fdcc429d8d88eb8bbda29e5d', 'False', 'True', 'false', 'false', '510903106519', 5, '黄龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903106519', 1, '2021-07-19 11:43:02', NULL, NULL), (11832, '', '杉树村', 'ae631a06376c498598724918abb0a192', 'fb556886fdcc429d8d88eb8bbda29e5d', 'False', 'True', 'false', 'false', '510903106527', 5, '杉树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903106527', 1, '2021-07-19 11:43:02', NULL, NULL), (11833, '', '金井村', 'b618ec60c8fa441b871827d93c8d792b', 'fb556886fdcc429d8d88eb8bbda29e5d', 'False', 'True', 'false', 'false', '510903106701', 5, '金井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903106701', 1, '2021-07-19 11:43:03', NULL, NULL), (11834, '', '银桂村', 'f9c1e87ad6de4f30b93a45ee3d93648d', 'fb556886fdcc429d8d88eb8bbda29e5d', 'False', 'True', 'false', 'false', '510903106747', 5, '银桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903106747', 1, '2021-07-19 11:43:03', NULL, NULL), (11835, '', '响堂村', 'cc0716f8e0124264b3078ec3255ac645', 'fb556886fdcc429d8d88eb8bbda29e5d', 'False', 'True', 'false', 'false', '510903106815', 5, '响堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903106815', 1, '2021-07-19 11:43:03', NULL, NULL), (11836, '', '渡槽村', 'b9860f62314a46ceb32111ddfad2571e', 'fb556886fdcc429d8d88eb8bbda29e5d', 'False', 'True', 'false', 'false', '510903106978', 5, '渡槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903106978', 1, '2021-07-19 11:43:03', NULL, NULL), (11837, '', '镇江寺街道', '98cd3db8aba04a75a08937ff44edc790', 'b79028eca52c4a3fa0a64f11b372a80e', 'True', 'True', 'true', 'true', '510903053000', 4, '镇江寺街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510903053000', 1, '2021-07-19 11:43:03', NULL, NULL), (11838, '', '紫薇社区', 'e8b070f0813244d6941a68dece3a0975', '98cd3db8aba04a75a08937ff44edc790', 'False', 'True', 'false', 'false', '510903004030', 5, '紫薇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903004030', 1, '2021-07-19 11:43:03', NULL, NULL), (11839, '', '大东街社区', 'c9b89cad513f472db06b21463e38820f', '98cd3db8aba04a75a08937ff44edc790', 'False', 'True', 'false', 'false', '510903004078', 5, '大东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903004078', 1, '2021-07-19 11:43:03', NULL, NULL), (11840, '', '德胜社区', '27b7bc9835f640f89936426efc6ab773', '98cd3db8aba04a75a08937ff44edc790', 'False', 'True', 'false', 'false', '510903004275', 5, '德胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903004275', 1, '2021-07-19 11:43:03', NULL, NULL), (11841, '', '正兴社区', 'd0c8321854c04bbdaf60ef8ec1f6184f', '98cd3db8aba04a75a08937ff44edc790', 'False', 'True', 'false', 'false', '510903004284', 5, '正兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903004284', 1, '2021-07-19 11:43:03', NULL, NULL), (11842, '', '朝阳社区', 'f3e55484aa9b4203bd2c3ad44b6413da', '98cd3db8aba04a75a08937ff44edc790', 'False', 'True', 'false', 'false', '510903004418', 5, '朝阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903004418', 1, '2021-07-19 11:43:03', NULL, NULL), (11843, '', '文成社区', 'eb0e14ee7001499191baf0c08eccdfad', '98cd3db8aba04a75a08937ff44edc790', 'False', 'True', 'false', 'false', '510903004435', 5, '文成社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903004435', 1, '2021-07-19 11:43:03', NULL, NULL), (11844, '', '百福社区', '0b7446901cfb417795dee669e58b7a6d', '98cd3db8aba04a75a08937ff44edc790', 'False', 'True', 'false', 'false', '510903004589', 5, '百福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903004589', 1, '2021-07-19 11:43:03', NULL, NULL), (11845, '', '兴隆社区', 'eb184566066e45718e958cb308c7922f', '98cd3db8aba04a75a08937ff44edc790', 'False', 'True', 'false', 'false', '510903004697', 5, '兴隆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903004697', 1, '2021-07-19 11:43:04', NULL, NULL), (11846, '', '顺城社区', 'edad3e7cfe884a3187902293d34ffeb1', '98cd3db8aba04a75a08937ff44edc790', 'False', 'True', 'false', 'false', '510903004755', 5, '顺城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903004755', 1, '2021-07-19 11:43:04', NULL, NULL), (11847, '', '龙凤镇', '2be85f12a30c4524a8dca1251d1394a7', 'b79028eca52c4a3fa0a64f11b372a80e', 'True', 'True', 'true', 'true', '510903100000', 4, '龙凤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510903100000', 1, '2021-07-19 11:43:04', NULL, NULL), (11848, '', '石桥村', '8b8fe4096603431a84bdefb4c6aa6b89', '2be85f12a30c4524a8dca1251d1394a7', 'False', 'True', 'false', 'false', '510903100081', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903100081', 1, '2021-07-19 11:43:04', NULL, NULL), (11849, '', '大白塔村', '34b8e12203d34a76ae40007104f8cdd0', '2be85f12a30c4524a8dca1251d1394a7', 'False', 'True', 'false', 'false', '510903100083', 5, '大白塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903100083', 1, '2021-07-19 11:43:04', NULL, NULL), (11850, '', '复兴社区', '1947c7012cad44b4aa9b36c9f33f2685', '2be85f12a30c4524a8dca1251d1394a7', 'False', 'True', 'false', 'false', '510903100183', 5, '复兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903100183', 1, '2021-07-19 11:43:04', NULL, NULL), (11851, '', '清河村', '74f86d29c2fd434dbf2a61bb93c1e73f', '2be85f12a30c4524a8dca1251d1394a7', 'False', 'True', 'false', 'false', '510903100259', 5, '清河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903100259', 1, '2021-07-19 11:43:04', NULL, NULL), (11852, '', '宝塔村', '2768ab4b46814482a0b54d275d89996e', '2be85f12a30c4524a8dca1251d1394a7', 'False', 'True', 'false', 'false', '510903100279', 5, '宝塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903100279', 1, '2021-07-19 11:43:04', NULL, NULL), (11853, '', '定宝村', '85c52b0e4e0c4c99aacf2f36490e0cb9', '2be85f12a30c4524a8dca1251d1394a7', 'False', 'True', 'false', 'false', '510903100301', 5, '定宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903100301', 1, '2021-07-19 11:43:04', NULL, NULL), (11854, '', '白鹤社区', '0d87ee94a0a94e52b0dc2e80614520dd', '2be85f12a30c4524a8dca1251d1394a7', 'False', 'True', 'false', 'false', '510903100311', 5, '白鹤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903100311', 1, '2021-07-19 11:43:04', NULL, NULL), (11855, '', '寨子村', '42034207072f440eb6ec736f6b60f6f8', '2be85f12a30c4524a8dca1251d1394a7', 'False', 'True', 'false', 'false', '510903100424', 5, '寨子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903100424', 1, '2021-07-19 11:43:04', NULL, NULL), (11856, '', '彰德桥村', '7c861b2ed4a64111949b5a753a4d02ce', '2be85f12a30c4524a8dca1251d1394a7', 'False', 'True', 'false', 'false', '510903100714', 5, '彰德桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903100714', 1, '2021-07-19 11:43:04', NULL, NULL), (11857, '', '龙宝村', '8df3feccfc8a491dbcfb79753de56e13', '2be85f12a30c4524a8dca1251d1394a7', 'False', 'True', 'false', 'false', '510903100720', 5, '龙宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903100720', 1, '2021-07-19 11:43:04', NULL, NULL), (11858, '', '棕树村', '8663ea4b97434622822d4b11780e5dfa', '2be85f12a30c4524a8dca1251d1394a7', 'False', 'True', 'false', 'false', '510903100845', 5, '棕树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903100845', 1, '2021-07-19 11:43:05', NULL, NULL), (11859, '', '龙凤社区', '194e13ce4a1b4affbf63f5f95a620f62', '2be85f12a30c4524a8dca1251d1394a7', 'False', 'True', 'false', 'false', '510903100855', 5, '龙凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903100855', 1, '2021-07-19 11:43:05', NULL, NULL), (11860, '', '永石桥村', '2f824f2e27c646fd93960b1bf5562c2d', '2be85f12a30c4524a8dca1251d1394a7', 'False', 'True', 'false', 'false', '510903100883', 5, '永石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903100883', 1, '2021-07-19 11:43:05', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (11861, '', '仁里镇', '44d6aa36dbea474cb2357f4742f4a2de', 'b79028eca52c4a3fa0a64f11b372a80e', 'True', 'True', 'true', 'true', '510903101000', 4, '仁里镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510903101000', 1, '2021-07-19 11:43:05', NULL, NULL), (11862, '', '卧龙庵村', '16de2d53aa7a4536a0e7662086f295b2', '44d6aa36dbea474cb2357f4742f4a2de', 'False', 'True', 'false', 'false', '510903101027', 5, '卧龙庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903101027', 1, '2021-07-19 11:43:05', NULL, NULL), (11863, '', '东兴村', 'd7141ce389d345b5b97a89bbf23ad5ee', '44d6aa36dbea474cb2357f4742f4a2de', 'False', 'True', 'false', 'false', '510903101127', 5, '东兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903101127', 1, '2021-07-19 11:43:05', NULL, NULL), (11864, '', '小河洲社区', '72f68d827cda4fb99ee1a91ab0a42f1e', '44d6aa36dbea474cb2357f4742f4a2de', 'False', 'True', 'false', 'false', '510903101262', 5, '小河洲社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903101262', 1, '2021-07-19 11:43:05', NULL, NULL), (11865, '', '常林村', 'a83a295195e64860bc09e61775990ccb', '44d6aa36dbea474cb2357f4742f4a2de', 'False', 'True', 'false', 'false', '510903101284', 5, '常林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903101284', 1, '2021-07-19 11:43:05', NULL, NULL), (11866, '', '亿禾村', 'e3cb7d875c954eb29912b9adb653f829', '44d6aa36dbea474cb2357f4742f4a2de', 'False', 'True', 'false', 'false', '510903101446', 5, '亿禾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903101446', 1, '2021-07-19 11:43:05', NULL, NULL), (11867, '', '三洲社区', 'dc90b830e8e447228d22fad37650d6fc', '44d6aa36dbea474cb2357f4742f4a2de', 'False', 'True', 'false', 'false', '510903101614', 5, '三洲社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903101614', 1, '2021-07-19 11:43:05', NULL, NULL), (11868, '', '文笔山村', '38716505da744cb6a16f710908d15a66', '44d6aa36dbea474cb2357f4742f4a2de', 'False', 'True', 'false', 'false', '510903101783', 5, '文笔山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903101783', 1, '2021-07-19 11:43:05', NULL, NULL), (11869, '', '解放新村', '7de0cc8576414734a8796bcf3709c813', '44d6aa36dbea474cb2357f4742f4a2de', 'False', 'True', 'false', 'false', '510903101846', 5, '解放新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903101846', 1, '2021-07-19 11:43:05', NULL, NULL), (11870, '', '圣莲岛社区', 'd240075e569046bd9d8c508aa34459fe', '44d6aa36dbea474cb2357f4742f4a2de', 'False', 'True', 'false', 'false', '510903101968', 5, '圣莲岛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903101968', 1, '2021-07-19 11:43:05', NULL, NULL), (11871, '', '桃李村', 'b2f60e8024d54b7494c8e2e794bea78e', '44d6aa36dbea474cb2357f4742f4a2de', 'False', 'True', 'false', 'false', '510903101990', 5, '桃李村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903101990', 1, '2021-07-19 11:43:06', NULL, NULL), (11872, '', '河沙镇', '0b237233ce344c6eba67e448e4521642', 'b79028eca52c4a3fa0a64f11b372a80e', 'True', 'True', 'true', 'true', '510903104000', 4, '河沙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510903104000', 1, '2021-07-19 11:43:07', NULL, NULL), (11873, '', '梓桐村', 'b881c98855584c9db2c8933fb3393849', '0b237233ce344c6eba67e448e4521642', 'False', 'True', 'false', 'false', '510903104172', 5, '梓桐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903104172', 1, '2021-07-19 11:43:07', NULL, NULL), (11874, '', '王家场村', '50e9819329654a3484c7575a738339a3', '0b237233ce344c6eba67e448e4521642', 'False', 'True', 'false', 'false', '510903104276', 5, '王家场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903104276', 1, '2021-07-19 11:43:07', NULL, NULL), (11875, '', '送家沟村', '5fcce59799fc486ba80e53dfd5d40821', '0b237233ce344c6eba67e448e4521642', 'False', 'True', 'false', 'false', '510903104356', 5, '送家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903104356', 1, '2021-07-19 11:43:08', NULL, NULL), (11876, '', '谷村', 'a05961d3d2d74574aae6bacd81df2530', '0b237233ce344c6eba67e448e4521642', 'False', 'True', 'false', 'false', '510903104454', 5, '谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903104454', 1, '2021-07-19 11:43:08', NULL, NULL), (11877, '', '凤凰村', '1c1d22ae7b8c474dbe6942ba83989603', '0b237233ce344c6eba67e448e4521642', 'False', 'True', 'false', 'false', '510903104475', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903104475', 1, '2021-07-19 11:43:08', NULL, NULL), (11878, '', '云灵村', 'f40e29da56324390ba99dec2133883c0', '0b237233ce344c6eba67e448e4521642', 'False', 'True', 'false', 'false', '510903104495', 5, '云灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903104495', 1, '2021-07-19 11:43:08', NULL, NULL), (11879, '', '鹤林村', '2d70d0d317034133b201ad7ca415ecd6', '0b237233ce344c6eba67e448e4521642', 'False', 'True', 'false', 'false', '510903104510', 5, '鹤林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903104510', 1, '2021-07-19 11:43:08', NULL, NULL), (11880, '', '栖凤社区', '9a02f746beff4028aaccb6c7b88572e9', '0b237233ce344c6eba67e448e4521642', 'False', 'True', 'false', 'false', '510903104569', 5, '栖凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903104569', 1, '2021-07-19 11:43:08', NULL, NULL), (11881, '', '赤岩沟村', '34903c9cfc544fc0a3a4805b8915e75b', '0b237233ce344c6eba67e448e4521642', 'False', 'True', 'false', 'false', '510903104575', 5, '赤岩沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903104575', 1, '2021-07-19 11:43:08', NULL, NULL), (11882, '', '景峰村', '059f16838fab47f2b15f1f1ad26996fc', '0b237233ce344c6eba67e448e4521642', 'False', 'True', 'false', 'false', '510903104701', 5, '景峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903104701', 1, '2021-07-19 11:43:08', NULL, NULL), (11883, '', '桂花村', 'd5c90e463c4346a7be2572c3af80c224', '0b237233ce344c6eba67e448e4521642', 'False', 'True', 'false', 'false', '510903104829', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903104829', 1, '2021-07-19 11:43:08', NULL, NULL), (11884, '', '栖凤村', '078fb80338734813a30b13370ad0930b', '0b237233ce344c6eba67e448e4521642', 'False', 'True', 'false', 'false', '510903104831', 5, '栖凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903104831', 1, '2021-07-19 11:43:08', NULL, NULL), (11885, '', '老池镇', '2bb1d89b93504c679e328ed12d14deed', 'b79028eca52c4a3fa0a64f11b372a80e', 'True', 'True', 'true', 'true', '510903201000', 4, '老池镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510903201000', 1, '2021-07-19 11:43:09', NULL, NULL), (11886, '', '铜锣村', '242aa1ec5c944a46998781bab927ce68', '2bb1d89b93504c679e328ed12d14deed', 'False', 'True', 'false', 'false', '510903201031', 5, '铜锣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903201031', 1, '2021-07-19 11:43:09', NULL, NULL), (11887, '', '书院村', '00749a8d85b34f3482404ededcf84353', '2bb1d89b93504c679e328ed12d14deed', 'False', 'True', 'false', 'false', '510903201042', 5, '书院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903201042', 1, '2021-07-19 11:43:09', NULL, NULL), (11888, '', '龙泉村', '532ae73dff8946beb8736794495cd154', '2bb1d89b93504c679e328ed12d14deed', 'False', 'True', 'false', 'false', '510903201051', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903201051', 1, '2021-07-19 11:43:09', NULL, NULL), (11889, '', '响水洞村', '8dd1e39fd53b40c5beede17e47ee2319', '2bb1d89b93504c679e328ed12d14deed', 'False', 'True', 'false', 'false', '510903201053', 5, '响水洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903201053', 1, '2021-07-19 11:43:09', NULL, NULL), (11890, '', '黄桷村', 'fcaa451926874f3089ef02312cc10246', '2bb1d89b93504c679e328ed12d14deed', 'False', 'True', 'false', 'false', '510903201223', 5, '黄桷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903201223', 1, '2021-07-19 11:43:09', NULL, NULL), (11891, '', '双跃村', 'a8526dab0bd347cfa789585c361845d9', '2bb1d89b93504c679e328ed12d14deed', 'False', 'True', 'false', 'false', '510903201413', 5, '双跃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903201413', 1, '2021-07-19 11:43:09', NULL, NULL), (11892, '', '金凤村', '548abe159b3b4d8bbb6711e90d0ed2f0', '2bb1d89b93504c679e328ed12d14deed', 'False', 'True', 'false', 'false', '510903201487', 5, '金凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903201487', 1, '2021-07-19 11:43:09', NULL, NULL), (11893, '', '花园村', '1d0c9d26e2f140e98a7da53e449411b2', '2bb1d89b93504c679e328ed12d14deed', 'False', 'True', 'false', 'false', '510903201632', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903201632', 1, '2021-07-19 11:43:09', NULL, NULL), (11894, '', '芋禾村', '557a2dce29d9464aac712bd965487f97', '2bb1d89b93504c679e328ed12d14deed', 'False', 'True', 'false', 'false', '510903201637', 5, '芋禾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903201637', 1, '2021-07-19 11:43:09', NULL, NULL), (11895, '', '金盆村', '163f84ee94bb4d7780b286d0df8192b9', '2bb1d89b93504c679e328ed12d14deed', 'False', 'True', 'false', 'false', '510903201657', 5, '金盆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903201657', 1, '2021-07-19 11:43:09', NULL, NULL), (11896, '', '福龙村', 'fb7f69c015ec42fab4b44f24c37cb41c', '2bb1d89b93504c679e328ed12d14deed', 'False', 'True', 'false', 'false', '510903201813', 5, '福龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903201813', 1, '2021-07-19 11:43:10', NULL, NULL), (11897, '', '龙港社区', '963da6cab65d41fe9e67ef92a8d51db0', '2bb1d89b93504c679e328ed12d14deed', 'False', 'True', 'false', 'false', '510903201915', 5, '龙港社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903201915', 1, '2021-07-19 11:43:10', NULL, NULL), (11898, '', '樊哙山村', '05bf7054f9e04c3a8a50d6e57bef03ce', '2bb1d89b93504c679e328ed12d14deed', 'False', 'True', 'false', 'false', '510903201923', 5, '樊哙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903201923', 1, '2021-07-19 11:43:10', NULL, NULL), (11899, '', '唐家乡', '1ccf9846fbe04da48aea7bc368213e87', 'b79028eca52c4a3fa0a64f11b372a80e', 'True', 'True', 'false', 'false', '510903203000', 4, '唐家乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510903203000', 1, '2021-07-19 11:43:10', NULL, NULL), (11900, '', '东山村', '8b5a2cc41e18476da0c334f76a102a02', '1ccf9846fbe04da48aea7bc368213e87', 'False', 'True', 'false', 'false', '510903203142', 5, '东山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903203142', 1, '2021-07-19 11:43:10', NULL, NULL), (11901, '', '万福村', '57edfa258b0f4caa82cfbd7e92026d69', '1ccf9846fbe04da48aea7bc368213e87', 'False', 'True', 'false', 'false', '510903203283', 5, '万福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903203283', 1, '2021-07-19 11:43:10', NULL, NULL), (11902, '', '红涪社区', '2448ad0055b540a9a4d7cac0d4483766', '1ccf9846fbe04da48aea7bc368213e87', 'False', 'True', 'false', 'false', '510903203297', 5, '红涪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903203297', 1, '2021-07-19 11:43:10', NULL, NULL), (11903, '', '长虹村', '65caaaffcb93473fb6bc0f0196f98d60', '1ccf9846fbe04da48aea7bc368213e87', 'False', 'True', 'false', 'false', '510903203302', 5, '长虹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903203302', 1, '2021-07-19 11:43:10', NULL, NULL), (11904, '', '西堰村', '50c5715c04bb459988901df8b932518a', '1ccf9846fbe04da48aea7bc368213e87', 'False', 'True', 'false', 'false', '510903203311', 5, '西堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903203311', 1, '2021-07-19 11:43:10', NULL, NULL), (11905, '', '南津路街道', '66fc74f4b4fc46aaae5c4adeb5d47a81', 'b79028eca52c4a3fa0a64f11b372a80e', 'True', 'True', 'false', 'false', '510903360000', 4, '南津路街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510903360000', 1, '2021-07-19 11:43:10', NULL, NULL), (11906, '', '凯东社区', '9309dbc2d31b4a1b8ed2da8d119dada7', '66fc74f4b4fc46aaae5c4adeb5d47a81', 'False', 'True', 'false', 'false', '510903001073', 5, '凯东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903001073', 1, '2021-07-19 11:43:10', NULL, NULL), (11907, '', '邮拱局社区', 'd94e77d8a84b40e89844faeb4504f12a', '66fc74f4b4fc46aaae5c4adeb5d47a81', 'False', 'True', 'false', 'false', '510903001140', 5, '邮拱局社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903001140', 1, '2021-07-19 11:43:10', NULL, NULL), (11908, '', '电江路社区', '7154ff458a27459187bdf30843292d84', '66fc74f4b4fc46aaae5c4adeb5d47a81', 'False', 'True', 'false', 'false', '510903001476', 5, '电江路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903001476', 1, '2021-07-19 11:43:11', NULL, NULL), (11909, '', '玉泉街社区', '5a2c8511819d4eb5b9a224acf3ee0923', '66fc74f4b4fc46aaae5c4adeb5d47a81', 'False', 'True', 'false', 'false', '510903001873', 5, '玉泉街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903001873', 1, '2021-07-19 11:43:11', NULL, NULL), (11910, '', '天宫路社区', '3104a256e5e7487d86c3be8f39d34dd1', '66fc74f4b4fc46aaae5c4adeb5d47a81', 'False', 'True', 'false', 'false', '510903001937', 5, '天宫路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903001937', 1, '2021-07-19 11:43:11', NULL, NULL), (11911, '', '天兴社区', '2e74dae7ad364800a4b0139287110747', '66fc74f4b4fc46aaae5c4adeb5d47a81', 'False', 'True', 'false', 'false', '510903001949', 5, '天兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903001949', 1, '2021-07-19 11:43:11', NULL, NULL), (11912, '', '介福路街道', '35c14f7f075a4fad8539592c6804bb07', 'b79028eca52c4a3fa0a64f11b372a80e', 'True', 'True', 'false', 'false', '510903477000', 4, '介福路街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510903477000', 1, '2021-07-19 11:43:11', NULL, NULL), (11913, '', '北河街社区', '0d865e31f4444233b348f980a8a76ec9', '35c14f7f075a4fad8539592c6804bb07', 'False', 'True', 'false', 'false', '510903006150', 5, '北河街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903006150', 1, '2021-07-19 11:43:11', NULL, NULL), (11914, '', '京宁社区', '722532d7ef3843d28840cb08b320d136', '35c14f7f075a4fad8539592c6804bb07', 'False', 'True', 'false', 'false', '510903006151', 5, '京宁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903006151', 1, '2021-07-19 11:43:11', NULL, NULL), (11915, '', '老盐关社区', '61f02bd01f064f84b2ad5d5c73e6f783', '35c14f7f075a4fad8539592c6804bb07', 'False', 'True', 'false', 'false', '510903006314', 5, '老盐关社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903006314', 1, '2021-07-19 11:43:11', NULL, NULL), (11916, '', '锦华社区', 'aff549c457174813854717c59f869c39', '35c14f7f075a4fad8539592c6804bb07', 'False', 'True', 'false', 'false', '510903006450', 5, '锦华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903006450', 1, '2021-07-19 11:43:11', NULL, NULL), (11917, '', '嘉禾桥社区', '62e606ae3f6e45989a7a951369d0cfa6', '35c14f7f075a4fad8539592c6804bb07', 'False', 'True', 'false', 'false', '510903006560', 5, '嘉禾桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903006560', 1, '2021-07-19 11:43:11', NULL, NULL), (11918, '', '燕山社区', '9df4a1e08e12465c8a6bc56e93892793', '35c14f7f075a4fad8539592c6804bb07', 'False', 'True', 'false', 'false', '510903006631', 5, '燕山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903006631', 1, '2021-07-19 11:43:11', NULL, NULL), (11919, '', '北小区社区', 'a2c54f27e3694b2ab52306f74f5e6590', '35c14f7f075a4fad8539592c6804bb07', 'False', 'True', 'false', 'false', '510903006769', 5, '北小区社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903006769', 1, '2021-07-19 11:43:11', NULL, NULL), (11920, '', '育才路街道', 'db697752f27c42cd8a52d4446c34d061', 'b79028eca52c4a3fa0a64f11b372a80e', 'True', 'True', 'false', 'false', '510903494000', 4, '育才路街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510903494000', 1, '2021-07-19 11:43:11', NULL, NULL), (11921, '', '和平东路社区', 'cf408e4d06524821ad6aae3d69baec0a', 'db697752f27c42cd8a52d4446c34d061', 'False', 'True', 'false', 'false', '510903005097', 5, '和平东路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903005097', 1, '2021-07-19 11:43:11', NULL, NULL), (11922, '', '玉竹社区', '2a7577fa1730496091b814f0e12a4fa2', 'db697752f27c42cd8a52d4446c34d061', 'False', 'True', 'false', 'false', '510903005209', 5, '玉竹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903005209', 1, '2021-07-19 11:43:11', NULL, NULL), (11923, '', '犀牛社区', 'bf5280e8c61346b1b1860589e6f990a4', 'db697752f27c42cd8a52d4446c34d061', 'False', 'True', 'false', 'false', '510903005300', 5, '犀牛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903005300', 1, '2021-07-19 11:43:12', NULL, NULL), (11924, '', '裕丰社区', '78d23c1bfc904931aa70fa78033dde6a', 'db697752f27c42cd8a52d4446c34d061', 'False', 'True', 'false', 'false', '510903005340', 5, '裕丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903005340', 1, '2021-07-19 11:43:12', NULL, NULL), (11925, '', '盐市街社区', '4177bf025190433d8a96c6a373ee220a', 'db697752f27c42cd8a52d4446c34d061', 'False', 'True', 'false', 'false', '510903005410', 5, '盐市街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903005410', 1, '2021-07-19 11:43:12', NULL, NULL), (11926, '', '和平西路社区', '54c26eda1e584cb7b8b62ec5e0f1e14b', 'db697752f27c42cd8a52d4446c34d061', 'False', 'True', 'false', 'false', '510903005811', 5, '和平西路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903005811', 1, '2021-07-19 11:43:12', NULL, NULL), (11927, '', '凯旋路街道', '17e2fdb5d7cf4d968e48ea0de391e056', 'b79028eca52c4a3fa0a64f11b372a80e', 'True', 'True', 'false', 'false', '510903711000', 4, '凯旋路街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510903711000', 1, '2021-07-19 11:43:12', NULL, NULL), (11928, '', '涪江花园社区', '726b91f1d18446e9a6ddf6e94566481f', '17e2fdb5d7cf4d968e48ea0de391e056', 'False', 'True', 'false', 'false', '510903002421', 5, '涪江花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903002421', 1, '2021-07-19 11:43:12', NULL, NULL), (11929, '', '南小区社区', '9031beaa4baa4568b0794cf3d249f09d', '17e2fdb5d7cf4d968e48ea0de391e056', 'False', 'True', 'false', 'false', '510903002430', 5, '南小区社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903002430', 1, '2021-07-19 11:43:12', NULL, NULL), (11930, '', '凯旋下路社区', '0a85e57882754c95a4e91eb5d1aafea1', '17e2fdb5d7cf4d968e48ea0de391e056', 'False', 'True', 'false', 'false', '510903002654', 5, '凯旋下路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903002654', 1, '2021-07-19 11:43:12', NULL, NULL), (11931, '', '米市社区', '041a0cb15c8c44b89db33a34a836cfb3', '17e2fdb5d7cf4d968e48ea0de391e056', 'False', 'True', 'false', 'false', '510903002718', 5, '米市社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903002718', 1, '2021-07-19 11:43:12', NULL, NULL), (11932, '', '文星街社区', '3f29b01c3a204685927245933e56cbcd', '17e2fdb5d7cf4d968e48ea0de391e056', 'False', 'True', 'false', 'false', '510903002741', 5, '文星街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903002741', 1, '2021-07-19 11:43:12', NULL, NULL), (11933, '', '滨河社区', 'f1070e6dbd124234aa63e5756199d4bc', '17e2fdb5d7cf4d968e48ea0de391e056', 'False', 'True', 'false', 'false', '510903002862', 5, '滨河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903002862', 1, '2021-07-19 11:43:12', NULL, NULL), (11934, '', '希望社区', '4a7cfca5ab6d4180a838201f3c725160', '17e2fdb5d7cf4d968e48ea0de391e056', 'False', 'True', 'false', 'false', '510903002885', 5, '希望社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903002885', 1, '2021-07-19 11:43:12', NULL, NULL), (11935, '', '油房街社区', 'b8a0be526e0a4ccfa2e03bea3b8c0824', '17e2fdb5d7cf4d968e48ea0de391e056', 'False', 'True', 'false', 'false', '510903002944', 5, '油房街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510903002944', 1, '2021-07-19 11:43:13', NULL, NULL), (11936, '', '安居区', 'f0bda38be2474ee8b754bcc5117d4f93', '50f12c6cc85e4ea3aac4d59ab7d035eb', 'True', 'True', 'true', 'true', '510904000000', 3, '安居区', 'snsajq.sczwfw.gov.cn', 1, '2021-07-19 11:43:13', NULL, NULL), (11937, '', '安居镇', '96894918699246ee8749f1b2848f849d', 'f0bda38be2474ee8b754bcc5117d4f93', 'True', 'True', 'false', 'false', '510904100000', 4, '安居镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510904100000', 1, '2021-07-19 11:43:13', NULL, NULL), (11938, '', '护村村', '45e6a0d1b75b4750a504c921b092289a', '96894918699246ee8749f1b2848f849d', 'False', 'True', 'false', 'false', '510904100049', 5, '护村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904100049', 1, '2021-07-19 11:43:13', NULL, NULL), (11939, '', '佛岩村', 'caa80fb94b1f4e4c8b21bbdc36d01be2', '96894918699246ee8749f1b2848f849d', 'False', 'True', 'false', 'false', '510904100116', 5, '佛岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904100116', 1, '2021-07-19 11:43:13', NULL, NULL), (11940, '', '红岩嘴村', '76312577bd094e1c987dd0b593a9d30c', '96894918699246ee8749f1b2848f849d', 'False', 'True', 'false', 'false', '510904100214', 5, '红岩嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904100214', 1, '2021-07-19 11:43:13', NULL, NULL), (11941, '', '团山宝村', 'b6a2c7d183e5423abd8df2a03aa6abd7', '96894918699246ee8749f1b2848f849d', 'False', 'True', 'false', 'false', '510904100378', 5, '团山宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904100378', 1, '2021-07-19 11:43:13', NULL, NULL), (11942, '', '高滩坝村', '54bc957dfc81427799214624685379b8', '96894918699246ee8749f1b2848f849d', 'False', 'True', 'false', 'false', '510904100500', 5, '高滩坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904100500', 1, '2021-07-19 11:43:13', NULL, NULL), (11943, '', '李家堰村', '2d83a927397b4059a11277011b32beb0', '96894918699246ee8749f1b2848f849d', 'False', 'True', 'false', 'false', '510904100511', 5, '李家堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904100511', 1, '2021-07-19 11:43:13', NULL, NULL), (11944, '', '山青村', 'a2286209ce8b41dabdf682034d75bf5f', '96894918699246ee8749f1b2848f849d', 'False', 'True', 'false', 'false', '510904100561', 5, '山青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904100561', 1, '2021-07-19 11:43:13', NULL, NULL), (11945, '', '宝台寺村', 'a82ea8f96ed44c14b16d8e6cf4ba0241', '96894918699246ee8749f1b2848f849d', 'False', 'True', 'false', 'false', '510904100597', 5, '宝台寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904100597', 1, '2021-07-19 11:43:13', NULL, NULL), (11946, '', '庙儿坡村', '1fad6d464fa946b185c326088408c0cf', '96894918699246ee8749f1b2848f849d', 'False', 'True', 'false', 'false', '510904100608', 5, '庙儿坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904100608', 1, '2021-07-19 11:43:14', NULL, NULL), (11947, '', '轿顶村', 'a74134ccb0d6442b8f0f4a327ca1192e', '96894918699246ee8749f1b2848f849d', 'False', 'True', 'false', 'false', '510904100697', 5, '轿顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904100697', 1, '2021-07-19 11:43:14', NULL, NULL), (11948, '', '高坎河村', 'bce0a37f40314962b1599099c39df77d', '96894918699246ee8749f1b2848f849d', 'False', 'True', 'false', 'false', '510904100943', 5, '高坎河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904100943', 1, '2021-07-19 11:43:14', NULL, NULL), (11949, '', '五垭子社区', '12768269569d4ff6b1f7a347b7c77bff', '96894918699246ee8749f1b2848f849d', 'False', 'True', 'false', 'false', '510904100978', 5, '五垭子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904100978', 1, '2021-07-19 11:43:14', NULL, NULL), (11950, '', '万合村', '2d1b0d2d18e4441ab20ab63d2b0120b5', '96894918699246ee8749f1b2848f849d', 'False', 'True', 'false', 'false', '510904100985', 5, '万合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904100985', 1, '2021-07-19 11:43:14', NULL, NULL), (11951, '', '白马镇', '43468110938440aa8e6be3027e6638c1', 'f0bda38be2474ee8b754bcc5117d4f93', 'True', 'True', 'false', 'false', '510904106000', 4, '白马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510904106000', 1, '2021-07-19 11:43:14', NULL, NULL), (11952, '', '刺桐垭村', '40b04928ff6f40ea8bc24224e4450e99', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106003', 5, '刺桐垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106003', 1, '2021-07-19 11:43:14', NULL, NULL), (11953, '', '禅林寺村', 'f8140275fbd5476685e997c381abddc5', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106007', 5, '禅林寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106007', 1, '2021-07-19 11:43:14', NULL, NULL), (11954, '', '河边井村', '4569e8ba91b64b73b0fffa88cca42e69', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106019', 5, '河边井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106019', 1, '2021-07-19 11:43:14', NULL, NULL), (11955, '', '小龙塘村', '011634fa52d84f53bf975a5e48d2ede5', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106054', 5, '小龙塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106054', 1, '2021-07-19 11:43:14', NULL, NULL), (11956, '', '白马庙村', '4c8219af64a748e081928afdf87d12b1', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106075', 5, '白马庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106075', 1, '2021-07-19 11:43:14', NULL, NULL), (11957, '', '黄盐井村', '90919177a5dd4fa5b06915bd1427d599', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106078', 5, '黄盐井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106078', 1, '2021-07-19 11:43:15', NULL, NULL), (11958, '', '炭洞子村', 'eb9a45871cad4992b49a54ce36cdb2c7', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106094', 5, '炭洞子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106094', 1, '2021-07-19 11:43:15', NULL, NULL), (11959, '', '毗庐寺村', 'e97663bf8f9d4f6b95d550951d51f12c', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106153', 5, '毗庐寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106153', 1, '2021-07-19 11:43:15', NULL, NULL), (11960, '', '陈家沟村', 'c8092e7f51dd4433ac8b72a249571562', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106253', 5, '陈家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106253', 1, '2021-07-19 11:43:15', NULL, NULL), (11961, '', '黄桶坡村', '178878c69a2249aa8c4c8292aa99f0e4', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106312', 5, '黄桶坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106312', 1, '2021-07-19 11:43:15', NULL, NULL), (11962, '', '两路口村', '85dd2a894814429e9d88cc0422d6612b', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106331', 5, '两路口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106331', 1, '2021-07-19 11:43:15', NULL, NULL), (11963, '', '雾盐井社区', '0ebc102e6b174431b205f44e52f10740', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106361', 5, '雾盐井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106361', 1, '2021-07-19 11:43:15', NULL, NULL), (11964, '', '筒竹湾村', '9c241a94a0904d65981658d36f3bc912', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106407', 5, '筒竹湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106407', 1, '2021-07-19 11:43:15', NULL, NULL), (11965, '', '宝泉沟村', '2abbb3eb349741869a65446ebbdde2fc', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106410', 5, '宝泉沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106410', 1, '2021-07-19 11:43:15', NULL, NULL), (11966, '', '平宁社区', 'fac97465fa144d1da96c5d4d0d24569e', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106438', 5, '平宁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106438', 1, '2021-07-19 11:43:15', NULL, NULL), (11967, '', '青峰村', 'c09ea09c18d34b9285193bd22625f3ce', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106440', 5, '青峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106440', 1, '2021-07-19 11:43:15', NULL, NULL), (11968, '', '花天坝村', '321572d74d3345d08b2442fa66e8b154', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106495', 5, '花天坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106495', 1, '2021-07-19 11:43:16', NULL, NULL), (11969, '', '四方井村', 'ba8fb4edc35d4866b7d24d0c7c130264', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106691', 5, '四方井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106691', 1, '2021-07-19 11:43:16', NULL, NULL), (11970, '', '麻子滩村', '3b840f9a3eb64f11a41617aaf171d584', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106702', 5, '麻子滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106702', 1, '2021-07-19 11:43:16', NULL, NULL), (11971, '', '白塔村', 'b9d38d57365a41a38876b606dab9034f', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106726', 5, '白塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106726', 1, '2021-07-19 11:43:16', NULL, NULL), (11972, '', '治平寺村', '46e9211c2af44952b2820747adb550af', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106731', 5, '治平寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106731', 1, '2021-07-19 11:43:16', NULL, NULL), (11973, '', '顺河社区', 'be8269bf083045ffa1ee203a8ca82379', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106746', 5, '顺河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106746', 1, '2021-07-19 11:43:16', NULL, NULL), (11974, '', '清凉寺村', '9878e2af45fb45318287a995f2dd3722', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106754', 5, '清凉寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106754', 1, '2021-07-19 11:43:16', NULL, NULL), (11975, '', '步云村', '38bd6538e0314e058f386ec39003c63f', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106757', 5, '步云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106757', 1, '2021-07-19 11:43:16', NULL, NULL), (11976, '', '白果树村', '64d0429715874cb68233670bf91b961d', '43468110938440aa8e6be3027e6638c1', 'False', 'True', 'false', 'false', '510904106811', 5, '白果树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904106811', 1, '2021-07-19 11:43:16', NULL, NULL), (11977, '', '磨溪镇', '00b87381897947c981d8786ee8a4275b', 'f0bda38be2474ee8b754bcc5117d4f93', 'True', 'True', 'false', 'false', '510904139000', 4, '磨溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510904139000', 1, '2021-07-19 11:43:16', NULL, NULL), (11978, '', '老木垭村', '9748998b716845608b7c5f0ae62b6d2d', '00b87381897947c981d8786ee8a4275b', 'False', 'True', 'false', 'false', '510904113131', 5, '老木垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904113131', 1, '2021-07-19 11:43:16', NULL, NULL), (11979, '', '板仓村', '35e5020208a444fdab16ab84cfd2450b', '00b87381897947c981d8786ee8a4275b', 'False', 'True', 'false', 'false', '510904113210', 5, '板仓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904113210', 1, '2021-07-19 11:43:16', NULL, NULL), (11980, '', '千丘村', 'f1f9b00ee5eb48168f5b4d88e7b1d9e2', '00b87381897947c981d8786ee8a4275b', 'False', 'True', 'false', 'false', '510904113215', 5, '千丘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904113215', 1, '2021-07-19 11:43:16', NULL, NULL), (11981, '', '永灵村', 'cffce8adad3b4df2932201bc0393b0cc', '00b87381897947c981d8786ee8a4275b', 'False', 'True', 'false', 'false', '510904113223', 5, '永灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904113223', 1, '2021-07-19 11:43:17', NULL, NULL), (11982, '', '高千社区', '2022a9cf992e4c0ebcf570283edf08b1', '00b87381897947c981d8786ee8a4275b', 'False', 'True', 'false', 'false', '510904113243', 5, '高千社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904113243', 1, '2021-07-19 11:43:17', NULL, NULL), (11983, '', '猛虎村', 'da6fbbc5b05541efb7c5e58bf27256a9', '00b87381897947c981d8786ee8a4275b', 'False', 'True', 'false', 'false', '510904113258', 5, '猛虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904113258', 1, '2021-07-19 11:43:17', NULL, NULL), (11984, '', '登高村', 'f3c1de0ecdd24094b6d4feee26bbc1d8', '00b87381897947c981d8786ee8a4275b', 'False', 'True', 'false', 'false', '510904113497', 5, '登高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904113497', 1, '2021-07-19 11:43:17', NULL, NULL), (11985, '', '向阳村', '9e641aca2d67467f9b5c840513704608', '00b87381897947c981d8786ee8a4275b', 'False', 'True', 'false', 'false', '510904113521', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904113521', 1, '2021-07-19 11:43:17', NULL, NULL), (11986, '', '丁坪村', 'b6673f93d56545148e080d4c89025255', '00b87381897947c981d8786ee8a4275b', 'False', 'True', 'false', 'false', '510904113582', 5, '丁坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904113582', 1, '2021-07-19 11:43:17', NULL, NULL), (11987, '', '文星村', '536fcb4047484e8285269d9446b1a522', '00b87381897947c981d8786ee8a4275b', 'False', 'True', 'false', 'false', '510904113634', 5, '文星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904113634', 1, '2021-07-19 11:43:17', NULL, NULL), (11988, '', '拦江镇', '74539ab5864a4629a4257c2503e51b38', 'f0bda38be2474ee8b754bcc5117d4f93', 'True', 'True', 'false', 'false', '510904160000', 4, '拦江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510904160000', 1, '2021-07-19 11:43:17', NULL, NULL), (11989, '', '会元社区', '78e1e19f1de541888ee891e66ee7ca0d', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104027', 5, '会元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104027', 1, '2021-07-19 11:43:17', NULL, NULL), (11990, '', '富国寺村', 'f10134d527ae4ab9b3220adbe6f1aa85', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104084', 5, '富国寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104084', 1, '2021-07-19 11:43:17', NULL, NULL), (11991, '', '回音寺村', '513e2fa050b54b298dcb2521d56c548a', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104099', 5, '回音寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104099', 1, '2021-07-19 11:43:17', NULL, NULL), (11992, '', '五琅坝村', 'ac9f4a7fc2b74a41b9388fdd4f311a7b', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104104', 5, '五琅坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104104', 1, '2021-07-19 11:43:17', NULL, NULL), (11993, '', '染房沟村', '91307bf0c8754960a9b52addb1b0ef2d', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104117', 5, '染房沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104117', 1, '2021-07-19 11:43:17', NULL, NULL), (11994, '', '玉泉寺村', 'cd821af82c2d47a4a17eacdb031b813a', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104139', 5, '玉泉寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104139', 1, '2021-07-19 11:43:17', NULL, NULL), (11995, '', '狮陆村', '2f7ea71d90f24edaa8e93dc191ddc480', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104157', 5, '狮陆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104157', 1, '2021-07-19 11:43:17', NULL, NULL), (11996, '', '上沟村', '470f87beab9d447891f0c5f0898ca6b7', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104219', 5, '上沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104219', 1, '2021-07-19 11:43:18', NULL, NULL), (11997, '', '柏林村', '32aef6cf606d4db1b0a36e7333139089', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104260', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104260', 1, '2021-07-19 11:43:18', NULL, NULL), (11998, '', '洪家岩村', 'fc4c2d654fda464284fb9aafc2a2940d', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104284', 5, '洪家岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104284', 1, '2021-07-19 11:43:18', NULL, NULL), (11999, '', '福兴岩村', 'fc30d8be0e524309a75ba828c0372b47', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104337', 5, '福兴岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104337', 1, '2021-07-19 11:43:18', NULL, NULL), (12000, '', '千块石村', '9677b777cad746fa96e534b6f5b8d296', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104338', 5, '千块石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104338', 1, '2021-07-19 11:43:18', NULL, NULL), (12001, '', '莲花村', 'cf8de1a1ae0d4e388a4325965c8ba89d', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104359', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104359', 1, '2021-07-19 11:43:18', NULL, NULL), (12002, '', '吉祥社区', 'c2e1dec5a14049798cfff7e50f84b484', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104450', 5, '吉祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104450', 1, '2021-07-19 11:43:18', NULL, NULL), (12003, '', '檬子垭村', 'b8b89a244fe94c1b965379595415f5be', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104513', 5, '檬子垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104513', 1, '2021-07-19 11:43:18', NULL, NULL), (12004, '', '凤鸣村', '690fcb38f46445d885e85d69b9ee096d', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104618', 5, '凤鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104618', 1, '2021-07-19 11:43:18', NULL, NULL), (12005, '', '龙门村', '93ed85e76c3d44279be6589b92caba53', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104683', 5, '龙门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104683', 1, '2021-07-19 11:43:18', NULL, NULL), (12006, '', '花梁湾村', '2bc9e0c37c5c4be78f7ae88bcfb96670', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104768', 5, '花梁湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104768', 1, '2021-07-19 11:43:18', NULL, NULL), (12007, '', '东平社区', '0e7d5f97e7c443a1aa7e8d036eced5e3', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104769', 5, '东平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104769', 1, '2021-07-19 11:43:18', NULL, NULL), (12008, '', '库楼湾村', 'cbf1c8c3508e4a40be250cec6e17cdbe', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104776', 5, '库楼湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104776', 1, '2021-07-19 11:43:18', NULL, NULL), (12009, '', '转龙桥村', '750745bdccac46b78f59b83ecd7a540a', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104870', 5, '转龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104870', 1, '2021-07-19 11:43:18', NULL, NULL), (12010, '', '大益湾村', '36f2128d96ec4fefb7e24e595f51e1b9', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104895', 5, '大益湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104895', 1, '2021-07-19 11:43:19', NULL, NULL), (12011, '', '马河嘴村', 'd7732aad17fe4892a0d23353415cd6e0', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104896', 5, '马河嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104896', 1, '2021-07-19 11:43:19', NULL, NULL), (12012, '', '成玉桥村', 'eb3995b77a8e4d128f7b942fd740b1ee', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104901', 5, '成玉桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104901', 1, '2021-07-19 11:43:19', NULL, NULL), (12013, '', '土桥子村', '9c1c12ca4a314efd938eaa98fac097c9', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104902', 5, '土桥子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104902', 1, '2021-07-19 11:43:19', NULL, NULL), (12014, '', '接绍寺村', 'c801b76282434998b06a6b7cc5c3feb8', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104913', 5, '接绍寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104913', 1, '2021-07-19 11:43:19', NULL, NULL), (12015, '', '峨眉店村', '9ca7b0eb8a894b72993cdddc47c88224', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104927', 5, '峨眉店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104927', 1, '2021-07-19 11:43:19', NULL, NULL), (12016, '', '广福村', '22ee0cf85e9e4a4d84a273558ad7c9dc', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104935', 5, '广福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104935', 1, '2021-07-19 11:43:19', NULL, NULL), (12017, '', '会龙桥村', '002236f7e0cc4e8981b898c97ee457bb', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104946', 5, '会龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104946', 1, '2021-07-19 11:43:19', NULL, NULL), (12018, '', '崇胜寺村', 'fd6ab9518a0d4b1fb42e203f0fc184b3', '74539ab5864a4629a4257c2503e51b38', 'False', 'True', 'false', 'false', '510904104985', 5, '崇胜寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904104985', 1, '2021-07-19 11:43:19', NULL, NULL), (12019, '', '分水镇', 'ace08bc4d293433b99d08823d5ac1668', 'f0bda38be2474ee8b754bcc5117d4f93', 'True', 'True', 'false', 'false', '510904191000', 4, '分水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510904191000', 1, '2021-07-19 11:43:19', NULL, NULL), (12020, '', '兴旺社区', '644849835c4b42d2b2de215160fd060b', 'ace08bc4d293433b99d08823d5ac1668', 'False', 'True', 'false', 'false', '510904101487', 5, '兴旺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101487', 1, '2021-07-19 11:43:19', NULL, NULL), (12021, '', '大码口村', '67991f847fbb48b7a31c19bbea95c886', 'ace08bc4d293433b99d08823d5ac1668', 'False', 'True', 'false', 'false', '510904102070', 5, '大码口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904102070', 1, '2021-07-19 11:43:20', NULL, NULL), (12022, '', '苏家河村', '5609ae72a1bf42dd92c840fd4ffab8d2', 'ace08bc4d293433b99d08823d5ac1668', 'False', 'True', 'false', 'false', '510904102075', 5, '苏家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904102075', 1, '2021-07-19 11:43:20', NULL, NULL), (12023, '', '民兴社区', '372badcb92c8454bbfa78e826a0ad9ed', 'ace08bc4d293433b99d08823d5ac1668', 'False', 'True', 'false', 'false', '510904102135', 5, '民兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904102135', 1, '2021-07-19 11:43:20', NULL, NULL), (12024, '', '李家湾村', '0b93c8b751a240a697424a88860f3363', 'ace08bc4d293433b99d08823d5ac1668', 'False', 'True', 'false', 'false', '510904102300', 5, '李家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904102300', 1, '2021-07-19 11:43:20', NULL, NULL), (12025, '', '油草沟村', 'f9b9632a2da84016ba11d32aac1f623c', 'ace08bc4d293433b99d08823d5ac1668', 'False', 'True', 'false', 'false', '510904102329', 5, '油草沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904102329', 1, '2021-07-19 11:43:20', NULL, NULL), (12026, '', '柑子园村', '7b7497ef7a414db7a01c154f27728707', 'ace08bc4d293433b99d08823d5ac1668', 'False', 'True', 'false', 'false', '510904102415', 5, '柑子园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904102415', 1, '2021-07-19 11:43:20', NULL, NULL), (12027, '', '发财垭村', 'e3eec35847a14d06bcc436914b6d96e3', 'ace08bc4d293433b99d08823d5ac1668', 'False', 'True', 'false', 'false', '510904102590', 5, '发财垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904102590', 1, '2021-07-19 11:43:20', NULL, NULL), (12028, '', '太阳桥村', '37f5c2801ba9472fb5c9d68658e94193', 'ace08bc4d293433b99d08823d5ac1668', 'False', 'True', 'false', 'false', '510904102617', 5, '太阳桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904102617', 1, '2021-07-19 11:43:20', NULL, NULL), (12029, '', '花牌坊村', '3149581f401a4de09b45ec2f60f29e0b', 'ace08bc4d293433b99d08823d5ac1668', 'False', 'True', 'false', 'false', '510904102627', 5, '花牌坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904102627', 1, '2021-07-19 11:43:20', NULL, NULL), (12030, '', '大竹山村', '68632a2acae04ad48cf96cf1322bbb87', 'ace08bc4d293433b99d08823d5ac1668', 'False', 'True', 'false', 'false', '510904102645', 5, '大竹山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904102645', 1, '2021-07-19 11:43:20', NULL, NULL), (12031, '', '干坝子村', '341ac28188c24c97a2444ef99533a6a5', 'ace08bc4d293433b99d08823d5ac1668', 'False', 'True', 'false', 'false', '510904102663', 5, '干坝子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904102663', 1, '2021-07-19 11:43:20', NULL, NULL), (12032, '', '白匹沟村', '8ea383c1a17d43c7af495436a4e724cb', 'ace08bc4d293433b99d08823d5ac1668', 'False', 'True', 'false', 'false', '510904102712', 5, '白匹沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904102712', 1, '2021-07-19 11:43:20', NULL, NULL), (12033, '', '黄林垭村', '60cc53756bc24f4ba87f0eb22d079c29', 'ace08bc4d293433b99d08823d5ac1668', 'False', 'True', 'false', 'false', '510904102769', 5, '黄林垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904102769', 1, '2021-07-19 11:43:21', NULL, NULL), (12034, '', '夹石槽村', 'b5dce50e49e44ac28593e8e579cae63e', 'ace08bc4d293433b99d08823d5ac1668', 'False', 'True', 'false', 'false', '510904102824', 5, '夹石槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904102824', 1, '2021-07-19 11:43:21', NULL, NULL), (12035, '', '曾家沟村', 'a09435406d8b4f4c99234f3133968840', 'ace08bc4d293433b99d08823d5ac1668', 'False', 'True', 'false', 'false', '510904102875', 5, '曾家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904102875', 1, '2021-07-19 11:43:21', NULL, NULL), (12036, '', '西眉镇', 'ce0e692254984039b9b53356aebe7843', 'f0bda38be2474ee8b754bcc5117d4f93', 'True', 'True', 'false', 'false', '510904400000', 4, '西眉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510904400000', 1, '2021-07-19 11:43:21', NULL, NULL), (12037, '', '高坡村', 'a5ea034ec386405ba863e01259c379a3', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112084', 5, '高坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112084', 1, '2021-07-19 11:43:21', NULL, NULL), (12038, '', '燕岩村', 'f197c6d542ad4e47a109508e9dfb4ff8', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112201', 5, '燕岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112201', 1, '2021-07-19 11:43:21', NULL, NULL), (12039, '', '广林村', '2a56ca27e4db4c12a417794617c2072c', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112215', 5, '广林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112215', 1, '2021-07-19 11:43:21', NULL, NULL), (12040, '', '金乐村', '63602cdf320d4537afe1c6b900df96a5', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112225', 5, '金乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112225', 1, '2021-07-19 11:43:21', NULL, NULL), (12041, '', '四坪村', 'ef5f7b8d28df4285b0cf426024324135', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112242', 5, '四坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112242', 1, '2021-07-19 11:43:21', NULL, NULL), (12042, '', '竹林村', '7ed1e1c0db6548e4bc71afb234ba5451', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112278', 5, '竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112278', 1, '2021-07-19 11:43:21', NULL, NULL), (12043, '', '大昌村', 'ef6f9049c8614633a983bbf33a9b11af', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112345', 5, '大昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112345', 1, '2021-07-19 11:43:21', NULL, NULL), (12044, '', '治田村', 'aa342cd7278b48c0be2f4e0944d4a552', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112348', 5, '治田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112348', 1, '2021-07-19 11:43:21', NULL, NULL), (12045, '', '雷桥村', 'c5cc0ea6246b4ac9b50bf6190ff2d403', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112363', 5, '雷桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112363', 1, '2021-07-19 11:43:21', NULL, NULL), (12046, '', '双山村', 'fb6471770c7e40c6887886924b426a99', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112387', 5, '双山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112387', 1, '2021-07-19 11:43:22', NULL, NULL), (12047, '', '石板村', '28731a92a3f040e396e8f55d82b73054', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112394', 5, '石板村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112394', 1, '2021-07-19 11:43:22', NULL, NULL), (12048, '', '双河村', 'c6515864b8a44b529ded077f35723871', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112399', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112399', 1, '2021-07-19 11:43:22', NULL, NULL), (12049, '', '马家社区', '1f27f93877974a5d94b50241e2093847', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112445', 5, '马家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112445', 1, '2021-07-19 11:43:22', NULL, NULL), (12050, '', '新宁村', '60c10f88bcd24e4a9760abb4e971f667', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112454', 5, '新宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112454', 1, '2021-07-19 11:43:22', NULL, NULL), (12051, '', '芋头村', '47be1780c3104344b7626f5dbe6dacae', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112495', 5, '芋头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112495', 1, '2021-07-19 11:43:22', NULL, NULL), (12052, '', '五里沟村', '2ad58ccf9dbd4f2fa497752eb395ae2f', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112581', 5, '五里沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112581', 1, '2021-07-19 11:43:22', NULL, NULL), (12053, '', '天台村', 'ee76d853e7e047ab8c1f0e9c5e05241e', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112583', 5, '天台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112583', 1, '2021-07-19 11:43:22', NULL, NULL), (12054, '', '福果村', '7e10fefd48604ddf9edd42119b1ca344', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112591', 5, '福果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112591', 1, '2021-07-19 11:43:22', NULL, NULL), (12055, '', '中心村', '1d33a5b56c194a5e845cbf071e562078', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112658', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112658', 1, '2021-07-19 11:43:22', NULL, NULL), (12056, '', '天宫村', 'efbc546ad46546b28ab9ee34772f9af4', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112785', 5, '天宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112785', 1, '2021-07-19 11:43:22', NULL, NULL), (12057, '', '石圣社区', 'a226e0702bb64701ab98a3c12837283a', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112796', 5, '石圣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112796', 1, '2021-07-19 11:43:22', NULL, NULL), (12058, '', '长垭村', '59c03a7d11784040ab1a00a8e69cbd7f', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112812', 5, '长垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112812', 1, '2021-07-19 11:43:22', NULL, NULL), (12059, '', '卧龙村', '67eb10f28a1044bdb104f3dc783d3e4e', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112898', 5, '卧龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112898', 1, '2021-07-19 11:43:22', NULL, NULL), (12060, '', '龙崩村', '699d2a6ae9864a068b13a5e5b2d5e7f7', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112959', 5, '龙崩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112959', 1, '2021-07-19 11:43:22', NULL, NULL), (12061, '', '新貌村', '4751f46211fc450a9175bb0f575aa08c', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112960', 5, '新貌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112960', 1, '2021-07-19 11:43:23', NULL, NULL), (12062, '', '玉石村', '659d4d9e93ff4ed69ab473d01d3903e2', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112972', 5, '玉石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112972', 1, '2021-07-19 11:43:23', NULL, NULL), (12063, '', '桥亭村', 'd57fe4345c3a4180aba88082c93ec09c', 'ce0e692254984039b9b53356aebe7843', 'False', 'True', 'false', 'false', '510904112995', 5, '桥亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904112995', 1, '2021-07-19 11:43:23', NULL, NULL), (12064, '', '凤凰街道', '307ac0a257b04bf3b23a208c73ca9f23', 'f0bda38be2474ee8b754bcc5117d4f93', 'True', 'True', 'false', 'false', '510904441000', 4, '凤凰街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510904441000', 1, '2021-07-19 11:43:23', NULL, NULL), (12065, '', '岩文社区', 'abed856f46204b8db3ed79eaecd49790', '307ac0a257b04bf3b23a208c73ca9f23', 'False', 'True', 'false', 'false', '510904002103', 5, '岩文社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904002103', 1, '2021-07-19 11:43:23', NULL, NULL), (12066, '', '双河社区', '20b56a89739243908a442558d8ac49f3', '307ac0a257b04bf3b23a208c73ca9f23', 'False', 'True', 'false', 'false', '510904002179', 5, '双河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904002179', 1, '2021-07-19 11:43:23', NULL, NULL), (12067, '', '锦绣社区', '6d7a039f9d3b4d309a996c343f2c2338', '307ac0a257b04bf3b23a208c73ca9f23', 'False', 'True', 'false', 'false', '510904002319', 5, '锦绣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904002319', 1, '2021-07-19 11:43:23', NULL, NULL), (12068, '', '凤凰社区', 'bb4e39deaf734aa3bb0e57ee45c734a3', '307ac0a257b04bf3b23a208c73ca9f23', 'False', 'True', 'false', 'false', '510904002360', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904002360', 1, '2021-07-19 11:43:23', NULL, NULL), (12069, '', '八角社区', 'd55cbca396d54172ab1082e7a68cf790', '307ac0a257b04bf3b23a208c73ca9f23', 'False', 'True', 'false', 'false', '510904002518', 5, '八角社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904002518', 1, '2021-07-19 11:43:23', NULL, NULL), (12070, '', '苹果社区', 'd97a377e508943789d5c579d581c6051', '307ac0a257b04bf3b23a208c73ca9f23', 'False', 'True', 'false', 'false', '510904002553', 5, '苹果社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904002553', 1, '2021-07-19 11:43:23', NULL, NULL), (12071, '', '雄鹰社区', '4551253ab5214afd8092837440f6d64f', '307ac0a257b04bf3b23a208c73ca9f23', 'False', 'True', 'false', 'false', '510904002559', 5, '雄鹰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904002559', 1, '2021-07-19 11:43:23', NULL, NULL), (12072, '', '石佛社区', 'd7eb9cf4aafa40cf9befe594ecd53c80', '307ac0a257b04bf3b23a208c73ca9f23', 'False', 'True', 'false', 'false', '510904002701', 5, '石佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904002701', 1, '2021-07-19 11:43:23', NULL, NULL), (12073, '', '锅盖梁社区', 'ec60172b693942df8771dc663f9c28f4', '307ac0a257b04bf3b23a208c73ca9f23', 'False', 'True', 'false', 'false', '510904002705', 5, '锅盖梁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904002705', 1, '2021-07-19 11:43:23', NULL, NULL), (12074, '', '群力社区', '32190a233cc64d7f8217999af8024005', '307ac0a257b04bf3b23a208c73ca9f23', 'False', 'True', 'false', 'false', '510904002723', 5, '群力社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904002723', 1, '2021-07-19 11:43:23', NULL, NULL), (12075, '', '解元社区', 'c2033ec48709414ba103b1f91988126b', '307ac0a257b04bf3b23a208c73ca9f23', 'False', 'True', 'false', 'false', '510904002785', 5, '解元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904002785', 1, '2021-07-19 11:43:23', NULL, NULL), (12076, '', '狮子社区', 'd6daab80071145e5a2794dfe2d65c21d', '307ac0a257b04bf3b23a208c73ca9f23', 'False', 'True', 'false', 'false', '510904002790', 5, '狮子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904002790', 1, '2021-07-19 11:43:24', NULL, NULL), (12077, '', '梧桐社区', '4a8fcb9c074246d88a14a1466de9ae5a', '307ac0a257b04bf3b23a208c73ca9f23', 'False', 'True', 'false', 'false', '510904002821', 5, '梧桐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904002821', 1, '2021-07-19 11:43:24', NULL, NULL), (12078, '', '黄林社区', '655f1fb6d21b4895976fc23843a2a788', '307ac0a257b04bf3b23a208c73ca9f23', 'False', 'True', 'false', 'false', '510904002889', 5, '黄林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904002889', 1, '2021-07-19 11:43:24', NULL, NULL), (12079, '', '陷马堰社区', 'e5af1154ec93442980116ba9e82ff6af', '307ac0a257b04bf3b23a208c73ca9f23', 'False', 'True', 'false', 'false', '510904004431', 5, '陷马堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904004431', 1, '2021-07-19 11:43:24', NULL, NULL), (12080, '', '常理镇', '7951808d321b4b71b62ddc76ec1a7874', 'f0bda38be2474ee8b754bcc5117d4f93', 'True', 'True', 'false', 'false', '510904548000', 4, '常理镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510904548000', 1, '2021-07-19 11:43:24', NULL, NULL), (12081, '', '大洞村', 'e6a2f1077a554457891bd94b2ce2d4e7', '7951808d321b4b71b62ddc76ec1a7874', 'False', 'True', 'false', 'false', '510904116027', 5, '大洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904116027', 1, '2021-07-19 11:43:24', NULL, NULL), (12082, '', '常乐社区', '8ff908f0a9a648c1bf87016e9530b296', '7951808d321b4b71b62ddc76ec1a7874', 'False', 'True', 'false', 'false', '510904116034', 5, '常乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904116034', 1, '2021-07-19 11:43:24', NULL, NULL), (12083, '', '白象村', '063aee493e7643b89266a12e9f22cf9e', '7951808d321b4b71b62ddc76ec1a7874', 'False', 'True', 'false', 'false', '510904116090', 5, '白象村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904116090', 1, '2021-07-19 11:43:24', NULL, NULL), (12084, '', '金线村', '5a995c9c6c8d46e68cf5462f41d2474e', '7951808d321b4b71b62ddc76ec1a7874', 'False', 'True', 'false', 'false', '510904116281', 5, '金线村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904116281', 1, '2021-07-19 11:43:24', NULL, NULL), (12085, '', '陈谷村', '879da6098e2942f0b5b1ec4391c9959c', '7951808d321b4b71b62ddc76ec1a7874', 'False', 'True', 'false', 'false', '510904116327', 5, '陈谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904116327', 1, '2021-07-19 11:43:24', NULL, NULL), (12086, '', '万福村', '38dd47332f4b4008bb50db8ea74970f4', '7951808d321b4b71b62ddc76ec1a7874', 'False', 'True', 'false', 'false', '510904116454', 5, '万福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904116454', 1, '2021-07-19 11:43:24', NULL, NULL), (12087, '', '双古井村', '7c4f5b1a99ec423bbf87dd8126f859c5', '7951808d321b4b71b62ddc76ec1a7874', 'False', 'True', 'false', 'false', '510904116497', 5, '双古井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904116497', 1, '2021-07-19 11:43:24', NULL, NULL), (12088, '', '棕树坪村', 'c60c754b4f894732aefb42f55e678853', '7951808d321b4b71b62ddc76ec1a7874', 'False', 'True', 'false', 'false', '510904116514', 5, '棕树坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904116514', 1, '2021-07-19 11:43:24', NULL, NULL), (12089, '', '海龙村', '7fc55c9839644d068edaeed3384c7ae5', '7951808d321b4b71b62ddc76ec1a7874', 'False', 'True', 'false', 'false', '510904116546', 5, '海龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904116546', 1, '2021-07-19 11:43:24', NULL, NULL), (12090, '', '鲤鱼沟村', '7761572738754b71b6ee514ba591a161', '7951808d321b4b71b62ddc76ec1a7874', 'False', 'True', 'false', 'false', '510904116653', 5, '鲤鱼沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904116653', 1, '2021-07-19 11:43:25', NULL, NULL), (12091, '', '酒店垭村', '91307285fcc0413bb1fd122cee0ee7a1', '7951808d321b4b71b62ddc76ec1a7874', 'False', 'True', 'false', 'false', '510904116834', 5, '酒店垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904116834', 1, '2021-07-19 11:43:25', NULL, NULL), (12092, '', '铜钱村', '73da3e09fd9041c8a35239eae12d9919', '7951808d321b4b71b62ddc76ec1a7874', 'False', 'True', 'false', 'false', '510904116853', 5, '铜钱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904116853', 1, '2021-07-19 11:43:25', NULL, NULL), (12093, '', '常乐村', '61ab9f0ae9c8403494a3f6e548f5d58e', '7951808d321b4b71b62ddc76ec1a7874', 'False', 'True', 'false', 'false', '510904116993', 5, '常乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904116993', 1, '2021-07-19 11:43:25', NULL, NULL), (12094, '', '玉丰镇', '5a4878eb82ec40e9ac91a0e231d7c9a1', 'f0bda38be2474ee8b754bcc5117d4f93', 'True', 'True', 'false', 'false', '510904585000', 4, '玉丰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510904585000', 1, '2021-07-19 11:43:25', NULL, NULL), (12095, '', '决山村', 'c0558e0f74554a6d8fd4968a12f8e748', '5a4878eb82ec40e9ac91a0e231d7c9a1', 'False', 'True', 'false', 'false', '510904111069', 5, '决山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904111069', 1, '2021-07-19 11:43:25', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (12096, '', '胡琴社区', 'fb87e1f7774943b5973727e65a81fbe2', '5a4878eb82ec40e9ac91a0e231d7c9a1', 'False', 'True', 'false', 'false', '510904111072', 5, '胡琴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904111072', 1, '2021-07-19 11:43:25', NULL, NULL), (12097, '', '伙同村', '0f0f333d21194e019f372f0703666ef4', '5a4878eb82ec40e9ac91a0e231d7c9a1', 'False', 'True', 'false', 'false', '510904111073', 5, '伙同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904111073', 1, '2021-07-19 11:43:25', NULL, NULL), (12098, '', '黄林沟村', '3fb9bf77deb14490828cc8b3bcc9ce2c', '5a4878eb82ec40e9ac91a0e231d7c9a1', 'False', 'True', 'false', 'false', '510904111185', 5, '黄林沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904111185', 1, '2021-07-19 11:43:25', NULL, NULL), (12099, '', '高石村', '6b06a90278b34e6f8bc9358c5ebf3d0b', '5a4878eb82ec40e9ac91a0e231d7c9a1', 'False', 'True', 'false', 'false', '510904111186', 5, '高石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904111186', 1, '2021-07-19 11:43:25', NULL, NULL), (12100, '', '双桂村', 'a824f41d610c481aaced8a51eabfa916', '5a4878eb82ec40e9ac91a0e231d7c9a1', 'False', 'True', 'false', 'false', '510904111227', 5, '双桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904111227', 1, '2021-07-19 11:43:25', NULL, NULL), (12101, '', '高峰村', '57e62fb67b37440fb7c5d71c47fea074', '5a4878eb82ec40e9ac91a0e231d7c9a1', 'False', 'True', 'false', 'false', '510904111313', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904111313', 1, '2021-07-19 11:43:25', NULL, NULL), (12102, '', '上晨街社区', '4621cb9898b945ea8d195c801f9b45e5', '5a4878eb82ec40e9ac91a0e231d7c9a1', 'False', 'True', 'false', 'false', '510904111331', 5, '上晨街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904111331', 1, '2021-07-19 11:43:25', NULL, NULL), (12103, '', '陈坝村', 'cd4ab4e1d9fc4182a0b7326f8ee09550', '5a4878eb82ec40e9ac91a0e231d7c9a1', 'False', 'True', 'false', 'false', '510904111546', 5, '陈坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904111546', 1, '2021-07-19 11:43:26', NULL, NULL), (12104, '', '新园社区', '24bf7ed72541414a8cfce35a43e2b57e', '5a4878eb82ec40e9ac91a0e231d7c9a1', 'False', 'True', 'false', 'false', '510904111559', 5, '新园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904111559', 1, '2021-07-19 11:43:26', NULL, NULL), (12105, '', '桅坪村', '72b65a7a6a0f4d1c84805cf293e961a8', '5a4878eb82ec40e9ac91a0e231d7c9a1', 'False', 'True', 'false', 'false', '510904111682', 5, '桅坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904111682', 1, '2021-07-19 11:43:26', NULL, NULL), (12106, '', '金鸡村', '393319cc37524ee08bc5bf826e198318', '5a4878eb82ec40e9ac91a0e231d7c9a1', 'False', 'True', 'false', 'false', '510904111765', 5, '金鸡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904111765', 1, '2021-07-19 11:43:26', NULL, NULL), (12107, '', '土地村', 'cedf120b45dc4478af98092ef81e036f', '5a4878eb82ec40e9ac91a0e231d7c9a1', 'False', 'True', 'false', 'false', '510904111771', 5, '土地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904111771', 1, '2021-07-19 11:43:26', NULL, NULL), (12108, '', '高坎村', '9391c376921748bdaba1df038a08fbb9', '5a4878eb82ec40e9ac91a0e231d7c9a1', 'False', 'True', 'false', 'false', '510904111888', 5, '高坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904111888', 1, '2021-07-19 11:43:26', NULL, NULL), (12109, '', '河沟村', '281de7f48ba24854bfe0ea3d591cfa45', '5a4878eb82ec40e9ac91a0e231d7c9a1', 'False', 'True', 'false', 'false', '510904111951', 5, '河沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904111951', 1, '2021-07-19 11:43:26', NULL, NULL), (12110, '', '中兴镇', 'a8ef99c72e794ae3af630ccc8bea7780', 'f0bda38be2474ee8b754bcc5117d4f93', 'True', 'True', 'false', 'false', '510904724000', 4, '中兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510904724000', 1, '2021-07-19 11:43:26', NULL, NULL), (12111, '', '中兴场村', 'e40d8a26a6104f3b9685399002c9f049', 'a8ef99c72e794ae3af630ccc8bea7780', 'False', 'True', 'false', 'false', '510904107034', 5, '中兴场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904107034', 1, '2021-07-19 11:43:26', NULL, NULL), (12112, '', '三圣庙村', '09e9f2b72bf943619a4d243e8fe848c1', 'a8ef99c72e794ae3af630ccc8bea7780', 'False', 'True', 'false', 'false', '510904107090', 5, '三圣庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904107090', 1, '2021-07-19 11:43:26', NULL, NULL), (12113, '', '五香庙村', '571f866d2947411cbd08fdf6e92d9603', 'a8ef99c72e794ae3af630ccc8bea7780', 'False', 'True', 'false', 'false', '510904107116', 5, '五香庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904107116', 1, '2021-07-19 11:43:26', NULL, NULL), (12114, '', '堆子山村', 'a1e3f8f67e084f65a3f4683243437c2a', 'a8ef99c72e794ae3af630ccc8bea7780', 'False', 'True', 'false', 'false', '510904107256', 5, '堆子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904107256', 1, '2021-07-19 11:43:26', NULL, NULL), (12115, '', '水洞湾村', '900f3ff1f22c4e6f8f96ecaf8f5a0c15', 'a8ef99c72e794ae3af630ccc8bea7780', 'False', 'True', 'false', 'false', '510904107286', 5, '水洞湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904107286', 1, '2021-07-19 11:43:26', NULL, NULL), (12116, '', '安家沟村', 'a9ef1f230a7a4392888d31b245e61fd6', 'a8ef99c72e794ae3af630ccc8bea7780', 'False', 'True', 'false', 'false', '510904107603', 5, '安家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904107603', 1, '2021-07-19 11:43:27', NULL, NULL), (12117, '', '高楼房村', '3b51b52dd4de40faa266bc7de0ee851d', 'a8ef99c72e794ae3af630ccc8bea7780', 'False', 'True', 'false', 'false', '510904107737', 5, '高楼房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904107737', 1, '2021-07-19 11:43:27', NULL, NULL), (12118, '', '响滩子村', 'ac571b7a02554d83bba112773c7e2816', 'a8ef99c72e794ae3af630ccc8bea7780', 'False', 'True', 'false', 'false', '510904107812', 5, '响滩子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904107812', 1, '2021-07-19 11:43:27', NULL, NULL), (12119, '', '水竹林村', '0a291d78c3a841869e97961b8cc1c72b', 'a8ef99c72e794ae3af630ccc8bea7780', 'False', 'True', 'false', 'false', '510904107838', 5, '水竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904107838', 1, '2021-07-19 11:43:27', NULL, NULL), (12120, '', '正兴社区', '859f6ac78fdd435abc534899cf832d39', 'a8ef99c72e794ae3af630ccc8bea7780', 'False', 'True', 'false', 'false', '510904107846', 5, '正兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904107846', 1, '2021-07-19 11:43:27', NULL, NULL), (12121, '', '保石镇', 'eb3ded433d96490eb1edb83df3dc1da0', 'f0bda38be2474ee8b754bcc5117d4f93', 'True', 'True', 'false', 'false', '510904757000', 4, '保石镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510904757000', 1, '2021-07-19 11:43:27', NULL, NULL), (12122, '', '玉王村', '3df8bc16257b4913a0784d138523352e', 'eb3ded433d96490eb1edb83df3dc1da0', 'False', 'True', 'false', 'false', '510904105081', 5, '玉王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904105081', 1, '2021-07-19 11:43:27', NULL, NULL), (12123, '', '金堂村', 'f4d5f5665b884fb9a49ee7d0a7249148', 'eb3ded433d96490eb1edb83df3dc1da0', 'False', 'True', 'false', 'false', '510904105129', 5, '金堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904105129', 1, '2021-07-19 11:43:27', NULL, NULL), (12124, '', '石湾村', '6ebeadf648d440ae89fab62a8b29b4cc', 'eb3ded433d96490eb1edb83df3dc1da0', 'False', 'True', 'false', 'false', '510904105205', 5, '石湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904105205', 1, '2021-07-19 11:43:27', NULL, NULL), (12125, '', '普慈镇村', 'd56c7a4d44f645bc82a0bc775e2aa5c1', 'eb3ded433d96490eb1edb83df3dc1da0', 'False', 'True', 'false', 'false', '510904105257', 5, '普慈镇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904105257', 1, '2021-07-19 11:43:27', NULL, NULL), (12126, '', '广胜村', 'e28a9290c30f4b6291ffe55e4d3fa61b', 'eb3ded433d96490eb1edb83df3dc1da0', 'False', 'True', 'false', 'false', '510904105282', 5, '广胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904105282', 1, '2021-07-19 11:43:27', NULL, NULL), (12127, '', '卧牛寺村', '209c0389411840a593489989f16a037f', 'eb3ded433d96490eb1edb83df3dc1da0', 'False', 'True', 'false', 'false', '510904105389', 5, '卧牛寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904105389', 1, '2021-07-19 11:43:27', NULL, NULL), (12128, '', '保石村', '70e5c4921ecc46cead39f423798585ac', 'eb3ded433d96490eb1edb83df3dc1da0', 'False', 'True', 'false', 'false', '510904105435', 5, '保石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904105435', 1, '2021-07-19 11:43:27', NULL, NULL), (12129, '', '水井村', 'aa8eefa27a004e2189af70265aeee2d8', 'eb3ded433d96490eb1edb83df3dc1da0', 'False', 'True', 'false', 'false', '510904105444', 5, '水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904105444', 1, '2021-07-19 11:43:27', NULL, NULL), (12130, '', '石山沟村', 'f0541c5f84aa4448ae0734d36a33b243', 'eb3ded433d96490eb1edb83df3dc1da0', 'False', 'True', 'false', 'false', '510904105650', 5, '石山沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904105650', 1, '2021-07-19 11:43:27', NULL, NULL), (12131, '', '惜福村', '28d1386952e24174949bcf01a9cbbcc2', 'eb3ded433d96490eb1edb83df3dc1da0', 'False', 'True', 'false', 'false', '510904105708', 5, '惜福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904105708', 1, '2021-07-19 11:43:27', NULL, NULL), (12132, '', '红星社区', '303e691478734d0cb2f5f208affc66a6', 'eb3ded433d96490eb1edb83df3dc1da0', 'False', 'True', 'false', 'false', '510904105718', 5, '红星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904105718', 1, '2021-07-19 11:43:28', NULL, NULL), (12133, '', '瓦口井村', 'f2e01472312947d38c83c4fcf21e506f', 'eb3ded433d96490eb1edb83df3dc1da0', 'False', 'True', 'false', 'false', '510904105795', 5, '瓦口井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904105795', 1, '2021-07-19 11:43:28', NULL, NULL), (12134, '', '贺家井村', '3b010ea6fc3f43d2bdd446453ae512bf', 'eb3ded433d96490eb1edb83df3dc1da0', 'False', 'True', 'false', 'false', '510904105909', 5, '贺家井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904105909', 1, '2021-07-19 11:43:28', NULL, NULL), (12135, '', '老屋沟村', '1d14cdcd93b644dd9df675f8e45e3e7f', 'eb3ded433d96490eb1edb83df3dc1da0', 'False', 'True', 'false', 'false', '510904105910', 5, '老屋沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904105910', 1, '2021-07-19 11:43:28', NULL, NULL), (12136, '', '清泉村', 'e84c94a179224288905dab771037f1e2', 'eb3ded433d96490eb1edb83df3dc1da0', 'False', 'True', 'false', 'false', '510904105930', 5, '清泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904105930', 1, '2021-07-19 11:43:28', NULL, NULL), (12137, '', '石洞镇', '0c8a8521c5a94c44888e3df86a7e0527', 'f0bda38be2474ee8b754bcc5117d4f93', 'True', 'True', 'false', 'false', '510904806000', 4, '石洞镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510904806000', 1, '2021-07-19 11:43:28', NULL, NULL), (12138, '', '明觉寺村', '51911d1b951f4733a1714c4e6d6db6e8', '0c8a8521c5a94c44888e3df86a7e0527', 'False', 'True', 'false', 'false', '510904103057', 5, '明觉寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904103057', 1, '2021-07-19 11:43:28', NULL, NULL), (12139, '', '东方寺村', '1575f2fa9aa04b3c98aeeac70daa6c47', '0c8a8521c5a94c44888e3df86a7e0527', 'False', 'True', 'false', 'false', '510904103177', 5, '东方寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904103177', 1, '2021-07-19 11:43:28', NULL, NULL), (12140, '', '石富社区', '5a4519c76bb640ed8e05f444ffacaf4a', '0c8a8521c5a94c44888e3df86a7e0527', 'False', 'True', 'false', 'false', '510904103485', 5, '石富社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904103485', 1, '2021-07-19 11:43:28', NULL, NULL), (12141, '', '草鞋垭村', '23defd76b8fc4b2fbcc52d84a38e51f9', '0c8a8521c5a94c44888e3df86a7e0527', 'False', 'True', 'false', 'false', '510904103488', 5, '草鞋垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904103488', 1, '2021-07-19 11:43:28', NULL, NULL), (12142, '', '谭家坝村', '472611ee04b947e9940d0350f7dc6291', '0c8a8521c5a94c44888e3df86a7e0527', 'False', 'True', 'false', 'false', '510904103500', 5, '谭家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904103500', 1, '2021-07-19 11:43:28', NULL, NULL), (12143, '', '钟家沟村', 'a9d98c4bf63d4f5fbb645a5be208b83a', '0c8a8521c5a94c44888e3df86a7e0527', 'False', 'True', 'false', 'false', '510904103522', 5, '钟家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904103522', 1, '2021-07-19 11:43:28', NULL, NULL), (12144, '', '文星桥村', 'e430969aaffc469ea817100f58f26dd3', '0c8a8521c5a94c44888e3df86a7e0527', 'False', 'True', 'false', 'false', '510904103619', 5, '文星桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904103619', 1, '2021-07-19 11:43:28', NULL, NULL), (12145, '', '大水井村', '95a917169d6f458aa477dae9d9323985', '0c8a8521c5a94c44888e3df86a7e0527', 'False', 'True', 'false', 'false', '510904103723', 5, '大水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904103723', 1, '2021-07-19 11:43:28', NULL, NULL), (12146, '', '安民寨村', 'ac690746b04147a4be4da15d3fbef182', '0c8a8521c5a94c44888e3df86a7e0527', 'False', 'True', 'false', 'false', '510904103804', 5, '安民寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904103804', 1, '2021-07-19 11:43:29', NULL, NULL), (12147, '', '老庙村', '7a41d2ade9924d77b31796bed78d4f91', '0c8a8521c5a94c44888e3df86a7e0527', 'False', 'True', 'false', 'false', '510904103869', 5, '老庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904103869', 1, '2021-07-19 11:43:29', NULL, NULL), (12148, '', '双祠堂村', '1f837f21184e44c3a6d268f4e83d020e', '0c8a8521c5a94c44888e3df86a7e0527', 'False', 'True', 'false', 'false', '510904103870', 5, '双祠堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904103870', 1, '2021-07-19 11:43:29', NULL, NULL), (12149, '', '牛角湾村', '3f381e98a3304a10a50fea4f2817324b', '0c8a8521c5a94c44888e3df86a7e0527', 'False', 'True', 'false', 'false', '510904103913', 5, '牛角湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904103913', 1, '2021-07-19 11:43:29', NULL, NULL), (12150, '', '杨家坝村', '658607883dee4c24bca0eeff8f9ad558', '0c8a8521c5a94c44888e3df86a7e0527', 'False', 'True', 'false', 'false', '510904103984', 5, '杨家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904103984', 1, '2021-07-19 11:43:29', NULL, NULL), (12151, '', '东禅镇', '7688b780cbe14b92b62df310a72d4659', 'f0bda38be2474ee8b754bcc5117d4f93', 'True', 'True', 'false', 'false', '510904838000', 4, '东禅镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510904838000', 1, '2021-07-19 11:43:29', NULL, NULL), (12152, '', '报国村', '21f13d4d9bc043fbbe5d756117d322da', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101024', 5, '报国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101024', 1, '2021-07-19 11:43:29', NULL, NULL), (12153, '', '黄茅沟村', '21f8d26886db43518fff9c1bb9e07b55', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101040', 5, '黄茅沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101040', 1, '2021-07-19 11:43:29', NULL, NULL), (12154, '', '团结村', 'ac5bc6d82aee49cca665a4f88368efc0', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101049', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101049', 1, '2021-07-19 11:43:29', NULL, NULL), (12155, '', '金马村', 'b46e1cb23b07438a806c17cd5e14e212', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101100', 5, '金马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101100', 1, '2021-07-19 11:43:29', NULL, NULL), (12156, '', '仙湖村', '4b7ed42cbe2e48a987461a2cbaa2f8db', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101101', 5, '仙湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101101', 1, '2021-07-19 11:43:29', NULL, NULL), (12157, '', '瓦窑沟村', '10b3546848b646d0bb1b4eea931ff2c5', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101303', 5, '瓦窑沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101303', 1, '2021-07-19 11:43:29', NULL, NULL), (12158, '', '马良沟村', 'd9e9ee35954d461982452cf63679c355', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101319', 5, '马良沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101319', 1, '2021-07-19 11:43:29', NULL, NULL), (12159, '', '上游社区', '760ac71c7d9448839ed2bf8397010c06', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101330', 5, '上游社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101330', 1, '2021-07-19 11:43:29', NULL, NULL), (12160, '', '响滩村', '98def3d377e2450db737c77f35bf26b6', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101393', 5, '响滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101393', 1, '2021-07-19 11:43:30', NULL, NULL), (12161, '', '禅月村', '9a7aa8c71521430caf002773c04f9c5c', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101412', 5, '禅月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101412', 1, '2021-07-19 11:43:30', NULL, NULL), (12162, '', '石桥沟村', '391e6eec5740490c856d0e6db1896358', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101419', 5, '石桥沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101419', 1, '2021-07-19 11:43:30', NULL, NULL), (12163, '', '龙塘村', '865b4d9979474e9695d08b32274458c9', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101471', 5, '龙塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101471', 1, '2021-07-19 11:43:30', NULL, NULL), (12164, '', '桐石村', '87d143c42c5d401484848aacce93684d', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101488', 5, '桐石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101488', 1, '2021-07-19 11:43:30', NULL, NULL), (12165, '', '三联村', 'a1ad863543d24d4a83401e9948b26f8b', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101564', 5, '三联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101564', 1, '2021-07-19 11:43:30', NULL, NULL), (12166, '', '跑马滩村', '0e54b6a6e87644eb85c4d9936d11e642', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101617', 5, '跑马滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101617', 1, '2021-07-19 11:43:30', NULL, NULL), (12167, '', '十里桥村', 'd9d58be0ac5a48d6953207ee979d2950', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101625', 5, '十里桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101625', 1, '2021-07-19 11:43:30', NULL, NULL), (12168, '', '佛圣庙村', '5e84cf08018049cdb2972942c978806c', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101729', 5, '佛圣庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101729', 1, '2021-07-19 11:43:30', NULL, NULL), (12169, '', '回龙桥村', 'fddba3d796034e3d94d98be3ac8e3b54', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101730', 5, '回龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101730', 1, '2021-07-19 11:43:30', NULL, NULL), (12170, '', '万木村', '07f2715aa379492d82b1d6c0e5022d55', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101801', 5, '万木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101801', 1, '2021-07-19 11:43:30', NULL, NULL), (12171, '', '板凳垭村', 'f52d5f1cf52a47ada163a04c178a61ca', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101835', 5, '板凳垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101835', 1, '2021-07-19 11:43:30', NULL, NULL), (12172, '', '马家桥村', '2e318fb6af684824b94861264f28d8ff', '7688b780cbe14b92b62df310a72d4659', 'False', 'True', 'false', 'false', '510904101880', 5, '马家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904101880', 1, '2021-07-19 11:43:30', NULL, NULL), (12173, '', '横山镇', '695c58694ec94f5290580d2c52a90113', 'f0bda38be2474ee8b754bcc5117d4f93', 'True', 'True', 'false', 'false', '510904841000', 4, '横山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510904841000', 1, '2021-07-19 11:43:30', NULL, NULL), (12174, '', '横鑫社区', 'de1cefa268f142c8a498b615cab18ba4', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108027', 5, '横鑫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108027', 1, '2021-07-19 11:43:30', NULL, NULL), (12175, '', '碾子村', '3ea372229d7f4df4be79ae4efff21b2f', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108045', 5, '碾子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108045', 1, '2021-07-19 11:43:30', NULL, NULL), (12176, '', '天马村', 'b6371db3cb164b399f45fce5292f8ac4', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108128', 5, '天马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108128', 1, '2021-07-19 11:43:30', NULL, NULL), (12177, '', '双油房村', '4489c31b9ee945bc98dbe6dc05aff3da', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108133', 5, '双油房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108133', 1, '2021-07-19 11:43:31', NULL, NULL), (12178, '', '石山村', 'c52ef3a92d294147b76500954a0d42a7', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108170', 5, '石山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108170', 1, '2021-07-19 11:43:31', NULL, NULL), (12179, '', '双作坊村', '55c0fb2b1a324515aca1344fb572ac53', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108201', 5, '双作坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108201', 1, '2021-07-19 11:43:31', NULL, NULL), (12180, '', '磨沟村', '6906b0fb9ceb48d68c0da1bfe18878bf', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108273', 5, '磨沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108273', 1, '2021-07-19 11:43:31', NULL, NULL), (12181, '', '滑泥桥村', '147885f4c4f64c099e39a6e7cf624793', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108274', 5, '滑泥桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108274', 1, '2021-07-19 11:43:31', NULL, NULL), (12182, '', '龙翔村', 'f9dcbcf1bd6343959e7cd9952d1c52c6', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108334', 5, '龙翔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108334', 1, '2021-07-19 11:43:31', NULL, NULL), (12183, '', '鸡叫山村', '1aa141d187d54eba87248ba3647e0b8c', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108345', 5, '鸡叫山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108345', 1, '2021-07-19 11:43:31', NULL, NULL), (12184, '', '荒草堰村', '406ef1748d1f4eae9d3586f29c31314a', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108352', 5, '荒草堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108352', 1, '2021-07-19 11:43:31', NULL, NULL), (12185, '', '观音堂村', '7fab3635d3b84514a1e8e0b2a7bb05b6', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108371', 5, '观音堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108371', 1, '2021-07-19 11:43:31', NULL, NULL), (12186, '', '福海村', '6427749653a241b4be2f901f2f6923ec', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108376', 5, '福海村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108376', 1, '2021-07-19 11:43:31', NULL, NULL), (12187, '', '船形村', '37f187609dbc494981ba1d6d5a71bbfd', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108476', 5, '船形村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108476', 1, '2021-07-19 11:43:31', NULL, NULL), (12188, '', '干河村', 'a7d71c585ab34fa0b2dc75ae7e7ce06d', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108479', 5, '干河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108479', 1, '2021-07-19 11:43:31', NULL, NULL), (12189, '', '双龙桥村', '972d666b0dda4496bb70ffc152a0ee03', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108533', 5, '双龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108533', 1, '2021-07-19 11:43:31', NULL, NULL), (12190, '', '石柱沟村', '1c461de3eb2f43968791fd329596a659', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108541', 5, '石柱沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108541', 1, '2021-07-19 11:43:31', NULL, NULL), (12191, '', '观音社区', '4ae2924a2dad475999ee91f08cfcbc44', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108631', 5, '观音社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108631', 1, '2021-07-19 11:43:31', NULL, NULL), (12192, '', '樟树湾村', 'd6396035d4634ab39035aaf77f117e8c', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108685', 5, '樟树湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108685', 1, '2021-07-19 11:43:31', NULL, NULL), (12193, '', '梨园村', '1a0008ed2cec4d73b1ce694eb17fc8d2', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108708', 5, '梨园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108708', 1, '2021-07-19 11:43:32', NULL, NULL), (12194, '', '双桥子村', '4398d406b7a9464683fd97e4418a283d', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108710', 5, '双桥子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108710', 1, '2021-07-19 11:43:32', NULL, NULL), (12195, '', '朝天村', 'a7885b3a3756433cbe7142836d070b4f', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108721', 5, '朝天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108721', 1, '2021-07-19 11:43:32', NULL, NULL), (12196, '', '天宝村', '2167fbab39af4a38a3031359afcb48ce', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108752', 5, '天宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108752', 1, '2021-07-19 11:43:32', NULL, NULL), (12197, '', '云丰社区', '3af5039f520a498dbb26e657b7ac6b38', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108753', 5, '云丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108753', 1, '2021-07-19 11:43:32', NULL, NULL), (12198, '', '水利村', '853729954d0f427e86538c2bed0cff61', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108808', 5, '水利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108808', 1, '2021-07-19 11:43:32', NULL, NULL), (12199, '', '打鼓村', 'bb75429209154099b6406377ad089a4f', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108829', 5, '打鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108829', 1, '2021-07-19 11:43:32', NULL, NULL), (12200, '', '蒲家沟村', 'ce1f25045e9b4024a306739d30fef5ed', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108862', 5, '蒲家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108862', 1, '2021-07-19 11:43:32', NULL, NULL), (12201, '', '德公村', '402b57d9eba84805b2cde3bc09760249', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108881', 5, '德公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108881', 1, '2021-07-19 11:43:32', NULL, NULL), (12202, '', '侍郎湾村', '4c32e4db6c0a4512baacd865f1a25655', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108931', 5, '侍郎湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108931', 1, '2021-07-19 11:43:32', NULL, NULL), (12203, '', '柏桷村', 'd936522ab2b44cac9538263f01856dc3', '695c58694ec94f5290580d2c52a90113', 'False', 'True', 'false', 'false', '510904108942', 5, '柏桷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904108942', 1, '2021-07-19 11:43:32', NULL, NULL), (12204, '', '柔刚街道', '948219bc20ed4eefa1d73ab02240f642', 'f0bda38be2474ee8b754bcc5117d4f93', 'True', 'True', 'false', 'false', '510904858000', 4, '柔刚街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510904858000', 1, '2021-07-19 11:43:32', NULL, NULL), (12205, '', '三合碑社区', '25c6d231e6134c9884245d752c45d28c', '948219bc20ed4eefa1d73ab02240f642', 'False', 'True', 'false', 'false', '510904001010', 5, '三合碑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904001010', 1, '2021-07-19 11:43:32', NULL, NULL), (12206, '', '塘河社区', 'dd37033b96c04d1cb0f10b5dfc3c9446', '948219bc20ed4eefa1d73ab02240f642', 'False', 'True', 'false', 'false', '510904001012', 5, '塘河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904001012', 1, '2021-07-19 11:43:32', NULL, NULL), (12207, '', '萝卜园社区', '80309079600f4beca3d8e76ec5a10e0e', '948219bc20ed4eefa1d73ab02240f642', 'False', 'True', 'false', 'false', '510904001133', 5, '萝卜园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904001133', 1, '2021-07-19 11:43:32', NULL, NULL), (12208, '', '琼江社区', 'acab3393ac90424098da42dbb2b1cb6f', '948219bc20ed4eefa1d73ab02240f642', 'False', 'True', 'false', 'false', '510904001319', 5, '琼江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904001319', 1, '2021-07-19 11:43:32', NULL, NULL), (12209, '', '书院沟社区', 'ccc6392aadb24af5a7c05d20083e1b47', '948219bc20ed4eefa1d73ab02240f642', 'False', 'True', 'false', 'false', '510904001457', 5, '书院沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904001457', 1, '2021-07-19 11:43:32', NULL, NULL), (12210, '', '正东社区', '5a80e196a70d44939117c37f68fe6e11', '948219bc20ed4eefa1d73ab02240f642', 'False', 'True', 'false', 'false', '510904001496', 5, '正东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904001496', 1, '2021-07-19 11:43:33', NULL, NULL), (12211, '', '顺安社区', 'a579c2aa51f642b0a689e7a728f048d1', '948219bc20ed4eefa1d73ab02240f642', 'False', 'True', 'false', 'false', '510904001716', 5, '顺安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904001716', 1, '2021-07-19 11:43:33', NULL, NULL), (12212, '', '双林桥社区', 'acc8bb49fd354edb9bf7c8ba9c71723a', '948219bc20ed4eefa1d73ab02240f642', 'False', 'True', 'false', 'false', '510904001975', 5, '双林桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904001975', 1, '2021-07-19 11:43:33', NULL, NULL), (12213, '', '三家镇', '876945d6ba764d57bfb575502a34f0bf', 'f0bda38be2474ee8b754bcc5117d4f93', 'True', 'True', 'true', 'true', '510904876000', 4, '三家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510904876000', 1, '2021-07-19 11:43:33', NULL, NULL), (12214, '', '莲花村', '7ce7967c4b304da8bc219635b7df5b1c', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110048', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110048', 1, '2021-07-19 11:43:33', NULL, NULL), (12215, '', '双桥村', '079770348aa049ad891b67f75b7d5009', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110085', 5, '双桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110085', 1, '2021-07-19 11:43:33', NULL, NULL), (12216, '', '五磨村', 'ed4fcc45bd184902ba4497cf02b6ba26', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110154', 5, '五磨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110154', 1, '2021-07-19 11:43:33', NULL, NULL), (12217, '', '新洞湾村', 'a8d960b3c932408f983f019d91d75bab', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110163', 5, '新洞湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110163', 1, '2021-07-19 11:43:33', NULL, NULL), (12218, '', '龙嘴村', '2d37f242175c4237852bc26c3fdc6646', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110165', 5, '龙嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110165', 1, '2021-07-19 11:43:33', NULL, NULL), (12219, '', '南凤村', 'f09bb13678f14624a3c6480eff1ff539', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110168', 5, '南凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110168', 1, '2021-07-19 11:43:33', NULL, NULL), (12220, '', '山水村', '7d45f572e8ef45f29c04bc3f02f51074', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110203', 5, '山水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110203', 1, '2021-07-19 11:43:33', NULL, NULL), (12221, '', '春木村', '8a7e94504db2448b9aaafc57220978d8', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110219', 5, '春木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110219', 1, '2021-07-19 11:43:33', NULL, NULL), (12222, '', '鲁班会村', '477bf53cfcff405e940c4d56cba30088', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110238', 5, '鲁班会村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110238', 1, '2021-07-19 11:43:33', NULL, NULL), (12223, '', '河嘴村', '50b7f9228b3d4b09afe6c178523721f4', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110254', 5, '河嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110254', 1, '2021-07-19 11:43:33', NULL, NULL), (12224, '', '四岭村', '396339999131411a9470830a929feffa', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110257', 5, '四岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110257', 1, '2021-07-19 11:43:33', NULL, NULL), (12225, '', '凉水村', 'ce76ce4396ae4e0aa00aed38a8ade4cb', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110310', 5, '凉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110310', 1, '2021-07-19 11:43:33', NULL, NULL), (12226, '', '九岭村', 'e532760536cd474a9b9c4773324e8915', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110360', 5, '九岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110360', 1, '2021-07-19 11:43:33', NULL, NULL), (12227, '', '竹园村', 'f86c681ec7ee4c3a8aea67ebcf30def9', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110385', 5, '竹园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110385', 1, '2021-07-19 11:43:33', NULL, NULL), (12228, '', '青山村', '069fb8f9530843b28671c121c6927f56', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110389', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110389', 1, '2021-07-19 11:43:33', NULL, NULL), (12229, '', '大坡社区', '1bf98346c4e3468496002bbb71e50d28', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110413', 5, '大坡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110413', 1, '2021-07-19 11:43:34', NULL, NULL), (12230, '', '大安社区', '64bae291b74b4b04a78f14e46a2b3ea0', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110425', 5, '大安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110425', 1, '2021-07-19 11:43:34', NULL, NULL), (12231, '', '长乐村', '421c3db502224e3e919bce2e5a8dd5ea', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110428', 5, '长乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110428', 1, '2021-07-19 11:43:34', NULL, NULL), (12232, '', '三门村', 'f05c0c4f4ed24dd78be00a145e004c35', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110540', 5, '三门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110540', 1, '2021-07-19 11:43:34', NULL, NULL), (12233, '', '堂铃村', '11e2d11d4cd54d86bc3c53732af03cb3', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110583', 5, '堂铃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110583', 1, '2021-07-19 11:43:34', NULL, NULL), (12234, '', '牛角村', '8dd6a456d41a4fd5bb91e50002a2870b', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110606', 5, '牛角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110606', 1, '2021-07-19 11:43:34', NULL, NULL), (12235, '', '高石村', 'c66f615d8eb343dbb7254a7f7b09e529', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110621', 5, '高石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110621', 1, '2021-07-19 11:43:34', NULL, NULL), (12236, '', '金龙寨村', '2ac64ac92fbe43108822fce831a24dc4', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110631', 5, '金龙寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110631', 1, '2021-07-19 11:43:34', NULL, NULL), (12237, '', '土祠村', 'c89284ca1135481da8bf0bbaed7e4d05', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110635', 5, '土祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110635', 1, '2021-07-19 11:43:34', NULL, NULL), (12238, '', '大桥村', '6083d0325de54199846be4ba8fa5e599', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110641', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110641', 1, '2021-07-19 11:43:34', NULL, NULL), (12239, '', '家鑫社区', '3e672935cdd747358fb80d49dbeb9d28', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110644', 5, '家鑫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110644', 1, '2021-07-19 11:43:34', NULL, NULL), (12240, '', '圆坝村', '49e616dbc3124e89b6937426effadcc2', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110707', 5, '圆坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110707', 1, '2021-07-19 11:43:34', NULL, NULL), (12241, '', '金团村', 'efd0348ac68c4e858dddc74677edf37f', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110708', 5, '金团村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110708', 1, '2021-07-19 11:43:34', NULL, NULL), (12242, '', '场口村', '520d7b2df54c4988906e5ffc427b433f', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110762', 5, '场口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110762', 1, '2021-07-19 11:43:34', NULL, NULL), (12243, '', '三圆村', 'a28e2caeb4114ba387d1105446a34384', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110763', 5, '三圆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110763', 1, '2021-07-19 11:43:34', NULL, NULL), (12244, '', '三口堰村', '7189e9b3852f41daac2115ccf5b7705c', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110793', 5, '三口堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110793', 1, '2021-07-19 11:43:34', NULL, NULL), (12245, '', '四安村', '80e31243da9544b8a913c2241313e28f', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110807', 5, '四安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110807', 1, '2021-07-19 11:43:34', NULL, NULL), (12246, '', '家园社区', 'e9f235e8ea4f492b97dfe6a642c3b480', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110817', 5, '家园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110817', 1, '2021-07-19 11:43:34', NULL, NULL), (12247, '', '双踏村', 'beaf90afdaba42a6872fb4e3a5e4c6c2', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110819', 5, '双踏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110819', 1, '2021-07-19 11:43:34', NULL, NULL), (12248, '', '胜利村', 'c5634af2a9e044cb8a5f34af10d4d1c7', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110844', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110844', 1, '2021-07-19 11:43:35', NULL, NULL), (12249, '', '明星村', '3690b18e8b1447d1a4dba7da47c9adfb', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110866', 5, '明星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110866', 1, '2021-07-19 11:43:35', NULL, NULL), (12250, '', '芦城村', '6e10322847694eb288fa14777dec644e', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110885', 5, '芦城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110885', 1, '2021-07-19 11:43:35', NULL, NULL), (12251, '', '新场村', '4c1a0e2f086a4dfb98c74a7ccfce3e75', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110916', 5, '新场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110916', 1, '2021-07-19 11:43:35', NULL, NULL), (12252, '', '太平社区', 'da6352c574394907a4c62bc9366ddcd3', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110963', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110963', 1, '2021-07-19 11:43:35', NULL, NULL), (12253, '', '龙垭村', '3646fdaf16804150b2c7011b7bed3040', '876945d6ba764d57bfb575502a34f0bf', 'False', 'True', 'false', 'false', '510904110999', 5, '龙垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510904110999', 1, '2021-07-19 11:43:35', NULL, NULL), (12254, '', '射洪市', '6c1755bb9d154edb8d1893f037cf106d', '50f12c6cc85e4ea3aac4d59ab7d035eb', 'True', 'True', 'false', 'false', '510981000000', 3, '射洪市', 'snsshx.sczwfw.gov.cn', 1, '2021-07-19 11:43:35', NULL, NULL), (12255, '', '太和街道', '88b4934371284a049f5393b54d2a6a91', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981001000', 4, '太和街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981001000', 1, '2021-07-19 11:43:35', NULL, NULL), (12256, '', '衙署街社区', 'bfa8090b87d54bf9a441811adf8a1348', '88b4934371284a049f5393b54d2a6a91', 'False', 'True', 'false', 'false', '510981001001', 5, '衙署街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981001001', 1, '2021-07-19 11:43:35', NULL, NULL), (12257, '', '三元宫社区', '4aac63adf90f433caef417ccac20735b', '88b4934371284a049f5393b54d2a6a91', 'False', 'True', 'false', 'false', '510981001002', 5, '三元宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981001002', 1, '2021-07-19 11:43:35', NULL, NULL), (12258, '', '德胜街社区', '9f19cd8fefb84350bfb7132cbfa29111', '88b4934371284a049f5393b54d2a6a91', 'False', 'True', 'false', 'false', '510981001003', 5, '德胜街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981001003', 1, '2021-07-19 11:43:35', NULL, NULL), (12259, '', '水浒宫社区', 'c0eb2e0e7a314568ab547368c496e9ac', '88b4934371284a049f5393b54d2a6a91', 'False', 'True', 'false', 'false', '510981001004', 5, '水浒宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981001004', 1, '2021-07-19 11:43:35', NULL, NULL), (12260, '', '保河社区', 'c4173b896530449b8b7679bbcc60a531', '88b4934371284a049f5393b54d2a6a91', 'False', 'True', 'false', 'false', '510981001005', 5, '保河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981001005', 1, '2021-07-19 11:43:35', NULL, NULL), (12261, '', '黄磉浩社区', '9b933dc912fb4f8d929b27b7df26375a', '88b4934371284a049f5393b54d2a6a91', 'False', 'True', 'false', 'false', '510981001006', 5, '黄磉浩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981001006', 1, '2021-07-19 11:43:35', NULL, NULL), (12262, '', '机房街社区', '296222d242b54e09a7b5f94070322986', '88b4934371284a049f5393b54d2a6a91', 'False', 'True', 'false', 'false', '510981001007', 5, '机房街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981001007', 1, '2021-07-19 11:43:35', NULL, NULL), (12263, '', '建设社区', '0b2ff6265af941b3ba4f42a23db31552', '88b4934371284a049f5393b54d2a6a91', 'False', 'True', 'false', 'false', '510981001008', 5, '建设社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981001008', 1, '2021-07-19 11:43:35', NULL, NULL), (12264, '', '何家桥社区', '8430d1a1b4b643a08d6504018889861c', '88b4934371284a049f5393b54d2a6a91', 'False', 'True', 'false', 'false', '510981001009', 5, '何家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981001009', 1, '2021-07-19 11:43:36', NULL, NULL), (12265, '', '佛南社区', '22c95838b8ed426fa8440d8dae992ad2', '88b4934371284a049f5393b54d2a6a91', 'False', 'True', 'false', 'false', '510981001010', 5, '佛南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981001010', 1, '2021-07-19 11:43:36', NULL, NULL), (12266, '', '凉帽山社区', '54e1224ee28a40d3962fb972f54b5e8b', '88b4934371284a049f5393b54d2a6a91', 'False', 'True', 'false', 'false', '510981001011', 5, '凉帽山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981001011', 1, '2021-07-19 11:43:36', NULL, NULL), (12267, '', '王爷庙社区', '6a8f54a9b2ad4b3890e526b0fdebbdfe', '88b4934371284a049f5393b54d2a6a91', 'False', 'True', 'false', 'false', '510981001012', 5, '王爷庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981001012', 1, '2021-07-19 11:43:36', NULL, NULL), (12268, '', '南井沟社区', '896bfd024f974b43b25fbd0b82d5e7c2', '88b4934371284a049f5393b54d2a6a91', 'False', 'True', 'false', 'false', '510981001013', 5, '南井沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981001013', 1, '2021-07-19 11:43:36', NULL, NULL), (12269, '', '桂仙社区', '22e4ce2d3f624e99a9cedcaf52df676f', '88b4934371284a049f5393b54d2a6a91', 'False', 'True', 'false', 'false', '510981001014', 5, '桂仙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981001014', 1, '2021-07-19 11:43:36', NULL, NULL), (12270, '', '白莲山村', '432a36c09d4e47e09c7e2b9d46664336', '88b4934371284a049f5393b54d2a6a91', 'False', 'True', 'false', 'false', '510981001202', 5, '白莲山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981001202', 1, '2021-07-19 11:43:36', NULL, NULL), (12271, '', '平安街道', '443a5ef8d9794b1daaeee029281b0ef5', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981002000', 4, '平安街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981002000', 1, '2021-07-19 11:43:36', NULL, NULL), (12272, '', '清家堰社区', '36115fb7c3f1473d84a86f5844c0dd79', '443a5ef8d9794b1daaeee029281b0ef5', 'False', 'True', 'false', 'false', '510981002001', 5, '清家堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981002001', 1, '2021-07-19 11:43:36', NULL, NULL), (12273, '', '团结社区', 'ccd600c5b0f24e5f9cf25a24ccc31c57', '443a5ef8d9794b1daaeee029281b0ef5', 'False', 'True', 'false', 'false', '510981002002', 5, '团结社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981002002', 1, '2021-07-19 11:43:36', NULL, NULL), (12274, '', '太空社区', '72d65142eef14405af446dc5c8a2cc15', '443a5ef8d9794b1daaeee029281b0ef5', 'False', 'True', 'false', 'false', '510981002003', 5, '太空社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981002003', 1, '2021-07-19 11:43:36', NULL, NULL), (12275, '', '蟠龙社区', '568a75bd05de434d984d5eb60d47a57f', '443a5ef8d9794b1daaeee029281b0ef5', 'False', 'True', 'false', 'false', '510981002004', 5, '蟠龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981002004', 1, '2021-07-19 11:43:36', NULL, NULL), (12276, '', '银华社区', 'f134a2a53f084bf0af18f662f413caeb', '443a5ef8d9794b1daaeee029281b0ef5', 'False', 'True', 'false', 'false', '510981002005', 5, '银华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981002005', 1, '2021-07-19 11:43:36', NULL, NULL), (12277, '', '平安社区', '309d4e4a8f664c18936ea89672806b48', '443a5ef8d9794b1daaeee029281b0ef5', 'False', 'True', 'false', 'false', '510981002006', 5, '平安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981002006', 1, '2021-07-19 11:43:36', NULL, NULL), (12278, '', '木孔垭社区', '22f54eaa5e74498391ce7e82f05c1fcb', '443a5ef8d9794b1daaeee029281b0ef5', 'False', 'True', 'false', 'false', '510981002007', 5, '木孔垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981002007', 1, '2021-07-19 11:43:36', NULL, NULL), (12279, '', '大堰社区', '305b493c501942a8914869a3b973fd23', '443a5ef8d9794b1daaeee029281b0ef5', 'False', 'True', 'false', 'false', '510981002008', 5, '大堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981002008', 1, '2021-07-19 11:43:36', NULL, NULL), (12280, '', '武安镇', '0e370a32213e425eb06dda8a95da4266', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981100000', 4, '武安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981100000', 1, '2021-07-19 11:43:36', NULL, NULL), (12281, '', '香樟社区', '146bdb8bd8594392b13f6215a380ca38', '0e370a32213e425eb06dda8a95da4266', 'False', 'True', 'false', 'false', '510981100001', 5, '香樟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981100001', 1, '2021-07-19 11:43:36', NULL, NULL), (12282, '', '玉皇街社区', 'caa2887fb3a74bc796152262fef6a1e4', '0e370a32213e425eb06dda8a95da4266', 'False', 'True', 'false', 'false', '510981100002', 5, '玉皇街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981100002', 1, '2021-07-19 11:43:36', NULL, NULL), (12283, '', '文聚场社区', '1723ed9a4c534b8aaa75743d339bfe0e', '0e370a32213e425eb06dda8a95da4266', 'False', 'True', 'false', 'false', '510981100003', 5, '文聚场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981100003', 1, '2021-07-19 11:43:37', NULL, NULL), (12284, '', '金鱼垭村', '2dd960a109a945bc8d4c1bde0bcbb2ad', '0e370a32213e425eb06dda8a95da4266', 'False', 'True', 'false', 'false', '510981100200', 5, '金鱼垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981100200', 1, '2021-07-19 11:43:37', NULL, NULL), (12285, '', '瓦窑村', '9fd2e58f5b4543218143931f1c5f0537', '0e370a32213e425eb06dda8a95da4266', 'False', 'True', 'false', 'false', '510981100201', 5, '瓦窑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981100201', 1, '2021-07-19 11:43:37', NULL, NULL), (12286, '', '金寨村', '312c6cac241f4a44937d908f7243536a', '0e370a32213e425eb06dda8a95da4266', 'False', 'True', 'false', 'false', '510981100202', 5, '金寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981100202', 1, '2021-07-19 11:43:37', NULL, NULL), (12287, '', '花土地村', '7e3f7d7074f74196928a8ed2c23b06b7', '0e370a32213e425eb06dda8a95da4266', 'False', 'True', 'false', 'false', '510981100203', 5, '花土地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981100203', 1, '2021-07-19 11:43:37', NULL, NULL), (12288, '', '宝堂村', '382cc7b89e264e2c84d3d4ebba3c9403', '0e370a32213e425eb06dda8a95da4266', 'False', 'True', 'false', 'false', '510981100205', 5, '宝堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981100205', 1, '2021-07-19 11:43:37', NULL, NULL), (12289, '', '白马庙村', '74e1e734b3e94b4a988b7fae03027fc6', '0e370a32213e425eb06dda8a95da4266', 'False', 'True', 'false', 'false', '510981100206', 5, '白马庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981100206', 1, '2021-07-19 11:43:37', NULL, NULL), (12290, '', '磨嘴村', 'bfa2d033637042d380fe75f8a5f3e666', '0e370a32213e425eb06dda8a95da4266', 'False', 'True', 'false', 'false', '510981100208', 5, '磨嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981100208', 1, '2021-07-19 11:43:37', NULL, NULL), (12291, '', '熊家祠村', '1509375f11b742b1b2ace9aad4805cad', '0e370a32213e425eb06dda8a95da4266', 'False', 'True', 'false', 'false', '510981100209', 5, '熊家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981100209', 1, '2021-07-19 11:43:37', NULL, NULL), (12292, '', '文武村', '78b3677afda64ff78947c40c4d3b0c8f', '0e370a32213e425eb06dda8a95da4266', 'False', 'True', 'false', 'false', '510981100210', 5, '文武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981100210', 1, '2021-07-19 11:43:37', NULL, NULL), (12293, '', '红碑村', '943dc84f9bb24740be4cc8372ed1f4d3', '0e370a32213e425eb06dda8a95da4266', 'False', 'True', 'false', 'false', '510981100211', 5, '红碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981100211', 1, '2021-07-19 11:43:37', NULL, NULL), (12294, '', '白鹿垭村', 'c37191583dfd4501b923a380a8427171', '0e370a32213e425eb06dda8a95da4266', 'False', 'True', 'false', 'false', '510981100212', 5, '白鹿垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981100212', 1, '2021-07-19 11:43:37', NULL, NULL), (12295, '', '石河村', '8ef77a1111054beb911aa3b652cef9f8', '0e370a32213e425eb06dda8a95da4266', 'False', 'True', 'false', 'false', '510981100220', 5, '石河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981100220', 1, '2021-07-19 11:43:37', NULL, NULL), (12296, '', '大榆镇', '2a588b123a484c87b7f4631e06960b5c', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981101000', 4, '大榆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981101000', 1, '2021-07-19 11:43:38', NULL, NULL), (12297, '', '星光社区', 'e2ca4bace22d488f83d2769906fbc9a7', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101001', 5, '星光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101001', 1, '2021-07-19 11:43:38', NULL, NULL), (12298, '', '金山社区', '25584914103243ffa4bb4883799caf44', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101002', 5, '金山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101002', 1, '2021-07-19 11:43:38', NULL, NULL), (12299, '', '土桥社区', '339900551f4f472cb14a7b827e4cb964', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101003', 5, '土桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101003', 1, '2021-07-19 11:43:38', NULL, NULL), (12300, '', '螺湖半岛社区', '4150c416208449859754e01460372bd0', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101004', 5, '螺湖半岛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101004', 1, '2021-07-19 11:43:38', NULL, NULL), (12301, '', '碧山村', '9e75661fb7594fb7a284c3da793e5dc5', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101201', 5, '碧山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101201', 1, '2021-07-19 11:43:38', NULL, NULL), (12302, '', '五家桥村', 'cd2c4a1092a7446fb2cb57f01e805644', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101204', 5, '五家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101204', 1, '2021-07-19 11:43:38', NULL, NULL), (12303, '', '张家口村', '04ff06c58eee4a42a6eaf5c4e5db7d7d', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101205', 5, '张家口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101205', 1, '2021-07-19 11:43:38', NULL, NULL), (12304, '', '井湾村', 'f576763d4c8e4046ad08084b4a31d806', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101206', 5, '井湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101206', 1, '2021-07-19 11:43:38', NULL, NULL), (12305, '', '哨楼村', '6384048c73404a3f9a1084d4bfd01b92', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101207', 5, '哨楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101207', 1, '2021-07-19 11:43:38', NULL, NULL), (12306, '', '金台山村', '02d0faeef72f44589ed490959f87de18', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101208', 5, '金台山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101208', 1, '2021-07-19 11:43:39', NULL, NULL), (12307, '', '广玉村', 'e0a9267aa9de48898050486b716a2850', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101209', 5, '广玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101209', 1, '2021-07-19 11:43:39', NULL, NULL), (12308, '', '桃木沟村', '7a4f15458b854ddd8ce6f776d2637985', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101210', 5, '桃木沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101210', 1, '2021-07-19 11:43:39', NULL, NULL), (12309, '', '黄莲嘴村', '2ffc8acc572e494aa8b4c16512e6551f', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101211', 5, '黄莲嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101211', 1, '2021-07-19 11:43:39', NULL, NULL), (12310, '', '方圣村', '1467456271f64e27bccc5b3be93b7e5e', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101212', 5, '方圣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101212', 1, '2021-07-19 11:43:39', NULL, NULL), (12311, '', '新井村', '6e58f4d656214a3080bce11eed8e2ae2', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101213', 5, '新井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101213', 1, '2021-07-19 11:43:39', NULL, NULL), (12312, '', '大桥村', '3cf2ebd247e8485e860f9f14f2ed2733', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101214', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101214', 1, '2021-07-19 11:43:39', NULL, NULL), (12313, '', '二郎庙村', 'c0b1ceb84c234cf08ebc2b710d23a1aa', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101215', 5, '二郎庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101215', 1, '2021-07-19 11:43:39', NULL, NULL), (12314, '', '郭家坝村', 'fa4788dc6a42499f806690f6b588ae54', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101216', 5, '郭家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101216', 1, '2021-07-19 11:43:39', NULL, NULL), (12315, '', '古井口村', '349c410e3dd34c81bc635070cb93ebae', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101219', 5, '古井口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101219', 1, '2021-07-19 11:43:39', NULL, NULL), (12316, '', '金鹤村', 'f4321c36fd1843f8aa82cd99bb028096', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101220', 5, '金鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101220', 1, '2021-07-19 11:43:39', NULL, NULL), (12317, '', '永乐村', 'a77b2f1e8e204b4aa4111c302a335e82', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101221', 5, '永乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101221', 1, '2021-07-19 11:43:39', NULL, NULL), (12318, '', '钟家店村', '3eeffddf230a49f598699f1efd380d5c', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101222', 5, '钟家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101222', 1, '2021-07-19 11:43:39', NULL, NULL), (12319, '', '茶店村', '46664d2cabe44c069fef225cc0db2547', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101223', 5, '茶店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101223', 1, '2021-07-19 11:43:39', NULL, NULL), (12320, '', '逍遥才子村', '72b31dcd23fb41e0af61cd4abd0a3355', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101224', 5, '逍遥才子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101224', 1, '2021-07-19 11:43:40', NULL, NULL), (12321, '', '龙凤泉村', '7f9d7f3cc2304999b3622b3fcfb51dd7', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101225', 5, '龙凤泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101225', 1, '2021-07-19 11:43:40', NULL, NULL), (12322, '', '松林村', 'e715ebad6dbc4041adccb254f54b0bf6', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101226', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101226', 1, '2021-07-19 11:43:40', NULL, NULL), (12323, '', '海棠村', '3b446c4b057e4e7fa68fba922e85d72d', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101227', 5, '海棠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101227', 1, '2021-07-19 11:43:40', NULL, NULL), (12324, '', '光荣七里村', 'b95c251695e546a087cb34b2cb2df649', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101228', 5, '光荣七里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101228', 1, '2021-07-19 11:43:40', NULL, NULL), (12325, '', '花朝门村', 'bc52e2431f844e488375f41b288f2768', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101241', 5, '花朝门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101241', 1, '2021-07-19 11:43:40', NULL, NULL), (12326, '', '麻柳坪村', 'ad2a96e74ff64fdebc9987f307aafca3', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101244', 5, '麻柳坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101244', 1, '2021-07-19 11:43:40', NULL, NULL), (12327, '', '临江村', 'fc5b282af6e74f9f9e3b4875c4c37a5f', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101248', 5, '临江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101248', 1, '2021-07-19 11:43:40', NULL, NULL), (12328, '', '改板沟村', 'fc1a16d9e9fe4a1bbfefc712f48bfe57', '2a588b123a484c87b7f4631e06960b5c', 'False', 'True', 'false', 'false', '510981101250', 5, '改板沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981101250', 1, '2021-07-19 11:43:40', NULL, NULL), (12329, '', '广兴镇', '17f7a10baca34af0b10bd0b130290ed4', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981102000', 4, '广兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981102000', 1, '2021-07-19 11:43:40', NULL, NULL), (12330, '', '螺湖社区', '0556b55915764fdc8102cf44eb5211b9', '17f7a10baca34af0b10bd0b130290ed4', 'False', 'True', 'false', 'false', '510981102001', 5, '螺湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981102001', 1, '2021-07-19 11:43:40', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (12331, '', '新长村', '7f626b6d8af943d7aaa7a667eca0305c', '17f7a10baca34af0b10bd0b130290ed4', 'False', 'True', 'false', 'false', '510981102201', 5, '新长村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981102201', 1, '2021-07-19 11:43:40', NULL, NULL), (12332, '', '团结兴村', '217c232fc01147478733dd17cdc02352', '17f7a10baca34af0b10bd0b130290ed4', 'False', 'True', 'false', 'false', '510981102203', 5, '团结兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981102203', 1, '2021-07-19 11:43:40', NULL, NULL), (12333, '', '富螺湾村', '300f7c0877e346fa898b4a4e849925fb', '17f7a10baca34af0b10bd0b130290ed4', 'False', 'True', 'false', 'false', '510981102204', 5, '富螺湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981102204', 1, '2021-07-19 11:43:41', NULL, NULL), (12334, '', '武南村', 'dd157d7a04fe4a6f87cb55bee493bbc0', '17f7a10baca34af0b10bd0b130290ed4', 'False', 'True', 'false', 'false', '510981102205', 5, '武南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981102205', 1, '2021-07-19 11:43:41', NULL, NULL), (12335, '', '万新村', 'becd18a9a0bc46b2b0e1888331ceed3d', '17f7a10baca34af0b10bd0b130290ed4', 'False', 'True', 'false', 'false', '510981102206', 5, '万新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981102206', 1, '2021-07-19 11:43:41', NULL, NULL), (12336, '', '金泉村', '0708a1ced2814093810111cf6d892cf0', '17f7a10baca34af0b10bd0b130290ed4', 'False', 'True', 'false', 'false', '510981102207', 5, '金泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981102207', 1, '2021-07-19 11:43:41', NULL, NULL), (12337, '', '双江村', 'a88d452875c348509a2d2734e63b0f84', '17f7a10baca34af0b10bd0b130290ed4', 'False', 'True', 'false', 'false', '510981102208', 5, '双江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981102208', 1, '2021-07-19 11:43:41', NULL, NULL), (12338, '', '东塔村', '2c7df304787c4333b894234e959a2f95', '17f7a10baca34af0b10bd0b130290ed4', 'False', 'True', 'false', 'false', '510981102209', 5, '东塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981102209', 1, '2021-07-19 11:43:41', NULL, NULL), (12339, '', '滴水岩村', '2da6975b325a4bd393093bb4e09950bb', '17f7a10baca34af0b10bd0b130290ed4', 'False', 'True', 'false', 'false', '510981102210', 5, '滴水岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981102210', 1, '2021-07-19 11:43:41', NULL, NULL), (12340, '', '龙宝坝村', '2132f5291b1547099d9dc37ee191065b', '17f7a10baca34af0b10bd0b130290ed4', 'False', 'True', 'false', 'false', '510981102211', 5, '龙宝坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981102211', 1, '2021-07-19 11:43:41', NULL, NULL), (12341, '', '金华镇', 'fc4fa3eb50a24ec4b1ad148e912f7564', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981103000', 4, '金华镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981103000', 1, '2021-07-19 11:43:41', NULL, NULL), (12342, '', '凯旋社区', '3c6f9fe5e66f496c97848cf025cc562f', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103001', 5, '凯旋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103001', 1, '2021-07-19 11:43:41', NULL, NULL), (12343, '', '高梧社区', 'a4fa2e01a3bf480f83ff929fa4ba46de', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103002', 5, '高梧社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103002', 1, '2021-07-19 11:43:41', NULL, NULL), (12344, '', '兴隆社区', '28923bb3109e49589dc5516c9f0d875f', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103003', 5, '兴隆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103003', 1, '2021-07-19 11:43:41', NULL, NULL), (12345, '', '花园社区', '513f1c83f589489296c3e3c0775a2475', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103004', 5, '花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103004', 1, '2021-07-19 11:43:42', NULL, NULL), (12346, '', '牌坊沟村', 'b40bf19bb7ab490c9dc828337e693e76', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103201', 5, '牌坊沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103201', 1, '2021-07-19 11:43:42', NULL, NULL), (12347, '', '丰隆村', '784e833a7da148ff8f93472a599b550b', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103202', 5, '丰隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103202', 1, '2021-07-19 11:43:42', NULL, NULL), (12348, '', '东山村', '10f3cd8927324eacb6104528e8836b76', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103203', 5, '东山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103203', 1, '2021-07-19 11:43:42', NULL, NULL), (12349, '', '大溪口村', '0b41a57658974c6f9f2fd09042e3d27b', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103204', 5, '大溪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103204', 1, '2021-07-19 11:43:42', NULL, NULL), (12350, '', '碧堂村', '939de7d138d34cf9b29606ddbb90f962', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103205', 5, '碧堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103205', 1, '2021-07-19 11:43:42', NULL, NULL), (12351, '', '武东村', 'b911dab2ffdc4caaa2ba66a7d0796e79', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103206', 5, '武东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103206', 1, '2021-07-19 11:43:42', NULL, NULL), (12352, '', '天宝寨村', '5ffb4d4095fa451a8b39055fe0a49ee0', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103207', 5, '天宝寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103207', 1, '2021-07-19 11:43:42', NULL, NULL), (12353, '', '西山坪村', 'c75c3eaf2dea4bdab1beae7de33ca851', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103208', 5, '西山坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103208', 1, '2021-07-19 11:43:42', NULL, NULL), (12354, '', '凉水井村', '1fe2a0a40a1446969a5055627d5dc5dc', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103209', 5, '凉水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103209', 1, '2021-07-19 11:43:42', NULL, NULL), (12355, '', '黑水浩村', '8d711c1435734f899b540cac1d4ddfa5', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103211', 5, '黑水浩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103211', 1, '2021-07-19 11:43:43', NULL, NULL), (12356, '', '高桥村', '63cd2e0838084783bd4496056b9eb670', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103212', 5, '高桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103212', 1, '2021-07-19 11:43:43', NULL, NULL), (12357, '', '石桥村', '2fb79052c66f44b59ded63890c719f55', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103213', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103213', 1, '2021-07-19 11:43:43', NULL, NULL), (12358, '', '伯玉村', '23e114713cf14d638e1a25afa6c169bf', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103221', 5, '伯玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103221', 1, '2021-07-19 11:43:43', NULL, NULL), (12359, '', '牯牛坝村', '8238beb9da24413fa0bc9df61b2ea5a3', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103230', 5, '牯牛坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103230', 1, '2021-07-19 11:43:43', NULL, NULL), (12360, '', '文武村', '534489145c1c475c9b23bf0ab532d552', 'fc4fa3eb50a24ec4b1ad148e912f7564', 'False', 'True', 'false', 'false', '510981103231', 5, '文武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981103231', 1, '2021-07-19 11:43:43', NULL, NULL), (12361, '', '沱牌镇', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981104000', 4, '沱牌镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981104000', 1, '2021-07-19 11:43:43', NULL, NULL), (12362, '', '龙池社区', '5bfb15082f9c45ac878a4b05b596bd6f', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104001', 5, '龙池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104001', 1, '2021-07-19 11:43:43', NULL, NULL), (12363, '', '中街社区', '25d133f9ddbe4c1786ea6d70566143c7', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104002', 5, '中街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104002', 1, '2021-07-19 11:43:43', NULL, NULL), (12364, '', '五显楼社区', 'ea35560313514582a2fa3397b0292bd6', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104004', 5, '五显楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104004', 1, '2021-07-19 11:43:43', NULL, NULL), (12365, '', '目连社区', '552a5a02ed404f23b6da2f16004f4650', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104005', 5, '目连社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104005', 1, '2021-07-19 11:43:43', NULL, NULL), (12366, '', '通泉村', '1f05a949567f42029c66d8e9a877808f', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104201', 5, '通泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104201', 1, '2021-07-19 11:43:43', NULL, NULL), (12367, '', '文宝村', '4bf5526978184c78a887fc0f956c0a38', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104202', 5, '文宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104202', 1, '2021-07-19 11:43:43', NULL, NULL), (12368, '', '金舜村', 'deadab3c61364b768826b2e673041355', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104203', 5, '金舜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104203', 1, '2021-07-19 11:43:44', NULL, NULL), (12369, '', '高新村', '7685db5d345f489c9d8a07cab413da97', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104204', 5, '高新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104204', 1, '2021-07-19 11:43:44', NULL, NULL), (12370, '', '断石桥村', '17ce441bee0c4890a10d9103faf6619d', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104205', 5, '断石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104205', 1, '2021-07-19 11:43:44', NULL, NULL), (12371, '', '二教寺村', '1c5779bfb6cc484db6ec46eb417672e8', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104206', 5, '二教寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104206', 1, '2021-07-19 11:43:44', NULL, NULL), (12372, '', '文丰村', 'aee6c05928e9465080ac2272dddefe82', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104207', 5, '文丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104207', 1, '2021-07-19 11:43:44', NULL, NULL), (12373, '', '纸周村', 'f04fecf8194d40a486cf667636912b08', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104208', 5, '纸周村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104208', 1, '2021-07-19 11:43:44', NULL, NULL), (12374, '', '华严村', '6ecfd0d08e03446fb393aef947443116', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104209', 5, '华严村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104209', 1, '2021-07-19 11:43:44', NULL, NULL), (12375, '', '白石村', '4cfa6574a0d54ed793fd31974a9b045c', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104210', 5, '白石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104210', 1, '2021-07-19 11:43:44', NULL, NULL), (12376, '', '龙泉村', '4db512ec55014d1ba48b89f99d4a86a4', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104211', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104211', 1, '2021-07-19 11:43:44', NULL, NULL), (12377, '', '魏家营村', 'ae80e247bfbc498da5298adec041ae8d', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104212', 5, '魏家营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104212', 1, '2021-07-19 11:43:44', NULL, NULL), (12378, '', '永和村', '68d12acd44a1405b9955c240aaaa35b0', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104213', 5, '永和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104213', 1, '2021-07-19 11:43:44', NULL, NULL), (12379, '', '凤竹村', '1c4e04a08a1b4e4e9c1a66e0bf310caf', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104214', 5, '凤竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104214', 1, '2021-07-19 11:43:44', NULL, NULL), (12380, '', '瓮城村', 'e7ecbc71812e4550bfdd8993348dcb06', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104215', 5, '瓮城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104215', 1, '2021-07-19 11:43:44', NULL, NULL), (12381, '', '桃花村', '4f7af077ae0b4ccdadd48f7767538c80', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104216', 5, '桃花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104216', 1, '2021-07-19 11:43:45', NULL, NULL), (12382, '', '红星村', '79200d40614248f4a25505e6304d03de', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104221', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104221', 1, '2021-07-19 11:43:45', NULL, NULL), (12383, '', '桑树林村', 'a9fbcb4109a74e74bc05abeae2331804', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104223', 5, '桑树林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104223', 1, '2021-07-19 11:43:45', NULL, NULL), (12384, '', '光华村', '5a09361b4dd24cfdb22a52b70f937f4c', '52a00e187ecb4aa9a3b4a0dcd71fa8ba', 'False', 'True', 'false', 'false', '510981104231', 5, '光华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981104231', 1, '2021-07-19 11:43:45', NULL, NULL), (12385, '', '太乙镇', 'ac6266c7f0484686a975afdcdbf77582', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981105000', 4, '太乙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981105000', 1, '2021-07-19 11:43:45', NULL, NULL), (12386, '', '观音阁社区', 'f11b9386aa334b78ab88ecda6604731b', 'ac6266c7f0484686a975afdcdbf77582', 'False', 'True', 'false', 'false', '510981105001', 5, '观音阁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981105001', 1, '2021-07-19 11:43:45', NULL, NULL), (12387, '', '朝阳社区', '73e00fcc8aad45869383c5f8e9b6023f', 'ac6266c7f0484686a975afdcdbf77582', 'False', 'True', 'false', 'false', '510981105002', 5, '朝阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981105002', 1, '2021-07-19 11:43:45', NULL, NULL), (12388, '', '白鹤庙村', '9544e9c3a41b4f8db47ab875efef25d0', 'ac6266c7f0484686a975afdcdbf77582', 'False', 'True', 'false', 'false', '510981105205', 5, '白鹤庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981105205', 1, '2021-07-19 11:43:45', NULL, NULL), (12389, '', '帽匠垭村', '39344cb8450445398ac02e8a88d21641', 'ac6266c7f0484686a975afdcdbf77582', 'False', 'True', 'false', 'false', '510981105206', 5, '帽匠垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981105206', 1, '2021-07-19 11:43:45', NULL, NULL), (12390, '', '驼柏树村', '4bfc517e779b49eeb872eb7a95f68bee', 'ac6266c7f0484686a975afdcdbf77582', 'False', 'True', 'false', 'false', '510981105207', 5, '驼柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981105207', 1, '2021-07-19 11:43:45', NULL, NULL), (12391, '', '英雄村', '00964a4b388540f381148da6e596d38f', 'ac6266c7f0484686a975afdcdbf77582', 'False', 'True', 'false', 'false', '510981105208', 5, '英雄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981105208', 1, '2021-07-19 11:43:45', NULL, NULL), (12392, '', '富乐村', '04ed6b4a82504069b8b6a98f246765ca', 'ac6266c7f0484686a975afdcdbf77582', 'False', 'True', 'false', 'false', '510981105209', 5, '富乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981105209', 1, '2021-07-19 11:43:45', NULL, NULL), (12393, '', '富民村', '9158b90665e6489c911450846d3b1506', 'ac6266c7f0484686a975afdcdbf77582', 'False', 'True', 'false', 'false', '510981105210', 5, '富民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981105210', 1, '2021-07-19 11:43:45', NULL, NULL), (12394, '', '宝溪村', '881e4deaf01641d9a813512dc74d483a', 'ac6266c7f0484686a975afdcdbf77582', 'False', 'True', 'false', 'false', '510981105211', 5, '宝溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981105211', 1, '2021-07-19 11:43:45', NULL, NULL), (12395, '', '石盘村', '53fc8083c904481c8c2436166d14f83b', 'ac6266c7f0484686a975afdcdbf77582', 'False', 'True', 'false', 'false', '510981105212', 5, '石盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981105212', 1, '2021-07-19 11:43:45', NULL, NULL), (12396, '', '富强村', '6196fbd4d9d444ed8385d769f84c1f07', 'ac6266c7f0484686a975afdcdbf77582', 'False', 'True', 'false', 'false', '510981105213', 5, '富强村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981105213', 1, '2021-07-19 11:43:45', NULL, NULL), (12397, '', '石院村', 'c4366691db114c8b91cec3bbb6577fdf', 'ac6266c7f0484686a975afdcdbf77582', 'False', 'True', 'false', 'false', '510981105215', 5, '石院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981105215', 1, '2021-07-19 11:43:46', NULL, NULL), (12398, '', '莲花堰村', '1d4c0b30c0144281aaa654e2f0a8f53f', 'ac6266c7f0484686a975afdcdbf77582', 'False', 'True', 'false', 'false', '510981105220', 5, '莲花堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981105220', 1, '2021-07-19 11:43:46', NULL, NULL), (12399, '', '白龙村', '734fe6ec48e4412bb6003de498b58734', 'ac6266c7f0484686a975afdcdbf77582', 'False', 'True', 'false', 'false', '510981105221', 5, '白龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981105221', 1, '2021-07-19 11:43:46', NULL, NULL), (12400, '', '观澜村', '68e5d9f8e3c74d9cb8dbf7ed8b5f29c0', 'ac6266c7f0484686a975afdcdbf77582', 'False', 'True', 'false', 'false', '510981105225', 5, '观澜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981105225', 1, '2021-07-19 11:43:46', NULL, NULL), (12401, '', '大田村', '7d3738a5b97d4e47a5e50551caf2745a', 'ac6266c7f0484686a975afdcdbf77582', 'False', 'True', 'false', 'false', '510981105226', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981105226', 1, '2021-07-19 11:43:46', NULL, NULL), (12402, '', '金家镇', '5d934f1258dc479fac654eb4c2a09aa4', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981106000', 4, '金家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981106000', 1, '2021-07-19 11:43:46', NULL, NULL), (12403, '', '金垣场社区', 'f2f04c1bd49b4d5e9f52abd761e11eb8', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106001', 5, '金垣场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106001', 1, '2021-07-19 11:43:46', NULL, NULL), (12404, '', '倪桥社区', '3b2619c941e44c0f98afe8619432aebf', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106002', 5, '倪桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106002', 1, '2021-07-19 11:43:46', NULL, NULL), (12405, '', '富丰社区', 'ea8fc18967a341fb9665e9305167e2a4', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106003', 5, '富丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106003', 1, '2021-07-19 11:43:46', NULL, NULL), (12406, '', '老鹤村', '8762d27b59084623bc2b989106476652', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106201', 5, '老鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106201', 1, '2021-07-19 11:43:46', NULL, NULL), (12407, '', '富谷村', '7294f73432774da4baab69d01e9ed799', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106202', 5, '富谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106202', 1, '2021-07-19 11:43:46', NULL, NULL), (12408, '', '云顶村', '01c137faa81244b5b05a8b1e2018c745', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106203', 5, '云顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106203', 1, '2021-07-19 11:43:46', NULL, NULL), (12409, '', '新堰村', '32bd4f3d0609446685a0d3bad81157b9', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106204', 5, '新堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106204', 1, '2021-07-19 11:43:46', NULL, NULL), (12410, '', '楠竹村', 'fa2f3599bbfc4106acdb664214667ff0', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106206', 5, '楠竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106206', 1, '2021-07-19 11:43:46', NULL, NULL), (12411, '', '独柏树村', 'e6f231f6787c4f419db7967eaeb589be', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106211', 5, '独柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106211', 1, '2021-07-19 11:43:47', NULL, NULL), (12412, '', '小垭村', 'b3775dd3add343ed84e9800a3ec1f520', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106213', 5, '小垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106213', 1, '2021-07-19 11:43:47', NULL, NULL), (12413, '', '天马沟村', '8e0e496728a94c0c99e7ebe09aebb5a0', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106215', 5, '天马沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106215', 1, '2021-07-19 11:43:47', NULL, NULL), (12414, '', '龙怀村', 'a669e67b701b4f9db936ebefe57814b5', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106216', 5, '龙怀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106216', 1, '2021-07-19 11:43:47', NULL, NULL), (12415, '', '金鸡村', '141986b50a044403957eba45782c8915', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106218', 5, '金鸡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106218', 1, '2021-07-19 11:43:47', NULL, NULL), (12416, '', '大垭村', '7fb30e7fd9234b3abea165ca63367529', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106219', 5, '大垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106219', 1, '2021-07-19 11:43:47', NULL, NULL), (12417, '', '倪家桥村', '477ec697766e40769434d23ab825b8b6', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106220', 5, '倪家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106220', 1, '2021-07-19 11:43:47', NULL, NULL), (12418, '', '红旗村', '991d7eefc4de4aef8cb1ce7783560492', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106221', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106221', 1, '2021-07-19 11:43:47', NULL, NULL), (12419, '', '双阳村', '2a3045d11f8a4c9c858d5cb29be4cc62', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106223', 5, '双阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106223', 1, '2021-07-19 11:43:47', NULL, NULL), (12420, '', '川祖庙村', '467539da0938476482f26e64a07e7507', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106224', 5, '川祖庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106224', 1, '2021-07-19 11:43:47', NULL, NULL), (12421, '', '圣寿村', 'fc1c08a6c0ff4d55964df4317f9efce8', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106225', 5, '圣寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106225', 1, '2021-07-19 11:43:47', NULL, NULL), (12422, '', '山源村', 'af4a9df8933d4c0892ebaaad1cf10854', '5d934f1258dc479fac654eb4c2a09aa4', 'False', 'True', 'false', 'false', '510981106227', 5, '山源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981106227', 1, '2021-07-19 11:43:47', NULL, NULL), (12423, '', '复兴镇', '906d2249b8604d5bb694f195a30df6a0', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981107000', 4, '复兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981107000', 1, '2021-07-19 11:43:47', NULL, NULL), (12424, '', '金凤社区', 'ee333d3f6bb9402cab497bbb1a5c1180', '906d2249b8604d5bb694f195a30df6a0', 'False', 'True', 'false', 'false', '510981107001', 5, '金凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981107001', 1, '2021-07-19 11:43:47', NULL, NULL), (12425, '', '伏河社区', 'd86efb6a6bae4b8b9b4731c033687367', '906d2249b8604d5bb694f195a30df6a0', 'False', 'True', 'false', 'false', '510981107002', 5, '伏河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981107002', 1, '2021-07-19 11:43:47', NULL, NULL), (12426, '', '灵华村', 'bebcc79eb4c047e3b6389c7ae1c27877', '906d2249b8604d5bb694f195a30df6a0', 'False', 'True', 'false', 'false', '510981107203', 5, '灵华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981107203', 1, '2021-07-19 11:43:48', NULL, NULL), (12427, '', '喻家沟村', 'c9e81b0fd92b4b32a1aa31a9c4d6c99b', '906d2249b8604d5bb694f195a30df6a0', 'False', 'True', 'false', 'false', '510981107204', 5, '喻家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981107204', 1, '2021-07-19 11:43:48', NULL, NULL), (12428, '', '观花村', '80ac8f4c7afd44a2bd2a5b95ac5e3a6d', '906d2249b8604d5bb694f195a30df6a0', 'False', 'True', 'false', 'false', '510981107205', 5, '观花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981107205', 1, '2021-07-19 11:43:48', NULL, NULL), (12429, '', '金罐村', 'cdb3fcdf97de4219abe4389c85532e32', '906d2249b8604d5bb694f195a30df6a0', 'False', 'True', 'false', 'false', '510981107206', 5, '金罐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981107206', 1, '2021-07-19 11:43:48', NULL, NULL), (12430, '', '大龙村', 'b16d5710d2164c40b82d11d94fa5ba0a', '906d2249b8604d5bb694f195a30df6a0', 'False', 'True', 'false', 'false', '510981107207', 5, '大龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981107207', 1, '2021-07-19 11:43:48', NULL, NULL), (12431, '', '新桥村', '70e2a8e1069841dfb8442eac4b228f84', '906d2249b8604d5bb694f195a30df6a0', 'False', 'True', 'false', 'false', '510981107208', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981107208', 1, '2021-07-19 11:43:48', NULL, NULL), (12432, '', '玉贞村', '204e7bcaee8743348d390c991e12a744', '906d2249b8604d5bb694f195a30df6a0', 'False', 'True', 'false', 'false', '510981107209', 5, '玉贞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981107209', 1, '2021-07-19 11:43:48', NULL, NULL), (12433, '', '三江村', 'f78774da270f46b783c494b3c1c08e09', '906d2249b8604d5bb694f195a30df6a0', 'False', 'True', 'false', 'false', '510981107211', 5, '三江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981107211', 1, '2021-07-19 11:43:48', NULL, NULL), (12434, '', '会仙村', 'c38fc1f0c8874028802f31a10796ab03', '906d2249b8604d5bb694f195a30df6a0', 'False', 'True', 'false', 'false', '510981107212', 5, '会仙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981107212', 1, '2021-07-19 11:43:48', NULL, NULL), (12435, '', '红桂桥村', 'a680576373384e57b6f92d9329922f10', '906d2249b8604d5bb694f195a30df6a0', 'False', 'True', 'false', 'false', '510981107213', 5, '红桂桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981107213', 1, '2021-07-19 11:43:48', NULL, NULL), (12436, '', '安乐村', 'e84afe763cc444079fc25da2448ce82f', '906d2249b8604d5bb694f195a30df6a0', 'False', 'True', 'false', 'false', '510981107215', 5, '安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981107215', 1, '2021-07-19 11:43:48', NULL, NULL), (12437, '', '博古村', 'ca50443978a44b7ca092ab3e301a7a2f', '906d2249b8604d5bb694f195a30df6a0', 'False', 'True', 'false', 'false', '510981107218', 5, '博古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981107218', 1, '2021-07-19 11:43:48', NULL, NULL), (12438, '', '九圣村', 'f24fd0028a4c4b4c8281f454106e0d74', '906d2249b8604d5bb694f195a30df6a0', 'False', 'True', 'false', 'false', '510981107219', 5, '九圣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981107219', 1, '2021-07-19 11:43:48', NULL, NULL), (12439, '', '雷堂村', '5489860d017d41ccaba8262fd56a75a8', '906d2249b8604d5bb694f195a30df6a0', 'False', 'True', 'false', 'false', '510981107221', 5, '雷堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981107221', 1, '2021-07-19 11:43:48', NULL, NULL), (12440, '', '铧头村', 'ff2b77e7dc75491280d6d65bb4eba2a2', '906d2249b8604d5bb694f195a30df6a0', 'False', 'True', 'false', 'false', '510981107222', 5, '铧头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981107222', 1, '2021-07-19 11:43:49', NULL, NULL), (12441, '', '天仙镇', '78728ed5dbb34e108a3936ea8bacec5c', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981108000', 4, '天仙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981108000', 1, '2021-07-19 11:43:49', NULL, NULL), (12442, '', '天仙寺社区', 'd337ec4fcbc5405e86c52745b389e6f4', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108001', 5, '天仙寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108001', 1, '2021-07-19 11:43:49', NULL, NULL), (12443, '', '太兴社区', '6ac2e829b5f542aebda04780f4c8c13e', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108002', 5, '太兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108002', 1, '2021-07-19 11:43:49', NULL, NULL), (12444, '', '天和村', '388177645d234aa7ba87de7c24324032', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108201', 5, '天和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108201', 1, '2021-07-19 11:43:49', NULL, NULL), (12445, '', '四乐村', '816435e14bda4db68dbac6d4d79f7b83', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108202', 5, '四乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108202', 1, '2021-07-19 11:43:49', NULL, NULL), (12446, '', '龙丰村', 'bac27a1816ab44e0baf6766fc3bdaba2', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108203', 5, '龙丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108203', 1, '2021-07-19 11:43:49', NULL, NULL), (12447, '', '白马村', '09ac152db4d54378a949ffa334bb4e5b', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108204', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108204', 1, '2021-07-19 11:43:49', NULL, NULL), (12448, '', '飞跃村', '319b95c175d84215b21ca39ef3c1922f', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108206', 5, '飞跃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108206', 1, '2021-07-19 11:43:49', NULL, NULL), (12449, '', '天福村', 'aec92c18769f488880c5f84cb2c39cfd', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108207', 5, '天福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108207', 1, '2021-07-19 11:43:49', NULL, NULL), (12450, '', '双庙村', '95ee0bd36caf470683d43507c20409ae', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108211', 5, '双庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108211', 1, '2021-07-19 11:43:49', NULL, NULL), (12451, '', '凤鸣村', 'd94de425213b458188e8d08840e327ac', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108216', 5, '凤鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108216', 1, '2021-07-19 11:43:49', NULL, NULL), (12452, '', '玉贞观村', '605392da4f264dfcbe58fa91ce34e0e1', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108219', 5, '玉贞观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108219', 1, '2021-07-19 11:43:49', NULL, NULL), (12453, '', '双青村', '75471c0f532a4b8bbdd6746cf4d89d02', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108220', 5, '双青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108220', 1, '2021-07-19 11:43:49', NULL, NULL), (12454, '', '青龙嘴村', 'c41e9ef2fd1046319eacdd2453f24c81', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108222', 5, '青龙嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108222', 1, '2021-07-19 11:43:49', NULL, NULL), (12455, '', '太平村', '829054b1e9bd40a28e4b5def0bea609d', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108223', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108223', 1, '2021-07-19 11:43:49', NULL, NULL), (12456, '', '文昌村', '374d33e23c0a48998441a58b4d78db8f', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108225', 5, '文昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108225', 1, '2021-07-19 11:43:50', NULL, NULL), (12457, '', '三清村', '325c57eca1be4202b107d7e4c591198c', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108227', 5, '三清村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108227', 1, '2021-07-19 11:43:50', NULL, NULL), (12458, '', '圣学村', '1560537c68c84828a04d5e0189d107ab', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108228', 5, '圣学村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108228', 1, '2021-07-19 11:43:50', NULL, NULL), (12459, '', '二教寺村', '0efa427191fb46c698f3ba7ef0449b00', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108231', 5, '二教寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108231', 1, '2021-07-19 11:43:50', NULL, NULL), (12460, '', '大石村', '2a1a286a8cac475a8a68d1e3548dca4c', '78728ed5dbb34e108a3936ea8bacec5c', 'False', 'True', 'false', 'false', '510981108687', 5, '大石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981108687', 1, '2021-07-19 11:43:50', NULL, NULL), (12461, '', '仁和镇', '6f49a21db1284e2cb01a4ac490ba600e', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981109000', 4, '仁和镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981109000', 1, '2021-07-19 11:43:50', NULL, NULL), (12462, '', '青龙社区', '43451e567e6745dd8e4e94fa8c84428e', '6f49a21db1284e2cb01a4ac490ba600e', 'False', 'True', 'false', 'false', '510981109001', 5, '青龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981109001', 1, '2021-07-19 11:43:50', NULL, NULL), (12463, '', '水头寨村', '886198c600d14fb8a3e0bd3871a1d799', '6f49a21db1284e2cb01a4ac490ba600e', 'False', 'True', 'false', 'false', '510981109201', 5, '水头寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981109201', 1, '2021-07-19 11:43:50', NULL, NULL), (12464, '', '卧龙村', '88f2165f867c448ea32aacf36121c077', '6f49a21db1284e2cb01a4ac490ba600e', 'False', 'True', 'false', 'false', '510981109202', 5, '卧龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981109202', 1, '2021-07-19 11:43:50', NULL, NULL), (12465, '', '白象村', 'cc47d5a2130b4002a560924ca2c66923', '6f49a21db1284e2cb01a4ac490ba600e', 'False', 'True', 'false', 'false', '510981109205', 5, '白象村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981109205', 1, '2021-07-19 11:43:50', NULL, NULL), (12466, '', '应真庙村', 'c99f344b8e2045628561ecda0d5fe121', '6f49a21db1284e2cb01a4ac490ba600e', 'False', 'True', 'false', 'false', '510981109206', 5, '应真庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981109206', 1, '2021-07-19 11:43:50', NULL, NULL), (12467, '', '滩口村', '0fb4f706d2bd4236b00b663100e44984', '6f49a21db1284e2cb01a4ac490ba600e', 'False', 'True', 'false', 'false', '510981109209', 5, '滩口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981109209', 1, '2021-07-19 11:43:50', NULL, NULL), (12468, '', '中房村', '5a3b8ea7d3304ba18404216a2b47b4be', '6f49a21db1284e2cb01a4ac490ba600e', 'False', 'True', 'false', 'false', '510981109210', 5, '中房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981109210', 1, '2021-07-19 11:43:50', NULL, NULL), (12469, '', '张王村', '7ee259a0304c4bd9af5909c2dcf26aa9', '6f49a21db1284e2cb01a4ac490ba600e', 'False', 'True', 'false', 'false', '510981109211', 5, '张王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981109211', 1, '2021-07-19 11:43:50', NULL, NULL), (12470, '', '广井村', 'b61672cec12f47b4b21d69c8fccf33f2', '6f49a21db1284e2cb01a4ac490ba600e', 'False', 'True', 'false', 'false', '510981109213', 5, '广井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981109213', 1, '2021-07-19 11:43:50', NULL, NULL), (12471, '', '天宫村', '71156e85517042499a450075b5d58264', '6f49a21db1284e2cb01a4ac490ba600e', 'False', 'True', 'false', 'false', '510981109215', 5, '天宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981109215', 1, '2021-07-19 11:43:51', NULL, NULL), (12472, '', '三溪村', '3fa26839929346719d33b294811a0622', '6f49a21db1284e2cb01a4ac490ba600e', 'False', 'True', 'false', 'false', '510981109219', 5, '三溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981109219', 1, '2021-07-19 11:43:51', NULL, NULL), (12473, '', '凤鹤村', 'f10415a85c2d4769b05083941b5b609a', '6f49a21db1284e2cb01a4ac490ba600e', 'False', 'True', 'false', 'false', '510981109223', 5, '凤鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981109223', 1, '2021-07-19 11:43:51', NULL, NULL), (12474, '', '杨家桥村', '8bff109f1aee48b09e9c5b2ae942bfcc', '6f49a21db1284e2cb01a4ac490ba600e', 'False', 'True', 'false', 'false', '510981109229', 5, '杨家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981109229', 1, '2021-07-19 11:43:51', NULL, NULL), (12475, '', '南岳村', 'aa1f1c2cf64c4f2fa57b8f72ba0a6cac', '6f49a21db1284e2cb01a4ac490ba600e', 'False', 'True', 'false', 'false', '510981109232', 5, '南岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981109232', 1, '2021-07-19 11:43:51', NULL, NULL), (12476, '', '青岗镇', '28219f48687049c6b2b61bdbed756fec', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981110000', 4, '青岗镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981110000', 1, '2021-07-19 11:43:51', NULL, NULL), (12477, '', '街道社区', 'e611c96ec819486297aa59eea5632be6', '28219f48687049c6b2b61bdbed756fec', 'False', 'True', 'false', 'false', '510981110001', 5, '街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981110001', 1, '2021-07-19 11:43:51', NULL, NULL), (12478, '', '金龙村', 'bbbcc16504094e4da5e2dcf61ed2ed55', '28219f48687049c6b2b61bdbed756fec', 'False', 'True', 'false', 'false', '510981110201', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981110201', 1, '2021-07-19 11:43:51', NULL, NULL), (12479, '', '双桥村', '4772fd2830054e0ba0c6d19ae9315906', '28219f48687049c6b2b61bdbed756fec', 'False', 'True', 'false', 'false', '510981110202', 5, '双桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981110202', 1, '2021-07-19 11:43:51', NULL, NULL), (12480, '', '筒车王村', 'dd0e4a88a77143bcbdb9ca87a250c2ba', '28219f48687049c6b2b61bdbed756fec', 'False', 'True', 'false', 'false', '510981110203', 5, '筒车王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981110203', 1, '2021-07-19 11:43:51', NULL, NULL), (12481, '', '马鞍山村', '5be5b7d1a4a646d2a4e8dcf235e79a98', '28219f48687049c6b2b61bdbed756fec', 'False', 'True', 'false', 'false', '510981110205', 5, '马鞍山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981110205', 1, '2021-07-19 11:43:51', NULL, NULL), (12482, '', '凤凰村', 'e32dbff6c1674024962cf216f01ba829', '28219f48687049c6b2b61bdbed756fec', 'False', 'True', 'false', 'false', '510981110207', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981110207', 1, '2021-07-19 11:43:51', NULL, NULL), (12483, '', '五星村', '2d79c96bd39a478f9a7688d683119a08', '28219f48687049c6b2b61bdbed756fec', 'False', 'True', 'false', 'false', '510981110209', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981110209', 1, '2021-07-19 11:43:51', NULL, NULL), (12484, '', '罗家沟村', '3488dbe25a48475f8eeb90d16d22d85f', '28219f48687049c6b2b61bdbed756fec', 'False', 'True', 'false', 'false', '510981110210', 5, '罗家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981110210', 1, '2021-07-19 11:43:51', NULL, NULL), (12485, '', '小洋村', '07664982b16b41a9aaf30f34cc991763', '28219f48687049c6b2b61bdbed756fec', 'False', 'True', 'false', 'false', '510981110211', 5, '小洋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981110211', 1, '2021-07-19 11:43:51', NULL, NULL), (12486, '', '文化村', 'a34842beca7a497da5a3ddafb52258d5', '28219f48687049c6b2b61bdbed756fec', 'False', 'True', 'false', 'false', '510981110212', 5, '文化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981110212', 1, '2021-07-19 11:43:51', NULL, NULL), (12487, '', '改良村', '73444958ee10423b9882dea43d598909', '28219f48687049c6b2b61bdbed756fec', 'False', 'True', 'false', 'false', '510981110215', 5, '改良村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981110215', 1, '2021-07-19 11:43:51', NULL, NULL), (12488, '', '鹿子山村', 'f915503e2f834970b876817f618ca935', '28219f48687049c6b2b61bdbed756fec', 'False', 'True', 'false', 'false', '510981110216', 5, '鹿子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981110216', 1, '2021-07-19 11:43:52', NULL, NULL), (12489, '', '磨滩村', '7485c298cde74e8fa242f1d426bb1794', '28219f48687049c6b2b61bdbed756fec', 'False', 'True', 'false', 'false', '510981110217', 5, '磨滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981110217', 1, '2021-07-19 11:43:52', NULL, NULL), (12490, '', '马桑坝村', '29e28fd380fc425abcc3c7cf6f7e2a50', '28219f48687049c6b2b61bdbed756fec', 'False', 'True', 'false', 'false', '510981110218', 5, '马桑坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981110218', 1, '2021-07-19 11:43:52', NULL, NULL), (12491, '', '幸福村', '28f36676ec0d4afe87623fd9e6e4b08c', '28219f48687049c6b2b61bdbed756fec', 'False', 'True', 'false', 'false', '510981110220', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981110220', 1, '2021-07-19 11:43:52', NULL, NULL), (12492, '', '里仁桥村', 'da09d21cbfe246cb9521d6dca44e7cae', '28219f48687049c6b2b61bdbed756fec', 'False', 'True', 'false', 'false', '510981110224', 5, '里仁桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981110224', 1, '2021-07-19 11:43:52', NULL, NULL), (12493, '', '洋溪镇', '23f532728a9041d5847e8446f26b458d', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981111000', 4, '洋溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981111000', 1, '2021-07-19 11:43:52', NULL, NULL), (12494, '', '楞山社区', '37db46090ced4085aa9948b6948a2d4e', '23f532728a9041d5847e8446f26b458d', 'False', 'True', 'false', 'false', '510981111001', 5, '楞山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981111001', 1, '2021-07-19 11:43:52', NULL, NULL), (12495, '', '黄浒社区', '092bae68f545447a86b77c53dc894832', '23f532728a9041d5847e8446f26b458d', 'False', 'True', 'false', 'false', '510981111002', 5, '黄浒社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981111002', 1, '2021-07-19 11:43:52', NULL, NULL), (12496, '', '东山村', 'adba9256f86440fdb7d6bde4ff0061b2', '23f532728a9041d5847e8446f26b458d', 'False', 'True', 'false', 'false', '510981111201', 5, '东山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981111201', 1, '2021-07-19 11:43:52', NULL, NULL), (12497, '', '杨桃溪村', 'c9d2cec1ad36440a8e3eada0d3d41c20', '23f532728a9041d5847e8446f26b458d', 'False', 'True', 'false', 'false', '510981111202', 5, '杨桃溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981111202', 1, '2021-07-19 11:43:52', NULL, NULL), (12498, '', '观音桥村', '29260eb1cdfd4346ad8b96b14ab32a4d', '23f532728a9041d5847e8446f26b458d', 'False', 'True', 'false', 'false', '510981111203', 5, '观音桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981111203', 1, '2021-07-19 11:43:53', NULL, NULL), (12499, '', '黄村坝村', '9d1a3d6994934707b561f0293fa7bee4', '23f532728a9041d5847e8446f26b458d', 'False', 'True', 'false', 'false', '510981111204', 5, '黄村坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981111204', 1, '2021-07-19 11:43:53', NULL, NULL), (12500, '', '双檬村', '6fd3693746454f8c92eed1090c5ea95e', '23f532728a9041d5847e8446f26b458d', 'False', 'True', 'false', 'false', '510981111205', 5, '双檬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981111205', 1, '2021-07-19 11:43:53', NULL, NULL), (12501, '', '白流村', 'bd3fd02d55924a529819635f1d07a518', '23f532728a9041d5847e8446f26b458d', 'False', 'True', 'false', 'false', '510981111210', 5, '白流村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981111210', 1, '2021-07-19 11:43:53', NULL, NULL), (12502, '', '新溪坝村', 'cd881f99b8204fb7a7e01090611f9290', '23f532728a9041d5847e8446f26b458d', 'False', 'True', 'false', 'false', '510981111211', 5, '新溪坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981111211', 1, '2021-07-19 11:43:53', NULL, NULL), (12503, '', '互助村', '09bcacb60eff468286b4377b7b95ea40', '23f532728a9041d5847e8446f26b458d', 'False', 'True', 'false', 'false', '510981111212', 5, '互助村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981111212', 1, '2021-07-19 11:43:53', NULL, NULL), (12504, '', '桃花山村', '2f6927d2195f41e98d637705e0461e4c', '23f532728a9041d5847e8446f26b458d', 'False', 'True', 'false', 'false', '510981111214', 5, '桃花山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981111214', 1, '2021-07-19 11:43:53', NULL, NULL), (12505, '', '水洲坝村', '366f2c3e43cb4b06b9f4b27415530b2c', '23f532728a9041d5847e8446f26b458d', 'False', 'True', 'false', 'false', '510981111217', 5, '水洲坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981111217', 1, '2021-07-19 11:43:53', NULL, NULL), (12506, '', '古佛寺村', 'eb578c61b05c4592845c80c2ffd01714', '23f532728a9041d5847e8446f26b458d', 'False', 'True', 'false', 'false', '510981111219', 5, '古佛寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981111219', 1, '2021-07-19 11:43:53', NULL, NULL), (12507, '', '玉丰村', '2b28dc4477604482915b7cdce2389ef4', '23f532728a9041d5847e8446f26b458d', 'False', 'True', 'false', 'false', '510981111221', 5, '玉丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981111221', 1, '2021-07-19 11:43:53', NULL, NULL), (12508, '', '石桥村', '76eb42cab1114d418a6cde64832338cb', '23f532728a9041d5847e8446f26b458d', 'False', 'True', 'false', 'false', '510981111223', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981111223', 1, '2021-07-19 11:43:53', NULL, NULL), (12509, '', '岱钦桥村', 'baa70a7427ac4d31a6d8d0c75aa92816', '23f532728a9041d5847e8446f26b458d', 'False', 'True', 'false', 'false', '510981111228', 5, '岱钦桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981111228', 1, '2021-07-19 11:43:53', NULL, NULL), (12510, '', '香山镇', '7d685cf2808c445eb8ae8644dafdd313', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981112000', 4, '香山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981112000', 1, '2021-07-19 11:43:53', NULL, NULL), (12511, '', '街道社区', '1dc56eb6b6754c5b9e2528e748e05a48', '7d685cf2808c445eb8ae8644dafdd313', 'False', 'True', 'false', 'false', '510981112001', 5, '街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981112001', 1, '2021-07-19 11:43:53', NULL, NULL), (12512, '', '杨家坝村', '11786bcb21d64d6aa466c89daafb39e2', '7d685cf2808c445eb8ae8644dafdd313', 'False', 'True', 'false', 'false', '510981112201', 5, '杨家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981112201', 1, '2021-07-19 11:43:53', NULL, NULL), (12513, '', '李家坝村', 'ccfc8d8555ed4dcc87f2b877f1574683', '7d685cf2808c445eb8ae8644dafdd313', 'False', 'True', 'false', 'false', '510981112203', 5, '李家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981112203', 1, '2021-07-19 11:43:53', NULL, NULL), (12514, '', '苏家堰村', '3a727e5f374f43e2875f3c2f144f7305', '7d685cf2808c445eb8ae8644dafdd313', 'False', 'True', 'false', 'false', '510981112204', 5, '苏家堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981112204', 1, '2021-07-19 11:43:53', NULL, NULL), (12515, '', '新城坝村', '982d350b5e114d3eac9ce6c160e68b62', '7d685cf2808c445eb8ae8644dafdd313', 'False', 'True', 'false', 'false', '510981112205', 5, '新城坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981112205', 1, '2021-07-19 11:43:54', NULL, NULL), (12516, '', '长岭岗村', '6328c9627ba049639b6d4003205348ae', '7d685cf2808c445eb8ae8644dafdd313', 'False', 'True', 'false', 'false', '510981112206', 5, '长岭岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981112206', 1, '2021-07-19 11:43:54', NULL, NULL), (12517, '', '乌盆寨村', 'e5e630b70f1d4c8f87905577b7861c48', '7d685cf2808c445eb8ae8644dafdd313', 'False', 'True', 'false', 'false', '510981112210', 5, '乌盆寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981112210', 1, '2021-07-19 11:43:54', NULL, NULL), (12518, '', '桃花河村', '0bdfb253a71846369e6374ae6795e3df', '7d685cf2808c445eb8ae8644dafdd313', 'False', 'True', 'false', 'false', '510981112215', 5, '桃花河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981112215', 1, '2021-07-19 11:43:54', NULL, NULL), (12519, '', '明星镇', '25f6adbf59554ebb91b3b308c94d4afa', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981113000', 4, '明星镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981113000', 1, '2021-07-19 11:43:54', NULL, NULL), (12520, '', '龙桥社区', '25213ef5cf8a494a96f3f5f457294d90', '25f6adbf59554ebb91b3b308c94d4afa', 'False', 'True', 'false', 'false', '510981113001', 5, '龙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981113001', 1, '2021-07-19 11:43:54', NULL, NULL), (12521, '', '龙凤社区', 'e9506fec7bf94a61a97b6a8ed8ac7e3c', '25f6adbf59554ebb91b3b308c94d4afa', 'False', 'True', 'false', 'false', '510981113002', 5, '龙凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981113002', 1, '2021-07-19 11:43:54', NULL, NULL), (12522, '', '大觉寺社区', '07b0efd06d824a30aac381cf9d1822d8', '25f6adbf59554ebb91b3b308c94d4afa', 'False', 'True', 'false', 'false', '510981113003', 5, '大觉寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981113003', 1, '2021-07-19 11:43:54', NULL, NULL), (12523, '', '五通村', '39c9e0e65a5d4b4cb969f3507f71417b', '25f6adbf59554ebb91b3b308c94d4afa', 'False', 'True', 'false', 'false', '510981113201', 5, '五通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981113201', 1, '2021-07-19 11:43:54', NULL, NULL), (12524, '', '大明村', 'a5dd2a49d7794a39b63592d716d15f36', '25f6adbf59554ebb91b3b308c94d4afa', 'False', 'True', 'false', 'false', '510981113202', 5, '大明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981113202', 1, '2021-07-19 11:43:54', NULL, NULL), (12525, '', '潘家沟村', 'd2372c8422d64165919f6acbff1020df', '25f6adbf59554ebb91b3b308c94d4afa', 'False', 'True', 'false', 'false', '510981113203', 5, '潘家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981113203', 1, '2021-07-19 11:43:54', NULL, NULL), (12526, '', '葛家井村', '2adceab611094e3c9d5692f917fe9a56', '25f6adbf59554ebb91b3b308c94d4afa', 'False', 'True', 'false', 'false', '510981113204', 5, '葛家井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981113204', 1, '2021-07-19 11:43:54', NULL, NULL), (12527, '', '八角井村', 'a7b0e392f69a45458a17a146af88cfe4', '25f6adbf59554ebb91b3b308c94d4afa', 'False', 'True', 'false', 'false', '510981113205', 5, '八角井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981113205', 1, '2021-07-19 11:43:54', NULL, NULL), (12528, '', '文峰山村', '1724efdad35d4f71a8fe37a7b31d7fe6', '25f6adbf59554ebb91b3b308c94d4afa', 'False', 'True', 'false', 'false', '510981113213', 5, '文峰山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981113213', 1, '2021-07-19 11:43:54', NULL, NULL), (12529, '', '水井村', 'c7bb92bf14784cf28eab2ab1d7055277', '25f6adbf59554ebb91b3b308c94d4afa', 'False', 'True', 'false', 'false', '510981113215', 5, '水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981113215', 1, '2021-07-19 11:43:54', NULL, NULL), (12530, '', '龙胆村', 'dc51d9d453464364962bf55974c0b2f3', '25f6adbf59554ebb91b3b308c94d4afa', 'False', 'True', 'false', 'false', '510981113216', 5, '龙胆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981113216', 1, '2021-07-19 11:43:54', NULL, NULL), (12531, '', '龙潭村', '5b6f4f93f663472a8604e5eca799d42b', '25f6adbf59554ebb91b3b308c94d4afa', 'False', 'True', 'false', 'false', '510981113218', 5, '龙潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981113218', 1, '2021-07-19 11:43:54', NULL, NULL), (12532, '', '三岔溪村', 'bf1d8e0852194f87a8e7423a6a5ff488', '25f6adbf59554ebb91b3b308c94d4afa', 'False', 'True', 'false', 'false', '510981113220', 5, '三岔溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981113220', 1, '2021-07-19 11:43:54', NULL, NULL), (12533, '', '雷电村', '19a0ee98740c4c558b00c83c35fc9615', '25f6adbf59554ebb91b3b308c94d4afa', 'False', 'True', 'false', 'false', '510981113222', 5, '雷电村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981113222', 1, '2021-07-19 11:43:55', NULL, NULL), (12534, '', '涪西镇', 'faffccaca73e4a96abac0a949f6b77fe', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981114000', 4, '涪西镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981114000', 1, '2021-07-19 11:43:55', NULL, NULL), (12535, '', '回龙社区', '37eb7c2da6114256ae831818d172b230', 'faffccaca73e4a96abac0a949f6b77fe', 'False', 'True', 'false', 'false', '510981114001', 5, '回龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981114001', 1, '2021-07-19 11:43:55', NULL, NULL), (12536, '', '回龙村', '19f9d57a85874c47b6b5426b866f6827', 'faffccaca73e4a96abac0a949f6b77fe', 'False', 'True', 'false', 'false', '510981114201', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981114201', 1, '2021-07-19 11:43:55', NULL, NULL), (12537, '', '凤凰村', 'b54b8f9af89e46eabe44a154b0963b89', 'faffccaca73e4a96abac0a949f6b77fe', 'False', 'True', 'false', 'false', '510981114205', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981114205', 1, '2021-07-19 11:43:55', NULL, NULL), (12538, '', '全义村', '20765ea382e042af9a4260676ec1fd07', 'faffccaca73e4a96abac0a949f6b77fe', 'False', 'True', 'false', 'false', '510981114208', 5, '全义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981114208', 1, '2021-07-19 11:43:55', NULL, NULL), (12539, '', '拱桥村', 'ba3b5ed88aa9464aa25dab6edb8b94a8', 'faffccaca73e4a96abac0a949f6b77fe', 'False', 'True', 'false', 'false', '510981114209', 5, '拱桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981114209', 1, '2021-07-19 11:43:55', NULL, NULL), (12540, '', '四方村', '9e7e3e6d703247d2a276fcd144e6428e', 'faffccaca73e4a96abac0a949f6b77fe', 'False', 'True', 'false', 'false', '510981114210', 5, '四方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981114210', 1, '2021-07-19 11:43:55', NULL, NULL), (12541, '', '斑竹村', '659fe34dbe89466d85eb0864e49623ae', 'faffccaca73e4a96abac0a949f6b77fe', 'False', 'True', 'false', 'false', '510981114211', 5, '斑竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981114211', 1, '2021-07-19 11:43:55', NULL, NULL), (12542, '', '玉龙村', '2bd6a4d6da7042ba9a3753d831aba7f8', 'faffccaca73e4a96abac0a949f6b77fe', 'False', 'True', 'false', 'false', '510981114216', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981114216', 1, '2021-07-19 11:43:55', NULL, NULL), (12543, '', '龙垭村', '97e7c8f780d549578e53f2cb04a0f6da', 'faffccaca73e4a96abac0a949f6b77fe', 'False', 'True', 'false', 'false', '510981114217', 5, '龙垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981114217', 1, '2021-07-19 11:43:55', NULL, NULL), (12544, '', '潼射镇', 'cac9084724b643f6a58326343b74ba30', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981117000', 4, '潼射镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981117000', 1, '2021-07-19 11:43:55', NULL, NULL), (12545, '', '莲花社区', 'cc1ab8a87cb64bd683eb4663f3ae91be', 'cac9084724b643f6a58326343b74ba30', 'False', 'True', 'false', 'false', '510981117001', 5, '莲花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981117001', 1, '2021-07-19 11:43:55', NULL, NULL), (12546, '', '幸福村', 'e3095f38fa3e44fba49248031a2161d0', 'cac9084724b643f6a58326343b74ba30', 'False', 'True', 'false', 'false', '510981117201', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981117201', 1, '2021-07-19 11:43:55', NULL, NULL), (12547, '', '马墩村', 'd005506f4c174ccc8502001bb27852ce', 'cac9084724b643f6a58326343b74ba30', 'False', 'True', 'false', 'false', '510981117203', 5, '马墩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981117203', 1, '2021-07-19 11:43:55', NULL, NULL), (12548, '', '板桥沟村', 'f9d75ece3bfd4e008fb3d190a3275e8b', 'cac9084724b643f6a58326343b74ba30', 'False', 'True', 'false', 'false', '510981117204', 5, '板桥沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981117204', 1, '2021-07-19 11:43:55', NULL, NULL), (12549, '', '弥勒寺村', '44d95273365e49058bf7bd84c1175e3c', 'cac9084724b643f6a58326343b74ba30', 'False', 'True', 'false', 'false', '510981117206', 5, '弥勒寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981117206', 1, '2021-07-19 11:43:56', NULL, NULL), (12550, '', '马黄寺村', '9d835e4274fb49989f39b6a79f2983e1', 'cac9084724b643f6a58326343b74ba30', 'False', 'True', 'false', 'false', '510981117209', 5, '马黄寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981117209', 1, '2021-07-19 11:43:56', NULL, NULL), (12551, '', '玉皇堡村', '2e581d98972f4af2ad1138d3c190eef1', 'cac9084724b643f6a58326343b74ba30', 'False', 'True', 'false', 'false', '510981117210', 5, '玉皇堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981117210', 1, '2021-07-19 11:43:56', NULL, NULL), (12552, '', '鹤鸣村', 'da637da99b1a4b5abc57bf9024dccd43', 'cac9084724b643f6a58326343b74ba30', 'False', 'True', 'false', 'false', '510981117211', 5, '鹤鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981117211', 1, '2021-07-19 11:43:56', NULL, NULL), (12553, '', '茶园村', 'd4592e70001641a3b88b13f021146d70', 'cac9084724b643f6a58326343b74ba30', 'False', 'True', 'false', 'false', '510981117214', 5, '茶园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981117214', 1, '2021-07-19 11:43:56', NULL, NULL), (12554, '', '金马村', '71331651d8274ebf8762c5fd9d27e8a5', 'cac9084724b643f6a58326343b74ba30', 'False', 'True', 'false', 'false', '510981117216', 5, '金马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981117216', 1, '2021-07-19 11:43:56', NULL, NULL), (12555, '', '曹碑镇', '9b86d5c8db8641bdb7a09ff657c93ac5', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981118000', 4, '曹碑镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981118000', 1, '2021-07-19 11:43:56', NULL, NULL), (12556, '', '永兴社区', '07a5449bd164488ea026792c02db08e3', '9b86d5c8db8641bdb7a09ff657c93ac5', 'False', 'True', 'false', 'false', '510981118001', 5, '永兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981118001', 1, '2021-07-19 11:43:56', NULL, NULL), (12557, '', '曹碑中心村', '6007445f44ac4bc8ac296912a902a5e1', '9b86d5c8db8641bdb7a09ff657c93ac5', 'False', 'True', 'false', 'false', '510981118201', 5, '曹碑中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981118201', 1, '2021-07-19 11:43:56', NULL, NULL), (12558, '', '大池村', 'cc22b329f9c64c9ebc80529a35ee318c', '9b86d5c8db8641bdb7a09ff657c93ac5', 'False', 'True', 'false', 'false', '510981118203', 5, '大池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981118203', 1, '2021-07-19 11:43:56', NULL, NULL), (12559, '', '高华中心村', '4bd9815f1a104d379b5af0551b92173e', '9b86d5c8db8641bdb7a09ff657c93ac5', 'False', 'True', 'false', 'false', '510981118205', 5, '高华中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981118205', 1, '2021-07-19 11:43:56', NULL, NULL), (12560, '', '草坝中心村', '974283d9a2ed4022b7f5a9d1684c065b', '9b86d5c8db8641bdb7a09ff657c93ac5', 'False', 'True', 'false', 'false', '510981118208', 5, '草坝中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981118208', 1, '2021-07-19 11:43:56', NULL, NULL), (12561, '', '榨垭中心村', '75ca226698a047f1af882e1ec5fe4f56', '9b86d5c8db8641bdb7a09ff657c93ac5', 'False', 'True', 'false', 'false', '510981118210', 5, '榨垭中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981118210', 1, '2021-07-19 11:43:56', NULL, NULL), (12562, '', '大田中心村', '858eaa20c2ea4e1d9a1b474e27150b82', '9b86d5c8db8641bdb7a09ff657c93ac5', 'False', 'True', 'false', 'false', '510981118211', 5, '大田中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981118211', 1, '2021-07-19 11:43:56', NULL, NULL), (12563, '', '义和中心村', 'dcfa9e644c4745d686540b6528616091', '9b86d5c8db8641bdb7a09ff657c93ac5', 'False', 'True', 'false', 'false', '510981118212', 5, '义和中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981118212', 1, '2021-07-19 11:43:56', NULL, NULL), (12564, '', '白鹤中心村', '5377cc5083ff458597608d6a20ed731b', '9b86d5c8db8641bdb7a09ff657c93ac5', 'False', 'True', 'false', 'false', '510981118213', 5, '白鹤中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981118213', 1, '2021-07-19 11:43:56', NULL, NULL), (12565, '', '大锣中心村', '89ec6200c1894b59aea05670d885a3ca', '9b86d5c8db8641bdb7a09ff657c93ac5', 'False', 'True', 'false', 'false', '510981118216', 5, '大锣中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981118216', 1, '2021-07-19 11:43:56', NULL, NULL), (12566, '', '官升镇', 'c11d1f8719324b76b7967cd66a8d7ce4', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981119000', 4, '官升镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981119000', 1, '2021-07-19 11:43:56', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (12567, '', '官升店社区', '049d5d9e23134ad285ff050dfa925462', 'c11d1f8719324b76b7967cd66a8d7ce4', 'False', 'True', 'false', 'false', '510981119001', 5, '官升店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981119001', 1, '2021-07-19 11:43:56', NULL, NULL), (12568, '', '青果寺社区', '8e4ff109671c43a19ce05a1c5197f41e', 'c11d1f8719324b76b7967cd66a8d7ce4', 'False', 'True', 'false', 'false', '510981119002', 5, '青果寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981119002', 1, '2021-07-19 11:43:57', NULL, NULL), (12569, '', '东风村', '74de568514014447828660e5169a0c24', 'c11d1f8719324b76b7967cd66a8d7ce4', 'False', 'True', 'false', 'false', '510981119201', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981119201', 1, '2021-07-19 11:43:57', NULL, NULL), (12570, '', '明星村', '7df39c4c73a54a75a5ed1b22c2a46e65', 'c11d1f8719324b76b7967cd66a8d7ce4', 'False', 'True', 'false', 'false', '510981119204', 5, '明星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981119204', 1, '2021-07-19 11:43:57', NULL, NULL), (12571, '', '九王村', 'be90db20ecf14a1f996f438cd86f8786', 'c11d1f8719324b76b7967cd66a8d7ce4', 'False', 'True', 'false', 'false', '510981119205', 5, '九王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981119205', 1, '2021-07-19 11:43:57', NULL, NULL), (12572, '', '凉花村', '6eff4f52192e4a3d9b94bc4f3e98b0bf', 'c11d1f8719324b76b7967cd66a8d7ce4', 'False', 'True', 'false', 'false', '510981119208', 5, '凉花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981119208', 1, '2021-07-19 11:43:57', NULL, NULL), (12573, '', '宝龙村', 'af9fa8c4d45847339e078316e7e3a15c', 'c11d1f8719324b76b7967cd66a8d7ce4', 'False', 'True', 'false', 'false', '510981119211', 5, '宝龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981119211', 1, '2021-07-19 11:43:57', NULL, NULL), (12574, '', '梨园白侯村', '8da3c6516f7a44929690b65f7d6a0c84', 'c11d1f8719324b76b7967cd66a8d7ce4', 'False', 'True', 'false', 'false', '510981119213', 5, '梨园白侯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981119213', 1, '2021-07-19 11:43:57', NULL, NULL), (12575, '', '青果村', '5f856742dbd04c9693623e2dff51bb67', 'c11d1f8719324b76b7967cd66a8d7ce4', 'False', 'True', 'false', 'false', '510981119215', 5, '青果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981119215', 1, '2021-07-19 11:43:57', NULL, NULL), (12576, '', '文升镇', '9aaba799c54c48a2980d09ef34db750a', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981120000', 4, '文升镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981120000', 1, '2021-07-19 11:43:57', NULL, NULL), (12577, '', '文星社区', '66bb66450a7f49ef90083be69d202e87', '9aaba799c54c48a2980d09ef34db750a', 'False', 'True', 'false', 'false', '510981120001', 5, '文星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981120001', 1, '2021-07-19 11:43:57', NULL, NULL), (12578, '', '永安社区', '9d517607f8824161a6205214816e8d3b', '9aaba799c54c48a2980d09ef34db750a', 'False', 'True', 'false', 'false', '510981120002', 5, '永安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981120002', 1, '2021-07-19 11:43:57', NULL, NULL), (12579, '', '五马桥村', '9a7f67ac049d46b9b0de825f73b5f949', '9aaba799c54c48a2980d09ef34db750a', 'False', 'True', 'false', 'false', '510981120201', 5, '五马桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981120201', 1, '2021-07-19 11:43:57', NULL, NULL), (12580, '', '广龙村', 'f8f694f80ea74f1a9301c479afd29c13', '9aaba799c54c48a2980d09ef34db750a', 'False', 'True', 'false', 'false', '510981120202', 5, '广龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981120202', 1, '2021-07-19 11:43:57', NULL, NULL), (12581, '', '金鱼村', '1576fb46f98e4a8e964e2c1eb7978ee7', '9aaba799c54c48a2980d09ef34db750a', 'False', 'True', 'false', 'false', '510981120205', 5, '金鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981120205', 1, '2021-07-19 11:43:57', NULL, NULL), (12582, '', '白银村', 'fee757114b8d42aeb5d1e2ccc167d97e', '9aaba799c54c48a2980d09ef34db750a', 'False', 'True', 'false', 'false', '510981120206', 5, '白银村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981120206', 1, '2021-07-19 11:43:57', NULL, NULL), (12583, '', '三联村', '993a9062a5ba40d0947efb9ba365efb7', '9aaba799c54c48a2980d09ef34db750a', 'False', 'True', 'false', 'false', '510981120208', 5, '三联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981120208', 1, '2021-07-19 11:43:57', NULL, NULL), (12584, '', '青玄龙村', 'b855b0674a9842a0be4afe1d2cf78d61', '9aaba799c54c48a2980d09ef34db750a', 'False', 'True', 'false', 'false', '510981120209', 5, '青玄龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981120209', 1, '2021-07-19 11:43:58', NULL, NULL), (12585, '', '仁鑫村', '8c2ced2417fa4d94a8aa238a39818074', '9aaba799c54c48a2980d09ef34db750a', 'False', 'True', 'false', 'false', '510981120210', 5, '仁鑫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981120210', 1, '2021-07-19 11:43:58', NULL, NULL), (12586, '', '邓城垭村', '3b7add45d2a441bebb817e39fb6e48c2', '9aaba799c54c48a2980d09ef34db750a', 'False', 'True', 'false', 'false', '510981120213', 5, '邓城垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981120213', 1, '2021-07-19 11:43:58', NULL, NULL), (12587, '', '莲花滩村', '29b5c3c6667a4af08c95a4e2199ba446', '9aaba799c54c48a2980d09ef34db750a', 'False', 'True', 'false', 'false', '510981120214', 5, '莲花滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981120214', 1, '2021-07-19 11:43:58', NULL, NULL), (12588, '', '东岳镇', '664fff04ae3649c0911beca45cfe6c1e', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981121000', 4, '东岳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981121000', 1, '2021-07-19 11:43:58', NULL, NULL), (12589, '', '梓江社区', '2ff00f4e125e4e41a7f61cff3422b9e9', '664fff04ae3649c0911beca45cfe6c1e', 'False', 'True', 'false', 'false', '510981121001', 5, '梓江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981121001', 1, '2021-07-19 11:43:58', NULL, NULL), (12590, '', '东方社区', '88e094388a074f6b9da0b6c9205c0b40', '664fff04ae3649c0911beca45cfe6c1e', 'False', 'True', 'false', 'false', '510981121002', 5, '东方社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981121002', 1, '2021-07-19 11:43:58', NULL, NULL), (12591, '', '五叉树村', 'a2901abd36fc419297be4b11e7e38a03', '664fff04ae3649c0911beca45cfe6c1e', 'False', 'True', 'false', 'false', '510981121201', 5, '五叉树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981121201', 1, '2021-07-19 11:43:58', NULL, NULL), (12592, '', '大垭村', '1fc2d28126ae4d5dbc43a1daa17ee1b4', '664fff04ae3649c0911beca45cfe6c1e', 'False', 'True', 'false', 'false', '510981121202', 5, '大垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981121202', 1, '2021-07-19 11:43:58', NULL, NULL), (12593, '', '梓江坝村', '904f56ba908a4312b5cd94f421d3d05d', '664fff04ae3649c0911beca45cfe6c1e', 'False', 'True', 'false', 'false', '510981121203', 5, '梓江坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981121203', 1, '2021-07-19 11:43:58', NULL, NULL), (12594, '', '天山村', '7ec1e471a4c645b29afdd736c3500b95', '664fff04ae3649c0911beca45cfe6c1e', 'False', 'True', 'false', 'false', '510981121205', 5, '天山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981121205', 1, '2021-07-19 11:43:58', NULL, NULL), (12595, '', '井江村', '2ea12bc56e9f40c2885fb5ccd11138db', '664fff04ae3649c0911beca45cfe6c1e', 'False', 'True', 'false', 'false', '510981121206', 5, '井江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981121206', 1, '2021-07-19 11:43:58', NULL, NULL), (12596, '', '神鹤村', '053a0c91247a4a08b9057a50ae6489bb', '664fff04ae3649c0911beca45cfe6c1e', 'False', 'True', 'false', 'false', '510981121207', 5, '神鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981121207', 1, '2021-07-19 11:43:58', NULL, NULL), (12597, '', '朝真村', 'aba2410c7f1b4bac99fce5fc6d5dfec0', '664fff04ae3649c0911beca45cfe6c1e', 'False', 'True', 'false', 'false', '510981121209', 5, '朝真村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981121209', 1, '2021-07-19 11:43:59', NULL, NULL), (12598, '', '九龙村', '63ee522a2b4e4f5da40a49b0e222de3d', '664fff04ae3649c0911beca45cfe6c1e', 'False', 'True', 'false', 'false', '510981121210', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981121210', 1, '2021-07-19 11:43:59', NULL, NULL), (12599, '', '飞凤村', '8de54b9068624988ba47545f0d9c9723', '664fff04ae3649c0911beca45cfe6c1e', 'False', 'True', 'false', 'false', '510981121211', 5, '飞凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981121211', 1, '2021-07-19 11:43:59', NULL, NULL), (12600, '', '玉皇山村', 'd17a0dca62914468871f54a1117e36e7', '664fff04ae3649c0911beca45cfe6c1e', 'False', 'True', 'false', 'false', '510981121215', 5, '玉皇山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981121215', 1, '2021-07-19 11:43:59', NULL, NULL), (12601, '', '观龙村', '083c84dfa12c4b1584f810329a67f493', '664fff04ae3649c0911beca45cfe6c1e', 'False', 'True', 'false', 'false', '510981121216', 5, '观龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981121216', 1, '2021-07-19 11:43:59', NULL, NULL), (12602, '', '玉屏山村', 'fa9ddbd17a11465d9364993dcddac71a', '664fff04ae3649c0911beca45cfe6c1e', 'False', 'True', 'false', 'false', '510981121217', 5, '玉屏山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981121217', 1, '2021-07-19 11:43:59', NULL, NULL), (12603, '', '四方碑村', '5bbdd34d830c4b58b0295cc3890a8283', '664fff04ae3649c0911beca45cfe6c1e', 'False', 'True', 'false', 'false', '510981121218', 5, '四方碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981121218', 1, '2021-07-19 11:43:59', NULL, NULL), (12604, '', '大庙村', '1b0460500e09455cb901c5c64e3122de', '664fff04ae3649c0911beca45cfe6c1e', 'False', 'True', 'false', 'false', '510981121219', 5, '大庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981121219', 1, '2021-07-19 11:43:59', NULL, NULL), (12605, '', '佛照村', 'c596963896f542dea688010726a31a74', '664fff04ae3649c0911beca45cfe6c1e', 'False', 'True', 'false', 'false', '510981121226', 5, '佛照村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981121226', 1, '2021-07-19 11:43:59', NULL, NULL), (12606, '', '瞿河镇', 'f4670a1cae8c4bbf8d51a578781a338c', '6c1755bb9d154edb8d1893f037cf106d', 'True', 'True', 'false', 'false', '510981122000', 4, '瞿河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510981122000', 1, '2021-07-19 11:43:59', NULL, NULL), (12607, '', '新华村', 'facce1b21d2244e9b7c8a6999b9e2151', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122002', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122002', 1, '2021-07-19 11:43:59', NULL, NULL), (12608, '', '幸福桥社区', '2a8c54a06d5b454094db8edd394ee415', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122003', 5, '幸福桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122003', 1, '2021-07-19 11:43:59', NULL, NULL), (12609, '', '土门垭社区', '5d92308aaedb482ca0f37ef0d8750dc4', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122004', 5, '土门垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122004', 1, '2021-07-19 11:44:00', NULL, NULL), (12610, '', '碧庄社区', '316f016bd311428ea5c0338c03b9bf2f', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122005', 5, '碧庄社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122005', 1, '2021-07-19 11:44:00', NULL, NULL), (12611, '', '金龟寺村', 'b54f762f0e7e44b0a3b87ad7f105beb4', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122201', 5, '金龟寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122201', 1, '2021-07-19 11:44:00', NULL, NULL), (12612, '', '南泉村', '4ebd85cf86884a9cb8d223c87afb1913', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122202', 5, '南泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122202', 1, '2021-07-19 11:44:00', NULL, NULL), (12613, '', '板板桥村', '5e3ab69443554e30962be39e607efd3b', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122204', 5, '板板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122204', 1, '2021-07-19 11:44:00', NULL, NULL), (12614, '', '龙凤村', '49f96c22e4ba49c5b7ad72a304d0496f', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122207', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122207', 1, '2021-07-19 11:44:00', NULL, NULL), (12615, '', '六合村', 'faa159856d34425c9593243732c69565', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122211', 5, '六合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122211', 1, '2021-07-19 11:44:00', NULL, NULL), (12616, '', '牛心村', '7e294d8be5564e799d2f09e95778747b', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122213', 5, '牛心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122213', 1, '2021-07-19 11:44:00', NULL, NULL), (12617, '', '金山村', '7d059a1ccede4cad806aa751c4c4fe92', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122215', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122215', 1, '2021-07-19 11:44:00', NULL, NULL), (12618, '', '书房嘴村', 'a9eefc23ea644709871fcd0040a4aa6a', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122216', 5, '书房嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122216', 1, '2021-07-19 11:44:00', NULL, NULL), (12619, '', '常乐村', '57318790cb4a439192a4bd6cfb8b20b2', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122217', 5, '常乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122217', 1, '2021-07-19 11:44:00', NULL, NULL), (12620, '', '新桥村', '659be937947a4375957124dbafd51556', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122218', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122218', 1, '2021-07-19 11:44:00', NULL, NULL), (12621, '', '鲜家沟村', '31907e58609748f9a426091264e3e4d6', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122220', 5, '鲜家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122220', 1, '2021-07-19 11:44:00', NULL, NULL), (12622, '', '文百村', '432735ba6f1a438b905dbc457312947c', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122221', 5, '文百村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122221', 1, '2021-07-19 11:44:01', NULL, NULL), (12623, '', '东岳村', '0c4ffed3eb124d84875853771ed8ae75', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122222', 5, '东岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122222', 1, '2021-07-19 11:44:01', NULL, NULL), (12624, '', '灶王村', 'f20a17f3339446878c95b8712a54f4ec', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122223', 5, '灶王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122223', 1, '2021-07-19 11:44:01', NULL, NULL), (12625, '', '金凤村', 'df6670fd6bfc4c7c91f0708d98b2cb68', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122224', 5, '金凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122224', 1, '2021-07-19 11:44:01', NULL, NULL), (12626, '', '中皇村', '7cd023bcf2154c60b1b3117a764a75bd', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122225', 5, '中皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122225', 1, '2021-07-19 11:44:01', NULL, NULL), (12627, '', '葫芦井社区', 'd19355ccd6114394990c3a95d268f3f6', 'f4670a1cae8c4bbf8d51a578781a338c', 'False', 'True', 'false', 'false', '510981122865', 5, '葫芦井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510981122865', 1, '2021-07-19 11:44:01', NULL, NULL), (12628, '', '蓬溪县', 'c8050b8d39674192aae3045b3ec45bcf', '50f12c6cc85e4ea3aac4d59ab7d035eb', 'True', 'True', 'true', 'true', '510921000000', 3, '蓬溪县', 'snspxx.sczwfw.gov.cn', 1, '2021-07-19 11:44:01', NULL, NULL), (12629, '', '普安街道', '692a2019bc25408db08f1e8d26514f54', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'true', 'true', '510921174000', 4, '普安街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921174000', 1, '2021-07-19 11:44:01', NULL, NULL), (12630, '', '广福社区', 'f261f3d581d84a0580b945d94fe39fb7', '692a2019bc25408db08f1e8d26514f54', 'False', 'True', 'false', 'false', '510921100249', 5, '广福', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100249', 1, '2021-07-19 11:44:01', NULL, NULL), (12631, '', '竹林桥社区', 'bc4c220f2b9b43bd956d5cb855c140da', '692a2019bc25408db08f1e8d26514f54', 'False', 'True', 'false', 'false', '510921138247', 5, '竹林桥', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921138247', 1, '2021-07-19 11:44:01', NULL, NULL), (12632, '', '映月社区', '07dfe78b056f49ce90af462da4e91df3', '692a2019bc25408db08f1e8d26514f54', 'False', 'True', 'false', 'false', '510921138449', 5, '映月社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921138449', 1, '2021-07-19 11:44:01', NULL, NULL), (12633, '', '任家桥村', 'c20f2a3786324b75b71e56410d9a13de', '692a2019bc25408db08f1e8d26514f54', 'False', 'True', 'false', 'false', '510921138493', 5, '任家桥', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921138493', 1, '2021-07-19 11:44:01', NULL, NULL), (12634, '', '城南社区', '0a07a39dc4124d7a9d3f694d9dadeea9', '692a2019bc25408db08f1e8d26514f54', 'False', 'True', 'false', 'false', '510921138560', 5, '城南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921138560', 1, '2021-07-19 11:44:01', NULL, NULL), (12635, '', '普安社区', '314b5e21d481485ba9231dc0ac08ba29', '692a2019bc25408db08f1e8d26514f54', 'False', 'True', 'false', 'false', '510921138713', 5, '普安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921138713', 1, '2021-07-19 11:44:01', NULL, NULL), (12636, '', '打铁垭村', 'a3ad75d6ed16435fb4d6e3f72406c9f1', '692a2019bc25408db08f1e8d26514f54', 'False', 'True', 'false', 'false', '510921138794', 5, '打铁垭', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921138794', 1, '2021-07-19 11:44:02', NULL, NULL), (12637, '', '成龙社区', '93cfbdbeac6c4343903c5dade1307a02', '692a2019bc25408db08f1e8d26514f54', 'False', 'True', 'false', 'false', '510921138809', 5, '成龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921138809', 1, '2021-07-19 11:44:02', NULL, NULL), (12638, '', '经开区金桥片区', '606738b7d6194c239ac8d6480a48893c', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921212002', 4, '金桥', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921212002', 1, '2021-07-19 11:44:02', NULL, NULL), (12639, '', '翰林社区', '6e6775afefa745e2ae8ba1834dded160', '606738b7d6194c239ac8d6480a48893c', 'False', 'True', 'false', 'false', '510921117044', 5, '翰林', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921117044', 1, '2021-07-19 11:44:02', NULL, NULL), (12640, '', '蛇亭咀村', '7ac358433b6f4a4c8b09cbd38b2616ea', '606738b7d6194c239ac8d6480a48893c', 'False', 'True', 'false', 'false', '510921117186', 5, '蛇亭咀', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921117186', 1, '2021-07-19 11:44:02', NULL, NULL), (12641, '', '金黄村', '870cb4de47ef4700ac8a2566fa18af60', '606738b7d6194c239ac8d6480a48893c', 'False', 'True', 'false', 'false', '510921117223', 5, '金黄', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921117223', 1, '2021-07-19 11:44:02', NULL, NULL), (12642, '', '过军坝村', '7543cf47dc8444869ba8da78f839cd80', '606738b7d6194c239ac8d6480a48893c', 'False', 'True', 'false', 'false', '510921117292', 5, '过军坝', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921117292', 1, '2021-07-19 11:44:02', NULL, NULL), (12643, '', '吉福社区', 'a1be9fe5857247e08126e372359da1d5', '606738b7d6194c239ac8d6480a48893c', 'False', 'True', 'false', 'false', '510921117606', 5, '吉福', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921117606', 1, '2021-07-19 11:44:02', NULL, NULL), (12644, '', '团河坝村', '14660f80520f43968475cf8e65a4438f', '606738b7d6194c239ac8d6480a48893c', 'False', 'True', 'false', 'false', '510921117862', 5, '团河坝', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921117862', 1, '2021-07-19 11:44:02', NULL, NULL), (12645, '', '经开区上游片区', '613021d836b14075afb106e98f7e334f', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921991001', 4, '上游', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921991001', 1, '2021-07-19 11:44:02', NULL, NULL), (12646, '', '梨园社区', 'fbd89d12f3544e209a68b43200d39a9a', '613021d836b14075afb106e98f7e334f', 'False', 'True', 'false', 'false', '510921001386', 5, '梨园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921001386', 1, '2021-07-19 11:44:02', NULL, NULL), (12647, '', '华园社区', 'f40487f6856c43acb8fc87d093fca3c4', '613021d836b14075afb106e98f7e334f', 'False', 'True', 'false', 'false', '510921001450', 5, '华园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921001450', 1, '2021-07-19 11:44:02', NULL, NULL), (12648, '', '莲花社区', 'de90c9fe49164794bc44396c026186ff', '613021d836b14075afb106e98f7e334f', 'False', 'True', 'false', 'false', '510921107645', 5, '莲花', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921107645', 1, '2021-07-19 11:44:02', NULL, NULL), (12649, '', '火车站社区', '68afbe08b0834df7b3b560daf7e08c89', '613021d836b14075afb106e98f7e334f', 'False', 'True', 'false', 'false', '510921110626', 5, '火车站', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110626', 1, '2021-07-19 11:44:02', NULL, NULL), (12650, '', '赤城镇', 'db642ad33e9f490a893eac34d7690901', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921100000', 4, '赤城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921100000', 1, '2021-07-19 11:44:02', NULL, NULL), (12651, '', '金仙村', '90251c0e690942fe8a7ab8ffc8944bc8', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100004', 5, '金仙', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100004', 1, '2021-07-19 11:44:02', NULL, NULL), (12652, '', '下东社区', '1f192bff5d51460f9c6cbaab0cad7ea4', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100009', 5, '下东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100009', 1, '2021-07-19 11:44:03', NULL, NULL), (12653, '', '大石桥村', '059c4283c8a54363ab13192bdd80b1d0', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100031', 5, '大石桥', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100031', 1, '2021-07-19 11:44:03', NULL, NULL), (12654, '', '长青村', '1e10bdffb5244db9affd963cfab4e9d0', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100054', 5, '长青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100054', 1, '2021-07-19 11:44:03', NULL, NULL), (12655, '', '下河街社区', '5c1d52c15947479bb106c654b625b7ec', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'true', 'true', '510921100098', 5, '下河街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100098', 1, '2021-07-19 11:44:03', NULL, NULL), (12656, '', '唐家沟村', 'ad8b8f99924748f1a2dae9119eb1c6fb', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100100', 5, '唐家沟', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100100', 1, '2021-07-19 11:44:03', NULL, NULL), (12657, '', '紫槽村', '4f40c8e3f31e4a908b259d33ec2b8c21', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100101', 5, '紫槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100101', 1, '2021-07-19 11:44:03', NULL, NULL), (12658, '', '上河街社区', 'b311f71f0be54077bc812f88a606f299', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100119', 5, '上河街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100119', 1, '2021-07-19 11:44:03', NULL, NULL), (12659, '', '禹城村', '976a630df0be4304bf086a13a3869895', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100171', 5, '禹城', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100171', 1, '2021-07-19 11:44:03', NULL, NULL), (12660, '', '长发店村', '3f880b14a8b74760af3a38e0ec81df56', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100228', 5, '长发店', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100228', 1, '2021-07-19 11:44:03', NULL, NULL), (12661, '', '玉泉社区', '9f40ae47011e4d7e8b98d02b17e29f88', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100290', 5, '玉泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100290', 1, '2021-07-19 11:44:03', NULL, NULL), (12662, '', '水口村', 'e818b0cc82174fd692d817d6962558a5', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100298', 5, '水口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100298', 1, '2021-07-19 11:44:03', NULL, NULL), (12663, '', '龙门垭村', '568c4c217c194d23a915b40dfa35f060', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100318', 5, '龙门垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100318', 1, '2021-07-19 11:44:03', NULL, NULL), (12664, '', '水楼村', '143f419aa48544a29002b7561dd0c834', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100327', 5, '水楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100327', 1, '2021-07-19 11:44:03', NULL, NULL), (12665, '', '顺东街社区', '3c3bf4fc50d74b168375ae124f24df26', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100337', 5, '顺东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100337', 1, '2021-07-19 11:44:03', NULL, NULL), (12666, '', '白毛沟村', '7b59537fd1a5462e83c1f043e823b592', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100341', 5, '白毛沟', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100341', 1, '2021-07-19 11:44:03', NULL, NULL), (12667, '', '长兴村', '2295ff51edf94c0a807dd019345bdb7d', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100373', 5, '长兴', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100373', 1, '2021-07-19 11:44:03', NULL, NULL), (12668, '', '莲珠桥村', '30f1da9de4024f69ad9b877e73fb1cc9', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100385', 5, '莲珠桥', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100385', 1, '2021-07-19 11:44:03', NULL, NULL), (12669, '', '青莲村', 'ee5f849542ab4a018d878e083709f22c', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100395', 5, '青莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100395', 1, '2021-07-19 11:44:03', NULL, NULL), (12670, '', '屏风村', '1e83eb8391994242ba4a8af530f426f0', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100399', 5, '屏风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100399', 1, '2021-07-19 11:44:03', NULL, NULL), (12671, '', '五雷寨村', '2dc4d1baa3b640949a93da8b7ce41aa2', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100410', 5, '五雷寨', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100410', 1, '2021-07-19 11:44:03', NULL, NULL), (12672, '', '下店子村', '495b1485b4974ab485a6792f56c5a36a', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100427', 5, '下店子', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100427', 1, '2021-07-19 11:44:03', NULL, NULL), (12673, '', '滨湖社区', '57472d3a088947d5bbf51aaa664a186d', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100459', 5, '滨湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100459', 1, '2021-07-19 11:44:04', NULL, NULL), (12674, '', '南北街社区', '13c77242d0364ff89756dd5e1e615f45', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100473', 5, '南北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100473', 1, '2021-07-19 11:44:04', NULL, NULL), (12675, '', '响堂沟村', '7e9f03955b804e618992ef4dfef46aef', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100532', 5, '响堂沟', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100532', 1, '2021-07-19 11:44:04', NULL, NULL), (12676, '', '周家店村', 'f4e1851180c949848270cbeb36ac6bde', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100572', 5, '周家店', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100572', 1, '2021-07-19 11:44:04', NULL, NULL), (12677, '', '中河街社区', 'e4c5c6c6a5764f0b9ba0569c4d7cd736', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100594', 5, '中河街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100594', 1, '2021-07-19 11:44:04', NULL, NULL), (12678, '', '凉风垭村', 'f0a15b0a146a41e2b312d8a2295890be', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100600', 5, '凉风垭', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100600', 1, '2021-07-19 11:44:04', NULL, NULL), (12679, '', '长岗村', '8e6b0c6080214c1bb84ce5038ea611d4', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100720', 5, '长岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100720', 1, '2021-07-19 11:44:04', NULL, NULL), (12680, '', '西街社区', 'e0fb1bb5cc694c1a91399b4282d5e92c', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100722', 5, '西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100722', 1, '2021-07-19 11:44:04', NULL, NULL), (12681, '', '长虹村', '2cb416f378fd43398e60619dff6977b7', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100842', 5, '长虹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100842', 1, '2021-07-19 11:44:04', NULL, NULL), (12682, '', '东街社区', 'df2769b8614f47aab37b7a468c830213', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100874', 5, '东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100874', 1, '2021-07-19 11:44:04', NULL, NULL), (12683, '', '福光村', 'c67b1dac7f6949dca7533bc3be28743f', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100901', 5, '福光', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100901', 1, '2021-07-19 11:44:04', NULL, NULL), (12684, '', '两河口村', 'ae240dfc7e5949919383452755d3e0d2', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100948', 5, '两河口', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100948', 1, '2021-07-19 11:44:04', NULL, NULL), (12685, '', '油坊沟社区', '4be2909c43e348328c22215944d5b919', 'db642ad33e9f490a893eac34d7690901', 'False', 'True', 'false', 'false', '510921100954', 5, '油坊沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921100954', 1, '2021-07-19 11:44:04', NULL, NULL), (12686, '', '新会镇', 'cc17efc9fc304d7b8c8ff5aa09790aa0', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921101000', 4, '新会镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921101000', 1, '2021-07-19 11:44:04', NULL, NULL), (12687, '', '两路口村', 'e9a742a0318241b1b265480cd3b53539', 'cc17efc9fc304d7b8c8ff5aa09790aa0', 'False', 'True', 'false', 'false', '510921101067', 5, '两路口', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921101067', 1, '2021-07-19 11:44:04', NULL, NULL), (12688, '', '猫山村', 'd524c9f6ab504c9998afdd485bf04071', 'cc17efc9fc304d7b8c8ff5aa09790aa0', 'False', 'True', 'false', 'false', '510921101197', 5, '猫山', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921101197', 1, '2021-07-19 11:44:05', NULL, NULL), (12689, '', '里坝村', 'ae64a1c6dba74ffb9208aab0fb602d35', 'cc17efc9fc304d7b8c8ff5aa09790aa0', 'False', 'True', 'false', 'false', '510921101213', 5, '里坝', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921101213', 1, '2021-07-19 11:44:05', NULL, NULL), (12690, '', '川江村', '1459b638060242b4be56bdd78bf36df4', 'cc17efc9fc304d7b8c8ff5aa09790aa0', 'False', 'True', 'false', 'false', '510921101214', 5, '川江', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921101214', 1, '2021-07-19 11:44:05', NULL, NULL), (12691, '', '武崚村', 'bf08aa6f4b3848a89d3b5d3e7336e176', 'cc17efc9fc304d7b8c8ff5aa09790aa0', 'False', 'True', 'false', 'false', '510921101477', 5, '武崚', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921101477', 1, '2021-07-19 11:44:05', NULL, NULL), (12692, '', '田家坝村', '0b9eb3f37453476e9cb14218765e7afd', 'cc17efc9fc304d7b8c8ff5aa09790aa0', 'False', 'True', 'false', 'false', '510921101621', 5, '田家坝', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921101621', 1, '2021-07-19 11:44:05', NULL, NULL), (12693, '', '会宇坝村', 'd4101b85f1ff4dd398a5d322551f4014', 'cc17efc9fc304d7b8c8ff5aa09790aa0', 'False', 'True', 'false', 'false', '510921101742', 5, '会宇坝', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921101742', 1, '2021-07-19 11:44:05', NULL, NULL), (12694, '', '灵芝村', 'ad7a5d6c1c1c4541b0bc315b1262f214', 'cc17efc9fc304d7b8c8ff5aa09790aa0', 'False', 'True', 'false', 'false', '510921101923', 5, '灵芝', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921101923', 1, '2021-07-19 11:44:05', NULL, NULL), (12695, '', '新桥村', '2287f795c6794d19809f54356e280322', 'cc17efc9fc304d7b8c8ff5aa09790aa0', 'False', 'True', 'false', 'false', '510921101951', 5, '新桥', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921101951', 1, '2021-07-19 11:44:05', NULL, NULL), (12696, '', '骡埝村', 'db959003776a47d69adbf95158ae1621', 'cc17efc9fc304d7b8c8ff5aa09790aa0', 'False', 'True', 'false', 'false', '510921101961', 5, '骡埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921101961', 1, '2021-07-19 11:44:05', NULL, NULL), (12697, '', '长兴社区', 'af81f4588f3c4574b18c0a191aff735e', 'cc17efc9fc304d7b8c8ff5aa09790aa0', 'False', 'True', 'false', 'false', '510921101180', 5, '长兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921101180', 1, '2021-07-19 11:44:05', NULL, NULL), (12698, '', '文井镇', '4189c5a0d7614f26aa7ce91ccd39e862', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921102000', 4, '文井镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921102000', 1, '2021-07-19 11:44:05', NULL, NULL), (12699, '', '北南观村', 'b006efd320404a44bb40235965c3abc3', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102021', 5, '北南观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102021', 1, '2021-07-19 11:44:05', NULL, NULL), (12700, '', '马鞍山村', '4d908256fbd24f4ebf2bb4e841fea610', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102036', 5, '马鞍山', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102036', 1, '2021-07-19 11:44:05', NULL, NULL), (12701, '', '分水岭村', '7f72a1f616054eab862b25b94b6cec8e', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102085', 5, '分水岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102085', 1, '2021-07-19 11:44:05', NULL, NULL), (12702, '', '顺天村', '0976572003f64286b37c0c7c2cbcdef7', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102161', 5, '顺天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102161', 1, '2021-07-19 11:44:06', NULL, NULL), (12703, '', '印盒山村', 'a0a498c3d3504ef8991cadcb53624ec6', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102208', 5, '印盒山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102208', 1, '2021-07-19 11:44:06', NULL, NULL), (12704, '', '红卫村', 'fe889642aacf4899b95c199c1df95dba', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102239', 5, '红卫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102239', 1, '2021-07-19 11:44:06', NULL, NULL), (12705, '', '文祥社区', '5a153f12cf4f4efaa1c71a13e7d86b81', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102292', 5, '文祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102292', 1, '2021-07-19 11:44:06', NULL, NULL), (12706, '', '映井场村', '439d9ddb8f3f4789ba2385d066bce7fc', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102297', 5, '映井场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102297', 1, '2021-07-19 11:44:06', NULL, NULL), (12707, '', '范家沟村', '113f57232dde49d6892e56ff8f29b4bb', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102364', 5, '范家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102364', 1, '2021-07-19 11:44:06', NULL, NULL), (12708, '', '壁山村', '53f7c72cdc854dd18c39abc49c67d202', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102386', 5, '壁山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102386', 1, '2021-07-19 11:44:06', NULL, NULL), (12709, '', '罗戈社区', 'd6874bdeab964132a827cfea2579c253', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102441', 5, '罗戈社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102441', 1, '2021-07-19 11:44:06', NULL, NULL), (12710, '', '新星社区', '64ec010917aa45828ba20903075d3631', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102453', 5, '新星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102453', 1, '2021-07-19 11:44:06', NULL, NULL), (12711, '', '白马村', 'f4a3e85c512c42a09649c9fa4a8413b2', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102466', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102466', 1, '2021-07-19 11:44:06', NULL, NULL), (12712, '', '会仙桥村', '779fcac940474f32816a60ba91fd89dd', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102497', 5, '会仙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102497', 1, '2021-07-19 11:44:06', NULL, NULL), (12713, '', '文峰社区', 'b69c866becd64cef8eb196f776bf8de7', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102583', 5, '文峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102583', 1, '2021-07-19 11:44:07', NULL, NULL), (12714, '', '白鹤林村', '963773e871c24c83809c39d583527b7a', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102593', 5, '白鹤林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102593', 1, '2021-07-19 11:44:07', NULL, NULL), (12715, '', '黄连嘴村', '4a0081ba41ae4c298ab31c9e615d501c', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102635', 5, '黄连嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102635', 1, '2021-07-19 11:44:07', NULL, NULL), (12716, '', '定香寺村', '776d36fe69dd4defa0689ee1d41161c0', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102651', 5, '定香寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102651', 1, '2021-07-19 11:44:07', NULL, NULL), (12717, '', '双龙桥村', 'c3c5be49743445f1aedae7dc540e4e3a', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102660', 5, '双龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102660', 1, '2021-07-19 11:44:07', NULL, NULL), (12718, '', '五柏树村', '0c13e377004849948cbb86fe8c4fab24', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102691', 5, '五柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102691', 1, '2021-07-19 11:44:07', NULL, NULL), (12719, '', '高峰山村', '17c8d4623bef4adcbd794fb2d4573c4b', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102763', 5, '高峰山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102763', 1, '2021-07-19 11:44:07', NULL, NULL), (12720, '', '青龙咀村', 'bff4a09870a94471b208f1e5f6b51894', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102789', 5, '青龙咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102789', 1, '2021-07-19 11:44:07', NULL, NULL), (12721, '', '梅垭村', '13bb084accc64483aec32db2c461b9fe', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102816', 5, '梅垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102816', 1, '2021-07-19 11:44:07', NULL, NULL), (12722, '', '天佑村', 'eaa7beb36247436cb7493587995a687e', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102926', 5, '天佑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102926', 1, '2021-07-19 11:44:07', NULL, NULL), (12723, '', '赵先村', 'a90422b36c434bc09286aa101bcdfa9f', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102961', 5, '赵先村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102961', 1, '2021-07-19 11:44:07', NULL, NULL), (12724, '', '云台村', 'e6039824a6194a05b07f458c6aa760bd', '4189c5a0d7614f26aa7ce91ccd39e862', 'False', 'True', 'false', 'false', '510921102966', 5, '云台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921102966', 1, '2021-07-19 11:44:07', NULL, NULL), (12725, '', '明月镇', '3de18aed017246ffaa13f66c84b99a52', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921103000', 4, '明月镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921103000', 1, '2021-07-19 11:44:07', NULL, NULL), (12726, '', '元坝子村', 'be2670a806624f3292dceab2c39ce889', '3de18aed017246ffaa13f66c84b99a52', 'False', 'True', 'false', 'false', '510921103053', 5, '元坝子', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921103053', 1, '2021-07-19 11:44:07', NULL, NULL), (12727, '', '三叉河村', '893128578cae46ac9b5f8bddeec6b11e', '3de18aed017246ffaa13f66c84b99a52', 'False', 'True', 'false', 'false', '510921103080', 5, '三叉河', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921103080', 1, '2021-07-19 11:44:07', NULL, NULL), (12728, '', '白云村', '473a0ae9063b4ab5ae703a977a82a5ae', '3de18aed017246ffaa13f66c84b99a52', 'False', 'True', 'false', 'false', '510921103146', 5, '白云', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921103146', 1, '2021-07-19 11:44:07', NULL, NULL), (12729, '', '望月街社区', 'c1d683f2ec084dbb9d7473fe5ea7c9cf', '3de18aed017246ffaa13f66c84b99a52', 'False', 'True', 'false', 'false', '510921103268', 5, '望月街', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921103268', 1, '2021-07-19 11:44:07', NULL, NULL), (12730, '', '学田村', '30da218e99814ef0b7fea2d667b38052', '3de18aed017246ffaa13f66c84b99a52', 'False', 'True', 'false', 'false', '510921103417', 5, '学田', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921103417', 1, '2021-07-19 11:44:07', NULL, NULL), (12731, '', '宇安村', 'da866f15d9f14fd5b1ced6959e89c53a', '3de18aed017246ffaa13f66c84b99a52', 'False', 'True', 'false', 'false', '510921103439', 5, '宇安', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921103439', 1, '2021-07-19 11:44:07', NULL, NULL), (12732, '', '桂花桥村', 'ebd9bd823b14481d99fb146ada401d27', '3de18aed017246ffaa13f66c84b99a52', 'False', 'True', 'false', 'false', '510921103503', 5, '桂花桥', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921103503', 1, '2021-07-19 11:44:08', NULL, NULL), (12733, '', '慧林村', 'd8713d6882104e8fbc4bfb37c00b1ee9', '3de18aed017246ffaa13f66c84b99a52', 'False', 'True', 'false', 'false', '510921103532', 5, '慧林', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921103532', 1, '2021-07-19 11:44:08', NULL, NULL), (12734, '', '回水社区', '5c8e04ea0c6344d1911b04ce7d919d1a', '3de18aed017246ffaa13f66c84b99a52', 'False', 'True', 'false', 'false', '510921103567', 5, '回水', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921103567', 1, '2021-07-19 11:44:08', NULL, NULL), (12735, '', '火石村', 'd1cc923c26ab4f269f01302414fac2cd', '3de18aed017246ffaa13f66c84b99a52', 'False', 'True', 'false', 'false', '510921103630', 5, '火石', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921103630', 1, '2021-07-19 11:44:08', NULL, NULL), (12736, '', '九龙寨村', 'cd9d51864a23492586424c9569ea1063', '3de18aed017246ffaa13f66c84b99a52', 'False', 'True', 'false', 'false', '510921103637', 5, '九龙寨', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921103637', 1, '2021-07-19 11:44:08', NULL, NULL), (12737, '', '何家坝村', '7990c2392fb045cc8ab2b767a9336eef', '3de18aed017246ffaa13f66c84b99a52', 'False', 'True', 'false', 'false', '510921103662', 5, '何家坝', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921103662', 1, '2021-07-19 11:44:08', NULL, NULL), (12738, '', '深广村', '71eb69f6033d418faccbea37e8e632fa', '3de18aed017246ffaa13f66c84b99a52', 'False', 'True', 'false', 'false', '510921103717', 5, '深广', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921103717', 1, '2021-07-19 11:44:08', NULL, NULL), (12739, '', '白庙村', '950ce9f6fd2247f4a26299a4ef58829a', '3de18aed017246ffaa13f66c84b99a52', 'False', 'True', 'false', 'false', '510921103723', 5, '白庙', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921103723', 1, '2021-07-19 11:44:08', NULL, NULL), (12740, '', '熬花井村', 'ba0cac5eb764478e914b558bb45efd08', '3de18aed017246ffaa13f66c84b99a52', 'False', 'True', 'false', 'false', '510921103779', 5, '熬花井', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921103779', 1, '2021-07-19 11:44:08', NULL, NULL), (12741, '', '西林村', '4f780ca3718347d5a640491d42c596a7', '3de18aed017246ffaa13f66c84b99a52', 'False', 'True', 'false', 'false', '510921103786', 5, '西林', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921103786', 1, '2021-07-19 11:44:08', NULL, NULL), (12742, '', '常乐镇', 'c448b0d2a0804e58893bedfa45b3fd78', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921104000', 4, '常乐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921104000', 1, '2021-07-19 11:44:08', NULL, NULL), (12743, '', '拱市村', 'a1e8e629a3f94031adacb5d8e746c328', 'c448b0d2a0804e58893bedfa45b3fd78', 'False', 'True', 'true', 'true', '510921104002', 5, '拱市村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921104002', 1, '2021-07-19 11:44:08', NULL, NULL), (12744, '', '常兴社区', '05ad9cbf2b50465395697867e04b6566', 'c448b0d2a0804e58893bedfa45b3fd78', 'False', 'True', 'false', 'false', '510921104260', 5, '常兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921104260', 1, '2021-07-19 11:44:08', NULL, NULL), (12745, '', '岳成村', 'aac62ada62ca43769a46d44e6fc9c4eb', 'c448b0d2a0804e58893bedfa45b3fd78', 'False', 'True', 'false', 'false', '510921104393', 5, '岳成村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921104393', 1, '2021-07-19 11:44:08', NULL, NULL), (12746, '', '崇文村', '430e8973d66d4285ac37370a03697fbe', 'c448b0d2a0804e58893bedfa45b3fd78', 'False', 'True', 'false', 'false', '510921104493', 5, '崇文村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921104493', 1, '2021-07-19 11:44:08', NULL, NULL), (12747, '', '炮台村', 'ce23bbfbdd7d498d9058600ca553dc19', 'c448b0d2a0804e58893bedfa45b3fd78', 'False', 'True', 'false', 'false', '510921104528', 5, '炮台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921104528', 1, '2021-07-19 11:44:08', NULL, NULL), (12748, '', '山兴寨村', '123edc9982a34b4392b8a0c2f7fb3841', 'c448b0d2a0804e58893bedfa45b3fd78', 'False', 'True', 'false', 'false', '510921104562', 5, '山兴寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921104562', 1, '2021-07-19 11:44:09', NULL, NULL), (12749, '', '万寿村', '8a46695c34d14821b2eabaae1bf89dde', 'c448b0d2a0804e58893bedfa45b3fd78', 'False', 'True', 'false', 'false', '510921104597', 5, '万寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921104597', 1, '2021-07-19 11:44:09', NULL, NULL), (12750, '', '庭英村', '89ff93a765a84b76aef823aaa2398a96', 'c448b0d2a0804e58893bedfa45b3fd78', 'False', 'True', 'false', 'false', '510921104712', 5, '庭英村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921104712', 1, '2021-07-19 11:44:09', NULL, NULL), (12751, '', '新凌村', 'ae7adcdeedb04d94bb7aa5ece0a831cf', 'c448b0d2a0804e58893bedfa45b3fd78', 'False', 'True', 'false', 'false', '510921104820', 5, '新凌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921104820', 1, '2021-07-19 11:44:09', NULL, NULL), (12752, '', '银家沟村', '19d98166660e44859d2cf8e5e04119e3', 'c448b0d2a0804e58893bedfa45b3fd78', 'False', 'True', 'false', 'false', '510921104904', 5, '银家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921104904', 1, '2021-07-19 11:44:09', NULL, NULL), (12753, '', '仙人洞村', '757721ae9758481fb71afc4959dc089a', 'c448b0d2a0804e58893bedfa45b3fd78', 'False', 'True', 'false', 'false', '510921104908', 5, '仙人洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921104908', 1, '2021-07-19 11:44:09', NULL, NULL), (12754, '', '牛家河村', '1e94f01b46c74f8a863cd7b35428fd41', 'c448b0d2a0804e58893bedfa45b3fd78', 'False', 'True', 'false', 'false', '510921104909', 5, '牛家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921104909', 1, '2021-07-19 11:44:09', NULL, NULL), (12755, '', '天福镇', '8f75ad00f7e347ad85b33a64d689b6bb', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921105000', 4, '天福镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921105000', 1, '2021-07-19 11:44:09', NULL, NULL), (12756, '', '落溪村', 'ad317cb6c56c4d1a81044c42f8a1b99e', '8f75ad00f7e347ad85b33a64d689b6bb', 'False', 'True', 'false', 'false', '510921105088', 5, '落溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921105088', 1, '2021-07-19 11:44:09', NULL, NULL), (12757, '', '丰庄村', '2c775515178d4cca9b8d3696fb9cd836', '8f75ad00f7e347ad85b33a64d689b6bb', 'False', 'True', 'false', 'false', '510921105150', 5, '丰庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921105150', 1, '2021-07-19 11:44:09', NULL, NULL), (12758, '', '茶房沟村', '35fd467e4f744afdac58a2ae45e0e398', '8f75ad00f7e347ad85b33a64d689b6bb', 'False', 'True', 'false', 'false', '510921105172', 5, '茶房沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921105172', 1, '2021-07-19 11:44:09', NULL, NULL), (12759, '', '长坪村', '62d0c52ec4c6415498c2ea58bc4eab14', '8f75ad00f7e347ad85b33a64d689b6bb', 'False', 'True', 'false', 'false', '510921105385', 5, '长坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921105385', 1, '2021-07-19 11:44:09', NULL, NULL), (12760, '', '长岭村', '7fbdfa5d887f4ba59fd5b1eb3641d84b', '8f75ad00f7e347ad85b33a64d689b6bb', 'False', 'True', 'false', 'false', '510921105504', 5, '长岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921105504', 1, '2021-07-19 11:44:09', NULL, NULL), (12761, '', '桥安社区', 'dbddcad647ca4fe3935f86f5170d34ad', '8f75ad00f7e347ad85b33a64d689b6bb', 'False', 'True', 'false', 'false', '510921105508', 5, '桥安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921105508', 1, '2021-07-19 11:44:09', NULL, NULL), (12762, '', '郑家沟村', '25cd886ec8894a968ca43cd4b8191a4a', '8f75ad00f7e347ad85b33a64d689b6bb', 'False', 'True', 'false', 'false', '510921105582', 5, '郑家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921105582', 1, '2021-07-19 11:44:09', NULL, NULL), (12763, '', '双桥村', '21a5fb4a89d749748803faedbb2cfb19', '8f75ad00f7e347ad85b33a64d689b6bb', 'False', 'True', 'false', 'false', '510921105617', 5, '双桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921105617', 1, '2021-07-19 11:44:09', NULL, NULL), (12764, '', '赵家沟村', '50f20705238c44498114524866c67da7', '8f75ad00f7e347ad85b33a64d689b6bb', 'False', 'True', 'false', 'false', '510921105712', 5, '赵家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921105712', 1, '2021-07-19 11:44:09', NULL, NULL), (12765, '', '狮山村', 'a236c90815634e6aae4f4059a84d95e7', '8f75ad00f7e347ad85b33a64d689b6bb', 'False', 'True', 'false', 'false', '510921105906', 5, '狮山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921105906', 1, '2021-07-19 11:44:09', NULL, NULL), (12766, '', '福兴社区', 'bb0b9aca26584fcb8dd0a20bde0f9d94', '8f75ad00f7e347ad85b33a64d689b6bb', 'False', 'True', 'false', 'false', '510921105957', 5, '福兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921105957', 1, '2021-07-19 11:44:10', NULL, NULL), (12767, '', '三合村', 'bc0178af11f646ec948b24e04460015b', '8f75ad00f7e347ad85b33a64d689b6bb', 'False', 'True', 'false', 'false', '510921105958', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921105958', 1, '2021-07-19 11:44:10', NULL, NULL), (12768, '', '红江镇', '58baadfd53624806a4ab2af9b379b234', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921106000', 4, '红江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921106000', 1, '2021-07-19 11:44:10', NULL, NULL), (12769, '', '红江社区', 'ba239b98f408482882fd20c13797df4d', '58baadfd53624806a4ab2af9b379b234', 'False', 'True', 'false', 'false', '510921106129', 5, '红江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921106129', 1, '2021-07-19 11:44:10', NULL, NULL), (12770, '', '白土坝社区', '5c4ded2255f7408f8fc88e51dfab80e3', '58baadfd53624806a4ab2af9b379b234', 'False', 'True', 'false', 'false', '510921106148', 5, '白土坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921106148', 1, '2021-07-19 11:44:10', NULL, NULL), (12771, '', '红江村', 'a619306517574c24afc181bbaa303944', '58baadfd53624806a4ab2af9b379b234', 'False', 'True', 'false', 'false', '510921106189', 5, '红江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921106189', 1, '2021-07-19 11:44:10', NULL, NULL), (12772, '', '部营村', 'ec604a7fdcb64060a293f52b682c6086', '58baadfd53624806a4ab2af9b379b234', 'False', 'True', 'false', 'false', '510921106215', 5, '部营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921106215', 1, '2021-07-19 11:44:10', NULL, NULL), (12773, '', '马岩村', 'b618904771694504af8bfca20c348ed1', '58baadfd53624806a4ab2af9b379b234', 'False', 'True', 'false', 'false', '510921106472', 5, '马岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921106472', 1, '2021-07-19 11:44:10', NULL, NULL), (12774, '', '顺江村', '29af9aae40c2427eb05bff32befcafff', '58baadfd53624806a4ab2af9b379b234', 'False', 'True', 'false', 'false', '510921106613', 5, '顺江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921106613', 1, '2021-07-19 11:44:10', NULL, NULL), (12775, '', '永益村', 'bbb5e9456b1f4d3ab7b3e83a5ce89eb1', '58baadfd53624806a4ab2af9b379b234', 'False', 'True', 'false', 'false', '510921106952', 5, '永益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921106952', 1, '2021-07-19 11:44:10', NULL, NULL), (12776, '', '宝梵镇', 'bda1ec7b203a4a83b2bd94573aaea353', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921107000', 4, '宝梵镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921107000', 1, '2021-07-19 11:44:10', NULL, NULL), (12777, '', '鹤桥村', 'e02f3f0939654886afb710d1e5788802', 'bda1ec7b203a4a83b2bd94573aaea353', 'False', 'True', 'false', 'false', '510921107088', 5, '鹤桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921107088', 1, '2021-07-19 11:44:10', NULL, NULL), (12778, '', '云盘咀村', '64499b5e2d354fb98d1e52242246b880', 'bda1ec7b203a4a83b2bd94573aaea353', 'False', 'True', 'false', 'false', '510921107321', 5, '云盘咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921107321', 1, '2021-07-19 11:44:10', NULL, NULL), (12779, '', '冬笋街社区', '3e772e5a876b4ce98b6667f2334ab9ac', 'bda1ec7b203a4a83b2bd94573aaea353', 'False', 'True', 'false', 'false', '510921107435', 5, '冬笋街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921107435', 1, '2021-07-19 11:44:10', NULL, NULL), (12780, '', '道德村', '9bf6fec6f6784a1aaca74a57ac029439', 'bda1ec7b203a4a83b2bd94573aaea353', 'False', 'True', 'false', 'false', '510921107474', 5, '道德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921107474', 1, '2021-07-19 11:44:10', NULL, NULL), (12781, '', '井田坝村', 'ada6e1a42ed34abda67ee626b5daf2ea', 'bda1ec7b203a4a83b2bd94573aaea353', 'False', 'True', 'false', 'false', '510921107536', 5, '井田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921107536', 1, '2021-07-19 11:44:11', NULL, NULL), (12782, '', '龙洞村', 'e07c094d41e1493cbadaadabe49693e9', 'bda1ec7b203a4a83b2bd94573aaea353', 'False', 'True', 'false', 'false', '510921107561', 5, '龙洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921107561', 1, '2021-07-19 11:44:11', NULL, NULL), (12783, '', '跃进村', '3a3f9feb0b394b31beba2dc4d0b6c6bf', 'bda1ec7b203a4a83b2bd94573aaea353', 'False', 'True', 'false', 'false', '510921107596', 5, '跃进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921107596', 1, '2021-07-19 11:44:11', NULL, NULL), (12784, '', '宝梵村', 'a4c1bc45064d48d9a5add61614735dd3', 'bda1ec7b203a4a83b2bd94573aaea353', 'False', 'True', 'false', 'false', '510921107687', 5, '宝梵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921107687', 1, '2021-07-19 11:44:11', NULL, NULL), (12785, '', '长海村', 'a359e5e488084167bb0126f343a623a1', 'bda1ec7b203a4a83b2bd94573aaea353', 'False', 'True', 'false', 'false', '510921107765', 5, '长海村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921107765', 1, '2021-07-19 11:44:11', NULL, NULL), (12786, '', '青山村', 'bbf0cb6a47504dea8869eb9e9bf1f05c', 'bda1ec7b203a4a83b2bd94573aaea353', 'False', 'True', 'false', 'false', '510921107775', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921107775', 1, '2021-07-19 11:44:11', NULL, NULL), (12787, '', '大石镇', 'ef37007ecc5b455287b7942464747018', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921108000', 4, '大石镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921108000', 1, '2021-07-19 11:44:11', NULL, NULL), (12788, '', '连二寨村', '0f64f717f0ae4610b14004ed68f7d915', 'ef37007ecc5b455287b7942464747018', 'False', 'True', 'false', 'false', '510921108026', 5, '连二寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921108026', 1, '2021-07-19 11:44:11', NULL, NULL), (12789, '', '乌木嘴村', 'cea7e879f9f94d32b334c255aafbedf1', 'ef37007ecc5b455287b7942464747018', 'False', 'True', 'false', 'false', '510921108036', 5, '乌木嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921108036', 1, '2021-07-19 11:44:11', NULL, NULL), (12790, '', '大福村', '977c33bdb39a4974961929a766cf0f86', 'ef37007ecc5b455287b7942464747018', 'False', 'True', 'false', 'false', '510921108097', 5, '大福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921108097', 1, '2021-07-19 11:44:11', NULL, NULL), (12791, '', '护国社区', '1e74dbe20eb4439aa35c44f473ffb054', 'ef37007ecc5b455287b7942464747018', 'False', 'True', 'false', 'false', '510921108543', 5, '护国社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921108543', 1, '2021-07-19 11:44:11', NULL, NULL), (12792, '', '牛角沟村', '8d803e39a8e04c1796677781a1600fe4', 'ef37007ecc5b455287b7942464747018', 'False', 'True', 'false', 'false', '510921108604', 5, '牛角沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921108604', 1, '2021-07-19 11:44:11', NULL, NULL), (12793, '', '通祥社区', 'a0afc0e5481a4fc3a9ac850de33e95e1', 'ef37007ecc5b455287b7942464747018', 'False', 'True', 'false', 'false', '510921108645', 5, '通祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921108645', 1, '2021-07-19 11:44:11', NULL, NULL), (12794, '', '泉程村', 'fd56c3c797754fcd9708f597b7d4f30d', 'ef37007ecc5b455287b7942464747018', 'False', 'True', 'false', 'false', '510921108723', 5, '泉程村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921108723', 1, '2021-07-19 11:44:11', NULL, NULL), (12795, '', '天宫堂村', '5ca199e0eaef42db86c8bc58e61c3172', 'ef37007ecc5b455287b7942464747018', 'False', 'True', 'false', 'false', '510921108788', 5, '天宫堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921108788', 1, '2021-07-19 11:44:11', NULL, NULL), (12796, '', '雷洞山村', '4e697ff9333e48ae90808e97073191e9', 'ef37007ecc5b455287b7942464747018', 'False', 'True', 'false', 'false', '510921108858', 5, '雷洞山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921108858', 1, '2021-07-19 11:44:12', NULL, NULL), (12797, '', '文凡村', 'e32450aac95247378731ab71a8cfaa1f', 'ef37007ecc5b455287b7942464747018', 'False', 'True', 'false', 'false', '510921108865', 5, '文凡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921108865', 1, '2021-07-19 11:44:12', NULL, NULL), (12798, '', '吉祥镇', '15c6eae786114fa4962541b4ebee4f61', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921109000', 4, '吉祥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921109000', 1, '2021-07-19 11:44:12', NULL, NULL), (12799, '', '古井湾村', 'b111dfc6f981460d8712e9efdc9a566e', '15c6eae786114fa4962541b4ebee4f61', 'False', 'True', 'false', 'false', '510921109110', 5, '古井湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921109110', 1, '2021-07-19 11:44:12', NULL, NULL), (12800, '', '横山村', 'ae2b5e72d3c6445e92d0fd7c7e1feefc', '15c6eae786114fa4962541b4ebee4f61', 'False', 'True', 'false', 'false', '510921109130', 5, '横山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921109130', 1, '2021-07-19 11:44:12', NULL, NULL), (12801, '', '群力社区', 'd27078be08c046b684d90c49274a1ebc', '15c6eae786114fa4962541b4ebee4f61', 'False', 'True', 'false', 'false', '510921109155', 5, '群力社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921109155', 1, '2021-07-19 11:44:12', NULL, NULL), (12802, '', '福星村', '868f55e2e16a4199bb3f265b8dd9ae83', '15c6eae786114fa4962541b4ebee4f61', 'False', 'True', 'false', 'false', '510921109236', 5, '福星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921109236', 1, '2021-07-19 11:44:12', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (12803, '', '吉祥社区', '29884b1b00c241bd9fa0ddbe8ff06a4b', '15c6eae786114fa4962541b4ebee4f61', 'False', 'True', 'false', 'false', '510921109323', 5, '吉祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921109323', 1, '2021-07-19 11:44:12', NULL, NULL), (12804, '', '古桥村', '8ab4f3b04d86422d881d4bc03599ecd8', '15c6eae786114fa4962541b4ebee4f61', 'False', 'True', 'false', 'false', '510921109328', 5, '古桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921109328', 1, '2021-07-19 11:44:12', NULL, NULL), (12805, '', '双江村', 'c89e592bca324a56a31d0d1530ff314c', '15c6eae786114fa4962541b4ebee4f61', 'False', 'True', 'false', 'false', '510921109389', 5, '双江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921109389', 1, '2021-07-19 11:44:12', NULL, NULL), (12806, '', '宝泉村', '0cec0de2e52242d6bd8363ba542e73ff', '15c6eae786114fa4962541b4ebee4f61', 'False', 'True', 'false', 'false', '510921109425', 5, '宝泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921109425', 1, '2021-07-19 11:44:12', NULL, NULL), (12807, '', '进士村', '6045f39ea0ff44f7ae2d26df7877a379', '15c6eae786114fa4962541b4ebee4f61', 'False', 'True', 'false', 'false', '510921109486', 5, '进士村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921109486', 1, '2021-07-19 11:44:12', NULL, NULL), (12808, '', '公平村', 'cb3d4218882b4c9e89a39eb289c82387', '15c6eae786114fa4962541b4ebee4f61', 'False', 'True', 'false', 'false', '510921109583', 5, '公平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921109583', 1, '2021-07-19 11:44:12', NULL, NULL), (12809, '', '民义村', 'b414c1b6edee4c179c695f771f8bbbbd', '15c6eae786114fa4962541b4ebee4f61', 'False', 'True', 'false', 'false', '510921109633', 5, '民义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921109633', 1, '2021-07-19 11:44:12', NULL, NULL), (12810, '', '莲桥村', 'f2fba4794bf04455a3610ace73389ca9', '15c6eae786114fa4962541b4ebee4f61', 'False', 'True', 'false', 'false', '510921109992', 5, '莲桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921109992', 1, '2021-07-19 11:44:12', NULL, NULL), (12811, '', '鸣凤镇', 'b7cb1bbc066c426a8a29dd93c5712378', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921110000', 4, '鸣凤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921110000', 1, '2021-07-19 11:44:12', NULL, NULL), (12812, '', '稻香村', 'b01e32d0a8ce46e68adfff558458e510', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921015673', 5, '稻香', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921015673', 1, '2021-07-19 11:44:13', NULL, NULL), (12813, '', '梨树垭村', '6062af29eb2a4106b8ae032126583c58', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110209', 5, '梨树垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110209', 1, '2021-07-19 11:44:13', NULL, NULL), (12814, '', '吉星社区', '38a27cab2cc64c988b98ecc7c94f2ec1', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110220', 5, '吉星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110220', 1, '2021-07-19 11:44:13', NULL, NULL), (12815, '', '下寺村', 'd5843d7cb7ad4068b6598b67954933f8', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110224', 5, '下寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110224', 1, '2021-07-19 11:44:13', NULL, NULL), (12816, '', '红光村', '77bb8612af9a41c5898229cd16f8a599', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110231', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110231', 1, '2021-07-19 11:44:13', NULL, NULL), (12817, '', '七星村', '945a63e4aa0f4299b6d31ac808dec9d5', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110236', 5, '七星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110236', 1, '2021-07-19 11:44:13', NULL, NULL), (12818, '', '凤鸣社区', '26612fbd70ff490aa885de087dbc645f', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110252', 5, '凤鸣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110252', 1, '2021-07-19 11:44:13', NULL, NULL), (12819, '', '真福村', 'd7dd0b336dce4b3fbcd5fe6fe0ecee78', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110356', 5, '真福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110356', 1, '2021-07-19 11:44:13', NULL, NULL), (12820, '', '宽台村', '1ac1b6904d9746099ad5c53df4592488', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110364', 5, '宽台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110364', 1, '2021-07-19 11:44:13', NULL, NULL), (12821, '', '青杠村', 'eaf17f7475fe4c21a1a1c8a99fca63e0', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110439', 5, '青杠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110439', 1, '2021-07-19 11:44:13', NULL, NULL), (12822, '', '大桥村', 'a023e15005304e5eb7cc4a69dfe07460', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110458', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110458', 1, '2021-07-19 11:44:13', NULL, NULL), (12823, '', '金钱村', '73418ff9b85b496f8a7579ec4ea611fd', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110484', 5, '金钱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110484', 1, '2021-07-19 11:44:13', NULL, NULL), (12824, '', '盐井沟村', '0fce563d0fdc424db8d921cff40c8ecc', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110525', 5, '盐井沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110525', 1, '2021-07-19 11:44:14', NULL, NULL), (12825, '', '兴隆村', '464c8f6d7a4140c5821cb3e26b319343', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110574', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110574', 1, '2021-07-19 11:44:14', NULL, NULL), (12826, '', '桂枝村', '795e0493e09a4a2d945174dc86de5286', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110635', 5, '桂枝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110635', 1, '2021-07-19 11:44:14', NULL, NULL), (12827, '', '晒金村', 'e52e41a433b642498d4625cc3205510c', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110637', 5, '晒金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110637', 1, '2021-07-19 11:44:14', NULL, NULL), (12828, '', '白猴村', 'd1e7d87cd0a645c8bbbdbb2be3482ffa', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110691', 5, '白猴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110691', 1, '2021-07-19 11:44:14', NULL, NULL), (12829, '', '石马沟村', 'a7a03dd1b92b40c8876516ca0b4d70de', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110734', 5, '石马沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110734', 1, '2021-07-19 11:44:14', NULL, NULL), (12830, '', '拱桥坡村', 'c3942d58f1674d9d9ec40549b62bdb6f', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110749', 5, '拱桥坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110749', 1, '2021-07-19 11:44:14', NULL, NULL), (12831, '', '天门村', 'ea1f39dc47a249d7b1708092cb431181', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110848', 5, '天门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110848', 1, '2021-07-19 11:44:14', NULL, NULL), (12832, '', '田沟村', '2d544a50a2ad4806afbbea2f5cd8c603', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110898', 5, '田沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110898', 1, '2021-07-19 11:44:14', NULL, NULL), (12833, '', '铜宝山村', '217dfe9026fc4d3da1dbf6e273aa44b7', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110960', 5, '铜宝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110960', 1, '2021-07-19 11:44:14', NULL, NULL), (12834, '', '库楼村', '9456c3bb46894994b4390bfa4196db8c', 'b7cb1bbc066c426a8a29dd93c5712378', 'False', 'True', 'false', 'false', '510921110976', 5, '库楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921110976', 1, '2021-07-19 11:44:14', NULL, NULL), (12835, '', '任隆镇', '06d4423a697549db8b5881f60041836c', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'true', 'true', '510921111000', 4, '任隆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921111000', 1, '2021-07-19 11:44:14', NULL, NULL), (12836, '', '双龙村', '20ecbe7e70624c069b75f11a0b6b986b', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111010', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111010', 1, '2021-07-19 11:44:14', NULL, NULL), (12837, '', '寨子坝村', '0cfce69d5d044da6a83289b455317cbb', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111061', 5, '寨子坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111061', 1, '2021-07-19 11:44:14', NULL, NULL), (12838, '', '幸福桥村', 'f9eb8743945545ca81fefea418b28ea1', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111098', 5, '幸福桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111098', 1, '2021-07-19 11:44:14', NULL, NULL), (12839, '', '杨家沟村', '16b2a90d225240fbaf71b503d82c0108', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111410', 5, '杨家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111410', 1, '2021-07-19 11:44:15', NULL, NULL), (12840, '', '矮垭口村', '39896fd645c04a5c88af0889ee74eeeb', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111471', 5, '矮垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111471', 1, '2021-07-19 11:44:15', NULL, NULL), (12841, '', '七宝村', '2dceb78949cf44dca199f0f94152b230', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111496', 5, '七宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111496', 1, '2021-07-19 11:44:15', NULL, NULL), (12842, '', '依姑村', 'f1c3a6f185974399868f6672e9682b36', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111533', 5, '依姑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111533', 1, '2021-07-19 11:44:15', NULL, NULL), (12843, '', '黄泥社区', '889bfb01e1a44b298731f8a9c7b57f8d', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111566', 5, '黄泥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111566', 1, '2021-07-19 11:44:15', NULL, NULL), (12844, '', '老马沟村', '086aaab8b5414019a67355f9c84e5c0f', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111591', 5, '老马沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111591', 1, '2021-07-19 11:44:15', NULL, NULL), (12845, '', '民力村', '2606008bc84c4103937aaf7d8cb2e69f', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111641', 5, '民力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111641', 1, '2021-07-19 11:44:15', NULL, NULL), (12846, '', '思源村', 'b72c358d0dc045d89f271d68ae5e37d3', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111668', 5, '思源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111668', 1, '2021-07-19 11:44:15', NULL, NULL), (12847, '', '红一村', '36293057afcc4f4a893c797511046b67', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111674', 5, '红一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111674', 1, '2021-07-19 11:44:15', NULL, NULL), (12848, '', '黑白沟村', '24729110a0be46cfa4980698a216b9df', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111714', 5, '黑白沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111714', 1, '2021-07-19 11:44:15', NULL, NULL), (12849, '', '八角村', 'ffa200497f34433d907f2a481a610cd6', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111735', 5, '八角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111735', 1, '2021-07-19 11:44:15', NULL, NULL), (12850, '', '安子沟村', 'c3c3b03f062142e2a7ec9b9a432c1802', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111803', 5, '安子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111803', 1, '2021-07-19 11:44:15', NULL, NULL), (12851, '', '红五村', '0f6e0e8707b245a5a455a95bb316564b', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111818', 5, '红五村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111818', 1, '2021-07-19 11:44:15', NULL, NULL), (12852, '', '白坭垭村', '6bc59a15120f4deabf132ec84e46c89f', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111851', 5, '白坭垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111851', 1, '2021-07-19 11:44:15', NULL, NULL), (12853, '', '万寿社区', 'b216dcba4ddb4c0f85d726d8c344fca5', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111877', 5, '万寿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111877', 1, '2021-07-19 11:44:16', NULL, NULL), (12854, '', '任隆社区', '1d790740e4014cb181ec84ca112961bc', '06d4423a697549db8b5881f60041836c', 'False', 'True', 'false', 'false', '510921111997', 5, '任隆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921111997', 1, '2021-07-19 11:44:16', NULL, NULL), (12855, '', '三凤镇', '0240a3bf4ab24ba689d6990221530fb4', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921112000', 4, '三凤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921112000', 1, '2021-07-19 11:44:16', NULL, NULL), (12856, '', '书楼村', '9270b5a2586e4ff58ee73dd18fa2356a', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112064', 5, '书楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112064', 1, '2021-07-19 11:44:16', NULL, NULL), (12857, '', '梨树村', 'de45790613b14b4f9bee3f74a0365dda', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112127', 5, '梨树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112127', 1, '2021-07-19 11:44:16', NULL, NULL), (12858, '', '大坡村', '81b6ad26ff6141f08952de8a52440131', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112359', 5, '大坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112359', 1, '2021-07-19 11:44:16', NULL, NULL), (12859, '', '旌忠村', '36ef6e240cc04dd68352828ae89b8747', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112368', 5, '旌忠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112368', 1, '2021-07-19 11:44:16', NULL, NULL), (12860, '', '五家湾村', 'a04bec90b4f24f72ae57668b579f7228', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112438', 5, '五家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112438', 1, '2021-07-19 11:44:16', NULL, NULL), (12861, '', '立庄村', '7f5b89256253420b97d65258c190bae0', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112465', 5, '立庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112465', 1, '2021-07-19 11:44:16', NULL, NULL), (12862, '', '金龙社区', '8c35c6ec6e5540e7ba21d4455ba73432', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112518', 5, '金龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112518', 1, '2021-07-19 11:44:16', NULL, NULL), (12863, '', '兰草村', '14bda997447741a4ba1c2a4aac4985e9', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112576', 5, '兰草村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112576', 1, '2021-07-19 11:44:16', NULL, NULL), (12864, '', '瓦窑坝村', 'd8576124bd4746de9b02f004b61c1797', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112602', 5, '瓦窑坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112602', 1, '2021-07-19 11:44:16', NULL, NULL), (12865, '', '天台村', '7985e4a61bfb4dbcb88ce8cd96fbe4e1', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112604', 5, '天台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112604', 1, '2021-07-19 11:44:17', NULL, NULL), (12866, '', '福掌村', 'd58165db18f2413cb3a51e62bb811d19', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112612', 5, '福掌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112612', 1, '2021-07-19 11:44:17', NULL, NULL), (12867, '', '新田村', 'f71f8bb257ca4411b34e5aa3ca068a8d', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112655', 5, '新田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112655', 1, '2021-07-19 11:44:17', NULL, NULL), (12868, '', '宏图村', 'cad150412a784a528874c6e8b114e6be', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112697', 5, '宏图村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112697', 1, '2021-07-19 11:44:17', NULL, NULL), (12869, '', '龙杨村', '9752aaa6a3b441a888a3fbadddb26381', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112717', 5, '龙杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112717', 1, '2021-07-19 11:44:17', NULL, NULL), (12870, '', '桂花村', 'fdd5fc57fc9b457d876cb0cec0405c3d', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112773', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112773', 1, '2021-07-19 11:44:17', NULL, NULL), (12871, '', '黄桷街社区', '9df537939af0458c9aa4207374ffc348', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112813', 5, '黄桷街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112813', 1, '2021-07-19 11:44:17', NULL, NULL), (12872, '', '东蝉村', '9cc0d725bbb3438a9c1397fc6e261eda', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112837', 5, '东蝉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112837', 1, '2021-07-19 11:44:17', NULL, NULL), (12873, '', '石柱村', '217ce6d7846e40d086e74a3bd798ea8d', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112854', 5, '石柱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112854', 1, '2021-07-19 11:44:17', NULL, NULL), (12874, '', '新月村', '05b08da7df064043b1ea1d07b3b301ec', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112874', 5, '新月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112874', 1, '2021-07-19 11:44:17', NULL, NULL), (12875, '', '跃进桥村', '428c2b0918ed411089d67e2a36e16d4e', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112889', 5, '跃进桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112889', 1, '2021-07-19 11:44:17', NULL, NULL), (12876, '', '三凤村', '163b9e2c01e549eb960804e28ce47b6e', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112919', 5, '三凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112919', 1, '2021-07-19 11:44:17', NULL, NULL), (12877, '', '龙归院村', '9be958e9a3ae497196365b9a14320ad0', '0240a3bf4ab24ba689d6990221530fb4', 'False', 'True', 'false', 'false', '510921112963', 5, '龙归院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921112963', 1, '2021-07-19 11:44:18', NULL, NULL), (12878, '', '蓬南镇', '20dbe85fa0d941f194f4f94507e1c00e', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921114000', 4, '蓬南镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921114000', 1, '2021-07-19 11:44:18', NULL, NULL), (12879, '', '双新村', '4f46ed1435bd4d0c9ea53d2404e2a241', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114068', 5, '双新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114068', 1, '2021-07-19 11:44:18', NULL, NULL), (12880, '', '三翔村', '19cf9e4b63044d109177172afc486582', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114074', 5, '三翔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114074', 1, '2021-07-19 11:44:18', NULL, NULL), (12881, '', '青村村', '367c6447cb5e4dd68cb6f62f198d96b0', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114085', 5, '青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114085', 1, '2021-07-19 11:44:18', NULL, NULL), (12882, '', '建设村', 'acc5e044ceed48e4a0a390db3cc59f03', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114097', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114097', 1, '2021-07-19 11:44:18', NULL, NULL), (12883, '', '顺凤社区', '421e4e42f50b45b599bcf4b28f0279ae', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114099', 5, '顺凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114099', 1, '2021-07-19 11:44:18', NULL, NULL), (12884, '', '黑龙江村', 'e039d614c69b487180b776ae3c4d34cd', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114148', 5, '黑龙江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114148', 1, '2021-07-19 11:44:18', NULL, NULL), (12885, '', '天凤村', '922d290ab8034740a89428c9b8d8b2a2', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114291', 5, '天凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114291', 1, '2021-07-19 11:44:18', NULL, NULL), (12886, '', '四新村', '477ab893c27249618c96d5f456df569a', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114345', 5, '四新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114345', 1, '2021-07-19 11:44:18', NULL, NULL), (12887, '', '兴旺村', '707fed3748d8402bb0f59af6259e843f', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114364', 5, '兴旺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114364', 1, '2021-07-19 11:44:18', NULL, NULL), (12888, '', '五家埝村', '52d31a10b4d54d78ac71e8a3687ec02f', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114387', 5, '五家埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114387', 1, '2021-07-19 11:44:18', NULL, NULL), (12889, '', '金草村', '3dca643ab66649c4bc2c1cbc48afe443', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114412', 5, '金草村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114412', 1, '2021-07-19 11:44:18', NULL, NULL), (12890, '', '玉福村', '09317fb4dfdd4e0fa9316b24fd2c3dc1', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114435', 5, '玉福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114435', 1, '2021-07-19 11:44:18', NULL, NULL), (12891, '', '河屏村', '83592ee758fc445289a90c8dcbaef496', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114446', 5, '河屏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114446', 1, '2021-07-19 11:44:18', NULL, NULL), (12892, '', '农兴社区', '5709f1fc97cb41d3868dd77b89249a30', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114581', 5, '农兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114581', 1, '2021-07-19 11:44:18', NULL, NULL), (12893, '', '常丰村', '7748031b3f894cd39f1c0cff87f972cc', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114592', 5, '常丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114592', 1, '2021-07-19 11:44:18', NULL, NULL), (12894, '', '金华村', 'fc16ec31329f4136adcfdd7f2d1131e7', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114676', 5, '金华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114676', 1, '2021-07-19 11:44:18', NULL, NULL), (12895, '', '辉煌村', '89487c2396694246aa364e8fb4aaa799', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114702', 5, '辉煌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114702', 1, '2021-07-19 11:44:18', NULL, NULL), (12896, '', '钟山村', '708eb92884a648828ee273c12cfc3b48', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114730', 5, '钟山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114730', 1, '2021-07-19 11:44:18', NULL, NULL), (12897, '', '永和村', 'da0012cb455b4b72b07dfde61ac0a10b', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114765', 5, '永和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114765', 1, '2021-07-19 11:44:18', NULL, NULL), (12898, '', '长石村', 'db6d56691d324a77a0576b88bbeed03f', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114824', 5, '长石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114824', 1, '2021-07-19 11:44:18', NULL, NULL), (12899, '', '忠交社区', 'cc726704b25e44a6826967a4c441e0eb', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114826', 5, '忠交社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114826', 1, '2021-07-19 11:44:19', NULL, NULL), (12900, '', '河嘉村', 'a10e3b44cb8346998eb2229d8ba22357', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114859', 5, '河嘉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114859', 1, '2021-07-19 11:44:19', NULL, NULL), (12901, '', '顺河社区', '9b6eed113b6e476c88bcde10eea9eb4f', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114867', 5, '顺河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114867', 1, '2021-07-19 11:44:19', NULL, NULL), (12902, '', '黄鹤村', 'ba29c1f190174bacbc48083d15be94e4', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114869', 5, '黄鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114869', 1, '2021-07-19 11:44:19', NULL, NULL), (12903, '', '复兴村', '684eca4735e247148fb0a3cb82ba863f', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114896', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114896', 1, '2021-07-19 11:44:19', NULL, NULL), (12904, '', '大城寨村', '36756c895351486c96d67b30221143c2', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114914', 5, '大城寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114914', 1, '2021-07-19 11:44:19', NULL, NULL), (12905, '', '三台村', 'e48a964d8dbd40da9751e6fb9c0d38cd', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114928', 5, '三台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114928', 1, '2021-07-19 11:44:19', NULL, NULL), (12906, '', '玉旌社区', '983328f58ce9470a85876655652409ae', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114943', 5, '玉旌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114943', 1, '2021-07-19 11:44:19', NULL, NULL), (12907, '', '大堰村', 'ac0246a20da64ce3ae9cb1caf0b6d587', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114945', 5, '大堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114945', 1, '2021-07-19 11:44:19', NULL, NULL), (12908, '', '同盟村', '2fc6f5b39d45432282f0e7bf40989df7', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114953', 5, '同盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114953', 1, '2021-07-19 11:44:19', NULL, NULL), (12909, '', '金安村', 'd766b34e9f9441b2afbd0a386b7538b0', '20dbe85fa0d941f194f4f94507e1c00e', 'False', 'True', 'false', 'false', '510921114985', 5, '金安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921114985', 1, '2021-07-19 11:44:19', NULL, NULL), (12910, '', '群利镇', '371979c4d5af459f80878482772c0489', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921115000', 4, '群利镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921115000', 1, '2021-07-19 11:44:19', NULL, NULL), (12911, '', '和平社区', '3326f44cfc8f4f5db85d1a233bc4cfb7', '371979c4d5af459f80878482772c0489', 'False', 'True', 'false', 'false', '510921115054', 5, '和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921115054', 1, '2021-07-19 11:44:19', NULL, NULL), (12912, '', '杨家桥村', '11cc36ac001744758e09cc8b9922fd20', '371979c4d5af459f80878482772c0489', 'False', 'True', 'false', 'false', '510921115076', 5, '杨家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921115076', 1, '2021-07-19 11:44:19', NULL, NULL), (12913, '', '金鸿村', 'fdf162fd18e6458fa041e1ecc7dd79ca', '371979c4d5af459f80878482772c0489', 'False', 'True', 'false', 'false', '510921115123', 5, '金鸿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921115123', 1, '2021-07-19 11:44:19', NULL, NULL), (12914, '', '合兴村', '302b3b6d40c8480dad6392c83581a04e', '371979c4d5af459f80878482772c0489', 'False', 'True', 'false', 'false', '510921115134', 5, '合兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921115134', 1, '2021-07-19 11:44:19', NULL, NULL), (12915, '', '复兴村', '51de06c789274ae3b2ecaefedc70ddf2', '371979c4d5af459f80878482772c0489', 'False', 'True', 'false', 'false', '510921115234', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921115234', 1, '2021-07-19 11:44:19', NULL, NULL), (12916, '', '印花村', 'a6c57189850f46b8a31c4d21ca31f79c', '371979c4d5af459f80878482772c0489', 'False', 'True', 'false', 'false', '510921115333', 5, '印花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921115333', 1, '2021-07-19 11:44:19', NULL, NULL), (12917, '', '新华社区', '4752f2e9d3414d0e83e2deaaeae21a1f', '371979c4d5af459f80878482772c0489', 'False', 'True', 'false', 'false', '510921115367', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921115367', 1, '2021-07-19 11:44:19', NULL, NULL), (12918, '', '马竹村', 'ae142d52672b4f9ba6955de7985a0510', '371979c4d5af459f80878482772c0489', 'False', 'True', 'false', 'false', '510921115547', 5, '马竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921115547', 1, '2021-07-19 11:44:20', NULL, NULL), (12919, '', '断垭口村', '03498bbe2c1b48d4b00247804f2ea230', '371979c4d5af459f80878482772c0489', 'False', 'True', 'false', 'false', '510921115704', 5, '断垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921115704', 1, '2021-07-19 11:44:20', NULL, NULL), (12920, '', '五龙村', '8a678f597767493cb39215d9ad33b6ca', '371979c4d5af459f80878482772c0489', 'False', 'True', 'false', 'false', '510921115751', 5, '五龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921115751', 1, '2021-07-19 11:44:20', NULL, NULL), (12921, '', '九龙坡村', '708e1e2898c1486fad7c54e46add6e01', '371979c4d5af459f80878482772c0489', 'False', 'True', 'false', 'false', '510921115843', 5, '九龙坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921115843', 1, '2021-07-19 11:44:20', NULL, NULL), (12922, '', '中和村', '126a5308831b412ca73c664e663ca2a4', '371979c4d5af459f80878482772c0489', 'False', 'True', 'false', 'false', '510921115968', 5, '中和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921115968', 1, '2021-07-19 11:44:20', NULL, NULL), (12923, '', '金桥镇', '2ba17fdb59a441ba96db5a3b0f45df9d', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921117000', 4, '金桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921117000', 1, '2021-07-19 11:44:20', NULL, NULL), (12924, '', '红溪村', '38bcbfa3a5d0456f81191d06963b3c02', '2ba17fdb59a441ba96db5a3b0f45df9d', 'False', 'True', 'false', 'false', '510921117027', 5, '红溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921117027', 1, '2021-07-19 11:44:20', NULL, NULL), (12925, '', '果园村', 'ea0eb2915ea5445090e85ee26c221b49', '2ba17fdb59a441ba96db5a3b0f45df9d', 'False', 'True', 'false', 'false', '510921117152', 5, '果园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921117152', 1, '2021-07-19 11:44:20', NULL, NULL), (12926, '', '翰林村', '506329ca5d244ec89353d9d92b49c0c3', '2ba17fdb59a441ba96db5a3b0f45df9d', 'False', 'True', 'false', 'false', '510921117169', 5, '翰林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921117169', 1, '2021-07-19 11:44:20', NULL, NULL), (12927, '', '南溪村', 'ebbb3fd42176475ab9811d5a7076b660', '2ba17fdb59a441ba96db5a3b0f45df9d', 'False', 'True', 'false', 'false', '510921117363', 5, '南溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921117363', 1, '2021-07-19 11:44:20', NULL, NULL), (12928, '', '高坪社区', '26d461c07a95487badc688e8295a93ad', '2ba17fdb59a441ba96db5a3b0f45df9d', 'False', 'True', 'false', 'false', '510921117435', 5, '高坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921117435', 1, '2021-07-19 11:44:20', NULL, NULL), (12929, '', '高坡村', 'c40d49ba42a54c24ad8c1071f1d60d10', '2ba17fdb59a441ba96db5a3b0f45df9d', 'False', 'True', 'false', 'false', '510921117886', 5, '高坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921117886', 1, '2021-07-19 11:44:20', NULL, NULL), (12930, '', '石岩湾村', '3475a0bce14d47ad936a8288d651c102', '2ba17fdb59a441ba96db5a3b0f45df9d', 'False', 'True', 'false', 'false', '510921117986', 5, '石岩湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921117986', 1, '2021-07-19 11:44:20', NULL, NULL), (12931, '', '槐花镇', '415c46c245d6476bb47bd84ca6e99043', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921204000', 4, '槐花镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921204000', 1, '2021-07-19 11:44:20', NULL, NULL), (12932, '', '板桥社区', '3e17f946762e44458ba65a77a312b3c7', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921121184', 5, '板桥', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921121184', 1, '2021-07-19 11:44:20', NULL, NULL), (12933, '', '槐花社区', '4ab2e7bafd2948a38ec55c863adc6609', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921121212', 5, '槐花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921121212', 1, '2021-07-19 11:44:20', NULL, NULL), (12934, '', '跳墩村', '7385bd3af66e423280bef02d2bf12576', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921121300', 5, '跳墩', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921121300', 1, '2021-07-19 11:44:20', NULL, NULL), (12935, '', '鱼欠咀村', '2c9a5c3458714b938505cbfa3d47c74a', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921121350', 5, '鱼欠咀', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921121350', 1, '2021-07-19 11:44:20', NULL, NULL), (12936, '', '哨楼村', '63af162c487847038d978817658f72b1', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921121405', 5, '哨楼', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921121405', 1, '2021-07-19 11:44:21', NULL, NULL), (12937, '', '黑湖沟村', '935eb943a8d644bfb905d2ab48c6f122', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921121441', 5, '黑湖沟', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921121441', 1, '2021-07-19 11:44:21', NULL, NULL), (12938, '', '杜家桥村', 'b866679e9a1e4e9bb967da739f927c51', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921121450', 5, '杜家桥', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921121450', 1, '2021-07-19 11:44:21', NULL, NULL), (12939, '', '峨眉村', '217c1a025a36437a81fdfd68a9f7e46d', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921121551', 5, '峨眉', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921121551', 1, '2021-07-19 11:44:21', NULL, NULL), (12940, '', '桑树湾村', '74e71ba38bbb4ae6a1dec7e70f16d833', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921121667', 5, '桑树湾', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921121667', 1, '2021-07-19 11:44:21', NULL, NULL), (12941, '', '紫福村', '83a59894c0d546c0b4af576d752877f9', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921121687', 5, '紫福', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921121687', 1, '2021-07-19 11:44:21', NULL, NULL), (12942, '', '狮桥村', 'e6ad58069c0b4ba69603bfb9e47c2b64', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921121801', 5, '狮桥', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921121801', 1, '2021-07-19 11:44:21', NULL, NULL), (12943, '', '凤凰村', '872a4d0e1eab48d9927279b0fca2039f', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921121971', 5, '凤凰', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921121971', 1, '2021-07-19 11:44:21', NULL, NULL), (12944, '', '寨井沟村', 'e486b2dfa54349d9bb2e30c0deeeaac2', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921204220', 5, '寨井沟', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921204220', 1, '2021-07-19 11:44:21', NULL, NULL), (12945, '', '土桥堰村', '06af3ebeef7549e9a64ad76b537fab8b', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921204349', 5, '土桥堰', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921204349', 1, '2021-07-19 11:44:21', NULL, NULL), (12946, '', '松柏沟村', 'c475603ce98949e3bfe730c011639dbf', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921204394', 5, '松柏沟', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921204394', 1, '2021-07-19 11:44:21', NULL, NULL), (12947, '', '新胜社区', '58604a68e1ec4b81879ea735685f7d77', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921204625', 5, '新胜', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921204625', 1, '2021-07-19 11:44:21', NULL, NULL), (12948, '', '五面山村', '63a9153cdac8484084ec0ca3cf37fb3b', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921204659', 5, '五面山', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921204659', 1, '2021-07-19 11:44:21', NULL, NULL), (12949, '', '双凤桥村', '36ba576cda054273b5c07fc159d51924', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921204727', 5, '双凤桥', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921204727', 1, '2021-07-19 11:44:21', NULL, NULL), (12950, '', '石门垭村', 'ccf40213dace4442b17377ef2f8ed56c', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921204816', 5, '石门垭', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921204816', 1, '2021-07-19 11:44:21', NULL, NULL), (12951, '', '擦耳岩村', 'a5fa087f7eb041eda51ba5a1a3be74ce', '415c46c245d6476bb47bd84ca6e99043', 'False', 'True', 'false', 'false', '510921204907', 5, '擦耳岩', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921204907', 1, '2021-07-19 11:44:21', NULL, NULL), (12952, '', '荷叶乡', 'afe77790574c4611a8df7606d504697e', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921207000', 4, '荷叶乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921207000', 1, '2021-07-19 11:44:21', NULL, NULL), (12953, '', '定水村', '919a7bb0dbd74bb88e755807ac2d92a8', 'afe77790574c4611a8df7606d504697e', 'False', 'True', 'false', 'false', '510921207045', 5, '定水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921207045', 1, '2021-07-19 11:44:21', NULL, NULL), (12954, '', '青溪村', 'd80bc420c02a4086919a428587cbae1d', 'afe77790574c4611a8df7606d504697e', 'False', 'True', 'false', 'false', '510921207074', 5, '青溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921207074', 1, '2021-07-19 11:44:21', NULL, NULL), (12955, '', '平桥村', '450a8536a4524b6588134ebabf26692c', 'afe77790574c4611a8df7606d504697e', 'False', 'True', 'false', 'false', '510921207131', 5, '平桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921207131', 1, '2021-07-19 11:44:22', NULL, NULL), (12956, '', '涪兴坝村', '95e2c265488742e9a0c9499310739adc', 'afe77790574c4611a8df7606d504697e', 'False', 'True', 'false', 'false', '510921207513', 5, '涪兴坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921207513', 1, '2021-07-19 11:44:22', NULL, NULL), (12957, '', '荷花街社区', '0ce2e697da6b410cb3229cba67bd2156', 'afe77790574c4611a8df7606d504697e', 'False', 'True', 'false', 'false', '510921207532', 5, '荷花街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921207532', 1, '2021-07-19 11:44:22', NULL, NULL), (12958, '', '高升乡', '7001e39d0ef34b4a99ae7fe1af974d7c', 'c8050b8d39674192aae3045b3ec45bcf', 'True', 'True', 'false', 'false', '510921213000', 4, '高升乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510921213000', 1, '2021-07-19 11:44:22', NULL, NULL), (12959, '', '文峰村', '3fc512bd210b4682bd3cd58f3a59cdf3', '7001e39d0ef34b4a99ae7fe1af974d7c', 'False', 'True', 'false', 'false', '510921213244', 5, '文峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921213244', 1, '2021-07-19 11:44:22', NULL, NULL), (12960, '', '莲枝村', '82a8ff8da985415792e02cc0b50c1ae9', '7001e39d0ef34b4a99ae7fe1af974d7c', 'False', 'True', 'false', 'false', '510921213316', 5, '莲枝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921213316', 1, '2021-07-19 11:44:22', NULL, NULL), (12961, '', '门子垭村', '935da947665c42bda0aa6cfd610edc3d', '7001e39d0ef34b4a99ae7fe1af974d7c', 'False', 'True', 'false', 'false', '510921213426', 5, '门子垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921213426', 1, '2021-07-19 11:44:22', NULL, NULL), (12962, '', '小东村', '1df5e925aa5849519779891c300b0e4f', '7001e39d0ef34b4a99ae7fe1af974d7c', 'False', 'True', 'false', 'false', '510921213517', 5, '小东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921213517', 1, '2021-07-19 11:44:22', NULL, NULL), (12963, '', '黄莲山村', 'bcc821a483854d65ae278f7d5e9ad9cf', '7001e39d0ef34b4a99ae7fe1af974d7c', 'False', 'True', 'false', 'false', '510921213788', 5, '黄莲山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921213788', 1, '2021-07-19 11:44:22', NULL, NULL), (12964, '', '高升社区', 'bf1040d887764e23a79f176424de116d', '7001e39d0ef34b4a99ae7fe1af974d7c', 'False', 'True', 'false', 'false', '510921213838', 5, '高升社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921213838', 1, '2021-07-19 11:44:22', NULL, NULL), (12965, '', '新建村', '4e2d6861631b44b7a94e5700fd70990c', '7001e39d0ef34b4a99ae7fe1af974d7c', 'False', 'True', 'false', 'false', '510921213935', 5, '新建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510921213935', 1, '2021-07-19 11:44:22', NULL, NULL), (12966, '', '大英县', '98a85c4aea4b452183d5347802b8d8aa', '50f12c6cc85e4ea3aac4d59ab7d035eb', 'True', 'True', 'false', 'false', '510923000000', 3, '大英县', 'snsdyx.sczwfw.gov.cn', 1, '2021-07-19 11:44:22', NULL, NULL), (12967, '', '大英县人民政府盐井街道办事处', 'c7878709abd64a91852b6202302bb313', '98a85c4aea4b452183d5347802b8d8aa', 'True', 'True', 'false', 'false', '510923744000', 4, '盐井街道办', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510923744000', 1, '2021-07-19 11:44:22', NULL, NULL), (12968, '', '盐井街道唐家湾社区', 'ecbcf79706d542f789af3d1553e1dc45', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001050', 5, '盐井街道唐家湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001050', 1, '2021-07-19 11:44:22', NULL, NULL), (12969, '', '盐井街道梨子坝村', '1196f2a550914109b2166cbd99c8fcce', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001181', 5, '盐井街道梨子坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001181', 1, '2021-07-19 11:44:22', NULL, NULL), (12970, '', '盐井街道凉亭社区', 'd95bb336b75845b786e86e4a71fc6a77', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001205', 5, '盐井街道凉亭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001205', 1, '2021-07-19 11:44:22', NULL, NULL), (12971, '', '盐井街道火车站社区', '501e974131b848e89b97beaae8ef9cca', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001347', 5, '盐井街道火车站社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001347', 1, '2021-07-19 11:44:22', NULL, NULL), (12972, '', '盐井街道殷家沟社区', '11ddd406e82142c09df238764a69c661', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001351', 5, '盐井街道殷家沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001351', 1, '2021-07-19 11:44:22', NULL, NULL), (12973, '', '盐井街道花园街社区', 'd8aad23bbcb94bb49b33940b2fcc9bc9', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001377', 5, '盐井街道花园街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001377', 1, '2021-07-19 11:44:23', NULL, NULL), (12974, '', '盐井街道五凤村', 'de32ef75b0364b3ca943a59f9d689a5f', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001442', 5, '盐井街道五凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001442', 1, '2021-07-19 11:44:23', NULL, NULL), (12975, '', '盐井街道普福村', 'fa7b2cd38ba04e1ba1b2ef73395c1c09', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001488', 5, '盐井街道普福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001488', 1, '2021-07-19 11:44:23', NULL, NULL), (12976, '', '盐井街道基井湾社区', '0014ad50a4c142658b90309d2aed0df8', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001514', 5, '盐井街道基井湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001514', 1, '2021-07-19 11:44:23', NULL, NULL), (12977, '', '盐井街道同心路社区', '549f0f9841a4447089708f1893668bdd', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001535', 5, '盐井街道同心路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001535', 1, '2021-07-19 11:44:23', NULL, NULL), (12978, '', '盐井街道梨子坝社区', 'fd7070cdb1ae46a48d082642f7d40f15', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001581', 5, '盐井街道梨子坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001581', 1, '2021-07-19 11:44:23', NULL, NULL), (12979, '', '盐井街道田坝子社区', 'd26caa94b6424d85830fe6789a9e7261', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001610', 5, '盐井街道田坝子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001610', 1, '2021-07-19 11:44:23', NULL, NULL), (12980, '', '盐井街道双池村', 'a29999ef797f4a33b9d8111e1b871bfe', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001646', 5, '盐井街道双池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001646', 1, '2021-07-19 11:44:23', NULL, NULL), (12981, '', '盐井街道红旗村', '814b316d33d84eb8b1b72e3b0efa7fc5', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001776', 5, '盐井街道红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001776', 1, '2021-07-19 11:44:23', NULL, NULL), (12982, '', '盐井街道太吉社区', 'a64e1ce82d8140a79051b98e9671655a', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001787', 5, '盐井街道太吉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001787', 1, '2021-07-19 11:44:23', NULL, NULL), (12983, '', '盐井街道转轮街社区', 'd401868b0d1a4e8a84f1fcabcc11c2b1', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001800', 5, '盐井街道转轮街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001800', 1, '2021-07-19 11:44:23', NULL, NULL), (12984, '', '盐井街道宝石岩村', '8f07412e330741dfb743f25f5b6fefba', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001841', 5, '盐井街道宝石岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001841', 1, '2021-07-19 11:44:23', NULL, NULL), (12985, '', '盐井街道胡家坝社区', '9c789f5ba3f941798e7089434c4c4c24', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001866', 5, '盐井街道胡家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001866', 1, '2021-07-19 11:44:23', NULL, NULL), (12986, '', '盐井街道红旗社区', '19de596a42504de185acfd56f03d9f42', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001949', 5, '盐井街道红旗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001949', 1, '2021-07-19 11:44:23', NULL, NULL), (12987, '', '盐井街道凉湾村', '302c9e2b97434b739775296903bf37a9', 'c7878709abd64a91852b6202302bb313', 'False', 'True', 'false', 'false', '510923001952', 5, '盐井街道凉湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923001952', 1, '2021-07-19 11:44:23', NULL, NULL), (12988, '', '象山镇', 'd0524d28cdff408484e7d625028670d4', '98a85c4aea4b452183d5347802b8d8aa', 'True', 'True', 'false', 'false', '510923044000', 4, '象山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510923044000', 1, '2021-07-19 11:44:23', NULL, NULL), (12989, '', '象山镇冯家楼村', '7eac55be7e364353a5ef9a4cc39710ce', 'd0524d28cdff408484e7d625028670d4', 'False', 'True', 'false', 'false', '510923107069', 5, '象山镇冯家楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923107069', 1, '2021-07-19 11:44:23', NULL, NULL), (12990, '', '象山镇文龙村', 'ce58d1454a7342349d992c9ffad9603a', 'd0524d28cdff408484e7d625028670d4', 'False', 'True', 'false', 'false', '510923107105', 5, '象山镇文龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923107105', 1, '2021-07-19 11:44:23', NULL, NULL), (12991, '', '象山镇永南坝村', '8f6d48111a2d4526bb911b85efedb98f', 'd0524d28cdff408484e7d625028670d4', 'False', 'True', 'false', 'false', '510923107243', 5, '象山镇永南坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923107243', 1, '2021-07-19 11:44:24', NULL, NULL), (12992, '', '象山镇永乐村', '34a868ee4f384455a95be11bcd61d1b6', 'd0524d28cdff408484e7d625028670d4', 'False', 'True', 'false', 'false', '510923107497', 5, '象山镇永乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923107497', 1, '2021-07-19 11:44:24', NULL, NULL), (12993, '', '象山镇凤阳村', '7a1cf6eeac2a473abed3e55e1ca22d5a', 'd0524d28cdff408484e7d625028670d4', 'False', 'True', 'false', 'false', '510923107565', 5, '象山镇凤阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923107565', 1, '2021-07-19 11:44:24', NULL, NULL), (12994, '', '象山镇马蹄垭村', '6e10531575d447bd931777ece70c4d55', 'd0524d28cdff408484e7d625028670d4', 'False', 'True', 'false', 'false', '510923107589', 5, '象山镇马蹄垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923107589', 1, '2021-07-19 11:44:24', NULL, NULL), (12995, '', '象山镇观桃村', '45db690d5299481f8856f155df06cf52', 'd0524d28cdff408484e7d625028670d4', 'False', 'True', 'false', 'false', '510923107592', 5, '象山镇观桃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923107592', 1, '2021-07-19 11:44:24', NULL, NULL), (12996, '', '象山镇象山村', '796c0ec41f7344b2a4a071c185881237', 'd0524d28cdff408484e7d625028670d4', 'False', 'True', 'false', 'false', '510923107660', 5, '象山镇象山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923107660', 1, '2021-07-19 11:44:24', NULL, NULL), (12997, '', '象山镇三溪村', '41b33b4b769b4c358be0b4f5f9d5c8e3', 'd0524d28cdff408484e7d625028670d4', 'False', 'True', 'false', 'false', '510923107793', 5, '象山镇三溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923107793', 1, '2021-07-19 11:44:24', NULL, NULL), (12998, '', '象山镇青龙滩村', '9f2777a9e35d4737bc00b675b95fef55', 'd0524d28cdff408484e7d625028670d4', 'False', 'True', 'false', 'false', '510923107823', 5, '象山镇青龙滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923107823', 1, '2021-07-19 11:44:24', NULL, NULL), (12999, '', '象山镇犁浅垭村', '0e6cf3a99a9c40409b643fa7f9ffa7cc', 'd0524d28cdff408484e7d625028670d4', 'False', 'True', 'false', 'false', '510923107839', 5, '象山镇犁浅垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923107839', 1, '2021-07-19 11:44:24', NULL, NULL), (13000, '', '象山镇富乐社区', '885b1a00d9504cfd950cdd61f7196f32', 'd0524d28cdff408484e7d625028670d4', 'False', 'True', 'false', 'false', '510923107929', 5, '象山镇富乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923107929', 1, '2021-07-19 11:44:24', NULL, NULL), (13001, '', '隆盛镇', '967e19aada344deb8490cb5ee862bd74', '98a85c4aea4b452183d5347802b8d8aa', 'True', 'True', 'false', 'false', '510923089000', 4, '隆盛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510923089000', 1, '2021-07-19 11:44:24', NULL, NULL), (13002, '', '隆盛镇玉龙村', 'ac351b5dade94adca2b10e5ac5ca0f0f', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101003', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101003', 1, '2021-07-19 11:44:24', NULL, NULL), (13003, '', '隆盛镇望龙村', 'c5312d369ed8491abf6cadec6e2ac586', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101013', 5, '望龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101013', 1, '2021-07-19 11:44:24', NULL, NULL), (13004, '', '隆盛镇干柏树村', '57dc9a22f4c44792b36b285013a871c3', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101050', 5, '干柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101050', 1, '2021-07-19 11:44:24', NULL, NULL), (13005, '', '隆盛镇平安寨村', '5423e4f2b62f440da34bda278a0c37d9', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101072', 5, '平安寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101072', 1, '2021-07-19 11:44:24', NULL, NULL), (13006, '', '隆盛镇中心社区', '9d71e8344c5b41ccb252bd18f439b28a', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101106', 5, '中心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101106', 1, '2021-07-19 11:44:24', NULL, NULL), (13007, '', '隆盛镇五龙桥村', 'da624b827ffd4afca86d812377d0bdf1', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101162', 5, '五龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101162', 1, '2021-07-19 11:44:24', NULL, NULL), (13008, '', '隆盛镇五一村', '0f38019c4a8e403fb1650f94c7955371', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101177', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101177', 1, '2021-07-19 11:44:24', NULL, NULL), (13009, '', '隆盛镇郪江上村', 'f5fb5a1e3fb84c0ab5f221de5e3cd0a4', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101213', 5, '郪江上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101213', 1, '2021-07-19 11:44:24', NULL, NULL), (13010, '', '隆盛镇双龙桥村', 'cc36c7e42c694f1eab50bcd2deea7262', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101300', 5, '双龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101300', 1, '2021-07-19 11:44:25', NULL, NULL), (13011, '', '隆盛镇白寨村', '81050952e6524f06aebac6af73b42ef1', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101334', 5, '白寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101334', 1, '2021-07-19 11:44:25', NULL, NULL), (13012, '', '隆盛镇新民村', '22e76d2647d14d08b2169a9db274781d', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101381', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101381', 1, '2021-07-19 11:44:25', NULL, NULL), (13013, '', '隆盛镇五莲村', '8ac53e0d6a134a71a2887c29e65de52f', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101385', 5, '五莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101385', 1, '2021-07-19 11:44:25', NULL, NULL), (13014, '', '隆盛镇罗家沟村', '5b48c47710a84fcc9e67bd61a892d4cc', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101429', 5, '罗家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101429', 1, '2021-07-19 11:44:25', NULL, NULL), (13015, '', '隆盛镇百盛村', 'f1557317f7a64bea94d3e0f73ca34651', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101477', 5, '百盛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101477', 1, '2021-07-19 11:44:25', NULL, NULL), (13016, '', '隆盛镇景家坝村', '35e632a9745a49db832d884f1de85af4', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101488', 5, '景家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101488', 1, '2021-07-19 11:44:25', NULL, NULL), (13017, '', '隆盛镇王家堰村', '4949d5bac26a414ab8befe0627132490', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101527', 5, '王家堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101527', 1, '2021-07-19 11:44:25', NULL, NULL), (13018, '', '隆盛镇双河口村', 'a17ce98fdc77481983a4258aa0980e44', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101533', 5, '双河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101533', 1, '2021-07-19 11:44:25', NULL, NULL), (13019, '', '隆盛镇席家沟村', '1f3b5eae14804b5a9b8eff51b5ba909d', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101552', 5, '席家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101552', 1, '2021-07-19 11:44:25', NULL, NULL), (13020, '', '隆盛镇明溪村', '5bf32053edf54358896b07ed419d2cfa', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101580', 5, '明溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101580', 1, '2021-07-19 11:44:25', NULL, NULL), (13021, '', '隆盛镇狮子坡村', 'faa890a52d3542ce9ea414ebd39f5eaa', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101590', 5, '狮子坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101590', 1, '2021-07-19 11:44:25', NULL, NULL), (13022, '', '隆盛镇黄土岭村', '18dc88803c7c4cf1a528d5d7995cea0c', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101593', 5, '黄土岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101593', 1, '2021-07-19 11:44:26', NULL, NULL), (13023, '', '隆盛镇青坪村', 'a506e6b5406b473196cd937b3094b402', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101594', 5, '青坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101594', 1, '2021-07-19 11:44:26', NULL, NULL), (13024, '', '隆盛镇道祖村', 'a8ca89487cdd4f488101ba2b07df8d0f', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101758', 5, '道祖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101758', 1, '2021-07-19 11:44:26', NULL, NULL), (13025, '', '隆盛镇前明村', 'd06a8d6892134b3c9d3dfa97508ac49f', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101800', 5, '前明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101800', 1, '2021-07-19 11:44:26', NULL, NULL), (13026, '', '隆盛镇长滩市村', '0dca5ff02477447daca5b18ac0071414', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101880', 5, '长滩市村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101880', 1, '2021-07-19 11:44:26', NULL, NULL), (13027, '', '隆盛镇土门垭村', '83521007f8f74db499004f227478a6b9', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101934', 5, '土门垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101934', 1, '2021-07-19 11:44:26', NULL, NULL), (13028, '', '隆盛镇飞钟村', 'f39cc13145064e278d0232df44de4d15', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101935', 5, '飞钟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101935', 1, '2021-07-19 11:44:26', NULL, NULL), (13029, '', '隆盛镇溪江社区', 'f9ae3ec385d0412ebabc41152122861e', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101941', 5, '溪江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101941', 1, '2021-07-19 11:44:26', NULL, NULL), (13030, '', '隆盛镇子仪村', '3d96ecb5baf4482fb709bb37ab22c047', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101962', 5, '子仪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101962', 1, '2021-07-19 11:44:26', NULL, NULL), (13031, '', '隆盛镇石长村', '945d05e785f44d70ada05b882ab62a66', '967e19aada344deb8490cb5ee862bd74', 'False', 'True', 'false', 'false', '510923101971', 5, '石长村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923101971', 1, '2021-07-19 11:44:26', NULL, NULL), (13032, '', '蓬莱镇', 'e46176f74bec4460ada46ea46cec380c', '98a85c4aea4b452183d5347802b8d8aa', 'True', 'True', 'false', 'false', '510923214000', 4, '蓬莱镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510923214000', 1, '2021-07-19 11:44:26', NULL, NULL), (13033, '', '蓬莱镇山溪口村', '25e7b1e3d6ad456b92aa58bdbec0cb54', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100134', 5, '山溪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100134', 1, '2021-07-19 11:44:26', NULL, NULL), (13034, '', '蓬莱镇寸塘口村', '33310f538bc94cc7bfabf7079fd9e751', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100135', 5, '寸塘口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100135', 1, '2021-07-19 11:44:26', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (13035, '', '蓬莱镇盛水村', '5d64845307c8438d8eb30f0b1b0eaccf', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100235', 5, '盛水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100235', 1, '2021-07-19 11:44:26', NULL, NULL), (13036, '', '蓬莱镇虎泉村', '675590ae388e4d3abace724d1977bf32', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100238', 5, '虎泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100238', 1, '2021-07-19 11:44:26', NULL, NULL), (13037, '', '蓬莱镇高峰社区', '1181743f2a54498ebaf6598d637a859d', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100251', 5, '高峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100251', 1, '2021-07-19 11:44:26', NULL, NULL), (13038, '', '蓬莱镇普陀村', '6be0bd2feecf4cab9c290b59867ed06f', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100260', 5, '普陀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100260', 1, '2021-07-19 11:44:27', NULL, NULL), (13039, '', '蓬莱镇古井村', '8cafdf2efc974b6a9028da21001ffbab', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100271', 5, '古井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100271', 1, '2021-07-19 11:44:27', NULL, NULL), (13040, '', '蓬莱镇火井村', '9ac88dfbc1fe40a7a188238d7f1e5a53', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100313', 5, '火井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100313', 1, '2021-07-19 11:44:27', NULL, NULL), (13041, '', '蓬莱镇顺井村', '2dd584922f4749c9ad8f3ead15706d87', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100314', 5, '顺井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100314', 1, '2021-07-19 11:44:27', NULL, NULL), (13042, '', '蓬莱镇通仙桥村', 'cd109dd0ebda41df83f7dca92a86e9de', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100320', 5, '通仙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100320', 1, '2021-07-19 11:44:27', NULL, NULL), (13043, '', '蓬莱镇青龙坡村', '6c1d7fe731d448abac96fc962b2f0bfa', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100373', 5, '青龙坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100373', 1, '2021-07-19 11:44:27', NULL, NULL), (13044, '', '蓬莱镇天星社区', '5a35615aa16d44989e272a916e22a18a', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100414', 5, '天星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100414', 1, '2021-07-19 11:44:27', NULL, NULL), (13045, '', '蓬莱镇新犀牛村', '0d56be218cda4bd298a009ce668f4eef', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100476', 5, '新犀牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100476', 1, '2021-07-19 11:44:27', NULL, NULL), (13046, '', '蓬莱镇水井村', '58380e671f39437dab672ddb32759f04', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100489', 5, '水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100489', 1, '2021-07-19 11:44:27', NULL, NULL), (13047, '', '蓬莱镇福荣村', '4ce41e4fdbce4c56b278d698be4e1f1d', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100505', 5, '福荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100505', 1, '2021-07-19 11:44:27', NULL, NULL), (13048, '', '蓬莱镇荣华村', '3364e35421694201a6ab852beb6e7d43', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100519', 5, '荣华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100519', 1, '2021-07-19 11:44:27', NULL, NULL), (13049, '', '蓬莱镇洋溪沟村', 'e6ac55a442554b45a00ffbb1f8463efc', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100524', 5, '洋溪沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100524', 1, '2021-07-19 11:44:27', NULL, NULL), (13050, '', '蓬莱镇紫金村', 'a26b41cc478d49288d12fb36f91f1bc2', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100528', 5, '紫金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100528', 1, '2021-07-19 11:44:27', NULL, NULL), (13051, '', '蓬莱镇盘龙村', '508ff97f23cc47c8b8f707ac18d9c53e', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100546', 5, '盘龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100546', 1, '2021-07-19 11:44:27', NULL, NULL), (13052, '', '蓬莱镇桅杆坝村', '8a426b2648cc4349be444d249db97307', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100550', 5, '桅杆坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100550', 1, '2021-07-19 11:44:27', NULL, NULL), (13053, '', '蓬莱镇楼坊口村', '98c44a3eed514213a55b8910fce9ee72', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100597', 5, '楼坊口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100597', 1, '2021-07-19 11:44:27', NULL, NULL), (13054, '', '蓬莱镇吊脚楼村', '36069f594f8f4d30996fe2daf7898053', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100601', 5, '吊脚楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100601', 1, '2021-07-19 11:44:27', NULL, NULL), (13055, '', '蓬莱镇通仙社区', '194592d1a22d4041833a9d5fe98beeb3', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100630', 5, '通仙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100630', 1, '2021-07-19 11:44:27', NULL, NULL), (13056, '', '蓬莱镇红林村', '2d2b7a2b022b497181e429670aa0ae3e', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100651', 5, '红林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100651', 1, '2021-07-19 11:44:27', NULL, NULL), (13057, '', '蓬莱镇榕桥村', 'ff4036778ce848dd9e6d811f5633b55c', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100658', 5, '榕桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100658', 1, '2021-07-19 11:44:27', NULL, NULL), (13058, '', '蓬莱镇鑫河村', 'ef4588f6d3e34937bf2d3b710991b75c', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100683', 5, '鑫河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100683', 1, '2021-07-19 11:44:27', NULL, NULL), (13059, '', '蓬莱镇南泉村', '49baa7d7e1f74343802fc2f6724b4853', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100723', 5, '南泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100723', 1, '2021-07-19 11:44:28', NULL, NULL), (13060, '', '蓬莱镇蒙子桥村', '6c90d2452f1b4158a2a9a63c6173bfbe', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100770', 5, '蒙子桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100770', 1, '2021-07-19 11:44:28', NULL, NULL), (13061, '', '蓬莱镇渠县街朝阳社区', 'fec03baef7994cf684048d8c065927ff', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100773', 5, '朝阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100773', 1, '2021-07-19 11:44:28', NULL, NULL), (13062, '', '蓬莱镇福桥村', '2ea42dfc45c44cf496da3c527c794d08', 'e46176f74bec4460ada46ea46cec380c', 'False', 'True', 'false', 'false', '510923100995', 5, '福桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923100995', 1, '2021-07-19 11:44:28', NULL, NULL), (13063, '', '回马镇', '1b617fc1891e4b689eec009b2aa46340', '98a85c4aea4b452183d5347802b8d8aa', 'True', 'True', 'false', 'false', '510923347000', 4, '回马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510923347000', 1, '2021-07-19 11:44:28', NULL, NULL), (13064, '', '回马镇夏家沟村', 'c3d47b1d7fc84b25b7c39b63006bf156', '1b617fc1891e4b689eec009b2aa46340', 'False', 'True', 'false', 'false', '510923102020', 5, '夏家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923102020', 1, '2021-07-19 11:44:28', NULL, NULL), (13065, '', '回马镇双江社区', 'abe7ce450f9c4ee7b536c87a667979e6', '1b617fc1891e4b689eec009b2aa46340', 'False', 'True', 'false', 'false', '510923102042', 5, '双江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923102042', 1, '2021-07-19 11:44:28', NULL, NULL), (13066, '', '回马镇文武村', 'f80bf60e55bd4f249ff2e3376d34d678', '1b617fc1891e4b689eec009b2aa46340', 'False', 'True', 'false', 'false', '510923102170', 5, '文武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923102170', 1, '2021-07-19 11:44:28', NULL, NULL), (13067, '', '回马镇金山村', '77f8cf019bbf4b73a77d6b49b3169574', '1b617fc1891e4b689eec009b2aa46340', 'False', 'True', 'false', 'false', '510923102203', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923102203', 1, '2021-07-19 11:44:28', NULL, NULL), (13068, '', '回马镇团结村', '3bb6543b6a59468f9c3994c54446a7be', '1b617fc1891e4b689eec009b2aa46340', 'False', 'True', 'false', 'false', '510923102345', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923102345', 1, '2021-07-19 11:44:28', NULL, NULL), (13069, '', '回马镇园艺村', '96e069a4593048d3ab05ec5cc5b1fbd5', '1b617fc1891e4b689eec009b2aa46340', 'False', 'True', 'false', 'false', '510923102362', 5, '园艺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923102362', 1, '2021-07-19 11:44:28', NULL, NULL), (13070, '', '回马镇山河村', '3c4ab404e7f4466e9da205ed20720087', '1b617fc1891e4b689eec009b2aa46340', 'False', 'True', 'false', 'false', '510923102380', 5, '山河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923102380', 1, '2021-07-19 11:44:28', NULL, NULL), (13071, '', '回马镇永新村', '626eb4f33ea94ca3a1aa8fc669994f47', '1b617fc1891e4b689eec009b2aa46340', 'False', 'True', 'false', 'false', '510923102631', 5, '永新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923102631', 1, '2021-07-19 11:44:28', NULL, NULL), (13072, '', '回马镇金马社区', '015070760f9146e097da1fec712026f0', '1b617fc1891e4b689eec009b2aa46340', 'False', 'True', 'false', 'false', '510923102724', 5, '金马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923102724', 1, '2021-07-19 11:44:28', NULL, NULL), (13073, '', '回马镇郪口村', '9ca79f7d42cd42f5910022fa0674bf50', '1b617fc1891e4b689eec009b2aa46340', 'False', 'True', 'false', 'false', '510923102790', 5, '郪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923102790', 1, '2021-07-19 11:44:28', NULL, NULL), (13074, '', '回马镇长江坝村', '7e934b890084483eb4cb1c4b5769ac52', '1b617fc1891e4b689eec009b2aa46340', 'False', 'True', 'false', 'false', '510923102795', 5, '长江坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923102795', 1, '2021-07-19 11:44:28', NULL, NULL), (13075, '', '回马镇花园村', 'cbc47ac43b234b2398319b03294dfebf', '1b617fc1891e4b689eec009b2aa46340', 'False', 'True', 'false', 'false', '510923102938', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923102938', 1, '2021-07-19 11:44:28', NULL, NULL), (13076, '', '回马镇光明村', 'c834b4c9d9ce45b7ab2871242e2af594', '1b617fc1891e4b689eec009b2aa46340', 'False', 'True', 'false', 'false', '510923102993', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923102993', 1, '2021-07-19 11:44:28', NULL, NULL), (13077, '', '玉峰镇', 'b57309825a8c464c82c4c85b8d4a8303', '98a85c4aea4b452183d5347802b8d8aa', 'True', 'True', 'true', 'true', '510923630000', 4, '玉峰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510923630000', 1, '2021-07-19 11:44:28', NULL, NULL), (13078, '', '玉峰镇浅垭子村', '885f3c503ab24c0599c266e2817af790', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106060', 5, '玉峰镇浅垭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106060', 1, '2021-07-19 11:44:29', NULL, NULL), (13079, '', '玉峰镇斗笠村', '94454943d35f46f481fdcd2580d29c1c', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106090', 5, '玉峰镇斗笠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106090', 1, '2021-07-19 11:44:29', NULL, NULL), (13080, '', '玉峰镇水阁村', '7486772f78a949a1b498c8aee3d0f002', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106109', 5, '玉峰镇水阁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106109', 1, '2021-07-19 11:44:29', NULL, NULL), (13081, '', '玉峰镇河里坊村', 'e2800f5bfae940f9a88de9d1bcbd3bf5', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106144', 5, '玉峰镇河里坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106144', 1, '2021-07-19 11:44:29', NULL, NULL), (13082, '', '玉峰镇八德桥村', '441150950cdd413b8a9b2f089c2012bf', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106163', 5, '玉峰镇八德桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106163', 1, '2021-07-19 11:44:29', NULL, NULL), (13083, '', '玉峰镇智平村', 'e11c09d62b154f22934edb23f6dee565', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106240', 5, '玉峰镇智平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106240', 1, '2021-07-19 11:44:29', NULL, NULL), (13084, '', '玉峰镇星宿村', '641bde0669c3491d8e3899135c7a3b9d', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106245', 5, '玉峰镇星宿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106245', 1, '2021-07-19 11:44:29', NULL, NULL), (13085, '', '玉峰镇团结村', '32fd9341a6d64cfd826523dc34114051', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106249', 5, '玉峰镇团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106249', 1, '2021-07-19 11:44:29', NULL, NULL), (13086, '', '玉峰镇双古磨村', '1d9a64a3c17a46a4ba7faa06c9a1fbc1', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106253', 5, '玉峰镇双古磨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106253', 1, '2021-07-19 11:44:29', NULL, NULL), (13087, '', '玉峰镇玉峰村', 'a8fb23ab9c01494cbc43f5ff36b17b05', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106327', 5, '玉峰镇玉峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106327', 1, '2021-07-19 11:44:29', NULL, NULL), (13088, '', '玉峰镇方平沟村', '5f3169e53ba04a3ebeaf9574683c2333', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106336', 5, '玉峰镇方平沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106336', 1, '2021-07-19 11:44:29', NULL, NULL), (13089, '', '玉峰镇送家沟村', 'f3ad89936bbf468bb9229aea4272ea6d', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106497', 5, '玉峰镇送家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106497', 1, '2021-07-19 11:44:29', NULL, NULL), (13090, '', '玉峰镇河中井村', 'ad98ff9b0c324f7284e19e7d3b8cc1ae', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106509', 5, '玉峰镇河中井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106509', 1, '2021-07-19 11:44:29', NULL, NULL), (13091, '', '玉峰镇肖家沟村', '80bae11c86914c1b8fcacc63668c99b3', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106510', 5, '玉峰镇肖家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106510', 1, '2021-07-19 11:44:29', NULL, NULL), (13092, '', '玉峰镇葡萄店村', '135f2507a576426b9e289277bddbdf2b', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106602', 5, '玉峰镇葡萄店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106602', 1, '2021-07-19 11:44:29', NULL, NULL), (13093, '', '玉峰镇指石河村', 'adf5971eff2045389dff4a7450359887', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106608', 5, '玉峰镇指石河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106608', 1, '2021-07-19 11:44:29', NULL, NULL), (13094, '', '玉峰镇玉印村', '6187a8af3f9f4484bcdfe5ce94a58c90', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106673', 5, '玉峰镇玉印村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106673', 1, '2021-07-19 11:44:29', NULL, NULL), (13095, '', '玉峰镇得鱼沟村', '41e3f59510d24b2980c7d8688a3915b5', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106695', 5, '玉峰镇得鱼沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106695', 1, '2021-07-19 11:44:30', NULL, NULL), (13096, '', '玉峰镇幸福社区', '0863fd2f70464970b1cfb586734b4a86', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106809', 5, '玉峰镇幸福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106809', 1, '2021-07-19 11:44:30', NULL, NULL), (13097, '', '玉峰镇鲤鱼浸村', 'b7c88aed37784197b79cd3688bc04c77', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106890', 5, '玉峰镇鲤鱼浸村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106890', 1, '2021-07-19 11:44:30', NULL, NULL), (13098, '', '玉峰镇飞场湾村', '93f771d56df34fcf8c4fd5ac0ea65945', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106907', 5, '玉峰镇飞场湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106907', 1, '2021-07-19 11:44:30', NULL, NULL), (13099, '', '玉峰镇智水村', '8c5182e52d684da0b13fb67584e78c36', 'b57309825a8c464c82c4c85b8d4a8303', 'False', 'True', 'false', 'false', '510923106988', 5, '玉峰镇智水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923106988', 1, '2021-07-19 11:44:30', NULL, NULL), (13100, '', '天保镇', '1a7200a0fd28491195f1f1b790012f05', '98a85c4aea4b452183d5347802b8d8aa', 'True', 'True', 'false', 'false', '510923751000', 4, '天保镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510923751000', 1, '2021-07-19 11:44:30', NULL, NULL), (13101, '', '天保镇承天寺社区', 'dd3e7caa46174f798a01d92f5142ce57', '1a7200a0fd28491195f1f1b790012f05', 'False', 'True', 'false', 'false', '510923103015', 5, '承天寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923103015', 1, '2021-07-19 11:44:30', NULL, NULL), (13102, '', '天保镇天保湖村', 'e496b2bce5e6493d80e875609aa51826', '1a7200a0fd28491195f1f1b790012f05', 'False', 'True', 'false', 'false', '510923103179', 5, '天保湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923103179', 1, '2021-07-19 11:44:30', NULL, NULL), (13103, '', '天保镇李广沟村', '175da1defd2a430b93f20e9c1ed2be13', '1a7200a0fd28491195f1f1b790012f05', 'False', 'True', 'false', 'false', '510923103256', 5, '李广沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923103256', 1, '2021-07-19 11:44:30', NULL, NULL), (13104, '', '天保镇鹊桥村', 'fc8f4d70aefa40f496dc8401c2d084ff', '1a7200a0fd28491195f1f1b790012f05', 'False', 'True', 'false', 'false', '510923103305', 5, '鹊桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923103305', 1, '2021-07-19 11:44:30', NULL, NULL), (13105, '', '天保镇人和寨村', 'b5164641610b4fd8a47180df4a926ee4', '1a7200a0fd28491195f1f1b790012f05', 'False', 'True', 'false', 'false', '510923103345', 5, '人和寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923103345', 1, '2021-07-19 11:44:30', NULL, NULL), (13106, '', '天保镇木鱼新村', '41185818b232480ab03ce4ef1e460f83', '1a7200a0fd28491195f1f1b790012f05', 'False', 'True', 'false', 'false', '510923103404', 5, '木鱼新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923103404', 1, '2021-07-19 11:44:30', NULL, NULL), (13107, '', '天保镇龙坝村', '45c36adc82ea450bb99de831bb10f5eb', '1a7200a0fd28491195f1f1b790012f05', 'False', 'True', 'false', 'false', '510923103407', 5, '龙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923103407', 1, '2021-07-19 11:44:30', NULL, NULL), (13108, '', '天保镇桂花咀村', '4b6bafbc7dea488e8f518d66a041c164', '1a7200a0fd28491195f1f1b790012f05', 'False', 'True', 'false', 'false', '510923103479', 5, '桂花咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923103479', 1, '2021-07-19 11:44:30', NULL, NULL), (13109, '', '天保镇沙石咀村', '311ac5d574224d1684ec636b2703cba8', '1a7200a0fd28491195f1f1b790012f05', 'False', 'True', 'false', 'false', '510923103582', 5, '沙石咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923103582', 1, '2021-07-19 11:44:30', NULL, NULL), (13110, '', '天保镇建新村', 'cebe90bb2cd74c4daae1cd233c56137a', '1a7200a0fd28491195f1f1b790012f05', 'False', 'True', 'false', 'false', '510923103705', 5, '建新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923103705', 1, '2021-07-19 11:44:30', NULL, NULL), (13111, '', '天保镇观桥村', 'd7ab6139bac543c8b01adfb9e350f7e4', '1a7200a0fd28491195f1f1b790012f05', 'False', 'True', 'false', 'false', '510923103736', 5, '观桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923103736', 1, '2021-07-19 11:44:31', NULL, NULL), (13112, '', '天保镇八字墙村', '1acde5fd713d4ad78ded6d971ca7f743', '1a7200a0fd28491195f1f1b790012f05', 'False', 'True', 'false', 'false', '510923103940', 5, '八字墙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923103940', 1, '2021-07-19 11:44:31', NULL, NULL), (13113, '', '河边镇', '765060c37ba74b2d82129ae59d169e37', '98a85c4aea4b452183d5347802b8d8aa', 'True', 'True', 'true', 'true', '510923823000', 4, '河边镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510923823000', 1, '2021-07-19 11:44:31', NULL, NULL), (13114, '', '河边镇铜鼓村', 'a915ae03c6124ac987fbea4e014ef41d', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104021', 5, '河边镇铜鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104021', 1, '2021-07-19 11:44:31', NULL, NULL), (13115, '', '河边镇八里沟村', '9e240e9dd56741938f4eb39308bbd31c', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104179', 5, '河边镇八里沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104179', 1, '2021-07-19 11:44:31', NULL, NULL), (13116, '', '河边镇安山村', '28bb8efd582c43c0aca3ef448a9c81b1', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104191', 5, '河边镇安山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104191', 1, '2021-07-19 11:44:31', NULL, NULL), (13117, '', '河边镇人民村', '49003a073ce34e2dad8cea961f974633', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104237', 5, '河边镇人民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104237', 1, '2021-07-19 11:44:31', NULL, NULL), (13118, '', '河边镇红岩嘴村', '4567b50dd137466780fe0edfd6d7083d', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104245', 5, '河边镇红岩嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104245', 1, '2021-07-19 11:44:31', NULL, NULL), (13119, '', '河边镇地风井村', '9ca66ef7792049cda1f7081dd599a65c', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104267', 5, '河边镇地风井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104267', 1, '2021-07-19 11:44:31', NULL, NULL), (13120, '', '河边镇桂阳村', '52803fcb841f4c038ddd0919e33ca492', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104291', 5, '河边镇桂阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104291', 1, '2021-07-19 11:44:31', NULL, NULL), (13121, '', '河边镇大屋沟村', 'adf07bf3c6af4eeeb12b16a360641ff0', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104355', 5, '河边镇大屋沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104355', 1, '2021-07-19 11:44:31', NULL, NULL), (13122, '', '河边镇马尖坡村', '729f821b66314496aee114b8a2992d1d', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104375', 5, '河边镇马尖坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104375', 1, '2021-07-19 11:44:31', NULL, NULL), (13123, '', '河边镇栏江村', '58d8f72c033a4c98bf81cf25e8879fe5', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104418', 5, '河边镇栏江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104418', 1, '2021-07-19 11:44:31', NULL, NULL), (13124, '', '河边镇上坝子村', '21f32b5b2a8049b0add7f8cec9d779d8', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104430', 5, '河边镇上坝子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104430', 1, '2021-07-19 11:44:31', NULL, NULL), (13125, '', '河边镇鹿角沟村', 'b8381ab147984b07909be731ed5e4c44', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104437', 5, '河边镇鹿角沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104437', 1, '2021-07-19 11:44:31', NULL, NULL), (13126, '', '河边镇石龙村', 'adf765db438c4d939036af65735d1141', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104447', 5, '河边镇石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104447', 1, '2021-07-19 11:44:31', NULL, NULL), (13127, '', '河边镇梁家村', 'd75aa71881b544a7ba642c69056374a0', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104475', 5, '河边镇梁家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104475', 1, '2021-07-19 11:44:31', NULL, NULL), (13128, '', '河边镇石山村', '84b4e4cc09d843afa82fffeaca4d4cc9', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104532', 5, '河边镇石山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104532', 1, '2021-07-19 11:44:32', NULL, NULL), (13129, '', '河边镇三块碑村', '4a3499a04a9e47ee901b3e5619522f0b', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104533', 5, '河边镇三块碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104533', 1, '2021-07-19 11:44:32', NULL, NULL), (13130, '', '河边镇九店村', '2f3cdd660bf64da78a52f1ccbe672139', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104540', 5, '河边镇九店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104540', 1, '2021-07-19 11:44:32', NULL, NULL), (13131, '', '河边镇正西街社区', 'd3e3d42105eb4da0a3bdbe1aacb8b6f8', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104569', 5, '河边镇正西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104569', 1, '2021-07-19 11:44:32', NULL, NULL), (13132, '', '河边镇经义村', '7f4b96d957d846a9a079e562cdd40189', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104649', 5, '河边镇经义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104649', 1, '2021-07-19 11:44:32', NULL, NULL), (13133, '', '河边镇铁路沟村', '273cbd7507884810903c42e3d8fd03e3', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104661', 5, '河边镇铁路沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104661', 1, '2021-07-19 11:44:32', NULL, NULL), (13134, '', '河边镇前进村', '6ef6bec153844a968b9f730497f8c446', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104724', 5, '河边镇前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104724', 1, '2021-07-19 11:44:32', NULL, NULL), (13135, '', '河边镇仁义村', '0fd3b546dfe84e9c9d27368a61381a44', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104752', 5, '河边镇仁义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104752', 1, '2021-07-19 11:44:32', NULL, NULL), (13136, '', '河边镇胜利村', '256f99594b184cdc90d0bc00e357f874', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104839', 5, '河边镇胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104839', 1, '2021-07-19 11:44:32', NULL, NULL), (13137, '', '河边镇正东街社区', 'ec2e4eed273d4dba88097dab1b330957', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104845', 5, '河边镇正东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104845', 1, '2021-07-19 11:44:32', NULL, NULL), (13138, '', '河边镇牌坊村', 'fe342de1ac2f4c2a9478805394a12b1a', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104882', 5, '河边镇牌坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104882', 1, '2021-07-19 11:44:32', NULL, NULL), (13139, '', '河边镇玉泉井村', '3522c27dece14c439281478ecff927ef', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104909', 5, '河边镇玉泉井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104909', 1, '2021-07-19 11:44:32', NULL, NULL), (13140, '', '河边镇四方村', '24ecfb1ceae6468ca09b1358a83935b6', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104918', 5, '河边镇四方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104918', 1, '2021-07-19 11:44:32', NULL, NULL), (13141, '', '河边镇坤龙村', '63db1188545d4329a8910368339748da', '765060c37ba74b2d82129ae59d169e37', 'False', 'True', 'false', 'false', '510923104927', 5, '河边镇坤龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923104927', 1, '2021-07-19 11:44:32', NULL, NULL), (13142, '', '金元镇', 'c6f8c4d7f42045ac8bea9c0311b51d7c', '98a85c4aea4b452183d5347802b8d8aa', 'True', 'True', 'false', 'false', '510923927000', 4, '金元镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510923927000', 1, '2021-07-19 11:44:32', NULL, NULL), (13143, '', '大英县金元镇宝祥村', 'c78074c75a1d4cb48ba9c81da8d0e227', 'c6f8c4d7f42045ac8bea9c0311b51d7c', 'False', 'True', 'false', 'false', '510923108231', 5, '宝祥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923108231', 1, '2021-07-19 11:44:32', NULL, NULL), (13144, '', '大英县金元镇明月村', '20b94913505b4f31afec78a9b8d7701b', 'c6f8c4d7f42045ac8bea9c0311b51d7c', 'False', 'True', 'false', 'false', '510923108236', 5, '明月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923108236', 1, '2021-07-19 11:44:32', NULL, NULL), (13145, '', '大英县金元镇松林沟村', '9e8bdcb85862414ea284756fa7945064', 'c6f8c4d7f42045ac8bea9c0311b51d7c', 'False', 'True', 'false', 'false', '510923108339', 5, '松林沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923108339', 1, '2021-07-19 11:44:32', NULL, NULL), (13146, '', '大英县金元镇江柏村', 'c744e98c2d06464986f503654fafcf81', 'c6f8c4d7f42045ac8bea9c0311b51d7c', 'False', 'True', 'false', 'false', '510923108473', 5, '江柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923108473', 1, '2021-07-19 11:44:32', NULL, NULL), (13147, '', '大英县金元镇高金村', '6ebb962835b04158a5bb3fa1da632268', 'c6f8c4d7f42045ac8bea9c0311b51d7c', 'False', 'True', 'false', 'false', '510923108523', 5, '高金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923108523', 1, '2021-07-19 11:44:33', NULL, NULL), (13148, '', '大英县金元镇金山桥村', 'ced790fbbe454dbb83d1ec6ba45a0029', 'c6f8c4d7f42045ac8bea9c0311b51d7c', 'False', 'True', 'false', 'false', '510923108562', 5, '金山桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923108562', 1, '2021-07-19 11:44:33', NULL, NULL), (13149, '', '大英县金元镇金元社区', 'e44adb554e684638b2310da7196b94da', 'c6f8c4d7f42045ac8bea9c0311b51d7c', 'False', 'True', 'false', 'false', '510923108576', 5, '金元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923108576', 1, '2021-07-19 11:44:33', NULL, NULL), (13150, '', '大英县金元镇金容寨村', '3fb056f6f3ea4620a0c33250829342e5', 'c6f8c4d7f42045ac8bea9c0311b51d7c', 'False', 'True', 'false', 'false', '510923108789', 5, '金容寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923108789', 1, '2021-07-19 11:44:33', NULL, NULL), (13151, '', '大英县金元镇金河湾村', 'd9a7cee93f6e4c1ea15b96e88c287bff', 'c6f8c4d7f42045ac8bea9c0311b51d7c', 'False', 'True', 'false', 'false', '510923108864', 5, '金河湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923108864', 1, '2021-07-19 11:44:33', NULL, NULL), (13152, '', '大英县金元镇洞坡村', 'f71069df5d014f88b21e3b27b92a7ec8', 'c6f8c4d7f42045ac8bea9c0311b51d7c', 'False', 'True', 'false', 'false', '510923108888', 5, '洞坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923108888', 1, '2021-07-19 11:44:33', NULL, NULL), (13153, '', '大英县金元镇峡码口村', 'f2ba4153ade945a2bcbf632676bdab4f', 'c6f8c4d7f42045ac8bea9c0311b51d7c', 'False', 'True', 'false', 'false', '510923108917', 5, '峡码口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923108917', 1, '2021-07-19 11:44:33', NULL, NULL), (13154, '', '大英县金元镇斑竹山村', 'b50de18ac561464996d0e2efae0cb609', 'c6f8c4d7f42045ac8bea9c0311b51d7c', 'False', 'True', 'false', 'false', '510923108933', 5, '斑竹山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923108933', 1, '2021-07-19 11:44:33', NULL, NULL), (13155, '', '大英县金元镇盘龙村', '2462c4f5bce542039f9d7daa2416e47b', 'c6f8c4d7f42045ac8bea9c0311b51d7c', 'False', 'True', 'false', 'false', '510923108971', 5, '盘龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923108971', 1, '2021-07-19 11:44:33', NULL, NULL), (13156, '', '大英县金元镇金宝村', '7b53c0bc6b954d36b0af9a8f0e12a84c', 'c6f8c4d7f42045ac8bea9c0311b51d7c', 'False', 'True', 'false', 'false', '510923108980', 5, '金宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923108980', 1, '2021-07-19 11:44:33', NULL, NULL), (13157, '', '卓筒井镇', '8a6507335f8e430cb974654f807c0b23', '98a85c4aea4b452183d5347802b8d8aa', 'True', 'True', 'false', 'false', '510923963000', 4, '卓筒井镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510923963000', 1, '2021-07-19 11:44:33', NULL, NULL), (13158, '', '卓筒井镇福兴村', '7045437bb6f94f7fb5adf46ee0dad7da', '8a6507335f8e430cb974654f807c0b23', 'False', 'True', 'false', 'false', '510923105226', 5, '卓筒井镇福兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923105226', 1, '2021-07-19 11:44:33', NULL, NULL), (13159, '', '卓筒井镇卓源社区', '3e733a7034eb48b8821273c101f970d2', '8a6507335f8e430cb974654f807c0b23', 'False', 'True', 'false', 'false', '510923105280', 5, '卓筒井镇卓源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923105280', 1, '2021-07-19 11:44:33', NULL, NULL), (13160, '', '卓筒井镇槐花村', '92ef9e53ec9d425594a0898bae5bbbe1', '8a6507335f8e430cb974654f807c0b23', 'False', 'True', 'false', 'false', '510923105327', 5, '卓筒井镇槐花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923105327', 1, '2021-07-19 11:44:33', NULL, NULL), (13161, '', '卓筒井镇为干屏村', '6fdcb9d074d84b5d923e755817ebee43', '8a6507335f8e430cb974654f807c0b23', 'False', 'True', 'false', 'false', '510923105375', 5, '卓筒井镇为干屏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923105375', 1, '2021-07-19 11:44:33', NULL, NULL), (13162, '', '卓筒井镇幸福村', '4b5dd53025c74552901cbb40821ebb1b', '8a6507335f8e430cb974654f807c0b23', 'False', 'True', 'false', 'false', '510923105570', 5, '卓筒井镇幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923105570', 1, '2021-07-19 11:44:33', NULL, NULL), (13163, '', '卓筒井镇骑龙寨村', '2a94a0cf2b764b86a67a7eb3c51575df', '8a6507335f8e430cb974654f807c0b23', 'False', 'True', 'false', 'false', '510923105597', 5, '卓筒井镇骑龙寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923105597', 1, '2021-07-19 11:44:33', NULL, NULL), (13164, '', '卓筒井镇关昌村', '0c4ebf8e61d5432c931ebf9905e40efa', '8a6507335f8e430cb974654f807c0b23', 'False', 'True', 'false', 'false', '510923105612', 5, '卓筒井镇关昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923105612', 1, '2021-07-19 11:44:33', NULL, NULL), (13165, '', '卓筒井镇秀才村', '377a09c090574ecfb3c65714ce71c8ce', '8a6507335f8e430cb974654f807c0b23', 'False', 'True', 'false', 'false', '510923105703', 5, '卓筒井镇秀才村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923105703', 1, '2021-07-19 11:44:34', NULL, NULL), (13166, '', '卓筒井镇转轮村', '71fcac8500fc456c8a6beb95cd3ceb7e', '8a6507335f8e430cb974654f807c0b23', 'False', 'True', 'false', 'false', '510923105717', 5, '卓筒井镇转轮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923105717', 1, '2021-07-19 11:44:34', NULL, NULL), (13167, '', '卓筒井镇东山村', 'df28e686052b44ac81764f82429d0f33', '8a6507335f8e430cb974654f807c0b23', 'False', 'True', 'false', 'false', '510923105724', 5, '卓筒井镇东山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923105724', 1, '2021-07-19 11:44:34', NULL, NULL), (13168, '', '卓筒井镇吴家桥村', '27a393777f6e40b5b391b55edc80fbfa', '8a6507335f8e430cb974654f807c0b23', 'False', 'True', 'false', 'false', '510923105848', 5, '卓筒井镇吴家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923105848', 1, '2021-07-19 11:44:34', NULL, NULL), (13169, '', '卓筒井镇蓄金村', 'f8e9464cbd96489584290bc7a760c55c', '8a6507335f8e430cb974654f807c0b23', 'False', 'True', 'false', 'false', '510923105890', 5, '卓筒井镇蓄金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923105890', 1, '2021-07-19 11:44:34', NULL, NULL), (13170, '', '卓筒井镇铜盆寨村', '07b60a8e2d624b3caca0b06d26b625e2', '8a6507335f8e430cb974654f807c0b23', 'False', 'True', 'false', 'false', '510923105986', 5, '卓筒井镇铜盆寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510923105986', 1, '2021-07-19 11:44:34', NULL, NULL), (13171, '', '遂宁高新区', 'db737596e11f4e7bae78b443d073fc0e', '50f12c6cc85e4ea3aac4d59ab7d035eb', 'True', 'True', 'false', 'false', '510953000000', 3, '遂宁高新区', 'snssngxq.sczwfw.gov.cn', 1, '2021-07-19 11:44:34', NULL, NULL), (13172, '', '会龙镇人民政府', '6e3289c4a86d418fa2accfe47d26a530', 'db737596e11f4e7bae78b443d073fc0e', 'True', 'True', 'false', 'false', '510908071200', 4, '会龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510908071200', 1, '2021-07-19 11:44:34', NULL, NULL), (13173, '', '会龙镇唱龙村', '190926476f094de7b39b39462f335592', '6e3289c4a86d418fa2accfe47d26a530', 'False', 'True', 'false', 'false', '510908000066', 5, '唱龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000066', 1, '2021-07-19 11:44:34', NULL, NULL), (13174, '', '会龙镇佐家坝社区', '83a614f295514f9a94dd2dceff6b5dfa', '6e3289c4a86d418fa2accfe47d26a530', 'False', 'True', 'false', 'false', '510908000271', 5, '佐家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000271', 1, '2021-07-19 11:44:34', NULL, NULL), (13175, '', '会龙镇高屋基村', '8ae4c6dc3c5247239e792a7db31d1996', '6e3289c4a86d418fa2accfe47d26a530', 'False', 'True', 'false', 'false', '510908000277', 5, '高屋基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000277', 1, '2021-07-19 11:44:34', NULL, NULL), (13176, '', '会龙镇接官亭村', '2b4abccb66694fb9a4193adb82523b46', '6e3289c4a86d418fa2accfe47d26a530', 'False', 'True', 'false', 'false', '510908000456', 5, '接官亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000456', 1, '2021-07-19 11:44:34', NULL, NULL), (13177, '', '会龙镇石岩村', '4485913e813748d8a8ed7978f055c898', '6e3289c4a86d418fa2accfe47d26a530', 'False', 'True', 'false', 'false', '510908000480', 5, '石岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000480', 1, '2021-07-19 11:44:34', NULL, NULL), (13178, '', '会龙镇青狮村', '74537c1ced5340cd9fe601b9a025193b', '6e3289c4a86d418fa2accfe47d26a530', 'False', 'True', 'false', 'false', '510908000563', 5, '青狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000563', 1, '2021-07-19 11:44:34', NULL, NULL), (13179, '', '会龙镇花亭村', '47d6e9f51565428ba8bd55965e570585', '6e3289c4a86d418fa2accfe47d26a530', 'False', 'True', 'false', 'false', '510908000572', 5, '花亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000572', 1, '2021-07-19 11:44:34', NULL, NULL), (13180, '', '会龙镇静严村', 'eaf218e134ba456794a65106533fdcdb', '6e3289c4a86d418fa2accfe47d26a530', 'False', 'True', 'false', 'false', '510908000573', 5, '静严村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000573', 1, '2021-07-19 11:44:34', NULL, NULL), (13181, '', '会龙镇粉房村', '87c0d1b7ebd043b681fd0c2a38f5c3cb', '6e3289c4a86d418fa2accfe47d26a530', 'False', 'True', 'false', 'false', '510908000586', 5, '粉房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000586', 1, '2021-07-19 11:44:34', NULL, NULL), (13182, '', '会龙镇羊子岩村', '793ed06466fc4e05b61aae5293f3f67d', '6e3289c4a86d418fa2accfe47d26a530', 'False', 'True', 'false', 'false', '510908000615', 5, '羊子岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000615', 1, '2021-07-19 11:44:34', NULL, NULL), (13183, '', '会龙镇香林村', '37a6cbef40364c4cb2088bf4b5d97e9e', '6e3289c4a86d418fa2accfe47d26a530', 'False', 'True', 'false', 'false', '510908000801', 5, '香林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000801', 1, '2021-07-19 11:44:35', NULL, NULL), (13184, '', '会龙镇六合村', 'db1b884ec2a14326bd778843c73199cf', '6e3289c4a86d418fa2accfe47d26a530', 'False', 'True', 'false', 'false', '510908000924', 5, '六合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000924', 1, '2021-07-19 11:44:35', NULL, NULL), (13185, '', '保升镇人民政府', '6001b69522c84463910796cab4c75003', 'db737596e11f4e7bae78b443d073fc0e', 'True', 'True', 'false', 'false', '510908336300', 4, '保升镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510908336300', 1, '2021-07-19 11:44:35', NULL, NULL), (13186, '', '保升镇保升乡保升村', '9cef33a0adb343bf98c48200239358f8', '6001b69522c84463910796cab4c75003', 'False', 'True', 'false', 'false', '510908000081', 5, '保升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000081', 1, '2021-07-19 11:44:35', NULL, NULL), (13187, '', '保升镇保升乡宝凤村', 'fae9e27d79984df69b1a0f09a61c115e', '6001b69522c84463910796cab4c75003', 'False', 'True', 'false', 'false', '510908000102', 5, '宝凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000102', 1, '2021-07-19 11:44:35', NULL, NULL), (13188, '', '保升镇保升乡太和桥村', 'e1150a50edc84e96bc0b4bf39be57e35', '6001b69522c84463910796cab4c75003', 'False', 'True', 'false', 'false', '510908000135', 5, '太和桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000135', 1, '2021-07-19 11:44:35', NULL, NULL), (13189, '', '保升镇保升乡观山村', '5a629488bdd3460695483dffbf6c1690', '6001b69522c84463910796cab4c75003', 'False', 'True', 'false', 'false', '510908000199', 5, '观山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000199', 1, '2021-07-19 11:44:35', NULL, NULL), (13190, '', '保升镇金家沟街道金桃社区', '29f7bab105b140d3825099221a6b0415', '6001b69522c84463910796cab4c75003', 'False', 'True', 'false', 'false', '510908000299', 5, '金桃社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000299', 1, '2021-07-19 11:44:35', NULL, NULL), (13191, '', '保升镇保升乡升红社区', '8760799316844b87b9d5168425dd7773', '6001b69522c84463910796cab4c75003', 'False', 'True', 'false', 'false', '510908000381', 5, '升红社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000381', 1, '2021-07-19 11:44:35', NULL, NULL), (13192, '', '保升镇金家沟街道金家沟社区', '07ba62c17e5d4322a70bef8fa1514b62', '6001b69522c84463910796cab4c75003', 'False', 'True', 'false', 'false', '510908000429', 5, '金家沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000429', 1, '2021-07-19 11:44:35', NULL, NULL), (13193, '', '保升镇金家沟街道金荷社区', 'c74cb50fa8af41d78977bea355a74670', '6001b69522c84463910796cab4c75003', 'False', 'True', 'false', 'false', '510908000461', 5, '金荷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000461', 1, '2021-07-19 11:44:35', NULL, NULL), (13194, '', '保升镇保升乡插板堰村', '46b57c5296704284ba7ea34fa3297aa1', '6001b69522c84463910796cab4c75003', 'False', 'True', 'false', 'false', '510908000545', 5, '插板堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000545', 1, '2021-07-19 11:44:35', NULL, NULL), (13195, '', '保升镇金家沟街道凉水井社区', '8ccb129f272f4a258572137be5463e66', '6001b69522c84463910796cab4c75003', 'False', 'True', 'false', 'false', '510908000718', 5, '凉水井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000718', 1, '2021-07-19 11:44:35', NULL, NULL), (13196, '', '保升镇金家沟街道金开寺社区', 'e7dc6e1878cb4a68b6f37d0c16ddcde5', '6001b69522c84463910796cab4c75003', 'False', 'True', 'false', 'false', '510908000902', 5, '金开寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000902', 1, '2021-07-19 11:44:35', NULL, NULL), (13197, '', '保升镇保升乡和兴村', '0ac2792bc21940e3862d4e9d310ff27e', '6001b69522c84463910796cab4c75003', 'False', 'True', 'false', 'false', '510908000987', 5, '和兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000987', 1, '2021-07-19 11:44:35', NULL, NULL), (13198, '', '聚贤镇人民政府', 'fa86d02dbe1a4e4ea79e61440f0859d0', 'db737596e11f4e7bae78b443d073fc0e', 'True', 'True', 'false', 'false', '510908366400', 4, '聚贤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510908366400', 1, '2021-07-19 11:44:35', NULL, NULL), (13199, '', '聚贤镇金井沟村', 'a4196ea7924945b197f3c07bc7ddf719', 'fa86d02dbe1a4e4ea79e61440f0859d0', 'False', 'True', 'false', 'false', '510908000059', 5, '金井沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000059', 1, '2021-07-19 11:44:35', NULL, NULL), (13200, '', '聚贤镇群福村', 'f437d6a8db804451868166d385dcd703', 'fa86d02dbe1a4e4ea79e61440f0859d0', 'False', 'True', 'false', 'false', '510908000064', 5, '群福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000064', 1, '2021-07-19 11:44:36', NULL, NULL), (13201, '', '聚贤镇石板凳村', '6ea8804e18874dbabe6d3208aa2f7935', 'fa86d02dbe1a4e4ea79e61440f0859d0', 'False', 'True', 'false', 'false', '510908000068', 5, '石板凳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000068', 1, '2021-07-19 11:44:36', NULL, NULL), (13202, '', '聚贤镇方井村', '166f1c00f3f640ec9de7202861ea14a0', 'fa86d02dbe1a4e4ea79e61440f0859d0', 'False', 'True', 'false', 'false', '510908000235', 5, '方井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000235', 1, '2021-07-19 11:44:36', NULL, NULL), (13203, '', '聚贤镇快活岭村', '4185066f0881458399b2037a91a3fe01', 'fa86d02dbe1a4e4ea79e61440f0859d0', 'False', 'True', 'false', 'false', '510908000254', 5, '快活岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000254', 1, '2021-07-19 11:44:36', NULL, NULL), (13204, '', '聚贤镇宝珠寺村', '695956b6f9bc42a2b8c117f829e61a8a', 'fa86d02dbe1a4e4ea79e61440f0859d0', 'False', 'True', 'false', 'false', '510908000328', 5, '宝珠寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000328', 1, '2021-07-19 11:44:36', NULL, NULL), (13205, '', '聚贤镇凉亭村', '86a524d086ad4e71b093d351ca159e74', 'fa86d02dbe1a4e4ea79e61440f0859d0', 'False', 'True', 'false', 'false', '510908000544', 5, '凉亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000544', 1, '2021-07-19 11:44:36', NULL, NULL), (13206, '', '聚贤镇文兴社区', '8b066c0e64474e118d2b7c00f1655d2a', 'fa86d02dbe1a4e4ea79e61440f0859d0', 'False', 'True', 'false', 'false', '510908000618', 5, '文兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000618', 1, '2021-07-19 11:44:36', NULL, NULL), (13207, '', '聚贤镇大柏林村', 'bb845e43e761451a963fa55027ce7c79', 'fa86d02dbe1a4e4ea79e61440f0859d0', 'False', 'True', 'false', 'false', '510908000677', 5, '大柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000677', 1, '2021-07-19 11:44:36', NULL, NULL), (13208, '', '聚贤镇木莲寺村', '5775cd6ec73441e9b4e160973362c537', 'fa86d02dbe1a4e4ea79e61440f0859d0', 'False', 'True', 'false', 'false', '510908000703', 5, '木莲寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000703', 1, '2021-07-19 11:44:36', NULL, NULL), (13209, '', '聚贤镇木桶井村', '7a5432aaad654dafa2d12c89c7cee6e9', 'fa86d02dbe1a4e4ea79e61440f0859d0', 'False', 'True', 'false', 'false', '510908000802', 5, '木桶井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000802', 1, '2021-07-19 11:44:36', NULL, NULL), (13210, '', '聚贤镇吉林村', '406c14b8314d4c3eb66dbdd0228e1198', 'fa86d02dbe1a4e4ea79e61440f0859d0', 'False', 'True', 'false', 'false', '510908000907', 5, '吉林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000907', 1, '2021-07-19 11:44:36', NULL, NULL), (13211, '', '聚贤镇青冈村', '658e4bc903464916833900aac7cc4eec', 'fa86d02dbe1a4e4ea79e61440f0859d0', 'False', 'True', 'false', 'false', '510908000917', 5, '青冈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000917', 1, '2021-07-19 11:44:36', NULL, NULL), (13212, '', '聚贤镇和平村', '223fc669cabe4379bd5afae58533171f', 'fa86d02dbe1a4e4ea79e61440f0859d0', 'False', 'True', 'false', 'false', '510908000931', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000931', 1, '2021-07-19 11:44:36', NULL, NULL), (13213, '', '西宁街道办事处', '707d003dc9e64994ab33c00f4ea00eda', 'db737596e11f4e7bae78b443d073fc0e', 'True', 'True', 'false', 'false', '510908372100', 4, '西宁街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510908372100', 1, '2021-07-19 11:44:36', NULL, NULL), (13214, '', '西宁街道办事处西宁乡青岗社区', '712a95b81aa84385b8eaa6fcfbb5dad4', '707d003dc9e64994ab33c00f4ea00eda', 'False', 'True', 'false', 'false', '510908000131', 5, '青岗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000131', 1, '2021-07-19 11:44:36', NULL, NULL), (13215, '', '西宁街道办事处金家沟街道文星桥社区', 'fa707f6e079c4e9795ada20453ae2047', '707d003dc9e64994ab33c00f4ea00eda', 'False', 'True', 'false', 'false', '510908000149', 5, '文星桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000149', 1, '2021-07-19 11:44:36', NULL, NULL), (13216, '', '西宁街道办事处西宁乡兰井村', '50e48e9f27a24f4fa6d2d8b17a64f4bf', '707d003dc9e64994ab33c00f4ea00eda', 'False', 'True', 'false', 'false', '510908000484', 5, '兰井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000484', 1, '2021-07-19 11:44:36', NULL, NULL), (13217, '', '西宁街道办事处西宁乡福光庙村', '9c00aabf9e3e4236856e921deb578989', '707d003dc9e64994ab33c00f4ea00eda', 'False', 'True', 'false', 'false', '510908000591', 5, '福光庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000591', 1, '2021-07-19 11:44:36', NULL, NULL), (13218, '', '西宁街道办事处金家沟街道金桂社区', '218a4ddef2e14dfa9c7274e46bf85467', '707d003dc9e64994ab33c00f4ea00eda', 'False', 'True', 'false', 'false', '510908000663', 5, '金桂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000663', 1, '2021-07-19 11:44:36', NULL, NULL), (13219, '', '西宁街道办事处西宁乡五里垭社区', 'bfcb69b558d94c89a733a7f42ee1e001', '707d003dc9e64994ab33c00f4ea00eda', 'False', 'True', 'false', 'false', '510908000687', 5, '五里垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000687', 1, '2021-07-19 11:44:36', NULL, NULL), (13220, '', '西宁街道办事处西宁乡樟树堰村', '50ff872376d04f0d9e77c7180e5ee9ce', '707d003dc9e64994ab33c00f4ea00eda', 'False', 'True', 'false', 'false', '510908000772', 5, '樟树堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000772', 1, '2021-07-19 11:44:36', NULL, NULL), (13221, '', '西宁街道办事处西宁乡徐家堰村', '765cd083110f44209e33a06b9b4ab726', '707d003dc9e64994ab33c00f4ea00eda', 'False', 'True', 'false', 'false', '510908000792', 5, '徐家堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510908000792', 1, '2021-07-19 11:44:37', NULL, NULL), (13222, '', '遂宁经开区', '484cd73ca6f74e2e92e4793c48a86025', '50f12c6cc85e4ea3aac4d59ab7d035eb', 'True', 'True', 'false', 'false', '510906000000', 3, '遂宁经开区', 'snssnjkq.sczwfw.gov.cn', 1, '2021-07-19 11:44:37', NULL, NULL), (13223, '', '嘉禾街道', 'defdef9b75744bf3a471d5787a22a773', '484cd73ca6f74e2e92e4793c48a86025', 'True', 'True', 'false', 'false', '510906007000', 4, '嘉禾街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510906007000', 1, '2021-07-19 11:44:37', NULL, NULL), (13224, '', '滨江社区', '08c167d36e984fbabcfe344e5da1c1b0', 'defdef9b75744bf3a471d5787a22a773', 'False', 'True', 'false', 'false', '510906007001', 5, '滨江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906007001', 1, '2021-07-19 11:44:37', NULL, NULL), (13225, '', '吴家湾社区', '1cf2fe66b29040a6a04827ba717093c4', 'defdef9b75744bf3a471d5787a22a773', 'False', 'True', 'false', 'false', '510906007245', 5, '吴家湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906007245', 1, '2021-07-19 11:44:37', NULL, NULL), (13226, '', '吉祥社区', 'e13d23d4e9694c0ebbb4f120d3938a53', 'defdef9b75744bf3a471d5787a22a773', 'False', 'True', 'false', 'false', '510906007356', 5, '吉祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906007356', 1, '2021-07-19 11:44:37', NULL, NULL), (13227, '', '天峰社区', '0846e89959c8491a92246d1334e7ab31', 'defdef9b75744bf3a471d5787a22a773', 'False', 'True', 'false', 'false', '510906007560', 5, '天峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906007560', 1, '2021-07-19 11:44:37', NULL, NULL), (13228, '', '明月社区', 'f6bfaccbeda34fdd92796c0ee91c098a', 'defdef9b75744bf3a471d5787a22a773', 'False', 'True', 'false', 'false', '510906007885', 5, '明月社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906007885', 1, '2021-07-19 11:44:37', NULL, NULL), (13229, '', '嘉禾社区', '049314015eac4ba381e673c6f0a2a9a0', 'defdef9b75744bf3a471d5787a22a773', 'False', 'True', 'false', 'false', '510906007966', 5, '嘉禾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906007966', 1, '2021-07-19 11:44:37', NULL, NULL), (13230, '', '龙桥社区', 'affaac91343e4e649736448ccc262dbb', 'defdef9b75744bf3a471d5787a22a773', 'False', 'True', 'false', 'false', '510906007996', 5, '龙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906007996', 1, '2021-07-19 11:44:37', NULL, NULL), (13231, '', '广德街道', '6cbc31603c8f481ba2dc6deafab6d41e', '484cd73ca6f74e2e92e4793c48a86025', 'True', 'True', 'false', 'false', '510906008000', 4, '广德街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510906008000', 1, '2021-07-19 11:44:37', NULL, NULL), (13232, '', '八角亭社区', '14c03339bbb2418a94432de0c2a6a220', '6cbc31603c8f481ba2dc6deafab6d41e', 'False', 'True', 'false', 'false', '510906008155', 5, '八角亭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906008155', 1, '2021-07-19 11:44:37', NULL, NULL), (13233, '', '月山村', '98546f6c56e9427cbe5b11f20ca6a54b', '6cbc31603c8f481ba2dc6deafab6d41e', 'False', 'True', 'false', 'false', '510906008206', 5, '月山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906008206', 1, '2021-07-19 11:44:37', NULL, NULL), (13234, '', '七里桥社区', 'ad2f716770a84d87bca02f9070f3b805', '6cbc31603c8f481ba2dc6deafab6d41e', 'False', 'True', 'false', 'false', '510906008252', 5, '七里桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906008252', 1, '2021-07-19 11:44:37', NULL, NULL), (13235, '', '广德社区', '4fb8e2dcb91840c3a01170a70228127f', '6cbc31603c8f481ba2dc6deafab6d41e', 'False', 'True', 'false', 'false', '510906008417', 5, '广德社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906008417', 1, '2021-07-19 11:44:37', NULL, NULL), (13236, '', '十字河村', 'c889ed3188704824b667f04262219bb7', '6cbc31603c8f481ba2dc6deafab6d41e', 'False', 'True', 'false', 'false', '510906008529', 5, '十字河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906008529', 1, '2021-07-19 11:44:37', NULL, NULL), (13237, '', '二井沟社区', '283167e310944f9ba1ac1a774db22342', '6cbc31603c8f481ba2dc6deafab6d41e', 'False', 'True', 'false', 'false', '510906008659', 5, '二井沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906008659', 1, '2021-07-19 11:44:38', NULL, NULL), (13238, '', '西山社区', '8380318389f34a758614472c083a4a5c', '6cbc31603c8f481ba2dc6deafab6d41e', 'False', 'True', 'false', 'false', '510906008681', 5, '西山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906008681', 1, '2021-07-19 11:44:38', NULL, NULL), (13239, '', '西园社区', 'aca51fcccbe84c20940014bcead6b3c6', '6cbc31603c8f481ba2dc6deafab6d41e', 'False', 'True', 'false', 'false', '510906008804', 5, '西园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906008804', 1, '2021-07-19 11:44:38', NULL, NULL), (13240, '', '富源路街道', '732404e2e3ca4c0ab11f41c05ccf4ff6', '484cd73ca6f74e2e92e4793c48a86025', 'True', 'True', 'false', 'false', '510906009000', 4, '富源路街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510906009000', 1, '2021-07-19 11:44:38', NULL, NULL), (13241, '', '南师路社区', '88eeb4bd72d343d2825ee8d292eb885d', '732404e2e3ca4c0ab11f41c05ccf4ff6', 'False', 'True', 'false', 'false', '510906009125', 5, '南师路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906009125', 1, '2021-07-19 11:44:38', NULL, NULL), (13242, '', '段家店社区', '76137ca4bec44d5a833282b1bc1a7604', '732404e2e3ca4c0ab11f41c05ccf4ff6', 'False', 'True', 'false', 'false', '510906009318', 5, '段家店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906009318', 1, '2021-07-19 11:44:38', NULL, NULL), (13243, '', '明星花园社区', '77a215a7d0e24086ab39efc05290774c', '732404e2e3ca4c0ab11f41c05ccf4ff6', 'False', 'True', 'false', 'false', '510906009319', 5, '明星花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906009319', 1, '2021-07-19 11:44:38', NULL, NULL), (13244, '', '开善东路中段社区', 'fa5efe770a384c86b49330f0b0ffe4be', '732404e2e3ca4c0ab11f41c05ccf4ff6', 'False', 'True', 'false', 'false', '510906009334', 5, '开善东路中段社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906009334', 1, '2021-07-19 11:44:38', NULL, NULL), (13245, '', '开善寺社区', '6fdf0a529eec42559d47d5e2fb70f2ac', '732404e2e3ca4c0ab11f41c05ccf4ff6', 'False', 'True', 'false', 'false', '510906009668', 5, '开善寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906009668', 1, '2021-07-19 11:44:38', NULL, NULL), (13246, '', '金梅社区', '97739867d095464ea893564b6182ee4d', '732404e2e3ca4c0ab11f41c05ccf4ff6', 'False', 'True', 'false', 'false', '510906009812', 5, '金梅社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906009812', 1, '2021-07-19 11:44:38', NULL, NULL), (13247, '', '楠木社区', 'a4a512f8d79f406b9e17b3c9d7ec69f0', '732404e2e3ca4c0ab11f41c05ccf4ff6', 'False', 'True', 'false', 'false', '510906009884', 5, '楠木社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906009884', 1, '2021-07-19 11:44:38', NULL, NULL), (13248, '', '二郎庙社区', 'e0504603d57d4b24bad204b13d424216', '732404e2e3ca4c0ab11f41c05ccf4ff6', 'False', 'True', 'false', 'false', '510906009902', 5, '二郎庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906009902', 1, '2021-07-19 11:44:38', NULL, NULL), (13249, '', '九莲街道', '45ad833838084db3a39dee910204bd73', '484cd73ca6f74e2e92e4793c48a86025', 'True', 'True', 'false', 'false', '510906013000', 4, '九莲街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510906013000', 1, '2021-07-19 11:44:38', NULL, NULL), (13250, '', '石溪村', '0456385b12e144c58b1974643206246f', '45ad833838084db3a39dee910204bd73', 'False', 'True', 'false', 'false', '510906013161', 5, '石溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906013161', 1, '2021-07-19 11:44:38', NULL, NULL), (13251, '', '先锋社区', '23add8ae61f748b0b1a7ecfb34df01c0', '45ad833838084db3a39dee910204bd73', 'False', 'True', 'false', 'false', '510906013323', 5, '先锋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906013323', 1, '2021-07-19 11:44:38', NULL, NULL), (13252, '', '北兴社区', '37f14eb8909440dd92c335376410399b', '45ad833838084db3a39dee910204bd73', 'False', 'True', 'false', 'false', '510906013414', 5, '北兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906013414', 1, '2021-07-19 11:44:38', NULL, NULL), (13253, '', '九莲社区', '3f371c2223604542964dab3a3db19f61', '45ad833838084db3a39dee910204bd73', 'False', 'True', 'false', 'false', '510906013962', 5, '九莲社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906013962', 1, '2021-07-19 11:44:38', NULL, NULL), (13254, '', '南强街道', '7f0f68209267466ca5c48944d13bed5c', '484cd73ca6f74e2e92e4793c48a86025', 'True', 'True', 'false', 'false', '510906014000', 4, '南强街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510906014000', 1, '2021-07-19 11:44:38', NULL, NULL), (13255, '', '金鱼社区', '6bb8db5d32b2408cbdc58df84804ef5b', '7f0f68209267466ca5c48944d13bed5c', 'False', 'True', 'false', 'false', '510906014016', 5, '金鱼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906014016', 1, '2021-07-19 11:44:38', NULL, NULL), (13256, '', '定觉院社区', '1cd8541b54904277992c545f48772284', '7f0f68209267466ca5c48944d13bed5c', 'False', 'True', 'false', 'false', '510906014056', 5, '定觉院社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906014056', 1, '2021-07-19 11:44:39', NULL, NULL), (13257, '', '大石桥社区', '0e9351e879704a58a52f33bf7866a9ff', '7f0f68209267466ca5c48944d13bed5c', 'False', 'True', 'false', 'false', '510906014058', 5, '大石桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906014058', 1, '2021-07-19 11:44:39', NULL, NULL), (13258, '', '桐子垭社区', '4a9a24d004fb4e51a02ff6ab0f301d78', '7f0f68209267466ca5c48944d13bed5c', 'False', 'True', 'false', 'false', '510906014097', 5, '桐子垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906014097', 1, '2021-07-19 11:44:39', NULL, NULL), (13259, '', '机场社区', '5205d0c28de54b82bca0df4b35485ace', '7f0f68209267466ca5c48944d13bed5c', 'False', 'True', 'false', 'false', '510906014294', 5, '机场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906014294', 1, '2021-07-19 11:44:39', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (13260, '', '马宗岭社区', 'e3ec0c5bfbf042c4a4018b6de20bc132', '7f0f68209267466ca5c48944d13bed5c', 'False', 'True', 'false', 'false', '510906014345', 5, '马宗岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906014345', 1, '2021-07-19 11:44:39', NULL, NULL), (13261, '', '天星坝社区', '7abe6f8f5c5f4dd4a26dc341f5f67e4e', '7f0f68209267466ca5c48944d13bed5c', 'False', 'True', 'false', 'false', '510906014584', 5, '天星坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906014584', 1, '2021-07-19 11:44:39', NULL, NULL), (13262, '', '大转弯社区', '6cbdcfe01ce143adb84bf4b636fd3dee', '7f0f68209267466ca5c48944d13bed5c', 'False', 'True', 'false', 'false', '510906014610', 5, '大转弯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906014610', 1, '2021-07-19 11:44:39', NULL, NULL), (13263, '', '谢家店社区', 'a0d3338e75714ba48bf1e10304e0ee71', '7f0f68209267466ca5c48944d13bed5c', 'False', 'True', 'false', 'false', '510906014667', 5, '谢家店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906014667', 1, '2021-07-19 11:44:39', NULL, NULL), (13264, '', '张飞梁社区', 'b0bf952ffce94f55a5dac8864491c2b4', '7f0f68209267466ca5c48944d13bed5c', 'False', 'True', 'false', 'false', '510906014837', 5, '张飞梁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906014837', 1, '2021-07-19 11:44:39', NULL, NULL), (13265, '', '清净寺社区', 'a97e6980ba984722ad34a47974f43067', '7f0f68209267466ca5c48944d13bed5c', 'False', 'True', 'false', 'false', '510906014887', 5, '清净寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906014887', 1, '2021-07-19 11:44:39', NULL, NULL), (13266, '', '涪江社区', '36b65830983e404c8756151c6d4679ac', '7f0f68209267466ca5c48944d13bed5c', 'False', 'True', 'false', 'false', '510906014894', 5, '涪江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906014894', 1, '2021-07-19 11:44:39', NULL, NULL), (13267, '', '新桥镇', 'aba176a67a6a4d468ff9539df9c35a29', '484cd73ca6f74e2e92e4793c48a86025', 'True', 'True', 'false', 'false', '510906105000', 4, '新桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510906105000', 1, '2021-07-19 11:44:39', NULL, NULL), (13268, '', '贵家桠村', '6b89b43da51745c2bcf6bfe3400877f6', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105054', 5, '贵家桠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105054', 1, '2021-07-19 11:44:39', NULL, NULL), (13269, '', '银子村', '719474449ff94fe28db309f0a4f63557', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105079', 5, '银子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105079', 1, '2021-07-19 11:44:40', NULL, NULL), (13270, '', '长五村', 'dd394a0591974328be827c8b09c204e9', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105119', 5, '长五村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105119', 1, '2021-07-19 11:44:40', NULL, NULL), (13271, '', '新羊村', '3fa45bcf756f4990841551707e19931f', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105141', 5, '新羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105141', 1, '2021-07-19 11:44:40', NULL, NULL), (13272, '', '凤台村', '9af32bde727c494dafe8998af2ec9564', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105145', 5, '凤台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105145', 1, '2021-07-19 11:44:40', NULL, NULL), (13273, '', '白家桥村', 'a70ce4e071c64c319b9627cfcf2c4b13', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105147', 5, '白家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105147', 1, '2021-07-19 11:44:40', NULL, NULL), (13274, '', '菖蒲堰村', '9a2517c1d6844c4cb9f075f1d814c73a', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105255', 5, '菖蒲堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105255', 1, '2021-07-19 11:44:40', NULL, NULL), (13275, '', '洪江村', '51f48298d7ee44c389b88d7bb5e41f50', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105260', 5, '洪江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105260', 1, '2021-07-19 11:44:40', NULL, NULL), (13276, '', '高岩村', 'abc7e5188e994cfca6f568cd9a184e15', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105261', 5, '高岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105261', 1, '2021-07-19 11:44:40', NULL, NULL), (13277, '', '偏岩村', '2864f958e1994ecfb11b17711b54ab93', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105280', 5, '偏岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105280', 1, '2021-07-19 11:44:40', NULL, NULL), (13278, '', '大青村', '38c0443734974cfa8c408784b3f9e4b7', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105302', 5, '大青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105302', 1, '2021-07-19 11:44:40', NULL, NULL), (13279, '', '小坝村', 'd47cc3ad3efa4d4a9601de95541214e9', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105340', 5, '小坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105340', 1, '2021-07-19 11:44:40', NULL, NULL), (13280, '', '新西村', 'ef9a51a0b16b404d93268998fd7ef047', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105349', 5, '新西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105349', 1, '2021-07-19 11:44:40', NULL, NULL), (13281, '', '凤阁村', '87c7228f874f40d29aa2db5a7987aafa', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105397', 5, '凤阁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105397', 1, '2021-07-19 11:44:41', NULL, NULL), (13282, '', '顺江村', '2a4ba7cb25f647278e83aa5546eb99e9', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105442', 5, '顺江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105442', 1, '2021-07-19 11:44:41', NULL, NULL), (13283, '', '花祠村', 'e313cc7f0fc24d9d8e2741e3d2eadc60', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105450', 5, '花祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105450', 1, '2021-07-19 11:44:41', NULL, NULL), (13284, '', '新凤社区', 'd37f5c3de14a4811a9af37b74a97dd9e', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105464', 5, '新凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105464', 1, '2021-07-19 11:44:41', NULL, NULL), (13285, '', '双堰村', 'efbf04e2511c46a3a5dd9d649a81bd9d', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105473', 5, '双堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105473', 1, '2021-07-19 11:44:41', NULL, NULL), (13286, '', '登高村', 'a21194260b0049cfb562e51788b3788c', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105506', 5, '登高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105506', 1, '2021-07-19 11:44:41', NULL, NULL), (13287, '', '梓潼村', 'f3a7d2883bcf41f58d5c8a8778a72ef4', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105536', 5, '梓潼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105536', 1, '2021-07-19 11:44:41', NULL, NULL), (13288, '', '龙池村', 'b5a6df89876b44429de6a0d9ffb957a7', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105545', 5, '龙池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105545', 1, '2021-07-19 11:44:41', NULL, NULL), (13289, '', '新桥村', 'b06883bed9dd4cf59f9ff8ced3ec4b04', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105560', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105560', 1, '2021-07-19 11:44:41', NULL, NULL), (13290, '', '杨板溪村', 'ffcbaaed479d44ee822cf2d51f67afa5', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105604', 5, '杨板溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105604', 1, '2021-07-19 11:44:41', NULL, NULL), (13291, '', '高字库村', '6b584f7cd80c41f0b2cc9e168b4b9db3', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105686', 5, '高字库村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105686', 1, '2021-07-19 11:44:41', NULL, NULL), (13292, '', '黄连沱村', '4c53be2fd302466e995561bc9e9190d1', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105724', 5, '黄连沱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105724', 1, '2021-07-19 11:44:41', NULL, NULL), (13293, '', '顺河村', '22d74c18e3da4c208f5fd91d6fc35adb', 'aba176a67a6a4d468ff9539df9c35a29', 'False', 'True', 'false', 'false', '510906105789', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906105789', 1, '2021-07-19 11:44:41', NULL, NULL), (13294, '', '北固镇', '0ef2738b479c4c2f851eec70545611ef', '484cd73ca6f74e2e92e4793c48a86025', 'True', 'True', 'false', 'false', '510906204000', 4, '北固镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510906204000', 1, '2021-07-19 11:44:41', NULL, NULL), (13295, '', '铜鼓山村', '5d3a9b9f2faa4f77bfef65d8d69631aa', '0ef2738b479c4c2f851eec70545611ef', 'False', 'True', 'false', 'false', '510906204007', 5, '铜鼓山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906204007', 1, '2021-07-19 11:44:41', NULL, NULL), (13296, '', '龙兴村', '2c766e1dc72f414a9a180565d6481e44', '0ef2738b479c4c2f851eec70545611ef', 'False', 'True', 'false', 'false', '510906204238', 5, '龙兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906204238', 1, '2021-07-19 11:44:41', NULL, NULL), (13297, '', '飞凤村', '29cc633c66484af68902bb00382e0519', '0ef2738b479c4c2f851eec70545611ef', 'False', 'True', 'false', 'false', '510906204346', 5, '飞凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906204346', 1, '2021-07-19 11:44:41', NULL, NULL), (13298, '', '玉堂村', 'dcf313efbc4d4b99800ac4f75e33ae32', '0ef2738b479c4c2f851eec70545611ef', 'False', 'True', 'false', 'false', '510906204368', 5, '玉堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906204368', 1, '2021-07-19 11:44:42', NULL, NULL), (13299, '', '向山村', '14e4dc5957b64b36b66ffb8dd550167f', '0ef2738b479c4c2f851eec70545611ef', 'False', 'True', 'false', 'false', '510906204419', 5, '向山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906204419', 1, '2021-07-19 11:44:42', NULL, NULL), (13300, '', '颐康社区', '08bccac0b2b148e5ab54300e8fc29e16', '0ef2738b479c4c2f851eec70545611ef', 'False', 'True', 'false', 'false', '510906204435', 5, '颐康社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906204435', 1, '2021-07-19 11:44:42', NULL, NULL), (13301, '', '石骨堰村', '8fb437640b734a4e8de370191840ca3b', '0ef2738b479c4c2f851eec70545611ef', 'False', 'True', 'false', 'false', '510906204531', 5, '石骨堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906204531', 1, '2021-07-19 11:44:42', NULL, NULL), (13302, '', '窝窝店村', '4c385ddbe192442b832c056874e80937', '0ef2738b479c4c2f851eec70545611ef', 'False', 'True', 'false', 'false', '510906204574', 5, '窝窝店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906204574', 1, '2021-07-19 11:44:42', NULL, NULL), (13303, '', '联升村', 'cd40be5f036e403b912d3debb4c85f1d', '0ef2738b479c4c2f851eec70545611ef', 'False', 'True', 'false', 'false', '510906204645', 5, '联升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906204645', 1, '2021-07-19 11:44:42', NULL, NULL), (13304, '', '水库村', '83da18edc8f145299f1c4d51276d568c', '0ef2738b479c4c2f851eec70545611ef', 'False', 'True', 'false', 'false', '510906204660', 5, '水库村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906204660', 1, '2021-07-19 11:44:42', NULL, NULL), (13305, '', '火把堰村', 'd9f39a2cb82f4bc8a4bdbf8afd79a0d7', '0ef2738b479c4c2f851eec70545611ef', 'False', 'True', 'false', 'false', '510906204827', 5, '火把堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906204827', 1, '2021-07-19 11:44:42', NULL, NULL), (13306, '', '双拱桥村', 'ff5aa555a73a4b75b1e38428dcb16d58', '0ef2738b479c4c2f851eec70545611ef', 'False', 'True', 'false', 'false', '510906204850', 5, '双拱桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906204850', 1, '2021-07-19 11:44:42', NULL, NULL), (13307, '', '龙楼社区', '13631d7792804914b3802b64d89c5ecb', '0ef2738b479c4c2f851eec70545611ef', 'False', 'True', 'false', 'false', '510906204938', 5, '龙楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906204938', 1, '2021-07-19 11:44:42', NULL, NULL), (13308, '', '斑竹园村', '82312c5a330541f9bb8c1653877966ef', '0ef2738b479c4c2f851eec70545611ef', 'False', 'True', 'false', 'false', '510906204982', 5, '斑竹园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510906204982', 1, '2021-07-19 11:44:42', NULL, NULL), (13309, '', '遂宁河东新区', 'd97bfa4c4d114b079097558c73df2358', '50f12c6cc85e4ea3aac4d59ab7d035eb', 'True', 'True', 'false', 'false', '510907000000', 3, '市河东新区', 'snssnhdxq.sczwfw.gov.cn', 1, '2021-07-19 11:44:42', NULL, NULL), (13310, '', '灵泉街道办事处', '29cc9c16c61c48a48e9cc36cbed62602', 'd97bfa4c4d114b079097558c73df2358', 'True', 'True', 'false', 'false', '510907711000', 4, '灵泉街道办事处', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510907711000', 1, '2021-07-19 11:44:42', NULL, NULL), (13311, '', '广灵路社区', '6fa92611414d49cb9a71501fc6ceafca', '29cc9c16c61c48a48e9cc36cbed62602', 'False', 'True', 'false', 'false', '510907011001', 5, '广灵路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907011001', 1, '2021-07-19 11:44:43', NULL, NULL), (13312, '', '香山路社区', '3c36925375404510a11f6579ff585561', '29cc9c16c61c48a48e9cc36cbed62602', 'False', 'True', 'false', 'false', '510907011002', 5, '香山路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907011002', 1, '2021-07-19 11:44:43', NULL, NULL), (13313, '', '灵泉寺社区', '2daa9824d1ca48a2b98a07574de708cb', '29cc9c16c61c48a48e9cc36cbed62602', 'False', 'True', 'false', 'false', '510907011003', 5, '灵泉寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907011003', 1, '2021-07-19 11:44:43', NULL, NULL), (13314, '', '僧家沟社区', 'cd0dd125791f4961a517a2da2959059a', '29cc9c16c61c48a48e9cc36cbed62602', 'False', 'True', 'false', 'false', '510907011004', 5, '僧家沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907011004', 1, '2021-07-19 11:44:43', NULL, NULL), (13315, '', '书院社区', 'c5b1559bfb224686add8e54c79321ded', '29cc9c16c61c48a48e9cc36cbed62602', 'False', 'True', 'false', 'false', '510907011005', 5, '书院社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907011005', 1, '2021-07-19 11:44:43', NULL, NULL), (13316, '', '乘龙社区', '13b86eb04f9941a09de73838b6f13d39', '29cc9c16c61c48a48e9cc36cbed62602', 'False', 'True', 'false', 'false', '510907011006', 5, '乘龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907011006', 1, '2021-07-19 11:44:43', NULL, NULL), (13317, '', '灵应寺社区', '8588a7578bfe41be90ada42a1a1a4668', '29cc9c16c61c48a48e9cc36cbed62602', 'False', 'True', 'false', 'false', '510907011007', 5, '灵应寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907011007', 1, '2021-07-19 11:44:43', NULL, NULL), (13318, '', '桥东社区', '962c905575ec41e6b83a6157574b001b', '29cc9c16c61c48a48e9cc36cbed62602', 'False', 'True', 'false', 'false', '510907011008', 5, '桥东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907011008', 1, '2021-07-19 11:44:43', NULL, NULL), (13319, '', '慈音街道办事处', 'e767a807cb2e484ea237a55072cc5d5d', 'd97bfa4c4d114b079097558c73df2358', 'True', 'True', 'false', 'false', '510907712000', 4, '慈音街道办事处', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510907712000', 1, '2021-07-19 11:44:43', NULL, NULL), (13320, '', '罐子口社区', '4b9044055d134ff3975cdad12ac64602', 'e767a807cb2e484ea237a55072cc5d5d', 'False', 'True', 'false', 'false', '510907012001', 5, '罐子口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907012001', 1, '2021-07-19 11:44:43', NULL, NULL), (13321, '', '绿洲社区', '18e9df21830a4dc0b965efd3568acaef', 'e767a807cb2e484ea237a55072cc5d5d', 'False', 'True', 'false', 'false', '510907012002', 5, '绿洲社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907012002', 1, '2021-07-19 11:44:43', NULL, NULL), (13322, '', '棉场社区', 'dd43b09003114fbfb2a995036c0c71e8', 'e767a807cb2e484ea237a55072cc5d5d', 'False', 'True', 'false', 'false', '510907012003', 5, '棉场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907012003', 1, '2021-07-19 11:44:43', NULL, NULL), (13323, '', '晨钟社区', 'ad397070d045452eb03e9a15da5f3ce3', 'e767a807cb2e484ea237a55072cc5d5d', 'False', 'True', 'false', 'false', '510907012004', 5, '晨钟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907012004', 1, '2021-07-19 11:44:43', NULL, NULL), (13324, '', '杰灵社区', '500c815a6c4a478dbc9d6cb09fbb90f2', 'e767a807cb2e484ea237a55072cc5d5d', 'False', 'True', 'false', 'false', '510907012005', 5, '杰灵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907012005', 1, '2021-07-19 11:44:43', NULL, NULL), (13325, '', '慈音寺社区', 'e482ef992e734eeabf5d792244168246', 'e767a807cb2e484ea237a55072cc5d5d', 'False', 'True', 'false', 'false', '510907012006', 5, '慈音寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907012006', 1, '2021-07-19 11:44:43', NULL, NULL), (13326, '', '杨渡街道办事处', 'e1ccb247bb4b431b98cd27a70d614863', 'd97bfa4c4d114b079097558c73df2358', 'True', 'True', 'false', 'false', '510907713000', 4, '杨渡街道办事处', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510907713000', 1, '2021-07-19 11:44:43', NULL, NULL), (13327, '', '洋渡社区', '5b41baee6d7d4777bc128ebfd179fedc', 'e1ccb247bb4b431b98cd27a70d614863', 'False', 'True', 'false', 'false', '510907013001', 5, '洋渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907013001', 1, '2021-07-19 11:44:43', NULL, NULL), (13328, '', '姜家巷社区', 'd5efee73e887481b9ec132828dab0a13', 'e1ccb247bb4b431b98cd27a70d614863', 'False', 'True', 'false', 'false', '510907013002', 5, '姜家巷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907013002', 1, '2021-07-19 11:44:43', NULL, NULL), (13329, '', '马田社区', '62d0c567ccf841f181450e6b396fbe6c', 'e1ccb247bb4b431b98cd27a70d614863', 'False', 'True', 'false', 'false', '510907013003', 5, '马田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907013003', 1, '2021-07-19 11:44:44', NULL, NULL), (13330, '', '苟桥社区', 'bc04ea37c705408ab1092b4d8476090e', 'e1ccb247bb4b431b98cd27a70d614863', 'False', 'True', 'false', 'false', '510907013004', 5, '苟桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907013004', 1, '2021-07-19 11:44:44', NULL, NULL), (13331, '', '水寨门社区', '9bad08bc551a48a9b6d0533612836dc7', 'e1ccb247bb4b431b98cd27a70d614863', 'False', 'True', 'false', 'false', '510907013005', 5, '水寨门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907013005', 1, '2021-07-19 11:44:44', NULL, NULL), (13332, '', '钟灵寺社区', '5472f158c22346eb8b2674f0dceb063f', 'e1ccb247bb4b431b98cd27a70d614863', 'False', 'True', 'false', 'false', '510907013006', 5, '钟灵寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907013006', 1, '2021-07-19 11:44:44', NULL, NULL), (13333, '', '中脊社区', '482071553d294592bb317a1394aadea4', 'e1ccb247bb4b431b98cd27a70d614863', 'False', 'True', 'false', 'false', '510907013007', 5, '中脊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907013007', 1, '2021-07-19 11:44:44', NULL, NULL), (13334, '', '歇马庙社区', 'd52445e728d041b4964de02e72c642ce', 'e1ccb247bb4b431b98cd27a70d614863', 'False', 'True', 'false', 'false', '510907013008', 5, '歇马庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907013008', 1, '2021-07-19 11:44:44', NULL, NULL), (13335, '', '二教寺社区', 'd92629be322d44d1817605392fb1bf07', 'e1ccb247bb4b431b98cd27a70d614863', 'False', 'True', 'false', 'false', '510907013009', 5, '二教寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907013009', 1, '2021-07-19 11:44:44', NULL, NULL), (13336, '', '任家渡社区', 'ff5cca81dd1c49a5a03645c54df78bcd', 'e1ccb247bb4b431b98cd27a70d614863', 'False', 'True', 'false', 'false', '510907013010', 5, '任家渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907013010', 1, '2021-07-19 11:44:44', NULL, NULL), (13337, '', '科教园管理办公室', '7379765068164a84b6c310d16c4bc753', 'd97bfa4c4d114b079097558c73df2358', 'True', 'True', 'false', 'false', '510907715000', 4, '科教园', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510907715000', 1, '2021-07-19 11:44:44', NULL, NULL), (13338, '', '太平桥社区', 'eb4c23f2eece487a8bee6344385c3d31', '7379765068164a84b6c310d16c4bc753', 'False', 'True', 'false', 'false', '510907015001', 5, '太平桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907015001', 1, '2021-07-19 11:44:44', NULL, NULL), (13339, '', '长庙社区', '0564014aec7943ea929d90f9c07f9bc3', '7379765068164a84b6c310d16c4bc753', 'False', 'True', 'false', 'false', '510907015002', 5, '长庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907015002', 1, '2021-07-19 11:44:44', NULL, NULL), (13340, '', '旗山社区', 'a8489178edde4200b03d347678cd4827', '7379765068164a84b6c310d16c4bc753', 'False', 'True', 'false', 'false', '510907015003', 5, '旗山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907015003', 1, '2021-07-19 11:44:44', NULL, NULL), (13341, '', '遂宁市河东新区芝溪谷管理办公室', '5ff48692434948efb2f0c9b93067185b', 'd97bfa4c4d114b079097558c73df2358', 'True', 'True', 'false', 'false', '510907307000', 4, '芝溪谷', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=510907307000', 1, '2021-07-19 11:44:44', NULL, NULL), (13342, '', '遂宁市船山区唐家乡金塘村村民委员会', 'c0c49978dd8e4efc8ce5d417378a2a5a', '5ff48692434948efb2f0c9b93067185b', 'False', 'True', 'false', 'false', '510907014344', 5, '金塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907014344', 1, '2021-07-19 11:44:44', NULL, NULL), (13343, '', '遂宁市船山区唐家乡伞峰村村民委员会', '48080bb36e54475e95594cc436a60ee8', '5ff48692434948efb2f0c9b93067185b', 'False', 'True', 'false', 'false', '510907014507', 5, '伞峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907014507', 1, '2021-07-19 11:44:44', NULL, NULL), (13344, '', '遂宁市船山区唐家乡渔舟村村民委员会', '4b786183cddc4553be885b47ae98fa3b', '5ff48692434948efb2f0c9b93067185b', 'False', 'True', 'false', 'false', '510907014574', 5, '渔舟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907014574', 1, '2021-07-19 11:44:44', NULL, NULL), (13345, '', '蓬溪县吉祥镇涪山坝村村民委员会', '1beaf6094c39482ab156fdf5a9a2bfe9', '5ff48692434948efb2f0c9b93067185b', 'False', 'True', 'false', 'false', '510907014686', 5, '涪山坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907014686', 1, '2021-07-19 11:44:45', NULL, NULL), (13346, '', '遂宁市船山区永兴镇锦秀村村民委员会', 'a5fc389d4b0e41348fd56a7bdb79674d', '5ff48692434948efb2f0c9b93067185b', 'False', 'True', 'false', 'false', '510907014981', 5, '锦绣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=510907014981', 1, '2021-07-19 11:44:45', NULL, NULL), (13347, '', '内江市', '84fea131d000433ea765daa6ab9119f4', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '511000000000', 2, '内江市', 'njs.sczwfw.gov.cn', 1, '2021-07-19 11:44:45', NULL, NULL), (13348, '', '高新区', 'a52cdb71a46544f8a95964d5ea0d8842', '84fea131d000433ea765daa6ab9119f4', 'True', 'True', 'false', 'false', '511040000000', 3, '高新区', 'njsgxq.sczwfw.gov.cn', 1, '2021-07-19 11:44:45', NULL, NULL), (13349, '', '高桥街道', '752147081e7842e98401dec607f73802', 'a52cdb71a46544f8a95964d5ea0d8842', 'False', 'True', 'false', 'false', '511040123001', 4, '高桥街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511040123001', 1, '2021-07-19 11:44:45', NULL, NULL), (13350, '', '胜利街道', 'a258cb9db70a4835a30da49e29413655', 'a52cdb71a46544f8a95964d5ea0d8842', 'False', 'True', 'false', 'false', '511040211002', 4, '胜利街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511040211002', 1, '2021-07-19 11:44:45', NULL, NULL), (13351, '', '经开区', '64e05b87920a495dac28ca84c00dd2e8', '84fea131d000433ea765daa6ab9119f4', 'True', 'True', 'false', 'false', '511091000000', 3, '经开区', 'njsnjjkq.sczwfw.gov.cn', 1, '2021-07-19 11:44:45', NULL, NULL), (13352, '', '靖民镇', 'b562578a72864b7abfde479c6b0d5eed', '64e05b87920a495dac28ca84c00dd2e8', 'True', 'True', 'false', 'false', '511091154000', 4, '靖民镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511091154000', 1, '2021-07-19 11:44:45', NULL, NULL), (13353, '', '四川省内江市市中区靖民镇石马村村民委员会', 'f07987e535744d90a14497a9f3da838b', 'b562578a72864b7abfde479c6b0d5eed', 'False', 'False', 'false', 'false', '511049106175', 5, '石马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049106175', 1, '2021-07-19 11:44:45', NULL, NULL), (13354, '', '四川省内江市市中区靖民镇寿溪桥社区居民委员会', '79c21b16b8b44e1388650c99a7af67ce', 'b562578a72864b7abfde479c6b0d5eed', 'False', 'False', 'false', 'false', '511049106288', 5, '寿溪桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049106288', 1, '2021-07-19 11:44:45', NULL, NULL), (13355, '', '四川省内江市市中区靖民镇园田社区居民委员会', '8bf15a3ef6bd4b27bf70742c5d57bb07', 'b562578a72864b7abfde479c6b0d5eed', 'False', 'False', 'false', 'false', '511049106397', 5, '园田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049106397', 1, '2021-07-19 11:44:45', NULL, NULL), (13356, '', '四川省内江市市中区靖民镇沱江社区居民委员会', '2e12dd78463743b2bdfcaed47ff3bb7f', 'b562578a72864b7abfde479c6b0d5eed', 'False', 'False', 'false', 'false', '511049106413', 5, '沱江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049106413', 1, '2021-07-19 11:44:45', NULL, NULL), (13357, '', '四川省内江市市中区靖民镇凉风社区居民委员会', 'e61c7eeb2d3f499f8fa9aa29dbb7089e', 'b562578a72864b7abfde479c6b0d5eed', 'False', 'False', 'false', 'false', '511049106563', 5, '凉风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049106563', 1, '2021-07-19 11:44:45', NULL, NULL), (13358, '', '四川省内江市市中区靖民镇石坝村村民委员会', '3aa41741d76a4be0b04e15e424f91fc6', 'b562578a72864b7abfde479c6b0d5eed', 'False', 'False', 'false', 'false', '511049106653', 5, '石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049106653', 1, '2021-07-19 11:44:45', NULL, NULL), (13359, '', '四川省内江市市中区靖民镇青冈社区居民委员会', '27f61978d29948a3b23ed058b7451c8c', 'b562578a72864b7abfde479c6b0d5eed', 'False', 'False', 'false', 'false', '511049106713', 5, '青冈社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049106713', 1, '2021-07-19 11:44:45', NULL, NULL), (13360, '', '四川省内江市市中区靖民镇双雁社区居民委员会', '4cb9bd925629465b9040a0222308fbd3', 'b562578a72864b7abfde479c6b0d5eed', 'False', 'False', 'false', 'false', '511049106796', 5, '双雁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049106796', 1, '2021-07-19 11:44:45', NULL, NULL), (13361, '', '四川省内江市市中区靖民镇三山村村民委员会', '6e8d294e75ba4ba1913c3d842e5947ab', 'b562578a72864b7abfde479c6b0d5eed', 'False', 'False', 'false', 'false', '511049106839', 5, '三山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049106839', 1, '2021-07-19 11:44:45', NULL, NULL), (13362, '', '四川省内江市市中区靖民镇长安村村民委员会', 'd96c4db9e1504114ba06d3e66db2dd5a', 'b562578a72864b7abfde479c6b0d5eed', 'False', 'False', 'false', 'false', '511049106980', 5, '长安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049106980', 1, '2021-07-19 11:44:45', NULL, NULL), (13363, '', '交通镇', 'd3e3b0ab0fe2498c8c2a3a373b95394d', '64e05b87920a495dac28ca84c00dd2e8', 'True', 'True', 'false', 'false', '511091289000', 4, '交通镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511091289000', 1, '2021-07-19 11:44:46', NULL, NULL), (13364, '', '内江市市中区白马镇九盘村', '94abe2c3fcc24ea990830a624df26049', 'd3e3b0ab0fe2498c8c2a3a373b95394d', 'False', 'False', 'false', 'false', '511049100293', 5, '九盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049100293', 1, '2021-07-19 11:44:46', NULL, NULL), (13365, '', '内江市市中区交通镇曙光社区', 'd3d18a340b744b0390f098088ef34371', 'd3e3b0ab0fe2498c8c2a3a373b95394d', 'False', 'False', 'false', 'false', '511049110029', 5, '曙光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049110029', 1, '2021-07-19 11:44:46', NULL, NULL), (13366, '', '内江市市中区交通镇汉晨社区', '89f68c6440504de8b674562dc67907d2', 'd3e3b0ab0fe2498c8c2a3a373b95394d', 'False', 'False', 'false', 'false', '511049110135', 5, '汉晨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049110135', 1, '2021-07-19 11:44:46', NULL, NULL), (13367, '', '内江市市中区交通镇交通社区', 'b85ff122a9f640b7872cc2f3d1a7c720', 'd3e3b0ab0fe2498c8c2a3a373b95394d', 'False', 'False', 'false', 'false', '511049110285', 5, '交通社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049110285', 1, '2021-07-19 11:44:46', NULL, NULL), (13368, '', '内江市市中区交通镇幸福社区', '7f81ec43a6c84a1e81ed5abd5a948830', 'd3e3b0ab0fe2498c8c2a3a373b95394d', 'False', 'False', 'false', 'false', '511049110945', 5, '幸福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049110945', 1, '2021-07-19 11:44:46', NULL, NULL), (13369, '', '壕子口街道', 'b4f3ebaf67e041fb83e63ae9c1911830', '64e05b87920a495dac28ca84c00dd2e8', 'True', 'True', 'false', 'false', '511091584600', 4, '壕子口街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511091584600', 1, '2021-07-19 11:44:46', NULL, NULL), (13370, '', '内江市市中区壕子口街道办事处壕子口路社区居民委员会', '3e398818c1b84e80853fcf6ba8c3620a', 'b4f3ebaf67e041fb83e63ae9c1911830', 'False', 'False', 'false', 'false', '511049006221', 5, '壕子口路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049006221', 1, '2021-07-19 11:44:46', NULL, NULL), (13371, '', '内江市市中区壕子口街道办事处苏家桥社区居民委员会', '50a13d4b043e42868f8c2d9a2a85bdd3', 'b4f3ebaf67e041fb83e63ae9c1911830', 'False', 'False', 'false', 'false', '511049006378', 5, '苏家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049006378', 1, '2021-07-19 11:44:46', NULL, NULL), (13372, '', '内江市市中区壕子口街道办事处内铁社区居民委员会', 'e69188200b0f48fdab71c02b16b6edf6', 'b4f3ebaf67e041fb83e63ae9c1911830', 'False', 'False', 'false', 'false', '511049006738', 5, '内铁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049006738', 1, '2021-07-19 11:44:46', NULL, NULL), (13373, '', '内江市市中区壕子口街道办事处圣江社区居民委员会', '4f134652061b41f7bbd9f59814c2c76b', 'b4f3ebaf67e041fb83e63ae9c1911830', 'False', 'False', 'false', 'false', '511049006807', 5, '圣江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049006807', 1, '2021-07-19 11:44:46', NULL, NULL), (13374, '', '内江市市中区壕子口街道办事处松山社区居民委员会', 'ba02ba90c1ec49089899521990675b56', 'b4f3ebaf67e041fb83e63ae9c1911830', 'False', 'False', 'false', 'false', '511049006880', 5, '松山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511049006880', 1, '2021-07-19 11:44:46', NULL, NULL), (13375, '', '市中区', '34003bc2a2244c8fa3f0bd7d34e70667', '84fea131d000433ea765daa6ab9119f4', 'True', 'True', 'false', 'false', '511002000000', 3, '市中区', 'njsszq.sczwfw.gov.cn', 1, '2021-07-19 11:44:46', NULL, NULL), (13376, '', '城西街道', '36f4db4dbfb9495d928210136aa4ac66', '34003bc2a2244c8fa3f0bd7d34e70667', 'True', 'True', 'false', 'false', '511002003000', 4, '城西街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511002003000', 1, '2021-07-19 11:44:46', NULL, NULL), (13377, '', '大西街社区', 'ac828a1a2ba344cb9893137b22195a4c', '36f4db4dbfb9495d928210136aa4ac66', 'False', 'True', 'false', 'false', '511002003001', 5, '大西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002003001', 1, '2021-07-19 11:44:47', NULL, NULL), (13378, '', '桂湖街社区', '9ade916624c8454bbc785894c37a4bb8', '36f4db4dbfb9495d928210136aa4ac66', 'False', 'True', 'false', 'false', '511002003002', 5, '桂湖街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002003002', 1, '2021-07-19 11:44:47', NULL, NULL), (13379, '', '大洲社区', '3a87aeeea9ef4ca2ac7f50c15bfe0b8b', '36f4db4dbfb9495d928210136aa4ac66', 'False', 'True', 'false', 'false', '511002003003', 5, '大洲社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002003003', 1, '2021-07-19 11:44:47', NULL, NULL), (13380, '', '吕祖庙社区', '2bd813d87bd548f8bb6887e8ec9bdf94', '36f4db4dbfb9495d928210136aa4ac66', 'False', 'True', 'false', 'false', '511002003004', 5, '吕祖庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002003004', 1, '2021-07-19 11:44:47', NULL, NULL), (13381, '', '北街社区', '609b699384fc4bb5813ff1227bfa3cec', '36f4db4dbfb9495d928210136aa4ac66', 'False', 'True', 'false', 'false', '511002003005', 5, '北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002003005', 1, '2021-07-19 11:44:47', NULL, NULL), (13382, '', '公园社区', '9d5c5edf1d23498cabaeddc574ff995b', '36f4db4dbfb9495d928210136aa4ac66', 'False', 'True', 'false', 'false', '511002003006', 5, '公园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002003006', 1, '2021-07-19 11:44:47', NULL, NULL), (13383, '', '甘泉寺社区', '7c34358204fd415bae13037fa809a414', '36f4db4dbfb9495d928210136aa4ac66', 'False', 'True', 'false', 'false', '511002003007', 5, '甘泉寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002003007', 1, '2021-07-19 11:44:47', NULL, NULL), (13384, '', '玉溪街道', 'bba876f8699940e79bc396764451f0c6', '34003bc2a2244c8fa3f0bd7d34e70667', 'True', 'True', 'false', 'false', '511002004000', 4, '玉溪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511002004000', 1, '2021-07-19 11:44:47', NULL, NULL), (13385, '', '翔龙社区', '68422e1a17a941b18d7c34455b038bbc', 'bba876f8699940e79bc396764451f0c6', 'False', 'True', 'false', 'false', '511002004001', 5, '翔龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002004001', 1, '2021-07-19 11:44:47', NULL, NULL), (13386, '', '新华路社区', '7d3b297ac59b4e2cbd421fd500a9eb0b', 'bba876f8699940e79bc396764451f0c6', 'False', 'True', 'false', 'false', '511002004002', 5, '新华路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002004002', 1, '2021-07-19 11:44:47', NULL, NULL), (13387, '', '晏家湾社区', 'acfafa91bb39476b9d6ec9c5466df68d', 'bba876f8699940e79bc396764451f0c6', 'False', 'True', 'false', 'false', '511002004003', 5, '晏家湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002004003', 1, '2021-07-19 11:44:47', NULL, NULL), (13388, '', '玉溪路社区', '20a67b6a92c442e283d9acc5de41b9a0', 'bba876f8699940e79bc396764451f0c6', 'False', 'True', 'false', 'false', '511002004004', 5, '玉溪路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002004004', 1, '2021-07-19 11:44:47', NULL, NULL), (13389, '', '脚盆田社区', 'ae68bbc3e5a34fc697cb941a9bec2f4a', 'bba876f8699940e79bc396764451f0c6', 'False', 'True', 'false', 'false', '511002004005', 5, '脚盆田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002004005', 1, '2021-07-19 11:44:47', NULL, NULL), (13390, '', '乐贤街道', '7896572451bc4d249ea91201ca3fb2cf', '34003bc2a2244c8fa3f0bd7d34e70667', 'True', 'True', 'false', 'false', '511002007000', 4, '乐贤街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511002007000', 1, '2021-07-19 11:44:47', NULL, NULL), (13391, '', '黄荆坝社区', 'd57ff92a33d74fa0847376b9a3e1a15c', '7896572451bc4d249ea91201ca3fb2cf', 'False', 'True', 'false', 'false', '511002007001', 5, '黄荆坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002007001', 1, '2021-07-19 11:44:47', NULL, NULL), (13392, '', '乐贤社区', '08172b9c92f94f6da97dc7964614c071', '7896572451bc4d249ea91201ca3fb2cf', 'False', 'True', 'false', 'false', '511002007003', 5, '乐贤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002007003', 1, '2021-07-19 11:44:48', NULL, NULL), (13393, '', '谢家坝社区', '954e20317e3d4e2996922128753f55f5', '7896572451bc4d249ea91201ca3fb2cf', 'False', 'True', 'false', 'false', '511002007004', 5, '谢家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002007004', 1, '2021-07-19 11:44:48', NULL, NULL), (13394, '', '高坝村', '610707ac89104f1594fb2bc4c7670284', '7896572451bc4d249ea91201ca3fb2cf', 'False', 'True', 'false', 'false', '511002007201', 5, '高坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002007201', 1, '2021-07-19 11:44:48', NULL, NULL), (13395, '', '万里坡社区', '72c339b2290348828e47ee7ca3602084', '7896572451bc4d249ea91201ca3fb2cf', 'False', 'True', 'false', 'false', '511002007202', 5, '万里坡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002007202', 1, '2021-07-19 11:44:48', NULL, NULL), (13396, '', '丁和村', '072bb376e2524272813762ee2e11f61a', '7896572451bc4d249ea91201ca3fb2cf', 'False', 'True', 'false', 'false', '511002007205', 5, '丁和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002007205', 1, '2021-07-19 11:44:48', NULL, NULL), (13397, '', '白马镇', '82432fd33ed54319a373bd89dd5577d8', '34003bc2a2244c8fa3f0bd7d34e70667', 'True', 'True', 'false', 'false', '511002100000', 4, '白马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511002100000', 1, '2021-07-19 11:44:48', NULL, NULL), (13398, '', '白马街社区', 'f7fcda43a6944bc782096f3ad5e41bdc', '82432fd33ed54319a373bd89dd5577d8', 'False', 'True', 'false', 'false', '511002100001', 5, '白马街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002100001', 1, '2021-07-19 11:44:48', NULL, NULL), (13399, '', '司马桥社区', 'a1065e57f0e74232b1d552a78e9c07e9', '82432fd33ed54319a373bd89dd5577d8', 'False', 'True', 'false', 'false', '511002100002', 5, '司马桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002100002', 1, '2021-07-19 11:44:48', NULL, NULL), (13400, '', '黄石社区', '20578288715940a395f66983f0b62339', '82432fd33ed54319a373bd89dd5577d8', 'False', 'True', 'false', 'false', '511002100003', 5, '黄石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002100003', 1, '2021-07-19 11:44:48', NULL, NULL), (13401, '', '董家村', '5628df8a1ec94fb58c1a546615258ba6', '82432fd33ed54319a373bd89dd5577d8', 'False', 'True', 'false', 'false', '511002100204', 5, '董家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002100204', 1, '2021-07-19 11:44:48', NULL, NULL), (13402, '', '千子村', '6c4d3f019d5549949adc01b43cf44824', '82432fd33ed54319a373bd89dd5577d8', 'False', 'True', 'false', 'false', '511002100206', 5, '千子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002100206', 1, '2021-07-19 11:44:48', NULL, NULL), (13403, '', '联合村', '8b4e436e728d4d4f818f0525d88d0a7c', '82432fd33ed54319a373bd89dd5577d8', 'False', 'True', 'false', 'false', '511002100211', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002100211', 1, '2021-07-19 11:44:48', NULL, NULL), (13404, '', '双河村', 'b89fd4851a7140c9ae9a001a920de825', '82432fd33ed54319a373bd89dd5577d8', 'False', 'True', 'false', 'false', '511002100213', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002100213', 1, '2021-07-19 11:44:48', NULL, NULL), (13405, '', '石盘村', '2b9c08b485824fad99d21f5b889455b8', '82432fd33ed54319a373bd89dd5577d8', 'False', 'True', 'false', 'false', '511002100214', 5, '石盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002100214', 1, '2021-07-19 11:44:48', NULL, NULL), (13406, '', '石庙村', '78c56ef540574f768e79587fb4543982', '82432fd33ed54319a373bd89dd5577d8', 'False', 'True', 'false', 'false', '511002100216', 5, '石庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002100216', 1, '2021-07-19 11:44:48', NULL, NULL), (13407, '', '白塔村', '3d7ee07741024327844f7da2c2f7010e', '82432fd33ed54319a373bd89dd5577d8', 'False', 'True', 'false', 'false', '511002100218', 5, '白塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002100218', 1, '2021-07-19 11:44:49', NULL, NULL), (13408, '', '九盘村', '85974b8de27b47489280eb57642b10aa', '82432fd33ed54319a373bd89dd5577d8', 'False', 'True', 'false', 'false', '511002100219', 5, '九盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002100219', 1, '2021-07-19 11:44:49', NULL, NULL), (13409, '', '海棠村', '0244b43822f3419590086a2b466bf4f3', '82432fd33ed54319a373bd89dd5577d8', 'False', 'True', 'false', 'false', '511002100220', 5, '海棠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002100220', 1, '2021-07-19 11:44:49', NULL, NULL), (13410, '', '史家镇', '5a478e38445f4f9bbb269a147c99cefc', '34003bc2a2244c8fa3f0bd7d34e70667', 'True', 'True', 'false', 'false', '511002101000', 4, '史家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511002101000', 1, '2021-07-19 11:44:49', NULL, NULL), (13411, '', '史家街社区', 'e2d82f0698db470780dac4ace84e7ce2', '5a478e38445f4f9bbb269a147c99cefc', 'False', 'True', 'false', 'false', '511002101001', 5, '史家街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002101001', 1, '2021-07-19 11:44:49', NULL, NULL), (13412, '', '大梁村', '703e17452fab41a9897a6fd434e485bb', '5a478e38445f4f9bbb269a147c99cefc', 'False', 'False', 'false', 'false', '511002101009', 5, '大梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002101009', 1, '2021-07-19 11:44:49', NULL, NULL), (13413, '', '方田村', 'cc47090de9e24ab48f35e5e22c0d1483', '5a478e38445f4f9bbb269a147c99cefc', 'False', 'True', 'false', 'false', '511002101201', 5, '方田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002101201', 1, '2021-07-19 11:44:49', NULL, NULL), (13414, '', '四美村', '00a529947fce44bbbf4158995d4f820e', '5a478e38445f4f9bbb269a147c99cefc', 'False', 'True', 'false', 'false', '511002101202', 5, '四美村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002101202', 1, '2021-07-19 11:44:49', NULL, NULL), (13415, '', '牛桥村', '754fd0bef37e41fdbf4078954170cb42', '5a478e38445f4f9bbb269a147c99cefc', 'False', 'True', 'false', 'false', '511002101204', 5, '牛桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002101204', 1, '2021-07-19 11:44:49', NULL, NULL), (13416, '', '干田村', 'ed4829fe0f624349b3d9b1b7da6a99db', '5a478e38445f4f9bbb269a147c99cefc', 'False', 'True', 'false', 'false', '511002101205', 5, '干田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002101205', 1, '2021-07-19 11:44:49', NULL, NULL), (13417, '', '侍郎村', 'fa481522df944cd885d607569338c871', '5a478e38445f4f9bbb269a147c99cefc', 'False', 'True', 'false', 'false', '511002108205', 5, '侍郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002108205', 1, '2021-07-19 11:44:49', NULL, NULL), (13418, '', '凌家镇', '8e57e10e03d34ba086cb52928b965a9c', '34003bc2a2244c8fa3f0bd7d34e70667', 'True', 'True', 'false', 'false', '511002102000', 4, '凌家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511002102000', 1, '2021-07-19 11:44:49', NULL, NULL), (13419, '', '凌家社区', '3f9a28cf86734209bcd4f4ab5e715258', '8e57e10e03d34ba086cb52928b965a9c', 'False', 'True', 'false', 'false', '511002102001', 5, '凌家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002102001', 1, '2021-07-19 11:44:49', NULL, NULL), (13420, '', '何家坡村', 'd6c23f6b22b143aba31bdd609862aac2', '8e57e10e03d34ba086cb52928b965a9c', 'False', 'True', 'false', 'false', '511002102201', 5, '何家坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002102201', 1, '2021-07-19 11:44:49', NULL, NULL), (13421, '', '青杠坡村', '3acf3c3dceb14652ab1db7595e561da0', '8e57e10e03d34ba086cb52928b965a9c', 'False', 'True', 'false', 'false', '511002102202', 5, '青杠坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002102202', 1, '2021-07-19 11:44:49', NULL, NULL), (13422, '', '潘家坝村', '3cc1dacb94ba4b579d24fc379dd797de', '8e57e10e03d34ba086cb52928b965a9c', 'False', 'True', 'false', 'false', '511002102208', 5, '潘家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002102208', 1, '2021-07-19 11:44:49', NULL, NULL), (13423, '', '牌坊坝村', 'bf7e37dc7e2f4551b15ac65d01d24c16', '8e57e10e03d34ba086cb52928b965a9c', 'False', 'True', 'false', 'false', '511002102210', 5, '牌坊坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002102210', 1, '2021-07-19 11:44:49', NULL, NULL), (13424, '', '高洞村', '2a90905518634073a8323290992f8f6a', '8e57e10e03d34ba086cb52928b965a9c', 'False', 'True', 'false', 'false', '511002102211', 5, '高洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002102211', 1, '2021-07-19 11:44:50', NULL, NULL), (13425, '', '乌鸡冲村', 'f14373621227486a90f1d16fe5ba2f72', '8e57e10e03d34ba086cb52928b965a9c', 'False', 'True', 'false', 'false', '511002102212', 5, '乌鸡冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002102212', 1, '2021-07-19 11:44:50', NULL, NULL), (13426, '', '酒房沟村', '92fe881200194113834f4f6d982fac3c', '8e57e10e03d34ba086cb52928b965a9c', 'False', 'True', 'false', 'false', '511002102213', 5, '酒房沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002102213', 1, '2021-07-19 11:44:50', NULL, NULL), (13427, '', '方碑村', '7b0efd4db7a94643b6025e5db5ac4eec', '8e57e10e03d34ba086cb52928b965a9c', 'False', 'True', 'false', 'false', '511002102214', 5, '方碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002102214', 1, '2021-07-19 11:44:50', NULL, NULL), (13428, '', '八楞村', '0a36029e577f4869bdbcb172581e1e79', '8e57e10e03d34ba086cb52928b965a9c', 'False', 'True', 'false', 'false', '511002102219', 5, '八楞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002102219', 1, '2021-07-19 11:44:50', NULL, NULL), (13429, '', '花红村', '88ce35cb9e174abbaf57375a50fe2f3a', '8e57e10e03d34ba086cb52928b965a9c', 'False', 'True', 'false', 'false', '511002102220', 5, '花红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002102220', 1, '2021-07-19 11:44:50', NULL, NULL), (13430, '', '永安镇', '5e6d81b6c1364bbab258b7314015f9a8', '34003bc2a2244c8fa3f0bd7d34e70667', 'True', 'True', 'false', 'false', '511002104000', 4, '永安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511002104000', 1, '2021-07-19 11:44:50', NULL, NULL), (13431, '', '陆家冲社区', 'f396cf64d6ca4db08ccd97388254a86a', '5e6d81b6c1364bbab258b7314015f9a8', 'False', 'True', 'false', 'false', '511002104001', 5, '陆家冲社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002104001', 1, '2021-07-19 11:44:50', NULL, NULL), (13432, '', '大堰社区村', 'b900c7bba6094743afc462f29eb3e99a', '5e6d81b6c1364bbab258b7314015f9a8', 'False', 'True', 'false', 'false', '511002104203', 5, '大堰社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002104203', 1, '2021-07-19 11:44:50', NULL, NULL), (13433, '', '新房村', 'b5d9a749f8c448ad9b73c8ff340b027b', '5e6d81b6c1364bbab258b7314015f9a8', 'False', 'True', 'false', 'false', '511002104205', 5, '新房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002104205', 1, '2021-07-19 11:44:50', NULL, NULL), (13434, '', '金马村', 'ee6e3b92e9fe4fd9b1919305370ad1c3', '5e6d81b6c1364bbab258b7314015f9a8', 'False', 'True', 'false', 'false', '511002104206', 5, '金马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002104206', 1, '2021-07-19 11:44:50', NULL, NULL), (13435, '', '园坝社区村', '586f4dbbb0294027ad28d70add695353', '5e6d81b6c1364bbab258b7314015f9a8', 'False', 'True', 'false', 'false', '511002104207', 5, '园坝社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002104207', 1, '2021-07-19 11:44:50', NULL, NULL), (13436, '', '上元村', 'd67151662f564e1a9c25cd56484e0b23', '5e6d81b6c1364bbab258b7314015f9a8', 'False', 'True', 'false', 'false', '511002104214', 5, '上元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002104214', 1, '2021-07-19 11:44:50', NULL, NULL), (13437, '', '鹿子村', 'e1f3fe97919f4c7d8ec19af6ff4cec8d', '5e6d81b6c1364bbab258b7314015f9a8', 'False', 'True', 'false', 'false', '511002104215', 5, '鹿子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002104215', 1, '2021-07-19 11:44:50', NULL, NULL), (13438, '', '白杨村', '26e9d72d140746ec923bb7acfd67445d', '5e6d81b6c1364bbab258b7314015f9a8', 'False', 'True', 'false', 'false', '511002104216', 5, '白杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002104216', 1, '2021-07-19 11:44:50', NULL, NULL), (13439, '', '梁家沟村', '01eeadbc08e74483ae67f8d5c82e2207', '5e6d81b6c1364bbab258b7314015f9a8', 'False', 'True', 'false', 'false', '511002104217', 5, '梁家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002104217', 1, '2021-07-19 11:44:50', NULL, NULL), (13440, '', '下元村', '65cd73540d194ed6b45c1e8e2b0434b2', '5e6d81b6c1364bbab258b7314015f9a8', 'False', 'True', 'false', 'false', '511002104219', 5, '下元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002104219', 1, '2021-07-19 11:44:51', NULL, NULL), (13441, '', '红牌坊村', 'faf0f6f5ad7d4dc3bf35b434d14ba814', '5e6d81b6c1364bbab258b7314015f9a8', 'False', 'True', 'false', 'false', '511002104222', 5, '红牌坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002104222', 1, '2021-07-19 11:44:51', NULL, NULL), (13442, '', '漏棚湾村', '30b69950959340f99a2aabf44a04500a', '5e6d81b6c1364bbab258b7314015f9a8', 'False', 'True', 'false', 'false', '511002104225', 5, '漏棚湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002104225', 1, '2021-07-19 11:44:51', NULL, NULL), (13443, '', '枷担湾村', 'c0d2587031144546a60073087a496e0e', '5e6d81b6c1364bbab258b7314015f9a8', 'False', 'True', 'false', 'false', '511002104226', 5, '枷担湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002104226', 1, '2021-07-19 11:44:51', NULL, NULL), (13444, '', '糖房坳村', '672108472f0840328cd3c6de72ab41d3', '5e6d81b6c1364bbab258b7314015f9a8', 'False', 'True', 'false', 'false', '511002104227', 5, '糖房坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002104227', 1, '2021-07-19 11:44:51', NULL, NULL), (13445, '', '瓦堆湾村', 'fbde8b0922df4487abc0677e773bf4b0', '5e6d81b6c1364bbab258b7314015f9a8', 'False', 'True', 'false', 'false', '511002104228', 5, '瓦堆湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002104228', 1, '2021-07-19 11:44:51', NULL, NULL), (13446, '', '全安镇', 'bdd7f9e569a44529a77c6aed8cc99463', '34003bc2a2244c8fa3f0bd7d34e70667', 'True', 'True', 'false', 'false', '511002105000', 4, '全安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511002105000', 1, '2021-07-19 11:44:51', NULL, NULL), (13447, '', '街道社区', 'cc83c279fe6b4ea9b460ff1f445d22b1', 'bdd7f9e569a44529a77c6aed8cc99463', 'False', 'True', 'false', 'false', '511002105001', 5, '街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002105001', 1, '2021-07-19 11:44:51', NULL, NULL), (13448, '', '狮湾村', '828d4edf62974bf18241f375560a5070', 'bdd7f9e569a44529a77c6aed8cc99463', 'False', 'True', 'false', 'false', '511002105201', 5, '狮湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002105201', 1, '2021-07-19 11:44:51', NULL, NULL), (13449, '', '平湖村', '48dfb886f8924cc19dc250d7ed439a5f', 'bdd7f9e569a44529a77c6aed8cc99463', 'False', 'True', 'false', 'false', '511002105202', 5, '平湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002105202', 1, '2021-07-19 11:44:51', NULL, NULL), (13450, '', '湾桥村', 'bba0b5b0c0e74283b3a1fe1935ae8760', 'bdd7f9e569a44529a77c6aed8cc99463', 'False', 'True', 'false', 'false', '511002105203', 5, '湾桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002105203', 1, '2021-07-19 11:44:51', NULL, NULL), (13451, '', '吼冲村', '272f2858a0ef41ca8b1a1977051c17db', 'bdd7f9e569a44529a77c6aed8cc99463', 'False', 'True', 'false', 'false', '511002105204', 5, '吼冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002105204', 1, '2021-07-19 11:44:51', NULL, NULL), (13452, '', '洪坝村', '27d433c59825400f80c6c652b74edc97', 'bdd7f9e569a44529a77c6aed8cc99463', 'False', 'True', 'false', 'false', '511002105206', 5, '洪坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002105206', 1, '2021-07-19 11:44:51', NULL, NULL), (13453, '', '余家坝村', 'bc6ce86c9ce54697bbc9e4052fd724e7', 'bdd7f9e569a44529a77c6aed8cc99463', 'False', 'True', 'false', 'false', '511002105210', 5, '余家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002105210', 1, '2021-07-19 11:44:51', NULL, NULL), (13454, '', '花洞村', 'a7603318d7d944ec8c78a52f698c3379', 'bdd7f9e569a44529a77c6aed8cc99463', 'False', 'True', 'false', 'false', '511002105211', 5, '花洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002105211', 1, '2021-07-19 11:44:51', NULL, NULL), (13455, '', '龙门镇', '523c050ce55c4f36818c973cb1088380', '34003bc2a2244c8fa3f0bd7d34e70667', 'True', 'True', 'false', 'false', '511002111000', 4, '龙门镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511002111000', 1, '2021-07-19 11:44:51', NULL, NULL), (13456, '', '龙门社区', 'b360a49c8c9944dfbfad90300a427bb1', '523c050ce55c4f36818c973cb1088380', 'False', 'True', 'false', 'false', '511002111001', 5, '龙门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002111001', 1, '2021-07-19 11:44:51', NULL, NULL), (13457, '', '龙门村', '078ff92088bd458f9afb84ae77c28f50', '523c050ce55c4f36818c973cb1088380', 'False', 'True', 'false', 'false', '511002111201', 5, '龙门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002111201', 1, '2021-07-19 11:44:52', NULL, NULL), (13458, '', '甘家渡村', '293810466b064a43b939b4f764c2795d', '523c050ce55c4f36818c973cb1088380', 'False', 'True', 'false', 'false', '511002111203', 5, '甘家渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002111203', 1, '2021-07-19 11:44:52', NULL, NULL), (13459, '', '兰家沱村', '66c6e4a0f2d14857b7e047c125a0d3a9', '523c050ce55c4f36818c973cb1088380', 'False', 'True', 'false', 'false', '511002111204', 5, '兰家沱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002111204', 1, '2021-07-19 11:44:52', NULL, NULL), (13460, '', '中心村', '65f32da3a76d4b4b934a988c66f5f9fb', '523c050ce55c4f36818c973cb1088380', 'False', 'True', 'false', 'false', '511002111205', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002111205', 1, '2021-07-19 11:44:52', NULL, NULL), (13461, '', '茅蓬寺村', 'e650c99219a947c4ab6c41ce8eb41b34', '523c050ce55c4f36818c973cb1088380', 'False', 'True', 'false', 'false', '511002111206', 5, '茅蓬寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002111206', 1, '2021-07-19 11:44:52', NULL, NULL), (13462, '', '兰家寺村', '538337e06b6c433c829a2e36357ea671', '523c050ce55c4f36818c973cb1088380', 'False', 'True', 'false', 'false', '511002111207', 5, '兰家寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002111207', 1, '2021-07-19 11:44:52', NULL, NULL), (13463, '', '尤家沱村', '04d3f9fe5434475abf0940db5b8c409b', '523c050ce55c4f36818c973cb1088380', 'False', 'True', 'false', 'false', '511002111208', 5, '尤家沱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002111208', 1, '2021-07-19 11:44:52', NULL, NULL), (13464, '', '望柱村', '4a9ab7937d79498fa88bed18f6127524', '523c050ce55c4f36818c973cb1088380', 'False', 'True', 'false', 'false', '511002111210', 5, '望柱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002111210', 1, '2021-07-19 11:44:52', NULL, NULL), (13465, '', '城东街道', '7f3c3ee138e148bb98b46263865aaba8', '34003bc2a2244c8fa3f0bd7d34e70667', 'True', 'True', 'false', 'false', '511002122000', 4, '城东街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511002122000', 1, '2021-07-19 11:44:52', NULL, NULL), (13466, '', '黄桷井社区', 'ba0ede4d9b5f410e9f4e7b37080a444b', '7f3c3ee138e148bb98b46263865aaba8', 'False', 'True', 'false', 'false', '511002001009', 5, '黄桷井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002001009', 1, '2021-07-19 11:44:52', NULL, NULL), (13467, '', '河坝街社区', '311666ae7e124ce3a540de0922777446', '7f3c3ee138e148bb98b46263865aaba8', 'False', 'True', 'false', 'false', '511002001002', 5, '河坝街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002001002', 1, '2021-07-19 11:44:52', NULL, NULL), (13468, '', '钟鼓楼社区', '0bef58c257f945d394702ed77d7c68b3', '7f3c3ee138e148bb98b46263865aaba8', 'False', 'True', 'false', 'false', '511002001003', 5, '钟鼓楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002001003', 1, '2021-07-19 11:44:52', NULL, NULL), (13469, '', '文英街社区', '84dcd9df6a224defb03cdbc0a9bd34c3', '7f3c3ee138e148bb98b46263865aaba8', 'False', 'True', 'false', 'false', '511002001005', 5, '文英街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002001005', 1, '2021-07-19 11:44:52', NULL, NULL), (13470, '', '箭道街社区', '234cc9b2b5804c6e8ede941f694b8fab', '7f3c3ee138e148bb98b46263865aaba8', 'False', 'True', 'false', 'false', '511002122992', 5, '箭道街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002122992', 1, '2021-07-19 11:44:52', NULL, NULL), (13471, '', '牌楼街道', 'cec053f55b9f49bd804ea67b449213f0', '34003bc2a2244c8fa3f0bd7d34e70667', 'True', 'True', 'false', 'false', '511002313000', 4, '牌楼街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511002313000', 1, '2021-07-19 11:44:52', NULL, NULL), (13472, '', '临江社区', '800382a7910f495d8f9dce9551215028', 'cec053f55b9f49bd804ea67b449213f0', 'False', 'True', 'false', 'false', '511002005171', 5, '临江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002005171', 1, '2021-07-19 11:44:53', NULL, NULL), (13473, '', '和平街社区', 'cd16a91e453047a4811af9de22ef5692', 'cec053f55b9f49bd804ea67b449213f0', 'False', 'True', 'false', 'false', '511002005370', 5, '和平街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002005370', 1, '2021-07-19 11:44:53', NULL, NULL), (13474, '', '马鞍山社区', 'ae1724a29951421583775b05029b4659', 'cec053f55b9f49bd804ea67b449213f0', 'False', 'True', 'false', 'false', '511002005479', 5, '马鞍山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002005479', 1, '2021-07-19 11:44:53', NULL, NULL), (13475, '', '环城路社区', '4ac2aa5188d8419ea19ba8b90d7b8108', 'cec053f55b9f49bd804ea67b449213f0', 'False', 'True', 'false', 'false', '511002005619', 5, '环城路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002005619', 1, '2021-07-19 11:44:53', NULL, NULL), (13476, '', '牌楼路社区', '20bcb6e6cf71416aa3202f037728f114', 'cec053f55b9f49bd804ea67b449213f0', 'False', 'True', 'false', 'false', '511002005709', 5, '牌楼路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002005709', 1, '2021-07-19 11:44:53', NULL, NULL), (13477, '', '庙儿山社区', 'dfd711bd65ef4b50b6bebeee67b7f2b3', 'cec053f55b9f49bd804ea67b449213f0', 'False', 'True', 'false', 'false', '511002005909', 5, '庙儿山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002005909', 1, '2021-07-19 11:44:53', NULL, NULL), (13478, '', '朝阳镇', '2fb03de82f774063b6c41028b766865c', '34003bc2a2244c8fa3f0bd7d34e70667', 'True', 'True', 'false', 'false', '511002872000', 4, '朝阳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511002872000', 1, '2021-07-19 11:44:53', NULL, NULL), (13479, '', '张家场社区', '8f5557d2a5f548c9b631fc16740b4cf7', '2fb03de82f774063b6c41028b766865c', 'False', 'True', 'false', 'false', '511002103001', 5, '张家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002103001', 1, '2021-07-19 11:44:53', NULL, NULL), (13480, '', '朝阳社区', '8c55a1716226453389727ff0fe39b468', '2fb03de82f774063b6c41028b766865c', 'False', 'True', 'false', 'false', '511002103202', 5, '朝阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002103202', 1, '2021-07-19 11:44:53', NULL, NULL), (13481, '', '黄桷桥村', '48f134c1e2674b9bbf08f814c5345180', '2fb03de82f774063b6c41028b766865c', 'False', 'True', 'false', 'false', '511002103204', 5, '黄桷桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002103204', 1, '2021-07-19 11:44:53', NULL, NULL), (13482, '', '六公丘村', '71b3479b3e6d4fa387345991abc7c488', '2fb03de82f774063b6c41028b766865c', 'False', 'True', 'false', 'false', '511002103205', 5, '六公丘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002103205', 1, '2021-07-19 11:44:53', NULL, NULL), (13483, '', '下坝桥村', 'a2985ed6c18b4f989ee27c908ea55683', '2fb03de82f774063b6c41028b766865c', 'False', 'True', 'false', 'false', '511002103206', 5, '下坝桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002103206', 1, '2021-07-19 11:44:53', NULL, NULL), (13484, '', '铧匠冲村', '4bec156487b642228bb30ef74918628e', '2fb03de82f774063b6c41028b766865c', 'False', 'True', 'false', 'false', '511002103209', 5, '铧匠冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002103209', 1, '2021-07-19 11:44:53', NULL, NULL), (13485, '', '园山村', '20fc0bc93def4f1489fcaae4512d8570', '2fb03de82f774063b6c41028b766865c', 'False', 'True', 'false', 'false', '511002103210', 5, '园山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002103210', 1, '2021-07-19 11:44:54', NULL, NULL), (13486, '', '回龙桥村', '05b65fa3677749049c7c70bb9d9054ea', '2fb03de82f774063b6c41028b766865c', 'False', 'True', 'false', 'false', '511002103212', 5, '回龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002103212', 1, '2021-07-19 11:44:54', NULL, NULL), (13487, '', '周坡村', '516dbece343c4e3295d3d95ad018a808', '2fb03de82f774063b6c41028b766865c', 'False', 'True', 'false', 'false', '511002103216', 5, '周坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002103216', 1, '2021-07-19 11:44:54', NULL, NULL), (13488, '', '强安村', 'eaf023fc32454fffb1e17ad9dc228d8b', '2fb03de82f774063b6c41028b766865c', 'False', 'True', 'false', 'false', '511002103218', 5, '强安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511002103218', 1, '2021-07-19 11:44:54', NULL, NULL), (13489, '', '东兴区', '4d2a088828f842b1a02d122ee53d86b6', '84fea131d000433ea765daa6ab9119f4', 'True', 'True', 'true', 'true', '511011000000', 3, '东兴区', 'njsdxq.sczwfw.gov.cn', 1, '2021-07-19 11:44:54', NULL, NULL), (13490, '', '东兴街道', '13754d7677d646cb9d9362084e4447f8', '4d2a088828f842b1a02d122ee53d86b6', 'True', 'True', 'false', 'false', '511011001000', 4, '东兴街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511011001000', 1, '2021-07-19 11:44:54', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (13491, '', '东兴社区', 'b4eaf0a6bf2a405094b311545d7a4c11', '13754d7677d646cb9d9362084e4447f8', 'False', 'True', 'false', 'false', '511011001001', 5, '东兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011001001', 1, '2021-07-19 11:44:54', NULL, NULL), (13492, '', '大千社区', '2f26b1a965274145bdcffc6b0333138e', '13754d7677d646cb9d9362084e4447f8', 'False', 'True', 'false', 'false', '511011001002', 5, '大千社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011001002', 1, '2021-07-19 11:44:54', NULL, NULL), (13493, '', '农校社区', '1d2d0dfe06174f71bdff19e1d81d5021', '13754d7677d646cb9d9362084e4447f8', 'False', 'True', 'false', 'false', '511011001003', 5, '农校社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011001003', 1, '2021-07-19 11:44:54', NULL, NULL), (13494, '', '枣子社区', 'cd0339bc6d9b4b3db8835ad64b40ac98', '13754d7677d646cb9d9362084e4447f8', 'False', 'True', 'false', 'false', '511011001004', 5, '枣子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011001004', 1, '2021-07-19 11:44:54', NULL, NULL), (13495, '', '六零七社区', 'fcf66df755df44bba27719f1d024fb0a', '13754d7677d646cb9d9362084e4447f8', 'False', 'True', 'false', 'false', '511011001006', 5, '六零七社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011001006', 1, '2021-07-19 11:44:54', NULL, NULL), (13496, '', '龙观社区', '71a8cb4842404896b0886fabc9e4e6ec', '13754d7677d646cb9d9362084e4447f8', 'False', 'True', 'false', 'false', '511011001007', 5, '龙观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011001007', 1, '2021-07-19 11:44:54', NULL, NULL), (13497, '', '凤凰社区', 'a3292281b50240f3b5d541095e067d27', '13754d7677d646cb9d9362084e4447f8', 'False', 'True', 'false', 'false', '511011001008', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011001008', 1, '2021-07-19 11:44:54', NULL, NULL), (13498, '', '新建社区', 'c461c7ca129441fb8bd7b2c95bc5057f', '13754d7677d646cb9d9362084e4447f8', 'False', 'True', 'false', 'false', '511011001009', 5, '新建社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011001009', 1, '2021-07-19 11:44:54', NULL, NULL), (13499, '', '平桥社区', 'ddb090b6dd394f9a8f7fec26f283a0f7', '13754d7677d646cb9d9362084e4447f8', 'False', 'True', 'false', 'false', '511011001012', 5, '平桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011001012', 1, '2021-07-19 11:44:54', NULL, NULL), (13500, '', '新民社区', '93a21ff3e66a4c16b7af886bc0312128', '13754d7677d646cb9d9362084e4447f8', 'False', 'True', 'false', 'false', '511011001013', 5, '新民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011001013', 1, '2021-07-19 11:44:54', NULL, NULL), (13501, '', '新华社区', '2c236ed6a21b4bf4a846d4ee5ba1aba8', '13754d7677d646cb9d9362084e4447f8', 'False', 'True', 'false', 'false', '511011001014', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011001014', 1, '2021-07-19 11:44:54', NULL, NULL), (13502, '', '圣林社区', 'a8e66969d746481cbe8c2802bcbe76bb', '13754d7677d646cb9d9362084e4447f8', 'False', 'True', 'false', 'false', '511011005004', 5, '圣林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011005004', 1, '2021-07-19 11:44:54', NULL, NULL), (13503, '', '大明村', '49a1c0e54af8441ab2f1b9ff8e3c8065', '13754d7677d646cb9d9362084e4447f8', 'False', 'True', 'false', 'false', '511011005206', 5, '大明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011005206', 1, '2021-07-19 11:44:54', NULL, NULL), (13504, '', '赛峨村', 'ae8b467cd6554f6bb5663f17b76aa4ed', '13754d7677d646cb9d9362084e4447f8', 'False', 'True', 'false', 'false', '511011005208', 5, '赛峨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011005208', 1, '2021-07-19 11:44:54', NULL, NULL), (13505, '', '陡坎村', '350fd952f27a402f837a16789dd44cac', '13754d7677d646cb9d9362084e4447f8', 'False', 'True', 'false', 'false', '511011005209', 5, '陡坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011005209', 1, '2021-07-19 11:44:55', NULL, NULL), (13506, '', '新江街道', '4593930a4dc94f999e5d303fcb8779f3', '4d2a088828f842b1a02d122ee53d86b6', 'True', 'True', 'false', 'false', '511011003000', 4, '新江街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511011003000', 1, '2021-07-19 11:44:55', NULL, NULL), (13507, '', '东风社区', 'cb1240385b8e4bcf8249dc3df13f140a', '4593930a4dc94f999e5d303fcb8779f3', 'False', 'True', 'false', 'false', '511011003001', 5, '东风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011003001', 1, '2021-07-19 11:44:55', NULL, NULL), (13508, '', '马家坪社区', '7aa0be4c129549aa9a7f7a1b0e659117', '4593930a4dc94f999e5d303fcb8779f3', 'False', 'True', 'false', 'false', '511011003002', 5, '马家坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011003002', 1, '2021-07-19 11:44:55', NULL, NULL), (13509, '', '麻柳坝社区', '8fe279cc55ef4c11baedd445622237e0', '4593930a4dc94f999e5d303fcb8779f3', 'False', 'True', 'false', 'false', '511011003003', 5, '麻柳坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011003003', 1, '2021-07-19 11:44:55', NULL, NULL), (13510, '', '红旗社区', 'b9786d26623e4b27a50b2081441e5471', '4593930a4dc94f999e5d303fcb8779f3', 'False', 'True', 'false', 'false', '511011003004', 5, '红旗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011003004', 1, '2021-07-19 11:44:55', NULL, NULL), (13511, '', '新江社区', 'b0277003ae2e4ea38a2e20b4347942b3', '4593930a4dc94f999e5d303fcb8779f3', 'False', 'True', 'false', 'false', '511011003005', 5, '新江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011003005', 1, '2021-07-19 11:44:55', NULL, NULL), (13512, '', '九龙社区', 'bda792d8113b4557b0963285a286383f', '4593930a4dc94f999e5d303fcb8779f3', 'False', 'True', 'false', 'false', '511011003006', 5, '九龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011003006', 1, '2021-07-19 11:44:55', NULL, NULL), (13513, '', '高寺社区', '709c8fc7107d42239988a1b224438b6b', '4593930a4dc94f999e5d303fcb8779f3', 'False', 'True', 'false', 'false', '511011003007', 5, '高寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011003007', 1, '2021-07-19 11:44:55', NULL, NULL), (13514, '', '国光社区', 'af31f8709c494efead4ec620c7f13472', '4593930a4dc94f999e5d303fcb8779f3', 'False', 'True', 'false', 'false', '511011003008', 5, '国光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011003008', 1, '2021-07-19 11:44:55', NULL, NULL), (13515, '', '清流社区', 'a8648df1d73f4d598c0e0d4f7fe516c7', '4593930a4dc94f999e5d303fcb8779f3', 'False', 'True', 'false', 'false', '511011003009', 5, '清流社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011003009', 1, '2021-07-19 11:44:55', NULL, NULL), (13516, '', '红光社区', '6cbb3f5a12dc4e9e85fdd72d840437fb', '4593930a4dc94f999e5d303fcb8779f3', 'False', 'True', 'false', 'false', '511011003010', 5, '红光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011003010', 1, '2021-07-19 11:44:55', NULL, NULL), (13517, '', '高梁镇', '79983115d5894e76838e6ab29f0ca1ff', '4d2a088828f842b1a02d122ee53d86b6', 'True', 'True', 'false', 'false', '511011102000', 4, '高梁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511011102000', 1, '2021-07-19 11:44:55', NULL, NULL), (13518, '', '铁山村', '97e1feb20c6e4671aa0fdff32756791c', '79983115d5894e76838e6ab29f0ca1ff', 'False', 'True', 'false', 'false', '511011102201', 5, '铁山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011102201', 1, '2021-07-19 11:44:55', NULL, NULL), (13519, '', '团结村', '51507a8a0cde4ccabe99837fe44800c4', '79983115d5894e76838e6ab29f0ca1ff', 'False', 'True', 'false', 'false', '511011102207', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011102207', 1, '2021-07-19 11:44:55', NULL, NULL), (13520, '', '柏子山村', '0dab0daef52d452781b7bf6b2bc3f5fb', '79983115d5894e76838e6ab29f0ca1ff', 'False', 'True', 'false', 'false', '511011102203', 5, '柏子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011102203', 1, '2021-07-19 11:44:56', NULL, NULL), (13521, '', '新牌坊村', '6a14a22656de407ab04e32361ef641ca', '79983115d5894e76838e6ab29f0ca1ff', 'False', 'True', 'false', 'false', '511011102205', 5, '新牌坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011102205', 1, '2021-07-19 11:44:56', NULL, NULL), (13522, '', '金龙村', 'ce088c5b68604f54af39515e07ed5a5a', '79983115d5894e76838e6ab29f0ca1ff', 'False', 'True', 'false', 'false', '511011102206', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011102206', 1, '2021-07-19 11:44:56', NULL, NULL), (13523, '', '三块碑村', '4c8d44af7db6492c9e35839dcb55b5a6', '79983115d5894e76838e6ab29f0ca1ff', 'False', 'True', 'false', 'false', '511011102208', 5, '三块碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011102208', 1, '2021-07-19 11:44:56', NULL, NULL), (13524, '', '清溪村', '138ad8b5a0ae4565a2c39c2b4c45cd55', '79983115d5894e76838e6ab29f0ca1ff', 'False', 'True', 'false', 'false', '511011102209', 5, '清溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011102209', 1, '2021-07-19 11:44:56', NULL, NULL), (13525, '', '八仙桥村', '62e564d4489949d797042eea7b55542a', '79983115d5894e76838e6ab29f0ca1ff', 'False', 'True', 'false', 'false', '511011102211', 5, '八仙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011102211', 1, '2021-07-19 11:44:56', NULL, NULL), (13526, '', '慈花村', '44f5a729b7c34da9a8284b8ad175b467', '79983115d5894e76838e6ab29f0ca1ff', 'False', 'True', 'false', 'false', '511011102212', 5, '慈花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011102212', 1, '2021-07-19 11:44:57', NULL, NULL), (13527, '', '白合镇', 'b9b7f3e3ab474d4589700f9a737c0a7d', '4d2a088828f842b1a02d122ee53d86b6', 'True', 'True', 'false', 'false', '511011103000', 4, '白合镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511011103000', 1, '2021-07-19 11:44:57', NULL, NULL), (13528, '', '白合社区', '6c57673f040a4eb5a5fe6cdc7ccba281', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103013', 5, '白合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103013', 1, '2021-07-19 11:44:57', NULL, NULL), (13529, '', '幸福社区', '50b7bd9c3dd5407f819efe2b9bc783af', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103014', 5, '幸福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103014', 1, '2021-07-19 11:44:57', NULL, NULL), (13530, '', '喻家沟村', '44c14e47e32d41d69fa7c8fee52288c8', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103015', 5, '喻家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103015', 1, '2021-07-19 11:44:57', NULL, NULL), (13531, '', '长河碥村', 'b5f0728c106c4fbab8738aeaf2fb19cb', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103016', 5, '长河碥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103016', 1, '2021-07-19 11:44:57', NULL, NULL), (13532, '', '丈雪村', '0ff178a3e23e46828a2a9e6f8c49b124', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103017', 5, '丈雪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103017', 1, '2021-07-19 11:44:57', NULL, NULL), (13533, '', '苏家村', 'a5c43c05ce3a4035bef5c72f12618f27', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103018', 5, '苏家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103018', 1, '2021-07-19 11:44:57', NULL, NULL), (13534, '', '石冲村', 'b9244d89b2864e0789bbf1102af26ab5', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103019', 5, '石冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103019', 1, '2021-07-19 11:44:58', NULL, NULL), (13535, '', '华山村', '7be0414d7a624c3e85e03b7be3b7f75f', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103020', 5, '华山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103020', 1, '2021-07-19 11:44:58', NULL, NULL), (13536, '', '板桥村', '080cda1240ca4c07bcb0d8fe396ba6fb', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103021', 5, '板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103021', 1, '2021-07-19 11:44:58', NULL, NULL), (13537, '', '黄堰村', '11386b1aa10240378af8f501b192d02b', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103022', 5, '黄堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103022', 1, '2021-07-19 11:44:58', NULL, NULL), (13538, '', '龙井村', 'd383747bfd294dc3ad6f8e1a38e097a3', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103023', 5, '龙井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103023', 1, '2021-07-19 11:44:58', NULL, NULL), (13539, '', '禹王社区', '6281a8b28ce340fd874b89a86def186f', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103001', 5, '禹王社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103001', 1, '2021-07-19 11:44:58', NULL, NULL), (13540, '', '福台村', '1d4bec615dfd4d9d85f625e13659902e', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103201', 5, '福台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103201', 1, '2021-07-19 11:44:58', NULL, NULL), (13541, '', '曙光村', '31b72b503a7d41c2a37bca7429d6ddb2', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103202', 5, '曙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103202', 1, '2021-07-19 11:44:58', NULL, NULL), (13542, '', '破马村', 'fd765780fb5747e58c5bf4b216e8189f', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103203', 5, '破马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103203', 1, '2021-07-19 11:44:58', NULL, NULL), (13543, '', '西燃村', 'fc254ea70c424547b68bc0855dfbf10d', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103205', 5, '西燃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103205', 1, '2021-07-19 11:44:58', NULL, NULL), (13544, '', '石板田村', '8b1f660a880c4fe3bff27315f7777a20', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103206', 5, '石板田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103206', 1, '2021-07-19 11:44:58', NULL, NULL), (13545, '', '交通村', '61a8ade710274d7b96869a35c7b230fb', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103207', 5, '交通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103207', 1, '2021-07-19 11:44:58', NULL, NULL), (13546, '', '报恩寺村', '1511c59334c6457baa724fbb6d8d7935', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103212', 5, '报恩寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103212', 1, '2021-07-19 11:44:58', NULL, NULL), (13547, '', '永康村', 'e05ae159674d4c81a883503ff3f2c2ae', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103216', 5, '永康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103216', 1, '2021-07-19 11:44:58', NULL, NULL), (13548, '', '金观村', '47823f8dd9f84fa7a16cd649e52b2ef7', 'b9b7f3e3ab474d4589700f9a737c0a7d', 'False', 'True', 'false', 'false', '511011103217', 5, '金观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011103217', 1, '2021-07-19 11:44:58', NULL, NULL), (13549, '', '顺河镇', '419c73e4ed6845efa2b2507d816d0b14', '4d2a088828f842b1a02d122ee53d86b6', 'True', 'True', 'false', 'false', '511011104000', 4, '顺河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511011104000', 1, '2021-07-19 11:44:58', NULL, NULL), (13550, '', '龙兴村', '92f2b9497cdc48d985c0411b53385361', '419c73e4ed6845efa2b2507d816d0b14', 'False', 'True', 'false', 'false', '511011104397', 5, '龙兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011104397', 1, '2021-07-19 11:44:58', NULL, NULL), (13551, '', '见龙村', '8a473d5dbda34cd3a3d92c7a4b40475c', '419c73e4ed6845efa2b2507d816d0b14', 'False', 'True', 'false', 'false', '511011104202', 5, '见龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011104202', 1, '2021-07-19 11:44:58', NULL, NULL), (13552, '', '高升村', '7d1c6fa525c24c42a22ac1852604ecc7', '419c73e4ed6845efa2b2507d816d0b14', 'False', 'True', 'false', 'false', '511011104203', 5, '高升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011104203', 1, '2021-07-19 11:44:58', NULL, NULL), (13553, '', '黄莲坪村', '53ba39b8e2db4bdda2754c40fea8890d', '419c73e4ed6845efa2b2507d816d0b14', 'False', 'True', 'false', 'false', '511011104205', 5, '黄莲坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011104205', 1, '2021-07-19 11:44:58', NULL, NULL), (13554, '', '白云村', '709b2f7216954c6b9f0a0bcb8049be07', '419c73e4ed6845efa2b2507d816d0b14', 'False', 'True', 'false', 'false', '511011104208', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011104208', 1, '2021-07-19 11:44:58', NULL, NULL), (13555, '', '花祠村', 'ca05265e1fc14df0844c55ac4d7f695a', '419c73e4ed6845efa2b2507d816d0b14', 'False', 'True', 'false', 'false', '511011104209', 5, '花祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011104209', 1, '2021-07-19 11:44:58', NULL, NULL), (13556, '', '观音洞村', 'd568526f42bb406780cc0b142b38f49a', '419c73e4ed6845efa2b2507d816d0b14', 'False', 'True', 'false', 'false', '511011104212', 5, '观音洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011104212', 1, '2021-07-19 11:44:58', NULL, NULL), (13557, '', '南洋村', 'aa9fc00ddf1a453e98358648499e7926', '419c73e4ed6845efa2b2507d816d0b14', 'False', 'True', 'false', 'false', '511011104213', 5, '南洋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011104213', 1, '2021-07-19 11:44:59', NULL, NULL), (13558, '', '马鞍村', '3b5e6ce17e814a4c96b51208cbd3d274', '419c73e4ed6845efa2b2507d816d0b14', 'False', 'True', 'false', 'false', '511011104216', 5, '马鞍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011104216', 1, '2021-07-19 11:44:59', NULL, NULL), (13559, '', '冷家村', '18596389f97046d0b06f26de03c59281', '419c73e4ed6845efa2b2507d816d0b14', 'False', 'True', 'false', 'false', '511011104217', 5, '冷家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011104217', 1, '2021-07-19 11:44:59', NULL, NULL), (13560, '', '骑龙村', 'beb967a78a3b44449ce67be5084f59ea', '419c73e4ed6845efa2b2507d816d0b14', 'False', 'True', 'false', 'false', '511011104221', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011104221', 1, '2021-07-19 11:44:59', NULL, NULL), (13561, '', '熊庙村', 'ff67ec6044fb44158400e05995a87457', '419c73e4ed6845efa2b2507d816d0b14', 'False', 'True', 'false', 'false', '511011104224', 5, '熊庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011104224', 1, '2021-07-19 11:44:59', NULL, NULL), (13562, '', '凤兴村', '9e8ae2b0dcaf435d831f2473a68a0aec', '419c73e4ed6845efa2b2507d816d0b14', 'False', 'True', 'false', 'false', '511011104226', 5, '凤兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011104226', 1, '2021-07-19 11:44:59', NULL, NULL), (13563, '', '双才镇', '7959af230f0b4b3aadad43fc6945b8a5', '4d2a088828f842b1a02d122ee53d86b6', 'True', 'True', 'false', 'false', '511011107000', 4, '双才镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511011107000', 1, '2021-07-19 11:44:59', NULL, NULL), (13564, '', '贾家社区', 'db38108c65ab45018174aca2ae43498b', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011107001', 5, '贾家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011107001', 1, '2021-07-19 11:44:59', NULL, NULL), (13565, '', '黄莲铺社区', 'd11fde7cda104efabe469b064bbec493', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011107002', 5, '黄莲铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011107002', 1, '2021-07-19 11:44:59', NULL, NULL), (13566, '', '十字村', '150cb1ad524348ff936d9b59c660f1b6', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011107200', 5, '十字村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011107200', 1, '2021-07-19 11:44:59', NULL, NULL), (13567, '', '二八村', 'f9612671146c426994513e97f32cbdc0', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011107201', 5, '二八村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011107201', 1, '2021-07-19 11:44:59', NULL, NULL), (13568, '', '双才社区', 'f86a84f5b6764e5e9b4703d10e9c3dc8', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011107202', 5, '双才社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011107202', 1, '2021-07-19 11:44:59', NULL, NULL), (13569, '', '洪兴村', 'b2ac80a91eb24a0e8e1d4238d59fa999', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011107203', 5, '洪兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011107203', 1, '2021-07-19 11:44:59', NULL, NULL), (13570, '', '胡石村', 'f64c340f64c74309a1a2ae20521e234f', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011107204', 5, '胡石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011107204', 1, '2021-07-19 11:44:59', NULL, NULL), (13571, '', '玉皇观村', 'a969440bb0074988a673d7765fa9708f', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011107206', 5, '玉皇观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011107206', 1, '2021-07-19 11:44:59', NULL, NULL), (13572, '', '瓢儿井村', '14e9504d01324c1dbc2686a8f898f6fd', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011107207', 5, '瓢儿井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011107207', 1, '2021-07-19 11:44:59', NULL, NULL), (13573, '', '水大田村', 'f5e31b35c6754d38b01235e4be0c155a', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011107208', 5, '水大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011107208', 1, '2021-07-19 11:44:59', NULL, NULL), (13574, '', '芦音村', 'e0c23e6950984001a66c2a0a7d181f14', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011107209', 5, '芦音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011107209', 1, '2021-07-19 11:44:59', NULL, NULL), (13575, '', '罗皇村', '5c4b8ad2396f4a10acf99d1cea89de5b', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011107210', 5, '罗皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011107210', 1, '2021-07-19 11:45:00', NULL, NULL), (13576, '', '芋河村', '30dba30646e744e1819a251d88b2d669', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011107211', 5, '芋河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011107211', 1, '2021-07-19 11:45:00', NULL, NULL), (13577, '', '三烈社区', '42a9238a08a7485f99faece016676a48', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011107212', 5, '三烈社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011107212', 1, '2021-07-19 11:45:00', NULL, NULL), (13578, '', '花庙村', '3dd9f5543e274fa7b5320a2b5f11a129', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011172143', 5, '花庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011172143', 1, '2021-07-19 11:45:00', NULL, NULL), (13579, '', '三关村', '1de195c3e99b400f89aadd0b321124b6', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011172153', 5, '三关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011172153', 1, '2021-07-19 11:45:00', NULL, NULL), (13580, '', '对坡村', '0693b0a0624247b9995f1e58320e5d59', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011172163', 5, '对坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011172163', 1, '2021-07-19 11:45:00', NULL, NULL), (13581, '', '涂家村', 'f83e9fce5e6d434c8eaddce328ebc59a', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011172173', 5, '涂家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011172173', 1, '2021-07-19 11:45:00', NULL, NULL), (13582, '', '高屋村', '05fb3c94218949c69d0d46e9ee230ce0', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011172183', 5, '高屋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011172183', 1, '2021-07-19 11:45:00', NULL, NULL), (13583, '', '万里村', '10d54a18b23344e89bdab8a5e1bf1df6', '7959af230f0b4b3aadad43fc6945b8a5', 'False', 'True', 'false', 'false', '511011172193', 5, '万里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011172193', 1, '2021-07-19 11:45:00', NULL, NULL), (13584, '', '杨家镇', '194f2ba542964a9291bc8859f1f7c09f', '4d2a088828f842b1a02d122ee53d86b6', 'True', 'True', 'false', 'false', '511011109000', 4, '杨家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511011109000', 1, '2021-07-19 11:45:00', NULL, NULL), (13585, '', '团结社区', 'a02646defb334b33a6579e742690f719', '194f2ba542964a9291bc8859f1f7c09f', 'False', 'True', 'false', 'false', '511011109001', 5, '团结社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011109001', 1, '2021-07-19 11:45:00', NULL, NULL), (13586, '', '王家庵村', '71d73e4f005f4fd8a00cb6e7a67c162d', '194f2ba542964a9291bc8859f1f7c09f', 'False', 'True', 'false', 'false', '511011109203', 5, '王家庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011109203', 1, '2021-07-19 11:45:00', NULL, NULL), (13587, '', '石盘村', '722576742d5f49a681080fcf87a35e27', '194f2ba542964a9291bc8859f1f7c09f', 'False', 'True', 'false', 'false', '511011109205', 5, '石盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011109205', 1, '2021-07-19 11:45:00', NULL, NULL), (13588, '', '龙滩村', '07c0fa459a474adfa1113e5cfe9c120f', '194f2ba542964a9291bc8859f1f7c09f', 'False', 'True', 'false', 'false', '511011109206', 5, '龙滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011109206', 1, '2021-07-19 11:45:00', NULL, NULL), (13589, '', '观音井村', 'df430decf88e4901938ca0521ee952b4', '194f2ba542964a9291bc8859f1f7c09f', 'False', 'True', 'false', 'false', '511011109207', 5, '观音井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011109207', 1, '2021-07-19 11:45:00', NULL, NULL), (13590, '', '金银嘴村', '0a978f9d8b41433e9ccd3159a3df64db', '194f2ba542964a9291bc8859f1f7c09f', 'False', 'True', 'false', 'false', '511011109208', 5, '金银嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011109208', 1, '2021-07-19 11:45:00', NULL, NULL), (13591, '', '二龙村', '9f52849ebf03488cbabc86ce80ba3aa0', '194f2ba542964a9291bc8859f1f7c09f', 'False', 'True', 'false', 'false', '511011109209', 5, '二龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011109209', 1, '2021-07-19 11:45:00', NULL, NULL), (13592, '', '柏犁村', 'ca9947406440488eb240a986a0a10cfb', '194f2ba542964a9291bc8859f1f7c09f', 'False', 'True', 'false', 'false', '511011109210', 5, '柏犁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011109210', 1, '2021-07-19 11:45:00', NULL, NULL), (13593, '', '清古村', '3fc447c2421d4feca1f2dcb4b6d69f03', '194f2ba542964a9291bc8859f1f7c09f', 'False', 'True', 'false', 'false', '511011109212', 5, '清古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011109212', 1, '2021-07-19 11:45:00', NULL, NULL), (13594, '', '椑木镇', 'b59b1272ea8a449fb0f67a7a6ea35451', '4d2a088828f842b1a02d122ee53d86b6', 'True', 'True', 'false', 'false', '511011110000', 4, '椑木镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511011110000', 1, '2021-07-19 11:45:00', NULL, NULL), (13595, '', '黄棚社区', '0fe09cfffc854a0894532a5a57770890', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110011', 5, '黄棚社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110011', 1, '2021-07-19 11:45:01', NULL, NULL), (13596, '', '游家坝村', '5ed9034d950d4cc8a4cb739cd43536e2', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110024', 5, '游家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110024', 1, '2021-07-19 11:45:01', NULL, NULL), (13597, '', '团结社区', 'f13305b09a8245afaa104e25174b94a1', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110049', 5, '团结社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110049', 1, '2021-07-19 11:45:01', NULL, NULL), (13598, '', '高崇社区', 'f5722af7f6654e5aa1f4be09a5fdfd4f', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110084', 5, '高崇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110084', 1, '2021-07-19 11:45:01', NULL, NULL), (13599, '', '金子村', '86cf89554de94e7abd9cf5127f32dadf', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110088', 5, '金子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110088', 1, '2021-07-19 11:45:01', NULL, NULL), (13600, '', '建设村', '9268486303dd4e238fd8423cfaf3bfdd', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110236', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110236', 1, '2021-07-19 11:45:01', NULL, NULL), (13601, '', '新田社区', '9c33f65fdcbe4d3cbf5ae873238ff86e', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110287', 5, '新田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110287', 1, '2021-07-19 11:45:01', NULL, NULL), (13602, '', '麻湾村', '47da58e36b7145768eb9259bc52fe659', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110299', 5, '麻湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110299', 1, '2021-07-19 11:45:01', NULL, NULL), (13603, '', '牛棚子社区', '9778caa7f3c647e1bfd113c73a25349b', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110406', 5, '牛棚子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110406', 1, '2021-07-19 11:45:01', NULL, NULL), (13604, '', '庙儿坡村', '13b2ad643dce43f2b118826afb48dd01', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110407', 5, '庙儿坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110407', 1, '2021-07-19 11:45:01', NULL, NULL), (13605, '', '光明村', '89f54409b964400ebeb4a114afa55e0c', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110468', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110468', 1, '2021-07-19 11:45:02', NULL, NULL), (13606, '', '红庙村', '72db447440d74b9d99e58736c9066739', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110472', 5, '红庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110472', 1, '2021-07-19 11:45:02', NULL, NULL), (13607, '', '洪桥村', 'cbb6f4392116486389dbf4f7ed65ce01', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110575', 5, '洪桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110575', 1, '2021-07-19 11:45:02', NULL, NULL), (13608, '', '水心坝村', '042912a978d846bfbce9154ccf9167d1', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110616', 5, '水心坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110616', 1, '2021-07-19 11:45:02', NULL, NULL), (13609, '', '长滩社区', '28605095712f4a42849a91417d4cbb27', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110628', 5, '长滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110628', 1, '2021-07-19 11:45:02', NULL, NULL), (13610, '', '永安村', '8e2a911506a04abba489d4b4bc80c4fe', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110649', 5, '永安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110649', 1, '2021-07-19 11:45:02', NULL, NULL), (13611, '', '星光村', '95a3112b718140bab3fedb089b932fa7', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110651', 5, '星光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110651', 1, '2021-07-19 11:45:02', NULL, NULL), (13612, '', '沙石村', 'a8032a6ead8d468b8eb2bebd8b4eb820', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110676', 5, '沙石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110676', 1, '2021-07-19 11:45:02', NULL, NULL), (13613, '', '共和村', 'f3faba2963aa4e23ac3d1d6c55f92ff1', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110699', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110699', 1, '2021-07-19 11:45:02', NULL, NULL), (13614, '', '四方碑村', 'd8bb8ab850e24eddb9d3419800d8ae0e', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110792', 5, '四方碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110792', 1, '2021-07-19 11:45:02', NULL, NULL), (13615, '', '长丰村', '645be1319b024a11b357636a2977e44f', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110816', 5, '长丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110816', 1, '2021-07-19 11:45:02', NULL, NULL), (13616, '', '中山村', 'c06c0cd5dd81402f8e1b2bffdc180952', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110825', 5, '中山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110825', 1, '2021-07-19 11:45:02', NULL, NULL), (13617, '', '红林村', '29ade1357c074a8388722f1d14602775', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110841', 5, '红林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110841', 1, '2021-07-19 11:45:02', NULL, NULL), (13618, '', '河口村', '2b3e3d41237c471bbed78c61291618df', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110851', 5, '河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110851', 1, '2021-07-19 11:45:02', NULL, NULL), (13619, '', '双洞子社区', '39d63ec187784d2487288210470e0dcb', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110870', 5, '双洞子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110870', 1, '2021-07-19 11:45:02', NULL, NULL), (13620, '', '陈湾村', 'f867ef6170f742ef974a731211d0a40d', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110912', 5, '陈湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110912', 1, '2021-07-19 11:45:03', NULL, NULL), (13621, '', '花马村', '27ef8676f396436ba3e762a9218f9cac', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110944', 5, '花马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110944', 1, '2021-07-19 11:45:03', NULL, NULL), (13622, '', '玉屏社区', '78dc5f9ec8a04a45af1af0cae3f09b35', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110001', 5, '玉屏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110001', 1, '2021-07-19 11:45:03', NULL, NULL), (13623, '', '马南社区', 'c494479246c848ba859debe9c3fcf9d4', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110002', 5, '马南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110002', 1, '2021-07-19 11:45:03', NULL, NULL), (13624, '', '内糖社区', '6cd9c4174a734242b8798269d7788f1f', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110003', 5, '内糖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110003', 1, '2021-07-19 11:45:03', NULL, NULL), (13625, '', '峨柴社区', 'a25818ff708d462485a3f3a1357e25a4', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110004', 5, '峨柴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110004', 1, '2021-07-19 11:45:03', NULL, NULL), (13626, '', '光荣社区', '0f73d20f8d4740f68b5c5382329e4bf3', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110005', 5, '光荣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110005', 1, '2021-07-19 11:45:03', NULL, NULL), (13627, '', '新渡社区', 'd98ed68fa9f540fea61d04f922444c9e', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110006', 5, '新渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110006', 1, '2021-07-19 11:45:03', NULL, NULL), (13628, '', '同乐社区', '7ad5f6a53f304782b85cb75b831ddaae', 'b59b1272ea8a449fb0f67a7a6ea35451', 'False', 'True', 'false', 'false', '511011110007', 5, '同乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011110007', 1, '2021-07-19 11:45:03', NULL, NULL), (13629, '', '石子镇', '439df50603c641eb882cf468db161ef8', '4d2a088828f842b1a02d122ee53d86b6', 'True', 'True', 'false', 'false', '511011111000', 4, '石子镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511011111000', 1, '2021-07-19 11:45:03', NULL, NULL), (13630, '', '桂溪社区', 'd52522cac3454aa9ac01fc3d7f91f7cc', '439df50603c641eb882cf468db161ef8', 'False', 'True', 'false', 'false', '511011111001', 5, '桂溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011111001', 1, '2021-07-19 11:45:03', NULL, NULL), (13631, '', '旱地村', '2d2849f807fc4dadbf987591ee85d5f5', '439df50603c641eb882cf468db161ef8', 'False', 'True', 'false', 'false', '511011111200', 5, '旱地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011111200', 1, '2021-07-19 11:45:03', NULL, NULL), (13632, '', '核桃村', 'df821eff80734f8c9234fa2e37130dab', '439df50603c641eb882cf468db161ef8', 'False', 'True', 'false', 'false', '511011111203', 5, '核桃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011111203', 1, '2021-07-19 11:45:03', NULL, NULL), (13633, '', '太和村', '01201d01fcdc4cb0a5e6c68fff971e53', '439df50603c641eb882cf468db161ef8', 'False', 'True', 'false', 'false', '511011111205', 5, '太和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011111205', 1, '2021-07-19 11:45:03', NULL, NULL), (13634, '', '龙安村', '886359d990a84074bfadaad6d5718481', '439df50603c641eb882cf468db161ef8', 'False', 'True', 'false', 'false', '511011111206', 5, '龙安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011111206', 1, '2021-07-19 11:45:03', NULL, NULL), (13635, '', '新屋村', '9f4d723ec8994ddab9bf7b9ea040f8fd', '439df50603c641eb882cf468db161ef8', 'False', 'True', 'false', 'false', '511011111208', 5, '新屋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011111208', 1, '2021-07-19 11:45:03', NULL, NULL), (13636, '', '七星村', '9e4b648317d34c89aa7fb5b9531eb8c4', '439df50603c641eb882cf468db161ef8', 'False', 'True', 'false', 'false', '511011111209', 5, '七星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011111209', 1, '2021-07-19 11:45:03', NULL, NULL), (13637, '', '天星村', 'c4abb0b1b5f34b17b42947f7c0e3a038', '439df50603c641eb882cf468db161ef8', 'False', 'True', 'false', 'false', '511011111213', 5, '天星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011111213', 1, '2021-07-19 11:45:03', NULL, NULL), (13638, '', '永兴镇', '217b2b63483d4e52a4cfa6844852cc3a', '4d2a088828f842b1a02d122ee53d86b6', 'True', 'True', 'false', 'false', '511011113000', 4, '永兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511011113000', 1, '2021-07-19 11:45:03', NULL, NULL), (13639, '', '永兴社区', '64e5a787fa0c4c879e263a2ad4861477', '217b2b63483d4e52a4cfa6844852cc3a', 'False', 'True', 'false', 'false', '511011113001', 5, '永兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011113001', 1, '2021-07-19 11:45:03', NULL, NULL), (13640, '', '光音社区', 'ac6120a734cf4804b54ccdd9b67a63dc', '217b2b63483d4e52a4cfa6844852cc3a', 'False', 'True', 'false', 'false', '511011113003', 5, '光音社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011113003', 1, '2021-07-19 11:45:03', NULL, NULL), (13641, '', '流油村', 'a3193222dcb946a39d217d4548f65aee', '217b2b63483d4e52a4cfa6844852cc3a', 'False', 'True', 'false', 'false', '511011113201', 5, '流油村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011113201', 1, '2021-07-19 11:45:04', NULL, NULL), (13642, '', '半坡村', '8bf191775d3d4f7085bffa7874765422', '217b2b63483d4e52a4cfa6844852cc3a', 'False', 'True', 'false', 'false', '511011113202', 5, '半坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011113202', 1, '2021-07-19 11:45:04', NULL, NULL), (13643, '', '青龙村', '304788f18b504c1ea27ae584e1c9fb14', '217b2b63483d4e52a4cfa6844852cc3a', 'False', 'True', 'false', 'false', '511011113203', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011113203', 1, '2021-07-19 11:45:04', NULL, NULL), (13644, '', '东岳村', 'c8dc41ecb7f148509b49d6dbbeca1b3d', '217b2b63483d4e52a4cfa6844852cc3a', 'False', 'True', 'false', 'false', '511011113204', 5, '东岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011113204', 1, '2021-07-19 11:45:04', NULL, NULL), (13645, '', '石笋村', '4c999a2438544af794e087df10421782', '217b2b63483d4e52a4cfa6844852cc3a', 'False', 'True', 'false', 'false', '511011113207', 5, '石笋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011113207', 1, '2021-07-19 11:45:04', NULL, NULL), (13646, '', '卢家村', '6be3b747263c42059a46ad0f9175cd6f', '217b2b63483d4e52a4cfa6844852cc3a', 'False', 'True', 'false', 'false', '511011113208', 5, '卢家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011113208', 1, '2021-07-19 11:45:04', NULL, NULL), (13647, '', '石滩村', '3937c89e03974aa99d59330b969bc317', '217b2b63483d4e52a4cfa6844852cc3a', 'False', 'True', 'false', 'false', '511011113209', 5, '石滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011113209', 1, '2021-07-19 11:45:04', NULL, NULL), (13648, '', '团山村', '89fabb1b6ddc4e9abaa82d5da02f7704', '217b2b63483d4e52a4cfa6844852cc3a', 'False', 'True', 'false', 'false', '511011113211', 5, '团山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011113211', 1, '2021-07-19 11:45:04', NULL, NULL), (13649, '', '莲花村', '9b2eb66fddd44f55a5ccd76bd36eb4c4', '217b2b63483d4e52a4cfa6844852cc3a', 'False', 'True', 'false', 'false', '511011113215', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011113215', 1, '2021-07-19 11:45:04', NULL, NULL), (13650, '', '水口寺村', '01082305f26947fa99b104a9b00f2caf', '217b2b63483d4e52a4cfa6844852cc3a', 'False', 'True', 'false', 'false', '511011113217', 5, '水口寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011113217', 1, '2021-07-19 11:45:04', NULL, NULL), (13651, '', '半边山村', '16b232e2f2aa4fa6aa43079264a03396', '217b2b63483d4e52a4cfa6844852cc3a', 'False', 'True', 'false', 'false', '511011113219', 5, '半边山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011113219', 1, '2021-07-19 11:45:04', NULL, NULL), (13652, '', '闻家冲村', 'a6dfda58b56345a0aed2ea817839193e', '217b2b63483d4e52a4cfa6844852cc3a', 'False', 'True', 'false', 'false', '511011113220', 5, '闻家冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011113220', 1, '2021-07-19 11:45:04', NULL, NULL), (13653, '', '平坦镇', '45214b336ca5498d901f3d4d8f88012b', '4d2a088828f842b1a02d122ee53d86b6', 'True', 'True', 'false', 'false', '511011114000', 4, '平坦镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511011114000', 1, '2021-07-19 11:45:04', NULL, NULL), (13654, '', '平滩社区', '243cbcd02dc040ee866dff9ba74feedb', '45214b336ca5498d901f3d4d8f88012b', 'False', 'True', 'false', 'false', '511011114001', 5, '平滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011114001', 1, '2021-07-19 11:45:04', NULL, NULL), (13655, '', '成新村', '8126ff78e04f4afb9f537f7e8bfdc143', '45214b336ca5498d901f3d4d8f88012b', 'False', 'True', 'false', 'false', '511011114202', 5, '成新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011114202', 1, '2021-07-19 11:45:04', NULL, NULL), (13656, '', '十里村', 'd2003040c7214934812d3a0c1e7fcdaf', '45214b336ca5498d901f3d4d8f88012b', 'False', 'True', 'false', 'false', '511011114203', 5, '十里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011114203', 1, '2021-07-19 11:45:04', NULL, NULL), (13657, '', '清凉村', '6580246aaacb47e792a91e5732237c97', '45214b336ca5498d901f3d4d8f88012b', 'False', 'True', 'false', 'false', '511011114205', 5, '清凉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011114205', 1, '2021-07-19 11:45:04', NULL, NULL), (13658, '', '利子村', '9c2e39139be9455584ff9fb2192e141f', '45214b336ca5498d901f3d4d8f88012b', 'False', 'True', 'false', 'false', '511011114207', 5, '利子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011114207', 1, '2021-07-19 11:45:04', NULL, NULL), (13659, '', '白家村', 'b213c155b3664f5e96b18cf22f795d2f', '45214b336ca5498d901f3d4d8f88012b', 'False', 'True', 'false', 'false', '511011114208', 5, '白家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011114208', 1, '2021-07-19 11:45:04', NULL, NULL), (13660, '', '宝塔村', '48757de1e39644efb78a2a56fa70b48f', '45214b336ca5498d901f3d4d8f88012b', 'False', 'True', 'false', 'false', '511011114211', 5, '宝塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011114211', 1, '2021-07-19 11:45:04', NULL, NULL), (13661, '', '晒鱼村', 'da6757a5e6f944d5a7b30b24a738f54d', '45214b336ca5498d901f3d4d8f88012b', 'False', 'True', 'false', 'false', '511011114212', 5, '晒鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011114212', 1, '2021-07-19 11:45:04', NULL, NULL), (13662, '', '水梨村', 'e5249f013ac94d6c99d8d3c1a8eaf894', '45214b336ca5498d901f3d4d8f88012b', 'False', 'True', 'false', 'false', '511011114213', 5, '水梨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011114213', 1, '2021-07-19 11:45:04', NULL, NULL), (13663, '', '兰家村', 'a897b872586e45c3b24066e5a8c7024c', '45214b336ca5498d901f3d4d8f88012b', 'False', 'True', 'false', 'false', '511011114216', 5, '兰家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011114216', 1, '2021-07-19 11:45:04', NULL, NULL), (13664, '', '富溪镇', '72605a66907846f98486921bf144cbf9', '4d2a088828f842b1a02d122ee53d86b6', 'True', 'True', 'false', 'false', '511011118000', 4, '富溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511011118000', 1, '2021-07-19 11:45:05', NULL, NULL), (13665, '', '田溪口社区', '2f8c03df678e43219130485f74d76cc6', '72605a66907846f98486921bf144cbf9', 'False', 'True', 'false', 'false', '511011118001', 5, '田溪口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011118001', 1, '2021-07-19 11:45:05', NULL, NULL), (13666, '', '天赐村', 'b458c612683a4879841d111653faaa27', '72605a66907846f98486921bf144cbf9', 'False', 'True', 'false', 'false', '511011118201', 5, '天赐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011118201', 1, '2021-07-19 11:45:05', NULL, NULL), (13667, '', '来凤村', '6d06582f907f4a5e82638d0a68997cdd', '72605a66907846f98486921bf144cbf9', 'False', 'True', 'false', 'false', '511011118204', 5, '来凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011118204', 1, '2021-07-19 11:45:05', NULL, NULL), (13668, '', '白马滩村', '1c23bc08b0b549b292aa9ccd8a98346f', '72605a66907846f98486921bf144cbf9', 'False', 'True', 'false', 'false', '511011118207', 5, '白马滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011118207', 1, '2021-07-19 11:45:05', NULL, NULL), (13669, '', '染房坝村', '7098fc3a516f4a7b887dca5be33036a5', '72605a66907846f98486921bf144cbf9', 'False', 'True', 'false', 'false', '511011118209', 5, '染房坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011118209', 1, '2021-07-19 11:45:05', NULL, NULL), (13670, '', '宁安桥村', '92dbf08c04a5472dbe0d6502064b3914', '72605a66907846f98486921bf144cbf9', 'False', 'True', 'false', 'false', '511011118210', 5, '宁安桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011118210', 1, '2021-07-19 11:45:05', NULL, NULL), (13671, '', '田溪口村', '680aec5acc314a7485dafef865fd2d5d', '72605a66907846f98486921bf144cbf9', 'False', 'True', 'false', 'false', '511011118211', 5, '田溪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011118211', 1, '2021-07-19 11:45:05', NULL, NULL), (13672, '', '顺江村', '950672c2c60c45b98c3edd02d5d5a4a1', '72605a66907846f98486921bf144cbf9', 'False', 'True', 'false', 'false', '511011118212', 5, '顺江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011118212', 1, '2021-07-19 11:45:05', NULL, NULL), (13673, '', '凤凰村', '5851cb10ead74f3eac2a29d0271e2428', '72605a66907846f98486921bf144cbf9', 'False', 'True', 'false', 'false', '511011118214', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011118214', 1, '2021-07-19 11:45:05', NULL, NULL), (13674, '', '罗井村', '651262f321714ed0b450e579b3d1104b', '72605a66907846f98486921bf144cbf9', 'False', 'True', 'false', 'false', '511011118216', 5, '罗井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011118216', 1, '2021-07-19 11:45:05', NULL, NULL), (13675, '', '永福镇', '7b07c6197c2e4e74a83bed0f4b9d7405', '4d2a088828f842b1a02d122ee53d86b6', 'True', 'True', 'false', 'false', '511011120000', 4, '永福镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511011120000', 1, '2021-07-19 11:45:05', NULL, NULL), (13676, '', '东岳社区', '67ccc797f285403bb7aad2111e62728d', '7b07c6197c2e4e74a83bed0f4b9d7405', 'False', 'True', 'false', 'false', '511011120001', 5, '东岳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011120001', 1, '2021-07-19 11:45:05', NULL, NULL), (13677, '', '新庙子村', 'ac1fa6d6525144ea9861378e5649c1b9', '7b07c6197c2e4e74a83bed0f4b9d7405', 'False', 'True', 'false', 'false', '511011120202', 5, '新庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011120202', 1, '2021-07-19 11:45:05', NULL, NULL), (13678, '', '山青庙村', '273301eddc2f4ea9a881e4474ac4cadb', '7b07c6197c2e4e74a83bed0f4b9d7405', 'False', 'True', 'false', 'false', '511011120203', 5, '山青庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011120203', 1, '2021-07-19 11:45:05', NULL, NULL), (13679, '', '鲤鱼塘村', 'f38f8aef9d724e99baacaddc1642d93a', '7b07c6197c2e4e74a83bed0f4b9d7405', 'False', 'True', 'false', 'false', '511011120206', 5, '鲤鱼塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011120206', 1, '2021-07-19 11:45:05', NULL, NULL), (13680, '', '曹家沟村', '1bd3b016b8c34fc9b861473006314578', '7b07c6197c2e4e74a83bed0f4b9d7405', 'False', 'True', 'false', 'false', '511011120208', 5, '曹家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011120208', 1, '2021-07-19 11:45:05', NULL, NULL), (13681, '', '盘坨村', '4ec7c6d187d24d88806a7c56ed34e051', '7b07c6197c2e4e74a83bed0f4b9d7405', 'False', 'True', 'false', 'false', '511011120209', 5, '盘坨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011120209', 1, '2021-07-19 11:45:05', NULL, NULL), (13682, '', '太安村', '077d9fd9ed9344c5bd7c2415aa51ff36', '7b07c6197c2e4e74a83bed0f4b9d7405', 'False', 'True', 'false', 'false', '511011120210', 5, '太安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011120210', 1, '2021-07-19 11:45:05', NULL, NULL), (13683, '', '鸦鹊寺村', '8ef2d31fb96d4b8ab8e3b59daa1dfb59', '7b07c6197c2e4e74a83bed0f4b9d7405', 'False', 'True', 'false', 'false', '511011120211', 5, '鸦鹊寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011120211', 1, '2021-07-19 11:45:05', NULL, NULL), (13684, '', '夏家沟村', '27983f661e2c4a5bbc80e9970dc0a4c0', '7b07c6197c2e4e74a83bed0f4b9d7405', 'False', 'True', 'false', 'false', '511011120214', 5, '夏家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011120214', 1, '2021-07-19 11:45:06', NULL, NULL), (13685, '', '西林街道', 'e653e661e07945d5be1feb0f25c7d56a', '4d2a088828f842b1a02d122ee53d86b6', 'True', 'True', 'false', 'false', '511011594000', 4, '西林街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511011594000', 1, '2021-07-19 11:45:06', NULL, NULL), (13686, '', '月亮社区', '64af44291df341388ab9dbae8902bb2d', 'e653e661e07945d5be1feb0f25c7d56a', 'False', 'True', 'false', 'false', '511011594001', 5, '月亮社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011594001', 1, '2021-07-19 11:45:06', NULL, NULL), (13687, '', '兴盛社区', '3bbd7ece278f4132901ad9b3829fd4c3', 'e653e661e07945d5be1feb0f25c7d56a', 'False', 'True', 'false', 'false', '511011594002', 5, '兴盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011594002', 1, '2021-07-19 11:45:06', NULL, NULL), (13688, '', '西林社区', 'd539c7a28646435e81f9362c0dacdd98', 'e653e661e07945d5be1feb0f25c7d56a', 'False', 'True', 'false', 'false', '511011594003', 5, '西林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011594003', 1, '2021-07-19 11:45:06', NULL, NULL), (13689, '', '桐梓社区', '32c219af39554e67b784e661e6291b47', 'e653e661e07945d5be1feb0f25c7d56a', 'False', 'True', 'false', 'false', '511011594004', 5, '桐梓社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011594004', 1, '2021-07-19 11:45:06', NULL, NULL), (13690, '', '师院社区', '85fd6ed2ae7847dba94da6a62c10e01c', 'e653e661e07945d5be1feb0f25c7d56a', 'False', 'True', 'false', 'false', '511011594005', 5, '师院社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011594005', 1, '2021-07-19 11:45:06', NULL, NULL), (13691, '', '汉安社区', '414bb81fef564920b249f64e35661c21', 'e653e661e07945d5be1feb0f25c7d56a', 'False', 'True', 'false', 'false', '511011594006', 5, '汉安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011594006', 1, '2021-07-19 11:45:06', NULL, NULL), (13692, '', '翡翠社区', 'a4c1fd4a1c2b4ff68b3d0ad52b83f2ce', 'e653e661e07945d5be1feb0f25c7d56a', 'False', 'True', 'false', 'false', '511011594007', 5, '翡翠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011594007', 1, '2021-07-19 11:45:06', NULL, NULL), (13693, '', '五星社区', '2ee70e442e174ffe934a0d4466ae7241', 'e653e661e07945d5be1feb0f25c7d56a', 'False', 'True', 'false', 'false', '511011594008', 5, '五星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011594008', 1, '2021-07-19 11:45:06', NULL, NULL), (13694, '', '晨望社区', '7d870d32bb384918ba76d675c68e7dc4', 'e653e661e07945d5be1feb0f25c7d56a', 'False', 'True', 'false', 'false', '511011594009', 5, '晨望社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011594009', 1, '2021-07-19 11:45:06', NULL, NULL), (13695, '', '玉峰社区', '1804815052104a559664cdfc2175fe44', 'e653e661e07945d5be1feb0f25c7d56a', 'False', 'True', 'false', 'false', '511011594010', 5, '玉峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011594010', 1, '2021-07-19 11:45:06', NULL, NULL), (13696, '', '太平社区', 'cb907e0db2ee4e2ea7b8456001abc4d2', 'e653e661e07945d5be1feb0f25c7d56a', 'False', 'True', 'false', 'false', '511011594011', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011594011', 1, '2021-07-19 11:45:06', NULL, NULL), (13697, '', '双星社区', '1eab05bc662743d5afdebd553f61ae4e', 'e653e661e07945d5be1feb0f25c7d56a', 'False', 'True', 'false', 'false', '511011594012', 5, '双星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011594012', 1, '2021-07-19 11:45:06', NULL, NULL), (13698, '', '金牛社区', '5305d049b516414d910b956c6ae854c6', 'e653e661e07945d5be1feb0f25c7d56a', 'False', 'True', 'false', 'false', '511011594013', 5, '金牛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011594013', 1, '2021-07-19 11:45:07', NULL, NULL), (13699, '', '家和社区', '6a65cb60989347eda778b1be5f09cdb8', 'e653e661e07945d5be1feb0f25c7d56a', 'False', 'True', 'false', 'false', '511011594014', 5, '家和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011594014', 1, '2021-07-19 11:45:07', NULL, NULL), (13700, '', '碧云社区', '385d08a6a4b84ed883c34af97364fecb', 'e653e661e07945d5be1feb0f25c7d56a', 'False', 'True', 'false', 'false', '511011594015', 5, '碧云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011594015', 1, '2021-07-19 11:45:07', NULL, NULL), (13701, '', '锦绣社区', 'afdce3b2fbe84d5cad89385cf46015e6', 'e653e661e07945d5be1feb0f25c7d56a', 'False', 'True', 'false', 'false', '511011594275', 5, '锦绣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011594275', 1, '2021-07-19 11:45:07', NULL, NULL), (13702, '', '罗碗山社区', '4baff0bd4fdc40f48a9fc3bf06e1fd1a', 'e653e661e07945d5be1feb0f25c7d56a', 'False', 'True', 'false', 'false', '511011594650', 5, '罗碗山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011594650', 1, '2021-07-19 11:45:07', NULL, NULL), (13703, '', '郭北镇', '4c03b27c1d2745a6bd73de970316fea8', '4d2a088828f842b1a02d122ee53d86b6', 'True', 'True', 'false', 'false', '511011639000', 4, '郭北镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511011639000', 1, '2021-07-19 11:45:07', NULL, NULL), (13704, '', '红岩村', 'f7087c4a2c8b40eba1e67e9c473fb5ac', '4c03b27c1d2745a6bd73de970316fea8', 'False', 'True', 'false', 'false', '511011101205', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011101205', 1, '2021-07-19 11:45:07', NULL, NULL), (13705, '', '郭家村', 'cc49eb89279d4b0bad6c4a14a687ae4f', '4c03b27c1d2745a6bd73de970316fea8', 'False', 'True', 'false', 'false', '511011101208', 5, '郭家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011101208', 1, '2021-07-19 11:45:07', NULL, NULL), (13706, '', '清水村', 'c0e62468ac894337bcaac4defb0f63d3', '4c03b27c1d2745a6bd73de970316fea8', 'False', 'True', 'false', 'false', '511011101209', 5, '清水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011101209', 1, '2021-07-19 11:45:07', NULL, NULL), (13707, '', '放生桥村', '437d72821fab4657b7e54dcd9a02cbe0', '4c03b27c1d2745a6bd73de970316fea8', 'False', 'True', 'false', 'false', '511011101215', 5, '放生桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011101215', 1, '2021-07-19 11:45:07', NULL, NULL), (13708, '', '天宫堂村', '5e8d522d79254c2a82c7c27357d1615b', '4c03b27c1d2745a6bd73de970316fea8', 'False', 'True', 'false', 'false', '511011101218', 5, '天宫堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011101218', 1, '2021-07-19 11:45:07', NULL, NULL), (13709, '', '青台村', '4444d467d27c4fba836da706528a3412', '4c03b27c1d2745a6bd73de970316fea8', 'False', 'True', 'false', 'false', '511011101220', 5, '青台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011101220', 1, '2021-07-19 11:45:07', NULL, NULL), (13710, '', '亢家村', '2f2aca5e8eeb4f5691efc3910179bf0d', '4c03b27c1d2745a6bd73de970316fea8', 'False', 'True', 'false', 'false', '511011101222', 5, '亢家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011101222', 1, '2021-07-19 11:45:07', NULL, NULL), (13711, '', '黄泥村', 'b1ff0ff258b74e5390b4af3bb6f77a50', '4c03b27c1d2745a6bd73de970316fea8', 'False', 'True', 'false', 'false', '511011101225', 5, '黄泥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011101225', 1, '2021-07-19 11:45:08', NULL, NULL), (13712, '', '南岸社区', '45d67b66808c4ce3a71cc824497a09bb', '4c03b27c1d2745a6bd73de970316fea8', 'False', 'True', 'false', 'false', '511011639308', 5, '南岸社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011639308', 1, '2021-07-19 11:45:08', NULL, NULL), (13713, '', '北岸社区', '581156d1df4b409b98a5afc151daa677', '4c03b27c1d2745a6bd73de970316fea8', 'False', 'True', 'false', 'false', '511011639370', 5, '北岸社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011639370', 1, '2021-07-19 11:45:08', NULL, NULL), (13714, '', '石庙村', 'f98eda7c226a448f9204c2cb2be47577', '4c03b27c1d2745a6bd73de970316fea8', 'False', 'True', 'false', 'false', '511011639611', 5, '石庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011639611', 1, '2021-07-19 11:45:08', NULL, NULL), (13715, '', '长坝村', '8eb86f0024574583ba1f3987e1cb1ac0', '4c03b27c1d2745a6bd73de970316fea8', 'False', 'True', 'false', 'false', '511011639706', 5, '长坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011639706', 1, '2021-07-19 11:45:08', NULL, NULL), (13716, '', '景坡村', 'd7e1dea2c6f64bd39cba94c6fcd9851c', '4c03b27c1d2745a6bd73de970316fea8', 'False', 'True', 'false', 'false', '511011639908', 5, '景坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011639908', 1, '2021-07-19 11:45:08', NULL, NULL), (13717, '', '田家镇', 'bf8fac07a60e45e28b2fd1b63771d9e0', '4d2a088828f842b1a02d122ee53d86b6', 'True', 'True', 'false', 'false', '511011736000', 4, '田家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511011736000', 1, '2021-07-19 11:45:08', NULL, NULL), (13718, '', '万年村', '2690d54c17a64def89cc2ee09ebbbcb0', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'False', 'false', 'false', '511011736001', 5, '万年村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736001', 1, '2021-07-19 11:45:08', NULL, NULL), (13719, '', '孟家村', 'b30d9057ffc84585a76ea714ae27408c', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'False', 'false', 'false', '511011736008', 5, '孟家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736008', 1, '2021-07-19 11:45:08', NULL, NULL), (13720, '', '经藏村', '8863d71de0d446db9c68e986fe11cff8', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011736010', 5, '经藏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736010', 1, '2021-07-19 11:45:08', NULL, NULL), (13721, '', '九连村', 'ca03157e4b4847888c60dc2c57b3abc5', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'False', 'false', 'false', '511011736011', 5, '九连村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736011', 1, '2021-07-19 11:45:08', NULL, NULL), (13722, '', '天延村', '22b3c329bd744242bfb3cf3be657a028', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'False', 'false', 'false', '511011736012', 5, '天延村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736012', 1, '2021-07-19 11:45:08', NULL, NULL), (13723, '', '余家湾村', 'fbe2ddbabae74726bfa6b54165c1ee2c', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'False', 'false', 'false', '511011736013', 5, '余家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736013', 1, '2021-07-19 11:45:09', NULL, NULL), (13724, '', '双坝村', '19ed039ced63422583c0f9b0224606c2', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'False', 'false', 'false', '511011736014', 5, '双坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736014', 1, '2021-07-19 11:45:09', NULL, NULL), (13725, '', '长桥村', 'a6bd9ede007947e4901dffba2bcee1cd', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'False', 'false', 'false', '511011736015', 5, '长桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736015', 1, '2021-07-19 11:45:09', NULL, NULL), (13726, '', '牛厂村', '23f588e1f5e34500999d38bc2aac7993', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'False', 'false', 'false', '511011736016', 5, '牛厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736016', 1, '2021-07-19 11:45:09', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (13727, '', '五庙村', 'c85706e6225d4beaa4a71cf94780a812', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'False', 'false', 'false', '511011736017', 5, '五庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736017', 1, '2021-07-19 11:45:09', NULL, NULL), (13728, '', '云台村', '40043f9e5ac3406fba1257b19eeed71b', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011736018', 5, '云台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736018', 1, '2021-07-19 11:45:09', NULL, NULL), (13729, '', '段冲村', '3bf8354ede894a3e8155ce10170b67cd', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011736019', 5, '段冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736019', 1, '2021-07-19 11:45:09', NULL, NULL), (13730, '', '月亮村', '04a3e3f21b1b40a08b61855cc029d9f1', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011736020', 5, '月亮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736020', 1, '2021-07-19 11:45:09', NULL, NULL), (13731, '', '松林社区', 'b630c55d40774632816a3c2824a9a77c', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011736021', 5, '松林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736021', 1, '2021-07-19 11:45:09', NULL, NULL), (13732, '', '太平寺社区', '36299632a12945edbe04a0c36f866fe0', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'False', 'false', 'false', '511011736022', 5, '太平寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736022', 1, '2021-07-19 11:45:09', NULL, NULL), (13733, '', '斑竹村', '86e4a92820dc42158a42d1c036ed888c', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'False', 'false', 'false', '511011736631', 5, '斑竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736631', 1, '2021-07-19 11:45:09', NULL, NULL), (13734, '', '七家嘴社区', '59d7c39827e44aba9343f42bb07cd46f', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011736664', 5, '七家嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736664', 1, '2021-07-19 11:45:09', NULL, NULL), (13735, '', '杨柳社区', 'e42913f0ada8456f914a06590d321eb3', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011736684', 5, '杨柳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736684', 1, '2021-07-19 11:45:09', NULL, NULL), (13736, '', '桂花村', '9934ef7588a442b88944a9f4815a761f', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011736735', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736735', 1, '2021-07-19 11:45:09', NULL, NULL), (13737, '', '文化社区', 'e53087a291074a1fa9b886bbff209c98', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011736979', 5, '文化社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011736979', 1, '2021-07-19 11:45:09', NULL, NULL), (13738, '', '长江社区', 'ca7deed0c71f45a083e735044096a9b7', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011100001', 5, '长江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011100001', 1, '2021-07-19 11:45:10', NULL, NULL), (13739, '', '赵家坝社区', 'cec8ffac0c7143a3808f1068c150a18c', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011100002', 5, '赵家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011100002', 1, '2021-07-19 11:45:10', NULL, NULL), (13740, '', '红碑村', '5c219796f0f64735bcc67f4fb7471e43', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011100200', 5, '红碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011100200', 1, '2021-07-19 11:45:10', NULL, NULL), (13741, '', '三元村', '6b1b04285f9e456d96ba84afd547bd8d', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011100203', 5, '三元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011100203', 1, '2021-07-19 11:45:10', NULL, NULL), (13742, '', '四方村', '302f2ff4695c4540a769773f8e3c7056', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011100204', 5, '四方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011100204', 1, '2021-07-19 11:45:10', NULL, NULL), (13743, '', '碧云寺村', '3bc2db57dcd84bf5a354c8e81d18078b', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011100206', 5, '碧云寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011100206', 1, '2021-07-19 11:45:10', NULL, NULL), (13744, '', '天堂村', '0ab743ed0de5489599cc4db536030098', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011100209', 5, '天堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011100209', 1, '2021-07-19 11:45:10', NULL, NULL), (13745, '', '正觉村', '799af1c904c449299195a5fe3bd8e3e2', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011100211', 5, '正觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011100211', 1, '2021-07-19 11:45:10', NULL, NULL), (13746, '', '正子村', '0b99668956c044f9909dda02d59d7334', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011100213', 5, '正子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011100213', 1, '2021-07-19 11:45:10', NULL, NULL), (13747, '', '火花村', 'cb1cbecf14bf41c797a847a61b8d578f', 'bf8fac07a60e45e28b2fd1b63771d9e0', 'False', 'True', 'false', 'false', '511011100214', 5, '火花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011100214', 1, '2021-07-19 11:45:10', NULL, NULL), (13748, '', '双桥镇', '6a9fb20867d64bc8b8dd33ed7aca1559', '4d2a088828f842b1a02d122ee53d86b6', 'True', 'True', 'false', 'false', '511011969000', 4, '双桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511011969000', 1, '2021-07-19 11:45:10', NULL, NULL), (13749, '', '上塘坊村', '6a40017415ed4e4ebea6738c6e6af0c6', '6a9fb20867d64bc8b8dd33ed7aca1559', 'False', 'True', 'false', 'false', '511011969411', 5, '上塘坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011969411', 1, '2021-07-19 11:45:10', NULL, NULL), (13750, '', '司马村', 'e2d3ae9b67ab4f12914ad09a922d488f', '6a9fb20867d64bc8b8dd33ed7aca1559', 'False', 'True', 'false', 'false', '511011969547', 5, '司马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011969547', 1, '2021-07-19 11:45:10', NULL, NULL), (13751, '', '双流村', '5b8df3ae8e434c3bb39cc5d38c8c1a87', '6a9fb20867d64bc8b8dd33ed7aca1559', 'False', 'True', 'false', 'false', '511011969586', 5, '双流村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011969586', 1, '2021-07-19 11:45:10', NULL, NULL), (13752, '', '书房村', 'b17bbe53c1274fbe9a77d2309cacde3a', '6a9fb20867d64bc8b8dd33ed7aca1559', 'False', 'True', 'false', 'false', '511011969688', 5, '书房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011969688', 1, '2021-07-19 11:45:10', NULL, NULL), (13753, '', '阳河村', '630769581ac047fc91081414563675f1', '6a9fb20867d64bc8b8dd33ed7aca1559', 'False', 'True', 'false', 'false', '511011969774', 5, '阳河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011969774', 1, '2021-07-19 11:45:10', NULL, NULL), (13754, '', '新店社区', '3a35ed2856314f59ab51735918be756f', '6a9fb20867d64bc8b8dd33ed7aca1559', 'False', 'True', 'false', 'false', '511011969805', 5, '新店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011969805', 1, '2021-07-19 11:45:11', NULL, NULL), (13755, '', '古冲村', '367c8fadc2074db7bee4db8497dd7dff', '6a9fb20867d64bc8b8dd33ed7aca1559', 'False', 'True', 'false', 'false', '511011969945', 5, '古冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011969945', 1, '2021-07-19 11:45:11', NULL, NULL), (13756, '', '佘嘴村', '2eab9ab30f534c029a3e2a2830fd7b0a', '6a9fb20867d64bc8b8dd33ed7aca1559', 'False', 'True', 'false', 'false', '511011117205', 5, '佘嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011117205', 1, '2021-07-19 11:45:11', NULL, NULL), (13757, '', '豆芽村', '4338dd69b1dc434089b9bcbbc2b994bd', '6a9fb20867d64bc8b8dd33ed7aca1559', 'False', 'True', 'false', 'false', '511011117206', 5, '豆芽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011117206', 1, '2021-07-19 11:45:11', NULL, NULL), (13758, '', '凤龙村', '5b9944107a2848ec84ad198dd2435a5f', '6a9fb20867d64bc8b8dd33ed7aca1559', 'False', 'True', 'false', 'false', '511011117209', 5, '凤龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011117209', 1, '2021-07-19 11:45:11', NULL, NULL), (13759, '', '凤天村', '0b4add32baa54af3ab0d555e2503c118', '6a9fb20867d64bc8b8dd33ed7aca1559', 'False', 'True', 'false', 'false', '511011117211', 5, '凤天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011117211', 1, '2021-07-19 11:45:11', NULL, NULL), (13760, '', '李家桥村', '582d423a2ac541ed81ea12b69427c5e4', '6a9fb20867d64bc8b8dd33ed7aca1559', 'False', 'True', 'false', 'false', '511011117214', 5, '李家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011117214', 1, '2021-07-19 11:45:11', NULL, NULL), (13761, '', '回龙村', 'fe0cc52e60bb407daa87424869ec1e4d', '6a9fb20867d64bc8b8dd33ed7aca1559', 'False', 'True', 'false', 'false', '511011117215', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011117215', 1, '2021-07-19 11:45:11', NULL, NULL), (13762, '', '元觉村', '71e60a0e980c45769f486bf06f5a4ce5', '6a9fb20867d64bc8b8dd33ed7aca1559', 'False', 'True', 'false', 'false', '511011969102', 5, '元觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011969102', 1, '2021-07-19 11:45:11', NULL, NULL), (13763, '', '东山村', '282bd5d90c264da2bfa76772cd276922', '6a9fb20867d64bc8b8dd33ed7aca1559', 'False', 'True', 'false', 'false', '511011969147', 5, '东山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011969147', 1, '2021-07-19 11:45:11', NULL, NULL), (13764, '', '清源社区', 'b805d925aad7403e9b58870f77f08fe9', '6a9fb20867d64bc8b8dd33ed7aca1559', 'False', 'True', 'false', 'false', '511011969427', 5, '清源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011969427', 1, '2021-07-19 11:45:11', NULL, NULL), (13765, '', '付家村', 'd27138af307844ea93991e403e05457b', '6a9fb20867d64bc8b8dd33ed7aca1559', 'False', 'True', 'false', 'false', '511011969778', 5, '付家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511011969778', 1, '2021-07-19 11:45:12', NULL, NULL), (13766, '', '资中县', 'c494d70b5fc546979bfe5e63a67a61a5', '84fea131d000433ea765daa6ab9119f4', 'True', 'True', 'false', 'false', '511025000000', 3, '资中县', 'njszzx.sczwfw.gov.cn', 1, '2021-07-19 11:45:12', NULL, NULL), (13767, '', '重龙镇', '0d25d5f62c0d428b81514bf905d7c65d', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025100000', 4, '重龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025100000', 1, '2021-07-19 11:45:12', NULL, NULL), (13768, '', '苏家湾社区', '77729a98cf444fd4ac8266e0cfe22b1a', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'False', 'false', 'false', '511025100019', 5, '苏家湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100019', 1, '2021-07-19 11:45:12', NULL, NULL), (13769, '', '七根松村', 'bd20dc37d22f4f84aeff4c8063828ef0', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'False', 'false', 'false', '511025100231', 5, '七根松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100231', 1, '2021-07-19 11:45:12', NULL, NULL), (13770, '', '天宝寨村', '58de8e029fef49f081897dd1243f3c5d', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'False', 'false', 'false', '511025100232', 5, '天宝寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100232', 1, '2021-07-19 11:45:12', NULL, NULL), (13771, '', '濛溪口村', '3949095c535641adb36037afaf6ad092', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'False', 'false', 'false', '511025100233', 5, '濛溪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100233', 1, '2021-07-19 11:45:12', NULL, NULL), (13772, '', '大鱼箭村', '281435f8ca7c4c0cab738895585789e3', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'False', 'false', 'false', '511025100234', 5, '大鱼箭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100234', 1, '2021-07-19 11:45:12', NULL, NULL), (13773, '', '法王寺村', '0e44317742c745799b575b785633212c', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'False', 'false', 'false', '511025100235', 5, '法王寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100235', 1, '2021-07-19 11:45:12', NULL, NULL), (13774, '', '官斗村', '33f7270fb2a94518838f2825ad444da2', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'False', 'false', 'false', '511025100236', 5, '官斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100236', 1, '2021-07-19 11:45:12', NULL, NULL), (13775, '', '茯苓村', 'f92a0857fb8646b08067266e2583af1d', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'False', 'false', 'false', '511025100237', 5, '茯苓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100237', 1, '2021-07-19 11:45:12', NULL, NULL), (13776, '', '龙马村', '2250e173364b44e18933d7f94ec70e23', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'False', 'false', 'false', '511025100238', 5, '龙马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100238', 1, '2021-07-19 11:45:12', NULL, NULL), (13777, '', '茅庵村', 'f94515f1114f4bc8a053a2a6f1511ffd', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'False', 'false', 'false', '511025100241', 5, '茅庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100241', 1, '2021-07-19 11:45:12', NULL, NULL), (13778, '', '兴隆场村', '2c9203f2ce3845fe922cf42c7ff6e416', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'False', 'false', 'false', '511025100242', 5, '兴隆场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100242', 1, '2021-07-19 11:45:12', NULL, NULL), (13779, '', '西外社区', 'dcf09fea65594881916409eda2e650cf', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100001', 5, '西外社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100001', 1, '2021-07-19 11:45:12', NULL, NULL), (13780, '', '后西社区', '996bd6ffde334f66aadd9c8d36f3708d', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100002', 5, '后西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100002', 1, '2021-07-19 11:45:12', NULL, NULL), (13781, '', '西街社区', '7048fc68a53444d59d4b824aa87af13c', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100003', 5, '西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100003', 1, '2021-07-19 11:45:12', NULL, NULL), (13782, '', '小东社区', '31b314dd01af4aa1ba1327d2401c1437', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100004', 5, '小东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100004', 1, '2021-07-19 11:45:12', NULL, NULL), (13783, '', '城东社区', '00b1c6510cc241d4ae1e6cf9d014b0f6', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100005', 5, '城东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100005', 1, '2021-07-19 11:45:13', NULL, NULL), (13784, '', '文庙社区', 'db0fe998c78a40bea338066c549e41ee', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100006', 5, '文庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100006', 1, '2021-07-19 11:45:13', NULL, NULL), (13785, '', '文江社区', 'bdd4f0711afc4798a3758731373f7f99', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100007', 5, '文江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100007', 1, '2021-07-19 11:45:13', NULL, NULL), (13786, '', '东林社区', '5eff0a2cb7f54592b6db0729d0e439b5', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100008', 5, '东林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100008', 1, '2021-07-19 11:45:13', NULL, NULL), (13787, '', '天才坝社区', 'cd7a169461a2433db5c59b3c5caa279a', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100009', 5, '天才坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100009', 1, '2021-07-19 11:45:13', NULL, NULL), (13788, '', '千弓堰社区', '973ce83743e54fec829b6ad287324b7e', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100010', 5, '千弓堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100010', 1, '2021-07-19 11:45:13', NULL, NULL), (13789, '', '谷田坝社区', 'c5089ae94cd940a5b6f4b5433c743731', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100011', 5, '谷田坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100011', 1, '2021-07-19 11:45:13', NULL, NULL), (13790, '', '醮坛山村', '5a0d45aaabfc4e728049e391674bd598', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100201', 5, '醮坛山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100201', 1, '2021-07-19 11:45:13', NULL, NULL), (13791, '', '宁国寺村', '1cb3dcfe079743f1bcc9186af7234db0', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100203', 5, '宁国寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100203', 1, '2021-07-19 11:45:13', NULL, NULL), (13792, '', '歇山庙村', '13c4f39da3844529beb89369944412a8', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100206', 5, '歇山庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100206', 1, '2021-07-19 11:45:13', NULL, NULL), (13793, '', '香炉山村', 'dda2146ff9e84c1e8d13a4ce4d606279', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100207', 5, '香炉山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100207', 1, '2021-07-19 11:45:13', NULL, NULL), (13794, '', '泥巴湾村', 'a8132916e7d640e6af7cc24a85efab46', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100208', 5, '泥巴湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100208', 1, '2021-07-19 11:45:13', NULL, NULL), (13795, '', '罗汉洞村', '672b4cbe0ab745bfbf6a34836fbd82a3', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100209', 5, '罗汉洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100209', 1, '2021-07-19 11:45:13', NULL, NULL), (13796, '', '文庙口村', '507e358baafb48ffa53dc529e2cd5a94', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100212', 5, '文庙口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100212', 1, '2021-07-19 11:45:13', NULL, NULL), (13797, '', '文峰村', '49edec22a9e040a58e7d7282c176f87b', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100216', 5, '文峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100216', 1, '2021-07-19 11:45:13', NULL, NULL), (13798, '', '大垭村', 'be260be59a994f049c26e2575dc11f8a', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100217', 5, '大垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100217', 1, '2021-07-19 11:45:13', NULL, NULL), (13799, '', '杨柳滩村', '47bdb204d2024ac2b525cea471f751d2', '0d25d5f62c0d428b81514bf905d7c65d', 'False', 'True', 'false', 'false', '511025100223', 5, '杨柳滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025100223', 1, '2021-07-19 11:45:13', NULL, NULL), (13800, '', '球溪镇', '4ca80873a06348e9ae30063896407c97', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025106000', 4, '球溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025106000', 1, '2021-07-19 11:45:13', NULL, NULL), (13801, '', '球溪河社区', '25e3bec9e086471aa568e49123d72f77', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106001', 5, '球溪河社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106001', 1, '2021-07-19 11:45:13', NULL, NULL), (13802, '', '高铁新城社区', 'de158cf2238c435fb23e026fb2e7dce2', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106003', 5, '高铁新城社区委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106003', 1, '2021-07-19 11:45:13', NULL, NULL), (13803, '', '双峰社区居委会', 'db048534eeeb4e58a4e4630b60b4b6cf', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106231', 5, '双峰社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106231', 1, '2021-07-19 11:45:13', NULL, NULL), (13804, '', '白草坝村', '569cdb52bd8f4251baad6a872241a51d', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106232', 5, '白草坝村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106232', 1, '2021-07-19 11:45:14', NULL, NULL), (13805, '', '六角庙村', '142addd34ed74ddc9b1bea59080d5eea', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106234', 5, '六角庙村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106234', 1, '2021-07-19 11:45:14', NULL, NULL), (13806, '', '曹古坪村', '0d48b8606b344308a4ccf549f95be4bd', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106235', 5, '曹古坪村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106235', 1, '2021-07-19 11:45:14', NULL, NULL), (13807, '', '大象寺村', '5b91bc8ecfcb4a83967c92017f4e890c', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106236', 5, '大象寺村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106236', 1, '2021-07-19 11:45:14', NULL, NULL), (13808, '', '新房子村', 'faf362f1d5944a1f9cdee1eb4ecc97c2', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106237', 5, '新房子村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106237', 1, '2021-07-19 11:45:14', NULL, NULL), (13809, '', '张家祠村', 'a961fafdcc304eb4832db7e0d5e95ac7', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106238', 5, '张家祠村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106238', 1, '2021-07-19 11:45:14', NULL, NULL), (13810, '', '泉江社区', 'b4f9b8d0cfef438cb51d59f7399dfb09', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106004', 5, '泉江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106004', 1, '2021-07-19 11:45:14', NULL, NULL), (13811, '', '双堰塘村', '108513a5ee494703ab1a60a1e4e9f5a1', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106202', 5, '双堰塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106202', 1, '2021-07-19 11:45:14', NULL, NULL), (13812, '', '大佛沟村', '16bebc5c224943c39f7f146834b47a9f', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106203', 5, '大佛沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106203', 1, '2021-07-19 11:45:14', NULL, NULL), (13813, '', '张家桥社区', '2e513f8cc34c4059ac24ea5bf41e69d3', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106210', 5, '张家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106210', 1, '2021-07-19 11:45:14', NULL, NULL), (13814, '', '甑子坝村', '8c875b5cf9f7490ba0a50726113fe60b', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106212', 5, '甑子坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106212', 1, '2021-07-19 11:45:14', NULL, NULL), (13815, '', '大黑山子村', 'ab6443f64fed45068bef7d1abaca8ce5', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106213', 5, '大黑山子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106213', 1, '2021-07-19 11:45:14', NULL, NULL), (13816, '', '雷打坡村', '412151891094476f8c98043902bc8dd7', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106216', 5, '雷打坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106216', 1, '2021-07-19 11:45:14', NULL, NULL), (13817, '', '翠流村', '0dd3eb1bc3f84b5eb5b35ea69ff9297b', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106220', 5, '翠流村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106220', 1, '2021-07-19 11:45:14', NULL, NULL), (13818, '', '高店子村', '20ec71eb57d54b4ea0c4921a6aff04df', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106222', 5, '高店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106222', 1, '2021-07-19 11:45:14', NULL, NULL), (13819, '', '界牌村', 'f56f173cfd964786ad01947c61a0d0bd', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106226', 5, '界牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106226', 1, '2021-07-19 11:45:14', NULL, NULL), (13820, '', '鸡公山村', 'fe778d6633fe4edeb530cbc17dcb3c5b', '4ca80873a06348e9ae30063896407c97', 'False', 'True', 'false', 'false', '511025106228', 5, '鸡公山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025106228', 1, '2021-07-19 11:45:14', NULL, NULL), (13821, '', '罗泉镇', '91520eac276248bea8432981af4ad6b7', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025109000', 4, '罗泉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025109000', 1, '2021-07-19 11:45:14', NULL, NULL), (13822, '', '禹王宫社区', '4f95492d5b684fdea76e98fedff6e7d8', '91520eac276248bea8432981af4ad6b7', 'False', 'True', 'false', 'false', '511025109190', 5, '禹王宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025109190', 1, '2021-07-19 11:45:15', NULL, NULL), (13823, '', '石河村', '417cbef3f93240a28878e2a676817514', '91520eac276248bea8432981af4ad6b7', 'False', 'True', 'false', 'false', '511025109200', 5, '石河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025109200', 1, '2021-07-19 11:45:15', NULL, NULL), (13824, '', '龙灯村', 'e1fba62fca0c4f909554f072483b95f1', '91520eac276248bea8432981af4ad6b7', 'False', 'True', 'false', 'false', '511025109227', 5, '龙灯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025109227', 1, '2021-07-19 11:45:15', NULL, NULL), (13825, '', '小桥村', 'a8604c1d7ab145ffaaedfa63aebd64fd', '91520eac276248bea8432981af4ad6b7', 'False', 'True', 'false', 'false', '511025109260', 5, '小桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025109260', 1, '2021-07-19 11:45:15', NULL, NULL), (13826, '', '雎家村', 'dc3f5a2dab8e4e468686b60710a96ddc', '91520eac276248bea8432981af4ad6b7', 'False', 'True', 'false', 'false', '511025109327', 5, '雎家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025109327', 1, '2021-07-19 11:45:15', NULL, NULL), (13827, '', '曹家沟村', '254eb083cfbc44518577d8fd87e46b89', '91520eac276248bea8432981af4ad6b7', 'False', 'True', 'false', 'false', '511025109433', 5, '曹家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025109433', 1, '2021-07-19 11:45:15', NULL, NULL), (13828, '', '下河村', '3f13ec244f7d40bf892130e9729684ac', '91520eac276248bea8432981af4ad6b7', 'False', 'True', 'false', 'false', '511025109506', 5, '下河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025109506', 1, '2021-07-19 11:45:15', NULL, NULL), (13829, '', '蒲家村', '9e741c4f966944f88c1decfb268d96e2', '91520eac276248bea8432981af4ad6b7', 'False', 'True', 'false', 'false', '511025109803', 5, '蒲家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025109803', 1, '2021-07-19 11:45:15', NULL, NULL), (13830, '', '窟窿村', '6c822e11a9064c19aa385930a0b6e16b', '91520eac276248bea8432981af4ad6b7', 'False', 'True', 'false', 'false', '511025109893', 5, '窟窿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025109893', 1, '2021-07-19 11:45:15', NULL, NULL), (13831, '', '共和村', 'e94a410738c249ff8849c77ba7649995', '91520eac276248bea8432981af4ad6b7', 'False', 'True', 'false', 'false', '511025109955', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025109955', 1, '2021-07-19 11:45:15', NULL, NULL), (13832, '', '银山镇', '654716712a44406aa7a4a1aa5531361c', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025112000', 4, '银山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025112000', 1, '2021-07-19 11:45:15', NULL, NULL), (13833, '', '银磷社区', 'a5205986707443d08986a8c450c77c60', '654716712a44406aa7a4a1aa5531361c', 'False', 'True', 'false', 'false', '511025112004', 5, '银磷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025112004', 1, '2021-07-19 11:45:15', NULL, NULL), (13834, '', '铜锣村', '17d3ce5792b84f688e298870559c2c2f', '654716712a44406aa7a4a1aa5531361c', 'False', 'True', 'false', 'false', '511025112201', 5, '铜锣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025112201', 1, '2021-07-19 11:45:15', NULL, NULL), (13835, '', '金紫铺社区', '8db6d46f4c2d4d2c83a6d9717517c487', '654716712a44406aa7a4a1aa5531361c', 'False', 'True', 'false', 'false', '511025112202', 5, '金紫铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025112202', 1, '2021-07-19 11:45:15', NULL, NULL), (13836, '', '岗石社区', '8b072216fbe149ef8411dca141441afa', '654716712a44406aa7a4a1aa5531361c', 'False', 'True', 'false', 'false', '511025112204', 5, '岗石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025112204', 1, '2021-07-19 11:45:15', NULL, NULL), (13837, '', '大石村', '3a98d1f82ac54efba8c823ce12ad665d', '654716712a44406aa7a4a1aa5531361c', 'False', 'True', 'false', 'false', '511025112206', 5, '大石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025112206', 1, '2021-07-19 11:45:15', NULL, NULL), (13838, '', '古井村', 'b7222c5138a14ca789ac9924155bff1f', '654716712a44406aa7a4a1aa5531361c', 'False', 'True', 'false', 'false', '511025112208', 5, '古井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025112208', 1, '2021-07-19 11:45:15', NULL, NULL), (13839, '', '双塘坊村', 'f7864d9a9e6e4a74a4f3341bbf613de4', '654716712a44406aa7a4a1aa5531361c', 'False', 'True', 'false', 'false', '511025112215', 5, '双塘坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025112215', 1, '2021-07-19 11:45:16', NULL, NULL), (13840, '', '平安寨社区', '01ad6759141841c083c2c30d91d9ec7b', '654716712a44406aa7a4a1aa5531361c', 'False', 'True', 'false', 'false', '511025112217', 5, '平安寨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025112217', 1, '2021-07-19 11:45:16', NULL, NULL), (13841, '', '观音寺村', '2048969811c04289800135a42297ff5a', '654716712a44406aa7a4a1aa5531361c', 'False', 'True', 'false', 'false', '511025112218', 5, '观音寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025112218', 1, '2021-07-19 11:45:16', NULL, NULL), (13842, '', '碾子湾村', '91a38cc6f689434eb61f35760d428814', '654716712a44406aa7a4a1aa5531361c', 'False', 'True', 'false', 'false', '511025112220', 5, '碾子湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025112220', 1, '2021-07-19 11:45:16', NULL, NULL), (13843, '', '杨柳坳村', 'faf7be15bdd941b894c1e79a57f18b8a', '654716712a44406aa7a4a1aa5531361c', 'False', 'True', 'false', 'false', '511025112222', 5, '杨柳坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025112222', 1, '2021-07-19 11:45:16', NULL, NULL), (13844, '', '张家寺村', 'ee4575cae5fa4a54822edef500a0e10e', '654716712a44406aa7a4a1aa5531361c', 'False', 'True', 'false', 'false', '511025112226', 5, '张家寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025112226', 1, '2021-07-19 11:45:16', NULL, NULL), (13845, '', '瓦厂沟村', '8b2b413e603744da81a92cd6bfa79210', '654716712a44406aa7a4a1aa5531361c', 'False', 'True', 'false', 'false', '511025112229', 5, '瓦厂沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025112229', 1, '2021-07-19 11:45:16', NULL, NULL), (13846, '', '狮子岭村', 'de260832ee6a408c881db3242b3b5fd7', '654716712a44406aa7a4a1aa5531361c', 'False', 'True', 'false', 'false', '511025112233', 5, '狮子岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025112233', 1, '2021-07-19 11:45:16', NULL, NULL), (13847, '', '黄莲树村', 'cfdb410a8504459f92602f1c9e025027', '654716712a44406aa7a4a1aa5531361c', 'False', 'True', 'false', 'false', '511025112235', 5, '黄莲树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025112235', 1, '2021-07-19 11:45:16', NULL, NULL), (13848, '', '六角嘴村', '58f63d9b201946d18a6eeeb83896f081', '654716712a44406aa7a4a1aa5531361c', 'False', 'True', 'false', 'false', '511025112237', 5, '六角嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025112237', 1, '2021-07-19 11:45:16', NULL, NULL), (13849, '', '太平镇', 'b6368dd34daf4ffba5502ce016974583', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025114000', 4, '太平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025114000', 1, '2021-07-19 11:45:16', NULL, NULL), (13850, '', '龙山社区', 'e063de5ee0004d11872d503b0384a9c4', 'b6368dd34daf4ffba5502ce016974583', 'False', 'True', 'false', 'false', '511025114002', 5, '龙山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025114002', 1, '2021-07-19 11:45:17', NULL, NULL), (13851, '', '龙头村', '26d374efb3f3479a9968e948b405adb1', 'b6368dd34daf4ffba5502ce016974583', 'False', 'True', 'false', 'false', '511025114225', 5, '龙头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025114225', 1, '2021-07-19 11:45:17', NULL, NULL), (13852, '', '红门村', 'c51d53715ced415bb61cb1acaed3cd84', 'b6368dd34daf4ffba5502ce016974583', 'False', 'True', 'false', 'false', '511025114226', 5, '红门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025114226', 1, '2021-07-19 11:45:17', NULL, NULL), (13853, '', '石院社区', '0fe85dbe33944fceb5245651922c8664', 'b6368dd34daf4ffba5502ce016974583', 'False', 'True', 'false', 'false', '511025114229', 5, '石院社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025114229', 1, '2021-07-19 11:45:17', NULL, NULL), (13854, '', '石宝村', 'e84b0259a4834cb2b7c11dbcbfa34cd8', 'b6368dd34daf4ffba5502ce016974583', 'False', 'True', 'false', 'false', '511025114230', 5, '石宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025114230', 1, '2021-07-19 11:45:17', NULL, NULL), (13855, '', '太平场社区', '615d6c05a63a4c25856709863bcd7e1e', 'b6368dd34daf4ffba5502ce016974583', 'False', 'True', 'false', 'false', '511025114001', 5, '太平场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025114001', 1, '2021-07-19 11:45:17', NULL, NULL), (13856, '', '琴山村', '2a443d7b60814415a4d2270f03268ba9', 'b6368dd34daf4ffba5502ce016974583', 'False', 'True', 'false', 'false', '511025114201', 5, '琴山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025114201', 1, '2021-07-19 11:45:17', NULL, NULL), (13857, '', '莲花桥村', '74c78e9f35f0476991f826f10282365f', 'b6368dd34daf4ffba5502ce016974583', 'False', 'True', 'false', 'false', '511025114202', 5, '莲花桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025114202', 1, '2021-07-19 11:45:17', NULL, NULL), (13858, '', '鲤鱼田村', '144c9976289945a2bb863a1bd1fc1b16', 'b6368dd34daf4ffba5502ce016974583', 'False', 'True', 'false', 'false', '511025114204', 5, '鲤鱼田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025114204', 1, '2021-07-19 11:45:17', NULL, NULL), (13859, '', '庆荣社区', 'f7c0c44e352c4a15b0b2ede6da76bf16', 'b6368dd34daf4ffba5502ce016974583', 'False', 'True', 'false', 'false', '511025114208', 5, '庆荣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025114208', 1, '2021-07-19 11:45:17', NULL, NULL), (13860, '', '高寺社区', '90ef4f2ba6794a1ea10d4bf57e97fe30', 'b6368dd34daf4ffba5502ce016974583', 'False', 'True', 'false', 'false', '511025114209', 5, '高寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025114209', 1, '2021-07-19 11:45:17', NULL, NULL), (13861, '', '大青杠村', '7642a019c6754bb78db1804b0fd2eb71', 'b6368dd34daf4ffba5502ce016974583', 'False', 'True', 'false', 'false', '511025114212', 5, '大青杠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025114212', 1, '2021-07-19 11:45:17', NULL, NULL), (13862, '', '岩鹰嘴村', '5586f2ce64274a9ca918c7c636b97045', 'b6368dd34daf4ffba5502ce016974583', 'False', 'True', 'false', 'false', '511025114213', 5, '岩鹰嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025114213', 1, '2021-07-19 11:45:17', NULL, NULL), (13863, '', '东岳村', '99f078034e40436583dc91cca0abd447', 'b6368dd34daf4ffba5502ce016974583', 'False', 'True', 'false', 'false', '511025114214', 5, '东岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025114214', 1, '2021-07-19 11:45:17', NULL, NULL), (13864, '', '任家村', 'b23242ce73fd4dfd85b04050eb9bde35', 'b6368dd34daf4ffba5502ce016974583', 'False', 'True', 'false', 'false', '511025114216', 5, '任家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025114216', 1, '2021-07-19 11:45:17', NULL, NULL), (13865, '', '双龙社区', 'f81ca9758abb472b98a341915e40d600', 'b6368dd34daf4ffba5502ce016974583', 'False', 'True', 'false', 'false', '511025114221', 5, '双龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025114221', 1, '2021-07-19 11:45:17', NULL, NULL), (13866, '', '天宝寺村', '3d1982e4ac844121b246c2af7e559451', 'b6368dd34daf4ffba5502ce016974583', 'False', 'True', 'false', 'false', '511025114224', 5, '天宝寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025114224', 1, '2021-07-19 11:45:17', NULL, NULL), (13867, '', '新桥镇', '922f20e3382942998ab41cffb2cf6949', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025118000', 4, '新桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025118000', 1, '2021-07-19 11:45:17', NULL, NULL), (13868, '', '玄天观村', 'ec57ea080ffc41898df3f54c119ed459', '922f20e3382942998ab41cffb2cf6949', 'False', 'True', 'false', 'false', '511025118225', 5, '玄天观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025118225', 1, '2021-07-19 11:45:18', NULL, NULL), (13869, '', '三皇庙村', '2f09d4f6f64e47fda54f2b303043557e', '922f20e3382942998ab41cffb2cf6949', 'False', 'True', 'false', 'false', '511025118226', 5, '三皇庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025118226', 1, '2021-07-19 11:45:18', NULL, NULL), (13870, '', '双桥村', '497299d76b6b482aa56fb9f8324db877', '922f20e3382942998ab41cffb2cf6949', 'False', 'True', 'false', 'false', '511025118227', 5, '双桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025118227', 1, '2021-07-19 11:45:18', NULL, NULL), (13871, '', '红庙子村', '6eaee9c8ee334123abf78527f2541a92', '922f20e3382942998ab41cffb2cf6949', 'False', 'True', 'false', 'false', '511025118228', 5, '红庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025118228', 1, '2021-07-19 11:45:18', NULL, NULL), (13872, '', '华光村', 'e471c989d37b49f0a8e336d1cad1b837', '922f20e3382942998ab41cffb2cf6949', 'False', 'True', 'false', 'false', '511025118229', 5, '华光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025118229', 1, '2021-07-19 11:45:18', NULL, NULL), (13873, '', '兰家坝村', 'ed96177199a44d72b2ef28825cea0c81', '922f20e3382942998ab41cffb2cf6949', 'False', 'True', 'false', 'false', '511025118230', 5, '兰家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025118230', 1, '2021-07-19 11:45:18', NULL, NULL), (13874, '', '五马村', 'f3996413e1b0479aa832b6a3d0b79ab7', '922f20e3382942998ab41cffb2cf6949', 'False', 'True', 'false', 'false', '511025118231', 5, '五马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025118231', 1, '2021-07-19 11:45:18', NULL, NULL), (13875, '', '新桥场社区', '5d79af84a9d945e49a0f720ad2bc2726', '922f20e3382942998ab41cffb2cf6949', 'False', 'True', 'false', 'false', '511025118001', 5, '新桥场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025118001', 1, '2021-07-19 11:45:18', NULL, NULL), (13876, '', '八块田村', '930a40f8727b4f89801ba4dbb33b7447', '922f20e3382942998ab41cffb2cf6949', 'False', 'True', 'false', 'false', '511025118201', 5, '八块田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025118201', 1, '2021-07-19 11:45:18', NULL, NULL), (13877, '', '杨柳村', '7de5cd3b3a2e4b26840aa0bba417eea6', '922f20e3382942998ab41cffb2cf6949', 'False', 'True', 'false', 'false', '511025118202', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025118202', 1, '2021-07-19 11:45:18', NULL, NULL), (13878, '', '太河村', 'cdb298f8228c444fa2cd096c77aae789', '922f20e3382942998ab41cffb2cf6949', 'False', 'True', 'false', 'false', '511025118206', 5, '太河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025118206', 1, '2021-07-19 11:45:18', NULL, NULL), (13879, '', '山水坡村', '97a0d55af31d45ebbfbff0fd35010766', '922f20e3382942998ab41cffb2cf6949', 'False', 'True', 'false', 'false', '511025118208', 5, '山水坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025118208', 1, '2021-07-19 11:45:18', NULL, NULL), (13880, '', '和睦村', '7a6367c1d4d4456e82606467aed64138', '922f20e3382942998ab41cffb2cf6949', 'False', 'True', 'false', 'false', '511025118209', 5, '和睦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025118209', 1, '2021-07-19 11:45:18', NULL, NULL), (13881, '', '烟火店村', 'be3c257e9d7847a8b448f399caa77ad4', '922f20e3382942998ab41cffb2cf6949', 'False', 'True', 'false', 'false', '511025118210', 5, '烟火店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025118210', 1, '2021-07-19 11:45:18', NULL, NULL), (13882, '', '复兴村', 'e15e829152584e55969209e1b6155243', '922f20e3382942998ab41cffb2cf6949', 'False', 'True', 'false', 'false', '511025118211', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025118211', 1, '2021-07-19 11:45:18', NULL, NULL), (13883, '', '东升村', 'a0bddaa351d94bea9dab97d22de6a088', '922f20e3382942998ab41cffb2cf6949', 'False', 'True', 'false', 'false', '511025118213', 5, '东升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025118213', 1, '2021-07-19 11:45:18', NULL, NULL), (13884, '', '凉风村', '177d5825776d4075847a9f6115639c5d', '922f20e3382942998ab41cffb2cf6949', 'False', 'True', 'false', 'false', '511025118217', 5, '凉风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025118217', 1, '2021-07-19 11:45:19', NULL, NULL), (13885, '', '清平村', 'a59205c42bde46df85f8b91353c04339', '922f20e3382942998ab41cffb2cf6949', 'False', 'True', 'false', 'false', '511025118220', 5, '清平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025118220', 1, '2021-07-19 11:45:19', NULL, NULL), (13886, '', '双河镇', '64f76ec7087d47a1bc66808876a9c1d4', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025120000', 4, '双河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025120000', 1, '2021-07-19 11:45:19', NULL, NULL), (13887, '', '宋家场社区', 'd0c3280017aa461399c8f833b02e6c56', '64f76ec7087d47a1bc66808876a9c1d4', 'False', 'True', 'false', 'false', '511025120003', 5, '宋家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025120003', 1, '2021-07-19 11:45:19', NULL, NULL), (13888, '', '熊桥社区', 'f578c7c51a1046bd909c170c7c29db71', '64f76ec7087d47a1bc66808876a9c1d4', 'False', 'True', 'false', 'false', '511025120004', 5, '熊桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025120004', 1, '2021-07-19 11:45:19', NULL, NULL), (13889, '', '雁家嘴村', '5fb9f3f44c8f40edb195a9775e0f1a9b', '64f76ec7087d47a1bc66808876a9c1d4', 'False', 'True', 'false', 'false', '511025120005', 5, '雁家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025120005', 1, '2021-07-19 11:45:19', NULL, NULL), (13890, '', '中峰寺村', 'fb5efbef77764976a5fa78c4a2c38055', '64f76ec7087d47a1bc66808876a9c1d4', 'False', 'True', 'false', 'false', '511025120221', 5, '中峰寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025120221', 1, '2021-07-19 11:45:19', NULL, NULL), (13891, '', '宋家社区', '5efc4fc7b60b425d9befa98f6dfdd83e', '64f76ec7087d47a1bc66808876a9c1d4', 'False', 'True', 'false', 'false', '511025120223', 5, '宋家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025120223', 1, '2021-07-19 11:45:19', NULL, NULL), (13892, '', '梨花村', 'c2e8c431f01a4216aef1951833f84da1', '64f76ec7087d47a1bc66808876a9c1d4', 'False', 'True', 'false', 'false', '511025120225', 5, '梨花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025120225', 1, '2021-07-19 11:45:19', NULL, NULL), (13893, '', '猫儿寨村', 'ddddf9d37a294212a16814a480982e4c', '64f76ec7087d47a1bc66808876a9c1d4', 'False', 'True', 'false', 'false', '511025120226', 5, '猫儿寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025120226', 1, '2021-07-19 11:45:19', NULL, NULL), (13894, '', '拥跃村', '9f49581c3a92429f99f461b16fc277d2', '64f76ec7087d47a1bc66808876a9c1d4', 'False', 'True', 'false', 'false', '511025120227', 5, '拥跃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025120227', 1, '2021-07-19 11:45:19', NULL, NULL), (13895, '', '双河场社区', '171fe78953cf4f0db5cf0a9a45c3c712', '64f76ec7087d47a1bc66808876a9c1d4', 'False', 'True', 'false', 'false', '511025120001', 5, '双河场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025120001', 1, '2021-07-19 11:45:19', NULL, NULL), (13896, '', '水口庙村', '361ea1b7e82a4217b24acd4e1acaa074', '64f76ec7087d47a1bc66808876a9c1d4', 'False', 'True', 'false', 'false', '511025120202', 5, '水口庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025120202', 1, '2021-07-19 11:45:19', NULL, NULL), (13897, '', '安木店村', '32e2dd8ecd1c4349b450e0defcc785d5', '64f76ec7087d47a1bc66808876a9c1d4', 'False', 'True', 'false', 'false', '511025120203', 5, '安木店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025120203', 1, '2021-07-19 11:45:19', NULL, NULL), (13898, '', '葫芦寺村', '37f0e470ed9a40fa8d526d5531d07fcb', '64f76ec7087d47a1bc66808876a9c1d4', 'False', 'True', 'false', 'false', '511025120204', 5, '葫芦寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025120204', 1, '2021-07-19 11:45:19', NULL, NULL), (13899, '', '上马门村', 'ed3b8f640b5749d5a0dd0e71bd56f48b', '64f76ec7087d47a1bc66808876a9c1d4', 'False', 'True', 'false', 'false', '511025120208', 5, '上马门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025120208', 1, '2021-07-19 11:45:19', NULL, NULL), (13900, '', '董家堰村', 'f38891b4ebcd4377b74068383ff8d14f', '64f76ec7087d47a1bc66808876a9c1d4', 'False', 'True', 'false', 'false', '511025120209', 5, '董家堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025120209', 1, '2021-07-19 11:45:19', NULL, NULL), (13901, '', '金峰寺村', '4fbd3e3d6025488993a279c998abbc74', '64f76ec7087d47a1bc66808876a9c1d4', 'False', 'True', 'false', 'false', '511025120211', 5, '金峰寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025120211', 1, '2021-07-19 11:45:19', NULL, NULL), (13902, '', '天宫堂村', '708c6639b53543c6a5f8a4aed32897c5', '64f76ec7087d47a1bc66808876a9c1d4', 'False', 'True', 'false', 'false', '511025120215', 5, '天宫堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025120215', 1, '2021-07-19 11:45:19', NULL, NULL), (13903, '', '石家冲村', 'a4b79fa9eb7f430d9a79e74f697a32bc', '64f76ec7087d47a1bc66808876a9c1d4', 'False', 'True', 'false', 'false', '511025120216', 5, '石家冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025120216', 1, '2021-07-19 11:45:20', NULL, NULL), (13904, '', '芦茅冲村', 'e1621357aa014258a7780942d444741b', '64f76ec7087d47a1bc66808876a9c1d4', 'False', 'True', 'false', 'false', '511025120218', 5, '芦茅冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025120218', 1, '2021-07-19 11:45:20', NULL, NULL), (13905, '', '公民镇', '096d39b18bbb499ea48dc925de8f8e1f', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025121000', 4, '公民镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025121000', 1, '2021-07-19 11:45:20', NULL, NULL), (13906, '', '高石坝子村', 'f064109e607f4b948ae9270f3ab436dc', '096d39b18bbb499ea48dc925de8f8e1f', 'False', 'True', 'false', 'false', '511025121201', 5, '高石坝子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025121201', 1, '2021-07-19 11:45:20', NULL, NULL), (13907, '', '桂家桥村', '3a8242b0750347a4aaa9bbeb2e01e7e7', '096d39b18bbb499ea48dc925de8f8e1f', 'False', 'True', 'false', 'false', '511025121204', 5, '桂家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025121204', 1, '2021-07-19 11:45:20', NULL, NULL), (13908, '', '罗成庙村', '2c81508dd8ec4dcfbcc33d4b1264390b', '096d39b18bbb499ea48dc925de8f8e1f', 'False', 'True', 'false', 'false', '511025121207', 5, '罗成庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025121207', 1, '2021-07-19 11:45:20', NULL, NULL), (13909, '', '大井村', '0d415789f80e496fa66aa59b61a3eab8', '096d39b18bbb499ea48dc925de8f8e1f', 'False', 'True', 'false', 'false', '511025121211', 5, '大井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025121211', 1, '2021-07-19 11:45:20', NULL, NULL), (13910, '', '盘龙寺村', '7674f3a64c4f4d18b14cad24db6dd4f4', '096d39b18bbb499ea48dc925de8f8e1f', 'False', 'True', 'false', 'false', '511025121215', 5, '盘龙寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025121215', 1, '2021-07-19 11:45:20', NULL, NULL), (13911, '', '川主庙村', '4d09792d6dd94a55809e399e645592a2', '096d39b18bbb499ea48dc925de8f8e1f', 'False', 'True', 'false', 'false', '511025121216', 5, '川主庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025121216', 1, '2021-07-19 11:45:20', NULL, NULL), (13912, '', '感应庵村', '0917f053ab5247d2b76b42210a406955', '096d39b18bbb499ea48dc925de8f8e1f', 'False', 'True', 'false', 'false', '511025121218', 5, '感应庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025121218', 1, '2021-07-19 11:45:20', NULL, NULL), (13913, '', '霍麻山村', '007af1a4d4d64755b72a73d6c49db1a9', '096d39b18bbb499ea48dc925de8f8e1f', 'False', 'True', 'false', 'false', '511025121219', 5, '霍麻山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025121219', 1, '2021-07-19 11:45:20', NULL, NULL), (13914, '', '太平寺村', '8fb62d836f9a402296b1299ab4151b07', '096d39b18bbb499ea48dc925de8f8e1f', 'False', 'True', 'false', 'false', '511025121221', 5, '太平寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025121221', 1, '2021-07-19 11:45:20', NULL, NULL), (13915, '', '陡沟村', 'b59270ce03f74c4aa2c8dc308166d378', '096d39b18bbb499ea48dc925de8f8e1f', 'False', 'True', 'false', 'false', '511025121226', 5, '陡沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025121226', 1, '2021-07-19 11:45:20', NULL, NULL), (13916, '', '葛麻寺村', 'ca656a0b0bf5408d850e721fe9a17d93', '096d39b18bbb499ea48dc925de8f8e1f', 'False', 'True', 'false', 'false', '511025121228', 5, '葛麻寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025121228', 1, '2021-07-19 11:45:20', NULL, NULL), (13917, '', '楠木寺村', 'c95e910cb4ca43d3b2f117c29be14daa', '096d39b18bbb499ea48dc925de8f8e1f', 'False', 'True', 'false', 'false', '511025121490', 5, '楠木寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025121490', 1, '2021-07-19 11:45:20', NULL, NULL), (13918, '', '大井场社区', '575111e82db8460f94754b28ec63d28f', '096d39b18bbb499ea48dc925de8f8e1f', 'False', 'True', 'false', 'false', '511025121638', 5, '大井场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025121638', 1, '2021-07-19 11:45:20', NULL, NULL), (13919, '', '龙江镇', 'ad874f32d5eb45c6bd13c735c533397c', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025122000', 4, '龙江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025122000', 1, '2021-07-19 11:45:20', NULL, NULL), (13920, '', '蔡家场社区', '675d5237ea7f4db0967aeb5990b87e54', 'ad874f32d5eb45c6bd13c735c533397c', 'False', 'True', 'false', 'false', '511025122001', 5, '蔡家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025122001', 1, '2021-07-19 11:45:20', NULL, NULL), (13921, '', '秀峰村', '8873d7ce529f49ffb883506b4b1bff56', 'ad874f32d5eb45c6bd13c735c533397c', 'False', 'True', 'false', 'false', '511025122201', 5, '秀峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025122201', 1, '2021-07-19 11:45:20', NULL, NULL), (13922, '', '平等村', '25557dd10493404fa211da9421282c34', 'ad874f32d5eb45c6bd13c735c533397c', 'False', 'True', 'false', 'false', '511025122203', 5, '平等村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025122203', 1, '2021-07-19 11:45:20', NULL, NULL), (13923, '', '白阳村', 'a4005ecacabc45e9b70b761056ce1486', 'ad874f32d5eb45c6bd13c735c533397c', 'False', 'True', 'false', 'false', '511025122206', 5, '白阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025122206', 1, '2021-07-19 11:45:20', NULL, NULL), (13924, '', '安乐村', 'd91f913ca4a1424bbeb3653588b13042', 'ad874f32d5eb45c6bd13c735c533397c', 'False', 'True', 'false', 'false', '511025122208', 5, '安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025122208', 1, '2021-07-19 11:45:20', NULL, NULL), (13925, '', '金田村', '3ed8f85cda1542ada449be58c6094938', 'ad874f32d5eb45c6bd13c735c533397c', 'False', 'True', 'false', 'false', '511025122210', 5, '金田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025122210', 1, '2021-07-19 11:45:20', NULL, NULL), (13926, '', '松柏村', '94fbafebfbe74af8b665ff0518a3107f', 'ad874f32d5eb45c6bd13c735c533397c', 'False', 'True', 'false', 'false', '511025122212', 5, '松柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025122212', 1, '2021-07-19 11:45:21', NULL, NULL), (13927, '', '团结村', '9e1acbe237a941808d5bbc090bba65fd', 'ad874f32d5eb45c6bd13c735c533397c', 'False', 'True', 'false', 'false', '511025122215', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025122215', 1, '2021-07-19 11:45:21', NULL, NULL), (13928, '', '联溪村', 'e6610ea3f7114d6f997755631eb6be00', 'ad874f32d5eb45c6bd13c735c533397c', 'False', 'True', 'false', 'false', '511025122219', 5, '联溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025122219', 1, '2021-07-19 11:45:21', NULL, NULL), (13929, '', '百乐村', 'd32342dcae454a5ebc08eadcadee7006', 'ad874f32d5eb45c6bd13c735c533397c', 'False', 'True', 'false', 'false', '511025122223', 5, '百乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025122223', 1, '2021-07-19 11:45:21', NULL, NULL), (13930, '', '石坪村', '3475272d3a424697bdaf97fe950125b0', 'ad874f32d5eb45c6bd13c735c533397c', 'False', 'True', 'false', 'false', '511025122224', 5, '石坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025122224', 1, '2021-07-19 11:45:21', NULL, NULL), (13931, '', '红旗社区', '363fa9333f594d21b20ef11df23041cc', 'ad874f32d5eb45c6bd13c735c533397c', 'False', 'True', 'false', 'false', '511025122226', 5, '红旗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025122226', 1, '2021-07-19 11:45:21', NULL, NULL), (13932, '', '永镇村', '7a5c90b6b6914a66838454b3272be8d3', 'ad874f32d5eb45c6bd13c735c533397c', 'False', 'True', 'false', 'false', '511025122227', 5, '永镇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025122227', 1, '2021-07-19 11:45:21', NULL, NULL), (13933, '', '龙结村', '846ace9b9674425d918ed6fc2b0acceb', 'ad874f32d5eb45c6bd13c735c533397c', 'False', 'True', 'false', 'false', '511025122228', 5, '龙结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025122228', 1, '2021-07-19 11:45:21', NULL, NULL), (13934, '', '川民村', '61ba98102cd0496087f8ae75616af13a', 'ad874f32d5eb45c6bd13c735c533397c', 'False', 'True', 'false', 'false', '511025122230', 5, '川民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025122230', 1, '2021-07-19 11:45:21', NULL, NULL), (13935, '', '全胜村', '51e6937b0b5041538bdefd7e5886bed5', 'ad874f32d5eb45c6bd13c735c533397c', 'False', 'True', 'false', 'false', '511025122235', 5, '全胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025122235', 1, '2021-07-19 11:45:21', NULL, NULL), (13936, '', '双河村', '070b1c5816f544349a5dec00d7744d45', 'ad874f32d5eb45c6bd13c735c533397c', 'False', 'True', 'false', 'false', '511025122237', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025122237', 1, '2021-07-19 11:45:21', NULL, NULL), (13937, '', '双龙镇', '9336c418d5cd41cbab8a2bfc2a3486dc', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025123000', 4, '双龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025123000', 1, '2021-07-19 11:45:21', NULL, NULL), (13938, '', '骝马场社区', 'bb6a25db9c9b47c0873fd6ac7b73c515', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123002', 5, '骝马场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123002', 1, '2021-07-19 11:45:21', NULL, NULL), (13939, '', '刘家庙村', '36842ab089a44a66b7918dc06fcf8f58', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123003', 5, '刘家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123003', 1, '2021-07-19 11:45:21', NULL, NULL), (13940, '', '金鼓村', 'b9b7448e4f114248ac0cc8bbc5407d8c', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123233', 5, '金鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123233', 1, '2021-07-19 11:45:21', NULL, NULL), (13941, '', '五福村', '0e435cf1aac04c6b97266ad49ad7c15b', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123236', 5, '五福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123236', 1, '2021-07-19 11:45:22', NULL, NULL), (13942, '', '红豆沟村', '88e333f07cc44c26a1a18532a6dda8e1', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123242', 5, '红豆沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123242', 1, '2021-07-19 11:45:22', NULL, NULL), (13943, '', '窑厂村', '9107119065ad4f1c8fcfb563388b5738', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123244', 5, '窑厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123244', 1, '2021-07-19 11:45:22', NULL, NULL), (13944, '', '红牌村', '359d1fa3d47e40fca393cb1968d325dc', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123245', 5, '红牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123245', 1, '2021-07-19 11:45:22', NULL, NULL), (13945, '', '三柏村', '71753c1e1cd14acdad82d37c32908377', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123246', 5, '三柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123246', 1, '2021-07-19 11:45:22', NULL, NULL), (13946, '', '舒家桥社区', '4c9874dd28934be98562438882116363', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123001', 5, '舒家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123001', 1, '2021-07-19 11:45:22', NULL, NULL), (13947, '', '响滩村', '152d9871160d4cb88af6e4fcb25a7a77', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123201', 5, '响滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123201', 1, '2021-07-19 11:45:22', NULL, NULL), (13948, '', '骑龙村', '7436ec8f20654b7681c223b33fe849ca', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123204', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123204', 1, '2021-07-19 11:45:22', NULL, NULL), (13949, '', '柏林村', 'b9fba2d0994e44bfbf0b103737637992', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123206', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123206', 1, '2021-07-19 11:45:22', NULL, NULL), (13950, '', '永华村', '828f84b623164f9f9cc059c9f64358ba', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123208', 5, '永华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123208', 1, '2021-07-19 11:45:22', NULL, NULL), (13951, '', '大坟坝村', '3e4970b3000048e7b43dcdb2e9e7e9d8', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123210', 5, '大坟坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123210', 1, '2021-07-19 11:45:22', NULL, NULL), (13952, '', '寿星桥村', 'bf2ecc5f9c924adfa562473cfa7ea4a0', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123212', 5, '寿星桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123212', 1, '2021-07-19 11:45:22', NULL, NULL), (13953, '', '状元村', '0e7f1934ec4847cea56f3e5f1caf65f3', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123216', 5, '状元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123216', 1, '2021-07-19 11:45:22', NULL, NULL), (13954, '', '云峰村', '10aa6320391c487dbb0a532c71c26035', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123218', 5, '云峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123218', 1, '2021-07-19 11:45:22', NULL, NULL), (13955, '', '檬茨村', 'd61402b0cbc246c78b46603ebddfad54', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123221', 5, '檬茨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123221', 1, '2021-07-19 11:45:22', NULL, NULL), (13956, '', '金龟村', '974ae10fa2e847e59963c2736b0a9683', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123223', 5, '金龟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123223', 1, '2021-07-19 11:45:22', NULL, NULL), (13957, '', '铧头场村', '5b314cff06314cfca836e97c3b627291', '9336c418d5cd41cbab8a2bfc2a3486dc', 'False', 'True', 'false', 'false', '511025123228', 5, '铧头场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025123228', 1, '2021-07-19 11:45:22', NULL, NULL), (13958, '', '高楼镇', '2cabf828f16947bea1ed6c1354982088', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025124000', 4, '高楼镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025124000', 1, '2021-07-19 11:45:22', NULL, NULL), (13959, '', '走马场社区', '9195dde5860a4e748ea52e67225fb3c7', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124002', 5, '走马场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124002', 1, '2021-07-19 11:45:23', NULL, NULL), (13960, '', '新合村', '39ce1d37fedc4fde85652d712f14d77b', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124202', 5, '新合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124202', 1, '2021-07-19 11:45:23', NULL, NULL), (13961, '', '帽角山村', '418526cce61e49089a07ab8aa7649cc7', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124204', 5, '帽角山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124204', 1, '2021-07-19 11:45:23', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (13962, '', '乌龟山村', '8abda05d716d48629c656ef81eff2d76', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124206', 5, '乌龟山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124206', 1, '2021-07-19 11:45:23', NULL, NULL), (13963, '', '庙湾村', '4c284c7f4a5b477b8d24c5ef2b802e12', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124208', 5, '庙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124208', 1, '2021-07-19 11:45:23', NULL, NULL), (13964, '', '吊脚楼村', 'aea1e0aceffa421a94ffd71884c0f4f9', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124209', 5, '吊脚楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124209', 1, '2021-07-19 11:45:23', NULL, NULL), (13965, '', '花树湾村', '6092f54788d04ac6ac0cf7b70bcdb1c8', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124222', 5, '花树湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124222', 1, '2021-07-19 11:45:23', NULL, NULL), (13966, '', '瓦子坳村', '3c640195f4674ffc8ee217096ffbbed4', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124223', 5, '瓦子坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124223', 1, '2021-07-19 11:45:23', NULL, NULL), (13967, '', '东岳庙村', '2b923f8650674bfb8629695ef91b6387', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124224', 5, '东岳庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124224', 1, '2021-07-19 11:45:23', NULL, NULL), (13968, '', '东溪湾村', 'fc38023b586c400c85f449fc890052c3', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124225', 5, '东溪湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124225', 1, '2021-07-19 11:45:23', NULL, NULL), (13969, '', '钟家祠村', '3ec031db4f794eeba8604a98d3e78f10', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124226', 5, '钟家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124226', 1, '2021-07-19 11:45:23', NULL, NULL), (13970, '', '高楼场社区', 'df876d03274f43039cfd25bc7577c467', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124001', 5, '高楼场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124001', 1, '2021-07-19 11:45:24', NULL, NULL), (13971, '', '紫金村', '91afb8d7a50d41609080cf26c946e26a', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124201', 5, '紫金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124201', 1, '2021-07-19 11:45:24', NULL, NULL), (13972, '', '清凉村', '5f17caa3506646398f46b9812179229d', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124203', 5, '清凉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124203', 1, '2021-07-19 11:45:24', NULL, NULL), (13973, '', '五四村', '128cd881fa8e4666b16976855c48cfd1', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124205', 5, '五四村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124205', 1, '2021-07-19 11:45:24', NULL, NULL), (13974, '', '鹤林村', 'cc1782855f91480b9ff579e843e859f3', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124207', 5, '鹤林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124207', 1, '2021-07-19 11:45:24', NULL, NULL), (13975, '', '一心村', '9037d1c2a8794e2cabc368fa7b287774', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124211', 5, '一心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124211', 1, '2021-07-19 11:45:24', NULL, NULL), (13976, '', '天星村', 'e1123dfa6dab454ababd7f9bb19236a7', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124212', 5, '天星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124212', 1, '2021-07-19 11:45:24', NULL, NULL), (13977, '', '龙台村', 'fd13443da3cc44ebb630ec643f09c5a4', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124217', 5, '龙台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124217', 1, '2021-07-19 11:45:24', NULL, NULL), (13978, '', '共家村', 'd4a63ff3b3294da3bfa02f996a8cf6d3', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124218', 5, '共家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124218', 1, '2021-07-19 11:45:24', NULL, NULL), (13979, '', '雨台村', 'c2d0aea2a09f4671885dd487cf0032f5', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124220', 5, '雨台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124220', 1, '2021-07-19 11:45:24', NULL, NULL), (13980, '', '玉皇庙村', 'a4486dd25e774f7aaba97534e51973d9', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124221', 5, '玉皇庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124221', 1, '2021-07-19 11:45:24', NULL, NULL), (13981, '', '集中村', '8130c734ffab4be7b6774ea232867b7a', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124229', 5, '集中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124229', 1, '2021-07-19 11:45:24', NULL, NULL), (13982, '', '三河村', 'abf746e6e8d64c43b53e86717eb61f3b', '2cabf828f16947bea1ed6c1354982088', 'False', 'True', 'false', 'false', '511025124230', 5, '三河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025124230', 1, '2021-07-19 11:45:24', NULL, NULL), (13983, '', '陈家镇', '3734eaa735c843c08f7e3bc3945e1222', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025125000', 4, '陈家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025125000', 1, '2021-07-19 11:45:24', NULL, NULL), (13984, '', '拥共社区', '96dca2d2879e4cd6bc567ac453c60276', '3734eaa735c843c08f7e3bc3945e1222', 'False', 'True', 'false', 'false', '511025125011', 5, '拥共居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025125011', 1, '2021-07-19 11:45:24', NULL, NULL), (13985, '', '陈家镇社区', 'b6e3a826c6f042b7865eab4b4d8426c3', '3734eaa735c843c08f7e3bc3945e1222', 'False', 'True', 'false', 'false', '511025125001', 5, '陈家镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025125001', 1, '2021-07-19 11:45:24', NULL, NULL), (13986, '', '付氏祠村', 'cee77051335f4b589fbb8aa9571d2f7f', '3734eaa735c843c08f7e3bc3945e1222', 'False', 'True', 'false', 'false', '511025125202', 5, '付氏祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025125202', 1, '2021-07-19 11:45:24', NULL, NULL), (13987, '', '枇杷湾村', 'ea44074a68c9438391abdaf385b2cd2f', '3734eaa735c843c08f7e3bc3945e1222', 'False', 'True', 'false', 'false', '511025125204', 5, '枇杷湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025125204', 1, '2021-07-19 11:45:24', NULL, NULL), (13988, '', '新店子村', '83b61a5e906c44e8b4da3017f1eb39d8', '3734eaa735c843c08f7e3bc3945e1222', 'False', 'True', 'false', 'false', '511025125208', 5, '新店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025125208', 1, '2021-07-19 11:45:24', NULL, NULL), (13989, '', '双堰坳村', '0a1c4fd0be7243af80611de6d6a9ca92', '3734eaa735c843c08f7e3bc3945e1222', 'False', 'True', 'false', 'false', '511025125212', 5, '双堰坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025125212', 1, '2021-07-19 11:45:24', NULL, NULL), (13990, '', '冷家湾村', 'f964d927f2154f16822b94598657179e', '3734eaa735c843c08f7e3bc3945e1222', 'False', 'True', 'false', 'false', '511025125213', 5, '冷家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025125213', 1, '2021-07-19 11:45:25', NULL, NULL), (13991, '', '高家坝村', '7b2752b5c4154e768fa3b1a00c30836a', '3734eaa735c843c08f7e3bc3945e1222', 'False', 'True', 'false', 'false', '511025125214', 5, '高家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025125214', 1, '2021-07-19 11:45:25', NULL, NULL), (13992, '', '王家坪村', '28801d8eabf6448db41941ef12fa8e83', '3734eaa735c843c08f7e3bc3945e1222', 'False', 'True', 'false', 'false', '511025125217', 5, '王家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025125217', 1, '2021-07-19 11:45:25', NULL, NULL), (13993, '', '玉皇观村', 'ac88c9a80f1f4cef8c4d7e8bd720943e', '3734eaa735c843c08f7e3bc3945e1222', 'False', 'True', 'false', 'false', '511025125221', 5, '玉皇观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025125221', 1, '2021-07-19 11:45:25', NULL, NULL), (13994, '', '狮子镇', '2543b34ca126439da6cc5e659f0e433c', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025130000', 4, '狮子镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025130000', 1, '2021-07-19 11:45:25', NULL, NULL), (13995, '', '狮子社区', '1d1eaa548e334d75a7b774a126513773', '2543b34ca126439da6cc5e659f0e433c', 'False', 'True', 'false', 'false', '511025130001', 5, '狮子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025130001', 1, '2021-07-19 11:45:25', NULL, NULL), (13996, '', '菜子冲村', '9c8da75e70714e639fffb2b578e3135a', '2543b34ca126439da6cc5e659f0e433c', 'False', 'True', 'false', 'false', '511025130205', 5, '菜子冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025130205', 1, '2021-07-19 11:45:25', NULL, NULL), (13997, '', '铜马桥村', '89a58e1deb1045b69939adf0d9974458', '2543b34ca126439da6cc5e659f0e433c', 'False', 'True', 'false', 'false', '511025130208', 5, '铜马桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025130208', 1, '2021-07-19 11:45:25', NULL, NULL), (13998, '', '锣鼓山村', '8392d880d83c4e8c8942e664bff30e7d', '2543b34ca126439da6cc5e659f0e433c', 'False', 'True', 'false', 'false', '511025130209', 5, '锣鼓山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025130209', 1, '2021-07-19 11:45:25', NULL, NULL), (13999, '', '双朝门村', 'ee41fd144b2343d3a0b48e49b82b85ae', '2543b34ca126439da6cc5e659f0e433c', 'False', 'True', 'false', 'false', '511025130211', 5, '双朝门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025130211', 1, '2021-07-19 11:45:25', NULL, NULL), (14000, '', '李子园村', '8b8e1b2b5e094be0b70f7d234a1555d4', '2543b34ca126439da6cc5e659f0e433c', 'False', 'True', 'false', 'false', '511025130212', 5, '李子园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025130212', 1, '2021-07-19 11:45:25', NULL, NULL), (14001, '', '级海寺村', '7605b0a656bc40f89a40dc31283166a7', '2543b34ca126439da6cc5e659f0e433c', 'False', 'True', 'false', 'false', '511025130215', 5, '级海寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025130215', 1, '2021-07-19 11:45:25', NULL, NULL), (14002, '', '清明嘴村', '51f728598fd84eaf9521c19a2f8cb559', '2543b34ca126439da6cc5e659f0e433c', 'False', 'True', 'false', 'false', '511025130218', 5, '清明嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025130218', 1, '2021-07-19 11:45:25', NULL, NULL), (14003, '', '茶店村', '11d9db7f86184b6eb1db872ca1488387', '2543b34ca126439da6cc5e659f0e433c', 'False', 'True', 'false', 'false', '511025130220', 5, '茶店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025130220', 1, '2021-07-19 11:45:25', NULL, NULL), (14004, '', '莫家墩村', '003141c36e9c4c7ba7fa516b0e5a91a5', '2543b34ca126439da6cc5e659f0e433c', 'False', 'True', 'false', 'false', '511025130222', 5, '莫家墩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025130222', 1, '2021-07-19 11:45:25', NULL, NULL), (14005, '', '发轮镇', 'b6de043f8edd401e93f404d0d4c89af3', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025445000', 4, '发轮镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025445000', 1, '2021-07-19 11:45:25', NULL, NULL), (14006, '', '配龙社区', 'bca71b747b6143218ad8b8f9c4e58c5a', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445002', 5, '配龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445002', 1, '2021-07-19 11:45:25', NULL, NULL), (14007, '', '筒车坳村', 'e0258e83edda4e138d6af26369240740', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445201', 5, '筒车坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445201', 1, '2021-07-19 11:45:26', NULL, NULL), (14008, '', '龙水村', '50cee32757ad4f769d98b3d7f73aac03', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445202', 5, '龙水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445202', 1, '2021-07-19 11:45:26', NULL, NULL), (14009, '', '白庙村', '315cb0232c8e4e37b32f1dc388591877', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445205', 5, '白庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445205', 1, '2021-07-19 11:45:26', NULL, NULL), (14010, '', '黄柳村', '949b9efd1dca4a46bb53691e5cf80c20', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445207', 5, '黄柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445207', 1, '2021-07-19 11:45:26', NULL, NULL), (14011, '', '花秋村', 'd8716a7cf7ef46b2af7c1bd0b463f810', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445208', 5, '花秋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445208', 1, '2021-07-19 11:45:26', NULL, NULL), (14012, '', '牛儿山村', '4ddf9ed95b2445a59c6340292b030ad5', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445211', 5, '牛儿山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445211', 1, '2021-07-19 11:45:26', NULL, NULL), (14013, '', '天池村', 'a7a01ca316b14ec7b2dee5b77af1e25b', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445214', 5, '天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445214', 1, '2021-07-19 11:45:26', NULL, NULL), (14014, '', '庙沟村', 'ec163dd785b24ea683284abb42459c56', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445215', 5, '庙沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445215', 1, '2021-07-19 11:45:26', NULL, NULL), (14015, '', '学田村', 'df775461515946c8a624a8d5e7f93017', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445219', 5, '学田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445219', 1, '2021-07-19 11:45:26', NULL, NULL), (14016, '', '永新村', 'bb12119fb11f47519b9cabc96e73ef2c', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445220', 5, '永新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445220', 1, '2021-07-19 11:45:26', NULL, NULL), (14017, '', '余家场村', 'faa0f4c13c934530a3c0856ccbd82e0a', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445225', 5, '余家场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445225', 1, '2021-07-19 11:45:26', NULL, NULL), (14018, '', '楼房村', '46b7a95d9b3242d4a04ee04e770fb2c1', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445238', 5, '楼房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445238', 1, '2021-07-19 11:45:26', NULL, NULL), (14019, '', '场镇社区', 'ece2875b01d44d8bbb8cfd9bb3b21246', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445545', 5, '场镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445545', 1, '2021-07-19 11:45:26', NULL, NULL), (14020, '', '宝华村', 'e0ab2a6be94b4719a40a783f2a8d179f', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445229', 5, '宝华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445229', 1, '2021-07-19 11:45:26', NULL, NULL), (14021, '', '田家村', '67710afa3ebb4379b9383639d87f0a7c', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445240', 5, '田家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445240', 1, '2021-07-19 11:45:27', NULL, NULL), (14022, '', '叶家村', '97000492d1e444c0bcdeaa9b4d4fa0a0', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445239', 5, '叶家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445239', 1, '2021-07-19 11:45:27', NULL, NULL), (14023, '', '枣树村', 'b4b2b07b3b8c40b2aef6fbbdaef2493c', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445234', 5, '枣树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445234', 1, '2021-07-19 11:45:27', NULL, NULL), (14024, '', '高宝村', '086ba911c97642749d51128d6740eb09', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445235', 5, '高宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445235', 1, '2021-07-19 11:45:27', NULL, NULL), (14025, '', '青岗村', '535ad40f235f4f8d99251e9e9852892c', 'b6de043f8edd401e93f404d0d4c89af3', 'False', 'True', 'false', 'false', '511025445236', 5, '青岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025445236', 1, '2021-07-19 11:45:27', NULL, NULL), (14026, '', '马鞍镇', '46e0b18988094435ac083fcec985db8d', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025521000', 4, '马鞍镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025521000', 1, '2021-07-19 11:45:27', NULL, NULL), (14027, '', '马鞍社区', 'c3239ca1d63f4705b116e71be641935f', '46e0b18988094435ac083fcec985db8d', 'False', 'True', 'false', 'false', '511025521001', 5, '马鞍社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025521001', 1, '2021-07-19 11:45:27', NULL, NULL), (14028, '', '石板滩村', '5e47cf2a0d8e496bbda120e983a615ba', '46e0b18988094435ac083fcec985db8d', 'False', 'True', 'false', 'false', '511025521202', 5, '石板滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025521202', 1, '2021-07-19 11:45:27', NULL, NULL), (14029, '', '石桥村', '97362db3a9284c93a7de979460ffbdb8', '46e0b18988094435ac083fcec985db8d', 'False', 'True', 'false', 'false', '511025521204', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025521204', 1, '2021-07-19 11:45:27', NULL, NULL), (14030, '', '麦子湾村', '0afa526772c04c7790c724ecf68b9bc4', '46e0b18988094435ac083fcec985db8d', 'False', 'True', 'false', 'false', '511025521205', 5, '麦子湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025521205', 1, '2021-07-19 11:45:27', NULL, NULL), (14031, '', '拾童庙村', '5900ba9c4e1847da9d2ea9924263f9a6', '46e0b18988094435ac083fcec985db8d', 'False', 'True', 'false', 'false', '511025521209', 5, '拾童庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025521209', 1, '2021-07-19 11:45:27', NULL, NULL), (14032, '', '白羊沟村', '9e465b4a83a04ff58563088a1e1dc62c', '46e0b18988094435ac083fcec985db8d', 'False', 'True', 'false', 'false', '511025521212', 5, '白羊沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025521212', 1, '2021-07-19 11:45:27', NULL, NULL), (14033, '', '杨家寺村', '28b648970f8c4aacb15c2a45ded7cd3f', '46e0b18988094435ac083fcec985db8d', 'False', 'True', 'false', 'false', '511025521215', 5, '杨家寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025521215', 1, '2021-07-19 11:45:27', NULL, NULL), (14034, '', '驼柏树村', '6ff7cd7da3aa4385b95e1126c4240d6c', '46e0b18988094435ac083fcec985db8d', 'False', 'True', 'false', 'false', '511025521217', 5, '驼柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025521217', 1, '2021-07-19 11:45:27', NULL, NULL), (14035, '', '鱼溪镇', '1f1611aa6f4848f5b6abf764ad3580d8', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025529000', 4, '鱼溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025529000', 1, '2021-07-19 11:45:27', NULL, NULL), (14036, '', '世和村', 'b8e5e04b5e824a13b7953f363052e6ef', '1f1611aa6f4848f5b6abf764ad3580d8', 'False', 'True', 'false', 'false', '511025529235', 5, '世和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025529235', 1, '2021-07-19 11:45:28', NULL, NULL), (14037, '', '蚂蟥坪村', '2f172986d0794cdf96ffc7cba35e9357', '1f1611aa6f4848f5b6abf764ad3580d8', 'False', 'False', 'false', 'false', '511025529916', 5, '蚂蟥坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025529916', 1, '2021-07-19 11:45:28', NULL, NULL), (14038, '', '亢溪桥村', '2563d3ae93d24873a3dafa8f7c1b1bea', '1f1611aa6f4848f5b6abf764ad3580d8', 'False', 'True', 'false', 'false', '511025529208', 5, '亢溪桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025529208', 1, '2021-07-19 11:45:28', NULL, NULL), (14039, '', '裕丰村', 'af206e09dcc042cdb6fedb26150d27e8', '1f1611aa6f4848f5b6abf764ad3580d8', 'False', 'True', 'false', 'false', '511025529209', 5, '裕丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025529209', 1, '2021-07-19 11:45:28', NULL, NULL), (14040, '', '齐心村', 'edf716c130304dbbb18fdffc407ba05d', '1f1611aa6f4848f5b6abf764ad3580d8', 'False', 'True', 'false', 'false', '511025529210', 5, '齐心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025529210', 1, '2021-07-19 11:45:28', NULL, NULL), (14041, '', '双联村', 'e549151d206746eca82fa72668732e41', '1f1611aa6f4848f5b6abf764ad3580d8', 'False', 'True', 'false', 'false', '511025529211', 5, '双联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025529211', 1, '2021-07-19 11:45:28', NULL, NULL), (14042, '', '鱼溪村', '7618661177624a77aae57a805a16bb3f', '1f1611aa6f4848f5b6abf764ad3580d8', 'False', 'True', 'false', 'false', '511025529212', 5, '鱼溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025529212', 1, '2021-07-19 11:45:28', NULL, NULL), (14043, '', '鲶鱼村', '1983cb7fefce4336a95d787fe230878f', '1f1611aa6f4848f5b6abf764ad3580d8', 'False', 'True', 'false', 'false', '511025529215', 5, '鲶鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025529215', 1, '2021-07-19 11:45:28', NULL, NULL), (14044, '', '协和村', '4cbb4c791f3541938cb770bc4e4680f6', '1f1611aa6f4848f5b6abf764ad3580d8', 'False', 'True', 'false', 'false', '511025529218', 5, '协和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025529218', 1, '2021-07-19 11:45:28', NULL, NULL), (14045, '', '光明村', 'd7765f78561b410bad1f4dd359e72cc4', '1f1611aa6f4848f5b6abf764ad3580d8', 'False', 'True', 'false', 'false', '511025529220', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025529220', 1, '2021-07-19 11:45:28', NULL, NULL), (14046, '', '长胜村', '55acb8b99a62488ebd3bb64b672ed31c', '1f1611aa6f4848f5b6abf764ad3580d8', 'False', 'True', 'false', 'false', '511025529223', 5, '长胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025529223', 1, '2021-07-19 11:45:28', NULL, NULL), (14047, '', '红莲村', 'bac1e60043084bf89f1335a87191653a', '1f1611aa6f4848f5b6abf764ad3580d8', 'False', 'True', 'false', 'false', '511025529226', 5, '红莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025529226', 1, '2021-07-19 11:45:28', NULL, NULL), (14048, '', '向阳村', '30abd8d41ceb48e39fe0dddffe151a1c', '1f1611aa6f4848f5b6abf764ad3580d8', 'False', 'True', 'false', 'false', '511025529229', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025529229', 1, '2021-07-19 11:45:28', NULL, NULL), (14049, '', '金钟村', '85d20aef7f7944e79899aefec7e14b60', '1f1611aa6f4848f5b6abf764ad3580d8', 'False', 'True', 'false', 'false', '511025529230', 5, '金钟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025529230', 1, '2021-07-19 11:45:28', NULL, NULL), (14050, '', '鱼溪场社区', '6413c8249afb41b7b9202542583e6713', '1f1611aa6f4848f5b6abf764ad3580d8', 'False', 'True', 'false', 'false', '511025529231', 5, '鱼溪场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025529231', 1, '2021-07-19 11:45:29', NULL, NULL), (14051, '', '金带场社区', 'f7eac64a73fb4c3da460428b5733c7c7', '1f1611aa6f4848f5b6abf764ad3580d8', 'False', 'True', 'false', 'false', '511025529232', 5, '金带场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025529232', 1, '2021-07-19 11:45:29', NULL, NULL), (14052, '', '龙结镇', '057fbb4e3ad24ed0b3b9d1639513b673', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025536000', 4, '龙结镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025536000', 1, '2021-07-19 11:45:29', NULL, NULL), (14053, '', '场镇社区', 'b77f0ffd2ecf454c979a0112b122f939', '057fbb4e3ad24ed0b3b9d1639513b673', 'False', 'True', 'false', 'false', '511025108001', 5, '场镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025108001', 1, '2021-07-19 11:45:29', NULL, NULL), (14054, '', '大朝门村', '2f361a969a4848988410395da6d9ba58', '057fbb4e3ad24ed0b3b9d1639513b673', 'False', 'True', 'false', 'false', '511025108201', 5, '大朝门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025108201', 1, '2021-07-19 11:45:29', NULL, NULL), (14055, '', '米粮村', 'd319e1015ea6476ea0a889e87d810cb4', '057fbb4e3ad24ed0b3b9d1639513b673', 'False', 'True', 'false', 'false', '511025108203', 5, '米粮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025108203', 1, '2021-07-19 11:45:29', NULL, NULL), (14056, '', '青龙村', '4e6f4df5451b4cecadc586457406c898', '057fbb4e3ad24ed0b3b9d1639513b673', 'False', 'True', 'false', 'false', '511025108204', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025108204', 1, '2021-07-19 11:45:29', NULL, NULL), (14057, '', '杨家山村', 'bde7a83a91d3481a9f78b85fd854c4f6', '057fbb4e3ad24ed0b3b9d1639513b673', 'False', 'True', 'false', 'false', '511025108207', 5, '杨家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025108207', 1, '2021-07-19 11:45:29', NULL, NULL), (14058, '', '蜂糖河村', '136e413b9b584272a47fd17ec5c392ca', '057fbb4e3ad24ed0b3b9d1639513b673', 'False', 'True', 'false', 'false', '511025108209', 5, '蜂糖河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025108209', 1, '2021-07-19 11:45:29', NULL, NULL), (14059, '', '沙子沟村', '4883e58c71c44813b6669d5868d0a778', '057fbb4e3ad24ed0b3b9d1639513b673', 'False', 'True', 'false', 'false', '511025108211', 5, '沙子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025108211', 1, '2021-07-19 11:45:29', NULL, NULL), (14060, '', '大路沟村', 'e3d06c157932418cae39297e2adb365d', '057fbb4e3ad24ed0b3b9d1639513b673', 'False', 'True', 'false', 'false', '511025108212', 5, '大路沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025108212', 1, '2021-07-19 11:45:29', NULL, NULL), (14061, '', '观音坝村', '5d56fdcf1617405e912346085bfda015', '057fbb4e3ad24ed0b3b9d1639513b673', 'False', 'True', 'false', 'false', '511025108216', 5, '观音坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025108216', 1, '2021-07-19 11:45:29', NULL, NULL), (14062, '', '盐店村', '0be6bd2279494a7d8957cfbe55d6c5b1', '057fbb4e3ad24ed0b3b9d1639513b673', 'False', 'True', 'false', 'false', '511025108218', 5, '盐店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025108218', 1, '2021-07-19 11:45:29', NULL, NULL), (14063, '', '方家坝村', 'bbcf2ecb3ef9413cbaa6636316d8618b', '057fbb4e3ad24ed0b3b9d1639513b673', 'False', 'True', 'false', 'false', '511025108220', 5, '方家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025108220', 1, '2021-07-19 11:45:29', NULL, NULL), (14064, '', '白岩洞村', '6ff1000d2bd147c1bc9c0c45d766a883', '057fbb4e3ad24ed0b3b9d1639513b673', 'False', 'True', 'false', 'false', '511025108222', 5, '白岩洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025108222', 1, '2021-07-19 11:45:29', NULL, NULL), (14065, '', '芦花村', '8d025fd37f2646ec869d0b841459431d', '057fbb4e3ad24ed0b3b9d1639513b673', 'False', 'True', 'false', 'false', '511025108225', 5, '芦花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025108225', 1, '2021-07-19 11:45:29', NULL, NULL), (14066, '', '孟塘镇', 'f551e894f8844091b28ad2543a439f87', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025576000', 4, '孟塘镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025576000', 1, '2021-07-19 11:45:29', NULL, NULL), (14067, '', '大堰塘社区', '0e2c72e9cdeb4802b5639d43fb4dfb37', 'f551e894f8844091b28ad2543a439f87', 'False', 'True', 'false', 'false', '511025128001', 5, '大堰塘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025128001', 1, '2021-07-19 11:45:29', NULL, NULL), (14068, '', '柏莲村', '0b139881398845a09319444f74723a2f', 'f551e894f8844091b28ad2543a439f87', 'False', 'True', 'false', 'false', '511025128202', 5, '柏莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025128202', 1, '2021-07-19 11:45:30', NULL, NULL), (14069, '', '三江村', '8c6a67e9443346ea9bc1944880137402', 'f551e894f8844091b28ad2543a439f87', 'False', 'True', 'false', 'false', '511025128205', 5, '三江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025128205', 1, '2021-07-19 11:45:30', NULL, NULL), (14070, '', '梨园村', 'd9a22a21b6c04c0ba5dc15942c65a436', 'f551e894f8844091b28ad2543a439f87', 'False', 'True', 'false', 'false', '511025128206', 5, '梨园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025128206', 1, '2021-07-19 11:45:30', NULL, NULL), (14071, '', '互助村', '5fe97238ecd142a587bf6b0cdeae1349', 'f551e894f8844091b28ad2543a439f87', 'False', 'True', 'false', 'false', '511025128209', 5, '互助村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025128209', 1, '2021-07-19 11:45:30', NULL, NULL), (14072, '', '水口村', '66f53309043b4eae917ce34bcf0a891c', 'f551e894f8844091b28ad2543a439f87', 'False', 'True', 'false', 'false', '511025128211', 5, '水口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025128211', 1, '2021-07-19 11:45:30', NULL, NULL), (14073, '', '梨树村', '3f114cc61f0a48a794876de69e6612b1', 'f551e894f8844091b28ad2543a439f87', 'False', 'True', 'false', 'false', '511025128214', 5, '梨树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025128214', 1, '2021-07-19 11:45:30', NULL, NULL), (14074, '', '胡顶村', 'cf30d42eb86f44fab0d358a1b4660cb9', 'f551e894f8844091b28ad2543a439f87', 'False', 'True', 'false', 'false', '511025128218', 5, '胡顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025128218', 1, '2021-07-19 11:45:30', NULL, NULL), (14075, '', '新店村', 'a30aa49ca7e84322aeee82f276ec0b78', 'f551e894f8844091b28ad2543a439f87', 'False', 'True', 'false', 'false', '511025128220', 5, '新店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025128220', 1, '2021-07-19 11:45:30', NULL, NULL), (14076, '', '狮子村', '1712cc3069c847058eb2feb5460f9d87', 'f551e894f8844091b28ad2543a439f87', 'False', 'True', 'false', 'false', '511025128221', 5, '狮子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025128221', 1, '2021-07-19 11:45:30', NULL, NULL), (14077, '', '大佛村', 'ff33047c72584f07a40c7ecef0bc543d', 'f551e894f8844091b28ad2543a439f87', 'False', 'True', 'false', 'false', '511025128223', 5, '大佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025128223', 1, '2021-07-19 11:45:30', NULL, NULL), (14078, '', '石古村', 'f5367d328cbd403cb822d26101e36190', 'f551e894f8844091b28ad2543a439f87', 'False', 'True', 'false', 'false', '511025128225', 5, '石古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025128225', 1, '2021-07-19 11:45:30', NULL, NULL), (14079, '', '杨树村', '26651f5e6ed04aabb4d85c36d7ae1a7e', 'f551e894f8844091b28ad2543a439f87', 'False', 'True', 'false', 'false', '511025128226', 5, '杨树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025128226', 1, '2021-07-19 11:45:30', NULL, NULL), (14080, '', '睦邻村', '1a862186272f44bc829adbbeeed48169', 'f551e894f8844091b28ad2543a439f87', 'False', 'True', 'false', 'false', '511025128229', 5, '睦邻村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025128229', 1, '2021-07-19 11:45:30', NULL, NULL), (14081, '', '新民村', '17c042de180d44bfb4907f6802be819a', 'f551e894f8844091b28ad2543a439f87', 'False', 'True', 'false', 'false', '511025128231', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025128231', 1, '2021-07-19 11:45:30', NULL, NULL), (14082, '', '明心寺镇', '8404670ff3f248b4a404691392146011', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025648000', 4, '明心寺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025648000', 1, '2021-07-19 11:45:30', NULL, NULL), (14083, '', '川硫社区', '28fe5c0c313f4cb69b46257347bf46ec', '8404670ff3f248b4a404691392146011', 'False', 'True', 'false', 'false', '511025119002', 5, '川硫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025119002', 1, '2021-07-19 11:45:30', NULL, NULL), (14084, '', '莲池铺村', '5f2cde0d3ee94ebd83f4be0f60c436d0', '8404670ff3f248b4a404691392146011', 'False', 'True', 'false', 'false', '511025119201', 5, '莲池铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025119201', 1, '2021-07-19 11:45:30', NULL, NULL), (14085, '', '宜古寺村', '81e172d5463f42a8917831f8f441e379', '8404670ff3f248b4a404691392146011', 'False', 'True', 'false', 'false', '511025119204', 5, '宜古寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025119204', 1, '2021-07-19 11:45:30', NULL, NULL), (14086, '', '茅店子社区', '39a30903d912455c9932215d0a27b8ef', '8404670ff3f248b4a404691392146011', 'False', 'True', 'false', 'false', '511025119205', 5, '茅店子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025119205', 1, '2021-07-19 11:45:30', NULL, NULL), (14087, '', '唐明渡村', 'd7e0510da0bf4338b6297d8e0b0cdab4', '8404670ff3f248b4a404691392146011', 'False', 'True', 'false', 'false', '511025119207', 5, '唐明渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025119207', 1, '2021-07-19 11:45:30', NULL, NULL), (14088, '', '黄泥埂村', 'd56e14facae8428fb8a6b0cb4fa0f2ec', '8404670ff3f248b4a404691392146011', 'False', 'True', 'false', 'false', '511025119210', 5, '黄泥埂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025119210', 1, '2021-07-19 11:45:30', NULL, NULL), (14089, '', '明心坝村', 'bd8bbf9daf9d482d9fcdefa2ce3d3d7d', '8404670ff3f248b4a404691392146011', 'False', 'True', 'false', 'false', '511025119211', 5, '明心坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025119211', 1, '2021-07-19 11:45:31', NULL, NULL), (14090, '', '油坊山村', 'c70f767507e14e76870e2f89c2454167', '8404670ff3f248b4a404691392146011', 'False', 'True', 'false', 'false', '511025119213', 5, '油坊山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025119213', 1, '2021-07-19 11:45:31', NULL, NULL), (14091, '', '土墙堰村', '5e5e97ae90e149a18931f0b64ffce65d', '8404670ff3f248b4a404691392146011', 'False', 'True', 'false', 'false', '511025119216', 5, '土墙堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025119216', 1, '2021-07-19 11:45:31', NULL, NULL), (14092, '', '老寨子村', '267cde0843694bf1ba0f1679155824ee', '8404670ff3f248b4a404691392146011', 'False', 'True', 'false', 'false', '511025119217', 5, '老寨子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025119217', 1, '2021-07-19 11:45:31', NULL, NULL), (14093, '', '铁佛镇', 'adfd5e1a2fc549538b6a240dc13f8022', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025745000', 4, '铁佛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025745000', 1, '2021-07-19 11:45:31', NULL, NULL), (14094, '', '铁佛场社区', '375ceca766e1434e8855120a8e98ffbb', 'adfd5e1a2fc549538b6a240dc13f8022', 'False', 'True', 'false', 'false', '511025105013', 5, '铁佛场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025105013', 1, '2021-07-19 11:45:31', NULL, NULL), (14095, '', '石钟村', 'eb70b25319b04642a002f68d058f0bf9', 'adfd5e1a2fc549538b6a240dc13f8022', 'False', 'True', 'false', 'false', '511025105201', 5, '石钟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025105201', 1, '2021-07-19 11:45:31', NULL, NULL), (14096, '', '高荣村', '7ebc1cb563844a9c9750ebfe5576dc21', 'adfd5e1a2fc549538b6a240dc13f8022', 'False', 'True', 'false', 'false', '511025105203', 5, '高荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025105203', 1, '2021-07-19 11:45:31', NULL, NULL), (14097, '', '太平村', 'ff49ccb5a3c442c3a13190927a576084', 'adfd5e1a2fc549538b6a240dc13f8022', 'False', 'True', 'false', 'false', '511025105205', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025105205', 1, '2021-07-19 11:45:31', NULL, NULL), (14098, '', '石关村', 'd76d91e03e4940b9b41cd1dace568a6f', 'adfd5e1a2fc549538b6a240dc13f8022', 'False', 'True', 'false', 'false', '511025105207', 5, '石关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025105207', 1, '2021-07-19 11:45:31', NULL, NULL), (14099, '', '柏龙村', '489723c308a64344af3b99a09f988037', 'adfd5e1a2fc549538b6a240dc13f8022', 'False', 'True', 'false', 'false', '511025105209', 5, '柏龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025105209', 1, '2021-07-19 11:45:31', NULL, NULL), (14100, '', '浪水村', 'a1671ca6e9794dfea4ab8a1a28ddc62e', 'adfd5e1a2fc549538b6a240dc13f8022', 'False', 'True', 'false', 'false', '511025105212', 5, '浪水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025105212', 1, '2021-07-19 11:45:31', NULL, NULL), (14101, '', '新立村', 'd6a19510c59e4ce697df0492bae34711', 'adfd5e1a2fc549538b6a240dc13f8022', 'False', 'True', 'false', 'false', '511025105214', 5, '新立村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025105214', 1, '2021-07-19 11:45:31', NULL, NULL), (14102, '', '茶店子村', '822921a4991a4240aa96ebf41597b15f', 'adfd5e1a2fc549538b6a240dc13f8022', 'False', 'True', 'false', 'false', '511025105218', 5, '茶店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025105218', 1, '2021-07-19 11:45:31', NULL, NULL), (14103, '', '高屋基村', '590d97b911d34c82bd317b12ad27a503', 'adfd5e1a2fc549538b6a240dc13f8022', 'False', 'True', 'false', 'false', '511025105219', 5, '高屋基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025105219', 1, '2021-07-19 11:45:31', NULL, NULL), (14104, '', '归德镇', '5c005ce20b6d4e3085e2434bc2978b69', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025797000', 4, '归德镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025797000', 1, '2021-07-19 11:45:31', NULL, NULL), (14105, '', '特建村', '3a67e95efaa444679826d84b8e76027a', '5c005ce20b6d4e3085e2434bc2978b69', 'False', 'False', 'false', 'false', '511025797808', 5, '特建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025797808', 1, '2021-07-19 11:45:31', NULL, NULL), (14106, '', '归德场社区', '8f631aa296e14b278347835bdfb65c0d', '5c005ce20b6d4e3085e2434bc2978b69', 'False', 'True', 'false', 'false', '511025102001', 5, '归德场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025102001', 1, '2021-07-19 11:45:31', NULL, NULL), (14107, '', '特建村', '3fa153c43c8b41f7b764962a87ad0edb', '5c005ce20b6d4e3085e2434bc2978b69', 'False', 'True', 'false', 'false', '511025102201', 5, '特建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025102201', 1, '2021-07-19 11:45:31', NULL, NULL), (14108, '', '童家嘴村', '34629619476644478f016efde14702c1', '5c005ce20b6d4e3085e2434bc2978b69', 'False', 'True', 'false', 'false', '511025102205', 5, '童家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025102205', 1, '2021-07-19 11:45:32', NULL, NULL), (14109, '', '天鹅山村', 'd0fd4aab4f2b4d6bbc65c216a2351007', '5c005ce20b6d4e3085e2434bc2978b69', 'False', 'True', 'false', 'false', '511025102206', 5, '天鹅山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025102206', 1, '2021-07-19 11:45:32', NULL, NULL), (14110, '', '李古坳村', '316418fa8f864a21b5fc119110724ccf', '5c005ce20b6d4e3085e2434bc2978b69', 'False', 'True', 'false', 'false', '511025102208', 5, '李古坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025102208', 1, '2021-07-19 11:45:32', NULL, NULL), (14111, '', '罗汉道村', 'abfc38253b244c019a51ae4bc4d60186', '5c005ce20b6d4e3085e2434bc2978b69', 'False', 'True', 'false', 'false', '511025102211', 5, '罗汉道村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025102211', 1, '2021-07-19 11:45:32', NULL, NULL), (14112, '', '官斗山村', 'cb35e696c0094710bb4f2d37dc32d19e', '5c005ce20b6d4e3085e2434bc2978b69', 'False', 'True', 'false', 'false', '511025102212', 5, '官斗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025102212', 1, '2021-07-19 11:45:32', NULL, NULL), (14113, '', '芦高山村', 'b69148353f0b4456a7164bb2723d2c6e', '5c005ce20b6d4e3085e2434bc2978b69', 'False', 'True', 'false', 'false', '511025102213', 5, '芦高山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025102213', 1, '2021-07-19 11:45:32', NULL, NULL), (14114, '', '麻柳河村', 'b6822949569448dfab443ed9bfb172dc', '5c005ce20b6d4e3085e2434bc2978b69', 'False', 'True', 'false', 'false', '511025102214', 5, '麻柳河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025102214', 1, '2021-07-19 11:45:32', NULL, NULL), (14115, '', '印盒村', '56804a1ab61a4f4e8ea05d3fdba76a06', '5c005ce20b6d4e3085e2434bc2978b69', 'False', 'True', 'false', 'false', '511025102217', 5, '印盒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025102217', 1, '2021-07-19 11:45:32', NULL, NULL), (14116, '', '天灯村', 'b7362ae2515e47e1872d82bcd4595b14', '5c005ce20b6d4e3085e2434bc2978b69', 'False', 'True', 'false', 'false', '511025102218', 5, '天灯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025102218', 1, '2021-07-19 11:45:32', NULL, NULL), (14117, '', '凤凰村', '5240d006691d473c8b955690eaa2b9a1', '5c005ce20b6d4e3085e2434bc2978b69', 'False', 'True', 'false', 'false', '511025102220', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025102220', 1, '2021-07-19 11:45:32', NULL, NULL), (14118, '', '长兴村', '3a146a0db76547e1b3c2b679a841db99', '5c005ce20b6d4e3085e2434bc2978b69', 'False', 'True', 'false', 'false', '511025102221', 5, '长兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025102221', 1, '2021-07-19 11:45:32', NULL, NULL), (14119, '', '月亮峡村', 'ca0a5cfddc75442b937b9787afe55e3b', '5c005ce20b6d4e3085e2434bc2978b69', 'False', 'True', 'false', 'false', '511025102224', 5, '月亮峡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025102224', 1, '2021-07-19 11:45:32', NULL, NULL), (14120, '', '水南镇', '4c3e97facc3145c099aca24d992dda12', 'c494d70b5fc546979bfe5e63a67a61a5', 'True', 'True', 'false', 'false', '511025849000', 4, '水南镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511025849000', 1, '2021-07-19 11:45:32', NULL, NULL), (14121, '', '板栗桠社区', '44cc615eeb5c47ff9ef70e1ceeb20777', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849010', 5, '板栗桠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849010', 1, '2021-07-19 11:45:32', NULL, NULL), (14122, '', '干坡村', '5151aea55649423b9bf26252aa8b1826', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849223', 5, '干坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849223', 1, '2021-07-19 11:45:32', NULL, NULL), (14123, '', '金华村', '72a2d68bd9a04d20a9079f2b46c41042', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849224', 5, '金华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849224', 1, '2021-07-19 11:45:32', NULL, NULL), (14124, '', '青山村', '73fe4de483c54d02977cb3de003ddecc', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849225', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849225', 1, '2021-07-19 11:45:32', NULL, NULL), (14125, '', '窑山村', '8f694596f534426184b8242fb5ea92eb', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849226', 5, '窑山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849226', 1, '2021-07-19 11:45:32', NULL, NULL), (14126, '', '沱江村', '5a777e9a700a40b8b4b568c5d74cdb1d', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849227', 5, '沱江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849227', 1, '2021-07-19 11:45:32', NULL, NULL), (14127, '', '郑家沟村', 'f0894df7465e4322b6a62f381a6b79ab', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849229', 5, '郑家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849229', 1, '2021-07-19 11:45:33', NULL, NULL), (14128, '', '太阳河村', '52a651e66ac74a568ff8686e6cbd4016', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849231', 5, '太阳河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849231', 1, '2021-07-19 11:45:33', NULL, NULL), (14129, '', '凤凰社区', 'b639e6d36bb6456db0b3944b123b3f73', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849232', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849232', 1, '2021-07-19 11:45:33', NULL, NULL), (14130, '', '圆坝子村', '3a9c69145095430db8bd6157822a0bd0', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849680', 5, '圆坝子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849680', 1, '2021-07-19 11:45:33', NULL, NULL), (14131, '', '人和社区', '89c1282206fc46e6ac38e768e8ba8d8b', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849001', 5, '人和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849001', 1, '2021-07-19 11:45:33', NULL, NULL), (14132, '', '四通社区', '1173b344bcdb4bada00756fc83281239', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849002', 5, '四通社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849002', 1, '2021-07-19 11:45:33', NULL, NULL), (14133, '', '笔坛社区', '42ea1bd0d519499b8f8ae30fc6dc3098', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849003', 5, '笔坛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849003', 1, '2021-07-19 11:45:33', NULL, NULL), (14134, '', '武陵社区', '1370188de24c43c48897863ab86c83be', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849004', 5, '武陵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849004', 1, '2021-07-19 11:45:33', NULL, NULL), (14135, '', '倒石桥社区', '150c83d6f39a40e3b8eb17c9143bc6cf', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849005', 5, '倒石桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849005', 1, '2021-07-19 11:45:33', NULL, NULL), (14136, '', '水南社区', 'cb40d0e06f2c464aa653885e1fd52273', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849006', 5, '水南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849006', 1, '2021-07-19 11:45:33', NULL, NULL), (14137, '', '砚台社区', '19d511b1ca974748832b5fec7a464942', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849007', 5, '砚台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849007', 1, '2021-07-19 11:45:34', NULL, NULL), (14138, '', '奉安社区', '88b0508d0da945ed9f430a43db8f6176', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849201', 5, '奉安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849201', 1, '2021-07-19 11:45:34', NULL, NULL), (14139, '', '长山社区', 'b066d7d1df13455d82aea0ffb374aa89', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849205', 5, '长山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849205', 1, '2021-07-19 11:45:34', NULL, NULL), (14140, '', '河联坝村', '7fcb83837a26425386a6ddf7330223b8', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849209', 5, '河联坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849209', 1, '2021-07-19 11:45:34', NULL, NULL), (14141, '', '凉水井村', 'b765f7752b334cd1b8255259440c4530', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849210', 5, '凉水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849210', 1, '2021-07-19 11:45:34', NULL, NULL), (14142, '', '姊妹桥村', 'ca5e0b24aaaa4cac8083fbe4b2eb4a9e', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849214', 5, '姊妹桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849214', 1, '2021-07-19 11:45:34', NULL, NULL), (14143, '', '大石桥社区', 'f7314d2c4c7e43dd9503c39fffbee4d4', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849215', 5, '大石桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849215', 1, '2021-07-19 11:45:34', NULL, NULL), (14144, '', '内坊冲社区', '88179144621047c4a44f9a768f8af117', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849216', 5, '内坊冲社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849216', 1, '2021-07-19 11:45:34', NULL, NULL), (14145, '', '瓦窑坝社区', '59232f29f9dd430c945a3f26a45667a1', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849217', 5, '瓦窑坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849217', 1, '2021-07-19 11:45:34', NULL, NULL), (14146, '', '板桥村', 'a5f358577a324f259b5bb2c26ecd243a', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849221', 5, '板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849221', 1, '2021-07-19 11:45:34', NULL, NULL), (14147, '', '钎子坟村', 'fe2aee37a5e046d7b96feef03a3909eb', '4c3e97facc3145c099aca24d992dda12', 'False', 'True', 'false', 'false', '511025849222', 5, '钎子坟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511025849222', 1, '2021-07-19 11:45:34', NULL, NULL), (14148, '', '威远县', '0e129e6c02dd43609ca3f69bc6a8016c', '84fea131d000433ea765daa6ab9119f4', 'True', 'True', 'false', 'false', '511024000000', 3, '威远县', 'njswyx.sczwfw.gov.cn', 1, '2021-07-19 11:45:34', NULL, NULL), (14149, '', '严陵镇', '5be64996898842a99e5fec316aa6eece', '0e129e6c02dd43609ca3f69bc6a8016c', 'True', 'True', 'false', 'false', '511024100000', 4, '严陵镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511024100000', 1, '2021-07-19 11:45:34', NULL, NULL), (14150, '', '古城社区', '38ec4ed0542c4f1c9496ade666c3026c', '5be64996898842a99e5fec316aa6eece', 'False', 'True', 'false', 'false', '511024100724', 5, '古城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100724', 1, '2021-07-19 11:45:34', NULL, NULL), (14151, '', '中心街社区', 'bfee43929a934141a15f7fcfaf9ca8e4', '5be64996898842a99e5fec316aa6eece', 'False', 'True', 'false', 'false', '511024100005', 5, '中心街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100005', 1, '2021-07-19 11:45:34', NULL, NULL), (14152, '', '外西街社区', 'dc2c64b224744710989975b84214e25f', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100006', 5, '外西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100006', 1, '2021-07-19 11:45:34', NULL, NULL), (14153, '', '河北街社区', '8ea32a535e6f497b9111f48c39174f64', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100007', 5, '河北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100007', 1, '2021-07-19 11:45:34', NULL, NULL), (14154, '', '大桥街社区', 'e9618ced0e7541659f748627680484a2', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100008', 5, '大桥街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100008', 1, '2021-07-19 11:45:34', NULL, NULL), (14155, '', '河东街社区', '2af2fef7c5c148fe9098478f8fd474af', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100009', 5, '河东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100009', 1, '2021-07-19 11:45:34', NULL, NULL), (14156, '', '杉树坳社区', '9569da4476264874887c60bfcc3c0686', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100010', 5, '杉树坳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100010', 1, '2021-07-19 11:45:35', NULL, NULL), (14157, '', '三河路社区', '0b0dd134ae784f06970bcd2ad299026e', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100011', 5, '三河路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100011', 1, '2021-07-19 11:45:35', NULL, NULL), (14158, '', '广场街社区', 'a3b9c83ae724436b9dc2e07a6657604e', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100012', 5, '广场街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100012', 1, '2021-07-19 11:45:35', NULL, NULL), (14159, '', '花城路社区', 'c84146a7ff0f4ed1a7c14336298a2484', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100013', 5, '花城路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100013', 1, '2021-07-19 11:45:35', NULL, NULL), (14160, '', '建业社区', '66b15e4eb2ab4067bba3cf2547270b59', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100014', 5, '建业社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100014', 1, '2021-07-19 11:45:35', NULL, NULL), (14161, '', '滕家坝社区', 'd959d758a77247658512957cfe3011ad', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100015', 5, '滕家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100015', 1, '2021-07-19 11:45:35', NULL, NULL), (14162, '', '接官亭社区', 'c292b9d3c2c84f338cbb7baa91a5f756', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100016', 5, '接官亭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100016', 1, '2021-07-19 11:45:35', NULL, NULL), (14163, '', '东风路社区', 'caa445350c6c4d2388b40ca225795269', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100017', 5, '东风路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100017', 1, '2021-07-19 11:45:35', NULL, NULL), (14164, '', '锦城社区', '85b094ef516a4bbbb1419baddd93ab17', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100018', 5, '锦城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100018', 1, '2021-07-19 11:45:35', NULL, NULL), (14165, '', '荷花街社区', '530c8f1305dd4cf4961c3d423c168cf9', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100019', 5, '荷花街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100019', 1, '2021-07-19 11:45:35', NULL, NULL), (14166, '', '凤凰路社区', '706eaf24db5743dca478f918af2e4c27', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100020', 5, '凤凰路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100020', 1, '2021-07-19 11:45:35', NULL, NULL), (14167, '', '杨家坝社区', '25f73bbdaf6c4c8c8688f3fe1c69d95a', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100021', 5, '杨家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100021', 1, '2021-07-19 11:45:35', NULL, NULL), (14168, '', '吴荣路社区', '1a2276c6dca84fe58cc243851d32e0ab', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100022', 5, '吴荣路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100022', 1, '2021-07-19 11:45:35', NULL, NULL), (14169, '', '王家村', '3c1b74097c4a4aa6a41fd1305506f58f', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100081', 5, '王家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100081', 1, '2021-07-19 11:45:35', NULL, NULL), (14170, '', '马道村', '152782b951614e56a99508aa8ee11eef', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100082', 5, '马道村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100082', 1, '2021-07-19 11:45:35', NULL, NULL), (14171, '', '龙泉村', 'c9570484864e4b8ba31e19bcb881cd71', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100083', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100083', 1, '2021-07-19 11:45:35', NULL, NULL), (14172, '', '红星村', '7803fb986f9e4ec88c6f6c16b99bb6f0', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100084', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100084', 1, '2021-07-19 11:45:35', NULL, NULL), (14173, '', '双岭村', '755fb38be66b42439c87f64e94fa9c23', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100085', 5, '双岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100085', 1, '2021-07-19 11:45:35', NULL, NULL), (14174, '', '铺子湾街道社区', 'fc281ddd152b4941bfc98c845131fed4', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100086', 5, '铺子湾街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100086', 1, '2021-07-19 11:45:36', NULL, NULL), (14175, '', '富谷社区', 'ee19f3933d814a19b6f8c240556e3806', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100087', 5, '富谷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100087', 1, '2021-07-19 11:45:36', NULL, NULL), (14176, '', '宋埝社区', '153f90b9dfe44d129f8cb6baaa2c7aed', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100088', 5, '宋埝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100088', 1, '2021-07-19 11:45:36', NULL, NULL), (14177, '', '三河社区', '1137993c101145b0b6dca0f6c8354a12', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100203', 5, '三河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100203', 1, '2021-07-19 11:45:36', NULL, NULL), (14178, '', '桂花社区', '42f3d3c67f1147839ec1dbeb81a3d2aa', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100204', 5, '桂花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100204', 1, '2021-07-19 11:45:36', NULL, NULL), (14179, '', '新义村', '1cc1ead5d3a840d49501eda9f2af47b9', '5be64996898842a99e5fec316aa6eece', 'False', 'True', 'false', 'false', '511024100206', 5, '新义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100206', 1, '2021-07-19 11:45:36', NULL, NULL), (14180, '', '长益社区', 'b4dd234045634c3990b3f057bc64addf', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100208', 5, '长益社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100208', 1, '2021-07-19 11:45:36', NULL, NULL), (14181, '', '塔山社区', '38b4232fc65f41ba80b67b5cbfa83481', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100209', 5, '塔山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100209', 1, '2021-07-19 11:45:36', NULL, NULL), (14182, '', '鸭子村', 'c84b12f607d640048704756ee8c2948f', '5be64996898842a99e5fec316aa6eece', 'False', 'True', 'false', 'false', '511024100211', 5, '鸭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100211', 1, '2021-07-19 11:45:36', NULL, NULL), (14183, '', '三胜村', 'f40a531246f340528b148f14ad87b50b', '5be64996898842a99e5fec316aa6eece', 'False', 'True', 'false', 'false', '511024100214', 5, '三胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100214', 1, '2021-07-19 11:45:36', NULL, NULL), (14184, '', '兴家村', '113232dcdd9d480aadb88a04747d57c6', '5be64996898842a99e5fec316aa6eece', 'False', 'True', 'false', 'false', '511024100216', 5, '兴家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100216', 1, '2021-07-19 11:45:36', NULL, NULL), (14185, '', '建立村', '45d01c619c6c42c0a3a335690256e7cf', '5be64996898842a99e5fec316aa6eece', 'False', 'True', 'false', 'false', '511024100217', 5, '建立村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100217', 1, '2021-07-19 11:45:36', NULL, NULL), (14186, '', '粮丰村', '67dbe5c0568749f69fcc572a7bdeec93', '5be64996898842a99e5fec316aa6eece', 'False', 'True', 'false', 'false', '511024100219', 5, '粮丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100219', 1, '2021-07-19 11:45:36', NULL, NULL), (14187, '', '平山社区', '408686a447ee4c92b3ed3cac50b964d6', '5be64996898842a99e5fec316aa6eece', 'False', 'False', 'false', 'false', '511024100220', 5, '平山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100220', 1, '2021-07-19 11:45:36', NULL, NULL), (14188, '', '先觉村', '03d3519c52f649938615da0e58a26999', '5be64996898842a99e5fec316aa6eece', 'False', 'True', 'false', 'false', '511024100222', 5, '先觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100222', 1, '2021-07-19 11:45:36', NULL, NULL), (14189, '', '食丰村', '6ca54be4c3d34c28bba319de65616475', '5be64996898842a99e5fec316aa6eece', 'False', 'True', 'false', 'false', '511024100566', 5, '食丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024100566', 1, '2021-07-19 11:45:36', NULL, NULL), (14190, '', '新店镇', '4af475ca54a24072a8f828112cfe28f6', '0e129e6c02dd43609ca3f69bc6a8016c', 'True', 'True', 'false', 'false', '511024102000', 4, '新店镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511024102000', 1, '2021-07-19 11:45:37', NULL, NULL), (14191, '', '新店场社区', 'beae626f03784e28bef5730991840956', '4af475ca54a24072a8f828112cfe28f6', 'False', 'False', 'false', 'false', '511024102037', 5, '新店场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024102037', 1, '2021-07-19 11:45:37', NULL, NULL), (14192, '', '永华村', '88bc093a37e043a19adca61978819064', '4af475ca54a24072a8f828112cfe28f6', 'False', 'True', 'false', 'false', '511024102202', 5, '永华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024102202', 1, '2021-07-19 11:45:37', NULL, NULL), (14193, '', '永强村', '8554fe192381454a8c4ed1e2b3ec5f73', '4af475ca54a24072a8f828112cfe28f6', 'False', 'True', 'false', 'false', '511024102203', 5, '永强村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024102203', 1, '2021-07-19 11:45:37', NULL, NULL), (14194, '', '永红村', 'f6ebe21e04e34ca8b1e017cb5d94e132', '4af475ca54a24072a8f828112cfe28f6', 'False', 'True', 'false', 'false', '511024102204', 5, '永红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024102204', 1, '2021-07-19 11:45:37', NULL, NULL), (14195, '', '永政村', '40339448534146e4978163c1772f89e5', '4af475ca54a24072a8f828112cfe28f6', 'False', 'True', 'false', 'false', '511024102206', 5, '永政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024102206', 1, '2021-07-19 11:45:37', NULL, NULL), (14196, '', '十字村', '226149740a9d40a6895aac5836f09435', '4af475ca54a24072a8f828112cfe28f6', 'False', 'True', 'false', 'false', '511024102208', 5, '十字村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024102208', 1, '2021-07-19 11:45:37', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (14197, '', '长塘村', 'a4d24e277753487a9907c64f5f9875e0', '4af475ca54a24072a8f828112cfe28f6', 'False', 'True', 'false', 'false', '511024102210', 5, '长塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024102210', 1, '2021-07-19 11:45:37', NULL, NULL), (14198, '', '新和村', '3e49a1cf31c241b6bee50d9603a39678', '4af475ca54a24072a8f828112cfe28f6', 'False', 'True', 'false', 'false', '511024102212', 5, '新和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024102212', 1, '2021-07-19 11:45:37', NULL, NULL), (14199, '', '民富村', 'd56a51502f9c43a1b92b64e9a6377b3b', '4af475ca54a24072a8f828112cfe28f6', 'False', 'True', 'false', 'false', '511024102213', 5, '民富村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024102213', 1, '2021-07-19 11:45:37', NULL, NULL), (14200, '', '凤翔村', 'fe99193e3c444ec39ae32ad084cb1c03', '4af475ca54a24072a8f828112cfe28f6', 'False', 'True', 'false', 'false', '511024102214', 5, '凤翔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024102214', 1, '2021-07-19 11:45:37', NULL, NULL), (14201, '', '石坪村', 'd2425557b8e84e23bd47fdc40a6f9d5b', '4af475ca54a24072a8f828112cfe28f6', 'False', 'True', 'false', 'false', '511024102215', 5, '石坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024102215', 1, '2021-07-19 11:45:37', NULL, NULL), (14202, '', '张建村', '90b710f8e9bc4046b9726dcf74ac2039', '4af475ca54a24072a8f828112cfe28f6', 'False', 'True', 'false', 'false', '511024102217', 5, '张建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024102217', 1, '2021-07-19 11:45:37', NULL, NULL), (14203, '', '一品村', '4ea56341e6b344c1ba51b042450af972', '4af475ca54a24072a8f828112cfe28f6', 'False', 'True', 'false', 'false', '511024102221', 5, '一品村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024102221', 1, '2021-07-19 11:45:37', NULL, NULL), (14204, '', '向义镇', '224e39ca4b864beba0ff983e851f7e8d', '0e129e6c02dd43609ca3f69bc6a8016c', 'True', 'True', 'false', 'false', '511024103000', 4, '向义镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511024103000', 1, '2021-07-19 11:45:37', NULL, NULL), (14205, '', '向家岭社区', '410276739f734890974a3061f1133604', '224e39ca4b864beba0ff983e851f7e8d', 'False', 'False', 'false', 'false', '511024103001', 5, '向家岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024103001', 1, '2021-07-19 11:45:37', NULL, NULL), (14206, '', '向万村', '5dec5e302d0d4025bffbf8fe60670d0b', '224e39ca4b864beba0ff983e851f7e8d', 'False', 'True', 'false', 'false', '511024103003', 5, '向万村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024103003', 1, '2021-07-19 11:45:37', NULL, NULL), (14207, '', '柏林村', '9072ea066a1c43ecaf021c4bf8b5d91a', '224e39ca4b864beba0ff983e851f7e8d', 'False', 'True', 'false', 'false', '511024103004', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024103004', 1, '2021-07-19 11:45:37', NULL, NULL), (14208, '', '水口村', 'c8741e7b16fa419cb692f90f411be896', '224e39ca4b864beba0ff983e851f7e8d', 'False', 'True', 'false', 'false', '511024103005', 5, '水口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024103005', 1, '2021-07-19 11:45:37', NULL, NULL), (14209, '', '大山村', '997e5a5970064f6a8a0e2e0e02efc91b', '224e39ca4b864beba0ff983e851f7e8d', 'False', 'True', 'false', 'false', '511024103007', 5, '大山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024103007', 1, '2021-07-19 11:45:37', NULL, NULL), (14210, '', '枇杷村', '823e0d343df24d0bb44d5a2c6b672b80', '224e39ca4b864beba0ff983e851f7e8d', 'False', 'True', 'false', 'false', '511024103010', 5, '枇杷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024103010', 1, '2021-07-19 11:45:37', NULL, NULL), (14211, '', '解放村', 'b0a8e461ba74444382a5d8735379931d', '224e39ca4b864beba0ff983e851f7e8d', 'False', 'True', 'false', 'false', '511024103011', 5, '解放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024103011', 1, '2021-07-19 11:45:37', NULL, NULL), (14212, '', '高硐村', '0c7184decbd44bccbf7869072ad9bf39', '224e39ca4b864beba0ff983e851f7e8d', 'False', 'True', 'false', 'false', '511024103013', 5, '高硐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024103013', 1, '2021-07-19 11:45:37', NULL, NULL), (14213, '', '大冲村', 'c58ca7eb82b14d4eb46389d78ab54f9b', '224e39ca4b864beba0ff983e851f7e8d', 'False', 'True', 'false', 'false', '511024103014', 5, '大冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024103014', 1, '2021-07-19 11:45:38', NULL, NULL), (14214, '', '静宁村', '1dc8bc3e21ae4de69b6d289d2c7d1e96', '224e39ca4b864beba0ff983e851f7e8d', 'False', 'True', 'false', 'false', '511024103016', 5, '静宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024103016', 1, '2021-07-19 11:45:38', NULL, NULL), (14215, '', '四方村', 'fe2ef56dd6894463810350be97cf8cc4', '224e39ca4b864beba0ff983e851f7e8d', 'False', 'True', 'false', 'false', '511024103018', 5, '四方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024103018', 1, '2021-07-19 11:45:38', NULL, NULL), (14216, '', '肖家山社区', 'abeb980b22e64e5c99d81ca6864ada00', '224e39ca4b864beba0ff983e851f7e8d', 'False', 'True', 'false', 'false', '511024103055', 5, '肖家山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024103055', 1, '2021-07-19 11:45:38', NULL, NULL), (14217, '', '界牌镇', '4ff704f4a5904ba699b9bd23db21ec0f', '0e129e6c02dd43609ca3f69bc6a8016c', 'True', 'True', 'false', 'false', '511024104000', 4, '界牌镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511024104000', 1, '2021-07-19 11:45:38', NULL, NULL), (14218, '', '街村社区', 'fc5181646ccf405c94dcc6c2865cfe16', '4ff704f4a5904ba699b9bd23db21ec0f', 'False', 'False', 'false', 'false', '511024104021', 5, '街村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024104021', 1, '2021-07-19 11:45:38', NULL, NULL), (14219, '', '花荷村', 'd66b1f54d1484071a23d50e43a0705d4', '4ff704f4a5904ba699b9bd23db21ec0f', 'False', 'False', 'false', 'false', '511024104201', 5, '花荷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024104201', 1, '2021-07-19 11:45:38', NULL, NULL), (14220, '', '南强村', '64d0b498aaae4635a89cfae931a5461c', '4ff704f4a5904ba699b9bd23db21ec0f', 'False', 'False', 'false', 'false', '511024104202', 5, '南强村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024104202', 1, '2021-07-19 11:45:38', NULL, NULL), (14221, '', '中坝村', 'c0b637d646524e18896c051f64f5433a', '4ff704f4a5904ba699b9bd23db21ec0f', 'False', 'False', 'false', 'false', '511024104203', 5, '中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024104203', 1, '2021-07-19 11:45:38', NULL, NULL), (14222, '', '市郊村', 'a1568babf8494e63a6666c4b61f39b81', '4ff704f4a5904ba699b9bd23db21ec0f', 'False', 'False', 'false', 'false', '511024104206', 5, '市郊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024104206', 1, '2021-07-19 11:45:38', NULL, NULL), (14223, '', '响锣村', '04ba95a49f0e480cade4c718254d257b', '4ff704f4a5904ba699b9bd23db21ec0f', 'False', 'False', 'false', 'false', '511024104208', 5, '响锣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024104208', 1, '2021-07-19 11:45:38', NULL, NULL), (14224, '', '丰胜村', '65fdbd8015cd49bc8d6ab0ab139cb319', '4ff704f4a5904ba699b9bd23db21ec0f', 'False', 'False', 'false', 'false', '511024104211', 5, '丰胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024104211', 1, '2021-07-19 11:45:38', NULL, NULL), (14225, '', '四合村', '82f24eb0b57449e1974f753d18e2415b', '4ff704f4a5904ba699b9bd23db21ec0f', 'False', 'False', 'false', 'false', '511024104213', 5, '四合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024104213', 1, '2021-07-19 11:45:38', NULL, NULL), (14226, '', '桥凼村', '51f7ddced4894c6597358ee85638ba73', '4ff704f4a5904ba699b9bd23db21ec0f', 'False', 'False', 'false', 'false', '511024104214', 5, '桥凼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024104214', 1, '2021-07-19 11:45:38', NULL, NULL), (14227, '', '花园村', 'ccdb0f5c7a004d27aa5cb096726c5309', '4ff704f4a5904ba699b9bd23db21ec0f', 'False', 'False', 'false', 'false', '511024104215', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024104215', 1, '2021-07-19 11:45:38', NULL, NULL), (14228, '', '龙会镇', '0e6b578ed23b451ab518dfc3101c07ac', '0e129e6c02dd43609ca3f69bc6a8016c', 'True', 'True', 'false', 'false', '511024105000', 4, '龙会镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511024105000', 1, '2021-07-19 11:45:38', NULL, NULL), (14229, '', '龙会场社区', '411085d23d974d70978511679c35ca54', '0e6b578ed23b451ab518dfc3101c07ac', 'False', 'True', 'false', 'false', '511024105001', 5, '龙会场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024105001', 1, '2021-07-19 11:45:38', NULL, NULL), (14230, '', '李家场社区', 'c31d755388ee403fa92b6a45e890b767', '0e6b578ed23b451ab518dfc3101c07ac', 'False', 'True', 'false', 'false', '511024105002', 5, '李家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024105002', 1, '2021-07-19 11:45:38', NULL, NULL), (14231, '', '杨岭村', 'cba37cd9b8bb44728fa27f02e37469b3', '0e6b578ed23b451ab518dfc3101c07ac', 'False', 'False', 'false', 'false', '511024105202', 5, '杨岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024105202', 1, '2021-07-19 11:45:38', NULL, NULL), (14232, '', '坝上村', '753b4d0d8e134460968bafc8225ad5df', '0e6b578ed23b451ab518dfc3101c07ac', 'False', 'False', 'false', 'false', '511024105203', 5, '坝上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024105203', 1, '2021-07-19 11:45:38', NULL, NULL), (14233, '', '晓阳村', 'fd171da4fc144cb99f028d80ca867552', '0e6b578ed23b451ab518dfc3101c07ac', 'False', 'False', 'false', 'false', '511024105207', 5, '晓阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024105207', 1, '2021-07-19 11:45:38', NULL, NULL), (14234, '', '互助村', '59c5982e665a4170aa28e76c14173449', '0e6b578ed23b451ab518dfc3101c07ac', 'False', 'False', 'false', 'false', '511024105208', 5, '互助村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024105208', 1, '2021-07-19 11:45:38', NULL, NULL), (14235, '', '龙会村', '3863bcf0db814323b1c954f4696b566d', '0e6b578ed23b451ab518dfc3101c07ac', 'False', 'False', 'false', 'false', '511024105209', 5, '龙会村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024105209', 1, '2021-07-19 11:45:39', NULL, NULL), (14236, '', '新花村', '7a5a711d0e504dfab45b832a1a0bca14', '0e6b578ed23b451ab518dfc3101c07ac', 'False', 'False', 'false', 'false', '511024105214', 5, '新花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024105214', 1, '2021-07-19 11:45:39', NULL, NULL), (14237, '', '共同村', 'bcddbc5c6053400dad6acd5f49c7111c', '0e6b578ed23b451ab518dfc3101c07ac', 'False', 'False', 'false', 'false', '511024105215', 5, '共同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024105215', 1, '2021-07-19 11:45:39', NULL, NULL), (14238, '', '麻柳村', 'a330385b2ccd49f5bb58b66dac0731dd', '0e6b578ed23b451ab518dfc3101c07ac', 'False', 'True', 'false', 'false', '511024105216', 5, '麻柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024105216', 1, '2021-07-19 11:45:39', NULL, NULL), (14239, '', '高湾村', 'b128ef3ef3fc4b7e8b7aecf58fe1fda3', '0e6b578ed23b451ab518dfc3101c07ac', 'False', 'False', 'false', 'false', '511024105217', 5, '高湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024105217', 1, '2021-07-19 11:45:39', NULL, NULL), (14240, '', '五皇村', '7d9139a1a2e44d11b7bc5ddf3d93a7c7', '0e6b578ed23b451ab518dfc3101c07ac', 'False', 'False', 'false', 'false', '511024105219', 5, '五皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024105219', 1, '2021-07-19 11:45:39', NULL, NULL), (14241, '', '尹家村', 'f1bd1b3e3b0e418283c52db487a7dc8f', '0e6b578ed23b451ab518dfc3101c07ac', 'False', 'False', 'false', 'false', '511024105220', 5, '尹家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024105220', 1, '2021-07-19 11:45:39', NULL, NULL), (14242, '', '久安村', '7422903d7eb34f95baefd3cffdecdfec', '0e6b578ed23b451ab518dfc3101c07ac', 'False', 'False', 'false', 'false', '511024105221', 5, '久安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024105221', 1, '2021-07-19 11:45:39', NULL, NULL), (14243, '', '高石镇', 'ab17eb502cd644d5a9a8371703383162', '0e129e6c02dd43609ca3f69bc6a8016c', 'True', 'True', 'false', 'false', '511024106000', 4, '高石镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511024106000', 1, '2021-07-19 11:45:39', NULL, NULL), (14244, '', '藕塘村', 'abe349f85816463aaca8ecfd236cf0f3', 'ab17eb502cd644d5a9a8371703383162', 'False', 'False', 'false', 'false', '511024106002', 5, '藕塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024106002', 1, '2021-07-19 11:45:39', NULL, NULL), (14245, '', '石牛村', '88f1e0553a1a4e1b9eca5ae95e1cf459', 'ab17eb502cd644d5a9a8371703383162', 'False', 'False', 'false', 'false', '511024106004', 5, '石牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024106004', 1, '2021-07-19 11:45:39', NULL, NULL), (14246, '', '禾丰村', '555b96353b9f45e08c14170f389633db', 'ab17eb502cd644d5a9a8371703383162', 'False', 'False', 'false', 'false', '511024106005', 5, '禾丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024106005', 1, '2021-07-19 11:45:39', NULL, NULL), (14247, '', '童家村', '8094db4e4d2347f388c7f0555e5756cb', 'ab17eb502cd644d5a9a8371703383162', 'False', 'False', 'false', 'false', '511024106007', 5, '童家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024106007', 1, '2021-07-19 11:45:39', NULL, NULL), (14248, '', '大湾村', '607045905bcd41f8be49711176fa4c7e', 'ab17eb502cd644d5a9a8371703383162', 'False', 'False', 'false', 'false', '511024106008', 5, '大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024106008', 1, '2021-07-19 11:45:39', NULL, NULL), (14249, '', '伞岭村', 'c03dea8fc24f46d8b56e075ffe575212', 'ab17eb502cd644d5a9a8371703383162', 'False', 'False', 'false', 'false', '511024106009', 5, '伞岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024106009', 1, '2021-07-19 11:45:39', NULL, NULL), (14250, '', '石牌村', 'd7ce3e12747243a88b7afbbf9a3831f2', 'ab17eb502cd644d5a9a8371703383162', 'False', 'False', 'false', 'false', '511024106011', 5, '石牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024106011', 1, '2021-07-19 11:45:39', NULL, NULL), (14251, '', '止马村', 'f8eb16343a264d7eba66e50fd20d4e78', 'ab17eb502cd644d5a9a8371703383162', 'False', 'False', 'false', 'false', '511024106013', 5, '止马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024106013', 1, '2021-07-19 11:45:40', NULL, NULL), (14252, '', '兰田村', '19ff90d13eca4d808c2d54cc737dd7ce', 'ab17eb502cd644d5a9a8371703383162', 'False', 'False', 'false', 'false', '511024106015', 5, '兰田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024106015', 1, '2021-07-19 11:45:40', NULL, NULL), (14253, '', '农建村', '11c4df5fd9e943abb5e16040a09f2d21', 'ab17eb502cd644d5a9a8371703383162', 'False', 'False', 'false', 'false', '511024106016', 5, '农建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024106016', 1, '2021-07-19 11:45:40', NULL, NULL), (14254, '', '胜丰村', '01f89beacec14173a6d756bf8fbaff15', 'ab17eb502cd644d5a9a8371703383162', 'False', 'False', 'false', 'false', '511024106017', 5, '胜丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024106017', 1, '2021-07-19 11:45:40', NULL, NULL), (14255, '', '和平村', '46928c6a0083496ebe88dd64ca10e85a', 'ab17eb502cd644d5a9a8371703383162', 'False', 'False', 'false', 'false', '511024106020', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024106020', 1, '2021-07-19 11:45:40', NULL, NULL), (14256, '', '场镇社区', '58953824c2b54bdba805ea4ce2e5eb2d', 'ab17eb502cd644d5a9a8371703383162', 'False', 'True', 'false', 'false', '511024106021', 5, '场镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024106021', 1, '2021-07-19 11:45:40', NULL, NULL), (14257, '', '达木河社区', '39f87437885d4b8da59e30d3c148d108', 'ab17eb502cd644d5a9a8371703383162', 'False', 'True', 'false', 'false', '511024106022', 5, '达木河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024106022', 1, '2021-07-19 11:45:40', NULL, NULL), (14258, '', '东联镇', '3b993e8f6ba2427b9f8bc51106e7dcba', '0e129e6c02dd43609ca3f69bc6a8016c', 'True', 'True', 'false', 'false', '511024107000', 4, '东联镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511024107000', 1, '2021-07-19 11:45:40', NULL, NULL), (14259, '', '盐井村', 'b50548bbda604dd2aca8089172133f99', '3b993e8f6ba2427b9f8bc51106e7dcba', 'False', 'False', 'false', 'false', '511024107025', 5, '盐井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024107025', 1, '2021-07-19 11:45:40', NULL, NULL), (14260, '', '东盛社区', '63cac4469e9f451b855f7f14fd3dd523', '3b993e8f6ba2427b9f8bc51106e7dcba', 'False', 'True', 'false', 'false', '511024107001', 5, '东盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024107001', 1, '2021-07-19 11:45:40', NULL, NULL), (14261, '', '佛尔岩村', 'b3b8f65d840e4a12853aa13cbc25f452', '3b993e8f6ba2427b9f8bc51106e7dcba', 'False', 'False', 'false', 'false', '511024107003', 5, '佛尔岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024107003', 1, '2021-07-19 11:45:40', NULL, NULL), (14262, '', '幺磨坝村', '1c641b0ca044486dae8b0d530f1c1c34', '3b993e8f6ba2427b9f8bc51106e7dcba', 'False', 'False', 'false', 'false', '511024107006', 5, '幺磨坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024107006', 1, '2021-07-19 11:45:40', NULL, NULL), (14263, '', '李家坪村', 'f924e7ae2e8b43e98d1ce7d539fb6a16', '3b993e8f6ba2427b9f8bc51106e7dcba', 'False', 'False', 'false', 'false', '511024107008', 5, '李家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024107008', 1, '2021-07-19 11:45:40', NULL, NULL), (14264, '', '菜子湾村', '5f3fe62a7d8048c88f30ea055fda3c95', '3b993e8f6ba2427b9f8bc51106e7dcba', 'False', 'False', 'false', 'false', '511024107010', 5, '菜子湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024107010', 1, '2021-07-19 11:45:40', NULL, NULL), (14265, '', '天宝沟村', '5a4a21a701974164bf4b41b3f800bbba', '3b993e8f6ba2427b9f8bc51106e7dcba', 'False', 'False', 'false', 'false', '511024107012', 5, '天宝沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024107012', 1, '2021-07-19 11:45:40', NULL, NULL), (14266, '', '牛皮场村', 'd1e3ffa88d1d4069b20eaa10c084d6ce', '3b993e8f6ba2427b9f8bc51106e7dcba', 'False', 'False', 'false', 'false', '511024107014', 5, '牛皮场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024107014', 1, '2021-07-19 11:45:40', NULL, NULL), (14267, '', '凤金山村', 'e7d27a80863d4bf5a502df7b3bc719b4', '3b993e8f6ba2427b9f8bc51106e7dcba', 'False', 'False', 'false', 'false', '511024107021', 5, '凤金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024107021', 1, '2021-07-19 11:45:40', NULL, NULL), (14268, '', '华场村', '5746f3eaf20849d2b41bf1d71b1273ee', '3b993e8f6ba2427b9f8bc51106e7dcba', 'False', 'False', 'false', 'false', '511024107022', 5, '华场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024107022', 1, '2021-07-19 11:45:40', NULL, NULL), (14269, '', '高楼村', '86aad648ae094e558f06ddfb709fb913', '3b993e8f6ba2427b9f8bc51106e7dcba', 'False', 'False', 'false', 'false', '511024107023', 5, '高楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024107023', 1, '2021-07-19 11:45:41', NULL, NULL), (14270, '', '河湾村', '0baaf9d2aba44157a31cb1a1294cd0b6', '3b993e8f6ba2427b9f8bc51106e7dcba', 'False', 'False', 'false', 'false', '511024107024', 5, '河湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024107024', 1, '2021-07-19 11:45:41', NULL, NULL), (14271, '', '石岭村', '5d21342ac7894d84b973db03e3523fc4', '3b993e8f6ba2427b9f8bc51106e7dcba', 'False', 'False', 'false', 'false', '511024107027', 5, '石岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024107027', 1, '2021-07-19 11:45:41', NULL, NULL), (14272, '', '木瓜村', '30a2fc54d4504ad28d86d6636f15eaf0', '3b993e8f6ba2427b9f8bc51106e7dcba', 'False', 'False', 'false', 'false', '511024107028', 5, '木瓜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024107028', 1, '2021-07-19 11:45:41', NULL, NULL), (14273, '', '华乐社区', '65a7bf60992943b3a2ee08c80019658d', '3b993e8f6ba2427b9f8bc51106e7dcba', 'False', 'False', 'false', 'false', '511024107029', 5, '华乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024107029', 1, '2021-07-19 11:45:41', NULL, NULL), (14274, '', '花祠村', '047fbca7e03649688cc4bea7165561ab', '3b993e8f6ba2427b9f8bc51106e7dcba', 'False', 'False', 'false', 'false', '511024107500', 5, '花祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024107500', 1, '2021-07-19 11:45:41', NULL, NULL), (14275, '', '镇西镇', 'a4f03041eda24e9ea80154532fbf5d18', '0e129e6c02dd43609ca3f69bc6a8016c', 'True', 'True', 'false', 'false', '511024109000', 4, '镇西镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511024109000', 1, '2021-07-19 11:45:41', NULL, NULL), (14276, '', '胜利街社区', '631f21591e454e08a3e9f2c8332e4462', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109001', 5, '胜利街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109001', 1, '2021-07-19 11:45:41', NULL, NULL), (14277, '', '民主街社区', '39d2b4c463ce4d01836e1ffab91319d4', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109002', 5, '民主街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109002', 1, '2021-07-19 11:45:41', NULL, NULL), (14278, '', '铜锣村', '20af520fc1ff40c0b80bb6899f79f5ac', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109096', 5, '铜锣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109096', 1, '2021-07-19 11:45:41', NULL, NULL), (14279, '', '金龙村', '049a3aa38ce04284b1336b984f0782ee', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109097', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109097', 1, '2021-07-19 11:45:41', NULL, NULL), (14280, '', '桃李村', 'f5492de737ba488a81e9fc710a647f3b', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109098', 5, '桃李村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109098', 1, '2021-07-19 11:45:41', NULL, NULL), (14281, '', '庆安村', 'bc69447ba8194ffca8ac44ebd28404b5', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109099', 5, '庆安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109099', 1, '2021-07-19 11:45:41', NULL, NULL), (14282, '', '庆和村', 'a9a0128acc724e4e95aec7541f6dcb3c', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109100', 5, '庆和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109100', 1, '2021-07-19 11:45:41', NULL, NULL), (14283, '', '黄石村', 'c3050d0b43dd4a938668e4551d3aced6', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109101', 5, '黄石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109101', 1, '2021-07-19 11:45:41', NULL, NULL), (14284, '', '花祠社区', '07bb622204af4cba8d73384f541419e6', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109102', 5, '花祠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109102', 1, '2021-07-19 11:45:42', NULL, NULL), (14285, '', '黄石板社区', '136dd689498a49128819f0a56db89736', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109103', 5, '黄石板社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109103', 1, '2021-07-19 11:45:42', NULL, NULL), (14286, '', '杨家嘴村', '041294523f6b423e86cad0773589f0b1', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109202', 5, '杨家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109202', 1, '2021-07-19 11:45:42', NULL, NULL), (14287, '', '正兴村', '0b6191bb659f4169b7ecbc553f5c1076', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109203', 5, '正兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109203', 1, '2021-07-19 11:45:42', NULL, NULL), (14288, '', '团标村', '0960e189316a46d4a3a9b8f44e72c5f4', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109204', 5, '团标村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109204', 1, '2021-07-19 11:45:42', NULL, NULL), (14289, '', '正荣村', '657f19d179b745538e40f9db5b326e33', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109206', 5, '正荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109206', 1, '2021-07-19 11:45:42', NULL, NULL), (14290, '', '临江寺村', 'cc73ac921a484ca1a634dc647c3e5392', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109208', 5, '临江寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109208', 1, '2021-07-19 11:45:42', NULL, NULL), (14291, '', '清水村', '8cb8a983a906442481afaf0acacc20c3', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109213', 5, '清水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109213', 1, '2021-07-19 11:45:42', NULL, NULL), (14292, '', '莲花村', '40b612d70d7d459faf35fe0d46f8526c', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109215', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109215', 1, '2021-07-19 11:45:42', NULL, NULL), (14293, '', '川主村', 'af2e9fa4d31648c1b7793c895b8c3f50', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109216', 5, '川主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109216', 1, '2021-07-19 11:45:42', NULL, NULL), (14294, '', '护建村', '6d1cf0b6a22f4b21afca97f567fcb702', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109217', 5, '护建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109217', 1, '2021-07-19 11:45:42', NULL, NULL), (14295, '', '红林村', '9a92f56782624197bd217a4515c0eae3', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109218', 5, '红林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109218', 1, '2021-07-19 11:45:42', NULL, NULL), (14296, '', '核丰村', '3c4c2e7b69a34ee2a5b0610f97b1775c', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109221', 5, '核丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109221', 1, '2021-07-19 11:45:42', NULL, NULL), (14297, '', '民建村', 'ca775c41fa56420e9bb6d73bee7c0aa1', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109223', 5, '民建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109223', 1, '2021-07-19 11:45:42', NULL, NULL), (14298, '', '护民村', '4f17306db8514fbf84183169e550a320', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109224', 5, '护民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109224', 1, '2021-07-19 11:45:42', NULL, NULL), (14299, '', '中心村', '27b1712e44fe4e62ae79bf0a37f88d45', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109225', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109225', 1, '2021-07-19 11:45:42', NULL, NULL), (14300, '', '黄坭村', '7646f319e6da478ca0b71eb82cbe1911', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109227', 5, '黄坭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109227', 1, '2021-07-19 11:45:42', NULL, NULL), (14301, '', '老君村', 'aabde7607fcd4b408ada5f502a0c830b', 'a4f03041eda24e9ea80154532fbf5d18', 'False', 'True', 'false', 'false', '511024109229', 5, '老君村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024109229', 1, '2021-07-19 11:45:42', NULL, NULL), (14302, '', '山王镇', 'ef715448110f472dbb2ec583a15df6b5', '0e129e6c02dd43609ca3f69bc6a8016c', 'True', 'True', 'false', 'false', '511024111000', 4, '山王镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511024111000', 1, '2021-07-19 11:45:42', NULL, NULL), (14303, '', '黄荆沟社区', '0b75ec881d2d4df69ef0d0e8c4aee9bb', 'ef715448110f472dbb2ec583a15df6b5', 'False', 'True', 'false', 'false', '511024111539', 5, '黄荆沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024111539', 1, '2021-07-19 11:45:42', NULL, NULL), (14304, '', '山王场社区', 'da567be6c703436796414ca06d3f5267', 'ef715448110f472dbb2ec583a15df6b5', 'False', 'True', 'false', 'false', '511024111001', 5, '山王场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024111001', 1, '2021-07-19 11:45:42', NULL, NULL), (14305, '', '豹山村', 'a198ba488d89488ab6eb99e3bbb91596', 'ef715448110f472dbb2ec583a15df6b5', 'False', 'False', 'false', 'false', '511024111003', 5, '豹山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024111003', 1, '2021-07-19 11:45:43', NULL, NULL), (14306, '', '工农村', 'f206cec6771441caa8c62693e46dc770', 'ef715448110f472dbb2ec583a15df6b5', 'False', 'False', 'false', 'false', '511024111056', 5, '工农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024111056', 1, '2021-07-19 11:45:43', NULL, NULL), (14307, '', '长沙村', '95f450f31f2948ee8d7c4b962b4b51cb', 'ef715448110f472dbb2ec583a15df6b5', 'False', 'False', 'false', 'false', '511024111057', 5, '长沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024111057', 1, '2021-07-19 11:45:43', NULL, NULL), (14308, '', '太平村', '3b4883fa988b4b6db9641456a61e2fa9', 'ef715448110f472dbb2ec583a15df6b5', 'False', 'False', 'false', 'false', '511024111058', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024111058', 1, '2021-07-19 11:45:43', NULL, NULL), (14309, '', '白香村', '54da1f9cb5a64ba98ad930ca9b91f347', 'ef715448110f472dbb2ec583a15df6b5', 'False', 'False', 'false', 'false', '511024111059', 5, '白香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024111059', 1, '2021-07-19 11:45:43', NULL, NULL), (14310, '', '砚台村', '636efdb6f0474949adb11a3549370988', 'ef715448110f472dbb2ec583a15df6b5', 'False', 'False', 'false', 'false', '511024111060', 5, '砚台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024111060', 1, '2021-07-19 11:45:43', NULL, NULL), (14311, '', '坭河村', '2fc440a26bee459b959f38775e5bb9ec', 'ef715448110f472dbb2ec583a15df6b5', 'False', 'False', 'false', 'false', '511024111061', 5, '坭河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024111061', 1, '2021-07-19 11:45:43', NULL, NULL), (14312, '', '秀峰村', 'd479792715164327add6cb7f187fbca5', 'ef715448110f472dbb2ec583a15df6b5', 'False', 'False', 'false', 'false', '511024111062', 5, '秀峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024111062', 1, '2021-07-19 11:45:43', NULL, NULL), (14313, '', '凤凰村', '72424965e89246918e8c6b691ef27ac5', 'ef715448110f472dbb2ec583a15df6b5', 'False', 'False', 'false', 'false', '511024111063', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024111063', 1, '2021-07-19 11:45:43', NULL, NULL), (14314, '', '威煤社区', '6d066030969d40b3943565155dafed7f', 'ef715448110f472dbb2ec583a15df6b5', 'False', 'True', 'false', 'false', '511024111066', 5, '威煤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024111066', 1, '2021-07-19 11:45:43', NULL, NULL), (14315, '', '风桠村', 'bcfde5fff2d84f0ab36a5d316ecf64e1', 'ef715448110f472dbb2ec583a15df6b5', 'False', 'False', 'false', 'false', '511024111202', 5, '风桠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024111202', 1, '2021-07-19 11:45:43', NULL, NULL), (14316, '', '跃进村', 'c57ec295022d4edcab173badb5f7f667', 'ef715448110f472dbb2ec583a15df6b5', 'False', 'False', 'false', 'false', '511024111204', 5, '跃进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024111204', 1, '2021-07-19 11:45:43', NULL, NULL), (14317, '', '白龙村', '280fc3bb9f3c4c4491c44775c30d090e', 'ef715448110f472dbb2ec583a15df6b5', 'False', 'False', 'false', 'false', '511024111205', 5, '白龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024111205', 1, '2021-07-19 11:45:43', NULL, NULL), (14318, '', '象鼻村', 'dd08b818082a46fd866d9534b2e610b9', 'ef715448110f472dbb2ec583a15df6b5', 'False', 'False', 'false', 'false', '511024111206', 5, '象鼻村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024111206', 1, '2021-07-19 11:45:43', NULL, NULL), (14319, '', '裕华村', '81ddff66cfb24fd8b8c8de1fc0b8c702', 'ef715448110f472dbb2ec583a15df6b5', 'False', 'False', 'false', 'false', '511024111208', 5, '裕华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024111208', 1, '2021-07-19 11:45:43', NULL, NULL), (14320, '', '观英滩镇', '990c8c76d1034f8ba008a18f2e20814c', '0e129e6c02dd43609ca3f69bc6a8016c', 'True', 'True', 'false', 'false', '511024113000', 4, '观英滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511024113000', 1, '2021-07-19 11:45:43', NULL, NULL), (14321, '', '观英滩街道社区', '01b8689be18443eb93100173c6203ac5', '990c8c76d1034f8ba008a18f2e20814c', 'False', 'False', 'false', 'false', '511024113027', 5, '观英滩街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024113027', 1, '2021-07-19 11:45:43', NULL, NULL), (14322, '', '永兴桥村', '5ac1d25ea0794938b1f588c3a39146f3', '990c8c76d1034f8ba008a18f2e20814c', 'False', 'False', 'false', 'false', '511024113202', 5, '永兴桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024113202', 1, '2021-07-19 11:45:43', NULL, NULL), (14323, '', '云台村', '00927228370249fe947f61bf55034ca1', '990c8c76d1034f8ba008a18f2e20814c', 'False', 'True', 'false', 'false', '511024113203', 5, '云台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024113203', 1, '2021-07-19 11:45:44', NULL, NULL), (14324, '', '牛王村', 'ede51d48e23a48369a7a5a4d1584393b', '990c8c76d1034f8ba008a18f2e20814c', 'False', 'False', 'false', 'false', '511024113204', 5, '牛王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024113204', 1, '2021-07-19 11:45:44', NULL, NULL), (14325, '', '金顶村', 'b13dc5f129cd4d71ad4bd5635f827ca7', '990c8c76d1034f8ba008a18f2e20814c', 'False', 'False', 'false', 'false', '511024113206', 5, '金顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024113206', 1, '2021-07-19 11:45:44', NULL, NULL), (14326, '', '骑龙坳村', '7e71811c294b4c81932ad9682d36ef5f', '990c8c76d1034f8ba008a18f2e20814c', 'False', 'True', 'false', 'false', '511024113208', 5, '骑龙坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024113208', 1, '2021-07-19 11:45:44', NULL, NULL), (14327, '', '青山村', '987fff54317f4707ae4103ff0a6f3b35', '990c8c76d1034f8ba008a18f2e20814c', 'False', 'False', 'false', 'false', '511024113211', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024113211', 1, '2021-07-19 11:45:44', NULL, NULL), (14328, '', '竹塘村', 'f16a6a7b3984445db9dcfc7ad95c8487', '990c8c76d1034f8ba008a18f2e20814c', 'False', 'False', 'false', 'false', '511024113212', 5, '竹塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024113212', 1, '2021-07-19 11:45:44', NULL, NULL), (14329, '', '一碗水村', 'a8689ede700e420088e1d99009d44d75', '990c8c76d1034f8ba008a18f2e20814c', 'False', 'False', 'false', 'false', '511024113215', 5, '一碗水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024113215', 1, '2021-07-19 11:45:44', NULL, NULL), (14330, '', '民政村', '66aef8eaec704203a29b2e59237d4da1', '990c8c76d1034f8ba008a18f2e20814c', 'False', 'False', 'false', 'false', '511024113216', 5, '民政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024113216', 1, '2021-07-19 11:45:44', NULL, NULL), (14331, '', '新场镇', '9def4dd156f6474b8b3e928ca1314b07', '0e129e6c02dd43609ca3f69bc6a8016c', 'True', 'True', 'false', 'false', '511024114000', 4, '新场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511024114000', 1, '2021-07-19 11:45:44', NULL, NULL), (14332, '', '新场街道社区', '4093841f16644721a95ddcc43e1b94a7', '9def4dd156f6474b8b3e928ca1314b07', 'False', 'True', 'false', 'false', '511024114001', 5, '新场街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024114001', 1, '2021-07-19 11:45:44', NULL, NULL), (14333, '', '新权村', 'd6ab0a6342744c33840f4b73a91c74cb', '9def4dd156f6474b8b3e928ca1314b07', 'False', 'True', 'false', 'false', '511024114003', 5, '新权村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024114003', 1, '2021-07-19 11:45:44', NULL, NULL), (14334, '', '龙奉村', '928c7cbcc17e4279af79f33ebd6f3406', '9def4dd156f6474b8b3e928ca1314b07', 'False', 'True', 'false', 'false', '511024114005', 5, '龙奉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024114005', 1, '2021-07-19 11:45:44', NULL, NULL), (14335, '', '丰田村', 'bc0868ce57844675bbcd773429fe44ae', '9def4dd156f6474b8b3e928ca1314b07', 'False', 'True', 'false', 'false', '511024114006', 5, '丰田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024114006', 1, '2021-07-19 11:45:44', NULL, NULL), (14336, '', '民胜村', '603c1044ab864a8c8d1681f43f5673b4', '9def4dd156f6474b8b3e928ca1314b07', 'False', 'True', 'false', 'false', '511024114007', 5, '民胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024114007', 1, '2021-07-19 11:45:44', NULL, NULL), (14337, '', '卡房村', '4a9b07a759d343b58dccc77cc7e34cdc', '9def4dd156f6474b8b3e928ca1314b07', 'False', 'True', 'false', 'false', '511024114009', 5, '卡房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024114009', 1, '2021-07-19 11:45:44', NULL, NULL), (14338, '', '万祥村', 'a2056a47762b47b99b117c5172f9af53', '9def4dd156f6474b8b3e928ca1314b07', 'False', 'True', 'false', 'false', '511024114010', 5, '万祥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024114010', 1, '2021-07-19 11:45:44', NULL, NULL), (14339, '', '老场村', 'c44f0c83a46e47aa975dd11e3cd51cb3', '9def4dd156f6474b8b3e928ca1314b07', 'False', 'True', 'false', 'false', '511024114012', 5, '老场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024114012', 1, '2021-07-19 11:45:44', NULL, NULL), (14340, '', '曹胜村', '88753d8901e746b4aa4cd31c79770f78', '9def4dd156f6474b8b3e928ca1314b07', 'False', 'True', 'false', 'false', '511024114013', 5, '曹胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024114013', 1, '2021-07-19 11:45:44', NULL, NULL), (14341, '', '蔡家村', 'a83786a44e8d4325978e46478c840654', '9def4dd156f6474b8b3e928ca1314b07', 'False', 'True', 'false', 'false', '511024114014', 5, '蔡家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024114014', 1, '2021-07-19 11:45:44', NULL, NULL), (14342, '', '白胜村', '2a5a1054a3cf45adbd44ed5889b59bfc', '9def4dd156f6474b8b3e928ca1314b07', 'False', 'True', 'false', 'false', '511024114015', 5, '白胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024114015', 1, '2021-07-19 11:45:45', NULL, NULL), (14343, '', '麻柳村', 'e756ee3bcf364a1bafe34f7da5f43db9', '9def4dd156f6474b8b3e928ca1314b07', 'False', 'True', 'false', 'false', '511024114020', 5, '麻柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024114020', 1, '2021-07-19 11:45:45', NULL, NULL), (14344, '', '红村村', 'ac9ba310f7bb4bbb8f161d8b7c5bbd02', '9def4dd156f6474b8b3e928ca1314b07', 'False', 'True', 'false', 'false', '511024114022', 5, '红村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024114022', 1, '2021-07-19 11:45:45', NULL, NULL), (14345, '', '红豆村', 'f777644588c9483fb25ce7cda10d096c', '9def4dd156f6474b8b3e928ca1314b07', 'False', 'True', 'false', 'false', '511024114023', 5, '红豆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024114023', 1, '2021-07-19 11:45:45', NULL, NULL), (14346, '', '连界镇', 'f2d1d30e1a644c888e3254e298ef06c4', '0e129e6c02dd43609ca3f69bc6a8016c', 'True', 'True', 'false', 'false', '511024115000', 4, '连界镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511024115000', 1, '2021-07-19 11:45:45', NULL, NULL), (14347, '', '建设街社区', 'fdffb8c310104e248fdf2a3140935d62', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'True', 'false', 'false', '511024115001', 5, '建设街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115001', 1, '2021-07-19 11:45:45', NULL, NULL), (14348, '', '劳动街社区', '5f8c532a85504d169a98c7689bde629c', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'True', 'false', 'false', '511024115002', 5, '劳动街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115002', 1, '2021-07-19 11:45:45', NULL, NULL), (14349, '', '解放街社区', 'b1065cac0dc148938e06bcad369d92fe', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'True', 'false', 'false', '511024115005', 5, '解放街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115005', 1, '2021-07-19 11:45:45', NULL, NULL), (14350, '', '石板河社区', 'ffd43ec8d6884709b90d75c32f81cea9', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'True', 'false', 'false', '511024115006', 5, '石板河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115006', 1, '2021-07-19 11:45:45', NULL, NULL), (14351, '', '联合社区', 'da30e68693d349a98ae6f943cec68124', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'False', 'false', 'false', '511024115071', 5, '联合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115071', 1, '2021-07-19 11:45:45', NULL, NULL), (14352, '', '中峰村', '69d36c55df4d437e88d87fa81aa28384', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'False', 'false', 'false', '511024115072', 5, '中锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115072', 1, '2021-07-19 11:45:45', NULL, NULL), (14353, '', '船石社区', '66ec6d545a5a4eb48f1215a614b3c5d9', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'False', 'false', 'false', '511024115073', 5, '船石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115073', 1, '2021-07-19 11:45:45', NULL, NULL), (14354, '', '漫城社区', 'bdaaf673d37a4947b17aae90c3ccf654', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'False', 'false', 'false', '511024115074', 5, '漫城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115074', 1, '2021-07-19 11:45:45', NULL, NULL), (14355, '', '广阳村', 'd5959071a0784219b608fddfcb95ab3b', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'False', 'false', 'false', '511024115075', 5, '广阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115075', 1, '2021-07-19 11:45:45', NULL, NULL), (14356, '', '勇敢村', 'b4857832f9e04e7eb7ef7cd619bfd0e8', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'False', 'false', 'false', '511024115076', 5, '勇敢村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115076', 1, '2021-07-19 11:45:45', NULL, NULL), (14357, '', '永富村', 'b132f24c8c8f4395b16201d3f71528fc', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'False', 'false', 'false', '511024115077', 5, '永富村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115077', 1, '2021-07-19 11:45:45', NULL, NULL), (14358, '', '镇江村', 'ab15384722374bbabded21d6d4e893a8', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'False', 'false', 'false', '511024115078', 5, '镇江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115078', 1, '2021-07-19 11:45:45', NULL, NULL), (14359, '', '凉山村', '564bd667c6ec4a42bb9548bfac214836', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'False', 'false', 'false', '511024115079', 5, '凉山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115079', 1, '2021-07-19 11:45:46', NULL, NULL), (14360, '', '两河社区', '2754da243f3049589e64b4dcb49d2923', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'False', 'false', 'false', '511024115080', 5, '两河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115080', 1, '2021-07-19 11:45:46', NULL, NULL), (14361, '', '连界村', 'c5eb0fbff20541a29c2e2739e2a4f58b', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'True', 'false', 'false', '511024115201', 5, '连界村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115201', 1, '2021-07-19 11:45:46', NULL, NULL), (14362, '', '新农村', 'c8dc1159d2d44d96b238fcf07e6e8996', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'True', 'false', 'false', '511024115203', 5, '新农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115203', 1, '2021-07-19 11:45:46', NULL, NULL), (14363, '', '盘古村', '0ef13073ac5f4b6f9406ff5a197918d7', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'True', 'false', 'false', '511024115205', 5, '盘古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115205', 1, '2021-07-19 11:45:46', NULL, NULL), (14364, '', '先锋村', 'd4013dc8cf104d1fa999c5b1d7b21b88', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'True', 'false', 'false', '511024115208', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115208', 1, '2021-07-19 11:45:46', NULL, NULL), (14365, '', '杉树村', '676958ee58b848b095d1802e3e9e910a', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'True', 'false', 'false', '511024115210', 5, '杉树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115210', 1, '2021-07-19 11:45:46', NULL, NULL), (14366, '', '荣胜村', '4a2f21102b1143018f6fdef3314f991c', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'True', 'false', 'false', '511024115212', 5, '荣胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115212', 1, '2021-07-19 11:45:46', NULL, NULL), (14367, '', '中岭村', '028aca1e52c04d8aad2ca07fe5c098c1', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'True', 'false', 'false', '511024115213', 5, '中岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115213', 1, '2021-07-19 11:45:46', NULL, NULL), (14368, '', '五堡墩村', '2f32d88636c74370a82102c24cf0e607', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'True', 'false', 'false', '511024115214', 5, '五堡墩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115214', 1, '2021-07-19 11:45:46', NULL, NULL), (14369, '', '民新村', '6d573f8a839540e1b1b452265916558b', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'True', 'false', 'false', '511024115215', 5, '民新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115215', 1, '2021-07-19 11:45:46', NULL, NULL), (14370, '', '国防村', '0f4566f35a1e4523bd24879aaa1d2107', 'f2d1d30e1a644c888e3254e298ef06c4', 'False', 'True', 'false', 'false', '511024115218', 5, '国防村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024115218', 1, '2021-07-19 11:45:46', NULL, NULL), (14371, '', '越溪镇', '8c3d443606b84cbb9e36ccf26ac14a09', '0e129e6c02dd43609ca3f69bc6a8016c', 'True', 'True', 'false', 'false', '511024116000', 4, '越溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511024116000', 1, '2021-07-19 11:45:46', NULL, NULL), (14372, '', '场镇社区', '4c2938d788e84708bf7bb51df7b0f32e', '8c3d443606b84cbb9e36ccf26ac14a09', 'False', 'True', 'false', 'false', '511024116001', 5, '场镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024116001', 1, '2021-07-19 11:45:46', NULL, NULL), (14373, '', '碗厂社区', '8d31730fd2964a8d850677db1b04033e', '8c3d443606b84cbb9e36ccf26ac14a09', 'False', 'False', 'false', 'false', '511024116090', 5, '碗厂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024116090', 1, '2021-07-19 11:45:46', NULL, NULL), (14374, '', '勇溪村', '2d27536633da412297e260d32ee6a13b', '8c3d443606b84cbb9e36ccf26ac14a09', 'False', 'False', 'false', 'false', '511024116091', 5, '勇溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024116091', 1, '2021-07-19 11:45:46', NULL, NULL), (14375, '', '双石村', '7ce6668f9e3a47df8518a4a21e3a0ce2', '8c3d443606b84cbb9e36ccf26ac14a09', 'False', 'False', 'false', 'false', '511024116092', 5, '双石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024116092', 1, '2021-07-19 11:45:46', NULL, NULL), (14376, '', '青龙村', 'dacf3ebabe4344e189e61202124e8289', '8c3d443606b84cbb9e36ccf26ac14a09', 'False', 'False', 'false', 'false', '511024116093', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024116093', 1, '2021-07-19 11:45:46', NULL, NULL), (14377, '', '青宁村', '5b1b6187c9cc40ba8115255370f3dc87', '8c3d443606b84cbb9e36ccf26ac14a09', 'False', 'False', 'false', 'false', '511024116094', 5, '青宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024116094', 1, '2021-07-19 11:45:46', NULL, NULL), (14378, '', '天宫村', '225da776a0f44fde92144fff0f757caf', '8c3d443606b84cbb9e36ccf26ac14a09', 'False', 'False', 'false', 'false', '511024116095', 5, '天宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024116095', 1, '2021-07-19 11:45:47', NULL, NULL), (14379, '', '龙洞村', 'e6e1fdc237c848769f89d809a9ec7f06', '8c3d443606b84cbb9e36ccf26ac14a09', 'False', 'True', 'false', 'false', '511024116201', 5, '龙洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024116201', 1, '2021-07-19 11:45:47', NULL, NULL), (14380, '', '平安村', '9d628c2ce6694a12a9fb35de7a371c20', '8c3d443606b84cbb9e36ccf26ac14a09', 'False', 'True', 'false', 'false', '511024116202', 5, '平安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024116202', 1, '2021-07-19 11:45:47', NULL, NULL), (14381, '', '发展村', 'b2addb21622a44c79a5a989e3ed810b1', '8c3d443606b84cbb9e36ccf26ac14a09', 'False', 'True', 'false', 'false', '511024116204', 5, '发展村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024116204', 1, '2021-07-19 11:45:47', NULL, NULL), (14382, '', '金堂村', 'c1854cfe8c7245fcba6a3c0a1d925e61', '8c3d443606b84cbb9e36ccf26ac14a09', 'False', 'True', 'false', 'false', '511024116206', 5, '金堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024116206', 1, '2021-07-19 11:45:47', NULL, NULL), (14383, '', '俩母山村', 'b82e9bb8cc5747c18e4133cc8feac586', '8c3d443606b84cbb9e36ccf26ac14a09', 'False', 'True', 'false', 'false', '511024116208', 5, '俩母山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024116208', 1, '2021-07-19 11:45:47', NULL, NULL), (14384, '', '水源村', 'a251d2d02d4b4df2b82d1fb89b453373', '8c3d443606b84cbb9e36ccf26ac14a09', 'False', 'True', 'false', 'false', '511024116211', 5, '水源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024116211', 1, '2021-07-19 11:45:47', NULL, NULL), (14385, '', '吉祥村', 'd11080005a6843229206a46fcc944d49', '8c3d443606b84cbb9e36ccf26ac14a09', 'False', 'True', 'false', 'false', '511024116212', 5, '吉祥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024116212', 1, '2021-07-19 11:45:47', NULL, NULL), (14386, '', '楠木村', '3e9ba51999b64a5186bda7a51660ab87', '8c3d443606b84cbb9e36ccf26ac14a09', 'False', 'True', 'false', 'false', '511024116213', 5, '楠木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024116213', 1, '2021-07-19 11:45:47', NULL, NULL), (14387, '', '海潮村', 'd4086b916bc145498486cb4339681ac6', '8c3d443606b84cbb9e36ccf26ac14a09', 'False', 'True', 'false', 'false', '511024116215', 5, '海潮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024116215', 1, '2021-07-19 11:45:47', NULL, NULL), (14388, '', '小河镇', 'e1e5d9b68d154a12ae8ef97c557c9bb7', '0e129e6c02dd43609ca3f69bc6a8016c', 'True', 'True', 'false', 'false', '511024119000', 4, '小河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511024119000', 1, '2021-07-19 11:45:47', NULL, NULL), (14389, '', '复立村', '44e2a66aa3fe4bf3886bc6a2b6673d0e', 'e1e5d9b68d154a12ae8ef97c557c9bb7', 'False', 'False', 'false', 'false', '511024119022', 5, '复立村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024119022', 1, '2021-07-19 11:45:47', NULL, NULL), (14390, '', '回龙社区', 'e3126c7fc5e749bd95cb8c3c23736d42', 'e1e5d9b68d154a12ae8ef97c557c9bb7', 'False', 'False', 'false', 'false', '511024119001', 5, '回龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024119001', 1, '2021-07-19 11:45:47', NULL, NULL), (14391, '', '立石桥社区', 'a9f01efda1c240ff9219c27da414b442', 'e1e5d9b68d154a12ae8ef97c557c9bb7', 'False', 'False', 'false', 'false', '511024119021', 5, '立石桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024119021', 1, '2021-07-19 11:45:47', NULL, NULL), (14392, '', '民治村', '10be63a4000647c88530bae9c68ad471', 'e1e5d9b68d154a12ae8ef97c557c9bb7', 'False', 'True', 'false', 'false', '511024119203', 5, '民治村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024119203', 1, '2021-07-19 11:45:47', NULL, NULL), (14393, '', '开元村', '8ab6f820577c44aa977a1f2f5daf62d0', 'e1e5d9b68d154a12ae8ef97c557c9bb7', 'False', 'True', 'false', 'false', '511024119204', 5, '开元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024119204', 1, '2021-07-19 11:45:47', NULL, NULL), (14394, '', '牌坊村', '8eed0ab25beb455f865c2759e6b50cb7', 'e1e5d9b68d154a12ae8ef97c557c9bb7', 'False', 'True', 'false', 'false', '511024119205', 5, '牌坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024119205', 1, '2021-07-19 11:45:48', NULL, NULL), (14395, '', '响水村', '3c504ce269a04eacab6e83cf7af33893', 'e1e5d9b68d154a12ae8ef97c557c9bb7', 'False', 'True', 'false', 'false', '511024119206', 5, '响水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024119206', 1, '2021-07-19 11:45:48', NULL, NULL), (14396, '', '平乐村', 'a44a1a6ccf494fe8b4102b17de440ed6', 'e1e5d9b68d154a12ae8ef97c557c9bb7', 'False', 'True', 'false', 'false', '511024119207', 5, '平乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024119207', 1, '2021-07-19 11:45:48', NULL, NULL), (14397, '', '新同村', '9961a3e3d1414b7babaec92bb978ca81', 'e1e5d9b68d154a12ae8ef97c557c9bb7', 'False', 'True', 'false', 'false', '511024119208', 5, '新同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024119208', 1, '2021-07-19 11:45:48', NULL, NULL), (14398, '', '大岩村', '8e35eba0b93d48ae8f9d8f5386d24099', 'e1e5d9b68d154a12ae8ef97c557c9bb7', 'False', 'True', 'false', 'false', '511024119209', 5, '大岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024119209', 1, '2021-07-19 11:45:48', NULL, NULL), (14399, '', '新古村', '09b21467802a4d07bae5a7180b7055d5', 'e1e5d9b68d154a12ae8ef97c557c9bb7', 'False', 'True', 'false', 'false', '511024119211', 5, '新古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024119211', 1, '2021-07-19 11:45:48', NULL, NULL), (14400, '', '铁厂村', '4e000c4cd2b44c39a0a2bd5522238399', 'e1e5d9b68d154a12ae8ef97c557c9bb7', 'False', 'True', 'false', 'false', '511024119214', 5, '铁厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511024119214', 1, '2021-07-19 11:45:48', NULL, NULL), (14401, '', '隆昌市', 'ea9bc381dc56483f969e5a4b5ff0667b', '84fea131d000433ea765daa6ab9119f4', 'True', 'True', 'false', 'false', '511028000000', 3, '隆昌市', 'njslcs.sczwfw.gov.cn', 1, '2021-07-19 11:45:48', NULL, NULL), (14402, '', '双凤镇', '62ea6ee3a5b34eec9129bd921b594c53', 'ea9bc381dc56483f969e5a4b5ff0667b', 'True', 'True', 'false', 'false', '511028001000', 4, '双凤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511028001000', 1, '2021-07-19 11:45:48', NULL, NULL), (14403, '', '双凤驿社区', 'acb33e05681e4badb6f839aaefd4ec86', '62ea6ee3a5b34eec9129bd921b594c53', 'False', 'True', 'false', 'false', '511028105001', 5, '双凤驿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028105001', 1, '2021-07-19 11:45:48', NULL, NULL), (14404, '', '平安社区', '35fb04fe3e3f4e45a5f829363dbf065a', '62ea6ee3a5b34eec9129bd921b594c53', 'False', 'True', 'false', 'false', '511028105002', 5, '平安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028105002', 1, '2021-07-19 11:45:48', NULL, NULL), (14405, '', '秧田村', 'f0f428fc1b9e4b49adbe7727f38309e3', '62ea6ee3a5b34eec9129bd921b594c53', 'False', 'True', 'false', 'false', '511028105203', 5, '秧田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028105203', 1, '2021-07-19 11:45:48', NULL, NULL), (14406, '', '通盛村', '8ed62ae1c4fb4f6ba62052a0b947a565', '62ea6ee3a5b34eec9129bd921b594c53', 'False', 'True', 'false', 'false', '511028105204', 5, '通盛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028105204', 1, '2021-07-19 11:45:48', NULL, NULL), (14407, '', '龙灯村', 'fcb16eaba8ad457c834997b90bcbcbee', '62ea6ee3a5b34eec9129bd921b594c53', 'False', 'True', 'false', 'false', '511028105205', 5, '龙灯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028105205', 1, '2021-07-19 11:45:48', NULL, NULL), (14408, '', '太子村', 'f30e2e9ab7f14d6bb7822c734cf184fc', '62ea6ee3a5b34eec9129bd921b594c53', 'False', 'True', 'false', 'false', '511028105208', 5, '太子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028105208', 1, '2021-07-19 11:45:48', NULL, NULL), (14409, '', '万安村', 'c7fa6fbce53c4d8bb565fa7985874dfc', '62ea6ee3a5b34eec9129bd921b594c53', 'False', 'True', 'false', 'false', '511028105211', 5, '万安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028105211', 1, '2021-07-19 11:45:48', NULL, NULL), (14410, '', '天湾村', '038b2297561947ca91a1d18e301cf491', '62ea6ee3a5b34eec9129bd921b594c53', 'False', 'True', 'false', 'false', '511028105213', 5, '天湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028105213', 1, '2021-07-19 11:45:48', NULL, NULL), (14411, '', '双石村', '5b9959a9cfd94b12b7e0019052573596', '62ea6ee3a5b34eec9129bd921b594c53', 'False', 'True', 'false', 'false', '511028105214', 5, '双石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028105214', 1, '2021-07-19 11:45:48', NULL, NULL), (14412, '', '红花村', 'a9d2001b517c4bc5a5cea2df3ade9e38', '62ea6ee3a5b34eec9129bd921b594c53', 'False', 'True', 'false', 'false', '511028105215', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028105215', 1, '2021-07-19 11:45:48', NULL, NULL), (14413, '', '芭蕉村', '0bfe96186a7147cab16346e2717c25a9', '62ea6ee3a5b34eec9129bd921b594c53', 'False', 'True', 'false', 'false', '511028105216', 5, '芭蕉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028105216', 1, '2021-07-19 11:45:49', NULL, NULL), (14414, '', '庵堂村', '8d1ece57acf646c9821492a3748f83c4', '62ea6ee3a5b34eec9129bd921b594c53', 'False', 'True', 'false', 'false', '511028105221', 5, '庵堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028105221', 1, '2021-07-19 11:45:49', NULL, NULL), (14415, '', '交通村', '281174df977a4ffeb4020ae8ff3d7f61', '62ea6ee3a5b34eec9129bd921b594c53', 'False', 'True', 'false', 'false', '511028105222', 5, '交通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028105222', 1, '2021-07-19 11:45:49', NULL, NULL), (14416, '', '朝阳村', '53cb34dd074f4942b9892047b066b3bd', '62ea6ee3a5b34eec9129bd921b594c53', 'False', 'True', 'false', 'false', '511028105224', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028105224', 1, '2021-07-19 11:45:49', NULL, NULL), (14417, '', '七里村', 'd187e99989484b6e92d3f57ca271f000', '62ea6ee3a5b34eec9129bd921b594c53', 'False', 'True', 'false', 'false', '511028105226', 5, '七里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028105226', 1, '2021-07-19 11:45:49', NULL, NULL), (14418, '', '金鹅街道', 'ec5e3498f0584d999da60fc82f0d4db5', 'ea9bc381dc56483f969e5a4b5ff0667b', 'True', 'True', 'false', 'false', '511028002000', 4, '金鹅街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511028002000', 1, '2021-07-19 11:45:49', NULL, NULL), (14419, '', '山川社区', '8da61dd12dd64bb184c223f4798f2372', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028300001', 5, '山川社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028300001', 1, '2021-07-19 11:45:49', NULL, NULL), (14420, '', '新民社区', 'f2a22d6e2e93495d811de30456250c68', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028300002', 5, '新民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028300002', 1, '2021-07-19 11:45:49', NULL, NULL), (14421, '', '界牌社区', '2888d85f9f284d35991319c838d56b52', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028300003', 5, '界牌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028300003', 1, '2021-07-19 11:45:49', NULL, NULL), (14422, '', '红光社区', 'd664caa930e9451a9e684067fec697f2', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028300004', 5, '红光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028300004', 1, '2021-07-19 11:45:49', NULL, NULL), (14423, '', '曙光村', 'b6fbb2a85b4f4edf85c3c1979f9a4af3', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028300005', 5, '曙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028300005', 1, '2021-07-19 11:45:49', NULL, NULL), (14424, '', '光华村', '8ae1562e8ef3456b922135ea5de5c3e2', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028300006', 5, '光华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028300006', 1, '2021-07-19 11:45:49', NULL, NULL), (14425, '', '东风村', 'e4a2fb24db8e4317aee30b69ede8da7b', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028300007', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028300007', 1, '2021-07-19 11:45:50', NULL, NULL), (14426, '', '板栗湾社区', 'a199efb9c6e84f65affcd9ca2822c7d6', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028002001', 5, '板栗湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028002001', 1, '2021-07-19 11:45:50', NULL, NULL), (14427, '', '云峰路社区', '5a1c4d236caa4a8fbd6400ab7b24bfeb', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028002002', 5, '云峰路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028002002', 1, '2021-07-19 11:45:50', NULL, NULL), (14428, '', '昌达街社区', '210b0011634b467690e64506c50a2e93', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028002003', 5, '昌达街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028002003', 1, '2021-07-19 11:45:50', NULL, NULL), (14429, '', '鹅江花园社区', 'c383e58773fa4a0e9704eaf877a11971', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028002004', 5, '鹅江花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028002004', 1, '2021-07-19 11:45:50', NULL, NULL), (14430, '', '大南街社会', 'cf730394be224033806905b8c9d07761', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028002005', 5, '大南街社会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028002005', 1, '2021-07-19 11:45:50', NULL, NULL), (14431, '', '桂花园社区', '0aa39598ed2e48108c06579f778a453a', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028002006', 5, '桂花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028002006', 1, '2021-07-19 11:45:50', NULL, NULL), (14432, '', '富顺街社区', 'be8d14b739f548d18d7228758a25b4aa', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028002007', 5, '富顺街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028002007', 1, '2021-07-19 11:45:50', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (14433, '', '光丰社区', '386667cbd8724b328f0733ef3f91907e', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028002008', 5, '光丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028002008', 1, '2021-07-19 11:45:50', NULL, NULL), (14434, '', '光荣社区', 'c2d6b1e3103948c0a9f8db58e323a5c4', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028002009', 5, '光荣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028002009', 1, '2021-07-19 11:45:50', NULL, NULL), (14435, '', '光跃社区', 'd43b706d24b74a20b452591615d5f7e5', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028002010', 5, '光跃社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028002010', 1, '2021-07-19 11:45:50', NULL, NULL), (14436, '', '光星社区', '63eb1fc62e01417ea2aea1032ff1fb8e', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028002011', 5, '光星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028002011', 1, '2021-07-19 11:45:50', NULL, NULL), (14437, '', '星星社区', '00ab2fc99ac04b7d99ddcfe18d09fa0f', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028002012', 5, '星星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028002012', 1, '2021-07-19 11:45:50', NULL, NULL), (14438, '', '光明村', 'bb4b41fe2a4b40fdbd55b07d05d41cfe', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028002203', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028002203', 1, '2021-07-19 11:45:50', NULL, NULL), (14439, '', '光灿村', 'e13acde0dbbc4c238cb0b4846b6f4c84', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028002206', 5, '光灿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028002206', 1, '2021-07-19 11:45:51', NULL, NULL), (14440, '', '光辉村', '4d4fd02d617c484199cb353590c9d339', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028002208', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028002208', 1, '2021-07-19 11:45:51', NULL, NULL), (14441, '', '永星村', '5597aab527814d3e8a579333ef316984', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028002211', 5, '永星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028002211', 1, '2021-07-19 11:45:51', NULL, NULL), (14442, '', '五星村', '50444443c6ee40798873cbac04e34bea', 'ec5e3498f0584d999da60fc82f0d4db5', 'False', 'True', 'false', 'false', '511028002212', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028002212', 1, '2021-07-19 11:45:51', NULL, NULL), (14443, '', '响石镇', 'cbdb9e248e9d4165b655dd5840cfc8df', 'ea9bc381dc56483f969e5a4b5ff0667b', 'True', 'True', 'false', 'false', '511028102000', 4, '响石镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511028102000', 1, '2021-07-19 11:45:51', NULL, NULL), (14444, '', '黄龙村', '86543caa61574b0cba4ab69062055b7e', 'cbdb9e248e9d4165b655dd5840cfc8df', 'False', 'False', 'false', 'false', '511028310366', 5, '黄龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310366', 1, '2021-07-19 11:45:51', NULL, NULL), (14445, '', '海龙村', '364865201e8f4ec7a7041616a97c77f4', 'cbdb9e248e9d4165b655dd5840cfc8df', 'False', 'False', 'false', 'false', '511028310367', 5, '海龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310367', 1, '2021-07-19 11:45:51', NULL, NULL), (14446, '', '龙口村', 'f95131915a0444c28bd5ca2bb26bb60a', 'cbdb9e248e9d4165b655dd5840cfc8df', 'False', 'False', 'false', 'false', '511028310368', 5, '龙口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310368', 1, '2021-07-19 11:45:51', NULL, NULL), (14447, '', '龙井社区', '113c8936a1274803800668c1cda13dd2', 'cbdb9e248e9d4165b655dd5840cfc8df', 'False', 'False', 'false', 'false', '511028310369', 5, '龙井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310369', 1, '2021-07-19 11:45:51', NULL, NULL), (14448, '', '青龙村', 'fa1649a3a1ec4ba79d4d56a4af945f74', 'cbdb9e248e9d4165b655dd5840cfc8df', 'False', 'False', 'false', 'false', '511028310370', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310370', 1, '2021-07-19 11:45:51', NULL, NULL), (14449, '', '响石社区', '30ce64576a1c49958a3b3bb2ba9c9a65', 'cbdb9e248e9d4165b655dd5840cfc8df', 'False', 'True', 'false', 'false', '511028102001', 5, '响石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028102001', 1, '2021-07-19 11:45:51', NULL, NULL), (14450, '', '前锋社区', 'af299c4719e34a17913b1a78d21c526d', 'cbdb9e248e9d4165b655dd5840cfc8df', 'False', 'True', 'false', 'false', '511028102002', 5, '前锋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028102002', 1, '2021-07-19 11:45:51', NULL, NULL), (14451, '', '桃园村', 'e7723a252333444f960855e8d244628c', 'cbdb9e248e9d4165b655dd5840cfc8df', 'False', 'True', 'false', 'false', '511028102204', 5, '桃园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028102204', 1, '2021-07-19 11:45:51', NULL, NULL), (14452, '', '吉庆村', 'de11b821f6e8481887efe4a9947a4b50', 'cbdb9e248e9d4165b655dd5840cfc8df', 'False', 'True', 'false', 'false', '511028102205', 5, '吉庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028102205', 1, '2021-07-19 11:45:51', NULL, NULL), (14453, '', '群乐村', '6cc9bc7d0bc74ba3a02140360bf4efee', 'cbdb9e248e9d4165b655dd5840cfc8df', 'False', 'True', 'false', 'false', '511028102215', 5, '群乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028102215', 1, '2021-07-19 11:45:51', NULL, NULL), (14454, '', '天成村', 'baf4a37601044d86935dcc90e6d095ee', 'cbdb9e248e9d4165b655dd5840cfc8df', 'False', 'True', 'false', 'false', '511028102216', 5, '天成村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028102216', 1, '2021-07-19 11:45:51', NULL, NULL), (14455, '', '龙凤村', '2598e3d286054142837b21a060bdc69c', 'cbdb9e248e9d4165b655dd5840cfc8df', 'False', 'True', 'false', 'false', '511028102217', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028102217', 1, '2021-07-19 11:45:51', NULL, NULL), (14456, '', '宝峰村', 'd0789ef6cde4401c996beab2d81c329e', 'cbdb9e248e9d4165b655dd5840cfc8df', 'False', 'True', 'false', 'false', '511028102223', 5, '宝峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028102223', 1, '2021-07-19 11:45:51', NULL, NULL), (14457, '', '石峡村', '837db074028d41d0ad66ca868ee5e588', 'cbdb9e248e9d4165b655dd5840cfc8df', 'False', 'True', 'false', 'false', '511028102230', 5, '石峡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028102230', 1, '2021-07-19 11:45:51', NULL, NULL), (14458, '', '圣灯镇', '85b0f34520144efbab06ea7390134f85', 'ea9bc381dc56483f969e5a4b5ff0667b', 'True', 'True', 'false', 'false', '511028103000', 4, '圣灯镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511028103000', 1, '2021-07-19 11:45:52', NULL, NULL), (14459, '', '圣灯社区', '86e86d9ecfbe45bcacb272af1e313838', '85b0f34520144efbab06ea7390134f85', 'False', 'True', 'false', 'false', '511028103001', 5, '圣灯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028103001', 1, '2021-07-19 11:45:52', NULL, NULL), (14460, '', '乐只社区', '960d06c278724643a9d0f92d5f1dc509', '85b0f34520144efbab06ea7390134f85', 'False', 'True', 'false', 'false', '511028103002', 5, '乐只社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028103002', 1, '2021-07-19 11:45:52', NULL, NULL), (14461, '', '圣光村', 'fe7fdce69fe7474d8bf74a95b587141b', '85b0f34520144efbab06ea7390134f85', 'False', 'True', 'false', 'false', '511028103203', 5, '圣光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028103203', 1, '2021-07-19 11:45:52', NULL, NULL), (14462, '', '大桥村', 'b0128d89ec244324ae4a70205b5e5f28', '85b0f34520144efbab06ea7390134f85', 'False', 'True', 'false', 'false', '511028103205', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028103205', 1, '2021-07-19 11:45:52', NULL, NULL), (14463, '', '三台村', 'c3a2d9b6af124b9094869e45b3475352', '85b0f34520144efbab06ea7390134f85', 'False', 'True', 'false', 'false', '511028103209', 5, '三台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028103209', 1, '2021-07-19 11:45:52', NULL, NULL), (14464, '', '天峰村', 'a200ab7c9d39449180978a0f041964e4', '85b0f34520144efbab06ea7390134f85', 'False', 'True', 'false', 'false', '511028103211', 5, '天峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028103211', 1, '2021-07-19 11:45:52', NULL, NULL), (14465, '', '梨园村', 'd535987244fa4ab0bd0e1390b22b7b87', '85b0f34520144efbab06ea7390134f85', 'False', 'True', 'false', 'false', '511028103212', 5, '梨园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028103212', 1, '2021-07-19 11:45:52', NULL, NULL), (14466, '', '黄家镇', 'fc0a56d9cc324bbe9aec4429a81e8628', 'ea9bc381dc56483f969e5a4b5ff0667b', 'True', 'True', 'false', 'false', '511028104000', 4, '黄家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511028104000', 1, '2021-07-19 11:45:52', NULL, NULL), (14467, '', '长螺村', '61aefc018c1c479d9d4f3323536d3e49', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'True', 'false', 'false', '511028310008', 5, '长螺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310008', 1, '2021-07-19 11:45:52', NULL, NULL), (14468, '', '新塘村', 'ec4e809944364cf7b24cd064991b74e9', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'False', 'false', 'false', '511028310033', 5, '新塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310033', 1, '2021-07-19 11:45:52', NULL, NULL), (14469, '', '何星村', '8622ae1b19f84b8992111ab39b1952a4', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'False', 'false', 'false', '511028310034', 5, '何星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310034', 1, '2021-07-19 11:45:52', NULL, NULL), (14470, '', '大盟村', '107030d2be264cb68458b999244754bc', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'True', 'false', 'false', '511028310035', 5, '大盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310035', 1, '2021-07-19 11:45:52', NULL, NULL), (14471, '', '观音村', '552f572567aa497689fe190bf5e7b552', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'True', 'false', 'false', '511028310036', 5, '观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310036', 1, '2021-07-19 11:45:52', NULL, NULL), (14472, '', '中沙村', 'd18e14afbd8645f888b862c8bcb3b19a', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'True', 'false', 'false', '511028310037', 5, '中沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310037', 1, '2021-07-19 11:45:53', NULL, NULL), (14473, '', '复兴村', 'fc06b9b732e0482a81c128d74ae78657', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'False', 'false', 'false', '511028310039', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310039', 1, '2021-07-19 11:45:53', NULL, NULL), (14474, '', '顺河村', 'b3f6f73cd05449239f3c6bb6d832be32', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'False', 'false', 'false', '511028310040', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310040', 1, '2021-07-19 11:45:53', NULL, NULL), (14475, '', '南华社区', '825b441e60fa4d97b3f94a638350f173', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'True', 'false', 'false', '511028310043', 5, '南华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310043', 1, '2021-07-19 11:45:53', NULL, NULL), (14476, '', '北燕社区', 'ed0e95287265490f9058b0fa61a141f7', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'False', 'false', 'false', '511028310045', 5, '北燕社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310045', 1, '2021-07-19 11:45:53', NULL, NULL), (14477, '', '桂花社区', 'cf38d01e6b1c4387941ac49bdbf816d8', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'True', 'false', 'false', '511028310046', 5, '桂花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310046', 1, '2021-07-19 11:45:53', NULL, NULL), (14478, '', '秧草村', 'a437f3265034437c9acfcdd35e59dada', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'True', 'false', 'false', '511028310047', 5, '秧草村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310047', 1, '2021-07-19 11:45:53', NULL, NULL), (14479, '', '豹子村', '36e05438002d4ec1b8516275d8aef426', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'True', 'false', 'false', '511028310049', 5, '豹子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310049', 1, '2021-07-19 11:45:53', NULL, NULL), (14480, '', '广安村', '91279f3cf939434f91dd122fb24c95a0', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'True', 'false', 'false', '511028310050', 5, '广安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310050', 1, '2021-07-19 11:45:53', NULL, NULL), (14481, '', '先锋社区', '4b120094a6814d1aa8786db0b274f12d', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'True', 'false', 'false', '511028104002', 5, '先锋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028104002', 1, '2021-07-19 11:45:53', NULL, NULL), (14482, '', '酒谷村', '62c9ab68bf764a5ab709cbccfe5ad5b4', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'True', 'false', 'false', '511028104207', 5, '酒谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028104207', 1, '2021-07-19 11:45:53', NULL, NULL), (14483, '', '龙王村', 'd1eb4064d66a4297bbc724bd06ae4b48', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'True', 'false', 'false', '511028104208', 5, '龙王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028104208', 1, '2021-07-19 11:45:53', NULL, NULL), (14484, '', '龙威村', 'ac5bb11285f0420aa49293c9129aad7d', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'True', 'false', 'false', '511028104209', 5, '龙威村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028104209', 1, '2021-07-19 11:45:53', NULL, NULL), (14485, '', '施家村', '5de31ea3704e4014bef03015a5def6dc', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'True', 'false', 'false', '511028104211', 5, '施家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028104211', 1, '2021-07-19 11:45:53', NULL, NULL), (14486, '', '张狮村', 'c7067c1d9d9a45c58022f6e15ba4dc01', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'True', 'false', 'false', '511028104213', 5, '张狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028104213', 1, '2021-07-19 11:45:54', NULL, NULL), (14487, '', '共和村', 'b54fd7d3b42a481589c53db68836f5ce', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'True', 'false', 'false', '511028104217', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028104217', 1, '2021-07-19 11:45:54', NULL, NULL), (14488, '', '新凤村', 'fc4e8e9e5e2342ae81c6ff60d25c609d', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'True', 'false', 'false', '511028104218', 5, '新凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028104218', 1, '2021-07-19 11:45:54', NULL, NULL), (14489, '', '九龙村', '22e08376808f4b31a82b16ddcc2ad43e', 'fc0a56d9cc324bbe9aec4429a81e8628', 'False', 'True', 'false', 'false', '511028104229', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028104229', 1, '2021-07-19 11:45:54', NULL, NULL), (14490, '', '龙市镇', '5d6eff5c4ba64275b3178392dbeaaaa6', 'ea9bc381dc56483f969e5a4b5ff0667b', 'True', 'True', 'false', 'false', '511028106000', 4, '龙市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511028106000', 1, '2021-07-19 11:45:54', NULL, NULL), (14491, '', '清和村', 'eda4ba0266304511843f536d7c6eb8a3', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028310009', 5, '清和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310009', 1, '2021-07-19 11:45:54', NULL, NULL), (14492, '', '杨家山村', '23d2f56156374420b5a81a8fa89bf1dd', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028310010', 5, '杨家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310010', 1, '2021-07-19 11:45:54', NULL, NULL), (14493, '', '新庙村', '373c367022f14e14a76b4e1e1bf4da9b', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028310011', 5, '新庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310011', 1, '2021-07-19 11:45:54', NULL, NULL), (14494, '', '锯子村', 'a1e16adc9fb240d89c6de59d6f43bc5a', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028310012', 5, '锯子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310012', 1, '2021-07-19 11:45:54', NULL, NULL), (14495, '', '飞蛾村', '820c6cef91d64c9d82f2dd310dc3ddff', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028310013', 5, '飞蛾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310013', 1, '2021-07-19 11:45:54', NULL, NULL), (14496, '', '水龙村', 'ea1bb7acedb24030b20b05068de5d914', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028310014', 5, '水龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310014', 1, '2021-07-19 11:45:54', NULL, NULL), (14497, '', '芦稿村', '49082cbe2ca348af804c25192268871a', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028310015', 5, '芦稿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310015', 1, '2021-07-19 11:45:54', NULL, NULL), (14498, '', '龙溪村', '36c7fdad6de744bc8d1ab7dd32dbcfc6', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028310016', 5, '龙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310016', 1, '2021-07-19 11:45:54', NULL, NULL), (14499, '', '高星社区', '2599bd96c9704a2b9ac963d5f0d120df', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028310017', 5, '高星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310017', 1, '2021-07-19 11:45:55', NULL, NULL), (14500, '', '三会村', '2bdd8c5c30ef4468b93e033b7b40a5f3', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028310018', 5, '三会村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310018', 1, '2021-07-19 11:45:55', NULL, NULL), (14501, '', '迎祥社区', '6e250b248df24a35bfaf3d5e73d3dc25', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028310019', 5, '迎祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310019', 1, '2021-07-19 11:45:55', NULL, NULL), (14502, '', '龙市镇社区', 'a3aa2b3320714f5ba97e475cbbfde5a3', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028106001', 5, '龙市镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028106001', 1, '2021-07-19 11:45:55', NULL, NULL), (14503, '', '东岳村', '9625bdd27a10477897feaff89af37828', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028106201', 5, '东岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028106201', 1, '2021-07-19 11:45:55', NULL, NULL), (14504, '', '叶家村', '2dd6c18271374491961a7787a569f02e', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028106204', 5, '叶家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028106204', 1, '2021-07-19 11:45:55', NULL, NULL), (14505, '', '朱家坝村', '574acb0f355b46d380a33b154a7a6d9e', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028106205', 5, '朱家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028106205', 1, '2021-07-19 11:45:55', NULL, NULL), (14506, '', '付家湾村', '778b0d84024c4af1a3ffcd9e96c862e3', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028106207', 5, '付家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028106207', 1, '2021-07-19 11:45:55', NULL, NULL), (14507, '', '崇佛村', 'eaff8dc79f0c436981f9a5756949846d', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028106210', 5, '崇佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028106210', 1, '2021-07-19 11:45:55', NULL, NULL), (14508, '', '岩湾村', 'c9fd09c4d1fa44a887b4ea95a46c1f6a', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028106213', 5, '岩湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028106213', 1, '2021-07-19 11:45:55', NULL, NULL), (14509, '', '点灯村', 'e01186d31e4f4839acb2a7899e2f9c1f', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028106214', 5, '点灯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028106214', 1, '2021-07-19 11:45:55', NULL, NULL), (14510, '', '云龙村', '3b0249ce8eae4926be3a94a2bac58152', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028106217', 5, '云龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028106217', 1, '2021-07-19 11:45:55', NULL, NULL), (14511, '', '福庆村', '8050a3e871a848f7977cd3d8a5fe5052', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028106223', 5, '福庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028106223', 1, '2021-07-19 11:45:55', NULL, NULL), (14512, '', '三块碑村', 'c77aeb4152ee4e95809ffd91ebc89283', '5d6eff5c4ba64275b3178392dbeaaaa6', 'False', 'True', 'false', 'false', '511028106224', 5, '三块碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028106224', 1, '2021-07-19 11:45:55', NULL, NULL), (14513, '', '界市镇', '0359af31b89b49a8b48cb3043d8bcfe7', 'ea9bc381dc56483f969e5a4b5ff0667b', 'True', 'True', 'false', 'false', '511028108000', 4, '界市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511028108000', 1, '2021-07-19 11:45:55', NULL, NULL), (14514, '', '王布政村', '0f48fa44e84e4baa84d2172f43130c4f', '0359af31b89b49a8b48cb3043d8bcfe7', 'False', 'True', 'false', 'false', '511028310146', 5, '王布政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028310146', 1, '2021-07-19 11:45:56', NULL, NULL), (14515, '', '界市社区', '750d167169574ef4acea9af6aed33dba', '0359af31b89b49a8b48cb3043d8bcfe7', 'False', 'True', 'false', 'false', '511028108001', 5, '界市社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028108001', 1, '2021-07-19 11:45:56', NULL, NULL), (14516, '', '天华社区', 'fe62fcf100314639a31aa8c89b260778', '0359af31b89b49a8b48cb3043d8bcfe7', 'False', 'True', 'false', 'false', '511028108002', 5, '天华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028108002', 1, '2021-07-19 11:45:56', NULL, NULL), (14517, '', '五里村', '7cde91214ca648349d2bbab6f9de8d9a', '0359af31b89b49a8b48cb3043d8bcfe7', 'False', 'True', 'false', 'false', '511028108202', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028108202', 1, '2021-07-19 11:45:56', NULL, NULL), (14518, '', '龙台村', '7b7e8cf0186f4718bb36ca0f1f8f050f', '0359af31b89b49a8b48cb3043d8bcfe7', 'False', 'True', 'false', 'false', '511028108203', 5, '龙台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028108203', 1, '2021-07-19 11:45:56', NULL, NULL), (14519, '', '桂花村', '2af59fc4185c4b8487b1b7b9881cb6e1', '0359af31b89b49a8b48cb3043d8bcfe7', 'False', 'True', 'false', 'false', '511028108205', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028108205', 1, '2021-07-19 11:45:56', NULL, NULL), (14520, '', '王家寺村', 'fd991040cc0e44f5955baa3f0be27949', '0359af31b89b49a8b48cb3043d8bcfe7', 'False', 'True', 'false', 'false', '511028108207', 5, '王家寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028108207', 1, '2021-07-19 11:45:56', NULL, NULL), (14521, '', '包家山村', 'e03571b917e74d8095ea600cfe716578', '0359af31b89b49a8b48cb3043d8bcfe7', 'False', 'True', 'false', 'false', '511028108208', 5, '包家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028108208', 1, '2021-07-19 11:45:56', NULL, NULL), (14522, '', '潮水村', '33fff92f1614493ba0d7a407511871b5', '0359af31b89b49a8b48cb3043d8bcfe7', 'False', 'True', 'false', 'false', '511028108210', 5, '潮水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028108210', 1, '2021-07-19 11:45:56', NULL, NULL), (14523, '', '蔡家寺村', 'afc73c4800174e6e9040ee9d9bfad555', '0359af31b89b49a8b48cb3043d8bcfe7', 'False', 'True', 'false', 'false', '511028108214', 5, '蔡家寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028108214', 1, '2021-07-19 11:45:56', NULL, NULL), (14524, '', '天宝村', 'e27d49df83b04ab1b6d243a7b03ddd6b', '0359af31b89b49a8b48cb3043d8bcfe7', 'False', 'True', 'false', 'false', '511028108221', 5, '天宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028108221', 1, '2021-07-19 11:45:56', NULL, NULL), (14525, '', '高庙村', '5a26361d90794dd8b22093dedd358233', '0359af31b89b49a8b48cb3043d8bcfe7', 'False', 'True', 'false', 'false', '511028108224', 5, '高庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028108224', 1, '2021-07-19 11:45:56', NULL, NULL), (14526, '', '石印村', 'b18760d200ec49c2bd9fd96db00b3012', '0359af31b89b49a8b48cb3043d8bcfe7', 'False', 'True', 'false', 'false', '511028108225', 5, '石印村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028108225', 1, '2021-07-19 11:45:56', NULL, NULL), (14527, '', '古堰村', '36516ca269dd4684954de7f075d600d9', '0359af31b89b49a8b48cb3043d8bcfe7', 'False', 'True', 'false', 'false', '511028108226', 5, '古堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028108226', 1, '2021-07-19 11:45:56', NULL, NULL), (14528, '', '葛藤社区', '0ae2ec3d96b64b3d806e3710d7bfb878', '0359af31b89b49a8b48cb3043d8bcfe7', 'False', 'True', 'false', 'false', '511028108227', 5, '葛藤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028108227', 1, '2021-07-19 11:45:56', NULL, NULL), (14529, '', '大河村', '3b55d97356194e09bfa89cde5bbaf3a5', '0359af31b89b49a8b48cb3043d8bcfe7', 'False', 'True', 'false', 'false', '511028108228', 5, '大河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028108228', 1, '2021-07-19 11:45:56', NULL, NULL), (14530, '', '四平村', '6c280708f7934a3289fa239aaa1ea21c', '0359af31b89b49a8b48cb3043d8bcfe7', 'False', 'True', 'false', 'false', '511028108230', 5, '四平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028108230', 1, '2021-07-19 11:45:56', NULL, NULL), (14531, '', '石碾镇', '6988cc8cea604abe8a0b6cc39d9ab80e', 'ea9bc381dc56483f969e5a4b5ff0667b', 'True', 'True', 'false', 'false', '511028109000', 4, '石碾镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511028109000', 1, '2021-07-19 11:45:56', NULL, NULL), (14532, '', '石碾山社区', '1ed5be764e224be6a005ea7ec0176636', '6988cc8cea604abe8a0b6cc39d9ab80e', 'False', 'True', 'false', 'false', '511028109001', 5, '石碾山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028109001', 1, '2021-07-19 11:45:57', NULL, NULL), (14533, '', '五坡场社区', '9376f5d50779428c92e600c1c1292430', '6988cc8cea604abe8a0b6cc39d9ab80e', 'False', 'True', 'false', 'false', '511028109002', 5, '五坡场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028109002', 1, '2021-07-19 11:45:57', NULL, NULL), (14534, '', '徐家祠村', 'f71e4937fc714c5f85df7670af6a65df', '6988cc8cea604abe8a0b6cc39d9ab80e', 'False', 'True', 'false', 'false', '511028109201', 5, '徐家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028109201', 1, '2021-07-19 11:45:57', NULL, NULL), (14535, '', '杨柳村', 'c47612f229fc4198be38a5467b5e8434', '6988cc8cea604abe8a0b6cc39d9ab80e', 'False', 'True', 'false', 'false', '511028109207', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028109207', 1, '2021-07-19 11:45:57', NULL, NULL), (14536, '', '拱桥村', '845332fb7ec54af7ad5f8828017f606c', '6988cc8cea604abe8a0b6cc39d9ab80e', 'False', 'True', 'false', 'false', '511028109208', 5, '拱桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028109208', 1, '2021-07-19 11:45:57', NULL, NULL), (14537, '', '车家堰村', '4c8dd4d22a6d46d88d0d16f2c99a411c', '6988cc8cea604abe8a0b6cc39d9ab80e', 'False', 'True', 'false', 'false', '511028109210', 5, '车家堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028109210', 1, '2021-07-19 11:45:57', NULL, NULL), (14538, '', '唐家桥村', '685ef81c50674ef791ad3b12fba3426a', '6988cc8cea604abe8a0b6cc39d9ab80e', 'False', 'True', 'false', 'false', '511028109211', 5, '唐家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028109211', 1, '2021-07-19 11:45:57', NULL, NULL), (14539, '', '彭家祠村', '93455dbb58554a0eb293e25f6ef4ed8b', '6988cc8cea604abe8a0b6cc39d9ab80e', 'False', 'True', 'false', 'false', '511028109213', 5, '彭家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028109213', 1, '2021-07-19 11:45:57', NULL, NULL), (14540, '', '小湾村', '11766c7c2db741dfb40917e3bd193e83', '6988cc8cea604abe8a0b6cc39d9ab80e', 'False', 'True', 'false', 'false', '511028109216', 5, '小湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028109216', 1, '2021-07-19 11:45:57', NULL, NULL), (14541, '', '碉楼村', 'c5f3860cd97b4cb0b26b066b17bd6300', '6988cc8cea604abe8a0b6cc39d9ab80e', 'False', 'True', 'false', 'false', '511028109217', 5, '碉楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028109217', 1, '2021-07-19 11:45:57', NULL, NULL), (14542, '', '石燕桥镇', 'bfc69c93d27e44ffaf8a5a9094f85dd0', 'ea9bc381dc56483f969e5a4b5ff0667b', 'True', 'True', 'false', 'false', '511028112000', 4, '石燕桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511028112000', 1, '2021-07-19 11:45:57', NULL, NULL), (14543, '', '大佛坎村', 'afe2ac9d02434da1a47a557ad50a0cba', 'bfc69c93d27e44ffaf8a5a9094f85dd0', 'False', 'True', 'false', 'false', '511028311004', 5, '大佛坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028311004', 1, '2021-07-19 11:45:57', NULL, NULL), (14544, '', '李市社区', 'c44884dace7a4c5fafaea01d920ad6d9', 'bfc69c93d27e44ffaf8a5a9094f85dd0', 'False', 'True', 'false', 'false', '511028311005', 5, '李市社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028311005', 1, '2021-07-19 11:45:57', NULL, NULL), (14545, '', '檬梓村', '57504223e5af4f91b9d34027da94fdf0', 'bfc69c93d27e44ffaf8a5a9094f85dd0', 'False', 'True', 'false', 'false', '511028311001', 5, '檬梓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028311001', 1, '2021-07-19 11:45:57', NULL, NULL), (14546, '', '高家嘴村', '9d1b2fd140554f4d9744143a0bb984e5', 'bfc69c93d27e44ffaf8a5a9094f85dd0', 'False', 'True', 'false', 'false', '511028311002', 5, '高家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028311002', 1, '2021-07-19 11:45:57', NULL, NULL), (14547, '', '三合村', '2a7d61b769d04ab2918e42295da5610b', 'bfc69c93d27e44ffaf8a5a9094f85dd0', 'False', 'True', 'false', 'false', '511028311003', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028311003', 1, '2021-07-19 11:45:58', NULL, NULL), (14548, '', '石燕社区', 'fa33d2c2c95247bab12dd22981de28b6', 'bfc69c93d27e44ffaf8a5a9094f85dd0', 'False', 'True', 'false', 'false', '511028112001', 5, '石燕社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028112001', 1, '2021-07-19 11:45:58', NULL, NULL), (14549, '', '油房社区', '776c3b1c30ba4606a8f1ee17f1ef0920', 'bfc69c93d27e44ffaf8a5a9094f85dd0', 'False', 'True', 'false', 'false', '511028112002', 5, '油房社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028112002', 1, '2021-07-19 11:45:58', NULL, NULL), (14550, '', '义大社区', 'f0f6a73310ed40e395e490c96f4fee19', 'bfc69c93d27e44ffaf8a5a9094f85dd0', 'False', 'True', 'false', 'false', '511028112003', 5, '义大社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028112003', 1, '2021-07-19 11:45:58', NULL, NULL), (14551, '', '大竹村', '0186282f451b4740a52255be1435a9de', 'bfc69c93d27e44ffaf8a5a9094f85dd0', 'False', 'True', 'false', 'false', '511028112202', 5, '大竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028112202', 1, '2021-07-19 11:45:58', NULL, NULL), (14552, '', '桐梓园村', '3539a025d22f40e297d8000fbc067f83', 'bfc69c93d27e44ffaf8a5a9094f85dd0', 'False', 'True', 'false', 'false', '511028112204', 5, '桐梓园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028112204', 1, '2021-07-19 11:45:58', NULL, NULL), (14553, '', '龙潭村', '3d2d8ebec1ca4c8992aad98e90a14844', 'bfc69c93d27e44ffaf8a5a9094f85dd0', 'False', 'True', 'false', 'false', '511028112206', 5, '龙潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028112206', 1, '2021-07-19 11:45:58', NULL, NULL), (14554, '', '四方井村', 'c7fd92119ea8491e9b2ff5f553e2f845', 'bfc69c93d27e44ffaf8a5a9094f85dd0', 'False', 'True', 'false', 'false', '511028112208', 5, '四方井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028112208', 1, '2021-07-19 11:45:58', NULL, NULL), (14555, '', '叶家沟村', '90f7eb3fb09b4a7abd939321c5488eea', 'bfc69c93d27e44ffaf8a5a9094f85dd0', 'False', 'True', 'false', 'false', '511028112211', 5, '叶家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028112211', 1, '2021-07-19 11:45:58', NULL, NULL), (14556, '', '净土村', 'a83cad8056be481db90b4caf56a79ed2', 'bfc69c93d27e44ffaf8a5a9094f85dd0', 'False', 'True', 'false', 'false', '511028112214', 5, '净土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028112214', 1, '2021-07-19 11:45:58', NULL, NULL), (14557, '', '同济村', 'c9f79af6790e4d5fbc182124839aa840', 'bfc69c93d27e44ffaf8a5a9094f85dd0', 'False', 'True', 'false', 'false', '511028112215', 5, '同济村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028112215', 1, '2021-07-19 11:45:58', NULL, NULL), (14558, '', '仕郎村', '69bc248e511d44c1b1ff3b7111384b0d', 'bfc69c93d27e44ffaf8a5a9094f85dd0', 'False', 'True', 'false', 'false', '511028112216', 5, '仕郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028112216', 1, '2021-07-19 11:45:58', NULL, NULL), (14559, '', '涂家坝村', '6e5e6ede321c499a99c04966e886a669', 'bfc69c93d27e44ffaf8a5a9094f85dd0', 'False', 'True', 'false', 'false', '511028112218', 5, '涂家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028112218', 1, '2021-07-19 11:45:58', NULL, NULL), (14560, '', '胡家镇', '87e0452d6da04695a22f8636418115b2', 'ea9bc381dc56483f969e5a4b5ff0667b', 'True', 'True', 'false', 'false', '511028114000', 4, '胡家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511028114000', 1, '2021-07-19 11:45:58', NULL, NULL), (14561, '', '胡家寺社区', 'e16327c368644612bd4ceba86097b2c3', '87e0452d6da04695a22f8636418115b2', 'False', 'True', 'false', 'false', '511028114001', 5, '胡家寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028114001', 1, '2021-07-19 11:45:59', NULL, NULL), (14562, '', '付家桥社区', '480a24e6a87b4159b73e896b499b5277', '87e0452d6da04695a22f8636418115b2', 'False', 'True', 'false', 'false', '511028114002', 5, '付家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028114002', 1, '2021-07-19 11:45:59', NULL, NULL), (14563, '', '胡家村', '99818e48b4774e0aaeac8bbca4431275', '87e0452d6da04695a22f8636418115b2', 'False', 'True', 'false', 'false', '511028114201', 5, '胡家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028114201', 1, '2021-07-19 11:45:59', NULL, NULL), (14564, '', '联和村', 'b4e80b4118354c62bae9bf41fe15c277', '87e0452d6da04695a22f8636418115b2', 'False', 'True', 'false', 'false', '511028114203', 5, '联和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028114203', 1, '2021-07-19 11:45:59', NULL, NULL), (14565, '', '团结村', '598fbdbb8e6c44008fc733448bf4a28f', '87e0452d6da04695a22f8636418115b2', 'False', 'True', 'false', 'false', '511028114204', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028114204', 1, '2021-07-19 11:45:59', NULL, NULL), (14566, '', '班竹村', 'a6bed52432b24b5ebd1f62ddf5f77e0d', '87e0452d6da04695a22f8636418115b2', 'False', 'True', 'false', 'false', '511028114207', 5, '班竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028114207', 1, '2021-07-19 11:45:59', NULL, NULL), (14567, '', '元嘴村', 'a9aa26070a2a40bba6b7b45b9da7ebe7', '87e0452d6da04695a22f8636418115b2', 'False', 'True', 'false', 'false', '511028114208', 5, '元嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028114208', 1, '2021-07-19 11:45:59', NULL, NULL), (14568, '', '解放村', '834d0e5653a5478f94c6f7b431bfac26', '87e0452d6da04695a22f8636418115b2', 'False', 'True', 'false', 'false', '511028114211', 5, '解放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028114211', 1, '2021-07-19 11:45:59', NULL, NULL), (14569, '', '新乐村', 'b3218912a1f3429a9605750d263a5228', '87e0452d6da04695a22f8636418115b2', 'False', 'True', 'false', 'false', '511028114213', 5, '新乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028114213', 1, '2021-07-19 11:45:59', NULL, NULL), (14570, '', '黄金村', 'b6ed1947a34f4e71bf6b8cc880f68c86', '87e0452d6da04695a22f8636418115b2', 'False', 'True', 'false', 'false', '511028114216', 5, '黄金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028114216', 1, '2021-07-19 11:45:59', NULL, NULL), (14571, '', '蒲芦村', 'b321947930074e02ac5e5b11b1ca0f1e', '87e0452d6da04695a22f8636418115b2', 'False', 'True', 'false', 'false', '511028114219', 5, '蒲芦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028114219', 1, '2021-07-19 11:45:59', NULL, NULL), (14572, '', '双龙村', '4858c3355e094ebcb58a81c652246917', '87e0452d6da04695a22f8636418115b2', 'False', 'True', 'false', 'false', '511028114220', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028114220', 1, '2021-07-19 11:45:59', NULL, NULL), (14573, '', '黄桷村', '49ecb440e62f40eb8a42d28cdb3b2467', '87e0452d6da04695a22f8636418115b2', 'False', 'True', 'false', 'false', '511028114223', 5, '黄桷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028114223', 1, '2021-07-19 11:45:59', NULL, NULL), (14574, '', '同心村', 'e2f6bf2f80a44c5b8da8b24768acee19', '87e0452d6da04695a22f8636418115b2', 'False', 'True', 'false', 'false', '511028114227', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028114227', 1, '2021-07-19 11:45:59', NULL, NULL), (14575, '', '洪家村', 'd4a0d324e0d843318762d4b77ef3c18e', '87e0452d6da04695a22f8636418115b2', 'False', 'True', 'false', 'false', '511028114228', 5, '洪家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028114228', 1, '2021-07-19 11:45:59', NULL, NULL), (14576, '', '普润镇', '9ea038d2a4724c8fb5e5ae57c2265e25', 'ea9bc381dc56483f969e5a4b5ff0667b', 'True', 'True', 'false', 'false', '511028117000', 4, '普润镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511028117000', 1, '2021-07-19 11:46:00', NULL, NULL), (14577, '', '佛洞寺村', 'e0228159e5fd462b8ab2ca8f58aa406b', '9ea038d2a4724c8fb5e5ae57c2265e25', 'False', 'True', 'false', 'false', '511028311006', 5, '佛洞寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028311006', 1, '2021-07-19 11:46:00', NULL, NULL), (14578, '', '石塘村', '9cf2a6eba0a64ca3aa5ff1dee549de10', '9ea038d2a4724c8fb5e5ae57c2265e25', 'False', 'True', 'false', 'false', '511028311007', 5, '石塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028311007', 1, '2021-07-19 11:46:00', NULL, NULL), (14579, '', '斑竹林村', 'b66c53dcdc0d4555a3e39f99cb340c3b', '9ea038d2a4724c8fb5e5ae57c2265e25', 'False', 'True', 'false', 'false', '511028311008', 5, '斑竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028311008', 1, '2021-07-19 11:46:00', NULL, NULL), (14580, '', '广付村', 'f0d412e9c78a4679a708cf3fdb3cf659', '9ea038d2a4724c8fb5e5ae57c2265e25', 'False', 'True', 'false', 'false', '511028311010', 5, '广付村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028311010', 1, '2021-07-19 11:46:00', NULL, NULL), (14581, '', '茶子山村', '170a743c056b4b68a027fc2b332c16e6', '9ea038d2a4724c8fb5e5ae57c2265e25', 'False', 'True', 'false', 'false', '511028311011', 5, '茶子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028311011', 1, '2021-07-19 11:46:00', NULL, NULL), (14582, '', '兰家田村', '939804a80b624b669624f0d7dc73f276', '9ea038d2a4724c8fb5e5ae57c2265e25', 'False', 'True', 'false', 'false', '511028311013', 5, '兰家田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028311013', 1, '2021-07-19 11:46:00', NULL, NULL), (14583, '', '秦家庙村', 'cdad4e6c06034abc8579c00999ea5d38', '9ea038d2a4724c8fb5e5ae57c2265e25', 'False', 'True', 'false', 'false', '511028311014', 5, '秦家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028311014', 1, '2021-07-19 11:46:00', NULL, NULL), (14584, '', '周兴社区', 'f876efebaaa64f5da340bd1b867d09aa', '9ea038d2a4724c8fb5e5ae57c2265e25', 'False', 'True', 'false', 'false', '511028311015', 5, '周兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028311015', 1, '2021-07-19 11:46:00', NULL, NULL), (14585, '', '普润场社区', 'c8102b92037c4c858e9b33ba81e6f412', '9ea038d2a4724c8fb5e5ae57c2265e25', 'False', 'True', 'false', 'false', '511028117001', 5, '普润场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028117001', 1, '2021-07-19 11:46:00', NULL, NULL), (14586, '', '松林村', 'ccaef00282764efc809b95cc51fc3754', '9ea038d2a4724c8fb5e5ae57c2265e25', 'False', 'True', 'false', 'false', '511028117202', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028117202', 1, '2021-07-19 11:46:00', NULL, NULL), (14587, '', '解元村', 'db299f2fefc84019b0c62a3b07ea9318', '9ea038d2a4724c8fb5e5ae57c2265e25', 'False', 'True', 'false', 'false', '511028117203', 5, '解元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028117203', 1, '2021-07-19 11:46:00', NULL, NULL), (14588, '', '汪家村', '08bda7eabfff487a873884e7b7914a85', '9ea038d2a4724c8fb5e5ae57c2265e25', 'False', 'True', 'false', 'false', '511028117206', 5, '汪家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028117206', 1, '2021-07-19 11:46:00', NULL, NULL), (14589, '', '张佛村', 'dd36f71c84ff4d0bafdeef2fe04efea9', '9ea038d2a4724c8fb5e5ae57c2265e25', 'False', 'True', 'false', 'false', '511028117209', 5, '张佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028117209', 1, '2021-07-19 11:46:01', NULL, NULL), (14590, '', '高山村', '1ec9c9b6463e40f792a23d598e7be169', '9ea038d2a4724c8fb5e5ae57c2265e25', 'False', 'True', 'false', 'false', '511028117210', 5, '高山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028117210', 1, '2021-07-19 11:46:01', NULL, NULL), (14591, '', '印坝村', '7f2bd5bb39f4426298eac9931ea7b180', '9ea038d2a4724c8fb5e5ae57c2265e25', 'False', 'True', 'false', 'false', '511028117212', 5, '印坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028117212', 1, '2021-07-19 11:46:01', NULL, NULL), (14592, '', '黄荆村', '7043fb9d49c34e6db98893016530ce87', '9ea038d2a4724c8fb5e5ae57c2265e25', 'False', 'True', 'false', 'false', '511028117213', 5, '黄荆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028117213', 1, '2021-07-19 11:46:01', NULL, NULL), (14593, '', '古湖街道', 'e19f0586875d4485b880e5f2aabd9a2e', 'ea9bc381dc56483f969e5a4b5ff0667b', 'True', 'True', 'false', 'false', '511028301000', 4, '古湖街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511028301000', 1, '2021-07-19 11:46:01', NULL, NULL), (14594, '', '黄坡村', '82110e83151f49b796c86acc1d1a4c84', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028300023', 5, '黄坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028300023', 1, '2021-07-19 11:46:01', NULL, NULL), (14595, '', '大云村', '5e9f912aebac46e5bcaf285c22db9c68', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028300024', 5, '大云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028300024', 1, '2021-07-19 11:46:01', NULL, NULL), (14596, '', '涂家场村', '90690c2bdf5546a7aa1a4de765ddd698', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028300025', 5, '涂家场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028300025', 1, '2021-07-19 11:46:01', NULL, NULL), (14597, '', '堰塘湾村', '0360c4c5e52e4331a3dda2308bd0d1c7', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028300026', 5, '堰塘湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028300026', 1, '2021-07-19 11:46:01', NULL, NULL), (14598, '', '贺家湾村', 'ae93d631f3c343a6adec2ba2c86effa8', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'False', 'false', 'false', '511028300027', 5, '贺家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028300027', 1, '2021-07-19 11:46:01', NULL, NULL), (14599, '', '大东街社区', '179006b12dd245d7b931ad34ff518821', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001001', 5, '大东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001001', 1, '2021-07-19 11:46:01', NULL, NULL), (14600, '', '游园路社区', '94f68b86840540f587ad674f82c8228a', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001002', 5, '游园路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001002', 1, '2021-07-19 11:46:01', NULL, NULL), (14601, '', '文庙坝社区', '4058c3438e504f32ac1f7199f043eeca', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001003', 5, '文庙坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001003', 1, '2021-07-19 11:46:01', NULL, NULL), (14602, '', '春光路社区', '7d31904a039f4497b6a2d60b1310f29f', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001004', 5, '春光路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001004', 1, '2021-07-19 11:46:01', NULL, NULL), (14603, '', '北门口社区', 'cf5cffb7c0b34903a893c19c6825731b', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001005', 5, '北门口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001005', 1, '2021-07-19 11:46:01', NULL, NULL), (14604, '', '康复西路社区', '216697127a2a49f0a876c6bbbfb535b9', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001006', 5, '康复西路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001006', 1, '2021-07-19 11:46:01', NULL, NULL), (14605, '', '跃进街社区', '3451344583824ce79f4dd851c516e4a0', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001007', 5, '跃进街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001007', 1, '2021-07-19 11:46:01', NULL, NULL), (14606, '', '张拱桥社区', '9d278ffa3a8a4597833a386ada5982e1', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001009', 5, '张拱桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001009', 1, '2021-07-19 11:46:02', NULL, NULL), (14607, '', '金华路社区', '63d929c72ca94929bda8a8cde76daf08', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001010', 5, '金华路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001010', 1, '2021-07-19 11:46:02', NULL, NULL), (14608, '', '观湖社区', '6794dc50b8d2431e910c6e234dc76c59', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001011', 5, '观湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001011', 1, '2021-07-19 11:46:02', NULL, NULL), (14609, '', '飞泉社区', '03cf74d3d09449ceb81ae54a217e3414', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001012', 5, '飞泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001012', 1, '2021-07-19 11:46:02', NULL, NULL), (14610, '', '向阳社区', 'e9f096a017d74b078097778be4d5c1c9', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001013', 5, '向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001013', 1, '2021-07-19 11:46:02', NULL, NULL), (14611, '', '望城社区', '1983ae93c99a4becb46380f9bf1f6c73', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001014', 5, '望城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001014', 1, '2021-07-19 11:46:02', NULL, NULL), (14612, '', '建设社区', '2587211efec448bc80318871b0325038', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001015', 5, '建设社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001015', 1, '2021-07-19 11:46:02', NULL, NULL), (14613, '', '群星社区', '0c53a9f75cd346b293295d055d3a0f4d', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001016', 5, '群星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001016', 1, '2021-07-19 11:46:02', NULL, NULL), (14614, '', '卫星社区', 'b166fccfc786443e932058f60566a5f7', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001017', 5, '卫星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001017', 1, '2021-07-19 11:46:02', NULL, NULL), (14615, '', '金星村', '845027f818a8453695896fb94b344672', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001205', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001205', 1, '2021-07-19 11:46:02', NULL, NULL), (14616, '', '古宇村', 'f54fe92a6da7436d9a581efa4bc41fa7', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001207', 5, '古宇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001207', 1, '2021-07-19 11:46:02', NULL, NULL), (14617, '', '工农村', 'f896415e48cf400794f09e70d0ebb933', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001208', 5, '工农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001208', 1, '2021-07-19 11:46:02', NULL, NULL), (14618, '', '巨星村', '4bb7a77fe58046ff9ec297063859f7bc', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001212', 5, '巨星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001212', 1, '2021-07-19 11:46:02', NULL, NULL), (14619, '', '明星村', '2d49ed2aeb7547d88762a6d067dd2f7d', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001213', 5, '明星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001213', 1, '2021-07-19 11:46:02', NULL, NULL), (14620, '', '罗星村', 'c6b3c674f4e346eb8aa4d15643a798f6', 'e19f0586875d4485b880e5f2aabd9a2e', 'False', 'True', 'false', 'false', '511028001214', 5, '罗星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028001214', 1, '2021-07-19 11:46:02', NULL, NULL), (14621, '', '云顶镇', '1cbcccb5563b46f48600b752a02c2915', 'ea9bc381dc56483f969e5a4b5ff0667b', 'True', 'True', 'false', 'false', '511028663000', 4, '云顶镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511028663000', 1, '2021-07-19 11:46:02', NULL, NULL), (14622, '', '金墨湾社区', '0c72cc61a6814445a1467eb124b2ad76', '1cbcccb5563b46f48600b752a02c2915', 'False', 'True', 'false', 'false', '511028115001', 5, '金墨湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028115001', 1, '2021-07-19 11:46:02', NULL, NULL), (14623, '', '云顶场社区', 'dded60c2e4164cd2baec73fea7a788a2', '1cbcccb5563b46f48600b752a02c2915', 'False', 'True', 'false', 'false', '511028115002', 5, '云顶场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028115002', 1, '2021-07-19 11:46:02', NULL, NULL), (14624, '', '石鹅场社区', 'bfddafa3c300464fb69b731733122ec2', '1cbcccb5563b46f48600b752a02c2915', 'False', 'True', 'false', 'false', '511028115003', 5, '石鹅场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028115003', 1, '2021-07-19 11:46:02', NULL, NULL), (14625, '', '白水滩社区', '7a0bd62cd4444b79b4482a945d36a437', '1cbcccb5563b46f48600b752a02c2915', 'False', 'True', 'false', 'false', '511028115004', 5, '白水滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028115004', 1, '2021-07-19 11:46:02', NULL, NULL), (14626, '', '丁家凼村', '0a8e569d4c3a4ad09ad93d816384eab8', '1cbcccb5563b46f48600b752a02c2915', 'False', 'True', 'false', 'false', '511028115203', 5, '丁家凼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028115203', 1, '2021-07-19 11:46:02', NULL, NULL), (14627, '', '亲睦村', '197af9a3216c45ebb5d5cb32cbf3026f', '1cbcccb5563b46f48600b752a02c2915', 'False', 'True', 'false', 'false', '511028115206', 5, '亲睦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028115206', 1, '2021-07-19 11:46:03', NULL, NULL), (14628, '', '云峰村', 'fda0223de07042caac23772bb26816a1', '1cbcccb5563b46f48600b752a02c2915', 'False', 'True', 'false', 'false', '511028115207', 5, '云峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028115207', 1, '2021-07-19 11:46:03', NULL, NULL), (14629, '', '新农村', '8607c3f836954b0ab0b6194042649aa5', '1cbcccb5563b46f48600b752a02c2915', 'False', 'True', 'false', 'false', '511028115208', 5, '新农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028115208', 1, '2021-07-19 11:46:03', NULL, NULL), (14630, '', '九一村', '5fbb2d1ff6a9436499332d0e8803e5fd', '1cbcccb5563b46f48600b752a02c2915', 'False', 'True', 'false', 'false', '511028115210', 5, '九一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028115210', 1, '2021-07-19 11:46:03', NULL, NULL), (14631, '', '金竹村', '0a872bdaa8fe4ae1aa9f11ed2d51de8e', '1cbcccb5563b46f48600b752a02c2915', 'False', 'True', 'false', 'false', '511028115211', 5, '金竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028115211', 1, '2021-07-19 11:46:03', NULL, NULL), (14632, '', '方田村', 'c12a9602585f41b29ca2c50553c94fab', '1cbcccb5563b46f48600b752a02c2915', 'False', 'True', 'false', 'false', '511028115212', 5, '方田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028115212', 1, '2021-07-19 11:46:03', NULL, NULL), (14633, '', '石鹅村', 'beab08ad6b0d4cbb9dbf74af66db409f', '1cbcccb5563b46f48600b752a02c2915', 'False', 'True', 'false', 'false', '511028115215', 5, '石鹅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028115215', 1, '2021-07-19 11:46:03', NULL, NULL), (14634, '', '凤林村', '980e394f2fea43139776bb0dd6ebc192', '1cbcccb5563b46f48600b752a02c2915', 'False', 'True', 'false', 'false', '511028115218', 5, '凤林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028115218', 1, '2021-07-19 11:46:03', NULL, NULL), (14635, '', '加速村', '7ade7b21c98948279579cd33889fd80b', '1cbcccb5563b46f48600b752a02c2915', 'False', 'True', 'false', 'false', '511028115222', 5, '加速村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028115222', 1, '2021-07-19 11:46:03', NULL, NULL), (14636, '', '联丰村', '2c03972985f843b19a1ec39d5c25c1a1', '1cbcccb5563b46f48600b752a02c2915', 'False', 'True', 'false', 'false', '511028115224', 5, '联丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028115224', 1, '2021-07-19 11:46:03', NULL, NULL), (14637, '', '德星村', '614e8a9fcc304b94801c5d723f21f15e', '1cbcccb5563b46f48600b752a02c2915', 'False', 'True', 'false', 'false', '511028115226', 5, '德星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511028115226', 1, '2021-07-19 11:46:03', NULL, NULL), (14638, '', '乐山市', '9662d820bd8049d2bce41b2c66a0bd60', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '511100000000', 2, '乐山市', 'lss.sczwfw.gov.cn', 1, '2021-07-19 11:46:03', NULL, NULL), (14639, '', '市中区', '74e599ab3fd646959fb52088f8d41eea', '9662d820bd8049d2bce41b2c66a0bd60', 'True', 'True', 'false', 'false', '511102000000', 3, '市中区', 'lssszq.sczwfw.gov.cn', 1, '2021-07-19 11:46:03', NULL, NULL), (14640, '', '海棠街道', 'd2e9bcb6e58346e2af7a88c31bd52cdf', '74e599ab3fd646959fb52088f8d41eea', 'True', 'True', 'false', 'false', '511102003000', 4, '海棠街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511102003000', 1, '2021-07-19 11:46:03', NULL, NULL), (14641, '', '乐山市市中区海棠街道演武街社区', '30cb628d9328443e97d702d0a4c407fe', 'd2e9bcb6e58346e2af7a88c31bd52cdf', 'False', 'True', 'false', 'false', '511102008001', 5, '演武街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102008001', 1, '2021-07-19 11:46:04', NULL, NULL), (14642, '', '乐山市市中区海棠街道徐家扁社区', 'd33325eb5770426cac8c4fbec5cc76de', 'd2e9bcb6e58346e2af7a88c31bd52cdf', 'False', 'True', 'false', 'false', '511102008002', 5, '徐家扁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102008002', 1, '2021-07-19 11:46:04', NULL, NULL), (14643, '', '乐山市市中区海棠街道文昌宫社区', '5d52a0536a1a45cab866d8369f835443', 'd2e9bcb6e58346e2af7a88c31bd52cdf', 'False', 'True', 'false', 'false', '511102008003', 5, '文昌宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102008003', 1, '2021-07-19 11:46:04', NULL, NULL), (14644, '', '乐山市市中区海棠街道王浩儿社区', 'cf131b3c463849b0be950940ad6f7b5d', 'd2e9bcb6e58346e2af7a88c31bd52cdf', 'False', 'True', 'false', 'false', '511102008004', 5, '王浩儿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102008004', 1, '2021-07-19 11:46:04', NULL, NULL), (14645, '', '乐山市市中区海棠街道圣水社区', '1dc2b13d82544a359bc31243d2b8b6ff', 'd2e9bcb6e58346e2af7a88c31bd52cdf', 'False', 'True', 'false', 'false', '511102008005', 5, '圣水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102008005', 1, '2021-07-19 11:46:04', NULL, NULL), (14646, '', '乐山市市中区海棠街道北门桥社区', 'db8842d34fb947578b5e3092ad599ec6', 'd2e9bcb6e58346e2af7a88c31bd52cdf', 'False', 'True', 'false', 'false', '511102008006', 5, '北门桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102008006', 1, '2021-07-19 11:46:04', NULL, NULL), (14647, '', '乐山市市中区海棠街道石雁儿社区', '14bd10972e5b4ff28df3c44f8e034f10', 'd2e9bcb6e58346e2af7a88c31bd52cdf', 'False', 'True', 'false', 'false', '511102008007', 5, '石雁儿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102008007', 1, '2021-07-19 11:46:04', NULL, NULL), (14648, '', '乐山市市中区海棠街道青果山社区', '4a6039ab31c94fddb2850d71c0ad55f8', 'd2e9bcb6e58346e2af7a88c31bd52cdf', 'False', 'True', 'false', 'false', '511102008008', 5, '青果山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102008008', 1, '2021-07-19 11:46:04', NULL, NULL), (14649, '', '乐山市市中区海棠街道较场坝社区', '895fbdc33f6b4cc1bc6a94eb61374111', 'd2e9bcb6e58346e2af7a88c31bd52cdf', 'False', 'True', 'false', 'false', '511102008009', 5, '较场坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102008009', 1, '2021-07-19 11:46:04', NULL, NULL), (14650, '', '乐山市市中区海棠街道县街社区', '14a78bab5ec74264a7977739e3b28d11', 'd2e9bcb6e58346e2af7a88c31bd52cdf', 'False', 'True', 'false', 'false', '511102008010', 5, '县街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102008010', 1, '2021-07-19 11:46:04', NULL, NULL), (14651, '', '乐山市市中区海棠街道白塔街社区', 'ee7b59029ecb42ef890eba81d8a4e9b6', 'd2e9bcb6e58346e2af7a88c31bd52cdf', 'False', 'True', 'false', 'false', '511102008012', 5, '白塔街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102008012', 1, '2021-07-19 11:46:04', NULL, NULL), (14652, '', '乐山市市中区海棠街道斑竹湾社区', '06354cf6e5134be7b44c220192104afd', 'd2e9bcb6e58346e2af7a88c31bd52cdf', 'False', 'True', 'false', 'false', '511102008013', 5, '斑竹湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102008013', 1, '2021-07-19 11:46:05', NULL, NULL), (14653, '', '乐山市市中区海棠街道府街社区', '5df42de866854b6fa066105300a7fb79', 'd2e9bcb6e58346e2af7a88c31bd52cdf', 'False', 'True', 'false', 'false', '511102003128', 5, '府街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102003128', 1, '2021-07-19 11:46:05', NULL, NULL), (14654, '', '乐山市市中区海棠街道水井冲社区', '66ce1f4c7b7a4c9a8c4cf5ae07b25081', 'd2e9bcb6e58346e2af7a88c31bd52cdf', 'False', 'True', 'false', 'false', '511102003229', 5, '水井冲社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102003229', 1, '2021-07-19 11:46:05', NULL, NULL), (14655, '', '乐山市市中区海棠街道桂花楼社区', '4fd218dafba34f609f84586366cd35d3', 'd2e9bcb6e58346e2af7a88c31bd52cdf', 'False', 'True', 'false', 'false', '511102003318', 5, '桂花楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102003318', 1, '2021-07-19 11:46:05', NULL, NULL), (14656, '', '乐山市市中区海棠街道人民西路社区', 'e4dc78c507bb4b51ae1696029e64a06d', 'd2e9bcb6e58346e2af7a88c31bd52cdf', 'False', 'True', 'false', 'false', '511102003576', 5, '人民西路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102003576', 1, '2021-07-19 11:46:05', NULL, NULL), (14657, '', '乐山市市中区海棠街道新村街社区', '201c46b15ba64032b2a79ada96988501', 'd2e9bcb6e58346e2af7a88c31bd52cdf', 'False', 'True', 'false', 'false', '511102003715', 5, '新村街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102003715', 1, '2021-07-19 11:46:05', NULL, NULL), (14658, '', '大佛街道', 'd3ad09c0c94f45bb93f7a2a414e5d90e', '74e599ab3fd646959fb52088f8d41eea', 'True', 'True', 'false', 'false', '511102004000', 4, '大佛街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511102004000', 1, '2021-07-19 11:46:05', NULL, NULL), (14659, '', '乐山市市中区大佛街道钓鱼台社区', 'c29c1b00ee58445db219c8a79982d4d1', 'd3ad09c0c94f45bb93f7a2a414e5d90e', 'False', 'True', 'false', 'false', '511102004005', 5, '钓鱼台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102004005', 1, '2021-07-19 11:46:05', NULL, NULL), (14660, '', '乐山市市中区大佛街道新场社区', '669c4e0bd94a4628ba50b4e4a58992ed', 'd3ad09c0c94f45bb93f7a2a414e5d90e', 'False', 'True', 'false', 'false', '511102004006', 5, '新场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102004006', 1, '2021-07-19 11:46:05', NULL, NULL), (14661, '', '乐山市市中区大佛街道鞍山村', '018157f80927496b8b0884a77ab9b4e2', 'd3ad09c0c94f45bb93f7a2a414e5d90e', 'False', 'True', 'false', 'false', '511102004203', 5, '鞍山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102004203', 1, '2021-07-19 11:46:06', NULL, NULL), (14662, '', '乐山市市中区大佛街道棕桥村', 'ecdacd53ccda47aa9cf92fd8fdd70d4f', 'd3ad09c0c94f45bb93f7a2a414e5d90e', 'False', 'True', 'false', 'false', '511102004204', 5, '棕桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102004204', 1, '2021-07-19 11:46:06', NULL, NULL), (14663, '', '乐山市市中区大佛街道明月村', 'd6d7a1ce98e9462a850594d5ce958c13', 'd3ad09c0c94f45bb93f7a2a414e5d90e', 'False', 'True', 'false', 'false', '511102004205', 5, '明月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102004205', 1, '2021-07-19 11:46:06', NULL, NULL), (14664, '', '乐山市市中区大佛街道永安村', 'b4417920dd47417587f8c94ab5ed2873', 'd3ad09c0c94f45bb93f7a2a414e5d90e', 'False', 'True', 'false', 'false', '511102004206', 5, '永安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102004206', 1, '2021-07-19 11:46:06', NULL, NULL), (14665, '', '乐山市市中区大佛街道源安村', '728cbbf7e39d474bae4dcfd1e6426202', 'd3ad09c0c94f45bb93f7a2a414e5d90e', 'False', 'True', 'false', 'false', '511102004207', 5, '源安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102004207', 1, '2021-07-19 11:46:06', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (14666, '', '乐山市市中区大佛街道青衣坝村', 'dea3e8a776cd412698b99ebb99b35688', 'd3ad09c0c94f45bb93f7a2a414e5d90e', 'False', 'True', 'false', 'false', '511102004208', 5, '青衣坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102004208', 1, '2021-07-19 11:46:06', NULL, NULL), (14667, '', '乐山市市中区大佛街道龙泉村', '57adfc7f3c774d9a907b8e0a80469ee8', 'd3ad09c0c94f45bb93f7a2a414e5d90e', 'False', 'True', 'false', 'false', '511102004209', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102004209', 1, '2021-07-19 11:46:06', NULL, NULL), (14668, '', '乐山市市中区大佛街道邓庵村', '73295f84ae5541c88238bcdaac0163f2', 'd3ad09c0c94f45bb93f7a2a414e5d90e', 'False', 'True', 'false', 'false', '511102004210', 5, '邓庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102004210', 1, '2021-07-19 11:46:06', NULL, NULL), (14669, '', '乐山市市中区大佛街道双福村', 'f2ad1cdb3e91401499843c448ef4741f', 'd3ad09c0c94f45bb93f7a2a414e5d90e', 'False', 'True', 'false', 'false', '511102004211', 5, '双福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102004211', 1, '2021-07-19 11:46:06', NULL, NULL), (14670, '', '乐山市市中区大佛街道三尊村', '66a471decdac4963bd79f02af1fc38e5', 'd3ad09c0c94f45bb93f7a2a414e5d90e', 'False', 'True', 'false', 'false', '511102012004', 5, '三尊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102012004', 1, '2021-07-19 11:46:06', NULL, NULL), (14671, '', '乐山市市中区大佛街道任家坝村', '6339e585f7a54d85b0d20ce9d0b99089', 'd3ad09c0c94f45bb93f7a2a414e5d90e', 'False', 'True', 'false', 'false', '511102004493', 5, '任家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102004493', 1, '2021-07-19 11:46:06', NULL, NULL), (14672, '', '乐山市市中区大佛街道大佛坝村', '84a5ced667394c2db58b435620a1948d', 'd3ad09c0c94f45bb93f7a2a414e5d90e', 'False', 'True', 'false', 'false', '511102004660', 5, '大佛坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102004660', 1, '2021-07-19 11:46:06', NULL, NULL), (14673, '', '乐山市市中区大佛街道龙泓路社区', 'a8a3659791484001a91ce46fa150b119', 'd3ad09c0c94f45bb93f7a2a414e5d90e', 'False', 'True', 'false', 'false', '511102004732', 5, '龙泓路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102004732', 1, '2021-07-19 11:46:07', NULL, NULL), (14674, '', '乐山市市中区大佛街道碧山路社区', '6bcb0d2dfe7145778b71160b82867d0f', 'd3ad09c0c94f45bb93f7a2a414e5d90e', 'False', 'True', 'false', 'false', '511102004892', 5, '碧山路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102004892', 1, '2021-07-19 11:46:07', NULL, NULL), (14675, '', '乐山市市中区大佛街道篦子街社区', '9aebe812c0a945509b9808b5faaebeb5', 'd3ad09c0c94f45bb93f7a2a414e5d90e', 'False', 'True', 'false', 'false', '511102004893', 5, '篦子街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102004893', 1, '2021-07-19 11:46:07', NULL, NULL), (14676, '', '牟子镇', 'c6ba1fbe2d40407890554f389cdcdad0', '74e599ab3fd646959fb52088f8d41eea', 'True', 'True', 'false', 'false', '511102101000', 4, '牟子镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511102101000', 1, '2021-07-19 11:46:07', NULL, NULL), (14677, '', '乐山市市中区牟子镇雷沟村', '17841203d89a4aadb45f26c8bd573863', 'c6ba1fbe2d40407890554f389cdcdad0', 'False', 'True', 'false', 'false', '511102101212', 5, '雷沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102101212', 1, '2021-07-19 11:46:07', NULL, NULL), (14678, '', '乐山市市中区牟子镇苏坪村', '98b451e6cabb45e990d1b4df66ba4d71', 'c6ba1fbe2d40407890554f389cdcdad0', 'False', 'True', 'false', 'false', '511102101213', 5, '苏坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102101213', 1, '2021-07-19 11:46:07', NULL, NULL), (14679, '', '乐山市市中区牟子镇板桥村', 'a8e0a626523b4e87978fb5f917808864', 'c6ba1fbe2d40407890554f389cdcdad0', 'False', 'True', 'false', 'false', '511102101216', 5, '板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102101216', 1, '2021-07-19 11:46:07', NULL, NULL), (14680, '', '乐山市市中区牟子镇三峡村', '281828d415b84d43a01eee44f86f139a', 'c6ba1fbe2d40407890554f389cdcdad0', 'False', 'True', 'false', 'false', '511102101217', 5, '三峡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102101217', 1, '2021-07-19 11:46:07', NULL, NULL), (14681, '', '乐山市市中区牟子镇菜莉村', 'a6bea9d9a3e140db95fd5e16ea70bfad', 'c6ba1fbe2d40407890554f389cdcdad0', 'False', 'True', 'false', 'false', '511102101201', 5, '菜莉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102101201', 1, '2021-07-19 11:46:07', NULL, NULL), (14682, '', '乐山市市中区牟子镇老龙村', '16218b31ff2c49798e297e320d3772e3', 'c6ba1fbe2d40407890554f389cdcdad0', 'False', 'True', 'false', 'false', '511102101340', 5, '老龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102101340', 1, '2021-07-19 11:46:07', NULL, NULL), (14683, '', '乐山市市中区牟子镇牟子场社区', 'b4ddffa85a6d45a2b86832a089e706b2', 'c6ba1fbe2d40407890554f389cdcdad0', 'False', 'True', 'false', 'false', '511102101493', 5, '牟子场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102101493', 1, '2021-07-19 11:46:07', NULL, NULL), (14684, '', '乐山市市中区牟子镇武皇村', 'efcd9d72491e46699aafdcd40bc4da01', 'c6ba1fbe2d40407890554f389cdcdad0', 'False', 'True', 'false', 'false', '511102101518', 5, '武皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102101518', 1, '2021-07-19 11:46:08', NULL, NULL), (14685, '', '乐山市市中区牟子镇强鸣村', '788bdbfcb9834f22bf899efbe49e4846', 'c6ba1fbe2d40407890554f389cdcdad0', 'False', 'True', 'false', 'false', '511102101645', 5, '强鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102101645', 1, '2021-07-19 11:46:08', NULL, NULL), (14686, '', '乐山市市中区牟子镇槐子村', '5147334fe7a140b886b44d1518e6c65a', 'c6ba1fbe2d40407890554f389cdcdad0', 'False', 'True', 'false', 'false', '511102101812', 5, '槐子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102101812', 1, '2021-07-19 11:46:08', NULL, NULL), (14687, '', '土主镇', 'ef244cc09f1e4830ba1e8ef525a2201f', '74e599ab3fd646959fb52088f8d41eea', 'True', 'True', 'false', 'false', '511102102000', 4, '土主镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511102102000', 1, '2021-07-19 11:46:08', NULL, NULL), (14688, '', '乐山市市中区土主镇红和村', '1d4f430235a64ce79b13b631bb63fa32', 'ef244cc09f1e4830ba1e8ef525a2201f', 'False', 'True', 'false', 'false', '511102102209', 5, '红和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102102209', 1, '2021-07-19 11:46:08', NULL, NULL), (14689, '', '乐山市市中区土主镇红斗村', 'd7325c42a92a4861b88d5f51624eac68', 'ef244cc09f1e4830ba1e8ef525a2201f', 'False', 'True', 'false', 'false', '511102102167', 5, '红斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102102167', 1, '2021-07-19 11:46:08', NULL, NULL), (14690, '', '乐山市市中区土主镇石杨村', 'f8e4ab3d722f4fd380f6064abf5be3a0', 'ef244cc09f1e4830ba1e8ef525a2201f', 'False', 'True', 'false', 'false', '511102102186', 5, '石杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102102186', 1, '2021-07-19 11:46:08', NULL, NULL), (14691, '', '乐山市市中区土主镇土门子村', 'a1d9b7d618e648129f973d49d821688a', 'ef244cc09f1e4830ba1e8ef525a2201f', 'False', 'True', 'false', 'false', '511102102202', 5, '土门子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102102202', 1, '2021-07-19 11:46:08', NULL, NULL), (14692, '', '乐山市市中区土主镇桐花塘村', '193700a263054f1da4331ee8a452c7c5', 'ef244cc09f1e4830ba1e8ef525a2201f', 'False', 'True', 'false', 'false', '511102102304', 5, '桐花塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102102304', 1, '2021-07-19 11:46:08', NULL, NULL), (14693, '', '乐山市市中区土主镇红岩村', '6cde23b7a4004c9fb4e0df3f58b8a65b', 'ef244cc09f1e4830ba1e8ef525a2201f', 'False', 'True', 'false', 'false', '511102102339', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102102339', 1, '2021-07-19 11:46:09', NULL, NULL), (14694, '', '乐山市市中区土主镇土主场社区', 'dc9af0853e2642419f72f2ddb3169c70', 'ef244cc09f1e4830ba1e8ef525a2201f', 'False', 'True', 'false', 'false', '511102102506', 5, '土主场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102102506', 1, '2021-07-19 11:46:09', NULL, NULL), (14695, '', '乐山市市中区土主镇铁牛村', '953f322492cd47f3ab76281f969fb152', 'ef244cc09f1e4830ba1e8ef525a2201f', 'False', 'True', 'false', 'false', '511102102978', 5, '铁牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102102978', 1, '2021-07-19 11:46:09', NULL, NULL), (14696, '', '白马镇', '5644e5e54ebf482588f1221b0285698a', '74e599ab3fd646959fb52088f8d41eea', 'True', 'True', 'false', 'false', '511102103000', 4, '白马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511102103000', 1, '2021-07-19 11:46:09', NULL, NULL), (14697, '', '乐山市市中区白马镇童家场社区', '1efdf71967254e45afc118e4e83a5e89', '5644e5e54ebf482588f1221b0285698a', 'False', 'True', 'false', 'false', '511102103002', 5, '童家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102103002', 1, '2021-07-19 11:46:09', NULL, NULL), (14698, '', '乐山市市中区白马镇乐加村', '73eb387f6e394ed3a66430e59af1648d', '5644e5e54ebf482588f1221b0285698a', 'False', 'True', 'false', 'false', '511102103211', 5, '乐加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102103211', 1, '2021-07-19 11:46:09', NULL, NULL), (14699, '', '乐山市市中区白马镇松柏村', '2748299547394994a228fb4de379ca88', '5644e5e54ebf482588f1221b0285698a', 'False', 'True', 'false', 'false', '511102103212', 5, '松柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102103212', 1, '2021-07-19 11:46:09', NULL, NULL), (14700, '', '乐山市市中区白马镇流村村', '45e6fd2bf6fa4ae8934f06dca92746f1', '5644e5e54ebf482588f1221b0285698a', 'False', 'True', 'false', 'false', '511102103213', 5, '流村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102103213', 1, '2021-07-19 11:46:09', NULL, NULL), (14701, '', '乐山市市中区白马镇红光村', '1830abe9e1f242a6a1431b834dfcc1fe', '5644e5e54ebf482588f1221b0285698a', 'False', 'True', 'false', 'false', '511102103215', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102103215', 1, '2021-07-19 11:46:09', NULL, NULL), (14702, '', '乐山市市中区白马镇光明村', '2a76fbfd1903437d863bcce7982380f5', '5644e5e54ebf482588f1221b0285698a', 'False', 'True', 'false', 'false', '511102103217', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102103217', 1, '2021-07-19 11:46:09', NULL, NULL), (14703, '', '乐山市市中区白马镇开化村', '584092e62da14aeca78fd1c92b61f401', '5644e5e54ebf482588f1221b0285698a', 'False', 'True', 'false', 'false', '511102103218', 5, '开化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102103218', 1, '2021-07-19 11:46:09', NULL, NULL), (14704, '', '乐山市市中区白马镇胜西村', '125e13177a5a43aab173e14c92acd49c', '5644e5e54ebf482588f1221b0285698a', 'False', 'True', 'false', 'false', '511102103220', 5, '胜西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102103220', 1, '2021-07-19 11:46:09', NULL, NULL), (14705, '', '乐山市市中区白马镇红旗村', 'b633a55d6b354cdd98bd1c73bc7eb509', '5644e5e54ebf482588f1221b0285698a', 'False', 'True', 'false', 'false', '511102103221', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102103221', 1, '2021-07-19 11:46:10', NULL, NULL), (14706, '', '乐山市市中区白马镇凤凰村', 'ab7a1853a2334471b2f2ec22862cb0d0', '5644e5e54ebf482588f1221b0285698a', 'False', 'True', 'false', 'false', '511102103223', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102103223', 1, '2021-07-19 11:46:10', NULL, NULL), (14707, '', '乐山市市中区白马镇朝阳村', '3d6cc220dd66419fb8d4dbbf0b94c584', '5644e5e54ebf482588f1221b0285698a', 'False', 'True', 'false', 'false', '511102103225', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102103225', 1, '2021-07-19 11:46:10', NULL, NULL), (14708, '', '乐山市市中区白马镇磨池河村', '6e820dc7565e419887d1adde16242587', '5644e5e54ebf482588f1221b0285698a', 'False', 'True', 'false', 'false', '511102103155', 5, '磨池河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102103155', 1, '2021-07-19 11:46:10', NULL, NULL), (14709, '', '乐山市市中区白马镇万井村', '125792485cbf409a9d3a942e7b84a578', '5644e5e54ebf482588f1221b0285698a', 'False', 'True', 'false', 'false', '511102103224', 5, '万井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102103224', 1, '2021-07-19 11:46:10', NULL, NULL), (14710, '', '乐山市市中区白马镇白马场社区', 'a388d9760c5645538a7ffcd66d36f892', '5644e5e54ebf482588f1221b0285698a', 'False', 'True', 'false', 'false', '511102103333', 5, '白马场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102103333', 1, '2021-07-19 11:46:10', NULL, NULL), (14711, '', '乐山市市中区白马镇白鹤村', '330c65a3d92f41a992be0898a9215796', '5644e5e54ebf482588f1221b0285698a', 'False', 'True', 'false', 'false', '511102103577', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102103577', 1, '2021-07-19 11:46:10', NULL, NULL), (14712, '', '乐山市市中区白马镇车架山村', 'baa1b087a4fd4affaf564f3daefacf7f', '5644e5e54ebf482588f1221b0285698a', 'False', 'True', 'false', 'false', '511102103624', 5, '车架山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102103624', 1, '2021-07-19 11:46:10', NULL, NULL), (14713, '', '乐山市市中区白马镇精华村', 'f62c535dbb204010a8dd60b811c70b67', '5644e5e54ebf482588f1221b0285698a', 'False', 'True', 'false', 'false', '511102103920', 5, '精华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102103920', 1, '2021-07-19 11:46:10', NULL, NULL), (14714, '', '茅桥镇', '3e29a9b1505142d68db8e80c227c6685', '74e599ab3fd646959fb52088f8d41eea', 'True', 'True', 'false', 'false', '511102104000', 4, '茅桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511102104000', 1, '2021-07-19 11:46:10', NULL, NULL), (14715, '', '乐山市市中区茅桥镇茅桥铺社区', '49593bd6a1a54ec29579071eda30fdbc', '3e29a9b1505142d68db8e80c227c6685', 'False', 'True', 'false', 'false', '511102104001', 5, '茅桥铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102104001', 1, '2021-07-19 11:46:10', NULL, NULL), (14716, '', '乐山市市中区茅桥镇茅桥村', '541a9f10df354b9f80b1e15fa272c083', '3e29a9b1505142d68db8e80c227c6685', 'False', 'True', 'false', 'false', '511102104201', 5, '茅桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102104201', 1, '2021-07-19 11:46:10', NULL, NULL), (14717, '', '乐山市市中区茅桥镇李家村', '55058007a3e244cbbcc544a0be2f6bb6', '3e29a9b1505142d68db8e80c227c6685', 'False', 'True', 'false', 'false', '511102104205', 5, '李家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102104205', 1, '2021-07-19 11:46:10', NULL, NULL), (14718, '', '乐山市市中区茅桥镇元口村', 'f929fac84faa448ea86a945b2693f38d', '3e29a9b1505142d68db8e80c227c6685', 'False', 'True', 'false', 'false', '511102104206', 5, '元口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102104206', 1, '2021-07-19 11:46:10', NULL, NULL), (14719, '', '乐山市市中区茅桥镇尹店村', '3ed975e4c91f42a59a6b6bbac551f743', '3e29a9b1505142d68db8e80c227c6685', 'False', 'True', 'false', 'false', '511102104207', 5, '尹店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102104207', 1, '2021-07-19 11:46:11', NULL, NULL), (14720, '', '乐山市市中区茅桥镇石洞村', '4d8af08b868b4c9e96e89abd2ced5690', '3e29a9b1505142d68db8e80c227c6685', 'False', 'True', 'false', 'false', '511102104208', 5, '石洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102104208', 1, '2021-07-19 11:46:11', NULL, NULL), (14721, '', '乐山市市中区茅桥镇九龙村', '41b06fe41961444aafb38d21915a587a', '3e29a9b1505142d68db8e80c227c6685', 'False', 'True', 'false', 'false', '511102104209', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102104209', 1, '2021-07-19 11:46:11', NULL, NULL), (14722, '', '乐山市市中区茅桥镇沙墩村', '5b52f75f8d6d4e5ba47f96fcda1ac876', '3e29a9b1505142d68db8e80c227c6685', 'False', 'True', 'false', 'false', '511102104210', 5, '沙墩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102104210', 1, '2021-07-19 11:46:11', NULL, NULL), (14723, '', '乐山市市中区茅桥镇迎阳村', '2d9e98c61b54494fac9b13e5ff0d6f83', '3e29a9b1505142d68db8e80c227c6685', 'False', 'True', 'false', 'false', '511102104211', 5, '迎阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102104211', 1, '2021-07-19 11:46:11', NULL, NULL), (14724, '', '乐山市市中区茅桥镇前进村', '1187a589db6c44568ef66733e444f6a4', '3e29a9b1505142d68db8e80c227c6685', 'False', 'True', 'false', 'false', '511102104212', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102104212', 1, '2021-07-19 11:46:11', NULL, NULL), (14725, '', '乐山市市中区茅桥镇四合村', '285add7ce9f745aeb2c4b7f05397021a', '3e29a9b1505142d68db8e80c227c6685', 'False', 'True', 'false', 'false', '511102104213', 5, '四合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102104213', 1, '2021-07-19 11:46:11', NULL, NULL), (14726, '', '乐山市市中区茅桥镇双鹤村', '3485a9cabffb413a9d6f1a2ed4dffb89', '3e29a9b1505142d68db8e80c227c6685', 'False', 'True', 'false', 'false', '511102104214', 5, '双鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102104214', 1, '2021-07-19 11:46:11', NULL, NULL), (14727, '', '青平镇', 'b4e11f8dff064e7da3b9506a16a76abd', '74e599ab3fd646959fb52088f8d41eea', 'True', 'True', 'false', 'false', '511102105000', 4, '青平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511102105000', 1, '2021-07-19 11:46:11', NULL, NULL), (14728, '', '乐山市市中区青平镇陈桥村', 'aa2092f521b1405ca15f0828b25f2e05', 'b4e11f8dff064e7da3b9506a16a76abd', 'False', 'True', 'false', 'false', '511102105202', 5, '陈桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102105202', 1, '2021-07-19 11:46:11', NULL, NULL), (14729, '', '乐山市市中区青平镇社峰村', '9ed5c1867fbd4affb9f5d910e946a4e1', 'b4e11f8dff064e7da3b9506a16a76abd', 'False', 'True', 'false', 'false', '511102105212', 5, '社峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102105212', 1, '2021-07-19 11:46:11', NULL, NULL), (14730, '', '乐山市市中区青平镇铁蛇坳村', 'cd36e66d6c31445e8a036d0d8448d1a2', 'b4e11f8dff064e7da3b9506a16a76abd', 'False', 'True', 'false', 'false', '511102105172', 5, '铁蛇坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102105172', 1, '2021-07-19 11:46:11', NULL, NULL), (14731, '', '乐山市市中区青平镇宝兴村', 'fac967d13e0c4b859b4c97ad750b004e', 'b4e11f8dff064e7da3b9506a16a76abd', 'False', 'True', 'false', 'false', '511102105206', 5, '宝兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102105206', 1, '2021-07-19 11:46:12', NULL, NULL), (14732, '', '乐山市市中区青平镇八一村', 'f97016d0a39b4614b664432e1db17f6b', 'b4e11f8dff064e7da3b9506a16a76abd', 'False', 'True', 'false', 'false', '511102105281', 5, '八一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102105281', 1, '2021-07-19 11:46:12', NULL, NULL), (14733, '', '乐山市市中区青平镇普仁村', 'd4829ba1011442ebbdcdc6a6cb544e29', 'b4e11f8dff064e7da3b9506a16a76abd', 'False', 'True', 'false', 'false', '511102105431', 5, '普仁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102105431', 1, '2021-07-19 11:46:12', NULL, NULL), (14734, '', '乐山市市中区青平镇青和村', '54a95a98ebd54532af86d4a975e0c10d', 'b4e11f8dff064e7da3b9506a16a76abd', 'False', 'True', 'false', 'false', '511102105456', 5, '青和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102105456', 1, '2021-07-19 11:46:12', NULL, NULL), (14735, '', '乐山市市中区青平镇水竹村', '964ffbc7881542a1bb410d39268290de', 'b4e11f8dff064e7da3b9506a16a76abd', 'False', 'True', 'false', 'false', '511102105491', 5, '水竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102105491', 1, '2021-07-19 11:46:12', NULL, NULL), (14736, '', '苏稽镇', '2fee26e8f68e46bd9d190ba3fb25fb0e', '74e599ab3fd646959fb52088f8d41eea', 'True', 'True', 'false', 'false', '511102106000', 4, '苏稽镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511102106000', 1, '2021-07-19 11:46:12', NULL, NULL), (14737, '', '乐山市市中区苏稽镇刘浩村', '7976f28a415c49cf82234fb7053a6317', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106225', 5, '刘浩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106225', 1, '2021-07-19 11:46:12', NULL, NULL), (14738, '', '乐山市市中区苏稽镇红阳村', '8d2cdbbb8420407292f051131c0e7a96', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106226', 5, '红阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106226', 1, '2021-07-19 11:46:12', NULL, NULL), (14739, '', '乐山市市中区苏稽镇陶村村', '7be96437b384414397e156271abb29f7', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106227', 5, '陶村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106227', 1, '2021-07-19 11:46:12', NULL, NULL), (14740, '', '乐山市市中区苏稽镇灵官村', '302f4b7998c5401eab06d8848fe4485d', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106228', 5, '灵官村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106228', 1, '2021-07-19 11:46:12', NULL, NULL), (14741, '', '乐山市市中区苏稽镇长虹村', 'b32210fd84cf43379a6af7d62e375488', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106230', 5, '长虹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106230', 1, '2021-07-19 11:46:12', NULL, NULL), (14742, '', '乐山市市中区苏稽镇长春村', '9ab8e7175ed34dc6bb1f21a7f6560447', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106231', 5, '长春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106231', 1, '2021-07-19 11:46:12', NULL, NULL), (14743, '', '乐山市市中区苏稽镇石鼓寺村', '44ef98ee199d490a8fdd673f3c5255ed', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106232', 5, '石鼓寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106232', 1, '2021-07-19 11:46:13', NULL, NULL), (14744, '', '乐山市市中区苏稽镇雷坝村', '436e52306ff947c597319add97d3b8ae', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106233', 5, '雷坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106233', 1, '2021-07-19 11:46:13', NULL, NULL), (14745, '', '乐山市市中区苏稽镇万顺村', '8138b3fd002c4fa28032bb2ba627ca83', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106235', 5, '万顺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106235', 1, '2021-07-19 11:46:13', NULL, NULL), (14746, '', '乐山市市中区苏稽镇卫东村', 'a04433355b3748a48e4bae913b375355', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106044', 5, '卫东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106044', 1, '2021-07-19 11:46:13', NULL, NULL), (14747, '', '乐山市市中区苏稽镇饶坎村', 'fc9142f427744d8fba8bc84211d18a92', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106058', 5, '饶坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106058', 1, '2021-07-19 11:46:13', NULL, NULL), (14748, '', '乐山市市中区苏稽镇跃进村', 'fb0662a7d86b442a8b864bfb4fd237e2', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106066', 5, '跃进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106066', 1, '2021-07-19 11:46:13', NULL, NULL), (14749, '', '乐山市市中区苏稽镇苏稽街社区', 'a2e65dd01a2a4864aec6da5810c3ab2e', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106178', 5, '苏稽街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106178', 1, '2021-07-19 11:46:13', NULL, NULL), (14750, '', '乐山市市中区苏稽镇新联村', 'abe02633b890490f9a8589f71a16d441', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106206', 5, '新联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106206', 1, '2021-07-19 11:46:13', NULL, NULL), (14751, '', '乐山市市中区苏稽镇程扁村', '6b95f6e6fd02492b8b258b3cb4f9b171', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106249', 5, '程扁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106249', 1, '2021-07-19 11:46:13', NULL, NULL), (14752, '', '乐山市市中区苏稽镇楠园村', '31bbced9df2b45a4931783012b1f580e', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106255', 5, '楠园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106255', 1, '2021-07-19 11:46:13', NULL, NULL), (14753, '', '乐山市市中区苏稽镇严龙村', 'c5a7092440c44c3289c5f4e3cdd14125', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106369', 5, '严龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106369', 1, '2021-07-19 11:46:13', NULL, NULL), (14754, '', '乐山市市中区苏稽镇徐浩村', 'bfa1b8cd70844581aeabdcc0774a3a83', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106499', 5, '徐浩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106499', 1, '2021-07-19 11:46:13', NULL, NULL), (14755, '', '乐山市市中区苏稽镇永和村', '56b032cadffd4ab6bf469a27a9d06969', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106595', 5, '永和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106595', 1, '2021-07-19 11:46:13', NULL, NULL), (14756, '', '乐山市市中区苏稽镇新桥街社区', 'cf98189c36cb49f0a64bf6f13d3a414b', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106671', 5, '新桥街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106671', 1, '2021-07-19 11:46:13', NULL, NULL), (14757, '', '乐山市市中区苏稽镇双江村', 'ca386b8f5fa54202a22abe2db87d99e8', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106799', 5, '双江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106799', 1, '2021-07-19 11:46:13', NULL, NULL), (14758, '', '乐山市市中区苏稽镇红专村', '0caae85c4a0c48618cab27af4335808b', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106801', 5, '红专村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106801', 1, '2021-07-19 11:46:13', NULL, NULL), (14759, '', '乐山市市中区苏稽镇青峨村', 'cbf3a81ec061402a9e4d649840571112', '2fee26e8f68e46bd9d190ba3fb25fb0e', 'False', 'True', 'false', 'false', '511102106877', 5, '青峨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102106877', 1, '2021-07-19 11:46:14', NULL, NULL), (14760, '', '水口镇', '25adc0f0d9d344299438e64e6f71d437', '74e599ab3fd646959fb52088f8d41eea', 'True', 'True', 'false', 'false', '511102107000', 4, '水口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511102107000', 1, '2021-07-19 11:46:14', NULL, NULL), (14761, '', '乐山市市中区水口镇龙窝村', '3f87c473c0004893acdd1074e06f5841', '25adc0f0d9d344299438e64e6f71d437', 'False', 'True', 'false', 'false', '511102107217', 5, '龙窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102107217', 1, '2021-07-19 11:46:14', NULL, NULL), (14762, '', '乐山市市中区水口镇三兴村', '1dbb07812867415bbcd7440d434d917c', '25adc0f0d9d344299438e64e6f71d437', 'False', 'True', 'false', 'false', '511102107218', 5, '三兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102107218', 1, '2021-07-19 11:46:14', NULL, NULL), (14763, '', '乐山市市中区水口镇罗汉村', '05fc6c467ce64aa1ba42fb537a35e5e4', '25adc0f0d9d344299438e64e6f71d437', 'False', 'True', 'false', 'false', '511102107219', 5, '罗汉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102107219', 1, '2021-07-19 11:46:14', NULL, NULL), (14764, '', '乐山市市中区水口镇彩槐村', '66876ca3f86f4049bb73c9a9193b4441', '25adc0f0d9d344299438e64e6f71d437', 'False', 'True', 'false', 'false', '511102107220', 5, '彩槐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102107220', 1, '2021-07-19 11:46:14', NULL, NULL), (14765, '', '乐山市市中区水口镇周金村', '63c54c90f8b846cdaf7e24bfada20486', '25adc0f0d9d344299438e64e6f71d437', 'False', 'True', 'false', 'false', '511102107080', 5, '周金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102107080', 1, '2021-07-19 11:46:14', NULL, NULL), (14766, '', '乐山市市中区水口镇周桥坝村', 'cc07fb201d9b40c8853b09485d9286ce', '25adc0f0d9d344299438e64e6f71d437', 'False', 'True', 'false', 'false', '511102107138', 5, '周桥坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102107138', 1, '2021-07-19 11:46:14', NULL, NULL), (14767, '', '乐山市市中区水口镇水口场社区', 'b386fd6decfc4c34b673c482ad8b7a35', '25adc0f0d9d344299438e64e6f71d437', 'False', 'True', 'false', 'false', '511102107453', 5, '水口场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102107453', 1, '2021-07-19 11:46:14', NULL, NULL), (14768, '', '乐山市市中区水口镇黄金村', '0fd890fe67cd4218be8a2f4094847b16', '25adc0f0d9d344299438e64e6f71d437', 'False', 'True', 'false', 'false', '511102107483', 5, '黄金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102107483', 1, '2021-07-19 11:46:14', NULL, NULL), (14769, '', '乐山市市中区水口镇华光村', '65665d256977455eaf09492d06ca0ab6', '25adc0f0d9d344299438e64e6f71d437', 'False', 'True', 'false', 'false', '511102107577', 5, '华光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102107577', 1, '2021-07-19 11:46:14', NULL, NULL), (14770, '', '棉竹镇', 'd20fd8ec76a2471187b8746185a9d882', '74e599ab3fd646959fb52088f8d41eea', 'True', 'True', 'false', 'false', '511102109000', 4, '棉竹镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511102109000', 1, '2021-07-19 11:46:15', NULL, NULL), (14771, '', '乐山市市中区棉竹镇棉竹铺社区', '72d41925a6f9439c984692318e4160d3', 'd20fd8ec76a2471187b8746185a9d882', 'False', 'True', 'false', 'false', '511102109002', 5, '棉竹铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102109002', 1, '2021-07-19 11:46:15', NULL, NULL), (14772, '', '乐山市市中区棉竹镇张铺儿村', '5fc582eea7bb4d07a7f7ea3d178181e1', 'd20fd8ec76a2471187b8746185a9d882', 'False', 'True', 'false', 'false', '511102109012', 5, '张铺儿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102109012', 1, '2021-07-19 11:46:15', NULL, NULL), (14773, '', '乐山市市中区棉竹镇袁坝村', '3b60f7be6ebc48f7a148e1589a727d23', 'd20fd8ec76a2471187b8746185a9d882', 'False', 'True', 'false', 'false', '511102109034', 5, '袁坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102109034', 1, '2021-07-19 11:46:15', NULL, NULL), (14774, '', '乐山市市中区棉竹镇天空山村', '727e9312f7164ebf823130b4d554470d', 'd20fd8ec76a2471187b8746185a9d882', 'False', 'True', 'false', 'false', '511102109498', 5, '天空山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102109498', 1, '2021-07-19 11:46:15', NULL, NULL), (14775, '', '乐山市市中区棉竹镇九百洞村', 'cb82f7a520554ad0b62f1435b5ede40a', 'd20fd8ec76a2471187b8746185a9d882', 'False', 'True', 'false', 'false', '511102109561', 5, '九百洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102109561', 1, '2021-07-19 11:46:15', NULL, NULL), (14776, '', '乐山市市中区棉竹镇高坝社区', '126e879662fb4abbb52a6575cb8b9ee0', 'd20fd8ec76a2471187b8746185a9d882', 'False', 'True', 'false', 'false', '511102109564', 5, '高坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102109564', 1, '2021-07-19 11:46:15', NULL, NULL), (14777, '', '全福街道', '3d520d4013394a5ab45ec935e518b0f1', '74e599ab3fd646959fb52088f8d41eea', 'True', 'True', 'false', 'false', '511102110000', 4, '全福街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511102110000', 1, '2021-07-19 11:46:15', NULL, NULL), (14778, '', '乐山市市中区全福街道翡翠社区', '7517614aff9c4b1c96d39a86fdca2004', '3d520d4013394a5ab45ec935e518b0f1', 'False', 'True', 'false', 'false', '511102010002', 5, '翡翠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102010002', 1, '2021-07-19 11:46:15', NULL, NULL), (14779, '', '乐山市市中区全福街道沟儿口社区', '3502ad4b996c46cbab5b48130dc1a577', '3d520d4013394a5ab45ec935e518b0f1', 'False', 'True', 'false', 'false', '511102010003', 5, '沟儿口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102010003', 1, '2021-07-19 11:46:15', NULL, NULL), (14780, '', '乐山市市中区全福街道马边河村', '947931871e3945699849b47d968903c9', '3d520d4013394a5ab45ec935e518b0f1', 'False', 'True', 'false', 'false', '511102010211', 5, '马边河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102010211', 1, '2021-07-19 11:46:15', NULL, NULL), (14781, '', '乐山市市中区全福街道三桥村', 'b411d5fc4cc04842b7e4a35057ceeb61', '3d520d4013394a5ab45ec935e518b0f1', 'False', 'True', 'false', 'false', '511102010212', 5, '三桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102010212', 1, '2021-07-19 11:46:15', NULL, NULL), (14782, '', '乐山市市中区全福街道石农村', '306f4aac0df64f4fa63d7da7b1c87fe8', '3d520d4013394a5ab45ec935e518b0f1', 'False', 'True', 'false', 'false', '511102110066', 5, '石农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102110066', 1, '2021-07-19 11:46:15', NULL, NULL), (14783, '', '乐山市市中区全福街道全福村', 'a42b0a5a6bd94d0aa96d0d6a40f6821e', '3d520d4013394a5ab45ec935e518b0f1', 'False', 'True', 'false', 'false', '511102110582', 5, '全福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102110582', 1, '2021-07-19 11:46:15', NULL, NULL), (14784, '', '乐山市市中区全福街道普农村', '358009b7f54b4ae9b88f4a9cc6cbe551', '3d520d4013394a5ab45ec935e518b0f1', 'False', 'True', 'false', 'false', '511102110787', 5, '普农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102110787', 1, '2021-07-19 11:46:16', NULL, NULL), (14785, '', '乐山市市中区全福街道夏沟村', '85860b65adfe42cab74eeb85f7e17465', '3d520d4013394a5ab45ec935e518b0f1', 'False', 'True', 'false', 'false', '511102110792', 5, '夏沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102110792', 1, '2021-07-19 11:46:16', NULL, NULL), (14786, '', '乐山市市中区全福街道台子村', '3ee4eb87977c473f8029053722163720', '3d520d4013394a5ab45ec935e518b0f1', 'False', 'True', 'false', 'false', '511102110794', 5, '台子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102110794', 1, '2021-07-19 11:46:16', NULL, NULL), (14787, '', '乐山市市中区全福街道裕农社区', '62e911ec16d74d9fa8a43e58c05fb55d', '3d520d4013394a5ab45ec935e518b0f1', 'False', 'True', 'false', 'false', '511102110807', 5, '裕农社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102110807', 1, '2021-07-19 11:46:16', NULL, NULL), (14788, '', '悦来镇', '17aea68651d342d69c1227aa7a3144a2', '74e599ab3fd646959fb52088f8d41eea', 'True', 'True', 'false', 'false', '511102200000', 4, '悦来镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511102200000', 1, '2021-07-19 11:46:16', NULL, NULL), (14789, '', '乐山市市中区悦来镇荔枝弯村', '8c7875b9905b41c4be0a4bbebe2f19c1', '17aea68651d342d69c1227aa7a3144a2', 'False', 'True', 'false', 'false', '511102117205', 5, '荔枝弯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102117205', 1, '2021-07-19 11:46:16', NULL, NULL), (14790, '', '乐山市市中区悦来镇道铧村', '9c29daee44d746e19d849c74294dfe86', '17aea68651d342d69c1227aa7a3144a2', 'False', 'True', 'false', 'false', '511102117206', 5, '道铧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102117206', 1, '2021-07-19 11:46:16', NULL, NULL), (14791, '', '乐山市市中区悦来镇塘咡坎村', 'cb182a398c2d4e32a75b1b56a918017d', '17aea68651d342d69c1227aa7a3144a2', 'False', 'True', 'false', 'false', '511102200002', 5, '塘咡坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102200002', 1, '2021-07-19 11:46:16', NULL, NULL), (14792, '', '乐山市市中区悦来镇龙岩村', '3b57f70690624620bf5941da19de4643', '17aea68651d342d69c1227aa7a3144a2', 'False', 'True', 'false', 'false', '511102200677', 5, '龙岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102200677', 1, '2021-07-19 11:46:16', NULL, NULL), (14793, '', '乐山市市中区悦来镇正阳村', 'b0bdec1599224113a86b6d8ce945eea4', '17aea68651d342d69c1227aa7a3144a2', 'False', 'True', 'false', 'false', '511102200712', 5, '正阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102200712', 1, '2021-07-19 11:46:16', NULL, NULL), (14794, '', '剑峰镇', '44185c90a3de4138bccb69609a526afe', '74e599ab3fd646959fb52088f8d41eea', 'True', 'True', 'false', 'false', '511102203000', 4, '剑峰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511102203000', 1, '2021-07-19 11:46:16', NULL, NULL), (14795, '', '乐山市市中区剑峰镇东旗村', 'a4aedc3f0cc14968996c3e2ffb7fc5e4', '44185c90a3de4138bccb69609a526afe', 'False', 'True', 'false', 'false', '511102118200', 5, '东旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102118200', 1, '2021-07-19 11:46:16', NULL, NULL), (14796, '', '乐山市市中区剑峰镇四家沟村', '5e758e3bfd114403b53ffd4f284ac888', '44185c90a3de4138bccb69609a526afe', 'False', 'True', 'false', 'false', '511102203007', 5, '四家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102203007', 1, '2021-07-19 11:46:16', NULL, NULL), (14797, '', '乐山市市中区剑峰镇桂花村', '88022673424548dd993dc6b87967683a', '44185c90a3de4138bccb69609a526afe', 'False', 'False', 'false', 'false', '511102203558', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102203558', 1, '2021-07-19 11:46:16', NULL, NULL), (14798, '', '乐山市市中区剑峰镇五星村', 'da92fa6199524e7db74bfc3d97881280', '44185c90a3de4138bccb69609a526afe', 'False', 'False', 'false', 'false', '511102203574', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102203574', 1, '2021-07-19 11:46:16', NULL, NULL), (14799, '', '乐山市市中区剑峰镇石桥村', 'bdf5512e91ce4ae09639cb4a82fade83', '44185c90a3de4138bccb69609a526afe', 'False', 'False', 'false', 'false', '511102203625', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102203625', 1, '2021-07-19 11:46:16', NULL, NULL), (14800, '', '乐山市市中区剑峰镇共和村', '2a8377335d6e448bbddfaa3caefc6a83', '44185c90a3de4138bccb69609a526afe', 'False', 'False', 'false', 'false', '511102203634', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102203634', 1, '2021-07-19 11:46:17', NULL, NULL), (14801, '', '乐山市市中区剑峰镇群团村', '82e696a00e61439ea2d2f9603b677174', '44185c90a3de4138bccb69609a526afe', 'False', 'True', 'false', 'false', '511102203944', 5, '群团村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102203944', 1, '2021-07-19 11:46:17', NULL, NULL), (14802, '', '平兴镇', '58aa1a3480c64432bbfe102370592163', '74e599ab3fd646959fb52088f8d41eea', 'True', 'True', 'false', 'false', '511102208000', 4, '平兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511102208000', 1, '2021-07-19 11:46:17', NULL, NULL), (14803, '', '乐山市市中区平兴镇太平新村', '6316fe69fe044d3998db71a31a89ea3b', '58aa1a3480c64432bbfe102370592163', 'False', 'True', 'false', 'false', '511102116200', 5, '太平新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102116200', 1, '2021-07-19 11:46:17', NULL, NULL), (14804, '', '乐山市市中区平兴镇稻禾香村', 'dc21a9a9e3ac42bcb1f20ec7a0fd80d4', '58aa1a3480c64432bbfe102370592163', 'False', 'True', 'false', 'false', '511102116201', 5, '稻禾香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102116201', 1, '2021-07-19 11:46:17', NULL, NULL), (14805, '', '乐山市市中区平兴镇临江河村', '0aa786dfae6244ccb2cea52cd585df42', '58aa1a3480c64432bbfe102370592163', 'False', 'True', 'false', 'false', '511102116202', 5, '临江河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102116202', 1, '2021-07-19 11:46:17', NULL, NULL), (14806, '', '乐山市市中区平兴镇游坝村', '46cf6afbb40f499a80097ec24f1587cf', '58aa1a3480c64432bbfe102370592163', 'False', 'True', 'false', 'false', '511102116203', 5, '游坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102116203', 1, '2021-07-19 11:46:17', NULL, NULL), (14807, '', '乐山市市中区平兴镇滑石村', 'c0fefe228a42406387be878aa86beaa6', '58aa1a3480c64432bbfe102370592163', 'False', 'True', 'false', 'false', '511102116204', 5, '滑石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102116204', 1, '2021-07-19 11:46:17', NULL, NULL), (14808, '', '乐山市市中区平兴镇三圣村', 'c7cf27b64ad745a2b9e8eea5b8932bda', '58aa1a3480c64432bbfe102370592163', 'False', 'True', 'false', 'false', '511102116206', 5, '三圣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102116206', 1, '2021-07-19 11:46:17', NULL, NULL), (14809, '', '乐山市市中区平兴镇平兴村', 'c3d6ad43996745b899adbc3f8f57c392', '58aa1a3480c64432bbfe102370592163', 'False', 'True', 'false', 'false', '511102116205', 5, '平兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102116205', 1, '2021-07-19 11:46:17', NULL, NULL), (14810, '', '乐山市市中区平兴镇高冲村', '83b8eaffc2c248b183ccb0de73c862c8', '58aa1a3480c64432bbfe102370592163', 'False', 'True', 'false', 'false', '511102116208', 5, '高冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102116208', 1, '2021-07-19 11:46:17', NULL, NULL), (14811, '', '绿心街道', '230293dd63904390ad077fcc1d39e1df', '74e599ab3fd646959fb52088f8d41eea', 'True', 'True', 'false', 'false', '511102235000', 4, '绿心街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511102235000', 1, '2021-07-19 11:46:17', NULL, NULL), (14812, '', '乐山市市中区绿心街道长征社区', '80c73e81e5c8404a859d8b64ad9c117f', '230293dd63904390ad077fcc1d39e1df', 'False', 'True', 'false', 'false', '511102005007', 5, '长征社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102005007', 1, '2021-07-19 11:46:17', NULL, NULL), (14813, '', '乐山市市中区绿心街道道座庙社区', '679747bda69342249fe5a75019ea4b76', '230293dd63904390ad077fcc1d39e1df', 'False', 'True', 'false', 'false', '511102005008', 5, '道座庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102005008', 1, '2021-07-19 11:46:17', NULL, NULL), (14814, '', '乐山市市中区绿心街道滟澜洲社区', '1fb851bff6204ed3acfb35157d00873d', '230293dd63904390ad077fcc1d39e1df', 'False', 'True', 'false', 'false', '511102005009', 5, '滟澜洲社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102005009', 1, '2021-07-19 11:46:17', NULL, NULL), (14815, '', '乐山市市中区绿心街道罗李坝村', '4b489c6375444386b0d395b7f09bfba2', '230293dd63904390ad077fcc1d39e1df', 'False', 'True', 'false', 'false', '511102005010', 5, '罗李坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102005010', 1, '2021-07-19 11:46:17', NULL, NULL), (14816, '', '乐山市市中区绿心街道张徐坝村', '35bba3b53f6d4f81b21d578317f45d07', '230293dd63904390ad077fcc1d39e1df', 'False', 'True', 'false', 'false', '511102005011', 5, '张徐坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102005011', 1, '2021-07-19 11:46:18', NULL, NULL), (14817, '', '乐山市市中区绿心街道大田社区', 'f8cae045c3b14729879daf630cceff97', '230293dd63904390ad077fcc1d39e1df', 'False', 'True', 'false', 'false', '511102005107', 5, '大田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102005107', 1, '2021-07-19 11:46:18', NULL, NULL), (14818, '', '乐山市市中区绿心街道石龙社区', '90aaf87d9ce244e8be8dcb3bbf3f8ea4', '230293dd63904390ad077fcc1d39e1df', 'False', 'True', 'false', 'false', '511102005285', 5, '石龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102005285', 1, '2021-07-19 11:46:18', NULL, NULL), (14819, '', '乐山市市中区绿心街道竹公溪社区', '4e64fae331f14a19ab63007ab7154497', '230293dd63904390ad077fcc1d39e1df', 'False', 'True', 'false', 'false', '511102005405', 5, '竹公溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102005405', 1, '2021-07-19 11:46:18', NULL, NULL), (14820, '', '乐山市市中区绿心街道肖坝社区', '13da7f4141be47649838ec3d9afc1111', '230293dd63904390ad077fcc1d39e1df', 'False', 'True', 'false', 'false', '511102005543', 5, '肖坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102005543', 1, '2021-07-19 11:46:18', NULL, NULL), (14821, '', '乐山市市中区绿心街道青江社区', '03a7dc34a8074786a1b333635d95ef02', '230293dd63904390ad077fcc1d39e1df', 'False', 'True', 'false', 'false', '511102005683', 5, '青江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102005683', 1, '2021-07-19 11:46:18', NULL, NULL), (14822, '', '乐山市市中区绿心街道共和社区', 'd004cbacb0f140e79f1e1c37f60b07d7', '230293dd63904390ad077fcc1d39e1df', 'False', 'True', 'false', 'false', '511102005924', 5, '共和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102005924', 1, '2021-07-19 11:46:18', NULL, NULL), (14823, '', '通江街道', 'b28cb33d721642228a8d16953246a984', '74e599ab3fd646959fb52088f8d41eea', 'True', 'True', 'false', 'false', '511102394000', 4, '通江街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511102394000', 1, '2021-07-19 11:46:18', NULL, NULL), (14824, '', '乐山市市中区通江街道柏杨社区', 'b5723ff1de124a129a5114b1a67b61f3', 'b28cb33d721642228a8d16953246a984', 'False', 'True', 'false', 'false', '511102007009', 5, '柏杨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102007009', 1, '2021-07-19 11:46:18', NULL, NULL), (14825, '', '乐山市市中区通江街道茶坊社区', 'bad5e30e18e049a88be6b1d316e8aebb', 'b28cb33d721642228a8d16953246a984', 'False', 'True', 'false', 'false', '511102007010', 5, '茶坊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102007010', 1, '2021-07-19 11:46:18', NULL, NULL), (14826, '', '乐山市市中区通江街道高墩子社区', '0d8eb6d1e436438facf0e4a4675111f4', 'b28cb33d721642228a8d16953246a984', 'False', 'True', 'false', 'false', '511102007011', 5, '高墩子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102007011', 1, '2021-07-19 11:46:18', NULL, NULL), (14827, '', '乐山市市中区通江街道牛咡桥社区', '99fe023792c34b4eb6352a9acf8c5490', 'b28cb33d721642228a8d16953246a984', 'False', 'True', 'false', 'false', '511102007012', 5, '牛咡桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102007012', 1, '2021-07-19 11:46:18', NULL, NULL), (14828, '', '乐山市市中区通江街道檀木嘴社区', 'b4c1ce46d2de495693a53cdecb035d82', 'b28cb33d721642228a8d16953246a984', 'False', 'True', 'false', 'false', '511102006030', 5, '檀木嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102006030', 1, '2021-07-19 11:46:18', NULL, NULL), (14829, '', '乐山市市中区通江街道岷河社区', '3fa416f18da4438d97a062d22f0b17c2', 'b28cb33d721642228a8d16953246a984', 'False', 'True', 'false', 'false', '511102006067', 5, '岷河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102006067', 1, '2021-07-19 11:46:19', NULL, NULL), (14830, '', '乐山市市中区通江街道乐达社区', '5b881dc038d4433b840891d58d9f6a27', 'b28cb33d721642228a8d16953246a984', 'False', 'True', 'false', 'false', '511102006331', 5, '乐达社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102006331', 1, '2021-07-19 11:46:19', NULL, NULL), (14831, '', '乐山市市中区通江街道蟠龙社区', 'f047fc07863d4f779ab9f34d7bfc2084', 'b28cb33d721642228a8d16953246a984', 'False', 'True', 'false', 'false', '511102006375', 5, '蟠龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102006375', 1, '2021-07-19 11:46:19', NULL, NULL), (14832, '', '乐山市市中区通江街道通江社区', '0a8470cf6b9d41eb8d6f1585075a1acb', 'b28cb33d721642228a8d16953246a984', 'False', 'True', 'false', 'false', '511102006605', 5, '通江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102006605', 1, '2021-07-19 11:46:19', NULL, NULL), (14833, '', '乐山市市中区通江街道王河社区', '8e861018172e43e4a59288177039f594', 'b28cb33d721642228a8d16953246a984', 'False', 'True', 'false', 'false', '511102006655', 5, '王河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102006655', 1, '2021-07-19 11:46:19', NULL, NULL), (14834, '', '乐山市市中区通江街道敖坝社区', '7e59499c6bf849e29502df5849ea3abb', 'b28cb33d721642228a8d16953246a984', 'False', 'True', 'false', 'false', '511102006795', 5, '敖坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511102006795', 1, '2021-07-19 11:46:19', NULL, NULL), (14835, '', '五通桥区', 'c8380af688c748fc8b163782be736134', '9662d820bd8049d2bce41b2c66a0bd60', 'True', 'True', 'false', 'false', '511112000000', 3, '五通桥区', 'lsswtqq.sczwfw.gov.cn', 1, '2021-07-19 11:46:19', NULL, NULL), (14836, '', '竹根镇', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'c8380af688c748fc8b163782be736134', 'True', 'True', 'false', 'false', '511112100000', 4, '竹根镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511112100000', 1, '2021-07-19 11:46:19', NULL, NULL), (14837, '', '龙门村', 'd6830abf51164d82a006f0fc590ed4de', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100005', 5, '龙门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100005', 1, '2021-07-19 11:46:19', NULL, NULL), (14838, '', '红军村', '13e618170529455485aa85d672c74942', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100171', 5, '红军村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100171', 1, '2021-07-19 11:46:19', NULL, NULL), (14839, '', '青龙村', 'fbbe4ba60d774ebc84a093c47b7efe1f', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100269', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100269', 1, '2021-07-19 11:46:19', NULL, NULL), (14840, '', '杨柳村', '857190489d0c4025b89433ca21988eff', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100472', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100472', 1, '2021-07-19 11:46:19', NULL, NULL), (14841, '', '翻身村', '352a411bbb49419089f42f73893d6fb7', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100488', 5, '翻身村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100488', 1, '2021-07-19 11:46:19', NULL, NULL), (14842, '', '杨柳湾社区', '2a0bd35cd22f465e88285926c0e8516b', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100659', 5, '杨柳湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100659', 1, '2021-07-19 11:46:19', NULL, NULL), (14843, '', '柑子村', 'e34067240ccf47fbb41f3aa16378e42e', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100962', 5, '柑子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100962', 1, '2021-07-19 11:46:20', NULL, NULL), (14844, '', '多宝村', '17a7d427a2b6423483e72dd7759fd1d8', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100988', 5, '多宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100988', 1, '2021-07-19 11:46:20', NULL, NULL), (14845, '', '岷江社区', 'f0df3d3f65464096bf87cfacb4c2e92f', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100053', 5, '岷江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100053', 1, '2021-07-19 11:46:20', NULL, NULL), (14846, '', '涌江社区', 'b3c38f67ebf44b7cb8ddd154362d120e', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100072', 5, '涌江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100072', 1, '2021-07-19 11:46:20', NULL, NULL), (14847, '', '茶花社区', 'f6557ead05d44e539044c471b0ffd20e', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100091', 5, '茶花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100091', 1, '2021-07-19 11:46:20', NULL, NULL), (14848, '', '两河口社区', '8c97702eedcc4e5aa133725e55935595', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100125', 5, '两河口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100125', 1, '2021-07-19 11:46:20', NULL, NULL), (14849, '', '黄桷井社区', 'c0e8111e231a49b8a49cec106837a577', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100157', 5, '黄桷井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100157', 1, '2021-07-19 11:46:20', NULL, NULL), (14850, '', '市建会社区', '77e353378d244327a6b961d0421ffec8', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100335', 5, '市建会社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100335', 1, '2021-07-19 11:46:20', NULL, NULL), (14851, '', '茶花村', 'a817b53271bc4966b659921e971dc6c3', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100371', 5, '茶花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100371', 1, '2021-07-19 11:46:20', NULL, NULL), (14852, '', '幸福村', '57114ef499d14b99be6e6994092596d3', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100451', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100451', 1, '2021-07-19 11:46:20', NULL, NULL), (14853, '', '新华社区', 'b6fe97f985214f5e9dd43815ce3eb019', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100819', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100819', 1, '2021-07-19 11:46:20', NULL, NULL), (14854, '', '佑君社区', '483655ff96584241b83b1c3443c04e9f', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100858', 5, '佑君社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100858', 1, '2021-07-19 11:46:20', NULL, NULL), (14855, '', '易坝村', 'ae222ff0f77942b3bd17f424c071f788', '8e1369ab8d87469e94f9d0f12fb7f1fe', 'False', 'True', 'false', 'false', '511112100864', 5, '易坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112100864', 1, '2021-07-19 11:46:20', NULL, NULL), (14856, '', '牛华镇', '603a7c6baaf44529aa3be4ad8cda1296', 'c8380af688c748fc8b163782be736134', 'True', 'True', 'false', 'false', '511112101000', 4, '牛华镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511112101000', 1, '2021-07-19 11:46:20', NULL, NULL), (14857, '', '燕山村', '0ae0e883b9304b21a65fa0cfeef3af8c', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101084', 5, '燕山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101084', 1, '2021-07-19 11:46:20', NULL, NULL), (14858, '', '新云村', '4ea2282c44b14992b900a41a4ce25071', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101279', 5, '新云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101279', 1, '2021-07-19 11:46:21', NULL, NULL), (14859, '', '中华村', '648178776de84d038acbe01f536c32b4', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101337', 5, '中华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101337', 1, '2021-07-19 11:46:21', NULL, NULL), (14860, '', '代河村', 'f83ca338508c4e698f990ba1a5f41ece', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101707', 5, '代河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101707', 1, '2021-07-19 11:46:21', NULL, NULL), (14861, '', '真武村', '3fa91db045314e0eb51300171baa9c3c', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101882', 5, '真武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101882', 1, '2021-07-19 11:46:21', NULL, NULL), (14862, '', '华联村', 'b1fe1d674f364bc38682319a2fe4e4a5', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101925', 5, '华联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101925', 1, '2021-07-19 11:46:21', NULL, NULL), (14863, '', '半边街社区', '6c7cf2f76a054872bdf83c4ebe18da11', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101110', 5, '半边街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101110', 1, '2021-07-19 11:46:21', NULL, NULL), (14864, '', '汤家坝村', '8daabd8339944e449f4c587c893360d2', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101184', 5, '汤家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101184', 1, '2021-07-19 11:46:21', NULL, NULL), (14865, '', '杉树村', '76b280f81cf54ebb99a71d97202be7b4', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101189', 5, '杉树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101189', 1, '2021-07-19 11:46:21', NULL, NULL), (14866, '', '沔坝社区', '8a1acee29e6f467d9fbb213f439819b9', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101234', 5, '沔坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101234', 1, '2021-07-19 11:46:21', NULL, NULL), (14867, '', '石江村', '739152421637423a97fb04c6fb3d5774', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101313', 5, '石江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101313', 1, '2021-07-19 11:46:21', NULL, NULL), (14868, '', '巴岩井社区', '32c4c240b8234c26aa7860591bba05a3', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101316', 5, '巴岩井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101316', 1, '2021-07-19 11:46:21', NULL, NULL), (14869, '', '碳坝市社区', 'b9e1d6ff667c4343841a376fd84e1f73', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101369', 5, '碳坝市社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101369', 1, '2021-07-19 11:46:21', NULL, NULL), (14870, '', '浸水村', '84b78fcdb6144382872b9b4ecdc78445', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101397', 5, '浸水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101397', 1, '2021-07-19 11:46:21', NULL, NULL), (14871, '', '观音堂村', 'aa779e44cc1c41abb6ea904bb1df0031', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101504', 5, '观音堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101504', 1, '2021-07-19 11:46:22', NULL, NULL), (14872, '', '三塔村', '013167248f3d439a8b0548d95cb50970', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101560', 5, '三塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101560', 1, '2021-07-19 11:46:22', NULL, NULL), (14873, '', '星火村', '21a5408c5443473da5d67e9a1d16db24', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101625', 5, '星火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101625', 1, '2021-07-19 11:46:22', NULL, NULL), (14874, '', '沙板滩社区', 'fc1e890cee2c4e409225ce5e074b78cc', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101778', 5, '沙板滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101778', 1, '2021-07-19 11:46:22', NULL, NULL), (14875, '', '顺山村', '895e13eb61cb4f47b057f34a3154dbe8', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101792', 5, '顺山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101792', 1, '2021-07-19 11:46:22', NULL, NULL), (14876, '', '二码头社区', '20c1fbb030e14ce4b6480ef08aa8a92b', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101917', 5, '二码头社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101917', 1, '2021-07-19 11:46:22', NULL, NULL), (14877, '', '群众村', '2421c2369b1c45b5b8db716cd0b9942e', '603a7c6baaf44529aa3be4ad8cda1296', 'False', 'True', 'false', 'false', '511112101970', 5, '群众村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112101970', 1, '2021-07-19 11:46:22', NULL, NULL), (14878, '', '金粟镇', '76578f44eae74b1ba0d800b05e01ff22', 'c8380af688c748fc8b163782be736134', 'True', 'True', 'false', 'false', '511112104000', 4, '金粟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511112104000', 1, '2021-07-19 11:46:22', NULL, NULL), (14879, '', '老龙坝村', '15ba96524c4c4f48a36320ac4d525f1c', '76578f44eae74b1ba0d800b05e01ff22', 'False', 'True', 'false', 'false', '511112104085', 5, '老龙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112104085', 1, '2021-07-19 11:46:22', NULL, NULL), (14880, '', '会云村', 'ee7e81162fe9484cab2232cbcd950a6c', '76578f44eae74b1ba0d800b05e01ff22', 'False', 'True', 'false', 'false', '511112104454', 5, '会云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112104454', 1, '2021-07-19 11:46:22', NULL, NULL), (14881, '', '桥兴社区', '029c4a72c7a54bb683d8673b7ce505a6', '76578f44eae74b1ba0d800b05e01ff22', 'False', 'True', 'false', 'false', '511112104580', 5, '桥兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112104580', 1, '2021-07-19 11:46:22', NULL, NULL), (14882, '', '井房坳村', '69cf60c9c3f047f18ff94d1d3c207185', '76578f44eae74b1ba0d800b05e01ff22', 'False', 'True', 'false', 'false', '511112104769', 5, '井房坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112104769', 1, '2021-07-19 11:46:23', NULL, NULL), (14883, '', '共裕村', '4eccde68763d4ad29217eddbecd57248', '76578f44eae74b1ba0d800b05e01ff22', 'False', 'True', 'false', 'false', '511112104860', 5, '共裕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112104860', 1, '2021-07-19 11:46:23', NULL, NULL), (14884, '', '五一村', '3ab871797bf542ab9f55a0fab5b0f3ab', '76578f44eae74b1ba0d800b05e01ff22', 'False', 'True', 'false', 'false', '511112104005', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112104005', 1, '2021-07-19 11:46:23', NULL, NULL), (14885, '', '姜市街社区', '946494ff13fe4ac297bede8e10680100', '76578f44eae74b1ba0d800b05e01ff22', 'False', 'True', 'false', 'false', '511112104102', 5, '姜市街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112104102', 1, '2021-07-19 11:46:23', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (14886, '', '刘家山村', '383ddbf37ea94b6eb98988bd0942a39f', '76578f44eae74b1ba0d800b05e01ff22', 'False', 'True', 'false', 'false', '511112104267', 5, '刘家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112104267', 1, '2021-07-19 11:46:23', NULL, NULL), (14887, '', '庙儿山村', '7fadefebf2914357ac8b4856e275c764', '76578f44eae74b1ba0d800b05e01ff22', 'False', 'True', 'false', 'false', '511112104541', 5, '庙儿山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112104541', 1, '2021-07-19 11:46:23', NULL, NULL), (14888, '', '双漩村', 'a1e5ce82b4964f8ba8998cff8481f213', '76578f44eae74b1ba0d800b05e01ff22', 'False', 'True', 'false', 'false', '511112104691', 5, '双漩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112104691', 1, '2021-07-19 11:46:23', NULL, NULL), (14889, '', '金江村', 'c05a09c1a0504b208ab90ac3d4e7d69e', '76578f44eae74b1ba0d800b05e01ff22', 'False', 'True', 'false', 'false', '511112104853', 5, '金江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112104853', 1, '2021-07-19 11:46:23', NULL, NULL), (14890, '', '磨子街社区', '32fa5468a5f244519fa4137fa9fd335a', '76578f44eae74b1ba0d800b05e01ff22', 'False', 'True', 'false', 'false', '511112104979', 5, '磨子街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112104979', 1, '2021-07-19 11:46:23', NULL, NULL), (14891, '', '金山镇', 'f8eca017e3564c169795d9f034965fd4', 'c8380af688c748fc8b163782be736134', 'True', 'True', 'false', 'false', '511112105000', 4, '金山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511112105000', 1, '2021-07-19 11:46:23', NULL, NULL), (14892, '', '争鸣村', 'f368ec47baba4a639bebbaefe2fb570b', 'f8eca017e3564c169795d9f034965fd4', 'False', 'True', 'false', 'false', '511112105028', 5, '争鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112105028', 1, '2021-07-19 11:46:23', NULL, NULL), (14893, '', '先家村', 'ef663a0d48a743498312346ba423f96e', 'f8eca017e3564c169795d9f034965fd4', 'False', 'True', 'false', 'false', '511112105094', 5, '先家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112105094', 1, '2021-07-19 11:46:23', NULL, NULL), (14894, '', '灯塔村', '69c40037e721477f97104190846b5a2b', 'f8eca017e3564c169795d9f034965fd4', 'False', 'True', 'false', 'false', '511112105240', 5, '灯塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112105240', 1, '2021-07-19 11:46:23', NULL, NULL), (14895, '', '劳动街社区', '86c39888453048d2ac5b697f2abed075', 'f8eca017e3564c169795d9f034965fd4', 'False', 'True', 'false', 'false', '511112105547', 5, '劳动街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112105547', 1, '2021-07-19 11:46:23', NULL, NULL), (14896, '', '民安村', 'c4b588da41604066b368e8808cebc86b', 'f8eca017e3564c169795d9f034965fd4', 'False', 'True', 'false', 'false', '511112105975', 5, '民安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112105975', 1, '2021-07-19 11:46:24', NULL, NULL), (14897, '', '杏林村', '93db469e13c849f6a097ca39af721891', 'f8eca017e3564c169795d9f034965fd4', 'False', 'True', 'false', 'false', '511112105977', 5, '杏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112105977', 1, '2021-07-19 11:46:24', NULL, NULL), (14898, '', '盐井沱村', '3008eebb583943b8b0b841bfdb8cd7c9', 'f8eca017e3564c169795d9f034965fd4', 'False', 'True', 'false', 'false', '511112105097', 5, '盐井沱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112105097', 1, '2021-07-19 11:46:24', NULL, NULL), (14899, '', '红星村', 'ebf3deb2d4f747478afa3eb8bfec2eaf', 'f8eca017e3564c169795d9f034965fd4', 'False', 'True', 'false', 'false', '511112105117', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112105117', 1, '2021-07-19 11:46:24', NULL, NULL), (14900, '', '苦竹嘴村', 'c41efe08741a441b96a35c8b1b0ec94c', 'f8eca017e3564c169795d9f034965fd4', 'False', 'True', 'false', 'false', '511112105256', 5, '苦竹嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112105256', 1, '2021-07-19 11:46:24', NULL, NULL), (14901, '', '新桥村', '4a7594624f5e4416b7a52bca45b3a881', 'f8eca017e3564c169795d9f034965fd4', 'False', 'True', 'false', 'false', '511112105297', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112105297', 1, '2021-07-19 11:46:24', NULL, NULL), (14902, '', '碾子湾村', 'd2c55ac1b38d46678d5eef9489203177', 'f8eca017e3564c169795d9f034965fd4', 'False', 'True', 'false', 'false', '511112105406', 5, '碾子湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112105406', 1, '2021-07-19 11:46:24', NULL, NULL), (14903, '', '石燕子村', 'af7dc7a85d9343bcb626afc1f50f5980', 'f8eca017e3564c169795d9f034965fd4', 'False', 'True', 'false', 'false', '511112105495', 5, '石燕子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112105495', 1, '2021-07-19 11:46:24', NULL, NULL), (14904, '', '金家滩村', '7b18e7e4606e44c1b037efb8350a20e8', 'f8eca017e3564c169795d9f034965fd4', 'False', 'True', 'false', 'false', '511112105577', 5, '金家滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112105577', 1, '2021-07-19 11:46:24', NULL, NULL), (14905, '', '金山寺社区', '88abf2fd54944550a15dcae013e60501', 'f8eca017e3564c169795d9f034965fd4', 'False', 'True', 'false', 'false', '511112105587', 5, '金山寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112105587', 1, '2021-07-19 11:46:24', NULL, NULL), (14906, '', '白家磅村', '179295fea26e4e939b4ed4245a877ff7', 'f8eca017e3564c169795d9f034965fd4', 'False', 'True', 'false', 'false', '511112105633', 5, '白家磅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112105633', 1, '2021-07-19 11:46:24', NULL, NULL), (14907, '', '皂角村', 'eccd0c03c7394c49aee27ba9f2f63b27', 'f8eca017e3564c169795d9f034965fd4', 'False', 'True', 'false', 'false', '511112105908', 5, '皂角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112105908', 1, '2021-07-19 11:46:24', NULL, NULL), (14908, '', '柏木林村', 'fd0c8e6a959c45febfe8ea872b113005', 'f8eca017e3564c169795d9f034965fd4', 'False', 'True', 'false', 'false', '511112105961', 5, '柏木林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112105961', 1, '2021-07-19 11:46:24', NULL, NULL), (14909, '', '西坝镇', '98a1232267a147feb2a0dda32b5186b9', 'c8380af688c748fc8b163782be736134', 'True', 'True', 'false', 'false', '511112107000', 4, '西坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511112107000', 1, '2021-07-19 11:46:24', NULL, NULL), (14910, '', '民益村', '374a2d0338434bc4baf2ca5f171ea5c5', '98a1232267a147feb2a0dda32b5186b9', 'False', 'True', 'false', 'false', '511112107113', 5, '民益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112107113', 1, '2021-07-19 11:46:24', NULL, NULL), (14911, '', '同心村', 'b1fa01addf37404eab5c29edc419067c', '98a1232267a147feb2a0dda32b5186b9', 'False', 'True', 'false', 'false', '511112107153', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112107153', 1, '2021-07-19 11:46:24', NULL, NULL), (14912, '', '高峰村', 'ddfb10c5746d402bb352932b2ab762c5', '98a1232267a147feb2a0dda32b5186b9', 'False', 'True', 'false', 'false', '511112107470', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112107470', 1, '2021-07-19 11:46:25', NULL, NULL), (14913, '', '向荣村', 'f1a498f8283c421989a3c8b47a05b013', '98a1232267a147feb2a0dda32b5186b9', 'False', 'True', 'false', 'false', '511112107494', 5, '向荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112107494', 1, '2021-07-19 11:46:25', NULL, NULL), (14914, '', '西溶社区', '6d07c5699d0b482fa12048ddc4a0ff6c', '98a1232267a147feb2a0dda32b5186b9', 'False', 'True', 'false', 'false', '511112107556', 5, '西溶社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112107556', 1, '2021-07-19 11:46:25', NULL, NULL), (14915, '', '和平村', '142c38d20cfe4754b554807238a50e45', '98a1232267a147feb2a0dda32b5186b9', 'False', 'True', 'false', 'false', '511112107687', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112107687', 1, '2021-07-19 11:46:25', NULL, NULL), (14916, '', '建新村', 'd80253a2e1ba43538de0e21e2bf764a1', '98a1232267a147feb2a0dda32b5186b9', 'False', 'True', 'false', 'false', '511112107696', 5, '建新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112107696', 1, '2021-07-19 11:46:25', NULL, NULL), (14917, '', '前丰村', 'b431058eed924512a4101dadba119019', '98a1232267a147feb2a0dda32b5186b9', 'False', 'True', 'false', 'false', '511112107863', 5, '前丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112107863', 1, '2021-07-19 11:46:25', NULL, NULL), (14918, '', '民权村', 'c284c786a3fb45d194d923c4c6c107c6', '98a1232267a147feb2a0dda32b5186b9', 'False', 'True', 'false', 'false', '511112107927', 5, '民权村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112107927', 1, '2021-07-19 11:46:25', NULL, NULL), (14919, '', '庙沱村', '092c2d47ac8b4ebb92277bb7e5c7b890', '98a1232267a147feb2a0dda32b5186b9', 'False', 'True', 'false', 'false', '511112107951', 5, '庙沱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112107951', 1, '2021-07-19 11:46:25', NULL, NULL), (14920, '', '冠英镇', '07213470c8324a9e890807e4416a8269', 'c8380af688c748fc8b163782be736134', 'True', 'True', 'false', 'false', '511112108000', 4, '冠英镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511112108000', 1, '2021-07-19 11:46:25', NULL, NULL), (14921, '', '马桑村', 'f3e19980bec24ba5b260337dea52000c', '07213470c8324a9e890807e4416a8269', 'False', 'True', 'false', 'false', '511112108192', 5, '马桑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112108192', 1, '2021-07-19 11:46:25', NULL, NULL), (14922, '', '尚村', '2f5ec2ac58e642b7be09018354664936', '07213470c8324a9e890807e4416a8269', 'False', 'True', 'false', 'false', '511112108258', 5, '尚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112108258', 1, '2021-07-19 11:46:25', NULL, NULL), (14923, '', '鸭口山村', 'a5c2e585e9614142815ae4ebc8a48de1', '07213470c8324a9e890807e4416a8269', 'False', 'True', 'false', 'false', '511112108267', 5, '鸭口山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112108267', 1, '2021-07-19 11:46:25', NULL, NULL), (14924, '', '荣丰社区', '170b146f33a24a7798b4ee28b5e3bc3a', '07213470c8324a9e890807e4416a8269', 'False', 'True', 'false', 'false', '511112108270', 5, '荣丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112108270', 1, '2021-07-19 11:46:25', NULL, NULL), (14925, '', '大兴庙村', 'f21d9b3917b84124bd8fc1cc51b48930', '07213470c8324a9e890807e4416a8269', 'False', 'True', 'false', 'false', '511112108305', 5, '大兴庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112108305', 1, '2021-07-19 11:46:25', NULL, NULL), (14926, '', '挖断山村', '702df00107634229815e9e825c085b57', '07213470c8324a9e890807e4416a8269', 'False', 'True', 'false', 'false', '511112108309', 5, '挖断山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112108309', 1, '2021-07-19 11:46:25', NULL, NULL), (14927, '', '神佛村', 'e8af5e02bf424ac395f4ab2a9e5df1d3', '07213470c8324a9e890807e4416a8269', 'False', 'True', 'false', 'false', '511112108361', 5, '神佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112108361', 1, '2021-07-19 11:46:26', NULL, NULL), (14928, '', '石子埂村', 'e6e55810291843019d1e3dc0cafa5315', '07213470c8324a9e890807e4416a8269', 'False', 'True', 'false', 'false', '511112108401', 5, '石子埂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112108401', 1, '2021-07-19 11:46:26', NULL, NULL), (14929, '', '青乐村', '250c224862944d23b79199f66d1461aa', '07213470c8324a9e890807e4416a8269', 'False', 'True', 'false', 'false', '511112108548', 5, '青乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112108548', 1, '2021-07-19 11:46:26', NULL, NULL), (14930, '', '河桥村', '8496425db04d4e73bf0f827549e61577', '07213470c8324a9e890807e4416a8269', 'False', 'True', 'false', 'false', '511112108593', 5, '河桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112108593', 1, '2021-07-19 11:46:26', NULL, NULL), (14931, '', '天池村', '47670e142ab84feab2d81f166218948c', '07213470c8324a9e890807e4416a8269', 'False', 'True', 'false', 'false', '511112108662', 5, '天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112108662', 1, '2021-07-19 11:46:26', NULL, NULL), (14932, '', '徐坝村', '6dcf65fa304849008a2f78ead577bde7', '07213470c8324a9e890807e4416a8269', 'False', 'True', 'false', 'false', '511112108785', 5, '徐坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112108785', 1, '2021-07-19 11:46:26', NULL, NULL), (14933, '', '双龙庵村', '830632aa881344e2b8fc04388895f2a4', '07213470c8324a9e890807e4416a8269', 'False', 'True', 'false', 'false', '511112108792', 5, '双龙庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112108792', 1, '2021-07-19 11:46:26', NULL, NULL), (14934, '', '仙女井村', '874617f082314fb5b9ff72cf43f32e3b', '07213470c8324a9e890807e4416a8269', 'False', 'True', 'false', 'false', '511112108842', 5, '仙女井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112108842', 1, '2021-07-19 11:46:26', NULL, NULL), (14935, '', '许村', '2bcd3cec822d4a3fb558184dcdd36583', '07213470c8324a9e890807e4416a8269', 'False', 'True', 'false', 'false', '511112108915', 5, '许村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112108915', 1, '2021-07-19 11:46:26', NULL, NULL), (14936, '', '玉津街社区', 'b8f03de83f234833a56bed95cfabbbdf', '07213470c8324a9e890807e4416a8269', 'False', 'True', 'false', 'false', '511112108938', 5, '玉津街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112108938', 1, '2021-07-19 11:46:26', NULL, NULL), (14937, '', '黄益塘村', '875cbda5da1a45e9b87e16f138f8d298', '07213470c8324a9e890807e4416a8269', 'False', 'True', 'false', 'false', '511112108948', 5, '黄益塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112108948', 1, '2021-07-19 11:46:26', NULL, NULL), (14938, '', '诸益村', 'c9c2ed05289a4054b579d0f7fcd43edd', '07213470c8324a9e890807e4416a8269', 'False', 'True', 'false', 'false', '511112108979', 5, '诸益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112108979', 1, '2021-07-19 11:46:26', NULL, NULL), (14939, '', '蔡金镇', 'a74114aae64d4302af69a1b019505a8d', 'c8380af688c748fc8b163782be736134', 'True', 'True', 'false', 'false', '511112109000', 4, '蔡金镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511112109000', 1, '2021-07-19 11:46:26', NULL, NULL), (14940, '', '天林村', '25ed4ea5f63640ecae97376abf081252', 'a74114aae64d4302af69a1b019505a8d', 'False', 'True', 'false', 'false', '511112109019', 5, '天林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112109019', 1, '2021-07-19 11:46:26', NULL, NULL), (14941, '', '瓢咡井村', '3f83732ac32c4cb8a9ea15e41519dd97', 'a74114aae64d4302af69a1b019505a8d', 'False', 'True', 'false', 'false', '511112109143', 5, '瓢咡井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112109143', 1, '2021-07-19 11:46:26', NULL, NULL), (14942, '', '朱庙村', '5688b45594444868b34bb825ebfe0de9', 'a74114aae64d4302af69a1b019505a8d', 'False', 'True', 'false', 'false', '511112109360', 5, '朱庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112109360', 1, '2021-07-19 11:46:26', NULL, NULL), (14943, '', '永镇村', '2adaeb01e80844228db0a091ab203571', 'a74114aae64d4302af69a1b019505a8d', 'False', 'True', 'false', 'false', '511112109414', 5, '永镇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112109414', 1, '2021-07-19 11:46:26', NULL, NULL), (14944, '', '官斗村', 'b7ff423fc5964ddd86366473a6f06568', 'a74114aae64d4302af69a1b019505a8d', 'False', 'True', 'false', 'false', '511112109441', 5, '官斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112109441', 1, '2021-07-19 11:46:27', NULL, NULL), (14945, '', '七仙村', 'b289612ffef141989557dc333c76c0e4', 'a74114aae64d4302af69a1b019505a8d', 'False', 'True', 'false', 'false', '511112109467', 5, '七仙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112109467', 1, '2021-07-19 11:46:27', NULL, NULL), (14946, '', '石河村', 'a322c4499ec742ce93856aa893910744', 'a74114aae64d4302af69a1b019505a8d', 'False', 'True', 'false', 'false', '511112109480', 5, '石河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112109480', 1, '2021-07-19 11:46:27', NULL, NULL), (14947, '', '蔡金场社区', 'c34e2dab304c47c499b49975fa57d3b0', 'a74114aae64d4302af69a1b019505a8d', 'False', 'True', 'false', 'false', '511112109836', 5, '蔡金场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112109836', 1, '2021-07-19 11:46:27', NULL, NULL), (14948, '', '中心村', 'c8b202b640204d84b7659a261861e53d', 'a74114aae64d4302af69a1b019505a8d', 'False', 'True', 'false', 'false', '511112109949', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112109949', 1, '2021-07-19 11:46:27', NULL, NULL), (14949, '', '石麟镇', 'bbe478508ea24a099f2b4e2685d3196f', 'c8380af688c748fc8b163782be736134', 'True', 'True', 'false', 'false', '511112110000', 4, '石麟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511112110000', 1, '2021-07-19 11:46:27', NULL, NULL), (14950, '', '碗厂村', '7d91065937e446dfa417862398a85161', 'bbe478508ea24a099f2b4e2685d3196f', 'False', 'True', 'false', 'false', '511112110059', 5, '碗厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112110059', 1, '2021-07-19 11:46:27', NULL, NULL), (14951, '', '大桥村', 'a5719c2e39fa45988902d706bb4b69c4', 'bbe478508ea24a099f2b4e2685d3196f', 'False', 'True', 'false', 'false', '511112110083', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112110083', 1, '2021-07-19 11:46:27', NULL, NULL), (14952, '', '张坳口村', 'ede67d4ed6db4c90ab8e2781f57b8843', 'bbe478508ea24a099f2b4e2685d3196f', 'False', 'True', 'false', 'false', '511112110129', 5, '张坳口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112110129', 1, '2021-07-19 11:46:27', NULL, NULL), (14953, '', '莲池村', '58590810fa0b4b808be0f47128b12f18', 'bbe478508ea24a099f2b4e2685d3196f', 'False', 'True', 'false', 'false', '511112110156', 5, '莲池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112110156', 1, '2021-07-19 11:46:27', NULL, NULL), (14954, '', '麒麟街社区', '4045700cf4414052827c1118ee955ac1', 'bbe478508ea24a099f2b4e2685d3196f', 'False', 'True', 'false', 'false', '511112110373', 5, '麒麟街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112110373', 1, '2021-07-19 11:46:27', NULL, NULL), (14955, '', '沙坝河村', 'f39bd7b0aa82425385f205280ee2d2c8', 'bbe478508ea24a099f2b4e2685d3196f', 'False', 'True', 'false', 'false', '511112110423', 5, '沙坝河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112110423', 1, '2021-07-19 11:46:27', NULL, NULL), (14956, '', '飞来村', 'f33fd5197b5447939d5548d8ae82733d', 'bbe478508ea24a099f2b4e2685d3196f', 'False', 'True', 'false', 'false', '511112110526', 5, '飞来村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112110526', 1, '2021-07-19 11:46:27', NULL, NULL), (14957, '', '白房子村', '53b9dd9e97144c5ebf05b1021c53a427', 'bbe478508ea24a099f2b4e2685d3196f', 'False', 'True', 'false', 'false', '511112110709', 5, '白房子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112110709', 1, '2021-07-19 11:46:27', NULL, NULL), (14958, '', '兴无村', '5961080263a74a9b9b76b01613f16fe3', 'bbe478508ea24a099f2b4e2685d3196f', 'False', 'True', 'false', 'false', '511112110819', 5, '兴无村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112110819', 1, '2021-07-19 11:46:27', NULL, NULL), (14959, '', '马儿石村', '30bc37af1bd7448c929463fbdbe8c24c', 'bbe478508ea24a099f2b4e2685d3196f', 'False', 'True', 'false', 'false', '511112110855', 5, '马儿石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112110855', 1, '2021-07-19 11:46:27', NULL, NULL), (14960, '', '共同村', 'f0e95408b3f449fcb96457150f63d3d5', 'bbe478508ea24a099f2b4e2685d3196f', 'False', 'True', 'false', 'false', '511112110905', 5, '共同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112110905', 1, '2021-07-19 11:46:27', NULL, NULL), (14961, '', '许店儿村', '60645c4d4adb420991d3f8a0f4d4a614', 'bbe478508ea24a099f2b4e2685d3196f', 'False', 'True', 'false', 'false', '511112110967', 5, '许店儿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112110967', 1, '2021-07-19 11:46:27', NULL, NULL), (14962, '', '方嘴村', '83d019ba153847c292a3bca8f42f1436', 'bbe478508ea24a099f2b4e2685d3196f', 'False', 'True', 'false', 'false', '511112110998', 5, '方嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511112110998', 1, '2021-07-19 11:46:28', NULL, NULL), (14963, '', '沙湾区', '80b841b4a51a488c933f1842ce7ae96b', '9662d820bd8049d2bce41b2c66a0bd60', 'True', 'True', 'false', 'false', '511111000000', 3, '沙湾区', 'lssswq.sczwfw.gov.cn', 1, '2021-07-19 11:46:28', NULL, NULL), (14964, '', '铜河街道', '03d56143ed63475da86c2b6174c811ae', '80b841b4a51a488c933f1842ce7ae96b', 'True', 'True', 'false', 'false', '511111128000', 4, '铜河办', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511111128000', 1, '2021-07-19 11:46:28', NULL, NULL), (14965, '', '新都村', 'd8a19d4cec7d42cdb0ac22c0bda53432', '03d56143ed63475da86c2b6174c811ae', 'False', 'True', 'false', 'false', '511111001031', 5, '新都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111001031', 1, '2021-07-19 11:46:28', NULL, NULL), (14966, '', '绥山社区', 'e5c3a0f6b2684166973269d5656cc83a', '03d56143ed63475da86c2b6174c811ae', 'False', 'True', 'false', 'false', '511111001269', 5, '绥山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111001269', 1, '2021-07-19 11:46:28', NULL, NULL), (14967, '', '南陵社区', '8081d3d3ec364a11a2258d12a07b6e00', '03d56143ed63475da86c2b6174c811ae', 'False', 'True', 'false', 'false', '511111001960', 5, '南陵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111001960', 1, '2021-07-19 11:46:28', NULL, NULL), (14968, '', '农场社区', '42c8f9a7184543c5bf99e4d6dcc615ad', '03d56143ed63475da86c2b6174c811ae', 'False', 'True', 'false', 'false', '511111001962', 5, '农场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111001962', 1, '2021-07-19 11:46:28', NULL, NULL), (14969, '', '观峨社区', '98dd6e1b5fc14413be4cf6fa75486115', '03d56143ed63475da86c2b6174c811ae', 'False', 'True', 'false', 'false', '511111001103', 5, '观峨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111001103', 1, '2021-07-19 11:46:28', NULL, NULL), (14970, '', '嘉农镇', 'c5811266246d4eafa6576c153d13338b', '80b841b4a51a488c933f1842ce7ae96b', 'True', 'True', 'false', 'false', '511111101000', 4, '嘉农镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511111101000', 1, '2021-07-19 11:46:28', NULL, NULL), (14971, '', '苏店村', '4f8065a109f74138852c23c607b06f86', 'c5811266246d4eafa6576c153d13338b', 'False', 'True', 'false', 'false', '511111101205', 5, '苏店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111101205', 1, '2021-07-19 11:46:28', NULL, NULL), (14972, '', '玉龙村', '4a154f74402f47899bab9bd45c669620', 'c5811266246d4eafa6576c153d13338b', 'False', 'True', 'false', 'false', '511111101208', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111101208', 1, '2021-07-19 11:46:28', NULL, NULL), (14973, '', '盐溪口村', '27a3916b0575497f983bde46bfca0eba', 'c5811266246d4eafa6576c153d13338b', 'False', 'True', 'false', 'false', '511111101213', 5, '盐溪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111101213', 1, '2021-07-19 11:46:28', NULL, NULL), (14974, '', '嘉农社区', '8bde569d67f7406bb5fd394ba653506e', 'c5811266246d4eafa6576c153d13338b', 'False', 'True', 'false', 'false', '511111101001', 5, '嘉农社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111101001', 1, '2021-07-19 11:46:28', NULL, NULL), (14975, '', '沫东坝村', '9f13279a98d740c4b469536b2ea27c36', 'c5811266246d4eafa6576c153d13338b', 'False', 'True', 'false', 'false', '511111101201', 5, '沫东坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111101201', 1, '2021-07-19 11:46:29', NULL, NULL), (14976, '', '龙泉村', 'bc6059f2d8694dc983a83bb0be64b136', 'c5811266246d4eafa6576c153d13338b', 'False', 'True', 'false', 'false', '511111101203', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111101203', 1, '2021-07-19 11:46:29', NULL, NULL), (14977, '', '魏坝村', 'da84364144a84dcb8984e79b867df82b', 'c5811266246d4eafa6576c153d13338b', 'False', 'True', 'false', 'false', '511111101206', 5, '魏坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111101206', 1, '2021-07-19 11:46:29', NULL, NULL), (14978, '', '王场村', '331e72fe4eb2435a93c5c6a8604bb71e', 'c5811266246d4eafa6576c153d13338b', 'False', 'True', 'false', 'false', '511111101207', 5, '王场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111101207', 1, '2021-07-19 11:46:29', NULL, NULL), (14979, '', '太平镇', '5a6d4a9533cb45e3813001664883c1f5', '80b841b4a51a488c933f1842ce7ae96b', 'True', 'True', 'false', 'false', '511111102000', 4, '太平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511111102000', 1, '2021-07-19 11:46:29', NULL, NULL), (14980, '', '沫江社区', '8171ff5570744b379026142372f89b63', '5a6d4a9533cb45e3813001664883c1f5', 'False', 'True', 'false', 'false', '511111102203', 5, '沫江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111102203', 1, '2021-07-19 11:46:29', NULL, NULL), (14981, '', '永丰村', '01c1612f6a684a80b9af9a2f91a197e8', '5a6d4a9533cb45e3813001664883c1f5', 'False', 'True', 'false', 'false', '511111102208', 5, '永丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111102208', 1, '2021-07-19 11:46:29', NULL, NULL), (14982, '', '谭坝社区', '6c947662d11c4b808bfc35b2a3bae9b9', '5a6d4a9533cb45e3813001664883c1f5', 'False', 'True', 'false', 'false', '511111102210', 5, '谭坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111102210', 1, '2021-07-19 11:46:29', NULL, NULL), (14983, '', '谭坝村', '58f05015872742bc8de3aed045f3e95b', '5a6d4a9533cb45e3813001664883c1f5', 'False', 'True', 'false', 'false', '511111102212', 5, '谭坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111102212', 1, '2021-07-19 11:46:29', NULL, NULL), (14984, '', '挹峨村', '19166685403340849ceefccfca723b9b', '5a6d4a9533cb45e3813001664883c1f5', 'False', 'True', 'false', 'false', '511111102214', 5, '挹峨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111102214', 1, '2021-07-19 11:46:29', NULL, NULL), (14985, '', '绿化村', 'b274dfdf51374f6392777fd240dbd420', '5a6d4a9533cb45e3813001664883c1f5', 'False', 'True', 'false', 'false', '511111102216', 5, '绿化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111102216', 1, '2021-07-19 11:46:29', NULL, NULL), (14986, '', '太平社区', '26b5b124139348649c5c41ae2f5863f9', '5a6d4a9533cb45e3813001664883c1f5', 'False', 'True', 'false', 'false', '511111102001', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111102001', 1, '2021-07-19 11:46:29', NULL, NULL), (14987, '', '罗一村', '22019938fafc460983a3dc5533b9bc99', '5a6d4a9533cb45e3813001664883c1f5', 'False', 'True', 'false', 'false', '511111102201', 5, '罗一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111102201', 1, '2021-07-19 11:46:30', NULL, NULL), (14988, '', '付塘村', 'b819cd93959b4f27850fcb128ad37ba5', '5a6d4a9533cb45e3813001664883c1f5', 'False', 'True', 'false', 'false', '511111102202', 5, '付塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111102202', 1, '2021-07-19 11:46:30', NULL, NULL), (14989, '', '五高山村', 'f2fdb42bfb054929be8b5ce3bde4adac', '5a6d4a9533cb45e3813001664883c1f5', 'False', 'True', 'false', 'false', '511111102205', 5, '五高山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111102205', 1, '2021-07-19 11:46:30', NULL, NULL), (14990, '', '沫江村', 'cb0861e308b24acf8952b74211b2fa8e', '5a6d4a9533cb45e3813001664883c1f5', 'False', 'True', 'false', 'false', '511111102206', 5, '沫江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111102206', 1, '2021-07-19 11:46:30', NULL, NULL), (14991, '', '草坝村', 'e3d005abe1f7442f9c64ce402abae9e0', '5a6d4a9533cb45e3813001664883c1f5', 'False', 'True', 'false', 'false', '511111102207', 5, '草坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111102207', 1, '2021-07-19 11:46:30', NULL, NULL), (14992, '', '费槽村', '3d4fd29d482b4f21befb9208cc439b3f', '5a6d4a9533cb45e3813001664883c1f5', 'False', 'True', 'false', 'false', '511111102209', 5, '费槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111102209', 1, '2021-07-19 11:46:30', NULL, NULL), (14993, '', '双星村', 'ca03f42708a1493cbd933760461f14bf', '5a6d4a9533cb45e3813001664883c1f5', 'False', 'True', 'false', 'false', '511111102211', 5, '双星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111102211', 1, '2021-07-19 11:46:30', NULL, NULL), (14994, '', '马胡埂村', '7761a9b90f7f4a80a86523d7805b6a04', '5a6d4a9533cb45e3813001664883c1f5', 'False', 'True', 'false', 'false', '511111102213', 5, '马胡埂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111102213', 1, '2021-07-19 11:46:30', NULL, NULL), (14995, '', '肖店村', '976173dbe6d44353ae3f2693aaf243f7', '5a6d4a9533cb45e3813001664883c1f5', 'False', 'True', 'false', 'false', '511111102215', 5, '肖店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111102215', 1, '2021-07-19 11:46:30', NULL, NULL), (14996, '', '福禄镇', '54822f82d2804e60825f4dec424d99f2', '80b841b4a51a488c933f1842ce7ae96b', 'True', 'True', 'false', 'false', '511111103000', 4, '福禄镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511111103000', 1, '2021-07-19 11:46:30', NULL, NULL), (14997, '', '龙柱村', '08d23955c9784269a3b3aa73a57e5db3', '54822f82d2804e60825f4dec424d99f2', 'False', 'True', 'false', 'false', '511111103744', 5, '龙柱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111103744', 1, '2021-07-19 11:46:30', NULL, NULL), (14998, '', '福禄社区', '50fa48ffbeb94551a073cff62af6fdf5', '54822f82d2804e60825f4dec424d99f2', 'False', 'True', 'false', 'false', '511111103001', 5, '福禄社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111103001', 1, '2021-07-19 11:46:30', NULL, NULL), (14999, '', '铜街子村', '382e93ac7abb4d3298d9c919cdd61096', '54822f82d2804e60825f4dec424d99f2', 'False', 'True', 'false', 'false', '511111103201', 5, '铜街子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111103201', 1, '2021-07-19 11:46:30', NULL, NULL), (15000, '', '平原村', '79d3c5e16a874401823da2ada584e211', '54822f82d2804e60825f4dec424d99f2', 'False', 'True', 'false', 'false', '511111103202', 5, '平原村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111103202', 1, '2021-07-19 11:46:30', NULL, NULL), (15001, '', '沙湾儿村', 'a0766eed99a04fc1b2faaac9950ab5eb', '54822f82d2804e60825f4dec424d99f2', 'False', 'True', 'false', 'false', '511111103203', 5, '沙湾儿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111103203', 1, '2021-07-19 11:46:30', NULL, NULL), (15002, '', '铜茨社区', 'e9e76bed184b4c45ba40e7ecd8df9e26', '54822f82d2804e60825f4dec424d99f2', 'False', 'True', 'false', 'false', '511111103204', 5, '铜茨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111103204', 1, '2021-07-19 11:46:30', NULL, NULL), (15003, '', '干坝子村', '0693b52d33884ab88e653d55ef962ee7', '54822f82d2804e60825f4dec424d99f2', 'False', 'True', 'false', 'false', '511111103206', 5, '干坝子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111103206', 1, '2021-07-19 11:46:31', NULL, NULL), (15004, '', '红阳村', '81748809733945fdbf6febfc4ea73ea1', '54822f82d2804e60825f4dec424d99f2', 'False', 'True', 'false', 'false', '511111103207', 5, '红阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111103207', 1, '2021-07-19 11:46:31', NULL, NULL), (15005, '', '万福桥村', 'a5925ddf75fd441cb787c38923739302', '54822f82d2804e60825f4dec424d99f2', 'False', 'True', 'false', 'false', '511111103208', 5, '万福桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111103208', 1, '2021-07-19 11:46:31', NULL, NULL), (15006, '', '燕子坎村', '1cbb15ae7a104c33850a940fce711cc1', '54822f82d2804e60825f4dec424d99f2', 'False', 'True', 'false', 'false', '511111103209', 5, '燕子坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111103209', 1, '2021-07-19 11:46:31', NULL, NULL), (15007, '', '岚坝村', 'c830007bb2444c98914568b6f5f17aec', '54822f82d2804e60825f4dec424d99f2', 'False', 'True', 'false', 'false', '511111103211', 5, '岚坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111103211', 1, '2021-07-19 11:46:31', NULL, NULL), (15008, '', '公店村', 'f8a69cfad38e496da458a8aacef1cfa9', '54822f82d2804e60825f4dec424d99f2', 'False', 'True', 'false', 'false', '511111103212', 5, '公店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111103212', 1, '2021-07-19 11:46:31', NULL, NULL), (15009, '', '大坪村', 'dda99a50d6ba4175b80e1bbad7f12a8f', '54822f82d2804e60825f4dec424d99f2', 'False', 'True', 'false', 'false', '511111103213', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111103213', 1, '2021-07-19 11:46:31', NULL, NULL), (15010, '', '雷店村', '147571eb2e124894a50451e006eb14c5', '54822f82d2804e60825f4dec424d99f2', 'False', 'True', 'false', 'false', '511111103216', 5, '雷店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111103216', 1, '2021-07-19 11:46:31', NULL, NULL), (15011, '', '青冈平村', '04c1eb88f2ef44b598fe1de4bd33e438', '54822f82d2804e60825f4dec424d99f2', 'False', 'True', 'false', 'false', '511111103217', 5, '青冈平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111103217', 1, '2021-07-19 11:46:31', NULL, NULL), (15012, '', '观房寺村', '89a388c3f1a7429fb57f1656da454546', '54822f82d2804e60825f4dec424d99f2', 'False', 'True', 'false', 'false', '511111103220', 5, '观房寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111103220', 1, '2021-07-19 11:46:31', NULL, NULL), (15013, '', '牛石镇', '4a72ff21cf974cf19a8c51ae897415b9', '80b841b4a51a488c933f1842ce7ae96b', 'True', 'True', 'false', 'false', '511111104000', 4, '牛石镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511111104000', 1, '2021-07-19 11:46:31', NULL, NULL), (15014, '', '安池村', 'ff4b9e88a57a43278bc87ae775b4a9e3', '4a72ff21cf974cf19a8c51ae897415b9', 'False', 'True', 'false', 'false', '511111104203', 5, '安池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111104203', 1, '2021-07-19 11:46:31', NULL, NULL), (15015, '', '九农口村', 'e39a54bc6e054853af4cc941ac356ab7', '4a72ff21cf974cf19a8c51ae897415b9', 'False', 'True', 'false', 'false', '511111104206', 5, '九农口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111104206', 1, '2021-07-19 11:46:31', NULL, NULL), (15016, '', '牛石社区', 'fa818a19565347a3b449aecc8d842ad0', '4a72ff21cf974cf19a8c51ae897415b9', 'False', 'True', 'false', 'false', '511111104001', 5, '牛石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111104001', 1, '2021-07-19 11:46:31', NULL, NULL), (15017, '', '豆地坪村', '683f46a1d840400ea27e1b797e366d32', '4a72ff21cf974cf19a8c51ae897415b9', 'False', 'True', 'false', 'false', '511111104201', 5, '豆地坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111104201', 1, '2021-07-19 11:46:32', NULL, NULL), (15018, '', '朝山村', '66e920b057744fa7b2a52739aa25820d', '4a72ff21cf974cf19a8c51ae897415b9', 'False', 'True', 'false', 'false', '511111104202', 5, '朝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111104202', 1, '2021-07-19 11:46:32', NULL, NULL), (15019, '', '喻坝村', '7e2eb18069224b5f9d124ac702680612', '4a72ff21cf974cf19a8c51ae897415b9', 'False', 'True', 'false', 'false', '511111104204', 5, '喻坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111104204', 1, '2021-07-19 11:46:32', NULL, NULL), (15020, '', '利农村', '91c72b9caeec4499af10f80906e54237', '4a72ff21cf974cf19a8c51ae897415b9', 'False', 'True', 'false', 'false', '511111104205', 5, '利农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111104205', 1, '2021-07-19 11:46:32', NULL, NULL), (15021, '', '葫芦镇', '1b058853da9f40778aaae3f7f43e1645', '80b841b4a51a488c933f1842ce7ae96b', 'True', 'True', 'false', 'false', '511111106000', 4, '葫芦镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511111106000', 1, '2021-07-19 11:46:32', NULL, NULL), (15022, '', '葫芦社区', 'd215e19af4b94ec5bc55d64d7381a5e3', '1b058853da9f40778aaae3f7f43e1645', 'False', 'True', 'false', 'false', '511111106001', 5, '葫芦社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111106001', 1, '2021-07-19 11:46:32', NULL, NULL), (15023, '', '葫芦坝村', 'fd8bd0c36bbc44f2a924e9e483efb5de', '1b058853da9f40778aaae3f7f43e1645', 'False', 'True', 'false', 'false', '511111106201', 5, '葫芦坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111106201', 1, '2021-07-19 11:46:32', NULL, NULL), (15024, '', '江村', '6de35ebad42a4af2977fedfd46f91631', '1b058853da9f40778aaae3f7f43e1645', 'False', 'True', 'false', 'false', '511111106205', 5, '江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111106205', 1, '2021-07-19 11:46:32', NULL, NULL), (15025, '', '四峨山村', '0f60168e87e746d08c0e18bd3a1c24fa', '1b058853da9f40778aaae3f7f43e1645', 'False', 'True', 'false', 'false', '511111106207', 5, '四峨山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111106207', 1, '2021-07-19 11:46:32', NULL, NULL), (15026, '', '梁村', '5b10bb02f7094d4da9555c7393e6716a', '1b058853da9f40778aaae3f7f43e1645', 'False', 'True', 'false', 'false', '511111106212', 5, '梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111106212', 1, '2021-07-19 11:46:32', NULL, NULL), (15027, '', '祝村', 'd3f6d396b8674c1ebbc1be9d3e3c938e', '1b058853da9f40778aaae3f7f43e1645', 'False', 'True', 'false', 'false', '511111106214', 5, '祝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111106214', 1, '2021-07-19 11:46:32', NULL, NULL), (15028, '', '轸溪镇', '8b9e2a5a6187493789cb5dc9993e9fbb', '80b841b4a51a488c933f1842ce7ae96b', 'True', 'True', 'false', 'false', '511111201000', 4, '轸溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511111201000', 1, '2021-07-19 11:46:32', NULL, NULL), (15029, '', '龚嘴社区', '1f1181fdaa07439593174e2037bcd8fe', '8b9e2a5a6187493789cb5dc9993e9fbb', 'False', 'True', 'false', 'false', '511111108333', 5, '龚嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111108333', 1, '2021-07-19 11:46:32', NULL, NULL), (15030, '', '刘沟村', '647f57167d1c49d883035802e5faec4f', '8b9e2a5a6187493789cb5dc9993e9fbb', 'False', 'True', 'false', 'false', '511111108477', 5, '刘沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111108477', 1, '2021-07-19 11:46:32', NULL, NULL), (15031, '', '永和村', '61bed40bbb1548f1a0e602f518cd8460', '8b9e2a5a6187493789cb5dc9993e9fbb', 'False', 'True', 'false', 'false', '511111108498', 5, '永和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111108498', 1, '2021-07-19 11:46:32', NULL, NULL), (15032, '', '轸溪社区', '62df25ffc05944059b17116c6c827a27', '8b9e2a5a6187493789cb5dc9993e9fbb', 'False', 'True', 'false', 'false', '511111201001', 5, '轸溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111201001', 1, '2021-07-19 11:46:32', NULL, NULL), (15033, '', '万坪村', '782478a058574ff9b77a576964a9fa21', '8b9e2a5a6187493789cb5dc9993e9fbb', 'False', 'True', 'false', 'false', '511111201201', 5, '万坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111201201', 1, '2021-07-19 11:46:32', NULL, NULL), (15034, '', '双山村', '04bd40b4f0804e8ba262cb070366576e', '8b9e2a5a6187493789cb5dc9993e9fbb', 'False', 'True', 'false', 'false', '511111201202', 5, '双山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111201202', 1, '2021-07-19 11:46:33', NULL, NULL), (15035, '', '轸溪村', 'ed50c7c8c53e455ab1564b1e0cd57e78', '8b9e2a5a6187493789cb5dc9993e9fbb', 'False', 'True', 'false', 'false', '511111201204', 5, '轸溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111201204', 1, '2021-07-19 11:46:33', NULL, NULL), (15036, '', '寨子村', '9a7f8baaa4a84031b47f806f45cd0cdd', '8b9e2a5a6187493789cb5dc9993e9fbb', 'False', 'True', 'false', 'false', '511111201205', 5, '寨子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111201205', 1, '2021-07-19 11:46:33', NULL, NULL), (15037, '', '金牛村', 'f136cd95ef1746e08b2296a77718e7a1', '8b9e2a5a6187493789cb5dc9993e9fbb', 'False', 'True', 'false', 'false', '511111201207', 5, '金牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111201207', 1, '2021-07-19 11:46:33', NULL, NULL), (15038, '', '踏水镇', 'd6348bee7d27472ab551a76175b3f24c', '80b841b4a51a488c933f1842ce7ae96b', 'True', 'True', 'false', 'false', '511111900000', 4, '踏水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511111900000', 1, '2021-07-19 11:46:33', NULL, NULL), (15039, '', '柏林村', '31c2d596378c4ac691f8fc35f09058ec', 'd6348bee7d27472ab551a76175b3f24c', 'False', 'True', 'false', 'false', '511111107362', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111107362', 1, '2021-07-19 11:46:33', NULL, NULL), (15040, '', '凉水村', 'd0a37e0cbe82489baaa6c09a5f60a188', 'd6348bee7d27472ab551a76175b3f24c', 'False', 'True', 'false', 'false', '511111107552', 5, '凉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111107552', 1, '2021-07-19 11:46:33', NULL, NULL), (15041, '', '碧山社区', '8146a7e9e3374e648d451db2d6d9443b', 'd6348bee7d27472ab551a76175b3f24c', 'False', 'True', 'false', 'false', '511111107611', 5, '碧山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111107611', 1, '2021-07-19 11:46:33', NULL, NULL), (15042, '', '江红村', '15040de17e37449a84e281cf83e58c0f', 'd6348bee7d27472ab551a76175b3f24c', 'False', 'True', 'false', 'false', '511111107724', 5, '江红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111107724', 1, '2021-07-19 11:46:33', NULL, NULL), (15043, '', '连沟村', '73c60ff9f32247c18862b0b3aab11df1', 'd6348bee7d27472ab551a76175b3f24c', 'False', 'True', 'false', 'false', '511111107766', 5, '连沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111107766', 1, '2021-07-19 11:46:33', NULL, NULL), (15044, '', '中桥村', 'e5f9dc03b6be4fa2a1ee775e6c142a91', 'd6348bee7d27472ab551a76175b3f24c', 'False', 'True', 'false', 'false', '511111107891', 5, '中桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111107891', 1, '2021-07-19 11:46:33', NULL, NULL), (15045, '', '铁寨村', 'b49add26b62c470983dbb8d2bec7736c', 'd6348bee7d27472ab551a76175b3f24c', 'False', 'True', 'false', 'false', '511111107896', 5, '铁寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111107896', 1, '2021-07-19 11:46:33', NULL, NULL), (15046, '', '蜜蜂村', 'c8c9a76485c24bc09639d83cec20b9a9', 'd6348bee7d27472ab551a76175b3f24c', 'False', 'True', 'false', 'false', '511111107942', 5, '蜜蜂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111107942', 1, '2021-07-19 11:46:33', NULL, NULL), (15047, '', '踏水社区', '0ade564621094055a1a7ed1a699dcd7e', 'd6348bee7d27472ab551a76175b3f24c', 'False', 'True', 'false', 'false', '511111107001', 5, '踏水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111107001', 1, '2021-07-19 11:46:33', NULL, NULL), (15048, '', '踏水村', 'f6016a1877b04032bd5a098806329380', 'd6348bee7d27472ab551a76175b3f24c', 'False', 'True', 'false', 'false', '511111107026', 5, '踏水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111107026', 1, '2021-07-19 11:46:34', NULL, NULL), (15049, '', '公坪村', '5dcf6a56e0db4cb097b7686cf3d00e5a', 'd6348bee7d27472ab551a76175b3f24c', 'False', 'True', 'false', 'false', '511111107204', 5, '公坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111107204', 1, '2021-07-19 11:46:34', NULL, NULL), (15050, '', '长坪村', 'a9fc2229aea3406bae49f9ce0112db17', 'd6348bee7d27472ab551a76175b3f24c', 'False', 'True', 'false', 'false', '511111107205', 5, '长坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111107205', 1, '2021-07-19 11:46:34', NULL, NULL), (15051, '', '魏槽村', '647b2fb450bb48cfa6c58961529ed445', 'd6348bee7d27472ab551a76175b3f24c', 'False', 'True', 'false', 'false', '511111107207', 5, '魏槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111107207', 1, '2021-07-19 11:46:34', NULL, NULL), (15052, '', '黄坝村', 'e803a73ec315484993542e4f93aef9cf', 'd6348bee7d27472ab551a76175b3f24c', 'False', 'True', 'false', 'false', '511111107208', 5, '黄坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111107208', 1, '2021-07-19 11:46:34', NULL, NULL), (15053, '', '沙湾镇', '84dc6d8b3bd64095828e5df9801ce3dd', '80b841b4a51a488c933f1842ce7ae96b', 'True', 'True', 'false', 'false', '511111975000', 4, '沙湾镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511111975000', 1, '2021-07-19 11:46:34', NULL, NULL), (15054, '', '五七村', '1fae9a2f69e743a1b8ba864d034037f6', '84dc6d8b3bd64095828e5df9801ce3dd', 'False', 'True', 'false', 'false', '511111000202', 5, '五七村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111000202', 1, '2021-07-19 11:46:34', NULL, NULL), (15055, '', '代湾村', '657be9fd2d6d425996968bbdd68c8fca', '84dc6d8b3bd64095828e5df9801ce3dd', 'False', 'True', 'false', 'false', '511111000205', 5, '代湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111000205', 1, '2021-07-19 11:46:34', NULL, NULL), (15056, '', '先锋村', 'dd8801955c0941e681b458f4b298c3b5', '84dc6d8b3bd64095828e5df9801ce3dd', 'False', 'True', 'false', 'false', '511111000208', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111000208', 1, '2021-07-19 11:46:34', NULL, NULL), (15057, '', '二峨山村', '4f1a57568f77471da6776acce2076b04', '84dc6d8b3bd64095828e5df9801ce3dd', 'False', 'True', 'false', 'false', '511111100941', 5, '二峨山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111100941', 1, '2021-07-19 11:46:34', NULL, NULL), (15058, '', '余溪社区', 'cef66961f8c44315b0ebaa10af668df6', '84dc6d8b3bd64095828e5df9801ce3dd', 'False', 'True', 'false', 'false', '511111000005', 5, '余溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111000005', 1, '2021-07-19 11:46:34', NULL, NULL), (15059, '', '忠心村', 'c6a84f85e91e4982a2cf00292dce2ebc', '84dc6d8b3bd64095828e5df9801ce3dd', 'False', 'True', 'false', 'false', '511111000203', 5, '忠心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111000203', 1, '2021-07-19 11:46:34', NULL, NULL), (15060, '', '三峨山村', '36db20a636e7469da6eb0210d47c89f1', '84dc6d8b3bd64095828e5df9801ce3dd', 'False', 'True', 'false', 'false', '511111000204', 5, '三峨山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111000204', 1, '2021-07-19 11:46:34', NULL, NULL), (15061, '', '王田村', '5dcf433259af4cef8f5ea453d940e93c', '84dc6d8b3bd64095828e5df9801ce3dd', 'False', 'True', 'false', 'false', '511111000206', 5, '王田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111000206', 1, '2021-07-19 11:46:34', NULL, NULL), (15062, '', '余溪村', '1511b0561bb24f67ba271f77e39bbf0e', '84dc6d8b3bd64095828e5df9801ce3dd', 'False', 'True', 'false', 'false', '511111000207', 5, '余溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111000207', 1, '2021-07-19 11:46:34', NULL, NULL), (15063, '', '世坪村', 'a9ffbec97bc040aea2c1cc22d25e3cfb', '84dc6d8b3bd64095828e5df9801ce3dd', 'False', 'True', 'false', 'false', '511111000209', 5, '世坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111000209', 1, '2021-07-19 11:46:34', NULL, NULL), (15064, '', '范店社区', '31d1a64c3b0f4634b20e35df1406b2e6', '84dc6d8b3bd64095828e5df9801ce3dd', 'False', 'True', 'false', 'false', '511111000004', 5, '范店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511111000004', 1, '2021-07-19 11:46:35', NULL, NULL), (15065, '', '金口河区', 'e7fd23ffc0524d8ba86e590fa7f1cd89', '9662d820bd8049d2bce41b2c66a0bd60', 'True', 'True', 'false', 'false', '511113000000', 3, '金口河区', 'lssjkhq.sczwfw.gov.cn', 1, '2021-07-19 11:46:35', NULL, NULL), (15066, '', '永和镇', 'cd99ae56f6ec4779981307a4b3fb5148', 'e7fd23ffc0524d8ba86e590fa7f1cd89', 'True', 'True', 'false', 'false', '511113100000', 4, '永和镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511113100000', 1, '2021-07-19 11:46:35', NULL, NULL), (15067, '', '永和镇黎明村村民委员会', '75029019fefe407d81de9425de9fe636', 'cd99ae56f6ec4779981307a4b3fb5148', 'False', 'True', 'false', 'false', '511113100214', 5, '黎明村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113100214', 1, '2021-07-19 11:46:35', NULL, NULL), (15068, '', '永和镇新乐村村民委员会', '3f977151cef5409b93454245c40e2bbe', 'cd99ae56f6ec4779981307a4b3fb5148', 'False', 'True', 'false', 'false', '511113100269', 5, '新乐村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113100269', 1, '2021-07-19 11:46:35', NULL, NULL), (15069, '', '永和镇胜利村村民委员会', '34b092dfcd264b6e8da70461a23c05c0', 'cd99ae56f6ec4779981307a4b3fb5148', 'False', 'True', 'false', 'false', '511113100275', 5, '胜利村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113100275', 1, '2021-07-19 11:46:35', NULL, NULL), (15070, '', '永和镇新民村村民委员会', '1db47200621a4267960961a9a34d10b1', 'cd99ae56f6ec4779981307a4b3fb5148', 'False', 'True', 'false', 'false', '511113100590', 5, '新民村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113100590', 1, '2021-07-19 11:46:35', NULL, NULL), (15071, '', '永和镇罗回社区居民委员会', '0ccd61339422496eaea392f0930be7e3', 'cd99ae56f6ec4779981307a4b3fb5148', 'False', 'True', 'false', 'false', '511113100607', 5, '罗回社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113100607', 1, '2021-07-19 11:46:35', NULL, NULL), (15072, '', '永和镇新华村村民委员会', '2c5b5cd00f88410a9281a0b7323db7bc', 'cd99ae56f6ec4779981307a4b3fb5148', 'False', 'True', 'false', 'false', '511113100855', 5, '新华村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113100855', 1, '2021-07-19 11:46:35', NULL, NULL), (15073, '', '永和镇和平社区居民委员会', 'ec9ca4672e2848bab401ac6a39b21bd6', 'cd99ae56f6ec4779981307a4b3fb5148', 'False', 'True', 'false', 'false', '511113100127', 5, '和平社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113100127', 1, '2021-07-19 11:46:35', NULL, NULL), (15074, '', '永和镇滨河路社区居民委员会', 'ef4686c9983f41c88b93b0dc3d730acc', 'cd99ae56f6ec4779981307a4b3fb5148', 'False', 'True', 'false', 'false', '511113100471', 5, '滨河路社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113100471', 1, '2021-07-19 11:46:35', NULL, NULL), (15075, '', '永和镇官村社区居民委员会', '3342492427494e598122982217a5e55b', 'cd99ae56f6ec4779981307a4b3fb5148', 'False', 'True', 'false', 'false', '511113100510', 5, '官村社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113100510', 1, '2021-07-19 11:46:35', NULL, NULL), (15076, '', '金河镇', '160341a348314623bd33d75039aa3834', 'e7fd23ffc0524d8ba86e590fa7f1cd89', 'True', 'True', 'false', 'false', '511113101000', 4, '金河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511113101000', 1, '2021-07-19 11:46:35', NULL, NULL), (15077, '', '金河镇金河社区居民委员会', '929a331415f24036b5782ae73f44cbe4', '160341a348314623bd33d75039aa3834', 'False', 'True', 'false', 'false', '511113101001', 5, '金河社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113101001', 1, '2021-07-19 11:46:35', NULL, NULL), (15078, '', '金河镇铜河村村民委员会', 'a0b76ed307c6478fb9b591bf11b2df34', '160341a348314623bd33d75039aa3834', 'False', 'True', 'false', 'false', '511113101201', 5, '铜河村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113101201', 1, '2021-07-19 11:46:35', NULL, NULL), (15079, '', '金河镇五一村村民委员会', '65cb1ea58782465c938d65211c21b240', '160341a348314623bd33d75039aa3834', 'False', 'True', 'false', 'false', '511113101202', 5, '五一村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113101202', 1, '2021-07-19 11:46:35', NULL, NULL), (15080, '', '金河镇曙光村村民委员会', '9b11d35ffa0a41cebe32d36dce4b544d', '160341a348314623bd33d75039aa3834', 'False', 'True', 'false', 'false', '511113101203', 5, '曙光村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113101203', 1, '2021-07-19 11:46:35', NULL, NULL), (15081, '', '金河镇同心村村民委员会', 'd8f7f8b6a2e843d086fc771c6e08d418', '160341a348314623bd33d75039aa3834', 'False', 'True', 'false', 'false', '511113101206', 5, '同心村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113101206', 1, '2021-07-19 11:46:36', NULL, NULL), (15082, '', '金河镇民心村村民委员会', '126be1d78e234ea3813496cbe479492a', '160341a348314623bd33d75039aa3834', 'False', 'True', 'false', 'false', '511113101207', 5, '民心村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113101207', 1, '2021-07-19 11:46:36', NULL, NULL), (15083, '', '金河镇吉星村村民委员会', '8905126b266549339fe9a2484bc8c296', '160341a348314623bd33d75039aa3834', 'False', 'True', 'false', 'false', '511113101208', 5, '吉星村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113101208', 1, '2021-07-19 11:46:36', NULL, NULL), (15084, '', '金河镇新坪村村民委员会', '1e63e702af3b469b845ac4b6706b9ca8', '160341a348314623bd33d75039aa3834', 'False', 'True', 'false', 'false', '511113101209', 5, '新坪村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113101209', 1, '2021-07-19 11:46:36', NULL, NULL), (15085, '', '和平彝族乡', 'a0f71a1e4ac0474fb10d38ace92fecd3', 'e7fd23ffc0524d8ba86e590fa7f1cd89', 'True', 'True', 'false', 'false', '511113200000', 4, '和平彝族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511113200000', 1, '2021-07-19 11:46:36', NULL, NULL), (15086, '', '和平彝族乡解放村村民委员会', '6c006f075df14c5d94f0ef3f7dd159d7', 'a0f71a1e4ac0474fb10d38ace92fecd3', 'False', 'True', 'false', 'false', '511113200202', 5, '解放村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113200202', 1, '2021-07-19 11:46:36', NULL, NULL), (15087, '', '和平彝族乡迎新村村民委员会', 'bc4e31b090234b369ace06a646ce9a59', 'a0f71a1e4ac0474fb10d38ace92fecd3', 'False', 'True', 'false', 'false', '511113200203', 5, '迎新村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113200203', 1, '2021-07-19 11:46:36', NULL, NULL), (15088, '', '和平彝族乡迎春村村民委员会', '22267571282344c7a8b66673ad694e79', 'a0f71a1e4ac0474fb10d38ace92fecd3', 'False', 'True', 'false', 'false', '511113200204', 5, '迎春村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113200204', 1, '2021-07-19 11:46:36', NULL, NULL), (15089, '', '和平彝族乡桠溪村村民委员会', '7f88c785273e45f18ec9cebc9e12c53e', 'a0f71a1e4ac0474fb10d38ace92fecd3', 'False', 'True', 'false', 'false', '511113200205', 5, '桠溪村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113200205', 1, '2021-07-19 11:46:36', NULL, NULL), (15090, '', '和平彝族乡蒲梯村村民委员会', '2948c36ab932441fa8ac07e92ddc0c99', 'a0f71a1e4ac0474fb10d38ace92fecd3', 'False', 'True', 'false', 'false', '511113200206', 5, '蒲梯村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113200206', 1, '2021-07-19 11:46:36', NULL, NULL), (15091, '', '共安彝族乡', '0834f21b589c41d3a332f4a8bf9a609e', 'e7fd23ffc0524d8ba86e590fa7f1cd89', 'True', 'True', 'false', 'false', '511113201000', 4, '共安彝族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511113201000', 1, '2021-07-19 11:46:36', NULL, NULL), (15092, '', '共安彝族乡新河村村民委员会', '6b7f030e57824c618394c334597530b7', '0834f21b589c41d3a332f4a8bf9a609e', 'False', 'True', 'false', 'false', '511113201201', 5, '新河村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113201201', 1, '2021-07-19 11:46:36', NULL, NULL), (15093, '', '共安彝族乡文店村村民委员会', '57180f9862ae46dd88efdeba55faabf8', '0834f21b589c41d3a332f4a8bf9a609e', 'False', 'True', 'false', 'false', '511113201204', 5, '文店村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113201204', 1, '2021-07-19 11:46:36', NULL, NULL), (15094, '', '共安彝族乡象鼻村村民委员会', 'd803713c64594f09bda83555c62dd082', '0834f21b589c41d3a332f4a8bf9a609e', 'False', 'True', 'false', 'false', '511113201205', 5, '象鼻村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113201205', 1, '2021-07-19 11:46:36', NULL, NULL), (15095, '', '共安彝族乡林丰村村民委员会', '0759e9f8546c43d98019d77ba6a0bcb8', '0834f21b589c41d3a332f4a8bf9a609e', 'False', 'True', 'false', 'false', '511113201207', 5, '林丰村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113201207', 1, '2021-07-19 11:46:37', NULL, NULL), (15096, '', '永胜乡', '28e251ad8abe4828b43934eabc0b598f', 'e7fd23ffc0524d8ba86e590fa7f1cd89', 'True', 'True', 'false', 'false', '511113203000', 4, '永胜乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511113203000', 1, '2021-07-19 11:46:37', NULL, NULL), (15097, '', '永胜乡瓦山村村民委员会', '82d40c23440e4c6b8db5126cc643d8e3', '28e251ad8abe4828b43934eabc0b598f', 'False', 'True', 'false', 'false', '511113203202', 5, '瓦山村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113203202', 1, '2021-07-19 11:46:37', NULL, NULL), (15098, '', '永胜乡民主村村民委员会', '71983d58734d495b9831c7cb0b024b2a', '28e251ad8abe4828b43934eabc0b598f', 'False', 'True', 'false', 'false', '511113203205', 5, '民主村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113203205', 1, '2021-07-19 11:46:37', NULL, NULL), (15099, '', '永胜乡桅杆村村民委员会', '10c5836f170540408045ffd59ac486a2', '28e251ad8abe4828b43934eabc0b598f', 'False', 'True', 'false', 'false', '511113203207', 5, '桅杆村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113203207', 1, '2021-07-19 11:46:37', NULL, NULL), (15100, '', '永胜乡顺河村村民委员会', '4b88891dc7db41fd951ef2e9faf10bcb', '28e251ad8abe4828b43934eabc0b598f', 'False', 'True', 'false', 'false', '511113203208', 5, '顺河村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511113203208', 1, '2021-07-19 11:46:37', NULL, NULL), (15101, '', '峨眉山市', '4390c5bd53494dd6916df94b5121d2c9', '9662d820bd8049d2bce41b2c66a0bd60', 'True', 'True', 'true', 'true', '511181000000', 3, '峨眉山市', 'lssemss.sczwfw.gov.cn', 1, '2021-07-19 11:46:37', NULL, NULL), (15102, '', '绥山镇', '41c6c8526b054648ae3856272a3eb069', '4390c5bd53494dd6916df94b5121d2c9', 'True', 'True', 'true', 'true', '511181100000', 4, '绥山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511181100000', 1, '2021-07-19 11:46:37', NULL, NULL), (15103, '', '新建村委会', '0f3256ff41ff425d863efd718accf114', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100032', 5, '新建村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100032', 1, '2021-07-19 11:46:37', NULL, NULL), (15104, '', '天全村委会', '57085d1a3ca8475ab3ecca1a1d1d4249', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100067', 5, '天全村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100067', 1, '2021-07-19 11:46:37', NULL, NULL), (15105, '', '城西村委会', 'b34ea1bb05af4481b68025bcd0018560', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100092', 5, '城西村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100092', 1, '2021-07-19 11:46:37', NULL, NULL), (15106, '', '红华苑社区居委会', '12acf0e64f0e4961a6a738b549ebca26', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100166', 5, '红华苑社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100166', 1, '2021-07-19 11:46:37', NULL, NULL), (15107, '', '大庙村委会', '7ff675c06c1d4666a104f258c90cb132', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100200', 5, '大庙村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100200', 1, '2021-07-19 11:46:37', NULL, NULL), (15108, '', '滨河路社区居委会', 'b4f1a3236dae4b6188d670496f8c0831', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100241', 5, '滨河路社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100241', 1, '2021-07-19 11:46:37', NULL, NULL), (15109, '', '仙塘村委会', '13da13c13ccd476f8cc3096f10f89a38', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100318', 5, '仙塘村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100318', 1, '2021-07-19 11:46:37', NULL, NULL), (15110, '', '万福村委会', '4cb3cb8d3cd34229909c4920a4cb8ee4', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100344', 5, '万福村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100344', 1, '2021-07-19 11:46:37', NULL, NULL), (15111, '', '太泉村委会', '69bbc22b8e934634825c359ac0595145', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100380', 5, '太泉村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100380', 1, '2021-07-19 11:46:37', NULL, NULL), (15112, '', '盐井村委会', '610fa72555b944a1b832a80ccc297c4e', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100406', 5, '盐井村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100406', 1, '2021-07-19 11:46:38', NULL, NULL), (15113, '', '任严村委会', 'd3ffb7694f784c1da6a39fa92a40ea6e', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100427', 5, '任严村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100427', 1, '2021-07-19 11:46:38', NULL, NULL), (15114, '', '荷叶村委会', 'f65b941a27b44616a32ab3d6b42a7d1b', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100431', 5, '荷叶村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100431', 1, '2021-07-19 11:46:38', NULL, NULL), (15115, '', '安川村委会', 'd927fcd3f1fe441e94b2673d4a189532', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100485', 5, '安川村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100485', 1, '2021-07-19 11:46:38', NULL, NULL), (15116, '', '净安村委会', '0c970ad854ad453c87997ae629f42c9b', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100674', 5, '净安村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100674', 1, '2021-07-19 11:46:38', NULL, NULL), (15117, '', '斗量村委会', 'd120a2131f274aa2a7de262578d2b004', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100685', 5, '斗量村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100685', 1, '2021-07-19 11:46:38', NULL, NULL), (15118, '', '太和社区居委会', '6ff9c17fff2646a9a3d3529cae68355d', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100796', 5, '太和社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100796', 1, '2021-07-19 11:46:38', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (15119, '', '麻柳村委会', 'd3ab095360fc45baa4a0f99aa3331c1a', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100865', 5, '麻柳村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100865', 1, '2021-07-19 11:46:38', NULL, NULL), (15120, '', '顺河村委会', '3879d99e39184a1fa5688bb46d3f4439', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100884', 5, '顺河村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100884', 1, '2021-07-19 11:46:38', NULL, NULL), (15121, '', '太阳村委会', 'e611bf1b7f4149599bcb0b6b40b6737d', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100890', 5, '太阳村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100890', 1, '2021-07-19 11:46:38', NULL, NULL), (15122, '', '赵河村委会', '579b72b03ea641ee8bec77f18dc6a2bf', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100971', 5, '赵河村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100971', 1, '2021-07-19 11:46:38', NULL, NULL), (15123, '', '符汶村委会', 'd1dccaae63ae402a8c9cbf6ec22ed542', '41c6c8526b054648ae3856272a3eb069', 'False', 'True', 'false', 'false', '511181100972', 5, '符汶村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181100972', 1, '2021-07-19 11:46:38', NULL, NULL), (15124, '', '高桥镇', '14b52be0c1944d298e287f3c9fd3c3bd', '4390c5bd53494dd6916df94b5121d2c9', 'True', 'True', 'true', 'true', '511181101000', 4, '高桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511181101000', 1, '2021-07-19 11:46:38', NULL, NULL), (15125, '', '观音村委会', '4fc745525f4d43f58c937c4c9523df9a', '14b52be0c1944d298e287f3c9fd3c3bd', 'False', 'True', 'false', 'false', '511181101016', 5, '观音村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181101016', 1, '2021-07-19 11:46:38', NULL, NULL), (15126, '', '连峨村委会', 'a2217de98a22482fa745411634bfbdcf', '14b52be0c1944d298e287f3c9fd3c3bd', 'False', 'True', 'false', 'false', '511181101038', 5, '连峨村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181101038', 1, '2021-07-19 11:46:38', NULL, NULL), (15127, '', '福田村委会', 'a3f0e59d165241708229f42b262a7334', '14b52be0c1944d298e287f3c9fd3c3bd', 'False', 'True', 'false', 'false', '511181101070', 5, '福田村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181101070', 1, '2021-07-19 11:46:38', NULL, NULL), (15128, '', '中兴社区居委会', '0c495ed0dc5a46bbb72844f859d259ab', '14b52be0c1944d298e287f3c9fd3c3bd', 'False', 'True', 'false', 'false', '511181101099', 5, '中兴社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181101099', 1, '2021-07-19 11:46:38', NULL, NULL), (15129, '', '寨子村委会', 'e2b2be9c46cf476196816ba95deb91d4', '14b52be0c1944d298e287f3c9fd3c3bd', 'False', 'True', 'false', 'false', '511181101221', 5, '寨子村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181101221', 1, '2021-07-19 11:46:39', NULL, NULL), (15130, '', '兴宏村委会', '1cb884cb1cc2494aba3b7a8695624f1f', '14b52be0c1944d298e287f3c9fd3c3bd', 'False', 'True', 'false', 'false', '511181101291', 5, '兴宏村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181101291', 1, '2021-07-19 11:46:39', NULL, NULL), (15131, '', '汪坎村委会', '63fb6c8190b64ca7a202afc22b1ea427', '14b52be0c1944d298e287f3c9fd3c3bd', 'False', 'True', 'false', 'false', '511181101292', 5, '汪坎村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181101292', 1, '2021-07-19 11:46:39', NULL, NULL), (15132, '', '黄茅村委会', 'a66dd3c071334ef6813983d1ba664e29', '14b52be0c1944d298e287f3c9fd3c3bd', 'False', 'True', 'false', 'false', '511181101303', 5, '黄茅村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181101303', 1, '2021-07-19 11:46:39', NULL, NULL), (15133, '', '万槽村委会', 'd889075838b249c0acb4a4444c1c8c26', '14b52be0c1944d298e287f3c9fd3c3bd', 'False', 'True', 'false', 'false', '511181101347', 5, '万槽村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181101347', 1, '2021-07-19 11:46:39', NULL, NULL), (15134, '', '严寺村委会', '3f4de8efa16e4b86a752bc2328b24cfe', '14b52be0c1944d298e287f3c9fd3c3bd', 'False', 'True', 'false', 'false', '511181101386', 5, '严寺村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181101386', 1, '2021-07-19 11:46:39', NULL, NULL), (15135, '', '高桥村委会', '9ba4e9371b0b41d7b2954753790df1a2', '14b52be0c1944d298e287f3c9fd3c3bd', 'False', 'True', 'false', 'false', '511181101664', 5, '高桥村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181101664', 1, '2021-07-19 11:46:39', NULL, NULL), (15136, '', '余村村委会', '3501739da69d4402a0b7fc200cb61769', '14b52be0c1944d298e287f3c9fd3c3bd', 'False', 'True', 'false', 'false', '511181101779', 5, '余村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181101779', 1, '2021-07-19 11:46:39', NULL, NULL), (15137, '', '桃林村委会', 'd31f23cf70a2432e8885e3cb3e75b465', '14b52be0c1944d298e287f3c9fd3c3bd', 'False', 'True', 'false', 'false', '511181101974', 5, '桃林村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181101974', 1, '2021-07-19 11:46:39', NULL, NULL), (15138, '', '回龙村委会', 'b22c66f8a76a4d7d88dc8bfac3471352', '14b52be0c1944d298e287f3c9fd3c3bd', 'False', 'True', 'false', 'false', '511181101985', 5, '回龙村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181101985', 1, '2021-07-19 11:46:39', NULL, NULL), (15139, '', '罗目镇', '998c6c611b4e499c91b5ba8b3adb2c16', '4390c5bd53494dd6916df94b5121d2c9', 'True', 'True', 'true', 'true', '511181102000', 4, '罗目镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511181102000', 1, '2021-07-19 11:46:39', NULL, NULL), (15140, '', '青龙社区居委会', '46d7b1426b874023b56ff5e406b650d4', '998c6c611b4e499c91b5ba8b3adb2c16', 'False', 'True', 'false', 'false', '511181102170', 5, '青龙社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181102170', 1, '2021-07-19 11:46:39', NULL, NULL), (15141, '', '鞠槽村委会', 'fa2ed19a4336497e82dac7e942e415f1', '998c6c611b4e499c91b5ba8b3adb2c16', 'False', 'True', 'false', 'false', '511181102227', 5, '鞠槽村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181102227', 1, '2021-07-19 11:46:39', NULL, NULL), (15142, '', '龙凤村委会', 'f906a480529a44748a2addc56cd5f201', '998c6c611b4e499c91b5ba8b3adb2c16', 'False', 'True', 'false', 'false', '511181102257', 5, '龙凤村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181102257', 1, '2021-07-19 11:46:39', NULL, NULL), (15143, '', '白马村委会', '961cb11130fb471889d722a64228a137', '998c6c611b4e499c91b5ba8b3adb2c16', 'False', 'True', 'false', 'false', '511181102324', 5, '白马村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181102324', 1, '2021-07-19 11:46:40', NULL, NULL), (15144, '', '芦山村委会', 'eb9edc86c40a4b54bc16512b65a1973d', '998c6c611b4e499c91b5ba8b3adb2c16', 'False', 'True', 'false', 'false', '511181102477', 5, '芦山村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181102477', 1, '2021-07-19 11:46:40', NULL, NULL), (15145, '', '郭坪村委会', '1535168070904f439594c7f915ee8e86', '998c6c611b4e499c91b5ba8b3adb2c16', 'False', 'True', 'false', 'false', '511181102768', 5, '郭坪村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181102768', 1, '2021-07-19 11:46:40', NULL, NULL), (15146, '', '廖林村委会', '1469aba686b841baaaf04745277b30dd', '998c6c611b4e499c91b5ba8b3adb2c16', 'False', 'True', 'false', 'false', '511181102803', 5, '廖林村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181102803', 1, '2021-07-19 11:46:40', NULL, NULL), (15147, '', '徐塘村委会', '225e6becab6a4cdc83e9f90617858e2a', '998c6c611b4e499c91b5ba8b3adb2c16', 'False', 'True', 'false', 'false', '511181102828', 5, '徐塘村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181102828', 1, '2021-07-19 11:46:40', NULL, NULL), (15148, '', '高枧村委会', 'e4bdbed9ad664690964a4bc43cfbe72e', '998c6c611b4e499c91b5ba8b3adb2c16', 'False', 'True', 'false', 'false', '511181102908', 5, '高枧村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181102908', 1, '2021-07-19 11:46:40', NULL, NULL), (15149, '', '水井村委会', 'df11a9e06771415999c4e74f32c25edc', '998c6c611b4e499c91b5ba8b3adb2c16', 'False', 'True', 'false', 'false', '511181102944', 5, '水井村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181102944', 1, '2021-07-19 11:46:40', NULL, NULL), (15150, '', '九里镇', 'a9ae2a64f8c544489b7349d3a4377172', '4390c5bd53494dd6916df94b5121d2c9', 'True', 'True', 'true', 'true', '511181103000', 4, '九里镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511181103000', 1, '2021-07-19 11:46:40', NULL, NULL), (15151, '', '文盛社区居委会', 'a827208dbdc446f493a8ee4015f425ba', 'a9ae2a64f8c544489b7349d3a4377172', 'False', 'False', 'false', 'false', '511181201613', 5, '文盛社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181201613', 1, '2021-07-19 11:46:40', NULL, NULL), (15152, '', '临江村委会', '3f50a1fdcd914ae1bb220f4b6d14464f', 'a9ae2a64f8c544489b7349d3a4377172', 'False', 'True', 'false', 'false', '511181103087', 5, '临江村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181103087', 1, '2021-07-19 11:46:40', NULL, NULL), (15153, '', '兴隆社区居委会', 'a0c1fc03756642b38de212387b9c1a05', 'a9ae2a64f8c544489b7349d3a4377172', 'False', 'True', 'false', 'false', '511181103136', 5, '兴隆社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181103136', 1, '2021-07-19 11:46:40', NULL, NULL), (15154, '', '新农村委会', '8e3ded433b6e4865837eeb5122760b5b', 'a9ae2a64f8c544489b7349d3a4377172', 'False', 'True', 'false', 'false', '511181103207', 5, '新农村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181103207', 1, '2021-07-19 11:46:40', NULL, NULL), (15155, '', '兴阳村委会', '3b3ec1502f194ac281a08ba0c1098df7', 'a9ae2a64f8c544489b7349d3a4377172', 'False', 'True', 'false', 'false', '511181103210', 5, '兴阳村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181103210', 1, '2021-07-19 11:46:40', NULL, NULL), (15156, '', '付河村委会', '6e7f9799e61a43ad8f7df5d18ae3af5e', 'a9ae2a64f8c544489b7349d3a4377172', 'False', 'True', 'false', 'false', '511181103283', 5, '付河村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181103283', 1, '2021-07-19 11:46:40', NULL, NULL), (15157, '', '新堰村委会', 'd4698dd0ca4a4c1fb1c7aeecd993ddfb', 'a9ae2a64f8c544489b7349d3a4377172', 'False', 'True', 'false', 'false', '511181103306', 5, '新堰村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181103306', 1, '2021-07-19 11:46:40', NULL, NULL), (15158, '', '顺江村委会', 'af3b8a54a1f74cb895f8b7a9044024ba', 'a9ae2a64f8c544489b7349d3a4377172', 'False', 'True', 'false', 'false', '511181103381', 5, '顺江村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181103381', 1, '2021-07-19 11:46:41', NULL, NULL), (15159, '', '吴庵村委会', '274d68fed5554f1cb3010dc5b631fc9d', 'a9ae2a64f8c544489b7349d3a4377172', 'False', 'True', 'false', 'false', '511181103460', 5, '吴庵村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181103460', 1, '2021-07-19 11:46:41', NULL, NULL), (15160, '', '汪家村委会', '0bc6eea67b4f4bb095b7281a7501404b', 'a9ae2a64f8c544489b7349d3a4377172', 'False', 'True', 'false', 'false', '511181103540', 5, '汪家村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181103540', 1, '2021-07-19 11:46:41', NULL, NULL), (15161, '', '农场村委会', '02b87672924542d2822a55718b626ce6', 'a9ae2a64f8c544489b7349d3a4377172', 'False', 'True', 'false', 'false', '511181103572', 5, '农场村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181103572', 1, '2021-07-19 11:46:41', NULL, NULL), (15162, '', '兴胜村委会', 'f4b44ee26402455f8ea3ae2b44953f70', 'a9ae2a64f8c544489b7349d3a4377172', 'False', 'True', 'false', 'false', '511181103578', 5, '兴胜村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181103578', 1, '2021-07-19 11:46:41', NULL, NULL), (15163, '', '文昌社区居委会', '1bfca10cc3fd46e993f5ee910a679fab', 'a9ae2a64f8c544489b7349d3a4377172', 'False', 'True', 'false', 'false', '511181103591', 5, '文昌社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181103591', 1, '2021-07-19 11:46:41', NULL, NULL), (15164, '', '方碾村委会', 'dee44e30d1c84c7c9a672250d18fa5a8', 'a9ae2a64f8c544489b7349d3a4377172', 'False', 'True', 'false', 'false', '511181103652', 5, '方碾村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181103652', 1, '2021-07-19 11:46:41', NULL, NULL), (15165, '', '红卫村委会', 'b4c7710773f54a1292ab2e6a9c8c7d82', 'a9ae2a64f8c544489b7349d3a4377172', 'False', 'True', 'false', 'false', '511181103786', 5, '红卫村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181103786', 1, '2021-07-19 11:46:41', NULL, NULL), (15166, '', '车箭村委会', 'a5541b65672942338c55bac4e75c25dc', 'a9ae2a64f8c544489b7349d3a4377172', 'False', 'True', 'false', 'false', '511181103789', 5, '车箭村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181103789', 1, '2021-07-19 11:46:41', NULL, NULL), (15167, '', '龙池镇', 'bc7696f6144b45e7af3b5f667439dd56', '4390c5bd53494dd6916df94b5121d2c9', 'True', 'True', 'true', 'true', '511181104000', 4, '龙池镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511181104000', 1, '2021-07-19 11:46:41', NULL, NULL), (15168, '', '河心村委会', '6cd0ae6f8a7c4631bd141ddea3cc9229', 'bc7696f6144b45e7af3b5f667439dd56', 'False', 'True', 'false', 'false', '511181104009', 5, '河心村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181104009', 1, '2021-07-19 11:46:41', NULL, NULL), (15169, '', '杨柳村委会', '8273bd3620bc4339935e1d4ef086a0ce', 'bc7696f6144b45e7af3b5f667439dd56', 'False', 'True', 'false', 'false', '511181104012', 5, '杨柳村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181104012', 1, '2021-07-19 11:46:41', NULL, NULL), (15170, '', '马坪村委会', 'c0b8d4f3ba8b421aae5e7e9bb76928c6', 'bc7696f6144b45e7af3b5f667439dd56', 'False', 'True', 'false', 'false', '511181104210', 5, '马坪村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181104210', 1, '2021-07-19 11:46:42', NULL, NULL), (15171, '', '南山村委会', '6a8f7bc254924ecfb56b8f9029b238d1', 'bc7696f6144b45e7af3b5f667439dd56', 'False', 'True', 'false', 'false', '511181104347', 5, '南山村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181104347', 1, '2021-07-19 11:46:42', NULL, NULL), (15172, '', '凤凰村委会', 'db19283827cf4108ac3297a702ea3275', 'bc7696f6144b45e7af3b5f667439dd56', 'False', 'True', 'false', 'false', '511181104376', 5, '凤凰村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181104376', 1, '2021-07-19 11:46:42', NULL, NULL), (15173, '', '杨村铺社区居委会', '5a2c9f3fe9ce4c1a9fdcecd7155b055c', 'bc7696f6144b45e7af3b5f667439dd56', 'False', 'True', 'false', 'false', '511181104521', 5, '杨村铺社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181104521', 1, '2021-07-19 11:46:42', NULL, NULL), (15174, '', '滨湖社区居委会', 'f382b366268d4d6983858ea03f81acf0', 'bc7696f6144b45e7af3b5f667439dd56', 'False', 'True', 'false', 'false', '511181104666', 5, '滨湖社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181104666', 1, '2021-07-19 11:46:42', NULL, NULL), (15175, '', '白果村委会', 'be4b3b8fd5ac4808a6fb5c96bf5ae903', 'bc7696f6144b45e7af3b5f667439dd56', 'False', 'True', 'false', 'false', '511181104678', 5, '白果村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181104678', 1, '2021-07-19 11:46:42', NULL, NULL), (15176, '', '桃源村委会', '5d8aec67272c46ceb63c523274426454', 'bc7696f6144b45e7af3b5f667439dd56', 'False', 'True', 'false', 'false', '511181104700', 5, '桃源村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181104700', 1, '2021-07-19 11:46:42', NULL, NULL), (15177, '', '苦蒿坪村委会', 'be7b40e8df5540ab887ae32ff3f253e1', 'bc7696f6144b45e7af3b5f667439dd56', 'False', 'True', 'false', 'false', '511181104733', 5, '苦蒿坪村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181104733', 1, '2021-07-19 11:46:42', NULL, NULL), (15178, '', '幺店村委会', 'c0bee98baa1840de9e601ce4ddb5e0c0', 'bc7696f6144b45e7af3b5f667439dd56', 'False', 'True', 'false', 'false', '511181104751', 5, '幺店村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181104751', 1, '2021-07-19 11:46:42', NULL, NULL), (15179, '', '莲花村委会', 'd8338428d49640f4848d576a5660d113', 'bc7696f6144b45e7af3b5f667439dd56', 'False', 'True', 'false', 'false', '511181104984', 5, '莲花村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181104984', 1, '2021-07-19 11:46:42', NULL, NULL), (15180, '', '符溪镇', 'b684e3e9727143ec967143a9a9d91545', '4390c5bd53494dd6916df94b5121d2c9', 'True', 'True', 'true', 'true', '511181106000', 4, '符溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511181106000', 1, '2021-07-19 11:46:42', NULL, NULL), (15181, '', '向阳社区居委会', '7bc97a0f90e6450d914c45009c84aa3d', 'b684e3e9727143ec967143a9a9d91545', 'False', 'False', 'false', 'false', '511181202529', 5, '向阳社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181202529', 1, '2021-07-19 11:46:42', NULL, NULL), (15182, '', '符泉村委会', 'ccb4390491904a85b72555a477e7ed37', 'b684e3e9727143ec967143a9a9d91545', 'False', 'True', 'false', 'false', '511181106154', 5, '符泉村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181106154', 1, '2021-07-19 11:46:43', NULL, NULL), (15183, '', '新乐村委会', '61acb49b812e43dda91ae2555906d774', 'b684e3e9727143ec967143a9a9d91545', 'False', 'True', 'false', 'false', '511181106208', 5, '新乐村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181106208', 1, '2021-07-19 11:46:43', NULL, NULL), (15184, '', '雷场村委会', '5dff52e2ebc04ad8ae9c5ea612e85b67', 'b684e3e9727143ec967143a9a9d91545', 'False', 'True', 'false', 'false', '511181106271', 5, '雷场村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181106271', 1, '2021-07-19 11:46:43', NULL, NULL), (15185, '', '径山社区居委会', 'b3b672c01ef7425ebe4e0c380287739e', 'b684e3e9727143ec967143a9a9d91545', 'False', 'True', 'false', 'false', '511181106380', 5, '径山社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181106380', 1, '2021-07-19 11:46:43', NULL, NULL), (15186, '', '黑桥村委会', 'fd5829d920b24f1d894ab8144a0bc500', 'b684e3e9727143ec967143a9a9d91545', 'False', 'True', 'false', 'false', '511181106506', 5, '黑桥村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181106506', 1, '2021-07-19 11:46:43', NULL, NULL), (15187, '', '战斗村委会', '297ab63b5e6a424d8f4dc62329d34908', 'b684e3e9727143ec967143a9a9d91545', 'False', 'True', 'false', 'false', '511181106547', 5, '战斗村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181106547', 1, '2021-07-19 11:46:43', NULL, NULL), (15188, '', '友谊村委会', '2e990f8be5d94fb28b37c79d6611325e', 'b684e3e9727143ec967143a9a9d91545', 'False', 'True', 'false', 'false', '511181106669', 5, '友谊村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181106669', 1, '2021-07-19 11:46:43', NULL, NULL), (15189, '', '明星村委会', '7f5c0f356f3741b69ab69807f0ccf4cf', 'b684e3e9727143ec967143a9a9d91545', 'False', 'True', 'false', 'false', '511181106680', 5, '明星村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181106680', 1, '2021-07-19 11:46:43', NULL, NULL), (15190, '', '丰收村委会', '030da1d42a8f43a399a04f7fd15c9fc5', 'b684e3e9727143ec967143a9a9d91545', 'False', 'True', 'false', 'false', '511181106819', 5, '丰收村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181106819', 1, '2021-07-19 11:46:43', NULL, NULL), (15191, '', '天宫村委会', 'c2c3668a2d434de1a25a8056874d458b', 'b684e3e9727143ec967143a9a9d91545', 'False', 'True', 'false', 'false', '511181106834', 5, '天宫村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181106834', 1, '2021-07-19 11:46:43', NULL, NULL), (15192, '', '峨山街道', 'be47badbe60e415cbc4869a835638a80', '4390c5bd53494dd6916df94b5121d2c9', 'True', 'True', 'true', 'true', '511181107000', 4, '峨山街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511181107000', 1, '2021-07-19 11:46:43', NULL, NULL), (15193, '', '马路桥社区居委会', '16a97bcd77714a32a1cbf20dcab49c10', 'be47badbe60e415cbc4869a835638a80', 'False', 'True', 'false', 'false', '511181107140', 5, '马路桥社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181107140', 1, '2021-07-19 11:46:43', NULL, NULL), (15194, '', '钟鼓社区居委会', 'cea70847a80a402e85dd1a6dae2d73f1', 'be47badbe60e415cbc4869a835638a80', 'False', 'True', 'false', 'false', '511181107220', 5, '钟鼓社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181107220', 1, '2021-07-19 11:46:43', NULL, NULL), (15195, '', '大南社区居委会', '91ae5d68f6d74305b08e771d098c7a54', 'be47badbe60e415cbc4869a835638a80', 'False', 'True', 'false', 'false', '511181107308', 5, '大南社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181107308', 1, '2021-07-19 11:46:43', NULL, NULL), (15196, '', '十里村委会', '53a8a4dc7fb54539815a3aaa66a9a6e6', 'be47badbe60e415cbc4869a835638a80', 'False', 'True', 'false', 'false', '511181107449', 5, '十里村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181107449', 1, '2021-07-19 11:46:44', NULL, NULL), (15197, '', '冠峨村委会', '84149cce906f426ca891459909f4fb6d', 'be47badbe60e415cbc4869a835638a80', 'False', 'True', 'false', 'false', '511181107517', 5, '冠峨村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181107517', 1, '2021-07-19 11:46:44', NULL, NULL), (15198, '', '惠邻村委会', '7af4824b187940dab330dc4389652b48', 'be47badbe60e415cbc4869a835638a80', 'False', 'True', 'false', 'false', '511181107706', 5, '惠邻村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181107706', 1, '2021-07-19 11:46:44', NULL, NULL), (15199, '', '中王村委会', 'e3dc9dea97dc442f94ed7615d6a371de', 'be47badbe60e415cbc4869a835638a80', 'False', 'True', 'false', 'false', '511181107863', 5, '中王村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181107863', 1, '2021-07-19 11:46:44', NULL, NULL), (15200, '', '彭桥村委会', 'cd44bd15151f441a92dd1224f1404c13', 'be47badbe60e415cbc4869a835638a80', 'False', 'True', 'false', 'false', '511181107886', 5, '彭桥村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181107886', 1, '2021-07-19 11:46:44', NULL, NULL), (15201, '', '双福镇', '9afda69c6a5c4068b6a772ace6061aa4', '4390c5bd53494dd6916df94b5121d2c9', 'True', 'True', 'true', 'true', '511181108000', 4, '双福镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511181108000', 1, '2021-07-19 11:46:44', NULL, NULL), (15202, '', '华龙村委会', '3cb467435ad7489b91c859ddd2d2e075', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108110', 5, '华龙村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108110', 1, '2021-07-19 11:46:44', NULL, NULL), (15203, '', '双福村委会', '0d7f0ee5f440453ca1355e0f90c34579', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108150', 5, '双福村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108150', 1, '2021-07-19 11:46:44', NULL, NULL), (15204, '', '新华村委会', '0585cf6fbd4044f7a5b1865cd81533c2', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108172', 5, '新华村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108172', 1, '2021-07-19 11:46:44', NULL, NULL), (15205, '', '张岗村委会', '3b3ee1b298364ed1a805896526cc29d6', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108179', 5, '张岗村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108179', 1, '2021-07-19 11:46:44', NULL, NULL), (15206, '', '露华村委会', '314763c969084b2884bb163d5ddfe7a2', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108255', 5, '露华村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108255', 1, '2021-07-19 11:46:44', NULL, NULL), (15207, '', '胡杨村委会', '803673ba41644e7d9d87c981c31789be', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108290', 5, '胡杨村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108290', 1, '2021-07-19 11:46:44', NULL, NULL), (15208, '', '三江村委会', '995b73d5d6ad4d1cab6a7e23a878710e', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108341', 5, '三江村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108341', 1, '2021-07-19 11:46:44', NULL, NULL), (15209, '', '悦连村委会', 'd6d0f759c0c740e2b7ef4c57e022bc62', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108518', 5, '悦连村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108518', 1, '2021-07-19 11:46:45', NULL, NULL), (15210, '', '小河村委会', '5e618ea3559041218fac54745059f601', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108541', 5, '小河村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108541', 1, '2021-07-19 11:46:45', NULL, NULL), (15211, '', '江场村委会', '395e1554d67e47fdb9c0f9cfcd72ab70', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108582', 5, '江场村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108582', 1, '2021-07-19 11:46:45', NULL, NULL), (15212, '', '青春村委会', 'e63217f642b34eacb8d136e26c4715d5', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108698', 5, '青春村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108698', 1, '2021-07-19 11:46:45', NULL, NULL), (15213, '', '五星村委会', '8937611a4276404f9aa4cbc1c99c2fad', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108746', 5, '五星村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108746', 1, '2021-07-19 11:46:45', NULL, NULL), (15214, '', '合江村委会', 'baec4880ff2e4ee1831a7a24cd5229ae', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108791', 5, '合江村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108791', 1, '2021-07-19 11:46:45', NULL, NULL), (15215, '', '安全村委会', '1a487a3494a444afaeadf6dacae1e6bc', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108805', 5, '安全村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108805', 1, '2021-07-19 11:46:45', NULL, NULL), (15216, '', '塘房村委会', 'f4b50fc1d4ea452e8e27b73ec95dc869', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108870', 5, '塘房村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108870', 1, '2021-07-19 11:46:45', NULL, NULL), (15217, '', '石岗村委会', '6f5d789565d347c682cdfa0bd5a3e559', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108872', 5, '石岗村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108872', 1, '2021-07-19 11:46:45', NULL, NULL), (15218, '', '四桥社区居委会', '64dd13bf7b1e4c3298ae6c056cdf0874', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108902', 5, '四桥社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108902', 1, '2021-07-19 11:46:45', NULL, NULL), (15219, '', '大河村委会', '254fa9a017354063909029739df7277c', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108918', 5, '大河村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108918', 1, '2021-07-19 11:46:45', NULL, NULL), (15220, '', '普兴村委会', '2d9217c156964fccaee87506d642ad4e', '9afda69c6a5c4068b6a772ace6061aa4', 'False', 'True', 'false', 'false', '511181108951', 5, '普兴村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181108951', 1, '2021-07-19 11:46:45', NULL, NULL), (15221, '', '桂花桥镇', 'a99c647eb23c49d387662d8119c6982c', '4390c5bd53494dd6916df94b5121d2c9', 'True', 'True', 'true', 'true', '511181109000', 4, '桂花桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511181109000', 1, '2021-07-19 11:46:45', NULL, NULL), (15222, '', '友爱村委会', 'eaa28c8a03634c15aafbf928d20d2468', 'a99c647eb23c49d387662d8119c6982c', 'False', 'True', 'false', 'false', '511181109174', 5, '友爱村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181109174', 1, '2021-07-19 11:46:46', NULL, NULL), (15223, '', '新联村委会', '4f429669a746456e8ec356e52cb13c2a', 'a99c647eb23c49d387662d8119c6982c', 'False', 'True', 'false', 'false', '511181109221', 5, '新联村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181109221', 1, '2021-07-19 11:46:46', NULL, NULL), (15224, '', '前进村委会', 'fa0ad8f2ed014279ab145883f1c5786b', 'a99c647eb23c49d387662d8119c6982c', 'False', 'True', 'false', 'false', '511181109336', 5, '前进村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181109336', 1, '2021-07-19 11:46:46', NULL, NULL), (15225, '', '棬鱼村委会', 'f6799c2b0070453e99262d27da61aa14', 'a99c647eb23c49d387662d8119c6982c', 'False', 'True', 'false', 'false', '511181109521', 5, '棬鱼村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181109521', 1, '2021-07-19 11:46:46', NULL, NULL), (15226, '', '明园社区居委会', '8774be943e6c4b49927fd12dc66cb7f2', 'a99c647eb23c49d387662d8119c6982c', 'False', 'True', 'false', 'false', '511181109599', 5, '明园社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181109599', 1, '2021-07-19 11:46:46', NULL, NULL), (15227, '', '前锋村委会', '2597270de9f34ac88b45a8317da0763c', 'a99c647eb23c49d387662d8119c6982c', 'False', 'True', 'false', 'false', '511181109674', 5, '前锋村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181109674', 1, '2021-07-19 11:46:46', NULL, NULL), (15228, '', '庙稿村委会', '9dd43a611bc04a2aabde06e9d85693e7', 'a99c647eb23c49d387662d8119c6982c', 'False', 'True', 'false', 'false', '511181109758', 5, '庙稿村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181109758', 1, '2021-07-19 11:46:46', NULL, NULL), (15229, '', '燕岗村委会', '2ae523069f554982a490bb8dbd6faacf', 'a99c647eb23c49d387662d8119c6982c', 'False', 'True', 'false', 'false', '511181109844', 5, '燕岗村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181109844', 1, '2021-07-19 11:46:46', NULL, NULL), (15230, '', '友谊社区居委会', 'c75d252b53464a6cb3f122c072809d93', 'a99c647eb23c49d387662d8119c6982c', 'False', 'True', 'false', 'false', '511181109976', 5, '友谊社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181109976', 1, '2021-07-19 11:46:46', NULL, NULL), (15231, '', '红山村委会', '6ed8a97fcd214f7abd7bcc438f1749a3', 'a99c647eb23c49d387662d8119c6982c', 'False', 'True', 'false', 'false', '511181109997', 5, '红山村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181109997', 1, '2021-07-19 11:46:46', NULL, NULL), (15232, '', '大为镇', '58868d18a7444f0ebf2543b2c399a26b', '4390c5bd53494dd6916df94b5121d2c9', 'True', 'True', 'true', 'true', '511181110000', 4, '大为镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511181110000', 1, '2021-07-19 11:46:46', NULL, NULL), (15233, '', '双龙村委会', '5242ee04fa4a4d9787a8851a944eed65', '58868d18a7444f0ebf2543b2c399a26b', 'False', 'True', 'false', 'false', '511181110095', 5, '双龙村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181110095', 1, '2021-07-19 11:46:46', NULL, NULL), (15234, '', '射箭村委会', '357dbd96e25c48af9c4a7338f7d465e4', '58868d18a7444f0ebf2543b2c399a26b', 'False', 'True', 'false', 'false', '511181110274', 5, '射箭村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181110274', 1, '2021-07-19 11:46:46', NULL, NULL), (15235, '', '楠香村委会', '001492c64edc4e11b211f8aae2927302', '58868d18a7444f0ebf2543b2c399a26b', 'False', 'True', 'false', 'false', '511181110275', 5, '楠香村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181110275', 1, '2021-07-19 11:46:46', NULL, NULL), (15236, '', '大为村委会', '41d18ce1a6154e18a27c9df11b2759e4', '58868d18a7444f0ebf2543b2c399a26b', 'False', 'True', 'false', 'false', '511181110478', 5, '大为村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181110478', 1, '2021-07-19 11:46:46', NULL, NULL), (15237, '', '金鹤村委会', 'b29560e83e4747598b789002f2d69b69', '58868d18a7444f0ebf2543b2c399a26b', 'False', 'True', 'false', 'false', '511181110669', 5, '金鹤村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181110669', 1, '2021-07-19 11:46:46', NULL, NULL), (15238, '', '金村村委会', 'a91960d8f206428496b344f64acfd7f3', '58868d18a7444f0ebf2543b2c399a26b', 'False', 'True', 'false', 'false', '511181110792', 5, '金村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181110792', 1, '2021-07-19 11:46:46', NULL, NULL), (15239, '', '群达村委会', '8f8e3c5ba5b84d06952b50da99c744d2', '58868d18a7444f0ebf2543b2c399a26b', 'False', 'True', 'false', 'false', '511181110836', 5, '群达村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181110836', 1, '2021-07-19 11:46:46', NULL, NULL), (15240, '', '林家村委会', '2990e4f07d8048fda87d4e86f8eca706', '58868d18a7444f0ebf2543b2c399a26b', 'False', 'True', 'false', 'false', '511181110886', 5, '林家村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181110886', 1, '2021-07-19 11:46:47', NULL, NULL), (15241, '', '胜利街道', 'e985746a1121412caaa142242acbafd2', '4390c5bd53494dd6916df94b5121d2c9', 'True', 'True', 'true', 'true', '511181111000', 4, '胜利街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511181111000', 1, '2021-07-19 11:46:47', NULL, NULL), (15242, '', '东胜社区居委会', '1951f4bce6bc49ec8cec4bb7f6b9de31', 'e985746a1121412caaa142242acbafd2', 'False', 'True', 'false', 'false', '511181111043', 5, '东胜社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181111043', 1, '2021-07-19 11:46:47', NULL, NULL), (15243, '', '三台山社区居委会', 'c4ef3cd321d84edb97ff57b5812edb5a', 'e985746a1121412caaa142242acbafd2', 'False', 'True', 'false', 'false', '511181111049', 5, '三台山社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181111049', 1, '2021-07-19 11:46:47', NULL, NULL), (15244, '', '红星村委会', '3b07381fe72d47e8a4e471ca0472b359', 'e985746a1121412caaa142242acbafd2', 'False', 'True', 'false', 'false', '511181111098', 5, '红星村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181111098', 1, '2021-07-19 11:46:47', NULL, NULL), (15245, '', '月南村委会', '832fb6abf09540b19a9766718bc8f150', 'e985746a1121412caaa142242acbafd2', 'False', 'True', 'false', 'false', '511181111223', 5, '月南村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181111223', 1, '2021-07-19 11:46:47', NULL, NULL), (15246, '', '夏荷村委会', '4b3a47bfa9cd456e97d2c9594b1deb57', 'e985746a1121412caaa142242acbafd2', 'False', 'True', 'false', 'false', '511181111278', 5, '夏荷村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181111278', 1, '2021-07-19 11:46:47', NULL, NULL), (15247, '', '万寿宫社区居委会', '7f5dbc4a04314f54bba2495a133bd4cb', 'e985746a1121412caaa142242acbafd2', 'False', 'True', 'false', 'false', '511181111473', 5, '万寿宫社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181111473', 1, '2021-07-19 11:46:47', NULL, NULL), (15248, '', '桑园社区居委会', '6e1261b5d3434ff6b88c327bab02b3f7', 'e985746a1121412caaa142242acbafd2', 'False', 'True', 'false', 'false', '511181111569', 5, '桑园社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181111569', 1, '2021-07-19 11:46:47', NULL, NULL), (15249, '', '白龙社区居委会', '1a38f1835fcb40189ec11f2fb79ea38b', 'e985746a1121412caaa142242acbafd2', 'False', 'True', 'false', 'false', '511181111573', 5, '白龙社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181111573', 1, '2021-07-19 11:46:47', NULL, NULL), (15250, '', '光荣村委会', '533f6081918c4737b79c84a7c63e4825', 'e985746a1121412caaa142242acbafd2', 'False', 'True', 'false', 'false', '511181111677', 5, '光荣村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181111677', 1, '2021-07-19 11:46:47', NULL, NULL), (15251, '', '干河村委会', '0a245483ec984f8ba152f6bbf47841ac', 'e985746a1121412caaa142242acbafd2', 'False', 'True', 'false', 'false', '511181111898', 5, '干河村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181111898', 1, '2021-07-19 11:46:47', NULL, NULL), (15252, '', '城东社区居委会', '54f73556c7df4086b9b3abae941070ec', 'e985746a1121412caaa142242acbafd2', 'False', 'True', 'false', 'false', '511181111946', 5, '城东社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181111946', 1, '2021-07-19 11:46:47', NULL, NULL), (15253, '', '龙门乡', 'a2b27335cd714a779d04597cb6d57374', '4390c5bd53494dd6916df94b5121d2c9', 'True', 'True', 'true', 'true', '511181200000', 4, '龙门乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511181200000', 1, '2021-07-19 11:46:47', NULL, NULL), (15254, '', '毛天村委会', '27136e544ce0470c82e04fd02c34eb56', 'a2b27335cd714a779d04597cb6d57374', 'False', 'True', 'false', 'false', '511181200193', 5, '毛天村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181200193', 1, '2021-07-19 11:46:47', NULL, NULL), (15255, '', '鸭池村委会', '8fe0a581d57a44289ac9de2d8e230796', 'a2b27335cd714a779d04597cb6d57374', 'False', 'True', 'false', 'false', '511181200331', 5, '鸭池村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181200331', 1, '2021-07-19 11:46:48', NULL, NULL), (15256, '', '山河村委会', 'bb7f41946f7c4aa281ca9d6d88dd61eb', 'a2b27335cd714a779d04597cb6d57374', 'False', 'True', 'false', 'false', '511181200551', 5, '山河村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181200551', 1, '2021-07-19 11:46:48', NULL, NULL), (15257, '', '楠邻村委会', '37da8114ee1f4bd5972035f77fd715a6', 'a2b27335cd714a779d04597cb6d57374', 'False', 'True', 'false', 'false', '511181200606', 5, '楠邻村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181200606', 1, '2021-07-19 11:46:48', NULL, NULL), (15258, '', '木场村委会', '045440e641954702b087db34ec858835', 'a2b27335cd714a779d04597cb6d57374', 'False', 'True', 'false', 'false', '511181200656', 5, '木场村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181200656', 1, '2021-07-19 11:46:48', NULL, NULL), (15259, '', '大村村委会', '29a82c2b860f458893fb92d6b6556a6d', 'a2b27335cd714a779d04597cb6d57374', 'False', 'True', 'false', 'false', '511181200867', 5, '大村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181200867', 1, '2021-07-19 11:46:48', NULL, NULL), (15260, '', '黄湾镇', '954d7868a6ff41dd87c2b522772aa875', '4390c5bd53494dd6916df94b5121d2c9', 'True', 'True', 'true', 'true', '511181205000', 4, '黄湾镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511181205000', 1, '2021-07-19 11:46:48', NULL, NULL), (15261, '', '天景社区居委会', 'cb95cdcc036d47a2a51d0d7d0eb35ea8', '954d7868a6ff41dd87c2b522772aa875', 'False', 'True', 'false', 'false', '511181205097', 5, '天景社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181205097', 1, '2021-07-19 11:46:48', NULL, NULL), (15262, '', '清音村委会', 'e251e7a2a9ef43b2bee360aee8741527', '954d7868a6ff41dd87c2b522772aa875', 'False', 'True', 'false', 'false', '511181205316', 5, '清音村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181205316', 1, '2021-07-19 11:46:48', NULL, NULL), (15263, '', '万年村委会', 'd3a0a4059f68474189294a8186c44994', '954d7868a6ff41dd87c2b522772aa875', 'False', 'True', 'false', 'false', '511181205448', 5, '万年村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181205448', 1, '2021-07-19 11:46:48', NULL, NULL), (15264, '', '报国社区居委会', 'd07bb4a990bb47269dce7485e687599e', '954d7868a6ff41dd87c2b522772aa875', 'False', 'True', 'false', 'false', '511181205530', 5, '报国社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181205530', 1, '2021-07-19 11:46:48', NULL, NULL), (15265, '', '雪芽村委会', '4ff5de08617b49a9b3c1d82396479dbb', '954d7868a6ff41dd87c2b522772aa875', 'False', 'True', 'false', 'false', '511181205702', 5, '雪芽村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181205702', 1, '2021-07-19 11:46:48', NULL, NULL), (15266, '', '净水村委会', 'c2a66d21240c40f4a2891f07afb27213', '954d7868a6ff41dd87c2b522772aa875', 'False', 'True', 'false', 'false', '511181205766', 5, '净水村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181205766', 1, '2021-07-19 11:46:48', NULL, NULL), (15267, '', '峨秀村委会', 'eb95aa01f50b4d1b99f693ad3c14533f', '954d7868a6ff41dd87c2b522772aa875', 'False', 'True', 'false', 'false', '511181205791', 5, '峨秀村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181205791', 1, '2021-07-19 11:46:48', NULL, NULL), (15268, '', '仙山村委会', '170ad0b454b54ec896eb0aba3a61d8f9', '954d7868a6ff41dd87c2b522772aa875', 'False', 'True', 'false', 'false', '511181205924', 5, '仙山村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181205924', 1, '2021-07-19 11:46:48', NULL, NULL), (15269, '', '龙洞村委会', '79b4079e0e78486c9d6302c0a010029b', '954d7868a6ff41dd87c2b522772aa875', 'False', 'True', 'false', 'false', '511181205952', 5, '龙洞村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511181205952', 1, '2021-07-19 11:46:48', NULL, NULL), (15270, '', '马边彝族自治县', 'bff3257c6b954ae19c3de78a72bd234c', '9662d820bd8049d2bce41b2c66a0bd60', 'True', 'True', 'false', 'false', '511133000000', 3, '马边彝族自治县', 'lssmbx.sczwfw.gov.cn', 1, '2021-07-19 11:46:49', NULL, NULL), (15271, '', '民建镇', '50803c502f3b4664b5f430515bcf5ece', 'bff3257c6b954ae19c3de78a72bd234c', 'True', 'True', 'false', 'false', '511133100000', 4, '民建镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511133100000', 1, '2021-07-19 11:46:49', NULL, NULL), (15272, '', '马边彝族自治县民建镇高石头村', '08d36dc1b7af490a859f96362d07029b', '50803c502f3b4664b5f430515bcf5ece', 'False', 'True', 'false', 'false', '511133100212', 5, '高石头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133100212', 1, '2021-07-19 11:46:49', NULL, NULL), (15273, '', '马边彝族自治县民建镇民建社区', '4e2bfc583aca4405ae6ab99ae3907ccd', '50803c502f3b4664b5f430515bcf5ece', 'False', 'True', 'false', 'false', '511133100001', 5, '民建社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133100001', 1, '2021-07-19 11:46:49', NULL, NULL), (15274, '', '马边彝族自治县民建镇城南社区', '22af9b905d51429c998dcd17c9942574', '50803c502f3b4664b5f430515bcf5ece', 'False', 'True', 'false', 'false', '511133100002', 5, '城南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133100002', 1, '2021-07-19 11:46:49', NULL, NULL), (15275, '', '马边彝族自治县民建镇张坝社区', '3884786de7b34c3783bfec076a87b6b8', '50803c502f3b4664b5f430515bcf5ece', 'False', 'True', 'false', 'false', '511133100003', 5, '张坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133100003', 1, '2021-07-19 11:46:49', NULL, NULL), (15276, '', '马边彝族自治县民建镇光明社区', '5bd7ff710cc14586bd6a296d1822a71e', '50803c502f3b4664b5f430515bcf5ece', 'False', 'True', 'false', 'false', '511133100004', 5, '光明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133100004', 1, '2021-07-19 11:46:49', NULL, NULL), (15277, '', '马边彝族自治县民建镇红旗社区', '89b93f0102354a618fbe8f8d067810ac', '50803c502f3b4664b5f430515bcf5ece', 'False', 'True', 'false', 'false', '511133100005', 5, '红旗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133100005', 1, '2021-07-19 11:46:49', NULL, NULL), (15278, '', '马边彝族自治县民建镇西城社区', '62997cb28352479087e5ca772993d41f', '50803c502f3b4664b5f430515bcf5ece', 'False', 'True', 'false', 'false', '511133100205', 5, '西城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133100205', 1, '2021-07-19 11:46:49', NULL, NULL), (15279, '', '马边彝族自治县民建镇建新村', '3199953073ac49dda0d4b789ada724ec', '50803c502f3b4664b5f430515bcf5ece', 'False', 'True', 'false', 'false', '511133100206', 5, '建新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133100206', 1, '2021-07-19 11:46:49', NULL, NULL), (15280, '', '马边彝族自治县民建镇兴隆村', 'b9ee0ff59ad047d898d4fd8ff6155abd', '50803c502f3b4664b5f430515bcf5ece', 'False', 'True', 'false', 'false', '511133100207', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133100207', 1, '2021-07-19 11:46:49', NULL, NULL), (15281, '', '马边彝族自治县民建镇灯杆堡村', '37848caa9922429ca5f6c322bab7da32', '50803c502f3b4664b5f430515bcf5ece', 'False', 'True', 'false', 'false', '511133100209', 5, '灯杆堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133100209', 1, '2021-07-19 11:46:49', NULL, NULL), (15282, '', '马边彝族自治县民建镇水碾坝村', '91c9f84550764682b1aeab9752416927', '50803c502f3b4664b5f430515bcf5ece', 'False', 'True', 'false', 'false', '511133100210', 5, '水碾坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133100210', 1, '2021-07-19 11:46:49', NULL, NULL), (15283, '', '荣丁镇', '5459e14225c34af79a35fd892fd0c360', 'bff3257c6b954ae19c3de78a72bd234c', 'True', 'True', 'false', 'false', '511133101000', 4, '荣丁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511133101000', 1, '2021-07-19 11:46:49', NULL, NULL), (15284, '', '马边彝族自治县荣丁镇解放街社区', 'b41d4de054454920a5a61a1515a3fd9a', '5459e14225c34af79a35fd892fd0c360', 'False', 'True', 'false', 'false', '511133101001', 5, '解放街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133101001', 1, '2021-07-19 11:46:49', NULL, NULL), (15285, '', '马边彝族自治县荣丁镇新华村', '7bec1938bb704511bad4ca33d1bd8347', '5459e14225c34af79a35fd892fd0c360', 'False', 'True', 'false', 'false', '511133101201', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133101201', 1, '2021-07-19 11:46:49', NULL, NULL), (15286, '', '马边彝族自治县荣丁镇凤凰村', '3a1d5a2804d24e859dc079e9bf911f52', '5459e14225c34af79a35fd892fd0c360', 'False', 'True', 'false', 'false', '511133101205', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133101205', 1, '2021-07-19 11:46:49', NULL, NULL), (15287, '', '马边彝族自治县荣丁镇裕平村', '640f5cbf07b6421ba675d998e6d0f1ba', '5459e14225c34af79a35fd892fd0c360', 'False', 'True', 'false', 'false', '511133101208', 5, '裕坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133101208', 1, '2021-07-19 11:46:50', NULL, NULL), (15288, '', '马边彝族自治县荣丁镇马脑村', '9603104d679f412f912d033a01cd9138', '5459e14225c34af79a35fd892fd0c360', 'False', 'True', 'false', 'false', '511133101209', 5, '马脑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133101209', 1, '2021-07-19 11:46:50', NULL, NULL), (15289, '', '马边彝族自治县荣丁镇新桥村', '9accee35a3e0472a9cef7d7a8b5d28ba', '5459e14225c34af79a35fd892fd0c360', 'False', 'True', 'false', 'false', '511133101210', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133101210', 1, '2021-07-19 11:46:50', NULL, NULL), (15290, '', '马边彝族自治县荣丁镇光荣村', '2a2887ed58564cabb7eff654fdc04cd9', '5459e14225c34af79a35fd892fd0c360', 'False', 'True', 'false', 'false', '511133101213', 5, '光荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133101213', 1, '2021-07-19 11:46:50', NULL, NULL), (15291, '', '马边彝族自治县荣丁镇后池村', '5809d87c623c418c9600d28475180fcf', '5459e14225c34af79a35fd892fd0c360', 'False', 'True', 'false', 'false', '511133101215', 5, '后池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133101215', 1, '2021-07-19 11:46:50', NULL, NULL), (15292, '', '烟烽镇', '477651560d65449eab33bc3be3a3cb10', 'bff3257c6b954ae19c3de78a72bd234c', 'True', 'True', 'false', 'false', '511133104000', 4, '烟烽镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511133104000', 1, '2021-07-19 11:46:50', NULL, NULL), (15293, '', '马边彝族自治县烟峰镇烟峰社区', 'c934bdd612114961886b7d1042833bb3', '477651560d65449eab33bc3be3a3cb10', 'False', 'True', 'false', 'false', '511133104001', 5, '烟峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133104001', 1, '2021-07-19 11:46:50', NULL, NULL), (15294, '', '马边彝族自治县烟峰镇梅子弯村', 'b17b91a3b3014fa28db1becb61ffde98', '477651560d65449eab33bc3be3a3cb10', 'False', 'True', 'false', 'false', '511133104203', 5, '梅子弯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133104203', 1, '2021-07-19 11:46:50', NULL, NULL), (15295, '', '马边彝族自治县烟峰镇二坝村', 'a5eb1a7a6a424d72a2d42aff69e1bd69', '477651560d65449eab33bc3be3a3cb10', 'False', 'True', 'false', 'false', '511133104204', 5, '二坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133104204', 1, '2021-07-19 11:46:50', NULL, NULL), (15296, '', '马边彝族自治县烟峰镇白家弯村', '123150808ce14b1a99fc52c6add6f3ad', '477651560d65449eab33bc3be3a3cb10', 'False', 'True', 'false', 'false', '511133104206', 5, '白家弯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133104206', 1, '2021-07-19 11:46:50', NULL, NULL), (15297, '', '马边彝族自治县烟峰镇大风顶村', 'ea9aeaa856f54d70bdfd5d582c07d352', '477651560d65449eab33bc3be3a3cb10', 'False', 'True', 'false', 'false', '511133104210', 5, '大风顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133104210', 1, '2021-07-19 11:46:50', NULL, NULL), (15298, '', '苏坝镇', '8a901d1c9e04437190f008433db5ace2', 'bff3257c6b954ae19c3de78a72bd234c', 'True', 'True', 'false', 'false', '511133103000', 4, '苏坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511133103000', 1, '2021-07-19 11:46:50', NULL, NULL), (15299, '', '马边彝族自治县苏坝镇胜利社区', 'e0d719c91e15455a9e66307dda2f28a4', '8a901d1c9e04437190f008433db5ace2', 'False', 'True', 'false', 'false', '511133103001', 5, '胜利社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133103001', 1, '2021-07-19 11:46:51', NULL, NULL), (15300, '', '马边彝族自治县苏坝镇向阳村', '3de14c465b0c4befb04c17c6cc9c1b5e', '8a901d1c9e04437190f008433db5ace2', 'False', 'True', 'false', 'false', '511133103202', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133103202', 1, '2021-07-19 11:46:51', NULL, NULL), (15301, '', '马边彝族自治县苏坝镇前进村', '6407feb3166042cc8e9a628124e749bb', '8a901d1c9e04437190f008433db5ace2', 'False', 'True', 'false', 'false', '511133103203', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133103203', 1, '2021-07-19 11:46:51', NULL, NULL), (15302, '', '马边彝族自治县苏坝镇越胜村', 'f9f7af10f7954a7184ae2e43e31c70d6', '8a901d1c9e04437190f008433db5ace2', 'False', 'True', 'false', 'false', '511133103204', 5, '越胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133103204', 1, '2021-07-19 11:46:51', NULL, NULL), (15303, '', '马边彝族自治县苏坝镇峰溪村', '08bf98bc0e11447c93b4ecc9cb4a5bd5', '8a901d1c9e04437190f008433db5ace2', 'False', 'True', 'false', 'false', '511133103207', 5, '峰溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133103207', 1, '2021-07-19 11:46:51', NULL, NULL), (15304, '', '马边彝族自治县苏坝镇白杨槽村', 'be6ab32557ea4e4d89b17b8c15a6610f', '8a901d1c9e04437190f008433db5ace2', 'False', 'True', 'false', 'false', '511133103208', 5, '白杨槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133103208', 1, '2021-07-19 11:46:51', NULL, NULL), (15305, '', '马边彝族自治县苏坝镇庄家坝村', 'bf8974ef74b9401db9f18016d0d75f64', '8a901d1c9e04437190f008433db5ace2', 'False', 'True', 'false', 'false', '511133103210', 5, '庄家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133103210', 1, '2021-07-19 11:46:51', NULL, NULL), (15306, '', '马边彝族自治县苏坝镇袁家溪村', '2d96582c2279417f9676fccf19c7fe0a', '8a901d1c9e04437190f008433db5ace2', 'False', 'True', 'false', 'false', '511133103211', 5, '袁家溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133103211', 1, '2021-07-19 11:46:51', NULL, NULL), (15307, '', '马边彝族自治县苏坝镇额洛村', '1034455dcb8540e68ba5bf2febf98d9d', '8a901d1c9e04437190f008433db5ace2', 'False', 'True', 'false', 'false', '511133103212', 5, '额洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133103212', 1, '2021-07-19 11:46:51', NULL, NULL), (15308, '', '下溪镇', '5595d22e25ea4745831f0a5fa8aa5f50', 'bff3257c6b954ae19c3de78a72bd234c', 'True', 'True', 'false', 'false', '511133102000', 4, '下溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511133102000', 1, '2021-07-19 11:46:51', NULL, NULL), (15309, '', '马边彝族自治县下溪镇共和街社区', 'd704a5ecaadb434cba7c82e9e17b17be', '5595d22e25ea4745831f0a5fa8aa5f50', 'False', 'True', 'false', 'false', '511133102001', 5, '共和街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133102001', 1, '2021-07-19 11:46:51', NULL, NULL), (15310, '', '马边彝族自治县下溪镇观音岩村', '646751161f0a4fa086bd54e7d78829bd', '5595d22e25ea4745831f0a5fa8aa5f50', 'False', 'True', 'false', 'false', '511133102202', 5, '观音岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133102202', 1, '2021-07-19 11:46:51', NULL, NULL), (15311, '', '马边彝族自治县下溪镇大池塘村', '069d93f4222042fd92da1eacfc146ba9', '5595d22e25ea4745831f0a5fa8aa5f50', 'False', 'True', 'false', 'false', '511133102203', 5, '大池塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133102203', 1, '2021-07-19 11:46:51', NULL, NULL), (15312, '', '马边彝族自治县下溪镇鱼仓山村', '88726fad393c484b8c4814b5a9775f40', '5595d22e25ea4745831f0a5fa8aa5f50', 'False', 'True', 'false', 'false', '511133102209', 5, '鱼仓山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133102209', 1, '2021-07-19 11:46:51', NULL, NULL), (15313, '', '马边彝族自治县下溪镇金马村', 'd0fbf195aed14a3f87cf75b8661bb69c', '5595d22e25ea4745831f0a5fa8aa5f50', 'False', 'True', 'false', 'false', '511133102214', 5, '金马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133102214', 1, '2021-07-19 11:46:51', NULL, NULL), (15314, '', '马边彝族自治县下溪镇两河口村', '4d95be472e0f4e76bb300203d6da71c5', '5595d22e25ea4745831f0a5fa8aa5f50', 'False', 'True', 'false', 'false', '511133104214', 5, '两河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133104214', 1, '2021-07-19 11:46:52', NULL, NULL), (15315, '', '马边彝族自治县下溪镇石龙门村', '4a3fe8bc8ef245199a7e5fcb53cdafe7', '5595d22e25ea4745831f0a5fa8aa5f50', 'False', 'True', 'false', 'false', '511133104215', 5, '石龙门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133104215', 1, '2021-07-19 11:46:52', NULL, NULL), (15316, '', '劳动镇', '4fe0a507e9614851b20da46155cef331', 'bff3257c6b954ae19c3de78a72bd234c', 'True', 'True', 'false', 'false', '511133200000', 4, '劳动镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511133200000', 1, '2021-07-19 11:46:52', NULL, NULL), (15317, '', '马边彝族自治县劳动镇永和村', 'a22b0268377b4fdca21e69ed32eadd0c', '4fe0a507e9614851b20da46155cef331', 'False', 'True', 'false', 'false', '511133105214', 5, '永和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133105214', 1, '2021-07-19 11:46:52', NULL, NULL), (15318, '', '马边彝族自治县劳动镇团结村', '91399b03cbea43f7be0e90882d35aed6', '4fe0a507e9614851b20da46155cef331', 'False', 'True', 'false', 'false', '511133105216', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133105216', 1, '2021-07-19 11:46:52', NULL, NULL), (15319, '', '马边彝族自治县劳动镇高峰村', 'bd071c459cf1484b88321ca936e47887', '4fe0a507e9614851b20da46155cef331', 'False', 'True', 'false', 'false', '511133105217', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133105217', 1, '2021-07-19 11:46:52', NULL, NULL), (15320, '', '马边彝族自治县劳动镇龙沱沟村', '75afa71f401245349606396e0e9c7741', '4fe0a507e9614851b20da46155cef331', 'False', 'True', 'false', 'false', '511133105218', 5, '龙沱沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133105218', 1, '2021-07-19 11:46:52', NULL, NULL), (15321, '', '马边彝族自治县劳动镇珍珠桥村', 'e462b3efaf824cd3ba894f123b03626e', '4fe0a507e9614851b20da46155cef331', 'False', 'True', 'false', 'false', '511133105219', 5, '珍珠桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133105219', 1, '2021-07-19 11:46:52', NULL, NULL), (15322, '', '马边彝族自治县劳动镇柏香村', '5a16f9911d3d41dcbc6ae47482ff7010', '4fe0a507e9614851b20da46155cef331', 'False', 'True', 'false', 'false', '511133200203', 5, '柏香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133200203', 1, '2021-07-19 11:46:52', NULL, NULL), (15323, '', '马边彝族自治县劳动镇金星村', 'cc77018e4413488ab8732855ed7deaf0', '4fe0a507e9614851b20da46155cef331', 'False', 'True', 'false', 'false', '511133200204', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133200204', 1, '2021-07-19 11:46:52', NULL, NULL), (15324, '', '马边彝族自治县劳动镇笆子房村', 'deb75480baaf45ca9e78647150de85c6', '4fe0a507e9614851b20da46155cef331', 'False', 'True', 'false', 'false', '511133200205', 5, '笆子房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133200205', 1, '2021-07-19 11:46:52', NULL, NULL), (15325, '', '马边彝族自治县劳动镇先锋村', 'cb6cacf6dccb4419a994ea451b417e6c', '4fe0a507e9614851b20da46155cef331', 'False', 'True', 'false', 'false', '511133200206', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133200206', 1, '2021-07-19 11:46:52', NULL, NULL), (15326, '', '马边彝族自治县劳动镇福来村', '4b517104702f4df5a34d13273f083ace', '4fe0a507e9614851b20da46155cef331', 'False', 'True', 'false', 'false', '511133200208', 5, '福来村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133200208', 1, '2021-07-19 11:46:52', NULL, NULL), (15327, '', '马边彝族自治县劳动镇柏林村', 'eaa3faef1fa64c67ae385f5a2c6f759f', '4fe0a507e9614851b20da46155cef331', 'False', 'True', 'false', 'false', '511133200210', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133200210', 1, '2021-07-19 11:46:52', NULL, NULL), (15328, '', '马边彝族自治县劳动镇红椿村', '675f97f27fe64eb1800beec448e1cbde', '4fe0a507e9614851b20da46155cef331', 'False', 'True', 'false', 'false', '511133200213', 5, '红椿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133200213', 1, '2021-07-19 11:46:52', NULL, NULL), (15329, '', '荍坝镇', 'c6de4407a5db413b84d89b968b4e58a0', 'bff3257c6b954ae19c3de78a72bd234c', 'True', 'True', 'false', 'false', '511133204000', 4, '荍坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511133204000', 1, '2021-07-19 11:46:52', NULL, NULL), (15330, '', '马边彝族自治县荍坝镇惠定村', 'b167036e68434cb19e1e9cfa92b4b0ac', 'c6de4407a5db413b84d89b968b4e58a0', 'False', 'True', 'false', 'false', '511133106217', 5, '惠定村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133106217', 1, '2021-07-19 11:46:52', NULL, NULL), (15331, '', '马边彝族自治县荍坝镇桃溪村', 'b29f6fc358574b1db26d41bd0c381a92', 'c6de4407a5db413b84d89b968b4e58a0', 'False', 'True', 'false', 'false', '511133106218', 5, '桃溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133106218', 1, '2021-07-19 11:46:52', NULL, NULL), (15332, '', '马边彝族自治县荍坝镇灯塔村', 'ddf206bfd7c14b24a1de2a49bb8020f9', 'c6de4407a5db413b84d89b968b4e58a0', 'False', 'True', 'false', 'false', '511133106219', 5, '灯塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133106219', 1, '2021-07-19 11:46:53', NULL, NULL), (15333, '', '马边彝族自治县荍坝镇石丈空村', '0e99d50e15134425adef00346632f712', 'c6de4407a5db413b84d89b968b4e58a0', 'False', 'True', 'false', 'false', '511133204201', 5, '石丈空村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133204201', 1, '2021-07-19 11:46:53', NULL, NULL), (15334, '', '马边彝族自治县荍坝镇双河村', 'ab10496308244016a9d05a8349fc95c4', 'c6de4407a5db413b84d89b968b4e58a0', 'False', 'True', 'false', 'false', '511133204203', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133204203', 1, '2021-07-19 11:46:53', NULL, NULL), (15335, '', '马边彝族自治县荍坝镇茶叶村', '811870e9d97649eabba7207ec63aba64', 'c6de4407a5db413b84d89b968b4e58a0', 'False', 'True', 'false', 'false', '511133204204', 5, '茶叶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133204204', 1, '2021-07-19 11:46:53', NULL, NULL), (15336, '', '马边彝族自治县荍坝镇会步村', 'cbf29625682c467889188cb4e087a073', 'c6de4407a5db413b84d89b968b4e58a0', 'False', 'True', 'false', 'false', '511133204205', 5, '会步村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133204205', 1, '2021-07-19 11:46:53', NULL, NULL), (15337, '', '马边彝族自治县荍坝镇龙桥村', 'ee86fb2f69e64c28b46c00a3d973b201', 'c6de4407a5db413b84d89b968b4e58a0', 'False', 'True', 'false', 'false', '511133204207', 5, '龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133204207', 1, '2021-07-19 11:46:53', NULL, NULL), (15338, '', '马边彝族自治县荍坝镇东升村', '4775ec768d5b4e978c088f65d52397f3', 'c6de4407a5db413b84d89b968b4e58a0', 'False', 'True', 'false', 'false', '511133204210', 5, '东升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133204210', 1, '2021-07-19 11:46:53', NULL, NULL), (15339, '', '马边彝族自治县荍坝镇金华村', 'a64eaeeec7ce427e9eb8d2edba0a39da', 'c6de4407a5db413b84d89b968b4e58a0', 'False', 'True', 'false', 'false', '511133204213', 5, '金华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133204213', 1, '2021-07-19 11:46:53', NULL, NULL), (15340, '', '建设镇', '31a268360b0f4fd28c04b9d00b285aac', 'bff3257c6b954ae19c3de78a72bd234c', 'True', 'True', 'false', 'false', '511133201000', 4, '建设镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511133201000', 1, '2021-07-19 11:46:53', NULL, NULL), (15341, '', '马边彝族自治县建设镇春林村', 'ba43077e83bb41c78a943cb90741a37f', '31a268360b0f4fd28c04b9d00b285aac', 'False', 'True', 'false', 'false', '511133107208', 5, '春林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133107208', 1, '2021-07-19 11:46:53', NULL, NULL), (15342, '', '马边彝族自治县建设镇三溪村', 'f75df5cc82d84eb593167ba5abe2c03f', '31a268360b0f4fd28c04b9d00b285aac', 'False', 'True', 'false', 'false', '511133201201', 5, '三溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133201201', 1, '2021-07-19 11:46:53', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (15343, '', '马边彝族自治县建设镇光辉村', 'cfa86df36938491387e0593f03d0d0c5', '31a268360b0f4fd28c04b9d00b285aac', 'False', 'True', 'false', 'false', '511133201205', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133201205', 1, '2021-07-19 11:46:53', NULL, NULL), (15344, '', '马边彝族自治县建设镇联河村', 'f68cdf3cc78d40a984fea5116fd9156e', '31a268360b0f4fd28c04b9d00b285aac', 'False', 'True', 'false', 'false', '511133201211', 5, '联河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133201211', 1, '2021-07-19 11:46:53', NULL, NULL), (15345, '', '马边彝族自治县建设镇黄茅埂村', '229ecc9744ce41da893c8e4f56027f38', '31a268360b0f4fd28c04b9d00b285aac', 'False', 'True', 'false', 'false', '511133201215', 5, '黄茅埂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133201215', 1, '2021-07-19 11:46:54', NULL, NULL), (15346, '', '马边彝族自治县建设镇弯儿沟村', '0b6600b8a9e9423a8b2b5967620d74f6', '31a268360b0f4fd28c04b9d00b285aac', 'False', 'True', 'false', 'false', '511133201216', 5, '弯儿沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133201216', 1, '2021-07-19 11:46:54', NULL, NULL), (15347, '', '民主镇', 'a61c063a77354b2c9bff40fb3823c5bb', 'bff3257c6b954ae19c3de78a72bd234c', 'True', 'True', 'false', 'false', '511133206000', 4, '民主镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511133206000', 1, '2021-07-19 11:46:54', NULL, NULL), (15348, '', '马边彝族自治县民主镇丰产村', '530d8ae245b5497da4bfe25521ccd072', 'a61c063a77354b2c9bff40fb3823c5bb', 'False', 'True', 'false', 'false', '511133206201', 5, '丰产村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133206201', 1, '2021-07-19 11:46:54', NULL, NULL), (15349, '', '马边彝族自治县民主镇光华村', 'e8ace9ec48b84effa083968ee60cf1c0', 'a61c063a77354b2c9bff40fb3823c5bb', 'False', 'True', 'false', 'false', '511133206203', 5, '光华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133206203', 1, '2021-07-19 11:46:54', NULL, NULL), (15350, '', '马边彝族自治县民主镇东湾村', 'eb56cbd7d94742ac8ab21c716066e659', 'a61c063a77354b2c9bff40fb3823c5bb', 'False', 'True', 'false', 'false', '511133206207', 5, '东湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133206207', 1, '2021-07-19 11:46:54', NULL, NULL), (15351, '', '马边彝族自治县民主镇龙秧坪村', 'e14d22f2725a45d5a578d4fe217629d6', 'a61c063a77354b2c9bff40fb3823c5bb', 'False', 'True', 'false', 'false', '511133206210', 5, '龙秧坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133206210', 1, '2021-07-19 11:46:54', NULL, NULL), (15352, '', '马边彝族自治县民主镇大田村', 'addc8bad0a174bf88c09e5ca62b4b4d9', 'a61c063a77354b2c9bff40fb3823c5bb', 'False', 'True', 'false', 'false', '511133206211', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133206211', 1, '2021-07-19 11:46:54', NULL, NULL), (15353, '', '马边彝族自治县民主镇雪峰村', '45ad60f9c8f74a5db511c7c9d76618fb', 'a61c063a77354b2c9bff40fb3823c5bb', 'False', 'True', 'false', 'false', '511133206212', 5, '雪峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133206212', 1, '2021-07-19 11:46:54', NULL, NULL), (15354, '', '马边彝族自治县民主镇小谷溪村', '31ba9bc9fde149e2b223b4e587431643', 'a61c063a77354b2c9bff40fb3823c5bb', 'False', 'True', 'false', 'false', '511133206213', 5, '小谷溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133206213', 1, '2021-07-19 11:46:54', NULL, NULL), (15355, '', '马边彝族自治县民主镇玛瑙村', 'cdc14bf499e54403a30be3ec0fd3c174', 'a61c063a77354b2c9bff40fb3823c5bb', 'False', 'True', 'false', 'false', '511133206215', 5, '玛瑙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133206215', 1, '2021-07-19 11:46:54', NULL, NULL), (15356, '', '梅林镇', '3b9bb5cee88b4745b983d4169592c10f', 'bff3257c6b954ae19c3de78a72bd234c', 'True', 'True', 'false', 'false', '511133216000', 4, '梅林镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511133216000', 1, '2021-07-19 11:46:54', NULL, NULL), (15357, '', '马边彝族自治县梅林镇梅子坝村', '12fff1c4d18f4994b048f41d2d778d53', '3b9bb5cee88b4745b983d4169592c10f', 'False', 'True', 'false', 'false', '511133109207', 5, '梅子坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133109207', 1, '2021-07-19 11:46:54', NULL, NULL), (15358, '', '马边彝族自治县梅林镇瓦曲窝村', '1d904835c9d245c4a1b246b8771cde73', '3b9bb5cee88b4745b983d4169592c10f', 'False', 'True', 'false', 'false', '511133109208', 5, '瓦曲窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133109208', 1, '2021-07-19 11:46:54', NULL, NULL), (15359, '', '马边彝族自治县梅林镇瓦侯库村', 'f686be10e52e434994563c002a1f3bd5', '3b9bb5cee88b4745b983d4169592c10f', 'False', 'True', 'false', 'false', '511133109209', 5, '瓦侯库村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133109209', 1, '2021-07-19 11:46:55', NULL, NULL), (15360, '', '马边彝族自治县梅林镇楠木坪村', 'e5d4e07bd9e74e578697e7000a4ff8bc', '3b9bb5cee88b4745b983d4169592c10f', 'False', 'True', 'false', 'false', '511133109210', 5, '楠木坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133109210', 1, '2021-07-19 11:46:55', NULL, NULL), (15361, '', '马边彝族自治县梅林镇沙腔村', '141a91f2961a4943b0dcad6d1013f56f', '3b9bb5cee88b4745b983d4169592c10f', 'False', 'True', 'false', 'false', '511133216201', 5, '沙腔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133216201', 1, '2021-07-19 11:46:55', NULL, NULL), (15362, '', '马边彝族自治县梅林镇干田坝村', 'f2c34bf6be6c472299d03a49ad115503', '3b9bb5cee88b4745b983d4169592c10f', 'False', 'True', 'false', 'false', '511133216202', 5, '干田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133216202', 1, '2021-07-19 11:46:55', NULL, NULL), (15363, '', '马边彝族自治县梅林镇鄢家碉村', 'e84dfb8deca94c658865955392b170af', '3b9bb5cee88b4745b983d4169592c10f', 'False', 'True', 'false', 'false', '511133216204', 5, '鄢家碉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133216204', 1, '2021-07-19 11:46:55', NULL, NULL), (15364, '', '马边彝族自治县梅林镇核桃坪村', 'c6d01b8d544f4daf94953f2450e56e31', '3b9bb5cee88b4745b983d4169592c10f', 'False', 'True', 'false', 'false', '511133216205', 5, '核桃坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133216205', 1, '2021-07-19 11:46:55', NULL, NULL), (15365, '', '马边彝族自治县梅林镇二坪村', '11e4b3e7246249f0ad5a940fa8b88037', '3b9bb5cee88b4745b983d4169592c10f', 'False', 'True', 'false', 'false', '511133216206', 5, '二坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133216206', 1, '2021-07-19 11:46:55', NULL, NULL), (15366, '', '雪口山镇', 'ce947ade6bf14ede8ecb2b64554507d1', 'bff3257c6b954ae19c3de78a72bd234c', 'True', 'True', 'false', 'false', '511133209000', 4, '雪口山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511133209000', 1, '2021-07-19 11:46:55', NULL, NULL), (15367, '', '马边彝族自治县雪口山镇羊店儿村', '5c08b0418d2448e0a71d700cb14dfb31', 'ce947ade6bf14ede8ecb2b64554507d1', 'False', 'True', 'false', 'false', '511133209203', 5, '羊店儿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133209203', 1, '2021-07-19 11:46:55', NULL, NULL), (15368, '', '马边彝族自治县雪口山镇谢家岩村', '99dfd94869124908a5dedc78ec19a91c', 'ce947ade6bf14ede8ecb2b64554507d1', 'False', 'True', 'false', 'false', '511133209204', 5, '谢家岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133209204', 1, '2021-07-19 11:46:55', NULL, NULL), (15369, '', '马边彝族自治县雪口山镇黎明村', 'dd4e532f08d047d39f747dc5dca77105', 'ce947ade6bf14ede8ecb2b64554507d1', 'False', 'True', 'false', 'false', '511133209206', 5, '黎明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133209206', 1, '2021-07-19 11:46:55', NULL, NULL), (15370, '', '马边彝族自治县雪口山镇拦马埂村', '20877823ab104791ae43a0912a972e4a', 'ce947ade6bf14ede8ecb2b64554507d1', 'False', 'True', 'false', 'false', '511133209208', 5, '拦马埂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133209208', 1, '2021-07-19 11:46:55', NULL, NULL), (15371, '', '马边彝族自治县雪口山镇永兴村', '2a7acd8fb8174c619ea8496759c3f697', 'ce947ade6bf14ede8ecb2b64554507d1', 'False', 'True', 'false', 'false', '511133209209', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133209209', 1, '2021-07-19 11:46:55', NULL, NULL), (15372, '', '马边彝族自治县雪口山镇田儿弯村', '6b257f2e603c4e739375fd405cbc28c9', 'ce947ade6bf14ede8ecb2b64554507d1', 'False', 'True', 'false', 'false', '511133209210', 5, '田儿弯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133209210', 1, '2021-07-19 11:46:56', NULL, NULL), (15373, '', '马边彝族自治县雪口山镇天花水村', '0fbae394c8794fd4a637f2978f4722dd', 'ce947ade6bf14ede8ecb2b64554507d1', 'False', 'True', 'false', 'false', '511133209213', 5, '天花水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133209213', 1, '2021-07-19 11:46:56', NULL, NULL), (15374, '', '马边彝族自治县雪口山镇温水凼村', '14f9fe92227043ae866956780c4d6e13', 'ce947ade6bf14ede8ecb2b64554507d1', 'False', 'True', 'false', 'false', '511133209216', 5, '温水凼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133209216', 1, '2021-07-19 11:46:56', NULL, NULL), (15375, '', '三河口镇', '9edd5bd75b5142ac843b02d2f71de009', 'bff3257c6b954ae19c3de78a72bd234c', 'True', 'True', 'false', 'false', '511133217000', 4, '三河口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511133217000', 1, '2021-07-19 11:46:56', NULL, NULL), (15376, '', '马边彝族自治县三河口镇三河口村', '020ba3e423434cbe84249e5e5db03ab5', '9edd5bd75b5142ac843b02d2f71de009', 'False', 'True', 'false', 'false', '511133217201', 5, '三河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133217201', 1, '2021-07-19 11:46:56', NULL, NULL), (15377, '', '马边彝族自治县三河口镇扇子弯村', 'b7e7541ea5fc42cfb350d76163c98e58', '9edd5bd75b5142ac843b02d2f71de009', 'False', 'True', 'false', 'false', '511133217203', 5, '扇子弯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133217203', 1, '2021-07-19 11:46:56', NULL, NULL), (15378, '', '马边彝族自治县三河口镇白岩子村', '8130c2d79f624b64abb44ce8b208302c', '9edd5bd75b5142ac843b02d2f71de009', 'False', 'True', 'false', 'false', '511133217204', 5, '白岩子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133217204', 1, '2021-07-19 11:46:56', NULL, NULL), (15379, '', '马边彝族自治县三河口镇月儿坝村', 'a5c57174c5284dffbacb2a9d01572f5f', '9edd5bd75b5142ac843b02d2f71de009', 'False', 'True', 'false', 'false', '511133217205', 5, '月儿坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133217205', 1, '2021-07-19 11:46:56', NULL, NULL), (15380, '', '马边彝族自治县三河口镇星星村', '44cd74c098a840bb9190ada811cf919d', '9edd5bd75b5142ac843b02d2f71de009', 'False', 'True', 'false', 'false', '511133217206', 5, '星星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133217206', 1, '2021-07-19 11:46:56', NULL, NULL), (15381, '', '马边彝族自治县三河口镇涉水坝村', 'a13c901450af4769b65ac88895123c78', '9edd5bd75b5142ac843b02d2f71de009', 'False', 'True', 'false', 'false', '511133217208', 5, '涉水坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133217208', 1, '2021-07-19 11:46:56', NULL, NULL), (15382, '', '马边彝族自治县三河口镇先家普村', 'd393879bc23845e4bcf4e693ffcf2273', '9edd5bd75b5142ac843b02d2f71de009', 'False', 'True', 'false', 'false', '511133217210', 5, '先家普村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133217210', 1, '2021-07-19 11:46:56', NULL, NULL), (15383, '', '马边彝族自治县三河口镇金家沟村', '6e1d9d535e1b441b9aef1d12a025e593', '9edd5bd75b5142ac843b02d2f71de009', 'False', 'True', 'false', 'false', '511133217212', 5, '金家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133217212', 1, '2021-07-19 11:46:56', NULL, NULL), (15384, '', '大竹堡乡', '3cc0a851e12a4bd38d4ac6f5897b52a6', 'bff3257c6b954ae19c3de78a72bd234c', 'True', 'True', 'false', 'false', '511133211000', 4, '大竹堡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511133211000', 1, '2021-07-19 11:46:56', NULL, NULL), (15385, '', '马边彝族自治县大竹堡乡新山村', '4ab85da0939d479f8b93ac769f88158c', '3cc0a851e12a4bd38d4ac6f5897b52a6', 'False', 'True', 'false', 'false', '511133211202', 5, '新山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133211202', 1, '2021-07-19 11:46:56', NULL, NULL), (15386, '', '马边彝族自治县大竹堡乡白岩弯村', 'add3fcf127be4e1cb646cd50ef03f1ce', '3cc0a851e12a4bd38d4ac6f5897b52a6', 'False', 'True', 'false', 'false', '511133211205', 5, '白岩弯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133211205', 1, '2021-07-19 11:46:57', NULL, NULL), (15387, '', '马边彝族自治县大竹堡乡朝阳坪村', '1bfde2f1368442a59e86a10231485201', '3cc0a851e12a4bd38d4ac6f5897b52a6', 'False', 'True', 'false', 'false', '511133211206', 5, '朝阳坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133211206', 1, '2021-07-19 11:46:57', NULL, NULL), (15388, '', '高卓营乡', '9c52ae56c3e24822a0fac4c4ee4c986c', 'bff3257c6b954ae19c3de78a72bd234c', 'True', 'True', 'false', 'false', '511133223000', 4, '高卓营乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511133223000', 1, '2021-07-19 11:46:57', NULL, NULL), (15389, '', '马边彝族自治县高卓营乡高卓营村', '6dd261faf39a4af78c37cf7765f364f7', '9c52ae56c3e24822a0fac4c4ee4c986c', 'False', 'True', 'false', 'false', '511133223201', 5, '高卓营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133223201', 1, '2021-07-19 11:46:57', NULL, NULL), (15390, '', '马边彝族自治县高卓营乡稀泥沟村', '9211658b003449eaa68a23f78835427d', '9c52ae56c3e24822a0fac4c4ee4c986c', 'False', 'True', 'false', 'false', '511133223202', 5, '稀泥沟', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133223202', 1, '2021-07-19 11:46:57', NULL, NULL), (15391, '', '马边彝族自治县高卓营乡干溪拉达村', '551c3e658cb04343889e25be82c4bb87', '9c52ae56c3e24822a0fac4c4ee4c986c', 'False', 'True', 'false', 'false', '511133223205', 5, '干溪拉达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133223205', 1, '2021-07-19 11:46:57', NULL, NULL), (15392, '', '马边彝族自治县高卓营乡大院子村', '1e45af98903c41c190a9c1df9741f880', '9c52ae56c3e24822a0fac4c4ee4c986c', 'False', 'True', 'false', 'false', '511133223206', 5, '大院子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133223206', 1, '2021-07-19 11:46:57', NULL, NULL), (15393, '', '马边彝族自治县高卓营乡大河坝村', '5169297b997542a1aeb6cadb63266ab9', '9c52ae56c3e24822a0fac4c4ee4c986c', 'False', 'True', 'false', 'false', '511133223207', 5, '大河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133223207', 1, '2021-07-19 11:46:57', NULL, NULL), (15394, '', '永红乡', 'e83bab9f273e4a3f9510d790f31dc326', 'bff3257c6b954ae19c3de78a72bd234c', 'True', 'True', 'false', 'false', '511133226000', 4, '永红乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511133226000', 1, '2021-07-19 11:46:57', NULL, NULL), (15395, '', '马边彝族自治县永红乡罗垮村', '9f0b4e317ce5424793bc6c60fa481f2e', 'e83bab9f273e4a3f9510d790f31dc326', 'False', 'True', 'false', 'false', '511133226201', 5, '罗垮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133226201', 1, '2021-07-19 11:46:57', NULL, NULL), (15396, '', '马边彝族自治县永红乡五马村', '6ad3b3ad5f4d4674a7e8f12b47295853', 'e83bab9f273e4a3f9510d790f31dc326', 'False', 'True', 'false', 'false', '511133226202', 5, '五马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133226202', 1, '2021-07-19 11:46:57', NULL, NULL), (15397, '', '马边彝族自治县永红乡团包子村', '4da47a5e0b054be99fe72b8d8c35b345', 'e83bab9f273e4a3f9510d790f31dc326', 'False', 'True', 'false', 'false', '511133226203', 5, '团包子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133226203', 1, '2021-07-19 11:46:57', NULL, NULL), (15398, '', '马边彝族自治县永红乡柱上村', '1e4acbc6bae64b649493cd701a0b771c', 'e83bab9f273e4a3f9510d790f31dc326', 'False', 'True', 'false', 'false', '511133226206', 5, '柱上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511133226206', 1, '2021-07-19 11:46:57', NULL, NULL), (15399, '', '井研县', '65b758b3bda64410917833c9f9e2b594', '9662d820bd8049d2bce41b2c66a0bd60', 'True', 'True', 'false', 'false', '511124000000', 3, '井研县', 'lssjyx.sczwfw.gov.cn', 1, '2021-07-19 11:46:57', NULL, NULL), (15400, '', '研城街道', 'f5fe44c3d954432490059ab12e758407', '65b758b3bda64410917833c9f9e2b594', 'True', 'True', 'false', 'false', '511124100000', 4, '研城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511124100000', 1, '2021-07-19 11:46:57', NULL, NULL), (15401, '', '夏家桥社区', 'b691ff0beff34fa7aa8e1851d453cbdc', 'f5fe44c3d954432490059ab12e758407', 'False', 'True', 'false', 'false', '511124100068', 5, '夏家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124100068', 1, '2021-07-19 11:46:57', NULL, NULL), (15402, '', '五龙井村', 'c73fdae08d484150bac813f84f602b2d', 'f5fe44c3d954432490059ab12e758407', 'False', 'True', 'false', 'false', '511124100349', 5, '五龙井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124100349', 1, '2021-07-19 11:46:57', NULL, NULL), (15403, '', '五谷村', '1390678b87904d4c9e77ad81d0060956', 'f5fe44c3d954432490059ab12e758407', 'False', 'True', 'false', 'false', '511124100749', 5, '五谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124100749', 1, '2021-07-19 11:46:57', NULL, NULL), (15404, '', '建设路社区', '273d322ccf874bf8a29d490560aa67f0', 'f5fe44c3d954432490059ab12e758407', 'False', 'True', 'false', 'false', '511124100830', 5, '建设路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124100830', 1, '2021-07-19 11:46:58', NULL, NULL), (15405, '', '城南社区', '6e36ab6d300947178e7a39540a4d2519', 'f5fe44c3d954432490059ab12e758407', 'False', 'True', 'false', 'false', '511124100832', 5, '城南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124100832', 1, '2021-07-19 11:46:58', NULL, NULL), (15406, '', '民主街社区', 'bc242895bc7c4e82aaeb7d8a2ba2fbe2', 'f5fe44c3d954432490059ab12e758407', 'False', 'True', 'false', 'false', '511124100839', 5, '民主街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124100839', 1, '2021-07-19 11:46:58', NULL, NULL), (15407, '', '白塔街社区', 'a05c923a3be342888fa1f6a5777541e2', 'f5fe44c3d954432490059ab12e758407', 'False', 'True', 'false', 'false', '511124100852', 5, '白塔街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124100852', 1, '2021-07-19 11:46:58', NULL, NULL), (15408, '', '和平街社区', 'ee924667415b42b992e3015caa9e1832', 'f5fe44c3d954432490059ab12e758407', 'False', 'True', 'false', 'false', '511124100855', 5, '和平街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124100855', 1, '2021-07-19 11:46:58', NULL, NULL), (15409, '', '高滩村', '6dcebca9e6ef4dce8e7402d27fa5267f', 'f5fe44c3d954432490059ab12e758407', 'False', 'True', 'false', 'false', '511124100938', 5, '高滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124100938', 1, '2021-07-19 11:46:58', NULL, NULL), (15410, '', '顺河街社区', '28bedc24c8ef47f8b4c9e9dd037258c1', 'f5fe44c3d954432490059ab12e758407', 'False', 'True', 'false', 'false', '511124100973', 5, '顺河街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124100973', 1, '2021-07-19 11:46:58', NULL, NULL), (15411, '', '飞跃村', 'aff3f8efd78c4818af4df364a54b465c', 'f5fe44c3d954432490059ab12e758407', 'False', 'True', 'false', 'false', '511124100319', 5, '飞跃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124100319', 1, '2021-07-19 11:46:58', NULL, NULL), (15412, '', '同心村', 'fee97eeab16b40faa44e2fa8e0c37060', 'f5fe44c3d954432490059ab12e758407', 'False', 'True', 'false', 'false', '511124100382', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124100382', 1, '2021-07-19 11:46:58', NULL, NULL), (15413, '', '新兴村', 'e83413f3fcb246e5bc112a31c9563448', 'f5fe44c3d954432490059ab12e758407', 'False', 'True', 'false', 'false', '511124100385', 5, '新兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124100385', 1, '2021-07-19 11:46:58', NULL, NULL), (15414, '', '新道路村', 'e01dcf0b0ff14231b5c4885e0a396172', 'f5fe44c3d954432490059ab12e758407', 'False', 'True', 'false', 'false', '511124100640', 5, '新道路村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124100640', 1, '2021-07-19 11:46:58', NULL, NULL), (15415, '', '高坡村', 'ac40cccf1a014f5bbbb085795fdcb531', 'f5fe44c3d954432490059ab12e758407', 'False', 'True', 'false', 'false', '511124100731', 5, '高坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124100731', 1, '2021-07-19 11:46:58', NULL, NULL), (15416, '', '幸福来村', 'a05cd8dc30e84a9caf64be22993dfcca', 'f5fe44c3d954432490059ab12e758407', 'False', 'True', 'false', 'false', '511124100751', 5, '幸福来村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124100751', 1, '2021-07-19 11:46:58', NULL, NULL), (15417, '', '建新村', 'dc1ed3eff14e4ddeaaf4ef5a0a0856e9', 'f5fe44c3d954432490059ab12e758407', 'False', 'True', 'false', 'false', '511124100936', 5, '建新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124100936', 1, '2021-07-19 11:46:58', NULL, NULL), (15418, '', '马踏镇', '70f15b15732349f994e0ebdb08a4983d', '65b758b3bda64410917833c9f9e2b594', 'True', 'True', 'false', 'false', '511124101000', 4, '马踏镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511124101000', 1, '2021-07-19 11:46:59', NULL, NULL), (15419, '', '马踏街社区', '00f2febd80ed455491e8797dc082c597', '70f15b15732349f994e0ebdb08a4983d', 'False', 'True', 'false', 'false', '511124101013', 5, '马踏街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124101013', 1, '2021-07-19 11:46:59', NULL, NULL), (15420, '', '四合村', '997d6d3a5ce5454aaa78997624cb41c3', '70f15b15732349f994e0ebdb08a4983d', 'False', 'True', 'false', 'false', '511124101221', 5, '四合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124101221', 1, '2021-07-19 11:46:59', NULL, NULL), (15421, '', '里仁村', '2d39b30399d24463a8efe9249d9503cc', '70f15b15732349f994e0ebdb08a4983d', 'False', 'True', 'false', 'false', '511124101264', 5, '里仁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124101264', 1, '2021-07-19 11:46:59', NULL, NULL), (15422, '', '七盘山村', '4793c7ca70d8463397388f3cbccad76a', '70f15b15732349f994e0ebdb08a4983d', 'False', 'True', 'false', 'false', '511124101576', 5, '七盘山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124101576', 1, '2021-07-19 11:46:59', NULL, NULL), (15423, '', '黄钵井村', '836b6aa1e1c54ec4b108b8266d9decf0', '70f15b15732349f994e0ebdb08a4983d', 'False', 'True', 'false', 'false', '511124101956', 5, '黄钵井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124101956', 1, '2021-07-19 11:46:59', NULL, NULL), (15424, '', '南河村', 'ec4d593ad7884cb19542ea4c0b8d1e54', '70f15b15732349f994e0ebdb08a4983d', 'False', 'True', 'false', 'false', '511124101194', 5, '南河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124101194', 1, '2021-07-19 11:46:59', NULL, NULL), (15425, '', '八一村', '2990238ab77e4d46b0a9764a03e1e8eb', '70f15b15732349f994e0ebdb08a4983d', 'False', 'True', 'false', 'false', '511124101325', 5, '八一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124101325', 1, '2021-07-19 11:46:59', NULL, NULL), (15426, '', '清和村', '0f256dd1971a4d22aa9fbede07980f38', '70f15b15732349f994e0ebdb08a4983d', 'False', 'True', 'false', 'false', '511124101338', 5, '清和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124101338', 1, '2021-07-19 11:46:59', NULL, NULL), (15427, '', '桥咡井村', '025533e09b894d20bdf8c3df2127d8b0', '70f15b15732349f994e0ebdb08a4983d', 'False', 'True', 'false', 'false', '511124101359', 5, '桥咡井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124101359', 1, '2021-07-19 11:46:59', NULL, NULL), (15428, '', '马踏村', '70749a26daa4451ba8b58e659085d19a', '70f15b15732349f994e0ebdb08a4983d', 'False', 'True', 'false', 'false', '511124101676', 5, '马踏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124101676', 1, '2021-07-19 11:46:59', NULL, NULL), (15429, '', '红五月村', 'e16f4bacfc26402d853294d678f5eb24', '70f15b15732349f994e0ebdb08a4983d', 'False', 'True', 'false', 'false', '511124101813', 5, '红五月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124101813', 1, '2021-07-19 11:46:59', NULL, NULL), (15430, '', '石泉村', '71063f43b63d4a5da3cfa89d55fe8069', '70f15b15732349f994e0ebdb08a4983d', 'False', 'True', 'false', 'false', '511124101966', 5, '石泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124101966', 1, '2021-07-19 11:46:59', NULL, NULL), (15431, '', '竹园镇', 'b8833a94cc274a9484a922bbb56de56a', '65b758b3bda64410917833c9f9e2b594', 'True', 'True', 'false', 'false', '511124102000', 4, '竹园镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511124102000', 1, '2021-07-19 11:46:59', NULL, NULL), (15432, '', '大胜村', '01270e5c23704ffdb0dd5ed655707cd0', 'b8833a94cc274a9484a922bbb56de56a', 'False', 'True', 'false', 'false', '511124102150', 5, '大胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124102150', 1, '2021-07-19 11:47:00', NULL, NULL), (15433, '', '石牛村', '5bd95167d200441198595fef6132e048', 'b8833a94cc274a9484a922bbb56de56a', 'False', 'True', 'false', 'false', '511124102372', 5, '石牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124102372', 1, '2021-07-19 11:47:00', NULL, NULL), (15434, '', '竹园街社区', '0a7924436e6b42c2876e2624452e5a33', 'b8833a94cc274a9484a922bbb56de56a', 'False', 'True', 'false', 'false', '511124102516', 5, '竹园街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124102516', 1, '2021-07-19 11:47:00', NULL, NULL), (15435, '', '胜泉村', 'deaaffe21d954654a87c7898036b9d5c', 'b8833a94cc274a9484a922bbb56de56a', 'False', 'True', 'false', 'false', '511124102560', 5, '胜泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124102560', 1, '2021-07-19 11:47:00', NULL, NULL), (15436, '', '竹林村', '9aabfefada274859b54aeebd09e8333e', 'b8833a94cc274a9484a922bbb56de56a', 'False', 'True', 'false', 'false', '511124102904', 5, '竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124102904', 1, '2021-07-19 11:47:00', NULL, NULL), (15437, '', '德银村', '6c1183cb24724550b04107fa6e1c8e0f', 'b8833a94cc274a9484a922bbb56de56a', 'False', 'True', 'false', 'false', '511124102105', 5, '德银村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124102105', 1, '2021-07-19 11:47:00', NULL, NULL), (15438, '', '大坪村', '4aa47fff7f394b4d819e357bf8e5deed', 'b8833a94cc274a9484a922bbb56de56a', 'False', 'True', 'false', 'false', '511124102347', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124102347', 1, '2021-07-19 11:47:00', NULL, NULL), (15439, '', '烈士村', '321bdac4b4ef4faab82e342395e63e0a', 'b8833a94cc274a9484a922bbb56de56a', 'False', 'True', 'false', 'false', '511124102791', 5, '烈士村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124102791', 1, '2021-07-19 11:47:00', NULL, NULL), (15440, '', '高石坎村', '39f32999d74d44daac015f47faf6b0df', 'b8833a94cc274a9484a922bbb56de56a', 'False', 'True', 'false', 'false', '511124102963', 5, '高石坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124102963', 1, '2021-07-19 11:47:00', NULL, NULL), (15441, '', '广新村', '4fe19a9d524e401a9d7de2e5629495bc', 'b8833a94cc274a9484a922bbb56de56a', 'False', 'True', 'false', 'false', '511124102977', 5, '广新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124102977', 1, '2021-07-19 11:47:00', NULL, NULL), (15442, '', '研经镇', '926f521cb0d34262bc415d18a4320467', '65b758b3bda64410917833c9f9e2b594', 'True', 'True', 'false', 'false', '511124103000', 4, '研经镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511124103000', 1, '2021-07-19 11:47:01', NULL, NULL), (15443, '', '同前村', 'a71c201b74e2402f9e26bb5eb7fb5f3a', '926f521cb0d34262bc415d18a4320467', 'False', 'True', 'false', 'false', '511124103253', 5, '同前村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124103253', 1, '2021-07-19 11:47:01', NULL, NULL), (15444, '', '研经街社区', 'a3c672869bbf4b13881c138dc7b9978b', '926f521cb0d34262bc415d18a4320467', 'False', 'True', 'false', 'false', '511124103281', 5, '研经街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124103281', 1, '2021-07-19 11:47:01', NULL, NULL), (15445, '', '大团村', '0ca352fd36044ea9831e579c675233a1', '926f521cb0d34262bc415d18a4320467', 'False', 'True', 'false', 'false', '511124103461', 5, '大团村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124103461', 1, '2021-07-19 11:47:01', NULL, NULL), (15446, '', '横连村', 'ae067f76afa54eecbf4cb6c838e6bfb2', '926f521cb0d34262bc415d18a4320467', 'False', 'True', 'false', 'false', '511124103697', 5, '横连村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124103697', 1, '2021-07-19 11:47:01', NULL, NULL), (15447, '', '断桥村', '1119978fd04c47e6bb4d194683a39142', '926f521cb0d34262bc415d18a4320467', 'False', 'True', 'false', 'false', '511124103792', 5, '断桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124103792', 1, '2021-07-19 11:47:01', NULL, NULL), (15448, '', '四方村', '2177ff7b9639418296f51cd556d92dc0', '926f521cb0d34262bc415d18a4320467', 'False', 'True', 'false', 'false', '511124103845', 5, '四方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124103845', 1, '2021-07-19 11:47:01', NULL, NULL), (15449, '', '石堰村', 'bfb1137331754503be3e899bdf97a63c', '926f521cb0d34262bc415d18a4320467', 'False', 'True', 'false', 'false', '511124103910', 5, '石堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124103910', 1, '2021-07-19 11:47:01', NULL, NULL), (15450, '', '王家沟村', '4934bb63440e46deacd5efba4d052bed', '926f521cb0d34262bc415d18a4320467', 'False', 'True', 'false', 'false', '511124103989', 5, '王家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124103989', 1, '2021-07-19 11:47:01', NULL, NULL), (15451, '', '周坡镇', '5e75de2427844e95b476fb7bb3b80183', '65b758b3bda64410917833c9f9e2b594', 'True', 'True', 'false', 'false', '511124104000', 4, '周坡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511124104000', 1, '2021-07-19 11:47:01', NULL, NULL), (15452, '', '大佛村', 'e0c4ae180294486187406c921e541f10', '5e75de2427844e95b476fb7bb3b80183', 'False', 'True', 'false', 'false', '511124104300', 5, '大佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124104300', 1, '2021-07-19 11:47:01', NULL, NULL), (15453, '', '乌抛村', '6d7780cca48f40c39041fbea805e0628', '5e75de2427844e95b476fb7bb3b80183', 'False', 'True', 'false', 'false', '511124104558', 5, '乌抛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124104558', 1, '2021-07-19 11:47:01', NULL, NULL), (15454, '', '黄角村', '6cff5135eee048f1a48df690bfa4b34e', '5e75de2427844e95b476fb7bb3b80183', 'False', 'True', 'false', 'false', '511124104595', 5, '黄角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124104595', 1, '2021-07-19 11:47:02', NULL, NULL), (15455, '', '金紫村', '0a6ccafdff054727a5d854bc75541ffe', '5e75de2427844e95b476fb7bb3b80183', 'False', 'True', 'false', 'false', '511124104624', 5, '金紫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124104624', 1, '2021-07-19 11:47:02', NULL, NULL), (15456, '', '玉皇顶村', 'b212ee7bf51544248c9c0d2abaa572dc', '5e75de2427844e95b476fb7bb3b80183', 'False', 'True', 'false', 'false', '511124104635', 5, '玉皇顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124104635', 1, '2021-07-19 11:47:02', NULL, NULL), (15457, '', '狮子村', 'cd5dbabdc4a54027961ffe37545ae9ad', '5e75de2427844e95b476fb7bb3b80183', 'False', 'True', 'false', 'false', '511124104858', 5, '狮子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124104858', 1, '2021-07-19 11:47:02', NULL, NULL), (15458, '', '大佛社区', '413375db934245de953817f5f055d67c', '5e75de2427844e95b476fb7bb3b80183', 'False', 'True', 'false', 'false', '511124104947', 5, '大佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124104947', 1, '2021-07-19 11:47:02', NULL, NULL), (15459, '', '大河村', 'a82d095a6bea4513bdb315989e7b9126', '5e75de2427844e95b476fb7bb3b80183', 'False', 'True', 'false', 'false', '511124104136', 5, '大河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124104136', 1, '2021-07-19 11:47:02', NULL, NULL), (15460, '', '团山村', 'fa9b4a59dd764b99903eb0d5e6d96b91', '5e75de2427844e95b476fb7bb3b80183', 'False', 'True', 'false', 'false', '511124104374', 5, '团山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124104374', 1, '2021-07-19 11:47:02', NULL, NULL), (15461, '', '石马村', 'f43133d390444c46835eca978cf21230', '5e75de2427844e95b476fb7bb3b80183', 'False', 'True', 'false', 'false', '511124104409', 5, '石马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124104409', 1, '2021-07-19 11:47:02', NULL, NULL), (15462, '', '周坡村', '0f68a0627ef4423986638958d7dcd690', '5e75de2427844e95b476fb7bb3b80183', 'False', 'True', 'false', 'false', '511124104713', 5, '周坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124104713', 1, '2021-07-19 11:47:02', NULL, NULL), (15463, '', '周坡街社区', '5e7800e246bc49b1ad025db926983682', '5e75de2427844e95b476fb7bb3b80183', 'False', 'True', 'false', 'false', '511124104744', 5, '周坡街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124104744', 1, '2021-07-19 11:47:02', NULL, NULL), (15464, '', '友盟村', '0abd7eea880a4655b2283e4c16cdfe79', '5e75de2427844e95b476fb7bb3b80183', 'False', 'True', 'false', 'false', '511124104754', 5, '友盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124104754', 1, '2021-07-19 11:47:02', NULL, NULL), (15465, '', '龙桥村', '57eccf3e7f0a4d04847c0ad405b4a020', '5e75de2427844e95b476fb7bb3b80183', 'False', 'True', 'false', 'false', '511124104914', 5, '龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124104914', 1, '2021-07-19 11:47:02', NULL, NULL), (15466, '', '千佛镇', 'a042883c23934f2389bc9c915b59434e', '65b758b3bda64410917833c9f9e2b594', 'True', 'True', 'false', 'false', '511124105000', 4, '千佛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511124105000', 1, '2021-07-19 11:47:03', NULL, NULL), (15467, '', '千佛村', 'e77a53ea3a7b468ea59a0891569ac891', 'a042883c23934f2389bc9c915b59434e', 'False', 'True', 'false', 'false', '511124105058', 5, '千佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124105058', 1, '2021-07-19 11:47:03', NULL, NULL), (15468, '', '新群村', '062a7fe84df241689b7baca8ee276d32', 'a042883c23934f2389bc9c915b59434e', 'False', 'True', 'false', 'false', '511124105150', 5, '新群村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124105150', 1, '2021-07-19 11:47:03', NULL, NULL), (15469, '', '千佛街社区', 'f453c6d90bf54e73861028f90ecb4c4f', 'a042883c23934f2389bc9c915b59434e', 'False', 'True', 'false', 'false', '511124105670', 5, '千佛街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124105670', 1, '2021-07-19 11:47:03', NULL, NULL), (15470, '', '瓦子坝村', 'a8bc51637aa24d2aa4d1f59d58229ce6', 'a042883c23934f2389bc9c915b59434e', 'False', 'True', 'false', 'false', '511124105742', 5, '瓦子坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124105742', 1, '2021-07-19 11:47:03', NULL, NULL), (15471, '', '民建村', '48cf7b7296cf402db812f3ccd182bbb3', 'a042883c23934f2389bc9c915b59434e', 'False', 'True', 'false', 'false', '511124105925', 5, '民建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124105925', 1, '2021-07-19 11:47:03', NULL, NULL), (15472, '', '石家桥村', 'ac177b9e429644e2af2b7ea795718cfe', 'a042883c23934f2389bc9c915b59434e', 'False', 'True', 'false', 'false', '511124105968', 5, '石家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124105968', 1, '2021-07-19 11:47:03', NULL, NULL), (15473, '', '王村镇', '6c654da7b28f457a9ba16fb7c4fe7785', '65b758b3bda64410917833c9f9e2b594', 'True', 'True', 'false', 'false', '511124106000', 4, '王村镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511124106000', 1, '2021-07-19 11:47:03', NULL, NULL), (15474, '', '磨池社区', '0f880fbc2fa846cc94b9ce43f85c90df', '6c654da7b28f457a9ba16fb7c4fe7785', 'False', 'True', 'false', 'false', '511124106129', 5, '磨池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124106129', 1, '2021-07-19 11:47:03', NULL, NULL), (15475, '', '磨池村', 'fcea1aa1b1f6443f99c6ad641dd3bc83', '6c654da7b28f457a9ba16fb7c4fe7785', 'False', 'True', 'false', 'false', '511124106316', 5, '磨池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124106316', 1, '2021-07-19 11:47:03', NULL, NULL), (15476, '', '龙池村', 'e67c59a416cf46628f586edfddeacd77', '6c654da7b28f457a9ba16fb7c4fe7785', 'False', 'True', 'false', 'false', '511124106541', 5, '龙池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124106541', 1, '2021-07-19 11:47:03', NULL, NULL), (15477, '', '小桥子村', 'a3aab298dd9d44d9b23f6c174d495bd0', '6c654da7b28f457a9ba16fb7c4fe7785', 'False', 'True', 'false', 'false', '511124106305', 5, '小桥子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124106305', 1, '2021-07-19 11:47:03', NULL, NULL), (15478, '', '集体村', '4ad502b4f733445b9c5460c580923c2c', '6c654da7b28f457a9ba16fb7c4fe7785', 'False', 'True', 'false', 'false', '511124106375', 5, '集体村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124106375', 1, '2021-07-19 11:47:04', NULL, NULL), (15479, '', '五农村', '4960a04b3e0244fea02c376df54f540f', '6c654da7b28f457a9ba16fb7c4fe7785', 'False', 'True', 'false', 'false', '511124106697', 5, '五农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124106697', 1, '2021-07-19 11:47:04', NULL, NULL), (15480, '', '梅旺村', '2f5f2470c48d497dbe854cbcf53ed696', '6c654da7b28f457a9ba16fb7c4fe7785', 'False', 'True', 'false', 'false', '511124106781', 5, '梅旺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124106781', 1, '2021-07-19 11:47:04', NULL, NULL), (15481, '', '王村街社区', 'd44fc3acfd004558a80720b7c54bf605', '6c654da7b28f457a9ba16fb7c4fe7785', 'False', 'True', 'false', 'false', '511124106819', 5, '王村街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124106819', 1, '2021-07-19 11:47:04', NULL, NULL), (15482, '', '三江镇', '5535b7499a604c90aad9737a70a710fb', '65b758b3bda64410917833c9f9e2b594', 'True', 'True', 'false', 'false', '511124107000', 4, '三江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511124107000', 1, '2021-07-19 11:47:04', NULL, NULL), (15483, '', '新胜村', 'f10e35efdb1449d381c0c815cb927dcb', '5535b7499a604c90aad9737a70a710fb', 'False', 'True', 'false', 'false', '511124107289', 5, '新胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124107289', 1, '2021-07-19 11:47:04', NULL, NULL), (15484, '', '三江村', '7172c8cce9724a27b4688ed810288648', '5535b7499a604c90aad9737a70a710fb', 'False', 'True', 'false', 'false', '511124107302', 5, '三江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124107302', 1, '2021-07-19 11:47:04', NULL, NULL), (15485, '', '解放村', 'a970cd60791a4049ab256afe1062b0a8', '5535b7499a604c90aad9737a70a710fb', 'False', 'True', 'false', 'false', '511124107510', 5, '解放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124107510', 1, '2021-07-19 11:47:04', NULL, NULL), (15486, '', '三江街社区', '302c08bcc9284926ac67947f621e9c9e', '5535b7499a604c90aad9737a70a710fb', 'False', 'True', 'false', 'false', '511124107947', 5, '三江街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124107947', 1, '2021-07-19 11:47:04', NULL, NULL), (15487, '', '东林镇', 'd8578c46a1f841f793b79f27ed45d379', '65b758b3bda64410917833c9f9e2b594', 'True', 'True', 'false', 'false', '511124108000', 4, '东林镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511124108000', 1, '2021-07-19 11:47:04', NULL, NULL), (15488, '', '东林街社区', '40b0099a23fa4dc89c9e83f5a5a38832', 'd8578c46a1f841f793b79f27ed45d379', 'False', 'True', 'false', 'false', '511124108382', 5, '东林街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124108382', 1, '2021-07-19 11:47:04', NULL, NULL), (15489, '', '红花村', '12e210179d70442dac60defa55c50dc5', 'd8578c46a1f841f793b79f27ed45d379', 'False', 'True', 'false', 'false', '511124108433', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124108433', 1, '2021-07-19 11:47:04', NULL, NULL), (15490, '', '高佳村', '054b1e2cf17a41a781a5a3c52b91fcdb', 'd8578c46a1f841f793b79f27ed45d379', 'False', 'True', 'false', 'false', '511124108447', 5, '高佳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124108447', 1, '2021-07-19 11:47:04', NULL, NULL), (15491, '', '打鼓滩村', '7e5d82751dad45bba28ffe0964298c8e', 'd8578c46a1f841f793b79f27ed45d379', 'False', 'True', 'false', 'false', '511124108560', 5, '打鼓滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124108560', 1, '2021-07-19 11:47:05', NULL, NULL), (15492, '', '东光村', '601b86d59d1148b9ab015b9f491fdbe8', 'd8578c46a1f841f793b79f27ed45d379', 'False', 'True', 'false', 'false', '511124108757', 5, '东光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124108757', 1, '2021-07-19 11:47:05', NULL, NULL), (15493, '', '集益镇', '9c18df48a03e4ea1b2de2171bc5ece43', '65b758b3bda64410917833c9f9e2b594', 'True', 'True', 'false', 'false', '511124200000', 4, '集益镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511124200000', 1, '2021-07-19 11:47:05', NULL, NULL), (15494, '', '平店村', '392b4d99db284bd8bf248d1fd73ca382', '9c18df48a03e4ea1b2de2171bc5ece43', 'False', 'True', 'false', 'false', '511124200618', 5, '平店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124200618', 1, '2021-07-19 11:47:05', NULL, NULL), (15495, '', '金峰村', '863c29a69b3b47678df443a0ad25dd42', '9c18df48a03e4ea1b2de2171bc5ece43', 'False', 'True', 'false', 'false', '511124200687', 5, '金峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124200687', 1, '2021-07-19 11:47:05', NULL, NULL), (15496, '', '黄马村', 'b8eeca977a934496a20275820cb618a6', '9c18df48a03e4ea1b2de2171bc5ece43', 'False', 'True', 'false', 'false', '511124200746', 5, '黄马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124200746', 1, '2021-07-19 11:47:05', NULL, NULL), (15497, '', '界牌村', '296acdbe07f7443f89573a6cbc8a7060', '9c18df48a03e4ea1b2de2171bc5ece43', 'False', 'True', 'false', 'false', '511124200270', 5, '界牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124200270', 1, '2021-07-19 11:47:05', NULL, NULL), (15498, '', '向阳村', '95176d6a4e8d43718cc10b56ebe6196f', '9c18df48a03e4ea1b2de2171bc5ece43', 'False', 'True', 'false', 'false', '511124200393', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124200393', 1, '2021-07-19 11:47:05', NULL, NULL), (15499, '', '赛功村', 'f17168efa14942f29e7c0c21a46ed4b4', '9c18df48a03e4ea1b2de2171bc5ece43', 'False', 'True', 'false', 'false', '511124200543', 5, '赛功村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124200543', 1, '2021-07-19 11:47:05', NULL, NULL), (15500, '', '雨台村', 'c93863c481b349388a099d3f49688495', '9c18df48a03e4ea1b2de2171bc5ece43', 'False', 'True', 'false', 'false', '511124200612', 5, '雨台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124200612', 1, '2021-07-19 11:47:05', NULL, NULL), (15501, '', '集益街社区', 'e8b9619fe40541c4bbe71a9f7f2cf3de', '9c18df48a03e4ea1b2de2171bc5ece43', 'False', 'True', 'false', 'false', '511124200971', 5, '集益街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124200971', 1, '2021-07-19 11:47:05', NULL, NULL), (15502, '', '纯复镇', '036638a4160045c1b36b44e26d5f690d', '65b758b3bda64410917833c9f9e2b594', 'True', 'True', 'false', 'false', '511124201000', 4, '纯复镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511124201000', 1, '2021-07-19 11:47:05', NULL, NULL), (15503, '', '红庙村', '80e1300b54924fa5866231cd37073885', '036638a4160045c1b36b44e26d5f690d', 'False', 'True', 'false', 'false', '511124201435', 5, '红庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124201435', 1, '2021-07-19 11:47:06', NULL, NULL), (15504, '', '青龙村', '8e10677c21474e348bdbf2a7ee84db80', '036638a4160045c1b36b44e26d5f690d', 'False', 'True', 'false', 'false', '511124201656', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124201656', 1, '2021-07-19 11:47:06', NULL, NULL), (15505, '', '观塘村', 'ab65f98d3c8d40d2a52b53d9dad52dbe', '036638a4160045c1b36b44e26d5f690d', 'False', 'True', 'false', 'false', '511124201203', 5, '观塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124201203', 1, '2021-07-19 11:47:06', NULL, NULL), (15506, '', '纯复街社区', 'aa37a4277803429ea811b59f32505969', '036638a4160045c1b36b44e26d5f690d', 'False', 'True', 'false', 'false', '511124201292', 5, '纯复街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124201292', 1, '2021-07-19 11:47:06', NULL, NULL), (15507, '', '跃进村', '9f4b13a35f75470a9aef32ed36aaeb23', '036638a4160045c1b36b44e26d5f690d', 'False', 'True', 'false', 'false', '511124201331', 5, '跃进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124201331', 1, '2021-07-19 11:47:06', NULL, NULL), (15508, '', '田家沟村', 'f0bb7c0433a74bbe865d87619ccce041', '036638a4160045c1b36b44e26d5f690d', 'False', 'True', 'false', 'false', '511124201820', 5, '田家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124201820', 1, '2021-07-19 11:47:06', NULL, NULL), (15509, '', '宝五镇', '3fd061f3e2e246a4a8f65c1e2ad708b4', '65b758b3bda64410917833c9f9e2b594', 'True', 'True', 'false', 'false', '511124204000', 4, '宝五镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511124204000', 1, '2021-07-19 11:47:06', NULL, NULL), (15510, '', '瓦窑村', '4177bdcebe154bae964c1e1b2ebf3449', '3fd061f3e2e246a4a8f65c1e2ad708b4', 'False', 'True', 'false', 'false', '511124204195', 5, '瓦窑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124204195', 1, '2021-07-19 11:47:06', NULL, NULL), (15511, '', '三教村', '632f8b55cc0649059f04d992b5d36905', '3fd061f3e2e246a4a8f65c1e2ad708b4', 'False', 'True', 'false', 'false', '511124204416', 5, '三教村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124204416', 1, '2021-07-19 11:47:06', NULL, NULL), (15512, '', '宝五街社区', '662979bf1c7a47cf93d6ff9506024031', '3fd061f3e2e246a4a8f65c1e2ad708b4', 'False', 'True', 'false', 'false', '511124001822', 5, '宝五街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124001822', 1, '2021-07-19 11:47:06', NULL, NULL), (15513, '', '塘湾村', '76890508eb9b4ab9ac4e8068f59c48c6', '3fd061f3e2e246a4a8f65c1e2ad708b4', 'False', 'True', 'false', 'false', '511124204552', 5, '塘湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124204552', 1, '2021-07-19 11:47:06', NULL, NULL), (15514, '', '曙光村', '15ede0c0bce6490cab21af0e4d2a58cf', '3fd061f3e2e246a4a8f65c1e2ad708b4', 'False', 'True', 'false', 'false', '511124204752', 5, '曙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124204752', 1, '2021-07-19 11:47:06', NULL, NULL), (15515, '', '五龙场村', 'cbfb9739d9ef4e05a42c57f7d8686081', '3fd061f3e2e246a4a8f65c1e2ad708b4', 'False', 'True', 'false', 'false', '511124204863', 5, '五龙场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124204863', 1, '2021-07-19 11:47:06', NULL, NULL), (15516, '', '门坎镇', '7e7a1c64a93f413d8e9187c69787a7b8', '65b758b3bda64410917833c9f9e2b594', 'True', 'True', 'false', 'false', '511124208000', 4, '门坎镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511124208000', 1, '2021-07-19 11:47:07', NULL, NULL), (15517, '', '大水湾村', '960bcdb7d7da4ccaa64c903f77bd6a0a', '7e7a1c64a93f413d8e9187c69787a7b8', 'False', 'True', 'false', 'false', '511124208233', 5, '大水湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124208233', 1, '2021-07-19 11:47:07', NULL, NULL), (15518, '', '门坎村', '9b57907fc1d44244a335bff8938bdc8d', '7e7a1c64a93f413d8e9187c69787a7b8', 'False', 'True', 'false', 'false', '511124208284', 5, '门坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124208284', 1, '2021-07-19 11:47:07', NULL, NULL), (15519, '', '门坎街社区', 'd668589608c94c6e804edc69582a10e9', '7e7a1c64a93f413d8e9187c69787a7b8', 'False', 'True', 'false', 'false', '511124208327', 5, '门坎街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124208327', 1, '2021-07-19 11:47:07', NULL, NULL), (15520, '', '白合村', '7cd1588ba3c54d6aacf5167e652c9293', '7e7a1c64a93f413d8e9187c69787a7b8', 'False', 'True', 'false', 'false', '511124208842', 5, '白合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124208842', 1, '2021-07-19 11:47:07', NULL, NULL), (15521, '', '高凤镇', '851801490dcb4513a58461b048b47e8c', '65b758b3bda64410917833c9f9e2b594', 'True', 'True', 'false', 'false', '511124210000', 4, '高凤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511124210000', 1, '2021-07-19 11:47:07', NULL, NULL), (15522, '', '同力村', '7e0c829c3fcc4faa9671d8c937ddd192', '851801490dcb4513a58461b048b47e8c', 'False', 'True', 'false', 'false', '511124210466', 5, '同力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124210466', 1, '2021-07-19 11:47:07', NULL, NULL), (15523, '', '双堰村', 'df6cc1b2a59349aeaf4555610752da48', '851801490dcb4513a58461b048b47e8c', 'False', 'True', 'false', 'false', '511124210539', 5, '双堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124210539', 1, '2021-07-19 11:47:07', NULL, NULL), (15524, '', '高凤街社区', '44dbd00feb5440948a21b02b2c4d0703', '851801490dcb4513a58461b048b47e8c', 'False', 'True', 'false', 'false', '511124210541', 5, '高凤街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124210541', 1, '2021-07-19 11:47:07', NULL, NULL), (15525, '', '高凤村', '4f58ed068cc647979fd4624d1f19bf67', '851801490dcb4513a58461b048b47e8c', 'False', 'True', 'false', 'false', '511124210804', 5, '高凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124210804', 1, '2021-07-19 11:47:07', NULL, NULL), (15526, '', '红星村', 'dea37329d8344ae29fca0e00312ea015', '851801490dcb4513a58461b048b47e8c', 'False', 'True', 'false', 'false', '511124210928', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124210928', 1, '2021-07-19 11:47:07', NULL, NULL), (15527, '', '镇阳镇', 'f49439358ea64ec0a2af0e92aeedeb2a', '65b758b3bda64410917833c9f9e2b594', 'True', 'True', 'false', 'false', '511124213000', 4, '镇阳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511124213000', 1, '2021-07-19 11:47:07', NULL, NULL), (15528, '', '龙申村', '9becc3204bb747a9a2fef55f6eb3bea5', 'f49439358ea64ec0a2af0e92aeedeb2a', 'False', 'True', 'false', 'false', '511124213380', 5, '龙申村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124213380', 1, '2021-07-19 11:47:08', NULL, NULL), (15529, '', '两河村', 'd70ec591950a42958a0d68af021f4b1e', 'f49439358ea64ec0a2af0e92aeedeb2a', 'False', 'True', 'false', 'false', '511124213779', 5, '两河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124213779', 1, '2021-07-19 11:47:08', NULL, NULL), (15530, '', '石牛坝村', '883ad480bc4d41d0bfa0ab1291eb2235', 'f49439358ea64ec0a2af0e92aeedeb2a', 'False', 'True', 'false', 'false', '511124213111', 5, '石牛坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124213111', 1, '2021-07-19 11:47:08', NULL, NULL), (15531, '', '镇阳街社区', '0220f2e8dbbd488b84ee20492b5e7da5', 'f49439358ea64ec0a2af0e92aeedeb2a', 'False', 'True', 'false', 'false', '511124213618', 5, '镇阳街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124213618', 1, '2021-07-19 11:47:08', NULL, NULL), (15532, '', '云峰村', '446156b8a7eb4015826f771ac5c8e108', 'f49439358ea64ec0a2af0e92aeedeb2a', 'False', 'True', 'false', 'false', '511124213644', 5, '云峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124213644', 1, '2021-07-19 11:47:08', NULL, NULL), (15533, '', '毛坝场村', '1d8f8a24134844cd8c307fb624e4ea4e', 'f49439358ea64ec0a2af0e92aeedeb2a', 'False', 'True', 'false', 'false', '511124213873', 5, '毛坝场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511124213873', 1, '2021-07-19 11:47:08', NULL, NULL), (15534, '', '夹江县', 'e8cfdcdf772044a7b62c1fd122967c02', '9662d820bd8049d2bce41b2c66a0bd60', 'True', 'True', 'false', 'false', '511126000000', 3, '夹江县', 'lssjjx.sczwfw.gov.cn', 1, '2021-07-19 11:47:08', NULL, NULL), (15535, '', '新场镇', '0df2f1a55f934bbeb8b9f17e95c3c1ff', 'e8cfdcdf772044a7b62c1fd122967c02', 'True', 'True', 'false', 'false', '511126242000', 4, '新场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511126242000', 1, '2021-07-19 11:47:08', NULL, NULL), (15536, '', '夹江县新场镇新新社区', '3ffea6d04e9e436abfe866c022ca1632', '0df2f1a55f934bbeb8b9f17e95c3c1ff', 'False', 'True', 'false', 'false', '511126110003', 5, '新新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126110003', 1, '2021-07-19 11:47:08', NULL, NULL), (15537, '', '夹江县新场镇红旗社区', '34ab9e713c504dea8033f3c2f76361d7', '0df2f1a55f934bbeb8b9f17e95c3c1ff', 'False', 'True', 'false', 'false', '511126110004', 5, '红旗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126110004', 1, '2021-07-19 11:47:08', NULL, NULL), (15538, '', '夹江县新场镇慈影社区', 'fa34dd79a2134e1c8d95d56809ea77ea', '0df2f1a55f934bbeb8b9f17e95c3c1ff', 'False', 'True', 'false', 'false', '511126110005', 5, '慈影社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126110005', 1, '2021-07-19 11:47:08', NULL, NULL), (15539, '', '夹江县新场镇土门铺社区', '8d71a59e97344253aa61a75e5b0e5867', '0df2f1a55f934bbeb8b9f17e95c3c1ff', 'False', 'True', 'false', 'false', '511126110006', 5, '土门铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126110006', 1, '2021-07-19 11:47:09', NULL, NULL), (15540, '', '夹江县新场镇刘水碾村', 'edd28f099cad44d3a41a75150d9ad0d6', '0df2f1a55f934bbeb8b9f17e95c3c1ff', 'False', 'True', 'false', 'false', '511126110207', 5, '刘水碾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126110207', 1, '2021-07-19 11:47:09', NULL, NULL), (15541, '', '夹江县新场镇建国村', '3a929fc9f96d46e18dbb222670527bea', '0df2f1a55f934bbeb8b9f17e95c3c1ff', 'False', 'True', 'false', 'false', '511126110209', 5, '建国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126110209', 1, '2021-07-19 11:47:09', NULL, NULL), (15542, '', '夹江县新场镇东山村', '814438553e9f4b25ac3b33eff10a9e47', '0df2f1a55f934bbeb8b9f17e95c3c1ff', 'False', 'True', 'false', 'false', '511126110210', 5, '东山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126110210', 1, '2021-07-19 11:47:09', NULL, NULL), (15543, '', '夹江县新场镇团结村', '848acc263f4e4aba95cfa2bea362bd56', '0df2f1a55f934bbeb8b9f17e95c3c1ff', 'False', 'True', 'false', 'false', '511126110211', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126110211', 1, '2021-07-19 11:47:09', NULL, NULL), (15544, '', '夹江县新场镇欣梧村', '2bd7df8627b84d21b59b49f9c36f070d', '0df2f1a55f934bbeb8b9f17e95c3c1ff', 'False', 'True', 'false', 'false', '511126110212', 5, '欣梧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126110212', 1, '2021-07-19 11:47:09', NULL, NULL), (15545, '', '夹江县新场镇欣凤村', 'dccd275de6344890a8b932ae22cb1cb8', '0df2f1a55f934bbeb8b9f17e95c3c1ff', 'False', 'True', 'false', 'false', '511126110213', 5, '欣凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126110213', 1, '2021-07-19 11:47:09', NULL, NULL), (15546, '', '夹江县新场镇万福村', 'f9417ed264e240e6af0d76e656aa91c1', '0df2f1a55f934bbeb8b9f17e95c3c1ff', 'False', 'True', 'false', 'false', '511126110215', 5, '万福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126110215', 1, '2021-07-19 11:47:09', NULL, NULL), (15547, '', '夹江县新场镇营房村', '4af650033c374c578ab6ea0496ac93d5', '0df2f1a55f934bbeb8b9f17e95c3c1ff', 'False', 'True', 'false', 'false', '511126110216', 5, '营房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126110216', 1, '2021-07-19 11:47:09', NULL, NULL), (15548, '', '夹江县新场镇东风村', '81627a72e4d14222be80d3617dc55037', '0df2f1a55f934bbeb8b9f17e95c3c1ff', 'False', 'True', 'false', 'false', '511126110217', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126110217', 1, '2021-07-19 11:47:09', NULL, NULL), (15549, '', '木城镇', 'e76ba8fa8dff44e9ac9b0e270ebf250d', 'e8cfdcdf772044a7b62c1fd122967c02', 'True', 'True', 'false', 'false', '511126262000', 4, '木城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511126262000', 1, '2021-07-19 11:47:10', NULL, NULL), (15550, '', '夹江县木城镇兰坝社区', '934753d2f7ca42e482d16900fbfe29c3', 'e76ba8fa8dff44e9ac9b0e270ebf250d', 'False', 'True', 'false', 'false', '511126107003', 5, '兰坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126107003', 1, '2021-07-19 11:47:10', NULL, NULL), (15551, '', '夹江县木城镇五里社区', '2d278ece215f464cb996f09f1db142c6', 'e76ba8fa8dff44e9ac9b0e270ebf250d', 'False', 'True', 'false', 'false', '511126107004', 5, '五里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126107004', 1, '2021-07-19 11:47:10', NULL, NULL), (15552, '', '夹江县木城镇泉水村', '8161c1dd223e45dfbdb87d8e3086426d', 'e76ba8fa8dff44e9ac9b0e270ebf250d', 'False', 'True', 'false', 'false', '511126107210', 5, '泉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126107210', 1, '2021-07-19 11:47:10', NULL, NULL), (15553, '', '夹江县木城镇太平村', '8a12407f039744a59dfa51347868c5fe', 'e76ba8fa8dff44e9ac9b0e270ebf250d', 'False', 'True', 'false', 'false', '511126107216', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126107216', 1, '2021-07-19 11:47:10', NULL, NULL), (15554, '', '夹江县木城镇大旗村', 'ca8c54eeebe64bf4814f15492cbb8ff8', 'e76ba8fa8dff44e9ac9b0e270ebf250d', 'False', 'True', 'false', 'false', '511126107218', 5, '大旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126107218', 1, '2021-07-19 11:47:10', NULL, NULL), (15555, '', '夹江县木城镇五显岗村', '19fb85b303744716b9104766773eddb6', 'e76ba8fa8dff44e9ac9b0e270ebf250d', 'False', 'True', 'false', 'false', '511126107223', 5, '五显岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126107223', 1, '2021-07-19 11:47:10', NULL, NULL), (15556, '', '夹江县木城镇友谊村', '70378c61612c41a1b0e4899c66a7b3d5', 'e76ba8fa8dff44e9ac9b0e270ebf250d', 'False', 'True', 'false', 'false', '511126107224', 5, '友谊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126107224', 1, '2021-07-19 11:47:10', NULL, NULL), (15557, '', '夹江县木城镇修文村', 'b268f2d706a341e2aa8ecb6c0aa000d5', 'e76ba8fa8dff44e9ac9b0e270ebf250d', 'False', 'True', 'false', 'false', '511126107228', 5, '修文村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126107228', 1, '2021-07-19 11:47:10', NULL, NULL), (15558, '', '夹江县木城镇联兴村', 'fcd7b6038c0c4492a28468ccc2e0ddb2', 'e76ba8fa8dff44e9ac9b0e270ebf250d', 'False', 'True', 'false', 'false', '511126107229', 5, '联兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126107229', 1, '2021-07-19 11:47:10', NULL, NULL), (15559, '', '夹江县木城镇石香村', '9c88725eb9c9496baf82043804cc0bbd', 'e76ba8fa8dff44e9ac9b0e270ebf250d', 'False', 'True', 'false', 'false', '511126107230', 5, '石香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126107230', 1, '2021-07-19 11:47:10', NULL, NULL), (15560, '', '夹江县木城镇迎江村', '75b53f1c89304bebb3e0b5368ba593e0', 'e76ba8fa8dff44e9ac9b0e270ebf250d', 'False', 'True', 'false', 'false', '511126107231', 5, '迎江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126107231', 1, '2021-07-19 11:47:10', NULL, NULL), (15561, '', '夹江县木城镇群星村', '93f3a38aea0944e584f2c8ff0868846c', 'e76ba8fa8dff44e9ac9b0e270ebf250d', 'False', 'True', 'false', 'false', '511126107232', 5, '群星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126107232', 1, '2021-07-19 11:47:11', NULL, NULL), (15562, '', '夹江县木城镇白果村', 'ff3a416a6a904d23825895bfff30b144', 'e76ba8fa8dff44e9ac9b0e270ebf250d', 'False', 'True', 'false', 'false', '511126107233', 5, '白果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126107233', 1, '2021-07-19 11:47:11', NULL, NULL), (15563, '', '夹江县木城镇永兴村', 'd40402966a404fbd815973f0c85d7a17', 'e76ba8fa8dff44e9ac9b0e270ebf250d', 'False', 'True', 'false', 'false', '511126107234', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126107234', 1, '2021-07-19 11:47:11', NULL, NULL), (15564, '', '青衣街道', 'f56cf34c702b4a7881884d108a9ffb8c', 'e8cfdcdf772044a7b62c1fd122967c02', 'True', 'True', 'false', 'false', '511126425000', 4, '青衣街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511126425000', 1, '2021-07-19 11:47:11', NULL, NULL), (15565, '', '夹江县青衣街道凤山社区', '636b1a151ce24828bb3a294c9a9712dd', 'f56cf34c702b4a7881884d108a9ffb8c', 'False', 'True', 'false', 'false', '511126001002', 5, '凤山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126001002', 1, '2021-07-19 11:47:11', NULL, NULL), (15566, '', '夹江县青衣街道千佛社区', '040130ff15c14afa9d0e0530d99f75f0', 'f56cf34c702b4a7881884d108a9ffb8c', 'False', 'True', 'false', 'false', '511126001004', 5, '千佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126001004', 1, '2021-07-19 11:47:11', NULL, NULL), (15567, '', '夹江县青衣街道迎春社区', '87400f9987e1434db96ed37d7456b2a4', 'f56cf34c702b4a7881884d108a9ffb8c', 'False', 'True', 'false', 'false', '511126001005', 5, '迎春社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126001005', 1, '2021-07-19 11:47:11', NULL, NULL), (15568, '', '夹江县青衣街道滨江社区', '1f6658b0500c4a0898743058e80e84a6', 'f56cf34c702b4a7881884d108a9ffb8c', 'False', 'True', 'false', 'false', '511126001006', 5, '滨江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126001006', 1, '2021-07-19 11:47:11', NULL, NULL), (15569, '', '夹江县青衣街道在古社区', 'a0aee818112947b1be4e8a4f97c025e3', 'f56cf34c702b4a7881884d108a9ffb8c', 'False', 'True', 'false', 'false', '511126001007', 5, '在古社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126001007', 1, '2021-07-19 11:47:11', NULL, NULL), (15570, '', '夹江县青衣街道青衣江村', 'ca1f65baadf048e3901db19eb4532595', 'f56cf34c702b4a7881884d108a9ffb8c', 'False', 'True', 'false', 'false', '511126001201', 5, '青衣江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126001201', 1, '2021-07-19 11:47:11', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (15571, '', '夹江县青衣街道依凤村', '733b20048de843d7b0bb0c7d5f8538c2', 'f56cf34c702b4a7881884d108a9ffb8c', 'False', 'True', 'false', 'false', '511126001202', 5, '依凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126001202', 1, '2021-07-19 11:47:11', NULL, NULL), (15572, '', '马村镇', '04b9bd27c13c4f5b9e2f67fd88a8d6ea', 'e8cfdcdf772044a7b62c1fd122967c02', 'True', 'True', 'false', 'false', '511126496000', 4, '马村镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511126496000', 1, '2021-07-19 11:47:11', NULL, NULL), (15573, '', '夹江县马村镇方沟社区', 'ea18fefd3d25448fa3d34cf4a96645b9', '04b9bd27c13c4f5b9e2f67fd88a8d6ea', 'False', 'True', 'false', 'false', '511126111001', 5, '方沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126111001', 1, '2021-07-19 11:47:11', NULL, NULL), (15574, '', '夹江县马村镇大路社区', '7d55deb4b00640e9aa405a2aa123ff77', '04b9bd27c13c4f5b9e2f67fd88a8d6ea', 'False', 'True', 'false', 'false', '511126111002', 5, '大路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126111002', 1, '2021-07-19 11:47:11', NULL, NULL), (15575, '', '夹江县马村镇带河村', '0ab4b195f0ce4f93b6c1246eea84af55', '04b9bd27c13c4f5b9e2f67fd88a8d6ea', 'False', 'True', 'false', 'false', '511126111200', 5, '带河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126111200', 1, '2021-07-19 11:47:11', NULL, NULL), (15576, '', '夹江县马村镇碧山村', 'd985651e52eb4b1e9ceebfd53103bec7', '04b9bd27c13c4f5b9e2f67fd88a8d6ea', 'False', 'True', 'false', 'false', '511126111202', 5, '碧山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126111202', 1, '2021-07-19 11:47:11', NULL, NULL), (15577, '', '夹江县马村镇水库村', '08b1d4c08ab1448abdb449d5c8f4983b', '04b9bd27c13c4f5b9e2f67fd88a8d6ea', 'False', 'True', 'false', 'false', '511126111203', 5, '水库村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126111203', 1, '2021-07-19 11:47:12', NULL, NULL), (15578, '', '夹江县马村镇石堰村', '1c1173a012c145baa7d9c4547c1f6e5a', '04b9bd27c13c4f5b9e2f67fd88a8d6ea', 'False', 'True', 'false', 'false', '511126111204', 5, '石堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126111204', 1, '2021-07-19 11:47:12', NULL, NULL), (15579, '', '夹江县马村镇杨湾村', '3263a2cf75be494cb487d8765a9e14a4', '04b9bd27c13c4f5b9e2f67fd88a8d6ea', 'False', 'True', 'false', 'false', '511126111207', 5, '杨湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126111207', 1, '2021-07-19 11:47:12', NULL, NULL), (15580, '', '夹江县马村镇王堰村', '09da3d1a72df4c319f380040f2096f64', '04b9bd27c13c4f5b9e2f67fd88a8d6ea', 'False', 'True', 'false', 'false', '511126111208', 5, '王堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126111208', 1, '2021-07-19 11:47:12', NULL, NULL), (15581, '', '夹江县马村镇龚沟村', '7b3f627b9cb94b5dabd201cc4051089c', '04b9bd27c13c4f5b9e2f67fd88a8d6ea', 'False', 'True', 'false', 'false', '511126111209', 5, '龚沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126111209', 1, '2021-07-19 11:47:12', NULL, NULL), (15582, '', '甘江镇', '82da4b95f8444b8c9bd2e34556c488a0', 'e8cfdcdf772044a7b62c1fd122967c02', 'True', 'True', 'false', 'false', '511126543000', 4, '甘江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511126543000', 1, '2021-07-19 11:47:12', NULL, NULL), (15583, '', '夹江县甘江镇滨河社区', '2eae2aada511463f96444e4afbfc078e', '82da4b95f8444b8c9bd2e34556c488a0', 'False', 'True', 'false', 'false', '511126102002', 5, '滨河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126102002', 1, '2021-07-19 11:47:12', NULL, NULL), (15584, '', '夹江县甘江镇甘江社区', 'a3376286a6804ababc4e5460f54add76', '82da4b95f8444b8c9bd2e34556c488a0', 'False', 'True', 'false', 'false', '511126102003', 5, '甘江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126102003', 1, '2021-07-19 11:47:12', NULL, NULL), (15585, '', '夹江县甘江镇青峰村', '1444cc14812043ba9216a17c902ac7ed', '82da4b95f8444b8c9bd2e34556c488a0', 'False', 'True', 'false', 'false', '511126102222', 5, '青峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126102222', 1, '2021-07-19 11:47:12', NULL, NULL), (15586, '', '夹江县甘江镇新兴村', '7edc5765766148f282e4b1418129104a', '82da4b95f8444b8c9bd2e34556c488a0', 'False', 'True', 'false', 'false', '511126102223', 5, '新兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126102223', 1, '2021-07-19 11:47:12', NULL, NULL), (15587, '', '夹江县甘江镇弱漹村', '01cf7baa1b8d4000850d06644380ee3f', '82da4b95f8444b8c9bd2e34556c488a0', 'False', 'True', 'false', 'false', '511126102224', 5, '弱漹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126102224', 1, '2021-07-19 11:47:12', NULL, NULL), (15588, '', '夹江县甘江镇大石桥村', '0c0d70049e2346f3890119d277de8eb0', '82da4b95f8444b8c9bd2e34556c488a0', 'False', 'True', 'false', 'false', '511126102229', 5, '大石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126102229', 1, '2021-07-19 11:47:12', NULL, NULL), (15589, '', '夹江县甘江镇新生村', '92e775c5e92e44e2b1d2f09afbe2330b', '82da4b95f8444b8c9bd2e34556c488a0', 'False', 'True', 'false', 'false', '511126102230', 5, '新生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126102230', 1, '2021-07-19 11:47:12', NULL, NULL), (15590, '', '夹江县甘江镇定惠村', '17c175187dc34ba9a44a0d6b8c0bf0e7', '82da4b95f8444b8c9bd2e34556c488a0', 'False', 'True', 'false', 'false', '511126102233', 5, '定惠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126102233', 1, '2021-07-19 11:47:12', NULL, NULL), (15591, '', '夹江县甘江镇金银河村', '739b459db7784b33a064b5c82dbcd1cb', '82da4b95f8444b8c9bd2e34556c488a0', 'False', 'True', 'false', 'false', '511126102235', 5, '金银河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126102235', 1, '2021-07-19 11:47:12', NULL, NULL), (15592, '', '夹江县甘江镇顺河村', '3f6a5d33b44142f4ada3117699484ef6', '82da4b95f8444b8c9bd2e34556c488a0', 'False', 'True', 'false', 'false', '511126102237', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126102237', 1, '2021-07-19 11:47:12', NULL, NULL), (15593, '', '夹江县甘江镇甘霖村', '68e5d26f579e46b6ba5242ea1e8f0d05', '82da4b95f8444b8c9bd2e34556c488a0', 'False', 'True', 'false', 'false', '511126102238', 5, '甘霖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126102238', 1, '2021-07-19 11:47:12', NULL, NULL), (15594, '', '夹江县甘江镇甘露村', '217e4aa64f57490eaeeded4673814f62', '82da4b95f8444b8c9bd2e34556c488a0', 'False', 'True', 'false', 'false', '511126102239', 5, '甘露村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126102239', 1, '2021-07-19 11:47:13', NULL, NULL), (15595, '', '吴场镇', 'c219480ea8954e4da64d9c35150bec3e', 'e8cfdcdf772044a7b62c1fd122967c02', 'True', 'True', 'false', 'false', '511126713000', 4, '吴场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511126713000', 1, '2021-07-19 11:47:13', NULL, NULL), (15596, '', '夹江县吴场镇金柏林社区', '62ccf8ae07364d818f3eb69fff19cdd7', 'c219480ea8954e4da64d9c35150bec3e', 'False', 'True', 'false', 'false', '511126106002', 5, '金柏林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126106002', 1, '2021-07-19 11:47:13', NULL, NULL), (15597, '', '夹江县吴场镇三洞桥社区', '02de2ccbad6a4414998332c43f80f0de', 'c219480ea8954e4da64d9c35150bec3e', 'False', 'True', 'false', 'false', '511126106003', 5, '三洞桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126106003', 1, '2021-07-19 11:47:13', NULL, NULL), (15598, '', '夹江县吴场镇龙华村', '53837723a0904e669c64081b51d61fd5', 'c219480ea8954e4da64d9c35150bec3e', 'False', 'True', 'false', 'false', '511126106203', 5, '龙华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126106203', 1, '2021-07-19 11:47:13', NULL, NULL), (15599, '', '夹江县吴场镇白龙村', 'adb30078a42c48808b504c3a40829c94', 'c219480ea8954e4da64d9c35150bec3e', 'False', 'True', 'false', 'false', '511126106204', 5, '白龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126106204', 1, '2021-07-19 11:47:13', NULL, NULL), (15600, '', '夹江县吴场镇仁和村', '4c39e83848b640058ffe114ba4ac8bc0', 'c219480ea8954e4da64d9c35150bec3e', 'False', 'True', 'false', 'false', '511126106214', 5, '仁和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126106214', 1, '2021-07-19 11:47:13', NULL, NULL), (15601, '', '夹江县吴场镇建川村', '5bc89c50aef649258c7bc827311af80e', 'c219480ea8954e4da64d9c35150bec3e', 'False', 'True', 'false', 'false', '511126106215', 5, '建川村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126106215', 1, '2021-07-19 11:47:13', NULL, NULL), (15602, '', '夹江县吴场镇光辉村', '2f3ed5bf3f96472696db25cd07712235', 'c219480ea8954e4da64d9c35150bec3e', 'False', 'True', 'false', 'false', '511126106216', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126106216', 1, '2021-07-19 11:47:13', NULL, NULL), (15603, '', '夹江县吴场镇光荣村', '15f8bea12f9d4bd0af41c66c9b913e84', 'c219480ea8954e4da64d9c35150bec3e', 'False', 'True', 'false', 'false', '511126106217', 5, '光荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126106217', 1, '2021-07-19 11:47:13', NULL, NULL), (15604, '', '夹江县吴场镇丰收村', 'b471fbc2d1c140db95aa0dc82e8d7628', 'c219480ea8954e4da64d9c35150bec3e', 'False', 'True', 'false', 'false', '511126106218', 5, '丰收村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126106218', 1, '2021-07-19 11:47:13', NULL, NULL), (15605, '', '夹江县吴场镇百茶村', 'ed29251407594ef2a1ae9b8970d0cee3', 'c219480ea8954e4da64d9c35150bec3e', 'False', 'True', 'false', 'false', '511126106219', 5, '百茶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126106219', 1, '2021-07-19 11:47:13', NULL, NULL), (15606, '', '夹江县吴场镇新合村', '0ee080e2c95549638d0fba5a016ece1f', 'c219480ea8954e4da64d9c35150bec3e', 'False', 'True', 'false', 'false', '511126106220', 5, '新合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126106220', 1, '2021-07-19 11:47:13', NULL, NULL), (15607, '', '夹江县吴场镇三管村', '92ffe6a5d7a44a86b78b9719c472dbd8', 'c219480ea8954e4da64d9c35150bec3e', 'False', 'True', 'false', 'false', '511126106221', 5, '三管村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126106221', 1, '2021-07-19 11:47:13', NULL, NULL), (15608, '', '漹城街道', '3c4fe58106314b088ff0aebd80ef3fce', 'e8cfdcdf772044a7b62c1fd122967c02', 'True', 'True', 'false', 'false', '511126806000', 4, '漹城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511126806000', 1, '2021-07-19 11:47:13', NULL, NULL), (15609, '', '夹江县漹城街道和平桥社区', 'fca8dfd7e73e4ef18278cdfcf0e2f1c4', '3c4fe58106314b088ff0aebd80ef3fce', 'False', 'True', 'false', 'false', '511126002001', 5, '和平桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126002001', 1, '2021-07-19 11:47:13', NULL, NULL), (15610, '', '夹江县漹城街道牌坊社区', '52015548899945399f9fd681ba65c773', '3c4fe58106314b088ff0aebd80ef3fce', 'False', 'True', 'false', 'false', '511126002002', 5, '牌坊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126002002', 1, '2021-07-19 11:47:14', NULL, NULL), (15611, '', '夹江县漹城街道新华社区', '9290a98455d84e1ba886734b04c6de19', '3c4fe58106314b088ff0aebd80ef3fce', 'False', 'True', 'false', 'false', '511126002003', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126002003', 1, '2021-07-19 11:47:14', NULL, NULL), (15612, '', '夹江县漹城街道工农社区', '148c6040a49c4ceca1a77523e22368b5', '3c4fe58106314b088ff0aebd80ef3fce', 'False', 'True', 'false', 'false', '511126002004', 5, '工农社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126002004', 1, '2021-07-19 11:47:14', NULL, NULL), (15613, '', '夹江县漹城街道城东社区', 'dba9128f37764ab0af11045b6130402a', '3c4fe58106314b088ff0aebd80ef3fce', 'False', 'True', 'false', 'false', '511126002005', 5, '城东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126002005', 1, '2021-07-19 11:47:14', NULL, NULL), (15614, '', '夹江县漹城街道云吟村', '3edbcaf186144c80bd673d05e8f72728', '3c4fe58106314b088ff0aebd80ef3fce', 'False', 'True', 'false', 'false', '511126002200', 5, '云吟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126002200', 1, '2021-07-19 11:47:14', NULL, NULL), (15615, '', '华头镇', 'a0604dfcbfaa485bb5565ce2db92d573', 'e8cfdcdf772044a7b62c1fd122967c02', 'True', 'True', 'false', 'false', '511126901000', 4, '华头镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511126901000', 1, '2021-07-19 11:47:14', NULL, NULL), (15616, '', '夹江县华头镇川溪社区', '008bd7ddfcb944d684cab7f45cf5c562', 'a0604dfcbfaa485bb5565ce2db92d573', 'False', 'True', 'false', 'false', '511126108002', 5, '川溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126108002', 1, '2021-07-19 11:47:14', NULL, NULL), (15617, '', '夹江县华头镇余湾社区', '9df81bb04efe45d696b42202d8095140', 'a0604dfcbfaa485bb5565ce2db92d573', 'False', 'True', 'false', 'false', '511126108003', 5, '余湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126108003', 1, '2021-07-19 11:47:14', NULL, NULL), (15618, '', '夹江县华头镇塘边村', 'ee7f2466aa9b4434932ff60942630062', 'a0604dfcbfaa485bb5565ce2db92d573', 'False', 'True', 'false', 'false', '511126108202', 5, '塘边村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126108202', 1, '2021-07-19 11:47:14', NULL, NULL), (15619, '', '夹江县华头镇金沙村', '6fb6fe8f366c45e695b55829a9d21da7', 'a0604dfcbfaa485bb5565ce2db92d573', 'False', 'True', 'false', 'false', '511126108213', 5, '金沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126108213', 1, '2021-07-19 11:47:14', NULL, NULL), (15620, '', '夹江县华头镇永欣村', 'd675ba48a52a48ee9c0367514ae464ef', 'a0604dfcbfaa485bb5565ce2db92d573', 'False', 'True', 'false', 'false', '511126108214', 5, '永欣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126108214', 1, '2021-07-19 11:47:14', NULL, NULL), (15621, '', '夹江县华头镇迎新村', '07e5525fa6914766a71ac19d50c02c49', 'a0604dfcbfaa485bb5565ce2db92d573', 'False', 'True', 'false', 'false', '511126108215', 5, '迎新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126108215', 1, '2021-07-19 11:47:14', NULL, NULL), (15622, '', '夹江县华头镇陈楼村', 'a0a5e490aff2470fa937b968bfec8620', 'a0604dfcbfaa485bb5565ce2db92d573', 'False', 'True', 'false', 'false', '511126108216', 5, '陈楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126108216', 1, '2021-07-19 11:47:14', NULL, NULL), (15623, '', '夹江县华头镇前锋村', '4309260b9e6e4261bf8e24d48c2abb78', 'a0604dfcbfaa485bb5565ce2db92d573', 'False', 'True', 'false', 'false', '511126108217', 5, '前锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126108217', 1, '2021-07-19 11:47:14', NULL, NULL), (15624, '', '夹江县华头镇柳溪村', 'eaad2513505047ab8e93a1c14902b1a1', 'a0604dfcbfaa485bb5565ce2db92d573', 'False', 'True', 'false', 'false', '511126108220', 5, '柳溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126108220', 1, '2021-07-19 11:47:15', NULL, NULL), (15625, '', '夹江县华头镇辕门村', '1ebac51e3b3644cab86720a3bd25f72d', 'a0604dfcbfaa485bb5565ce2db92d573', 'False', 'True', 'false', 'false', '511126108221', 5, '辕门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126108221', 1, '2021-07-19 11:47:15', NULL, NULL), (15626, '', '夹江县华头镇尖峰村', 'cd751bb64d0c4ec691f22d494a2085f4', 'a0604dfcbfaa485bb5565ce2db92d573', 'False', 'True', 'false', 'false', '511126108223', 5, '尖峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126108223', 1, '2021-07-19 11:47:15', NULL, NULL), (15627, '', '夹江县华头镇联合村', '629d179a272d48d1a8558f160a843ce6', 'a0604dfcbfaa485bb5565ce2db92d573', 'False', 'True', 'false', 'false', '511126108224', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126108224', 1, '2021-07-19 11:47:15', NULL, NULL), (15628, '', '夹江县华头镇福兴村', '860cc842a562400eb5a118c5129f10a1', 'a0604dfcbfaa485bb5565ce2db92d573', 'False', 'True', 'false', 'false', '511126108226', 5, '福兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126108226', 1, '2021-07-19 11:47:15', NULL, NULL), (15629, '', '夹江县华头镇甘溪村', 'cb67c77bc82841faa814685d7a33361f', 'a0604dfcbfaa485bb5565ce2db92d573', 'False', 'True', 'false', 'false', '511126108227', 5, '甘溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126108227', 1, '2021-07-19 11:47:15', NULL, NULL), (15630, '', '黄土镇', 'dfd0a810540144b6bae0d0bf02676ac7', 'e8cfdcdf772044a7b62c1fd122967c02', 'True', 'True', 'false', 'false', '511126989000', 4, '黄土镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511126989000', 1, '2021-07-19 11:47:15', NULL, NULL), (15631, '', '夹江县黄土镇黄土社区', 'e0afe383939540928ee7a79080edab11', 'dfd0a810540144b6bae0d0bf02676ac7', 'False', 'True', 'false', 'false', '511126101001', 5, '黄土社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126101001', 1, '2021-07-19 11:47:15', NULL, NULL), (15632, '', '夹江县黄土镇罗华社区', '3ab7912de9cc407b91701049d5d3ef0b', 'dfd0a810540144b6bae0d0bf02676ac7', 'False', 'True', 'false', 'false', '511126101003', 5, '罗华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126101003', 1, '2021-07-19 11:47:15', NULL, NULL), (15633, '', '夹江县黄土镇凤桥社区', 'bf308d621a854c79bf1e140e13d2793c', 'dfd0a810540144b6bae0d0bf02676ac7', 'False', 'True', 'false', 'false', '511126101004', 5, '凤桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126101004', 1, '2021-07-19 11:47:15', NULL, NULL), (15634, '', '夹江县黄土镇红光村', '3a6de3743c864a30a1d61810ad667224', 'dfd0a810540144b6bae0d0bf02676ac7', 'False', 'True', 'false', 'false', '511126101212', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126101212', 1, '2021-07-19 11:47:15', NULL, NULL), (15635, '', '夹江县黄土镇蟠龙村', '629b0d933e8a490b9e225c2deb1e0960', 'dfd0a810540144b6bae0d0bf02676ac7', 'False', 'True', 'false', 'false', '511126101216', 5, '蟠龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126101216', 1, '2021-07-19 11:47:15', NULL, NULL), (15636, '', '夹江县黄土镇万松村', '1c8a344d3ac24afc909d2f684942efa3', 'dfd0a810540144b6bae0d0bf02676ac7', 'False', 'True', 'false', 'false', '511126101217', 5, '万松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126101217', 1, '2021-07-19 11:47:15', NULL, NULL), (15637, '', '夹江县黄土镇茶坊村', 'fac1b133a48b43d89e84372f08a2f243', 'dfd0a810540144b6bae0d0bf02676ac7', 'False', 'True', 'false', 'false', '511126101218', 5, '茶坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126101218', 1, '2021-07-19 11:47:15', NULL, NULL), (15638, '', '夹江县黄土镇漹江村', '5a97877452da461db6b20db1675d6381', 'dfd0a810540144b6bae0d0bf02676ac7', 'False', 'True', 'false', 'false', '511126101219', 5, '漹江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511126101219', 1, '2021-07-19 11:47:15', NULL, NULL), (15639, '', '沐川县', 'd40512feebfd45cda23ef9007c7b64d4', '9662d820bd8049d2bce41b2c66a0bd60', 'True', 'True', 'false', 'false', '511129000000', 3, '沐川县', 'lssmcx.sczwfw.gov.cn', 1, '2021-07-19 11:47:15', NULL, NULL), (15640, '', '沐溪镇', '87815ce028c34c94a37b070c3c838034', 'd40512feebfd45cda23ef9007c7b64d4', 'True', 'True', 'false', 'false', '511129100000', 4, '沐溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511129100000', 1, '2021-07-19 11:47:15', NULL, NULL), (15641, '', '向天坝社区', 'ba7f1e42134142cb8782dd10f13f7e08', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100493', 5, '向天坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100493', 1, '2021-07-19 11:47:16', NULL, NULL), (15642, '', '关坪村', '92fd9f08c26b44fbb22c7baefb637c70', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100002', 5, '关坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100002', 1, '2021-07-19 11:47:16', NULL, NULL), (15643, '', '建和社区', 'e85545700b3342b7b1519131af9079a9', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100005', 5, '建和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100005', 1, '2021-07-19 11:47:16', NULL, NULL), (15644, '', '胜利村', '8706bfa68da042ca94c5da60582dfea4', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100016', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100016', 1, '2021-07-19 11:47:16', NULL, NULL), (15645, '', '庙坪村', 'e31647ef1471466384c27cd4f3b36a97', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100044', 5, '庙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100044', 1, '2021-07-19 11:47:16', NULL, NULL), (15646, '', '团结村', '1e605edf05fd4ffdbfe7bcb71eafa0dd', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100088', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100088', 1, '2021-07-19 11:47:16', NULL, NULL), (15647, '', '农场坝社区', '166d4aaa82a14db9b3461d05d17794a1', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100166', 5, '农场坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100166', 1, '2021-07-19 11:47:16', NULL, NULL), (15648, '', '茨湾村', 'f79844fb065b4d29bf6a1a00aee38d98', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100173', 5, '茨湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100173', 1, '2021-07-19 11:47:16', NULL, NULL), (15649, '', '泥河村', '9f7944efde7b4798a6732f53a42edcff', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100209', 5, '泥河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100209', 1, '2021-07-19 11:47:16', NULL, NULL), (15650, '', '幸福社区', 'f771a3fc05254ef1bbf18951def75d22', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100239', 5, '幸福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100239', 1, '2021-07-19 11:47:16', NULL, NULL), (15651, '', '石梁村', '4568acd61d0e4399b83f16bf14687d76', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100272', 5, '石梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100272', 1, '2021-07-19 11:47:16', NULL, NULL), (15652, '', '前光村', '715da24e9d264666be88e19434c156d6', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100284', 5, '前光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100284', 1, '2021-07-19 11:47:16', NULL, NULL), (15653, '', '龙桥村', 'e707bfbda16449d0af8347139010f9ab', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100531', 5, '龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100531', 1, '2021-07-19 11:47:16', NULL, NULL), (15654, '', '三溪村', 'c51f0ca5c7354cda89f11017416a9265', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100617', 5, '三溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100617', 1, '2021-07-19 11:47:16', NULL, NULL), (15655, '', '阳雀村', '425fc00e0b774152ad87c646469cfefb', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100755', 5, '阳雀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100755', 1, '2021-07-19 11:47:16', NULL, NULL), (15656, '', '梨园社区', '19f515d502524756bcb36f51b3b89208', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100798', 5, '梨园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100798', 1, '2021-07-19 11:47:16', NULL, NULL), (15657, '', '围墙村', '154cd6b83e6449c5aa45da9189cc3d8b', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100822', 5, '围墙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100822', 1, '2021-07-19 11:47:16', NULL, NULL), (15658, '', '三观楼社区', '2b40ed4725f8488b9c823294447560d1', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100853', 5, '三观楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100853', 1, '2021-07-19 11:47:16', NULL, NULL), (15659, '', '仁厚村', '9b1a30d4c0b54fcd8afc2c6f270ad264', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100907', 5, '仁厚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100907', 1, '2021-07-19 11:47:17', NULL, NULL), (15660, '', '茨梨村', 'c79d8f14ff5f4008a081f3af3719444c', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100908', 5, '茨梨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100908', 1, '2021-07-19 11:47:17', NULL, NULL), (15661, '', '黄龙村', 'e6adaa240bb64dbc8f2753340c0998d7', '87815ce028c34c94a37b070c3c838034', 'False', 'True', 'false', 'false', '511129100910', 5, '黄龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129100910', 1, '2021-07-19 11:47:17', NULL, NULL), (15662, '', '永福镇', 'e21a43cd4d4e43599b921507c7381e4f', 'd40512feebfd45cda23ef9007c7b64d4', 'True', 'True', 'false', 'false', '511129101000', 4, '永福镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511129101000', 1, '2021-07-19 11:47:17', NULL, NULL), (15663, '', '星海村', '288354dc50da406f849df69c14bef0e1', 'e21a43cd4d4e43599b921507c7381e4f', 'False', 'True', 'false', 'false', '511129101020', 5, '星海村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129101020', 1, '2021-07-19 11:47:17', NULL, NULL), (15664, '', '万寿村', '2e81aaaa9dad409882ce8a8806f57446', 'e21a43cd4d4e43599b921507c7381e4f', 'False', 'True', 'false', 'false', '511129101103', 5, '万寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129101103', 1, '2021-07-19 11:47:17', NULL, NULL), (15665, '', '张村村', '746e5cec6869472f9af2c229bb019d5c', 'e21a43cd4d4e43599b921507c7381e4f', 'False', 'True', 'false', 'false', '511129101175', 5, '张村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129101175', 1, '2021-07-19 11:47:17', NULL, NULL), (15666, '', '永兴村', 'f7ed8d7a9b0e423ebdf49d3f38d41cf5', 'e21a43cd4d4e43599b921507c7381e4f', 'False', 'True', 'false', 'false', '511129101369', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129101369', 1, '2021-07-19 11:47:17', NULL, NULL), (15667, '', '油房村', 'bafc0112858747939bd213b158bb58d6', 'e21a43cd4d4e43599b921507c7381e4f', 'False', 'True', 'false', 'false', '511129101405', 5, '油房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129101405', 1, '2021-07-19 11:47:17', NULL, NULL), (15668, '', '新桥村', '6c9675e648eb4457947f8a70c7a69ef0', 'e21a43cd4d4e43599b921507c7381e4f', 'False', 'True', 'false', 'false', '511129101621', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129101621', 1, '2021-07-19 11:47:17', NULL, NULL), (15669, '', '田家坝社区', '8c51463f42f04609bf3f00f16bfaedd1', 'e21a43cd4d4e43599b921507c7381e4f', 'False', 'True', 'false', 'false', '511129101735', 5, '田家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129101735', 1, '2021-07-19 11:47:17', NULL, NULL), (15670, '', '新华村', '318381257a93489ba5e4bea07223d2f7', 'e21a43cd4d4e43599b921507c7381e4f', 'False', 'True', 'false', 'false', '511129101784', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129101784', 1, '2021-07-19 11:47:17', NULL, NULL), (15671, '', '双河村', 'babc5f6486964ae8a3aa99082e8b7884', 'e21a43cd4d4e43599b921507c7381e4f', 'False', 'True', 'false', 'false', '511129101896', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129101896', 1, '2021-07-19 11:47:17', NULL, NULL), (15672, '', '大楠镇', '2f1d03fc97ff4abf8110846474a9bc6c', 'd40512feebfd45cda23ef9007c7b64d4', 'True', 'True', 'false', 'false', '511129102000', 4, '大楠镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511129102000', 1, '2021-07-19 11:47:17', NULL, NULL), (15673, '', '金盆村', 'b0bcf3c92de34203b1dc34d1c75a2d57', '2f1d03fc97ff4abf8110846474a9bc6c', 'False', 'True', 'false', 'false', '511129102032', 5, '金盆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129102032', 1, '2021-07-19 11:47:18', NULL, NULL), (15674, '', '水口村', '9d0c0ecba26d40c8bfebea875dbba383', '2f1d03fc97ff4abf8110846474a9bc6c', 'False', 'True', 'false', 'false', '511129102048', 5, '水口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129102048', 1, '2021-07-19 11:47:18', NULL, NULL), (15675, '', '石堰村', '4bfaa42c93a84507b9226d89bf9f82f1', '2f1d03fc97ff4abf8110846474a9bc6c', 'False', 'True', 'false', 'false', '511129102241', 5, '石堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129102241', 1, '2021-07-19 11:47:18', NULL, NULL), (15676, '', '大楠坳社区', '7526baeff9cb4918a005e1431c85bb2a', '2f1d03fc97ff4abf8110846474a9bc6c', 'False', 'True', 'false', 'false', '511129102323', 5, '大楠坳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129102323', 1, '2021-07-19 11:47:18', NULL, NULL), (15677, '', '建农村', '5313a2171e164bbf944d4739a642def4', '2f1d03fc97ff4abf8110846474a9bc6c', 'False', 'True', 'false', 'false', '511129102381', 5, '建农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129102381', 1, '2021-07-19 11:47:18', NULL, NULL), (15678, '', '文昌村', 'f724c37640e04169bc17028a2aa12fda', '2f1d03fc97ff4abf8110846474a9bc6c', 'False', 'True', 'false', 'false', '511129102391', 5, '文昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129102391', 1, '2021-07-19 11:47:18', NULL, NULL), (15679, '', '新场村', 'c40e200af0ff497fb49e74250a962785', '2f1d03fc97ff4abf8110846474a9bc6c', 'False', 'True', 'false', 'false', '511129102425', 5, '新场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129102425', 1, '2021-07-19 11:47:18', NULL, NULL), (15680, '', '四河村', 'dad98a832e9448bc97bababa8b52594a', '2f1d03fc97ff4abf8110846474a9bc6c', 'False', 'True', 'false', 'false', '511129102531', 5, '四河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129102531', 1, '2021-07-19 11:47:18', NULL, NULL), (15681, '', '白云村', 'e9db40aada8c41048f7ae06f10a02ecf', '2f1d03fc97ff4abf8110846474a9bc6c', 'False', 'True', 'false', 'false', '511129102603', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129102603', 1, '2021-07-19 11:47:18', NULL, NULL), (15682, '', '义和村', 'c8b5b37aedc645da8caad66b2a1ddcf1', '2f1d03fc97ff4abf8110846474a9bc6c', 'False', 'True', 'false', 'false', '511129102689', 5, '义和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129102689', 1, '2021-07-19 11:47:18', NULL, NULL), (15683, '', '李子村', '8e4282b09e534978b85117cc8d26a7aa', '2f1d03fc97ff4abf8110846474a9bc6c', 'False', 'True', 'false', 'false', '511129102700', 5, '李子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129102700', 1, '2021-07-19 11:47:18', NULL, NULL), (15684, '', '龙水村', '104929b15a7d482089d3915d7f1e3e2b', '2f1d03fc97ff4abf8110846474a9bc6c', 'False', 'True', 'false', 'false', '511129102773', 5, '龙水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129102773', 1, '2021-07-19 11:47:18', NULL, NULL), (15685, '', '高山村', '78163ba1c4e540dfb5a056ceb5f42ba6', '2f1d03fc97ff4abf8110846474a9bc6c', 'False', 'True', 'false', 'false', '511129102780', 5, '高山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129102780', 1, '2021-07-19 11:47:18', NULL, NULL), (15686, '', '麻秧村', '7f7859fd41be4003985f33225b07eaad', '2f1d03fc97ff4abf8110846474a9bc6c', 'False', 'True', 'false', 'false', '511129102808', 5, '麻秧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129102808', 1, '2021-07-19 11:47:18', NULL, NULL), (15687, '', '禾加村', 'af0c9729134f4511897534ce72076c11', '2f1d03fc97ff4abf8110846474a9bc6c', 'False', 'True', 'false', 'false', '511129102944', 5, '禾加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129102944', 1, '2021-07-19 11:47:19', NULL, NULL), (15688, '', '箭板镇', 'f9a8884297e54ae1bba6b9cfdc03f49b', 'd40512feebfd45cda23ef9007c7b64d4', 'True', 'True', 'false', 'false', '511129103000', 4, '箭板镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511129103000', 1, '2021-07-19 11:47:19', NULL, NULL), (15689, '', '久和村', '05aa1da838c24663be144ab939e8ef60', 'f9a8884297e54ae1bba6b9cfdc03f49b', 'False', 'True', 'false', 'false', '511129103343', 5, '久和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129103343', 1, '2021-07-19 11:47:19', NULL, NULL), (15690, '', '马湖社区', '765732040b4d45f7a4b993d8e0e0c66f', 'f9a8884297e54ae1bba6b9cfdc03f49b', 'False', 'True', 'false', 'false', '511129103351', 5, '马湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129103351', 1, '2021-07-19 11:47:19', NULL, NULL), (15691, '', '庆元村', '21f654831c954fc88bc66e4a42c56f3e', 'f9a8884297e54ae1bba6b9cfdc03f49b', 'False', 'True', 'false', 'false', '511129103509', 5, '庆元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129103509', 1, '2021-07-19 11:47:19', NULL, NULL), (15692, '', '五星村', 'df7e5af97cec47faac9e0a1ae13146de', 'f9a8884297e54ae1bba6b9cfdc03f49b', 'False', 'True', 'false', 'false', '511129103528', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129103528', 1, '2021-07-19 11:47:19', NULL, NULL), (15693, '', '中和村', '1f104298970f410596c56f647268ab35', 'f9a8884297e54ae1bba6b9cfdc03f49b', 'False', 'True', 'false', 'false', '511129103701', 5, '中和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129103701', 1, '2021-07-19 11:47:19', NULL, NULL), (15694, '', '尹安村', '18b46fc0638241099046f02379d57608', 'f9a8884297e54ae1bba6b9cfdc03f49b', 'False', 'True', 'false', 'false', '511129103795', 5, '尹安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129103795', 1, '2021-07-19 11:47:19', NULL, NULL), (15695, '', '安乐村', '6cf3633d466b4fcebf929ba85c53ce68', 'f9a8884297e54ae1bba6b9cfdc03f49b', 'False', 'True', 'false', 'false', '511129103890', 5, '安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129103890', 1, '2021-07-19 11:47:19', NULL, NULL), (15696, '', '舟坝镇', '3af1036fe55640f18a4020d2861f9ebe', 'd40512feebfd45cda23ef9007c7b64d4', 'True', 'True', 'false', 'false', '511129104000', 4, '舟坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511129104000', 1, '2021-07-19 11:47:19', NULL, NULL), (15697, '', '桑林村', 'ad0aa9ce3de54997befcf3aec8be6f7a', '3af1036fe55640f18a4020d2861f9ebe', 'False', 'False', 'false', 'false', '511129104048', 5, '桑林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129104048', 1, '2021-07-19 11:47:19', NULL, NULL), (15698, '', '前进村', '8e207343e1284b2f8f99cd0b110879aa', '3af1036fe55640f18a4020d2861f9ebe', 'False', 'True', 'false', 'false', '511129104117', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129104117', 1, '2021-07-19 11:47:19', NULL, NULL), (15699, '', '场坝村', 'd7f579ba07ad49908198bfe379f96a04', '3af1036fe55640f18a4020d2861f9ebe', 'False', 'True', 'false', 'false', '511129104132', 5, '场坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129104132', 1, '2021-07-19 11:47:19', NULL, NULL), (15700, '', '普宁村', '3c27e58d164c4351b0d71fb978563c6b', '3af1036fe55640f18a4020d2861f9ebe', 'False', 'True', 'false', 'false', '511129104197', 5, '普宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129104197', 1, '2021-07-19 11:47:19', NULL, NULL), (15701, '', '弓湾村', '39229672c6314420ab2601844b78fcc8', '3af1036fe55640f18a4020d2861f9ebe', 'False', 'True', 'false', 'false', '511129104208', 5, '弓湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129104208', 1, '2021-07-19 11:47:19', NULL, NULL), (15702, '', '正兴村', '32fde6aee0a34f5cb5ad21603759eec2', '3af1036fe55640f18a4020d2861f9ebe', 'False', 'True', 'false', 'false', '511129104306', 5, '正兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129104306', 1, '2021-07-19 11:47:19', NULL, NULL), (15703, '', '先锋村', '549ff2ba453541669ea869426ba0f534', '3af1036fe55640f18a4020d2861f9ebe', 'False', 'True', 'false', 'false', '511129104696', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129104696', 1, '2021-07-19 11:47:20', NULL, NULL), (15704, '', '乐群村', 'd8a75573db5c4f58af2f13bc5b372e3b', '3af1036fe55640f18a4020d2861f9ebe', 'False', 'True', 'false', 'false', '511129104715', 5, '乐群村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129104715', 1, '2021-07-19 11:47:20', NULL, NULL), (15705, '', '花山湾社区', '65ba025ef89949d6b4dbb703c3295d15', '3af1036fe55640f18a4020d2861f9ebe', 'False', 'True', 'false', 'false', '511129104765', 5, '花山湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129104765', 1, '2021-07-19 11:47:20', NULL, NULL), (15706, '', '洋溪村', '89444bbcb18a4f03aeb8e27a8952ab61', '3af1036fe55640f18a4020d2861f9ebe', 'False', 'True', 'false', 'false', '511129104876', 5, '洋溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129104876', 1, '2021-07-19 11:47:20', NULL, NULL), (15707, '', '夏寨村', '75efb64c3d424652b14aaba35de74fd9', '3af1036fe55640f18a4020d2861f9ebe', 'False', 'True', 'false', 'false', '511129104924', 5, '夏寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129104924', 1, '2021-07-19 11:47:20', NULL, NULL), (15708, '', '黄丹镇', '7241ed5ebace43bf9fa57791d764b06c', 'd40512feebfd45cda23ef9007c7b64d4', 'True', 'True', 'false', 'false', '511129105000', 4, '黄丹镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511129105000', 1, '2021-07-19 11:47:20', NULL, NULL), (15709, '', '大碑村', '3ff532fe80ce493d904b18f38c217873', '7241ed5ebace43bf9fa57791d764b06c', 'False', 'True', 'false', 'false', '511129105007', 5, '大碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129105007', 1, '2021-07-19 11:47:20', NULL, NULL), (15710, '', '铁炉村', 'c66b0399fe954cb08141781a0cc7b50b', '7241ed5ebace43bf9fa57791d764b06c', 'False', 'True', 'false', 'false', '511129105020', 5, '铁炉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129105020', 1, '2021-07-19 11:47:20', NULL, NULL), (15711, '', '钟坪村', '914eb7e24949408f9fd185c8f2f0bf71', '7241ed5ebace43bf9fa57791d764b06c', 'False', 'True', 'false', 'false', '511129105264', 5, '钟坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129105264', 1, '2021-07-19 11:47:20', NULL, NULL), (15712, '', '赵坝村', 'ad7389be1640433bb425c89a9795295e', '7241ed5ebace43bf9fa57791d764b06c', 'False', 'True', 'false', 'false', '511129105566', 5, '赵坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129105566', 1, '2021-07-19 11:47:20', NULL, NULL), (15713, '', '太和堂社区', '0052ce033b3144858d5e9c566332612a', '7241ed5ebace43bf9fa57791d764b06c', 'False', 'True', 'false', 'false', '511129105569', 5, '太和堂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129105569', 1, '2021-07-19 11:47:20', NULL, NULL), (15714, '', '里坪村', '22059aa2c5624905adc8a040d439d13b', '7241ed5ebace43bf9fa57791d764b06c', 'False', 'True', 'false', 'false', '511129105599', 5, '里坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129105599', 1, '2021-07-19 11:47:20', NULL, NULL), (15715, '', '加禾村', '1d271daac07749009dcac19dc85c1dd3', '7241ed5ebace43bf9fa57791d764b06c', 'False', 'True', 'false', 'false', '511129105793', 5, '加禾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129105793', 1, '2021-07-19 11:47:20', NULL, NULL), (15716, '', '芋荷村', 'dd5e25dbce514d83a921ba9df6720003', '7241ed5ebace43bf9fa57791d764b06c', 'False', 'True', 'false', 'false', '511129105815', 5, '芋荷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129105815', 1, '2021-07-19 11:47:20', NULL, NULL), (15717, '', '罗岩村', '89d590033d764bb3a4225fa49117513b', '7241ed5ebace43bf9fa57791d764b06c', 'False', 'True', 'false', 'false', '511129105866', 5, '罗岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129105866', 1, '2021-07-19 11:47:20', NULL, NULL), (15718, '', '利店镇', '6ca53d611f5b4d258604689eb805b146', 'd40512feebfd45cda23ef9007c7b64d4', 'True', 'True', 'false', 'false', '511129106000', 4, '利店镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511129106000', 1, '2021-07-19 11:47:20', NULL, NULL), (15719, '', '大田村', 'aab9daebdc354463a107d6577412f2ac', '6ca53d611f5b4d258604689eb805b146', 'False', 'True', 'false', 'false', '511129106084', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129106084', 1, '2021-07-19 11:47:21', NULL, NULL), (15720, '', '大坪村', 'e121d0c062974d809da9b3e8bc244672', '6ca53d611f5b4d258604689eb805b146', 'False', 'True', 'false', 'false', '511129106115', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129106115', 1, '2021-07-19 11:47:21', NULL, NULL), (15721, '', '涧溪村', '4a16cf5833254fc4858fe0e90d673a09', '6ca53d611f5b4d258604689eb805b146', 'False', 'True', 'false', 'false', '511129106184', 5, '涧溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129106184', 1, '2021-07-19 11:47:21', NULL, NULL), (15722, '', '桥头村', 'a52e4673fe6c40e5bb61566934d2743e', '6ca53d611f5b4d258604689eb805b146', 'False', 'True', 'false', 'false', '511129106197', 5, '桥头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129106197', 1, '2021-07-19 11:47:21', NULL, NULL), (15723, '', '老林村', 'f620bdcf49c74004b4c84dfb4bc168c2', '6ca53d611f5b4d258604689eb805b146', 'False', 'True', 'false', 'false', '511129106390', 5, '老林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129106390', 1, '2021-07-19 11:47:21', NULL, NULL), (15724, '', '后山村', '229dc30b57d340899947378f2d063a54', '6ca53d611f5b4d258604689eb805b146', 'False', 'True', 'false', 'false', '511129106440', 5, '后山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129106440', 1, '2021-07-19 11:47:21', NULL, NULL), (15725, '', '利民坝社区', 'e802fe19c90243c6896ba7bef6b22d13', '6ca53d611f5b4d258604689eb805b146', 'False', 'True', 'false', 'false', '511129106494', 5, '利民坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129106494', 1, '2021-07-19 11:47:21', NULL, NULL), (15726, '', '朝阳村', '6f10590eee5d48a29eb687bb36741da0', '6ca53d611f5b4d258604689eb805b146', 'False', 'True', 'false', 'false', '511129106618', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129106618', 1, '2021-07-19 11:47:21', NULL, NULL), (15727, '', '珠溪村', '15a55aa420e949a2a273d770fabea7ea', '6ca53d611f5b4d258604689eb805b146', 'False', 'True', 'false', 'false', '511129106703', 5, '珠溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129106703', 1, '2021-07-19 11:47:21', NULL, NULL), (15728, '', '三河村', '9aec155a6343467da73cb05356c4ed38', '6ca53d611f5b4d258604689eb805b146', 'False', 'True', 'false', 'false', '511129106778', 5, '三河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129106778', 1, '2021-07-19 11:47:21', NULL, NULL), (15729, '', '回龙村', '67be0b383a244b9ca5504fa6412d0e28', '6ca53d611f5b4d258604689eb805b146', 'False', 'True', 'false', 'false', '511129106790', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129106790', 1, '2021-07-19 11:47:21', NULL, NULL), (15730, '', '大桥村', 'd94578b1f63d4c39b4f3be63277acdf0', '6ca53d611f5b4d258604689eb805b146', 'False', 'True', 'false', 'false', '511129106844', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129106844', 1, '2021-07-19 11:47:21', NULL, NULL), (15731, '', '天坪村', '218dd2ff996a4623bc73775033fdcdb6', '6ca53d611f5b4d258604689eb805b146', 'False', 'True', 'false', 'false', '511129106909', 5, '天坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129106909', 1, '2021-07-19 11:47:21', NULL, NULL), (15732, '', '楼房村', '7255fbcd79044d7385afe3a449ff8af4', '6ca53d611f5b4d258604689eb805b146', 'False', 'True', 'false', 'false', '511129106940', 5, '楼房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129106940', 1, '2021-07-19 11:47:22', NULL, NULL), (15733, '', '底堡乡', 'a69b594e3da74d2aaa55c7e0d684dba2', 'd40512feebfd45cda23ef9007c7b64d4', 'True', 'True', 'false', 'false', '511129205000', 4, '底堡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511129205000', 1, '2021-07-19 11:47:22', NULL, NULL), (15734, '', '花园村', '455a084684184198ae618fdd5d562d50', 'a69b594e3da74d2aaa55c7e0d684dba2', 'False', 'True', 'false', 'false', '511129205006', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129205006', 1, '2021-07-19 11:47:22', NULL, NULL), (15735, '', '莺歌村', 'ad2cd7df38c54ef9b122a5d49565d313', 'a69b594e3da74d2aaa55c7e0d684dba2', 'False', 'True', 'false', 'false', '511129205157', 5, '莺歌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129205157', 1, '2021-07-19 11:47:22', NULL, NULL), (15736, '', '卫国村', '95f83017f88d4bf080b3c1c7f81e2028', 'a69b594e3da74d2aaa55c7e0d684dba2', 'False', 'True', 'false', 'false', '511129205328', 5, '卫国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129205328', 1, '2021-07-19 11:47:22', NULL, NULL), (15737, '', '水月村', '7a0c1bf7fe2447c0b1c9a9ee15db3ea7', 'a69b594e3da74d2aaa55c7e0d684dba2', 'False', 'True', 'false', 'false', '511129205405', 5, '水月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129205405', 1, '2021-07-19 11:47:22', NULL, NULL), (15738, '', '月咡台社区', '9f3f736c76224f81943b30b91b9b2985', 'a69b594e3da74d2aaa55c7e0d684dba2', 'False', 'True', 'false', 'false', '511129205430', 5, '月咡台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129205430', 1, '2021-07-19 11:47:22', NULL, NULL), (15739, '', '龙沱村', 'a2bf867e72e44cbc978e379ea6e262ed', 'a69b594e3da74d2aaa55c7e0d684dba2', 'False', 'True', 'false', 'false', '511129205651', 5, '龙沱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129205651', 1, '2021-07-19 11:47:22', NULL, NULL), (15740, '', '五显村', '1f643b778c874866ac42458b63066886', 'a69b594e3da74d2aaa55c7e0d684dba2', 'False', 'True', 'false', 'false', '511129205841', 5, '五显村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129205841', 1, '2021-07-19 11:47:22', NULL, NULL), (15741, '', '五通村', '025d1c02b3944c8dba389958d642a333', 'a69b594e3da74d2aaa55c7e0d684dba2', 'False', 'True', 'false', 'false', '511129205982', 5, '五通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129205982', 1, '2021-07-19 11:47:22', NULL, NULL), (15742, '', '杨村乡', '28410c16908a46169c60cac09f85b50c', 'd40512feebfd45cda23ef9007c7b64d4', 'True', 'True', 'false', 'false', '511129206000', 4, '杨村乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511129206000', 1, '2021-07-19 11:47:22', NULL, NULL), (15743, '', '龙洞村', '4568b2d798bc444798c3f68901f6694c', '28410c16908a46169c60cac09f85b50c', 'False', 'True', 'false', 'false', '511129206125', 5, '龙洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129206125', 1, '2021-07-19 11:47:22', NULL, NULL), (15744, '', '茨岩村', 'ac4f48e5543746718a2afcedcd97f7b0', '28410c16908a46169c60cac09f85b50c', 'False', 'True', 'false', 'false', '511129206367', 5, '茨岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129206367', 1, '2021-07-19 11:47:22', NULL, NULL), (15745, '', '桢楠村', 'fc3a0821269742339b303574a5feb1af', '28410c16908a46169c60cac09f85b50c', 'False', 'True', 'false', 'false', '511129206511', 5, '桢楠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129206511', 1, '2021-07-19 11:47:22', NULL, NULL), (15746, '', '新坝村', '4d9288afc5334ede95be24cb226a3c4d', '28410c16908a46169c60cac09f85b50c', 'False', 'True', 'false', 'false', '511129206526', 5, '新坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129206526', 1, '2021-07-19 11:47:22', NULL, NULL), (15747, '', '两路村', '3db4d7c17aee4c9688882b4187d67f22', '28410c16908a46169c60cac09f85b50c', 'False', 'True', 'false', 'false', '511129206756', 5, '两路村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129206756', 1, '2021-07-19 11:47:22', NULL, NULL), (15748, '', '碑坪村', '98f4c7591bb641489bfa2b9e3f135079', '28410c16908a46169c60cac09f85b50c', 'False', 'True', 'false', 'false', '511129206926', 5, '碑坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129206926', 1, '2021-07-19 11:47:22', NULL, NULL), (15749, '', '杨村坝社区', '5075672f01e142079ff298223fe32f09', '28410c16908a46169c60cac09f85b50c', 'False', 'True', 'false', 'false', '511129206981', 5, '杨村坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129206981', 1, '2021-07-19 11:47:23', NULL, NULL), (15750, '', '硝坝村', '6db4834c232f4149bd10b657f6555777', '28410c16908a46169c60cac09f85b50c', 'False', 'True', 'false', 'false', '511129206989', 5, '硝坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129206989', 1, '2021-07-19 11:47:23', NULL, NULL), (15751, '', '高笋乡', '09f8c9ed178349efa637782f1da22e63', 'd40512feebfd45cda23ef9007c7b64d4', 'True', 'True', 'false', 'false', '511129207000', 4, '高笋乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511129207000', 1, '2021-07-19 11:47:23', NULL, NULL), (15752, '', '光明村', 'f2e38ed6669f48edb632977aafc4241d', '09f8c9ed178349efa637782f1da22e63', 'False', 'True', 'false', 'false', '511129207290', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129207290', 1, '2021-07-19 11:47:23', NULL, NULL), (15753, '', '民主村', '5f4c758f2f6e49acaf19165daa9c0d04', '09f8c9ed178349efa637782f1da22e63', 'False', 'True', 'false', 'false', '511129207413', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129207413', 1, '2021-07-19 11:47:23', NULL, NULL), (15754, '', '康乐社区', 'b0051c1474fc4721a9e162f937634d5c', '09f8c9ed178349efa637782f1da22e63', 'False', 'True', 'false', 'false', '511129207504', 5, '康乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129207504', 1, '2021-07-19 11:47:23', NULL, NULL), (15755, '', '安坪村', '525d8ad4e06349bd98724692b49484ca', '09f8c9ed178349efa637782f1da22e63', 'False', 'True', 'false', 'false', '511129207656', 5, '安坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129207656', 1, '2021-07-19 11:47:23', NULL, NULL), (15756, '', '静云村', 'a2e8515c355240f29d8b17022f8d7113', '09f8c9ed178349efa637782f1da22e63', 'False', 'True', 'false', 'false', '511129207882', 5, '静云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129207882', 1, '2021-07-19 11:47:23', NULL, NULL), (15757, '', '龙河村', '9a98c907943f4461af07755ce8a2cf9e', '09f8c9ed178349efa637782f1da22e63', 'False', 'True', 'false', 'false', '511129207950', 5, '龙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129207950', 1, '2021-07-19 11:47:23', NULL, NULL), (15758, '', '茨竹乡', '5bb300672e4c4aa8867e9900b1044930', 'd40512feebfd45cda23ef9007c7b64d4', 'True', 'True', 'false', 'false', '511129208000', 4, '茨竹乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511129208000', 1, '2021-07-19 11:47:23', NULL, NULL), (15759, '', '龙兴村', '847e2d6aa07d4734a10570d794b8d491', '5bb300672e4c4aa8867e9900b1044930', 'False', 'True', 'false', 'false', '511129208011', 5, '龙兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129208011', 1, '2021-07-19 11:47:23', NULL, NULL), (15760, '', '西门村', 'cad3b90db02840129987dc21288b12e0', '5bb300672e4c4aa8867e9900b1044930', 'False', 'True', 'false', 'false', '511129208269', 5, '西门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129208269', 1, '2021-07-19 11:47:23', NULL, NULL), (15761, '', '茶坪村', 'f251ca4543e44a3eb41303e93226cd0b', '5bb300672e4c4aa8867e9900b1044930', 'False', 'True', 'false', 'false', '511129208750', 5, '茶坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129208750', 1, '2021-07-19 11:47:23', NULL, NULL), (15762, '', '朝天马社区', 'd33d5203608546f89a07ca8cad725c47', '5bb300672e4c4aa8867e9900b1044930', 'False', 'True', 'false', 'false', '511129208825', 5, '朝天马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129208825', 1, '2021-07-19 11:47:23', NULL, NULL), (15763, '', '五四村', '9a479c9404614f1b8cedcfee6fd75b9c', '5bb300672e4c4aa8867e9900b1044930', 'False', 'True', 'false', 'false', '511129208918', 5, '五四村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129208918', 1, '2021-07-19 11:47:24', NULL, NULL), (15764, '', '寺坪村', '218410e6285443418b3058ac604fbb4c', '5bb300672e4c4aa8867e9900b1044930', 'False', 'True', 'false', 'false', '511129208921', 5, '寺坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129208921', 1, '2021-07-19 11:47:24', NULL, NULL), (15765, '', '友爱村', '3648758ad9104f9388c61544a049a8f3', '5bb300672e4c4aa8867e9900b1044930', 'False', 'True', 'false', 'false', '511129208949', 5, '友爱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129208949', 1, '2021-07-19 11:47:24', NULL, NULL), (15766, '', '凉井村', 'a413b26ce270487588ed4ddcd5d09bd9', '5bb300672e4c4aa8867e9900b1044930', 'False', 'True', 'false', 'false', '511129208993', 5, '凉井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129208993', 1, '2021-07-19 11:47:24', NULL, NULL), (15767, '', '武圣乡', 'd5437987708640f9b05adc08ec254555', 'd40512feebfd45cda23ef9007c7b64d4', 'True', 'True', 'false', 'false', '511129210000', 4, '武圣乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511129210000', 1, '2021-07-19 11:47:24', NULL, NULL), (15768, '', '白凤村', 'c17aa7e455cb458582702c724caea46d', 'd5437987708640f9b05adc08ec254555', 'False', 'True', 'false', 'false', '511129210021', 5, '白凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129210021', 1, '2021-07-19 11:47:24', NULL, NULL), (15769, '', '仁礼社区', '2a7dc595f46b4b06b25d15d959da6272', 'd5437987708640f9b05adc08ec254555', 'False', 'True', 'false', 'false', '511129210057', 5, '仁礼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129210057', 1, '2021-07-19 11:47:24', NULL, NULL), (15770, '', '柏杨村', '619def4d1e0f48cfbb5de667f781e129', 'd5437987708640f9b05adc08ec254555', 'False', 'True', 'false', 'false', '511129210059', 5, '柏杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129210059', 1, '2021-07-19 11:47:24', NULL, NULL), (15771, '', '红星村', 'fe1559bc5e95431f9897d95f37f31740', 'd5437987708640f9b05adc08ec254555', 'False', 'True', 'false', 'false', '511129210216', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129210216', 1, '2021-07-19 11:47:24', NULL, NULL), (15772, '', '罗山村', '1d389631092a4e59b3cfd8b710787778', 'd5437987708640f9b05adc08ec254555', 'False', 'True', 'false', 'false', '511129210579', 5, '罗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129210579', 1, '2021-07-19 11:47:24', NULL, NULL), (15773, '', '新民村', '0d6491dbf1fd4bb1b3ffc317bbfcdbf5', 'd5437987708640f9b05adc08ec254555', 'False', 'True', 'false', 'false', '511129210609', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129210609', 1, '2021-07-19 11:47:24', NULL, NULL), (15774, '', '德胜村', 'cd5f2c4be06043adbdda634d56a1b6d4', 'd5437987708640f9b05adc08ec254555', 'False', 'True', 'false', 'false', '511129210737', 5, '德胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129210737', 1, '2021-07-19 11:47:24', NULL, NULL), (15775, '', '石马村', 'baaf209e6f5e4b4f85e39e402c057414', 'd5437987708640f9b05adc08ec254555', 'False', 'True', 'false', 'false', '511129210776', 5, '石马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129210776', 1, '2021-07-19 11:47:24', NULL, NULL), (15776, '', '新店村', 'cfc378f13b854a9fa3b56e143b8cf9cc', 'd5437987708640f9b05adc08ec254555', 'False', 'True', 'false', 'false', '511129210875', 5, '新店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129210875', 1, '2021-07-19 11:47:24', NULL, NULL), (15777, '', '富新镇', 'ef4e9f698c0745bebdf129ce0f463a50', 'd40512feebfd45cda23ef9007c7b64d4', 'True', 'True', 'false', 'false', '511129647000', 4, '富新镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511129647000', 1, '2021-07-19 11:47:25', NULL, NULL), (15778, '', '水井村', '178b9900f839485a8b8af5b3b989d82d', 'ef4e9f698c0745bebdf129ce0f463a50', 'False', 'True', 'false', 'false', '511129107129', 5, '水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129107129', 1, '2021-07-19 11:47:25', NULL, NULL), (15779, '', '宋村村', 'be2be6d9fbcc424da92187e0c997fc7d', 'ef4e9f698c0745bebdf129ce0f463a50', 'False', 'True', 'false', 'false', '511129107140', 5, '宋村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129107140', 1, '2021-07-19 11:47:25', NULL, NULL), (15780, '', '小河村', 'afcbe00c29684c998d6bffd6e3611e84', 'ef4e9f698c0745bebdf129ce0f463a50', 'False', 'True', 'false', 'false', '511129107147', 5, '小河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129107147', 1, '2021-07-19 11:47:25', NULL, NULL), (15781, '', '富和社区', '33a42b52f3684ee18f2e00095922bd76', 'ef4e9f698c0745bebdf129ce0f463a50', 'False', 'True', 'false', 'false', '511129107207', 5, '富和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129107207', 1, '2021-07-19 11:47:25', NULL, NULL), (15782, '', '蓝林村', '5c81922f9fd24c669bb7a4cf6c5b7b3d', 'ef4e9f698c0745bebdf129ce0f463a50', 'False', 'True', 'false', 'false', '511129107224', 5, '蓝林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129107224', 1, '2021-07-19 11:47:25', NULL, NULL), (15783, '', '小林村', '2e2bd7eb4648423fab610f8130e7a3eb', 'ef4e9f698c0745bebdf129ce0f463a50', 'False', 'True', 'false', 'false', '511129107268', 5, '小林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129107268', 1, '2021-07-19 11:47:25', NULL, NULL), (15784, '', '卡防村', 'f09d453a3e7b48f5a8770b76cc035b32', 'ef4e9f698c0745bebdf129ce0f463a50', 'False', 'True', 'false', 'false', '511129107326', 5, '卡防村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129107326', 1, '2021-07-19 11:47:25', NULL, NULL), (15785, '', '筒车村', 'dc4790d26e444ba693afb08c5233a46c', 'ef4e9f698c0745bebdf129ce0f463a50', 'False', 'True', 'false', 'false', '511129107390', 5, '筒车村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129107390', 1, '2021-07-19 11:47:25', NULL, NULL), (15786, '', '罗柘村', 'fee789a9613f45a5b5255e5b579d600f', 'ef4e9f698c0745bebdf129ce0f463a50', 'False', 'True', 'false', 'false', '511129107444', 5, '罗柘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129107444', 1, '2021-07-19 11:47:25', NULL, NULL), (15787, '', '新塘村', '3a3cea54fda641ef80493e7e2605c0f4', 'ef4e9f698c0745bebdf129ce0f463a50', 'False', 'True', 'false', 'false', '511129107493', 5, '新塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129107493', 1, '2021-07-19 11:47:25', NULL, NULL), (15788, '', '岩湾村', '169531d79e7b4a1699cf0cc9ff24b0a5', 'ef4e9f698c0745bebdf129ce0f463a50', 'False', 'True', 'false', 'false', '511129107577', 5, '岩湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129107577', 1, '2021-07-19 11:47:25', NULL, NULL), (15789, '', '太和村', 'cc6ba63ab6054c3ea0b681324421c107', 'ef4e9f698c0745bebdf129ce0f463a50', 'False', 'True', 'false', 'false', '511129107724', 5, '太和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129107724', 1, '2021-07-19 11:47:26', NULL, NULL), (15790, '', '清凉村', 'c5561e719f704e4b9a02d5c974bf6690', 'ef4e9f698c0745bebdf129ce0f463a50', 'False', 'True', 'false', 'false', '511129107751', 5, '清凉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129107751', 1, '2021-07-19 11:47:26', NULL, NULL), (15791, '', '双石村', '39a097687a8b47b599ccfc604a263ef9', 'ef4e9f698c0745bebdf129ce0f463a50', 'False', 'True', 'false', 'false', '511129107947', 5, '双石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511129107947', 1, '2021-07-19 11:47:26', NULL, NULL), (15792, '', '峨边彝族自治县', '00755ce24a6d4af18f089ed2d922c859', '9662d820bd8049d2bce41b2c66a0bd60', 'True', 'True', 'false', 'false', '511132000000', 3, '峨边县', 'lssebx.sczwfw.gov.cn', 1, '2021-07-19 11:47:26', NULL, NULL), (15793, '', '沙坪镇', 'ec6ef110ff584c93946b9a5d1351ec62', '00755ce24a6d4af18f089ed2d922c859', 'True', 'True', 'false', 'false', '511132100000', 4, '沙坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511132100000', 1, '2021-07-19 11:47:26', NULL, NULL), (15794, '', '果山村委会', 'c8cc7c8d5bc34a4b9aba1129f89b8dea', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100227', 5, '果山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100227', 1, '2021-07-19 11:47:26', NULL, NULL), (15795, '', '红花村委会', '46271d61990440a69d5c65f094987f78', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100228', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100228', 1, '2021-07-19 11:47:26', NULL, NULL), (15796, '', '东风社区居委会', '3f03109a08384637bd2992315117d774', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100108', 5, '东风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100108', 1, '2021-07-19 11:47:26', NULL, NULL), (15797, '', '景阳社区居委会', 'fddbe55ac5f9473187ebd12b35cab115', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100382', 5, '景阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100382', 1, '2021-07-19 11:47:26', NULL, NULL), (15798, '', '大坪社区居委会', '53be15711d66438d8945e65ed6ba215c', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100563', 5, '大坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100563', 1, '2021-07-19 11:47:26', NULL, NULL), (15799, '', '新声村委会', '66536425a2224181a7453f894857f98b', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100595', 5, '新声村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100595', 1, '2021-07-19 11:47:26', NULL, NULL), (15800, '', '六丰村委会', '0ee4cc66c1584ab197978519b768e319', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100803', 5, '六丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100803', 1, '2021-07-19 11:47:26', NULL, NULL), (15801, '', '峨星村委会', '745d7b86d7574ccc8bb477884a166ecd', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100832', 5, '峨星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100832', 1, '2021-07-19 11:47:26', NULL, NULL), (15802, '', '双河村委会', '3d14cde95f9a4c91915461e446f9600f', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100202', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100202', 1, '2021-07-19 11:47:26', NULL, NULL), (15803, '', '马嘶溪村委会', '1adeb439bee3458993bb09710e38e3f5', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100208', 5, '马嘶溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100208', 1, '2021-07-19 11:47:27', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (15804, '', '红星村委会', '90160edb1ac74ba3a6151965e152f2a5', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100284', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100284', 1, '2021-07-19 11:47:27', NULL, NULL), (15805, '', '太坪村委会', '022dd54d3b894be19eb38081ac0667ba', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100307', 5, '太坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100307', 1, '2021-07-19 11:47:27', NULL, NULL), (15806, '', '万漩村委会', '9f0e4766bc9f4093b1c3acd5367e2278', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100325', 5, '万漩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100325', 1, '2021-07-19 11:47:27', NULL, NULL), (15807, '', '岩月村委会', 'a025931117634d74a53648cc4c79e89d', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100373', 5, '岩月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100373', 1, '2021-07-19 11:47:27', NULL, NULL), (15808, '', '雪山村委会', '6ee5b48b5096435d9aeb8ab58caea1fd', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100580', 5, '雪山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100580', 1, '2021-07-19 11:47:27', NULL, NULL), (15809, '', '河沟村委会', '82f8f16e6b2b4b2abd0d52dd10fb0760', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100590', 5, '河沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100590', 1, '2021-07-19 11:47:27', NULL, NULL), (15810, '', '松林坡村委会', 'a32caa6656a049719728331c17ff41a4', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100691', 5, '松林坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100691', 1, '2021-07-19 11:47:27', NULL, NULL), (15811, '', '郭凡村委会', '54b9121c91af4919b633b40beebe4a98', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100878', 5, '郭凡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100878', 1, '2021-07-19 11:47:27', NULL, NULL), (15812, '', '顺河社区具委会', '1b62c74fb6254180ad013c43ff55d46d', 'ec6ef110ff584c93946b9a5d1351ec62', 'False', 'True', 'false', 'false', '511132100964', 5, '顺河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132100964', 1, '2021-07-19 11:47:27', NULL, NULL), (15813, '', '大堡镇', 'a887230d3cec4779b4437536b3893f39', '00755ce24a6d4af18f089ed2d922c859', 'True', 'True', 'false', 'false', '511132101000', 4, '大堡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511132101000', 1, '2021-07-19 11:47:27', NULL, NULL), (15814, '', '大堡社区居委会', 'efe4c0269b1f47339dcdb644eb36a60f', 'a887230d3cec4779b4437536b3893f39', 'False', 'True', 'false', 'false', '511132101055', 5, '大堡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132101055', 1, '2021-07-19 11:47:27', NULL, NULL), (15815, '', '新火村委会', '9c407ec6f50348de9c128db7b074f538', 'a887230d3cec4779b4437536b3893f39', 'False', 'True', 'false', 'false', '511132101209', 5, '新火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132101209', 1, '2021-07-19 11:47:27', NULL, NULL), (15816, '', '双九村委会', 'e173d7de134c40e7b6c9af6f63594f48', 'a887230d3cec4779b4437536b3893f39', 'False', 'True', 'false', 'false', '511132101282', 5, '双九村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132101282', 1, '2021-07-19 11:47:28', NULL, NULL), (15817, '', '桥楼村委会', '0c201ee81793432fb2b5d53d4e08b997', 'a887230d3cec4779b4437536b3893f39', 'False', 'True', 'false', 'false', '511132101292', 5, '桥楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132101292', 1, '2021-07-19 11:47:28', NULL, NULL), (15818, '', '较场村委会', 'd13830cf460b41688f6880b797176f65', 'a887230d3cec4779b4437536b3893f39', 'False', 'True', 'false', 'false', '511132101315', 5, '较场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132101315', 1, '2021-07-19 11:47:28', NULL, NULL), (15819, '', '万坪村委会', '172f4902e5784b948878a5a6cd3b28be', 'a887230d3cec4779b4437536b3893f39', 'False', 'True', 'false', 'false', '511132101679', 5, '万坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132101679', 1, '2021-07-19 11:47:28', NULL, NULL), (15820, '', '集广村委会', '43657693d1b749b6917fc6df97ba9276', 'a887230d3cec4779b4437536b3893f39', 'False', 'True', 'false', 'false', '511132101927', 5, '集广村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132101927', 1, '2021-07-19 11:47:28', NULL, NULL), (15821, '', '毛坪镇', '3720e4e3c26540b081d0d77a6ae90e62', '00755ce24a6d4af18f089ed2d922c859', 'True', 'True', 'false', 'false', '511132102000', 4, '毛坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511132102000', 1, '2021-07-19 11:47:28', NULL, NULL), (15822, '', '长梯村委会', 'a1b7bc4fc95f45d7acb316348c8606cc', '3720e4e3c26540b081d0d77a6ae90e62', 'False', 'True', 'false', 'false', '511132102047', 5, '长梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132102047', 1, '2021-07-19 11:47:28', NULL, NULL), (15823, '', '等分村委会', '68611eedd50a4b42bb547abff5963854', '3720e4e3c26540b081d0d77a6ae90e62', 'False', 'True', 'false', 'false', '511132102348', 5, '等分村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132102348', 1, '2021-07-19 11:47:28', NULL, NULL), (15824, '', '高山村委会', '6ea6fb52a9ea41b1aa73a33ddd58a065', '3720e4e3c26540b081d0d77a6ae90e62', 'False', 'True', 'false', 'false', '511132102369', 5, '高山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132102369', 1, '2021-07-19 11:47:28', NULL, NULL), (15825, '', '新华村委会', '8df5c8b010c14c5384b9b1e7a2105d15', '3720e4e3c26540b081d0d77a6ae90e62', 'False', 'True', 'false', 'false', '511132102492', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132102492', 1, '2021-07-19 11:47:28', NULL, NULL), (15826, '', '凤凰村委会', 'd99415687d9c4b5e8d88a1f6df8c55a1', '3720e4e3c26540b081d0d77a6ae90e62', 'False', 'True', 'false', 'false', '511132102888', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132102888', 1, '2021-07-19 11:47:28', NULL, NULL), (15827, '', '凡山村委会', '7687e7ff44e247cc9de24f2debe63c52', '3720e4e3c26540b081d0d77a6ae90e62', 'False', 'True', 'false', 'false', '511132102897', 5, '凡山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132102897', 1, '2021-07-19 11:47:28', NULL, NULL), (15828, '', '云心村委会', '54845c3836874005b185f903fc043d0d', '3720e4e3c26540b081d0d77a6ae90e62', 'False', 'True', 'false', 'false', '511132102944', 5, '云心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132102944', 1, '2021-07-19 11:47:28', NULL, NULL), (15829, '', '毛坪社区居委会', 'f4a1079afd8a49eb8e69e4902b774b98', '3720e4e3c26540b081d0d77a6ae90e62', 'False', 'True', 'false', 'false', '511132102995', 5, '毛坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132102995', 1, '2021-07-19 11:47:28', NULL, NULL), (15830, '', '五渡镇', '522c5f12331f446b8ef5135de904b66e', '00755ce24a6d4af18f089ed2d922c859', 'True', 'True', 'false', 'false', '511132103000', 4, '五渡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511132103000', 1, '2021-07-19 11:47:28', NULL, NULL), (15831, '', '葛村村委会', '384377e1a5b84893a1e9e99c0f1294bf', '522c5f12331f446b8ef5135de904b66e', 'False', 'True', 'false', 'false', '511132103060', 5, '葛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132103060', 1, '2021-07-19 11:47:28', NULL, NULL), (15832, '', '双凤村委会', '3bb854c4b83c46b796a21893734e2abf', '522c5f12331f446b8ef5135de904b66e', 'False', 'True', 'false', 'false', '511132103078', 5, '双凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132103078', 1, '2021-07-19 11:47:29', NULL, NULL), (15833, '', '新茶村委会', '7a2594e554eb4080b735bd9dd2035676', '522c5f12331f446b8ef5135de904b66e', 'False', 'True', 'false', 'false', '511132103149', 5, '新茶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132103149', 1, '2021-07-19 11:47:29', NULL, NULL), (15834, '', '铜河村委会', '9b673eceae924d91b486e11de6ccb0da', '522c5f12331f446b8ef5135de904b66e', 'False', 'True', 'false', 'false', '511132103186', 5, '铜河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132103186', 1, '2021-07-19 11:47:29', NULL, NULL), (15835, '', '工农村委会', '5bf665a5ba8d469d8c4de591baab5030', '522c5f12331f446b8ef5135de904b66e', 'False', 'True', 'false', 'false', '511132103241', 5, '工农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132103241', 1, '2021-07-19 11:47:29', NULL, NULL), (15836, '', '五渡社区居委会', 'a6fd5965b59644da8b793be99b76e98e', '522c5f12331f446b8ef5135de904b66e', 'False', 'True', 'false', 'false', '511132103473', 5, '五渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132103473', 1, '2021-07-19 11:47:29', NULL, NULL), (15837, '', '先锋村委会', '46e3119e778d49a4bb812769ee72825f', '522c5f12331f446b8ef5135de904b66e', 'False', 'True', 'false', 'false', '511132103479', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132103479', 1, '2021-07-19 11:47:29', NULL, NULL), (15838, '', '五渡村委会', '7171f8901ec7412cacd82ff55278f78d', '522c5f12331f446b8ef5135de904b66e', 'False', 'True', 'false', 'false', '511132103700', 5, '五渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132103700', 1, '2021-07-19 11:47:29', NULL, NULL), (15839, '', '胜利村委会', '8d11619ebe664bb7b19c05e23bfff166', '522c5f12331f446b8ef5135de904b66e', 'False', 'True', 'false', 'false', '511132103807', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132103807', 1, '2021-07-19 11:47:29', NULL, NULL), (15840, '', '新林镇', '2337dc6709a4481b96c6610b1bab2624', '00755ce24a6d4af18f089ed2d922c859', 'True', 'True', 'false', 'false', '511132104000', 4, '新林镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511132104000', 1, '2021-07-19 11:47:29', NULL, NULL), (15841, '', '新林村委会', '1e7a1d6642934d429311e2c66103fd1f', '2337dc6709a4481b96c6610b1bab2624', 'False', 'True', 'false', 'false', '511132104017', 5, '新林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132104017', 1, '2021-07-19 11:47:29', NULL, NULL), (15842, '', '白杨村委会', '5753db0ffa774e1d9e8853bc97699937', '2337dc6709a4481b96c6610b1bab2624', 'False', 'True', 'false', 'false', '511132104033', 5, '白杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132104033', 1, '2021-07-19 11:47:29', NULL, NULL), (15843, '', '茗新村委会', '673ddd82632f4e1c9f473a81595b4160', '2337dc6709a4481b96c6610b1bab2624', 'False', 'True', 'false', 'false', '511132104041', 5, '茗新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132104041', 1, '2021-07-19 11:47:29', NULL, NULL), (15844, '', '瓦洛村委会', '9331d0286811499fa4dc0e2fb382772a', '2337dc6709a4481b96c6610b1bab2624', 'False', 'True', 'false', 'false', '511132104050', 5, '瓦洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132104050', 1, '2021-07-19 11:47:29', NULL, NULL), (15845, '', '大香村委会', '9da5294a849b43f796c106ab6f0e5a71', '2337dc6709a4481b96c6610b1bab2624', 'False', 'True', 'false', 'false', '511132104240', 5, '大香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132104240', 1, '2021-07-19 11:47:29', NULL, NULL), (15846, '', '麻柳村委会', '6ff78d2d55f84758a037ec285366d32a', '2337dc6709a4481b96c6610b1bab2624', 'False', 'True', 'false', 'false', '511132104264', 5, '麻柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132104264', 1, '2021-07-19 11:47:29', NULL, NULL), (15847, '', '黄泥村委会', 'bc86c1a732ed4ada92750f32801449db', '2337dc6709a4481b96c6610b1bab2624', 'False', 'True', 'false', 'false', '511132104421', 5, '黄泥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132104421', 1, '2021-07-19 11:47:30', NULL, NULL), (15848, '', '楠木村委会', '0aa7b626cc1a4752941bed07eddee4ef', '2337dc6709a4481b96c6610b1bab2624', 'False', 'True', 'false', 'false', '511132104537', 5, '楠木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132104537', 1, '2021-07-19 11:47:30', NULL, NULL), (15849, '', '九龙村委会', '9e51af9dfb2b4aeeb8dc4572b871e6b2', '2337dc6709a4481b96c6610b1bab2624', 'False', 'True', 'false', 'false', '511132104624', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132104624', 1, '2021-07-19 11:47:30', NULL, NULL), (15850, '', '金星村委会', 'a72af3f200df417a99f858cc6e99c171', '2337dc6709a4481b96c6610b1bab2624', 'False', 'True', 'false', 'false', '511132104684', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132104684', 1, '2021-07-19 11:47:30', NULL, NULL), (15851, '', '红椿村委会', 'c214da3e8e7d44699103da5c764d52d7', '2337dc6709a4481b96c6610b1bab2624', 'False', 'True', 'false', 'false', '511132104849', 5, '红椿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132104849', 1, '2021-07-19 11:47:30', NULL, NULL), (15852, '', '黑竹沟镇', 'cd52034d48344438b3620371811cec1b', '00755ce24a6d4af18f089ed2d922c859', 'True', 'True', 'false', 'false', '511132105000', 4, '黑竹沟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511132105000', 1, '2021-07-19 11:47:30', NULL, NULL), (15853, '', '解放村委会', '5f8f8564c17c479ea48a43d3c93e8a82', 'cd52034d48344438b3620371811cec1b', 'False', 'True', 'false', 'false', '511132105510', 5, '解放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132105510', 1, '2021-07-19 11:47:30', NULL, NULL), (15854, '', '巴溪村委会', '2e815f47e6f44c9ea77be3b1670c86e6', 'cd52034d48344438b3620371811cec1b', 'False', 'True', 'false', 'false', '511132105681', 5, '巴溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132105681', 1, '2021-07-19 11:47:30', NULL, NULL), (15855, '', '依乌村委会', 'ae33316e08d245d5817f7bf0df997bbb', 'cd52034d48344438b3620371811cec1b', 'False', 'True', 'false', 'false', '511132105243', 5, '依乌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132105243', 1, '2021-07-19 11:47:30', NULL, NULL), (15856, '', '古井村委会', 'f71c883766784ce7a1cd76703ef60117', 'cd52034d48344438b3620371811cec1b', 'False', 'True', 'false', 'false', '511132105382', 5, '古井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132105382', 1, '2021-07-19 11:47:30', NULL, NULL), (15857, '', '西河村委会', '62862142ae734ad88d788197ecb4c156', 'cd52034d48344438b3620371811cec1b', 'False', 'True', 'false', 'false', '511132105511', 5, '西河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132105511', 1, '2021-07-19 11:47:30', NULL, NULL), (15858, '', '底底古村委会', '61a6cf1e8a5b4ce8bf5dac72e385b18c', 'cd52034d48344438b3620371811cec1b', 'False', 'True', 'false', 'false', '511132105783', 5, '底底古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132105783', 1, '2021-07-19 11:47:30', NULL, NULL), (15859, '', '黑竹沟社区居委会', 'e1226071de344527b65340ee18b0d3b8', 'cd52034d48344438b3620371811cec1b', 'False', 'True', 'false', 'false', '511132105863', 5, '黑竹沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132105863', 1, '2021-07-19 11:47:30', NULL, NULL), (15860, '', '马杵千村委会', 'd94a0529a2de447fb28a805eb42cb8f2', 'cd52034d48344438b3620371811cec1b', 'False', 'True', 'false', 'false', '511132105949', 5, '马杵千村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132105949', 1, '2021-07-19 11:47:31', NULL, NULL), (15861, '', '宜坪乡', '02df0285b51d4a97b82f5dd398581fff', '00755ce24a6d4af18f089ed2d922c859', 'True', 'True', 'false', 'false', '511132201000', 4, '宜坪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511132201000', 1, '2021-07-19 11:47:31', NULL, NULL), (15862, '', '泉水村委会', 'a9a174b5c0d041e186ad6eb8044756d5', '02df0285b51d4a97b82f5dd398581fff', 'False', 'True', 'false', 'false', '511132201057', 5, '泉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132201057', 1, '2021-07-19 11:47:31', NULL, NULL), (15863, '', '庙岗村委会', 'eaee208ae0724f1aa33f2fc65d9d3d42', '02df0285b51d4a97b82f5dd398581fff', 'False', 'True', 'false', 'false', '511132201516', 5, '庙岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132201516', 1, '2021-07-19 11:47:31', NULL, NULL), (15864, '', '桐花村委会', '34d71621a0664fc8bef870f1e28fcfa2', '02df0285b51d4a97b82f5dd398581fff', 'False', 'True', 'false', 'false', '511132201697', 5, '桐花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132201697', 1, '2021-07-19 11:47:31', NULL, NULL), (15865, '', '宜坪村委会', '08fb3ac021f241ec80674c53d70115e9', '02df0285b51d4a97b82f5dd398581fff', 'False', 'True', 'false', 'false', '511132201777', 5, '宜坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132201777', 1, '2021-07-19 11:47:31', NULL, NULL), (15866, '', '草坪村委会', 'b9848237d807421a965265b5bd651d4e', '02df0285b51d4a97b82f5dd398581fff', 'False', 'True', 'false', 'false', '511132201904', 5, '草坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132201904', 1, '2021-07-19 11:47:31', NULL, NULL), (15867, '', '红旗镇', '73a8c551c4e44539b8eabd737d7c4b88', '00755ce24a6d4af18f089ed2d922c859', 'True', 'True', 'false', 'false', '511132202000', 4, '杨村乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511132202000', 1, '2021-07-19 11:47:31', NULL, NULL), (15868, '', '为觉村委会', '38b06d6ec0fd487fa474d33774327307', '73a8c551c4e44539b8eabd737d7c4b88', 'False', 'True', 'false', 'false', '511132202254', 5, '为觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132202254', 1, '2021-07-19 11:47:31', NULL, NULL), (15869, '', '觉莫村委会', '46bc86aa7e4243d9a01c629136f733a2', '73a8c551c4e44539b8eabd737d7c4b88', 'False', 'True', 'false', 'false', '511132202550', 5, '觉莫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132202550', 1, '2021-07-19 11:47:31', NULL, NULL), (15870, '', '上云村委会', '4536429bb45b4f42a0c3a5899f1d32f6', '73a8c551c4e44539b8eabd737d7c4b88', 'False', 'True', 'false', 'false', '511132202607', 5, '上云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132202607', 1, '2021-07-19 11:47:31', NULL, NULL), (15871, '', '大坪村委会', '7c396a09518e42fb88ba9734bc8a7a36', '73a8c551c4e44539b8eabd737d7c4b88', 'False', 'True', 'false', 'false', '511132202756', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132202756', 1, '2021-07-19 11:47:32', NULL, NULL), (15872, '', '四坪村委会', 'f12ef85b75644c44b136188957668684', '73a8c551c4e44539b8eabd737d7c4b88', 'False', 'True', 'false', 'false', '511132202866', 5, '四坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132202866', 1, '2021-07-19 11:47:32', NULL, NULL), (15873, '', '杨河乡', 'af9f3d0110954cd8ae33dbdcf134c9a7', '00755ce24a6d4af18f089ed2d922c859', 'True', 'True', 'false', 'false', '511132206000', 4, '杨河乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511132206000', 1, '2021-07-19 11:47:32', NULL, NULL), (15874, '', '仲子村委会', '1d9645c4ba934289aceb500fb38d4227', 'af9f3d0110954cd8ae33dbdcf134c9a7', 'False', 'True', 'false', 'false', '511132206115', 5, '仲子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132206115', 1, '2021-07-19 11:47:32', NULL, NULL), (15875, '', '高湾村委会', 'e97b0473b2444faba655c4f90c922010', 'af9f3d0110954cd8ae33dbdcf134c9a7', 'False', 'True', 'false', 'false', '511132206796', 5, '高湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132206796', 1, '2021-07-19 11:47:32', NULL, NULL), (15876, '', '牟加村委会', 'da65a8381e7d4cb084a21a9aab174dd3', 'af9f3d0110954cd8ae33dbdcf134c9a7', 'False', 'True', 'false', 'false', '511132206812', 5, '牟加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132206812', 1, '2021-07-19 11:47:32', NULL, NULL), (15877, '', '桠桠村委会', 'eb8783a450f748d187776a637221131d', 'af9f3d0110954cd8ae33dbdcf134c9a7', 'False', 'True', 'false', 'false', '511132206838', 5, '桠桠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132206838', 1, '2021-07-19 11:47:32', NULL, NULL), (15878, '', '新场乡', '9780104a71274676a49d496730cade57', '00755ce24a6d4af18f089ed2d922c859', 'True', 'True', 'false', 'false', '511132208000', 4, '新场乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511132208000', 1, '2021-07-19 11:47:32', NULL, NULL), (15879, '', '星星村委会', 'c3d62665e47c43789dfd29651f60738d', '9780104a71274676a49d496730cade57', 'False', 'True', 'false', 'false', '511132208253', 5, '星星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132208253', 1, '2021-07-19 11:47:32', NULL, NULL), (15880, '', '羊子岩村委会', '4326c4b4c23f411aa67d3d085c820d41', '9780104a71274676a49d496730cade57', 'False', 'True', 'false', 'false', '511132208270', 5, '羊子岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132208270', 1, '2021-07-19 11:47:32', NULL, NULL), (15881, '', '长虹村委会', '958f8429cae6450285d87ad47f2100aa', '9780104a71274676a49d496730cade57', 'False', 'True', 'false', 'false', '511132208272', 5, '长虹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132208272', 1, '2021-07-19 11:47:32', NULL, NULL), (15882, '', '新凤村委会', '27e3e85c63224bffb10f67bc5d74af6b', '9780104a71274676a49d496730cade57', 'False', 'True', 'false', 'false', '511132208273', 5, '新凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132208273', 1, '2021-07-19 11:47:32', NULL, NULL), (15883, '', '庞沟村委会', 'e906bbd674d24a54b28838b70d33ef4f', '9780104a71274676a49d496730cade57', 'False', 'True', 'false', 'false', '511132208302', 5, '庞沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132208302', 1, '2021-07-19 11:47:32', NULL, NULL), (15884, '', '平等乡', '7ee2fc49a8ad45c5a2897738d8d47a09', '00755ce24a6d4af18f089ed2d922c859', 'True', 'True', 'false', 'false', '511132209000', 4, '平等乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511132209000', 1, '2021-07-19 11:47:32', NULL, NULL), (15885, '', '光明村委会', '71a84fbdc22743819be1691c4867e481', '7ee2fc49a8ad45c5a2897738d8d47a09', 'False', 'True', 'false', 'false', '511132209083', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132209083', 1, '2021-07-19 11:47:33', NULL, NULL), (15886, '', '平等村委会', '1e80e90932c047fc9cb25670e1ed3696', '7ee2fc49a8ad45c5a2897738d8d47a09', 'False', 'True', 'false', 'false', '511132209387', 5, '平等村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132209387', 1, '2021-07-19 11:47:33', NULL, NULL), (15887, '', '观慈村委会', 'a71dd14889354d2187d553cfd1fc0e6a', '7ee2fc49a8ad45c5a2897738d8d47a09', 'False', 'True', 'false', 'false', '511132209483', 5, '观慈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132209483', 1, '2021-07-19 11:47:33', NULL, NULL), (15888, '', '清溪村委会', '66668020596343c291443148310b63a9', '7ee2fc49a8ad45c5a2897738d8d47a09', 'False', 'True', 'false', 'false', '511132209528', 5, '清溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132209528', 1, '2021-07-19 11:47:33', NULL, NULL), (15889, '', '金岩乡', 'cc8892f6a0de4b2fbb81932d23d9b868', '00755ce24a6d4af18f089ed2d922c859', 'True', 'True', 'false', 'false', '511132211000', 4, '金岩乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511132211000', 1, '2021-07-19 11:47:33', NULL, NULL), (15890, '', '挖吉村委会', 'af35f3c5b96340368e19b3d2aeb44eb2', 'cc8892f6a0de4b2fbb81932d23d9b868', 'False', 'True', 'false', 'false', '511132211069', 5, '挖吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132211069', 1, '2021-07-19 11:47:33', NULL, NULL), (15891, '', '温泉村委会', 'b189695b64bf440f8b75e38063b6e4d6', 'cc8892f6a0de4b2fbb81932d23d9b868', 'False', 'True', 'false', 'false', '511132211084', 5, '温泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132211084', 1, '2021-07-19 11:47:33', NULL, NULL), (15892, '', '挖托村委会', 'ba8ea233ca8d4bcaad080334fa6a28be', 'cc8892f6a0de4b2fbb81932d23d9b868', 'False', 'True', 'false', 'false', '511132211252', 5, '挖托村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132211252', 1, '2021-07-19 11:47:33', NULL, NULL), (15893, '', '俄罗村委会', 'c4a906c3eaf9484f918ba95eeb69b096', 'cc8892f6a0de4b2fbb81932d23d9b868', 'False', 'True', 'false', 'false', '511132211363', 5, '俄罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132211363', 1, '2021-07-19 11:47:33', NULL, NULL), (15894, '', '共和村委会', '8c027b80be7246189ffd23b6c573af2d', 'cc8892f6a0de4b2fbb81932d23d9b868', 'False', 'True', 'false', 'false', '511132211429', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132211429', 1, '2021-07-19 11:47:33', NULL, NULL), (15895, '', '金岩村委会', '48e483246d2d405e928edde22612b215', 'cc8892f6a0de4b2fbb81932d23d9b868', 'False', 'True', 'false', 'false', '511132211548', 5, '金岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132211548', 1, '2021-07-19 11:47:33', NULL, NULL), (15896, '', '罗卜村委会', '6c472e1dcec14be5af647c4ce0ef8048', 'cc8892f6a0de4b2fbb81932d23d9b868', 'False', 'True', 'false', 'false', '511132211592', 5, '罗卜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132211592', 1, '2021-07-19 11:47:33', NULL, NULL), (15897, '', '团结村委会', 'decae1c338fa4d9cb5282832987d922a', 'cc8892f6a0de4b2fbb81932d23d9b868', 'False', 'True', 'false', 'false', '511132211711', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132211711', 1, '2021-07-19 11:47:34', NULL, NULL), (15898, '', '勒乌乡', '00756e10e07c4e958a84855af2919a1a', '00755ce24a6d4af18f089ed2d922c859', 'True', 'True', 'false', 'false', '511132212000', 4, '勒乌乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511132212000', 1, '2021-07-19 11:47:34', NULL, NULL), (15899, '', '马井村委会', '07e7a4bb9ade4015be80fd80f4826b88', '00756e10e07c4e958a84855af2919a1a', 'False', 'True', 'false', 'false', '511132212087', 5, '甲挖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132212087', 1, '2021-07-19 11:47:34', NULL, NULL), (15900, '', '祖马村委会', '3bd57b6f99f5418ca2fccbba943a4cd7', '00756e10e07c4e958a84855af2919a1a', 'False', 'True', 'false', 'false', '511132212112', 5, '祖马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132212112', 1, '2021-07-19 11:47:34', NULL, NULL), (15901, '', '勒乌村委会', 'aa4b952a0c654d50961de14cd68ae269', '00756e10e07c4e958a84855af2919a1a', 'False', 'True', 'false', 'false', '511132212230', 5, '勒乌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132212230', 1, '2021-07-19 11:47:34', NULL, NULL), (15902, '', '柑子口村委会', '7712eaf077e4442e894163932fce2c1d', '00756e10e07c4e958a84855af2919a1a', 'False', 'True', 'false', 'false', '511132212555', 5, '柑子口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132212555', 1, '2021-07-19 11:47:34', NULL, NULL), (15903, '', '余坪村委会', '16062643a8c640218ff556b0a1c3cb08', '00756e10e07c4e958a84855af2919a1a', 'False', 'True', 'false', 'false', '511132212973', 5, '余坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511132212973', 1, '2021-07-19 11:47:34', NULL, NULL), (15904, '', '犍为县', '41b106e1aa634a3b8194999b28974809', '9662d820bd8049d2bce41b2c66a0bd60', 'True', 'True', 'false', 'false', '511123000000', 3, '犍为县', 'lssqwx.sczwfw.gov.cn', 1, '2021-07-19 11:47:34', NULL, NULL), (15905, '', '双溪镇', '1c6f79c8ba804483a089c8ff35b9a7bf', '41b106e1aa634a3b8194999b28974809', 'True', 'True', 'false', 'false', '511123116000', 4, '双溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511123116000', 1, '2021-07-19 11:47:34', NULL, NULL), (15906, '', '小市村', 'f1bdde55af524dcfa12fa98d2e478c8b', '1c6f79c8ba804483a089c8ff35b9a7bf', 'False', 'True', 'false', 'false', '511123118205', 5, '小市村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123118205', 1, '2021-07-19 11:47:34', NULL, NULL), (15907, '', '同兴村', 'c08036b7a0094ac5997380ddd10c3f5d', '1c6f79c8ba804483a089c8ff35b9a7bf', 'False', 'True', 'false', 'false', '511123118206', 5, '同兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123118206', 1, '2021-07-19 11:47:34', NULL, NULL), (15908, '', '艾村村', 'bb8548bf944443b5a17e3dfecc1c3ea0', '1c6f79c8ba804483a089c8ff35b9a7bf', 'False', 'True', 'false', 'false', '511123118207', 5, '艾村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123118207', 1, '2021-07-19 11:47:34', NULL, NULL), (15909, '', '硝水村', 'cfd0462b06b84f538696a437425ed8af', '1c6f79c8ba804483a089c8ff35b9a7bf', 'False', 'True', 'false', 'false', '511123200670', 5, '硝水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123200670', 1, '2021-07-19 11:47:34', NULL, NULL), (15910, '', '兰花村', '07ac0287f8ba4806821ccee87576330b', '1c6f79c8ba804483a089c8ff35b9a7bf', 'False', 'True', 'false', 'false', '511123200766', 5, '兰花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123200766', 1, '2021-07-19 11:47:34', NULL, NULL), (15911, '', '天平村', '872b87f0a8e54528b12b96830c3fe7b7', '1c6f79c8ba804483a089c8ff35b9a7bf', 'False', 'True', 'false', 'false', '511123200912', 5, '天平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123200912', 1, '2021-07-19 11:47:34', NULL, NULL), (15912, '', '柳溪村', '92f4790ed7804261b27eb60d7074c3c2', '1c6f79c8ba804483a089c8ff35b9a7bf', 'False', 'True', 'false', 'false', '511123200947', 5, '柳溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123200947', 1, '2021-07-19 11:47:34', NULL, NULL), (15913, '', '长坪村', 'e662041808364b3dbe9ece72baf8de30', '1c6f79c8ba804483a089c8ff35b9a7bf', 'False', 'True', 'false', 'false', '511123200998', 5, '长坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123200998', 1, '2021-07-19 11:47:34', NULL, NULL), (15914, '', '清溪镇', '262445871cea43d480b6d137eb2d8ab2', '41b106e1aa634a3b8194999b28974809', 'True', 'True', 'false', 'false', '511123281000', 4, '清溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511123281000', 1, '2021-07-19 11:47:35', NULL, NULL), (15915, '', '伯乐村', '8fc1ba58d0c84b0281b0188628dd9a8d', '262445871cea43d480b6d137eb2d8ab2', 'False', 'True', 'false', 'false', '511123103203', 5, '伯乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123103203', 1, '2021-07-19 11:47:35', NULL, NULL), (15916, '', '紫云村', '8909a5e6bda64fe1aac5b0ddf9c90e47', '262445871cea43d480b6d137eb2d8ab2', 'False', 'True', 'false', 'false', '511123103227', 5, '紫云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123103227', 1, '2021-07-19 11:47:35', NULL, NULL), (15917, '', '龙兴村', '82b823da95c34382b3c24bf1cf31b863', '262445871cea43d480b6d137eb2d8ab2', 'False', 'True', 'false', 'false', '511123103005', 5, '龙兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123103005', 1, '2021-07-19 11:47:35', NULL, NULL), (15918, '', '龙门村', 'd412038fba114fb7943acf8da969c55e', '262445871cea43d480b6d137eb2d8ab2', 'False', 'True', 'false', 'false', '511123103017', 5, '龙门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123103017', 1, '2021-07-19 11:47:35', NULL, NULL), (15919, '', '灌引村', 'cdd589f717b54100945fa46aefe85189', '262445871cea43d480b6d137eb2d8ab2', 'False', 'True', 'false', 'false', '511123103065', 5, '灌引村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123103065', 1, '2021-07-19 11:47:35', NULL, NULL), (15920, '', '盐坪村', 'fc238e28968140b594d47aa06cbc8d77', '262445871cea43d480b6d137eb2d8ab2', 'False', 'True', 'false', 'false', '511123103144', 5, '盐坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123103144', 1, '2021-07-19 11:47:35', NULL, NULL), (15921, '', '三山村', 'ad522164131f47c4a4d6e5503a3de15d', '262445871cea43d480b6d137eb2d8ab2', 'False', 'True', 'false', 'false', '511123103171', 5, '三山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123103171', 1, '2021-07-19 11:47:35', NULL, NULL), (15922, '', '筒车村', 'c10e3e0042674a9ba77f5281cf0a7cb3', '262445871cea43d480b6d137eb2d8ab2', 'False', 'True', 'false', 'false', '511123103232', 5, '筒车村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123103232', 1, '2021-07-19 11:47:35', NULL, NULL), (15923, '', '建新街社区', '1e9915c5f8d14187b410c2a6a3ac30ac', '262445871cea43d480b6d137eb2d8ab2', 'False', 'True', 'false', 'false', '511123103255', 5, '建新街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123103255', 1, '2021-07-19 11:47:35', NULL, NULL), (15924, '', '永星村', 'ac87038627424a1fa2d4803694544388', '262445871cea43d480b6d137eb2d8ab2', 'False', 'True', 'false', 'false', '511123103305', 5, '永星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123103305', 1, '2021-07-19 11:47:35', NULL, NULL), (15925, '', '七一村', '2625ec1815ef467f9c7d385620f0c1be', '262445871cea43d480b6d137eb2d8ab2', 'False', 'True', 'false', 'false', '511123103545', 5, '七一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123103545', 1, '2021-07-19 11:47:35', NULL, NULL), (15926, '', '胭脂村', '519b00ab183743dd9c19daf14d6313a2', '262445871cea43d480b6d137eb2d8ab2', 'False', 'True', 'false', 'false', '511123103694', 5, '胭脂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123103694', 1, '2021-07-19 11:47:35', NULL, NULL), (15927, '', '交通街社区', '49263327703d4261adf086b7539a0553', '262445871cea43d480b6d137eb2d8ab2', 'False', 'True', 'false', 'false', '511123103756', 5, '交通街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123103756', 1, '2021-07-19 11:47:35', NULL, NULL), (15928, '', '永安村', '16bce572794542db8c56cb6947cb27e4', '262445871cea43d480b6d137eb2d8ab2', 'False', 'True', 'false', 'false', '511123103797', 5, '永安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123103797', 1, '2021-07-19 11:47:35', NULL, NULL), (15929, '', '五龙村', 'd5e4fee73a7a405499038786d45fb576', '262445871cea43d480b6d137eb2d8ab2', 'False', 'True', 'false', 'false', '511123103824', 5, '五龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123103824', 1, '2021-07-19 11:47:35', NULL, NULL), (15930, '', '洛江村', '2a5c532d02bd4a1787462b8163a8483f', '262445871cea43d480b6d137eb2d8ab2', 'False', 'True', 'false', 'false', '511123103995', 5, '洛江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123103995', 1, '2021-07-19 11:47:36', NULL, NULL), (15931, '', '玉津镇', '5fa1565f455941d9a2cdcd666c1b5c52', '41b106e1aa634a3b8194999b28974809', 'True', 'True', 'false', 'false', '511123318000', 4, '玉津镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511123318000', 1, '2021-07-19 11:47:36', NULL, NULL), (15932, '', '塘坝社区', '4bd3db9beecf4c7ebc97eff964b7bc79', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100011', 5, '塘坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100011', 1, '2021-07-19 11:47:36', NULL, NULL), (15933, '', '下渡口街社区', '985d14480a334b3c8c8638c9ee18d725', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100012', 5, '下渡口街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100012', 1, '2021-07-19 11:47:36', NULL, NULL), (15934, '', '联合社区', '547caac454ca4f7ba546f9d184679acc', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100013', 5, '联合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100013', 1, '2021-07-19 11:47:36', NULL, NULL), (15935, '', '铜高社区', '9eb0b25dc6844422a2a7eea789cceae8', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100014', 5, '铜高社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100014', 1, '2021-07-19 11:47:36', NULL, NULL), (15936, '', '向坪村', '29c550d5d0f849b0a8302ad637fbfc3f', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100207', 5, '向坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100207', 1, '2021-07-19 11:47:36', NULL, NULL), (15937, '', '爱国村', 'f250ae2e943a4db7bdd9910ed8b75770', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100208', 5, '爱国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100208', 1, '2021-07-19 11:47:36', NULL, NULL), (15938, '', '新貌村', '3f1f9640e03d413aaf9733c2b65c4024', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100209', 5, '新貌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100209', 1, '2021-07-19 11:47:36', NULL, NULL), (15939, '', '凯旋村', '270f21a0981345178367d83b5acf0271', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100210', 5, '凯旋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100210', 1, '2021-07-19 11:47:36', NULL, NULL), (15940, '', '柏杨村', 'ac09e341d5fe48e9bef21b8b31adb204', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100211', 5, '柏杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100211', 1, '2021-07-19 11:47:36', NULL, NULL), (15941, '', '凤凰社区', 'f4283b367f3e4d748bbdcee4f29808ca', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100044', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100044', 1, '2021-07-19 11:47:36', NULL, NULL), (15942, '', '凤岭社区', '55c9ac0881b84c02ad9cbea2f42ca6ae', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100063', 5, '凤岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100063', 1, '2021-07-19 11:47:36', NULL, NULL), (15943, '', '玉津社区', 'da96ebbce44e44839c68ef9f0e05cf1a', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100083', 5, '玉津社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100083', 1, '2021-07-19 11:47:37', NULL, NULL), (15944, '', '机场村', 'dfd3553f2fb046dab73cde3bf83b5f19', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100183', 5, '机场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100183', 1, '2021-07-19 11:47:37', NULL, NULL), (15945, '', '瑞雪社区', 'f77f484ab1ac4332889ee2e7d802bfaa', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100271', 5, '瑞雪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100271', 1, '2021-07-19 11:47:37', NULL, NULL), (15946, '', '西街社区', '68640447eb0a4180958e3fd00c20b119', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100283', 5, '西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100283', 1, '2021-07-19 11:47:37', NULL, NULL), (15947, '', '和风社区', 'fdafd0da75044274bd3b61d9b296d681', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100379', 5, '和风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100379', 1, '2021-07-19 11:47:37', NULL, NULL), (15948, '', '学府社区', 'ed17fefa7c9c481488382f7e83312dac', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100383', 5, '学府社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100383', 1, '2021-07-19 11:47:37', NULL, NULL), (15949, '', '漱玉社区', '94ba16a7d7614c4e97c1f55f47644376', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100531', 5, '漱玉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100531', 1, '2021-07-19 11:47:37', NULL, NULL), (15950, '', '南盐社区', '0f674d58dd7f4a5e8fe85f716f315de1', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100622', 5, '南盐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100622', 1, '2021-07-19 11:47:37', NULL, NULL), (15951, '', '河朱社区', 'da52215638e74b049524edc61ff652e4', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100878', 5, '河朱社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100878', 1, '2021-07-19 11:47:37', NULL, NULL), (15952, '', '互和社区', 'b4b89acc04bf4fa88dd6d6314408d007', '5fa1565f455941d9a2cdcd666c1b5c52', 'False', 'True', 'false', 'false', '511123100941', 5, '互和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123100941', 1, '2021-07-19 11:47:37', NULL, NULL), (15953, '', '龙孔镇', '44e6304433874a2193ec3e113e67410d', '41b106e1aa634a3b8194999b28974809', 'True', 'True', 'false', 'false', '511123325000', 4, '龙孔镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511123325000', 1, '2021-07-19 11:47:37', NULL, NULL), (15954, '', '协力村', '9c64aadef5424fb4904912091204ebd5', '44e6304433874a2193ec3e113e67410d', 'False', 'True', 'false', 'false', '511123107064', 5, '协力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123107064', 1, '2021-07-19 11:47:37', NULL, NULL), (15955, '', '康村', '0c1f409e9a5346018e9f8e61803851d3', '44e6304433874a2193ec3e113e67410d', 'False', 'True', 'false', 'false', '511123107067', 5, '康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123107067', 1, '2021-07-19 11:47:37', NULL, NULL), (15956, '', '老文滩村', 'bedea28dfccd4091bda7a6f83637dd7b', '44e6304433874a2193ec3e113e67410d', 'False', 'True', 'false', 'false', '511123107386', 5, '老文滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123107386', 1, '2021-07-19 11:47:37', NULL, NULL), (15957, '', '黎明村', 'cd885708aec04a3b89efb0d4854ad0f8', '44e6304433874a2193ec3e113e67410d', 'False', 'True', 'false', 'false', '511123107420', 5, '黎明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123107420', 1, '2021-07-19 11:47:37', NULL, NULL), (15958, '', '丝茅坪村', '199fdf9626bc4e118ba8a066f51d5a86', '44e6304433874a2193ec3e113e67410d', 'False', 'True', 'false', 'false', '511123107433', 5, '丝茅坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123107433', 1, '2021-07-19 11:47:37', NULL, NULL), (15959, '', '文峰村', '4ed5260bc80a4da88b5694040455b0bb', '44e6304433874a2193ec3e113e67410d', 'False', 'True', 'false', 'false', '511123107434', 5, '文峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123107434', 1, '2021-07-19 11:47:37', NULL, NULL), (15960, '', '石燕村', 'd460e4791dbf4de4bef36c941738b974', '44e6304433874a2193ec3e113e67410d', 'False', 'True', 'false', 'false', '511123107534', 5, '石燕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123107534', 1, '2021-07-19 11:47:38', NULL, NULL), (15961, '', '建新村', '7ad38c9aa8d14005a0655d0442ffc662', '44e6304433874a2193ec3e113e67410d', 'False', 'True', 'false', 'false', '511123107535', 5, '建新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123107535', 1, '2021-07-19 11:47:38', NULL, NULL), (15962, '', '龙华村', '4bba1a6d41dd4571895d538b9850b8ab', '44e6304433874a2193ec3e113e67410d', 'False', 'True', 'false', 'false', '511123107564', 5, '龙华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123107564', 1, '2021-07-19 11:47:38', NULL, NULL), (15963, '', '龙孔场社区', '9a0a6d9aec4442d39e64844284c065da', '44e6304433874a2193ec3e113e67410d', 'False', 'True', 'false', 'false', '511123107645', 5, '龙孔场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123107645', 1, '2021-07-19 11:47:38', NULL, NULL), (15964, '', '曙光村', 'abb4245e62f746098c228a05274f4d25', '44e6304433874a2193ec3e113e67410d', 'False', 'True', 'false', 'false', '511123107921', 5, '曙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123107921', 1, '2021-07-19 11:47:38', NULL, NULL), (15965, '', '玉屏镇', '2ab6f3bbcffb407d9df301a977b1b9f1', '41b106e1aa634a3b8194999b28974809', 'True', 'True', 'false', 'false', '511123383000', 4, '玉屏镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511123383000', 1, '2021-07-19 11:47:38', NULL, NULL), (15966, '', '纪家街道社区', 'c402f8725bf042c8b4edbde86a655a6e', '2ab6f3bbcffb407d9df301a977b1b9f1', 'False', 'True', 'false', 'false', '511123113002', 5, '纪家街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123113002', 1, '2021-07-19 11:47:38', NULL, NULL), (15967, '', '鱼石村', '1570bd402af2417d874be2c32898c2bc', '2ab6f3bbcffb407d9df301a977b1b9f1', 'False', 'True', 'false', 'false', '511123113203', 5, '鱼石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123113203', 1, '2021-07-19 11:47:38', NULL, NULL), (15968, '', '长沙村', '3dd3d4a8abac4ff5844449449e41d245', '2ab6f3bbcffb407d9df301a977b1b9f1', 'False', 'True', 'false', 'false', '511123113204', 5, '长沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123113204', 1, '2021-07-19 11:47:38', NULL, NULL), (15969, '', '卓坪村', '186485cf708d4017a075acf7335c4434', '2ab6f3bbcffb407d9df301a977b1b9f1', 'False', 'True', 'false', 'false', '511123113205', 5, '卓坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123113205', 1, '2021-07-19 11:47:38', NULL, NULL), (15970, '', '凉桥村', 'c829953194b94529a6cd4192f0ff0841', '2ab6f3bbcffb407d9df301a977b1b9f1', 'False', 'True', 'false', 'false', '511123113206', 5, '凉桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123113206', 1, '2021-07-19 11:47:38', NULL, NULL), (15971, '', '竹根村', '69188ce429c44c5b8dbf5d3462751908', '2ab6f3bbcffb407d9df301a977b1b9f1', 'False', 'True', 'false', 'false', '511123113207', 5, '竹根村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123113207', 1, '2021-07-19 11:47:38', NULL, NULL), (15972, '', '双河村', 'be960dc821ce490baf895b37c514010f', '2ab6f3bbcffb407d9df301a977b1b9f1', 'False', 'True', 'false', 'false', '511123113210', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123113210', 1, '2021-07-19 11:47:38', NULL, NULL), (15973, '', '新民村', '0483764e33ba4d4bb8c30e5e36787a70', '2ab6f3bbcffb407d9df301a977b1b9f1', 'False', 'True', 'false', 'false', '511123212159', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123212159', 1, '2021-07-19 11:47:38', NULL, NULL), (15974, '', '四联村', 'afb1b2b7eb524c109051ee360498f908', '2ab6f3bbcffb407d9df301a977b1b9f1', 'False', 'True', 'false', 'false', '511123212289', 5, '四联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123212289', 1, '2021-07-19 11:47:38', NULL, NULL), (15975, '', '玉屏村', 'd8ff9ce676ed40dcbfa11b736a9c99ed', '2ab6f3bbcffb407d9df301a977b1b9f1', 'False', 'True', 'false', 'false', '511123212304', 5, '玉屏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123212304', 1, '2021-07-19 11:47:38', NULL, NULL), (15976, '', '响滩村', '3f2cd7c6df7148939cf6cbefb842af00', '2ab6f3bbcffb407d9df301a977b1b9f1', 'False', 'True', 'false', 'false', '511123212635', 5, '响滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123212635', 1, '2021-07-19 11:47:39', NULL, NULL), (15977, '', '观音场社区', '293b2390f48f40fba5d7c5e0c2961dea', '2ab6f3bbcffb407d9df301a977b1b9f1', 'False', 'True', 'false', 'false', '511123212636', 5, '观音场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123212636', 1, '2021-07-19 11:47:39', NULL, NULL), (15978, '', '建设村', '775d81ce6e4741839627928076e72f56', '2ab6f3bbcffb407d9df301a977b1b9f1', 'False', 'True', 'false', 'false', '511123212649', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123212649', 1, '2021-07-19 11:47:39', NULL, NULL), (15979, '', '孝姑镇', '4eaaee4beb8849ffa5954e55f8aeee93', '41b106e1aa634a3b8194999b28974809', 'True', 'True', 'false', 'false', '511123504000', 4, '孝姑镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511123504000', 1, '2021-07-19 11:47:39', NULL, NULL), (15980, '', '新民社区', 'e7f4bea8f44d444f9a99ae89d0718b72', '4eaaee4beb8849ffa5954e55f8aeee93', 'False', 'True', 'false', 'false', '511123101002', 5, '新民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123101002', 1, '2021-07-19 11:47:39', NULL, NULL), (15981, '', '岩门村', '554070ee11dc4534b3ebaaf7210ee16b', '4eaaee4beb8849ffa5954e55f8aeee93', 'False', 'True', 'false', 'false', '511123101212', 5, '岩门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123101212', 1, '2021-07-19 11:47:39', NULL, NULL), (15982, '', '金田村', 'e49437d45d9a471aaed320bb67f77d23', '4eaaee4beb8849ffa5954e55f8aeee93', 'False', 'True', 'false', 'false', '511123101213', 5, '金田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123101213', 1, '2021-07-19 11:47:39', NULL, NULL), (15983, '', '光华村', '73d28eaa25154bbfa3ea4a85dc99da82', '4eaaee4beb8849ffa5954e55f8aeee93', 'False', 'True', 'false', 'false', '511123101214', 5, '光华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123101214', 1, '2021-07-19 11:47:39', NULL, NULL), (15984, '', '凉风村', 'd26ab23a15474838b43df571db83b18b', '4eaaee4beb8849ffa5954e55f8aeee93', 'False', 'True', 'false', 'false', '511123101215', 5, '凉风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123101215', 1, '2021-07-19 11:47:39', NULL, NULL), (15985, '', '板桥村', '19c89fdfccb74a6dacf0a249a60f3e75', '4eaaee4beb8849ffa5954e55f8aeee93', 'False', 'True', 'false', 'false', '511123101216', 5, '板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123101216', 1, '2021-07-19 11:47:39', NULL, NULL), (15986, '', '新塘村', '6d75cc3ec48d4c3bbf0f97fe59add2a5', '4eaaee4beb8849ffa5954e55f8aeee93', 'False', 'True', 'false', 'false', '511123101217', 5, '新塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123101217', 1, '2021-07-19 11:47:39', NULL, NULL), (15987, '', '沙湾村', '15517beeb8a24fbdba986369bdc24316', '4eaaee4beb8849ffa5954e55f8aeee93', 'False', 'True', 'false', 'false', '511123101102', 5, '沙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123101102', 1, '2021-07-19 11:47:39', NULL, NULL), (15988, '', '八一村', 'bc196a82b9414be2a5ffaf86db5ee9be', '4eaaee4beb8849ffa5954e55f8aeee93', 'False', 'True', 'false', 'false', '511123101161', 5, '八一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123101161', 1, '2021-07-19 11:47:40', NULL, NULL), (15989, '', '红久村', 'f1d2b15500d74d27af3fcb1a6892b5a8', '4eaaee4beb8849ffa5954e55f8aeee93', 'False', 'True', 'false', 'false', '511123101479', 5, '红久村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123101479', 1, '2021-07-19 11:47:40', NULL, NULL), (15990, '', '永平村', '806b064a06ab4b3982f339de06ede1d9', '4eaaee4beb8849ffa5954e55f8aeee93', 'False', 'True', 'false', 'false', '511123101563', 5, '永平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123101563', 1, '2021-07-19 11:47:40', NULL, NULL), (15991, '', '孝姑社区', 'fe06b34c28f8461692272a4b555744e1', '4eaaee4beb8849ffa5954e55f8aeee93', 'False', 'True', 'false', 'false', '511123101781', 5, '孝姑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123101781', 1, '2021-07-19 11:47:40', NULL, NULL), (15992, '', '百支溪村', 'b13ba297778a471a82e354d775c112fd', '4eaaee4beb8849ffa5954e55f8aeee93', 'False', 'True', 'false', 'false', '511123101861', 5, '百支溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123101861', 1, '2021-07-19 11:47:40', NULL, NULL), (15993, '', '定文镇', '0305d057691140dda39ce933b424324a', '41b106e1aa634a3b8194999b28974809', 'True', 'True', 'false', 'false', '511123583000', 4, '定文镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511123583000', 1, '2021-07-19 11:47:40', NULL, NULL), (15994, '', '新场社区', '3a16f18122284f15afa9eaed0ecbb45b', '0305d057691140dda39ce933b424324a', 'False', 'True', 'false', 'false', '511123108002', 5, '新场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123108002', 1, '2021-07-19 11:47:40', NULL, NULL), (15995, '', '新场村', '5f514e117d844fd1901bc65e0a83342c', '0305d057691140dda39ce933b424324a', 'False', 'True', 'false', 'false', '511123108212', 5, '新场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123108212', 1, '2021-07-19 11:47:40', NULL, NULL), (15996, '', '太平村', '8ff963a21537412fb4b3f6cddc6dbf0d', '0305d057691140dda39ce933b424324a', 'False', 'True', 'false', 'false', '511123108213', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123108213', 1, '2021-07-19 11:47:40', NULL, NULL), (15997, '', '红旗村', '5020fe57741540c0b2cf7994dc989ce6', '0305d057691140dda39ce933b424324a', 'False', 'True', 'false', 'false', '511123108214', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123108214', 1, '2021-07-19 11:47:40', NULL, NULL), (15998, '', '黄桷场村', '92b210eb06db4ab0aa7e22ef559f70d7', '0305d057691140dda39ce933b424324a', 'False', 'True', 'false', 'false', '511123108215', 5, '黄桷场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123108215', 1, '2021-07-19 11:47:40', NULL, NULL), (15999, '', '定文场社区', '29205160290c48c19972c29509f19a4f', '0305d057691140dda39ce933b424324a', 'False', 'True', 'false', 'false', '511123108268', 5, '定文场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123108268', 1, '2021-07-19 11:47:40', NULL, NULL), (16000, '', '方井村', '5c123c6be31e44bda1881c219f74622d', '0305d057691140dda39ce933b424324a', 'False', 'True', 'false', 'false', '511123108416', 5, '方井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123108416', 1, '2021-07-19 11:47:40', NULL, NULL), (16001, '', '永乐村', '982ff6198a36453da3a2b4630250a5e8', '0305d057691140dda39ce933b424324a', 'False', 'True', 'false', 'false', '511123108521', 5, '永乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123108521', 1, '2021-07-19 11:47:41', NULL, NULL), (16002, '', '上场村', 'abbc2de60e554456bb2e66d5ba80c179', '0305d057691140dda39ce933b424324a', 'False', 'True', 'false', 'false', '511123108557', 5, '上场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123108557', 1, '2021-07-19 11:47:41', NULL, NULL), (16003, '', '炮房村', 'e91a21e1f35f4661886d1d83c5ec045b', '0305d057691140dda39ce933b424324a', 'False', 'True', 'false', 'false', '511123108630', 5, '炮房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123108630', 1, '2021-07-19 11:47:41', NULL, NULL), (16004, '', '金山村', 'e8d13558e4ca4d5aa16532d4a91b71d8', '0305d057691140dda39ce933b424324a', 'False', 'True', 'false', 'false', '511123108691', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123108691', 1, '2021-07-19 11:47:41', NULL, NULL), (16005, '', '洪流村', '2ec1c7316069435f88d499322ddbb8ed', '0305d057691140dda39ce933b424324a', 'False', 'True', 'false', 'false', '511123108891', 5, '洪流村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123108891', 1, '2021-07-19 11:47:41', NULL, NULL), (16006, '', '石溪镇', 'bd16db88aa034960abe20458a04dcb16', '41b106e1aa634a3b8194999b28974809', 'True', 'True', 'false', 'false', '511123727000', 4, '石溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511123727000', 1, '2021-07-19 11:47:41', NULL, NULL), (16007, '', '塘房村', 'e6fb967993e349c39e97b819f8dc854b', 'bd16db88aa034960abe20458a04dcb16', 'False', 'True', 'false', 'false', '511123102214', 5, '塘房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123102214', 1, '2021-07-19 11:47:41', NULL, NULL), (16008, '', '成新村', '8caebb4f8c8148b4a499057e3d7455b6', 'bd16db88aa034960abe20458a04dcb16', 'False', 'True', 'false', 'false', '511123102215', 5, '成新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123102215', 1, '2021-07-19 11:47:41', NULL, NULL), (16009, '', '新房村', '71db6a0aa6e441e2bec7cd47a7f1a05b', 'bd16db88aa034960abe20458a04dcb16', 'False', 'True', 'false', 'false', '511123102216', 5, '新房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123102216', 1, '2021-07-19 11:47:41', NULL, NULL), (16010, '', '白家村', 'c1f48e3bd61b49e1a5fa6a1ab89c4fa3', 'bd16db88aa034960abe20458a04dcb16', 'False', 'True', 'false', 'false', '511123102217', 5, '白家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123102217', 1, '2021-07-19 11:47:41', NULL, NULL), (16011, '', '凉桥社区', 'ba7c94a54a704587ac0c9cff2b6f7951', 'bd16db88aa034960abe20458a04dcb16', 'False', 'True', 'false', 'false', '511123102933', 5, '凉桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123102933', 1, '2021-07-19 11:47:41', NULL, NULL), (16012, '', '河西村', '822d8120a1d44f84b5322b239f6e2e14', 'bd16db88aa034960abe20458a04dcb16', 'False', 'True', 'false', 'false', '511123102035', 5, '河西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123102035', 1, '2021-07-19 11:47:41', NULL, NULL), (16013, '', '民乐社区', 'fde2ab9b16d64f9098d013b56b606eff', 'bd16db88aa034960abe20458a04dcb16', 'False', 'True', 'false', 'false', '511123102479', 5, '民乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123102479', 1, '2021-07-19 11:47:41', NULL, NULL), (16014, '', '画眉村', '1b40773c65f5473c9f3f6964c9d679fc', 'bd16db88aa034960abe20458a04dcb16', 'False', 'True', 'false', 'false', '511123102595', 5, '画眉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123102595', 1, '2021-07-19 11:47:41', NULL, NULL), (16015, '', '大坪村', '4553d37e2549425ca064d42e207ac3dc', 'bd16db88aa034960abe20458a04dcb16', 'False', 'True', 'false', 'false', '511123102656', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123102656', 1, '2021-07-19 11:47:41', NULL, NULL), (16016, '', '前丰村', 'c040250ce21c4b35b88159907167cd77', 'bd16db88aa034960abe20458a04dcb16', 'False', 'True', 'false', 'false', '511123102712', 5, '前丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123102712', 1, '2021-07-19 11:47:42', NULL, NULL), (16017, '', '联盟村', 'c6f08acfe53d49928dd5f8e8cd3741ae', 'bd16db88aa034960abe20458a04dcb16', 'False', 'True', 'false', 'false', '511123102883', 5, '联盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123102883', 1, '2021-07-19 11:47:42', NULL, NULL), (16018, '', '小二河村', '1fb3939b20334260a4a524842e781bbf', 'bd16db88aa034960abe20458a04dcb16', 'False', 'True', 'false', 'false', '511123102985', 5, '小二河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123102985', 1, '2021-07-19 11:47:42', NULL, NULL), (16019, '', '芭沟镇', 'b740cf5f873d42a4bc024a4027ca14d3', '41b106e1aa634a3b8194999b28974809', 'True', 'True', 'false', 'false', '511123733000', 4, '芭沟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511123733000', 1, '2021-07-19 11:47:42', NULL, NULL), (16020, '', '泉水场社区', 'cca7b7da73734f5d8c7f5cadc26d1226', 'b740cf5f873d42a4bc024a4027ca14d3', 'False', 'True', 'false', 'false', '511123106003', 5, '泉水场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123106003', 1, '2021-07-19 11:47:42', NULL, NULL), (16021, '', '马王庙街社区', '86428775b76a413dbd1343a9dbfaaa71', 'b740cf5f873d42a4bc024a4027ca14d3', 'False', 'True', 'false', 'false', '511123106004', 5, '马王庙街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123106004', 1, '2021-07-19 11:47:42', NULL, NULL), (16022, '', '菜子坝村', '0afd0fe941cc48419d296736207697df', 'b740cf5f873d42a4bc024a4027ca14d3', 'False', 'True', 'false', 'false', '511123106207', 5, '菜子坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123106207', 1, '2021-07-19 11:47:42', NULL, NULL), (16023, '', '天生桥村', '524545b59dda4d408588216de6c0130e', 'b740cf5f873d42a4bc024a4027ca14d3', 'False', 'True', 'false', 'false', '511123106209', 5, '天生桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123106209', 1, '2021-07-19 11:47:42', NULL, NULL), (16024, '', '牛骑村', '606e763f3c7c48e0ac37e218745a40f0', 'b740cf5f873d42a4bc024a4027ca14d3', 'False', 'True', 'false', 'false', '511123106210', 5, '牛骑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123106210', 1, '2021-07-19 11:47:42', NULL, NULL), (16025, '', '泉水村', 'c12523367ecf49eaa671092a2d32e123', 'b740cf5f873d42a4bc024a4027ca14d3', 'False', 'True', 'false', 'false', '511123106211', 5, '泉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123106211', 1, '2021-07-19 11:47:42', NULL, NULL), (16026, '', '陈家榜村', 'cdf1d61bd24740e48c621ba27424f2b3', 'b740cf5f873d42a4bc024a4027ca14d3', 'False', 'True', 'false', 'false', '511123106212', 5, '陈家榜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123106212', 1, '2021-07-19 11:47:42', NULL, NULL), (16027, '', '黄家山村', 'fa32af06818a478e8aadf5541a85cc09', 'b740cf5f873d42a4bc024a4027ca14d3', 'False', 'True', 'false', 'false', '511123106213', 5, '黄家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123106213', 1, '2021-07-19 11:47:42', NULL, NULL), (16028, '', '藕花村', 'dab490b7ae214ae785f3d95bc966f51f', 'b740cf5f873d42a4bc024a4027ca14d3', 'False', 'True', 'false', 'false', '511123106214', 5, '藕花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123106214', 1, '2021-07-19 11:47:42', NULL, NULL), (16029, '', '治安村', '96f43610a4d84be4b80dc2cfe35093f5', 'b740cf5f873d42a4bc024a4027ca14d3', 'False', 'True', 'false', 'false', '511123106215', 5, '治安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123106215', 1, '2021-07-19 11:47:42', NULL, NULL), (16030, '', '十月村', '420029b961084d6da56726cd7afc34d5', 'b740cf5f873d42a4bc024a4027ca14d3', 'False', 'True', 'false', 'false', '511123106216', 5, '十月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123106216', 1, '2021-07-19 11:47:42', NULL, NULL), (16031, '', '民主村', '6092e371690e43a2a08a466971b4dd31', 'b740cf5f873d42a4bc024a4027ca14d3', 'False', 'True', 'false', 'false', '511123106361', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123106361', 1, '2021-07-19 11:47:43', NULL, NULL), (16032, '', '光辉村', '9d9e203cbb7c442e9f55b5ed71284c17', 'b740cf5f873d42a4bc024a4027ca14d3', 'False', 'True', 'false', 'false', '511123106445', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123106445', 1, '2021-07-19 11:47:43', NULL, NULL), (16033, '', '工农村', 'cc2f745a84ae4cc6830655bb74a19f59', 'b740cf5f873d42a4bc024a4027ca14d3', 'False', 'True', 'false', 'false', '511123106498', 5, '工农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123106498', 1, '2021-07-19 11:47:43', NULL, NULL), (16034, '', '三井社区', '5be3cb91dddd4acaa3946ca8a5f739f4', 'b740cf5f873d42a4bc024a4027ca14d3', 'False', 'True', 'false', 'false', '511123106499', 5, '三井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123106499', 1, '2021-07-19 11:47:43', NULL, NULL), (16035, '', '芭蕉沟社区', 'f5e4f21892e0416d8f77d5ba0ac5ff9f', 'b740cf5f873d42a4bc024a4027ca14d3', 'False', 'True', 'false', 'false', '511123106680', 5, '芭蕉沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123106680', 1, '2021-07-19 11:47:43', NULL, NULL), (16036, '', '水星寨村', '8fc131b5bbda4ba2a38e0a13a372e0a2', 'b740cf5f873d42a4bc024a4027ca14d3', 'False', 'True', 'false', 'false', '511123106682', 5, '水星寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123106682', 1, '2021-07-19 11:47:43', NULL, NULL), (16037, '', '罗城镇', '9d83710e178145e4bb562594e881aba5', '41b106e1aa634a3b8194999b28974809', 'True', 'True', 'false', 'false', '511123735000', 4, '罗城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511123735000', 1, '2021-07-19 11:47:43', NULL, NULL), (16038, '', '南阳社区', 'e3100c542ff5408d885ae96f8bf7a615', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105004', 5, '南阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105004', 1, '2021-07-19 11:47:43', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (16039, '', '冶官社区', '673b277edec94466bf4bfbc3526a6216', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105005', 5, '冶官社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105005', 1, '2021-07-19 11:47:43', NULL, NULL), (16040, '', '大同村', '4debb06f048c4dcf8de38799ebff7e9d', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105210', 5, '大同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105210', 1, '2021-07-19 11:47:43', NULL, NULL), (16041, '', '竹山村', '1ba865e3c9744f64865cd95c519d7b07', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105226', 5, '竹山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105226', 1, '2021-07-19 11:47:43', NULL, NULL), (16042, '', '红蓉村', '6af95b93395a4dfab872de520a4549a0', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105227', 5, '红蓉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105227', 1, '2021-07-19 11:47:43', NULL, NULL), (16043, '', '南阳村', '042cb81c010e425798ca2a46adb36a33', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105228', 5, '南阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105228', 1, '2021-07-19 11:47:43', NULL, NULL), (16044, '', '筠山村', '5858446f6c3e4798b3f1ec4fa3ce410e', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105229', 5, '筠山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105229', 1, '2021-07-19 11:47:43', NULL, NULL), (16045, '', '塘湾村', 'd1c5c9a45ac84d389cdb8ddda80ca8e1', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105230', 5, '塘湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105230', 1, '2021-07-19 11:47:43', NULL, NULL), (16046, '', '五联村', '560dce7698d14b78bf0eab7fd2d6592b', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105231', 5, '五联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105231', 1, '2021-07-19 11:47:43', NULL, NULL), (16047, '', '群英村', '846d97e5ed88424389fcaab64fcf2522', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105232', 5, '群英村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105232', 1, '2021-07-19 11:47:44', NULL, NULL), (16048, '', '金井村', '1e12c120edfc4ded858fa1cfef6ee383', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105233', 5, '金井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105233', 1, '2021-07-19 11:47:44', NULL, NULL), (16049, '', '团结村', '84665830f67d4ccb8ce0671213271ad0', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105234', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105234', 1, '2021-07-19 11:47:44', NULL, NULL), (16050, '', '共同村', '8d6d283508124ed9a8553f9c6ba67dfa', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105235', 5, '共同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105235', 1, '2021-07-19 11:47:44', NULL, NULL), (16051, '', '太阳村', 'dcb0f60cd34d42f09fce6dade9e2b8a8', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105064', 5, '太阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105064', 1, '2021-07-19 11:47:44', NULL, NULL), (16052, '', '铁岭村', '984f79038605464e861be81a39a9c407', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105076', 5, '铁岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105076', 1, '2021-07-19 11:47:44', NULL, NULL), (16053, '', '铁山村', 'f65572d6fbba4393a3c2d2d2cf166bb5', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105080', 5, '铁山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105080', 1, '2021-07-19 11:47:44', NULL, NULL), (16054, '', '白鹤村', '3e1868e95eee44569a4cfbb3eacdcf2a', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105093', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105093', 1, '2021-07-19 11:47:44', NULL, NULL), (16055, '', '蔡佳村', '8c4f9b55e82544d99c82554440118ab6', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105118', 5, '蔡佳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105118', 1, '2021-07-19 11:47:44', NULL, NULL), (16056, '', '船形街社区', 'dda1642ae26e4c45aad730947a53c91b', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105136', 5, '船形街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105136', 1, '2021-07-19 11:47:44', NULL, NULL), (16057, '', '新农村', '253e72a3f2ea4aae8c7e50dc4cb31785', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105219', 5, '新农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105219', 1, '2021-07-19 11:47:44', NULL, NULL), (16058, '', '二龙村', 'f7104b4247d44112a3d3c4f667022137', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105282', 5, '二龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105282', 1, '2021-07-19 11:47:44', NULL, NULL), (16059, '', '七星村', '0b338e1780334f07902d2529c8b6c67d', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105291', 5, '七星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105291', 1, '2021-07-19 11:47:44', NULL, NULL), (16060, '', '杨家湾社区', 'f4e95cb7a8294ff79c2ef65339953fc2', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105539', 5, '杨家湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105539', 1, '2021-07-19 11:47:44', NULL, NULL), (16061, '', '滴水岩社区', '1d776bf93eec4ebda3687c0237649d71', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105630', 5, '滴水岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105630', 1, '2021-07-19 11:47:44', NULL, NULL), (16062, '', '大石村', '325bb3385dbd4ce0a9304fbceaa24c77', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105714', 5, '大石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105714', 1, '2021-07-19 11:47:44', NULL, NULL), (16063, '', '繁荣村', 'b59829d918a74ee8b63276d10e7a240b', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105846', 5, '繁荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105846', 1, '2021-07-19 11:47:45', NULL, NULL), (16064, '', '青狮村', 'bbb9292899a3462fa419e167958f9ea4', '9d83710e178145e4bb562594e881aba5', 'False', 'True', 'false', 'false', '511123105881', 5, '青狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123105881', 1, '2021-07-19 11:47:45', NULL, NULL), (16065, '', '大兴镇', 'bc7e16a11ffa43db8cd9b7edde1f94ed', '41b106e1aa634a3b8194999b28974809', 'True', 'True', 'false', 'false', '511123756000', 4, '大兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511123756000', 1, '2021-07-19 11:47:45', NULL, NULL), (16066, '', '公平社区', '920c67a5e9b54a97bf7de326c5b705e9', 'bc7e16a11ffa43db8cd9b7edde1f94ed', 'False', 'True', 'false', 'false', '511123114002', 5, '公平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123114002', 1, '2021-07-19 11:47:45', NULL, NULL), (16067, '', '雨台村', '2afaa30c6f96412185e274e1071edc40', 'bc7e16a11ffa43db8cd9b7edde1f94ed', 'False', 'True', 'false', 'false', '511123114205', 5, '雨台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123114205', 1, '2021-07-19 11:47:45', NULL, NULL), (16068, '', '后边沟村', '544a7602303f44f3885babf60748d3ce', 'bc7e16a11ffa43db8cd9b7edde1f94ed', 'False', 'True', 'false', 'false', '511123114206', 5, '后边沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123114206', 1, '2021-07-19 11:47:45', NULL, NULL), (16069, '', '新云村', '19cc30c49668429ea82b4c191d770918', 'bc7e16a11ffa43db8cd9b7edde1f94ed', 'False', 'True', 'false', 'false', '511123114207', 5, '新云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123114207', 1, '2021-07-19 11:47:45', NULL, NULL), (16070, '', '仁义村', '214af87b934d4732adc661ead5ac0871', 'bc7e16a11ffa43db8cd9b7edde1f94ed', 'False', 'True', 'false', 'false', '511123114209', 5, '仁义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123114209', 1, '2021-07-19 11:47:45', NULL, NULL), (16071, '', '三溪村', 'cd84a75ffc8e401da3afc1f5ac6c8d00', 'bc7e16a11ffa43db8cd9b7edde1f94ed', 'False', 'True', 'false', 'false', '511123114210', 5, '三溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123114210', 1, '2021-07-19 11:47:45', NULL, NULL), (16072, '', '黄荆村', 'e21cda60e009474a8e9c3a6c661ed65c', 'bc7e16a11ffa43db8cd9b7edde1f94ed', 'False', 'True', 'false', 'false', '511123205028', 5, '黄荆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123205028', 1, '2021-07-19 11:47:45', NULL, NULL), (16073, '', '云峰村', '6669aae874e845518f58d4a802602215', 'bc7e16a11ffa43db8cd9b7edde1f94ed', 'False', 'True', 'false', 'false', '511123205156', 5, '云峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123205156', 1, '2021-07-19 11:47:46', NULL, NULL), (16074, '', '大兴场社区', '84337a73a87f4c6b88e49be36ee343cd', 'bc7e16a11ffa43db8cd9b7edde1f94ed', 'False', 'True', 'false', 'false', '511123205263', 5, '大兴场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123205263', 1, '2021-07-19 11:47:46', NULL, NULL), (16075, '', '叶荷村', '2e3218aeb62641e9b5b07338adbf17a2', 'bc7e16a11ffa43db8cd9b7edde1f94ed', 'False', 'True', 'false', 'false', '511123205286', 5, '叶荷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123205286', 1, '2021-07-19 11:47:46', NULL, NULL), (16076, '', '青和村', '62b6234dc2dc4810a7e50d4bf7ad8b53', 'bc7e16a11ffa43db8cd9b7edde1f94ed', 'False', 'True', 'false', 'false', '511123205611', 5, '青和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123205611', 1, '2021-07-19 11:47:46', NULL, NULL), (16077, '', '梧桐村', '4d4cb14e27df490d8b06057c0056aedd', 'bc7e16a11ffa43db8cd9b7edde1f94ed', 'False', 'True', 'false', 'false', '511123205713', 5, '梧桐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123205713', 1, '2021-07-19 11:47:46', NULL, NULL), (16078, '', '太阳坡村', 'c7a7d50eb4af493a8435382676428a3c', 'bc7e16a11ffa43db8cd9b7edde1f94ed', 'False', 'True', 'false', 'false', '511123205981', 5, '太阳坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123205981', 1, '2021-07-19 11:47:46', NULL, NULL), (16079, '', '铁炉镇', '175e5fc1e6c04589aeddce3f6a7578e3', '41b106e1aa634a3b8194999b28974809', 'True', 'True', 'false', 'false', '511123768000', 4, '铁炉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511123768000', 1, '2021-07-19 11:47:46', NULL, NULL), (16080, '', '中心村', 'f51c7926891d41c481346e83706313e7', '175e5fc1e6c04589aeddce3f6a7578e3', 'False', 'True', 'false', 'false', '511123116203', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123116203', 1, '2021-07-19 11:47:46', NULL, NULL), (16081, '', '农荣村', '7bdfa7ed78c7405caa9b97b533dfe7be', '175e5fc1e6c04589aeddce3f6a7578e3', 'False', 'True', 'false', 'false', '511123116204', 5, '农荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123116204', 1, '2021-07-19 11:47:46', NULL, NULL), (16082, '', '五一村', '8bc2a83c222d4321a14ff2013f22c719', '175e5fc1e6c04589aeddce3f6a7578e3', 'False', 'True', 'false', 'false', '511123116205', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123116205', 1, '2021-07-19 11:47:46', NULL, NULL), (16083, '', '同益村', '6bbbb1e050de422f815d88ac7d8eb24f', '175e5fc1e6c04589aeddce3f6a7578e3', 'False', 'True', 'false', 'false', '511123116206', 5, '同益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123116206', 1, '2021-07-19 11:47:46', NULL, NULL), (16084, '', '朝阳村', '6ad077383b76411487b878ca95ad7ca4', '175e5fc1e6c04589aeddce3f6a7578e3', 'False', 'True', 'false', 'false', '511123204215', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123204215', 1, '2021-07-19 11:47:47', NULL, NULL), (16085, '', '铁炉场社区', 'ff3961a42820430fa13fdc6b9b44a948', '175e5fc1e6c04589aeddce3f6a7578e3', 'False', 'True', 'false', 'false', '511123204500', 5, '铁炉场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123204500', 1, '2021-07-19 11:47:47', NULL, NULL), (16086, '', '安南村', '6608b8b5327a4a58946d05deec0c6f76', '175e5fc1e6c04589aeddce3f6a7578e3', 'False', 'True', 'false', 'false', '511123204734', 5, '安南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123204734', 1, '2021-07-19 11:47:47', NULL, NULL), (16087, '', '兴隆村', '60950d449f4544bab3a97315e5494310', '175e5fc1e6c04589aeddce3f6a7578e3', 'False', 'True', 'false', 'false', '511123204855', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123204855', 1, '2021-07-19 11:47:47', NULL, NULL), (16088, '', '舞雩镇', 'cb7f2fa4efe342fb8ab278e116825737', '41b106e1aa634a3b8194999b28974809', 'True', 'True', 'false', 'false', '511123926000', 4, '舞雩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511123926000', 1, '2021-07-19 11:47:47', NULL, NULL), (16089, '', '观音寺社区', '39847110164946a6be0e10b24ebf14cd', 'cb7f2fa4efe342fb8ab278e116825737', 'False', 'True', 'false', 'false', '511123112002', 5, '观音寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123112002', 1, '2021-07-19 11:47:47', NULL, NULL), (16090, '', '伏龙场社区', '834802885cbd4994a8b0c3c024d9ffed', 'cb7f2fa4efe342fb8ab278e116825737', 'False', 'True', 'false', 'false', '511123112003', 5, '伏龙场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123112003', 1, '2021-07-19 11:47:47', NULL, NULL), (16091, '', '沙嘴村', 'e70325ed76e542919490a8739ce0a2c7', 'cb7f2fa4efe342fb8ab278e116825737', 'False', 'True', 'false', 'false', '511123112200', 5, '沙嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123112200', 1, '2021-07-19 11:47:47', NULL, NULL), (16092, '', '大湾村', '1163ee78a62e478cab335840bc34efd8', 'cb7f2fa4efe342fb8ab278e116825737', 'False', 'True', 'false', 'false', '511123112201', 5, '大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123112201', 1, '2021-07-19 11:47:47', NULL, NULL), (16093, '', '平安村', '1d8d04dd9acf44b5b4d0ce51f6d13ac0', 'cb7f2fa4efe342fb8ab278e116825737', 'False', 'True', 'false', 'false', '511123112202', 5, '平安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123112202', 1, '2021-07-19 11:47:47', NULL, NULL), (16094, '', '葫芦村', '146c8bc62fbf4d48b0e8282e0d486c45', 'cb7f2fa4efe342fb8ab278e116825737', 'False', 'True', 'false', 'false', '511123112203', 5, '葫芦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123112203', 1, '2021-07-19 11:47:47', NULL, NULL), (16095, '', '葵花村', 'c6efd7e4299f40ccae7f54d1f1cf76f4', 'cb7f2fa4efe342fb8ab278e116825737', 'False', 'True', 'false', 'false', '511123112211', 5, '葵花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123112211', 1, '2021-07-19 11:47:47', NULL, NULL), (16096, '', '石马村', 'f9d3a506d09e4b51ba19cb0711f368ef', 'cb7f2fa4efe342fb8ab278e116825737', 'False', 'True', 'false', 'false', '511123112212', 5, '石马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123112212', 1, '2021-07-19 11:47:47', NULL, NULL), (16097, '', '银桥村', '6dae19d44849435aa52e438cd9477e8c', 'cb7f2fa4efe342fb8ab278e116825737', 'False', 'True', 'false', 'false', '511123210063', 5, '银桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123210063', 1, '2021-07-19 11:47:47', NULL, NULL), (16098, '', '双桥村', 'f8cbda852a154961bfec76d54ad05b4d', 'cb7f2fa4efe342fb8ab278e116825737', 'False', 'True', 'false', 'false', '511123210064', 5, '双桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123210064', 1, '2021-07-19 11:47:48', NULL, NULL), (16099, '', '康乐村', '6c2a89350cc04984a3a98b889fc00715', 'cb7f2fa4efe342fb8ab278e116825737', 'False', 'True', 'false', 'false', '511123210072', 5, '康乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123210072', 1, '2021-07-19 11:47:48', NULL, NULL), (16100, '', '高龙村', '04d4c791a7964aa49617d6be6a141fd2', 'cb7f2fa4efe342fb8ab278e116825737', 'False', 'True', 'false', 'false', '511123210219', 5, '高龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123210219', 1, '2021-07-19 11:47:48', NULL, NULL), (16101, '', '熊马村', 'c86b8970f73248b49087f64ef0e1ed79', 'cb7f2fa4efe342fb8ab278e116825737', 'False', 'True', 'false', 'false', '511123210493', 5, '熊马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123210493', 1, '2021-07-19 11:47:48', NULL, NULL), (16102, '', '金光村', '285e29fe898044c8976179aca0d3099d', 'cb7f2fa4efe342fb8ab278e116825737', 'False', 'True', 'false', 'false', '511123210546', 5, '金光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123210546', 1, '2021-07-19 11:47:48', NULL, NULL), (16103, '', '玉泉村', 'cc2758fa493240e5a92eb1562784a74a', 'cb7f2fa4efe342fb8ab278e116825737', 'False', 'True', 'false', 'false', '511123210700', 5, '玉泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123210700', 1, '2021-07-19 11:47:48', NULL, NULL), (16104, '', '舞雩场社区', '2ef3c647bee849fc8e65acd66de7c0f6', 'cb7f2fa4efe342fb8ab278e116825737', 'False', 'True', 'false', 'false', '511123210755', 5, '舞雩场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123210755', 1, '2021-07-19 11:47:48', NULL, NULL), (16105, '', '九井镇', 'a7c624938053447796d6ca7aa29d60ec', '41b106e1aa634a3b8194999b28974809', 'True', 'True', 'false', 'false', '511123942000', 4, '九井镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511123942000', 1, '2021-07-19 11:47:48', NULL, NULL), (16106, '', '榨鼓场社区', '8308b7dd2be842428fcd63f2717d111a', 'a7c624938053447796d6ca7aa29d60ec', 'False', 'True', 'false', 'false', '511123115002', 5, '榨鼓场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123115002', 1, '2021-07-19 11:47:48', NULL, NULL), (16107, '', '永丰村', 'b3ae6673338a487bb4643823cb863006', 'a7c624938053447796d6ca7aa29d60ec', 'False', 'True', 'false', 'false', '511123115200', 5, '永丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123115200', 1, '2021-07-19 11:47:48', NULL, NULL), (16108, '', '麻柳村', 'cbb6b49eb44f499cbe56310af139ba21', 'a7c624938053447796d6ca7aa29d60ec', 'False', 'True', 'false', 'false', '511123115201', 5, '麻柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123115201', 1, '2021-07-19 11:47:48', NULL, NULL), (16109, '', '回龙村', '01e8348e6f6849069ee26e34449dda35', 'a7c624938053447796d6ca7aa29d60ec', 'False', 'True', 'false', 'false', '511123115203', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123115203', 1, '2021-07-19 11:47:48', NULL, NULL), (16110, '', '塘口村', '189a101ecfbd42e9bef40515bfecdfc9', 'a7c624938053447796d6ca7aa29d60ec', 'False', 'True', 'false', 'false', '511123115204', 5, '塘口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123115204', 1, '2021-07-19 11:47:48', NULL, NULL), (16111, '', '祗园村', '79170d244f764510b7a6b73cc6a41dbd', 'a7c624938053447796d6ca7aa29d60ec', 'False', 'True', 'false', 'false', '511123115208', 5, '祗园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123115208', 1, '2021-07-19 11:47:48', NULL, NULL), (16112, '', '佳沟村', 'e61540cf5696479383dfcd71a65c28a2', 'a7c624938053447796d6ca7aa29d60ec', 'False', 'True', 'false', 'false', '511123201206', 5, '佳沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123201206', 1, '2021-07-19 11:47:48', NULL, NULL), (16113, '', '金鼓村', '43818c6bc6934085b08e2199a5478049', 'a7c624938053447796d6ca7aa29d60ec', 'False', 'True', 'false', 'false', '511123201545', 5, '金鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123201545', 1, '2021-07-19 11:47:49', NULL, NULL), (16114, '', '九井街道社区', 'c03e7aa02c6841f4ab25e6ad3fb2bfc0', 'a7c624938053447796d6ca7aa29d60ec', 'False', 'True', 'false', 'false', '511123201609', 5, '九井街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123201609', 1, '2021-07-19 11:47:49', NULL, NULL), (16115, '', '峰门村', 'b1bf41da2be4485ca4653bab5a5e3d58', 'a7c624938053447796d6ca7aa29d60ec', 'False', 'True', 'false', 'false', '511123201631', 5, '峰门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123201631', 1, '2021-07-19 11:47:49', NULL, NULL), (16116, '', '鱼滩村', '51df455fb7d34c9aa389f4f356fe4a56', 'a7c624938053447796d6ca7aa29d60ec', 'False', 'True', 'false', 'false', '511123201681', 5, '鱼滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123201681', 1, '2021-07-19 11:47:49', NULL, NULL), (16117, '', '寿保镇', '7872f4baef034a1f9302aabe7c37b710', '41b106e1aa634a3b8194999b28974809', 'True', 'True', 'false', 'false', '511123957000', 4, '寿保镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511123957000', 1, '2021-07-19 11:47:49', NULL, NULL), (16118, '', '敖家场社区', '3eb90098c2684cab95d7d36a2e9e8bb9', '7872f4baef034a1f9302aabe7c37b710', 'False', 'True', 'false', 'false', '511123117002', 5, '敖家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123117002', 1, '2021-07-19 11:47:49', NULL, NULL), (16119, '', '敖家村', '07b0548e4e8f47139cd9424c07c14d8c', '7872f4baef034a1f9302aabe7c37b710', 'False', 'True', 'false', 'false', '511123117205', 5, '敖家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123117205', 1, '2021-07-19 11:47:49', NULL, NULL), (16120, '', '水井村', '9117515dc8544e23acb1636d116f7e89', '7872f4baef034a1f9302aabe7c37b710', 'False', 'True', 'false', 'false', '511123117206', 5, '水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123117206', 1, '2021-07-19 11:47:49', NULL, NULL), (16121, '', '健康村', '1097cd1e551646d2bd5ff1b1bdedbfeb', '7872f4baef034a1f9302aabe7c37b710', 'False', 'True', 'false', 'false', '511123117207', 5, '健康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123117207', 1, '2021-07-19 11:47:49', NULL, NULL), (16122, '', '青山村', '224941a43589465bb8187b0436add52c', '7872f4baef034a1f9302aabe7c37b710', 'False', 'True', 'false', 'false', '511123117208', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123117208', 1, '2021-07-19 11:47:49', NULL, NULL), (16123, '', '光芒村', '33b6a71af02f4f5d86fa509c953ffe28', '7872f4baef034a1f9302aabe7c37b710', 'False', 'True', 'false', 'false', '511123117209', 5, '光芒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123117209', 1, '2021-07-19 11:47:49', NULL, NULL), (16124, '', '龙凤村', 'd79e3ab2c52f42f0bf6ba2c861a9ba0f', '7872f4baef034a1f9302aabe7c37b710', 'False', 'True', 'false', 'false', '511123117210', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123117210', 1, '2021-07-19 11:47:50', NULL, NULL), (16125, '', '刘坝村', '23904b22cb7b4186af04e67c8a1a29f0', '7872f4baef034a1f9302aabe7c37b710', 'False', 'True', 'false', 'false', '511123209044', 5, '刘坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123209044', 1, '2021-07-19 11:47:50', NULL, NULL), (16126, '', '邓坝村', '2f5ad5ca45fd400a8915375312508bff', '7872f4baef034a1f9302aabe7c37b710', 'False', 'True', 'false', 'false', '511123209103', 5, '邓坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123209103', 1, '2021-07-19 11:47:50', NULL, NULL), (16127, '', '旺家村', 'c22ae7c734524e17be22d1d87e5637cd', '7872f4baef034a1f9302aabe7c37b710', 'False', 'True', 'false', 'false', '511123209150', 5, '旺家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123209150', 1, '2021-07-19 11:47:50', NULL, NULL), (16128, '', '大坡村', '1eb468902350496690bcd5559aa50d48', '7872f4baef034a1f9302aabe7c37b710', 'False', 'True', 'false', 'false', '511123209278', 5, '大坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123209278', 1, '2021-07-19 11:47:50', NULL, NULL), (16129, '', '花金村', '880033afa9c14cb190db3e2874733193', '7872f4baef034a1f9302aabe7c37b710', 'False', 'True', 'false', 'false', '511123209519', 5, '花金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123209519', 1, '2021-07-19 11:47:50', NULL, NULL), (16130, '', '寿保场社区', '832ca52abb10439a9c879ad7518ed646', '7872f4baef034a1f9302aabe7c37b710', 'False', 'True', 'false', 'false', '511123209967', 5, '寿保场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511123209967', 1, '2021-07-19 11:47:50', NULL, NULL), (16131, '', '乐山高新区管委会', '200baf5576994311bf783d158a5bbb30', '9662d820bd8049d2bce41b2c66a0bd60', 'True', 'True', 'false', 'false', '511101000000', 3, '高新区', 'lsslsgxq.sczwfw.gov.cn', 1, '2021-07-19 11:47:50', NULL, NULL), (16132, '', '安谷镇', '8c56cfa35487460cabb4d5fd88615820', '200baf5576994311bf783d158a5bbb30', 'True', 'True', 'false', 'false', '511101394000', 4, '安谷镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511101394000', 1, '2021-07-19 11:47:50', NULL, NULL), (16133, '', '车子社区', '3c49c68f45e04833948cd48fc73355ae', '8c56cfa35487460cabb4d5fd88615820', 'False', 'True', 'false', 'false', '511101394001', 5, '车子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511101394001', 1, '2021-07-19 11:47:50', NULL, NULL), (16134, '', '杜家场村', 'b5eceec2ad2349a88fc8e6bfa3350c8b', '8c56cfa35487460cabb4d5fd88615820', 'False', 'True', 'false', 'false', '511101394002', 5, '杜家场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511101394002', 1, '2021-07-19 11:47:50', NULL, NULL), (16135, '', '金灯村', '9768a112bade45a1a5ec79ce6caac466', '8c56cfa35487460cabb4d5fd88615820', 'False', 'True', 'false', 'false', '511101394003', 5, '金灯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511101394003', 1, '2021-07-19 11:47:50', NULL, NULL), (16136, '', '双星村', 'b143b87dd9f644699a16615ee8a48e3c', '8c56cfa35487460cabb4d5fd88615820', 'False', 'True', 'false', 'false', '511101394004', 5, '双星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511101394004', 1, '2021-07-19 11:47:50', NULL, NULL), (16137, '', '回龙村', 'be2625a05fb0493b8dd756e1b38a77c2', '8c56cfa35487460cabb4d5fd88615820', 'False', 'True', 'false', 'false', '511101394006', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511101394006', 1, '2021-07-19 11:47:50', NULL, NULL), (16138, '', '刘河村', '74b9e14b7f0749ddb32f72d171715847', '8c56cfa35487460cabb4d5fd88615820', 'False', 'True', 'false', 'false', '511101394008', 5, '刘河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511101394008', 1, '2021-07-19 11:47:51', NULL, NULL), (16139, '', '王元村', 'd413a875355a40b8a1697456a0f49061', '8c56cfa35487460cabb4d5fd88615820', 'False', 'True', 'false', 'false', '511101394009', 5, '王元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511101394009', 1, '2021-07-19 11:47:51', NULL, NULL), (16140, '', '泊滩村', '2016910460644563842429726c71b259', '8c56cfa35487460cabb4d5fd88615820', 'False', 'True', 'false', 'false', '511101394012', 5, '泊滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511101394012', 1, '2021-07-19 11:47:51', NULL, NULL), (16141, '', '烽火村', '78fca40b75ea409ca81234f9e2663559', '8c56cfa35487460cabb4d5fd88615820', 'False', 'True', 'false', 'false', '511101394013', 5, '烽火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511101394013', 1, '2021-07-19 11:47:51', NULL, NULL), (16142, '', '官帽村', '116ed02b0e924316bef4550dc6d0d4b1', '8c56cfa35487460cabb4d5fd88615820', 'False', 'True', 'false', 'false', '511101394014', 5, '官帽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511101394014', 1, '2021-07-19 11:47:51', NULL, NULL), (16143, '', '安谷村', '6e0978f998f7430a92c74aeedb8a6c72', '8c56cfa35487460cabb4d5fd88615820', 'False', 'True', 'false', 'false', '511101394020', 5, '安谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511101394020', 1, '2021-07-19 11:47:51', NULL, NULL), (16144, '', '茶山社区', '8913d38e456c4876a0229abade670f01', '8c56cfa35487460cabb4d5fd88615820', 'False', 'True', 'false', 'false', '511101394052', 5, '茶山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511101394052', 1, '2021-07-19 11:47:51', NULL, NULL), (16145, '', '铜河社区', 'ac9cf7ccee8a4a4787647cfd6409648b', '8c56cfa35487460cabb4d5fd88615820', 'False', 'True', 'false', 'false', '511101394317', 5, '铜河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511101394317', 1, '2021-07-19 11:47:51', NULL, NULL), (16146, '', '洛都社区', 'f3d9624a7fa24b5bb2ede2f1df99dbbd', '8c56cfa35487460cabb4d5fd88615820', 'False', 'True', 'false', 'false', '511101394874', 5, '洛都社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511101394874', 1, '2021-07-19 11:47:51', NULL, NULL), (16147, '', '高山村', 'ea93b9e9559a49caa417629f67f1e74e', '8c56cfa35487460cabb4d5fd88615820', 'False', 'True', 'false', 'false', '511101394204', 5, '高山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511101394204', 1, '2021-07-19 11:47:51', NULL, NULL), (16148, '', '民和社区', '4672d25433274a858e8e3d6ed95cca6b', '8c56cfa35487460cabb4d5fd88615820', 'False', 'True', 'false', 'false', '511101394661', 5, '民和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511101394661', 1, '2021-07-19 11:47:51', NULL, NULL), (16149, '', '南充市', 'd9f01e465bbf4f06b12dda9480080f67', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '511300000000', 2, '南充市', 'ncs.sczwfw.gov.cn', 1, '2021-07-19 11:47:51', NULL, NULL), (16150, '', '顺庆区', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'd9f01e465bbf4f06b12dda9480080f67', 'True', 'True', 'false', 'false', '511302000000', 3, '顺庆区', 'ncssqq.sczwfw.gov.cn', 1, '2021-07-19 11:47:51', NULL, NULL), (16151, '', '渔溪镇', '0c63fa25ff8640f886f9b14ba18d9f2d', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'False', 'True', 'false', 'false', '511302960000', 4, '渔溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302960000', 1, '2021-07-19 11:47:51', NULL, NULL), (16152, '', '中城街道', 'ef8592805c6b4041aabf66e5248184c8', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'True', 'True', 'false', 'false', '511302001000', 4, '中城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302001000', 1, '2021-07-19 11:47:52', NULL, NULL), (16153, '', '平城街社区', 'dfc85028c3644ef5a152b98c561fd0c4', 'ef8592805c6b4041aabf66e5248184c8', 'False', 'True', 'false', 'false', '511302001001', 5, '平城街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302001001', 1, '2021-07-19 11:47:52', NULL, NULL), (16154, '', '医学街社区', '084a8e1e18484420b1d7019693abc7bb', 'ef8592805c6b4041aabf66e5248184c8', 'False', 'True', 'false', 'false', '511302001168', 5, '医学街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302001168', 1, '2021-07-19 11:47:52', NULL, NULL), (16155, '', '体育场社区', '68a9dda2948641088c61e95731b1532d', 'ef8592805c6b4041aabf66e5248184c8', 'False', 'True', 'false', 'false', '511302001205', 5, '体育场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302001205', 1, '2021-07-19 11:47:52', NULL, NULL), (16156, '', '稻香路社区', '5e4eb81ce7ac472cb56c99e2e83275b2', 'ef8592805c6b4041aabf66e5248184c8', 'False', 'True', 'false', 'false', '511302001522', 5, '稻香路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302001522', 1, '2021-07-19 11:47:52', NULL, NULL), (16157, '', '滨江社区', '6672091a5d6d4a16b8fa1238632a4f3a', 'ef8592805c6b4041aabf66e5248184c8', 'False', 'True', 'false', 'false', '511302001744', 5, '滨江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302001744', 1, '2021-07-19 11:47:52', NULL, NULL), (16158, '', '合众街社区', '93f7dfbc314d41198c83544f8575bbed', 'ef8592805c6b4041aabf66e5248184c8', 'False', 'True', 'false', 'false', '511302001878', 5, '合众街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302001878', 1, '2021-07-19 11:47:52', NULL, NULL), (16159, '', '北城街道', 'c9a45e2c567449e9b7fb0e7136422259', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'True', 'True', 'false', 'false', '511302002000', 4, '北城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302002000', 1, '2021-07-19 11:47:52', NULL, NULL), (16160, '', '胜利路社区', 'dad9a2a20e324e03abafec55ba8326a4', 'c9a45e2c567449e9b7fb0e7136422259', 'False', 'True', 'false', 'false', '511302002188', 5, '胜利路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302002188', 1, '2021-07-19 11:47:52', NULL, NULL), (16161, '', '金鱼岭社区', '97fd79060eef4e35831d5637c0ddc7c2', 'c9a45e2c567449e9b7fb0e7136422259', 'False', 'True', 'false', 'false', '511302002409', 5, '金鱼岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302002409', 1, '2021-07-19 11:47:52', NULL, NULL), (16162, '', '团结社区', '545875de1d0a46e699024922c5c3d4dd', 'c9a45e2c567449e9b7fb0e7136422259', 'False', 'True', 'false', 'false', '511302002483', 5, '团结社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302002483', 1, '2021-07-19 11:47:52', NULL, NULL), (16163, '', '延安路社区', '334708c327c740a98c162d85442713e1', 'c9a45e2c567449e9b7fb0e7136422259', 'False', 'True', 'false', 'false', '511302002602', 5, '延安路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302002602', 1, '2021-07-19 11:47:52', NULL, NULL), (16164, '', '龙吟路社区', '1251b366207e4c22839cada681a7b1de', 'c9a45e2c567449e9b7fb0e7136422259', 'False', 'True', 'false', 'false', '511302002723', 5, '龙吟路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302002723', 1, '2021-07-19 11:47:52', NULL, NULL), (16165, '', '五里店社区', '12bb8390c7ce41169888cb3b0e871484', 'c9a45e2c567449e9b7fb0e7136422259', 'False', 'True', 'false', 'false', '511302002739', 5, '五里店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302002739', 1, '2021-07-19 11:47:53', NULL, NULL), (16166, '', '长征路社区', '8143de46295947608bb1c9e4160689d4', 'c9a45e2c567449e9b7fb0e7136422259', 'False', 'True', 'false', 'false', '511302002995', 5, '长征路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302002995', 1, '2021-07-19 11:47:53', NULL, NULL), (16167, '', '西城街道', '23a81332133448aa8789a8311b1d23ab', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'True', 'True', 'false', 'false', '511302003000', 4, '西城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302003000', 1, '2021-07-19 11:47:53', NULL, NULL), (16168, '', '解放街社区', '58e5ca4f4434429da0d743cff3c60871', '23a81332133448aa8789a8311b1d23ab', 'False', 'True', 'false', 'false', '511302003116', 5, '解放街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302003116', 1, '2021-07-19 11:47:53', NULL, NULL), (16169, '', '大北街社区', '014c2a89d0a24163b6129c5b814ad850', '23a81332133448aa8789a8311b1d23ab', 'False', 'True', 'false', 'false', '511302003216', 5, '大北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302003216', 1, '2021-07-19 11:47:53', NULL, NULL), (16170, '', '红花街社区', 'a65e8075ed924eaa9db8c11f5034219b', '23a81332133448aa8789a8311b1d23ab', 'False', 'True', 'false', 'false', '511302003687', 5, '红花街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302003687', 1, '2021-07-19 11:47:53', NULL, NULL), (16171, '', '小西街社区', 'f98b986f33a144879764c2db2d0e8533', '23a81332133448aa8789a8311b1d23ab', 'False', 'True', 'false', 'false', '511302003723', 5, '小西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302003723', 1, '2021-07-19 11:47:53', NULL, NULL), (16172, '', '府苑社区', '5811fb3662e448c8b1bf9545c366a804', '23a81332133448aa8789a8311b1d23ab', 'False', 'True', 'false', 'false', '511302003734', 5, '府苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302003734', 1, '2021-07-19 11:47:53', NULL, NULL), (16173, '', '新生街社区', 'ed871d1d7f324aa8b1264bd70ea80cc0', '23a81332133448aa8789a8311b1d23ab', 'False', 'True', 'false', 'false', '511302003835', 5, '新生街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302003835', 1, '2021-07-19 11:47:53', NULL, NULL), (16174, '', '果山街社区', 'c8adac14cb95404ab42c1ab49094d00f', '23a81332133448aa8789a8311b1d23ab', 'False', 'True', 'false', 'false', '511302003867', 5, '果山街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302003867', 1, '2021-07-19 11:47:53', NULL, NULL), (16175, '', '东南街道', '0c85ba1700d44566b831825eca266b87', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'True', 'True', 'false', 'false', '511302004000', 4, '东南街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302004000', 1, '2021-07-19 11:47:53', NULL, NULL), (16176, '', '大西街社区', '01cefa30c3e24c088a75a50f4eb0816c', '0c85ba1700d44566b831825eca266b87', 'False', 'True', 'false', 'false', '511302004002', 5, '大西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302004002', 1, '2021-07-19 11:47:53', NULL, NULL), (16177, '', '下中坝社区', 'aa57efa43ead449bbccf84bcb01542a8', '0c85ba1700d44566b831825eca266b87', 'False', 'True', 'false', 'false', '511302004104', 5, '下中坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302004104', 1, '2021-07-19 11:47:53', NULL, NULL), (16178, '', '学院街社区', 'c26acedaf0984cd0bd92a7035caeee2d', '0c85ba1700d44566b831825eca266b87', 'False', 'True', 'false', 'false', '511302004182', 5, '学院街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302004182', 1, '2021-07-19 11:47:53', NULL, NULL), (16179, '', '文丰街社区', '0c5fd9246fd8413290ba8228e9456112', '0c85ba1700d44566b831825eca266b87', 'False', 'True', 'false', 'false', '511302004301', 5, '文丰街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302004301', 1, '2021-07-19 11:47:54', NULL, NULL), (16180, '', '桑园路社区', '2f064980341c4c448d74ffb639da485f', '0c85ba1700d44566b831825eca266b87', 'False', 'True', 'false', 'false', '511302004555', 5, '桑园路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302004555', 1, '2021-07-19 11:47:54', NULL, NULL), (16181, '', '西湖街社区', 'a0f4602e6a594b07835ffb099771601a', '0c85ba1700d44566b831825eca266b87', 'False', 'True', 'false', 'false', '511302004871', 5, '西湖街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302004871', 1, '2021-07-19 11:47:54', NULL, NULL), (16182, '', '南门坝社区', 'e9d5b8ec98d245618228ca4310d471b5', '0c85ba1700d44566b831825eca266b87', 'False', 'True', 'false', 'false', '511302004891', 5, '南门坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302004891', 1, '2021-07-19 11:47:54', NULL, NULL), (16183, '', '舞凤街道', 'c698c50bdcb6404e9166f1a7d302a428', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'True', 'True', 'false', 'false', '511302005000', 4, '舞凤街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302005000', 1, '2021-07-19 11:47:54', NULL, NULL), (16184, '', '鹞石子村', 'b0e11192f8b84f418c0228ff9aa35c2f', 'c698c50bdcb6404e9166f1a7d302a428', 'False', 'True', 'false', 'false', '511302005105', 5, '鹞石子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302005105', 1, '2021-07-19 11:47:54', NULL, NULL), (16185, '', '周家坝社区', 'c549988b35834fb1940240de9267de72', 'c698c50bdcb6404e9166f1a7d302a428', 'False', 'True', 'false', 'false', '511302005172', 5, '周家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302005172', 1, '2021-07-19 11:47:54', NULL, NULL), (16186, '', '镇江路社区', '1ab1e1becfe944c1ac1c7fc3ec8c4d46', 'c698c50bdcb6404e9166f1a7d302a428', 'False', 'True', 'false', 'false', '511302005206', 5, '镇江路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302005206', 1, '2021-07-19 11:47:54', NULL, NULL), (16187, '', '马市铺社区', '0734fddcc6b943868be2787eba450b3c', 'c698c50bdcb6404e9166f1a7d302a428', 'False', 'True', 'false', 'false', '511302005244', 5, '马市铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302005244', 1, '2021-07-19 11:47:54', NULL, NULL), (16188, '', '世纪城社区', '362110d26047470a9fb5cdd90459954f', 'c698c50bdcb6404e9166f1a7d302a428', 'False', 'True', 'false', 'false', '511302005356', 5, '世纪城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302005356', 1, '2021-07-19 11:47:54', NULL, NULL), (16189, '', '环都路社区', '86bda543018242a5b0f93bbc78eda9eb', 'c698c50bdcb6404e9166f1a7d302a428', 'False', 'True', 'false', 'false', '511302005559', 5, '环都路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302005559', 1, '2021-07-19 11:47:54', NULL, NULL), (16190, '', '石油路社区', '89f39e9d159e4310acb3f7830b8b8911', 'c698c50bdcb6404e9166f1a7d302a428', 'False', 'True', 'false', 'false', '511302005704', 5, '石油路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302005704', 1, '2021-07-19 11:47:54', NULL, NULL), (16191, '', '油院路社区', '63cc2a3e2e94424bbc2fdd2668632420', 'c698c50bdcb6404e9166f1a7d302a428', 'False', 'True', 'false', 'false', '511302005790', 5, '油院路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302005790', 1, '2021-07-19 11:47:54', NULL, NULL), (16192, '', '仁和社区', '83ebcc4c1d124d74aa08076fdfc3423f', 'c698c50bdcb6404e9166f1a7d302a428', 'False', 'True', 'false', 'false', '511302005814', 5, '仁和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302005814', 1, '2021-07-19 11:47:54', NULL, NULL), (16193, '', '将军路社区', 'ca66b93a347a4799887038b6f23f6e1e', 'c698c50bdcb6404e9166f1a7d302a428', 'False', 'True', 'false', 'false', '511302005837', 5, '将军路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302005837', 1, '2021-07-19 11:47:55', NULL, NULL), (16194, '', '燕儿窝社区', 'd430225eb6b341dc901e2699d3999227', 'c698c50bdcb6404e9166f1a7d302a428', 'False', 'True', 'false', 'false', '511302005853', 5, '燕儿窝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302005853', 1, '2021-07-19 11:47:55', NULL, NULL), (16195, '', '清泉寺社区', '033a98d37e8e41b2b8108aacd14790b8', 'c698c50bdcb6404e9166f1a7d302a428', 'False', 'True', 'false', 'false', '511302005953', 5, '清泉寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302005953', 1, '2021-07-19 11:47:55', NULL, NULL), (16196, '', '新建街道', 'fa76b0fefae246a9941cb751bf9aa934', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'True', 'True', 'false', 'false', '511302006000', 4, '新建街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302006000', 1, '2021-07-19 11:47:55', NULL, NULL), (16197, '', '玉带路社区', '672d09519e8149deb7b2684e7577a5e4', 'fa76b0fefae246a9941cb751bf9aa934', 'False', 'True', 'false', 'false', '511302006222', 5, '玉带路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302006222', 1, '2021-07-19 11:47:55', NULL, NULL), (16198, '', '镇泰路社区', '9ab21daad54a4c3da07cb33a93daf44f', 'fa76b0fefae246a9941cb751bf9aa934', 'False', 'True', 'false', 'false', '511302006418', 5, '镇泰路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302006418', 1, '2021-07-19 11:47:55', NULL, NULL), (16199, '', '柳林路社区', 'abbb0a6367cf4f6e9190cd9d530318b5', 'fa76b0fefae246a9941cb751bf9aa934', 'False', 'True', 'false', 'false', '511302006454', 5, '柳林路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302006454', 1, '2021-07-19 11:47:55', NULL, NULL), (16200, '', '金泉社区', 'a9451f5731204c1d85d0abfada98ec9e', 'fa76b0fefae246a9941cb751bf9aa934', 'False', 'True', 'false', 'false', '511302006855', 5, '金泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302006855', 1, '2021-07-19 11:47:55', NULL, NULL), (16201, '', '西河社区', '2cd5b55282bd4b7b986bc8e560593d4a', 'fa76b0fefae246a9941cb751bf9aa934', 'False', 'True', 'false', 'false', '511302006956', 5, '西河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302006956', 1, '2021-07-19 11:47:55', NULL, NULL), (16202, '', '华凤街道', 'ee81f396d90b47449aeeac59735d890e', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'True', 'True', 'false', 'false', '511302007000', 4, '华凤街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302007000', 1, '2021-07-19 11:47:55', NULL, NULL), (16203, '', '张关垭村', '84b710f33a3d411f82a694150241eb67', 'ee81f396d90b47449aeeac59735d890e', 'False', 'True', 'false', 'false', '511302007111', 5, '张关垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302007111', 1, '2021-07-19 11:47:55', NULL, NULL), (16204, '', '照壁沟村', '02584c4ff83842479630df1f116f567f', 'ee81f396d90b47449aeeac59735d890e', 'False', 'True', 'false', 'false', '511302007195', 5, '照壁沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302007195', 1, '2021-07-19 11:47:55', NULL, NULL), (16205, '', '王家沟村', '664ec7f2251e4279beec0c6e6a675e6f', 'ee81f396d90b47449aeeac59735d890e', 'False', 'True', 'false', 'false', '511302007252', 5, '王家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302007252', 1, '2021-07-19 11:47:55', NULL, NULL), (16206, '', '江家山村', '1b09ac824e334f8590da93d8dfa8b051', 'ee81f396d90b47449aeeac59735d890e', 'False', 'True', 'false', 'false', '511302007359', 5, '江家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302007359', 1, '2021-07-19 11:47:55', NULL, NULL), (16207, '', '磨响滩村', 'e1071672a1c74962a176a25dfc8eea1b', 'ee81f396d90b47449aeeac59735d890e', 'False', 'True', 'false', 'false', '511302007378', 5, '磨响滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302007378', 1, '2021-07-19 11:47:55', NULL, NULL), (16208, '', '杜家嘴社区', '21fd33bd609446d18571af4eccf28393', 'ee81f396d90b47449aeeac59735d890e', 'False', 'True', 'false', 'false', '511302007495', 5, '杜家嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302007495', 1, '2021-07-19 11:47:56', NULL, NULL), (16209, '', '白土坝社区', '89f62c5c2ccf46a39557d0ecad7e78b6', 'ee81f396d90b47449aeeac59735d890e', 'False', 'True', 'false', 'false', '511302007612', 5, '白土坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302007612', 1, '2021-07-19 11:47:56', NULL, NULL), (16210, '', '潆华路社区', 'b7eb50501ad64943bdf5d3b839008bd1', 'ee81f396d90b47449aeeac59735d890e', 'False', 'True', 'false', 'false', '511302007641', 5, '潆华路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302007641', 1, '2021-07-19 11:47:56', NULL, NULL), (16211, '', '滑滩河村', 'e6c7817b983048839ee9243e15193520', 'ee81f396d90b47449aeeac59735d890e', 'False', 'True', 'false', 'false', '511302007670', 5, '滑滩河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302007670', 1, '2021-07-19 11:47:56', NULL, NULL), (16212, '', '何家观社区', '44b5878a79454a668d38a5136ef17574', 'ee81f396d90b47449aeeac59735d890e', 'False', 'True', 'false', 'false', '511302007718', 5, '何家观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302007718', 1, '2021-07-19 11:47:56', NULL, NULL), (16213, '', '胡家沟村', '7ef61e2ae1a54b7398cc7fbe2e2316f8', 'ee81f396d90b47449aeeac59735d890e', 'False', 'True', 'false', 'false', '511302007968', 5, '胡家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302007968', 1, '2021-07-19 11:47:56', NULL, NULL), (16214, '', '和平路街道', '820a746054d1417c915bf3e466294564', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'True', 'True', 'false', 'false', '511302008000', 4, '和平路街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302008000', 1, '2021-07-19 11:47:56', NULL, NULL), (16215, '', '花园坝社区', '3c5c52af0b9545e4bbafbd41ea552fa9', '820a746054d1417c915bf3e466294564', 'False', 'True', 'false', 'false', '511302008124', 5, '花园坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302008124', 1, '2021-07-19 11:47:56', NULL, NULL), (16216, '', '驻春路社区', '74da4035caaa4a4eb1e75ebe8af5974f', '820a746054d1417c915bf3e466294564', 'False', 'True', 'false', 'false', '511302008347', 5, '驻春路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302008347', 1, '2021-07-19 11:47:56', NULL, NULL), (16217, '', '铁欣路社区', '70e2c4556e6740a5bd8fdb27632e4e31', '820a746054d1417c915bf3e466294564', 'False', 'True', 'false', 'false', '511302008445', 5, '铁欣路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302008445', 1, '2021-07-19 11:47:56', NULL, NULL), (16218, '', '舞凤山社区', '0404a1b48c7f4f4685c8cfded20d74c5', '820a746054d1417c915bf3e466294564', 'False', 'True', 'false', 'false', '511302008892', 5, '舞凤山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302008892', 1, '2021-07-19 11:47:56', NULL, NULL), (16219, '', '北湖路社区', '8f6282b4a4e44a1d816805b9be2d0dc4', '820a746054d1417c915bf3e466294564', 'False', 'True', 'false', 'false', '511302008943', 5, '北湖路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302008943', 1, '2021-07-19 11:47:56', NULL, NULL), (16220, '', '潆溪街道', '2398b308039d48149f3831a722f54612', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'True', 'True', 'false', 'false', '511302009000', 4, '潆溪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302009000', 1, '2021-07-19 11:47:57', NULL, NULL), (16221, '', '混元观村', 'e1b2ebdc544844f89100c3ddee89dd73', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009109', 5, '混元观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009109', 1, '2021-07-19 11:47:57', NULL, NULL), (16222, '', '来龙社区', '82a34b3de8d04d46a1bfd874daecfe7c', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009136', 5, '来龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009136', 1, '2021-07-19 11:47:57', NULL, NULL), (16223, '', '青龙社区', 'af42c25f687146779269e1a99a6afa07', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009181', 5, '青龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009181', 1, '2021-07-19 11:47:57', NULL, NULL), (16224, '', '赵家沟村', '5abe17b5c66548c486f19b793fcb7932', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009203', 5, '赵家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009203', 1, '2021-07-19 11:47:57', NULL, NULL), (16225, '', '乱山沟村', 'a1c32e87d0654560828903c7c0cad291', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009234', 5, '乱山沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009234', 1, '2021-07-19 11:47:57', NULL, NULL), (16226, '', '杜家庙村', '6ce0cd285a1748b582f99c31031e58e9', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009240', 5, '杜家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009240', 1, '2021-07-19 11:47:57', NULL, NULL), (16227, '', '磨子石村', '52778c56638942c698d5c186f6fba939', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009245', 5, '磨子石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009245', 1, '2021-07-19 11:47:57', NULL, NULL), (16228, '', '窖卦山村', 'cd5f9116a3ea41f2809edb2f2f14c81b', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009246', 5, '窖卦山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009246', 1, '2021-07-19 11:47:57', NULL, NULL), (16229, '', '碾子湾村', '562068e4d564490c8ac484d6b7e76b7d', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009307', 5, '碾子湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009307', 1, '2021-07-19 11:47:57', NULL, NULL), (16230, '', '职教城社区', '8e12a8fed0d546ee970a7e26947b95b5', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009317', 5, '职教城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009317', 1, '2021-07-19 11:47:57', NULL, NULL), (16231, '', '伍家店村', 'b74beb3841734fe496c09edb2a6e787e', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009323', 5, '伍家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009323', 1, '2021-07-19 11:47:58', NULL, NULL), (16232, '', '鱼池寺村', '4302954930d9406ebc6b7180412a29c9', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009362', 5, '鱼池寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009362', 1, '2021-07-19 11:47:58', NULL, NULL), (16233, '', '灶君庙村', '9c4be54db8d54fe18adb01e1664b52c0', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009368', 5, '灶君庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009368', 1, '2021-07-19 11:47:58', NULL, NULL), (16234, '', '杨家桥村', '8c2d462f30b948f995e1f2f51b36fa70', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009460', 5, '杨家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009460', 1, '2021-07-19 11:47:58', NULL, NULL), (16235, '', '新立社区', '919899d7a98844a1912e99c7a764273b', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009490', 5, '新立社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009490', 1, '2021-07-19 11:47:58', NULL, NULL), (16236, '', '方水井村', '46fc89846a1c4c8f90a4ad798cb8b13e', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009521', 5, '方水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009521', 1, '2021-07-19 11:47:58', NULL, NULL), (16237, '', '元蹬子村', 'baf3e159b4534395a1494f7844af9d62', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009543', 5, '元蹬子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009543', 1, '2021-07-19 11:47:58', NULL, NULL), (16238, '', '余家坝村', '75d555051e8841549fcf83f63a1341ad', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009580', 5, '余家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009580', 1, '2021-07-19 11:47:58', NULL, NULL), (16239, '', '冯家寺村', '2a0c7bf0361449709522cb371cd1c323', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009595', 5, '冯家寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009595', 1, '2021-07-19 11:47:58', NULL, NULL), (16240, '', '长兴社区', 'c701a72e2e654da6ac3482d33d86826d', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009715', 5, '长兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009715', 1, '2021-07-19 11:47:58', NULL, NULL), (16241, '', '同兴社区', 'e6e8b58ec9484625ac065981cff93326', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009730', 5, '同兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009730', 1, '2021-07-19 11:47:58', NULL, NULL), (16242, '', '石燕子村', 'ef2a7e1dbb584ea88c15f4cdf38dcc41', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009769', 5, '石燕子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009769', 1, '2021-07-19 11:47:58', NULL, NULL), (16243, '', '大坪山村', '26bc62a8368542579e70f53b98904453', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009824', 5, '大坪山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009824', 1, '2021-07-19 11:47:59', NULL, NULL), (16244, '', '双庙子村', '5738404fe56d438083cc3f7127a6b74a', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009831', 5, '双庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009831', 1, '2021-07-19 11:47:59', NULL, NULL), (16245, '', '梅树沟村', '319c02e590644b0b93e90e6fa318a26d', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009866', 5, '梅树沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009866', 1, '2021-07-19 11:47:59', NULL, NULL), (16246, '', '板凳垭村', '64d8f9ce29284a97a7ab61825de6362e', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009870', 5, '板凳垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009870', 1, '2021-07-19 11:47:59', NULL, NULL), (16247, '', '弯柏树村', '84ce4763c02048e58566677acaf8c064', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009872', 5, '弯柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009872', 1, '2021-07-19 11:47:59', NULL, NULL), (16248, '', '群乐社区', '66ccccb6f7344620b2c72b283c25e1f0', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009906', 5, '群乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009906', 1, '2021-07-19 11:47:59', NULL, NULL), (16249, '', '大堰坎村', '68f85f27ff0b44c18e681765f390c93a', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009913', 5, '大堰坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009913', 1, '2021-07-19 11:47:59', NULL, NULL), (16250, '', '寺山岭村', 'c6240233f41c44b0be0555872cb4f16f', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009922', 5, '寺山岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009922', 1, '2021-07-19 11:47:59', NULL, NULL), (16251, '', '同德社区', 'ef77fa2fc0cd451b84f444d08cc57dfc', '2398b308039d48149f3831a722f54612', 'False', 'True', 'false', 'false', '511302009973', 5, '同德社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302009973', 1, '2021-07-19 11:47:59', NULL, NULL), (16252, '', '荆溪街道', 'eb63cdbf43ad4009a8d5f5bcc4a9eca8', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'True', 'True', 'false', 'false', '511302010000', 4, '荆溪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302010000', 1, '2021-07-19 11:47:59', NULL, NULL), (16253, '', '观音慈社区', '34f68f0ecdcf4c25a023196fb1b9238f', 'eb63cdbf43ad4009a8d5f5bcc4a9eca8', 'False', 'True', 'false', 'false', '511302010116', 5, '观音慈社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302010116', 1, '2021-07-19 11:47:59', NULL, NULL), (16254, '', '文昌宫社区', '8e4fc696059b43ea804732f69072d334', 'eb63cdbf43ad4009a8d5f5bcc4a9eca8', 'False', 'True', 'false', 'false', '511302010141', 5, '文昌宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302010141', 1, '2021-07-19 11:48:00', NULL, NULL), (16255, '', '冒水堰村', 'ac2b69d2cbc643cda51d99319211136e', 'eb63cdbf43ad4009a8d5f5bcc4a9eca8', 'False', 'True', 'false', 'false', '511302010228', 5, '冒水堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302010228', 1, '2021-07-19 11:48:00', NULL, NULL), (16256, '', '凉伞树村', '13bd56257c2a4d5db966824ccd6aa61a', 'eb63cdbf43ad4009a8d5f5bcc4a9eca8', 'False', 'True', 'false', 'false', '511302010354', 5, '凉伞树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302010354', 1, '2021-07-19 11:48:00', NULL, NULL), (16257, '', '屈家庙村', '8c5f2ef5bc36401ca7d6631a8619f4af', 'eb63cdbf43ad4009a8d5f5bcc4a9eca8', 'False', 'True', 'false', 'false', '511302010355', 5, '屈家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302010355', 1, '2021-07-19 11:48:00', NULL, NULL), (16258, '', '桑洲社区', 'df6628750ac64afb974c833bda715309', 'eb63cdbf43ad4009a8d5f5bcc4a9eca8', 'False', 'True', 'false', 'false', '511302010370', 5, '桑洲社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302010370', 1, '2021-07-19 11:48:00', NULL, NULL), (16259, '', '道子沟村', '0781d2ad81964517aaf776684b75cac2', 'eb63cdbf43ad4009a8d5f5bcc4a9eca8', 'False', 'True', 'false', 'false', '511302010469', 5, '道子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302010469', 1, '2021-07-19 11:48:00', NULL, NULL), (16260, '', '花厂社区', 'b4fd9771321940b18d15d3ff69a5c071', 'eb63cdbf43ad4009a8d5f5bcc4a9eca8', 'False', 'True', 'false', 'false', '511302010621', 5, '花厂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302010621', 1, '2021-07-19 11:48:00', NULL, NULL), (16261, '', '坛罐窖村', 'fe3acfea78b4463a8059befe4fd7fb2e', 'eb63cdbf43ad4009a8d5f5bcc4a9eca8', 'False', 'True', 'false', 'false', '511302010706', 5, '坛罐窖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302010706', 1, '2021-07-19 11:48:00', NULL, NULL), (16262, '', '荆苑社区', '9c09fad46e264e78a135c24736b2c11a', 'eb63cdbf43ad4009a8d5f5bcc4a9eca8', 'False', 'True', 'false', 'false', '511302010814', 5, '荆苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302010814', 1, '2021-07-19 11:48:00', NULL, NULL), (16263, '', '新城社区', '97a3defe92ad48d5a860673082191320', 'eb63cdbf43ad4009a8d5f5bcc4a9eca8', 'False', 'True', 'false', 'false', '511302010984', 5, '新城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302010984', 1, '2021-07-19 11:48:00', NULL, NULL), (16264, '', '西山街道', 'b63b6f0fa873409fab5dbb745d0c43b4', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'True', 'True', 'false', 'false', '511302011000', 4, '西山街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302011000', 1, '2021-07-19 11:48:00', NULL, NULL), (16265, '', '栖乐垭村', 'd750ccd0d224453ea82a28a2f2498155', 'b63b6f0fa873409fab5dbb745d0c43b4', 'False', 'True', 'false', 'false', '511302011537', 5, '栖乐垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302011537', 1, '2021-07-19 11:48:00', NULL, NULL), (16266, '', '父子桥村', 'bd3146d7cf314e6882b570f281c5381c', 'b63b6f0fa873409fab5dbb745d0c43b4', 'False', 'True', 'false', 'false', '511302011603', 5, '父子桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302011603', 1, '2021-07-19 11:48:00', NULL, NULL), (16267, '', '牌坊湾村', 'dc2235e5c44c403da9841a46cd1c8dc7', 'b63b6f0fa873409fab5dbb745d0c43b4', 'False', 'True', 'false', 'false', '511302011694', 5, '牌坊湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302011694', 1, '2021-07-19 11:48:01', NULL, NULL), (16268, '', '兵马堂社区', 'd24364c82e264d069c68d49800f4074c', 'b63b6f0fa873409fab5dbb745d0c43b4', 'False', 'True', 'false', 'false', '511302011732', 5, '兵马堂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302011732', 1, '2021-07-19 11:48:01', NULL, NULL), (16269, '', '伍家垭社区', '8fb8d012636241649ddf094cfb8c99e9', 'b63b6f0fa873409fab5dbb745d0c43b4', 'False', 'True', 'false', 'false', '511302011978', 5, '伍家垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302011978', 1, '2021-07-19 11:48:01', NULL, NULL), (16270, '', '共兴镇', '4d30c05bb911460cb374e26788279f39', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'True', 'True', 'false', 'false', '511302104000', 4, '共兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302104000', 1, '2021-07-19 11:48:01', NULL, NULL), (16271, '', '石滚坝村', '63a2a82ea0964ea8a95894f1aa49a89f', '4d30c05bb911460cb374e26788279f39', 'False', 'False', 'false', 'false', '511302104212', 5, '石滚坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302104212', 1, '2021-07-19 11:48:01', NULL, NULL), (16272, '', '棕树沟村', '8dd3f31e38824bc89507729b8564cb88', '4d30c05bb911460cb374e26788279f39', 'False', 'False', 'false', 'false', '511302104337', 5, '棕树沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302104337', 1, '2021-07-19 11:48:01', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (16273, '', '大营坝村', '4829cf4618df4e95b5e695a80573004c', '4d30c05bb911460cb374e26788279f39', 'False', 'False', 'false', 'false', '511302104404', 5, '大营坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302104404', 1, '2021-07-19 11:48:01', NULL, NULL), (16274, '', '龙角寨村', '5b0f7e9ab05947faad1a0e10ea6c54c5', '4d30c05bb911460cb374e26788279f39', 'False', 'False', 'false', 'false', '511302104482', 5, '龙角寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302104482', 1, '2021-07-19 11:48:01', NULL, NULL), (16275, '', '石元坝村', '7ebd3e4fb3dd41d998c2241ec4eb37c3', '4d30c05bb911460cb374e26788279f39', 'False', 'False', 'false', 'false', '511302104521', 5, '石元坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302104521', 1, '2021-07-19 11:48:01', NULL, NULL), (16276, '', '黄莲嘴村', '9d576a11cef149d9ab18a9b6448bd627', '4d30c05bb911460cb374e26788279f39', 'False', 'False', 'false', 'false', '511302104522', 5, '黄莲嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302104522', 1, '2021-07-19 11:48:01', NULL, NULL), (16277, '', '金称沟村', '1dd8f0144a0f497db78f667c5d1d5d7d', '4d30c05bb911460cb374e26788279f39', 'False', 'False', 'false', 'false', '511302104562', 5, '金称沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302104562', 1, '2021-07-19 11:48:01', NULL, NULL), (16278, '', '阳公庙村', 'd759e54f9683483c9c39d504633ab654', '4d30c05bb911460cb374e26788279f39', 'False', 'False', 'false', 'false', '511302104593', 5, '阳公庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302104593', 1, '2021-07-19 11:48:02', NULL, NULL), (16279, '', '泉水沟村', 'd16b49d689e74326bd386ce2adb06b75', '4d30c05bb911460cb374e26788279f39', 'False', 'False', 'false', 'false', '511302104605', 5, '泉水沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302104605', 1, '2021-07-19 11:48:02', NULL, NULL), (16280, '', '滥泥沟村', '5b99e470e9a34ebab234259dd1c54e53', '4d30c05bb911460cb374e26788279f39', 'False', 'False', 'false', 'false', '511302104761', 5, '滥泥沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302104761', 1, '2021-07-19 11:48:02', NULL, NULL), (16281, '', '麻石沟村', 'da1e46a6e548456d9b7f032ce7081df4', '4d30c05bb911460cb374e26788279f39', 'False', 'False', 'false', 'false', '511302104825', 5, '麻石沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302104825', 1, '2021-07-19 11:48:02', NULL, NULL), (16282, '', '五洞桥村', 'e1fcf911752846a2b712b4ccde05ca0f', '4d30c05bb911460cb374e26788279f39', 'False', 'False', 'false', 'false', '511302104848', 5, '五洞桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302104848', 1, '2021-07-19 11:48:02', NULL, NULL), (16283, '', '七里沟村', '9695b20b8b864d5c983505979f72c550', '4d30c05bb911460cb374e26788279f39', 'False', 'False', 'false', 'false', '511302104946', 5, '七里沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302104946', 1, '2021-07-19 11:48:02', NULL, NULL), (16284, '', '东岳庙村', '27758c9552cd4be4ad716d50eb4826b7', '4d30c05bb911460cb374e26788279f39', 'False', 'False', 'false', 'false', '511302104970', 5, '东岳庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302104970', 1, '2021-07-19 11:48:02', NULL, NULL), (16285, '', '自生桥村', '3e27a66c6fca44bf95414a0906c211ef', '4d30c05bb911460cb374e26788279f39', 'False', 'False', 'false', 'false', '511302104989', 5, '自生桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302104989', 1, '2021-07-19 11:48:02', NULL, NULL), (16286, '', '金台镇', 'e5a26b03e60947fa8718f2e0aea51e48', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'True', 'True', 'false', 'false', '511302105000', 4, '金台镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302105000', 1, '2021-07-19 11:48:02', NULL, NULL), (16287, '', '打石厂村', '9d4c92658ef14fc98bd8d623d2d1525c', 'e5a26b03e60947fa8718f2e0aea51e48', 'False', 'False', 'false', 'false', '511302105202', 5, '打石厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302105202', 1, '2021-07-19 11:48:02', NULL, NULL), (16288, '', '金寺院村', '6a8a82315c674fefaf167fce71e8d62c', 'e5a26b03e60947fa8718f2e0aea51e48', 'False', 'False', 'false', 'false', '511302105498', 5, '金寺院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302105498', 1, '2021-07-19 11:48:02', NULL, NULL), (16289, '', '土垭村', '945d20fff5e943d28950823a3724b2e8', 'e5a26b03e60947fa8718f2e0aea51e48', 'False', 'False', 'false', 'false', '511302105518', 5, '土垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302105518', 1, '2021-07-19 11:48:03', NULL, NULL), (16290, '', '董家院村', 'a932a727b93e4bf38f0869fe9bebecba', 'e5a26b03e60947fa8718f2e0aea51e48', 'False', 'False', 'false', 'false', '511302105569', 5, '董家院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302105569', 1, '2021-07-19 11:48:03', NULL, NULL), (16291, '', '肖家庙村', '0af011ee910b4a2ab46f9798168a524e', 'e5a26b03e60947fa8718f2e0aea51e48', 'False', 'False', 'false', 'false', '511302105933', 5, '肖家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302105933', 1, '2021-07-19 11:48:03', NULL, NULL), (16292, '', '万佛桥村', '2e06d029d7fd4893b67cbc84fce186d8', 'e5a26b03e60947fa8718f2e0aea51e48', 'False', 'False', 'false', 'false', '511302105958', 5, '万佛桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302105958', 1, '2021-07-19 11:48:03', NULL, NULL), (16293, '', '梨子园村', 'ca4ee9269c674d69a5c68fab4d0e2f5a', 'e5a26b03e60947fa8718f2e0aea51e48', 'False', 'False', 'false', 'false', '511302105964', 5, '梨子园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302105964', 1, '2021-07-19 11:48:03', NULL, NULL), (16294, '', '蒙承宫村', '2925920568b24aa7b1fefd7f053bc570', 'e5a26b03e60947fa8718f2e0aea51e48', 'False', 'False', 'false', 'false', '511302105986', 5, '蒙承宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302105986', 1, '2021-07-19 11:48:03', NULL, NULL), (16295, '', '包包田村', 'e524fde3a62d4ef5afcb541de0fac28a', 'e5a26b03e60947fa8718f2e0aea51e48', 'False', 'False', 'false', 'false', '511302105994', 5, '包包田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302105994', 1, '2021-07-19 11:48:03', NULL, NULL), (16296, '', '芦溪镇', '5befdcde7e974f2aac5e4c9a728b7572', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'True', 'True', 'false', 'false', '511302106000', 4, '芦溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302106000', 1, '2021-07-19 11:48:03', NULL, NULL), (16297, '', '李家祠村', 'ed39bfbcad2e45bf894d4010eabc1505', '5befdcde7e974f2aac5e4c9a728b7572', 'False', 'False', 'false', 'false', '511302106258', 5, '李家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302106258', 1, '2021-07-19 11:48:03', NULL, NULL), (16298, '', '坪罗坝社区', '03b51d4aab244bf18fff3d3f403eb7be', '5befdcde7e974f2aac5e4c9a728b7572', 'False', 'False', 'false', 'false', '511302106373', 5, '坪罗坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302106373', 1, '2021-07-19 11:48:03', NULL, NULL), (16299, '', '曾家祠村', '774f312ea4e4423782a5df25e9716dd1', '5befdcde7e974f2aac5e4c9a728b7572', 'False', 'False', 'false', 'false', '511302106395', 5, '曾家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302106395', 1, '2021-07-19 11:48:03', NULL, NULL), (16300, '', '大岔山村', 'f84e41f39d2c4b9c80d1bc77fe055c06', '5befdcde7e974f2aac5e4c9a728b7572', 'False', 'False', 'false', 'false', '511302106415', 5, '大岔山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302106415', 1, '2021-07-19 11:48:03', NULL, NULL), (16301, '', '董家沟村', 'bc1b91874ef640fa8543a25913b64a4e', '5befdcde7e974f2aac5e4c9a728b7572', 'False', 'False', 'false', 'false', '511302106435', 5, '董家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302106435', 1, '2021-07-19 11:48:03', NULL, NULL), (16302, '', '猫儿沟村', '29f6fd9f70964f5db5e2240d63ce0904', '5befdcde7e974f2aac5e4c9a728b7572', 'False', 'False', 'false', 'false', '511302106511', 5, '猫儿沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302106511', 1, '2021-07-19 11:48:04', NULL, NULL), (16303, '', '坪房子村', '704ec59d2aa04647976add29cebf6574', '5befdcde7e974f2aac5e4c9a728b7572', 'False', 'False', 'false', 'false', '511302106625', 5, '坪房子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302106625', 1, '2021-07-19 11:48:04', NULL, NULL), (16304, '', '张家沟村', '090a30e3c7c24a2d9c314e3f1a2a3ea5', '5befdcde7e974f2aac5e4c9a728b7572', 'False', 'False', 'false', 'false', '511302106634', 5, '张家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302106634', 1, '2021-07-19 11:48:04', NULL, NULL), (16305, '', '顾家店村', '9796d00848084fd4ae190d2acf56e202', '5befdcde7e974f2aac5e4c9a728b7572', 'False', 'False', 'false', 'false', '511302106690', 5, '顾家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302106690', 1, '2021-07-19 11:48:04', NULL, NULL), (16306, '', '雍家沟村', '41bcdbd2c025477b96a48983619cbef7', '5befdcde7e974f2aac5e4c9a728b7572', 'False', 'False', 'false', 'false', '511302106720', 5, '雍家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302106720', 1, '2021-07-19 11:48:04', NULL, NULL), (16307, '', '袁家店村', 'b36261c74ee644fab4fbb896890c77d4', '5befdcde7e974f2aac5e4c9a728b7572', 'False', 'False', 'false', 'false', '511302106817', 5, '袁家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302106817', 1, '2021-07-19 11:48:04', NULL, NULL), (16308, '', '老垛寺村', '0553d955a5f942f49bba0aabbfa0bd58', '5befdcde7e974f2aac5e4c9a728b7572', 'False', 'False', 'false', 'false', '511302106874', 5, '老垛寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302106874', 1, '2021-07-19 11:48:04', NULL, NULL), (16309, '', '徐家桥村', '5852b0cdafad460f9be3a5a12e2fd062', '5befdcde7e974f2aac5e4c9a728b7572', 'False', 'False', 'false', 'false', '511302106898', 5, '徐家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302106898', 1, '2021-07-19 11:48:04', NULL, NULL), (16310, '', '兴阳山村', 'acf1c361be5245959d93e5eebc17bb21', '5befdcde7e974f2aac5e4c9a728b7572', 'False', 'False', 'false', 'false', '511302106911', 5, '兴阳山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302106911', 1, '2021-07-19 11:48:04', NULL, NULL), (16311, '', '李家镇', 'ed01332ef50c4ee891419ecb4223a6fc', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'True', 'True', 'false', 'false', '511302107000', 4, '李家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302107000', 1, '2021-07-19 11:48:04', NULL, NULL), (16312, '', '金环井村', '776d57147e6d41c18f52a575c953a10b', 'ed01332ef50c4ee891419ecb4223a6fc', 'False', 'True', 'false', 'false', '511302107136', 5, '金环井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302107136', 1, '2021-07-19 11:48:05', NULL, NULL), (16313, '', '野猪沟村', 'b56e87cbbdba4e2b9109fb1b18a89975', 'ed01332ef50c4ee891419ecb4223a6fc', 'False', 'True', 'false', 'false', '511302107161', 5, '野猪沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302107161', 1, '2021-07-19 11:48:05', NULL, NULL), (16314, '', '高家沟村', '3c5a3bea100042a2a3eb35169ba6b9be', 'ed01332ef50c4ee891419ecb4223a6fc', 'False', 'True', 'false', 'false', '511302107199', 5, '高家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302107199', 1, '2021-07-19 11:48:05', NULL, NULL), (16315, '', '檬子沟村', '9ea1ff60d51f4e9e9621eddd80161f81', 'ed01332ef50c4ee891419ecb4223a6fc', 'False', 'True', 'false', 'false', '511302107339', 5, '檬子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302107339', 1, '2021-07-19 11:48:05', NULL, NULL), (16316, '', '杨柳湾村', '7b10ac0d4fbf4c1882969c11b996d4ea', 'ed01332ef50c4ee891419ecb4223a6fc', 'False', 'True', 'false', 'false', '511302107436', 5, '杨柳湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302107436', 1, '2021-07-19 11:48:05', NULL, NULL), (16317, '', '雅雀沟村', 'ea40cce8fd954c0f9ddc3cb51994696a', 'ed01332ef50c4ee891419ecb4223a6fc', 'False', 'True', 'false', 'false', '511302107444', 5, '雅雀沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302107444', 1, '2021-07-19 11:48:05', NULL, NULL), (16318, '', '水观音村', '84c64a1bca4d43d5b90a1bd77d50466e', 'ed01332ef50c4ee891419ecb4223a6fc', 'False', 'True', 'false', 'false', '511302107481', 5, '水观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302107481', 1, '2021-07-19 11:48:05', NULL, NULL), (16319, '', '庞家庵村', '96c27439fd9f4ecea6ed5f583f5c3ac3', 'ed01332ef50c4ee891419ecb4223a6fc', 'False', 'True', 'false', 'false', '511302107587', 5, '庞家庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302107587', 1, '2021-07-19 11:48:05', NULL, NULL), (16320, '', '李家村', 'f851b1d7679645dd9191d450f8196c5c', 'ed01332ef50c4ee891419ecb4223a6fc', 'False', 'True', 'false', 'false', '511302107615', 5, '李家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302107615', 1, '2021-07-19 11:48:05', NULL, NULL), (16321, '', '郑家坝村', '81092af2b8ac4967a25d0bcb3fa46b22', 'ed01332ef50c4ee891419ecb4223a6fc', 'False', 'True', 'false', 'false', '511302107657', 5, '郑家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302107657', 1, '2021-07-19 11:48:05', NULL, NULL), (16322, '', '指路碑村', 'b8e8b8c793d049eaacf0afec265d89d9', 'ed01332ef50c4ee891419ecb4223a6fc', 'False', 'True', 'false', 'false', '511302107738', 5, '指路碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302107738', 1, '2021-07-19 11:48:05', NULL, NULL), (16323, '', '三金庙村', '04fa69c14ed44c04a0adead3ea6c1971', 'ed01332ef50c4ee891419ecb4223a6fc', 'False', 'True', 'false', 'false', '511302107742', 5, '三金庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302107742', 1, '2021-07-19 11:48:06', NULL, NULL), (16324, '', '万家沟村', '92ee71d518924d658421a7bb9ad4e1f1', 'ed01332ef50c4ee891419ecb4223a6fc', 'False', 'True', 'false', 'false', '511302107864', 5, '万家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302107864', 1, '2021-07-19 11:48:06', NULL, NULL), (16325, '', '李家社区', '418b1dae3378481fb92123c42e30880c', 'ed01332ef50c4ee891419ecb4223a6fc', 'False', 'True', 'false', 'false', '511302107869', 5, '李家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302107869', 1, '2021-07-19 11:48:06', NULL, NULL), (16326, '', '郑家沟村', 'd2f2cb1cffbd4901a41b2b41365a81be', 'ed01332ef50c4ee891419ecb4223a6fc', 'False', 'True', 'false', 'false', '511302107890', 5, '郑家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302107890', 1, '2021-07-19 11:48:06', NULL, NULL), (16327, '', '回龙沟村', '75ebcbf22b3c474eb59b7a5848f42e5b', 'ed01332ef50c4ee891419ecb4223a6fc', 'False', 'True', 'false', 'false', '511302107935', 5, '回龙沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302107935', 1, '2021-07-19 11:48:06', NULL, NULL), (16328, '', '岳家沟村', '15a2160cde234042b8c0e53895a8c359', 'ed01332ef50c4ee891419ecb4223a6fc', 'False', 'True', 'false', 'false', '511302107968', 5, '岳家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302107968', 1, '2021-07-19 11:48:06', NULL, NULL), (16329, '', '双桥镇', 'af3d3c412b6b4adea025fd0bd457b625', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'True', 'True', 'false', 'false', '511302108000', 4, '双桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302108000', 1, '2021-07-19 11:48:06', NULL, NULL), (16330, '', '官二沟村', '5d87293ab91d4dcf81c8ee7c3178bb92', 'af3d3c412b6b4adea025fd0bd457b625', 'False', 'False', 'false', 'false', '511302108323', 5, '官二沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302108323', 1, '2021-07-19 11:48:06', NULL, NULL), (16331, '', '大磨湾村', '7e2b4351f39d48149029695440497e5c', 'af3d3c412b6b4adea025fd0bd457b625', 'False', 'False', 'false', 'false', '511302108373', 5, '大磨湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302108373', 1, '2021-07-19 11:48:06', NULL, NULL), (16332, '', '黄楝沟村', 'caf3dfb2f2624fbda833a5a78e42be6b', 'af3d3c412b6b4adea025fd0bd457b625', 'False', 'False', 'false', 'false', '511302108381', 5, '黄楝沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302108381', 1, '2021-07-19 11:48:06', NULL, NULL), (16333, '', '马鸣垭村', '255fb87bedd74f4f9b510de615636cc0', 'af3d3c412b6b4adea025fd0bd457b625', 'False', 'False', 'false', 'false', '511302108466', 5, '马鸣垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302108466', 1, '2021-07-19 11:48:06', NULL, NULL), (16334, '', '膏子沟村', '2a3b621699c74c759fbc39ef26e26915', 'af3d3c412b6b4adea025fd0bd457b625', 'False', 'False', 'false', 'false', '511302108536', 5, '膏子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302108536', 1, '2021-07-19 11:48:07', NULL, NULL), (16335, '', '新场垭村', '2a9185fd47164966a75025ad202ae066', 'af3d3c412b6b4adea025fd0bd457b625', 'False', 'False', 'false', 'false', '511302108649', 5, '新场垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302108649', 1, '2021-07-19 11:48:07', NULL, NULL), (16336, '', '乔家湾村', '787b6b4748cc4b7db5e80fb0181475bd', 'af3d3c412b6b4adea025fd0bd457b625', 'False', 'False', 'false', 'false', '511302108693', 5, '乔家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302108693', 1, '2021-07-19 11:48:07', NULL, NULL), (16337, '', '白鹤沟村', 'fc3447a89a5045988a9dce0d79129b20', 'af3d3c412b6b4adea025fd0bd457b625', 'False', 'False', 'false', 'false', '511302108713', 5, '白鹤沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302108713', 1, '2021-07-19 11:48:07', NULL, NULL), (16338, '', '彭屋村', 'e464c50cdbba413698ae6c9cccb40b1e', 'af3d3c412b6b4adea025fd0bd457b625', 'False', 'False', 'false', 'false', '511302108917', 5, '彭屋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302108917', 1, '2021-07-19 11:48:07', NULL, NULL), (16339, '', '袁家沟村', '4a7265b026c34e739c500cfdb3882839', 'af3d3c412b6b4adea025fd0bd457b625', 'False', 'False', 'false', 'false', '511302108958', 5, '袁家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302108958', 1, '2021-07-19 11:48:07', NULL, NULL), (16340, '', '搬罾街道', '73d1064306a340218e7a5caf3ef7614f', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'True', 'True', 'false', 'false', '511302110000', 4, '搬罾街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302110000', 1, '2021-07-19 11:48:07', NULL, NULL), (16341, '', '杨四坝村', 'd851af76b44f403394ceda7e1a0ad9e1', '73d1064306a340218e7a5caf3ef7614f', 'False', 'True', 'false', 'false', '511302110140', 5, '杨四坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302110140', 1, '2021-07-19 11:48:07', NULL, NULL), (16342, '', '干堰塘村', '396a3ce5c20e4297922a071c9fb21a87', '73d1064306a340218e7a5caf3ef7614f', 'False', 'True', 'false', 'false', '511302110142', 5, '干堰塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302110142', 1, '2021-07-19 11:48:07', NULL, NULL), (16343, '', '老鹳庙村', 'ffb18cd5b22b4144980a01973fe0d5a0', '73d1064306a340218e7a5caf3ef7614f', 'False', 'True', 'false', 'false', '511302110281', 5, '老鹳庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302110281', 1, '2021-07-19 11:48:07', NULL, NULL), (16344, '', '青山坝村', '1043e590fe424896a29305c1b12e362e', '73d1064306a340218e7a5caf3ef7614f', 'False', 'True', 'false', 'false', '511302110288', 5, '青山坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302110288', 1, '2021-07-19 11:48:07', NULL, NULL), (16345, '', '绢纺社区', 'c00d94bab7044cd9b7fe6a230f255ef0', '73d1064306a340218e7a5caf3ef7614f', 'False', 'True', 'false', 'false', '511302110498', 5, '绢纺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302110498', 1, '2021-07-19 11:48:07', NULL, NULL), (16346, '', '搬罾溪村', 'f009ab0aa99e47988766131b749fbdf7', '73d1064306a340218e7a5caf3ef7614f', 'False', 'True', 'false', 'false', '511302110534', 5, '搬罾溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302110534', 1, '2021-07-19 11:48:08', NULL, NULL), (16347, '', '石狗坝社区', '86bf97df002f43c1bdc48f963cbfe576', '73d1064306a340218e7a5caf3ef7614f', 'False', 'True', 'false', 'false', '511302110579', 5, '石狗坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302110579', 1, '2021-07-19 11:48:08', NULL, NULL), (16348, '', '石庙子村', 'b4eb1250d449463eb3eb201b3c6cff1f', '73d1064306a340218e7a5caf3ef7614f', 'False', 'True', 'false', 'false', '511302110736', 5, '石庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302110736', 1, '2021-07-19 11:48:08', NULL, NULL), (16349, '', '庞家寨村', 'b0369ae171e54733b3c94000f1af8c3f', '73d1064306a340218e7a5caf3ef7614f', 'False', 'True', 'false', 'false', '511302110755', 5, '庞家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302110755', 1, '2021-07-19 11:48:08', NULL, NULL), (16350, '', '延寿寺村', '71026cd305904ba4ad418fb789bab824', '73d1064306a340218e7a5caf3ef7614f', 'False', 'True', 'false', 'false', '511302110816', 5, '延寿寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302110816', 1, '2021-07-19 11:48:08', NULL, NULL), (16351, '', '竹林寺村', '5965ab674f3f4402b582ce3fc04b3065', '73d1064306a340218e7a5caf3ef7614f', 'False', 'True', 'false', 'false', '511302110848', 5, '竹林寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302110848', 1, '2021-07-19 11:48:08', NULL, NULL), (16352, '', '康家店村', '4fde80604848421498d4632cead751b9', '73d1064306a340218e7a5caf3ef7614f', 'False', 'True', 'false', 'false', '511302110856', 5, '康家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302110856', 1, '2021-07-19 11:48:08', NULL, NULL), (16353, '', '凉水井村', 'b6c2dad899e749a5b58d42928bfded85', '73d1064306a340218e7a5caf3ef7614f', 'False', 'True', 'false', 'false', '511302110861', 5, '凉水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302110861', 1, '2021-07-19 11:48:08', NULL, NULL), (16354, '', '小河坝村', '6836152c8b22405791024b563a010b80', '73d1064306a340218e7a5caf3ef7614f', 'False', 'True', 'false', 'false', '511302110995', 5, '小河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302110995', 1, '2021-07-19 11:48:08', NULL, NULL), (16355, '', '新复乡', '7b0078efb805489185705f2787f9a586', 'ea8d6e09a7884ebb852d6c0a4a1c79e0', 'True', 'True', 'false', 'false', '511302200000', 4, '新复乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511302200000', 1, '2021-07-19 11:48:08', NULL, NULL), (16356, '', '谢村河村', 'fea9e62d2ffb42a496182fdf36a2624f', '7b0078efb805489185705f2787f9a586', 'False', 'False', 'false', 'false', '511302200248', 5, '谢村河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302200248', 1, '2021-07-19 11:48:08', NULL, NULL), (16357, '', '西河边村', '9ef38c86d6d143508915cc3b5f097b63', '7b0078efb805489185705f2787f9a586', 'False', 'False', 'false', 'false', '511302200301', 5, '西河边村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302200301', 1, '2021-07-19 11:48:08', NULL, NULL), (16358, '', '天生桥村', 'e0245fcccd7b4880bbf03eff97bad406', '7b0078efb805489185705f2787f9a586', 'False', 'False', 'false', 'false', '511302200386', 5, '天生桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302200386', 1, '2021-07-19 11:48:08', NULL, NULL), (16359, '', '长远沟村', '960de7b2e04847ac92e62022e12ff54a', '7b0078efb805489185705f2787f9a586', 'False', 'False', 'false', 'false', '511302200430', 5, '长远沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302200430', 1, '2021-07-19 11:48:08', NULL, NULL), (16360, '', '半截沟村', '8883285321e54953add489cd14da6a8d', '7b0078efb805489185705f2787f9a586', 'False', 'False', 'false', 'false', '511302200443', 5, '半截沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302200443', 1, '2021-07-19 11:48:09', NULL, NULL), (16361, '', '高阶沿村', 'fadfdaa420db4f129bad4d3b0acaa640', '7b0078efb805489185705f2787f9a586', 'False', 'False', 'false', 'false', '511302200482', 5, '高阶沿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302200482', 1, '2021-07-19 11:48:09', NULL, NULL), (16362, '', '坦山铺村', 'b7ebf4a162aa49ed95e38fb7b1b62da3', '7b0078efb805489185705f2787f9a586', 'False', 'False', 'false', 'false', '511302200647', 5, '坦山铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302200647', 1, '2021-07-19 11:48:09', NULL, NULL), (16363, '', '水池坝村', 'cb669ed0a191489187ed11bfd1d026a8', '7b0078efb805489185705f2787f9a586', 'False', 'False', 'false', 'false', '511302200692', 5, '水池坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302200692', 1, '2021-07-19 11:48:09', NULL, NULL), (16364, '', '元池坝村', '3b5f0586c3c3435986ac1a034d03ff3f', '7b0078efb805489185705f2787f9a586', 'False', 'False', 'false', 'false', '511302200802', 5, '元池坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302200802', 1, '2021-07-19 11:48:09', NULL, NULL), (16365, '', '回龙场村', '0fb109eeeb2d48d5b623644347e7b6f6', '7b0078efb805489185705f2787f9a586', 'False', 'False', 'false', 'false', '511302200949', 5, '回龙场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511302200949', 1, '2021-07-19 11:48:09', NULL, NULL), (16366, '', '高坪区', 'd8e1e2278b4a4ed58b16da843d919b2f', 'd9f01e465bbf4f06b12dda9480080f67', 'True', 'True', 'false', 'false', '511303000000', 3, '高坪区', 'ncsgpq.sczwfw.gov.cn', 1, '2021-07-19 11:48:09', NULL, NULL), (16367, '', '龙门街道', 'd5b6d8c9a6e247e8ae67511203613421', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303070132', 4, '龙门街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303070132', 1, '2021-07-19 11:48:09', NULL, NULL), (16368, '', '炮台街社区', '04c9a531401242738cde2884f1502501', 'd5b6d8c9a6e247e8ae67511203613421', 'False', 'True', 'false', 'false', '511303000155', 5, '炮台街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000155', 1, '2021-07-19 11:48:09', NULL, NULL), (16369, '', '空洞山村', '9c671eddbd9f40b98660907b40f27f4a', 'd5b6d8c9a6e247e8ae67511203613421', 'False', 'True', 'false', 'false', '511303000204', 5, '空洞山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000204', 1, '2021-07-19 11:48:09', NULL, NULL), (16370, '', '油坊街社区', 'da4f5e951d354573a24081f58f753b2b', 'd5b6d8c9a6e247e8ae67511203613421', 'False', 'True', 'false', 'false', '511303000392', 5, '油坊街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000392', 1, '2021-07-19 11:48:09', NULL, NULL), (16371, '', '嘉龙社区', 'f5a5e3e7e2b14a32b3af06d9f76ed87a', 'd5b6d8c9a6e247e8ae67511203613421', 'False', 'True', 'false', 'false', '511303000418', 5, '嘉龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000418', 1, '2021-07-19 11:48:09', NULL, NULL), (16372, '', '南新街社区', 'e8392ca375ec47eabd16640054d0ce10', 'd5b6d8c9a6e247e8ae67511203613421', 'False', 'True', 'false', 'false', '511303000463', 5, '南新街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000463', 1, '2021-07-19 11:48:09', NULL, NULL), (16373, '', '铁钱坝村', 'abbeeaf054644642abe0a7511f9a987d', 'd5b6d8c9a6e247e8ae67511203613421', 'False', 'True', 'false', 'false', '511303000466', 5, '铁钱坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000466', 1, '2021-07-19 11:48:10', NULL, NULL), (16374, '', '三角池村', '1353078d48664ce09a805a91e9e5493b', 'd5b6d8c9a6e247e8ae67511203613421', 'False', 'True', 'false', 'false', '511303000570', 5, '三角池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000570', 1, '2021-07-19 11:48:10', NULL, NULL), (16375, '', '盐井沟社区', '4f485e5e68714eecbccb098f436c74e9', 'd5b6d8c9a6e247e8ae67511203613421', 'False', 'True', 'false', 'false', '511303000633', 5, '盐井沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000633', 1, '2021-07-19 11:48:10', NULL, NULL), (16376, '', '谯家坟村', 'a6f5a8951070482f8e9056104a7d0820', 'd5b6d8c9a6e247e8ae67511203613421', 'False', 'True', 'false', 'false', '511303000716', 5, '谯家坟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000716', 1, '2021-07-19 11:48:10', NULL, NULL), (16377, '', '高庙子村', '42aaa045f7a043f4b201d8acf095f715', 'd5b6d8c9a6e247e8ae67511203613421', 'False', 'True', 'false', 'false', '511303000750', 5, '高庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000750', 1, '2021-07-19 11:48:10', NULL, NULL), (16378, '', '指路碑村', '80bb2ca9caa74955b0a7681315671658', 'd5b6d8c9a6e247e8ae67511203613421', 'False', 'True', 'false', 'false', '511303000768', 5, '指路碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000768', 1, '2021-07-19 11:48:10', NULL, NULL), (16379, '', '雷祖庙村', 'da63394ef76f4d1e93eeb3f5a515bb12', 'd5b6d8c9a6e247e8ae67511203613421', 'False', 'True', 'false', 'false', '511303000902', 5, '雷祖庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000902', 1, '2021-07-19 11:48:10', NULL, NULL), (16380, '', '三汇口村', '571bdb0c22f14c7dabb249eae072a8b0', 'd5b6d8c9a6e247e8ae67511203613421', 'False', 'True', 'false', 'false', '511303000948', 5, '三汇口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000948', 1, '2021-07-19 11:48:10', NULL, NULL), (16381, '', '会龙镇', '7fd9922ec71847fd9d2ac53df453a877', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303087000', 4, '会龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303087000', 1, '2021-07-19 11:48:10', NULL, NULL), (16382, '', '杉树沟村', '216b58bab5d3459b8e508d96de0dd355', '7fd9922ec71847fd9d2ac53df453a877', 'False', 'True', 'false', 'false', '511303000015', 5, '杉树沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000015', 1, '2021-07-19 11:48:11', NULL, NULL), (16383, '', '老场垭村', '4479b3aa341f49bb87b6e4ef1f57bf84', '7fd9922ec71847fd9d2ac53df453a877', 'False', 'True', 'false', 'false', '511303000086', 5, '老场垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000086', 1, '2021-07-19 11:48:11', NULL, NULL), (16384, '', '硝厂村', '6ec0bba780f54b5c986c1b9ab35232c5', '7fd9922ec71847fd9d2ac53df453a877', 'False', 'True', 'false', 'false', '511303000087', 5, '硝厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000087', 1, '2021-07-19 11:48:11', NULL, NULL), (16385, '', '熊家桥村', '092f490d5bb0407eb087d19bd4bb02de', '7fd9922ec71847fd9d2ac53df453a877', 'False', 'True', 'false', 'false', '511303000228', 5, '熊家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000228', 1, '2021-07-19 11:48:11', NULL, NULL), (16386, '', '阳马庙村', 'c7d70e9bfbba4c989d6b19dee51b5ea2', '7fd9922ec71847fd9d2ac53df453a877', 'False', 'True', 'false', 'false', '511303000431', 5, '阳马庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000431', 1, '2021-07-19 11:48:11', NULL, NULL), (16387, '', '兴康街社区', '1f811f4bfa3140d39150711f1086e7a1', '7fd9922ec71847fd9d2ac53df453a877', 'False', 'True', 'false', 'false', '511303000500', 5, '兴康街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000500', 1, '2021-07-19 11:48:11', NULL, NULL), (16388, '', '御史村', '34bde3ea514f40b69c0e3e3ceb39ab17', '7fd9922ec71847fd9d2ac53df453a877', 'False', 'True', 'false', 'false', '511303000528', 5, '御史村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000528', 1, '2021-07-19 11:48:11', NULL, NULL), (16389, '', '丁字桥村', '0d9514f80f844983b5bbe5916aca68e7', '7fd9922ec71847fd9d2ac53df453a877', 'False', 'True', 'false', 'false', '511303000745', 5, '丁字桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000745', 1, '2021-07-19 11:48:11', NULL, NULL), (16390, '', '石门楼村', 'c3b09eb394334a1e8b7a56080aef8937', '7fd9922ec71847fd9d2ac53df453a877', 'False', 'True', 'false', 'false', '511303000787', 5, '石门楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000787', 1, '2021-07-19 11:48:11', NULL, NULL), (16391, '', '桂花井村', '9a80d3cc17d142c282f070f46da7b5cb', '7fd9922ec71847fd9d2ac53df453a877', 'False', 'True', 'false', 'false', '511303000897', 5, '桂花井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000897', 1, '2021-07-19 11:48:11', NULL, NULL), (16392, '', '打铁坳村', '8fcc2c7cef9145a3a15fdef20c06d59e', '7fd9922ec71847fd9d2ac53df453a877', 'False', 'True', 'false', 'false', '511303000909', 5, '打铁坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000909', 1, '2021-07-19 11:48:11', NULL, NULL), (16393, '', '都京街道', 'defb5cd407a547dd9439c10db92967e9', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303140000', 4, '都京街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303140000', 1, '2021-07-19 11:48:12', NULL, NULL), (16394, '', '青林村', '5450f1c12bcd4554ae4c862b8872851e', 'defb5cd407a547dd9439c10db92967e9', 'False', 'True', 'false', 'false', '511303000109', 5, '青林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000109', 1, '2021-07-19 11:48:12', NULL, NULL), (16395, '', '红旗坝社区', '2eb75aeee11746a982f24c49de7c7293', 'defb5cd407a547dd9439c10db92967e9', 'False', 'True', 'false', 'false', '511303000242', 5, '红旗坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000242', 1, '2021-07-19 11:48:12', NULL, NULL), (16396, '', '永兴村', '6b66e26c7d9448deb953d884c9ae7eca', 'defb5cd407a547dd9439c10db92967e9', 'False', 'True', 'false', 'false', '511303000387', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000387', 1, '2021-07-19 11:48:12', NULL, NULL), (16397, '', '朱凤山社区', '41662da16c7e4049a7b07e14a20b55a9', 'defb5cd407a547dd9439c10db92967e9', 'False', 'True', 'false', 'false', '511303000480', 5, '朱凤山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000480', 1, '2021-07-19 11:48:12', NULL, NULL), (16398, '', '永安村', '88d41a5d92ec42a3b3c46e2c68045567', 'defb5cd407a547dd9439c10db92967e9', 'False', 'True', 'false', 'false', '511303000555', 5, '永安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000555', 1, '2021-07-19 11:48:12', NULL, NULL), (16399, '', '庙儿嘴社区', '4d02ee545ee246bf8a98b22eb72c524b', 'defb5cd407a547dd9439c10db92967e9', 'False', 'True', 'false', 'false', '511303000736', 5, '庙儿嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000736', 1, '2021-07-19 11:48:12', NULL, NULL), (16400, '', '金融社区', 'ab46fb6df37540de864d475c3356185a', 'defb5cd407a547dd9439c10db92967e9', 'False', 'True', 'false', 'false', '511303000781', 5, '金融社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000781', 1, '2021-07-19 11:48:12', NULL, NULL), (16401, '', '永丰村', '28100acb8ef74b9cbd7209505a84643b', 'defb5cd407a547dd9439c10db92967e9', 'False', 'True', 'false', 'false', '511303000980', 5, '永丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000980', 1, '2021-07-19 11:48:12', NULL, NULL), (16402, '', '临江村', 'd2f3643a8c31459baabc729764557404', 'defb5cd407a547dd9439c10db92967e9', 'False', 'True', 'false', 'false', '511303000999', 5, '临江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000999', 1, '2021-07-19 11:48:13', NULL, NULL), (16403, '', '红都社区', 'cbfc19efb9e048f0b866c28ce42f08ed', 'defb5cd407a547dd9439c10db92967e9', 'False', 'True', 'false', 'false', '511303000725', 5, '红都社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000725', 1, '2021-07-19 11:48:13', NULL, NULL), (16404, '', '都京社区', 'f56e8e56b3164712b77319bdd59daaa8', 'defb5cd407a547dd9439c10db92967e9', 'False', 'True', 'false', 'false', '511303000870', 5, '都京社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000870', 1, '2021-07-19 11:48:13', NULL, NULL), (16405, '', '长乐镇', '1ac7609f05904ed28c9196a9cbdd10d1', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303335000', 4, '长乐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303335000', 1, '2021-07-19 11:48:13', NULL, NULL), (16406, '', '朝阳庵村', '15c88faf5d854835b0ac7ef67b0135ea', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001103', 5, '朝阳庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001103', 1, '2021-07-19 11:48:13', NULL, NULL), (16407, '', '老元观村', 'e1944e1b351f43b795256e79a5537664', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001141', 5, '老元观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001141', 1, '2021-07-19 11:48:13', NULL, NULL), (16408, '', '石板坡村', '3536d27d4b164989aeb3e17b70d6ca3d', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001167', 5, '石板坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001167', 1, '2021-07-19 11:48:13', NULL, NULL), (16409, '', '空洞坳村', 'b5652ad45eae4da9bb689de46ad6494d', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001178', 5, '空洞坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001178', 1, '2021-07-19 11:48:13', NULL, NULL), (16410, '', '红岩洞村', 'fa0ecdd1dbc64dd9b03d36f79f95d018', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001281', 5, '红岩洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001281', 1, '2021-07-19 11:48:13', NULL, NULL), (16411, '', '麻柳山村', 'c417de95fd024007b4516bea83651d35', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001329', 5, '麻柳山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001329', 1, '2021-07-19 11:48:13', NULL, NULL), (16412, '', '天云寺村', '7d52bf826ee24a3bbbe0ceac30061034', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001336', 5, '天云寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001336', 1, '2021-07-19 11:48:13', NULL, NULL), (16413, '', '白羊桥村', '99c9394965dd4a67b3b062c34c52afd1', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001357', 5, '白羊桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001357', 1, '2021-07-19 11:48:13', NULL, NULL), (16414, '', '灯高山村', 'c1234fa427994089999f9bde11b4604b', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001361', 5, '灯高山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001361', 1, '2021-07-19 11:48:13', NULL, NULL), (16415, '', '庙子沟村', 'f6b7fc1883984ec08c6794efc7e6a492', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001456', 5, '庙子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001456', 1, '2021-07-19 11:48:13', NULL, NULL), (16416, '', '长兴沟村', 'e9fc6eab601b4af4bb8416503bca6bdc', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001469', 5, '长兴沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001469', 1, '2021-07-19 11:48:13', NULL, NULL), (16417, '', '新桥沟村', 'c65a7d8a602c40439859904e545088ee', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001503', 5, '新桥沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001503', 1, '2021-07-19 11:48:13', NULL, NULL), (16418, '', '粟家盖村', '62c245e7f907432eb6b55b69d8c38daa', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001537', 5, '粟家盖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001537', 1, '2021-07-19 11:48:14', NULL, NULL), (16419, '', '苏家桥村', '665879a17d7c44c59f903599edc041ca', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001568', 5, '苏家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001568', 1, '2021-07-19 11:48:14', NULL, NULL), (16420, '', '池鼓寨村', '39c924bb01af4b1d966bf31fed740b17', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001609', 5, '池鼓寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001609', 1, '2021-07-19 11:48:14', NULL, NULL), (16421, '', '东庙子村', '1b5bfd6085ca448dae753c103f6e31ab', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001610', 5, '东庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001610', 1, '2021-07-19 11:48:14', NULL, NULL), (16422, '', '西林沟村', '11ce6e8293124a7294d88f2e9080ded9', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001668', 5, '西林沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001668', 1, '2021-07-19 11:48:14', NULL, NULL), (16423, '', '高滩寺村', '4c057f7b015348778ad251f164283a3a', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001693', 5, '高滩寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001693', 1, '2021-07-19 11:48:14', NULL, NULL), (16424, '', '永康社区', '228b12795ef442e8943b4236f6654107', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001734', 5, '永康社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001734', 1, '2021-07-19 11:48:14', NULL, NULL), (16425, '', '四方井村', '9b8114802be1496ab4d6ffb8eba4d101', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001806', 5, '四方井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001806', 1, '2021-07-19 11:48:14', NULL, NULL), (16426, '', '锦屏村', '1cff135815b24b4e85bf077abaab0f4c', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001824', 5, '锦屏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001824', 1, '2021-07-19 11:48:14', NULL, NULL), (16427, '', '柳家沟村', '53135543212d406e880c0ca8d1c94a1e', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001826', 5, '柳家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001826', 1, '2021-07-19 11:48:14', NULL, NULL), (16428, '', '丁家庙村', '4fd1173d6b244582aa6ddcdbe2f99b35', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001852', 5, '丁家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001852', 1, '2021-07-19 11:48:14', NULL, NULL), (16429, '', '福龙桥村', 'bf6359079bdf4622bb65bd90a93dfc9e', '1ac7609f05904ed28c9196a9cbdd10d1', 'False', 'True', 'false', 'false', '511303001979', 5, '福龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001979', 1, '2021-07-19 11:48:14', NULL, NULL), (16430, '', '小龙街道', '253fcc01b1f6474ca131b535fe478b3f', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303400000', 4, '小龙街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303400000', 1, '2021-07-19 11:48:15', NULL, NULL), (16431, '', '麻柳塆社区', '6c2d2a7d091a47a1af4dd766722ffebf', '253fcc01b1f6474ca131b535fe478b3f', 'False', 'True', 'false', 'false', '511303001016', 5, '麻柳塆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001016', 1, '2021-07-19 11:48:15', NULL, NULL), (16432, '', '宝胜寺社区', 'f56b49de84d24903a23c7db3482293c5', '253fcc01b1f6474ca131b535fe478b3f', 'False', 'True', 'false', 'false', '511303001068', 5, '宝胜寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001068', 1, '2021-07-19 11:48:15', NULL, NULL), (16433, '', '花家坝社区', '494e4eb25748464c874eff4adb7396bb', '253fcc01b1f6474ca131b535fe478b3f', 'False', 'True', 'false', 'false', '511303001175', 5, '花家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001175', 1, '2021-07-19 11:48:15', NULL, NULL), (16434, '', '下徐村', '8ff2dace59484f1ab298e244df7c09d4', '253fcc01b1f6474ca131b535fe478b3f', 'False', 'True', 'false', 'false', '511303001333', 5, '下徐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001333', 1, '2021-07-19 11:48:15', NULL, NULL), (16435, '', '香积寺村', 'd43a23a95d134c99a461cd1c051d0646', '253fcc01b1f6474ca131b535fe478b3f', 'False', 'True', 'false', 'false', '511303001525', 5, '香积寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001525', 1, '2021-07-19 11:48:15', NULL, NULL), (16436, '', '川主庙社区', 'f6faf6e095bb48b6b99712914b4e93cb', '253fcc01b1f6474ca131b535fe478b3f', 'False', 'True', 'false', 'false', '511303001612', 5, '川主庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001612', 1, '2021-07-19 11:48:15', NULL, NULL), (16437, '', '上徐村', 'f7a1d7bd8d4f4a71a8a3d0dc0b794131', '253fcc01b1f6474ca131b535fe478b3f', 'False', 'True', 'false', 'false', '511303001758', 5, '上徐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001758', 1, '2021-07-19 11:48:15', NULL, NULL), (16438, '', '孙家坪社区', '1380a5e6523f4e6a9df21348256e7e4c', '253fcc01b1f6474ca131b535fe478b3f', 'False', 'True', 'false', 'false', '511303001803', 5, '孙家坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001803', 1, '2021-07-19 11:48:15', NULL, NULL), (16439, '', '东站社区', '5f873a837c8b4f0e8bd9d3f23c20d843', '253fcc01b1f6474ca131b535fe478b3f', 'False', 'True', 'false', 'false', '511303001981', 5, '东站社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001981', 1, '2021-07-19 11:48:15', NULL, NULL), (16440, '', '石圭镇', '72f0504e1a874441a5b815a51d6ba6ef', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303405000', 4, '石圭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303405000', 1, '2021-07-19 11:48:16', NULL, NULL), (16441, '', '华荣村', '0d28b7d4e28b4de2bfacb02bd7f1db56', '72f0504e1a874441a5b815a51d6ba6ef', 'False', 'True', 'false', 'false', '511303001165', 5, '华荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001165', 1, '2021-07-19 11:48:16', NULL, NULL), (16442, '', '玛鞍村', '54a922dfb1954ee3920a3c9abb373c50', '72f0504e1a874441a5b815a51d6ba6ef', 'False', 'True', 'false', 'false', '511303001238', 5, '玛鞍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001238', 1, '2021-07-19 11:48:16', NULL, NULL), (16443, '', '民兴村', '84e89cb7f3cc41ab81d2dca054093114', '72f0504e1a874441a5b815a51d6ba6ef', 'False', 'True', 'false', 'false', '511303001326', 5, '民兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001326', 1, '2021-07-19 11:48:16', NULL, NULL), (16444, '', '兰花村', '31259668feb941f986d09a3946f53c8d', '72f0504e1a874441a5b815a51d6ba6ef', 'False', 'True', 'false', 'false', '511303001496', 5, '兰花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001496', 1, '2021-07-19 11:48:16', NULL, NULL), (16445, '', '民华社区', '79fc6e5277a94f61a671587729e32ca5', '72f0504e1a874441a5b815a51d6ba6ef', 'False', 'True', 'false', 'false', '511303001943', 5, '民华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001943', 1, '2021-07-19 11:48:16', NULL, NULL), (16446, '', '凤鸣村', '8415be7069d74f75939694a7c75be748', '72f0504e1a874441a5b815a51d6ba6ef', 'False', 'True', 'false', 'false', '511303001978', 5, '凤鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001978', 1, '2021-07-19 11:48:16', NULL, NULL), (16447, '', '擦耳镇', 'a8183e54ff404035be0dc8148c39ef2a', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303415000', 4, '擦耳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303415000', 1, '2021-07-19 11:48:16', NULL, NULL), (16448, '', '四面山村', 'ae97c6a6a3714097a15786156d37936b', 'a8183e54ff404035be0dc8148c39ef2a', 'False', 'True', 'false', 'false', '511303000100', 5, '四面山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000100', 1, '2021-07-19 11:48:16', NULL, NULL), (16449, '', '擦耳村', 'af06ae6f03e747b094a008c4c22244bf', 'a8183e54ff404035be0dc8148c39ef2a', 'False', 'True', 'false', 'false', '511303000115', 5, '擦耳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000115', 1, '2021-07-19 11:48:16', NULL, NULL), (16450, '', '石佛沟村', '7a6ef5eb14974974b27c47c35c559911', 'a8183e54ff404035be0dc8148c39ef2a', 'False', 'True', 'false', 'false', '511303000151', 5, '石佛沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000151', 1, '2021-07-19 11:48:16', NULL, NULL), (16451, '', '政府街社区', '726c80680d0a4e8aa600b2f271a768ec', 'a8183e54ff404035be0dc8148c39ef2a', 'False', 'True', 'false', 'false', '511303000270', 5, '政府街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000270', 1, '2021-07-19 11:48:16', NULL, NULL), (16452, '', '新拱桥村', '4ccea5e2f6e24625b181f78e77eb1d92', 'a8183e54ff404035be0dc8148c39ef2a', 'False', 'True', 'false', 'false', '511303000563', 5, '新拱桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000563', 1, '2021-07-19 11:48:16', NULL, NULL), (16453, '', '双叉河村', '57ddba4054bc434dba1cfebab5c09dfd', 'a8183e54ff404035be0dc8148c39ef2a', 'False', 'True', 'false', 'false', '511303000814', 5, '双叉河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000814', 1, '2021-07-19 11:48:17', NULL, NULL), (16454, '', '尖山沟村', '43d2e4c6e0ab4b5ba4c5dafe3d6d811a', 'a8183e54ff404035be0dc8148c39ef2a', 'False', 'True', 'false', 'false', '511303000901', 5, '尖山沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000901', 1, '2021-07-19 11:48:17', NULL, NULL), (16455, '', '白塔街道', '430243e07e5c4707b2cff8011fc05860', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303442000', 4, '白塔街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303442000', 1, '2021-07-19 11:48:17', NULL, NULL), (16456, '', '望江社区', 'bc4a7bcdbecf42dea2a5b9fb11a3fdce', '430243e07e5c4707b2cff8011fc05860', 'False', 'True', 'false', 'false', '511303000024', 5, '望江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000024', 1, '2021-07-19 11:48:17', NULL, NULL), (16457, '', '松林社区', '8f362a91df644fe8b7e85e324e91812f', '430243e07e5c4707b2cff8011fc05860', 'False', 'True', 'false', 'false', '511303000664', 5, '松林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000664', 1, '2021-07-19 11:48:17', NULL, NULL), (16458, '', '梨树街社区', '313e0f2bf89341bf9bd6e01f58069989', '430243e07e5c4707b2cff8011fc05860', 'False', 'True', 'false', 'false', '511303000136', 5, '梨树街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000136', 1, '2021-07-19 11:48:17', NULL, NULL), (16459, '', '小龙门社区', '18318939125a48688a1da018b6094f1a', '430243e07e5c4707b2cff8011fc05860', 'False', 'True', 'false', 'false', '511303000148', 5, '小龙门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000148', 1, '2021-07-19 11:48:17', NULL, NULL), (16460, '', '白塔社区', '41225953b64c442d9eee2b9f146394b6', '430243e07e5c4707b2cff8011fc05860', 'False', 'True', 'false', 'false', '511303000149', 5, '白塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000149', 1, '2021-07-19 11:48:17', NULL, NULL), (16461, '', '嘉东社区', 'dcf6fe1713784280bcb69fd338ebe8f7', '430243e07e5c4707b2cff8011fc05860', 'False', 'True', 'false', 'false', '511303000178', 5, '嘉东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000178', 1, '2021-07-19 11:48:17', NULL, NULL), (16462, '', '东顺路社区', '96298ee9bdb7425aa8e948c1d6582089', '430243e07e5c4707b2cff8011fc05860', 'False', 'True', 'false', 'false', '511303000334', 5, '东顺路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000334', 1, '2021-07-19 11:48:17', NULL, NULL), (16463, '', '元宝山社区', 'e63782fecf8d401887c12f914c252f42', '430243e07e5c4707b2cff8011fc05860', 'False', 'True', 'false', 'false', '511303000374', 5, '元宝山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000374', 1, '2021-07-19 11:48:17', NULL, NULL), (16464, '', '马官垭社区', 'bdc53d6c16df433eaaa2fe09aa4f421a', '430243e07e5c4707b2cff8011fc05860', 'False', 'True', 'false', 'false', '511303000863', 5, '马官垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000863', 1, '2021-07-19 11:48:17', NULL, NULL), (16465, '', '江村街社区', '58e1f43d929e46ee83eaedb1d1f59fbb', '430243e07e5c4707b2cff8011fc05860', 'False', 'True', 'false', 'false', '511303000864', 5, '江村街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000864', 1, '2021-07-19 11:48:18', NULL, NULL), (16466, '', '望城社区', '66ef3beaac5145c78e000db1e2a21032', '430243e07e5c4707b2cff8011fc05860', 'False', 'True', 'false', 'false', '511303000922', 5, '望城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000922', 1, '2021-07-19 11:48:18', NULL, NULL), (16467, '', '青莲街道', '78fb1d8a618d4a289ba5a009b8ca2ae4', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303453000', 4, '青莲街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303453000', 1, '2021-07-19 11:48:18', NULL, NULL), (16468, '', '景祥社区', '7a30e3fc442e45d8a31e75a98b2bc42d', '78fb1d8a618d4a289ba5a009b8ca2ae4', 'False', 'True', 'false', 'false', '511303003094', 5, '景祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003094', 1, '2021-07-19 11:48:18', NULL, NULL), (16469, '', '七龙村', '2423c292c7744c86bf51cd5bc37b3567', '78fb1d8a618d4a289ba5a009b8ca2ae4', 'False', 'True', 'false', 'false', '511303003392', 5, '七龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003392', 1, '2021-07-19 11:48:18', NULL, NULL), (16470, '', '一碗水村', '37f1d52c293646c0872eede82664ee91', '78fb1d8a618d4a289ba5a009b8ca2ae4', 'False', 'True', 'false', 'false', '511303003538', 5, '一碗水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003538', 1, '2021-07-19 11:48:18', NULL, NULL), (16471, '', '民建社区', 'e090f10993ed4269890c1e2968296e0c', '78fb1d8a618d4a289ba5a009b8ca2ae4', 'False', 'True', 'false', 'false', '511303003603', 5, '民建社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003603', 1, '2021-07-19 11:48:18', NULL, NULL), (16472, '', '白羊坪村', 'abd4846ce58b4dbabd1266d5292e1566', '78fb1d8a618d4a289ba5a009b8ca2ae4', 'False', 'True', 'false', 'false', '511303003619', 5, '白羊坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003619', 1, '2021-07-19 11:48:18', NULL, NULL), (16473, '', '牛市坝社区', '004de253c14546e49045ddd68f69073c', '78fb1d8a618d4a289ba5a009b8ca2ae4', 'False', 'True', 'false', 'false', '511303003747', 5, '牛市坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003747', 1, '2021-07-19 11:48:18', NULL, NULL), (16474, '', '青莲寺村', '7107705469414b719c5e8ad0e857835b', '78fb1d8a618d4a289ba5a009b8ca2ae4', 'False', 'True', 'false', 'false', '511303003871', 5, '青莲寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003871', 1, '2021-07-19 11:48:18', NULL, NULL), (16475, '', '双黄村', 'b111de2abbb640c29a7b968ee5c06ce6', '78fb1d8a618d4a289ba5a009b8ca2ae4', 'False', 'True', 'false', 'false', '511303003933', 5, '双黄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003933', 1, '2021-07-19 11:48:18', NULL, NULL), (16476, '', '佛门乡', '8f7cba2fc1bf4c0b93dd9f27da350944', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303543000', 4, '佛门乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303543000', 1, '2021-07-19 11:48:18', NULL, NULL), (16477, '', '莲花村', '9430e4c00fe647ca9efc8c94d319576a', '8f7cba2fc1bf4c0b93dd9f27da350944', 'False', 'True', 'false', 'false', '511303002084', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002084', 1, '2021-07-19 11:48:18', NULL, NULL), (16478, '', '胜利村', '357d31a0e7364148b5c055646959b9b3', '8f7cba2fc1bf4c0b93dd9f27da350944', 'False', 'True', 'false', 'false', '511303002092', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002092', 1, '2021-07-19 11:48:18', NULL, NULL), (16479, '', '爱国社区', 'bb71cb788e71436182e71204345faaac', '8f7cba2fc1bf4c0b93dd9f27da350944', 'False', 'True', 'false', 'false', '511303002097', 5, '爱国社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002097', 1, '2021-07-19 11:48:19', NULL, NULL), (16480, '', '大佛岩村', '33980d524b15449a975fe164a0c19123', '8f7cba2fc1bf4c0b93dd9f27da350944', 'False', 'True', 'false', 'false', '511303002226', 5, '大佛岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002226', 1, '2021-07-19 11:48:19', NULL, NULL), (16481, '', '走马岭村', 'd7348c6714a54a85bb1450a36bca53b3', '8f7cba2fc1bf4c0b93dd9f27da350944', 'False', 'True', 'false', 'false', '511303002437', 5, '走马岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002437', 1, '2021-07-19 11:48:19', NULL, NULL), (16482, '', '荷花村', '06ba91db05fd455cab045e8f73a614e7', '8f7cba2fc1bf4c0b93dd9f27da350944', 'False', 'True', 'false', 'false', '511303002534', 5, '荷花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002534', 1, '2021-07-19 11:48:19', NULL, NULL), (16483, '', '金花村', '98f63dac64044eabbef0d2977966ffb5', '8f7cba2fc1bf4c0b93dd9f27da350944', 'False', 'True', 'false', 'false', '511303002582', 5, '金花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002582', 1, '2021-07-19 11:48:19', NULL, NULL), (16484, '', '蟠龙寺村', '75629228b7524b738ef954a48b4f099c', '8f7cba2fc1bf4c0b93dd9f27da350944', 'False', 'True', 'false', 'false', '511303002692', 5, '蟠龙寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002692', 1, '2021-07-19 11:48:19', NULL, NULL), (16485, '', '白山村', '14f2037db48e4ec9bdafcbd2f467cbf2', '8f7cba2fc1bf4c0b93dd9f27da350944', 'False', 'True', 'false', 'false', '511303002785', 5, '白山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002785', 1, '2021-07-19 11:48:19', NULL, NULL), (16486, '', '骑龙村', 'fa98e708a3614eccb9cef9b535b2b67c', '8f7cba2fc1bf4c0b93dd9f27da350944', 'False', 'True', 'false', 'false', '511303002835', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002835', 1, '2021-07-19 11:48:20', NULL, NULL), (16487, '', '江陵镇', 'dccaf0c06f3c4c5384e916b304d7b745', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303561000', 4, '江陵镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303561000', 1, '2021-07-19 11:48:20', NULL, NULL), (16488, '', '双拱桥村', '261d29da019147eca3d711824721c208', 'dccaf0c06f3c4c5384e916b304d7b745', 'False', 'True', 'false', 'false', '511303000096', 5, '双拱桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000096', 1, '2021-07-19 11:48:20', NULL, NULL), (16489, '', '茶盘垭村', '0ff1472bcc844daea7fa9536f62e176e', 'dccaf0c06f3c4c5384e916b304d7b745', 'False', 'True', 'false', 'false', '511303000121', 5, '茶盘垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000121', 1, '2021-07-19 11:48:20', NULL, NULL), (16490, '', '牌坊村', 'd5d53d5bf0764f9eb5340b59544ae200', 'dccaf0c06f3c4c5384e916b304d7b745', 'False', 'True', 'false', 'false', '511303000157', 5, '牌坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000157', 1, '2021-07-19 11:48:20', NULL, NULL), (16491, '', '江陵坝村', '3ac470b42e064986b756b56a6dd76de0', 'dccaf0c06f3c4c5384e916b304d7b745', 'False', 'True', 'false', 'false', '511303000399', 5, '江陵坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000399', 1, '2021-07-19 11:48:20', NULL, NULL), (16492, '', '吊马坝社区', '869ec8fd985a4b82a0068c2cda58f6dd', 'dccaf0c06f3c4c5384e916b304d7b745', 'False', 'True', 'false', 'false', '511303000548', 5, '吊马坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000548', 1, '2021-07-19 11:48:20', NULL, NULL), (16493, '', '元宝山村', 'ec1f169ba7264f3893c84f3a51272fb3', 'dccaf0c06f3c4c5384e916b304d7b745', 'False', 'True', 'false', 'false', '511303000553', 5, '元宝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000553', 1, '2021-07-19 11:48:20', NULL, NULL), (16494, '', '唐家堰村', '77646ae3910944d4aee57fee85ef8c3e', 'dccaf0c06f3c4c5384e916b304d7b745', 'False', 'True', 'false', 'false', '511303000769', 5, '唐家堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000769', 1, '2021-07-19 11:48:20', NULL, NULL), (16495, '', '琴台寺村', '2242459471314f55ac41ea5e8804659b', 'dccaf0c06f3c4c5384e916b304d7b745', 'False', 'True', 'false', 'false', '511303000793', 5, '琴台寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000793', 1, '2021-07-19 11:48:21', NULL, NULL), (16496, '', '三房沟村', '9260c68fa446453a95d3efafe5237e29', 'dccaf0c06f3c4c5384e916b304d7b745', 'False', 'True', 'false', 'false', '511303000859', 5, '三房沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000859', 1, '2021-07-19 11:48:21', NULL, NULL), (16497, '', '十圣宫村', '9c4f725b4cca406295b444b00d4c53a7', 'dccaf0c06f3c4c5384e916b304d7b745', 'False', 'True', 'false', 'false', '511303000876', 5, '十圣宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000876', 1, '2021-07-19 11:48:21', NULL, NULL), (16498, '', '东观镇', '52614c2384614a9eb9f0ef4dcb5ac547', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303603000', 4, '东观镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303603000', 1, '2021-07-19 11:48:21', NULL, NULL), (16499, '', '白鹤桥村', '7694e31c75494f509acf52a80a0a1b6a', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000064', 5, '白鹤桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000064', 1, '2021-07-19 11:48:21', NULL, NULL), (16500, '', '糍粑坳村', '5c2f1f6989694f1ba4e50c0e92dc7102', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000077', 5, '糍粑坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000077', 1, '2021-07-19 11:48:21', NULL, NULL), (16501, '', '马曾桥村', '6c33f84c40eb4540af770c2b8db91f8c', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000080', 5, '马曾桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000080', 1, '2021-07-19 11:48:21', NULL, NULL), (16502, '', '磐石滩村', '10b3a7b3c95b4e789493896ff12069bc', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000098', 5, '磐石滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000098', 1, '2021-07-19 11:48:21', NULL, NULL), (16503, '', '黄溪村', 'f854dbb5b4b543dc9d8d400344dd4c5a', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000154', 5, '黄溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000154', 1, '2021-07-19 11:48:21', NULL, NULL), (16504, '', '老官滩社区', '9a798cd49892474ba840b50e8b7995e2', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000179', 5, '老官滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000179', 1, '2021-07-19 11:48:21', NULL, NULL), (16505, '', '花板场村', '5ce008777b784dc6b4d057b3b7aa5ae1', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000213', 5, '花板场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000213', 1, '2021-07-19 11:48:21', NULL, NULL), (16506, '', '黄岭沟村', 'cf61df63f56e41e282e38685422d1744', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000222', 5, '黄岭沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000222', 1, '2021-07-19 11:48:21', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (16507, '', '浸水塆村', 'fd485f1d1cc048ffa8d431a5466834f4', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000368', 5, '浸水塆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000368', 1, '2021-07-19 11:48:21', NULL, NULL), (16508, '', '元通寺村', '002560079b0e4ab5af1e8f3ced1d4bd0', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000370', 5, '元通寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000370', 1, '2021-07-19 11:48:22', NULL, NULL), (16509, '', '白岩店村', '42310cb87e2a4790be7b88de5a1954bf', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000394', 5, '白岩店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000394', 1, '2021-07-19 11:48:22', NULL, NULL), (16510, '', '双河口村', '4fdd88c07358415699f1a4cfc16bdca4', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000434', 5, '双河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000434', 1, '2021-07-19 11:48:22', NULL, NULL), (16511, '', '荒草堰村', '77f1a1ed520a4bbcb91f3ff4a9c7a167', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000499', 5, '荒草堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000499', 1, '2021-07-19 11:48:22', NULL, NULL), (16512, '', '之字拐村', 'd88e71558e3d429b9e1aa1ba36cff37c', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000552', 5, '之字拐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000552', 1, '2021-07-19 11:48:22', NULL, NULL), (16513, '', '烂板桥村', '087e76da58314a848563b926218f279e', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000554', 5, '烂板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000554', 1, '2021-07-19 11:48:22', NULL, NULL), (16514, '', '东观村', 'b8715f2953b44096a4dee3ffad332011', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000587', 5, '东观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000587', 1, '2021-07-19 11:48:22', NULL, NULL), (16515, '', '火光村', '0231d83ce21048a6a1c6a5180f4aa5b7', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000590', 5, '火光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000590', 1, '2021-07-19 11:48:22', NULL, NULL), (16516, '', '半坡龙村', '9c7bfb05c801466c8d2aa7748ff9ae51', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000618', 5, '半坡龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000618', 1, '2021-07-19 11:48:22', NULL, NULL), (16517, '', '半边街社区', 'd8ebe76017b14f7d8720f2364c42415d', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000644', 5, '半边街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000644', 1, '2021-07-19 11:48:22', NULL, NULL), (16518, '', '马井坝村', '5d96633b312a46209a21992f8024833b', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000702', 5, '马井坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000702', 1, '2021-07-19 11:48:22', NULL, NULL), (16519, '', '东新路社区', 'f95d2d0b29da4951bf0efbe0881cde0b', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000773', 5, '东新路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000773', 1, '2021-07-19 11:48:22', NULL, NULL), (16520, '', '封门垭村', '9553fc16bc3e486f9e68866ea5c92891', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000835', 5, '封门垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000835', 1, '2021-07-19 11:48:22', NULL, NULL), (16521, '', '邱家树村', 'e43ea29f436e476a95b0869e1bee85e7', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000848', 5, '邱家树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000848', 1, '2021-07-19 11:48:23', NULL, NULL), (16522, '', '鱼家庵村', 'b29c1d6bdd3a486b898237bfef536a53', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000919', 5, '鱼家庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000919', 1, '2021-07-19 11:48:23', NULL, NULL), (16523, '', '响水滩村', '5805a8060908423cba1e4cb4dcf5d578', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000930', 5, '响水滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000930', 1, '2021-07-19 11:48:23', NULL, NULL), (16524, '', '灵观音村', '0686af1a49d348a8868675385765b513', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000974', 5, '灵观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000974', 1, '2021-07-19 11:48:23', NULL, NULL), (16525, '', '二家寺村', '9922188f8e0c4a8690a3502e4684cc7e', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000982', 5, '二家寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000982', 1, '2021-07-19 11:48:23', NULL, NULL), (16526, '', '马路街社区', '9b15111f89034d8f9931c6658972a355', '52614c2384614a9eb9f0ef4dcb5ac547', 'False', 'True', 'false', 'false', '511303000996', 5, '马路街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000996', 1, '2021-07-19 11:48:23', NULL, NULL), (16527, '', '螺溪街道', '5cb7229c823d4dbbb11dc10c2dbb9b96', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303618000', 4, '螺溪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303618000', 1, '2021-07-19 11:48:23', NULL, NULL), (16528, '', '保安院村', '38397852dc604164be272b9d4ec5cd16', '5cb7229c823d4dbbb11dc10c2dbb9b96', 'False', 'True', 'false', 'false', '511303002165', 5, '保安院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002165', 1, '2021-07-19 11:48:23', NULL, NULL), (16529, '', '对鹅坝村', '9cc9561740e84ca6a819c19486956b53', '5cb7229c823d4dbbb11dc10c2dbb9b96', 'False', 'True', 'false', 'false', '511303002193', 5, '对鹅坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002193', 1, '2021-07-19 11:48:23', NULL, NULL), (16530, '', '桂花沟村', 'cf7e8c99624f4061a33ce70451f28114', '5cb7229c823d4dbbb11dc10c2dbb9b96', 'False', 'True', 'false', 'false', '511303002267', 5, '桂花沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002267', 1, '2021-07-19 11:48:23', NULL, NULL), (16531, '', '刘家坝村', '6238b23bf2e94153b99edb254eb47d61', '5cb7229c823d4dbbb11dc10c2dbb9b96', 'False', 'True', 'false', 'false', '511303002281', 5, '刘家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002281', 1, '2021-07-19 11:48:23', NULL, NULL), (16532, '', '高桥村', '4aa3fbf7a77a4be59a2908460f9bd4ab', '5cb7229c823d4dbbb11dc10c2dbb9b96', 'False', 'True', 'false', 'false', '511303002305', 5, '高桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002305', 1, '2021-07-19 11:48:23', NULL, NULL), (16533, '', '双石桥村', '2bf42f4bfb0a4042bc833c569eed6f39', '5cb7229c823d4dbbb11dc10c2dbb9b96', 'False', 'True', 'false', 'false', '511303002307', 5, '双石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002307', 1, '2021-07-19 11:48:23', NULL, NULL), (16534, '', '物流社区', '46989a281df444fe850596695e26bc91', '5cb7229c823d4dbbb11dc10c2dbb9b96', 'False', 'True', 'false', 'false', '511303002387', 5, '物流社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002387', 1, '2021-07-19 11:48:24', NULL, NULL), (16535, '', '枣子沟村', 'e44fe89d75e64189a4717fc7cc148c43', '5cb7229c823d4dbbb11dc10c2dbb9b96', 'False', 'True', 'false', 'false', '511303002567', 5, '枣子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002567', 1, '2021-07-19 11:48:24', NULL, NULL), (16536, '', '二龙桥村', 'abe72ca9cd2d4004935dafe5918de7c2', '5cb7229c823d4dbbb11dc10c2dbb9b96', 'False', 'True', 'false', 'false', '511303002617', 5, '二龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002617', 1, '2021-07-19 11:48:24', NULL, NULL), (16537, '', '凉亭桥村', '3a7c3cd5815e49918ea2ae19b9d282d7', '5cb7229c823d4dbbb11dc10c2dbb9b96', 'False', 'True', 'false', 'false', '511303002664', 5, '凉亭桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002664', 1, '2021-07-19 11:48:24', NULL, NULL), (16538, '', '三叉坡村', '77e64b705bd6400bbbe932ff6669e74e', '5cb7229c823d4dbbb11dc10c2dbb9b96', 'False', 'True', 'false', 'false', '511303002705', 5, '三叉坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002705', 1, '2021-07-19 11:48:24', NULL, NULL), (16539, '', '走马镇', '9d48519de3c643bbae9176412e2e0d76', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303834000', 4, '走马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303834000', 1, '2021-07-19 11:48:24', NULL, NULL), (16540, '', '十圣村', '3b4a3787b01b4cd08b6eef6e5f411b2a', '9d48519de3c643bbae9176412e2e0d76', 'False', 'True', 'false', 'false', '511303002037', 5, '十圣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002037', 1, '2021-07-19 11:48:24', NULL, NULL), (16541, '', '隐珠寺村', '1aaa3719f4464a609bce3d8fb38a5d69', '9d48519de3c643bbae9176412e2e0d76', 'False', 'True', 'false', 'false', '511303002065', 5, '隐珠寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002065', 1, '2021-07-19 11:48:24', NULL, NULL), (16542, '', '姜家祠村', '2310f38fba1c44a2b5af6942a31694d2', '9d48519de3c643bbae9176412e2e0d76', 'False', 'True', 'false', 'false', '511303002178', 5, '姜家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002178', 1, '2021-07-19 11:48:24', NULL, NULL), (16543, '', '金凤山村', 'e141c48b21b747cd9f7aa3e934c68b33', '9d48519de3c643bbae9176412e2e0d76', 'False', 'True', 'false', 'false', '511303002239', 5, '金凤山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002239', 1, '2021-07-19 11:48:24', NULL, NULL), (16544, '', '大石庙村', '5a16cf9f32444aaa8c26f1127937039d', '9d48519de3c643bbae9176412e2e0d76', 'False', 'True', 'false', 'false', '511303002306', 5, '大石庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002306', 1, '2021-07-19 11:48:24', NULL, NULL), (16545, '', '周家沟村', '02200400798e4d80b48f2f9c4b6912e6', '9d48519de3c643bbae9176412e2e0d76', 'False', 'True', 'false', 'false', '511303002311', 5, '周家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002311', 1, '2021-07-19 11:48:25', NULL, NULL), (16546, '', '鲁家堰村', '26fcd9b8dba741b0a6cb84e892c9c20b', '9d48519de3c643bbae9176412e2e0d76', 'False', 'True', 'false', 'false', '511303002432', 5, '鲁家堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002432', 1, '2021-07-19 11:48:25', NULL, NULL), (16547, '', '喻家堰村', '929644c3cde542afaa771a9be6040d1e', '9d48519de3c643bbae9176412e2e0d76', 'False', 'True', 'false', 'false', '511303002507', 5, '喻家堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002507', 1, '2021-07-19 11:48:25', NULL, NULL), (16548, '', '金凤桥村', '9837f0731d7347b0907392ad0aede9f3', '9d48519de3c643bbae9176412e2e0d76', 'False', 'True', 'false', 'false', '511303002529', 5, '金凤桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002529', 1, '2021-07-19 11:48:25', NULL, NULL), (16549, '', '钦头寺村', 'c1aa83582e2f4843be0c1a6999159d9b', '9d48519de3c643bbae9176412e2e0d76', 'False', 'True', 'false', 'false', '511303002621', 5, '钦头寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002621', 1, '2021-07-19 11:48:25', NULL, NULL), (16550, '', '走马村', '48120ec6b4e54d069b491a23524a369e', '9d48519de3c643bbae9176412e2e0d76', 'False', 'True', 'false', 'false', '511303002766', 5, '走马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002766', 1, '2021-07-19 11:48:25', NULL, NULL), (16551, '', '老君街道', 'af138667833d4b71ac7f0c5010e74ecb', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303837000', 4, '老君街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303837000', 1, '2021-07-19 11:48:25', NULL, NULL), (16552, '', '图山寨村', '8cf936ea8ae84cb0a50d7a519e18facc', 'af138667833d4b71ac7f0c5010e74ecb', 'False', 'True', 'false', 'false', '511303002390', 5, '图山寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002390', 1, '2021-07-19 11:48:25', NULL, NULL), (16553, '', '图山寺村', '87072d8ef8734518abae5702fb82de66', 'af138667833d4b71ac7f0c5010e74ecb', 'False', 'True', 'false', 'false', '511303002466', 5, '图山寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002466', 1, '2021-07-19 11:48:25', NULL, NULL), (16554, '', '邵家坪村', 'ceb9022ee6ea44f388aa1486beba82c8', 'af138667833d4b71ac7f0c5010e74ecb', 'False', 'True', 'false', 'false', '511303002775', 5, '邵家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303002775', 1, '2021-07-19 11:48:25', NULL, NULL), (16555, '', '莫家垭村', 'b629100915e645e08573c8f2b98bb3b5', 'af138667833d4b71ac7f0c5010e74ecb', 'False', 'True', 'false', 'false', '511303000219', 5, '莫家垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000219', 1, '2021-07-19 11:48:25', NULL, NULL), (16556, '', '老庙子村', '92ca23f18d9c4e46aa2cba3176d66cbe', 'af138667833d4b71ac7f0c5010e74ecb', 'False', 'True', 'false', 'false', '511303000343', 5, '老庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000343', 1, '2021-07-19 11:48:25', NULL, NULL), (16557, '', '李家坝村', '0cae5324f33f41a9a88198ff9bc4f978', 'af138667833d4b71ac7f0c5010e74ecb', 'False', 'True', 'false', 'false', '511303000532', 5, '李家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000532', 1, '2021-07-19 11:48:25', NULL, NULL), (16558, '', '玉皇村', '7c475b7241a64e8bbb5488effc7f45c6', 'af138667833d4b71ac7f0c5010e74ecb', 'False', 'True', 'false', 'false', '511303000639', 5, '玉皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000639', 1, '2021-07-19 11:48:25', NULL, NULL), (16559, '', '伏虎寺村', '07a5a4c450ca42e8bd41481c1853d356', 'af138667833d4b71ac7f0c5010e74ecb', 'False', 'True', 'false', 'false', '511303000676', 5, '伏虎寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000676', 1, '2021-07-19 11:48:25', NULL, NULL), (16560, '', '新顺社区', '31310e9ddba048cc9de78afc824c7aa1', 'af138667833d4b71ac7f0c5010e74ecb', 'False', 'True', 'false', 'false', '511303000939', 5, '新顺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000939', 1, '2021-07-19 11:48:25', NULL, NULL), (16561, '', '凌云山村', '8fcbcaa00ada43d2953f30d3c4474904', 'af138667833d4b71ac7f0c5010e74ecb', 'False', 'True', 'false', 'false', '511303000991', 5, '凌云山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000991', 1, '2021-07-19 11:48:25', NULL, NULL), (16562, '', '胜观镇', '4babf70192b444c1a6455acd97764460', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303897000', 4, '胜观镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303897000', 1, '2021-07-19 11:48:26', NULL, NULL), (16563, '', '东林寺村', '0332544ab5c04c20a011400fe7f3083d', '4babf70192b444c1a6455acd97764460', 'False', 'True', 'false', 'false', '511303001046', 5, '东林寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001046', 1, '2021-07-19 11:48:26', NULL, NULL), (16564, '', '土巴寨村', '114ac5dbc5014023a058a0f4268c5056', '4babf70192b444c1a6455acd97764460', 'False', 'True', 'false', 'false', '511303001086', 5, '土巴寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001086', 1, '2021-07-19 11:48:26', NULL, NULL), (16565, '', '灯台山村', '1d45f10db6d346b98e68f7edc12d1380', '4babf70192b444c1a6455acd97764460', 'False', 'True', 'false', 'false', '511303001133', 5, '灯台山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001133', 1, '2021-07-19 11:48:26', NULL, NULL), (16566, '', '九倒拐村', '9ce03eebad1c469d814f4667c9656c2a', '4babf70192b444c1a6455acd97764460', 'False', 'True', 'false', 'false', '511303001265', 5, '九倒拐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001265', 1, '2021-07-19 11:48:26', NULL, NULL), (16567, '', '金城社区', '14171fdf7b7744bcaea0d4eaf71174ff', '4babf70192b444c1a6455acd97764460', 'False', 'True', 'false', 'false', '511303001317', 5, '金城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001317', 1, '2021-07-19 11:48:26', NULL, NULL), (16568, '', '半边寨村', '14b1e736c0ba4ff0a3ceb5df1ed2c42a', '4babf70192b444c1a6455acd97764460', 'False', 'True', 'false', 'false', '511303001388', 5, '半边寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001388', 1, '2021-07-19 11:48:26', NULL, NULL), (16569, '', '高木桥村', 'e9880ba260254e798964683727987a32', '4babf70192b444c1a6455acd97764460', 'False', 'True', 'false', 'false', '511303001515', 5, '高木桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001515', 1, '2021-07-19 11:48:26', NULL, NULL), (16570, '', '胜观桥村', 'eb3b8eeb6a904b0aa060b44916fdb7af', '4babf70192b444c1a6455acd97764460', 'False', 'True', 'false', 'false', '511303001569', 5, '胜观桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001569', 1, '2021-07-19 11:48:26', NULL, NULL), (16571, '', '广福寺村', '18fc5aacd5e940e4b7ddfe9a85263406', '4babf70192b444c1a6455acd97764460', 'False', 'True', 'false', 'false', '511303001595', 5, '广福寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001595', 1, '2021-07-19 11:48:26', NULL, NULL), (16572, '', '龙王塘村', '23673b67b51b481696e2ab366af4f3e7', '4babf70192b444c1a6455acd97764460', 'False', 'True', 'false', 'false', '511303001889', 5, '龙王塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001889', 1, '2021-07-19 11:48:26', NULL, NULL), (16573, '', '孢房沟村', '762544b8cca74d59b48c77e5b72b0950', '4babf70192b444c1a6455acd97764460', 'False', 'True', 'false', 'false', '511303001980', 5, '孢房沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303001980', 1, '2021-07-19 11:48:26', NULL, NULL), (16574, '', '青居镇', 'dc9cab20b75d4f67ae18b9d1490a9b68', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303907000', 4, '青居镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303907000', 1, '2021-07-19 11:48:26', NULL, NULL), (16575, '', '马鞍社区', '56e9b940481d47d4980b29c9234e667f', 'dc9cab20b75d4f67ae18b9d1490a9b68', 'False', 'True', 'false', 'false', '511303003117', 5, '马鞍社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003117', 1, '2021-07-19 11:48:26', NULL, NULL), (16576, '', '曙光村', '576e34a3ae784405951b9cafd7f7f9b6', 'dc9cab20b75d4f67ae18b9d1490a9b68', 'False', 'True', 'false', 'false', '511303003226', 5, '曙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003226', 1, '2021-07-19 11:48:26', NULL, NULL), (16577, '', '烟山村', '2acfced8b40e42dfa7394306289ac8fc', 'dc9cab20b75d4f67ae18b9d1490a9b68', 'False', 'True', 'false', 'false', '511303003267', 5, '烟山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003267', 1, '2021-07-19 11:48:27', NULL, NULL), (16578, '', '先进村', '9b85cb4602d441dbb874dd5ea4757deb', 'dc9cab20b75d4f67ae18b9d1490a9b68', 'False', 'True', 'false', 'false', '511303003545', 5, '先进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003545', 1, '2021-07-19 11:48:27', NULL, NULL), (16579, '', '明光村', '54a52da042f243e8824509736198a1e9', 'dc9cab20b75d4f67ae18b9d1490a9b68', 'False', 'True', 'false', 'false', '511303003711', 5, '明光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003711', 1, '2021-07-19 11:48:27', NULL, NULL), (16580, '', '国光村', 'e5458b06778140f6b9e42eadc5f03746', 'dc9cab20b75d4f67ae18b9d1490a9b68', 'False', 'True', 'false', 'false', '511303003835', 5, '国光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003835', 1, '2021-07-19 11:48:27', NULL, NULL), (16581, '', '阙家镇', '99a2405dd7f94ab8b4627e04087f8cbf', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303919000', 4, '阙家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303919000', 1, '2021-07-19 11:48:27', NULL, NULL), (16582, '', '联盟村', 'f03a9f959ec54e9f944e7fc80c2be7ad', '99a2405dd7f94ab8b4627e04087f8cbf', 'False', 'True', 'false', 'false', '511303000035', 5, '联盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000035', 1, '2021-07-19 11:48:27', NULL, NULL), (16583, '', '和平村', '85e980ce54b94504a906f857e64fcaff', '99a2405dd7f94ab8b4627e04087f8cbf', 'False', 'True', 'false', 'false', '511303000184', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000184', 1, '2021-07-19 11:48:27', NULL, NULL), (16584, '', '指挥村', 'b1eaeef14eb04bfea6ee20d00d7acc21', '99a2405dd7f94ab8b4627e04087f8cbf', 'False', 'True', 'false', 'false', '511303000357', 5, '指挥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000357', 1, '2021-07-19 11:48:27', NULL, NULL), (16585, '', '玛瑙村', '570b0865ddf748d1be92762400e03373', '99a2405dd7f94ab8b4627e04087f8cbf', 'False', 'True', 'false', 'false', '511303000637', 5, '玛瑙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000637', 1, '2021-07-19 11:48:27', NULL, NULL), (16586, '', '利光村', '0b5ba0bd85a24d6892e00fd6df3c540e', '99a2405dd7f94ab8b4627e04087f8cbf', 'False', 'True', 'false', 'false', '511303000638', 5, '利光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000638', 1, '2021-07-19 11:48:27', NULL, NULL), (16587, '', '鲜江村', 'ab2a5093fe404d8187a8166cb63ff1f7', '99a2405dd7f94ab8b4627e04087f8cbf', 'False', 'True', 'false', 'false', '511303000717', 5, '鲜江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000717', 1, '2021-07-19 11:48:27', NULL, NULL), (16588, '', '溪头村', '3a573e683d7047619e411406c985e4e9', '99a2405dd7f94ab8b4627e04087f8cbf', 'False', 'True', 'false', 'false', '511303000721', 5, '溪头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000721', 1, '2021-07-19 11:48:27', NULL, NULL), (16589, '', '红果社区', '401d75b88c3a4d799ac4a20ad41dfab3', '99a2405dd7f94ab8b4627e04087f8cbf', 'False', 'True', 'false', 'false', '511303000735', 5, '红果社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000735', 1, '2021-07-19 11:48:27', NULL, NULL), (16590, '', '火烽村', '87af8608f13b4eb1805a81308913b10d', '99a2405dd7f94ab8b4627e04087f8cbf', 'False', 'True', 'false', 'false', '511303000828', 5, '火烽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000828', 1, '2021-07-19 11:48:28', NULL, NULL), (16591, '', '红光村', '2ed39b3394eb4b44b2756fa43b47cd73', '99a2405dd7f94ab8b4627e04087f8cbf', 'False', 'True', 'false', 'false', '511303000981', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303000981', 1, '2021-07-19 11:48:28', NULL, NULL), (16592, '', '清溪街道', '464469200363461f8c67865454b0024a', 'd8e1e2278b4a4ed58b16da843d919b2f', 'True', 'True', 'false', 'false', '511303931000', 4, '清溪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511303931000', 1, '2021-07-19 11:48:28', NULL, NULL), (16593, '', '安汉路社区', '69a76acc467e471db7d750e4046e35b9', '464469200363461f8c67865454b0024a', 'False', 'True', 'false', 'false', '511303003035', 5, '安汉路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003035', 1, '2021-07-19 11:48:28', NULL, NULL), (16594, '', '祖师庙社区', '0f7afbd18df54f04bd5f25ae7f210dca', '464469200363461f8c67865454b0024a', 'False', 'True', 'false', 'false', '511303003047', 5, '祖师庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003047', 1, '2021-07-19 11:48:28', NULL, NULL), (16595, '', '河东街社区', '0dd58946d680495587190135b195a8c1', '464469200363461f8c67865454b0024a', 'False', 'True', 'false', 'false', '511303003179', 5, '河东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003179', 1, '2021-07-19 11:48:28', NULL, NULL), (16596, '', '桂清路社区', 'f2b85650c8b1417eacfd50446d764d04', '464469200363461f8c67865454b0024a', 'False', 'True', 'false', 'false', '511303003298', 5, '桂清路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003298', 1, '2021-07-19 11:48:28', NULL, NULL), (16597, '', '北斗坪村', '8cd6b126157147bbaa7437acff60d6fd', '464469200363461f8c67865454b0024a', 'False', 'True', 'false', 'false', '511303003447', 5, '北斗坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003447', 1, '2021-07-19 11:48:28', NULL, NULL), (16598, '', '高坪社区', 'ce586819e5b146ac9bd78b9e0dad956e', '464469200363461f8c67865454b0024a', 'False', 'True', 'false', 'false', '511303003552', 5, '高坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003552', 1, '2021-07-19 11:48:28', NULL, NULL), (16599, '', '琴台路社区', '03af579dff464a16904d74db974643d5', '464469200363461f8c67865454b0024a', 'False', 'True', 'false', 'false', '511303003652', 5, '琴台路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003652', 1, '2021-07-19 11:48:28', NULL, NULL), (16600, '', '兴安路社区', '013ad389f7c0489382ee8c1da906bc94', '464469200363461f8c67865454b0024a', 'False', 'True', 'false', 'false', '511303003702', 5, '兴安路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003702', 1, '2021-07-19 11:48:28', NULL, NULL), (16601, '', '航空家园社区', '953d3e7cdd3b4b6e9b1bea3edca8611e', '464469200363461f8c67865454b0024a', 'False', 'True', 'false', 'false', '511303003710', 5, '航空家园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003710', 1, '2021-07-19 11:48:28', NULL, NULL), (16602, '', '龙头寺村', '0c56b3a95e9045b1a6360e95103a5567', '464469200363461f8c67865454b0024a', 'False', 'True', 'false', 'false', '511303003977', 5, '龙头寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511303003977', 1, '2021-07-19 11:48:28', NULL, NULL), (16603, '', '嘉陵区', 'c64cec88e8b24401bf286eed904d496f', 'd9f01e465bbf4f06b12dda9480080f67', 'True', 'True', 'true', 'true', '511304000000', 3, '嘉陵区', 'ncsjlq.sczwfw.gov.cn', 1, '2021-07-19 11:48:28', NULL, NULL), (16604, '', '火花街道', '6967630904424f44acd2c3ce1c7c659c', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304001000', 4, '火花街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304001000', 1, '2021-07-19 11:48:28', NULL, NULL), (16605, '', '黄莲湾社区', 'cb05b6a6da154d64bee2faa3a5ed7c1b', '6967630904424f44acd2c3ce1c7c659c', 'False', 'True', 'false', 'false', '511304001001', 5, '黄莲湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304001001', 1, '2021-07-19 11:48:28', NULL, NULL), (16606, '', '蚂蝗堰社区', '90dafe23456a4f92a40ab22d11fafc17', '6967630904424f44acd2c3ce1c7c659c', 'False', 'True', 'false', 'false', '511304001002', 5, '蚂蝗堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304001002', 1, '2021-07-19 11:48:28', NULL, NULL), (16607, '', '任家桥社区', 'f00ebc8fb4854ac2b3e97e04b2008132', '6967630904424f44acd2c3ce1c7c659c', 'False', 'True', 'false', 'false', '511304001003', 5, '任家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304001003', 1, '2021-07-19 11:48:29', NULL, NULL), (16608, '', '宝光山社区', '86279608aa4c473a9632cfc44313efc5', '6967630904424f44acd2c3ce1c7c659c', 'False', 'True', 'false', 'false', '511304001004', 5, '宝光山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304001004', 1, '2021-07-19 11:48:29', NULL, NULL), (16609, '', '镇庆寺社区', '4a7d093c930b489c86e0d059d8c913f7', '6967630904424f44acd2c3ce1c7c659c', 'False', 'True', 'false', 'false', '511304001005', 5, '镇庆寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304001005', 1, '2021-07-19 11:48:29', NULL, NULL), (16610, '', '白马庙社区', 'ab88ba4798324569829886a9c1b0d5b5', '6967630904424f44acd2c3ce1c7c659c', 'False', 'True', 'false', 'false', '511304001006', 5, '白马庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304001006', 1, '2021-07-19 11:48:29', NULL, NULL), (16611, '', '陈寿路社区', 'f76908ed6b924babada6a70ea48648e4', '6967630904424f44acd2c3ce1c7c659c', 'False', 'True', 'false', 'false', '511304001007', 5, '陈寿路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304001007', 1, '2021-07-19 11:48:29', NULL, NULL), (16612, '', '都尉街道', 'ae55c440245d47bab3c7a595cdc0c23b', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304003000', 4, '都尉街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304003000', 1, '2021-07-19 11:48:29', NULL, NULL), (16613, '', '天井沟社区', '51394a9b6c204f0cbaed1f834388d969', 'ae55c440245d47bab3c7a595cdc0c23b', 'False', 'True', 'false', 'false', '511304003003', 5, '天井沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304003003', 1, '2021-07-19 11:48:29', NULL, NULL), (16614, '', '头洞桥社区', '6a7726ab0dd8422ab29b7e41a78331a9', 'ae55c440245d47bab3c7a595cdc0c23b', 'False', 'True', 'false', 'false', '511304003004', 5, '头洞桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304003004', 1, '2021-07-19 11:48:29', NULL, NULL), (16615, '', '何家社区', 'e5bcb9a82d434c64b81b0c8c09d23b93', 'ae55c440245d47bab3c7a595cdc0c23b', 'False', 'True', 'false', 'false', '511304003005', 5, '何家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304003005', 1, '2021-07-19 11:48:29', NULL, NULL), (16616, '', '冯家桥社区', '6bde299e795542808fde34536a8c8980', 'ae55c440245d47bab3c7a595cdc0c23b', 'False', 'True', 'false', 'false', '511304003006', 5, '冯家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304003006', 1, '2021-07-19 11:48:29', NULL, NULL), (16617, '', '甲子沟社区', '92a10b19cc6a41c88ac408f35aae275f', 'ae55c440245d47bab3c7a595cdc0c23b', 'False', 'True', 'false', 'false', '511304003007', 5, '甲子沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304003007', 1, '2021-07-19 11:48:29', NULL, NULL), (16618, '', '蒲村宫社区', 'dd427c39cbac49d58a314678d558ded7', 'ae55c440245d47bab3c7a595cdc0c23b', 'False', 'True', 'false', 'false', '511304003008', 5, '蒲村宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304003008', 1, '2021-07-19 11:48:29', NULL, NULL), (16619, '', '书房嘴社区', '22f3082a2275455da27b20f0b4d7faba', 'ae55c440245d47bab3c7a595cdc0c23b', 'False', 'True', 'false', 'false', '511304003009', 5, '书房嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304003009', 1, '2021-07-19 11:48:30', NULL, NULL), (16620, '', '古坟嘴社区', '3d0994306f974603b8698a9046b65143', 'ae55c440245d47bab3c7a595cdc0c23b', 'False', 'True', 'false', 'false', '511304003010', 5, '古坟嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304003010', 1, '2021-07-19 11:48:30', NULL, NULL), (16621, '', '杜家祠社区', '151676629e8d4bbc8f6b5f48bf60fe57', 'ae55c440245d47bab3c7a595cdc0c23b', 'False', 'True', 'false', 'false', '511304003011', 5, '杜家祠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304003011', 1, '2021-07-19 11:48:30', NULL, NULL), (16622, '', '文峰街道', '34f8960a4bc84eee838c9e381a527b8f', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304004000', 4, '文峰街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304004000', 1, '2021-07-19 11:48:30', NULL, NULL), (16623, '', '射洪庙社区', '8c071d60edb841b0bc6cf936940ef6ca', '34f8960a4bc84eee838c9e381a527b8f', 'False', 'True', 'false', 'false', '511304004002', 5, '射洪庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304004002', 1, '2021-07-19 11:48:30', NULL, NULL), (16624, '', '党家寺社区', 'aace79971bd34c7db682cc5179564762', '34f8960a4bc84eee838c9e381a527b8f', 'False', 'True', 'false', 'false', '511304004003', 5, '党家寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304004003', 1, '2021-07-19 11:48:30', NULL, NULL), (16625, '', '二龙社区', 'b2aa2dbf99024271bf1e729ee2eb023b', '34f8960a4bc84eee838c9e381a527b8f', 'False', 'True', 'false', 'false', '511304004004', 5, '二龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304004004', 1, '2021-07-19 11:48:30', NULL, NULL), (16626, '', '乌木桥社区', '6ef35916c12f4da0ba3d3a7a21b7d13b', '34f8960a4bc84eee838c9e381a527b8f', 'False', 'True', 'false', 'false', '511304004005', 5, '乌木桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304004005', 1, '2021-07-19 11:48:30', NULL, NULL), (16627, '', '耀目坝社区', '70c1b22a33a74b3a88c44c663303a464', '34f8960a4bc84eee838c9e381a527b8f', 'False', 'True', 'false', 'false', '511304004006', 5, '耀目坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304004006', 1, '2021-07-19 11:48:30', NULL, NULL), (16628, '', '渭钟沱社区', 'c0ff1ca7df6a4291a81a6717616fed8f', '34f8960a4bc84eee838c9e381a527b8f', 'False', 'True', 'false', 'false', '511304004007', 5, '渭钟沱社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304004007', 1, '2021-07-19 11:48:30', NULL, NULL), (16629, '', '观音堂社区', '79f014af2f0542b0bc69240b5fb8a808', '34f8960a4bc84eee838c9e381a527b8f', 'False', 'True', 'false', 'false', '511304004008', 5, '观音堂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304004008', 1, '2021-07-19 11:48:31', NULL, NULL), (16630, '', '联工社区', '31977daeb3b948cb9835a46aad5bbbe4', '34f8960a4bc84eee838c9e381a527b8f', 'False', 'True', 'false', 'false', '511304004009', 5, '联工社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304004009', 1, '2021-07-19 11:48:31', NULL, NULL), (16631, '', '西兴街道', 'd71819bedcd24e31a9970e3c14adb907', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304005000', 4, '西兴街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304005000', 1, '2021-07-19 11:48:31', NULL, NULL), (16632, '', '西兴社区', 'bbc6f51ad8a04e95bb112053ab1a4bd2', 'd71819bedcd24e31a9970e3c14adb907', 'False', 'True', 'false', 'false', '511304005001', 5, '西兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304005001', 1, '2021-07-19 11:48:31', NULL, NULL), (16633, '', '上小方沟社区', 'daa2b65735734956beb923d45bfcce53', 'd71819bedcd24e31a9970e3c14adb907', 'False', 'True', 'false', 'false', '511304005002', 5, '上小方沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304005002', 1, '2021-07-19 11:48:31', NULL, NULL), (16634, '', '下小方沟社区', 'ec668737dce64bdc98e10c10605bfb2b', 'd71819bedcd24e31a9970e3c14adb907', 'False', 'True', 'false', 'false', '511304005003', 5, '下小方沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304005003', 1, '2021-07-19 11:48:31', NULL, NULL), (16635, '', '玉皇宫社区', 'ab75dc29eccb4b129f0db403373dd2e8', 'd71819bedcd24e31a9970e3c14adb907', 'False', 'True', 'false', 'false', '511304005004', 5, '玉皇宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304005004', 1, '2021-07-19 11:48:31', NULL, NULL), (16636, '', '大方沟社区', 'a97c81d5e59a4fa9a2d6f3e3b41a651d', 'd71819bedcd24e31a9970e3c14adb907', 'False', 'True', 'false', 'false', '511304005005', 5, '大方沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304005005', 1, '2021-07-19 11:48:31', NULL, NULL), (16637, '', '法华寺社区', '25b0df8d9d65431880028152a4b511e0', 'd71819bedcd24e31a9970e3c14adb907', 'False', 'True', 'false', 'false', '511304005006', 5, '法华寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304005006', 1, '2021-07-19 11:48:31', NULL, NULL), (16638, '', '孙家坝社区', '56e9b1b7f90340beb426466965cc644c', 'd71819bedcd24e31a9970e3c14adb907', 'False', 'True', 'false', 'false', '511304005007', 5, '孙家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304005007', 1, '2021-07-19 11:48:31', NULL, NULL), (16639, '', '干井坝社区', 'd4db4861082e4139b3883ffd98848ff9', 'd71819bedcd24e31a9970e3c14adb907', 'False', 'True', 'false', 'false', '511304005008', 5, '干井坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304005008', 1, '2021-07-19 11:48:31', NULL, NULL), (16640, '', '场岗岭社区', '96b72e17e75e476aa8fd75cca0c3aa8d', 'd71819bedcd24e31a9970e3c14adb907', 'False', 'True', 'false', 'false', '511304005009', 5, '场岗岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304005009', 1, '2021-07-19 11:48:32', NULL, NULL), (16641, '', '公子嘴社区', '36e8920611ec4022bb5869d4ab72adfd', 'd71819bedcd24e31a9970e3c14adb907', 'False', 'True', 'false', 'false', '511304005010', 5, '公子嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304005010', 1, '2021-07-19 11:48:32', NULL, NULL), (16642, '', '杨家沟社区', 'c05ec7e10d284bbab890640b101fbf4d', 'd71819bedcd24e31a9970e3c14adb907', 'False', 'True', 'false', 'false', '511304005011', 5, '杨家沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304005011', 1, '2021-07-19 11:48:32', NULL, NULL), (16643, '', '孙家沟社区', 'd45e3a51c3884167b3a702bd33a42f0a', 'd71819bedcd24e31a9970e3c14adb907', 'False', 'True', 'false', 'false', '511304005012', 5, '孙家沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304005012', 1, '2021-07-19 11:48:32', NULL, NULL), (16644, '', '南湖街道', '937146d58189497685cd57c33ead5d73', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304006000', 4, '南湖街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304006000', 1, '2021-07-19 11:48:32', NULL, NULL), (16645, '', '茶盘寺社区', '64dbe6ded69c48d1a2e4b7bbb1ee7a12', '937146d58189497685cd57c33ead5d73', 'False', 'True', 'false', 'false', '511304006001', 5, '茶盘寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304006001', 1, '2021-07-19 11:48:32', NULL, NULL), (16646, '', '都尉坝社区', 'd353997655c8457ebe2a0c6802397f8b', '937146d58189497685cd57c33ead5d73', 'False', 'True', 'false', 'false', '511304006002', 5, '都尉坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304006002', 1, '2021-07-19 11:48:32', NULL, NULL), (16647, '', '泥溪口社区', '012ad52472fa4da5a661f08612e42184', '937146d58189497685cd57c33ead5d73', 'False', 'True', 'false', 'false', '511304006003', 5, '泥溪口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304006003', 1, '2021-07-19 11:48:32', NULL, NULL), (16648, '', '塘殿堰社区', '7e46c0a611c348bba3535f27d4333178', '937146d58189497685cd57c33ead5d73', 'False', 'True', 'false', 'false', '511304006004', 5, '塘殿堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304006004', 1, '2021-07-19 11:48:32', NULL, NULL), (16649, '', '高板桥社区', '6744748d6d2940a5b8592dd1209b61bb', '937146d58189497685cd57c33ead5d73', 'False', 'True', 'false', 'false', '511304006005', 5, '高板桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304006005', 1, '2021-07-19 11:48:32', NULL, NULL), (16650, '', '曲水镇', 'edd34af86fd14bc382501e038c7fc470', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304101000', 4, '曲水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304101000', 1, '2021-07-19 11:48:32', NULL, NULL), (16651, '', '晴波村', '2be3999739e84836932f7a04a77900d3', 'edd34af86fd14bc382501e038c7fc470', 'False', 'True', 'false', 'false', '511304101201', 5, '晴波村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304101201', 1, '2021-07-19 11:48:32', NULL, NULL), (16652, '', '钟家桥村', 'ed30ec9d6f8c45a7ac2975862abeca3b', 'edd34af86fd14bc382501e038c7fc470', 'False', 'True', 'false', 'false', '511304101202', 5, '钟家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304101202', 1, '2021-07-19 11:48:32', NULL, NULL), (16653, '', '和平桥村', '72302d8371294f7785b877e6a82f7452', 'edd34af86fd14bc382501e038c7fc470', 'False', 'True', 'false', 'false', '511304101203', 5, '和平桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304101203', 1, '2021-07-19 11:48:32', NULL, NULL), (16654, '', '胜兴村', 'dcd196cf4d34472aa0e242ea3c85beaf', 'edd34af86fd14bc382501e038c7fc470', 'False', 'True', 'false', 'false', '511304101204', 5, '胜兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304101204', 1, '2021-07-19 11:48:32', NULL, NULL), (16655, '', '群路村', 'a02bc14eca2c48a789df30087732d52b', 'edd34af86fd14bc382501e038c7fc470', 'False', 'True', 'false', 'false', '511304101205', 5, '群路村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304101205', 1, '2021-07-19 11:48:32', NULL, NULL), (16656, '', '天宫山村', '25d4496fb39b4711a131f60902935b28', 'edd34af86fd14bc382501e038c7fc470', 'False', 'True', 'false', 'false', '511304101206', 5, '天宫山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304101206', 1, '2021-07-19 11:48:33', NULL, NULL), (16657, '', '群建村', 'daf6ded6a6e44b08aa296eb8d64ff912', 'edd34af86fd14bc382501e038c7fc470', 'False', 'True', 'false', 'false', '511304101207', 5, '群建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304101207', 1, '2021-07-19 11:48:33', NULL, NULL), (16658, '', '明星村', '495a2a78f3c940379512cac32c630f54', 'edd34af86fd14bc382501e038c7fc470', 'False', 'True', 'false', 'false', '511304101208', 5, '明星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304101208', 1, '2021-07-19 11:48:33', NULL, NULL), (16659, '', '明月村', '44062d0e27394cb38b13f371e6fa0aee', 'edd34af86fd14bc382501e038c7fc470', 'False', 'True', 'false', 'false', '511304101209', 5, '明月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304101209', 1, '2021-07-19 11:48:33', NULL, NULL), (16660, '', '千丘田村', '1acfe26272d0407ca0f0a97ab652ee74', 'edd34af86fd14bc382501e038c7fc470', 'False', 'True', 'false', 'false', '511304101210', 5, '千丘田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304101210', 1, '2021-07-19 11:48:33', NULL, NULL), (16661, '', '纪村沟村', 'f2a525beae794825a5bfa3c15b8c01b2', 'edd34af86fd14bc382501e038c7fc470', 'False', 'True', 'false', 'false', '511304101211', 5, '纪村沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304101211', 1, '2021-07-19 11:48:33', NULL, NULL), (16662, '', '大生桥村', 'f28563ffb64f4f48b13f70035b3ee333', 'edd34af86fd14bc382501e038c7fc470', 'False', 'True', 'false', 'false', '511304101212', 5, '大生桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304101212', 1, '2021-07-19 11:48:33', NULL, NULL), (16663, '', '李渡镇', '88b4fd41c7644c728ddd60d88a413529', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304102000', 4, '李渡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304102000', 1, '2021-07-19 11:48:33', NULL, NULL), (16664, '', '嘉民社区', 'c84789542357439e87441d5c30606ca2', '88b4fd41c7644c728ddd60d88a413529', 'False', 'True', 'false', 'false', '511304102001', 5, '嘉民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304102001', 1, '2021-07-19 11:48:33', NULL, NULL), (16665, '', '富民社区', '7c2021f19d7e44418b9c747975ae1c5c', '88b4fd41c7644c728ddd60d88a413529', 'False', 'True', 'false', 'false', '511304102002', 5, '富民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304102002', 1, '2021-07-19 11:48:33', NULL, NULL), (16666, '', '龙头桥社区', '17e5521d48cb43cc94f28f89ae1e73bd', '88b4fd41c7644c728ddd60d88a413529', 'False', 'True', 'false', 'false', '511304102201', 5, '龙头桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304102201', 1, '2021-07-19 11:48:33', NULL, NULL), (16667, '', '保沙庙社区', '2e69cc4d913a4186a11a3251a7077085', '88b4fd41c7644c728ddd60d88a413529', 'False', 'True', 'false', 'false', '511304102202', 5, '保沙庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304102202', 1, '2021-07-19 11:48:33', NULL, NULL), (16668, '', '望水庙村', 'a198d0fcf34f49dbb5035c579173b6eb', '88b4fd41c7644c728ddd60d88a413529', 'False', 'True', 'false', 'false', '511304102203', 5, '望水庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304102203', 1, '2021-07-19 11:48:33', NULL, NULL), (16669, '', '邓家湾村', '35bd09952da14517a4c933faad5f01e7', '88b4fd41c7644c728ddd60d88a413529', 'False', 'True', 'false', 'false', '511304102204', 5, '邓家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304102204', 1, '2021-07-19 11:48:33', NULL, NULL), (16670, '', '汉塘社区', 'f5bddd24b9c24c40a7ea19ab51940af1', '88b4fd41c7644c728ddd60d88a413529', 'False', 'True', 'false', 'false', '511304102205', 5, '汉塘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304102205', 1, '2021-07-19 11:48:34', NULL, NULL), (16671, '', '东方井村', '0627ccfad1db48ba80696fa4fffd8900', '88b4fd41c7644c728ddd60d88a413529', 'False', 'True', 'false', 'false', '511304102206', 5, '东方井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304102206', 1, '2021-07-19 11:48:34', NULL, NULL), (16672, '', '安乐寺村', '7d99ae26d1e1489a8ba18e8e0f30ca77', '88b4fd41c7644c728ddd60d88a413529', 'False', 'True', 'false', 'false', '511304102207', 5, '安乐寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304102207', 1, '2021-07-19 11:48:34', NULL, NULL), (16673, '', '阁老坟村', 'ac22f3d44d1644ef994abec893040a39', '88b4fd41c7644c728ddd60d88a413529', 'False', 'True', 'false', 'false', '511304102208', 5, '阁老坟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304102208', 1, '2021-07-19 11:48:34', NULL, NULL), (16674, '', '邓家庙村', '102c89ca851445c8818dd311e73a0082', '88b4fd41c7644c728ddd60d88a413529', 'False', 'True', 'false', 'false', '511304102209', 5, '邓家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304102209', 1, '2021-07-19 11:48:34', NULL, NULL), (16675, '', '孙家梁村', '78b6a848c91c409abee7e131fc03e45b', '88b4fd41c7644c728ddd60d88a413529', 'False', 'True', 'false', 'false', '511304102210', 5, '孙家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304102210', 1, '2021-07-19 11:48:34', NULL, NULL), (16676, '', '王家庙村', '6cf40b63110f4ac6a2ba00bc34c52f43', '88b4fd41c7644c728ddd60d88a413529', 'False', 'True', 'false', 'false', '511304102211', 5, '王家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304102211', 1, '2021-07-19 11:48:34', NULL, NULL), (16677, '', '枣垭寺村', 'd57f2142530a45a099c4ac0848a333ab', '88b4fd41c7644c728ddd60d88a413529', 'False', 'True', 'false', 'false', '511304102212', 5, '枣垭寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304102212', 1, '2021-07-19 11:48:34', NULL, NULL), (16678, '', '张家桥村', 'fba96336bc3642909d301d825b3e24ab', '88b4fd41c7644c728ddd60d88a413529', 'False', 'True', 'false', 'false', '511304102213', 5, '张家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304102213', 1, '2021-07-19 11:48:34', NULL, NULL), (16679, '', '羊口村', 'af4a0d6ab3d64988833169d62dce4633', '88b4fd41c7644c728ddd60d88a413529', 'False', 'True', 'false', 'false', '511304102214', 5, '羊口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304102214', 1, '2021-07-19 11:48:34', NULL, NULL), (16680, '', '会龙桥村', '09ed287f1f9f462885054fea1dc3640b', '88b4fd41c7644c728ddd60d88a413529', 'False', 'True', 'false', 'false', '511304102215', 5, '会龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304102215', 1, '2021-07-19 11:48:34', NULL, NULL), (16681, '', '土地梁村', 'a10736bf2b4549cca5330637319f7233', '88b4fd41c7644c728ddd60d88a413529', 'False', 'True', 'false', 'false', '511304102216', 5, '土地梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304102216', 1, '2021-07-19 11:48:34', NULL, NULL), (16682, '', '吉安镇', '7e623abe19a04a05bd871c7e2d539e35', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304103000', 4, '吉安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304103000', 1, '2021-07-19 11:48:34', NULL, NULL), (16683, '', '三溪口社区', 'c2287527466648cc84a054365b41f02f', '7e623abe19a04a05bd871c7e2d539e35', 'False', 'True', 'false', 'false', '511304103001', 5, '三溪口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304103001', 1, '2021-07-19 11:48:35', NULL, NULL), (16684, '', '白鹤林村', 'b4000ccc3f314ec1ae53641b50dacc48', '7e623abe19a04a05bd871c7e2d539e35', 'False', 'True', 'false', 'false', '511304103201', 5, '白鹤林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304103201', 1, '2021-07-19 11:48:35', NULL, NULL), (16685, '', '军民桥村', '532417d846e14644a94e8e29faf29c8a', '7e623abe19a04a05bd871c7e2d539e35', 'False', 'True', 'false', 'false', '511304103202', 5, '军民桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304103202', 1, '2021-07-19 11:48:35', NULL, NULL), (16686, '', '张家坝村', '4ff656866841487b9a8361f73550e8bc', '7e623abe19a04a05bd871c7e2d539e35', 'False', 'True', 'false', 'false', '511304103203', 5, '张家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304103203', 1, '2021-07-19 11:48:35', NULL, NULL), (16687, '', '任家村', '9822981408bb434f84c6391281566c83', '7e623abe19a04a05bd871c7e2d539e35', 'False', 'True', 'false', 'false', '511304103204', 5, '任家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304103204', 1, '2021-07-19 11:48:35', NULL, NULL), (16688, '', '介顶寺村', 'f671ecda550c41eeba58bf8b5afce38e', '7e623abe19a04a05bd871c7e2d539e35', 'False', 'True', 'false', 'false', '511304103205', 5, '介顶寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304103205', 1, '2021-07-19 11:48:35', NULL, NULL), (16689, '', '秧鸡沟村', 'adab048f9ca9468f93b8db04c0061a5a', '7e623abe19a04a05bd871c7e2d539e35', 'False', 'True', 'false', 'false', '511304103206', 5, '秧鸡沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304103206', 1, '2021-07-19 11:48:35', NULL, NULL), (16690, '', '灯笼桥村', '18f1dc949dc4469184c85074186ec991', '7e623abe19a04a05bd871c7e2d539e35', 'False', 'True', 'false', 'false', '511304103207', 5, '灯笼桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304103207', 1, '2021-07-19 11:48:35', NULL, NULL), (16691, '', '吉安村', 'f1e5f9e9996c4d1a8dbc58c10c1d12d3', '7e623abe19a04a05bd871c7e2d539e35', 'False', 'True', 'false', 'false', '511304103208', 5, '吉安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304103208', 1, '2021-07-19 11:48:35', NULL, NULL), (16692, '', '杜家桥村', 'ceccf275599e409da40063d11bd24222', '7e623abe19a04a05bd871c7e2d539e35', 'False', 'True', 'false', 'false', '511304103209', 5, '杜家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304103209', 1, '2021-07-19 11:48:35', NULL, NULL), (16693, '', '杜家祠村', 'b9d25d1c80114334850dda9b1abf7d25', '7e623abe19a04a05bd871c7e2d539e35', 'False', 'True', 'false', 'false', '511304103210', 5, '杜家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304103210', 1, '2021-07-19 11:48:35', NULL, NULL), (16694, '', '七二嘴村', '10eb5b86bd4c4023b3b06956bb4fa632', '7e623abe19a04a05bd871c7e2d539e35', 'False', 'True', 'false', 'false', '511304103211', 5, '七二嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304103211', 1, '2021-07-19 11:48:35', NULL, NULL), (16695, '', '五通庙村', '440abc5f800c4e509dad512160878a86', '7e623abe19a04a05bd871c7e2d539e35', 'False', 'True', 'false', 'false', '511304103212', 5, '五通庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304103212', 1, '2021-07-19 11:48:35', NULL, NULL), (16696, '', '龙岭镇', 'bcc0c18805e84e33a80045e092a651aa', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304104000', 4, '龙岭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304104000', 1, '2021-07-19 11:48:35', NULL, NULL), (16697, '', '三教寺村', '451811896b024d87be841f838497684f', 'bcc0c18805e84e33a80045e092a651aa', 'False', 'True', 'false', 'false', '511304104089', 5, '三教寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304104089', 1, '2021-07-19 11:48:36', NULL, NULL), (16698, '', '飞龙村村', '14d84aba52a145b7aee651503bdab51f', 'bcc0c18805e84e33a80045e092a651aa', 'False', 'False', 'false', 'false', '511304104201', 5, '飞龙村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304104201', 1, '2021-07-19 11:48:36', NULL, NULL), (16699, '', '尚家坝村', '2c505806c9a64e53a72ad1c18cbda4de', 'bcc0c18805e84e33a80045e092a651aa', 'False', 'True', 'false', 'false', '511304104202', 5, '尚家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304104202', 1, '2021-07-19 11:48:36', NULL, NULL), (16700, '', '苏丹沟村', 'd65e3dc47d5846548b3dbb4334e8f41f', 'bcc0c18805e84e33a80045e092a651aa', 'False', 'True', 'false', 'false', '511304104203', 5, '苏丹沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304104203', 1, '2021-07-19 11:48:36', NULL, NULL), (16701, '', '牛寺沟村', '58ef0bf1bed54a31a4ea2bbb79503a6f', 'bcc0c18805e84e33a80045e092a651aa', 'False', 'True', 'false', 'false', '511304104204', 5, '牛寺沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304104204', 1, '2021-07-19 11:48:36', NULL, NULL), (16702, '', '芭蕉桥村', '5b99de834f9140b3a9f5b99c29bbbea5', 'bcc0c18805e84e33a80045e092a651aa', 'False', 'True', 'false', 'false', '511304104205', 5, '芭蕉桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304104205', 1, '2021-07-19 11:48:36', NULL, NULL), (16703, '', '玉皇观村', '841c84d50d2a4eaaa424aa31e4603ce8', 'bcc0c18805e84e33a80045e092a651aa', 'False', 'True', 'false', 'false', '511304104206', 5, '玉皇观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304104206', 1, '2021-07-19 11:48:36', NULL, NULL), (16704, '', '对面坡村', 'abea03337809453692d5d724edc5cc27', 'bcc0c18805e84e33a80045e092a651aa', 'False', 'True', 'false', 'false', '511304104207', 5, '对面坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304104207', 1, '2021-07-19 11:48:36', NULL, NULL), (16705, '', '陈家沟村', '044c1ea0f8d04c1f94aa046bffc075cd', 'bcc0c18805e84e33a80045e092a651aa', 'False', 'True', 'false', 'false', '511304104208', 5, '陈家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304104208', 1, '2021-07-19 11:48:36', NULL, NULL), (16706, '', '天井坝村', 'c469c176b4e04dffa5ec05bce50eeabf', 'bcc0c18805e84e33a80045e092a651aa', 'False', 'True', 'false', 'false', '511304104209', 5, '天井坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304104209', 1, '2021-07-19 11:48:36', NULL, NULL), (16707, '', '何家坝村', 'e04416d3797948828f8faa6f712d9930', 'bcc0c18805e84e33a80045e092a651aa', 'False', 'True', 'false', 'false', '511304104210', 5, '何家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304104210', 1, '2021-07-19 11:48:36', NULL, NULL), (16708, '', '贺家沟村', '67909f76ba874cd889920f5a6b15afe1', 'bcc0c18805e84e33a80045e092a651aa', 'False', 'True', 'false', 'false', '511304104212', 5, '贺家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304104212', 1, '2021-07-19 11:48:36', NULL, NULL), (16709, '', '铧镗沟村', '29a179b83bdd4640b75c2fad97abe452', 'bcc0c18805e84e33a80045e092a651aa', 'False', 'True', 'false', 'false', '511304104213', 5, '铧镗沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304104213', 1, '2021-07-19 11:48:36', NULL, NULL), (16710, '', '富垭口村', '0fbe91a53a3f4e418d30cde814a606e3', 'bcc0c18805e84e33a80045e092a651aa', 'False', 'True', 'false', 'false', '511304104214', 5, '富垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304104214', 1, '2021-07-19 11:48:36', NULL, NULL), (16711, '', '高河坎村', '5a881586546d46b1b249553b163daa0b', 'bcc0c18805e84e33a80045e092a651aa', 'False', 'True', 'false', 'false', '511304104215', 5, '高河坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304104215', 1, '2021-07-19 11:48:37', NULL, NULL), (16712, '', '楼梯沟村', '89c1c05efac04be4bd740a2c03e8b81c', 'bcc0c18805e84e33a80045e092a651aa', 'False', 'True', 'false', 'false', '511304104216', 5, '楼梯沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304104216', 1, '2021-07-19 11:48:37', NULL, NULL), (16713, '', '金凤镇', '221f2f0794a8472da3f87a410e996d4e', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304105000', 4, '金凤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304105000', 1, '2021-07-19 11:48:37', NULL, NULL), (16714, '', '金盛社区', '4ae200a6ec24415a813c7908064854d0', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105002', 5, '金盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105002', 1, '2021-07-19 11:48:37', NULL, NULL), (16715, '', '金福社区', '705b3d8da9e44e79b3a029d5aaac742e', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105003', 5, '金福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105003', 1, '2021-07-19 11:48:37', NULL, NULL), (16716, '', '观音坝村', 'b9176a1da9274bb3affb835d1b0b0128', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105029', 5, '观音坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105029', 1, '2021-07-19 11:48:37', NULL, NULL), (16717, '', '流溪寺村', '53252852bf6a426b84f842d44baaf512', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105201', 5, '流溪寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105201', 1, '2021-07-19 11:48:37', NULL, NULL), (16718, '', '牛王庙村', '5169b19ecb17481b9e55e4d4e987d379', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105202', 5, '牛王庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105202', 1, '2021-07-19 11:48:37', NULL, NULL), (16719, '', '高穴寺村', 'ad72139852f640aeb772bdb1d7bf2546', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105203', 5, '高穴寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105203', 1, '2021-07-19 11:48:37', NULL, NULL), (16720, '', '双碾房村', '0c3db23f4a824b8e9ad30835f88483ce', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105204', 5, '双碾房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105204', 1, '2021-07-19 11:48:37', NULL, NULL), (16721, '', '金鸡沟村', '43bdf42354ea4a478b2ecad8ba3ef744', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105205', 5, '金鸡沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105205', 1, '2021-07-19 11:48:37', NULL, NULL), (16722, '', '白鸽嘴村', 'dc71f9142b83459493d9a41b7393bbee', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105206', 5, '白鸽嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105206', 1, '2021-07-19 11:48:37', NULL, NULL), (16723, '', '沙坝村', '228a9cf766374b6aa7352c17a6949a2d', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105207', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105207', 1, '2021-07-19 11:48:37', NULL, NULL), (16724, '', '守塘湾村', '481544c2cbbd4c868f4adc921a48bacc', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105208', 5, '守塘湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105208', 1, '2021-07-19 11:48:37', NULL, NULL), (16725, '', '雍茶缸村', '97dde53a71014263b4553f0391d3a233', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105209', 5, '雍茶缸村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105209', 1, '2021-07-19 11:48:37', NULL, NULL), (16726, '', '韩家寺村', 'd498b3b8639e45cf814b9cfa88ffbba1', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105210', 5, '韩家寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105210', 1, '2021-07-19 11:48:37', NULL, NULL), (16727, '', '木桥田村', '9cebec6e6c9c4ae28bef13cda558545a', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105211', 5, '木桥田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105211', 1, '2021-07-19 11:48:37', NULL, NULL), (16728, '', '何良村', 'bb78b467695c453b8d9b1accb44c0a7f', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105213', 5, '何良村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105213', 1, '2021-07-19 11:48:37', NULL, NULL), (16729, '', '南水沟村', '3ef24d89f42a4b9ead90c25da7f3774d', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105214', 5, '南水沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105214', 1, '2021-07-19 11:48:38', NULL, NULL), (16730, '', '桥亭子村', 'a06e6cbae4154d188870bff963549491', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105215', 5, '桥亭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105215', 1, '2021-07-19 11:48:38', NULL, NULL), (16731, '', '土地坝村', 'ac1f166732d34c8982e04073b1a0d2ec', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105216', 5, '土地坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105216', 1, '2021-07-19 11:48:38', NULL, NULL), (16732, '', '缸子堰村', '10179b6fbc754ceabc3fa7b1400e9054', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105217', 5, '缸子堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105217', 1, '2021-07-19 11:48:38', NULL, NULL), (16733, '', '马兰坝村', '91d93ab900b04b4b94d2c3c8f1d95578', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105218', 5, '马兰坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105218', 1, '2021-07-19 11:48:38', NULL, NULL), (16734, '', '滑石滩村', 'fd87efd2fb6e4384b85aa7191e3e8f2d', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105219', 5, '滑石滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105219', 1, '2021-07-19 11:48:38', NULL, NULL), (16735, '', '兵马塘村', 'b9d4e52b70d049d896f5daac369a33d5', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105220', 5, '兵马塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105220', 1, '2021-07-19 11:48:38', NULL, NULL), (16736, '', '何家庙村', '6a5b502b06ee42399db5389ca734731e', '221f2f0794a8472da3f87a410e996d4e', 'False', 'True', 'false', 'false', '511304105221', 5, '何家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304105221', 1, '2021-07-19 11:48:38', NULL, NULL), (16737, '', '安福镇', '5f0e5ff77eb747f6857fb467b7f9f029', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304106000', 4, '安福镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304106000', 1, '2021-07-19 11:48:38', NULL, NULL), (16738, '', '永康社区', '05b1656f6fe64c5fba6204cc7a44de33', '5f0e5ff77eb747f6857fb467b7f9f029', 'False', 'True', 'false', 'false', '511304106001', 5, '永康社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304106001', 1, '2021-07-19 11:48:38', NULL, NULL), (16739, '', '安福村', '03d481cff97149bfbb4aa9dd0a3c9770', '5f0e5ff77eb747f6857fb467b7f9f029', 'False', 'True', 'false', 'false', '511304106201', 5, '安福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304106201', 1, '2021-07-19 11:48:38', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (16740, '', '新店子村', 'b33c71c887504c79a0eca17ba45ae379', '5f0e5ff77eb747f6857fb467b7f9f029', 'False', 'True', 'false', 'false', '511304106202', 5, '新店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304106202', 1, '2021-07-19 11:48:38', NULL, NULL), (16741, '', '马鞍堰村', '79d8fa6d89164051ae6bc8a4b054a031', '5f0e5ff77eb747f6857fb467b7f9f029', 'False', 'True', 'false', 'false', '511304106203', 5, '马鞍堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304106203', 1, '2021-07-19 11:48:38', NULL, NULL), (16742, '', '冷坛庙村', 'aedd13f39c9f45128bd29feec1b240ba', '5f0e5ff77eb747f6857fb467b7f9f029', 'False', 'True', 'false', 'false', '511304106204', 5, '冷坛庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304106204', 1, '2021-07-19 11:48:38', NULL, NULL), (16743, '', '碾盘湾村', 'd5641fa343b346109c4694cdc545406f', '5f0e5ff77eb747f6857fb467b7f9f029', 'False', 'True', 'false', 'false', '511304106205', 5, '碾盘湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304106205', 1, '2021-07-19 11:48:38', NULL, NULL), (16744, '', '四方井村', '5868015c7f1c47a7b0bc2bc292a6daa7', '5f0e5ff77eb747f6857fb467b7f9f029', 'False', 'True', 'false', 'false', '511304106206', 5, '四方井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304106206', 1, '2021-07-19 11:48:39', NULL, NULL), (16745, '', '斩龙垭村', '9c7494a3be0a4a999d970ecef42e184d', '5f0e5ff77eb747f6857fb467b7f9f029', 'False', 'True', 'false', 'false', '511304106207', 5, '斩龙垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304106207', 1, '2021-07-19 11:48:39', NULL, NULL), (16746, '', '牛项颈村', 'd6828924accd46e68003cda79c43c228', '5f0e5ff77eb747f6857fb467b7f9f029', 'False', 'True', 'false', 'false', '511304106208', 5, '牛项颈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304106208', 1, '2021-07-19 11:48:39', NULL, NULL), (16747, '', '九非沟村', '9b3722c203274fc59051a2a81995a086', '5f0e5ff77eb747f6857fb467b7f9f029', 'False', 'True', 'false', 'false', '511304106209', 5, '九非沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304106209', 1, '2021-07-19 11:48:39', NULL, NULL), (16748, '', '五通村', '38c787db61d74d6a85b5ccdac31bccb1', '5f0e5ff77eb747f6857fb467b7f9f029', 'False', 'True', 'false', 'false', '511304106210', 5, '五通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304106210', 1, '2021-07-19 11:48:39', NULL, NULL), (16749, '', '垭子口村', '1d6745cb7b54447da45bafa3f4b5ca84', '5f0e5ff77eb747f6857fb467b7f9f029', 'False', 'True', 'false', 'false', '511304106211', 5, '垭子口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304106211', 1, '2021-07-19 11:48:39', NULL, NULL), (16750, '', '苏公子村', '955b2532975e4580918d5a83453cb633', '5f0e5ff77eb747f6857fb467b7f9f029', 'False', 'True', 'false', 'false', '511304106212', 5, '苏公子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304106212', 1, '2021-07-19 11:48:39', NULL, NULL), (16751, '', '安平镇', '1b1faa177c4f4f9d83e48ef9a168cc13', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304107000', 4, '安平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304107000', 1, '2021-07-19 11:48:39', NULL, NULL), (16752, '', '安平社区', '1420467f5d1f4b458a286b42c4c205c8', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107001', 5, '安平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107001', 1, '2021-07-19 11:48:39', NULL, NULL), (16753, '', '梗石河社区', '959ebb2b72224608bd08e8f780f19213', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107002', 5, '梗石河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107002', 1, '2021-07-19 11:48:39', NULL, NULL), (16754, '', '活香炉村', 'dbdc44e37fb04d53a004edf6df3ebdd1', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107201', 5, '活香炉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107201', 1, '2021-07-19 11:48:39', NULL, NULL), (16755, '', '邱家湾村', 'acd0e55834d741989e3e336eabc27d1a', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107202', 5, '邱家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107202', 1, '2021-07-19 11:48:39', NULL, NULL), (16756, '', '银匠沟村', 'f8adf05c00e74bc8af5dc59c89b0edfd', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107203', 5, '银匠沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107203', 1, '2021-07-19 11:48:39', NULL, NULL), (16757, '', '茶盘寺村', '242920d141824d55bfdcbb8096add371', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107204', 5, '茶盘寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107204', 1, '2021-07-19 11:48:39', NULL, NULL), (16758, '', '烧柴沟村', '32ada80c89644d3eac720e3dd9c08516', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107205', 5, '烧柴沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107205', 1, '2021-07-19 11:48:39', NULL, NULL), (16759, '', '潘家沟村', '4c06c5f6fabe4b8891465e3c18d71020', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107206', 5, '潘家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107206', 1, '2021-07-19 11:48:40', NULL, NULL), (16760, '', '滩子沟村', '399ff8a0db944f3492dffdf55e6a367b', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107207', 5, '滩子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107207', 1, '2021-07-19 11:48:40', NULL, NULL), (16761, '', '大河堰村', '3c1d8acc7a6240c0a1de783a8322acd7', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107208', 5, '大河堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107208', 1, '2021-07-19 11:48:40', NULL, NULL), (16762, '', '龙孔田村', '8fd4f812fa1c47cfacc221ea7f8731f8', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107209', 5, '龙孔田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107209', 1, '2021-07-19 11:48:40', NULL, NULL), (16763, '', '老窖沟村', 'b946294bb9634fb780cbb44d7011e935', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'False', 'false', 'false', '511304107210', 5, '老窖沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107210', 1, '2021-07-19 11:48:40', NULL, NULL), (16764, '', '燕子岩村', '333fb16a1f884437944a2e13b515d917', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107211', 5, '燕子岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107211', 1, '2021-07-19 11:48:40', NULL, NULL), (16765, '', '王家坡村', 'c07ce1da7feb4ab6a7e1fbe2c0ffcad5', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107213', 5, '王家坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107213', 1, '2021-07-19 11:48:40', NULL, NULL), (16766, '', '大石桥村', 'cfb70f26b26643178e4a37121ea8f34d', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107214', 5, '大石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107214', 1, '2021-07-19 11:48:40', NULL, NULL), (16767, '', '吴家堰村', '737d1f4affa747c39d1bbca431bf6fe1', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107215', 5, '吴家堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107215', 1, '2021-07-19 11:48:40', NULL, NULL), (16768, '', '磨子沟村', 'd58171a594e0403aa119ea04e30d7895', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107216', 5, '磨子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107216', 1, '2021-07-19 11:48:40', NULL, NULL), (16769, '', '冲仙院村', '3f392f5457c643b48cd9d2f082ba576d', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107217', 5, '冲仙院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107217', 1, '2021-07-19 11:48:40', NULL, NULL), (16770, '', '彭家沟村', 'bfbcf43c357c4f4386c6817ef2949008', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107218', 5, '彭家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107218', 1, '2021-07-19 11:48:40', NULL, NULL), (16771, '', '店子嘴村', '463abe9aa1e94dd584284b617df08b4e', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107219', 5, '店子嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107219', 1, '2021-07-19 11:48:40', NULL, NULL), (16772, '', '芭蕉沟村', '04d6e944026e46279f40061381673927', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107220', 5, '芭蕉沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107220', 1, '2021-07-19 11:48:41', NULL, NULL), (16773, '', '依阳桥村', '757797040cb741d2bb860a4c57041ce5', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107221', 5, '依阳桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107221', 1, '2021-07-19 11:48:41', NULL, NULL), (16774, '', '书房坝村', '7ca2e616fcf04549951ecb34cf0f8e78', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107222', 5, '书房坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107222', 1, '2021-07-19 11:48:41', NULL, NULL), (16775, '', '仁广村', 'ad7feb7a954943b8b9fd3597d37ab9b1', '1b1faa177c4f4f9d83e48ef9a168cc13', 'False', 'True', 'false', 'false', '511304107223', 5, '仁广村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304107223', 1, '2021-07-19 11:48:41', NULL, NULL), (16776, '', '世阳镇', 'b79628cb256b48e9802974de49f41749', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304108000', 4, '世阳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304108000', 1, '2021-07-19 11:48:41', NULL, NULL), (16777, '', '侍郎社区', 'a068339426344917824fdbcf221c7d6f', 'b79628cb256b48e9802974de49f41749', 'False', 'False', 'false', 'false', '511304108001', 5, '侍郎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304108001', 1, '2021-07-19 11:48:41', NULL, NULL), (16778, '', '桃子堡村', '7c056146c78b47f5a81c05c78f2360e2', 'b79628cb256b48e9802974de49f41749', 'False', 'True', 'false', 'false', '511304108201', 5, '桃子堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304108201', 1, '2021-07-19 11:48:41', NULL, NULL), (16779, '', '小安乐村', '8eb03fae92ef4e46ba7f52d6f30fa0e9', 'b79628cb256b48e9802974de49f41749', 'False', 'True', 'false', 'false', '511304108202', 5, '小安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304108202', 1, '2021-07-19 11:48:41', NULL, NULL), (16780, '', '麻扎桥村', 'de4418a9102e4d13b393b6e6aba9f619', 'b79628cb256b48e9802974de49f41749', 'False', 'True', 'false', 'false', '511304108203', 5, '麻扎桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304108203', 1, '2021-07-19 11:48:41', NULL, NULL), (16781, '', '谢家庙村', '6a69c261f3ba4dc99bc279efb947fdd3', 'b79628cb256b48e9802974de49f41749', 'False', 'True', 'false', 'false', '511304108204', 5, '谢家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304108204', 1, '2021-07-19 11:48:41', NULL, NULL), (16782, '', '杨成沟村', '412024e7ef95416a96e634a60806a7d5', 'b79628cb256b48e9802974de49f41749', 'False', 'True', 'false', 'false', '511304108205', 5, '杨成沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304108205', 1, '2021-07-19 11:48:41', NULL, NULL), (16783, '', '碑垭村', '21777f5a5ddb43519e066f6bec06a981', 'b79628cb256b48e9802974de49f41749', 'False', 'True', 'false', 'false', '511304108206', 5, '碑垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304108206', 1, '2021-07-19 11:48:41', NULL, NULL), (16784, '', '牛角垭村', '8a7405a964f8474d83fc3ee8866319af', 'b79628cb256b48e9802974de49f41749', 'False', 'True', 'false', 'false', '511304108207', 5, '牛角垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304108207', 1, '2021-07-19 11:48:42', NULL, NULL), (16785, '', '鲜家寺村', '7c0f3a2b92af4bdfb92a630ab2fea99b', 'b79628cb256b48e9802974de49f41749', 'False', 'True', 'false', 'false', '511304108208', 5, '鲜家寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304108208', 1, '2021-07-19 11:48:42', NULL, NULL), (16786, '', '龙凤山村', '65e173e3833648dcb4f50d35ae4b4802', 'b79628cb256b48e9802974de49f41749', 'False', 'True', 'false', 'false', '511304108209', 5, '龙凤山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304108209', 1, '2021-07-19 11:48:42', NULL, NULL), (16787, '', '小石垭村', '51a2f567f6484b5da7911bba7a0d0bb5', 'b79628cb256b48e9802974de49f41749', 'False', 'True', 'false', 'false', '511304108210', 5, '小石垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304108210', 1, '2021-07-19 11:48:42', NULL, NULL), (16788, '', '神庙垭村', '2fd909f983894ce5a2ef1b153e9fa73f', 'b79628cb256b48e9802974de49f41749', 'False', 'True', 'false', 'false', '511304108211', 5, '神庙垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304108211', 1, '2021-07-19 11:48:42', NULL, NULL), (16789, '', '马兰沟村', 'adc2a40025d94e028e29f41c2be6e83c', 'b79628cb256b48e9802974de49f41749', 'False', 'True', 'false', 'false', '511304108212', 5, '马兰沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304108212', 1, '2021-07-19 11:48:42', NULL, NULL), (16790, '', '过脚垭村', '3802976e55cd47d2b665af3c935d689a', 'b79628cb256b48e9802974de49f41749', 'False', 'True', 'false', 'false', '511304108213', 5, '过脚垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304108213', 1, '2021-07-19 11:48:42', NULL, NULL), (16791, '', '小院寺村', '4df0648afa7243f8aef8795c0cf2d191', 'b79628cb256b48e9802974de49f41749', 'False', 'True', 'false', 'false', '511304108214', 5, '小院寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304108214', 1, '2021-07-19 11:48:42', NULL, NULL), (16792, '', '韩家村', '35f553343f954305b102246e67eb4fa8', 'b79628cb256b48e9802974de49f41749', 'False', 'True', 'false', 'false', '511304108215', 5, '韩家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304108215', 1, '2021-07-19 11:48:42', NULL, NULL), (16793, '', '杨家寺村', 'dd4cc15a935444d08fff39a72f50b5d3', 'b79628cb256b48e9802974de49f41749', 'False', 'True', 'false', 'false', '511304108216', 5, '杨家寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304108216', 1, '2021-07-19 11:48:42', NULL, NULL), (16794, '', '王家沟村', '14de9d511b0e43b39edbf3751a2566a2', 'b79628cb256b48e9802974de49f41749', 'False', 'True', 'false', 'false', '511304108217', 5, '王家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304108217', 1, '2021-07-19 11:48:42', NULL, NULL), (16795, '', '大通镇', 'a8da01eb44f644d0b54ca965d96fb784', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304109000', 4, '大通镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304109000', 1, '2021-07-19 11:48:42', NULL, NULL), (16796, '', '檬东场社区', '346ea4cd5a2c4a62bc62a73e26c62fbb', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109002', 5, '檬东场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109002', 1, '2021-07-19 11:48:42', NULL, NULL), (16797, '', '陈滩子社区', '3efa6636deb843649f5eb96485da4661', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109201', 5, '陈滩子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109201', 1, '2021-07-19 11:48:42', NULL, NULL), (16798, '', '车水湾村', 'c623080d776d4d16b51d08e0b17616e2', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109202', 5, '车水湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109202', 1, '2021-07-19 11:48:42', NULL, NULL), (16799, '', '三木桥村', 'a93d44b528894fda9d1cddfea7d0c32b', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109203', 5, '三木桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109203', 1, '2021-07-19 11:48:42', NULL, NULL), (16800, '', '泥池坝村', 'c8eb2586819e4dfcaf0300fbeb47be87', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109204', 5, '泥池坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109204', 1, '2021-07-19 11:48:43', NULL, NULL), (16801, '', '安宁寺村', 'c53c2f02b3b7435c8be5a67b42ec75e1', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109205', 5, '安宁寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109205', 1, '2021-07-19 11:48:43', NULL, NULL), (16802, '', '支家坝村', '78fc3d7be53747beab2c788438c88c87', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109206', 5, '支家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109206', 1, '2021-07-19 11:48:43', NULL, NULL), (16803, '', '阎王沟村', '73647a54e99147ab8e21605f2bfb6b81', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109207', 5, '阎王沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109207', 1, '2021-07-19 11:48:43', NULL, NULL), (16804, '', '泥土地村', 'e13c844540bb41b29c4566a4999325a2', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109208', 5, '泥土地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109208', 1, '2021-07-19 11:48:43', NULL, NULL), (16805, '', '谢家嘴村', 'c119086419a04a35b0a2d5e9f519e12a', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109209', 5, '谢家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109209', 1, '2021-07-19 11:48:43', NULL, NULL), (16806, '', '芝麻湾村', '0094bd82dd724b3ea95eec19d8ce44fa', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109210', 5, '芝麻湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109210', 1, '2021-07-19 11:48:43', NULL, NULL), (16807, '', '龙孔沟村', 'df9fb98e156146ca8d3b074b8ddbea52', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109211', 5, '龙孔沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109211', 1, '2021-07-19 11:48:43', NULL, NULL), (16808, '', '龙台寺村', '01bf47169b8a4c3caa10e69c55449997', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109212', 5, '龙台寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109212', 1, '2021-07-19 11:48:43', NULL, NULL), (16809, '', '玉村沟村', '8cfd8798ee0e42a8ba7312c62ce71dbd', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109213', 5, '玉村沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109213', 1, '2021-07-19 11:48:43', NULL, NULL), (16810, '', '石佛寺村', 'c413d2155725401fa03ec288e8e2042e', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109214', 5, '石佛寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109214', 1, '2021-07-19 11:48:43', NULL, NULL), (16811, '', '赵子河村', '07c39a408c3347ebb019670fa7251b76', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109215', 5, '赵子河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109215', 1, '2021-07-19 11:48:43', NULL, NULL), (16812, '', '泥新店村', '7cdbde8ccd75478ebfda406c4e9a2bf9', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109216', 5, '泥新店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109216', 1, '2021-07-19 11:48:43', NULL, NULL), (16813, '', '安国院村', '5e7ba344f28c413babf4a34692b01a23', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109217', 5, '安国院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109217', 1, '2021-07-19 11:48:43', NULL, NULL), (16814, '', '三洞碑村', '572f00e449f74dfdbbe9a5b2fbe43cc4', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109218', 5, '三洞碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109218', 1, '2021-07-19 11:48:43', NULL, NULL), (16815, '', '范村沟村', '674af7c090854d7d94ab0782be2b08df', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109219', 5, '范村沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109219', 1, '2021-07-19 11:48:43', NULL, NULL), (16816, '', '篦子桥村', 'df4c31c2cf5f432b986539da61bccdbe', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109220', 5, '篦子桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109220', 1, '2021-07-19 11:48:44', NULL, NULL), (16817, '', '龙池院村', 'b1d9545707f246c28d8e9db5e704d8b9', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109221', 5, '龙池院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109221', 1, '2021-07-19 11:48:44', NULL, NULL), (16818, '', '梓潼庙村', 'bf4c62767c2f44a09b6fd60c6a2f1760', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109222', 5, '梓潼庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109222', 1, '2021-07-19 11:48:44', NULL, NULL), (16819, '', '大沟头村', '977b3ec6196e4eeda765a3584dd9f5f0', 'a8da01eb44f644d0b54ca965d96fb784', 'False', 'True', 'false', 'false', '511304109223', 5, '大沟头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304109223', 1, '2021-07-19 11:48:44', NULL, NULL), (16820, '', '一立镇', '30367481de3a4f3f962efe740d8a75c8', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304110000', 4, '一立镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304110000', 1, '2021-07-19 11:48:44', NULL, NULL), (16821, '', '友谊桥社区', '1c472b6364104fb29044e87ce879d077', '30367481de3a4f3f962efe740d8a75c8', 'False', 'True', 'false', 'false', '511304110001', 5, '友谊桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304110001', 1, '2021-07-19 11:48:44', NULL, NULL), (16822, '', '跳蹬村', 'fffd99a3a9c74544805218b1489e1e5c', '30367481de3a4f3f962efe740d8a75c8', 'False', 'True', 'false', 'false', '511304110201', 5, '跳蹬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304110201', 1, '2021-07-19 11:48:44', NULL, NULL), (16823, '', '曾家店村', '935cacab7a1e4ddd89165b386dbaaf41', '30367481de3a4f3f962efe740d8a75c8', 'False', 'True', 'false', 'false', '511304110202', 5, '曾家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304110202', 1, '2021-07-19 11:48:44', NULL, NULL), (16824, '', '安静观村', '9021fa9a6c3545528dd90ed1617d856a', '30367481de3a4f3f962efe740d8a75c8', 'False', 'True', 'false', 'false', '511304110203', 5, '安静观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304110203', 1, '2021-07-19 11:48:44', NULL, NULL), (16825, '', '龙会观村', 'b2162d7f067a4f559a456381b36d06dc', '30367481de3a4f3f962efe740d8a75c8', 'False', 'True', 'false', 'false', '511304110204', 5, '龙会观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304110204', 1, '2021-07-19 11:48:44', NULL, NULL), (16826, '', '灵龟寺村', 'd3bec28da7314b5d81de3518bd1e68e2', '30367481de3a4f3f962efe740d8a75c8', 'False', 'True', 'false', 'false', '511304110205', 5, '灵龟寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304110205', 1, '2021-07-19 11:48:44', NULL, NULL), (16827, '', '天游观村', '9234b34165ff40d29ab1d5ce998801aa', '30367481de3a4f3f962efe740d8a75c8', 'False', 'True', 'false', 'false', '511304110206', 5, '天游观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304110206', 1, '2021-07-19 11:48:44', NULL, NULL), (16828, '', '西城沟村', '46227008675d41e1b418d9393251d10e', '30367481de3a4f3f962efe740d8a75c8', 'False', 'True', 'false', 'false', '511304110207', 5, '西城沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304110207', 1, '2021-07-19 11:48:44', NULL, NULL), (16829, '', '王家坝村', '03a80405cf9c4cc2b2a2eb2d2977e44f', '30367481de3a4f3f962efe740d8a75c8', 'False', 'True', 'false', 'false', '511304110208', 5, '王家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304110208', 1, '2021-07-19 11:48:44', NULL, NULL), (16830, '', '围塘坝村', '5a56efc96a0b4a1fbdf60052cf4923e3', '30367481de3a4f3f962efe740d8a75c8', 'False', 'True', 'false', 'false', '511304110209', 5, '围塘坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304110209', 1, '2021-07-19 11:48:44', NULL, NULL), (16831, '', '中太霄村', 'fd0a800a9096418ea93df19ed26f9b61', '30367481de3a4f3f962efe740d8a75c8', 'False', 'True', 'false', 'false', '511304110210', 5, '中太霄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304110210', 1, '2021-07-19 11:48:44', NULL, NULL), (16832, '', '下太霄村', '6c9d3cfd6b31410d8d2a14631f9dd138', '30367481de3a4f3f962efe740d8a75c8', 'False', 'True', 'false', 'false', '511304110211', 5, '下太霄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304110211', 1, '2021-07-19 11:48:44', NULL, NULL), (16833, '', '三溪口村', 'f9cf0a8d6b8f49a7b75caa9fd9436789', '30367481de3a4f3f962efe740d8a75c8', 'False', 'True', 'false', 'false', '511304110212', 5, '三溪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304110212', 1, '2021-07-19 11:48:45', NULL, NULL), (16834, '', '老牛山村', '2ab9d5692e2e4713b0500605c8ac1be9', '30367481de3a4f3f962efe740d8a75c8', 'False', 'True', 'false', 'false', '511304110213', 5, '老牛山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304110213', 1, '2021-07-19 11:48:45', NULL, NULL), (16835, '', '大嘴山村', 'da872a945df74573b538a4cfb9c1a042', '30367481de3a4f3f962efe740d8a75c8', 'False', 'True', 'false', 'false', '511304110214', 5, '大嘴山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304110214', 1, '2021-07-19 11:48:45', NULL, NULL), (16836, '', '蒲家嘴村', 'fe17aa21d81940ac9239025d2aa7516b', '30367481de3a4f3f962efe740d8a75c8', 'False', 'True', 'false', 'false', '511304110215', 5, '蒲家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304110215', 1, '2021-07-19 11:48:45', NULL, NULL), (16837, '', '塘湾村', 'ac6b2352ed0249cf8bd308f058a9a725', '30367481de3a4f3f962efe740d8a75c8', 'False', 'True', 'false', 'false', '511304110216', 5, '塘湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304110216', 1, '2021-07-19 11:48:45', NULL, NULL), (16838, '', '龙蟠镇', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304111000', 4, '龙蟠镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304111000', 1, '2021-07-19 11:48:45', NULL, NULL), (16839, '', '场垭口社区', 'cc922e04971c47c689dae4beb08086f6', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'False', 'True', 'false', 'false', '511304111002', 5, '场垭口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304111002', 1, '2021-07-19 11:48:45', NULL, NULL), (16840, '', '王家店社区', 'c010d3afc5c441e694e929cc2a9759e3', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'False', 'True', 'false', 'false', '511304111003', 5, '王家店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304111003', 1, '2021-07-19 11:48:45', NULL, NULL), (16841, '', '枣树沟村', 'ae14d91f8c7e442e9f8cd54e5821ede0', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'False', 'True', 'false', 'false', '511304111201', 5, '枣树沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304111201', 1, '2021-07-19 11:48:45', NULL, NULL), (16842, '', '蟠龙村村', 'c28c793f499f4ac8af333c580b6c9a74', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'False', 'False', 'false', 'false', '511304111202', 5, '蟠龙村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304111202', 1, '2021-07-19 11:48:45', NULL, NULL), (16843, '', '三教堂村', 'f174f3da0b704ab79365c326dcdff6cb', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'False', 'True', 'false', 'false', '511304111203', 5, '三教堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304111203', 1, '2021-07-19 11:48:45', NULL, NULL), (16844, '', '大柏山村', 'c6f5624aa68e436d86752bd23144fc3d', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'False', 'True', 'false', 'false', '511304111204', 5, '大柏山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304111204', 1, '2021-07-19 11:48:46', NULL, NULL), (16845, '', '象鼻山村', '0e94095e42fc4dc9bae2bcb1d5edbd66', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'False', 'True', 'false', 'false', '511304111205', 5, '象鼻山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304111205', 1, '2021-07-19 11:48:46', NULL, NULL), (16846, '', '丰乐院村', '4cc45b389283474f8bdd63fef1519d68', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'False', 'True', 'false', 'false', '511304111206', 5, '丰乐院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304111206', 1, '2021-07-19 11:48:46', NULL, NULL), (16847, '', '正印寺村', '56b71df5adf04db19309b8ae51d71a74', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'False', 'True', 'false', 'false', '511304111207', 5, '正印寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304111207', 1, '2021-07-19 11:48:46', NULL, NULL), (16848, '', '新学堂村', '7151259c5bbc4568a6dbe1b8ba01ff4d', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'False', 'True', 'false', 'false', '511304111208', 5, '新学堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304111208', 1, '2021-07-19 11:48:46', NULL, NULL), (16849, '', '朱村沟村', '4e8d1d597ccb4759b3509bd6c359d6ed', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'False', 'True', 'false', 'false', '511304111209', 5, '朱村沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304111209', 1, '2021-07-19 11:48:46', NULL, NULL), (16850, '', '司南垭村', '92aee48cd0e546ce86fb34b5daa9cb73', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'False', 'True', 'false', 'false', '511304111210', 5, '司南垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304111210', 1, '2021-07-19 11:48:46', NULL, NULL), (16851, '', '苦楝垭村', '08f01dba4e98406f8edb9528736db649', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'False', 'True', 'false', 'false', '511304111211', 5, '苦楝垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304111211', 1, '2021-07-19 11:48:46', NULL, NULL), (16852, '', '鞍子山村', '8a12e3b866334509b302c389bfd4f071', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'False', 'True', 'false', 'false', '511304111212', 5, '鞍子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304111212', 1, '2021-07-19 11:48:46', NULL, NULL), (16853, '', '任家坝村', '8c2e954f51eb4dd18b72e76b96b8729a', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'False', 'True', 'false', 'false', '511304111213', 5, '任家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304111213', 1, '2021-07-19 11:48:46', NULL, NULL), (16854, '', '高坪宫村', '9db2f4e6b33c47f8aef4aed8722172d5', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'False', 'True', 'false', 'false', '511304111214', 5, '高坪宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304111214', 1, '2021-07-19 11:48:46', NULL, NULL), (16855, '', '大山山村', 'd90f205f16e0423185ad282701dd723a', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'False', 'True', 'false', 'false', '511304111215', 5, '大山山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304111215', 1, '2021-07-19 11:48:46', NULL, NULL), (16856, '', '毛家沟村', '2aa07e4c642c4259ac1ffb680b7484b6', 'a31f4de9428940c8a1dc4a0beaeaaba0', 'False', 'True', 'false', 'false', '511304111216', 5, '毛家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304111216', 1, '2021-07-19 11:48:46', NULL, NULL), (16857, '', '里坝镇', 'd33bac471bb0428789578e3be07dbbfa', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304112000', 4, '里坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304112000', 1, '2021-07-19 11:48:46', NULL, NULL), (16858, '', '展望社区', 'a6e9a594f9914877b5e443832ca55888', 'd33bac471bb0428789578e3be07dbbfa', 'False', 'True', 'false', 'false', '511304112001', 5, '展望社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304112001', 1, '2021-07-19 11:48:46', NULL, NULL), (16859, '', '攀桂湾村', 'c4db100154ed4f1292644b83484ddb61', 'd33bac471bb0428789578e3be07dbbfa', 'False', 'True', 'false', 'false', '511304112201', 5, '攀桂湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304112201', 1, '2021-07-19 11:48:46', NULL, NULL), (16860, '', '集佛俺村', 'af6a6e05799e4fdc8a0770133d579696', 'd33bac471bb0428789578e3be07dbbfa', 'False', 'False', 'false', 'false', '511304112202', 5, '集佛俺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304112202', 1, '2021-07-19 11:48:46', NULL, NULL), (16861, '', '花土地村', '073d010f4ea14f2fb98ac4749f999c0c', 'd33bac471bb0428789578e3be07dbbfa', 'False', 'True', 'false', 'false', '511304112203', 5, '花土地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304112203', 1, '2021-07-19 11:48:46', NULL, NULL), (16862, '', '猫儿田村', '255831908e0b4d459344bb2b28fc4410', 'd33bac471bb0428789578e3be07dbbfa', 'False', 'True', 'false', 'false', '511304112204', 5, '猫儿田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304112204', 1, '2021-07-19 11:48:46', NULL, NULL), (16863, '', '黄楝垭村', '345e6d79607d4e348d0e3a1c305c4057', 'd33bac471bb0428789578e3be07dbbfa', 'False', 'True', 'false', 'false', '511304112205', 5, '黄楝垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304112205', 1, '2021-07-19 11:48:47', NULL, NULL), (16864, '', '庄子坝村', '840659960d5e4249ad433e1e5fdb7c78', 'd33bac471bb0428789578e3be07dbbfa', 'False', 'True', 'false', 'false', '511304112206', 5, '庄子坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304112206', 1, '2021-07-19 11:48:47', NULL, NULL), (16865, '', '大桥村', 'e136c21a64204a769e690db74369194c', 'd33bac471bb0428789578e3be07dbbfa', 'False', 'True', 'false', 'false', '511304112207', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304112207', 1, '2021-07-19 11:48:47', NULL, NULL), (16866, '', '任家沟村', '6a0b189c4fa64994b60eeeb924f66c4a', 'd33bac471bb0428789578e3be07dbbfa', 'False', 'True', 'false', 'false', '511304112208', 5, '任家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304112208', 1, '2021-07-19 11:48:47', NULL, NULL), (16867, '', '三圣墓村', '6a3b1ad6c53a49df8da0eb58a043c064', 'd33bac471bb0428789578e3be07dbbfa', 'False', 'True', 'false', 'false', '511304112209', 5, '三圣墓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304112209', 1, '2021-07-19 11:48:47', NULL, NULL), (16868, '', '金龟寺村', '638f5de216204250b0ec2937ac114a47', 'd33bac471bb0428789578e3be07dbbfa', 'False', 'True', 'false', 'false', '511304112210', 5, '金龟寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304112210', 1, '2021-07-19 11:48:47', NULL, NULL), (16869, '', '金宝镇', '9ad9d490efda47f599be40b13ec21a98', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304114000', 4, '金宝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304114000', 1, '2021-07-19 11:48:47', NULL, NULL), (16870, '', '川主宫社区', '468b71de362c425f9f697a17334f2b65', '9ad9d490efda47f599be40b13ec21a98', 'False', 'True', 'false', 'false', '511304114001', 5, '川主宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304114001', 1, '2021-07-19 11:48:47', NULL, NULL), (16871, '', '和祥社区', '3781235d9a344ab5b999e04e0ea8d16e', '9ad9d490efda47f599be40b13ec21a98', 'False', 'True', 'false', 'false', '511304114003', 5, '和祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304114003', 1, '2021-07-19 11:48:47', NULL, NULL), (16872, '', '金宝村', 'eb33186a897b4188985206fe79cf03e6', '9ad9d490efda47f599be40b13ec21a98', 'False', 'True', 'false', 'false', '511304114201', 5, '金宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304114201', 1, '2021-07-19 11:48:47', NULL, NULL), (16873, '', '文官沟村', '39c3fdd13f564f38b353ca180c067721', '9ad9d490efda47f599be40b13ec21a98', 'False', 'False', 'false', 'false', '511304114202', 5, '文官沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304114202', 1, '2021-07-19 11:48:47', NULL, NULL), (16874, '', '掌村沟村', '1faa7fca32cf404e8c5a2f9db092b708', '9ad9d490efda47f599be40b13ec21a98', 'False', 'True', 'false', 'false', '511304114203', 5, '掌村沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304114203', 1, '2021-07-19 11:48:47', NULL, NULL), (16875, '', '何珠沟村', '97cacddef1d649e6bb9ae8e084cc313a', '9ad9d490efda47f599be40b13ec21a98', 'False', 'True', 'false', 'false', '511304114204', 5, '何珠沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304114204', 1, '2021-07-19 11:48:47', NULL, NULL), (16876, '', '石马垭村', '303c4fff29754ca29474cc838fdcc3a7', '9ad9d490efda47f599be40b13ec21a98', 'False', 'True', 'false', 'false', '511304114205', 5, '石马垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304114205', 1, '2021-07-19 11:48:47', NULL, NULL), (16877, '', '严家沟村', '7249805e6e0a49c38e0977530f7d2ba3', '9ad9d490efda47f599be40b13ec21a98', 'False', 'True', 'false', 'false', '511304114206', 5, '严家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304114206', 1, '2021-07-19 11:48:47', NULL, NULL), (16878, '', '普贤寺村', '01e19f560e9642108d3def94832e502d', '9ad9d490efda47f599be40b13ec21a98', 'False', 'True', 'false', 'false', '511304114207', 5, '普贤寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304114207', 1, '2021-07-19 11:48:47', NULL, NULL), (16879, '', '胖土地村', 'be8de80249bf40dc84b6b24172b0f968', '9ad9d490efda47f599be40b13ec21a98', 'False', 'True', 'false', 'false', '511304114208', 5, '胖土地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304114208', 1, '2021-07-19 11:48:47', NULL, NULL), (16880, '', '马垭沟村', 'a0a1073811084de59998b0e46e5aba14', '9ad9d490efda47f599be40b13ec21a98', 'False', 'True', 'false', 'false', '511304114209', 5, '马垭沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304114209', 1, '2021-07-19 11:48:47', NULL, NULL), (16881, '', '西阳寺村', '23fc19929ff347c78df4300dcb4243d2', '9ad9d490efda47f599be40b13ec21a98', 'False', 'True', 'false', 'false', '511304114210', 5, '西阳寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304114210', 1, '2021-07-19 11:48:48', NULL, NULL), (16882, '', '大垭沟村', '2a41eb10bec44fe494f747bf7c622b39', '9ad9d490efda47f599be40b13ec21a98', 'False', 'True', 'false', 'false', '511304114211', 5, '大垭沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304114211', 1, '2021-07-19 11:48:48', NULL, NULL), (16883, '', '土桥院村', '9b6e43ef713c4021bfe2e0d3af58eeb7', '9ad9d490efda47f599be40b13ec21a98', 'False', 'True', 'false', 'false', '511304114212', 5, '土桥院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304114212', 1, '2021-07-19 11:48:48', NULL, NULL), (16884, '', '水车沟村', '06493a4221f7493d815e2f4632b3aa78', '9ad9d490efda47f599be40b13ec21a98', 'False', 'False', 'false', 'false', '511304114213', 5, '水车沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304114213', 1, '2021-07-19 11:48:48', NULL, NULL), (16885, '', '夏家沟村', 'bfb0f4f7e155498c8e159eee6d3cae34', '9ad9d490efda47f599be40b13ec21a98', 'False', 'True', 'false', 'false', '511304114214', 5, '夏家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304114214', 1, '2021-07-19 11:48:48', NULL, NULL), (16886, '', '三会镇', '0833afe6c0ae456cb3a8d8a48cbef7f6', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304115000', 4, '三会镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304115000', 1, '2021-07-19 11:48:48', NULL, NULL), (16887, '', '羊儿湾社区', '2673081b00f94c68adc30c6d1a1dc048', '0833afe6c0ae456cb3a8d8a48cbef7f6', 'False', 'True', 'false', 'false', '511304115001', 5, '羊儿湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304115001', 1, '2021-07-19 11:48:48', NULL, NULL), (16888, '', '三会村', 'd768c6d7f33b4b599fd1e0b0102bf7db', '0833afe6c0ae456cb3a8d8a48cbef7f6', 'False', 'True', 'false', 'false', '511304115201', 5, '三会村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304115201', 1, '2021-07-19 11:48:48', NULL, NULL), (16889, '', '青家嘴村', 'c7bb295cb325400caf67e07712e2c004', '0833afe6c0ae456cb3a8d8a48cbef7f6', 'False', 'True', 'false', 'false', '511304115202', 5, '青家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304115202', 1, '2021-07-19 11:48:48', NULL, NULL), (16890, '', '红石坎村', 'cde1f86f2c344d409005f6eb30c0212b', '0833afe6c0ae456cb3a8d8a48cbef7f6', 'False', 'True', 'false', 'false', '511304115204', 5, '红石坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304115204', 1, '2021-07-19 11:48:48', NULL, NULL), (16891, '', '观音院村', '29043c4eaab844819273824d0326750f', '0833afe6c0ae456cb3a8d8a48cbef7f6', 'False', 'True', 'false', 'false', '511304115205', 5, '观音院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304115205', 1, '2021-07-19 11:48:48', NULL, NULL), (16892, '', '大田沟村', '62c32f8387094abba431fa94d36e92ad', '0833afe6c0ae456cb3a8d8a48cbef7f6', 'False', 'True', 'false', 'false', '511304115206', 5, '大田沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304115206', 1, '2021-07-19 11:48:48', NULL, NULL), (16893, '', '牌坊沟村', 'e1a2b4aa46524608a4030843e376d6f5', '0833afe6c0ae456cb3a8d8a48cbef7f6', 'False', 'True', 'false', 'false', '511304115207', 5, '牌坊沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304115207', 1, '2021-07-19 11:48:48', NULL, NULL), (16894, '', '韩家嘴村', '9339afedd937438ab4efd0dfec718b14', '0833afe6c0ae456cb3a8d8a48cbef7f6', 'False', 'True', 'false', 'false', '511304115208', 5, '韩家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304115208', 1, '2021-07-19 11:48:48', NULL, NULL), (16895, '', '红庙子村', '8c606f7ca63d486a9524c995d7b75e1e', '0833afe6c0ae456cb3a8d8a48cbef7f6', 'False', 'True', 'false', 'false', '511304115209', 5, '红庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304115209', 1, '2021-07-19 11:48:48', NULL, NULL), (16896, '', '茅房嘴村', '26648ef1611a4e2287ec5666d2a27519', '0833afe6c0ae456cb3a8d8a48cbef7f6', 'False', 'True', 'false', 'false', '511304115210', 5, '茅房嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304115210', 1, '2021-07-19 11:48:49', NULL, NULL), (16897, '', '贾家坝村', '25e4aac00f254daa8ca73125945612f1', '0833afe6c0ae456cb3a8d8a48cbef7f6', 'False', 'True', 'false', 'false', '511304115211', 5, '贾家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304115211', 1, '2021-07-19 11:48:49', NULL, NULL), (16898, '', '书房上村', '4d2acc546345433fad04700c219a2268', '0833afe6c0ae456cb3a8d8a48cbef7f6', 'False', 'True', 'false', 'false', '511304115212', 5, '书房上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304115212', 1, '2021-07-19 11:48:49', NULL, NULL), (16899, '', '汤槽沟村', '3cd5c10952504558ac87962d2c0af5c9', '0833afe6c0ae456cb3a8d8a48cbef7f6', 'False', 'False', 'false', 'false', '511304115213', 5, '汤槽沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304115213', 1, '2021-07-19 11:48:49', NULL, NULL), (16900, '', '双桂镇', 'a97dad7e6cc34561a5bd5bd6a05645ec', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304117000', 4, '双桂镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304117000', 1, '2021-07-19 11:48:49', NULL, NULL), (16901, '', '桂花社区', 'ec12d78ea76643648cd3ff279787a143', 'a97dad7e6cc34561a5bd5bd6a05645ec', 'False', 'True', 'false', 'false', '511304117001', 5, '桂花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304117001', 1, '2021-07-19 11:48:49', NULL, NULL), (16902, '', '临水院村', '7bca1727d8c14848b9fde3ca6fcacd54', 'a97dad7e6cc34561a5bd5bd6a05645ec', 'False', 'True', 'false', 'false', '511304117203', 5, '临水院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304117203', 1, '2021-07-19 11:48:49', NULL, NULL), (16903, '', '凤翔山村', '87a073df06294ba887f3820cc906fcf9', 'a97dad7e6cc34561a5bd5bd6a05645ec', 'False', 'True', 'false', 'false', '511304117204', 5, '凤翔山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304117204', 1, '2021-07-19 11:48:49', NULL, NULL), (16904, '', '广孝寺村', '7779cb6fbebb42d8940894bf28d66d25', 'a97dad7e6cc34561a5bd5bd6a05645ec', 'False', 'True', 'false', 'false', '511304117205', 5, '广孝寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304117205', 1, '2021-07-19 11:48:49', NULL, NULL), (16905, '', '院坪山村', 'a21aeef7ff804e5ca33042760d728b21', 'a97dad7e6cc34561a5bd5bd6a05645ec', 'False', 'True', 'false', 'false', '511304117206', 5, '院坪山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304117206', 1, '2021-07-19 11:48:49', NULL, NULL), (16906, '', '檬子垭村', '776491ccd5cc474bb42f5bf2a06547b0', 'a97dad7e6cc34561a5bd5bd6a05645ec', 'False', 'True', 'false', 'false', '511304117207', 5, '檬子垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304117207', 1, '2021-07-19 11:48:49', NULL, NULL), (16907, '', '三龙场村', '0aa5e47bbd3c499e832f387b8f95fbd5', 'a97dad7e6cc34561a5bd5bd6a05645ec', 'False', 'True', 'false', 'false', '511304117208', 5, '三龙场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304117208', 1, '2021-07-19 11:48:49', NULL, NULL), (16908, '', '大石沟村', '0706ddb340154a4cad686664be91f06a', 'a97dad7e6cc34561a5bd5bd6a05645ec', 'False', 'True', 'false', 'false', '511304117209', 5, '大石沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304117209', 1, '2021-07-19 11:48:49', NULL, NULL), (16909, '', '邓垭寺村', 'eaf38fb72ec64d068d1c33c914ef883b', 'a97dad7e6cc34561a5bd5bd6a05645ec', 'False', 'True', 'false', 'false', '511304117210', 5, '邓垭寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304117210', 1, '2021-07-19 11:48:50', NULL, NULL), (16910, '', '大磨堰村', '54646c41e74446c8ae125a19288fc576', 'a97dad7e6cc34561a5bd5bd6a05645ec', 'False', 'True', 'false', 'false', '511304117211', 5, '大磨堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304117211', 1, '2021-07-19 11:48:50', NULL, NULL), (16911, '', '大灵山村', '450525337d304abf8ce60cd56464b9e5', 'a97dad7e6cc34561a5bd5bd6a05645ec', 'False', 'True', 'false', 'false', '511304117213', 5, '大灵山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304117213', 1, '2021-07-19 11:48:50', NULL, NULL), (16912, '', '五通嘴村', '9de0ecaa4a7e454ca686a2270fec6759', 'a97dad7e6cc34561a5bd5bd6a05645ec', 'False', 'True', 'false', 'false', '511304117214', 5, '五通嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304117214', 1, '2021-07-19 11:48:50', NULL, NULL), (16913, '', '范家桥村', 'b4c6bec2895c41218d84a87180b1f3a3', 'a97dad7e6cc34561a5bd5bd6a05645ec', 'False', 'True', 'false', 'false', '511304117215', 5, '范家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304117215', 1, '2021-07-19 11:48:50', NULL, NULL), (16914, '', '蒋家沟村', '2c1307ab49314b328f5e04aa98e16aee', 'a97dad7e6cc34561a5bd5bd6a05645ec', 'False', 'True', 'false', 'false', '511304117216', 5, '蒋家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304117216', 1, '2021-07-19 11:48:50', NULL, NULL), (16915, '', '长乐寺村', '671a602dafe34e98919c7d088e37a0f8', 'a97dad7e6cc34561a5bd5bd6a05645ec', 'False', 'True', 'false', 'false', '511304117217', 5, '长乐寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304117217', 1, '2021-07-19 11:48:50', NULL, NULL), (16916, '', '七宝寺镇', 'ef306abf91d84adcab1269937ecc7989', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304119000', 4, '七宝寺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304119000', 1, '2021-07-19 11:48:50', NULL, NULL), (16917, '', '白虎沟村', 'f07bb04882334a4ea951733b73eae755', 'ef306abf91d84adcab1269937ecc7989', 'False', 'True', 'false', 'false', '511304119201', 5, '白虎沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304119201', 1, '2021-07-19 11:48:50', NULL, NULL), (16918, '', '七宝寺村', '413e07a54b904492aac702460cf9a232', 'ef306abf91d84adcab1269937ecc7989', 'False', 'False', 'false', 'false', '511304119202', 5, '七宝寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304119202', 1, '2021-07-19 11:48:50', NULL, NULL), (16919, '', '何家祠村', 'c82c704d9ef54255b44e66869656894f', 'ef306abf91d84adcab1269937ecc7989', 'False', 'True', 'false', 'false', '511304119203', 5, '何家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304119203', 1, '2021-07-19 11:48:50', NULL, NULL), (16920, '', '大石坝村', 'f827133487c84013ad928dda7e4bdd11', 'ef306abf91d84adcab1269937ecc7989', 'False', 'True', 'false', 'false', '511304119204', 5, '大石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304119204', 1, '2021-07-19 11:48:50', NULL, NULL), (16921, '', '百富井村', '3a650534c0e147f6b98ad330bb5d1c13', 'ef306abf91d84adcab1269937ecc7989', 'False', 'True', 'false', 'false', '511304119205', 5, '百富井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304119205', 1, '2021-07-19 11:48:50', NULL, NULL), (16922, '', '石道床村', '6bf4ace8d130458ea70529809038e6f8', 'ef306abf91d84adcab1269937ecc7989', 'False', 'True', 'false', 'false', '511304119206', 5, '石道床村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304119206', 1, '2021-07-19 11:48:50', NULL, NULL), (16923, '', '大茅坪村', 'ade30e9e7671489592c42fa7d8bedd8c', 'ef306abf91d84adcab1269937ecc7989', 'False', 'True', 'false', 'false', '511304119207', 5, '大茅坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304119207', 1, '2021-07-19 11:48:50', NULL, NULL), (16924, '', '如来庵村', 'a986932e4f634354965eccf3034a019d', 'ef306abf91d84adcab1269937ecc7989', 'False', 'True', 'false', 'false', '511304119208', 5, '如来庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304119208', 1, '2021-07-19 11:48:51', NULL, NULL), (16925, '', '瓜子沟村', '5603a8fb3ec14b949fa704a93ea739a1', 'ef306abf91d84adcab1269937ecc7989', 'False', 'True', 'false', 'false', '511304119209', 5, '瓜子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304119209', 1, '2021-07-19 11:48:51', NULL, NULL), (16926, '', '王家嘴村', 'fdfe4da26f554f03a4acccd4b898a725', 'ef306abf91d84adcab1269937ecc7989', 'False', 'True', 'false', 'false', '511304119210', 5, '王家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304119210', 1, '2021-07-19 11:48:51', NULL, NULL), (16927, '', '河西镇', '5830d40d04174ea5bff10b0bdbd1f6ca', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304121000', 4, '河西镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304121000', 1, '2021-07-19 11:48:51', NULL, NULL), (16928, '', '鼓锣山社区', '25a0d58aaa084993b1563397dc6ebe80', '5830d40d04174ea5bff10b0bdbd1f6ca', 'False', 'False', 'false', 'false', '511304121001', 5, '鼓锣山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304121001', 1, '2021-07-19 11:48:51', NULL, NULL), (16929, '', '泰山村', 'df5ea38bfdb94ab19c0d0b1800edef8b', '5830d40d04174ea5bff10b0bdbd1f6ca', 'False', 'True', 'false', 'false', '511304121201', 5, '泰山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304121201', 1, '2021-07-19 11:48:51', NULL, NULL), (16930, '', '困龙山村', 'b01eb59f4e554c98bd19722558d00793', '5830d40d04174ea5bff10b0bdbd1f6ca', 'False', 'True', 'false', 'false', '511304121202', 5, '困龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304121202', 1, '2021-07-19 11:48:51', NULL, NULL), (16931, '', '直属村', '051cd743d5b948e1a2e9d258583f43fa', '5830d40d04174ea5bff10b0bdbd1f6ca', 'False', 'True', 'false', 'false', '511304121203', 5, '直属村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304121203', 1, '2021-07-19 11:48:51', NULL, NULL), (16932, '', '长虹村', '09a2d8c0d12341a8bada413dbbbdec94', '5830d40d04174ea5bff10b0bdbd1f6ca', 'False', 'True', 'false', 'false', '511304121204', 5, '长虹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304121204', 1, '2021-07-19 11:48:51', NULL, NULL), (16933, '', '指南村', '91fe346994bc46da9198be0e0638cb65', '5830d40d04174ea5bff10b0bdbd1f6ca', 'False', 'True', 'false', 'false', '511304121205', 5, '指南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304121205', 1, '2021-07-19 11:48:51', NULL, NULL), (16934, '', '三教庙村', '1dbe534be7b94e57a3b80d2a7b6770a0', '5830d40d04174ea5bff10b0bdbd1f6ca', 'False', 'True', 'false', 'false', '511304121206', 5, '三教庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304121206', 1, '2021-07-19 11:48:51', NULL, NULL), (16935, '', '长春村', 'a5b19d5a09eb49e5a243e94a46ced65a', '5830d40d04174ea5bff10b0bdbd1f6ca', 'False', 'True', 'false', 'false', '511304121207', 5, '长春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304121207', 1, '2021-07-19 11:48:51', NULL, NULL), (16936, '', '同心村', '3c98ee19ea8948adb280144a57fdebad', '5830d40d04174ea5bff10b0bdbd1f6ca', 'False', 'True', 'false', 'false', '511304121208', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304121208', 1, '2021-07-19 11:48:51', NULL, NULL), (16937, '', '万树山村', '97e2ddfe6a8b49749614ceff23e769b4', '5830d40d04174ea5bff10b0bdbd1f6ca', 'False', 'True', 'false', 'false', '511304121209', 5, '万树山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304121209', 1, '2021-07-19 11:48:51', NULL, NULL), (16938, '', '楼房沟村', 'e8312dc37701463db2d84dfa71f613fb', '5830d40d04174ea5bff10b0bdbd1f6ca', 'False', 'True', 'false', 'false', '511304121210', 5, '楼房沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304121210', 1, '2021-07-19 11:48:52', NULL, NULL), (16939, '', '宝山村', 'c802cd5224b14ffab248ad56540492ec', '5830d40d04174ea5bff10b0bdbd1f6ca', 'False', 'True', 'false', 'false', '511304121211', 5, '宝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304121211', 1, '2021-07-19 11:48:52', NULL, NULL), (16940, '', '江中村', 'dbee7e31d0b94bf6afe35e20c5a1d5f2', '5830d40d04174ea5bff10b0bdbd1f6ca', 'False', 'True', 'false', 'false', '511304121212', 5, '江中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304121212', 1, '2021-07-19 11:48:52', NULL, NULL), (16941, '', '盐溪乡', 'e186dd442b004770b5cbd5eb1c7eb0e1', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304215000', 4, '盐溪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304215000', 1, '2021-07-19 11:48:52', NULL, NULL), (16942, '', '双河口社区', '98d540f3b5004b1c80f82f21bd9157af', 'e186dd442b004770b5cbd5eb1c7eb0e1', 'False', 'True', 'false', 'false', '511304215001', 5, '双河口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304215001', 1, '2021-07-19 11:48:52', NULL, NULL), (16943, '', '陈家祠村', '5054b57e940d48e68759dd06053ac9ed', 'e186dd442b004770b5cbd5eb1c7eb0e1', 'False', 'True', 'false', 'false', '511304215201', 5, '陈家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304215201', 1, '2021-07-19 11:48:52', NULL, NULL), (16944, '', '桅杆坝村', '64f8f40c1fe349a5a9aabdaf641c7961', 'e186dd442b004770b5cbd5eb1c7eb0e1', 'False', 'False', 'false', 'false', '511304215202', 5, '桅杆坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304215202', 1, '2021-07-19 11:48:52', NULL, NULL), (16945, '', '三财沟村', 'c8d57c07bfdf4ee7a218c339163aa13d', 'e186dd442b004770b5cbd5eb1c7eb0e1', 'False', 'True', 'false', 'false', '511304215203', 5, '三财沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304215203', 1, '2021-07-19 11:48:52', NULL, NULL), (16946, '', '水磨桥村', '8573b6176ec641daa172fc44856df0bd', 'e186dd442b004770b5cbd5eb1c7eb0e1', 'False', 'True', 'false', 'false', '511304215204', 5, '水磨桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304215204', 1, '2021-07-19 11:48:52', NULL, NULL), (16947, '', '老君堂村', '6eea92be2e9b40f0a093d828b562eae4', 'e186dd442b004770b5cbd5eb1c7eb0e1', 'False', 'True', 'false', 'false', '511304215205', 5, '老君堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304215205', 1, '2021-07-19 11:48:52', NULL, NULL), (16948, '', '染房湾村', '39fce3d4870e4dd08d80c0b12bc100c0', 'e186dd442b004770b5cbd5eb1c7eb0e1', 'False', 'True', 'false', 'false', '511304215206', 5, '染房湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304215206', 1, '2021-07-19 11:48:52', NULL, NULL), (16949, '', '兴隆庙村', '1585867acab84937b0be6a19e83d39e9', 'e186dd442b004770b5cbd5eb1c7eb0e1', 'False', 'True', 'false', 'false', '511304215207', 5, '兴隆庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304215207', 1, '2021-07-19 11:48:52', NULL, NULL), (16950, '', '六方碑村', 'cab1a0f67b5d4d7ab12c6fdbc9f33321', 'e186dd442b004770b5cbd5eb1c7eb0e1', 'False', 'True', 'false', 'false', '511304215208', 5, '六方碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304215208', 1, '2021-07-19 11:48:52', NULL, NULL), (16951, '', '山脚庙村', '31ef1e7914a64b59a97b07692abc6c3a', 'e186dd442b004770b5cbd5eb1c7eb0e1', 'False', 'False', 'false', 'false', '511304215209', 5, '山脚庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304215209', 1, '2021-07-19 11:48:52', NULL, NULL), (16952, '', '苦竹林村', 'af9e861a51e14b22a0462ed0200d88bd', 'e186dd442b004770b5cbd5eb1c7eb0e1', 'False', 'True', 'false', 'false', '511304215210', 5, '苦竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304215210', 1, '2021-07-19 11:48:52', NULL, NULL), (16953, '', '窑湾村', 'b7a3e1ae29eb42bba12817a323b0e8f3', 'e186dd442b004770b5cbd5eb1c7eb0e1', 'False', 'True', 'false', 'false', '511304215211', 5, '窑湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304215211', 1, '2021-07-19 11:48:52', NULL, NULL), (16954, '', '仁和寨村', 'f53b7de93e9c455b86591ff54c1cbc42', 'e186dd442b004770b5cbd5eb1c7eb0e1', 'False', 'True', 'false', 'false', '511304215212', 5, '仁和寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304215212', 1, '2021-07-19 11:48:52', NULL, NULL), (16955, '', '大兴乡', '9086afed91fb45f688389a88053df5bc', 'c64cec88e8b24401bf286eed904d496f', 'True', 'True', 'false', 'false', '511304220000', 4, '大兴乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511304220000', 1, '2021-07-19 11:48:53', NULL, NULL), (16956, '', '皇殿山村', '9a509f9ecc714b858ba11e0efa808af7', '9086afed91fb45f688389a88053df5bc', 'False', 'True', 'false', 'false', '511304220201', 5, '皇殿山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304220201', 1, '2021-07-19 11:48:53', NULL, NULL), (16957, '', '双堰塘村', '970d443fdc9b44a8979576aac5f5b758', '9086afed91fb45f688389a88053df5bc', 'False', 'True', 'false', 'false', '511304220202', 5, '双堰塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304220202', 1, '2021-07-19 11:48:53', NULL, NULL), (16958, '', '万山寺村', '74c566bb68c44e67a5cce819c3cbd7b7', '9086afed91fb45f688389a88053df5bc', 'False', 'True', 'false', 'false', '511304220203', 5, '万山寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304220203', 1, '2021-07-19 11:48:53', NULL, NULL), (16959, '', '文武寨村', '4c0bdb0abce744a8a825f340cd8c0d01', '9086afed91fb45f688389a88053df5bc', 'False', 'True', 'false', 'false', '511304220204', 5, '文武寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304220204', 1, '2021-07-19 11:48:53', NULL, NULL), (16960, '', '枫木垭村', 'dbfebc753d7f44f499daa28b59eba29d', '9086afed91fb45f688389a88053df5bc', 'False', 'True', 'false', 'false', '511304220205', 5, '枫木垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304220205', 1, '2021-07-19 11:48:53', NULL, NULL), (16961, '', '栗子坝村', 'e4be71963ae34cadaaca3e8929a28c9a', '9086afed91fb45f688389a88053df5bc', 'False', 'True', 'false', 'false', '511304220206', 5, '栗子坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304220206', 1, '2021-07-19 11:48:53', NULL, NULL), (16962, '', '明星寺村', 'c899f81d586b489b9d44b5e44d20f803', '9086afed91fb45f688389a88053df5bc', 'False', 'True', 'false', 'false', '511304220207', 5, '明星寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304220207', 1, '2021-07-19 11:48:53', NULL, NULL), (16963, '', '马村山村', 'd2267af5c49244a69f53f021d3d9d44b', '9086afed91fb45f688389a88053df5bc', 'False', 'True', 'false', 'false', '511304220208', 5, '马村山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304220208', 1, '2021-07-19 11:48:53', NULL, NULL), (16964, '', '公子寺村', '82c47de9c0214922a7b21f9e76a7b9b0', '9086afed91fb45f688389a88053df5bc', 'False', 'True', 'false', 'false', '511304220209', 5, '公子寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304220209', 1, '2021-07-19 11:48:53', NULL, NULL), (16965, '', '保头寨村', 'cd71c3f74cb849208f937091eef523f8', '9086afed91fb45f688389a88053df5bc', 'False', 'True', 'false', 'false', '511304220210', 5, '保头寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304220210', 1, '2021-07-19 11:48:53', NULL, NULL), (16966, '', '天灯宝村', 'f366d6a911fb4a38819e4b5a8a643b08', '9086afed91fb45f688389a88053df5bc', 'False', 'True', 'false', 'false', '511304220211', 5, '天灯宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304220211', 1, '2021-07-19 11:48:53', NULL, NULL), (16967, '', '新观音村', 'efe84b37b8694867af0029b7039eaa80', '9086afed91fb45f688389a88053df5bc', 'False', 'True', 'false', 'false', '511304220212', 5, '新观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304220212', 1, '2021-07-19 11:48:53', NULL, NULL), (16968, '', '广德院村', 'a4af9779a3e64173ba721f61f65d9960', '9086afed91fb45f688389a88053df5bc', 'False', 'True', 'false', 'false', '511304220213', 5, '广德院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304220213', 1, '2021-07-19 11:48:53', NULL, NULL), (16969, '', '柯家湾村', '1344b667a77b4aedb68d79b11003416f', '9086afed91fb45f688389a88053df5bc', 'False', 'True', 'false', 'false', '511304220214', 5, '柯家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304220214', 1, '2021-07-19 11:48:53', NULL, NULL), (16970, '', '碑垭口村', 'c6594af9f9884ebebc1704913f421007', '9086afed91fb45f688389a88053df5bc', 'False', 'True', 'false', 'false', '511304220215', 5, '碑垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304220215', 1, '2021-07-19 11:48:53', NULL, NULL), (16971, '', '佛降寺村', 'c118630c9ca148d5b7174e54cfa2e2b3', '9086afed91fb45f688389a88053df5bc', 'False', 'True', 'false', 'false', '511304220216', 5, '佛降寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511304220216', 1, '2021-07-19 11:48:53', NULL, NULL), (16972, '', '阆中市', '8ffaf605dce947cb9e7c2d72c28bb57b', 'd9f01e465bbf4f06b12dda9480080f67', 'True', 'True', 'true', 'true', '511381000000', 3, '阆中市', 'ncslzs.sczwfw.gov.cn', 1, '2021-07-19 11:48:53', NULL, NULL), (16973, '', '保宁街道', '5cae125236404738aa0905757c8e6a79', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381001000', 4, '保宁街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381001000', 1, '2021-07-19 11:48:54', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (16974, '', '三陈街社区', '332ca2cb3ca042c2aa9e7774a9615c05', '5cae125236404738aa0905757c8e6a79', 'False', 'True', 'false', 'false', '511381001001', 5, '三陈街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381001001', 1, '2021-07-19 11:48:54', NULL, NULL), (16975, '', '内东街社区', '3ce28078491b4c4a9774f139621ea65c', '5cae125236404738aa0905757c8e6a79', 'False', 'True', 'false', 'false', '511381001006', 5, '内东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381001006', 1, '2021-07-19 11:48:54', NULL, NULL), (16976, '', '迎恩街社区', '89259365f04c48feb8a3669cbb01ac36', '5cae125236404738aa0905757c8e6a79', 'False', 'True', 'false', 'false', '511381001007', 5, '迎恩街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381001007', 1, '2021-07-19 11:48:54', NULL, NULL), (16977, '', '南街社区', '73d57f4a02a849ee99c507b703ee7695', '5cae125236404738aa0905757c8e6a79', 'False', 'True', 'false', 'false', '511381001008', 5, '南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381001008', 1, '2021-07-19 11:48:54', NULL, NULL), (16978, '', '寓思园街社区', 'fb018f25aade4aaca6d25e164aabe3d2', '5cae125236404738aa0905757c8e6a79', 'False', 'True', 'false', 'false', '511381001010', 5, '寓思园街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381001010', 1, '2021-07-19 11:48:54', NULL, NULL), (16979, '', '普贤街社区', 'ebe8306d63cf4d2585eb99f3ee20d5d7', '5cae125236404738aa0905757c8e6a79', 'False', 'True', 'false', 'false', '511381001012', 5, '普贤街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381001012', 1, '2021-07-19 11:48:54', NULL, NULL), (16980, '', '凤凰楼社区', '6bc4a6a65e37457d80d868ee7db9204c', '5cae125236404738aa0905757c8e6a79', 'False', 'True', 'false', 'false', '511381001015', 5, '凤凰楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381001015', 1, '2021-07-19 11:48:54', NULL, NULL), (16981, '', '天马寺街社区', '65187fd013a74c29a4d7335debee1e16', '5cae125236404738aa0905757c8e6a79', 'False', 'True', 'false', 'false', '511381001016', 5, '天马寺街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381001016', 1, '2021-07-19 11:48:54', NULL, NULL), (16982, '', '郎家拐街社区', 'c05e95085ab54e9a8390065c02d08a65', '5cae125236404738aa0905757c8e6a79', 'False', 'True', 'false', 'false', '511381001017', 5, '郎家拐街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381001017', 1, '2021-07-19 11:48:54', NULL, NULL), (16983, '', '书院街社区', '5e3c1e9afd4642a4a1b7e3f2b6b96259', '5cae125236404738aa0905757c8e6a79', 'False', 'True', 'false', 'false', '511381001021', 5, '书院街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381001021', 1, '2021-07-19 11:48:54', NULL, NULL), (16984, '', '观音寺社区', 'fe28a955d6b549378e9e15e22015a9ef', '5cae125236404738aa0905757c8e6a79', 'False', 'True', 'false', 'false', '511381001022', 5, '观音寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381001022', 1, '2021-07-19 11:48:54', NULL, NULL), (16985, '', '公园路社区', 'c444874f4f4a4098b79556aed89cb2f9', '5cae125236404738aa0905757c8e6a79', 'False', 'True', 'false', 'false', '511381001023', 5, '公园路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381001023', 1, '2021-07-19 11:48:54', NULL, NULL), (16986, '', '蟠龙路社区', 'd24813a1951d4529b13d993eb514d561', '5cae125236404738aa0905757c8e6a79', 'False', 'True', 'false', 'false', '511381001026', 5, '蟠龙路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381001026', 1, '2021-07-19 11:48:54', NULL, NULL), (16987, '', '王家嘴社区', '56ed46685763453c9fd9d5d3a5b38a21', '5cae125236404738aa0905757c8e6a79', 'False', 'True', 'false', 'false', '511381001027', 5, '王家嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381001027', 1, '2021-07-19 11:48:54', NULL, NULL), (16988, '', '沙溪街道', 'db02d827a3224eb9af8ca3a653e45a79', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381003000', 4, '沙溪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381003000', 1, '2021-07-19 11:48:54', NULL, NULL), (16989, '', '拥军街社区', '93a7a0a5b7e34b75a595d4010b5e89b2', 'db02d827a3224eb9af8ca3a653e45a79', 'False', 'True', 'false', 'false', '511381003001', 5, '拥军街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381003001', 1, '2021-07-19 11:48:54', NULL, NULL), (16990, '', '神门关社区', '8905e933391a423d9b4881d22d942916', 'db02d827a3224eb9af8ca3a653e45a79', 'False', 'True', 'false', 'false', '511381003002', 5, '神门关社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381003002', 1, '2021-07-19 11:48:55', NULL, NULL), (16991, '', '兰家坝社区', '83d135fd55514de49cc5b71b17c8036c', 'db02d827a3224eb9af8ca3a653e45a79', 'False', 'True', 'false', 'false', '511381003005', 5, '兰家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381003005', 1, '2021-07-19 11:48:55', NULL, NULL), (16992, '', '滕王阁社区', '986e3220818e4ad6917fd3c1da66dea8', 'db02d827a3224eb9af8ca3a653e45a79', 'False', 'True', 'false', 'false', '511381003006', 5, '滕王阁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381003006', 1, '2021-07-19 11:48:55', NULL, NULL), (16993, '', '盘龙山社区', '489e9a33e97e4681beb4a1f8854bfc6f', 'db02d827a3224eb9af8ca3a653e45a79', 'False', 'True', 'false', 'false', '511381003007', 5, '盘龙山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381003007', 1, '2021-07-19 11:48:55', NULL, NULL), (16994, '', '金河社区', 'c1e7108f119645d7a416e566158a3c76', 'db02d827a3224eb9af8ca3a653e45a79', 'False', 'True', 'false', 'false', '511381003008', 5, '金河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381003008', 1, '2021-07-19 11:48:55', NULL, NULL), (16995, '', '大河梁村', 'd4b99914066f4601831ca396d4209203', 'db02d827a3224eb9af8ca3a653e45a79', 'False', 'True', 'false', 'false', '511381003205', 5, '大河梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381003205', 1, '2021-07-19 11:48:55', NULL, NULL), (16996, '', '清溪村', 'b82a68d9e2fa4ad288a0f9dd5f55ea3b', 'db02d827a3224eb9af8ca3a653e45a79', 'False', 'True', 'false', 'false', '511381003206', 5, '清溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381003206', 1, '2021-07-19 11:48:55', NULL, NULL), (16997, '', '嘉陵村', '9a63b757f973472ea8db43a3b43f3777', 'db02d827a3224eb9af8ca3a653e45a79', 'False', 'True', 'false', 'false', '511381003207', 5, '嘉陵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381003207', 1, '2021-07-19 11:48:55', NULL, NULL), (16998, '', '金鼓村', '103057a0239e48cea7b4f69bd1744e9a', 'db02d827a3224eb9af8ca3a653e45a79', 'False', 'True', 'false', 'false', '511381003208', 5, '金鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381003208', 1, '2021-07-19 11:48:55', NULL, NULL), (16999, '', '五丰村', 'f1ae4764947a4007a6a6d14d21af9405', 'db02d827a3224eb9af8ca3a653e45a79', 'False', 'True', 'false', 'false', '511381003209', 5, '五丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381003209', 1, '2021-07-19 11:48:55', NULL, NULL), (17000, '', '洞子口村', 'aa6f26edf0dc493eb5b84d5ac5cdae82', 'db02d827a3224eb9af8ca3a653e45a79', 'False', 'True', 'false', 'false', '511381003212', 5, '洞子口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381003212', 1, '2021-07-19 11:48:55', NULL, NULL), (17001, '', '青包山村', '1ac31299570c4c2b9183e2eb58a88c85', 'db02d827a3224eb9af8ca3a653e45a79', 'False', 'True', 'false', 'false', '511381003213', 5, '青包山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381003213', 1, '2021-07-19 11:48:55', NULL, NULL), (17002, '', '瓦口隘村', '17c2b55109734e11a17d8012708af034', 'db02d827a3224eb9af8ca3a653e45a79', 'False', 'True', 'false', 'false', '511381003215', 5, '瓦口隘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381003215', 1, '2021-07-19 11:48:55', NULL, NULL), (17003, '', '七里街道', 'b165ce56ffdd476297da3fdd1a24319c', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381004000', 4, '七里街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381004000', 1, '2021-07-19 11:48:55', NULL, NULL), (17004, '', '南池社区', '6f4b8135784f451190f1f5493d05a1d0', 'b165ce56ffdd476297da3fdd1a24319c', 'False', 'True', 'false', 'false', '511381004001', 5, '南池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381004001', 1, '2021-07-19 11:48:55', NULL, NULL), (17005, '', '长安社区', '8dd8d111fcce4fe696d83c2acf53ab7f', 'b165ce56ffdd476297da3fdd1a24319c', 'False', 'True', 'false', 'false', '511381004002', 5, '长安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381004002', 1, '2021-07-19 11:48:55', NULL, NULL), (17006, '', '白塔社区', 'a0c4d0378a4048cab455ace9de196d8d', 'b165ce56ffdd476297da3fdd1a24319c', 'False', 'True', 'false', 'false', '511381004003', 5, '白塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381004003', 1, '2021-07-19 11:48:55', NULL, NULL), (17007, '', '海棠社区', 'ea6741350f9e47acb3895ffee4d7503b', 'b165ce56ffdd476297da3fdd1a24319c', 'False', 'True', 'false', 'false', '511381004004', 5, '海棠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381004004', 1, '2021-07-19 11:48:55', NULL, NULL), (17008, '', '千鹤社区', 'b55f3c93495e418fa3f0ad87659aea75', 'b165ce56ffdd476297da3fdd1a24319c', 'False', 'True', 'false', 'false', '511381004005', 5, '千鹤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381004005', 1, '2021-07-19 11:48:56', NULL, NULL), (17009, '', '长青社区', '1f07302d676e414388f81472785ec071', 'b165ce56ffdd476297da3fdd1a24319c', 'False', 'True', 'false', 'false', '511381004006', 5, '长青社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381004006', 1, '2021-07-19 11:48:56', NULL, NULL), (17010, '', '张公桥社区', '1d531c547fa1475ba2b7e6304444e53c', 'b165ce56ffdd476297da3fdd1a24319c', 'False', 'True', 'false', 'false', '511381004007', 5, '张公桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381004007', 1, '2021-07-19 11:48:56', NULL, NULL), (17011, '', '鲜于社区', '20e7513aeeda4ba0bbe05f5c4208d7a7', 'b165ce56ffdd476297da3fdd1a24319c', 'False', 'True', 'false', 'false', '511381004008', 5, '鲜于社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381004008', 1, '2021-07-19 11:48:56', NULL, NULL), (17012, '', '河口社区', 'fd6e75c2fa9f466e9f6000062889a141', 'b165ce56ffdd476297da3fdd1a24319c', 'False', 'True', 'false', 'false', '511381004009', 5, '河口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381004009', 1, '2021-07-19 11:48:56', NULL, NULL), (17013, '', '孙家垭社区', 'c1d47c791b714d4ab7b527bf23335cde', 'b165ce56ffdd476297da3fdd1a24319c', 'False', 'True', 'false', 'false', '511381004010', 5, '孙家垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381004010', 1, '2021-07-19 11:48:56', NULL, NULL), (17014, '', '状元社区', 'dd501bd840b7431bad11e9561a663b10', 'b165ce56ffdd476297da3fdd1a24319c', 'False', 'True', 'false', 'false', '511381004011', 5, '状元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381004011', 1, '2021-07-19 11:48:56', NULL, NULL), (17015, '', '梓潼社区', '6784a1532dd2430db9f834957534fed4', 'b165ce56ffdd476297da3fdd1a24319c', 'False', 'True', 'false', 'false', '511381004012', 5, '梓潼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381004012', 1, '2021-07-19 11:48:56', NULL, NULL), (17016, '', '大井社区', '73ed0f1b1106414d8745920b5ac412c5', 'b165ce56ffdd476297da3fdd1a24319c', 'False', 'True', 'false', 'false', '511381004013', 5, '大井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381004013', 1, '2021-07-19 11:48:56', NULL, NULL), (17017, '', '御河社区', '19c0f0b9448a48c3a1b42586eee2b36a', 'b165ce56ffdd476297da3fdd1a24319c', 'False', 'True', 'false', 'false', '511381004014', 5, '御河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381004014', 1, '2021-07-19 11:48:56', NULL, NULL), (17018, '', '马驰社区', 'e31ddd919d774e9e8957ebb875c230d8', 'b165ce56ffdd476297da3fdd1a24319c', 'False', 'True', 'false', 'false', '511381004015', 5, '马驰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381004015', 1, '2021-07-19 11:48:56', NULL, NULL), (17019, '', '凌家坝社区', 'ad8ff65f88da4b08ada70cb333c03d5e', 'b165ce56ffdd476297da3fdd1a24319c', 'False', 'True', 'false', 'false', '511381004016', 5, '凌家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381004016', 1, '2021-07-19 11:48:56', NULL, NULL), (17020, '', '大堰社区', '01b567f4e59b40838e272995b1d53246', 'b165ce56ffdd476297da3fdd1a24319c', 'False', 'True', 'false', 'false', '511381004017', 5, '大堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381004017', 1, '2021-07-19 11:48:56', NULL, NULL), (17021, '', '三台村', '907e46b014694da585207c33954b5cc5', 'b165ce56ffdd476297da3fdd1a24319c', 'False', 'True', 'false', 'false', '511381004215', 5, '三台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381004215', 1, '2021-07-19 11:48:57', NULL, NULL), (17022, '', '江南街道', '470dd1fbec3142f0a7285217f9df0049', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381005000', 4, '江南街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381005000', 1, '2021-07-19 11:48:57', NULL, NULL), (17023, '', '江南社区', '4ca582739014412d9aab47b64cdf10f6', '470dd1fbec3142f0a7285217f9df0049', 'False', 'True', 'false', 'false', '511381005001', 5, '江南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381005001', 1, '2021-07-19 11:48:57', NULL, NULL), (17024, '', '阆南桥社区', 'e706e9d64ce94f248d145c25d4b8ee6f', '470dd1fbec3142f0a7285217f9df0049', 'False', 'True', 'false', 'false', '511381005002', 5, '阆南桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381005002', 1, '2021-07-19 11:48:57', NULL, NULL), (17025, '', '奎星楼社区', 'b3001afbfe9d4aab8a3d24c07372d6f1', '470dd1fbec3142f0a7285217f9df0049', 'False', 'True', 'false', 'false', '511381005003', 5, '奎星楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381005003', 1, '2021-07-19 11:48:57', NULL, NULL), (17026, '', '金银观社区', 'a0e2813536f54d02a14ed45ffc019f5f', '470dd1fbec3142f0a7285217f9df0049', 'False', 'True', 'false', 'false', '511381005004', 5, '金银观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381005004', 1, '2021-07-19 11:48:57', NULL, NULL), (17027, '', '眉山社区', '2c2c82cccbd2465ab0ac0e815b1b0241', '470dd1fbec3142f0a7285217f9df0049', 'False', 'True', 'false', 'false', '511381005005', 5, '眉山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381005005', 1, '2021-07-19 11:48:57', NULL, NULL), (17028, '', '前锋社区', 'c15d5e2f35db46029d9f9d144909f484', '470dd1fbec3142f0a7285217f9df0049', 'False', 'True', 'false', 'false', '511381005006', 5, '前锋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381005006', 1, '2021-07-19 11:48:57', NULL, NULL), (17029, '', '鹤长村', '0d1307f461b743ba9d64dca9947ba459', '470dd1fbec3142f0a7285217f9df0049', 'False', 'True', 'false', 'false', '511381005201', 5, '鹤长村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381005201', 1, '2021-07-19 11:48:57', NULL, NULL), (17030, '', '瓦房沟村', '301cf90a4ea9407e88e3ac73c456a242', '470dd1fbec3142f0a7285217f9df0049', 'False', 'True', 'false', 'false', '511381005202', 5, '瓦房沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381005202', 1, '2021-07-19 11:48:57', NULL, NULL), (17031, '', '龙潭村', '4d78855964334af293b43b5da48215a3', '470dd1fbec3142f0a7285217f9df0049', 'False', 'True', 'false', 'false', '511381005206', 5, '龙潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381005206', 1, '2021-07-19 11:48:57', NULL, NULL), (17032, '', '元山子村', 'c5bf7d6a0baf4330b493f6e8b4eaeb6c', '470dd1fbec3142f0a7285217f9df0049', 'False', 'True', 'false', 'false', '511381005207', 5, '元山子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381005207', 1, '2021-07-19 11:48:57', NULL, NULL), (17033, '', '百佛场村', 'e5bc1633f5574a7cbd6e2b1923d6a7f9', '470dd1fbec3142f0a7285217f9df0049', 'False', 'True', 'false', 'false', '511381005208', 5, '百佛场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381005208', 1, '2021-07-19 11:48:57', NULL, NULL), (17034, '', '白溪村', '46332611d40846508b8ce30c580d8cdd', '470dd1fbec3142f0a7285217f9df0049', 'False', 'True', 'false', 'false', '511381005209', 5, '白溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381005209', 1, '2021-07-19 11:48:58', NULL, NULL), (17035, '', '彭城镇', 'eb8787af97b94754be244929b72b1c80', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381103000', 4, '彭城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381103000', 1, '2021-07-19 11:48:58', NULL, NULL), (17036, '', '彭城坝社区', '96c94d8b071c4c14956b5baaa6b4df72', 'eb8787af97b94754be244929b72b1c80', 'False', 'True', 'false', 'false', '511381103201', 5, '彭城坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381103201', 1, '2021-07-19 11:48:58', NULL, NULL), (17037, '', '五谷台村', '85a4f347f056442cad711b9aaa169bb9', 'eb8787af97b94754be244929b72b1c80', 'False', 'True', 'false', 'false', '511381103202', 5, '五谷台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381103202', 1, '2021-07-19 11:48:58', NULL, NULL), (17038, '', '园觉寺村', '050e6c6825d84d8d8efe50cdc982a60b', 'eb8787af97b94754be244929b72b1c80', 'False', 'True', 'false', 'false', '511381103204', 5, '园觉寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381103204', 1, '2021-07-19 11:48:58', NULL, NULL), (17039, '', '界牌村', 'f222574c4cc54105a33c2d28d75402d7', 'eb8787af97b94754be244929b72b1c80', 'False', 'True', 'false', 'false', '511381103207', 5, '界牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381103207', 1, '2021-07-19 11:48:58', NULL, NULL), (17040, '', '刘家庙村', '73ca356606cd475bb2464b903ab63ed8', 'eb8787af97b94754be244929b72b1c80', 'False', 'True', 'false', 'false', '511381103210', 5, '刘家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381103210', 1, '2021-07-19 11:48:58', NULL, NULL), (17041, '', '徐垭村', 'e803731be4bd49eca1fe7f68fe296b3d', 'eb8787af97b94754be244929b72b1c80', 'False', 'True', 'false', 'false', '511381103214', 5, '徐垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381103214', 1, '2021-07-19 11:48:58', NULL, NULL), (17042, '', '柏垭镇', 'ff11260e1210441ebb89b7d08c9e72b0', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381105000', 4, '柏垭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381105000', 1, '2021-07-19 11:48:58', NULL, NULL), (17043, '', '柏垭社区', 'ab52956ce62f40feb5f463970a66e5e1', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105001', 5, '柏垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105001', 1, '2021-07-19 11:48:58', NULL, NULL), (17044, '', '富乐庙村', 'e1ad593ea0c14e3b9d9fc33f4a527a49', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105204', 5, '富乐庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105204', 1, '2021-07-19 11:48:59', NULL, NULL), (17045, '', '碧云村', '42e45090e60c48da8a65d5213cc2e950', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105206', 5, '碧云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105206', 1, '2021-07-19 11:48:59', NULL, NULL), (17046, '', '上游村', '2bdaa05d6828434e82ae968a8a7ce0da', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105208', 5, '上游村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105208', 1, '2021-07-19 11:48:59', NULL, NULL), (17047, '', '铺垭村', '3d2989508dc94341a8b9054622b7a059', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105210', 5, '铺垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105210', 1, '2021-07-19 11:48:59', NULL, NULL), (17048, '', '虎溪村', 'b49e7a5e2f5946a39d4be212e80f0923', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105212', 5, '虎溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105212', 1, '2021-07-19 11:48:59', NULL, NULL), (17049, '', '淳风村', '36853921c342471e91bbfa217229aba5', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105214', 5, '淳风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105214', 1, '2021-07-19 11:48:59', NULL, NULL), (17050, '', '万寿村', '00ead1680e434befbd5b852f576b8215', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105216', 5, '万寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105216', 1, '2021-07-19 11:48:59', NULL, NULL), (17051, '', '檬子嘴村', '4947e546ce1e4215abb4c0361ccac65f', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105217', 5, '檬子嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105217', 1, '2021-07-19 11:48:59', NULL, NULL), (17052, '', '羊鹿村', 'c5a79cbabab44fa39a86ddc42ff054b7', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105219', 5, '羊鹿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105219', 1, '2021-07-19 11:48:59', NULL, NULL), (17053, '', '莲池村', 'f518e6109ac04ec1bc366297ff172282', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105220', 5, '莲池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105220', 1, '2021-07-19 11:48:59', NULL, NULL), (17054, '', '老房嘴村', 'b84a580a35234b709acc06f2915fe549', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105223', 5, '老房嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105223', 1, '2021-07-19 11:48:59', NULL, NULL), (17055, '', '高观寺村', '2ab458fea4df4fa589909e4ba2fd161c', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105224', 5, '高观寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105224', 1, '2021-07-19 11:48:59', NULL, NULL), (17056, '', '回龙场村', '8a83753cda4f41ad87d02fe1066c1084', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105227', 5, '回龙场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105227', 1, '2021-07-19 11:49:00', NULL, NULL), (17057, '', '鹿角溪村', 'f59bb65090254eb0b997c9e04b248986', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105231', 5, '鹿角溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105231', 1, '2021-07-19 11:49:00', NULL, NULL), (17058, '', '杜家垭村', '3c25b836a6154dd9b1ab0969dc431d1e', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105234', 5, '杜家垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105234', 1, '2021-07-19 11:49:00', NULL, NULL), (17059, '', '南登观村', 'c4b467438900410f99d308c59e348ceb', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105235', 5, '南登观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105235', 1, '2021-07-19 11:49:00', NULL, NULL), (17060, '', '君庆寺村', '344c0f3b6ccc4860821a5bc114fe1db4', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105238', 5, '君庆寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105238', 1, '2021-07-19 11:49:00', NULL, NULL), (17061, '', '琴鹤村', '53fa1961479845108efd791ce2a123ba', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105239', 5, '琴鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105239', 1, '2021-07-19 11:49:00', NULL, NULL), (17062, '', '新场村', 'f07ab84ed22a4e98a8aa751cc154445e', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105242', 5, '新场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105242', 1, '2021-07-19 11:49:00', NULL, NULL), (17063, '', '金华村', '050d436baf994cd4aeb897131ed98247', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105246', 5, '金华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105246', 1, '2021-07-19 11:49:00', NULL, NULL), (17064, '', '福星村', '6ee9874c718c4eab8b82b5e593c82e52', 'ff11260e1210441ebb89b7d08c9e72b0', 'False', 'True', 'false', 'false', '511381105247', 5, '福星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381105247', 1, '2021-07-19 11:49:00', NULL, NULL), (17065, '', '飞凤镇', '068796487b3a4ca4bc3315cbfee3184f', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381106000', 4, '飞凤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381106000', 1, '2021-07-19 11:49:00', NULL, NULL), (17066, '', '新镇街社区', 'dee73899b10c4034b7c475c3ca9ea482', '068796487b3a4ca4bc3315cbfee3184f', 'False', 'True', 'false', 'false', '511381106001', 5, '新镇街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381106001', 1, '2021-07-19 11:49:00', NULL, NULL), (17067, '', '三家塘村', '7068225a9c9a413492bf2c9fc297421c', '068796487b3a4ca4bc3315cbfee3184f', 'False', 'True', 'false', 'false', '511381106203', 5, '三家塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381106203', 1, '2021-07-19 11:49:00', NULL, NULL), (17068, '', '飞凤村', 'e7b1ff2e4eb84b0383bbc697bb450116', '068796487b3a4ca4bc3315cbfee3184f', 'False', 'True', 'false', 'false', '511381106205', 5, '飞凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381106205', 1, '2021-07-19 11:49:01', NULL, NULL), (17069, '', '石扶场村', 'afdc715dd0d4424b9c09adccdf414bf8', '068796487b3a4ca4bc3315cbfee3184f', 'False', 'True', 'false', 'false', '511381106206', 5, '石扶场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381106206', 1, '2021-07-19 11:49:01', NULL, NULL), (17070, '', '瓦店村', '71cff5d80cf94c40ad62c9c4cb07f686', '068796487b3a4ca4bc3315cbfee3184f', 'False', 'True', 'false', 'false', '511381106207', 5, '瓦店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381106207', 1, '2021-07-19 11:49:01', NULL, NULL), (17071, '', '桥亭村', '4866469a61264a21bc9cdf3972d94b34', '068796487b3a4ca4bc3315cbfee3184f', 'False', 'True', 'false', 'false', '511381106212', 5, '桥亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381106212', 1, '2021-07-19 11:49:01', NULL, NULL), (17072, '', '思依镇', 'f9d879d83afc41d0a2216f85637393d3', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381107000', 4, '思依镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381107000', 1, '2021-07-19 11:49:01', NULL, NULL), (17073, '', '盘龙社区', '216b0c55950744dc9c4620e7a55c384a', 'f9d879d83afc41d0a2216f85637393d3', 'False', 'True', 'false', 'false', '511381107001', 5, '盘龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381107001', 1, '2021-07-19 11:49:01', NULL, NULL), (17074, '', '小垭子社区', 'f94a55f89ce84d049d3a7c29029b18c5', 'f9d879d83afc41d0a2216f85637393d3', 'False', 'True', 'false', 'false', '511381107002', 5, '小垭子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381107002', 1, '2021-07-19 11:49:01', NULL, NULL), (17075, '', '大益湾村', '801fff8613fa4f91ab8175448166bb9e', 'f9d879d83afc41d0a2216f85637393d3', 'False', 'True', 'false', 'false', '511381107201', 5, '大益湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381107201', 1, '2021-07-19 11:49:01', NULL, NULL), (17076, '', '崇林观村', '1ef9db9684d241a6a261e7fad1d9b8a5', 'f9d879d83afc41d0a2216f85637393d3', 'False', 'True', 'false', 'false', '511381107202', 5, '崇林观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381107202', 1, '2021-07-19 11:49:01', NULL, NULL), (17077, '', '桃花河村', 'edb23410c58d4f3ca7532e9c18bc6089', 'f9d879d83afc41d0a2216f85637393d3', 'False', 'True', 'false', 'false', '511381107203', 5, '桃花河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381107203', 1, '2021-07-19 11:49:01', NULL, NULL), (17078, '', '木林堂村', 'd6a08bc54c4c44dfaf3796f63ca64362', 'f9d879d83afc41d0a2216f85637393d3', 'False', 'True', 'false', 'false', '511381107207', 5, '木林堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381107207', 1, '2021-07-19 11:49:01', NULL, NULL), (17079, '', '石马梁村', '3524a30eeb1b44c48d9defb64304c858', 'f9d879d83afc41d0a2216f85637393d3', 'False', 'True', 'false', 'false', '511381107208', 5, '石马梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381107208', 1, '2021-07-19 11:49:01', NULL, NULL), (17080, '', '白盐沟村', 'fac8e7aca67a4782a3ae1419f5f105a6', 'f9d879d83afc41d0a2216f85637393d3', 'False', 'True', 'false', 'false', '511381107214', 5, '白盐沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381107214', 1, '2021-07-19 11:49:01', NULL, NULL), (17081, '', '新庙垭村', '46792d0cbaf141bdaea14e683acebd8b', 'f9d879d83afc41d0a2216f85637393d3', 'False', 'True', 'false', 'false', '511381107217', 5, '新庙垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381107217', 1, '2021-07-19 11:49:01', NULL, NULL), (17082, '', '金斗观村', 'aca24eeb39a94276bab9444a34924216', 'f9d879d83afc41d0a2216f85637393d3', 'False', 'True', 'false', 'false', '511381107219', 5, '金斗观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381107219', 1, '2021-07-19 11:49:01', NULL, NULL), (17083, '', '龙庙河村', '11d9b558b60d4b2a9cd1faaab5f2f773', 'f9d879d83afc41d0a2216f85637393d3', 'False', 'True', 'false', 'false', '511381107220', 5, '龙庙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381107220', 1, '2021-07-19 11:49:02', NULL, NULL), (17084, '', '竹罗村', 'f35f2ff7435541a8a3851dac81bbaeab', 'f9d879d83afc41d0a2216f85637393d3', 'False', 'True', 'false', 'false', '511381107221', 5, '竹罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381107221', 1, '2021-07-19 11:49:02', NULL, NULL), (17085, '', '石长村', 'b3750e8322a64b719219fb86f70a6a35', 'f9d879d83afc41d0a2216f85637393d3', 'False', 'True', 'false', 'false', '511381107223', 5, '石长村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381107223', 1, '2021-07-19 11:49:02', NULL, NULL), (17086, '', '文成镇', '0f6020f7e14343f7b8fa7deef20d291b', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381108000', 4, '文成镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381108000', 1, '2021-07-19 11:49:02', NULL, NULL), (17087, '', '文成社区', 'e625cfc058b94f33b17a98f073d446bd', '0f6020f7e14343f7b8fa7deef20d291b', 'False', 'True', 'false', 'false', '511381108001', 5, '文成社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381108001', 1, '2021-07-19 11:49:02', NULL, NULL), (17088, '', '大桥村', '3824d54bca7446dd80a7c0712d0a80f5', '0f6020f7e14343f7b8fa7deef20d291b', 'False', 'True', 'false', 'false', '511381108114', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381108114', 1, '2021-07-19 11:49:02', NULL, NULL), (17089, '', '大石坎村', 'a6b080176b7743d59e7892c35153de87', '0f6020f7e14343f7b8fa7deef20d291b', 'False', 'True', 'false', 'false', '511381108202', 5, '大石坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381108202', 1, '2021-07-19 11:49:02', NULL, NULL), (17090, '', '灵城村', '65590c4ad82e4334ae6dd62aac59a6e6', '0f6020f7e14343f7b8fa7deef20d291b', 'False', 'True', 'false', 'false', '511381108203', 5, '灵城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381108203', 1, '2021-07-19 11:49:02', NULL, NULL), (17091, '', '白沙村', '32f22fd5c5bf48f18f5be67ef1613424', '0f6020f7e14343f7b8fa7deef20d291b', 'False', 'True', 'false', 'false', '511381108204', 5, '白沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381108204', 1, '2021-07-19 11:49:02', NULL, NULL), (17092, '', '双山村', 'c64ed784764c46eebddd80c6e9144863', '0f6020f7e14343f7b8fa7deef20d291b', 'False', 'True', 'false', 'false', '511381108208', 5, '双山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381108208', 1, '2021-07-19 11:49:02', NULL, NULL), (17093, '', '梁山村', '4456f961360b4997840d5431188a788d', '0f6020f7e14343f7b8fa7deef20d291b', 'False', 'True', 'false', 'false', '511381108209', 5, '梁山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381108209', 1, '2021-07-19 11:49:02', NULL, NULL), (17094, '', '白庙村', '745e1eaffd674d0aac359ce896001dcc', '0f6020f7e14343f7b8fa7deef20d291b', 'False', 'True', 'false', 'false', '511381108212', 5, '白庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381108212', 1, '2021-07-19 11:49:02', NULL, NULL), (17095, '', '青龙嘴村', '0837edb8dd4f4bdcbbf5ea2ffe90feb2', '0f6020f7e14343f7b8fa7deef20d291b', 'False', 'True', 'false', 'false', '511381108215', 5, '青龙嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381108215', 1, '2021-07-19 11:49:02', NULL, NULL), (17096, '', '云台村', 'd46d190f006d4e3eb428518de25e72f5', '0f6020f7e14343f7b8fa7deef20d291b', 'False', 'True', 'false', 'false', '511381108216', 5, '云台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381108216', 1, '2021-07-19 11:49:03', NULL, NULL), (17097, '', '罐山村', '0c5a5d533e6545c1a8cc24f4d3e2ad24', '0f6020f7e14343f7b8fa7deef20d291b', 'False', 'True', 'false', 'false', '511381108217', 5, '罐山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381108217', 1, '2021-07-19 11:49:03', NULL, NULL), (17098, '', '土城村', 'ba1d6cb81f4749df9952b353234a2d4e', '0f6020f7e14343f7b8fa7deef20d291b', 'False', 'True', 'false', 'false', '511381108219', 5, '土城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381108219', 1, '2021-07-19 11:49:03', NULL, NULL), (17099, '', '二龙镇', 'f315f2a50a944d93a2886b5e67d60aad', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381109000', 4, '二龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381109000', 1, '2021-07-19 11:49:03', NULL, NULL), (17100, '', '二龙社区', 'b58814974d5c48298cb3b9d21d34824e', 'f315f2a50a944d93a2886b5e67d60aad', 'False', 'True', 'false', 'false', '511381109001', 5, '二龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381109001', 1, '2021-07-19 11:49:03', NULL, NULL), (17101, '', '红土社区', '88ece0b4ddd041f6b6f8059fb05d5b00', 'f315f2a50a944d93a2886b5e67d60aad', 'False', 'True', 'false', 'false', '511381109002', 5, '红土社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381109002', 1, '2021-07-19 11:49:03', NULL, NULL), (17102, '', '恭思顶村', '8a2add85f910420a88d1af700f3061ab', 'f315f2a50a944d93a2886b5e67d60aad', 'False', 'True', 'false', 'false', '511381109201', 5, '恭思顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381109201', 1, '2021-07-19 11:49:03', NULL, NULL), (17103, '', '仓房沟村', '48b2671abd274809b56fb21ca04949ab', 'f315f2a50a944d93a2886b5e67d60aad', 'False', 'True', 'false', 'false', '511381109206', 5, '仓房沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381109206', 1, '2021-07-19 11:49:03', NULL, NULL), (17104, '', '康垭口村', '65d58314de8e453990e1314b922cd41d', 'f315f2a50a944d93a2886b5e67d60aad', 'False', 'True', 'false', 'false', '511381109209', 5, '康垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381109209', 1, '2021-07-19 11:49:03', NULL, NULL), (17105, '', '高阳观村', '644ef31920e44554b5f19effc75659e1', 'f315f2a50a944d93a2886b5e67d60aad', 'False', 'True', 'false', 'false', '511381109213', 5, '高阳观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381109213', 1, '2021-07-19 11:49:03', NULL, NULL), (17106, '', '松垭庙村', '3b55a4d8ef4f4d9ab14be21fd4366ffb', 'f315f2a50a944d93a2886b5e67d60aad', 'False', 'True', 'false', 'false', '511381109215', 5, '松垭庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381109215', 1, '2021-07-19 11:49:03', NULL, NULL), (17107, '', '新店子村', 'b597c781fc0042f68396a66181755a3b', 'f315f2a50a944d93a2886b5e67d60aad', 'False', 'True', 'false', 'false', '511381109226', 5, '新店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381109226', 1, '2021-07-19 11:49:03', NULL, NULL), (17108, '', '宝城宫村', '2e7584297324461fa0f8620e3cefa032', 'f315f2a50a944d93a2886b5e67d60aad', 'False', 'True', 'false', 'false', '511381109227', 5, '宝城宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381109227', 1, '2021-07-19 11:49:03', NULL, NULL), (17109, '', '青树垭村', '3a64399bff60423087aa388c0137ae77', 'f315f2a50a944d93a2886b5e67d60aad', 'False', 'True', 'false', 'false', '511381109228', 5, '青树垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381109228', 1, '2021-07-19 11:49:03', NULL, NULL), (17110, '', '红土地村', 'b3e6cdbd922d4a5c8b5c0014efaab812', 'f315f2a50a944d93a2886b5e67d60aad', 'False', 'True', 'false', 'false', '511381109229', 5, '红土地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381109229', 1, '2021-07-19 11:49:03', NULL, NULL), (17111, '', '蚕食庙村', '18f4ee4aac864c07969b0acc6a98bbc3', 'f315f2a50a944d93a2886b5e67d60aad', 'False', 'True', 'false', 'false', '511381109230', 5, '蚕食庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381109230', 1, '2021-07-19 11:49:03', NULL, NULL), (17112, '', '石滩镇', '8bdf4624441449eda7d6275b1b987cab', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381110000', 4, '石滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381110000', 1, '2021-07-19 11:49:04', NULL, NULL), (17113, '', '石滩口社区', 'c1fcc71740b14237a113a921e8962d8b', '8bdf4624441449eda7d6275b1b987cab', 'False', 'True', 'false', 'false', '511381110001', 5, '石滩口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381110001', 1, '2021-07-19 11:49:04', NULL, NULL), (17114, '', '长岗岭村', '8b81c0168d79430280acf87f0ccf87bc', '8bdf4624441449eda7d6275b1b987cab', 'False', 'True', 'false', 'false', '511381110202', 5, '长岗岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381110202', 1, '2021-07-19 11:49:04', NULL, NULL), (17115, '', '方斗山村', '876ee843f6ed4439b9b2479f71cf4b62', '8bdf4624441449eda7d6275b1b987cab', 'False', 'True', 'false', 'false', '511381110205', 5, '方斗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381110205', 1, '2021-07-19 11:49:04', NULL, NULL), (17116, '', '药柏村', '045fd1abcdc44cc1bf395c165028fad3', '8bdf4624441449eda7d6275b1b987cab', 'False', 'True', 'false', 'false', '511381110206', 5, '药柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381110206', 1, '2021-07-19 11:49:04', NULL, NULL), (17117, '', '圆宝山村', '697885fa62bc485d9a9774481de7829a', '8bdf4624441449eda7d6275b1b987cab', 'False', 'True', 'false', 'false', '511381110209', 5, '圆宝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381110209', 1, '2021-07-19 11:49:04', NULL, NULL), (17118, '', '马湾村', '168d2c306a9e40c6bf0b77044b74b21d', '8bdf4624441449eda7d6275b1b987cab', 'False', 'True', 'false', 'false', '511381110210', 5, '马湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381110210', 1, '2021-07-19 11:49:04', NULL, NULL), (17119, '', '八角井村', 'bfa5c794b79442fb9c1b1d7fe935f92c', '8bdf4624441449eda7d6275b1b987cab', 'False', 'True', 'false', 'false', '511381110211', 5, '八角井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381110211', 1, '2021-07-19 11:49:04', NULL, NULL), (17120, '', '塔溪寺村', '01718c9a8c3d4432b6e3a3cc10c1c0f0', '8bdf4624441449eda7d6275b1b987cab', 'False', 'True', 'false', 'false', '511381110214', 5, '塔溪寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381110214', 1, '2021-07-19 11:49:04', NULL, NULL), (17121, '', '老观镇', 'a34606af6ee148bda6193e33d72888c8', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381111000', 4, '老观镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381111000', 1, '2021-07-19 11:49:04', NULL, NULL), (17122, '', '君山社区', 'b7d8b8475b41417e95ab15bb2058e75b', 'a34606af6ee148bda6193e33d72888c8', 'False', 'True', 'false', 'false', '511381111001', 5, '君山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381111001', 1, '2021-07-19 11:49:04', NULL, NULL), (17123, '', '天回山村', 'dfc3d039d079485ca11e0fa5ec58a1b3', 'a34606af6ee148bda6193e33d72888c8', 'False', 'True', 'false', 'false', '511381111205', 5, '天回山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381111205', 1, '2021-07-19 11:49:04', NULL, NULL), (17124, '', '石盘子村', 'dfcc338b47614d37aca16e01633b528b', 'a34606af6ee148bda6193e33d72888c8', 'False', 'True', 'false', 'false', '511381111211', 5, '石盘子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381111211', 1, '2021-07-19 11:49:04', NULL, NULL), (17125, '', '洪山庙村', '58be02c5b8e847fbaf977d3ed2e1056b', 'a34606af6ee148bda6193e33d72888c8', 'False', 'True', 'false', 'false', '511381111212', 5, '洪山庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381111212', 1, '2021-07-19 11:49:04', NULL, NULL), (17126, '', '鸡山梁村', '27b75febffe249f1847f232e9c97ac1f', 'a34606af6ee148bda6193e33d72888c8', 'False', 'True', 'false', 'false', '511381111216', 5, '鸡山梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381111216', 1, '2021-07-19 11:49:04', NULL, NULL), (17127, '', '倩林坝村', 'b5eebe17d87148b498298e2673f37efa', 'a34606af6ee148bda6193e33d72888c8', 'False', 'True', 'false', 'false', '511381111218', 5, '倩林坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381111218', 1, '2021-07-19 11:49:04', NULL, NULL), (17128, '', '鱼池梁村', 'a6c0f7f0e8bb4d8a8a6455301d68e610', 'a34606af6ee148bda6193e33d72888c8', 'False', 'True', 'false', 'false', '511381111221', 5, '鱼池梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381111221', 1, '2021-07-19 11:49:04', NULL, NULL), (17129, '', '牌坊村', 'bab76e999d374a59b53fc14f0f73b3a1', 'a34606af6ee148bda6193e33d72888c8', 'False', 'True', 'false', 'false', '511381111226', 5, '牌坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381111226', 1, '2021-07-19 11:49:05', NULL, NULL), (17130, '', '老龙村', '21cd074f87684454b76022857c262704', 'a34606af6ee148bda6193e33d72888c8', 'False', 'True', 'false', 'false', '511381111227', 5, '老龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381111227', 1, '2021-07-19 11:49:05', NULL, NULL), (17131, '', '石马村', '3c30bf8f2d3a43afa5611d800f2706f4', 'a34606af6ee148bda6193e33d72888c8', 'False', 'True', 'false', 'false', '511381111228', 5, '石马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381111228', 1, '2021-07-19 11:49:05', NULL, NULL), (17132, '', '新凤村', '9388b1254da24246b241178e76462876', 'a34606af6ee148bda6193e33d72888c8', 'False', 'True', 'false', 'false', '511381111229', 5, '新凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381111229', 1, '2021-07-19 11:49:05', NULL, NULL), (17133, '', '双庙村', '971e807cadb44c40b600730625804ba4', 'a34606af6ee148bda6193e33d72888c8', 'False', 'True', 'false', 'false', '511381111230', 5, '双庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381111230', 1, '2021-07-19 11:49:05', NULL, NULL), (17134, '', '玉龙村', '1018ee5ed02943dab0d53548e41e7fde', 'a34606af6ee148bda6193e33d72888c8', 'False', 'True', 'false', 'false', '511381111231', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381111231', 1, '2021-07-19 11:49:05', NULL, NULL), (17135, '', '联合村', '4e3ee3e626e143fd9df6ca0f9e234abf', 'a34606af6ee148bda6193e33d72888c8', 'False', 'True', 'false', 'false', '511381111232', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381111232', 1, '2021-07-19 11:49:05', NULL, NULL), (17136, '', '平安村', '91b35e59015a4428807f4ee85806a81e', 'a34606af6ee148bda6193e33d72888c8', 'False', 'True', 'false', 'false', '511381111233', 5, '平安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381111233', 1, '2021-07-19 11:49:05', NULL, NULL), (17137, '', '凤凰村', 'fcbbc20f84664743ae45605ddbfc0be8', 'a34606af6ee148bda6193e33d72888c8', 'False', 'True', 'false', 'false', '511381111234', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381111234', 1, '2021-07-19 11:49:05', NULL, NULL), (17138, '', '龙泉镇', 'da340731839448d887cbf5c0f81db396', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381112000', 4, '龙泉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381112000', 1, '2021-07-19 11:49:05', NULL, NULL), (17139, '', '双河场社区', 'eacddcccda9e49899bdf5b61a3f5e5eb', 'da340731839448d887cbf5c0f81db396', 'False', 'True', 'false', 'false', '511381112001', 5, '双河场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381112001', 1, '2021-07-19 11:49:05', NULL, NULL), (17140, '', '构溪社区', '030e5213dff74f2589e8e636646697dc', 'da340731839448d887cbf5c0f81db396', 'False', 'True', 'false', 'false', '511381112002', 5, '构溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381112002', 1, '2021-07-19 11:49:05', NULL, NULL), (17141, '', '花冠紫村', '9c1f5a6f12d44297bda133303c0d849f', 'da340731839448d887cbf5c0f81db396', 'False', 'True', 'false', 'false', '511381112201', 5, '花冠紫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381112201', 1, '2021-07-19 11:49:05', NULL, NULL), (17142, '', '远景村', '4bcc17c89a174566b41dd3beefe2531b', 'da340731839448d887cbf5c0f81db396', 'False', 'True', 'false', 'false', '511381112204', 5, '远景村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381112204', 1, '2021-07-19 11:49:05', NULL, NULL), (17143, '', '新文庙村', '0a5c8c852dd94ff8a89e30073af98596', 'da340731839448d887cbf5c0f81db396', 'False', 'True', 'false', 'false', '511381112213', 5, '新文庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381112213', 1, '2021-07-19 11:49:05', NULL, NULL), (17144, '', '何三耙村', '6ec8b117127f4b83b48ca51f3945357f', 'da340731839448d887cbf5c0f81db396', 'False', 'True', 'false', 'false', '511381112216', 5, '何三耙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381112216', 1, '2021-07-19 11:49:05', NULL, NULL), (17145, '', '双龙村', '866a8204216d44ba9595cc57b3dbc031', 'da340731839448d887cbf5c0f81db396', 'False', 'True', 'false', 'false', '511381112217', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381112217', 1, '2021-07-19 11:49:06', NULL, NULL), (17146, '', '胜利村', '0a5b1e626588463dbe61ae380d020abe', 'da340731839448d887cbf5c0f81db396', 'False', 'True', 'false', 'false', '511381112218', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381112218', 1, '2021-07-19 11:49:06', NULL, NULL), (17147, '', '达摩垭村', '029cfdd8195646df9f9488df691df37a', 'da340731839448d887cbf5c0f81db396', 'False', 'True', 'false', 'false', '511381112220', 5, '达摩垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381112220', 1, '2021-07-19 11:49:06', NULL, NULL), (17148, '', '构溪村', '94fd6010082e4cf0a09cf9762ae32b12', 'da340731839448d887cbf5c0f81db396', 'False', 'True', 'false', 'false', '511381112221', 5, '构溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381112221', 1, '2021-07-19 11:49:06', NULL, NULL), (17149, '', '大桥村', '2dcc7b42cbe04d03bf27dc5c7ede2a96', 'da340731839448d887cbf5c0f81db396', 'False', 'True', 'false', 'false', '511381112495', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381112495', 1, '2021-07-19 11:49:06', NULL, NULL), (17150, '', '千佛镇', '5bda4ea848ab4e1fb0707ab96be6fcb6', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381113000', 4, '千佛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381113000', 1, '2021-07-19 11:49:06', NULL, NULL), (17151, '', '千佛场社区', '942909419b7f4af2b1338f9f43cbbe13', '5bda4ea848ab4e1fb0707ab96be6fcb6', 'False', 'True', 'false', 'false', '511381113001', 5, '千佛场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381113001', 1, '2021-07-19 11:49:06', NULL, NULL), (17152, '', '狮子社区', 'f4b78576159d4282b225f20e43cb8b36', '5bda4ea848ab4e1fb0707ab96be6fcb6', 'False', 'True', 'false', 'false', '511381113002', 5, '狮子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381113002', 1, '2021-07-19 11:49:06', NULL, NULL), (17153, '', '小保宁村', '24d4c95cae3543d1895962cee97abb19', '5bda4ea848ab4e1fb0707ab96be6fcb6', 'False', 'True', 'false', 'false', '511381113202', 5, '小保宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381113202', 1, '2021-07-19 11:49:06', NULL, NULL), (17154, '', '毡帽山村', '48249dca1bb64a31ba7640a67d07ce9a', '5bda4ea848ab4e1fb0707ab96be6fcb6', 'False', 'True', 'false', 'false', '511381113204', 5, '毡帽山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381113204', 1, '2021-07-19 11:49:06', NULL, NULL), (17155, '', '猪垭槽村', 'a7391dce3b5d4728a2f7b7fa7405a3ae', '5bda4ea848ab4e1fb0707ab96be6fcb6', 'False', 'True', 'false', 'false', '511381113206', 5, '猪垭槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381113206', 1, '2021-07-19 11:49:06', NULL, NULL), (17156, '', '大云寺村', 'c59bcc8655d047afa982b241b2e7a8db', '5bda4ea848ab4e1fb0707ab96be6fcb6', 'False', 'True', 'false', 'false', '511381113207', 5, '大云寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381113207', 1, '2021-07-19 11:49:06', NULL, NULL), (17157, '', '九节梁村', '1c325b19239348d894605bffc287cf63', '5bda4ea848ab4e1fb0707ab96be6fcb6', 'False', 'True', 'false', 'false', '511381113210', 5, '九节梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381113210', 1, '2021-07-19 11:49:06', NULL, NULL), (17158, '', '竹林垭村', 'fd0f518d8db1421bb2e4c6bf14b0675d', '5bda4ea848ab4e1fb0707ab96be6fcb6', 'False', 'True', 'false', 'false', '511381113211', 5, '竹林垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381113211', 1, '2021-07-19 11:49:06', NULL, NULL), (17159, '', '华严寺村', '328e7f9ef8f64d6986ac32395e24bb31', '5bda4ea848ab4e1fb0707ab96be6fcb6', 'False', 'True', 'false', 'false', '511381113214', 5, '华严寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381113214', 1, '2021-07-19 11:49:06', NULL, NULL), (17160, '', '天目观村', '77ac7a6205ba4e4093d68f3d262bc925', '5bda4ea848ab4e1fb0707ab96be6fcb6', 'False', 'True', 'false', 'false', '511381113217', 5, '天目观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381113217', 1, '2021-07-19 11:49:06', NULL, NULL), (17161, '', '龙吟山村', 'ce312cbe969c41899790e1792d42d04a', '5bda4ea848ab4e1fb0707ab96be6fcb6', 'False', 'True', 'false', 'false', '511381113219', 5, '龙吟山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381113219', 1, '2021-07-19 11:49:06', NULL, NULL), (17162, '', '射弓垭村', 'b5e9be8810a24592b3c5557103a7b812', '5bda4ea848ab4e1fb0707ab96be6fcb6', 'False', 'True', 'false', 'false', '511381113221', 5, '射弓垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381113221', 1, '2021-07-19 11:49:06', NULL, NULL), (17163, '', '乐里庙村', 'a74f784ffeea49d794d887664a695b64', '5bda4ea848ab4e1fb0707ab96be6fcb6', 'False', 'True', 'false', 'false', '511381113222', 5, '乐里庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381113222', 1, '2021-07-19 11:49:07', NULL, NULL), (17164, '', '凤凰山村', '8d1c46fc9e724450936018c160b38ea4', '5bda4ea848ab4e1fb0707ab96be6fcb6', 'False', 'True', 'false', 'false', '511381113224', 5, '凤凰山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381113224', 1, '2021-07-19 11:49:07', NULL, NULL), (17165, '', '望垭镇', '297f7550593840f3b75793c8c325c323', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381114000', 4, '望垭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381114000', 1, '2021-07-19 11:49:07', NULL, NULL), (17166, '', '望垭社区', '9216bbfddee448cb9c85892cbfd5a2d3', '297f7550593840f3b75793c8c325c323', 'False', 'True', 'false', 'false', '511381114001', 5, '望垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381114001', 1, '2021-07-19 11:49:07', NULL, NULL), (17167, '', '护垭社区', 'e138a386a26e4df99e904cef7e967f95', '297f7550593840f3b75793c8c325c323', 'False', 'True', 'false', 'false', '511381114002', 5, '护垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381114002', 1, '2021-07-19 11:49:07', NULL, NULL), (17168, '', '望垭口村', '0f19ae8c33ba46d59911ccb979ef4197', '297f7550593840f3b75793c8c325c323', 'False', 'True', 'false', 'false', '511381114201', 5, '望垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381114201', 1, '2021-07-19 11:49:07', NULL, NULL), (17169, '', '三宝山村', 'd92654b42c1a42789e16c8e689a3e992', '297f7550593840f3b75793c8c325c323', 'False', 'True', 'false', 'false', '511381114202', 5, '三宝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381114202', 1, '2021-07-19 11:49:07', NULL, NULL), (17170, '', '广教寺村', '40a980664545488f952854f8399ee168', '297f7550593840f3b75793c8c325c323', 'False', 'True', 'false', 'false', '511381114203', 5, '广教寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381114203', 1, '2021-07-19 11:49:07', NULL, NULL), (17171, '', '洛城寨村', '9b05c650a93e4a85b66bd88dee4ea09e', '297f7550593840f3b75793c8c325c323', 'False', 'True', 'false', 'false', '511381114205', 5, '洛城寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381114205', 1, '2021-07-19 11:49:07', NULL, NULL), (17172, '', '断门垭村', '11fa0781bc19443d920284df132e58a0', '297f7550593840f3b75793c8c325c323', 'False', 'True', 'false', 'false', '511381114208', 5, '断门垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381114208', 1, '2021-07-19 11:49:07', NULL, NULL), (17173, '', '字库垭村', 'f1cb19adfdf14e5e9401641023def785', '297f7550593840f3b75793c8c325c323', 'False', 'True', 'false', 'false', '511381114213', 5, '字库垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381114213', 1, '2021-07-19 11:49:07', NULL, NULL), (17174, '', '双合寨村', 'd4ea2607921b45d38ce1c5302676c231', '297f7550593840f3b75793c8c325c323', 'False', 'True', 'false', 'false', '511381114216', 5, '双合寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381114216', 1, '2021-07-19 11:49:07', NULL, NULL), (17175, '', '社合包村', 'cadabe7afe504cf68d61f06522b54978', '297f7550593840f3b75793c8c325c323', 'False', 'True', 'false', 'false', '511381114218', 5, '社合包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381114218', 1, '2021-07-19 11:49:08', NULL, NULL), (17176, '', '河溪街道', 'e9c6170771374460955a8713bfa62272', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381115000', 4, '河溪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381115000', 1, '2021-07-19 11:49:08', NULL, NULL), (17177, '', '中学路社区', '15eb9d6baa514884930c175b2d3f325d', 'e9c6170771374460955a8713bfa62272', 'False', 'True', 'false', 'false', '511381115001', 5, '中学路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381115001', 1, '2021-07-19 11:49:08', NULL, NULL), (17178, '', '新市街社区', 'bd2ef60189f54ea4b4de08c6651fe1dd', 'e9c6170771374460955a8713bfa62272', 'False', 'True', 'false', 'false', '511381115002', 5, '新市街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381115002', 1, '2021-07-19 11:49:08', NULL, NULL), (17179, '', '扶农场社区', '8d15b8ab63d54a838cc7c7c1896dbc43', 'e9c6170771374460955a8713bfa62272', 'False', 'True', 'false', 'false', '511381115003', 5, '扶农场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381115003', 1, '2021-07-19 11:49:08', NULL, NULL), (17180, '', '何家坝村', 'e485b039fb89446a80ec0e25c5b3a00a', 'e9c6170771374460955a8713bfa62272', 'False', 'True', 'false', 'false', '511381115201', 5, '何家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381115201', 1, '2021-07-19 11:49:08', NULL, NULL), (17181, '', '东岳庙村', '16213722923143f7a155f5213186e07e', 'e9c6170771374460955a8713bfa62272', 'False', 'True', 'false', 'false', '511381115202', 5, '东岳庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381115202', 1, '2021-07-19 11:49:08', NULL, NULL), (17182, '', '黑山岩村', 'a1512e01441c47ceb47a539f241c60b7', 'e9c6170771374460955a8713bfa62272', 'False', 'True', 'false', 'false', '511381115203', 5, '黑山岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381115203', 1, '2021-07-19 11:49:08', NULL, NULL), (17183, '', '古水村', '7bdb7c1eb95640b98a3bdf036049c874', 'e9c6170771374460955a8713bfa62272', 'False', 'True', 'false', 'false', '511381115205', 5, '古水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381115205', 1, '2021-07-19 11:49:08', NULL, NULL), (17184, '', '茶房村', '004d2303a73144eab1a6ba507173f372', 'e9c6170771374460955a8713bfa62272', 'False', 'True', 'false', 'false', '511381115206', 5, '茶房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381115206', 1, '2021-07-19 11:49:08', NULL, NULL), (17185, '', '回龙观村', '646b652c0c2748d982d4fa7c62239098', 'e9c6170771374460955a8713bfa62272', 'False', 'True', 'false', 'false', '511381115207', 5, '回龙观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381115207', 1, '2021-07-19 11:49:08', NULL, NULL), (17186, '', '白堡村', '16f53d7bca7548efa130b65b345079c8', 'e9c6170771374460955a8713bfa62272', 'False', 'True', 'false', 'false', '511381115211', 5, '白堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381115211', 1, '2021-07-19 11:49:09', NULL, NULL), (17187, '', '樊家桥村', 'ecbf1eb7d6154835a99bc5080dbce0a5', 'e9c6170771374460955a8713bfa62272', 'False', 'True', 'false', 'false', '511381115214', 5, '樊家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381115214', 1, '2021-07-19 11:49:09', NULL, NULL), (17188, '', '鸡公岭村', 'ffb8e1161a7c4a68ae412af1596d2ff3', 'e9c6170771374460955a8713bfa62272', 'False', 'True', 'false', 'false', '511381115216', 5, '鸡公岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381115216', 1, '2021-07-19 11:49:09', NULL, NULL), (17189, '', '金枝垭村', '314b723f53ea45a2a5b3a530d5455817', 'e9c6170771374460955a8713bfa62272', 'False', 'True', 'false', 'false', '511381115219', 5, '金枝垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381115219', 1, '2021-07-19 11:49:09', NULL, NULL), (17190, '', '女儿山村', 'e4e86ca76ff54eec895a2024fc9764b2', 'e9c6170771374460955a8713bfa62272', 'False', 'True', 'false', 'false', '511381115220', 5, '女儿山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381115220', 1, '2021-07-19 11:49:09', NULL, NULL), (17191, '', '妙高镇', 'd15334a88ed5482fa04960422aa36ddd', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381116000', 4, '妙高镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381116000', 1, '2021-07-19 11:49:09', NULL, NULL), (17192, '', '东岳庙社区', 'ffb2ed4625ab4ccf808c401db1ab6279', 'd15334a88ed5482fa04960422aa36ddd', 'False', 'True', 'false', 'false', '511381116001', 5, '东岳庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381116001', 1, '2021-07-19 11:49:09', NULL, NULL), (17193, '', '滩口村', '29b726550f694450a49104a5584f413e', 'd15334a88ed5482fa04960422aa36ddd', 'False', 'True', 'false', 'false', '511381116202', 5, '滩口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381116202', 1, '2021-07-19 11:49:09', NULL, NULL), (17194, '', '烽火村', 'c8517b7329ed40aa95805b041a805fd0', 'd15334a88ed5482fa04960422aa36ddd', 'False', 'True', 'false', 'false', '511381116203', 5, '烽火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381116203', 1, '2021-07-19 11:49:09', NULL, NULL), (17195, '', '东溪垭村', '2b9b66f06a7a448d928a3a49db78e8ab', 'd15334a88ed5482fa04960422aa36ddd', 'False', 'True', 'false', 'false', '511381116205', 5, '东溪垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381116205', 1, '2021-07-19 11:49:09', NULL, NULL), (17196, '', '柏垭塘村', '6a4dce1e161540e0a2c9720c6d8c1850', 'd15334a88ed5482fa04960422aa36ddd', 'False', 'True', 'false', 'false', '511381116207', 5, '柏垭塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381116207', 1, '2021-07-19 11:49:09', NULL, NULL), (17197, '', '金紫观村', '0ca997ec5f054cc4836d1fe79aa2cf74', 'd15334a88ed5482fa04960422aa36ddd', 'False', 'True', 'false', 'false', '511381116209', 5, '金紫观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381116209', 1, '2021-07-19 11:49:09', NULL, NULL), (17198, '', '陈家梁村', '07934975665243d686c79321b60eeeb0', 'd15334a88ed5482fa04960422aa36ddd', 'False', 'True', 'false', 'false', '511381116210', 5, '陈家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381116210', 1, '2021-07-19 11:49:09', NULL, NULL), (17199, '', '石鱼村', '859521f3ff7d47f88f65c618a88f73f9', 'd15334a88ed5482fa04960422aa36ddd', 'False', 'True', 'false', 'false', '511381116212', 5, '石鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381116212', 1, '2021-07-19 11:49:09', NULL, NULL), (17200, '', '灵壁垭村', '9578b89a8db343fe91595cabd5b884bb', 'd15334a88ed5482fa04960422aa36ddd', 'False', 'True', 'false', 'false', '511381116213', 5, '灵壁垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381116213', 1, '2021-07-19 11:49:10', NULL, NULL), (17201, '', '银宝村', 'd0a3bd65e2aa47c8a55070f56b5f5edd', 'd15334a88ed5482fa04960422aa36ddd', 'False', 'True', 'false', 'false', '511381116217', 5, '银宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381116217', 1, '2021-07-19 11:49:10', NULL, NULL), (17202, '', '福坪寨村', 'a4c7e12065724f5bb8615ceeb6479f26', 'd15334a88ed5482fa04960422aa36ddd', 'False', 'True', 'false', 'false', '511381116218', 5, '福坪寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381116218', 1, '2021-07-19 11:49:10', NULL, NULL), (17203, '', '魏家梁村', 'caa4931940b142e4a4cfe74ff8c66857', 'd15334a88ed5482fa04960422aa36ddd', 'False', 'True', 'false', 'false', '511381116219', 5, '魏家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381116219', 1, '2021-07-19 11:49:10', NULL, NULL), (17204, '', '鹞子岩村', 'be0b66cd351949d19411baf56438832a', 'd15334a88ed5482fa04960422aa36ddd', 'False', 'True', 'false', 'false', '511381116221', 5, '鹞子岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381116221', 1, '2021-07-19 11:49:10', NULL, NULL), (17205, '', '洪山镇', '445ce72977df4017aa7a6618c85457b6', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381117000', 4, '洪山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381117000', 1, '2021-07-19 11:49:10', NULL, NULL), (17206, '', '朱洪路社区', '5565b854e5024bfbb77ff7a2a8bd8f05', '445ce72977df4017aa7a6618c85457b6', 'False', 'True', 'false', 'false', '511381117001', 5, '朱洪路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381117001', 1, '2021-07-19 11:49:10', NULL, NULL), (17207, '', '长房子村', '4e543812127f43ccb933001568b230f9', '445ce72977df4017aa7a6618c85457b6', 'False', 'True', 'false', 'false', '511381117002', 5, '长房子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381117002', 1, '2021-07-19 11:49:10', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (17208, '', '松林村', '87bd22c4495846c2a6b5ba295650c9af', '445ce72977df4017aa7a6618c85457b6', 'False', 'True', 'false', 'false', '511381117202', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381117202', 1, '2021-07-19 11:49:10', NULL, NULL), (17209, '', '得阳村', '31c45af5c4164952be732d332aefe328', '445ce72977df4017aa7a6618c85457b6', 'False', 'True', 'false', 'false', '511381117205', 5, '得阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381117205', 1, '2021-07-19 11:49:10', NULL, NULL), (17210, '', '洗马滩村', '51ce406a03b24241ac3746ad4ad6b953', '445ce72977df4017aa7a6618c85457b6', 'False', 'True', 'false', 'false', '511381117206', 5, '洗马滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381117206', 1, '2021-07-19 11:49:10', NULL, NULL), (17211, '', '宝龙台村', '84cedb6ea0944d36bb21d4a4ef198c24', '445ce72977df4017aa7a6618c85457b6', 'False', 'True', 'false', 'false', '511381117207', 5, '宝龙台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381117207', 1, '2021-07-19 11:49:10', NULL, NULL), (17212, '', '太洪村', '87d079277e3948e7a15cd561d3e1ed53', '445ce72977df4017aa7a6618c85457b6', 'False', 'True', 'false', 'false', '511381117209', 5, '太洪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381117209', 1, '2021-07-19 11:49:10', NULL, NULL), (17213, '', '董家店村', '1b973ad1cc0347f2b377e5569417c1b7', '445ce72977df4017aa7a6618c85457b6', 'False', 'True', 'false', 'false', '511381117210', 5, '董家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381117210', 1, '2021-07-19 11:49:10', NULL, NULL), (17214, '', '五郎坪村', '16094ceb71084ba89e2bbe00fe7de338', '445ce72977df4017aa7a6618c85457b6', 'False', 'True', 'false', 'false', '511381117214', 5, '五郎坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381117214', 1, '2021-07-19 11:49:10', NULL, NULL), (17215, '', '白土垭村', 'dfee5c7822c845f38246619cd7149f08', '445ce72977df4017aa7a6618c85457b6', 'False', 'True', 'false', 'false', '511381117216', 5, '白土垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381117216', 1, '2021-07-19 11:49:11', NULL, NULL), (17216, '', '良善垭村', '02a747b5908b4cfd810d2aca143cc25f', '445ce72977df4017aa7a6618c85457b6', 'False', 'True', 'false', 'false', '511381117221', 5, '良善垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381117221', 1, '2021-07-19 11:49:11', NULL, NULL), (17217, '', '东庵村', '3967feea5eb84080b56e4271561c2cb5', '445ce72977df4017aa7a6618c85457b6', 'False', 'True', 'false', 'false', '511381117222', 5, '东庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381117222', 1, '2021-07-19 11:49:11', NULL, NULL), (17218, '', '一把伞村', 'eab89f16e23c4fa18ffc911ed2b2ae41', '445ce72977df4017aa7a6618c85457b6', 'False', 'True', 'false', 'false', '511381117732', 5, '一把伞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381117732', 1, '2021-07-19 11:49:11', NULL, NULL), (17219, '', '水观镇', 'fae0d9d00c164ec9a3742c907c8bb7bb', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381120000', 4, '水观镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381120000', 1, '2021-07-19 11:49:11', NULL, NULL), (17220, '', '水观社区', 'faf508cfbf9848b5abbe0e1ab1e2bdd4', 'fae0d9d00c164ec9a3742c907c8bb7bb', 'False', 'True', 'false', 'false', '511381120001', 5, '水观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381120001', 1, '2021-07-19 11:49:11', NULL, NULL), (17221, '', '永安寺村', '98b47c21a438499da5edbdda50b80ca7', 'fae0d9d00c164ec9a3742c907c8bb7bb', 'False', 'True', 'false', 'false', '511381120203', 5, '永安寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381120203', 1, '2021-07-19 11:49:11', NULL, NULL), (17222, '', '老山寨村', '1a398d024bd347008e6f3b47a5e6e1ed', 'fae0d9d00c164ec9a3742c907c8bb7bb', 'False', 'True', 'false', 'false', '511381120207', 5, '老山寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381120207', 1, '2021-07-19 11:49:11', NULL, NULL), (17223, '', '金鼎观村', '009a7176e7aa4a8d83259717bb08594a', 'fae0d9d00c164ec9a3742c907c8bb7bb', 'False', 'True', 'false', 'false', '511381120211', 5, '金鼎观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381120211', 1, '2021-07-19 11:49:11', NULL, NULL), (17224, '', '射洪庙村', 'd75ee502984741f39baf7fe3e91f1e01', 'fae0d9d00c164ec9a3742c907c8bb7bb', 'False', 'True', 'false', 'false', '511381120213', 5, '射洪庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381120213', 1, '2021-07-19 11:49:11', NULL, NULL), (17225, '', '燕子山村', '04be6bfd63b940e29d00a1ca9c2255ff', 'fae0d9d00c164ec9a3742c907c8bb7bb', 'False', 'True', 'false', 'false', '511381120215', 5, '燕子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381120215', 1, '2021-07-19 11:49:11', NULL, NULL), (17226, '', '老象庵村', 'c45de63435c04888bc4be02e3cc8678b', 'fae0d9d00c164ec9a3742c907c8bb7bb', 'False', 'True', 'false', 'false', '511381120217', 5, '老象庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381120217', 1, '2021-07-19 11:49:11', NULL, NULL), (17227, '', '黄龙滩村', '2806247fa0794cfe8fdb1a2e40fe8479', 'fae0d9d00c164ec9a3742c907c8bb7bb', 'False', 'True', 'false', 'false', '511381120219', 5, '黄龙滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381120219', 1, '2021-07-19 11:49:11', NULL, NULL), (17228, '', '红石桥村', '8aab614ec4764bd59e7b8856b9b65d44', 'fae0d9d00c164ec9a3742c907c8bb7bb', 'False', 'True', 'false', 'false', '511381120229', 5, '红石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381120229', 1, '2021-07-19 11:49:11', NULL, NULL), (17229, '', '一把伞村', 'baa7cfa1cba145eeaef5e749bb14dbd5', 'fae0d9d00c164ec9a3742c907c8bb7bb', 'False', 'True', 'false', 'false', '511381120820', 5, '一把伞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381120820', 1, '2021-07-19 11:49:11', NULL, NULL), (17230, '', '金垭镇', '26d1388c6cbd4d0db48896ebef4a98e8', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381121000', 4, '金垭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381121000', 1, '2021-07-19 11:49:11', NULL, NULL), (17231, '', '琳琅街社区', 'fa7a2d5408e74dec9cc3d990f5f86b02', '26d1388c6cbd4d0db48896ebef4a98e8', 'False', 'True', 'false', 'false', '511381121001', 5, '琳琅街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381121001', 1, '2021-07-19 11:49:12', NULL, NULL), (17232, '', '观音庙村', '944485b06fc04cd6b0647a6d923e5beb', '26d1388c6cbd4d0db48896ebef4a98e8', 'False', 'True', 'false', 'false', '511381121204', 5, '观音庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381121204', 1, '2021-07-19 11:49:12', NULL, NULL), (17233, '', '官家营村', '2fc156f7813548398c388cf3c683ac6f', '26d1388c6cbd4d0db48896ebef4a98e8', 'False', 'True', 'false', 'false', '511381121205', 5, '官家营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381121205', 1, '2021-07-19 11:49:12', NULL, NULL), (17234, '', '庙子滩村', '62789906a86c440c89dd4d26ccd32e84', '26d1388c6cbd4d0db48896ebef4a98e8', 'False', 'True', 'false', 'false', '511381121207', 5, '庙子滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381121207', 1, '2021-07-19 11:49:12', NULL, NULL), (17235, '', '横梁子村', 'e7d0e0bb3c024e0db74b6aab2ce74639', '26d1388c6cbd4d0db48896ebef4a98e8', 'False', 'True', 'false', 'false', '511381121209', 5, '横梁子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381121209', 1, '2021-07-19 11:49:12', NULL, NULL), (17236, '', '介福观村', 'c298f34e8f424a69811be9c842497bed', '26d1388c6cbd4d0db48896ebef4a98e8', 'False', 'True', 'false', 'false', '511381121212', 5, '介福观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381121212', 1, '2021-07-19 11:49:12', NULL, NULL), (17237, '', '羊还山村', 'e34095d88e044ffd9a06353e0e111df5', '26d1388c6cbd4d0db48896ebef4a98e8', 'False', 'True', 'false', 'false', '511381121213', 5, '羊还山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381121213', 1, '2021-07-19 11:49:12', NULL, NULL), (17238, '', '宝峰村', '2251e7a217574f629afcc89c0c2d8dfb', '26d1388c6cbd4d0db48896ebef4a98e8', 'False', 'True', 'false', 'false', '511381121216', 5, '宝峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381121216', 1, '2021-07-19 11:49:12', NULL, NULL), (17239, '', '曹神观村', '87e600ab83e840f0a1fbdf7d4fddcd8a', '26d1388c6cbd4d0db48896ebef4a98e8', 'False', 'True', 'false', 'false', '511381121218', 5, '曹神观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381121218', 1, '2021-07-19 11:49:12', NULL, NULL), (17240, '', '板桥沟村', 'a7727c03deeb44509d1c122f92808489', '26d1388c6cbd4d0db48896ebef4a98e8', 'False', 'True', 'false', 'false', '511381121220', 5, '板桥沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381121220', 1, '2021-07-19 11:49:12', NULL, NULL), (17241, '', '罗家沟村', '35867f9d70f249469b7fa758a21421e7', '26d1388c6cbd4d0db48896ebef4a98e8', 'False', 'True', 'false', 'false', '511381121221', 5, '罗家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381121221', 1, '2021-07-19 11:49:12', NULL, NULL), (17242, '', '保娘庙村', '1873370beb0142f6bb62c039b5314d31', '26d1388c6cbd4d0db48896ebef4a98e8', 'False', 'True', 'false', 'false', '511381121223', 5, '保娘庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381121223', 1, '2021-07-19 11:49:12', NULL, NULL), (17243, '', '洞子岩村', 'c3a21116b78d42c88a98de15ee82e1c3', '26d1388c6cbd4d0db48896ebef4a98e8', 'False', 'True', 'false', 'false', '511381121225', 5, '洞子岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381121225', 1, '2021-07-19 11:49:12', NULL, NULL), (17244, '', '中和大石村', '221b83cad3c44cd88190bb04301d36c0', '26d1388c6cbd4d0db48896ebef4a98e8', 'False', 'True', 'false', 'false', '511381121226', 5, '中和大石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381121226', 1, '2021-07-19 11:49:12', NULL, NULL), (17245, '', '玉台镇', '759c93727cdc42c793dd98dafe79caeb', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381122000', 4, '玉台镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381122000', 1, '2021-07-19 11:49:13', NULL, NULL), (17246, '', '王爷庙社区', '11d94cc3a2dc4f18874680d1ff595cd6', '759c93727cdc42c793dd98dafe79caeb', 'False', 'True', 'false', 'false', '511381122001', 5, '王爷庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381122001', 1, '2021-07-19 11:49:13', NULL, NULL), (17247, '', '土桥庙村', '4c183045673d443bab44456fba6c0464', '759c93727cdc42c793dd98dafe79caeb', 'False', 'True', 'false', 'false', '511381122203', 5, '土桥庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381122203', 1, '2021-07-19 11:49:13', NULL, NULL), (17248, '', '两路口村', '3b59aa783d414c50b1e5455330f8fff1', '759c93727cdc42c793dd98dafe79caeb', 'False', 'True', 'false', 'false', '511381122204', 5, '两路口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381122204', 1, '2021-07-19 11:49:13', NULL, NULL), (17249, '', '老店子村', '56236bffbe0b46bebb9065b351ca4ad0', '759c93727cdc42c793dd98dafe79caeb', 'False', 'True', 'false', 'false', '511381122211', 5, '老店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381122211', 1, '2021-07-19 11:49:13', NULL, NULL), (17250, '', '万家桥村', '342edc1462ea447083876c088718f652', '759c93727cdc42c793dd98dafe79caeb', 'False', 'True', 'false', 'false', '511381122212', 5, '万家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381122212', 1, '2021-07-19 11:49:13', NULL, NULL), (17251, '', '白顶子村', '29cab23445f14f4e8f0cac1632ed2ec7', '759c93727cdc42c793dd98dafe79caeb', 'False', 'True', 'false', 'false', '511381122213', 5, '白顶子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381122213', 1, '2021-07-19 11:49:13', NULL, NULL), (17252, '', '木兰镇', '35e3ff4e4e2444f296138f099b42fbd5', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381124000', 4, '木兰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381124000', 1, '2021-07-19 11:49:13', NULL, NULL), (17253, '', '木兰社区', '65b27688434a4558ba0ea291be33ccb6', '35e3ff4e4e2444f296138f099b42fbd5', 'False', 'True', 'false', 'false', '511381124001', 5, '木兰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381124001', 1, '2021-07-19 11:49:13', NULL, NULL), (17254, '', '花石村', '485c7a0ac44649aa8e42c4f2b964d2df', '35e3ff4e4e2444f296138f099b42fbd5', 'False', 'True', 'false', 'false', '511381124201', 5, '花石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381124201', 1, '2021-07-19 11:49:13', NULL, NULL), (17255, '', '菩提村', '58b92420074b4060ac9a3b8e2121e939', '35e3ff4e4e2444f296138f099b42fbd5', 'False', 'True', 'false', 'false', '511381124202', 5, '菩提村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381124202', 1, '2021-07-19 11:49:13', NULL, NULL), (17256, '', '庙子岩村', '0da4066b46be44ea81189203f6c19284', '35e3ff4e4e2444f296138f099b42fbd5', 'False', 'True', 'false', 'false', '511381124203', 5, '庙子岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381124203', 1, '2021-07-19 11:49:13', NULL, NULL), (17257, '', '柳树店村', '6640db1d7738468abc638351691b39c1', '35e3ff4e4e2444f296138f099b42fbd5', 'False', 'True', 'false', 'false', '511381124204', 5, '柳树店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381124204', 1, '2021-07-19 11:49:13', NULL, NULL), (17258, '', '尖山村', '200ca630c9e8401ca6b151aa99cb67ca', '35e3ff4e4e2444f296138f099b42fbd5', 'False', 'True', 'false', 'false', '511381124205', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381124205', 1, '2021-07-19 11:49:13', NULL, NULL), (17259, '', '青龙近水村', 'b91317479bc24448a0102dc5d21ce256', '35e3ff4e4e2444f296138f099b42fbd5', 'False', 'True', 'false', 'false', '511381124206', 5, '青龙近水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381124206', 1, '2021-07-19 11:49:13', NULL, NULL), (17260, '', '龙凤南山村', 'b8996682c4c34529b048595761515d0b', '35e3ff4e4e2444f296138f099b42fbd5', 'False', 'True', 'false', 'false', '511381124207', 5, '龙凤南山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381124207', 1, '2021-07-19 11:49:13', NULL, NULL), (17261, '', '五马镇', '869809c317e648a5b4d80a00723ff75e', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381127000', 4, '五马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381127000', 1, '2021-07-19 11:49:13', NULL, NULL), (17262, '', '双庙社区', '0e9d26787d1c4ff3a38869d67a6da1c1', '869809c317e648a5b4d80a00723ff75e', 'False', 'True', 'false', 'false', '511381127001', 5, '双庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381127001', 1, '2021-07-19 11:49:13', NULL, NULL), (17263, '', '五马社区', '373c578a2f454c3c8b16701ee523f3d0', '869809c317e648a5b4d80a00723ff75e', 'False', 'True', 'false', 'false', '511381127002', 5, '五马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381127002', 1, '2021-07-19 11:49:14', NULL, NULL), (17264, '', '陈家沟村', '0a09bf31a4024786bf5a9829dccdcc71', '869809c317e648a5b4d80a00723ff75e', 'False', 'True', 'false', 'false', '511381127201', 5, '陈家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381127201', 1, '2021-07-19 11:49:14', NULL, NULL), (17265, '', '游柿垭村', 'f5ec746b0c3b465f83ef1a0314574081', '869809c317e648a5b4d80a00723ff75e', 'False', 'True', 'false', 'false', '511381127202', 5, '游柿垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381127202', 1, '2021-07-19 11:49:14', NULL, NULL), (17266, '', '杨家垭村', 'c5c96ee1dc2d445f880b018e84cee72b', '869809c317e648a5b4d80a00723ff75e', 'False', 'True', 'false', 'false', '511381127203', 5, '杨家垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381127203', 1, '2021-07-19 11:49:14', NULL, NULL), (17267, '', '东滩坝村', '0be357a2262646d4a34718c6617bc173', '869809c317e648a5b4d80a00723ff75e', 'False', 'True', 'false', 'false', '511381127204', 5, '东滩坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381127204', 1, '2021-07-19 11:49:14', NULL, NULL), (17268, '', '董家营村', 'b804caed078d4e1b9dd950ecb8cefd8c', '869809c317e648a5b4d80a00723ff75e', 'False', 'True', 'false', 'false', '511381127205', 5, '董家营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381127205', 1, '2021-07-19 11:49:14', NULL, NULL), (17269, '', '长乐村', '1927a15724b8492eb138c2e66e8bc622', '869809c317e648a5b4d80a00723ff75e', 'False', 'True', 'false', 'false', '511381127206', 5, '长乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381127206', 1, '2021-07-19 11:49:14', NULL, NULL), (17270, '', '五马桥村', 'c20b090fae5e4091adb693d20cde8929', '869809c317e648a5b4d80a00723ff75e', 'False', 'True', 'false', 'false', '511381127207', 5, '五马桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381127207', 1, '2021-07-19 11:49:14', NULL, NULL), (17271, '', '东木门村', '9bfae533aca5485b95902229ca9de4a1', '869809c317e648a5b4d80a00723ff75e', 'False', 'True', 'false', 'false', '511381127208', 5, '东木门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381127208', 1, '2021-07-19 11:49:14', NULL, NULL), (17272, '', '钟家梁村', 'c47ade1db5504e659a227cca9153ab94', '869809c317e648a5b4d80a00723ff75e', 'False', 'True', 'false', 'false', '511381127209', 5, '钟家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381127209', 1, '2021-07-19 11:49:14', NULL, NULL), (17273, '', '周家沟村', 'd57257883ed349ad918c0e59f26d9277', '869809c317e648a5b4d80a00723ff75e', 'False', 'True', 'false', 'false', '511381127210', 5, '周家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381127210', 1, '2021-07-19 11:49:14', NULL, NULL), (17274, '', '东三教村', 'd5d4c00d5ec24c76bb4747d55a286c23', '869809c317e648a5b4d80a00723ff75e', 'False', 'True', 'false', 'false', '511381127212', 5, '东三教村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381127212', 1, '2021-07-19 11:49:14', NULL, NULL), (17275, '', '青山包村', 'd3cf7425202348298953b2888385eab6', '869809c317e648a5b4d80a00723ff75e', 'False', 'True', 'false', 'false', '511381127213', 5, '青山包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381127213', 1, '2021-07-19 11:49:14', NULL, NULL), (17276, '', '罗家湾村', '8065795b2b4f44f49979476e720957e4', '869809c317e648a5b4d80a00723ff75e', 'False', 'True', 'false', 'false', '511381127214', 5, '罗家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381127214', 1, '2021-07-19 11:49:14', NULL, NULL), (17277, '', '临溪村', '8a236e2d8517449c971b872c5711e97a', '869809c317e648a5b4d80a00723ff75e', 'False', 'True', 'false', 'false', '511381127215', 5, '临溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381127215', 1, '2021-07-19 11:49:14', NULL, NULL), (17278, '', '天宫镇', '69409a9edc594d828cb4458f94e08125', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381208000', 4, '天宫镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381208000', 1, '2021-07-19 11:49:14', NULL, NULL), (17279, '', '龙山驿村', '478320a5c86a4e9e887a93a00b3673a6', '69409a9edc594d828cb4458f94e08125', 'False', 'True', 'false', 'false', '511381208201', 5, '龙山驿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381208201', 1, '2021-07-19 11:49:14', NULL, NULL), (17280, '', '洞湾村', '2ebae78a8bfe4d2ba5a722b927a9e135', '69409a9edc594d828cb4458f94e08125', 'False', 'True', 'false', 'false', '511381208203', 5, '洞湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381208203', 1, '2021-07-19 11:49:14', NULL, NULL), (17281, '', '天宫院村', '3e67810e0be84c1a8859435983a2d20b', '69409a9edc594d828cb4458f94e08125', 'False', 'True', 'false', 'false', '511381208204', 5, '天宫院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381208204', 1, '2021-07-19 11:49:15', NULL, NULL), (17282, '', '西河塘村', '1a7faa3b3f0744f5b51ca5ba3174e913', '69409a9edc594d828cb4458f94e08125', 'False', 'True', 'false', 'false', '511381208206', 5, '西河塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381208206', 1, '2021-07-19 11:49:15', NULL, NULL), (17283, '', '临江镇村', '6955150421f64202ac870ddf371cd91d', '69409a9edc594d828cb4458f94e08125', 'False', 'True', 'false', 'false', '511381208208', 5, '临江镇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381208208', 1, '2021-07-19 11:49:15', NULL, NULL), (17284, '', '宝珠村', 'd2862900b892417ba2793bbe287d3c57', '69409a9edc594d828cb4458f94e08125', 'False', 'True', 'false', 'false', '511381208209', 5, '宝珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381208209', 1, '2021-07-19 11:49:15', NULL, NULL), (17285, '', '灵神村', 'd2a9865111e14fee929c3ac0a96a8a43', '69409a9edc594d828cb4458f94e08125', 'False', 'True', 'false', 'false', '511381208211', 5, '灵神村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381208211', 1, '2021-07-19 11:49:15', NULL, NULL), (17286, '', '石狮村', '015e397d85374b2e8e1b91687f681aa5', '69409a9edc594d828cb4458f94e08125', 'False', 'True', 'false', 'false', '511381208215', 5, '石狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381208215', 1, '2021-07-19 11:49:15', NULL, NULL), (17287, '', '桥楼乡', 'f86c14f7b6a242cabc3b67660b2e1345', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381212000', 4, '桥楼乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381212000', 1, '2021-07-19 11:49:15', NULL, NULL), (17288, '', '桥楼滩社区', 'e6f83f7523e34288a5536a5eddadea86', 'f86c14f7b6a242cabc3b67660b2e1345', 'False', 'True', 'false', 'false', '511381212001', 5, '桥楼滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381212001', 1, '2021-07-19 11:49:15', NULL, NULL), (17289, '', '落阳村', '109c69f03c5c443da25e0d4b07932d8e', 'f86c14f7b6a242cabc3b67660b2e1345', 'False', 'True', 'false', 'false', '511381212201', 5, '落阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381212201', 1, '2021-07-19 11:49:15', NULL, NULL), (17290, '', '百花村', '974737203d1f4368a72cee034564184f', 'f86c14f7b6a242cabc3b67660b2e1345', 'False', 'True', 'false', 'false', '511381212207', 5, '百花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381212207', 1, '2021-07-19 11:49:15', NULL, NULL), (17291, '', '界坪村', '65ef4e0e09e0493e8d0bedd7afa9a33f', 'f86c14f7b6a242cabc3b67660b2e1345', 'False', 'True', 'false', 'false', '511381212211', 5, '界坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381212211', 1, '2021-07-19 11:49:15', NULL, NULL), (17292, '', '老牛山村', 'b1ebb0aa68f54471acf1225fb7887e76', 'f86c14f7b6a242cabc3b67660b2e1345', 'False', 'True', 'false', 'false', '511381212212', 5, '老牛山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381212212', 1, '2021-07-19 11:49:15', NULL, NULL), (17293, '', '长新村', '2363a08ff3a54db6a47df3c6b020ed57', 'f86c14f7b6a242cabc3b67660b2e1345', 'False', 'True', 'false', 'false', '511381212213', 5, '长新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381212213', 1, '2021-07-19 11:49:16', NULL, NULL), (17294, '', '南山村', '1b3913e91c074e2eb57e7f35ae478627', 'f86c14f7b6a242cabc3b67660b2e1345', 'False', 'True', 'false', 'false', '511381212214', 5, '南山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381212214', 1, '2021-07-19 11:49:16', NULL, NULL), (17295, '', '博树回族乡', '6641e49594db484d8c75d55c80da87c0', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381219000', 4, '博树回族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381219000', 1, '2021-07-19 11:49:16', NULL, NULL), (17296, '', '团结村', 'e11485f0484f48a486ffd16210f2c248', '6641e49594db484d8c75d55c80da87c0', 'False', 'True', 'false', 'false', '511381219201', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381219201', 1, '2021-07-19 11:49:16', NULL, NULL), (17297, '', '清真村', 'f3c975aaf7f049d993503ec7d8b6aad8', '6641e49594db484d8c75d55c80da87c0', 'False', 'True', 'false', 'false', '511381219202', 5, '清真村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381219202', 1, '2021-07-19 11:49:16', NULL, NULL), (17298, '', '来龙村', '34f40f42e1bc4a7c8a7d03782aeb99e1', '6641e49594db484d8c75d55c80da87c0', 'False', 'True', 'false', 'false', '511381219203', 5, '来龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381219203', 1, '2021-07-19 11:49:16', NULL, NULL), (17299, '', '灯笼村', '71f0b37b2a864f4b8885a1d68b61a6f8', '6641e49594db484d8c75d55c80da87c0', 'False', 'True', 'false', 'false', '511381219204', 5, '灯笼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381219204', 1, '2021-07-19 11:49:16', NULL, NULL), (17300, '', '三湾村', '84c1506c4819467cadea6d786c287a52', '6641e49594db484d8c75d55c80da87c0', 'False', 'True', 'false', 'false', '511381219205', 5, '三湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381219205', 1, '2021-07-19 11:49:16', NULL, NULL), (17301, '', '青山观村', 'c5d6d67781364d8e84f6aca28aa48bb3', '6641e49594db484d8c75d55c80da87c0', 'False', 'True', 'false', 'false', '511381219206', 5, '青山观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381219206', 1, '2021-07-19 11:49:16', NULL, NULL), (17302, '', '文成村', '8f38e777128c45889654dc914a52e5fa', '6641e49594db484d8c75d55c80da87c0', 'False', 'True', 'false', 'false', '511381219207', 5, '文成村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381219207', 1, '2021-07-19 11:49:16', NULL, NULL), (17303, '', '跑道子村', '5dd4b76285ea45e08437b8e07f239521', '6641e49594db484d8c75d55c80da87c0', 'False', 'True', 'false', 'false', '511381219208', 5, '跑道子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381219208', 1, '2021-07-19 11:49:16', NULL, NULL), (17304, '', '峰占乡', '4b4f1bdb3b494fa88452dc00843618d0', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381234000', 4, '峰占乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381234000', 1, '2021-07-19 11:49:16', NULL, NULL), (17305, '', '峰占社区', '94ae6f2b334b4863bd3327c6c06bdaed', '4b4f1bdb3b494fa88452dc00843618d0', 'False', 'True', 'false', 'false', '511381234001', 5, '峰占社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381234001', 1, '2021-07-19 11:49:16', NULL, NULL), (17306, '', '红瓦店村', '11467366666b4a85bbbbf96a9177d7b2', '4b4f1bdb3b494fa88452dc00843618d0', 'False', 'True', 'false', 'false', '511381234202', 5, '红瓦店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381234202', 1, '2021-07-19 11:49:16', NULL, NULL), (17307, '', '七宝山村', '78d841fdd67547f2baf5330084a47da6', '4b4f1bdb3b494fa88452dc00843618d0', 'False', 'True', 'false', 'false', '511381234203', 5, '七宝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381234203', 1, '2021-07-19 11:49:17', NULL, NULL), (17308, '', '玉华庙村', '94ec31f482044922bf8ad837381a3e19', '4b4f1bdb3b494fa88452dc00843618d0', 'False', 'True', 'false', 'false', '511381234204', 5, '玉华庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381234204', 1, '2021-07-19 11:49:17', NULL, NULL), (17309, '', '中华观村', '7b0d5b829f14438fbb7e59fcece1bb2a', '4b4f1bdb3b494fa88452dc00843618d0', 'False', 'True', 'false', 'false', '511381234205', 5, '中华观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381234205', 1, '2021-07-19 11:49:17', NULL, NULL), (17310, '', '金鸡垭村', '44d18cd1ce3f43139eb6819f0fde1407', '4b4f1bdb3b494fa88452dc00843618d0', 'False', 'True', 'false', 'false', '511381234206', 5, '金鸡垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381234206', 1, '2021-07-19 11:49:17', NULL, NULL), (17311, '', '大垭口村', '02e2d5397e4a44309a69f372ee26dba3', '4b4f1bdb3b494fa88452dc00843618d0', 'False', 'True', 'false', 'false', '511381234207', 5, '大垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381234207', 1, '2021-07-19 11:49:17', NULL, NULL), (17312, '', '园宝岭村', '003ccafdd1124d93a4c2d5e3751e8c70', '4b4f1bdb3b494fa88452dc00843618d0', 'False', 'True', 'false', 'false', '511381234208', 5, '园宝岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381234208', 1, '2021-07-19 11:49:17', NULL, NULL), (17313, '', '小运山村', '39ccb248a4bc4615aa2030005fada9c3', '4b4f1bdb3b494fa88452dc00843618d0', 'False', 'True', 'false', 'false', '511381234209', 5, '小运山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381234209', 1, '2021-07-19 11:49:17', NULL, NULL), (17314, '', '牛王包村', '8eedcebb86584633bcd8e816348a0915', '4b4f1bdb3b494fa88452dc00843618d0', 'False', 'True', 'false', 'false', '511381234210', 5, '牛王包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381234210', 1, '2021-07-19 11:49:17', NULL, NULL), (17315, '', '柑柏嘴村', '018b44b653644c57b6b2b0548b5d0d77', '4b4f1bdb3b494fa88452dc00843618d0', 'False', 'True', 'false', 'false', '511381234211', 5, '柑柏嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381234211', 1, '2021-07-19 11:49:17', NULL, NULL), (17316, '', '鹤峰乡', '0a51569287a24de58082203772e7e8b3', '8ffaf605dce947cb9e7c2d72c28bb57b', 'True', 'True', 'false', 'false', '511381235000', 4, '鹤峰乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511381235000', 1, '2021-07-19 11:49:17', NULL, NULL), (17317, '', '鹤峰社区', 'a962d8aaad5b4f78b3a4587988a658f9', '0a51569287a24de58082203772e7e8b3', 'False', 'True', 'false', 'false', '511381235001', 5, '鹤峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381235001', 1, '2021-07-19 11:49:17', NULL, NULL), (17318, '', '金鸭子村', 'a4ca5aeee738404c95d9d67c67aa887e', '0a51569287a24de58082203772e7e8b3', 'False', 'True', 'false', 'false', '511381235201', 5, '金鸭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381235201', 1, '2021-07-19 11:49:17', NULL, NULL), (17319, '', '石曲子村', '4b7551f4cd294eb19b7ee1e91be0926b', '0a51569287a24de58082203772e7e8b3', 'False', 'True', 'false', 'false', '511381235203', 5, '石曲子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381235203', 1, '2021-07-19 11:49:17', NULL, NULL), (17320, '', '仆钟山村', '30c15a9b358c44a0b8699d16f202abb9', '0a51569287a24de58082203772e7e8b3', 'False', 'True', 'false', 'false', '511381235205', 5, '仆钟山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381235205', 1, '2021-07-19 11:49:17', NULL, NULL), (17321, '', '七里扁村', '3d7c713fd4ce49b4a952e0f65f56083b', '0a51569287a24de58082203772e7e8b3', 'False', 'True', 'false', 'false', '511381235206', 5, '七里扁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381235206', 1, '2021-07-19 11:49:17', NULL, NULL), (17322, '', '油榨坪村', '1521fed2518947c2b196d36d7a1f3f00', '0a51569287a24de58082203772e7e8b3', 'False', 'True', 'false', 'false', '511381235207', 5, '油榨坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381235207', 1, '2021-07-19 11:49:17', NULL, NULL), (17323, '', '大树垭村', 'aa524860f49040f1a4ef30e8f9be82eb', '0a51569287a24de58082203772e7e8b3', 'False', 'True', 'false', 'false', '511381235208', 5, '大树垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381235208', 1, '2021-07-19 11:49:17', NULL, NULL), (17324, '', '川主庙村', 'd5a2571179e64aafa4b3df79028d3eeb', '0a51569287a24de58082203772e7e8b3', 'False', 'True', 'false', 'false', '511381235211', 5, '川主庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511381235211', 1, '2021-07-19 11:49:17', NULL, NULL), (17325, '', '南部县', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'd9f01e465bbf4f06b12dda9480080f67', 'True', 'True', 'true', 'true', '511321000000', 3, '南部县', 'ncsnbx.sczwfw.gov.cn', 1, '2021-07-19 11:49:17', NULL, NULL), (17326, '', '滨江街道办事处', 'e44b53dd69e2496c96b98c94c0d56f43', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321001000', 4, '滨江街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321001000', 1, '2021-07-19 11:49:17', NULL, NULL), (17327, '', '后街社区', '6d4d701cde85450d807eeaabb85dcdbb', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001001', 5, '后街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001001', 1, '2021-07-19 11:49:18', NULL, NULL), (17328, '', '东街社区', '5a3cfe6fc3da4fddafe65ed2e964adc7', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001002', 5, '东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001002', 1, '2021-07-19 11:49:18', NULL, NULL), (17329, '', '前街社区', 'e99e2f9c58774c16a3c285a99e220def', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001003', 5, '前街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001003', 1, '2021-07-19 11:49:18', NULL, NULL), (17330, '', '东风路社区', 'af9ab284fa924cd39cb44fb078715426', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001004', 5, '东风路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001004', 1, '2021-07-19 11:49:18', NULL, NULL), (17331, '', '三元街社区', 'a8929c6862534720a371f4e6261d22f5', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001005', 5, '三元街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001005', 1, '2021-07-19 11:49:18', NULL, NULL), (17332, '', '南街社区', 'de6adc1d8219463685cdbe65a405d029', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001006', 5, '南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001006', 1, '2021-07-19 11:49:18', NULL, NULL), (17333, '', '晓霞路社区', '8aecdd62569b4e93ab585553b92fa78a', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001007', 5, '晓霞路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001007', 1, '2021-07-19 11:49:18', NULL, NULL), (17334, '', '北街社区', 'b0cb3e1b0fac4f57a728dc0582f7e024', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001008', 5, '北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001008', 1, '2021-07-19 11:49:18', NULL, NULL), (17335, '', '凌云路社区', '5f3775dea8eb4285bd31673db88a72dd', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001009', 5, '凌云路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001009', 1, '2021-07-19 11:49:18', NULL, NULL), (17336, '', '文庙街社区', 'b7f28c913d064dc5ba0cd7ba5892910b', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001010', 5, '文庙街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001010', 1, '2021-07-19 11:49:18', NULL, NULL), (17337, '', '振兴街南段社区', '0abbdbae446b488aa2057b562946635e', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001011', 5, '振兴街南段社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001011', 1, '2021-07-19 11:49:18', NULL, NULL), (17338, '', '瑞安路社区', 'e24f212ba21245859af8d6bcc520d451', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001012', 5, '瑞安路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001012', 1, '2021-07-19 11:49:18', NULL, NULL), (17339, '', '正街社区', 'f018f5becf94443283e9daafb5d31cbb', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001013', 5, '正街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001013', 1, '2021-07-19 11:49:18', NULL, NULL), (17340, '', '东园街社区', 'a11428003d434150af62cbceff366215', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001014', 5, '东园街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001014', 1, '2021-07-19 11:49:18', NULL, NULL), (17341, '', '礼泉街社区', 'c2a03410f1a745bc9845df3747618bde', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001015', 5, '礼泉街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001015', 1, '2021-07-19 11:49:18', NULL, NULL), (17342, '', '红电社区', '2998e92d68014102a9de14834ab4dfb2', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001016', 5, '红电社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001016', 1, '2021-07-19 11:49:18', NULL, NULL), (17343, '', '东南社区', 'a4e861b620c1493d9af3fe893a81ffaa', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001202', 5, '东南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001202', 1, '2021-07-19 11:49:19', NULL, NULL), (17344, '', '长沟社区', '5453317f529e4876a218fcc1abca5864', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001200', 5, '长沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001200', 1, '2021-07-19 11:49:19', NULL, NULL), (17345, '', '烈女坟村', 'b240dbcfacee42f590b98b3e87c4fd96', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001201', 5, '烈女坟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001201', 1, '2021-07-19 11:49:19', NULL, NULL), (17346, '', '晓霞社区', '750814646fca4eac9b5f034ba9246b2a', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001204', 5, '晓霞社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001204', 1, '2021-07-19 11:49:19', NULL, NULL), (17347, '', '濠口社区', 'b9f4bf7f70b84163896a6721e3a1696e', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001205', 5, '濠口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001205', 1, '2021-07-19 11:49:19', NULL, NULL), (17348, '', '五面山村', 'f78b8deeebe141e981f3f89570d0f9d6', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001206', 5, '五面山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001206', 1, '2021-07-19 11:49:19', NULL, NULL), (17349, '', '涌泉坝村', '9c839d14879e402b87e0253ff1cdfb7c', 'e44b53dd69e2496c96b98c94c0d56f43', 'False', 'True', 'false', 'false', '511321001203', 5, '涌泉坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321001203', 1, '2021-07-19 11:49:19', NULL, NULL), (17350, '', '蜀北街道', '890ef5c6868f43dfabab104982ba8da5', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321002200', 4, '蜀北街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321002200', 1, '2021-07-19 11:49:19', NULL, NULL), (17351, '', '振兴街社区', '21ae76a848a34f94b6d8382646ae067e', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002001', 5, '振兴街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002001', 1, '2021-07-19 11:49:19', NULL, NULL), (17352, '', '草市街社区', 'cb863c1e5b3a423dacc28bd670872769', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002002', 5, '草市街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002002', 1, '2021-07-19 11:49:19', NULL, NULL), (17353, '', '金鱼岭社区', '2daf2b6dc1be447db1d70115cc7f4880', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002003', 5, '金鱼岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002003', 1, '2021-07-19 11:49:19', NULL, NULL), (17354, '', '金华街社区', '5084f25688154dd89a78fd9c6ab5316d', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002004', 5, '金华街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002004', 1, '2021-07-19 11:49:19', NULL, NULL), (17355, '', '新华路西段社区', 'e8cae966394d4b2989d6c01917dad678', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002005', 5, '新华路西段社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002005', 1, '2021-07-19 11:49:19', NULL, NULL), (17356, '', '新华路社区', 'b19d5a86ec54400fb771feaf15ffd405', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002006', 5, '新华路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002006', 1, '2021-07-19 11:49:19', NULL, NULL), (17357, '', '翻身街社区', 'b9e7e74da1704423b8d7d74a37823738', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002007', 5, '翻身街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002007', 1, '2021-07-19 11:49:19', NULL, NULL), (17358, '', '金洞路社区', '5f217d36969141c3a863939832105dfc', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002008', 5, '金洞路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002008', 1, '2021-07-19 11:49:20', NULL, NULL), (17359, '', '蜀北社区', '5802715365454153aaa080689fbfad16', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002009', 5, '蜀北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002009', 1, '2021-07-19 11:49:20', NULL, NULL), (17360, '', '新安路社区', 'd03eb1e41c1a4d3fb118ce176d7ee97e', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002010', 5, '新安路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002010', 1, '2021-07-19 11:49:20', NULL, NULL), (17361, '', '水景湾社区', 'f887c6eafd5946478d281d64ba9c78a3', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002011', 5, '水景湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002011', 1, '2021-07-19 11:49:20', NULL, NULL), (17362, '', '金鱼桥社区', 'e5e6d6f4285248c3be4d3e18c31f3c76', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002012', 5, '金鱼桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002012', 1, '2021-07-19 11:49:20', NULL, NULL), (17363, '', '五里社区', '8ece1fedd3b24111892dd12864f09a88', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002013', 5, '五里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002013', 1, '2021-07-19 11:49:20', NULL, NULL), (17364, '', '黄家坝社区', '489c7c4f586d41f2a0dde44f63a2ee52', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002014', 5, '黄家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002014', 1, '2021-07-19 11:49:20', NULL, NULL), (17365, '', '新华社区', '6a964c31f3904469ae81a88834835e78', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002015', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002015', 1, '2021-07-19 11:49:20', NULL, NULL), (17366, '', '石子岭社区', '47967d635c5945a1a308ee04603b6d7c', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002016', 5, '石子岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002016', 1, '2021-07-19 11:49:20', NULL, NULL), (17367, '', '向阳社区', '7c01376e3009498dbbb2c4a94807d13a', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002017', 5, '向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002017', 1, '2021-07-19 11:49:20', NULL, NULL), (17368, '', '席家村', '1defee62ff8a40df84f3d8a29f7584d9', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '5113859821732700160', 5, '席家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5113859821732700160', 1, '2021-07-19 11:49:20', NULL, NULL), (17369, '', '黑水塘村', '94699aa05bc1440fb53d84c6cd86784f', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002206', 5, '黑水塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002206', 1, '2021-07-19 11:49:20', NULL, NULL), (17370, '', '松云洞村', '64abaa285d5a43c6a175ee60a187c354', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002207', 5, '松云洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002207', 1, '2021-07-19 11:49:20', NULL, NULL), (17371, '', '中心村', 'bd74ab786e2d49e799185049d33b8772', '890ef5c6868f43dfabab104982ba8da5', 'False', 'True', 'false', 'false', '511321002208', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321002208', 1, '2021-07-19 11:49:20', NULL, NULL), (17372, '', '满福街道', '5919938942bd47a28cef071ddf6544b6', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321201000', 4, '满福街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321201000', 1, '2021-07-19 11:49:21', NULL, NULL), (17373, '', '陵峰社区', '5d3121f7fcfe471da21dedf788b54cd9', '5919938942bd47a28cef071ddf6544b6', 'False', 'True', 'false', 'false', '511321201207', 5, '陵峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321201207', 1, '2021-07-19 11:49:21', NULL, NULL), (17374, '', '临江社区', '92671f7b9c3e497aa2d9916ba6635421', '5919938942bd47a28cef071ddf6544b6', 'False', 'True', 'false', 'false', '511321201202', 5, '临江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321201202', 1, '2021-07-19 11:49:21', NULL, NULL), (17375, '', '安坝梁社区', 'a232022ce0834d1da0709771f02a0131', '5919938942bd47a28cef071ddf6544b6', 'False', 'True', 'false', 'false', '511321201209', 5, '安坝梁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321201209', 1, '2021-07-19 11:49:21', NULL, NULL), (17376, '', '油房沟社区', '5ac39f6e88424da99f23dc77d158a165', '5919938942bd47a28cef071ddf6544b6', 'False', 'True', 'false', 'false', '511321201201', 5, '油房沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321201201', 1, '2021-07-19 11:49:21', NULL, NULL), (17377, '', '九经洞村', '34df559db32b4503835cdaf2cfa7e580', '5919938942bd47a28cef071ddf6544b6', 'False', 'True', 'false', 'false', '511321201200', 5, '九经洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321201200', 1, '2021-07-19 11:49:21', NULL, NULL), (17378, '', '琴台寺社区', '0225646efe8d4548ad9b3ecae588eae0', '5919938942bd47a28cef071ddf6544b6', 'False', 'True', 'false', 'false', '511321201210', 5, '琴台寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321201210', 1, '2021-07-19 11:49:21', NULL, NULL), (17379, '', '火峰山社区', 'd375660ff290417594ffc90dd06bf9c9', '5919938942bd47a28cef071ddf6544b6', 'False', 'True', 'false', 'false', '511321201203', 5, '火峰山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321201203', 1, '2021-07-19 11:49:21', NULL, NULL), (17380, '', '富嵋山社区', '25c9bfe0fea54c65bd5fbce4fb42a5f3', '5919938942bd47a28cef071ddf6544b6', 'False', 'True', 'false', 'false', '511321201211', 5, '富嵋山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321201211', 1, '2021-07-19 11:49:21', NULL, NULL), (17381, '', '环江寺社区', '02b668e66a0b425b8f838e9fb083daff', '5919938942bd47a28cef071ddf6544b6', 'False', 'True', 'false', 'false', '511321201206', 5, '环江寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321201206', 1, '2021-07-19 11:49:21', NULL, NULL), (17382, '', '大石桥村', '9a0d8700f72842488dd0a6682efab3b5', '5919938942bd47a28cef071ddf6544b6', 'False', 'True', 'false', 'false', '511321201208', 5, '大石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321201208', 1, '2021-07-19 11:49:21', NULL, NULL), (17383, '', '玄真观村', 'cca595d757bd428eaf008f69a5127a54', '5919938942bd47a28cef071ddf6544b6', 'False', 'True', 'false', 'false', '511321003219', 5, '玄真观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321003219', 1, '2021-07-19 11:49:21', NULL, NULL), (17384, '', '南隆街道办事处', '83702f16cc2e4925a54dd9d622facf72', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321100000', 4, '南隆街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321100000', 1, '2021-07-19 11:49:21', NULL, NULL), (17385, '', '老君山社区', '25b1d9035c6742e5babcc0e5d1e1dc04', '83702f16cc2e4925a54dd9d622facf72', 'False', 'True', 'false', 'false', '511321100234', 5, '老君山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321100234', 1, '2021-07-19 11:49:21', NULL, NULL), (17386, '', '望南村', '5e17668de511493cadd3e9c66b6152f6', '83702f16cc2e4925a54dd9d622facf72', 'False', 'True', 'false', 'false', '511321100226', 5, '望南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321100226', 1, '2021-07-19 11:49:21', NULL, NULL), (17387, '', '改清社区', 'c7a2360430f6491e8abd2700789bdd01', '83702f16cc2e4925a54dd9d622facf72', 'False', 'True', 'false', 'false', '511321100236', 5, '改清村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321100236', 1, '2021-07-19 11:49:21', NULL, NULL), (17388, '', '巴岩店村', 'b2db052fb77049789dda0c4d9e022889', '83702f16cc2e4925a54dd9d622facf72', 'False', 'True', 'false', 'false', '511321100229', 5, '巴岩店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321100229', 1, '2021-07-19 11:49:21', NULL, NULL), (17389, '', '古井村', 'de1691d7207a48a1a7bd790fde9399c6', '83702f16cc2e4925a54dd9d622facf72', 'False', 'True', 'false', 'false', '511321100231', 5, '古井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321100231', 1, '2021-07-19 11:49:21', NULL, NULL), (17390, '', '双桥子社区', '6308a86e40304d5d9af766918c7d78fb', '83702f16cc2e4925a54dd9d622facf72', 'False', 'True', 'false', 'false', '511321100235', 5, '双桥子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321100235', 1, '2021-07-19 11:49:22', NULL, NULL), (17391, '', '望月社区', '8d02652d2ae94c598da240503f769363', '83702f16cc2e4925a54dd9d622facf72', 'False', 'True', 'false', 'false', '511321100217', 5, '望月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321100217', 1, '2021-07-19 11:49:22', NULL, NULL), (17392, '', '太洪社区', '057c62b8a3d841b4ae884e136f771358', '83702f16cc2e4925a54dd9d622facf72', 'False', 'True', 'false', 'false', '511321100221', 5, '太洪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321100221', 1, '2021-07-19 11:49:22', NULL, NULL), (17393, '', '海会村', 'dcc90785bb2e4add9c5d9ab990366d15', '83702f16cc2e4925a54dd9d622facf72', 'False', 'True', 'false', 'false', '511321100204', 5, '海会村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321100204', 1, '2021-07-19 11:49:22', NULL, NULL), (17394, '', '清水社区', '14781a6b8b5f4882b0a8993856aadd21', '83702f16cc2e4925a54dd9d622facf72', 'False', 'True', 'false', 'false', '511321100232', 5, '清水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321100232', 1, '2021-07-19 11:49:22', NULL, NULL), (17395, '', '袁家桥村', '950a404dd44940769c9dffa94ef1fbd6', '83702f16cc2e4925a54dd9d622facf72', 'False', 'True', 'false', 'false', '511321100225', 5, '袁家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321100225', 1, '2021-07-19 11:49:22', NULL, NULL), (17396, '', '大山湾村', '6a4aff437702489492045e2c391fed29', '83702f16cc2e4925a54dd9d622facf72', 'False', 'True', 'false', 'false', '511321100224', 5, '大山湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321100224', 1, '2021-07-19 11:49:22', NULL, NULL), (17397, '', '枣子园村', 'babf3c44262d4fcc9eb4ff449a974de1', '83702f16cc2e4925a54dd9d622facf72', 'False', 'True', 'false', 'false', '511321100233', 5, '枣子园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321100233', 1, '2021-07-19 11:49:22', NULL, NULL), (17398, '', '肖家场社区', 'f88929f084ed488da3cde24bafd6e880', '83702f16cc2e4925a54dd9d622facf72', 'False', 'True', 'false', 'false', '511321100230', 5, '肖家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321100230', 1, '2021-07-19 11:49:22', NULL, NULL), (17399, '', '老鸦镇', 'c27f5fefc32d4a809232c9301a9f5dfe', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321102000', 4, '老鸦镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321102000', 1, '2021-07-19 11:49:22', NULL, NULL), (17400, '', '洪湖社区', '44342c06ca49468b9ad052e3b43093de', 'c27f5fefc32d4a809232c9301a9f5dfe', 'False', 'True', 'false', 'false', '511321102056', 5, '洪湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321102056', 1, '2021-07-19 11:49:22', NULL, NULL), (17401, '', '流杯村', '49ebb9bb591d4007affe9031f9200af3', 'c27f5fefc32d4a809232c9301a9f5dfe', 'False', 'True', 'false', 'false', '511321102202', 5, '流杯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321102202', 1, '2021-07-19 11:49:22', NULL, NULL), (17402, '', '碾垭村', '334496d04d8a48838203e0f5db9753c0', 'c27f5fefc32d4a809232c9301a9f5dfe', 'False', 'True', 'false', 'false', '511321102201', 5, '碾垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321102201', 1, '2021-07-19 11:49:22', NULL, NULL), (17403, '', '梓潼村', 'c25daf00d3784417beabaa12fbd27f12', 'c27f5fefc32d4a809232c9301a9f5dfe', 'False', 'True', 'false', 'false', '511321102203', 5, '梓潼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321102203', 1, '2021-07-19 11:49:22', NULL, NULL), (17404, '', '花园村', '63aa902e3c0c40ea9c4ce6c62f126eb0', 'c27f5fefc32d4a809232c9301a9f5dfe', 'False', 'True', 'false', 'false', '511321102204', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321102204', 1, '2021-07-19 11:49:22', NULL, NULL), (17405, '', '柏林村', '789d1a8ba39747be84860245bc99cba0', 'c27f5fefc32d4a809232c9301a9f5dfe', 'False', 'True', 'false', 'false', '511321102206', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321102206', 1, '2021-07-19 11:49:22', NULL, NULL), (17406, '', '玉顶村', 'f031b29a456a4247b273a075e5ad3f82', 'c27f5fefc32d4a809232c9301a9f5dfe', 'False', 'True', 'false', 'false', '511321102208', 5, '玉顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321102208', 1, '2021-07-19 11:49:22', NULL, NULL), (17407, '', '石宝村', 'beebe90737f24f8dbea18003e6921e58', 'c27f5fefc32d4a809232c9301a9f5dfe', 'False', 'True', 'false', 'false', '511321102209', 5, '石宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321102209', 1, '2021-07-19 11:49:22', NULL, NULL), (17408, '', '永定镇', 'a41d5568b2ad49769d2acca34152b6a7', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321103000', 4, '永定镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321103000', 1, '2021-07-19 11:49:22', NULL, NULL), (17409, '', '三合社区', 'f733f5699dd34e29a8a2be1194db6311', 'a41d5568b2ad49769d2acca34152b6a7', 'False', 'True', 'false', 'false', '511321103001', 5, '三合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321103001', 1, '2021-07-19 11:49:22', NULL, NULL), (17410, '', '窑湾村', 'c9cb429dc46044de8409856bc9a45599', 'a41d5568b2ad49769d2acca34152b6a7', 'False', 'True', 'false', 'false', '511321103201', 5, '窑湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321103201', 1, '2021-07-19 11:49:23', NULL, NULL), (17411, '', '百田村', '548a9e82122a4880bb07faf76b6c625d', 'a41d5568b2ad49769d2acca34152b6a7', 'False', 'True', 'false', 'false', '511321103204', 5, '百田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321103204', 1, '2021-07-19 11:49:23', NULL, NULL), (17412, '', '永定村', '16a21b854a744a41a9478b5a0bf58155', 'a41d5568b2ad49769d2acca34152b6a7', 'False', 'True', 'false', 'false', '511321103206', 5, '永定村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321103206', 1, '2021-07-19 11:49:23', NULL, NULL), (17413, '', '同心村', '53999e60d8974fdaa0630dc89ed50fa2', 'a41d5568b2ad49769d2acca34152b6a7', 'False', 'True', 'false', 'false', '511321103210', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321103210', 1, '2021-07-19 11:49:23', NULL, NULL), (17414, '', '杏垭村', '079cea4a16ff4763ae7a564ca9d1da44', 'a41d5568b2ad49769d2acca34152b6a7', 'False', 'True', 'false', 'false', '511321103211', 5, '杏垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321103211', 1, '2021-07-19 11:49:23', NULL, NULL), (17415, '', '黄莲村', '4c20b8ef80f44f70b623f5368dd02c1a', 'a41d5568b2ad49769d2acca34152b6a7', 'False', 'True', 'false', 'false', '511321103213', 5, '黄莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321103213', 1, '2021-07-19 11:49:23', NULL, NULL), (17416, '', '碑院镇', 'a8dd9af511f24770a74af98128d44456', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321104000', 4, '碑院镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321104000', 1, '2021-07-19 11:49:23', NULL, NULL), (17417, '', '文峰社区', '46d75be5a0994210b57b1674e2f005b5', 'a8dd9af511f24770a74af98128d44456', 'False', 'True', 'false', 'false', '511321104001', 5, '文峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321104001', 1, '2021-07-19 11:49:23', NULL, NULL), (17418, '', '罗面村', '167b51f233ba4a8290a356b585e5aeb6', 'a8dd9af511f24770a74af98128d44456', 'False', 'True', 'false', 'false', '511321104202', 5, '罗面村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321104202', 1, '2021-07-19 11:49:23', NULL, NULL), (17419, '', '大庙村', '560a46ebf0df476d80e28c753018152d', 'a8dd9af511f24770a74af98128d44456', 'False', 'True', 'false', 'false', '511321104205', 5, '大庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321104205', 1, '2021-07-19 11:49:23', NULL, NULL), (17420, '', '土垭村', '0916b158f2c04851b99d15e86c12f3dd', 'a8dd9af511f24770a74af98128d44456', 'False', 'False', 'false', 'false', '511321104206', 5, '土垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321104206', 1, '2021-07-19 11:49:23', NULL, NULL), (17421, '', '高坪村', 'e6f0e1c2e2254c939ffab2691a65ed15', 'a8dd9af511f24770a74af98128d44456', 'False', 'True', 'false', 'false', '511321104208', 5, '高坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321104208', 1, '2021-07-19 11:49:23', NULL, NULL), (17422, '', '大佛村', '019a610ad55a4598b4c60e493f25ba8d', 'a8dd9af511f24770a74af98128d44456', 'False', 'True', 'false', 'false', '511321104210', 5, '大佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321104210', 1, '2021-07-19 11:49:23', NULL, NULL), (17423, '', '林坝村', 'd1fabefe32f54a6a9801e7b24317c1e4', 'a8dd9af511f24770a74af98128d44456', 'False', 'True', 'false', 'false', '511321104213', 5, '林坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321104213', 1, '2021-07-19 11:49:23', NULL, NULL), (17424, '', '谢河镇', '86140bbe6b6c4af2a64faef6598baf4f', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321105000', 4, '谢河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321105000', 1, '2021-07-19 11:49:23', NULL, NULL), (17425, '', '陈店村', '5b66fb943d19449f8653602d7b91a562', '86140bbe6b6c4af2a64faef6598baf4f', 'False', 'True', 'false', 'false', '511321105068', 5, '陈店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321105068', 1, '2021-07-19 11:49:23', NULL, NULL), (17426, '', '碾盘场村', '619b24abe0524ccc8c8bedcc1bc42c79', '86140bbe6b6c4af2a64faef6598baf4f', 'False', 'True', 'false', 'false', '511321105591', 5, '碾盘场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321105591', 1, '2021-07-19 11:49:23', NULL, NULL), (17427, '', '上柏庙村', '8f39117a0efc44b6934f78b073a99e9a', '86140bbe6b6c4af2a64faef6598baf4f', 'False', 'True', 'false', 'false', '511321105597', 5, '上柏庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321105597', 1, '2021-07-19 11:49:23', NULL, NULL), (17428, '', '下窑坝村', '8e84de72740a4c62a38fea9ce9aa3cea', '86140bbe6b6c4af2a64faef6598baf4f', 'False', 'True', 'false', 'false', '511321105659', 5, '下窑坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321105659', 1, '2021-07-19 11:49:23', NULL, NULL), (17429, '', '磨刀石村', 'b1b6db8fa50c4f0abeba6dfb12075f3e', '86140bbe6b6c4af2a64faef6598baf4f', 'False', 'True', 'false', 'false', '511321105664', 5, '磨刀石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321105664', 1, '2021-07-19 11:49:23', NULL, NULL), (17430, '', '城东村', '68050b4bc6ee42509da51355e93cb136', '86140bbe6b6c4af2a64faef6598baf4f', 'False', 'True', 'false', 'false', '511321105200', 5, '城东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321105200', 1, '2021-07-19 11:49:23', NULL, NULL), (17431, '', '武圣宫村', '312cb21907264bf18c3a77eb07b564b7', '86140bbe6b6c4af2a64faef6598baf4f', 'False', 'True', 'false', 'false', '511321105202', 5, '武圣宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321105202', 1, '2021-07-19 11:49:23', NULL, NULL), (17432, '', '射洪庙村', '5ca57893fa3f4a2287f2f769d6d6e910', '86140bbe6b6c4af2a64faef6598baf4f', 'False', 'True', 'false', 'false', '511321105203', 5, '射洪庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321105203', 1, '2021-07-19 11:49:23', NULL, NULL), (17433, '', '黑竹林村', '83b14a048ac3442e9f86285b207c08b6', '86140bbe6b6c4af2a64faef6598baf4f', 'False', 'True', 'false', 'false', '511321105205', 5, '黑竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321105205', 1, '2021-07-19 11:49:24', NULL, NULL), (17434, '', '店儿梁村', '8a05a746115e4f76973812823eafce63', '86140bbe6b6c4af2a64faef6598baf4f', 'False', 'True', 'false', 'false', '511321105206', 5, '店儿梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321105206', 1, '2021-07-19 11:49:24', NULL, NULL), (17435, '', '盘龙镇', '1435b868177a42209f40ec2926467b93', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321106000', 4, '盘龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321106000', 1, '2021-07-19 11:49:24', NULL, NULL), (17436, '', '回龙寺村', 'd4e2eae423474e0d8e8cc010a9e39e9c', '1435b868177a42209f40ec2926467b93', 'False', 'True', 'false', 'false', '511321106569', 5, '回龙寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321106569', 1, '2021-07-19 11:49:24', NULL, NULL), (17437, '', '兴盛社区', '33a5b59da8714dbea5557670ec92825a', '1435b868177a42209f40ec2926467b93', 'False', 'True', 'false', 'false', '511321106001', 5, '兴盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321106001', 1, '2021-07-19 11:49:24', NULL, NULL), (17438, '', '龙升社区', '7caf3bca04fe43ed877ad2e697d2147d', '1435b868177a42209f40ec2926467b93', 'False', 'True', 'false', 'false', '511321106002', 5, '龙升社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321106002', 1, '2021-07-19 11:49:24', NULL, NULL), (17439, '', '龙腾社区', '75cd427e51004e30a1aeb8baf026c2bf', '1435b868177a42209f40ec2926467b93', 'False', 'True', 'false', 'false', '511321106200', 5, '龙腾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321106200', 1, '2021-07-19 11:49:24', NULL, NULL), (17440, '', '观音井村', 'd69b322d51ee436882f02545b792cf98', '1435b868177a42209f40ec2926467b93', 'False', 'True', 'false', 'false', '511321106202', 5, '观音井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321106202', 1, '2021-07-19 11:49:24', NULL, NULL), (17441, '', '龙潭子村', '8ea94ff6453d46c88e69be81c0e6e327', '1435b868177a42209f40ec2926467b93', 'False', 'True', 'false', 'false', '511321106205', 5, '龙潭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321106205', 1, '2021-07-19 11:49:24', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (17442, '', '五里子村', '26d39a82b5f347e8b26863c914b6ed7f', '1435b868177a42209f40ec2926467b93', 'False', 'True', 'false', 'false', '511321106207', 5, '五里子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321106207', 1, '2021-07-19 11:49:24', NULL, NULL), (17443, '', '玉龙山村', '5607e6e6f1c54d34b66800a9596356f8', '1435b868177a42209f40ec2926467b93', 'False', 'True', 'false', 'false', '511321106211', 5, '玉龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321106211', 1, '2021-07-19 11:49:24', NULL, NULL), (17444, '', '江石岭村', '399d87c507374b6b999e72f9036766d0', '1435b868177a42209f40ec2926467b93', 'False', 'True', 'false', 'false', '511321106214', 5, '江石岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321106214', 1, '2021-07-19 11:49:24', NULL, NULL), (17445, '', '龙霖村', '6df6db241b364ef398d9d493cd2f2aa8', '1435b868177a42209f40ec2926467b93', 'False', 'True', 'false', 'false', '511321106215', 5, '龙霖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321106215', 1, '2021-07-19 11:49:24', NULL, NULL), (17446, '', '庙高寺村', '3bce5f532fab472f8f6cdf8ea277f5e4', '1435b868177a42209f40ec2926467b93', 'False', 'True', 'false', 'false', '511321106216', 5, '庙高寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321106216', 1, '2021-07-19 11:49:24', NULL, NULL), (17447, '', '斑竹林村', '42d8b5f074f24480bb6878187e4ec226', '1435b868177a42209f40ec2926467b93', 'False', 'True', 'false', 'false', '511321106222', 5, '斑竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321106222', 1, '2021-07-19 11:49:24', NULL, NULL), (17448, '', '太平寺村', 'da2cec2432ff4a7296220ffb54d7f89c', '1435b868177a42209f40ec2926467b93', 'False', 'True', 'false', 'false', '511321106226', 5, '太平寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321106226', 1, '2021-07-19 11:49:24', NULL, NULL), (17449, '', '铁佛塘镇', '41cf3557272841808109afa95ec02ebc', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321107000', 4, '铁佛塘镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321107000', 1, '2021-07-19 11:49:24', NULL, NULL), (17450, '', '铁炉沟村', '34e0707150ee4f26bacd0665b11112e9', '41cf3557272841808109afa95ec02ebc', 'False', 'True', 'false', 'false', '511321107166', 5, '铁炉沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321107166', 1, '2021-07-19 11:49:25', NULL, NULL), (17451, '', '许家桥村', '2c2bf296dcc840ad834874168028f246', '41cf3557272841808109afa95ec02ebc', 'False', 'True', 'false', 'false', '511321107520', 5, '许家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321107520', 1, '2021-07-19 11:49:25', NULL, NULL), (17452, '', '碧龙场村', '62f357aaa2234b7089a3157b51424848', '41cf3557272841808109afa95ec02ebc', 'False', 'True', 'false', 'false', '511321107590', 5, '碧龙场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321107590', 1, '2021-07-19 11:49:25', NULL, NULL), (17453, '', '邓家嘴村', 'e059884b541d45e9a5559de471a42678', '41cf3557272841808109afa95ec02ebc', 'False', 'True', 'false', 'false', '511321107783', 5, '邓家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321107783', 1, '2021-07-19 11:49:25', NULL, NULL), (17454, '', '袁家楼村', '323b3de4f168475ea68f03f2c286b032', '41cf3557272841808109afa95ec02ebc', 'False', 'True', 'false', 'false', '511321107983', 5, '袁家楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321107983', 1, '2021-07-19 11:49:25', NULL, NULL), (17455, '', '马鞍村', '7aa803e1b4454450b1f13b136ab83423', '41cf3557272841808109afa95ec02ebc', 'False', 'True', 'false', 'false', '511321107200', 5, '马鞍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321107200', 1, '2021-07-19 11:49:25', NULL, NULL), (17456, '', '后地村', 'd85aae355e05418ebd52d47b8a021d27', '41cf3557272841808109afa95ec02ebc', 'False', 'True', 'false', 'false', '511321107204', 5, '后地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321107204', 1, '2021-07-19 11:49:25', NULL, NULL), (17457, '', '铁佛塘村', '0f42cbaaf96846bcad13133499cdde12', '41cf3557272841808109afa95ec02ebc', 'False', 'True', 'false', 'false', '511321107205', 5, '铁佛塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321107205', 1, '2021-07-19 11:49:25', NULL, NULL), (17458, '', '贾家店村', '615ade15beb24848803d4f655c046eb9', '41cf3557272841808109afa95ec02ebc', 'False', 'True', 'false', 'false', '511321107207', 5, '贾家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321107207', 1, '2021-07-19 11:49:25', NULL, NULL), (17459, '', '杏儿村', 'e7c61f845faf422a993d2ad415f9ed08', '41cf3557272841808109afa95ec02ebc', 'False', 'True', 'false', 'false', '511321107209', 5, '杏儿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321107209', 1, '2021-07-19 11:49:25', NULL, NULL), (17460, '', '石河镇', '0535cf1ef8c743baa448532dbc698871', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321108000', 4, '石河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321108000', 1, '2021-07-19 11:49:25', NULL, NULL), (17461, '', '石河场社区', '3ae3ab77fb9e4bc1998c86552fde3712', '0535cf1ef8c743baa448532dbc698871', 'False', 'True', 'false', 'false', '511321108200', 5, '石河场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321108200', 1, '2021-07-19 11:49:25', NULL, NULL), (17462, '', '玉台观村', '8e5152977d55461997a835f666292fe8', '0535cf1ef8c743baa448532dbc698871', 'False', 'True', 'false', 'false', '511321108202', 5, '玉台观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321108202', 1, '2021-07-19 11:49:25', NULL, NULL), (17463, '', '廖家营村', 'cd57baba2a4c46bfad9c3dcf5ee453e7', '0535cf1ef8c743baa448532dbc698871', 'False', 'True', 'false', 'false', '511321108207', 5, '廖家营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321108207', 1, '2021-07-19 11:49:25', NULL, NULL), (17464, '', '牛市坎村', 'ee81ce4310264b808f9802a1190cab33', '0535cf1ef8c743baa448532dbc698871', 'False', 'True', 'false', 'false', '511321108209', 5, '牛市坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321108209', 1, '2021-07-19 11:49:25', NULL, NULL), (17465, '', '宝坪寺村', '4a0ae89244c24fa38d72a636622f63bc', '0535cf1ef8c743baa448532dbc698871', 'False', 'True', 'false', 'false', '511321108213', 5, '宝坪寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321108213', 1, '2021-07-19 11:49:25', NULL, NULL), (17466, '', '高阳寺村', 'c3cffbf0a460460883c119fba2fa1a5a', '0535cf1ef8c743baa448532dbc698871', 'False', 'True', 'false', 'false', '511321108214', 5, '高阳寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321108214', 1, '2021-07-19 11:49:25', NULL, NULL), (17467, '', '王家镇', '03b18f90b8ac4eec83b511fe427cbed6', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321109000', 4, '王家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321109000', 1, '2021-07-19 11:49:25', NULL, NULL), (17468, '', '万年台社区', '35b92e658de34d1d91c9289556aa0f4d', '03b18f90b8ac4eec83b511fe427cbed6', 'False', 'True', 'false', 'false', '511321109002', 5, '万年台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321109002', 1, '2021-07-19 11:49:26', NULL, NULL), (17469, '', '新兴社区', 'e1d1f8e325f14063abc185cfc0d76659', '03b18f90b8ac4eec83b511fe427cbed6', 'False', 'True', 'false', 'false', '511321109003', 5, '新兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321109003', 1, '2021-07-19 11:49:26', NULL, NULL), (17470, '', '南蓬社区', '3742301219b34fbb8b08c37bfcf2127b', '03b18f90b8ac4eec83b511fe427cbed6', 'False', 'True', 'false', 'false', '511321109004', 5, '南蓬社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321109004', 1, '2021-07-19 11:49:26', NULL, NULL), (17471, '', '总角山村', '39ad31f78d7d4ff5b4639bdaf72911b8', '03b18f90b8ac4eec83b511fe427cbed6', 'False', 'True', 'false', 'false', '511321109201', 5, '总角山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321109201', 1, '2021-07-19 11:49:26', NULL, NULL), (17472, '', '铺子垭村', '84f6c64b76cf413c86f56c6dcc88dea9', '03b18f90b8ac4eec83b511fe427cbed6', 'False', 'True', 'false', 'false', '511321109202', 5, '铺子垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321109202', 1, '2021-07-19 11:49:26', NULL, NULL), (17473, '', '灵泉山村', 'bde3a562f22f41549f570b49332f709e', '03b18f90b8ac4eec83b511fe427cbed6', 'False', 'True', 'false', 'false', '511321109205', 5, '灵泉山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321109205', 1, '2021-07-19 11:49:26', NULL, NULL), (17474, '', '观音岩村', 'bacfe8849b5a4ded8349bc4eb1d0459e', '03b18f90b8ac4eec83b511fe427cbed6', 'False', 'True', 'false', 'false', '511321109206', 5, '观音岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321109206', 1, '2021-07-19 11:49:26', NULL, NULL), (17475, '', '落翎坝村', '98a7763ffcfb473880b271e7f75cc22c', '03b18f90b8ac4eec83b511fe427cbed6', 'False', 'True', 'false', 'false', '511321109207', 5, '落翎坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321109207', 1, '2021-07-19 11:49:26', NULL, NULL), (17476, '', '横担岭村', 'a73ad184431c4144ad7fbc24d5fa6851', '03b18f90b8ac4eec83b511fe427cbed6', 'False', 'True', 'false', 'false', '511321109208', 5, '横担岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321109208', 1, '2021-07-19 11:49:26', NULL, NULL), (17477, '', '龚家沱村', 'f01f34d255944124a4966c893a113d8e', '03b18f90b8ac4eec83b511fe427cbed6', 'False', 'True', 'false', 'false', '511321109209', 5, '龚家沱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321109209', 1, '2021-07-19 11:49:26', NULL, NULL), (17478, '', '卧牛穴村', '69b9b2f6ffac4757bd84dfde84caf354', '03b18f90b8ac4eec83b511fe427cbed6', 'False', 'True', 'false', 'false', '511321109210', 5, '卧牛穴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321109210', 1, '2021-07-19 11:49:26', NULL, NULL), (17479, '', '五童庙村', '3bb1c563ea244fceb20bf2787ce8e2fc', '03b18f90b8ac4eec83b511fe427cbed6', 'False', 'True', 'false', 'false', '511321109211', 5, '五童庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321109211', 1, '2021-07-19 11:49:26', NULL, NULL), (17480, '', '龙头桥村', 'ac3f48117175415f8a99e2761a94a2c7', '03b18f90b8ac4eec83b511fe427cbed6', 'False', 'True', 'false', 'false', '511321109212', 5, '龙头桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321109212', 1, '2021-07-19 11:49:26', NULL, NULL), (17481, '', '顶子山村', '1744304bfd8843c39ef254946386f082', '03b18f90b8ac4eec83b511fe427cbed6', 'False', 'True', 'false', 'false', '511321109213', 5, '顶子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321109213', 1, '2021-07-19 11:49:26', NULL, NULL), (17482, '', '嘉陵村', '23a7a213eb9f4bc184769aa363685342', '03b18f90b8ac4eec83b511fe427cbed6', 'False', 'True', 'false', 'false', '511321109214', 5, '嘉陵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321109214', 1, '2021-07-19 11:49:26', NULL, NULL), (17483, '', '星光村', '4190060fa76244c1ad985a6815b9300b', '03b18f90b8ac4eec83b511fe427cbed6', 'False', 'True', 'false', 'false', '511321109215', 5, '星光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321109215', 1, '2021-07-19 11:49:26', NULL, NULL), (17484, '', '大富场社区', 'd112c615887c4d4495cba542a6c45b2e', '03b18f90b8ac4eec83b511fe427cbed6', 'False', 'True', 'false', 'false', '511321109557', 5, '大富场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321109557', 1, '2021-07-19 11:49:26', NULL, NULL), (17485, '', '富利镇', 'a51a93e6c20b4b57a337b571c6fda380', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321147000', 4, '富利镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321147000', 1, '2021-07-19 11:49:26', NULL, NULL), (17486, '', '富利社区', 'b1c01f8acb634d13a7272cbc98f7a25b', 'a51a93e6c20b4b57a337b571c6fda380', 'False', 'True', 'false', 'false', '511321147001', 5, '富利社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321147001', 1, '2021-07-19 11:49:26', NULL, NULL), (17487, '', '富侨社区', 'f76afb627d6f4426a0ba85a254cb8add', 'a51a93e6c20b4b57a337b571c6fda380', 'False', 'True', 'false', 'false', '511321147002', 5, '富侨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321147002', 1, '2021-07-19 11:49:26', NULL, NULL), (17488, '', '胡家湾村', '32fc4b4146c6400b8da6c3c967285f3e', 'a51a93e6c20b4b57a337b571c6fda380', 'False', 'True', 'false', 'false', '511321147003', 5, '胡家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321147003', 1, '2021-07-19 11:49:27', NULL, NULL), (17489, '', '道宗庙村', '472aa0790edc4344ace57fced1afe627', 'a51a93e6c20b4b57a337b571c6fda380', 'False', 'True', 'false', 'false', '511321147004', 5, '道宗庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321147004', 1, '2021-07-19 11:49:27', NULL, NULL), (17490, '', '大椅湾村', 'e9f59917b207470ab78ac0ce4a1aed9f', 'a51a93e6c20b4b57a337b571c6fda380', 'False', 'True', 'false', 'false', '511321147005', 5, '大椅湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321147005', 1, '2021-07-19 11:49:27', NULL, NULL), (17491, '', '冉家沟村', 'e74e037e72514dfdacbe0d6825b10999', 'a51a93e6c20b4b57a337b571c6fda380', 'False', 'True', 'false', 'false', '511321147006', 5, '冉家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321147006', 1, '2021-07-19 11:49:27', NULL, NULL), (17492, '', '乐逍坝村', 'ece8724ee86b4efd8b98d845d00bd392', 'a51a93e6c20b4b57a337b571c6fda380', 'False', 'True', 'false', 'false', '511321147007', 5, '乐逍坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321147007', 1, '2021-07-19 11:49:27', NULL, NULL), (17493, '', '董家溪村', '10aaca6148414a1485ffd3d5ee18c375', 'a51a93e6c20b4b57a337b571c6fda380', 'False', 'True', 'false', 'false', '511321147008', 5, '董家溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321147008', 1, '2021-07-19 11:49:27', NULL, NULL), (17494, '', '大树垭村', '4e580eafd7b04ede9d4545d7ee7e20d6', 'a51a93e6c20b4b57a337b571c6fda380', 'False', 'True', 'false', 'false', '511321147009', 5, '大树垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321147009', 1, '2021-07-19 11:49:27', NULL, NULL), (17495, '', '楠木镇便民服务中心', 'b4ebe7698fe346d39b392a7c49f811b7', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321111000', 4, '楠木镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321111000', 1, '2021-07-19 11:49:27', NULL, NULL), (17496, '', '崇正社区', '69afe132af6247ef9f69737bc4314a5b', 'b4ebe7698fe346d39b392a7c49f811b7', 'False', 'True', 'false', 'false', '511321111001', 5, '崇正社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321111001', 1, '2021-07-19 11:49:27', NULL, NULL), (17497, '', '千秋社区', '3fe2613657f844c1ac96bd5c4566a6e3', 'b4ebe7698fe346d39b392a7c49f811b7', 'False', 'True', 'false', 'false', '511321111002', 5, '千秋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321111002', 1, '2021-07-19 11:49:27', NULL, NULL), (17498, '', '通柏村', 'ea55855d765d4767ba316b80bc08a39e', 'b4ebe7698fe346d39b392a7c49f811b7', 'False', 'True', 'false', 'false', '511321111200', 5, '通柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321111200', 1, '2021-07-19 11:49:27', NULL, NULL), (17499, '', '驷马村', '4a043d0446f84dd39848e90df69fb58e', 'b4ebe7698fe346d39b392a7c49f811b7', 'False', 'True', 'false', 'false', '511321111203', 5, '驷马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321111203', 1, '2021-07-19 11:49:27', NULL, NULL), (17500, '', '泸溪村', 'bd7f86d08d574fdfa6adfbe0b66fd7c9', 'b4ebe7698fe346d39b392a7c49f811b7', 'False', 'True', 'false', 'false', '511321111206', 5, '泸溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321111206', 1, '2021-07-19 11:49:27', NULL, NULL), (17501, '', '陵江村', '9a267114ef304f4ebf82ca69cbd435f9', 'b4ebe7698fe346d39b392a7c49f811b7', 'False', 'True', 'false', 'false', '511321111207', 5, '陵江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321111207', 1, '2021-07-19 11:49:27', NULL, NULL), (17502, '', '金石村', '8a61b1b4e9a7463c9382411863caee90', 'b4ebe7698fe346d39b392a7c49f811b7', 'False', 'True', 'false', 'false', '511321111208', 5, '金石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321111208', 1, '2021-07-19 11:49:27', NULL, NULL), (17503, '', '花冠庙村', '6ca6fe97032f4aa7b9c174b79a8abff8', 'b4ebe7698fe346d39b392a7c49f811b7', 'False', 'True', 'false', 'false', '511321111209', 5, '花冠庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321111209', 1, '2021-07-19 11:49:27', NULL, NULL), (17504, '', '横山村便民服务室', 'd7c4098e4e664ed9832ada3403e97aec', 'b4ebe7698fe346d39b392a7c49f811b7', 'False', 'True', 'false', 'false', '511321111213', 5, '横山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321111213', 1, '2021-07-19 11:49:27', NULL, NULL), (17505, '', '长盐井村', '21c3b9c7b28b4d25b411f6f164fb07d6', 'b4ebe7698fe346d39b392a7c49f811b7', 'False', 'True', 'false', 'false', '511321225937', 5, '长盐井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321225937', 1, '2021-07-19 11:49:27', NULL, NULL), (17506, '', '白鹤村', '94af6a8d273d47c488f242be62cea2e3', 'b4ebe7698fe346d39b392a7c49f811b7', 'False', 'True', 'false', 'false', '511321112639', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321112639', 1, '2021-07-19 11:49:27', NULL, NULL), (17507, '', '中心场社区', 'aab1cb15addd44fc8d46390623ed67b6', 'b4ebe7698fe346d39b392a7c49f811b7', 'False', 'True', 'false', 'false', '511321112048', 5, '中心场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321112048', 1, '2021-07-19 11:49:27', NULL, NULL), (17508, '', '牌坊村', '9fa74b1c19f84ca08c0f5ec3a2d632be', 'b4ebe7698fe346d39b392a7c49f811b7', 'False', 'True', 'false', 'false', '511321112047', 5, '牌坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321112047', 1, '2021-07-19 11:49:28', NULL, NULL), (17509, '', '红苕店村', '887d7177f17b403ab1e6936fb602ec78', 'b4ebe7698fe346d39b392a7c49f811b7', 'False', 'True', 'false', 'false', '511321112868', 5, '红苕店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321112868', 1, '2021-07-19 11:49:28', NULL, NULL), (17510, '', '长坪镇', '8bda379d1f064abab11d054e74ec1418', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321112000', 4, '长坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321112000', 1, '2021-07-19 11:49:28', NULL, NULL), (17511, '', '黄金垭社区', 'd4b38834ef2d4845954d367f2ca9c5a8', '8bda379d1f064abab11d054e74ec1418', 'False', 'True', 'false', 'false', '511321112001', 5, '黄金垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321112001', 1, '2021-07-19 11:49:28', NULL, NULL), (17512, '', '檬树村', '3b015bdff0274ed6b9ab34799f902396', '8bda379d1f064abab11d054e74ec1418', 'False', 'True', 'false', 'false', '511321112200', 5, '檬树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321112200', 1, '2021-07-19 11:49:28', NULL, NULL), (17513, '', '印山村', '7cf5f807e69541b68645941f11981efd', '8bda379d1f064abab11d054e74ec1418', 'False', 'True', 'false', 'false', '511321112201', 5, '印山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321112201', 1, '2021-07-19 11:49:28', NULL, NULL), (17514, '', '三邑村', 'f45bdef8783545e1b3facfe573f6a3b2', '8bda379d1f064abab11d054e74ec1418', 'False', 'True', 'false', 'false', '511321112202', 5, '三邑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321112202', 1, '2021-07-19 11:49:28', NULL, NULL), (17515, '', '罗寂村', 'b9299a76aeb4431992c2340a678d04e3', '8bda379d1f064abab11d054e74ec1418', 'False', 'True', 'false', 'false', '511321112203', 5, '罗寂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321112203', 1, '2021-07-19 11:49:28', NULL, NULL), (17516, '', '康庄村', 'ea04b9160cb444d5812d0bb623384125', '8bda379d1f064abab11d054e74ec1418', 'False', 'True', 'false', 'false', '511321112204', 5, '康庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321112204', 1, '2021-07-19 11:49:28', NULL, NULL), (17517, '', '元坝村', 'f6ace2f2b0734f2495211713e0e189c4', '8bda379d1f064abab11d054e74ec1418', 'False', 'True', 'false', 'false', '511321112205', 5, '元坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321112205', 1, '2021-07-19 11:49:28', NULL, NULL), (17518, '', '双沟村', 'a619ca965fd045e3b983510d35e1d8c9', '8bda379d1f064abab11d054e74ec1418', 'False', 'True', 'false', 'false', '511321112206', 5, '双沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321112206', 1, '2021-07-19 11:49:28', NULL, NULL), (17519, '', '南垭村', '5879a4313da3496e8d28d9e0119d0e96', '8bda379d1f064abab11d054e74ec1418', 'False', 'True', 'false', 'false', '511321112207', 5, '南垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321112207', 1, '2021-07-19 11:49:28', NULL, NULL), (17520, '', '三清场社区', '4195cb02c78f41949647cf9c1d5afc71', '8bda379d1f064abab11d054e74ec1418', 'False', 'True', 'false', 'false', '511321112208', 5, '三清场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321112208', 1, '2021-07-19 11:49:28', NULL, NULL), (17521, '', '真相村', '8d9b669e7b924923a2bb0405fe4be4e0', '8bda379d1f064abab11d054e74ec1418', 'False', 'True', 'false', 'false', '511321112209', 5, '真相村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321112209', 1, '2021-07-19 11:49:28', NULL, NULL), (17522, '', '东坝镇', '931a418a92c64ffc9a6bed3d9ac5bb89', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'true', 'true', '511321113000', 4, '东坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321113000', 1, '2021-07-19 11:49:28', NULL, NULL), (17523, '', '观音堂村', '153a107734c742b6863f085b800109d8', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321114080', 5, '观音堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321114080', 1, '2021-07-19 11:49:28', NULL, NULL), (17524, '', '向阳街社区', '318ed374e44a45e89bbbbdc4b91a1ed7', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321114102', 5, '向阳街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321114102', 1, '2021-07-19 11:49:28', NULL, NULL), (17525, '', '金陵坝村', '2f9e0b72658b45718c6ab8fc870489bd', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321114302', 5, '金陵坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321114302', 1, '2021-07-19 11:49:29', NULL, NULL), (17526, '', '梅家场社区', '9ea151f596754424b4cb663fe6ed600d', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321114342', 5, '梅家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321114342', 1, '2021-07-19 11:49:29', NULL, NULL), (17527, '', '大乘庵村', '545e0cd96646408f8927787472876aa1', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321114344', 5, '大乘庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321114344', 1, '2021-07-19 11:49:29', NULL, NULL), (17528, '', '大地坝村', '9e487a5b99854772a1fdf17fa788db7d', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321114412', 5, '大地坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321114412', 1, '2021-07-19 11:49:29', NULL, NULL), (17529, '', '窑场街社区', '117d317472a346f78025c87aafcb013f', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321114631', 5, '窑场街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321114631', 1, '2021-07-19 11:49:29', NULL, NULL), (17530, '', '杨家嘴村', '3873a0af06bd4efa92e2fe11820b4878', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321114669', 5, '杨家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321114669', 1, '2021-07-19 11:49:29', NULL, NULL), (17531, '', '碑垭合村', 'acc75087230b4e4fafb259e743ec03ca', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321114857', 5, '碑垭合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321114857', 1, '2021-07-19 11:49:29', NULL, NULL), (17532, '', '罗家井村', '51e07298e2e342da94935f391f4a30f7', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321114933', 5, '罗家井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321114933', 1, '2021-07-19 11:49:29', NULL, NULL), (17533, '', '王家坝村', '12e03760a6a7409cb50c31b89e76c43b', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321114998', 5, '王家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321114998', 1, '2021-07-19 11:49:29', NULL, NULL), (17534, '', '谯周路社区', 'e4c75777beca4006926ad77ab2395abc', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321113002', 5, '谯周社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321113002', 1, '2021-07-19 11:49:29', NULL, NULL), (17535, '', '双桥村', 'bdd3b73b2a1e4ef08152f28fca273bf2', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321113200', 5, '双桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321113200', 1, '2021-07-19 11:49:29', NULL, NULL), (17536, '', '银家湾村', 'd3d21a41d3144e3f9e26dd4e364d4bf6', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321113202', 5, '银家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321113202', 1, '2021-07-19 11:49:29', NULL, NULL), (17537, '', '园坝寺村', '028b1b9f974f43f8808bcc25959df121', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321113208', 5, '园坝寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321113208', 1, '2021-07-19 11:49:29', NULL, NULL), (17538, '', '继龙庙村', 'bae8540e99a64da384d717a0f5a08efd', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321113210', 5, '继龙庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321113210', 1, '2021-07-19 11:49:29', NULL, NULL), (17539, '', '上乘寺村', '3e450795eb93436db30d4c3f562a40c1', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321113213', 5, '上乘寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321113213', 1, '2021-07-19 11:49:29', NULL, NULL), (17540, '', '楼房沟村', '4ca50294f579460faf85c87315fce677', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321113216', 5, '楼房沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321113216', 1, '2021-07-19 11:49:29', NULL, NULL), (17541, '', '打鼓山村', '57328219b53f48d69b1dfd917691eca5', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321113217', 5, '打鼓山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321113217', 1, '2021-07-19 11:49:30', NULL, NULL), (17542, '', '杨家店村', '9511983d1b3d4490b5c6b6b3ee7178b3', '931a418a92c64ffc9a6bed3d9ac5bb89', 'False', 'True', 'false', 'false', '511321113218', 5, '杨家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321113218', 1, '2021-07-19 11:49:30', NULL, NULL), (17543, '', '河坝镇', '3481d5c012a24b45828c5bea2dfc4ab4', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321114000', 4, '河坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321114000', 1, '2021-07-19 11:49:30', NULL, NULL), (17544, '', '园通俺村', '84b60a2f43564b08ad0dd94c714fcd86', '3481d5c012a24b45828c5bea2dfc4ab4', 'False', 'True', 'false', 'false', '511321115083', 5, '园通庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321115083', 1, '2021-07-19 11:49:30', NULL, NULL), (17545, '', '尊圣寺村', 'ba10f1ba7ec94edbb0fcb0e6758cb2bd', '3481d5c012a24b45828c5bea2dfc4ab4', 'False', 'True', 'false', 'false', '511321115089', 5, '尊圣寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321115089', 1, '2021-07-19 11:49:30', NULL, NULL), (17546, '', '新拱桥村', 'e6221ece6fb94e38a1e8e2fd7eb0f1c2', '3481d5c012a24b45828c5bea2dfc4ab4', 'False', 'False', 'false', 'false', '511321115440', 5, '新拱桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321115440', 1, '2021-07-19 11:49:30', NULL, NULL), (17547, '', '海塘井村', 'ffcca62d604d490dabd74dc886e8aeba', '3481d5c012a24b45828c5bea2dfc4ab4', 'False', 'True', 'false', 'false', '511321115484', 5, '海塘井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321115484', 1, '2021-07-19 11:49:30', NULL, NULL), (17548, '', '慈音庵社区', '9f39dfdb251c4d7a8c36d0b150f33475', '3481d5c012a24b45828c5bea2dfc4ab4', 'False', 'True', 'false', 'false', '511321114001', 5, '慈音庵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321114001', 1, '2021-07-19 11:49:30', NULL, NULL), (17549, '', '新拱桥村', 'e31b728fa4ef4910ac283eb2c01f0e74', '3481d5c012a24b45828c5bea2dfc4ab4', 'False', 'True', 'false', 'false', '511321114215', 5, '新拱桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321114215', 1, '2021-07-19 11:49:30', NULL, NULL), (17550, '', '大石岩村', '3bdd28c5aea24cbbbb9dd506fd033fb1', '3481d5c012a24b45828c5bea2dfc4ab4', 'False', 'True', 'false', 'false', '511321115381', 5, '大石岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321115381', 1, '2021-07-19 11:49:30', NULL, NULL), (17551, '', '龙庙场村', 'e73275dc2dc448e8a746b153c6d03a5b', '3481d5c012a24b45828c5bea2dfc4ab4', 'False', 'True', 'false', 'false', '511321115765', 5, '龙庙场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321115765', 1, '2021-07-19 11:49:30', NULL, NULL), (17552, '', '小李沟村', 'c837c45c49454c49adcb753161d54e12', '3481d5c012a24b45828c5bea2dfc4ab4', 'False', 'True', 'false', 'false', '511321115979', 5, '小李沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321115979', 1, '2021-07-19 11:49:30', NULL, NULL), (17553, '', '定水镇', '6961204565a844f28551f671c52d53fe', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321115000', 4, '定水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321115000', 1, '2021-07-19 11:49:30', NULL, NULL), (17554, '', '两河街社区', '67c1bd300d1542adac790afb90178bb0', '6961204565a844f28551f671c52d53fe', 'False', 'False', 'false', 'false', '511321116229', 5, '两河街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321116229', 1, '2021-07-19 11:49:30', NULL, NULL), (17555, '', '园山子村', 'a361bb74037141d68447739145d43546', '6961204565a844f28551f671c52d53fe', 'False', 'False', 'false', 'false', '511321116483', 5, '园山子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321116483', 1, '2021-07-19 11:49:30', NULL, NULL), (17556, '', '凿子坝村', '13c41350f1784b47bd1bf563fc4b152d', '6961204565a844f28551f671c52d53fe', 'False', 'False', 'false', 'false', '511321116508', 5, '凿子坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321116508', 1, '2021-07-19 11:49:30', NULL, NULL), (17557, '', '张家店村', 'ea344425f5044aaf8e844488c7537f59', '6961204565a844f28551f671c52d53fe', 'False', 'False', 'false', 'false', '511321116611', 5, '张家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321116611', 1, '2021-07-19 11:49:30', NULL, NULL), (17558, '', '兴隆场社区', '2698423fa8434cb1b78d2a27a586752f', '6961204565a844f28551f671c52d53fe', 'False', 'False', 'false', 'false', '511321116653', 5, '兴隆场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321116653', 1, '2021-07-19 11:49:30', NULL, NULL), (17559, '', '柏垭观村', '7f1d84b271c94648ae63772d7e9d9301', '6961204565a844f28551f671c52d53fe', 'False', 'False', 'false', 'false', '511321116813', 5, '柏垭观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321116813', 1, '2021-07-19 11:49:30', NULL, NULL), (17560, '', '凤台场村', '98ecc0a742744092b3a98ee93657945a', '6961204565a844f28551f671c52d53fe', 'False', 'False', 'false', 'false', '511321116931', 5, '凤台场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321116931', 1, '2021-07-19 11:49:30', NULL, NULL), (17561, '', '二龙场村', 'f4fa8cbb6c424a98bd6f9e655a9fbf63', '6961204565a844f28551f671c52d53fe', 'False', 'False', 'false', 'false', '511321116949', 5, '二龙场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321116949', 1, '2021-07-19 11:49:31', NULL, NULL), (17562, '', '西河街社区', '6c764ecd987c471f9686dfe6ffafa162', '6961204565a844f28551f671c52d53fe', 'False', 'True', 'false', 'false', '511321115001', 5, '西河街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321115001', 1, '2021-07-19 11:49:31', NULL, NULL), (17563, '', '两河社区', 'f5859b3271624f2ca69d0c31cddf9c7d', '6961204565a844f28551f671c52d53fe', 'False', 'True', 'false', 'false', '511321115002', 5, '两河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321115002', 1, '2021-07-19 11:49:31', NULL, NULL), (17564, '', '谢家垭村', '3d34cc43260d4a748e4e0a6945a73edc', '6961204565a844f28551f671c52d53fe', 'False', 'True', 'false', 'false', '511321115201', 5, '谢家垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321115201', 1, '2021-07-19 11:49:31', NULL, NULL), (17565, '', '庙子山村', 'd5d2822e833743eeaa8806b43c92e3c0', '6961204565a844f28551f671c52d53fe', 'False', 'True', 'false', 'false', '511321115202', 5, '庙子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321115202', 1, '2021-07-19 11:49:31', NULL, NULL), (17566, '', '五房坝村', 'c93969db06474bfbac3612ad6500aff9', '6961204565a844f28551f671c52d53fe', 'False', 'True', 'false', 'false', '511321115204', 5, '五房坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321115204', 1, '2021-07-19 11:49:31', NULL, NULL), (17567, '', '高观村', 'f6b9ab8ada9e4ba4b13bbd06ec642187', '6961204565a844f28551f671c52d53fe', 'False', 'True', 'false', 'false', '511321115209', 5, '高观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321115209', 1, '2021-07-19 11:49:31', NULL, NULL), (17568, '', '徐家桥村', '222dc2295e74444ca46b8024d8ddc5e6', '6961204565a844f28551f671c52d53fe', 'False', 'True', 'false', 'false', '511321115212', 5, '徐家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321115212', 1, '2021-07-19 11:49:31', NULL, NULL), (17569, '', '九洞磨村', 'a0bba0e066d3451193056dabefe3bb71', '6961204565a844f28551f671c52d53fe', 'False', 'True', 'false', 'false', '511321115213', 5, '九洞磨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321115213', 1, '2021-07-19 11:49:31', NULL, NULL), (17570, '', '路边井村', '29212a6ad5c746a983b05782ec71e024', '6961204565a844f28551f671c52d53fe', 'False', 'True', 'false', 'false', '511321115214', 5, '路边井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321115214', 1, '2021-07-19 11:49:31', NULL, NULL), (17571, '', '周垭口村', '60d1b81cfbc74750b22d2ec20492e17f', '6961204565a844f28551f671c52d53fe', 'False', 'True', 'false', 'false', '511321115216', 5, '周垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321115216', 1, '2021-07-19 11:49:31', NULL, NULL), (17572, '', '双河村', '378145b84d77477483eea0b9e5104267', '6961204565a844f28551f671c52d53fe', 'False', 'True', 'false', 'false', '511321115222', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321115222', 1, '2021-07-19 11:49:31', NULL, NULL), (17573, '', '大王镇', 'd5459f7fd73e46e4864f25ecc06463de', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321116000', 4, '大王镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321116000', 1, '2021-07-19 11:49:31', NULL, NULL), (17574, '', '南阳庙村', '072cfa19652e4280a0957fb95f75e21e', 'd5459f7fd73e46e4864f25ecc06463de', 'False', 'True', 'false', 'false', '511321116414', 5, '南阳庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321116414', 1, '2021-07-19 11:49:31', NULL, NULL), (17575, '', '太华场村', 'ec1eb1f27ae443278d8aaf5cbe6ee38a', 'd5459f7fd73e46e4864f25ecc06463de', 'False', 'True', 'false', 'false', '511321116722', 5, '太华场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321116722', 1, '2021-07-19 11:49:31', NULL, NULL), (17576, '', '油坊湾村', '1ef818bde8f940ad9197cb6d0e3f400e', 'd5459f7fd73e46e4864f25ecc06463de', 'False', 'True', 'false', 'false', '511321116934', 5, '油坊湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321116934', 1, '2021-07-19 11:49:31', NULL, NULL), (17577, '', '宝马街社区', 'c17a087f465b4c388528f30f42214098', 'd5459f7fd73e46e4864f25ecc06463de', 'False', 'True', 'false', 'false', '511321116001', 5, '宝马街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321116001', 1, '2021-07-19 11:49:32', NULL, NULL), (17578, '', '宝灵山村', 'a768de55980f4e729b8b0587de8668ed', 'd5459f7fd73e46e4864f25ecc06463de', 'False', 'True', 'false', 'false', '511321116201', 5, '宝灵山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321116201', 1, '2021-07-19 11:49:32', NULL, NULL), (17579, '', '袁家祠村', 'd1f9f982e6184aa1ae5ca563dff28076', 'd5459f7fd73e46e4864f25ecc06463de', 'False', 'True', 'false', 'false', '511321116203', 5, '袁家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321116203', 1, '2021-07-19 11:49:32', NULL, NULL), (17580, '', '郑家垭村', '97f4b70333294bdd93c611c8991ec8af', 'd5459f7fd73e46e4864f25ecc06463de', 'False', 'True', 'false', 'false', '511321116206', 5, '郑家垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321116206', 1, '2021-07-19 11:49:32', NULL, NULL), (17581, '', '羊角山村', 'e84a514526d548e2ba6fa3027b2dc612', 'd5459f7fd73e46e4864f25ecc06463de', 'False', 'True', 'false', 'false', '511321116210', 5, '羊角山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321116210', 1, '2021-07-19 11:49:32', NULL, NULL), (17582, '', '金子山村', '3a60c267df1a4c9d9b3d1f32e2a0b1b8', 'd5459f7fd73e46e4864f25ecc06463de', 'False', 'True', 'false', 'false', '511321116211', 5, '金子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321116211', 1, '2021-07-19 11:49:32', NULL, NULL), (17583, '', '板桥寺村', 'd77543ca07f84d4b9e5d23852aa5dce0', 'd5459f7fd73e46e4864f25ecc06463de', 'False', 'True', 'false', 'false', '511321116259', 5, '板桥寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321116259', 1, '2021-07-19 11:49:32', NULL, NULL), (17584, '', '黄金镇', '74cce34c01d64646996fd2a633844164', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321117000', 4, '黄金镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321117000', 1, '2021-07-19 11:49:32', NULL, NULL), (17585, '', '盐井湾村', '84a6cfb664a74a81b7a6ef8c30136e08', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117200', 5, '盐井湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117200', 1, '2021-07-19 11:49:32', NULL, NULL), (17586, '', '青土垭村', '11f62b49237e43bab2614ab88e0e8b32', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117201', 5, '青土垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117201', 1, '2021-07-19 11:49:32', NULL, NULL), (17587, '', '谢家坪村', '3802eefbdf1f4760844065b8737bb014', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117202', 5, '谢家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117202', 1, '2021-07-19 11:49:32', NULL, NULL), (17588, '', '姚家庙村', '47255091f9654b1ca2ee5c9eea7b0e35', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117203', 5, '姚家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117203', 1, '2021-07-19 11:49:32', NULL, NULL), (17589, '', '黄家庙村', '6ccf5597072a4a5fa95a0034bfcb386c', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117204', 5, '黄家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117204', 1, '2021-07-19 11:49:32', NULL, NULL), (17590, '', '广水井村', '4dfd5f66aadb45538354a00b69f14603', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117205', 5, '广水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117205', 1, '2021-07-19 11:49:32', NULL, NULL), (17591, '', '柏子垭村', '3df5d295d8eb4ca6b343ff8a1b7f26df', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117206', 5, '柏子垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117206', 1, '2021-07-19 11:49:32', NULL, NULL), (17592, '', '南天洞村', 'a3d8e86da09d463e8877a11cad96cb87', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117207', 5, '南天洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117207', 1, '2021-07-19 11:49:33', NULL, NULL), (17593, '', '仓湾沟村', '8192dc3ae2a34ed3b658cefa1302273f', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117208', 5, '仓湾沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117208', 1, '2021-07-19 11:49:33', NULL, NULL), (17594, '', '雍庆寺村', 'bcce59bef3044f8099dec52ad0f87001', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117209', 5, '雍庆寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117209', 1, '2021-07-19 11:49:33', NULL, NULL), (17595, '', '天星寨村', '694143580f6544b690c94cdcad963a70', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117210', 5, '天星寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117210', 1, '2021-07-19 11:49:33', NULL, NULL), (17596, '', '丁家庵村', '71bd5ee0509b491ba4d8a1ca96e0b2f9', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117211', 5, '丁家庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117211', 1, '2021-07-19 11:49:33', NULL, NULL), (17597, '', '万家湾村', '917af4306fe540168f2594b35dded614', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117212', 5, '万家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117212', 1, '2021-07-19 11:49:33', NULL, NULL), (17598, '', '榨房沟村', 'f922c54ad8334f21b91ddecc63786605', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117213', 5, '榨房沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117213', 1, '2021-07-19 11:49:33', NULL, NULL), (17599, '', '吉庆寺村', 'fbe484f1405d4a9291ef3a643a73e0f2', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117214', 5, '吉庆寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117214', 1, '2021-07-19 11:49:33', NULL, NULL), (17600, '', '塔山村', '7b1f6deda2634d14a0dbb586d72100da', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117215', 5, '塔山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117215', 1, '2021-07-19 11:49:33', NULL, NULL), (17601, '', '老观嘴村', '9c72f743d9274ac8ae56b8ae59edbb6f', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117216', 5, '老观嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117216', 1, '2021-07-19 11:49:33', NULL, NULL), (17602, '', '水音村', '022e761531434b1285ce0f7194d2f7aa', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117217', 5, '水音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117217', 1, '2021-07-19 11:49:33', NULL, NULL), (17603, '', '陈桥村', 'f09d2b3f8a6b45069bbe2484f09fc030', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117218', 5, '陈桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117218', 1, '2021-07-19 11:49:33', NULL, NULL), (17604, '', '大湾村', '7340d3327b084048bcceaccc7be9ae60', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117219', 5, '大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117219', 1, '2021-07-19 11:49:33', NULL, NULL), (17605, '', '高垭村', 'ae29d43053ae4e198da55281285389bb', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117220', 5, '高垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117220', 1, '2021-07-19 11:49:33', NULL, NULL), (17606, '', '长岭村', '4c4ea5cce86949908d7d0560af31fabf', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117221', 5, '长岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117221', 1, '2021-07-19 11:49:33', NULL, NULL), (17607, '', '缺垭村', '4f3f8692b52744d7b010976994b4207a', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117222', 5, '缺垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117222', 1, '2021-07-19 11:49:33', NULL, NULL), (17608, '', '桥坝村', '9b600ed6126e4abfa3503b0130435466', '74cce34c01d64646996fd2a633844164', 'False', 'True', 'false', 'false', '511321117223', 5, '桥坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321117223', 1, '2021-07-19 11:49:33', NULL, NULL), (17609, '', '流马镇', '6db6ce34e57e4254ae59bc6bf978bcf3', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321118000', 4, '流马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321118000', 1, '2021-07-19 11:49:33', NULL, NULL), (17610, '', '四龙场社区', '6c22454c90454cbda6531fdfe4894312', '6db6ce34e57e4254ae59bc6bf978bcf3', 'False', 'True', 'false', 'false', '511321118717', 5, '四龙场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321118717', 1, '2021-07-19 11:49:33', NULL, NULL), (17611, '', '黑龙观村', '0b909510e750431abd4725076098a251', '6db6ce34e57e4254ae59bc6bf978bcf3', 'False', 'True', 'false', 'false', '511321118825', 5, '黑龙观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321118825', 1, '2021-07-19 11:49:33', NULL, NULL), (17612, '', '胤龙庵村', 'aafbdd2ef3fc4fce935b5356e6e1af06', '6db6ce34e57e4254ae59bc6bf978bcf3', 'False', 'True', 'false', 'false', '511321118954', 5, '胤龙庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321118954', 1, '2021-07-19 11:49:34', NULL, NULL), (17613, '', '板凳垭村', '5d701bf9596f40f1911b6729e4375a69', '6db6ce34e57e4254ae59bc6bf978bcf3', 'False', 'True', 'false', 'false', '511321119622', 5, '板凳垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119622', 1, '2021-07-19 11:49:34', NULL, NULL), (17614, '', '文庙社区', 'a0c10b815ca74bc2ba4eb3ab011736af', '6db6ce34e57e4254ae59bc6bf978bcf3', 'False', 'True', 'false', 'false', '511321118001', 5, '文庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321118001', 1, '2021-07-19 11:49:34', NULL, NULL), (17615, '', '普利寺村', 'd285a0a4249344c483faf2af67346aea', '6db6ce34e57e4254ae59bc6bf978bcf3', 'False', 'True', 'false', 'false', '511321118202', 5, '普利寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321118202', 1, '2021-07-19 11:49:34', NULL, NULL), (17616, '', '永兴庵村', 'c49d3106de12420eae3821465ba919a5', '6db6ce34e57e4254ae59bc6bf978bcf3', 'False', 'True', 'false', 'false', '511321118206', 5, '永兴庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321118206', 1, '2021-07-19 11:49:34', NULL, NULL), (17617, '', '青龙嘴村', 'bdf2de94202e4b5ba2643a131c5927c4', '6db6ce34e57e4254ae59bc6bf978bcf3', 'False', 'True', 'false', 'false', '511321118208', 5, '青龙嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321118208', 1, '2021-07-19 11:49:34', NULL, NULL), (17618, '', '狮子口村', '8419e61b765c4ae2a1fb7a9726a812be', '6db6ce34e57e4254ae59bc6bf978bcf3', 'False', 'True', 'false', 'false', '511321118210', 5, '狮子口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321118210', 1, '2021-07-19 11:49:34', NULL, NULL), (17619, '', '谢家庵村', '379d6843c24a447da24adcfd55c8f53d', '6db6ce34e57e4254ae59bc6bf978bcf3', 'False', 'True', 'false', 'false', '511321118212', 5, '谢家庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321118212', 1, '2021-07-19 11:49:34', NULL, NULL), (17620, '', '南岳庙村', '7e63c64883f74470ad47a393ad519862', '6db6ce34e57e4254ae59bc6bf978bcf3', 'False', 'True', 'false', 'false', '511321118502', 5, '南岳庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321118502', 1, '2021-07-19 11:49:34', NULL, NULL), (17621, '', '建兴镇', '1b756b2a38884081b2c4a79d94d69d46', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'true', 'true', '511321119000', 4, '建兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321119000', 1, '2021-07-19 11:49:34', NULL, NULL), (17622, '', '佛祖沟村', '0e1176b9751045b09e5626509c125d63', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119432', 5, '佛祖沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119432', 1, '2021-07-19 11:49:34', NULL, NULL), (17623, '', '建兴镇碾垭代办站', '3d5a3dc067124af2b101785d0ec2a2c5', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321120689', 5, '建兴镇碾垭代办站', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321120689', 1, '2021-07-19 11:49:34', NULL, NULL), (17624, '', '陈家嘴社区', '1792a020c45940faba74338a7c521d36', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119200', 5, '陈家嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119200', 1, '2021-07-19 11:49:34', NULL, NULL), (17625, '', '黄家祠社区', 'ea4043baf410454f9eb209e6ed8bb55a', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119203', 5, '黄家祠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119203', 1, '2021-07-19 11:49:34', NULL, NULL), (17626, '', '园子坝社区', 'afafabd3910148a6bcf0e3f3c0c93919', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119204', 5, '园子坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119204', 1, '2021-07-19 11:49:34', NULL, NULL), (17627, '', '马家垭村', '776bbe9ff27a48ba8456f2c9f65f8d94', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119206', 5, '马家垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119206', 1, '2021-07-19 11:49:34', NULL, NULL), (17628, '', '杨家湾村', '4b1376c429ca45888b9f53e84b1aca2d', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119208', 5, '杨家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119208', 1, '2021-07-19 11:49:34', NULL, NULL), (17629, '', '包包桥村', '924c368b9e0447349c1b140ba917a765', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119209', 5, '包包桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119209', 1, '2021-07-19 11:49:34', NULL, NULL), (17630, '', '付家庙村', '2ca3de0dc5464370aee1a49c20a027bc', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119210', 5, '付家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119210', 1, '2021-07-19 11:49:34', NULL, NULL), (17631, '', '蒲家坪村', 'c0cbece0baf74b6c9603cb72204aa103', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119212', 5, '蒲家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119212', 1, '2021-07-19 11:49:34', NULL, NULL), (17632, '', '义丰场村', 'c0cf5966c7f049bfa2c4d51b8cc2c567', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119214', 5, '义丰场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119214', 1, '2021-07-19 11:49:34', NULL, NULL), (17633, '', '二教寺村', 'ff30d89399434b8d959f5f518fcaf50f', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119216', 5, '二教寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119216', 1, '2021-07-19 11:49:34', NULL, NULL), (17634, '', '卫家坪村', 'c5562409a5d547738bfc063cb17aac2d', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119217', 5, '卫家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119217', 1, '2021-07-19 11:49:35', NULL, NULL), (17635, '', '向家坪村', 'b87513216a3c4e5089155a66f7f4d279', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119221', 5, '向家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119221', 1, '2021-07-19 11:49:35', NULL, NULL), (17636, '', '碾垭场社区', '9d9d3933ab3e4a96aab5a172f3836a68', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119225', 5, '碾垭场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119225', 1, '2021-07-19 11:49:35', NULL, NULL), (17637, '', '洞洞山村', 'dcb263b3bb2248f9807f77faffe3ac21', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119226', 5, '洞洞山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119226', 1, '2021-07-19 11:49:35', NULL, NULL), (17638, '', '龙池寺村', '7b00ec2ff1f341f194bdd4d5d875ff61', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119229', 5, '龙池寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119229', 1, '2021-07-19 11:49:35', NULL, NULL), (17639, '', '老城社区', 'b2535cb667a649ea89056b31ec496680', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119230', 5, '老城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119230', 1, '2021-07-19 11:49:35', NULL, NULL), (17640, '', '回龙庵村', '10a94b454fb44701a575432807ec3fad', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119231', 5, '回龙庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119231', 1, '2021-07-19 11:49:35', NULL, NULL), (17641, '', '马头庙村', '90f1216e98fc4ba5b860cf8c6ca70355', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119235', 5, '马头庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119235', 1, '2021-07-19 11:49:35', NULL, NULL), (17642, '', '龙凤场村', 'b0db377b0c594dcdb6697919d0f38426', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119237', 5, '龙凤场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119237', 1, '2021-07-19 11:49:35', NULL, NULL), (17643, '', '中和井村', 'ee7db308d5f642f7a9201a439a966e98', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119238', 5, '中和井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119238', 1, '2021-07-19 11:49:35', NULL, NULL), (17644, '', '刘三坝村', '609235aebd7a4eef9951656389954c88', '1b756b2a38884081b2c4a79d94d69d46', 'False', 'True', 'false', 'false', '511321119239', 5, '刘三坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321119239', 1, '2021-07-19 11:49:35', NULL, NULL), (17645, '', '三官镇', '348ffcaeb934499db48364b7ccb18e37', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'true', 'true', '511321120000', 4, '三官镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321120000', 1, '2021-07-19 11:49:35', NULL, NULL), (17646, '', '宝马寺村', '6442c1a1522743baa714f84f18dcc615', '348ffcaeb934499db48364b7ccb18e37', 'False', 'True', 'false', 'false', '511321120200', 5, '宝马寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321120200', 1, '2021-07-19 11:49:35', NULL, NULL), (17647, '', '金宝山村', '160ca6c6e72f409e9b2373df516a0967', '348ffcaeb934499db48364b7ccb18e37', 'False', 'True', 'false', 'false', '511321120201', 5, '金宝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321120201', 1, '2021-07-19 11:49:35', NULL, NULL), (17648, '', '亭子沟村', 'd5b5dffa61914d6a85ebfa003773b155', '348ffcaeb934499db48364b7ccb18e37', 'False', 'True', 'false', 'false', '511321120202', 5, '亭子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321120202', 1, '2021-07-19 11:49:35', NULL, NULL), (17649, '', '保福庵村', 'e708dfc186ac46fb93859a83c8cbeeac', '348ffcaeb934499db48364b7ccb18e37', 'False', 'True', 'false', 'false', '511321120205', 5, '保福庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321120205', 1, '2021-07-19 11:49:35', NULL, NULL), (17650, '', '兰家沟村', '934ba9d900d04960ad9efe8085e9d519', '348ffcaeb934499db48364b7ccb18e37', 'False', 'True', 'false', 'false', '511321120210', 5, '兰家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321120210', 1, '2021-07-19 11:49:35', NULL, NULL), (17651, '', '太和庵村', '1e5552f03b2541e3b84ec93ffabbffe4', '348ffcaeb934499db48364b7ccb18e37', 'False', 'True', 'false', 'false', '511321120212', 5, '太和庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321120212', 1, '2021-07-19 11:49:35', NULL, NULL), (17652, '', '朱家梁村', 'd4b36689ea374de8b1ea74cf08945cee', '348ffcaeb934499db48364b7ccb18e37', 'False', 'True', 'false', 'false', '511321120216', 5, '朱家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321120216', 1, '2021-07-19 11:49:35', NULL, NULL), (17653, '', '灵宝山村', 'a1547b55a82545a9954f972bc8c16910', '348ffcaeb934499db48364b7ccb18e37', 'False', 'False', 'false', 'false', '511321120217', 5, '灵宝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321120217', 1, '2021-07-19 11:49:35', NULL, NULL), (17654, '', '白子沟村', '354a79e14d62418ba9b758a4a7319608', '348ffcaeb934499db48364b7ccb18e37', 'False', 'False', 'false', 'false', '511321120219', 5, '白子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321120219', 1, '2021-07-19 11:49:36', NULL, NULL), (17655, '', '伏虎镇', '0de60cdfe2b048a9aa448cb64f1962d8', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321121000', 4, '伏虎镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321121000', 1, '2021-07-19 11:49:36', NULL, NULL), (17656, '', '千秋场社区', '30cf3e1bf94c473395355ea4dc377b36', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321121353', 5, '千秋场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321121353', 1, '2021-07-19 11:49:36', NULL, NULL), (17657, '', '杨柳村', 'b2dea417fcfe49f8a629621933060919', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321122054', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321122054', 1, '2021-07-19 11:49:36', NULL, NULL), (17658, '', '凤阳寺村', 'b112b942cee24a488babc71af0a095ee', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321122055', 5, '凤阳寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321122055', 1, '2021-07-19 11:49:36', NULL, NULL), (17659, '', '大力寨村', '34b241edc6bc4f20b668376e01bf2b22', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321122389', 5, '大力寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321122389', 1, '2021-07-19 11:49:36', NULL, NULL), (17660, '', '王家桥村', '567b8f078cca48eb8e1e31fd8b911e84', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321122431', 5, '王家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321122431', 1, '2021-07-19 11:49:36', NULL, NULL), (17661, '', '正觉寺村', 'd7b7da52639043b88ca0757a8abebabc', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321122455', 5, '正觉寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321122455', 1, '2021-07-19 11:49:36', NULL, NULL), (17662, '', '玉镇场社区', 'b72cc852469944f7b97bfcd2726be601', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321122757', 5, '玉镇场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321122757', 1, '2021-07-19 11:49:36', NULL, NULL), (17663, '', '明珠社区', 'df7c81cceb0f4194add8c473d7dc8168', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321121001', 5, '明珠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321121001', 1, '2021-07-19 11:49:36', NULL, NULL), (17664, '', '灶王庙社区', 'ddd6e55d72db4108af9bcf7c9a30d20d', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321121004', 5, '灶王庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321121004', 1, '2021-07-19 11:49:36', NULL, NULL), (17665, '', '徐家坝社区', 'e79a0e05321a4eaab0b1f3f7cdeb27ed', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321121200', 5, '徐家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321121200', 1, '2021-07-19 11:49:36', NULL, NULL), (17666, '', '蚕子山村', '2e89f1e3a6e6444ca3b8c78b32164976', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321121201', 5, '蚕子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321121201', 1, '2021-07-19 11:49:36', NULL, NULL), (17667, '', '袁家岩村', '8003a7ec921f48a18b471f58e0074c19', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321121203', 5, '袁家岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321121203', 1, '2021-07-19 11:49:36', NULL, NULL), (17668, '', '刘家沟社区', 'e5c2acc7ea8d4920b9b161e3daba47e9', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321121205', 5, '刘家沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321121205', 1, '2021-07-19 11:49:36', NULL, NULL), (17669, '', '柿儿垭村', '6402dd0f862f4d338ad7b42fdad17f1d', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321121208', 5, '柿儿垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321121208', 1, '2021-07-19 11:49:36', NULL, NULL), (17670, '', '麻石嘴社区', '10517149ce2e467592de9c41f794a844', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321121211', 5, '麻石嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321121211', 1, '2021-07-19 11:49:37', NULL, NULL), (17671, '', '贾岭岗村', '0a60e57d11334eeeb74b29296d66ec73', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321121213', 5, '贾岭岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321121213', 1, '2021-07-19 11:49:37', NULL, NULL), (17672, '', '镇江庙村', 'a966e280a4cb4811927dec3e2bb857bb', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321121215', 5, '镇江庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321121215', 1, '2021-07-19 11:49:37', NULL, NULL), (17673, '', '书房垭村', 'ff3dfd08f1e846eda1492e1b849450fd', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321121216', 5, '书房垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321121216', 1, '2021-07-19 11:49:37', NULL, NULL), (17674, '', '凤台观村', 'b6af1bbc234547ba9f55f1944a38fe67', '0de60cdfe2b048a9aa448cb64f1962d8', 'False', 'True', 'false', 'false', '511321122626', 5, '凤台观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321122626', 1, '2021-07-19 11:49:37', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (17675, '', '双佛镇', '3e474fe5982948ac9af538abe691c02f', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321122000', 4, '双佛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321122000', 1, '2021-07-19 11:49:37', NULL, NULL), (17676, '', '东秋林村', '70e5bae7011a4ed780888f7df2861337', '3e474fe5982948ac9af538abe691c02f', 'False', 'True', 'false', 'false', '511321122201', 5, '东秋林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321122201', 1, '2021-07-19 11:49:37', NULL, NULL), (17677, '', '昌国寺村', 'f3e57025bc6647ce932c7986142ccbbf', '3e474fe5982948ac9af538abe691c02f', 'False', 'True', 'false', 'false', '511321122204', 5, '昌国寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321122204', 1, '2021-07-19 11:49:37', NULL, NULL), (17678, '', '新田坝村', '4bbcab04f7ef48d1988c440f95cc46cf', '3e474fe5982948ac9af538abe691c02f', 'False', 'True', 'false', 'false', '511321122207', 5, '新田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321122207', 1, '2021-07-19 11:49:37', NULL, NULL), (17679, '', '赵家嘴村', '1bdf6e3e1cc74480bd7ec592cedda5b8', '3e474fe5982948ac9af538abe691c02f', 'False', 'True', 'false', 'false', '511321122208', 5, '赵家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321122208', 1, '2021-07-19 11:49:37', NULL, NULL), (17680, '', '西山坝村', '819254d484a84195805cacabc51820d9', '3e474fe5982948ac9af538abe691c02f', 'False', 'True', 'false', 'false', '511321122210', 5, '西山坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321122210', 1, '2021-07-19 11:49:37', NULL, NULL), (17681, '', '回龙宫村', '706534d50e754f97877321f50c1daf69', '3e474fe5982948ac9af538abe691c02f', 'False', 'True', 'false', 'false', '511321122212', 5, '回龙宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321122212', 1, '2021-07-19 11:49:37', NULL, NULL), (17682, '', '花罐镇', 'fc11ae136e29471297d7eb9bbd5932d9', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321123000', 4, '花罐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321123000', 1, '2021-07-19 11:49:37', NULL, NULL), (17683, '', '雨台山社区', '69a964f4c0ef4f1dbceaf6c24edcfb4d', 'fc11ae136e29471297d7eb9bbd5932d9', 'False', 'True', 'false', 'false', '511321123001', 5, '雨台山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321123001', 1, '2021-07-19 11:49:37', NULL, NULL), (17684, '', '柴氏祠村', '35e4d845c79d4f63ba42c4a9bb3d6de2', 'fc11ae136e29471297d7eb9bbd5932d9', 'False', 'True', 'false', 'false', '511321123200', 5, '柴氏祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321123200', 1, '2021-07-19 11:49:37', NULL, NULL), (17685, '', '马家湾村', '0d36f854c6d7485fa3b5d525ebab1827', 'fc11ae136e29471297d7eb9bbd5932d9', 'False', 'True', 'false', 'false', '511321123201', 5, '马家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321123201', 1, '2021-07-19 11:49:37', NULL, NULL), (17686, '', '小分庙村', '7aa7719b15274d35a910535da72520a8', 'fc11ae136e29471297d7eb9bbd5932d9', 'False', 'True', 'false', 'false', '511321123202', 5, '小分庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321123202', 1, '2021-07-19 11:49:37', NULL, NULL), (17687, '', '冯家岩村', '4c1ce28e3de64f01a43c99e66f354bcc', 'fc11ae136e29471297d7eb9bbd5932d9', 'False', 'True', 'false', 'false', '511321123204', 5, '冯家岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321123204', 1, '2021-07-19 11:49:38', NULL, NULL), (17688, '', '梁家坝村', '2ee4f4e961104b5f9f8a60a57febc918', 'fc11ae136e29471297d7eb9bbd5932d9', 'False', 'True', 'false', 'false', '511321123205', 5, '梁家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321123205', 1, '2021-07-19 11:49:38', NULL, NULL), (17689, '', '凡水寺村', 'f83f1d5689bc4c5aabf816bcb639e829', 'fc11ae136e29471297d7eb9bbd5932d9', 'False', 'True', 'false', 'false', '511321123208', 5, '凡水寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321123208', 1, '2021-07-19 11:49:38', NULL, NULL), (17690, '', '桅杆坝村', '0287b0215698474da2ba83c2344f3174', 'fc11ae136e29471297d7eb9bbd5932d9', 'False', 'True', 'false', 'false', '511321123210', 5, '桅杆坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321123210', 1, '2021-07-19 11:49:38', NULL, NULL), (17691, '', '火石坪村', '27f797bb93b44104bb6780b488b082cf', 'fc11ae136e29471297d7eb9bbd5932d9', 'False', 'True', 'false', 'false', '511321123211', 5, '火石坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321123211', 1, '2021-07-19 11:49:38', NULL, NULL), (17692, '', '柳驿场社区', '1d5376e7598c4b5bb015557492057a63', 'fc11ae136e29471297d7eb9bbd5932d9', 'False', 'True', 'false', 'false', '511321123212', 5, '柳驿场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321123212', 1, '2021-07-19 11:49:38', NULL, NULL), (17693, '', '曲家桥村', 'cbb9546243774c8490e887f8bc12ab75', 'fc11ae136e29471297d7eb9bbd5932d9', 'False', 'True', 'false', 'false', '511321123213', 5, '曲家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321123213', 1, '2021-07-19 11:49:38', NULL, NULL), (17694, '', '福寿亭村', '1a4ce635a82246bfa33abac073647c4c', 'fc11ae136e29471297d7eb9bbd5932d9', 'False', 'True', 'false', 'false', '511321123214', 5, '福寿亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321123214', 1, '2021-07-19 11:49:38', NULL, NULL), (17695, '', '大桥镇', 'd4744bea01164fbe8cc2bf2b6421693c', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321124000', 4, '大桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321124000', 1, '2021-07-19 11:49:38', NULL, NULL), (17696, '', '松林村', '1096e47f270a42b89e55efb84607dbd7', 'd4744bea01164fbe8cc2bf2b6421693c', 'False', 'True', 'false', 'false', '511321124142', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321124142', 1, '2021-07-19 11:49:38', NULL, NULL), (17697, '', '石泉场村', 'ca3f83a09c36463f8fe3797c3f726995', 'd4744bea01164fbe8cc2bf2b6421693c', 'False', 'True', 'false', 'false', '511321124345', 5, '石泉场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321124345', 1, '2021-07-19 11:49:38', NULL, NULL), (17698, '', '府君村', 'b33e5dd3f7294bd5b99dea03d2204469', 'd4744bea01164fbe8cc2bf2b6421693c', 'False', 'True', 'false', 'false', '511321124432', 5, '府君村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321124432', 1, '2021-07-19 11:49:38', NULL, NULL), (17699, '', '金仙村', 'd60eb8da54b1475db9a94dc33897572b', 'd4744bea01164fbe8cc2bf2b6421693c', 'False', 'True', 'false', 'false', '511321124621', 5, '金仙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321124621', 1, '2021-07-19 11:49:38', NULL, NULL), (17700, '', '龙骨村', 'ec68b8d2a6f24e3b991f20460e3a18eb', 'd4744bea01164fbe8cc2bf2b6421693c', 'False', 'True', 'false', 'false', '511321124801', 5, '龙骨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321124801', 1, '2021-07-19 11:49:38', NULL, NULL), (17701, '', '袁家村', '0c99ad79de8843268297de4556ab1340', 'd4744bea01164fbe8cc2bf2b6421693c', 'False', 'True', 'false', 'false', '511321124820', 5, '袁家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321124820', 1, '2021-07-19 11:49:38', NULL, NULL), (17702, '', '杜家井', 'a196fb6c94be4a2b8a279107089015c9', 'd4744bea01164fbe8cc2bf2b6421693c', 'False', 'True', 'false', 'false', '511321124876', 5, '杜家井', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321124876', 1, '2021-07-19 11:49:38', NULL, NULL), (17703, '', '新井社区', '17581ec76a2b4b0abffeab9b2db512db', 'd4744bea01164fbe8cc2bf2b6421693c', 'False', 'True', 'false', 'false', '511321124200', 5, '新井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321124200', 1, '2021-07-19 11:49:38', NULL, NULL), (17704, '', '方金村', '02bd295c919b4a1fa07d05d64de265a0', 'd4744bea01164fbe8cc2bf2b6421693c', 'False', 'True', 'false', 'false', '511321124203', 5, '方金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321124203', 1, '2021-07-19 11:49:38', NULL, NULL), (17705, '', '翰林村', '2604bc2e18204489a0a497056c4e9935', 'd4744bea01164fbe8cc2bf2b6421693c', 'False', 'True', 'false', 'false', '511321124206', 5, '翰林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321124206', 1, '2021-07-19 11:49:39', NULL, NULL), (17706, '', '石桥村', '4b59ef3dc00b4c0bb72a957a80bf987f', 'd4744bea01164fbe8cc2bf2b6421693c', 'False', 'True', 'false', 'false', '511321124209', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321124209', 1, '2021-07-19 11:49:39', NULL, NULL), (17707, '', '盘河村', '0d564a812ef243da80b39e66b5bf27ca', 'd4744bea01164fbe8cc2bf2b6421693c', 'False', 'True', 'false', 'false', '511321124211', 5, '盘河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321124211', 1, '2021-07-19 11:49:39', NULL, NULL), (17708, '', '庄子村', 'def9aee6fb5e44548f9844c94b902b20', 'd4744bea01164fbe8cc2bf2b6421693c', 'False', 'True', 'false', 'false', '511321124213', 5, '庄子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321124213', 1, '2021-07-19 11:49:39', NULL, NULL), (17709, '', '大河镇', 'dafb3564f4064492857331f55ae313a2', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321125000', 4, '大河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321125000', 1, '2021-07-19 11:49:39', NULL, NULL), (17710, '', '凤凰社区', '2cb8adb7510d40a889b59244281a6f1d', 'dafb3564f4064492857331f55ae313a2', 'False', 'True', 'false', 'false', '511321125001', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321125001', 1, '2021-07-19 11:49:39', NULL, NULL), (17711, '', '刘家坝村', 'b84ab83cd82b481a8d02a6ad256a14fe', 'dafb3564f4064492857331f55ae313a2', 'False', 'True', 'false', 'false', '511321125202', 5, '刘家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321125202', 1, '2021-07-19 11:49:39', NULL, NULL), (17712, '', '水磨河村', '461d4835cc9a469d8f47f08a7bdef2db', 'dafb3564f4064492857331f55ae313a2', 'False', 'True', 'false', 'false', '511321125205', 5, '水磨河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321125205', 1, '2021-07-19 11:49:39', NULL, NULL), (17713, '', '白土村', 'ae129d1413ce49e0a4efe4ba8f068a76', 'dafb3564f4064492857331f55ae313a2', 'False', 'True', 'false', 'false', '511321125207', 5, '白土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321125207', 1, '2021-07-19 11:49:39', NULL, NULL), (17714, '', '永庆场村', '60fd4752739f4236b957d644c8d2e66e', 'dafb3564f4064492857331f55ae313a2', 'False', 'True', 'false', 'false', '511321125208', 5, '永庆场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321125208', 1, '2021-07-19 11:49:39', NULL, NULL), (17715, '', '青林村', '3d96dba456604bcfbdf67eef00916eb1', 'dafb3564f4064492857331f55ae313a2', 'False', 'True', 'false', 'false', '511321125210', 5, '青林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321125210', 1, '2021-07-19 11:49:39', NULL, NULL), (17716, '', '罐垭村', '8f20e61e7d194042a48b66a8582102c0', 'dafb3564f4064492857331f55ae313a2', 'False', 'True', 'false', 'false', '511321125212', 5, '罐垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321125212', 1, '2021-07-19 11:49:39', NULL, NULL), (17717, '', '宁安村', '1bed96471e544691bc9df8e9a7d820d6', 'dafb3564f4064492857331f55ae313a2', 'False', 'True', 'false', 'false', '511321125214', 5, '宁安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321125214', 1, '2021-07-19 11:49:39', NULL, NULL), (17718, '', '小井垭村', '1100ee737a6048a69f1564a0f2a33aa0', 'dafb3564f4064492857331f55ae313a2', 'False', 'True', 'false', 'false', '511321126793', 5, '小井垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321126793', 1, '2021-07-19 11:49:39', NULL, NULL), (17719, '', '永久村', '7c66ee3645cc4f8e93293c17de67493a', 'dafb3564f4064492857331f55ae313a2', 'False', 'True', 'false', 'false', '511321126039', 5, '永久村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321126039', 1, '2021-07-19 11:49:39', NULL, NULL), (17720, '', '长青村', 'a968bbfce60147cf992d88683ae51a96', 'dafb3564f4064492857331f55ae313a2', 'False', 'True', 'false', 'false', '511321126589', 5, '长青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321126589', 1, '2021-07-19 11:49:39', NULL, NULL), (17721, '', '万年镇', 'ed28d18e1ae8457a859f52c9b84c0869', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321126000', 4, '万年镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321126000', 1, '2021-07-19 11:49:39', NULL, NULL), (17722, '', '雄狮场社区', 'f433a0e1c6144ccbb0d6ece755c64575', 'ed28d18e1ae8457a859f52c9b84c0869', 'False', 'True', 'false', 'false', '511321126610', 5, '雄狮场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321126610', 1, '2021-07-19 11:49:39', NULL, NULL), (17723, '', '曙光社区', '15eb58ee637d4a998e4ba82d683e2190', 'ed28d18e1ae8457a859f52c9b84c0869', 'False', 'True', 'false', 'false', '511321126001', 5, '曙光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321126001', 1, '2021-07-19 11:49:39', NULL, NULL), (17724, '', '龙宿村', '79304a39c998485ba4df542fd376d793', 'ed28d18e1ae8457a859f52c9b84c0869', 'False', 'True', 'false', 'false', '511321126106', 5, '龙宿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321126106', 1, '2021-07-19 11:49:39', NULL, NULL), (17725, '', '大仓村', '112ca62ec8894764915fb796c0a73063', 'ed28d18e1ae8457a859f52c9b84c0869', 'False', 'True', 'false', 'false', '511321126159', 5, '大仓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321126159', 1, '2021-07-19 11:49:39', NULL, NULL), (17726, '', '太和村', 'f6dcb1db326a4db1af9e4eb7083e5783', 'ed28d18e1ae8457a859f52c9b84c0869', 'False', 'True', 'false', 'false', '511321126203', 5, '太和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321126203', 1, '2021-07-19 11:49:40', NULL, NULL), (17727, '', '子龙村', '9cacdc9c0108472d9dc035a727592ffe', 'ed28d18e1ae8457a859f52c9b84c0869', 'False', 'True', 'false', 'false', '511321126206', 5, '子龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321126206', 1, '2021-07-19 11:49:40', NULL, NULL), (17728, '', '天波村', '407a0289638c4700846d81f58687f44f', 'ed28d18e1ae8457a859f52c9b84c0869', 'False', 'True', 'false', 'false', '511321126209', 5, '天波村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321126209', 1, '2021-07-19 11:49:40', NULL, NULL), (17729, '', '朝阳村', '14bf1bf0c17b4d9d93953f76f708ae18', 'ed28d18e1ae8457a859f52c9b84c0869', 'False', 'True', 'false', 'false', '511321126210', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321126210', 1, '2021-07-19 11:49:40', NULL, NULL), (17730, '', '碾盘村', '75f314175bbe469c99199221ac566539', 'ed28d18e1ae8457a859f52c9b84c0869', 'False', 'True', 'false', 'false', '511321126387', 5, '碾盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321126387', 1, '2021-07-19 11:49:40', NULL, NULL), (17731, '', '金山村', 'c561099e4f7d4f68ba256c97a4d438fe', 'ed28d18e1ae8457a859f52c9b84c0869', 'False', 'True', 'false', 'false', '511321126717', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321126717', 1, '2021-07-19 11:49:40', NULL, NULL), (17732, '', '升钟镇', 'b1446872bcd04732b5936f8b8ad6a741', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321127000', 4, '升钟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321127000', 1, '2021-07-19 11:49:40', NULL, NULL), (17733, '', '马龙庙社区', 'ca24c1bd3e6c4d5d8bef9561cbf3dd11', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321127003', 5, '马龙庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321127003', 1, '2021-07-19 11:49:40', NULL, NULL), (17734, '', '三合村', '074fb8d0b1d148b39b5f389b9cf18116', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321127200', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321127200', 1, '2021-07-19 11:49:40', NULL, NULL), (17735, '', '旋塘湾社区', 'c50f689f9273439d9ac97fd876f698cd', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321127201', 5, '旋塘湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321127201', 1, '2021-07-19 11:49:40', NULL, NULL), (17736, '', '晋安社区', '960d3d1416b74938a4fb3e61204d5347', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321127202', 5, '晋安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321127202', 1, '2021-07-19 11:49:40', NULL, NULL), (17737, '', '柳树场社区', '04216348f95744079b34a0d573b381b6', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321127204', 5, '柳树场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321127204', 1, '2021-07-19 11:49:40', NULL, NULL), (17738, '', '宝印山村', '06beadf15bf647e781831cef5871739b', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321127205', 5, '宝印山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321127205', 1, '2021-07-19 11:49:40', NULL, NULL), (17739, '', '张家嘴村', '6476c397c1b9458fafc29056fca26c22', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321127207', 5, '张家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321127207', 1, '2021-07-19 11:49:40', NULL, NULL), (17740, '', '永红场社区', 'c33b225165a74d87a89d40ca507ecf1e', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321127208', 5, '永红场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321127208', 1, '2021-07-19 11:49:40', NULL, NULL), (17741, '', '回龙场村', '3c03d35d68424d6082744e6329cc8233', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321127211', 5, '回龙场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321127211', 1, '2021-07-19 11:49:40', NULL, NULL), (17742, '', '玉眉山村', '816358d6c35c483ebd84df8926c4de0c', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321127212', 5, '玉眉山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321127212', 1, '2021-07-19 11:49:40', NULL, NULL), (17743, '', '元山村', '6a3446ecd39e427d9edd6f421faddf8a', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321128900', 5, '元山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321128900', 1, '2021-07-19 11:49:40', NULL, NULL), (17744, '', '凤仪村', '84a2ff0a29854a3dad25ffa28a8877e3', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321128926', 5, '凤仪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321128926', 1, '2021-07-19 11:49:41', NULL, NULL), (17745, '', '唐家坪村', '202c85255e6b4117ab00c0e60cf95b4d', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321128875', 5, '唐家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321128875', 1, '2021-07-19 11:49:41', NULL, NULL), (17746, '', '石板村', '3ace421c1b2c40bfacbc847b2c982b07', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321128097', 5, '石板村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321128097', 1, '2021-07-19 11:49:41', NULL, NULL), (17747, '', '玉泉村', '2d6ced7557cc4eb7a34482ed589adc56', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321236785', 5, '玉泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321236785', 1, '2021-07-19 11:49:41', NULL, NULL), (17748, '', '梁家桥村', '80774bddc48f43799a04b9caedd75df7', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321128865', 5, '梁家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321128865', 1, '2021-07-19 11:49:41', NULL, NULL), (17749, '', '凤鸣场村', 'e1800e0124ac4f92b5bb2452d9214418', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321128475', 5, '凤鸣场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321128475', 1, '2021-07-19 11:49:41', NULL, NULL), (17750, '', '高家河村', '7b06faa099c34cee815355a29b75abf6', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321129015', 5, '高家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321129015', 1, '2021-07-19 11:49:41', NULL, NULL), (17751, '', '得鞋坝村', 'b0a5b684bd1c4d83b52206cc2f626338', 'b1446872bcd04732b5936f8b8ad6a741', 'False', 'True', 'false', 'false', '511321128674', 5, '得鞋坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321128674', 1, '2021-07-19 11:49:41', NULL, NULL), (17752, '', '升水镇', '8976b39dc1114678a732ee939abbbcc4', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321128000', 4, '升水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321128000', 1, '2021-07-19 11:49:41', NULL, NULL), (17753, '', '向阳社区', '8c407c1935db41f884bfdb1c7be34758', '8976b39dc1114678a732ee939abbbcc4', 'False', 'True', 'false', 'false', '511321128001', 5, '向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321128001', 1, '2021-07-19 11:49:41', NULL, NULL), (17754, '', '碑垭庙村', '55fd4ea87b0a4420abaa7c0034fa88ae', '8976b39dc1114678a732ee939abbbcc4', 'False', 'True', 'false', 'false', '511321128200', 5, '碑垭庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321128200', 1, '2021-07-19 11:49:41', NULL, NULL), (17755, '', '南殿垭村', '09b98cfc4be343a3a118b43a80309b2c', '8976b39dc1114678a732ee939abbbcc4', 'False', 'True', 'false', 'false', '511321128201', 5, '南殿垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321128201', 1, '2021-07-19 11:49:41', NULL, NULL), (17756, '', '蒙垭庙村', '2f0d1cc51d1c4e4d9fbd19caf1d20b9d', '8976b39dc1114678a732ee939abbbcc4', 'False', 'True', 'false', 'false', '511321128203', 5, '蒙垭庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321128203', 1, '2021-07-19 11:49:41', NULL, NULL), (17757, '', '临江坪村', '78ae02fbca284aa0a505edd6dbfaf357', '8976b39dc1114678a732ee939abbbcc4', 'False', 'True', 'false', 'false', '511321128207', 5, '临江坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321128207', 1, '2021-07-19 11:49:41', NULL, NULL), (17758, '', '皂角场村', '355474e828a84d02abff541783c71ab6', '8976b39dc1114678a732ee939abbbcc4', 'False', 'True', 'false', 'false', '511321129392', 5, '皂角场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321129392', 1, '2021-07-19 11:49:41', NULL, NULL), (17759, '', '长岭山村', '0cd3c33d8caf451e92079f1625d7b5f8', '8976b39dc1114678a732ee939abbbcc4', 'False', 'True', 'false', 'false', '511321129450', 5, '长岭山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321129450', 1, '2021-07-19 11:49:41', NULL, NULL), (17760, '', '玄帝垭村', '9e4a27dda0e34decb08c435cd6a168ef', '8976b39dc1114678a732ee939abbbcc4', 'False', 'True', 'false', 'false', '511321129904', 5, '玄帝垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321129904', 1, '2021-07-19 11:49:41', NULL, NULL), (17761, '', '大坪镇', '6d80e6d6f7b7421d93535437c23eed77', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321129000', 4, '大坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321129000', 1, '2021-07-19 11:49:41', NULL, NULL), (17762, '', '老街社区', 'a2e6b8093f2c40e38cb6bc8eb4338056', '6d80e6d6f7b7421d93535437c23eed77', 'False', 'True', 'false', 'false', '511321129116', 5, '老街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321129116', 1, '2021-07-19 11:49:41', NULL, NULL), (17763, '', '联盟村', 'a681be10ccba478392fefeb1967f0e26', '6d80e6d6f7b7421d93535437c23eed77', 'False', 'True', 'false', 'false', '511321129123', 5, '联盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321129123', 1, '2021-07-19 11:49:42', NULL, NULL), (17764, '', '五星村', '4ad8f7829a8942d5be70c2abf2a87bb1', '6d80e6d6f7b7421d93535437c23eed77', 'False', 'True', 'false', 'false', '511321129372', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321129372', 1, '2021-07-19 11:49:42', NULL, NULL), (17765, '', '丘垭场社区', '72eab6fc41c842dcb751e7deb03fe7cf', '6d80e6d6f7b7421d93535437c23eed77', 'False', 'True', 'false', 'false', '511321129509', 5, '丘垭场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321129509', 1, '2021-07-19 11:49:42', NULL, NULL), (17766, '', '爱国村', '2e2fd2aeaa244acfbc32f0b99962c586', '6d80e6d6f7b7421d93535437c23eed77', 'False', 'True', 'false', 'false', '511321129557', 5, '爱国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321129557', 1, '2021-07-19 11:49:42', NULL, NULL), (17767, '', '工农村', 'f259cfee46ba4e9f822e3ca9681277df', '6d80e6d6f7b7421d93535437c23eed77', 'False', 'True', 'false', 'false', '511321129954', 5, '工农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321129954', 1, '2021-07-19 11:49:42', NULL, NULL), (17768, '', '新街社区', 'bcf3b55a061145d2be216f1f4ce8a426', '6d80e6d6f7b7421d93535437c23eed77', 'False', 'True', 'false', 'false', '511321129002', 5, '新街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321129002', 1, '2021-07-19 11:49:42', NULL, NULL), (17769, '', '七一村', '5b2d1b7d9d2e405984ef53f44a5309c9', '6d80e6d6f7b7421d93535437c23eed77', 'False', 'True', 'false', 'false', '511321129201', 5, '七一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321129201', 1, '2021-07-19 11:49:42', NULL, NULL), (17770, '', '五一村', 'df633e0569ba455faa7822885beaba94', '6d80e6d6f7b7421d93535437c23eed77', 'False', 'True', 'false', 'false', '511321129205', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321129205', 1, '2021-07-19 11:49:42', NULL, NULL), (17771, '', '红光村', '2aa10691048947a3949d81485e349a39', '6d80e6d6f7b7421d93535437c23eed77', 'False', 'True', 'false', 'false', '511321129206', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321129206', 1, '2021-07-19 11:49:42', NULL, NULL), (17772, '', '红星村', 'eb52b74298c54fa88059b00bdc8529c7', '6d80e6d6f7b7421d93535437c23eed77', 'False', 'True', 'false', 'false', '511321129207', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321129207', 1, '2021-07-19 11:49:42', NULL, NULL), (17773, '', '神坝镇', 'b06d5b9dd8fd46a49ecffba13aa5f944', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321130000', 4, '神坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321130000', 1, '2021-07-19 11:49:42', NULL, NULL), (17774, '', '中和村', 'f1b1aff0a3b84245b34a01e098c5953d', 'b06d5b9dd8fd46a49ecffba13aa5f944', 'False', 'True', 'false', 'false', '511321131195', 5, '中和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321131195', 1, '2021-07-19 11:49:42', NULL, NULL), (17775, '', '大营村', 'cac0da159c1b4abeb190d4080bceb8c9', 'b06d5b9dd8fd46a49ecffba13aa5f944', 'False', 'True', 'false', 'false', '511321131302', 5, '大营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321131302', 1, '2021-07-19 11:49:42', NULL, NULL), (17776, '', '八角寺村', '0da2d407ea5547f8bae75e3138a0d5eb', 'b06d5b9dd8fd46a49ecffba13aa5f944', 'False', 'True', 'false', 'false', '511321131407', 5, '八角寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321131407', 1, '2021-07-19 11:49:42', NULL, NULL), (17777, '', '光中场社区', 'd3be00d765eb4b13a827cb1768f33c0f', 'b06d5b9dd8fd46a49ecffba13aa5f944', 'False', 'True', 'false', 'false', '511321131942', 5, '光中场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321131942', 1, '2021-07-19 11:49:42', NULL, NULL), (17778, '', '方山社区', '6e6fa891f7a64c2f869ee32d78da76ac', 'b06d5b9dd8fd46a49ecffba13aa5f944', 'False', 'True', 'false', 'false', '511321130200', 5, '方山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321130200', 1, '2021-07-19 11:49:42', NULL, NULL), (17779, '', '洛池村', 'c11a5b0924e346019bf8c1fe712c174e', 'b06d5b9dd8fd46a49ecffba13aa5f944', 'False', 'True', 'false', 'false', '511321130201', 5, '洛池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321130201', 1, '2021-07-19 11:49:42', NULL, NULL), (17780, '', '崇垭村', 'bc44cc4651fc48c695395744e517c16c', 'b06d5b9dd8fd46a49ecffba13aa5f944', 'False', 'True', 'false', 'false', '511321130204', 5, '崇垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321130204', 1, '2021-07-19 11:49:43', NULL, NULL), (17781, '', '天宫村', '74b71f74ccde4543a94d5aef43282b32', 'b06d5b9dd8fd46a49ecffba13aa5f944', 'False', 'True', 'false', 'false', '511321130208', 5, '天宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321130208', 1, '2021-07-19 11:49:43', NULL, NULL), (17782, '', '八尔湖镇', 'b6ebdb9a349c4cb181589f979eb77d90', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'true', 'true', '511321215000', 4, '八尔湖镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321215000', 1, '2021-07-19 11:49:43', NULL, NULL), (17783, '', '任江寺村', '1b9b670e923046118c1ee9117c389787', 'b6ebdb9a349c4cb181589f979eb77d90', 'False', 'True', 'false', 'false', '511321215200', 5, '任江寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321215200', 1, '2021-07-19 11:49:43', NULL, NULL), (17784, '', '夫子洞村', 'afcd2cddec444c6dbde7997f4707d44e', 'b6ebdb9a349c4cb181589f979eb77d90', 'False', 'True', 'false', 'false', '511321215201', 5, '夫子洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321215201', 1, '2021-07-19 11:49:43', NULL, NULL), (17785, '', '林家垭村', '4a1b9152d1ec4fff92463c2ca27b237d', 'b6ebdb9a349c4cb181589f979eb77d90', 'False', 'True', 'false', 'false', '511321215202', 5, '林家垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321215202', 1, '2021-07-19 11:49:43', NULL, NULL), (17786, '', '马王场社区', 'e33aac9931164fdaae7c23cfe8df90d1', 'b6ebdb9a349c4cb181589f979eb77d90', 'False', 'True', 'false', 'false', '511321215203', 5, '马王场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321215203', 1, '2021-07-19 11:49:43', NULL, NULL), (17787, '', '大堰场社区', 'a6735d1cf29e437d9ba9aa74891813be', 'b6ebdb9a349c4cb181589f979eb77d90', 'False', 'True', 'false', 'false', '511321215205', 5, '大堰场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321215205', 1, '2021-07-19 11:49:43', NULL, NULL), (17788, '', '纯阳山村', '52bc059337dc447dafe55ecb7ea29c63', 'b6ebdb9a349c4cb181589f979eb77d90', 'False', 'True', 'false', 'false', '511321215207', 5, '纯阳山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321215207', 1, '2021-07-19 11:49:43', NULL, NULL), (17789, '', '东林寺村', '723e5a75d4ea480ab1c1bd0518835794', 'b6ebdb9a349c4cb181589f979eb77d90', 'False', 'True', 'false', 'false', '511321215208', 5, '东林寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321215208', 1, '2021-07-19 11:49:43', NULL, NULL), (17790, '', '岳家沟村', '39c58228e66f44eaaa1dd7ef411d5461', 'b6ebdb9a349c4cb181589f979eb77d90', 'False', 'True', 'false', 'false', '511321215209', 5, '岳家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321215209', 1, '2021-07-19 11:49:43', NULL, NULL), (17791, '', '石龙镇', '411f482dc2424a468caa20e50bcd5e6c', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321202000', 4, '石龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321202000', 1, '2021-07-19 11:49:43', NULL, NULL), (17792, '', '枇杷塘村', '1db3ee850ab640cfb7d2862e0168a230', '411f482dc2424a468caa20e50bcd5e6c', 'False', 'True', 'false', 'false', '511321202200', 5, '枇杷塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321202200', 1, '2021-07-19 11:49:43', NULL, NULL), (17793, '', '万年山村', 'eeeae24a19104cc599e2eefa5f9f2528', '411f482dc2424a468caa20e50bcd5e6c', 'False', 'True', 'false', 'false', '511321202201', 5, '万年山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321202201', 1, '2021-07-19 11:49:43', NULL, NULL), (17794, '', '龙华寺村', '95254a6081ed4d5a80f4e4a260e2f22f', '411f482dc2424a468caa20e50bcd5e6c', 'False', 'True', 'false', 'false', '511321202202', 5, '龙华寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321202202', 1, '2021-07-19 11:49:43', NULL, NULL), (17795, '', '金龟坝村', '7abca1fd08bf4f49be1c7215283d5a02', '411f482dc2424a468caa20e50bcd5e6c', 'False', 'True', 'false', 'false', '511321202203', 5, '金龟坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321202203', 1, '2021-07-19 11:49:43', NULL, NULL), (17796, '', '老家沟村', 'a69099eb17c8445fb5b0630999d88fd6', '411f482dc2424a468caa20e50bcd5e6c', 'False', 'True', 'false', 'false', '511321202204', 5, '老家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321202204', 1, '2021-07-19 11:49:43', NULL, NULL), (17797, '', '快活岭村', '77c441f3b71e4076bd7dfb7a3615f702', '411f482dc2424a468caa20e50bcd5e6c', 'False', 'True', 'false', 'false', '511321202205', 5, '快活岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321202205', 1, '2021-07-19 11:49:43', NULL, NULL), (17798, '', '石佛沟村', '1037cc1a46834af1b6905d7094ce4f89', '411f482dc2424a468caa20e50bcd5e6c', 'False', 'True', 'false', 'false', '511321202206', 5, '石佛沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321202206', 1, '2021-07-19 11:49:43', NULL, NULL), (17799, '', '李溪寺村', '8072272299db4635997f95dcec82ef68', '411f482dc2424a468caa20e50bcd5e6c', 'False', 'True', 'false', 'false', '511321202207', 5, '李溪寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321202207', 1, '2021-07-19 11:49:43', NULL, NULL), (17800, '', '袁家坝村', 'c0c1615948064daebd9e11156649898f', '411f482dc2424a468caa20e50bcd5e6c', 'False', 'True', 'false', 'false', '511321202208', 5, '袁家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321202208', 1, '2021-07-19 11:49:44', NULL, NULL), (17801, '', '丝公山村', '6162ad129c204adcb8924bc44b34f417', '411f482dc2424a468caa20e50bcd5e6c', 'False', 'True', 'false', 'false', '511321202209', 5, '丝公山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321202209', 1, '2021-07-19 11:49:44', NULL, NULL), (17802, '', '平桥场村', '4c1c1baa6ff24e8a8b8b3018a5ae7549', '411f482dc2424a468caa20e50bcd5e6c', 'False', 'True', 'false', 'false', '511321202210', 5, '平桥场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321202210', 1, '2021-07-19 11:49:44', NULL, NULL), (17803, '', '西水镇', '89482a722eab452bb0bdb4cf122ceef5', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321237000', 4, '西水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321237000', 1, '2021-07-19 11:49:44', NULL, NULL), (17804, '', '铁鞭场社区', '763f008ee345475988b5f49b1ab7c9bd', '89482a722eab452bb0bdb4cf122ceef5', 'False', 'True', 'false', 'false', '511321237889', 5, '铁鞭场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321237889', 1, '2021-07-19 11:49:44', NULL, NULL), (17805, '', '广福村', '60107a26fecb415b83b6be32ffbdf0a8', '89482a722eab452bb0bdb4cf122ceef5', 'False', 'True', 'false', 'false', '511321238100', 5, '广福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321238100', 1, '2021-07-19 11:49:44', NULL, NULL), (17806, '', '团结村', '79cde719f89b4f3a97ea1be47d41f64f', '89482a722eab452bb0bdb4cf122ceef5', 'False', 'True', 'false', 'false', '511321238404', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321238404', 1, '2021-07-19 11:49:44', NULL, NULL), (17807, '', '红旗村', 'bae5ba704d7c4ce09ca061207653c10b', '89482a722eab452bb0bdb4cf122ceef5', 'False', 'True', 'false', 'false', '511321238684', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321238684', 1, '2021-07-19 11:49:44', NULL, NULL), (17808, '', '凤凰岛村', '72bcfb7c6f4e4a1fb7d0b46cbd1561dc', '89482a722eab452bb0bdb4cf122ceef5', 'False', 'True', 'false', 'false', '511321238695', 5, '凤凰岛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321238695', 1, '2021-07-19 11:49:44', NULL, NULL), (17809, '', '岳皇村', '5b7b186e0e884d409f248c12fbb2f489', '89482a722eab452bb0bdb4cf122ceef5', 'False', 'True', 'false', 'false', '511321238860', 5, '岳皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321238860', 1, '2021-07-19 11:49:44', NULL, NULL), (17810, '', '文武庙社区', '9b315e07aa564a039840042b89de589e', '89482a722eab452bb0bdb4cf122ceef5', 'False', 'True', 'false', 'false', '511321237001', 5, '文武庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321237001', 1, '2021-07-19 11:49:44', NULL, NULL), (17811, '', '宋家坪村', '6a0c0f062cf247318284c4669894cb5d', '89482a722eab452bb0bdb4cf122ceef5', 'False', 'True', 'false', 'false', '511321237202', 5, '宋家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321237202', 1, '2021-07-19 11:49:44', NULL, NULL), (17812, '', '枣儿坪村', 'eaca6e6ec48f41eaaf90e2627aa553ee', '89482a722eab452bb0bdb4cf122ceef5', 'False', 'True', 'false', 'false', '511321237205', 5, '枣儿坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321237205', 1, '2021-07-19 11:49:44', NULL, NULL), (17813, '', '香柱山村', '01a7b1e5cf9a4a9a86eb7a0438e401e0', '89482a722eab452bb0bdb4cf122ceef5', 'False', 'True', 'false', 'false', '511321237208', 5, '香柱山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321237208', 1, '2021-07-19 11:49:44', NULL, NULL), (17814, '', '檬子垭村', '7056b73173a94a78bc7a46c6594a2a73', '89482a722eab452bb0bdb4cf122ceef5', 'False', 'True', 'false', 'false', '511321237211', 5, '檬子垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321237211', 1, '2021-07-19 11:49:44', NULL, NULL), (17815, '', '桐坪镇', 'fab2329aa8f04340a109ddf17e662083', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321245000', 4, '桐坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321245000', 1, '2021-07-19 11:49:44', NULL, NULL), (17816, '', '店垭场社区', 'a286c98a611746fe92f50ff31c447041', 'fab2329aa8f04340a109ddf17e662083', 'False', 'True', 'false', 'false', '511321136222', 5, '店垭场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321136222', 1, '2021-07-19 11:49:44', NULL, NULL), (17817, '', '卫星社区', 'c4576ad6d1fa4d3e92899be21515fe50', 'fab2329aa8f04340a109ddf17e662083', 'False', 'True', 'false', 'false', '511321136289', 5, '卫星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321136289', 1, '2021-07-19 11:49:44', NULL, NULL), (17818, '', '胜利村', 'a0641b8bcadd474a8c9053bc879f14e4', 'fab2329aa8f04340a109ddf17e662083', 'False', 'True', 'false', 'false', '511321245068', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321245068', 1, '2021-07-19 11:49:45', NULL, NULL), (17819, '', '紫荆村', 'b93439aac4d143b79712178d32c40b10', 'fab2329aa8f04340a109ddf17e662083', 'False', 'True', 'false', 'false', '511321245118', 5, '紫荆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321245118', 1, '2021-07-19 11:49:45', NULL, NULL), (17820, '', '南桥村', '0cb0bc18727e4b9aac4047227e40f23a', 'fab2329aa8f04340a109ddf17e662083', 'False', 'True', 'false', 'false', '511321245489', 5, '南桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321245489', 1, '2021-07-19 11:49:45', NULL, NULL), (17821, '', '东风村', '493f21d64f4f401fbf161a17f945d07c', 'fab2329aa8f04340a109ddf17e662083', 'False', 'True', 'false', 'false', '511321245644', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321245644', 1, '2021-07-19 11:49:45', NULL, NULL), (17822, '', '沙溪村', '76eb8682b96e4780a8903123b05a615b', 'fab2329aa8f04340a109ddf17e662083', 'False', 'True', 'false', 'false', '511321245901', 5, '沙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321245901', 1, '2021-07-19 11:49:45', NULL, NULL), (17823, '', '红庄村', 'ee50adac2e294b3da6371b062b2d5008', 'fab2329aa8f04340a109ddf17e662083', 'False', 'True', 'false', 'false', '511321245927', 5, '红庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321245927', 1, '2021-07-19 11:49:45', NULL, NULL), (17824, '', '分水村', '240504ef35744e049272d4da15f0735e', 'fab2329aa8f04340a109ddf17e662083', 'False', 'True', 'false', 'false', '511321245202', 5, '分水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321245202', 1, '2021-07-19 11:49:45', NULL, NULL), (17825, '', '光辉村', '1cfc0282ed9142b3a5a21b1361ece556', 'fab2329aa8f04340a109ddf17e662083', 'False', 'True', 'false', 'false', '511321245203', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321245203', 1, '2021-07-19 11:49:45', NULL, NULL), (17826, '', '灯塔村', '72f2aacdb6314451a2095c4ac22f9bae', 'fab2329aa8f04340a109ddf17e662083', 'False', 'True', 'false', 'false', '511321245206', 5, '灯塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321245206', 1, '2021-07-19 11:49:45', NULL, NULL), (17827, '', '五灵乡', '2555e70b108d448ca3500c9f38cc70a9', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321210000', 4, '五灵乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321210000', 1, '2021-07-19 11:49:45', NULL, NULL), (17828, '', '徐家沟社区', '8484fe32a28d407682f94c5b2f0c1916', '2555e70b108d448ca3500c9f38cc70a9', 'False', 'True', 'false', 'false', '511321210200', 5, '徐家沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321210200', 1, '2021-07-19 11:49:45', NULL, NULL), (17829, '', '白虎嘴村', 'dbe969fdae94420ab195775e6dbb17b4', '2555e70b108d448ca3500c9f38cc70a9', 'False', 'True', 'false', 'false', '511321210201', 5, '白虎嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321210201', 1, '2021-07-19 11:49:45', NULL, NULL), (17830, '', '瓦向湾村', '8135138ec8e049cb85dbc9a9f44b3226', '2555e70b108d448ca3500c9f38cc70a9', 'False', 'True', 'false', 'false', '511321210205', 5, '瓦向湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321210205', 1, '2021-07-19 11:49:45', NULL, NULL), (17831, '', '福德场村', 'b21a00f04c3947f2bd8390a9a59518ce', '2555e70b108d448ca3500c9f38cc70a9', 'False', 'True', 'false', 'false', '511321210207', 5, '福德场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321210207', 1, '2021-07-19 11:49:45', NULL, NULL), (17832, '', '丁字桥村', 'fbbfab95c2894ed19b72d71c82a663d5', '2555e70b108d448ca3500c9f38cc70a9', 'False', 'True', 'false', 'false', '511321210209', 5, '丁字桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321210209', 1, '2021-07-19 11:49:45', NULL, NULL), (17833, '', '楼凤坪村', 'a4b44434ffd24ddf954bfe856200774a', '2555e70b108d448ca3500c9f38cc70a9', 'False', 'True', 'false', 'false', '511321210212', 5, '楼凤坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321210212', 1, '2021-07-19 11:49:46', NULL, NULL), (17834, '', '岐山坝村', '8b03b58dbbda4c3c8ee3bad3fe06489a', '2555e70b108d448ca3500c9f38cc70a9', 'False', 'True', 'false', 'false', '511321210213', 5, '岐山坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321210213', 1, '2021-07-19 11:49:46', NULL, NULL), (17835, '', '小元乡', 'dca0fc6c297b485089f422792c7d17d4', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321229000', 4, '小元乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321229000', 1, '2021-07-19 11:49:46', NULL, NULL), (17836, '', '金钟社区', '66879cfcd9cc488ea581fa142a1245d5', 'dca0fc6c297b485089f422792c7d17d4', 'False', 'True', 'false', 'false', '511321229200', 5, '金钟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321229200', 1, '2021-07-19 11:49:46', NULL, NULL), (17837, '', '文星场村', 'afbd02ba611446858f31ba6446e2fb9d', 'dca0fc6c297b485089f422792c7d17d4', 'False', 'True', 'false', 'false', '511321229202', 5, '文星场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321229202', 1, '2021-07-19 11:49:46', NULL, NULL), (17838, '', '和平村', '75cfe16157424aedb634eb24758a592b', 'dca0fc6c297b485089f422792c7d17d4', 'False', 'True', 'false', 'false', '511321229205', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321229205', 1, '2021-07-19 11:49:46', NULL, NULL), (17839, '', '岳家河村', 'da6f8232d8444bb2a6bc210d5be74341', 'dca0fc6c297b485089f422792c7d17d4', 'False', 'True', 'false', 'false', '511321229207', 5, '岳家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321229207', 1, '2021-07-19 11:49:46', NULL, NULL), (17840, '', '狮峰村', '08814c647f1147758305f936adb4db2f', 'dca0fc6c297b485089f422792c7d17d4', 'False', 'True', 'false', 'false', '511321229208', 5, '狮峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321229208', 1, '2021-07-19 11:49:46', NULL, NULL), (17841, '', '鹅公桥村', '4d545761637746a292ac46cd67b4a31c', 'dca0fc6c297b485089f422792c7d17d4', 'False', 'True', 'false', 'false', '511321229211', 5, '鹅公桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321229211', 1, '2021-07-19 11:49:46', NULL, NULL), (17842, '', '梓潼庙村', 'f3fd021ad12149428ca01f476c8c2207', 'dca0fc6c297b485089f422792c7d17d4', 'False', 'True', 'false', 'false', '511321229212', 5, '梓潼庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321229212', 1, '2021-07-19 11:49:46', NULL, NULL), (17843, '', '宏观乡', '8dca4de4e53b4819bf35b8bdcc4ddd9f', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321233000', 4, '宏观乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321233000', 1, '2021-07-19 11:49:46', NULL, NULL), (17844, '', '土地村', 'b881c441c91b4985ad31ac1a6a2ad073', '8dca4de4e53b4819bf35b8bdcc4ddd9f', 'False', 'True', 'false', 'false', '511321234003', 5, '土地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321234003', 1, '2021-07-19 11:49:46', NULL, NULL), (17845, '', '岳坪村', '891fec304a1642abb4bf85e4911ed70b', '8dca4de4e53b4819bf35b8bdcc4ddd9f', 'False', 'True', 'false', 'false', '511321234190', 5, '岳坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321234190', 1, '2021-07-19 11:49:46', NULL, NULL), (17846, '', '梁垭村', '737ec9ef9fc5494e99dfe78d408ead9b', '8dca4de4e53b4819bf35b8bdcc4ddd9f', 'False', 'True', 'false', 'false', '511321234343', 5, '梁垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321234343', 1, '2021-07-19 11:49:46', NULL, NULL), (17847, '', '青山村', '9e56dd0ebac7400993889b92f2951606', '8dca4de4e53b4819bf35b8bdcc4ddd9f', 'False', 'True', 'false', 'false', '511321234631', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321234631', 1, '2021-07-19 11:49:46', NULL, NULL), (17848, '', '东岳村', '368144d437bd46b683e04113bd408b4a', '8dca4de4e53b4819bf35b8bdcc4ddd9f', 'False', 'True', 'false', 'false', '511321234751', 5, '东岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321234751', 1, '2021-07-19 11:49:46', NULL, NULL), (17849, '', '青云村', '8bf1c3195a9c4719b9cdb1a77cd1905b', '8dca4de4e53b4819bf35b8bdcc4ddd9f', 'False', 'True', 'false', 'false', '511321234765', 5, '青云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321234765', 1, '2021-07-19 11:49:46', NULL, NULL), (17850, '', '金猴村', 'd71da80f33e34c1b99f522e17683746d', '8dca4de4e53b4819bf35b8bdcc4ddd9f', 'False', 'True', 'false', 'false', '511321234954', 5, '金猴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321234954', 1, '2021-07-19 11:49:47', NULL, NULL), (17851, '', '老观村', '3b4d14f4d71d4163992978ebc4d858fc', '8dca4de4e53b4819bf35b8bdcc4ddd9f', 'False', 'True', 'false', 'false', '511321233213', 5, '老观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321233213', 1, '2021-07-19 11:49:47', NULL, NULL), (17852, '', '双峰乡', '90ddd90ce0b940b683abae05eec9707c', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321238000', 4, '双峰乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321238000', 1, '2021-07-19 11:49:47', NULL, NULL), (17853, '', '太子岛村', 'be2d31bda1a441d18dfda895b8ed0d32', '90ddd90ce0b940b683abae05eec9707c', 'False', 'False', 'false', 'false', '511321239562', 5, '太子岛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321239562', 1, '2021-07-19 11:49:47', NULL, NULL), (17854, '', '双凤社区', 'c3e3778baac245e182098c4c88270b66', '90ddd90ce0b940b683abae05eec9707c', 'False', 'True', 'false', 'false', '511321238001', 5, '双凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321238001', 1, '2021-07-19 11:49:47', NULL, NULL), (17855, '', '寨山村', 'bc2b199ef1d046a89052baa395c8d3e4', '90ddd90ce0b940b683abae05eec9707c', 'False', 'True', 'false', 'false', '511321238200', 5, '寨山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321238200', 1, '2021-07-19 11:49:47', NULL, NULL), (17856, '', '龙马镇村', '76fa98ad80e249dea4fa851f409b396d', '90ddd90ce0b940b683abae05eec9707c', 'False', 'True', 'false', 'false', '511321238204', 5, '龙马镇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321238204', 1, '2021-07-19 11:49:47', NULL, NULL), (17857, '', '青龙宫村', '85ad5f9c3c144ed99b77ae302c89b61f', '90ddd90ce0b940b683abae05eec9707c', 'False', 'True', 'false', 'false', '511321238205', 5, '青龙宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321238205', 1, '2021-07-19 11:49:47', NULL, NULL), (17858, '', '麻溪寺村', '3db8a3bd88c04ed299b2281e9d32231b', '90ddd90ce0b940b683abae05eec9707c', 'False', 'True', 'false', 'false', '511321238206', 5, '麻溪寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321238206', 1, '2021-07-19 11:49:47', NULL, NULL), (17859, '', '胖土地村', '0400944d43d04034a62af94dcc0f112a', '90ddd90ce0b940b683abae05eec9707c', 'False', 'True', 'false', 'false', '511321238212', 5, '胖土地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321238212', 1, '2021-07-19 11:49:47', NULL, NULL), (17860, '', '太霞乡', '3fa72b1adafa43788f2863cb300e5bab', 'd5cde4b3ea4f4bfa9cc9e43083c2f4f9', 'True', 'True', 'false', 'false', '511321243000', 4, '太霞乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511321243000', 1, '2021-07-19 11:49:47', NULL, NULL), (17861, '', '西河场村', '2f66fae76db94072a4bcb593df75dc36', '3fa72b1adafa43788f2863cb300e5bab', 'False', 'True', 'false', 'false', '511321243238', 5, '西河场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321243238', 1, '2021-07-19 11:49:47', NULL, NULL), (17862, '', '铁炉村', '00a094e83fd24d9cbbd59bb0712733a3', '3fa72b1adafa43788f2863cb300e5bab', 'False', 'True', 'false', 'false', '511321243399', 5, '铁炉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321243399', 1, '2021-07-19 11:49:47', NULL, NULL), (17863, '', '洪湖村', '7a07e6278265414bbfb1462bd685169b', '3fa72b1adafa43788f2863cb300e5bab', 'False', 'True', 'false', 'false', '511321243934', 5, '洪湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321243934', 1, '2021-07-19 11:49:47', NULL, NULL), (17864, '', '红花村', 'db0a448881bc435c839fe4c2fff54874', '3fa72b1adafa43788f2863cb300e5bab', 'False', 'True', 'false', 'false', '511321243200', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321243200', 1, '2021-07-19 11:49:47', NULL, NULL), (17865, '', '南山村', '7da7188e0bbb471a9a74bbbb8bef6600', '3fa72b1adafa43788f2863cb300e5bab', 'False', 'True', 'false', 'false', '511321243203', 5, '南山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321243203', 1, '2021-07-19 11:49:47', NULL, NULL), (17866, '', '西水村', 'ac8b88e1368945e7848f12c67002eb1c', '3fa72b1adafa43788f2863cb300e5bab', 'False', 'True', 'false', 'false', '511321243204', 5, '西水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321243204', 1, '2021-07-19 11:49:48', NULL, NULL), (17867, '', '前进村', 'f74b8bb759ed4ecca56a40b79b596233', '3fa72b1adafa43788f2863cb300e5bab', 'False', 'True', 'false', 'false', '511321243205', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511321243205', 1, '2021-07-19 11:49:48', NULL, NULL), (17868, '', '西充县', 'dd28826b7d80472391a854f4e59bfb22', 'd9f01e465bbf4f06b12dda9480080f67', 'True', 'True', 'false', 'false', '511325000000', 3, '西充县', 'ncsxcx.sczwfw.gov.cn', 1, '2021-07-19 11:49:48', NULL, NULL), (17869, '', '东太乡', '04b54e9c28a14bdabb64c2540ec15f0d', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325006300', 4, '东太乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325006300', 1, '2021-07-19 11:49:48', NULL, NULL), (17870, '', '八宝山村', '84985870b67e4faca85f1ab161de651b', '04b54e9c28a14bdabb64c2540ec15f0d', 'False', 'False', 'false', 'false', '511325229181', 5, '八宝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325229181', 1, '2021-07-19 11:49:48', NULL, NULL), (17871, '', '空柏树村', '715cc5d5edab4561a51c33e45d0daad3', '04b54e9c28a14bdabb64c2540ec15f0d', 'False', 'False', 'false', 'false', '511325229197', 5, '空柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325229197', 1, '2021-07-19 11:49:48', NULL, NULL), (17872, '', '三岔河村', '0b9983268b3f4cab819e2d5f777ab0fd', '04b54e9c28a14bdabb64c2540ec15f0d', 'False', 'False', 'false', 'false', '511325229207', 5, '三岔河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325229207', 1, '2021-07-19 11:49:48', NULL, NULL), (17873, '', '长坪沟村', '59f620c065ca4064b6c3a524b5a20e00', '04b54e9c28a14bdabb64c2540ec15f0d', 'False', 'False', 'false', 'false', '511325229217', 5, '长坪沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325229217', 1, '2021-07-19 11:49:48', NULL, NULL), (17874, '', '东岗山村', 'f9b112268c394e369cf29235cc6883ac', '04b54e9c28a14bdabb64c2540ec15f0d', 'False', 'False', 'false', 'false', '511325229238', 5, '东岗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325229238', 1, '2021-07-19 11:49:48', NULL, NULL), (17875, '', '金龙山村', '719d21035df8484eb1b140e2abaa81aa', '04b54e9c28a14bdabb64c2540ec15f0d', 'False', 'False', 'false', 'false', '511325229254', 5, '金龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325229254', 1, '2021-07-19 11:49:48', NULL, NULL), (17876, '', '莲花寺村', 'c5077d05db934365a17094c8b8d4cd00', '04b54e9c28a14bdabb64c2540ec15f0d', 'False', 'False', 'false', 'false', '511325229261', 5, '莲花寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325229261', 1, '2021-07-19 11:49:48', NULL, NULL), (17877, '', '东太村', 'f4c9199d8229403f821acba47cb18033', '04b54e9c28a14bdabb64c2540ec15f0d', 'False', 'False', 'false', 'false', '511325229309', 5, '东太村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325229309', 1, '2021-07-19 11:49:48', NULL, NULL), (17878, '', '响堂堡村', 'ac7c2e9bab994bd6911236bec9828030', '04b54e9c28a14bdabb64c2540ec15f0d', 'False', 'False', 'false', 'false', '511325229487', 5, '响堂堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325229487', 1, '2021-07-19 11:49:48', NULL, NULL), (17879, '', '天马山村', '33006531daa94407a391d8ad003556fb', '04b54e9c28a14bdabb64c2540ec15f0d', 'False', 'False', 'false', 'false', '511325229583', 5, '天马山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325229583', 1, '2021-07-19 11:49:48', NULL, NULL), (17880, '', '太清宫村', 'ce0fbef123a34d37a5737088c431acec', '04b54e9c28a14bdabb64c2540ec15f0d', 'False', 'False', 'false', 'false', '511325229588', 5, '太清宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325229588', 1, '2021-07-19 11:49:48', NULL, NULL), (17881, '', '团岭子村', '98bbdddb5a97407595fc2b938070a82f', '04b54e9c28a14bdabb64c2540ec15f0d', 'False', 'False', 'false', 'false', '511325229618', 5, '团岭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325229618', 1, '2021-07-19 11:49:48', NULL, NULL), (17882, '', '鱼池寺村', 'bb35655f5a1046178c5e5cd8385c51fa', '04b54e9c28a14bdabb64c2540ec15f0d', 'False', 'False', 'false', 'false', '511325229698', 5, '鱼池寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325229698', 1, '2021-07-19 11:49:48', NULL, NULL), (17883, '', '土地垭村', '677dce78ab1e49de8ed7abd74f201ad3', '04b54e9c28a14bdabb64c2540ec15f0d', 'False', 'False', 'false', 'false', '511325229762', 5, '土地垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325229762', 1, '2021-07-19 11:49:48', NULL, NULL), (17884, '', '红花坪村', '64fdb5fb2dd7423281d2a6450410ee0b', '04b54e9c28a14bdabb64c2540ec15f0d', 'False', 'False', 'false', 'false', '511325229989', 5, '红花坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325229989', 1, '2021-07-19 11:49:49', NULL, NULL), (17885, '', '晋城街道', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325100000', 4, '晋城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325100000', 1, '2021-07-19 11:49:49', NULL, NULL), (17886, '', '建设路社区', '7d404a61baba4eb6949e81105c94e76b', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'True', 'false', 'false', '511325100009', 5, '建设路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100009', 1, '2021-07-19 11:49:49', NULL, NULL), (17887, '', '燕子山村', '8d8e10e30fbd4ccaac3464d7f02830a0', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100025', 5, '燕子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100025', 1, '2021-07-19 11:49:49', NULL, NULL), (17888, '', '一段社区', 'faa6c4a413ff424c92f284e9ac551467', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100039', 5, '一段社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100039', 1, '2021-07-19 11:49:49', NULL, NULL), (17889, '', '南街社区', '7f05f80c0c284dd49448abad86285767', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100044', 5, '南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100044', 1, '2021-07-19 11:49:49', NULL, NULL), (17890, '', '鹤鸣路社区', '7a28fc67e5204585933b0e5ad8a628ab', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100061', 5, '鹤鸣路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100061', 1, '2021-07-19 11:49:49', NULL, NULL), (17891, '', '程真宫村', '2f76633cf76e4c9283d0f3b94eb284de', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100136', 5, '程真宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100136', 1, '2021-07-19 11:49:49', NULL, NULL), (17892, '', '观音庵村', '948384dfa43e4e9da6689375c8c78174', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100167', 5, '观音庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100167', 1, '2021-07-19 11:49:49', NULL, NULL), (17893, '', '珠涯庵社区', '1790c03159de455b8ee99aa9c0308851', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100178', 5, '珠涯庵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100178', 1, '2021-07-19 11:49:49', NULL, NULL), (17894, '', '大桑墩村', 'a839a5b737f4447887785a4e1c6158f0', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100191', 5, '大桑墩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100191', 1, '2021-07-19 11:49:49', NULL, NULL), (17895, '', '二段社区', '5ca95d4fc0b14717b918942c2e0dada7', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100303', 5, '二段社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100303', 1, '2021-07-19 11:49:49', NULL, NULL), (17896, '', '刘家嘴社区', '977797f7c23d4aa487e43155d17c99fa', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100332', 5, '刘家嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100332', 1, '2021-07-19 11:49:49', NULL, NULL), (17897, '', '杨家桥村', '68b6cdfd06ef49599121d0de8fb8e932', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100364', 5, '杨家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100364', 1, '2021-07-19 11:49:49', NULL, NULL), (17898, '', '刘家垭村', '299e638a0ec0474abf3f43ce1aa74c25', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100388', 5, '刘家垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100388', 1, '2021-07-19 11:49:50', NULL, NULL), (17899, '', '印天寺村', '2ae9cbef46654871a05d11d87e858102', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100466', 5, '印天寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100466', 1, '2021-07-19 11:49:50', NULL, NULL), (17900, '', '龙门桥村', '2a95e3b1f835401ea9d4d77c3d1c3351', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100471', 5, '龙门桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100471', 1, '2021-07-19 11:49:50', NULL, NULL), (17901, '', '滴水岩村', 'ac74dfd205e745c9852233e05942b0c9', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100562', 5, '滴水岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100562', 1, '2021-07-19 11:49:50', NULL, NULL), (17902, '', '天宝寺社区', 'feb03d3d3c96469bb115922e76276acd', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100663', 5, '天宝寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100663', 1, '2021-07-19 11:49:50', NULL, NULL), (17903, '', '双庙子村', '3f5176b64bf54122844d8778760d5c9c', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100720', 5, '双庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100720', 1, '2021-07-19 11:49:50', NULL, NULL), (17904, '', '鹿岩山村', 'b8179791f0a04c8f9489914849d02414', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100766', 5, '鹿岩山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100766', 1, '2021-07-19 11:49:50', NULL, NULL), (17905, '', '西街社区', 'cfd39b96662149799f2cf18d08958964', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100779', 5, '西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100779', 1, '2021-07-19 11:49:50', NULL, NULL), (17906, '', '马家坟村', '858991c3aa1248b9af287aa1ad9e3374', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100797', 5, '马家坟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100797', 1, '2021-07-19 11:49:50', NULL, NULL), (17907, '', '府南社区', '651b48250cb34a72b3b01bb517303526', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100819', 5, '府南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100819', 1, '2021-07-19 11:49:50', NULL, NULL), (17908, '', '鹤鸣庵社区', '6dc4cc0d7dde463fafa7abfe2abfc5d0', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100890', 5, '鹤鸣庵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100890', 1, '2021-07-19 11:49:50', NULL, NULL), (17909, '', '库楼坝社区', '795072e94c8644f9b097669adb68d4df', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100922', 5, '库楼坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100922', 1, '2021-07-19 11:49:50', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (17910, '', '黄桷寺村', '9beefdb34f3a4fbfa3e2c0832250c15e', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100925', 5, '黄桷寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100925', 1, '2021-07-19 11:49:50', NULL, NULL), (17911, '', '黄家湾村', '495c5fa3033b42969cf7dfe168d06522', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100946', 5, '黄家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100946', 1, '2021-07-19 11:49:50', NULL, NULL), (17912, '', '白鹤观村', '953738bd8efd40c18376b8cb384d9a01', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100951', 5, '白鹤观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100951', 1, '2021-07-19 11:49:50', NULL, NULL), (17913, '', '袁公桥村', 'af5e3554f78c45aeb59fcab14000c2fc', 'aef207bc4f0d4ed5a5b56a1ed41adf52', 'False', 'False', 'false', 'false', '511325100970', 5, '袁公桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325100970', 1, '2021-07-19 11:49:51', NULL, NULL), (17914, '', '太平镇', 'd9794fe0d8f1431ab1c631e4c4fc2602', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325101000', 4, '太平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325101000', 1, '2021-07-19 11:49:51', NULL, NULL), (17915, '', '育英街社区', 'f1355d1c7efd424b875c8fd0283b6ad0', 'd9794fe0d8f1431ab1c631e4c4fc2602', 'False', 'False', 'false', 'false', '511325101001', 5, '育英街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325101001', 1, '2021-07-19 11:49:51', NULL, NULL), (17916, '', '麻树沟村', '5eda5c1390d347488d624f569743816a', 'd9794fe0d8f1431ab1c631e4c4fc2602', 'False', 'False', 'false', 'false', '511325101056', 5, '麻树沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325101056', 1, '2021-07-19 11:49:51', NULL, NULL), (17917, '', '麻柳垭村', 'fa46cd828e08479bb8f232037825095c', 'd9794fe0d8f1431ab1c631e4c4fc2602', 'False', 'False', 'false', 'false', '511325101126', 5, '麻柳垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325101126', 1, '2021-07-19 11:49:51', NULL, NULL), (17918, '', '转山河村', '15262fc5f70742deb033ad76f307c4ef', 'd9794fe0d8f1431ab1c631e4c4fc2602', 'False', 'False', 'false', 'false', '511325101201', 5, '转山河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325101201', 1, '2021-07-19 11:49:51', NULL, NULL), (17919, '', '龙门垭村', '68b6376d4b244efbbc6bfb9e3c2af37d', 'd9794fe0d8f1431ab1c631e4c4fc2602', 'False', 'False', 'false', 'false', '511325101242', 5, '龙门垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325101242', 1, '2021-07-19 11:49:51', NULL, NULL), (17920, '', '楠木庙村', '72c6b257cbe848a5808942ba70cc0567', 'd9794fe0d8f1431ab1c631e4c4fc2602', 'False', 'False', 'false', 'false', '511325101292', 5, '楠木庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325101292', 1, '2021-07-19 11:49:51', NULL, NULL), (17921, '', '大轮寺村', '9819b3bebf464d00a5c32827a0666d34', 'd9794fe0d8f1431ab1c631e4c4fc2602', 'False', 'False', 'false', 'false', '511325101460', 5, '大轮寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325101460', 1, '2021-07-19 11:49:51', NULL, NULL), (17922, '', '东乐庙村', 'ab468279b8a445ceb43955d5f2b2faf9', 'd9794fe0d8f1431ab1c631e4c4fc2602', 'False', 'False', 'false', 'false', '511325101551', 5, '东乐庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325101551', 1, '2021-07-19 11:49:51', NULL, NULL), (17923, '', '壁山垭村', '2241887643724757a98bed426add3aa5', 'd9794fe0d8f1431ab1c631e4c4fc2602', 'False', 'False', 'false', 'false', '511325101562', 5, '壁山垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325101562', 1, '2021-07-19 11:49:51', NULL, NULL), (17924, '', '草坝场村', '82f103ec2f3049e2bb83b4c08c480069', 'd9794fe0d8f1431ab1c631e4c4fc2602', 'False', 'False', 'false', 'false', '511325101598', 5, '草坝场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325101598', 1, '2021-07-19 11:49:51', NULL, NULL), (17925, '', '张家坝村', '508c926a03a9472c842df9102fc7a9ee', 'd9794fe0d8f1431ab1c631e4c4fc2602', 'False', 'False', 'false', 'false', '511325101612', 5, '张家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325101612', 1, '2021-07-19 11:49:51', NULL, NULL), (17926, '', '巴岩店村', '0a09328d8c814b559c53ddf443824e8d', 'd9794fe0d8f1431ab1c631e4c4fc2602', 'False', 'False', 'false', 'false', '511325101630', 5, '巴岩店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325101630', 1, '2021-07-19 11:49:51', NULL, NULL), (17927, '', '王家嘴村', 'e0e9359f71314371a7eee7e1db2902c3', 'd9794fe0d8f1431ab1c631e4c4fc2602', 'False', 'False', 'false', 'false', '511325101636', 5, '王家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325101636', 1, '2021-07-19 11:49:51', NULL, NULL), (17928, '', '李家咀村', '06cd2e9b1cf84c44a1ab1d6e3c09bc6b', 'd9794fe0d8f1431ab1c631e4c4fc2602', 'False', 'False', 'false', 'false', '511325101661', 5, '李家咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325101661', 1, '2021-07-19 11:49:51', NULL, NULL), (17929, '', '谢侯庙村', 'f46c08a485dc42b0b0da26928ba5bc32', 'd9794fe0d8f1431ab1c631e4c4fc2602', 'False', 'False', 'false', 'false', '511325101681', 5, '谢侯庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325101681', 1, '2021-07-19 11:49:51', NULL, NULL), (17930, '', '乐河寺村', 'a37031b93b8d4e6fb8a9897c57540849', 'd9794fe0d8f1431ab1c631e4c4fc2602', 'False', 'False', 'false', 'false', '511325101854', 5, '乐河寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325101854', 1, '2021-07-19 11:49:51', NULL, NULL), (17931, '', '太平村', '64f8e38e6f254d6eb8a702a4f29e178e', 'd9794fe0d8f1431ab1c631e4c4fc2602', 'False', 'False', 'false', 'false', '511325101941', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325101941', 1, '2021-07-19 11:49:52', NULL, NULL), (17932, '', '大全镇', '1aa78f06056949baa0b75818ad977998', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325102000', 4, '大全镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325102000', 1, '2021-07-19 11:49:52', NULL, NULL), (17933, '', '沙子岭村', 'd6c7b98c68034877b9ba804df77b10b0', '1aa78f06056949baa0b75818ad977998', 'False', 'False', 'false', 'false', '511325102165', 5, '沙子岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325102165', 1, '2021-07-19 11:49:52', NULL, NULL), (17934, '', '黄家坝村', 'f309c7c3a28c4ff2bd5447bfd9dca547', '1aa78f06056949baa0b75818ad977998', 'False', 'False', 'false', 'false', '511325102229', 5, '黄家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325102229', 1, '2021-07-19 11:49:52', NULL, NULL), (17935, '', '水旱坝村', '9f58f846c26d45fcb04cf4efef1115a2', '1aa78f06056949baa0b75818ad977998', 'False', 'False', 'false', 'false', '511325102251', 5, '水旱坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325102251', 1, '2021-07-19 11:49:52', NULL, NULL), (17936, '', '玉山沟村', '929a44bd5241421983926dc9780fcabd', '1aa78f06056949baa0b75818ad977998', 'False', 'False', 'false', 'false', '511325102429', 5, '玉山沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325102429', 1, '2021-07-19 11:49:52', NULL, NULL), (17937, '', '青杠嘴村', '6d07f1ef920a4b8bab83809a4113cd89', '1aa78f06056949baa0b75818ad977998', 'False', 'False', 'false', 'false', '511325102445', 5, '青杠嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325102445', 1, '2021-07-19 11:49:52', NULL, NULL), (17938, '', '福寿宫村', '6ba2049206b94c2db031c877b5220db8', '1aa78f06056949baa0b75818ad977998', 'False', 'False', 'false', 'false', '511325102592', 5, '福寿宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325102592', 1, '2021-07-19 11:49:52', NULL, NULL), (17939, '', '罗家坝村', '2f9679fa6aec461ab9cbc4e6e3aea7a3', '1aa78f06056949baa0b75818ad977998', 'False', 'False', 'false', 'false', '511325102662', 5, '罗家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325102662', 1, '2021-07-19 11:49:52', NULL, NULL), (17940, '', '童家湾村', '4f54a64304e04ae1a8aa77b90e3559d0', '1aa78f06056949baa0b75818ad977998', 'False', 'False', 'false', 'false', '511325102774', 5, '童家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325102774', 1, '2021-07-19 11:49:52', NULL, NULL), (17941, '', '何家堰村', '51061fa65eae422cafa07f7f541fb7eb', '1aa78f06056949baa0b75818ad977998', 'False', 'False', 'false', 'false', '511325102778', 5, '何家堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325102778', 1, '2021-07-19 11:49:52', NULL, NULL), (17942, '', '庞家沟村', '2d382e520d1e4231a6d7885a3cc82795', '1aa78f06056949baa0b75818ad977998', 'False', 'False', 'false', 'false', '511325102832', 5, '庞家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325102832', 1, '2021-07-19 11:49:52', NULL, NULL), (17943, '', '公子垭村', 'efe46fdb3aa048ec8721a48a202ca419', '1aa78f06056949baa0b75818ad977998', 'False', 'False', 'false', 'false', '511325102862', 5, '公子垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325102862', 1, '2021-07-19 11:49:52', NULL, NULL), (17944, '', '文化街社区', '90603b18fc374b08ae062f1accb4eab3', '1aa78f06056949baa0b75818ad977998', 'False', 'False', 'false', 'false', '511325102865', 5, '文化街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325102865', 1, '2021-07-19 11:49:52', NULL, NULL), (17945, '', '官争沟村', 'f51e0f259d5b4bbea5be06d58eed02cb', '1aa78f06056949baa0b75818ad977998', 'False', 'False', 'false', 'false', '511325102876', 5, '官争沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325102876', 1, '2021-07-19 11:49:52', NULL, NULL), (17946, '', '仙林镇', '7bdb69f0ee8346b2b10c9482d1c0800b', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325103000', 4, '仙林镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325103000', 1, '2021-07-19 11:49:52', NULL, NULL), (17947, '', '石老嘴村', '205ee57ffbfe4826b6ed4e91f48fc0e1', '7bdb69f0ee8346b2b10c9482d1c0800b', 'False', 'False', 'false', 'false', '511325103004', 5, '石老嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325103004', 1, '2021-07-19 11:49:52', NULL, NULL), (17948, '', '黄栋坪村', 'f5b7ba0b44514f8ea011a88f6b6fa87b', '7bdb69f0ee8346b2b10c9482d1c0800b', 'False', 'False', 'false', 'false', '511325103068', 5, '黄栋坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325103068', 1, '2021-07-19 11:49:52', NULL, NULL), (17949, '', '马庸寺村', '504b6ea431024c45ba9e0127e083ce4e', '7bdb69f0ee8346b2b10c9482d1c0800b', 'False', 'False', 'false', 'false', '511325103203', 5, '马庸寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325103203', 1, '2021-07-19 11:49:53', NULL, NULL), (17950, '', '贾地庙村', '0995590adedf4905952b24a8adc615a8', '7bdb69f0ee8346b2b10c9482d1c0800b', 'False', 'False', 'false', 'false', '511325103224', 5, '贾地庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325103224', 1, '2021-07-19 11:49:53', NULL, NULL), (17951, '', '敬垭观村', 'e0d0ae3c451f4724ba1e1ecc02302b91', '7bdb69f0ee8346b2b10c9482d1c0800b', 'False', 'False', 'false', 'false', '511325103307', 5, '敬垭观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325103307', 1, '2021-07-19 11:49:53', NULL, NULL), (17952, '', '谯家沟村', 'b3d76eb8caaf47599d8935c1f54451cc', '7bdb69f0ee8346b2b10c9482d1c0800b', 'False', 'False', 'false', 'false', '511325103308', 5, '谯家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325103308', 1, '2021-07-19 11:49:53', NULL, NULL), (17953, '', '长龙观村', '009704e309ea42e4a21ebf5df7d03fde', '7bdb69f0ee8346b2b10c9482d1c0800b', 'False', 'False', 'false', 'false', '511325103642', 5, '长龙观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325103642', 1, '2021-07-19 11:49:53', NULL, NULL), (17954, '', '维莫湾村', 'd32b7ee6f3fe487190b18288356533f7', '7bdb69f0ee8346b2b10c9482d1c0800b', 'False', 'False', 'false', 'false', '511325103747', 5, '维莫湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325103747', 1, '2021-07-19 11:49:53', NULL, NULL), (17955, '', '桥凤坝村', 'ce2d0ec6e7b5437c94178ee0613cd2c6', '7bdb69f0ee8346b2b10c9482d1c0800b', 'False', 'False', 'false', 'false', '511325103748', 5, '桥凤坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325103748', 1, '2021-07-19 11:49:53', NULL, NULL), (17956, '', '三圣庵村', '567a5b15d2aa4122950f28d5e4895438', '7bdb69f0ee8346b2b10c9482d1c0800b', 'False', 'False', 'false', 'false', '511325103784', 5, '三圣庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325103784', 1, '2021-07-19 11:49:53', NULL, NULL), (17957, '', '跳礅子村', 'c1d8cc724f1e469ea2fb3d0b42cb1006', '7bdb69f0ee8346b2b10c9482d1c0800b', 'False', 'False', 'false', 'false', '511325103918', 5, '跳礅子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325103918', 1, '2021-07-19 11:49:53', NULL, NULL), (17958, '', '来龙山村', 'd8866903d13245c5bc04010e1995ed31', '7bdb69f0ee8346b2b10c9482d1c0800b', 'False', 'False', 'false', 'false', '511325103933', 5, '来龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325103933', 1, '2021-07-19 11:49:53', NULL, NULL), (17959, '', '古楼镇', '88e7bfbf993f46979fc5290c71564188', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325104000', 4, '古楼镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325104000', 1, '2021-07-19 11:49:53', NULL, NULL), (17960, '', '毛关山村', '3b4042e4b6f84f82a8e6460bea7ba991', '88e7bfbf993f46979fc5290c71564188', 'False', 'False', 'false', 'false', '511325104036', 5, '毛关山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325104036', 1, '2021-07-19 11:49:53', NULL, NULL), (17961, '', '书房坪村', 'c91dabd01d06412abb099b54c51de997', '88e7bfbf993f46979fc5290c71564188', 'False', 'False', 'false', 'false', '511325104076', 5, '书房坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325104076', 1, '2021-07-19 11:49:53', NULL, NULL), (17962, '', '赵家庙村', '149b2572da9a4048be67bc81d6b75ede', '88e7bfbf993f46979fc5290c71564188', 'False', 'False', 'false', 'false', '511325104250', 5, '赵家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325104250', 1, '2021-07-19 11:49:53', NULL, NULL), (17963, '', '宝珠宫村', '2acf7d047990438daa21586ee70a81e5', '88e7bfbf993f46979fc5290c71564188', 'False', 'False', 'false', 'false', '511325104274', 5, '宝珠宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325104274', 1, '2021-07-19 11:49:53', NULL, NULL), (17964, '', '刘家坪村', '3210ec8d7fe04e2c8575da6f2bb5ea6b', '88e7bfbf993f46979fc5290c71564188', 'False', 'False', 'false', 'false', '511325104334', 5, '刘家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325104334', 1, '2021-07-19 11:49:53', NULL, NULL), (17965, '', '杜宇寺村', '7b0e9701aac446498b8758dbe568b819', '88e7bfbf993f46979fc5290c71564188', 'False', 'False', 'false', 'false', '511325104359', 5, '杜宇寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325104359', 1, '2021-07-19 11:49:53', NULL, NULL), (17966, '', '花庙子村', '25eeb9579d7d49c686ca424b537f3885', '88e7bfbf993f46979fc5290c71564188', 'False', 'False', 'false', 'false', '511325104404', 5, '花庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325104404', 1, '2021-07-19 11:49:54', NULL, NULL), (17967, '', '古楼村', '157634af66d646018456e140bd53f8fe', '88e7bfbf993f46979fc5290c71564188', 'False', 'False', 'false', 'false', '511325104452', 5, '古楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325104452', 1, '2021-07-19 11:49:54', NULL, NULL), (17968, '', '珍珠山村', '8cb039c9bace4e95b39bf4189166edeb', '88e7bfbf993f46979fc5290c71564188', 'False', 'False', 'false', 'false', '511325104516', 5, '珍珠山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325104516', 1, '2021-07-19 11:49:54', NULL, NULL), (17969, '', '鲜家坝村', 'ef75b4cebfe04034956e6ac460bdf6cb', '88e7bfbf993f46979fc5290c71564188', 'False', 'False', 'false', 'false', '511325104557', 5, '鲜家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325104557', 1, '2021-07-19 11:49:54', NULL, NULL), (17970, '', '郑家庙村', 'bf564e7e0c53452981d89dc3c320654d', '88e7bfbf993f46979fc5290c71564188', 'False', 'False', 'false', 'false', '511325104688', 5, '郑家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325104688', 1, '2021-07-19 11:49:54', NULL, NULL), (17971, '', '高家沟村', '785cc411070f493da17bbfff38d9046c', '88e7bfbf993f46979fc5290c71564188', 'False', 'False', 'false', 'false', '511325104783', 5, '高家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325104783', 1, '2021-07-19 11:49:54', NULL, NULL), (17972, '', '何氏祠村', '50cab9d79e8f4b2f802084f52e615c9c', '88e7bfbf993f46979fc5290c71564188', 'False', 'False', 'false', 'false', '511325104838', 5, '何氏祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325104838', 1, '2021-07-19 11:49:54', NULL, NULL), (17973, '', '过江楼村', '88f8b5b0057d4a988fe4b8bc404f81eb', '88e7bfbf993f46979fc5290c71564188', 'False', 'False', 'false', 'false', '511325104839', 5, '过江楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325104839', 1, '2021-07-19 11:49:54', NULL, NULL), (17974, '', '蒲家咀村', '77e5e2efe35a49019e542031e47d4ce7', '88e7bfbf993f46979fc5290c71564188', 'False', 'False', 'false', 'false', '511325104861', 5, '蒲家咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325104861', 1, '2021-07-19 11:49:54', NULL, NULL), (17975, '', '冯二垭村', '2f4ab9143a7e46b39739e6bce88c5611', '88e7bfbf993f46979fc5290c71564188', 'False', 'False', 'false', 'false', '511325104899', 5, '冯二垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325104899', 1, '2021-07-19 11:49:54', NULL, NULL), (17976, '', '唇牙山村', 'bdf97c65b8864bbe84aed73dc784fc00', '88e7bfbf993f46979fc5290c71564188', 'False', 'False', 'false', 'false', '511325104955', 5, '唇牙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325104955', 1, '2021-07-19 11:49:54', NULL, NULL), (17977, '', '义兴镇', 'cc7c5b597bbf4292bb8be06454b43acf', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325105000', 4, '义兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325105000', 1, '2021-07-19 11:49:54', NULL, NULL), (17978, '', '神垭宫', '6ed2a4dffaf54c83be5a93a523802f1a', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105001', 5, '神垭宫', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105001', 1, '2021-07-19 11:49:54', NULL, NULL), (17979, '', '上河街', 'fda9adc031934bbb83a2c4749db51862', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105002', 5, '上河街', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105002', 1, '2021-07-19 11:49:54', NULL, NULL), (17980, '', '荣兴大道', '300803edfbbc4efb8e139e8f495dd2f0', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105003', 5, '荣兴大道', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105003', 1, '2021-07-19 11:49:54', NULL, NULL), (17981, '', '曹家庙村', '44c4aaafb75c49efa4dc3835ce32fe58', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105201', 5, '曹家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105201', 1, '2021-07-19 11:49:54', NULL, NULL), (17982, '', '西山庙村', '73ef1b38cd1545ba9a95f6e6ede57480', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105202', 5, '西山庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105202', 1, '2021-07-19 11:49:54', NULL, NULL), (17983, '', '喻家垭村', 'aa3985059fea42a88802ca9679efeac9', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105203', 5, '喻家垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105203', 1, '2021-07-19 11:49:55', NULL, NULL), (17984, '', '花木山村', 'cce92acba74d4b1082ce8d599d8052bf', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105204', 5, '花木山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105204', 1, '2021-07-19 11:49:55', NULL, NULL), (17985, '', '胥家垭村', 'b50d473654444996abb7012e0b137eb8', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105205', 5, '胥家垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105205', 1, '2021-07-19 11:49:55', NULL, NULL), (17986, '', '天台院村', '6de3e45d03884c29818003def28fa5ff', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105206', 5, '天台院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105206', 1, '2021-07-19 11:49:55', NULL, NULL), (17987, '', '玉台场村', '47b5abd779b14f7fbbaf1b75896fe460', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105207', 5, '玉台场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105207', 1, '2021-07-19 11:49:55', NULL, NULL), (17988, '', '吉家店村', '79704f9facd34936807f89fdfa08ea85', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105208', 5, '吉家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105208', 1, '2021-07-19 11:49:55', NULL, NULL), (17989, '', '书房山村', '5de1b7ebf4be422e905b00f466c33bca', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105209', 5, '书房山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105209', 1, '2021-07-19 11:49:55', NULL, NULL), (17990, '', '白马村村', 'df28c864aa3e4810b2efbad32a6d0b7f', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105210', 5, '白马村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105210', 1, '2021-07-19 11:49:55', NULL, NULL), (17991, '', '殿子山村', 'd152b779c4704cd599948f74f5768ac4', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105211', 5, '殿子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105211', 1, '2021-07-19 11:49:55', NULL, NULL), (17992, '', '王家岩村', 'f65fcf073d334817963813a9dc91efe9', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105212', 5, '王家岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105212', 1, '2021-07-19 11:49:55', NULL, NULL), (17993, '', '新华村村', 'e27069ba739c40f0a71db6639d209355', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105213', 5, '新华村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105213', 1, '2021-07-19 11:49:55', NULL, NULL), (17994, '', '黄岭垭村', '5cdc50b32cce4e7281b6683041994119', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105214', 5, '黄岭垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105214', 1, '2021-07-19 11:49:55', NULL, NULL), (17995, '', '阳家庙村', '2f18887483544e40a068a2f058b00a05', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105215', 5, '阳家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105215', 1, '2021-07-19 11:49:55', NULL, NULL), (17996, '', '武显垭村', '83412f4ffe264a8392414d9a3e9d30f7', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105216', 5, '武显垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105216', 1, '2021-07-19 11:49:55', NULL, NULL), (17997, '', '盐水垭村', 'f7c84596f2234f7bbee657e96e98e7e7', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105217', 5, '盐水垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105217', 1, '2021-07-19 11:49:56', NULL, NULL), (17998, '', '黑柏山村', '420c70812f084a7aa14324f40d4a8592', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105218', 5, '黑柏山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105218', 1, '2021-07-19 11:49:56', NULL, NULL), (17999, '', '贾家店村', '52531ce1d33642dbb7dee7f830daf98a', 'cc7c5b597bbf4292bb8be06454b43acf', 'False', 'False', 'false', 'false', '511325105219', 5, '贾家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325105219', 1, '2021-07-19 11:49:56', NULL, NULL), (18000, '', '关文镇', 'dca13aa77b594c59b9ba255934ac6ae9', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325106000', 4, '关文镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325106000', 1, '2021-07-19 11:49:56', NULL, NULL), (18001, '', '走马岭村', '3eeddc8f328e440c9c515d92453a77bb', 'dca13aa77b594c59b9ba255934ac6ae9', 'False', 'False', 'false', 'false', '511325106101', 5, '走马岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325106101', 1, '2021-07-19 11:49:56', NULL, NULL), (18002, '', '祈嗣庵村', '769e951e13d0485cba590f79e29f0b5d', 'dca13aa77b594c59b9ba255934ac6ae9', 'False', 'False', 'false', 'false', '511325106194', 5, '祈嗣庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325106194', 1, '2021-07-19 11:49:56', NULL, NULL), (18003, '', '太极宫村', 'b03198e25ac145668fb6e0590e10f72c', 'dca13aa77b594c59b9ba255934ac6ae9', 'False', 'False', 'false', 'false', '511325106200', 5, '太极宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325106200', 1, '2021-07-19 11:49:56', NULL, NULL), (18004, '', '关文村', '7444ee336fae497eb7641e3fb37d3dee', 'dca13aa77b594c59b9ba255934ac6ae9', 'False', 'False', 'false', 'false', '511325106226', 5, '关文村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325106226', 1, '2021-07-19 11:49:56', NULL, NULL), (18005, '', '石坝子村', '730b13a9cdd849039645dee41ee101f0', 'dca13aa77b594c59b9ba255934ac6ae9', 'False', 'False', 'false', 'false', '511325106352', 5, '石坝子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325106352', 1, '2021-07-19 11:49:56', NULL, NULL), (18006, '', '会元宫村', '56eda7b683704959a449f14e137526e4', 'dca13aa77b594c59b9ba255934ac6ae9', 'False', 'False', 'false', 'false', '511325106452', 5, '会元宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325106452', 1, '2021-07-19 11:49:56', NULL, NULL), (18007, '', '回龙宫村', '5fb002b404244ec3974d38e5fced6329', 'dca13aa77b594c59b9ba255934ac6ae9', 'False', 'False', 'false', 'false', '511325106467', 5, '回龙宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325106467', 1, '2021-07-19 11:49:56', NULL, NULL), (18008, '', '杜家桥村', '09d42f6b9dac44baa04f83b53bedbb3a', 'dca13aa77b594c59b9ba255934ac6ae9', 'False', 'False', 'false', 'false', '511325106609', 5, '杜家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325106609', 1, '2021-07-19 11:49:56', NULL, NULL), (18009, '', '金龙寺村', '6ef04770ba994328874c5c324d71a64c', 'dca13aa77b594c59b9ba255934ac6ae9', 'False', 'False', 'false', 'false', '511325106695', 5, '金龙寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325106695', 1, '2021-07-19 11:49:56', NULL, NULL), (18010, '', '燕子垭村', '42cbce2202bc4e3a907733d7dda266fd', 'dca13aa77b594c59b9ba255934ac6ae9', 'False', 'False', 'false', 'false', '511325106700', 5, '燕子垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325106700', 1, '2021-07-19 11:49:56', NULL, NULL), (18011, '', '九联洞村', '4509b8278497420d8f8933b99f99055f', 'dca13aa77b594c59b9ba255934ac6ae9', 'False', 'False', 'false', 'false', '511325106759', 5, '九联洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325106759', 1, '2021-07-19 11:49:57', NULL, NULL), (18012, '', '长路垭村', 'e76d1992d2dc41399973ce97688df3bd', 'dca13aa77b594c59b9ba255934ac6ae9', 'False', 'False', 'false', 'false', '511325106940', 5, '长路垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325106940', 1, '2021-07-19 11:49:57', NULL, NULL), (18013, '', '踏水桥村', '6cc756aa38ab4170bbccb67498ba7fe8', 'dca13aa77b594c59b9ba255934ac6ae9', 'False', 'False', 'false', 'false', '511325106951', 5, '踏水桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325106951', 1, '2021-07-19 11:49:57', NULL, NULL), (18014, '', '凤鸣镇', '3152db4bd394420abde802bd685e5797', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325107000', 4, '凤鸣镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325107000', 1, '2021-07-19 11:49:57', NULL, NULL), (18015, '', '仁和寨村', '223cdf8f3ca14951acb7e2406bce532d', '3152db4bd394420abde802bd685e5797', 'False', 'False', 'false', 'false', '511325107028', 5, '仁和寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325107028', 1, '2021-07-19 11:49:57', NULL, NULL), (18016, '', '清斋宫村', '5b4b3986562a45a8bcb913e70df37da4', '3152db4bd394420abde802bd685e5797', 'False', 'False', 'false', 'false', '511325107029', 5, '清斋宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325107029', 1, '2021-07-19 11:49:57', NULL, NULL), (18017, '', '历古寺村', '5f3b1c2154924d1fa166f2d4d91fa1a2', '3152db4bd394420abde802bd685e5797', 'False', 'False', 'false', 'false', '511325107127', 5, '历古寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325107127', 1, '2021-07-19 11:49:57', NULL, NULL), (18018, '', '三元桥村', 'f1e4ecd9dbbc43fa828be02d271f4579', '3152db4bd394420abde802bd685e5797', 'False', 'False', 'false', 'false', '511325107211', 5, '三元桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325107211', 1, '2021-07-19 11:49:57', NULL, NULL), (18019, '', '龙宝宫村', '0d49569a91ae40e9bd1fa3a23119790e', '3152db4bd394420abde802bd685e5797', 'False', 'False', 'false', 'false', '511325107247', 5, '龙宝宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325107247', 1, '2021-07-19 11:49:57', NULL, NULL), (18020, '', '双龙桥村', '776adb97143d41cba415a465035b4429', '3152db4bd394420abde802bd685e5797', 'False', 'False', 'false', 'false', '511325107312', 5, '双龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325107312', 1, '2021-07-19 11:49:57', NULL, NULL), (18021, '', '新书房村', 'af560ce7cfb043348d48b75e64807d30', '3152db4bd394420abde802bd685e5797', 'False', 'False', 'false', 'false', '511325107371', 5, '新书房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325107371', 1, '2021-07-19 11:49:57', NULL, NULL), (18022, '', '迦释院村', '842b60ca035c4ff9a2cba5e06a85fbb1', '3152db4bd394420abde802bd685e5797', 'False', 'False', 'false', 'false', '511325107416', 5, '迦释院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325107416', 1, '2021-07-19 11:49:57', NULL, NULL), (18023, '', '北山寺村', 'baee22794d614fb98f2e9e871fc9b20b', '3152db4bd394420abde802bd685e5797', 'False', 'False', 'false', 'false', '511325107418', 5, '北山寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325107418', 1, '2021-07-19 11:49:58', NULL, NULL), (18024, '', '四圣庙村', '597b8e13ea43486193a5d98521e2ec95', '3152db4bd394420abde802bd685e5797', 'False', 'False', 'false', 'false', '511325107427', 5, '四圣庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325107427', 1, '2021-07-19 11:49:58', NULL, NULL), (18025, '', '八角楼村', 'c735fa0fd92a4cb093547eefc63ceb3b', '3152db4bd394420abde802bd685e5797', 'False', 'False', 'false', 'false', '511325107539', 5, '八角楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325107539', 1, '2021-07-19 11:49:58', NULL, NULL), (18026, '', '土桥子村', '28a7f2e3e86b473592118cd5efcb7420', '3152db4bd394420abde802bd685e5797', 'False', 'False', 'false', 'false', '511325107540', 5, '土桥子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325107540', 1, '2021-07-19 11:49:58', NULL, NULL), (18027, '', '佛归寺村', '8442adcb33b645929198b12823d94402', '3152db4bd394420abde802bd685e5797', 'False', 'False', 'false', 'false', '511325107549', 5, '佛归寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325107549', 1, '2021-07-19 11:49:58', NULL, NULL), (18028, '', '凤阳社区', 'eb23a52c32a742b992bac2ec246b56c4', '3152db4bd394420abde802bd685e5797', 'False', 'False', 'false', 'false', '511325107638', 5, '凤阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325107638', 1, '2021-07-19 11:49:58', NULL, NULL), (18029, '', '五显庙村', '4ab0e274a42545469d7639d313573cb3', '3152db4bd394420abde802bd685e5797', 'False', 'False', 'false', 'false', '511325107668', 5, '五显庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325107668', 1, '2021-07-19 11:49:58', NULL, NULL), (18030, '', '青狮镇', '88c2ff13dfda4374aafbcf790df41ab4', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325108000', 4, '青狮镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325108000', 1, '2021-07-19 11:49:58', NULL, NULL), (18031, '', '黄庆沟村', 'c5234e0817ef40f7bb9c478580a107e0', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108004', 5, '黄庆沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108004', 1, '2021-07-19 11:49:58', NULL, NULL), (18032, '', '红庙嘴村', '0e14ffa0371f4979b750f91d5eea7302', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108016', 5, '红庙嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108016', 1, '2021-07-19 11:49:58', NULL, NULL), (18033, '', '观音桥村', '2eaf547724fb4c08b3f4b208dcc34a6f', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108038', 5, '观音桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108038', 1, '2021-07-19 11:49:59', NULL, NULL), (18034, '', '程家坝村', '51c1904db4a54c73b7c0bfee0a3489d8', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108147', 5, '程家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108147', 1, '2021-07-19 11:49:59', NULL, NULL), (18035, '', '大石坎村', '48d34c34ad2c458ab1e1933108d56d5a', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108194', 5, '大石坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108194', 1, '2021-07-19 11:49:59', NULL, NULL), (18036, '', '垭门村', 'ef0b7c31e0d24c38abf0b1f9670101f0', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108224', 5, '垭门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108224', 1, '2021-07-19 11:49:59', NULL, NULL), (18037, '', '苦竹垭村', '19dfd0d96ec54092a98dd8d98f12fa89', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108292', 5, '苦竹垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108292', 1, '2021-07-19 11:49:59', NULL, NULL), (18038, '', '石宝宫村', '3d6fe9f227484ab1977aed93e58ce83b', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108383', 5, '石宝宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108383', 1, '2021-07-19 11:49:59', NULL, NULL), (18039, '', '观音寺村', 'daf16c09f10f4b1490016c556e7c4e91', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108387', 5, '观音寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108387', 1, '2021-07-19 11:49:59', NULL, NULL), (18040, '', '中观音村', '9a678153d3c34209b3c554be6ff7d1a7', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108420', 5, '中观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108420', 1, '2021-07-19 11:49:59', NULL, NULL), (18041, '', '老木垭村', '20d2c637da5842d3bf192d728e8870e4', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108423', 5, '老木垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108423', 1, '2021-07-19 11:49:59', NULL, NULL), (18042, '', '拱背桥村', 'c363a02fe3fb4eea9e942a64e38df0e0', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108450', 5, '拱背桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108450', 1, '2021-07-19 11:49:59', NULL, NULL), (18043, '', '青狮村', '228f69d1d69943ed8f6ae2ace93b27f9', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108471', 5, '青狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108471', 1, '2021-07-19 11:49:59', NULL, NULL), (18044, '', '杜家坝村', '2f07dd6119914f22b9de2cd69e851017', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108505', 5, '杜家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108505', 1, '2021-07-19 11:49:59', NULL, NULL), (18045, '', '分水垭村', '972467e9b04d46f48728bd2a39944519', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108671', 5, '分水垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108671', 1, '2021-07-19 11:49:59', NULL, NULL), (18046, '', '大寺垭村', '136a349f6bcb43ff8d343aec61550ca4', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108818', 5, '大寺垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108818', 1, '2021-07-19 11:49:59', NULL, NULL), (18047, '', '东岳庙村', '771dfd39983b44cba8b52483542125be', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108836', 5, '东岳庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108836', 1, '2021-07-19 11:49:59', NULL, NULL), (18048, '', '杨柳垭村', '37168982023446739eacc1d11db94ae9', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108876', 5, '杨柳垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108876', 1, '2021-07-19 11:50:00', NULL, NULL), (18049, '', '大兴寺村', '7aee286eb2604668a6cca13b4cb86727', '88c2ff13dfda4374aafbcf790df41ab4', 'False', 'False', 'false', 'false', '511325108969', 5, '大兴寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325108969', 1, '2021-07-19 11:50:00', NULL, NULL), (18050, '', '槐树镇', '0429d65f42a24ac088e7f3da49c02164', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325109000', 4, '槐树镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325109000', 1, '2021-07-19 11:50:00', NULL, NULL), (18051, '', '凤凰街社区', '54915b2360d649108dfa7bf9e2c10917', '0429d65f42a24ac088e7f3da49c02164', 'False', 'False', 'false', 'false', '511325109001', 5, '凤凰街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325109001', 1, '2021-07-19 11:50:00', NULL, NULL), (18052, '', '柳溪街社区', '7c44545519854b8ebfda9a8152eff1fb', '0429d65f42a24ac088e7f3da49c02164', 'False', 'False', 'false', 'false', '511325109002', 5, '柳溪街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325109002', 1, '2021-07-19 11:50:00', NULL, NULL), (18053, '', '青龙观村', '7fb1a5e854fb4f5a82ed0e9d3265c2e3', '0429d65f42a24ac088e7f3da49c02164', 'False', 'False', 'false', 'false', '511325109138', 5, '青龙观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325109138', 1, '2021-07-19 11:50:00', NULL, NULL), (18054, '', '双柏树村', 'f86d53b6187c494cb5b2fe756f101f27', '0429d65f42a24ac088e7f3da49c02164', 'False', 'False', 'false', 'false', '511325109197', 5, '双柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325109197', 1, '2021-07-19 11:50:00', NULL, NULL), (18055, '', '窦禅寺村', '37fcc2dc50014fab9d5928c144e4e357', '0429d65f42a24ac088e7f3da49c02164', 'False', 'False', 'false', 'false', '511325109268', 5, '窦禅寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325109268', 1, '2021-07-19 11:50:00', NULL, NULL), (18056, '', '黎家寺村', 'fbd6d79fd58947549c1314b0381e7361', '0429d65f42a24ac088e7f3da49c02164', 'False', 'False', 'false', 'false', '511325109425', 5, '黎家寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325109425', 1, '2021-07-19 11:50:00', NULL, NULL), (18057, '', '西禅寺村', '1d08d2b262224295abc16ee81b6d797c', '0429d65f42a24ac088e7f3da49c02164', 'False', 'False', 'false', 'false', '511325109642', 5, '西禅寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325109642', 1, '2021-07-19 11:50:00', NULL, NULL), (18058, '', '云山院村', 'df8a30f503974e26b6d79001640cccb1', '0429d65f42a24ac088e7f3da49c02164', 'False', 'False', 'false', 'false', '511325109692', 5, '云山院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325109692', 1, '2021-07-19 11:50:00', NULL, NULL), (18059, '', '合成寺村', '8b9a79e752fe42c494d22caafce04326', '0429d65f42a24ac088e7f3da49c02164', 'False', 'False', 'false', 'false', '511325109718', 5, '合成寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325109718', 1, '2021-07-19 11:50:00', NULL, NULL), (18060, '', '马氏祠村', '2b4004475f55420d8aa6addc2ac3a8c4', '0429d65f42a24ac088e7f3da49c02164', 'False', 'False', 'false', 'false', '511325109767', 5, '马氏祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325109767', 1, '2021-07-19 11:50:00', NULL, NULL), (18061, '', '乱石垭村', '2226582efae84619b567c70b8a899165', '0429d65f42a24ac088e7f3da49c02164', 'False', 'False', 'false', 'false', '511325109921', 5, '乱石垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325109921', 1, '2021-07-19 11:50:01', NULL, NULL), (18062, '', '狮子湾村', '80757fe071204a2bbdb0ed28218e4e5b', '0429d65f42a24ac088e7f3da49c02164', 'False', 'False', 'false', 'false', '511325109925', 5, '狮子湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325109925', 1, '2021-07-19 11:50:01', NULL, NULL), (18063, '', '观音坝村', 'e133382b9df7470f90f6920bf1b289b0', '0429d65f42a24ac088e7f3da49c02164', 'False', 'False', 'false', 'false', '511325109933', 5, '观音坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325109933', 1, '2021-07-19 11:50:01', NULL, NULL), (18064, '', '谢家店村', '2e78082ca8bd475fb93bf0e248e315b1', '0429d65f42a24ac088e7f3da49c02164', 'False', 'False', 'false', 'false', '511325109935', 5, '谢家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325109935', 1, '2021-07-19 11:50:01', NULL, NULL), (18065, '', '浅垭子村', '6d651a10bf104485b2c254e98bd45613', '0429d65f42a24ac088e7f3da49c02164', 'False', 'False', 'false', 'false', '511325109948', 5, '浅垭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325109948', 1, '2021-07-19 11:50:01', NULL, NULL), (18066, '', '凤凰村', '4e0291b16bdb45ffae3cbbea4a393410', '0429d65f42a24ac088e7f3da49c02164', 'False', 'False', 'false', 'false', '511325109966', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325109966', 1, '2021-07-19 11:50:01', NULL, NULL), (18067, '', '鸣龙镇', 'f2a2397591434e5d987316b7d09b701d', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325110000', 4, '鸣龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325110000', 1, '2021-07-19 11:50:01', NULL, NULL), (18068, '', '凉快垭村', 'aaf1ecb014404f129b9f6aa4c7382cf6', 'f2a2397591434e5d987316b7d09b701d', 'False', 'False', 'false', 'false', '511325110791', 5, '凉快垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325110791', 1, '2021-07-19 11:50:01', NULL, NULL), (18069, '', '白鹤庵村', '9b76facdf70644bbadca58d5eb624cf8', 'f2a2397591434e5d987316b7d09b701d', 'False', 'False', 'false', 'false', '511325110053', 5, '白鹤庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325110053', 1, '2021-07-19 11:50:01', NULL, NULL), (18070, '', '猫尔山村', '721fbb5f72f64cd6b1c74056f2f2898c', 'f2a2397591434e5d987316b7d09b701d', 'False', 'False', 'false', 'false', '511325110081', 5, '猫尔山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325110081', 1, '2021-07-19 11:50:01', NULL, NULL), (18071, '', '龙井沟村', '861da60ef9e4491c8be67aa9f553c8e1', 'f2a2397591434e5d987316b7d09b701d', 'False', 'False', 'false', 'false', '511325110147', 5, '龙井沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325110147', 1, '2021-07-19 11:50:01', NULL, NULL), (18072, '', '回龙观村', 'f877f5f58f94462aa46ccc860ca1d187', 'f2a2397591434e5d987316b7d09b701d', 'False', 'False', 'false', 'false', '511325110219', 5, '回龙观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325110219', 1, '2021-07-19 11:50:01', NULL, NULL), (18073, '', '佛尔河村', 'c79846b00f384a7e876079156bd6671d', 'f2a2397591434e5d987316b7d09b701d', 'False', 'False', 'false', 'false', '511325110224', 5, '佛尔河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325110224', 1, '2021-07-19 11:50:01', NULL, NULL), (18074, '', '回龙场村', '5b5f91a4281643cfaf5909b957cab734', 'f2a2397591434e5d987316b7d09b701d', 'False', 'False', 'false', 'false', '511325110314', 5, '回龙场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325110314', 1, '2021-07-19 11:50:01', NULL, NULL), (18075, '', '尖山子村', '9bef7d4422c640f1a725f6fce1eaf2e3', 'f2a2397591434e5d987316b7d09b701d', 'False', 'False', 'false', 'false', '511325110360', 5, '尖山子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325110360', 1, '2021-07-19 11:50:02', NULL, NULL), (18076, '', '象岩寺村', 'ac0db80db78e4d34aa59f0f70fe3c64a', 'f2a2397591434e5d987316b7d09b701d', 'False', 'False', 'false', 'false', '511325110469', 5, '象岩寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325110469', 1, '2021-07-19 11:50:02', NULL, NULL), (18077, '', '丝公山村', '145be12005184aac81af1f3dc234de21', 'f2a2397591434e5d987316b7d09b701d', 'False', 'False', 'false', 'false', '511325110645', 5, '丝公山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325110645', 1, '2021-07-19 11:50:02', NULL, NULL), (18078, '', '响水滩村', '634c178c07ca45179c248d63629af462', 'f2a2397591434e5d987316b7d09b701d', 'False', 'False', 'false', 'false', '511325110675', 5, '响水滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325110675', 1, '2021-07-19 11:50:02', NULL, NULL), (18079, '', '官斗山村', '27183a1daa2a4d34a2f3fba039774760', 'f2a2397591434e5d987316b7d09b701d', 'False', 'False', 'false', 'false', '511325110836', 5, '官斗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325110836', 1, '2021-07-19 11:50:02', NULL, NULL), (18080, '', '河脉桥村', 'b6e352cfcee8416396071792ea3d39f9', 'f2a2397591434e5d987316b7d09b701d', 'False', 'False', 'false', 'false', '511325110894', 5, '河脉桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325110894', 1, '2021-07-19 11:50:02', NULL, NULL), (18081, '', '宫子山村', '77e093a772104f8dad76320e02309a63', 'f2a2397591434e5d987316b7d09b701d', 'False', 'False', 'false', 'false', '511325110966', 5, '宫子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325110966', 1, '2021-07-19 11:50:02', NULL, NULL), (18082, '', '三合寨村', 'f539449d058b4b7fbcecdfee1a63defc', 'f2a2397591434e5d987316b7d09b701d', 'False', 'False', 'false', 'false', '511325110978', 5, '三合寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325110978', 1, '2021-07-19 11:50:02', NULL, NULL), (18083, '', '双凤镇', '0c6f473b976d443fb3088e3d2a58d7bf', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325111000', 4, '双凤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325111000', 1, '2021-07-19 11:50:02', NULL, NULL), (18084, '', '佛宝观村', '18be107e1f4a4221b068e74e63feb25e', '0c6f473b976d443fb3088e3d2a58d7bf', 'False', 'False', 'false', 'false', '511325111026', 5, '佛宝观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325111026', 1, '2021-07-19 11:50:02', NULL, NULL), (18085, '', '红栋子村', '650ceb28aff84092a3c73d1e53d170a7', '0c6f473b976d443fb3088e3d2a58d7bf', 'False', 'False', 'false', 'false', '511325111034', 5, '红栋子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325111034', 1, '2021-07-19 11:50:02', NULL, NULL), (18086, '', '乾元宫村', '934a3f71078e424c80ff2d7a83abd1ef', '0c6f473b976d443fb3088e3d2a58d7bf', 'False', 'False', 'false', 'false', '511325111042', 5, '乾元宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325111042', 1, '2021-07-19 11:50:02', NULL, NULL), (18087, '', '圭心寺村', 'fef883739d264fa9bc40cddaa539e9e5', '0c6f473b976d443fb3088e3d2a58d7bf', 'False', 'False', 'false', 'false', '511325111053', 5, '圭心寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325111053', 1, '2021-07-19 11:50:02', NULL, NULL), (18088, '', '蟠龙村', '4e4de9b8bc4646c887b8d68e0637d998', '0c6f473b976d443fb3088e3d2a58d7bf', 'False', 'False', 'false', 'false', '511325111160', 5, '蟠龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325111160', 1, '2021-07-19 11:50:02', NULL, NULL), (18089, '', '严村沟村', 'f8f299f328db43f6bc350ac90be7af6f', '0c6f473b976d443fb3088e3d2a58d7bf', 'False', 'False', 'false', 'false', '511325111180', 5, '严村沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325111180', 1, '2021-07-19 11:50:02', NULL, NULL), (18090, '', '曹家沟村', '802b9e2c621644dba43b921267c7326b', '0c6f473b976d443fb3088e3d2a58d7bf', 'False', 'False', 'false', 'false', '511325111354', 5, '曹家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325111354', 1, '2021-07-19 11:50:03', NULL, NULL), (18091, '', '新店子村', '6151501dea584359aa35225187ae032a', '0c6f473b976d443fb3088e3d2a58d7bf', 'False', 'False', 'false', 'false', '511325111374', 5, '新店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325111374', 1, '2021-07-19 11:50:03', NULL, NULL), (18092, '', '芋头沟社区', '5f7233c525a148f49842df53fe0f273f', '0c6f473b976d443fb3088e3d2a58d7bf', 'False', 'False', 'false', 'false', '511325111580', 5, '芋头沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325111580', 1, '2021-07-19 11:50:03', NULL, NULL), (18093, '', '凤头社区', 'd4c21c28530e48d6b05e3ffef4e8dc57', '0c6f473b976d443fb3088e3d2a58d7bf', 'False', 'False', 'false', 'false', '511325111590', 5, '凤头社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325111590', 1, '2021-07-19 11:50:03', NULL, NULL), (18094, '', '五栋碑村', '0f66eac5b3ba4fdda2abd0c250d9ab90', '0c6f473b976d443fb3088e3d2a58d7bf', 'False', 'False', 'false', 'false', '511325111631', 5, '五栋碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325111631', 1, '2021-07-19 11:50:03', NULL, NULL), (18095, '', '楼底子社区', 'ac90d165e9ae4f1fbe2dbffbda1c3734', '0c6f473b976d443fb3088e3d2a58d7bf', 'False', 'False', 'false', 'false', '511325111730', 5, '楼底子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325111730', 1, '2021-07-19 11:50:03', NULL, NULL), (18096, '', '跳蹬河村', 'bfd2d1c4d2ca4659b24ab4454a83afdd', '0c6f473b976d443fb3088e3d2a58d7bf', 'False', 'False', 'false', 'false', '511325111773', 5, '跳蹬河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325111773', 1, '2021-07-19 11:50:03', NULL, NULL), (18097, '', '龙家沟村', '5c47986b75bc4fe9a7a69a52b40d8eb8', '0c6f473b976d443fb3088e3d2a58d7bf', 'False', 'False', 'false', 'false', '511325111862', 5, '龙家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325111862', 1, '2021-07-19 11:50:03', NULL, NULL), (18098, '', '鹤鸣院村', 'baa13471850e41d79d3be95b2726b965', '0c6f473b976d443fb3088e3d2a58d7bf', 'False', 'False', 'false', 'false', '511325111955', 5, '鹤鸣院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325111955', 1, '2021-07-19 11:50:03', NULL, NULL), (18099, '', '麒麟村', 'b07324fae9374855a2f1a776ef9bf1a7', '0c6f473b976d443fb3088e3d2a58d7bf', 'False', 'False', 'false', 'false', '511325111973', 5, '麒麟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325111973', 1, '2021-07-19 11:50:03', NULL, NULL), (18100, '', '化泉院村', 'a0c9e3e65b2d4d5a9fa2ca661067c90d', '0c6f473b976d443fb3088e3d2a58d7bf', 'False', 'False', 'false', 'false', '511325111991', 5, '化泉院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325111991', 1, '2021-07-19 11:50:03', NULL, NULL), (18101, '', '龙台院村', '1f230d68e65e4abf871567303ebd2ed5', '0c6f473b976d443fb3088e3d2a58d7bf', 'False', 'False', 'false', 'false', '511325111999', 5, '龙台院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325111999', 1, '2021-07-19 11:50:03', NULL, NULL), (18102, '', '高院镇', '6f630894c48b43d5ba74776fc5c6e63f', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325112000', 4, '高院镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325112000', 1, '2021-07-19 11:50:03', NULL, NULL), (18103, '', '范家庙村', '20eee332d7054181ada54b0ee9ac07d3', '6f630894c48b43d5ba74776fc5c6e63f', 'False', 'False', 'false', 'false', '511325112031', 5, '范家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325112031', 1, '2021-07-19 11:50:03', NULL, NULL), (18104, '', '佛华山村', 'fbac598a5a1e481b9f9a403ddb735dc9', '6f630894c48b43d5ba74776fc5c6e63f', 'False', 'False', 'false', 'false', '511325112041', 5, '佛华山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325112041', 1, '2021-07-19 11:50:03', NULL, NULL), (18105, '', '公字坝村', 'e3d5e68f752a4541adbc4d9478d009c0', '6f630894c48b43d5ba74776fc5c6e63f', 'False', 'False', 'false', 'false', '511325112088', 5, '公字坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325112088', 1, '2021-07-19 11:50:03', NULL, NULL), (18106, '', '龙凤溪村', 'e384f0285f0440458d4f851cb3bc254f', '6f630894c48b43d5ba74776fc5c6e63f', 'False', 'False', 'false', 'false', '511325112146', 5, '龙凤溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325112146', 1, '2021-07-19 11:50:04', NULL, NULL), (18107, '', '三溪口村', 'c2fecff373cb4a42b1b1ec460fc40165', '6f630894c48b43d5ba74776fc5c6e63f', 'False', 'False', 'false', 'false', '511325112236', 5, '三溪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325112236', 1, '2021-07-19 11:50:04', NULL, NULL), (18108, '', '梅垭沟村', 'acfca50bd79f4818802d7cc2f1fca6cf', '6f630894c48b43d5ba74776fc5c6e63f', 'False', 'False', 'false', 'false', '511325112241', 5, '梅垭沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325112241', 1, '2021-07-19 11:50:04', NULL, NULL), (18109, '', '敬家庙村', '26f81d22df8943cda3fde9665b420a9a', '6f630894c48b43d5ba74776fc5c6e63f', 'False', 'False', 'false', 'false', '511325112252', 5, '敬家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325112252', 1, '2021-07-19 11:50:04', NULL, NULL), (18110, '', '关帝庙村', '24bd3eea3c6046d28fc4f0da796f094c', '6f630894c48b43d5ba74776fc5c6e63f', 'False', 'False', 'false', 'false', '511325112315', 5, '关帝庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325112315', 1, '2021-07-19 11:50:04', NULL, NULL), (18111, '', '秋垭庙村', '3a0828e459894fc28877f20ab5bbad28', '6f630894c48b43d5ba74776fc5c6e63f', 'False', 'False', 'false', 'false', '511325112324', 5, '秋垭庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325112324', 1, '2021-07-19 11:50:04', NULL, NULL), (18112, '', '桶门垭村', '38edce4b189e4ad69146a4ab3d1b689d', '6f630894c48b43d5ba74776fc5c6e63f', 'False', 'False', 'false', 'false', '511325112345', 5, '桶门垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325112345', 1, '2021-07-19 11:50:04', NULL, NULL), (18113, '', '邹家堰村', '74d003972e324732a8745d6aa4285986', '6f630894c48b43d5ba74776fc5c6e63f', 'False', 'False', 'false', 'false', '511325112425', 5, '邹家堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325112425', 1, '2021-07-19 11:50:04', NULL, NULL), (18114, '', '东龙山村', 'a9de532f2b2448e583595547efbc8bd1', '6f630894c48b43d5ba74776fc5c6e63f', 'False', 'False', 'false', 'false', '511325112569', 5, '东龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325112569', 1, '2021-07-19 11:50:04', NULL, NULL), (18115, '', '石牛庙村', '8a81ecf880054be493ca2b8ca223d0ec', '6f630894c48b43d5ba74776fc5c6e63f', 'False', 'False', 'false', 'false', '511325112644', 5, '石牛庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325112644', 1, '2021-07-19 11:50:04', NULL, NULL), (18116, '', '梓桐庙村', '7ad410cd61824455b3406b645104f82a', '6f630894c48b43d5ba74776fc5c6e63f', 'False', 'False', 'false', 'false', '511325112762', 5, '梓桐庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325112762', 1, '2021-07-19 11:50:04', NULL, NULL), (18117, '', '老城子村', '01c47dab4ac54095b03301caebc4fd9b', '6f630894c48b43d5ba74776fc5c6e63f', 'False', 'False', 'false', 'false', '511325112867', 5, '老城子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325112867', 1, '2021-07-19 11:50:04', NULL, NULL), (18118, '', '石梯坎村', '93e8aa54b7bb40c6a89b3f1bac2221cc', '6f630894c48b43d5ba74776fc5c6e63f', 'False', 'False', 'false', 'false', '511325112875', 5, '石梯坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325112875', 1, '2021-07-19 11:50:04', NULL, NULL), (18119, '', '蟠龙山村', '54c319058ce6460b8cb63fd76fb975d4', '6f630894c48b43d5ba74776fc5c6e63f', 'False', 'False', 'false', 'false', '511325112883', 5, '蟠龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325112883', 1, '2021-07-19 11:50:04', NULL, NULL), (18120, '', '花子岭村', '42894155c9bb4f409d1b6219c1e221c4', '6f630894c48b43d5ba74776fc5c6e63f', 'False', 'False', 'false', 'false', '511325112899', 5, '花子岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325112899', 1, '2021-07-19 11:50:05', NULL, NULL), (18121, '', '仁和镇', 'ad5a8fe74fa344d79f12149be32e6bf0', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325113000', 4, '仁和镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325113000', 1, '2021-07-19 11:50:05', NULL, NULL), (18122, '', '仁义桥村', 'f9f70581268942ef8f82583feddaf376', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113097', 5, '仁义桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113097', 1, '2021-07-19 11:50:05', NULL, NULL), (18123, '', '彭家寺村', '57ca5f49df8d4cc3899e9b360bdd89d5', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113120', 5, '彭家寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113120', 1, '2021-07-19 11:50:05', NULL, NULL), (18124, '', '小陵寺村', '0288fe9aa01f4660a9416a5006def9aa', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113194', 5, '小陵寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113194', 1, '2021-07-19 11:50:05', NULL, NULL), (18125, '', '小燕村', '17518d22c3c745628e1f81142d1fb796', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113218', 5, '小燕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113218', 1, '2021-07-19 11:50:05', NULL, NULL), (18126, '', '圣泉山村', '518ff74eb6bc4787a77ff78205ff7f54', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113280', 5, '圣泉山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113280', 1, '2021-07-19 11:50:05', NULL, NULL), (18127, '', '联合村', '07121f2c967f44b69ec990ae8f6f22b9', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113349', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113349', 1, '2021-07-19 11:50:05', NULL, NULL), (18128, '', '白虎坪村', 'e6ac070edcf7405a8a0e6ead1e44bbf1', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113382', 5, '白虎坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113382', 1, '2021-07-19 11:50:05', NULL, NULL), (18129, '', '金华山村', 'bf8cd35e17604c47b5d63a448148de0d', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113440', 5, '金华山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113440', 1, '2021-07-19 11:50:05', NULL, NULL), (18130, '', '马鞍山村', '7bf516e921754fe799f80192f3494f02', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113467', 5, '马鞍山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113467', 1, '2021-07-19 11:50:05', NULL, NULL), (18131, '', '石塔岭村', 'bbd8b584eec14a6abebf80ec65ed5669', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113475', 5, '石塔岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113475', 1, '2021-07-19 11:50:06', NULL, NULL), (18132, '', '高楼架村', 'acb069443e154df0877395b0d4d0f11d', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113510', 5, '高楼架村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113510', 1, '2021-07-19 11:50:06', NULL, NULL), (18133, '', '玉台山村', '0ec44242e502400588a68b7bbff0342d', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113587', 5, '玉台山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113587', 1, '2021-07-19 11:50:06', NULL, NULL), (18134, '', '大众街社区', 'd9fbf66c417545658c63310e0d316f38', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113615', 5, '大众街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113615', 1, '2021-07-19 11:50:06', NULL, NULL), (18135, '', '任家沟村', '18880813ff3c4042a22539cfbb7fc536', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113628', 5, '任家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113628', 1, '2021-07-19 11:50:06', NULL, NULL), (18136, '', '千佛寺村', 'af98c38fd4f14c4caecf74eed5db7df0', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113694', 5, '千佛寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113694', 1, '2021-07-19 11:50:06', NULL, NULL), (18137, '', '檬子垭村', 'ba84cc1dc6484fbf8fc74b46ca91f3de', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113721', 5, '檬子垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113721', 1, '2021-07-19 11:50:06', NULL, NULL), (18138, '', '百佛寺村', 'd61c38ce72de48309b0ad42b7e82bb03', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113748', 5, '百佛寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113748', 1, '2021-07-19 11:50:06', NULL, NULL), (18139, '', '何家沟村', '18b167efedeb46268b76b7e2fc5e08ea', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113760', 5, '何家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113760', 1, '2021-07-19 11:50:06', NULL, NULL), (18140, '', '莲花台村', 'e30624f57e51441f82ac8c87824fbf75', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113772', 5, '莲花台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113772', 1, '2021-07-19 11:50:06', NULL, NULL), (18141, '', '燕子坝村', 'f16386c3a6e64773bd9f0baf9b3fdd58', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113793', 5, '燕子坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113793', 1, '2021-07-19 11:50:06', NULL, NULL), (18142, '', '金子山村', 'b33cb2079bc146358ac8829d8b8ed8c0', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113855', 5, '金子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113855', 1, '2021-07-19 11:50:06', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (18143, '', '大湾头村', '563e86439b8241e78d16cca126a96797', 'ad5a8fe74fa344d79f12149be32e6bf0', 'False', 'False', 'false', 'false', '511325113954', 5, '大湾头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325113954', 1, '2021-07-19 11:50:06', NULL, NULL), (18144, '', '多扶镇', 'c7b10c1ec4c54e69a785efd70b4db475', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325114000', 4, '多扶镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325114000', 1, '2021-07-19 11:50:06', NULL, NULL), (18145, '', '中心街社区', '70d16a48fefa40308672886681e9a1a0', 'c7b10c1ec4c54e69a785efd70b4db475', 'False', 'False', 'false', 'false', '511325114001', 5, '中心街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325114001', 1, '2021-07-19 11:50:07', NULL, NULL), (18146, '', '万佰堰社区', '46b9c3d33bf74f36982636e67cca1e68', 'c7b10c1ec4c54e69a785efd70b4db475', 'False', 'False', 'false', 'false', '511325114002', 5, '万佰堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325114002', 1, '2021-07-19 11:50:07', NULL, NULL), (18147, '', '西南社区', 'b506287e960c4bd480a626dc32ff6922', 'c7b10c1ec4c54e69a785efd70b4db475', 'False', 'False', 'false', 'false', '511325114003', 5, '西南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325114003', 1, '2021-07-19 11:50:07', NULL, NULL), (18148, '', '田坝社区', '383d9d762028421796e07b1c0718b2d0', 'c7b10c1ec4c54e69a785efd70b4db475', 'False', 'False', 'false', 'false', '511325114004', 5, '田坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325114004', 1, '2021-07-19 11:50:07', NULL, NULL), (18149, '', '老林沟村', '012ff48e98894c9cadbb03b95e2ae06e', 'c7b10c1ec4c54e69a785efd70b4db475', 'False', 'False', 'false', 'false', '511325114024', 5, '老林沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325114024', 1, '2021-07-19 11:50:07', NULL, NULL), (18150, '', '金龟寺村', 'd5357d4e64f6460e971d67724ab17bdd', 'c7b10c1ec4c54e69a785efd70b4db475', 'False', 'False', 'false', 'false', '511325114269', 5, '金龟寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325114269', 1, '2021-07-19 11:50:07', NULL, NULL), (18151, '', '黄竹坝村', 'bce9bef9425e4f7880a48c8755fef4e5', 'c7b10c1ec4c54e69a785efd70b4db475', 'False', 'False', 'false', 'false', '511325114304', 5, '黄竹坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325114304', 1, '2021-07-19 11:50:07', NULL, NULL), (18152, '', '鹭鸯沟村', '548914f6b1a4400f9ec902a0013f871f', 'c7b10c1ec4c54e69a785efd70b4db475', 'False', 'False', 'false', 'false', '511325114328', 5, '鹭鸯沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325114328', 1, '2021-07-19 11:50:07', NULL, NULL), (18153, '', '西三井村', '563da433071544f1bc713eda01395dec', 'c7b10c1ec4c54e69a785efd70b4db475', 'False', 'False', 'false', 'false', '511325114397', 5, '西三井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325114397', 1, '2021-07-19 11:50:07', NULL, NULL), (18154, '', '三面峰村', '0ecb15c7f26341d4aec7b63cfb3e73ad', 'c7b10c1ec4c54e69a785efd70b4db475', 'False', 'False', 'false', 'false', '511325114524', 5, '三面峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325114524', 1, '2021-07-19 11:50:07', NULL, NULL), (18155, '', '破头山村', '334949b11b14446db6379fcc6a15f805', 'c7b10c1ec4c54e69a785efd70b4db475', 'False', 'False', 'false', 'false', '511325114597', 5, '破头山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325114597', 1, '2021-07-19 11:50:07', NULL, NULL), (18156, '', '马槽沟村', 'cb644c63714640b0a1aed474572c06d0', 'c7b10c1ec4c54e69a785efd70b4db475', 'False', 'False', 'false', 'false', '511325114609', 5, '马槽沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325114609', 1, '2021-07-19 11:50:07', NULL, NULL), (18157, '', '兴隆湾村', 'dfb766b977d7431e92477fde34b48f7a', 'c7b10c1ec4c54e69a785efd70b4db475', 'False', 'False', 'false', 'false', '511325114631', 5, '兴隆湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325114631', 1, '2021-07-19 11:50:07', NULL, NULL), (18158, '', '多宝观村', 'b83d3e73cdf74fceb0f4e2af34b1e8a2', 'c7b10c1ec4c54e69a785efd70b4db475', 'False', 'False', 'false', 'false', '511325114693', 5, '多宝观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325114693', 1, '2021-07-19 11:50:07', NULL, NULL), (18159, '', '潮音寺村', '9e0ed9be8130433f9ec8dc3810ad5801', 'c7b10c1ec4c54e69a785efd70b4db475', 'False', 'False', 'false', 'false', '511325114779', 5, '潮音寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325114779', 1, '2021-07-19 11:50:07', NULL, NULL), (18160, '', '燕子寺村', 'd14faea09d1e450cb714262bcb408a8a', 'c7b10c1ec4c54e69a785efd70b4db475', 'False', 'False', 'false', 'false', '511325114790', 5, '燕子寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325114790', 1, '2021-07-19 11:50:07', NULL, NULL), (18161, '', '凤凰山村', '40f3c238898842809acbf8ed67bf1f9a', 'c7b10c1ec4c54e69a785efd70b4db475', 'False', 'False', 'false', 'false', '511325114794', 5, '凤凰山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325114794', 1, '2021-07-19 11:50:07', NULL, NULL), (18162, '', '三节桥村', '50c8cc0d5fff4dcd8b5dd08a2c3c72a9', 'c7b10c1ec4c54e69a785efd70b4db475', 'False', 'False', 'false', 'false', '511325114938', 5, '三节桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325114938', 1, '2021-07-19 11:50:08', NULL, NULL), (18163, '', '常林镇', '7a9e078cbb8047b6ac46862cd503c47f', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325202000', 4, '常林镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325202000', 1, '2021-07-19 11:50:08', NULL, NULL), (18164, '', '将军碑社区', 'f5050d3678ae4e10a5ec0fa0bed59f15', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202001', 5, '将军碑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202001', 1, '2021-07-19 11:50:08', NULL, NULL), (18165, '', '大田坝社区', '4f158168c1504c058c67f00b25348e46', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202002', 5, '大田坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202002', 1, '2021-07-19 11:50:08', NULL, NULL), (18166, '', '灵芝桥社区', '7441b34ba1764fc487965d3d8a622d7d', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202003', 5, '灵芝桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202003', 1, '2021-07-19 11:50:08', NULL, NULL), (18167, '', '石板河社区', '102961941bcc4eb9b070a5650df5949e', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202004', 5, '石板河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202004', 1, '2021-07-19 11:50:08', NULL, NULL), (18168, '', '陈店沟村', '5d8c45dcb08c41c7aaf1950ac8e45281', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202191', 5, '陈店沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202191', 1, '2021-07-19 11:50:08', NULL, NULL), (18169, '', '五里店村', 'afd660e43fd549efba5869b21addfb0e', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202202', 5, '五里店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202202', 1, '2021-07-19 11:50:08', NULL, NULL), (18170, '', '蟠龙观村', '9edcedb2ba8e4cffa7cb8ac75f7b82ea', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202203', 5, '蟠龙观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202203', 1, '2021-07-19 11:50:08', NULL, NULL), (18171, '', '张家店村', 'c2f9031775c4447e80001636ca7b7c7f', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202204', 5, '张家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202204', 1, '2021-07-19 11:50:08', NULL, NULL), (18172, '', '石狮子村', '5283fbbf5af14422bd705438950c7b14', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202205', 5, '石狮子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202205', 1, '2021-07-19 11:50:08', NULL, NULL), (18173, '', '龙洞沟村', '3c57b93622a64356b421e4533f8ed7ff', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202206', 5, '龙洞沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202206', 1, '2021-07-19 11:50:08', NULL, NULL), (18174, '', '白庙子村', '50892f7594664e32bcd959be64e098e4', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202207', 5, '白庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202207', 1, '2021-07-19 11:50:08', NULL, NULL), (18175, '', '杨村沟村', 'a2ca3da0f32c41659ad0fdc295a86cd1', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202208', 5, '杨村沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202208', 1, '2021-07-19 11:50:08', NULL, NULL), (18176, '', '木角庙村', 'fb239c59e04f4464b1f763a55226815c', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202209', 5, '木角庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202209', 1, '2021-07-19 11:50:09', NULL, NULL), (18177, '', '亭子垭村', 'bdf3a8c52e0c4f99b5259c768c4914c8', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202211', 5, '亭子垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202211', 1, '2021-07-19 11:50:09', NULL, NULL), (18178, '', '大石桥村', 'd02fdff84b0345f08d18fed571abb01a', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202212', 5, '大石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202212', 1, '2021-07-19 11:50:09', NULL, NULL), (18179, '', '高石梯村', 'de6e07e4d15a42929da7e0b73c4f66fd', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202213', 5, '高石梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202213', 1, '2021-07-19 11:50:09', NULL, NULL), (18180, '', '红豆沟村', '0aa9a63b505d44df8e859b78cbd10a8b', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202214', 5, '红豆沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202214', 1, '2021-07-19 11:50:09', NULL, NULL), (18181, '', '锦屏山村', 'c7eab37efee64e2e80e81faffbf75450', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202216', 5, '锦屏山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202216', 1, '2021-07-19 11:50:09', NULL, NULL), (18182, '', '花盐河村', '0b5b0a9b06024842b5a6de9d20f772c9', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202217', 5, '花盐河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202217', 1, '2021-07-19 11:50:09', NULL, NULL), (18183, '', '桥上罗家村', '91bbb5bd7f554efeb3f2773faf4c4f94', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202521', 5, '桥上罗家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202521', 1, '2021-07-19 11:50:09', NULL, NULL), (18184, '', '活佛山村', '70c325a203654718b3fc21ac1d48469c', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202555', 5, '活佛山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202555', 1, '2021-07-19 11:50:09', NULL, NULL), (18185, '', '柏江村村', '062de9e0000c48de8c82689464e4bf37', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202634', 5, '柏江村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202634', 1, '2021-07-19 11:50:09', NULL, NULL), (18186, '', '大垭村村', '444cb85aa41f403ba82c783736d6c484', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202660', 5, '大垭村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202660', 1, '2021-07-19 11:50:09', NULL, NULL), (18187, '', '罗村沟村', '80efc3c791dc4b4ca84bbc247cbd2ac5', '7a9e078cbb8047b6ac46862cd503c47f', 'False', 'False', 'false', 'false', '511325202687', 5, '罗村沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325202687', 1, '2021-07-19 11:50:09', NULL, NULL), (18188, '', '占山乡', 'd09978b6fa2e462fad131ccaf81d4343', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325203000', 4, '占山乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325203000', 1, '2021-07-19 11:50:09', NULL, NULL), (18189, '', '马家户村', 'e9c6cc7c0ae54ac495ed9d1b56ab698c', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203201', 5, '马家户村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203201', 1, '2021-07-19 11:50:10', NULL, NULL), (18190, '', '安宁院村', '28e017125a3d4a36a83f11c342121d43', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203202', 5, '安宁院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203202', 1, '2021-07-19 11:50:10', NULL, NULL), (18191, '', '罗堰坎村', 'c435562ff2a74e17a2b6702f9e236e76', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203203', 5, '罗堰坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203203', 1, '2021-07-19 11:50:10', NULL, NULL), (18192, '', '寨子沟村', 'b161a10e0bd24447bb8d6852588c19bf', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203204', 5, '寨子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203204', 1, '2021-07-19 11:50:10', NULL, NULL), (18193, '', '巴岩寺村', 'f7d072bcc98e449cb5c949dd8c9e5e1b', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203205', 5, '巴岩寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203205', 1, '2021-07-19 11:50:10', NULL, NULL), (18194, '', '龙归院村', '1aa311a023234fb3b58f048b58d987e2', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203206', 5, '龙归院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203206', 1, '2021-07-19 11:50:10', NULL, NULL), (18195, '', '堰家桥村', '31812580e3d84845bf92660affdc96d0', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203207', 5, '堰家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203207', 1, '2021-07-19 11:50:10', NULL, NULL), (18196, '', '罗坝沟村', '2c8d52055cdd4168a0e889420e0f2b26', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203208', 5, '罗坝沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203208', 1, '2021-07-19 11:50:10', NULL, NULL), (18197, '', '晓阳村村', '83d31edd5592485aba2a915c91e699f0', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203209', 5, '晓阳村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203209', 1, '2021-07-19 11:50:10', NULL, NULL), (18198, '', '犁树沟村', '3dcaa862a49742dcbe801bbb66f64ae3', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203210', 5, '犁树沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203210', 1, '2021-07-19 11:50:10', NULL, NULL), (18199, '', '荷花坪村', 'c2ada37e27e443d48edb65b32ec1573e', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203211', 5, '荷花坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203211', 1, '2021-07-19 11:50:10', NULL, NULL), (18200, '', '凤鸣院村', 'e520140a6d1c4478b4d55e7f97ca14fa', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203212', 5, '凤鸣院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203212', 1, '2021-07-19 11:50:10', NULL, NULL), (18201, '', '竹溪井村', '7e072fe7c142414e80776ddb8152a15b', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203213', 5, '竹溪井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203213', 1, '2021-07-19 11:50:10', NULL, NULL), (18202, '', '莲花穴村', '546d296ccc0d42db89f78e871656f7e6', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203214', 5, '莲花穴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203214', 1, '2021-07-19 11:50:10', NULL, NULL), (18203, '', '飞凤山村', 'ae1478b7129b40b5bdb16c8236ac60cb', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203215', 5, '飞凤山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203215', 1, '2021-07-19 11:50:10', NULL, NULL), (18204, '', '新建村', 'b8a07bbc28a54933aeb823203f19cee3', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203216', 5, '新建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203216', 1, '2021-07-19 11:50:10', NULL, NULL), (18205, '', '杨柏村', '4f40b6a81efc4087818d0d38689f792e', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203217', 5, '杨柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203217', 1, '2021-07-19 11:50:11', NULL, NULL), (18206, '', '白山坡村', 'bc09d2ae02964a81a81104941dc153b4', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203218', 5, '白山坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203218', 1, '2021-07-19 11:50:11', NULL, NULL), (18207, '', '大楼村', '932fd7e4de8a4a0d9e39bb510d277a32', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203219', 5, '大楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203219', 1, '2021-07-19 11:50:11', NULL, NULL), (18208, '', '樊村沟村', '51edfcc579d54ced8d862c2b88585fb6', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203220', 5, '樊村沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203220', 1, '2021-07-19 11:50:11', NULL, NULL), (18209, '', '瓦场沟村', '14f59cd4427d469fb9d6a3d4ba13117b', 'd09978b6fa2e462fad131ccaf81d4343', 'False', 'False', 'false', 'false', '511325203221', 5, '瓦场沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325203221', 1, '2021-07-19 11:50:11', NULL, NULL), (18210, '', '祥龙乡', 'cd337e01b8b7444d8570219f85ad9f56', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325226000', 4, '祥龙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325226000', 1, '2021-07-19 11:50:11', NULL, NULL), (18211, '', '烈溪庙村', '47aaaf63258f456c872d651024dc152c', 'cd337e01b8b7444d8570219f85ad9f56', 'False', 'False', 'false', 'false', '511325226016', 5, '烈溪庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325226016', 1, '2021-07-19 11:50:11', NULL, NULL), (18212, '', '昭阁庙村', '4d3d8b288bde463d8fb5fb57482bc187', 'cd337e01b8b7444d8570219f85ad9f56', 'False', 'False', 'false', 'false', '511325226152', 5, '昭阁庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325226152', 1, '2021-07-19 11:50:11', NULL, NULL), (18213, '', '张家沟村', '45478a2b27764504aef066d9f2cf14f8', 'cd337e01b8b7444d8570219f85ad9f56', 'False', 'False', 'false', 'false', '511325226178', 5, '张家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325226178', 1, '2021-07-19 11:50:11', NULL, NULL), (18214, '', '卧龙山村', 'e621f76f8ab249d58b21b5c68171b671', 'cd337e01b8b7444d8570219f85ad9f56', 'False', 'False', 'false', 'false', '511325226235', 5, '卧龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325226235', 1, '2021-07-19 11:50:11', NULL, NULL), (18215, '', '川祖庙村', '746624d21c34482ebdfd60eded7120a1', 'cd337e01b8b7444d8570219f85ad9f56', 'False', 'False', 'false', 'false', '511325226262', 5, '川祖庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325226262', 1, '2021-07-19 11:50:11', NULL, NULL), (18216, '', '刘家庙村', '69278aafe068444f91b6aed7f067e753', 'cd337e01b8b7444d8570219f85ad9f56', 'False', 'False', 'false', 'false', '511325226326', 5, '刘家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325226326', 1, '2021-07-19 11:50:11', NULL, NULL), (18217, '', '大水科村', 'adaaddf65f2e457e88e6d9cc55b8d8fb', 'cd337e01b8b7444d8570219f85ad9f56', 'False', 'False', 'false', 'false', '511325226430', 5, '大水科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325226430', 1, '2021-07-19 11:50:11', NULL, NULL), (18218, '', '佛宫山村', 'b2a94311015e49fd8624e50ff0b27639', 'cd337e01b8b7444d8570219f85ad9f56', 'False', 'False', 'false', 'false', '511325226548', 5, '佛宫山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325226548', 1, '2021-07-19 11:50:11', NULL, NULL), (18219, '', '山王寨村', 'fbe40eb259d246a28b4e03f37029efe0', 'cd337e01b8b7444d8570219f85ad9f56', 'False', 'False', 'false', 'false', '511325226560', 5, '山王寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325226560', 1, '2021-07-19 11:50:12', NULL, NULL), (18220, '', '小珠坝村', 'ac6b7e7bf1e542cc8617565b6a294d99', 'cd337e01b8b7444d8570219f85ad9f56', 'False', 'False', 'false', 'false', '511325226577', 5, '小珠坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325226577', 1, '2021-07-19 11:50:12', NULL, NULL), (18221, '', '应井场村', 'cd1ddafa63814b7a9629e8c4a65f9570', 'cd337e01b8b7444d8570219f85ad9f56', 'False', 'False', 'false', 'false', '511325226594', 5, '应井场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325226594', 1, '2021-07-19 11:50:12', NULL, NULL), (18222, '', '太阳沟村', 'c6d69a02f14d4359a6a064f495a9a392', 'cd337e01b8b7444d8570219f85ad9f56', 'False', 'False', 'false', 'false', '511325226634', 5, '太阳沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325226634', 1, '2021-07-19 11:50:12', NULL, NULL), (18223, '', '瓦店子村', '1a43bcb659d2459397b01ab12f0e017c', 'cd337e01b8b7444d8570219f85ad9f56', 'False', 'False', 'false', 'false', '511325226672', 5, '瓦店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325226672', 1, '2021-07-19 11:50:12', NULL, NULL), (18224, '', '玉皇宫村', '927070a135de4702ab4b1451e21efae3', 'cd337e01b8b7444d8570219f85ad9f56', 'False', 'False', 'false', 'false', '511325226708', 5, '玉皇宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325226708', 1, '2021-07-19 11:50:12', NULL, NULL), (18225, '', '拱石桥村', '1e3529c34daf434cb89d4efb194e19a6', 'cd337e01b8b7444d8570219f85ad9f56', 'False', 'False', 'false', 'false', '511325226805', 5, '拱石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325226805', 1, '2021-07-19 11:50:12', NULL, NULL), (18226, '', '杜家坪村', '96c8a6d2838e4318a96e17b3ad7c8ab4', 'cd337e01b8b7444d8570219f85ad9f56', 'False', 'False', 'false', 'false', '511325226932', 5, '杜家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325226932', 1, '2021-07-19 11:50:12', NULL, NULL), (18227, '', '车龙乡', '2b6c8d16f2784dc3b3d5f620f56772f8', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325227000', 4, '车龙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325227000', 1, '2021-07-19 11:50:12', NULL, NULL), (18228, '', '流溪社区', 'b518fac9825b4f019343e01585f38ce9', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227001', 5, '流溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227001', 1, '2021-07-19 11:50:12', NULL, NULL), (18229, '', '龙滩子村', '4cd1982a851c4bada567bb811b171290', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227201', 5, '龙滩子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227201', 1, '2021-07-19 11:50:12', NULL, NULL), (18230, '', '庄子上村', '955fae05707b4164a7de81f5f3d24519', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227202', 5, '庄子上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227202', 1, '2021-07-19 11:50:12', NULL, NULL), (18231, '', '葛藤沟村', '6bab340dd30c4adb8dd72b7e098113dd', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227203', 5, '葛藤沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227203', 1, '2021-07-19 11:50:13', NULL, NULL), (18232, '', '花园寺村', 'f0896a612a064281adef8c9a5ca3b285', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227204', 5, '花园寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227204', 1, '2021-07-19 11:50:13', NULL, NULL), (18233, '', '滩子溪村', 'f30ef0e1aa794ffaa585f98a8c630606', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227205', 5, '滩子溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227205', 1, '2021-07-19 11:50:13', NULL, NULL), (18234, '', '石佛山村', 'ac3707072a814b20871e8c090de822c1', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227206', 5, '石佛山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227206', 1, '2021-07-19 11:50:13', NULL, NULL), (18235, '', '黄垭榨村', 'bc0c1cd4cfc1404b899103ff71ad73fa', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227207', 5, '黄垭榨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227207', 1, '2021-07-19 11:50:13', NULL, NULL), (18236, '', '双凤山村', 'fa5451bace6e4fb9b250d24b9402d997', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227208', 5, '双凤山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227208', 1, '2021-07-19 11:50:13', NULL, NULL), (18237, '', '杨池坝村', '00ee3ef9620a45a89a77264caf5ceb76', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227209', 5, '杨池坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227209', 1, '2021-07-19 11:50:13', NULL, NULL), (18238, '', '文滩桥村', '4d31b8a8d6774f159931d2d3d12d23c2', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227210', 5, '文滩桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227210', 1, '2021-07-19 11:50:13', NULL, NULL), (18239, '', '三教庵村', '0f86146fd6fd4da9899423d51598c5f6', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227211', 5, '三教庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227211', 1, '2021-07-19 11:50:13', NULL, NULL), (18240, '', '尼姑寺村', 'a6d0141b36f24f17bf9cf2c479807749', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227212', 5, '尼姑寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227212', 1, '2021-07-19 11:50:13', NULL, NULL), (18241, '', '建林宫村', '5a63ecf940104bad9764a2e7459d87c9', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227213', 5, '建林宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227213', 1, '2021-07-19 11:50:13', NULL, NULL), (18242, '', '白马庙村', '0dc2024cab84482c9bbe00b3a97909d5', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227214', 5, '白马庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227214', 1, '2021-07-19 11:50:13', NULL, NULL), (18243, '', '郭山垭村', '0e87e9d979844ed2bc52e84881fb5a57', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227215', 5, '郭山垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227215', 1, '2021-07-19 11:50:13', NULL, NULL), (18244, '', '席家观村', 'be16ff15b4a34579b8c7edadb9871d7d', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227216', 5, '席家观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227216', 1, '2021-07-19 11:50:14', NULL, NULL), (18245, '', '观音阁村', '1da26446ab2642008d3bc799c3f81d6c', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227217', 5, '观音阁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227217', 1, '2021-07-19 11:50:14', NULL, NULL), (18246, '', '枣树林村', '950af165b5b14c2a956bf11296050f91', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227218', 5, '枣树林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227218', 1, '2021-07-19 11:50:14', NULL, NULL), (18247, '', '灵宫庙村', '4cbb1cb0226046bcb7e6596e0e31c89b', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227219', 5, '灵宫庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227219', 1, '2021-07-19 11:50:14', NULL, NULL), (18248, '', '席家沟村', '09c75b3a3b2a4428a4b27d3595ffb1e2', '2b6c8d16f2784dc3b3d5f620f56772f8', 'False', 'False', 'false', 'false', '511325227220', 5, '席家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325227220', 1, '2021-07-19 11:50:14', NULL, NULL), (18249, '', '罐垭乡', 'ae2cb8a2924b412ebca47a53b95e8e43', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325232000', 4, '罐垭乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325232000', 1, '2021-07-19 11:50:14', NULL, NULL), (18250, '', '陈家坪村', 'ed9e19266832408bb46e02c01610336a', 'ae2cb8a2924b412ebca47a53b95e8e43', 'False', 'False', 'false', 'false', '511325232038', 5, '陈家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325232038', 1, '2021-07-19 11:50:14', NULL, NULL), (18251, '', '杨山岭村', '7686993187694dc7a9ff2ba8ec53259f', 'ae2cb8a2924b412ebca47a53b95e8e43', 'False', 'False', 'false', 'false', '511325232041', 5, '杨山岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325232041', 1, '2021-07-19 11:50:14', NULL, NULL), (18252, '', '文昌宫村', 'c47164196f014fbdb37664b7fd85db55', 'ae2cb8a2924b412ebca47a53b95e8e43', 'False', 'False', 'false', 'false', '511325232069', 5, '文昌宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325232069', 1, '2021-07-19 11:50:14', NULL, NULL), (18253, '', '羊角湾村', '0e2848abd24d4d04a69de6e838275ce7', 'ae2cb8a2924b412ebca47a53b95e8e43', 'False', 'False', 'false', 'false', '511325232192', 5, '羊角湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325232192', 1, '2021-07-19 11:50:14', NULL, NULL), (18254, '', '桃源社区', '19a0d6a56bff47338a0895350ad68334', 'ae2cb8a2924b412ebca47a53b95e8e43', 'False', 'False', 'false', 'false', '511325232398', 5, '桃源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325232398', 1, '2021-07-19 11:50:14', NULL, NULL), (18255, '', '杜家沟村', '827d09f4607845deb7c7136b584c9549', 'ae2cb8a2924b412ebca47a53b95e8e43', 'False', 'False', 'false', 'false', '511325232429', 5, '杜家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325232429', 1, '2021-07-19 11:50:14', NULL, NULL), (18256, '', '川井坝村', 'e9c71dbed61f4b829211af7dfdd4509d', 'ae2cb8a2924b412ebca47a53b95e8e43', 'False', 'False', 'false', 'false', '511325232534', 5, '川井坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325232534', 1, '2021-07-19 11:50:14', NULL, NULL), (18257, '', '文昌岭村', '26442bea3cdc4fd6b1fa0915a7005ad3', 'ae2cb8a2924b412ebca47a53b95e8e43', 'False', 'False', 'false', 'false', '511325232645', 5, '文昌岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325232645', 1, '2021-07-19 11:50:15', NULL, NULL), (18258, '', '堰坎上村', '31b7e7c160754198aa00ab2a25d1f1dd', 'ae2cb8a2924b412ebca47a53b95e8e43', 'False', 'False', 'false', 'false', '511325232650', 5, '堰坎上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325232650', 1, '2021-07-19 11:50:15', NULL, NULL), (18259, '', '元山宫村', '36fb7e9bddd64b349b0ceed52078a5df', 'ae2cb8a2924b412ebca47a53b95e8e43', 'False', 'False', 'false', 'false', '511325232685', 5, '元山宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325232685', 1, '2021-07-19 11:50:15', NULL, NULL), (18260, '', '金鱼桥村', 'd7c1699d4b1d40779d78f3f33d1aa94d', 'ae2cb8a2924b412ebca47a53b95e8e43', 'False', 'False', 'false', 'false', '511325232837', 5, '金鱼桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325232837', 1, '2021-07-19 11:50:15', NULL, NULL), (18261, '', '峨童山村', '3a4a1c2668f647848a80378cb13a51ee', 'ae2cb8a2924b412ebca47a53b95e8e43', 'False', 'False', 'false', 'false', '511325232864', 5, '峨童山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325232864', 1, '2021-07-19 11:50:15', NULL, NULL), (18262, '', '何家岩村', '19a3147e42fd496ea5d4a63e64c36f8e', 'ae2cb8a2924b412ebca47a53b95e8e43', 'False', 'False', 'false', 'false', '511325232920', 5, '何家岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325232920', 1, '2021-07-19 11:50:15', NULL, NULL), (18263, '', '南台街道', 'b24d56d7b0a94b3183277f7200038be6', 'dd28826b7d80472391a854f4e59bfb22', 'False', 'True', 'false', 'false', '511325412000', 4, '南台街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325412000', 1, '2021-07-19 11:50:15', NULL, NULL), (18264, '', '莲池镇', 'b09563cfcec04dfc83024f9aa364405c', 'dd28826b7d80472391a854f4e59bfb22', 'True', 'True', 'false', 'false', '511325756000', 4, '莲池镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511325756000', 1, '2021-07-19 11:50:15', NULL, NULL), (18265, '', '关音堂村', 'b20a71d45d5c46a8b1dd121560145441', 'b09563cfcec04dfc83024f9aa364405c', 'False', 'False', 'false', 'false', '511325115147', 5, '关音堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325115147', 1, '2021-07-19 11:50:15', NULL, NULL), (18266, '', '永通桥村', '138d34c491194cb2a660ddd4517386ac', 'b09563cfcec04dfc83024f9aa364405c', 'False', 'False', 'false', 'false', '511325115200', 5, '永通桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325115200', 1, '2021-07-19 11:50:15', NULL, NULL), (18267, '', '三码桥村', 'd4455f2e8a3f47cc88d877d5b188edce', 'b09563cfcec04dfc83024f9aa364405c', 'False', 'False', 'false', 'false', '511325115207', 5, '三码桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325115207', 1, '2021-07-19 11:50:16', NULL, NULL), (18268, '', '灵宝宫村', '448999eb20174bc29bcf4c5ec4301d8d', 'b09563cfcec04dfc83024f9aa364405c', 'False', 'False', 'false', 'false', '511325115261', 5, '灵宝宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325115261', 1, '2021-07-19 11:50:16', NULL, NULL), (18269, '', '莲池村', '5a2cbec2aced47868e510d537f9f231b', 'b09563cfcec04dfc83024f9aa364405c', 'False', 'False', 'false', 'false', '511325115269', 5, '莲池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325115269', 1, '2021-07-19 11:50:16', NULL, NULL), (18270, '', '苏家堰村', '045771e12a784c48bb2a6a51411ae0f4', 'b09563cfcec04dfc83024f9aa364405c', 'False', 'False', 'false', 'false', '511325115299', 5, '苏家堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325115299', 1, '2021-07-19 11:50:16', NULL, NULL), (18271, '', '凤鸣山村', 'bf7e00bc67c741b58e7f4a62f6436e35', 'b09563cfcec04dfc83024f9aa364405c', 'False', 'False', 'false', 'false', '511325115338', 5, '凤鸣山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325115338', 1, '2021-07-19 11:50:16', NULL, NULL), (18272, '', '周武宫村', '6a268322847d4d99b11d4de1d2315608', 'b09563cfcec04dfc83024f9aa364405c', 'False', 'False', 'false', 'false', '511325115658', 5, '周武宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325115658', 1, '2021-07-19 11:50:16', NULL, NULL), (18273, '', '范村沟村', '79a6eb93d632405a879ca71300dac3a6', 'b09563cfcec04dfc83024f9aa364405c', 'False', 'False', 'false', 'false', '511325115710', 5, '范村沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325115710', 1, '2021-07-19 11:50:16', NULL, NULL), (18274, '', '礁碑寺村', '2fd5b09bea484af5aa4e0477124408cb', 'b09563cfcec04dfc83024f9aa364405c', 'False', 'False', 'false', 'false', '511325115714', 5, '礁碑寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325115714', 1, '2021-07-19 11:50:16', NULL, NULL), (18275, '', '天新桥村', 'bc700eea3dd047eab86c3540090ad7ee', 'b09563cfcec04dfc83024f9aa364405c', 'False', 'False', 'false', 'false', '511325115835', 5, '天新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325115835', 1, '2021-07-19 11:50:16', NULL, NULL), (18276, '', '杨榨子村', 'ad9f3be7d8fa4994ae9e9efc0ecc7b28', 'b09563cfcec04dfc83024f9aa364405c', 'False', 'False', 'false', 'false', '511325115845', 5, '杨榨子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325115845', 1, '2021-07-19 11:50:16', NULL, NULL), (18277, '', '田家坝村', '6f9dfad73ebb4c73a79cac2abdc5a70f', 'b09563cfcec04dfc83024f9aa364405c', 'False', 'False', 'false', 'false', '511325115877', 5, '田家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511325115877', 1, '2021-07-19 11:50:16', NULL, NULL), (18278, '', '仪陇县', 'f86d1e7e94e2471cadad8708a01ad708', 'd9f01e465bbf4f06b12dda9480080f67', 'True', 'True', 'false', 'false', '511324000000', 3, '仪陇县', 'ncsylx.sczwfw.gov.cn', 1, '2021-07-19 11:50:16', NULL, NULL), (18279, '', '大寅镇', '2a73ed25bf32477cb211c1f5615a12f7', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324028000', 4, '大寅镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324028000', 1, '2021-07-19 11:50:17', NULL, NULL), (18280, '', '二龙社区', 'a015e22564174957bd3dc9accb6255f3', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028001', 5, '二龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028001', 1, '2021-07-19 11:50:17', NULL, NULL), (18281, '', '白杨村', '7eba175434374ce1b5077739c822994c', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028002', 5, '白杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028002', 1, '2021-07-19 11:50:17', NULL, NULL), (18282, '', '楼房农村社区', 'f072a76916d146f1aeca9782d50a109a', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028003', 5, '楼房农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028003', 1, '2021-07-19 11:50:17', NULL, NULL), (18283, '', '柳林村', '96883856adac443aa5e622440f965a45', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028004', 5, '柳林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028004', 1, '2021-07-19 11:50:17', NULL, NULL), (18284, '', '印台村', '986496cecb134bd38f4f8a33f29b7046', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028005', 5, '印台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028005', 1, '2021-07-19 11:50:17', NULL, NULL), (18285, '', '西华村', '5c576711eb854ffda476babba8e4d997', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028006', 5, '西华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028006', 1, '2021-07-19 11:50:17', NULL, NULL), (18286, '', '平桥村', 'edc6c1ff8ae04d5988c90892ef7ee700', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028007', 5, '平桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028007', 1, '2021-07-19 11:50:17', NULL, NULL), (18287, '', '宏图村', '12740a482d2645ef8697d03a4a330519', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028008', 5, '宏图村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028008', 1, '2021-07-19 11:50:17', NULL, NULL), (18288, '', '枫香村', '377409200f4f4104909b27a12ea76e6d', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028009', 5, '枫香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028009', 1, '2021-07-19 11:50:17', NULL, NULL), (18289, '', '石骡村', '16c5e51e89974fd989754c4e7346f2c6', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028010', 5, '石骡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028010', 1, '2021-07-19 11:50:18', NULL, NULL), (18290, '', '利民村', '2cd778c70c8c42a0af8310eb2e4eb70b', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028011', 5, '利民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028011', 1, '2021-07-19 11:50:18', NULL, NULL), (18291, '', '葫芦村', '15798ba13bf541af8a58e012c6ffa839', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028012', 5, '葫芦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028012', 1, '2021-07-19 11:50:18', NULL, NULL), (18292, '', '金家村', '6653161b73054845a9d73a7c79ad90c7', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028013', 5, '金家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028013', 1, '2021-07-19 11:50:18', NULL, NULL), (18293, '', '龙岗村', '7eef71e93c7941e88a3863539b1ef16b', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028014', 5, '龙岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028014', 1, '2021-07-19 11:50:18', NULL, NULL), (18294, '', '海桥村', 'cb0a8e98af29434199ac6488f4e43595', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028015', 5, '海桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028015', 1, '2021-07-19 11:50:18', NULL, NULL), (18295, '', '梨园村', 'c8a754faffaa4235a5bb7ba1fcc07b67', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028016', 5, '梨园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028016', 1, '2021-07-19 11:50:18', NULL, NULL), (18296, '', '梨坪村', 'afa98d1f9e134f8d8e84a45ab6d762af', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028017', 5, '梨坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028017', 1, '2021-07-19 11:50:18', NULL, NULL), (18297, '', '高山村', '4ad184a8070f45be94760bc93674ea3f', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028018', 5, '高山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028018', 1, '2021-07-19 11:50:19', NULL, NULL), (18298, '', '回龙村', '7b19d511086f4ea4a46b0f795adb141a', '2a73ed25bf32477cb211c1f5615a12f7', 'False', 'True', 'false', 'false', '511324028019', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324028019', 1, '2021-07-19 11:50:19', NULL, NULL), (18299, '', '金城镇', 'e49f70d5ba944dc9b7e7b5011126b0db', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324100000', 4, '金城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324100000', 1, '2021-07-19 11:50:19', NULL, NULL), (18300, '', '南山社区', '43a7bb2c863b4703acc29e27ddfa5f4c', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100004', 5, '南山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100004', 1, '2021-07-19 11:50:19', NULL, NULL), (18301, '', '建北社区', '9248018ef15948a9803eacdeeda7b325', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100005', 5, '建北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100005', 1, '2021-07-19 11:50:19', NULL, NULL), (18302, '', '奎星社区', 'a36d2b439b624cf0acb05c88c2899f1d', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100006', 5, '奎星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100006', 1, '2021-07-19 11:50:19', NULL, NULL), (18303, '', '状元社区', 'bd831c144cdd4960a26ee3edb009d038', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100007', 5, '状元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100007', 1, '2021-07-19 11:50:19', NULL, NULL), (18304, '', '禹宫社区', 'c5842d04c9484513b4b59a57464e01de', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100008', 5, '禹宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100008', 1, '2021-07-19 11:50:19', NULL, NULL), (18305, '', '双龙社区', 'cd10e6309e3745feae3da5b5d435504c', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100009', 5, '双龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100009', 1, '2021-07-19 11:50:19', NULL, NULL), (18306, '', '西南社区', '7bb175fb71ec4536b2e38bd88d5858cd', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100010', 5, '西南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100010', 1, '2021-07-19 11:50:19', NULL, NULL), (18307, '', '西寺社区', '99fbf83aa19649d0b60bbc26ed0b6b33', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100011', 5, '西寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100011', 1, '2021-07-19 11:50:19', NULL, NULL), (18308, '', '金新社区', '12a93083a1094cbfb5d9bd92e896c5f5', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100012', 5, '金新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100012', 1, '2021-07-19 11:50:19', NULL, NULL), (18309, '', '佛二村', '8535604ccc7741afa31fa36145c2dadc', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100201', 5, '佛二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100201', 1, '2021-07-19 11:50:19', NULL, NULL), (18310, '', '华堂村', '2318080406c441e68c190400e03609ce', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100202', 5, '华堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100202', 1, '2021-07-19 11:50:20', NULL, NULL), (18311, '', '石榴村', '15c0115090d5469c85a314344a174e76', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100203', 5, '石榴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100203', 1, '2021-07-19 11:50:20', NULL, NULL), (18312, '', '梭坡村', '3e88246178b74d6dbac0c8fe6b53bd21', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100204', 5, '梭坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100204', 1, '2021-07-19 11:50:20', NULL, NULL), (18313, '', '罩板村', 'a87816b522394b41b1763d3befef6dc2', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100205', 5, '罩板村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100205', 1, '2021-07-19 11:50:20', NULL, NULL), (18314, '', '花牌村', '368970e750d141f9869d6ff4c326b269', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100206', 5, '花牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100206', 1, '2021-07-19 11:50:20', NULL, NULL), (18315, '', '大岩村', '8203a947a0c14e208175c8edf82843ef', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100207', 5, '大岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100207', 1, '2021-07-19 11:50:20', NULL, NULL), (18316, '', '中华村', 'c10b8429117f41eca1e348c9adeb2a46', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100208', 5, '中华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100208', 1, '2021-07-19 11:50:20', NULL, NULL), (18317, '', '三堆村', 'bf2af19a112e4cf8aee31bddb3fafcb5', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100209', 5, '三堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100209', 1, '2021-07-19 11:50:20', NULL, NULL), (18318, '', '蔡庙村', '6a937a41205340229b5da4b07ac6a777', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100210', 5, '蔡庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100210', 1, '2021-07-19 11:50:20', NULL, NULL), (18319, '', '北台村社区', '7918b5e5dfd9414eadf4389dd77738ac', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100211', 5, '北台村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100211', 1, '2021-07-19 11:50:20', NULL, NULL), (18320, '', '小柏村', '8156a9f76a014687949df6368ba16ad5', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100212', 5, '小柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100212', 1, '2021-07-19 11:50:20', NULL, NULL), (18321, '', '电光村', '9a46968ab2ca4d64965c368726db27fd', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100213', 5, '电光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100213', 1, '2021-07-19 11:50:20', NULL, NULL), (18322, '', '龙泉村', 'd5c66474071345408be6d8ae59f7aa6f', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100214', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100214', 1, '2021-07-19 11:50:20', NULL, NULL), (18323, '', '谢家村', '005508e88c454a7ebd5a0ca638c01cb1', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100215', 5, '谢家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100215', 1, '2021-07-19 11:50:20', NULL, NULL), (18324, '', '铜沟村', 'cd3c9d107c3d47c1bc1031e072ce339a', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100216', 5, '铜沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100216', 1, '2021-07-19 11:50:20', NULL, NULL), (18325, '', '金马村', '35640e6c884a44c4a1160084d0bbcb4b', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100217', 5, '金马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100217', 1, '2021-07-19 11:50:20', NULL, NULL), (18326, '', '大桥村', '5bf31693071d449c892bffa2b4eb03ca', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100218', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100218', 1, '2021-07-19 11:50:21', NULL, NULL), (18327, '', '双木村', 'd6eefef0af844076b45bb1e8703ba3d1', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100219', 5, '双木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100219', 1, '2021-07-19 11:50:21', NULL, NULL), (18328, '', '双堂村', '194566c8f4084de4ba558ff3d00c2f9d', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100220', 5, '双堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100220', 1, '2021-07-19 11:50:21', NULL, NULL), (18329, '', '虎嘴村', '64728d8a25144875b90319ff729243b5', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100221', 5, '虎嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100221', 1, '2021-07-19 11:50:21', NULL, NULL), (18330, '', '红岩村', '3f05039c030f4427ac9c8ed2cd5a86d1', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100222', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100222', 1, '2021-07-19 11:50:21', NULL, NULL), (18331, '', '龙桥村', '59acf114382f427a863f3d51fdbee3df', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100223', 5, '龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100223', 1, '2021-07-19 11:50:21', NULL, NULL), (18332, '', '柳荫村', 'f05e890c1cf04294b2544127fe946e5c', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100224', 5, '柳荫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100224', 1, '2021-07-19 11:50:21', NULL, NULL), (18333, '', '金印村', 'a5bf1726da5b443aa5859957eff64919', 'e49f70d5ba944dc9b7e7b5011126b0db', 'False', 'True', 'false', 'false', '511324100225', 5, '金印村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324100225', 1, '2021-07-19 11:50:21', NULL, NULL), (18334, '', '新政镇', '3a0ec19df6b44c28ab101e21638cb112', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'true', 'true', '511324101000', 4, '新政镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324101000', 1, '2021-07-19 11:50:21', NULL, NULL), (18335, '', '东门社区', '289b018c6f2b4e44ba903ab43c54b87e', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101001', 5, '东门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101001', 1, '2021-07-19 11:50:21', NULL, NULL), (18336, '', '南门社区', '2ff68a8b374246b1b5207347535e2986', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101002', 5, '南门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101002', 1, '2021-07-19 11:50:21', NULL, NULL), (18337, '', '临江社区', '9019cb9c5c68481da61064ed24423b8f', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101003', 5, '临江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101003', 1, '2021-07-19 11:50:22', NULL, NULL), (18338, '', '东北社区', '0baeeeb76627467bb1b464f589cc2e8d', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101004', 5, '东北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101004', 1, '2021-07-19 11:50:22', NULL, NULL), (18339, '', '东南社区', 'bc5e1bcd5dd84374be90d964bc28354c', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101005', 5, '东南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101005', 1, '2021-07-19 11:50:22', NULL, NULL), (18340, '', '新南社区', '4ee8efa9fed44bcbbeb99e2e3edbef7a', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101006', 5, '新南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101006', 1, '2021-07-19 11:50:22', NULL, NULL), (18341, '', '六一社区', 'c3eec9da70b74c1ea1efc8cfe469230e', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101007', 5, '六一社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101007', 1, '2021-07-19 11:50:22', NULL, NULL), (18342, '', '大东社区', '9bdc9177190c4735b023f7b60d8bfb68', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101008', 5, '大东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101008', 1, '2021-07-19 11:50:22', NULL, NULL), (18343, '', '嘉陵社区', '9116ad410b7b40b983d347ecc908e6aa', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101009', 5, '嘉陵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101009', 1, '2021-07-19 11:50:22', NULL, NULL), (18344, '', '华丰社区', '3f14f1bbdaf842c69d21b497549d96e5', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101010', 5, '华丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101010', 1, '2021-07-19 11:50:22', NULL, NULL), (18345, '', '云丰村', 'c83a2a18b80447a88edcb4d7d4c28d33', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101205', 5, '云丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101205', 1, '2021-07-19 11:50:22', NULL, NULL), (18346, '', '金刚村', '7344c90e404e49f1891604a3d4603304', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101207', 5, '金刚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101207', 1, '2021-07-19 11:50:22', NULL, NULL), (18347, '', '狮子社区', 'be2fc34c25134ae08e2c9a6d92940ab0', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101208', 5, '狮子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101208', 1, '2021-07-19 11:50:22', NULL, NULL), (18348, '', '三清村社区', 'a2333e8c17c443e6b2942c7f49fea288', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101209', 5, '三清村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101209', 1, '2021-07-19 11:50:22', NULL, NULL), (18349, '', '亮垭村', '864ee6c6c07c4a9b80778d47b5d84dc5', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101210', 5, '亮垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101210', 1, '2021-07-19 11:50:22', NULL, NULL), (18350, '', '江东社区', '921dcd0893aa4fa68c03a556e966ed46', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101211', 5, '江东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101211', 1, '2021-07-19 11:50:23', NULL, NULL), (18351, '', '河西村', 'cbd6f871a3dc4e81905c1ccc22b1c17c', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101212', 5, '河西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101212', 1, '2021-07-19 11:50:23', NULL, NULL), (18352, '', '九岭场农村社区', 'c9c3229b0d384379b59b09d7763598d1', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101215', 5, '九岭场农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101215', 1, '2021-07-19 11:50:23', NULL, NULL), (18353, '', '桂花井村', '052b7bfddb91420fbcd8e28f3cf6b057', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101216', 5, '桂花井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101216', 1, '2021-07-19 11:50:23', NULL, NULL), (18354, '', '朗山寨村', 'f10671b1159e43e78263298df3168cf6', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101217', 5, '朗山寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101217', 1, '2021-07-19 11:50:23', NULL, NULL), (18355, '', '白鹤林村', '1a8d0e10ec59401497ee0f4144bd4118', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101218', 5, '白鹤林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101218', 1, '2021-07-19 11:50:23', NULL, NULL), (18356, '', '清明桥村', '6e66a0463e334160862e7a75f123b956', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101219', 5, '清明桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101219', 1, '2021-07-19 11:50:23', NULL, NULL), (18357, '', '云雾寨村', 'c07be7de7734481ab17456670cc7885d', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101220', 5, '云雾寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101220', 1, '2021-07-19 11:50:23', NULL, NULL), (18358, '', '庙子梁农村社区', 'd7a37c61a4d64ebb88632b7e01982205', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101221', 5, '庙子梁农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101221', 1, '2021-07-19 11:50:23', NULL, NULL), (18359, '', '燕子窝村', 'a39857e0b0a64665aa0b7413587aa9aa', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101222', 5, '燕子窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101222', 1, '2021-07-19 11:50:23', NULL, NULL), (18360, '', '安溪潮村', '0d90cf1e0933491a8c576c7310ce9335', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101223', 5, '安溪潮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101223', 1, '2021-07-19 11:50:23', NULL, NULL), (18361, '', '龙滩子村', '341075c2a1894d7894f0e09390eb5337', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101224', 5, '龙滩子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101224', 1, '2021-07-19 11:50:23', NULL, NULL), (18362, '', '朝阳桥村', '3035412f44cf46ba89d7f2aa92472d39', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101225', 5, '朝阳桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101225', 1, '2021-07-19 11:50:23', NULL, NULL), (18363, '', '金鸡山村', '12c7ac1bd4fa4c0ba985fdb6493ce434', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101226', 5, '金鸡山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101226', 1, '2021-07-19 11:50:24', NULL, NULL), (18364, '', '五童山村', 'c6e21b3a8a5f4515a3a8f71fb4d95ca2', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101227', 5, '五童山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101227', 1, '2021-07-19 11:50:24', NULL, NULL), (18365, '', '三条沟村', 'bdde6add727a427cabc548689559eb41', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101228', 5, '三条沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101228', 1, '2021-07-19 11:50:24', NULL, NULL), (18366, '', '马桑垭村', 'c6442d2dd37a4b3195ac589628068529', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101229', 5, '马桑垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101229', 1, '2021-07-19 11:50:24', NULL, NULL), (18367, '', '林家沟村', '234804873aa84b15a54e358f0a704e95', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101230', 5, '林家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101230', 1, '2021-07-19 11:50:24', NULL, NULL), (18368, '', '九道拐村', 'd1f518daf8224614962e32085fcb3695', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101231', 5, '九道拐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101231', 1, '2021-07-19 11:50:24', NULL, NULL), (18369, '', '七星桥村', '3e41311ad3974e629d7a8e81a5d5a33a', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101232', 5, '七星桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101232', 1, '2021-07-19 11:50:24', NULL, NULL), (18370, '', '金鸭铺村', '75c2a2f3f9fa42d3822fc7a06ec53c78', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101233', 5, '金鸭铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101233', 1, '2021-07-19 11:50:24', NULL, NULL), (18371, '', '天兰桥村', '6b30a29004b0451aa92e00a9623f72dd', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101234', 5, '天兰桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101234', 1, '2021-07-19 11:50:24', NULL, NULL), (18372, '', '高堂沟村', '6ead44b7bef547f899c21dc586ae3155', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101235', 5, '高堂沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101235', 1, '2021-07-19 11:50:24', NULL, NULL), (18373, '', '杏子坪村', 'd16c745c652645999d77ecf5b5ce15c7', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101236', 5, '杏子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101236', 1, '2021-07-19 11:50:24', NULL, NULL), (18374, '', '柳树店农村社区', 'ad46dcefd76f41e1a2402ed5aecaff23', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101237', 5, '柳树店农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101237', 1, '2021-07-19 11:50:24', NULL, NULL), (18375, '', '长里扁村', '0638aee2d6804e2d9e39bcb6d6d12555', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101238', 5, '长里扁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101238', 1, '2021-07-19 11:50:24', NULL, NULL), (18376, '', '梅子垭村', 'debb9fffeb374417a599f77ad5485697', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101239', 5, '梅子垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101239', 1, '2021-07-19 11:50:24', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (18377, '', '周家河村', '04676feee7604a5cb2ad8964ef36f16c', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101240', 5, '周家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101240', 1, '2021-07-19 11:50:25', NULL, NULL), (18378, '', '猫儿寨村', '962513ee5a984a9682e626e4ac29aaf7', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101241', 5, '猫儿寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101241', 1, '2021-07-19 11:50:25', NULL, NULL), (18379, '', '石板梁村', 'afb6e629a5c844df8745167ba7f43772', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101242', 5, '石板梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101242', 1, '2021-07-19 11:50:25', NULL, NULL), (18380, '', '石佛岩农村社区', '4ccb8f46674848d9abbc5f0e9d279ab3', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101243', 5, '石佛岩农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101243', 1, '2021-07-19 11:50:25', NULL, NULL), (18381, '', '四方山村', '3d8eb427b71442709a35cc8094b0c26c', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101244', 5, '四方山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101244', 1, '2021-07-19 11:50:25', NULL, NULL), (18382, '', '埃湾村', 'd47e179f90294f409860214f66efab4e', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101245', 5, '埃湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101245', 1, '2021-07-19 11:50:25', NULL, NULL), (18383, '', '龙神垭村社区', 'aa926aa9e12640fc85c3295eb1b1dadd', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101246', 5, '龙神垭村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101246', 1, '2021-07-19 11:50:25', NULL, NULL), (18384, '', '金桥农村社区', '814b95d0d1484b39b023e4ce4f3d49a9', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101247', 5, '金桥农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101247', 1, '2021-07-19 11:50:25', NULL, NULL), (18385, '', '何家沟村', '87ff581584f84eabadbafe77272c3931', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101248', 5, '何家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101248', 1, '2021-07-19 11:50:25', NULL, NULL), (18386, '', '田氏祠村', '7919bc0b16c74f619a430db9270bf2e1', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101249', 5, '田氏祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101249', 1, '2021-07-19 11:50:25', NULL, NULL), (18387, '', '夹马石村', '0207ab26f76e4af58ecb15df0d134c64', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101250', 5, '夹马石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101250', 1, '2021-07-19 11:50:25', NULL, NULL), (18388, '', '新云寺村', 'b0ee9a048a0f463186b72526dbc35672', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101251', 5, '新云寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101251', 1, '2021-07-19 11:50:25', NULL, NULL), (18389, '', '困牛石村', '509021020b39493a9080252cb3b2c093', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101252', 5, '困牛石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101252', 1, '2021-07-19 11:50:26', NULL, NULL), (18390, '', '金凤庵村', 'f37ff3001f7b4c51b5a94a02cae4ab82', '3a0ec19df6b44c28ab101e21638cb112', 'False', 'True', 'false', 'false', '511324101253', 5, '金凤庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324101253', 1, '2021-07-19 11:50:26', NULL, NULL), (18391, '', '马鞍镇', '44d4903c13b240979322cfe40c6d4613', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324102000', 4, '马鞍镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324102000', 1, '2021-07-19 11:50:26', NULL, NULL), (18392, '', '文琳社区', 'fe303666bf3e43ff83bdcfb11574b2e4', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102001', 5, '文琳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102001', 1, '2021-07-19 11:50:26', NULL, NULL), (18393, '', '永兴社区', 'd466b12984a043ab91e560a266e33b46', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102002', 5, '永兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102002', 1, '2021-07-19 11:50:26', NULL, NULL), (18394, '', '永安村社区', '5dbae8d1f6ab4ceab0738e768636c7de', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102003', 5, '永安村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102003', 1, '2021-07-19 11:50:26', NULL, NULL), (18395, '', '瓦子坪村社区', 'a42bb7ef651944eebb65f7d1a12442c7', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102100', 5, '瓦子坪村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102100', 1, '2021-07-19 11:50:26', NULL, NULL), (18396, '', '琳琅村社区', 'd2eb001b0be044af81a6fbb7372039ec', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102202', 5, '琳琅村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102202', 1, '2021-07-19 11:50:26', NULL, NULL), (18397, '', '险岩村', 'bbe99e27fe2e4345aba584a50cf89e4f', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102203', 5, '险岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102203', 1, '2021-07-19 11:50:26', NULL, NULL), (18398, '', '大垭村', 'ad80294aba1f4cdca48222f7bca65169', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102204', 5, '大垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102204', 1, '2021-07-19 11:50:26', NULL, NULL), (18399, '', '蔡家坪村社区', 'ebb5a4934cf344059c0aa8f2627e93f5', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102205', 5, '蔡家坪村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102205', 1, '2021-07-19 11:50:26', NULL, NULL), (18400, '', '蓬来村', '938c477c48f44fd883bf0578c9b151cd', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102206', 5, '蓬来村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102206', 1, '2021-07-19 11:50:26', NULL, NULL), (18401, '', '千垭村', '13ee452848c94003be3bcc9ad9e99ff7', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102207', 5, '千垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102207', 1, '2021-07-19 11:50:26', NULL, NULL), (18402, '', '大井村', '925c1aa19485495cba9c9b6b87034355', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102208', 5, '大井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102208', 1, '2021-07-19 11:50:26', NULL, NULL), (18403, '', '金山村', '662aff9d83244e73b94cec6949d3e866', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102209', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102209', 1, '2021-07-19 11:50:26', NULL, NULL), (18404, '', '石坝村', 'f101df694f55456fade721003b27227b', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102210', 5, '石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102210', 1, '2021-07-19 11:50:27', NULL, NULL), (18405, '', '席庵村', '0bc9054c9eb94b9c891491896378a53b', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102212', 5, '席庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102212', 1, '2021-07-19 11:50:27', NULL, NULL), (18406, '', '南海村', 'cc50191941a64b019392edc54b70e6cc', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102213', 5, '南海村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102213', 1, '2021-07-19 11:50:27', NULL, NULL), (18407, '', '铁山农村社区', '97feeb545fd54dc98ddefabca0a43567', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102214', 5, '铁山农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102214', 1, '2021-07-19 11:50:27', NULL, NULL), (18408, '', '钢铁村', 'a93b7f7dc3ea43c9963a6606e95e6ede', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102215', 5, '钢铁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102215', 1, '2021-07-19 11:50:27', NULL, NULL), (18409, '', '高坡村', '762c488920d44653ac406f528f16dee1', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102216', 5, '高坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102216', 1, '2021-07-19 11:50:27', NULL, NULL), (18410, '', '大梁村社区', '7a9b1d0ebb0f41efb6a67ec53adf3324', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102217', 5, '大梁村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102217', 1, '2021-07-19 11:50:27', NULL, NULL), (18411, '', '挺进村', '4fd3f883509842f099006014e69a32eb', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102218', 5, '挺进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102218', 1, '2021-07-19 11:50:27', NULL, NULL), (18412, '', '沙溪村', '11b8e698154a4ffabb8f38950cfa8385', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102219', 5, '沙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102219', 1, '2021-07-19 11:50:27', NULL, NULL), (18413, '', '琳瑛农村社区', 'bf88d5820b0c4f8593a033b2296886b5', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102220', 5, '琳瑛农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102220', 1, '2021-07-19 11:50:27', NULL, NULL), (18414, '', '土垭村', 'a4481cb366844a6aa93930c63246998a', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102221', 5, '土垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102221', 1, '2021-07-19 11:50:27', NULL, NULL), (18415, '', '龙呈村', '8ad40b8ab38f4675965574280c37df85', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102222', 5, '龙呈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102222', 1, '2021-07-19 11:50:27', NULL, NULL), (18416, '', '川石村', '00131f1746774b35acb63941af9102ec', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102223', 5, '川石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102223', 1, '2021-07-19 11:50:28', NULL, NULL), (18417, '', '夜鹤村', '69c140ede0e249239cd323234c19ce35', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102224', 5, '夜鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102224', 1, '2021-07-19 11:50:28', NULL, NULL), (18418, '', '玉兰村社区', '0cdaaaff735543588e62e7fa57f42aef', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102225', 5, '玉兰村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102225', 1, '2021-07-19 11:50:28', NULL, NULL), (18419, '', '梁山村社区', 'deccc0af190342a1a8a200154f5c6270', '44d4903c13b240979322cfe40c6d4613', 'False', 'True', 'false', 'false', '511324102226', 5, '梁山村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324102226', 1, '2021-07-19 11:50:28', NULL, NULL), (18420, '', '永乐镇', '8c5b0749f7294e6cbede9d9d4e7e529c', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'true', 'true', '511324103000', 4, '永乐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324103000', 1, '2021-07-19 11:50:28', NULL, NULL), (18421, '', '新寺社区', 'f5ff471a9d95411b9f93ac4134d1dc29', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103001', 5, '新寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103001', 1, '2021-07-19 11:50:28', NULL, NULL), (18422, '', '大桥社区', '4bc9118674d14152a91cd7a9288f53b5', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103002', 5, '大桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103002', 1, '2021-07-19 11:50:28', NULL, NULL), (18423, '', '大柏树村', '05c61fb8848f43e88f266602bf27244a', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103100', 5, '大柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103100', 1, '2021-07-19 11:50:28', NULL, NULL), (18424, '', '穆家坝村', '73445bb831eb4bc498ec9c25e674aee6', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103201', 5, '穆家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103201', 1, '2021-07-19 11:50:28', NULL, NULL), (18425, '', '柑子园村', 'd7efc438e5ca4d38a164ad4767409221', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103202', 5, '柑子园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103202', 1, '2021-07-19 11:50:28', NULL, NULL), (18426, '', '陈家沟村', '9681177fada14aaeb3def05b807db30f', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103203', 5, '陈家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103203', 1, '2021-07-19 11:50:28', NULL, NULL), (18427, '', '檬子梁村', 'a27c6e55824d4f898d7f6132a20d8d97', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103204', 5, '檬子梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103204', 1, '2021-07-19 11:50:28', NULL, NULL), (18428, '', '石桥坝村', '8497b7ed8a06439e9b81b9a10de6f43d', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103206', 5, '石桥坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103206', 1, '2021-07-19 11:50:28', NULL, NULL), (18429, '', '鹿子垭村', '92f768e51fea4b119b30f5d6e2d651b3', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103207', 5, '鹿子垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103207', 1, '2021-07-19 11:50:28', NULL, NULL), (18430, '', '真灵山村', '5512bfbd7ede4cf58fba390d313e38df', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103209', 5, '真灵山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103209', 1, '2021-07-19 11:50:28', NULL, NULL), (18431, '', '牌楼沟村', '4325ebbd6a7344dfb14df30784e19267', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103210', 5, '牌楼沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103210', 1, '2021-07-19 11:50:29', NULL, NULL), (18432, '', '紫云山村', '432dfbee603e4f14a37b310de7e075fc', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103211', 5, '紫云山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103211', 1, '2021-07-19 11:50:29', NULL, NULL), (18433, '', '史家沟村', 'a8825a106ac94c439a34a1e87cfdccf0', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103212', 5, '史家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103212', 1, '2021-07-19 11:50:29', NULL, NULL), (18434, '', '堰塘坝村', 'd831e13294524d0bb32f9d1800bbf9c0', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103213', 5, '堰塘坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103213', 1, '2021-07-19 11:50:29', NULL, NULL), (18435, '', '骡子坎村', '9c040f5c986343f2a18c5d4061811a73', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103214', 5, '骡子坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103214', 1, '2021-07-19 11:50:29', NULL, NULL), (18436, '', '小寨子农村社区', '1f3ade4d94c447229d23f8fdf2b70267', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103215', 5, '小寨子农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103215', 1, '2021-07-19 11:50:29', NULL, NULL), (18437, '', '尖山子村', '57112446496d48d7ad66ec9b5d046e07', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103216', 5, '尖山子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103216', 1, '2021-07-19 11:50:29', NULL, NULL), (18438, '', '龙洞沟村', 'c3d4c94dc1974c75916b9205168ebb87', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103217', 5, '龙洞沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103217', 1, '2021-07-19 11:50:29', NULL, NULL), (18439, '', '磨盘寨村', '4d36fe3255a94d92866020b245e62787', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103218', 5, '磨盘寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103218', 1, '2021-07-19 11:50:29', NULL, NULL), (18440, '', '竹鸡山村', 'a0cc68ce42dd4a4ca00a35c81eb1405b', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103221', 5, '竹鸡山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103221', 1, '2021-07-19 11:50:29', NULL, NULL), (18441, '', '小峨山村', '42a1fcf9568349a0ab85e03e696b4bbc', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103222', 5, '小峨山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103222', 1, '2021-07-19 11:50:29', NULL, NULL), (18442, '', '核桃坝村', '35481abede22455cab6d907d41e414cf', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103223', 5, '核桃坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103223', 1, '2021-07-19 11:50:29', NULL, NULL), (18443, '', '金龟坝村', '72258dee6526450a9d871e2aa99698b0', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103224', 5, '金龟坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103224', 1, '2021-07-19 11:50:29', NULL, NULL), (18444, '', '中佛山村', 'dbbd966373704a87a0fd2946df4581cb', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103225', 5, '中佛山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103225', 1, '2021-07-19 11:50:29', NULL, NULL), (18445, '', '赵家坝村', '924ed2e7b8c44b7c92b0474056c74429', '8c5b0749f7294e6cbede9d9d4e7e529c', 'False', 'True', 'false', 'false', '511324103423', 5, '赵家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324103423', 1, '2021-07-19 11:50:29', NULL, NULL), (18446, '', '日兴镇', '7a9a1e42bf024515a9972a47cdb3a1ed', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324104000', 4, '日兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324104000', 1, '2021-07-19 11:50:30', NULL, NULL), (18447, '', '石垭社区', 'a661b609056f46559c2d82f2374f4a1b', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104001', 5, '石垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104001', 1, '2021-07-19 11:50:30', NULL, NULL), (18448, '', '石垭村', '6b7bf09b83e74355afee29d7e8d05915', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104201', 5, '石垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104201', 1, '2021-07-19 11:50:30', NULL, NULL), (18449, '', '星星村', '5faa2397a1224bd29e2f8de78308d272', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104202', 5, '星星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104202', 1, '2021-07-19 11:50:30', NULL, NULL), (18450, '', '星火村', '341b225262b04a9cbb3361213c124fe4', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104203', 5, '星火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104203', 1, '2021-07-19 11:50:30', NULL, NULL), (18451, '', '水磨村', 'f27c331c4abd43fdabe6af0adf294222', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104205', 5, '水磨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104205', 1, '2021-07-19 11:50:30', NULL, NULL), (18452, '', '九湾村', '953e4b88e258432a8356b9bc33eb007e', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104206', 5, '九湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104206', 1, '2021-07-19 11:50:30', NULL, NULL), (18453, '', '白塔村', 'e3143650cb7d4a97bd15e7ba074bb809', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104207', 5, '白塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104207', 1, '2021-07-19 11:50:30', NULL, NULL), (18454, '', '丰南村', '92efadb4d56948d58d8a1e8bf6be4749', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104208', 5, '丰南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104208', 1, '2021-07-19 11:50:30', NULL, NULL), (18455, '', '燎原村', '0a14d404b4a24a7aa935253d06002a7d', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104209', 5, '燎原村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104209', 1, '2021-07-19 11:50:30', NULL, NULL), (18456, '', '矮桥村', '098d070a0e4849258435f72e0c90bca1', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104210', 5, '矮桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104210', 1, '2021-07-19 11:50:30', NULL, NULL), (18457, '', '黎明村', '44c1d8384e074d48989e1387939d9fb1', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104211', 5, '黎明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104211', 1, '2021-07-19 11:50:30', NULL, NULL), (18458, '', '洪山村', '97f2599182cf4ebfbe385dca5a7adcbc', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104212', 5, '洪山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104212', 1, '2021-07-19 11:50:30', NULL, NULL), (18459, '', '土寨村', '2530e8c443ee45cab8ab97f004b373b0', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104213', 5, '土寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104213', 1, '2021-07-19 11:50:31', NULL, NULL), (18460, '', '枣尔村', 'e6a0df26a4a34de28de62f5271e23da5', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104214', 5, '枣尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104214', 1, '2021-07-19 11:50:31', NULL, NULL), (18461, '', '高板村', '9a4382c6892340c89dccd2d688722e19', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104215', 5, '高板村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104215', 1, '2021-07-19 11:50:31', NULL, NULL), (18462, '', '双田村', '0a287e5164bf4f95afe44deeef81b148', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104216', 5, '双田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104216', 1, '2021-07-19 11:50:31', NULL, NULL), (18463, '', '大明村', '2f0ab2c0030549a490ab34397cf67623', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104217', 5, '大明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104217', 1, '2021-07-19 11:50:31', NULL, NULL), (18464, '', '鹅山村', 'ee6eedf41e7344d2b789af071745ad91', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104218', 5, '鹅山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104218', 1, '2021-07-19 11:50:31', NULL, NULL), (18465, '', '白庙村', '6d8403961f354c41b99e260681425226', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104219', 5, '白庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104219', 1, '2021-07-19 11:50:31', NULL, NULL), (18466, '', '油坊村', 'b265efb82b964dfca216309599fe5ab4', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104220', 5, '油坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104220', 1, '2021-07-19 11:50:31', NULL, NULL), (18467, '', '犀角村', '2b04148b5f814b32a0c576c7700f47be', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104221', 5, '犀角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104221', 1, '2021-07-19 11:50:31', NULL, NULL), (18468, '', '秋收农村社区', 'f1efcf58a3df4bc991d04eb5525d247c', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104222', 5, '秋收农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104222', 1, '2021-07-19 11:50:31', NULL, NULL), (18469, '', '九龙村', '886818779d444affbcae187bf08e4d8e', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104223', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104223', 1, '2021-07-19 11:50:31', NULL, NULL), (18470, '', '玉清村', 'd9f3c6a708ab4644a04998895f74f2d2', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104224', 5, '玉清村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104224', 1, '2021-07-19 11:50:31', NULL, NULL), (18471, '', '堰溪村', 'dde293199db84ec4a7730d29c2ae20dc', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104225', 5, '堰溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104225', 1, '2021-07-19 11:50:32', NULL, NULL), (18472, '', '古楼村', 'cb9cdf8e77074df48bb4f89f47496f8d', '7a9a1e42bf024515a9972a47cdb3a1ed', 'False', 'True', 'false', 'false', '511324104934', 5, '古楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324104934', 1, '2021-07-19 11:50:32', NULL, NULL), (18473, '', '土门镇', '71daf9ea6a364f38bf7be33233cbe247', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324105000', 4, '土门镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324105000', 1, '2021-07-19 11:50:32', NULL, NULL), (18474, '', '侯家桥村', 'b3a3fb7765ee457b969b9bb52e994e84', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105002', 5, '侯家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105002', 1, '2021-07-19 11:50:32', NULL, NULL), (18475, '', '酢坊沟村', '9fe732a5ee8a4055b5071fb3b12e0519', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105003', 5, '酢坊沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105003', 1, '2021-07-19 11:50:32', NULL, NULL), (18476, '', '三层洞村', '58b0061496e745b6a49d8e3a1814f81d', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105004', 5, '三层洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105004', 1, '2021-07-19 11:50:32', NULL, NULL), (18477, '', '白鹤岭村', '82d456d8c20a42efa423cc53195cfcf8', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105005', 5, '白鹤岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105005', 1, '2021-07-19 11:50:32', NULL, NULL), (18478, '', '海溪寺村社区', 'b6387fe658f6466897a0b0d09798343c', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105006', 5, '海溪寺村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105006', 1, '2021-07-19 11:50:32', NULL, NULL), (18479, '', '郭家沟村', '15a21ab8bfeb46d68009f54965752f0f', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105007', 5, '郭家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105007', 1, '2021-07-19 11:50:32', NULL, NULL), (18480, '', '小营湾村', 'e40999bfeec14dcdbb48e0dc0c3f7872', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105008', 5, '小营湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105008', 1, '2021-07-19 11:50:32', NULL, NULL), (18481, '', '双包梁村', '51384fbfe013499a86af94f3a7761a8a', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105009', 5, '双包梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105009', 1, '2021-07-19 11:50:32', NULL, NULL), (18482, '', '雁家坝村', '52397a093ab94796bebf4c0ecb960678', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105010', 5, '雁家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105010', 1, '2021-07-19 11:50:32', NULL, NULL), (18483, '', '桂花树村', 'fbff0516c78b47828585ba1870101dba', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105011', 5, '桂花树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105011', 1, '2021-07-19 11:50:32', NULL, NULL), (18484, '', '石垭豁村社区', '096a0a87fc3d4ab4ad4e7639b4606716', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105012', 5, '石垭豁村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105012', 1, '2021-07-19 11:50:32', NULL, NULL), (18485, '', '魏家湾村社区', '9ef03eb80a7544b0b1b8cecb8bba29aa', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105013', 5, '魏家湾村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105013', 1, '2021-07-19 11:50:32', NULL, NULL), (18486, '', '石牌坊村', 'd9dd529339b74bcf99ae76dcd842270d', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105014', 5, '石牌坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105014', 1, '2021-07-19 11:50:33', NULL, NULL), (18487, '', '蜡池垭村', '2f0f79f3e87543a6b75204b2a692bd49', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105015', 5, '蜡池垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105015', 1, '2021-07-19 11:50:33', NULL, NULL), (18488, '', '大龙泉村', '42cef3ea1f4a4ee2af416f06119631cc', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105016', 5, '大龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105016', 1, '2021-07-19 11:50:33', NULL, NULL), (18489, '', '文家寨村', 'bf702f0c2e0e4eca9b790424e30d56d0', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105017', 5, '文家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105017', 1, '2021-07-19 11:50:33', NULL, NULL), (18490, '', '田家沟村', '5213df49af0c429eb89174a5c16e793a', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105018', 5, '田家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105018', 1, '2021-07-19 11:50:33', NULL, NULL), (18491, '', '农场坝村社区', '103c11f3d8264db2a5682512be3245b8', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105019', 5, '农场坝村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105019', 1, '2021-07-19 11:50:33', NULL, NULL), (18492, '', '陡嘴子村', '83c20a9fa11b4a489811f02a726c6748', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105020', 5, '陡嘴子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105020', 1, '2021-07-19 11:50:33', NULL, NULL), (18493, '', '汪家坝村', 'dc0f444fb33543b0b90299d43e66597a', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105021', 5, '汪家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105021', 1, '2021-07-19 11:50:33', NULL, NULL), (18494, '', '险岩子村', '12d79d1ad6374bbbb0daf060ae57b797', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105022', 5, '险岩子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105022', 1, '2021-07-19 11:50:33', NULL, NULL), (18495, '', '猪山坡村社区', '5bbbe95775b7427da042208dbfc80951', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105023', 5, '猪山坡村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105023', 1, '2021-07-19 11:50:33', NULL, NULL), (18496, '', '道金庵村', 'afe1fad10eed4939b5f95399ae71529a', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105024', 5, '道金庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105024', 1, '2021-07-19 11:50:33', NULL, NULL), (18497, '', '东风村', '5895d689b7974723a4a4ac28226ebee7', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105025', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105025', 1, '2021-07-19 11:50:33', NULL, NULL), (18498, '', '三叉河村', 'c3b23f8287f84f7685b3f85561024aca', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105690', 5, '三叉河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105690', 1, '2021-07-19 11:50:33', NULL, NULL), (18499, '', '土门铺社区', 'ef00960b4db244b2b87ec0c84fa4c656', '71daf9ea6a364f38bf7be33233cbe247', 'False', 'True', 'false', 'false', '511324105912', 5, '土门铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324105912', 1, '2021-07-19 11:50:34', NULL, NULL), (18500, '', '复兴镇', '3885d516ffcd41a9b4475bef94c5ab5a', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'true', 'true', '511324106000', 4, '复兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324106000', 1, '2021-07-19 11:50:34', NULL, NULL), (18501, '', '商贸社区', '77bacc5703f24ec9a095824e25b790e2', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106001', 5, '商贸社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106001', 1, '2021-07-19 11:50:34', NULL, NULL), (18502, '', '十字社区', '4fb06ab212f2479cb5eab4c7631d0802', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106002', 5, '十字社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106002', 1, '2021-07-19 11:50:34', NULL, NULL), (18503, '', '薛家扁村', '51dc7be6202d48ab99a1f06f3e7ee8d9', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106201', 5, '薛家扁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106201', 1, '2021-07-19 11:50:34', NULL, NULL), (18504, '', '灶户沟村', '7fb2f21236ac4876973e382737dfe146', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106202', 5, '灶户沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106202', 1, '2021-07-19 11:50:34', NULL, NULL), (18505, '', '强光村', '370a44d3628547679d1f17c21741933a', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106203', 5, '强光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106203', 1, '2021-07-19 11:50:34', NULL, NULL), (18506, '', '群办村', '1d955b70b0e54e21854664d77b32ecba', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106204', 5, '群办村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106204', 1, '2021-07-19 11:50:34', NULL, NULL), (18507, '', '和平村', '44142a24a3bc4737a5f8fa1eb561ef74', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106205', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106205', 1, '2021-07-19 11:50:34', NULL, NULL), (18508, '', '战斗村', '59004e6489e04bf3adeb6f288ae16859', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106206', 5, '战斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106206', 1, '2021-07-19 11:50:34', NULL, NULL), (18509, '', '千丘田村', '28de5b700d204719a7370a442f2055c5', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106207', 5, '千丘田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106207', 1, '2021-07-19 11:50:34', NULL, NULL), (18510, '', '万兴村', '7b3ef1d1971c46bd96bdfe1513f5dbed', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106208', 5, '万兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106208', 1, '2021-07-19 11:50:34', NULL, NULL), (18511, '', '唐家坝村', '12c65628e4cd45e2be63095c72f1fdaf', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106209', 5, '唐家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106209', 1, '2021-07-19 11:50:34', NULL, NULL), (18512, '', '杨家湾村', '8a966cef3c5844858fd18c6c96da1262', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106210', 5, '杨家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106210', 1, '2021-07-19 11:50:34', NULL, NULL), (18513, '', '八股井村', '196b03ba11ba403590569e3f79e70493', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106211', 5, '八股井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106211', 1, '2021-07-19 11:50:34', NULL, NULL), (18514, '', '江南村', '7091a4f178fd435183f9c105e6302cd5', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106212', 5, '江南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106212', 1, '2021-07-19 11:50:34', NULL, NULL), (18515, '', '卫星村', 'f1285206575a4971a19f231c46b6aee4', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106213', 5, '卫星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106213', 1, '2021-07-19 11:50:35', NULL, NULL), (18516, '', '红旗村', '53a35309a7ae49a3973bf0f3d0e1c109', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106214', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106214', 1, '2021-07-19 11:50:35', NULL, NULL), (18517, '', '大红坝村', 'c5e5341672ae4931a3a3f3a87c11f7ec', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106215', 5, '大红坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106215', 1, '2021-07-19 11:50:35', NULL, NULL), (18518, '', '玉皇观村', '51af70d897c44e6f96b80877a8f6d026', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106216', 5, '玉皇观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106216', 1, '2021-07-19 11:50:35', NULL, NULL), (18519, '', '石桥河村', 'f4a9534d0dde4bd3bfd1d87286cb1ee3', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106217', 5, '石桥河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106217', 1, '2021-07-19 11:50:35', NULL, NULL), (18520, '', '青家沟村', '3881f95f41e8473ab4da422deea64ef5', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106218', 5, '青家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106218', 1, '2021-07-19 11:50:35', NULL, NULL), (18521, '', '龙马碥村', '082ecd8468c34438a29a9f730fa8b38d', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106219', 5, '龙马碥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106219', 1, '2021-07-19 11:50:35', NULL, NULL), (18522, '', '子童坝村', '5756641067624db1898666d52ff56973', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106220', 5, '子童坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106220', 1, '2021-07-19 11:50:35', NULL, NULL), (18523, '', '桅房子村', 'e45ae2339a72480ba1aa44ee3806d03e', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106221', 5, '桅房子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106221', 1, '2021-07-19 11:50:35', NULL, NULL), (18524, '', '双星庙村', 'df20191e51c54e7e91256603f8b4f414', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106222', 5, '双星庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106222', 1, '2021-07-19 11:50:35', NULL, NULL), (18525, '', '胡家桥村', 'c0d52267848a4b1da3c3165b5b00b119', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106223', 5, '胡家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106223', 1, '2021-07-19 11:50:35', NULL, NULL), (18526, '', '绿鸭寨村', 'e2741e99e6a340bbb11f42cd5b43ffd2', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106224', 5, '绿鸭寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106224', 1, '2021-07-19 11:50:35', NULL, NULL), (18527, '', '白瓦房村', '2ad35e19f12a4c19bb22ef8d94d358bf', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106225', 5, '白瓦房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106225', 1, '2021-07-19 11:50:35', NULL, NULL), (18528, '', '永山庙村', 'b1d5d9a912b944f59abfe591cc885a59', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106226', 5, '永山庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106226', 1, '2021-07-19 11:50:35', NULL, NULL), (18529, '', '宝珠山村', '47cf2e921a0e4e90884f927731fa2a6d', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106227', 5, '宝珠山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106227', 1, '2021-07-19 11:50:36', NULL, NULL), (18530, '', '高柏梁村', 'c881cde36ca440639542bc8cb7379286', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106228', 5, '高柏梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106228', 1, '2021-07-19 11:50:36', NULL, NULL), (18531, '', '铁门坎村', 'e89f7305c7bc4337b807880390b331c8', '3885d516ffcd41a9b4475bef94c5ab5a', 'False', 'True', 'false', 'false', '511324106229', 5, '铁门坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324106229', 1, '2021-07-19 11:50:36', NULL, NULL), (18532, '', '先锋镇', '6b6c76ba45a04548a79023b9981f58ae', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324108000', 4, '先锋镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324108000', 1, '2021-07-19 11:50:36', NULL, NULL), (18533, '', '洛阳社区', '71230598e3f347928c099cbca07c1893', '6b6c76ba45a04548a79023b9981f58ae', 'False', 'True', 'false', 'false', '511324108001', 5, '洛阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324108001', 1, '2021-07-19 11:50:36', NULL, NULL), (18534, '', '富山村', 'b69073c761fa4ccfb563861b7f5d7f33', '6b6c76ba45a04548a79023b9981f58ae', 'False', 'True', 'false', 'false', '511324108201', 5, '富山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324108201', 1, '2021-07-19 11:50:36', NULL, NULL), (18535, '', '洛阳村', '846f86f090f344ddab8bb70ec85bf7b6', '6b6c76ba45a04548a79023b9981f58ae', 'False', 'True', 'false', 'false', '511324108202', 5, '洛阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324108202', 1, '2021-07-19 11:50:36', NULL, NULL), (18536, '', '大众村', 'a261fb1c11a34d74b8a5c8ec0b241d52', '6b6c76ba45a04548a79023b9981f58ae', 'False', 'True', 'false', 'false', '511324108203', 5, '大众村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324108203', 1, '2021-07-19 11:50:36', NULL, NULL), (18537, '', '铁佛村', '84e7b5e835fb4c01b0209d90699ffd4e', '6b6c76ba45a04548a79023b9981f58ae', 'False', 'True', 'false', 'false', '511324108204', 5, '铁佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324108204', 1, '2021-07-19 11:50:36', NULL, NULL), (18538, '', '争光村', 'b4ace0d4fc2e438f8bca49ff55c16bc6', '6b6c76ba45a04548a79023b9981f58ae', 'False', 'True', 'false', 'false', '511324108205', 5, '争光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324108205', 1, '2021-07-19 11:50:36', NULL, NULL), (18539, '', '龙门村', 'f38931be45eb4a7098577cf2c5443405', '6b6c76ba45a04548a79023b9981f58ae', 'False', 'True', 'false', 'false', '511324108206', 5, '龙门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324108206', 1, '2021-07-19 11:50:36', NULL, NULL), (18540, '', '翻身村', '4f7f721c9ea547199745179995ec38b3', '6b6c76ba45a04548a79023b9981f58ae', 'False', 'True', 'false', 'false', '511324108207', 5, '翻身村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324108207', 1, '2021-07-19 11:50:36', NULL, NULL), (18541, '', '江长村', '894c847f8e204836a32d76a99bcd827c', '6b6c76ba45a04548a79023b9981f58ae', 'False', 'True', 'false', 'false', '511324108208', 5, '江长村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324108208', 1, '2021-07-19 11:50:36', NULL, NULL), (18542, '', '燕河村', '7f48a1ce005147e0b21cc13129631df5', '6b6c76ba45a04548a79023b9981f58ae', 'False', 'True', 'false', 'false', '511324108209', 5, '燕河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324108209', 1, '2021-07-19 11:50:36', NULL, NULL), (18543, '', '石岭村', '1d81274c13e84d13832726a78727c875', '6b6c76ba45a04548a79023b9981f58ae', 'False', 'True', 'false', 'false', '511324108210', 5, '石岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324108210', 1, '2021-07-19 11:50:37', NULL, NULL), (18544, '', '二郎村', '3d748521e7984c4eb567900dc40bc771', '6b6c76ba45a04548a79023b9981f58ae', 'False', 'True', 'false', 'false', '511324108211', 5, '二郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324108211', 1, '2021-07-19 11:50:37', NULL, NULL), (18545, '', '三蛟镇', '55d3916271b94915be617c75c0b049ae', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324109000', 4, '三蛟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324109000', 1, '2021-07-19 11:50:37', NULL, NULL), (18546, '', '三蛟寺社区', '6dce4546505a4b6db0cd94f72149a502', '55d3916271b94915be617c75c0b049ae', 'False', 'True', 'false', 'false', '511324109001', 5, '三蛟寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324109001', 1, '2021-07-19 11:50:37', NULL, NULL), (18547, '', '燕山村', '4d718b8cd5564e339cde85ddf6fc6875', '55d3916271b94915be617c75c0b049ae', 'False', 'True', 'false', 'false', '511324109201', 5, '燕山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324109201', 1, '2021-07-19 11:50:37', NULL, NULL), (18548, '', '仙山村', 'f1ee32dd300440469683d91f7db1d138', '55d3916271b94915be617c75c0b049ae', 'False', 'True', 'false', 'false', '511324109202', 5, '仙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324109202', 1, '2021-07-19 11:50:37', NULL, NULL), (18549, '', '巴山村', '95ae5553ac3a4e159937d475cf39d801', '55d3916271b94915be617c75c0b049ae', 'False', 'True', 'false', 'false', '511324109203', 5, '巴山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324109203', 1, '2021-07-19 11:50:37', NULL, NULL), (18550, '', '银山村', '89dfaf12e2a94d4fac0f7400efbf0124', '55d3916271b94915be617c75c0b049ae', 'False', 'True', 'false', 'false', '511324109204', 5, '银山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324109204', 1, '2021-07-19 11:50:37', NULL, NULL), (18551, '', '顶山村', '795f407849f34ed5b27fd724ea08ff8f', '55d3916271b94915be617c75c0b049ae', 'False', 'True', 'false', 'false', '511324109205', 5, '顶山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324109205', 1, '2021-07-19 11:50:37', NULL, NULL), (18552, '', '宝山村', '95bfd2c3fef14d28958c862761d55a9e', '55d3916271b94915be617c75c0b049ae', 'False', 'True', 'false', 'false', '511324109206', 5, '宝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324109206', 1, '2021-07-19 11:50:37', NULL, NULL), (18553, '', '玉山村', '52c8ce214ffc49d5b6f2a1c0452c5741', '55d3916271b94915be617c75c0b049ae', 'False', 'True', 'false', 'false', '511324109207', 5, '玉山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324109207', 1, '2021-07-19 11:50:37', NULL, NULL), (18554, '', '华山村', '2722bfa9a2cf4d3c89607c720df607fa', '55d3916271b94915be617c75c0b049ae', 'False', 'True', 'false', 'false', '511324109208', 5, '华山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324109208', 1, '2021-07-19 11:50:37', NULL, NULL), (18555, '', '天山村', 'b7b28ad82a384155bbcb84fc42275af3', '55d3916271b94915be617c75c0b049ae', 'False', 'True', 'false', 'false', '511324109209', 5, '天山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324109209', 1, '2021-07-19 11:50:37', NULL, NULL), (18556, '', '昆山村', '709ac368ee67475e871e770d7d3331de', '55d3916271b94915be617c75c0b049ae', 'False', 'True', 'false', 'false', '511324109210', 5, '昆山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324109210', 1, '2021-07-19 11:50:37', NULL, NULL), (18557, '', '盘山村', '7a77f9bf1bb94e79a6bbbb016fcb4dcb', '55d3916271b94915be617c75c0b049ae', 'False', 'True', 'false', 'false', '511324109211', 5, '盘山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324109211', 1, '2021-07-19 11:50:37', NULL, NULL), (18558, '', '群山村', '4d7227c3271443e3b21a9035f2d73824', '55d3916271b94915be617c75c0b049ae', 'False', 'True', 'false', 'false', '511324109212', 5, '群山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324109212', 1, '2021-07-19 11:50:38', NULL, NULL), (18559, '', '回春镇', '1e2efc5d87e84119b3004060c08d6ccf', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324110000', 4, '回春镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324110000', 1, '2021-07-19 11:50:38', NULL, NULL), (18560, '', '回龙社区', 'fd860d0396cd4f4abfe663e4c492daa0', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110001', 5, '回龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110001', 1, '2021-07-19 11:50:38', NULL, NULL), (18561, '', '金鼓包村', '88ee2ee517a24880b11c2fe1d9356961', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110108', 5, '金鼓包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110108', 1, '2021-07-19 11:50:38', NULL, NULL), (18562, '', '龙山村', '5367c6e4677044178c376d20a4cb40e3', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110201', 5, '龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110201', 1, '2021-07-19 11:50:38', NULL, NULL), (18563, '', '劳动村', '53d95f402d7746408eac9d5317971265', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110202', 5, '劳动村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110202', 1, '2021-07-19 11:50:38', NULL, NULL), (18564, '', '生产村', '94e0e86c340e419f8d72d1ead0e26dc9', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110203', 5, '生产村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110203', 1, '2021-07-19 11:50:38', NULL, NULL), (18565, '', '印金山村', 'afab5ca712fa4429ab3ef3c7dc8c2705', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110204', 5, '印金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110204', 1, '2021-07-19 11:50:38', NULL, NULL), (18566, '', '鲜家坪村', '9e13e184b2f745a898fc06b5f1127ef9', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110205', 5, '鲜家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110205', 1, '2021-07-19 11:50:38', NULL, NULL), (18567, '', '桅杆坡村', '1a0994a2e2ef4e50a0bf18862f9b922a', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110206', 5, '桅杆坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110206', 1, '2021-07-19 11:50:38', NULL, NULL), (18568, '', '胡家沟村', 'b2d3c1721fee4c0aa5835dee0de89830', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110207', 5, '胡家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110207', 1, '2021-07-19 11:50:38', NULL, NULL), (18569, '', '火光村', 'e803a14987c24a989b5f362b6eacec3a', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110208', 5, '火光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110208', 1, '2021-07-19 11:50:38', NULL, NULL), (18570, '', '大湾村', 'a7e437d79d5f4d2a9e717ab875ab17f2', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110209', 5, '大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110209', 1, '2021-07-19 11:50:38', NULL, NULL), (18571, '', '青苔村', '18c99793ccf94fd6926d487aed504e7f', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110210', 5, '青苔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110210', 1, '2021-07-19 11:50:39', NULL, NULL), (18572, '', '大华村', '3a4b72e08d604b65866ce675c707eed9', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110211', 5, '大华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110211', 1, '2021-07-19 11:50:39', NULL, NULL), (18573, '', '梁家山村', '69d22ef2b797479690dca7fec44ff57d', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110212', 5, '梁家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110212', 1, '2021-07-19 11:50:39', NULL, NULL), (18574, '', '戴花山村', 'd97aa06098874f56bfc9d9cbc7e8f2ab', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110213', 5, '戴花山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110213', 1, '2021-07-19 11:50:39', NULL, NULL), (18575, '', '老木垭村', 'c8bf87be502244bd97afb0aaab5615e1', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110214', 5, '老木垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110214', 1, '2021-07-19 11:50:39', NULL, NULL), (18576, '', '青龙村', '7c4373609e494424a621cd9bdb64968a', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110215', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110215', 1, '2021-07-19 11:50:39', NULL, NULL), (18577, '', '东山村', '9157bb0e2afe43e08e6394a6b31ea88b', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110216', 5, '东山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110216', 1, '2021-07-19 11:50:39', NULL, NULL), (18578, '', '猫儿沟村', '1881d7280b67453c9abc087936db0362', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110217', 5, '猫儿沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110217', 1, '2021-07-19 11:50:39', NULL, NULL), (18579, '', '来苏村社区', 'ed21557fd1004552922253b0de91eed5', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110218', 5, '来苏村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110218', 1, '2021-07-19 11:50:39', NULL, NULL), (18580, '', '曹家山村', '12206a67c0e6475a9f6502ddccd11f4f', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110219', 5, '曹家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110219', 1, '2021-07-19 11:50:39', NULL, NULL), (18581, '', '罗家沟村', '0515e3b4943a4aff9cb4b2b53401d385', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110539', 5, '罗家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110539', 1, '2021-07-19 11:50:39', NULL, NULL), (18582, '', '新繁村', 'b6667866e67b45c3a0958705d1ad3a96', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110542', 5, '新繁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110542', 1, '2021-07-19 11:50:40', NULL, NULL), (18583, '', '高壁山村', '78952cb1db514925860471d606c51361', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110748', 5, '高壁山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110748', 1, '2021-07-19 11:50:40', NULL, NULL), (18584, '', '瓦窑坪村', 'c1ef9599b9894d7cb363951216488401', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110902', 5, '瓦窑坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110902', 1, '2021-07-19 11:50:40', NULL, NULL), (18585, '', '阆仪桥村', 'e60e271a4d484d0f9e1d11031bc32b08', '1e2efc5d87e84119b3004060c08d6ccf', 'False', 'True', 'false', 'false', '511324110942', 5, '阆仪桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324110942', 1, '2021-07-19 11:50:40', NULL, NULL), (18586, '', '柳垭镇', '0c505b33494b4b43b60739da7fa84191', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324111000', 4, '柳垭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324111000', 1, '2021-07-19 11:50:40', NULL, NULL), (18587, '', '悦来社区', '116f86b997b8427bbc4304fc4ca63a2f', '0c505b33494b4b43b60739da7fa84191', 'False', 'True', 'false', 'false', '511324111001', 5, '悦来社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324111001', 1, '2021-07-19 11:50:40', NULL, NULL), (18588, '', '柳垭村', '96353bdbe6aa4052850007de8c563c34', '0c505b33494b4b43b60739da7fa84191', 'False', 'True', 'false', 'false', '511324111201', 5, '柳垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324111201', 1, '2021-07-19 11:50:40', NULL, NULL), (18589, '', '悦来村', '82c34ab2835445a7914799590f804c3b', '0c505b33494b4b43b60739da7fa84191', 'False', 'True', 'false', 'false', '511324111202', 5, '悦来村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324111202', 1, '2021-07-19 11:50:41', NULL, NULL), (18590, '', '太平寨村', '4b6e528caa1943c49d7431c98f8df640', '0c505b33494b4b43b60739da7fa84191', 'False', 'True', 'false', 'false', '511324111203', 5, '太平寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324111203', 1, '2021-07-19 11:50:41', NULL, NULL), (18591, '', '茶店垭村', 'dd33b466ea4145b7b9b598c6d1b6ea2a', '0c505b33494b4b43b60739da7fa84191', 'False', 'True', 'false', 'false', '511324111204', 5, '茶店垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324111204', 1, '2021-07-19 11:50:41', NULL, NULL), (18592, '', '金花寨村', 'c365481fa06148039ea6e97da0cd2e21', '0c505b33494b4b43b60739da7fa84191', 'False', 'True', 'false', 'false', '511324111205', 5, '金花寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324111205', 1, '2021-07-19 11:50:41', NULL, NULL), (18593, '', '虎峨坝村', '43f089f68cd44005a38ec0462790136d', '0c505b33494b4b43b60739da7fa84191', 'False', 'True', 'false', 'false', '511324111206', 5, '虎峨坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324111206', 1, '2021-07-19 11:50:41', NULL, NULL), (18594, '', '四方包村', '3c3e3ee02c974d20a903564e690dbf19', '0c505b33494b4b43b60739da7fa84191', 'False', 'True', 'false', 'false', '511324111207', 5, '四方包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324111207', 1, '2021-07-19 11:50:41', NULL, NULL), (18595, '', '大溪河村', '4cabc32b747f4ca8807dde303aea6888', '0c505b33494b4b43b60739da7fa84191', 'False', 'True', 'false', 'false', '511324111208', 5, '大溪河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324111208', 1, '2021-07-19 11:50:41', NULL, NULL), (18596, '', '回龙观村', '49e66003d61a467bb3e718a2f521a569', '0c505b33494b4b43b60739da7fa84191', 'False', 'True', 'false', 'false', '511324111209', 5, '回龙观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324111209', 1, '2021-07-19 11:50:41', NULL, NULL), (18597, '', '钟田坝村', 'e5767c4aedcc4338a6afe539ac079330', '0c505b33494b4b43b60739da7fa84191', 'False', 'True', 'false', 'false', '511324111210', 5, '钟田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324111210', 1, '2021-07-19 11:50:41', NULL, NULL), (18598, '', '水巷子村', 'c11b9c5c74e249a2b6bbb9ab29865db9', '0c505b33494b4b43b60739da7fa84191', 'False', 'True', 'false', 'false', '511324111211', 5, '水巷子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324111211', 1, '2021-07-19 11:50:41', NULL, NULL), (18599, '', '柏桦山村', 'd8add389e1de46579e996e26b66b3747', '0c505b33494b4b43b60739da7fa84191', 'False', 'True', 'false', 'false', '511324111212', 5, '柏桦山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324111212', 1, '2021-07-19 11:50:41', NULL, NULL), (18600, '', '金贝坝村', '3eba35c66d09483cb15761b89e0cd262', '0c505b33494b4b43b60739da7fa84191', 'False', 'True', 'false', 'false', '511324111213', 5, '金贝坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324111213', 1, '2021-07-19 11:50:41', NULL, NULL), (18601, '', '断石垭村', '6a7332ae48124e5bb5781ab0cc9fd1df', '0c505b33494b4b43b60739da7fa84191', 'False', 'True', 'false', 'false', '511324111214', 5, '断石垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324111214', 1, '2021-07-19 11:50:42', NULL, NULL), (18602, '', '笔架山村', '0cc1db569bca47d1b061dbb8d791b81d', '0c505b33494b4b43b60739da7fa84191', 'False', 'True', 'false', 'false', '511324111215', 5, '笔架山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324111215', 1, '2021-07-19 11:50:42', NULL, NULL), (18603, '', '义路镇', 'a2c7d6cd1399425a9e5b3769734b7465', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324112000', 4, '义路镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324112000', 1, '2021-07-19 11:50:42', NULL, NULL), (18604, '', '双路社区', '104456f438084967b7fbccac9568a850', 'a2c7d6cd1399425a9e5b3769734b7465', 'False', 'True', 'false', 'false', '511324112001', 5, '双路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324112001', 1, '2021-07-19 11:50:42', NULL, NULL), (18605, '', '伏虞社区', '7db0648fe862422594ed61d88af13167', 'a2c7d6cd1399425a9e5b3769734b7465', 'False', 'True', 'false', 'false', '511324112002', 5, '伏虞社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324112002', 1, '2021-07-19 11:50:42', NULL, NULL), (18606, '', '金石头村', 'b97f36d67e744a19a9fd2571cc04435a', 'a2c7d6cd1399425a9e5b3769734b7465', 'False', 'True', 'false', 'false', '511324112201', 5, '金石头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324112201', 1, '2021-07-19 11:50:42', NULL, NULL), (18607, '', '粉坊坝村', 'e8e7c4f3c9ba4338a75d16412e72fc58', 'a2c7d6cd1399425a9e5b3769734b7465', 'False', 'True', 'false', 'false', '511324112202', 5, '粉坊坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324112202', 1, '2021-07-19 11:50:42', NULL, NULL), (18608, '', '奉恩寺村', '57955267228e4aefb617923d38575496', 'a2c7d6cd1399425a9e5b3769734b7465', 'False', 'True', 'false', 'false', '511324112203', 5, '奉恩寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324112203', 1, '2021-07-19 11:50:42', NULL, NULL), (18609, '', '大岚山村', 'db3757b5de77435c9c5ec374c2c4e367', 'a2c7d6cd1399425a9e5b3769734b7465', 'False', 'True', 'false', 'false', '511324112204', 5, '大岚山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324112204', 1, '2021-07-19 11:50:42', NULL, NULL), (18610, '', '青春堰村', 'c6a60be7cd9146ea9874136b85b122a2', 'a2c7d6cd1399425a9e5b3769734b7465', 'False', 'True', 'false', 'false', '511324112205', 5, '青春堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324112205', 1, '2021-07-19 11:50:42', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (18611, '', '钟成寨村', '3677850cb30f47d09d07b0f6c4c6529c', 'a2c7d6cd1399425a9e5b3769734b7465', 'False', 'True', 'false', 'false', '511324112206', 5, '钟成寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324112206', 1, '2021-07-19 11:50:42', NULL, NULL), (18612, '', '青天院村', '305362839c4a45ce91dc7d4845a2f509', 'a2c7d6cd1399425a9e5b3769734b7465', 'False', 'True', 'false', 'false', '511324112207', 5, '青天院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324112207', 1, '2021-07-19 11:50:43', NULL, NULL), (18613, '', '场沟村', 'bbd7b0ac021a4f6c9f704e346d73f24f', 'a2c7d6cd1399425a9e5b3769734b7465', 'False', 'True', 'false', 'false', '511324112208', 5, '场沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324112208', 1, '2021-07-19 11:50:43', NULL, NULL), (18614, '', '龙呈寨村', '950369d0d9c34a8c85df82c6073a82f1', 'a2c7d6cd1399425a9e5b3769734b7465', 'False', 'True', 'false', 'false', '511324112209', 5, '龙呈寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324112209', 1, '2021-07-19 11:50:43', NULL, NULL), (18615, '', '白沙坎村', '5dcdb7c03c014ba8ae096fcfad9c6992', 'a2c7d6cd1399425a9e5b3769734b7465', 'False', 'True', 'false', 'false', '511324112210', 5, '白沙坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324112210', 1, '2021-07-19 11:50:43', NULL, NULL), (18616, '', '立山镇', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324113000', 4, '立山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324113000', 1, '2021-07-19 11:50:43', NULL, NULL), (18617, '', '长缨社区', '45af4d9bbe51426c8a445031caad1bee', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113001', 5, '长缨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113001', 1, '2021-07-19 11:50:43', NULL, NULL), (18618, '', '梭嘴村', '8043e45d633c41768bf3c72af3e166f7', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113201', 5, '梭嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113201', 1, '2021-07-19 11:50:43', NULL, NULL), (18619, '', '营盘梁村社区', '4325f486e6e4403fb63de33d1df02fdc', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113202', 5, '营盘梁村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113202', 1, '2021-07-19 11:50:43', NULL, NULL), (18620, '', '文家岭村', 'db6fd6072efa401982ae95cc901aaabc', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113203', 5, '文家岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113203', 1, '2021-07-19 11:50:43', NULL, NULL), (18621, '', '道壕村', '088ffcc4a4954fe3aa34bc45c7974e18', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113204', 5, '道壕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113204', 1, '2021-07-19 11:50:43', NULL, NULL), (18622, '', '陶家岭村', '7075e2dac00b4e0cb75032ec1f6011ce', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113205', 5, '陶家岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113205', 1, '2021-07-19 11:50:43', NULL, NULL), (18623, '', '观灯山村', '3637e9ccf28d465ea962cf13b5d8e374', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113206', 5, '观灯山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113206', 1, '2021-07-19 11:50:44', NULL, NULL), (18624, '', '久阳山农村社区', '3a9768a83b7d46cfa6e98a98c7365868', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113207', 5, '久阳山农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113207', 1, '2021-07-19 11:50:44', NULL, NULL), (18625, '', '桂花村', '3a72701292cc4fa39e8d7444977e4321', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113208', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113208', 1, '2021-07-19 11:50:44', NULL, NULL), (18626, '', '长胜村', '49aa41c619c94844b539e8c485996b23', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113209', 5, '长胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113209', 1, '2021-07-19 11:50:44', NULL, NULL), (18627, '', '望乡村', '5d22da593f45469aa64c063174d39045', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113210', 5, '望乡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113210', 1, '2021-07-19 11:50:44', NULL, NULL), (18628, '', '永福庵村', '4b49f0a19f2541bbaef4a874731a415e', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113211', 5, '永福庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113211', 1, '2021-07-19 11:50:44', NULL, NULL), (18629, '', '黄包寨村', '9bc50fabfa214371a1c3c8b4d8cc0770', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113212', 5, '黄包寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113212', 1, '2021-07-19 11:50:44', NULL, NULL), (18630, '', '团包岭村', '336bed1e0cca493c83994a6a9e841ecf', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113213', 5, '团包岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113213', 1, '2021-07-19 11:50:44', NULL, NULL), (18631, '', '天灌丘村', '3d14e632ecc74db29d16783d90e60f40', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113214', 5, '天灌丘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113214', 1, '2021-07-19 11:50:44', NULL, NULL), (18632, '', '钟鼓楼村社区', '841ea3a96aa0456a90222ef177d1933b', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113215', 5, '钟鼓楼村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113215', 1, '2021-07-19 11:50:44', NULL, NULL), (18633, '', '炮台村', 'c416a07c8d9e4e07a72a4466ce90e8d8', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113216', 5, '炮台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113216', 1, '2021-07-19 11:50:44', NULL, NULL), (18634, '', '大田坝村', '697544696db64639a2caf5b70fe0783e', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113217', 5, '大田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113217', 1, '2021-07-19 11:50:44', NULL, NULL), (18635, '', '金土地村', '55ea8bc0134845bf883f3bb129e0ae7b', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113218', 5, '金土地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113218', 1, '2021-07-19 11:50:45', NULL, NULL), (18636, '', '沙坎村', '46eda785a9d343088ce1afd8b38c8e97', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113219', 5, '沙坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113219', 1, '2021-07-19 11:50:45', NULL, NULL), (18637, '', '大石坎村', '2c79e981e2b3458a82f482db67abbf5c', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113220', 5, '大石坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113220', 1, '2021-07-19 11:50:45', NULL, NULL), (18638, '', '五峰山村社区', 'b882260c9ebc4e03aa11cafea935af50', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113221', 5, '五峰山村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113221', 1, '2021-07-19 11:50:45', NULL, NULL), (18639, '', '王家嘴村', 'e9b383c0dfb94c1aae834311e8b987a6', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113222', 5, '王家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113222', 1, '2021-07-19 11:50:45', NULL, NULL), (18640, '', '二郎庙村', '9f92e173ffa2464684429a8225171d77', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113223', 5, '二郎庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113223', 1, '2021-07-19 11:50:45', NULL, NULL), (18641, '', '燕子岩村', 'dd6a0d304eb247fe9474498713cbafad', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113224', 5, '燕子岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113224', 1, '2021-07-19 11:50:45', NULL, NULL), (18642, '', '黄家坝村', 'ffcacb1c97444cd796da8f94acf533c2', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113225', 5, '黄家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113225', 1, '2021-07-19 11:50:45', NULL, NULL), (18643, '', '仓石坝村', '1d887c67f9e74b038749642a45033847', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113226', 5, '仓石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113226', 1, '2021-07-19 11:50:45', NULL, NULL), (18644, '', '吹角嘴村', 'aa89124181634268bc4102f881e591d7', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113227', 5, '吹角嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113227', 1, '2021-07-19 11:50:45', NULL, NULL), (18645, '', '大垭口村', '97b8aa1ce3614e71ba7bcb9bb93655c0', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113228', 5, '大垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113228', 1, '2021-07-19 11:50:45', NULL, NULL), (18646, '', '水口庙村', '53073ef14f50486b844cda08e475eec5', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113229', 5, '水口庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113229', 1, '2021-07-19 11:50:45', NULL, NULL), (18647, '', '下马台村', '9d0382eee9304b8391140fbf5f5a0a5d', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113230', 5, '下马台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113230', 1, '2021-07-19 11:50:45', NULL, NULL), (18648, '', '三溪寺村', 'f3150dda28974e33a012838a20a43267', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113231', 5, '三溪寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113231', 1, '2021-07-19 11:50:45', NULL, NULL), (18649, '', '代冠石村', '8657f353a82a4c90bec0e19a1e5d2aeb', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113232', 5, '代冠石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113232', 1, '2021-07-19 11:50:45', NULL, NULL), (18650, '', '回龙庙村', '1410fc6c91514413bb4224dd55b26738', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113233', 5, '回龙庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113233', 1, '2021-07-19 11:50:45', NULL, NULL), (18651, '', '马槽溪村', '46c7a683499841f58e172f510cd110d1', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113234', 5, '马槽溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113234', 1, '2021-07-19 11:50:46', NULL, NULL), (18652, '', '陈家岭村', '050d0b058919410aa7f515216b2c4829', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113235', 5, '陈家岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113235', 1, '2021-07-19 11:50:46', NULL, NULL), (18653, '', '双牛石村', '5e4fc4a79c84413d89a350b94136b6ae', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113236', 5, '双牛石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113236', 1, '2021-07-19 11:50:46', NULL, NULL), (18654, '', '高岩口村', '53c624b70d9142f19397f33f48eda5c6', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113237', 5, '高岩口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113237', 1, '2021-07-19 11:50:46', NULL, NULL), (18655, '', '石板店村', '53031ccac3cf437191d9308ed9bf4949', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113238', 5, '石板店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113238', 1, '2021-07-19 11:50:46', NULL, NULL), (18656, '', '马跪石农村社区', '0b258d7fd8ad4c9abd0e582ffcb5af77', '3e83b72f2a8d4deab1fd9d10d8a841b3', 'False', 'True', 'false', 'false', '511324113239', 5, '马跪石农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324113239', 1, '2021-07-19 11:50:46', NULL, NULL), (18657, '', '三河镇', '1bdc9d50f149408fa3990283134a78ac', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324114000', 4, '三河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324114000', 1, '2021-07-19 11:50:46', NULL, NULL), (18658, '', '川江社区', 'ed417e1754284c67a1a4258da64049b3', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114001', 5, '川江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114001', 1, '2021-07-19 11:50:46', NULL, NULL), (18659, '', '十字垭村社区', 'debdb6e845c4435f868b10008a93fee2', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114201', 5, '十字垭村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114201', 1, '2021-07-19 11:50:46', NULL, NULL), (18660, '', '鹞子洞村社区', '3e74c8a79ad2447aaaf93474eb0404da', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114202', 5, '鹞子洞村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114202', 1, '2021-07-19 11:50:46', NULL, NULL), (18661, '', '吊索湾村', 'a6b97d8c6c204e5e85b1debae2fe21e8', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114203', 5, '吊索湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114203', 1, '2021-07-19 11:50:46', NULL, NULL), (18662, '', '倒角湾村社区', 'd9d20ab4fe77431990806621fc08c4f5', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114204', 5, '倒角湾村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114204', 1, '2021-07-19 11:50:46', NULL, NULL), (18663, '', '黄泥包村', 'd04724ad57d24b5fbd0a470852567fa6', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114205', 5, '黄泥包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114205', 1, '2021-07-19 11:50:47', NULL, NULL), (18664, '', '天梁寨村', '950b861a5b4c4aebb62bbf0be5becbaf', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114206', 5, '天梁寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114206', 1, '2021-07-19 11:50:47', NULL, NULL), (18665, '', '九龙寺村', '7417115cc202441f96f0903d9013de2a', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114207', 5, '九龙寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114207', 1, '2021-07-19 11:50:47', NULL, NULL), (18666, '', '瓦店子村', '574138f5c02548a18112cd9b1607b4d6', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114208', 5, '瓦店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114208', 1, '2021-07-19 11:50:47', NULL, NULL), (18667, '', '新桥村', '5103f762764444579542078754d7eeb6', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114209', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114209', 1, '2021-07-19 11:50:47', NULL, NULL), (18668, '', '松花嘴村社区', 'ca95ed9f798d48e6a0fe85d1e973d0dc', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114210', 5, '松花嘴村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114210', 1, '2021-07-19 11:50:47', NULL, NULL), (18669, '', '众山包村', 'ab1c9e9f143f430283402d6e77cd13ab', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114211', 5, '众山包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114211', 1, '2021-07-19 11:50:47', NULL, NULL), (18670, '', '火石包村', '98f55f97f87849e89e9ed5674b8da767', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114212', 5, '火石包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114212', 1, '2021-07-19 11:50:47', NULL, NULL), (18671, '', '土墙坪村', '248ab8f91a5f4dc482c8b45085e38edf', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114213', 5, '土墙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114213', 1, '2021-07-19 11:50:47', NULL, NULL), (18672, '', '杨家寨村', '06685c58e5de4312bac4d3a3fd193f32', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114214', 5, '杨家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114214', 1, '2021-07-19 11:50:47', NULL, NULL), (18673, '', '陡石梯村', '95ffd74ec50e4ca1a2cd974edc2b0819', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114215', 5, '陡石梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114215', 1, '2021-07-19 11:50:47', NULL, NULL), (18674, '', '瓦窑坝村', '0ce2e88f623a45fe82cb32d0cafb260b', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114216', 5, '瓦窑坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114216', 1, '2021-07-19 11:50:47', NULL, NULL), (18675, '', '黑湾村', '91004866866049edb5cc525b977602ff', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114217', 5, '黑湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114217', 1, '2021-07-19 11:50:48', NULL, NULL), (18676, '', '关口梁村社区', '73bb903060704040a25b8433c3db5224', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114218', 5, '关口梁村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114218', 1, '2021-07-19 11:50:48', NULL, NULL), (18677, '', '河街村', '591cb741b7c9474e844c22220617ee74', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114219', 5, '河街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114219', 1, '2021-07-19 11:50:48', NULL, NULL), (18678, '', '火烧包村社区', '6a20acaae25d422cb2299d5c5fce2cdd', '1bdc9d50f149408fa3990283134a78ac', 'False', 'True', 'false', 'false', '511324114220', 5, '火烧包村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324114220', 1, '2021-07-19 11:50:48', NULL, NULL), (18679, '', '瓦子镇', 'c8944ec3d9b5483d83c7773ac35ca109', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324115000', 4, '瓦子镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324115000', 1, '2021-07-19 11:50:48', NULL, NULL), (18680, '', '南池社区', 'b059c21b347d4672b9f581859f4adad8', 'c8944ec3d9b5483d83c7773ac35ca109', 'False', 'True', 'false', 'false', '511324115001', 5, '南池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324115001', 1, '2021-07-19 11:50:48', NULL, NULL), (18681, '', '双龙庙村社区', '38eb8bf8569b49a4b116e344959f73e6', 'c8944ec3d9b5483d83c7773ac35ca109', 'False', 'True', 'false', 'false', '511324115201', 5, '双龙庙村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324115201', 1, '2021-07-19 11:50:48', NULL, NULL), (18682, '', '摇铃山村', '8b793dd0b4f14c178f040fdc5640b2d2', 'c8944ec3d9b5483d83c7773ac35ca109', 'False', 'True', 'false', 'false', '511324115202', 5, '摇铃山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324115202', 1, '2021-07-19 11:50:48', NULL, NULL), (18683, '', '天院寺村', '60cad717380c4401813909237b6cefa8', 'c8944ec3d9b5483d83c7773ac35ca109', 'False', 'True', 'false', 'false', '511324115203', 5, '天院寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324115203', 1, '2021-07-19 11:50:48', NULL, NULL), (18684, '', '阎王坡村', 'd90bef315b6e4aaaae477e6d2ceea59a', 'c8944ec3d9b5483d83c7773ac35ca109', 'False', 'True', 'false', 'false', '511324115204', 5, '阎王坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324115204', 1, '2021-07-19 11:50:48', NULL, NULL), (18685, '', '靛池沟村', 'b5ae5ba3c63841908c5a7dc62df1aea1', 'c8944ec3d9b5483d83c7773ac35ca109', 'False', 'True', 'false', 'false', '511324115205', 5, '靛池沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324115205', 1, '2021-07-19 11:50:48', NULL, NULL), (18686, '', '解放村', '6f8ab4ee85604a68aeb687fc52315770', 'c8944ec3d9b5483d83c7773ac35ca109', 'False', 'True', 'false', 'false', '511324115206', 5, '解放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324115206', 1, '2021-07-19 11:50:49', NULL, NULL), (18687, '', '凉泉村', '97f6d1f4f208481c9362c7e6e476521c', 'c8944ec3d9b5483d83c7773ac35ca109', 'False', 'True', 'false', 'false', '511324115207', 5, '凉泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324115207', 1, '2021-07-19 11:50:49', NULL, NULL), (18688, '', '梓童山村', '0bedc731f31f457fb6a23d071fcae53e', 'c8944ec3d9b5483d83c7773ac35ca109', 'False', 'True', 'false', 'false', '511324115208', 5, '梓童山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324115208', 1, '2021-07-19 11:50:49', NULL, NULL), (18689, '', '赵奎梁村', 'ac8a1b823e9f43cabfa027793b1fc911', 'c8944ec3d9b5483d83c7773ac35ca109', 'False', 'True', 'false', 'false', '511324115209', 5, '赵奎梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324115209', 1, '2021-07-19 11:50:49', NULL, NULL), (18690, '', '武魁岩村', 'f86c2be1f0a0460ebb9d4eeb3cd6d829', 'c8944ec3d9b5483d83c7773ac35ca109', 'False', 'True', 'false', 'false', '511324115210', 5, '武魁岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324115210', 1, '2021-07-19 11:50:49', NULL, NULL), (18691, '', '板凳垭村', '3d240a5c7eb649daa8d46e3a7acd89d4', 'c8944ec3d9b5483d83c7773ac35ca109', 'False', 'True', 'false', 'false', '511324115211', 5, '板凳垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324115211', 1, '2021-07-19 11:50:49', NULL, NULL), (18692, '', '二道镇', 'ab2029ffb5c04d3f8cd905de68e877d5', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324117000', 4, '二道镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324117000', 1, '2021-07-19 11:50:49', NULL, NULL), (18693, '', '丝绸路社区', '9d71a942095e4ff2b79f1fadcb077a8c', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117001', 5, '丝绸路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117001', 1, '2021-07-19 11:50:49', NULL, NULL), (18694, '', '普脊村', '8aeac2efe88a49639ebe7b0c1cc6dbcb', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117201', 5, '普脊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117201', 1, '2021-07-19 11:50:49', NULL, NULL), (18695, '', '光芒村', '89f21e9fefed4d0c9f60927e69d4d69b', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117202', 5, '光芒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117202', 1, '2021-07-19 11:50:49', NULL, NULL), (18696, '', '古井村', '890b75b6793d43149e5defb645fdf571', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117203', 5, '古井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117203', 1, '2021-07-19 11:50:49', NULL, NULL), (18697, '', '杨庙村', '0654f883edec46468966a3065d8c4ca6', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117204', 5, '杨庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117204', 1, '2021-07-19 11:50:49', NULL, NULL), (18698, '', '万红村', '6bc432808689465c877918c2c8f65679', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117205', 5, '万红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117205', 1, '2021-07-19 11:50:49', NULL, NULL), (18699, '', '魏家山村', 'be863b983994492381ad54116b2af722', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117206', 5, '魏家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117206', 1, '2021-07-19 11:50:49', NULL, NULL), (18700, '', '插旗村', '53280ba2ab2b4f0780cec6f9d38663dd', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117207', 5, '插旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117207', 1, '2021-07-19 11:50:49', NULL, NULL), (18701, '', '李子沟村', 'e25e3172a2204de880e287aae352836a', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117208', 5, '李子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117208', 1, '2021-07-19 11:50:50', NULL, NULL), (18702, '', '童治桥村', 'dd3b2d5f3e4643c08e6ec589e7b8f398', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117209', 5, '童治桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117209', 1, '2021-07-19 11:50:50', NULL, NULL), (18703, '', '焦铁沟村', '92f8803683ba4cfaa5cb45b6db3ccd11', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117210', 5, '焦铁沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117210', 1, '2021-07-19 11:50:50', NULL, NULL), (18704, '', '石缸村', '89e9c28bcdea48e69d43b853668becc4', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117211', 5, '石缸村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117211', 1, '2021-07-19 11:50:50', NULL, NULL), (18705, '', '杨家沟村', '1162b06d29d44a9f81e3886d8691a3fc', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117212', 5, '杨家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117212', 1, '2021-07-19 11:50:50', NULL, NULL), (18706, '', '长梁村', '1391f5c2cdbd4c3084938b3c048fa045', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117213', 5, '长梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117213', 1, '2021-07-19 11:50:50', NULL, NULL), (18707, '', '草坪村', '395aba74905b493a9086841ceda33c45', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117214', 5, '草坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117214', 1, '2021-07-19 11:50:50', NULL, NULL), (18708, '', '天星农村社区', 'f1180ef795374bbca4f6b22c7ea074d3', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117215', 5, '天星农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117215', 1, '2021-07-19 11:50:50', NULL, NULL), (18709, '', '笼城村', '5b076dc449c44bda94ace7efcbeb1320', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117216', 5, '笼城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117216', 1, '2021-07-19 11:50:50', NULL, NULL), (18710, '', '明光村', '7650af4a76e34656a3c83079dae5fa50', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117217', 5, '明光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117217', 1, '2021-07-19 11:50:50', NULL, NULL), (18711, '', '桥梁村', '92414422d6b84bf3a3eb629443965f85', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117218', 5, '桥梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117218', 1, '2021-07-19 11:50:50', NULL, NULL), (18712, '', '麻柳村', '3c0127900e974383b354e64fd560189b', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117219', 5, '麻柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117219', 1, '2021-07-19 11:50:50', NULL, NULL), (18713, '', '青云村', '76abcee9089947b5a5c3755d6fc80562', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117220', 5, '青云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117220', 1, '2021-07-19 11:50:50', NULL, NULL), (18714, '', '灵官村', 'f7c59d9ef19445fe8f2eefc1e8aa9881', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117221', 5, '灵官村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117221', 1, '2021-07-19 11:50:50', NULL, NULL), (18715, '', '葵家村', '51fde9227b8d476a9b2558d06a9e15f5', 'ab2029ffb5c04d3f8cd905de68e877d5', 'False', 'True', 'false', 'false', '511324117222', 5, '葵家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324117222', 1, '2021-07-19 11:50:51', NULL, NULL), (18716, '', '赛金镇', 'e424c91d5a33446684a9208ede86f13e', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324118000', 4, '赛金镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324118000', 1, '2021-07-19 11:50:51', NULL, NULL), (18717, '', '文化社区', 'e90c8a10aafa444d8fd6ff0264b7dd5a', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118001', 5, '文化社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118001', 1, '2021-07-19 11:50:51', NULL, NULL), (18718, '', '石梁子村', '6e6787dce8ea402ba4904fb7ae7462df', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118201', 5, '石梁子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118201', 1, '2021-07-19 11:50:51', NULL, NULL), (18719, '', '潮水坝村', '566691d0dbc740beaaa23482f21b617f', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118202', 5, '潮水坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118202', 1, '2021-07-19 11:50:51', NULL, NULL), (18720, '', '白垭子村', 'f33e3684cb4e4fab9f37e0baffc5ec5a', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118203', 5, '白垭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118203', 1, '2021-07-19 11:50:51', NULL, NULL), (18721, '', '郑家湾村', 'dbe8a6a5cf4e4123812db818c0df7b74', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118204', 5, '郑家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118204', 1, '2021-07-19 11:50:51', NULL, NULL), (18722, '', '龙背梁村', '95c4e35358b241769c834d8876f7a755', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118205', 5, '龙背梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118205', 1, '2021-07-19 11:50:51', NULL, NULL), (18723, '', '干坝子村', '28505dcf66bb4489b61cfe8f5a7c879e', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118206', 5, '干坝子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118206', 1, '2021-07-19 11:50:51', NULL, NULL), (18724, '', '杨二坝村', '5acf8b38ec29466da0ce2f8e6026c1c1', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118207', 5, '杨二坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118207', 1, '2021-07-19 11:50:51', NULL, NULL), (18725, '', '灯台山村', '83416837e5834be98b6c6616244fcd26', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118208', 5, '灯台山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118208', 1, '2021-07-19 11:50:51', NULL, NULL), (18726, '', '芝兰坝村', 'd98623f83e314694991a9a323e5b6d75', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118209', 5, '芝兰坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118209', 1, '2021-07-19 11:50:51', NULL, NULL), (18727, '', '雷家坝村', '8d673e580bd84b5d96f69fa6748ce4c0', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118210', 5, '雷家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118210', 1, '2021-07-19 11:50:52', NULL, NULL), (18728, '', '五佛寺村', '94e01d437fa04229bed632a89935b012', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118211', 5, '五佛寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118211', 1, '2021-07-19 11:50:52', NULL, NULL), (18729, '', '高家坝村', '3de84d56beda485b826ce42953a8e4f7', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118212', 5, '高家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118212', 1, '2021-07-19 11:50:52', NULL, NULL), (18730, '', '岳家沟村', '42c485526cc448bf83086ece9dfc5cde', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118213', 5, '岳家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118213', 1, '2021-07-19 11:50:52', NULL, NULL), (18731, '', '新佛寺村', '09553bc44557438e9cc40ff438c1d932', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118214', 5, '新佛寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118214', 1, '2021-07-19 11:50:52', NULL, NULL), (18732, '', '仪陇沟村', '1165d85d48b945fea638538be7f64f66', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118215', 5, '仪陇沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118215', 1, '2021-07-19 11:50:52', NULL, NULL), (18733, '', '王铜罐村', '9bfd44d200b3480d9d265f59f31409e9', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118216', 5, '王铜罐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118216', 1, '2021-07-19 11:50:52', NULL, NULL), (18734, '', '大屋基村', 'a20fb86964c147aea7e4225d64b03193', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118217', 5, '大屋基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118217', 1, '2021-07-19 11:50:52', NULL, NULL), (18735, '', '袁家坝村', '3e5c9a0dc3df445d95a8b5a14bc7469f', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118218', 5, '袁家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118218', 1, '2021-07-19 11:50:52', NULL, NULL), (18736, '', '李盘沟村', '495bbd721a7c45a8b53989a7141215c6', 'e424c91d5a33446684a9208ede86f13e', 'False', 'True', 'false', 'false', '511324118219', 5, '李盘沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324118219', 1, '2021-07-19 11:50:52', NULL, NULL), (18737, '', '丁字桥镇', '3eab9965d1694e15aeed6985a57f8dc5', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324119000', 4, '丁字桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324119000', 1, '2021-07-19 11:50:52', NULL, NULL), (18738, '', '双河口社区', 'afacd8a229a64c4d8195237d94b46667', '3eab9965d1694e15aeed6985a57f8dc5', 'False', 'True', 'false', 'false', '511324119001', 5, '双河口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324119001', 1, '2021-07-19 11:50:52', NULL, NULL), (18739, '', '拱桥村', '07840131fed94c04874db3773732bda7', '3eab9965d1694e15aeed6985a57f8dc5', 'False', 'True', 'false', 'false', '511324119201', 5, '拱桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324119201', 1, '2021-07-19 11:50:52', NULL, NULL), (18740, '', '宾蓬村', 'e022a5a21b7c4fa68d83b11a97f64530', '3eab9965d1694e15aeed6985a57f8dc5', 'False', 'True', 'false', 'false', '511324119202', 5, '宾蓬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324119202', 1, '2021-07-19 11:50:53', NULL, NULL), (18741, '', '玉屏村', '396177c7d39348939eb2526b77ed4ceb', '3eab9965d1694e15aeed6985a57f8dc5', 'False', 'True', 'false', 'false', '511324119203', 5, '玉屏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324119203', 1, '2021-07-19 11:50:53', NULL, NULL), (18742, '', '元滩村', 'c89a45707fb242c1aca7805b7247fb10', '3eab9965d1694e15aeed6985a57f8dc5', 'False', 'True', 'false', 'false', '511324119204', 5, '元滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324119204', 1, '2021-07-19 11:50:53', NULL, NULL), (18743, '', '高北嘴村', 'b73712ff48e24f5dacbeaee142d49f8a', '3eab9965d1694e15aeed6985a57f8dc5', 'False', 'True', 'false', 'false', '511324119205', 5, '高北嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324119205', 1, '2021-07-19 11:50:53', NULL, NULL), (18744, '', '火盆坝村', '463077e01854493781f1ea57d4508882', '3eab9965d1694e15aeed6985a57f8dc5', 'False', 'True', 'false', 'false', '511324119206', 5, '火盆坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324119206', 1, '2021-07-19 11:50:53', NULL, NULL), (18745, '', '丁字桥村', '3fa7880103194e019d7e77813fe27101', '3eab9965d1694e15aeed6985a57f8dc5', 'False', 'True', 'false', 'false', '511324119207', 5, '丁字桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324119207', 1, '2021-07-19 11:50:53', NULL, NULL), (18746, '', '大仪镇', '7009ad1043504b7b96730c5ee39b9acc', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324120000', 4, '大仪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324120000', 1, '2021-07-19 11:50:53', NULL, NULL), (18747, '', '长兴社区', '63477fbc659a4e649360c051689f2e20', '7009ad1043504b7b96730c5ee39b9acc', 'False', 'True', 'false', 'false', '511324120001', 5, '长兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324120001', 1, '2021-07-19 11:50:53', NULL, NULL), (18748, '', '合心村', '1e291ebf962a46be92e84423af8d229b', '7009ad1043504b7b96730c5ee39b9acc', 'False', 'True', 'false', 'false', '511324120201', 5, '合心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324120201', 1, '2021-07-19 11:50:53', NULL, NULL), (18749, '', '努力村', '3603997345584c47a2d5af523a48bd27', '7009ad1043504b7b96730c5ee39b9acc', 'False', 'True', 'false', 'false', '511324120202', 5, '努力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324120202', 1, '2021-07-19 11:50:53', NULL, NULL), (18750, '', '创新村', '0801b6ac9ed640139c7a96e1741928d5', '7009ad1043504b7b96730c5ee39b9acc', 'False', 'True', 'false', 'false', '511324120203', 5, '创新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324120203', 1, '2021-07-19 11:50:53', NULL, NULL), (18751, '', '群策村', 'f9e12bb4ddd54429ad4dcf8368aaffd9', '7009ad1043504b7b96730c5ee39b9acc', 'False', 'True', 'false', 'false', '511324120204', 5, '群策村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324120204', 1, '2021-07-19 11:50:53', NULL, NULL), (18752, '', '群力村', 'f64dc8bcf5ca4a0893fa699a632bb710', '7009ad1043504b7b96730c5ee39b9acc', 'False', 'True', 'false', 'false', '511324120205', 5, '群力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324120205', 1, '2021-07-19 11:50:53', NULL, NULL), (18753, '', '志强村', '27367cfef58e498a92909fdd5c1d1ccc', '7009ad1043504b7b96730c5ee39b9acc', 'False', 'True', 'false', 'false', '511324120206', 5, '志强村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324120206', 1, '2021-07-19 11:50:53', NULL, NULL), (18754, '', '致富村', '8a9cdce34a524df0894a5ab8240440fa', '7009ad1043504b7b96730c5ee39b9acc', 'False', 'True', 'false', 'false', '511324120207', 5, '致富村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324120207', 1, '2021-07-19 11:50:54', NULL, NULL), (18755, '', '奋斗村', '76ab84273986438ea18f4a0d6e1dfc3f', '7009ad1043504b7b96730c5ee39b9acc', 'False', 'True', 'false', 'false', '511324120208', 5, '奋斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324120208', 1, '2021-07-19 11:50:54', NULL, NULL), (18756, '', '加强村', '0633129985b74d98ac57fd6cc8a0c1ac', '7009ad1043504b7b96730c5ee39b9acc', 'False', 'True', 'false', 'false', '511324120209', 5, '加强村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324120209', 1, '2021-07-19 11:50:54', NULL, NULL), (18757, '', '协力村', '60c2a0cfe6e74e4594480d310061e773', '7009ad1043504b7b96730c5ee39b9acc', 'False', 'True', 'false', 'false', '511324120210', 5, '协力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324120210', 1, '2021-07-19 11:50:54', NULL, NULL), (18758, '', '自力村', 'ba84ca4c703e4deabc3996aed3984dcd', '7009ad1043504b7b96730c5ee39b9acc', 'False', 'True', 'false', 'false', '511324120211', 5, '自力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324120211', 1, '2021-07-19 11:50:54', NULL, NULL), (18759, '', '更生村', '0c679d45bb5e4d6aa6ebdee95c1d0096', '7009ad1043504b7b96730c5ee39b9acc', 'False', 'True', 'false', 'false', '511324120212', 5, '更生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324120212', 1, '2021-07-19 11:50:54', NULL, NULL), (18760, '', '建设村', '4fa72c117979479fa9024de69379837d', '7009ad1043504b7b96730c5ee39b9acc', 'False', 'True', 'false', 'false', '511324120213', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324120213', 1, '2021-07-19 11:50:54', NULL, NULL), (18761, '', '四化村', '11cb26c4e26840f8af936e229c6af839', '7009ad1043504b7b96730c5ee39b9acc', 'False', 'True', 'false', 'false', '511324120214', 5, '四化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324120214', 1, '2021-07-19 11:50:54', NULL, NULL), (18762, '', '乐园村', '1352b7ec454d4fbc89ab19780c2607ec', '7009ad1043504b7b96730c5ee39b9acc', 'False', 'True', 'false', 'false', '511324120215', 5, '乐园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324120215', 1, '2021-07-19 11:50:54', NULL, NULL), (18763, '', '张公镇', 'ac4da3c47d914a73a92d16c84ba7f605', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324121000', 4, '张公镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324121000', 1, '2021-07-19 11:50:54', NULL, NULL), (18764, '', '张公桥社区', 'df04aa8810924ce6b96e0caabfd3fd68', 'ac4da3c47d914a73a92d16c84ba7f605', 'False', 'True', 'false', 'false', '511324121001', 5, '张公桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324121001', 1, '2021-07-19 11:50:54', NULL, NULL), (18765, '', '长坪村', '16cd1cb19205469ea71b4dc702106027', 'ac4da3c47d914a73a92d16c84ba7f605', 'False', 'True', 'false', 'false', '511324121201', 5, '长坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324121201', 1, '2021-07-19 11:50:54', NULL, NULL), (18766, '', '金垭村', '0c57a362c2f6499eb6e5022c1dc52c65', 'ac4da3c47d914a73a92d16c84ba7f605', 'False', 'True', 'false', 'false', '511324121202', 5, '金垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324121202', 1, '2021-07-19 11:50:54', NULL, NULL), (18767, '', '百锁村', 'd5d37ac2754f4f23a873388ebb1908f2', 'ac4da3c47d914a73a92d16c84ba7f605', 'False', 'True', 'false', 'false', '511324121203', 5, '百锁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324121203', 1, '2021-07-19 11:50:54', NULL, NULL), (18768, '', '乐安村', '93449c1a64284f95aba656a6d426d8bb', 'ac4da3c47d914a73a92d16c84ba7f605', 'False', 'True', 'false', 'false', '511324121204', 5, '乐安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324121204', 1, '2021-07-19 11:50:55', NULL, NULL), (18769, '', '玄山村', 'bdd99af126d04b559aa078b385275e2c', 'ac4da3c47d914a73a92d16c84ba7f605', 'False', 'True', 'false', 'false', '511324121205', 5, '玄山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324121205', 1, '2021-07-19 11:50:55', NULL, NULL), (18770, '', '繁荣村', 'c1e3dfd54bda4adfbf9483ba7bf5aba8', 'ac4da3c47d914a73a92d16c84ba7f605', 'False', 'True', 'false', 'false', '511324121206', 5, '繁荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324121206', 1, '2021-07-19 11:50:55', NULL, NULL), (18771, '', '双庙村', '3fedc493909940cabb0f64f9fe53f0ce', 'ac4da3c47d914a73a92d16c84ba7f605', 'False', 'True', 'false', 'false', '511324121207', 5, '双庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324121207', 1, '2021-07-19 11:50:55', NULL, NULL), (18772, '', '黄连村', '088a11d142ad42c692825588058cc03e', 'ac4da3c47d914a73a92d16c84ba7f605', 'False', 'True', 'false', 'false', '511324121208', 5, '黄连村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324121208', 1, '2021-07-19 11:50:55', NULL, NULL), (18773, '', '跃龙村', '613ab2395fe44ca7a4a7bbc8fec910aa', 'ac4da3c47d914a73a92d16c84ba7f605', 'False', 'True', 'false', 'false', '511324121209', 5, '跃龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324121209', 1, '2021-07-19 11:50:55', NULL, NULL), (18774, '', '大门村', '92f2c272382d4622860614264241160a', 'ac4da3c47d914a73a92d16c84ba7f605', 'False', 'True', 'false', 'false', '511324121210', 5, '大门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324121210', 1, '2021-07-19 11:50:55', NULL, NULL), (18775, '', '盘龙村', '36c9bfbba7184a8fa10242986f1b3ddb', 'ac4da3c47d914a73a92d16c84ba7f605', 'False', 'True', 'false', 'false', '511324121211', 5, '盘龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324121211', 1, '2021-07-19 11:50:55', NULL, NULL), (18776, '', '新生村', '35c2665596a7459fb95bb08375ad3070', 'ac4da3c47d914a73a92d16c84ba7f605', 'False', 'True', 'false', 'false', '511324121212', 5, '新生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324121212', 1, '2021-07-19 11:50:55', NULL, NULL), (18777, '', '青春村', 'bada764f135b4fcc9a2825379233ff83', 'ac4da3c47d914a73a92d16c84ba7f605', 'False', 'True', 'false', 'false', '511324121213', 5, '青春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324121213', 1, '2021-07-19 11:50:55', NULL, NULL), (18778, '', '杨桥镇', 'cfd841fd773a4bd7a77192ddde3f4cee', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324124000', 4, '杨桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324124000', 1, '2021-07-19 11:50:55', NULL, NULL), (18779, '', '骑龙社区', '0c75424943b74e8da9e2082dffcf9729', 'cfd841fd773a4bd7a77192ddde3f4cee', 'False', 'True', 'false', 'false', '511324124001', 5, '骑龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324124001', 1, '2021-07-19 11:50:55', NULL, NULL), (18780, '', '新寨村', 'b9f73de8d5344fcd8b6fade374a0054d', 'cfd841fd773a4bd7a77192ddde3f4cee', 'False', 'True', 'false', 'false', '511324124201', 5, '新寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324124201', 1, '2021-07-19 11:50:55', NULL, NULL), (18781, '', '东门村', 'e4e604772a174a7793a49b9da8311724', 'cfd841fd773a4bd7a77192ddde3f4cee', 'False', 'True', 'false', 'false', '511324124202', 5, '东门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324124202', 1, '2021-07-19 11:50:56', NULL, NULL), (18782, '', '顺天村', '74449920083a4ff5a94c946b4a91a9c0', 'cfd841fd773a4bd7a77192ddde3f4cee', 'False', 'True', 'false', 'false', '511324124203', 5, '顺天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324124203', 1, '2021-07-19 11:50:56', NULL, NULL), (18783, '', '五块石村', '6141a2a141e94be492c826e087514d63', 'cfd841fd773a4bd7a77192ddde3f4cee', 'False', 'True', 'false', 'false', '511324124204', 5, '五块石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324124204', 1, '2021-07-19 11:50:56', NULL, NULL), (18784, '', '汉陵村', '0acfb6781c81471bb3bbfa58d7674b67', 'cfd841fd773a4bd7a77192ddde3f4cee', 'False', 'True', 'false', 'false', '511324124205', 5, '汉陵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324124205', 1, '2021-07-19 11:50:56', NULL, NULL), (18785, '', '龙颈村', 'f581b4a58f97470192ae167f90441b82', 'cfd841fd773a4bd7a77192ddde3f4cee', 'False', 'True', 'false', 'false', '511324124206', 5, '龙颈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324124206', 1, '2021-07-19 11:50:56', NULL, NULL), (18786, '', '石堰村', '111ae8e7a78d4b3cb7dd636c40db76e3', 'cfd841fd773a4bd7a77192ddde3f4cee', 'False', 'True', 'false', 'false', '511324124207', 5, '石堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324124207', 1, '2021-07-19 11:50:56', NULL, NULL), (18787, '', '铜鼓村', 'd508c9cc9a4d46c5a7723bf611878f65', 'cfd841fd773a4bd7a77192ddde3f4cee', 'False', 'True', 'false', 'false', '511324124208', 5, '铜鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324124208', 1, '2021-07-19 11:50:56', NULL, NULL), (18788, '', '云台村', 'c7f63bb68c434118bcc39dbbf6a305bb', 'cfd841fd773a4bd7a77192ddde3f4cee', 'False', 'True', 'false', 'false', '511324124209', 5, '云台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324124209', 1, '2021-07-19 11:50:56', NULL, NULL), (18789, '', '石塔村', 'cd5c03f6280345b199f4fad7f7bb1033', 'cfd841fd773a4bd7a77192ddde3f4cee', 'False', 'True', 'false', 'false', '511324124210', 5, '石塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324124210', 1, '2021-07-19 11:50:56', NULL, NULL), (18790, '', '水竹村', '52a90caa62554bceba8361063c92f734', 'cfd841fd773a4bd7a77192ddde3f4cee', 'False', 'True', 'false', 'false', '511324124211', 5, '水竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324124211', 1, '2021-07-19 11:50:56', NULL, NULL), (18791, '', '天台村', 'b306df9e0f59409fac0dc7b2084f5581', 'cfd841fd773a4bd7a77192ddde3f4cee', 'False', 'True', 'false', 'false', '511324124212', 5, '天台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324124212', 1, '2021-07-19 11:50:56', NULL, NULL), (18792, '', '金贝村', '86c3c69fe0ec44859843a016bc5475af', 'cfd841fd773a4bd7a77192ddde3f4cee', 'False', 'True', 'false', 'false', '511324124213', 5, '金贝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324124213', 1, '2021-07-19 11:50:56', NULL, NULL), (18793, '', '金鼓村', 'ee3e0ca87ab0450ba993fec026b0dbdb', 'cfd841fd773a4bd7a77192ddde3f4cee', 'False', 'True', 'false', 'false', '511324124214', 5, '金鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324124214', 1, '2021-07-19 11:50:56', NULL, NULL), (18794, '', '炉厂村', '5e0b67f8976e4923977af40a4afc5085', 'cfd841fd773a4bd7a77192ddde3f4cee', 'False', 'True', 'false', 'false', '511324124215', 5, '炉厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324124215', 1, '2021-07-19 11:50:57', NULL, NULL), (18795, '', '七里村', '1b6e7936311a430b80cb72b8b41d32ac', 'cfd841fd773a4bd7a77192ddde3f4cee', 'False', 'True', 'false', 'false', '511324124216', 5, '七里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324124216', 1, '2021-07-19 11:50:57', NULL, NULL), (18796, '', '保平镇', '616759f21a11410fa234f44b48dbf75a', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324125000', 4, '保平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324125000', 1, '2021-07-19 11:50:57', NULL, NULL), (18797, '', '椿树湾社区', '8bd646b78aa54d2fb1b560f5a594a7e7', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125001', 5, '椿树湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125001', 1, '2021-07-19 11:50:57', NULL, NULL), (18798, '', '板桥沟村', '6058087c23b944648c97c733e0194938', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125201', 5, '板桥沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125201', 1, '2021-07-19 11:50:57', NULL, NULL), (18799, '', '保平桥村', 'bafc601fec384d8c92cc1aa1fae28c2a', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125202', 5, '保平桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125202', 1, '2021-07-19 11:50:57', NULL, NULL), (18800, '', '红豆湾村', '2e246edae1984be3aa38ece11d821d01', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125203', 5, '红豆湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125203', 1, '2021-07-19 11:50:57', NULL, NULL), (18801, '', '一佛山村', '846b8b4cf39d4725a430801eb853429e', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125204', 5, '一佛山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125204', 1, '2021-07-19 11:50:57', NULL, NULL), (18802, '', '观音庵村', '613d1c3a1b324c81a63a38d73242386c', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125205', 5, '观音庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125205', 1, '2021-07-19 11:50:57', NULL, NULL), (18803, '', '一新桥村', '5e3e7ae9003a48368988390c0e59ad38', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125206', 5, '一新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125206', 1, '2021-07-19 11:50:57', NULL, NULL), (18804, '', '二新桥村', '599c236314514efc935388feb8f878db', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125207', 5, '二新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125207', 1, '2021-07-19 11:50:58', NULL, NULL), (18805, '', '三新桥村', '4c9db826192c4cddb0fdea400a407cd4', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125208', 5, '三新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125208', 1, '2021-07-19 11:50:58', NULL, NULL), (18806, '', '子童寨村', 'fe4e9bb26792456d9572cd181caf9579', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125209', 5, '子童寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125209', 1, '2021-07-19 11:50:58', NULL, NULL), (18807, '', '一字山村', 'adc3eb944b5d4c1582d6365e5ed374f1', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125210', 5, '一字山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125210', 1, '2021-07-19 11:50:58', NULL, NULL), (18808, '', '周家坝村', 'bf048230e2ab4996a2e6dd35cd8373a5', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125211', 5, '周家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125211', 1, '2021-07-19 11:50:58', NULL, NULL), (18809, '', '长石梯村', 'd6a78ccd53bf4a318c3bba75b7bb7a3d', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125212', 5, '长石梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125212', 1, '2021-07-19 11:50:58', NULL, NULL), (18810, '', '鲤鱼包村', 'bd3644002d7244a28120b54a3040c2b6', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125213', 5, '鲤鱼包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125213', 1, '2021-07-19 11:50:58', NULL, NULL), (18811, '', '阴草湾村', '472fd639bb0b4bc1aa9a835ab0458393', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125214', 5, '阴草湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125214', 1, '2021-07-19 11:50:58', NULL, NULL), (18812, '', '字库桥村', '134ceb8b148f4fc9a5a81fdd81932568', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125215', 5, '字库桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125215', 1, '2021-07-19 11:50:58', NULL, NULL), (18813, '', '石垭口村', '95d7473a31564f448b19cf5d23ca9ab2', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125216', 5, '石垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125216', 1, '2021-07-19 11:50:58', NULL, NULL), (18814, '', '麻石垭农村社区', 'd492c62d14b4437fa1feda826816452c', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125217', 5, '麻石垭农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125217', 1, '2021-07-19 11:50:58', NULL, NULL), (18815, '', '药柏树村', '05718cd1df774c21bfcd8b7f17d12337', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125218', 5, '药柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125218', 1, '2021-07-19 11:50:58', NULL, NULL), (18816, '', '凤仪庵村', '6696cbd1cec446788238de1b2430e728', '616759f21a11410fa234f44b48dbf75a', 'False', 'True', 'false', 'false', '511324125219', 5, '凤仪庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324125219', 1, '2021-07-19 11:50:58', NULL, NULL), (18817, '', '文星镇', '3cc48337de784581a7112163878ba29d', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324126000', 4, '文星镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324126000', 1, '2021-07-19 11:50:58', NULL, NULL), (18818, '', '龙凤社区', '64b01d6f0d2e4fc3b26db068729a7752', '3cc48337de784581a7112163878ba29d', 'False', 'True', 'false', 'false', '511324126001', 5, '龙凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324126001', 1, '2021-07-19 11:50:59', NULL, NULL), (18819, '', '龙家沟村', 'e2a2e7c150cc4c2ca527d79d8ac63647', '3cc48337de784581a7112163878ba29d', 'False', 'True', 'false', 'false', '511324126201', 5, '龙家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324126201', 1, '2021-07-19 11:50:59', NULL, NULL), (18820, '', '天星寨村', 'c85cdc1c212b4c2b9175f29b013e9102', '3cc48337de784581a7112163878ba29d', 'False', 'True', 'false', 'false', '511324126202', 5, '天星寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324126202', 1, '2021-07-19 11:50:59', NULL, NULL), (18821, '', '绿水河村', '0af6fd8313d245a2bc135e297debe18d', '3cc48337de784581a7112163878ba29d', 'False', 'True', 'false', 'false', '511324126203', 5, '绿水河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324126203', 1, '2021-07-19 11:50:59', NULL, NULL), (18822, '', '肖家桥村', 'f590547e1cd141bb9a72a61e9e56dcbf', '3cc48337de784581a7112163878ba29d', 'False', 'True', 'false', 'false', '511324126204', 5, '肖家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324126204', 1, '2021-07-19 11:50:59', NULL, NULL), (18823, '', '高隆山村', 'b562dbdf8f684e03ade891dd3c3734ed', '3cc48337de784581a7112163878ba29d', 'False', 'True', 'false', 'false', '511324126205', 5, '高隆山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324126205', 1, '2021-07-19 11:50:59', NULL, NULL), (18824, '', '大石桥村', '5122021c481540f59b2d059159cf8c4f', '3cc48337de784581a7112163878ba29d', 'False', 'True', 'false', 'false', '511324126206', 5, '大石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324126206', 1, '2021-07-19 11:50:59', NULL, NULL), (18825, '', '寒包垭村', '6cef1b41bf734169a2f59d58b93970b1', '3cc48337de784581a7112163878ba29d', 'False', 'True', 'false', 'false', '511324126207', 5, '寒包垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324126207', 1, '2021-07-19 11:50:59', NULL, NULL), (18826, '', '文家梁村', '6d5844c3f0e14bef88f01a8a7a9d4f79', '3cc48337de784581a7112163878ba29d', 'False', 'True', 'false', 'false', '511324126209', 5, '文家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324126209', 1, '2021-07-19 11:50:59', NULL, NULL), (18827, '', '熊家庙村', '488807db6ca04ca2a62d46ad4584bd0b', '3cc48337de784581a7112163878ba29d', 'False', 'True', 'false', 'false', '511324126210', 5, '熊家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324126210', 1, '2021-07-19 11:50:59', NULL, NULL), (18828, '', '鹅山寨村', 'ce06c823954846c5af9e50a936327c2b', '3cc48337de784581a7112163878ba29d', 'False', 'True', 'false', 'false', '511324126211', 5, '鹅山寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324126211', 1, '2021-07-19 11:50:59', NULL, NULL), (18829, '', '金羊庙村', '96b65f812d0f410387f0f5b9e61fa0ff', '3cc48337de784581a7112163878ba29d', 'False', 'True', 'false', 'false', '511324126212', 5, '金羊庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324126212', 1, '2021-07-19 11:50:59', NULL, NULL), (18830, '', '西禅寨村', 'c15867a226594068a5505a609e07faa9', '3cc48337de784581a7112163878ba29d', 'False', 'True', 'false', 'false', '511324126214', 5, '西禅寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324126214', 1, '2021-07-19 11:50:59', NULL, NULL), (18831, '', '邓家坝村', '585fe6491e334f118d24bf862d94038c', '3cc48337de784581a7112163878ba29d', 'False', 'True', 'false', 'false', '511324126215', 5, '邓家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324126215', 1, '2021-07-19 11:51:00', NULL, NULL), (18832, '', '龙凤场村社区', '58f6a8663178461fb371731f641a00ff', '3cc48337de784581a7112163878ba29d', 'False', 'True', 'false', 'false', '511324126216', 5, '龙凤场村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324126216', 1, '2021-07-19 11:51:00', NULL, NULL), (18833, '', '双胜镇', 'e07e137af9ff438f8714b67d0d56e36b', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324127000', 4, '双胜镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324127000', 1, '2021-07-19 11:51:00', NULL, NULL), (18834, '', '双河社区', '5b981dd5e7c04d5183e7bcf2103a34ce', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127001', 5, '双河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127001', 1, '2021-07-19 11:51:00', NULL, NULL), (18835, '', '勇跃村', 'd6de582ad0114d9d95fa3e3132bec335', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127201', 5, '勇跃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127201', 1, '2021-07-19 11:51:00', NULL, NULL), (18836, '', '果园村', '2fe305c7725047829e99709e67842084', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127202', 5, '果园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127202', 1, '2021-07-19 11:51:00', NULL, NULL), (18837, '', '永远农村社区', '71f7e276a26947199997e32564ddade8', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127203', 5, '永远农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127203', 1, '2021-07-19 11:51:00', NULL, NULL), (18838, '', '永久村', 'd9862fd2d50a490c8d21178deda9058f', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127204', 5, '永久村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127204', 1, '2021-07-19 11:51:00', NULL, NULL), (18839, '', '十一村', 'd9bbc937076f4ffd9b12cb6f49061ca1', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127205', 5, '十一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127205', 1, '2021-07-19 11:51:00', NULL, NULL), (18840, '', '群利村', '4288600607a545198b26ddb83ac3028d', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127206', 5, '群利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127206', 1, '2021-07-19 11:51:01', NULL, NULL), (18841, '', '火井村', '4a8b3146b12d4df7b6f6f8ccee5c373b', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127207', 5, '火井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127207', 1, '2021-07-19 11:51:01', NULL, NULL), (18842, '', '荣光村社区', '355d7e25e58d4489bfc921e04385ff23', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127208', 5, '荣光村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127208', 1, '2021-07-19 11:51:01', NULL, NULL), (18843, '', '响滩村', 'b3c787614f54469aa49dfa14e67b5476', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127209', 5, '响滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127209', 1, '2021-07-19 11:51:01', NULL, NULL), (18844, '', '高升村', 'd618ca934e2949fc84d2f7d89df9d3a1', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127210', 5, '高升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127210', 1, '2021-07-19 11:51:01', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (18845, '', '群英村', '4e5bfbf587054880b2da03475bf018b4', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127211', 5, '群英村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127211', 1, '2021-07-19 11:51:01', NULL, NULL), (18846, '', '钟鸣村', '26954f20fe2c4810b56f3f8ff8bf0c43', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127212', 5, '钟鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127212', 1, '2021-07-19 11:51:01', NULL, NULL), (18847, '', '金狮村', 'd6a10c84b60448fa95adf93fa5f12a0e', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127213', 5, '金狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127213', 1, '2021-07-19 11:51:01', NULL, NULL), (18848, '', '竞赛村', 'eb9226eeaaf643228a330307ffb8711a', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127214', 5, '竞赛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127214', 1, '2021-07-19 11:51:01', NULL, NULL), (18849, '', '玉龙村', '505990382c0d47f4940b86c1dad110ae', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127215', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127215', 1, '2021-07-19 11:51:01', NULL, NULL), (18850, '', '王家庄村', '564a70a272f944a2bc6e5bff59bfaf7c', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127216', 5, '王家庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127216', 1, '2021-07-19 11:51:01', NULL, NULL), (18851, '', '新民村', '0ffa9f70fa37471f9667ee44ce1bff50', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127217', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127217', 1, '2021-07-19 11:51:01', NULL, NULL), (18852, '', '双胜村', 'e50d560625f7445c8d976cff5303f122', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127218', 5, '双胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127218', 1, '2021-07-19 11:51:02', NULL, NULL), (18853, '', '老坟嘴村', 'fed74b9eabd74c6797e4e0ac4b63a951', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127219', 5, '老坟嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127219', 1, '2021-07-19 11:51:02', NULL, NULL), (18854, '', '火红村社区', '7d5ebf45cc4c4b6d8cb91868d7db0115', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127220', 5, '火红村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127220', 1, '2021-07-19 11:51:02', NULL, NULL), (18855, '', '黄连坝村', '13148bf13568469aa2b9a183a0ee2c7f', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127221', 5, '黄连坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127221', 1, '2021-07-19 11:51:02', NULL, NULL), (18856, '', '任家庵村', 'd22e6a6d8ed44f24b3f752355a57937a', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127222', 5, '任家庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127222', 1, '2021-07-19 11:51:02', NULL, NULL), (18857, '', '龙王庙村', 'a95592af2b9349d584a95921b6a9afd5', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127223', 5, '龙王庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127223', 1, '2021-07-19 11:51:02', NULL, NULL), (18858, '', '白鹤农村社区', '5b559af025874bdeaf8364dba9415f13', 'e07e137af9ff438f8714b67d0d56e36b', 'False', 'True', 'false', 'false', '511324127224', 5, '白鹤农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324127224', 1, '2021-07-19 11:51:02', NULL, NULL), (18859, '', '度门街道', '0bb7dddb3f7f4a1dba43f254c6956ba2', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324128000', 4, '度门街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324128000', 1, '2021-07-19 11:51:02', NULL, NULL), (18860, '', '何家垭村', '1d6d84c7afd245f38a05b2963bbcd6d3', '0bb7dddb3f7f4a1dba43f254c6956ba2', 'False', 'True', 'false', 'false', '511324128006', 5, '何家垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324128006', 1, '2021-07-19 11:51:02', NULL, NULL), (18861, '', '尹家梁社区', 'e25a6540c4f746b9bdeaee7cac7a39df', '0bb7dddb3f7f4a1dba43f254c6956ba2', 'False', 'True', 'false', 'false', '511324128026', 5, '尹家梁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324128026', 1, '2021-07-19 11:51:02', NULL, NULL), (18862, '', '龙井湾村', '50d3212ca4f147c2bfafa4e847788548', '0bb7dddb3f7f4a1dba43f254c6956ba2', 'False', 'True', 'false', 'false', '511324128074', 5, '龙井湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324128074', 1, '2021-07-19 11:51:02', NULL, NULL), (18863, '', '奶子石村社区', 'b1ec263dab0b4bd68126f1e5381fc820', '0bb7dddb3f7f4a1dba43f254c6956ba2', 'False', 'True', 'false', 'false', '511324128208', 5, '奶子石村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324128208', 1, '2021-07-19 11:51:02', NULL, NULL), (18864, '', '高梯子村', '090eb8ba88e942e49c4d8e83a955eb88', '0bb7dddb3f7f4a1dba43f254c6956ba2', 'False', 'True', 'false', 'false', '511324128275', 5, '高梯子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324128275', 1, '2021-07-19 11:51:03', NULL, NULL), (18865, '', '茶坝口村', 'efd648ca9d154ca7b7bc14c2d2625ebe', '0bb7dddb3f7f4a1dba43f254c6956ba2', 'False', 'True', 'false', 'false', '511324128298', 5, '茶坝口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324128298', 1, '2021-07-19 11:51:03', NULL, NULL), (18866, '', '兰家坝村社区', '430f6d452f7940db8ad06ff3eda37dc3', '0bb7dddb3f7f4a1dba43f254c6956ba2', 'False', 'True', 'false', 'false', '511324128347', 5, '兰家坝村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324128347', 1, '2021-07-19 11:51:03', NULL, NULL), (18867, '', '秦家岸村社区', '47f9ecd5a36247cdada276be4149dba3', '0bb7dddb3f7f4a1dba43f254c6956ba2', 'False', 'True', 'false', 'false', '511324128431', 5, '秦家岸村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324128431', 1, '2021-07-19 11:51:03', NULL, NULL), (18868, '', '报本寺村', '489ad2e5498d4d40817b9985f17544b6', '0bb7dddb3f7f4a1dba43f254c6956ba2', 'False', 'True', 'false', 'false', '511324128529', 5, '报本寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324128529', 1, '2021-07-19 11:51:03', NULL, NULL), (18869, '', '杨家岸村社区', '2fdccf95f9ce40aa931af6c0d48316d0', '0bb7dddb3f7f4a1dba43f254c6956ba2', 'False', 'True', 'false', 'false', '511324128540', 5, '杨家岸村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324128540', 1, '2021-07-19 11:51:03', NULL, NULL), (18870, '', '王家店村', '868d7a62f99b4cbf85a779773005bf3b', '0bb7dddb3f7f4a1dba43f254c6956ba2', 'False', 'True', 'false', 'false', '511324128580', 5, '王家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324128580', 1, '2021-07-19 11:51:03', NULL, NULL), (18871, '', '郭家嘴村社区', '34d4c555bea94ae187e8e7dd228b7d7e', '0bb7dddb3f7f4a1dba43f254c6956ba2', 'False', 'True', 'false', 'false', '511324128616', 5, '郭家嘴村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324128616', 1, '2021-07-19 11:51:03', NULL, NULL), (18872, '', '度门坝农村社区', 'e46ce35b2ab749c2b0057acda79cc68e', '0bb7dddb3f7f4a1dba43f254c6956ba2', 'False', 'True', 'false', 'false', '511324128757', 5, '度门坝农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324128757', 1, '2021-07-19 11:51:03', NULL, NULL), (18873, '', '伍家垭村', '0819e423980145fe8ed3608e5482a112', '0bb7dddb3f7f4a1dba43f254c6956ba2', 'False', 'True', 'false', 'false', '511324128765', 5, '伍家垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324128765', 1, '2021-07-19 11:51:03', NULL, NULL), (18874, '', '任家店村', 'e6cf13bc3a024a6781a464cf65320a06', '0bb7dddb3f7f4a1dba43f254c6956ba2', 'False', 'True', 'false', 'false', '511324128773', 5, '任家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324128773', 1, '2021-07-19 11:51:03', NULL, NULL), (18875, '', '立石子村', '654ed4c3c978437c9c43db35f14c0522', '0bb7dddb3f7f4a1dba43f254c6956ba2', 'False', 'True', 'false', 'false', '511324128845', 5, '立石子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324128845', 1, '2021-07-19 11:51:04', NULL, NULL), (18876, '', '任家沟村', '66640e51fc894ea288a38931acaf1caf', '0bb7dddb3f7f4a1dba43f254c6956ba2', 'False', 'True', 'false', 'false', '511324128886', 5, '任家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324128886', 1, '2021-07-19 11:51:04', NULL, NULL), (18877, '', '铜鼓乡', '5a8af20d02fc400aa09079ad27def0c2', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324202000', 4, '铜鼓乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324202000', 1, '2021-07-19 11:51:04', NULL, NULL), (18878, '', '青云社区', 'fa3b2a504e8f43109bc02cce48ec49a9', '5a8af20d02fc400aa09079ad27def0c2', 'False', 'True', 'false', 'false', '511324202001', 5, '青云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324202001', 1, '2021-07-19 11:51:04', NULL, NULL), (18879, '', '严家桥村', 'b458bceeae0942ebb963d80a7d9273f2', '5a8af20d02fc400aa09079ad27def0c2', 'False', 'True', 'false', 'false', '511324202201', 5, '严家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324202201', 1, '2021-07-19 11:51:04', NULL, NULL), (18880, '', '廖家沟村', 'a13588a789d2471ab1a7915693b77bfd', '5a8af20d02fc400aa09079ad27def0c2', 'False', 'True', 'false', 'false', '511324202202', 5, '廖家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324202202', 1, '2021-07-19 11:51:04', NULL, NULL), (18881, '', '崩山子村', '78aa91c1d05d4ceaa9a00232c40a7d85', '5a8af20d02fc400aa09079ad27def0c2', 'False', 'True', 'false', 'false', '511324202203', 5, '崩山子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324202203', 1, '2021-07-19 11:51:04', NULL, NULL), (18882, '', '余家坝村', '35e38bbf32e14af6a7ec7e51603bbe93', '5a8af20d02fc400aa09079ad27def0c2', 'False', 'True', 'false', 'false', '511324202204', 5, '余家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324202204', 1, '2021-07-19 11:51:04', NULL, NULL), (18883, '', '李家寨村', '65692b9d7be84e38a37f9bf5bfb37ed7', '5a8af20d02fc400aa09079ad27def0c2', 'False', 'True', 'false', 'false', '511324202205', 5, '李家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324202205', 1, '2021-07-19 11:51:04', NULL, NULL), (18884, '', '盐井坝村', '66af2cf3131f408298e28db7c4549c9f', '5a8af20d02fc400aa09079ad27def0c2', 'False', 'True', 'false', 'false', '511324202206', 5, '盐井坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324202206', 1, '2021-07-19 11:51:04', NULL, NULL), (18885, '', '雁山寨村', '2fae2e2ffeef430f93a4b62c7ab2049b', '5a8af20d02fc400aa09079ad27def0c2', 'False', 'True', 'false', 'false', '511324202207', 5, '雁山寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324202207', 1, '2021-07-19 11:51:04', NULL, NULL), (18886, '', '常家营村', 'b040cd5465c94db682b83df9c45a44de', '5a8af20d02fc400aa09079ad27def0c2', 'False', 'True', 'false', 'false', '511324202208', 5, '常家营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324202208', 1, '2021-07-19 11:51:04', NULL, NULL), (18887, '', '烟斗山村', 'a8593ddc63ad46b0bbf7316f7da02f12', '5a8af20d02fc400aa09079ad27def0c2', 'False', 'True', 'false', 'false', '511324202209', 5, '烟斗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324202209', 1, '2021-07-19 11:51:05', NULL, NULL), (18888, '', '金锅场村', '81764f6e70494b6aacfa9eebe3f72b8a', '5a8af20d02fc400aa09079ad27def0c2', 'False', 'True', 'false', 'false', '511324202210', 5, '金锅场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324202210', 1, '2021-07-19 11:51:05', NULL, NULL), (18889, '', '五通嘴村社区', 'da8f6a4acab048fc90cc7c096282f928', '5a8af20d02fc400aa09079ad27def0c2', 'False', 'True', 'false', 'false', '511324202211', 5, '五通嘴村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324202211', 1, '2021-07-19 11:51:05', NULL, NULL), (18890, '', '响滩子村', 'c59e149f860643589e32b0e9cdbe737e', '5a8af20d02fc400aa09079ad27def0c2', 'False', 'True', 'false', 'false', '511324202212', 5, '响滩子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324202212', 1, '2021-07-19 11:51:05', NULL, NULL), (18891, '', '盛家沟村', '5df7eb07f15d4ab8b167a9ed687c4bdc', '5a8af20d02fc400aa09079ad27def0c2', 'False', 'True', 'false', 'false', '511324202213', 5, '盛家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324202213', 1, '2021-07-19 11:51:05', NULL, NULL), (18892, '', '凌云寺村', 'fdda19ae88a949ceb1d8c42b98a70f74', '5a8af20d02fc400aa09079ad27def0c2', 'False', 'True', 'false', 'false', '511324202214', 5, '凌云寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324202214', 1, '2021-07-19 11:51:05', NULL, NULL), (18893, '', '董家沟村', 'a874f71b10484b77a998485fc5890317', '5a8af20d02fc400aa09079ad27def0c2', 'False', 'True', 'false', 'false', '511324202215', 5, '董家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324202215', 1, '2021-07-19 11:51:05', NULL, NULL), (18894, '', '凤仪乡', '49ab0a9fc17447389db35a97f8255c28', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324207000', 4, '凤仪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324207000', 1, '2021-07-19 11:51:05', NULL, NULL), (18895, '', '凤山社区', '688b6415349744fcb47df40d810df9e5', '49ab0a9fc17447389db35a97f8255c28', 'False', 'True', 'false', 'false', '511324207001', 5, '凤山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324207001', 1, '2021-07-19 11:51:05', NULL, NULL), (18896, '', '高峰村', '8c758b0e6bd847a48cb254f6c62b0ef4', '49ab0a9fc17447389db35a97f8255c28', 'False', 'True', 'false', 'false', '511324207201', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324207201', 1, '2021-07-19 11:51:05', NULL, NULL), (18897, '', '青烟村', '6c5e72fc2477400282decc6950efd7e1', '49ab0a9fc17447389db35a97f8255c28', 'False', 'True', 'false', 'false', '511324207202', 5, '青烟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324207202', 1, '2021-07-19 11:51:05', NULL, NULL), (18898, '', '三门村', '7c1989aceae54f0e9baa488167cb6f14', '49ab0a9fc17447389db35a97f8255c28', 'False', 'True', 'false', 'false', '511324207203', 5, '三门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324207203', 1, '2021-07-19 11:51:06', NULL, NULL), (18899, '', '真武村', '20c4fd4d948a4c8580cc297cc8f47567', '49ab0a9fc17447389db35a97f8255c28', 'False', 'True', 'false', 'false', '511324207204', 5, '真武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324207204', 1, '2021-07-19 11:51:06', NULL, NULL), (18900, '', '犀牛村', 'dc07a8d51924435d8ac31c31f0c434a8', '49ab0a9fc17447389db35a97f8255c28', 'False', 'True', 'false', 'false', '511324207205', 5, '犀牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324207205', 1, '2021-07-19 11:51:06', NULL, NULL), (18901, '', '石门村', 'cf3cc36194f1492a944ced739e6683ec', '49ab0a9fc17447389db35a97f8255c28', 'False', 'True', 'false', 'false', '511324207206', 5, '石门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324207206', 1, '2021-07-19 11:51:06', NULL, NULL), (18902, '', '玉泉村', 'ee9904c078794864a4a7face747399ab', '49ab0a9fc17447389db35a97f8255c28', 'False', 'True', 'false', 'false', '511324207207', 5, '玉泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324207207', 1, '2021-07-19 11:51:06', NULL, NULL), (18903, '', '五台村', '67af69cb44034ce6949e43d86fd5d8a5', '49ab0a9fc17447389db35a97f8255c28', 'False', 'True', 'false', 'false', '511324207208', 5, '五台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324207208', 1, '2021-07-19 11:51:06', NULL, NULL), (18904, '', '镜屏村', '059c2b7577bc45e996c82d4b018216ba', '49ab0a9fc17447389db35a97f8255c28', 'False', 'True', 'false', 'false', '511324207209', 5, '镜屏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324207209', 1, '2021-07-19 11:51:06', NULL, NULL), (18905, '', '茅观村', '78de3e3831f2402fb6a2833dd04c5d06', '49ab0a9fc17447389db35a97f8255c28', 'False', 'True', 'false', 'false', '511324207210', 5, '茅观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324207210', 1, '2021-07-19 11:51:06', NULL, NULL), (18906, '', '红梁村', '2889ee492b114df2a249e134a95559e2', '49ab0a9fc17447389db35a97f8255c28', 'False', 'True', 'false', 'false', '511324207211', 5, '红梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324207211', 1, '2021-07-19 11:51:06', NULL, NULL), (18907, '', '高屋村', 'e558aed86d5e430a8932ed9fbf1a83a4', '49ab0a9fc17447389db35a97f8255c28', 'False', 'True', 'false', 'false', '511324207212', 5, '高屋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324207212', 1, '2021-07-19 11:51:06', NULL, NULL), (18908, '', '高立村', '211f4c0277734bcfa11f2ecbebc6b749', '49ab0a9fc17447389db35a97f8255c28', 'False', 'True', 'false', 'false', '511324207213', 5, '高立村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324207213', 1, '2021-07-19 11:51:06', NULL, NULL), (18909, '', '相灵村', '9f879e6787ef489fbbcf6c06332b7679', '49ab0a9fc17447389db35a97f8255c28', 'False', 'True', 'false', 'false', '511324207214', 5, '相灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324207214', 1, '2021-07-19 11:51:06', NULL, NULL), (18910, '', '福临乡', '688aae730dd442f29b2f508e0546a828', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324210000', 4, '福临乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324210000', 1, '2021-07-19 11:51:07', NULL, NULL), (18911, '', '红花井村社区', '53016e82caee40eb94879adc7662e63f', '688aae730dd442f29b2f508e0546a828', 'False', 'True', 'false', 'false', '511324210201', 5, '红花井村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324210201', 1, '2021-07-19 11:51:07', NULL, NULL), (18912, '', '柏林村', 'e13f112ac94b44f7adfa2886570f983b', '688aae730dd442f29b2f508e0546a828', 'False', 'True', 'false', 'false', '511324210202', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324210202', 1, '2021-07-19 11:51:07', NULL, NULL), (18913, '', '金堂村', '480fff05775448a28f99eb3946bbd311', '688aae730dd442f29b2f508e0546a828', 'False', 'True', 'false', 'false', '511324210203', 5, '金堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324210203', 1, '2021-07-19 11:51:07', NULL, NULL), (18914, '', '凤凰村', 'd1575874ed6643b19e9e00b1d15e80e9', '688aae730dd442f29b2f508e0546a828', 'False', 'True', 'false', 'false', '511324210204', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324210204', 1, '2021-07-19 11:51:07', NULL, NULL), (18915, '', '建华村', 'cc33e23f8d4a43249778b42aaef85c5d', '688aae730dd442f29b2f508e0546a828', 'False', 'True', 'false', 'false', '511324210205', 5, '建华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324210205', 1, '2021-07-19 11:51:07', NULL, NULL), (18916, '', '插旗山村', 'e73fe7e5b7e544c78943ebcb7c851146', '688aae730dd442f29b2f508e0546a828', 'False', 'True', 'false', 'false', '511324210206', 5, '插旗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324210206', 1, '2021-07-19 11:51:07', NULL, NULL), (18917, '', '金磨村', '380bdee3fa6c4663a4db573123f64151', '688aae730dd442f29b2f508e0546a828', 'False', 'True', 'false', 'false', '511324210207', 5, '金磨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324210207', 1, '2021-07-19 11:51:07', NULL, NULL), (18918, '', '子童沟村', '94fc8b49c8514643b5d7262de86d2fff', '688aae730dd442f29b2f508e0546a828', 'False', 'True', 'false', 'false', '511324210208', 5, '子童沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324210208', 1, '2021-07-19 11:51:07', NULL, NULL), (18919, '', '宝瓶村', 'd1ebc6c2f44f485dac4ec9a0c0fd204d', '688aae730dd442f29b2f508e0546a828', 'False', 'True', 'false', 'false', '511324210209', 5, '宝瓶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324210209', 1, '2021-07-19 11:51:07', NULL, NULL), (18920, '', '松花村', 'd0c07570823941fcb16ec2540912ae92', '688aae730dd442f29b2f508e0546a828', 'False', 'True', 'false', 'false', '511324210210', 5, '松花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324210210', 1, '2021-07-19 11:51:07', NULL, NULL), (18921, '', '中心村', '0d054b7466fe467682167abe16e5e105', '688aae730dd442f29b2f508e0546a828', 'False', 'True', 'false', 'false', '511324210211', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324210211', 1, '2021-07-19 11:51:07', NULL, NULL), (18922, '', '来仪乡', 'cb63146ac4de44f383c9ff10ff0c6977', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324212000', 4, '来仪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324212000', 1, '2021-07-19 11:51:08', NULL, NULL), (18923, '', '黄包农村社区', 'b413cca573ea4e6995bad4593f574d9c', 'cb63146ac4de44f383c9ff10ff0c6977', 'False', 'True', 'false', 'false', '511324212201', 5, '黄包农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324212201', 1, '2021-07-19 11:51:08', NULL, NULL), (18924, '', '茶岩村', 'f7ff1eb883154a0aa755c9169f9460fe', 'cb63146ac4de44f383c9ff10ff0c6977', 'False', 'True', 'false', 'false', '511324212202', 5, '茶岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324212202', 1, '2021-07-19 11:51:08', NULL, NULL), (18925, '', '国桥村', 'b0166d5af5934e069a41d899bfc2028f', 'cb63146ac4de44f383c9ff10ff0c6977', 'False', 'True', 'false', 'false', '511324212203', 5, '国桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324212203', 1, '2021-07-19 11:51:08', NULL, NULL), (18926, '', '工农村', 'e0489668527448e5b71649ae4a65aa26', 'cb63146ac4de44f383c9ff10ff0c6977', 'False', 'True', 'false', 'false', '511324212204', 5, '工农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324212204', 1, '2021-07-19 11:51:08', NULL, NULL), (18927, '', '龙虎村', '0ddd92ab4ba1453f9084036d1ec4bc88', 'cb63146ac4de44f383c9ff10ff0c6977', 'False', 'True', 'false', 'false', '511324212205', 5, '龙虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324212205', 1, '2021-07-19 11:51:08', NULL, NULL), (18928, '', '旱田村', '3465b9e8bd8b47a890b15048c1ecb23b', 'cb63146ac4de44f383c9ff10ff0c6977', 'False', 'True', 'false', 'false', '511324212206', 5, '旱田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324212206', 1, '2021-07-19 11:51:08', NULL, NULL), (18929, '', '惠明村', '232d51be128c4eeb974c453f0278b962', 'cb63146ac4de44f383c9ff10ff0c6977', 'False', 'True', 'false', 'false', '511324212207', 5, '惠明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324212207', 1, '2021-07-19 11:51:08', NULL, NULL), (18930, '', '三河村', '3f83580fa9e1437a941a400a3f78d3bd', 'cb63146ac4de44f383c9ff10ff0c6977', 'False', 'True', 'false', 'false', '511324212208', 5, '三河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324212208', 1, '2021-07-19 11:51:08', NULL, NULL), (18931, '', '两路村', '5d229cd5483e4765bec684059a171294', 'cb63146ac4de44f383c9ff10ff0c6977', 'False', 'True', 'false', 'false', '511324212209', 5, '两路村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324212209', 1, '2021-07-19 11:51:08', NULL, NULL), (18932, '', '火山村', '48113063a8304be6b00d2f1f6ba29672', 'cb63146ac4de44f383c9ff10ff0c6977', 'False', 'True', 'false', 'false', '511324212210', 5, '火山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324212210', 1, '2021-07-19 11:51:08', NULL, NULL), (18933, '', '望远村', '8098a7dca1534d428ed4175338bb6289', 'cb63146ac4de44f383c9ff10ff0c6977', 'False', 'True', 'false', 'false', '511324212211', 5, '望远村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324212211', 1, '2021-07-19 11:51:08', NULL, NULL), (18934, '', '思德镇', 'a147012a754c462f86c6e7f6aef6954f', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324217000', 4, '思德镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324217000', 1, '2021-07-19 11:51:09', NULL, NULL), (18935, '', '思德村', '86817c1cad274564ba3d2cc0ff19b8e5', 'a147012a754c462f86c6e7f6aef6954f', 'False', 'True', 'false', 'false', '511324217201', 5, '思德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324217201', 1, '2021-07-19 11:51:09', NULL, NULL), (18936, '', '己字坝村', '4ad0beb16ccd4f2494dc8328351f3946', 'a147012a754c462f86c6e7f6aef6954f', 'False', 'True', 'false', 'false', '511324217202', 5, '己字坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324217202', 1, '2021-07-19 11:51:09', NULL, NULL), (18937, '', '盘古庙村', '69a071024387437482220728b3d789e1', 'a147012a754c462f86c6e7f6aef6954f', 'False', 'True', 'false', 'false', '511324217203', 5, '盘古庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324217203', 1, '2021-07-19 11:51:09', NULL, NULL), (18938, '', '韩家湾村', 'd3abf162b412451693a5c1f4631d6601', 'a147012a754c462f86c6e7f6aef6954f', 'False', 'True', 'false', 'false', '511324217204', 5, '韩家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324217204', 1, '2021-07-19 11:51:09', NULL, NULL), (18939, '', '雨台山村', 'b69ffab93c9d4bd0a9c4e1911ca49731', 'a147012a754c462f86c6e7f6aef6954f', 'False', 'True', 'false', 'false', '511324217205', 5, '雨台山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324217205', 1, '2021-07-19 11:51:09', NULL, NULL), (18940, '', '桃垭子村', '2dff05fb4ac04988b5a4774836556e95', 'a147012a754c462f86c6e7f6aef6954f', 'False', 'True', 'false', 'false', '511324217206', 5, '桃垭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324217206', 1, '2021-07-19 11:51:09', NULL, NULL), (18941, '', '圆坝子村', '93148792f309445eac54b512242931aa', 'a147012a754c462f86c6e7f6aef6954f', 'False', 'True', 'false', 'false', '511324217207', 5, '圆坝子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324217207', 1, '2021-07-19 11:51:09', NULL, NULL), (18942, '', '丰收村', 'c7b2c1f1957d49bc9b9e85c8abc764b7', 'a147012a754c462f86c6e7f6aef6954f', 'False', 'True', 'false', 'false', '511324217208', 5, '丰收村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324217208', 1, '2021-07-19 11:51:09', NULL, NULL), (18943, '', '黄包梁村', '79efeaacac7642dcab41af94c1b15133', 'a147012a754c462f86c6e7f6aef6954f', 'False', 'True', 'false', 'false', '511324217209', 5, '黄包梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324217209', 1, '2021-07-19 11:51:09', NULL, NULL), (18944, '', '六合社区', '3ab55c45554b46fb89d9bfb71ce0838a', 'a147012a754c462f86c6e7f6aef6954f', 'False', 'True', 'false', 'false', '511324217853', 5, '六合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324217853', 1, '2021-07-19 11:51:09', NULL, NULL), (18945, '', '板桥乡', 'bc2537a0775f45c6902c5fbd24c8c836', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324226000', 4, '板桥乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324226000', 1, '2021-07-19 11:51:09', NULL, NULL), (18946, '', '烂泥沟村', 'cce4201b2b454d76816a0760ba594dd7', 'bc2537a0775f45c6902c5fbd24c8c836', 'False', 'True', 'false', 'false', '511324226201', 5, '烂泥沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324226201', 1, '2021-07-19 11:51:09', NULL, NULL), (18947, '', '易斗山农村社区', '67e778c3471b4656b67502b7692b0f45', 'bc2537a0775f45c6902c5fbd24c8c836', 'False', 'True', 'false', 'false', '511324226202', 5, '易斗山农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324226202', 1, '2021-07-19 11:51:10', NULL, NULL), (18948, '', '幸福村', 'c26b6000cfc54db7b61a946dfea4a660', 'bc2537a0775f45c6902c5fbd24c8c836', 'False', 'True', 'false', 'false', '511324226203', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324226203', 1, '2021-07-19 11:51:10', NULL, NULL), (18949, '', '陈龙坪村', '54f2e09484ca478abf6716f16f56b85a', 'bc2537a0775f45c6902c5fbd24c8c836', 'False', 'True', 'false', 'false', '511324226204', 5, '陈龙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324226204', 1, '2021-07-19 11:51:10', NULL, NULL), (18950, '', '谢家坝村', 'b9c2b3dbe6a24e939fb2fac16ce9d122', 'bc2537a0775f45c6902c5fbd24c8c836', 'False', 'True', 'false', 'false', '511324226205', 5, '谢家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324226205', 1, '2021-07-19 11:51:10', NULL, NULL), (18951, '', '春光村', 'e6e6c15440c84cce83e2b2c71fe48fd5', 'bc2537a0775f45c6902c5fbd24c8c836', 'False', 'True', 'false', 'false', '511324226206', 5, '春光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324226206', 1, '2021-07-19 11:51:10', NULL, NULL), (18952, '', '方斗寨村', 'b8db8751d35b496bb531596a48a9464d', 'bc2537a0775f45c6902c5fbd24c8c836', 'False', 'True', 'false', 'false', '511324226207', 5, '方斗寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324226207', 1, '2021-07-19 11:51:10', NULL, NULL), (18953, '', '旱田岭村', '4b89234ac2544de8a4766bfac1482f0b', 'bc2537a0775f45c6902c5fbd24c8c836', 'False', 'True', 'false', 'false', '511324226208', 5, '旱田岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324226208', 1, '2021-07-19 11:51:10', NULL, NULL), (18954, '', '杨家院村', '42ee40b2712447908446cb363757b2ea', 'bc2537a0775f45c6902c5fbd24c8c836', 'False', 'True', 'false', 'false', '511324226209', 5, '杨家院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324226209', 1, '2021-07-19 11:51:10', NULL, NULL), (18955, '', '李宦寺村', 'b3e97fac8ec54645aab9a5ea7d269654', 'bc2537a0775f45c6902c5fbd24c8c836', 'False', 'True', 'false', 'false', '511324226210', 5, '李宦寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324226210', 1, '2021-07-19 11:51:10', NULL, NULL), (18956, '', '马家庙村', '450bb2d04cc0470788cc5d76bc0aa0cc', 'bc2537a0775f45c6902c5fbd24c8c836', 'False', 'True', 'false', 'false', '511324226211', 5, '马家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324226211', 1, '2021-07-19 11:51:10', NULL, NULL), (18957, '', '鼓镜寺村', '94f07273efb44f2f8e709e763913a520', 'bc2537a0775f45c6902c5fbd24c8c836', 'False', 'True', 'false', 'false', '511324226212', 5, '鼓镜寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324226212', 1, '2021-07-19 11:51:10', NULL, NULL), (18958, '', '灵泉洞村', 'be016a3e652447658087f322fbf3f1a7', 'bc2537a0775f45c6902c5fbd24c8c836', 'False', 'True', 'false', 'false', '511324226213', 5, '灵泉洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324226213', 1, '2021-07-19 11:51:10', NULL, NULL), (18959, '', '芭蕉乡', 'bd1d735314b845acb5a143871c0e9487', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324239000', 4, '芭蕉乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324239000', 1, '2021-07-19 11:51:10', NULL, NULL), (18960, '', '明灯村', '29942cdaa8a143b09a8a64dcef925eac', 'bd1d735314b845acb5a143871c0e9487', 'False', 'True', 'false', 'false', '511324230201', 5, '明灯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324230201', 1, '2021-07-19 11:51:10', NULL, NULL), (18961, '', '春风村', '1f6f6b6d348e41c99cbf68f6d5b187ae', 'bd1d735314b845acb5a143871c0e9487', 'False', 'True', 'false', 'false', '511324230202', 5, '春风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324230202', 1, '2021-07-19 11:51:11', NULL, NULL), (18962, '', '庆祝村', '93269dae0ef04ac3be074714d0073c15', 'bd1d735314b845acb5a143871c0e9487', 'False', 'True', 'false', 'false', '511324230203', 5, '庆祝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324230203', 1, '2021-07-19 11:51:11', NULL, NULL), (18963, '', '发光村', '11e88a3c1db545d4b8d1012433f4a449', 'bd1d735314b845acb5a143871c0e9487', 'False', 'True', 'false', 'false', '511324230204', 5, '发光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324230204', 1, '2021-07-19 11:51:11', NULL, NULL), (18964, '', '富裕村', '1869909429e14e04b3fc25c36d11ccc2', 'bd1d735314b845acb5a143871c0e9487', 'False', 'True', 'false', 'false', '511324230205', 5, '富裕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324230205', 1, '2021-07-19 11:51:11', NULL, NULL), (18965, '', '中原村', '59076b4b570e4314aabfae630d4aa749', 'bd1d735314b845acb5a143871c0e9487', 'False', 'True', 'false', 'false', '511324230206', 5, '中原村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324230206', 1, '2021-07-19 11:51:11', NULL, NULL), (18966, '', '西门村', '8c8f3e1eec7f4098aabef1758d058343', 'bd1d735314b845acb5a143871c0e9487', 'False', 'True', 'false', 'false', '511324230207', 5, '西门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324230207', 1, '2021-07-19 11:51:11', NULL, NULL), (18967, '', '同春村', '487a95cf59f243a6a1fcf421287ab9ef', 'bd1d735314b845acb5a143871c0e9487', 'False', 'True', 'false', 'false', '511324230208', 5, '同春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324230208', 1, '2021-07-19 11:51:11', NULL, NULL), (18968, '', '迎春村', 'fc53e87421dc4fe7b976c351e56d3b7f', 'bd1d735314b845acb5a143871c0e9487', 'False', 'True', 'false', 'false', '511324230209', 5, '迎春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324230209', 1, '2021-07-19 11:51:11', NULL, NULL), (18969, '', '远征村', 'ed89fa1550394848b4be7f674ac4aa8f', 'bd1d735314b845acb5a143871c0e9487', 'False', 'True', 'false', 'false', '511324230210', 5, '远征村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324230210', 1, '2021-07-19 11:51:11', NULL, NULL), (18970, '', '互助村', '05b4de9cea85484fb9c8c6770f5423ae', 'bd1d735314b845acb5a143871c0e9487', 'False', 'True', 'false', 'false', '511324230211', 5, '互助村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324230211', 1, '2021-07-19 11:51:11', NULL, NULL), (18971, '', '柴井乡', '869bbf97f11f4c94b4556fd457d7f1a6', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324241000', 4, '柴井乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324241000', 1, '2021-07-19 11:51:11', NULL, NULL), (18972, '', '金燕社区', '1d532cbbfb1b4987a07c4e8afb3ff480', '869bbf97f11f4c94b4556fd457d7f1a6', 'False', 'True', 'false', 'false', '511324241001', 5, '金燕社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324241001', 1, '2021-07-19 11:51:11', NULL, NULL), (18973, '', '严家庙村', '8bb323423c5a4dadbe6b85348a2f5b17', '869bbf97f11f4c94b4556fd457d7f1a6', 'False', 'True', 'false', 'false', '511324241201', 5, '严家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324241201', 1, '2021-07-19 11:51:11', NULL, NULL), (18974, '', '古楼营村', '7eb25ca4861140cdb680bbd033d9a50b', '869bbf97f11f4c94b4556fd457d7f1a6', 'False', 'True', 'false', 'false', '511324241202', 5, '古楼营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324241202', 1, '2021-07-19 11:51:12', NULL, NULL), (18975, '', '宁宝村', 'b187cf647d19440ab0c0ed24b348d131', '869bbf97f11f4c94b4556fd457d7f1a6', 'False', 'True', 'false', 'false', '511324241203', 5, '宁宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324241203', 1, '2021-07-19 11:51:12', NULL, NULL), (18976, '', '狮子头村', '724853c940c94b71ae3c159acb54095e', '869bbf97f11f4c94b4556fd457d7f1a6', 'False', 'True', 'false', 'false', '511324241204', 5, '狮子头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324241204', 1, '2021-07-19 11:51:12', NULL, NULL), (18977, '', '三溪口村', 'dd39cd8cba8e4109adc23cf8dc623312', '869bbf97f11f4c94b4556fd457d7f1a6', 'False', 'True', 'false', 'false', '511324241205', 5, '三溪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324241205', 1, '2021-07-19 11:51:12', NULL, NULL), (18978, '', '碑垭口村', '3db98df9018a42dfbfcf7ed79922a00b', '869bbf97f11f4c94b4556fd457d7f1a6', 'False', 'True', 'false', 'false', '511324241206', 5, '碑垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324241206', 1, '2021-07-19 11:51:12', NULL, NULL), (18979, '', '八景营村', '000836df411541b39bf061683c8f6e41', '869bbf97f11f4c94b4556fd457d7f1a6', 'False', 'True', 'false', 'false', '511324241207', 5, '八景营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324241207', 1, '2021-07-19 11:51:12', NULL, NULL), (18980, '', '太平庙村', 'a2fb3532c88547d89f1d000fd72b9cb4', '869bbf97f11f4c94b4556fd457d7f1a6', 'False', 'True', 'false', 'false', '511324241208', 5, '太平庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324241208', 1, '2021-07-19 11:51:12', NULL, NULL), (18981, '', '李家合村', 'e17f5af408394299aaa26f02070ef10c', '869bbf97f11f4c94b4556fd457d7f1a6', 'False', 'True', 'false', 'false', '511324241209', 5, '李家合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324241209', 1, '2021-07-19 11:51:12', NULL, NULL), (18982, '', '尖山坝村', '77d66ae45618476a804fa6724d7ea9c4', '869bbf97f11f4c94b4556fd457d7f1a6', 'False', 'True', 'false', 'false', '511324241210', 5, '尖山坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324241210', 1, '2021-07-19 11:51:12', NULL, NULL), (18983, '', '蔡家坝村', 'cf2da104ae03462e9d56eb8faa08b0c2', '869bbf97f11f4c94b4556fd457d7f1a6', 'False', 'True', 'false', 'false', '511324241211', 5, '蔡家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324241211', 1, '2021-07-19 11:51:12', NULL, NULL), (18984, '', '张爷庙村', '36d611c35eea4aac864b89f8f55411ce', '869bbf97f11f4c94b4556fd457d7f1a6', 'False', 'True', 'false', 'false', '511324241212', 5, '张爷庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324241212', 1, '2021-07-19 11:51:12', NULL, NULL), (18985, '', '肖家沟村', '9b78c2b3c14044da8be058af0d074675', '869bbf97f11f4c94b4556fd457d7f1a6', 'False', 'True', 'false', 'false', '511324241213', 5, '肖家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324241213', 1, '2021-07-19 11:51:12', NULL, NULL), (18986, '', '空树垭村', 'ff34631c945e413092ef9ae68b52091a', '869bbf97f11f4c94b4556fd457d7f1a6', 'False', 'True', 'false', 'false', '511324241214', 5, '空树垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324241214', 1, '2021-07-19 11:51:12', NULL, NULL), (18987, '', '姚家湾村', '3bf424b162d24a7da37e7485e19f1c45', '869bbf97f11f4c94b4556fd457d7f1a6', 'False', 'True', 'false', 'false', '511324241215', 5, '姚家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324241215', 1, '2021-07-19 11:51:13', NULL, NULL), (18988, '', '黄氏祠村', 'd3bf2b400b3948089f660cdad1fac8bd', '869bbf97f11f4c94b4556fd457d7f1a6', 'False', 'True', 'false', 'false', '511324241216', 5, '黄氏祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324241216', 1, '2021-07-19 11:51:13', NULL, NULL), (18989, '', '赵家坝村社区', '3419d00d6f784ab480868d2dd41392e7', '869bbf97f11f4c94b4556fd457d7f1a6', 'False', 'True', 'false', 'false', '511324241406', 5, '赵家坝村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324241406', 1, '2021-07-19 11:51:13', NULL, NULL), (18990, '', '五福镇', '3fbefd3afb01451bbc290953ad624f2a', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324278000', 4, '五福镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324278000', 1, '2021-07-19 11:51:13', NULL, NULL), (18991, '', '碑坪村', '42014b3cc02a4361b918188e470a99cc', '3fbefd3afb01451bbc290953ad624f2a', 'False', 'True', 'false', 'false', '511324122211', 5, '碑坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324122211', 1, '2021-07-19 11:51:13', NULL, NULL), (18992, '', '老罐村', 'd0e49d938fc54d96836383447fb1e322', '3fbefd3afb01451bbc290953ad624f2a', 'False', 'True', 'false', 'false', '511324122212', 5, '老罐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324122212', 1, '2021-07-19 11:51:13', NULL, NULL), (18993, '', '筏子村', 'b37ca1ad6cae4799a6f445ce86480962', '3fbefd3afb01451bbc290953ad624f2a', 'False', 'True', 'false', 'false', '511324122213', 5, '筏子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324122213', 1, '2021-07-19 11:51:13', NULL, NULL), (18994, '', '陡嘴村', 'ce86be7246064d04bce44b3fc3d911af', '3fbefd3afb01451bbc290953ad624f2a', 'False', 'True', 'false', 'false', '511324122214', 5, '陡嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324122214', 1, '2021-07-19 11:51:13', NULL, NULL), (18995, '', '东观村', 'c3547ce573d84bb4a60f37aa97a70a1b', '3fbefd3afb01451bbc290953ad624f2a', 'False', 'True', 'false', 'false', '511324278110', 5, '东观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324278110', 1, '2021-07-19 11:51:13', NULL, NULL), (18996, '', '皂角村', '3cecfe043fd344c38e4dc194f5a14c57', '3fbefd3afb01451bbc290953ad624f2a', 'False', 'True', 'false', 'false', '511324278170', 5, '皂角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324278170', 1, '2021-07-19 11:51:13', NULL, NULL), (18997, '', '五福村', 'b688dd6e68d1478b8376c6aaf6d31ca1', '3fbefd3afb01451bbc290953ad624f2a', 'False', 'True', 'false', 'false', '511324278415', 5, '五福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324278415', 1, '2021-07-19 11:51:13', NULL, NULL), (18998, '', '飞龙社区', '84b61562508846dd89752a9a7d878550', '3fbefd3afb01451bbc290953ad624f2a', 'False', 'True', 'false', 'false', '511324278490', 5, '飞龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324278490', 1, '2021-07-19 11:51:13', NULL, NULL), (18999, '', '骑龙村', '39f763d8a49f4e06bccc81e3820f2d88', '3fbefd3afb01451bbc290953ad624f2a', 'False', 'True', 'false', 'false', '511324278573', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324278573', 1, '2021-07-19 11:51:13', NULL, NULL), (19000, '', '黄桷村', '1c12ef72758546afacb47dd06b387918', '3fbefd3afb01451bbc290953ad624f2a', 'False', 'True', 'false', 'false', '511324278579', 5, '黄桷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324278579', 1, '2021-07-19 11:51:14', NULL, NULL), (19001, '', '来龙村', '882b9aadeea144c6848cf7fd1301f1c0', '3fbefd3afb01451bbc290953ad624f2a', 'False', 'True', 'false', 'false', '511324278693', 5, '来龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324278693', 1, '2021-07-19 11:51:14', NULL, NULL), (19002, '', '白马村', '5b65b556218b403bb0859c53ab2d9d0a', '3fbefd3afb01451bbc290953ad624f2a', 'False', 'True', 'false', 'false', '511324278844', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324278844', 1, '2021-07-19 11:51:14', NULL, NULL), (19003, '', '佐家村', '67f6bd5e706e424bb42d5fe7dc7b99c4', '3fbefd3afb01451bbc290953ad624f2a', 'False', 'True', 'false', 'false', '511324278875', 5, '佐家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324278875', 1, '2021-07-19 11:51:14', NULL, NULL), (19004, '', '笋店村', '19eaebffdf414349a16d212f6497f7d3', '3fbefd3afb01451bbc290953ad624f2a', 'False', 'True', 'false', 'false', '511324278880', 5, '笋店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324278880', 1, '2021-07-19 11:51:14', NULL, NULL), (19005, '', '黄家村', 'ee89cd8bb7fa4ba5863ec09ff6cde7d9', '3fbefd3afb01451bbc290953ad624f2a', 'False', 'True', 'false', 'false', '511324278908', 5, '黄家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324278908', 1, '2021-07-19 11:51:14', NULL, NULL), (19006, '', '永光镇', '3ed9b34cc8ee42de886918f34aa68fd0', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324690000', 4, '永光镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324690000', 1, '2021-07-19 11:51:14', NULL, NULL), (19007, '', '春晖村', 'fb6aa74840a846bf87e6eda5398ce853', '3ed9b34cc8ee42de886918f34aa68fd0', 'False', 'True', 'false', 'false', '511324227201', 5, '春晖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324227201', 1, '2021-07-19 11:51:14', NULL, NULL), (19008, '', '三桥村', 'ca5bbbb1b7684a8d81c54e1ab4b8750e', '3ed9b34cc8ee42de886918f34aa68fd0', 'False', 'True', 'false', 'false', '511324227202', 5, '三桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324227202', 1, '2021-07-19 11:51:14', NULL, NULL), (19009, '', '天马村', 'fe3d1b786be24b2eb19021dbc95247a2', '3ed9b34cc8ee42de886918f34aa68fd0', 'False', 'True', 'false', 'false', '511324227203', 5, '天马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324227203', 1, '2021-07-19 11:51:14', NULL, NULL), (19010, '', '风景村', 'ebc47ba9ece642208ae1e748aeefa35a', '3ed9b34cc8ee42de886918f34aa68fd0', 'False', 'True', 'false', 'false', '511324227204', 5, '风景村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324227204', 1, '2021-07-19 11:51:14', NULL, NULL), (19011, '', '龙王村', '13f1f48f7e644c9d8ca37bd268f5af24', '3ed9b34cc8ee42de886918f34aa68fd0', 'False', 'True', 'false', 'false', '511324227205', 5, '龙王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324227205', 1, '2021-07-19 11:51:14', NULL, NULL), (19012, '', '马安村', 'd307ca5fdc80402794db56133b0da6f3', '3ed9b34cc8ee42de886918f34aa68fd0', 'False', 'True', 'false', 'false', '511324227206', 5, '马安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324227206', 1, '2021-07-19 11:51:14', NULL, NULL), (19013, '', '丰产村', '4e644ccde4454281b0623c19ae5b9328', '3ed9b34cc8ee42de886918f34aa68fd0', 'False', 'True', 'false', 'false', '511324227207', 5, '丰产村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324227207', 1, '2021-07-19 11:51:14', NULL, NULL), (19014, '', '永光村', '90d08494da8f4634afdad9d45740dfbf', '3ed9b34cc8ee42de886918f34aa68fd0', 'False', 'True', 'false', 'false', '511324227208', 5, '永光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324227208', 1, '2021-07-19 11:51:14', NULL, NULL), (19015, '', '兰堰村', 'abc2f79a11f04667b5708fd56db26d34', '3ed9b34cc8ee42de886918f34aa68fd0', 'False', 'True', 'false', 'false', '511324227209', 5, '兰堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324227209', 1, '2021-07-19 11:51:14', NULL, NULL), (19016, '', '龙头村', '5d563fa2007c40f6bb26904bf685969e', '3ed9b34cc8ee42de886918f34aa68fd0', 'False', 'True', 'false', 'false', '511324227210', 5, '龙头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324227210', 1, '2021-07-19 11:51:15', NULL, NULL), (19017, '', '南天村', 'f8eaee24d9a042f8bbe4a656b5bca9c7', '3ed9b34cc8ee42de886918f34aa68fd0', 'False', 'True', 'false', 'false', '511324227211', 5, '南天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324227211', 1, '2021-07-19 11:51:15', NULL, NULL), (19018, '', '观紫镇', '3c46a3e614bf46f591ada2a5a493c1f8', 'f86d1e7e94e2471cadad8708a01ad708', 'True', 'True', 'false', 'false', '511324819000', 4, '观紫镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511324819000', 1, '2021-07-19 11:51:15', NULL, NULL), (19019, '', '龙台村', '6150e01a2e664062aaef9fe52e4b9abe', '3c46a3e614bf46f591ada2a5a493c1f8', 'False', 'True', 'false', 'false', '511324819143', 5, '龙台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324819143', 1, '2021-07-19 11:51:15', NULL, NULL), (19020, '', '兴旺村', '1fddf10ea15a4ae4b45f4e3791ef6896', '3c46a3e614bf46f591ada2a5a493c1f8', 'False', 'True', 'false', 'false', '511324819161', 5, '兴旺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324819161', 1, '2021-07-19 11:51:15', NULL, NULL), (19021, '', '阳光村', '04b7ef10cdae46e890862b24205359b5', '3c46a3e614bf46f591ada2a5a493c1f8', 'False', 'True', 'false', 'false', '511324819262', 5, '阳光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324819262', 1, '2021-07-19 11:51:15', NULL, NULL), (19022, '', '金光村', 'c5233744af58477b9ae2df28dd435048', '3c46a3e614bf46f591ada2a5a493c1f8', 'False', 'True', 'false', 'false', '511324819316', 5, '金光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324819316', 1, '2021-07-19 11:51:15', NULL, NULL), (19023, '', '自生村', 'f5f90eb138c84e298aa1227acf27957b', '3c46a3e614bf46f591ada2a5a493c1f8', 'False', 'True', 'false', 'false', '511324819531', 5, '自生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324819531', 1, '2021-07-19 11:51:15', NULL, NULL), (19024, '', '杨柳村', '5ee46e3593f04cc0b5d45d4770b3c686', '3c46a3e614bf46f591ada2a5a493c1f8', 'False', 'True', 'false', 'false', '511324819547', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324819547', 1, '2021-07-19 11:51:15', NULL, NULL), (19025, '', '长虹村', '659c4470448c4c028d0d660b9f18fb8d', '3c46a3e614bf46f591ada2a5a493c1f8', 'False', 'True', 'false', 'false', '511324819560', 5, '长虹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324819560', 1, '2021-07-19 11:51:15', NULL, NULL), (19026, '', '兴乐村', '8e30e65ad56a4139b2d41d5d022689b8', '3c46a3e614bf46f591ada2a5a493c1f8', 'False', 'True', 'false', 'false', '511324819584', 5, '兴乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324819584', 1, '2021-07-19 11:51:15', NULL, NULL), (19027, '', '万众村', '55494b1f503e49d088e8e000e5ad21fa', '3c46a3e614bf46f591ada2a5a493c1f8', 'False', 'True', 'false', 'false', '511324819587', 5, '万众村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324819587', 1, '2021-07-19 11:51:15', NULL, NULL), (19028, '', '长春村', 'e535696c62024eff97fdb413db2de6bc', '3c46a3e614bf46f591ada2a5a493c1f8', 'False', 'True', 'false', 'false', '511324819603', 5, '长春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324819603', 1, '2021-07-19 11:51:15', NULL, NULL), (19029, '', '泉水村', '4735e158cb3a4fa89e022ba0bc0fafc3', '3c46a3e614bf46f591ada2a5a493c1f8', 'False', 'True', 'false', 'false', '511324819779', 5, '泉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324819779', 1, '2021-07-19 11:51:15', NULL, NULL), (19030, '', '正兴社区', 'db43be8aa4264c218eb97642b76a30a4', '3c46a3e614bf46f591ada2a5a493c1f8', 'False', 'True', 'false', 'false', '511324819788', 5, '正兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324819788', 1, '2021-07-19 11:51:15', NULL, NULL), (19031, '', '长乐村', '694423ac84f4404989baf64937c461c2', '3c46a3e614bf46f591ada2a5a493c1f8', 'False', 'True', 'false', 'false', '511324819991', 5, '长乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511324819991', 1, '2021-07-19 11:51:16', NULL, NULL), (19032, '', '营山县', '166067235b214a6f99e5e47c1b764afe', 'd9f01e465bbf4f06b12dda9480080f67', 'True', 'True', 'false', 'false', '511322000000', 3, '营山县', 'ncsysx.sczwfw.gov.cn', 1, '2021-07-19 11:51:16', NULL, NULL), (19033, '', '绥安街道', 'b893696608aa41bb8fe1405827e24fb4', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322001000', 4, '绥安街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322001000', 1, '2021-07-19 11:51:16', NULL, NULL), (19034, '', '北观社区', '89f08f1e58cb498593d8b525f9551827', 'b893696608aa41bb8fe1405827e24fb4', 'False', 'True', 'false', 'false', '511322001161', 5, '北观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322001161', 1, '2021-07-19 11:51:16', NULL, NULL), (19035, '', '化育桥社区', '3d65b08b44364dfbbf64127bfda3e8d9', 'b893696608aa41bb8fe1405827e24fb4', 'False', 'True', 'false', 'false', '511322001177', 5, '化育桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322001177', 1, '2021-07-19 11:51:16', NULL, NULL), (19036, '', '书院桥社区', 'f84be2bfcc6543c5aeadfe132bd71007', 'b893696608aa41bb8fe1405827e24fb4', 'False', 'True', 'false', 'false', '511322001194', 5, '书院桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322001194', 1, '2021-07-19 11:51:16', NULL, NULL), (19037, '', '碑垭口社区', '4a7847ea49344339871599b4213be60e', 'b893696608aa41bb8fe1405827e24fb4', 'False', 'True', 'false', 'false', '511322001272', 5, '碑垭口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322001272', 1, '2021-07-19 11:51:16', NULL, NULL), (19038, '', '北坝社区', '1471d0935eac417f92b1169980c04900', 'b893696608aa41bb8fe1405827e24fb4', 'False', 'True', 'false', 'false', '511322001371', 5, '北坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322001371', 1, '2021-07-19 11:51:16', NULL, NULL), (19039, '', '白塔社区', '99f116c0e67440458e1ddfd52caca1c8', 'b893696608aa41bb8fe1405827e24fb4', 'False', 'True', 'false', 'false', '511322001378', 5, '白塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322001378', 1, '2021-07-19 11:51:16', NULL, NULL), (19040, '', '景阳社区', '9ad77ee34235465dbf24e7254a9e9c53', 'b893696608aa41bb8fe1405827e24fb4', 'False', 'True', 'false', 'false', '511322001445', 5, '景阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322001445', 1, '2021-07-19 11:51:16', NULL, NULL), (19041, '', '东城社区', '246c18e4f56b40a9abfe6a8c20bbc77c', 'b893696608aa41bb8fe1405827e24fb4', 'False', 'True', 'false', 'false', '511322001533', 5, '东城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322001533', 1, '2021-07-19 11:51:16', NULL, NULL), (19042, '', '中城社区', '585e7eed4ee94554b8759e0bc2c5b3bb', 'b893696608aa41bb8fe1405827e24fb4', 'False', 'True', 'false', 'false', '511322001579', 5, '中城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322001579', 1, '2021-07-19 11:51:16', NULL, NULL), (19043, '', '火车站社区', '3c6fec986f3a47ed9b6c67af3f30904a', 'b893696608aa41bb8fe1405827e24fb4', 'False', 'True', 'false', 'false', '511322001658', 5, '火车站社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322001658', 1, '2021-07-19 11:51:16', NULL, NULL), (19044, '', '云凤山社区', 'ef58c2284df0465f89d56ea37d4ddc19', 'b893696608aa41bb8fe1405827e24fb4', 'False', 'True', 'false', 'false', '511322001694', 5, '云凤山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322001694', 1, '2021-07-19 11:51:16', NULL, NULL), (19045, '', '绥山社区', 'aa6449db8c9a4036a096074d515058cf', 'b893696608aa41bb8fe1405827e24fb4', 'False', 'True', 'false', 'false', '511322001738', 5, '绥山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322001738', 1, '2021-07-19 11:51:16', NULL, NULL), (19046, '', '西城社区', 'dab50e4a58244c478deeec4f73a19925', 'b893696608aa41bb8fe1405827e24fb4', 'False', 'True', 'false', 'false', '511322001842', 5, '西城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322001842', 1, '2021-07-19 11:51:16', NULL, NULL), (19047, '', '西月湖社区', 'd91404e6f6494dd38eaca0b8326e7b3f', 'b893696608aa41bb8fe1405827e24fb4', 'False', 'True', 'false', 'false', '511322001974', 5, '西月湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322001974', 1, '2021-07-19 11:51:16', NULL, NULL), (19048, '', '朗池街道', '21752de2afb4457c9eb70a32343a0fdd', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322100000', 4, '朗池街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322100000', 1, '2021-07-19 11:51:16', NULL, NULL), (19049, '', '翠屏社区', '3b5bab410d7a474ba8d087727f438b72', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100202', 5, '翠屏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100202', 1, '2021-07-19 11:51:17', NULL, NULL), (19050, '', '河堰社区', '2b9b9062c4e046939c2ef04a20ba7094', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100204', 5, '河堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100204', 1, '2021-07-19 11:51:17', NULL, NULL), (19051, '', '红光社区', 'ea9e42668cec4578b757817cb7f8c6e4', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100206', 5, '红光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100206', 1, '2021-07-19 11:51:17', NULL, NULL), (19052, '', '九曲社区', 'a9ebaddce7b64a37921173ef93db5a86', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100208', 5, '九曲社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100208', 1, '2021-07-19 11:51:17', NULL, NULL), (19053, '', '石山村', '4ca3120a8cfc4f0e825a0a6804fafdce', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100209', 5, '石山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100209', 1, '2021-07-19 11:51:17', NULL, NULL), (19054, '', '芙蓉村', '8ac37a3f869448b8b77bc8ca717eb9e5', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100213', 5, '芙蓉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100213', 1, '2021-07-19 11:51:17', NULL, NULL), (19055, '', '古井村', '8b6d8fe354304a5db1cae4bb3bfbd697', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'False', 'false', 'false', '511322100214', 5, '古井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100214', 1, '2021-07-19 11:51:17', NULL, NULL), (19056, '', '狮子村', '7141a018d2e942e6bd01f636555b793f', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100215', 5, '狮子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100215', 1, '2021-07-19 11:51:17', NULL, NULL), (19057, '', '新生社区', 'd4239a83a90a4853946323d8bf31c4d5', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100217', 5, '新生社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100217', 1, '2021-07-19 11:51:17', NULL, NULL), (19058, '', '南溪村', '6cc402a9fd634cabbf29605a02572531', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100218', 5, '南溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100218', 1, '2021-07-19 11:51:17', NULL, NULL), (19059, '', '凤凰村', '67f69e7b3bec4ffeae935364aeaf2320', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100219', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100219', 1, '2021-07-19 11:51:17', NULL, NULL), (19060, '', '紫荆村', '7482d6d4844e4d7a937a829cca02d19b', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100220', 5, '紫荆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100220', 1, '2021-07-19 11:51:17', NULL, NULL), (19061, '', '兴云村', 'b63f8e473b0c485095c08660c362f5be', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100221', 5, '兴云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100221', 1, '2021-07-19 11:51:17', NULL, NULL), (19062, '', '天平村', '6288264522d84da69ae13d932d1bc9e3', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100222', 5, '天平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100222', 1, '2021-07-19 11:51:17', NULL, NULL), (19063, '', '土梁村', '966e6d5a174c4d40a757001481219035', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100223', 5, '土梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100223', 1, '2021-07-19 11:51:17', NULL, NULL), (19064, '', '观音村', '89a06ca75ead45b88becd814b44aeae7', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100224', 5, '观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100224', 1, '2021-07-19 11:51:17', NULL, NULL), (19065, '', '封窦村', '303d159c04294eb4b536d0445b790b93', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100225', 5, '封窦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100225', 1, '2021-07-19 11:51:18', NULL, NULL), (19066, '', '立山村', 'fbdd4f8ff9f84867b55685d9ff65252f', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100226', 5, '立山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100226', 1, '2021-07-19 11:51:18', NULL, NULL), (19067, '', '干井村', 'b54bad17bcfc465391724687f55529d2', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100227', 5, '干井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100227', 1, '2021-07-19 11:51:18', NULL, NULL), (19068, '', '韩丰村', 'c202d5fc0036425f8a81195e052272fb', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100228', 5, '韩丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100228', 1, '2021-07-19 11:51:18', NULL, NULL), (19069, '', '夕照村', 'b0032d025b784c2a8f0cc1ca17d86523', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100229', 5, '夕照村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100229', 1, '2021-07-19 11:51:18', NULL, NULL), (19070, '', '盐龙村', 'ab4748f95f904df69a47fa8dc05c9051', '21752de2afb4457c9eb70a32343a0fdd', 'False', 'True', 'false', 'false', '511322100230', 5, '盐龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322100230', 1, '2021-07-19 11:51:18', NULL, NULL), (19071, '', '渌井镇', 'f09d0c12f02c4a1eae2a811f5a21e892', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322101000', 4, '渌井镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322101000', 1, '2021-07-19 11:51:18', NULL, NULL), (19072, '', '万寿社区', '436a7a59fcd547b9bd9b574d69fa7c72', 'f09d0c12f02c4a1eae2a811f5a21e892', 'False', 'True', 'false', 'false', '511322101201', 5, '万寿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322101201', 1, '2021-07-19 11:51:18', NULL, NULL), (19073, '', '枣岩村', 'a3f6d3c8d8f147fa8a3a44c956e349e6', 'f09d0c12f02c4a1eae2a811f5a21e892', 'False', 'True', 'false', 'false', '511322101202', 5, '枣岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322101202', 1, '2021-07-19 11:51:18', NULL, NULL), (19074, '', '马鞍村', '036c6fb0affa481eabd5395db5c5efdf', 'f09d0c12f02c4a1eae2a811f5a21e892', 'False', 'True', 'false', 'false', '511322101203', 5, '马鞍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322101203', 1, '2021-07-19 11:51:18', NULL, NULL), (19075, '', '双桥村', 'fec647cd64d64d91b803dcca42d3a377', 'f09d0c12f02c4a1eae2a811f5a21e892', 'False', 'True', 'false', 'false', '511322101204', 5, '双桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322101204', 1, '2021-07-19 11:51:18', NULL, NULL), (19076, '', '安乐村', 'b6aad435272443cdb6ef16dc4e17e740', 'f09d0c12f02c4a1eae2a811f5a21e892', 'False', 'True', 'false', 'false', '511322101205', 5, '安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322101205', 1, '2021-07-19 11:51:18', NULL, NULL), (19077, '', '石虎村', 'ec3ff5210f0e43e5bf38cf6fd791804d', 'f09d0c12f02c4a1eae2a811f5a21e892', 'False', 'True', 'false', 'false', '511322101206', 5, '石虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322101206', 1, '2021-07-19 11:51:18', NULL, NULL), (19078, '', '渌井村', '2308f7ee0dea4f52bd1c4fdb411de5ce', 'f09d0c12f02c4a1eae2a811f5a21e892', 'False', 'True', 'false', 'false', '511322101207', 5, '渌井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322101207', 1, '2021-07-19 11:51:18', NULL, NULL), (19079, '', '五星村', '1926b721445843ffbcde6f1707e80b86', 'f09d0c12f02c4a1eae2a811f5a21e892', 'False', 'True', 'false', 'false', '511322101208', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322101208', 1, '2021-07-19 11:51:18', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (19080, '', '龙岗村', '296f2e71070245aeafa1699ae464b61e', 'f09d0c12f02c4a1eae2a811f5a21e892', 'False', 'True', 'false', 'false', '511322101209', 5, '龙岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322101209', 1, '2021-07-19 11:51:18', NULL, NULL), (19081, '', '擦岩村', '71a43885e7e04d859c8078098980ab58', 'f09d0c12f02c4a1eae2a811f5a21e892', 'False', 'True', 'false', 'false', '511322101210', 5, '擦岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322101210', 1, '2021-07-19 11:51:19', NULL, NULL), (19082, '', '双河村', '688a34527e264c1ea7f93168392b365b', 'f09d0c12f02c4a1eae2a811f5a21e892', 'False', 'True', 'false', 'false', '511322101211', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322101211', 1, '2021-07-19 11:51:19', NULL, NULL), (19083, '', '香积村', 'ba164071e3e34789876fca3eeeb135b3', 'f09d0c12f02c4a1eae2a811f5a21e892', 'False', 'True', 'false', 'false', '511322101212', 5, '香积村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322101212', 1, '2021-07-19 11:51:19', NULL, NULL), (19084, '', '东升镇', 'df38b0f761db450aa262638b5e8dd7d9', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322102000', 4, '东升镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322102000', 1, '2021-07-19 11:51:19', NULL, NULL), (19085, '', '东盛社区', '02a0efba1f4b4919892a1f125c35dde8', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102001', 5, '东盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102001', 1, '2021-07-19 11:51:19', NULL, NULL), (19086, '', '六合村', '0246122a67ae4310bf45e8e7935d7596', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'False', 'false', 'false', '511322102004', 5, '六合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102004', 1, '2021-07-19 11:51:19', NULL, NULL), (19087, '', '尖山村', '63e22bd7162446e4b3dd80d1d11fff15', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'False', 'false', 'false', '511322102076', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102076', 1, '2021-07-19 11:51:19', NULL, NULL), (19088, '', '踏水村', 'c318afd589214eb3b47d775a70d2e865', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'False', 'false', 'false', '511322102118', 5, '踏水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102118', 1, '2021-07-19 11:51:19', NULL, NULL), (19089, '', '东升村', '239951dd8b1f4f2aa5244a09a83aabc3', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102201', 5, '东升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102201', 1, '2021-07-19 11:51:19', NULL, NULL), (19090, '', '桂花村', '8334457e2f814d2cba006e500a4670c3', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102202', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102202', 1, '2021-07-19 11:51:19', NULL, NULL), (19091, '', '朝阳村', '07ebedd087884d3b8fdccb72e5c90cdf', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102203', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102203', 1, '2021-07-19 11:51:19', NULL, NULL), (19092, '', '楼房村', '9034fc85f10a4314bbebcd379669d13e', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102204', 5, '楼房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102204', 1, '2021-07-19 11:51:19', NULL, NULL), (19093, '', '三官村', '933c35cede6d4bab828b98e1e5e10608', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102205', 5, '三官村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102205', 1, '2021-07-19 11:51:19', NULL, NULL), (19094, '', '檬子村', 'd7dd2707b2e44f8694555b82bb091586', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102206', 5, '檬子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102206', 1, '2021-07-19 11:51:19', NULL, NULL), (19095, '', '高峰村', '74942a8614bc49abacf0bacafb147e02', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102207', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102207', 1, '2021-07-19 11:51:19', NULL, NULL), (19096, '', '锁水村', 'f5e4b554dfe445f4acbec1606436714a', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102208', 5, '锁水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102208', 1, '2021-07-19 11:51:19', NULL, NULL), (19097, '', '玉帝村', '48d688b7c2184ba5aaf12ea5ec106d58', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102209', 5, '玉帝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102209', 1, '2021-07-19 11:51:20', NULL, NULL), (19098, '', '深井村', '67e47778e18d4ea3867e29614eabd648', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102210', 5, '深井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102210', 1, '2021-07-19 11:51:20', NULL, NULL), (19099, '', '关帝村', 'ec72d146c74c4694acfc22f04ba7359c', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102211', 5, '关帝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102211', 1, '2021-07-19 11:51:20', NULL, NULL), (19100, '', '望龙村', '89b4261c0ff449ceb79d9a8092f441f4', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102212', 5, '望龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102212', 1, '2021-07-19 11:51:20', NULL, NULL), (19101, '', '油坊村', 'efeb2f18de8141e99009c4ee5a62955b', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102213', 5, '油坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102213', 1, '2021-07-19 11:51:20', NULL, NULL), (19102, '', '桦树村', '69f985a33fc245bca10a294a2b10b5f1', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102214', 5, '桦树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102214', 1, '2021-07-19 11:51:20', NULL, NULL), (19103, '', '福乐村', '452928575cf64275b10cefefa9e5329c', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102215', 5, '福乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102215', 1, '2021-07-19 11:51:20', NULL, NULL), (19104, '', '盐井村', '788644c960c942ff8ef4ce9b83dbb733', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102216', 5, '盐井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102216', 1, '2021-07-19 11:51:20', NULL, NULL), (19105, '', '黄岭村', 'cf23a477be3e4d7dbfe18cb1db7990d6', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102217', 5, '黄岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102217', 1, '2021-07-19 11:51:20', NULL, NULL), (19106, '', '石坝村', '88218336b4e746c791a9fd3bc12f7695', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102219', 5, '石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102219', 1, '2021-07-19 11:51:20', NULL, NULL), (19107, '', '胡梁村', '3732a77761f14a5c9433690f98f36648', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'True', 'false', 'false', '511322102220', 5, '胡梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102220', 1, '2021-07-19 11:51:20', NULL, NULL), (19108, '', '济川社区', 'bd80e34f167c43b19741b9d132f8756c', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'False', 'false', 'false', '511322102339', 5, '济川社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102339', 1, '2021-07-19 11:51:20', NULL, NULL), (19109, '', '东林村', '67c1c8afe4744701ae7b2ebbf4981967', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'False', 'false', 'false', '511322102366', 5, '东林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102366', 1, '2021-07-19 11:51:20', NULL, NULL), (19110, '', '东岳村', '0fca846d828c427fa0fa82943237ebc6', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'False', 'false', 'false', '511322102384', 5, '东岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102384', 1, '2021-07-19 11:51:20', NULL, NULL), (19111, '', '青庙村', 'aa114c8031304831887fbe0d59e6fb40', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'False', 'false', 'false', '511322102473', 5, '青庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102473', 1, '2021-07-19 11:51:20', NULL, NULL), (19112, '', '道坪村', '437eb87c226c4fca9ec96558c5de14ef', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'False', 'false', 'false', '511322102479', 5, '道坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102479', 1, '2021-07-19 11:51:20', NULL, NULL), (19113, '', '黄桷社区', '3e024ecd93094848aeda6f70a596c349', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'False', 'false', 'false', '511322102616', 5, '黄桷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102616', 1, '2021-07-19 11:51:21', NULL, NULL), (19114, '', '金花村', '3c7a8ebca02742f5821a6cad43e19339', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'False', 'false', 'false', '511322102653', 5, '金花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102653', 1, '2021-07-19 11:51:21', NULL, NULL), (19115, '', '向坝村', '18575734693b457ebe3c141cad679822', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'False', 'false', 'false', '511322102657', 5, '向坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102657', 1, '2021-07-19 11:51:21', NULL, NULL), (19116, '', '金凤村', '1b254a89900748cb944e49503ad8f19e', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'False', 'false', 'false', '511322102714', 5, '金凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102714', 1, '2021-07-19 11:51:21', NULL, NULL), (19117, '', '陡嘴村', '808dc744d28843e3a4d1dd45639f43f4', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'False', 'false', 'false', '511322102855', 5, '陡嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102855', 1, '2021-07-19 11:51:21', NULL, NULL), (19118, '', '石庙村', '66ea58f20af94b3f84ce88041f1b28a5', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'False', 'false', 'false', '511322102876', 5, '石庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102876', 1, '2021-07-19 11:51:21', NULL, NULL), (19119, '', '合兴村', 'f821946229694cffa092686454980467', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'False', 'false', 'false', '511322102933', 5, '合兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102933', 1, '2021-07-19 11:51:21', NULL, NULL), (19120, '', '川祖村', 'ddc89a62907b44b6a09f48104aaff955', 'df38b0f761db450aa262638b5e8dd7d9', 'False', 'False', 'false', 'false', '511322102950', 5, '川祖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322102950', 1, '2021-07-19 11:51:21', NULL, NULL), (19121, '', '骆市镇', 'd47ff7e751aa4f068039e88dd73b8787', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322103000', 4, '骆市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322103000', 1, '2021-07-19 11:51:21', NULL, NULL), (19122, '', '骆市街道社区', '85f0d2d9978f442e81668dafed5689f3', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103001', 5, '骆市街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103001', 1, '2021-07-19 11:51:21', NULL, NULL), (19123, '', '黄泥村', '30772f36a8484ea6a79d735f2feb657c', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'False', 'false', 'false', '511322103037', 5, '黄泥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103037', 1, '2021-07-19 11:51:21', NULL, NULL), (19124, '', '华光村', '8337491f8546484fbf0073952818e4cd', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'False', 'false', 'false', '511322103189', 5, '华光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103189', 1, '2021-07-19 11:51:21', NULL, NULL), (19125, '', '堕石村', '1f833dc4025540cca9570afa85ae19ef', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103201', 5, '堕石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103201', 1, '2021-07-19 11:51:21', NULL, NULL), (19126, '', '天桥村', 'a5df56319dbc481b88f06f26505ca451', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103202', 5, '天桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103202', 1, '2021-07-19 11:51:21', NULL, NULL), (19127, '', '杨柳村', '09e7830592ae4dbdad032744f04e4798', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103203', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103203', 1, '2021-07-19 11:51:21', NULL, NULL), (19128, '', '崆峒村', 'b34895e1585d4ae88254a275a83ea278', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103204', 5, '崆峒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103204', 1, '2021-07-19 11:51:21', NULL, NULL), (19129, '', '绣花村', '952f878635a74a54ab4a75af15315896', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103205', 5, '绣花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103205', 1, '2021-07-19 11:51:22', NULL, NULL), (19130, '', '建通村', 'fe20996fcd3d4547816481f8cbe8a1cc', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103206', 5, '建通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103206', 1, '2021-07-19 11:51:22', NULL, NULL), (19131, '', '洞庭村', 'f09be28cf44c41a7a3d4d893c2811b97', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103207', 5, '洞庭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103207', 1, '2021-07-19 11:51:22', NULL, NULL), (19132, '', '游乐村', '6523c16ba4104795920f7ff1717c324d', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103208', 5, '游乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103208', 1, '2021-07-19 11:51:22', NULL, NULL), (19133, '', '和平村', 'be71ead3f31f43389c3f99c59c09a5a1', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103209', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103209', 1, '2021-07-19 11:51:22', NULL, NULL), (19134, '', '永林村', '2d23f86adf0a4aeb85764f25050fb48d', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103210', 5, '永林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103210', 1, '2021-07-19 11:51:22', NULL, NULL), (19135, '', '新华村', 'a8547f1f0c814137916ce940069a605f', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103211', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103211', 1, '2021-07-19 11:51:22', NULL, NULL), (19136, '', '温祖村', 'ba1bc8ba80ec4432be36cffc246f936a', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103212', 5, '温祖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103212', 1, '2021-07-19 11:51:22', NULL, NULL), (19137, '', '平滩村', '7cbb0797503749b4a0e3f87c5c9f3834', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103213', 5, '平滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103213', 1, '2021-07-19 11:51:22', NULL, NULL), (19138, '', '牵牛村', '422a5dd69176434db2fb905b6406bf4b', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103214', 5, '牵牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103214', 1, '2021-07-19 11:51:22', NULL, NULL), (19139, '', '么店村', '744a01d1c93c43848372f602da3f5514', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103215', 5, '么店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103215', 1, '2021-07-19 11:51:22', NULL, NULL), (19140, '', '花园村', 'ebb05e4950404644bc11d3b5e6a0f65c', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103216', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103216', 1, '2021-07-19 11:51:22', NULL, NULL), (19141, '', '圣水村', '9040e60add8d4b239192d1083aab1196', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103217', 5, '圣水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103217', 1, '2021-07-19 11:51:22', NULL, NULL), (19142, '', '桂山村', '3d096f1b99d24181af34b8ec7e744bea', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103218', 5, '桂山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103218', 1, '2021-07-19 11:51:22', NULL, NULL), (19143, '', '花寨村', '6d3043400aa44b1081a2ed68e7589608', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103219', 5, '花寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103219', 1, '2021-07-19 11:51:22', NULL, NULL), (19144, '', '柏树村', 'a877ba785c914706bece53df6070ffdc', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103220', 5, '柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103220', 1, '2021-07-19 11:51:22', NULL, NULL), (19145, '', '竹林村', '383a5ad01c6f4d3783ae5f5438c66a3a', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103221', 5, '竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103221', 1, '2021-07-19 11:51:22', NULL, NULL), (19146, '', '香炉村', '6db70d52fd0d4547a38b2ebef38a8b23', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103222', 5, '香炉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103222', 1, '2021-07-19 11:51:22', NULL, NULL), (19147, '', '延寿村', '7c074fa36693434180b8f50a2dddd55d', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103223', 5, '延寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103223', 1, '2021-07-19 11:51:22', NULL, NULL), (19148, '', '三溪村', '6023e9fe42e042cd9c9955e054f844f1', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103224', 5, '三溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103224', 1, '2021-07-19 11:51:22', NULL, NULL), (19149, '', '沿码村', '643ec52b422440889ef7b9a203a74ab0', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103225', 5, '沿码村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103225', 1, '2021-07-19 11:51:23', NULL, NULL), (19150, '', '打鼓村', 'd2c7b8d8274a42fa914861f919c3222e', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103226', 5, '打鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103226', 1, '2021-07-19 11:51:23', NULL, NULL), (19151, '', '五包村', 'fe4b137666a4405d805b9b91fd9eb2ef', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103227', 5, '五包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103227', 1, '2021-07-19 11:51:23', NULL, NULL), (19152, '', '高滩村', 'cc4282819e454a8c99accb4c10aa01c6', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103228', 5, '高滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103228', 1, '2021-07-19 11:51:23', NULL, NULL), (19153, '', '天马村', '9c1dca17f6494f7eb362cc2ca310ade1', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'True', 'false', 'false', '511322103229', 5, '天马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103229', 1, '2021-07-19 11:51:23', NULL, NULL), (19154, '', '千佛村', '546b6e87c5f846169cd29e729000b4cb', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'False', 'false', 'false', '511322103238', 5, '千佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103238', 1, '2021-07-19 11:51:23', NULL, NULL), (19155, '', '繁荣村', 'e2ac6eff3ccd4a83a0d34b854789333f', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'False', 'false', 'false', '511322103249', 5, '繁荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103249', 1, '2021-07-19 11:51:23', NULL, NULL), (19156, '', '钟嘴村', '0728bd05b5044386aea319d14ac4938d', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'False', 'false', 'false', '511322103484', 5, '钟嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103484', 1, '2021-07-19 11:51:23', NULL, NULL), (19157, '', '仁和村', '95792093fb59400b83ee83ebb5ce746f', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'False', 'false', 'false', '511322103513', 5, '仁和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103513', 1, '2021-07-19 11:51:23', NULL, NULL), (19158, '', '永山村', 'e935f7dec77a4f85a52476e814bb0fbc', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'False', 'false', 'false', '511322103542', 5, '永山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103542', 1, '2021-07-19 11:51:23', NULL, NULL), (19159, '', '顾家村', '541d513f735e4a648e9dade8608a077a', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'False', 'false', 'false', '511322103600', 5, '顾家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103600', 1, '2021-07-19 11:51:23', NULL, NULL), (19160, '', '望君村', '4cc200f109ab49a6838121bda90145cb', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'False', 'false', 'false', '511322103617', 5, '望君村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103617', 1, '2021-07-19 11:51:23', NULL, NULL), (19161, '', '凤君村', '8912372ce820474dab36271532688655', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'False', 'false', 'false', '511322103714', 5, '凤君村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103714', 1, '2021-07-19 11:51:23', NULL, NULL), (19162, '', '青杠村', 'c867523a66e1440588cb76488ca4e039', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'False', 'false', 'false', '511322103920', 5, '青杠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103920', 1, '2021-07-19 11:51:23', NULL, NULL), (19163, '', '龙王村', 'fd077c1484f546d6b3f69bad3fe47dd0', 'd47ff7e751aa4f068039e88dd73b8787', 'False', 'False', 'false', 'false', '511322103953', 5, '龙王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322103953', 1, '2021-07-19 11:51:23', NULL, NULL), (19164, '', '黄渡镇', '39cdbd8ca3354b008c5aac4fa48d9d97', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322104000', 4, '黄渡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322104000', 1, '2021-07-19 11:51:24', NULL, NULL), (19165, '', '十龙村', '0b62ff12cdf24873a6143448e9d46457', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'False', 'false', 'false', '511322104044', 5, '十龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104044', 1, '2021-07-19 11:51:24', NULL, NULL), (19166, '', '宗祠村', 'a0af3f57581a4ff88195d68c47432b39', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'False', 'false', 'false', '511322104057', 5, '宗祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104057', 1, '2021-07-19 11:51:24', NULL, NULL), (19167, '', '牛心村', 'c5c1801d2bc549678b928ba087609631', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'False', 'false', 'false', '511322104118', 5, '牛心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104118', 1, '2021-07-19 11:51:24', NULL, NULL), (19168, '', '杨庙村', 'a790fa8be6614aa4a809babb5959d828', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'False', 'false', 'false', '511322104151', 5, '杨庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104151', 1, '2021-07-19 11:51:24', NULL, NULL), (19169, '', '渡河村', '308880e09969416595e1af4aefcc9443', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'True', 'false', 'false', '511322104201', 5, '渡河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104201', 1, '2021-07-19 11:51:24', NULL, NULL), (19170, '', '晨钟村', '8298f09b391940679b88c690bd0408a0', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'True', 'false', 'false', '511322104202', 5, '晨钟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104202', 1, '2021-07-19 11:51:24', NULL, NULL), (19171, '', '景阳村', 'c5ed67a310b749ee8d0b80bb8bc1c293', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'True', 'false', 'false', '511322104203', 5, '景阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104203', 1, '2021-07-19 11:51:24', NULL, NULL), (19172, '', '金台村', 'ae589fb595784e96a371c4e59a12ad62', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'True', 'false', 'false', '511322104204', 5, '金台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104204', 1, '2021-07-19 11:51:24', NULL, NULL), (19173, '', '坪上村', '0503def4a537434f9b51ea61bb11db75', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'True', 'false', 'false', '511322104205', 5, '坪上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104205', 1, '2021-07-19 11:51:24', NULL, NULL), (19174, '', '兰武村', 'a75c28d999064b8eadf3c734cb9334be', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'True', 'false', 'false', '511322104206', 5, '兰武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104206', 1, '2021-07-19 11:51:24', NULL, NULL), (19175, '', '中合村', '527456ff221d4817a2c366ba6fda0fe8', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'True', 'false', 'false', '511322104207', 5, '中合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104207', 1, '2021-07-19 11:51:24', NULL, NULL), (19176, '', '将军村', '190d0f436e6545e696ccceb964976e81', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'True', 'false', 'false', '511322104208', 5, '将军村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104208', 1, '2021-07-19 11:51:24', NULL, NULL), (19177, '', '燕垭村', '956b2b97828549f7b6dc5cdc51687274', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'True', 'false', 'false', '511322104209', 5, '燕垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104209', 1, '2021-07-19 11:51:24', NULL, NULL), (19178, '', '小河村', '51cdc219f7534470b54af2e093c321d7', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'True', 'false', 'false', '511322104210', 5, '小河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104210', 1, '2021-07-19 11:51:24', NULL, NULL), (19179, '', '樊沟村', '242377e43852493f9a3b38ce3725e581', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'False', 'false', 'false', '511322104287', 5, '樊沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104287', 1, '2021-07-19 11:51:24', NULL, NULL), (19180, '', '舞凤村', '03ef8e3a66884698a7090424d67a85c6', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'False', 'false', 'false', '511322104289', 5, '舞凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104289', 1, '2021-07-19 11:51:25', NULL, NULL), (19181, '', '深沟村', '2f2360b90fa8417d92fcb4bcbc73e62b', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'False', 'false', 'false', '511322104296', 5, '深沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104296', 1, '2021-07-19 11:51:25', NULL, NULL), (19182, '', '交通村', '95d8f61585374f90aabb62aa71f24ed2', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'False', 'false', 'false', '511322104299', 5, '交通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104299', 1, '2021-07-19 11:51:25', NULL, NULL), (19183, '', '康寨村', 'fcf83f6a4ae94a70b52a6785da6bf771', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'False', 'false', 'false', '511322104464', 5, '康寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104464', 1, '2021-07-19 11:51:25', NULL, NULL), (19184, '', '石堰村', 'ef8ab8abb1f645f7b01c38d0967ee587', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'False', 'false', 'false', '511322104466', 5, '石堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104466', 1, '2021-07-19 11:51:25', NULL, NULL), (19185, '', '文武村', 'cd494457b76f44d48124ae967f9ca94b', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'False', 'false', 'false', '511322104532', 5, '文武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104532', 1, '2021-07-19 11:51:25', NULL, NULL), (19186, '', '泉水村', '7c04ae3344f14d919fe9fd44997c7a5f', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'False', 'false', 'false', '511322104580', 5, '泉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104580', 1, '2021-07-19 11:51:25', NULL, NULL), (19187, '', '龙湾村', 'f12f46f159c74767ab07ef58732a6990', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'False', 'false', 'false', '511322104598', 5, '龙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104598', 1, '2021-07-19 11:51:25', NULL, NULL), (19188, '', '盛坪村', '819da90399f14fb4ad958a85065ec0f0', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'False', 'false', 'false', '511322104684', 5, '盛坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104684', 1, '2021-07-19 11:51:25', NULL, NULL), (19189, '', '马滩村', '7cc7417963cc4857bf610ba4df71bd01', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'False', 'false', 'false', '511322104834', 5, '马滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104834', 1, '2021-07-19 11:51:25', NULL, NULL), (19190, '', '金山村', '108eeda24a5347de867c7e7ec7fb8151', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'False', 'false', 'false', '511322104847', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104847', 1, '2021-07-19 11:51:25', NULL, NULL), (19191, '', '涌泉村', '941aace49fa54cfd8e1bdb94a7b1fa71', '39cdbd8ca3354b008c5aac4fa48d9d97', 'False', 'False', 'false', 'false', '511322104972', 5, '涌泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322104972', 1, '2021-07-19 11:51:25', NULL, NULL), (19192, '', '小桥镇', '237bab6ddf8347d4b542754c30466be7', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322105000', 4, '小桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322105000', 1, '2021-07-19 11:51:25', NULL, NULL), (19193, '', '万寿宫社区', '55f3e61ded1e47cfbfd2a900293e992a', '237bab6ddf8347d4b542754c30466be7', 'False', 'True', 'false', 'false', '511322105002', 5, '万寿宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105002', 1, '2021-07-19 11:51:25', NULL, NULL), (19194, '', '向阳社区', 'bb3c2cdf99964b5c8d7540b73d3c980b', '237bab6ddf8347d4b542754c30466be7', 'False', 'True', 'false', 'false', '511322105003', 5, '向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105003', 1, '2021-07-19 11:51:25', NULL, NULL), (19195, '', '高墩村', '38f9f4312a084dbf842fb1f32d7f6af2', '237bab6ddf8347d4b542754c30466be7', 'False', 'False', 'false', 'false', '511322105124', 5, '高墩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105124', 1, '2021-07-19 11:51:25', NULL, NULL), (19196, '', '真井村', '5a186701e62a4979a2cc36a9c837087e', '237bab6ddf8347d4b542754c30466be7', 'False', 'False', 'false', 'false', '511322105152', 5, '真井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105152', 1, '2021-07-19 11:51:25', NULL, NULL), (19197, '', '窑口村', '0b7502e017524502a8c13c2c85efbdda', '237bab6ddf8347d4b542754c30466be7', 'False', 'False', 'false', 'false', '511322105189', 5, '窑口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105189', 1, '2021-07-19 11:51:26', NULL, NULL), (19198, '', '工农村', '1dd0744656e94bda95e7886eabd21b3f', '237bab6ddf8347d4b542754c30466be7', 'False', 'True', 'false', 'false', '511322105201', 5, '工农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105201', 1, '2021-07-19 11:51:26', NULL, NULL), (19199, '', '五里村', '1bb2f56761884ee08f204915a62a56cd', '237bab6ddf8347d4b542754c30466be7', 'False', 'True', 'false', 'false', '511322105202', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105202', 1, '2021-07-19 11:51:26', NULL, NULL), (19200, '', '石包村', '104ccc121dad43a38409f1a4b1c790bc', '237bab6ddf8347d4b542754c30466be7', 'False', 'True', 'false', 'false', '511322105203', 5, '石包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105203', 1, '2021-07-19 11:51:26', NULL, NULL), (19201, '', '凉水村', 'b9757c7022d842eb9530354cb494afca', '237bab6ddf8347d4b542754c30466be7', 'False', 'True', 'false', 'false', '511322105204', 5, '凉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105204', 1, '2021-07-19 11:51:26', NULL, NULL), (19202, '', '垛梁村', 'a098a193a3054af9944b4fd48566ae51', '237bab6ddf8347d4b542754c30466be7', 'False', 'True', 'false', 'false', '511322105205', 5, '垛梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105205', 1, '2021-07-19 11:51:26', NULL, NULL), (19203, '', '青石村', '24265bd18e254cf4a27954027317798b', '237bab6ddf8347d4b542754c30466be7', 'False', 'True', 'false', 'false', '511322105206', 5, '青石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105206', 1, '2021-07-19 11:51:26', NULL, NULL), (19204, '', '基石村', '2ee65b9363d346e38f2bb8fc78fd44a4', '237bab6ddf8347d4b542754c30466be7', 'False', 'True', 'false', 'false', '511322105207', 5, '基石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105207', 1, '2021-07-19 11:51:26', NULL, NULL), (19205, '', '白岩村', '5075dc059e494dd6b3409cd31a5b9e70', '237bab6ddf8347d4b542754c30466be7', 'False', 'True', 'false', 'false', '511322105208', 5, '白岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105208', 1, '2021-07-19 11:51:26', NULL, NULL), (19206, '', '四方村', '42239ed47cb94ea8acb02f6dae49e379', '237bab6ddf8347d4b542754c30466be7', 'False', 'True', 'false', 'false', '511322105209', 5, '四方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105209', 1, '2021-07-19 11:51:26', NULL, NULL), (19207, '', '拱背村', '61a25b4bc2ac430d925866189983ec23', '237bab6ddf8347d4b542754c30466be7', 'False', 'True', 'false', 'false', '511322105210', 5, '拱背村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105210', 1, '2021-07-19 11:51:26', NULL, NULL), (19208, '', '齐庙村', 'ad2c9f2b477a4dcd9d99bd577b5fe655', '237bab6ddf8347d4b542754c30466be7', 'False', 'True', 'false', 'false', '511322105211', 5, '齐庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105211', 1, '2021-07-19 11:51:26', NULL, NULL), (19209, '', '黄梁村', '9467b51e8e3548d09f3924a34d53c392', '237bab6ddf8347d4b542754c30466be7', 'False', 'True', 'false', 'false', '511322105212', 5, '黄梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105212', 1, '2021-07-19 11:51:26', NULL, NULL), (19210, '', '梯岩村', '84d0aae09fc14a778e43c44914c67563', '237bab6ddf8347d4b542754c30466be7', 'False', 'True', 'false', 'false', '511322105213', 5, '梯岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105213', 1, '2021-07-19 11:51:26', NULL, NULL), (19211, '', '长石村', '2104646a306440dc82ec763425d94db0', '237bab6ddf8347d4b542754c30466be7', 'False', 'True', 'false', 'false', '511322105214', 5, '长石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105214', 1, '2021-07-19 11:51:26', NULL, NULL), (19212, '', '刺巴村', '09d8643d0a0145a0846332315ec32eea', '237bab6ddf8347d4b542754c30466be7', 'False', 'True', 'false', 'false', '511322105215', 5, '刺巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105215', 1, '2021-07-19 11:51:26', NULL, NULL), (19213, '', '开河村', '0b9072c6fadc43a7a4a0195078bc525e', '237bab6ddf8347d4b542754c30466be7', 'False', 'True', 'false', 'false', '511322105216', 5, '开河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105216', 1, '2021-07-19 11:51:27', NULL, NULL), (19214, '', '顶山村', 'c5b68462173e413c9b793b60e261943d', '237bab6ddf8347d4b542754c30466be7', 'False', 'False', 'false', 'false', '511322105217', 5, '顶山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105217', 1, '2021-07-19 11:51:27', NULL, NULL), (19215, '', '武安村', '51f71ed9edee437eafd1c90c09796857', '237bab6ddf8347d4b542754c30466be7', 'False', 'False', 'false', 'false', '511322105218', 5, '武安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105218', 1, '2021-07-19 11:51:27', NULL, NULL), (19216, '', '铁顶村', 'c71c964345d3411ab2143254ba08678d', '237bab6ddf8347d4b542754c30466be7', 'False', 'False', 'false', 'false', '511322105219', 5, '铁顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105219', 1, '2021-07-19 11:51:27', NULL, NULL), (19217, '', '海印村', '79b58c281ce34c2bbf272126a08c8fa5', '237bab6ddf8347d4b542754c30466be7', 'False', 'False', 'false', 'false', '511322105220', 5, '海印村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105220', 1, '2021-07-19 11:51:27', NULL, NULL), (19218, '', '石湾村', 'c8e4e2c21f9846cab29e095aa6870588', '237bab6ddf8347d4b542754c30466be7', 'False', 'False', 'false', 'false', '511322105221', 5, '石湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105221', 1, '2021-07-19 11:51:27', NULL, NULL), (19219, '', '子槽村', '3fc57ecbb09b443790fe4cecc12a980f', '237bab6ddf8347d4b542754c30466be7', 'False', 'False', 'false', 'false', '511322105222', 5, '子槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105222', 1, '2021-07-19 11:51:27', NULL, NULL), (19220, '', '老街村', '16c1200e0c0e415da0ef9870c9b4a32a', '237bab6ddf8347d4b542754c30466be7', 'False', 'False', 'false', 'false', '511322105223', 5, '老街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105223', 1, '2021-07-19 11:51:27', NULL, NULL), (19221, '', '菜河村', '23ffa4713db34f5d941c1ac1548361ac', '237bab6ddf8347d4b542754c30466be7', 'False', 'False', 'false', 'false', '511322105231', 5, '菜河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105231', 1, '2021-07-19 11:51:27', NULL, NULL), (19222, '', '慷河村', '957d92628f8a4c7a8ee02362d4a4f7c0', '237bab6ddf8347d4b542754c30466be7', 'False', 'False', 'false', 'false', '511322105554', 5, '慷河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105554', 1, '2021-07-19 11:51:27', NULL, NULL), (19223, '', '龙岩村', '5eb19f7e78154dfba3bdc7e9f5fbe754', '237bab6ddf8347d4b542754c30466be7', 'False', 'False', 'false', 'false', '511322105889', 5, '龙岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105889', 1, '2021-07-19 11:51:27', NULL, NULL), (19224, '', '亮垭村', 'c3ca786cb22448619c968e1d1bb76cf6', '237bab6ddf8347d4b542754c30466be7', 'False', 'False', 'false', 'false', '511322105953', 5, '亮垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105953', 1, '2021-07-19 11:51:27', NULL, NULL), (19225, '', '茶湾村', '28f98a5daeca4693b843552bd583d713', '237bab6ddf8347d4b542754c30466be7', 'False', 'False', 'false', 'false', '511322105992', 5, '茶湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322105992', 1, '2021-07-19 11:51:27', NULL, NULL), (19226, '', '灵鹫镇', '9a42266076cd456b9d030bdd02395418', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322106000', 4, '灵鹫镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322106000', 1, '2021-07-19 11:51:27', NULL, NULL), (19227, '', '文昌社区', '85faeaddbd9344239d896aa5c94964ca', '9a42266076cd456b9d030bdd02395418', 'False', 'True', 'false', 'false', '511322106001', 5, '文昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106001', 1, '2021-07-19 11:51:27', NULL, NULL), (19228, '', '小垭村', '706bfb70ef7e41dc92a822a9308f39d4', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106067', 5, '小垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106067', 1, '2021-07-19 11:51:27', NULL, NULL), (19229, '', '带河村', '209d9aec86a14657bc349f8565c0b5ac', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106185', 5, '带河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106185', 1, '2021-07-19 11:51:28', NULL, NULL), (19230, '', '雷石村', '36d9edb279dd46c0a384eedee06e8c2c', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106201', 5, '雷石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106201', 1, '2021-07-19 11:51:28', NULL, NULL), (19231, '', '桥儿村', '0c88cbbf86434efb8649e0f964f5808f', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106202', 5, '桥儿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106202', 1, '2021-07-19 11:51:28', NULL, NULL), (19232, '', '库路村', '3a01e601209c42828096163b227d529f', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106203', 5, '库路村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106203', 1, '2021-07-19 11:51:28', NULL, NULL), (19233, '', '三叉村', '25ee848ef28c49b5bed5e77b7d323154', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106204', 5, '三叉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106204', 1, '2021-07-19 11:51:28', NULL, NULL), (19234, '', '青岩村', 'f3cac619aa9d4a69a923b0b83b34d33e', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106205', 5, '青岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106205', 1, '2021-07-19 11:51:28', NULL, NULL), (19235, '', '牌坊村', 'c501905d8fe24a0bbc673644a07c67ed', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106206', 5, '牌坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106206', 1, '2021-07-19 11:51:28', NULL, NULL), (19236, '', '青羊村', '1fdb8b4382ed4f869adf381db91a2f9f', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106207', 5, '青羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106207', 1, '2021-07-19 11:51:28', NULL, NULL), (19237, '', '染坊村', '9c0e2fac61e940fcadc4ab622aa3e227', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106208', 5, '染坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106208', 1, '2021-07-19 11:51:28', NULL, NULL), (19238, '', '鸡嘴村', 'e677358c49d342639d989dc4237b2d3a', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106209', 5, '鸡嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106209', 1, '2021-07-19 11:51:28', NULL, NULL), (19239, '', '界兴村', '0508054a2e014fb18595c26d40b80da8', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106210', 5, '界兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106210', 1, '2021-07-19 11:51:28', NULL, NULL), (19240, '', '群英村', 'ba86bbdcb199406e982d1b34dc181d5e', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106211', 5, '群英村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106211', 1, '2021-07-19 11:51:28', NULL, NULL), (19241, '', '漆树村', '4bfe8ad755a5471687dd082e1aced8c6', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106212', 5, '漆树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106212', 1, '2021-07-19 11:51:28', NULL, NULL), (19242, '', '大石村', '39ba86767df14a6586574ab07e655723', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106213', 5, '大石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106213', 1, '2021-07-19 11:51:28', NULL, NULL), (19243, '', '大灵村', 'c30cc73e946f480bb5b22b3250be4ca2', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106214', 5, '大灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106214', 1, '2021-07-19 11:51:28', NULL, NULL), (19244, '', '平桥村', '2d457a37abdf4f7a8231375ec0f56b7d', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106215', 5, '平桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106215', 1, '2021-07-19 11:51:29', NULL, NULL), (19245, '', '会龙社区', '8b22230adfd847f6b47e45bae8823c5c', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106216', 5, '会龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106216', 1, '2021-07-19 11:51:29', NULL, NULL), (19246, '', '黄厚村', 'ff880069ad96425bb009d6ac787c5f63', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106217', 5, '黄厚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106217', 1, '2021-07-19 11:51:29', NULL, NULL), (19247, '', '陡坑村', '280dac4791d147159ae4637cf6e5398b', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106218', 5, '陡坑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106218', 1, '2021-07-19 11:51:29', NULL, NULL), (19248, '', '墩子村', 'b3c9d234cc4d48d28b804f21ce53edc2', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106219', 5, '墩子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106219', 1, '2021-07-19 11:51:29', NULL, NULL), (19249, '', '金鸡村', '787849dcae1345ffbe9c3456c5709d36', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106220', 5, '金鸡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106220', 1, '2021-07-19 11:51:29', NULL, NULL), (19250, '', '印盒村', 'c16fecd2148b4d76a3abbafc01bf717e', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106302', 5, '印盒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106302', 1, '2021-07-19 11:51:29', NULL, NULL), (19251, '', '带河乡街道社区', '89e9b825a7f84e13b206ea5d71551f00', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106446', 5, '带河乡街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106446', 1, '2021-07-19 11:51:29', NULL, NULL), (19252, '', '小山村', '43b619b17716479691814960d45b144e', '9a42266076cd456b9d030bdd02395418', 'False', 'False', 'false', 'false', '511322106572', 5, '小山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322106572', 1, '2021-07-19 11:51:29', NULL, NULL), (19253, '', '老林镇', 'b4f55dc74c1347678c1cfa0e5754f252', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322107000', 4, '老林镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322107000', 1, '2021-07-19 11:51:29', NULL, NULL), (19254, '', '老林镇街道社区', '7b3da78ed3b54a268a6d1aa0000c537f', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'True', 'false', 'false', '511322107001', 5, '老林镇街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107001', 1, '2021-07-19 11:51:29', NULL, NULL), (19255, '', '麻柳村', 'e20a5496331d4b98a7807e85749307e9', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107072', 5, '麻柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107072', 1, '2021-07-19 11:51:29', NULL, NULL), (19256, '', '水口村', 'afbc61a3809045769a2750c0923843b6', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107162', 5, '水口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107162', 1, '2021-07-19 11:51:29', NULL, NULL), (19257, '', '野鹤村', 'ad139dabe52741efafd7e769ca8df036', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107201', 5, '野鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107201', 1, '2021-07-19 11:51:30', NULL, NULL), (19258, '', '吹角村', 'ed636a00234643c1a9a37083d8c68b02', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107202', 5, '吹角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107202', 1, '2021-07-19 11:51:30', NULL, NULL), (19259, '', '龙桥村', '5dc21cb2a94b4acf972601936f88baa9', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107203', 5, '龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107203', 1, '2021-07-19 11:51:30', NULL, NULL), (19260, '', '庙岭村', 'e65aec8f7fe64696aaa083fa03627fea', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107204', 5, '庙岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107204', 1, '2021-07-19 11:51:30', NULL, NULL), (19261, '', '七照村', 'ec5f320f7aa0469886e5a3c041788bc6', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107205', 5, '七照村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107205', 1, '2021-07-19 11:51:30', NULL, NULL), (19262, '', '牛牧村', '8a39564be41041d382a46048b6b95a71', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107206', 5, '牛牧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107206', 1, '2021-07-19 11:51:30', NULL, NULL), (19263, '', '龙井村', '8f83e5c24fe644219162ef228ef4bd23', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107207', 5, '龙井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107207', 1, '2021-07-19 11:51:30', NULL, NULL), (19264, '', '龙胜村', '7080de3019804a5d8c06cd2993f3b6c5', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107208', 5, '龙胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107208', 1, '2021-07-19 11:51:30', NULL, NULL), (19265, '', '磨滩村', '02040f50f6994b21b807575ac45e2f7c', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107209', 5, '磨滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107209', 1, '2021-07-19 11:51:30', NULL, NULL), (19266, '', '灵台村', '97e3d8d01a8b41f893a2c3d99e4300e9', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107210', 5, '灵台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107210', 1, '2021-07-19 11:51:30', NULL, NULL), (19267, '', '井沟村', '5e6d9f713b5a45e0a91118cd63e2962e', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107211', 5, '井沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107211', 1, '2021-07-19 11:51:30', NULL, NULL), (19268, '', '漆园村', '316e61ae6ae249f08cb7ef747f60a252', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107212', 5, '漆园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107212', 1, '2021-07-19 11:51:30', NULL, NULL), (19269, '', '莲池村', 'b20e65262da440cca1718f3a27ac8c65', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107213', 5, '莲池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107213', 1, '2021-07-19 11:51:30', NULL, NULL), (19270, '', '黑马沟村', '65440e17bc4648dcb80ae31dc5e45dad', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107275', 5, '黑马沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107275', 1, '2021-07-19 11:51:30', NULL, NULL), (19271, '', '雁家村', 'aad9976ac3704e1dad56bde070c6b00c', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107495', 5, '雁家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107495', 1, '2021-07-19 11:51:30', NULL, NULL), (19272, '', '龙兴村', '228c8f1537af497185aa3cfaf3bc6a51', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107618', 5, '龙兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107618', 1, '2021-07-19 11:51:31', NULL, NULL), (19273, '', '猫顶村', '60b81b7561b9408d8f8df52cb936a095', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107620', 5, '猫顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107620', 1, '2021-07-19 11:51:31', NULL, NULL), (19274, '', '文昌村', '8022ca3460b94765ae367819a3705e34', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107873', 5, '文昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107873', 1, '2021-07-19 11:51:31', NULL, NULL), (19275, '', '龙观村', '378cbedf4dc44ec68314ce56af6373a1', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107890', 5, '龙观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107890', 1, '2021-07-19 11:51:31', NULL, NULL), (19276, '', '双林村', '504e9b5adefc436ab0e122ef8682e2e5', 'b4f55dc74c1347678c1cfa0e5754f252', 'False', 'False', 'false', 'false', '511322107939', 5, '双林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322107939', 1, '2021-07-19 11:51:31', NULL, NULL), (19277, '', '木桠镇', 'e86d65446ed24777bbc163df00d9ebb0', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322108000', 4, '木桠镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322108000', 1, '2021-07-19 11:51:31', NULL, NULL), (19278, '', '兴盛社区', 'd6682d003cd1453d9907fbc6f7cbb89b', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'True', 'false', 'false', '511322108001', 5, '兴盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108001', 1, '2021-07-19 11:51:31', NULL, NULL), (19279, '', '新寨村', '28566e0adf1548bf90cff4ee136bb9ef', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108050', 5, '新寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108050', 1, '2021-07-19 11:51:31', NULL, NULL), (19280, '', '库湾村', '931b91bf666240b9ba0cf840406544be', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108070', 5, '库湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108070', 1, '2021-07-19 11:51:31', NULL, NULL), (19281, '', '平定村', '1861abc9273e4f868e880755e4fd39c5', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108075', 5, '平定村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108075', 1, '2021-07-19 11:51:31', NULL, NULL), (19282, '', '复兴村', '8e9de122b2e4436b9f7e9201436c0ed8', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108201', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108201', 1, '2021-07-19 11:51:31', NULL, NULL), (19283, '', '铜鼓村', '8a10e01023d34f4faeb4305bce9c26a4', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108202', 5, '铜鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108202', 1, '2021-07-19 11:51:31', NULL, NULL), (19284, '', '黑山村', 'b6a66d2f416c4be5b52de4f5bcf5fc24', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108203', 5, '黑山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108203', 1, '2021-07-19 11:51:31', NULL, NULL), (19285, '', '来顶村', '5754559e846a423db5e5f24cf1214988', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108204', 5, '来顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108204', 1, '2021-07-19 11:51:31', NULL, NULL), (19286, '', '梨树村', '225df49a645b4197bb5b00371bf66fd4', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108205', 5, '梨树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108205', 1, '2021-07-19 11:51:31', NULL, NULL), (19287, '', '全力村', '89a99ebad96447df9caf61c304575158', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108206', 5, '全力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108206', 1, '2021-07-19 11:51:32', NULL, NULL), (19288, '', '双树村', '64e0d1d3c5b54037a69c338c9e613f55', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108207', 5, '双树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108207', 1, '2021-07-19 11:51:32', NULL, NULL), (19289, '', '洞口村', '63dd237b581644e6a695419aa4013314', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108208', 5, '洞口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108208', 1, '2021-07-19 11:51:32', NULL, NULL), (19290, '', '土祖村', '2047b5520e5c4a9691f12dcd01dbf2ae', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108209', 5, '土祖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108209', 1, '2021-07-19 11:51:32', NULL, NULL), (19291, '', '月枷村', 'ff88b36b3d0445e7b4c98d3c861b4792', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108210', 5, '月枷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108210', 1, '2021-07-19 11:51:32', NULL, NULL), (19292, '', '锡山村', '4181bfe88be94b8dbd5d980d4235ef69', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108211', 5, '锡山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108211', 1, '2021-07-19 11:51:32', NULL, NULL), (19293, '', '柏垭村', '49455ecfa8a34f9ab9b574e5ad087b29', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108228', 5, '柏垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108228', 1, '2021-07-19 11:51:32', NULL, NULL), (19294, '', '梅乐村', '644d7b3d05f3498484ba2b3cc9c71197', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108476', 5, '梅乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108476', 1, '2021-07-19 11:51:32', NULL, NULL), (19295, '', '建设村', 'db2c9f0b8c1a4b4691d63ad65541bd89', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108480', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108480', 1, '2021-07-19 11:51:32', NULL, NULL), (19296, '', '耳岩村', 'c9971519015d438096d9d7e0b032fd63', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108500', 5, '耳岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108500', 1, '2021-07-19 11:51:32', NULL, NULL), (19297, '', '金龙村', '1a5b72e00b93402ea937cc617e852b79', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108686', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108686', 1, '2021-07-19 11:51:32', NULL, NULL), (19298, '', '新村村', '754b5d04e164421dbb442d68abdec08b', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108931', 5, '新村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108931', 1, '2021-07-19 11:51:32', NULL, NULL), (19299, '', '龙奔村', '5ae5e20655364c3eb912a86e0effaa1e', 'e86d65446ed24777bbc163df00d9ebb0', 'False', 'False', 'false', 'false', '511322108941', 5, '龙奔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322108941', 1, '2021-07-19 11:51:32', NULL, NULL), (19300, '', '消水镇', 'c96b551d71bb4d24a2574add3da8122d', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322109000', 4, '消水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322109000', 1, '2021-07-19 11:51:32', NULL, NULL), (19301, '', '消水街道社区', '20653b0fcb63402da9a27f77aac0f10b', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'True', 'false', 'false', '511322109001', 5, '消水街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109001', 1, '2021-07-19 11:51:32', NULL, NULL), (19302, '', '伞坝村', 'e4f7f5fc6dbc476a978dff1135b7bf46', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109100', 5, '伞坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109100', 1, '2021-07-19 11:51:33', NULL, NULL), (19303, '', '窑沟村', '224f37cda33e45298be771d568ed75bc', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109161', 5, '窑沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109161', 1, '2021-07-19 11:51:33', NULL, NULL), (19304, '', '黑滩村', '74d92bc9dfc94086adde40bf93d5cc8d', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109202', 5, '黑滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109202', 1, '2021-07-19 11:51:33', NULL, NULL), (19305, '', '新渡村', '88e82c60bc754d29ae5e8fdde88a9f2a', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109203', 5, '新渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109203', 1, '2021-07-19 11:51:33', NULL, NULL), (19306, '', '白鹤村', 'fcf270395862417da1193beeadeae34f', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109204', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109204', 1, '2021-07-19 11:51:33', NULL, NULL), (19307, '', '樟树村', 'f4363ea57c7b405f837ce130a50ebc4c', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109205', 5, '樟树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109205', 1, '2021-07-19 11:51:33', NULL, NULL), (19308, '', '阳洪村', '2d64b1309ba144a9ad6bc0149b502483', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109206', 5, '阳洪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109206', 1, '2021-07-19 11:51:33', NULL, NULL), (19309, '', '老观村', 'f25efd5e08714c1cafa21df7ce85aef7', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109207', 5, '老观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109207', 1, '2021-07-19 11:51:33', NULL, NULL), (19310, '', '峰台村', 'e58f754f75cc4142b6a2ac59d92e2e6d', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109208', 5, '峰台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109208', 1, '2021-07-19 11:51:33', NULL, NULL), (19311, '', '枇杷村', '2bf417a304a7463f9f29a4d5a5884719', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109209', 5, '枇杷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109209', 1, '2021-07-19 11:51:33', NULL, NULL), (19312, '', '双石村', '474f24d054ed4c8bbb28472792afac3a', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109210', 5, '双石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109210', 1, '2021-07-19 11:51:33', NULL, NULL), (19313, '', '巴岩村', 'cc2c5df685a84babbf682373eb103c54', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109211', 5, '巴岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109211', 1, '2021-07-19 11:51:33', NULL, NULL), (19314, '', '蓬山村', '666a990cf7464a41bd4253ef634e57c9', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109212', 5, '蓬山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109212', 1, '2021-07-19 11:51:33', NULL, NULL), (19315, '', '凉风村', '7193bf736ad543ef9fd7470d1be21a64', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109213', 5, '凉风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109213', 1, '2021-07-19 11:51:33', NULL, NULL), (19316, '', '思凤村', 'ba0d7690eb6a4c0b9bc4dc353b343d4d', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109214', 5, '思凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109214', 1, '2021-07-19 11:51:33', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (19317, '', '碑桠村', '94b04369300e48d89a3d9aea5ad08c29', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109215', 5, '碑桠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109215', 1, '2021-07-19 11:51:33', NULL, NULL), (19318, '', '龙佛村', 'eb1c2a86439745da9c6770f64e10aef6', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109216', 5, '龙佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109216', 1, '2021-07-19 11:51:33', NULL, NULL), (19319, '', '湾滩村', '019cf018e4634bdf8e778369230d1c8d', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'True', 'false', 'false', '511322109217', 5, '湾滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109217', 1, '2021-07-19 11:51:33', NULL, NULL), (19320, '', '五羊村', '7b22ebddd76a438bacfe0a356fc6de2b', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'True', 'false', 'false', '511322109218', 5, '五羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109218', 1, '2021-07-19 11:51:34', NULL, NULL), (19321, '', '金华村', '1e83d2dcd3c242419425eb40fd627758', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109323', 5, '金华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109323', 1, '2021-07-19 11:51:34', NULL, NULL), (19322, '', '固周村', 'bdb53f9453c4423ea3ba568eb99ceef0', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109336', 5, '固周村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109336', 1, '2021-07-19 11:51:34', NULL, NULL), (19323, '', '黑马村', '5d8d615ee31345d49c97c792d7386b4f', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109443', 5, '黑马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109443', 1, '2021-07-19 11:51:34', NULL, NULL), (19324, '', '酢坊村', '2803f6fdc20240f58aff53d2e847bde6', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109475', 5, '酢坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109475', 1, '2021-07-19 11:51:34', NULL, NULL), (19325, '', '头洞村', '770a00febc5a40799fe42c28e61275ba', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109525', 5, '头洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109525', 1, '2021-07-19 11:51:34', NULL, NULL), (19326, '', '普岭村', 'a143b66231a843be9814c747aae07a59', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109765', 5, '普岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109765', 1, '2021-07-19 11:51:34', NULL, NULL), (19327, '', '柳坝村', '985e166595e24b5bb4fa647aac6a9be8', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109833', 5, '柳坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109833', 1, '2021-07-19 11:51:34', NULL, NULL), (19328, '', '白龙村', 'd90fe3738f8347f3931e398e42662502', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109857', 5, '白龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109857', 1, '2021-07-19 11:51:34', NULL, NULL), (19329, '', '花桥村', 'ad2df3b65425458388b8252a8d94fc2c', 'c96b551d71bb4d24a2574add3da8122d', 'False', 'False', 'false', 'false', '511322109910', 5, '花桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322109910', 1, '2021-07-19 11:51:34', NULL, NULL), (19330, '', '双流镇', '56e098754cf146bd88e74c34d2866901', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322110000', 4, '双流镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322110000', 1, '2021-07-19 11:51:34', NULL, NULL), (19331, '', '双流街道社区', 'c155822f218e4d5390a305b79a307de7', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110001', 5, '双流街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110001', 1, '2021-07-19 11:51:34', NULL, NULL), (19332, '', '扬名村', 'bb5f11bc02c140a38a35a77e0e0827cd', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110186', 5, '扬名村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110186', 1, '2021-07-19 11:51:34', NULL, NULL), (19333, '', '梅坡村', '81be98d2f4bf47519d59ad2e5e235323', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110201', 5, '梅坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110201', 1, '2021-07-19 11:51:34', NULL, NULL), (19334, '', '瓦店村', '28a083d06a1f4639b2b2a5954519956a', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110202', 5, '瓦店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110202', 1, '2021-07-19 11:51:34', NULL, NULL), (19335, '', '双店村', 'f6b8e1e36ca34320a2ebf24898062174', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110203', 5, '双店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110203', 1, '2021-07-19 11:51:34', NULL, NULL), (19336, '', '柿花村', 'f1574c20587c49e9b041ff8c23166b94', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110204', 5, '柿花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110204', 1, '2021-07-19 11:51:34', NULL, NULL), (19337, '', '槐树村', '4337c72ffd374de89028dcaf9807cb02', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110205', 5, '槐树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110205', 1, '2021-07-19 11:51:35', NULL, NULL), (19338, '', '龙凤村', 'e94a0396eb764dd093925494a40f983c', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110206', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110206', 1, '2021-07-19 11:51:35', NULL, NULL), (19339, '', '大洞村', 'dfc6623ebd3d4104b23dddb08d324111', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110207', 5, '大洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110207', 1, '2021-07-19 11:51:35', NULL, NULL), (19340, '', '九龙村', 'cd857451f7a94a53ab6e1b26e8f0129c', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110208', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110208', 1, '2021-07-19 11:51:35', NULL, NULL), (19341, '', '店子村', 'b8ff4ae1c53a49d69b509ae025ccfc43', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110209', 5, '店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110209', 1, '2021-07-19 11:51:35', NULL, NULL), (19342, '', '福祠村', '9c084b6672b84d4d81200b37ad0367ca', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110210', 5, '福祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110210', 1, '2021-07-19 11:51:35', NULL, NULL), (19343, '', '松树村', '131efef951e748f9858e2ee2a437cfbf', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110211', 5, '松树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110211', 1, '2021-07-19 11:51:35', NULL, NULL), (19344, '', '回龙村', 'a23c92cfbdff46e1b700afc00775049f', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110212', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110212', 1, '2021-07-19 11:51:35', NULL, NULL), (19345, '', '猴包村', '77b39498b16d44729482b0288c8a519b', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110213', 5, '猴包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110213', 1, '2021-07-19 11:51:35', NULL, NULL), (19346, '', '水井村', '6154828fda2649b8b43c05343b4ff395', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110214', 5, '水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110214', 1, '2021-07-19 11:51:35', NULL, NULL), (19347, '', '高桥村', '915a3d8d6c0746d2b45e173a141ae5c7', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110215', 5, '高桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110215', 1, '2021-07-19 11:51:35', NULL, NULL), (19348, '', '石花村', '01493b418f0c4b4485f0ab8db2e2db84', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110216', 5, '石花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110216', 1, '2021-07-19 11:51:35', NULL, NULL), (19349, '', '马洞村', 'c069993e68ab4f47b3bf5f5bccf21746', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110217', 5, '马洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110217', 1, '2021-07-19 11:51:35', NULL, NULL), (19350, '', '长岭村', 'e9f2c1fb0eba44cd9e3d6a253f9a97bc', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110218', 5, '长岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110218', 1, '2021-07-19 11:51:35', NULL, NULL), (19351, '', '高石村', '838464fac6d44622a2c8fa8416d37b18', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110219', 5, '高石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110219', 1, '2021-07-19 11:51:35', NULL, NULL), (19352, '', '白桥村', 'e31837d397fe4a609448fc8f26c4a39c', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110220', 5, '白桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110220', 1, '2021-07-19 11:51:35', NULL, NULL), (19353, '', '中心村', '99dad8ca21f045e28ba7c9597dbc0f85', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110221', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110221', 1, '2021-07-19 11:51:35', NULL, NULL), (19354, '', '狮桥村', '06e2945911794c34a9bf911d9bbc8bcb', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110222', 5, '狮桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110222', 1, '2021-07-19 11:51:36', NULL, NULL), (19355, '', '沿山村', '89d8426e6c164bb6b12a69ac157fbaeb', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110223', 5, '沿山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110223', 1, '2021-07-19 11:51:36', NULL, NULL), (19356, '', '五坪村', '1ac6d3914384481da2d48cf821f3af84', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110224', 5, '五坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110224', 1, '2021-07-19 11:51:36', NULL, NULL), (19357, '', '马铃村', '16a2e46efb0942088a8380e08ec7fa44', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110225', 5, '马铃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110225', 1, '2021-07-19 11:51:36', NULL, NULL), (19358, '', '梯子村', 'e748360ba2cb4ec08d14a8844c8f5ff6', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110226', 5, '梯子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110226', 1, '2021-07-19 11:51:36', NULL, NULL), (19359, '', '方寨村', '703f565605e54d1d9570e83cc4b2b323', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110227', 5, '方寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110227', 1, '2021-07-19 11:51:36', NULL, NULL), (19360, '', '合面村', 'ca0cea9eb3964feea9a4c4c977cb19d0', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110297', 5, '合面村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110297', 1, '2021-07-19 11:51:36', NULL, NULL), (19361, '', '槐花村', 'f0c4e4d86ab244aeaccde07448f66ce5', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110335', 5, '槐花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110335', 1, '2021-07-19 11:51:36', NULL, NULL), (19362, '', '林荫村', '75bc8583e015489fa2b342d0e12689a2', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110372', 5, '林荫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110372', 1, '2021-07-19 11:51:36', NULL, NULL), (19363, '', '马槽村', '3a3e82e34c774b29b3eb269b7b72e5b1', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110401', 5, '马槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110401', 1, '2021-07-19 11:51:36', NULL, NULL), (19364, '', '天宫村', '0ba668e098b34c4db01a5356ef3810d9', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110451', 5, '天宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110451', 1, '2021-07-19 11:51:36', NULL, NULL), (19365, '', '虎坪村', 'bad3b6faca374b189e58b05c7e1467b1', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110682', 5, '虎坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110682', 1, '2021-07-19 11:51:36', NULL, NULL), (19366, '', '双堰村', '37426453db5c491c9e88b11254e4994b', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110693', 5, '双堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110693', 1, '2021-07-19 11:51:37', NULL, NULL), (19367, '', '火岭村', 'c086f8c664964952beee54e457f02172', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110854', 5, '火岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110854', 1, '2021-07-19 11:51:37', NULL, NULL), (19368, '', '孔雀村', '8def1b401afd4701a05479753a49d3dd', '56e098754cf146bd88e74c34d2866901', 'False', 'False', 'false', 'false', '511322110992', 5, '孔雀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322110992', 1, '2021-07-19 11:51:37', NULL, NULL), (19369, '', '绿水镇', '4e828d714d944598bf76834d1e39385a', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322111000', 4, '绿水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322111000', 1, '2021-07-19 11:51:37', NULL, NULL), (19370, '', '绿水街道社区', 'c25da151ddc74e89aaaafb1596e6157c', '4e828d714d944598bf76834d1e39385a', 'False', 'True', 'false', 'false', '511322111001', 5, '绿水街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111001', 1, '2021-07-19 11:51:37', NULL, NULL), (19371, '', '浮山村', '3e12b180b4c54e71a6b2f1a0ae8755c4', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111074', 5, '浮山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111074', 1, '2021-07-19 11:51:37', NULL, NULL), (19372, '', '川洞村', '207c12ea15f34a60a72bf394db5177b1', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111187', 5, '川洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111187', 1, '2021-07-19 11:51:37', NULL, NULL), (19373, '', '大屋村', '4e1f3b7858784afabcb841faf4609d7e', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111198', 5, '大屋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111198', 1, '2021-07-19 11:51:37', NULL, NULL), (19374, '', '沙桥村', '7ef3c919787b47e8a0d4f4eaa9a884d8', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111201', 5, '沙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111201', 1, '2021-07-19 11:51:37', NULL, NULL), (19375, '', '大桥村', '2b6d7b9dbdb0410c8ac1cc14f6f8fa82', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111202', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111202', 1, '2021-07-19 11:51:37', NULL, NULL), (19376, '', '合水村', '1f400bcf399340d8bc022d22e8e60b71', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111203', 5, '合水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111203', 1, '2021-07-19 11:51:37', NULL, NULL), (19377, '', '谷仓村', '630da77733284647bb53e2f98c478728', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111204', 5, '谷仓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111204', 1, '2021-07-19 11:51:37', NULL, NULL), (19378, '', '歌杨村', '12f4b64b5d9944b4a1a6d41fe12c6a93', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111205', 5, '歌杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111205', 1, '2021-07-19 11:51:37', NULL, NULL), (19379, '', '干坝村', '020970ea72404975b057a38ec87154c2', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111206', 5, '干坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111206', 1, '2021-07-19 11:51:37', NULL, NULL), (19380, '', '透龙村', '2ed6e9059a0f4d9e92fb2c7cddc1cf24', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111207', 5, '透龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111207', 1, '2021-07-19 11:51:37', NULL, NULL), (19381, '', '寨门村', '0a477ee4ec004016a83192f9046ba9c3', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111208', 5, '寨门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111208', 1, '2021-07-19 11:51:37', NULL, NULL), (19382, '', '文殊村', '648dc74848df4baca8347b4fb0f75f14', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111209', 5, '文殊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111209', 1, '2021-07-19 11:51:37', NULL, NULL), (19383, '', '大堰村', '577a9eb0c9b54530b4766f357d0dc1b4', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111210', 5, '大堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111210', 1, '2021-07-19 11:51:37', NULL, NULL), (19384, '', '石梁村', 'ed9aa58c449347cdaf6c3740df468e1c', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111211', 5, '石梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111211', 1, '2021-07-19 11:51:38', NULL, NULL), (19385, '', '龙泉村', '95c2cc01e0424296893daed5beb4fccd', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111212', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111212', 1, '2021-07-19 11:51:38', NULL, NULL), (19386, '', '猴坪村', 'd874821df87a4c47ac172bed6214ff38', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111213', 5, '猴坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111213', 1, '2021-07-19 11:51:38', NULL, NULL), (19387, '', '锁口村', '5e1efc71e82f4c7b8dd790ed414d595d', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111214', 5, '锁口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111214', 1, '2021-07-19 11:51:38', NULL, NULL), (19388, '', '水洞村', 'bb803b44a41f47ba8ace2c5589358567', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111215', 5, '水洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111215', 1, '2021-07-19 11:51:38', NULL, NULL), (19389, '', '鲁班村', 'd7b44945f68a4e01abcb1d302ace95e6', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111391', 5, '鲁班村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111391', 1, '2021-07-19 11:51:38', NULL, NULL), (19390, '', '马包村', '639a2de811954e56b5470aaaef7e4437', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111392', 5, '马包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111392', 1, '2021-07-19 11:51:38', NULL, NULL), (19391, '', '桩子村', '39bdb685ff48457fba7e9633026a571c', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111484', 5, '桩子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111484', 1, '2021-07-19 11:51:38', NULL, NULL), (19392, '', '群力村', '4d8c387c55ab4a99973b623f5f2e1b8b', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111545', 5, '群力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111545', 1, '2021-07-19 11:51:38', NULL, NULL), (19393, '', '金鹤村', '24db2872e81d410ea7e764d05c575f64', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111551', 5, '金鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111551', 1, '2021-07-19 11:51:38', NULL, NULL), (19394, '', '四里村', '61fe390d29374f45b130bca0ed9f0ee2', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111564', 5, '四里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111564', 1, '2021-07-19 11:51:38', NULL, NULL), (19395, '', '石桥村', '6507a3c24e66493f966392cd36797f46', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111709', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111709', 1, '2021-07-19 11:51:38', NULL, NULL), (19396, '', '宝顶村', '84a0c500d27d4f1d8215933112af3b78', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111717', 5, '宝顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111717', 1, '2021-07-19 11:51:38', NULL, NULL), (19397, '', '青山村', 'b02bb46a6c7f4e739244375e773f28cf', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111776', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111776', 1, '2021-07-19 11:51:38', NULL, NULL), (19398, '', '河湾村', '16d900dc1c64471d9a85d88e6260252f', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111878', 5, '河湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111878', 1, '2021-07-19 11:51:38', NULL, NULL), (19399, '', '烟顶村', 'a6d76713555a404bbb02386d43f00917', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111910', 5, '烟顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111910', 1, '2021-07-19 11:51:38', NULL, NULL), (19400, '', '皂角村', 'f250123847c54bd9bd21eefee5005556', '4e828d714d944598bf76834d1e39385a', 'False', 'False', 'false', 'false', '511322111967', 5, '皂角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322111967', 1, '2021-07-19 11:51:38', NULL, NULL), (19401, '', '新店镇', 'df778668dd3149aebc1b50c0153f60d4', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322114000', 4, '新店镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322114000', 1, '2021-07-19 11:51:39', NULL, NULL), (19402, '', '新店镇街道社区', 'f0203874389b4917aff334f425a4c75f', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'True', 'false', 'false', '511322114001', 5, '新店镇街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114001', 1, '2021-07-19 11:51:39', NULL, NULL), (19403, '', '法堂村', '1b7845315d1b408ca7dca6af8511cc8e', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114082', 5, '法堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114082', 1, '2021-07-19 11:51:39', NULL, NULL), (19404, '', '老店村', '40855cfc465441549ccdeaa1560908a3', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114201', 5, '老店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114201', 1, '2021-07-19 11:51:39', NULL, NULL), (19405, '', '茶盘村', '4555fb79b4e7479a827684bef13a3162', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114202', 5, '茶盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114202', 1, '2021-07-19 11:51:39', NULL, NULL), (19406, '', '石伞村', '353f7decbb3743a5bcc1d55fb4290375', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114203', 5, '石伞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114203', 1, '2021-07-19 11:51:39', NULL, NULL), (19407, '', '高观村', '45eea7ee959b43c795e0026436eacc33', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114204', 5, '高观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114204', 1, '2021-07-19 11:51:39', NULL, NULL), (19408, '', '高龙村', 'e9cc62a87a264b139973c0112ea6e499', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114205', 5, '高龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114205', 1, '2021-07-19 11:51:39', NULL, NULL), (19409, '', '黄柳村', 'b8d794192acc485792a5bfa2ad2f0e0a', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114206', 5, '黄柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114206', 1, '2021-07-19 11:51:39', NULL, NULL), (19410, '', '蓼叶村', '2514bf4cac7b47afb90d7e59f5e702b2', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114207', 5, '蓼叶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114207', 1, '2021-07-19 11:51:39', NULL, NULL), (19411, '', '龙顶村', 'e9b595a7cf7546ef960068edcca6925b', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114208', 5, '龙顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114208', 1, '2021-07-19 11:51:39', NULL, NULL), (19412, '', '帽盒村', '688c02aa900545c2a4364df57d7c6045', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114209', 5, '帽盒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114209', 1, '2021-07-19 11:51:39', NULL, NULL), (19413, '', '鲜鱼村', 'a7b19151662546febeb382e16096e0f7', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114210', 5, '鲜鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114210', 1, '2021-07-19 11:51:40', NULL, NULL), (19414, '', '柳树村', 'b598a2e105664c10a68ee9127d7bc6eb', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114211', 5, '柳树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114211', 1, '2021-07-19 11:51:40', NULL, NULL), (19415, '', '暗滩村', 'c5326b70b6c5471d9b5cd4def1a2ad2e', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114212', 5, '暗滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114212', 1, '2021-07-19 11:51:40', NULL, NULL), (19416, '', '山寨村', '1d7b0a85ffd9445db05d643a143551d6', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114213', 5, '山寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114213', 1, '2021-07-19 11:51:40', NULL, NULL), (19417, '', '玄真村', 'cc3d92dcc663460f8084df79a53abb00', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114214', 5, '玄真村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114214', 1, '2021-07-19 11:51:40', NULL, NULL), (19418, '', '飞龙村', '43169ce021284a34bf187469ed04cfe0', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114215', 5, '飞龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114215', 1, '2021-07-19 11:51:40', NULL, NULL), (19419, '', '千坵村', 'ec03e4ed000b47639dd0a52714d64efb', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114216', 5, '千坵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114216', 1, '2021-07-19 11:51:40', NULL, NULL), (19420, '', '铧镆村', '2f3c0820ddda4adf99dd6ac4d1b2363d', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114217', 5, '铧镆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114217', 1, '2021-07-19 11:51:40', NULL, NULL), (19421, '', '新店村', '914a1da608494063a216694cb94788d7', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114218', 5, '新店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114218', 1, '2021-07-19 11:51:40', NULL, NULL), (19422, '', '石垭村', '9db7aae948674fd49e190e9c78ded9f0', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114426', 5, '石垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114426', 1, '2021-07-19 11:51:40', NULL, NULL), (19423, '', '文笔村', '8b0fa540fd7c4e5985077bc8236d9af8', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114497', 5, '文笔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114497', 1, '2021-07-19 11:51:40', NULL, NULL), (19424, '', '梓坝村', '41c3206087704cdcaaaf31497f8ffb1b', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114557', 5, '梓坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114557', 1, '2021-07-19 11:51:40', NULL, NULL), (19425, '', '葛水村', 'f42d227cd4de4220b9fa8a6370035872', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114596', 5, '葛水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114596', 1, '2021-07-19 11:51:40', NULL, NULL), (19426, '', '大田村', 'd1ac0525e25e445f99c9571d074ae714', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114658', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114658', 1, '2021-07-19 11:51:40', NULL, NULL), (19427, '', '罗宽村', '0fa2086dcc4d4e43ad2fcd95ed6730bf', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114671', 5, '罗宽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114671', 1, '2021-07-19 11:51:40', NULL, NULL), (19428, '', '玄都村', '9111a8a1388f41ada5d961afac0a592a', 'df778668dd3149aebc1b50c0153f60d4', 'False', 'False', 'false', 'false', '511322114735', 5, '玄都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322114735', 1, '2021-07-19 11:51:40', NULL, NULL), (19429, '', '回龙镇', '3e7f39aaad4e4f82b98a9bbb454342cd', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322115000', 4, '回龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322115000', 1, '2021-07-19 11:51:41', NULL, NULL), (19430, '', '回龙街道社区', 'a21d52deb14a4030805a3c23a48b1403', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'True', 'false', 'false', '511322115001', 5, '回龙街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115001', 1, '2021-07-19 11:51:41', NULL, NULL), (19431, '', '三清村', '42dd7c83da1b466f8be96e0f6ccb05d8', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115114', 5, '三清村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115114', 1, '2021-07-19 11:51:41', NULL, NULL), (19432, '', '打石湾村', '2c36a99252574820a2557f35ae0f3a51', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115115', 5, '打石湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115115', 1, '2021-07-19 11:51:41', NULL, NULL), (19433, '', '龙马村', 'e457202f73304f30821b31ae261976ce', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115130', 5, '龙马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115130', 1, '2021-07-19 11:51:41', NULL, NULL), (19434, '', '金竹村', '394ceb7eaec346079367a338d7ab5b3e', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115166', 5, '金竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115166', 1, '2021-07-19 11:51:41', NULL, NULL), (19435, '', '大同村', '459e2b86d3c54354bd2de412341da4c0', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115201', 5, '大同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115201', 1, '2021-07-19 11:51:41', NULL, NULL), (19436, '', '六方村', '1a2a662177b04c8792fff773f6e9c096', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115202', 5, '六方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115202', 1, '2021-07-19 11:51:41', NULL, NULL), (19437, '', '石牛村', 'ecaac2e062714ba992cb72340bf1ae04', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115203', 5, '石牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115203', 1, '2021-07-19 11:51:41', NULL, NULL), (19438, '', '小堰村', '1fb6bb271bdc4900bfc011739d3f788a', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115204', 5, '小堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115204', 1, '2021-07-19 11:51:41', NULL, NULL), (19439, '', '天台村', '40f2a40200504f00b5b814d95727ccaa', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115205', 5, '天台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115205', 1, '2021-07-19 11:51:41', NULL, NULL), (19440, '', '鹞岩村', '3c69d65915b644a78ce9dc18a8dbb769', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115206', 5, '鹞岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115206', 1, '2021-07-19 11:51:41', NULL, NULL), (19441, '', '瑶坪村', '1e15cef1a022437fbfcf5a5b0fb5a33f', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115207', 5, '瑶坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115207', 1, '2021-07-19 11:51:41', NULL, NULL), (19442, '', '萝卜山村', '9f2e561eea744074b934e6beef4a0aaa', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115208', 5, '萝卜山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115208', 1, '2021-07-19 11:51:42', NULL, NULL), (19443, '', '石桅村', '6b376259b7a545f999c87aa002d5160a', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115209', 5, '石桅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115209', 1, '2021-07-19 11:51:42', NULL, NULL), (19444, '', '石佛村', '24f6882e1a0f4e8da508a1cf6d6ec591', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115210', 5, '石佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115210', 1, '2021-07-19 11:51:42', NULL, NULL), (19445, '', '大磨村', '7befe244f6b54459ad8f2400d1cd8aa3', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115211', 5, '大磨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115211', 1, '2021-07-19 11:51:42', NULL, NULL), (19446, '', '幸福村', '57ef1bf2bad643ccbc84e0196ef09d45', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115212', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115212', 1, '2021-07-19 11:51:42', NULL, NULL), (19447, '', '高坎村', '079f24a65b544dbe93ea81fcef9bf697', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115213', 5, '高坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115213', 1, '2021-07-19 11:51:42', NULL, NULL), (19448, '', '楠庙村', 'd2927e3dac6244c8b0c8cb99b6953408', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115214', 5, '楠庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115214', 1, '2021-07-19 11:51:42', NULL, NULL), (19449, '', '团山村', 'a2c16c255d894b4bb16e7e6d6ccc2a93', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115215', 5, '团山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115215', 1, '2021-07-19 11:51:42', NULL, NULL), (19450, '', '翻身村', 'e660fb3620b4477e8a702ee0a4e6ccdf', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115216', 5, '翻身村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115216', 1, '2021-07-19 11:51:42', NULL, NULL), (19451, '', '虹管村', '1d7a3159ae7d4f589f4b9855b9fb0239', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115217', 5, '虹管村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115217', 1, '2021-07-19 11:51:42', NULL, NULL), (19452, '', '胜利村', '9adbfa10ea0d483391a7084000e39b2f', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115218', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115218', 1, '2021-07-19 11:51:42', NULL, NULL), (19453, '', '严嘉村', 'ec94199b6b474766b46723505fa4edb2', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115219', 5, '严嘉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115219', 1, '2021-07-19 11:51:42', NULL, NULL), (19454, '', '石罐村', '380792eba89b4e3588ac26283fa30858', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115227', 5, '石罐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115227', 1, '2021-07-19 11:51:42', NULL, NULL), (19455, '', '倒虹村', 'abac2bf4b48849c1a54b33015a9114d6', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115249', 5, '倒虹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115249', 1, '2021-07-19 11:51:42', NULL, NULL), (19456, '', '龙骨村', '64d845f257764f6ebc4187065f67059a', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115267', 5, '龙骨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115267', 1, '2021-07-19 11:51:43', NULL, NULL), (19457, '', '碗水村', '474c1cefc6d1446b9fedaef03d637677', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115301', 5, '碗水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115301', 1, '2021-07-19 11:51:43', NULL, NULL), (19458, '', '木樨村', 'bc7880bee16b415da539a841ae2d4a7c', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115333', 5, '木樨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115333', 1, '2021-07-19 11:51:43', NULL, NULL), (19459, '', '深堂村', '58c25b143cde42eaa4e803fd0200e37c', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115375', 5, '深堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115375', 1, '2021-07-19 11:51:43', NULL, NULL), (19460, '', '联盟村', '57096b14a1894f23b45e01bbd953b243', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115401', 5, '联盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115401', 1, '2021-07-19 11:51:43', NULL, NULL), (19461, '', '龙坝村', '1fda897d0b984fafbf33eceb37e519c9', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115490', 5, '龙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115490', 1, '2021-07-19 11:51:43', NULL, NULL), (19462, '', '卷洞村', '3b621a713a5f4d62b65631138aed6b53', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115569', 5, '卷洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115569', 1, '2021-07-19 11:51:43', NULL, NULL), (19463, '', '光临村', 'cde1dc8ddd6546a8a2d7687711e50286', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115576', 5, '光临村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115576', 1, '2021-07-19 11:51:43', NULL, NULL), (19464, '', '光辉村', 'e67fe04264944635a23da5b6ae74036a', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115664', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115664', 1, '2021-07-19 11:51:43', NULL, NULL), (19465, '', '兴南村', 'cf3cb0c0f2e64b8186afed2108f4e9cb', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115686', 5, '兴南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115686', 1, '2021-07-19 11:51:43', NULL, NULL), (19466, '', '野马村', '6a88c38a3fe44fc088aafefc46456fca', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115687', 5, '野马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115687', 1, '2021-07-19 11:51:43', NULL, NULL), (19467, '', '板桥村', 'cc6d285ed7834575b7950f2f34b437af', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115749', 5, '板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115749', 1, '2021-07-19 11:51:43', NULL, NULL), (19468, '', '永兴村', '6a8d8ec1d6a84804a530dab614a13cb6', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115943', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115943', 1, '2021-07-19 11:51:43', NULL, NULL), (19469, '', '白马村', '00d06d916b484aba875cffbd756cddbf', '3e7f39aaad4e4f82b98a9bbb454342cd', 'False', 'False', 'false', 'false', '511322115964', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322115964', 1, '2021-07-19 11:51:43', NULL, NULL), (19470, '', '星火镇', 'dae20df4da524c0a9406fc65708f5aa4', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322116000', 4, '星火镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322116000', 1, '2021-07-19 11:51:43', NULL, NULL), (19471, '', '星火镇社区', 'ef4d55f6df7643d7a84a6ad57775187e', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'True', 'false', 'false', '511322116001', 5, '星火镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116001', 1, '2021-07-19 11:51:43', NULL, NULL), (19472, '', '祠堂村', '4cf824d0a6de4e78b70f3ac5992d16c9', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116160', 5, '祠堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116160', 1, '2021-07-19 11:51:43', NULL, NULL), (19473, '', '马房村', '9a08be816d844b45875a23041a420bab', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116201', 5, '马房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116201', 1, '2021-07-19 11:51:44', NULL, NULL), (19474, '', '彼岸村', '88c306895b6342c2899c64ffcc568f25', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116202', 5, '彼岸村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116202', 1, '2021-07-19 11:51:44', NULL, NULL), (19475, '', '拱桥村', '606815b9869544468029374853f221c2', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116203', 5, '拱桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116203', 1, '2021-07-19 11:51:44', NULL, NULL), (19476, '', '含宝村', 'a7cbc958727c4585a03318c77e46bcdb', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116204', 5, '含宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116204', 1, '2021-07-19 11:51:44', NULL, NULL), (19477, '', '东观村', 'd89697de2662439ea64425999d912831', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116205', 5, '东观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116205', 1, '2021-07-19 11:51:44', NULL, NULL), (19478, '', '星火村', '873a7d121cb940009c9ca32ff011a18d', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116206', 5, '星火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116206', 1, '2021-07-19 11:51:44', NULL, NULL), (19479, '', '梓橦村', '4cb066407a484a928d41800ca0a26474', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116207', 5, '梓橦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116207', 1, '2021-07-19 11:51:44', NULL, NULL), (19480, '', '宝峰村', 'e1d9a78bc5c742a9a2a71c20e3a2ba61', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116208', 5, '宝峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116208', 1, '2021-07-19 11:51:44', NULL, NULL), (19481, '', '骑龙村', '0d447274479648f5aa4b61b5ebe36513', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116209', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116209', 1, '2021-07-19 11:51:44', NULL, NULL), (19482, '', '擂钵村', 'c2e7185d922f43c1bd45b3cbfcbd293e', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116210', 5, '擂钵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116210', 1, '2021-07-19 11:51:44', NULL, NULL), (19483, '', '自生村', 'b1732e4bf5af4d93bfb417c9160f3dbe', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116211', 5, '自生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116211', 1, '2021-07-19 11:51:44', NULL, NULL), (19484, '', '梨木村', '5e06f7f9159144ad8dd69af5f4839ef4', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116212', 5, '梨木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116212', 1, '2021-07-19 11:51:44', NULL, NULL), (19485, '', '八角村', 'eeb032ae01e94c13a5b7a6820b151c70', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116213', 5, '八角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116213', 1, '2021-07-19 11:51:44', NULL, NULL), (19486, '', '天灯村', '621195e04e5a4093af37ed7b8d20fa25', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116214', 5, '天灯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116214', 1, '2021-07-19 11:51:44', NULL, NULL), (19487, '', '开科村', '0ae22433a5054cf987deb1e07c3d4d1f', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116215', 5, '开科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116215', 1, '2021-07-19 11:51:44', NULL, NULL), (19488, '', '联升村', '781ef92710704abb96e4571e5d5610ae', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116216', 5, '联升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116216', 1, '2021-07-19 11:51:44', NULL, NULL), (19489, '', '五祖村', '08dfcb7cdd59431297c0047b257d1f6d', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116217', 5, '五祖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116217', 1, '2021-07-19 11:51:44', NULL, NULL), (19490, '', '金盆村', 'c19799e79cec46ffb8b2e033c4fc008d', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116218', 5, '金盆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116218', 1, '2021-07-19 11:51:45', NULL, NULL), (19491, '', '土垭村', 'ff0cbb12b56f42478e9549604a9364bc', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116222', 5, '土垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116222', 1, '2021-07-19 11:51:45', NULL, NULL), (19492, '', '关坪村', 'df88dcb26d4c455f8e3326bd31c67b44', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116318', 5, '关坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116318', 1, '2021-07-19 11:51:45', NULL, NULL), (19493, '', '禅林村', '7bc53057b9b54b5387b55195d3b6801f', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116429', 5, '禅林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116429', 1, '2021-07-19 11:51:45', NULL, NULL), (19494, '', '白鱼村', 'aadccbae012848b997e0336fa7d860c7', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116525', 5, '白鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116525', 1, '2021-07-19 11:51:45', NULL, NULL), (19495, '', '南垭村', '64919c98f00d41438bd167567d3b9a8d', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116562', 5, '南垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116562', 1, '2021-07-19 11:51:45', NULL, NULL), (19496, '', '柏林村', '5e4c10109c1245bb83d5d0c86d50fa99', 'dae20df4da524c0a9406fc65708f5aa4', 'False', 'False', 'false', 'false', '511322116719', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322116719', 1, '2021-07-19 11:51:45', NULL, NULL), (19497, '', '西桥镇', '7632fc36dbf545ab96f54c3436ab16a7', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322117000', 4, '西桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322117000', 1, '2021-07-19 11:51:45', NULL, NULL), (19498, '', '灯草村', '55c61b7e46a64d1ab5a55faed76ea6d7', '7632fc36dbf545ab96f54c3436ab16a7', 'False', 'False', 'false', 'false', '511322117034', 5, '灯草村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322117034', 1, '2021-07-19 11:51:45', NULL, NULL), (19499, '', '新河村', '099ff13b8d9a4bf59e2edc6dcbfdde40', '7632fc36dbf545ab96f54c3436ab16a7', 'False', 'False', 'false', 'false', '511322117201', 5, '新河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322117201', 1, '2021-07-19 11:51:45', NULL, NULL), (19500, '', '得胜社区', 'b0a16286c6a44182b1b9e63e082eb4fe', '7632fc36dbf545ab96f54c3436ab16a7', 'False', 'False', 'false', 'false', '511322117202', 5, '得胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322117202', 1, '2021-07-19 11:51:45', NULL, NULL), (19501, '', '朝门村', 'f2dd9a3ccda4496bac8d0ec955db2019', '7632fc36dbf545ab96f54c3436ab16a7', 'False', 'False', 'false', 'false', '511322117203', 5, '朝门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322117203', 1, '2021-07-19 11:51:45', NULL, NULL), (19502, '', '太平村', '8138831d5e75401386403ccaf01e3c2a', '7632fc36dbf545ab96f54c3436ab16a7', 'False', 'False', 'false', 'false', '511322117204', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322117204', 1, '2021-07-19 11:51:45', NULL, NULL), (19503, '', '尖峰村', '7db8d70420314677b3bf022ca6cfdf8c', '7632fc36dbf545ab96f54c3436ab16a7', 'False', 'False', 'false', 'false', '511322117205', 5, '尖峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322117205', 1, '2021-07-19 11:51:45', NULL, NULL), (19504, '', '斜石村', '6ed6f4ee19214e4ba49f7914618e0cb6', '7632fc36dbf545ab96f54c3436ab16a7', 'False', 'False', 'false', 'false', '511322117206', 5, '斜石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322117206', 1, '2021-07-19 11:51:45', NULL, NULL), (19505, '', '旗河村', '9d4e36c59ce348558d5c8e5531da4402', '7632fc36dbf545ab96f54c3436ab16a7', 'False', 'False', 'false', 'false', '511322117207', 5, '旗河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322117207', 1, '2021-07-19 11:51:45', NULL, NULL), (19506, '', '太极村', 'e85c07441f7d4e398b04ad302dcaa8f7', '7632fc36dbf545ab96f54c3436ab16a7', 'False', 'False', 'false', 'false', '511322117208', 5, '太极村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322117208', 1, '2021-07-19 11:51:45', NULL, NULL), (19507, '', '黄梨村', '5013d39fef974b3580a59a7bab09bc9a', '7632fc36dbf545ab96f54c3436ab16a7', 'False', 'False', 'false', 'false', '511322117209', 5, '黄梨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322117209', 1, '2021-07-19 11:51:45', NULL, NULL), (19508, '', '荣华村', 'd805f8ccb27a4dc6984cd67e5cadfb0c', '7632fc36dbf545ab96f54c3436ab16a7', 'False', 'False', 'false', 'false', '511322117210', 5, '荣华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322117210', 1, '2021-07-19 11:51:46', NULL, NULL), (19509, '', '瓦窑村', '1dc3ba72294443668162cb05d0e9a404', '7632fc36dbf545ab96f54c3436ab16a7', 'False', 'False', 'false', 'false', '511322117227', 5, '瓦窑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322117227', 1, '2021-07-19 11:51:46', NULL, NULL), (19510, '', '四路村', '80cc96f7ca8e4d729eb438d1b1039fa1', '7632fc36dbf545ab96f54c3436ab16a7', 'False', 'False', 'false', 'false', '511322117342', 5, '四路村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322117342', 1, '2021-07-19 11:51:46', NULL, NULL), (19511, '', '永角村', '36f697b9f01e4a98b0f51429c2e86a21', '7632fc36dbf545ab96f54c3436ab16a7', 'False', 'False', 'false', 'false', '511322117510', 5, '永角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322117510', 1, '2021-07-19 11:51:46', NULL, NULL), (19512, '', '七涧村', '13e1e4da03bf4fdeb09afe46aae03590', '7632fc36dbf545ab96f54c3436ab16a7', 'False', 'False', 'false', 'false', '511322117607', 5, '七涧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322117607', 1, '2021-07-19 11:51:46', NULL, NULL), (19513, '', '石岩村', '3ad85e92cb8d4345b27174618804fbab', '7632fc36dbf545ab96f54c3436ab16a7', 'False', 'False', 'false', 'false', '511322117911', 5, '石岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322117911', 1, '2021-07-19 11:51:46', NULL, NULL), (19514, '', '城南街道', 'b3486c71829c4aa186c3f1a8d800b98e', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322118000', 4, '城南街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322118000', 1, '2021-07-19 11:51:46', NULL, NULL), (19515, '', '三星社区', '3d838ce8f72c4a8899929f11682b03ad', 'b3486c71829c4aa186c3f1a8d800b98e', 'False', 'False', 'false', 'false', '511322118202', 5, '三星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322118202', 1, '2021-07-19 11:51:46', NULL, NULL), (19516, '', '保真社区', '73d9acc8c5f4466eadccc6f28121870d', 'b3486c71829c4aa186c3f1a8d800b98e', 'False', 'False', 'false', 'false', '511322118203', 5, '保真社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322118203', 1, '2021-07-19 11:51:46', NULL, NULL), (19517, '', '兴隆社区', '281b88a8f33b4537875374e2d36ac456', 'b3486c71829c4aa186c3f1a8d800b98e', 'False', 'False', 'false', 'false', '511322118204', 5, '兴隆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322118204', 1, '2021-07-19 11:51:46', NULL, NULL), (19518, '', '文峰村', '96d9a6a0e2ba4682acdac3e478eac16f', 'b3486c71829c4aa186c3f1a8d800b98e', 'False', 'False', 'false', 'false', '511322118207', 5, '文峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322118207', 1, '2021-07-19 11:51:46', NULL, NULL), (19519, '', '云雾村', '37aec54cd27242cdaee3c1146c231405', 'b3486c71829c4aa186c3f1a8d800b98e', 'False', 'False', 'false', 'false', '511322118209', 5, '云雾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322118209', 1, '2021-07-19 11:51:46', NULL, NULL), (19520, '', '走马村', 'aec9d6794b2c440caa4331576828a14c', 'b3486c71829c4aa186c3f1a8d800b98e', 'False', 'False', 'false', 'false', '511322118211', 5, '走马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322118211', 1, '2021-07-19 11:51:46', NULL, NULL), (19521, '', '望龙湖镇', 'ad03d363e0c3429384bc27a79d14ff71', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322202000', 4, '望龙湖镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322202000', 1, '2021-07-19 11:51:46', NULL, NULL), (19522, '', '插旗村', '4e784f801c8049aba17f270dc7a6c101', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202104', 5, '插旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202104', 1, '2021-07-19 11:51:46', NULL, NULL), (19523, '', '水风村', '9eaeeb1280694920aa6250a2cd718b32', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202201', 5, '水风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202201', 1, '2021-07-19 11:51:46', NULL, NULL), (19524, '', '张鹏村', '53bc996b936d4587a458579200d069cc', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202202', 5, '张鹏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202202', 1, '2021-07-19 11:51:46', NULL, NULL), (19525, '', '皇灵村', 'cd76c8617a1a46ae8d18119bc26dd393', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202203', 5, '皇灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202203', 1, '2021-07-19 11:51:47', NULL, NULL), (19526, '', '湾凼村', 'b9b99268e1ac4cb5b6632b54a103c1d1', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202204', 5, '湾凼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202204', 1, '2021-07-19 11:51:47', NULL, NULL), (19527, '', '双木村', '9dbc804cd95e4af18f98534ffe36c69a', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202205', 5, '双木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202205', 1, '2021-07-19 11:51:47', NULL, NULL), (19528, '', '莲花村', '3b1cc09c3d274f838f67e16a17f91e13', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202206', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202206', 1, '2021-07-19 11:51:47', NULL, NULL), (19529, '', '连山村', '5eeed306e5bf424680c39f3ec023de36', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202207', 5, '连山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202207', 1, '2021-07-19 11:51:47', NULL, NULL), (19530, '', '罐坪村', '9b73f1e665274af1a6a48522a865ceb8', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202208', 5, '罐坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202208', 1, '2021-07-19 11:51:47', NULL, NULL), (19531, '', '道林村', 'b8d83a3479404ca1bc8a2a7b0da5678b', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202209', 5, '道林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202209', 1, '2021-07-19 11:51:47', NULL, NULL), (19532, '', '大凼村', 'a16ff5f6850a4c0d95774362d191eb1b', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202210', 5, '大凼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202210', 1, '2021-07-19 11:51:47', NULL, NULL), (19533, '', '老荫村', '967c06c15276425eb27d888200978c76', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202211', 5, '老荫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202211', 1, '2021-07-19 11:51:47', NULL, NULL), (19534, '', '青龙村', '77e73edc909e42b7b225aee26365d9a2', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202212', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202212', 1, '2021-07-19 11:51:47', NULL, NULL), (19535, '', '开山村', 'f39795a281104c01a50eeb36affee4b2', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202596', 5, '开山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202596', 1, '2021-07-19 11:51:47', NULL, NULL), (19536, '', '新桥村', 'f8a27883f4e74987accd6ab9e15317a2', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202612', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202612', 1, '2021-07-19 11:51:47', NULL, NULL), (19537, '', '书房村', '1802b935981945698aeb895ab649d716', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202724', 5, '书房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202724', 1, '2021-07-19 11:51:47', NULL, NULL), (19538, '', '凤头村', 'af1dfb25ee4d4a38831699323d4689ef', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202788', 5, '凤头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202788', 1, '2021-07-19 11:51:47', NULL, NULL), (19539, '', '古佛村', '8f8f1b3341424ea7bf2242051ff94010', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202808', 5, '古佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202808', 1, '2021-07-19 11:51:47', NULL, NULL), (19540, '', '金石村', 'bd5a05b6ac814e238ee8c66f6fc1d4c7', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202853', 5, '金石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202853', 1, '2021-07-19 11:51:47', NULL, NULL), (19541, '', '金鼓村', 'ab52f9ed9e9545edb22b15a1020f10fa', 'ad03d363e0c3429384bc27a79d14ff71', 'False', 'False', 'false', 'false', '511322202944', 5, '金鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322202944', 1, '2021-07-19 11:51:47', NULL, NULL), (19542, '', '木顶乡', 'e362ef3f754b4c7a8daa96f43b59a1b5', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322212000', 4, '木顶乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322212000', 1, '2021-07-19 11:51:47', NULL, NULL), (19543, '', '石碾村', '24dc3a698da8471899ba64994da11cd1', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212149', 5, '石碾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212149', 1, '2021-07-19 11:51:48', NULL, NULL), (19544, '', '莲台村', '512f5d43500c49afa3c95b41051f5949', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212172', 5, '莲台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212172', 1, '2021-07-19 11:51:48', NULL, NULL), (19545, '', '梁山村', 'bbdae807b6394691822b71f46f0bddd8', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212201', 5, '梁山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212201', 1, '2021-07-19 11:51:48', NULL, NULL), (19546, '', '桥亭村', '2b96daea380e4b9aafcec533e081e640', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212202', 5, '桥亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212202', 1, '2021-07-19 11:51:48', NULL, NULL), (19547, '', '罗安村', 'cefa53cbf7404bd997ebf96831eeaf73', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212203', 5, '罗安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212203', 1, '2021-07-19 11:51:48', NULL, NULL), (19548, '', '兴旺村', 'cb0616663b9c4d9290afa6f90361a6dc', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212204', 5, '兴旺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212204', 1, '2021-07-19 11:51:48', NULL, NULL), (19549, '', '石院村', '1cdab2290e2d420d91409f82fe1a5595', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212205', 5, '石院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212205', 1, '2021-07-19 11:51:48', NULL, NULL), (19550, '', '跃进村', '4e6613d58b434d7db274d92e29d66897', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212206', 5, '跃进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212206', 1, '2021-07-19 11:51:48', NULL, NULL), (19551, '', '解放村', '66ded4d9c9a64f5f88052e7f4c21086f', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212207', 5, '解放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212207', 1, '2021-07-19 11:51:48', NULL, NULL), (19552, '', '银水村', '63a87cf5c14045f3b87917d2fbdcf733', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212208', 5, '银水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212208', 1, '2021-07-19 11:51:48', NULL, NULL), (19553, '', '战斗村', '3945989640c34c8da881cf3bc141c1e3', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212209', 5, '战斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212209', 1, '2021-07-19 11:51:48', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (19554, '', '刺门村', '480a976b9b98489eb1ccfc204fc086ba', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212210', 5, '刺门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212210', 1, '2021-07-19 11:51:48', NULL, NULL), (19555, '', '黄草村', 'aaca5731a12e4f3182fc96602479bc26', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212282', 5, '黄草村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212282', 1, '2021-07-19 11:51:48', NULL, NULL), (19556, '', '梨子村', '1ac875f147d84faeb28297babe24bfc2', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212420', 5, '梨子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212420', 1, '2021-07-19 11:51:48', NULL, NULL), (19557, '', '沿河村', '4781bc3b7b5241658dffada8b0064a24', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212427', 5, '沿河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212427', 1, '2021-07-19 11:51:48', NULL, NULL), (19558, '', '两岔村', '2d85b5ef0d344c9ea15531233e185e1f', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212555', 5, '两岔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212555', 1, '2021-07-19 11:51:48', NULL, NULL), (19559, '', '石板村', '6f08b665cc994480ae55e3a21cc084c5', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212663', 5, '石板村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212663', 1, '2021-07-19 11:51:48', NULL, NULL), (19560, '', '元井村', '834b19215ac54e549fb214a0d1f6d9fb', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212670', 5, '元井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212670', 1, '2021-07-19 11:51:48', NULL, NULL), (19561, '', '红豆村', '7cb74e5f38904f5691b8898851bf17b0', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212758', 5, '红豆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212758', 1, '2021-07-19 11:51:48', NULL, NULL), (19562, '', '白井村', 'db36c22c51c4440a9cfa424740aa4b89', 'e362ef3f754b4c7a8daa96f43b59a1b5', 'False', 'False', 'false', 'false', '511322212767', 5, '白井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322212767', 1, '2021-07-19 11:51:48', NULL, NULL), (19563, '', '明德乡', '246b0a0c053e4313a84699d96232b098', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322216000', 4, '明德乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322216000', 1, '2021-07-19 11:51:49', NULL, NULL), (19564, '', '明昌村', '6ee661789f5c43f8aa42f8013bcf7877', '246b0a0c053e4313a84699d96232b098', 'False', 'False', 'false', 'false', '511322216201', 5, '明昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322216201', 1, '2021-07-19 11:51:49', NULL, NULL), (19565, '', '石狮村', 'a54c94a5e8094a21b016c5653275f272', '246b0a0c053e4313a84699d96232b098', 'False', 'False', 'false', 'false', '511322216202', 5, '石狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322216202', 1, '2021-07-19 11:51:49', NULL, NULL), (19566, '', '土门村', 'eadaab0b107343f38714a8d09d08df40', '246b0a0c053e4313a84699d96232b098', 'False', 'False', 'false', 'false', '511322216203', 5, '土门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322216203', 1, '2021-07-19 11:51:49', NULL, NULL), (19567, '', '滴水村', '18c1fd4110ea463f8bcb1a10789ee7d6', '246b0a0c053e4313a84699d96232b098', 'False', 'False', 'false', 'false', '511322216204', 5, '滴水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322216204', 1, '2021-07-19 11:51:49', NULL, NULL), (19568, '', '明渠村', 'd41fa19b7b5247c2ba5d939f6d0f12bb', '246b0a0c053e4313a84699d96232b098', 'False', 'False', 'false', 'false', '511322216205', 5, '明渠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322216205', 1, '2021-07-19 11:51:49', NULL, NULL), (19569, '', '清平村', '593de81694624ffba89e72babb83399b', '246b0a0c053e4313a84699d96232b098', 'False', 'False', 'false', 'false', '511322216206', 5, '清平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322216206', 1, '2021-07-19 11:51:49', NULL, NULL), (19570, '', '烂泥村', '35bea96b566b4a2ebfd4827f6832ffd3', '246b0a0c053e4313a84699d96232b098', 'False', 'False', 'false', 'false', '511322216207', 5, '烂泥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322216207', 1, '2021-07-19 11:51:49', NULL, NULL), (19571, '', '磨盘村', '60b72b3749e344e68f1507f629a3b9ba', '246b0a0c053e4313a84699d96232b098', 'False', 'False', 'false', 'false', '511322216208', 5, '磨盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322216208', 1, '2021-07-19 11:51:49', NULL, NULL), (19572, '', '和天村', 'f0fc3dfd163a476b91fd5d6eb35ee029', '246b0a0c053e4313a84699d96232b098', 'False', 'False', 'false', 'false', '511322216209', 5, '和天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322216209', 1, '2021-07-19 11:51:49', NULL, NULL), (19573, '', '干河村', '5f19d3a432c9425c9ef1b81505fea8a6', '246b0a0c053e4313a84699d96232b098', 'False', 'False', 'false', 'false', '511322216210', 5, '干河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322216210', 1, '2021-07-19 11:51:49', NULL, NULL), (19574, '', '干洞村', '5dda9f3614c74943b7a27d3fe3b7ef5d', '246b0a0c053e4313a84699d96232b098', 'False', 'False', 'false', 'false', '511322216211', 5, '干洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322216211', 1, '2021-07-19 11:51:49', NULL, NULL), (19575, '', '爱国村', '1fe5d40fcb0c41dcbc1b4fffeb6b1ccf', '246b0a0c053e4313a84699d96232b098', 'False', 'False', 'false', 'false', '511322216212', 5, '爱国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322216212', 1, '2021-07-19 11:51:49', NULL, NULL), (19576, '', '子丫村', 'eee76e75aa08447890b3154ba46fb460', '246b0a0c053e4313a84699d96232b098', 'False', 'False', 'false', 'false', '511322216213', 5, '子丫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322216213', 1, '2021-07-19 11:51:49', NULL, NULL), (19577, '', '太蓬乡', '7660382be8de45f8baee349e169a7946', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322219000', 4, '太蓬乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322219000', 1, '2021-07-19 11:51:49', NULL, NULL), (19578, '', '石笋村', '01a08c3546dc4a31886faf5be1cc1cc8', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219200', 5, '石笋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219200', 1, '2021-07-19 11:51:49', NULL, NULL), (19579, '', '国林村', '35e68a065dc84d358b076bfee4612f0d', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219201', 5, '国林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219201', 1, '2021-07-19 11:51:49', NULL, NULL), (19580, '', '双山村', 'df873f12fa2b4b0d8b50cde9289f906e', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219202', 5, '双山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219202', 1, '2021-07-19 11:51:49', NULL, NULL), (19581, '', '太蓬村', 'cd1dea0ea8a54354ad6e1a46ef52689b', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219203', 5, '太蓬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219203', 1, '2021-07-19 11:51:50', NULL, NULL), (19582, '', '白杨村', 'a323bf63c8ae4dacaf88674160d70bdc', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219204', 5, '白杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219204', 1, '2021-07-19 11:51:50', NULL, NULL), (19583, '', '响水村', '7cdf8ec0ae7340b5987d6d872e4b0027', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219205', 5, '响水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219205', 1, '2021-07-19 11:51:50', NULL, NULL), (19584, '', '团包村', 'c3d4b98bc0b24803aa7c6da328e77b27', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219206', 5, '团包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219206', 1, '2021-07-19 11:51:50', NULL, NULL), (19585, '', '鲤鱼村', '8f6b1debd1534be18a8f44444295cfee', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219207', 5, '鲤鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219207', 1, '2021-07-19 11:51:50', NULL, NULL), (19586, '', '丛树村', '0a7a245401b3416b8e6c79519a956e01', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219208', 5, '丛树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219208', 1, '2021-07-19 11:51:50', NULL, NULL), (19587, '', '大营村', '4514ac1b079c42b9841bb57992e1f1f6', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219209', 5, '大营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219209', 1, '2021-07-19 11:51:50', NULL, NULL), (19588, '', '西门村', '623eca4a6db945e1ab9c7999289be0dc', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219210', 5, '西门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219210', 1, '2021-07-19 11:51:50', NULL, NULL), (19589, '', '蓬溪村', '43f544f8c0bd4bfcba08664fa259b893', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219211', 5, '蓬溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219211', 1, '2021-07-19 11:51:50', NULL, NULL), (19590, '', '仙洞村', 'd389203a7d2047f3be4cba355a50b6c8', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219314', 5, '仙洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219314', 1, '2021-07-19 11:51:50', NULL, NULL), (19591, '', '兴福村', '057146a393134c48a26bd68745b4cf09', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219339', 5, '兴福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219339', 1, '2021-07-19 11:51:50', NULL, NULL), (19592, '', '长凤村', 'c786f33f4af243889b42aa218b30cc98', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219365', 5, '长凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219365', 1, '2021-07-19 11:51:50', NULL, NULL), (19593, '', '天梯村', '744498737c704f5e8d12ee636b5d34d9', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219481', 5, '天梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219481', 1, '2021-07-19 11:51:50', NULL, NULL), (19594, '', '长渠村', '6df668f91f984b9189445bcdfefa4c6f', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219636', 5, '长渠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219636', 1, '2021-07-19 11:51:50', NULL, NULL), (19595, '', '轿顶村', 'c1324a779caf4d7e9b7cd89769139113', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219642', 5, '轿顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219642', 1, '2021-07-19 11:51:50', NULL, NULL), (19596, '', '炉山村', '6f05143d86274770aeb876d6026ac27d', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219745', 5, '炉山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219745', 1, '2021-07-19 11:51:50', NULL, NULL), (19597, '', '香山村', 'e39d4096085347acbb09847de928ed20', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219810', 5, '香山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219810', 1, '2021-07-19 11:51:50', NULL, NULL), (19598, '', '红花村', '8014c678cbe44a1f8fda72392f2b9ffc', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219829', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219829', 1, '2021-07-19 11:51:50', NULL, NULL), (19599, '', '老君村', 'c096038d0ec243b79e873e95f4d3a33e', '7660382be8de45f8baee349e169a7946', 'False', 'False', 'false', 'false', '511322219968', 5, '老君村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322219968', 1, '2021-07-19 11:51:50', NULL, NULL), (19600, '', '柏林乡', 'b28fd765eece432ca42f631f2f6727f7', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322221000', 4, '柏林乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322221000', 1, '2021-07-19 11:51:51', NULL, NULL), (19601, '', '康宁村', 'e6b33b87373746eb8645fded69b8673e', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221052', 5, '康宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221052', 1, '2021-07-19 11:51:51', NULL, NULL), (19602, '', '红梁村', '6634feffe94d47319fea736c507e575a', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221088', 5, '红梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221088', 1, '2021-07-19 11:51:51', NULL, NULL), (19603, '', '青松村', '032a245ceb514faa82dd455d7c2f2a1d', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221201', 5, '青松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221201', 1, '2021-07-19 11:51:51', NULL, NULL), (19604, '', '龙宫村', '7ebaed6055c54c5d977c4d6d04f30547', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221202', 5, '龙宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221202', 1, '2021-07-19 11:51:51', NULL, NULL), (19605, '', '玉星村', '6096a7558c2c434883030d1cf41b82cc', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221203', 5, '玉星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221203', 1, '2021-07-19 11:51:51', NULL, NULL), (19606, '', '石鼓村', 'a9d2b9bb4b0b4f0380903246dbff4d10', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221204', 5, '石鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221204', 1, '2021-07-19 11:51:51', NULL, NULL), (19607, '', '四合村', '2ae7181a13304906a313fcccbe295d63', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221205', 5, '四合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221205', 1, '2021-07-19 11:51:51', NULL, NULL), (19608, '', '长滩村', '308b5052dd0b48f1aae1093506def6f3', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221206', 5, '长滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221206', 1, '2021-07-19 11:51:51', NULL, NULL), (19609, '', '七里村', '8716e8154c514b1f864ba0bf278958d0', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221207', 5, '七里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221207', 1, '2021-07-19 11:51:51', NULL, NULL), (19610, '', '九缸村', '6d2f8fda4d9e47669ff9754a29b39819', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221208', 5, '九缸村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221208', 1, '2021-07-19 11:51:51', NULL, NULL), (19611, '', '龙坪村', '0d2208e715384a998d318f890a0516b8', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221209', 5, '龙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221209', 1, '2021-07-19 11:51:51', NULL, NULL), (19612, '', '屋基村', 'bb070f502ee04ab9af84647dd985d642', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221210', 5, '屋基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221210', 1, '2021-07-19 11:51:51', NULL, NULL), (19613, '', '小塔村', 'de45eb441b72432fad2693c5d6f1861c', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221211', 5, '小塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221211', 1, '2021-07-19 11:51:51', NULL, NULL), (19614, '', '松花村', 'feb9c60413f6473e9d7450b25387b171', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221212', 5, '松花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221212', 1, '2021-07-19 11:51:51', NULL, NULL), (19615, '', '独立村', 'a3ccac1f6d4845989eadde3c9d133222', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221224', 5, '独立村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221224', 1, '2021-07-19 11:51:51', NULL, NULL), (19616, '', '石槽村', 'cfc3198ab2234153abb34f4a6432b942', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221460', 5, '石槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221460', 1, '2021-07-19 11:51:51', NULL, NULL), (19617, '', '石马村', 'b2858afc85df47e582be11765d092e62', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221486', 5, '石马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221486', 1, '2021-07-19 11:51:51', NULL, NULL), (19618, '', '烽火村', '573a68fd0c394466b3750bd29114c614', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221638', 5, '烽火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221638', 1, '2021-07-19 11:51:51', NULL, NULL), (19619, '', '马项村', '1ca7f3b1029b4d008e0cc03ad727b2f2', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221829', 5, '马项村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221829', 1, '2021-07-19 11:51:51', NULL, NULL), (19620, '', '海螺村', '2c8fa5d420614b4ebb77bf50af5f0ce5', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221884', 5, '海螺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221884', 1, '2021-07-19 11:51:52', NULL, NULL), (19621, '', '糖房村', '6d0ca852db5547c1af850621aaeda0e7', 'b28fd765eece432ca42f631f2f6727f7', 'False', 'False', 'false', 'false', '511322221908', 5, '糖房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322221908', 1, '2021-07-19 11:51:52', NULL, NULL), (19622, '', '悦中乡', '01b09f4d75304904999d98f3478b5d0f', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322225000', 4, '悦中乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322225000', 1, '2021-07-19 11:51:52', NULL, NULL), (19623, '', '卧虎村', 'cf34081a2bc44809b6b728fb24d664c1', '01b09f4d75304904999d98f3478b5d0f', 'False', 'False', 'false', 'false', '511322225030', 5, '卧虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322225030', 1, '2021-07-19 11:51:52', NULL, NULL), (19624, '', '三合村', '3c4727750b9b4e2e8bbe3366b08d4a3e', '01b09f4d75304904999d98f3478b5d0f', 'False', 'False', 'false', 'false', '511322225201', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322225201', 1, '2021-07-19 11:51:52', NULL, NULL), (19625, '', '富阳村', '414ba4469bfb4e6ca95db3b0ab14c03e', '01b09f4d75304904999d98f3478b5d0f', 'False', 'False', 'false', 'false', '511322225202', 5, '富阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322225202', 1, '2021-07-19 11:51:52', NULL, NULL), (19626, '', '钟山村', 'c3272c05e93c4dfc84ae703fdaecc992', '01b09f4d75304904999d98f3478b5d0f', 'False', 'False', 'false', 'false', '511322225203', 5, '钟山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322225203', 1, '2021-07-19 11:51:52', NULL, NULL), (19627, '', '钓鱼村', 'a18bad4300f84c0294eae1b4b34a5985', '01b09f4d75304904999d98f3478b5d0f', 'False', 'False', 'false', 'false', '511322225204', 5, '钓鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322225204', 1, '2021-07-19 11:51:52', NULL, NULL), (19628, '', '西寨村', '780182a8336441f49341cec05245b2b1', '01b09f4d75304904999d98f3478b5d0f', 'False', 'False', 'false', 'false', '511322225205', 5, '西寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322225205', 1, '2021-07-19 11:51:52', NULL, NULL), (19629, '', '天星村', 'c4f5cd7ab28346f5afab3b02b155624c', '01b09f4d75304904999d98f3478b5d0f', 'False', 'False', 'false', 'false', '511322225206', 5, '天星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322225206', 1, '2021-07-19 11:51:52', NULL, NULL), (19630, '', '板凳村', 'b152a5c3928245abb484374ab51440dd', '01b09f4d75304904999d98f3478b5d0f', 'False', 'False', 'false', 'false', '511322225207', 5, '板凳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322225207', 1, '2021-07-19 11:51:52', NULL, NULL), (19631, '', '三房村', 'b6087202bc50477d83bf2d201d4eaeb2', '01b09f4d75304904999d98f3478b5d0f', 'False', 'False', 'false', 'false', '511322225208', 5, '三房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322225208', 1, '2021-07-19 11:51:52', NULL, NULL), (19632, '', '田坝村', '54cfeb7075314d7ab178f05bc23bf8b2', '01b09f4d75304904999d98f3478b5d0f', 'False', 'False', 'false', 'false', '511322225209', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322225209', 1, '2021-07-19 11:51:52', NULL, NULL), (19633, '', '永乐村', '20735719632d4d529126814e4a8d72af', '01b09f4d75304904999d98f3478b5d0f', 'False', 'False', 'false', 'false', '511322225210', 5, '永乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322225210', 1, '2021-07-19 11:51:52', NULL, NULL), (19634, '', '梨坪村', '99efd99165524db89766f7b375f6aa3b', '01b09f4d75304904999d98f3478b5d0f', 'False', 'False', 'false', 'false', '511322225215', 5, '梨坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322225215', 1, '2021-07-19 11:51:52', NULL, NULL), (19635, '', '营平村', '58ca08b0bc0c4334bf11addb100c104b', '01b09f4d75304904999d98f3478b5d0f', 'False', 'False', 'false', 'false', '511322225257', 5, '营平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322225257', 1, '2021-07-19 11:51:52', NULL, NULL), (19636, '', '龙潭村', '5e7c6ac71ac840c5b9591093fbba0139', '01b09f4d75304904999d98f3478b5d0f', 'False', 'False', 'false', 'false', '511322225309', 5, '龙潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322225309', 1, '2021-07-19 11:51:52', NULL, NULL), (19637, '', '长寿村', '294436db4058437d9840af22e3cf5312', '01b09f4d75304904999d98f3478b5d0f', 'False', 'False', 'false', 'false', '511322225438', 5, '长寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322225438', 1, '2021-07-19 11:51:52', NULL, NULL), (19638, '', '团堡村', '6f3b5d6c48f44df599063cd9e2e7e868', '01b09f4d75304904999d98f3478b5d0f', 'False', 'False', 'false', 'false', '511322225546', 5, '团堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322225546', 1, '2021-07-19 11:51:52', NULL, NULL), (19639, '', '大庙乡', '6f8b7fbd41f94e77ab2e054feaaf1d64', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322230000', 4, '大庙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322230000', 1, '2021-07-19 11:51:52', NULL, NULL), (19640, '', '文庙社区', 'e46d3bca870245588bbd036e065c5c25', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'True', 'false', 'false', '511322230001', 5, '文庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230001', 1, '2021-07-19 11:51:52', NULL, NULL), (19641, '', '新光村', '69e87aab820841c7ba080aa7497981e8', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230070', 5, '新光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230070', 1, '2021-07-19 11:51:52', NULL, NULL), (19642, '', '金堂村', 'cade21e3e8da4a7d9c73f3d2edc83d62', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230086', 5, '金堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230086', 1, '2021-07-19 11:51:53', NULL, NULL), (19643, '', '兰湾村', '5be2613ff05e4cb38f36ddaaf7859857', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230167', 5, '兰湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230167', 1, '2021-07-19 11:51:53', NULL, NULL), (19644, '', '高山村', '6e66e8f3bad24c7097f9ef814475de6d', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230172', 5, '高山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230172', 1, '2021-07-19 11:51:53', NULL, NULL), (19645, '', '高庙村', '0885b424e4ca4833a2d45a4bda0db2e6', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230179', 5, '高庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230179', 1, '2021-07-19 11:51:53', NULL, NULL), (19646, '', '南岳村', '11e2830917784144a94396ec8796ed35', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230201', 5, '南岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230201', 1, '2021-07-19 11:51:53', NULL, NULL), (19647, '', '白衣村', '2fbcc943ace64fd99258a5db62f48cfd', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230202', 5, '白衣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230202', 1, '2021-07-19 11:51:53', NULL, NULL), (19648, '', '古楼村', '5e7d74e555db4029b98c7423a81fee71', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230203', 5, '古楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230203', 1, '2021-07-19 11:51:53', NULL, NULL), (19649, '', '锣鼓村', 'd642d1194e3145e0b25c4bd8f04743b8', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230204', 5, '锣鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230204', 1, '2021-07-19 11:51:53', NULL, NULL), (19650, '', '花冠村', '6bf17078ea934199a9c03023c6f2e18c', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230205', 5, '花冠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230205', 1, '2021-07-19 11:51:53', NULL, NULL), (19651, '', '木家村', 'e0582dea466b4aabab477c1fa0404916', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230206', 5, '木家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230206', 1, '2021-07-19 11:51:53', NULL, NULL), (19652, '', '东沟村', '5ec94b72737b44fb9452b14c5dfed413', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230207', 5, '东沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230207', 1, '2021-07-19 11:51:53', NULL, NULL), (19653, '', '鸡山村', '343315a1f89448a1ac19035c041ccb6a', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230208', 5, '鸡山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230208', 1, '2021-07-19 11:51:53', NULL, NULL), (19654, '', '锅厂村', '61904f4230fa475f90fd90719109557d', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230209', 5, '锅厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230209', 1, '2021-07-19 11:51:53', NULL, NULL), (19655, '', '白庙村', 'cc4902ce806549e9aa49c6675658ca5d', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230210', 5, '白庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230210', 1, '2021-07-19 11:51:53', NULL, NULL), (19656, '', '断垭村', 'b84f08a5c9ee4bdaac8772312f125aa7', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230211', 5, '断垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230211', 1, '2021-07-19 11:51:53', NULL, NULL), (19657, '', '门石村', '62c9461be8fc488f80f761bb53a12d2a', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230212', 5, '门石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230212', 1, '2021-07-19 11:51:53', NULL, NULL), (19658, '', '祠堂村', '938cf5bbe47041e5b5e4cc420f46033e', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230213', 5, '祠堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230213', 1, '2021-07-19 11:51:53', NULL, NULL), (19659, '', '通天村', '3b6be48f550e451e9da22dc7bfb054de', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230427', 5, '通天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230427', 1, '2021-07-19 11:51:53', NULL, NULL), (19660, '', '栀子村', '4e0ff83b2a204c0bb0d81ad2a21d5381', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230430', 5, '栀子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230430', 1, '2021-07-19 11:51:53', NULL, NULL), (19661, '', '龙滩村', '895aedf43a2a447abbd0e09ae4a93dcd', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230578', 5, '龙滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230578', 1, '2021-07-19 11:51:53', NULL, NULL), (19662, '', '全福村', '5b7977438e7e433cac2a17e499b2ddd0', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230579', 5, '全福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230579', 1, '2021-07-19 11:51:53', NULL, NULL), (19663, '', '三元村', '76f36abc4a874f0b9efb21afeec94cfb', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230648', 5, '三元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230648', 1, '2021-07-19 11:51:53', NULL, NULL), (19664, '', '新庙村', '477128e073544408a7b1aafb1ec849c3', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230670', 5, '新庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230670', 1, '2021-07-19 11:51:53', NULL, NULL), (19665, '', '木罗村', '38f0acc516b743feb22a4ff4a26d2793', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230697', 5, '木罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230697', 1, '2021-07-19 11:51:53', NULL, NULL), (19666, '', '月形村', 'e96a1219b748412abbc18dbe16c5cf8a', '6f8b7fbd41f94e77ab2e054feaaf1d64', 'False', 'False', 'false', 'false', '511322230943', 5, '月形村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322230943', 1, '2021-07-19 11:51:53', NULL, NULL), (19667, '', '安化乡', 'a1d3a65541a742398f00283e74e8fc5b', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322232000', 4, '安化乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322232000', 1, '2021-07-19 11:51:54', NULL, NULL), (19668, '', '柑园村', 'f3988046b38a48c0abc942143780afe4', 'a1d3a65541a742398f00283e74e8fc5b', 'False', 'False', 'false', 'false', '511322232201', 5, '柑园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322232201', 1, '2021-07-19 11:51:54', NULL, NULL), (19669, '', '牛尾村', 'ac69153130a34cf887a9d5766be932de', 'a1d3a65541a742398f00283e74e8fc5b', 'False', 'False', 'false', 'false', '511322232202', 5, '牛尾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322232202', 1, '2021-07-19 11:51:54', NULL, NULL), (19670, '', '印心村', '2523a7ea18ef46d28aecfcccb766f21a', 'a1d3a65541a742398f00283e74e8fc5b', 'False', 'False', 'false', 'false', '511322232203', 5, '印心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322232203', 1, '2021-07-19 11:51:54', NULL, NULL), (19671, '', '漏峰村', '0a90e273befe437ea31518ce81dcd00c', 'a1d3a65541a742398f00283e74e8fc5b', 'False', 'False', 'false', 'false', '511322232204', 5, '漏峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322232204', 1, '2021-07-19 11:51:54', NULL, NULL), (19672, '', '灯笼村', 'fc4562ba704f47d7ac6e1c37b84cff9b', 'a1d3a65541a742398f00283e74e8fc5b', 'False', 'False', 'false', 'false', '511322232205', 5, '灯笼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322232205', 1, '2021-07-19 11:51:54', NULL, NULL), (19673, '', '河口村', 'ccd66352e1374acf95fb9800e0ad2b5f', 'a1d3a65541a742398f00283e74e8fc5b', 'False', 'False', 'false', 'false', '511322232206', 5, '河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322232206', 1, '2021-07-19 11:51:54', NULL, NULL), (19674, '', '黄金村', 'a36e4d1bcb80413bba9539f6da934c89', 'a1d3a65541a742398f00283e74e8fc5b', 'False', 'False', 'false', 'false', '511322232207', 5, '黄金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322232207', 1, '2021-07-19 11:51:54', NULL, NULL), (19675, '', '柏木村', 'bd3dcf31f6784d7691c7f3bb88dd7c2f', 'a1d3a65541a742398f00283e74e8fc5b', 'False', 'False', 'false', 'false', '511322232208', 5, '柏木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322232208', 1, '2021-07-19 11:51:54', NULL, NULL), (19676, '', '雪峰村', '76cde59fa7684a4795cab0c64915feb3', 'a1d3a65541a742398f00283e74e8fc5b', 'False', 'False', 'false', 'false', '511322232209', 5, '雪峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322232209', 1, '2021-07-19 11:51:54', NULL, NULL), (19677, '', '黑堰村', '646c0ee2cd6e46439275b7472f3bf36e', 'a1d3a65541a742398f00283e74e8fc5b', 'False', 'False', 'false', 'false', '511322232210', 5, '黑堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322232210', 1, '2021-07-19 11:51:54', NULL, NULL), (19678, '', '爬山村', 'b0a2aaa50a554d479a21e9e37c5a166c', 'a1d3a65541a742398f00283e74e8fc5b', 'False', 'False', 'false', 'false', '511322232211', 5, '爬山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322232211', 1, '2021-07-19 11:51:54', NULL, NULL), (19679, '', '龙古村', '7559624e9f05436f813e7fc74519c419', 'a1d3a65541a742398f00283e74e8fc5b', 'False', 'False', 'false', 'false', '511322232212', 5, '龙古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322232212', 1, '2021-07-19 11:51:54', NULL, NULL), (19680, '', '清水乡', 'a79ce52a039043f6b9d9835d956dd000', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322237000', 4, '清水乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322237000', 1, '2021-07-19 11:51:54', NULL, NULL), (19681, '', '假角村', 'de895d8a075e4ada8c5110e84631b679', 'a79ce52a039043f6b9d9835d956dd000', 'False', 'False', 'false', 'false', '511322237043', 5, '假角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322237043', 1, '2021-07-19 11:51:54', NULL, NULL), (19682, '', '方嘴村', 'fb60655162f8468f82ffa7363c6c7b00', 'a79ce52a039043f6b9d9835d956dd000', 'False', 'False', 'false', 'false', '511322237056', 5, '方嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322237056', 1, '2021-07-19 11:51:54', NULL, NULL), (19683, '', '胡坪村', 'e35265ebafac4ff5ac0ad9af8f9f8745', 'a79ce52a039043f6b9d9835d956dd000', 'False', 'False', 'false', 'false', '511322237060', 5, '胡坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322237060', 1, '2021-07-19 11:51:54', NULL, NULL), (19684, '', '土塘村', '8475a31db2bb4de883f271fcdc106434', 'a79ce52a039043f6b9d9835d956dd000', 'False', 'False', 'false', 'false', '511322237063', 5, '土塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322237063', 1, '2021-07-19 11:51:54', NULL, NULL), (19685, '', '丰收村', '8b890054bd744157a433b9972158b6ac', 'a79ce52a039043f6b9d9835d956dd000', 'False', 'False', 'false', 'false', '511322237183', 5, '丰收村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322237183', 1, '2021-07-19 11:51:54', NULL, NULL), (19686, '', '顶子村', '4ce62b6b17fe43c589b1cddcc3bba127', 'a79ce52a039043f6b9d9835d956dd000', 'False', 'False', 'false', 'false', '511322237201', 5, '顶子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322237201', 1, '2021-07-19 11:51:55', NULL, NULL), (19687, '', '老银村', '3b6abb8cbfa641c2a9f7a5236713fd19', 'a79ce52a039043f6b9d9835d956dd000', 'False', 'False', 'false', 'false', '511322237202', 5, '老银村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322237202', 1, '2021-07-19 11:51:55', NULL, NULL), (19688, '', '双井村', '73a460579609442f8cf343129a7de308', 'a79ce52a039043f6b9d9835d956dd000', 'False', 'False', 'false', 'false', '511322237203', 5, '双井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322237203', 1, '2021-07-19 11:51:55', NULL, NULL), (19689, '', '万书村', '3fc5d472e57a47a087c2a652cf559dd9', 'a79ce52a039043f6b9d9835d956dd000', 'False', 'False', 'false', 'false', '511322237204', 5, '万书村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322237204', 1, '2021-07-19 11:51:55', NULL, NULL), (19690, '', '清水村', '72c2cd8edf284b38ab1037238e2b9b5b', 'a79ce52a039043f6b9d9835d956dd000', 'False', 'False', 'false', 'false', '511322237205', 5, '清水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322237205', 1, '2021-07-19 11:51:55', NULL, NULL), (19691, '', '红岩村', 'f73dac95200d4a89a2e9b1ca011b081d', 'a79ce52a039043f6b9d9835d956dd000', 'False', 'False', 'false', 'false', '511322237206', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322237206', 1, '2021-07-19 11:51:55', NULL, NULL), (19692, '', '银鸽村', '1fd8436e86304b32b06a5f65c05858b1', 'a79ce52a039043f6b9d9835d956dd000', 'False', 'False', 'false', 'false', '511322237207', 5, '银鸽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322237207', 1, '2021-07-19 11:51:55', NULL, NULL), (19693, '', '楼河村', '43f4575f42de41f7bb0c1114688bc906', 'a79ce52a039043f6b9d9835d956dd000', 'False', 'False', 'false', 'false', '511322237282', 5, '楼河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322237282', 1, '2021-07-19 11:51:55', NULL, NULL), (19694, '', '福源村', 'f91975a853b64f759fa09144bb93563e', 'a79ce52a039043f6b9d9835d956dd000', 'False', 'False', 'false', 'false', '511322237607', 5, '福源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322237607', 1, '2021-07-19 11:51:55', NULL, NULL), (19695, '', '宝珠村', '8e762cec911c40c4bad7b8a25e39fce8', 'a79ce52a039043f6b9d9835d956dd000', 'False', 'False', 'false', 'false', '511322237647', 5, '宝珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322237647', 1, '2021-07-19 11:51:55', NULL, NULL), (19696, '', '方井村', '87a5f622a41c448cbae6fd03b0e6a22b', 'a79ce52a039043f6b9d9835d956dd000', 'False', 'False', 'false', 'false', '511322237671', 5, '方井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322237671', 1, '2021-07-19 11:51:55', NULL, NULL), (19697, '', '活佛村', 'e553730169514467af5f7e042a6ebb2f', 'a79ce52a039043f6b9d9835d956dd000', 'False', 'False', 'false', 'false', '511322237803', 5, '活佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322237803', 1, '2021-07-19 11:51:55', NULL, NULL), (19698, '', '水磨村', 'a4afe44c32ee4a02a24055150a1a168f', 'a79ce52a039043f6b9d9835d956dd000', 'False', 'False', 'false', 'false', '511322237930', 5, '水磨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322237930', 1, '2021-07-19 11:51:55', NULL, NULL), (19699, '', '青山镇', 'b624fb86ef994a7997fcaf0fe695a6ac', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322262000', 4, '三兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322262000', 1, '2021-07-19 11:51:55', NULL, NULL), (19700, '', '双马村', '7a7d1afa71fa4d7a956e24d1c189ac18', 'b624fb86ef994a7997fcaf0fe695a6ac', 'False', 'False', 'false', 'false', '511322112170', 5, '双马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322112170', 1, '2021-07-19 11:51:55', NULL, NULL), (19701, '', '兴南村', '97e120a21d894a99be3a974357a900f1', 'b624fb86ef994a7997fcaf0fe695a6ac', 'False', 'False', 'false', 'false', '511322112201', 5, '兴南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322112201', 1, '2021-07-19 11:51:55', NULL, NULL), (19702, '', '铺垭村', 'd2c3326f2bfa45fcbcf89c540ba482c4', 'b624fb86ef994a7997fcaf0fe695a6ac', 'False', 'False', 'false', 'false', '511322112202', 5, '铺垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322112202', 1, '2021-07-19 11:51:55', NULL, NULL), (19703, '', '葫芦村', 'ee00dbfdcc36401ab5dc9fb204b03635', 'b624fb86ef994a7997fcaf0fe695a6ac', 'False', 'False', 'false', 'false', '511322112203', 5, '葫芦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322112203', 1, '2021-07-19 11:51:55', NULL, NULL), (19704, '', '鸡梁村', '556e67641640461ea47672bf56ea6aa8', 'b624fb86ef994a7997fcaf0fe695a6ac', 'False', 'False', 'false', 'false', '511322112204', 5, '鸡梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322112204', 1, '2021-07-19 11:51:56', NULL, NULL), (19705, '', '顺水村', '3d9242d905324355a17b636f20cfa4ce', 'b624fb86ef994a7997fcaf0fe695a6ac', 'False', 'False', 'false', 'false', '511322112205', 5, '顺水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322112205', 1, '2021-07-19 11:51:56', NULL, NULL), (19706, '', '开源村', 'c319550e9be84375ba25b7c8d5b341ce', 'b624fb86ef994a7997fcaf0fe695a6ac', 'False', 'False', 'false', 'false', '511322112206', 5, '开源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322112206', 1, '2021-07-19 11:51:56', NULL, NULL), (19707, '', '龙禹村', 'b3c41c4c395c427db91599ad414a7d61', 'b624fb86ef994a7997fcaf0fe695a6ac', 'False', 'False', 'false', 'false', '511322112207', 5, '龙禹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322112207', 1, '2021-07-19 11:51:56', NULL, NULL), (19708, '', '凤王村', '511b7a31c5ae4b42bfd0c43ee9c9a981', 'b624fb86ef994a7997fcaf0fe695a6ac', 'False', 'False', 'false', 'false', '511322112418', 5, '凤王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322112418', 1, '2021-07-19 11:51:56', NULL, NULL), (19709, '', '大树村', 'c390c7f4856e4eef8eba023ac069506c', 'b624fb86ef994a7997fcaf0fe695a6ac', 'False', 'False', 'false', 'false', '511322112462', 5, '大树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322112462', 1, '2021-07-19 11:51:56', NULL, NULL), (19710, '', '三湾村', '1197fb014aaa4293b6a170e3eaaccd7e', 'b624fb86ef994a7997fcaf0fe695a6ac', 'False', 'False', 'false', 'false', '511322112470', 5, '三湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322112470', 1, '2021-07-19 11:51:56', NULL, NULL), (19711, '', '高梁村', 'd7d1091a6a834b3dac9d566611062bf4', 'b624fb86ef994a7997fcaf0fe695a6ac', 'False', 'False', 'false', 'false', '511322112484', 5, '高梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322112484', 1, '2021-07-19 11:51:56', NULL, NULL), (19712, '', '高椅村', '2f1acf3e637c471c885b9bb5b9368f74', 'b624fb86ef994a7997fcaf0fe695a6ac', 'False', 'False', 'false', 'false', '511322112667', 5, '高椅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322112667', 1, '2021-07-19 11:51:56', NULL, NULL), (19713, '', '山北村', '40d2cc6bfc8349058b34effddc887c59', 'b624fb86ef994a7997fcaf0fe695a6ac', 'False', 'False', 'false', 'false', '511322112712', 5, '山北村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322112712', 1, '2021-07-19 11:51:56', NULL, NULL), (19714, '', '双鱼村', '84784a91c2c743ff953633433671c2db', 'b624fb86ef994a7997fcaf0fe695a6ac', 'False', 'False', 'false', 'false', '511322112720', 5, '双鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322112720', 1, '2021-07-19 11:51:56', NULL, NULL), (19715, '', '太白村', '6a441a643d63452389236dd92d834aa8', 'b624fb86ef994a7997fcaf0fe695a6ac', 'False', 'False', 'false', 'false', '511322112783', 5, '太白村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322112783', 1, '2021-07-19 11:51:56', NULL, NULL), (19716, '', '马坪村', '15d643a18b724907ad1d9d483672ea6e', 'b624fb86ef994a7997fcaf0fe695a6ac', 'False', 'False', 'false', 'false', '511322112881', 5, '马坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322112881', 1, '2021-07-19 11:51:56', NULL, NULL), (19717, '', '蓼叶镇', '187f2e12dc8a4566ab78e004900d6f12', '166067235b214a6f99e5e47c1b764afe', 'True', 'True', 'false', 'false', '511322671000', 4, '蓼叶镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511322671000', 1, '2021-07-19 11:51:56', NULL, NULL), (19718, '', '毛官村', '3fb7f2a1240d4b7a90cc90e89b617b3b', '187f2e12dc8a4566ab78e004900d6f12', 'False', 'False', 'false', 'false', '511322113038', 5, '毛官村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322113038', 1, '2021-07-19 11:51:56', NULL, NULL), (19719, '', '天池村', '9afd72c0ddbd486ca90006b5dc1778f6', '187f2e12dc8a4566ab78e004900d6f12', 'False', 'False', 'false', 'false', '511322113201', 5, '天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322113201', 1, '2021-07-19 11:51:56', NULL, NULL), (19720, '', '大佛村', '38dc927ed89d45169f6fd9a0349bbab8', '187f2e12dc8a4566ab78e004900d6f12', 'False', 'False', 'false', 'false', '511322113202', 5, '大佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322113202', 1, '2021-07-19 11:51:56', NULL, NULL), (19721, '', '鹅颈村', 'a349bba4cdd4423b847cf49dad82bcd1', '187f2e12dc8a4566ab78e004900d6f12', 'False', 'False', 'false', 'false', '511322113203', 5, '鹅颈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322113203', 1, '2021-07-19 11:51:56', NULL, NULL), (19722, '', '南路村', '50029932da984aa19540cf4a2c20dfb4', '187f2e12dc8a4566ab78e004900d6f12', 'False', 'False', 'false', 'false', '511322113204', 5, '南路村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322113204', 1, '2021-07-19 11:51:57', NULL, NULL), (19723, '', '砚台村', '99af9f6a671140b4a74658f24b3650cb', '187f2e12dc8a4566ab78e004900d6f12', 'False', 'False', 'false', 'false', '511322113205', 5, '砚台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322113205', 1, '2021-07-19 11:51:57', NULL, NULL), (19724, '', '白坡村', '9f74aac551f247f3ac946b8e6980c587', '187f2e12dc8a4566ab78e004900d6f12', 'False', 'False', 'false', 'false', '511322113206', 5, '白坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322113206', 1, '2021-07-19 11:51:57', NULL, NULL), (19725, '', '宝塔村', '8d30a8057e8642139c954d73f39baf68', '187f2e12dc8a4566ab78e004900d6f12', 'False', 'False', 'false', 'false', '511322113207', 5, '宝塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322113207', 1, '2021-07-19 11:51:57', NULL, NULL), (19726, '', '磨墩村', 'c746653a06d14f61bf328c17bfd17b68', '187f2e12dc8a4566ab78e004900d6f12', 'False', 'False', 'false', 'false', '511322113208', 5, '磨墩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322113208', 1, '2021-07-19 11:51:57', NULL, NULL), (19727, '', '太公村', '675d67c904d7414da7a0790997cdee3b', '187f2e12dc8a4566ab78e004900d6f12', 'False', 'False', 'false', 'false', '511322113209', 5, '太公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322113209', 1, '2021-07-19 11:51:57', NULL, NULL), (19728, '', '石墙村', '76ff9a25c18a4b64875ffcadb75367c3', '187f2e12dc8a4566ab78e004900d6f12', 'False', 'False', 'false', 'false', '511322113340', 5, '石墙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322113340', 1, '2021-07-19 11:51:57', NULL, NULL), (19729, '', '阳关村', 'caa467154dbd40d1a5b4cbacf1f430aa', '187f2e12dc8a4566ab78e004900d6f12', 'False', 'False', 'false', 'false', '511322113474', 5, '阳关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322113474', 1, '2021-07-19 11:51:57', NULL, NULL), (19730, '', '途中村', '5a13ef1f1a6b4f92ba10fb9974ee1cd0', '187f2e12dc8a4566ab78e004900d6f12', 'False', 'False', 'false', 'false', '511322113633', 5, '途中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322113633', 1, '2021-07-19 11:51:57', NULL, NULL), (19731, '', '太阳村', 'a1c80e8fec474cd893dd113af05ffd7e', '187f2e12dc8a4566ab78e004900d6f12', 'False', 'False', 'false', 'false', '511322113638', 5, '太阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322113638', 1, '2021-07-19 11:51:57', NULL, NULL), (19732, '', '梅垭村', 'cad0b2e322cf496f96eaa8bb29609f79', '187f2e12dc8a4566ab78e004900d6f12', 'False', 'False', 'false', 'false', '511322113664', 5, '梅垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322113664', 1, '2021-07-19 11:51:57', NULL, NULL), (19733, '', '磨型村', 'd90ceda45bd14129ad3ea2cd59712165', '187f2e12dc8a4566ab78e004900d6f12', 'False', 'False', 'false', 'false', '511322113670', 5, '磨型村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322113670', 1, '2021-07-19 11:51:57', NULL, NULL), (19734, '', '锣厂村', 'd260344531e64a968e6b44b5b44a325c', '187f2e12dc8a4566ab78e004900d6f12', 'False', 'False', 'false', 'false', '511322113800', 5, '锣厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322113800', 1, '2021-07-19 11:51:57', NULL, NULL), (19735, '', '二郎村', 'cc09ff6e97fd4a69aab25c4efa1ce95a', '187f2e12dc8a4566ab78e004900d6f12', 'False', 'False', 'false', 'false', '511322113804', 5, '二郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511322113804', 1, '2021-07-19 11:51:57', NULL, NULL), (19736, '', '蓬安县', 'b16510179de34db18a30e0e7fd390e2a', 'd9f01e465bbf4f06b12dda9480080f67', 'True', 'True', 'false', 'false', '511323000000', 3, '蓬安县', 'ncspax.sczwfw.gov.cn', 1, '2021-07-19 11:51:57', NULL, NULL), (19737, '', '周口街道办', 'd808ee1c35f248619153c302dea6f3bd', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323001000', 4, '周口街道办', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323001000', 1, '2021-07-19 11:51:57', NULL, NULL), (19738, '', '下河街社区居民委员会', '8134cebdc49f414b823f7813c7a31149', 'd808ee1c35f248619153c302dea6f3bd', 'False', 'False', 'false', 'false', '511323001001', 5, '下河街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323001001', 1, '2021-07-19 11:51:57', NULL, NULL), (19739, '', '磨子西街社区居民委员会', '4e696416886e4cc9b53bfa821cf3bb3c', 'd808ee1c35f248619153c302dea6f3bd', 'False', 'False', 'false', 'false', '511323001002', 5, '磨子西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323001002', 1, '2021-07-19 11:51:58', NULL, NULL), (19740, '', '磨子东街社区委员会', '918379f885b54248a1a91b42769fe725', 'd808ee1c35f248619153c302dea6f3bd', 'False', 'False', 'false', 'false', '511323001003', 5, '磨子东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323001003', 1, '2021-07-19 11:51:58', NULL, NULL), (19741, '', '笔架山社区委员会', 'da6b62676ae3493281bcf6db9b89c896', 'd808ee1c35f248619153c302dea6f3bd', 'False', 'False', 'false', 'false', '511323001004', 5, '笔架山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323001004', 1, '2021-07-19 11:51:58', NULL, NULL), (19742, '', '建设南路社区居民委员会', '53de46b042714166aa6baca127f77a4c', 'd808ee1c35f248619153c302dea6f3bd', 'False', 'False', 'false', 'false', '511323001005', 5, '建设南路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323001005', 1, '2021-07-19 11:51:58', NULL, NULL), (19743, '', '东风路社区居民委员会', '25b70c133b19446580f9cf571a444c77', 'd808ee1c35f248619153c302dea6f3bd', 'False', 'False', 'false', 'false', '511323001006', 5, '东风路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323001006', 1, '2021-07-19 11:51:58', NULL, NULL), (19744, '', '青龙街社区居民委员会', 'ae8259fa5a5d4a85967e619e90d0b70c', 'd808ee1c35f248619153c302dea6f3bd', 'False', 'False', 'false', 'false', '511323001007', 5, '青龙街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323001007', 1, '2021-07-19 11:51:58', NULL, NULL), (19745, '', '三湾堰社区居民委员会', '4f081a97b78442159df3088de035a6cd', 'd808ee1c35f248619153c302dea6f3bd', 'False', 'False', 'false', 'false', '511323001008', 5, '三湾堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323001008', 1, '2021-07-19 11:51:58', NULL, NULL), (19746, '', '龙角山社区居民委员会', '7dee8a524439460c9e53d514f808e034', 'd808ee1c35f248619153c302dea6f3bd', 'False', 'False', 'false', 'false', '511323001009', 5, '龙角山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323001009', 1, '2021-07-19 11:51:58', NULL, NULL), (19747, '', '茅店子社区居民委员会', '022724da29984a6b842d6f441e2413ca', 'd808ee1c35f248619153c302dea6f3bd', 'False', 'False', 'false', 'false', '511323001010', 5, '茅店子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323001010', 1, '2021-07-19 11:51:58', NULL, NULL), (19748, '', '木桥沟社区居民委员会', '7ef045f9b7044c1d8ad8e588c1b31f42', 'd808ee1c35f248619153c302dea6f3bd', 'False', 'False', 'false', 'false', '511323001011', 5, '木桥沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323001011', 1, '2021-07-19 11:51:58', NULL, NULL), (19749, '', '堂房村村民委员会', 'dd0fc9fc77844b3f99de2523ed130d65', 'd808ee1c35f248619153c302dea6f3bd', 'False', 'False', 'false', 'false', '511323001205', 5, '堂房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323001205', 1, '2021-07-19 11:51:58', NULL, NULL), (19750, '', '双河口村村民委员会', '8a08da5746b24d07943a9e66364764ce', 'd808ee1c35f248619153c302dea6f3bd', 'False', 'False', 'false', 'false', '511323001208', 5, '双河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323001208', 1, '2021-07-19 11:51:58', NULL, NULL), (19751, '', '毛坝子村村民委员会', 'd0efa919793f4d629e131267b00e3345', 'd808ee1c35f248619153c302dea6f3bd', 'False', 'False', 'false', 'false', '511323001211', 5, '毛坝子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323001211', 1, '2021-07-19 11:51:58', NULL, NULL), (19752, '', '牛毛漩村村民委员会', 'b0d38ab382e44f82887c934ad19cab35', 'd808ee1c35f248619153c302dea6f3bd', 'False', 'False', 'false', 'false', '511323001213', 5, '牛毛漩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323001213', 1, '2021-07-19 11:51:58', NULL, NULL), (19753, '', '相如街道', '1f49045c856845978899ff39bf198494', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323115000', 4, '相如街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323115000', 1, '2021-07-19 11:51:58', NULL, NULL), (19754, '', '真武山社区居民委员会', '3d6247479ee14059a256ba1913f89751', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002001', 5, '真武山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002001', 1, '2021-07-19 11:51:58', NULL, NULL), (19755, '', '城南桥社区居民委员会', '36aa6a68b5224deb9af45274db1d9fab', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002002', 5, '城南桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002002', 1, '2021-07-19 11:51:58', NULL, NULL), (19756, '', '铧厂社区居民委员会', '2e8cfb810a2d433da8bf849a06c05dc4', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002003', 5, '铧厂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002003', 1, '2021-07-19 11:51:58', NULL, NULL), (19757, '', '凤凰山社区居民委员会', 'f928113b91c443db9d311c6d16262a90', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002004', 5, '凤凰山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002004', 1, '2021-07-19 11:51:58', NULL, NULL), (19758, '', '相如山社区居民委员会', '51d3f7071ee4417c95e96866f01367f8', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002005', 5, '相如山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002005', 1, '2021-07-19 11:51:59', NULL, NULL), (19759, '', '团包岭社区居民委员会', '4d13a5504c4641bba358000dcb8be745', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002006', 5, '团包岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002006', 1, '2021-07-19 11:51:59', NULL, NULL), (19760, '', '土祖庙社区居民委员会', 'd531a8671b6c48be8c7e9fbc371db17e', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002007', 5, '土祖庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002007', 1, '2021-07-19 11:51:59', NULL, NULL), (19761, '', '火车站社区居民委员会', '1a391c543990470390904739bb52ca5c', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002008', 5, '火车站社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002008', 1, '2021-07-19 11:51:59', NULL, NULL), (19762, '', '回龙沟社区居民委员会', 'd3ac0de294074ce39fa7bb12c24f4c5d', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002009', 5, '回龙沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002009', 1, '2021-07-19 11:51:59', NULL, NULL), (19763, '', '凤仙寨社区居民委员会', 'fbfd4850e296411c891ce5bd0412af1c', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002010', 5, '凤仙寨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002010', 1, '2021-07-19 11:51:59', NULL, NULL), (19764, '', '罐子坝社区居民委员会', 'b37b40100d504405ae7816e346097ceb', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002011', 5, '罐子坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002011', 1, '2021-07-19 11:51:59', NULL, NULL), (19765, '', '檬子垭社区居民委员会', 'c109a321accf4695a09dfce86f1c9d2e', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002012', 5, '檬子垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002012', 1, '2021-07-19 11:51:59', NULL, NULL), (19766, '', '油房沟社区居民委员会', '0cd585403792440d87b59e2bdec1f30f', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002013', 5, '油房沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002013', 1, '2021-07-19 11:51:59', NULL, NULL), (19767, '', '塔子山社区居民委员会', 'e3f1c57ec45f4d41a54a60adfad23245', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002014', 5, '塔子山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002014', 1, '2021-07-19 11:51:59', NULL, NULL), (19768, '', '三星桥社区居民委员会', 'cd506a3ed3a4418494fd6e6ecebb695a', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002015', 5, '三星桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002015', 1, '2021-07-19 11:51:59', NULL, NULL), (19769, '', '玉龙山社区居民委员会', '69840154537c41c0b856d0b48f930a3c', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002016', 5, '玉龙山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002016', 1, '2021-07-19 11:51:59', NULL, NULL), (19770, '', '龙滩桥社区居民委员会', '58c201109111461795403ec9a347f2e4', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002017', 5, '龙滩桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002017', 1, '2021-07-19 11:51:59', NULL, NULL), (19771, '', '古楼沟村村民委员会', '99fc62f31489485684b684138e158ca2', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002220', 5, '古楼沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002220', 1, '2021-07-19 11:51:59', NULL, NULL), (19772, '', '黄金沟村村民委员会', 'a1059f6e7a1c4594b393912173810eed', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002222', 5, '黄金沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002222', 1, '2021-07-19 11:51:59', NULL, NULL), (19773, '', '龙岗寨村村民委员会', 'f2abf4e0069f4a15b3d2013c6231c52b', '1f49045c856845978899ff39bf198494', 'False', 'False', 'false', 'false', '511323002228', 5, '龙岗寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323002228', 1, '2021-07-19 11:51:59', NULL, NULL), (19774, '', '锦屏镇', '8d6b87cfb94a4ca99db786094bc0cd73', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323101000', 4, '锦屏镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323101000', 1, '2021-07-19 11:51:59', NULL, NULL), (19775, '', '街道社区', '4ea701ed7c8d4a78abb8ed5a4a4715b2', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101001', 5, '街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101001', 1, '2021-07-19 11:51:59', NULL, NULL), (19776, '', '黄桷树社区', '75c845f91e714bceafa867bcb4e365f0', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101002', 5, '黄桷树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101002', 1, '2021-07-19 11:52:00', NULL, NULL), (19777, '', '北门村', 'a9f0016f90d14f3897e68cd921fe84c9', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101201', 5, '北门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101201', 1, '2021-07-19 11:52:00', NULL, NULL), (19778, '', '石子岭村', 'f3093003615247a39c025cedbe7e0dcd', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101202', 5, '石子岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101202', 1, '2021-07-19 11:52:00', NULL, NULL), (19779, '', '玉房村', '6672bc0ef02241caae63ac03b82aa921', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101203', 5, '玉房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101203', 1, '2021-07-19 11:52:00', NULL, NULL), (19780, '', '嘉陵村', '11d0c46219d84341a403166b344be206', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101204', 5, '嘉陵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101204', 1, '2021-07-19 11:52:00', NULL, NULL), (19781, '', '鹅公山村', 'f13d8ad5a48f43859666153b6d6c3174', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101205', 5, '鹅公山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101205', 1, '2021-07-19 11:52:00', NULL, NULL), (19782, '', '岳家沟村', '6a31470c7214419eacd7ccb19e3a48eb', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101206', 5, '岳家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101206', 1, '2021-07-19 11:52:00', NULL, NULL), (19783, '', '河垭口村', 'add0df5c62af41f1b921e5e4bf3112d4', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101207', 5, '河垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101207', 1, '2021-07-19 11:52:00', NULL, NULL), (19784, '', '天星村', '5568b167bea84362b907875e55897f12', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101208', 5, '天星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101208', 1, '2021-07-19 11:52:00', NULL, NULL), (19785, '', '金凤村', '5244d653d42f4d8ab14f438918becd0f', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101209', 5, '金凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101209', 1, '2021-07-19 11:52:00', NULL, NULL), (19786, '', '龙潭村', '267b6db0b244469ebe2422dca29ba8fb', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101210', 5, '龙潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101210', 1, '2021-07-19 11:52:00', NULL, NULL), (19787, '', '张家沟村', '08f1cefbf0a54574a671ba7813344df3', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101211', 5, '张家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101211', 1, '2021-07-19 11:52:00', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (19788, '', '双桥子村', '8d5cb61a6a5845b0827be9fb46553889', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101212', 5, '双桥子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101212', 1, '2021-07-19 11:52:00', NULL, NULL), (19789, '', '莲花村', '204ed19838ff4dd3b48ce075a87dd492', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101213', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101213', 1, '2021-07-19 11:52:00', NULL, NULL), (19790, '', '西拱桥村', 'e4d9908823d44cfbad889766264839bd', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101214', 5, '西拱桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101214', 1, '2021-07-19 11:52:00', NULL, NULL), (19791, '', '盐井坝村', 'f3539c81a0e741c486818bdd592ae9ec', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101215', 5, '盐井坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101215', 1, '2021-07-19 11:52:00', NULL, NULL), (19792, '', '卢家坪村', 'dbb16d51b3c2425f9ca35bbb554001ed', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101216', 5, '卢家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101216', 1, '2021-07-19 11:52:00', NULL, NULL), (19793, '', '胡家浩村', '63bf2ee26cea4fdfa526ad21fec82577', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101217', 5, '胡家浩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101217', 1, '2021-07-19 11:52:01', NULL, NULL), (19794, '', '金鸡口村', '44ac749968864f87b8c95cbcdc30a352', '8d6b87cfb94a4ca99db786094bc0cd73', 'False', 'True', 'false', 'false', '511323101218', 5, '金鸡口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323101218', 1, '2021-07-19 11:52:01', NULL, NULL), (19795, '', '巨龙镇', '7fe658addfa1431885fcce115f21a0e8', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323102000', 4, '巨龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323102000', 1, '2021-07-19 11:52:01', NULL, NULL), (19796, '', '巨龙街道', '5a2ba3e0abad4473ba490127a6606b0c', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102001', 5, '巨龙街道', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102001', 1, '2021-07-19 11:52:01', NULL, NULL), (19797, '', '巨龙村', 'c75d04fd4a6149eaa585333f64847ff2', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102201', 5, '巨龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102201', 1, '2021-07-19 11:52:01', NULL, NULL), (19798, '', '双龙村', 'a995e133bb4a4c98b2f1b4f99b6be501', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102202', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102202', 1, '2021-07-19 11:52:01', NULL, NULL), (19799, '', '光明村', '0e700111be4a453f8e62af71cf5137eb', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102203', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102203', 1, '2021-07-19 11:52:01', NULL, NULL), (19800, '', '羊角嘴村', '4f51cc104cf948978a1fd3bc173064e2', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102204', 5, '羊角嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102204', 1, '2021-07-19 11:52:01', NULL, NULL), (19801, '', '丰收村', '82186a9619bb4b35852eebc544101955', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102205', 5, '丰收村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102205', 1, '2021-07-19 11:52:01', NULL, NULL), (19802, '', '分水岭村', '493690c689a0401eb2a83ad4b5a4fece', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102206', 5, '分水岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102206', 1, '2021-07-19 11:52:01', NULL, NULL), (19803, '', '合作村', '3d08751459a248799ac463118e63ce42', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102207', 5, '合作村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102207', 1, '2021-07-19 11:52:01', NULL, NULL), (19804, '', '马家嘴村', '07dedfb33b7949aba589d81ab7cd59f7', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102208', 5, '马家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102208', 1, '2021-07-19 11:52:01', NULL, NULL), (19805, '', '东来村', 'c081052987224312843778903ea1baba', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102209', 5, '东来村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102209', 1, '2021-07-19 11:52:01', NULL, NULL), (19806, '', '关家坪村', '6b687c2c2ecf46d19a9e2d6134fd6817', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102210', 5, '关家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102210', 1, '2021-07-19 11:52:01', NULL, NULL), (19807, '', '观音沟村', 'f32b23b988914199aaa8525eceb71e59', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102211', 5, '观音沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102211', 1, '2021-07-19 11:52:01', NULL, NULL), (19808, '', '龙眼村', '8c8275c1f52548b4bb63adf202ede9fc', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102212', 5, '龙眼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102212', 1, '2021-07-19 11:52:01', NULL, NULL), (19809, '', '大山岭村', '6fab5ae0f7a74b18b2e4dd079f8d5c2b', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102213', 5, '大山岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102213', 1, '2021-07-19 11:52:01', NULL, NULL), (19810, '', '石鸭子村', 'cbd6c34221ef479699d7d32e08af50ca', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102214', 5, '石鸭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102214', 1, '2021-07-19 11:52:01', NULL, NULL), (19811, '', '金龟村', '2838d4bd58a541618bd5340b13591f37', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102215', 5, '金龟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102215', 1, '2021-07-19 11:52:01', NULL, NULL), (19812, '', '东岳村', '443d783648924f50b632caf285c2df8d', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102216', 5, '东岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102216', 1, '2021-07-19 11:52:02', NULL, NULL), (19813, '', '七一村', 'da753519e3674b278e7e8b019a8c6486', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102217', 5, '七一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102217', 1, '2021-07-19 11:52:02', NULL, NULL), (19814, '', '双马村', 'c3c06017e779455c86bcb45c20baeb75', '7fe658addfa1431885fcce115f21a0e8', 'False', 'True', 'false', 'false', '511323102218', 5, '双马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323102218', 1, '2021-07-19 11:52:02', NULL, NULL), (19815, '', '正源镇', 'b5af4964888f4eddbde428a4db93ae32', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323103000', 4, '正源镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323103000', 1, '2021-07-19 11:52:02', NULL, NULL), (19816, '', '正源社区', 'afc4eec8929145e1868f7c61ace5cc92', 'b5af4964888f4eddbde428a4db93ae32', 'False', 'True', 'false', 'false', '511323103001', 5, '正源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323103001', 1, '2021-07-19 11:52:02', NULL, NULL), (19817, '', '望江村', 'f193cb8e9c3e4c329302e78508ead51f', 'b5af4964888f4eddbde428a4db93ae32', 'False', 'True', 'false', 'false', '511323103201', 5, '望江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323103201', 1, '2021-07-19 11:52:02', NULL, NULL), (19818, '', '金刚村', '2dab934221594ef7afa4cce15aea08b8', 'b5af4964888f4eddbde428a4db93ae32', 'False', 'True', 'false', 'false', '511323103202', 5, '金刚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323103202', 1, '2021-07-19 11:52:02', NULL, NULL), (19819, '', '石牛村', '3b51bf7cbbec4da196aad79892d5fb90', 'b5af4964888f4eddbde428a4db93ae32', 'False', 'True', 'false', 'false', '511323103203', 5, '石牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323103203', 1, '2021-07-19 11:52:02', NULL, NULL), (19820, '', '前进村', '0a871f605ed04272b1c99f16b272810c', 'b5af4964888f4eddbde428a4db93ae32', 'False', 'True', 'false', 'false', '511323103204', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323103204', 1, '2021-07-19 11:52:02', NULL, NULL), (19821, '', '三墩村', '887440854f284ff990e044c2de20f810', 'b5af4964888f4eddbde428a4db93ae32', 'False', 'True', 'false', 'false', '511323103205', 5, '三墩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323103205', 1, '2021-07-19 11:52:02', NULL, NULL), (19822, '', '黄梁村', '20cd03ca083c478eac41b9480a885e6c', 'b5af4964888f4eddbde428a4db93ae32', 'False', 'True', 'false', 'false', '511323103206', 5, '黄梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323103206', 1, '2021-07-19 11:52:02', NULL, NULL), (19823, '', '安坪村', '3dfc7bc097b44578bcef9d0cfc2c538b', 'b5af4964888f4eddbde428a4db93ae32', 'False', 'True', 'false', 'false', '511323103207', 5, '安坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323103207', 1, '2021-07-19 11:52:02', NULL, NULL), (19824, '', '深沟村', 'f3f207b28fd24df8ba55fc90b4ab6734', 'b5af4964888f4eddbde428a4db93ae32', 'False', 'True', 'false', 'false', '511323103208', 5, '深沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323103208', 1, '2021-07-19 11:52:02', NULL, NULL), (19825, '', '古峰村', '134cc80adac0482b97a415229dc93e4e', 'b5af4964888f4eddbde428a4db93ae32', 'False', 'True', 'false', 'false', '511323103209', 5, '古峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323103209', 1, '2021-07-19 11:52:02', NULL, NULL), (19826, '', '红豆村', 'fc7b8ffa538e44459eaf40b99e867426', 'b5af4964888f4eddbde428a4db93ae32', 'False', 'True', 'false', 'false', '511323103210', 5, '红豆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323103210', 1, '2021-07-19 11:52:02', NULL, NULL), (19827, '', '铜鼓村', '0f806f0003654ea7bcc2a08dde8527dc', 'b5af4964888f4eddbde428a4db93ae32', 'False', 'True', 'false', 'false', '511323103211', 5, '铜鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323103211', 1, '2021-07-19 11:52:02', NULL, NULL), (19828, '', '平梁村', '2aeebc000432418e856f1f7f066fca08', 'b5af4964888f4eddbde428a4db93ae32', 'False', 'True', 'false', 'false', '511323103212', 5, '平梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323103212', 1, '2021-07-19 11:52:02', NULL, NULL), (19829, '', '金线村', 'e5fb7ce493a249ff908aec1b5cc586e4', 'b5af4964888f4eddbde428a4db93ae32', 'False', 'True', 'false', 'false', '511323103213', 5, '金线村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323103213', 1, '2021-07-19 11:52:03', NULL, NULL), (19830, '', '金溪镇', '5e65424cf5b54a548f31f922586b0fbd', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323105000', 4, '金溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323105000', 1, '2021-07-19 11:52:03', NULL, NULL), (19831, '', '金溪社区', '0821eb1eac1747d097eb9b812878ec00', '5e65424cf5b54a548f31f922586b0fbd', 'False', 'True', 'false', 'false', '511323105001', 5, '金溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323105001', 1, '2021-07-19 11:52:03', NULL, NULL), (19832, '', '俞家坝村', 'a810f31ea8fd458fb17da09d0ce19b8d', '5e65424cf5b54a548f31f922586b0fbd', 'False', 'True', 'false', 'false', '511323105201', 5, '俞家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323105201', 1, '2021-07-19 11:52:03', NULL, NULL), (19833, '', '万缘村', '0774930aba9d434d9e9844b4d8226d0c', '5e65424cf5b54a548f31f922586b0fbd', 'False', 'True', 'false', 'false', '511323105205', 5, '万缘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323105205', 1, '2021-07-19 11:52:03', NULL, NULL), (19834, '', '灰包梁村', '7151689e20fc433885079df93d55ee18', '5e65424cf5b54a548f31f922586b0fbd', 'False', 'True', 'false', 'false', '511323105208', 5, '灰包梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323105208', 1, '2021-07-19 11:52:03', NULL, NULL), (19835, '', '碧山村', '7edd2af08bc7495b86be2bcb7b9c4bf6', '5e65424cf5b54a548f31f922586b0fbd', 'False', 'True', 'false', 'false', '511323105209', 5, '碧山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323105209', 1, '2021-07-19 11:52:03', NULL, NULL), (19836, '', '唐家坝村', 'c6c99ebfe6734ce7aefd2c25b4987566', '5e65424cf5b54a548f31f922586b0fbd', 'False', 'True', 'false', 'false', '511323105211', 5, '唐家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323105211', 1, '2021-07-19 11:52:03', NULL, NULL), (19837, '', '马家桥村', '77dbf145467848dda09b7adba36c006a', '5e65424cf5b54a548f31f922586b0fbd', 'False', 'True', 'false', 'false', '511323105213', 5, '马家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323105213', 1, '2021-07-19 11:52:03', NULL, NULL), (19838, '', '沈家坝村', '13623d605e2843938b28420a94c77436', '5e65424cf5b54a548f31f922586b0fbd', 'False', 'True', 'false', 'false', '511323105216', 5, '沈家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323105216', 1, '2021-07-19 11:52:03', NULL, NULL), (19839, '', '紫石坝村', 'c31838b6b3324b0f95fa996573d1bce8', '5e65424cf5b54a548f31f922586b0fbd', 'False', 'True', 'false', 'false', '511323105218', 5, '紫石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323105218', 1, '2021-07-19 11:52:03', NULL, NULL), (19840, '', '万和村', '30cf5d6ba0c243028c161bfd64d294f3', '5e65424cf5b54a548f31f922586b0fbd', 'False', 'True', 'false', 'false', '511323105221', 5, '万和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323105221', 1, '2021-07-19 11:52:03', NULL, NULL), (19841, '', '响滩村', '3baf116e91c34541b1642fb5beab7132', '5e65424cf5b54a548f31f922586b0fbd', 'False', 'True', 'false', 'false', '511323105222', 5, '响滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323105222', 1, '2021-07-19 11:52:03', NULL, NULL), (19842, '', '史家坝', '0bde07a63ca544538b49d2fdeebb1413', '5e65424cf5b54a548f31f922586b0fbd', 'False', 'True', 'false', 'false', '511323105224', 5, '史家坝', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323105224', 1, '2021-07-19 11:52:03', NULL, NULL), (19843, '', '凤阳山村', '6becb0b685a741a1a77fbea2577ac4e3', '5e65424cf5b54a548f31f922586b0fbd', 'False', 'True', 'false', 'false', '511323105225', 5, '凤阳山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323105225', 1, '2021-07-19 11:52:03', NULL, NULL), (19844, '', '白岩寨村', 'e35b8a4b7db94273bfa55198700e2d6d', '5e65424cf5b54a548f31f922586b0fbd', 'False', 'True', 'false', 'false', '511323105227', 5, '白岩寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323105227', 1, '2021-07-19 11:52:03', NULL, NULL), (19845, '', '向东村', '2bcf26a242f4466f881a4638ac7fdc2f', '5e65424cf5b54a548f31f922586b0fbd', 'False', 'True', 'false', 'false', '511323105230', 5, '向东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323105230', 1, '2021-07-19 11:52:03', NULL, NULL), (19846, '', '亮垭子村', '344bc8abab5e429693ebe6a6aa9406de', '5e65424cf5b54a548f31f922586b0fbd', 'False', 'True', 'false', 'false', '511323105233', 5, '亮垭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323105233', 1, '2021-07-19 11:52:04', NULL, NULL), (19847, '', '云华村', '51d59fcc4b6e4aa8aebfef0651296360', '5e65424cf5b54a548f31f922586b0fbd', 'False', 'True', 'false', 'false', '511323105235', 5, '云华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323105235', 1, '2021-07-19 11:52:04', NULL, NULL), (19848, '', '谢家店村', 'a969fd59ada74c3c9dd55e6f09a5d03b', '5e65424cf5b54a548f31f922586b0fbd', 'False', 'True', 'false', 'false', '511323105238', 5, '谢家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323105238', 1, '2021-07-19 11:52:04', NULL, NULL), (19849, '', '徐家镇', 'a2e7747c9d8744a2af14d50157b9c6ba', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323106000', 4, '徐家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323106000', 1, '2021-07-19 11:52:04', NULL, NULL), (19850, '', '月光坪村', '1853460c08f84cee9671484889d0f623', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106201', 5, '月光坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106201', 1, '2021-07-19 11:52:04', NULL, NULL), (19851, '', '唐家祠村', 'c214fbe4d44f42a0ba09eb62b2f5bb04', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106203', 5, '唐家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106203', 1, '2021-07-19 11:52:04', NULL, NULL), (19852, '', '白果湾村', '7eba8cb04cfe47809e9a135cfc06c686', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106204', 5, '白果湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106204', 1, '2021-07-19 11:52:04', NULL, NULL), (19853, '', '邓家祠村', '1f7feace3e21463cb1742626b8eed7a1', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106208', 5, '邓家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106208', 1, '2021-07-19 11:52:04', NULL, NULL), (19854, '', '黄坪村', '5695d606b9014575bbcf55d7c1572d56', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106209', 5, '黄坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106209', 1, '2021-07-19 11:52:04', NULL, NULL), (19855, '', '水对沟村', '7ab288ae1bbc4bfa90c07cf0565a72c4', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106211', 5, '水对沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106211', 1, '2021-07-19 11:52:04', NULL, NULL), (19856, '', '文武村', 'ee4c68ced2734e3b935602ddbf78d6da', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106212', 5, '文武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106212', 1, '2021-07-19 11:52:04', NULL, NULL), (19857, '', '太阳村', '6d49a152969548b3be04a58e8db6733e', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106213', 5, '太阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106213', 1, '2021-07-19 11:52:04', NULL, NULL), (19858, '', '九龙社区', '888de1d5ff2e415facd2755e1024fe87', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106214', 5, '九龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106214', 1, '2021-07-19 11:52:04', NULL, NULL), (19859, '', '青云村', '33813355092249e0a8c6602edbc489cf', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106215', 5, '青云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106215', 1, '2021-07-19 11:52:04', NULL, NULL), (19860, '', '金龙村', '02e112a0723d49d8b91dadaf0b84e439', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106216', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106216', 1, '2021-07-19 11:52:04', NULL, NULL), (19861, '', '蓬池坝村', '3ae97b2248664d918230a2fcec4189fb', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106217', 5, '蓬池坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106217', 1, '2021-07-19 11:52:04', NULL, NULL), (19862, '', '方广村', '35c97963afed4a5baf2ea6d8e3126f4e', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106218', 5, '方广村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106218', 1, '2021-07-19 11:52:04', NULL, NULL), (19863, '', '书房梁村', '8b997ce6b63941babba30d8c162c2079', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106219', 5, '书房梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106219', 1, '2021-07-19 11:52:04', NULL, NULL), (19864, '', '天宝寨村', 'dd38bc9ad01e4568a2f2f4997b29838b', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106220', 5, '天宝寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106220', 1, '2021-07-19 11:52:05', NULL, NULL), (19865, '', '斑竹林村', 'dab962b0480d4da1a01e7967b12e3ffa', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106221', 5, '斑竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106221', 1, '2021-07-19 11:52:05', NULL, NULL), (19866, '', '柳溪桥村', 'a448b02bbee8425dacd58df4ff2e7275', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106222', 5, '柳溪桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106222', 1, '2021-07-19 11:52:05', NULL, NULL), (19867, '', '五星社区', '0b07192bd37145cfa09ffb9f5037054b', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106224', 5, '五星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106224', 1, '2021-07-19 11:52:05', NULL, NULL), (19868, '', '颜鲁社区', 'b2b3fb7098244fe48f59b619af4e4f90', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106225', 5, '颜鲁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106225', 1, '2021-07-19 11:52:05', NULL, NULL), (19869, '', '陈家拱桥村', 'afa5b73ba7a84ff9ade3635d0df4df86', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '511323106226', 5, '陈家拱桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323106226', 1, '2021-07-19 11:52:05', NULL, NULL), (19870, '', '下河村', '9e63f0bee14d41c88781676d297f4823', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '5113189263762989056', 5, '下河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5113189263762989056', 1, '2021-07-19 11:52:05', NULL, NULL), (19871, '', '三交村', 'd2162c2f16be473492b24b55c26b6a86', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '5113189469086621696', 5, '三交村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5113189469086621696', 1, '2021-07-19 11:52:05', NULL, NULL), (19872, '', '红花村', 'b19e86d7d1214415aad4bcc37bc8aaae', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '5113189929252102144', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5113189929252102144', 1, '2021-07-19 11:52:05', NULL, NULL), (19873, '', '将军村', '99bd776ea88245c795b2ce2160193a83', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '5113190587955093504', 5, '将军村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5113190587955093504', 1, '2021-07-19 11:52:05', NULL, NULL), (19874, '', '凤凰村', '5321208d0d1341e19816c19aa784f752', 'a2e7747c9d8744a2af14d50157b9c6ba', 'False', 'True', 'false', 'false', '5113191595347091456', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5113191595347091456', 1, '2021-07-19 11:52:05', NULL, NULL), (19875, '', '河舒镇', 'cfa3077a92a245fc8b20ec0e3968fc36', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323107000', 4, '河舒镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323107000', 1, '2021-07-19 11:52:05', NULL, NULL), (19876, '', '翠屏山社区', 'a29f9d4afc0c4db790e75f8932e8b164', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'False', 'false', 'false', '511323107701', 5, '翠屏山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107701', 1, '2021-07-19 11:52:05', NULL, NULL), (19877, '', '红光社区', '30bcff92ce4b4d38a6c3581d40472334', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'False', 'false', 'false', '511323107702', 5, '红光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107702', 1, '2021-07-19 11:52:05', NULL, NULL), (19878, '', '金龙岭社区', 'f21d4bb058b24a27978f5f699e37b986', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'False', 'false', 'false', '511323107703', 5, '金龙岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107703', 1, '2021-07-19 11:52:05', NULL, NULL), (19879, '', '燕山社区', '5f03f13ce41342a3ba2503ba86679c2f', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'False', 'false', 'false', '511323107704', 5, '燕山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107704', 1, '2021-07-19 11:52:06', NULL, NULL), (19880, '', '柳滩社区', 'f6b3350b09bb4e33bf351797dc22f4e4', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'False', 'false', 'false', '511323107705', 5, '柳滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107705', 1, '2021-07-19 11:52:06', NULL, NULL), (19881, '', '开元社区', 'fbff7f893ab343cc88673069cb2eaffc', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'False', 'false', 'false', '511323107706', 5, '开元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107706', 1, '2021-07-19 11:52:06', NULL, NULL), (19882, '', '乐山社区', 'a6a1f3dfaf1d4c5080be18f94d7a2554', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'False', 'false', 'false', '511323107707', 5, '乐山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107707', 1, '2021-07-19 11:52:06', NULL, NULL), (19883, '', '河西社区', 'bb01f66ce79c48c4ab55dc58c9d955eb', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'False', 'false', 'false', '511323107708', 5, '河西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107708', 1, '2021-07-19 11:52:06', NULL, NULL), (19884, '', '燕子村', '09ec8edbcdba418987f14717ed069516', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'False', 'false', 'false', '511323107709', 5, '燕子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107709', 1, '2021-07-19 11:52:06', NULL, NULL), (19885, '', '小板桥村', 'fea9ac2ca2cd407cb58a433872012922', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'False', 'false', 'false', '511323107710', 5, '小板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107710', 1, '2021-07-19 11:52:06', NULL, NULL), (19886, '', '国乐村', '94ba798a53ea4399b27d199b861228e9', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'False', 'false', 'false', '511323107711', 5, '国乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107711', 1, '2021-07-19 11:52:06', NULL, NULL), (19887, '', '中 嘴村', 'e3b6805104814441aa67868a628fca70', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'False', 'false', 'false', '511323107712', 5, '中 嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107712', 1, '2021-07-19 11:52:06', NULL, NULL), (19888, '', '花鱼滩村', '1dfc7977afb74ce994ebb0452b2f42a5', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'False', 'false', 'false', '511323107713', 5, '花鱼滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107713', 1, '2021-07-19 11:52:06', NULL, NULL), (19889, '', '桅子坪村', '36f68caa4a6e4dc59dac7830ba8c1673', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'False', 'false', 'false', '511323107714', 5, '桅子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107714', 1, '2021-07-19 11:52:06', NULL, NULL), (19890, '', '界缘桥村', '4f962a54afea47198896138ae151c21e', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'False', 'false', 'false', '511323107715', 5, '界缘桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107715', 1, '2021-07-19 11:52:06', NULL, NULL), (19891, '', '河东社区', 'de4d8a99ba2c4cca8547b95927a45862', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'False', 'false', 'false', '511323107716', 5, '河东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107716', 1, '2021-07-19 11:52:06', NULL, NULL), (19892, '', '翔凤村', 'e01ec3df45704173b37e0bd4bf97285a', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'False', 'false', 'false', '511323107717', 5, '翔凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107717', 1, '2021-07-19 11:52:06', NULL, NULL), (19893, '', '狮坪村', 'f3cdfc3630454ba3870691076a60d181', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'False', 'false', 'false', '511323107718', 5, '狮坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107718', 1, '2021-07-19 11:52:06', NULL, NULL), (19894, '', '河舒镇街道社区', 'd14789ae092c4f2e801632a2f321eb87', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107001', 5, '河舒镇街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107001', 1, '2021-07-19 11:52:06', NULL, NULL), (19895, '', '工业园社区', '06add4b8e4624056844be33340c25280', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107002', 5, '工业园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107002', 1, '2021-07-19 11:52:06', NULL, NULL), (19896, '', '尖峰社区', '050506570d2141e18b72adc111385599', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107003', 5, '尖峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107003', 1, '2021-07-19 11:52:07', NULL, NULL), (19897, '', '燕山社区', '2bc438d478814112887c3a237e84c3cc', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107201', 5, '燕山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107201', 1, '2021-07-19 11:52:07', NULL, NULL), (19898, '', '唐康村', '1151fb6adbac41c3a4a393ad3a9d0bb4', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107202', 5, '唐康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107202', 1, '2021-07-19 11:52:07', NULL, NULL), (19899, '', '龙院村', '39d64f9214ca4078bd6193a3bd59fcba', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107203', 5, '龙院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107203', 1, '2021-07-19 11:52:07', NULL, NULL), (19900, '', '茨生村', 'd5f7ee4402524c1da431850ae36aee6c', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107204', 5, '茨生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107204', 1, '2021-07-19 11:52:07', NULL, NULL), (19901, '', '锣山村', 'e1ad4c20b3224344aaf7c8ea07088561', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107205', 5, '锣山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107205', 1, '2021-07-19 11:52:07', NULL, NULL), (19902, '', '黄岭村', '4a9238956c4e4ecd9186cc5f21a8c5af', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107208', 5, '黄岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107208', 1, '2021-07-19 11:52:07', NULL, NULL), (19903, '', '竹林村', 'da2263ff06f54724a7148a13b75f43ac', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107209', 5, '竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107209', 1, '2021-07-19 11:52:07', NULL, NULL), (19904, '', '金斗村', 'b778cdf9e77f464f9651ee3a9e0c0c71', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107210', 5, '金斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107210', 1, '2021-07-19 11:52:07', NULL, NULL), (19905, '', '金鹅村', '9a660fcf31ec49498b7dc210cbe97a23', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107211', 5, '金鹅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107211', 1, '2021-07-19 11:52:07', NULL, NULL), (19906, '', '燕子村', '58f15b73b3e84cd09b6281ec72fea029', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107212', 5, '燕子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107212', 1, '2021-07-19 11:52:07', NULL, NULL), (19907, '', '黄花村', 'f9baeaa3b9ed4767bc5c05b5980adf46', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107213', 5, '黄花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107213', 1, '2021-07-19 11:52:07', NULL, NULL), (19908, '', '桃花村', '84227321ab604fff97fb1cf610cc1101', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107214', 5, '桃花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107214', 1, '2021-07-19 11:52:07', NULL, NULL), (19909, '', '花园村', '3443b1fae3464bf3a0c29b1f3532b70c', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107215', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107215', 1, '2021-07-19 11:52:07', NULL, NULL), (19910, '', '小桥村', '861c7ebefabf4836b36fdbc4de54ce05', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107216', 5, '小桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107216', 1, '2021-07-19 11:52:07', NULL, NULL), (19911, '', '九岭村', '06e9f542e2934a74a05beb88ba5880f7', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107217', 5, '九岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107217', 1, '2021-07-19 11:52:07', NULL, NULL), (19912, '', '小板桥村', '31fa454f38d34813b503901221792976', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107218', 5, '小板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107218', 1, '2021-07-19 11:52:08', NULL, NULL), (19913, '', '文星村', 'e603b82cc2be4aae9f621559210b672c', 'cfa3077a92a245fc8b20ec0e3968fc36', 'False', 'True', 'false', 'false', '511323107219', 5, '文星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323107219', 1, '2021-07-19 11:52:08', NULL, NULL), (19914, '', '利溪镇', '65623c45eee34ec78ca3986d10b0e90a', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323108000', 4, '利溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323108000', 1, '2021-07-19 11:52:08', NULL, NULL), (19915, '', '街道社区', 'db2c279cfc52476f8f8bd0db2a86487d', '65623c45eee34ec78ca3986d10b0e90a', 'False', 'True', 'false', 'false', '511323108001', 5, '街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323108001', 1, '2021-07-19 11:52:08', NULL, NULL), (19916, '', '新场坝村', '545535dab77a4305bacf4c59051f7489', '65623c45eee34ec78ca3986d10b0e90a', 'False', 'True', 'false', 'false', '511323108201', 5, '新场坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323108201', 1, '2021-07-19 11:52:08', NULL, NULL), (19917, '', '花房子村', '1934f006d04e427b87393ba7f3c374b0', '65623c45eee34ec78ca3986d10b0e90a', 'False', 'True', 'false', 'false', '511323108202', 5, '花房子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323108202', 1, '2021-07-19 11:52:08', NULL, NULL), (19918, '', '三角湾村', '786c9453ef06457fb5fef7f98ace422b', '65623c45eee34ec78ca3986d10b0e90a', 'False', 'True', 'false', 'false', '511323108203', 5, '三角湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323108203', 1, '2021-07-19 11:52:08', NULL, NULL), (19919, '', '八角村', 'd1ff57a3b22a4c33883030df83c628c2', '65623c45eee34ec78ca3986d10b0e90a', 'False', 'True', 'false', 'false', '511323108204', 5, '八角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323108204', 1, '2021-07-19 11:52:08', NULL, NULL), (19920, '', '花灶沟村', 'eac9b84556f948e9852e9b8c5ab4d0cd', '65623c45eee34ec78ca3986d10b0e90a', 'False', 'True', 'false', 'false', '511323108205', 5, '花灶沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323108205', 1, '2021-07-19 11:52:08', NULL, NULL), (19921, '', '万桑园村', 'c0bc26774f784e90b13bbe51a6fff436', '65623c45eee34ec78ca3986d10b0e90a', 'False', 'True', 'false', 'false', '511323108206', 5, '万桑园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323108206', 1, '2021-07-19 11:52:08', NULL, NULL), (19922, '', '桥亭子村', '7bbc6f369fdc4eeebec0cfbb9614a6b1', '65623c45eee34ec78ca3986d10b0e90a', 'False', 'True', 'false', 'false', '511323108207', 5, '桥亭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323108207', 1, '2021-07-19 11:52:08', NULL, NULL), (19923, '', '肖家沟村', '4f05f54e029d4a71a82813a1963aa78a', '65623c45eee34ec78ca3986d10b0e90a', 'False', 'True', 'false', 'false', '511323108208', 5, '肖家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323108208', 1, '2021-07-19 11:52:08', NULL, NULL), (19924, '', '东德发村', 'fd6416f8315f4b92811c79e7bd27e1f5', '65623c45eee34ec78ca3986d10b0e90a', 'False', 'True', 'false', 'false', '511323108209', 5, '东德发村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323108209', 1, '2021-07-19 11:52:08', NULL, NULL), (19925, '', '冯家坝村', '7ac601cf5c814aa3880b60c3a58e0294', '65623c45eee34ec78ca3986d10b0e90a', 'False', 'True', 'false', 'false', '511323108210', 5, '冯家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323108210', 1, '2021-07-19 11:52:08', NULL, NULL), (19926, '', '青龙江村', 'f48a5740538b4c9987bb923076823dff', '65623c45eee34ec78ca3986d10b0e90a', 'False', 'True', 'false', 'false', '511323108211', 5, '青龙江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323108211', 1, '2021-07-19 11:52:08', NULL, NULL), (19927, '', '高峰山村', '2085958e9af6419584654fcc68fad0ea', '65623c45eee34ec78ca3986d10b0e90a', 'False', 'True', 'false', 'false', '511323108212', 5, '高峰山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323108212', 1, '2021-07-19 11:52:08', NULL, NULL), (19928, '', '牛眠沟村', '16c761595fd04bc481d55932f6207db4', '65623c45eee34ec78ca3986d10b0e90a', 'False', 'True', 'false', 'false', '511323108213', 5, '牛眠沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323108213', 1, '2021-07-19 11:52:08', NULL, NULL), (19929, '', '量金斗村', 'f4bd80e4d130497089b84bd6bcd0e196', '65623c45eee34ec78ca3986d10b0e90a', 'False', 'True', 'false', 'false', '511323108214', 5, '量金斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323108214', 1, '2021-07-19 11:52:09', NULL, NULL), (19930, '', '挖龙坳村', '11f29beedce845feb889a727b6100250', '65623c45eee34ec78ca3986d10b0e90a', 'False', 'True', 'false', 'false', '511323108215', 5, '挖龙坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323108215', 1, '2021-07-19 11:52:09', NULL, NULL), (19931, '', '大湾丘村', 'b48b0ecc6ac847dc9d9fac57c23f7893', '65623c45eee34ec78ca3986d10b0e90a', 'False', 'True', 'false', 'false', '511323108216', 5, '大湾丘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323108216', 1, '2021-07-19 11:52:09', NULL, NULL), (19932, '', '龙蚕镇', '8939988b59694b9aa29987dc6d95093e', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323109000', 4, '龙蚕镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323109000', 1, '2021-07-19 11:52:09', NULL, NULL), (19933, '', '龙蚕社区', 'c09e32c852994d669f0d8b7f9ce2b147', '8939988b59694b9aa29987dc6d95093e', 'False', 'True', 'false', 'false', '511323109001', 5, '龙蚕社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323109001', 1, '2021-07-19 11:52:09', NULL, NULL), (19934, '', '尖坡村', '7f1a946828b84a319d16e592cdcd0712', '8939988b59694b9aa29987dc6d95093e', 'False', 'True', 'false', 'false', '511323109201', 5, '尖坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323109201', 1, '2021-07-19 11:52:09', NULL, NULL), (19935, '', '狮儿村', '6ff98a1336af4d3680d7375247d0ebf1', '8939988b59694b9aa29987dc6d95093e', 'False', 'True', 'false', 'false', '511323109202', 5, '狮儿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323109202', 1, '2021-07-19 11:52:09', NULL, NULL), (19936, '', '一碗水村', '2055bfb219f741febf1a2ef2152f8441', '8939988b59694b9aa29987dc6d95093e', 'False', 'True', 'false', 'false', '511323109204', 5, '一碗水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323109204', 1, '2021-07-19 11:52:09', NULL, NULL), (19937, '', '卿家坝村', '54f8a8c419864f32b98314f73f106396', '8939988b59694b9aa29987dc6d95093e', 'False', 'True', 'false', 'false', '511323109208', 5, '卿家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323109208', 1, '2021-07-19 11:52:09', NULL, NULL), (19938, '', '千丘塝村', '752ce4dc63ba492b99b83278b71362d7', '8939988b59694b9aa29987dc6d95093e', 'False', 'True', 'false', 'false', '511323109210', 5, '千丘塝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323109210', 1, '2021-07-19 11:52:09', NULL, NULL), (19939, '', '鹭鸶田村', '9cc1f83ae9364515bbb1a4bcdc4925ff', '8939988b59694b9aa29987dc6d95093e', 'False', 'True', 'false', 'false', '511323109211', 5, '鹭鸶田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323109211', 1, '2021-07-19 11:52:09', NULL, NULL), (19940, '', '金家沟村', '94f59356d6784b37988250a1103158fc', '8939988b59694b9aa29987dc6d95093e', 'False', 'True', 'false', 'false', '511323109213', 5, '金家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323109213', 1, '2021-07-19 11:52:09', NULL, NULL), (19941, '', '杨家镇', '86e92755509a4feb9862db41820d3312', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323110000', 4, '杨家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323110000', 1, '2021-07-19 11:52:09', NULL, NULL), (19942, '', '杨家镇街道社区', 'cd1131c796e141ebb10f7f0ed71c69fe', '86e92755509a4feb9862db41820d3312', 'False', 'True', 'false', 'false', '511323110001', 5, '杨家镇街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323110001', 1, '2021-07-19 11:52:09', NULL, NULL), (19943, '', '杨场社区', '83dac89a549e4d8196ce7ed2442e1c21', '86e92755509a4feb9862db41820d3312', 'False', 'True', 'false', 'false', '511323110201', 5, '杨场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323110201', 1, '2021-07-19 11:52:09', NULL, NULL), (19944, '', '七里村', 'fe36366bacf7463db9f99873654ca750', '86e92755509a4feb9862db41820d3312', 'False', 'True', 'false', 'false', '511323110202', 5, '七里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323110202', 1, '2021-07-19 11:52:10', NULL, NULL), (19945, '', '吕家村', '7a93484b7b0747bcb38626aeedc8944d', '86e92755509a4feb9862db41820d3312', 'False', 'True', 'false', 'false', '511323110203', 5, '吕家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323110203', 1, '2021-07-19 11:52:10', NULL, NULL), (19946, '', '双流村', '08d07f505f454baebfa6660ab2ab3403', '86e92755509a4feb9862db41820d3312', 'False', 'True', 'false', 'false', '511323110204', 5, '双流村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323110204', 1, '2021-07-19 11:52:10', NULL, NULL), (19947, '', '书房村', '9b67635de09a40ac9a2c7806ffbfd7d3', '86e92755509a4feb9862db41820d3312', 'False', 'True', 'false', 'false', '511323110205', 5, '书房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323110205', 1, '2021-07-19 11:52:10', NULL, NULL), (19948, '', '伏岭村', '8062357fc4b9455388c9b0a50fffc243', '86e92755509a4feb9862db41820d3312', 'False', 'True', 'false', 'false', '511323110206', 5, '伏岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323110206', 1, '2021-07-19 11:52:10', NULL, NULL), (19949, '', '茨藤村', '9df5ce2d34ae43e9bbc2e2fe38af8e26', '86e92755509a4feb9862db41820d3312', 'False', 'True', 'false', 'false', '511323110207', 5, '茨藤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323110207', 1, '2021-07-19 11:52:10', NULL, NULL), (19950, '', '拱桥村', 'd2c59a6f1ed9475f9d896694e3fd89ea', '86e92755509a4feb9862db41820d3312', 'False', 'True', 'false', 'false', '511323110208', 5, '拱桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323110208', 1, '2021-07-19 11:52:10', NULL, NULL), (19951, '', '圣合村', '8fddec97bb4b4343bf11c383913ffbd1', '86e92755509a4feb9862db41820d3312', 'False', 'True', 'false', 'false', '511323110209', 5, '圣合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323110209', 1, '2021-07-19 11:52:10', NULL, NULL), (19952, '', '清华村', '8b9a184f5d7c415f832aaef18510d680', '86e92755509a4feb9862db41820d3312', 'False', 'True', 'false', 'false', '511323110210', 5, '清华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323110210', 1, '2021-07-19 11:52:10', NULL, NULL), (19953, '', '玉堂村', '429a74c2216f4dfab309db2504deaf81', '86e92755509a4feb9862db41820d3312', 'False', 'True', 'false', 'false', '511323110211', 5, '玉堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323110211', 1, '2021-07-19 11:52:10', NULL, NULL), (19954, '', '乡乐村', 'b260da2ee0164821a46cd1f9b252bb73', '86e92755509a4feb9862db41820d3312', 'False', 'True', 'false', 'false', '511323110212', 5, '乡乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323110212', 1, '2021-07-19 11:52:10', NULL, NULL), (19955, '', '马坟村', '00959cb0bf0d40fb8176aa3f88938c53', '86e92755509a4feb9862db41820d3312', 'False', 'True', 'false', 'false', '511323110213', 5, '马坟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323110213', 1, '2021-07-19 11:52:10', NULL, NULL), (19956, '', '八角村', '693082f626cb452884bfbd9be21d529c', '86e92755509a4feb9862db41820d3312', 'False', 'True', 'false', 'false', '511323110214', 5, '八角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323110214', 1, '2021-07-19 11:52:10', NULL, NULL), (19957, '', '罗家镇', '79ccc7cb43fb46afb2166dec40b60996', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323111000', 4, '罗家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323111000', 1, '2021-07-19 11:52:10', NULL, NULL), (19958, '', '街道社区', 'd8f5662c2efa439981ae60f6b9a145ee', '79ccc7cb43fb46afb2166dec40b60996', 'False', 'True', 'false', 'false', '511323111001', 5, '街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323111001', 1, '2021-07-19 11:52:10', NULL, NULL), (19959, '', '麻柳湾村', '0a7f13bcbd4545d1bb3ab6e4528791e5', '79ccc7cb43fb46afb2166dec40b60996', 'False', 'True', 'false', 'false', '511323111201', 5, '麻柳湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323111201', 1, '2021-07-19 11:52:11', NULL, NULL), (19960, '', '罗汉碥村', '8f03c7f423314a3a9640638397883682', '79ccc7cb43fb46afb2166dec40b60996', 'False', 'True', 'false', 'false', '511323111203', 5, '罗汉碥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323111203', 1, '2021-07-19 11:52:11', NULL, NULL), (19961, '', '大深沟村', '80489da2f2a84fa382559bb29cf49de2', '79ccc7cb43fb46afb2166dec40b60996', 'False', 'True', 'false', 'false', '511323111206', 5, '大深沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323111206', 1, '2021-07-19 11:52:11', NULL, NULL), (19962, '', '雷家湾村', 'c778058e195c468b956ed9fc5d63d2b6', '79ccc7cb43fb46afb2166dec40b60996', 'False', 'True', 'false', 'false', '511323111209', 5, '雷家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323111209', 1, '2021-07-19 11:52:11', NULL, NULL), (19963, '', '幸福沟村', 'b3d8aeb85b344d42b8d0d4d5954fe0dc', '79ccc7cb43fb46afb2166dec40b60996', 'False', 'True', 'false', 'false', '511323111213', 5, '幸福沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323111213', 1, '2021-07-19 11:52:11', NULL, NULL), (19964, '', '野猪寨村', 'ac3b5717ebba41b798c06e13befa4fc0', '79ccc7cb43fb46afb2166dec40b60996', 'False', 'True', 'false', 'false', '511323111216', 5, '野猪寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323111216', 1, '2021-07-19 11:52:11', NULL, NULL), (19965, '', '五马村', '9754e8da2bef41ebb45b2b6abc624783', '79ccc7cb43fb46afb2166dec40b60996', 'False', 'True', 'false', 'false', '511323111218', 5, '五马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323111218', 1, '2021-07-19 11:52:11', NULL, NULL), (19966, '', '中峰村', '70927a64b7e34787b14c2350c51ca50e', '79ccc7cb43fb46afb2166dec40b60996', 'False', 'True', 'false', 'false', '511323111220', 5, '中峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323111220', 1, '2021-07-19 11:52:11', NULL, NULL), (19967, '', '福德镇', '58acaa67edd34144907103275139569e', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323112000', 4, '福德镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323112000', 1, '2021-07-19 11:52:11', NULL, NULL), (19968, '', '福德街道社区', 'c9d55476a192493bad45eb88b3e4b0f6', '58acaa67edd34144907103275139569e', 'False', 'True', 'false', 'false', '511323112001', 5, '福德街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323112001', 1, '2021-07-19 11:52:11', NULL, NULL), (19969, '', '石泉村', '61403d9acafc4eada67d30c09ec7e99a', '58acaa67edd34144907103275139569e', 'False', 'True', 'false', 'false', '511323112201', 5, '石泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323112201', 1, '2021-07-19 11:52:11', NULL, NULL), (19970, '', '转转田村', '14df72410ba54111b99308e52a6c1622', '58acaa67edd34144907103275139569e', 'False', 'True', 'false', 'false', '511323112202', 5, '转转田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323112202', 1, '2021-07-19 11:52:11', NULL, NULL), (19971, '', '石板坪村', '412eccf38176454990fea1d95c69fae6', '58acaa67edd34144907103275139569e', 'False', 'True', 'false', 'false', '511323112203', 5, '石板坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323112203', 1, '2021-07-19 11:52:11', NULL, NULL), (19972, '', '杨家山村', '099fe8babf794b9297c596e4f6b65924', '58acaa67edd34144907103275139569e', 'False', 'True', 'false', 'false', '511323112204', 5, '杨家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323112204', 1, '2021-07-19 11:52:11', NULL, NULL), (19973, '', '鼓楼山村', '617bc68688944b9c8b72eb2df98dbe2e', '58acaa67edd34144907103275139569e', 'False', 'True', 'false', 'false', '511323112205', 5, '鼓楼山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323112205', 1, '2021-07-19 11:52:11', NULL, NULL), (19974, '', '石柱坝村', 'b24445b2a0b64acebe9c5b4bfd35e7ef', '58acaa67edd34144907103275139569e', 'False', 'True', 'false', 'false', '511323112206', 5, '石柱坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323112206', 1, '2021-07-19 11:52:11', NULL, NULL), (19975, '', '黄梨垭村', '946f91018f0d4a999aef8157e54ef16e', '58acaa67edd34144907103275139569e', 'False', 'True', 'false', 'false', '511323112207', 5, '黄梨垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323112207', 1, '2021-07-19 11:52:12', NULL, NULL), (19976, '', '北斗坪村', '152ba8816a5f49ca8f6fe9e501e73135', '58acaa67edd34144907103275139569e', 'False', 'True', 'false', 'false', '511323112208', 5, '北斗坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323112208', 1, '2021-07-19 11:52:12', NULL, NULL), (19977, '', '骡子坡村', 'f7eb41865361416684e0ce6d16b321ba', '58acaa67edd34144907103275139569e', 'False', 'True', 'false', 'false', '511323112209', 5, '骡子坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323112209', 1, '2021-07-19 11:52:12', NULL, NULL), (19978, '', '段家沟村', '81df445a06c24c219748e08b64928f34', '58acaa67edd34144907103275139569e', 'False', 'True', 'false', 'false', '511323112210', 5, '段家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323112210', 1, '2021-07-19 11:52:12', NULL, NULL), (19979, '', '团堡山村', 'f84dfabb81394da997f48af0f8655aa4', '58acaa67edd34144907103275139569e', 'False', 'True', 'false', 'false', '511323112211', 5, '团堡山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323112211', 1, '2021-07-19 11:52:12', NULL, NULL), (19980, '', '长甘岭村', 'b63b76c4917e488d820c5bdca50ca428', '58acaa67edd34144907103275139569e', 'False', 'True', 'false', 'false', '511323112212', 5, '长甘岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323112212', 1, '2021-07-19 11:52:12', NULL, NULL), (19981, '', '银汉镇', '40b6547d738a4d3697233e509fb9bdf4', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323113000', 4, '银汉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323113000', 1, '2021-07-19 11:52:12', NULL, NULL), (19982, '', '银汉镇街道社区', '274678617f334e81808e88155bcd5fdb', '40b6547d738a4d3697233e509fb9bdf4', 'False', 'True', 'false', 'false', '511323113001', 5, '银汉镇街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323113001', 1, '2021-07-19 11:52:12', NULL, NULL), (19983, '', '钟离村', '42a864202a8b49b990b273541917ff78', '40b6547d738a4d3697233e509fb9bdf4', 'False', 'True', 'false', 'false', '511323113201', 5, '钟离村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323113201', 1, '2021-07-19 11:52:12', NULL, NULL), (19984, '', '指碑村', 'a039cc9df12d46d4a85672fef535d31c', '40b6547d738a4d3697233e509fb9bdf4', 'False', 'True', 'false', 'false', '511323113202', 5, '指碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323113202', 1, '2021-07-19 11:52:12', NULL, NULL), (19985, '', '大红村', '3e91bf0615c74185937505fac8b920f7', '40b6547d738a4d3697233e509fb9bdf4', 'False', 'True', 'false', 'false', '511323113203', 5, '大红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323113203', 1, '2021-07-19 11:52:12', NULL, NULL), (19986, '', '缩三村', '649922d101074d67adb6cb47b3f7d505', '40b6547d738a4d3697233e509fb9bdf4', 'False', 'True', 'false', 'false', '511323113204', 5, '缩三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323113204', 1, '2021-07-19 11:52:12', NULL, NULL), (19987, '', '新安村', '93fd39d2f1e94656800322018289d81b', '40b6547d738a4d3697233e509fb9bdf4', 'False', 'True', 'false', 'false', '511323113205', 5, '新安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323113205', 1, '2021-07-19 11:52:12', NULL, NULL), (19988, '', '栽秧村', '6c9a62dceb1d4b7cbfab94a315aa6408', '40b6547d738a4d3697233e509fb9bdf4', 'False', 'True', 'false', 'false', '511323113206', 5, '栽秧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323113206', 1, '2021-07-19 11:52:12', NULL, NULL), (19989, '', '长远村', '4e6962868a3048929ba13a67179fa0ef', '40b6547d738a4d3697233e509fb9bdf4', 'False', 'True', 'false', 'false', '511323113207', 5, '长远村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323113207', 1, '2021-07-19 11:52:12', NULL, NULL), (19990, '', '向阳村', '321782eff9f744da8c479817f5c7dc65', '40b6547d738a4d3697233e509fb9bdf4', 'False', 'True', 'false', 'false', '511323113208', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323113208', 1, '2021-07-19 11:52:12', NULL, NULL), (19991, '', '吕广村', '32eccd2b3d0c4ce3bf956755f0c20f80', '40b6547d738a4d3697233e509fb9bdf4', 'False', 'True', 'false', 'false', '511323113209', 5, '吕广村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323113209', 1, '2021-07-19 11:52:12', NULL, NULL), (19992, '', '新龙村', 'eb471e75d9624556b63d11e40ce52a0f', '40b6547d738a4d3697233e509fb9bdf4', 'False', 'True', 'false', 'false', '511323113210', 5, '新龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323113210', 1, '2021-07-19 11:52:12', NULL, NULL), (19993, '', '石马村', 'f344caab30ae43ba8a1c1c88a82f16f6', '40b6547d738a4d3697233e509fb9bdf4', 'False', 'True', 'false', 'false', '511323113211', 5, '石马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323113211', 1, '2021-07-19 11:52:13', NULL, NULL), (19994, '', '川主村', '0291258754494394b5cc3948f8ea1da8', '40b6547d738a4d3697233e509fb9bdf4', 'False', 'True', 'false', 'false', '511323113212', 5, '川主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323113212', 1, '2021-07-19 11:52:13', NULL, NULL), (19995, '', '兴旺镇', '913070e13c274e75851658eadf3a5512', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323114000', 4, '兴旺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323114000', 1, '2021-07-19 11:52:13', NULL, NULL), (19996, '', '兴旺社区', '47ffce02109e49daa62f3bbae6d489da', '913070e13c274e75851658eadf3a5512', 'False', 'True', 'false', 'false', '511323114001', 5, '兴旺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323114001', 1, '2021-07-19 11:52:13', NULL, NULL), (19997, '', '瓦店子村', '711d99e7c3d24ec7a305cc4fe3e74a53', '913070e13c274e75851658eadf3a5512', 'False', 'True', 'false', 'false', '511323114201', 5, '瓦店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323114201', 1, '2021-07-19 11:52:13', NULL, NULL), (19998, '', '龟山村', 'dedf8e18c80f4e38a869af28d7521d93', '913070e13c274e75851658eadf3a5512', 'False', 'True', 'false', 'false', '511323114202', 5, '龟山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323114202', 1, '2021-07-19 11:52:13', NULL, NULL), (19999, '', '文风村', '1c0e8f0f88694ad999d93e5686a5c988', '913070e13c274e75851658eadf3a5512', 'False', 'True', 'false', 'false', '511323114203', 5, '文风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323114203', 1, '2021-07-19 11:52:13', NULL, NULL), (20000, '', '高石坎村', 'a11bb3d8c2dc4b7ab12b01babbda58da', '913070e13c274e75851658eadf3a5512', 'False', 'True', 'false', 'false', '511323114204', 5, '高石坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323114204', 1, '2021-07-19 11:52:13', NULL, NULL), (20001, '', '大鱼塘村', '96be45abcdf845c38975355bcea379f5', '913070e13c274e75851658eadf3a5512', 'False', 'True', 'false', 'false', '511323114205', 5, '大鱼塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323114205', 1, '2021-07-19 11:52:13', NULL, NULL), (20002, '', '粟运寺村', '0d296945bdf149e3b4f01a76622708f7', '913070e13c274e75851658eadf3a5512', 'False', 'True', 'false', 'false', '511323114206', 5, '粟运寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323114206', 1, '2021-07-19 11:52:13', NULL, NULL), (20003, '', '鹅弯颈村', '95e8aee5eef24366874776d23fa19cb6', '913070e13c274e75851658eadf3a5512', 'False', 'True', 'false', 'false', '511323114207', 5, '鹅弯颈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323114207', 1, '2021-07-19 11:52:13', NULL, NULL), (20004, '', '和平村', 'd448fd794b784e1d971c96789a97f70f', '913070e13c274e75851658eadf3a5512', 'False', 'True', 'false', 'false', '511323114208', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323114208', 1, '2021-07-19 11:52:13', NULL, NULL), (20005, '', '韩家梁村', '8709ce7e7ab94f1ca71901fc5eda8311', '913070e13c274e75851658eadf3a5512', 'False', 'True', 'false', 'false', '511323114209', 5, '韩家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323114209', 1, '2021-07-19 11:52:13', NULL, NULL), (20006, '', '袁家巷村', 'c22f63a344e2446184058ad1b0f1223f', '913070e13c274e75851658eadf3a5512', 'False', 'True', 'false', 'false', '511323114210', 5, '袁家巷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323114210', 1, '2021-07-19 11:52:13', NULL, NULL), (20007, '', '桂花桥村', 'ef89a2012073483292da580632df86ed', '913070e13c274e75851658eadf3a5512', 'False', 'True', 'false', 'false', '511323114211', 5, '桂花桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323114211', 1, '2021-07-19 11:52:13', NULL, NULL), (20008, '', '猫儿沟村', '84519e897f3145b2a0a5c6ed9b71cc75', '913070e13c274e75851658eadf3a5512', 'False', 'True', 'false', 'false', '511323114212', 5, '猫儿沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323114212', 1, '2021-07-19 11:52:13', NULL, NULL), (20009, '', '黄牛垭村', 'd8e680a47a814a8fa18e880af58e20d1', '913070e13c274e75851658eadf3a5512', 'False', 'True', 'false', 'false', '511323114213', 5, '黄牛垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323114213', 1, '2021-07-19 11:52:13', NULL, NULL), (20010, '', '双龙桥村', '3309f0ed41884d768b520e020fa2f6b3', '913070e13c274e75851658eadf3a5512', 'False', 'True', 'false', 'false', '511323114214', 5, '双龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323114214', 1, '2021-07-19 11:52:13', NULL, NULL), (20011, '', '水泉村', '70048473ad23448dbf3712c013a13d06', '913070e13c274e75851658eadf3a5512', 'False', 'True', 'false', 'false', '511323114215', 5, '水泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323114215', 1, '2021-07-19 11:52:14', NULL, NULL), (20012, '', '挖断山村', '4dff26ad52944bf89cd45290734e95a7', '913070e13c274e75851658eadf3a5512', 'False', 'True', 'false', 'false', '511323114216', 5, '挖断山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323114216', 1, '2021-07-19 11:52:14', NULL, NULL), (20013, '', '睦坝镇', '7877c18f6ea44bae82b7ccc486d9e2f8', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323205000', 4, '睦坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323205000', 1, '2021-07-19 11:52:14', NULL, NULL), (20014, '', '向阳社区', '0c4b3d06cb824d5cb4a34cf1b9b7c97e', '7877c18f6ea44bae82b7ccc486d9e2f8', 'False', 'True', 'false', 'false', '511323205001', 5, '向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323205001', 1, '2021-07-19 11:52:14', NULL, NULL), (20015, '', '西河村', '96c9094b6b584a13a6c8b1c0f94f0610', '7877c18f6ea44bae82b7ccc486d9e2f8', 'False', 'True', 'false', 'false', '511323205201', 5, '西河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323205201', 1, '2021-07-19 11:52:14', NULL, NULL), (20016, '', '武胜村', '03d2b14ec31a46e7b7960a9a8291ebf0', '7877c18f6ea44bae82b7ccc486d9e2f8', 'False', 'True', 'false', 'false', '511323205202', 5, '武胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323205202', 1, '2021-07-19 11:52:14', NULL, NULL), (20017, '', '老君村', '211adbf15c484737b8d0bd86c1e3dc6f', '7877c18f6ea44bae82b7ccc486d9e2f8', 'False', 'True', 'false', 'false', '511323205203', 5, '老君村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323205203', 1, '2021-07-19 11:52:14', NULL, NULL), (20018, '', '虹管村', '303737c4f22f4fe3b4cd5e4030603770', '7877c18f6ea44bae82b7ccc486d9e2f8', 'False', 'True', 'false', 'false', '511323205205', 5, '虹管村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323205205', 1, '2021-07-19 11:52:14', NULL, NULL), (20019, '', '浩山村', '92fec9b2091e43838fc720bdbd1f1e16', '7877c18f6ea44bae82b7ccc486d9e2f8', 'False', 'True', 'false', 'false', '511323205208', 5, '浩山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323205208', 1, '2021-07-19 11:52:14', NULL, NULL), (20020, '', '线坝村', '2dc741f7584e45ef8616c806beaf696e', '7877c18f6ea44bae82b7ccc486d9e2f8', 'False', 'True', 'false', 'false', '511323205210', 5, '线坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323205210', 1, '2021-07-19 11:52:14', NULL, NULL), (20021, '', '柏树村', '1fdfd5a6b7004fb0820358306d38411c', '7877c18f6ea44bae82b7ccc486d9e2f8', 'False', 'True', 'false', 'false', '511323205212', 5, '柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323205212', 1, '2021-07-19 11:52:14', NULL, NULL), (20022, '', '五岭村', '44c6b1708abc40be90617b742a1ce899', '7877c18f6ea44bae82b7ccc486d9e2f8', 'False', 'True', 'false', 'false', '511323205215', 5, '五岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323205215', 1, '2021-07-19 11:52:14', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (20023, '', '太安村', '934f781164624906a89637fd1e92e5cb', '7877c18f6ea44bae82b7ccc486d9e2f8', 'False', 'True', 'false', 'false', '511323205216', 5, '太安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323205216', 1, '2021-07-19 11:52:14', NULL, NULL), (20024, '', '洞山村', '8215b90714f84892a81b8c5535be73a0', '7877c18f6ea44bae82b7ccc486d9e2f8', 'False', 'True', 'false', 'false', '511323205219', 5, '洞山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323205219', 1, '2021-07-19 11:52:14', NULL, NULL), (20025, '', '平头乡', 'c940330a1fcf4a7f9d88f6ea8bd9bf20', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323208000', 4, '平头乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323208000', 1, '2021-07-19 11:52:14', NULL, NULL), (20026, '', '兴盛街社区', 'da110cc67f5f48898affa384eeb51cc9', 'c940330a1fcf4a7f9d88f6ea8bd9bf20', 'False', 'True', 'false', 'false', '511323208001', 5, '兴盛街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323208001', 1, '2021-07-19 11:52:14', NULL, NULL), (20027, '', '石门社区', '4b3f3f727bec48529c4a9a489c25d6e7', 'c940330a1fcf4a7f9d88f6ea8bd9bf20', 'False', 'False', 'false', 'false', '511323208002', 5, '石门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323208002', 1, '2021-07-19 11:52:15', NULL, NULL), (20028, '', '印盒村', '3aef0277afce4824a0310a42241d880c', 'c940330a1fcf4a7f9d88f6ea8bd9bf20', 'False', 'True', 'false', 'false', '511323208201', 5, '印盒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323208201', 1, '2021-07-19 11:52:15', NULL, NULL), (20029, '', '十里村', 'f49d3f6e36f44c6daa99095a570270f0', 'c940330a1fcf4a7f9d88f6ea8bd9bf20', 'False', 'True', 'false', 'false', '511323208203', 5, '十里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323208203', 1, '2021-07-19 11:52:15', NULL, NULL), (20030, '', '双柏村', 'c5921ef8661a4546b6532ef01f25572f', 'c940330a1fcf4a7f9d88f6ea8bd9bf20', 'False', 'True', 'false', 'false', '511323208207', 5, '双柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323208207', 1, '2021-07-19 11:52:15', NULL, NULL), (20031, '', '新平村', '641d3e34fec24e49bff2bf69e9c73ddd', 'c940330a1fcf4a7f9d88f6ea8bd9bf20', 'False', 'True', 'false', 'false', '511323208208', 5, '新平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323208208', 1, '2021-07-19 11:52:15', NULL, NULL), (20032, '', '沙坝村', 'fa8bc05d69ec45fd8e2e7816b6aecb67', 'c940330a1fcf4a7f9d88f6ea8bd9bf20', 'False', 'False', 'false', 'false', '511323208211', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323208211', 1, '2021-07-19 11:52:15', NULL, NULL), (20033, '', '庙儿坝村', 'c21ce64f64c240c4842a4d960055b0e0', 'c940330a1fcf4a7f9d88f6ea8bd9bf20', 'False', 'False', 'false', 'false', '511323208214', 5, '庙儿坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323208214', 1, '2021-07-19 11:52:15', NULL, NULL), (20034, '', '三元贯村', '4855570a4b42413cab84ffaca5bafb51', 'c940330a1fcf4a7f9d88f6ea8bd9bf20', 'False', 'False', 'false', 'false', '511323208216', 5, '三元贯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323208216', 1, '2021-07-19 11:52:15', NULL, NULL), (20035, '', '猴家山村', 'a962eb5b22724d688e61ba8f61ee3461', 'c940330a1fcf4a7f9d88f6ea8bd9bf20', 'False', 'False', 'false', 'false', '511323208218', 5, '猴家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323208218', 1, '2021-07-19 11:52:15', NULL, NULL), (20036, '', '沿江村', '1847c1d3555f4f5f89467dbf55103a04', 'c940330a1fcf4a7f9d88f6ea8bd9bf20', 'False', 'False', 'false', 'false', '511323208221', 5, '沿江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323208221', 1, '2021-07-19 11:52:15', NULL, NULL), (20037, '', '大垭口村', '0e2b8833a6bf43429fe3fbf981c44325', 'c940330a1fcf4a7f9d88f6ea8bd9bf20', 'False', 'False', 'false', 'false', '511323208222', 5, '大垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323208222', 1, '2021-07-19 11:52:15', NULL, NULL), (20038, '', '鲜店乡', '55b48fec88f646948fdad7518f764c1d', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323209000', 4, '鲜店乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323209000', 1, '2021-07-19 11:52:15', NULL, NULL), (20039, '', '建设街社区', 'fc964e3da5834f29a5f987638571d16c', '55b48fec88f646948fdad7518f764c1d', 'False', 'True', 'false', 'false', '511323209001', 5, '建设街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323209001', 1, '2021-07-19 11:52:15', NULL, NULL), (20040, '', '春陈村', 'ada1c2c14a9f4353a63dcf555c5d178b', '55b48fec88f646948fdad7518f764c1d', 'False', 'True', 'false', 'false', '511323209201', 5, '春陈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323209201', 1, '2021-07-19 11:52:15', NULL, NULL), (20041, '', '黄金村', '3bcef72ffd5b471c83435cc7ee861576', '55b48fec88f646948fdad7518f764c1d', 'False', 'True', 'false', 'false', '511323209202', 5, '黄金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323209202', 1, '2021-07-19 11:52:15', NULL, NULL), (20042, '', '龙滩村', '097f8a0f23384b22a1e9229e4f544fdc', '55b48fec88f646948fdad7518f764c1d', 'False', 'True', 'false', 'false', '511323209203', 5, '龙滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323209203', 1, '2021-07-19 11:52:16', NULL, NULL), (20043, '', '双堰塘村', 'fc05035f15d5476cbb3e743edcb6a0ba', '55b48fec88f646948fdad7518f764c1d', 'False', 'True', 'false', 'false', '511323209204', 5, '双堰塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323209204', 1, '2021-07-19 11:52:16', NULL, NULL), (20044, '', '盐井坪村', '01af72b132214e4491705de1c29b5162', '55b48fec88f646948fdad7518f764c1d', 'False', 'True', 'false', 'false', '511323209205', 5, '盐井坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323209205', 1, '2021-07-19 11:52:16', NULL, NULL), (20045, '', '双柏树村', '420cdbc3ee4c4408812449b6ac6f6a15', '55b48fec88f646948fdad7518f764c1d', 'False', 'True', 'false', 'false', '511323209206', 5, '双柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323209206', 1, '2021-07-19 11:52:16', NULL, NULL), (20046, '', '箭杆梁村', '57a95c943b0e46cabf823b9b4f9554e3', '55b48fec88f646948fdad7518f764c1d', 'False', 'True', 'false', 'false', '511323209207', 5, '箭杆梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323209207', 1, '2021-07-19 11:52:16', NULL, NULL), (20047, '', '千丘田村', 'd75dcc77a9cb4aa592f5ac2a31bc8ca6', '55b48fec88f646948fdad7518f764c1d', 'False', 'True', 'false', 'false', '511323209208', 5, '千丘田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323209208', 1, '2021-07-19 11:52:16', NULL, NULL), (20048, '', '铜鼓寨村', '4b801c1ac54f4f5f8e0206733538567b', '55b48fec88f646948fdad7518f764c1d', 'False', 'True', 'false', 'false', '511323209209', 5, '铜鼓寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323209209', 1, '2021-07-19 11:52:16', NULL, NULL), (20049, '', '白房子村', '169d85e38a9d49f5908588f17b1e7811', '55b48fec88f646948fdad7518f764c1d', 'False', 'True', 'false', 'false', '511323209210', 5, '白房子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323209210', 1, '2021-07-19 11:52:16', NULL, NULL), (20050, '', '风水亭村', 'a6fd1948e51b4aeea450ead7eeed90a3', '55b48fec88f646948fdad7518f764c1d', 'False', 'True', 'false', 'false', '511323209211', 5, '风水亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323209211', 1, '2021-07-19 11:52:16', NULL, NULL), (20051, '', '鲁班石村', '222eb27c85fb4f05b01674ce829ee5bb', '55b48fec88f646948fdad7518f764c1d', 'False', 'True', 'false', 'false', '511323209212', 5, '鲁班石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323209212', 1, '2021-07-19 11:52:16', NULL, NULL), (20052, '', '武童村', '4b9d925f7f5746549bf1933af7916855', '55b48fec88f646948fdad7518f764c1d', 'False', 'True', 'false', 'false', '511323209213', 5, '武童村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323209213', 1, '2021-07-19 11:52:16', NULL, NULL), (20053, '', '百草坪村', '2c18f67145624ac29dea74491a875842', '55b48fec88f646948fdad7518f764c1d', 'False', 'True', 'false', 'false', '511323209214', 5, '百草坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323209214', 1, '2021-07-19 11:52:16', NULL, NULL), (20054, '', '金甲乡', 'f1f3bd2c065b45e183d0f7da50a7e6a9', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323215000', 4, '金甲乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323215000', 1, '2021-07-19 11:52:16', NULL, NULL), (20055, '', '丁家坪社区', '2a7d60d1725e44119683c9d1239c96a1', 'f1f3bd2c065b45e183d0f7da50a7e6a9', 'False', 'True', 'false', 'false', '511323215001', 5, '丁家坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323215001', 1, '2021-07-19 11:52:16', NULL, NULL), (20056, '', '杉树沟村', '5c7d2cef2b304a58b3c26aa15f6239f1', 'f1f3bd2c065b45e183d0f7da50a7e6a9', 'False', 'True', 'false', 'false', '511323215201', 5, '杉树沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323215201', 1, '2021-07-19 11:52:16', NULL, NULL), (20057, '', '大屋基村', '1f354c7ca5214c84a0514af3779dfdf5', 'f1f3bd2c065b45e183d0f7da50a7e6a9', 'False', 'True', 'false', 'false', '511323215202', 5, '大屋基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323215202', 1, '2021-07-19 11:52:16', NULL, NULL), (20058, '', '定顺村', '85a5ed5af12242b1b616575fe980edc9', 'f1f3bd2c065b45e183d0f7da50a7e6a9', 'False', 'True', 'false', 'false', '511323215203', 5, '定顺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323215203', 1, '2021-07-19 11:52:16', NULL, NULL), (20059, '', '迎龙桥村', '0e20f906741941d5a7fe4c5e1d34d682', 'f1f3bd2c065b45e183d0f7da50a7e6a9', 'False', 'True', 'false', 'false', '511323215204', 5, '迎龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323215204', 1, '2021-07-19 11:52:16', NULL, NULL), (20060, '', '麻秀沟村', 'bf3c0041df724f94b1f6a7083937c071', 'f1f3bd2c065b45e183d0f7da50a7e6a9', 'False', 'True', 'false', 'false', '511323215205', 5, '麻秀沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323215205', 1, '2021-07-19 11:52:17', NULL, NULL), (20061, '', '下唐村', '68e7e3b75d1a48e884552c210237e6b9', 'f1f3bd2c065b45e183d0f7da50a7e6a9', 'False', 'True', 'false', 'false', '511323215206', 5, '下唐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323215206', 1, '2021-07-19 11:52:17', NULL, NULL), (20062, '', '观音桥村', '6c6613e22e084e65bfe43c7b4d5cf22e', 'f1f3bd2c065b45e183d0f7da50a7e6a9', 'False', 'True', 'false', 'false', '511323215207', 5, '观音桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323215207', 1, '2021-07-19 11:52:17', NULL, NULL), (20063, '', '上唐村', '6c2a39a39e96497181a52c2f8353c6fe', 'f1f3bd2c065b45e183d0f7da50a7e6a9', 'False', 'True', 'false', 'false', '511323215208', 5, '上唐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323215208', 1, '2021-07-19 11:52:17', NULL, NULL), (20064, '', '芋河桥村', 'aa7cc51418cf446db8102b84e3191d28', 'f1f3bd2c065b45e183d0f7da50a7e6a9', 'False', 'True', 'false', 'false', '511323215209', 5, '芋河桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323215209', 1, '2021-07-19 11:52:17', NULL, NULL), (20065, '', '葫芦村', 'f18ca33a5fa344c4bd11ac6de614e9ba', 'f1f3bd2c065b45e183d0f7da50a7e6a9', 'False', 'True', 'false', 'false', '511323215210', 5, '葫芦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323215210', 1, '2021-07-19 11:52:17', NULL, NULL), (20066, '', '仙鹅村', 'c88e5330f8734b11a9c2757abc184e72', 'f1f3bd2c065b45e183d0f7da50a7e6a9', 'False', 'True', 'false', 'false', '511323215211', 5, '仙鹅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323215211', 1, '2021-07-19 11:52:17', NULL, NULL), (20067, '', '星火村', 'ee72bb82780e4987b742be389d7c2cac', 'f1f3bd2c065b45e183d0f7da50a7e6a9', 'False', 'True', 'false', 'false', '511323215212', 5, '星火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323215212', 1, '2021-07-19 11:52:17', NULL, NULL), (20068, '', '长河村', '8c95c73582e44ccd8f8d8885c51b0eb6', 'f1f3bd2c065b45e183d0f7da50a7e6a9', 'False', 'True', 'false', 'false', '511323215213', 5, '长河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323215213', 1, '2021-07-19 11:52:17', NULL, NULL), (20069, '', '焰山村', 'bcf6d0f110a2430ba5fd10abfe6f47df', 'f1f3bd2c065b45e183d0f7da50a7e6a9', 'False', 'True', 'false', 'false', '511323215214', 5, '焰山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323215214', 1, '2021-07-19 11:52:17', NULL, NULL), (20070, '', '果山村', '2f29983cf332425d85e39c13d951b9fd', 'f1f3bd2c065b45e183d0f7da50a7e6a9', 'False', 'True', 'false', 'false', '511323215215', 5, '果山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323215215', 1, '2021-07-19 11:52:17', NULL, NULL), (20071, '', '新园乡', '7161c58fcd584d448f3a3c0bfde17438', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323217000', 4, '新园乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323217000', 1, '2021-07-19 11:52:17', NULL, NULL), (20072, '', '天兴社区', '03120a16b8ee4670b6cc0fd9589e8c29', '7161c58fcd584d448f3a3c0bfde17438', 'False', 'True', 'false', 'false', '511323217001', 5, '天兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323217001', 1, '2021-07-19 11:52:17', NULL, NULL), (20073, '', '油坊坝村', '780a67131eb844bea1f8a04487813689', '7161c58fcd584d448f3a3c0bfde17438', 'False', 'True', 'false', 'false', '511323217202', 5, '油坊坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323217202', 1, '2021-07-19 11:52:17', NULL, NULL), (20074, '', '踏坡梁村', '2114009947ed4fdf933103165a5a6a14', '7161c58fcd584d448f3a3c0bfde17438', 'False', 'True', 'false', 'false', '511323217204', 5, '踏坡梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323217204', 1, '2021-07-19 11:52:18', NULL, NULL), (20075, '', '宽敞沟村', '1e8000f34db74b8d9b4efe6c15416738', '7161c58fcd584d448f3a3c0bfde17438', 'False', 'True', 'false', 'false', '511323217208', 5, '宽敞沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323217208', 1, '2021-07-19 11:52:18', NULL, NULL), (20076, '', '半坡龙村', 'c00f02713ac34303b9053c22f324be91', '7161c58fcd584d448f3a3c0bfde17438', 'False', 'True', 'false', 'false', '511323217209', 5, '半坡龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323217209', 1, '2021-07-19 11:52:18', NULL, NULL), (20077, '', '石孔乡', 'f093bad2f1584c55a7fc97ae324eeba3', 'b16510179de34db18a30e0e7fd390e2a', 'True', 'True', 'false', 'false', '511323222000', 4, '石孔乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511323222000', 1, '2021-07-19 11:52:18', NULL, NULL), (20078, '', '十三嘴村', '876dc0011976445cb08824267f5f16c6', 'f093bad2f1584c55a7fc97ae324eeba3', 'False', 'True', 'false', 'false', '511323222202', 5, '十三嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323222202', 1, '2021-07-19 11:52:18', NULL, NULL), (20079, '', '孔夫街社区', '56fa443585c24353bda872d77758cb6e', 'f093bad2f1584c55a7fc97ae324eeba3', 'False', 'False', 'false', 'false', '511323222512', 5, '孔夫街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323222512', 1, '2021-07-19 11:52:18', NULL, NULL), (20080, '', '小玉村', '06297d7e20034dec9c5518ac334b5b65', 'f093bad2f1584c55a7fc97ae324eeba3', 'False', 'True', 'false', 'false', '511323222204', 5, '小玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323222204', 1, '2021-07-19 11:52:18', NULL, NULL), (20081, '', '山青村', '89a52ca5464f4e9e904a70b5c6bb0d35', 'f093bad2f1584c55a7fc97ae324eeba3', 'False', 'True', 'false', 'false', '511323222207', 5, '山青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323222207', 1, '2021-07-19 11:52:18', NULL, NULL), (20082, '', '社附村', 'b179fb5d2d7e4478abd7ba3520dcd583', 'f093bad2f1584c55a7fc97ae324eeba3', 'False', 'True', 'false', 'false', '511323222210', 5, '社附村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511323222210', 1, '2021-07-19 11:52:18', NULL, NULL), (20083, '', '四川南充经济开发区', '8f945971432946139398042a6c6b6da9', 'd9f01e465bbf4f06b12dda9480080f67', 'False', 'True', 'false', 'false', '511349000000', 3, '南充经开区', 'ncsjkq.sczwfw.gov.cn', 1, '2021-07-19 11:52:18', NULL, NULL), (20084, '', '宜宾市', '8fc9422b1bca40fa86f12b028b33e6cf', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'true', 'true', '511500000000', 2, '宜宾市', 'ybs.sczwfw.gov.cn', 1, '2021-07-19 11:52:18', NULL, NULL), (20085, '', '翠屏区', '757245aa784545519aed253b29310589', '8fc9422b1bca40fa86f12b028b33e6cf', 'True', 'True', 'false', 'false', '511502000000', 3, '翠屏区', 'ybscpq.sczwfw.gov.cn', 1, '2021-07-19 11:52:18', NULL, NULL), (20086, '', '合江门街道', '1b01f5486d63467aaa24eafbee797b47', '757245aa784545519aed253b29310589', 'True', 'True', 'false', 'false', '511502012000', 4, '合江门街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511502012000', 1, '2021-07-19 11:52:18', NULL, NULL), (20087, '', '东街社区居委会', '16716546def0482ab2d4aae9d2dcb7d1', '1b01f5486d63467aaa24eafbee797b47', 'False', 'True', 'false', 'false', '511502012001', 5, '东街社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502012001', 1, '2021-07-19 11:52:18', NULL, NULL), (20088, '', '钟鼓楼社区居委会', 'f29c06c08b3c49948bb9c19ea324127b', '1b01f5486d63467aaa24eafbee797b47', 'False', 'False', 'false', 'false', '511502012003', 5, '钟鼓楼社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502012003', 1, '2021-07-19 11:52:18', NULL, NULL), (20089, '', '北门社区居委会', '1cfd146dd95048c7832f70c2b6eb054d', '1b01f5486d63467aaa24eafbee797b47', 'False', 'True', 'false', 'false', '511502012006', 5, '北门社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502012006', 1, '2021-07-19 11:52:18', NULL, NULL), (20090, '', '鲁家园社区居委会', 'e08d2af701054d8dbcc644d38b21dc2e', '1b01f5486d63467aaa24eafbee797b47', 'False', 'True', 'false', 'false', '511502012010', 5, '鲁家园社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502012010', 1, '2021-07-19 11:52:18', NULL, NULL), (20091, '', '酒都社区居委会', 'aa1f22e8c06d4cf4b497041be6142296', '1b01f5486d63467aaa24eafbee797b47', 'False', 'True', 'false', 'false', '511502012005', 5, '酒都社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502012005', 1, '2021-07-19 11:52:18', NULL, NULL), (20092, '', '真武社区居委会', 'f9e0e97ab17b4fde95fff03ebb5dbe80', '1b01f5486d63467aaa24eafbee797b47', 'False', 'True', 'false', 'false', '511502012009', 5, '真武社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502012009', 1, '2021-07-19 11:52:18', NULL, NULL), (20093, '', '大观楼街道', '733069a846a14328bdf49036c64f8e77', '757245aa784545519aed253b29310589', 'True', 'True', 'false', 'false', '511502015000', 4, '大观楼街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511502015000', 1, '2021-07-19 11:52:18', NULL, NULL), (20094, '', '慈善社区居委会', 'c76c9f3fa060466ca5a2393107c4a823', '733069a846a14328bdf49036c64f8e77', 'False', 'True', 'false', 'false', '511502015008', 5, '慈善社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502015008', 1, '2021-07-19 11:52:19', NULL, NULL), (20095, '', '文星社区居委会', 'b5456ad6a04a4a0a84dbffdc73e06569', '733069a846a14328bdf49036c64f8e77', 'False', 'True', 'false', 'false', '511502015004', 5, '文星社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502015004', 1, '2021-07-19 11:52:19', NULL, NULL), (20096, '', '冠英社区居委会', '417d30367f46436981a20206d6c3608f', '733069a846a14328bdf49036c64f8e77', 'False', 'True', 'false', 'false', '511502015003', 5, '冠英社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502015003', 1, '2021-07-19 11:52:19', NULL, NULL), (20097, '', '金江社区居委会', '1f6391b592d34c3483cd34cdfaea2ae3', '733069a846a14328bdf49036c64f8e77', 'False', 'True', 'false', 'false', '511502015009', 5, '金江社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502015009', 1, '2021-07-19 11:52:19', NULL, NULL), (20098, '', '仁和社区居委会', '0dc2d59409484b15bec3ddd8a361f8d8', '733069a846a14328bdf49036c64f8e77', 'False', 'True', 'false', 'false', '511502015007', 5, '仁和社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502015007', 1, '2021-07-19 11:52:19', NULL, NULL), (20099, '', '清华社区居委会', 'ca84adc68107471fb89045d59cac9c35', '733069a846a14328bdf49036c64f8e77', 'False', 'True', 'false', 'false', '511502015006', 5, '清华社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502015006', 1, '2021-07-19 11:52:19', NULL, NULL), (20100, '', '西郊街道', '4be36de9f23b4c9e8e0aefe572a626e6', '757245aa784545519aed253b29310589', 'True', 'True', 'false', 'false', '511502006000', 4, '西郊街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511502006000', 1, '2021-07-19 11:52:19', NULL, NULL), (20101, '', '大运社区居委会', '66947fb0712d46f9835492a614799ded', '4be36de9f23b4c9e8e0aefe572a626e6', 'False', 'True', 'false', 'false', '511502006004', 5, '大运社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502006004', 1, '2021-07-19 11:52:19', NULL, NULL), (20102, '', '骑龙社区居委会', '0c59cf1b23ae46df9b7dc1be5295b33b', '4be36de9f23b4c9e8e0aefe572a626e6', 'False', 'True', 'false', 'false', '511502006010', 5, '骑龙社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502006010', 1, '2021-07-19 11:52:19', NULL, NULL), (20103, '', '高桥村委会', '09b8fc684da54d92932ceaaef5378766', '4be36de9f23b4c9e8e0aefe572a626e6', 'False', 'True', 'false', 'false', '511502006205', 5, '高桥村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502006205', 1, '2021-07-19 11:52:19', NULL, NULL), (20104, '', '天池社区居委会', 'd41fa734a7e94f8798b44e0b00f3d665', '4be36de9f23b4c9e8e0aefe572a626e6', 'False', 'True', 'false', 'false', '511502006007', 5, '天池社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502006007', 1, '2021-07-19 11:52:19', NULL, NULL), (20105, '', '白石社区居委会', 'ff7406a8ec7e418c8fa05741e821494d', '4be36de9f23b4c9e8e0aefe572a626e6', 'False', 'True', 'false', 'false', '511502006009', 5, '白石社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502006009', 1, '2021-07-19 11:52:19', NULL, NULL), (20106, '', '农生社区居委会', 'ec304a8859c94cae8f975f698433c018', '4be36de9f23b4c9e8e0aefe572a626e6', 'False', 'True', 'false', 'false', '511502006204', 5, '农生社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502006204', 1, '2021-07-19 11:52:19', NULL, NULL), (20107, '', '建新村委会', '0182b05ed4c542b7bbeed9a3e7446aee', '4be36de9f23b4c9e8e0aefe572a626e6', 'False', 'True', 'false', 'false', '511502006206', 5, '建新村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502006206', 1, '2021-07-19 11:52:19', NULL, NULL), (20108, '', '建中社区居委会', 'd3ac581265fb40679f68e478bcab2df5', '4be36de9f23b4c9e8e0aefe572a626e6', 'False', 'True', 'false', 'false', '511502006006', 5, '建中社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502006006', 1, '2021-07-19 11:52:19', NULL, NULL), (20109, '', '东福社区居委会', '2d838bcf34e54809ab620cb1d3cfa853', '4be36de9f23b4c9e8e0aefe572a626e6', 'False', 'True', 'false', 'false', '511502006001', 5, '东福社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502006001', 1, '2021-07-19 11:52:19', NULL, NULL), (20110, '', '新天社区居委会', 'b972674645a144db969ab16f6aebc887', '4be36de9f23b4c9e8e0aefe572a626e6', 'False', 'True', 'false', 'false', '511502006002', 5, '新天社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502006002', 1, '2021-07-19 11:52:19', NULL, NULL), (20111, '', '金沙江社区居委会', '0ceed5b7a52843cc8a5e013c968b02c2', '4be36de9f23b4c9e8e0aefe572a626e6', 'False', 'True', 'false', 'false', '511502006008', 5, '金沙江社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502006008', 1, '2021-07-19 11:52:19', NULL, NULL), (20112, '', '安阜街道', '1eb3efd26ff640a09cd4eb81b4e0af09', '757245aa784545519aed253b29310589', 'True', 'True', 'false', 'false', '511502007000', 4, '安阜街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511502007000', 1, '2021-07-19 11:52:19', NULL, NULL), (20113, '', '旧州大道社区居委会', 'c33e8cc8d6d6443ea6e35a34a552fb2e', '1eb3efd26ff640a09cd4eb81b4e0af09', 'False', 'False', 'false', 'false', '511502007002', 5, '旧州大道社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502007002', 1, '2021-07-19 11:52:20', NULL, NULL), (20114, '', '五粮液社区居委会', 'c96e1455ad5142ab89002914256b4c54', '1eb3efd26ff640a09cd4eb81b4e0af09', 'False', 'False', 'false', 'false', '511502007003', 5, '五粮液社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502007003', 1, '2021-07-19 11:52:20', NULL, NULL), (20115, '', '葡萄园社区居委会', '5f7837ab49ca4c0db4088d146a541eec', '1eb3efd26ff640a09cd4eb81b4e0af09', 'False', 'False', 'false', 'false', '511502007004', 5, '葡萄园社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502007004', 1, '2021-07-19 11:52:20', NULL, NULL), (20116, '', '新街社区居委会', 'c773fe81424644889da0738fd3b27687', '1eb3efd26ff640a09cd4eb81b4e0af09', 'False', 'False', 'false', 'false', '511502007008', 5, '新街社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502007008', 1, '2021-07-19 11:52:20', NULL, NULL), (20117, '', '流杯池社区居委会', 'dc4bb426eb0048249f380a23dd736dfa', '1eb3efd26ff640a09cd4eb81b4e0af09', 'False', 'False', 'false', 'false', '511502007009', 5, '流杯池社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502007009', 1, '2021-07-19 11:52:20', NULL, NULL), (20118, '', '酒圣路社区居委会', '16fdbc5d085747c0a3ed2c11f8aba0ab', '1eb3efd26ff640a09cd4eb81b4e0af09', 'False', 'False', 'false', 'false', '511502007010', 5, '酒圣路社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502007010', 1, '2021-07-19 11:52:20', NULL, NULL), (20119, '', '三江社区居委会', 'c5b52f8b5576446f9756c614eef891b8', '1eb3efd26ff640a09cd4eb81b4e0af09', 'False', 'False', 'false', 'false', '511502007012', 5, '三江社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502007012', 1, '2021-07-19 11:52:20', NULL, NULL), (20120, '', '金厦社区居委会', 'edbf0557ba0c4c16a8112055fc210fcb', '1eb3efd26ff640a09cd4eb81b4e0af09', 'False', 'False', 'false', 'false', '5115750878568947712', 5, '金厦社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5115750878568947712', 1, '2021-07-19 11:52:20', NULL, NULL), (20121, '', '阳光苑社区居委会', 'ff5c74ac46e245ce82ae28059e3dc455', '1eb3efd26ff640a09cd4eb81b4e0af09', 'False', 'False', 'false', 'false', '511502007013', 5, '阳光苑社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502007013', 1, '2021-07-19 11:52:20', NULL, NULL), (20122, '', '象鼻街道', 'bd1f153b2fb6401aa459efb1b5ad2fbd', '757245aa784545519aed253b29310589', 'True', 'True', 'false', 'false', '511502010000', 4, '象鼻街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511502010000', 1, '2021-07-19 11:52:20', NULL, NULL), (20123, '', '金象社区居委会', '21fa401039f143bea4af440d1248df8b', 'bd1f153b2fb6401aa459efb1b5ad2fbd', 'False', 'True', 'false', 'false', '511502010001', 5, '金象社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502010001', 1, '2021-07-19 11:52:20', NULL, NULL), (20124, '', '振兴社区居委会', '24016e55c899435aa52955f1f24e66e0', 'bd1f153b2fb6401aa459efb1b5ad2fbd', 'False', 'True', 'false', 'false', '511502010002', 5, '振兴社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502010002', 1, '2021-07-19 11:52:20', NULL, NULL), (20125, '', '红坝社区居委会', '13cfd9037a504a1cb8635c8c3d9a1e11', 'bd1f153b2fb6401aa459efb1b5ad2fbd', 'False', 'True', 'false', 'false', '511502010003', 5, '红坝社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502010003', 1, '2021-07-19 11:52:20', NULL, NULL), (20126, '', '龙泉社区居委会', 'd5a4257fb1c8444ab28f59023c1fc7a0', 'bd1f153b2fb6401aa459efb1b5ad2fbd', 'False', 'True', 'false', 'false', '511502010004', 5, '龙泉社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502010004', 1, '2021-07-19 11:52:20', NULL, NULL), (20127, '', '和苑社区居委会', '4f8f2814b73f4fd583a42052dc922b21', 'bd1f153b2fb6401aa459efb1b5ad2fbd', 'False', 'True', 'false', 'false', '511502010005', 5, '和苑社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502010005', 1, '2021-07-19 11:52:20', NULL, NULL), (20128, '', '大地社区居委会', 'd6219dee5a3245a68d7793852f2f317f', 'bd1f153b2fb6401aa459efb1b5ad2fbd', 'False', 'True', 'false', 'false', '511502010215', 5, '大地社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502010215', 1, '2021-07-19 11:52:20', NULL, NULL), (20129, '', '十里村委会', '932469d106964aa3849d65b810a785eb', 'bd1f153b2fb6401aa459efb1b5ad2fbd', 'False', 'True', 'false', 'false', '511502010202', 5, '十里村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502010202', 1, '2021-07-19 11:52:20', NULL, NULL), (20130, '', '沙坝村委会', '61c58f5a71054205a2c43294b46dfe03', 'bd1f153b2fb6401aa459efb1b5ad2fbd', 'False', 'True', 'false', 'false', '511502010205', 5, '沙坝村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502010205', 1, '2021-07-19 11:52:21', NULL, NULL), (20131, '', '四华村委会', '009b855c18224e28a876a80954c177f8', 'bd1f153b2fb6401aa459efb1b5ad2fbd', 'False', 'True', 'false', 'false', '511502010207', 5, '四华村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502010207', 1, '2021-07-19 11:52:21', NULL, NULL), (20132, '', '观音村委会', 'a34731c0fc0b4e4a9fdfccabf9aa6a15', 'bd1f153b2fb6401aa459efb1b5ad2fbd', 'False', 'True', 'false', 'false', '511502010208', 5, '观音村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502010208', 1, '2021-07-19 11:52:21', NULL, NULL), (20133, '', '华家村委会', '9f27843be72c410a97110e974d6e20cb', 'bd1f153b2fb6401aa459efb1b5ad2fbd', 'False', 'True', 'false', 'false', '511502010209', 5, '华家村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502010209', 1, '2021-07-19 11:52:21', NULL, NULL), (20134, '', '大林村委会', '5b30513af1ca4890a5ae753e453a4567', 'bd1f153b2fb6401aa459efb1b5ad2fbd', 'False', 'True', 'false', 'false', '511502010210', 5, '大林村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502010210', 1, '2021-07-19 11:52:21', NULL, NULL), (20135, '', '方碑村委会', 'df5c25b651e1485bace89b8eb2696ae4', 'bd1f153b2fb6401aa459efb1b5ad2fbd', 'False', 'True', 'false', 'false', '511502010217', 5, '方碑村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502010217', 1, '2021-07-19 11:52:21', NULL, NULL), (20136, '', '观斗村委会', 'fe41b74807c240729ca7d8616e3fa311', 'bd1f153b2fb6401aa459efb1b5ad2fbd', 'False', 'True', 'false', 'false', '511502010218', 5, '观斗村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502010218', 1, '2021-07-19 11:52:21', NULL, NULL), (20137, '', '大麦村委会', '1393679604a94deba7a8ce836a59cf56', 'bd1f153b2fb6401aa459efb1b5ad2fbd', 'False', 'True', 'false', 'false', '511502010220', 5, '大麦村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502010220', 1, '2021-07-19 11:52:21', NULL, NULL), (20138, '', '方水井村委会', '7a04598931e14cd7bdc88b51914dfb89', 'bd1f153b2fb6401aa459efb1b5ad2fbd', 'False', 'True', 'false', 'false', '511502010221', 5, '方水井村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502010221', 1, '2021-07-19 11:52:21', NULL, NULL), (20139, '', '天桂新村委会', 'a1c6d92c678847b38a7f93a143ebccd9', 'bd1f153b2fb6401aa459efb1b5ad2fbd', 'False', 'True', 'false', 'false', '511502010213', 5, '天桂新村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502010213', 1, '2021-07-19 11:52:21', NULL, NULL), (20140, '', '白花镇', 'a0b7833d155946b2bc909015327075bc', '757245aa784545519aed253b29310589', 'True', 'True', 'false', 'false', '511502208000', 4, '白花镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511502208000', 1, '2021-07-19 11:52:21', NULL, NULL), (20141, '', '和平社区居委会', '17ec92feb2834b8c8d52cdf1feee8501', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502208001', 5, '和平社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502208001', 1, '2021-07-19 11:52:21', NULL, NULL), (20142, '', '白杨社区居委会', 'eabaff94ca3c42ae8f0661f611eddda3', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502208002', 5, '白杨社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502208002', 1, '2021-07-19 11:52:21', NULL, NULL), (20143, '', '孔滩社区居委会', 'bd2469de81444c8dafe6c617fc7bb0bb', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118006', 5, '孔滩社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118006', 1, '2021-07-19 11:52:21', NULL, NULL), (20144, '', '白龙社区居委会', '5f875f6d829d49c181de1297efd47748', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118007', 5, '白龙社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118007', 1, '2021-07-19 11:52:21', NULL, NULL), (20145, '', '通关村委会', '1ca6e002ae314404aea6d8274acaf384', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502208201', 5, '通关村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502208201', 1, '2021-07-19 11:52:21', NULL, NULL), (20146, '', '火地村委会', '931a4e611e9d408da04862acc9db36f1', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502208203', 5, '火地村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502208203', 1, '2021-07-19 11:52:21', NULL, NULL), (20147, '', '坝上村委会', '2034a4239be44b29870cf2f2ba6a0ec4', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502208204', 5, '坝上村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502208204', 1, '2021-07-19 11:52:22', NULL, NULL), (20148, '', '建军村委会', 'f3ce7cad19fd472cb09ea4de89c65553', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502208205', 5, '建军村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502208205', 1, '2021-07-19 11:52:22', NULL, NULL), (20149, '', '新天村委会', '5131430686394043b477f3b77540be12', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502208208', 5, '新天村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502208208', 1, '2021-07-19 11:52:22', NULL, NULL), (20150, '', '卫星村委会', '3a430d48ebda4ddbb9499ecf896e928d', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502208210', 5, '卫星村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502208210', 1, '2021-07-19 11:52:22', NULL, NULL), (20151, '', '双桥村委会', 'fd8252cc8bb84610a2daf3348e3c5291', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502208214', 5, '双桥村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502208214', 1, '2021-07-19 11:52:22', NULL, NULL), (20152, '', '凤形村委会', '8e36184679c6487e9444463ccec435e7', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502208215', 5, '凤形村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502208215', 1, '2021-07-19 11:52:22', NULL, NULL), (20153, '', '刘家村委会', '176953211d534ee0b5230769642c2ee9', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502208219', 5, '刘家村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502208219', 1, '2021-07-19 11:52:22', NULL, NULL), (20154, '', '一曼村委会', '4b0e38184b0d4d2db34d0be1e6456c80', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502208223', 5, '一曼村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502208223', 1, '2021-07-19 11:52:22', NULL, NULL), (20155, '', '鱼坝村委会', 'bd65c369a75f4deb9d14b4ccf0fb47cc', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502208224', 5, '鱼坝村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502208224', 1, '2021-07-19 11:52:22', NULL, NULL), (20156, '', '蔡家村委会', 'dc2686e9ad6140b29a963e9548d74a06', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118226', 5, '蔡家村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118226', 1, '2021-07-19 11:52:22', NULL, NULL), (20157, '', '集中村委会', 'b39103c248c146e6bc020580fc8828d6', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502208227', 5, '集中村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502208227', 1, '2021-07-19 11:52:22', NULL, NULL), (20158, '', '三星村委会', '6f48e415b5964e1dad1e7c8e1f915012', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118228', 5, '三星村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118228', 1, '2021-07-19 11:52:22', NULL, NULL), (20159, '', '六乡村委会', '0b49ac82169c4cee8a1f2c5bd6104fdc', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118231', 5, '六乡村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118231', 1, '2021-07-19 11:52:22', NULL, NULL), (20160, '', '孔滩村委会', 'be391d96fecd46d58d63ef2c06a677e0', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118232', 5, '孔滩村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118232', 1, '2021-07-19 11:52:22', NULL, NULL), (20161, '', '玉家村委会', '4654e37b5bbb459ea19e43bd93a62d70', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118233', 5, '玉家村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118233', 1, '2021-07-19 11:52:22', NULL, NULL), (20162, '', '金凤村委会', '412f7f6c579042e0bd8b0b2621140990', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118236', 5, '金凤村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118236', 1, '2021-07-19 11:52:22', NULL, NULL), (20163, '', '大佛村委会', '3a50eb07b3f2416c8e297587f2e9339b', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118237', 5, '大佛村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118237', 1, '2021-07-19 11:52:23', NULL, NULL), (20164, '', '金场村委会', '931259b63adc45edab77c81d95db35e2', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118238', 5, '金场村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118238', 1, '2021-07-19 11:52:23', NULL, NULL), (20165, '', '白杨村委会', '0ce01636ce364952a55671e9ca49749b', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118243', 5, '白杨村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118243', 1, '2021-07-19 11:52:23', NULL, NULL), (20166, '', '马乾村委会', '7b2c2c8791944ca899732b913356a0f4', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118245', 5, '马乾村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118245', 1, '2021-07-19 11:52:23', NULL, NULL), (20167, '', '四合村委会', 'dd17587032454529af16d04309f745a0', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118246', 5, '四合村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118246', 1, '2021-07-19 11:52:23', NULL, NULL), (20168, '', '杨庙村委会', '9b2f0e54b43a46d4992a864ad0a6fc48', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118248', 5, '杨庙村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118248', 1, '2021-07-19 11:52:23', NULL, NULL), (20169, '', '白龙村委会', '926a91b2d2594bb6bb808d34c47fb41f', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118250', 5, '白龙村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118250', 1, '2021-07-19 11:52:23', NULL, NULL), (20170, '', '何家村委会', '21c309c857eb416f9a1b220bd7b1bb4b', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118251', 5, '何家村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118251', 1, '2021-07-19 11:52:23', NULL, NULL), (20171, '', '东林村委会', '7177cdd90c964cf2ac41f166b144a97d', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118252', 5, '东林村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118252', 1, '2021-07-19 11:52:23', NULL, NULL), (20172, '', '永远村委会', 'b85a961df8a84413a981a89b676cfdef', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118256', 5, '永远村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118256', 1, '2021-07-19 11:52:23', NULL, NULL), (20173, '', '光荣村委会', '91314c1cd93f4df6ae598b97c714f73f', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118257', 5, '光荣村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118257', 1, '2021-07-19 11:52:23', NULL, NULL), (20174, '', '白安村委会', 'd636a340e8454d6cb32c49d78d2a2c45', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118258', 5, '白安村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118258', 1, '2021-07-19 11:52:23', NULL, NULL), (20175, '', '王四通村委会', '2384d13ddcd849d8b2ea866b9521bd83', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118259', 5, '王四通村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118259', 1, '2021-07-19 11:52:23', NULL, NULL), (20176, '', '白马村委会', '80c740e9d0f84dfa9eab530c952bd59e', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118260', 5, '白马村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118260', 1, '2021-07-19 11:52:23', NULL, NULL), (20177, '', '太平村委会', '42152b07483b42fdaec64edd46058d78', 'a0b7833d155946b2bc909015327075bc', 'False', 'True', 'false', 'false', '511502118261', 5, '太平村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502118261', 1, '2021-07-19 11:52:23', NULL, NULL), (20178, '', '菜坝镇', 'e61773e76b9d48308a8802b7042cabd5', '757245aa784545519aed253b29310589', 'True', 'True', 'false', 'false', '511502102000', 4, '菜坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511502102000', 1, '2021-07-19 11:52:23', NULL, NULL), (20179, '', '绿园社区居委会', '685a65d800014f7f9238d4e827002ff6', 'e61773e76b9d48308a8802b7042cabd5', 'False', 'True', 'false', 'false', '511502102003', 5, '绿园社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502102003', 1, '2021-07-19 11:52:23', NULL, NULL), (20180, '', '菜利村委会', 'ac7524d67f614d2d94a6359c11170ff6', 'e61773e76b9d48308a8802b7042cabd5', 'False', 'True', 'false', 'false', '511502102201', 5, '菜利村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502102201', 1, '2021-07-19 11:52:23', NULL, NULL), (20181, '', '石马村委会', '8ab0c067b1384a39aa0078bae27d6650', 'e61773e76b9d48308a8802b7042cabd5', 'False', 'True', 'false', 'false', '511502102203', 5, '石马村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502102203', 1, '2021-07-19 11:52:24', NULL, NULL), (20182, '', '菜坝村委会', '2e3ee46e10ce47fcb86c4d72ab8a44c8', 'e61773e76b9d48308a8802b7042cabd5', 'False', 'True', 'false', 'false', '511502102204', 5, '菜坝村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502102204', 1, '2021-07-19 11:52:24', NULL, NULL), (20183, '', '光华村委会', 'a95caf918da04d9cb2031902defd769e', 'e61773e76b9d48308a8802b7042cabd5', 'False', 'True', 'false', 'false', '511502102206', 5, '光华村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502102206', 1, '2021-07-19 11:52:24', NULL, NULL), (20184, '', '扇子村委会', '3aa77eeb7e9a46d38ad388fd16b72da7', 'e61773e76b9d48308a8802b7042cabd5', 'False', 'True', 'false', 'false', '511502102207', 5, '扇子村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502102207', 1, '2021-07-19 11:52:24', NULL, NULL), (20185, '', '红旗村委会', '29a867827e1a4171b45290fd164d9eae', 'e61773e76b9d48308a8802b7042cabd5', 'False', 'True', 'false', 'false', '511502102208', 5, '红旗村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502102208', 1, '2021-07-19 11:52:24', NULL, NULL), (20186, '', '点灯村委会', 'd8bcbcfbb918424da803c93953016dd1', 'e61773e76b9d48308a8802b7042cabd5', 'False', 'True', 'false', 'false', '511502102210', 5, '点灯村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502102210', 1, '2021-07-19 11:52:24', NULL, NULL), (20187, '', '菜胜村委会', '905b9b6bd64048e58f49aa0ee87a3435', 'e61773e76b9d48308a8802b7042cabd5', 'False', 'True', 'false', 'false', '511502102211', 5, '菜胜村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502102211', 1, '2021-07-19 11:52:24', NULL, NULL), (20188, '', '劳动村委会', '83eb738a45d24241983e33e886a94eb9', 'e61773e76b9d48308a8802b7042cabd5', 'False', 'True', 'false', 'false', '511502102213', 5, '劳动村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502102213', 1, '2021-07-19 11:52:24', NULL, NULL), (20189, '', '峰洞村委会', '950f107b5046474ca305a21e9a54babf', 'e61773e76b9d48308a8802b7042cabd5', 'False', 'True', 'false', 'false', '511502102214', 5, '峰洞村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502102214', 1, '2021-07-19 11:52:24', NULL, NULL), (20190, '', '幸福村委会', '0f113bbd90554432abc2c7364fcafd21', 'e61773e76b9d48308a8802b7042cabd5', 'False', 'True', 'false', 'false', '511502102215', 5, '幸福村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502102215', 1, '2021-07-19 11:52:24', NULL, NULL), (20191, '', '水库村委会', 'df91b660a3bc410c9571a6bc8aa6fe6d', 'e61773e76b9d48308a8802b7042cabd5', 'False', 'True', 'false', 'false', '511502102216', 5, '水库村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502102216', 1, '2021-07-19 11:52:24', NULL, NULL), (20192, '', '金坪镇', 'ad8d7fe724f24099b245e8183e978d41', '757245aa784545519aed253b29310589', 'True', 'True', 'false', 'false', '511502105000', 4, '金坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511502105000', 1, '2021-07-19 11:52:24', NULL, NULL), (20193, '', '中心社区居委会', '089dfbd34a6c422fb93dea7da1fe4c59', 'ad8d7fe724f24099b245e8183e978d41', 'False', 'True', 'false', 'false', '511502105001', 5, '中心社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502105001', 1, '2021-07-19 11:52:24', NULL, NULL), (20194, '', '金堂村委会', 'bb0dc5f872b7462892e62e038c8b5cfb', 'ad8d7fe724f24099b245e8183e978d41', 'False', 'True', 'false', 'false', '511502105201', 5, '金堂村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502105201', 1, '2021-07-19 11:52:24', NULL, NULL), (20195, '', '金龙村委会', '663ce63981f1403db315f8eba6cf8bc0', 'ad8d7fe724f24099b245e8183e978d41', 'False', 'True', 'false', 'false', '511502105202', 5, '金龙村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502105202', 1, '2021-07-19 11:52:24', NULL, NULL), (20196, '', '青叶村委会', '7716a785726e4949892aae0d408f8ac0', 'ad8d7fe724f24099b245e8183e978d41', 'False', 'True', 'false', 'false', '511502105203', 5, '青叶村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502105203', 1, '2021-07-19 11:52:24', NULL, NULL), (20197, '', '秀才村委会', 'b6e83c67b101471aa88a406bc63da377', 'ad8d7fe724f24099b245e8183e978d41', 'False', 'True', 'false', 'false', '511502105206', 5, '秀才村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502105206', 1, '2021-07-19 11:52:24', NULL, NULL), (20198, '', '菜子村委会', '0ddcadeccad84c7a8c64af6ef442eb38', 'ad8d7fe724f24099b245e8183e978d41', 'False', 'True', 'false', 'false', '511502105207', 5, '菜子村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502105207', 1, '2021-07-19 11:52:24', NULL, NULL), (20199, '', '一步滩村委会', '134f61056d1a4278ac134ad995d923d1', 'ad8d7fe724f24099b245e8183e978d41', 'False', 'True', 'false', 'false', '511502104209', 5, '一步滩村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502104209', 1, '2021-07-19 11:52:25', NULL, NULL), (20200, '', '绍光村委会', '798f381487c44f48aa2591222b6b94fb', 'ad8d7fe724f24099b245e8183e978d41', 'False', 'True', 'false', 'false', '511502105211', 5, '绍光村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502105211', 1, '2021-07-19 11:52:25', NULL, NULL), (20201, '', '罗家村委会', '31db2273755647d8b7dc2b7831345443', 'ad8d7fe724f24099b245e8183e978d41', 'False', 'True', 'false', 'false', '511502105212', 5, '罗家村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502105212', 1, '2021-07-19 11:52:25', NULL, NULL), (20202, '', '青桥村委会', '246a826205ea4f51a7803d7c8c3b88c4', 'ad8d7fe724f24099b245e8183e978d41', 'False', 'True', 'false', 'false', '511502105213', 5, '青桥村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502105213', 1, '2021-07-19 11:52:25', NULL, NULL), (20203, '', '金秋湖镇', 'a4b48e7d888f47b3a2faa5cfa42c71c3', '757245aa784545519aed253b29310589', 'True', 'True', 'false', 'false', '511502110000', 4, '金秋湖镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511502110000', 1, '2021-07-19 11:52:25', NULL, NULL), (20204, '', '大同社区居委会', 'f0af7389c9aa4e8db44c188711d6c9d9', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502110003', 5, '大同社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502110003', 1, '2021-07-19 11:52:25', NULL, NULL), (20205, '', '金秋湖社区居委会', 'c6f3c947e92a430e923844fdbb0bad1d', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502110004', 5, '金秋湖社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502110004', 1, '2021-07-19 11:52:25', NULL, NULL), (20206, '', '明威社区居委会', '71113305aac749a7a7f3690fefed6c99', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502121004', 5, '明威社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502121004', 1, '2021-07-19 11:52:25', NULL, NULL), (20207, '', '王场社区居委会', '21eef02cd48c455a8bfeedd6c54a5fe2', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502121005', 5, '王场社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502121005', 1, '2021-07-19 11:52:25', NULL, NULL), (20208, '', '邱场村委会', '227d6484415f436f88453dc2b5a2fa2d', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502110131', 5, '邱场村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502110131', 1, '2021-07-19 11:52:25', NULL, NULL), (20209, '', '谢坝村委会', '944226eb4bfc48918fd2d7c4c81f2d3b', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502121202', 5, '谢坝村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502121202', 1, '2021-07-19 11:52:25', NULL, NULL), (20210, '', '新国村委会', '4e1014141c5b464692e2d4d340987036', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502110688', 5, '新国村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502110688', 1, '2021-07-19 11:52:26', NULL, NULL), (20211, '', '云台村委会', 'd7d7c05a72de45b0908f91b1f6fd88db', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502110994', 5, '云台村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502110994', 1, '2021-07-19 11:52:26', NULL, NULL), (20212, '', '新马村委会', '97de502f7ece4aa3b09cb316e38e232a', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502110621', 5, '新马村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502110621', 1, '2021-07-19 11:52:26', NULL, NULL), (20213, '', '新店村委会', '102d7e75483545cda515c464520fe4ff', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502110939', 5, '新店村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502110939', 1, '2021-07-19 11:52:26', NULL, NULL), (20214, '', '义和村委会', '76d5cd677c554c2593657d91676417ef', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502121215', 5, '义和村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502121215', 1, '2021-07-19 11:52:26', NULL, NULL), (20215, '', '民东村委会', '4370aa240fa744feb7f299ba30bb3673', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502121217', 5, '民东村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502121217', 1, '2021-07-19 11:52:26', NULL, NULL), (20216, '', '白塔村委会', 'c9077690d40d45d5b1c34f309dbaad85', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502121218', 5, '白塔村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502121218', 1, '2021-07-19 11:52:26', NULL, NULL), (20217, '', '燕山村委会', 'e20cdb855c3746808386c38ea62f399c', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502121219', 5, '燕山村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502121219', 1, '2021-07-19 11:52:26', NULL, NULL), (20218, '', '胜平村委会', '8d2fe225bad9413b838782407eaec83c', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502121228', 5, '胜平村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502121228', 1, '2021-07-19 11:52:26', NULL, NULL), (20219, '', '胜和村委会', 'da4f06640a8f4582a2891f1347865900', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502121229', 5, '胜和村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502121229', 1, '2021-07-19 11:52:26', NULL, NULL), (20220, '', '相尧村委会', '3164396f3d5945009e44be4742a4cdf7', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502121233', 5, '相尧村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502121233', 1, '2021-07-19 11:52:26', NULL, NULL), (20221, '', '明威村委会', '42ad87bae858475e8e50ba9d9fdd13c1', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502121234', 5, '明威村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502121234', 1, '2021-07-19 11:52:26', NULL, NULL), (20222, '', '新中村委会', 'fb21203d31914404b63f48c992a694c1', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502121235', 5, '新中村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502121235', 1, '2021-07-19 11:52:26', NULL, NULL), (20223, '', '渔乡村委会', 'ff6741a91ddb4972abb4ccde0da338ec', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502121236', 5, '渔乡村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502121236', 1, '2021-07-19 11:52:26', NULL, NULL), (20224, '', '云辰村委会', '7bca17ef051748fa9469634b55a629a3', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502121237', 5, '云辰村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502121237', 1, '2021-07-19 11:52:27', NULL, NULL), (20225, '', '沉香村委会', 'db34e165f0e8441b8cdc12292e9d6be9', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502121238', 5, '沉香村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502121238', 1, '2021-07-19 11:52:27', NULL, NULL), (20226, '', '青山村委会', '2a893b0c0037432aba3fc1b2d2083005', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502121239', 5, '青山村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502121239', 1, '2021-07-19 11:52:27', NULL, NULL), (20227, '', '茶乡村委会', '3a3bc1530ad64bebb0661d79f06c2bab', 'a4b48e7d888f47b3a2faa5cfa42c71c3', 'False', 'False', 'false', 'false', '511502121240', 5, '茶乡村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502121240', 1, '2021-07-19 11:52:27', NULL, NULL), (20228, '', '李端镇', 'b55d8e09882d460dbd287c046b052178', '757245aa784545519aed253b29310589', 'True', 'True', 'false', 'false', '511502109000', 4, '李端镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511502109000', 1, '2021-07-19 11:52:27', NULL, NULL), (20229, '', '翠南社区居委会', '9cd39e658fae458797f0b889f0899f64', 'b55d8e09882d460dbd287c046b052178', 'False', 'False', 'false', 'false', '511502109001', 5, '翠南社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502109001', 1, '2021-07-19 11:52:27', NULL, NULL), (20230, '', '方碑村委会', 'b7e76e221edb4f6398ad648217230dbc', 'b55d8e09882d460dbd287c046b052178', 'False', 'False', 'false', 'false', '511502109201', 5, '方碑村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502109201', 1, '2021-07-19 11:52:27', NULL, NULL), (20231, '', '新权村委会', '849c7771acd64ef78a38ee78a8471ecb', 'b55d8e09882d460dbd287c046b052178', 'False', 'False', 'false', 'false', '511502109202', 5, '新权村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502109202', 1, '2021-07-19 11:52:27', NULL, NULL), (20232, '', '新联村委会', 'ff497b5a273b4eb4948d62867821de4c', 'b55d8e09882d460dbd287c046b052178', 'False', 'False', 'false', 'false', '511502109203', 5, '新联村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502109203', 1, '2021-07-19 11:52:27', NULL, NULL), (20233, '', '古井村委会', '3e3ca493f99546db928ca2f08403655d', 'b55d8e09882d460dbd287c046b052178', 'False', 'False', 'false', 'false', '511502109205', 5, '古井村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502109205', 1, '2021-07-19 11:52:27', NULL, NULL), (20234, '', '高坡村委会', 'dd3ec28d40d149e2827b0ba53283db5d', 'b55d8e09882d460dbd287c046b052178', 'False', 'False', 'false', 'false', '511502109206', 5, '高坡村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502109206', 1, '2021-07-19 11:52:27', NULL, NULL), (20235, '', '塘湾村委会', 'be0ff7d3f02245c08a3279d362fe9d06', 'b55d8e09882d460dbd287c046b052178', 'False', 'False', 'false', 'false', '511502109207', 5, '塘湾村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502109207', 1, '2021-07-19 11:52:27', NULL, NULL), (20236, '', '新和村委会', 'f39fa92163e64de4af82cc7fa51e8c50', 'b55d8e09882d460dbd287c046b052178', 'False', 'False', 'false', 'false', '511502109208', 5, '新和村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502109208', 1, '2021-07-19 11:52:27', NULL, NULL), (20237, '', '板栗村委会', 'b6a7f24b0ad14651b2fe6bde0f3dcc54', 'b55d8e09882d460dbd287c046b052178', 'False', 'False', 'false', 'false', '511502109210', 5, '板栗村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502109210', 1, '2021-07-19 11:52:27', NULL, NULL), (20238, '', '高石村委会', '97c94d5e92a346e29543f127b07b09a2', 'b55d8e09882d460dbd287c046b052178', 'False', 'False', 'false', 'false', '511502109212', 5, '高石村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502109212', 1, '2021-07-19 11:52:27', NULL, NULL), (20239, '', '大山村委会', 'b4af0c40a6ce4cbb97f98cb8ff1830fc', 'b55d8e09882d460dbd287c046b052178', 'False', 'False', 'false', 'false', '511502109214', 5, '大山村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502109214', 1, '2021-07-19 11:52:27', NULL, NULL), (20240, '', '其林村委会', '3de43fd47589490a9b28120f1e170f5d', 'b55d8e09882d460dbd287c046b052178', 'False', 'False', 'false', 'false', '511502109217', 5, '其林村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502109217', 1, '2021-07-19 11:52:27', NULL, NULL), (20241, '', '云顶村委会', 'd59994e29fba47b9a08d3890a0a845ee', 'b55d8e09882d460dbd287c046b052178', 'False', 'False', 'false', 'false', '511502109219', 5, '云顶村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502109219', 1, '2021-07-19 11:52:28', NULL, NULL), (20242, '', '李庄镇', '18244370d0ac486697f224062f191a41', '757245aa784545519aed253b29310589', 'True', 'True', 'false', 'false', '511502101000', 4, '李庄镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511502101000', 1, '2021-07-19 11:52:28', NULL, NULL), (20243, '', '奎星社区居委会', '93ebd97e554a448e8326d7f89284159d', '18244370d0ac486697f224062f191a41', 'False', 'False', 'false', 'false', '511502101008', 5, '奎星社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502101008', 1, '2021-07-19 11:52:28', NULL, NULL), (20244, '', '同济社区居委会', '10175688313646b6bc8faef6b608d330', '18244370d0ac486697f224062f191a41', 'False', 'False', 'false', 'false', '511502101007', 5, '同济社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502101007', 1, '2021-07-19 11:52:28', NULL, NULL), (20245, '', '长胜村委会', '31ae759d0a114f5aaa06bb48bcb30749', '18244370d0ac486697f224062f191a41', 'False', 'False', 'false', 'false', '511502101201', 5, '长胜村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502101201', 1, '2021-07-19 11:52:28', NULL, NULL), (20246, '', '永胜村委会', 'dbf10e33ddb945c4b4dc129cf176454d', '18244370d0ac486697f224062f191a41', 'False', 'False', 'false', 'false', '511502101202', 5, '永胜村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502101202', 1, '2021-07-19 11:52:28', NULL, NULL), (20247, '', '南胜村委会', '0d19488e8fab4ac58a5d1706919ab0bf', '18244370d0ac486697f224062f191a41', 'False', 'False', 'false', 'false', '511502101203', 5, '南胜村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502101203', 1, '2021-07-19 11:52:28', NULL, NULL), (20248, '', '双桥村委会', 'dea31bb003a44da9a9d4a2f6215c09c3', '18244370d0ac486697f224062f191a41', 'False', 'False', 'false', 'false', '511502101204', 5, '双桥村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502101204', 1, '2021-07-19 11:52:28', NULL, NULL), (20249, '', '九沟村委会', '7dd1ee8a11ab40feb5657c4d28b4fc87', '18244370d0ac486697f224062f191a41', 'False', 'False', 'false', 'false', '511502101205', 5, '九沟村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502101205', 1, '2021-07-19 11:52:28', NULL, NULL), (20250, '', '安石村委会', '8c84ae81d9f148bd86d0b87642f56222', '18244370d0ac486697f224062f191a41', 'False', 'False', 'false', 'false', '511502101206', 5, '安石村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502101206', 1, '2021-07-19 11:52:28', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (20251, '', '高桥村委会', 'ddca56e44a5a42859d17f6366ad71ae3', '18244370d0ac486697f224062f191a41', 'False', 'False', 'false', 'false', '511502101208', 5, '高桥村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502101208', 1, '2021-07-19 11:52:28', NULL, NULL), (20252, '', '中和村委会', '8b49ffcaff2b4c8589d934449805a7f1', '18244370d0ac486697f224062f191a41', 'False', 'False', 'false', 'false', '511502101209', 5, '中和村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502101209', 1, '2021-07-19 11:52:28', NULL, NULL), (20253, '', '兴文村委会', '55e0d06ed9d84bc6a074975876c87298', '18244370d0ac486697f224062f191a41', 'False', 'False', 'false', 'false', '511502101210', 5, '兴文村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502101210', 1, '2021-07-19 11:52:28', NULL, NULL), (20254, '', '沿江村委会', '1264377075bc4f5da15cc0f3b705fc0c', '18244370d0ac486697f224062f191a41', 'False', 'False', 'false', 'false', '511502101213', 5, '沿江村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502101213', 1, '2021-07-19 11:52:28', NULL, NULL), (20255, '', '龙金村委会', '5b5ce54488ae4de385589577c372287d', '18244370d0ac486697f224062f191a41', 'False', 'False', 'false', 'false', '511502101215', 5, '龙金村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502101215', 1, '2021-07-19 11:52:28', NULL, NULL), (20256, '', '长庆村委会', 'b9220b2b5aa2441ea8cfcd46642200a6', '18244370d0ac486697f224062f191a41', 'False', 'False', 'false', 'false', '511502101216', 5, '长庆村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502101216', 1, '2021-07-19 11:52:29', NULL, NULL), (20257, '', '九洞村委会', '328a45f25d1746f9ba187ab56ddd51a2', '18244370d0ac486697f224062f191a41', 'False', 'False', 'false', 'false', '511502101220', 5, '九洞村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502101220', 1, '2021-07-19 11:52:29', NULL, NULL), (20258, '', '长虹村委会', '04a87ce1ce8348b49205d04e49c67741', '18244370d0ac486697f224062f191a41', 'False', 'False', 'false', 'false', '511502101221', 5, '长虹村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502101221', 1, '2021-07-19 11:52:29', NULL, NULL), (20259, '', '牟坪镇', '74874b21ea154466a834ecb65bc3049c', '757245aa784545519aed253b29310589', 'True', 'True', 'false', 'false', '511502108000', 4, '牟坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511502108000', 1, '2021-07-19 11:52:29', NULL, NULL), (20260, '', '牟坪社区居委会', 'a7c908fed0834e4e82d0ddd107908279', '74874b21ea154466a834ecb65bc3049c', 'False', 'True', 'false', 'false', '511502108001', 5, '牟坪社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502108001', 1, '2021-07-19 11:52:29', NULL, NULL), (20261, '', '牟坪村委会', '26b9b53503c24162be484424fd8ec2e1', '74874b21ea154466a834ecb65bc3049c', 'False', 'True', 'false', 'false', '511502108201', 5, '牟坪村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502108201', 1, '2021-07-19 11:52:29', NULL, NULL), (20262, '', '双鱼村委会', '96a25ccf63d44c8599c16ff2ef6b1d7f', '74874b21ea154466a834ecb65bc3049c', 'False', 'True', 'false', 'false', '511502108120', 5, '双鱼村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502108120', 1, '2021-07-19 11:52:29', NULL, NULL), (20263, '', '双河村委会', '41bb91dbfc3d4614882d788b21da784d', '74874b21ea154466a834ecb65bc3049c', 'False', 'True', 'false', 'false', '511502108663', 5, '双河村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502108663', 1, '2021-07-19 11:52:29', NULL, NULL), (20264, '', '八一村委会', '3e2d3c1190ef4610853cdb5b3114b891', '74874b21ea154466a834ecb65bc3049c', 'False', 'True', 'false', 'false', '511502108204', 5, '八一村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502108204', 1, '2021-07-19 11:52:29', NULL, NULL), (20265, '', '金银村委会', '1c69adb66298409dbdc35ec127d07714', '74874b21ea154466a834ecb65bc3049c', 'False', 'True', 'false', 'false', '511502108205', 5, '金银村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502108205', 1, '2021-07-19 11:52:29', NULL, NULL), (20266, '', '七一村委会', '5a598bacda584bb886791514577b5a3a', '74874b21ea154466a834ecb65bc3049c', 'False', 'True', 'false', 'false', '511502108207', 5, '七一村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502108207', 1, '2021-07-19 11:52:29', NULL, NULL), (20267, '', '杏花村委会', 'f543be8cf48a4e4c8d0027976846212d', '74874b21ea154466a834ecb65bc3049c', 'False', 'True', 'false', 'false', '511502108209', 5, '杏花村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502108209', 1, '2021-07-19 11:52:29', NULL, NULL), (20268, '', '工农村委会', '37472b048fec44788d2e31a769681d41', '74874b21ea154466a834ecb65bc3049c', 'False', 'True', 'false', 'false', '511502108210', 5, '工农村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502108210', 1, '2021-07-19 11:52:29', NULL, NULL), (20269, '', '绥庆村委会', '7369fa8e07304ae2af3f95757d5e07bd', '74874b21ea154466a834ecb65bc3049c', 'False', 'True', 'false', 'false', '511502108212', 5, '绥庆村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502108212', 1, '2021-07-19 11:52:29', NULL, NULL), (20270, '', '民新村委会', '721b82a802c04b95b3c95840349b3b74', '74874b21ea154466a834ecb65bc3049c', 'False', 'True', 'false', 'false', '511502108214', 5, '民新村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502108214', 1, '2021-07-19 11:52:29', NULL, NULL), (20271, '', '庆南村委会', '56e961813cf64964868e1c850c93a546', '74874b21ea154466a834ecb65bc3049c', 'False', 'True', 'false', 'false', '511502108216', 5, '庆南村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502108216', 1, '2021-07-19 11:52:30', NULL, NULL), (20272, '', '龙兴村委会', '3a6b31adcb1c4ce0aa1842e4f9c2464c', '74874b21ea154466a834ecb65bc3049c', 'False', 'True', 'false', 'false', '511502108218', 5, '龙兴村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502108218', 1, '2021-07-19 11:52:30', NULL, NULL), (20273, '', '双谊镇', 'e9edd01cd5b04d979a402227c54cc8c2', '757245aa784545519aed253b29310589', 'True', 'True', 'false', 'false', '511502119000', 4, '双谊镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511502119000', 1, '2021-07-19 11:52:30', NULL, NULL), (20274, '', '双谊社区居委会', '8e864fc9bbdb4da7a71b757f90c6e6bd', 'e9edd01cd5b04d979a402227c54cc8c2', 'False', 'True', 'false', 'false', '511502120003', 5, '双谊社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502120003', 1, '2021-07-19 11:52:30', NULL, NULL), (20275, '', '花古社区居委会', '6f6eb45377b1414390566ace81c95eee', 'e9edd01cd5b04d979a402227c54cc8c2', 'False', 'True', 'false', 'false', '511502120004', 5, '花古社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502120004', 1, '2021-07-19 11:52:30', NULL, NULL), (20276, '', '红场村委会', '8b5b39d223e4461489baf5de5d7e4a37', 'e9edd01cd5b04d979a402227c54cc8c2', 'False', 'True', 'false', 'false', '511502120202', 5, '红场村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502120202', 1, '2021-07-19 11:52:30', NULL, NULL), (20277, '', '罗嘴村委会', '3c5bb963b18c42ecaa9407c474674959', 'e9edd01cd5b04d979a402227c54cc8c2', 'False', 'True', 'false', 'false', '511502120204', 5, '罗嘴村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502120204', 1, '2021-07-19 11:52:30', NULL, NULL), (20278, '', '新政社区村委会', '2e1eac4e47bc426aa1908a9d29ba4d5a', 'e9edd01cd5b04d979a402227c54cc8c2', 'False', 'True', 'false', 'false', '511502120206', 5, '新政社区村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502120206', 1, '2021-07-19 11:52:30', NULL, NULL), (20279, '', '双凤村委会', '04e1e07a9fdd42c7a6cbd60a310c1bbe', 'e9edd01cd5b04d979a402227c54cc8c2', 'False', 'True', 'false', 'false', '511502120207', 5, '双凤村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502120207', 1, '2021-07-19 11:52:30', NULL, NULL), (20280, '', '双华村委会', '043e75e0018445feb6a59e349e217f93', 'e9edd01cd5b04d979a402227c54cc8c2', 'False', 'True', 'false', 'false', '511502120210', 5, '双华村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502120210', 1, '2021-07-19 11:52:30', NULL, NULL), (20281, '', '五里村委会', 'c9522a7bea0b48b79f3e4fd8a165a326', 'e9edd01cd5b04d979a402227c54cc8c2', 'False', 'True', 'false', 'false', '511502120211', 5, '五里村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502120211', 1, '2021-07-19 11:52:30', NULL, NULL), (20282, '', '真武村委会', '23e946b59981416fb25e66faebf8fffa', 'e9edd01cd5b04d979a402227c54cc8c2', 'False', 'True', 'false', 'false', '511502120214', 5, '真武村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502120214', 1, '2021-07-19 11:52:30', NULL, NULL), (20283, '', '银定村委会', 'd19f66f9ad724419877ae4e5572ce8ee', 'e9edd01cd5b04d979a402227c54cc8c2', 'False', 'True', 'false', 'false', '511502120216', 5, '银定村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502120216', 1, '2021-07-19 11:52:30', NULL, NULL), (20284, '', '文明村委会', '2f622be4030f4ffcbf13d1b31eca3423', 'e9edd01cd5b04d979a402227c54cc8c2', 'False', 'True', 'false', 'false', '511502120217', 5, '文明村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502120217', 1, '2021-07-19 11:52:31', NULL, NULL), (20285, '', '同盟村委会', 'f5a36dbfa817489196b8aa4dc953c5e1', 'e9edd01cd5b04d979a402227c54cc8c2', 'False', 'True', 'false', 'false', '511502120218', 5, '同盟村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502120218', 1, '2021-07-19 11:52:31', NULL, NULL), (20286, '', '老店村委会', '5d207c62f9a84fa48227569dd7dbe303', 'e9edd01cd5b04d979a402227c54cc8c2', 'False', 'True', 'false', 'false', '511502120219', 5, '老店村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502120219', 1, '2021-07-19 11:52:31', NULL, NULL), (20287, '', '花古社区村委会', '390995f7dd954859a4762ba758a98ff3', 'e9edd01cd5b04d979a402227c54cc8c2', 'False', 'True', 'false', 'false', '511502120221', 5, '花古社区村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502120221', 1, '2021-07-19 11:52:31', NULL, NULL), (20288, '', '文光村委会', '74d55478558044378a477b1001b50f3e', 'e9edd01cd5b04d979a402227c54cc8c2', 'False', 'True', 'false', 'false', '511502120222', 5, '文光村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502120222', 1, '2021-07-19 11:52:31', NULL, NULL), (20289, '', '罗林村委会', '641122158c76485a855356d85d3a103b', 'e9edd01cd5b04d979a402227c54cc8c2', 'False', 'True', 'false', 'false', '511502120224', 5, '罗林村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502120224', 1, '2021-07-19 11:52:31', NULL, NULL), (20290, '', '三合村委会', '98a3629a3a2e492c897bd8aed433acaa', 'e9edd01cd5b04d979a402227c54cc8c2', 'False', 'True', 'false', 'false', '511502120225', 5, '三合村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502120225', 1, '2021-07-19 11:52:31', NULL, NULL), (20291, '', '思坡镇', '2c4ccece9b6342c99ed6d4cdb92c43f4', '757245aa784545519aed253b29310589', 'True', 'True', 'false', 'false', '511502150000', 4, '思坡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511502150000', 1, '2021-07-19 11:52:31', NULL, NULL), (20292, '', '东坡社区居委会', '4b7dc586a38b4fbd84d78b45e59a7ba1', '2c4ccece9b6342c99ed6d4cdb92c43f4', 'False', 'True', 'false', 'false', '511502150030', 5, '东坡社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502150030', 1, '2021-07-19 11:52:31', NULL, NULL), (20293, '', '临江村委会', '0d2cb192cab141d6ae2d416123258be7', '2c4ccece9b6342c99ed6d4cdb92c43f4', 'False', 'True', 'false', 'false', '511502150070', 5, '临江村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502150070', 1, '2021-07-19 11:52:31', NULL, NULL), (20294, '', '中河村委会', '10b7089d238d4e23a6a319847c9653e7', '2c4ccece9b6342c99ed6d4cdb92c43f4', 'False', 'True', 'false', 'false', '511502150190', 5, '中河村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502150190', 1, '2021-07-19 11:52:31', NULL, NULL), (20295, '', '小龙村委会', '8b950ce86e374259a31c5aa8fcd35c7f', '2c4ccece9b6342c99ed6d4cdb92c43f4', 'False', 'True', 'false', 'false', '511502150120', 5, '小龙村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502150120', 1, '2021-07-19 11:52:31', NULL, NULL), (20296, '', '望江村委会', '938b97cd596447a3aba5d67b9f0425c6', '2c4ccece9b6342c99ed6d4cdb92c43f4', 'False', 'True', 'false', 'false', '511502150100', 5, '望江村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502150100', 1, '2021-07-19 11:52:31', NULL, NULL), (20297, '', '心宁村委会', 'dd1cf2a6994f4550888205c39c1f5ac0', '2c4ccece9b6342c99ed6d4cdb92c43f4', 'False', 'True', 'false', 'false', '511502150140', 5, '心宁村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502150140', 1, '2021-07-19 11:52:31', NULL, NULL), (20298, '', '会诗村委会', '469f5cb82c1249e487da4c0837348476', '2c4ccece9b6342c99ed6d4cdb92c43f4', 'False', 'True', 'false', 'false', '511502150060', 5, '会诗村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502150060', 1, '2021-07-19 11:52:31', NULL, NULL), (20299, '', '常庆村委会', '4e2649fddc91419d9df4d54ca70423b0', '2c4ccece9b6342c99ed6d4cdb92c43f4', 'False', 'True', 'false', 'false', '511502150010', 5, '常庆村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502150010', 1, '2021-07-19 11:52:31', NULL, NULL), (20300, '', '天台村委会', '88af343c68eb40b79990f9e3cab661d6', '2c4ccece9b6342c99ed6d4cdb92c43f4', 'False', 'True', 'false', 'false', '511502150090', 5, '天台村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502150090', 1, '2021-07-19 11:52:31', NULL, NULL), (20301, '', '月寺村委会', 'b9ed480dd92043b8aaf47db98a17d26d', '2c4ccece9b6342c99ed6d4cdb92c43f4', 'False', 'True', 'false', 'false', '511502150180', 5, '月寺村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502150180', 1, '2021-07-19 11:52:31', NULL, NULL), (20302, '', '邓艮村委会', 'f1db690433be470b845a321ea3145223', '2c4ccece9b6342c99ed6d4cdb92c43f4', 'False', 'True', 'false', 'false', '511502150020', 5, '邓艮村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502150020', 1, '2021-07-19 11:52:31', NULL, NULL), (20303, '', '金城村委会', 'c3eff8ea374f4e119d0967d8f5f43f80', '2c4ccece9b6342c99ed6d4cdb92c43f4', 'False', 'True', 'false', 'false', '511502150170', 5, '金城村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502150170', 1, '2021-07-19 11:52:32', NULL, NULL), (20304, '', '永兴镇', 'e41eb6dfff884254b83bc67305ae0656', '757245aa784545519aed253b29310589', 'True', 'True', 'false', 'false', '511502104000', 4, '永兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511502104000', 1, '2021-07-19 11:52:32', NULL, NULL), (20305, '', '安康社区居委会', 'a3b6ea2917fd4d8fb6908900d7960cca', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502104001', 5, '安康社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502104001', 1, '2021-07-19 11:52:32', NULL, NULL), (20306, '', '永和社区居委会', '71b77eecf3f24251b758be02b30d41a0', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502104228', 5, '永和社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502104228', 1, '2021-07-19 11:52:32', NULL, NULL), (20307, '', '永兴村委会', '832c5c2da0a44a21aa9d4c271113b939', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502104201', 5, '永兴村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502104201', 1, '2021-07-19 11:52:32', NULL, NULL), (20308, '', '王庙村委会', '6aad6d19d1454e8d8e716db837e574f3', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502104205', 5, '王庙村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502104205', 1, '2021-07-19 11:52:32', NULL, NULL), (20309, '', '高寺村委会', '97564b344c0d4a219b8f48821cc72ec2', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502104206', 5, '高寺村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502104206', 1, '2021-07-19 11:52:32', NULL, NULL), (20310, '', '飞蛾村委会', '05cf285a5fed484ba354305a2664db53', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502104207', 5, '飞蛾村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502104207', 1, '2021-07-19 11:52:32', NULL, NULL), (20311, '', '玉锋村委会', '647cfca3d6a24b17b7773bd551d52bcf', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502119209', 5, '玉锋村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502119209', 1, '2021-07-19 11:52:32', NULL, NULL), (20312, '', '八庙村委会', 'd7235a21bef74493847b68728598bb54', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502104210', 5, '八庙村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502104210', 1, '2021-07-19 11:52:32', NULL, NULL), (20313, '', '土堰村委会', 'b80c80072bc345719baae93287ec3a77', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502104212', 5, '土堰村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502104212', 1, '2021-07-19 11:52:32', NULL, NULL), (20314, '', '颜家村委会', 'e6a03625bdc64041ba17b60d1da91068', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502104213', 5, '颜家村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502104213', 1, '2021-07-19 11:52:32', NULL, NULL), (20315, '', '张场村委会', 'f37e11e0b19f453499cd11b93c355539', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502104214', 5, '张场村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502104214', 1, '2021-07-19 11:52:32', NULL, NULL), (20316, '', '华清村委会', '6292770c2f1e44e0b614e6f1af68538b', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502104217', 5, '华清村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502104217', 1, '2021-07-19 11:52:32', NULL, NULL), (20317, '', '狮子村委会', 'a744f09d17894d4693f90378bde29aba', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502104218', 5, '狮子村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502104218', 1, '2021-07-19 11:52:32', NULL, NULL), (20318, '', '四方村委会', '548401f8ff7e452d8b31b990d12faa77', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502104220', 5, '四方村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502104220', 1, '2021-07-19 11:52:32', NULL, NULL), (20319, '', '玉皇村委会', '4af1d51e7a574d25b1f72807db0f7045', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502104222', 5, '玉皇村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502104222', 1, '2021-07-19 11:52:32', NULL, NULL), (20320, '', '菱角村委会', '8c8bd4f3d0c54c60a7734b3c25bc1fb0', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502104225', 5, '菱角村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502104225', 1, '2021-07-19 11:52:33', NULL, NULL), (20321, '', '文昌村委会', 'c85e2b8ab88d408b8bf281f2e7b9630b', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502119227', 5, '文昌村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502119227', 1, '2021-07-19 11:52:33', NULL, NULL), (20322, '', '中元村委会', '6e821d981b144dcd95b4b1e8ac6c10e8', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502104221', 5, '中元村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502104221', 1, '2021-07-19 11:52:33', NULL, NULL), (20323, '', '竹山村委会', '4b83cf4f39304fa8b1b991295bdd625e', 'e41eb6dfff884254b83bc67305ae0656', 'False', 'True', 'false', 'false', '511502104224', 5, '竹山村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502104224', 1, '2021-07-19 11:52:33', NULL, NULL), (20324, '', '宗场镇', '9ec99da06215499ba504f7055fa0ecf9', '757245aa784545519aed253b29310589', 'True', 'True', 'false', 'false', '511502111000', 4, '宗场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511502111000', 1, '2021-07-19 11:52:33', NULL, NULL), (20325, '', '宗星社区居委会', 'd0c91b2411764daa8f46c0280d53ed18', '9ec99da06215499ba504f7055fa0ecf9', 'False', 'False', 'false', 'false', '511502111001', 5, '宗星社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502111001', 1, '2021-07-19 11:52:33', NULL, NULL), (20326, '', '禾甫村委会', '53279149fcb041289e6b9a41c5f0e033', '9ec99da06215499ba504f7055fa0ecf9', 'False', 'False', 'false', 'false', '511502110201', 5, '禾甫村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502110201', 1, '2021-07-19 11:52:33', NULL, NULL), (20327, '', '新治村委会', '046cd4c13f6b420e9339314f905692ff', '9ec99da06215499ba504f7055fa0ecf9', 'False', 'False', 'false', 'false', '511502110202', 5, '新治村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502110202', 1, '2021-07-19 11:52:33', NULL, NULL), (20328, '', '石骨村委会', 'caa3e7c14a914e3c93ec2d9c8419a937', '9ec99da06215499ba504f7055fa0ecf9', 'False', 'False', 'false', 'false', '511502110203', 5, '石骨村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502110203', 1, '2021-07-19 11:52:33', NULL, NULL), (20329, '', '赤岩村委会', '33937c8e508c4f57bc08594f5c0032a9', '9ec99da06215499ba504f7055fa0ecf9', 'False', 'False', 'false', 'false', '511502110205', 5, '赤岩村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502110205', 1, '2021-07-19 11:52:33', NULL, NULL), (20330, '', '民胜村委会', 'e8383566469940cc8e15961f1d64bca1', '9ec99da06215499ba504f7055fa0ecf9', 'False', 'False', 'false', 'false', '511502110206', 5, '民胜村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502110206', 1, '2021-07-19 11:52:33', NULL, NULL), (20331, '', '钓竿村委会', 'e67d16e1ccf84066bac39d5c043e3090', '9ec99da06215499ba504f7055fa0ecf9', 'False', 'False', 'false', 'false', '511502110210', 5, '钓竿村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502110210', 1, '2021-07-19 11:52:33', NULL, NULL), (20332, '', '鱼台村委会', '9c31c3ec69254e2883446bbf16d3d58e', '9ec99da06215499ba504f7055fa0ecf9', 'False', 'False', 'false', 'false', '511502110208', 5, '鱼台村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502110208', 1, '2021-07-19 11:52:33', NULL, NULL), (20333, '', '中丰村委会', 'd686acb9485c4319b85cbd95ed883b6e', '9ec99da06215499ba504f7055fa0ecf9', 'False', 'False', 'false', 'false', '511502110211', 5, '中丰村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502110211', 1, '2021-07-19 11:52:33', NULL, NULL), (20334, '', '新屋村委会', '7e34b48fa63e4ca0b210c7d5cbd3daaa', '9ec99da06215499ba504f7055fa0ecf9', 'False', 'False', 'false', 'false', '511502110212', 5, '新屋村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502110212', 1, '2021-07-19 11:52:33', NULL, NULL), (20335, '', '叙州区', 'a7bdba9d66fe4653aad3d2a436ef55ad', '8fc9422b1bca40fa86f12b028b33e6cf', 'True', 'True', 'false', 'false', '511521000000', 3, '叙州区', 'ybsybx.sczwfw.gov.cn', 1, '2021-07-19 11:52:33', NULL, NULL), (20336, '', '柏溪街道', 'aea280f515f84022b885b8eadf343315', 'a7bdba9d66fe4653aad3d2a436ef55ad', 'True', 'True', 'false', 'false', '511521001000', 4, '柏溪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511521001000', 1, '2021-07-19 11:52:33', NULL, NULL), (20337, '', '新街社区居委会', 'c8a6e306c73c4c78aa5275ff81fec653', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001001', 5, '新街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001001', 1, '2021-07-19 11:52:33', NULL, NULL), (20338, '', '华盛社区居委会', '354f003819034465b987dc9db881e5f8', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001002', 5, '华盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001002', 1, '2021-07-19 11:52:33', NULL, NULL), (20339, '', '天池社区居委会', 'ecc836e072c14fddb71f0c47580dd367', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001003', 5, '天池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001003', 1, '2021-07-19 11:52:33', NULL, NULL), (20340, '', '振兴社区居委会', '7d82a300d61f49e9a9b4c35b71a71e66', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001004', 5, '振兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001004', 1, '2021-07-19 11:52:34', NULL, NULL), (20341, '', '联合社区居委会', '0fa477bd8e4547e1a5e75a7f7dbdad42', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001005', 5, '联合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001005', 1, '2021-07-19 11:52:34', NULL, NULL), (20342, '', '岷江社区居委会', 'b9622e82268b473c96514e3bbfc837cc', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001010', 5, '岷江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001010', 1, '2021-07-19 11:52:34', NULL, NULL), (20343, '', '一曼社区居委会', 'b2fd6a0804b44d638afe2d82404efae6', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001011', 5, '一曼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001011', 1, '2021-07-19 11:52:34', NULL, NULL), (20344, '', '金江社区居委会', 'c68503e16bea41ff9e3b7930e2b29d5e', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001012', 5, '金江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001012', 1, '2021-07-19 11:52:34', NULL, NULL), (20345, '', '接龙社区居委会', '2a8817a6ce4a4bc983b6bf0030361463', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001013', 5, '接龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001013', 1, '2021-07-19 11:52:34', NULL, NULL), (20346, '', '喜捷社区居委会', '05f70665691f4dab95672deea9708302', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001014', 5, '喜捷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001014', 1, '2021-07-19 11:52:34', NULL, NULL), (20347, '', '革坪村委会', '7de9a1a9142d4ec393bae12b0c001648', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001201', 5, '革坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001201', 1, '2021-07-19 11:52:34', NULL, NULL), (20348, '', '高梨村委会', '896b25c5902740bd8dc05128791da71d', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001202', 5, '高梨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001202', 1, '2021-07-19 11:52:34', NULL, NULL), (20349, '', '集体村委会', '1820f159969245b68a47a9f6b6a36780', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001203', 5, '集体村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001203', 1, '2021-07-19 11:52:34', NULL, NULL), (20350, '', '仁和社区', '4c0273e3214a48d7a661397d5336e245', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001204', 5, '仁和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001204', 1, '2021-07-19 11:52:34', NULL, NULL), (20351, '', '火花社区', 'db6a8f4cb42e41798db7d8fd86a84dcb', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001207', 5, '火花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001207', 1, '2021-07-19 11:52:34', NULL, NULL), (20352, '', '三角村委会', 'e64b401ba7b74739aecf082fd7271f46', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001209', 5, '三角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001209', 1, '2021-07-19 11:52:34', NULL, NULL), (20353, '', '南京村委会', 'ac3f3807012e41449736a5d49d0cb9f6', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001210', 5, '南京村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001210', 1, '2021-07-19 11:52:34', NULL, NULL), (20354, '', '土地村委会', '0c0e258174dd4e81a041b83006cde681', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001211', 5, '土地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001211', 1, '2021-07-19 11:52:34', NULL, NULL), (20355, '', '长沙社区', 'f4f73578412c41ee9e52ad487a81a2ae', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001212', 5, '长沙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001212', 1, '2021-07-19 11:52:34', NULL, NULL), (20356, '', '八一社区', '1e4a1c98676244da91c1162aa288b92c', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001214', 5, '八一社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001214', 1, '2021-07-19 11:52:34', NULL, NULL), (20357, '', '少峨社区', 'ab59665edbab44bd8ef5d57910bdf655', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001216', 5, '少峨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001216', 1, '2021-07-19 11:52:35', NULL, NULL), (20358, '', '翠河村委会', '178856a69d054a46be10393ba46ddc41', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001218', 5, '翠河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001218', 1, '2021-07-19 11:52:35', NULL, NULL), (20359, '', '红楼梦社区', '8eb4881271034a539b00be54463d8b79', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001219', 5, '红楼梦社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001219', 1, '2021-07-19 11:52:35', NULL, NULL), (20360, '', '落帽村委会', 'ab50ad603098429da5aebaf029041908', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001220', 5, '落帽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001220', 1, '2021-07-19 11:52:35', NULL, NULL), (20361, '', '云丰村委会', 'c257b6b50e094cbd807b49f6eda7a441', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001221', 5, '云丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001221', 1, '2021-07-19 11:52:35', NULL, NULL), (20362, '', '宰龙社区', '77b2981fb7304464b98ca9bb0c8e28a0', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001222', 5, '宰龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001222', 1, '2021-07-19 11:52:35', NULL, NULL), (20363, '', '乐川村委会', 'a1d3232c849344e49f07cb3a79f23efd', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001223', 5, '乐川村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001223', 1, '2021-07-19 11:52:35', NULL, NULL), (20364, '', '兰湾村委会', '7c7d0d906270429ca7252c3d003fd136', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001225', 5, '兰湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001225', 1, '2021-07-19 11:52:35', NULL, NULL), (20365, '', '新龙村委会', 'b5fe46a54ae84be4a9cba4b931fb45f1', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001230', 5, '新龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001230', 1, '2021-07-19 11:52:35', NULL, NULL), (20366, '', '新联社区', '021f4e626d2a4cb3bdc5a0ff0a9af58a', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001232', 5, '新联社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001232', 1, '2021-07-19 11:52:35', NULL, NULL), (20367, '', '宜屏村委会', 'cacb6020097147e091e6c1b92059a9c7', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001233', 5, '宜屏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001233', 1, '2021-07-19 11:52:35', NULL, NULL), (20368, '', '武安村委会', '01a47246acfd4701bb2e325b95540101', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001235', 5, '武安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001235', 1, '2021-07-19 11:52:35', NULL, NULL), (20369, '', '陈家村委会', '84dee7d9c98642429cac97931a4b4e17', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001236', 5, '陈家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001236', 1, '2021-07-19 11:52:35', NULL, NULL), (20370, '', '五桂村委会', '85d6fc3743d0468ab2954c201ab6ad92', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001237', 5, '五桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001237', 1, '2021-07-19 11:52:35', NULL, NULL), (20371, '', '玉泉村委会', 'eade07fd924c4870aaa9bb253911e8b3', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001238', 5, '玉泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001238', 1, '2021-07-19 11:52:35', NULL, NULL), (20372, '', '凤雷村委会', '662cc42b1f3c4d5a8a3e884e6cb61c75', 'aea280f515f84022b885b8eadf343315', 'False', 'False', 'false', 'false', '511504001239', 5, '凤雷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504001239', 1, '2021-07-19 11:52:36', NULL, NULL), (20373, '', '南岸街道', '25b41683ce7e43f6bf1fc9502d01ca9e', 'a7bdba9d66fe4653aad3d2a436ef55ad', 'True', 'True', 'false', 'false', '511521002000', 4, '南岸街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511521002000', 1, '2021-07-19 11:52:36', NULL, NULL), (20374, '', '上渡口社区居委会', 'eda36213f801471a8bff3036dd6ccc0e', '25b41683ce7e43f6bf1fc9502d01ca9e', 'False', 'False', 'false', 'false', '511504002001', 5, '上渡口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504002001', 1, '2021-07-19 11:52:36', NULL, NULL), (20375, '', '中渡口社区居委会', '4c0deeb6fe6d4bfbaadaa1f611bb8a6c', '25b41683ce7e43f6bf1fc9502d01ca9e', 'False', 'False', 'false', 'false', '511504002002', 5, '中渡口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504002002', 1, '2021-07-19 11:52:36', NULL, NULL), (20376, '', '下渡口社区居委会', '580206e51a694da59316c531730f09d6', '25b41683ce7e43f6bf1fc9502d01ca9e', 'False', 'False', 'false', 'false', '511504002003', 5, '下渡口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504002003', 1, '2021-07-19 11:52:36', NULL, NULL), (20377, '', '鱼池社区居委会', '332b51ab07ec4c5580be46c7ea5490be', '25b41683ce7e43f6bf1fc9502d01ca9e', 'False', 'False', 'false', 'false', '511504002004', 5, '鱼池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504002004', 1, '2021-07-19 11:52:36', NULL, NULL), (20378, '', '金鱼社区居委会', '59af6522b1e14268baed0ec892b12345', '25b41683ce7e43f6bf1fc9502d01ca9e', 'False', 'False', 'false', 'false', '511504002005', 5, '金鱼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504002005', 1, '2021-07-19 11:52:36', NULL, NULL), (20379, '', '桂花社区居委会', '8efd6049e09649439a4dc75ba79b8dce', '25b41683ce7e43f6bf1fc9502d01ca9e', 'False', 'False', 'false', 'false', '511504002006', 5, '桂花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504002006', 1, '2021-07-19 11:52:36', NULL, NULL), (20380, '', '凤凰社区居委会', '4d989ca4277a4a49b3010f0afbe365af', '25b41683ce7e43f6bf1fc9502d01ca9e', 'False', 'False', 'false', 'false', '511504002007', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504002007', 1, '2021-07-19 11:52:36', NULL, NULL), (20381, '', '龙湾社区居委会', '4b631403b93245eabbcfef499d5f79d0', '25b41683ce7e43f6bf1fc9502d01ca9e', 'False', 'False', 'false', 'false', '511504002008', 5, '龙湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504002008', 1, '2021-07-19 11:52:36', NULL, NULL), (20382, '', '田坝社区居委会', '9afce3fb2a3d45e2bd6c45a190f534eb', '25b41683ce7e43f6bf1fc9502d01ca9e', 'False', 'False', 'false', 'false', '511504002009', 5, '田坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504002009', 1, '2021-07-19 11:52:36', NULL, NULL), (20383, '', '航天社区居委会', 'e19b43bc6d8448d987bca79f890d99d5', '25b41683ce7e43f6bf1fc9502d01ca9e', 'False', 'False', 'false', 'false', '511504002010', 5, '航天社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504002010', 1, '2021-07-19 11:52:36', NULL, NULL), (20384, '', '莱茵社区居委会', '657703588ffd48df98ffda2529a6b986', '25b41683ce7e43f6bf1fc9502d01ca9e', 'False', 'False', 'false', 'false', '511504002011', 5, '莱茵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504002011', 1, '2021-07-19 11:52:36', NULL, NULL), (20385, '', '赵场街道', 'f7787ffd1a3c4027ae5020a682a4e8da', 'a7bdba9d66fe4653aad3d2a436ef55ad', 'True', 'True', 'false', 'false', '511521003000', 4, '赵场街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511521003000', 1, '2021-07-19 11:52:36', NULL, NULL), (20386, '', '民和社区居委会', '67925a91b71c4a91961883630a1faec7', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003001', 5, '民和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003001', 1, '2021-07-19 11:52:36', NULL, NULL), (20387, '', '五香社区居委会', 'ab45c27eff974c31bcdcfdbeb9f0278a', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003002', 5, '五香社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003002', 1, '2021-07-19 11:52:36', NULL, NULL), (20388, '', '群力社区居委会', '65512f2f64384eb7af01096ae0937c1c', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003003', 5, '群力社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003003', 1, '2021-07-19 11:52:36', NULL, NULL), (20389, '', '龙源社区居委会', '1a4cf0dfe31a4b1483946b70bae6d7ad', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003004', 5, '龙源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003004', 1, '2021-07-19 11:52:36', NULL, NULL), (20390, '', '崇文社区居委会', '4668350ebb7d4311bdd3eb14a91e07be', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003005', 5, '崇文社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003005', 1, '2021-07-19 11:52:37', NULL, NULL), (20391, '', '龙城社区居委会', 'd8b66133a7e444019945c31e11809c4f', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003006', 5, '龙城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003006', 1, '2021-07-19 11:52:37', NULL, NULL), (20392, '', '双淮社区居委会', '2d0606794dba4d978f2197549dace430', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003007', 5, '双淮社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003007', 1, '2021-07-19 11:52:37', NULL, NULL), (20393, '', '石相社区居委会', 'e57f8413315b42b392f60e628f3e6cec', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003008', 5, '石相社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003008', 1, '2021-07-19 11:52:37', NULL, NULL), (20394, '', '金星社区居委会', '1130fea5259a4334af81f115bce08cac', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003009', 5, '金星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003009', 1, '2021-07-19 11:52:37', NULL, NULL), (20395, '', '溢香社区居委会', 'b3464579acd74727a7b7f853f0c927f0', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003010', 5, '溢香社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003010', 1, '2021-07-19 11:52:37', NULL, NULL), (20396, '', '建设社区居委会', 'd539144624f244c5b6e86c3ea38c8c92', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003011', 5, '建设社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003011', 1, '2021-07-19 11:52:37', NULL, NULL), (20397, '', '迎宾社区居委会', 'e0bcdc4921e546c99672dcb38d1799e9', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003012', 5, '迎宾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003012', 1, '2021-07-19 11:52:37', NULL, NULL), (20398, '', '普和村委会', 'a058953b6f2f4884b8101748fc347f90', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003202', 5, '普和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003202', 1, '2021-07-19 11:52:37', NULL, NULL), (20399, '', '风洞村委会', '190baa2fa68e4e4b935e223390fc7fe7', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003203', 5, '风洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003203', 1, '2021-07-19 11:52:37', NULL, NULL), (20400, '', '仙山村委会', '94352629486245eda241b9723ed3b83a', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003204', 5, '仙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003204', 1, '2021-07-19 11:52:37', NULL, NULL), (20401, '', '古叙社区', '5742abbf10e649d9bab7527d1ff868cf', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003206', 5, '古叙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003206', 1, '2021-07-19 11:52:37', NULL, NULL), (20402, '', '佛现社区', '1d581542c8264c69ada3fcfe6b898b5e', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003208', 5, '佛现社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003208', 1, '2021-07-19 11:52:37', NULL, NULL), (20403, '', '土主村委会', 'a78e86a4057b4ad3bb04ab11e46cf42d', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003209', 5, '土主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003209', 1, '2021-07-19 11:52:38', NULL, NULL), (20404, '', '青龙村委会', '90f7adab942b4495b99e3df64536d05d', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003210', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003210', 1, '2021-07-19 11:52:38', NULL, NULL), (20405, '', '幸福村委会', '62a17378835a470fb23fe6906bf59e4a', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003211', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003211', 1, '2021-07-19 11:52:38', NULL, NULL), (20406, '', '平滩村委会', 'd00293e977cb48c38bc9d37410080c42', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003212', 5, '平滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003212', 1, '2021-07-19 11:52:38', NULL, NULL), (20407, '', '牛洗社区', '1402eceebc26495c88024facd9490646', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003215', 5, '牛洗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003215', 1, '2021-07-19 11:52:38', NULL, NULL), (20408, '', '薛家社区', 'ffed16400f284c6f95036b2500d1f883', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003216', 5, '薛家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003216', 1, '2021-07-19 11:52:38', NULL, NULL), (20409, '', '安明村委会', '3b03fb0da60d4eefa22442608742eb2d', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003219', 5, '安明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003219', 1, '2021-07-19 11:52:38', NULL, NULL), (20410, '', '民兴村委会', '17e73c46dcf9416885d56e702f30e330', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003222', 5, '民兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003222', 1, '2021-07-19 11:52:38', NULL, NULL), (20411, '', '北坪村委会', '6782e1a020cd404ca6e796a2bd802a0e', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003223', 5, '北坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003223', 1, '2021-07-19 11:52:38', NULL, NULL), (20412, '', '田坎村委会', '5fce68f14aa748f992a8eacde6002b56', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003226', 5, '田坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003226', 1, '2021-07-19 11:52:38', NULL, NULL), (20413, '', '大理社区', '1afa8e47af5b4f45a4cd72e5ca2b2f65', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003228', 5, '大理社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003228', 1, '2021-07-19 11:52:38', NULL, NULL), (20414, '', '光荣村委会', '4dc66b8450cc4948b3ab396f7b5e3846', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003229', 5, '光荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003229', 1, '2021-07-19 11:52:38', NULL, NULL), (20415, '', '周坝村委会', 'a5956d23992e4f60963c9335f400c1ab', 'f7787ffd1a3c4027ae5020a682a4e8da', 'False', 'False', 'false', 'false', '511504003230', 5, '周坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504003230', 1, '2021-07-19 11:52:38', NULL, NULL), (20416, '', '南广镇', '08260744791c4dc5b2dcfcb3a7d2b000', 'a7bdba9d66fe4653aad3d2a436ef55ad', 'True', 'True', 'false', 'false', '511521101000', 4, '南广镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511521101000', 1, '2021-07-19 11:52:38', NULL, NULL), (20417, '', '大益社区居民委员会', 'ece535445f4640a7871bfba192830c9d', '08260744791c4dc5b2dcfcb3a7d2b000', 'False', 'False', 'false', 'false', '511504101001', 5, '大益社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504101001', 1, '2021-07-19 11:52:39', NULL, NULL), (20418, '', '沿江社区居民委员会', 'd8187a252d42471da012aea7a8e86e2e', '08260744791c4dc5b2dcfcb3a7d2b000', 'False', 'False', 'false', 'false', '511504101005', 5, '沿江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504101005', 1, '2021-07-19 11:52:39', NULL, NULL), (20419, '', '陈塘关社区居民委员会', '56b076296ae44a289eeaa2955ff1a463', '08260744791c4dc5b2dcfcb3a7d2b000', 'False', 'False', 'false', 'false', '511504101006', 5, '陈塘关社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504101006', 1, '2021-07-19 11:52:39', NULL, NULL), (20420, '', '五一村民委员会', '585bd1a8e68f4342aad3897ea9c11f3b', '08260744791c4dc5b2dcfcb3a7d2b000', 'False', 'False', 'false', 'false', '511504101201', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504101201', 1, '2021-07-19 11:52:39', NULL, NULL), (20421, '', '黄河村', '8e8071709db247b288d357f2c53458b7', '08260744791c4dc5b2dcfcb3a7d2b000', 'False', 'False', 'false', 'false', '511504101203', 5, '黄河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504101203', 1, '2021-07-19 11:52:39', NULL, NULL), (20422, '', '富强村', '5fff3735cca54f06bf6900ae1cc9c209', '08260744791c4dc5b2dcfcb3a7d2b000', 'False', 'False', 'false', 'false', '511504101204', 5, '富强村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504101204', 1, '2021-07-19 11:52:39', NULL, NULL), (20423, '', '分水村', 'b730d1b0a7d34ea3b86a68ec017ce30b', '08260744791c4dc5b2dcfcb3a7d2b000', 'False', 'False', 'false', 'false', '511504101205', 5, '分水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504101205', 1, '2021-07-19 11:52:39', NULL, NULL), (20424, '', '和平村', '762c61045cae4fa180f2624921566c60', '08260744791c4dc5b2dcfcb3a7d2b000', 'False', 'False', 'false', 'false', '511504101206', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504101206', 1, '2021-07-19 11:52:39', NULL, NULL), (20425, '', '文星村', 'a1230953b1af45a18fff09368a048ec3', '08260744791c4dc5b2dcfcb3a7d2b000', 'False', 'False', 'false', 'false', '511504101207', 5, '文星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504101207', 1, '2021-07-19 11:52:39', NULL, NULL), (20426, '', '甜竹村', 'ce59c9a0324943a6a4c8629fe70dbb84', '08260744791c4dc5b2dcfcb3a7d2b000', 'False', 'False', 'false', 'false', '511504101208', 5, '甜竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504101208', 1, '2021-07-19 11:52:39', NULL, NULL), (20427, '', '盐坪村', '69632867bf564bfe8706c2eae0123309', '08260744791c4dc5b2dcfcb3a7d2b000', 'False', 'False', 'false', 'false', '511504101212', 5, '盐坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504101212', 1, '2021-07-19 11:52:39', NULL, NULL), (20428, '', '大石社区', '1e6b9c9b59654161a41eee4954b55dfe', '08260744791c4dc5b2dcfcb3a7d2b000', 'False', 'False', 'false', 'false', '511504101213', 5, '大石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504101213', 1, '2021-07-19 11:52:39', NULL, NULL), (20429, '', '互相村', 'bc7a2a846f884f6ab0e17ca19dee0586', '08260744791c4dc5b2dcfcb3a7d2b000', 'False', 'False', 'false', 'false', '511504101216', 5, '互相村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504101216', 1, '2021-07-19 11:52:39', NULL, NULL), (20430, '', '七星社区', 'e994d0d2c51247b6b4e733132bbda60e', '08260744791c4dc5b2dcfcb3a7d2b000', 'False', 'False', 'false', 'false', '511504101217', 5, '七星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504101217', 1, '2021-07-19 11:52:39', NULL, NULL), (20431, '', '丝丽雅居民区社区', '58aaba38b01b4d428524e08f90e937d6', '08260744791c4dc5b2dcfcb3a7d2b000', 'False', 'False', 'false', 'false', '511504101401', 5, '丝丽雅居民区社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504101401', 1, '2021-07-19 11:52:40', NULL, NULL), (20432, '', '观音镇', '3cc418b44cfb40f7912202f0da856193', 'a7bdba9d66fe4653aad3d2a436ef55ad', 'True', 'True', 'false', 'false', '511521103000', 4, '观音镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511521103000', 1, '2021-07-19 11:52:40', NULL, NULL), (20433, '', '观音社区居委会', '49b71a61f44a43ab903cb5661a853a5b', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103001', 5, '观音社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103001', 1, '2021-07-19 11:52:40', NULL, NULL), (20434, '', '万菁社区居委会', '61e3bbe8b60940cdb4807784214c5284', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103002', 5, '万菁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103002', 1, '2021-07-19 11:52:40', NULL, NULL), (20435, '', '徐家社区居委会', '7a7ebd5077584a7d99a1cef7b63ec41c', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103003', 5, '徐家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103003', 1, '2021-07-19 11:52:40', NULL, NULL), (20436, '', '南华社区居委会', '6997a54357bc474d828042f62865c9bc', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103004', 5, '南华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103004', 1, '2021-07-19 11:52:40', NULL, NULL), (20437, '', '古罗社区居委会', '6484511dc18542eaa411148fc0f477d8', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103006', 5, '古罗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103006', 1, '2021-07-19 11:52:40', NULL, NULL), (20438, '', '凉风社区居委会', 'b748934b575440ce9cd04f113b3cf582', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103007', 5, '凉风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103007', 1, '2021-07-19 11:52:40', NULL, NULL), (20439, '', '群众村', '5f8596b83f6e4fb09fd0352f33930999', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103201', 5, '群众村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103201', 1, '2021-07-19 11:52:40', NULL, NULL), (20440, '', '蟠山村', 'c4d9a25996a64f07b4d24bd0da0d1f61', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103205', 5, '蟠山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103205', 1, '2021-07-19 11:52:40', NULL, NULL), (20441, '', '周场社区', '145fb7c0e81b4c1e8fb055286aff6dde', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103207', 5, '周场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103207', 1, '2021-07-19 11:52:40', NULL, NULL), (20442, '', '凤竹社区', '1bb981710d02478faea42bf1dd81903f', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103212', 5, '凤竹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103212', 1, '2021-07-19 11:52:40', NULL, NULL), (20443, '', '双鱼村', '6ca0c1bd3fe844d29e9ff6479adbec86', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103214', 5, '双鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103214', 1, '2021-07-19 11:52:40', NULL, NULL), (20444, '', '席草村', '7e08982c524a40fea05e2dc8f600724b', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103216', 5, '席草村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103216', 1, '2021-07-19 11:52:40', NULL, NULL), (20445, '', '新兴村', '7d974b5492a445999d0e15d4eb9f5057', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103219', 5, '新兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103219', 1, '2021-07-19 11:52:41', NULL, NULL), (20446, '', '尹家村', '6b2a9cefc962494ca5bb86b2f4245f80', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103220', 5, '尹家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103220', 1, '2021-07-19 11:52:41', NULL, NULL), (20447, '', '花甲村', 'c2f6495ad0124ccf85ed872323936f4a', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103221', 5, '花甲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103221', 1, '2021-07-19 11:52:41', NULL, NULL), (20448, '', '大同村', '5a516857deb3413cbe987938c142a7b2', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103222', 5, '大同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103222', 1, '2021-07-19 11:52:41', NULL, NULL), (20449, '', '吉祥村', '3be4117f025042a2a4cfd37f2360abb1', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103223', 5, '吉祥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103223', 1, '2021-07-19 11:52:41', NULL, NULL), (20450, '', '茅坪村', '3aa764bb60974783a494b15aea5d995d', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103224', 5, '茅坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103224', 1, '2021-07-19 11:52:41', NULL, NULL), (20451, '', '分水村', 'f8c36818c4b54049951c41670fbfc9b0', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103225', 5, '分水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103225', 1, '2021-07-19 11:52:41', NULL, NULL), (20452, '', '书楼村', 'e7ebea2c8c2342de977587a64092b241', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103226', 5, '书楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103226', 1, '2021-07-19 11:52:41', NULL, NULL), (20453, '', '寿昌村', '58a476540f9b41838e1f763c51b33bb2', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103227', 5, '寿昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103227', 1, '2021-07-19 11:52:41', NULL, NULL), (20454, '', '红菊村', '7f6d252b6a8e4e76a82a1da4c7ee03b0', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103228', 5, '红菊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103228', 1, '2021-07-19 11:52:41', NULL, NULL), (20455, '', '利民村', '5ca6e3fe85aa412a9c90bd20f7671502', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103229', 5, '利民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103229', 1, '2021-07-19 11:52:41', NULL, NULL), (20456, '', '雷殿村', '0eb3d158ecb04613af026f5f018b44b9', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103230', 5, '雷殿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103230', 1, '2021-07-19 11:52:41', NULL, NULL), (20457, '', '小湾村', '4e1771ea3b2e422f80c288b097545da9', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103231', 5, '小湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103231', 1, '2021-07-19 11:52:41', NULL, NULL), (20458, '', '瓦窖村', '5b7f5738b5f8449f98def706db45b2f5', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103232', 5, '瓦窖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103232', 1, '2021-07-19 11:52:41', NULL, NULL), (20459, '', '蟠龙村', 'ebca96399ca748d58bf59845b1c3e47c', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103234', 5, '蟠龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103234', 1, '2021-07-19 11:52:41', NULL, NULL), (20460, '', '土红村', '458809d9316f42998a2fe3a388185fc2', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103235', 5, '土红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103235', 1, '2021-07-19 11:52:42', NULL, NULL), (20461, '', '石庙村', '2cdf3be2c6b146f2aa57c84213dedc62', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103236', 5, '石庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103236', 1, '2021-07-19 11:52:42', NULL, NULL), (20462, '', '陈河村', '894b824330344b2692d83d58d47a8d8f', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103238', 5, '陈河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103238', 1, '2021-07-19 11:52:42', NULL, NULL), (20463, '', '荷花社区', 'ea89ab06821c42d0a54842ef77d291f5', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103239', 5, '荷花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103239', 1, '2021-07-19 11:52:42', NULL, NULL), (20464, '', '古塘村', '59ddaea343dd4150b6fc15182737602d', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103240', 5, '古塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103240', 1, '2021-07-19 11:52:42', NULL, NULL), (20465, '', '广学村', 'f0873fadad814c948ad0d71a997751da', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103241', 5, '广学村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103241', 1, '2021-07-19 11:52:42', NULL, NULL), (20466, '', '中秀村', '07996ec126fd415399a4079d1c9b50c4', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103242', 5, '中秀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103242', 1, '2021-07-19 11:52:42', NULL, NULL), (20467, '', '宋显村', '4d4e60a97bc64c7aa608d117ff046198', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103246', 5, '宋显村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103246', 1, '2021-07-19 11:52:42', NULL, NULL), (20468, '', '合林社区', 'e85c9654d5964f42a7273cf9f2c19973', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103248', 5, '合林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103248', 1, '2021-07-19 11:52:42', NULL, NULL), (20469, '', '互利村', '044e36e75fac40e8987b60142c4f443f', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103249', 5, '互利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103249', 1, '2021-07-19 11:52:42', NULL, NULL), (20470, '', '古罗村', 'd0b1aee53d05465796af88bf045a97d4', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103250', 5, '古罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103250', 1, '2021-07-19 11:52:42', NULL, NULL), (20471, '', '佑之社区', 'fb4699db3d784370a225d6909a1bdab4', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103253', 5, '佑之社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103253', 1, '2021-07-19 11:52:42', NULL, NULL), (20472, '', '万山村', '2a3c315834274cf9bd2a6802f352fdcc', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103254', 5, '万山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103254', 1, '2021-07-19 11:52:42', NULL, NULL), (20473, '', '柳树村', 'eba4cafc57e44ff78b2dac31edeb772f', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103255', 5, '柳树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103255', 1, '2021-07-19 11:52:42', NULL, NULL), (20474, '', '叶山村', 'c0d8a724be5748e09db7cc10f6ba80a6', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103256', 5, '叶山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103256', 1, '2021-07-19 11:52:43', NULL, NULL), (20475, '', '新燕村', '68f7a7f7fcb6495ead012da43e56b6ad', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103257', 5, '新燕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103257', 1, '2021-07-19 11:52:43', NULL, NULL), (20476, '', '茶花村', '6e983965591a45a79cf77407e2cdc751', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103258', 5, '茶花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103258', 1, '2021-07-19 11:52:43', NULL, NULL), (20477, '', '良丰村', '8835aa68e19f4cfcadd13570cbd7db1a', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103259', 5, '良丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103259', 1, '2021-07-19 11:52:43', NULL, NULL), (20478, '', '大屋村', '3e4cfbf6e7cb4bb7970196937eb570ec', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103260', 5, '大屋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103260', 1, '2021-07-19 11:52:43', NULL, NULL), (20479, '', '大井村', 'c7c28a5769d14b8999cc5c938263a234', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103261', 5, '大井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103261', 1, '2021-07-19 11:52:43', NULL, NULL), (20480, '', '白果社区', '412d708814484f16ba8ee2559db3e2f9', '3cc418b44cfb40f7912202f0da856193', 'False', 'False', 'false', 'false', '511504103263', 5, '白果社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504103263', 1, '2021-07-19 11:52:43', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (20481, '', '横江镇', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'a7bdba9d66fe4653aad3d2a436ef55ad', 'True', 'True', 'false', 'false', '511521104000', 4, '横江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511521104000', 1, '2021-07-19 11:52:43', NULL, NULL), (20482, '', '民主社区居委会', 'b2f81d79ed3645b39ba0f27fe2bda814', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104001', 5, '民主社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104001', 1, '2021-07-19 11:52:43', NULL, NULL), (20483, '', '复龙社区居委会', '695a627b0bed4e7c9fea9a49451edb86', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104003', 5, '复龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104003', 1, '2021-07-19 11:52:43', NULL, NULL), (20484, '', '油房村', '018a491ec7104153bb59385bd8197ec2', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104201', 5, '油房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104201', 1, '2021-07-19 11:52:43', NULL, NULL), (20485, '', '厚石社区', '89070bda5bcd43d6aee6f4fc66177476', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104202', 5, '厚石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104202', 1, '2021-07-19 11:52:43', NULL, NULL), (20486, '', '石城村', '1d76e63428df45ee89752bd123d4c568', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104204', 5, '石城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104204', 1, '2021-07-19 11:52:43', NULL, NULL), (20487, '', '金钟村', 'a041af9105dc4b9d95e937bc6731fa2d', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104205', 5, '金钟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104205', 1, '2021-07-19 11:52:43', NULL, NULL), (20488, '', '五宝村', '78ee1814585249d3aa42defa447a20fd', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104208', 5, '五宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104208', 1, '2021-07-19 11:52:44', NULL, NULL), (20489, '', '伏龙村', '922205d1d0df4d1b935de6a3d261c43f', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104209', 5, '伏龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104209', 1, '2021-07-19 11:52:44', NULL, NULL), (20490, '', '北斗村', 'c27a0faffdad4cbdba538e18c0a23c41', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104210', 5, '北斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104210', 1, '2021-07-19 11:52:44', NULL, NULL), (20491, '', '石马村', '2faa2255e4c7408a9232bc5c68f993db', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104211', 5, '石马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104211', 1, '2021-07-19 11:52:44', NULL, NULL), (20492, '', '张窝村', '986c1b81d6b646aebe41623e9c422eae', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104213', 5, '张窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104213', 1, '2021-07-19 11:52:44', NULL, NULL), (20493, '', '富田村', 'bdc49f37ecb749d49958a4a75ed3d7a2', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104214', 5, '富田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104214', 1, '2021-07-19 11:52:44', NULL, NULL), (20494, '', '柏林村', '3a15823821d04b778ff084d535c29a9b', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104217', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104217', 1, '2021-07-19 11:52:44', NULL, NULL), (20495, '', '义兴村', 'd42c1760b9fd4af98650b046aa670526', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104218', 5, '义兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104218', 1, '2021-07-19 11:52:44', NULL, NULL), (20496, '', '庆高村', '5be5c718a96e432fa82aa206fbe65078', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104220', 5, '庆高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104220', 1, '2021-07-19 11:52:44', NULL, NULL), (20497, '', '马林村', '4d5b10e88d514fb99d0d73b2c862f608', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104221', 5, '马林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104221', 1, '2021-07-19 11:52:44', NULL, NULL), (20498, '', '太阳村', 'eecbf3c861f04c8494c39e32a4ecb25f', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104222', 5, '太阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104222', 1, '2021-07-19 11:52:44', NULL, NULL), (20499, '', '米库村', '78db94d97f5f4ccfbf69dbbab6c92e66', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104223', 5, '米库村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104223', 1, '2021-07-19 11:52:44', NULL, NULL), (20500, '', '田坝村', 'ede6c7630ec341e3adcd627b93ce673a', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104224', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104224', 1, '2021-07-19 11:52:44', NULL, NULL), (20501, '', '永安村', '38dbac2545584898bca2746bf19d5c10', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104229', 5, '永安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104229', 1, '2021-07-19 11:52:45', NULL, NULL), (20502, '', '松峰村', '8b6ecb8e7d25444e860675771040994e', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104231', 5, '松峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104231', 1, '2021-07-19 11:52:45', NULL, NULL), (20503, '', '回龙社区', '3f340291f58b468b8a2e0b83175278c3', 'b3ee6dee1afc4365839ccca3bc6f4eb2', 'False', 'False', 'false', 'false', '511504104232', 5, '回龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504104232', 1, '2021-07-19 11:52:45', NULL, NULL), (20504, '', '柳嘉镇', '27a091a35ca540b69269b4772d040a9b', 'a7bdba9d66fe4653aad3d2a436ef55ad', 'True', 'True', 'false', 'false', '511521105000', 4, '柳嘉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511521105000', 1, '2021-07-19 11:52:45', NULL, NULL), (20505, '', '正街社区', '45cde1af9d0b4bc4a58d55c6c4083f6e', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105001', 5, '正街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105001', 1, '2021-07-19 11:52:45', NULL, NULL), (20506, '', '新街社区居委会', 'c14672e031e2422597431c45ff19825d', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105002', 5, '新街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105002', 1, '2021-07-19 11:52:45', NULL, NULL), (20507, '', '柳嘉村', '8f3ebcbe014c4ce5b17818d05ac876a3', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105203', 5, '柳嘉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105203', 1, '2021-07-19 11:52:45', NULL, NULL), (20508, '', '金象村', '10598ceea52149b59d3773e8aa368349', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105204', 5, '金象村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105204', 1, '2021-07-19 11:52:45', NULL, NULL), (20509, '', '律阳村', '09e2d47b730949b9896c9d8e3b004911', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105206', 5, '律阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105206', 1, '2021-07-19 11:52:45', NULL, NULL), (20510, '', '运柱村', '4efee3ff1bd849219489413ea9f09685', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105207', 5, '运柱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105207', 1, '2021-07-19 11:52:45', NULL, NULL), (20511, '', '红岩村', '8e1552ac2c8a4c8bbec4396972772963', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105208', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105208', 1, '2021-07-19 11:52:45', NULL, NULL), (20512, '', '五通村', '2160a88bf2b64a4d939ec09e1ce19054', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105209', 5, '五通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105209', 1, '2021-07-19 11:52:45', NULL, NULL), (20513, '', '学习村', 'eb37a638939f4c678d232f106700afdd', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105210', 5, '学习村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105210', 1, '2021-07-19 11:52:45', NULL, NULL), (20514, '', '三合社区', '524ce8f34bc04681ac718c8ff54eee9f', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105211', 5, '三合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105211', 1, '2021-07-19 11:52:46', NULL, NULL), (20515, '', '人和村', '801f351827664adb82783afd471b0c79', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105212', 5, '人和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105212', 1, '2021-07-19 11:52:46', NULL, NULL), (20516, '', '白马村', 'd437ff727749486f8addba26d8ba0375', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105216', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105216', 1, '2021-07-19 11:52:46', NULL, NULL), (20517, '', '新雄村', '661934e757e0408b960c2a07a8bf4104', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105219', 5, '新雄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105219', 1, '2021-07-19 11:52:46', NULL, NULL), (20518, '', '松坪村', '35a56179c368465aa66077418ab0b56f', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105220', 5, '松坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105220', 1, '2021-07-19 11:52:46', NULL, NULL), (20519, '', '人民村', '016937dd4e4d43a3bf9e7c196c83242d', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105222', 5, '人民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105222', 1, '2021-07-19 11:52:46', NULL, NULL), (20520, '', '下山村', 'cf02035a7d9f4c85a550d132ab9068e3', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105224', 5, '下山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105224', 1, '2021-07-19 11:52:46', NULL, NULL), (20521, '', '青竹村', '4f1cb476f88b42149429ae5b6f913612', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105225', 5, '青竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105225', 1, '2021-07-19 11:52:46', NULL, NULL), (20522, '', '赶场村', 'd447b1a65e364bcea3a0d7a95ae1d180', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105227', 5, '赶场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105227', 1, '2021-07-19 11:52:46', NULL, NULL), (20523, '', '发龙村', 'dda1531062d144eca89ad653f665adcf', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105228', 5, '发龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105228', 1, '2021-07-19 11:52:46', NULL, NULL), (20524, '', '金竹村', '152b2b63bb074f12bf2deb75504cfaf5', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105229', 5, '金竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105229', 1, '2021-07-19 11:52:46', NULL, NULL), (20525, '', '文家村', '2ec68d614f6945688a1174e81d99fd50', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105230', 5, '文家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105230', 1, '2021-07-19 11:52:46', NULL, NULL), (20526, '', '古泉村', 'e0cafc5121e64c3a99b7edfef279a2fc', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105231', 5, '古泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105231', 1, '2021-07-19 11:52:46', NULL, NULL), (20527, '', '桂花村', 'f255a969cc294156b0f668258a870ad3', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105233', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105233', 1, '2021-07-19 11:52:46', NULL, NULL), (20528, '', '民主村', '6f4272ed632f46be93136c93664b12f7', '27a091a35ca540b69269b4772d040a9b', 'False', 'False', 'false', 'false', '511504105234', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504105234', 1, '2021-07-19 11:52:46', NULL, NULL), (20529, '', '泥溪镇', 'fe65b9ed36a04ba79938579ad0bc2801', 'a7bdba9d66fe4653aad3d2a436ef55ad', 'True', 'True', 'false', 'false', '511521106000', 4, '泥溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511521106000', 1, '2021-07-19 11:52:46', NULL, NULL), (20530, '', '金华社区', 'efd59d29e76d4c6581b7000438bb15c9', 'fe65b9ed36a04ba79938579ad0bc2801', 'False', 'False', 'false', 'false', '511504106001', 5, '金华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504106001', 1, '2021-07-19 11:52:46', NULL, NULL), (20531, '', '月波社区', 'ae9ee0ec2f724a3caf2d243d8fa4629c', 'fe65b9ed36a04ba79938579ad0bc2801', 'False', 'False', 'false', 'false', '511504106002', 5, '月波社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504106002', 1, '2021-07-19 11:52:47', NULL, NULL), (20532, '', '万民村', 'ffa3fb071e16403ab462611d1c830aaf', 'fe65b9ed36a04ba79938579ad0bc2801', 'False', 'False', 'false', 'false', '511504106203', 5, '万民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504106203', 1, '2021-07-19 11:52:47', NULL, NULL), (20533, '', '群力村', '1354f5836cc74f18b02fdc2938970c54', 'fe65b9ed36a04ba79938579ad0bc2801', 'False', 'False', 'false', 'false', '511504106205', 5, '群力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504106205', 1, '2021-07-19 11:52:47', NULL, NULL), (20534, '', '松林村', 'a36bdd3fcfd5451f83318ffe8938ee4a', 'fe65b9ed36a04ba79938579ad0bc2801', 'False', 'False', 'false', 'false', '511504106206', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504106206', 1, '2021-07-19 11:52:47', NULL, NULL), (20535, '', '张坝村', '6ebcaaeea77c4276bb894698fa04b6a1', 'fe65b9ed36a04ba79938579ad0bc2801', 'False', 'False', 'false', 'false', '511504106207', 5, '张坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504106207', 1, '2021-07-19 11:52:47', NULL, NULL), (20536, '', '泥溪村', '5a42b8e09b27450aa10e00bf70624464', 'fe65b9ed36a04ba79938579ad0bc2801', 'False', 'False', 'false', 'false', '511504106208', 5, '泥溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504106208', 1, '2021-07-19 11:52:47', NULL, NULL), (20537, '', '嘉定社区', 'e805434568ba4beb9422d65d7ad374fb', 'fe65b9ed36a04ba79938579ad0bc2801', 'False', 'False', 'false', 'false', '511504106209', 5, '嘉定社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504106209', 1, '2021-07-19 11:52:47', NULL, NULL), (20538, '', '两坪村', 'c5149ae22f0848aa96925335e6a0cd47', 'fe65b9ed36a04ba79938579ad0bc2801', 'False', 'False', 'false', 'false', '511504106210', 5, '两坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504106210', 1, '2021-07-19 11:52:47', NULL, NULL), (20539, '', '文星村', 'eea311fe8d0e4c9c89aedaa997845c40', 'fe65b9ed36a04ba79938579ad0bc2801', 'False', 'False', 'false', 'false', '511504106211', 5, '文星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504106211', 1, '2021-07-19 11:52:47', NULL, NULL), (20540, '', '三台村', '4184fcb252d94d59b8bf9e1e13c7197b', 'fe65b9ed36a04ba79938579ad0bc2801', 'False', 'False', 'false', 'false', '511504106214', 5, '三台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504106214', 1, '2021-07-19 11:52:47', NULL, NULL), (20541, '', '红春村', '0f1b75aba6f24a2cba9816e16cee5563', 'fe65b9ed36a04ba79938579ad0bc2801', 'False', 'False', 'false', 'false', '511504106215', 5, '红春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504106215', 1, '2021-07-19 11:52:47', NULL, NULL), (20542, '', '七星村', 'c6aa9477fe8e434ba20dc67b41583dea', 'fe65b9ed36a04ba79938579ad0bc2801', 'False', 'False', 'false', 'false', '511504106216', 5, '七星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504106216', 1, '2021-07-19 11:52:47', NULL, NULL), (20543, '', '阳坪村', 'a724e12b4a214721b850f622820893db', 'fe65b9ed36a04ba79938579ad0bc2801', 'False', 'False', 'false', 'false', '511504106217', 5, '阳坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504106217', 1, '2021-07-19 11:52:47', NULL, NULL), (20544, '', '月新社区', 'c3a0ed8dabbb4dcc9b6a13c1e3b3cd6e', 'fe65b9ed36a04ba79938579ad0bc2801', 'False', 'False', 'false', 'false', '511504106218', 5, '月新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504106218', 1, '2021-07-19 11:52:47', NULL, NULL), (20545, '', '蕨溪镇', '715eab405ad8423d8520b903739adac7', 'a7bdba9d66fe4653aad3d2a436ef55ad', 'True', 'True', 'false', 'false', '511521107000', 4, '蕨溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511521107000', 1, '2021-07-19 11:52:47', NULL, NULL), (20546, '', '蕨溪社区', '1fef7fec84b84fef81ea3c54d0c7c27f', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107001', 5, '蕨溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107001', 1, '2021-07-19 11:52:47', NULL, NULL), (20547, '', '泥南社区居委会', '91b6579d78bd486db36b1773eb4747c6', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107003', 5, '泥南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107003', 1, '2021-07-19 11:52:48', NULL, NULL), (20548, '', '天元社区', '0ccfcb9c9e79434083cff5b8251fb44f', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107201', 5, '天元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107201', 1, '2021-07-19 11:52:48', NULL, NULL), (20549, '', '光华社区', '9acbe1e0a8ec4124bfa016a0fa36e39d', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107202', 5, '光华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107202', 1, '2021-07-19 11:52:48', NULL, NULL), (20550, '', '铁牛社区', '7aa8dc77e55048e9ac05f89da4e1f87d', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107203', 5, '铁牛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107203', 1, '2021-07-19 11:52:48', NULL, NULL), (20551, '', '黄金社区', 'e9689a5a0f824bb881b41a34892cd858', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107205', 5, '黄金社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107205', 1, '2021-07-19 11:52:48', NULL, NULL), (20552, '', '宣化社区', '532fccd23410422f8cc730d092684900', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107206', 5, '宣化社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107206', 1, '2021-07-19 11:52:48', NULL, NULL), (20553, '', '政权村', '0987289e915843ec91fe903b2b8ffbe7', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107207', 5, '政权村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107207', 1, '2021-07-19 11:52:48', NULL, NULL), (20554, '', '会龙村', '3b99da4b5a48478781b3f4f3998f4a1d', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107208', 5, '会龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107208', 1, '2021-07-19 11:52:48', NULL, NULL), (20555, '', '横山村', 'f801b43d821946d88f8d89e4e142eb72', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107212', 5, '横山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107212', 1, '2021-07-19 11:52:48', NULL, NULL), (20556, '', '简湾村', '2c493a7b198d43cbb4bd42e10a391978', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107217', 5, '简湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107217', 1, '2021-07-19 11:52:48', NULL, NULL), (20557, '', '干溪村', '3847ae0111744bb18558827069ddbc1a', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107219', 5, '干溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107219', 1, '2021-07-19 11:52:48', NULL, NULL), (20558, '', '聚河村', '36fb595d1c634d7abbf9b2550a3167ef', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107220', 5, '聚河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107220', 1, '2021-07-19 11:52:48', NULL, NULL), (20559, '', '泗水村', 'b7151e02d3f54ecaba043f1247be965e', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107222', 5, '泗水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107222', 1, '2021-07-19 11:52:48', NULL, NULL), (20560, '', '大坪社区', '7a501aa3454f425480a33aff0f1501d3', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107223', 5, '大坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107223', 1, '2021-07-19 11:52:48', NULL, NULL), (20561, '', '后坝村', '459589a9f10144229d21f884b1d1fb82', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107225', 5, '后坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107225', 1, '2021-07-19 11:52:49', NULL, NULL), (20562, '', '正化村', 'd4553c3139c346a393eaa96b17ba5f1a', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107227', 5, '正化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107227', 1, '2021-07-19 11:52:49', NULL, NULL), (20563, '', '北江社区', '4ef5f428bdab428382524204108830f5', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107228', 5, '北江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107228', 1, '2021-07-19 11:52:49', NULL, NULL), (20564, '', '红光村', 'ccdc765719c94cfaa99a98372e8ec235', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107229', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107229', 1, '2021-07-19 11:52:49', NULL, NULL), (20565, '', '丛树村', 'f4439d17aeff45188b2987f5e9bf55ec', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107231', 5, '丛树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107231', 1, '2021-07-19 11:52:49', NULL, NULL), (20566, '', '牛心村', 'ba05838b7a4b42d98c4da8742d2cf839', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107232', 5, '牛心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107232', 1, '2021-07-19 11:52:49', NULL, NULL), (20567, '', '火箭社区', '1d1e7cf27e52437ca4e6c2dbde59da9f', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107233', 5, '火箭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107233', 1, '2021-07-19 11:52:49', NULL, NULL), (20568, '', '坪桥村', '400c5b61febd4e96a16bf35f2950c973', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107234', 5, '坪桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107234', 1, '2021-07-19 11:52:49', NULL, NULL), (20569, '', '杨家村', '133c51ad48cc43dea317b38de100ab57', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107237', 5, '杨家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107237', 1, '2021-07-19 11:52:49', NULL, NULL), (20570, '', '施加社区', 'e95f48ee77ca4ccf9238d00e965c0e04', '715eab405ad8423d8520b903739adac7', 'False', 'False', 'false', 'false', '511504107238', 5, '施加社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504107238', 1, '2021-07-19 11:52:49', NULL, NULL), (20571, '', '商州镇', '9d10de1e666e4e44955770cd94b35d62', 'a7bdba9d66fe4653aad3d2a436ef55ad', 'True', 'True', 'false', 'false', '511521108000', 4, '商州镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511521108000', 1, '2021-07-19 11:52:49', NULL, NULL), (20572, '', '商州社区', 'cf82d3801b8940149362f825473f08c9', '9d10de1e666e4e44955770cd94b35d62', 'False', 'False', 'false', 'false', '511504108001', 5, '商州社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504108001', 1, '2021-07-19 11:52:49', NULL, NULL), (20573, '', '商州村', '5b7271e156624851a51cdf0faf0ed078', '9d10de1e666e4e44955770cd94b35d62', 'False', 'False', 'false', 'false', '511504108202', 5, '商州村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504108202', 1, '2021-07-19 11:52:49', NULL, NULL), (20574, '', '松溪村', 'a93cbfea4c7b44988e119f8cc3dc171f', '9d10de1e666e4e44955770cd94b35d62', 'False', 'False', 'false', 'false', '511504108203', 5, '松溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504108203', 1, '2021-07-19 11:52:50', NULL, NULL), (20575, '', '安全村', '807126ebff5544408ca39a567a2becb4', '9d10de1e666e4e44955770cd94b35d62', 'False', 'False', 'false', 'false', '511504108204', 5, '安全村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504108204', 1, '2021-07-19 11:52:50', NULL, NULL), (20576, '', '包家岩村', 'db92102d46b24459b35fb1e958e44ea4', '9d10de1e666e4e44955770cd94b35d62', 'False', 'False', 'false', 'false', '511504108205', 5, '包家岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504108205', 1, '2021-07-19 11:52:50', NULL, NULL), (20577, '', '洞口村', '492d99c37db248e69f66d16fb5e87706', '9d10de1e666e4e44955770cd94b35d62', 'False', 'False', 'false', 'false', '511504108207', 5, '洞口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504108207', 1, '2021-07-19 11:52:50', NULL, NULL), (20578, '', '辽叶村', '7e9406e436ee437baeffe2f5a548812a', '9d10de1e666e4e44955770cd94b35d62', 'False', 'False', 'false', 'false', '511504108208', 5, '辽叶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504108208', 1, '2021-07-19 11:52:50', NULL, NULL), (20579, '', '新华村', 'e26d71fa1dd644ce9a545506fcaa6d73', '9d10de1e666e4e44955770cd94b35d62', 'False', 'False', 'false', 'false', '511504108209', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504108209', 1, '2021-07-19 11:52:50', NULL, NULL), (20580, '', '厂坝村', 'dd649948624b40be8ded5bf59f710770', '9d10de1e666e4e44955770cd94b35d62', 'False', 'False', 'false', 'false', '511504108210', 5, '厂坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504108210', 1, '2021-07-19 11:52:50', NULL, NULL), (20581, '', '晒金村', 'f0afabfd3c1d47818a041738ad296749', '9d10de1e666e4e44955770cd94b35d62', 'False', 'False', 'false', 'false', '511504108211', 5, '晒金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504108211', 1, '2021-07-19 11:52:50', NULL, NULL), (20582, '', '炳兴村', 'f5f2bd9096f147cbaf43e60e767e97c0', '9d10de1e666e4e44955770cd94b35d62', 'False', 'False', 'false', 'false', '511504108212', 5, '炳兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504108212', 1, '2021-07-19 11:52:50', NULL, NULL), (20583, '', '丰岩村', 'eb8b698f80504d39a8fe4c4551db4439', '9d10de1e666e4e44955770cd94b35d62', 'False', 'False', 'false', 'false', '511504108215', 5, '丰岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504108215', 1, '2021-07-19 11:52:50', NULL, NULL), (20584, '', '民乐村', '0d9711d7b5654ab9a1c3e9a8d34bd468', '9d10de1e666e4e44955770cd94b35d62', 'False', 'False', 'false', 'false', '511504108216', 5, '民乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504108216', 1, '2021-07-19 11:52:50', NULL, NULL), (20585, '', '高场镇', 'ea9be20508b24c2d9387b2f4d68b3611', 'a7bdba9d66fe4653aad3d2a436ef55ad', 'True', 'True', 'false', 'false', '511521109000', 4, '高场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511521109000', 1, '2021-07-19 11:52:50', NULL, NULL), (20586, '', '高场社区', '6b4ff3abf5a7430793644cc708f64623', 'ea9be20508b24c2d9387b2f4d68b3611', 'False', 'False', 'false', 'false', '511504109001', 5, '高场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504109001', 1, '2021-07-19 11:52:50', NULL, NULL), (20587, '', '黄龙村', 'd69bb7f158014d40bf8cdf0caa025856', 'ea9be20508b24c2d9387b2f4d68b3611', 'False', 'False', 'false', 'false', '511504109201', 5, '黄龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504109201', 1, '2021-07-19 11:52:50', NULL, NULL), (20588, '', '华林村', '02e4679f2a2f4785b1073082269354a3', 'ea9be20508b24c2d9387b2f4d68b3611', 'False', 'False', 'false', 'false', '511504109202', 5, '华林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504109202', 1, '2021-07-19 11:52:50', NULL, NULL), (20589, '', '公民村', 'db34d3f62c06496fa7e7e4412594d561', 'ea9be20508b24c2d9387b2f4d68b3611', 'False', 'False', 'false', 'false', '511504109203', 5, '公民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504109203', 1, '2021-07-19 11:52:50', NULL, NULL), (20590, '', '青陈村', '4b51bfff1e7d4f8b88685444c4b54cc5', 'ea9be20508b24c2d9387b2f4d68b3611', 'False', 'False', 'false', 'false', '511504109206', 5, '青陈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504109206', 1, '2021-07-19 11:52:50', NULL, NULL), (20591, '', '统山村', 'a0bbf3b1bb7742ba8e4ff7c2f08d4327', 'ea9be20508b24c2d9387b2f4d68b3611', 'False', 'False', 'false', 'false', '511504109207', 5, '统山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504109207', 1, '2021-07-19 11:52:51', NULL, NULL), (20592, '', '高新社区', '494a9c22493d493e94a90b65820e8f59', 'ea9be20508b24c2d9387b2f4d68b3611', 'False', 'False', 'false', 'false', '511504109209', 5, '高新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504109209', 1, '2021-07-19 11:52:51', NULL, NULL), (20593, '', '丰收村', '29894401772f4e288b07994d6953523f', 'ea9be20508b24c2d9387b2f4d68b3611', 'False', 'False', 'false', 'false', '511504109210', 5, '丰收村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504109210', 1, '2021-07-19 11:52:51', NULL, NULL), (20594, '', '同乐社区', '3124510b6ad641cd9804dc431f72f39b', 'ea9be20508b24c2d9387b2f4d68b3611', 'False', 'False', 'false', 'false', '511504109213', 5, '同乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504109213', 1, '2021-07-19 11:52:51', NULL, NULL), (20595, '', '青云社区', '181ee0b1c27a419fb2fe2fd81bd6a655', 'ea9be20508b24c2d9387b2f4d68b3611', 'False', 'False', 'false', 'false', '511504109217', 5, '青云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504109217', 1, '2021-07-19 11:52:51', NULL, NULL), (20596, '', '东升村', '2d0bab74272d4288847a236104606d57', 'ea9be20508b24c2d9387b2f4d68b3611', 'False', 'False', 'false', 'false', '511504109218', 5, '东升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504109218', 1, '2021-07-19 11:52:51', NULL, NULL), (20597, '', '青山村', 'dc274a892d8949209d26585f070cdd9a', 'ea9be20508b24c2d9387b2f4d68b3611', 'False', 'False', 'false', 'false', '511504109219', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504109219', 1, '2021-07-19 11:52:51', NULL, NULL), (20598, '', '富荣社区', 'b3789d0dc10741989f8429e79ffd9a98', 'ea9be20508b24c2d9387b2f4d68b3611', 'False', 'False', 'false', 'false', '511504109220', 5, '富荣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504109220', 1, '2021-07-19 11:52:51', NULL, NULL), (20599, '', '清华社区', '2aa37b11b57b46ce851001779f4af454', 'ea9be20508b24c2d9387b2f4d68b3611', 'False', 'False', 'false', 'false', '511504109221', 5, '清华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504109221', 1, '2021-07-19 11:52:51', NULL, NULL), (20600, '', '安边镇', '9fcba7011a9846a083f8aae41d4f3ddd', 'a7bdba9d66fe4653aad3d2a436ef55ad', 'True', 'True', 'false', 'false', '511521110000', 4, '安边镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511521110000', 1, '2021-07-19 11:52:51', NULL, NULL), (20601, '', '安边社区', '0bc0e4d25ab740d6bdc26ee0a03663db', '9fcba7011a9846a083f8aae41d4f3ddd', 'False', 'False', 'false', 'false', '511504110001', 5, '安边社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504110001', 1, '2021-07-19 11:52:51', NULL, NULL), (20602, '', '豆坝社区', 'a7a190f1fcfa459a872d09d191ffe3e9', '9fcba7011a9846a083f8aae41d4f3ddd', 'False', 'False', 'false', 'false', '511504110002', 5, '豆坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504110002', 1, '2021-07-19 11:52:51', NULL, NULL), (20603, '', '瑞莲村', '5ac1a1c7cbc5465d9da141ac64121c71', '9fcba7011a9846a083f8aae41d4f3ddd', 'False', 'False', 'false', 'false', '511504110202', 5, '瑞莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504110202', 1, '2021-07-19 11:52:51', NULL, NULL), (20604, '', '英雄村', '23c4fd2e2495422ea632a048cf84f3f0', '9fcba7011a9846a083f8aae41d4f3ddd', 'False', 'False', 'false', 'false', '511504110203', 5, '英雄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504110203', 1, '2021-07-19 11:52:51', NULL, NULL), (20605, '', '大滩社区', 'bcf7cb34657f493183505ae033440ca7', '9fcba7011a9846a083f8aae41d4f3ddd', 'False', 'False', 'false', 'false', '511504110205', 5, '大滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504110205', 1, '2021-07-19 11:52:51', NULL, NULL), (20606, '', '火焰社区', '79f748230e3b42eda0f5eb3b0f75469e', '9fcba7011a9846a083f8aae41d4f3ddd', 'False', 'False', 'false', 'false', '511504110206', 5, '火焰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504110206', 1, '2021-07-19 11:52:51', NULL, NULL), (20607, '', '豆坝村', '4ba36e4451c943c9b089ab11fc875913', '9fcba7011a9846a083f8aae41d4f3ddd', 'False', 'False', 'false', 'false', '511504110208', 5, '豆坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504110208', 1, '2021-07-19 11:52:51', NULL, NULL), (20608, '', '黄江林社区', 'b570223e032a4785b716e6607e28a10f', '9fcba7011a9846a083f8aae41d4f3ddd', 'False', 'False', 'false', 'false', '511504110210', 5, '黄江林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504110210', 1, '2021-07-19 11:52:51', NULL, NULL), (20609, '', '治和社区', '1c91437f64d9419c8795fff166a47cb0', '9fcba7011a9846a083f8aae41d4f3ddd', 'False', 'False', 'false', 'false', '511504110211', 5, '治和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504110211', 1, '2021-07-19 11:52:52', NULL, NULL), (20610, '', '双龙镇', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'a7bdba9d66fe4653aad3d2a436ef55ad', 'True', 'True', 'false', 'false', '511521111000', 4, '双龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511521111000', 1, '2021-07-19 11:52:52', NULL, NULL), (20611, '', '双龙社区', 'dd8a0215262b4a1994efd4c9c3822dab', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111001', 5, '双龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111001', 1, '2021-07-19 11:52:52', NULL, NULL), (20612, '', '捧印社区', 'a25fcc31d118492085bd9debdd50b829', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111002', 5, '捧印社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111002', 1, '2021-07-19 11:52:52', NULL, NULL), (20613, '', '双龙村', '7796b8fa1a6c473ab3cd6757fc1d1e30', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111201', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111201', 1, '2021-07-19 11:52:52', NULL, NULL), (20614, '', '金山村', 'bba1f2cf870145ecb8cf04ab2049b828', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111205', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111205', 1, '2021-07-19 11:52:52', NULL, NULL), (20615, '', '柏杨村', '87c296967615482986758c0873240672', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111206', 5, '柏杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111206', 1, '2021-07-19 11:52:52', NULL, NULL), (20616, '', '增产村', '54d2e4f1b8c54a589618374b31476bc9', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111208', 5, '增产村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111208', 1, '2021-07-19 11:52:52', NULL, NULL), (20617, '', '新元村', '3abc1dbdaa484f6db12d1ff5bb3069ab', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111209', 5, '新元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111209', 1, '2021-07-19 11:52:52', NULL, NULL), (20618, '', '罗河村', '5c1331ca565c49daa3ad7e2aac9dade3', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111210', 5, '罗河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111210', 1, '2021-07-19 11:52:52', NULL, NULL), (20619, '', '沙河村', 'dbd43f4dd8f747a3a552e9ecfaec0081', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111211', 5, '沙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111211', 1, '2021-07-19 11:52:52', NULL, NULL), (20620, '', '大坡村', 'e9794a98185c4d569080226c7f382f5c', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111213', 5, '大坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111213', 1, '2021-07-19 11:52:52', NULL, NULL), (20621, '', '沙溪村', '1e2e4c56931b432499f049586bb34967', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111214', 5, '沙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111214', 1, '2021-07-19 11:52:52', NULL, NULL), (20622, '', '长安村', '826804cc0faa4b49b192d573a95be4bb', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111215', 5, '长安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111215', 1, '2021-07-19 11:52:53', NULL, NULL), (20623, '', '捧印村', '1b1bd0cad6144fbd8c074ee7c85f16b2', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111216', 5, '捧印村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111216', 1, '2021-07-19 11:52:53', NULL, NULL), (20624, '', '老房村', 'a95b8f841bb040ac9022d150b8f30f1c', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111218', 5, '老房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111218', 1, '2021-07-19 11:52:53', NULL, NULL), (20625, '', '凤鸣村', '899c599ec93e433da98e75b138b02256', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111219', 5, '凤鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111219', 1, '2021-07-19 11:52:53', NULL, NULL), (20626, '', '新式村', '5c19964103264dab9805326c5fd2a394', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111220', 5, '新式村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111220', 1, '2021-07-19 11:52:53', NULL, NULL), (20627, '', '上坝村', '1e173b98010d43adb9aa19d15ebccf07', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111221', 5, '上坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111221', 1, '2021-07-19 11:52:53', NULL, NULL), (20628, '', '上村村', '07de7e86db5b4ed685070f2d62dcbce0', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111222', 5, '上村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111222', 1, '2021-07-19 11:52:53', NULL, NULL), (20629, '', '同心村', '19f3f7536ea448c78912cb88bc1ec54d', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111223', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111223', 1, '2021-07-19 11:52:53', NULL, NULL), (20630, '', '黄伏村', '6669263846ba40e0bcb707f0506bc380', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111224', 5, '黄伏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111224', 1, '2021-07-19 11:52:53', NULL, NULL), (20631, '', '黄格村', '8891cc9703754a02ae5cc0b519f21dfd', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111225', 5, '黄格村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111225', 1, '2021-07-19 11:52:53', NULL, NULL), (20632, '', '水潭村', '4d8b8ad47ce9495c996bba1a726b0dee', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111229', 5, '水潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111229', 1, '2021-07-19 11:52:53', NULL, NULL), (20633, '', '三六村', 'e605e8198d42413a9200ff3a062bfecf', 'fa7fca9acdd147c5a69a7a1c13be9a5b', 'False', 'False', 'false', 'false', '511504111231', 5, '三六村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504111231', 1, '2021-07-19 11:52:53', NULL, NULL), (20634, '', '合什镇', '08b3c264c72c49ada684da963f136192', 'a7bdba9d66fe4653aad3d2a436ef55ad', 'True', 'True', 'false', 'false', '511521113000', 4, '合什镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511521113000', 1, '2021-07-19 11:52:53', NULL, NULL), (20635, '', '合什社区', 'f313aec59d1f4bdb846e7fbc9f092eba', '08b3c264c72c49ada684da963f136192', 'False', 'False', 'false', 'false', '511504113001', 5, '合什社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504113001', 1, '2021-07-19 11:52:53', NULL, NULL), (20636, '', '征远社区', 'fde2e7acac5f4684885fe3551d3cb967', '08b3c264c72c49ada684da963f136192', 'False', 'False', 'false', 'false', '511504113002', 5, '征远社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504113002', 1, '2021-07-19 11:52:53', NULL, NULL), (20637, '', '祝殿社区', '00c272ebf9a543f881df1b805363f6af', '08b3c264c72c49ada684da963f136192', 'False', 'False', 'false', 'false', '511504113003', 5, '祝殿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504113003', 1, '2021-07-19 11:52:53', NULL, NULL), (20638, '', '合江村', '88ea54b763ac455c8a1f7e36dc21056e', '08b3c264c72c49ada684da963f136192', 'False', 'False', 'false', 'false', '511504113201', 5, '合江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504113201', 1, '2021-07-19 11:52:53', NULL, NULL), (20639, '', '征远村', '8eb44252535c4210acf06e5e963345b5', '08b3c264c72c49ada684da963f136192', 'False', 'False', 'false', 'false', '511504113203', 5, '征远村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504113203', 1, '2021-07-19 11:52:54', NULL, NULL), (20640, '', '川水村', '2d7816d10ce64288ac87407e5873d222', '08b3c264c72c49ada684da963f136192', 'False', 'False', 'false', 'false', '511504113205', 5, '川水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504113205', 1, '2021-07-19 11:52:54', NULL, NULL), (20641, '', '塘坎村', '5e1e85d457ed4253878c90ee65fdf9be', '08b3c264c72c49ada684da963f136192', 'False', 'False', 'false', 'false', '511504113206', 5, '塘坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504113206', 1, '2021-07-19 11:52:54', NULL, NULL), (20642, '', '柏树村', 'f9f4c53c41a94f65ad0c84aec848cea0', '08b3c264c72c49ada684da963f136192', 'False', 'False', 'false', 'false', '511504113207', 5, '柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504113207', 1, '2021-07-19 11:52:54', NULL, NULL), (20643, '', '万元村', 'e5096a4f7a5f4077a049f448cee8fd8a', '08b3c264c72c49ada684da963f136192', 'False', 'False', 'false', 'false', '511504113208', 5, '万元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504113208', 1, '2021-07-19 11:52:54', NULL, NULL), (20644, '', '高嘴村', 'cdbd78f8fda34fa692fa70e645ebd77d', '08b3c264c72c49ada684da963f136192', 'False', 'False', 'false', 'false', '511504113209', 5, '高嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504113209', 1, '2021-07-19 11:52:54', NULL, NULL), (20645, '', '天祥社区', '013e3088498b456d86441dc180bbc706', '08b3c264c72c49ada684da963f136192', 'False', 'False', 'false', 'false', '511504113210', 5, '天祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504113210', 1, '2021-07-19 11:52:54', NULL, NULL), (20646, '', '保宁社区', '7c335b67d0f84833b620da498c613764', '08b3c264c72c49ada684da963f136192', 'False', 'False', 'false', 'false', '511504113211', 5, '保宁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504113211', 1, '2021-07-19 11:52:54', NULL, NULL), (20647, '', '万家村', '7045595466f14be1979c2c796a536d71', '08b3c264c72c49ada684da963f136192', 'False', 'False', 'false', 'false', '511504113212', 5, '万家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504113212', 1, '2021-07-19 11:52:54', NULL, NULL), (20648, '', '怡村', '6e86019e2f21470890efb836f5127c29', '08b3c264c72c49ada684da963f136192', 'False', 'False', 'false', 'false', '511504113213', 5, '怡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504113213', 1, '2021-07-19 11:52:54', NULL, NULL), (20649, '', '灵家村', '3643b795e6d548dcb79bdb88771eb296', '08b3c264c72c49ada684da963f136192', 'False', 'False', 'false', 'false', '511504113218', 5, '灵家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504113218', 1, '2021-07-19 11:52:54', NULL, NULL), (20650, '', '万里村', 'd50208cbec1e4d5694959e37cea50a21', '08b3c264c72c49ada684da963f136192', 'False', 'False', 'false', 'false', '511504113219', 5, '万里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504113219', 1, '2021-07-19 11:52:54', NULL, NULL), (20651, '', '高屋村', '3817895214ca4a45933aea43f537b1a2', '08b3c264c72c49ada684da963f136192', 'False', 'False', 'false', 'false', '511504113221', 5, '高屋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504113221', 1, '2021-07-19 11:52:54', NULL, NULL), (20652, '', '樟海镇', '8f2f9481620c4fad85f70bd930505239', 'a7bdba9d66fe4653aad3d2a436ef55ad', 'True', 'True', 'false', 'false', '511521119000', 4, '樟海镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511521119000', 1, '2021-07-19 11:52:54', NULL, NULL), (20653, '', '李场社区', 'ee2d63ef526a49d8aba760137ac8e490', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119001', 5, '李场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119001', 1, '2021-07-19 11:52:54', NULL, NULL), (20654, '', '大塔社区', '85f2ff776474418eb1b62a904be6a619', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119002', 5, '大塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119002', 1, '2021-07-19 11:52:54', NULL, NULL), (20655, '', '古柏社区', 'e85fafa055ee47bfa58e079c06d77659', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119003', 5, '古柏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119003', 1, '2021-07-19 11:52:54', NULL, NULL), (20656, '', '隆兴社区', '82315d833f624046897b4b22c5b5b335', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119004', 5, '隆兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119004', 1, '2021-07-19 11:52:54', NULL, NULL), (20657, '', '越溪社区', 'ea9f5cc0df564bf8a1d5f6944de65eec', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119005', 5, '越溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119005', 1, '2021-07-19 11:52:55', NULL, NULL), (20658, '', '瓦房村', 'f481f6013cdc4ed382853832c2d80998', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119201', 5, '瓦房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119201', 1, '2021-07-19 11:52:55', NULL, NULL), (20659, '', '石坝村', '5fb1141f6a5b452eb5514b9a9fbd30c7', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119203', 5, '石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119203', 1, '2021-07-19 11:52:55', NULL, NULL), (20660, '', '斑竹村', 'eb1ed892256043049137f4e299e9ca27', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119204', 5, '斑竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119204', 1, '2021-07-19 11:52:55', NULL, NULL), (20661, '', '中咀村', '85858a415b974a5c99e44ed3d1d31164', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119206', 5, '中咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119206', 1, '2021-07-19 11:52:55', NULL, NULL), (20662, '', '大塔滩社区', '7c4a332e99344678994b2f77cdd354f7', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119208', 5, '大塔滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119208', 1, '2021-07-19 11:52:55', NULL, NULL), (20663, '', '红荔社区', '0479d2121fe84d9f9f1166e71222f7db', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119210', 5, '红荔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119210', 1, '2021-07-19 11:52:55', NULL, NULL), (20664, '', '太平村', '5308cf9a0932462ba17e869f1fec99dd', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119211', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119211', 1, '2021-07-19 11:52:55', NULL, NULL), (20665, '', '金家村', '516fb8753dc4498eafcb78e2436f9a16', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119212', 5, '金家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119212', 1, '2021-07-19 11:52:55', NULL, NULL), (20666, '', '龙川村', '5d49037bc82f41e4919556cc1e3f88e5', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119215', 5, '龙川村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119215', 1, '2021-07-19 11:52:55', NULL, NULL), (20667, '', '富强村', '989ef89e3e1f47c592d4afee82ee27a4', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119216', 5, '富强村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119216', 1, '2021-07-19 11:52:55', NULL, NULL), (20668, '', '红中村', 'd4e52dc080c2434e9275531e09a2ae5c', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119219', 5, '红中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119219', 1, '2021-07-19 11:52:55', NULL, NULL), (20669, '', '祥湾村', 'e7e8bcff96604cbbb6deda60b9aeb5b6', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119220', 5, '祥湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119220', 1, '2021-07-19 11:52:55', NULL, NULL), (20670, '', '塘垇村', '80ee7a5ecadb47bdbcdfdaa69d674cb9', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119222', 5, '塘垇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119222', 1, '2021-07-19 11:52:55', NULL, NULL), (20671, '', '仁心村', '62fc08fdbf414a779cb1d04ff5576d19', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119223', 5, '仁心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119223', 1, '2021-07-19 11:52:55', NULL, NULL), (20672, '', '胜利社区', '07bd05c838c741e8ab94e473c6ec44cb', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119224', 5, '胜利社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119224', 1, '2021-07-19 11:52:56', NULL, NULL), (20673, '', '岷江社区', '890891bbfeab4fa0974b6ca0dca5a079', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119225', 5, '岷江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119225', 1, '2021-07-19 11:52:56', NULL, NULL), (20674, '', '堰坝社区', 'e40be9f51fcf4c0db802fe74ce246001', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119226', 5, '堰坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119226', 1, '2021-07-19 11:52:56', NULL, NULL), (20675, '', '民治村', '46a99be0e130491295e3b669142b402b', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119227', 5, '民治村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119227', 1, '2021-07-19 11:52:56', NULL, NULL), (20676, '', '凉水村', 'de13658843434c67b957d595f693bdb7', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119229', 5, '凉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119229', 1, '2021-07-19 11:52:56', NULL, NULL), (20677, '', '丰富村', 'c6a577e8674d41c3a13900494a522d6d', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119231', 5, '丰富村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119231', 1, '2021-07-19 11:52:56', NULL, NULL), (20678, '', '越江村', 'fccf2b8c1fd140b3a557dbe2a5c2dd3e', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119232', 5, '越江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119232', 1, '2021-07-19 11:52:56', NULL, NULL), (20679, '', '古柏村', 'd2a9eff82bc84fc0829280d33cf79b30', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119233', 5, '古柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119233', 1, '2021-07-19 11:52:56', NULL, NULL), (20680, '', '金坪村', 'd67f20184d284eefb4a5e067961b869f', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119234', 5, '金坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119234', 1, '2021-07-19 11:52:56', NULL, NULL), (20681, '', '永乐社区', 'faa03f30fd0f4d0a921eed2c73cebc5c', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119236', 5, '永乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119236', 1, '2021-07-19 11:52:56', NULL, NULL), (20682, '', '双石村', '312c5e8d22fe40cea817d39d80cfcc5e', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119237', 5, '双石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119237', 1, '2021-07-19 11:52:56', NULL, NULL), (20683, '', '坪上村', '3689f94879ed41ea99b3a7408506b212', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119239', 5, '坪上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119239', 1, '2021-07-19 11:52:56', NULL, NULL), (20684, '', '大龙社区', '9cebaec69f63493cab61f29889dd29cd', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119241', 5, '大龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119241', 1, '2021-07-19 11:52:57', NULL, NULL), (20685, '', '合理社区', '1096a4df98144981b73e5792caf3a590', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119244', 5, '合理社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119244', 1, '2021-07-19 11:52:57', NULL, NULL), (20686, '', '九丰社区', '5c92d1770bf3408aa5e56fb153bc6cb7', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119245', 5, '九丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119245', 1, '2021-07-19 11:52:57', NULL, NULL), (20687, '', '仙马村', '2ddd6b2cd7db48759eeb0367a306aa09', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119249', 5, '仙马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119249', 1, '2021-07-19 11:52:57', NULL, NULL), (20688, '', '长宁村', 'f70c29efa4994efd930f4dbf1d519533', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119251', 5, '长宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119251', 1, '2021-07-19 11:52:57', NULL, NULL), (20689, '', '高峰村', '31dd281125b8417588ac06f939936e0c', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119253', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119253', 1, '2021-07-19 11:52:57', NULL, NULL), (20690, '', '安靖村', 'a4e46258bf5a49ebadab112f88783701', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119254', 5, '安靖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119254', 1, '2021-07-19 11:52:57', NULL, NULL), (20691, '', '和丰社区', '4d31940eadef41d59f5dc13e31e3a05b', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119255', 5, '和丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119255', 1, '2021-07-19 11:52:57', NULL, NULL), (20692, '', '新坝村', '311492e78a024670be34cb64edf295ff', '8f2f9481620c4fad85f70bd930505239', 'False', 'False', 'false', 'false', '511504119256', 5, '新坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504119256', 1, '2021-07-19 11:52:57', NULL, NULL), (20693, '', '龙池乡', 'fbac1dc04270424db3e3bff66132cf89', 'a7bdba9d66fe4653aad3d2a436ef55ad', 'True', 'True', 'false', 'false', '511521202000', 4, '龙池乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511521202000', 1, '2021-07-19 11:52:57', NULL, NULL), (20694, '', '龙池社区', '9e82503a6bad417395f8038810dd73dc', 'fbac1dc04270424db3e3bff66132cf89', 'False', 'False', 'false', 'false', '511504202001', 5, '龙池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504202001', 1, '2021-07-19 11:52:57', NULL, NULL), (20695, '', '光龙村', 'f243d79242b14e459000bc4741cd5326', 'fbac1dc04270424db3e3bff66132cf89', 'False', 'False', 'false', 'false', '511504202201', 5, '光龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504202201', 1, '2021-07-19 11:52:57', NULL, NULL), (20696, '', '石龙村', '4f5cb0dea24649ef951d969095679b57', 'fbac1dc04270424db3e3bff66132cf89', 'False', 'False', 'false', 'false', '511504202202', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504202202', 1, '2021-07-19 11:52:58', NULL, NULL), (20697, '', '双柏村', 'f40481a021ff45219e0228d5fe52c31d', 'fbac1dc04270424db3e3bff66132cf89', 'False', 'False', 'false', 'false', '511504202203', 5, '双柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504202203', 1, '2021-07-19 11:52:58', NULL, NULL), (20698, '', '白家湾村', 'd2d58562d0874b299e1bfc3245aa51b4', 'fbac1dc04270424db3e3bff66132cf89', 'False', 'False', 'false', 'false', '511504202204', 5, '白家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504202204', 1, '2021-07-19 11:52:58', NULL, NULL), (20699, '', '杨荷村', 'f5d847cf82f944fa83bca942c535df09', 'fbac1dc04270424db3e3bff66132cf89', 'False', 'False', 'false', 'false', '511504202205', 5, '杨荷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504202205', 1, '2021-07-19 11:52:58', NULL, NULL), (20700, '', '龙井村', 'db3bc75dfcf9498085019c9215e9dee3', 'fbac1dc04270424db3e3bff66132cf89', 'False', 'False', 'false', 'false', '511504202206', 5, '龙井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504202206', 1, '2021-07-19 11:52:58', NULL, NULL), (20701, '', '溪鸣村', '172d54f7ee4d446f8eefb061a41aa82e', 'fbac1dc04270424db3e3bff66132cf89', 'False', 'False', 'false', 'false', '511504202207', 5, '溪鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504202207', 1, '2021-07-19 11:52:58', NULL, NULL), (20702, '', '凤仪乡', '8bc940d42cf744b58b73af8c36887c1b', 'a7bdba9d66fe4653aad3d2a436ef55ad', 'True', 'True', 'false', 'false', '511521203000', 4, '凤仪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511521203000', 1, '2021-07-19 11:52:58', NULL, NULL), (20703, '', '许焰社区', 'b8917dad3048425b81d9767ede6791e9', '8bc940d42cf744b58b73af8c36887c1b', 'False', 'False', 'false', 'false', '511504203001', 5, '许焰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504203001', 1, '2021-07-19 11:52:58', NULL, NULL), (20704, '', '五凤社区', 'f5ca04aefca4436fab5cb69a504b7b60', '8bc940d42cf744b58b73af8c36887c1b', 'False', 'False', 'false', 'false', '511504203201', 5, '五凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504203201', 1, '2021-07-19 11:52:58', NULL, NULL), (20705, '', '凤仪社区', '789963ba1455428493b8defed6c22e89', '8bc940d42cf744b58b73af8c36887c1b', 'False', 'False', 'false', 'false', '511504203203', 5, '凤仪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504203203', 1, '2021-07-19 11:52:58', NULL, NULL), (20706, '', '凤滩村', '8eb6d8c755ed46279833ca8ecbdfe41d', '8bc940d42cf744b58b73af8c36887c1b', 'False', 'False', 'false', 'false', '511504203204', 5, '凤滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504203204', 1, '2021-07-19 11:52:58', NULL, NULL), (20707, '', '民族村', '86df61c6ec3744cbaf8cc257a844e6d3', '8bc940d42cf744b58b73af8c36887c1b', 'False', 'False', 'false', 'false', '511504203205', 5, '民族村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504203205', 1, '2021-07-19 11:52:58', NULL, NULL), (20708, '', '莲花社区', '55a70288485b4043acb39c3c5f34107d', '8bc940d42cf744b58b73af8c36887c1b', 'False', 'False', 'false', 'false', '511504203206', 5, '莲花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504203206', 1, '2021-07-19 11:52:59', NULL, NULL), (20709, '', '龙塘村', '545f645ccb7a4497a39ea3573241770d', '8bc940d42cf744b58b73af8c36887c1b', 'False', 'False', 'false', 'false', '511504203207', 5, '龙塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504203207', 1, '2021-07-19 11:52:59', NULL, NULL), (20710, '', '悦来村', '490665f4c41b487aa6ed13605b48284c', '8bc940d42cf744b58b73af8c36887c1b', 'False', 'False', 'false', 'false', '511504203208', 5, '悦来村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504203208', 1, '2021-07-19 11:52:59', NULL, NULL), (20711, '', '燕子村', '6079fc0554ab41ecb56c7c562a2b5781', '8bc940d42cf744b58b73af8c36887c1b', 'False', 'False', 'false', 'false', '511504203209', 5, '燕子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504203209', 1, '2021-07-19 11:52:59', NULL, NULL), (20712, '', '新凤村', '41a0e948beb846ce9d163c569079f29b', '8bc940d42cf744b58b73af8c36887c1b', 'False', 'False', 'false', 'false', '511504203210', 5, '新凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511504203210', 1, '2021-07-19 11:52:59', NULL, NULL), (20713, '', '南溪区', '87509d3c2c37430e80f99e63a45059b5', '8fc9422b1bca40fa86f12b028b33e6cf', 'True', 'True', 'false', 'false', '511503000000', 3, '南溪区', 'ybsnxq.sczwfw.gov.cn', 1, '2021-07-19 11:52:59', NULL, NULL), (20714, '', '南溪街道', '8e5d815b98de46dd93ce01b1723dccc0', '87509d3c2c37430e80f99e63a45059b5', 'True', 'True', 'false', 'false', '511503001000', 4, '南溪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511503001000', 1, '2021-07-19 11:52:59', NULL, NULL), (20715, '', '凤翔社区', '45e9cf9edacd48248a501fa6e49d984e', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001003', 5, '凤翔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001003', 1, '2021-07-19 11:52:59', NULL, NULL), (20716, '', '南门社区', '7a14598797804b84bb95cf6ead74ab68', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001006', 5, '南门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001006', 1, '2021-07-19 11:52:59', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (20717, '', '广福社区', '73e9c59589394830bfaa72f35ef1d2b2', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001007', 5, '广福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001007', 1, '2021-07-19 11:52:59', NULL, NULL), (20718, '', '紫云社区', 'f5f2ad212fc64052bb7aee951edc1d18', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001008', 5, '紫云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001008', 1, '2021-07-19 11:52:59', NULL, NULL), (20719, '', '凤溪社区', '0dd746634ee74f789950f2322ef07741', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001009', 5, '凤溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001009', 1, '2021-07-19 11:52:59', NULL, NULL), (20720, '', '金鸿社区', '2f9387915f0742338f57f94e49bb7d3d', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001010', 5, '金鸿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001010', 1, '2021-07-19 11:53:00', NULL, NULL), (20721, '', '南山社区', '8d6b840446544a63915b6be3e01d4f69', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001011', 5, '南山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001011', 1, '2021-07-19 11:53:00', NULL, NULL), (20722, '', '青龙社区', '861e3a9fe7164cc9b8507d1fcea7d14d', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001014', 5, '青龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001014', 1, '2021-07-19 11:53:00', NULL, NULL), (20723, '', '复兴社区', '646f6f768e3c4e10a4a2060eed11070d', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001015', 5, '复兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001015', 1, '2021-07-19 11:53:00', NULL, NULL), (20724, '', '金星村', '73fc3d177060440fae3b1e8862fdfa9d', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001206', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001206', 1, '2021-07-19 11:53:00', NULL, NULL), (20725, '', '石坎村', 'ee646bfdbd1f4681a5fd9df9460d12fc', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001208', 5, '石坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001208', 1, '2021-07-19 11:53:00', NULL, NULL), (20726, '', '石鹅村', '443c5d6e932f412faf0de0a7da1bf976', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001209', 5, '石鹅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001209', 1, '2021-07-19 11:53:00', NULL, NULL), (20727, '', '古永村', '321a878bac034bfc9ce77c3888e349d9', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001210', 5, '古永村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001210', 1, '2021-07-19 11:53:00', NULL, NULL), (20728, '', '茶花村', '8fd75ded8c964563814457067cb3c20c', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001211', 5, '茶花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001211', 1, '2021-07-19 11:53:00', NULL, NULL), (20729, '', '莲花村', 'e79079b4882b446ba498cb24f070687a', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001212', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001212', 1, '2021-07-19 11:53:00', NULL, NULL), (20730, '', '白花村', 'c238e0f95c074c8abdd13c8f463b17d4', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001213', 5, '白花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001213', 1, '2021-07-19 11:53:00', NULL, NULL), (20731, '', '桂花村', '6070ac6b33514d78ac8109a8d1142661', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001214', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001214', 1, '2021-07-19 11:53:01', NULL, NULL), (20732, '', '白合村', '12185cfa856c47838448a819036f5b28', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001215', 5, '白合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001215', 1, '2021-07-19 11:53:01', NULL, NULL), (20733, '', '东堂村', 'e939e097f91946a6a778056f47e136da', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001217', 5, '东堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001217', 1, '2021-07-19 11:53:01', NULL, NULL), (20734, '', '中山村', '2d4810e4e1fb476e8c67922fbdd7ccc1', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001220', 5, '中山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001220', 1, '2021-07-19 11:53:01', NULL, NULL), (20735, '', '观斗村', '497f64ac7773474581ff470f69b9e214', '8e5d815b98de46dd93ce01b1723dccc0', 'False', 'True', 'false', 'false', '511503001221', 5, '观斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503001221', 1, '2021-07-19 11:53:01', NULL, NULL), (20736, '', '罗龙街道', 'df63c9ba5000451b9c4e55436f2f4159', '87509d3c2c37430e80f99e63a45059b5', 'True', 'True', 'false', 'false', '511503002000', 4, '罗龙街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511503002000', 1, '2021-07-19 11:53:01', NULL, NULL), (20737, '', '罗龙社区', '1c6298b7dab6443d8e5300616f82b16c', 'df63c9ba5000451b9c4e55436f2f4159', 'False', 'True', 'false', 'false', '511503002001', 5, '罗龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503002001', 1, '2021-07-19 11:53:01', NULL, NULL), (20738, '', '红光社区', '5e1dd3eab48f46718b5d2e7454857316', 'df63c9ba5000451b9c4e55436f2f4159', 'False', 'True', 'false', 'false', '511503002002', 5, '红光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503002002', 1, '2021-07-19 11:53:01', NULL, NULL), (20739, '', '中池村', '81d373cdad4f46098d196498ad6ef718', 'df63c9ba5000451b9c4e55436f2f4159', 'False', 'True', 'false', 'false', '511503002203', 5, '中池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503002203', 1, '2021-07-19 11:53:01', NULL, NULL), (20740, '', '杉木村', 'b2428539a03849ea951fd6563881a500', 'df63c9ba5000451b9c4e55436f2f4159', 'False', 'True', 'false', 'false', '511503002204', 5, '杉木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503002204', 1, '2021-07-19 11:53:01', NULL, NULL), (20741, '', '粮仓村', '8a3dcc93f3ad49d499bcc978c4801373', 'df63c9ba5000451b9c4e55436f2f4159', 'False', 'True', 'false', 'false', '511503002205', 5, '粮仓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503002205', 1, '2021-07-19 11:53:02', NULL, NULL), (20742, '', '羊耳村', 'c9c30ab5cd6d489f91483ba9d324b354', 'df63c9ba5000451b9c4e55436f2f4159', 'False', 'True', 'false', 'false', '511503002208', 5, '羊耳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503002208', 1, '2021-07-19 11:53:02', NULL, NULL), (20743, '', '柏木社区', '232f8045349e4049b3fec4de6ad86e29', 'df63c9ba5000451b9c4e55436f2f4159', 'False', 'True', 'false', 'false', '511503002219', 5, '柏木社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503002219', 1, '2021-07-19 11:53:02', NULL, NULL), (20744, '', '砚台村', '5cb24e3838974eecb301537a659d6632', 'df63c9ba5000451b9c4e55436f2f4159', 'False', 'True', 'false', 'false', '511503002221', 5, '砚台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503002221', 1, '2021-07-19 11:53:02', NULL, NULL), (20745, '', '建设村', 'c4fc9d0917c9448ca5dc1ea06dd693bf', 'df63c9ba5000451b9c4e55436f2f4159', 'False', 'True', 'false', 'false', '511503002222', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503002222', 1, '2021-07-19 11:53:02', NULL, NULL), (20746, '', '骑龙村', 'b3a5232ac4f140948ff6f7c16d8bce47', 'df63c9ba5000451b9c4e55436f2f4159', 'False', 'True', 'false', 'false', '511503002224', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503002224', 1, '2021-07-19 11:53:02', NULL, NULL), (20747, '', '牛角村', 'a5fabd96e690410ebf612adb7f9f98df', 'df63c9ba5000451b9c4e55436f2f4159', 'False', 'True', 'false', 'false', '511503002227', 5, '牛角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503002227', 1, '2021-07-19 11:53:02', NULL, NULL), (20748, '', '幸福村', 'f759380a1c5944d7a3e40097cd7eb1e6', 'df63c9ba5000451b9c4e55436f2f4159', 'False', 'False', 'false', 'false', '5115300284377407488', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5115300284377407488', 1, '2021-07-19 11:53:02', NULL, NULL), (20749, '', '仙源街道', 'de30630feaed4c15a239861321cb65b0', '87509d3c2c37430e80f99e63a45059b5', 'True', 'True', 'false', 'false', '511503003999', 4, '仙源街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511503003999', 1, '2021-07-19 11:53:02', NULL, NULL), (20750, '', '天泰社区', '8c2d38b0e8e44ca6a327eca8989a86c6', 'de30630feaed4c15a239861321cb65b0', 'False', 'False', 'false', 'false', '511503003002', 5, '天泰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503003002', 1, '2021-07-19 11:53:02', NULL, NULL), (20751, '', '川主社区', '239cb4ba99984605bc3376b43881ab43', 'de30630feaed4c15a239861321cb65b0', 'False', 'False', 'false', 'false', '511503003003', 5, '川主社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503003003', 1, '2021-07-19 11:53:02', NULL, NULL), (20752, '', '仙源社区', '355008ea69964b52a9039267d1fae1f7', 'de30630feaed4c15a239861321cb65b0', 'False', 'False', 'false', 'false', '511503003005', 5, '仙源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503003005', 1, '2021-07-19 11:53:02', NULL, NULL), (20753, '', '机耕村', 'b4cc722b00da4f4fb3d67d6b436420fc', 'de30630feaed4c15a239861321cb65b0', 'False', 'False', 'false', 'false', '511503003200', 5, '机耕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503003200', 1, '2021-07-19 11:53:02', NULL, NULL), (20754, '', '金鸡社区', '6c6acc79e83749aeba955a901ac15880', 'de30630feaed4c15a239861321cb65b0', 'False', 'False', 'false', 'false', '511503003201', 5, '金鸡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503003201', 1, '2021-07-19 11:53:02', NULL, NULL), (20755, '', '滨江社区', 'ec1d57cf67974aad9daec932758a3998', 'de30630feaed4c15a239861321cb65b0', 'False', 'False', 'false', 'false', '511503003202', 5, '滨江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503003202', 1, '2021-07-19 11:53:03', NULL, NULL), (20756, '', '凤凰社区', '6923c396a4274e038f845f2fd449bef5', 'de30630feaed4c15a239861321cb65b0', 'False', 'False', 'false', 'false', '511503003203', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503003203', 1, '2021-07-19 11:53:03', NULL, NULL), (20757, '', '洪桥社区', '39ffb29436c645938b26d5c516316cbd', 'de30630feaed4c15a239861321cb65b0', 'False', 'False', 'false', 'false', '511503003204', 5, '洪桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503003204', 1, '2021-07-19 11:53:03', NULL, NULL), (20758, '', '平安村', 'e1332a02c74e4a339542a2edadde0fb9', 'de30630feaed4c15a239861321cb65b0', 'False', 'False', 'false', 'false', '511503003205', 5, '平安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503003205', 1, '2021-07-19 11:53:03', NULL, NULL), (20759, '', '石岭村', 'afbf875f524f441ba907637e224d9f27', 'de30630feaed4c15a239861321cb65b0', 'False', 'False', 'false', 'false', '511503003206', 5, '石岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503003206', 1, '2021-07-19 11:53:03', NULL, NULL), (20760, '', '石马社区', '9f02faa7af4142bdb69ccd98d54ed3a6', 'de30630feaed4c15a239861321cb65b0', 'False', 'False', 'false', 'false', '511503003207', 5, '石马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503003207', 1, '2021-07-19 11:53:03', NULL, NULL), (20761, '', '添丘村', 'c985ef7a10384d54a89dbc002f232df7', 'de30630feaed4c15a239861321cb65b0', 'False', 'False', 'false', 'false', '511503003208', 5, '添丘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503003208', 1, '2021-07-19 11:53:03', NULL, NULL), (20762, '', '长江社区', '98ffa79125994f258a4c5ded827b9864', 'de30630feaed4c15a239861321cb65b0', 'False', 'False', 'false', 'false', '511503003210', 5, '长江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503003210', 1, '2021-07-19 11:53:03', NULL, NULL), (20763, '', '学府社区', '749bbaed7a784b2bbde5c06f0c778b43', 'de30630feaed4c15a239861321cb65b0', 'False', 'False', 'false', 'false', '511503003001', 5, '学府社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503003001', 1, '2021-07-19 11:53:03', NULL, NULL), (20764, '', '刘家镇', '2cb90912760b4e8b9a1036e79f0106b6', '87509d3c2c37430e80f99e63a45059b5', 'True', 'True', 'false', 'false', '511503102000', 4, '刘家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511503102000', 1, '2021-07-19 11:53:03', NULL, NULL), (20765, '', '刘家社区', '66850ef6d4484f339ad7bcb3db94608d', '2cb90912760b4e8b9a1036e79f0106b6', 'False', 'True', 'false', 'false', '511503102001', 5, '刘家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503102001', 1, '2021-07-19 11:53:03', NULL, NULL), (20766, '', '石塔村', 'ec3805a116fd416b8de5cdb8d22c3dce', '2cb90912760b4e8b9a1036e79f0106b6', 'False', 'True', 'false', 'false', '511503102157', 5, '石塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503102157', 1, '2021-07-19 11:53:03', NULL, NULL), (20767, '', '龙滩村', '3b39b4dcf0ef4173911602e47eb67a29', '2cb90912760b4e8b9a1036e79f0106b6', 'False', 'False', 'false', 'false', '511503102178', 5, '龙滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503102178', 1, '2021-07-19 11:53:03', NULL, NULL), (20768, '', '大池村', '44366a26e88a47f8aa4a77fdfc3eb3d9', '2cb90912760b4e8b9a1036e79f0106b6', 'False', 'True', 'false', 'false', '511503102180', 5, '大池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503102180', 1, '2021-07-19 11:53:03', NULL, NULL), (20769, '', '合宜村', 'ae642224132e4019ae559724ae1ec3ae', '2cb90912760b4e8b9a1036e79f0106b6', 'False', 'True', 'false', 'false', '511503102201', 5, '合宜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503102201', 1, '2021-07-19 11:53:04', NULL, NULL), (20770, '', '青平村', '33bb62946ef9479abf90cace626b1475', '2cb90912760b4e8b9a1036e79f0106b6', 'False', 'True', 'false', 'false', '511503102202', 5, '青平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503102202', 1, '2021-07-19 11:53:04', NULL, NULL), (20771, '', '大同村', 'c9b3eab676b24183b19dfc21d858eb6e', '2cb90912760b4e8b9a1036e79f0106b6', 'False', 'True', 'false', 'false', '511503102203', 5, '大同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503102203', 1, '2021-07-19 11:53:04', NULL, NULL), (20772, '', '大庙村', '17bfe207bba645499116e6eb7ebea18e', '2cb90912760b4e8b9a1036e79f0106b6', 'False', 'True', 'false', 'false', '511503102344', 5, '大庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503102344', 1, '2021-07-19 11:53:04', NULL, NULL), (20773, '', '开元村', 'f1272dd3d86a483abe0e45744b5b880c', '2cb90912760b4e8b9a1036e79f0106b6', 'False', 'True', 'false', 'false', '511503102345', 5, '开元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503102345', 1, '2021-07-19 11:53:04', NULL, NULL), (20774, '', '太平村', 'dd5c03237d1a4aa099f17d3a0b8d0ebf', '2cb90912760b4e8b9a1036e79f0106b6', 'False', 'True', 'false', 'false', '511503102543', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503102543', 1, '2021-07-19 11:53:04', NULL, NULL), (20775, '', '中心村', '54c9ba2e2e334287a885d24c79d56a95', '2cb90912760b4e8b9a1036e79f0106b6', 'False', 'True', 'false', 'false', '511503102783', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503102783', 1, '2021-07-19 11:53:04', NULL, NULL), (20776, '', '松林村', 'c1c4d8ec31954299bab9963895fb8b6c', '2cb90912760b4e8b9a1036e79f0106b6', 'False', 'True', 'false', 'false', '511503102961', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503102961', 1, '2021-07-19 11:53:04', NULL, NULL), (20777, '', '江南镇', 'ae65ad6f89864a9d99d2fc4582b827ce', '87509d3c2c37430e80f99e63a45059b5', 'True', 'True', 'false', 'false', '511503103000', 4, '江南镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511503103000', 1, '2021-07-19 11:53:04', NULL, NULL), (20778, '', '红伟村', 'be596798514b412ba97695194136316b', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103204', 5, '红伟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103204', 1, '2021-07-19 11:53:04', NULL, NULL), (20779, '', '江南社区', '0bc3eebe0e434fab99308d7d37fc72a9', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103001', 5, '江南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103001', 1, '2021-07-19 11:53:04', NULL, NULL), (20780, '', '马家社区', '2c1e56a66624404c9e108e2ee66ff65a', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103002', 5, '马家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103002', 1, '2021-07-19 11:53:04', NULL, NULL), (20781, '', '红星村', '66ffbbcbe7c846c1a176cf4877a4afb4', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103201', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103201', 1, '2021-07-19 11:53:04', NULL, NULL), (20782, '', '红岭村', '58345466a0cc43e2ac59e4758fb8f8d9', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103207', 5, '红岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103207', 1, '2021-07-19 11:53:04', NULL, NULL), (20783, '', '登高村', '825e051dfc9b4862b66b7a38140513f7', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103208', 5, '登高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103208', 1, '2021-07-19 11:53:05', NULL, NULL), (20784, '', '石牛村', 'cd93078b088d49a5bed566e30dc72f4f', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103212', 5, '石牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103212', 1, '2021-07-19 11:53:05', NULL, NULL), (20785, '', '大堰村', 'a2be6e01a9bc44708e38af23c8fb129b', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103213', 5, '大堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103213', 1, '2021-07-19 11:53:05', NULL, NULL), (20786, '', '二郎村', 'a6e6fb48bdf640d59f11c400fa566c0f', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103214', 5, '二郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103214', 1, '2021-07-19 11:53:05', NULL, NULL), (20787, '', '新塔村', '68761328eb37452d84f6a1b8674397b5', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103215', 5, '新塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103215', 1, '2021-07-19 11:53:05', NULL, NULL), (20788, '', '楠木村', 'd26536e9ddda4ea694fda45af982c5f9', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103217', 5, '楠木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103217', 1, '2021-07-19 11:53:05', NULL, NULL), (20789, '', '大阳村', '7410c23c32b3466ca264c66bded64281', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103218', 5, '大阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103218', 1, '2021-07-19 11:53:05', NULL, NULL), (20790, '', '济民村', '348adb0cf07a4a70bef3bfec68ed97a7', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103220', 5, '济民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103220', 1, '2021-07-19 11:53:05', NULL, NULL), (20791, '', '大明村', 'b160e4de86dd4131a9fe2ab26571b409', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103222', 5, '大明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103222', 1, '2021-07-19 11:53:05', NULL, NULL), (20792, '', '和平村', '43c91f55a97b486681a8e0f002a154b1', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103225', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103225', 1, '2021-07-19 11:53:05', NULL, NULL), (20793, '', '白塔村', '376270be6d9b4e21911f262f7c55bdb2', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103226', 5, '白塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103226', 1, '2021-07-19 11:53:05', NULL, NULL), (20794, '', '琴山村', '015b4cb3e5e64388a1ffd51314b076fa', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103228', 5, '琴山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103228', 1, '2021-07-19 11:53:05', NULL, NULL), (20795, '', '大湾村', 'ee48e39c2edf400cb348581a1b18dc30', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103229', 5, '大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103229', 1, '2021-07-19 11:53:05', NULL, NULL), (20796, '', '新明村', 'b9a718676b9e4f13a630ac2319952c5a', 'ae65ad6f89864a9d99d2fc4582b827ce', 'False', 'False', 'false', 'false', '511503103230', 5, '新明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503103230', 1, '2021-07-19 11:53:05', NULL, NULL), (20797, '', '大观镇', '0d83eef0617d49aebdccd1aeb2bb0309', '87509d3c2c37430e80f99e63a45059b5', 'True', 'True', 'false', 'false', '511503104000', 4, '大观镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511503104000', 1, '2021-07-19 11:53:06', NULL, NULL), (20798, '', '大观社区', 'd6a1c76840564baa99b4aa36c3b5a66d', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'True', 'false', 'false', '511503104001', 5, '大观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104001', 1, '2021-07-19 11:53:06', NULL, NULL), (20799, '', '新添社区', 'a19053ccfa954044a8b6df6a2ea55f00', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'True', 'false', 'false', '511503104003', 5, '新添社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104003', 1, '2021-07-19 11:53:06', NULL, NULL), (20800, '', '大坪社区', 'dad23cf056054df89a40474d0d8a8f7f', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'False', 'false', 'false', '511503104006', 5, '大坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104006', 1, '2021-07-19 11:53:06', NULL, NULL), (20801, '', '八角村', '128de9650dd64d0b91505dd5df09e0dc', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'True', 'false', 'false', '511503104201', 5, '八角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104201', 1, '2021-07-19 11:53:06', NULL, NULL), (20802, '', '牟家村', '2a0ab355752e40fa96922c05ea6f1708', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'True', 'false', 'false', '511503104203', 5, '牟家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104203', 1, '2021-07-19 11:53:06', NULL, NULL), (20803, '', '立仑村', 'ae2615bfd9f148139ccf7cefa6a8fa2a', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'True', 'false', 'false', '511503104204', 5, '立仑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104204', 1, '2021-07-19 11:53:06', NULL, NULL), (20804, '', '菜花村', '62e8f17bca634ea8b69ffe62e5469ce5', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'False', 'false', 'false', '511503104205', 5, '菜花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104205', 1, '2021-07-19 11:53:06', NULL, NULL), (20805, '', '胜家村', 'ec773a333d5649b89ab1aa25daf76839', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'True', 'false', 'false', '511503104207', 5, '胜家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104207', 1, '2021-07-19 11:53:06', NULL, NULL), (20806, '', '田坝村', '3f9649da3bb94578a5247d4b9e5eaa18', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'True', 'false', 'false', '511503104209', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104209', 1, '2021-07-19 11:53:06', NULL, NULL), (20807, '', '全福村', '2b2a8739155c470882081dbcc254af10', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'True', 'false', 'false', '511503104211', 5, '全福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104211', 1, '2021-07-19 11:53:06', NULL, NULL), (20808, '', '牟亭社区', '9daf74b313124bcfbc17c3790d50aae7', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'True', 'false', 'false', '511503104213', 5, '牟亭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104213', 1, '2021-07-19 11:53:06', NULL, NULL), (20809, '', '新俊村', 'c96beae7f99d4c4090273445f45f2fd9', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'True', 'false', 'false', '511503104214', 5, '新俊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104214', 1, '2021-07-19 11:53:07', NULL, NULL), (20810, '', '民强村', '0b81a4088d30404ca352446f5f93d681', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'True', 'false', 'false', '511503104216', 5, '民强村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104216', 1, '2021-07-19 11:53:07', NULL, NULL), (20811, '', '飞马村', '7444e88d0057434f8fedbfddced6386d', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'True', 'false', 'false', '511503104218', 5, '飞马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104218', 1, '2021-07-19 11:53:07', NULL, NULL), (20812, '', '新华村', '3f35c77de0814d6ea6352fcfb993b0cc', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'True', 'false', 'false', '511503104219', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104219', 1, '2021-07-19 11:53:07', NULL, NULL), (20813, '', '兴旺村', '74ded5bdb86f453f88d7a8887d819914', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'True', 'false', 'false', '511503104220', 5, '兴旺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104220', 1, '2021-07-19 11:53:07', NULL, NULL), (20814, '', '锦绣村', 'd65f58dc19814f938e6f42e8d159c6fd', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'False', 'false', 'false', '511503104229', 5, '锦绣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104229', 1, '2021-07-19 11:53:07', NULL, NULL), (20815, '', '石松村', '6d9e1b1b0dc14cf4863c962063979149', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'False', 'false', 'false', '511503104230', 5, '石松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104230', 1, '2021-07-19 11:53:07', NULL, NULL), (20816, '', '民主村', 'b8792d9e4d7948af9ecd0d2bc7bd7fe6', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'False', 'false', 'false', '511503104231', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104231', 1, '2021-07-19 11:53:07', NULL, NULL), (20817, '', '龙山村', '6fedf28481d146788a0c6bd0c377f290', '0d83eef0617d49aebdccd1aeb2bb0309', 'False', 'False', 'false', 'false', '511503104232', 5, '龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503104232', 1, '2021-07-19 11:53:07', NULL, NULL), (20818, '', '黄沙镇', 'daab94dc8d8045479bf64b1eadf53afb', '87509d3c2c37430e80f99e63a45059b5', 'True', 'True', 'false', 'false', '511503106000', 4, '黄沙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511503106000', 1, '2021-07-19 11:53:07', NULL, NULL), (20819, '', '黄沙社区', 'a818d8ee5d0f4a4e86fff3aa782b6355', 'daab94dc8d8045479bf64b1eadf53afb', 'False', 'True', 'false', 'false', '511503106001', 5, '黄沙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503106001', 1, '2021-07-19 11:53:07', NULL, NULL), (20820, '', '双燕村', 'ef64f2e2651e4b618a582a3263cf491f', 'daab94dc8d8045479bf64b1eadf53afb', 'False', 'True', 'false', 'false', '511503106202', 5, '双燕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503106202', 1, '2021-07-19 11:53:07', NULL, NULL), (20821, '', '三台村', '7930b6c04fdb400dad08fb71345a15be', 'daab94dc8d8045479bf64b1eadf53afb', 'False', 'True', 'false', 'false', '511503106204', 5, '三台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503106204', 1, '2021-07-19 11:53:07', NULL, NULL), (20822, '', '清水村', 'acf0f4da9da645d7afbe5655f610949a', 'daab94dc8d8045479bf64b1eadf53afb', 'False', 'True', 'false', 'false', '511503106206', 5, '清水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503106206', 1, '2021-07-19 11:53:08', NULL, NULL), (20823, '', '田兴村', '653deae7bdc94902b3b82e8df347932c', 'daab94dc8d8045479bf64b1eadf53afb', 'False', 'True', 'false', 'false', '511503106207', 5, '田兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503106207', 1, '2021-07-19 11:53:08', NULL, NULL), (20824, '', '龙口村', '1d3fd3ab7a92413f80e0eb1f33d6d934', 'daab94dc8d8045479bf64b1eadf53afb', 'False', 'True', 'false', 'false', '511503106208', 5, '龙口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503106208', 1, '2021-07-19 11:53:08', NULL, NULL), (20825, '', '方山村', 'ea99e1a4046f458e8ec17cc873f95388', 'daab94dc8d8045479bf64b1eadf53afb', 'False', 'True', 'false', 'false', '511503106209', 5, '方山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503106209', 1, '2021-07-19 11:53:08', NULL, NULL), (20826, '', '仙临镇', '2fe55ab01fd1432c80b38d75b3958806', '87509d3c2c37430e80f99e63a45059b5', 'True', 'True', 'false', 'false', '511503107000', 4, '仙临镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511503107000', 1, '2021-07-19 11:53:08', NULL, NULL), (20827, '', '仙临社区', '0ba07002011440848a1e7455a18b4533', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'True', 'false', 'false', '511503107001', 5, '仙临社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107001', 1, '2021-07-19 11:53:08', NULL, NULL), (20828, '', '光明村', 'f783ba82ec9a4af99efd405a32fba7b7', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'True', 'false', 'false', '511503107201', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107201', 1, '2021-07-19 11:53:08', NULL, NULL), (20829, '', '涌泉村', '11fae991b0e1404a929f5c7e2796b83b', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'False', 'false', 'false', '511503107202', 5, '涌泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107202', 1, '2021-07-19 11:53:08', NULL, NULL), (20830, '', '联盟村', '144e650ca14b4bbe92ea3ec0a79916c8', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'True', 'false', 'false', '511503107203', 5, '联盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107203', 1, '2021-07-19 11:53:08', NULL, NULL), (20831, '', '光芒村', '2a82d0604e77463d82aa51e266212d47', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'False', 'false', 'false', '511503107204', 5, '光芒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107204', 1, '2021-07-19 11:53:08', NULL, NULL), (20832, '', '金鱼村', '61150113799446fd9e7bb30003372041', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'True', 'false', 'false', '511503107205', 5, '金鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107205', 1, '2021-07-19 11:53:09', NULL, NULL), (20833, '', '大龙村', '4323898085bf46bd961581fd663262c1', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'False', 'false', 'false', '511503107206', 5, '大龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107206', 1, '2021-07-19 11:53:09', NULL, NULL), (20834, '', '红坡村', '33185d158f7f4f50ba3fecd6696f1484', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'False', 'false', 'false', '511503107207', 5, '红坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107207', 1, '2021-07-19 11:53:09', NULL, NULL), (20835, '', '利群村', '9e40d7ec3a884bef94922e411b5d2b15', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'False', 'false', 'false', '511503107208', 5, '利群村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107208', 1, '2021-07-19 11:53:09', NULL, NULL), (20836, '', '一元村', '06e10a019c3144da8cc96fd9360c4c53', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'False', 'false', 'false', '511503107209', 5, '一元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107209', 1, '2021-07-19 11:53:09', NULL, NULL), (20837, '', '同兴村', '4a6fcdf794cc428992b42cbfda517724', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'True', 'false', 'false', '511503107210', 5, '同兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107210', 1, '2021-07-19 11:53:09', NULL, NULL), (20838, '', '两木村', '750d55756034454e86a64d49c250b195', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'True', 'false', 'false', '511503107211', 5, '两木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107211', 1, '2021-07-19 11:53:09', NULL, NULL), (20839, '', '白云村', '7b90fe86470a45f98ceac3135d1b1e85', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'False', 'false', 'false', '511503107212', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107212', 1, '2021-07-19 11:53:09', NULL, NULL), (20840, '', '光华村', 'f6d7cfed84f34a9c90cc4e87bb39aa58', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'True', 'false', 'false', '511503107213', 5, '光华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107213', 1, '2021-07-19 11:53:09', NULL, NULL), (20841, '', '光荣村', '112db06147964b6bad7fe0d8ad93f12e', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'False', 'false', 'false', '511503107214', 5, '光荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107214', 1, '2021-07-19 11:53:10', NULL, NULL), (20842, '', '永丰村', '58208e7fc5994c9fa9adab19c39597fc', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'False', 'false', 'false', '511503107215', 5, '永丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107215', 1, '2021-07-19 11:53:10', NULL, NULL), (20843, '', '龙川村', 'f76e76f25ea64a42a0cf24cff73de116', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'True', 'false', 'false', '511503107216', 5, '龙川村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107216', 1, '2021-07-19 11:53:10', NULL, NULL), (20844, '', '五星村', 'c3abebff566845ebba787469db635612', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'True', 'false', 'false', '511503107217', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107217', 1, '2021-07-19 11:53:10', NULL, NULL), (20845, '', '分水村', 'b1536ee65c694882aaee5d1e113f2f6d', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'False', 'false', 'false', '511503107218', 5, '分水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107218', 1, '2021-07-19 11:53:10', NULL, NULL), (20846, '', '石公村', '29103580f2ca48a2bfa743195a8c19e3', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'True', 'false', 'false', '511503107219', 5, '石公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107219', 1, '2021-07-19 11:53:10', NULL, NULL), (20847, '', '合众村', 'a9f63c738c3f46798bc61bf301b42d85', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'True', 'false', 'false', '511503107220', 5, '合众村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107220', 1, '2021-07-19 11:53:10', NULL, NULL), (20848, '', '杨柳村', '4ca038a113c14a54846fca4baea3a617', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'False', 'false', 'false', '511503107221', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107221', 1, '2021-07-19 11:53:10', NULL, NULL), (20849, '', '三新村', '38274a0140dd41179f7135450238aa5f', '2fe55ab01fd1432c80b38d75b3958806', 'False', 'False', 'false', 'false', '511503107222', 5, '三新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503107222', 1, '2021-07-19 11:53:10', NULL, NULL), (20850, '', '长兴镇', 'e9c1a6e9f70347e68ef29eac7803e909', '87509d3c2c37430e80f99e63a45059b5', 'True', 'True', 'false', 'false', '511503108000', 4, '长兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511503108000', 1, '2021-07-19 11:53:10', NULL, NULL), (20851, '', '长兴社区', 'a8fcca176f4b463b9da8fd0b5e4b658e', 'e9c1a6e9f70347e68ef29eac7803e909', 'False', 'True', 'false', 'false', '511503108001', 5, '长兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503108001', 1, '2021-07-19 11:53:10', NULL, NULL), (20852, '', '先锋村', 'd82dc120548a476a8d106d3a07d7a78e', 'e9c1a6e9f70347e68ef29eac7803e909', 'False', 'True', 'false', 'false', '511503108201', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503108201', 1, '2021-07-19 11:53:10', NULL, NULL), (20853, '', '东升村', '604d57582ea242dc9a5238df72e9e3b8', 'e9c1a6e9f70347e68ef29eac7803e909', 'False', 'True', 'false', 'false', '511503108202', 5, '东升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503108202', 1, '2021-07-19 11:53:11', NULL, NULL), (20854, '', '新民村', 'd2fa5e87f6954dfca26fde4b1c2e14fe', 'e9c1a6e9f70347e68ef29eac7803e909', 'False', 'True', 'false', 'false', '511503108203', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503108203', 1, '2021-07-19 11:53:11', NULL, NULL), (20855, '', '尖山村', 'e1db43b1829445a0bb568e4034b3ecd6', 'e9c1a6e9f70347e68ef29eac7803e909', 'False', 'True', 'false', 'false', '511503108204', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503108204', 1, '2021-07-19 11:53:11', NULL, NULL), (20856, '', '东岩村', '0c4cb2cecf5a4f9388c72c7ceeaa382a', 'e9c1a6e9f70347e68ef29eac7803e909', 'False', 'True', 'false', 'false', '511503108205', 5, '东岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503108205', 1, '2021-07-19 11:53:11', NULL, NULL), (20857, '', '水口村', 'c7264052e7984a90bc34f11d53407cfb', 'e9c1a6e9f70347e68ef29eac7803e909', 'False', 'True', 'false', 'false', '511503108206', 5, '水口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503108206', 1, '2021-07-19 11:53:11', NULL, NULL), (20858, '', '天台村', 'bac4d5feee58490fa81b464b51affe97', 'e9c1a6e9f70347e68ef29eac7803e909', 'False', 'True', 'false', 'false', '511503108207', 5, '天台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503108207', 1, '2021-07-19 11:53:11', NULL, NULL), (20859, '', '红德村', '2925ef4ff9e64704b4ef31e6704ca10d', 'e9c1a6e9f70347e68ef29eac7803e909', 'False', 'True', 'false', 'false', '511503108208', 5, '红德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503108208', 1, '2021-07-19 11:53:11', NULL, NULL), (20860, '', '新生村', '4e8b8911175b41bda1700b4c5e70a164', 'e9c1a6e9f70347e68ef29eac7803e909', 'False', 'True', 'false', 'false', '511503108209', 5, '新生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503108209', 1, '2021-07-19 11:53:11', NULL, NULL), (20861, '', '庆林村', '5c130a70e2614e78997e97e80efe1f75', 'e9c1a6e9f70347e68ef29eac7803e909', 'False', 'True', 'false', 'false', '511503108210', 5, '庆林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503108210', 1, '2021-07-19 11:53:11', NULL, NULL), (20862, '', '岫云村', '7fc6107337fa4d328bcd4f88c7d3f672', 'e9c1a6e9f70347e68ef29eac7803e909', 'False', 'True', 'false', 'false', '511503108211', 5, '岫云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503108211', 1, '2021-07-19 11:53:11', NULL, NULL), (20863, '', '新庙村', '63e2ee5e9b594c1f8ceee9f04ae3c8fa', 'e9c1a6e9f70347e68ef29eac7803e909', 'False', 'True', 'false', 'false', '511503108212', 5, '新庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503108212', 1, '2021-07-19 11:53:11', NULL, NULL), (20864, '', '长春村', 'd220942d46fc4595b892af118bfde5bf', 'e9c1a6e9f70347e68ef29eac7803e909', 'False', 'True', 'false', 'false', '511503108213', 5, '长春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503108213', 1, '2021-07-19 11:53:11', NULL, NULL), (20865, '', '裴石镇', '3fb285342d744e44a5e0dd764a7384a8', '87509d3c2c37430e80f99e63a45059b5', 'True', 'True', 'false', 'false', '511503109000', 4, '裴石镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511503109000', 1, '2021-07-19 11:53:12', NULL, NULL), (20866, '', '裴石社区', 'faa04a46f9f846d9b06f772bf6ec49f7', '3fb285342d744e44a5e0dd764a7384a8', 'False', 'True', 'false', 'false', '511503109002', 5, '裴石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503109002', 1, '2021-07-19 11:53:12', NULL, NULL), (20867, '', '留宾社区', 'e7766110a01c4c2291d8c2fd9d2bdbda', '3fb285342d744e44a5e0dd764a7384a8', 'False', 'False', 'false', 'false', '511503109003', 5, '留宾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503109003', 1, '2021-07-19 11:53:12', NULL, NULL), (20868, '', '裴丰村', '8686007dff5f414c876a388eb3fe3c31', '3fb285342d744e44a5e0dd764a7384a8', 'False', 'True', 'false', 'false', '511503109201', 5, '裴丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503109201', 1, '2021-07-19 11:53:12', NULL, NULL), (20869, '', '前进村', 'f85b7cae61784c77a60f033b099cfd6f', '3fb285342d744e44a5e0dd764a7384a8', 'False', 'True', 'false', 'false', '511503109202', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503109202', 1, '2021-07-19 11:53:12', NULL, NULL), (20870, '', '油房村', '44cd0d7a301e43e59577dcca47456417', '3fb285342d744e44a5e0dd764a7384a8', 'False', 'True', 'false', 'false', '511503109203', 5, '油房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503109203', 1, '2021-07-19 11:53:12', NULL, NULL), (20871, '', '中坝村', '6388d2d989e440cb9d5ab1891bc0ee26', '3fb285342d744e44a5e0dd764a7384a8', 'False', 'True', 'false', 'false', '511503109205', 5, '中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503109205', 1, '2021-07-19 11:53:12', NULL, NULL), (20872, '', '临江村', '2ff0ee27ac584424a2e78a41726da7d9', '3fb285342d744e44a5e0dd764a7384a8', 'False', 'True', 'false', 'false', '511503109206', 5, '临江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503109206', 1, '2021-07-19 11:53:12', NULL, NULL), (20873, '', '石林村', 'db29ef4b97cd4896916d53c0ea9b90cd', '3fb285342d744e44a5e0dd764a7384a8', 'False', 'True', 'false', 'false', '511503109211', 5, '石林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503109211', 1, '2021-07-19 11:53:12', NULL, NULL), (20874, '', '新建村', '69a03529264f41f6b286020a4e141878', '3fb285342d744e44a5e0dd764a7384a8', 'False', 'True', 'false', 'false', '511503109213', 5, '新建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503109213', 1, '2021-07-19 11:53:12', NULL, NULL), (20875, '', '文化村', 'eb161f9ffa9b4e94a064bacedd0571f6', '3fb285342d744e44a5e0dd764a7384a8', 'False', 'False', 'false', 'false', '511503109214', 5, '文化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503109214', 1, '2021-07-19 11:53:12', NULL, NULL), (20876, '', '鲜明村', '5de14c8bc92e4d528318ab3e842608fd', '3fb285342d744e44a5e0dd764a7384a8', 'False', 'False', 'false', 'false', '511503109215', 5, '鲜明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503109215', 1, '2021-07-19 11:53:12', NULL, NULL), (20877, '', '红金村', '0c776b8fe60f49668387185769cb0812', '3fb285342d744e44a5e0dd764a7384a8', 'False', 'False', 'false', 'false', '511503109216', 5, '红金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503109216', 1, '2021-07-19 11:53:12', NULL, NULL), (20878, '', '石盘村', 'c98c651514164cc3ac595785fa4088b4', '3fb285342d744e44a5e0dd764a7384a8', 'False', 'False', 'false', 'false', '511503109217', 5, '石盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503109217', 1, '2021-07-19 11:53:13', NULL, NULL), (20879, '', '马村', '0e13dccf795e4a698d96a5a2028fee67', '3fb285342d744e44a5e0dd764a7384a8', 'False', 'False', 'false', 'false', '511503109219', 5, '马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503109219', 1, '2021-07-19 11:53:13', NULL, NULL), (20880, '', '熊湾村', '816e9c64a50c4fd283782f2de3abcf35', '3fb285342d744e44a5e0dd764a7384a8', 'False', 'False', 'false', 'false', '511503109224', 5, '熊湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503109224', 1, '2021-07-19 11:53:13', NULL, NULL), (20881, '', '三和村', '5c246e9d7c6643e79fc66dc535d183b2', '3fb285342d744e44a5e0dd764a7384a8', 'False', 'False', 'false', 'false', '511503109225', 5, '三和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503109225', 1, '2021-07-19 11:53:13', NULL, NULL), (20882, '', '月亮湾村', 'e9f76c49d83146229d9af3125eebbd8e', '3fb285342d744e44a5e0dd764a7384a8', 'False', 'False', 'false', 'false', '511503109226', 5, '月亮湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503109226', 1, '2021-07-19 11:53:13', NULL, NULL), (20883, '', '汪家镇', '491cf62e9d304f54a2d9e24f981bc845', '87509d3c2c37430e80f99e63a45059b5', 'True', 'True', 'false', 'false', '511503614000', 4, '汪家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511503614000', 1, '2021-07-19 11:53:13', NULL, NULL), (20884, '', '汪家镇社区', '6f2ec476a2054b15a4b2dd09f64d69bb', '491cf62e9d304f54a2d9e24f981bc845', 'False', 'True', 'false', 'false', '511503105001', 5, '汪家镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503105001', 1, '2021-07-19 11:53:13', NULL, NULL), (20885, '', '白庙村', 'eb161ddc812d49c3bb72e2f82ba229c1', '491cf62e9d304f54a2d9e24f981bc845', 'False', 'True', 'false', 'false', '511503105201', 5, '白庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503105201', 1, '2021-07-19 11:53:13', NULL, NULL), (20886, '', '合村', '6821dde90a38464aaa47dd8ec04b4d0f', '491cf62e9d304f54a2d9e24f981bc845', 'False', 'True', 'false', 'false', '511503105202', 5, '合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503105202', 1, '2021-07-19 11:53:13', NULL, NULL), (20887, '', '大坝村', '137b04ffad3d47238897b011a8fc1f67', '491cf62e9d304f54a2d9e24f981bc845', 'False', 'True', 'false', 'false', '511503105203', 5, '大坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503105203', 1, '2021-07-19 11:53:13', NULL, NULL), (20888, '', '三桂村', 'bc06d7254e5547668c31b9dabe7b60c5', '491cf62e9d304f54a2d9e24f981bc845', 'False', 'True', 'false', 'false', '511503105205', 5, '三桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503105205', 1, '2021-07-19 11:53:13', NULL, NULL), (20889, '', '顺河村', '159928393d804a9dac159e180de67a47', '491cf62e9d304f54a2d9e24f981bc845', 'False', 'True', 'false', 'false', '511503105206', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503105206', 1, '2021-07-19 11:53:13', NULL, NULL), (20890, '', '新桥村', 'dbb1dc5a9088468da142853501b16d70', '491cf62e9d304f54a2d9e24f981bc845', 'False', 'True', 'false', 'false', '511503105207', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503105207', 1, '2021-07-19 11:53:13', NULL, NULL), (20891, '', '新塘村', '110bc304893744c3bd266363d20171d0', '491cf62e9d304f54a2d9e24f981bc845', 'False', 'True', 'false', 'false', '511503105208', 5, '新塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503105208', 1, '2021-07-19 11:53:13', NULL, NULL), (20892, '', '金光村', '08b8ba22268e4eb1b4c5ca0e04391830', '491cf62e9d304f54a2d9e24f981bc845', 'False', 'False', 'false', 'false', '511503105211', 5, '金光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503105211', 1, '2021-07-19 11:53:13', NULL, NULL), (20893, '', '白果村', '5dd05a01613f4b9784c5aa2c7d8d6d8a', '491cf62e9d304f54a2d9e24f981bc845', 'False', 'False', 'false', 'false', '511503105213', 5, '白果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503105213', 1, '2021-07-19 11:53:14', NULL, NULL), (20894, '', '石龙村', 'f625e9542d334ec09ef0ace28e7efd9c', '491cf62e9d304f54a2d9e24f981bc845', 'False', 'False', 'false', 'false', '511503105215', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503105215', 1, '2021-07-19 11:53:14', NULL, NULL), (20895, '', '青山村', '3518f1bb8df24cb78a7957445f7ff7eb', '491cf62e9d304f54a2d9e24f981bc845', 'False', 'False', 'false', 'false', '511503105216', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511503105216', 1, '2021-07-19 11:53:14', NULL, NULL), (20896, '', '江安县', 'ce5de60fba794dd8a92cf234621923d8', '8fc9422b1bca40fa86f12b028b33e6cf', 'True', 'True', 'false', 'false', '511523000000', 3, '江安县', 'ybsjax.sczwfw.gov.cn', 1, '2021-07-19 11:53:14', NULL, NULL), (20897, '', '下长镇', 'bed353c055b641c7840ac521581ec39d', 'ce5de60fba794dd8a92cf234621923d8', 'True', 'True', 'false', 'false', '511523555555', 4, '下长镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511523555555', 1, '2021-07-19 11:53:14', NULL, NULL), (20898, '', '长兴社区', '502f3b8b83ef47f2af8da2f1482b4dbb', 'bed353c055b641c7840ac521581ec39d', 'False', 'False', 'false', 'false', '511523118813', 5, '长兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523118813', 1, '2021-07-19 11:53:14', NULL, NULL), (20899, '', '复兴村', 'bb6d15c108f54573a6b5bc8bb2989a49', 'bed353c055b641c7840ac521581ec39d', 'False', 'False', 'false', 'false', '511523118913', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523118913', 1, '2021-07-19 11:53:14', NULL, NULL), (20900, '', '大田村', 'e4bbd39eaed241259d9f4a8fd175c32a', 'bed353c055b641c7840ac521581ec39d', 'False', 'False', 'false', 'false', '511523118424', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523118424', 1, '2021-07-19 11:53:14', NULL, NULL), (20901, '', '大同村', '22002af008894a399c66dfcb848782f3', 'bed353c055b641c7840ac521581ec39d', 'False', 'False', 'false', 'false', '511523118791', 5, '大同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523118791', 1, '2021-07-19 11:53:14', NULL, NULL), (20902, '', '长江村', '696c3b947c25460bbcb3c330b6759acd', 'bed353c055b641c7840ac521581ec39d', 'False', 'False', 'false', 'false', '511523118992', 5, '长江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523118992', 1, '2021-07-19 11:53:14', NULL, NULL), (20903, '', '淯江村', '55249f7e7b2a49149a40e505bff9ec6e', 'bed353c055b641c7840ac521581ec39d', 'False', 'False', 'false', 'false', '511523118869', 5, '淯江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523118869', 1, '2021-07-19 11:53:14', NULL, NULL), (20904, '', '年丰村', 'c3985b7882d345dd9fe935753d59f697', 'bed353c055b641c7840ac521581ec39d', 'False', 'False', 'false', 'false', '511523118777', 5, '年丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523118777', 1, '2021-07-19 11:53:14', NULL, NULL), (20905, '', '永利村', '34bb91fde7b74ef499c780e285ee0ded', 'bed353c055b641c7840ac521581ec39d', 'False', 'False', 'false', 'false', '511523118589', 5, '永利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523118589', 1, '2021-07-19 11:53:15', NULL, NULL), (20906, '', '新宁村', 'a4c4c4304072448a9fbe060f0e11155d', 'bed353c055b641c7840ac521581ec39d', 'False', 'False', 'false', 'false', '511523118154', 5, '新宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523118154', 1, '2021-07-19 11:53:15', NULL, NULL), (20907, '', '民主村', '6cbfe7b9b2864ac39aaff03614713c93', 'bed353c055b641c7840ac521581ec39d', 'False', 'False', 'false', 'false', '511523118706', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523118706', 1, '2021-07-19 11:53:15', NULL, NULL), (20908, '', '天平村', 'd9e1f39043a64d1dacd4a57ac1a31b75', 'bed353c055b641c7840ac521581ec39d', 'False', 'False', 'false', 'false', '511523118973', 5, '天平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523118973', 1, '2021-07-19 11:53:15', NULL, NULL), (20909, '', '江安镇', '03715a04aaa840f3b59d6ff8ecaad05a', 'ce5de60fba794dd8a92cf234621923d8', 'True', 'True', 'false', 'false', '511523100000', 4, '江安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511523100000', 1, '2021-07-19 11:53:15', NULL, NULL), (20910, '', '太阳村', '6cac6104d6024e39b10a1040ea94b4a4', '03715a04aaa840f3b59d6ff8ecaad05a', 'False', 'True', 'false', 'false', '511523100068', 5, '太阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523100068', 1, '2021-07-19 11:53:15', NULL, NULL), (20911, '', '淯江社区', 'dc55acec9b56493f8ccf4def146ab191', '03715a04aaa840f3b59d6ff8ecaad05a', 'False', 'True', 'false', 'false', '511523100001', 5, '淯江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523100001', 1, '2021-07-19 11:53:15', NULL, NULL), (20912, '', '剧专社区', '2950976b93584deaa9dc5bcfe8ff314f', '03715a04aaa840f3b59d6ff8ecaad05a', 'False', 'True', 'false', 'false', '511523100002', 5, '剧专社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523100002', 1, '2021-07-19 11:53:15', NULL, NULL), (20913, '', '龙门口社区', 'd0623144f75a48a5ac3e455fb398b568', '03715a04aaa840f3b59d6ff8ecaad05a', 'False', 'True', 'false', 'false', '511523100004', 5, '龙门口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523100004', 1, '2021-07-19 11:53:15', NULL, NULL), (20914, '', '天堂湖社区', '058e3ba341be49e1a46fc65c7201b2b5', '03715a04aaa840f3b59d6ff8ecaad05a', 'False', 'True', 'false', 'false', '511523100005', 5, '天堂湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523100005', 1, '2021-07-19 11:53:15', NULL, NULL), (20915, '', '汉安社区', '2a64cd5867b84f0ba3d97b46e78fc7ae', '03715a04aaa840f3b59d6ff8ecaad05a', 'False', 'True', 'false', 'false', '511523100006', 5, '汉安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523100006', 1, '2021-07-19 11:53:15', NULL, NULL), (20916, '', '南屏社区', 'ef0d996b957e4537a01c3d890486a18c', '03715a04aaa840f3b59d6ff8ecaad05a', 'False', 'True', 'false', 'false', '511523100007', 5, '南屏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523100007', 1, '2021-07-19 11:53:15', NULL, NULL), (20917, '', '会龙社区', '06c975ff6da449899dbb3c225670407f', '03715a04aaa840f3b59d6ff8ecaad05a', 'False', 'True', 'false', 'false', '511523100008', 5, '会龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523100008', 1, '2021-07-19 11:53:15', NULL, NULL), (20918, '', '五会村', '9bcfbf1ab68248df951b4673ae516c91', '03715a04aaa840f3b59d6ff8ecaad05a', 'False', 'True', 'false', 'false', '511523100203', 5, '五会村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523100203', 1, '2021-07-19 11:53:16', NULL, NULL), (20919, '', '青苔坎村', 'ab48707c78b34285a722404c1fd6115c', '03715a04aaa840f3b59d6ff8ecaad05a', 'False', 'True', 'false', 'false', '511523100205', 5, '青苔坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523100205', 1, '2021-07-19 11:53:16', NULL, NULL), (20920, '', '洋码头社区村', 'c6157d5be56a465aa0a92cb4c9e1aa19', '03715a04aaa840f3b59d6ff8ecaad05a', 'False', 'True', 'false', 'false', '511523100206', 5, '洋码头社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523100206', 1, '2021-07-19 11:53:16', NULL, NULL), (20921, '', '河中村', '3df66339a72c47da8993f1c8bd3bbb9c', '03715a04aaa840f3b59d6ff8ecaad05a', 'False', 'True', 'false', 'false', '511523100208', 5, '河中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523100208', 1, '2021-07-19 11:53:16', NULL, NULL), (20922, '', '同义村', '060377b8852c4f25aa8b223ccd278bb4', '03715a04aaa840f3b59d6ff8ecaad05a', 'False', 'True', 'false', 'false', '511523100209', 5, '同义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523100209', 1, '2021-07-19 11:53:16', NULL, NULL), (20923, '', '黄泥村', '01c27964a3f048b8ad9923809b69d2bb', '03715a04aaa840f3b59d6ff8ecaad05a', 'False', 'True', 'false', 'false', '511523100210', 5, '黄泥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523100210', 1, '2021-07-19 11:53:16', NULL, NULL), (20924, '', '红岩社区村', 'd8098a9724d54be6a53d6406f7d171e9', '03715a04aaa840f3b59d6ff8ecaad05a', 'False', 'True', 'false', 'false', '511523100214', 5, '红岩社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523100214', 1, '2021-07-19 11:53:16', NULL, NULL), (20925, '', '红桥镇', 'bcafb03318d04ef8829a9f4801b1fe84', 'ce5de60fba794dd8a92cf234621923d8', 'True', 'True', 'false', 'false', '511523101000', 4, '红桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511523101000', 1, '2021-07-19 11:53:16', NULL, NULL), (20926, '', '一社区', '01fdce48569c463b9825c6bc0653486f', 'bcafb03318d04ef8829a9f4801b1fe84', 'False', 'True', 'false', 'false', '511523101001', 5, '一社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523101001', 1, '2021-07-19 11:53:16', NULL, NULL), (20927, '', '二社区', '41d447243006436fb8463c6c85321a0b', 'bcafb03318d04ef8829a9f4801b1fe84', 'False', 'True', 'false', 'false', '511523101002', 5, '二社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523101002', 1, '2021-07-19 11:53:16', NULL, NULL), (20928, '', '义和村', 'c22ed378f0364090a95b66acbcfe1626', 'bcafb03318d04ef8829a9f4801b1fe84', 'False', 'True', 'false', 'false', '511523101201', 5, '义和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523101201', 1, '2021-07-19 11:53:16', NULL, NULL), (20929, '', '联盟村', 'c6dc9e3f7c92464dbaa3ad5764923382', 'bcafb03318d04ef8829a9f4801b1fe84', 'False', 'True', 'false', 'false', '511523101202', 5, '联盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523101202', 1, '2021-07-19 11:53:16', NULL, NULL), (20930, '', '石岗村', '19456bbaead548958c64e3b71485d158', 'bcafb03318d04ef8829a9f4801b1fe84', 'False', 'True', 'false', 'false', '511523101203', 5, '石岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523101203', 1, '2021-07-19 11:53:17', NULL, NULL), (20931, '', '公益村', 'ed83d38882574af5b7c630e32ba2f445', 'bcafb03318d04ef8829a9f4801b1fe84', 'False', 'True', 'false', 'false', '511523101206', 5, '公益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523101206', 1, '2021-07-19 11:53:17', NULL, NULL), (20932, '', '水河村', '8030559a5adf4f239609aa0b36502940', 'bcafb03318d04ef8829a9f4801b1fe84', 'False', 'True', 'false', 'false', '511523101207', 5, '水河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523101207', 1, '2021-07-19 11:53:17', NULL, NULL), (20933, '', '石滩村', 'aafc8603bc6f4e4d8e96c13bf1a769ad', 'bcafb03318d04ef8829a9f4801b1fe84', 'False', 'True', 'false', 'false', '511523101208', 5, '石滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523101208', 1, '2021-07-19 11:53:17', NULL, NULL), (20934, '', '两江社区村', '77f8d034fdd142868d64407c5717586f', 'bcafb03318d04ef8829a9f4801b1fe84', 'False', 'True', 'false', 'false', '511523101209', 5, '两江社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523101209', 1, '2021-07-19 11:53:17', NULL, NULL), (20935, '', '五阁村', 'ba1329d903bc47d7a3a636d7f09ad1b1', 'bcafb03318d04ef8829a9f4801b1fe84', 'False', 'True', 'false', 'false', '511523101210', 5, '五阁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523101210', 1, '2021-07-19 11:53:17', NULL, NULL), (20936, '', '龙君村', 'b55fc1c6be8d43808837cdd30b3ef1d3', 'bcafb03318d04ef8829a9f4801b1fe84', 'False', 'True', 'false', 'false', '511523101211', 5, '龙君村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523101211', 1, '2021-07-19 11:53:17', NULL, NULL), (20937, '', '对角村', '82b33301e7af42b48b886554887d9b21', 'bcafb03318d04ef8829a9f4801b1fe84', 'False', 'True', 'false', 'false', '511523101212', 5, '对角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523101212', 1, '2021-07-19 11:53:17', NULL, NULL), (20938, '', '灰窑村', 'd709e6f7e0b345129d3b8f037506aae2', 'bcafb03318d04ef8829a9f4801b1fe84', 'False', 'True', 'false', 'false', '511523101213', 5, '灰窑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523101213', 1, '2021-07-19 11:53:17', NULL, NULL), (20939, '', '德禾村', '407e2948c9db4f56bcce3934ade721c8', 'bcafb03318d04ef8829a9f4801b1fe84', 'False', 'True', 'false', 'false', '511523101214', 5, '德禾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523101214', 1, '2021-07-19 11:53:17', NULL, NULL), (20940, '', '均田村', '47ed85e50db34184a7c5854caeddfd63', 'bcafb03318d04ef8829a9f4801b1fe84', 'False', 'True', 'false', 'false', '511523101215', 5, '均田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523101215', 1, '2021-07-19 11:53:17', NULL, NULL), (20941, '', '解村村', '8d647cf1767c4f6bb181ecd444a20b23', 'bcafb03318d04ef8829a9f4801b1fe84', 'False', 'True', 'false', 'false', '511523101319', 5, '解村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523101319', 1, '2021-07-19 11:53:17', NULL, NULL), (20942, '', '红色村', '17e73bda27f24e2d8d3e938265e93ceb', 'bcafb03318d04ef8829a9f4801b1fe84', 'False', 'True', 'false', 'false', '511523101590', 5, '红色村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523101590', 1, '2021-07-19 11:53:17', NULL, NULL), (20943, '', '怡乐镇', 'aaaf7f63d3c74c8e8a93dfb882bbf3d9', 'ce5de60fba794dd8a92cf234621923d8', 'True', 'True', 'false', 'false', '511523104000', 4, '怡乐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511523104000', 1, '2021-07-19 11:53:17', NULL, NULL), (20944, '', '怡乐社区', '70ddc29dc51e42d0a2106240ce718d91', 'aaaf7f63d3c74c8e8a93dfb882bbf3d9', 'False', 'True', 'false', 'false', '511523104001', 5, '怡乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523104001', 1, '2021-07-19 11:53:18', NULL, NULL), (20945, '', '丰产社区村', '6760b547d56a4237b9368d84655bfc88', 'aaaf7f63d3c74c8e8a93dfb882bbf3d9', 'False', 'True', 'false', 'false', '511523104203', 5, '丰产社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523104203', 1, '2021-07-19 11:53:18', NULL, NULL), (20946, '', '公平社区村', '6dde2e2abfaf40deb255a45fdfd73b7e', 'aaaf7f63d3c74c8e8a93dfb882bbf3d9', 'False', 'True', 'false', 'false', '511523104205', 5, '公平社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523104205', 1, '2021-07-19 11:53:18', NULL, NULL), (20947, '', '合理村', '44f72b38072a4fdbb96eb351b751aea6', 'aaaf7f63d3c74c8e8a93dfb882bbf3d9', 'False', 'True', 'false', 'false', '511523104207', 5, '合理村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523104207', 1, '2021-07-19 11:53:18', NULL, NULL), (20948, '', '青龙社区村', '918e872febaf47d5842272705ba8aaa9', 'aaaf7f63d3c74c8e8a93dfb882bbf3d9', 'False', 'True', 'false', 'false', '511523104209', 5, '青龙社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523104209', 1, '2021-07-19 11:53:18', NULL, NULL), (20949, '', '建设村', '0b3b574924a74b4190de0a6c2aeb90c8', 'aaaf7f63d3c74c8e8a93dfb882bbf3d9', 'False', 'True', 'false', 'false', '511523104210', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523104210', 1, '2021-07-19 11:53:18', NULL, NULL), (20950, '', '东风村', '6670674054564069ab1a048855dae9cf', 'aaaf7f63d3c74c8e8a93dfb882bbf3d9', 'False', 'True', 'false', 'false', '511523104211', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523104211', 1, '2021-07-19 11:53:18', NULL, NULL), (20951, '', '同心村', '7483fbebada243b8b56a57e9b094b4a6', 'aaaf7f63d3c74c8e8a93dfb882bbf3d9', 'False', 'True', 'false', 'false', '511523104213', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523104213', 1, '2021-07-19 11:53:18', NULL, NULL), (20952, '', '凉水村', '733b38651b474310a1b2044dc07a5428', 'aaaf7f63d3c74c8e8a93dfb882bbf3d9', 'False', 'True', 'false', 'false', '511523104214', 5, '凉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523104214', 1, '2021-07-19 11:53:18', NULL, NULL), (20953, '', '滥池村', '41e6b2510dce4a7ba8631a3e61d86b6f', 'aaaf7f63d3c74c8e8a93dfb882bbf3d9', 'False', 'True', 'false', 'false', '511523104215', 5, '滥池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523104215', 1, '2021-07-19 11:53:18', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (20954, '', '桥头村', 'acc7b9f0263e4126b0ffee60fcc3078d', 'aaaf7f63d3c74c8e8a93dfb882bbf3d9', 'False', 'True', 'false', 'false', '511523104216', 5, '桥头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523104216', 1, '2021-07-19 11:53:18', NULL, NULL), (20955, '', '关口村', '6514703ddf994d45a580fcd91d83f9e8', 'aaaf7f63d3c74c8e8a93dfb882bbf3d9', 'False', 'True', 'false', 'false', '511523104218', 5, '关口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523104218', 1, '2021-07-19 11:53:19', NULL, NULL), (20956, '', '天堂村', '24eb7261bb10469d86e450b861856663', 'aaaf7f63d3c74c8e8a93dfb882bbf3d9', 'False', 'True', 'false', 'false', '511523104219', 5, '天堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523104219', 1, '2021-07-19 11:53:19', NULL, NULL), (20957, '', '长沙村', '003d3f67576c4d08bfa57dce42e5f7f9', 'aaaf7f63d3c74c8e8a93dfb882bbf3d9', 'False', 'True', 'false', 'false', '511523104220', 5, '长沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523104220', 1, '2021-07-19 11:53:19', NULL, NULL), (20958, '', '茨岩社区村', 'd74404f1e6544d26b5e76d931e18eccd', 'aaaf7f63d3c74c8e8a93dfb882bbf3d9', 'False', 'True', 'false', 'false', '511523104221', 5, '茨岩社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523104221', 1, '2021-07-19 11:53:19', NULL, NULL), (20959, '', '留耕镇', '2cf327d9d5ae4778a83a8f420b5a3667', 'ce5de60fba794dd8a92cf234621923d8', 'True', 'True', 'false', 'false', '511523105000', 4, '留耕镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511523105000', 1, '2021-07-19 11:53:19', NULL, NULL), (20960, '', '留耕社区', '07f29abd97f04e738dd3eeaf41182d37', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105001', 5, '留耕社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105001', 1, '2021-07-19 11:53:19', NULL, NULL), (20961, '', '三块社区', '1f513dc8621b4a1286d4091e9a632545', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105201', 5, '三块社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105201', 1, '2021-07-19 11:53:19', NULL, NULL), (20962, '', '方石村', '6b4ce9c6572847a493c750ea85cc5d10', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105202', 5, '方石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105202', 1, '2021-07-19 11:53:19', NULL, NULL), (20963, '', '四重村', '675f61fa6f6f4054ac57ad885856a16b', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105203', 5, '四重村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105203', 1, '2021-07-19 11:53:19', NULL, NULL), (20964, '', '牟家社区', '977ae7c507774a6aa132952cf3c3d3ab', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105204', 5, '牟家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105204', 1, '2021-07-19 11:53:19', NULL, NULL), (20965, '', '银锭村', 'd56114bbee074d6691611e15ee1fe5e0', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105205', 5, '银锭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105205', 1, '2021-07-19 11:53:19', NULL, NULL), (20966, '', '人民村', '49efca5ad5e0451ab63e1dac48a5c82f', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105206', 5, '人民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105206', 1, '2021-07-19 11:53:19', NULL, NULL), (20967, '', '新场村', '93a719c2ff354e6f81e5667257edba04', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105207', 5, '新场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105207', 1, '2021-07-19 11:53:20', NULL, NULL), (20968, '', '黄龙村', 'c51cbe9061f0417da91021850f3e52c4', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105208', 5, '黄龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105208', 1, '2021-07-19 11:53:20', NULL, NULL), (20969, '', '留耕村', '77cef9e214f1460096a608c3d5fcf7a9', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105209', 5, '留耕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105209', 1, '2021-07-19 11:53:20', NULL, NULL), (20970, '', '东胜村', '0edfa1e7458a4201889b2135078abc79', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105210', 5, '东胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105210', 1, '2021-07-19 11:53:20', NULL, NULL), (20971, '', '八一村', '4de645a4b7d045ec98ffa8f3839898ac', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105211', 5, '八一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105211', 1, '2021-07-19 11:53:20', NULL, NULL), (20972, '', '重兴村', 'fef4c79c5c9543cdb201fa747912f99a', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105212', 5, '重兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105212', 1, '2021-07-19 11:53:20', NULL, NULL), (20973, '', '杨庙村', '0040c89d2eb346f3a1ca9df3480d6cf0', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105213', 5, '杨庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105213', 1, '2021-07-19 11:53:20', NULL, NULL), (20974, '', '民权村', '5375a9c74a4941d4a5b903cc896d481c', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105214', 5, '民权村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105214', 1, '2021-07-19 11:53:20', NULL, NULL), (20975, '', '中心村', '056b6e9967614d62b86a21069435d44b', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105215', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105215', 1, '2021-07-19 11:53:20', NULL, NULL), (20976, '', '长征村', 'be9bcae6bf424ec48263e15377d20ea3', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105216', 5, '长征村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105216', 1, '2021-07-19 11:53:20', NULL, NULL), (20977, '', '黄土村', '8b2ea723b2e94a86b8bd3a549091404e', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105217', 5, '黄土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105217', 1, '2021-07-19 11:53:20', NULL, NULL), (20978, '', '大桥村', '6d6774d3e5f04112a22baa61a65a0515', '2cf327d9d5ae4778a83a8f420b5a3667', 'False', 'True', 'false', 'false', '511523105218', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523105218', 1, '2021-07-19 11:53:21', NULL, NULL), (20979, '', '五矿镇', 'd132e64e51fc4cc4a11adbc2acad2b72', 'ce5de60fba794dd8a92cf234621923d8', 'True', 'True', 'false', 'false', '511523108000', 4, '五矿镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511523108000', 1, '2021-07-19 11:53:21', NULL, NULL), (20980, '', '五矿社区', '97a872c7a256497a8157d6491784a3e6', 'd132e64e51fc4cc4a11adbc2acad2b72', 'False', 'True', 'false', 'false', '511523108001', 5, '五矿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523108001', 1, '2021-07-19 11:53:21', NULL, NULL), (20981, '', '金星村', 'b4af8dfb1d03447bad105e7a001f46bf', 'd132e64e51fc4cc4a11adbc2acad2b72', 'False', 'True', 'false', 'false', '511523108201', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523108201', 1, '2021-07-19 11:53:21', NULL, NULL), (20982, '', '文峰村', '7dc30ccc2218471c81e2f95f6b04ceed', 'd132e64e51fc4cc4a11adbc2acad2b72', 'False', 'True', 'false', 'false', '511523108204', 5, '文峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523108204', 1, '2021-07-19 11:53:21', NULL, NULL), (20983, '', '友隆村', '4ce92b7fb51840d0ab4aa6ae00cc554b', 'd132e64e51fc4cc4a11adbc2acad2b72', 'False', 'True', 'false', 'false', '511523108205', 5, '友隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523108205', 1, '2021-07-19 11:53:21', NULL, NULL), (20984, '', '楔子岩村', '77560063b1e3473884fef5d9cc4f3edc', 'd132e64e51fc4cc4a11adbc2acad2b72', 'False', 'True', 'false', 'false', '511523108206', 5, '楔子岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523108206', 1, '2021-07-19 11:53:21', NULL, NULL), (20985, '', '金罗村', 'af700c9e0554479295acc00d2d515fff', 'd132e64e51fc4cc4a11adbc2acad2b72', 'False', 'True', 'false', 'false', '511523108207', 5, '金罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523108207', 1, '2021-07-19 11:53:21', NULL, NULL), (20986, '', '石桥村', 'd34f28c98ea4432dbc09373a696cf0b9', 'd132e64e51fc4cc4a11adbc2acad2b72', 'False', 'True', 'false', 'false', '511523108208', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523108208', 1, '2021-07-19 11:53:21', NULL, NULL), (20987, '', '迎安镇', '4f5dea4490ea403190e85044246defa4', 'ce5de60fba794dd8a92cf234621923d8', 'True', 'True', 'false', 'false', '511523109000', 4, '迎安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511523109000', 1, '2021-07-19 11:53:21', NULL, NULL), (20988, '', '迎安社区', '008dd0222ab74253af637a92a7e1209c', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109001', 5, '迎安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109001', 1, '2021-07-19 11:53:21', NULL, NULL), (20989, '', '竹林村', '2305f9bb79354f5393f07601052d1d2a', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109201', 5, '竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109201', 1, '2021-07-19 11:53:21', NULL, NULL), (20990, '', '民主村', 'f5583845dec64d3a80e810934e70f1a1', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109202', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109202', 1, '2021-07-19 11:53:21', NULL, NULL), (20991, '', '下湾村', '325f389455f94414bc1fb8f98001bc8d', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109203', 5, '下湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109203', 1, '2021-07-19 11:53:21', NULL, NULL), (20992, '', '先峰村', 'a3a0533170444674bac75fdcc8f20239', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109204', 5, '先峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109204', 1, '2021-07-19 11:53:22', NULL, NULL), (20993, '', '平阳村', 'fb23de533dfa4e238f62c03c461ae8b4', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109205', 5, '平阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109205', 1, '2021-07-19 11:53:22', NULL, NULL), (20994, '', '凤鸣村', 'e7fe457f5c6c4b728bf2ec777915d345', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109206', 5, '凤鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109206', 1, '2021-07-19 11:53:22', NULL, NULL), (20995, '', '大岭村', 'bce5808d52a54c5cb9bc35554ce0f7d7', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109207', 5, '大岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109207', 1, '2021-07-19 11:53:22', NULL, NULL), (20996, '', '安宁村', '62f7354bb7f24679b4ab094986b25c2a', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109208', 5, '安宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109208', 1, '2021-07-19 11:53:22', NULL, NULL), (20997, '', '玉皇村', 'd37ac9bafa2f41aaa8a419e4b9401192', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109209', 5, '玉皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109209', 1, '2021-07-19 11:53:22', NULL, NULL), (20998, '', '何家村', '4b3fd505f35e49f0913b7e988ada6101', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109210', 5, '何家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109210', 1, '2021-07-19 11:53:22', NULL, NULL), (20999, '', '秦义村', '9818ba93f2924c808eb3234f3098a776', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109211', 5, '秦义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109211', 1, '2021-07-19 11:53:22', NULL, NULL), (21000, '', '石坎村', 'fbeb367bedba446b834bbb6fb4e800f8', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109212', 5, '石坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109212', 1, '2021-07-19 11:53:22', NULL, NULL), (21001, '', '三品村', '31596dc4e0b84853aabcfb75e553cc34', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109213', 5, '三品村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109213', 1, '2021-07-19 11:53:22', NULL, NULL), (21002, '', '志诚村', '43a887151fee47c5848cd35dade78903', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109214', 5, '志诚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109214', 1, '2021-07-19 11:53:22', NULL, NULL), (21003, '', '天水村', 'ca62f008e7c6473481bd29f79f3a08e6', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109215', 5, '天水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109215', 1, '2021-07-19 11:53:22', NULL, NULL), (21004, '', '英华村', 'e612ef334b094c07a6683c8fd1ced603', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109216', 5, '英华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109216', 1, '2021-07-19 11:53:22', NULL, NULL), (21005, '', '迎安村', '4870e050eab8454591a4a2082553e1e7', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109217', 5, '迎安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109217', 1, '2021-07-19 11:53:23', NULL, NULL), (21006, '', '柏杨村', 'e3d2a92e5eb74cd4a5dc50dcaf28233a', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109218', 5, '柏杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109218', 1, '2021-07-19 11:53:23', NULL, NULL), (21007, '', '幸福社区', '667c12b3a8b44230952875fd6a933761', '4f5dea4490ea403190e85044246defa4', 'False', 'True', 'false', 'false', '511523109219', 5, '幸福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523109219', 1, '2021-07-19 11:53:23', NULL, NULL), (21008, '', '夕佳山镇', '4c44638058324ac88ef06ea970323736', 'ce5de60fba794dd8a92cf234621923d8', 'True', 'True', 'false', 'false', '511523110000', 4, '夕佳山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511523110000', 1, '2021-07-19 11:53:23', NULL, NULL), (21009, '', '吉庆村', 'f79d99cb25c4435ebc4cb0c28d14407c', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110122', 5, '吉庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110122', 1, '2021-07-19 11:53:23', NULL, NULL), (21010, '', '联合村', '81de7fb448bf40acbab8f0d8f38a44c0', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110145', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110145', 1, '2021-07-19 11:53:23', NULL, NULL), (21011, '', '黄土村', '8c0e28e94756491092ce9dbd3d4ff57b', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110175', 5, '黄土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110175', 1, '2021-07-19 11:53:23', NULL, NULL), (21012, '', '骑龙村', '2c80c630aecc4b97a0394e9d5236aaee', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110248', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110248', 1, '2021-07-19 11:53:23', NULL, NULL), (21013, '', '柏香林村', 'a97a6c52580e46cbafc7590ba4f88541', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110333', 5, '柏香林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110333', 1, '2021-07-19 11:53:23', NULL, NULL), (21014, '', '茶园村', '181843bf38944f95832516b0197f858e', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110391', 5, '茶园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110391', 1, '2021-07-19 11:53:23', NULL, NULL), (21015, '', '底蓬社区', '04711cf21fcc452e99f8edb6e2512d4c', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110402', 5, '底蓬社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110402', 1, '2021-07-19 11:53:23', NULL, NULL), (21016, '', '石马村', 'd80e2360f80c42ab84a14bae7d23c703', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110409', 5, '石马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110409', 1, '2021-07-19 11:53:23', NULL, NULL), (21017, '', '蟠龙村', '14b7ceb10d3f4808aa58536d2bfaf3eb', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110465', 5, '蟠龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110465', 1, '2021-07-19 11:53:23', NULL, NULL), (21018, '', '马引村', '0f7059554ebc4e2786ea2e2b0edcbd49', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110476', 5, '马引村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110476', 1, '2021-07-19 11:53:23', NULL, NULL), (21019, '', '新安社区村', '9b21247771074cdd9cd07846a60fbe6e', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110566', 5, '新安社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110566', 1, '2021-07-19 11:53:24', NULL, NULL), (21020, '', '李岩村', '80a17f9d664945de8e08c334fbbd7908', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110568', 5, '李岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110568', 1, '2021-07-19 11:53:24', NULL, NULL), (21021, '', '下午寺村', '01eb0a346c1646b7bd3b8822aab9cf92', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110799', 5, '下午寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110799', 1, '2021-07-19 11:53:24', NULL, NULL), (21022, '', '玉龙村', '545f4c6fbab44b52a7c758d7448fe425', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110862', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110862', 1, '2021-07-19 11:53:24', NULL, NULL), (21023, '', '泉塘村', 'e7c67ec967da4ba58a0b62e35731e08b', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110868', 5, '泉塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110868', 1, '2021-07-19 11:53:24', NULL, NULL), (21024, '', '月台村', '7efc96c9d8ab41fb9f84792ea172f412', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110886', 5, '月台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110886', 1, '2021-07-19 11:53:24', NULL, NULL), (21025, '', '蟠龙社区', '6fd1c567c5a54d8d93eda7e72ce49637', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110922', 5, '蟠龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110922', 1, '2021-07-19 11:53:24', NULL, NULL), (21026, '', '夕佳山社区', '3bc988a247074f6a98f0d0d02f9347a8', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110001', 5, '夕佳山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110001', 1, '2021-07-19 11:53:24', NULL, NULL), (21027, '', '坝上村', '706ce5d54c6c4c3490bb2553cb784185', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110201', 5, '坝上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110201', 1, '2021-07-19 11:53:24', NULL, NULL), (21028, '', '坡上村', '4a44fb0e155e4aaf9a5ed82ccb1c191f', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110202', 5, '坡上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110202', 1, '2021-07-19 11:53:24', NULL, NULL), (21029, '', '铜盆村', 'bc49c0a6bbcd433cacec9e06d522e099', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110203', 5, '铜盆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110203', 1, '2021-07-19 11:53:24', NULL, NULL), (21030, '', '沙塘村', '16a79b018ac24f31933d06ba5ee45dbd', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110204', 5, '沙塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110204', 1, '2021-07-19 11:53:24', NULL, NULL), (21031, '', '安乐村', '9e235230c91045bb97809938d4eaaad2', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110206', 5, '安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110206', 1, '2021-07-19 11:53:24', NULL, NULL), (21032, '', '石冲村', 'e6116bebcbe241baac340afa36a3cca9', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110208', 5, '石冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110208', 1, '2021-07-19 11:53:24', NULL, NULL), (21033, '', '安远村', '2464a536281747ac84409f29bd76f2a9', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110209', 5, '安远村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110209', 1, '2021-07-19 11:53:25', NULL, NULL), (21034, '', '五里村', '55d6b67cb4cb4231879c7b2cb1f5749f', '4c44638058324ac88ef06ea970323736', 'False', 'True', 'false', 'false', '511523110212', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523110212', 1, '2021-07-19 11:53:25', NULL, NULL), (21035, '', '铁清镇', 'd8915a63561f40579515ae4278971d1f', 'ce5de60fba794dd8a92cf234621923d8', 'True', 'True', 'false', 'false', '511523112000', 4, '铁清镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511523112000', 1, '2021-07-19 11:53:25', NULL, NULL), (21036, '', '铁清社区', '41964d3e9b77462b983de4a89fdbe618', 'd8915a63561f40579515ae4278971d1f', 'False', 'True', 'false', 'false', '511523112001', 5, '铁清社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523112001', 1, '2021-07-19 11:53:25', NULL, NULL), (21037, '', '白鹤村', '5a27072b3edc4391a5d087601170aee2', 'd8915a63561f40579515ae4278971d1f', 'False', 'True', 'false', 'false', '511523112201', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523112201', 1, '2021-07-19 11:53:25', NULL, NULL), (21038, '', '石道村', '2cfb05fa39ef4e3ebc5c23320c3995ce', 'd8915a63561f40579515ae4278971d1f', 'False', 'True', 'false', 'false', '511523112203', 5, '石道村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523112203', 1, '2021-07-19 11:53:25', NULL, NULL), (21039, '', '花朝村', '727480e58e2c4a5ab499a02c61ed02bb', 'd8915a63561f40579515ae4278971d1f', 'False', 'True', 'false', 'false', '511523112204', 5, '花朝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523112204', 1, '2021-07-19 11:53:25', NULL, NULL), (21040, '', '洞口村', '00770f4dcd2a44468af474bf07acbf9a', 'd8915a63561f40579515ae4278971d1f', 'False', 'True', 'false', 'false', '511523112205', 5, '洞口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523112205', 1, '2021-07-19 11:53:25', NULL, NULL), (21041, '', '利水村', 'f27b0638a3d14fa297ac71ffbb95018a', 'd8915a63561f40579515ae4278971d1f', 'False', 'True', 'false', 'false', '511523112206', 5, '利水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523112206', 1, '2021-07-19 11:53:25', NULL, NULL), (21042, '', '三合村', 'fdd8179cc4ef44fca5bb5a1ef2cbc3ec', 'd8915a63561f40579515ae4278971d1f', 'False', 'True', 'false', 'false', '511523112207', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523112207', 1, '2021-07-19 11:53:26', NULL, NULL), (21043, '', '犀牛村', '2137a9998e554df886b9a7dddead0bd5', 'd8915a63561f40579515ae4278971d1f', 'False', 'True', 'false', 'false', '511523112208', 5, '犀牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523112208', 1, '2021-07-19 11:53:26', NULL, NULL), (21044, '', '杨狮村', '5fc17903799d4cda8dddc306f820cb10', 'd8915a63561f40579515ae4278971d1f', 'False', 'True', 'false', 'false', '511523112209', 5, '杨狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523112209', 1, '2021-07-19 11:53:26', NULL, NULL), (21045, '', '玉泉村', '15c7d5bf01ad4878b765e88d74586809', 'd8915a63561f40579515ae4278971d1f', 'False', 'True', 'false', 'false', '511523112210', 5, '玉泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523112210', 1, '2021-07-19 11:53:26', NULL, NULL), (21046, '', '集体村', '50005e68f5ff4181b6ebb3353c0adcaf', 'd8915a63561f40579515ae4278971d1f', 'False', 'True', 'false', 'false', '511523112213', 5, '集体村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523112213', 1, '2021-07-19 11:53:26', NULL, NULL), (21047, '', '五通村', 'fa6b058af19042bf8110750d5e36cbfb', 'd8915a63561f40579515ae4278971d1f', 'False', 'True', 'false', 'false', '511523112215', 5, '五通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523112215', 1, '2021-07-19 11:53:26', NULL, NULL), (21048, '', '七柱村', '3e256887cb6346eea79b48a75e74cfeb', 'd8915a63561f40579515ae4278971d1f', 'False', 'True', 'false', 'false', '511523112216', 5, '七柱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523112216', 1, '2021-07-19 11:53:26', NULL, NULL), (21049, '', '新柳村', '8acb53a8cde34e869e4707f8e31e960a', 'd8915a63561f40579515ae4278971d1f', 'False', 'True', 'false', 'false', '511523112219', 5, '新柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523112219', 1, '2021-07-19 11:53:26', NULL, NULL), (21050, '', '道祝村', 'ac2e4f479c934c098c74cc5756e27184', 'd8915a63561f40579515ae4278971d1f', 'False', 'True', 'false', 'false', '511523112221', 5, '道祝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523112221', 1, '2021-07-19 11:53:26', NULL, NULL), (21051, '', '四面山镇', 'f6a93e876eaf4d8a876d02333a50ff20', 'ce5de60fba794dd8a92cf234621923d8', 'True', 'True', 'false', 'false', '511523113000', 4, '四面山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511523113000', 1, '2021-07-19 11:53:26', NULL, NULL), (21052, '', '四面山社区', '1d9f452baf2e44c3ac746955c1b037e7', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113001', 5, '四面山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113001', 1, '2021-07-19 11:53:26', NULL, NULL), (21053, '', '坪坝社区', '3e1cb54e4b9b4c4a9a5c237714a6cdf6', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113201', 5, '坪坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113201', 1, '2021-07-19 11:53:26', NULL, NULL), (21054, '', '玉屏村', '94e1ef56c04340699a0fd7f02c0d6497', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113202', 5, '玉屏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113202', 1, '2021-07-19 11:53:26', NULL, NULL), (21055, '', '七里半村', '817034693d624832b78f1109b3c8ac8e', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113203', 5, '七里半村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113203', 1, '2021-07-19 11:53:26', NULL, NULL), (21056, '', '庙湾村', '45893368a56a4e8c83aaa0ad9829f55f', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113204', 5, '庙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113204', 1, '2021-07-19 11:53:26', NULL, NULL), (21057, '', '石坝村', 'ade8ff13452e4b1e9c2709b8383caac9', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113205', 5, '石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113205', 1, '2021-07-19 11:53:26', NULL, NULL), (21058, '', '向阳村', '067d04fa4743441ab195ce086bbf6439', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113206', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113206', 1, '2021-07-19 11:53:27', NULL, NULL), (21059, '', '山华社区', 'fc7df6b97c3d4998abb7fbb7431b68ca', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113207', 5, '山华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113207', 1, '2021-07-19 11:53:27', NULL, NULL), (21060, '', '总旗村', '201ec75abded4a009adc04b399ed4afd', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113208', 5, '总旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113208', 1, '2021-07-19 11:53:27', NULL, NULL), (21061, '', '高洞村', '4f3b37f30a964309b9b2ca6c836ee885', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113209', 5, '高洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113209', 1, '2021-07-19 11:53:27', NULL, NULL), (21062, '', '瓦窑村', 'da04591133fe43e7b951278302710c14', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113210', 5, '瓦窑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113210', 1, '2021-07-19 11:53:27', NULL, NULL), (21063, '', '九台村', 'd883c32aa734489a8c735ed237404885', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113211', 5, '九台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113211', 1, '2021-07-19 11:53:27', NULL, NULL), (21064, '', '金龙村', '1299c3423bb14baabdec9d48b474bdaf', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113212', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113212', 1, '2021-07-19 11:53:27', NULL, NULL), (21065, '', '义安村', 'e7e51c9c09654d0195a31b9b8c3ec7ff', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113213', 5, '义安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113213', 1, '2021-07-19 11:53:27', NULL, NULL), (21066, '', '天佛村', 'd0dac26f3fe941c3912f52987ace6af7', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113214', 5, '天佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113214', 1, '2021-07-19 11:53:27', NULL, NULL), (21067, '', '中桥社区', '9f752628f8ba46b4b62dc0e7847eac94', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113215', 5, '中桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113215', 1, '2021-07-19 11:53:27', NULL, NULL), (21068, '', '新桥村', '47fd421ebea64e2bbecbb298b6887545', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113216', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113216', 1, '2021-07-19 11:53:27', NULL, NULL), (21069, '', '龙泉村', 'adf94b0ee73c47b3b7763598b3c363e1', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113217', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113217', 1, '2021-07-19 11:53:27', NULL, NULL), (21070, '', '新屋村', 'b4dcbf3ee9f94d58b77847a77fe72fc6', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113218', 5, '新屋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113218', 1, '2021-07-19 11:53:27', NULL, NULL), (21071, '', '石塔村', 'a5c8757032af4935bb797d3a77ab35e2', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113219', 5, '石塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113219', 1, '2021-07-19 11:53:27', NULL, NULL), (21072, '', '前进村', '8e43f6daefc64d41b2acc094e12d588c', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113220', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113220', 1, '2021-07-19 11:53:27', NULL, NULL), (21073, '', '鱼湾村', '8b57dc65db3746c181937d3c4c9c284a', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113221', 5, '鱼湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113221', 1, '2021-07-19 11:53:28', NULL, NULL), (21074, '', '兴利村', '49a88570cb7b4812b5a7140a85436329', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113222', 5, '兴利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113222', 1, '2021-07-19 11:53:28', NULL, NULL), (21075, '', '天泉村', '59ba592b2acb4a349c04eb4065fa7a09', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113223', 5, '天泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113223', 1, '2021-07-19 11:53:28', NULL, NULL), (21076, '', '场坝村', '83fecb7aab8943e28fbd8b9465fc74ea', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113224', 5, '场坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113224', 1, '2021-07-19 11:53:28', NULL, NULL), (21077, '', '普照村', 'e6090237b7b34750aa623408032e0059', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113225', 5, '普照村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113225', 1, '2021-07-19 11:53:28', NULL, NULL), (21078, '', '新华村', '5db27a6c2c8b43359173f4196b724d28', 'f6a93e876eaf4d8a876d02333a50ff20', 'False', 'True', 'false', 'false', '511523113226', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523113226', 1, '2021-07-19 11:53:28', NULL, NULL), (21079, '', '大井镇', '23bcdbc571f148fa84a98b7b0030bfe6', 'ce5de60fba794dd8a92cf234621923d8', 'True', 'True', 'false', 'false', '511523114000', 4, '大井镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511523114000', 1, '2021-07-19 11:53:28', NULL, NULL), (21080, '', '大井社区', '60759afa282a478db478d245e5119bd6', '23bcdbc571f148fa84a98b7b0030bfe6', 'False', 'True', 'false', 'false', '511523114001', 5, '大井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523114001', 1, '2021-07-19 11:53:28', NULL, NULL), (21081, '', '大井村', '2206edcabdae4d8fb45d9ec612e1b421', '23bcdbc571f148fa84a98b7b0030bfe6', 'False', 'True', 'false', 'false', '511523114002', 5, '大井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523114002', 1, '2021-07-19 11:53:28', NULL, NULL), (21082, '', '保家村', '25b5d744ddbc4024b47606d607fdf406', '23bcdbc571f148fa84a98b7b0030bfe6', 'False', 'True', 'false', 'false', '511523114004', 5, '保家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523114004', 1, '2021-07-19 11:53:28', NULL, NULL), (21083, '', '友好村', 'fb9ab6eade154c7ebd5d56356688a299', '23bcdbc571f148fa84a98b7b0030bfe6', 'False', 'True', 'false', 'false', '511523114008', 5, '友好村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523114008', 1, '2021-07-19 11:53:28', NULL, NULL), (21084, '', '龙坝村', 'd920cf024f414096bab8c833d5ce4d0a', '23bcdbc571f148fa84a98b7b0030bfe6', 'False', 'True', 'false', 'false', '511523114011', 5, '龙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523114011', 1, '2021-07-19 11:53:28', NULL, NULL), (21085, '', '太平村', 'e219c4febc03460f82dffeea12720580', '23bcdbc571f148fa84a98b7b0030bfe6', 'False', 'True', 'false', 'false', '511523114013', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523114013', 1, '2021-07-19 11:53:28', NULL, NULL), (21086, '', '兴伏村', 'f06e0fbd95ee4788b9e6b80bf464cd05', '23bcdbc571f148fa84a98b7b0030bfe6', 'False', 'True', 'false', 'false', '511523114016', 5, '兴伏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523114016', 1, '2021-07-19 11:53:28', NULL, NULL), (21087, '', '大房村', 'f1735883aaaf42879d50351bd75d72bf', '23bcdbc571f148fa84a98b7b0030bfe6', 'False', 'True', 'false', 'false', '511523114017', 5, '大房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523114017', 1, '2021-07-19 11:53:29', NULL, NULL), (21088, '', '五丰村', 'b630e66dafaa49be99aa5548f4edfc16', '23bcdbc571f148fa84a98b7b0030bfe6', 'False', 'True', 'false', 'false', '511523114018', 5, '五丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523114018', 1, '2021-07-19 11:53:29', NULL, NULL), (21089, '', '丰收村', 'dd00b46d795a46c9b87a15211b02f5c3', '23bcdbc571f148fa84a98b7b0030bfe6', 'False', 'True', 'false', 'false', '511523114019', 5, '丰收村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523114019', 1, '2021-07-19 11:53:29', NULL, NULL), (21090, '', '铜锣村', 'b5b9b346d8904bff87845d9479dd3508', '23bcdbc571f148fa84a98b7b0030bfe6', 'False', 'True', 'false', 'false', '511523114022', 5, '铜锣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523114022', 1, '2021-07-19 11:53:29', NULL, NULL), (21091, '', '九龙村', 'dd28bd0a97294fc79c73e61fbbfaeeb1', '23bcdbc571f148fa84a98b7b0030bfe6', 'False', 'True', 'false', 'false', '511523114023', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523114023', 1, '2021-07-19 11:53:29', NULL, NULL), (21092, '', '阳春镇', '96105564b709442f98ab1e3f0eb27151', 'ce5de60fba794dd8a92cf234621923d8', 'True', 'True', 'false', 'false', '511523115000', 4, '阳春镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511523115000', 1, '2021-07-19 11:53:29', NULL, NULL), (21093, '', '三元村', 'd10b6ea09682418a85ced5a225309a2e', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115024', 5, '三元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115024', 1, '2021-07-19 11:53:29', NULL, NULL), (21094, '', '临江村', '114da518dbc240fe9e799b8029812ad9', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115025', 5, '临江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115025', 1, '2021-07-19 11:53:29', NULL, NULL), (21095, '', '总旗村', '2ee7146d8fcb4c9f88c894cb258c543e', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115044', 5, '总旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115044', 1, '2021-07-19 11:53:29', NULL, NULL), (21096, '', '姜庙社区村', '2a85b4282009483c81939c70672823a7', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115093', 5, '姜庙社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115093', 1, '2021-07-19 11:53:29', NULL, NULL), (21097, '', '石头社区村', '02f52d37743646f9b20251ab38add034', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115094', 5, '石头社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115094', 1, '2021-07-19 11:53:29', NULL, NULL), (21098, '', '红花村', '9bfb07cfa3094c919ea01974d5489e3e', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115122', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115122', 1, '2021-07-19 11:53:29', NULL, NULL), (21099, '', '井安社区', '445eb35762a44c25b70452382e83fb7f', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115177', 5, '井安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115177', 1, '2021-07-19 11:53:29', NULL, NULL), (21100, '', '金江村', '678db5d6abb946a2b0836ef999e583aa', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115260', 5, '金江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115260', 1, '2021-07-19 11:53:30', NULL, NULL), (21101, '', '白坭村', '34a01a78baa5400c9f61636eb8a83013', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115280', 5, '白坭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115280', 1, '2021-07-19 11:53:30', NULL, NULL), (21102, '', '金家滩村', '3fa3d73b9d7642c8bce2e17692f543e2', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115311', 5, '金家滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115311', 1, '2021-07-19 11:53:30', NULL, NULL), (21103, '', '踏水桥村', '4182ff7506c34af8be45b6f7f986ce2d', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115339', 5, '踏水桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115339', 1, '2021-07-19 11:53:30', NULL, NULL), (21104, '', '增产村', 'f8dbdf513d2c45bab9ec27cba3d65def', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115351', 5, '增产村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115351', 1, '2021-07-19 11:53:30', NULL, NULL), (21105, '', '山华社区村', '41d2960680b34ff9800374906b802d38', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115408', 5, '山华社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115408', 1, '2021-07-19 11:53:30', NULL, NULL), (21106, '', '双江村', 'ff1b8efad66445429cb5474bb559b41d', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115584', 5, '双江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115584', 1, '2021-07-19 11:53:30', NULL, NULL), (21107, '', '中坝村', '8b96799e61d34cf6a563df2fbdd57564', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115613', 5, '中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115613', 1, '2021-07-19 11:53:30', NULL, NULL), (21108, '', '高洞村', 'cc3216d9db9d4fe2af1203e1963e7573', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115619', 5, '高洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115619', 1, '2021-07-19 11:53:30', NULL, NULL), (21109, '', '高石村', '40561439a4a94d558ffed53494a41b35', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115683', 5, '高石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115683', 1, '2021-07-19 11:53:30', NULL, NULL), (21110, '', '走马村', 'c7687c6c74154089900c50ec040175a5', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115698', 5, '走马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115698', 1, '2021-07-19 11:53:30', NULL, NULL), (21111, '', '云丰村', '3086f3f9fa8543ae8450523bb75098c4', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115699', 5, '云丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115699', 1, '2021-07-19 11:53:30', NULL, NULL), (21112, '', '老王村', 'f0d9fb4273d1470c8b4922dff9db3444', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115724', 5, '老王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115724', 1, '2021-07-19 11:53:30', NULL, NULL), (21113, '', '合香村', '1776469cc5554fae865c5b6c53b5fb42', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115743', 5, '合香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115743', 1, '2021-07-19 11:53:31', NULL, NULL), (21114, '', '全乐村', '3891e0358c0244f6b19cb0df123254ec', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115781', 5, '全乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115781', 1, '2021-07-19 11:53:31', NULL, NULL), (21115, '', '桐梓社区', '0e1117d535af4c8f935b48e1290e2128', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115818', 5, '桐梓社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115818', 1, '2021-07-19 11:53:31', NULL, NULL), (21116, '', '复元村', '1dbd9077e37b4284b4b596023e4cedbd', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115832', 5, '复元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115832', 1, '2021-07-19 11:53:31', NULL, NULL), (21117, '', '凤凰村', '34593f3044114080a37acc3a321404df', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115847', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115847', 1, '2021-07-19 11:53:31', NULL, NULL), (21118, '', '七星村', '152a57a47c094c409dd893d370637fd8', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115856', 5, '七星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115856', 1, '2021-07-19 11:53:31', NULL, NULL), (21119, '', '卯埂社区村', '944d89a8e6484e75a666b689c776ded9', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115997', 5, '卯埂社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115997', 1, '2021-07-19 11:53:31', NULL, NULL), (21120, '', '阳春社区', '27246c63d8fe42d0a030eeb572730e63', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115001', 5, '阳春社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115001', 1, '2021-07-19 11:53:31', NULL, NULL), (21121, '', '滥坝社区', 'c97674b52e3d45f9aebee0cc6d17bd33', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115002', 5, '滥坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115002', 1, '2021-07-19 11:53:31', NULL, NULL), (21122, '', '长乐村', 'b14de58524384404b20d3608b42b7a78', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115203', 5, '长乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115203', 1, '2021-07-19 11:53:31', NULL, NULL), (21123, '', '土红村', 'b2344fb7e32c47d696a1a8cb4b5f4a6e', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115204', 5, '土红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115204', 1, '2021-07-19 11:53:31', NULL, NULL), (21124, '', '平福村', '918387dbd51746f683d4bb74ff410b01', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115208', 5, '平福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115208', 1, '2021-07-19 11:53:31', NULL, NULL), (21125, '', '大竹村', 'c818c3c021f143a99abf2390ecc1f257', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115209', 5, '大竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115209', 1, '2021-07-19 11:53:31', NULL, NULL), (21126, '', '乱石社区', '877f00b7ad344266a16d30883af5339f', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115211', 5, '乱石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115211', 1, '2021-07-19 11:53:31', NULL, NULL), (21127, '', '兴旺社区村', 'cf27a2cc009a411c8df19cc6fa64a2b1', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115212', 5, '兴旺社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115212', 1, '2021-07-19 11:53:31', NULL, NULL), (21128, '', '高潮村', '38253c0893ac414ab4612de2e66fcd70', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115214', 5, '高潮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115214', 1, '2021-07-19 11:53:32', NULL, NULL), (21129, '', '九龙村', '38742868a1b14c6d9b5eb22c1cea2d5f', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115215', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115215', 1, '2021-07-19 11:53:32', NULL, NULL), (21130, '', '白塔社区', '2e0b34cf92b14fc7808e5c8b0f6f1ec4', '96105564b709442f98ab1e3f0eb27151', 'False', 'True', 'false', 'false', '511523115217', 5, '白塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523115217', 1, '2021-07-19 11:53:32', NULL, NULL), (21131, '', '大妙镇', 'b441a28ee36c401cb380ff54ea8e936c', 'ce5de60fba794dd8a92cf234621923d8', 'True', 'True', 'false', 'false', '511523200000', 4, '大妙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511523200000', 1, '2021-07-19 11:53:32', NULL, NULL), (21132, '', '大妙社区', 'dd7bc60083984dc2a5044f984db4e284', 'b441a28ee36c401cb380ff54ea8e936c', 'False', 'True', 'false', 'false', '511523200001', 5, '大妙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523200001', 1, '2021-07-19 11:53:32', NULL, NULL), (21133, '', '白云村', '8ccd516897444fceb3c9c8339a1aaf37', 'b441a28ee36c401cb380ff54ea8e936c', 'False', 'True', 'false', 'false', '511523200202', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523200202', 1, '2021-07-19 11:53:32', NULL, NULL), (21134, '', '召岩村', 'fee697dea93e4a6eb1e336d3350b7d57', 'b441a28ee36c401cb380ff54ea8e936c', 'False', 'True', 'false', 'false', '511523200203', 5, '召岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523200203', 1, '2021-07-19 11:53:32', NULL, NULL), (21135, '', '均坝村', 'f499a27afda6449b84b26ddf4039a798', 'b441a28ee36c401cb380ff54ea8e936c', 'False', 'True', 'false', 'false', '511523200205', 5, '均坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523200205', 1, '2021-07-19 11:53:32', NULL, NULL), (21136, '', '分水村', '2405192de4904243b890ef39cb3bade5', 'b441a28ee36c401cb380ff54ea8e936c', 'False', 'True', 'false', 'false', '511523200206', 5, '分水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523200206', 1, '2021-07-19 11:53:32', NULL, NULL), (21137, '', '顺河村', 'db0645d71f5f45a695636cfc88a09d18', 'b441a28ee36c401cb380ff54ea8e936c', 'False', 'True', 'false', 'false', '511523200207', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523200207', 1, '2021-07-19 11:53:32', NULL, NULL), (21138, '', '胜利村', '2cc0d9cf6d8d4a3f8aa692084bbaeb65', 'b441a28ee36c401cb380ff54ea8e936c', 'False', 'True', 'false', 'false', '511523200208', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523200208', 1, '2021-07-19 11:53:32', NULL, NULL), (21139, '', '三星村', '9f7bc45a64a54650b19573568b54b38b', 'b441a28ee36c401cb380ff54ea8e936c', 'False', 'True', 'false', 'false', '511523200209', 5, '三星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523200209', 1, '2021-07-19 11:53:32', NULL, NULL), (21140, '', '仁和镇', '0d6a0afcf64442a6ad88ec708390431e', 'ce5de60fba794dd8a92cf234621923d8', 'True', 'True', 'false', 'false', '511523205000', 4, '仁和镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511523205000', 1, '2021-07-19 11:53:32', NULL, NULL), (21141, '', '仁和社区', '7c23f98a9c4f4da791081923a7a2236b', '0d6a0afcf64442a6ad88ec708390431e', 'False', 'True', 'false', 'false', '511523205001', 5, '仁和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523205001', 1, '2021-07-19 11:53:32', NULL, NULL), (21142, '', '桂花村', '4a7edfbda78946ceab702375bc0e0774', '0d6a0afcf64442a6ad88ec708390431e', 'False', 'True', 'false', 'false', '511523205201', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523205201', 1, '2021-07-19 11:53:32', NULL, NULL), (21143, '', '鹿鸣村', 'fc7aed77f5714d298a5de6b1b036a440', '0d6a0afcf64442a6ad88ec708390431e', 'False', 'True', 'false', 'false', '511523205202', 5, '鹿鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523205202', 1, '2021-07-19 11:53:32', NULL, NULL), (21144, '', '石仓村', '3f3c0e8c91da4370805d7f64ea45eb90', '0d6a0afcf64442a6ad88ec708390431e', 'False', 'True', 'false', 'false', '511523205203', 5, '石仓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523205203', 1, '2021-07-19 11:53:33', NULL, NULL), (21145, '', '义合村', '9e56bb081f714f0095863e9a1092ace1', '0d6a0afcf64442a6ad88ec708390431e', 'False', 'True', 'false', 'false', '511523205204', 5, '义合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523205204', 1, '2021-07-19 11:53:33', NULL, NULL), (21146, '', '仁义村', '4b6a1490288546dc9b5c8c83d1e31357', '0d6a0afcf64442a6ad88ec708390431e', 'False', 'True', 'false', 'false', '511523205205', 5, '仁义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523205205', 1, '2021-07-19 11:53:33', NULL, NULL), (21147, '', '月亮村', '517173b9c0cb4ceeba0be28d0c5fff81', '0d6a0afcf64442a6ad88ec708390431e', 'False', 'True', 'false', 'false', '511523205206', 5, '月亮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523205206', 1, '2021-07-19 11:53:33', NULL, NULL), (21148, '', '会龙村', '9e32f3b1bc5649bebf507f28727bbfcb', '0d6a0afcf64442a6ad88ec708390431e', 'False', 'True', 'false', 'false', '511523205207', 5, '会龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523205207', 1, '2021-07-19 11:53:33', NULL, NULL), (21149, '', '青年村', '5764183d48e04119b6c058cd354e8ebe', '0d6a0afcf64442a6ad88ec708390431e', 'False', 'True', 'false', 'false', '511523205208', 5, '青年村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523205208', 1, '2021-07-19 11:53:33', NULL, NULL), (21150, '', '佛耳村', '700541082a544de2ac65fa3f6f3508e7', '0d6a0afcf64442a6ad88ec708390431e', 'False', 'True', 'false', 'false', '511523205209', 5, '佛耳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523205209', 1, '2021-07-19 11:53:33', NULL, NULL), (21151, '', '同太村', '6a687096b5824dcca747c037bb1a5cfd', '0d6a0afcf64442a6ad88ec708390431e', 'False', 'True', 'false', 'false', '511523205210', 5, '同太村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523205210', 1, '2021-07-19 11:53:33', NULL, NULL), (21152, '', '保证村', '04825a8f412f42ad9dff9bf6f0303eaa', '0d6a0afcf64442a6ad88ec708390431e', 'False', 'True', 'false', 'false', '511523205211', 5, '保证村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523205211', 1, '2021-07-19 11:53:33', NULL, NULL), (21153, '', '来龙村', '07a7b4821a984cacb0ffa3d8d53b8a5f', '0d6a0afcf64442a6ad88ec708390431e', 'False', 'True', 'false', 'false', '511523205212', 5, '来龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523205212', 1, '2021-07-19 11:53:33', NULL, NULL), (21154, '', '川山村', '5a7375dde1594bd8ac2e876768065185', '0d6a0afcf64442a6ad88ec708390431e', 'False', 'True', 'false', 'false', '511523205213', 5, '川山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523205213', 1, '2021-07-19 11:53:33', NULL, NULL), (21155, '', '水口村', '0a46367481314b368cb71dea7b6bf86f', '0d6a0afcf64442a6ad88ec708390431e', 'False', 'True', 'false', 'false', '511523205214', 5, '水口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523205214', 1, '2021-07-19 11:53:33', NULL, NULL), (21156, '', '伏龙村', 'bb04c6552e944ab5843e55cde50841a7', '0d6a0afcf64442a6ad88ec708390431e', 'False', 'True', 'false', 'false', '511523205215', 5, '伏龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511523205215', 1, '2021-07-19 11:53:33', NULL, NULL), (21157, '', '长宁县', 'e7d070bba0924709a7f8107743ab8556', '8fc9422b1bca40fa86f12b028b33e6cf', 'True', 'True', 'false', 'false', '511524000000', 3, '长宁县', 'ybscnx.sczwfw.gov.cn', 1, '2021-07-19 11:53:34', NULL, NULL), (21158, '', '竹海镇', '3a5c70f9de024eed95b60a12720c4a27', 'e7d070bba0924709a7f8107743ab8556', 'False', 'True', 'false', 'false', '511524649000', 4, '竹海镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511524649000', 1, '2021-07-19 11:53:34', NULL, NULL), (21159, '', '梅硐镇', '8980946b35c240099a0a2d234648b9ee', 'e7d070bba0924709a7f8107743ab8556', 'True', 'True', 'false', 'false', '511524101000', 4, '梅硐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511524101000', 1, '2021-07-19 11:53:34', NULL, NULL), (21160, '', '回龙社区', '52f3a36d4aea443eb45c5dbc95abf86e', '8980946b35c240099a0a2d234648b9ee', 'False', 'True', 'false', 'false', '511524101001', 5, '回龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524101001', 1, '2021-07-19 11:53:34', NULL, NULL), (21161, '', '石陇村', '18ccbfb98e8b4045aed7eaf138616bc0', '8980946b35c240099a0a2d234648b9ee', 'False', 'True', 'false', 'false', '511524101201', 5, '石陇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524101201', 1, '2021-07-19 11:53:34', NULL, NULL), (21162, '', '泽鸿村', 'b651759778524315889f45009817fd2c', '8980946b35c240099a0a2d234648b9ee', 'False', 'True', 'false', 'false', '511524101205', 5, '泽鸿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524101205', 1, '2021-07-19 11:53:34', NULL, NULL), (21163, '', '马坪村', '12b81aa7726944cc95eab28d2411d2ae', '8980946b35c240099a0a2d234648b9ee', 'False', 'True', 'false', 'false', '511524101207', 5, '马坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524101207', 1, '2021-07-19 11:53:34', NULL, NULL), (21164, '', '马安村', '1bcd4f1923304164b1377fe86154837d', '8980946b35c240099a0a2d234648b9ee', 'False', 'True', 'false', 'false', '511524101209', 5, '马安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524101209', 1, '2021-07-19 11:53:34', NULL, NULL), (21165, '', '红光村', 'ca0dde443bcf4bc690931a5b2e14f840', '8980946b35c240099a0a2d234648b9ee', 'False', 'True', 'false', 'false', '511524101211', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524101211', 1, '2021-07-19 11:53:34', NULL, NULL), (21166, '', '东河村', 'e847b1faca7e4dfe89e3257a4ef1af1c', '8980946b35c240099a0a2d234648b9ee', 'False', 'True', 'false', 'false', '511524101212', 5, '东河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524101212', 1, '2021-07-19 11:53:34', NULL, NULL), (21167, '', '高简村', 'b310e9b4426249009388188f4dea7311', '8980946b35c240099a0a2d234648b9ee', 'False', 'True', 'false', 'false', '511524101214', 5, '高简村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524101214', 1, '2021-07-19 11:53:34', NULL, NULL), (21168, '', '中坪村', 'e5276b69baf64777aa85b17a3976913d', '8980946b35c240099a0a2d234648b9ee', 'False', 'True', 'false', 'false', '511524101215', 5, '中坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524101215', 1, '2021-07-19 11:53:34', NULL, NULL), (21169, '', '天文村', 'eb6fef8533b74e408dcd45182a6d3a67', '8980946b35c240099a0a2d234648b9ee', 'False', 'True', 'false', 'false', '511524101217', 5, '天文村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524101217', 1, '2021-07-19 11:53:34', NULL, NULL), (21170, '', '龙尾村', 'e1dbc36c291c45809a67b14e30e10c24', '8980946b35c240099a0a2d234648b9ee', 'False', 'True', 'false', 'false', '511524101218', 5, '龙尾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524101218', 1, '2021-07-19 11:53:34', NULL, NULL), (21171, '', '双河镇', '59065e27c0be426cae5f70472f282ecd', 'e7d070bba0924709a7f8107743ab8556', 'True', 'True', 'false', 'false', '511524102000', 4, '双河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511524102000', 1, '2021-07-19 11:53:34', NULL, NULL), (21172, '', '双河社区', 'd04e87461dec4ba2a3028ea6bbabd921', '59065e27c0be426cae5f70472f282ecd', 'False', 'True', 'false', 'false', '511524102001', 5, '双河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524102001', 1, '2021-07-19 11:53:34', NULL, NULL), (21173, '', '青龙社区', 'cfbfbc1545e9499abc5ab69a4e92ece3', '59065e27c0be426cae5f70472f282ecd', 'False', 'False', 'false', 'false', '511524102002', 5, '青龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524102002', 1, '2021-07-19 11:53:35', NULL, NULL), (21174, '', '前进村', '857bb2b3654a402eb9c5848a446d43ed', '59065e27c0be426cae5f70472f282ecd', 'False', 'False', 'false', 'false', '511524102205', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524102205', 1, '2021-07-19 11:53:35', NULL, NULL), (21175, '', '珍珠村', 'a6b81fbab9894f95aa0aefd7ce64fdd6', '59065e27c0be426cae5f70472f282ecd', 'False', 'True', 'false', 'false', '511524102209', 5, '珍珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524102209', 1, '2021-07-19 11:53:35', NULL, NULL), (21176, '', '犁头村', 'f4ac4c60101c40cfb75bc0a0096106bb', '59065e27c0be426cae5f70472f282ecd', 'False', 'False', 'false', 'false', '511524102211', 5, '犁头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524102211', 1, '2021-07-19 11:53:35', NULL, NULL), (21177, '', '笔架村', 'e58d54a3e892469ab8ea9c802a562fff', '59065e27c0be426cae5f70472f282ecd', 'False', 'False', 'false', 'false', '511524102213', 5, '笔架村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524102213', 1, '2021-07-19 11:53:35', NULL, NULL), (21178, '', '伏头村', '2c5299da76ec4adbbb0d62f25949795d', '59065e27c0be426cae5f70472f282ecd', 'False', 'True', 'false', 'false', '511524102220', 5, '伏头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524102220', 1, '2021-07-19 11:53:35', NULL, NULL), (21179, '', '合龙村', 'ec722f9658e84169965ad0e7ba2caeaf', '59065e27c0be426cae5f70472f282ecd', 'False', 'False', 'false', 'false', '511524102222', 5, '合龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524102222', 1, '2021-07-19 11:53:35', NULL, NULL), (21180, '', '大合村', 'e2d275c6ec234ebd8915fb97428ee8cb', '59065e27c0be426cae5f70472f282ecd', 'False', 'False', 'false', 'false', '511524102225', 5, '大合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524102225', 1, '2021-07-19 11:53:35', NULL, NULL), (21181, '', '金星村', '5cc93ca6f9cb40f0afd7ec8a99126ba9', '59065e27c0be426cae5f70472f282ecd', 'False', 'False', 'false', 'false', '511524102226', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524102226', 1, '2021-07-19 11:53:35', NULL, NULL), (21182, '', '合家村', 'bef726277fff4c2a9c31170cb511c438', '59065e27c0be426cae5f70472f282ecd', 'False', 'False', 'false', 'false', '511524102229', 5, '合家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524102229', 1, '2021-07-19 11:53:35', NULL, NULL), (21183, '', '宝联村', '024146aae75e4421af480329ba30627c', '59065e27c0be426cae5f70472f282ecd', 'False', 'False', 'false', 'false', '511524102234', 5, '宝联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524102234', 1, '2021-07-19 11:53:35', NULL, NULL), (21184, '', '葡萄井村', 'c9d124add1f140258619579b42714af6', '59065e27c0be426cae5f70472f282ecd', 'False', 'False', 'false', 'false', '511524102235', 5, '葡萄井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524102235', 1, '2021-07-19 11:53:35', NULL, NULL), (21185, '', '介湖村', 'ccebd6ad2a1b4075aaa20558eb54791b', '59065e27c0be426cae5f70472f282ecd', 'False', 'False', 'false', 'false', '511524102236', 5, '介湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524102236', 1, '2021-07-19 11:53:35', NULL, NULL), (21186, '', '大田村', '1e203089acfe46458ab1b0ae4841e6dc', '59065e27c0be426cae5f70472f282ecd', 'False', 'False', 'false', 'false', '511524102237', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524102237', 1, '2021-07-19 11:53:35', NULL, NULL), (21187, '', '上西村', '8f43405224994df9bfd72cf66c0bddc7', '59065e27c0be426cae5f70472f282ecd', 'False', 'False', 'false', 'false', '511524102238', 5, '上西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524102238', 1, '2021-07-19 11:53:35', NULL, NULL), (21188, '', '硐底镇', 'f1ba3971e49346f783b434b9da255552', 'e7d070bba0924709a7f8107743ab8556', 'True', 'True', 'false', 'false', '511524103000', 4, '硐底镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511524103000', 1, '2021-07-19 11:53:36', NULL, NULL), (21189, '', '三合村', '08ba358e065e4333925f393a13bd3fc7', 'f1ba3971e49346f783b434b9da255552', 'False', 'False', 'false', 'false', '511524103212', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524103212', 1, '2021-07-19 11:53:36', NULL, NULL), (21190, '', '翡翠社区', 'd515112f7c8d4494a60218f0a287f198', 'f1ba3971e49346f783b434b9da255552', 'False', 'True', 'false', 'false', '511524103001', 5, '翡翠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524103001', 1, '2021-07-19 11:53:36', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (21191, '', '新堡村', 'd56d29259ad045ebad5f931ab0feb679', 'f1ba3971e49346f783b434b9da255552', 'False', 'True', 'false', 'false', '511524103201', 5, '新堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524103201', 1, '2021-07-19 11:53:36', NULL, NULL), (21192, '', '龙溪村', '70969218a5294c4d81be991f22c9f50e', 'f1ba3971e49346f783b434b9da255552', 'False', 'True', 'false', 'false', '511524103205', 5, '龙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524103205', 1, '2021-07-19 11:53:36', NULL, NULL), (21193, '', '治平村', '55ed8e40878e4bddbd2ff5955714f489', 'f1ba3971e49346f783b434b9da255552', 'False', 'True', 'false', 'false', '511524103206', 5, '治平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524103206', 1, '2021-07-19 11:53:36', NULL, NULL), (21194, '', '三桥村', '866fcb3004224ba3bdb95d8bc9623ed3', 'f1ba3971e49346f783b434b9da255552', 'False', 'True', 'false', 'false', '511524103208', 5, '三桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524103208', 1, '2021-07-19 11:53:36', NULL, NULL), (21195, '', '育贤村', 'f4bfa576e77d4576aee00cd0219c4600', 'f1ba3971e49346f783b434b9da255552', 'False', 'True', 'false', 'false', '511524103209', 5, '育贤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524103209', 1, '2021-07-19 11:53:36', NULL, NULL), (21196, '', '红旗村', 'd0601f1eda4e46f38faa5d5c6de4ecc6', 'f1ba3971e49346f783b434b9da255552', 'False', 'True', 'false', 'false', '511524103210', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524103210', 1, '2021-07-19 11:53:36', NULL, NULL), (21197, '', '石垭村', 'e3f476e4b86f445db521bb07cb366f20', 'f1ba3971e49346f783b434b9da255552', 'False', 'True', 'false', 'false', '511524103211', 5, '石垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524103211', 1, '2021-07-19 11:53:36', NULL, NULL), (21198, '', '花滩镇', '4f8ab844e3824a869b289fc785b95c7d', 'e7d070bba0924709a7f8107743ab8556', 'True', 'True', 'false', 'false', '511524104000', 4, '花滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511524104000', 1, '2021-07-19 11:53:36', NULL, NULL), (21199, '', '林园社区', '91379cb0f50a44ad808317c5d32a143f', '4f8ab844e3824a869b289fc785b95c7d', 'False', 'True', 'false', 'false', '511524104001', 5, '林园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524104001', 1, '2021-07-19 11:53:36', NULL, NULL), (21200, '', '三八村', 'ddb91187d40d48ffbcd159454af5c977', '4f8ab844e3824a869b289fc785b95c7d', 'False', 'True', 'false', 'false', '511524104201', 5, '三八村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524104201', 1, '2021-07-19 11:53:36', NULL, NULL), (21201, '', '大冲村', '918d617f7a7249798b032e586a3b2f8e', '4f8ab844e3824a869b289fc785b95c7d', 'False', 'True', 'false', 'false', '511524104202', 5, '大冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524104202', 1, '2021-07-19 11:53:36', NULL, NULL), (21202, '', '新光村', '833b0408911a44cda659976e9b17d35a', '4f8ab844e3824a869b289fc785b95c7d', 'False', 'True', 'false', 'false', '511524104203', 5, '新光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524104203', 1, '2021-07-19 11:53:36', NULL, NULL), (21203, '', '邓村村', '324ea477f81f4db9a810a647c45ffb41', '4f8ab844e3824a869b289fc785b95c7d', 'False', 'True', 'false', 'false', '511524104204', 5, '邓村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524104204', 1, '2021-07-19 11:53:36', NULL, NULL), (21204, '', '团结村', '0148e86a0c09401f8546faeaf173c8d7', '4f8ab844e3824a869b289fc785b95c7d', 'False', 'True', 'false', 'false', '511524104206', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524104206', 1, '2021-07-19 11:53:37', NULL, NULL), (21205, '', '大坡村', '81ac247993b04a40a6c91180b6544a36', '4f8ab844e3824a869b289fc785b95c7d', 'False', 'True', 'false', 'false', '511524104209', 5, '大坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524104209', 1, '2021-07-19 11:53:37', NULL, NULL), (21206, '', '石梁村', '6dfeceb8593f4b08990185e3035ac759', '4f8ab844e3824a869b289fc785b95c7d', 'False', 'True', 'false', 'false', '511524104210', 5, '石梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524104210', 1, '2021-07-19 11:53:37', NULL, NULL), (21207, '', '丰坪村', '53aba984034e4cd78caa8deb8d7e1cca', '4f8ab844e3824a869b289fc785b95c7d', 'False', 'True', 'false', 'false', '511524104212', 5, '丰坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524104212', 1, '2021-07-19 11:53:37', NULL, NULL), (21208, '', '宁春村', '6fb4244159b1411e8ed2c3672e13a466', '4f8ab844e3824a869b289fc785b95c7d', 'False', 'True', 'false', 'false', '511524104214', 5, '宁春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524104214', 1, '2021-07-19 11:53:37', NULL, NULL), (21209, '', '老翁镇', 'fa70b6e1e6c84860abfaf95e5e3ce981', 'e7d070bba0924709a7f8107743ab8556', 'True', 'True', 'false', 'false', '511524106000', 4, '老翁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511524106000', 1, '2021-07-19 11:53:37', NULL, NULL), (21210, '', '新华社区', 'af0ec8b7e17346fbb2d3433cbf1fd085', 'fa70b6e1e6c84860abfaf95e5e3ce981', 'False', 'True', 'false', 'false', '511524106001', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524106001', 1, '2021-07-19 11:53:37', NULL, NULL), (21211, '', '长翁村', '376582658fd14badac4fc0c065fcfd3e', 'fa70b6e1e6c84860abfaf95e5e3ce981', 'False', 'True', 'false', 'false', '511524106201', 5, '长翁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524106201', 1, '2021-07-19 11:53:37', NULL, NULL), (21212, '', '金光村', 'e26507b2b7cc49d6a6fe63db735dde10', 'fa70b6e1e6c84860abfaf95e5e3ce981', 'False', 'True', 'false', 'false', '511524106202', 5, '金光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524106202', 1, '2021-07-19 11:53:37', NULL, NULL), (21213, '', '天井村', 'f5ed7eca72044dba8ea95badd1abeeba', 'fa70b6e1e6c84860abfaf95e5e3ce981', 'False', 'False', 'false', 'false', '511524106204', 5, '天井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524106204', 1, '2021-07-19 11:53:37', NULL, NULL), (21214, '', '盐井村', 'ecde281a20ce48d9abb4465341010b90', 'fa70b6e1e6c84860abfaf95e5e3ce981', 'False', 'True', 'false', 'false', '511524106205', 5, '盐井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524106205', 1, '2021-07-19 11:53:37', NULL, NULL), (21215, '', '太平村', '5f3a5d6488734555a9ae3ee0ea51d9a6', 'fa70b6e1e6c84860abfaf95e5e3ce981', 'False', 'True', 'false', 'false', '511524106208', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524106208', 1, '2021-07-19 11:53:37', NULL, NULL), (21216, '', '胜利村', '2f46ce3b00294f65aa85efcad531444e', 'fa70b6e1e6c84860abfaf95e5e3ce981', 'False', 'True', 'false', 'false', '511524106209', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524106209', 1, '2021-07-19 11:53:37', NULL, NULL), (21217, '', '大堰村', '8683f09036a84a6194d25ce8b02e24d4', 'fa70b6e1e6c84860abfaf95e5e3ce981', 'False', 'True', 'false', 'false', '511524106210', 5, '大堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524106210', 1, '2021-07-19 11:53:37', NULL, NULL), (21218, '', '旭红村', '85708ccb23cd4c55986a91155ca3f00d', 'fa70b6e1e6c84860abfaf95e5e3ce981', 'False', 'True', 'false', 'false', '511524106211', 5, '旭红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524106211', 1, '2021-07-19 11:53:37', NULL, NULL), (21219, '', '柳村', 'c60b62882987454baf213e71fea49989', 'fa70b6e1e6c84860abfaf95e5e3ce981', 'False', 'True', 'false', 'false', '511524106213', 5, '柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524106213', 1, '2021-07-19 11:53:37', NULL, NULL), (21220, '', '黎明村', '06acb7c137e54a4f8266e6e0f7b08621', 'fa70b6e1e6c84860abfaf95e5e3ce981', 'False', 'True', 'false', 'false', '511524106215', 5, '黎明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524106215', 1, '2021-07-19 11:53:37', NULL, NULL), (21221, '', '古河镇', '347e609d04d34c7c9f777ace8782f25b', 'e7d070bba0924709a7f8107743ab8556', 'True', 'True', 'false', 'false', '511524107000', 4, '古河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511524107000', 1, '2021-07-19 11:53:38', NULL, NULL), (21222, '', '兴河社区', 'd0db629636394fa8aa192da3e93158f7', '347e609d04d34c7c9f777ace8782f25b', 'False', 'True', 'false', 'false', '511524107001', 5, '兴河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524107001', 1, '2021-07-19 11:53:38', NULL, NULL), (21223, '', '群益村', 'e109a5aac0b44baaa25239e508af61d9', '347e609d04d34c7c9f777ace8782f25b', 'False', 'True', 'false', 'false', '511524107201', 5, '群益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524107201', 1, '2021-07-19 11:53:38', NULL, NULL), (21224, '', '红色社区', '3ac9af4069d248329eee3877f732882c', '347e609d04d34c7c9f777ace8782f25b', 'False', 'True', 'false', 'false', '511524107202', 5, '红色社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524107202', 1, '2021-07-19 11:53:38', NULL, NULL), (21225, '', '星五村', '7807855ba5074300a806c21ea110d3e3', '347e609d04d34c7c9f777ace8782f25b', 'False', 'True', 'false', 'false', '511524107206', 5, '新伍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524107206', 1, '2021-07-19 11:53:38', NULL, NULL), (21226, '', '兴隆村', '065c740ee40b4f8a865f7f867f067b9b', '347e609d04d34c7c9f777ace8782f25b', 'False', 'True', 'false', 'false', '511524107207', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524107207', 1, '2021-07-19 11:53:38', NULL, NULL), (21227, '', '泡桐社区', '307f72f749004c2982e23b347c107849', '347e609d04d34c7c9f777ace8782f25b', 'False', 'True', 'false', 'false', '511524107208', 5, '泡桐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524107208', 1, '2021-07-19 11:53:38', NULL, NULL), (21228, '', '茶林村', '5b7ac975e257484d9cc4821d4c70f339', '347e609d04d34c7c9f777ace8782f25b', 'False', 'True', 'false', 'false', '511524107209', 5, '茶林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524107209', 1, '2021-07-19 11:53:38', NULL, NULL), (21229, '', '幸福村', '1682941442a0426e9a0f9412b41a0d56', '347e609d04d34c7c9f777ace8782f25b', 'False', 'True', 'false', 'false', '511524107210', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524107210', 1, '2021-07-19 11:53:38', NULL, NULL), (21230, '', '保农村', '487cdcbdee2640ee9df9c36d58e5236d', '347e609d04d34c7c9f777ace8782f25b', 'False', 'True', 'false', 'false', '511524107212', 5, '保农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524107212', 1, '2021-07-19 11:53:38', NULL, NULL), (21231, '', '保民村', '2dad1688ad1848f19a8353ff5193c8d9', '347e609d04d34c7c9f777ace8782f25b', 'False', 'True', 'false', 'false', '511524107213', 5, '保民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524107213', 1, '2021-07-19 11:53:38', NULL, NULL), (21232, '', '龙头镇', '09f1acccf1bb4c42aaa8dae9ecbb74d5', 'e7d070bba0924709a7f8107743ab8556', 'True', 'True', 'false', 'false', '511524110000', 4, '龙头镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511524110000', 1, '2021-07-19 11:53:39', NULL, NULL), (21233, '', '昆仑村', 'c8c7160b444446a083ff3b2b389e4dd9', '09f1acccf1bb4c42aaa8dae9ecbb74d5', 'False', 'True', 'false', 'false', '511524110168', 5, '昆仑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524110168', 1, '2021-07-19 11:53:39', NULL, NULL), (21234, '', '武宁寨村', 'd553b118d30b42df9fec8871db799985', '09f1acccf1bb4c42aaa8dae9ecbb74d5', 'False', 'True', 'false', 'false', '511524110287', 5, '武宁寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524110287', 1, '2021-07-19 11:53:39', NULL, NULL), (21235, '', '两江峙村', '31a7947412a842089cb41fa2bcd0f252', '09f1acccf1bb4c42aaa8dae9ecbb74d5', 'False', 'True', 'false', 'false', '511524110336', 5, '两江峙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524110336', 1, '2021-07-19 11:53:39', NULL, NULL), (21236, '', '小坪村', 'a400ecbf48cb4436be74301af6d64277', '09f1acccf1bb4c42aaa8dae9ecbb74d5', 'False', 'True', 'false', 'false', '511524110430', 5, '小坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524110430', 1, '2021-07-19 11:53:39', NULL, NULL), (21237, '', '兴龙社区', '2de049c18e3f4c0ca2e70a170639558c', '09f1acccf1bb4c42aaa8dae9ecbb74d5', 'False', 'True', 'false', 'false', '511524110488', 5, '兴龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524110488', 1, '2021-07-19 11:53:39', NULL, NULL), (21238, '', '龙华村', '88e0807b86d74f448d2cbb2d1989dfe6', '09f1acccf1bb4c42aaa8dae9ecbb74d5', 'False', 'True', 'false', 'false', '511524110525', 5, '龙华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524110525', 1, '2021-07-19 11:53:39', NULL, NULL), (21239, '', '龙头村', 'fafce96eb5f3473ebf505b30b7f73f7f', '09f1acccf1bb4c42aaa8dae9ecbb74d5', 'False', 'True', 'false', 'false', '511524110551', 5, '龙头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524110551', 1, '2021-07-19 11:53:39', NULL, NULL), (21240, '', '官兴村', '9c57d2749f8a495fb1cb60a5b22346b8', '09f1acccf1bb4c42aaa8dae9ecbb74d5', 'False', 'True', 'false', 'false', '511524110678', 5, '官兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524110678', 1, '2021-07-19 11:53:39', NULL, NULL), (21241, '', '北村村', '419ba05ad41a4368a3937c637b95e7fe', '09f1acccf1bb4c42aaa8dae9ecbb74d5', 'False', 'True', 'false', 'false', '511524110888', 5, '北村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524110888', 1, '2021-07-19 11:53:39', NULL, NULL), (21242, '', '铜鼓镇', 'af5825ec931147d5a4d8f553b1a5f993', 'e7d070bba0924709a7f8107743ab8556', 'True', 'True', 'false', 'false', '511524112000', 4, '铜鼓镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511524112000', 1, '2021-07-19 11:53:39', NULL, NULL), (21243, '', '三元社区', '803e9baa2ed540ff9187368d4c26fa8a', 'af5825ec931147d5a4d8f553b1a5f993', 'False', 'True', 'false', 'false', '511524112210', 5, '三元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524112210', 1, '2021-07-19 11:53:39', NULL, NULL), (21244, '', '铜星村', '101d49a8ea224cceac1f64f02ed2570f', 'af5825ec931147d5a4d8f553b1a5f993', 'False', 'True', 'false', 'false', '511524112384', 5, '铜星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524112384', 1, '2021-07-19 11:53:40', NULL, NULL), (21245, '', '龙舞村', '1cf1c6e52d1045b98803baad3ac6f000', 'af5825ec931147d5a4d8f553b1a5f993', 'False', 'True', 'false', 'false', '511524112407', 5, '龙舞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524112407', 1, '2021-07-19 11:53:40', NULL, NULL), (21246, '', '新星社区', 'd8f8f0996faf44c585df204a73c27265', 'af5825ec931147d5a4d8f553b1a5f993', 'False', 'True', 'false', 'false', '511524112442', 5, '新星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524112442', 1, '2021-07-19 11:53:40', NULL, NULL), (21247, '', '柏果村', '21485c4731164ef9957dce12cf69a590', 'af5825ec931147d5a4d8f553b1a5f993', 'False', 'True', 'false', 'false', '511524112477', 5, '柏果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524112477', 1, '2021-07-19 11:53:40', NULL, NULL), (21248, '', '麒麟村', '5662a43f29894c1ba39bd961011463fd', 'af5825ec931147d5a4d8f553b1a5f993', 'False', 'True', 'false', 'false', '511524112515', 5, '麒麟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524112515', 1, '2021-07-19 11:53:40', NULL, NULL), (21249, '', '天泉村', '19aba18d9b494460a2c248c6824626b0', 'af5825ec931147d5a4d8f553b1a5f993', 'False', 'True', 'false', 'false', '511524112521', 5, '天泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524112521', 1, '2021-07-19 11:53:40', NULL, NULL), (21250, '', '清溪村', '9f9cc70c8f98487b9499402ba67cc8f4', 'af5825ec931147d5a4d8f553b1a5f993', 'False', 'True', 'false', 'false', '511524112618', 5, '清溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524112618', 1, '2021-07-19 11:53:40', NULL, NULL), (21251, '', '黄桷村', '156f255cc3b1427f926380599304f9aa', 'af5825ec931147d5a4d8f553b1a5f993', 'False', 'True', 'false', 'false', '511524112673', 5, '黄桷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524112673', 1, '2021-07-19 11:53:40', NULL, NULL), (21252, '', '星金村', '3bc07e8ce0cd4495a5c8a38b81436b65', 'af5825ec931147d5a4d8f553b1a5f993', 'False', 'True', 'false', 'false', '511524112680', 5, '星金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524112680', 1, '2021-07-19 11:53:40', NULL, NULL), (21253, '', '天池村', 'a715387823944a6083c661f8e22b5919', 'af5825ec931147d5a4d8f553b1a5f993', 'False', 'True', 'false', 'false', '511524112856', 5, '天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524112856', 1, '2021-07-19 11:53:40', NULL, NULL), (21254, '', '大村', 'ef453daf894643398daec0738c26b627', 'af5825ec931147d5a4d8f553b1a5f993', 'False', 'True', 'false', 'false', '511524112983', 5, '大村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524112983', 1, '2021-07-19 11:53:40', NULL, NULL), (21255, '', '熊家村', '25b8ab0944c349ca9cb3537069cd4407', 'af5825ec931147d5a4d8f553b1a5f993', 'False', 'True', 'false', 'false', '511524112991', 5, '熊家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524112991', 1, '2021-07-19 11:53:40', NULL, NULL), (21256, '', '井江镇', '1aad7c77a31a4ff3a25ac934207bda56', 'e7d070bba0924709a7f8107743ab8556', 'True', 'True', 'false', 'false', '511524113000', 4, '井江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511524113000', 1, '2021-07-19 11:53:40', NULL, NULL), (21257, '', '马达村社区', '65ce084cb668424390bdec0738ce1301', '1aad7c77a31a4ff3a25ac934207bda56', 'False', 'True', 'false', 'false', '511524113201', 5, '马达村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524113201', 1, '2021-07-19 11:53:40', NULL, NULL), (21258, '', '仁里村', '0b950c917a1f414f94a5ef076e7200f4', '1aad7c77a31a4ff3a25ac934207bda56', 'False', 'True', 'false', 'false', '511524113204', 5, '仁里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524113204', 1, '2021-07-19 11:53:41', NULL, NULL), (21259, '', '广济村', 'b17292f8cc89473ebce65fa0c824cbfc', '1aad7c77a31a4ff3a25ac934207bda56', 'False', 'True', 'false', 'false', '511524113207', 5, '广济村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524113207', 1, '2021-07-19 11:53:41', NULL, NULL), (21260, '', '佛应村', '2d021d00ac5445fcb1295887b1b7e2de', '1aad7c77a31a4ff3a25ac934207bda56', 'False', 'True', 'false', 'false', '511524113209', 5, '佛应村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524113209', 1, '2021-07-19 11:53:41', NULL, NULL), (21261, '', '太平社区', 'a550ccd290cb4eb2ba76318045a16cdb', '1aad7c77a31a4ff3a25ac934207bda56', 'False', 'True', 'false', 'false', '511524113400', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524113400', 1, '2021-07-19 11:53:41', NULL, NULL), (21262, '', '莲花村', 'ba4ecd741c40403c873430ee2f20c5b2', '1aad7c77a31a4ff3a25ac934207bda56', 'False', 'True', 'false', 'false', '511524113423', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524113423', 1, '2021-07-19 11:53:41', NULL, NULL), (21263, '', '下寨村', '51ae6a038e8b4850b8c5ce564abebde4', '1aad7c77a31a4ff3a25ac934207bda56', 'False', 'True', 'false', 'false', '511524113442', 5, '下寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524113442', 1, '2021-07-19 11:53:41', NULL, NULL), (21264, '', '高硐村', 'a1e5989400a04f9d8df6be164dc888a2', '1aad7c77a31a4ff3a25ac934207bda56', 'False', 'True', 'false', 'false', '511524113601', 5, '高硐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524113601', 1, '2021-07-19 11:53:41', NULL, NULL), (21265, '', '铜锣镇', '757e998000ba4e8ab7f836a0a8334f5e', 'e7d070bba0924709a7f8107743ab8556', 'True', 'True', 'false', 'false', '511524200000', 4, '铜锣镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511524200000', 1, '2021-07-19 11:53:41', NULL, NULL), (21266, '', '龙湖社区', '8fa338bd35a5466488adea04b3a7e234', '757e998000ba4e8ab7f836a0a8334f5e', 'False', 'True', 'false', 'false', '511524200001', 5, '龙湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524200001', 1, '2021-07-19 11:53:41', NULL, NULL), (21267, '', '李子河村委会', 'cbc7b6295a954a989d2b432f128239df', '757e998000ba4e8ab7f836a0a8334f5e', 'False', 'True', 'false', 'false', '511524200201', 5, '李子河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524200201', 1, '2021-07-19 11:53:42', NULL, NULL), (21268, '', '爱国村', '464e120a62e447818ab003964c0d7cd1', '757e998000ba4e8ab7f836a0a8334f5e', 'False', 'True', 'false', 'false', '511524200202', 5, '爱国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524200202', 1, '2021-07-19 11:53:42', NULL, NULL), (21269, '', '凤凰溪村委会', 'e1722d91857a49e9ba3c0e03733994c0', '757e998000ba4e8ab7f836a0a8334f5e', 'False', 'True', 'false', 'false', '511524200205', 5, '凤凰溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524200205', 1, '2021-07-19 11:53:42', NULL, NULL), (21270, '', '红林村', 'd29cdc1f8ec54f20a23263af2e043200', '757e998000ba4e8ab7f836a0a8334f5e', 'False', 'True', 'false', 'false', '511524200207', 5, '红林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524200207', 1, '2021-07-19 11:53:42', NULL, NULL), (21271, '', '龙峰村委会', '6a74d88a1e954dd6be5e5386691173ec', '757e998000ba4e8ab7f836a0a8334f5e', 'False', 'True', 'false', 'false', '511524200208', 5, '龙峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524200208', 1, '2021-07-19 11:53:42', NULL, NULL), (21272, '', '梅白镇', 'd1dea3902f894141b44f83281f9e1ec0', 'e7d070bba0924709a7f8107743ab8556', 'True', 'True', 'false', 'false', '511524208000', 4, '梅白乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511524208000', 1, '2021-07-19 11:53:42', NULL, NULL), (21273, '', '联合村', '724ffe4850d44d958ac13a281f777564', 'd1dea3902f894141b44f83281f9e1ec0', 'False', 'False', 'false', 'false', '511524119206', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524119206', 1, '2021-07-19 11:53:42', NULL, NULL), (21274, '', '文化村', 'f0635299d1c94110b9654ef98086b50d', 'd1dea3902f894141b44f83281f9e1ec0', 'False', 'False', 'false', 'false', '511524119210', 5, '文化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524119210', 1, '2021-07-19 11:53:42', NULL, NULL), (21275, '', '会贤村', '76c58c5a2c564fedbd9266e11f358629', 'd1dea3902f894141b44f83281f9e1ec0', 'False', 'False', 'false', 'false', '511524119213', 5, '会贤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524119213', 1, '2021-07-19 11:53:42', NULL, NULL), (21276, '', '洪谟村', '64763d69048f494d91930ae9b0204816', 'd1dea3902f894141b44f83281f9e1ec0', 'False', 'False', 'false', 'false', '511524208215', 5, '洪谟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524208215', 1, '2021-07-19 11:53:42', NULL, NULL), (21277, '', '碧湖村', '5c614da7bb61439fbfc0da2a608354a6', 'd1dea3902f894141b44f83281f9e1ec0', 'False', 'False', 'false', 'false', '511524208216', 5, '碧湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524208216', 1, '2021-07-19 11:53:42', NULL, NULL), (21278, '', '梅白社区', 'faa72a735d074007ae8ce6de9723f398', 'd1dea3902f894141b44f83281f9e1ec0', 'False', 'True', 'false', 'false', '511524208001', 5, '梅白社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524208001', 1, '2021-07-19 11:53:43', NULL, NULL), (21279, '', '庆丰村', '42edccd7c6e146aebb17c52eb2dbaf2c', 'd1dea3902f894141b44f83281f9e1ec0', 'False', 'True', 'false', 'false', '511524208202', 5, '庆丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524208202', 1, '2021-07-19 11:53:43', NULL, NULL), (21280, '', '力行村', '3462519679c24295ae0bcefe731dcedb', 'd1dea3902f894141b44f83281f9e1ec0', 'False', 'True', 'false', 'false', '511524208208', 5, '力行村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524208208', 1, '2021-07-19 11:53:43', NULL, NULL), (21281, '', '长宁镇', '464892182cb2426389777f8c189efdb7', 'e7d070bba0924709a7f8107743ab8556', 'True', 'True', 'false', 'false', '511524314000', 4, '长宁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511524314000', 1, '2021-07-19 11:53:43', NULL, NULL), (21282, '', '淯江社区', 'db37ba85d08349b494614d3a88bb6308', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100001', 5, '淯江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100001', 1, '2021-07-19 11:53:43', NULL, NULL), (21283, '', '培风社区', 'e999dffb517b4f5d878153c91c31f8b5', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100002', 5, '培风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100002', 1, '2021-07-19 11:53:43', NULL, NULL), (21284, '', '安宁社区', 'dc6b25a7556848578d3631f49d0d1c70', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100003', 5, '安宁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100003', 1, '2021-07-19 11:53:43', NULL, NULL), (21285, '', '竹海社区', '8a1bd7d63d314d8aac57e5f0d713f1b6', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100004', 5, '竹海社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100004', 1, '2021-07-19 11:53:43', NULL, NULL), (21286, '', '碧玉社区', '4503cb7645424dd49ad2a1927f0ffcc8', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100005', 5, '碧玉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100005', 1, '2021-07-19 11:53:43', NULL, NULL), (21287, '', '洪谟社区', 'f4a3221fcb3c4f698c3f3e056dc4678b', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100006', 5, '洪谟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100006', 1, '2021-07-19 11:53:43', NULL, NULL), (21288, '', '安南社区', '90a9caf6d4044b54ab3777f085e25e53', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100007', 5, '安南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100007', 1, '2021-07-19 11:53:43', NULL, NULL), (21289, '', '佛来社区', '97136caba3934b1b91d447c72a553ebf', '464892182cb2426389777f8c189efdb7', 'False', 'False', 'false', 'false', '511524100008', 5, '佛来社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100008', 1, '2021-07-19 11:53:43', NULL, NULL), (21290, '', '大坪村', '22774f1ef4494e06b4766df90a715bce', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100201', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100201', 1, '2021-07-19 11:53:44', NULL, NULL), (21291, '', '八一村', '5ef273fca7524dffb9509ae22ac8bf83', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100202', 5, '八一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100202', 1, '2021-07-19 11:53:44', NULL, NULL), (21292, '', '农利村', 'd191046e05d04393b2c1765031f15d66', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100203', 5, '农利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100203', 1, '2021-07-19 11:53:44', NULL, NULL), (21293, '', '新民村', '09d94430c93d427eb5287b44ce347cd8', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100204', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100204', 1, '2021-07-19 11:53:44', NULL, NULL), (21294, '', '北郊村', '573ac7c1ad2e4a499a7a68b7be15f6d5', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100205', 5, '北郊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100205', 1, '2021-07-19 11:53:44', NULL, NULL), (21295, '', '先锋村', '1c423cc64cd24fe69b7e7a9eea52c7a7', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100206', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100206', 1, '2021-07-19 11:53:44', NULL, NULL), (21296, '', '农权村', 'f472450b029540beb339232206e45eca', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100207', 5, '农权村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100207', 1, '2021-07-19 11:53:44', NULL, NULL), (21297, '', '海水村', '34fb18e9e03d4b37a48f0fbab15dc1c9', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100208', 5, '海水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100208', 1, '2021-07-19 11:53:44', NULL, NULL), (21298, '', '曙光村', '21952ef67e284a98aaa3657abaccbdcd', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100209', 5, '曙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100209', 1, '2021-07-19 11:53:44', NULL, NULL), (21299, '', '盘村村', '71a9f077557e4b05aeabbe0135cf5ce0', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100210', 5, '盘村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100210', 1, '2021-07-19 11:53:44', NULL, NULL), (21300, '', '桂坪村', '2fd2e829bcfd4ef6a1816975ae8f2cd6', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100211', 5, '桂坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100211', 1, '2021-07-19 11:53:44', NULL, NULL), (21301, '', '龙窝村', '8e525178c1a24ba3a2b3af93de7fe419', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100212', 5, '龙窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100212', 1, '2021-07-19 11:53:44', NULL, NULL), (21302, '', '龙台村', 'b1f82c5c31ef457ca51e4e311aeb5f0c', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100213', 5, '龙台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100213', 1, '2021-07-19 11:53:44', NULL, NULL), (21303, '', '羊古村', '06ffe7ee7ff04337bd7ebd364e90f9f4', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100214', 5, '羊古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100214', 1, '2021-07-19 11:53:45', NULL, NULL), (21304, '', '石榴村', 'e577a4ccdbab456aaca78604ce398613', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100215', 5, '石榴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100215', 1, '2021-07-19 11:53:45', NULL, NULL), (21305, '', '顺江村', '2e85a7ed0f124e1091fd30da5fbdd2c7', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100216', 5, '顺江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100216', 1, '2021-07-19 11:53:45', NULL, NULL), (21306, '', '仁和村', '22a76e44726c4e0bb588195389f8f054', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100217', 5, '仁和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100217', 1, '2021-07-19 11:53:45', NULL, NULL), (21307, '', '鱼龙村', 'edf32d43c6a045c4a7bc7fb465a0309a', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100218', 5, '鱼龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100218', 1, '2021-07-19 11:53:45', NULL, NULL), (21308, '', '龙柱村', 'cab73b516c08499c81395524d1abf911', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100219', 5, '龙柱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100219', 1, '2021-07-19 11:53:45', NULL, NULL), (21309, '', '柏坪村', '724fcfa1029e4caba41b5e01d5b14c3d', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100220', 5, '柏坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100220', 1, '2021-07-19 11:53:45', NULL, NULL), (21310, '', '建设村', '1ad838af09834d6e91765b36fb9a2371', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100221', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100221', 1, '2021-07-19 11:53:45', NULL, NULL), (21311, '', '村子村', '2371e87a1744460e88c3f7414decce8e', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100222', 5, '村子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100222', 1, '2021-07-19 11:53:45', NULL, NULL), (21312, '', '荷花村', 'bc0d29ea5fee4e98931ad4a9a3ce8cd8', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100223', 5, '荷花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100223', 1, '2021-07-19 11:53:45', NULL, NULL), (21313, '', '三村村', 'dc99cb3cc39a4d46ba03a69f24f39f90', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100224', 5, '三村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100224', 1, '2021-07-19 11:53:46', NULL, NULL), (21314, '', '坪上村', '069ae2d094894858a00e046836400237', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100225', 5, '坪上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100225', 1, '2021-07-19 11:53:46', NULL, NULL), (21315, '', '和平村', 'a1bd8f70b78b4b2a83e0dbe4b756ed1a', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100226', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100226', 1, '2021-07-19 11:53:46', NULL, NULL), (21316, '', '东风村', 'ee178c30ac134172bbe83b1a2dda098e', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100227', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100227', 1, '2021-07-19 11:53:46', NULL, NULL), (21317, '', '天星村', 'b0a6345312f049dda00a1fe1711fca62', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100228', 5, '天星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100228', 1, '2021-07-19 11:53:46', NULL, NULL), (21318, '', '加林村', 'b379df96e9c84693afe289eb22ca9d85', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100229', 5, '加林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100229', 1, '2021-07-19 11:53:46', NULL, NULL), (21319, '', '群利村', 'f5238ef6c08843c19e6d07281ca1db5f', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100230', 5, '群利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100230', 1, '2021-07-19 11:53:46', NULL, NULL), (21320, '', '石桥村', 'aaf92b49d8a843e4a7608ee5cd889f14', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100231', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100231', 1, '2021-07-19 11:53:46', NULL, NULL), (21321, '', '石坝村', 'e1fb95edeceb431195790d46f810df0c', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100232', 5, '石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100232', 1, '2021-07-19 11:53:46', NULL, NULL), (21322, '', '白合村', '7e329484d52a468ead39a68c566f942d', '464892182cb2426389777f8c189efdb7', 'False', 'True', 'false', 'false', '511524100233', 5, '白合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100233', 1, '2021-07-19 11:53:46', NULL, NULL), (21323, '', '佛梨社区', '88e1bad7f7ae4561806a82b55e271312', '464892182cb2426389777f8c189efdb7', 'False', 'False', 'false', 'false', '511524100234', 5, '佛梨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100234', 1, '2021-07-19 11:53:46', NULL, NULL), (21324, '', '顺河村', '99bb27fa49544dbcaba0b8704befa958', '464892182cb2426389777f8c189efdb7', 'False', 'False', 'false', 'false', '511524100235', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100235', 1, '2021-07-19 11:53:47', NULL, NULL), (21325, '', '两合村', '3c9116980feb45f585a77319e0aae0cd', '464892182cb2426389777f8c189efdb7', 'False', 'False', 'false', 'false', '511524100236', 5, '两合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100236', 1, '2021-07-19 11:53:47', NULL, NULL), (21326, '', '新活村', '913b84809a3841f9b6a6bdeaa45ac0e3', '464892182cb2426389777f8c189efdb7', 'False', 'False', 'false', 'false', '511524100238', 5, '新活村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100238', 1, '2021-07-19 11:53:47', NULL, NULL), (21327, '', '马村社区', 'f80fb1dc43284916a81409fd9f8f221e', '464892182cb2426389777f8c189efdb7', 'False', 'False', 'false', 'false', '511524100239', 5, '马村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100239', 1, '2021-07-19 11:53:47', NULL, NULL), (21328, '', '龙君村', '8537ce5b00fc442781bd18943334e2df', '464892182cb2426389777f8c189efdb7', 'False', 'False', 'false', 'false', '511524100242', 5, '龙君村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100242', 1, '2021-07-19 11:53:47', NULL, NULL), (21329, '', '星月村', 'da717952a745400ca8b0ec61f2deba5a', '464892182cb2426389777f8c189efdb7', 'False', 'False', 'false', 'false', '511524100243', 5, '星月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100243', 1, '2021-07-19 11:53:47', NULL, NULL), (21330, '', '龙门村', '759bae83dc0b4cdc81124cebfb1b328a', '464892182cb2426389777f8c189efdb7', 'False', 'False', 'false', 'false', '511524100244', 5, '龙门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511524100244', 1, '2021-07-19 11:53:47', NULL, NULL), (21331, '', '高县', 'df13eca309fc4307b84bf1832ef0b965', '8fc9422b1bca40fa86f12b028b33e6cf', 'True', 'True', 'false', 'false', '511525000000', 3, '高县', 'ybsgx.sczwfw.gov.cn', 1, '2021-07-19 11:53:47', NULL, NULL), (21332, '', '文江镇', '20e77e4dd27e43da947f728374cd8983', 'df13eca309fc4307b84bf1832ef0b965', 'True', 'True', 'false', 'false', '511525100000', 4, '文江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511525100000', 1, '2021-07-19 11:53:47', NULL, NULL), (21333, '', '民主社区', '27491a8fbdb34d589fba043ffa6531a1', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100001', 5, '民主社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100001', 1, '2021-07-19 11:53:47', NULL, NULL), (21334, '', '柳湖社区', 'e7e8f66d4005490db71739c5c2dbf64a', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100002', 5, '柳湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100002', 1, '2021-07-19 11:53:47', NULL, NULL), (21335, '', '中心社区', 'ef4325575ef04883b7c004b2d2b7d9f7', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100003', 5, '中心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100003', 1, '2021-07-19 11:53:47', NULL, NULL), (21336, '', '滨河社区', 'dc185cd7b1e64b3ebdf6283764c09ae1', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100004', 5, '滨河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100004', 1, '2021-07-19 11:53:47', NULL, NULL), (21337, '', '怀远社区', '511addcc02e243c9a756f59129a183a8', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100006', 5, '怀远社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100006', 1, '2021-07-19 11:53:47', NULL, NULL), (21338, '', '胜利村', '4f9c26b220a04a76a8e125e49c5df071', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100201', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100201', 1, '2021-07-19 11:53:47', NULL, NULL), (21339, '', '七宝村', '71049a94567b4772b8c750c9c857a4b2', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100203', 5, '七宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100203', 1, '2021-07-19 11:53:47', NULL, NULL), (21340, '', '剑南村', 'e536254ed7294085bb972527a664fd61', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100205', 5, '剑南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100205', 1, '2021-07-19 11:53:48', NULL, NULL), (21341, '', '石龙村', '9fa9b89be7fe4198b21f6a12d5a62ec6', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100206', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100206', 1, '2021-07-19 11:53:48', NULL, NULL), (21342, '', '文江村', '0bd83af69c014cb48f917f90d71145df', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100207', 5, '文江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100207', 1, '2021-07-19 11:53:48', NULL, NULL), (21343, '', '籁芴村', 'f12ac8bbd90b4b598839899464733711', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100210', 5, '籁芴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100210', 1, '2021-07-19 11:53:48', NULL, NULL), (21344, '', '凉村', '17b15c282be04485b753bb5de0ae5bda', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100211', 5, '凉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100211', 1, '2021-07-19 11:53:48', NULL, NULL), (21345, '', '大桥村', 'f5878d86fafa4207ab69367713f16d51', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100212', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100212', 1, '2021-07-19 11:53:48', NULL, NULL), (21346, '', '棕树村', '9e0d61c45a4e4b1b935be9c26cf8fac2', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100213', 5, '棕树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100213', 1, '2021-07-19 11:53:48', NULL, NULL), (21347, '', '云山村', 'fbf1161007d64310ab888410e0987bca', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100214', 5, '云山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100214', 1, '2021-07-19 11:53:48', NULL, NULL), (21348, '', '新胜村', '8e3d4c88f8de4597b191556180afe8f3', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100215', 5, '新胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100215', 1, '2021-07-19 11:53:48', NULL, NULL), (21349, '', '黄泥村', '213a03fcb8ff438da9ba95c329f4fffc', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100218', 5, '黄泥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100218', 1, '2021-07-19 11:53:48', NULL, NULL), (21350, '', '腾龙村', '295b147225c94b479501ccca164ee61d', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100226', 5, '腾龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100226', 1, '2021-07-19 11:53:48', NULL, NULL), (21351, '', '同心村', 'ca31d28c493543a1ad9762cf15e55db6', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100227', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100227', 1, '2021-07-19 11:53:48', NULL, NULL), (21352, '', '凉风村', '3f6e4d458ea747f89b2c81bb852dfa02', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100230', 5, '凉风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100230', 1, '2021-07-19 11:53:48', NULL, NULL), (21353, '', '石塔村', 'ec8d22bbaf2e45ee848a01b1c45294dc', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100231', 5, '石塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100231', 1, '2021-07-19 11:53:48', NULL, NULL), (21354, '', '楠木村', 'd88224e204c9447fb7ebf387151c30c9', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100232', 5, '楠木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100232', 1, '2021-07-19 11:53:48', NULL, NULL), (21355, '', '芙蓉村', '7b409d2dc1f6408887cc2ee6b70e9567', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100233', 5, '芙蓉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100233', 1, '2021-07-19 11:53:48', NULL, NULL), (21356, '', '得狼村', '9474d22cbd1a474591bc9dfea416ec04', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100234', 5, '得狼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100234', 1, '2021-07-19 11:53:49', NULL, NULL), (21357, '', '花庄村', 'cb0944ea506e42cf8c85a795dc05fe19', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100235', 5, '花庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100235', 1, '2021-07-19 11:53:49', NULL, NULL), (21358, '', '滕然村', '0047218669de41639a40d7f00243b4ff', '20e77e4dd27e43da947f728374cd8983', 'False', 'True', 'false', 'false', '511525100236', 5, '滕然村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525100236', 1, '2021-07-19 11:53:49', NULL, NULL), (21359, '', '庆符镇', '4b620d4501b84758ac6fbdea5a1f62b3', 'df13eca309fc4307b84bf1832ef0b965', 'True', 'True', 'false', 'false', '511525101000', 4, '庆符镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511525101000', 1, '2021-07-19 11:53:49', NULL, NULL), (21360, '', '星光村', 'f817e5f831e04a528a332678be951833', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'False', 'false', 'false', '511525101001', 5, '星光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525101001', 1, '2021-07-19 11:53:49', NULL, NULL), (21361, '', '四烈村', '9922ab0a67dc46458984b14488a9e2ff', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'False', 'false', 'false', '511525101003', 5, '四烈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525101003', 1, '2021-07-19 11:53:49', NULL, NULL), (21362, '', '大华村', 'cbe37f3806cb41e89bc3266d32fdc0e8', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'False', 'false', 'false', '511525101004', 5, '大华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525101004', 1, '2021-07-19 11:53:49', NULL, NULL), (21363, '', '金星村', 'a405ae11e9f54d94ae81b0cfaa5118de', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'False', 'false', 'false', '511525101006', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525101006', 1, '2021-07-19 11:53:49', NULL, NULL), (21364, '', '水井村', 'f4ce417480324341adbe9f3777336e9d', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'False', 'false', 'false', '511525101007', 5, '水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525101007', 1, '2021-07-19 11:53:49', NULL, NULL), (21365, '', '水塘村', 'd41bd864ee2046e68fd07cab1221e67d', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'False', 'false', 'false', '511525101008', 5, '水塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525101008', 1, '2021-07-19 11:53:49', NULL, NULL), (21366, '', '苗儿村', '70825ba7962a419b97c2dddea6ec496e', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'False', 'false', 'false', '511525101009', 5, '苗儿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525101009', 1, '2021-07-19 11:53:49', NULL, NULL), (21367, '', '硕勋社区', '8b52b9c8ffc0404eb42c3b49b49c392f', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'False', 'false', 'false', '511525101010', 5, '硕勋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525101010', 1, '2021-07-19 11:53:49', NULL, NULL), (21368, '', '先锋社区', '5057c2e7f04043a1b0b6b649fd276a6a', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'False', 'false', 'false', '511525101011', 5, '先锋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525101011', 1, '2021-07-19 11:53:50', NULL, NULL), (21369, '', '希望社区', 'bb2872d160044435ba4da9ce680c8070', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'False', 'false', 'false', '511525101012', 5, '希望社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525101012', 1, '2021-07-19 11:53:50', NULL, NULL), (21370, '', '符江社区', '7225cb8ccf184a9bac00898b3176f7e2', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525101002', 5, '符江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525101002', 1, '2021-07-19 11:53:50', NULL, NULL), (21371, '', '东升社区', '0c5df6dc3e3a4713b78fbb54d16e0702', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525101005', 5, '东升社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525101005', 1, '2021-07-19 11:53:50', NULL, NULL), (21372, '', '西江村', 'a1c76df1bc7e44a7b5ccd0ca13777baa', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525101992', 5, '西江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525101992', 1, '2021-07-19 11:53:50', NULL, NULL), (21373, '', '百通村', '77fba550cd3449ae8899388f793d9886', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102010', 5, '百通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102010', 1, '2021-07-19 11:53:50', NULL, NULL), (21374, '', '小靖村', 'cf7d3b40179e4b7bacc492d4b0109945', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102020', 5, '小靖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102020', 1, '2021-07-19 11:53:50', NULL, NULL), (21375, '', '瓜芦村', '94bb6104e8f34911814d6437131eeafc', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102030', 5, '瓜芦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102030', 1, '2021-07-19 11:53:50', NULL, NULL), (21376, '', '游鱼村', 'f14cac8d40dd4539b9a943448cd7d80b', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102040', 5, '游鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102040', 1, '2021-07-19 11:53:50', NULL, NULL), (21377, '', '永联村', '019cd2b1dca54c909bd4d685c5260f90', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102050', 5, '永联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102050', 1, '2021-07-19 11:53:50', NULL, NULL), (21378, '', '普陀村', 'b82f2ef1a3be4aa4869ab7c0b421a396', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102070', 5, '普陀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102070', 1, '2021-07-19 11:53:51', NULL, NULL), (21379, '', '二龙村', 'a0e1c8f4524c4ea6b4a4f3ebed69cb40', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102080', 5, '二龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102080', 1, '2021-07-19 11:53:51', NULL, NULL), (21380, '', '黄荆村', 'f129281bb6814aab824ee655211261f7', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102090', 5, '黄荆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102090', 1, '2021-07-19 11:53:51', NULL, NULL), (21381, '', '清溪村', '174ab354065f4f7985db832b9b8b5326', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102100', 5, '清溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102100', 1, '2021-07-19 11:53:51', NULL, NULL), (21382, '', '葛藤村', 'd468f6205774455f870908283fe38e83', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102120', 5, '葛藤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102120', 1, '2021-07-19 11:53:51', NULL, NULL), (21383, '', '泡桐村', 'fb76ea474eb34b358cf2e6eec8ec6c35', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102130', 5, '泡桐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102130', 1, '2021-07-19 11:53:51', NULL, NULL), (21384, '', '东升村', 'e3c178d4b7e34b9c96b7a97ad4ff1870', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102140', 5, '东升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102140', 1, '2021-07-19 11:53:51', NULL, NULL), (21385, '', '鹅卵村', 'd85d4ecc770d44a09361cc7da05d116a', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102150', 5, '鹅卵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102150', 1, '2021-07-19 11:53:51', NULL, NULL), (21386, '', '骆家村', 'd9c55789a6a7436cae966fb571883bda', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102160', 5, '骆家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102160', 1, '2021-07-19 11:53:51', NULL, NULL), (21387, '', '丛木村', 'e757f46d4a1d4752a8b05072018bd479', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102170', 5, '丛木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102170', 1, '2021-07-19 11:53:51', NULL, NULL), (21388, '', '水鸭村', '355d4c670c1245d8aee1a5b928dc8d9e', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102180', 5, '水鸭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102180', 1, '2021-07-19 11:53:52', NULL, NULL), (21389, '', '黄桷村', '890b8861be3c41a4883fb968a7584d2a', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102190', 5, '黄桷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102190', 1, '2021-07-19 11:53:52', NULL, NULL), (21390, '', '五公村', 'a8a9eb6fb9404583befbbc3b1840e772', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102200', 5, '五公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102200', 1, '2021-07-19 11:53:52', NULL, NULL), (21391, '', '百家村', 'e37631b634fe408896927b5c61fc0990', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102230', 5, '百家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102230', 1, '2021-07-19 11:53:52', NULL, NULL), (21392, '', '河心村', '563182ecf0a94671b13d071aa730e80c', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102240', 5, '河心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102240', 1, '2021-07-19 11:53:52', NULL, NULL), (21393, '', '金鱼村', 'ccd13023db7443c198740daaecce10c4', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102250', 5, '金鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102250', 1, '2021-07-19 11:53:52', NULL, NULL), (21394, '', '白岩村', '1e9fd61aefef41e888079669578c7803', '4b620d4501b84758ac6fbdea5a1f62b3', 'False', 'True', 'false', 'false', '511525102280', 5, '白岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102280', 1, '2021-07-19 11:53:52', NULL, NULL), (21395, '', '蕉村镇', '70e0bd8c446943458869c81f1652d9a2', 'df13eca309fc4307b84bf1832ef0b965', 'True', 'True', 'false', 'false', '511525106000', 4, '蕉村镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511525106000', 1, '2021-07-19 11:53:52', NULL, NULL), (21396, '', '康新村', '761d9f32c11f4e9c822ccd6ef2cb7fa0', '70e0bd8c446943458869c81f1652d9a2', 'False', 'False', 'false', 'false', '511525106002', 5, '康新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525106002', 1, '2021-07-19 11:53:52', NULL, NULL), (21397, '', '凤凰社区', '299147c6b68e43519b4883ad411deec1', '70e0bd8c446943458869c81f1652d9a2', 'False', 'True', 'false', 'false', '511525106001', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525106001', 1, '2021-07-19 11:53:52', NULL, NULL), (21398, '', '青云村', '6b224461acf243e69636d6d508f6cb18', '70e0bd8c446943458869c81f1652d9a2', 'False', 'True', 'false', 'false', '511525106201', 5, '青云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525106201', 1, '2021-07-19 11:53:52', NULL, NULL), (21399, '', '裕丰村', '2c628a7656524c0f8b9fece292cab77f', '70e0bd8c446943458869c81f1652d9a2', 'False', 'True', 'false', 'false', '511525106202', 5, '裕丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525106202', 1, '2021-07-19 11:53:52', NULL, NULL), (21400, '', '文治村', 'd5e948fa66c440a1a885215c3e55078a', '70e0bd8c446943458869c81f1652d9a2', 'False', 'True', 'false', 'false', '511525106206', 5, '文治村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525106206', 1, '2021-07-19 11:53:53', NULL, NULL), (21401, '', '联民村', 'ec37918b89774ee0b4ca9b6735b8fc6e', '70e0bd8c446943458869c81f1652d9a2', 'False', 'True', 'false', 'false', '511525106208', 5, '联民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525106208', 1, '2021-07-19 11:53:53', NULL, NULL), (21402, '', '联合村', '7ff41466e39a4c3ebced697b990eda89', '70e0bd8c446943458869c81f1652d9a2', 'False', 'True', 'false', 'false', '511525106210', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525106210', 1, '2021-07-19 11:53:53', NULL, NULL), (21403, '', '龙潭村', '5f2e1c8792c144e8960a5c9c7c3f37a0', '70e0bd8c446943458869c81f1652d9a2', 'False', 'True', 'false', 'false', '511525106211', 5, '龙潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525106211', 1, '2021-07-19 11:53:53', NULL, NULL), (21404, '', '万古村', 'c3a2bdd65b2040c9b720ecee9965404d', '70e0bd8c446943458869c81f1652d9a2', 'False', 'True', 'false', 'false', '511525106212', 5, '万古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525106212', 1, '2021-07-19 11:53:53', NULL, NULL), (21405, '', '仁和村', 'f0de98fcee6a4d699e7818194a189da2', '70e0bd8c446943458869c81f1652d9a2', 'False', 'True', 'false', 'false', '511525106213', 5, '仁和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525106213', 1, '2021-07-19 11:53:53', NULL, NULL), (21406, '', '龙政村', '54d22c1e3e20422293a70c2b39a7e3a0', '70e0bd8c446943458869c81f1652d9a2', 'False', 'True', 'false', 'false', '511525106214', 5, '龙政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525106214', 1, '2021-07-19 11:53:53', NULL, NULL), (21407, '', '德坪村', '31e237dd63b54ddbbe127c4ea7f82e38', '70e0bd8c446943458869c81f1652d9a2', 'False', 'True', 'false', 'false', '511525106215', 5, '德坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525106215', 1, '2021-07-19 11:53:53', NULL, NULL), (21408, '', '吉新村', 'a3d7c954022443be819043faa901b357', '70e0bd8c446943458869c81f1652d9a2', 'False', 'True', 'false', 'false', '511525106216', 5, '吉新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525106216', 1, '2021-07-19 11:53:53', NULL, NULL), (21409, '', '胜天镇', '57b9b2b419e34780b7f20f93bb7cca28', 'df13eca309fc4307b84bf1832ef0b965', 'True', 'True', 'false', 'false', '511525110000', 4, '胜天镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511525110000', 1, '2021-07-19 11:53:53', NULL, NULL), (21410, '', '长盛社区', 'c03d516097e14210b26e39aa0dc4a2fb', '57b9b2b419e34780b7f20f93bb7cca28', 'False', 'True', 'false', 'false', '511525110001', 5, '长盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525110001', 1, '2021-07-19 11:53:53', NULL, NULL), (21411, '', '五马村', 'f61576a893bc4aad8104b04c51381f81', '57b9b2b419e34780b7f20f93bb7cca28', 'False', 'True', 'false', 'false', '511525110201', 5, '五马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525110201', 1, '2021-07-19 11:53:53', NULL, NULL), (21412, '', '农民村', 'b0831e6d04114340a283d8726beec311', '57b9b2b419e34780b7f20f93bb7cca28', 'False', 'True', 'false', 'false', '511525110202', 5, '农民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525110202', 1, '2021-07-19 11:53:53', NULL, NULL), (21413, '', '凤鸣村', 'ebb6bb42e39f43bfa67f65fc5a40fb8f', '57b9b2b419e34780b7f20f93bb7cca28', 'False', 'True', 'false', 'false', '511525110203', 5, '凤鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525110203', 1, '2021-07-19 11:53:53', NULL, NULL), (21414, '', '新和村', '136ab97aaad34485817c8c425574dada', '57b9b2b419e34780b7f20f93bb7cca28', 'False', 'True', 'false', 'false', '511525110204', 5, '新和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525110204', 1, '2021-07-19 11:53:53', NULL, NULL), (21415, '', '新民村', '85595e93d1e94024a197bf3687668bd2', '57b9b2b419e34780b7f20f93bb7cca28', 'False', 'True', 'false', 'false', '511525110205', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525110205', 1, '2021-07-19 11:53:53', NULL, NULL), (21416, '', '马鞍村', 'd6e6293df9094ca4b85bec444827fba0', '57b9b2b419e34780b7f20f93bb7cca28', 'False', 'True', 'false', 'false', '511525110209', 5, '马鞍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525110209', 1, '2021-07-19 11:53:53', NULL, NULL), (21417, '', '共和村', 'dde8f4b44abb43cabf0320b62b275ab9', '57b9b2b419e34780b7f20f93bb7cca28', 'False', 'True', 'false', 'false', '511525110210', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525110210', 1, '2021-07-19 11:53:54', NULL, NULL), (21418, '', '新福村', '96c64308a7374033bd575da9699020a6', '57b9b2b419e34780b7f20f93bb7cca28', 'False', 'True', 'false', 'false', '511525110211', 5, '新福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525110211', 1, '2021-07-19 11:53:54', NULL, NULL), (21419, '', '安和村', '576902cceec14792a81f99d31ee91757', '57b9b2b419e34780b7f20f93bb7cca28', 'False', 'True', 'false', 'false', '511525110213', 5, '安和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525110213', 1, '2021-07-19 11:53:54', NULL, NULL), (21420, '', '英鼓村', '5c1549daa7cd4b14b6e46cd629030f45', '57b9b2b419e34780b7f20f93bb7cca28', 'False', 'True', 'false', 'false', '511525110216', 5, '英鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525110216', 1, '2021-07-19 11:53:54', NULL, NULL), (21421, '', '汪家村', 'c11ef2bcd1b74a578af561d94e9945c7', '57b9b2b419e34780b7f20f93bb7cca28', 'False', 'True', 'false', 'false', '511525110217', 5, '汪家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525110217', 1, '2021-07-19 11:53:54', NULL, NULL), (21422, '', '三河村', '6e6832bc8a654eb7b6faec11b105c426', '57b9b2b419e34780b7f20f93bb7cca28', 'False', 'True', 'false', 'false', '511525110219', 5, '三河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525110219', 1, '2021-07-19 11:53:54', NULL, NULL), (21423, '', '落润镇', 'e427fb79c8f34fdc876b731404027ee0', 'df13eca309fc4307b84bf1832ef0b965', 'True', 'True', 'false', 'false', '511525205000', 4, '落润镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511525205000', 1, '2021-07-19 11:53:54', NULL, NULL), (21424, '', '普和村', 'ab8f42cc18bf4d289bd0c4e0020f7db6', 'e427fb79c8f34fdc876b731404027ee0', 'False', 'False', 'false', 'false', '511525205002', 5, '普和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525205002', 1, '2021-07-19 11:53:54', NULL, NULL), (21425, '', '前进村', 'd3d113efb81b4287b3cc7588bf714a3c', 'e427fb79c8f34fdc876b731404027ee0', 'False', 'False', 'false', 'false', '511525205003', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525205003', 1, '2021-07-19 11:53:54', NULL, NULL), (21426, '', '玺润社区', 'f5690bfcec5e43a2a1b344cb36659716', 'e427fb79c8f34fdc876b731404027ee0', 'False', 'True', 'false', 'false', '511525205001', 5, '玺润社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525205001', 1, '2021-07-19 11:53:54', NULL, NULL), (21427, '', '五星村', 'a6a3a89c7d58416e81aaa01c59b32632', 'e427fb79c8f34fdc876b731404027ee0', 'False', 'True', 'false', 'false', '511525205201', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525205201', 1, '2021-07-19 11:53:54', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (21428, '', '国安村', '5597276e0c1a4ac0a684fd6dd8d5a312', 'e427fb79c8f34fdc876b731404027ee0', 'False', 'True', 'false', 'false', '511525205202', 5, '国安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525205202', 1, '2021-07-19 11:53:54', NULL, NULL), (21429, '', '塝上村', 'c70e0e26fa1b4da4a91eed57351e9069', 'e427fb79c8f34fdc876b731404027ee0', 'False', 'True', 'false', 'false', '511525205203', 5, '塝上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525205203', 1, '2021-07-19 11:53:54', NULL, NULL), (21430, '', '红星村', '3289e63a1b304c56a727c1719ccdb56c', 'e427fb79c8f34fdc876b731404027ee0', 'False', 'True', 'false', 'false', '511525205204', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525205204', 1, '2021-07-19 11:53:54', NULL, NULL), (21431, '', '高兴村', '09eba2116b0f4ffe9c502b59d7429d1a', 'e427fb79c8f34fdc876b731404027ee0', 'False', 'True', 'false', 'false', '511525205206', 5, '高兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525205206', 1, '2021-07-19 11:53:55', NULL, NULL), (21432, '', '公益村', '1023d10290ac49129007431d4ee6e48f', 'e427fb79c8f34fdc876b731404027ee0', 'False', 'True', 'false', 'false', '511525205207', 5, '公益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525205207', 1, '2021-07-19 11:53:55', NULL, NULL), (21433, '', '振武村', '822c73d3b81f41db8152282f3e46705f', 'e427fb79c8f34fdc876b731404027ee0', 'False', 'True', 'false', 'false', '511525205209', 5, '振武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525205209', 1, '2021-07-19 11:53:55', NULL, NULL), (21434, '', '前锋村', 'a27225c2e8db4f24a8b7800f3a57f0d9', 'e427fb79c8f34fdc876b731404027ee0', 'False', 'True', 'false', 'false', '511525205211', 5, '前锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525205211', 1, '2021-07-19 11:53:55', NULL, NULL), (21435, '', '新寨村', '2b32dbb09a404e09821d59e5036e7e6b', 'e427fb79c8f34fdc876b731404027ee0', 'False', 'True', 'false', 'false', '511525205212', 5, '新寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525205212', 1, '2021-07-19 11:53:55', NULL, NULL), (21436, '', '来复镇', '3fc47f89023a4bd1aa98e73c3ce4db46', 'df13eca309fc4307b84bf1832ef0b965', 'True', 'True', 'false', 'false', '511525331000', 4, '来复镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511525331000', 1, '2021-07-19 11:53:55', NULL, NULL), (21437, '', '崇新村', '7068d93d636b4746b40229063783cab5', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'False', 'false', 'false', '511525108002', 5, '崇新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108002', 1, '2021-07-19 11:53:55', NULL, NULL), (21438, '', '新农村', '13b77392aa4e497b956dd2a6d70cc475', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'False', 'false', 'false', '511525108003', 5, '新农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108003', 1, '2021-07-19 11:53:55', NULL, NULL), (21439, '', '燕子村', '537c4d7999114e56801c5791f3a02cb3', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'False', 'false', 'false', '511525108004', 5, '燕子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108004', 1, '2021-07-19 11:53:55', NULL, NULL), (21440, '', '百花村', 'a432c6e71b0840729b924b7d4f37f4ab', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'False', 'false', 'false', '511525108005', 5, '百花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108005', 1, '2021-07-19 11:53:55', NULL, NULL), (21441, '', '金村', '2234c39f1905466e84a0cf63a9b9c1f8', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'False', 'false', 'false', '511525108006', 5, '金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108006', 1, '2021-07-19 11:53:55', NULL, NULL), (21442, '', '大屋村', '7390c5fbce4b4cc1855f9d3f709b7b2d', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'False', 'false', 'false', '511525108007', 5, '大屋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108007', 1, '2021-07-19 11:53:55', NULL, NULL), (21443, '', '新南村', 'a97204dba3b444978824c12269fd7f16', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'False', 'false', 'false', '511525108008', 5, '新南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108008', 1, '2021-07-19 11:53:55', NULL, NULL), (21444, '', '永宁村', '57ef42d6525a4c7b8d4bcb7ab0a34cfe', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'False', 'false', 'false', '511525108009', 5, '永宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108009', 1, '2021-07-19 11:53:55', NULL, NULL), (21445, '', '青？村', '1ca6ecf8504a485ab089488dd774846a', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'False', 'false', 'false', '511525108010', 5, '青？村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108010', 1, '2021-07-19 11:53:56', NULL, NULL), (21446, '', '石梯村', '83e666bfef0a4a35a93f30f91153abf7', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'False', 'false', 'false', '511525108011', 5, '石梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108011', 1, '2021-07-19 11:53:56', NULL, NULL), (21447, '', '大山村', '93acfa72cdef4f81b00273a619481693', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'False', 'false', 'false', '511525108012', 5, '大山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108012', 1, '2021-07-19 11:53:56', NULL, NULL), (21448, '', '滚沱村', 'b3dc043518894d9cbe799ebb10821385', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'False', 'false', 'false', '511525108013', 5, '滚沱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108013', 1, '2021-07-19 11:53:56', NULL, NULL), (21449, '', '新华村', '33eb79917c5a4f84b6759e724174025d', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'False', 'false', 'false', '511525108014', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108014', 1, '2021-07-19 11:53:56', NULL, NULL), (21450, '', '文和村', 'da216dabb58e4c28b644127a106fef28', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'False', 'false', 'false', '511525108015', 5, '文和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108015', 1, '2021-07-19 11:53:56', NULL, NULL), (21451, '', '陈垇村', '79ad3dc33f2549b88354cabbabb8ad46', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'False', 'false', 'false', '511525108016', 5, '陈垇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108016', 1, '2021-07-19 11:53:56', NULL, NULL), (21452, '', '龙咀村', '852b95da92cd4173abf6d1df970f7173', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'False', 'false', 'false', '511525108017', 5, '龙咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108017', 1, '2021-07-19 11:53:56', NULL, NULL), (21453, '', '天台社区', '49386f1e48da4835ad51e124b75b332c', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'False', 'false', 'false', '511525108018', 5, '天台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108018', 1, '2021-07-19 11:53:56', NULL, NULL), (21454, '', '宜庆社区', 'ce05cd90ae4647c9a8f6896d8af65f13', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'False', 'false', 'false', '511525108019', 5, '宜庆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108019', 1, '2021-07-19 11:53:56', NULL, NULL), (21455, '', '柏香村', '8089e9766dde40bcbe8b240c610cee4e', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'True', 'false', 'false', '511525108036', 5, '柏香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108036', 1, '2021-07-19 11:53:57', NULL, NULL), (21456, '', '明朗村', '848fac3e4ad24b89bf66f877aba23dc5', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'True', 'false', 'false', '511525108062', 5, '明朗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108062', 1, '2021-07-19 11:53:57', NULL, NULL), (21457, '', '太平村', '20ee66cd3ff94127a008cf2625aac2e2', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'True', 'false', 'false', '511525108076', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108076', 1, '2021-07-19 11:53:57', NULL, NULL), (21458, '', '天凤村', 'c31738ee42bd43188f0571892bab69ba', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'True', 'false', 'false', '511525108214', 5, '天凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108214', 1, '2021-07-19 11:53:57', NULL, NULL), (21459, '', '运动村', '03b502b243444296a4f6b1d41dbfe310', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'True', 'false', 'false', '511525108478', 5, '运动村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108478', 1, '2021-07-19 11:53:57', NULL, NULL), (21460, '', '响石村', '6a972f9a40ef47faa73be365707ebd66', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'True', 'false', 'false', '511525108713', 5, '响石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108713', 1, '2021-07-19 11:53:57', NULL, NULL), (21461, '', '同心社区', 'd6116885a9324a41a0cdcc04f0964f30', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'True', 'false', 'false', '511525108725', 5, '同心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108725', 1, '2021-07-19 11:53:57', NULL, NULL), (21462, '', '高凤村', '952cd1dfcfe54ef1b423d00c169683e9', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'True', 'false', 'false', '511525108791', 5, '高凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108791', 1, '2021-07-19 11:53:57', NULL, NULL), (21463, '', '通书村', '855ccb5309054660a0596f8b0a2918a7', '3fc47f89023a4bd1aa98e73c3ce4db46', 'False', 'True', 'false', 'false', '511525108872', 5, '通书村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525108872', 1, '2021-07-19 11:53:57', NULL, NULL), (21464, '', '嘉乐镇', '105df97a46934b6c9c4f336d61818add', 'df13eca309fc4307b84bf1832ef0b965', 'True', 'True', 'false', 'false', '511525521000', 4, '嘉乐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511525521000', 1, '2021-07-19 11:53:58', NULL, NULL), (21465, '', '人民村', '1d15220104c44ddd96f88b2ea994d5ba', '105df97a46934b6c9c4f336d61818add', 'False', 'False', 'false', 'false', '511525103002', 5, '人民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525103002', 1, '2021-07-19 11:53:58', NULL, NULL), (21466, '', '天星村', 'eeeaefea6614493885d38211521dd31a', '105df97a46934b6c9c4f336d61818add', 'False', 'False', 'false', 'false', '511525103003', 5, '天星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525103003', 1, '2021-07-19 11:53:58', NULL, NULL), (21467, '', '新油村', '7cfbec96cbef436891e450521183d6e1', '105df97a46934b6c9c4f336d61818add', 'False', 'False', 'false', 'false', '511525103004', 5, '新油村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525103004', 1, '2021-07-19 11:53:58', NULL, NULL), (21468, '', '龙旺村', 'f8bf5a1a40554777945a384bb5e2e557', '105df97a46934b6c9c4f336d61818add', 'False', 'False', 'false', 'false', '511525103005', 5, '龙旺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525103005', 1, '2021-07-19 11:53:58', NULL, NULL), (21469, '', '光明村', 'c1e914afd90e4a6e9513bba8161f1edd', '105df97a46934b6c9c4f336d61818add', 'False', 'False', 'false', 'false', '511525103006', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525103006', 1, '2021-07-19 11:53:58', NULL, NULL), (21470, '', '广乐社区', 'ddcc3269813b4403a395e3e00d976e8f', '105df97a46934b6c9c4f336d61818add', 'False', 'True', 'false', 'false', '511525103001', 5, '广乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525103001', 1, '2021-07-19 11:53:58', NULL, NULL), (21471, '', '云鹤村', '6573ab6cadf943a98377499231d4ffa7', '105df97a46934b6c9c4f336d61818add', 'False', 'True', 'false', 'false', '511525103202', 5, '云鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525103202', 1, '2021-07-19 11:53:58', NULL, NULL), (21472, '', '长丰村', 'ba8afccfb4d24b03a4103f488ddd8510', '105df97a46934b6c9c4f336d61818add', 'False', 'True', 'false', 'false', '511525103203', 5, '长丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525103203', 1, '2021-07-19 11:53:58', NULL, NULL), (21473, '', '卢湾村', '807258a6a2c3415b80ac192155448d93', '105df97a46934b6c9c4f336d61818add', 'False', 'True', 'false', 'false', '511525103205', 5, '卢湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525103205', 1, '2021-07-19 11:53:58', NULL, NULL), (21474, '', '两河村', '64acff513c104ec4ae66931ac7ef20c2', '105df97a46934b6c9c4f336d61818add', 'False', 'True', 'false', 'false', '511525103206', 5, '两河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525103206', 1, '2021-07-19 11:53:58', NULL, NULL), (21475, '', '渔舟村', 'ff24f88f805d40c1a4113423cf972418', '105df97a46934b6c9c4f336d61818add', 'False', 'True', 'false', 'false', '511525103207', 5, '渔舟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525103207', 1, '2021-07-19 11:53:58', NULL, NULL), (21476, '', '复兴镇', 'b981af77d1ac4716b7149ad691c335c0', 'df13eca309fc4307b84bf1832ef0b965', 'True', 'True', 'false', 'false', '511525601000', 4, '复兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511525601000', 1, '2021-07-19 11:53:58', NULL, NULL), (21477, '', '兴新社区', '47eb4794a0f940e1b9ff3df020e2098f', 'b981af77d1ac4716b7149ad691c335c0', 'False', 'True', 'false', 'false', '511525111001', 5, '兴新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525111001', 1, '2021-07-19 11:53:58', NULL, NULL), (21478, '', '群乐村', '007d3d9f09a14902ac1ea299fae13170', 'b981af77d1ac4716b7149ad691c335c0', 'False', 'True', 'false', 'false', '511525111201', 5, '群乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525111201', 1, '2021-07-19 11:53:58', NULL, NULL), (21479, '', '仁共村', '6b4e8e3233d546b7844bf86e51e46a0e', 'b981af77d1ac4716b7149ad691c335c0', 'False', 'True', 'false', 'false', '511525111202', 5, '仁共村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525111202', 1, '2021-07-19 11:53:58', NULL, NULL), (21480, '', '治安村', '28a6fe75b1eb4af997306c97a8d59d7c', 'b981af77d1ac4716b7149ad691c335c0', 'False', 'True', 'false', 'false', '511525111204', 5, '治安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525111204', 1, '2021-07-19 11:53:58', NULL, NULL), (21481, '', '上坝村', '796fb57aa3a04269b7c8bb0d13407827', 'b981af77d1ac4716b7149ad691c335c0', 'False', 'True', 'false', 'false', '511525111205', 5, '上坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525111205', 1, '2021-07-19 11:53:59', NULL, NULL), (21482, '', '娱乐村', 'de6cc78c48f043c1a655ba939fe5003a', 'b981af77d1ac4716b7149ad691c335c0', 'False', 'True', 'false', 'false', '511525111206', 5, '娱乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525111206', 1, '2021-07-19 11:53:59', NULL, NULL), (21483, '', '白鹤村', '84915a149a514f6f8077ee8737090729', 'b981af77d1ac4716b7149ad691c335c0', 'False', 'True', 'false', 'false', '511525111207', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525111207', 1, '2021-07-19 11:53:59', NULL, NULL), (21484, '', '陈正村', '3eab9715feee426b88a04fbc27dd0172', 'b981af77d1ac4716b7149ad691c335c0', 'False', 'True', 'false', 'false', '511525111210', 5, '陈正村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525111210', 1, '2021-07-19 11:53:59', NULL, NULL), (21485, '', '罗场镇', '5eb76c1a346b4384a32122e915835186', 'df13eca309fc4307b84bf1832ef0b965', 'True', 'True', 'false', 'false', '511525633000', 4, '罗场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511525633000', 1, '2021-07-19 11:53:59', NULL, NULL), (21486, '', '新集村', 'd993a3b8e48048939bab6608d395fd93', '5eb76c1a346b4384a32122e915835186', 'False', 'False', 'false', 'false', '511525105002', 5, '新集村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525105002', 1, '2021-07-19 11:53:59', NULL, NULL), (21487, '', '新荣村', '240d2365641249898c9533c5a620a394', '5eb76c1a346b4384a32122e915835186', 'False', 'False', 'false', 'false', '511525105003', 5, '新荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525105003', 1, '2021-07-19 11:53:59', NULL, NULL), (21488, '', '林湖村', 'f0bc1d9ef848455b915dab4a0bdf9e2d', '5eb76c1a346b4384a32122e915835186', 'False', 'False', 'false', 'false', '511525105004', 5, '林湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525105004', 1, '2021-07-19 11:53:59', NULL, NULL), (21489, '', '陈村', '8abea52d472e471599902af0f039d81d', '5eb76c1a346b4384a32122e915835186', 'False', 'False', 'false', 'false', '511525105005', 5, '陈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525105005', 1, '2021-07-19 11:53:59', NULL, NULL), (21490, '', '春茗村', '1bcfa2d3710244a3ab1a4587e6986633', '5eb76c1a346b4384a32122e915835186', 'False', 'False', 'false', 'false', '511525105006', 5, '春茗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525105006', 1, '2021-07-19 11:53:59', NULL, NULL), (21491, '', '公平村', '69ad2df49ac1471e83842798e6e6e146', '5eb76c1a346b4384a32122e915835186', 'False', 'False', 'false', 'false', '511525105007', 5, '公平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525105007', 1, '2021-07-19 11:53:59', NULL, NULL), (21492, '', '前哨村', '867a866cd05b4174b7689507249ddb8a', '5eb76c1a346b4384a32122e915835186', 'False', 'False', 'false', 'false', '511525105008', 5, '前哨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525105008', 1, '2021-07-19 11:54:00', NULL, NULL), (21493, '', '羊田村', '70994fcecfa9470ca65d0999e99e39b5', '5eb76c1a346b4384a32122e915835186', 'False', 'False', 'false', 'false', '511525105009', 5, '羊田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525105009', 1, '2021-07-19 11:54:00', NULL, NULL), (21494, '', '光辉村', 'a178ef3ad2a748b590c03e3efa11bf0e', '5eb76c1a346b4384a32122e915835186', 'False', 'False', 'false', 'false', '511525105010', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525105010', 1, '2021-07-19 11:54:00', NULL, NULL), (21495, '', '翰笙社区', 'a8483fc8a4064bcf83c4a99e31383d6d', '5eb76c1a346b4384a32122e915835186', 'False', 'False', 'false', 'false', '511525105011', 5, '翰笙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525105011', 1, '2021-07-19 11:54:00', NULL, NULL), (21496, '', '兴场村', '91f0e48dc75e4b10aee6af11634c31a6', '5eb76c1a346b4384a32122e915835186', 'False', 'True', 'false', 'false', '511525105023', 5, '兴场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525105023', 1, '2021-07-19 11:54:00', NULL, NULL), (21497, '', '顺江村', 'f2962c3deabc43c5826099190f78ceed', '5eb76c1a346b4384a32122e915835186', 'False', 'True', 'false', 'false', '511525105173', 5, '顺江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525105173', 1, '2021-07-19 11:54:00', NULL, NULL), (21498, '', '田    村', 'de8af3947f1a4755afe46b04cbf9c616', '5eb76c1a346b4384a32122e915835186', 'False', 'True', 'false', 'false', '511525105178', 5, '田    村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525105178', 1, '2021-07-19 11:54:00', NULL, NULL), (21499, '', '天堂村', 'b5f1df4432da400682b2e950611035d1', '5eb76c1a346b4384a32122e915835186', 'False', 'True', 'false', 'false', '511525105314', 5, '天堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525105314', 1, '2021-07-19 11:54:00', NULL, NULL), (21500, '', '解放村', '0f6eb1e591a545579142d00eb51be817', '5eb76c1a346b4384a32122e915835186', 'False', 'True', 'false', 'false', '511525105499', 5, '解放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525105499', 1, '2021-07-19 11:54:00', NULL, NULL), (21501, '', '马店村', '294abd37590a44edbcccdf9071ffc23d', '5eb76c1a346b4384a32122e915835186', 'False', 'True', 'false', 'false', '511525105578', 5, '马店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525105578', 1, '2021-07-19 11:54:00', NULL, NULL), (21502, '', '红旗村', '12ab9ca9e8694562949a692218e6ab87', '5eb76c1a346b4384a32122e915835186', 'False', 'True', 'false', 'false', '511525105698', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525105698', 1, '2021-07-19 11:54:00', NULL, NULL), (21503, '', '桐林村', 'd712367b109f46069c11cc2626833222', '5eb76c1a346b4384a32122e915835186', 'False', 'True', 'false', 'false', '511525105836', 5, '桐林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525105836', 1, '2021-07-19 11:54:01', NULL, NULL), (21504, '', '可久镇', '61e95660b4f8422c9c5062ca63869445', 'df13eca309fc4307b84bf1832ef0b965', 'True', 'True', 'false', 'false', '511525646000', 4, '可久镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511525646000', 1, '2021-07-19 11:54:01', NULL, NULL), (21505, '', '南红岩村', '0992bfd416bd491a80d14fea9823da5a', '61e95660b4f8422c9c5062ca63869445', 'False', 'False', 'false', 'false', '511525107002', 5, '南红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525107002', 1, '2021-07-19 11:54:01', NULL, NULL), (21506, '', '永兴社区', '894fa3e8c928476aa0b26672a637fdd0', '61e95660b4f8422c9c5062ca63869445', 'False', 'True', 'false', 'false', '511525107048', 5, '永兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525107048', 1, '2021-07-19 11:54:01', NULL, NULL), (21507, '', '菊花村', 'f52f76f85d3448748c880ce2cce40734', '61e95660b4f8422c9c5062ca63869445', 'False', 'True', 'false', 'false', '511525107067', 5, '菊花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525107067', 1, '2021-07-19 11:54:01', NULL, NULL), (21508, '', '永和村', '52cad01b4eeb4db9808f737562452175', '61e95660b4f8422c9c5062ca63869445', 'False', 'True', 'false', 'false', '511525107210', 5, '永和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525107210', 1, '2021-07-19 11:54:01', NULL, NULL), (21509, '', '团包村', '520d81b7f33246f9892a089ef170b856', '61e95660b4f8422c9c5062ca63869445', 'False', 'True', 'false', 'false', '511525107395', 5, '团包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525107395', 1, '2021-07-19 11:54:01', NULL, NULL), (21510, '', '星山村', 'b899334d05754b4189870270eff4ab8e', '61e95660b4f8422c9c5062ca63869445', 'False', 'True', 'false', 'false', '511525107483', 5, '星山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525107483', 1, '2021-07-19 11:54:01', NULL, NULL), (21511, '', '高坡村', '106e37d854bb4a5e897dc6f1748390bd', '61e95660b4f8422c9c5062ca63869445', 'False', 'True', 'false', 'false', '511525107547', 5, '高坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525107547', 1, '2021-07-19 11:54:01', NULL, NULL), (21512, '', '龙口村', '13270364cb5c47d19e29da6275abfc0e', '61e95660b4f8422c9c5062ca63869445', 'False', 'True', 'false', 'false', '511525107560', 5, '龙口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525107560', 1, '2021-07-19 11:54:01', NULL, NULL), (21513, '', '永安村', '758d5a7dc7c8479e85afce6ef08ca008', '61e95660b4f8422c9c5062ca63869445', 'False', 'True', 'false', 'false', '511525107652', 5, '永安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525107652', 1, '2021-07-19 11:54:01', NULL, NULL), (21514, '', '进步村', '7aa4d140dbf34186a2e592a89fdda7fd', '61e95660b4f8422c9c5062ca63869445', 'False', 'True', 'false', 'false', '511525107758', 5, '进步村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525107758', 1, '2021-07-19 11:54:01', NULL, NULL), (21515, '', '红意村', 'a6445827a98e4f05a900dbce3e163c31', '61e95660b4f8422c9c5062ca63869445', 'False', 'True', 'false', 'false', '511525107762', 5, '红意村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525107762', 1, '2021-07-19 11:54:01', NULL, NULL), (21516, '', '红花村', 'aa7b528ef59f4fecb9ccc50c6d021209', '61e95660b4f8422c9c5062ca63869445', 'False', 'True', 'false', 'false', '511525107856', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525107856', 1, '2021-07-19 11:54:01', NULL, NULL), (21517, '', '高岭村', 'fd198d0cd294413286dfcaa8f5b5858a', '61e95660b4f8422c9c5062ca63869445', 'False', 'True', 'false', 'false', '511525107926', 5, '高岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525107926', 1, '2021-07-19 11:54:01', NULL, NULL), (21518, '', '屋基村', '01ce18c7e1e449aa8d0dc05e567eea85', '61e95660b4f8422c9c5062ca63869445', 'False', 'True', 'false', 'false', '511525107999', 5, '屋基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525107999', 1, '2021-07-19 11:54:01', NULL, NULL), (21519, '', '庆岭镇', 'a1ea5987ea3a473ab0707ddf7b2081fe', 'df13eca309fc4307b84bf1832ef0b965', 'True', 'True', 'false', 'false', '511525653000', 4, '庆岭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511525653000', 1, '2021-07-19 11:54:02', NULL, NULL), (21520, '', '中和村', '43547d05bc664e619f32b882004bc490', 'a1ea5987ea3a473ab0707ddf7b2081fe', 'False', 'False', 'false', 'false', '511525207002', 5, '中和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525207002', 1, '2021-07-19 11:54:02', NULL, NULL), (21521, '', '顺利村', 'ed28173cc6b5400f8faa91d16e9ad48d', 'a1ea5987ea3a473ab0707ddf7b2081fe', 'False', 'False', 'false', 'false', '511525207003', 5, '顺利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525207003', 1, '2021-07-19 11:54:02', NULL, NULL), (21522, '', '下华村', '56f50c38c29f4f039c5e5200ad39a55d', 'a1ea5987ea3a473ab0707ddf7b2081fe', 'False', 'False', 'false', 'false', '511525207004', 5, '下华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525207004', 1, '2021-07-19 11:54:02', NULL, NULL), (21523, '', '龙泉村', 'b688c450339f4b8f8dd76876a63b5fc6', 'a1ea5987ea3a473ab0707ddf7b2081fe', 'False', 'False', 'false', 'false', '511525207005', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525207005', 1, '2021-07-19 11:54:02', NULL, NULL), (21524, '', '印田村', '46ba67b5a469412c9ce1d8319ebb3ced', 'a1ea5987ea3a473ab0707ddf7b2081fe', 'False', 'False', 'false', 'false', '511525207006', 5, '印田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525207006', 1, '2021-07-19 11:54:02', NULL, NULL), (21525, '', '太源村', '50d7430ac9764744832f36d25dc5e91f', 'a1ea5987ea3a473ab0707ddf7b2081fe', 'False', 'False', 'false', 'false', '511525207007', 5, '太源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525207007', 1, '2021-07-19 11:54:02', NULL, NULL), (21526, '', '三块村', '144f752314a74ec48ece4fea91b55772', 'a1ea5987ea3a473ab0707ddf7b2081fe', 'False', 'False', 'false', 'false', '511525207008', 5, '三块村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525207008', 1, '2021-07-19 11:54:02', NULL, NULL), (21527, '', '先娱村', 'bd59ef7d30e64a769343d649872cbd25', 'a1ea5987ea3a473ab0707ddf7b2081fe', 'False', 'False', 'false', 'false', '511525207009', 5, '先娱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525207009', 1, '2021-07-19 11:54:02', NULL, NULL), (21528, '', '向阳村', 'dbf31ff80a694095acf8eee2152af4af', 'a1ea5987ea3a473ab0707ddf7b2081fe', 'False', 'False', 'false', 'false', '511525207010', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525207010', 1, '2021-07-19 11:54:02', NULL, NULL), (21529, '', '同庆社区', '49604d4a5bcb446d8e50b884382ef6f4', 'a1ea5987ea3a473ab0707ddf7b2081fe', 'False', 'True', 'false', 'false', '511525207334', 5, '同庆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525207334', 1, '2021-07-19 11:54:03', NULL, NULL), (21530, '', '红庙村', 'a8b8f8212ed742ff87aa07fe5cf75b8a', 'a1ea5987ea3a473ab0707ddf7b2081fe', 'False', 'True', 'false', 'false', '511525207410', 5, '红庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525207410', 1, '2021-07-19 11:54:03', NULL, NULL), (21531, '', '莲花村', 'b105dc46c6f84cfb9102ff6d15935c55', 'a1ea5987ea3a473ab0707ddf7b2081fe', 'False', 'True', 'false', 'false', '511525207591', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525207591', 1, '2021-07-19 11:54:03', NULL, NULL), (21532, '', '桥坎村', '379901b1e476434bb14bd9b703a2c662', 'a1ea5987ea3a473ab0707ddf7b2081fe', 'False', 'True', 'false', 'false', '511525207715', 5, '桥坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525207715', 1, '2021-07-19 11:54:03', NULL, NULL), (21533, '', '文武村', '8659a2655aab44e1bca5a8f3f91ce924', 'a1ea5987ea3a473ab0707ddf7b2081fe', 'False', 'False', 'false', 'false', '511525207744', 5, '文武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525207744', 1, '2021-07-19 11:54:03', NULL, NULL), (21534, '', '凤凰村', '7640efc57268414fae6ebfcd3f1b96b7', 'a1ea5987ea3a473ab0707ddf7b2081fe', 'False', 'True', 'false', 'false', '511525207797', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525207797', 1, '2021-07-19 11:54:03', NULL, NULL), (21535, '', '山河村', '739eec1397a549dd98361fc96f37a63a', 'a1ea5987ea3a473ab0707ddf7b2081fe', 'False', 'True', 'false', 'false', '511525207829', 5, '山河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525207829', 1, '2021-07-19 11:54:03', NULL, NULL), (21536, '', '月江镇', '2d82fe4b535b4a3f822c3eb421c01b18', 'df13eca309fc4307b84bf1832ef0b965', 'True', 'True', 'false', 'false', '511525719000', 4, '月江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511525719000', 1, '2021-07-19 11:54:03', NULL, NULL), (21537, '', '中山村', '85300a74104d44c191799eb4e915d557', '2d82fe4b535b4a3f822c3eb421c01b18', 'False', 'False', 'false', 'false', '511525109002', 5, '中山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525109002', 1, '2021-07-19 11:54:03', NULL, NULL), (21538, '', '福顶村', '65ca7c30b8ea4e3f8e0990ba7b42d67b', '2d82fe4b535b4a3f822c3eb421c01b18', 'False', 'False', 'false', 'false', '511525109003', 5, '福顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525109003', 1, '2021-07-19 11:54:03', NULL, NULL), (21539, '', '顺和村', '34c6d1388bd14138a30d5504c480e3ee', '2d82fe4b535b4a3f822c3eb421c01b18', 'False', 'False', 'false', 'false', '511525109004', 5, '顺和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525109004', 1, '2021-07-19 11:54:03', NULL, NULL), (21540, '', '福胜村', '2e3c1b4f6a57409c9f28f94122b7d972', '2d82fe4b535b4a3f822c3eb421c01b18', 'False', 'False', 'false', 'false', '511525109005', 5, '福胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525109005', 1, '2021-07-19 11:54:03', NULL, NULL), (21541, '', '三胜村', '02a3785b5b874c978496a2ee8f443b81', '2d82fe4b535b4a3f822c3eb421c01b18', 'False', 'True', 'false', 'false', '511525109031', 5, '三胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525109031', 1, '2021-07-19 11:54:03', NULL, NULL), (21542, '', '川新村', '0899430b7e0846d08f95c73dfdb0ab7c', '2d82fe4b535b4a3f822c3eb421c01b18', 'False', 'True', 'false', 'false', '511525109082', 5, '川新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525109082', 1, '2021-07-19 11:54:03', NULL, NULL), (21543, '', '福溪社区', '6654a6a6a474486eae6fbba90ab4862c', '2d82fe4b535b4a3f822c3eb421c01b18', 'False', 'True', 'false', 'false', '511525109497', 5, '福溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525109497', 1, '2021-07-19 11:54:03', NULL, NULL), (21544, '', '瓦堆村', 'bb50bee1284a4a5cb929e9efa02a8795', '2d82fe4b535b4a3f822c3eb421c01b18', 'False', 'True', 'false', 'false', '511525109788', 5, '瓦堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525109788', 1, '2021-07-19 11:54:03', NULL, NULL), (21545, '', '双坝村', '6be4ba1c81274dbb8838e68566ef7f2a', '2d82fe4b535b4a3f822c3eb421c01b18', 'False', 'True', 'false', 'false', '511525109874', 5, '双坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525109874', 1, '2021-07-19 11:54:04', NULL, NULL), (21546, '', '三角村', '0a1344eaae654d3a99af445da3ca614c', '2d82fe4b535b4a3f822c3eb421c01b18', 'False', 'True', 'false', 'false', '511525109915', 5, '三角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525109915', 1, '2021-07-19 11:54:04', NULL, NULL), (21547, '', '沙河镇', '9c26149cb5b44096b4d1a26fb5297b0e', 'df13eca309fc4307b84bf1832ef0b965', 'True', 'True', 'false', 'false', '511525923000', 4, '沙河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511525923000', 1, '2021-07-19 11:54:04', NULL, NULL), (21548, '', '凤翔村', '5505af73278342749d969678b8ef0fa6', '9c26149cb5b44096b4d1a26fb5297b0e', 'False', 'False', 'false', 'false', '511525102002', 5, '凤翔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102002', 1, '2021-07-19 11:54:04', NULL, NULL), (21549, '', '赛金社区', '065269422e884f5b8fcd987c7d973340', '9c26149cb5b44096b4d1a26fb5297b0e', 'False', 'True', 'false', 'false', '511525102123', 5, '赛金社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102123', 1, '2021-07-19 11:54:04', NULL, NULL), (21550, '', '天府村', '30a634b817b54ce19f7a37cc839c8bd6', '9c26149cb5b44096b4d1a26fb5297b0e', 'False', 'True', 'false', 'false', '511525102328', 5, '天府村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102328', 1, '2021-07-19 11:54:04', NULL, NULL), (21551, '', '白庙村', 'f4c1dc5ae7e64e57b2d5d1738edec0aa', '9c26149cb5b44096b4d1a26fb5297b0e', 'False', 'True', 'false', 'false', '511525102469', 5, '白庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102469', 1, '2021-07-19 11:54:04', NULL, NULL), (21552, '', '革新村', '2a3e7828f16d41ec89a622791b9023d9', '9c26149cb5b44096b4d1a26fb5297b0e', 'False', 'True', 'false', 'false', '511525102617', 5, '革新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102617', 1, '2021-07-19 11:54:04', NULL, NULL), (21553, '', '杨柳村', 'b470453d19214d9e8a479b9493f8ac38', '9c26149cb5b44096b4d1a26fb5297b0e', 'False', 'True', 'false', 'false', '511525102624', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102624', 1, '2021-07-19 11:54:04', NULL, NULL), (21554, '', '上龙村', '4157ac0e8d7a468a8feb9f8e3b5c7456', '9c26149cb5b44096b4d1a26fb5297b0e', 'False', 'True', 'false', 'false', '511525102759', 5, '上龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102759', 1, '2021-07-19 11:54:04', NULL, NULL), (21555, '', '麻柳村', '1468cc21062f4d2e832472a5c37c7604', '9c26149cb5b44096b4d1a26fb5297b0e', 'False', 'True', 'false', 'false', '511525102785', 5, '麻柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102785', 1, '2021-07-19 11:54:04', NULL, NULL), (21556, '', '二七村', '8bfd9fc92b614e00a16a568b33ca79df', '9c26149cb5b44096b4d1a26fb5297b0e', 'False', 'True', 'false', 'false', '511525102790', 5, '二七村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102790', 1, '2021-07-19 11:54:04', NULL, NULL), (21557, '', '雪顶村', '9d69e09e92f5425ca69590a58085bbc8', '9c26149cb5b44096b4d1a26fb5297b0e', 'False', 'True', 'false', 'false', '511525102798', 5, '雪顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102798', 1, '2021-07-19 11:54:04', NULL, NULL), (21558, '', '跳墩村', '1bee0b7969db4a1e97b029dcedb6b29b', '9c26149cb5b44096b4d1a26fb5297b0e', 'False', 'True', 'false', 'false', '511525102819', 5, '跳墩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102819', 1, '2021-07-19 11:54:04', NULL, NULL), (21559, '', '大里村', '1438180e5da34357ad66f7fd8a85a894', '9c26149cb5b44096b4d1a26fb5297b0e', 'False', 'True', 'false', 'false', '511525102874', 5, '大里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102874', 1, '2021-07-19 11:54:04', NULL, NULL), (21560, '', '三八村', '99da6efd8b3b4a93ba8fc00e9a3aec08', '9c26149cb5b44096b4d1a26fb5297b0e', 'False', 'True', 'false', 'false', '511525102890', 5, '三八村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102890', 1, '2021-07-19 11:54:04', NULL, NULL), (21561, '', '马道村', '9349e03108c641f2a048bd64466c3625', '9c26149cb5b44096b4d1a26fb5297b0e', 'False', 'True', 'false', 'false', '511525102922', 5, '马道村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102922', 1, '2021-07-19 11:54:04', NULL, NULL), (21562, '', '上古村', '4fb0fc4a816b4a84b3e56ad977fbcea4', '9c26149cb5b44096b4d1a26fb5297b0e', 'False', 'True', 'false', 'false', '511525102987', 5, '上古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511525102987', 1, '2021-07-19 11:54:04', NULL, NULL), (21563, '', '筠连县', '5413bf35b1c649a49af8a100c4064445', '8fc9422b1bca40fa86f12b028b33e6cf', 'True', 'True', 'false', 'false', '511527000000', 3, '筠连县', 'ybsjlx.sczwfw.gov.cn', 1, '2021-07-19 11:54:05', NULL, NULL), (21564, '', '筠连镇', '2b2fc931d0574eeab8c9243df8dc53e9', '5413bf35b1c649a49af8a100c4064445', 'True', 'True', 'false', 'false', '511527100000', 4, '筠连镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511527100000', 1, '2021-07-19 11:54:05', NULL, NULL), (21565, '', '学士村', '78b2a061134d4326988fae9eeeba1959', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100002', 5, '学士村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100002', 1, '2021-07-19 11:54:05', NULL, NULL), (21566, '', '酸草村', '9482e9189636484b8947438f61ce33ef', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100065', 5, '酸草村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100065', 1, '2021-07-19 11:54:05', NULL, NULL), (21567, '', '苔草村', '1557cc5a1e534b9db9bdd16d19b718b4', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100112', 5, '苔草村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100112', 1, '2021-07-19 11:54:05', NULL, NULL), (21568, '', '大山村', '756ce3d70c324e4092f88e7a3e85acdf', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100125', 5, '大山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100125', 1, '2021-07-19 11:54:05', NULL, NULL), (21569, '', '曹岭村', '2db632be2a024d04a5ff06bee32d431f', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100338', 5, '曹岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100338', 1, '2021-07-19 11:54:05', NULL, NULL), (21570, '', '凌云村', '561ee84667954cc394570e3fc488ce18', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100364', 5, '凌云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100364', 1, '2021-07-19 11:54:05', NULL, NULL), (21571, '', '川丰村', 'a99fcaf2eea0413c8bd4640c41d5b7ba', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100490', 5, '川丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100490', 1, '2021-07-19 11:54:05', NULL, NULL), (21572, '', '柏胜村', 'b52ff9d401a24305abf7a6bdcb12f209', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100496', 5, '柏胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100496', 1, '2021-07-19 11:54:05', NULL, NULL), (21573, '', '金石村', 'c9aa8cd248a046b4a832f4b299dc0aca', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100583', 5, '金石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100583', 1, '2021-07-19 11:54:05', NULL, NULL), (21574, '', '坪阳村', 'a34a46b2d9fe44a2b48bdd39dd124684', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100591', 5, '坪阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100591', 1, '2021-07-19 11:54:05', NULL, NULL), (21575, '', '红阳村', '55794942a95a435899101e43c9cb2d60', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100618', 5, '红阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100618', 1, '2021-07-19 11:54:05', NULL, NULL), (21576, '', '沙坝村', '96ff2f86685f4caa86d1680fc0468c54', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100647', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100647', 1, '2021-07-19 11:54:05', NULL, NULL), (21577, '', '木映村', '4b9011f22e594ddf9369977c741cef5a', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100713', 5, '木映村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100713', 1, '2021-07-19 11:54:05', NULL, NULL), (21578, '', '双河村', '6ac45664769b4112918a01af76b0ea15', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100830', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100830', 1, '2021-07-19 11:54:05', NULL, NULL), (21579, '', '云胜村', '3a31af5257d64bea8b325b9489a75635', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100922', 5, '云胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100922', 1, '2021-07-19 11:54:06', NULL, NULL), (21580, '', '田丰村', '251c93997ac641799e0f9c9bde0a198f', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100923', 5, '田丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100923', 1, '2021-07-19 11:54:06', NULL, NULL), (21581, '', '神羊村', '01d220632aba4d909939f3ce0e9b7740', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100936', 5, '神羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100936', 1, '2021-07-19 11:54:06', NULL, NULL), (21582, '', '双田村', '3445c9072c154cc1997179f5fbdf4f9c', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100949', 5, '双田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100949', 1, '2021-07-19 11:54:06', NULL, NULL), (21583, '', '丰收村', '5be59cdff6894e32845c30ba8dc31090', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100955', 5, '丰收村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100955', 1, '2021-07-19 11:54:06', NULL, NULL), (21584, '', '玉壶社区', '6688d17821ee435aa238f898fe9f5177', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100001', 5, '玉壶社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100001', 1, '2021-07-19 11:54:06', NULL, NULL), (21585, '', '景阳社区', 'ea1b6a39ea394aebaf02bee67f5c1712', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100003', 5, '景阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100003', 1, '2021-07-19 11:54:06', NULL, NULL), (21586, '', '河西社区', '33f1212fde66465f9d4e2d53373b649d', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100004', 5, '河西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100004', 1, '2021-07-19 11:54:06', NULL, NULL), (21587, '', '城南社区', '48714d1ffd29439882796e655d0a633d', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100005', 5, '城南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100005', 1, '2021-07-19 11:54:06', NULL, NULL), (21588, '', '黄桷树社区', '001756b3d51848afb5df430e17c8c706', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100007', 5, '黄桷树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100007', 1, '2021-07-19 11:54:06', NULL, NULL), (21589, '', '海瀛社区', '5254e58ea1d84c80bd809807422fe0f9', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100008', 5, '海瀛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100008', 1, '2021-07-19 11:54:06', NULL, NULL), (21590, '', '廉溪社区', 'ff2820cbcf3145758fe732efb2e0ea62', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100009', 5, '廉溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100009', 1, '2021-07-19 11:54:06', NULL, NULL), (21591, '', '银江村', '9d4d864a7d394935969678613368323b', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100203', 5, '银江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100203', 1, '2021-07-19 11:54:06', NULL, NULL), (21592, '', '五凤村', 'f4b30433ee0d41c195cd9c423e2d3366', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100207', 5, '五凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100207', 1, '2021-07-19 11:54:06', NULL, NULL), (21593, '', '金凤村', 'bf1fb761a7304374b4b23deca9f161fa', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100208', 5, '金凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100208', 1, '2021-07-19 11:54:06', NULL, NULL), (21594, '', '五陵村', 'b41d0082080f455080c09d5787e825d1', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100210', 5, '五陵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100210', 1, '2021-07-19 11:54:06', NULL, NULL), (21595, '', '水源村', '778b5c29e65e496ebc5f8131b2110c3c', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100212', 5, '水源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100212', 1, '2021-07-19 11:54:06', NULL, NULL), (21596, '', '白花村', 'ef25f8f646394ff0b9f421e263aec4d3', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100213', 5, '白花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100213', 1, '2021-07-19 11:54:06', NULL, NULL), (21597, '', '荆花村', '6a9936a1e6d44d68a4276ef91a686ffd', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100214', 5, '荆花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100214', 1, '2021-07-19 11:54:06', NULL, NULL), (21598, '', '旗隆村', '7ecf70a25126497e9487cd4b21d8ebaf', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100215', 5, '旗隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100215', 1, '2021-07-19 11:54:07', NULL, NULL), (21599, '', '莲花村', 'c30fe605846b4c9c84c274cf0917b956', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100216', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100216', 1, '2021-07-19 11:54:07', NULL, NULL), (21600, '', '红权村', 'cbd45b7407be4b44abb82d1087c57bf0', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100219', 5, '红权村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100219', 1, '2021-07-19 11:54:07', NULL, NULL), (21601, '', '联络村', 'e924bd2c396846659b0f4b408987fe06', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100223', 5, '联络社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100223', 1, '2021-07-19 11:54:07', NULL, NULL), (21602, '', '白鹤村', 'db4ec3872fcd450592d4f4462fe8d7a5', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100224', 5, '白鹤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100224', 1, '2021-07-19 11:54:07', NULL, NULL), (21603, '', '燎原村', '0e45e2474aaa40009771f9c93a26e85d', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100225', 5, '燎原村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100225', 1, '2021-07-19 11:54:07', NULL, NULL), (21604, '', '真武村', '1381867f0b504cccb7ea35fb9b2917d4', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100226', 5, '真武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100226', 1, '2021-07-19 11:54:07', NULL, NULL), (21605, '', '中和村', '143c392087be48f68358259957017b4d', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100227', 5, '中和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100227', 1, '2021-07-19 11:54:07', NULL, NULL), (21606, '', '桂花村', '5053454bce484b948ee4ed13b4fb59c6', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100228', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100228', 1, '2021-07-19 11:54:07', NULL, NULL), (21607, '', '柏杨村', 'e5e6b18d101048bbae06b1330cfb5ddb', '2b2fc931d0574eeab8c9243df8dc53e9', 'False', 'True', 'false', 'false', '511527100230', 5, '柏杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527100230', 1, '2021-07-19 11:54:07', NULL, NULL), (21608, '', '腾达镇', 'bf67ba9eb8fd4c3c892c730e6512f94f', '5413bf35b1c649a49af8a100c4064445', 'True', 'True', 'false', 'false', '511527101000', 4, '腾达镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511527101000', 1, '2021-07-19 11:54:07', NULL, NULL), (21609, '', '平寨社区', 'a8bc027326374e9c88c0c35db0b37b2d', 'bf67ba9eb8fd4c3c892c730e6512f94f', 'False', 'True', 'false', 'false', '511527101001', 5, '平寨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527101001', 1, '2021-07-19 11:54:07', NULL, NULL), (21610, '', '王合村', '3bf83e2458724acdaa1170154273c34c', 'bf67ba9eb8fd4c3c892c730e6512f94f', 'False', 'True', 'false', 'false', '511527101201', 5, '王合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527101201', 1, '2021-07-19 11:54:07', NULL, NULL), (21611, '', '新合村', 'fece419fdc8a4e09b5a2c44e52ae230e', 'bf67ba9eb8fd4c3c892c730e6512f94f', 'False', 'True', 'false', 'false', '511527101202', 5, '新合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527101202', 1, '2021-07-19 11:54:07', NULL, NULL), (21612, '', '利坪村', '64737e463dce4ab5996661f2da40e07e', 'bf67ba9eb8fd4c3c892c730e6512f94f', 'False', 'True', 'false', 'false', '511527101203', 5, '利坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527101203', 1, '2021-07-19 11:54:07', NULL, NULL), (21613, '', '春风村', 'fefb4f06d21045b7a403bcdc99e295cf', 'bf67ba9eb8fd4c3c892c730e6512f94f', 'False', 'True', 'false', 'false', '511527101206', 5, '春风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527101206', 1, '2021-07-19 11:54:08', NULL, NULL), (21614, '', '海灯村', '6dbf1b079a3a483bb7f597cb7e8c7b3e', 'bf67ba9eb8fd4c3c892c730e6512f94f', 'False', 'True', 'false', 'false', '511527101208', 5, '海灯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527101208', 1, '2021-07-19 11:54:08', NULL, NULL), (21615, '', '新民村', '4d43851ca96c446d88119281a805e13e', 'bf67ba9eb8fd4c3c892c730e6512f94f', 'False', 'True', 'false', 'false', '511527101209', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527101209', 1, '2021-07-19 11:54:08', NULL, NULL), (21616, '', '小溪村', '8b15e36e0ecf47c8acb812eb6a7c42e1', 'bf67ba9eb8fd4c3c892c730e6512f94f', 'False', 'True', 'false', 'false', '511527101210', 5, '小溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527101210', 1, '2021-07-19 11:54:08', NULL, NULL), (21617, '', '建设村', '0a5c824b8cb5490db7fb3a0df56e9df4', 'bf67ba9eb8fd4c3c892c730e6512f94f', 'False', 'True', 'false', 'false', '511527101211', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527101211', 1, '2021-07-19 11:54:08', NULL, NULL), (21618, '', '官井村', '7e86891ccabf4a13ac087fd4a0d771a4', 'bf67ba9eb8fd4c3c892c730e6512f94f', 'False', 'True', 'false', 'false', '511527101213', 5, '官井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527101213', 1, '2021-07-19 11:54:08', NULL, NULL), (21619, '', '龙井村', '63e4d7d7c42244d699c556cdff4b2803', 'bf67ba9eb8fd4c3c892c730e6512f94f', 'False', 'True', 'false', 'false', '511527101215', 5, '龙井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527101215', 1, '2021-07-19 11:54:08', NULL, NULL), (21620, '', '斯栗村', '5f44d63f31a144e58c7064f01388cd9b', 'bf67ba9eb8fd4c3c892c730e6512f94f', 'False', 'True', 'false', 'false', '511527101216', 5, '斯栗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527101216', 1, '2021-07-19 11:54:08', NULL, NULL), (21621, '', '巡司镇', '4fc34c94af514fbeba032ab2d30681a0', '5413bf35b1c649a49af8a100c4064445', 'True', 'True', 'false', 'false', '511527102000', 4, '巡司镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511527102000', 1, '2021-07-19 11:54:08', NULL, NULL), (21622, '', '民主村', '86a0816532f34a1bb269e459c35f4262', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102089', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102089', 1, '2021-07-19 11:54:08', NULL, NULL), (21623, '', '解放村', '49bdcc7267004047973ff5953c4ec24a', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102175', 5, '解放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102175', 1, '2021-07-19 11:54:08', NULL, NULL), (21624, '', '水潦村', 'beca09c6613448f39ecce4f7ce620a87', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102186', 5, '水潦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102186', 1, '2021-07-19 11:54:08', NULL, NULL), (21625, '', '童家村', '3e56e2cee0f042c09c0af90ca7885d29', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102251', 5, '童家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102251', 1, '2021-07-19 11:54:09', NULL, NULL), (21626, '', '石泉村', '36c0011eaa13425dbafc6e29b3e34a51', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102328', 5, '石泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102328', 1, '2021-07-19 11:54:09', NULL, NULL), (21627, '', '共和村', '7a56bd4de7814a9089fc933744a28f7b', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102534', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102534', 1, '2021-07-19 11:54:09', NULL, NULL), (21628, '', '小寨村', '625f3d079848496dae042922df0e36d5', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102637', 5, '小寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102637', 1, '2021-07-19 11:54:09', NULL, NULL), (21629, '', '关津村', '90b1ba81fe2c48a5962cf540e540ad3b', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102714', 5, '关津村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102714', 1, '2021-07-19 11:54:09', NULL, NULL), (21630, '', '温泉村', 'cd2b7bede0104e708049989784cd1c0e', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102800', 5, '温泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102800', 1, '2021-07-19 11:54:09', NULL, NULL), (21631, '', '大乐瓦村', 'fb6bfdd37e194bd8a537d62b64a909ec', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102906', 5, '大乐瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102906', 1, '2021-07-19 11:54:09', NULL, NULL), (21632, '', '小乐瓦村', 'fb60b61b6da744bf930153f9047ae5c1', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102944', 5, '小乐瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102944', 1, '2021-07-19 11:54:09', NULL, NULL), (21633, '', '光明社区', '9043feef6b1743c180cb6f2827511659', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102001', 5, '光明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102001', 1, '2021-07-19 11:54:09', NULL, NULL), (21634, '', '七星社区', '085e6a8bff62413480d831bcc0695d78', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102002', 5, '七星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102002', 1, '2021-07-19 11:54:09', NULL, NULL), (21635, '', '四方村', '323c2fa9666d4faca078698b62af45a4', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102203', 5, '四方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102203', 1, '2021-07-19 11:54:09', NULL, NULL), (21636, '', '银星村', '8cc248e2c7f44df48bfea9fe51206f40', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102204', 5, '银星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102204', 1, '2021-07-19 11:54:09', NULL, NULL), (21637, '', '德面村', '3bbb7dd18a8a4620bc8c171d7235d24c', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102207', 5, '德面村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102207', 1, '2021-07-19 11:54:09', NULL, NULL), (21638, '', '红星村', 'a2972d9e9cd1436a889bcca4b9c43275', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102209', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102209', 1, '2021-07-19 11:54:09', NULL, NULL), (21639, '', '梧桐村', 'b1a5f667e24d4ee2ba53aa53284168c3', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102211', 5, '梧桐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102211', 1, '2021-07-19 11:54:09', NULL, NULL), (21640, '', '芦丰村', '7e18142155e443678da1935929d779c1', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102214', 5, '芦丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102214', 1, '2021-07-19 11:54:10', NULL, NULL), (21641, '', '新街村', '7e4dee21a2e84353b62310ba7b0c6172', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102215', 5, '新街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102215', 1, '2021-07-19 11:54:10', NULL, NULL), (21642, '', '庆高村', 'b1ef3c69b7af4251a8437f7c1b31f4b3', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102217', 5, '庆高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102217', 1, '2021-07-19 11:54:10', NULL, NULL), (21643, '', '荷花村', '8deee6fd118a48669443ee81cfb53cf9', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102218', 5, '荷花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102218', 1, '2021-07-19 11:54:10', NULL, NULL), (21644, '', '道溪村', 'a81cf43b01d24dd1aa3808e9b141c752', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102219', 5, '道溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102219', 1, '2021-07-19 11:54:10', NULL, NULL), (21645, '', '沙林村', '1af19aedf2df46e6bf568a8cecdd9e1b', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102222', 5, '沙林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102222', 1, '2021-07-19 11:54:10', NULL, NULL), (21646, '', '巡司村', '8369c879fd394129bc4b752380d45223', '4fc34c94af514fbeba032ab2d30681a0', 'False', 'True', 'false', 'false', '511527102312', 5, '巡司村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527102312', 1, '2021-07-19 11:54:10', NULL, NULL), (21647, '', '沐爱镇', 'b569185ce6d74976ae154456703c2c58', '5413bf35b1c649a49af8a100c4064445', 'True', 'True', 'false', 'false', '511527104000', 4, '沐爱镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511527104000', 1, '2021-07-19 11:54:10', NULL, NULL), (21648, '', '沐阴村', '57699b9e4a6a448cb803a23fab86b47f', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104048', 5, '沐阴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104048', 1, '2021-07-19 11:54:10', NULL, NULL), (21649, '', '安全村', 'd6bfb5d5e3c9493cbfddd55d17ab3e2b', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104152', 5, '安全村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104152', 1, '2021-07-19 11:54:10', NULL, NULL), (21650, '', '山坝村', 'eebe2c04572a44f3b364f91a9046864b', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104359', 5, '山坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104359', 1, '2021-07-19 11:54:10', NULL, NULL), (21651, '', '新华村', '069f1b216b9a4fcfab69983fc5825dae', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104377', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104377', 1, '2021-07-19 11:54:10', NULL, NULL), (21652, '', '落箭村', 'ecda09ffb13741ba984163c9f2c077dd', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104575', 5, '落箭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104575', 1, '2021-07-19 11:54:10', NULL, NULL), (21653, '', '菜坪村', '1fa4ac76fd904b25b981afe789de9bef', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104620', 5, '菜坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104620', 1, '2021-07-19 11:54:10', NULL, NULL), (21654, '', '公坪村', 'fbc4b4cc502c4fbf87dfa683714059f2', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104653', 5, '公坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104653', 1, '2021-07-19 11:54:11', NULL, NULL), (21655, '', '小河社区', '77308ba3381e45fa956fac4dfa63cf20', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104695', 5, '小河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104695', 1, '2021-07-19 11:54:11', NULL, NULL), (21656, '', '周坪村', 'db7020eccf3643429a843f6c4623ca97', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '5115225379401637888', 5, '周坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5115225379401637888', 1, '2021-07-19 11:54:11', NULL, NULL), (21657, '', '平等村', '9fd614a272e7435ab4da81625a15cb91', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '5115226471850057728', 5, '平等村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5115226471850057728', 1, '2021-07-19 11:54:11', NULL, NULL), (21658, '', '荷花社区', 'f5795379cfd34ab59197f3f20e0a7642', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104001', 5, '荷花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104001', 1, '2021-07-19 11:54:11', NULL, NULL), (21659, '', '南坪村', '3f4d4156d55844268bda6b88a78d277d', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104201', 5, '南坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104201', 1, '2021-07-19 11:54:11', NULL, NULL), (21660, '', '兴隆村', 'a15e5f6380f044a8b9a95cabbe7a914c', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104205', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104205', 1, '2021-07-19 11:54:11', NULL, NULL), (21661, '', '沿河村', '6eb86191f78d4dcca0a7df03996b9c90', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104207', 5, '沿河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104207', 1, '2021-07-19 11:54:11', NULL, NULL), (21662, '', '石林村', '7a98e019b42a4f13b9aeab16603062a6', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104209', 5, '石林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104209', 1, '2021-07-19 11:54:11', NULL, NULL), (21663, '', '棬坪村', '0af4e2852b3f4968b7a37cb0406eb75d', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104211', 5, '棬坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104211', 1, '2021-07-19 11:54:11', NULL, NULL), (21664, '', '金銮村', '23b0809e6f1346b6807b3d26e71c3705', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104212', 5, '金銮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104212', 1, '2021-07-19 11:54:11', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (21665, '', '金坝村', '6e5735b830b7428e8133e450faf9498b', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104214', 5, '金坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104214', 1, '2021-07-19 11:54:11', NULL, NULL), (21666, '', '金坪村', '72f57179accb4506a7e3b5a8a6ae6f86', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104215', 5, '金坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104215', 1, '2021-07-19 11:54:11', NULL, NULL), (21667, '', '金龙村', '1253361b81774d3685d6823f9917305f', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104216', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104216', 1, '2021-07-19 11:54:12', NULL, NULL), (21668, '', '金溪村', '7bb9df8c722d4a92aee6c09d797fcbcb', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104217', 5, '金溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104217', 1, '2021-07-19 11:54:12', NULL, NULL), (21669, '', '金鱼村', '5544e803d3f24cd3ae4d2ea4706fad61', 'b569185ce6d74976ae154456703c2c58', 'False', 'True', 'false', 'false', '511527104218', 5, '金鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527104218', 1, '2021-07-19 11:54:12', NULL, NULL), (21670, '', '镇舟镇', '28b57c010be642539fb5a8541702f5c2', '5413bf35b1c649a49af8a100c4064445', 'True', 'True', 'false', 'false', '511527107000', 4, '镇舟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511527107000', 1, '2021-07-19 11:54:12', NULL, NULL), (21671, '', '顺利村', '36b31abf94fb4c3e9aadac1a73de5c5e', '28b57c010be642539fb5a8541702f5c2', 'False', 'True', 'false', 'false', '511527107008', 5, '顺利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527107008', 1, '2021-07-19 11:54:12', NULL, NULL), (21672, '', '政兴村', '2f204f25e3064e68879909311df5695b', '28b57c010be642539fb5a8541702f5c2', 'False', 'True', 'false', 'false', '511527107084', 5, '政兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527107084', 1, '2021-07-19 11:54:12', NULL, NULL), (21673, '', '红旗村', 'a0fd9daacff04bf787e1a640dbdff7d1', '28b57c010be642539fb5a8541702f5c2', 'False', 'True', 'false', 'false', '511527107146', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527107146', 1, '2021-07-19 11:54:12', NULL, NULL), (21674, '', '兴徒社区', '97b0c3af0aa846048711fc400d9abfaf', '28b57c010be642539fb5a8541702f5c2', 'False', 'True', 'false', 'false', '511527107575', 5, '兴徒社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527107575', 1, '2021-07-19 11:54:12', NULL, NULL), (21675, '', '五星村', '00c9bfedf3014402a79faa386ad4019e', '28b57c010be642539fb5a8541702f5c2', 'False', 'True', 'false', 'false', '511527107745', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527107745', 1, '2021-07-19 11:54:12', NULL, NULL), (21676, '', '金钟村', 'bb4dc34b73d74bfcb1ced2006d9dd1bc', '28b57c010be642539fb5a8541702f5c2', 'False', 'True', 'false', 'false', '511527107203', 5, '金钟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527107203', 1, '2021-07-19 11:54:12', NULL, NULL), (21677, '', '马家村', '7a989bb779d1466e9db2c8c39dfa0991', '28b57c010be642539fb5a8541702f5c2', 'False', 'True', 'false', 'false', '511527107205', 5, '马家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527107205', 1, '2021-07-19 11:54:12', NULL, NULL), (21678, '', '云岭村', '9b9632d8360c4487a0148f311bb3b636', '28b57c010be642539fb5a8541702f5c2', 'False', 'True', 'false', 'false', '511527107206', 5, '云岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527107206', 1, '2021-07-19 11:54:12', NULL, NULL), (21679, '', '前进村', '25a1432c1edb4437be79c61a4dcad4d8', '28b57c010be642539fb5a8541702f5c2', 'False', 'True', 'false', 'false', '511527107214', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527107214', 1, '2021-07-19 11:54:12', NULL, NULL), (21680, '', '景阳村', '9f47402622cf44e786c32ac75a8a81d2', '28b57c010be642539fb5a8541702f5c2', 'False', 'True', 'false', 'false', '511527107216', 5, '景阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527107216', 1, '2021-07-19 11:54:12', NULL, NULL), (21681, '', '尖峰村', 'a2d78245eb144cb4a4b18e976bd64546', '28b57c010be642539fb5a8541702f5c2', 'False', 'True', 'false', 'false', '511527107219', 5, '尖峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527107219', 1, '2021-07-19 11:54:12', NULL, NULL), (21682, '', '大雪山镇', '5378db415c1f4598a0689ba7099de2a0', '5413bf35b1c649a49af8a100c4064445', 'True', 'True', 'false', 'false', '511527109000', 4, '大雪山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511527109000', 1, '2021-07-19 11:54:12', NULL, NULL), (21683, '', '四景村', '9a60b7abefa94f43af27aeea8fcdbc57', '5378db415c1f4598a0689ba7099de2a0', 'False', 'True', 'false', 'false', '511527109615', 5, '四景村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527109615', 1, '2021-07-19 11:54:12', NULL, NULL), (21684, '', '五道河', 'ec52d7b0fd5e4ba8ae352988652a8940', '5378db415c1f4598a0689ba7099de2a0', 'False', 'True', 'false', 'false', '511527109900', 5, '五道河', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527109900', 1, '2021-07-19 11:54:13', NULL, NULL), (21685, '', '民主社区', 'fa49a7fc63a54596b92c9aef96d66ef0', '5378db415c1f4598a0689ba7099de2a0', 'False', 'True', 'false', 'false', '511527109001', 5, '民主社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527109001', 1, '2021-07-19 11:54:13', NULL, NULL), (21686, '', '两江村', 'f0b4eb947c9c49c9b7d2df5c23f792b0', '5378db415c1f4598a0689ba7099de2a0', 'False', 'True', 'false', 'false', '511527109201', 5, '两江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527109201', 1, '2021-07-19 11:54:13', NULL, NULL), (21687, '', '海湾村', 'dfe2d01568fe4052ba3e6044e2a05257', '5378db415c1f4598a0689ba7099de2a0', 'False', 'True', 'false', 'false', '511527109202', 5, '海湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527109202', 1, '2021-07-19 11:54:13', NULL, NULL), (21688, '', '东红村', '7f45779ec78a4ac586a4f5f948c05f37', '5378db415c1f4598a0689ba7099de2a0', 'False', 'True', 'false', 'false', '511527109203', 5, '东红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527109203', 1, '2021-07-19 11:54:13', NULL, NULL), (21689, '', '高峰村', '940b5093b0d84c29aaf4b024de924f86', '5378db415c1f4598a0689ba7099de2a0', 'False', 'True', 'false', 'false', '511527109205', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527109205', 1, '2021-07-19 11:54:13', NULL, NULL), (21690, '', '顺景村', 'e329197f798e4d9b83b2d8e81a7bd7ef', '5378db415c1f4598a0689ba7099de2a0', 'False', 'True', 'false', 'false', '511527109206', 5, '顺景村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527109206', 1, '2021-07-19 11:54:13', NULL, NULL), (21691, '', '安乐村', 'd2be90b8fdd840abb8882c9ac2dbca3a', '5378db415c1f4598a0689ba7099de2a0', 'False', 'True', 'false', 'false', '511527109207', 5, '安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527109207', 1, '2021-07-19 11:54:13', NULL, NULL), (21692, '', '天堂村', '67e6ae1e5226426db14d9050cf513d95', '5378db415c1f4598a0689ba7099de2a0', 'False', 'True', 'false', 'false', '511527109212', 5, '天堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527109212', 1, '2021-07-19 11:54:13', NULL, NULL), (21693, '', '乐园村', 'a9c4535b05ce42d9a828b219d77fbdc4', '5378db415c1f4598a0689ba7099de2a0', 'False', 'True', 'false', 'false', '511527109213', 5, '乐园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527109213', 1, '2021-07-19 11:54:13', NULL, NULL), (21694, '', '迎丰村', 'd7b80c79136343499f602c6566898c89', '5378db415c1f4598a0689ba7099de2a0', 'False', 'True', 'false', 'false', '511527109218', 5, '迎丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527109218', 1, '2021-07-19 11:54:13', NULL, NULL), (21695, '', '槐坪村', '9a58343bc04d447d84eb1d13655dcbdc', '5378db415c1f4598a0689ba7099de2a0', 'False', 'True', 'false', 'false', '511527109219', 5, '槐坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527109219', 1, '2021-07-19 11:54:13', NULL, NULL), (21696, '', '大榜村', 'fbb0c2d2cfbb4ffdb4c0f0c2f0f5bcbe', '5378db415c1f4598a0689ba7099de2a0', 'False', 'True', 'false', 'false', '511527109220', 5, '大榜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527109220', 1, '2021-07-19 11:54:13', NULL, NULL), (21697, '', '石龙村', 'c3d992b035b145c7a031362131fe28cf', '5378db415c1f4598a0689ba7099de2a0', 'False', 'True', 'false', 'false', '511527109221', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527109221', 1, '2021-07-19 11:54:14', NULL, NULL), (21698, '', '雪山村', '95df0c518eda4259afca9a4fc546353d', '5378db415c1f4598a0689ba7099de2a0', 'False', 'True', 'false', 'false', '511527109222', 5, '雪山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527109222', 1, '2021-07-19 11:54:14', NULL, NULL), (21699, '', '丰乐乡', 'fa3f622aa59946dca3a65e30b4c78b8a', '5413bf35b1c649a49af8a100c4064445', 'True', 'True', 'false', 'false', '511527204000', 4, '丰乐乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511527204000', 1, '2021-07-19 11:54:14', NULL, NULL), (21700, '', '龙塘村', 'bc13eb0fda3e4a91a756743120fa4737', 'fa3f622aa59946dca3a65e30b4c78b8a', 'False', 'True', 'false', 'false', '511527211092', 5, '龙塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527211092', 1, '2021-07-19 11:54:14', NULL, NULL), (21701, '', '白果村', '249c5877e9ea4e1aba396af485282c2a', 'fa3f622aa59946dca3a65e30b4c78b8a', 'False', 'True', 'false', 'false', '511527211238', 5, '白果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527211238', 1, '2021-07-19 11:54:14', NULL, NULL), (21702, '', '龙凤村', '6257c91e66f64173a942aa0864f3aa19', 'fa3f622aa59946dca3a65e30b4c78b8a', 'False', 'True', 'false', 'false', '511527211288', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527211288', 1, '2021-07-19 11:54:14', NULL, NULL), (21703, '', '联合村', 'e67a44c6fbbb4e5a998da4c8a5df799d', 'fa3f622aa59946dca3a65e30b4c78b8a', 'False', 'True', 'false', 'false', '511527211483', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527211483', 1, '2021-07-19 11:54:14', NULL, NULL), (21704, '', '帅龙村', '4ae17007624c4d1c8030dd4a05491b09', 'fa3f622aa59946dca3a65e30b4c78b8a', 'False', 'True', 'false', 'false', '511527211781', 5, '帅龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527211781', 1, '2021-07-19 11:54:14', NULL, NULL), (21705, '', '后溪村', 'b9ef60db4e0a43e6b6626928a6131596', 'fa3f622aa59946dca3a65e30b4c78b8a', 'False', 'True', 'false', 'false', '511527211866', 5, '后溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527211866', 1, '2021-07-19 11:54:14', NULL, NULL), (21706, '', '卜好村', '73212708d05e4dc0ab62dea2779efb16', 'fa3f622aa59946dca3a65e30b4c78b8a', 'False', 'True', 'false', 'false', '511527211913', 5, '卜好村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527211913', 1, '2021-07-19 11:54:14', NULL, NULL), (21707, '', '中心村', '21531e9b93a74b8fa515942be038585d', 'fa3f622aa59946dca3a65e30b4c78b8a', 'False', 'True', 'false', 'false', '511527204201', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527204201', 1, '2021-07-19 11:54:14', NULL, NULL), (21708, '', '鹿井村', 'e18c61919191413ab4d999e687df370a', 'fa3f622aa59946dca3a65e30b4c78b8a', 'False', 'True', 'false', 'false', '511527204209', 5, '鹿井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527204209', 1, '2021-07-19 11:54:14', NULL, NULL), (21709, '', '平原村', 'a8312f51d70a45ceb079892a9e464525', 'fa3f622aa59946dca3a65e30b4c78b8a', 'False', 'True', 'false', 'false', '511527204211', 5, '平原村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527204211', 1, '2021-07-19 11:54:15', NULL, NULL), (21710, '', '乐义乡', '6e4621f93b014615811de043bf7fc2c4', '5413bf35b1c649a49af8a100c4064445', 'True', 'True', 'false', 'false', '511527205000', 4, '乐义乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511527205000', 1, '2021-07-19 11:54:15', NULL, NULL), (21711, '', '中坝村', '63ecd614a84e4403903c47a1dbd86c21', '6e4621f93b014615811de043bf7fc2c4', 'False', 'True', 'false', 'false', '511527205201', 5, '中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527205201', 1, '2021-07-19 11:54:15', NULL, NULL), (21712, '', '花园村', '23161d04c46b4e5dafe65448a41eab17', '6e4621f93b014615811de043bf7fc2c4', 'False', 'True', 'false', 'false', '511527205202', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527205202', 1, '2021-07-19 11:54:15', NULL, NULL), (21713, '', '沙地村', 'a9e281fb24ec43c5a857eb5d3a9d6554', '6e4621f93b014615811de043bf7fc2c4', 'False', 'True', 'false', 'false', '511527205203', 5, '沙地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527205203', 1, '2021-07-19 11:54:15', NULL, NULL), (21714, '', '黄金村', '8b85ee0a571c445f9c11292bffc780c7', '6e4621f93b014615811de043bf7fc2c4', 'False', 'True', 'false', 'false', '511527205204', 5, '黄金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527205204', 1, '2021-07-19 11:54:15', NULL, NULL), (21715, '', '陶坪村', '11333e4496d94333805d42d672bdbd00', '6e4621f93b014615811de043bf7fc2c4', 'False', 'True', 'false', 'false', '511527205206', 5, '陶坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527205206', 1, '2021-07-19 11:54:15', NULL, NULL), (21716, '', '宝圣村', '2a4d8bea87e84d799562922243b743d2', '6e4621f93b014615811de043bf7fc2c4', 'False', 'True', 'false', 'false', '511527205208', 5, '宝圣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527205208', 1, '2021-07-19 11:54:15', NULL, NULL), (21717, '', '团林苗族乡', '71873c4a98164837bcb94b33acc9ea22', '5413bf35b1c649a49af8a100c4064445', 'True', 'True', 'false', 'false', '511527208000', 4, '团林苗族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511527208000', 1, '2021-07-19 11:54:15', NULL, NULL), (21718, '', '杉新村', '1082716515934495aa8cb33167c33459', '71873c4a98164837bcb94b33acc9ea22', 'False', 'True', 'false', 'false', '511527208201', 5, '杉新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527208201', 1, '2021-07-19 11:54:15', NULL, NULL), (21719, '', '华新村', '39370fe46735428a900892b499501e4e', '71873c4a98164837bcb94b33acc9ea22', 'False', 'True', 'false', 'false', '511527208203', 5, '华新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527208203', 1, '2021-07-19 11:54:15', NULL, NULL), (21720, '', '大埂村', '8473c40f6c8f463e85873b2751de1f3d', '71873c4a98164837bcb94b33acc9ea22', 'False', 'True', 'false', 'false', '511527208204', 5, '大埂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527208204', 1, '2021-07-19 11:54:15', NULL, NULL), (21721, '', '香樟村', 'e8af0141ffa24bcf8d5dcdd50eca9ba7', '71873c4a98164837bcb94b33acc9ea22', 'False', 'True', 'false', 'false', '511527208205', 5, '香樟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527208205', 1, '2021-07-19 11:54:15', NULL, NULL), (21722, '', '新阳村', '93e9edb2262c4f76ad98178dd0363d6f', '71873c4a98164837bcb94b33acc9ea22', 'False', 'True', 'false', 'false', '511527208206', 5, '新阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527208206', 1, '2021-07-19 11:54:15', NULL, NULL), (21723, '', '新中村', '8313dac6cc1c4421a814ea46a301383d', '71873c4a98164837bcb94b33acc9ea22', 'False', 'True', 'false', 'false', '511527208207', 5, '新中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527208207', 1, '2021-07-19 11:54:15', NULL, NULL), (21724, '', '高坪苗族乡', 'a8108c8c628a4a8c992de3d41ec9fc09', '5413bf35b1c649a49af8a100c4064445', 'True', 'True', 'false', 'false', '511527210000', 4, '高坪苗族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511527210000', 1, '2021-07-19 11:54:16', NULL, NULL), (21725, '', '槐树村', 'b9fd13a652c643328ebb7f070157fdc4', 'a8108c8c628a4a8c992de3d41ec9fc09', 'False', 'True', 'false', 'false', '511527210201', 5, '槐树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527210201', 1, '2021-07-19 11:54:16', NULL, NULL), (21726, '', '先锋村', '319270de1b5f4fdbbc219eabace2bc65', 'a8108c8c628a4a8c992de3d41ec9fc09', 'False', 'True', 'false', 'false', '511527210202', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527210202', 1, '2021-07-19 11:54:16', NULL, NULL), (21727, '', '英雄村', 'e232c7bb6edb42fba50d49efc33576b2', 'a8108c8c628a4a8c992de3d41ec9fc09', 'False', 'True', 'false', 'false', '511527210203', 5, '英雄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527210203', 1, '2021-07-19 11:54:16', NULL, NULL), (21728, '', '东风村', '1154f9d3d73945328a7bfd5a76f747aa', 'a8108c8c628a4a8c992de3d41ec9fc09', 'False', 'True', 'false', 'false', '511527210204', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527210204', 1, '2021-07-19 11:54:16', NULL, NULL), (21729, '', '麻园村', '571d88faac0c478eb8b99b4038e993a7', 'a8108c8c628a4a8c992de3d41ec9fc09', 'False', 'True', 'false', 'false', '511527210205', 5, '麻园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527210205', 1, '2021-07-19 11:54:16', NULL, NULL), (21730, '', '蒿坝镇', '46aa5685ab654129910643891efa0251', '5413bf35b1c649a49af8a100c4064445', 'True', 'True', 'false', 'false', '511527774000', 4, '蒿坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511527774000', 1, '2021-07-19 11:54:16', NULL, NULL), (21731, '', '龙坪村', 'fb643cab943546a0b5bdd89a1bb5896f', '46aa5685ab654129910643891efa0251', 'False', 'True', 'false', 'false', '511527108496', 5, '龙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527108496', 1, '2021-07-19 11:54:16', NULL, NULL), (21732, '', '龙盘村', 'f3bc5d89726c4395aa7e7a009fe278a3', '46aa5685ab654129910643891efa0251', 'False', 'True', 'false', 'false', '511527108856', 5, '龙盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527108856', 1, '2021-07-19 11:54:16', NULL, NULL), (21733, '', '青花村', '69493f7c407b4b559a52cd600b622fd6', '46aa5685ab654129910643891efa0251', 'False', 'True', 'false', 'false', '511527105216', 5, '青花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527105216', 1, '2021-07-19 11:54:16', NULL, NULL), (21734, '', '高桥村', '544fad42924c43f9932530dcb6aeb29e', '46aa5685ab654129910643891efa0251', 'False', 'True', 'false', 'false', '511527774202', 5, '高桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527774202', 1, '2021-07-19 11:54:16', NULL, NULL), (21735, '', '合力村', '29a005684af9484388a9623d7b7e7fcf', '46aa5685ab654129910643891efa0251', 'False', 'True', 'false', 'false', '511527774277', 5, '合力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527774277', 1, '2021-07-19 11:54:16', NULL, NULL), (21736, '', '金坷村', 'f4f405638cda43f4b266a019ebbdcab3', '46aa5685ab654129910643891efa0251', 'False', 'True', 'false', 'false', '511527774331', 5, '金坷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527774331', 1, '2021-07-19 11:54:16', NULL, NULL), (21737, '', '中山村', '81ca035f2f2f4bf89af197340673eb66', '46aa5685ab654129910643891efa0251', 'False', 'True', 'false', 'false', '511527774453', 5, '中山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527774453', 1, '2021-07-19 11:54:16', NULL, NULL), (21738, '', '平安村', 'd0b807a76d3b42fbabe459a3e46d1ac6', '46aa5685ab654129910643891efa0251', 'False', 'True', 'false', 'false', '511527774601', 5, '平安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527774601', 1, '2021-07-19 11:54:16', NULL, NULL), (21739, '', '齐心村', '8ad10ec63cf045d6ac47b5c5af85a87c', '46aa5685ab654129910643891efa0251', 'False', 'True', 'false', 'false', '511527774848', 5, '齐心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527774848', 1, '2021-07-19 11:54:17', NULL, NULL), (21740, '', '蒿坝社区', '0294eb13c4cc45919ed33e5f47af3674', '46aa5685ab654129910643891efa0251', 'False', 'True', 'false', 'false', '511527774862', 5, '蒿坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527774862', 1, '2021-07-19 11:54:17', NULL, NULL), (21741, '', '蒿坝村', 'e5a7899f15874a10bca1f234eda9a693', '46aa5685ab654129910643891efa0251', 'False', 'True', 'false', 'false', '511527774887', 5, '蒿坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527774887', 1, '2021-07-19 11:54:17', NULL, NULL), (21742, '', '联合苗族乡', '0ed5775c67164d289241506f4258f2b1', '5413bf35b1c649a49af8a100c4064445', 'True', 'True', 'false', 'false', '511527844000', 4, '联合苗族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511527844000', 1, '2021-07-19 11:54:17', NULL, NULL), (21743, '', '甜竹村', '171b0c53937e485aa31bbe0809574454', '0ed5775c67164d289241506f4258f2b1', 'False', 'True', 'false', 'false', '511527209203', 5, '甜竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527209203', 1, '2021-07-19 11:54:17', NULL, NULL), (21744, '', '茶园村', '06d8022cf98141699eb45483dfd4d40b', '0ed5775c67164d289241506f4258f2b1', 'False', 'True', 'false', 'false', '511527209204', 5, '茶园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527209204', 1, '2021-07-19 11:54:17', NULL, NULL), (21745, '', '红竹村', '185ad6ca45df461fbd680f5288489fd2', '0ed5775c67164d289241506f4258f2b1', 'False', 'True', 'false', 'false', '511527209205', 5, '红竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527209205', 1, '2021-07-19 11:54:17', NULL, NULL), (21746, '', '光明村', 'ce89d7d1e7ad47e9b384cfe400876de8', '0ed5775c67164d289241506f4258f2b1', 'False', 'True', 'false', 'false', '511527209207', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527209207', 1, '2021-07-19 11:54:17', NULL, NULL), (21747, '', '革新村', '16a0b439d6ba4aa5a53ba2cf75b08aa5', '0ed5775c67164d289241506f4258f2b1', 'False', 'True', 'false', 'false', '511527209208', 5, '革新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511527209208', 1, '2021-07-19 11:54:17', NULL, NULL), (21748, '', '珙县', '56449521334c451e80e09690314563e9', '8fc9422b1bca40fa86f12b028b33e6cf', 'True', 'True', 'false', 'false', '511526000000', 3, '珙县', 'ybsgox.sczwfw.gov.cn', 1, '2021-07-19 11:54:17', NULL, NULL), (21749, '', '珙泉镇', '542f4017caa745bdb2f85deb6336c9bc', '56449521334c451e80e09690314563e9', 'True', 'True', 'false', 'false', '511526100000', 4, '珙泉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511526100000', 1, '2021-07-19 11:54:17', NULL, NULL), (21750, '', '文聚社区', 'ddbe2690ccab474f878afdae2bd2a4ba', '542f4017caa745bdb2f85deb6336c9bc', 'False', 'True', 'false', 'false', '511526100001', 5, '文聚社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526100001', 1, '2021-07-19 11:54:18', NULL, NULL), (21751, '', '麟泉社区', '72f0b35f452743fdb444e4ba5cdb3334', '542f4017caa745bdb2f85deb6336c9bc', 'False', 'True', 'false', 'false', '511526100002', 5, '麟泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526100002', 1, '2021-07-19 11:54:18', NULL, NULL), (21752, '', '北城社区', '9e0c290ed8af4de29d05f58d7dd9fb12', '542f4017caa745bdb2f85deb6336c9bc', 'False', 'True', 'false', 'false', '511526100003', 5, '北城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526100003', 1, '2021-07-19 11:54:18', NULL, NULL), (21753, '', '坝底社区村', 'e753cb5bc5fa45298ce63c4a52a52d6a', '542f4017caa745bdb2f85deb6336c9bc', 'False', 'True', 'false', 'false', '511526100201', 5, '坝底社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526100201', 1, '2021-07-19 11:54:18', NULL, NULL), (21754, '', '官沱社区村', '198ab36d6a0e41eead7bd3ec08b162b9', '542f4017caa745bdb2f85deb6336c9bc', 'False', 'True', 'false', 'false', '511526100202', 5, '官沱社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526100202', 1, '2021-07-19 11:54:18', NULL, NULL), (21755, '', '下坝社区村', '3a46793e29de45bda0477fddffef5d68', '542f4017caa745bdb2f85deb6336c9bc', 'False', 'True', 'false', 'false', '511526100203', 5, '下坝社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526100203', 1, '2021-07-19 11:54:18', NULL, NULL), (21756, '', '荷花社区村', '131cdf40ec0f40bc88b43ced4fdb6076', '542f4017caa745bdb2f85deb6336c9bc', 'False', 'True', 'false', 'false', '511526100204', 5, '荷花社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526100204', 1, '2021-07-19 11:54:18', NULL, NULL), (21757, '', '鱼竹村', 'fadc00dad3d146f09e8017c842b03eb3', '542f4017caa745bdb2f85deb6336c9bc', 'False', 'True', 'false', 'false', '511526100205', 5, '鱼竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526100205', 1, '2021-07-19 11:54:18', NULL, NULL), (21758, '', '红旗村', 'd09873b668c54c63912d5d5be2c19c49', '542f4017caa745bdb2f85deb6336c9bc', 'False', 'True', 'false', 'false', '511526100209', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526100209', 1, '2021-07-19 11:54:18', NULL, NULL), (21759, '', '德袜村', 'cf21856ad6424f20aefbffdddd8db11d', '542f4017caa745bdb2f85deb6336c9bc', 'False', 'True', 'false', 'false', '511526100210', 5, '德袜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526100210', 1, '2021-07-19 11:54:18', NULL, NULL), (21760, '', '凤天村', 'c3bca464baf64332bc738b3dc655fc16', '542f4017caa745bdb2f85deb6336c9bc', 'False', 'True', 'false', 'false', '511526100211', 5, '凤天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526100211', 1, '2021-07-19 11:54:18', NULL, NULL), (21761, '', '高桥村', 'ab38d89357a14b5fa8b6fcc0a224a41d', '542f4017caa745bdb2f85deb6336c9bc', 'False', 'True', 'false', 'false', '511526100213', 5, '高桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526100213', 1, '2021-07-19 11:54:18', NULL, NULL), (21762, '', '三江村', '79e53cc81f6a411c98dfff498e5a45fd', '542f4017caa745bdb2f85deb6336c9bc', 'False', 'True', 'false', 'false', '511526100214', 5, '三江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526100214', 1, '2021-07-19 11:54:18', NULL, NULL), (21763, '', '中心村', '4c8e6ebddb9547f598797eeee47d0149', '542f4017caa745bdb2f85deb6336c9bc', 'False', 'True', 'false', 'false', '511526100215', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526100215', 1, '2021-07-19 11:54:18', NULL, NULL), (21764, '', '高罗村', 'b2f53fc2231842d880bab845826d2930', '542f4017caa745bdb2f85deb6336c9bc', 'False', 'True', 'false', 'false', '511526100220', 5, '高罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526100220', 1, '2021-07-19 11:54:18', NULL, NULL), (21765, '', '永福村', '0b70b2f453ad445e9e9221ef64062625', '542f4017caa745bdb2f85deb6336c9bc', 'False', 'True', 'false', 'false', '511526100221', 5, '永福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526100221', 1, '2021-07-19 11:54:18', NULL, NULL), (21766, '', '张永村', '9fe4ceb4f59647bcb09d2eeafeff4bd1', '542f4017caa745bdb2f85deb6336c9bc', 'False', 'True', 'false', 'false', '511526100223', 5, '张永村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526100223', 1, '2021-07-19 11:54:18', NULL, NULL), (21767, '', '巡场镇', 'dcde37016f0347aa86bdf3832e395929', '56449521334c451e80e09690314563e9', 'True', 'True', 'false', 'false', '511526101000', 4, '巡场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511526101000', 1, '2021-07-19 11:54:19', NULL, NULL), (21768, '', '南井社区', '81c6ae1eda2245d1968bc069f5f753f3', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101001', 5, '南井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101001', 1, '2021-07-19 11:54:19', NULL, NULL), (21769, '', '新桥社区', 'f88656efe710472ea52d87a29c1d1064', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101002', 5, '新桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101002', 1, '2021-07-19 11:54:19', NULL, NULL), (21770, '', '龙祥社区', '39bca5d8d9a94a668b4b0f60a43b2a08', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101003', 5, '龙祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101003', 1, '2021-07-19 11:54:19', NULL, NULL), (21771, '', '安民社区', '169f0ff92447435991154fc865b8e7d9', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101004', 5, '安民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101004', 1, '2021-07-19 11:54:19', NULL, NULL), (21772, '', '桂花坳社区', '973dfabacea0498a9b36f67c7e8dfa24', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101005', 5, '桂花坳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101005', 1, '2021-07-19 11:54:19', NULL, NULL), (21773, '', '杉木树社区', '965e05e784594a719ab64b0dec8f72fa', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101006', 5, '杉木树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101006', 1, '2021-07-19 11:54:19', NULL, NULL), (21774, '', '新林村', 'edb1565c810c44388cee32398018d2c0', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101201', 5, '新林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101201', 1, '2021-07-19 11:54:19', NULL, NULL), (21775, '', '金龙村', '8c17c937f09e40cfab8653611dad5d87', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101204', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101204', 1, '2021-07-19 11:54:19', NULL, NULL), (21776, '', '中坝村', '8238164ab56749cb9e0b2ed2a95154a1', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101205', 5, '中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101205', 1, '2021-07-19 11:54:19', NULL, NULL), (21777, '', '鞍子村', 'd48083964d34449ea61f80ca37a72a6e', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101206', 5, '鞍子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101206', 1, '2021-07-19 11:54:19', NULL, NULL), (21778, '', '天池村', '73d13333351a4c05b3b51ccb9b69a7bf', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101207', 5, '天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101207', 1, '2021-07-19 11:54:19', NULL, NULL), (21779, '', '金河社区村', 'd8a5ca3723df4f16b7c3b6f12c23d027', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101208', 5, '金河社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101208', 1, '2021-07-19 11:54:19', NULL, NULL), (21780, '', '三合社区村', 'e66eda098dc4481293cc2bbf1910d981', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101209', 5, '三合社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101209', 1, '2021-07-19 11:54:19', NULL, NULL), (21781, '', '溪尾村', '2ae1e95ff76f46cebec6996ab887d161', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101212', 5, '溪尾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101212', 1, '2021-07-19 11:54:19', NULL, NULL), (21782, '', '白家村', '3b43565af75a400aaaa6c0c138f496c3', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101214', 5, '白家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101214', 1, '2021-07-19 11:54:19', NULL, NULL), (21783, '', '余箐社区村', 'c90cc05a7df2403192c9d2d5536b070a', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101215', 5, '余箐社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101215', 1, '2021-07-19 11:54:19', NULL, NULL), (21784, '', '汾洞村', '676a52bac7dc469aae1019d6dde372c7', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101218', 5, '汾洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101218', 1, '2021-07-19 11:54:19', NULL, NULL), (21785, '', '塘坎村', '9fc62340637d451f8ef5897f788e3e33', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101219', 5, '塘坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101219', 1, '2021-07-19 11:54:20', NULL, NULL), (21786, '', '兴太村', 'e573dcdadb1148b1a25b79c8d5f06dbe', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101220', 5, '兴太村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101220', 1, '2021-07-19 11:54:20', NULL, NULL), (21787, '', '塘坝社区村', 'b0aa2b493f3b4ffb8428685aed40eec7', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101222', 5, '塘坝社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101222', 1, '2021-07-19 11:54:20', NULL, NULL), (21788, '', '德田村', 'eacbe392a6a04681bada19005693744c', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101223', 5, '德田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101223', 1, '2021-07-19 11:54:20', NULL, NULL), (21789, '', '芙蓉村', 'e2915c6a702f4edc9192e8b0f7877c1c', 'dcde37016f0347aa86bdf3832e395929', 'False', 'True', 'false', 'false', '511526101224', 5, '芙蓉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526101224', 1, '2021-07-19 11:54:20', NULL, NULL), (21790, '', '孝儿镇', '9ca4a56930a3436d8186743228942049', '56449521334c451e80e09690314563e9', 'True', 'True', 'false', 'false', '511526102000', 4, '孝儿镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511526102000', 1, '2021-07-19 11:54:20', NULL, NULL), (21791, '', '宁泰社区', '4781a6074dcc451fb813db0c2105d452', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102001', 5, '宁泰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102001', 1, '2021-07-19 11:54:20', NULL, NULL), (21792, '', '龙窝村', 'dc8a43b53f464f42bfcaab58608c08dc', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102202', 5, '龙窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102202', 1, '2021-07-19 11:54:20', NULL, NULL), (21793, '', '莲花村', 'ed0525db3cb640fc924c40b0d788c436', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102203', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102203', 1, '2021-07-19 11:54:20', NULL, NULL), (21794, '', '通木村', 'd9e6a229b09c4c54af43c3117743382e', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102205', 5, '通木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102205', 1, '2021-07-19 11:54:20', NULL, NULL), (21795, '', '中和村', '6540d092cd724120baf9ff0f9959cd42', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102206', 5, '中和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102206', 1, '2021-07-19 11:54:20', NULL, NULL), (21796, '', '中安社区村', '941f28b44c7842168df911b90f3c6b96', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102207', 5, '中安社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102207', 1, '2021-07-19 11:54:20', NULL, NULL), (21797, '', '燕坪村', 'c13af573f9ab4192b13ee18011ba1162', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102208', 5, '燕坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102208', 1, '2021-07-19 11:54:20', NULL, NULL), (21798, '', '巩舟村', 'd6442f9f90b14fb9b906626e68ac73db', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102211', 5, '巩舟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102211', 1, '2021-07-19 11:54:20', NULL, NULL), (21799, '', '李复村', 'd5954b06c90e4f0eb14d47c31eee666c', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102212', 5, '李复村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102212', 1, '2021-07-19 11:54:20', NULL, NULL), (21800, '', '天堂村', 'f4e6c891fe0244b1bc1acae94ebb72e3', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102214', 5, '天堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102214', 1, '2021-07-19 11:54:20', NULL, NULL), (21801, '', '正平村', '9c69ef05cfc54a79add3f0a0fc1377aa', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102216', 5, '正平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102216', 1, '2021-07-19 11:54:21', NULL, NULL), (21802, '', '宝山村', '1f4d74c7753b418a9578d0d2e1ded4b7', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102217', 5, '宝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102217', 1, '2021-07-19 11:54:21', NULL, NULL), (21803, '', '洪溪村', '0b4e6dad80ec4c948fd16749b93d4e0b', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102222', 5, '洪溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102222', 1, '2021-07-19 11:54:21', NULL, NULL), (21804, '', '双油村', 'b1ad0faf8fb848268d1f5f708a7ee24a', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102752', 5, '双油村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102752', 1, '2021-07-19 11:54:21', NULL, NULL), (21805, '', '张德村', 'a5f93ee0ad4f419485e7ca5f71cf76f7', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102441', 5, '张德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102441', 1, '2021-07-19 11:54:21', NULL, NULL), (21806, '', '丰田社区村', '0f5ad9b1c3094b1b85c939b6a8034ea5', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102138', 5, '丰田社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102138', 1, '2021-07-19 11:54:21', NULL, NULL), (21807, '', '武林村', 'be982f20b72e40488345b6677f22b42a', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102324', 5, '武林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102324', 1, '2021-07-19 11:54:21', NULL, NULL), (21808, '', '上洛村', '360c64571b38469bbcc6d747ae341ace', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102590', 5, '上洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102590', 1, '2021-07-19 11:54:21', NULL, NULL), (21809, '', '中洛社区村', 'd214313df747461aa4445d695f31e726', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102368', 5, '中洛社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102368', 1, '2021-07-19 11:54:21', NULL, NULL), (21810, '', '洛感村', 'ba9a9b0b31234198bb53a60b6f32162e', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102667', 5, '洛感村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102667', 1, '2021-07-19 11:54:21', NULL, NULL), (21811, '', '杨义村', 'b039af81eb3b430aa104a3daff0e1432', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102863', 5, '杨义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102863', 1, '2021-07-19 11:54:21', NULL, NULL), (21812, '', '黄柏社区村', '54843c40928f4dbfbd3af87a5e749075', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102296', 5, '黄柏社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102296', 1, '2021-07-19 11:54:21', NULL, NULL), (21813, '', '仁义社区村', 'cd8fdf79fe0747f3b729c71603078232', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102314', 5, '仁义社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102314', 1, '2021-07-19 11:54:21', NULL, NULL), (21814, '', '栗香村', 'ae3f18e9a22f4163a05f637d4e212f16', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102209', 5, '栗香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102209', 1, '2021-07-19 11:54:21', NULL, NULL), (21815, '', '尖峰村', '21f1db4091734f15afc1f5ff8fbc667c', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102369', 5, '尖峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102369', 1, '2021-07-19 11:54:22', NULL, NULL), (21816, '', '玉峰村', 'b393d779df0c49c2a465cf8507058861', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102891', 5, '玉峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102891', 1, '2021-07-19 11:54:22', NULL, NULL), (21817, '', '罗家村', '8ffc70ea04684feb8ea72e075e082f4b', '9ca4a56930a3436d8186743228942049', 'False', 'True', 'false', 'false', '511526102026', 5, '罗家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526102026', 1, '2021-07-19 11:54:22', NULL, NULL), (21818, '', '底洞镇', '46a0dd75933e49d398fc5ca92e5c3825', '56449521334c451e80e09690314563e9', 'True', 'True', 'false', 'false', '511526103000', 4, '底洞镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511526103000', 1, '2021-07-19 11:54:22', NULL, NULL), (21819, '', '圣浦社区', '78da38d142aa4eb4b6c0418b5df94e97', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103001', 5, '圣浦社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103001', 1, '2021-07-19 11:54:22', NULL, NULL), (21820, '', '水竹村', '44f71c503fdb4647850ded4c03b3e329', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103203', 5, '水竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103203', 1, '2021-07-19 11:54:22', NULL, NULL), (21821, '', '罗通村', 'b545122887df4bc39fc4f46a4e23cadc', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103205', 5, '罗通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103205', 1, '2021-07-19 11:54:22', NULL, NULL), (21822, '', '惠民村', '63bd5b8b8b6a4616a4dc7791ffe13a22', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103206', 5, '惠民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103206', 1, '2021-07-19 11:54:22', NULL, NULL), (21823, '', '盐井社区村', '8822e63f127a4522aed27d1c6d186273', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103208', 5, '盐井社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103208', 1, '2021-07-19 11:54:22', NULL, NULL), (21824, '', '顶古村', 'a792687c42d2472292871149a158cc18', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103211', 5, '顶古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103211', 1, '2021-07-19 11:54:22', NULL, NULL), (21825, '', '板栗村', '1469ff7c98c64112b8fbbbae9e638620', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103212', 5, '板栗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103212', 1, '2021-07-19 11:54:22', NULL, NULL), (21826, '', '普新村', '336764dc61554bf29a36a516c518228e', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103213', 5, '普新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103213', 1, '2021-07-19 11:54:22', NULL, NULL), (21827, '', '同义村', '3fe01dffbd1b46b5a69def424f4eddd4', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103214', 5, '同义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103214', 1, '2021-07-19 11:54:22', NULL, NULL), (21828, '', '芭蕉村', '498694b250954693b3fe056d76ae279f', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103215', 5, '芭蕉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103215', 1, '2021-07-19 11:54:22', NULL, NULL), (21829, '', '锦绣村', '8c72dc340a61473787ef2f86e860dfc5', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103216', 5, '锦绣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103216', 1, '2021-07-19 11:54:22', NULL, NULL), (21830, '', '两河村', 'a4f4bb62f19d428ca7049bd3975e480c', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103217', 5, '两河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103217', 1, '2021-07-19 11:54:22', NULL, NULL), (21831, '', '陈泗村', 'd2ae098d48c3467db2ab4315f2b031ae', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103219', 5, '陈泗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103219', 1, '2021-07-19 11:54:22', NULL, NULL), (21832, '', '富源村', '5235e86312d14490896177e4a08c96a2', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103220', 5, '富源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103220', 1, '2021-07-19 11:54:22', NULL, NULL), (21833, '', '源建村', '7b72ec51d8324af298a15ff7fd02a23f', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103222', 5, '源建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103222', 1, '2021-07-19 11:54:22', NULL, NULL), (21834, '', '文化村', '32b36ec7789449afa4750154dab23e59', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103224', 5, '文化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103224', 1, '2021-07-19 11:54:23', NULL, NULL), (21835, '', '大地村', 'c9204cbbad234bc19dd5a4cfc8f715cf', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103225', 5, '大地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103225', 1, '2021-07-19 11:54:23', NULL, NULL), (21836, '', '周家村', 'b61279d9907c4e8bbd5c1db86c3a6fdc', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103226', 5, '周家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103226', 1, '2021-07-19 11:54:23', NULL, NULL), (21837, '', '利民村', '9d7a4b33283d471dbd58991cf7ad7f7b', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103227', 5, '利民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103227', 1, '2021-07-19 11:54:23', NULL, NULL), (21838, '', '瑞民村', 'c55f788cfeb14a859b424f313f94e640', '46a0dd75933e49d398fc5ca92e5c3825', 'False', 'True', 'false', 'false', '511526103656', 5, '瑞民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526103656', 1, '2021-07-19 11:54:23', NULL, NULL), (21839, '', '上罗镇', '341330e11626495cb6b116b2630f275b', '56449521334c451e80e09690314563e9', 'True', 'True', 'false', 'false', '511526104000', 4, '上罗镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511526104000', 1, '2021-07-19 11:54:23', NULL, NULL), (21840, '', '榕泉社区', 'd208073b6e994c92bf7c8ce503761c50', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526104001', 5, '榕泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526104001', 1, '2021-07-19 11:54:23', NULL, NULL), (21841, '', '下罗社区村', 'a0f5294e742545b48bf23cdbfecb6596', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526104348', 5, '下罗社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526104348', 1, '2021-07-19 11:54:23', NULL, NULL), (21842, '', '汪家村', '28e8f1d701344c94804fe04bd7206cf1', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526104201', 5, '汪家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526104201', 1, '2021-07-19 11:54:23', NULL, NULL), (21843, '', '麻柳村', '09370f5a5dec4ac4a872cbfa509e5894', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526104203', 5, '麻柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526104203', 1, '2021-07-19 11:54:23', NULL, NULL), (21844, '', '代家社区村', 'bb148964b10f4961b8e066adf110351b', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526104205', 5, '代家社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526104205', 1, '2021-07-19 11:54:23', NULL, NULL), (21845, '', '大民村', 'c7b9fca80f92415b886a71fa82b846ee', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526104208', 5, '大民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526104208', 1, '2021-07-19 11:54:23', NULL, NULL), (21846, '', '思源村', '25bd39c6b7ca47c48a84387e1d5a6769', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526104209', 5, '思源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526104209', 1, '2021-07-19 11:54:23', NULL, NULL), (21847, '', '新合村', '4d6b6025afaa416bb7655c14978c09b6', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526104211', 5, '新合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526104211', 1, '2021-07-19 11:54:23', NULL, NULL), (21848, '', '七星村', '1cfc15ff1aa342c0b0aed72a117b61d3', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526104214', 5, '七星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526104214', 1, '2021-07-19 11:54:23', NULL, NULL), (21849, '', '龙洞村', '51b8074722044875b35b3d14b83ff22f', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526104215', 5, '龙洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526104215', 1, '2021-07-19 11:54:23', NULL, NULL), (21850, '', '新龙村', 'eff0873a63e84210aa22102bf282f943', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526104216', 5, '新龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526104216', 1, '2021-07-19 11:54:23', NULL, NULL), (21851, '', '星光村', '4961cc3ce11e454d9bd7932d8c8edc1f', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526104218', 5, '星光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526104218', 1, '2021-07-19 11:54:24', NULL, NULL), (21852, '', '庄稼社区村', '61f18194f87f4477b7127a9cec1d5a8c', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526104219', 5, '庄稼社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526104219', 1, '2021-07-19 11:54:24', NULL, NULL), (21853, '', '石竹村', 'e0633a3c74f342b7ba3b3979d7741e7b', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526104220', 5, '石竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526104220', 1, '2021-07-19 11:54:24', NULL, NULL), (21854, '', '田家村', 'c32d8c6471ab444fb06bdea8550d09be', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526104221', 5, '田家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526104221', 1, '2021-07-19 11:54:24', NULL, NULL), (21855, '', '团胜村', '27f07989fbd041f18a424bb6793cf808', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526104222', 5, '团胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526104222', 1, '2021-07-19 11:54:24', NULL, NULL), (21856, '', '梧桐村', 'c8b18bee15dc4f9c883e8ac3ef1b9425', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526207758', 5, '梧桐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526207758', 1, '2021-07-19 11:54:24', NULL, NULL), (21857, '', '秧田村', '22848203c6984b96ab92385102152b0f', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526207491', 5, '秧田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526207491', 1, '2021-07-19 11:54:24', NULL, NULL), (21858, '', '合理社区村', '8676031ba59f4b3e8e6e422ed2978993', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526207687', 5, '合理社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526207687', 1, '2021-07-19 11:54:24', NULL, NULL), (21859, '', '保平村', '3b3db67da5ce4da5992aec9574693b0a', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526207070', 5, '保平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526207070', 1, '2021-07-19 11:54:24', NULL, NULL), (21860, '', '农利村', 'c0b83c369cce49e48c0be3a305493fb7', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526207222', 5, '农利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526207222', 1, '2021-07-19 11:54:24', NULL, NULL), (21861, '', '兴龙社区村', 'bf2504b91ced43d587a98611cd6fcafa', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526207789', 5, '兴龙社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526207789', 1, '2021-07-19 11:54:24', NULL, NULL), (21862, '', '公平村', '7b6d14621506466d88f9013531ab3ae4', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526207344', 5, '公平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526207344', 1, '2021-07-19 11:54:24', NULL, NULL), (21863, '', '粮坝村', '246bab8cfb2b4947a68ecfd669f70937', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526207709', 5, '粮坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526207709', 1, '2021-07-19 11:54:24', NULL, NULL), (21864, '', '石板溪社区村', '568be2a2eae94157be6a97668806535f', '341330e11626495cb6b116b2630f275b', 'False', 'True', 'false', 'false', '511526207472', 5, '石板溪社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526207472', 1, '2021-07-19 11:54:24', NULL, NULL), (21865, '', '洛表镇', '1db32478b29242f2a2d636f92810b750', '56449521334c451e80e09690314563e9', 'True', 'True', 'false', 'false', '511526105000', 4, '洛表镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511526105000', 1, '2021-07-19 11:54:24', NULL, NULL), (21866, '', '南园社区', '73fd63a8019243c193454c3548efb281', '1db32478b29242f2a2d636f92810b750', 'False', 'True', 'false', 'false', '511526105840', 5, '南园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526105840', 1, '2021-07-19 11:54:24', NULL, NULL), (21867, '', '金光社区村', '5fbdd630edf148faa9f7cb6cb8df0bae', '1db32478b29242f2a2d636f92810b750', 'False', 'True', 'false', 'false', '511526105201', 5, '金光社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526105201', 1, '2021-07-19 11:54:24', NULL, NULL), (21868, '', '通达社区村', '08ac74fd580a4e6db8302d52a4e0abf2', '1db32478b29242f2a2d636f92810b750', 'False', 'True', 'false', 'false', '511526105203', 5, '通达社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526105203', 1, '2021-07-19 11:54:24', NULL, NULL), (21869, '', '红卫社区村', 'cde76b269d244d2e9452391666fc2479', '1db32478b29242f2a2d636f92810b750', 'False', 'True', 'false', 'false', '511526105204', 5, '红卫社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526105204', 1, '2021-07-19 11:54:25', NULL, NULL), (21870, '', '九龙村', '8c263c93c7354cc083189f13875e91f2', '1db32478b29242f2a2d636f92810b750', 'False', 'True', 'false', 'false', '511526105206', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526105206', 1, '2021-07-19 11:54:25', NULL, NULL), (21871, '', '合作村', 'fb3b8b8a724c435b9f0ed6bd7d2ce320', '1db32478b29242f2a2d636f92810b750', 'False', 'True', 'false', 'false', '511526105208', 5, '合作村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526105208', 1, '2021-07-19 11:54:25', NULL, NULL), (21872, '', '民权社区村', 'fed8229a870b47f184794df2706a8db6', '1db32478b29242f2a2d636f92810b750', 'False', 'True', 'false', 'false', '511526105209', 5, '民权社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526105209', 1, '2021-07-19 11:54:25', NULL, NULL), (21873, '', '飞跃村', '40b2809e24d947eea40e7f1a366d2e1d', '1db32478b29242f2a2d636f92810b750', 'False', 'True', 'false', 'false', '511526105210', 5, '飞跃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526105210', 1, '2021-07-19 11:54:25', NULL, NULL), (21874, '', '麻塘坝社区村', 'f0ebd50228b9462bb7319e7b0e0071ed', '1db32478b29242f2a2d636f92810b750', 'False', 'True', 'false', 'false', '511526105415', 5, '麻塘坝社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526105415', 1, '2021-07-19 11:54:25', NULL, NULL), (21875, '', '先锋村', 'aeb015c44c3040f098506ef0da958d32', '1db32478b29242f2a2d636f92810b750', 'False', 'True', 'false', 'false', '511526105212', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526105212', 1, '2021-07-19 11:54:25', NULL, NULL), (21876, '', '顺景村', '616e3993386a4b9c9d62852e346101f0', '1db32478b29242f2a2d636f92810b750', 'False', 'True', 'false', 'false', '511526105213', 5, '顺景村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526105213', 1, '2021-07-19 11:54:25', NULL, NULL), (21877, '', '龙泉村', '73ea2dc93cb4485da0f7e92c14c6b107', '1db32478b29242f2a2d636f92810b750', 'False', 'True', 'false', 'false', '511526105215', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526105215', 1, '2021-07-19 11:54:25', NULL, NULL), (21878, '', '翻身社区村', '9e86e67446074986ab9c1bf646cf1975', '1db32478b29242f2a2d636f92810b750', 'False', 'True', 'false', 'false', '511526105218', 5, '翻身社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526105218', 1, '2021-07-19 11:54:25', NULL, NULL), (21879, '', '洛亥镇', 'db66fdef76744d3da59e789afbb4187c', '56449521334c451e80e09690314563e9', 'True', 'True', 'false', 'false', '511526106000', 4, '洛亥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511526106000', 1, '2021-07-19 11:54:25', NULL, NULL), (21880, '', '人和社区', '048a886fe54c4acba0cb350d8ee4f515', 'db66fdef76744d3da59e789afbb4187c', 'False', 'True', 'false', 'false', '511526106166', 5, '人和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526106166', 1, '2021-07-19 11:54:25', NULL, NULL), (21881, '', '俄塘社区村', '31ac1e5af9a442c1af73503f3e4bc405', 'db66fdef76744d3da59e789afbb4187c', 'False', 'True', 'false', 'false', '511526106202', 5, '俄塘社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526106202', 1, '2021-07-19 11:54:25', NULL, NULL), (21882, '', '火石社区村', '8c6a6fca98064782bb6b6ae026ce62b6', 'db66fdef76744d3da59e789afbb4187c', 'False', 'True', 'false', 'false', '511526106155', 5, '火石社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526106155', 1, '2021-07-19 11:54:25', NULL, NULL), (21883, '', '泰和村', '52915fc5290748a7b6ef7a7b80e5c649', 'db66fdef76744d3da59e789afbb4187c', 'False', 'True', 'false', 'false', '511526106828', 5, '泰和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526106828', 1, '2021-07-19 11:54:25', NULL, NULL), (21884, '', '孟合村', '45768bace69d45ab86b1b8c232709ce3', 'db66fdef76744d3da59e789afbb4187c', 'False', 'True', 'false', 'false', '511526106205', 5, '孟合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526106205', 1, '2021-07-19 11:54:25', NULL, NULL), (21885, '', '油岭社区村', '7a12f5831f1c40babb4e993fad8cca30', 'db66fdef76744d3da59e789afbb4187c', 'False', 'True', 'false', 'false', '511526106206', 5, '油岭社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526106206', 1, '2021-07-19 11:54:25', NULL, NULL), (21886, '', '花园村', 'fcfbc48e9b1e4e9ca925546ad0094612', 'db66fdef76744d3da59e789afbb4187c', 'False', 'True', 'false', 'false', '511526106208', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526106208', 1, '2021-07-19 11:54:26', NULL, NULL), (21887, '', '风硐村', '934beb58ffa54c33bfeafa89b264f463', 'db66fdef76744d3da59e789afbb4187c', 'False', 'True', 'false', 'false', '511526106210', 5, '风硐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526106210', 1, '2021-07-19 11:54:26', NULL, NULL), (21888, '', '群益村', '2787ea61770f4e8cbf96f9e131026483', 'db66fdef76744d3da59e789afbb4187c', 'False', 'True', 'false', 'false', '511526106213', 5, '群益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526106213', 1, '2021-07-19 11:54:26', NULL, NULL), (21889, '', '高腊村', '22b991659ff8435484bf81e919e4f5ee', 'db66fdef76744d3da59e789afbb4187c', 'False', 'True', 'false', 'false', '511526106684', 5, '高腊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526106684', 1, '2021-07-19 11:54:26', NULL, NULL), (21890, '', '王家镇', '6e30cdac83974fa48e0ea5c43887b24d', '56449521334c451e80e09690314563e9', 'True', 'True', 'false', 'false', '511526107000', 4, '王家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511526107000', 1, '2021-07-19 11:54:26', NULL, NULL), (21891, '', '花田社区', '50d4490b083b48aeaee169259571a6d0', '6e30cdac83974fa48e0ea5c43887b24d', 'False', 'True', 'false', 'false', '511526107588', 5, '花田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526107588', 1, '2021-07-19 11:54:26', NULL, NULL), (21892, '', '鱼田社区村', '9a96a0627110437f8ee4b406a73e6756', '6e30cdac83974fa48e0ea5c43887b24d', 'False', 'True', 'false', 'false', '511526107201', 5, '鱼田社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526107201', 1, '2021-07-19 11:54:26', NULL, NULL), (21893, '', '花树社区村', '4c4cd57a704447a2b3dafc4648ac626e', '6e30cdac83974fa48e0ea5c43887b24d', 'False', 'True', 'false', 'false', '511526107202', 5, '花树社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526107202', 1, '2021-07-19 11:54:26', NULL, NULL), (21894, '', '团聚村', '69842d80ba2a44feac5a59ace6af6572', '6e30cdac83974fa48e0ea5c43887b24d', 'False', 'True', 'false', 'false', '511526107203', 5, '团聚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526107203', 1, '2021-07-19 11:54:26', NULL, NULL), (21895, '', '青山村', 'ac5accb6dcc64a7699c18238f46bbeb7', '6e30cdac83974fa48e0ea5c43887b24d', 'False', 'True', 'false', 'false', '511526107204', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526107204', 1, '2021-07-19 11:54:26', NULL, NULL), (21896, '', '和平村', 'fc44e8e48d6442aaafddf3ece301c61b', '6e30cdac83974fa48e0ea5c43887b24d', 'False', 'True', 'false', 'false', '511526107206', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526107206', 1, '2021-07-19 11:54:26', NULL, NULL), (21897, '', '四合村', '925e3a409d8b4a9e8c49e5bd8644a736', '6e30cdac83974fa48e0ea5c43887b24d', 'False', 'True', 'false', 'false', '511526107207', 5, '四合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526107207', 1, '2021-07-19 11:54:26', NULL, NULL), (21898, '', '长埂村', 'c0d7267b44614125afecdf68d87dd819', '6e30cdac83974fa48e0ea5c43887b24d', 'False', 'True', 'false', 'false', '511526107209', 5, '长埂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526107209', 1, '2021-07-19 11:54:26', NULL, NULL), (21899, '', '柏杨村', '4dd7bf48c9a4448a97473e04c82e4dff', '6e30cdac83974fa48e0ea5c43887b24d', 'False', 'True', 'false', 'false', '511526107212', 5, '柏杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526107212', 1, '2021-07-19 11:54:26', NULL, NULL), (21900, '', '百花社区村', 'f031ca3ac65e4dc7906aa181d0be1a14', '6e30cdac83974fa48e0ea5c43887b24d', 'False', 'True', 'false', 'false', '511526107213', 5, '百花社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526107213', 1, '2021-07-19 11:54:26', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (21901, '', '白玉村', 'd8188bdfb66a479d841b4e8c06e6ee21', '6e30cdac83974fa48e0ea5c43887b24d', 'False', 'True', 'false', 'false', '511526107214', 5, '白玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526107214', 1, '2021-07-19 11:54:26', NULL, NULL), (21902, '', '沐滩镇', 'ea3e3d87864c4521858bf3230473ccb4', '56449521334c451e80e09690314563e9', 'True', 'True', 'false', 'false', '511526108000', 4, '沐滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511526108000', 1, '2021-07-19 11:54:27', NULL, NULL), (21903, '', '新民社区', '0fd9279ef3fa4deea1d7f2b11f1b19ea', 'ea3e3d87864c4521858bf3230473ccb4', 'False', 'True', 'false', 'false', '511526108001', 5, '新民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526108001', 1, '2021-07-19 11:54:27', NULL, NULL), (21904, '', '黄泥村', 'e4b285f58d4b4ebcaf2b2053c479cecd', 'ea3e3d87864c4521858bf3230473ccb4', 'False', 'True', 'false', 'false', '511526108205', 5, '黄泥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526108205', 1, '2021-07-19 11:54:27', NULL, NULL), (21905, '', '中山村', '83c487d606ca4e4489c14ab3276cc82c', 'ea3e3d87864c4521858bf3230473ccb4', 'False', 'True', 'false', 'false', '511526108206', 5, '中山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526108206', 1, '2021-07-19 11:54:27', NULL, NULL), (21906, '', '同乐村', '526294db5df34274a8e855039ebe7fb5', 'ea3e3d87864c4521858bf3230473ccb4', 'False', 'True', 'false', 'false', '511526108207', 5, '同乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526108207', 1, '2021-07-19 11:54:27', NULL, NULL), (21907, '', '新建村', 'e7d90ffde2534f5091ed310bbd9ded5f', 'ea3e3d87864c4521858bf3230473ccb4', 'False', 'True', 'false', 'false', '511526108209', 5, '新建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526108209', 1, '2021-07-19 11:54:27', NULL, NULL), (21908, '', '共腾村', 'fc30cbf681a8492bbf929f8fbc6ff545', 'ea3e3d87864c4521858bf3230473ccb4', 'False', 'True', 'false', 'false', '511526108211', 5, '共腾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526108211', 1, '2021-07-19 11:54:27', NULL, NULL), (21909, '', '犀牛山村', 'dd413887e4de42f580976571fdc16e07', 'ea3e3d87864c4521858bf3230473ccb4', 'False', 'True', 'false', 'false', '511526108204', 5, '犀牛山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526108204', 1, '2021-07-19 11:54:27', NULL, NULL), (21910, '', '曹营镇', '3aa3c6753284452eaa179ae95238ecfb', '56449521334c451e80e09690314563e9', 'True', 'True', 'false', 'false', '511526110000', 4, '曹营镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511526110000', 1, '2021-07-19 11:54:27', NULL, NULL), (21911, '', '凤鸣社区村', '4d43d538b2124f258e33ceaf62b39d58', '3aa3c6753284452eaa179ae95238ecfb', 'False', 'True', 'false', 'false', '511526110001', 5, '凤鸣社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526110001', 1, '2021-07-19 11:54:27', NULL, NULL), (21912, '', '鹿鸣社区村', '5ba5d560ac8344f39b47042bf7ff0319', '3aa3c6753284452eaa179ae95238ecfb', 'False', 'True', 'false', 'false', '511526110202', 5, '鹿鸣社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526110202', 1, '2021-07-19 11:54:27', NULL, NULL), (21913, '', '龙胜村', 'de1111d974164236a244be6a7dae2882', '3aa3c6753284452eaa179ae95238ecfb', 'False', 'True', 'false', 'false', '511526110204', 5, '龙胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526110204', 1, '2021-07-19 11:54:27', NULL, NULL), (21914, '', '云新村', 'b59a1f6cd57a4a689e1c5733458b9b50', '3aa3c6753284452eaa179ae95238ecfb', 'False', 'True', 'false', 'false', '511526110205', 5, '云新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526110205', 1, '2021-07-19 11:54:27', NULL, NULL), (21915, '', '福宁社区村', 'f7e701b5de964c2e8414b9b273543cb6', '3aa3c6753284452eaa179ae95238ecfb', 'False', 'True', 'false', 'false', '511526110207', 5, '福宁社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526110207', 1, '2021-07-19 11:54:27', NULL, NULL), (21916, '', '曙光社区村', '1d12b5c0adcc449f92193097465b465b', '3aa3c6753284452eaa179ae95238ecfb', 'False', 'True', 'false', 'false', '511526110462', 5, '曙光社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526110462', 1, '2021-07-19 11:54:27', NULL, NULL), (21917, '', '红光村', 'ebe39841915441559a5d199f5a9a2279', '3aa3c6753284452eaa179ae95238ecfb', 'False', 'True', 'false', 'false', '511526110488', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526110488', 1, '2021-07-19 11:54:27', NULL, NULL), (21918, '', '红卫社区村', '4355c361ba9e4541b9f2a9205272f8f6', '3aa3c6753284452eaa179ae95238ecfb', 'False', 'True', 'false', 'false', '511526110859', 5, '红卫社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526110859', 1, '2021-07-19 11:54:27', NULL, NULL), (21919, '', '飞龙村', '655f832657544c50bd12b683b9e60860', '3aa3c6753284452eaa179ae95238ecfb', 'False', 'True', 'false', 'false', '511526110449', 5, '飞龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526110449', 1, '2021-07-19 11:54:27', NULL, NULL), (21920, '', '司堡村', '08f4446e4a55485ebbbc43f94fe4972e', '3aa3c6753284452eaa179ae95238ecfb', 'False', 'True', 'false', 'false', '511526110416', 5, '司堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526110416', 1, '2021-07-19 11:54:27', NULL, NULL), (21921, '', '玉和苗族乡', '6b5f7eb623e846a8916804b54786fb47', '56449521334c451e80e09690314563e9', 'True', 'True', 'false', 'false', '511526205000', 4, '玉和乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511526205000', 1, '2021-07-19 11:54:27', NULL, NULL), (21922, '', '青龙社区村', 'ecb6b574b32d448d86900d559c2913f5', '6b5f7eb623e846a8916804b54786fb47', 'False', 'True', 'false', 'false', '511526205201', 5, '青龙社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526205201', 1, '2021-07-19 11:54:27', NULL, NULL), (21923, '', '隘口社区村', '44b8de0c0e0448189caf1f2301a5d1bb', '6b5f7eb623e846a8916804b54786fb47', 'False', 'True', 'false', 'false', '511526205203', 5, '隘口社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526205203', 1, '2021-07-19 11:54:28', NULL, NULL), (21924, '', '杨家村', '72ee82988465452ea6a2881575411629', '6b5f7eb623e846a8916804b54786fb47', 'False', 'True', 'false', 'false', '511526205205', 5, '杨家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526205205', 1, '2021-07-19 11:54:28', NULL, NULL), (21925, '', '凤凰社区村', '748faf9b65454c208939a00ceb274687', '6b5f7eb623e846a8916804b54786fb47', 'False', 'True', 'false', 'false', '511526205206', 5, '凤凰社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526205206', 1, '2021-07-19 11:54:28', NULL, NULL), (21926, '', '罗渡苗族乡', '03897a2215a54547993ba74d940f168b', '56449521334c451e80e09690314563e9', 'True', 'True', 'false', 'false', '511526209000', 4, '罗渡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511526209000', 1, '2021-07-19 11:54:28', NULL, NULL), (21927, '', '武营社区村', '01a4ef2a18ce4649adecd399cea24c47', '03897a2215a54547993ba74d940f168b', 'False', 'True', 'false', 'false', '511526209201', 5, '武营社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526209201', 1, '2021-07-19 11:54:28', NULL, NULL), (21928, '', '天堂村', '0b5488d8bee842bb97c7b19e44bf0e98', '03897a2215a54547993ba74d940f168b', 'False', 'True', 'false', 'false', '511526209202', 5, '天堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526209202', 1, '2021-07-19 11:54:28', NULL, NULL), (21929, '', '黄桷村', '6697d41bc6b741b2bbe3b1027376a810', '03897a2215a54547993ba74d940f168b', 'False', 'True', 'false', 'false', '511526209204', 5, '黄桷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526209204', 1, '2021-07-19 11:54:28', NULL, NULL), (21930, '', '杨叉村', '509497d246f94c99bab1f1ff6a9df630', '03897a2215a54547993ba74d940f168b', 'False', 'True', 'false', 'false', '511526209205', 5, '杨叉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526209205', 1, '2021-07-19 11:54:28', NULL, NULL), (21931, '', '寨子村', 'ca0089f31a574db6b9f4d6460be65a53', '03897a2215a54547993ba74d940f168b', 'False', 'True', 'false', 'false', '511526209208', 5, '寨子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526209208', 1, '2021-07-19 11:54:28', NULL, NULL), (21932, '', '王武寨村', 'd77b04bf7af748359e9d0a9b42a1d59e', '03897a2215a54547993ba74d940f168b', 'False', 'True', 'false', 'false', '511526209206', 5, '王武寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526209206', 1, '2021-07-19 11:54:28', NULL, NULL), (21933, '', '观斗苗族乡', 'bb04fdbda130467fa54b1c3b9581c157', '56449521334c451e80e09690314563e9', 'True', 'True', 'false', 'false', '511526212000', 4, '观斗乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511526212000', 1, '2021-07-19 11:54:28', NULL, NULL), (21934, '', '前进社区村', '67643ece7ebb4b7998a29ce72cde227e', 'bb04fdbda130467fa54b1c3b9581c157', 'False', 'True', 'false', 'false', '511526212201', 5, '前进社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526212201', 1, '2021-07-19 11:54:28', NULL, NULL), (21935, '', '白仁村', 'cc5854e559984b0fb2ca06bf080d6d6c', 'bb04fdbda130467fa54b1c3b9581c157', 'False', 'True', 'false', 'false', '511526212202', 5, '白仁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526212202', 1, '2021-07-19 11:54:28', NULL, NULL), (21936, '', '幸福村', 'b95619d9b4d94b0db88323bb86ade6b1', 'bb04fdbda130467fa54b1c3b9581c157', 'False', 'True', 'false', 'false', '511526212203', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526212203', 1, '2021-07-19 11:54:28', NULL, NULL), (21937, '', '跃进村', 'd6b571be608c4f89b5ac020e6907e751', 'bb04fdbda130467fa54b1c3b9581c157', 'False', 'True', 'false', 'false', '511526212204', 5, '跃进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511526212204', 1, '2021-07-19 11:54:28', NULL, NULL), (21938, '', '兴文县', '4f18395213524e90a80d4aef3f20d60d', '8fc9422b1bca40fa86f12b028b33e6cf', 'True', 'True', 'false', 'false', '511528000000', 3, '兴文县', 'ybsxwx.sczwfw.gov.cn', 1, '2021-07-19 11:54:28', NULL, NULL), (21939, '', '古宋镇', 'd265783c4a6a450aaffe3d4e4af40806', '4f18395213524e90a80d4aef3f20d60d', 'True', 'True', 'false', 'false', '511528100000', 4, '古宋镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511528100000', 1, '2021-07-19 11:54:28', NULL, NULL), (21940, '', '东大街社区', 'be019bd71c3d4d7eaa6eb0bc7b7f9d77', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100001', 5, '东大街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100001', 1, '2021-07-19 11:54:29', NULL, NULL), (21941, '', '南门桥社区', 'df5f78a087f345c3bd12cf443b4c135c', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100003', 5, '南门桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100003', 1, '2021-07-19 11:54:29', NULL, NULL), (21942, '', '西门上社区', '7a7ad04fb92e4e5f81497bacbea18b94', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100004', 5, '西门上社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100004', 1, '2021-07-19 11:54:29', NULL, NULL), (21943, '', '后街头社区', 'bda2b32428cb481ebd336c89189087af', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100005', 5, '后街头社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100005', 1, '2021-07-19 11:54:29', NULL, NULL), (21944, '', '宝山号社区', '5c1114c818074d948830e6c679a228b9', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100006', 5, '宝山号社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100006', 1, '2021-07-19 11:54:29', NULL, NULL), (21945, '', '万寿场社区', 'd9c0d43788f444e2a57b80bef08f2f41', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100007', 5, '万寿场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100007', 1, '2021-07-19 11:54:29', NULL, NULL), (21946, '', '龙神社区', 'b8835591adce4a1882ee6ac1f1bdbd63', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100008', 5, '龙神社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100008', 1, '2021-07-19 11:54:29', NULL, NULL), (21947, '', '百家渡社区', '79bb5f7572214625973a6f2a051aac94', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100009', 5, '百家渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100009', 1, '2021-07-19 11:54:29', NULL, NULL), (21948, '', '香水山社区', '26086c5c82bf4efca46c4f3ab55af4c3', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100010', 5, '香水山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100010', 1, '2021-07-19 11:54:29', NULL, NULL), (21949, '', '曙光村', 'e6f9a48883ad4e9c950e4761c84baecb', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100201', 5, '曙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100201', 1, '2021-07-19 11:54:29', NULL, NULL), (21950, '', '土红坳村', 'b8ec3cdd41c34e84949c25002d1e132e', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100202', 5, '土红坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100202', 1, '2021-07-19 11:54:29', NULL, NULL), (21951, '', '小河村', '229010116bfa41dfb17af3ee5ea16205', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100203', 5, '小河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100203', 1, '2021-07-19 11:54:29', NULL, NULL), (21952, '', '桐子林社区', 'd390f36989634aa6b54ba5be4b00d332', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100205', 5, '桐子林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100205', 1, '2021-07-19 11:54:29', NULL, NULL), (21953, '', '清泉村', '9c3d596b9d304409b04edfe29d4fed76', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100206', 5, '清泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100206', 1, '2021-07-19 11:54:29', NULL, NULL), (21954, '', '温水溪村', '176ca846e58942b79babf3f95f7b4185', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100207', 5, '温水溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100207', 1, '2021-07-19 11:54:29', NULL, NULL), (21955, '', '青山岩村', '4145294e16b44b448fcf869f72da5f1f', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100208', 5, '青山岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100208', 1, '2021-07-19 11:54:29', NULL, NULL), (21956, '', '星火村', 'c2158954739c439c824bf621013e15b3', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100209', 5, '星火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100209', 1, '2021-07-19 11:54:29', NULL, NULL), (21957, '', '甘洞湾村', 'abc5f407a74c4654a56f059d7a136892', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100210', 5, '甘洞湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100210', 1, '2021-07-19 11:54:30', NULL, NULL), (21958, '', '前进村', 'fdcf9df17c224934b2ba5e3ef4109d3c', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100211', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100211', 1, '2021-07-19 11:54:30', NULL, NULL), (21959, '', '打渔村', '3cba0a835c79440c8e633944a7bc9ee8', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100212', 5, '打渔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100212', 1, '2021-07-19 11:54:30', NULL, NULL), (21960, '', '金鸡山村', '0a1b4485db0d4255bc2a36899058a378', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100215', 5, '金鸡山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100215', 1, '2021-07-19 11:54:30', NULL, NULL), (21961, '', '范家村', 'd3f35dcfbee34d15bb790e4a6076d621', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100216', 5, '范家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100216', 1, '2021-07-19 11:54:30', NULL, NULL), (21962, '', '大田湾村', '274e0c31ec7140bbb4a9fe3df4597dc9', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100218', 5, '大田湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100218', 1, '2021-07-19 11:54:30', NULL, NULL), (21963, '', '松林坡村', '119d269d48d24168a7c5abfa51ae9721', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100219', 5, '松林坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100219', 1, '2021-07-19 11:54:30', NULL, NULL), (21964, '', '栖凤村', 'a73d99a0ff224ec5baa13813fbd3ca13', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100220', 5, '栖凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100220', 1, '2021-07-19 11:54:30', NULL, NULL), (21965, '', '文化村', '1d517b8460c343c396cac3be2ce4451f', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100221', 5, '文化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100221', 1, '2021-07-19 11:54:30', NULL, NULL), (21966, '', '友谊村', '2c87b99d4aad4f1a85d8c8fa289bb02f', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100222', 5, '友谊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100222', 1, '2021-07-19 11:54:30', NULL, NULL), (21967, '', '石泉村', 'e6441832b4bd4bac93eb92fd52fadff6', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100223', 5, '石泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100223', 1, '2021-07-19 11:54:30', NULL, NULL), (21968, '', '火箭村', 'b91aeb18023a489f9a787eb40051744c', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100224', 5, '火箭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100224', 1, '2021-07-19 11:54:30', NULL, NULL), (21969, '', '普照村', 'bc062e5507bf499b930eadb8f36157be', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100225', 5, '普照村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100225', 1, '2021-07-19 11:54:30', NULL, NULL), (21970, '', '川农村', 'bf1ecfc8b9c74935a9c8270d906d7b5f', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100226', 5, '川农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100226', 1, '2021-07-19 11:54:30', NULL, NULL), (21971, '', '阳光村', 'f3e4afc6be2c4943a6aec1eadb61430a', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100227', 5, '阳光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100227', 1, '2021-07-19 11:54:30', NULL, NULL), (21972, '', '阳坝村', '4fd31367f85041939266f93067c2e93e', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100228', 5, '阳坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100228', 1, '2021-07-19 11:54:30', NULL, NULL), (21973, '', '人民村', 'b1e1997774774f24aa309034137895b2', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100231', 5, '人民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100231', 1, '2021-07-19 11:54:30', NULL, NULL), (21974, '', '同心村', 'ea67ebbd2ab9432d9e9b6c32f50358db', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100232', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100232', 1, '2021-07-19 11:54:30', NULL, NULL), (21975, '', '黄金山村', '7e3b2a93608646c4988775a004de5993', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100233', 5, '黄金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100233', 1, '2021-07-19 11:54:30', NULL, NULL), (21976, '', '三星村', '0beb2e5c8efb40fb9aaba43398786eb3', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100234', 5, '三星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100234', 1, '2021-07-19 11:54:31', NULL, NULL), (21977, '', '民主村', '4e7b82c7b5a443a1821b1360a8855ae2', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100235', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100235', 1, '2021-07-19 11:54:31', NULL, NULL), (21978, '', '桃子坪社区', 'd651477cda5049ac8b7a2b1c1a63b1ae', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100239', 5, '桃子坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100239', 1, '2021-07-19 11:54:31', NULL, NULL), (21979, '', '梧桐村', '922f908eef2e4a139507b744d7a3d85a', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100240', 5, '梧桐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100240', 1, '2021-07-19 11:54:31', NULL, NULL), (21980, '', '金凤村', '9525b8c9088446579360fdbb1d5c174c', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100241', 5, '金凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100241', 1, '2021-07-19 11:54:31', NULL, NULL), (21981, '', '久庆村', '9d6dc8f46fcd482fbb577e0c26ccb47f', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100244', 5, '久庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100244', 1, '2021-07-19 11:54:31', NULL, NULL), (21982, '', '金龙村', 'b1db554422764f2f8291d1ce00e78a56', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100246', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100246', 1, '2021-07-19 11:54:31', NULL, NULL), (21983, '', '双凤村', 'fa60d43f49ed4b8ba52143c7ea9281b2', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100247', 5, '双凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100247', 1, '2021-07-19 11:54:31', NULL, NULL), (21984, '', '太平桥社区居民委员会', '6e650e432316498ab8b06ede942c4061', 'd265783c4a6a450aaffe3d4e4af40806', 'False', 'True', 'false', 'false', '511528100541', 5, '太平桥社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528100541', 1, '2021-07-19 11:54:31', NULL, NULL), (21985, '', '僰王山镇', '38d050cb971c4c0ea16a3926eb3f1e48', '4f18395213524e90a80d4aef3f20d60d', 'True', 'True', 'false', 'false', '511528101000', 4, '僰王山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511528101000', 1, '2021-07-19 11:54:31', NULL, NULL), (21986, '', '正南桥社区', '7ab8cb737fdb4a139424458c787d5d13', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101006', 5, '正南桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101006', 1, '2021-07-19 11:54:31', NULL, NULL), (21987, '', '北门上社区', '3b917e7083b0443392b5aa043ead0d83', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101007', 5, '北门上社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101007', 1, '2021-07-19 11:54:31', NULL, NULL), (21988, '', '河畔村', '16f5da425d7f4d1f81f0626f3ef34e28', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101201', 5, '河畔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101201', 1, '2021-07-19 11:54:31', NULL, NULL), (21989, '', '天堂村', '3a78d41d5902492ebc5cee8e21a625b9', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101203', 5, '天堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101203', 1, '2021-07-19 11:54:31', NULL, NULL), (21990, '', '富安村', 'a0cb4f139ee54604a3e9a7f5feb0d400', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101205', 5, '富安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101205', 1, '2021-07-19 11:54:31', NULL, NULL), (21991, '', '中心村', 'e563171f37b747589b8603c8fbb1a0fe', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101215', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101215', 1, '2021-07-19 11:54:31', NULL, NULL), (21992, '', '九角村', '803362a1b7e640168956252229013036', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101217', 5, '九角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101217', 1, '2021-07-19 11:54:31', NULL, NULL), (21993, '', '博望村', 'ebaa2937cb0245ed853e94254731adb2', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101218', 5, '博望村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101218', 1, '2021-07-19 11:54:32', NULL, NULL), (21994, '', '城郊村', '9c9f3ef3e378471bb755d2b2d6894969', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101220', 5, '城郊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101220', 1, '2021-07-19 11:54:32', NULL, NULL), (21995, '', '鱼池村', '389664bdfbca459c91d16fd1ef7237d8', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101226', 5, '鱼池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101226', 1, '2021-07-19 11:54:32', NULL, NULL), (21996, '', '同良村', '7fafe82c037f45ac8c66b08eca151fb9', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101230', 5, '同良村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101230', 1, '2021-07-19 11:54:32', NULL, NULL), (21997, '', '团结村', 'e6ce2d04ccc74e869a73f6a1c0ae4365', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101232', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101232', 1, '2021-07-19 11:54:32', NULL, NULL), (21998, '', '太安社区', 'f712973c53fa451aa7559cef8d360141', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101234', 5, '太安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101234', 1, '2021-07-19 11:54:32', NULL, NULL), (21999, '', '新河村', '724e0b283e8240758f617675f1c3a898', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101235', 5, '新河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101235', 1, '2021-07-19 11:54:32', NULL, NULL), (22000, '', '教场村', 'c4bad86a26ad4f45b8c55f1d458f7ccb', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101242', 5, '教场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101242', 1, '2021-07-19 11:54:32', NULL, NULL), (22001, '', '永寿社区', '3270332a76744b8896e34155d4a1fc51', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101247', 5, '永寿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101247', 1, '2021-07-19 11:54:32', NULL, NULL), (22002, '', '共和村', '6322dd8a4dff4196b5a8debfc9a77fac', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101248', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101248', 1, '2021-07-19 11:54:32', NULL, NULL), (22003, '', '晏阳村', '7f7c5c38b98d473dae8f9f8a50728aca', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101249', 5, '晏阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101249', 1, '2021-07-19 11:54:32', NULL, NULL), (22004, '', '水泸坝社区', 'f41af963d2dc4b549618a39ae0bc13f4', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101250', 5, '水泸坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101250', 1, '2021-07-19 11:54:32', NULL, NULL), (22005, '', '玉联村', '52784a163880413fa67e28cabd0ee58b', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101251', 5, '玉联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101251', 1, '2021-07-19 11:54:32', NULL, NULL), (22006, '', '胜合村', '3b83b874370f4f4f82f97108a9d29ecd', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101252', 5, '胜合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101252', 1, '2021-07-19 11:54:32', NULL, NULL), (22007, '', '亲民村', 'aee6099b3be94e6abf96a848ad1e16de', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101253', 5, '亲民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101253', 1, '2021-07-19 11:54:32', NULL, NULL), (22008, '', '联合村', '1abe815b85ca4ef88c188e39953fe0cf', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101254', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101254', 1, '2021-07-19 11:54:32', NULL, NULL), (22009, '', '千秋村', 'ebfdd1b463724bc5aa6b788f34fd64ea', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101255', 5, '千秋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101255', 1, '2021-07-19 11:54:32', NULL, NULL), (22010, '', '凌霄城村', '7d28abee4be84f63af82c2b955131529', '38d050cb971c4c0ea16a3926eb3f1e48', 'False', 'True', 'false', 'false', '511528101256', 5, '凌霄城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528101256', 1, '2021-07-19 11:54:32', NULL, NULL), (22011, '', '莲花镇', '45a6c68c1c22437597dc50b13a706438', '4f18395213524e90a80d4aef3f20d60d', 'True', 'True', 'false', 'false', '511528105000', 4, '莲花镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511528105000', 1, '2021-07-19 11:54:33', NULL, NULL), (22012, '', '观音寺社区', 'dcf0cc8130744d61ba92fc8101aaae9c', '45a6c68c1c22437597dc50b13a706438', 'False', 'True', 'false', 'false', '511528050020', 5, '观音寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528050020', 1, '2021-07-19 11:54:33', NULL, NULL), (22013, '', '大坪村', '5bb0f27c0e7041f58cd1295566290252', '45a6c68c1c22437597dc50b13a706438', 'False', 'True', 'false', 'false', '511528105202', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528105202', 1, '2021-07-19 11:54:33', NULL, NULL), (22014, '', '复兴社区', '121f81ef57bd48ffba8e03526c3e47af', '45a6c68c1c22437597dc50b13a706438', 'False', 'True', 'false', 'false', '511528105204', 5, '复兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528105204', 1, '2021-07-19 11:54:33', NULL, NULL), (22015, '', '林园村', '12692576a1454746b3e8151efe6d917f', '45a6c68c1c22437597dc50b13a706438', 'False', 'True', 'false', 'false', '511528105212', 5, '林园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528105212', 1, '2021-07-19 11:54:33', NULL, NULL), (22016, '', '高义社区', '75d97ceb428647cdb584a9ba27828c7e', '45a6c68c1c22437597dc50b13a706438', 'False', 'True', 'false', 'false', '511528105214', 5, '高义社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528105214', 1, '2021-07-19 11:54:33', NULL, NULL), (22017, '', '莲花村', '5009e101ae86449b903f7bd620926740', '45a6c68c1c22437597dc50b13a706438', 'False', 'True', 'false', 'false', '511528105216', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528105216', 1, '2021-07-19 11:54:33', NULL, NULL), (22018, '', '长岭村', 'a584e8affb904106aec563735c547c43', '45a6c68c1c22437597dc50b13a706438', 'False', 'True', 'false', 'false', '511528105218', 5, '长岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528105218', 1, '2021-07-19 11:54:33', NULL, NULL), (22019, '', '水栏村', 'e6c1f783c9a647b8905a442a07559f4c', '45a6c68c1c22437597dc50b13a706438', 'False', 'True', 'false', 'false', '511528105219', 5, '水栏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528105219', 1, '2021-07-19 11:54:33', NULL, NULL), (22020, '', '龙凤社区', '18b98e0d504348f9867ac88708360821', '45a6c68c1c22437597dc50b13a706438', 'False', 'True', 'false', 'false', '511528105222', 5, '龙凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528105222', 1, '2021-07-19 11:54:33', NULL, NULL), (22021, '', '大兴村', '7ba0f4edeaf84a0f975984975c079444', '45a6c68c1c22437597dc50b13a706438', 'False', 'True', 'false', 'false', '511528105223', 5, '大兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528105223', 1, '2021-07-19 11:54:33', NULL, NULL), (22022, '', '九丝城镇', 'f9d6d1c0c2b443f3872b3e9efa3043ae', '4f18395213524e90a80d4aef3f20d60d', 'True', 'True', 'false', 'false', '511528107000', 4, '九丝城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511528107000', 1, '2021-07-19 11:54:33', NULL, NULL), (22023, '', '迎春村', 'cf5c7eaca28c4cd4a189fdd030790d03', 'f9d6d1c0c2b443f3872b3e9efa3043ae', 'False', 'True', 'false', 'false', '511528107201', 5, '迎春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528107201', 1, '2021-07-19 11:54:33', NULL, NULL), (22024, '', '建武村', 'c8340f4d20614e22968d3c0e5df72805', 'f9d6d1c0c2b443f3872b3e9efa3043ae', 'False', 'True', 'false', 'false', '511528107202', 5, '建武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528107202', 1, '2021-07-19 11:54:33', NULL, NULL), (22025, '', '文山村', '42949a5ca6fd4e21a0c6539ebbf572ec', 'f9d6d1c0c2b443f3872b3e9efa3043ae', 'False', 'True', 'false', 'false', '511528107203', 5, '文山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528107203', 1, '2021-07-19 11:54:33', NULL, NULL), (22026, '', '新丰村', '44dbca0703bc4b59a35fa2f660b9905b', 'f9d6d1c0c2b443f3872b3e9efa3043ae', 'False', 'True', 'false', 'false', '511528107209', 5, '新丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528107209', 1, '2021-07-19 11:54:33', NULL, NULL), (22027, '', '坪山村', 'a66055ee0957472e9a611e2fe3fe2afb', 'f9d6d1c0c2b443f3872b3e9efa3043ae', 'False', 'True', 'false', 'false', '511528107215', 5, '坪山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528107215', 1, '2021-07-19 11:54:33', NULL, NULL), (22028, '', '鲵源村', '8bed1ccddc964d52981ecb45b2a30463', 'f9d6d1c0c2b443f3872b3e9efa3043ae', 'False', 'True', 'false', 'false', '511528107217', 5, '鲵源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528107217', 1, '2021-07-19 11:54:33', NULL, NULL), (22029, '', '胜利村', '5dca2e0c17734819beba6e185fd220ca', 'f9d6d1c0c2b443f3872b3e9efa3043ae', 'False', 'True', 'false', 'false', '511528107218', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528107218', 1, '2021-07-19 11:54:33', NULL, NULL), (22030, '', '惠源村', 'eb7f08961de34cfba2403a919b653cfa', 'f9d6d1c0c2b443f3872b3e9efa3043ae', 'False', 'True', 'false', 'false', '511528107222', 5, '惠源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528107222', 1, '2021-07-19 11:54:33', NULL, NULL), (22031, '', '九丝村', '4d41a1a2b13a48548f04c97dc50c8625', 'f9d6d1c0c2b443f3872b3e9efa3043ae', 'False', 'True', 'false', 'false', '511528107225', 5, '九丝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528107225', 1, '2021-07-19 11:54:34', NULL, NULL), (22032, '', '新合村', '007c9b464b7e4e108fa080b2bcc199e4', 'f9d6d1c0c2b443f3872b3e9efa3043ae', 'False', 'True', 'false', 'false', '511528107226', 5, '新合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528107226', 1, '2021-07-19 11:54:34', NULL, NULL), (22033, '', '和新村', 'a6c4b34a56a44da4bbec22c80f0563a9', 'f9d6d1c0c2b443f3872b3e9efa3043ae', 'False', 'True', 'false', 'false', '511528107228', 5, '和新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528107228', 1, '2021-07-19 11:54:34', NULL, NULL), (22034, '', '红胜堰村', 'ae4cd10926264acead44d57a11b410a4', 'f9d6d1c0c2b443f3872b3e9efa3043ae', 'False', 'True', 'false', 'false', '511528107229', 5, '红胜堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528107229', 1, '2021-07-19 11:54:34', NULL, NULL), (22035, '', '文印村', '30a51aa89f0d432fa61d6610d1d51e50', 'f9d6d1c0c2b443f3872b3e9efa3043ae', 'False', 'True', 'false', 'false', '511528107230', 5, '文印村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528107230', 1, '2021-07-19 11:54:34', NULL, NULL), (22036, '', '僰城社区', '436c8560c4254186b980f7cbfb09e05a', 'f9d6d1c0c2b443f3872b3e9efa3043ae', 'False', 'True', 'false', 'false', '511528107004', 5, '僰城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528107004', 1, '2021-07-19 11:54:34', NULL, NULL), (22037, '', '簸峡村', '4b098de053ca4e80bcc8457f976d3e9d', 'f9d6d1c0c2b443f3872b3e9efa3043ae', 'False', 'True', 'false', 'false', '511528107227', 5, '簸峡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528107227', 1, '2021-07-19 11:54:34', NULL, NULL), (22038, '', '周家镇', 'dda6ecea8a004a5fb987587292070659', '4f18395213524e90a80d4aef3f20d60d', 'True', 'True', 'false', 'false', '511528110000', 4, '周家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511528110000', 1, '2021-07-19 11:54:34', NULL, NULL), (22039, '', '云龙社区', '0b4ea76bf2164e63a704a9da549f8459', 'dda6ecea8a004a5fb987587292070659', 'False', 'True', 'false', 'false', '511528110001', 5, '云龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528110001', 1, '2021-07-19 11:54:34', NULL, NULL), (22040, '', '新塘社区', '0d9d5acaf7b7419bab155eaf39c928c7', 'dda6ecea8a004a5fb987587292070659', 'False', 'True', 'false', 'false', '511528110202', 5, '新塘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528110202', 1, '2021-07-19 11:54:34', NULL, NULL), (22041, '', '龙洞社区', 'fcf9949548a54f08baac64f9d6e291e7', 'dda6ecea8a004a5fb987587292070659', 'False', 'True', 'false', 'false', '511528110203', 5, '龙洞社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528110203', 1, '2021-07-19 11:54:34', NULL, NULL), (22042, '', '洛浦村', '1f244f6fc0244e3ab8884b3f95d9f557', 'dda6ecea8a004a5fb987587292070659', 'False', 'True', 'false', 'false', '511528110205', 5, '洛浦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528110205', 1, '2021-07-19 11:54:34', NULL, NULL), (22043, '', '周家村', '97070e636f4e47118f1d42b684a336aa', 'dda6ecea8a004a5fb987587292070659', 'False', 'True', 'false', 'false', '511528110211', 5, '周家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528110211', 1, '2021-07-19 11:54:34', NULL, NULL), (22044, '', '石屏村', '160760502ca64555aaaddb6783a96cc3', 'dda6ecea8a004a5fb987587292070659', 'False', 'True', 'false', 'false', '511528110212', 5, '石屏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528110212', 1, '2021-07-19 11:54:34', NULL, NULL), (22045, '', '五星镇', 'c4301767b9764d4b9fc9de3d7e9573af', '4f18395213524e90a80d4aef3f20d60d', 'True', 'True', 'false', 'false', '511528111000', 4, '五星镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511528111000', 1, '2021-07-19 11:54:34', NULL, NULL), (22046, '', '三河口社区', '6a32a370af474322811a7dd2ec761729', 'c4301767b9764d4b9fc9de3d7e9573af', 'False', 'True', 'false', 'false', '511528111001', 5, '三河口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528111001', 1, '2021-07-19 11:54:34', NULL, NULL), (22047, '', '金钟村', '14f3686da2524aeebc4ca642c0c62df0', 'c4301767b9764d4b9fc9de3d7e9573af', 'False', 'True', 'false', 'false', '511528111201', 5, '金钟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528111201', 1, '2021-07-19 11:54:34', NULL, NULL), (22048, '', '民心村', '094626d026c948e69f0cf6d80f66b307', 'c4301767b9764d4b9fc9de3d7e9573af', 'False', 'False', 'false', 'false', '511528111206', 5, '民心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528111206', 1, '2021-07-19 11:54:34', NULL, NULL), (22049, '', '大同村', '7fdded6282ac4716961a47511fd1649a', 'c4301767b9764d4b9fc9de3d7e9573af', 'False', 'True', 'false', 'false', '511528111208', 5, '大同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528111208', 1, '2021-07-19 11:54:34', NULL, NULL), (22050, '', '踏水桥村', '474b8e1aa975428c961a6fb0fc87aa47', 'c4301767b9764d4b9fc9de3d7e9573af', 'False', 'True', 'false', 'false', '511528111211', 5, '踏水桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528111211', 1, '2021-07-19 11:54:34', NULL, NULL), (22051, '', '同乐村', '02d42bf0dc494ef3aca5e788581e943d', 'c4301767b9764d4b9fc9de3d7e9573af', 'False', 'True', 'false', 'false', '511528111212', 5, '同乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528111212', 1, '2021-07-19 11:54:35', NULL, NULL), (22052, '', '长久村', 'abfbe1afbeae425dbe5a97b717846d43', 'c4301767b9764d4b9fc9de3d7e9573af', 'False', 'True', 'false', 'false', '511528111216', 5, '长久村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528111216', 1, '2021-07-19 11:54:35', NULL, NULL), (22053, '', '连心村', 'cfe41f726beb42ca8cc4554788b4f28f', 'c4301767b9764d4b9fc9de3d7e9573af', 'False', 'True', 'false', 'false', '511528111221', 5, '连心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528111221', 1, '2021-07-19 11:54:35', NULL, NULL), (22054, '', '长兴社区', '7f11e0e1f8804e06836d82533b32ee7e', 'c4301767b9764d4b9fc9de3d7e9573af', 'False', 'True', 'false', 'false', '511528111222', 5, '长兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528111222', 1, '2021-07-19 11:54:35', NULL, NULL), (22055, '', '连天山社区', 'f094479cc7414a8aaaaab4ff96410dca', 'c4301767b9764d4b9fc9de3d7e9573af', 'False', 'True', 'false', 'false', '511528111224', 5, '连天山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528111224', 1, '2021-07-19 11:54:35', NULL, NULL), (22056, '', '大坝苗族乡', '34b944aa64f64e569e6b7b88a321f899', '4f18395213524e90a80d4aef3f20d60d', 'True', 'True', 'false', 'false', '511528200000', 4, '大坝苗族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511528200000', 1, '2021-07-19 11:54:35', NULL, NULL), (22057, '', '晏州社区', '2f105ee483b94d3ead14c969654710a8', '34b944aa64f64e569e6b7b88a321f899', 'False', 'True', 'false', 'false', '511528200001', 5, '晏州社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528200001', 1, '2021-07-19 11:54:35', NULL, NULL), (22058, '', '平寨村', '5002707aac184c88ad1aa62606700abc', '34b944aa64f64e569e6b7b88a321f899', 'False', 'True', 'false', 'false', '511528200203', 5, '平寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528200203', 1, '2021-07-19 11:54:35', NULL, NULL), (22059, '', '小寨村', 'ea88ba5f407c4bb38aedda191555e90c', '34b944aa64f64e569e6b7b88a321f899', 'False', 'True', 'false', 'false', '511528200206', 5, '小寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528200206', 1, '2021-07-19 11:54:35', NULL, NULL), (22060, '', '龙塘村', 'acc727d5e0a94d91b149b4789e24de0c', '34b944aa64f64e569e6b7b88a321f899', 'False', 'True', 'false', 'false', '511528200207', 5, '龙塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528200207', 1, '2021-07-19 11:54:35', NULL, NULL), (22061, '', '红旗村', '7c141f727ade42cfbe53fb7f9b3f52b3', '34b944aa64f64e569e6b7b88a321f899', 'False', 'True', 'false', 'false', '511528200209', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528200209', 1, '2021-07-19 11:54:35', NULL, NULL), (22062, '', '朝阳村', '8f75751ff09e4d3da5ed538e32a12468', '34b944aa64f64e569e6b7b88a321f899', 'False', 'True', 'false', 'false', '511528200210', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528200210', 1, '2021-07-19 11:54:35', NULL, NULL), (22063, '', '建国村', 'bebb5d2c55974823bb804c01eb990b85', '34b944aa64f64e569e6b7b88a321f899', 'False', 'True', 'false', 'false', '511528200211', 5, '建国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528200211', 1, '2021-07-19 11:54:35', NULL, NULL), (22064, '', '柏坳林村', 'f3746b117bcf45758df6f591dacd19f2', '34b944aa64f64e569e6b7b88a321f899', 'False', 'True', 'false', 'false', '511528200213', 5, '柏坳林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528200213', 1, '2021-07-19 11:54:35', NULL, NULL), (22065, '', '芭茅湾村', '2329ec6124144568bb93aed209bb0e04', '34b944aa64f64e569e6b7b88a321f899', 'False', 'True', 'false', 'false', '511528200214', 5, '芭茅湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528200214', 1, '2021-07-19 11:54:35', NULL, NULL), (22066, '', '古佛台村', '72675cbb6235407ba563bb64b0fcd5f5', '34b944aa64f64e569e6b7b88a321f899', 'False', 'True', 'false', 'false', '511528200217', 5, '古佛台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528200217', 1, '2021-07-19 11:54:35', NULL, NULL), (22067, '', '四龙村', 'c57d1b86b95943e4bd644a68ecf16395', '34b944aa64f64e569e6b7b88a321f899', 'False', 'True', 'false', 'false', '511528200221', 5, '四龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528200221', 1, '2021-07-19 11:54:35', NULL, NULL), (22068, '', '沙坝村', 'd5c7c6954438448287ad3748dbcd08dc', '34b944aa64f64e569e6b7b88a321f899', 'False', 'True', 'false', 'false', '511528200223', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528200223', 1, '2021-07-19 11:54:35', NULL, NULL), (22069, '', '大河苗族乡', '37aaf183d6124fc3b282acb8e5584877', '4f18395213524e90a80d4aef3f20d60d', 'True', 'True', 'false', 'false', '511528205000', 4, '大河苗族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511528205000', 1, '2021-07-19 11:54:35', NULL, NULL), (22070, '', '金鹅池社区', 'ab762df431cb46788dd6a552298f0955', '37aaf183d6124fc3b282acb8e5584877', 'False', 'True', 'false', 'false', '511528205001', 5, '金鹅池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528205001', 1, '2021-07-19 11:54:36', NULL, NULL), (22071, '', '环旦山村', '99c8932ac5974bdcb1dfa67dec97ca4d', '37aaf183d6124fc3b282acb8e5584877', 'False', 'False', 'false', 'false', '511528205207', 5, '环旦山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528205207', 1, '2021-07-19 11:54:36', NULL, NULL), (22072, '', '九龙山村', '8a8ce00ff60c431093651267b40a4ebf', '37aaf183d6124fc3b282acb8e5584877', 'False', 'True', 'false', 'false', '511528205212', 5, '九龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528205212', 1, '2021-07-19 11:54:36', NULL, NULL), (22073, '', '李子关社区', '835ecc1f1b094c0ba77e5e2777b50171', '37aaf183d6124fc3b282acb8e5584877', 'False', 'True', 'false', 'false', '511528205214', 5, '李子关社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528205214', 1, '2021-07-19 11:54:36', NULL, NULL), (22074, '', '永革村', '5d5f25552a324aef82a4acfda2717348', '37aaf183d6124fc3b282acb8e5584877', 'False', 'True', 'false', 'false', '511528205216', 5, '永革村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528205216', 1, '2021-07-19 11:54:36', NULL, NULL), (22075, '', '大河村', '278b00fe2f0840809bd284839a768051', '37aaf183d6124fc3b282acb8e5584877', 'False', 'True', 'false', 'false', '511528205217', 5, '大河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528205217', 1, '2021-07-19 11:54:36', NULL, NULL), (22076, '', '长征社区', 'b0075d7460b9423e841860c0bf5a1579', '37aaf183d6124fc3b282acb8e5584877', 'False', 'True', 'false', 'false', '511528205219', 5, '长征社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528205219', 1, '2021-07-19 11:54:36', NULL, NULL), (22077, '', '峰岩村', '8769fcadb93e43c5be3eb2492448fc06', '37aaf183d6124fc3b282acb8e5584877', 'False', 'True', 'false', 'false', '511528205220', 5, '峰岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528205220', 1, '2021-07-19 11:54:36', NULL, NULL), (22078, '', '龙山村', 'b89b97493aca498785f4ea593616cded', '37aaf183d6124fc3b282acb8e5584877', 'False', 'True', 'false', 'false', '511528205221', 5, '龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528205221', 1, '2021-07-19 11:54:36', NULL, NULL), (22079, '', '回龙村', '0e79f9c1fa214554b83164ee2b673f8b', '37aaf183d6124fc3b282acb8e5584877', 'False', 'True', 'false', 'false', '511528205224', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528205224', 1, '2021-07-19 11:54:36', NULL, NULL), (22080, '', '田坝村', '03ebc30f34014b0582849e1fb81b6827', '37aaf183d6124fc3b282acb8e5584877', 'False', 'True', 'false', 'false', '511528205226', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528205226', 1, '2021-07-19 11:54:36', NULL, NULL), (22081, '', '金鹅池村', 'dc6ad0470fc1401e8c3c38ae805d85fe', '37aaf183d6124fc3b282acb8e5584877', 'False', 'True', 'false', 'false', '511528205228', 5, '金鹅池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528205228', 1, '2021-07-19 11:54:36', NULL, NULL), (22082, '', '落白亮村', 'f47d4ec6c4744bdca4ee6f8f379d5265', '37aaf183d6124fc3b282acb8e5584877', 'False', 'True', 'false', 'false', '511528205229', 5, '落白亮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528205229', 1, '2021-07-19 11:54:36', NULL, NULL), (22083, '', '关口村', '9a1e3d24688e4f05a2d033ec67214ffb', '37aaf183d6124fc3b282acb8e5584877', 'False', 'True', 'false', 'false', '511528205230', 5, '关口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528205230', 1, '2021-07-19 11:54:36', NULL, NULL), (22084, '', '兴旺村', '94a9dda81a264f97ad9050f7c83d071d', '37aaf183d6124fc3b282acb8e5584877', 'False', 'True', 'false', 'false', '511528205231', 5, '兴旺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528205231', 1, '2021-07-19 11:54:36', NULL, NULL), (22085, '', '麒麟苗族乡', 'f44db738173b41609bb49d7c4f1e73cb', '4f18395213524e90a80d4aef3f20d60d', 'True', 'True', 'false', 'false', '511528206000', 4, '麒麟苗族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511528206000', 1, '2021-07-19 11:54:36', NULL, NULL), (22086, '', '三官殿社区', '93f46ec7e8f04259aecd77a3f68f57fd', 'f44db738173b41609bb49d7c4f1e73cb', 'False', 'True', 'false', 'false', '511528206001', 5, '三官殿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528206001', 1, '2021-07-19 11:54:36', NULL, NULL), (22087, '', '龙泉村', '22f8927ad7694054a36833e6aff458d0', 'f44db738173b41609bb49d7c4f1e73cb', 'False', 'True', 'false', 'false', '511528206203', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528206203', 1, '2021-07-19 11:54:37', NULL, NULL), (22088, '', '德应村', '88250f2a7093475a8f12733988370854', 'f44db738173b41609bb49d7c4f1e73cb', 'False', 'True', 'false', 'false', '511528206205', 5, '德应村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528206205', 1, '2021-07-19 11:54:37', NULL, NULL), (22089, '', '海纳社区', 'c3b4c1d4c40a42b2a0e6028754f4a2f5', 'f44db738173b41609bb49d7c4f1e73cb', 'False', 'True', 'false', 'false', '511528206206', 5, '海纳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528206206', 1, '2021-07-19 11:54:37', NULL, NULL), (22090, '', '三合社区', '0aff776c92b947ae99df0a2282c1f7da', 'f44db738173b41609bb49d7c4f1e73cb', 'False', 'True', 'false', 'false', '511528206207', 5, '三合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528206207', 1, '2021-07-19 11:54:37', NULL, NULL), (22091, '', '象鼻村', '4f608fdfe1634670adef11c107a70be8', 'f44db738173b41609bb49d7c4f1e73cb', 'False', 'True', 'false', 'false', '511528206208', 5, '象鼻村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528206208', 1, '2021-07-19 11:54:37', NULL, NULL), (22092, '', '崔家村', 'd11afe5f9c41436bae78ae4d57967931', 'f44db738173b41609bb49d7c4f1e73cb', 'False', 'True', 'false', 'false', '511528206209', 5, '崔家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528206209', 1, '2021-07-19 11:54:37', NULL, NULL), (22093, '', '中华村', '150d1a012b34409aa6e2450bdb2b17f3', 'f44db738173b41609bb49d7c4f1e73cb', 'False', 'True', 'false', 'false', '511528206212', 5, '中华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528206212', 1, '2021-07-19 11:54:37', NULL, NULL), (22094, '', '麒麟村', '2d0f3072a81c4644ba72a0400d09739e', 'f44db738173b41609bb49d7c4f1e73cb', 'False', 'True', 'false', 'false', '511528206217', 5, '麒麟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528206217', 1, '2021-07-19 11:54:37', NULL, NULL), (22095, '', '大地社区', '74ede9c114974cc5b016a6baae5c37f5', 'f44db738173b41609bb49d7c4f1e73cb', 'False', 'True', 'false', 'false', '511528206218', 5, '大地社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528206218', 1, '2021-07-19 11:54:37', NULL, NULL), (22096, '', '茶元村', '726a61192e2a4e88a7d620e18bc39bce', 'f44db738173b41609bb49d7c4f1e73cb', 'False', 'True', 'false', 'false', '511528206221', 5, '茶元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528206221', 1, '2021-07-19 11:54:37', NULL, NULL), (22097, '', '新民村', 'd71b925e530842199ee02723f4ee66d9', 'f44db738173b41609bb49d7c4f1e73cb', 'False', 'True', 'false', 'false', '511528206225', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528206225', 1, '2021-07-19 11:54:37', NULL, NULL), (22098, '', '金田村', '341934bf94a84215b01d5fbc69a12ede', 'f44db738173b41609bb49d7c4f1e73cb', 'False', 'True', 'false', 'false', '511528206226', 5, '金田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528206226', 1, '2021-07-19 11:54:37', NULL, NULL), (22099, '', '乐望村', '42b9f2e03f7d421aaa97acd8c2f3b7c2', 'f44db738173b41609bb49d7c4f1e73cb', 'False', 'True', 'false', 'false', '511528206227', 5, '乐望村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528206227', 1, '2021-07-19 11:54:37', NULL, NULL), (22100, '', '双河村', '5c1a47e613e246a098fe15309b031d5f', 'f44db738173b41609bb49d7c4f1e73cb', 'False', 'True', 'false', 'false', '511528206228', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528206228', 1, '2021-07-19 11:54:37', NULL, NULL), (22101, '', '银鹤村', '66ca59682a4b4ba480d20a28f703e6ca', 'f44db738173b41609bb49d7c4f1e73cb', 'False', 'True', 'false', 'false', '511528206229', 5, '银鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528206229', 1, '2021-07-19 11:54:37', NULL, NULL), (22102, '', '中和村', '6cc346ad563741b89da6237c6095d57f', 'f44db738173b41609bb49d7c4f1e73cb', 'False', 'True', 'false', 'false', '511528206230', 5, '中和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528206230', 1, '2021-07-19 11:54:37', NULL, NULL), (22103, '', '仙峰苗族乡', '575a7fcc517444e581803cd6479bbfa2', '4f18395213524e90a80d4aef3f20d60d', 'True', 'True', 'false', 'false', '511528207000', 4, '仙峰苗族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511528207000', 1, '2021-07-19 11:54:37', NULL, NULL), (22104, '', '仙峰山社区', '0dd142f770a4453db5d27788f1487580', '575a7fcc517444e581803cd6479bbfa2', 'False', 'True', 'false', 'false', '511528207001', 5, '仙峰山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528207001', 1, '2021-07-19 11:54:37', NULL, NULL), (22105, '', '高山好村', '3189bdf9ae46495789037362fdfc6940', '575a7fcc517444e581803cd6479bbfa2', 'False', 'True', 'false', 'false', '511528207202', 5, '高山好村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528207202', 1, '2021-07-19 11:54:37', NULL, NULL), (22106, '', '满山红村', '9c086cb3f6c945ab997e59178ce1c22b', '575a7fcc517444e581803cd6479bbfa2', 'False', 'True', 'false', 'false', '511528207203', 5, '满山红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528207203', 1, '2021-07-19 11:54:37', NULL, NULL), (22107, '', '东方亮村', 'b67c7bed4452434a9bcfb6ba6664c2f7', '575a7fcc517444e581803cd6479bbfa2', 'False', 'True', 'false', 'false', '511528207206', 5, '东方亮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528207206', 1, '2021-07-19 11:54:38', NULL, NULL), (22108, '', '合庆村', 'ad84c164cc8c49f58a11842fe9085eab', '575a7fcc517444e581803cd6479bbfa2', 'False', 'True', 'false', 'false', '511528207210', 5, '合庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528207210', 1, '2021-07-19 11:54:38', NULL, NULL), (22109, '', '兴隆村', '196fb8c779304246adf6cd6b778a17fa', '575a7fcc517444e581803cd6479bbfa2', 'False', 'True', 'false', 'false', '511528207212', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528207212', 1, '2021-07-19 11:54:38', NULL, NULL), (22110, '', '大元社区', '55ed1f0f0f9b4fb188e97c0ef4db9f8b', '575a7fcc517444e581803cd6479bbfa2', 'False', 'True', 'false', 'false', '511528207213', 5, '大元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528207213', 1, '2021-07-19 11:54:38', NULL, NULL), (22111, '', '群鱼社区', '87650a92f0094f3f990d9f5e1d5022d9', '575a7fcc517444e581803cd6479bbfa2', 'False', 'True', 'false', 'false', '511528207214', 5, '群鱼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528207214', 1, '2021-07-19 11:54:38', NULL, NULL), (22112, '', '新界村', '47b6661ed82f4c2990293051e2c89df2', '575a7fcc517444e581803cd6479bbfa2', 'False', 'True', 'false', 'false', '511528207216', 5, '新界村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528207216', 1, '2021-07-19 11:54:38', NULL, NULL), (22113, '', '石海镇', '28760faf535b4eeeb51a4a1262e837be', '4f18395213524e90a80d4aef3f20d60d', 'True', 'True', 'false', 'false', '511528634000', 4, '石海镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511528634000', 1, '2021-07-19 11:54:38', NULL, NULL), (22114, '', '石海社区', 'db3b2843751140a581a711faed035189', '28760faf535b4eeeb51a4a1262e837be', 'False', 'True', 'false', 'false', '511528108003', 5, '石海社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528108003', 1, '2021-07-19 11:54:38', NULL, NULL), (22115, '', '大雪村', '8233c49ccc1448d1a5139e3c185773f4', '28760faf535b4eeeb51a4a1262e837be', 'False', 'True', 'false', 'false', '511528108202', 5, '大雪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528108202', 1, '2021-07-19 11:54:38', NULL, NULL), (22116, '', '和平村', 'd851a28e821640e5aefefdb4c76cb315', '28760faf535b4eeeb51a4a1262e837be', 'False', 'True', 'false', 'false', '511528108203', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528108203', 1, '2021-07-19 11:54:38', NULL, NULL), (22117, '', '顺河村', '2f972ae7559645c3a1e91ebc3e52f592', '28760faf535b4eeeb51a4a1262e837be', 'False', 'True', 'false', 'false', '511528108204', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528108204', 1, '2021-07-19 11:54:38', NULL, NULL), (22118, '', '石海村', 'd02658f9a7c244e9a5ed8e3fda6a2f1b', '28760faf535b4eeeb51a4a1262e837be', 'False', 'True', 'false', 'false', '511528108207', 5, '石海村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528108207', 1, '2021-07-19 11:54:38', NULL, NULL), (22119, '', '文家村', 'fd1148ebb5fd4394b9c58e9572e41f26', '28760faf535b4eeeb51a4a1262e837be', 'False', 'True', 'false', 'false', '511528108209', 5, '文家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528108209', 1, '2021-07-19 11:54:38', NULL, NULL), (22120, '', '中堰村', 'b04fc10d287c4485b47e7f1b1f7e778a', '28760faf535b4eeeb51a4a1262e837be', 'False', 'True', 'false', 'false', '511528108210', 5, '中堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528108210', 1, '2021-07-19 11:54:38', NULL, NULL), (22121, '', '红鱼社区', '1b32fdaf6c374dedb1f6dd3d23925100', '28760faf535b4eeeb51a4a1262e837be', 'False', 'True', 'false', 'false', '511528108211', 5, '红鱼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528108211', 1, '2021-07-19 11:54:38', NULL, NULL), (22122, '', '共乐镇', 'fe3f05daac334d9baa790ba1122522e1', '4f18395213524e90a80d4aef3f20d60d', 'True', 'True', 'false', 'false', '511528959000', 4, '共乐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511528959000', 1, '2021-07-19 11:54:38', NULL, NULL), (22123, '', '东阳湖社区', '0d7982593a0f44999be1a305de381922', 'fe3f05daac334d9baa790ba1122522e1', 'False', 'True', 'false', 'false', '511528103001', 5, '东阳湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528103001', 1, '2021-07-19 11:54:38', NULL, NULL), (22124, '', '共乐村', '78d779b203f743a3bcaedf59473438f8', 'fe3f05daac334d9baa790ba1122522e1', 'False', 'True', 'false', 'false', '511528103202', 5, '共乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528103202', 1, '2021-07-19 11:54:38', NULL, NULL), (22125, '', '自由村', '687edf6e19b94cadb5065fc622f41c08', 'fe3f05daac334d9baa790ba1122522e1', 'False', 'True', 'false', 'false', '511528103207', 5, '自由村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528103207', 1, '2021-07-19 11:54:38', NULL, NULL), (22126, '', '新阳村', '010ede5cb5df47fe93c85dc0b077aae1', 'fe3f05daac334d9baa790ba1122522e1', 'False', 'True', 'false', 'false', '511528103212', 5, '新阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528103212', 1, '2021-07-19 11:54:38', NULL, NULL), (22127, '', '福寿村', '66ac83d48aad4e5f99dd3f381344dbab', 'fe3f05daac334d9baa790ba1122522e1', 'False', 'True', 'false', 'false', '511528103213', 5, '福寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528103213', 1, '2021-07-19 11:54:38', NULL, NULL), (22128, '', '拖船社区', '249a184f8814410f8fd8fdb99fb69a7a', 'fe3f05daac334d9baa790ba1122522e1', 'False', 'True', 'false', 'false', '511528103214', 5, '拖船社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528103214', 1, '2021-07-19 11:54:39', NULL, NULL), (22129, '', '东阳村', 'dcc142be926a4331916f7206ebba9a8b', 'fe3f05daac334d9baa790ba1122522e1', 'False', 'True', 'false', 'false', '511528103215', 5, '东阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528103215', 1, '2021-07-19 11:54:39', NULL, NULL), (22130, '', '鹤盘山村', '760ce9fb192646b893799bb6ead03bc8', 'fe3f05daac334d9baa790ba1122522e1', 'False', 'True', 'false', 'false', '511528103219', 5, '鹤盘山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528103219', 1, '2021-07-19 11:54:39', NULL, NULL), (22131, '', '冷水桠社区', '15026c65d8634626a9951d554e070c7e', 'fe3f05daac334d9baa790ba1122522e1', 'False', 'True', 'false', 'false', '511528103222', 5, '冷水桠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528103222', 1, '2021-07-19 11:54:39', NULL, NULL), (22132, '', '毛村', '4f7ab05ba0614407aec24bce27a9da7e', 'fe3f05daac334d9baa790ba1122522e1', 'False', 'True', 'false', 'false', '511528103224', 5, '毛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528103224', 1, '2021-07-19 11:54:39', NULL, NULL), (22133, '', '鱼跳社区', '7e26b22d10b54572870e22d14b7a45b9', 'fe3f05daac334d9baa790ba1122522e1', 'False', 'True', 'false', 'false', '511528103225', 5, '鱼跳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511528103225', 1, '2021-07-19 11:54:39', NULL, NULL), (22134, '', '屏山县', '8da3668da3904b2dada93e968ea6eefa', '8fc9422b1bca40fa86f12b028b33e6cf', 'True', 'True', 'false', 'false', '511529000000', 3, '屏山县', 'ybspsx.sczwfw.gov.cn', 1, '2021-07-19 11:54:39', NULL, NULL), (22135, '', '锦屏镇', '239031d5689b4794b688eba6b80aafe3', '8da3668da3904b2dada93e968ea6eefa', 'True', 'True', 'false', 'false', '511529100000', 4, '锦屏镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511529100000', 1, '2021-07-19 11:54:39', NULL, NULL), (22136, '', '富荣社区村', 'b6dfca957cc34f30a2d56fc8f278398a', '239031d5689b4794b688eba6b80aafe3', 'False', 'False', 'false', 'false', '511529100301', 5, '富荣社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100301', 1, '2021-07-19 11:54:39', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (22137, '', '新村社区村', 'fafe1c0dbd164a6cb98897b3e610c7bf', '239031d5689b4794b688eba6b80aafe3', 'False', 'False', 'false', 'false', '511529100302', 5, '新村社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100302', 1, '2021-07-19 11:54:39', NULL, NULL), (22138, '', '团田村', '77fbd93dfb1645ce805b0a6e2c8bc6f3', '239031d5689b4794b688eba6b80aafe3', 'False', 'False', 'false', 'false', '511529100303', 5, '团田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100303', 1, '2021-07-19 11:54:39', NULL, NULL), (22139, '', '柏香社区村', '4de9d605a4534fe4a7d2704d075a938e', '239031d5689b4794b688eba6b80aafe3', 'False', 'False', 'false', 'false', '511529100304', 5, '柏香社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100304', 1, '2021-07-19 11:54:39', NULL, NULL), (22140, '', '白果社区村', '87ae9982d9644c89ae702445f438296f', '239031d5689b4794b688eba6b80aafe3', 'False', 'False', 'false', 'false', '511529100306', 5, '白果社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100306', 1, '2021-07-19 11:54:39', NULL, NULL), (22141, '', '三洞社区村', '52eba5ed7e594c01a56cb3b7f1b79166', '239031d5689b4794b688eba6b80aafe3', 'False', 'False', 'false', 'false', '511529100307', 5, '三洞社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100307', 1, '2021-07-19 11:54:39', NULL, NULL), (22142, '', '楠木社区村', 'fabd2d3c0f9d462789f1673f28990788', '239031d5689b4794b688eba6b80aafe3', 'False', 'False', 'false', 'false', '511529100308', 5, '楠木社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100308', 1, '2021-07-19 11:54:39', NULL, NULL), (22143, '', '茶叶村', '2523138f38734083a14c9c9e45f9a044', '239031d5689b4794b688eba6b80aafe3', 'False', 'False', 'false', 'false', '511529100309', 5, '茶叶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100309', 1, '2021-07-19 11:54:39', NULL, NULL), (22144, '', '蔡和社区村', 'c7eac83340674859acabf2d9c5bf9ea0', '239031d5689b4794b688eba6b80aafe3', 'False', 'False', 'false', 'false', '511529100310', 5, '蔡和社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100310', 1, '2021-07-19 11:54:39', NULL, NULL), (22145, '', '撕栗村', '4f61eb6dc7da43abb65243f23d68591f', '239031d5689b4794b688eba6b80aafe3', 'False', 'False', 'false', 'false', '511529100311', 5, '撕栗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100311', 1, '2021-07-19 11:54:40', NULL, NULL), (22146, '', '漆树村', '3ffac68c45a5494bb50e560174ba2862', '239031d5689b4794b688eba6b80aafe3', 'False', 'False', 'false', 'false', '511529100312', 5, '漆树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100312', 1, '2021-07-19 11:54:40', NULL, NULL), (22147, '', '中和社区村', '8b142e0c75bd4b338f71097af8a13a76', '239031d5689b4794b688eba6b80aafe3', 'False', 'False', 'false', 'false', '511529100313', 5, '中和社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100313', 1, '2021-07-19 11:54:40', NULL, NULL), (22148, '', '四坪社区村', 'dab9b80c105e4dc0bcbb1b408960c79d', '239031d5689b4794b688eba6b80aafe3', 'False', 'False', 'false', 'false', '511529100315', 5, '四坪社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100315', 1, '2021-07-19 11:54:40', NULL, NULL), (22149, '', '五一村', 'fc4a81da54c24356be17ed9ad70a7109', '239031d5689b4794b688eba6b80aafe3', 'False', 'True', 'false', 'false', '511529100083', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100083', 1, '2021-07-19 11:54:40', NULL, NULL), (22150, '', '锦屏社区村', '560383c2192b43d1aaa781bd3d1184fd', '239031d5689b4794b688eba6b80aafe3', 'False', 'True', 'false', 'false', '511529100145', 5, '锦屏社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100145', 1, '2021-07-19 11:54:40', NULL, NULL), (22151, '', '万涡社区村', 'c34bbb9ddf0e408c9f6a5040ac0af7d2', '239031d5689b4794b688eba6b80aafe3', 'False', 'True', 'false', 'false', '511529100161', 5, '万涡社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100161', 1, '2021-07-19 11:54:40', NULL, NULL), (22152, '', '栗子村', 'fc552e2290b044d6b10934b56dd48a8b', '239031d5689b4794b688eba6b80aafe3', 'False', 'True', 'false', 'false', '511529100405', 5, '栗子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100405', 1, '2021-07-19 11:54:40', NULL, NULL), (22153, '', '天仙村', '7b16d7f84aec4999b840fdd421885b24', '239031d5689b4794b688eba6b80aafe3', 'False', 'True', 'false', 'false', '511529100410', 5, '天仙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100410', 1, '2021-07-19 11:54:40', NULL, NULL), (22154, '', '金河社区', '94460c28a4074d0f83806d8510693e57', '239031d5689b4794b688eba6b80aafe3', 'False', 'True', 'false', 'false', '511529100451', 5, '金河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100451', 1, '2021-07-19 11:54:40', NULL, NULL), (22155, '', '共和村', '77ad552756a04eb2b511574c1c9899af', '239031d5689b4794b688eba6b80aafe3', 'False', 'False', 'false', 'false', '511529100847', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100847', 1, '2021-07-19 11:54:40', NULL, NULL), (22156, '', '永跃村', 'e35bfa803c69485fbde7056c0b9e985e', '239031d5689b4794b688eba6b80aafe3', 'False', 'True', 'false', 'false', '511529100894', 5, '永跃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100894', 1, '2021-07-19 11:54:40', NULL, NULL), (22157, '', '附城村', '174bc61dce98476198d27b26cf0b7af0', '239031d5689b4794b688eba6b80aafe3', 'False', 'True', 'false', 'false', '511529100943', 5, '附城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100943', 1, '2021-07-19 11:54:40', NULL, NULL), (22158, '', '青年村', '31ffdb800dac459c84a74a7d3aef0129', '239031d5689b4794b688eba6b80aafe3', 'False', 'True', 'false', 'false', '511529100960', 5, '青年村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529100960', 1, '2021-07-19 11:54:40', NULL, NULL), (22159, '', '新市镇', 'ad93dd3bb3be40dea053b5f27a713f3b', '8da3668da3904b2dada93e968ea6eefa', 'True', 'True', 'false', 'false', '511529101000', 4, '新市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511529101000', 1, '2021-07-19 11:54:40', NULL, NULL), (22160, '', '东风社区村', 'e31eb041b16b4709ad3a8be457248c4e', 'ad93dd3bb3be40dea053b5f27a713f3b', 'False', 'False', 'false', 'false', '511529101301', 5, '东风社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529101301', 1, '2021-07-19 11:54:41', NULL, NULL), (22161, '', '钓岩村', '6c1daf1a21654d97a66f81d3eb428978', 'ad93dd3bb3be40dea053b5f27a713f3b', 'False', 'False', 'false', 'false', '511529101302', 5, '钓岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529101302', 1, '2021-07-19 11:54:41', NULL, NULL), (22162, '', '龙口社区', '675692d4107b4345b7786024380308bc', 'ad93dd3bb3be40dea053b5f27a713f3b', 'False', 'True', 'false', 'false', '511529101005', 5, '龙口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529101005', 1, '2021-07-19 11:54:41', NULL, NULL), (22163, '', '白花村', '9774b95afaa7422585fb80894f64775f', 'ad93dd3bb3be40dea053b5f27a713f3b', 'False', 'True', 'false', 'false', '511529101203', 5, '白花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529101203', 1, '2021-07-19 11:54:41', NULL, NULL), (22164, '', '何家坪村', '7b0a93734a40440bae09c1af1111c67e', 'ad93dd3bb3be40dea053b5f27a713f3b', 'False', 'True', 'false', 'false', '511529101204', 5, '何家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529101204', 1, '2021-07-19 11:54:41', NULL, NULL), (22165, '', '寸腰村', '6e4d2c3c8e31470987b46adf8eccfe70', 'ad93dd3bb3be40dea053b5f27a713f3b', 'False', 'True', 'false', 'false', '511529101205', 5, '寸腰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529101205', 1, '2021-07-19 11:54:41', NULL, NULL), (22166, '', '汉溪村', 'fab573e954b1470487622a612c36f2db', 'ad93dd3bb3be40dea053b5f27a713f3b', 'False', 'True', 'false', 'false', '511529101207', 5, '汉溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529101207', 1, '2021-07-19 11:54:41', NULL, NULL), (22167, '', '先锋村', '08ee3fadfb6f4c8898b70403af9dc605', 'ad93dd3bb3be40dea053b5f27a713f3b', 'False', 'True', 'false', 'false', '511529101209', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529101209', 1, '2021-07-19 11:54:41', NULL, NULL), (22168, '', '观音村', '44a5dd096b7344abb7a095fe36ee570b', 'ad93dd3bb3be40dea053b5f27a713f3b', 'False', 'True', 'false', 'false', '511529101210', 5, '观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529101210', 1, '2021-07-19 11:54:41', NULL, NULL), (22169, '', '凤凰村', '6b7fc1a2f9f6486a986378f421abed8e', 'ad93dd3bb3be40dea053b5f27a713f3b', 'False', 'True', 'false', 'false', '511529101211', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529101211', 1, '2021-07-19 11:54:41', NULL, NULL), (22170, '', '吴家坝村', 'f12c093ef7544074a7e52f450422709b', 'ad93dd3bb3be40dea053b5f27a713f3b', 'False', 'True', 'false', 'false', '511529101220', 5, '吴家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529101220', 1, '2021-07-19 11:54:41', NULL, NULL), (22171, '', '天宫村', '9ca4ba2792eb4b02a0324ef668ab0d79', 'ad93dd3bb3be40dea053b5f27a713f3b', 'False', 'True', 'false', 'false', '511529101223', 5, '天宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529101223', 1, '2021-07-19 11:54:41', NULL, NULL), (22172, '', '院坪村', '619b5ff12acc48dea8435fb9572555df', 'ad93dd3bb3be40dea053b5f27a713f3b', 'False', 'True', 'false', 'false', '511529101225', 5, '院坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529101225', 1, '2021-07-19 11:54:41', NULL, NULL), (22173, '', '平宁村', '394b10d589b14557b96b1c75ea05f12e', 'ad93dd3bb3be40dea053b5f27a713f3b', 'False', 'True', 'false', 'false', '511529101226', 5, '平宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529101226', 1, '2021-07-19 11:54:41', NULL, NULL), (22174, '', '中都镇', '3e74a4611c4548eaa5a4603c8d5b4a3d', '8da3668da3904b2dada93e968ea6eefa', 'True', 'True', 'false', 'false', '511529102000', 4, '中都镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511529102000', 1, '2021-07-19 11:54:41', NULL, NULL), (22175, '', '春风社区村', 'f5795f2d71c245f7975dfacf2baafff3', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'False', 'false', 'false', '511529102301', 5, '春风社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102301', 1, '2021-07-19 11:54:41', NULL, NULL), (22176, '', '丰收村', '02e76e74abdb4230a57ea83a90960191', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'False', 'false', 'false', '511529102302', 5, '丰收村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102302', 1, '2021-07-19 11:54:41', NULL, NULL), (22177, '', '龙潭村', 'ddc04fbeb7064a0f9afb5f45ef1e2418', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'False', 'false', 'false', '511529102303', 5, '龙潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102303', 1, '2021-07-19 11:54:41', NULL, NULL), (22178, '', '前哨村', '4116ee4dd2c74259968a6770b6e3ae27', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'False', 'false', 'false', '511529102304', 5, '前哨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102304', 1, '2021-07-19 11:54:41', NULL, NULL), (22179, '', '火星村', '1c7e7557b6a04af79611e182f12f3c35', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'False', 'false', 'false', '511529102305', 5, '火星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102305', 1, '2021-07-19 11:54:41', NULL, NULL), (22180, '', '庆庄村', '7dc7dc9f27674633b867748f642be9f3', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'False', 'false', 'false', '511529102306', 5, '庆庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102306', 1, '2021-07-19 11:54:42', NULL, NULL), (22181, '', '中和庄村', 'aa3c845b4b3c4c0d9114b0a4e3a41133', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'False', 'false', 'false', '511529102307', 5, '中和庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102307', 1, '2021-07-19 11:54:42', NULL, NULL), (22182, '', '大池村', 'd6a84f7db0fe4cb897dcae61df598b4b', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'False', 'false', 'false', '511529102308', 5, '大池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102308', 1, '2021-07-19 11:54:42', NULL, NULL), (22183, '', '小坝村', '427989d90faf49009dc478391f7a4068', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'False', 'false', 'false', '511529102309', 5, '小坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102309', 1, '2021-07-19 11:54:42', NULL, NULL), (22184, '', '新街社区', '1831a6fb182e4c3aabbc46532878d470', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'True', 'false', 'false', '511529102001', 5, '新街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102001', 1, '2021-07-19 11:54:42', NULL, NULL), (22185, '', '民义村', 'f401722137374f648e968ac1768fdca0', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'True', 'false', 'false', '511529102201', 5, '民义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102201', 1, '2021-07-19 11:54:42', NULL, NULL), (22186, '', '宏安坝村', 'af13c529011b4d2ab6bdb79d24f9e208', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'True', 'false', 'false', '511529102202', 5, '宏安坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102202', 1, '2021-07-19 11:54:42', NULL, NULL), (22187, '', '大田坝村', '792eb836e36b4847b81de76644b7dca3', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'True', 'false', 'false', '511529102204', 5, '大田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102204', 1, '2021-07-19 11:54:42', NULL, NULL), (22188, '', '高峰村', '50ac57fe23424424afee43c99ded89e3', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'True', 'false', 'false', '511529102207', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102207', 1, '2021-07-19 11:54:42', NULL, NULL), (22189, '', '筒车坝村', 'd9b42d20478242b9aae2c8ed6dda0c5e', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'True', 'false', 'false', '511529102208', 5, '筒车坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102208', 1, '2021-07-19 11:54:42', NULL, NULL), (22190, '', '新权村', '8cdd263b138743fe8658eaf74ad2f077', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'True', 'false', 'false', '511529102210', 5, '新权村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102210', 1, '2021-07-19 11:54:42', NULL, NULL), (22191, '', '李家坝村', '1d4d65093e2049d9b7a674a821993c50', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'True', 'false', 'false', '511529102212', 5, '李家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102212', 1, '2021-07-19 11:54:42', NULL, NULL), (22192, '', '黎明村', '7e82eea0dcd34331b3fa27cd5ab038b9', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'True', 'false', 'false', '511529102215', 5, '黎明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102215', 1, '2021-07-19 11:54:42', NULL, NULL), (22193, '', '民建村', 'e1c73305b45b47feb4ef6ba2bfcaaca7', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'True', 'false', 'false', '511529102217', 5, '民建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102217', 1, '2021-07-19 11:54:42', NULL, NULL), (22194, '', '双河村', 'f4f236793ffd454181899beca7e2b832', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'True', 'false', 'false', '511529102218', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102218', 1, '2021-07-19 11:54:42', NULL, NULL), (22195, '', '建立村', '91b24127bb5240db9e141e476ae04a48', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'True', 'false', 'false', '511529102219', 5, '建立村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102219', 1, '2021-07-19 11:54:43', NULL, NULL), (22196, '', '雪花村', 'bf94df9b86bc44bebe97e805b2073bc9', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'True', 'false', 'false', '511529102222', 5, '雪花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102222', 1, '2021-07-19 11:54:43', NULL, NULL), (22197, '', '永福村', '6f9b32d85c144a8fa7ef228bbf171d03', '3e74a4611c4548eaa5a4603c8d5b4a3d', 'False', 'True', 'false', 'false', '511529102224', 5, '永福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529102224', 1, '2021-07-19 11:54:43', NULL, NULL), (22198, '', '龙华镇', '56cff8669ede4b2f927aa66d8aa0faa3', '8da3668da3904b2dada93e968ea6eefa', 'True', 'True', 'false', 'false', '511529103000', 4, '龙华镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511529103000', 1, '2021-07-19 11:54:43', NULL, NULL), (22199, '', '八仙山社区村', '801918e39bf24a78b8c408e237be1923', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'False', 'false', 'false', '511529103302', 5, '八仙山社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103302', 1, '2021-07-19 11:54:43', NULL, NULL), (22200, '', '人民村', '49f3f8d7cefb4f20a45d3e6467686ed3', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'False', 'false', 'false', '511529103303', 5, '人民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103303', 1, '2021-07-19 11:54:43', NULL, NULL), (22201, '', '四合村', 'e5882acff55545428ed88bcc873fecca', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'False', 'false', 'false', '511529103304', 5, '四合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103304', 1, '2021-07-19 11:54:43', NULL, NULL), (22202, '', '农民村', '3878dc70cb614a42bb9792d682bfdfcf', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'False', 'false', 'false', '511529103306', 5, '农民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103306', 1, '2021-07-19 11:54:43', NULL, NULL), (22203, '', '大兴村', '5246fab511f94fbb96f39a4daf43a1fa', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'False', 'false', 'false', '511529103308', 5, '大兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103308', 1, '2021-07-19 11:54:43', NULL, NULL), (22204, '', '翻身村', 'ad60ed1103b9409aa025f348cece5e92', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'False', 'false', 'false', '511529103310', 5, '翻身村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103310', 1, '2021-07-19 11:54:43', NULL, NULL), (22205, '', '改换村', 'afc4024650b944daa743d7c04a4bd452', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'False', 'false', 'false', '511529103315', 5, '改换村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103315', 1, '2021-07-19 11:54:43', NULL, NULL), (22206, '', '龙溪社区村', 'ee8f23808d9442068857293ba6e45bc1', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'False', 'false', 'false', '511529103316', 5, '龙溪社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103316', 1, '2021-07-19 11:54:43', NULL, NULL), (22207, '', '碳石村', 'ee63bceff8324e6ca307873256079f95', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'True', 'false', 'false', '511529103026', 5, '碳石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103026', 1, '2021-07-19 11:54:43', NULL, NULL), (22208, '', '鱼孔村', '3e5fe55b34a44bd994ac91360580030f', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'True', 'false', 'false', '511529103051', 5, '鱼孔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103051', 1, '2021-07-19 11:54:43', NULL, NULL), (22209, '', '竹林村', '7deb156374664d10af9e056953e392a6', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'True', 'false', 'false', '511529103128', 5, '竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103128', 1, '2021-07-19 11:54:43', NULL, NULL), (22210, '', '铜厂村', '79fcb1bf80c24d528b8e7fe8a7b9ccd3', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'True', 'false', 'false', '511529103175', 5, '铜厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103175', 1, '2021-07-19 11:54:43', NULL, NULL), (22211, '', '汇龙社区', 'af92f5fa0c9a436a85ed18d66b7b8ff0', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'True', 'false', 'false', '511529103192', 5, '汇龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103192', 1, '2021-07-19 11:54:43', NULL, NULL), (22212, '', '五桐社区村', '3b4fbf34789a46ddbfd8a28130dfdc67', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'True', 'false', 'false', '511529103194', 5, '五桐社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103194', 1, '2021-07-19 11:54:44', NULL, NULL), (22213, '', '旭光村', 'b1117877f0a944a083fc66b46ae5cf57', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'True', 'false', 'false', '511529103508', 5, '旭光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103508', 1, '2021-07-19 11:54:44', NULL, NULL), (22214, '', '小龙村', 'a21749e56bbc4af9a0c0c2a86e405075', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'True', 'false', 'false', '511529103604', 5, '小龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103604', 1, '2021-07-19 11:54:44', NULL, NULL), (22215, '', '打鱼社区村', 'dec6bc9f68f94a0c85639842683e10ee', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'True', 'false', 'false', '511529103658', 5, '打鱼社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103658', 1, '2021-07-19 11:54:44', NULL, NULL), (22216, '', '中埂村', '494281b0e1fa45179b23a9d3e4223a2f', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'True', 'false', 'false', '511529103760', 5, '中埂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103760', 1, '2021-07-19 11:54:44', NULL, NULL), (22217, '', '会河村', 'dbb87d37ce744dd68d017fe77aaa0a3b', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'True', 'false', 'false', '511529103860', 5, '会河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103860', 1, '2021-07-19 11:54:44', NULL, NULL), (22218, '', '复兴村', 'ec0cbd3d502c46fda2391974716411cf', '56cff8669ede4b2f927aa66d8aa0faa3', 'False', 'True', 'false', 'false', '511529103883', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529103883', 1, '2021-07-19 11:54:44', NULL, NULL), (22219, '', '新安镇', '1d339b65fbcb401cb2ce71b3c9650f1e', '8da3668da3904b2dada93e968ea6eefa', 'True', 'True', 'false', 'false', '511529107000', 4, '新安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511529107000', 1, '2021-07-19 11:54:44', NULL, NULL), (22220, '', '聚福社区村', 'a60f64695a214cf3842f04a89f2274c7', '1d339b65fbcb401cb2ce71b3c9650f1e', 'False', 'True', 'false', 'false', '511529107301', 5, '聚福社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529107301', 1, '2021-07-19 11:54:44', NULL, NULL), (22221, '', '安和村', 'd12017108e014dc4acf4b2333cc4ae23', '1d339b65fbcb401cb2ce71b3c9650f1e', 'False', 'True', 'false', 'false', '511529107302', 5, '安和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529107302', 1, '2021-07-19 11:54:44', NULL, NULL), (22222, '', '滨湖社区', 'd6cd988b67554b8db356f3dfcef5df4f', '1d339b65fbcb401cb2ce71b3c9650f1e', 'False', 'True', 'false', 'false', '511529107001', 5, '滨湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529107001', 1, '2021-07-19 11:54:44', NULL, NULL), (22223, '', '金星社区村', 'b1f4981998874b74a455c1bf0545d2e6', '1d339b65fbcb401cb2ce71b3c9650f1e', 'False', 'True', 'false', 'false', '511529107002', 5, '金星社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529107002', 1, '2021-07-19 11:54:44', NULL, NULL), (22224, '', '联合村', '402d2a87f64c41fea01e84aba6bcc791', '1d339b65fbcb401cb2ce71b3c9650f1e', 'False', 'True', 'false', 'false', '511529107003', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529107003', 1, '2021-07-19 11:54:44', NULL, NULL), (22225, '', '胜利村', '1f16d8753a33404882eb8dcb566f43e5', '1d339b65fbcb401cb2ce71b3c9650f1e', 'False', 'True', 'false', 'false', '511529107005', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529107005', 1, '2021-07-19 11:54:44', NULL, NULL), (22226, '', '红庙村', 'f4af50d682764a358b24269c855ad515', '1d339b65fbcb401cb2ce71b3c9650f1e', 'False', 'True', 'false', 'false', '511529107008', 5, '红庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529107008', 1, '2021-07-19 11:54:44', NULL, NULL), (22227, '', '新民村', 'b7354fba89904d259f1d4831f49bd618', '1d339b65fbcb401cb2ce71b3c9650f1e', 'False', 'True', 'false', 'false', '511529107009', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529107009', 1, '2021-07-19 11:54:44', NULL, NULL), (22228, '', '新春村', '1af950d26f61447cb33c2f067b6b448a', '1d339b65fbcb401cb2ce71b3c9650f1e', 'False', 'True', 'false', 'false', '511529107010', 5, '新春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529107010', 1, '2021-07-19 11:54:44', NULL, NULL), (22229, '', '勤俭村', '20ba4e86410942909441d097b600badb', '1d339b65fbcb401cb2ce71b3c9650f1e', 'False', 'True', 'false', 'false', '511529107011', 5, '勤俭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529107011', 1, '2021-07-19 11:54:44', NULL, NULL), (22230, '', '石龙村', 'f8e123fc25a64d52b0ade36a9f4c95e9', '1d339b65fbcb401cb2ce71b3c9650f1e', 'False', 'True', 'false', 'false', '511529107012', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529107012', 1, '2021-07-19 11:54:45', NULL, NULL), (22231, '', '石溪村', '53366b9c22ff462cb57b2fb79f2e9ca9', '1d339b65fbcb401cb2ce71b3c9650f1e', 'False', 'True', 'false', 'false', '511529107017', 5, '石溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529107017', 1, '2021-07-19 11:54:45', NULL, NULL), (22232, '', '龙桥村', 'c54264a31a864595b208717b271aeb13', '1d339b65fbcb401cb2ce71b3c9650f1e', 'False', 'True', 'false', 'false', '511529107019', 5, '龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529107019', 1, '2021-07-19 11:54:45', NULL, NULL), (22233, '', '和平村', 'eedac5af55574f1ea908db2b3430b546', '1d339b65fbcb401cb2ce71b3c9650f1e', 'False', 'True', 'false', 'false', '511529107021', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529107021', 1, '2021-07-19 11:54:45', NULL, NULL), (22234, '', '书楼镇', 'ce15b6a11cb945ebac007e59eeb1db87', '8da3668da3904b2dada93e968ea6eefa', 'True', 'True', 'false', 'false', '511529109000', 4, '书楼镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511529109000', 1, '2021-07-19 11:54:45', NULL, NULL), (22235, '', '向家坝村', 'eb94fad9936b4eb7b76f58d51b5e2077', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'False', 'false', 'false', '511529109301', 5, '向家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109301', 1, '2021-07-19 11:54:45', NULL, NULL), (22236, '', '书楼社区', 'eee98c2302c943719b71b1dc086905c3', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'True', 'false', 'false', '511529109001', 5, '书楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109001', 1, '2021-07-19 11:54:45', NULL, NULL), (22237, '', '辣子村', '73d39346c24d4fad9bca800eefbe0460', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'True', 'false', 'false', '511529109201', 5, '辣子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109201', 1, '2021-07-19 11:54:45', NULL, NULL), (22238, '', '五星村', 'f58bb50c77984a778b59daa92751fa9f', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'True', 'false', 'false', '511529109202', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109202', 1, '2021-07-19 11:54:45', NULL, NULL), (22239, '', '金江村', '18270e34c42d4da5a45221a8ceda7486', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'True', 'false', 'false', '511529109204', 5, '金江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109204', 1, '2021-07-19 11:54:45', NULL, NULL), (22240, '', '五峰村', '8a1df181a3164d1c8d9373f7c09dab73', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'True', 'false', 'false', '511529109206', 5, '五峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109206', 1, '2021-07-19 11:54:45', NULL, NULL), (22241, '', '尖山村', '1cf9cc08fbd24132b576a82dc3546c1f', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'True', 'false', 'false', '511529109209', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109209', 1, '2021-07-19 11:54:45', NULL, NULL), (22242, '', '火焰村', '4d494cafdd9b416ca855d6475dfe89ed', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'True', 'false', 'false', '511529109210', 5, '火焰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109210', 1, '2021-07-19 11:54:45', NULL, NULL), (22243, '', '桤木村', 'ca6717f288c64e1eaa7fcf8ad0fd3709', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'True', 'false', 'false', '511529109212', 5, '桤木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109212', 1, '2021-07-19 11:54:45', NULL, NULL), (22244, '', '照宝村', '0e8a8db06e8a4c41b5ce4dd0b6268ec8', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'True', 'false', 'false', '511529109213', 5, '照宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109213', 1, '2021-07-19 11:54:45', NULL, NULL), (22245, '', '中坝社区', 'af922a7cb5f54ca7a222a6251843f303', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'True', 'false', 'false', '511529109215', 5, '中坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109215', 1, '2021-07-19 11:54:45', NULL, NULL), (22246, '', '新庄村', '18a5574168444f7db492e5692f2d7d3b', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'True', 'false', 'false', '511529109216', 5, '新庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109216', 1, '2021-07-19 11:54:46', NULL, NULL), (22247, '', '碾米社区', 'a33d783188d4431b96b2321c18ab395a', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'True', 'false', 'false', '511529109217', 5, '碾米社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109217', 1, '2021-07-19 11:54:46', NULL, NULL), (22248, '', '宝宁村', '457a5d6a85f3477984e5c1283283ee01', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'True', 'false', 'false', '511529109220', 5, '宝宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109220', 1, '2021-07-19 11:54:46', NULL, NULL), (22249, '', '沙坝村', 'd2f36fda2bd24a958d8dfae087604be2', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'True', 'false', 'false', '511529109221', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109221', 1, '2021-07-19 11:54:46', NULL, NULL), (22250, '', '西村', 'c9417af3ae4f47db928300a0fe4ee05a', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'True', 'false', 'false', '511529109223', 5, '西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109223', 1, '2021-07-19 11:54:46', NULL, NULL), (22251, '', '书院农村社区', '1a345f1e1f5844f09301a6a296d9a5e7', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'True', 'false', 'false', '511529109224', 5, '书院农村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109224', 1, '2021-07-19 11:54:46', NULL, NULL), (22252, '', '桂花村', '651ebefbc7534c3caace1c0f5fd112a2', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'True', 'false', 'false', '511529109226', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109226', 1, '2021-07-19 11:54:46', NULL, NULL), (22253, '', '高田村', '2118c2e7401e4c3895c493bdfa9fb539', 'ce15b6a11cb945ebac007e59eeb1db87', 'False', 'True', 'false', 'false', '511529109227', 5, '高田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529109227', 1, '2021-07-19 11:54:46', NULL, NULL), (22254, '', '屏山镇', '1aaacb90cee44936bad764913d93bcca', '8da3668da3904b2dada93e968ea6eefa', 'True', 'True', 'false', 'false', '511529110000', 4, '屏山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511529110000', 1, '2021-07-19 11:54:46', NULL, NULL), (22255, '', '鸭池社区村', 'bf65cfffe6eb406b92c2912aace78e94', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110301', 5, '鸭池社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110301', 1, '2021-07-19 11:54:46', NULL, NULL), (22256, '', '光明村', '44e247b2e5d44d848ca4a6d20a72fc11', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110302', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110302', 1, '2021-07-19 11:54:46', NULL, NULL), (22257, '', '越红社区村', '4d9c28f106cb49d68a84aae841954f6c', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110303', 5, '越红社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110303', 1, '2021-07-19 11:54:46', NULL, NULL), (22258, '', '民乐村', 'fef056872d2249b18a9ea6c066b2e43e', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110304', 5, '民乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110304', 1, '2021-07-19 11:54:46', NULL, NULL), (22259, '', '染房村', '227d70ffbb8a4fb3b4de264b93e3b1ba', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110305', 5, '染房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110305', 1, '2021-07-19 11:54:46', NULL, NULL), (22260, '', '华象村', '5138cbfd5ed646b486bdc3ce08bdcf32', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110306', 5, '华象村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110306', 1, '2021-07-19 11:54:46', NULL, NULL), (22261, '', '长乐村', 'fff295443d9747a287cefeac3a7346d0', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110307', 5, '长乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110307', 1, '2021-07-19 11:54:46', NULL, NULL), (22262, '', '周家山村', '033a7de6e814465e958aa056b6b7d75d', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110308', 5, '周家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110308', 1, '2021-07-19 11:54:46', NULL, NULL), (22263, '', '工农村', '89163bec850c4d1bb599471444c4e266', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110309', 5, '工农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110309', 1, '2021-07-19 11:54:47', NULL, NULL), (22264, '', '隆兴村', '68646c19d4174c6c9197c4036e3bf0ef', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110310', 5, '隆兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110310', 1, '2021-07-19 11:54:47', NULL, NULL), (22265, '', '油花村', '923a16eb790e4e8c9f71ee353acc3d53', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110311', 5, '油花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110311', 1, '2021-07-19 11:54:47', NULL, NULL), (22266, '', '东城社区', 'ac4ee181eb0245b8b078081f254ec6ce', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110001', 5, '东城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110001', 1, '2021-07-19 11:54:47', NULL, NULL), (22267, '', '南城社区', '5d575e6f852e4e358f7e07554ca1f2e1', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110002', 5, '南城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110002', 1, '2021-07-19 11:54:47', NULL, NULL), (22268, '', '西城社区', '374bede7fe024d8c95c061c5adc55efd', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110003', 5, '西城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110003', 1, '2021-07-19 11:54:47', NULL, NULL), (22269, '', '北城社区', '117676dc8a0d45fd9d177207fd104ded', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110004', 5, '北城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110004', 1, '2021-07-19 11:54:47', NULL, NULL), (22270, '', '真溪社区', '62c216e33ddd4a43944e82aec8f4d037', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110005', 5, '真溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110005', 1, '2021-07-19 11:54:47', NULL, NULL), (22271, '', '安上社区', 'a55e8440c0194b20bf04d46c505f955e', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110007', 5, '安上社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110007', 1, '2021-07-19 11:54:47', NULL, NULL), (22272, '', '蒋坝社区村', 'a2fdf5c0f8124b9b99b9b31dfe1ebcf5', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110201', 5, '蒋坝社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110201', 1, '2021-07-19 11:54:47', NULL, NULL), (22273, '', '龙城社区', '86b9a06955ce458ba7ef3901eb98300d', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110202', 5, '龙城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110202', 1, '2021-07-19 11:54:47', NULL, NULL), (22274, '', '丁发社区', '88a8564199bf4eb1866fab6e30c5f3f1', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110203', 5, '丁发社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110203', 1, '2021-07-19 11:54:47', NULL, NULL), (22275, '', '大桥社区村', 'ecfd81c0d4464723abab6c30b8f77266', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110205', 5, '大桥社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110205', 1, '2021-07-19 11:54:47', NULL, NULL), (22276, '', '洪坪社区村', '3ce3f406418543b09449301532c67634', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110206', 5, '洪坪社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110206', 1, '2021-07-19 11:54:47', NULL, NULL), (22277, '', '金象村', '4a25e05e487741d9a76df9ac20ee43df', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110207', 5, '金象村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110207', 1, '2021-07-19 11:54:47', NULL, NULL), (22278, '', '柑坳村', 'e210dc5e1dc944d4b1f788c8cbe4e243', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110208', 5, '柑坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110208', 1, '2021-07-19 11:54:47', NULL, NULL), (22279, '', '寺坪社区村', 'f3f9998d6a9545a09e9bde32fb772251', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110209', 5, '寺坪社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110209', 1, '2021-07-19 11:54:47', NULL, NULL), (22280, '', '缸坪社区村', 'c6e81297a21941a7a51444545a1ee8a1', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110211', 5, '缸坪社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110211', 1, '2021-07-19 11:54:47', NULL, NULL), (22281, '', '永康村', '6ca3a7ad0e0a4bd3a1c54a3f5773c467', '1aaacb90cee44936bad764913d93bcca', 'False', 'True', 'false', 'false', '511529110213', 5, '永康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529110213', 1, '2021-07-19 11:54:47', NULL, NULL), (22282, '', '清平彝族乡', 'addc4cbc58274841934a7edf0cafc621', '8da3668da3904b2dada93e968ea6eefa', 'True', 'True', 'false', 'false', '511529126000', 4, '清平彝族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511529126000', 1, '2021-07-19 11:54:47', NULL, NULL), (22283, '', '马鞍社区', '208df024491f48fe88215337e60a67e4', 'addc4cbc58274841934a7edf0cafc621', 'False', 'True', 'false', 'false', '511529211001', 5, '马鞍社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529211001', 1, '2021-07-19 11:54:48', NULL, NULL), (22284, '', '英雄村', 'b3b6bb07933543dbb0dcbf3315ad17ef', 'addc4cbc58274841934a7edf0cafc621', 'False', 'True', 'false', 'false', '511529211192', 5, '英雄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529211192', 1, '2021-07-19 11:54:48', NULL, NULL), (22285, '', '民族村', '1aa0fb07dcd64b72b2c827d1caaef2fc', 'addc4cbc58274841934a7edf0cafc621', 'False', 'True', 'false', 'false', '511529211204', 5, '民族村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529211204', 1, '2021-07-19 11:54:48', NULL, NULL), (22286, '', '大石村', '6fdad49c51b146a8b5f17c9e7b642c52', 'addc4cbc58274841934a7edf0cafc621', 'False', 'True', 'false', 'false', '511529211207', 5, '大石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529211207', 1, '2021-07-19 11:54:48', NULL, NULL), (22287, '', '岩坪村', 'e74cf828768e4f18af86416eb6415ab4', 'addc4cbc58274841934a7edf0cafc621', 'False', 'True', 'false', 'false', '511529211208', 5, '岩坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529211208', 1, '2021-07-19 11:54:48', NULL, NULL), (22288, '', '龙宝村', 'e7d999c62fa14afe9359b969484e4338', 'addc4cbc58274841934a7edf0cafc621', 'False', 'True', 'false', 'false', '511529211209', 5, '龙宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529211209', 1, '2021-07-19 11:54:48', NULL, NULL), (22289, '', '后山村', 'ecd7d9ea5fc3452bab1b4d5b86346aca', 'addc4cbc58274841934a7edf0cafc621', 'False', 'True', 'false', 'false', '511529211211', 5, '后山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529211211', 1, '2021-07-19 11:54:48', NULL, NULL), (22290, '', '屏边彝族乡', '9540df8b7bc347e2a35c197e87462364', '8da3668da3904b2dada93e968ea6eefa', 'True', 'True', 'false', 'false', '511529140000', 4, '屏边彝族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511529140000', 1, '2021-07-19 11:54:48', NULL, NULL), (22291, '', '街基村', 'f20f299e3b12436f8056f13c5a9f8faa', '9540df8b7bc347e2a35c197e87462364', 'False', 'True', 'false', 'false', '511529140010', 5, '街基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529140010', 1, '2021-07-19 11:54:48', NULL, NULL), (22292, '', '林场村', 'eeedba37304e47829154a120e70cfeb3', '9540df8b7bc347e2a35c197e87462364', 'False', 'True', 'false', 'false', '511529140020', 5, '林场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529140020', 1, '2021-07-19 11:54:48', NULL, NULL), (22293, '', '麻柳村', '01f1acfb0f854be780c4d75f559c40fc', '9540df8b7bc347e2a35c197e87462364', 'False', 'True', 'false', 'false', '511529140030', 5, '麻柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529140030', 1, '2021-07-19 11:54:48', NULL, NULL), (22294, '', '屏边村', '277d2f4eba2f4da1a09b44602d8cc962', '9540df8b7bc347e2a35c197e87462364', 'False', 'True', 'false', 'false', '511529140040', 5, '屏边村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529140040', 1, '2021-07-19 11:54:48', NULL, NULL), (22295, '', '青龙村', '3606a841a3ca462ca55245f75bbf76b4', '9540df8b7bc347e2a35c197e87462364', 'False', 'True', 'false', 'false', '511529140050', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529140050', 1, '2021-07-19 11:54:48', NULL, NULL), (22296, '', '夏溪乡', '45f98a713dff4242848d390d2b324444', '8da3668da3904b2dada93e968ea6eefa', 'True', 'True', 'false', 'false', '511529208200', 4, '夏溪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511529208200', 1, '2021-07-19 11:54:48', NULL, NULL), (22297, '', '兴硒村', 'ac8cf82e379e451589109108c9a60fe9', '45f98a713dff4242848d390d2b324444', 'False', 'False', 'false', 'false', '511529208301', 5, '兴硒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529208301', 1, '2021-07-19 11:54:48', NULL, NULL), (22298, '', '顺天村', 'b4341e05ec724c3fbe05d9987e90c137', '45f98a713dff4242848d390d2b324444', 'False', 'True', 'false', 'false', '511529208204', 5, '顺天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529208204', 1, '2021-07-19 11:54:48', NULL, NULL), (22299, '', '红椿村', '77cbe183ba1f4bd98bf34ddc0cef9476', '45f98a713dff4242848d390d2b324444', 'False', 'True', 'false', 'false', '511529208207', 5, '红椿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529208207', 1, '2021-07-19 11:54:48', NULL, NULL), (22300, '', '石笋村', 'decfc27d587846b4b152a46284972981', '45f98a713dff4242848d390d2b324444', 'False', 'True', 'false', 'false', '511529208208', 5, '石笋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529208208', 1, '2021-07-19 11:54:49', NULL, NULL), (22301, '', '烂坝村', 'cacc4f0962de4ccaaba07de978512c31', '45f98a713dff4242848d390d2b324444', 'False', 'True', 'false', 'false', '511529208210', 5, '烂坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529208210', 1, '2021-07-19 11:54:49', NULL, NULL), (22302, '', '红岩村', 'd55880b100c8444caf0bdd85b7534030', '45f98a713dff4242848d390d2b324444', 'False', 'True', 'false', 'false', '511529208212', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529208212', 1, '2021-07-19 11:54:49', NULL, NULL), (22303, '', '红光村', 'fcb2f88d528b45e6944a9727346afdc7', '45f98a713dff4242848d390d2b324444', 'False', 'True', 'false', 'false', '511529208213', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529208213', 1, '2021-07-19 11:54:49', NULL, NULL), (22304, '', '大乘镇', '78e2e14bd3a143769eb368378ccb1f39', '8da3668da3904b2dada93e968ea6eefa', 'True', 'True', 'false', 'false', '511529609000', 4, '大乘镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511529609000', 1, '2021-07-19 11:54:49', NULL, NULL), (22305, '', '大乘社区村', 'b7fc519818cc4b12b39ce8ded8bcffee', '78e2e14bd3a143769eb368378ccb1f39', 'False', 'True', 'false', 'false', '511529104700', 5, '大乘社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529104700', 1, '2021-07-19 11:54:49', NULL, NULL), (22306, '', '百家山村', '5f8ab2a6a47d4a6d8ea1a878271bd89f', '78e2e14bd3a143769eb368378ccb1f39', 'False', 'True', 'false', 'false', '511529104701', 5, '百家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529104701', 1, '2021-07-19 11:54:49', NULL, NULL), (22307, '', '和平社区', 'fa255e2cf17340c098fe84dad5a7819a', '78e2e14bd3a143769eb368378ccb1f39', 'False', 'True', 'false', 'false', '511529104156', 5, '和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529104156', 1, '2021-07-19 11:54:49', NULL, NULL), (22308, '', '中坪社区村', '3a6075ec4ffe4cbeb365c4a596a41f40', '78e2e14bd3a143769eb368378ccb1f39', 'False', 'True', 'false', 'false', '511529104180', 5, '中坪社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529104180', 1, '2021-07-19 11:54:49', NULL, NULL), (22309, '', '双峰社区村', '7213ff74c29d438794c7a556541c3e13', '78e2e14bd3a143769eb368378ccb1f39', 'False', 'True', 'false', 'false', '511529104182', 5, '双峰社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529104182', 1, '2021-07-19 11:54:49', NULL, NULL), (22310, '', '京坪社区村', 'fae80af0aac0499b959fbe48649c2036', '78e2e14bd3a143769eb368378ccb1f39', 'False', 'True', 'false', 'false', '511529104213', 5, '京坪社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529104213', 1, '2021-07-19 11:54:49', NULL, NULL), (22311, '', '大田社区村', '21e19688f07141179c707c4bdbbd85ad', '78e2e14bd3a143769eb368378ccb1f39', 'False', 'True', 'false', 'false', '511529104582', 5, '大田社区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529104582', 1, '2021-07-19 11:54:49', NULL, NULL), (22312, '', '柏杨村', '6d4a3acee3724b8c928c7db52ede83d9', '78e2e14bd3a143769eb368378ccb1f39', 'False', 'True', 'false', 'false', '511529104680', 5, '柏杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529104680', 1, '2021-07-19 11:54:49', NULL, NULL), (22313, '', '沙坪村', 'e9c754fd53094659892fc053324f7d6a', '78e2e14bd3a143769eb368378ccb1f39', 'False', 'True', 'false', 'false', '511529104779', 5, '沙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511529104779', 1, '2021-07-19 11:54:49', NULL, NULL), (22314, '', '两海示范区', 'd4dfbb9945b24d35890514f4709b861d', '8fc9422b1bca40fa86f12b028b33e6cf', 'False', 'True', 'false', 'false', '511563000000', 3, '两海示范区', 'ybslhsfq.sczwfw.gov.cn', 1, '2021-07-19 11:54:50', NULL, NULL), (22315, '', '三江新区', '0df4c682edb2455a89c8914915eb387b', '8fc9422b1bca40fa86f12b028b33e6cf', 'True', 'True', 'true', 'true', '511530000000', 3, '三江新区', 'ybslgjkq.sczwfw.gov.cn', 1, '2021-07-19 11:54:50', NULL, NULL), (22316, '', '江南镇', '11a9a5e6a2f641828c7d5c10d1ac166c', '0df4c682edb2455a89c8914915eb387b', 'True', 'True', 'false', 'false', '511530084100', 4, '江南镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511530084100', 1, '2021-07-19 11:54:50', NULL, NULL), (22317, '', '新明村', 'c656fa5ed5ea46e5b39f1806e8cdc4db', '11a9a5e6a2f641828c7d5c10d1ac166c', 'False', 'False', 'false', 'false', '511530000092', 5, '新明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530000092', 1, '2021-07-19 11:54:50', NULL, NULL), (22318, '', '济民村', '645a4f1588b54f1a915d50983408d327', '11a9a5e6a2f641828c7d5c10d1ac166c', 'False', 'False', 'false', 'false', '511530000269', 5, '济民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530000269', 1, '2021-07-19 11:54:50', NULL, NULL), (22319, '', '大堰村', '17a6acbc01d3474b821d73ae553ef57a', '11a9a5e6a2f641828c7d5c10d1ac166c', 'False', 'False', 'false', 'false', '511530000270', 5, '大堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530000270', 1, '2021-07-19 11:54:50', NULL, NULL), (22320, '', '新塔村', '76c0e15d052f489fa05a9a7cff8e8369', '11a9a5e6a2f641828c7d5c10d1ac166c', 'False', 'False', 'false', 'false', '511530000318', 5, '新塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530000318', 1, '2021-07-19 11:54:50', NULL, NULL), (22321, '', '红伟村', 'f894af19c4b644d69b64ebb1ac003e2d', '11a9a5e6a2f641828c7d5c10d1ac166c', 'False', 'False', 'false', 'false', '511530000404', 5, '红伟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530000404', 1, '2021-07-19 11:54:50', NULL, NULL), (22322, '', '石牛村', '3321cc0db5dd4277bc288b08eb51e233', '11a9a5e6a2f641828c7d5c10d1ac166c', 'False', 'False', 'false', 'false', '511530000471', 5, '石牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530000471', 1, '2021-07-19 11:54:50', NULL, NULL), (22323, '', '红岭村', 'e493e6acdd994b0c8dcfdfe7fd3bf699', '11a9a5e6a2f641828c7d5c10d1ac166c', 'False', 'False', 'false', 'false', '511530000519', 5, '红岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530000519', 1, '2021-07-19 11:54:50', NULL, NULL), (22324, '', '二郎村', '1050033a8d684a59a20fbdc2e8fad963', '11a9a5e6a2f641828c7d5c10d1ac166c', 'False', 'False', 'false', 'false', '511530000525', 5, '二郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530000525', 1, '2021-07-19 11:54:50', NULL, NULL), (22325, '', '大湾村', '4cea4dcaa80746eb83f587c2aac8ffb1', '11a9a5e6a2f641828c7d5c10d1ac166c', 'False', 'False', 'false', 'false', '511530000549', 5, '大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530000549', 1, '2021-07-19 11:54:50', NULL, NULL), (22326, '', '大阳村', '71fe8d625d1e4dcf8205a873f0340abc', '11a9a5e6a2f641828c7d5c10d1ac166c', 'False', 'False', 'false', 'false', '511530000581', 5, '大阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530000581', 1, '2021-07-19 11:54:50', NULL, NULL), (22327, '', '白塔村', '472ca0f21e934c8b8274272c6b607291', '11a9a5e6a2f641828c7d5c10d1ac166c', 'False', 'False', 'false', 'false', '511530000608', 5, '白塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530000608', 1, '2021-07-19 11:54:50', NULL, NULL), (22328, '', '红星村', 'cee47b6607774f11b6ce5496924a777f', '11a9a5e6a2f641828c7d5c10d1ac166c', 'False', 'False', 'false', 'false', '511530000614', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530000614', 1, '2021-07-19 11:54:50', NULL, NULL), (22329, '', '登高村', 'd239b12956ed4ee9b0eb6836d13d7a78', '11a9a5e6a2f641828c7d5c10d1ac166c', 'False', 'False', 'false', 'false', '511530000625', 5, '登高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530000625', 1, '2021-07-19 11:54:50', NULL, NULL), (22330, '', '江南社区', 'db17bf14435e42199091ecad23005701', '11a9a5e6a2f641828c7d5c10d1ac166c', 'False', 'False', 'false', 'false', '511530000642', 5, '江南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530000642', 1, '2021-07-19 11:54:50', NULL, NULL), (22331, '', '楠木村', 'ef81361eac8b458c96ad422dc97e20f8', '11a9a5e6a2f641828c7d5c10d1ac166c', 'False', 'False', 'false', 'false', '511530000758', 5, '楠木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530000758', 1, '2021-07-19 11:54:50', NULL, NULL), (22332, '', '和平村', '2cb49f071d144084906e6abd10ae3aa3', '11a9a5e6a2f641828c7d5c10d1ac166c', 'False', 'False', 'false', 'false', '511530000790', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530000790', 1, '2021-07-19 11:54:50', NULL, NULL), (22333, '', '琴山村', '6e24da74f61246dcbfbb6918b2fe9530', '11a9a5e6a2f641828c7d5c10d1ac166c', 'False', 'False', 'false', 'false', '511530000971', 5, '琴山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530000971', 1, '2021-07-19 11:54:51', NULL, NULL), (22334, '', '大明村', '302e466588e7461c91446a8016598e91', '11a9a5e6a2f641828c7d5c10d1ac166c', 'False', 'False', 'false', 'false', '5115535320023179264', 5, '大明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5115535320023179264', 1, '2021-07-19 11:54:51', NULL, NULL), (22335, '', '罗龙街道', '50727b3a9c6142d497feca1c463f415c', '0df4c682edb2455a89c8914915eb387b', 'True', 'True', 'false', 'false', '511530138000', 4, '罗龙街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511530138000', 1, '2021-07-19 11:54:51', NULL, NULL), (22336, '', '粮仓村', '408d042911f047ab9e11e05a91549a63', '50727b3a9c6142d497feca1c463f415c', 'False', 'False', 'false', 'false', '511530003053', 5, '粮仓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530003053', 1, '2021-07-19 11:54:51', NULL, NULL), (22337, '', '牛角村', 'c37831c15ee84469a5b77adbee70a4c5', '50727b3a9c6142d497feca1c463f415c', 'False', 'False', 'false', 'false', '511530003137', 5, '牛角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530003137', 1, '2021-07-19 11:54:51', NULL, NULL), (22338, '', '羊耳村', 'c54e700d0e4643a7b58cd2d67fa9dac4', '50727b3a9c6142d497feca1c463f415c', 'False', 'False', 'false', 'false', '511530003205', 5, '羊耳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530003205', 1, '2021-07-19 11:54:51', NULL, NULL), (22339, '', '杉木村', 'f4639f545ac342d98d74a21ea8951150', '50727b3a9c6142d497feca1c463f415c', 'False', 'False', 'false', 'false', '511530003213', 5, '杉木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530003213', 1, '2021-07-19 11:54:51', NULL, NULL), (22340, '', '罗龙社区', 'b8038288c87245b684b605319398b27b', '50727b3a9c6142d497feca1c463f415c', 'False', 'False', 'false', 'false', '511530003232', 5, '罗龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530003232', 1, '2021-07-19 11:54:51', NULL, NULL), (22341, '', '砚台村', '11faeeefc9d24f359faf9b171cab6ec8', '50727b3a9c6142d497feca1c463f415c', 'False', 'False', 'false', 'false', '511530003337', 5, '砚台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530003337', 1, '2021-07-19 11:54:51', NULL, NULL), (22342, '', '中池村', '8a457ab4fbf0448e8b6f29b948c080e2', '50727b3a9c6142d497feca1c463f415c', 'False', 'False', 'false', 'false', '511530003569', 5, '中池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530003569', 1, '2021-07-19 11:54:51', NULL, NULL), (22343, '', '柏木村', '735473924563413193e02aa23ddc2d17', '50727b3a9c6142d497feca1c463f415c', 'False', 'False', 'false', 'false', '511530003662', 5, '柏木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530003662', 1, '2021-07-19 11:54:51', NULL, NULL), (22344, '', '骑龙村', 'ba40cb02db5b4283a5b815e9faf9e996', '50727b3a9c6142d497feca1c463f415c', 'False', 'False', 'false', 'false', '511530003708', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530003708', 1, '2021-07-19 11:54:51', NULL, NULL), (22345, '', '幸福村', '8eb921b0655d47468148216d9de80efb', '50727b3a9c6142d497feca1c463f415c', 'False', 'False', 'false', 'false', '511530003821', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530003821', 1, '2021-07-19 11:54:51', NULL, NULL), (22346, '', '红光社区', 'fb310a76041c414d924ab6221702b7a2', '50727b3a9c6142d497feca1c463f415c', 'False', 'False', 'false', 'false', '511530003828', 5, '红光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530003828', 1, '2021-07-19 11:54:51', NULL, NULL), (22347, '', '建设村', '0f147385c4974db0bf3d7e813d8ec38a', '50727b3a9c6142d497feca1c463f415c', 'False', 'False', 'false', 'false', '511530003967', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530003967', 1, '2021-07-19 11:54:51', NULL, NULL), (22348, '', '宋家镇', '0add9bd703554c1f924395ca6dddc8e9', '0df4c682edb2455a89c8914915eb387b', 'True', 'True', 'false', 'false', '511530605000', 4, '宋家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511530605000', 1, '2021-07-19 11:54:51', NULL, NULL), (22349, '', '西牛村', '79a311993e9f46e3a77453c6bf65bb0a', '0add9bd703554c1f924395ca6dddc8e9', 'False', 'False', 'false', 'false', '511530002044', 5, '西牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530002044', 1, '2021-07-19 11:54:51', NULL, NULL), (22350, '', '胡坝村', '82b61fa1383540a8ac480a98c0e3a2cd', '0add9bd703554c1f924395ca6dddc8e9', 'False', 'False', 'false', 'false', '511530002243', 5, '胡坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530002243', 1, '2021-07-19 11:54:51', NULL, NULL), (22351, '', '万年村', '6e2c0cdb8734463a936c0ff183e6dc7d', '0add9bd703554c1f924395ca6dddc8e9', 'False', 'False', 'false', 'false', '511530002308', 5, '万年村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530002308', 1, '2021-07-19 11:54:51', NULL, NULL), (22352, '', '百山村', 'ef236e479a2c4bb2a79aff2fe4116977', '0add9bd703554c1f924395ca6dddc8e9', 'False', 'False', 'false', 'false', '511530002316', 5, '百山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530002316', 1, '2021-07-19 11:54:52', NULL, NULL), (22353, '', '花石村', 'ae41d1e4d698417798a483669ea1d360', '0add9bd703554c1f924395ca6dddc8e9', 'False', 'False', 'false', 'false', '511530002385', 5, '花石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530002385', 1, '2021-07-19 11:54:52', NULL, NULL), (22354, '', '回龙村', '066f5ca9c5684bc5956b10369461dcb8', '0add9bd703554c1f924395ca6dddc8e9', 'False', 'False', 'false', 'false', '511530002540', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530002540', 1, '2021-07-19 11:54:52', NULL, NULL), (22355, '', '红园村', 'd4d465cf3d3e488292605c33c9987a5f', '0add9bd703554c1f924395ca6dddc8e9', 'False', 'False', 'false', 'false', '511530002676', 5, '红园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530002676', 1, '2021-07-19 11:54:52', NULL, NULL), (22356, '', '丘陵村', '197c796ac14946b58abcc8241c2bc938', '0add9bd703554c1f924395ca6dddc8e9', 'False', 'False', 'false', 'false', '511530002789', 5, '丘陵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530002789', 1, '2021-07-19 11:54:52', NULL, NULL), (22357, '', '红石村', 'd912bd9a12554528ae185ad131cf3217', '0add9bd703554c1f924395ca6dddc8e9', 'False', 'False', 'false', 'false', '511530002886', 5, '红石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530002886', 1, '2021-07-19 11:54:52', NULL, NULL), (22358, '', '金石村', '665cf05f91a94fb0b09b5550794b5eb7', '0add9bd703554c1f924395ca6dddc8e9', 'False', 'False', 'false', 'false', '511530002920', 5, '金石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530002920', 1, '2021-07-19 11:54:52', NULL, NULL), (22359, '', '毗卢村', '3753340c34e24b4e9e50473efb021011', '0add9bd703554c1f924395ca6dddc8e9', 'False', 'False', 'false', 'false', '511530002976', 5, '毗卢村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530002976', 1, '2021-07-19 11:54:52', NULL, NULL), (22360, '', '南华社区', '9adcc7a8caf3468d99445b1efc7adef9', '0add9bd703554c1f924395ca6dddc8e9', 'False', 'False', 'false', 'false', '511530002993', 5, '南华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530002993', 1, '2021-07-19 11:54:52', NULL, NULL), (22361, '', '白沙湾街道', '0ba95994cb4741328ef88b3c41a5e26b', '0df4c682edb2455a89c8914915eb387b', 'True', 'True', 'false', 'false', '511530008000', 4, '白沙湾街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511530008000', 1, '2021-07-19 11:54:52', NULL, NULL), (22362, '', '白利社区', 'f55d3895436043f0bed8319479c81080', '0ba95994cb4741328ef88b3c41a5e26b', 'False', 'False', 'false', 'false', '511530008279', 5, '白利社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530008279', 1, '2021-07-19 11:54:52', NULL, NULL), (22363, '', '石岗社区', '448001305a714fb28e4b3acd06af7b58', '0ba95994cb4741328ef88b3c41a5e26b', 'False', 'False', 'false', 'false', '511530008555', 5, '石岗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530008555', 1, '2021-07-19 11:54:52', NULL, NULL), (22364, '', '高丰社区', '1c943114a17f4e22bd1bcb1cfac4a75a', '0ba95994cb4741328ef88b3c41a5e26b', 'False', 'False', 'false', 'false', '511530008979', 5, '高丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530008979', 1, '2021-07-19 11:54:52', NULL, NULL), (22365, '', '新路社区', 'd4085754748f48698c813fd67860fb9a', '0ba95994cb4741328ef88b3c41a5e26b', 'False', 'False', 'false', 'false', '511530008997', 5, '新路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530008997', 1, '2021-07-19 11:54:52', NULL, NULL), (22366, '', '白塔社区', '526bc4103a2741f8a69d7796a4363750', '0ba95994cb4741328ef88b3c41a5e26b', 'False', 'True', 'false', 'false', '511530008001', 5, '白塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530008001', 1, '2021-07-19 11:54:52', NULL, NULL), (22367, '', '荷花池社区', 'ee91e939ff7c4758a9c9bf4488dcc521', '0ba95994cb4741328ef88b3c41a5e26b', 'False', 'True', 'false', 'false', '511530008002', 5, '荷花池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530008002', 1, '2021-07-19 11:54:52', NULL, NULL), (22368, '', '构庄社区', 'b030c499afc24303a1fcffbd24e92ba5', '0ba95994cb4741328ef88b3c41a5e26b', 'False', 'True', 'false', 'false', '511530008003', 5, '构庄社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530008003', 1, '2021-07-19 11:54:52', NULL, NULL), (22369, '', '马鞍石社区', '63406208ec6a451ba38348bfe85a087c', '0ba95994cb4741328ef88b3c41a5e26b', 'False', 'True', 'false', 'false', '511530008004', 5, '马鞍石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530008004', 1, '2021-07-19 11:54:53', NULL, NULL), (22370, '', '光明社区', '2a5c85845d184fb3b7a05724da2150af', '0ba95994cb4741328ef88b3c41a5e26b', 'False', 'True', 'false', 'false', '511530008005', 5, '光明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530008005', 1, '2021-07-19 11:54:53', NULL, NULL), (22371, '', '白沙湖社区', 'e9942ba9fbc04cd3a5e5addde1bcb13e', '0ba95994cb4741328ef88b3c41a5e26b', 'False', 'True', 'false', 'false', '511530008006', 5, '白沙湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530008006', 1, '2021-07-19 11:54:53', NULL, NULL), (22372, '', '学堂社区', 'accdd4814f5345dba427d9de923c9f34', '0ba95994cb4741328ef88b3c41a5e26b', 'False', 'True', 'false', 'false', '511530008007', 5, '学堂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530008007', 1, '2021-07-19 11:54:53', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (22373, '', '河湾社区', 'e7c480e51d9343309ac644dedbd6fdc4', '0ba95994cb4741328ef88b3c41a5e26b', 'False', 'True', 'false', 'false', '511530008008', 5, '河湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530008008', 1, '2021-07-19 11:54:53', NULL, NULL), (22374, '', '洗马池社区', 'f3e2fc0d574643a2a60efcd24f3b76eb', '0ba95994cb4741328ef88b3c41a5e26b', 'False', 'True', 'false', 'false', '511530008009', 5, '洗马池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530008009', 1, '2021-07-19 11:54:53', NULL, NULL), (22375, '', '龙顺社区', '96c893a255b04bc7af00f6be3233fd48', '0ba95994cb4741328ef88b3c41a5e26b', 'False', 'True', 'false', 'false', '511530008203', 5, '龙顺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530008203', 1, '2021-07-19 11:54:53', NULL, NULL), (22376, '', '沙坪街道', 'a12ec8e217c3437eb6b9a924dd8e1eb7', '0df4c682edb2455a89c8914915eb387b', 'True', 'True', 'false', 'false', '511530011000', 4, '沙坪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511530011000', 1, '2021-07-19 11:54:53', NULL, NULL), (22377, '', '红轮社区', '8bf3be6b64a2491d9ec5cc906b59c735', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'False', 'false', 'false', '511530011622', 5, '红轮社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530011622', 1, '2021-07-19 11:54:53', NULL, NULL), (22378, '', '新村社区', 'e3b4bb7d6cf24aa785fe59d02809f333', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'True', 'false', 'false', '511502011001', 5, '新村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511502011001', 1, '2021-07-19 11:54:53', NULL, NULL), (22379, '', '三江社区', '427d8c8558194751b6fe42593e33a143', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'True', 'false', 'false', '511530011018', 5, '三江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530011018', 1, '2021-07-19 11:54:53', NULL, NULL), (22380, '', '大坪村', '92707b1fbbb94ac284ab7c379aeb2517', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'True', 'false', 'false', '511530011089', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530011089', 1, '2021-07-19 11:54:53', NULL, NULL), (22381, '', '港园社区', 'dbb153baac9d4f51acb2d45dea127f3e', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'True', 'false', 'false', '511530011106', 5, '港园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530011106', 1, '2021-07-19 11:54:53', NULL, NULL), (22382, '', '桂山村', '4b4859467b4f404aac46c22b6b949a42', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'True', 'false', 'false', '511530011118', 5, '桂山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530011118', 1, '2021-07-19 11:54:53', NULL, NULL), (22383, '', '新兴村', '6f1fdd0396da4298a009b59d005f9b44', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'True', 'false', 'false', '511530011218', 5, '新兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530011218', 1, '2021-07-19 11:54:53', NULL, NULL), (22384, '', '泡桐村', '08dda91806294781a91dbd7e2042a0b4', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'True', 'false', 'false', '511530011234', 5, '泡桐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530011234', 1, '2021-07-19 11:54:54', NULL, NULL), (22385, '', '火花社区', 'c7e842f5bfbe41118805238328812e79', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'True', 'false', 'false', '511530011286', 5, '火花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530011286', 1, '2021-07-19 11:54:54', NULL, NULL), (22386, '', '顺南社区', '66c5385a3e954391a97e9fe7438e5db1', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'True', 'false', 'false', '511530011371', 5, '顺南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530011371', 1, '2021-07-19 11:54:54', NULL, NULL), (22387, '', '石鼓社区', 'ce3e4d5453494795849ecadc47670731', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'True', 'false', 'false', '511530011441', 5, '石鼓社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530011441', 1, '2021-07-19 11:54:54', NULL, NULL), (22388, '', '金山村', 'b2aed3001f4e46fa805ca612bfc111ff', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'True', 'false', 'false', '511530011501', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530011501', 1, '2021-07-19 11:54:54', NULL, NULL), (22389, '', '黄金村', '0e1a89294d6e48c0a2a94575a0d837c0', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'True', 'false', 'false', '511530011548', 5, '黄金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530011548', 1, '2021-07-19 11:54:54', NULL, NULL), (22390, '', '羔羊村', '9f322e575907444084e905e72c49b2c4', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'True', 'false', 'false', '511530011583', 5, '羔羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530011583', 1, '2021-07-19 11:54:54', NULL, NULL), (22391, '', '解台村', '0bf0d0a88bb34d0f93c7c63f1f870935', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'True', 'false', 'false', '511530011584', 5, '解台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530011584', 1, '2021-07-19 11:54:54', NULL, NULL), (22392, '', '果园村', '45030769e6e9483b9348cdf199a3dda5', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'True', 'false', 'false', '511530011610', 5, '果园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530011610', 1, '2021-07-19 11:54:54', NULL, NULL), (22393, '', '龙峰村', 'bd1c79affae1409facf24ce8222b57e7', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'True', 'false', 'false', '511530011714', 5, '龙峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530011714', 1, '2021-07-19 11:54:54', NULL, NULL), (22394, '', '红花村', '1ad8fbda99aa4093b01c7dc197dae249', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'True', 'false', 'false', '511530011864', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530011864', 1, '2021-07-19 11:54:54', NULL, NULL), (22395, '', '志城社区', '6a7ccc3fcfd44d028f53ce655a563af9', 'a12ec8e217c3437eb6b9a924dd8e1eb7', 'False', 'True', 'false', 'false', '511530011963', 5, '志城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530011963', 1, '2021-07-19 11:54:54', NULL, NULL), (22396, '', '双城街道', '147d20b64e7f417aa03f7d6aab0a7a6e', '0df4c682edb2455a89c8914915eb387b', 'True', 'True', 'false', 'false', '511530710003', 4, '双城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511530710003', 1, '2021-07-19 11:54:54', NULL, NULL), (22397, '', '鱼介村', '55d481d8b340424cb47eebd0a54532e7', '147d20b64e7f417aa03f7d6aab0a7a6e', 'False', 'False', 'false', 'false', '511530001070', 5, '鱼介村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530001070', 1, '2021-07-19 11:54:54', NULL, NULL), (22398, '', '新桥村', '66d3b34416cc467a921db898c9fca317', '147d20b64e7f417aa03f7d6aab0a7a6e', 'False', 'False', 'false', 'false', '511530001139', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530001139', 1, '2021-07-19 11:54:54', NULL, NULL), (22399, '', '新光村', '851326a146a74a08ab90952f47731b06', '147d20b64e7f417aa03f7d6aab0a7a6e', 'False', 'False', 'false', 'false', '511530001353', 5, '新光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530001353', 1, '2021-07-19 11:54:54', NULL, NULL), (22400, '', '高庙村', '35f79950c3ae469f98a257ca0a581705', '147d20b64e7f417aa03f7d6aab0a7a6e', 'False', 'False', 'false', 'false', '511530001406', 5, '高庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530001406', 1, '2021-07-19 11:54:54', NULL, NULL), (22401, '', '双河场社区', '314f6e4ec8404370b1f7799b9aeb0fea', '147d20b64e7f417aa03f7d6aab0a7a6e', 'False', 'False', 'false', 'false', '511530001416', 5, '双河场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530001416', 1, '2021-07-19 11:54:54', NULL, NULL), (22402, '', '白新村', 'dc4436e4ad1140ae80241b11a5ae6efb', '147d20b64e7f417aa03f7d6aab0a7a6e', 'False', 'False', 'false', 'false', '511530001555', 5, '白新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530001555', 1, '2021-07-19 11:54:55', NULL, NULL), (22403, '', '大学城社区', '4bae27272ed8467f9353e026a3edd4bb', '147d20b64e7f417aa03f7d6aab0a7a6e', 'False', 'False', 'false', 'false', '511530001560', 5, '大学城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530001560', 1, '2021-07-19 11:54:55', NULL, NULL), (22404, '', '崇德村', 'ee121dae86e443dc983fd26148f00775', '147d20b64e7f417aa03f7d6aab0a7a6e', 'False', 'False', 'false', 'false', '511530001752', 5, '崇德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530001752', 1, '2021-07-19 11:54:55', NULL, NULL), (22405, '', '金胜村', '0ef2bda756f74ee2beff3ed88b595559', '147d20b64e7f417aa03f7d6aab0a7a6e', 'False', 'False', 'false', 'false', '511530001782', 5, '金胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530001782', 1, '2021-07-19 11:54:55', NULL, NULL), (22406, '', '金利村', 'd52e8d94d307411391aa2da36d68c865', '147d20b64e7f417aa03f7d6aab0a7a6e', 'False', 'False', 'false', 'false', '511530001830', 5, '金利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530001830', 1, '2021-07-19 11:54:55', NULL, NULL), (22407, '', '金鹅村', '8de95097eb2142bea9bd200c30b10b60', '147d20b64e7f417aa03f7d6aab0a7a6e', 'False', 'False', 'false', 'false', '511530001854', 5, '金鹅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530001854', 1, '2021-07-19 11:54:55', NULL, NULL), (22408, '', '龙门村', '565e7767cdcf41f1ac6d7eb9a94559ec', '147d20b64e7f417aa03f7d6aab0a7a6e', 'False', 'False', 'false', 'false', '511530001876', 5, '龙门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530001876', 1, '2021-07-19 11:54:55', NULL, NULL), (22409, '', '骑龙村', 'a8d04eec93ec4d9bae44e041cf0377a7', '147d20b64e7f417aa03f7d6aab0a7a6e', 'False', 'False', 'false', 'false', '511530001902', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530001902', 1, '2021-07-19 11:54:55', NULL, NULL), (22410, '', '高店场社区', '43f3a6c8fa7f4b889248d206d6df927e', '147d20b64e7f417aa03f7d6aab0a7a6e', 'False', 'False', 'false', 'false', '511530001921', 5, '高店场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530001921', 1, '2021-07-19 11:54:55', NULL, NULL), (22411, '', '三鱼村', '8498bec2bccc423a98d98f95f7e564db', '147d20b64e7f417aa03f7d6aab0a7a6e', 'False', 'False', 'false', 'false', '511530001927', 5, '三鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530001927', 1, '2021-07-19 11:54:55', NULL, NULL), (22412, '', '天宫村', 'd57a5d40d75342ffa2f1822ed038671e', '147d20b64e7f417aa03f7d6aab0a7a6e', 'False', 'False', 'false', 'false', '511530002883', 5, '天宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511530002883', 1, '2021-07-19 11:54:55', NULL, NULL), (22413, '', '桂华村', '51b07c12ba6e4ebcb71d45f29b856c32', '147d20b64e7f417aa03f7d6aab0a7a6e', 'False', 'False', 'false', 'false', '5115978144753524736', 5, '桂华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5115978144753524736', 1, '2021-07-19 11:54:55', NULL, NULL), (22414, '', '广安市', 'f1812fb4fc144c0c89f4ff952f9e6a0d', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '511600000000', 2, '广安市', 'gas.sczwfw.gov.cn', 1, '2021-07-19 11:54:55', NULL, NULL), (22415, '', '广安区', '8d22ddf481df4619b8c02f923e58e386', 'f1812fb4fc144c0c89f4ff952f9e6a0d', 'True', 'True', 'false', 'false', '511602000000', 3, '广安区', 'gasgaq.sczwfw.gov.cn', 1, '2021-07-19 11:54:55', NULL, NULL), (22416, '', '中桥街道', '563ab39d1fc84476b64e24ed0f019e26', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602006000', 4, '中桥街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602006000', 1, '2021-07-19 11:54:55', NULL, NULL), (22417, '', '中桥社区', 'aa4cdb40c8e346d9a527ec89ed8a7c38', '563ab39d1fc84476b64e24ed0f019e26', 'False', 'True', 'false', 'false', '511602006002', 5, '中桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602006002', 1, '2021-07-19 11:54:55', NULL, NULL), (22418, '', '莲塘湾社区', '79badced322b478b91be0148cb92412f', '563ab39d1fc84476b64e24ed0f019e26', 'False', 'True', 'false', 'false', '511602006003', 5, '莲塘湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602006003', 1, '2021-07-19 11:54:55', NULL, NULL), (22419, '', '肖家社区', '39676900ed0a4fdb9803cd19c1c7e30e', '563ab39d1fc84476b64e24ed0f019e26', 'False', 'True', 'false', 'false', '511602006005', 5, '肖家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602006005', 1, '2021-07-19 11:54:55', NULL, NULL), (22420, '', '内塔社区', '460e1269832249f3b537bb70b3c34268', '563ab39d1fc84476b64e24ed0f019e26', 'False', 'True', 'false', 'false', '511602006006', 5, '内塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602006006', 1, '2021-07-19 11:54:55', NULL, NULL), (22421, '', '外塔社区', 'a96ad203ebc44ec4a8c14d51f5f096a3', '563ab39d1fc84476b64e24ed0f019e26', 'False', 'True', 'false', 'false', '511602006007', 5, '外塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602006007', 1, '2021-07-19 11:54:56', NULL, NULL), (22422, '', '白塔社区', '3876781423134b76a3df29a4b5153a26', '563ab39d1fc84476b64e24ed0f019e26', 'False', 'True', 'false', 'false', '511602006008', 5, '白塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602006008', 1, '2021-07-19 11:54:56', NULL, NULL), (22423, '', '莲花社区', '98a4211d783c4348a37759825db3c519', '563ab39d1fc84476b64e24ed0f019e26', 'False', 'True', 'false', 'false', '511602006238', 5, '莲花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602006238', 1, '2021-07-19 11:54:56', NULL, NULL), (22424, '', '解放社区', 'ca18950cc5f34528bde5e27944a2f0c2', '563ab39d1fc84476b64e24ed0f019e26', 'False', 'True', 'false', 'false', '511602006638', 5, '解放社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602006638', 1, '2021-07-19 11:54:56', NULL, NULL), (22425, '', '恒升镇', '573311f8b7d44023ae86685a5767c50f', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602121000', 4, '恒升镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602121000', 1, '2021-07-19 11:54:56', NULL, NULL), (22426, '', '丰乐村', '7ac19664315f4e55a3a36ff9099956bb', '573311f8b7d44023ae86685a5767c50f', 'False', 'False', 'false', 'false', '511602110229', 5, '丰乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602110229', 1, '2021-07-19 11:54:56', NULL, NULL), (22427, '', '雷鸣场社区', '8700eca1ff894681b7c5f1cea1b3950a', '573311f8b7d44023ae86685a5767c50f', 'False', 'True', 'false', 'false', '511602110566', 5, '雷鸣场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602110566', 1, '2021-07-19 11:54:56', NULL, NULL), (22428, '', '果 子', 'c5adc4546ad040929741e76203e3b5d4', '573311f8b7d44023ae86685a5767c50f', 'False', 'True', 'false', 'false', '511602121198', 5, '果 子', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602121198', 1, '2021-07-19 11:54:56', NULL, NULL), (22429, '', '红 庙', '1139c38b6bd94a4c8d3db275f315af7f', '573311f8b7d44023ae86685a5767c50f', 'False', 'True', 'false', 'false', '511602121245', 5, '红 庙', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602121245', 1, '2021-07-19 11:54:56', NULL, NULL), (22430, '', '姚 坪', '1804fc3796a347ecacc5f3f565398d68', '573311f8b7d44023ae86685a5767c50f', 'False', 'True', 'false', 'false', '511602121304', 5, '姚 坪', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602121304', 1, '2021-07-19 11:54:56', NULL, NULL), (22431, '', '长 征', 'efba369d33284e14bea32dec1aab14b2', '573311f8b7d44023ae86685a5767c50f', 'False', 'True', 'false', 'false', '511602121380', 5, '长 征', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602121380', 1, '2021-07-19 11:54:56', NULL, NULL), (22432, '', '代 龙', '0d5407c6df464240b0b8c2a73134e013', '573311f8b7d44023ae86685a5767c50f', 'False', 'True', 'false', 'false', '511602121425', 5, '代 龙', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602121425', 1, '2021-07-19 11:54:56', NULL, NULL), (22433, '', '潭 龙', '1922a0a994ff4809ab0c1b3d1c8f29e1', '573311f8b7d44023ae86685a5767c50f', 'False', 'True', 'false', 'false', '511602121456', 5, '潭 龙', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602121456', 1, '2021-07-19 11:54:56', NULL, NULL), (22434, '', '观 桥', 'bd10244a42b448d69fc6abba1aee16bc', '573311f8b7d44023ae86685a5767c50f', 'False', 'True', 'false', 'false', '511602121473', 5, '观 桥', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602121473', 1, '2021-07-19 11:54:56', NULL, NULL), (22435, '', '马 龙', '671a437bc2e54a3d84d41596cb8c8c21', '573311f8b7d44023ae86685a5767c50f', 'False', 'True', 'false', 'false', '511602121474', 5, '马 龙', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602121474', 1, '2021-07-19 11:54:56', NULL, NULL), (22436, '', '茶 坪', '731ef2fead99404e8ec2fe2a46885e5d', '573311f8b7d44023ae86685a5767c50f', 'False', 'True', 'false', 'false', '511602121500', 5, '茶 坪', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602121500', 1, '2021-07-19 11:54:56', NULL, NULL), (22437, '', '中 使', 'fa5afed73ca249059ec853b3709b9dd8', '573311f8b7d44023ae86685a5767c50f', 'False', 'True', 'false', 'false', '511602121722', 5, '中 使', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602121722', 1, '2021-07-19 11:54:57', NULL, NULL), (22438, '', '荷 花', 'f1a160e99909471ba4684c6c02ec3499', '573311f8b7d44023ae86685a5767c50f', 'False', 'True', 'false', 'false', '511602121866', 5, '荷 花', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602121866', 1, '2021-07-19 11:54:57', NULL, NULL), (22439, '', '龙 桥', 'ff3887b828d04b63b9c9129203b589ce', '573311f8b7d44023ae86685a5767c50f', 'False', 'True', 'false', 'false', '511602121873', 5, '龙 桥', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602121873', 1, '2021-07-19 11:54:57', NULL, NULL), (22440, '', '老 场', '33140cf12aea48989e2a290dc7eb3dd0', '573311f8b7d44023ae86685a5767c50f', 'False', 'True', 'false', 'false', '511602121913', 5, '老 场', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602121913', 1, '2021-07-19 11:54:57', NULL, NULL), (22441, '', '梓 潼', 'a36761c983c04f379c6185f56572dac3', '573311f8b7d44023ae86685a5767c50f', 'False', 'True', 'false', 'false', '511602121984', 5, '梓 潼', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602121984', 1, '2021-07-19 11:54:57', NULL, NULL), (22442, '', '白马乡', '0542dbcac4ea4b5fbd251abbea8e071f', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602174000', 4, '白马乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602174000', 1, '2021-07-19 11:54:57', NULL, NULL), (22443, '', '民心社区', '51fee966a0114983b559b5bd5f3233f5', '0542dbcac4ea4b5fbd251abbea8e071f', 'False', 'True', 'false', 'false', '511602216001', 5, '民心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602216001', 1, '2021-07-19 11:54:57', NULL, NULL), (22444, '', '同心村', 'f392953dc2944393b0534805d73438f0', '0542dbcac4ea4b5fbd251abbea8e071f', 'False', 'True', 'false', 'false', '511602216215', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602216215', 1, '2021-07-19 11:54:57', NULL, NULL), (22445, '', '石河村', 'ee03aee673154aeeb7067cfbf864edb8', '0542dbcac4ea4b5fbd251abbea8e071f', 'False', 'True', 'false', 'false', '511602216203', 5, '石河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602216203', 1, '2021-07-19 11:54:57', NULL, NULL), (22446, '', '白马村', 'bcfe6fa66193426cafb3c29a5bfc37f9', '0542dbcac4ea4b5fbd251abbea8e071f', 'False', 'True', 'false', 'false', '511602216205', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602216205', 1, '2021-07-19 11:54:57', NULL, NULL), (22447, '', '国光村', '861dc15ddee042c1a3c19e8409f8730e', '0542dbcac4ea4b5fbd251abbea8e071f', 'False', 'True', 'false', 'false', '511602216207', 5, '国光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602216207', 1, '2021-07-19 11:54:57', NULL, NULL), (22448, '', '红星村', '4fd2c9b18be44d27b4eaff2c7a8580dd', '0542dbcac4ea4b5fbd251abbea8e071f', 'False', 'True', 'false', 'false', '511602216209', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602216209', 1, '2021-07-19 11:54:57', NULL, NULL), (22449, '', '石梯村', '722e7d60dc83481ebbbdfa39531b9c03', '0542dbcac4ea4b5fbd251abbea8e071f', 'False', 'True', 'false', 'false', '511602216212', 5, '石梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602216212', 1, '2021-07-19 11:54:57', NULL, NULL), (22450, '', '龙安乡', 'e86ed0f87e2844bba1d77ade4478e625', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602182000', 4, '龙安乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602182000', 1, '2021-07-19 11:54:57', NULL, NULL), (22451, '', '龙安社区居委会', '9ee6efec06914876abeec179a8b1cb97', 'e86ed0f87e2844bba1d77ade4478e625', 'False', 'True', 'false', 'false', '511602207201', 5, '龙安社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602207201', 1, '2021-07-19 11:54:57', NULL, NULL), (22452, '', '民主村', 'f2f02df8f5ee41529ca37a66e4e82ee9', 'e86ed0f87e2844bba1d77ade4478e625', 'False', 'True', 'false', 'false', '511602207203', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602207203', 1, '2021-07-19 11:54:57', NULL, NULL), (22453, '', '集中村', '8e563e7454ec46a5ad90dd6f58154cfa', 'e86ed0f87e2844bba1d77ade4478e625', 'False', 'True', 'false', 'false', '511602207204', 5, '集中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602207204', 1, '2021-07-19 11:54:58', NULL, NULL), (22454, '', '群策村', '030eb34b58ef4d538f88916cc809ebad', 'e86ed0f87e2844bba1d77ade4478e625', 'False', 'True', 'false', 'false', '511602207206', 5, '群策村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602207206', 1, '2021-07-19 11:54:58', NULL, NULL), (22455, '', '革新村', '28b5c4f7189f4e7288fbb09c2142f033', 'e86ed0f87e2844bba1d77ade4478e625', 'False', 'True', 'false', 'false', '511602207207', 5, '革新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602207207', 1, '2021-07-19 11:54:58', NULL, NULL), (22456, '', '勇敢村', '4046d0ed380c4228815013a03a545c0c', 'e86ed0f87e2844bba1d77ade4478e625', 'False', 'True', 'false', 'false', '511602207209', 5, '勇敢村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602207209', 1, '2021-07-19 11:54:58', NULL, NULL), (22457, '', '北辰街道', '8e4214a188de4b41b748ff85ee0690c2', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602241000', 4, '北辰街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602241000', 1, '2021-07-19 11:54:58', NULL, NULL), (22458, '', '渠江北路社区', '32947b91df9848b7a74b863811d5629a', '8e4214a188de4b41b748ff85ee0690c2', 'False', 'True', 'false', 'false', '511602002001', 5, '渠江北路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602002001', 1, '2021-07-19 11:54:58', NULL, NULL), (22459, '', '万金山社区', '89ac26370e72452387669d5d5c38d822', '8e4214a188de4b41b748ff85ee0690c2', 'False', 'True', 'false', 'false', '511602002002', 5, '万金山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602002002', 1, '2021-07-19 11:54:58', NULL, NULL), (22460, '', '建设路社区', 'a8724c5554af45659c57bb7cda980fc1', '8e4214a188de4b41b748ff85ee0690c2', 'False', 'True', 'false', 'false', '511602002003', 5, '建设路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602002003', 1, '2021-07-19 11:54:58', NULL, NULL), (22461, '', '湖滨路社区', '923f61401b724321864bcad5d85ac0de', '8e4214a188de4b41b748ff85ee0690c2', 'False', 'True', 'false', 'false', '511602002004', 5, '湖滨路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602002004', 1, '2021-07-19 11:54:58', NULL, NULL), (22462, '', '洗脚溪社区', 'b2b59576b9964329b5c83faab80cce6e', '8e4214a188de4b41b748ff85ee0690c2', 'False', 'True', 'false', 'false', '511602002005', 5, '洗脚溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602002005', 1, '2021-07-19 11:54:58', NULL, NULL), (22463, '', '北街社区', 'cb9b60655fb3460d955c854b4b2a1c01', '8e4214a188de4b41b748ff85ee0690c2', 'False', 'True', 'false', 'false', '511602002006', 5, '北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602002006', 1, '2021-07-19 11:54:58', NULL, NULL), (22464, '', '城北社区', '9b0134676b7c44c0b08091abc065fb06', '8e4214a188de4b41b748ff85ee0690c2', 'False', 'True', 'false', 'false', '511602002007', 5, '城北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602002007', 1, '2021-07-19 11:54:58', NULL, NULL), (22465, '', '岔路社区', '00de23ba267a4f43b85e734cd166f1e1', '8e4214a188de4b41b748ff85ee0690c2', 'False', 'True', 'false', 'false', '511602002008', 5, '岔路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602002008', 1, '2021-07-19 11:54:58', NULL, NULL), (22466, '', '万盛街道', 'f9c90fa2697f4d929ee0994e47926e82', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602280000', 4, '万盛街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602280000', 1, '2021-07-19 11:54:59', NULL, NULL), (22467, '', '五福社区', 'a1ed40e251644b4cb692f5a7fb4692bb', 'f9c90fa2697f4d929ee0994e47926e82', 'False', 'True', 'false', 'false', '511602005001', 5, '五福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602005001', 1, '2021-07-19 11:54:59', NULL, NULL), (22468, '', '万盛社区', '2a07fb49c14a4adca2fdec932a9eb195', 'f9c90fa2697f4d929ee0994e47926e82', 'False', 'True', 'false', 'false', '511602005002', 5, '万盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602005002', 1, '2021-07-19 11:54:59', NULL, NULL), (22469, '', '安龙社区', 'dfc113c066494b689f5de7496a031e1e', 'f9c90fa2697f4d929ee0994e47926e82', 'False', 'True', 'false', 'false', '511602005003', 5, '安龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602005003', 1, '2021-07-19 11:54:59', NULL, NULL), (22470, '', '玉兔社区', '286a8c5f568e4d59b5f1d526545d2e36', 'f9c90fa2697f4d929ee0994e47926e82', 'False', 'True', 'false', 'false', '511602005004', 5, '玉兔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602005004', 1, '2021-07-19 11:54:59', NULL, NULL), (22471, '', '神龙社区', 'e9c4e671b3114314bac7260d0ca6d3f3', 'f9c90fa2697f4d929ee0994e47926e82', 'False', 'True', 'false', 'false', '511602005007', 5, '神龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602005007', 1, '2021-07-19 11:54:59', NULL, NULL), (22472, '', '兴平镇', 'cfc8ce3dd68c480391e13dd6af60b99d', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602304000', 4, '兴平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602304000', 1, '2021-07-19 11:54:59', NULL, NULL), (22473, '', '义兴社区', 'ec1abc56d0ba4044b872d255b6ab197c', 'cfc8ce3dd68c480391e13dd6af60b99d', 'False', 'True', 'false', 'false', '511602105002', 5, '义兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602105002', 1, '2021-07-19 11:54:59', NULL, NULL), (22474, '', '新合村', '631e729de2624d72b2977186715df3ba', 'cfc8ce3dd68c480391e13dd6af60b99d', 'False', 'True', 'false', 'false', '511602105210', 5, '新合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602105210', 1, '2021-07-19 11:54:59', NULL, NULL), (22475, '', '仙鱼村', '758ade059fc3484e806b6d5c2e2d3d9a', 'cfc8ce3dd68c480391e13dd6af60b99d', 'False', 'True', 'false', 'false', '511602105220', 5, '仙鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602105220', 1, '2021-07-19 11:54:59', NULL, NULL), (22476, '', '坪洋村', 'b08d620289a3489fbc2d54b4dfda1603', 'cfc8ce3dd68c480391e13dd6af60b99d', 'False', 'True', 'false', 'false', '511602105221', 5, '坪洋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602105221', 1, '2021-07-19 11:54:59', NULL, NULL), (22477, '', '石泉村', 'd4de933b650045d08d23a45ed3c55e69', 'cfc8ce3dd68c480391e13dd6af60b99d', 'False', 'True', 'false', 'false', '511602105222', 5, '石泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602105222', 1, '2021-07-19 11:54:59', NULL, NULL), (22478, '', '华严村', '37d5d93dc591482083ce2c0aa7b530d6', 'cfc8ce3dd68c480391e13dd6af60b99d', 'False', 'True', 'false', 'false', '511602105223', 5, '华严村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602105223', 1, '2021-07-19 11:54:59', NULL, NULL), (22479, '', '六合村', '8a94a52158434d779b088def9bd67637', 'cfc8ce3dd68c480391e13dd6af60b99d', 'False', 'True', 'false', 'false', '511602105224', 5, '六合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602105224', 1, '2021-07-19 11:54:59', NULL, NULL), (22480, '', '双鱼村', 'ddb5bed3789245bba72b5cf4c3a3c0cc', 'cfc8ce3dd68c480391e13dd6af60b99d', 'False', 'True', 'false', 'false', '511602105225', 5, '双鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602105225', 1, '2021-07-19 11:54:59', NULL, NULL), (22481, '', '太平社区', 'b9dde389f0d947c8a645624f86fb491e', 'cfc8ce3dd68c480391e13dd6af60b99d', 'False', 'True', 'false', 'false', '511602105001', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602105001', 1, '2021-07-19 11:55:00', NULL, NULL), (22482, '', '卧龙村', 'e066c1cb26484d4894ccb59d763a5eb2', 'cfc8ce3dd68c480391e13dd6af60b99d', 'False', 'True', 'false', 'false', '511602105204', 5, '卧龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602105204', 1, '2021-07-19 11:55:00', NULL, NULL), (22483, '', '龙孔村', '6ea6b2f4cdd3459b914a76d8293405a9', 'cfc8ce3dd68c480391e13dd6af60b99d', 'False', 'True', 'false', 'false', '511602105205', 5, '龙孔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602105205', 1, '2021-07-19 11:55:00', NULL, NULL), (22484, '', '丁坝村', 'd46049b1506346a587d937f6c3f7c563', 'cfc8ce3dd68c480391e13dd6af60b99d', 'False', 'True', 'false', 'false', '511602105208', 5, '丁坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602105208', 1, '2021-07-19 11:55:00', NULL, NULL), (22485, '', '晓钟村', 'b45ec20688524f17bca23601710b7be0', 'cfc8ce3dd68c480391e13dd6af60b99d', 'False', 'True', 'false', 'false', '511602105211', 5, '晓钟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602105211', 1, '2021-07-19 11:55:00', NULL, NULL), (22486, '', '吉庆村', 'c48828a702dc49919098ae0e74c56b16', 'cfc8ce3dd68c480391e13dd6af60b99d', 'False', 'True', 'false', 'false', '511602105218', 5, '吉庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602105218', 1, '2021-07-19 11:55:00', NULL, NULL), (22487, '', '文明村', '1f87bd9cba9e401aa84d991ab00bd4c0', 'cfc8ce3dd68c480391e13dd6af60b99d', 'False', 'True', 'false', 'false', '511602105219', 5, '文明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602105219', 1, '2021-07-19 11:55:00', NULL, NULL), (22488, '', '新农村', '6aed665266484981ac363e45b27485bd', 'cfc8ce3dd68c480391e13dd6af60b99d', 'False', 'True', 'false', 'false', '511602105525', 5, '新农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602105525', 1, '2021-07-19 11:55:00', NULL, NULL), (22489, '', '彭家乡', '2144c737f65c48b3bb0da380053ebc98', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602328000', 4, '彭家乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602328000', 1, '2021-07-19 11:55:00', NULL, NULL), (22490, '', '向阳社区', '7bd04e0ed7a243f7a6d7c41b7cad9916', '2144c737f65c48b3bb0da380053ebc98', 'False', 'True', 'false', 'false', '511602208001', 5, '向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602208001', 1, '2021-07-19 11:55:00', NULL, NULL), (22491, '', '白阳村', 'e3070d3ca4fc443d81352afc9b8b63dc', '2144c737f65c48b3bb0da380053ebc98', 'False', 'True', 'false', 'false', '511602208010', 5, '白阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602208010', 1, '2021-07-19 11:55:00', NULL, NULL), (22492, '', '天井村', '5246d2fcfa1f4ca493f1f4f8f07b67c6', '2144c737f65c48b3bb0da380053ebc98', 'False', 'True', 'false', 'false', '511602208510', 5, '天井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602208510', 1, '2021-07-19 11:55:00', NULL, NULL), (22493, '', '茶店村', '4bbfd0618b654994a9004210f7027944', '2144c737f65c48b3bb0da380053ebc98', 'False', 'True', 'false', 'false', '511602208576', 5, '茶店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602208576', 1, '2021-07-19 11:55:01', NULL, NULL), (22494, '', '观音村', '76914a84bb214bb48015a25662714209', '2144c737f65c48b3bb0da380053ebc98', 'False', 'True', 'false', 'false', '511602208780', 5, '观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602208780', 1, '2021-07-19 11:55:01', NULL, NULL), (22495, '', '古佛村', '69cd1677c4f845ae84a9e5eb04956d83', '2144c737f65c48b3bb0da380053ebc98', 'False', 'True', 'false', 'false', '511602208785', 5, '古佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602208785', 1, '2021-07-19 11:55:01', NULL, NULL), (22496, '', '东岳镇', '31e095a68a9a4c1090af3594467ac265', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602386000', 4, '东岳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602386000', 1, '2021-07-19 11:55:01', NULL, NULL), (22497, '', '井山村', '990981c8ad3d4357ae349e05d07d28d9', '31e095a68a9a4c1090af3594467ac265', 'False', 'True', 'false', 'false', '511602214006', 5, '井山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602214006', 1, '2021-07-19 11:55:01', NULL, NULL), (22498, '', '东石村', '5bacd9c8658b483b9053012a1711ebd4', '31e095a68a9a4c1090af3594467ac265', 'False', 'True', 'false', 'false', '511602214007', 5, '东石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602214007', 1, '2021-07-19 11:55:01', NULL, NULL), (22499, '', '玉观村', 'e4cefd5171af4bec869cf24ceba77ef9', '31e095a68a9a4c1090af3594467ac265', 'False', 'True', 'false', 'false', '511602214008', 5, '玉观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602214008', 1, '2021-07-19 11:55:01', NULL, NULL), (22500, '', '枫木村', '1a23023613f84c0aa0b1bb87719b5509', '31e095a68a9a4c1090af3594467ac265', 'False', 'True', 'false', 'false', '511602386353', 5, '枫木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602386353', 1, '2021-07-19 11:55:01', NULL, NULL), (22501, '', '四方村', '27bb2a00aae84e8b89c9fc3bac05eca6', '31e095a68a9a4c1090af3594467ac265', 'False', 'True', 'false', 'false', '511602386521', 5, '四方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602386521', 1, '2021-07-19 11:55:01', NULL, NULL), (22502, '', '农兴村', '291da4540ee54da2bd2f484f26477113', '31e095a68a9a4c1090af3594467ac265', 'False', 'True', 'false', 'false', '511602386787', 5, '农兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602386787', 1, '2021-07-19 11:55:01', NULL, NULL), (22503, '', '黄河村', '29d153bc52c14df79d6d0b79fd154122', '31e095a68a9a4c1090af3594467ac265', 'False', 'True', 'false', 'false', '511602386857', 5, '黄河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602386857', 1, '2021-07-19 11:55:01', NULL, NULL), (22504, '', '东福社区', '1e4a9e35fbf44496960767aa18ea15ea', '31e095a68a9a4c1090af3594467ac265', 'False', 'True', 'false', 'false', '511602386999', 5, '东福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602386999', 1, '2021-07-19 11:55:01', NULL, NULL), (22505, '', '白市镇', 'a5cdd4367b39487e8614142f8441e2f6', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602468000', 4, '白市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602468000', 1, '2021-07-19 11:55:02', NULL, NULL), (22506, '', '双红村', '68df5bca20d54c2388c080c128232268', 'a5cdd4367b39487e8614142f8441e2f6', 'False', 'True', 'false', 'false', '511602112223', 5, '双红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602112223', 1, '2021-07-19 11:55:02', NULL, NULL), (22507, '', '慧龙社区', 'f34d6ddd1a4f4fa48159ee7609cdfdf7', 'a5cdd4367b39487e8614142f8441e2f6', 'False', 'True', 'false', 'false', '511602112001', 5, '慧龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602112001', 1, '2021-07-19 11:55:02', NULL, NULL), (22508, '', '石盘村', 'c53aeab1a0ae411ebac3da7c81b9d7ec', 'a5cdd4367b39487e8614142f8441e2f6', 'False', 'True', 'false', 'false', '511602112201', 5, '石盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602112201', 1, '2021-07-19 11:55:02', NULL, NULL), (22509, '', '龙凤村', '4290b77054c543b79e302f5f7d0e78ec', 'a5cdd4367b39487e8614142f8441e2f6', 'False', 'True', 'false', 'false', '511602112202', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602112202', 1, '2021-07-19 11:55:02', NULL, NULL), (22510, '', '月光村', '49676bb5cefa4d8da019b864708d78d0', 'a5cdd4367b39487e8614142f8441e2f6', 'False', 'True', 'false', 'false', '511602112203', 5, '月光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602112203', 1, '2021-07-19 11:55:02', NULL, NULL), (22511, '', '白市村', '56adac5ed6b040e6b3ac65dd96573dc7', 'a5cdd4367b39487e8614142f8441e2f6', 'False', 'True', 'false', 'false', '511602112205', 5, '白市村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602112205', 1, '2021-07-19 11:55:02', NULL, NULL), (22512, '', '福田村', '062c4470bd30461d9a2f6ff577c307d6', 'a5cdd4367b39487e8614142f8441e2f6', 'False', 'True', 'false', 'false', '511602112210', 5, '福田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602112210', 1, '2021-07-19 11:55:02', NULL, NULL), (22513, '', '鞠坪村', 'e2a246edc57340578762c838e64e4c1c', 'a5cdd4367b39487e8614142f8441e2f6', 'False', 'True', 'false', 'false', '511602112211', 5, '鞠坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602112211', 1, '2021-07-19 11:55:02', NULL, NULL), (22514, '', '石马村', 'dfabf2df364c4e43a6a6c1ef647e63db', 'a5cdd4367b39487e8614142f8441e2f6', 'False', 'True', 'false', 'false', '511602112214', 5, '石马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602112214', 1, '2021-07-19 11:55:02', NULL, NULL), (22515, '', '南门村', '32d9758c32024329896712d0c53e6b1c', 'a5cdd4367b39487e8614142f8441e2f6', 'False', 'True', 'false', 'false', '511602112215', 5, '南门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602112215', 1, '2021-07-19 11:55:02', NULL, NULL), (22516, '', '黄桷村', '959bb72a36b1457b876310a1583ccc72', 'a5cdd4367b39487e8614142f8441e2f6', 'False', 'True', 'false', 'false', '511602112218', 5, '黄桷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602112218', 1, '2021-07-19 11:55:02', NULL, NULL), (22517, '', '石垭村', '72dfc143a2404790bf251ba7381ab624', 'a5cdd4367b39487e8614142f8441e2f6', 'False', 'True', 'false', 'false', '511602112222', 5, '石垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602112222', 1, '2021-07-19 11:55:02', NULL, NULL), (22518, '', '官盛镇', '11a5383b6de54d5ca6fccddf4af0393b', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602515000', 4, '官盛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602515000', 1, '2021-07-19 11:55:02', NULL, NULL), (22519, '', '朝阳村', '1b5efa9f92e143ceaff5e6a0ad85832e', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101209', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101209', 1, '2021-07-19 11:55:02', NULL, NULL), (22520, '', '官坝村', 'f977923b54c64da9a51915a2090a8b57', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101211', 5, '官坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101211', 1, '2021-07-19 11:55:02', NULL, NULL), (22521, '', '前进村', 'f544411de4434152ac82ecb99c17dffc', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101212', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101212', 1, '2021-07-19 11:55:03', NULL, NULL), (22522, '', '芙蓉村', '1892babebed64e70891289d778f01d0c', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101213', 5, '芙蓉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101213', 1, '2021-07-19 11:55:03', NULL, NULL), (22523, '', '棋盘村', '55e59d86d7e64173a26b94ce8976596e', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101214', 5, '棋盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101214', 1, '2021-07-19 11:55:03', NULL, NULL), (22524, '', '凉洞村', '43efd4ba516848d382b5df5b0dae6440', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101215', 5, '凉洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101215', 1, '2021-07-19 11:55:03', NULL, NULL), (22525, '', '东安村', '6de2114389774e328689c850286f5368', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101216', 5, '东安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101216', 1, '2021-07-19 11:55:03', NULL, NULL), (22526, '', '南浔村', '92996562518a4a43bc9c6dd408469655', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101217', 5, '南浔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101217', 1, '2021-07-19 11:55:03', NULL, NULL), (22527, '', '杨柳村', 'df66a654931a4daab2d1902ed6b9d139', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101218', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101218', 1, '2021-07-19 11:55:03', NULL, NULL), (22528, '', '老君村', '047f7752eb7b42a9a001e5a35356258c', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101219', 5, '老君村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101219', 1, '2021-07-19 11:55:03', NULL, NULL), (22529, '', '沙湾村', '86c7a3f248904f60b8b3f8210d0c068f', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101220', 5, '沙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101220', 1, '2021-07-19 11:55:03', NULL, NULL), (22530, '', '长坪村', 'd9a0280c4da64ae9918a46ad8b26879e', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101221', 5, '长坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101221', 1, '2021-07-19 11:55:03', NULL, NULL), (22531, '', '苟溪村', '9007116357fe4f1ab0f8b286a19235cd', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101222', 5, '苟溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101222', 1, '2021-07-19 11:55:03', NULL, NULL), (22532, '', '梁山村', '5ac88170a58649dc951c97fcea03600b', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101223', 5, '梁山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101223', 1, '2021-07-19 11:55:03', NULL, NULL), (22533, '', '石咀村', '28986c22cc2b436687a2a2487e087215', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101224', 5, '石咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101224', 1, '2021-07-19 11:55:03', NULL, NULL), (22534, '', '渡口村', '4868ae5f466346fcbd059a79a14e5dcf', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101225', 5, '渡口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101225', 1, '2021-07-19 11:55:03', NULL, NULL), (22535, '', '官盛社区', '76897b9736cd43b8997ee49b07308509', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101001', 5, '官盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101001', 1, '2021-07-19 11:55:04', NULL, NULL), (22536, '', '三层社区', 'c227f012b18249799ce3c7e018283b9c', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101202', 5, '三层社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101202', 1, '2021-07-19 11:55:04', NULL, NULL), (22537, '', '云丰社区', '6b0ef371e1bc488eb865869f6c2d7519', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101203', 5, '云丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101203', 1, '2021-07-19 11:55:04', NULL, NULL), (22538, '', '五方村', 'da91beff2ad84df0b65867b030228424', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101204', 5, '五方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101204', 1, '2021-07-19 11:55:04', NULL, NULL), (22539, '', '报国村', 'e134f7333a7c416890c6afd499069a3a', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101205', 5, '报国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101205', 1, '2021-07-19 11:55:04', NULL, NULL), (22540, '', '羊角村', '685aefefe1624049ac2e66fc2c84d423', '11a5383b6de54d5ca6fccddf4af0393b', 'False', 'True', 'false', 'false', '511602101207', 5, '羊角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602101207', 1, '2021-07-19 11:55:04', NULL, NULL), (22541, '', '浓洄街道', 'b71da98b0bc34fde97b33feba9398b76', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602533000', 4, '浓洄街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602533000', 1, '2021-07-19 11:55:04', NULL, NULL), (22542, '', '水塘堡社区', '477c875653684a929f72686337eda29a', 'b71da98b0bc34fde97b33feba9398b76', 'False', 'True', 'false', 'false', '511602001484', 5, '水塘堡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602001484', 1, '2021-07-19 11:55:04', NULL, NULL), (22543, '', '翠屏路社区', '4c65a69dcaa94ccf9e273c8f5a15ec68', 'b71da98b0bc34fde97b33feba9398b76', 'False', 'True', 'false', 'false', '511602001561', 5, '翠屏路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602001561', 1, '2021-07-19 11:55:04', NULL, NULL), (22544, '', '果丰社区', '10bac52b87bc447787716e0d5a44d075', 'b71da98b0bc34fde97b33feba9398b76', 'False', 'True', 'false', 'false', '511602001566', 5, '果丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602001566', 1, '2021-07-19 11:55:04', NULL, NULL), (22545, '', '柑子园社区', '23208d505eb740409c6bb4844f031ab7', 'b71da98b0bc34fde97b33feba9398b76', 'False', 'True', 'false', 'false', '511602001625', 5, '柑子园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602001625', 1, '2021-07-19 11:55:04', NULL, NULL), (22546, '', '新南门社区', 'de10daac5473428da8994ffa000d9a72', 'b71da98b0bc34fde97b33feba9398b76', 'False', 'True', 'false', 'false', '511602001652', 5, '新南门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602001652', 1, '2021-07-19 11:55:04', NULL, NULL), (22547, '', '厚街社区', 'd2a252fda96b43d28c5e892413c931c3', 'b71da98b0bc34fde97b33feba9398b76', 'False', 'True', 'false', 'false', '511602001826', 5, '厚街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602001826', 1, '2021-07-19 11:55:04', NULL, NULL), (22548, '', '悦来镇', '377447d3fcde4258ab3c31e3713155b5', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602684000', 4, '悦来镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602684000', 1, '2021-07-19 11:55:04', NULL, NULL), (22549, '', '悦来社区', '8600e8bc8a304b8d8b13c9e6d40f71b9', '377447d3fcde4258ab3c31e3713155b5', 'False', 'True', 'false', 'false', '511602104001', 5, '悦来社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602104001', 1, '2021-07-19 11:55:04', NULL, NULL), (22550, '', '金龙村', '0f3d8626bbc34fd3a2a4e5f282358432', '377447d3fcde4258ab3c31e3713155b5', 'False', 'True', 'false', 'false', '511602104201', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602104201', 1, '2021-07-19 11:55:04', NULL, NULL), (22551, '', '金凤村', '69548d00f3a3425694927c86a68a65c7', '377447d3fcde4258ab3c31e3713155b5', 'False', 'True', 'false', 'false', '511602104203', 5, '金凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602104203', 1, '2021-07-19 11:55:04', NULL, NULL), (22552, '', '茅坪村', '892eb4469f524856a95b2e3a1bc6e612', '377447d3fcde4258ab3c31e3713155b5', 'False', 'True', 'false', 'false', '511602104205', 5, '茅坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602104205', 1, '2021-07-19 11:55:05', NULL, NULL), (22553, '', '中合村', '3562c7068ef84d86938a4358f14e3675', '377447d3fcde4258ab3c31e3713155b5', 'False', 'True', 'false', 'false', '511602104207', 5, '中合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602104207', 1, '2021-07-19 11:55:05', NULL, NULL), (22554, '', '高兴村', 'ae7b7e2542114626bcc33ed01fd45d77', '377447d3fcde4258ab3c31e3713155b5', 'False', 'True', 'false', 'false', '511602104208', 5, '高兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602104208', 1, '2021-07-19 11:55:05', NULL, NULL), (22555, '', '马桩村', '701d6108d2354085b0894b9281a2226a', '377447d3fcde4258ab3c31e3713155b5', 'False', 'True', 'false', 'false', '511602104212', 5, '马桩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602104212', 1, '2021-07-19 11:55:05', NULL, NULL), (22556, '', '廖家村', 'baf0e4b166f44b3caf6e0089a1c21bfc', '377447d3fcde4258ab3c31e3713155b5', 'False', 'True', 'false', 'false', '511602104214', 5, '廖家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602104214', 1, '2021-07-19 11:55:05', NULL, NULL), (22557, '', '灯塔村', '2704f8e3571341b7b633411c93074153', '377447d3fcde4258ab3c31e3713155b5', 'False', 'True', 'false', 'false', '511602104221', 5, '灯塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602104221', 1, '2021-07-19 11:55:05', NULL, NULL), (22558, '', '天台村', '835c929c87f64ab39d0ab3b803d14f0b', '377447d3fcde4258ab3c31e3713155b5', 'False', 'True', 'false', 'false', '511602104223', 5, '天台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602104223', 1, '2021-07-19 11:55:05', NULL, NULL), (22559, '', '农旺村', '1d5c843936cf4a59b0121a95e54d7657', '377447d3fcde4258ab3c31e3713155b5', 'False', 'True', 'false', 'false', '511602104225', 5, '农旺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602104225', 1, '2021-07-19 11:55:05', NULL, NULL), (22560, '', '马坝村', '90ded0a8eac24375a9cda7301f9ba2f5', '377447d3fcde4258ab3c31e3713155b5', 'False', 'True', 'false', 'false', '511602104226', 5, '马坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602104226', 1, '2021-07-19 11:55:05', NULL, NULL), (22561, '', '石笋镇', '6ab9f77b9c6b47bc81b9b996952b01f9', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602695000', 4, '石笋镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602695000', 1, '2021-07-19 11:55:05', NULL, NULL), (22562, '', '大石村', '0c0e2199472d49ecb713d310f2022ea5', '6ab9f77b9c6b47bc81b9b996952b01f9', 'False', 'True', 'false', 'false', '511602111235', 5, '大石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602111235', 1, '2021-07-19 11:55:05', NULL, NULL), (22563, '', '莲江村', '7060207946714cab935e1dc4112f7694', '6ab9f77b9c6b47bc81b9b996952b01f9', 'False', 'True', 'false', 'false', '511602111236', 5, '莲江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602111236', 1, '2021-07-19 11:55:05', NULL, NULL), (22564, '', '凤麟村', '8fe6f4396607452fa1de5be0763d5681', '6ab9f77b9c6b47bc81b9b996952b01f9', 'False', 'True', 'false', 'false', '511602111237', 5, '凤麟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602111237', 1, '2021-07-19 11:55:05', NULL, NULL), (22565, '', '顺利村', 'c16c6e19965b4a3faa7ef1851c6a1c5e', '6ab9f77b9c6b47bc81b9b996952b01f9', 'False', 'True', 'false', 'false', '511602111238', 5, '顺利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602111238', 1, '2021-07-19 11:55:05', NULL, NULL), (22566, '', '月桥村', 'd72f40bde10441618c01388702f6ced6', '6ab9f77b9c6b47bc81b9b996952b01f9', 'False', 'True', 'false', 'false', '511602111239', 5, '月桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602111239', 1, '2021-07-19 11:55:05', NULL, NULL), (22567, '', '白云村', '78408e03070b488083db8c887f913f67', '6ab9f77b9c6b47bc81b9b996952b01f9', 'False', 'True', 'false', 'false', '511602111240', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602111240', 1, '2021-07-19 11:55:05', NULL, NULL), (22568, '', '石笋河社区', '7848ff1ae77e41c4b7dcc107f69b952f', '6ab9f77b9c6b47bc81b9b996952b01f9', 'False', 'True', 'false', 'false', '511602111001', 5, '石笋河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602111001', 1, '2021-07-19 11:55:05', NULL, NULL), (22569, '', '玉峰村', '995accb4eb144f9fbf856e2a2e90d5a3', '6ab9f77b9c6b47bc81b9b996952b01f9', 'False', 'True', 'false', 'false', '511602111202', 5, '玉峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602111202', 1, '2021-07-19 11:55:06', NULL, NULL), (22570, '', '伏龙社区', '046bc4307d4e483c96c8fcd0f3166a5b', '6ab9f77b9c6b47bc81b9b996952b01f9', 'False', 'True', 'false', 'false', '511602111205', 5, '伏龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602111205', 1, '2021-07-19 11:55:06', NULL, NULL), (22571, '', '鳌山村', '124a161e53614135bd82273f3d1f900d', '6ab9f77b9c6b47bc81b9b996952b01f9', 'False', 'True', 'false', 'false', '511602111209', 5, '鳌山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602111209', 1, '2021-07-19 11:55:06', NULL, NULL), (22572, '', '金安村', '7e505ccd473c49b9bca1e02dc8f397fb', '6ab9f77b9c6b47bc81b9b996952b01f9', 'False', 'True', 'false', 'false', '511602111214', 5, '金安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602111214', 1, '2021-07-19 11:55:06', NULL, NULL), (22573, '', '斜石村', '5b27e8123c7f413fab6bdbaaf948e72e', '6ab9f77b9c6b47bc81b9b996952b01f9', 'False', 'True', 'false', 'false', '511602111216', 5, '斜石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602111216', 1, '2021-07-19 11:55:06', NULL, NULL), (22574, '', '龙岩村', '8b206d2ec9ca439b9fd2b879ef4d8005', '6ab9f77b9c6b47bc81b9b996952b01f9', 'False', 'True', 'false', 'false', '511602111217', 5, '龙岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602111217', 1, '2021-07-19 11:55:06', NULL, NULL), (22575, '', '将军村', 'cd602f91c79045a5ac98ecb46fe47f9b', '6ab9f77b9c6b47bc81b9b996952b01f9', 'False', 'True', 'false', 'false', '511602111223', 5, '将军村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602111223', 1, '2021-07-19 11:55:06', NULL, NULL), (22576, '', '龙飞村', 'e3446ae5d9dd48dd9f4b9c6e23ddd920', '6ab9f77b9c6b47bc81b9b996952b01f9', 'False', 'True', 'false', 'false', '511602111226', 5, '龙飞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602111226', 1, '2021-07-19 11:55:06', NULL, NULL), (22577, '', '长利村', '2afd809a0cc54925a283c65a141d632d', '6ab9f77b9c6b47bc81b9b996952b01f9', 'False', 'True', 'false', 'false', '511602111228', 5, '长利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602111228', 1, '2021-07-19 11:55:06', NULL, NULL), (22578, '', '山峰村', 'ddc3b88f13f445bfb6b7933e9431c0f4', '6ab9f77b9c6b47bc81b9b996952b01f9', 'False', 'True', 'false', 'false', '511602111230', 5, '山峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602111230', 1, '2021-07-19 11:55:06', NULL, NULL), (22579, '', '大龙镇', 'f4d286acdba24c90820ca032adde0c41', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602752000', 4, '大龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602752000', 1, '2021-07-19 11:55:06', NULL, NULL), (22580, '', '小桥社区', 'c601373072354b6491d607a63cd11251', 'f4d286acdba24c90820ca032adde0c41', 'False', 'True', 'false', 'false', '511602122001', 5, '小桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602122001', 1, '2021-07-19 11:55:06', NULL, NULL), (22581, '', '黄坝村', '8a5dd77ca48548c09b01d8881dd6072d', 'f4d286acdba24c90820ca032adde0c41', 'False', 'True', 'false', 'false', '511602122204', 5, '黄坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602122204', 1, '2021-07-19 11:55:06', NULL, NULL), (22582, '', '崇望村', 'ed3aeb1b27854ce19a3eb3a77c49d80b', 'f4d286acdba24c90820ca032adde0c41', 'False', 'True', 'false', 'false', '511602122207', 5, '崇望村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602122207', 1, '2021-07-19 11:55:06', NULL, NULL), (22583, '', '白庙村', '9a810af2f95744a1862bbeeb3aae9616', 'f4d286acdba24c90820ca032adde0c41', 'False', 'True', 'false', 'false', '511602122208', 5, '白庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602122208', 1, '2021-07-19 11:55:06', NULL, NULL), (22584, '', '合力村', 'ea1cd70547584de883eba5080fa82bf2', 'f4d286acdba24c90820ca032adde0c41', 'False', 'True', 'false', 'false', '511602122209', 5, '合力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602122209', 1, '2021-07-19 11:55:06', NULL, NULL), (22585, '', '自力村', 'e9ea643f18d448898756e68225822aaa', 'f4d286acdba24c90820ca032adde0c41', 'False', 'True', 'false', 'false', '511602122210', 5, '自力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602122210', 1, '2021-07-19 11:55:06', NULL, NULL), (22586, '', '金福村', '5f19be21a60e4c23ba57a33881da541e', 'f4d286acdba24c90820ca032adde0c41', 'False', 'True', 'false', 'false', '511602122211', 5, '金福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602122211', 1, '2021-07-19 11:55:07', NULL, NULL), (22587, '', '白沙村', 'dfcc7e700a06472f8d175e1bc8fa949e', 'f4d286acdba24c90820ca032adde0c41', 'False', 'True', 'false', 'false', '511602122212', 5, '白沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602122212', 1, '2021-07-19 11:55:07', NULL, NULL), (22588, '', '九龙村', 'c845630b9e2e44729508c9ca1eee6991', 'f4d286acdba24c90820ca032adde0c41', 'False', 'True', 'false', 'false', '511602122213', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602122213', 1, '2021-07-19 11:55:07', NULL, NULL), (22589, '', '苏溪村', 'f63dc30ec2d14384949b7f2870a2310e', 'f4d286acdba24c90820ca032adde0c41', 'False', 'True', 'false', 'false', '511602122214', 5, '苏溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602122214', 1, '2021-07-19 11:55:07', NULL, NULL), (22590, '', '山青村', 'a575533688044dcf9be8aa85ec56627c', 'f4d286acdba24c90820ca032adde0c41', 'False', 'True', 'false', 'false', '511602122215', 5, '山青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602122215', 1, '2021-07-19 11:55:07', NULL, NULL), (22591, '', '干埝村', '5f17803233c84c3596cb67800d34d666', 'f4d286acdba24c90820ca032adde0c41', 'False', 'True', 'false', 'false', '511602122216', 5, '干埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602122216', 1, '2021-07-19 11:55:07', NULL, NULL), (22592, '', '太山村', '2a29e102212543f99614c7bb21741295', 'f4d286acdba24c90820ca032adde0c41', 'False', 'True', 'false', 'false', '511602205202', 5, '太山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602205202', 1, '2021-07-19 11:55:07', NULL, NULL), (22593, '', '胜利村', '852f52450ea34b87ad21085f9ab62c10', 'f4d286acdba24c90820ca032adde0c41', 'False', 'True', 'false', 'false', '511602205203', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602205203', 1, '2021-07-19 11:55:07', NULL, NULL), (22594, '', '建设村', 'f666d1ff3f7b4f47944ca7461a6e90d8', 'f4d286acdba24c90820ca032adde0c41', 'False', 'True', 'false', 'false', '511602205205', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602205205', 1, '2021-07-19 11:55:07', NULL, NULL), (22595, '', '战斗村', '55624b70396a4e4ab2467bd036a3afb8', 'f4d286acdba24c90820ca032adde0c41', 'False', 'True', 'false', 'false', '511602205210', 5, '战斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602205210', 1, '2021-07-19 11:55:07', NULL, NULL), (22596, '', '光明村', '37aeab7d1dbc493fbdbd7aec9b6a8bd3', 'f4d286acdba24c90820ca032adde0c41', 'False', 'True', 'false', 'false', '511602205212', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602205212', 1, '2021-07-19 11:55:07', NULL, NULL), (22597, '', '大安镇', 'd38ef420513b41c2b5cfbe4c6a8bdf05', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602763000', 4, '大安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602763000', 1, '2021-07-19 11:55:07', NULL, NULL), (22598, '', '福成村', '7ee17a1f366b4322b8b025c4e95f2f50', 'd38ef420513b41c2b5cfbe4c6a8bdf05', 'False', 'False', 'false', 'false', '511602113202', 5, '福成村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602113202', 1, '2021-07-19 11:55:07', NULL, NULL), (22599, '', '南桥村', '6f1d4fecb80d4f40ab835c8d03010d0e', 'd38ef420513b41c2b5cfbe4c6a8bdf05', 'False', 'False', 'false', 'false', '511602113203', 5, '南桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602113203', 1, '2021-07-19 11:55:08', NULL, NULL), (22600, '', '小岩村', '5968c665cd6d4a5ea6071884d92a6782', 'd38ef420513b41c2b5cfbe4c6a8bdf05', 'False', 'False', 'false', 'false', '511602113206', 5, '小岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602113206', 1, '2021-07-19 11:55:08', NULL, NULL), (22601, '', '大兴社区', '85d992ac8ab9436b9f71f5041367c8c4', 'd38ef420513b41c2b5cfbe4c6a8bdf05', 'False', 'True', 'false', 'false', '511602113001', 5, '大兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602113001', 1, '2021-07-19 11:55:08', NULL, NULL), (22602, '', '回龙村', '506e22310c634f10babae81eea3e8bca', 'd38ef420513b41c2b5cfbe4c6a8bdf05', 'False', 'True', 'false', 'false', '511602113201', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602113201', 1, '2021-07-19 11:55:08', NULL, NULL), (22603, '', '尖山村', '870f0e82348d48b8829f6e32b157b7fc', 'd38ef420513b41c2b5cfbe4c6a8bdf05', 'False', 'True', 'false', 'false', '511602113204', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602113204', 1, '2021-07-19 11:55:08', NULL, NULL), (22604, '', '夏家村', 'dadd7cc0bd78417f9638afde8d0420c1', 'd38ef420513b41c2b5cfbe4c6a8bdf05', 'False', 'True', 'false', 'false', '511602113208', 5, '夏家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602113208', 1, '2021-07-19 11:55:08', NULL, NULL), (22605, '', '司马村', 'fc15d3b18ec94360b35a6488b166b972', 'd38ef420513b41c2b5cfbe4c6a8bdf05', 'False', 'True', 'false', 'false', '511602113210', 5, '司马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602113210', 1, '2021-07-19 11:55:08', NULL, NULL), (22606, '', '大埝村', '94db653276a94c8ca5cfc9b38a28061a', 'd38ef420513b41c2b5cfbe4c6a8bdf05', 'False', 'True', 'false', 'false', '511602113214', 5, '大埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602113214', 1, '2021-07-19 11:55:08', NULL, NULL), (22607, '', '花桥镇', 'd3743c01b53e471eac3c92326d52139d', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602774000', 4, '花桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602774000', 1, '2021-07-19 11:55:08', NULL, NULL), (22608, '', '蒲莲社区', '032e6734318b4fa288eb013bfaa6ed23', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107003', 5, '蒲莲社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107003', 1, '2021-07-19 11:55:08', NULL, NULL), (22609, '', '冲锋村', '1206c736ece941e38223166b04f575e7', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107228', 5, '冲锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107228', 1, '2021-07-19 11:55:08', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (22610, '', '环城村', 'e93f9d169a4f4220928aa4f4cbbaa254', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107229', 5, '环城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107229', 1, '2021-07-19 11:55:08', NULL, NULL), (22611, '', '上游村', 'd9ae4811694f4681aa4dc86bd8cf6dab', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107230', 5, '上游村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107230', 1, '2021-07-19 11:55:08', NULL, NULL), (22612, '', '龙盐村', '410d1a9de6684ea38f1f7dbe9dcfc614', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107231', 5, '龙盐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107231', 1, '2021-07-19 11:55:08', NULL, NULL), (22613, '', '大岩村', 'd5ff5c0f82bb4a24ad2d6cf042011fd9', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107232', 5, '大岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107232', 1, '2021-07-19 11:55:08', NULL, NULL), (22614, '', '六角村', 'b2ac8df171cc4c81aeffc94fa1ae791b', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107233', 5, '六角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107233', 1, '2021-07-19 11:55:08', NULL, NULL), (22615, '', '来苏村', '81763103bc4040ebbb28cec4add1214e', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107234', 5, '来苏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107234', 1, '2021-07-19 11:55:08', NULL, NULL), (22616, '', '太阳村', '76a92508f0d94e01b4e7c41866a023aa', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107235', 5, '太阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107235', 1, '2021-07-19 11:55:08', NULL, NULL), (22617, '', '金鹤村', 'aaab9307a04c472db7ef54b5f9ac9dda', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107236', 5, '金鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107236', 1, '2021-07-19 11:55:08', NULL, NULL), (22618, '', '自生村', '60e5c658924e456797b2936f25f669ce', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107237', 5, '自生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107237', 1, '2021-07-19 11:55:09', NULL, NULL), (22619, '', '高升村', '2cf5fb1e2a16413ba0ba6d385c1b7254', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107238', 5, '高升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107238', 1, '2021-07-19 11:55:09', NULL, NULL), (22620, '', '圣庙村', '4301a74f8ebf4dafbc74f358f6a5b778', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107239', 5, '圣庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107239', 1, '2021-07-19 11:55:09', NULL, NULL), (22621, '', '一心村', '7b91126a3ee640b0b0274a329d48631f', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107240', 5, '一心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107240', 1, '2021-07-19 11:55:09', NULL, NULL), (22622, '', '新楼村', 'fcd23ba46ed448619d7ab15422a819fc', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107241', 5, '新楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107241', 1, '2021-07-19 11:55:09', NULL, NULL), (22623, '', '新燕村', '377563a7b5dc4d46b798afeb63a274a4', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107242', 5, '新燕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107242', 1, '2021-07-19 11:55:09', NULL, NULL), (22624, '', '沙星村', '693a3adcf52a4227b91133d94a60d010', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107243', 5, '沙星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107243', 1, '2021-07-19 11:55:09', NULL, NULL), (22625, '', '三黎村', '3375ec1ef0c940aabf817868db6effcd', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107244', 5, '三黎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107244', 1, '2021-07-19 11:55:09', NULL, NULL), (22626, '', '光荣村', '6a97896b4a09497bb5ecbda5ca0175e0', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107245', 5, '光荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107245', 1, '2021-07-19 11:55:09', NULL, NULL), (22627, '', '大利村', '301db313bf404786b9f30f04f4ed46fc', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107246', 5, '大利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107246', 1, '2021-07-19 11:55:09', NULL, NULL), (22628, '', '唐店村', 'bfb58be32fe64f1f910ccd56c7b740b9', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107247', 5, '唐店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107247', 1, '2021-07-19 11:55:09', NULL, NULL), (22629, '', '消河村', 'ee275feedd0945debaebedc8375cf0b7', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107248', 5, '消河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107248', 1, '2021-07-19 11:55:09', NULL, NULL), (22630, '', '新寺村', '7c5161840fb441c9a99b6f574ff16c1d', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107249', 5, '新寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107249', 1, '2021-07-19 11:55:09', NULL, NULL), (22631, '', '天一门社区', '00bfa0cad9014bcabe32ebb4df12aa10', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107001', 5, '天一门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107001', 1, '2021-07-19 11:55:09', NULL, NULL), (22632, '', '拱桥坝社区', '4afdb39f8a0242fb8c963a7336f0e37b', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107002', 5, '拱桥坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107002', 1, '2021-07-19 11:55:09', NULL, NULL), (22633, '', '石鼓村', '8e95ace022394cffac070e1365f487f4', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107202', 5, '石鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107202', 1, '2021-07-19 11:55:09', NULL, NULL), (22634, '', '竹林村', '4addfd42a3e84d1d88b055a9da319df0', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107203', 5, '竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107203', 1, '2021-07-19 11:55:10', NULL, NULL), (22635, '', '龙翔村', '61a42353186a4334873e18d718581f8b', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107212', 5, '龙翔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107212', 1, '2021-07-19 11:55:10', NULL, NULL), (22636, '', '花桥村', '5a72a1d4077f4f9fbf24b41e0600f6eb', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107213', 5, '花桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107213', 1, '2021-07-19 11:55:10', NULL, NULL), (22637, '', '星火村', '25aee0c95a914a82963ca53a7be5c989', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107214', 5, '星火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107214', 1, '2021-07-19 11:55:10', NULL, NULL), (22638, '', '油房村', '7266c9d6df344269ab08345439433923', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107220', 5, '油房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107220', 1, '2021-07-19 11:55:10', NULL, NULL), (22639, '', '月山村', '01d20704eb1b4e3ca3507e66eb03727f', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107221', 5, '月山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107221', 1, '2021-07-19 11:55:10', NULL, NULL), (22640, '', '双峰村', '69822ac12bf74bdab990476e91f930e3', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107223', 5, '双峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107223', 1, '2021-07-19 11:55:10', NULL, NULL), (22641, '', '水寨村', '6a979145999a45e3881a00dcd4410e18', 'd3743c01b53e471eac3c92326d52139d', 'False', 'True', 'false', 'false', '511602107226', 5, '水寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602107226', 1, '2021-07-19 11:55:10', NULL, NULL), (22642, '', '肖溪镇', '6dc4f08bc86d45d098dee945cd1f80f4', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602919000', 4, '肖溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602919000', 1, '2021-07-19 11:55:10', NULL, NULL), (22643, '', '肖家溪社区', '8b8d43a601904182970e6f607a115e4a', '6dc4f08bc86d45d098dee945cd1f80f4', 'False', 'True', 'false', 'false', '511602109001', 5, '肖家溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602109001', 1, '2021-07-19 11:55:10', NULL, NULL), (22644, '', '群力村', 'f6f2e2e8b2584956a93f48e92674755c', '6dc4f08bc86d45d098dee945cd1f80f4', 'False', 'True', 'false', 'false', '511602109201', 5, '群力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602109201', 1, '2021-07-19 11:55:10', NULL, NULL), (22645, '', '凉滩村', 'c5268ecb5e3e4d01bd05cc9fc24593cd', '6dc4f08bc86d45d098dee945cd1f80f4', 'False', 'True', 'false', 'false', '511602109203', 5, '凉滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602109203', 1, '2021-07-19 11:55:10', NULL, NULL), (22646, '', '自古村', 'deea37a2afa14400a74cfeb1b223401a', '6dc4f08bc86d45d098dee945cd1f80f4', 'False', 'True', 'false', 'false', '511602109205', 5, '自古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602109205', 1, '2021-07-19 11:55:10', NULL, NULL), (22647, '', '袁桥村', '963d0b1751fc4dadb5cf028b815012ba', '6dc4f08bc86d45d098dee945cd1f80f4', 'False', 'True', 'false', 'false', '511602109206', 5, '袁桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602109206', 1, '2021-07-19 11:55:10', NULL, NULL), (22648, '', '王坪村', '1ea1b31e749f40aaa971e0eeb2295a53', '6dc4f08bc86d45d098dee945cd1f80f4', 'False', 'True', 'false', 'false', '511602109208', 5, '王坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602109208', 1, '2021-07-19 11:55:10', NULL, NULL), (22649, '', '雄岩村', '76f98ae0de33476b953cd72220061956', '6dc4f08bc86d45d098dee945cd1f80f4', 'False', 'True', 'false', 'false', '511602109211', 5, '雄岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602109211', 1, '2021-07-19 11:55:10', NULL, NULL), (22650, '', '繁荣村', 'f1b3de0cd3534ed280362508cc97763a', '6dc4f08bc86d45d098dee945cd1f80f4', 'False', 'True', 'false', 'false', '511602109213', 5, '繁荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602109213', 1, '2021-07-19 11:55:10', NULL, NULL), (22651, '', '冲相村', 'ebffb5c083c34c1999075632c29eec7d', '6dc4f08bc86d45d098dee945cd1f80f4', 'False', 'True', 'false', 'false', '511602109215', 5, '冲相村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602109215', 1, '2021-07-19 11:55:11', NULL, NULL), (22652, '', '勤劳村', '61fbc47d4b784054918f5fe76e587bd0', '6dc4f08bc86d45d098dee945cd1f80f4', 'False', 'True', 'false', 'false', '511602109218', 5, '勤劳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602109218', 1, '2021-07-19 11:55:11', NULL, NULL), (22653, '', '金边村', '902b483379fe461db811c64da31c8d9a', '6dc4f08bc86d45d098dee945cd1f80f4', 'False', 'True', 'false', 'false', '511602109219', 5, '金边村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602109219', 1, '2021-07-19 11:55:11', NULL, NULL), (22654, '', '碧佛村', 'f22b4bc9b54d4fe7bf444f2aa106bc67', '6dc4f08bc86d45d098dee945cd1f80f4', 'False', 'True', 'false', 'false', '511602109221', 5, '碧佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602109221', 1, '2021-07-19 11:55:11', NULL, NULL), (22655, '', '桥梁村', '175b5d2adee14691b5cc689cb743506b', '6dc4f08bc86d45d098dee945cd1f80f4', 'False', 'True', 'false', 'false', '511602109224', 5, '桥梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602109224', 1, '2021-07-19 11:55:11', NULL, NULL), (22656, '', '老黄村', 'e1d0b57e96354304b44b63ebb2eb5640', '6dc4f08bc86d45d098dee945cd1f80f4', 'False', 'True', 'false', 'false', '511602109227', 5, '老黄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602109227', 1, '2021-07-19 11:55:11', NULL, NULL), (22657, '', '菱角村', 'e089b78953994154b91e9747a2dfea5f', '6dc4f08bc86d45d098dee945cd1f80f4', 'False', 'True', 'false', 'false', '511602109229', 5, '菱角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602109229', 1, '2021-07-19 11:55:11', NULL, NULL), (22658, '', '黄土村', '46c3e3bc97a8441585fa8d4fd0a49a39', '6dc4f08bc86d45d098dee945cd1f80f4', 'False', 'True', 'false', 'false', '511602109230', 5, '黄土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602109230', 1, '2021-07-19 11:55:11', NULL, NULL), (22659, '', '竹山村', 'bd4587fe5b574f739f706ae89fce9837', '6dc4f08bc86d45d098dee945cd1f80f4', 'False', 'True', 'false', 'false', '511602109233', 5, '竹山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602109233', 1, '2021-07-19 11:55:11', NULL, NULL), (22660, '', '井河镇', 'a5c1bc4a05a8438a97fd3a963de50f3a', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602929000', 4, '井河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602929000', 1, '2021-07-19 11:55:11', NULL, NULL), (22661, '', '郑山社区', 'e50013aca414412aafb5fa4d0f774b31', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106002', 5, '郑山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106002', 1, '2021-07-19 11:55:11', NULL, NULL), (22662, '', '福龙村', 'e15d41135b9e4fc38d4de2a50f1adc12', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106230', 5, '福龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106230', 1, '2021-07-19 11:55:11', NULL, NULL), (22663, '', '金星村', '6c06417eb9754db3a1c9f46efdb18f41', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106231', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106231', 1, '2021-07-19 11:55:12', NULL, NULL), (22664, '', '五星村', '84194da90b41463c972b2d926c9d8afa', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106232', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106232', 1, '2021-07-19 11:55:12', NULL, NULL), (22665, '', '蓬莱村', '81fdcc8d6392478ba235ac320270f736', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106233', 5, '蓬莱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106233', 1, '2021-07-19 11:55:12', NULL, NULL), (22666, '', '民集村', '131d0c68d9fc4ee797e2d661a028cb16', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106234', 5, '民集村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106234', 1, '2021-07-19 11:55:12', NULL, NULL), (22667, '', '合同村', '2696187e2ce44b7a9b4242a9b740b87d', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106235', 5, '合同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106235', 1, '2021-07-19 11:55:12', NULL, NULL), (22668, '', '火峰村', 'be962074bbd7413ba0b8ceed6e87cc53', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106236', 5, '火峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106236', 1, '2021-07-19 11:55:12', NULL, NULL), (22669, '', '青龙湖村', 'baf5ad1b77924afbad51b7db529f8be4', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106237', 5, '青龙湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106237', 1, '2021-07-19 11:55:12', NULL, NULL), (22670, '', '五福村', '618fb44631e5436393c353f9e1a7c117', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106238', 5, '五福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106238', 1, '2021-07-19 11:55:12', NULL, NULL), (22671, '', '井溪寺社区', '8f7d78cec6144d529b27cc5aca1af2ca', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106001', 5, '井溪寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106001', 1, '2021-07-19 11:55:12', NULL, NULL), (22672, '', '燕子村', '9b87e0f7d617480da68fcecd97c82813', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106202', 5, '燕子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106202', 1, '2021-07-19 11:55:12', NULL, NULL), (22673, '', '文进村', 'cd9599b019814212af974eaf83e68170', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106206', 5, '文进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106206', 1, '2021-07-19 11:55:12', NULL, NULL), (22674, '', '凤凰村', '0e76c90efd5247b2aec5152a63c544c8', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106209', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106209', 1, '2021-07-19 11:55:12', NULL, NULL), (22675, '', '高滩村', '11a565eb3e1e4d70ba62cc84d72d7a62', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106211', 5, '高滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106211', 1, '2021-07-19 11:55:12', NULL, NULL), (22676, '', '华洋村', 'c5189bfff56841ad9705715f371eb571', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106213', 5, '华洋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106213', 1, '2021-07-19 11:55:12', NULL, NULL), (22677, '', '石坪村', 'e29f62df0d504c5980a1a2217ca19d25', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106218', 5, '石坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106218', 1, '2021-07-19 11:55:12', NULL, NULL), (22678, '', '徐花村', '94a35dc721e74cb8976a54d2c3e5e245', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106221', 5, '徐花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106221', 1, '2021-07-19 11:55:13', NULL, NULL), (22679, '', '白果村', 'f41e3bf3975340b7a16f8449a230ba4d', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106223', 5, '白果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106223', 1, '2021-07-19 11:55:13', NULL, NULL), (22680, '', '高桥村', 'ee19dd475bdb4cfaaabff93c106404d8', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106224', 5, '高桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106224', 1, '2021-07-19 11:55:13', NULL, NULL), (22681, '', '英雄村', 'b4cf812c31ff45a097fe7d51d27d39ae', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106226', 5, '英雄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106226', 1, '2021-07-19 11:55:13', NULL, NULL), (22682, '', '交通村', 'fe7e1f9441bb449fa99f889f95d0cf60', 'a5c1bc4a05a8438a97fd3a963de50f3a', 'False', 'True', 'false', 'false', '511602106229', 5, '交通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602106229', 1, '2021-07-19 11:55:13', NULL, NULL), (22683, '', '龙台镇', '0fa27e24ab5b464dad08e413855ce302', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602995000', 4, '龙台镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602995000', 1, '2021-07-19 11:55:13', NULL, NULL), (22684, '', '龙台寺社区', 'c20c36cdaead48848fd6b1922fef27d6', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108001', 5, '龙台寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108001', 1, '2021-07-19 11:55:13', NULL, NULL), (22685, '', '车堂村', 'aa452d46760b47c6af516ff519904da9', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108201', 5, '车堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108201', 1, '2021-07-19 11:55:13', NULL, NULL), (22686, '', '高灯村', '6aa96437bc054d319990b5c13b852ca3', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108203', 5, '高灯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108203', 1, '2021-07-19 11:55:13', NULL, NULL), (22687, '', '团石村', '07123987c6c44e66b1121e303ed0d269', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108204', 5, '团石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108204', 1, '2021-07-19 11:55:13', NULL, NULL), (22688, '', '玉城村', 'f1af158cb21d4493b540cfd245dcdc3d', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108207', 5, '玉城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108207', 1, '2021-07-19 11:55:13', NULL, NULL), (22689, '', '西家村', '4049b3249fbb4dfb97584c57df1d3143', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108209', 5, '西家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108209', 1, '2021-07-19 11:55:13', NULL, NULL), (22690, '', '四缸村', '074f422370a44eb9907e3074b6c8dcc9', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108211', 5, '四缸村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108211', 1, '2021-07-19 11:55:13', NULL, NULL), (22691, '', '齐力村', '63e8d5db038b4c2e8f5730f93ae5e19d', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108212', 5, '齐力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108212', 1, '2021-07-19 11:55:13', NULL, NULL), (22692, '', '青松村', '17a5eb6b548046d09638b2e49b8942fc', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108215', 5, '青松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108215', 1, '2021-07-19 11:55:13', NULL, NULL), (22693, '', '旺盛村', 'c63022c8171643249687978d106066be', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108218', 5, '旺盛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108218', 1, '2021-07-19 11:55:13', NULL, NULL), (22694, '', '北斗村', '86bfb51d9ea34ff6826066f8e98dc7ff', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108221', 5, '北斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108221', 1, '2021-07-19 11:55:13', NULL, NULL), (22695, '', '德山村', '7f206d86b23e40c3be45fde0ae61aad1', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108222', 5, '德山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108222', 1, '2021-07-19 11:55:14', NULL, NULL), (22696, '', '墟观村', '9d97e80292d04cbfa76f6eeaf5fde909', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108224', 5, '墟观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108224', 1, '2021-07-19 11:55:14', NULL, NULL), (22697, '', '竹埝村', 'd7b5e8922ee44bc4a979e9dab054f6b7', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108225', 5, '竹埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108225', 1, '2021-07-19 11:55:14', NULL, NULL), (22698, '', '高庙村', '743c4d335f5c468294a3e8680e4e8c5c', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108228', 5, '高庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108228', 1, '2021-07-19 11:55:14', NULL, NULL), (22699, '', '白桥村', '4d430f31c36242f492de9f9d06aedb91', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108229', 5, '白桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108229', 1, '2021-07-19 11:55:14', NULL, NULL), (22700, '', '箭滩村', '247bf33a074e4c72ba6b74f7d7e6c4be', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108232', 5, '箭滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108232', 1, '2021-07-19 11:55:14', NULL, NULL), (22701, '', '青山村', '6bf2b59877e84bd5945e1305082e19ae', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108234', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108234', 1, '2021-07-19 11:55:14', NULL, NULL), (22702, '', '红旺村', '6b0bc0d14e55416c84f8a638755ba1f9', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108235', 5, '红旺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108235', 1, '2021-07-19 11:55:14', NULL, NULL), (22703, '', '富兴村', 'ef73bb8f08aa4b0fa56159b28b8ffe29', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108236', 5, '富兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108236', 1, '2021-07-19 11:55:14', NULL, NULL), (22704, '', '云龙村', '00c03b62ed5a4278b02a93023593a3ad', '0fa27e24ab5b464dad08e413855ce302', 'False', 'True', 'false', 'false', '511602108238', 5, '云龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602108238', 1, '2021-07-19 11:55:14', NULL, NULL), (22705, '', '广福街道', 'bd29176ed159463980d578371d90796b', '8d22ddf481df4619b8c02f923e58e386', 'True', 'True', 'false', 'false', '511602999000', 4, '广福街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511602999000', 1, '2021-07-19 11:55:14', NULL, NULL), (22706, '', '泰和社区', '452d049a60e34090bd5c31f56bdcc7fc', 'bd29176ed159463980d578371d90796b', 'False', 'True', 'false', 'false', '511602004001', 5, '泰和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602004001', 1, '2021-07-19 11:55:15', NULL, NULL), (22707, '', '周家巷社区', 'b9833543dee84e0fb9d4f777c1e5d35b', 'bd29176ed159463980d578371d90796b', 'False', 'True', 'false', 'false', '511602004002', 5, '周家巷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602004002', 1, '2021-07-19 11:55:15', NULL, NULL), (22708, '', '广惠社区', 'c31167f34c0d4ddc95615659d553884b', 'bd29176ed159463980d578371d90796b', 'False', 'True', 'false', 'false', '511602004003', 5, '广惠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602004003', 1, '2021-07-19 11:55:15', NULL, NULL), (22709, '', '望江社区', '15c39e65fafc4bd4a6e7a3720ab923af', 'bd29176ed159463980d578371d90796b', 'False', 'True', 'false', 'false', '511602004004', 5, '望江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602004004', 1, '2021-07-19 11:55:15', NULL, NULL), (22710, '', '西溪社区', 'e681a91c06ee40568cf757e5fdb281e1', 'bd29176ed159463980d578371d90796b', 'False', 'True', 'false', 'false', '511602004005', 5, '西溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602004005', 1, '2021-07-19 11:55:15', NULL, NULL), (22711, '', '前锋区', '9476bb6dede646e3ba3c45682b07be56', 'f1812fb4fc144c0c89f4ff952f9e6a0d', 'True', 'True', 'false', 'false', '511603000000', 3, '前锋区', 'gasqfq.sczwfw.gov.cn', 1, '2021-07-19 11:55:15', NULL, NULL), (22712, '', '大佛寺街道', '5bfeabe392814cb7a004d475e227cb66', '9476bb6dede646e3ba3c45682b07be56', 'True', 'True', 'false', 'false', '511603002000', 4, '大佛寺街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511603002000', 1, '2021-07-19 11:55:15', NULL, NULL), (22713, '', '广安市前锋区大佛寺街道得胜社区居民委员会', 'eb5c80f185364f2b8df2ebef57647737', '5bfeabe392814cb7a004d475e227cb66', 'False', 'True', 'false', 'false', '511603002234', 5, '得胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603002234', 1, '2021-07-19 11:55:15', NULL, NULL), (22714, '', '广安市前锋区大佛寺街道黄锋村村民委员会', 'f8f50227df20494bb8b548790706045a', '5bfeabe392814cb7a004d475e227cb66', 'False', 'True', 'false', 'false', '511603002742', 5, '黄锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603002742', 1, '2021-07-19 11:55:15', NULL, NULL), (22715, '', '中城社区', '066ca9d2192741e4bac491ed52a488b2', '5bfeabe392814cb7a004d475e227cb66', 'False', 'True', 'false', 'false', '511603002003', 5, '中城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603002003', 1, '2021-07-19 11:55:15', NULL, NULL), (22716, '', '幸福社区', 'e3f4b766b88c4591ba1cf012176ce9a7', '5bfeabe392814cb7a004d475e227cb66', 'False', 'True', 'false', 'false', '511603002004', 5, '幸福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603002004', 1, '2021-07-19 11:55:15', NULL, NULL), (22717, '', '龙镇社区', '200c7a8808c841a3a947d75fb0f07a06', '5bfeabe392814cb7a004d475e227cb66', 'False', 'True', 'false', 'false', '511603002008', 5, '龙镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603002008', 1, '2021-07-19 11:55:15', NULL, NULL), (22718, '', '红辉社区', '74cc28606f1e4b2486c960f318ad9aa9', '5bfeabe392814cb7a004d475e227cb66', 'False', 'True', 'false', 'false', '511603002011', 5, '红辉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603002011', 1, '2021-07-19 11:55:15', NULL, NULL), (22719, '', '曹家村', 'a314338a5c9940ef8a89eeef69953358', '5bfeabe392814cb7a004d475e227cb66', 'False', 'True', 'false', 'false', '511603004203', 5, '曹家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603004203', 1, '2021-07-19 11:55:15', NULL, NULL), (22720, '', '侯桥村', '48cb6d7e0ca646caac6f3ffb38351c5d', '5bfeabe392814cb7a004d475e227cb66', 'False', 'True', 'false', 'false', '511603004204', 5, '侯桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603004204', 1, '2021-07-19 11:55:16', NULL, NULL), (22721, '', '苏寨村', 'ab47fdc6f56147d8ac26094bf5e2906e', '5bfeabe392814cb7a004d475e227cb66', 'False', 'True', 'false', 'false', '511603004206', 5, '苏寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603004206', 1, '2021-07-19 11:55:16', NULL, NULL), (22722, '', '高峰村', 'b3658a8fefaa4ca687b8a8966aa07954', '5bfeabe392814cb7a004d475e227cb66', 'False', 'True', 'false', 'false', '511603004208', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603004208', 1, '2021-07-19 11:55:16', NULL, NULL), (22723, '', '桂兴镇', '992623fcab934c4cbad79613f0dc5b25', '9476bb6dede646e3ba3c45682b07be56', 'True', 'True', 'false', 'false', '511603101000', 4, '桂兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511603101000', 1, '2021-07-19 11:55:16', NULL, NULL), (22724, '', '广安市前锋区桂兴镇四方山村村民委员会', 'da20e9cabc234f998417ec3171ecd3e4', '992623fcab934c4cbad79613f0dc5b25', 'False', 'True', 'false', 'false', '511603106114', 5, '四方山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603106114', 1, '2021-07-19 11:55:16', NULL, NULL), (22725, '', '广安市前锋区桂兴镇人和村村民委员会', 'b93829aacdbc450d9579d838941d556b', '992623fcab934c4cbad79613f0dc5b25', 'False', 'True', 'false', 'false', '511603106477', 5, '人和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603106477', 1, '2021-07-19 11:55:16', NULL, NULL), (22726, '', '广安市前锋区桂兴镇天星村村民委员会', 'abda6e63360d42c8a7daf6653e089efa', '992623fcab934c4cbad79613f0dc5b25', 'False', 'True', 'false', 'false', '511603106598', 5, '天星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603106598', 1, '2021-07-19 11:55:16', NULL, NULL), (22727, '', '金桂社区', '8fc8f81a6ab144238747abf28c58fb8f', '992623fcab934c4cbad79613f0dc5b25', 'False', 'True', 'false', 'false', '511603101001', 5, '金桂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603101001', 1, '2021-07-19 11:55:16', NULL, NULL), (22728, '', '天才村', '0fbb43b2c2204232b7cdb7e416efb198', '992623fcab934c4cbad79613f0dc5b25', 'False', 'True', 'false', 'false', '511603101201', 5, '天才村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603101201', 1, '2021-07-19 11:55:16', NULL, NULL), (22729, '', '界牌村', '06a1a448048348e3b8284903f9d568ca', '992623fcab934c4cbad79613f0dc5b25', 'False', 'True', 'false', 'false', '511603101209', 5, '界牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603101209', 1, '2021-07-19 11:55:16', NULL, NULL), (22730, '', '水洞村', 'ee010199ef4347fa9547fc2008d7c417', '992623fcab934c4cbad79613f0dc5b25', 'False', 'True', 'false', 'false', '511603101211', 5, '水洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603101211', 1, '2021-07-19 11:55:16', NULL, NULL), (22731, '', '五里村', '14ac42ae747d4f439dfc8c1b40bb4efd', '992623fcab934c4cbad79613f0dc5b25', 'False', 'True', 'false', 'false', '511603101212', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603101212', 1, '2021-07-19 11:55:16', NULL, NULL), (22732, '', '桂花村', 'ca8cc9acb0a94884a6ad4b749edb0710', '992623fcab934c4cbad79613f0dc5b25', 'False', 'True', 'false', 'false', '511603101214', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603101214', 1, '2021-07-19 11:55:16', NULL, NULL), (22733, '', '春木村', 'ebb86d5f199e4086b583d62d6408e10e', '992623fcab934c4cbad79613f0dc5b25', 'False', 'True', 'false', 'false', '511603101217', 5, '春木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603101217', 1, '2021-07-19 11:55:16', NULL, NULL), (22734, '', '渔桥村', '6cddf84b415c42368719adf83be09b00', '992623fcab934c4cbad79613f0dc5b25', 'False', 'True', 'false', 'false', '511603101218', 5, '渔桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603101218', 1, '2021-07-19 11:55:16', NULL, NULL), (22735, '', '新建村', '94105c3cda524da387cc0e7928b9e3dc', '992623fcab934c4cbad79613f0dc5b25', 'False', 'True', 'false', 'false', '511603101220', 5, '新建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603101220', 1, '2021-07-19 11:55:16', NULL, NULL), (22736, '', '大店村', '6846c08aa0dc46f29032a34c5f0a1af2', '992623fcab934c4cbad79613f0dc5b25', 'False', 'True', 'false', 'false', '511603101687', 5, '大店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603101687', 1, '2021-07-19 11:55:17', NULL, NULL), (22737, '', '观阁镇', '70e0c621e103438ca18d25d4afb44af6', '9476bb6dede646e3ba3c45682b07be56', 'True', 'True', 'false', 'false', '511603102000', 4, '观阁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511603102000', 1, '2021-07-19 11:55:17', NULL, NULL), (22738, '', '珠石村', '793536dff24b46748c5cd2b2b8b102c8', '70e0c621e103438ca18d25d4afb44af6', 'False', 'True', 'false', 'false', '511603102276', 5, '珠石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603102276', 1, '2021-07-19 11:55:17', NULL, NULL), (22739, '', '小良村', '80996588accb4f62b952e83876b41fc4', '70e0c621e103438ca18d25d4afb44af6', 'False', 'True', 'false', 'false', '511603102588', 5, '小良村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603102588', 1, '2021-07-19 11:55:17', NULL, NULL), (22740, '', '观音阁社区', '0ad2cd55ef714fd59975ae78e671d116', '70e0c621e103438ca18d25d4afb44af6', 'False', 'True', 'false', 'false', '511603102001', 5, '观音阁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603102001', 1, '2021-07-19 11:55:17', NULL, NULL), (22741, '', '六方碑社区', '849af93913cc4318b2ac2c7ff35dda00', '70e0c621e103438ca18d25d4afb44af6', 'False', 'True', 'false', 'false', '511603102002', 5, '六方碑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603102002', 1, '2021-07-19 11:55:17', NULL, NULL), (22742, '', '高河村', '9e9a36b8b3bb4cccae3cd1610a244e11', '70e0c621e103438ca18d25d4afb44af6', 'False', 'True', 'false', 'false', '511603102201', 5, '高河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603102201', 1, '2021-07-19 11:55:17', NULL, NULL), (22743, '', '兴利村', '18cbb52131924934a632a252422125d0', '70e0c621e103438ca18d25d4afb44af6', 'False', 'True', 'false', 'false', '511603102203', 5, '兴利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603102203', 1, '2021-07-19 11:55:17', NULL, NULL), (22744, '', '砂石村', 'b17a649604774d998efa0b9277bdb81c', '70e0c621e103438ca18d25d4afb44af6', 'False', 'True', 'false', 'false', '511603102206', 5, '砂石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603102206', 1, '2021-07-19 11:55:17', NULL, NULL), (22745, '', '观南村', '1cdfc4c020c24a80b1e362e36433ac5e', '70e0c621e103438ca18d25d4afb44af6', 'False', 'True', 'false', 'false', '511603102207', 5, '观南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603102207', 1, '2021-07-19 11:55:17', NULL, NULL), (22746, '', '银顶村', '4734fb0c41f44f039349316cd1444269', '70e0c621e103438ca18d25d4afb44af6', 'False', 'True', 'false', 'false', '511603102208', 5, '银顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603102208', 1, '2021-07-19 11:55:17', NULL, NULL), (22747, '', '七谷村', 'e26f6aa942434116a9b36743b2e5ab1a', '70e0c621e103438ca18d25d4afb44af6', 'False', 'True', 'false', 'false', '511603102210', 5, '七谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603102210', 1, '2021-07-19 11:55:17', NULL, NULL), (22748, '', '关律村', 'a8b9bfc54a40417da3ce28a152f01eee', '70e0c621e103438ca18d25d4afb44af6', 'False', 'True', 'false', 'false', '511603102212', 5, '关律村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603102212', 1, '2021-07-19 11:55:17', NULL, NULL), (22749, '', '青莲村', '8c1e51750de44f7ab4fd2eff2ecbd9a0', '70e0c621e103438ca18d25d4afb44af6', 'False', 'True', 'false', 'false', '511603102213', 5, '青莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603102213', 1, '2021-07-19 11:55:17', NULL, NULL), (22750, '', '石船村', '6fe41ddbbc50458bbb861a1b29851fa9', '70e0c621e103438ca18d25d4afb44af6', 'False', 'True', 'false', 'false', '511603102216', 5, '石船村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603102216', 1, '2021-07-19 11:55:17', NULL, NULL), (22751, '', '埝口村', 'f4ffcfbb2433406bbe9654f4ad3f7903', '70e0c621e103438ca18d25d4afb44af6', 'False', 'True', 'false', 'false', '511603102220', 5, '埝口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603102220', 1, '2021-07-19 11:55:18', NULL, NULL), (22752, '', '大良村', '9d7f35258e604f9db35adcdaa7c34e97', '70e0c621e103438ca18d25d4afb44af6', 'False', 'True', 'false', 'false', '511603102314', 5, '大良村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603102314', 1, '2021-07-19 11:55:18', NULL, NULL), (22753, '', '代市镇', '996a50912a0045ac8a6acc0424931a20', '9476bb6dede646e3ba3c45682b07be56', 'True', 'True', 'false', 'false', '511603104000', 4, '代市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511603104000', 1, '2021-07-19 11:55:18', NULL, NULL), (22754, '', '艺文社区', '92d160e47f174b219cf3b8585c38365f', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104001', 5, '艺文社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104001', 1, '2021-07-19 11:55:18', NULL, NULL), (22755, '', '钟街社区', '45492ce54e7e423fb6f6374dbbd8b02d', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104002', 5, '钟街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104002', 1, '2021-07-19 11:55:18', NULL, NULL), (22756, '', '东街社区', '89b8c8d705764a6a810ec321a3e57511', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104003', 5, '东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104003', 1, '2021-07-19 11:55:18', NULL, NULL), (22757, '', '光明社区', '0815d187dbfc43dd98bad750f06eedad', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104004', 5, '光明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104004', 1, '2021-07-19 11:55:18', NULL, NULL), (22758, '', '龙泉社区', 'd67bc106661a4f6cbb72188030c979b8', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104005', 5, '龙泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104005', 1, '2021-07-19 11:55:18', NULL, NULL), (22759, '', '围坪村', 'd7ea2e63861a4992a5300260dd4f3106', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104200', 5, '围坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104200', 1, '2021-07-19 11:55:18', NULL, NULL), (22760, '', '翠屏村', 'fd5e04d1a40f4826ac1c97ff393cec5c', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104204', 5, '翠屏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104204', 1, '2021-07-19 11:55:18', NULL, NULL), (22761, '', '茧庄村', '89f35071fd404f558c9901994e91d406', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104205', 5, '茧庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104205', 1, '2021-07-19 11:55:18', NULL, NULL), (22762, '', '龙山村', 'c0844e76dd9e4051b2202341e8a95923', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104206', 5, '龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104206', 1, '2021-07-19 11:55:18', NULL, NULL), (22763, '', '金堂村', 'b7d74f4d833d48f4a9d3183bb98d60c0', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104208', 5, '金堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104208', 1, '2021-07-19 11:55:18', NULL, NULL), (22764, '', '六桥村', '52771999144246ec990a05764086766b', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104209', 5, '六桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104209', 1, '2021-07-19 11:55:18', NULL, NULL), (22765, '', '长五村', '6deba8985fc04fbdb019e0484afbd7c1', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104213', 5, '长五村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104213', 1, '2021-07-19 11:55:18', NULL, NULL), (22766, '', '帽合村', '6cea2fedc041426d8d936d47a386a342', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104219', 5, '帽合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104219', 1, '2021-07-19 11:55:19', NULL, NULL), (22767, '', '大田村', 'bdd20c383d734448ba2d68e46dc04fec', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104222', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104222', 1, '2021-07-19 11:55:19', NULL, NULL), (22768, '', '会龙村', '751264a04fff48bb8198184ee5b22c0f', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104223', 5, '会龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104223', 1, '2021-07-19 11:55:19', NULL, NULL), (22769, '', '龙王村', '67a22efe117745f19b9c2c9f3febf161', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104225', 5, '龙王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104225', 1, '2021-07-19 11:55:19', NULL, NULL), (22770, '', '岳庙村', 'b39b940c8b6e47fcb9728a937178142f', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104226', 5, '岳庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104226', 1, '2021-07-19 11:55:19', NULL, NULL), (22771, '', '旭阳村', '2c724234558f4b35acd125d68819eb02', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104227', 5, '旭阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104227', 1, '2021-07-19 11:55:19', NULL, NULL), (22772, '', '流杯村', '09f4dad4d8b24a6ea24881735b127c18', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104229', 5, '流杯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104229', 1, '2021-07-19 11:55:19', NULL, NULL), (22773, '', '唐桥村', '1d3e7268bee54c94b4b038478ad508dc', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104231', 5, '唐桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104231', 1, '2021-07-19 11:55:19', NULL, NULL), (22774, '', '黄岩村', 'f139734cd82a4483973769efa5797508', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104233', 5, '黄岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104233', 1, '2021-07-19 11:55:19', NULL, NULL), (22775, '', '东方村', 'a9ddf5ab4a05465186001b0df3e95d76', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104236', 5, '东方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104236', 1, '2021-07-19 11:55:19', NULL, NULL), (22776, '', '双荣村', 'a66aba7f6a37461686c0e6f793bef7a6', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104239', 5, '双荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104239', 1, '2021-07-19 11:55:19', NULL, NULL), (22777, '', '新安村', 'e010ceb690eb42c1a3f9c9003ba5d4d0', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104244', 5, '新安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104244', 1, '2021-07-19 11:55:19', NULL, NULL), (22778, '', '大泥村', '834d18665ffb45aca244c384c6e6fcd5', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104245', 5, '大泥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104245', 1, '2021-07-19 11:55:19', NULL, NULL), (22779, '', '大石村', '17e32795b12346ae8b53ec2127e5d1e5', '996a50912a0045ac8a6acc0424931a20', 'False', 'True', 'false', 'false', '511603104246', 5, '大石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104246', 1, '2021-07-19 11:55:20', NULL, NULL), (22780, '', '龙滩镇', '2a3042bfa0e847a08650cb9b0c7dac56', '9476bb6dede646e3ba3c45682b07be56', 'True', 'True', 'false', 'false', '511603218000', 4, '龙滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511603218000', 1, '2021-07-19 11:55:20', NULL, NULL), (22781, '', '广安市前锋区龙滩镇水源村村民委员会', '0fd7c9e1e5f74bca878349489f4b1bfe', '2a3042bfa0e847a08650cb9b0c7dac56', 'False', 'True', 'false', 'false', '511603108365', 5, '水源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603108365', 1, '2021-07-19 11:55:20', NULL, NULL), (22782, '', '广安市前锋区龙滩镇高岭村村民委员会', 'ad803941c93f462aac796ff00ede178a', '2a3042bfa0e847a08650cb9b0c7dac56', 'False', 'True', 'false', 'false', '511603108592', 5, '高岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603108592', 1, '2021-07-19 11:55:20', NULL, NULL), (22783, '', '广安市前锋区龙滩镇龙珠村村民委员会', '644102f5297e4881b218c3015214c017', '2a3042bfa0e847a08650cb9b0c7dac56', 'False', 'True', 'false', 'false', '511603108676', 5, '龙珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603108676', 1, '2021-07-19 11:55:20', NULL, NULL), (22784, '', '广安市前锋区龙滩镇欢喜坪村村民委员会', 'e48843222b02425a92294457fbb3c3ec', '2a3042bfa0e847a08650cb9b0c7dac56', 'False', 'True', 'false', 'false', '511603108911', 5, '欢喜坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603108911', 1, '2021-07-19 11:55:20', NULL, NULL), (22785, '', '广安市前锋区龙滩镇土寨村村民委员会', '6ec3608b653344ac9f0302ca2eb3b8a5', '2a3042bfa0e847a08650cb9b0c7dac56', 'False', 'True', 'false', 'false', '511603218001', 5, '土寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603218001', 1, '2021-07-19 11:55:20', NULL, NULL), (22786, '', '广安市前锋区龙滩镇埝坝村村民委员会', '852340e0045a4e2e8ec030ff084cfdaa', '2a3042bfa0e847a08650cb9b0c7dac56', 'False', 'True', 'false', 'false', '511603218002', 5, '埝坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603218002', 1, '2021-07-19 11:55:20', NULL, NULL), (22787, '', '广安市前锋区龙滩镇伍山村村民委员会', '972dde5edc394ca59f82ec8dbef005da', '2a3042bfa0e847a08650cb9b0c7dac56', 'False', 'True', 'false', 'false', '511603218003', 5, '伍山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603218003', 1, '2021-07-19 11:55:20', NULL, NULL), (22788, '', '广安市前锋区龙滩镇许家村村民委员会', '9529e8241a984e2abb6209a37b1fe49f', '2a3042bfa0e847a08650cb9b0c7dac56', 'False', 'True', 'false', 'false', '511603218005', 5, '许家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603218005', 1, '2021-07-19 11:55:20', NULL, NULL), (22789, '', '观塘镇', 'bde20f14fa7c45c7a89ba783d68cb8e8', '9476bb6dede646e3ba3c45682b07be56', 'True', 'True', 'false', 'false', '511603399000', 4, '观塘镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511603399000', 1, '2021-07-19 11:55:20', NULL, NULL), (22790, '', '观新路社区', 'a6796aeb831d401a91d99403a3340b9a', 'bde20f14fa7c45c7a89ba783d68cb8e8', 'False', 'True', 'false', 'false', '511603105001', 5, '观新路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603105001', 1, '2021-07-19 11:55:20', NULL, NULL), (22791, '', '朝阳社区', '62f5a973ed5a46879343867da3988517', 'bde20f14fa7c45c7a89ba783d68cb8e8', 'False', 'True', 'false', 'false', '511603105002', 5, '朝阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603105002', 1, '2021-07-19 11:55:20', NULL, NULL), (22792, '', '莲花村', 'c7e7a2ab613c4a229b800a78df1dce1e', 'bde20f14fa7c45c7a89ba783d68cb8e8', 'False', 'True', 'false', 'false', '511603105031', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603105031', 1, '2021-07-19 11:55:20', NULL, NULL), (22793, '', '八里村', '07452ab4da6f4529bf5e4e3c32184ca4', 'bde20f14fa7c45c7a89ba783d68cb8e8', 'False', 'True', 'false', 'false', '511603105201', 5, '八里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603105201', 1, '2021-07-19 11:55:20', NULL, NULL), (22794, '', '白鹤村', '7846610a9c244aedbe1a26e7591ec0ce', 'bde20f14fa7c45c7a89ba783d68cb8e8', 'False', 'True', 'false', 'false', '511603105203', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603105203', 1, '2021-07-19 11:55:20', NULL, NULL), (22795, '', '碧峰村', '7c6d335db76740b79ad09a9d54e1e32b', 'bde20f14fa7c45c7a89ba783d68cb8e8', 'False', 'True', 'false', 'false', '511603105207', 5, '碧峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603105207', 1, '2021-07-19 11:55:21', NULL, NULL), (22796, '', '九桥村', '79faffb426d5438e84847ae6f8852063', 'bde20f14fa7c45c7a89ba783d68cb8e8', 'False', 'True', 'false', 'false', '511603105209', 5, '九桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603105209', 1, '2021-07-19 11:55:21', NULL, NULL), (22797, '', '新立村', '22872ed305ad494987b7e504a61e1d4a', 'bde20f14fa7c45c7a89ba783d68cb8e8', 'False', 'True', 'false', 'false', '511603105210', 5, '新立村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603105210', 1, '2021-07-19 11:55:21', NULL, NULL), (22798, '', '继光村', '0aa033f457464dce8d0a574da76ce960', 'bde20f14fa7c45c7a89ba783d68cb8e8', 'False', 'True', 'false', 'false', '511603105212', 5, '继光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603105212', 1, '2021-07-19 11:55:21', NULL, NULL), (22799, '', '望坝村', '94add7113e2048ceb766f1c9895499fa', 'bde20f14fa7c45c7a89ba783d68cb8e8', 'False', 'True', 'false', 'false', '511603105215', 5, '望坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603105215', 1, '2021-07-19 11:55:21', NULL, NULL), (22800, '', '白云村', '10655cc5b474406baad4475b4660ff43', 'bde20f14fa7c45c7a89ba783d68cb8e8', 'False', 'True', 'false', 'false', '511603105216', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603105216', 1, '2021-07-19 11:55:21', NULL, NULL), (22801, '', '京东村', 'e43d0fb913de47cb9f2cb1704a2f510c', 'bde20f14fa7c45c7a89ba783d68cb8e8', 'False', 'True', 'false', 'false', '511603105220', 5, '京东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603105220', 1, '2021-07-19 11:55:21', NULL, NULL), (22802, '', '三台村', 'd1b49462eea24fc59673713e17969bb5', 'bde20f14fa7c45c7a89ba783d68cb8e8', 'False', 'True', 'false', 'false', '511603105222', 5, '三台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603105222', 1, '2021-07-19 11:55:21', NULL, NULL), (22803, '', '仁和村', '9b8db10f78c54eb8b4a1ffda2f0de9d4', 'bde20f14fa7c45c7a89ba783d68cb8e8', 'False', 'True', 'false', 'false', '511603105223', 5, '仁和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603105223', 1, '2021-07-19 11:55:21', NULL, NULL), (22804, '', '伍通村', '7af2c8e3412d481fb230b9b48ec2d317', 'bde20f14fa7c45c7a89ba783d68cb8e8', 'False', 'True', 'false', 'false', '511603105226', 5, '伍通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603105226', 1, '2021-07-19 11:55:21', NULL, NULL), (22805, '', '虎城镇', '67f9b2c8e8c64ce1a9af6a35f8dc673b', '9476bb6dede646e3ba3c45682b07be56', 'True', 'True', 'false', 'false', '511603741000', 4, '虎城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511603741000', 1, '2021-07-19 11:55:21', NULL, NULL), (22806, '', '百佛社区', '4909489c14244c1dadb2eee71e4fef56', '67f9b2c8e8c64ce1a9af6a35f8dc673b', 'False', 'True', 'false', 'false', '511603107343', 5, '百佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603107343', 1, '2021-07-19 11:55:21', NULL, NULL), (22807, '', '书台村', 'f74c46cd22574fb4b12b1ce88fd631a7', '67f9b2c8e8c64ce1a9af6a35f8dc673b', 'False', 'True', 'false', 'false', '511603107568', 5, '书台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603107568', 1, '2021-07-19 11:55:21', NULL, NULL), (22808, '', '三溪村', '6792307ba9ef4d33943ea82aba694e94', '67f9b2c8e8c64ce1a9af6a35f8dc673b', 'False', 'True', 'false', 'false', '511603107755', 5, '三溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603107755', 1, '2021-07-19 11:55:21', NULL, NULL), (22809, '', '水口村', '89b3368ea5894e4e83e8a0f0dfa2a552', '67f9b2c8e8c64ce1a9af6a35f8dc673b', 'False', 'True', 'false', 'false', '511603108002', 5, '水口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603108002', 1, '2021-07-19 11:55:21', NULL, NULL), (22810, '', '紫龙村', '96a2895d84c94a9a93f9a918428a2efe', '67f9b2c8e8c64ce1a9af6a35f8dc673b', 'False', 'True', 'false', 'false', '511603108003', 5, '紫龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603108003', 1, '2021-07-19 11:55:21', NULL, NULL), (22811, '', '新风村', 'bb8141e25103464c9c3848595692fe2f', '67f9b2c8e8c64ce1a9af6a35f8dc673b', 'False', 'True', 'false', 'false', '511603108004', 5, '新风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603108004', 1, '2021-07-19 11:55:22', NULL, NULL), (22812, '', '茶花村', '8015b69294404472995401a3cd3ddf09', '67f9b2c8e8c64ce1a9af6a35f8dc673b', 'False', 'True', 'false', 'false', '511603108010', 5, '茶花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603108010', 1, '2021-07-19 11:55:22', NULL, NULL), (22813, '', '双河村', 'cda79b4a774340cf959aa3231dccce62', '67f9b2c8e8c64ce1a9af6a35f8dc673b', 'False', 'True', 'false', 'false', '511603108013', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603108013', 1, '2021-07-19 11:55:22', NULL, NULL), (22814, '', '洪远村', '53cc794c0935467780f0b76028cb96ea', '67f9b2c8e8c64ce1a9af6a35f8dc673b', 'False', 'True', 'false', 'false', '511603108016', 5, '洪远村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603108016', 1, '2021-07-19 11:55:22', NULL, NULL), (22815, '', '胜果村', '05dd69025db64e7eb15108c714f0ed2a', '67f9b2c8e8c64ce1a9af6a35f8dc673b', 'False', 'True', 'false', 'false', '511603108018', 5, '胜果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603108018', 1, '2021-07-19 11:55:22', NULL, NULL), (22816, '', '关寨村', 'c132e6d3bbbf4d09b1ffd1f88a7409b8', '67f9b2c8e8c64ce1a9af6a35f8dc673b', 'False', 'True', 'false', 'false', '511603108019', 5, '关寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603108019', 1, '2021-07-19 11:55:22', NULL, NULL), (22817, '', '广兴镇', 'cf25a50d54c3408c9fd2b121cf11c760', '9476bb6dede646e3ba3c45682b07be56', 'True', 'True', 'false', 'false', '511603749000', 4, '广兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511603749000', 1, '2021-07-19 11:55:22', NULL, NULL), (22818, '', '广安市前锋区广兴镇来龙村村民委员会', '5d583af28eb644f4bc8ae57049141261', 'cf25a50d54c3408c9fd2b121cf11c760', 'False', 'True', 'false', 'false', '511603104022', 5, '来龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104022', 1, '2021-07-19 11:55:22', NULL, NULL), (22819, '', '广安市前锋区广兴镇光辉村村民委员会', '1f5a0f596cb44965aba9be9a87de2d6d', 'cf25a50d54c3408c9fd2b121cf11c760', 'False', 'True', 'false', 'false', '511603104127', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104127', 1, '2021-07-19 11:55:22', NULL, NULL), (22820, '', '广安市前锋区广兴镇梭石村村民委员会', '3f802beaa1314ee8a74c5e011b2fbfc7', 'cf25a50d54c3408c9fd2b121cf11c760', 'False', 'True', 'false', 'false', '511603104417', 5, '梭石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104417', 1, '2021-07-19 11:55:22', NULL, NULL), (22821, '', '广安市前锋区广兴镇柏林村村民委员会', 'f90cccde71144231a4c5352ac4b7fd60', 'cf25a50d54c3408c9fd2b121cf11c760', 'False', 'True', 'false', 'false', '511603104600', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603104600', 1, '2021-07-19 11:55:22', NULL, NULL), (22822, '', '广龙社区', '428063bb77b94de997d208510cdcc8d0', 'cf25a50d54c3408c9fd2b121cf11c760', 'False', 'True', 'false', 'false', '511603103001', 5, '广龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603103001', 1, '2021-07-19 11:55:22', NULL, NULL), (22823, '', '桥角村', '20db33f3ac614ecf954b7703e2437fe7', 'cf25a50d54c3408c9fd2b121cf11c760', 'False', 'True', 'false', 'false', '511603103200', 5, '桥角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603103200', 1, '2021-07-19 11:55:22', NULL, NULL), (22824, '', '六堡村', '4d63bb14fb5a41c0ad0afc32e5030864', 'cf25a50d54c3408c9fd2b121cf11c760', 'False', 'True', 'false', 'false', '511603103202', 5, '六堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603103202', 1, '2021-07-19 11:55:22', NULL, NULL), (22825, '', '永胜村', '88cc6724093946089fe95369737e1f3e', 'cf25a50d54c3408c9fd2b121cf11c760', 'False', 'True', 'false', 'false', '511603103203', 5, '永胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603103203', 1, '2021-07-19 11:55:22', NULL, NULL), (22826, '', '寨坪村', 'cccc063f12864ed6a1a88d43b7b3d6d3', 'cf25a50d54c3408c9fd2b121cf11c760', 'False', 'True', 'false', 'false', '511603103205', 5, '寨坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603103205', 1, '2021-07-19 11:55:22', NULL, NULL), (22827, '', '龙塘街道', '97d33ec94b074d5ca5bcd09c67d34c52', '9476bb6dede646e3ba3c45682b07be56', 'True', 'True', 'false', 'false', '511603791000', 4, '龙塘街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511603791000', 1, '2021-07-19 11:55:22', NULL, NULL), (22828, '', '广安市前锋区龙塘街道金寺村村民委员会', 'b6dacd72ab4a47bd838e84c3513529f1', '97d33ec94b074d5ca5bcd09c67d34c52', 'False', 'True', 'false', 'false', '511603003032', 5, '金寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603003032', 1, '2021-07-19 11:55:23', NULL, NULL), (22829, '', '小井村', 'd7de419fb9454b9285bd5b115ebcac24', '97d33ec94b074d5ca5bcd09c67d34c52', 'False', 'True', 'false', 'false', '511603003040', 5, '小井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603003040', 1, '2021-07-19 11:55:23', NULL, NULL), (22830, '', '广安市前锋区龙塘街道长红村村民委员会', '6da83550d65b4e8ebc274f6600d14370', '97d33ec94b074d5ca5bcd09c67d34c52', 'False', 'True', 'false', 'false', '511603003082', 5, '长红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603003082', 1, '2021-07-19 11:55:23', NULL, NULL), (22831, '', '广安市前锋区龙塘街道玉龙村村民委员会', 'ba03f8851a4d4532a8919d2f89ebbe8e', '97d33ec94b074d5ca5bcd09c67d34c52', 'False', 'True', 'false', 'false', '511603003372', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603003372', 1, '2021-07-19 11:55:23', NULL, NULL), (22832, '', '广安市前锋区龙塘街道红桥村村民委员会', '667c5af0e4804e8c804f73fcb77848f1', '97d33ec94b074d5ca5bcd09c67d34c52', 'False', 'True', 'false', 'false', '511603003480', 5, '红桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603003480', 1, '2021-07-19 11:55:23', NULL, NULL), (22833, '', '广安市前锋区龙塘街道优良村村民委员会', '8dce6381ec77494dae416f5a474a924a', '97d33ec94b074d5ca5bcd09c67d34c52', 'False', 'True', 'false', 'false', '511603003661', 5, '优良村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603003661', 1, '2021-07-19 11:55:23', NULL, NULL), (22834, '', '广安市前锋区龙塘街道花盆村村民委员会', '5cf2c3dffaf24749b32107a4719a67a6', '97d33ec94b074d5ca5bcd09c67d34c52', 'False', 'True', 'false', 'false', '511603003886', 5, '花盆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603003886', 1, '2021-07-19 11:55:23', NULL, NULL), (22835, '', '广安市前锋区龙塘街道长胜村村民委员会', '213ee159fefb4e619ca8524ec12048f5', '97d33ec94b074d5ca5bcd09c67d34c52', 'False', 'True', 'false', 'false', '511603003950', 5, '长胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603003950', 1, '2021-07-19 11:55:23', NULL, NULL), (22836, '', '玉堂社区', '6f3bbea1a7e944c781a596b42924f292', '97d33ec94b074d5ca5bcd09c67d34c52', 'False', 'True', 'false', 'false', '511603791215', 5, '玉堂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603791215', 1, '2021-07-19 11:55:23', NULL, NULL), (22837, '', '立石村', '32918f342f2a4e1385dc29e596e18b6b', '97d33ec94b074d5ca5bcd09c67d34c52', 'False', 'True', 'false', 'false', '511603791403', 5, '立石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603791403', 1, '2021-07-19 11:55:23', NULL, NULL), (22838, '', '大桥社区', 'f95a6d7d9f1340dc99338cad6faa78ff', '97d33ec94b074d5ca5bcd09c67d34c52', 'False', 'True', 'false', 'false', '511603791488', 5, '大桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603791488', 1, '2021-07-19 11:55:23', NULL, NULL), (22839, '', '油库路社区', '3622b8d1aac64e2982046655777acf6f', '97d33ec94b074d5ca5bcd09c67d34c52', 'False', 'True', 'false', 'false', '511603791923', 5, '油库路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603791923', 1, '2021-07-19 11:55:23', NULL, NULL), (22840, '', '双寨村', '144386b6a7344a308019db8e5384af68', '97d33ec94b074d5ca5bcd09c67d34c52', 'False', 'True', 'false', 'false', '511603791971', 5, '双寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603791971', 1, '2021-07-19 11:55:23', NULL, NULL), (22841, '', '平桥社区', '5479130d058a4633afd07ce81b1fa864', '97d33ec94b074d5ca5bcd09c67d34c52', 'False', 'True', 'false', 'false', '511603791975', 5, '平桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511603791975', 1, '2021-07-19 11:55:23', NULL, NULL), (22842, '', '华蓥市', '139bfc9bb3e74202a39113adbd6f536e', 'f1812fb4fc144c0c89f4ff952f9e6a0d', 'True', 'True', 'false', 'false', '511681000000', 3, '华蓥市', 'gashys.sczwfw.gov.cn', 1, '2021-07-19 11:55:23', NULL, NULL), (22843, '', '古桥街道', '5b3213af14a242f29617867245bf46b5', '139bfc9bb3e74202a39113adbd6f536e', 'True', 'True', 'false', 'false', '511681394000', 4, '古桥街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511681394000', 1, '2021-07-19 11:55:23', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (22844, '', '古桥社区', '1e32b2ff47534dbe815863c3da0d442f', '5b3213af14a242f29617867245bf46b5', 'False', 'True', 'false', 'false', '511681002001', 5, '古桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681002001', 1, '2021-07-19 11:55:23', NULL, NULL), (22845, '', '新民村', '56f87b86394d4900ac54df857d99d1ea', '5b3213af14a242f29617867245bf46b5', 'False', 'True', 'false', 'false', '511681002200', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681002200', 1, '2021-07-19 11:55:23', NULL, NULL), (22846, '', '合力村', '4fbfc36e43e24c95a52cdf3d99673734', '5b3213af14a242f29617867245bf46b5', 'False', 'True', 'false', 'false', '511681002202', 5, '合力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681002202', 1, '2021-07-19 11:55:24', NULL, NULL), (22847, '', '兴隆村', '832b81951cce4fe7818a5a1ed39ab56c', '5b3213af14a242f29617867245bf46b5', 'False', 'True', 'false', 'false', '511681002204', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681002204', 1, '2021-07-19 11:55:24', NULL, NULL), (22848, '', '回龙村', 'bc13ac41c58e4839937e245c04d3fe87', '5b3213af14a242f29617867245bf46b5', 'False', 'True', 'false', 'false', '511681002205', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681002205', 1, '2021-07-19 11:55:24', NULL, NULL), (22849, '', '双河街道', '3a0ba5a9dcae460d851f1efbc088a77b', '139bfc9bb3e74202a39113adbd6f536e', 'True', 'True', 'false', 'false', '511681001000', 4, '双河街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511681001000', 1, '2021-07-19 11:55:24', NULL, NULL), (22850, '', '明光路社区', 'ac56107c70e946de82e5b75e2dac970f', '3a0ba5a9dcae460d851f1efbc088a77b', 'False', 'True', 'false', 'false', '511681001001', 5, '明光路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681001001', 1, '2021-07-19 11:55:24', NULL, NULL), (22851, '', '红星路社区', '7dd9fa5f967e4931b0fadec9c0089c55', '3a0ba5a9dcae460d851f1efbc088a77b', 'False', 'True', 'false', 'false', '511681001002', 5, '红星路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681001002', 1, '2021-07-19 11:55:24', NULL, NULL), (22852, '', '东风路社区', '05198658e56f4f0c8d8e25925d7b3bdf', '3a0ba5a9dcae460d851f1efbc088a77b', 'False', 'True', 'false', 'false', '511681001005', 5, '东风路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681001005', 1, '2021-07-19 11:55:24', NULL, NULL), (22853, '', '蓥光路社区', '8b161bc344fe47968c75410a1e081781', '3a0ba5a9dcae460d851f1efbc088a77b', 'False', 'True', 'false', 'false', '511681001006', 5, '蓥光路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681001006', 1, '2021-07-19 11:55:24', NULL, NULL), (22854, '', '清溪路社区', '8cd949b821f140718033072f178215c8', '3a0ba5a9dcae460d851f1efbc088a77b', 'False', 'True', 'false', 'false', '511681001007', 5, '清溪路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681001007', 1, '2021-07-19 11:55:24', NULL, NULL), (22855, '', '西街社区', 'df14753233714b18b3e5be38bac1f2a7', '3a0ba5a9dcae460d851f1efbc088a77b', 'False', 'True', 'false', 'false', '511681001008', 5, '西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681001008', 1, '2021-07-19 11:55:24', NULL, NULL), (22856, '', '迎宾路社区', 'cf240c36a02845b68426e2daf55b7c8c', '3a0ba5a9dcae460d851f1efbc088a77b', 'False', 'True', 'false', 'false', '511681001009', 5, '迎宾路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681001009', 1, '2021-07-19 11:55:24', NULL, NULL), (22857, '', '石岭岗路社区', '0adaf28dc7824b0f86b92b44d4d763ce', '3a0ba5a9dcae460d851f1efbc088a77b', 'False', 'True', 'false', 'false', '511681001010', 5, '石岭岗路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681001010', 1, '2021-07-19 11:55:24', NULL, NULL), (22858, '', '广华大道社区', '8746c250ad764648a6b491524f852d17', '3a0ba5a9dcae460d851f1efbc088a77b', 'False', 'True', 'false', 'false', '511681001011', 5, '广华大道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681001011', 1, '2021-07-19 11:55:24', NULL, NULL), (22859, '', '杜家坪社区', 'f6d998c9c041417284147a1e20bb2918', '3a0ba5a9dcae460d851f1efbc088a77b', 'False', 'True', 'false', 'false', '511681001013', 5, '杜家坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681001013', 1, '2021-07-19 11:55:24', NULL, NULL), (22860, '', '文化路社区', '8378713c1bfc467f85fb00cff0ab15ac', '3a0ba5a9dcae460d851f1efbc088a77b', 'False', 'True', 'false', 'false', '511681001014', 5, '文化路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681001014', 1, '2021-07-19 11:55:24', NULL, NULL), (22861, '', '栋梁社区', '319171cf03d043ee84d709038e975d1f', '3a0ba5a9dcae460d851f1efbc088a77b', 'False', 'True', 'false', 'false', '511681001015', 5, '栋梁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681001015', 1, '2021-07-19 11:55:25', NULL, NULL), (22862, '', '果子社区', 'f1342843e2d8443fb6db6bf30a1555e2', '3a0ba5a9dcae460d851f1efbc088a77b', 'False', 'True', 'false', 'false', '511681001016', 5, '果子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681001016', 1, '2021-07-19 11:55:25', NULL, NULL), (22863, '', '双桥村', 'd1abb7a4462345efb5a6f9f2ee4eb7a9', '3a0ba5a9dcae460d851f1efbc088a77b', 'False', 'True', 'false', 'false', '511681001211', 5, '双桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681001211', 1, '2021-07-19 11:55:25', NULL, NULL), (22864, '', '招勋村', '6d416dc4b56f477982e4911272f4c2ce', '3a0ba5a9dcae460d851f1efbc088a77b', 'False', 'True', 'false', 'false', '511681001213', 5, '招勋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681001213', 1, '2021-07-19 11:55:25', NULL, NULL), (22865, '', '民太村', 'ccddc15e8e9149af8c4c744864c4ef65', '3a0ba5a9dcae460d851f1efbc088a77b', 'False', 'True', 'false', 'false', '511681001217', 5, '民太村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681001217', 1, '2021-07-19 11:55:25', NULL, NULL), (22866, '', '明月镇', '79bb292f640f4023a2c09f5aded03f6a', '139bfc9bb3e74202a39113adbd6f536e', 'True', 'True', 'false', 'false', '511681104000', 4, '明月镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511681104000', 1, '2021-07-19 11:55:25', NULL, NULL), (22867, '', '沱湾社区居委会', '42c8d1058b1748fc855fc57b68d57936', '79bb292f640f4023a2c09f5aded03f6a', 'False', 'True', 'false', 'false', '511681104215', 5, '沱湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681104215', 1, '2021-07-19 11:55:25', NULL, NULL), (22868, '', '竹河村', '4b2fdf1d991b49d6ada1e95cd06b0a04', '79bb292f640f4023a2c09f5aded03f6a', 'False', 'True', 'false', 'false', '511681104203', 5, '竹河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681104203', 1, '2021-07-19 11:55:25', NULL, NULL), (22869, '', '人和寨村', 'd9dd84abb36140e59e5e45eada1b9bb2', '79bb292f640f4023a2c09f5aded03f6a', 'False', 'True', 'false', 'false', '511681104205', 5, '人和寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681104205', 1, '2021-07-19 11:55:25', NULL, NULL), (22870, '', '长田坎村', '41c96846ef5142019f1832b61991aee9', '79bb292f640f4023a2c09f5aded03f6a', 'False', 'True', 'false', 'false', '511681104207', 5, '长田坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681104207', 1, '2021-07-19 11:55:25', NULL, NULL), (22871, '', '白鹤咀村', '86c2988c361f43c6acffabfbd03e644a', '79bb292f640f4023a2c09f5aded03f6a', 'False', 'True', 'false', 'false', '511681104209', 5, '白鹤咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681104209', 1, '2021-07-19 11:55:25', NULL, NULL), (22872, '', '红光村', '60790aa9ffb14b88853a0ff625df7602', '79bb292f640f4023a2c09f5aded03f6a', 'False', 'True', 'false', 'false', '511681104219', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681104219', 1, '2021-07-19 11:55:25', NULL, NULL), (22873, '', '刘家庙村', '6f5949cd8fe645378c1b84b84574e38e', '79bb292f640f4023a2c09f5aded03f6a', 'False', 'True', 'false', 'false', '511681104221', 5, '刘家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681104221', 1, '2021-07-19 11:55:25', NULL, NULL), (22874, '', '明月村', '1fb1571edab24b4c9c03b5d905d8dda5', '79bb292f640f4023a2c09f5aded03f6a', 'False', 'True', 'false', 'false', '511681104487', 5, '明月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681104487', 1, '2021-07-19 11:55:25', NULL, NULL), (22875, '', '明月镇街道社区', 'f866a9bff8624f989c57b4e49e33de3c', '79bb292f640f4023a2c09f5aded03f6a', 'False', 'True', 'false', 'false', '511681104984', 5, '明月镇街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681104984', 1, '2021-07-19 11:55:25', NULL, NULL), (22876, '', '红岩乡', '0d505bee85b14ae6918ce1dc8ecc8145', '139bfc9bb3e74202a39113adbd6f536e', 'True', 'True', 'false', 'false', '511681123000', 4, '红岩乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511681123000', 1, '2021-07-19 11:55:25', NULL, NULL), (22877, '', '南湾村', 'a40055954f3647b68fc83b0ea31d8d3e', '0d505bee85b14ae6918ce1dc8ecc8145', 'False', 'True', 'false', 'false', '511681200201', 5, '南湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681200201', 1, '2021-07-19 11:55:25', NULL, NULL), (22878, '', '瓦店村', '9331c652e07f468aafc2c40f148957a0', '0d505bee85b14ae6918ce1dc8ecc8145', 'False', 'True', 'false', 'false', '511681200202', 5, '瓦店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681200202', 1, '2021-07-19 11:55:25', NULL, NULL), (22879, '', '高顶村', '3fa6f20cbe624ae9bec3cbb523c1a5d1', '0d505bee85b14ae6918ce1dc8ecc8145', 'False', 'True', 'false', 'false', '511681200204', 5, '高顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681200204', 1, '2021-07-19 11:55:25', NULL, NULL), (22880, '', '红岩村', '9685aef21f414acfa59955604a40dc87', '0d505bee85b14ae6918ce1dc8ecc8145', 'False', 'True', 'false', 'false', '511681200207', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681200207', 1, '2021-07-19 11:55:25', NULL, NULL), (22881, '', '禄市镇', '9235116858524f6f9229e6337e1bdde0', '139bfc9bb3e74202a39113adbd6f536e', 'True', 'True', 'false', 'false', '511681229000', 4, '禄市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511681229000', 1, '2021-07-19 11:55:25', NULL, NULL), (22882, '', '禄市镇街道社区居委会', 'c14a9fb087ce4f6f8576c89d548a6f54', '9235116858524f6f9229e6337e1bdde0', 'False', 'True', 'false', 'false', '511681102001', 5, '禄市镇街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681102001', 1, '2021-07-19 11:55:25', NULL, NULL), (22883, '', '山门口村', '3d8074f917b8417a9ebc8fd1b1f298d1', '9235116858524f6f9229e6337e1bdde0', 'False', 'True', 'false', 'false', '511681102202', 5, '山门口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681102202', 1, '2021-07-19 11:55:26', NULL, NULL), (22884, '', '姚家塝村', '634304cb0eda4b14878cb05119f1c6a8', '9235116858524f6f9229e6337e1bdde0', 'False', 'True', 'false', 'false', '511681102204', 5, '姚家塝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681102204', 1, '2021-07-19 11:55:26', NULL, NULL), (22885, '', '三圣寨村', '4a5199cf8c07415995b4775d5f0cc2d7', '9235116858524f6f9229e6337e1bdde0', 'False', 'True', 'false', 'false', '511681102205', 5, '三圣寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681102205', 1, '2021-07-19 11:55:26', NULL, NULL), (22886, '', '走马岭村', '5c9437993e27467d95dd936ca063fbfe', '9235116858524f6f9229e6337e1bdde0', 'False', 'True', 'false', 'false', '511681102206', 5, '走马岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681102206', 1, '2021-07-19 11:55:26', NULL, NULL), (22887, '', '凉水井村', 'a546b394895e4691b288ce8c8f01177d', '9235116858524f6f9229e6337e1bdde0', 'False', 'True', 'false', 'false', '511681102208', 5, '凉水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681102208', 1, '2021-07-19 11:55:26', NULL, NULL), (22888, '', '大坡老村', '63768713f36142d8a495686431194b4e', '9235116858524f6f9229e6337e1bdde0', 'False', 'True', 'false', 'false', '511681102210', 5, '大坡老村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681102210', 1, '2021-07-19 11:55:26', NULL, NULL), (22889, '', '月亮坡村', 'aeafaad6a35a47ebb533777e3260eb5c', '9235116858524f6f9229e6337e1bdde0', 'False', 'True', 'false', 'false', '511681102212', 5, '月亮坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681102212', 1, '2021-07-19 11:55:26', NULL, NULL), (22890, '', '阳和镇', '1696bd819365466d8555b5d4cf43b0a4', '139bfc9bb3e74202a39113adbd6f536e', 'True', 'True', 'false', 'false', '511681256000', 4, '阳和镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511681256000', 1, '2021-07-19 11:55:26', NULL, NULL), (22891, '', '阳和镇街道社区', 'b7fec4b464444e8bb4d68d0867765256', '1696bd819365466d8555b5d4cf43b0a4', 'False', 'True', 'false', 'false', '511681105001', 5, '阳和镇街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681105001', 1, '2021-07-19 11:55:26', NULL, NULL), (22892, '', '楼房沟村', '5cd38954be7847d68b4fae47464d7380', '1696bd819365466d8555b5d4cf43b0a4', 'False', 'True', 'false', 'false', '511681105202', 5, '楼房沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681105202', 1, '2021-07-19 11:55:26', NULL, NULL), (22893, '', '蔡家湾村', '2ad844b605f4407b82764b165fab5386', '1696bd819365466d8555b5d4cf43b0a4', 'False', 'True', 'false', 'false', '511681105204', 5, '蔡家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681105204', 1, '2021-07-19 11:55:26', NULL, NULL), (22894, '', '祝家坝村', '9eba4a6d16b44951854f0d7002774fcb', '1696bd819365466d8555b5d4cf43b0a4', 'False', 'True', 'false', 'false', '511681105206', 5, '祝家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681105206', 1, '2021-07-19 11:55:26', NULL, NULL), (22895, '', '鸽笼山村', '9f40a5cc114c4cd4a1f189b9b5473db3', '1696bd819365466d8555b5d4cf43b0a4', 'False', 'True', 'false', 'false', '511681105209', 5, '鸽笼山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681105209', 1, '2021-07-19 11:55:26', NULL, NULL), (22896, '', '偏岩子村', 'f718149223244e279ce5cf55adba2aa6', '1696bd819365466d8555b5d4cf43b0a4', 'False', 'True', 'false', 'false', '511681105212', 5, '偏岩子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681105212', 1, '2021-07-19 11:55:26', NULL, NULL), (22897, '', '观城村', '01e555133ccb43caaf798a7e954d470a', '1696bd819365466d8555b5d4cf43b0a4', 'False', 'True', 'false', 'false', '511681105214', 5, '观城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681105214', 1, '2021-07-19 11:55:26', NULL, NULL), (22898, '', '龙山寨村', '3170c767a4ee4f71b0427304db8afe34', '1696bd819365466d8555b5d4cf43b0a4', 'False', 'True', 'false', 'false', '511681105215', 5, '龙山寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681105215', 1, '2021-07-19 11:55:26', NULL, NULL), (22899, '', '楠木村', '919a406194bf4404b1dee912ae299c5e', '1696bd819365466d8555b5d4cf43b0a4', 'False', 'True', 'false', 'false', '511681105217', 5, '楠木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681105217', 1, '2021-07-19 11:55:26', NULL, NULL), (22900, '', '天池镇', 'fc069f753bb840ea90e29732c5a7dc61', '139bfc9bb3e74202a39113adbd6f536e', 'True', 'True', 'false', 'false', '511681350000', 4, '天池镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511681350000', 1, '2021-07-19 11:55:26', NULL, NULL), (22901, '', '绿水洞社区居委会', '905be7d8052246e08b6de21e4f463d61', 'fc069f753bb840ea90e29732c5a7dc61', 'False', 'True', 'false', 'false', '511681350116', 5, '绿水洞社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681350116', 1, '2021-07-19 11:55:26', NULL, NULL), (22902, '', '王家坝村委会', '5726dcb395004dcfbd16ebc4397f3ca4', 'fc069f753bb840ea90e29732c5a7dc61', 'False', 'True', 'false', 'false', '511681350198', 5, '王家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681350198', 1, '2021-07-19 11:55:26', NULL, NULL), (22903, '', '老屋嘴村委会', 'd490819c85e14958a9e01ee41fc5f586', 'fc069f753bb840ea90e29732c5a7dc61', 'False', 'True', 'false', 'false', '511681350441', 5, '老屋嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681350441', 1, '2021-07-19 11:55:26', NULL, NULL), (22904, '', '仁和村委会', 'e1e98f36976f461cad0ac547bfcd91bc', 'fc069f753bb840ea90e29732c5a7dc61', 'False', 'True', 'false', 'false', '511681350626', 5, '仁和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681350626', 1, '2021-07-19 11:55:26', NULL, NULL), (22905, '', '伍家坳村委会', 'c0db24ead54a4d55bed095768f16287a', 'fc069f753bb840ea90e29732c5a7dc61', 'False', 'True', 'false', 'false', '511681350735', 5, '伍家坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681350735', 1, '2021-07-19 11:55:27', NULL, NULL), (22906, '', '码头村委会', '7328c7c064b0427e84e726c129182c15', 'fc069f753bb840ea90e29732c5a7dc61', 'False', 'True', 'false', 'false', '511681350982', 5, '码头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681350982', 1, '2021-07-19 11:55:27', NULL, NULL), (22907, '', '华光社区居委会', 'fc229c7beaa34a1c8297ab46e9866a3c', 'fc069f753bb840ea90e29732c5a7dc61', 'False', 'True', 'false', 'false', '511681350999', 5, '华光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681350999', 1, '2021-07-19 11:55:27', NULL, NULL), (22908, '', '溪口镇', 'd1b3f45a456d4a41a3d2c9419b0b1ced', '139bfc9bb3e74202a39113adbd6f536e', 'True', 'True', 'false', 'false', '511681379000', 4, '溪口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511681379000', 1, '2021-07-19 11:55:27', NULL, NULL), (22909, '', '宝鼎路社区', '0e6b90712a3c4b28b959541da4a22fcb', 'd1b3f45a456d4a41a3d2c9419b0b1ced', 'False', 'True', 'false', 'false', '511681108001', 5, '宝鼎路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681108001', 1, '2021-07-19 11:55:27', NULL, NULL), (22910, '', '溪华路社区', '4835708d18394c17aae8cbfdb645d8e2', 'd1b3f45a456d4a41a3d2c9419b0b1ced', 'False', 'True', 'false', 'false', '511681108002', 5, '溪华路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681108002', 1, '2021-07-19 11:55:27', NULL, NULL), (22911, '', '回龙桥社区', '3c314af3276240ee8d6d98202a7dfbf3', 'd1b3f45a456d4a41a3d2c9419b0b1ced', 'False', 'True', 'false', 'false', '511681108007', 5, '回龙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681108007', 1, '2021-07-19 11:55:27', NULL, NULL), (22912, '', '觉庵村', '7a22cda491304db9b7da418fbd87c765', 'd1b3f45a456d4a41a3d2c9419b0b1ced', 'False', 'True', 'false', 'false', '511681108201', 5, '觉庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681108201', 1, '2021-07-19 11:55:27', NULL, NULL), (22913, '', '顺天寨村', 'a15d5ff9728d42cb84791f39f4811452', 'd1b3f45a456d4a41a3d2c9419b0b1ced', 'False', 'True', 'false', 'false', '511681108204', 5, '顺天寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681108204', 1, '2021-07-19 11:55:27', NULL, NULL), (22914, '', '袁家坝村', '569920f87bdd4713a023b0346a278e7a', 'd1b3f45a456d4a41a3d2c9419b0b1ced', 'False', 'True', 'false', 'false', '511681108206', 5, '袁家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681108206', 1, '2021-07-19 11:55:27', NULL, NULL), (22915, '', '平桥村', '43b0ab2c01c34fc0a8f979fc51356477', 'd1b3f45a456d4a41a3d2c9419b0b1ced', 'False', 'True', 'false', 'false', '511681108207', 5, '平桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681108207', 1, '2021-07-19 11:55:27', NULL, NULL), (22916, '', '渔槽村', '3be77a9024b64f838a4c21fd9f7715d0', 'd1b3f45a456d4a41a3d2c9419b0b1ced', 'False', 'True', 'false', 'false', '511681108208', 5, '渔槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681108208', 1, '2021-07-19 11:55:27', NULL, NULL), (22917, '', '华龙街道', '50ccd53af4b040c4b37d5279cc8c6d02', '139bfc9bb3e74202a39113adbd6f536e', 'True', 'True', 'false', 'false', '511681603000', 4, '华龙街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511681603000', 1, '2021-07-19 11:55:27', NULL, NULL), (22918, '', '沙坝村', '82795f5f083f40c394f3cf22c0290dd9', '50ccd53af4b040c4b37d5279cc8c6d02', 'False', 'True', 'false', 'false', '511681003200', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681003200', 1, '2021-07-19 11:55:27', NULL, NULL), (22919, '', '廨院社区居委会', '74874ef7b96247bfb5831e902e9f8d92', '50ccd53af4b040c4b37d5279cc8c6d02', 'False', 'True', 'false', 'false', '511681003203', 5, '廨院社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681003203', 1, '2021-07-19 11:55:27', NULL, NULL), (22920, '', '上坝桥村', '4f60fe99f3d542e9a6b64c2e7d540992', '50ccd53af4b040c4b37d5279cc8c6d02', 'False', 'True', 'false', 'false', '511681003204', 5, '上坝桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681003204', 1, '2021-07-19 11:55:27', NULL, NULL), (22921, '', '柏木山村', '98c89657c3844998a57291727f8aa5b2', '50ccd53af4b040c4b37d5279cc8c6d02', 'False', 'True', 'false', 'false', '511681003205', 5, '柏木山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681003205', 1, '2021-07-19 11:55:27', NULL, NULL), (22922, '', '东方村', '4d183dfe1d57466c8b27deabe423922f', '50ccd53af4b040c4b37d5279cc8c6d02', 'False', 'True', 'false', 'false', '511681003206', 5, '东方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681003206', 1, '2021-07-19 11:55:27', NULL, NULL), (22923, '', '石堰墙村', 'd9ec6971ab3c441d85fa9466a1a8f248', '50ccd53af4b040c4b37d5279cc8c6d02', 'False', 'True', 'false', 'false', '511681003207', 5, '石堰墙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681003207', 1, '2021-07-19 11:55:28', NULL, NULL), (22924, '', '射红庙社区居委会', '31ec25bd67ac403481dfe3613f80ff48', '50ccd53af4b040c4b37d5279cc8c6d02', 'False', 'True', 'false', 'false', '511681003208', 5, '射红庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681003208', 1, '2021-07-19 11:55:28', NULL, NULL), (22925, '', '庆华镇', '794d0e2093674f91a7fd0a18458c7af3', '139bfc9bb3e74202a39113adbd6f536e', 'True', 'True', 'false', 'false', '511681832000', 4, '庆华镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511681832000', 1, '2021-07-19 11:55:28', NULL, NULL), (22926, '', '江华社区', '05538f0a64a64d4d90b9f238a118e585', '794d0e2093674f91a7fd0a18458c7af3', 'False', 'True', 'false', 'false', '511681109001', 5, '江华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681109001', 1, '2021-07-19 11:55:28', NULL, NULL), (22927, '', '邱家嘴村', '5c31dd0cd6f2469d927328a5df4cb657', '794d0e2093674f91a7fd0a18458c7af3', 'False', 'True', 'false', 'false', '511681109201', 5, '邱家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681109201', 1, '2021-07-19 11:55:28', NULL, NULL), (22928, '', '天龙山村', '6cb91be1314044cea91a69e70b230fc8', '794d0e2093674f91a7fd0a18458c7af3', 'False', 'True', 'false', 'false', '511681109203', 5, '天龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681109203', 1, '2021-07-19 11:55:28', NULL, NULL), (22929, '', '石佛沟村', '165cb7fc18ee4d11a060d19ea35ebfa7', '794d0e2093674f91a7fd0a18458c7af3', 'False', 'True', 'false', 'false', '511681109205', 5, '石佛沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681109205', 1, '2021-07-19 11:55:28', NULL, NULL), (22930, '', '斜滩村', 'b448a525640443238a727281fe13a081', '794d0e2093674f91a7fd0a18458c7af3', 'False', 'True', 'false', 'false', '511681109206', 5, '斜滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681109206', 1, '2021-07-19 11:55:28', NULL, NULL), (22931, '', '铜鼓寨村', '78d5281854f6492ca399d0aa119a4937', '794d0e2093674f91a7fd0a18458c7af3', 'False', 'True', 'false', 'false', '511681109208', 5, '铜鼓寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681109208', 1, '2021-07-19 11:55:28', NULL, NULL), (22932, '', '土坝子村', '082cac8c8a8d42b8bb6c729e5588f928', '794d0e2093674f91a7fd0a18458c7af3', 'False', 'True', 'false', 'false', '511681109210', 5, '土坝子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681109210', 1, '2021-07-19 11:55:28', NULL, NULL), (22933, '', '三河村', '5f0548f6aafb48a58afb7d6876266040', '794d0e2093674f91a7fd0a18458c7af3', 'False', 'True', 'false', 'false', '511681109216', 5, '三河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681109216', 1, '2021-07-19 11:55:28', NULL, NULL), (22934, '', '左家坪村', '07614f0405c84b8a97e6c96dc31c20eb', '794d0e2093674f91a7fd0a18458c7af3', 'False', 'True', 'false', 'false', '511681109219', 5, '左家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681109219', 1, '2021-07-19 11:55:28', NULL, NULL), (22935, '', '黄桷村', '8321cb645ae548248e1c7c86aee444dd', '794d0e2093674f91a7fd0a18458c7af3', 'False', 'True', 'false', 'false', '511681109220', 5, '黄桷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681109220', 1, '2021-07-19 11:55:28', NULL, NULL), (22936, '', '永兴镇', '258bc995543346e1b37639123f5eeb35', '139bfc9bb3e74202a39113adbd6f536e', 'True', 'True', 'false', 'false', '511681878000', 4, '永兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511681878000', 1, '2021-07-19 11:55:28', NULL, NULL), (22937, '', '永兴街镇道社区', '5e3b2fe2feb94dabb32f4af1c3a82850', '258bc995543346e1b37639123f5eeb35', 'False', 'True', 'false', 'false', '511681103001', 5, '永兴镇街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681103001', 1, '2021-07-19 11:55:28', NULL, NULL), (22938, '', '河心村', 'b4482559695f48f9a45145ab1942f1f4', '258bc995543346e1b37639123f5eeb35', 'False', 'True', 'false', 'false', '511681103203', 5, '河心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681103203', 1, '2021-07-19 11:55:28', NULL, NULL), (22939, '', '乐山寨村', 'f4c55a412d624d459572eead2834f8f3', '258bc995543346e1b37639123f5eeb35', 'False', 'True', 'false', 'false', '511681103205', 5, '乐山寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681103205', 1, '2021-07-19 11:55:29', NULL, NULL), (22940, '', '大佛山村', 'c2c24de4651d46e6a38d160ec9be3454', '258bc995543346e1b37639123f5eeb35', 'False', 'True', 'false', 'false', '511681103208', 5, '大佛山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681103208', 1, '2021-07-19 11:55:29', NULL, NULL), (22941, '', '褒先寺村委会', '2e04bd1c599a4c3f89d48a6cfe33efc2', '258bc995543346e1b37639123f5eeb35', 'False', 'True', 'false', 'false', '511681103209', 5, '褒先寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681103209', 1, '2021-07-19 11:55:29', NULL, NULL), (22942, '', '清溪口村', 'a5932a17be2d48c48b10ea792cf479f7', '258bc995543346e1b37639123f5eeb35', 'False', 'True', 'false', 'false', '511681103212', 5, '清溪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681103212', 1, '2021-07-19 11:55:29', NULL, NULL), (22943, '', '造甲沟村', '6bb2d52bf86e4cd9b4a2ab2e5c258095', '258bc995543346e1b37639123f5eeb35', 'False', 'True', 'false', 'false', '511681103214', 5, '造甲沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681103214', 1, '2021-07-19 11:55:29', NULL, NULL), (22944, '', '马架坪村', '12de9948aade42c8bc040d4431b5db73', '258bc995543346e1b37639123f5eeb35', 'False', 'True', 'false', 'false', '511681103217', 5, '马架坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681103217', 1, '2021-07-19 11:55:29', NULL, NULL), (22945, '', '高兴镇', '1accec7292e847a2a4336372a408c06b', '139bfc9bb3e74202a39113adbd6f536e', 'True', 'True', 'false', 'false', '511681900000', 4, '高兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511681900000', 1, '2021-07-19 11:55:29', NULL, NULL), (22946, '', '金光社区居委会', '755c743fe2c5413d96dca401ae3ddca8', '1accec7292e847a2a4336372a408c06b', 'False', 'True', 'false', 'false', '511681106003', 5, '金光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681106003', 1, '2021-07-19 11:55:29', NULL, NULL), (22947, '', '过江村委会', '4e7c8ae38e3a431db0cac4e4eb50f8d4', '1accec7292e847a2a4336372a408c06b', 'False', 'True', 'false', 'false', '511681106212', 5, '过江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681106212', 1, '2021-07-19 11:55:29', NULL, NULL), (22948, '', '大屋嘴村委会', '183aa37d20d34ea9bb5cd3d2a26a4f6a', '1accec7292e847a2a4336372a408c06b', 'False', 'True', 'false', 'false', '511681106213', 5, '大屋嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681106213', 1, '2021-07-19 11:55:29', NULL, NULL), (22949, '', '李子垭村委会', 'd7f54692a10444ff808dd487061eb87f', '1accec7292e847a2a4336372a408c06b', 'False', 'True', 'false', 'false', '511681106214', 5, '李子垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681106214', 1, '2021-07-19 11:55:29', NULL, NULL), (22950, '', '高坪村委会', 'ca0df44490dc4da1928ec8709f47038c', '1accec7292e847a2a4336372a408c06b', 'False', 'True', 'false', 'false', '511681106216', 5, '高坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681106216', 1, '2021-07-19 11:55:29', NULL, NULL), (22951, '', '骑龙村委会', '89fd89dbbe6f4117a6228bb4bf2934d8', '1accec7292e847a2a4336372a408c06b', 'False', 'True', 'false', 'false', '511681106217', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681106217', 1, '2021-07-19 11:55:29', NULL, NULL), (22952, '', '跳石沟村委会', '64e7e350863a48108b63bb327b659a83', '1accec7292e847a2a4336372a408c06b', 'False', 'True', 'false', 'false', '511681106218', 5, '跳石沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681106218', 1, '2021-07-19 11:55:29', NULL, NULL), (22953, '', '高兴镇街道社区', 'd8c6f4e95e52417fbe5b2f57f1ed7409', '1accec7292e847a2a4336372a408c06b', 'False', 'True', 'false', 'false', '511681106001', 5, '高兴镇街道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681106001', 1, '2021-07-19 11:55:29', NULL, NULL), (22954, '', '北街社区', '648cc925b71f48c2a5435091d4fefcde', '1accec7292e847a2a4336372a408c06b', 'False', 'True', 'false', 'false', '511681106002', 5, '北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681106002', 1, '2021-07-19 11:55:29', NULL, NULL), (22955, '', '高兴村', 'b2c8392ca76245e9aca99b4d686e7f74', '1accec7292e847a2a4336372a408c06b', 'False', 'True', 'false', 'false', '511681106201', 5, '高兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681106201', 1, '2021-07-19 11:55:29', NULL, NULL), (22956, '', '马家嘴村', 'a17dd273fd754e579dc7d48580d036c0', '1accec7292e847a2a4336372a408c06b', 'False', 'True', 'false', 'false', '511681106202', 5, '马家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681106202', 1, '2021-07-19 11:55:30', NULL, NULL), (22957, '', '谭家桥村', '1796e8cc942a499fb26e2e40904e51c2', '1accec7292e847a2a4336372a408c06b', 'False', 'True', 'false', 'false', '511681106203', 5, '谭家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681106203', 1, '2021-07-19 11:55:30', NULL, NULL), (22958, '', '枧子沟村', 'cdc85abac263424bb2c66caba2932d2a', '1accec7292e847a2a4336372a408c06b', 'False', 'True', 'false', 'false', '511681106205', 5, '枧子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681106205', 1, '2021-07-19 11:55:30', NULL, NULL), (22959, '', '宋家垭村', '27462b4588e647c9a355a71f3657358b', '1accec7292e847a2a4336372a408c06b', 'False', 'True', 'false', 'false', '511681106206', 5, '宋家垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681106206', 1, '2021-07-19 11:55:30', NULL, NULL), (22960, '', '花庙嘴村', 'f7b2314a0bf640468823955947f90c4e', '1accec7292e847a2a4336372a408c06b', 'False', 'True', 'false', 'false', '511681106209', 5, '花庙嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681106209', 1, '2021-07-19 11:55:30', NULL, NULL), (22961, '', '高峰岩村', 'f5df9833a6eb4b01bb78be5ffec244ba', '1accec7292e847a2a4336372a408c06b', 'False', 'True', 'false', 'false', '511681106210', 5, '高峰岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511681106210', 1, '2021-07-19 11:55:30', NULL, NULL), (22962, '', '岳池县', '11dfd01c6cfc4171b73d564e7b13a29b', 'f1812fb4fc144c0c89f4ff952f9e6a0d', 'True', 'True', 'false', 'false', '511621000000', 3, '岳池县', 'gasycx.sczwfw.gov.cn', 1, '2021-07-19 11:55:30', NULL, NULL), (22963, '', '九龙街道', '8de6681ad0a543aca041859236cc4652', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621001000', 4, '九龙街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621001000', 1, '2021-07-19 11:55:30', NULL, NULL), (22964, '', '公园路社区', 'c252060aedb24e16bde07fa23f78f342', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001001', 5, '公园路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001001', 1, '2021-07-19 11:55:30', NULL, NULL), (22965, '', '园田社区', '28fe6ad74ae5426b95570d0a0c8a45ee', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001002', 5, '园田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001002', 1, '2021-07-19 11:55:30', NULL, NULL), (22966, '', '万兴社区', '7c4d08474185400f920587d0613d328b', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001003', 5, '万兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001003', 1, '2021-07-19 11:55:30', NULL, NULL), (22967, '', '城东社区', '7ec53b869df446d5ac12f79e457db049', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001004', 5, '城东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001004', 1, '2021-07-19 11:55:30', NULL, NULL), (22968, '', '城南社区', 'b50723db63554ce4b2e475e27c4c2749', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001005', 5, '城南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001005', 1, '2021-07-19 11:55:30', NULL, NULL), (22969, '', '城西社区', 'b8f975648d0e425c9d1eb277b4cdc259', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001006', 5, '城西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001006', 1, '2021-07-19 11:55:30', NULL, NULL), (22970, '', '城北社区', '7f87f28b0cda40f5b2728d2e280ea1a0', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001007', 5, '城北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001007', 1, '2021-07-19 11:55:30', NULL, NULL), (22971, '', '安公桥社区', '97b3ca6b5e4d45d0a16255e18003a3f6', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001008', 5, '安公桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001008', 1, '2021-07-19 11:55:30', NULL, NULL), (22972, '', '文星桥社区', '1962e0e73b6f41119866f0f32d4a6081', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001009', 5, '文星桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001009', 1, '2021-07-19 11:55:30', NULL, NULL), (22973, '', '成果社区', 'a49d894321614d93883f7ff768e3a62a', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001010', 5, '成果社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001010', 1, '2021-07-19 11:55:31', NULL, NULL), (22974, '', '东湖社区', '71d31e70d055401dbf7ee34b87c17738', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001011', 5, '东湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001011', 1, '2021-07-19 11:55:31', NULL, NULL), (22975, '', '五里牌社区', '24fc7aa753ac4e80969de9756caffb60', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001012', 5, '五里牌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001012', 1, '2021-07-19 11:55:31', NULL, NULL), (22976, '', '自生社区', '7401ad73eae14ef39bf09d4997865032', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001013', 5, '自生社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001013', 1, '2021-07-19 11:55:31', NULL, NULL), (22977, '', '大石社区', 'cf336258ef874fc581f4eed38647e91e', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001014', 5, '大石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001014', 1, '2021-07-19 11:55:31', NULL, NULL), (22978, '', '龙湖社区', '129174c6a4ef4f5286ea00f690e82d45', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001015', 5, '龙湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001015', 1, '2021-07-19 11:55:31', NULL, NULL), (22979, '', '民生桥社区', '1697ec79617840f4978fe09e9afc0590', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001016', 5, '民生桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001016', 1, '2021-07-19 11:55:31', NULL, NULL), (22980, '', '莲花寺社区', '9f55338772934c4a889b35433c540149', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001017', 5, '莲花寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001017', 1, '2021-07-19 11:55:31', NULL, NULL), (22981, '', '九龙堰社区', 'b708dc157b2c430ab067894dc3737bdf', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001018', 5, '九龙堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001018', 1, '2021-07-19 11:55:31', NULL, NULL), (22982, '', '余家河社区', 'cbd4d2e5249f4ca4958de8fc3c281fa0', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001019', 5, '余家河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001019', 1, '2021-07-19 11:55:31', NULL, NULL), (22983, '', '金弹场村', 'f71a39e026464b93af1584a199533a41', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001203', 5, '金弹场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001203', 1, '2021-07-19 11:55:31', NULL, NULL), (22984, '', '赵椿桥村', 'cfab5adf37874af693f8c7166d45a17e', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001218', 5, '赵椿桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001218', 1, '2021-07-19 11:55:31', NULL, NULL), (22985, '', '花朝门村', '5a8085831829418fa43967d07a0d9adf', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001221', 5, '花朝门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001221', 1, '2021-07-19 11:55:31', NULL, NULL), (22986, '', '福寿寨村', 'cb972d30205042249215580dbb273f2f', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001229', 5, '福寿寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001229', 1, '2021-07-19 11:55:31', NULL, NULL), (22987, '', '花园坪村', '70774d08d7cd4022b42aa88ef9318864', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001231', 5, '花园坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001231', 1, '2021-07-19 11:55:31', NULL, NULL), (22988, '', '五里堆村', '6f946efaf4b541b0a7af99bd93ce5661', '8de6681ad0a543aca041859236cc4652', 'False', 'False', 'false', 'false', '511621001233', 5, '五里堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001233', 1, '2021-07-19 11:55:31', NULL, NULL), (22989, '', '马鞍山村', '2ecbed1ac3314dd498eb847313168fc6', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001237', 5, '马鞍山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001237', 1, '2021-07-19 11:55:32', NULL, NULL), (22990, '', '千佛寺村', '1b3f4f9525b546278e5c497b830dc97b', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001243', 5, '千佛寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001243', 1, '2021-07-19 11:55:32', NULL, NULL), (22991, '', '北城村', 'e121cb1be7934221909b0bb5270b6d47', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001249', 5, '北城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001249', 1, '2021-07-19 11:55:32', NULL, NULL), (22992, '', '双井村', 'adc4c51b2fa844eda5f441967c008bc3', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001250', 5, '双井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001250', 1, '2021-07-19 11:55:32', NULL, NULL), (22993, '', '高垭村', 'dda13ee0b72540a1bbe18f3a70af5fcd', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001251', 5, '高垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001251', 1, '2021-07-19 11:55:32', NULL, NULL), (22994, '', '高庙村', '5b58161777a04f83910da954f624b335', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001252', 5, '高庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001252', 1, '2021-07-19 11:55:32', NULL, NULL), (22995, '', '观音岩村', '2554a4757c0f422dadc32a4eeb3f0d93', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001253', 5, '观音岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001253', 1, '2021-07-19 11:55:32', NULL, NULL), (22996, '', '白鹤村', '7815cfbeacc449ad84a91f85ec36bd89', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001254', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001254', 1, '2021-07-19 11:55:32', NULL, NULL), (22997, '', '姜山寺村', '96094fc8fff1444fbd0e92a16d9ed635', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001255', 5, '姜山寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001255', 1, '2021-07-19 11:55:32', NULL, NULL), (22998, '', '龙藏山村', '30303edca8144fa0b54df4adac68c2cd', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001256', 5, '龙藏山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001256', 1, '2021-07-19 11:55:32', NULL, NULL), (22999, '', '向阳村', '540ab573e18a445eb28a5d0f4b2ca9bc', '8de6681ad0a543aca041859236cc4652', 'False', 'True', 'false', 'false', '511621001257', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621001257', 1, '2021-07-19 11:55:32', NULL, NULL), (23000, '', '朝阳街道', '8c188f295fe7403086f969b88fceeb69', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621002000', 4, '朝阳街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621002000', 1, '2021-07-19 11:55:32', NULL, NULL), (23001, '', '玉皇观社区', '878d7c3fc1e643d8ab8a23bf2473240c', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002001', 5, '玉皇观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002001', 1, '2021-07-19 11:55:32', NULL, NULL), (23002, '', '新平桥社区', '12b88013c7e94c11a9abc4cf1c207422', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002002', 5, '新平桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002002', 1, '2021-07-19 11:55:32', NULL, NULL), (23003, '', '麻柳桥社区', '0ffb5ce6f82842388c5be41b40c8c6c3', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002003', 5, '麻柳桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002003', 1, '2021-07-19 11:55:32', NULL, NULL), (23004, '', '白塔社区', 'd1a4362d31ec48b6800cb076691bca2a', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002004', 5, '白塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002004', 1, '2021-07-19 11:55:32', NULL, NULL), (23005, '', '三合寨村', '91e5c5e03db149409f49a62c7e1eabc4', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002201', 5, '三合寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002201', 1, '2021-07-19 11:55:32', NULL, NULL), (23006, '', '火盆山村', '269a624d8a864336a7d8411a90736d0a', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002203', 5, '火盆山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002203', 1, '2021-07-19 11:55:32', NULL, NULL), (23007, '', '杜家桥村', '9672d561d88448acbd05b9bce43618ad', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002205', 5, '杜家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002205', 1, '2021-07-19 11:55:32', NULL, NULL), (23008, '', '胡家岩村', 'dc332e8f3c7c43489ff6103739694892', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002208', 5, '胡家岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002208', 1, '2021-07-19 11:55:33', NULL, NULL), (23009, '', '白鹤桥村', 'de4998d715624176be80494f435354a0', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002212', 5, '白鹤桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002212', 1, '2021-07-19 11:55:33', NULL, NULL), (23010, '', '长河村', '5c216c9b501c48dc86922635621f3612', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002213', 5, '长河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002213', 1, '2021-07-19 11:55:33', NULL, NULL), (23011, '', '长坡村', '4f63da2a1d084106af2dfff43c2bce5b', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002214', 5, '长坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002214', 1, '2021-07-19 11:55:33', NULL, NULL), (23012, '', '川王庙村', '7f41f45457694404bf7a32ed23457b82', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002217', 5, '川王庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002217', 1, '2021-07-19 11:55:33', NULL, NULL), (23013, '', '遇仙桥村', '416ba530e3434d808a3cb5b2d4ef1d01', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002219', 5, '遇仙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002219', 1, '2021-07-19 11:55:33', NULL, NULL), (23014, '', '长滩寺村', '99a0b48e72ed4236833320aa178b3483', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002221', 5, '长滩寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002221', 1, '2021-07-19 11:55:33', NULL, NULL), (23015, '', '万塔山村', 'a4956aa685dd4b17a9173dea74462593', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002222', 5, '万塔山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002222', 1, '2021-07-19 11:55:33', NULL, NULL), (23016, '', '窑灌厂村', '00f3c333228c4c059561ce18f5d11953', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002225', 5, '窑灌厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002225', 1, '2021-07-19 11:55:33', NULL, NULL), (23017, '', '秦家店村', 'aec1cdda58644d2585080da07541c2e2', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002229', 5, '秦家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002229', 1, '2021-07-19 11:55:33', NULL, NULL), (23018, '', '观音庵村', '2e90cc99ba244155986dc7c63a65be2c', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002231', 5, '观音庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002231', 1, '2021-07-19 11:55:33', NULL, NULL), (23019, '', '肖家店村', 'd2800393718a4d0bb724fdea7abccf00', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002232', 5, '肖家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002232', 1, '2021-07-19 11:55:33', NULL, NULL), (23020, '', '龙马村', '22f21c44be294c18baf21b7c82428efd', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002233', 5, '龙马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002233', 1, '2021-07-19 11:55:33', NULL, NULL), (23021, '', '天王庙村', 'f2d03102ffdf4c9ba1cecd9cae59eac6', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002236', 5, '天王庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002236', 1, '2021-07-19 11:55:33', NULL, NULL), (23022, '', '齐心村', '396dfb1c3a6148d78dbffb172c67b424', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002238', 5, '齐心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002238', 1, '2021-07-19 11:55:33', NULL, NULL), (23023, '', '柏树山村', 'dbfa6b19e2ad41b8a3003885426a4416', '8c188f295fe7403086f969b88fceeb69', 'False', 'False', 'false', 'false', '511621002239', 5, '柏树山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621002239', 1, '2021-07-19 11:55:33', NULL, NULL), (23024, '', '花园镇', 'c8bd823a5d0c448e8fcaa95fbd787354', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621101000', 4, '花园镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621101000', 1, '2021-07-19 11:55:33', NULL, NULL), (23025, '', '义兴社区', '5152b61102ec4f0ba0254d5b63cafcd3', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'True', 'false', 'false', '511621101002', 5, '义兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101002', 1, '2021-07-19 11:55:34', NULL, NULL), (23026, '', '王家场村', '37ca6c4959384624bccb4377007564d5', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'True', 'false', 'false', '511621101234', 5, '王家场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101234', 1, '2021-07-19 11:55:34', NULL, NULL), (23027, '', '平原村', '9b2d04f1eb3e4ddda25b14864943d63d', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'True', 'false', 'false', '511621101239', 5, '平原村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101239', 1, '2021-07-19 11:55:34', NULL, NULL), (23028, '', '漏山寺村', '2c53e10d05324536a183c1b642103972', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'True', 'false', 'false', '511621101245', 5, '漏山寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101245', 1, '2021-07-19 11:55:34', NULL, NULL), (23029, '', '大峰山村', '889dd0ca445e4ce5bb62608e1d6e8e2b', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'True', 'false', 'false', '511621101246', 5, '大峰山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101246', 1, '2021-07-19 11:55:34', NULL, NULL), (23030, '', '翠湖村', 'eb10f4c060b64cceb332a4539115f7dd', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'True', 'false', 'false', '511621101247', 5, '翠湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101247', 1, '2021-07-19 11:55:34', NULL, NULL), (23031, '', '花园村', 'bdbb8ee5eefa47299100cea9e7fa0adf', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'True', 'false', 'false', '511621101248', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101248', 1, '2021-07-19 11:55:34', NULL, NULL), (23032, '', '桃尔山村', 'a13a490462c140e0aa85d0746808d6ad', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'True', 'false', 'false', '511621101249', 5, '桃尔山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101249', 1, '2021-07-19 11:55:34', NULL, NULL), (23033, '', '万寿桥村', '7fbb12619fe84018add9de14db25a4da', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'True', 'false', 'false', '511621101250', 5, '万寿桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101250', 1, '2021-07-19 11:55:34', NULL, NULL), (23034, '', '镇龙村', '1415bf75733b492dab23ae68eea4c0be', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'True', 'false', 'false', '511621101251', 5, '镇龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101251', 1, '2021-07-19 11:55:34', NULL, NULL), (23035, '', '自生社区', '12c653da04a046f1ab5316e7d33e9e0b', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101001', 5, '自生社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101001', 1, '2021-07-19 11:55:34', NULL, NULL), (23036, '', '杨家坡', '75c6cf8672424b8d990a5b0e4cb83d83', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101202', 5, '杨家坡', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101202', 1, '2021-07-19 11:55:34', NULL, NULL), (23037, '', '响水滩', 'e95400d21ba94d1a90159562db324b3b', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101204', 5, '响水滩', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101204', 1, '2021-07-19 11:55:34', NULL, NULL), (23038, '', '临江寺', '3e5c38031de647ffb98a8a2e0b6d85c9', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101205', 5, '临江寺', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101205', 1, '2021-07-19 11:55:34', NULL, NULL), (23039, '', '磨滩河', '22f356e545cc4a17804e904229acc2e3', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101206', 5, '磨滩河', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101206', 1, '2021-07-19 11:55:34', NULL, NULL), (23040, '', '花朝门', '15e065ac42ef476094a5b6c1a93c93b6', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101207', 5, '花朝门', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101207', 1, '2021-07-19 11:55:34', NULL, NULL), (23041, '', '桑树垭', 'c70a01a5ff9b433c8e2ef7ab39b5374b', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101209', 5, '桑树垭', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101209', 1, '2021-07-19 11:55:35', NULL, NULL), (23042, '', '官大田', '0e7782413dfa463e910d6536869b7386', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101210', 5, '官大田', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101210', 1, '2021-07-19 11:55:35', NULL, NULL), (23043, '', '马家井', 'ad2995a1793d4a3f8c3a30cfddf7ed8b', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101211', 5, '马家井', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101211', 1, '2021-07-19 11:55:35', NULL, NULL), (23044, '', '肖家井', '223eb1d91e544a5c99407909ca867b4a', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101213', 5, '肖家井', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101213', 1, '2021-07-19 11:55:35', NULL, NULL), (23045, '', '唐家巷', '4933c853ce5d4c13a5ea56c68f7eb7b1', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101214', 5, '唐家巷', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101214', 1, '2021-07-19 11:55:35', NULL, NULL), (23046, '', '万寿寺', 'a76f77c7c701420692253a76c8f97f18', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101216', 5, '万寿寺', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101216', 1, '2021-07-19 11:55:35', NULL, NULL), (23047, '', '挖断山', '516a677dba044f1087a4572024006776', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101218', 5, '挖断山', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101218', 1, '2021-07-19 11:55:35', NULL, NULL), (23048, '', '五元坟', '9dc1a558e14f43ddae718b85757244f7', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101219', 5, '五元坟', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101219', 1, '2021-07-19 11:55:35', NULL, NULL), (23049, '', '三元村', 'e3b78501412d4a7d8baa1f881c20e1df', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101221', 5, '三元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101221', 1, '2021-07-19 11:55:35', NULL, NULL), (23050, '', '茶园村', 'd76869e546e0469fac2a3ca36ce42ac4', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101223', 5, '茶园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101223', 1, '2021-07-19 11:55:35', NULL, NULL), (23051, '', '苏麻沟', 'ecd930b8df2146a4bcbf9bdde012b7ea', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101224', 5, '苏麻沟', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101224', 1, '2021-07-19 11:55:35', NULL, NULL), (23052, '', '松马鞍', '8c8de7ca331e42539725660f8903bc17', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101225', 5, '松马鞍', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101225', 1, '2021-07-19 11:55:35', NULL, NULL), (23053, '', '伍家沟', 'ca153c91dc3446b8a069746ddae250d8', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101227', 5, '伍家沟', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101227', 1, '2021-07-19 11:55:35', NULL, NULL), (23054, '', '奶山坡', '581e120c59ce4427af8033f94644db3c', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101229', 5, '奶山坡', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101229', 1, '2021-07-19 11:55:35', NULL, NULL), (23055, '', '金鳌寺', 'ab24ab619a18473d889ea6bfbf6a2b0a', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101230', 5, '金鳌寺', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101230', 1, '2021-07-19 11:55:35', NULL, NULL), (23056, '', '太平沟', '64dc08f68c7047ee9b4c68e66230c259', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101232', 5, '太平沟', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101232', 1, '2021-07-19 11:55:35', NULL, NULL), (23057, '', '红坡盖', 'd80e4bb3191746b99b427b0c6688f0cb', 'c8bd823a5d0c448e8fcaa95fbd787354', 'False', 'False', 'false', 'false', '511621101233', 5, '红坡盖', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621101233', 1, '2021-07-19 11:55:35', NULL, NULL), (23058, '', '坪滩镇', '53674301b0b04e9c9dbc95b259f97d02', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621102000', 4, '坪滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621102000', 1, '2021-07-19 11:55:35', NULL, NULL), (23059, '', '越江社区', '510895c89d7340f98062f8e593502cc7', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'True', 'false', 'false', '511621102002', 5, '越江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102002', 1, '2021-07-19 11:55:35', NULL, NULL), (23060, '', '嘉陵社区', 'bd31505d125d4fa3a32932dedbdd8fdb', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'True', 'false', 'false', '511621102003', 5, '嘉陵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102003', 1, '2021-07-19 11:55:36', NULL, NULL), (23061, '', '马鞍寨村', '01d2b0c2b791416398d91a15ba9b1f9e', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'True', 'false', 'false', '511621102212', 5, '马鞍寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102212', 1, '2021-07-19 11:55:36', NULL, NULL), (23062, '', '石盘堰村', 'e82d857ee6b04f87a5b2524a0333e8ef', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'True', 'false', 'false', '511621102227', 5, '石盘堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102227', 1, '2021-07-19 11:55:36', NULL, NULL), (23063, '', '了解庵村', '4b71dfa99ded480185622378d0d29424', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'True', 'false', 'false', '511621102229', 5, '了解庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102229', 1, '2021-07-19 11:55:36', NULL, NULL), (23064, '', '白沙坨村', 'f1d41c1bb03a4d0f974075039bd2d8b6', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'True', 'false', 'false', '511621102230', 5, '白沙坨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102230', 1, '2021-07-19 11:55:36', NULL, NULL), (23065, '', '福兴寺村', '7715bde537fc491889c9d5c717176104', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'True', 'false', 'false', '511621102231', 5, '福兴寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102231', 1, '2021-07-19 11:55:36', NULL, NULL), (23066, '', '白羊盖村', 'a6d8e53820ff4525879d14646f6b762f', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'True', 'false', 'false', '511621102234', 5, '白羊盖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102234', 1, '2021-07-19 11:55:36', NULL, NULL), (23067, '', '莲花村', '9aea753bb5204984beecffe3fbb16c92', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'True', 'false', 'false', '511621102235', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102235', 1, '2021-07-19 11:55:36', NULL, NULL), (23068, '', '保华村', 'e53b40bbecfd4d6fbcddff880dea448b', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'True', 'false', 'false', '511621102236', 5, '保华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102236', 1, '2021-07-19 11:55:36', NULL, NULL), (23069, '', '石牌楼村', '6c617f819eeb46f6a033d383d29763f3', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'False', 'false', 'false', '511621102204', 5, '石牌楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102204', 1, '2021-07-19 11:55:36', NULL, NULL), (23070, '', '大坪桥村', 'ebc73419e9ef4ba0ba6fd3f129a4cc2b', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'False', 'false', 'false', '511621102205', 5, '大坪桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102205', 1, '2021-07-19 11:55:36', NULL, NULL), (23071, '', '芭蕉湾村', '5b9f52f2a0424c12b85ae449b19bddb0', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'False', 'false', 'false', '511621102207', 5, '芭蕉湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102207', 1, '2021-07-19 11:55:36', NULL, NULL), (23072, '', '保华寺村', '42bfdf26060145528d3a9167eb491594', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'False', 'false', 'false', '511621102210', 5, '保华寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102210', 1, '2021-07-19 11:55:37', NULL, NULL), (23073, '', '冉家店村', '5c15b899547143b0bf72d5e884fca1ae', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'False', 'false', 'false', '511621102211', 5, '冉家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102211', 1, '2021-07-19 11:55:37', NULL, NULL), (23074, '', '义学堂村', '9cb997c23cdc4ea996ff14a21a34a373', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'False', 'false', 'false', '511621102213', 5, '义学堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102213', 1, '2021-07-19 11:55:37', NULL, NULL), (23075, '', '帅陀寺村', 'bb56259abb5d4d2a8f06943064bf5dd4', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'False', 'false', 'false', '511621102214', 5, '帅陀寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102214', 1, '2021-07-19 11:55:37', NULL, NULL), (23076, '', '小龙沟村', '0c3838b13b954cd1929007607ad12dc3', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'False', 'false', 'false', '511621102216', 5, '小龙沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102216', 1, '2021-07-19 11:55:37', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (23077, '', '水月寺村', '0460ddc05ffd4cf1926a87946096dbee', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'False', 'false', 'false', '511621102218', 5, '水月寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102218', 1, '2021-07-19 11:55:37', NULL, NULL), (23078, '', '高坑村', 'f69ef3865d7047deaeb760439cdd20e7', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'False', 'false', 'false', '511621102220', 5, '高坑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102220', 1, '2021-07-19 11:55:37', NULL, NULL), (23079, '', '何家坝村', '505e8fa84c7646a5a8a09663370e9ffe', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'False', 'false', 'false', '511621102221', 5, '何家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102221', 1, '2021-07-19 11:55:37', NULL, NULL), (23080, '', '莲花寺村', 'da6c41a1eb8046359a26d64ae7baacc1', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'False', 'false', 'false', '511621102222', 5, '莲花寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102222', 1, '2021-07-19 11:55:37', NULL, NULL), (23081, '', '关口村', 'eff5a939707144f787749fcad191e717', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'False', 'false', 'false', '511621102223', 5, '关口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102223', 1, '2021-07-19 11:55:37', NULL, NULL), (23082, '', '双堰塘村', '0fb579c0c4bb48f49a5439ea5259fbf7', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'False', 'false', 'false', '511621102224', 5, '双堰塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102224', 1, '2021-07-19 11:55:37', NULL, NULL), (23083, '', '陆家沟村', 'a2ea0b6ba5404f99bda7057f5d07bc8b', '53674301b0b04e9c9dbc95b259f97d02', 'False', 'False', 'false', 'false', '511621102226', 5, '陆家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621102226', 1, '2021-07-19 11:55:37', NULL, NULL), (23084, '', '龙孔镇', 'd469159720b84235b1b9e528113b1e8f', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'False', 'false', 'false', '511621103000', 4, '龙孔镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621103000', 1, '2021-07-19 11:55:37', NULL, NULL), (23085, '', '排楼社区', 'eb5c2b66087344e5a23cd9f91abda799', 'd469159720b84235b1b9e528113b1e8f', 'False', 'False', 'false', 'false', '511621103002', 5, '排楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621103002', 1, '2021-07-19 11:55:38', NULL, NULL), (23086, '', '花院墙村', 'c4ca99f9abe14bc5b6f5bd90e0522e22', 'd469159720b84235b1b9e528113b1e8f', 'False', 'False', 'false', 'false', '511621103224', 5, '花院墙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621103224', 1, '2021-07-19 11:55:38', NULL, NULL), (23087, '', '朝阳寺村', '718209d0a17b484280bbdafdd0fae69f', 'd469159720b84235b1b9e528113b1e8f', 'False', 'False', 'false', 'false', '511621103226', 5, '朝阳寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621103226', 1, '2021-07-19 11:55:38', NULL, NULL), (23088, '', '龙井沟村', '17b1c68f7a8242368bfeddfd61a0a856', 'd469159720b84235b1b9e528113b1e8f', 'False', 'False', 'false', 'false', '511621103228', 5, '龙井沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621103228', 1, '2021-07-19 11:55:38', NULL, NULL), (23089, '', '雪山寺村', 'cee78ba459a34594a434e966561cf45c', 'd469159720b84235b1b9e528113b1e8f', 'False', 'False', 'false', 'false', '511621103230', 5, '雪山寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621103230', 1, '2021-07-19 11:55:38', NULL, NULL), (23090, '', '三王庙村', 'c817b1ed94824f388d2cb6228e32475c', 'd469159720b84235b1b9e528113b1e8f', 'False', 'False', 'false', 'false', '511621103233', 5, '三王庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621103233', 1, '2021-07-19 11:55:38', NULL, NULL), (23091, '', '洪恩寺村', 'aa9bf101f1fa442f834f945ea5a32a87', 'd469159720b84235b1b9e528113b1e8f', 'False', 'False', 'false', 'false', '511621103235', 5, '洪恩寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621103235', 1, '2021-07-19 11:55:38', NULL, NULL), (23092, '', '双龙村', '9e76e7fc5ee84b889fabbec2f717be60', 'd469159720b84235b1b9e528113b1e8f', 'False', 'False', 'false', 'false', '511621103237', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621103237', 1, '2021-07-19 11:55:38', NULL, NULL), (23093, '', '白云村', '3bf6bfcb94374cd5b9ea6272e6e36766', 'd469159720b84235b1b9e528113b1e8f', 'False', 'False', 'false', 'false', '511621103238', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621103238', 1, '2021-07-19 11:55:38', NULL, NULL), (23094, '', '雷锋寨村', 'ccee1649066949d8b41aa69f38b8c3a2', 'd469159720b84235b1b9e528113b1e8f', 'False', 'False', 'false', 'false', '511621103239', 5, '雷锋寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621103239', 1, '2021-07-19 11:55:38', NULL, NULL), (23095, '', '冯家坝村', 'a100cef60cbe457e88f94de77de1dcc7', 'd469159720b84235b1b9e528113b1e8f', 'False', 'False', 'false', 'false', '511621103623', 5, '冯家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621103623', 1, '2021-07-19 11:55:38', NULL, NULL), (23096, '', '镇裕镇', 'fef4e6231f2141e48bf0c63a258a00e0', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621104000', 4, '镇裕镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621104000', 1, '2021-07-19 11:55:38', NULL, NULL), (23097, '', '裕安社区', 'b7fd882f377740b5bf585468368a4bc1', 'fef4e6231f2141e48bf0c63a258a00e0', 'False', 'True', 'false', 'false', '511621104001', 5, '裕安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621104001', 1, '2021-07-19 11:55:39', NULL, NULL), (23098, '', '酢坊村', 'a2db7f9b515242db9a7a3e7a1c0bad84', 'fef4e6231f2141e48bf0c63a258a00e0', 'False', 'True', 'false', 'false', '511621104216', 5, '酢坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621104216', 1, '2021-07-19 11:55:39', NULL, NULL), (23099, '', '石鼓村', 'd984a78ace334d3288075863d5ac6fb4', 'fef4e6231f2141e48bf0c63a258a00e0', 'False', 'True', 'false', 'false', '511621104217', 5, '石鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621104217', 1, '2021-07-19 11:55:39', NULL, NULL), (23100, '', '高屋基村', '843a005f31674d39b0abba1c9a14f17b', 'fef4e6231f2141e48bf0c63a258a00e0', 'False', 'True', 'false', 'false', '511621104218', 5, '高屋基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621104218', 1, '2021-07-19 11:55:39', NULL, NULL), (23101, '', '田坝村', '150b981cbe4346bb87f639ee5aef97be', 'fef4e6231f2141e48bf0c63a258a00e0', 'False', 'True', 'false', 'false', '511621104221', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621104221', 1, '2021-07-19 11:55:39', NULL, NULL), (23102, '', '瓦店子', 'ab6a4ae64729419286a6617684fe8f09', 'fef4e6231f2141e48bf0c63a258a00e0', 'False', 'False', 'false', 'false', '511621104201', 5, '瓦店子', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621104201', 1, '2021-07-19 11:55:39', NULL, NULL), (23103, '', '香炉山', '9f61dd275513401abb73ba98330c5876', 'fef4e6231f2141e48bf0c63a258a00e0', 'False', 'False', 'false', 'false', '511621104202', 5, '香炉山', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621104202', 1, '2021-07-19 11:55:39', NULL, NULL), (23104, '', '丁家石盘', '440f68e7207a412cab27d234f24f66e0', 'fef4e6231f2141e48bf0c63a258a00e0', 'False', 'False', 'false', 'false', '511621104203', 5, '丁家石盘', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621104203', 1, '2021-07-19 11:55:39', NULL, NULL), (23105, '', '七龙寺', '88697b3d1386472188e2a5840765e207', 'fef4e6231f2141e48bf0c63a258a00e0', 'False', 'False', 'false', 'false', '511621104208', 5, '七龙寺', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621104208', 1, '2021-07-19 11:55:39', NULL, NULL), (23106, '', '尹家沟', '5655b2cf8d2d478389db58fc10037bf3', 'fef4e6231f2141e48bf0c63a258a00e0', 'False', 'False', 'false', 'false', '511621104209', 5, '尹家沟', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621104209', 1, '2021-07-19 11:55:39', NULL, NULL), (23107, '', '斋公坝', '543f1d6e94b741f596da390f0a7cce2c', 'fef4e6231f2141e48bf0c63a258a00e0', 'False', 'False', 'false', 'false', '511621104210', 5, '斋公坝', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621104210', 1, '2021-07-19 11:55:39', NULL, NULL), (23108, '', '油榨溪', '414a0861d7da49638f24db98e7d5a722', 'fef4e6231f2141e48bf0c63a258a00e0', 'False', 'False', 'false', 'false', '511621104212', 5, '油榨溪', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621104212', 1, '2021-07-19 11:55:39', NULL, NULL), (23109, '', '白庙镇', '81721d7264ae4245838ac5dd7c4f4829', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621105000', 4, '白庙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621105000', 1, '2021-07-19 11:55:39', NULL, NULL), (23110, '', '六角丘社区', '3a30a870547d4e63b0f797189a5edb90', '81721d7264ae4245838ac5dd7c4f4829', 'False', 'True', 'false', 'false', '511621105002', 5, '六角丘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621105002', 1, '2021-07-19 11:55:40', NULL, NULL), (23111, '', '安宁寺村', 'aba95e7d1de349a1a00dc616530681ab', '81721d7264ae4245838ac5dd7c4f4829', 'False', 'True', 'false', 'false', '511621105159', 5, '安宁寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621105159', 1, '2021-07-19 11:55:40', NULL, NULL), (23112, '', '粽粑村', 'c4a213cdfc65423faf6532a68a3d2347', '81721d7264ae4245838ac5dd7c4f4829', 'False', 'True', 'false', 'false', '511621105226', 5, '粽粑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621105226', 1, '2021-07-19 11:55:40', NULL, NULL), (23113, '', '盘龙村', '2165b933ebed400f81bb7b94eff142b6', '81721d7264ae4245838ac5dd7c4f4829', 'False', 'True', 'false', 'false', '511621105229', 5, '盘龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621105229', 1, '2021-07-19 11:55:40', NULL, NULL), (23114, '', '画龙村', '4360341d6502414f88cb219e34a21c89', '81721d7264ae4245838ac5dd7c4f4829', 'False', 'True', 'false', 'false', '511621105231', 5, '画龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621105231', 1, '2021-07-19 11:55:40', NULL, NULL), (23115, '', '金龙寺村', '08debb400f9b4f6390d517c47138b13a', '81721d7264ae4245838ac5dd7c4f4829', 'False', 'True', 'false', 'false', '511621105233', 5, '金龙寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621105233', 1, '2021-07-19 11:55:40', NULL, NULL), (23116, '', '合兴村', 'f200601b9ae04dcc91298c287189184c', '81721d7264ae4245838ac5dd7c4f4829', 'False', 'True', 'false', 'false', '511621105235', 5, '合兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621105235', 1, '2021-07-19 11:55:40', NULL, NULL), (23117, '', '桐麻山村', '6c92abd22b874a65b9e4bb93b921cd3f', '81721d7264ae4245838ac5dd7c4f4829', 'False', 'True', 'false', 'false', '511621105236', 5, '桐麻山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621105236', 1, '2021-07-19 11:55:40', NULL, NULL), (23118, '', '皂角树村', '040c6aa0400741d5a0e0666197ab3c4b', '81721d7264ae4245838ac5dd7c4f4829', 'False', 'True', 'false', 'false', '511621105238', 5, '皂角树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621105238', 1, '2021-07-19 11:55:40', NULL, NULL), (23119, '', '大龙山村', '2956576932ca45df930b118a8efb8549', '81721d7264ae4245838ac5dd7c4f4829', 'False', 'True', 'false', 'false', '511621105244', 5, '大龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621105244', 1, '2021-07-19 11:55:40', NULL, NULL), (23120, '', '酉溪镇', '546ada5b36b94765b4b3965daf798d12', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621106000', 4, '酉溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621106000', 1, '2021-07-19 11:55:40', NULL, NULL), (23121, '', '平安社区', 'bc6cf53fdc574332a2aafcd8c62ce005', '546ada5b36b94765b4b3965daf798d12', 'False', 'True', 'false', 'false', '511621106003', 5, '平安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106003', 1, '2021-07-19 11:55:40', NULL, NULL), (23122, '', '恐龙社区', '08e6c20bdf8e446a986e7c11cabecbfb', '546ada5b36b94765b4b3965daf798d12', 'False', 'True', 'false', 'false', '511621106004', 5, '恐龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106004', 1, '2021-07-19 11:55:40', NULL, NULL), (23123, '', '安子沟村', 'b85c53d74647410d92354c73dbba5578', '546ada5b36b94765b4b3965daf798d12', 'False', 'True', 'false', 'false', '511621106201', 5, '安子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106201', 1, '2021-07-19 11:55:40', NULL, NULL), (23124, '', '寇家坝村', '8f258289351a414391a9b3798c7352ea', '546ada5b36b94765b4b3965daf798d12', 'False', 'True', 'false', 'false', '511621106209', 5, '寇家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106209', 1, '2021-07-19 11:55:41', NULL, NULL), (23125, '', '桥村坝村', '28cca4673a9f4cce85cc64e8cc59a151', '546ada5b36b94765b4b3965daf798d12', 'False', 'True', 'false', 'false', '511621106214', 5, '桥村坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106214', 1, '2021-07-19 11:55:41', NULL, NULL), (23126, '', '黑水河村', '4991569766f94c09a71847b2450fcb53', '546ada5b36b94765b4b3965daf798d12', 'False', 'True', 'false', 'false', '511621106222', 5, '黑水河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106222', 1, '2021-07-19 11:55:41', NULL, NULL), (23127, '', '平安寺村', 'ec6a7ac9bcf34a3ca39477853129cb75', '546ada5b36b94765b4b3965daf798d12', 'False', 'True', 'false', 'false', '511621106223', 5, '平安寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106223', 1, '2021-07-19 11:55:41', NULL, NULL), (23128, '', '二圣庙村', 'e65302040edf4d688729abbd0e59da01', '546ada5b36b94765b4b3965daf798d12', 'False', 'True', 'false', 'false', '511621106226', 5, '二圣庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106226', 1, '2021-07-19 11:55:41', NULL, NULL), (23129, '', '老山村', 'a3d8fa42d66f46378dfcb6a66d83b4d3', '546ada5b36b94765b4b3965daf798d12', 'False', 'True', 'false', 'false', '511621106229', 5, '老山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106229', 1, '2021-07-19 11:55:41', NULL, NULL), (23130, '', '林场村', '7d7331132bd8493fad29814ad676eeaa', '546ada5b36b94765b4b3965daf798d12', 'False', 'True', 'false', 'false', '511621106230', 5, '林场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106230', 1, '2021-07-19 11:55:41', NULL, NULL), (23131, '', '补家坝村', '832f4630452749d6932b9eaf23f22064', '546ada5b36b94765b4b3965daf798d12', 'False', 'True', 'false', 'false', '511621106232', 5, '补家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106232', 1, '2021-07-19 11:55:41', NULL, NULL), (23132, '', '唐家盖村', '97902614f94d4b49822110471533a7b4', '546ada5b36b94765b4b3965daf798d12', 'False', 'True', 'false', 'false', '511621106234', 5, '唐家盖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106234', 1, '2021-07-19 11:55:41', NULL, NULL), (23133, '', '河北滩村', '43674abcc31b4760ad21b73bfe52a03d', '546ada5b36b94765b4b3965daf798d12', 'False', 'True', 'false', 'false', '511621106237', 5, '河北滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106237', 1, '2021-07-19 11:55:41', NULL, NULL), (23134, '', '秀观音村', 'cd762f86b66f4327b88124a302893de3', '546ada5b36b94765b4b3965daf798d12', 'False', 'True', 'false', 'false', '511621106238', 5, '秀观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106238', 1, '2021-07-19 11:55:41', NULL, NULL), (23135, '', '黄花岭村', '93f4be8ab05e457aa5f6edfc4b97784d', '546ada5b36b94765b4b3965daf798d12', 'False', 'True', 'false', 'false', '511621106240', 5, '黄花岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106240', 1, '2021-07-19 11:55:41', NULL, NULL), (23136, '', '林擒山村', 'c8609486632a4bf9bc88ed485bb008d0', '546ada5b36b94765b4b3965daf798d12', 'False', 'True', 'false', 'false', '511621106242', 5, '林擒山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106242', 1, '2021-07-19 11:55:41', NULL, NULL), (23137, '', '刘仁沟村', 'ab866f60bdfd4912b4c948af63eda749', '546ada5b36b94765b4b3965daf798d12', 'False', 'False', 'false', 'false', '511621106204', 5, '刘仁沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106204', 1, '2021-07-19 11:55:41', NULL, NULL), (23138, '', '双石沟村', '0a2961cb93a64e0682b4390951232b5e', '546ada5b36b94765b4b3965daf798d12', 'False', 'False', 'false', 'false', '511621106205', 5, '双石沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106205', 1, '2021-07-19 11:55:41', NULL, NULL), (23139, '', '螺蛳岩村', 'a8035f0a071b40b89faff7b4920f3c89', '546ada5b36b94765b4b3965daf798d12', 'False', 'False', 'false', 'false', '511621106207', 5, '螺蛳岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106207', 1, '2021-07-19 11:55:41', NULL, NULL), (23140, '', '石猪奄村', '26421548f3ae496a8b74964af14a6212', '546ada5b36b94765b4b3965daf798d12', 'False', 'False', 'false', 'false', '511621106208', 5, '石猪奄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106208', 1, '2021-07-19 11:55:41', NULL, NULL), (23141, '', '野猫滩村', '1a5cae6a6f7d406fa5ed5d0d0dfd134f', '546ada5b36b94765b4b3965daf798d12', 'False', 'False', 'false', 'false', '511621106210', 5, '野猫滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106210', 1, '2021-07-19 11:55:42', NULL, NULL), (23142, '', '黄家堰村', '65805d9ee23745bfb8aae57597cd0cee', '546ada5b36b94765b4b3965daf798d12', 'False', 'False', 'false', 'false', '511621106212', 5, '黄家堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106212', 1, '2021-07-19 11:55:42', NULL, NULL), (23143, '', '刘家塘村', 'c036a6b4d5794d6e80e9b0c5137aebea', '546ada5b36b94765b4b3965daf798d12', 'False', 'False', 'false', 'false', '511621106213', 5, '刘家塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106213', 1, '2021-07-19 11:55:42', NULL, NULL), (23144, '', '药铺村', '7131b5ef642c4096a67f5a81e1925b99', '546ada5b36b94765b4b3965daf798d12', 'False', 'False', 'false', 'false', '511621106215', 5, '药铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106215', 1, '2021-07-19 11:55:42', NULL, NULL), (23145, '', '火场村', 'a2eee92d8b0a4a419e82274a2e063770', '546ada5b36b94765b4b3965daf798d12', 'False', 'False', 'false', 'false', '511621106218', 5, '火场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106218', 1, '2021-07-19 11:55:42', NULL, NULL), (23146, '', '刘家坝村', '375beaf1f8d346f8beca70fc71118277', '546ada5b36b94765b4b3965daf798d12', 'False', 'False', 'false', 'false', '511621106219', 5, '刘家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106219', 1, '2021-07-19 11:55:42', NULL, NULL), (23147, '', '学堂沟村', 'ff449cb68cd54ca785dc13799f9051c1', '546ada5b36b94765b4b3965daf798d12', 'False', 'False', 'false', 'false', '511621106221', 5, '学堂沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621106221', 1, '2021-07-19 11:55:42', NULL, NULL), (23148, '', '同兴镇', '00273d3bc9e345db81357c9d0a07cac2', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621107000', 4, '同兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621107000', 1, '2021-07-19 11:55:42', NULL, NULL), (23149, '', '果兴社区', '3df34689739648799db3e144c6c4cd8a', '00273d3bc9e345db81357c9d0a07cac2', 'False', 'True', 'false', 'false', '511621107001', 5, '果兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621107001', 1, '2021-07-19 11:55:42', NULL, NULL), (23150, '', '尹家坝村', '7223a778cd34448d82e08f374b883eb1', '00273d3bc9e345db81357c9d0a07cac2', 'False', 'True', 'false', 'false', '511621107202', 5, '尹家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621107202', 1, '2021-07-19 11:55:42', NULL, NULL), (23151, '', '罗家沟村', '4711799f0947494ab4904b82cb8a8595', '00273d3bc9e345db81357c9d0a07cac2', 'False', 'True', 'false', 'false', '511621107203', 5, '罗家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621107203', 1, '2021-07-19 11:55:42', NULL, NULL), (23152, '', '四兴村', '4cf463c4d5064ed499acc93cdc47aade', '00273d3bc9e345db81357c9d0a07cac2', 'False', 'True', 'false', 'false', '511621107213', 5, '四兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621107213', 1, '2021-07-19 11:55:42', NULL, NULL), (23153, '', '永兴村', '0cd27fa3c8554c61872c124a5010d88e', '00273d3bc9e345db81357c9d0a07cac2', 'False', 'True', 'false', 'false', '511621107214', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621107214', 1, '2021-07-19 11:55:42', NULL, NULL), (23154, '', '齐兴村', '4d9ec48c306542caad0e9947ffdb6e60', '00273d3bc9e345db81357c9d0a07cac2', 'False', 'True', 'false', 'false', '511621107215', 5, '齐兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621107215', 1, '2021-07-19 11:55:43', NULL, NULL), (23155, '', '星光村', 'bb13d218cf8a42f08399c3802379b19a', '00273d3bc9e345db81357c9d0a07cac2', 'False', 'True', 'false', 'false', '511621107216', 5, '星光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621107216', 1, '2021-07-19 11:55:43', NULL, NULL), (23156, '', '兴隆镇', '71e4961c30734a6da116c375b3ca2e4c', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621108000', 4, '兴隆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621108000', 1, '2021-07-19 11:55:43', NULL, NULL), (23157, '', '兴旺社区', 'cef903bc7df84860979149884d42ec28', '71e4961c30734a6da116c375b3ca2e4c', 'False', 'True', 'false', 'false', '511621108844', 5, '兴旺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621108844', 1, '2021-07-19 11:55:43', NULL, NULL), (23158, '', '大仓沟村', '8aa45eb88b584fadbb08ca0e30ce4dc1', '71e4961c30734a6da116c375b3ca2e4c', 'False', 'False', 'false', 'false', '511621108202', 5, '大仓沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621108202', 1, '2021-07-19 11:55:43', NULL, NULL), (23159, '', '陈家梁村', 'c6ab2a067f01443da59ed636f6e9e6a0', '71e4961c30734a6da116c375b3ca2e4c', 'False', 'False', 'false', 'false', '511621108207', 5, '陈家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621108207', 1, '2021-07-19 11:55:43', NULL, NULL), (23160, '', '陈家坡村', '0e08bf38bc384f80be2e0034cb413bd4', '71e4961c30734a6da116c375b3ca2e4c', 'False', 'False', 'false', 'false', '511621108212', 5, '陈家坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621108212', 1, '2021-07-19 11:55:43', NULL, NULL), (23161, '', '五通庙村', '78bf9a821dca41d1a06523496269ff75', '71e4961c30734a6da116c375b3ca2e4c', 'False', 'False', 'false', 'false', '511621108298', 5, '五通庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621108298', 1, '2021-07-19 11:55:43', NULL, NULL), (23162, '', '断碑村', '9281781f1a584093b953b92c0b52fe30', '71e4961c30734a6da116c375b3ca2e4c', 'False', 'False', 'false', 'false', '511621108950', 5, '断碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621108950', 1, '2021-07-19 11:55:43', NULL, NULL), (23163, '', '秦溪镇', 'c617d5545d5e4c9c90f4446adaa8a6e0', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621109000', 4, '秦溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621109000', 1, '2021-07-19 11:55:43', NULL, NULL), (23164, '', '清溪社区', '6b226a57217542e3846207bdc24ee22a', 'c617d5545d5e4c9c90f4446adaa8a6e0', 'False', 'True', 'false', 'false', '511621109001', 5, '清溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621109001', 1, '2021-07-19 11:55:43', NULL, NULL), (23165, '', '穿石孔村', '7b60cb3f4fe64ba58ad7d466b2c2bfae', 'c617d5545d5e4c9c90f4446adaa8a6e0', 'False', 'True', 'false', 'false', '511621109222', 5, '穿石孔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621109222', 1, '2021-07-19 11:55:43', NULL, NULL), (23166, '', '檬子桥村', '1be912a3396a4ca98725f6adf9ddd6f9', 'c617d5545d5e4c9c90f4446adaa8a6e0', 'False', 'True', 'false', 'false', '511621109224', 5, '檬子桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621109224', 1, '2021-07-19 11:55:43', NULL, NULL), (23167, '', '朝门村', 'd3af393336ab4e758b7820eb89f8b68a', 'c617d5545d5e4c9c90f4446adaa8a6e0', 'False', 'True', 'false', 'false', '511621109225', 5, '朝门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621109225', 1, '2021-07-19 11:55:43', NULL, NULL), (23168, '', '柏杨沟村', '3984d6210a694b2e859bf7dfe2a12bf5', 'c617d5545d5e4c9c90f4446adaa8a6e0', 'False', 'True', 'false', 'false', '511621109227', 5, '柏杨沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621109227', 1, '2021-07-19 11:55:43', NULL, NULL), (23169, '', '团结村', '8adda8db91a748409d36e27f2adb3bb8', 'c617d5545d5e4c9c90f4446adaa8a6e0', 'False', 'True', 'false', 'false', '511621109229', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621109229', 1, '2021-07-19 11:55:43', NULL, NULL), (23170, '', '仙谭寺村', '93acd424c38c4d1fbcf247d22d191965', 'c617d5545d5e4c9c90f4446adaa8a6e0', 'False', 'True', 'false', 'false', '511621109230', 5, '仙谭寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621109230', 1, '2021-07-19 11:55:44', NULL, NULL), (23171, '', '顾县镇', 'ec73346f2d4941ad98f26705f1e81836', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621110000', 4, '顾县镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621110000', 1, '2021-07-19 11:55:44', NULL, NULL), (23172, '', '金城山社区', '8e5df532c8ed4c90bcc0f5762cb0b505', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110002', 5, '金城山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110002', 1, '2021-07-19 11:55:44', NULL, NULL), (23173, '', '双龙社区', '992776c0a0844c27bbf967c318f3a6a5', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110003', 5, '双龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110003', 1, '2021-07-19 11:55:44', NULL, NULL), (23174, '', '顾东社区', 'ee6a0cc5bb334c0abd76427c6d9f69fe', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110004', 5, '顾东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110004', 1, '2021-07-19 11:55:44', NULL, NULL), (23175, '', '东板村', '68dcae9371f74e7e81bba4c8f63832a8', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110238', 5, '东板村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110238', 1, '2021-07-19 11:55:44', NULL, NULL), (23176, '', '将军村', 'f096258af4bd4de5919d2fc4f0f2decb', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110249', 5, '将军村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110249', 1, '2021-07-19 11:55:44', NULL, NULL), (23177, '', '长田村', 'd62545ec781b43c3a7e39e90286f89a9', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110250', 5, '长田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110250', 1, '2021-07-19 11:55:44', NULL, NULL), (23178, '', '白羊庙村', 'fba338a5375644eabf692e6938c27bc3', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110258', 5, '白羊庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110258', 1, '2021-07-19 11:55:44', NULL, NULL), (23179, '', '中和庙村', 'aead8f0ff40e4c71839872180651c5f5', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110260', 5, '中和庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110260', 1, '2021-07-19 11:55:44', NULL, NULL), (23180, '', '保全寺村', '23a67ea886d74a3c9e92ad6a930944fe', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110262', 5, '保全寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110262', 1, '2021-07-19 11:55:44', NULL, NULL), (23181, '', '桃花沟村', '085b5ccaa89f40c78c9b865617ff2121', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110268', 5, '桃花沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110268', 1, '2021-07-19 11:55:44', NULL, NULL), (23182, '', '新三好村', '2bebabd08db5474597fe1203eee5878e', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110269', 5, '新三好村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110269', 1, '2021-07-19 11:55:44', NULL, NULL), (23183, '', '青云堂村', '45d836a2aa7c40e58f093ad95fe3668b', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110270', 5, '青云堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110270', 1, '2021-07-19 11:55:44', NULL, NULL), (23184, '', '双鄢村', '0d2f663571854a318dfb8003cfea250d', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110271', 5, '双鄢村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110271', 1, '2021-07-19 11:55:44', NULL, NULL), (23185, '', '大园岽村', '8615981e61634613818a3d45f7d5e4f9', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110272', 5, '大园岽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110272', 1, '2021-07-19 11:55:44', NULL, NULL), (23186, '', '观桥村', '89f10211bdd041fbbc9498c4e6bb915c', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110273', 5, '观桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110273', 1, '2021-07-19 11:55:44', NULL, NULL), (23187, '', '羊山湖村', '067434568a984682a68dadcae8caabb4', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110274', 5, '羊山湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110274', 1, '2021-07-19 11:55:45', NULL, NULL), (23188, '', '两会桥村', 'c227a677bff1417fb0ad456f0d66270d', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110275', 5, '两会桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110275', 1, '2021-07-19 11:55:45', NULL, NULL), (23189, '', '赵佰庙村', '309b2dc9ce5c4894aa46203d12c4d80a', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110276', 5, '赵佰庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110276', 1, '2021-07-19 11:55:45', NULL, NULL), (23190, '', '龙马桥村', '3d0678ec43ee4bf985b85c3d4cfa5bd4', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110277', 5, '龙马桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110277', 1, '2021-07-19 11:55:45', NULL, NULL), (23191, '', '高桥村', 'e0fbe40dbc4f4e75a5d11f6ffb1a760e', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110278', 5, '高桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110278', 1, '2021-07-19 11:55:45', NULL, NULL), (23192, '', '桐子树村', '74d67f1e02cc4b66a6cda6868aa6cf5a', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110206', 5, '桐子树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110206', 1, '2021-07-19 11:55:45', NULL, NULL), (23193, '', '李家堂村', 'be8168394214454e82329052f39c2213', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110208', 5, '李家堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110208', 1, '2021-07-19 11:55:45', NULL, NULL), (23194, '', '付家坳村', '32f8e8b0fe994c37b04489d858ca91f2', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110209', 5, '付家坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110209', 1, '2021-07-19 11:55:45', NULL, NULL), (23195, '', '蒙家湾村', '1377b0a1e16a4c83994e94d7729e0715', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110210', 5, '蒙家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110210', 1, '2021-07-19 11:55:45', NULL, NULL), (23196, '', '大园岽村', 'd223e32cb20d459bbe08268ca988debf', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110211', 5, '大园岽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110211', 1, '2021-07-19 11:55:45', NULL, NULL), (23197, '', '石庙沟村', '04c6208b22df472eace5b46deb4b9c76', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110214', 5, '石庙沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110214', 1, '2021-07-19 11:55:45', NULL, NULL), (23198, '', '偏旗山村', '9ff1f908cacb4308ae3eb0967458acd8', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110216', 5, '偏旗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110216', 1, '2021-07-19 11:55:45', NULL, NULL), (23199, '', '南岳庙村', 'e5a94d9b5b7a421db3c1e86ec46aaa98', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110217', 5, '南岳庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110217', 1, '2021-07-19 11:55:45', NULL, NULL), (23200, '', '朝阳村', '2cf1afea81a846d5ab0a24733ed25e88', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110218', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110218', 1, '2021-07-19 11:55:45', NULL, NULL), (23201, '', '火烧坡村', 'c71c8cd15a5f470f864b465269f767f4', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110219', 5, '火烧坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110219', 1, '2021-07-19 11:55:45', NULL, NULL), (23202, '', '胡家庙村', 'c2ad2c51258c4b5889fac3e13881f38f', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110220', 5, '胡家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110220', 1, '2021-07-19 11:55:46', NULL, NULL), (23203, '', '石鹤嘴村', 'f27cc3ce20c94024b2ec98689a6058de', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110221', 5, '石鹤嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110221', 1, '2021-07-19 11:55:46', NULL, NULL), (23204, '', '和平村', '4405e76b1cbd41e78e1d0fa4b615d3de', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110222', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110222', 1, '2021-07-19 11:55:46', NULL, NULL), (23205, '', '姜家庙村', '4adf8c576c43428082a2fd1df1d918bd', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110223', 5, '姜家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110223', 1, '2021-07-19 11:55:46', NULL, NULL), (23206, '', '汪家沟村', '3091d8ff581a4aa98706b5acdbe4652e', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110224', 5, '汪家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110224', 1, '2021-07-19 11:55:46', NULL, NULL), (23207, '', '小门路村', '9e3e2b2b206d4525a3251163a544286d', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110225', 5, '小门路村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110225', 1, '2021-07-19 11:55:46', NULL, NULL), (23208, '', '小羊山村', 'dd7ce89d2f9d4f37b498fcba9e657a66', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110227', 5, '小羊山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110227', 1, '2021-07-19 11:55:46', NULL, NULL), (23209, '', '梁家坳村', 'd49a83021776493bb30552a55b77100c', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110228', 5, '梁家坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110228', 1, '2021-07-19 11:55:46', NULL, NULL), (23210, '', '马家村', '2d574141543a41d1bb0f7c2237d49dfe', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110229', 5, '马家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110229', 1, '2021-07-19 11:55:46', NULL, NULL), (23211, '', '真武桥村', '3cdd05d509c944b6b685eebb91c4d748', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110231', 5, '真武桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110231', 1, '2021-07-19 11:55:46', NULL, NULL), (23212, '', '大梨村', '79d860c03ea242d297166f29f3a2ef67', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110233', 5, '大梨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110233', 1, '2021-07-19 11:55:46', NULL, NULL), (23213, '', '冯家坳村', '4299cd6574f94102b1e7c567608e64f7', 'ec73346f2d4941ad98f26705f1e81836', 'False', 'False', 'false', 'false', '511621110234', 5, '冯家坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621110234', 1, '2021-07-19 11:55:46', NULL, NULL), (23214, '', '苟角镇', '1b7e72d92e3849b3956a4614c7900ce7', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621111000', 4, '苟角镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621111000', 1, '2021-07-19 11:55:46', NULL, NULL), (23215, '', '石城村', '1d5d18e3da1841a2868da7464dff8d7a', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111251', 5, '石城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111251', 1, '2021-07-19 11:55:46', NULL, NULL), (23216, '', '红星村', 'ba1a9072cb21478bb887a7cfecaca194', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111252', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111252', 1, '2021-07-19 11:55:47', NULL, NULL), (23217, '', '羊子山村', 'b373b70ac4a842b19f29b6239e4244ee', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111202', 5, '羊子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111202', 1, '2021-07-19 11:55:47', NULL, NULL), (23218, '', '花庙子村', '1c49856670494f3a905ae3df2b0b2fef', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111205', 5, '花庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111205', 1, '2021-07-19 11:55:47', NULL, NULL), (23219, '', '倒碑村', '1ccb64b30d4b4d6aaa95fe13d42bb863', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111206', 5, '倒碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111206', 1, '2021-07-19 11:55:47', NULL, NULL), (23220, '', '红土地村', 'adb7bc1480d1423b988fe5365d69fe70', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111208', 5, '红土地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111208', 1, '2021-07-19 11:55:47', NULL, NULL), (23221, '', '烂朝门村', 'e0bdc676a95f4a54ad230faeb126adbe', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111209', 5, '烂朝门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111209', 1, '2021-07-19 11:55:47', NULL, NULL), (23222, '', '懒土地村', 'f477e746f1a843829152568506edcc58', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111210', 5, '懒土地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111210', 1, '2021-07-19 11:55:47', NULL, NULL), (23223, '', '乡里祠村', '9649f3e30225487ca1bcbb8aa1df7f6b', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111212', 5, '乡里祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111212', 1, '2021-07-19 11:55:47', NULL, NULL), (23224, '', '灯草行村', '320df9d064f043e8b1277f032ec5d0af', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111215', 5, '灯草行村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111215', 1, '2021-07-19 11:55:47', NULL, NULL), (23225, '', '方石坝村', '11d9ea37c96d4ca9b635de3f53865c9b', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111217', 5, '方石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111217', 1, '2021-07-19 11:55:47', NULL, NULL), (23226, '', '古坟梁村', '93961b3c39224baeb2c733b60b89e84e', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111219', 5, '古坟梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111219', 1, '2021-07-19 11:55:47', NULL, NULL), (23227, '', '杨家桥村', '7431d64f7a054b8d97766fc2295cd35a', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111220', 5, '杨家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111220', 1, '2021-07-19 11:55:47', NULL, NULL), (23228, '', '蛤蟆口村', 'f9c62bc621c7403aa6fc717b3e51b5b2', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111221', 5, '蛤蟆口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111221', 1, '2021-07-19 11:55:48', NULL, NULL), (23229, '', '墨斗溪村', '5153544395b148bdadd39ba5ba644f96', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111223', 5, '墨斗溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111223', 1, '2021-07-19 11:55:48', NULL, NULL), (23230, '', '马应山村', 'dd975627f87d43bfaba1c45c3716a69f', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111224', 5, '马应山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111224', 1, '2021-07-19 11:55:48', NULL, NULL), (23231, '', '庵堂沟村', '8b2b9ca008e74fa69c91e006b7f623ef', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111226', 5, '庵堂沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111226', 1, '2021-07-19 11:55:48', NULL, NULL), (23232, '', '双土地村', 'f202d90580054112894be57e5405f468', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111229', 5, '双土地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111229', 1, '2021-07-19 11:55:48', NULL, NULL), (23233, '', '回龙庙村', 'bd24028371ab4bc3ac36473068390cf2', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111230', 5, '回龙庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111230', 1, '2021-07-19 11:55:48', NULL, NULL), (23234, '', '安家坝村', '0becdeebfe314f6fa0a892dc833f0277', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111231', 5, '安家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111231', 1, '2021-07-19 11:55:48', NULL, NULL), (23235, '', '圣德山村', 'edc3b4ee82944e53980b7a5cd1417201', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111234', 5, '圣德山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111234', 1, '2021-07-19 11:55:48', NULL, NULL), (23236, '', '熊家沟村', '338e73b763bd4706ab609ec836d6e616', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111235', 5, '熊家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111235', 1, '2021-07-19 11:55:48', NULL, NULL), (23237, '', '凉水井村', '19fae508f9cd422095a85acbbb53150e', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111236', 5, '凉水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111236', 1, '2021-07-19 11:55:48', NULL, NULL), (23238, '', '回龙寺村', '197cee6dbfd1429eb7d0bb0c19468e01', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111238', 5, '回龙寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111238', 1, '2021-07-19 11:55:48', NULL, NULL), (23239, '', '吴家坡村', '2388e9f3db7740b0a85a9a78f013fac1', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111239', 5, '吴家坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111239', 1, '2021-07-19 11:55:48', NULL, NULL), (23240, '', '高岩头村', 'f4d0df16ffb245f1a633287cf26ea3b8', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111241', 5, '高岩头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111241', 1, '2021-07-19 11:55:48', NULL, NULL), (23241, '', '风门坳村', '0a7d1a334d6243939011e554dd7e9685', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111243', 5, '风门坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111243', 1, '2021-07-19 11:55:48', NULL, NULL), (23242, '', '安乐寨村', '173b9e333e7c463bbaf4cad91a305d20', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111244', 5, '安乐寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111244', 1, '2021-07-19 11:55:48', NULL, NULL), (23243, '', '走马坪村', '087663dda4614d2b9acc333b3477e906', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111246', 5, '走马坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111246', 1, '2021-07-19 11:55:48', NULL, NULL), (23244, '', '长五间村', '6493db87dfab4d71a216dd619f34d5f4', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111247', 5, '长五间村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111247', 1, '2021-07-19 11:55:48', NULL, NULL), (23245, '', '四方井村', '5d628b2ebcef4556b3d9c60816d2e4f1', '1b7e72d92e3849b3956a4614c7900ce7', 'False', 'False', 'false', 'false', '511621111249', 5, '四方井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621111249', 1, '2021-07-19 11:55:48', NULL, NULL), (23246, '', '天平镇', 'b739ae3148dc48f3b6f7c001fd5ecc48', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621112000', 4, '天平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621112000', 1, '2021-07-19 11:55:49', NULL, NULL), (23247, '', '滨河社区', '4006c37c2bcc4d9c9c7b79a9b60b6420', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112001', 5, '滨河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112001', 1, '2021-07-19 11:55:49', NULL, NULL), (23248, '', '蒋家庙村', '4b727e2bccd84c688cda37933a27a8a6', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112201', 5, '蒋家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112201', 1, '2021-07-19 11:55:49', NULL, NULL), (23249, '', '垭口村', 'd1563a1cf0cc44f3b1cfd27d72fde36e', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112203', 5, '垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112203', 1, '2021-07-19 11:55:49', NULL, NULL), (23250, '', '胜利村', '67f5a5e52f4245289244a241bf7b5058', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112206', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112206', 1, '2021-07-19 11:55:49', NULL, NULL), (23251, '', '土地坳村', '802a7c6f6337416faf76d63c360a8170', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112208', 5, '土地坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112208', 1, '2021-07-19 11:55:49', NULL, NULL), (23252, '', '回龙村', 'e36fe282594d4b798be552d244169c5f', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112209', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112209', 1, '2021-07-19 11:55:49', NULL, NULL), (23253, '', '金龙庙村', '0a9009e432164c9d8984afa52ddabf38', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112210', 5, '金龙庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112210', 1, '2021-07-19 11:55:49', NULL, NULL), (23254, '', '五圣庙村', 'ca629e4ad5474d32948fadd95d8bb2be', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112211', 5, '五圣庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112211', 1, '2021-07-19 11:55:49', NULL, NULL), (23255, '', '八块田村', '38b4c100d4a94a529f03404056e4a78a', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112215', 5, '八块田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112215', 1, '2021-07-19 11:55:49', NULL, NULL), (23256, '', '长河扁村', '774ade1123144e04afece024a37cfb8d', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112220', 5, '长河扁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112220', 1, '2021-07-19 11:55:49', NULL, NULL), (23257, '', '先锋观村', '0201b9ca25ea4d0cb2fd14ac965a4e20', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112224', 5, '先锋观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112224', 1, '2021-07-19 11:55:49', NULL, NULL), (23258, '', '英角村', '7aee7eba34d649edbe0d538d10e28383', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112227', 5, '英角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112227', 1, '2021-07-19 11:55:49', NULL, NULL), (23259, '', '李家坝村', 'a371c443429041c9a10f093f74f7519f', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112229', 5, '李家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112229', 1, '2021-07-19 11:55:50', NULL, NULL), (23260, '', '金龟桥村', '190be27080744cc7bf42214428349c98', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112231', 5, '金龟桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112231', 1, '2021-07-19 11:55:50', NULL, NULL), (23261, '', '水口村', 'c3f2136f271a4e419c8496955295c00a', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112234', 5, '水口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112234', 1, '2021-07-19 11:55:50', NULL, NULL), (23262, '', '蒋山镇村', 'cb48044c91d442c6a2784aa1515b9de6', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112235', 5, '蒋山镇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112235', 1, '2021-07-19 11:55:50', NULL, NULL), (23263, '', '安东村', '25962b70e48e4b1ba1c845026a1f4945', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112236', 5, '安东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112236', 1, '2021-07-19 11:55:50', NULL, NULL), (23264, '', '龙王滩村', 'ab53484c16a944cb9256f37ebc166533', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112237', 5, '龙王滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112237', 1, '2021-07-19 11:55:50', NULL, NULL), (23265, '', '三元寨村', 'c42589bccd0d4a44ad234c900c01711e', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112238', 5, '三元寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112238', 1, '2021-07-19 11:55:50', NULL, NULL), (23266, '', '新中村', 'f7ca2983f3f64748a405f42899d3a8dd', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112239', 5, '新中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112239', 1, '2021-07-19 11:55:50', NULL, NULL), (23267, '', '黎家沟村', 'ac91035c3ae6427fb06fd3d145cbcc1a', 'b739ae3148dc48f3b6f7c001fd5ecc48', 'False', 'False', 'false', 'false', '511621112213', 5, '黎家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621112213', 1, '2021-07-19 11:55:50', NULL, NULL), (23268, '', '石垭镇', '442b4c0f52da424286c6c6192ab31d1d', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621113000', 4, '石垭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621113000', 1, '2021-07-19 11:55:50', NULL, NULL), (23269, '', '温家堡', 'a4694ba90c9b4e509c9b75759fe35c74', '442b4c0f52da424286c6c6192ab31d1d', 'False', 'True', 'false', 'false', '511621113003', 5, '温家堡', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621113003', 1, '2021-07-19 11:55:50', NULL, NULL), (23270, '', '长石村', '9e1c2d6f99b14697bf1a08da911d1c54', '442b4c0f52da424286c6c6192ab31d1d', 'False', 'True', 'false', 'false', '511621113213', 5, '长石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621113213', 1, '2021-07-19 11:55:50', NULL, NULL), (23271, '', '乔家镇', '71fbcb17ad31464cb755e718cdd4cf41', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621114000', 4, '乔家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621114000', 1, '2021-07-19 11:55:50', NULL, NULL), (23272, '', '杨坝村', 'e65550bf2c16436abfbc80d0db98b795', '71fbcb17ad31464cb755e718cdd4cf41', 'False', 'True', 'false', 'false', '511621114201', 5, '杨坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621114201', 1, '2021-07-19 11:55:50', NULL, NULL), (23273, '', '太阳石村', 'db36e8589d6f45b38979ac34a0e1a041', '71fbcb17ad31464cb755e718cdd4cf41', 'False', 'True', 'false', 'false', '511621114202', 5, '太阳石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621114202', 1, '2021-07-19 11:55:50', NULL, NULL), (23274, '', '韩婆岭村', '8ba7eac84e32426ca553821a92a84d8b', '71fbcb17ad31464cb755e718cdd4cf41', 'False', 'True', 'false', 'false', '511621114214', 5, '韩婆岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621114214', 1, '2021-07-19 11:55:51', NULL, NULL), (23275, '', '灵官庙村', 'ddbf885b22bd49ebb57258f49fd70afe', '71fbcb17ad31464cb755e718cdd4cf41', 'False', 'False', 'false', 'false', '511621114002', 5, '灵官庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621114002', 1, '2021-07-19 11:55:51', NULL, NULL), (23276, '', '韩婆岭村', '4fc62ace8c9e42129a2721c49e932e7a', '71fbcb17ad31464cb755e718cdd4cf41', 'False', 'False', 'false', 'false', '511621114213', 5, '韩婆岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621114213', 1, '2021-07-19 11:55:51', NULL, NULL), (23277, '', '罗渡镇', '586cd9acc8364e9bb0050a3e5358b7e0', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621115000', 4, '罗渡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621115000', 1, '2021-07-19 11:55:51', NULL, NULL), (23278, '', '赛龙社区', 'c9a0911b97de42f58ca89c8c89143ad2', '586cd9acc8364e9bb0050a3e5358b7e0', 'False', 'True', 'false', 'false', '511621115003', 5, '赛龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621115003', 1, '2021-07-19 11:55:51', NULL, NULL), (23279, '', '大佛社区', '7aaa551111fe4da083dd61bc46e6efe1', '586cd9acc8364e9bb0050a3e5358b7e0', 'False', 'True', 'false', 'false', '511621115004', 5, '大佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621115004', 1, '2021-07-19 11:55:51', NULL, NULL), (23280, '', '顺梁寨村', 'cdece361554a46b3966638c19523fc23', '586cd9acc8364e9bb0050a3e5358b7e0', 'False', 'True', 'false', 'false', '511621115218', 5, '顺梁寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621115218', 1, '2021-07-19 11:55:51', NULL, NULL), (23281, '', '井淹院村', '6b627ce9c5d9441c94d18543bb60b3b0', '586cd9acc8364e9bb0050a3e5358b7e0', 'False', 'True', 'false', 'false', '511621115219', 5, '井淹院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621115219', 1, '2021-07-19 11:55:51', NULL, NULL), (23282, '', '花柳溪村', '9aa68e3f77684ac7b06092f66346afda', '586cd9acc8364e9bb0050a3e5358b7e0', 'False', 'True', 'false', 'false', '511621115221', 5, '花柳溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621115221', 1, '2021-07-19 11:55:51', NULL, NULL), (23283, '', '天神堂村', '167d1c6752874a65bf23c537c9ed4519', '586cd9acc8364e9bb0050a3e5358b7e0', 'False', 'True', 'false', 'false', '511621115222', 5, '天神堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621115222', 1, '2021-07-19 11:55:51', NULL, NULL), (23284, '', '龙泉村', '7248bec0aeaf4b758ad7a273f4a2921d', '586cd9acc8364e9bb0050a3e5358b7e0', 'False', 'True', 'false', 'false', '511621115226', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621115226', 1, '2021-07-19 11:55:51', NULL, NULL), (23285, '', '老人坪村', 'cbba6098eaef45808dec1143b4063b57', '586cd9acc8364e9bb0050a3e5358b7e0', 'False', 'True', 'false', 'false', '511621115227', 5, '老人坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621115227', 1, '2021-07-19 11:55:51', NULL, NULL), (23286, '', '赵家坪村', 'ec6108d399f842fe9bd0fedd3db79840', '586cd9acc8364e9bb0050a3e5358b7e0', 'False', 'True', 'false', 'false', '511621115228', 5, '赵家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621115228', 1, '2021-07-19 11:55:52', NULL, NULL), (23287, '', '红花园村', 'ce589db64c524e4ba097c51144691ba5', '586cd9acc8364e9bb0050a3e5358b7e0', 'False', 'True', 'false', 'false', '511621115229', 5, '红花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621115229', 1, '2021-07-19 11:55:52', NULL, NULL), (23288, '', '十字路村', '2eb5f1aee9474939870ac06ed1cd0e50', '586cd9acc8364e9bb0050a3e5358b7e0', 'False', 'True', 'false', 'false', '511621115230', 5, '十字路村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621115230', 1, '2021-07-19 11:55:52', NULL, NULL), (23289, '', '园艺场村', '4093fb12fe7148ae8df432e17e2cd70b', '586cd9acc8364e9bb0050a3e5358b7e0', 'False', 'True', 'false', 'false', '511621115233', 5, '园艺场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621115233', 1, '2021-07-19 11:55:52', NULL, NULL), (23290, '', '大佛寺村', 'c60749c1205048ffbb031edcc160b29e', '586cd9acc8364e9bb0050a3e5358b7e0', 'False', 'True', 'false', 'false', '511621115240', 5, '大佛寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621115240', 1, '2021-07-19 11:55:52', NULL, NULL), (23291, '', '凤凰村', '1b79667a325c4f4c8d1b842b743c13ef', '586cd9acc8364e9bb0050a3e5358b7e0', 'False', 'True', 'false', 'false', '511621115243', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621115243', 1, '2021-07-19 11:55:52', NULL, NULL), (23292, '', '香山村', '619ea36131774c38851e5e71769913cd', '586cd9acc8364e9bb0050a3e5358b7e0', 'False', 'True', 'false', 'false', '511621115244', 5, '香山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621115244', 1, '2021-07-19 11:55:52', NULL, NULL), (23293, '', '三官店村', 'bd4ed68dc2664758a89aff91278b05d1', '586cd9acc8364e9bb0050a3e5358b7e0', 'False', 'True', 'false', 'false', '511621115247', 5, '三官店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621115247', 1, '2021-07-19 11:55:52', NULL, NULL), (23294, '', '罗善桥村', '69c28e22222947be8b7fcae15d5258c9', '586cd9acc8364e9bb0050a3e5358b7e0', 'False', 'True', 'false', 'false', '511621115249', 5, '罗善桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621115249', 1, '2021-07-19 11:55:52', NULL, NULL), (23295, '', '河畔沟村', '8263640590034c18a993b49698c6653e', '586cd9acc8364e9bb0050a3e5358b7e0', 'False', 'True', 'false', 'false', '511621115250', 5, '河畔沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621115250', 1, '2021-07-19 11:55:52', NULL, NULL), (23296, '', '裕民镇', 'c850eaf1def84fc18fa9a1cc201dd61e', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621116000', 4, '裕民镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621116000', 1, '2021-07-19 11:55:52', NULL, NULL), (23297, '', '古迹山村', '65579c95643142b8ae6da2f69e20023d', 'c850eaf1def84fc18fa9a1cc201dd61e', 'False', 'True', 'false', 'false', '511621116693', 5, '古迹山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621116693', 1, '2021-07-19 11:55:52', NULL, NULL), (23298, '', '中和镇', '53b8f2304d594d54918fd1c8e9d8e5e6', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621117000', 4, '中和镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621117000', 1, '2021-07-19 11:55:52', NULL, NULL), (23299, '', '天全村', 'cfee6c01735040189b2c4c1e60431b50', '53b8f2304d594d54918fd1c8e9d8e5e6', 'False', 'False', 'false', 'false', '511621117221', 5, '天全村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621117221', 1, '2021-07-19 11:55:52', NULL, NULL), (23300, '', '渠河村', 'f95bf6bc938a446c9105988a46f33891', '53b8f2304d594d54918fd1c8e9d8e5e6', 'False', 'False', 'false', 'false', '511621117222', 5, '渠河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621117222', 1, '2021-07-19 11:55:53', NULL, NULL), (23301, '', '金顶山村', '393ab7b016de4038abf8ad46090e3bcd', '53b8f2304d594d54918fd1c8e9d8e5e6', 'False', 'True', 'false', 'false', '511621117223', 5, '金顶山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621117223', 1, '2021-07-19 11:55:53', NULL, NULL), (23302, '', '太阳坪村', '3aea4dd76ca7495db2656ae85c070e7b', '53b8f2304d594d54918fd1c8e9d8e5e6', 'False', 'True', 'false', 'false', '511621117224', 5, '太阳坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621117224', 1, '2021-07-19 11:55:53', NULL, NULL), (23303, '', '羊头坝村', '70f212eddd214c3da83320c9c60e3747', '53b8f2304d594d54918fd1c8e9d8e5e6', 'False', 'False', 'false', 'false', '511621117201', 5, '羊头坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621117201', 1, '2021-07-19 11:55:53', NULL, NULL), (23304, '', '山陵湾村', 'e21feece51ef43d8b94683262f3ec0f1', '53b8f2304d594d54918fd1c8e9d8e5e6', 'False', 'False', 'false', 'false', '511621117204', 5, '山陵湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621117204', 1, '2021-07-19 11:55:53', NULL, NULL), (23305, '', '凉风垭村', '1298b6111e004561a3cfe184446addce', '53b8f2304d594d54918fd1c8e9d8e5e6', 'False', 'False', 'false', 'false', '511621117206', 5, '凉风垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621117206', 1, '2021-07-19 11:55:53', NULL, NULL), (23306, '', '大庙山村', '82ccb46f94c4407b8a08f64c060169af', '53b8f2304d594d54918fd1c8e9d8e5e6', 'False', 'False', 'false', 'false', '511621117207', 5, '大庙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621117207', 1, '2021-07-19 11:55:53', NULL, NULL), (23307, '', '长梁子村', '6566060b184643deadd2fe8172c196f8', '53b8f2304d594d54918fd1c8e9d8e5e6', 'False', 'False', 'false', 'false', '511621117209', 5, '长梁子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621117209', 1, '2021-07-19 11:55:53', NULL, NULL), (23308, '', '智光嘴村', '3ce9b0a9700842e2a37be2b1ef871c5c', '53b8f2304d594d54918fd1c8e9d8e5e6', 'False', 'False', 'false', 'false', '511621117210', 5, '智光嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621117210', 1, '2021-07-19 11:55:53', NULL, NULL), (23309, '', '金顶山村', '4e2cf980fc614840bfb8bfad70f9e9e3', '53b8f2304d594d54918fd1c8e9d8e5e6', 'False', 'False', 'false', 'false', '511621117214', 5, '金顶山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621117214', 1, '2021-07-19 11:55:53', NULL, NULL), (23310, '', '甘家梁村', 'ac8563cef2464643bd2f01f2d095fc7c', '53b8f2304d594d54918fd1c8e9d8e5e6', 'False', 'False', 'false', 'false', '511621117215', 5, '甘家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621117215', 1, '2021-07-19 11:55:53', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (23311, '', '马家桥村', '4daa86de7b0c45b6a58b721c223e7302', '53b8f2304d594d54918fd1c8e9d8e5e6', 'False', 'False', 'false', 'false', '511621117217', 5, '马家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621117217', 1, '2021-07-19 11:55:54', NULL, NULL), (23312, '', '资阳坪村', 'bb6b06660a2b4fd0a4c50780e9004053', '53b8f2304d594d54918fd1c8e9d8e5e6', 'False', 'False', 'false', 'false', '511621117218', 5, '资阳坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621117218', 1, '2021-07-19 11:55:54', NULL, NULL), (23313, '', '二郎庙村', '2b7117d3d9c446438270d582023a6316', '53b8f2304d594d54918fd1c8e9d8e5e6', 'False', 'False', 'false', 'false', '511621117220', 5, '二郎庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621117220', 1, '2021-07-19 11:55:54', NULL, NULL), (23314, '', '新场镇', '8e65cecc232f4cbb9fc6f2417cdfb1ca', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621118000', 4, '新场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621118000', 1, '2021-07-19 11:55:54', NULL, NULL), (23315, '', '永胜社区', '481ce6e9994d4d408eeb394dbbdf4460', '8e65cecc232f4cbb9fc6f2417cdfb1ca', 'False', 'True', 'false', 'false', '511621118001', 5, '永胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621118001', 1, '2021-07-19 11:55:54', NULL, NULL), (23316, '', '大石坝村', '363698e19b3d41c483158b484bd97ddc', '8e65cecc232f4cbb9fc6f2417cdfb1ca', 'False', 'True', 'false', 'false', '511621118202', 5, '大石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621118202', 1, '2021-07-19 11:55:54', NULL, NULL), (23317, '', '新场村', '5d7469a56d49460db111a5a7a4422eaf', '8e65cecc232f4cbb9fc6f2417cdfb1ca', 'False', 'True', 'false', 'false', '511621118204', 5, '新场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621118204', 1, '2021-07-19 11:55:54', NULL, NULL), (23318, '', '杜家寺村', '998bf3b5ec36495597ec711e459bd40a', '8e65cecc232f4cbb9fc6f2417cdfb1ca', 'False', 'True', 'false', 'false', '511621118205', 5, '杜家寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621118205', 1, '2021-07-19 11:55:54', NULL, NULL), (23319, '', '贺家堂村', 'ef12c54f183d49bd90bbd3edf338bf4b', '8e65cecc232f4cbb9fc6f2417cdfb1ca', 'False', 'True', 'false', 'false', '511621118206', 5, '贺家堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621118206', 1, '2021-07-19 11:55:54', NULL, NULL), (23320, '', '红关寨村', '7529e5b515654c1fa234fcce4a19797f', '8e65cecc232f4cbb9fc6f2417cdfb1ca', 'False', 'True', 'false', 'false', '511621118207', 5, '红关寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621118207', 1, '2021-07-19 11:55:54', NULL, NULL), (23321, '', '黄家梁村', 'c93a3a2a8300486aa3541d58dc33470c', '8e65cecc232f4cbb9fc6f2417cdfb1ca', 'False', 'True', 'false', 'false', '511621118208', 5, '黄家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621118208', 1, '2021-07-19 11:55:54', NULL, NULL), (23322, '', '断桥村', 'bc3ecaef64694a3384ee142c3b59ffaf', '8e65cecc232f4cbb9fc6f2417cdfb1ca', 'False', 'True', 'false', 'false', '511621118212', 5, '断桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621118212', 1, '2021-07-19 11:55:54', NULL, NULL), (23323, '', '踏水桥村', '66335b67e6fc4a3698c293e735261c7c', '8e65cecc232f4cbb9fc6f2417cdfb1ca', 'False', 'True', 'false', 'false', '511621118216', 5, '踏水桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621118216', 1, '2021-07-19 11:55:54', NULL, NULL), (23324, '', '黄桷树村', 'fda76efacb6242d09c3ee51300f3b4ce', '8e65cecc232f4cbb9fc6f2417cdfb1ca', 'False', 'True', 'false', 'false', '511621118222', 5, '黄桷树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621118222', 1, '2021-07-19 11:55:54', NULL, NULL), (23325, '', '梁家垭村', 'baf7f019a9014426a9e95a44a2c940ea', '8e65cecc232f4cbb9fc6f2417cdfb1ca', 'False', 'True', 'false', 'false', '511621118224', 5, '梁家垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621118224', 1, '2021-07-19 11:55:54', NULL, NULL), (23326, '', '和溪村', '1b413389dbb641df82a9c12cf3763dbc', '8e65cecc232f4cbb9fc6f2417cdfb1ca', 'False', 'True', 'false', 'false', '511621118226', 5, '和溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621118226', 1, '2021-07-19 11:55:55', NULL, NULL), (23327, '', '回龙寺村', '48f0cd44e19b4b6ba05c1c9349a9952a', '8e65cecc232f4cbb9fc6f2417cdfb1ca', 'False', 'True', 'false', 'false', '511621118227', 5, '回龙寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621118227', 1, '2021-07-19 11:55:55', NULL, NULL), (23328, '', '梓桐寺村', 'c7f96d119d974c2693398d9e114288a8', '8e65cecc232f4cbb9fc6f2417cdfb1ca', 'False', 'True', 'false', 'false', '511621118228', 5, '梓桐寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621118228', 1, '2021-07-19 11:55:55', NULL, NULL), (23329, '', '临溪镇', 'b6dfdd3237c94c328173a3ccfa1c1616', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621121000', 4, '临溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621121000', 1, '2021-07-19 11:55:55', NULL, NULL), (23330, '', '双石桥社区', '8a0d98a8670a4f62b4710ebacbb13edb', 'b6dfdd3237c94c328173a3ccfa1c1616', 'False', 'True', 'false', 'false', '511621121001', 5, '双石桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621121001', 1, '2021-07-19 11:55:55', NULL, NULL), (23331, '', '转东桥村', '643c4a33560c412eb8d8deabd34e577a', 'b6dfdd3237c94c328173a3ccfa1c1616', 'False', 'True', 'false', 'false', '511621121201', 5, '转东桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621121201', 1, '2021-07-19 11:55:55', NULL, NULL), (23332, '', '筒车桥村', '81d892cc2a0e4e4f8dbbb6606c3b3b1c', 'b6dfdd3237c94c328173a3ccfa1c1616', 'False', 'True', 'false', 'false', '511621121202', 5, '筒车桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621121202', 1, '2021-07-19 11:55:55', NULL, NULL), (23333, '', '白鹤山村', '3aa4e051924c47939c9cc67c63b0f638', 'b6dfdd3237c94c328173a3ccfa1c1616', 'False', 'True', 'false', 'false', '511621121205', 5, '白鹤山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621121205', 1, '2021-07-19 11:55:55', NULL, NULL), (23334, '', '龙摊子村', '9a4484f4bc084b44b6fef9fd2a11fe8c', 'b6dfdd3237c94c328173a3ccfa1c1616', 'False', 'True', 'false', 'false', '511621121206', 5, '龙摊子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621121206', 1, '2021-07-19 11:55:55', NULL, NULL), (23335, '', '红庙子村', 'bc7d1f6c35134360a75c68681c62f591', 'b6dfdd3237c94c328173a3ccfa1c1616', 'False', 'True', 'false', 'false', '511621121208', 5, '红庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621121208', 1, '2021-07-19 11:55:55', NULL, NULL), (23336, '', '王家坪村', '3eb7a30b4a2c4cf1ba85b78efccfa49e', 'b6dfdd3237c94c328173a3ccfa1c1616', 'False', 'True', 'false', 'false', '511621121210', 5, '王家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621121210', 1, '2021-07-19 11:55:55', NULL, NULL), (23337, '', '西板镇', '391696baf2a047c7a2f95e4d84c1dd20', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621122000', 4, '西板镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621122000', 1, '2021-07-19 11:55:55', NULL, NULL), (23338, '', '板桥社区', '6db909a337114c04844b2c659639dbdb', '391696baf2a047c7a2f95e4d84c1dd20', 'False', 'True', 'false', 'false', '511621122001', 5, '板桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621122001', 1, '2021-07-19 11:55:55', NULL, NULL), (23339, '', '真武山村', 'b6a526db7bdf4fc6a74dc4ca9deab571', '391696baf2a047c7a2f95e4d84c1dd20', 'False', 'True', 'false', 'false', '511621122201', 5, '真武山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621122201', 1, '2021-07-19 11:55:55', NULL, NULL), (23340, '', '高峰池村', '5897ec05f1b24ab3a6b9c63ce922b170', '391696baf2a047c7a2f95e4d84c1dd20', 'False', 'True', 'false', 'false', '511621122202', 5, '高峰池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621122202', 1, '2021-07-19 11:55:56', NULL, NULL), (23341, '', '牛场寨村', 'bfc8acfe8afa4080b36cb0a0b5da8ed3', '391696baf2a047c7a2f95e4d84c1dd20', 'False', 'True', 'false', 'false', '511621122204', 5, '牛场寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621122204', 1, '2021-07-19 11:55:56', NULL, NULL), (23342, '', '长沟村', 'b2397fbe647e450a9ca8443e087f33a5', '391696baf2a047c7a2f95e4d84c1dd20', 'False', 'True', 'false', 'false', '511621122207', 5, '长沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621122207', 1, '2021-07-19 11:55:56', NULL, NULL), (23343, '', '老罐溪村', '4c11aa64fe2f4ce88164e7003e5616d5', '391696baf2a047c7a2f95e4d84c1dd20', 'False', 'True', 'false', 'false', '511621122208', 5, '老罐溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621122208', 1, '2021-07-19 11:55:56', NULL, NULL), (23344, '', '鼓楼坡村', '66b63ecbdbd14d0badccf644a6984011', '391696baf2a047c7a2f95e4d84c1dd20', 'False', 'True', 'false', 'false', '511621122211', 5, '鼓楼坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621122211', 1, '2021-07-19 11:55:56', NULL, NULL), (23345, '', '金子沟村', 'b793ba9cc6a745a6a723dbb1569865e7', '391696baf2a047c7a2f95e4d84c1dd20', 'False', 'True', 'false', 'false', '511621122214', 5, '金子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621122214', 1, '2021-07-19 11:55:56', NULL, NULL), (23346, '', '河堰口村', 'a5cffb35824b4e918890f5e831f0d109', '391696baf2a047c7a2f95e4d84c1dd20', 'False', 'True', 'false', 'false', '511621122218', 5, '河堰口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621122218', 1, '2021-07-19 11:55:56', NULL, NULL), (23347, '', '老关寨村', 'e93e6d0739f8440fa73131b80964dd83', '391696baf2a047c7a2f95e4d84c1dd20', 'False', 'True', 'false', 'false', '511621122220', 5, '老关寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621122220', 1, '2021-07-19 11:55:56', NULL, NULL), (23348, '', '高岩山村', '61a9b6dcf4d34d9dac934835088a53d5', '391696baf2a047c7a2f95e4d84c1dd20', 'False', 'True', 'false', 'false', '511621122221', 5, '高岩山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621122221', 1, '2021-07-19 11:55:56', NULL, NULL), (23349, '', '齐福镇', '6007d8434284457d98b1041357ec3f77', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621123000', 4, '齐福镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621123000', 1, '2021-07-19 11:55:56', NULL, NULL), (23350, '', '姚市桥社区', '7803a3be66e74fb2bf078cb9472b9117', '6007d8434284457d98b1041357ec3f77', 'False', 'False', 'false', 'false', '511621123001', 5, '姚市桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621123001', 1, '2021-07-19 11:55:56', NULL, NULL), (23351, '', '水口店村', 'b0bd637670364540af1441ed8b5c60f2', '6007d8434284457d98b1041357ec3f77', 'False', 'False', 'false', 'false', '511621123205', 5, '水口店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621123205', 1, '2021-07-19 11:55:56', NULL, NULL), (23352, '', '伍家河村', '50dff67b43af43d1ab70018da934d844', '6007d8434284457d98b1041357ec3f77', 'False', 'False', 'false', 'false', '511621123206', 5, '伍家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621123206', 1, '2021-07-19 11:55:56', NULL, NULL), (23353, '', '两河口村', '0b0be914b669476d9d08302a76ce5595', '6007d8434284457d98b1041357ec3f77', 'False', 'False', 'false', 'false', '511621123209', 5, '两河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621123209', 1, '2021-07-19 11:55:56', NULL, NULL), (23354, '', '白马庙村', '7a0b7aa6d7bb4217808c662e424030d3', '6007d8434284457d98b1041357ec3f77', 'False', 'False', 'false', 'false', '511621123210', 5, '白马庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621123210', 1, '2021-07-19 11:55:56', NULL, NULL), (23355, '', '齐头岩村', '4349ea0b0b5a4f43af7cce2eef7eacd5', '6007d8434284457d98b1041357ec3f77', 'False', 'False', 'false', 'false', '511621123214', 5, '齐头岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621123214', 1, '2021-07-19 11:55:56', NULL, NULL), (23356, '', '魏家沟村', 'c9202aa77a4e4260b0f99f09787566f0', '6007d8434284457d98b1041357ec3f77', 'False', 'False', 'false', 'false', '511621123216', 5, '魏家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621123216', 1, '2021-07-19 11:55:56', NULL, NULL), (23357, '', '屈家坝村', '89b95368eee144aeb5e0eae31b742f67', '6007d8434284457d98b1041357ec3f77', 'False', 'False', 'false', 'false', '511621123222', 5, '屈家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621123222', 1, '2021-07-19 11:55:57', NULL, NULL), (23358, '', '莲花屋基村', 'fb90a6d98abb43779697b406a34c68b5', '6007d8434284457d98b1041357ec3f77', 'False', 'False', 'false', 'false', '511621123223', 5, '莲花屋基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621123223', 1, '2021-07-19 11:55:57', NULL, NULL), (23359, '', '天台村', '95c8bd9d33bc40ab9455a10f00648041', '6007d8434284457d98b1041357ec3f77', 'False', 'False', 'false', 'false', '511621123225', 5, '天台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621123225', 1, '2021-07-19 11:55:57', NULL, NULL), (23360, '', '官庙村', 'f915cbe8ed5e41939170c50bc1f2a1ed', '6007d8434284457d98b1041357ec3f77', 'False', 'False', 'false', 'false', '511621123226', 5, '官庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621123226', 1, '2021-07-19 11:55:57', NULL, NULL), (23361, '', '伏龙镇', '07b7df1710724a1698ec506042e7d881', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621124000', 4, '伏龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621124000', 1, '2021-07-19 11:55:57', NULL, NULL), (23362, '', '腾龙社区', 'd2a8320281a64a0fae8820f9e78313af', '07b7df1710724a1698ec506042e7d881', 'False', 'True', 'false', 'false', '511621124001', 5, '腾龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621124001', 1, '2021-07-19 11:55:57', NULL, NULL), (23363, '', '打鱼滩村', 'e7afe29a78884cb3859a7696ae3a9622', '07b7df1710724a1698ec506042e7d881', 'False', 'True', 'false', 'false', '511621124201', 5, '打鱼滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621124201', 1, '2021-07-19 11:55:57', NULL, NULL), (23364, '', '水口庙村', '8d0b500101bb4a8d8ee6ead0b3bfe891', '07b7df1710724a1698ec506042e7d881', 'False', 'True', 'false', 'false', '511621124204', 5, '水口庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621124204', 1, '2021-07-19 11:55:57', NULL, NULL), (23365, '', '走马岭村', '741caddffbd24e37a1fc2a9e30fc0ff8', '07b7df1710724a1698ec506042e7d881', 'False', 'True', 'false', 'false', '511621124205', 5, '走马岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621124205', 1, '2021-07-19 11:55:57', NULL, NULL), (23366, '', '碑梁子村', '56cd4c4b7f2e430f8f98618687f04996', '07b7df1710724a1698ec506042e7d881', 'False', 'True', 'false', 'false', '511621124207', 5, '碑梁子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621124207', 1, '2021-07-19 11:55:57', NULL, NULL), (23367, '', '龙堂庙村', '61fbc992563b46cc926cfd5235c4d3c7', '07b7df1710724a1698ec506042e7d881', 'False', 'True', 'false', 'false', '511621124209', 5, '龙堂庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621124209', 1, '2021-07-19 11:55:57', NULL, NULL), (23368, '', '关家嘴村', 'a4ad2eebd60f41cda2170f673624319a', '07b7df1710724a1698ec506042e7d881', 'False', 'True', 'false', 'false', '511621124210', 5, '关家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621124210', 1, '2021-07-19 11:55:57', NULL, NULL), (23369, '', '任家坪村', 'ad933b88c30d4436b41e9b2798a6a66c', '07b7df1710724a1698ec506042e7d881', 'False', 'True', 'false', 'false', '511621124212', 5, '任家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621124212', 1, '2021-07-19 11:55:57', NULL, NULL), (23370, '', '沈家沟村', '2a220d98f7be461f9b7303d221889a5b', '07b7df1710724a1698ec506042e7d881', 'False', 'True', 'false', 'false', '511621124215', 5, '沈家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621124215', 1, '2021-07-19 11:55:57', NULL, NULL), (23371, '', '白杨湾村', '8b67fc80e3e94c88a630623a5562416f', '07b7df1710724a1698ec506042e7d881', 'False', 'True', 'false', 'false', '511621124216', 5, '白杨湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621124216', 1, '2021-07-19 11:55:58', NULL, NULL), (23372, '', '三夹沟村', 'd7192504d9f1440eb09f948abc359752', '07b7df1710724a1698ec506042e7d881', 'False', 'True', 'false', 'false', '511621124221', 5, '三夹沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621124221', 1, '2021-07-19 11:55:58', NULL, NULL), (23373, '', '青鸟石村', '6f035de89c5042ef8e9a557900e3fde6', '07b7df1710724a1698ec506042e7d881', 'False', 'True', 'false', 'false', '511621124223', 5, '青鸟石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621124223', 1, '2021-07-19 11:55:58', NULL, NULL), (23374, '', '谭家院村', '9193bc4ca01e40a9a4013d5ccb3ed43e', '07b7df1710724a1698ec506042e7d881', 'False', 'True', 'false', 'false', '511621124226', 5, '谭家院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621124226', 1, '2021-07-19 11:55:58', NULL, NULL), (23375, '', '天宝寨村', '9969416027124c989631444434331b22', '07b7df1710724a1698ec506042e7d881', 'False', 'True', 'false', 'false', '511621124228', 5, '天宝寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621124228', 1, '2021-07-19 11:55:58', NULL, NULL), (23376, '', '芝阳寨村', 'fab1e918db0e443eaa116250b3a981d9', '07b7df1710724a1698ec506042e7d881', 'False', 'True', 'false', 'false', '511621124229', 5, '芝阳寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621124229', 1, '2021-07-19 11:55:58', NULL, NULL), (23377, '', '黄龙乡', 'feb26cb31e7149c6b5b7041253289805', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621212000', 4, '黄龙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621212000', 1, '2021-07-19 11:55:58', NULL, NULL), (23378, '', '铺芽山村', 'eafe93c3bf834590ae4aa4910b62164b', 'feb26cb31e7149c6b5b7041253289805', 'False', 'False', 'false', 'false', '511621212211', 5, '铺芽山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621212211', 1, '2021-07-19 11:55:58', NULL, NULL), (23379, '', '小白岩村', 'd77bfd65d65148bd9342a801feaf4174', 'feb26cb31e7149c6b5b7041253289805', 'False', 'False', 'false', 'false', '511621212202', 5, '小白岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621212202', 1, '2021-07-19 11:55:58', NULL, NULL), (23380, '', '石马山村', 'c30369ec56da428687bf2ef020a45104', 'feb26cb31e7149c6b5b7041253289805', 'False', 'False', 'false', 'false', '511621212204', 5, '石马山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621212204', 1, '2021-07-19 11:55:58', NULL, NULL), (23381, '', '滑石板村', '9c18f54ccd1e486cb54bbbabfd62db71', 'feb26cb31e7149c6b5b7041253289805', 'False', 'False', 'false', 'false', '511621212207', 5, '滑石板村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621212207', 1, '2021-07-19 11:55:58', NULL, NULL), (23382, '', '铺芽山村', '864b74a95e8d4b85a5ee21ca5c1da9e1', 'feb26cb31e7149c6b5b7041253289805', 'False', 'False', 'false', 'false', '511621212208', 5, '铺芽山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621212208', 1, '2021-07-19 11:55:58', NULL, NULL), (23383, '', '玉瓶寨村', '61be4eedcdba41dbb6ea4a9a5a9eec51', 'feb26cb31e7149c6b5b7041253289805', 'False', 'False', 'false', 'false', '511621212209', 5, '玉瓶寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621212209', 1, '2021-07-19 11:55:58', NULL, NULL), (23384, '', '大地坝村', 'fe955c0647cd405ab7ecad968024a513', 'feb26cb31e7149c6b5b7041253289805', 'False', 'False', 'false', 'false', '511621212210', 5, '大地坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621212210', 1, '2021-07-19 11:55:58', NULL, NULL), (23385, '', '鱼峰乡', 'ea4d4c7c7bfb4b42b91e02cf2d9de8ef', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'True', 'false', 'false', '511621216000', 4, '鱼峰乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621216000', 1, '2021-07-19 11:55:59', NULL, NULL), (23386, '', '龙凤社区', '78ae070003884ddfbc98e78380db2e1a', 'ea4d4c7c7bfb4b42b91e02cf2d9de8ef', 'False', 'True', 'false', 'false', '511621216001', 5, '龙凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621216001', 1, '2021-07-19 11:55:59', NULL, NULL), (23387, '', '鱼峰山村', '9b68e8997c81492aa248fe0bd7c63cdf', 'ea4d4c7c7bfb4b42b91e02cf2d9de8ef', 'False', 'False', 'false', 'false', '511621216217', 5, '鱼峰山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621216217', 1, '2021-07-19 11:55:59', NULL, NULL), (23388, '', '普安镇', '2c8b0840d0f24238acb5081a4e77378e', '11dfd01c6cfc4171b73d564e7b13a29b', 'True', 'False', 'false', 'false', '511621426000', 4, '普安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621426000', 1, '2021-07-19 11:55:59', NULL, NULL), (23389, '', '新庙子村', '7095ac5a5f724cf8858f6b5830ad927b', '2c8b0840d0f24238acb5081a4e77378e', 'False', 'False', 'false', 'false', '511621216216', 5, '新庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511621216216', 1, '2021-07-19 11:55:59', NULL, NULL), (23390, '', '岳池县经开区', '19e9ec6e42314476bc5b2faf175af40d', '11dfd01c6cfc4171b73d564e7b13a29b', 'False', 'True', 'false', 'false', '511621306000', 4, '岳池县经开区', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621306000', 1, '2021-07-19 11:55:59', NULL, NULL), (23391, '', '岳池县高新区', '3da51f82d2164778a71a84b39f259247', '11dfd01c6cfc4171b73d564e7b13a29b', 'False', 'True', 'false', 'false', '511621312000', 4, '岳池县高新区', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511621312000', 1, '2021-07-19 11:55:59', NULL, NULL), (23392, '', '武胜县', '3fe653bc681146a2990e11c5bdd47088', 'f1812fb4fc144c0c89f4ff952f9e6a0d', 'True', 'True', 'false', 'false', '511622000000', 3, '武胜县', 'gaswsx.sczwfw.gov.cn', 1, '2021-07-19 11:55:59', NULL, NULL), (23393, '', '沿口镇', 'd24cacfeb9d847e8ae8afa98110a6c68', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622100000', 4, '沿口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622100000', 1, '2021-07-19 11:55:59', NULL, NULL), (23394, '', '新建街社区', '8d39e604bc0c4c35a1d5fdd13832672e', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622207001', 5, '新建街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622207001', 1, '2021-07-19 11:55:59', NULL, NULL), (23395, '', '长伸沟村', 'b3cd9f40c9584f5ca770bca1c6108d02', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622207201', 5, '长伸沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622207201', 1, '2021-07-19 11:55:59', NULL, NULL), (23396, '', '晏家坝村', '99d4bbad39a7498d9fc484d0afeb921d', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622207204', 5, '晏家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622207204', 1, '2021-07-19 11:55:59', NULL, NULL), (23397, '', '凉山村', '9cca5526c7934e1d89df8458316be744', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622207205', 5, '凉山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622207205', 1, '2021-07-19 11:55:59', NULL, NULL), (23398, '', '马军村', '037694f0051c460190ce82cff01133f3', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622207207', 5, '马军村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622207207', 1, '2021-07-19 11:55:59', NULL, NULL), (23399, '', '竹溪村', 'bf9efe09038b4a0db882b524cdfd393e', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622207209', 5, '竹溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622207209', 1, '2021-07-19 11:56:00', NULL, NULL), (23400, '', '文龙村', '8b4c79760c5446349d4adf96cd43db57', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622207210', 5, '文龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622207210', 1, '2021-07-19 11:56:00', NULL, NULL), (23401, '', '黄桷村', '17ef82c7b767498092e83a7f4f69a034', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622207211', 5, '黄桷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622207211', 1, '2021-07-19 11:56:00', NULL, NULL), (23402, '', '解放路社区', '22d77e2e989a44a1ba1827e3ea744bdb', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100001', 5, '解放路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100001', 1, '2021-07-19 11:56:00', NULL, NULL), (23403, '', '城北社区', '50026320af414a9e91d73408a7b0f328', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100002', 5, '城北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100002', 1, '2021-07-19 11:56:00', NULL, NULL), (23404, '', '建设北路社区', '6fda44d8d5f346af8b22eb3a9ac37a0f', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100003', 5, '建设北路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100003', 1, '2021-07-19 11:56:00', NULL, NULL), (23405, '', '定远社区', 'bd4c5dd58cac45c8aba6533d3dbca053', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100004', 5, '定远社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100004', 1, '2021-07-19 11:56:00', NULL, NULL), (23406, '', '印山社区', 'f489bffbbb854109a10175c2fd650bee', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100005', 5, '印山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100005', 1, '2021-07-19 11:56:00', NULL, NULL), (23407, '', '河东社区', '03a7fbb46b2d4ae3bf7efb92bde803ba', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100006', 5, '河东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100006', 1, '2021-07-19 11:56:00', NULL, NULL), (23408, '', '城南社区', '1d94f3bdc18f43a395dd84b55d159f2d', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100007', 5, '城南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100007', 1, '2021-07-19 11:56:00', NULL, NULL), (23409, '', '石桥社区', 'd7ecac8b5582425b8259299caf2d3934', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100008', 5, '石桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100008', 1, '2021-07-19 11:56:01', NULL, NULL), (23410, '', '利民社区', '6c8d32f8572848e78e021193144114ca', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100009', 5, '利民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100009', 1, '2021-07-19 11:56:01', NULL, NULL), (23411, '', '迎宾社区', 'd8dc6ce8c758499dbb1f604cdf26e90c', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100010', 5, '迎宾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100010', 1, '2021-07-19 11:56:01', NULL, NULL), (23412, '', '嘉陵社区', '14c06ffb06184b97ae3783ad2027ac68', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100011', 5, '嘉陵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100011', 1, '2021-07-19 11:56:01', NULL, NULL), (23413, '', '金鸡岭社区', '154068c558e94ba1b8046b4d7e769662', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100012', 5, '金鸡岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100012', 1, '2021-07-19 11:56:01', NULL, NULL), (23414, '', '武中村', '6684816786ab41dab91b980a28a88f00', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100201', 5, '武中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100201', 1, '2021-07-19 11:56:01', NULL, NULL), (23415, '', '白鹤观村', '659284db5efe45699c694fa41b80f33c', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100203', 5, '白鹤观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100203', 1, '2021-07-19 11:56:01', NULL, NULL), (23416, '', '唐家山村', '6f1396ee3355427096f852e231eb37f8', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100204', 5, '唐家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100204', 1, '2021-07-19 11:56:01', NULL, NULL), (23417, '', '马颈寨村', '33c62f921a72469cb316b9b607e53a0e', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100206', 5, '马颈寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100206', 1, '2021-07-19 11:56:01', NULL, NULL), (23418, '', '叶家山村', '9bce65995af24cadb394e833b6a6e909', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100210', 5, '叶家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100210', 1, '2021-07-19 11:56:01', NULL, NULL), (23419, '', '五一村', '85da3af436364b1ebede709607dcdaa5', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100212', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100212', 1, '2021-07-19 11:56:01', NULL, NULL), (23420, '', '临江村', 'eea8dc071a204c85ad95ba9565d1254f', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100214', 5, '临江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100214', 1, '2021-07-19 11:56:01', NULL, NULL), (23421, '', '中滩村', '0deffb8f1dcf4b879204a55704153c1e', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100215', 5, '中滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100215', 1, '2021-07-19 11:56:02', NULL, NULL), (23422, '', '长凤村', 'ba97ad8fa74e4eaa96118c96daefde0a', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100218', 5, '长凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100218', 1, '2021-07-19 11:56:02', NULL, NULL), (23423, '', '高桥村', '027e8a498b3f45d880a6107debd8d99d', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100219', 5, '高桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100219', 1, '2021-07-19 11:56:02', NULL, NULL), (23424, '', '石门村', '8b95be52b79f4467a9e59bbdff3160c2', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100221', 5, '石门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100221', 1, '2021-07-19 11:56:02', NULL, NULL), (23425, '', '兰花村', '57772dcdf495435aba8b1cb600d8ebd3', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100223', 5, '兰花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100223', 1, '2021-07-19 11:56:02', NULL, NULL), (23426, '', '方湾村', '64cb6e7b0eaa4b86abe6575d1ff1718e', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100224', 5, '方湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100224', 1, '2021-07-19 11:56:02', NULL, NULL), (23427, '', '百兴村', '1ce23beea9474ea8aaa884bc3a36c13d', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100226', 5, '百兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100226', 1, '2021-07-19 11:56:02', NULL, NULL), (23428, '', '泰山村', '4c29053025bf46c692ca15f9963df708', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100228', 5, '泰山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100228', 1, '2021-07-19 11:56:02', NULL, NULL), (23429, '', '金银坎村', 'fb8dce09edae4372a3883d424477ead6', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100230', 5, '金银坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100230', 1, '2021-07-19 11:56:02', NULL, NULL), (23430, '', '白滩村', '28f64f6dddd84ce391db34d3c12add21', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100232', 5, '白滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100232', 1, '2021-07-19 11:56:02', NULL, NULL), (23431, '', '江家坝村', '93a4abc452e84b689a5a12679d3d497e', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100233', 5, '江家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100233', 1, '2021-07-19 11:56:02', NULL, NULL), (23432, '', '金狮村', '0b27d07bc3bd4cc7b8ec56b4c9389f8f', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100236', 5, '金狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100236', 1, '2021-07-19 11:56:02', NULL, NULL), (23433, '', '天灯堡村', '467caf55383b45a1b191b0f375a8fedd', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100237', 5, '天灯堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100237', 1, '2021-07-19 11:56:02', NULL, NULL), (23434, '', '黑岩村', 'e20fe54e3f2a40348b264751754b3d31', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100238', 5, '黑岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100238', 1, '2021-07-19 11:56:03', NULL, NULL), (23435, '', '青华寨村', '2b6b25af4f154a23aa71474c31422451', 'd24cacfeb9d847e8ae8afa98110a6c68', 'False', 'True', 'false', 'false', '511622100241', 5, '青华寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622100241', 1, '2021-07-19 11:56:03', NULL, NULL), (23436, '', '中心镇', 'b7adb7f7fb934f67bacdcd9f5583d773', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622101000', 4, '中心镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622101000', 1, '2021-07-19 11:56:03', NULL, NULL), (23437, '', '东街社区', '69898c4730ef42f5a57f2e9cb62fc0e4', 'b7adb7f7fb934f67bacdcd9f5583d773', 'False', 'True', 'false', 'false', '511622101001', 5, '东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622101001', 1, '2021-07-19 11:56:03', NULL, NULL), (23438, '', '南街社区', '564a1560c17a423b89157ce7bfc65bc1', 'b7adb7f7fb934f67bacdcd9f5583d773', 'False', 'True', 'false', 'false', '511622101002', 5, '南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622101002', 1, '2021-07-19 11:56:03', NULL, NULL), (23439, '', '北街社区', '14ae0461318d4f01937df1b3f7bd57f2', 'b7adb7f7fb934f67bacdcd9f5583d773', 'False', 'True', 'false', 'false', '511622101003', 5, '北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622101003', 1, '2021-07-19 11:56:03', NULL, NULL), (23440, '', '环江村', '021ebd7d24044599a11c29194c0cfdd4', 'b7adb7f7fb934f67bacdcd9f5583d773', 'False', 'True', 'false', 'false', '511622101201', 5, '环江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622101201', 1, '2021-07-19 11:56:03', NULL, NULL), (23441, '', '大通村', '8f10f72e77a748ce8b50a924af3b5d07', 'b7adb7f7fb934f67bacdcd9f5583d773', 'False', 'True', 'false', 'false', '511622101204', 5, '大通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622101204', 1, '2021-07-19 11:56:03', NULL, NULL), (23442, '', '水文村', '3657c22f413340f6b0aeec06d6b60a70', 'b7adb7f7fb934f67bacdcd9f5583d773', 'False', 'True', 'false', 'false', '511622101206', 5, '水文村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622101206', 1, '2021-07-19 11:56:03', NULL, NULL), (23443, '', '天印村', '46789e557c74447a9ef31819511c6eb6', 'b7adb7f7fb934f67bacdcd9f5583d773', 'False', 'True', 'false', 'false', '511622101208', 5, '天印村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622101208', 1, '2021-07-19 11:56:03', NULL, NULL), (23444, '', '金马村', '99f6be29e8b545ef85f68c8de35ae241', 'b7adb7f7fb934f67bacdcd9f5583d773', 'False', 'True', 'false', 'false', '511622101210', 5, '金马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622101210', 1, '2021-07-19 11:56:03', NULL, NULL), (23445, '', '响田坎村', 'd87fba78cc0b45faae9f2f440f2a3401', 'b7adb7f7fb934f67bacdcd9f5583d773', 'False', 'True', 'false', 'false', '511622101212', 5, '响田坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622101212', 1, '2021-07-19 11:56:03', NULL, NULL), (23446, '', '道马村', '42642ea0984b40b2bee4c2bec2ef39ac', 'b7adb7f7fb934f67bacdcd9f5583d773', 'False', 'True', 'false', 'false', '511622101215', 5, '道马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622101215', 1, '2021-07-19 11:56:03', NULL, NULL), (23447, '', '平静村', 'eefab64b509443eab3e3b0955536ba4c', 'b7adb7f7fb934f67bacdcd9f5583d773', 'False', 'True', 'false', 'false', '511622101216', 5, '平静村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622101216', 1, '2021-07-19 11:56:03', NULL, NULL), (23448, '', '龙门村', '7d16eae150a54f479cfbb2148cb6534e', 'b7adb7f7fb934f67bacdcd9f5583d773', 'False', 'True', 'false', 'false', '511622101218', 5, '龙门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622101218', 1, '2021-07-19 11:56:04', NULL, NULL), (23449, '', '鸡公山村', 'b6e6dc2f517e4359b051ea9a417b4902', 'b7adb7f7fb934f67bacdcd9f5583d773', 'False', 'True', 'false', 'false', '511622101220', 5, '鸡公山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622101220', 1, '2021-07-19 11:56:04', NULL, NULL), (23450, '', '锡壶沟村', '68f4cb388a63427a9eb61f557b4c00a7', 'b7adb7f7fb934f67bacdcd9f5583d773', 'False', 'True', 'false', 'false', '511622101221', 5, '锡壶沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622101221', 1, '2021-07-19 11:56:04', NULL, NULL), (23451, '', '普建村', 'b6a509e3bcc046e8ad6796fb7d3421a1', 'b7adb7f7fb934f67bacdcd9f5583d773', 'False', 'True', 'false', 'false', '511622101225', 5, '普建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622101225', 1, '2021-07-19 11:56:04', NULL, NULL), (23452, '', '大中坝村', '366444ceab514313a11cb46ff93e1c4b', 'b7adb7f7fb934f67bacdcd9f5583d773', 'False', 'True', 'false', 'false', '511622101226', 5, '大中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622101226', 1, '2021-07-19 11:56:04', NULL, NULL), (23453, '', '练山湾村', '9080d958adbd4c1fb6aeaeb1dd14202d', 'b7adb7f7fb934f67bacdcd9f5583d773', 'False', 'True', 'false', 'false', '511622101230', 5, '练山湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622101230', 1, '2021-07-19 11:56:04', NULL, NULL), (23454, '', '狮子口村', 'd16b985d4ca346c19cc3a124b8feaf01', 'b7adb7f7fb934f67bacdcd9f5583d773', 'False', 'True', 'false', 'false', '511622101231', 5, '狮子口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622101231', 1, '2021-07-19 11:56:04', NULL, NULL), (23455, '', '烈面镇', '407deba65c8b4af8a9429fd067fc262a', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622102000', 4, '烈面镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622102000', 1, '2021-07-19 11:56:04', NULL, NULL), (23456, '', '思源社区', 'd54f49605d1b44d19a1bafb380620725', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622214001', 5, '思源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622214001', 1, '2021-07-19 11:56:04', NULL, NULL), (23457, '', '柏林村', '26d7700d32484d1698e737a40bc7ad89', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622214201', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622214201', 1, '2021-07-19 11:56:04', NULL, NULL), (23458, '', '八一村', '9cbe52901285448e94dfada37d40f24e', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622214204', 5, '八一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622214204', 1, '2021-07-19 11:56:04', NULL, NULL), (23459, '', '关坝村', 'e54208ed91ab4f9b9c4e100e1cf031c5', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622214206', 5, '关坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622214206', 1, '2021-07-19 11:56:04', NULL, NULL), (23460, '', '土主村', '78ca5f6a4b3540648d3d1d6ee257cd61', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622214207', 5, '土主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622214207', 1, '2021-07-19 11:56:04', NULL, NULL), (23461, '', '楼房村', 'c99517f7130e4bc09e67d23a07a24073', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622214209', 5, '楼房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622214209', 1, '2021-07-19 11:56:04', NULL, NULL), (23462, '', '石笋村', 'ad756239e7aa49ba9126b1e438d3d846', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622214210', 5, '石笋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622214210', 1, '2021-07-19 11:56:04', NULL, NULL), (23463, '', '中山社区', '63f85955bfa44c7e967c672beddce6b3', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622102001', 5, '中山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622102001', 1, '2021-07-19 11:56:05', NULL, NULL), (23464, '', '烈渝路社区', '552d2d3d8d8b4e699a9ec4dc7090a500', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622102002', 5, '烈渝路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622102002', 1, '2021-07-19 11:56:05', NULL, NULL), (23465, '', '东关社区', 'c486d65a09e842fcae289cdd4997d41d', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622102003', 5, '东关社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622102003', 1, '2021-07-19 11:56:05', NULL, NULL), (23466, '', '新烈社区', 'b27cdeca4aa143878b43746e3e8ada39', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622102104', 5, '新烈社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622102104', 1, '2021-07-19 11:56:05', NULL, NULL), (23467, '', '狮子桥村', '9435f06bf0594b32aff99fcef06e7ecc', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622102201', 5, '狮子桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622102201', 1, '2021-07-19 11:56:05', NULL, NULL), (23468, '', '望水垭村', '6b2d0ef0411d439ea613a76edf9cf4bf', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622102202', 5, '望水垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622102202', 1, '2021-07-19 11:56:05', NULL, NULL), (23469, '', '高梯村', '67fc9afe19684725afca105224ad0e53', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622102203', 5, '高梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622102203', 1, '2021-07-19 11:56:05', NULL, NULL), (23470, '', '高原村', '9ebd0cb3fad44aabab1028b712722b6c', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622102204', 5, '高原村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622102204', 1, '2021-07-19 11:56:05', NULL, NULL), (23471, '', '顺天寨村', '28a47846d2aa472181b83716d63c67aa', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622102207', 5, '顺天寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622102207', 1, '2021-07-19 11:56:05', NULL, NULL), (23472, '', '红花坝村', '1f8961d8688342499e8e15823781da03', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622102210', 5, '红花坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622102210', 1, '2021-07-19 11:56:05', NULL, NULL), (23473, '', '白鹤山村', '5db18376a9d44c93b381b3b52aa495a6', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622102211', 5, '白鹤山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622102211', 1, '2021-07-19 11:56:05', NULL, NULL), (23474, '', '高峰村', '7df20dd80e214ddca2205c0dc662575d', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622102215', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622102215', 1, '2021-07-19 11:56:06', NULL, NULL), (23475, '', '白云村', '99ead2d1b5ec4a9b949303ae33403088', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622102216', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622102216', 1, '2021-07-19 11:56:06', NULL, NULL), (23476, '', '窑罐村', '551711cf8b2c4c56a0a88f70dd004a7c', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622102218', 5, '窑罐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622102218', 1, '2021-07-19 11:56:06', NULL, NULL), (23477, '', '汉初村', 'bed1481d92b84135a2dd775524ca775d', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622102222', 5, '汉初村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622102222', 1, '2021-07-19 11:56:06', NULL, NULL), (23478, '', '石龙滩村', '671d435f629d42f2847afc82d8f45c3f', '407deba65c8b4af8a9429fd067fc262a', 'False', 'True', 'false', 'false', '511622102223', 5, '石龙滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622102223', 1, '2021-07-19 11:56:06', NULL, NULL), (23479, '', '飞龙镇', 'b4912f3933354cd18d3a8a74a91eacdf', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622103000', 4, '飞龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622103000', 1, '2021-07-19 11:56:06', NULL, NULL), (23480, '', '平安社区', '8d276590dec14307932990fe6d044e9d', 'b4912f3933354cd18d3a8a74a91eacdf', 'False', 'True', 'false', 'false', '511622209001', 5, '平安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622209001', 1, '2021-07-19 11:56:06', NULL, NULL), (23481, '', '黄林堡村', '4b2e243bd4b94c75bf5c74c7ac7d584c', 'b4912f3933354cd18d3a8a74a91eacdf', 'False', 'True', 'false', 'false', '511622209203', 5, '黄林堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622209203', 1, '2021-07-19 11:56:06', NULL, NULL), (23482, '', '白坪村', '8a1de825e3fe4bedb415ebe08788e69f', 'b4912f3933354cd18d3a8a74a91eacdf', 'False', 'True', 'false', 'false', '511622209205', 5, '白坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622209205', 1, '2021-07-19 11:56:06', NULL, NULL), (23483, '', '高洞村', 'cd85c3d78eee4ebe98b1e6460474b369', 'b4912f3933354cd18d3a8a74a91eacdf', 'False', 'True', 'false', 'false', '511622209207', 5, '高洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622209207', 1, '2021-07-19 11:56:06', NULL, NULL), (23484, '', '水磨滩村', '26929c6719eb437091eaeeddf5fad0ff', 'b4912f3933354cd18d3a8a74a91eacdf', 'False', 'True', 'false', 'false', '511622209208', 5, '水磨滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622209208', 1, '2021-07-19 11:56:06', NULL, NULL), (23485, '', '裕丰村', '0d1e7d6d7208429d8d4624b1a7277c0d', 'b4912f3933354cd18d3a8a74a91eacdf', 'False', 'True', 'false', 'false', '511622209210', 5, '裕丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622209210', 1, '2021-07-19 11:56:06', NULL, NULL), (23486, '', '凤鸣村', '91381370b1a04f4f83b722ddc6c190ef', 'b4912f3933354cd18d3a8a74a91eacdf', 'False', 'True', 'false', 'false', '511622209213', 5, '凤鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622209213', 1, '2021-07-19 11:56:07', NULL, NULL), (23487, '', '长安村', '314eecbc63f1466e9dcba1f2e78d48a5', 'b4912f3933354cd18d3a8a74a91eacdf', 'False', 'True', 'false', 'false', '511622209215', 5, '长安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622209215', 1, '2021-07-19 11:56:07', NULL, NULL), (23488, '', '场镇社区', '4d0f2ce83b94454e9f06c907e219ff2a', 'b4912f3933354cd18d3a8a74a91eacdf', 'False', 'True', 'false', 'false', '511622103001', 5, '场镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622103001', 1, '2021-07-19 11:56:07', NULL, NULL), (23489, '', '莲花坪村', '5efe43aac7c7455db2eccae2ad58d8de', 'b4912f3933354cd18d3a8a74a91eacdf', 'False', 'True', 'false', 'false', '511622103201', 5, '莲花坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622103201', 1, '2021-07-19 11:56:07', NULL, NULL), (23490, '', '梅托村', 'b78e6ca492f24581a34eab381a78fad7', 'b4912f3933354cd18d3a8a74a91eacdf', 'False', 'True', 'false', 'false', '511622103202', 5, '梅托村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622103202', 1, '2021-07-19 11:56:07', NULL, NULL), (23491, '', '大石桥村', 'a42b68c41e9a4f988a9f3595b4072f74', 'b4912f3933354cd18d3a8a74a91eacdf', 'False', 'True', 'false', 'false', '511622103203', 5, '大石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622103203', 1, '2021-07-19 11:56:07', NULL, NULL), (23492, '', '五排水村', 'edf373b4d8f940429a941722d8e6b925', 'b4912f3933354cd18d3a8a74a91eacdf', 'False', 'True', 'false', 'false', '511622103204', 5, '五排水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622103204', 1, '2021-07-19 11:56:07', NULL, NULL), (23493, '', '五家岩村', '73532ff8df0449a1850a1f53b324a380', 'b4912f3933354cd18d3a8a74a91eacdf', 'False', 'True', 'false', 'false', '511622103206', 5, '五家岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622103206', 1, '2021-07-19 11:56:07', NULL, NULL), (23494, '', '河尔口村', '8210aa494f1347b2bb196bd4628d8c91', 'b4912f3933354cd18d3a8a74a91eacdf', 'False', 'True', 'false', 'false', '511622103210', 5, '河尔口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622103210', 1, '2021-07-19 11:56:07', NULL, NULL), (23495, '', '卢山村', '68545bed1e7b4077ad0365e9df282be4', 'b4912f3933354cd18d3a8a74a91eacdf', 'False', 'True', 'false', 'false', '511622103212', 5, '卢山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622103212', 1, '2021-07-19 11:56:07', NULL, NULL), (23496, '', '木井村', '3990d500be404d13bdad6c4632754057', 'b4912f3933354cd18d3a8a74a91eacdf', 'False', 'True', 'false', 'false', '511622103214', 5, '木井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622103214', 1, '2021-07-19 11:56:08', NULL, NULL), (23497, '', '乐善镇', 'c353e42d22e9438e8311f9871e4dfdde', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622104000', 4, '乐善镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622104000', 1, '2021-07-19 11:56:08', NULL, NULL), (23498, '', '龙凤社区', '36b306c99c4048d9911944bfdbbba9a9', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622104223', 5, '龙凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622104223', 1, '2021-07-19 11:56:08', NULL, NULL), (23499, '', '凤凰村', 'e2ae4300a0b744809025bdeb644cbf34', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622204201', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622204201', 1, '2021-07-19 11:56:08', NULL, NULL), (23500, '', '午台山村', '4e6f215c436f4a848a8ebfd27dfef264', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622204202', 5, '午台山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622204202', 1, '2021-07-19 11:56:08', NULL, NULL), (23501, '', '平竹村', 'b078c9e8c99b4cf0901a8b3f0f6470cb', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622204204', 5, '平竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622204204', 1, '2021-07-19 11:56:08', NULL, NULL), (23502, '', '金鼓村', '673fafec74af40d5a876ea555050c708', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622204207', 5, '金鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622204207', 1, '2021-07-19 11:56:08', NULL, NULL), (23503, '', '白羊村', '69e5e4cf43ef4b879b4962d5e24dc238', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622204208', 5, '白羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622204208', 1, '2021-07-19 11:56:08', NULL, NULL), (23504, '', '六合村', '4d75957be67946249ee34705af9ee7ee', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622204209', 5, '六合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622204209', 1, '2021-07-19 11:56:08', NULL, NULL), (23505, '', '武乐路社区', '0917d3612c604801ad71e6071f11391b', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622104001', 5, '武乐路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622104001', 1, '2021-07-19 11:56:08', NULL, NULL), (23506, '', '园山村', 'e482a9c1a4014eb39063603986ac2a88', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622104201', 5, '园山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622104201', 1, '2021-07-19 11:56:09', NULL, NULL), (23507, '', '红朝门村', '2cf0ff19e5484438b050bcfb3aa9956b', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622104202', 5, '红朝门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622104202', 1, '2021-07-19 11:56:09', NULL, NULL), (23508, '', '棕柿桥村', '95a2dcb0d3204642b784e9b50e8b8c62', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622104203', 5, '棕柿桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622104203', 1, '2021-07-19 11:56:09', NULL, NULL), (23509, '', '水洞湾村', '60bd9a42f4494465bdfd42e7c3f12ff8', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622104204', 5, '水洞湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622104204', 1, '2021-07-19 11:56:09', NULL, NULL), (23510, '', '观音寨村', '4ee8b5cc506442648870f1464af4f405', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622104207', 5, '观音寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622104207', 1, '2021-07-19 11:56:09', NULL, NULL), (23511, '', '白马村', '9b46ce10f69f4b9d98661904fdc48dff', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622104210', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622104210', 1, '2021-07-19 11:56:09', NULL, NULL), (23512, '', '松树林村', '62218b8bad494e70ac413b1f58f4db8b', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622104211', 5, '松树林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622104211', 1, '2021-07-19 11:56:09', NULL, NULL), (23513, '', '青龙村', '25d36d44468245abae1235fc4384397b', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622104213', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622104213', 1, '2021-07-19 11:56:09', NULL, NULL), (23514, '', '石碾村', '66fcb8d40ac84f7c99f734642029040e', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622104216', 5, '石碾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622104216', 1, '2021-07-19 11:56:09', NULL, NULL), (23515, '', '普兴村', '9f3e61740dfc46c4b881f63164831c09', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622104218', 5, '普兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622104218', 1, '2021-07-19 11:56:09', NULL, NULL), (23516, '', '五四村', 'b26a3998bea74b51b118005e6bd371a8', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622104220', 5, '五四村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622104220', 1, '2021-07-19 11:56:09', NULL, NULL), (23517, '', '七郎村', 'b32e82967bea4242be9140842f5ca295', 'c353e42d22e9438e8311f9871e4dfdde', 'False', 'True', 'false', 'false', '511622104221', 5, '七郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622104221', 1, '2021-07-19 11:56:10', NULL, NULL), (23518, '', '万善镇', 'fa6d4db4de8149ddb0309e77466df347', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622105000', 4, '万善镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622105000', 1, '2021-07-19 11:56:10', NULL, NULL), (23519, '', '平桥社区', '468b04152c5f4f65a41dfb4cd7cf8ada', 'fa6d4db4de8149ddb0309e77466df347', 'False', 'True', 'false', 'false', '511622105213', 5, '平桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622105213', 1, '2021-07-19 11:56:10', NULL, NULL), (23520, '', '吊楼村', '7c5a644160ad491d8d4219ef8a6b9f75', 'fa6d4db4de8149ddb0309e77466df347', 'False', 'True', 'false', 'false', '511622213203', 5, '吊楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622213203', 1, '2021-07-19 11:56:10', NULL, NULL), (23521, '', '干坝村', 'baacdcecb4634207a23822e124ad55d5', 'fa6d4db4de8149ddb0309e77466df347', 'False', 'True', 'false', 'false', '511622213204', 5, '干坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622213204', 1, '2021-07-19 11:56:10', NULL, NULL), (23522, '', '板桥村', '5a8ccede79d44439997fccf4409b9c57', 'fa6d4db4de8149ddb0309e77466df347', 'False', 'True', 'false', 'false', '511622213206', 5, '板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622213206', 1, '2021-07-19 11:56:10', NULL, NULL), (23523, '', '红垭村', '694fa8961a2d41f7bb6d6385f09f0567', 'fa6d4db4de8149ddb0309e77466df347', 'False', 'True', 'false', 'false', '511622213207', 5, '红垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622213207', 1, '2021-07-19 11:56:10', NULL, NULL), (23524, '', '钟鸣村', 'b332f4c43a974114bb962eabc0031120', 'fa6d4db4de8149ddb0309e77466df347', 'False', 'True', 'false', 'false', '511622213208', 5, '钟鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622213208', 1, '2021-07-19 11:56:10', NULL, NULL), (23525, '', '石屏村', '268746bd62984ff3b007f8a450854f03', 'fa6d4db4de8149ddb0309e77466df347', 'False', 'True', 'false', 'false', '511622213210', 5, '石屏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622213210', 1, '2021-07-19 11:56:10', NULL, NULL), (23526, '', '万渝路社区', 'a60c10fc19f749e09f74d6cb956aef27', 'fa6d4db4de8149ddb0309e77466df347', 'False', 'True', 'false', 'false', '511622105001', 5, '万渝路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622105001', 1, '2021-07-19 11:56:10', NULL, NULL), (23527, '', '羊城村', '975d1385772f43c399c411ec0b1904ee', 'fa6d4db4de8149ddb0309e77466df347', 'False', 'True', 'false', 'false', '511622105202', 5, '羊城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622105202', 1, '2021-07-19 11:56:10', NULL, NULL), (23528, '', '伏虎村', 'b86aabc1f0ab4bd7aadb1ea72a666b6f', 'fa6d4db4de8149ddb0309e77466df347', 'False', 'True', 'false', 'false', '511622105203', 5, '伏虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622105203', 1, '2021-07-19 11:56:10', NULL, NULL), (23529, '', '金乐村', 'bd9a250f6a1b4ebfb1d773ad4f72b024', 'fa6d4db4de8149ddb0309e77466df347', 'False', 'True', 'false', 'false', '511622105204', 5, '金乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622105204', 1, '2021-07-19 11:56:11', NULL, NULL), (23530, '', '白玉村', 'd9df0581fd594bc395fb91ef10a7c274', 'fa6d4db4de8149ddb0309e77466df347', 'False', 'True', 'false', 'false', '511622105207', 5, '白玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622105207', 1, '2021-07-19 11:56:11', NULL, NULL), (23531, '', '安堂村', '04a346da86884f8babb2faac064031e1', 'fa6d4db4de8149ddb0309e77466df347', 'False', 'True', 'false', 'false', '511622105210', 5, '安堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622105210', 1, '2021-07-19 11:56:11', NULL, NULL), (23532, '', '降龙村', '3c66b95dc1634e47806607e21394b69a', 'fa6d4db4de8149ddb0309e77466df347', 'False', 'True', 'false', 'false', '511622105211', 5, '降龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622105211', 1, '2021-07-19 11:56:11', NULL, NULL), (23533, '', '龙女镇', '3ead03a1f4b54dc28d4742841a515d4f', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622106000', 4, '龙女镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622106000', 1, '2021-07-19 11:56:11', NULL, NULL), (23534, '', '龙发路社区', '424ba38a238d40c1ab52179ea5259b5d', '3ead03a1f4b54dc28d4742841a515d4f', 'False', 'True', 'false', 'false', '511622106001', 5, '龙发路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622106001', 1, '2021-07-19 11:56:11', NULL, NULL), (23535, '', '小河村', '90316a2287c141dfaa7a61470eaa1a17', '3ead03a1f4b54dc28d4742841a515d4f', 'False', 'True', 'false', 'false', '511622106201', 5, '小河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622106201', 1, '2021-07-19 11:56:11', NULL, NULL), (23536, '', '联合村', '180f64b787074d0da8f3c475aa884bf6', '3ead03a1f4b54dc28d4742841a515d4f', 'False', 'True', 'false', 'false', '511622106205', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622106205', 1, '2021-07-19 11:56:11', NULL, NULL), (23537, '', '飞虎村', 'f72689c60f224fb2aac3a085de435ec3', '3ead03a1f4b54dc28d4742841a515d4f', 'False', 'True', 'false', 'false', '511622106207', 5, '飞虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622106207', 1, '2021-07-19 11:56:11', NULL, NULL), (23538, '', '高妙村', '3c169656e7e24aea814a03a503633846', '3ead03a1f4b54dc28d4742841a515d4f', 'False', 'True', 'false', 'false', '511622106208', 5, '高妙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622106208', 1, '2021-07-19 11:56:11', NULL, NULL), (23539, '', '太和村', '8545a0f0c8f4467b9264dd80f62df1fd', '3ead03a1f4b54dc28d4742841a515d4f', 'False', 'True', 'false', 'false', '511622106212', 5, '太和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622106212', 1, '2021-07-19 11:56:11', NULL, NULL), (23540, '', '郁马坪村', 'e53bbaf92a1340b2ac810e65a4c7db09', '3ead03a1f4b54dc28d4742841a515d4f', 'False', 'True', 'false', 'false', '511622106213', 5, '郁马坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622106213', 1, '2021-07-19 11:56:11', NULL, NULL), (23541, '', '芋子溪村', '4e47898931c1436eb1958ca6aa599376', '3ead03a1f4b54dc28d4742841a515d4f', 'False', 'True', 'false', 'false', '511622106214', 5, '芋子溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622106214', 1, '2021-07-19 11:56:11', NULL, NULL), (23542, '', '青岩村', 'fda9dba496764083b103b89ca57a4fe7', '3ead03a1f4b54dc28d4742841a515d4f', 'False', 'True', 'false', 'false', '511622106216', 5, '青岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622106216', 1, '2021-07-19 11:56:11', NULL, NULL), (23543, '', '幸福村', 'e00368aa3ea544e88e1a708cdeb977d5', '3ead03a1f4b54dc28d4742841a515d4f', 'False', 'True', 'false', 'false', '511622106217', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622106217', 1, '2021-07-19 11:56:11', NULL, NULL), (23544, '', '天平村', '4323452dd35142b7b0eaf7e73ea8485f', '3ead03a1f4b54dc28d4742841a515d4f', 'False', 'True', 'false', 'false', '511622106219', 5, '天平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622106219', 1, '2021-07-19 11:56:11', NULL, NULL), (23545, '', '九树村', '5c90f9f5b3ae46f68eed481825fe1f0b', '3ead03a1f4b54dc28d4742841a515d4f', 'False', 'True', 'false', 'false', '511622106220', 5, '九树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622106220', 1, '2021-07-19 11:56:12', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (23546, '', '花楼村', '14d542fd10354ea88279e87b90c40a5d', '3ead03a1f4b54dc28d4742841a515d4f', 'False', 'True', 'false', 'false', '511622106223', 5, '花楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622106223', 1, '2021-07-19 11:56:12', NULL, NULL), (23547, '', '盐井村', 'ae0fc64a241b489bbe520f4df560b6da', '3ead03a1f4b54dc28d4742841a515d4f', 'False', 'True', 'false', 'false', '511622106224', 5, '盐井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622106224', 1, '2021-07-19 11:56:12', NULL, NULL), (23548, '', '三溪镇', '610915ff88554ac49b6afbbdaa0a0965', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622107000', 4, '三溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622107000', 1, '2021-07-19 11:56:12', NULL, NULL), (23549, '', '天桥路社区', '169d752978794f858edee01b167d5aa8', '610915ff88554ac49b6afbbdaa0a0965', 'False', 'True', 'false', 'false', '511622107001', 5, '天桥路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622107001', 1, '2021-07-19 11:56:12', NULL, NULL), (23550, '', '三溪村', '49feb49489a740b1b5a30bdc3e078c29', '610915ff88554ac49b6afbbdaa0a0965', 'False', 'True', 'false', 'false', '511622107201', 5, '三溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622107201', 1, '2021-07-19 11:56:12', NULL, NULL), (23551, '', '花岭村', '62730554a35c47e4bd47ea0d789eaffc', '610915ff88554ac49b6afbbdaa0a0965', 'False', 'True', 'false', 'false', '511622107203', 5, '花岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622107203', 1, '2021-07-19 11:56:12', NULL, NULL), (23552, '', '明灯村', '792bc897dd5843da86faf1b094bc5aa4', '610915ff88554ac49b6afbbdaa0a0965', 'False', 'True', 'false', 'false', '511622107204', 5, '明灯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622107204', 1, '2021-07-19 11:56:12', NULL, NULL), (23553, '', '箩蔸岩村', '7109464a77a946c3a320dcdb68cc0476', '610915ff88554ac49b6afbbdaa0a0965', 'False', 'True', 'false', 'false', '511622107206', 5, '箩蔸岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622107206', 1, '2021-07-19 11:56:12', NULL, NULL), (23554, '', '长深村', 'ca9b4c410174450a9874fa2113275417', '610915ff88554ac49b6afbbdaa0a0965', 'False', 'True', 'false', 'false', '511622107209', 5, '长深村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622107209', 1, '2021-07-19 11:56:12', NULL, NULL), (23555, '', '谷花村', '774834c81a9f44f5ae832549dc31cfb8', '610915ff88554ac49b6afbbdaa0a0965', 'False', 'True', 'false', 'false', '511622107211', 5, '谷花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622107211', 1, '2021-07-19 11:56:12', NULL, NULL), (23556, '', '观音桥村', 'afaa05bc6381407ca95c009e8e7a241a', '610915ff88554ac49b6afbbdaa0a0965', 'False', 'True', 'false', 'false', '511622107214', 5, '观音桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622107214', 1, '2021-07-19 11:56:12', NULL, NULL), (23557, '', '沈家龙村', '0a9d73010ec8491984a7454d0bd435a8', '610915ff88554ac49b6afbbdaa0a0965', 'False', 'True', 'false', 'false', '511622107216', 5, '沈家龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622107216', 1, '2021-07-19 11:56:13', NULL, NULL), (23558, '', '一号桥村', '17324122e07a4a56b0665f5e127343d6', '610915ff88554ac49b6afbbdaa0a0965', 'False', 'True', 'false', 'false', '511622107217', 5, '一号桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622107217', 1, '2021-07-19 11:56:13', NULL, NULL), (23559, '', '赛马镇', '4fe7c5c629dc46f9a9149e1e88d787d4', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622108000', 4, '赛马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622108000', 1, '2021-07-19 11:56:13', NULL, NULL), (23560, '', '三元社区', '7d3aa34e41e54d158c5c9ab468434b0a', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622215201', 5, '三元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622215201', 1, '2021-07-19 11:56:13', NULL, NULL), (23561, '', '老鹰岩村', '84019945e96b4a75b5a6c582ced62e83', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622215202', 5, '老鹰岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622215202', 1, '2021-07-19 11:56:13', NULL, NULL), (23562, '', '碑垭口村', '4876dcf1703b428f8655567ad20eb5a3', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622215205', 5, '碑垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622215205', 1, '2021-07-19 11:56:13', NULL, NULL), (23563, '', '莲花村', 'fbed195a58774b5fbac686b5d372e26d', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622215206', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622215206', 1, '2021-07-19 11:56:13', NULL, NULL), (23564, '', '猫耳沟村', '5acda0f222ce404880baa0daeb27165d', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622215207', 5, '猫耳沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622215207', 1, '2021-07-19 11:56:13', NULL, NULL), (23565, '', '花墙村', 'ce7bc0fb0f4d4c68b06eb9ed2d791175', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622215209', 5, '花墙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622215209', 1, '2021-07-19 11:56:13', NULL, NULL), (23566, '', '乌木沟村', 'f5c7600bf03841d782fb144eb97f15f6', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622215210', 5, '乌木沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622215210', 1, '2021-07-19 11:56:13', NULL, NULL), (23567, '', '赛烈路社区', '2732d423d1624aca955a8c9df5847419', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622108001', 5, '赛烈路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622108001', 1, '2021-07-19 11:56:13', NULL, NULL), (23568, '', '赛遂路社区', 'c8bb97093f69490fa176471a86cf93f3', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622108002', 5, '赛遂路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622108002', 1, '2021-07-19 11:56:13', NULL, NULL), (23569, '', '李子坑村', 'fefe5a0785624ff3a353fabdeacec6be', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622108203', 5, '李子坑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622108203', 1, '2021-07-19 11:56:13', NULL, NULL), (23570, '', '雀林村', 'd16564f8dba74a10888851f617d45582', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622108204', 5, '雀林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622108204', 1, '2021-07-19 11:56:13', NULL, NULL), (23571, '', '西沟村', '3d3564b4d22d43b58019be3d10055c59', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622108206', 5, '西沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622108206', 1, '2021-07-19 11:56:14', NULL, NULL), (23572, '', '茶盘村', '29292fd70a8a4555a26dec87d4e93f99', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622108209', 5, '茶盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622108209', 1, '2021-07-19 11:56:14', NULL, NULL), (23573, '', '白兔坪村', '9782ec2b270145d4844d2bafaa42d33b', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622108210', 5, '白兔坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622108210', 1, '2021-07-19 11:56:14', NULL, NULL), (23574, '', '尼姑庵村', 'f52bbf76501c4569af5f9a7aade44eb6', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622108212', 5, '尼姑庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622108212', 1, '2021-07-19 11:56:14', NULL, NULL), (23575, '', '白石岩村', '97317b0330cd43429bb65b41055c61a6', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622108214', 5, '白石岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622108214', 1, '2021-07-19 11:56:14', NULL, NULL), (23576, '', '永钟村', 'b2a79c3b1aad4f7dae178ac62cadc8f4', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622108216', 5, '永钟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622108216', 1, '2021-07-19 11:56:14', NULL, NULL), (23577, '', '堰塘湾村', '4dea9bb1137d4ba0892dbc0c6c79ad55', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622108217', 5, '堰塘湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622108217', 1, '2021-07-19 11:56:14', NULL, NULL), (23578, '', '天星桥村', '02a0d508969a4021a1fa66abf5d356dd', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622108220', 5, '天星桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622108220', 1, '2021-07-19 11:56:14', NULL, NULL), (23579, '', '文雅桥村', 'e11c54567a3445db92e0e0147fbccfb9', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622108222', 5, '文雅桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622108222', 1, '2021-07-19 11:56:14', NULL, NULL), (23580, '', '应家沟村', '7e3e8da296c14f6c90442bd7ea364131', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622108223', 5, '应家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622108223', 1, '2021-07-19 11:56:14', NULL, NULL), (23581, '', '水口湾村', '93a5c5d293064981815049c8c7918f9d', '4fe7c5c629dc46f9a9149e1e88d787d4', 'False', 'True', 'false', 'false', '511622108224', 5, '水口湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622108224', 1, '2021-07-19 11:56:14', NULL, NULL), (23582, '', '胜利镇', '0360995b8915468c851ec11389cb3ded', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622109000', 4, '胜利镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622109000', 1, '2021-07-19 11:56:15', NULL, NULL), (23583, '', '兴胜社区', '1d5655af746b48febaacc923080bcf20', '0360995b8915468c851ec11389cb3ded', 'False', 'True', 'false', 'false', '511622109001', 5, '兴胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622109001', 1, '2021-07-19 11:56:15', NULL, NULL), (23584, '', '自生桥村', '62a8dbb24def4d78a9ce9b40be001792', '0360995b8915468c851ec11389cb3ded', 'False', 'True', 'false', 'false', '511622109201', 5, '自生桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622109201', 1, '2021-07-19 11:56:15', NULL, NULL), (23585, '', '复兴村', 'e6a875214cf4483f9e9abd1bedc7fd43', '0360995b8915468c851ec11389cb3ded', 'False', 'True', 'false', 'false', '511622109203', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622109203', 1, '2021-07-19 11:56:15', NULL, NULL), (23586, '', '十块田村', 'eaa35902c1e642f7b952e43850fde27d', '0360995b8915468c851ec11389cb3ded', 'False', 'True', 'false', 'false', '511622109206', 5, '十块田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622109206', 1, '2021-07-19 11:56:15', NULL, NULL), (23587, '', '柿花场村', '5fedbd69c1fe48ab9bfe77d2fe006bd3', '0360995b8915468c851ec11389cb3ded', 'False', 'True', 'false', 'false', '511622109207', 5, '柿花场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622109207', 1, '2021-07-19 11:56:15', NULL, NULL), (23588, '', '三叉沟村', 'aee0ec70b04d4f0993b3294af3ccbdad', '0360995b8915468c851ec11389cb3ded', 'False', 'True', 'false', 'false', '511622109210', 5, '三叉沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622109210', 1, '2021-07-19 11:56:15', NULL, NULL), (23589, '', '红树村', 'f3d30dae2d644dbdaf0ae4836c83a56b', '0360995b8915468c851ec11389cb3ded', 'False', 'True', 'false', 'false', '511622109211', 5, '红树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622109211', 1, '2021-07-19 11:56:15', NULL, NULL), (23590, '', '五谷湾村', '831f234cadf84cce9853a5cf914a5856', '0360995b8915468c851ec11389cb3ded', 'False', 'True', 'false', 'false', '511622109212', 5, '五谷湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622109212', 1, '2021-07-19 11:56:15', NULL, NULL), (23591, '', '穿岩村', '494db49550914015ab3d9889694ddf18', '0360995b8915468c851ec11389cb3ded', 'False', 'True', 'false', 'false', '511622109213', 5, '穿岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622109213', 1, '2021-07-19 11:56:15', NULL, NULL), (23592, '', '白鹤碑村', '1ab81ddc501d4c8bb60c20bc6fceadf9', '0360995b8915468c851ec11389cb3ded', 'False', 'True', 'false', 'false', '511622109215', 5, '白鹤碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622109215', 1, '2021-07-19 11:56:16', NULL, NULL), (23593, '', '双埝村', '211fc59709db40bdaffd3fbf5c5b00e7', '0360995b8915468c851ec11389cb3ded', 'False', 'True', 'false', 'false', '511622109216', 5, '双埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622109216', 1, '2021-07-19 11:56:16', NULL, NULL), (23594, '', '嘉乐村', '227f101dbaca474f8a9e9cb8acaa723b', '0360995b8915468c851ec11389cb3ded', 'False', 'True', 'false', 'false', '511622109218', 5, '嘉乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622109218', 1, '2021-07-19 11:56:16', NULL, NULL), (23595, '', '吊井龙村', '6103dd049d8a454d8acf94ce2b4f1d3b', '0360995b8915468c851ec11389cb3ded', 'False', 'True', 'false', 'false', '511622109219', 5, '吊井龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622109219', 1, '2021-07-19 11:56:16', NULL, NULL), (23596, '', '观音塘村', 'cbdd781916ac4a8baa08184fba77c6e0', '0360995b8915468c851ec11389cb3ded', 'False', 'True', 'false', 'false', '511622109220', 5, '观音塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622109220', 1, '2021-07-19 11:56:16', NULL, NULL), (23597, '', '保安村', '940fa58850ce414cad6b3d20559d19d8', '0360995b8915468c851ec11389cb3ded', 'False', 'True', 'false', 'false', '511622109222', 5, '保安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622109222', 1, '2021-07-19 11:56:16', NULL, NULL), (23598, '', '桥亭村', 'fdc73f194e364f2786ecc889a3279f2f', '0360995b8915468c851ec11389cb3ded', 'False', 'True', 'false', 'false', '511622109226', 5, '桥亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622109226', 1, '2021-07-19 11:56:16', NULL, NULL), (23599, '', '金牛镇', 'd18f138eff20497e8d746aa93b24a58d', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622110000', 4, '金牛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622110000', 1, '2021-07-19 11:56:16', NULL, NULL), (23600, '', '复兴社区', 'a57ea39b3c9c4e409254b07765200675', 'd18f138eff20497e8d746aa93b24a58d', 'False', 'True', 'false', 'false', '511622110001', 5, '复兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622110001', 1, '2021-07-19 11:56:16', NULL, NULL), (23601, '', '沙牛滩村', '273f3ca841f9427a8046f6abb23bc62e', 'd18f138eff20497e8d746aa93b24a58d', 'False', 'True', 'false', 'false', '511622110201', 5, '沙牛滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622110201', 1, '2021-07-19 11:56:16', NULL, NULL), (23602, '', '双桥村', '1adbf8a9e2b541a6b5d4f62e7c270b30', 'd18f138eff20497e8d746aa93b24a58d', 'False', 'True', 'false', 'false', '511622110202', 5, '双桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622110202', 1, '2021-07-19 11:56:16', NULL, NULL), (23603, '', '石院墙村', '9f916bbc635442b2b0b9df8cc8c29536', 'd18f138eff20497e8d746aa93b24a58d', 'False', 'True', 'false', 'false', '511622110204', 5, '石院墙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622110204', 1, '2021-07-19 11:56:16', NULL, NULL), (23604, '', '雷波寨村', '4140dbdecdf04000aec904960194e281', 'd18f138eff20497e8d746aa93b24a58d', 'False', 'True', 'false', 'false', '511622110206', 5, '雷波寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622110206', 1, '2021-07-19 11:56:16', NULL, NULL), (23605, '', '三合村', '9cf2d7df64a64a778bb1c8e5bbc1aac7', 'd18f138eff20497e8d746aa93b24a58d', 'False', 'True', 'false', 'false', '511622110208', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622110208', 1, '2021-07-19 11:56:16', NULL, NULL), (23606, '', '望乡坪村', 'd969e08b77014ebdb7951bdd5addda73', 'd18f138eff20497e8d746aa93b24a58d', 'False', 'True', 'false', 'false', '511622110210', 5, '望乡坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622110210', 1, '2021-07-19 11:56:16', NULL, NULL), (23607, '', '敖滩村', '95b8db72dc954b58ba5d019ed448ece9', 'd18f138eff20497e8d746aa93b24a58d', 'False', 'True', 'false', 'false', '511622110212', 5, '敖滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622110212', 1, '2021-07-19 11:56:17', NULL, NULL), (23608, '', '桂花湾村', '43dbade6960e4a21ad5abb8c0f646f50', 'd18f138eff20497e8d746aa93b24a58d', 'False', 'True', 'false', 'false', '511622110215', 5, '桂花湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622110215', 1, '2021-07-19 11:56:17', NULL, NULL), (23609, '', '老街村', '35d3cdb2d8a143bf90ababd51bcbcb68', 'd18f138eff20497e8d746aa93b24a58d', 'False', 'True', 'false', 'false', '511622110217', 5, '老街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622110217', 1, '2021-07-19 11:56:17', NULL, NULL), (23610, '', '清平镇', '00ae09424c24479da38b5ef93635488c', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622111000', 4, '清平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622111000', 1, '2021-07-19 11:56:17', NULL, NULL), (23611, '', '清中路社区', '4a1ae4d1ec204bfcae6b05d82d24c881', '00ae09424c24479da38b5ef93635488c', 'False', 'True', 'false', 'false', '511622111001', 5, '清中路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622111001', 1, '2021-07-19 11:56:17', NULL, NULL), (23612, '', '华家坪村', 'ac3b123a810a49bab1328475045d7dd4', '00ae09424c24479da38b5ef93635488c', 'False', 'True', 'false', 'false', '511622111202', 5, '华家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622111202', 1, '2021-07-19 11:56:17', NULL, NULL), (23613, '', '大水井村', '5583a76554dd4c7abab2c9a5340c7279', '00ae09424c24479da38b5ef93635488c', 'False', 'True', 'false', 'false', '511622111203', 5, '大水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622111203', 1, '2021-07-19 11:56:17', NULL, NULL), (23614, '', '涌泉村', '8e1b9f6e7a2748e28a6f243b6a999004', '00ae09424c24479da38b5ef93635488c', 'False', 'True', 'false', 'false', '511622111205', 5, '涌泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622111205', 1, '2021-07-19 11:56:17', NULL, NULL), (23615, '', '陈家寨村', '616e7139a3434f7c9bffa437bc5332bd', '00ae09424c24479da38b5ef93635488c', 'False', 'True', 'false', 'false', '511622111208', 5, '陈家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622111208', 1, '2021-07-19 11:56:17', NULL, NULL), (23616, '', '会云村', 'a8338b77125a41449544932306d87608', '00ae09424c24479da38b5ef93635488c', 'False', 'True', 'false', 'false', '511622111209', 5, '会云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622111209', 1, '2021-07-19 11:56:17', NULL, NULL), (23617, '', '南溪村', '9c85e043866040e0a762ec3235482ff6', '00ae09424c24479da38b5ef93635488c', 'False', 'True', 'false', 'false', '511622111211', 5, '南溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622111211', 1, '2021-07-19 11:56:17', NULL, NULL), (23618, '', '玉皇村', 'f65fc06bf8f146e4afa46521a7028747', '00ae09424c24479da38b5ef93635488c', 'False', 'True', 'false', 'false', '511622111212', 5, '玉皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622111212', 1, '2021-07-19 11:56:17', NULL, NULL), (23619, '', '大堡村', 'b37355894e7746e595f9f830c1f05d41', '00ae09424c24479da38b5ef93635488c', 'False', 'True', 'false', 'false', '511622111214', 5, '大堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622111214', 1, '2021-07-19 11:56:17', NULL, NULL), (23620, '', '棕湾村', '5e8a0864fb78428fa099a96a372dc385', '00ae09424c24479da38b5ef93635488c', 'False', 'True', 'false', 'false', '511622111218', 5, '棕湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622111218', 1, '2021-07-19 11:56:18', NULL, NULL), (23621, '', '林山村', '1689af58a472491198f6f562308d1e6e', '00ae09424c24479da38b5ef93635488c', 'False', 'True', 'false', 'false', '511622111220', 5, '林山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622111220', 1, '2021-07-19 11:56:18', NULL, NULL), (23622, '', '街子镇', 'e719846d56774b138ad072126af9712c', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622112000', 4, '街子镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622112000', 1, '2021-07-19 11:56:18', NULL, NULL), (23623, '', '仁和社区', 'c54caff16ea4497a8ca53395763cc6ac', 'e719846d56774b138ad072126af9712c', 'False', 'True', 'false', 'false', '511622112217', 5, '仁和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622112217', 1, '2021-07-19 11:56:18', NULL, NULL), (23624, '', '新房村', '7b6d3693dcdc4c70adb24721aac125d7', 'e719846d56774b138ad072126af9712c', 'False', 'True', 'false', 'false', '511622210202', 5, '新房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622210202', 1, '2021-07-19 11:56:18', NULL, NULL), (23625, '', '西寨村', 'd73dd260fe42422393b53a5d913f6709', 'e719846d56774b138ad072126af9712c', 'False', 'True', 'false', 'false', '511622210204', 5, '西寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622210204', 1, '2021-07-19 11:56:18', NULL, NULL), (23626, '', '龙兴村', '97bf6d1b30ed45c18c292235a8c5c4db', 'e719846d56774b138ad072126af9712c', 'False', 'True', 'false', 'false', '511622210205', 5, '龙兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622210205', 1, '2021-07-19 11:56:18', NULL, NULL), (23627, '', '平桥村', '1fff91634cab46558346c6668aabaa6e', 'e719846d56774b138ad072126af9712c', 'False', 'True', 'false', 'false', '511622210208', 5, '平桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622210208', 1, '2021-07-19 11:56:18', NULL, NULL), (23628, '', '书房村', '476420c8e9614b5587972ef23711e5ea', 'e719846d56774b138ad072126af9712c', 'False', 'True', 'false', 'false', '511622210209', 5, '书房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622210209', 1, '2021-07-19 11:56:18', NULL, NULL), (23629, '', '碉楼村', 'c7f769694cd84f4194a625f4eaf43993', 'e719846d56774b138ad072126af9712c', 'False', 'True', 'false', 'false', '511622210211', 5, '碉楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622210211', 1, '2021-07-19 11:56:18', NULL, NULL), (23630, '', '花园社区', '652ff7090fb7445caeb00b63606dcc24', 'e719846d56774b138ad072126af9712c', 'False', 'True', 'false', 'false', '511622112001', 5, '花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622112001', 1, '2021-07-19 11:56:18', NULL, NULL), (23631, '', '米市村', '3091ba5632df4f3a9dec953c3c10ce7a', 'e719846d56774b138ad072126af9712c', 'False', 'True', 'false', 'false', '511622112202', 5, '米市村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622112202', 1, '2021-07-19 11:56:18', NULL, NULL), (23632, '', '字库村', 'ca0a4a43dc2542cfba6cd75195a47c35', 'e719846d56774b138ad072126af9712c', 'False', 'True', 'false', 'false', '511622112205', 5, '字库村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622112205', 1, '2021-07-19 11:56:18', NULL, NULL), (23633, '', '干坝子村', 'ddaa2f86f6214065b483e337f6cae1ec', 'e719846d56774b138ad072126af9712c', 'False', 'True', 'false', 'false', '511622112206', 5, '干坝子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622112206', 1, '2021-07-19 11:56:18', NULL, NULL), (23634, '', '九石坎村', '3ef2fc4a1e194c50a8b3b5571a515e66', 'e719846d56774b138ad072126af9712c', 'False', 'True', 'false', 'false', '511622112208', 5, '九石坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622112208', 1, '2021-07-19 11:56:19', NULL, NULL), (23635, '', '何家寨村', 'f685ec966efc4a2393b684b6a965396d', 'e719846d56774b138ad072126af9712c', 'False', 'True', 'false', 'false', '511622112209', 5, '何家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622112209', 1, '2021-07-19 11:56:19', NULL, NULL), (23636, '', '山河片村', 'e74bbad818464e259644dffa5d8a6744', 'e719846d56774b138ad072126af9712c', 'False', 'True', 'false', 'false', '511622112210', 5, '山河片村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622112210', 1, '2021-07-19 11:56:19', NULL, NULL), (23637, '', '张家滩村', '3f7674e7003b42809eb386bd04cba795', 'e719846d56774b138ad072126af9712c', 'False', 'True', 'false', 'false', '511622112211', 5, '张家滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622112211', 1, '2021-07-19 11:56:19', NULL, NULL), (23638, '', '青龙湾村', '20e337c4f0e94d33bd0aec7200596335', 'e719846d56774b138ad072126af9712c', 'False', 'True', 'false', 'false', '511622112214', 5, '青龙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622112214', 1, '2021-07-19 11:56:19', NULL, NULL), (23639, '', '九湾村', 'ac7f23241b734f87b5c6d3ae39dc4d14', 'e719846d56774b138ad072126af9712c', 'False', 'True', 'false', 'false', '511622112216', 5, '九湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622112216', 1, '2021-07-19 11:56:19', NULL, NULL), (23640, '', '万隆镇', 'a1cf22e8a6b64618b4c830e1a5c4693b', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622113000', 4, '万隆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622113000', 1, '2021-07-19 11:56:19', NULL, NULL), (23641, '', '鸿发社区', '956a1167eff54d5d99a5085b3d971375', 'a1cf22e8a6b64618b4c830e1a5c4693b', 'False', 'True', 'false', 'false', '511622211001', 5, '鸿发社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622211001', 1, '2021-07-19 11:56:19', NULL, NULL), (23642, '', '新学村', 'c7d8f93643324309ac81f466d7cc1983', 'a1cf22e8a6b64618b4c830e1a5c4693b', 'False', 'True', 'false', 'false', '511622211201', 5, '新学村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622211201', 1, '2021-07-19 11:56:19', NULL, NULL), (23643, '', '万洞桥村', 'ea416fe0712f4de3a33b869d03f0e617', 'a1cf22e8a6b64618b4c830e1a5c4693b', 'False', 'True', 'false', 'false', '511622211203', 5, '万洞桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622211203', 1, '2021-07-19 11:56:19', NULL, NULL), (23644, '', '合众村', 'ab86edc520dc4e5d83a3503117302153', 'a1cf22e8a6b64618b4c830e1a5c4693b', 'False', 'True', 'false', 'false', '511622211205', 5, '合众村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622211205', 1, '2021-07-19 11:56:19', NULL, NULL), (23645, '', '石栏村', '60707a706896434abc1fe0e3af09da7d', 'a1cf22e8a6b64618b4c830e1a5c4693b', 'False', 'True', 'false', 'false', '511622211206', 5, '石栏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622211206', 1, '2021-07-19 11:56:19', NULL, NULL), (23646, '', '团结村', 'b5a2482a06134e84a859fb25baf0e5be', 'a1cf22e8a6b64618b4c830e1a5c4693b', 'False', 'True', 'false', 'false', '511622211208', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622211208', 1, '2021-07-19 11:56:19', NULL, NULL), (23647, '', '罗湾村', 'b56a6bceba4148b2baeeee731f1f73ad', 'a1cf22e8a6b64618b4c830e1a5c4693b', 'False', 'True', 'false', 'false', '511622211209', 5, '罗湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622211209', 1, '2021-07-19 11:56:19', NULL, NULL), (23648, '', '沿兴社区', '68057438b2c743bfa44966d106fb979d', 'a1cf22e8a6b64618b4c830e1a5c4693b', 'False', 'True', 'false', 'false', '511622113001', 5, '沿兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622113001', 1, '2021-07-19 11:56:20', NULL, NULL), (23649, '', '黄桩村', '4b785406be1248dfa9ff3944164211cf', 'a1cf22e8a6b64618b4c830e1a5c4693b', 'False', 'True', 'false', 'false', '511622113202', 5, '黄桩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622113202', 1, '2021-07-19 11:56:20', NULL, NULL), (23650, '', '阳河村', 'a191248df804402bbc834585644fd869', 'a1cf22e8a6b64618b4c830e1a5c4693b', 'False', 'True', 'false', 'false', '511622113203', 5, '阳河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622113203', 1, '2021-07-19 11:56:20', NULL, NULL), (23651, '', '马道村', 'a937f0935d6b4d41be9c84b0ea541ea6', 'a1cf22e8a6b64618b4c830e1a5c4693b', 'False', 'True', 'false', 'false', '511622113206', 5, '马道村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622113206', 1, '2021-07-19 11:56:20', NULL, NULL), (23652, '', '古福村', 'c8aa1948428f4bf9aeb5d7fbff587755', 'a1cf22e8a6b64618b4c830e1a5c4693b', 'False', 'True', 'false', 'false', '511622113207', 5, '古福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622113207', 1, '2021-07-19 11:56:20', NULL, NULL), (23653, '', '桐柏村', 'c130e66a52c1493aa5c96e5cbf34b629', 'a1cf22e8a6b64618b4c830e1a5c4693b', 'False', 'True', 'false', 'false', '511622113209', 5, '桐柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622113209', 1, '2021-07-19 11:56:20', NULL, NULL), (23654, '', '大垭村', '28de23bfd7154a4fb3a4c77780d0e7cd', 'a1cf22e8a6b64618b4c830e1a5c4693b', 'False', 'True', 'false', 'false', '511622113212', 5, '大垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622113212', 1, '2021-07-19 11:56:20', NULL, NULL), (23655, '', '飞来石村', '9d2b8ea1355949eebe83ea53e11cfa77', 'a1cf22e8a6b64618b4c830e1a5c4693b', 'False', 'True', 'false', 'false', '511622113213', 5, '飞来石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622113213', 1, '2021-07-19 11:56:20', NULL, NULL), (23656, '', '湖果村', '0273a086d0e64f4cabc1305e0f6ceafa', 'a1cf22e8a6b64618b4c830e1a5c4693b', 'False', 'True', 'false', 'false', '511622113214', 5, '湖果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622113214', 1, '2021-07-19 11:56:20', NULL, NULL), (23657, '', '礼安镇', 'ef10ebfe13e049dbb0241f5cd1cd7636', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622114000', 4, '礼安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622114000', 1, '2021-07-19 11:56:20', NULL, NULL), (23658, '', '跃进门社区', 'd1a8c7b55f284775b31d5a5128817326', 'ef10ebfe13e049dbb0241f5cd1cd7636', 'False', 'True', 'false', 'false', '511622114001', 5, '跃进门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622114001', 1, '2021-07-19 11:56:20', NULL, NULL), (23659, '', '葵树村', '2983360461cb491dae6d93af7dfd7b91', 'ef10ebfe13e049dbb0241f5cd1cd7636', 'False', 'True', 'false', 'false', '511622114201', 5, '葵树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622114201', 1, '2021-07-19 11:56:20', NULL, NULL), (23660, '', '火花村', '616a5fc505254c4ba5cd47829b5c4d73', 'ef10ebfe13e049dbb0241f5cd1cd7636', 'False', 'True', 'false', 'false', '511622114203', 5, '火花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622114203', 1, '2021-07-19 11:56:20', NULL, NULL), (23661, '', '观音坝村', '8bc77d18eb764657a3279117055013f3', 'ef10ebfe13e049dbb0241f5cd1cd7636', 'False', 'True', 'false', 'false', '511622114206', 5, '观音坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622114206', 1, '2021-07-19 11:56:20', NULL, NULL), (23662, '', '半边街村', 'ccb792837482445c840c235ee8407914', 'ef10ebfe13e049dbb0241f5cd1cd7636', 'False', 'True', 'false', 'false', '511622114207', 5, '半边街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622114207', 1, '2021-07-19 11:56:21', NULL, NULL), (23663, '', '马鞍山村', '389a43a9670c4c9dbf1359d104f33f27', 'ef10ebfe13e049dbb0241f5cd1cd7636', 'False', 'True', 'false', 'false', '511622114208', 5, '马鞍山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622114208', 1, '2021-07-19 11:56:21', NULL, NULL), (23664, '', '越江村', '81cbd4290fc7457fa92f6a6923675631', 'ef10ebfe13e049dbb0241f5cd1cd7636', 'False', 'True', 'false', 'false', '511622114209', 5, '越江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622114209', 1, '2021-07-19 11:56:21', NULL, NULL), (23665, '', '华封镇', '07bad344f4a24ae699f1bf5f28cb20d8', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622115000', 4, '华封镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622115000', 1, '2021-07-19 11:56:21', NULL, NULL), (23666, '', '佛寿村', 'a6ed1dafe6684d99aaf76655881af439', '07bad344f4a24ae699f1bf5f28cb20d8', 'False', 'True', 'false', 'false', '511622115207', 5, '佛寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622115207', 1, '2021-07-19 11:56:21', NULL, NULL), (23667, '', '沿华路社区', 'bbedb9b8eacc4910964a5b8c7a059e2b', '07bad344f4a24ae699f1bf5f28cb20d8', 'False', 'True', 'false', 'false', '511622115001', 5, '沿华路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622115001', 1, '2021-07-19 11:56:21', NULL, NULL), (23668, '', '石梯坎村', '6f5f08fea7d84555857373ad08164dfc', '07bad344f4a24ae699f1bf5f28cb20d8', 'False', 'True', 'false', 'false', '511622115201', 5, '石梯坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622115201', 1, '2021-07-19 11:56:21', NULL, NULL), (23669, '', '桃园村', '345f750bfc0d46ee96fb24f632883bd1', '07bad344f4a24ae699f1bf5f28cb20d8', 'False', 'True', 'false', 'false', '511622115202', 5, '桃园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622115202', 1, '2021-07-19 11:56:21', NULL, NULL), (23670, '', '将军村', '72009ee1e128421b8bd6d1ff004ad6fd', '07bad344f4a24ae699f1bf5f28cb20d8', 'False', 'True', 'false', 'false', '511622115205', 5, '将军村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622115205', 1, '2021-07-19 11:56:21', NULL, NULL), (23671, '', '先锋岭村', 'cf0ce6e498d543d19bbdf8aa76875aed', '07bad344f4a24ae699f1bf5f28cb20d8', 'False', 'True', 'false', 'false', '511622115209', 5, '先锋岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622115209', 1, '2021-07-19 11:56:21', NULL, NULL), (23672, '', '观音寺村', '51bf90bbf91c4d66bda2726475db7f3e', '07bad344f4a24ae699f1bf5f28cb20d8', 'False', 'True', 'false', 'false', '511622115210', 5, '观音寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622115210', 1, '2021-07-19 11:56:21', NULL, NULL), (23673, '', '永寿寺村', 'b9914aa7d2fb4a94a0d84918642d9e2e', '07bad344f4a24ae699f1bf5f28cb20d8', 'False', 'True', 'false', 'false', '511622115213', 5, '永寿寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622115213', 1, '2021-07-19 11:56:21', NULL, NULL), (23674, '', '宝箴塞镇', '9c1d8dcd62b442d2934343775cad6556', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622116000', 4, '宝箴塞镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622116000', 1, '2021-07-19 11:56:21', NULL, NULL), (23675, '', '灵龙社区', 'bf3dd3dac1f341d8874a43bfbd107cac', '9c1d8dcd62b442d2934343775cad6556', 'False', 'True', 'false', 'false', '511622116001', 5, '灵龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622116001', 1, '2021-07-19 11:56:21', NULL, NULL), (23676, '', '农林村', '3a1d28d54c3c405fb233a33274426c0d', '9c1d8dcd62b442d2934343775cad6556', 'False', 'True', 'false', 'false', '511622116201', 5, '农林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622116201', 1, '2021-07-19 11:56:21', NULL, NULL), (23677, '', '小池口村', '6f6658bf16f44bbb9225f2264e4688cc', '9c1d8dcd62b442d2934343775cad6556', 'False', 'True', 'false', 'false', '511622116202', 5, '小池口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622116202', 1, '2021-07-19 11:56:22', NULL, NULL), (23678, '', '农山村', 'fa3032428ad345499cf7732dabe1b106', '9c1d8dcd62b442d2934343775cad6556', 'False', 'True', 'false', 'false', '511622116203', 5, '农山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622116203', 1, '2021-07-19 11:56:22', NULL, NULL), (23679, '', '金斧村', '5ca6e00a98444a199f446e520a40b7a3', '9c1d8dcd62b442d2934343775cad6556', 'False', 'True', 'false', 'false', '511622116205', 5, '金斧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622116205', 1, '2021-07-19 11:56:22', NULL, NULL), (23680, '', '安堂坡村', '2f20192ac946413090f686fef966600b', '9c1d8dcd62b442d2934343775cad6556', 'False', 'True', 'false', 'false', '511622116206', 5, '安堂坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622116206', 1, '2021-07-19 11:56:22', NULL, NULL), (23681, '', '方家沟村', 'd58d448e4ad0460dbb527394528b67f8', '9c1d8dcd62b442d2934343775cad6556', 'False', 'True', 'false', 'false', '511622116209', 5, '方家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622116209', 1, '2021-07-19 11:56:22', NULL, NULL), (23682, '', '狮子冲村', '66e0a4159a42484fa1872821360a1393', '9c1d8dcd62b442d2934343775cad6556', 'False', 'True', 'false', 'false', '511622116212', 5, '狮子冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622116212', 1, '2021-07-19 11:56:22', NULL, NULL), (23683, '', '山旺村', '175ebdf02df54e73bb0031d4130a3cfb', '9c1d8dcd62b442d2934343775cad6556', 'False', 'True', 'false', 'false', '511622116214', 5, '山旺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622116214', 1, '2021-07-19 11:56:22', NULL, NULL), (23684, '', '鸣钟镇', 'dfeef0ae78e34b3b8aacc8a23f422f1c', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622200000', 4, '鸣钟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622200000', 1, '2021-07-19 11:56:22', NULL, NULL), (23685, '', '金钟社区', '7af065eb11354e9f92477fb10378d713', 'dfeef0ae78e34b3b8aacc8a23f422f1c', 'False', 'True', 'false', 'false', '511622200001', 5, '金钟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622200001', 1, '2021-07-19 11:56:22', NULL, NULL), (23686, '', '独巍山村', '7e2d2f3526784d37b84eea01cdbcd98d', 'dfeef0ae78e34b3b8aacc8a23f422f1c', 'False', 'True', 'false', 'false', '511622200201', 5, '独巍山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622200201', 1, '2021-07-19 11:56:22', NULL, NULL), (23687, '', '申家洞村', 'cc31f47d980841408282813c0e92ab9e', 'dfeef0ae78e34b3b8aacc8a23f422f1c', 'False', 'True', 'false', 'false', '511622200202', 5, '申家洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622200202', 1, '2021-07-19 11:56:22', NULL, NULL), (23688, '', '华严村', '1baf400a582b49f3b6f8c5024b3b3977', 'dfeef0ae78e34b3b8aacc8a23f422f1c', 'False', 'True', 'false', 'false', '511622200204', 5, '华严村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622200204', 1, '2021-07-19 11:56:22', NULL, NULL), (23689, '', '龙庙村', '5587f965692c422494ed0d014fc95457', 'dfeef0ae78e34b3b8aacc8a23f422f1c', 'False', 'True', 'false', 'false', '511622200206', 5, '龙庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622200206', 1, '2021-07-19 11:56:22', NULL, NULL), (23690, '', '中华村', '277bc7037b204f669b55daa42b79a7b0', 'dfeef0ae78e34b3b8aacc8a23f422f1c', 'False', 'True', 'false', 'false', '511622200211', 5, '中华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622200211', 1, '2021-07-19 11:56:22', NULL, NULL), (23691, '', '高坡村', '93a913c390eb4e4e95a6a1ac9500fbe2', 'dfeef0ae78e34b3b8aacc8a23f422f1c', 'False', 'True', 'false', 'false', '511622200212', 5, '高坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622200212', 1, '2021-07-19 11:56:23', NULL, NULL), (23692, '', '小寨村', '3ca0bee4d88f48eeb56f6b03b7d743ce', 'dfeef0ae78e34b3b8aacc8a23f422f1c', 'False', 'True', 'false', 'false', '511622200213', 5, '小寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622200213', 1, '2021-07-19 11:56:23', NULL, NULL), (23693, '', '龙鳌村', 'ef6de4badcf045d09299a033e2cc1f15', 'dfeef0ae78e34b3b8aacc8a23f422f1c', 'False', 'True', 'false', 'false', '511622200214', 5, '龙鳌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622200214', 1, '2021-07-19 11:56:23', NULL, NULL), (23694, '', '大石村', 'a8b37b08ada247969893d802764473be', 'dfeef0ae78e34b3b8aacc8a23f422f1c', 'False', 'True', 'false', 'false', '511622200216', 5, '大石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622200216', 1, '2021-07-19 11:56:23', NULL, NULL), (23695, '', '真静乡', '107702f438dd469eb7e1a92357f1c98c', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622201000', 4, '真静乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622201000', 1, '2021-07-19 11:56:23', NULL, NULL), (23696, '', '银子宝村', '3f4940eb6eaf47d48a4a4976599f3353', '107702f438dd469eb7e1a92357f1c98c', 'False', 'True', 'false', 'false', '511622201203', 5, '银子宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622201203', 1, '2021-07-19 11:56:23', NULL, NULL), (23697, '', '福寿社区', 'bb4bb6cfd95a42438c55042e9ec424ce', '107702f438dd469eb7e1a92357f1c98c', 'False', 'True', 'false', 'false', '511622201001', 5, '福寿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622201001', 1, '2021-07-19 11:56:23', NULL, NULL), (23698, '', '真静村', '299acb2f2128414191e64af84f01651d', '107702f438dd469eb7e1a92357f1c98c', 'False', 'True', 'false', 'false', '511622201201', 5, '真静村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622201201', 1, '2021-07-19 11:56:23', NULL, NULL), (23699, '', '深水井村', '0974a2530b2744c6953d04e3e1010876', '107702f438dd469eb7e1a92357f1c98c', 'False', 'True', 'false', 'false', '511622201204', 5, '深水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622201204', 1, '2021-07-19 11:56:23', NULL, NULL), (23700, '', '龙堡山村', '3292168b961c435fbea7c3eda76f7fdb', '107702f438dd469eb7e1a92357f1c98c', 'False', 'True', 'false', 'false', '511622201205', 5, '龙堡山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622201205', 1, '2021-07-19 11:56:23', NULL, NULL), (23701, '', '书岩村', '768fda35d84e4179a1a2b130235b23f6', '107702f438dd469eb7e1a92357f1c98c', 'False', 'True', 'false', 'false', '511622201206', 5, '书岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622201206', 1, '2021-07-19 11:56:23', NULL, NULL), (23702, '', '海钟村', '45fb39dd1cb1433c95970cbbd1fbdf64', '107702f438dd469eb7e1a92357f1c98c', 'False', 'True', 'false', 'false', '511622201209', 5, '海钟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622201209', 1, '2021-07-19 11:56:23', NULL, NULL), (23703, '', '猛山乡', '2838b0ab828d47c7be1a905b40aec539', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622202000', 4, '猛山乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622202000', 1, '2021-07-19 11:56:23', NULL, NULL), (23704, '', '义和街社区', '6affe77f16244cafa986cb5be24f8eca', '2838b0ab828d47c7be1a905b40aec539', 'False', 'True', 'false', 'false', '511622202001', 5, '义和街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622202001', 1, '2021-07-19 11:56:23', NULL, NULL), (23705, '', '白楼村', '05b068dc69824e71bec09c00f037db7f', '2838b0ab828d47c7be1a905b40aec539', 'False', 'True', 'false', 'false', '511622202201', 5, '白楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622202201', 1, '2021-07-19 11:56:23', NULL, NULL), (23706, '', '石花村', '442a0dfab85c4098acfb34114483b828', '2838b0ab828d47c7be1a905b40aec539', 'False', 'True', 'false', 'false', '511622202204', 5, '石花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622202204', 1, '2021-07-19 11:56:24', NULL, NULL), (23707, '', '双河村', '4f557e23190446e4bcff26a7752246be', '2838b0ab828d47c7be1a905b40aec539', 'False', 'True', 'false', 'false', '511622202206', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622202206', 1, '2021-07-19 11:56:24', NULL, NULL), (23708, '', '万民村', '184a5ecf25814a7a9de8b0795664691b', '2838b0ab828d47c7be1a905b40aec539', 'False', 'True', 'false', 'false', '511622202207', 5, '万民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622202207', 1, '2021-07-19 11:56:24', NULL, NULL), (23709, '', '猛山村', '92c1136e9a094b1dba572c3aad36a88f', '2838b0ab828d47c7be1a905b40aec539', 'False', 'True', 'false', 'false', '511622202209', 5, '猛山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622202209', 1, '2021-07-19 11:56:24', NULL, NULL), (23710, '', '二郎村', 'ffd3cd684171438d95b5a5124e43792d', '2838b0ab828d47c7be1a905b40aec539', 'False', 'True', 'false', 'false', '511622202212', 5, '二郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622202212', 1, '2021-07-19 11:56:24', NULL, NULL), (23711, '', '双星乡', 'b766fba8270647669b626504dbea0875', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622203000', 4, '双星乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622203000', 1, '2021-07-19 11:56:24', NULL, NULL), (23712, '', '双龙社区', '8fc9b4e707684482aa722243671a7e38', 'b766fba8270647669b626504dbea0875', 'False', 'True', 'false', 'false', '511622203001', 5, '双龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622203001', 1, '2021-07-19 11:56:24', NULL, NULL), (23713, '', '双狮村', '401fcbc68b944ab1ac928c14f4821e8d', 'b766fba8270647669b626504dbea0875', 'False', 'True', 'false', 'false', '511622203201', 5, '双狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622203201', 1, '2021-07-19 11:56:24', NULL, NULL), (23714, '', '东梁寨村', 'aab3880cce6f4fa2aa5fb849b3eee824', 'b766fba8270647669b626504dbea0875', 'False', 'True', 'false', 'false', '511622203204', 5, '东梁寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622203204', 1, '2021-07-19 11:56:24', NULL, NULL), (23715, '', '柏老村', '534e3a4ae7d346d1926e9899b5df99d6', 'b766fba8270647669b626504dbea0875', 'False', 'True', 'false', 'false', '511622203205', 5, '柏老村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622203205', 1, '2021-07-19 11:56:24', NULL, NULL), (23716, '', '工农村', 'b8bed1d7fb9242a6b83c7fa62e5d9ef8', 'b766fba8270647669b626504dbea0875', 'False', 'True', 'false', 'false', '511622203206', 5, '工农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622203206', 1, '2021-07-19 11:56:24', NULL, NULL), (23717, '', '三喜村', '85ae58e752f145c3a2ce9b19b0f25df9', 'b766fba8270647669b626504dbea0875', 'False', 'True', 'false', 'false', '511622203208', 5, '三喜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622203208', 1, '2021-07-19 11:56:24', NULL, NULL), (23718, '', '朝阳村', 'fd44e521d53f41b69135ada521bfe4c2', 'b766fba8270647669b626504dbea0875', 'False', 'True', 'false', 'false', '511622203210', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622203210', 1, '2021-07-19 11:56:24', NULL, NULL), (23719, '', '水口村', '769b4a9df0484629be57af4d0b24d8b6', 'b766fba8270647669b626504dbea0875', 'False', 'True', 'false', 'false', '511622203212', 5, '水口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622203212', 1, '2021-07-19 11:56:24', NULL, NULL), (23720, '', '石盘镇', 'afa01d7090044c70b6f50fd1007e2e02', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622205000', 4, '石盘镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622205000', 1, '2021-07-19 11:56:24', NULL, NULL), (23721, '', '黄石村', 'cb2f9cf79a2f4820aa3c057cd4794e32', 'afa01d7090044c70b6f50fd1007e2e02', 'False', 'True', 'false', 'false', '511622205212', 5, '黄石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622205212', 1, '2021-07-19 11:56:24', NULL, NULL), (23722, '', '石鼓路社区', '16911e708bb94f55bf33a8cca595671f', 'afa01d7090044c70b6f50fd1007e2e02', 'False', 'True', 'false', 'false', '511622205001', 5, '石鼓路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622205001', 1, '2021-07-19 11:56:25', NULL, NULL), (23723, '', '钱树村', 'd8b51e15b2024ce39f00b20c9434ca02', 'afa01d7090044c70b6f50fd1007e2e02', 'False', 'True', 'false', 'false', '511622205202', 5, '钱树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622205202', 1, '2021-07-19 11:56:25', NULL, NULL), (23724, '', '石盘村', 'dbc05f0878a74ca0b9fd6ee51c29f611', 'afa01d7090044c70b6f50fd1007e2e02', 'False', 'True', 'false', 'false', '511622205205', 5, '石盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622205205', 1, '2021-07-19 11:56:25', NULL, NULL), (23725, '', '高石寨村', 'bad078b931cd408e94c540ee3f3e50e9', 'afa01d7090044c70b6f50fd1007e2e02', 'False', 'True', 'false', 'false', '511622205207', 5, '高石寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622205207', 1, '2021-07-19 11:56:25', NULL, NULL), (23726, '', '海鱼村', '74672f5efcbe4f689e0dd3d22b77a9a5', 'afa01d7090044c70b6f50fd1007e2e02', 'False', 'True', 'false', 'false', '511622205209', 5, '海鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622205209', 1, '2021-07-19 11:56:25', NULL, NULL), (23727, '', '凉亭村', '766d5f3da2ad49cca4e6ef74bb2d8482', 'afa01d7090044c70b6f50fd1007e2e02', 'False', 'True', 'false', 'false', '511622205210', 5, '凉亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622205210', 1, '2021-07-19 11:56:25', NULL, NULL), (23728, '', '天游村', '32f6de7f0204463f9a197bae3ded88b8', 'afa01d7090044c70b6f50fd1007e2e02', 'False', 'True', 'false', 'false', '511622205214', 5, '天游村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622205214', 1, '2021-07-19 11:56:25', NULL, NULL), (23729, '', '保堂村', '186351d65c714088b6f85d29dda6c57d', 'afa01d7090044c70b6f50fd1007e2e02', 'False', 'True', 'false', 'false', '511622205215', 5, '保堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622205215', 1, '2021-07-19 11:56:25', NULL, NULL), (23730, '', '鼓匠乡', '43304162c9464746b107bc24c41d9564', '3fe653bc681146a2990e11c5bdd47088', 'True', 'True', 'false', 'false', '511622208000', 4, '鼓匠乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511622208000', 1, '2021-07-19 11:56:25', NULL, NULL), (23731, '', '和平社区', '141a7cf700634b9cbc681aec52d1ae37', '43304162c9464746b107bc24c41d9564', 'False', 'True', 'false', 'false', '511622208001', 5, '和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622208001', 1, '2021-07-19 11:56:25', NULL, NULL), (23732, '', '芋子塘村', '6baf35944eaf470c8c4b60fc7a6487b9', '43304162c9464746b107bc24c41d9564', 'False', 'True', 'false', 'false', '511622208201', 5, '芋子塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622208201', 1, '2021-07-19 11:56:25', NULL, NULL), (23733, '', '七里半村', 'd2e181e88484473c83565d36dc4d946b', '43304162c9464746b107bc24c41d9564', 'False', 'True', 'false', 'false', '511622208202', 5, '七里半村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622208202', 1, '2021-07-19 11:56:25', NULL, NULL), (23734, '', '万水村', '2cc9e044178a49f78b11f72d3f07f1aa', '43304162c9464746b107bc24c41d9564', 'False', 'True', 'false', 'false', '511622208203', 5, '万水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622208203', 1, '2021-07-19 11:56:26', NULL, NULL), (23735, '', '鹤林村', '6bec00f0948d4532a8f6d4ca7b80c875', '43304162c9464746b107bc24c41d9564', 'False', 'True', 'false', 'false', '511622208207', 5, '鹤林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622208207', 1, '2021-07-19 11:56:26', NULL, NULL), (23736, '', '三洞桥村', '800b3cded7ce4f19b2d8ce64479d1f15', '43304162c9464746b107bc24c41d9564', 'False', 'True', 'false', 'false', '511622208208', 5, '三洞桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622208208', 1, '2021-07-19 11:56:26', NULL, NULL), (23737, '', '星桥村', '18896ede09924169a59914947967bef3', '43304162c9464746b107bc24c41d9564', 'False', 'True', 'false', 'false', '511622208211', 5, '星桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622208211', 1, '2021-07-19 11:56:26', NULL, NULL), (23738, '', '八洞桥村', '5931006f67e5430e9e1a660be3955b0e', '43304162c9464746b107bc24c41d9564', 'False', 'True', 'false', 'false', '511622208213', 5, '八洞桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622208213', 1, '2021-07-19 11:56:26', NULL, NULL), (23739, '', '大田湾村', '34fb5f1faf4e4934a83671f78e3004be', '43304162c9464746b107bc24c41d9564', 'False', 'True', 'false', 'false', '511622208214', 5, '大田湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511622208214', 1, '2021-07-19 11:56:26', NULL, NULL), (23740, '', '邻水县', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'f1812fb4fc144c0c89f4ff952f9e6a0d', 'True', 'True', 'false', 'false', '511623000000', 3, '邻水县', 'gaslsx.sczwfw.gov.cn', 1, '2021-07-19 11:56:26', NULL, NULL), (23741, '', '高滩镇', 'caed211420914261972aa3a61809ae00', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623000439', 4, '高滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623000439', 1, '2021-07-19 11:56:26', NULL, NULL), (23742, '', '镇北社区', 'a2b869fcfff743c3b533fa894733f47d', 'caed211420914261972aa3a61809ae00', 'False', 'True', 'false', 'false', '511623109001', 5, '镇北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623109001', 1, '2021-07-19 11:56:26', NULL, NULL), (23743, '', '镇南社区', 'fa4097c4540f45e5baf701e08613096f', 'caed211420914261972aa3a61809ae00', 'False', 'True', 'false', 'false', '511623109002', 5, '镇南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623109002', 1, '2021-07-19 11:56:26', NULL, NULL), (23744, '', '平安寨社区', '4acc9bc07f674175b486a2069b9abea7', 'caed211420914261972aa3a61809ae00', 'False', 'True', 'false', 'false', '511623109003', 5, '平安寨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623109003', 1, '2021-07-19 11:56:26', NULL, NULL), (23745, '', '高明社区', '524f350755d64fbf9886a4cb4c1adf95', 'caed211420914261972aa3a61809ae00', 'False', 'True', 'false', 'false', '511623109004', 5, '高明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623109004', 1, '2021-07-19 11:56:26', NULL, NULL), (23746, '', '子中社区', '51020fcae56e416fa3e9538fb9d3791d', 'caed211420914261972aa3a61809ae00', 'False', 'True', 'false', 'false', '511623109005', 5, '子中社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623109005', 1, '2021-07-19 11:56:26', NULL, NULL), (23747, '', '马鹿村', 'd3867934635f4ed492b388bab0ed5e56', 'caed211420914261972aa3a61809ae00', 'False', 'True', 'false', 'false', '511623109201', 5, '马鹿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623109201', 1, '2021-07-19 11:56:26', NULL, NULL), (23748, '', '跑马村', '6f1ecaca4eea46b39da01e2786c4fcbb', 'caed211420914261972aa3a61809ae00', 'False', 'True', 'false', 'false', '511623109203', 5, '跑马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623109203', 1, '2021-07-19 11:56:26', NULL, NULL), (23749, '', '石马河村', 'ecd937e9189f4bf4b08a2c40bfabdc7f', 'caed211420914261972aa3a61809ae00', 'False', 'True', 'false', 'false', '511623109205', 5, '石马河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623109205', 1, '2021-07-19 11:56:26', NULL, NULL), (23750, '', '接龙场村', '8845f404d64347a7b2b3464f4f47b413', 'caed211420914261972aa3a61809ae00', 'False', 'True', 'false', 'false', '511623109207', 5, '接龙场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623109207', 1, '2021-07-19 11:56:26', NULL, NULL), (23751, '', '余家坪村', '8963d34e8eea42cea3fa35cd7cf516cd', 'caed211420914261972aa3a61809ae00', 'False', 'True', 'false', 'false', '511623109209', 5, '余家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623109209', 1, '2021-07-19 11:56:26', NULL, NULL), (23752, '', '青童庵村', '7cd5cd153027436187a29ec2fe92f9ea', 'caed211420914261972aa3a61809ae00', 'False', 'True', 'false', 'false', '511623109211', 5, '青童庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623109211', 1, '2021-07-19 11:56:26', NULL, NULL), (23753, '', '保家村', '9ba5ef0a722e4f00bf08cd6d31aa2e56', 'caed211420914261972aa3a61809ae00', 'False', 'True', 'false', 'false', '511623109216', 5, '保家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623109216', 1, '2021-07-19 11:56:26', NULL, NULL), (23754, '', '桂花村', 'bbd72538f558454499fed9545c3ce37d', 'caed211420914261972aa3a61809ae00', 'False', 'True', 'false', 'false', '511623109217', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623109217', 1, '2021-07-19 11:56:26', NULL, NULL), (23755, '', '西乐村', '2d9010fac29c4c4ab7c3241c478f5416', 'caed211420914261972aa3a61809ae00', 'False', 'True', 'false', 'false', '511623109218', 5, '西乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623109218', 1, '2021-07-19 11:56:26', NULL, NULL), (23756, '', '长渠村', '07f2b3dd501443ce8696ae5ad7055912', 'caed211420914261972aa3a61809ae00', 'False', 'True', 'false', 'false', '511623109219', 5, '长渠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623109219', 1, '2021-07-19 11:56:27', NULL, NULL), (23757, '', '八家山村', 'd14141f2414f46338ffeee20d3b4b3e5', 'caed211420914261972aa3a61809ae00', 'False', 'True', 'false', 'false', '511623109220', 5, '八家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623109220', 1, '2021-07-19 11:56:27', NULL, NULL), (23758, '', '鼎屏镇', 'db441d4f475b404fa80faf37f653f6cc', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623144000', 4, '鼎屏镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623144000', 1, '2021-07-19 11:56:27', NULL, NULL), (23759, '', '北街社区', 'd69e9a56e617458dbd5f5dcbd7aed865', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100001', 5, '北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100001', 1, '2021-07-19 11:56:27', NULL, NULL), (23760, '', '中街社区', '564cdf209d234eeda89bb02227cb7021', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100002', 5, '中街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100002', 1, '2021-07-19 11:56:27', NULL, NULL), (23761, '', '西街社区', '48312095695d48378d036f648876fee5', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100003', 5, '西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100003', 1, '2021-07-19 11:56:27', NULL, NULL), (23762, '', '双河口社区', '958a079328a14d12a9d7430137266fff', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100004', 5, '双河口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100004', 1, '2021-07-19 11:56:27', NULL, NULL), (23763, '', '栀子湾社区', '70d361caef96416380e2cb503605c00f', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100005', 5, '栀子湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100005', 1, '2021-07-19 11:56:27', NULL, NULL), (23764, '', '挞子丘社区', 'af4450d831b54c5aa65f6e330ee86420', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100006', 5, '挞子丘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100006', 1, '2021-07-19 11:56:27', NULL, NULL), (23765, '', '乌龟碑社区', '04bc329656704158870154b86a28c515', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100007', 5, '乌龟碑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100007', 1, '2021-07-19 11:56:27', NULL, NULL), (23766, '', '和平桥社区', '42bf79dbe2c8402ba1f8454e739f3011', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100008', 5, '和平桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100008', 1, '2021-07-19 11:56:27', NULL, NULL), (23767, '', '西坛社区', 'e420c035404e41a3a14754f76b170cdb', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100009', 5, '西坛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100009', 1, '2021-07-19 11:56:27', NULL, NULL), (23768, '', '东外社区', '7cf2854a50984f63ab9684340c8908d7', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100010', 5, '东外社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100010', 1, '2021-07-19 11:56:27', NULL, NULL), (23769, '', '灌沟社区', '3b8a028e2c5848bfaad310591e689ccf', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100011', 5, '灌沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100011', 1, '2021-07-19 11:56:27', NULL, NULL), (23770, '', '南外社区', '6b6bc318b2c64acc93782398a8ff74d6', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100012', 5, '南外社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100012', 1, '2021-07-19 11:56:27', NULL, NULL), (23771, '', '北辰社区', 'a348aa80b6b94e6795b66497668dd40f', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100013', 5, '北辰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100013', 1, '2021-07-19 11:56:27', NULL, NULL), (23772, '', '南辰社区', '17b0b5775ca142a7add43d28e9120b91', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100014', 5, '南辰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100014', 1, '2021-07-19 11:56:28', NULL, NULL), (23773, '', '西辰社区', '985125e54e9b4a3998ea0cb1ded44b12', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100015', 5, '西辰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100015', 1, '2021-07-19 11:56:28', NULL, NULL), (23774, '', '东辰社区', '084c328774484a16b049c63c07e9b57a', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100016', 5, '东辰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100016', 1, '2021-07-19 11:56:28', NULL, NULL), (23775, '', '东苑社区', '304576cb51da481aa858f52e7fe0651b', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100017', 5, '东苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100017', 1, '2021-07-19 11:56:28', NULL, NULL), (23776, '', '玉屏社区', 'c92ff549e06548ad8d7fa529a3a34f10', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100018', 5, '玉屏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100018', 1, '2021-07-19 11:56:28', NULL, NULL), (23777, '', '大佛寺社区', 'fbd508810ba04efd8b3c0a77c8664c0a', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100019', 5, '大佛寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100019', 1, '2021-07-19 11:56:28', NULL, NULL), (23778, '', '三合社区', '38dfa6c024cb43f9a0ee12f8895f7aa9', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100020', 5, '三合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100020', 1, '2021-07-19 11:56:28', NULL, NULL), (23779, '', '红店社区', '63102fedc4794f7a94e51d0ffdef9aaa', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100021', 5, '红店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100021', 1, '2021-07-19 11:56:28', NULL, NULL), (23780, '', '红石社区', '1b4068cb9610481e8ab832c32117abd2', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100022', 5, '红石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100022', 1, '2021-07-19 11:56:28', NULL, NULL), (23781, '', '文星社区', '5390fe0983fe4727bf5f16c9d2c98a56', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100023', 5, '文星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100023', 1, '2021-07-19 11:56:28', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (23782, '', '赵家桥社区', '492ebae404024a91a79bf07a3ec51ed0', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100024', 5, '赵家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100024', 1, '2021-07-19 11:56:28', NULL, NULL), (23783, '', '双井社区', 'ec1bc9a492c146f4b8a72fc538db2444', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100025', 5, '双井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100025', 1, '2021-07-19 11:56:28', NULL, NULL), (23784, '', '石坝村', '73355fa4348a4e388e70dea15ac56c3d', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100202', 5, '石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100202', 1, '2021-07-19 11:56:28', NULL, NULL), (23785, '', '五岔村', '86b321f5eab24c83a0d88834ef2c9fdf', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100203', 5, '五岔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100203', 1, '2021-07-19 11:56:28', NULL, NULL), (23786, '', '牌坊村', '8765f74f85b244449d6f397af5b56d29', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100204', 5, '牌坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100204', 1, '2021-07-19 11:56:28', NULL, NULL), (23787, '', '滑桥村', 'f9725690367c4208afd0311d0108f19e', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100205', 5, '滑桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100205', 1, '2021-07-19 11:56:28', NULL, NULL), (23788, '', '仁和村', '1dc5340792954cbfb074e1b122fea9ed', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100206', 5, '仁和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100206', 1, '2021-07-19 11:56:28', NULL, NULL), (23789, '', '姚家村', '7c482d14ee5f4029a12d012d6b3da331', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100207', 5, '姚家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100207', 1, '2021-07-19 11:56:28', NULL, NULL), (23790, '', '同心村', '21b5a95d9d3545d5a762072aa1c20170', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100208', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100208', 1, '2021-07-19 11:56:28', NULL, NULL), (23791, '', '东北村', '8f40a0f490f04cb3a42dfadbd60bbe35', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100209', 5, '东北村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100209', 1, '2021-07-19 11:56:29', NULL, NULL), (23792, '', '延胜村', 'a525b6265fa4400f91fa5e6170f6e8dd', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100210', 5, '延胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100210', 1, '2021-07-19 11:56:29', NULL, NULL), (23793, '', '景佳村', '87243c30aa5d45b38b669bf5c21c3444', 'db441d4f475b404fa80faf37f653f6cc', 'False', 'True', 'false', 'false', '511623100211', 5, '景佳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623100211', 1, '2021-07-19 11:56:29', NULL, NULL), (23794, '', '牟家镇', 'c1fabae5472a42e5a1374fe96e3e271a', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623183000', 4, '牟家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623183000', 1, '2021-07-19 11:56:29', NULL, NULL), (23795, '', '牟家坪社区', 'c989015676b744beac8d937d526cf3c8', 'c1fabae5472a42e5a1374fe96e3e271a', 'False', 'True', 'false', 'false', '511623106001', 5, '牟家坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623106001', 1, '2021-07-19 11:56:29', NULL, NULL), (23796, '', '向阳村', '1b4580bfa14e4fb5b2d6f9b82378dfba', 'c1fabae5472a42e5a1374fe96e3e271a', 'False', 'True', 'false', 'false', '511623106201', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623106201', 1, '2021-07-19 11:56:29', NULL, NULL), (23797, '', '狮台村', 'ad402283eeac4fcba027d946af18e672', 'c1fabae5472a42e5a1374fe96e3e271a', 'False', 'True', 'false', 'false', '511623106202', 5, '狮台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623106202', 1, '2021-07-19 11:56:29', NULL, NULL), (23798, '', '麻河村', '953d96cf55bf4454ad0917fe9096f0cb', 'c1fabae5472a42e5a1374fe96e3e271a', 'False', 'True', 'false', 'false', '511623106203', 5, '麻河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623106203', 1, '2021-07-19 11:56:29', NULL, NULL), (23799, '', '凉垭村', '3d865bb2954643d0aaa71b8f2d589328', 'c1fabae5472a42e5a1374fe96e3e271a', 'False', 'True', 'false', 'false', '511623106204', 5, '凉垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623106204', 1, '2021-07-19 11:56:29', NULL, NULL), (23800, '', '跳狮村', 'a4d1b78ac922401daf399ff103beb92d', 'c1fabae5472a42e5a1374fe96e3e271a', 'False', 'True', 'false', 'false', '511623106207', 5, '跳狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623106207', 1, '2021-07-19 11:56:29', NULL, NULL), (23801, '', '长胜村', 'c10fc133776b438c82406131150ab6ce', 'c1fabae5472a42e5a1374fe96e3e271a', 'False', 'True', 'false', 'false', '511623106209', 5, '长胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623106209', 1, '2021-07-19 11:56:29', NULL, NULL), (23802, '', '金凤村', '0ff55514f09741648c5fa9b74c8281dc', 'c1fabae5472a42e5a1374fe96e3e271a', 'False', 'True', 'false', 'false', '511623106211', 5, '金凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623106211', 1, '2021-07-19 11:56:29', NULL, NULL), (23803, '', '联合村', '271083f4ae0944a686c7b84dc6d56c92', 'c1fabae5472a42e5a1374fe96e3e271a', 'False', 'True', 'false', 'false', '511623106213', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623106213', 1, '2021-07-19 11:56:29', NULL, NULL), (23804, '', '乱石村', '0e0d16ed57f34d168d1e7eb7f9a10146', 'c1fabae5472a42e5a1374fe96e3e271a', 'False', 'True', 'false', 'false', '511623106214', 5, '乱石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623106214', 1, '2021-07-19 11:56:29', NULL, NULL), (23805, '', '银丰村', '28e642708231470a914a91427e110e8a', 'c1fabae5472a42e5a1374fe96e3e271a', 'False', 'True', 'false', 'false', '511623106215', 5, '银丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623106215', 1, '2021-07-19 11:56:29', NULL, NULL), (23806, '', '龙须沟村', '3133e479f0fe4cdf8752bbcadf6bcfc6', 'c1fabae5472a42e5a1374fe96e3e271a', 'False', 'True', 'false', 'false', '511623106216', 5, '龙须沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623106216', 1, '2021-07-19 11:56:29', NULL, NULL), (23807, '', '袁市镇', 'ee4e2f2ffbf14c4fbe57812578a3eb84', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623208000', 4, '袁市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623208000', 1, '2021-07-19 11:56:29', NULL, NULL), (23808, '', '团坝社区', '675e02dff0df443e9e4dcae8b2c4dcab', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112003', 5, '团坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112003', 1, '2021-07-19 11:56:29', NULL, NULL), (23809, '', '大光明社区', 'd691f1527d0244b09ae0e6059bd265bb', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112004', 5, '大光明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112004', 1, '2021-07-19 11:56:29', NULL, NULL), (23810, '', '袁庙社区', '3da934560e9440589129891e888632af', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112005', 5, '袁庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112005', 1, '2021-07-19 11:56:30', NULL, NULL), (23811, '', '关河社区', '5cba7f5692164a6595739b84a9e2b559', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112006', 5, '关河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112006', 1, '2021-07-19 11:56:30', NULL, NULL), (23812, '', '龙桥社区', 'b6997da014c245eb93a4d6281e897204', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112007', 5, '龙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112007', 1, '2021-07-19 11:56:30', NULL, NULL), (23813, '', '增产村', 'ab372b246d704c55b2326f7f1f4ce9e0', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112204', 5, '增产村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112204', 1, '2021-07-19 11:56:30', NULL, NULL), (23814, '', '万胜村', 'ff8427e1b32c43adb2cb7e870959e5c0', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112207', 5, '万胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112207', 1, '2021-07-19 11:56:30', NULL, NULL), (23815, '', '天华村', 'fe059a0ad6b044268e84be9db97df769', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112208', 5, '天华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112208', 1, '2021-07-19 11:56:30', NULL, NULL), (23816, '', '福星村', '95001aa649fa40ae942dcfdd07d9e950', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112211', 5, '福星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112211', 1, '2021-07-19 11:56:30', NULL, NULL), (23817, '', '石坎村', '355a50a23ef54d2f9018a4ca84eb6c60', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112212', 5, '石坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112212', 1, '2021-07-19 11:56:30', NULL, NULL), (23818, '', '重石寨村', '16449218bc7a482693b6ec23fc226c9b', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112213', 5, '重石寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112213', 1, '2021-07-19 11:56:30', NULL, NULL), (23819, '', '太阳红村', '18708e05af0046a0a994539ebbabe25e', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112214', 5, '太阳红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112214', 1, '2021-07-19 11:56:30', NULL, NULL), (23820, '', '楠木村', '0fb23e17002b443fbb9fbb08f900d821', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112215', 5, '楠木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112215', 1, '2021-07-19 11:56:30', NULL, NULL), (23821, '', '卧龙坡村', 'c68e1947a231422ba3ce7a0b2030972c', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112216', 5, '卧龙坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112216', 1, '2021-07-19 11:56:30', NULL, NULL), (23822, '', '光华村', 'cda9cc85333f4e75b962a06dfb74fd55', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112217', 5, '光华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112217', 1, '2021-07-19 11:56:30', NULL, NULL), (23823, '', '新房村', '7f97952b5db34a25b540a96feca6262f', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112218', 5, '新房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112218', 1, '2021-07-19 11:56:30', NULL, NULL), (23824, '', '龙安村', 'e2cb2a6c9c8d453a8497e2c0d88a5a86', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112219', 5, '龙安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112219', 1, '2021-07-19 11:56:30', NULL, NULL), (23825, '', '中房村', '244c0d47bd4243989ff5adfe0ec4e70b', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112220', 5, '中房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112220', 1, '2021-07-19 11:56:30', NULL, NULL), (23826, '', '护林村', '05d6cf30cff9428d94eb95ebae122d71', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112221', 5, '护林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112221', 1, '2021-07-19 11:56:31', NULL, NULL), (23827, '', '金堂村', '78863f995d4748d19db1d76c1f73206e', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112222', 5, '金堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112222', 1, '2021-07-19 11:56:31', NULL, NULL), (23828, '', '河坝村', '0b444fa1c6fb4cf19a91da81e0f79830', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112223', 5, '河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112223', 1, '2021-07-19 11:56:31', NULL, NULL), (23829, '', '黄陵寺村', 'd7ce2b6cfff54decb9d27f337b88f294', 'ee4e2f2ffbf14c4fbe57812578a3eb84', 'False', 'True', 'false', 'false', '511623112224', 5, '黄陵寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623112224', 1, '2021-07-19 11:56:31', NULL, NULL), (23830, '', '兴仁镇', 'bf6565f5f9334ea7b8c625ccf27b03b6', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623341000', 4, '兴仁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623341000', 1, '2021-07-19 11:56:31', NULL, NULL), (23831, '', '古佛社区', 'c11732f784e74c25a23bca622834db8e', 'bf6565f5f9334ea7b8c625ccf27b03b6', 'False', 'True', 'false', 'false', '511623116001', 5, '古佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623116001', 1, '2021-07-19 11:56:31', NULL, NULL), (23832, '', '南坝社区', 'd483514386004b32b36f406261f478d6', 'bf6565f5f9334ea7b8c625ccf27b03b6', 'False', 'True', 'false', 'false', '511623116002', 5, '南坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623116002', 1, '2021-07-19 11:56:31', NULL, NULL), (23833, '', '古邻社区', '4b12de2953a5479d996d931baae3bde6', 'bf6565f5f9334ea7b8c625ccf27b03b6', 'False', 'True', 'false', 'false', '511623116003', 5, '古邻社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623116003', 1, '2021-07-19 11:56:31', NULL, NULL), (23834, '', '护邻社区', 'b3e0239864104d84aedb0cccc71ea9ad', 'bf6565f5f9334ea7b8c625ccf27b03b6', 'False', 'True', 'false', 'false', '511623116004', 5, '护邻社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623116004', 1, '2021-07-19 11:56:31', NULL, NULL), (23835, '', '庙口村', '7d461dd1ed994903a0df67da74f45012', 'bf6565f5f9334ea7b8c625ccf27b03b6', 'False', 'True', 'false', 'false', '511623116203', 5, '庙口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623116203', 1, '2021-07-19 11:56:31', NULL, NULL), (23836, '', '笔架村', 'eca029b670974e36bce56ff611dd1844', 'bf6565f5f9334ea7b8c625ccf27b03b6', 'False', 'True', 'false', 'false', '511623116204', 5, '笔架村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623116204', 1, '2021-07-19 11:56:31', NULL, NULL), (23837, '', '马峰村', 'de005736894740c286d205b4b3499676', 'bf6565f5f9334ea7b8c625ccf27b03b6', 'False', 'True', 'false', 'false', '511623116209', 5, '马峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623116209', 1, '2021-07-19 11:56:31', NULL, NULL), (23838, '', '明星村', 'fd0fa7374686435d8fd9a8d9e2ad75ca', 'bf6565f5f9334ea7b8c625ccf27b03b6', 'False', 'True', 'false', 'false', '511623116212', 5, '明星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623116212', 1, '2021-07-19 11:56:31', NULL, NULL), (23839, '', '丰隆村', '7d47c14d370e40d7a6bab03f34de75fc', 'bf6565f5f9334ea7b8c625ccf27b03b6', 'False', 'True', 'false', 'false', '511623116214', 5, '丰隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623116214', 1, '2021-07-19 11:56:31', NULL, NULL), (23840, '', '川河村', 'bb3ae50b3a7f415b9614c039e0f6c63b', 'bf6565f5f9334ea7b8c625ccf27b03b6', 'False', 'True', 'false', 'false', '511623116215', 5, '川河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623116215', 1, '2021-07-19 11:56:31', NULL, NULL), (23841, '', '岗家村', '6ab9c487730a4fc4bb896a328132d753', 'bf6565f5f9334ea7b8c625ccf27b03b6', 'False', 'True', 'false', 'false', '511623116216', 5, '岗家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623116216', 1, '2021-07-19 11:56:31', NULL, NULL), (23842, '', '银燕村', '5ea413d4fecd48888f1ad87cc8766111', 'bf6565f5f9334ea7b8c625ccf27b03b6', 'False', 'True', 'false', 'false', '511623116217', 5, '银燕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623116217', 1, '2021-07-19 11:56:31', NULL, NULL), (23843, '', '穿洞村', 'ae3cf3a4bb9a4547a4a81d65682606df', 'bf6565f5f9334ea7b8c625ccf27b03b6', 'False', 'True', 'false', 'false', '511623116218', 5, '穿洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623116218', 1, '2021-07-19 11:56:31', NULL, NULL), (23844, '', '石滓镇', 'cb8b4092573b4a4da5e38c38694aa907', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623372000', 4, '石滓镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623372000', 1, '2021-07-19 11:56:31', NULL, NULL), (23845, '', '石兴社区', '6c0127375e2e404fa6eecf60b396f1e9', 'cb8b4092573b4a4da5e38c38694aa907', 'False', 'True', 'false', 'false', '511623118001', 5, '石兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623118001', 1, '2021-07-19 11:56:31', NULL, NULL), (23846, '', '柳塘社区', 'c0a7852b7a49458688cd81cf8ee88a3a', 'cb8b4092573b4a4da5e38c38694aa907', 'False', 'True', 'false', 'false', '511623118002', 5, '柳塘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623118002', 1, '2021-07-19 11:56:32', NULL, NULL), (23847, '', '中城寨村', '0d965c2f4a4149f2b9deaa9da46e0ebc', 'cb8b4092573b4a4da5e38c38694aa907', 'False', 'True', 'false', 'false', '511623118201', 5, '中城寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623118201', 1, '2021-07-19 11:56:32', NULL, NULL), (23848, '', '大步口村', '0b3c04b3e895418fb15e37d18d4b8342', 'cb8b4092573b4a4da5e38c38694aa907', 'False', 'True', 'false', 'false', '511623118203', 5, '大步口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623118203', 1, '2021-07-19 11:56:32', NULL, NULL), (23849, '', '晒金村', '574dbcce402548c9b0d86e0b8fe2903c', 'cb8b4092573b4a4da5e38c38694aa907', 'False', 'True', 'false', 'false', '511623118204', 5, '晒金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623118204', 1, '2021-07-19 11:56:32', NULL, NULL), (23850, '', '朱家寨村', '1555fff26d8f43fc9e1e7ba879a69f6c', 'cb8b4092573b4a4da5e38c38694aa907', 'False', 'True', 'false', 'false', '511623118205', 5, '朱家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623118205', 1, '2021-07-19 11:56:32', NULL, NULL), (23851, '', '六角村', '3f6ed633859f45ae8fae378246a8c7fd', 'cb8b4092573b4a4da5e38c38694aa907', 'False', 'True', 'false', 'false', '511623118207', 5, '六角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623118207', 1, '2021-07-19 11:56:32', NULL, NULL), (23852, '', '长龙村', '4b62afb663e74b9b8b7e0803a570596e', 'cb8b4092573b4a4da5e38c38694aa907', 'False', 'True', 'false', 'false', '511623118208', 5, '长龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623118208', 1, '2021-07-19 11:56:32', NULL, NULL), (23853, '', '大河坝村', '6aa5c090e8b945c88658adf418a043cb', 'cb8b4092573b4a4da5e38c38694aa907', 'False', 'True', 'false', 'false', '511623118209', 5, '大河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623118209', 1, '2021-07-19 11:56:32', NULL, NULL), (23854, '', '铁水河村', '822162b015604382ba2ebb34602adafb', 'cb8b4092573b4a4da5e38c38694aa907', 'False', 'True', 'false', 'false', '511623118210', 5, '铁水河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623118210', 1, '2021-07-19 11:56:32', NULL, NULL), (23855, '', '八斗丘村', '17bdc9a179e449819ef8d9ad022c6550', 'cb8b4092573b4a4da5e38c38694aa907', 'False', 'True', 'false', 'false', '511623118211', 5, '八斗丘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623118211', 1, '2021-07-19 11:56:32', NULL, NULL), (23856, '', '轿子顶村', '4f7fe56845b84fbd813593df1e4f1f1e', 'cb8b4092573b4a4da5e38c38694aa907', 'False', 'True', 'false', 'false', '511623118212', 5, '轿子顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623118212', 1, '2021-07-19 11:56:32', NULL, NULL), (23857, '', '丰禾镇', 'adb41c128beb45eaac6361a59b3568e1', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623388000', 4, '丰禾镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623388000', 1, '2021-07-19 11:56:32', NULL, NULL), (23858, '', '东河社区', 'e50c6b5e15fa435ca080eaf0ab066248', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113001', 5, '东河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113001', 1, '2021-07-19 11:56:32', NULL, NULL), (23859, '', '新华社区', 'a8b6151ff08d4294a8e4ce699a0abdd4', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113002', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113002', 1, '2021-07-19 11:56:32', NULL, NULL), (23860, '', '兴丰社区', '41e9aafbc03e43ed880ead65c332fb7d', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113003', 5, '兴丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113003', 1, '2021-07-19 11:56:32', NULL, NULL), (23861, '', '正兴社区', '4bdfbedec6d94149aa0b1388a196d19a', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113004', 5, '正兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113004', 1, '2021-07-19 11:56:32', NULL, NULL), (23862, '', '让水湖社区', 'aeb3acfc8f36494bbd412b7c0015c30a', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113005', 5, '让水湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113005', 1, '2021-07-19 11:56:32', NULL, NULL), (23863, '', '长滩社区', 'cb26cc821dfd4e3ca93b087aa49422c7', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113006', 5, '长滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113006', 1, '2021-07-19 11:56:32', NULL, NULL), (23864, '', '先进村', 'e647dd2ab3584ef3a1e1b615e711f163', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113201', 5, '先进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113201', 1, '2021-07-19 11:56:33', NULL, NULL), (23865, '', '丰光村', '3206684202164610b08fa9574ed31a4e', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113203', 5, '丰光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113203', 1, '2021-07-19 11:56:33', NULL, NULL), (23866, '', '福利村', '45c417bc19444619b26013b4459cb61f', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113204', 5, '福利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113204', 1, '2021-07-19 11:56:33', NULL, NULL), (23867, '', '吉安村', '3057585b7db6413cb14dd8c52a5dd0e1', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113207', 5, '吉安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113207', 1, '2021-07-19 11:56:33', NULL, NULL), (23868, '', '鱼鳞滩村', '6e2a50a4cb1d4891bb3c68bd16a58186', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113208', 5, '鱼鳞滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113208', 1, '2021-07-19 11:56:33', NULL, NULL), (23869, '', '复兴村', 'f20dc50d54244dec9b8b57dc941cc210', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113209', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113209', 1, '2021-07-19 11:56:33', NULL, NULL), (23870, '', '多罗寺村', '54dbf6c38a9f44319ec54d058911f007', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113210', 5, '多罗寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113210', 1, '2021-07-19 11:56:33', NULL, NULL), (23871, '', '民主村', '46b7e4e238a14ba982e13dbebd3dbf7c', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113211', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113211', 1, '2021-07-19 11:56:33', NULL, NULL), (23872, '', '柏垭头村', 'c9b3a3b0b2274110bf158cf386753191', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113212', 5, '柏垭头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113212', 1, '2021-07-19 11:56:33', NULL, NULL), (23873, '', '胜利村', '7c57c205b0e64dc59df35d5f65295e89', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113217', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113217', 1, '2021-07-19 11:56:33', NULL, NULL), (23874, '', '五华山村', '5c9f3b3a66fc4ff5972a1a81a039d279', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113220', 5, '五华山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113220', 1, '2021-07-19 11:56:33', NULL, NULL), (23875, '', '泥汉坪村', '266742d577824962a4b79f47c3511efc', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113221', 5, '泥汉坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113221', 1, '2021-07-19 11:56:33', NULL, NULL), (23876, '', '永兴村', '65fe93c74f6347c59bcece7e630f2a18', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113222', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113222', 1, '2021-07-19 11:56:33', NULL, NULL), (23877, '', '关口村', 'a590f15020334e0e823ed06f1f171789', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113223', 5, '关口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113223', 1, '2021-07-19 11:56:33', NULL, NULL), (23878, '', '小石桥村', '674b7f6d5aec47faa9a4061d7a1ffa86', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113224', 5, '小石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113224', 1, '2021-07-19 11:56:33', NULL, NULL), (23879, '', '石树村', '972f6ffc4f0648bfb5e3bb05ac080ce8', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113225', 5, '石树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113225', 1, '2021-07-19 11:56:33', NULL, NULL), (23880, '', '凉山村', 'f07bfdbfe592484596d4aacd7a3c218d', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113226', 5, '凉山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113226', 1, '2021-07-19 11:56:34', NULL, NULL), (23881, '', '邹石滩村', 'a37a506806324caab42e59852741650b', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113227', 5, '邹石滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113227', 1, '2021-07-19 11:56:34', NULL, NULL), (23882, '', '雨台寨村', '3a98aec377994f449fd0a5f69a503bc4', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113228', 5, '雨台寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113228', 1, '2021-07-19 11:56:34', NULL, NULL), (23883, '', '高礅河村', 'd5a6cde51c1c4f458523d5f6bb0cacdd', 'adb41c128beb45eaac6361a59b3568e1', 'False', 'True', 'false', 'false', '511623113229', 5, '高礅河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623113229', 1, '2021-07-19 11:56:34', NULL, NULL), (23884, '', '合流镇', '76268ee253ee4a3cb5b2716f13bfd5c5', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623401000', 4, '合流镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623401000', 1, '2021-07-19 11:56:34', NULL, NULL), (23885, '', '大桥社区', '66ed221b8e4e4882adefc0aed6f60fe1', '76268ee253ee4a3cb5b2716f13bfd5c5', 'False', 'True', 'false', 'false', '511623107001', 5, '大桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623107001', 1, '2021-07-19 11:56:34', NULL, NULL), (23886, '', '合流社区', 'dd3c38150dce4bbe8c3620584a8cb2b0', '76268ee253ee4a3cb5b2716f13bfd5c5', 'False', 'True', 'false', 'false', '511623107003', 5, '合流社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623107003', 1, '2021-07-19 11:56:34', NULL, NULL), (23887, '', '四海社区', '0bbda9fdd13b4dd19eb106871b707aa5', '76268ee253ee4a3cb5b2716f13bfd5c5', 'False', 'True', 'false', 'false', '511623107004', 5, '四海社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623107004', 1, '2021-07-19 11:56:34', NULL, NULL), (23888, '', '红庙村', '1fc388842ac148ef83b794ad8c3744e4', '76268ee253ee4a3cb5b2716f13bfd5c5', 'False', 'True', 'false', 'false', '511623107202', 5, '红庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623107202', 1, '2021-07-19 11:56:34', NULL, NULL), (23889, '', '玉河村', 'bd04fae43f3f47499ae4b9bf17408f79', '76268ee253ee4a3cb5b2716f13bfd5c5', 'False', 'True', 'false', 'false', '511623107204', 5, '玉河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623107204', 1, '2021-07-19 11:56:34', NULL, NULL), (23890, '', '中心村', 'a886b01cfc7f4b2d9745c7307d3c04d3', '76268ee253ee4a3cb5b2716f13bfd5c5', 'False', 'True', 'false', 'false', '511623107205', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623107205', 1, '2021-07-19 11:56:34', NULL, NULL), (23891, '', '后坝村', 'cf6203392a1045cf9e7429ef4b6218ac', '76268ee253ee4a3cb5b2716f13bfd5c5', 'False', 'True', 'false', 'false', '511623107206', 5, '后坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623107206', 1, '2021-07-19 11:56:34', NULL, NULL), (23892, '', '绿化村', 'b62a1c123d36469c9f20af646ed1650d', '76268ee253ee4a3cb5b2716f13bfd5c5', 'False', 'True', 'false', 'false', '511623107207', 5, '绿化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623107207', 1, '2021-07-19 11:56:34', NULL, NULL), (23893, '', '灯盏村', '72c95eb56df4424bb0a5245f12ba8fa7', '76268ee253ee4a3cb5b2716f13bfd5c5', 'False', 'True', 'false', 'false', '511623107209', 5, '灯盏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623107209', 1, '2021-07-19 11:56:34', NULL, NULL), (23894, '', '大沟村', '8b712c49fa4c43fab961475690362788', '76268ee253ee4a3cb5b2716f13bfd5c5', 'False', 'True', 'false', 'false', '511623107211', 5, '大沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623107211', 1, '2021-07-19 11:56:34', NULL, NULL), (23895, '', '大塘村', '91adf09a61684bb48d2311a9f81e2a80', '76268ee253ee4a3cb5b2716f13bfd5c5', 'False', 'True', 'false', 'false', '511623107212', 5, '大塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623107212', 1, '2021-07-19 11:56:34', NULL, NULL), (23896, '', '骑龙村', '1321fd45705744a8bd2a21923541fde3', '76268ee253ee4a3cb5b2716f13bfd5c5', 'False', 'True', 'false', 'false', '511623107213', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623107213', 1, '2021-07-19 11:56:34', NULL, NULL), (23897, '', '金星村', '699d5930233e4eee8a440393a37a00ea', '76268ee253ee4a3cb5b2716f13bfd5c5', 'False', 'True', 'false', 'false', '511623107214', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623107214', 1, '2021-07-19 11:56:34', NULL, NULL), (23898, '', '磺厂村', 'ff673866d5ae4ed7ab78edd5538ca395', '76268ee253ee4a3cb5b2716f13bfd5c5', 'False', 'True', 'false', 'false', '511623107215', 5, '磺厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623107215', 1, '2021-07-19 11:56:35', NULL, NULL), (23899, '', '八耳镇', 'fe4109ebbcd04096a0fe8bcb9ab47bc4', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623432000', 4, '八耳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623432000', 1, '2021-07-19 11:56:35', NULL, NULL), (23900, '', '洞子口社区', '24138865ac2244d4a04638b030398e72', 'fe4109ebbcd04096a0fe8bcb9ab47bc4', 'False', 'True', 'false', 'false', '511623114002', 5, '洞子口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623114002', 1, '2021-07-19 11:56:35', NULL, NULL), (23901, '', '河堰口村', '17aa20884fb64faf8fd27563622133f8', 'fe4109ebbcd04096a0fe8bcb9ab47bc4', 'False', 'True', 'false', 'false', '511623114201', 5, '河堰口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623114201', 1, '2021-07-19 11:56:35', NULL, NULL), (23902, '', '瓦垭口村', '90f70d577a0b493d8b673a8914f8c45e', 'fe4109ebbcd04096a0fe8bcb9ab47bc4', 'False', 'True', 'false', 'false', '511623114202', 5, '瓦垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623114202', 1, '2021-07-19 11:56:35', NULL, NULL), (23903, '', '野鸡口村', 'fd416ba0287541b683f4087b31dc28b1', 'fe4109ebbcd04096a0fe8bcb9ab47bc4', 'False', 'True', 'false', 'false', '511623114203', 5, '野鸡口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623114203', 1, '2021-07-19 11:56:35', NULL, NULL), (23904, '', '石凼村', '256ff2f6aa174ba3aeaaa53cf89adc02', 'fe4109ebbcd04096a0fe8bcb9ab47bc4', 'False', 'True', 'false', 'false', '511623114204', 5, '石凼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623114204', 1, '2021-07-19 11:56:35', NULL, NULL), (23905, '', '新业寺村', '26e880b7d32a44d28833e872ac6c84ae', 'fe4109ebbcd04096a0fe8bcb9ab47bc4', 'False', 'True', 'false', 'false', '511623114205', 5, '新业寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623114205', 1, '2021-07-19 11:56:35', NULL, NULL), (23906, '', '插檐洞村', 'f00c2da3c747485e8a65f2aa7bbef222', 'fe4109ebbcd04096a0fe8bcb9ab47bc4', 'False', 'True', 'false', 'false', '511623114210', 5, '插檐洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623114210', 1, '2021-07-19 11:56:35', NULL, NULL), (23907, '', '东方红村', '69d7ca9dc2ce491e9927b123e481238b', 'fe4109ebbcd04096a0fe8bcb9ab47bc4', 'False', 'True', 'false', 'false', '511623114212', 5, '东方红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623114212', 1, '2021-07-19 11:56:35', NULL, NULL), (23908, '', '观音桥镇', '51c77a52d31942f484ec25b78bb6a1ad', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623454000', 4, '观音桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623454000', 1, '2021-07-19 11:56:35', NULL, NULL), (23909, '', '天宝寨社区', '86730b74ab444fa5a6391efd6dd2ac46', '51c77a52d31942f484ec25b78bb6a1ad', 'False', 'True', 'false', 'false', '511623105002', 5, '天宝寨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623105002', 1, '2021-07-19 11:56:35', NULL, NULL), (23910, '', '冷家社区', '2fded67bafda40fa9f586625fec3d113', '51c77a52d31942f484ec25b78bb6a1ad', 'False', 'True', 'false', 'false', '511623105003', 5, '冷家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623105003', 1, '2021-07-19 11:56:35', NULL, NULL), (23911, '', '王家坝村', '120af4f8131e43c2a6159aca97f7c997', '51c77a52d31942f484ec25b78bb6a1ad', 'False', 'True', 'false', 'false', '511623105202', 5, '王家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623105202', 1, '2021-07-19 11:56:35', NULL, NULL), (23912, '', '白羊寺村', 'f910c9b4707b4259917b051963d82f61', '51c77a52d31942f484ec25b78bb6a1ad', 'False', 'True', 'false', 'false', '511623105206', 5, '白羊寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623105206', 1, '2021-07-19 11:56:35', NULL, NULL), (23913, '', '大安寨村', '41f50620e7fb4b7da35150703a433c97', '51c77a52d31942f484ec25b78bb6a1ad', 'False', 'True', 'false', 'false', '511623105207', 5, '大安寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623105207', 1, '2021-07-19 11:56:35', NULL, NULL), (23914, '', '二洞桥村', 'b5af87f39f13445885936d547aeaebea', '51c77a52d31942f484ec25b78bb6a1ad', 'False', 'True', 'false', 'false', '511623105208', 5, '二洞桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623105208', 1, '2021-07-19 11:56:36', NULL, NULL), (23915, '', '香炉山村', '81bb9d5474f54b8899f93ebbbc8593aa', '51c77a52d31942f484ec25b78bb6a1ad', 'False', 'True', 'false', 'false', '511623105210', 5, '香炉山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623105210', 1, '2021-07-19 11:56:36', NULL, NULL), (23916, '', '六合寨村', '48f7b26a241f418fa21361db601dd7aa', '51c77a52d31942f484ec25b78bb6a1ad', 'False', 'True', 'false', 'false', '511623105212', 5, '六合寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623105212', 1, '2021-07-19 11:56:36', NULL, NULL), (23917, '', '三板桥村', '94fbafd0b0c44995863a5e9eec59f834', '51c77a52d31942f484ec25b78bb6a1ad', 'False', 'True', 'false', 'false', '511623105214', 5, '三板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623105214', 1, '2021-07-19 11:56:36', NULL, NULL), (23918, '', '偏桥沟村', 'ab897bf2283942cd95da9aabd1b76398', '51c77a52d31942f484ec25b78bb6a1ad', 'False', 'True', 'false', 'false', '511623105216', 5, '偏桥沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623105216', 1, '2021-07-19 11:56:36', NULL, NULL), (23919, '', '樱花岭村', 'de25e22d4cfd40d3a353fb34567b7875', '51c77a52d31942f484ec25b78bb6a1ad', 'False', 'True', 'false', 'false', '511623105217', 5, '樱花岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623105217', 1, '2021-07-19 11:56:36', NULL, NULL), (23920, '', '汤巴丘村', 'a8b156b4b8e24852b64c34f965183739', '51c77a52d31942f484ec25b78bb6a1ad', 'False', 'True', 'false', 'false', '511623105218', 5, '汤巴丘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623105218', 1, '2021-07-19 11:56:36', NULL, NULL), (23921, '', '黎家镇', 'cf660135f74d4f3d91ee36c159bf9c70', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623457000', 4, '黎家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623457000', 1, '2021-07-19 11:56:36', NULL, NULL), (23922, '', '人和社区', '05e13b2d5ac34761b2580a83122fdeae', 'cf660135f74d4f3d91ee36c159bf9c70', 'False', 'True', 'false', 'false', '511623125001', 5, '人和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623125001', 1, '2021-07-19 11:56:36', NULL, NULL), (23923, '', '药王顶村', 'df36fbadb8e2400583fa02fd6622fa7f', 'cf660135f74d4f3d91ee36c159bf9c70', 'False', 'True', 'false', 'false', '511623125201', 5, '药王顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623125201', 1, '2021-07-19 11:56:36', NULL, NULL), (23924, '', '搭界寺村', '50dd6e30cf0d48e3bfef86091ddddc0d', 'cf660135f74d4f3d91ee36c159bf9c70', 'False', 'True', 'false', 'false', '511623125202', 5, '搭界寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623125202', 1, '2021-07-19 11:56:36', NULL, NULL), (23925, '', '光华顶村', '52bd8f15c69542b4bd5c08832cede88c', 'cf660135f74d4f3d91ee36c159bf9c70', 'False', 'True', 'false', 'false', '511623125203', 5, '光华顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623125203', 1, '2021-07-19 11:56:36', NULL, NULL), (23926, '', '斗篷石村', '2022e631441d4162a895218fa93e10d6', 'cf660135f74d4f3d91ee36c159bf9c70', 'False', 'True', 'false', 'false', '511623125204', 5, '斗篷石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623125204', 1, '2021-07-19 11:56:36', NULL, NULL), (23927, '', '高峰场村', '0309bb7680ec43dbbaec6e866d2487b6', 'cf660135f74d4f3d91ee36c159bf9c70', 'False', 'True', 'false', 'false', '511623125205', 5, '高峰场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623125205', 1, '2021-07-19 11:56:36', NULL, NULL), (23928, '', '金竹坪村', '80f3c504366c492480ffcbe6b19ac3c8', 'cf660135f74d4f3d91ee36c159bf9c70', 'False', 'True', 'false', 'false', '511623125206', 5, '金竹坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623125206', 1, '2021-07-19 11:56:36', NULL, NULL), (23929, '', '梁板镇', '3fff8bdbe0c6434182af2fb0aa762ea9', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623471000', 4, '梁板镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623471000', 1, '2021-07-19 11:56:36', NULL, NULL), (23930, '', '清水村', '4f3315d9ae6f4ecca500f875162fa253', '3fff8bdbe0c6434182af2fb0aa762ea9', 'False', 'True', 'false', 'false', '511623123201', 5, '清水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623123201', 1, '2021-07-19 11:56:37', NULL, NULL), (23931, '', '红旗村', '8011ba2713a44491a37b7d2c49048126', '3fff8bdbe0c6434182af2fb0aa762ea9', 'False', 'True', 'false', 'false', '511623123202', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623123202', 1, '2021-07-19 11:56:37', NULL, NULL), (23932, '', '大坝村', 'c38e8e7f6d444f78a74b5438ffbd5c4e', '3fff8bdbe0c6434182af2fb0aa762ea9', 'False', 'True', 'false', 'false', '511623123203', 5, '大坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623123203', 1, '2021-07-19 11:56:37', NULL, NULL), (23933, '', '曙光村', 'f87b1a2abadb4d56952fe59803dd69c8', '3fff8bdbe0c6434182af2fb0aa762ea9', 'False', 'True', 'false', 'false', '511623123204', 5, '曙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623123204', 1, '2021-07-19 11:56:37', NULL, NULL), (23934, '', '高龙村', 'fb22c81e65444eb59c9a92a026733414', '3fff8bdbe0c6434182af2fb0aa762ea9', 'False', 'True', 'false', 'false', '511623123205', 5, '高龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623123205', 1, '2021-07-19 11:56:37', NULL, NULL), (23935, '', '复盛镇', '32a6cb879ff545ca8cace17c20638ba5', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623484000', 4, '复盛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623484000', 1, '2021-07-19 11:56:37', NULL, NULL), (23936, '', '新盛社区', '6f567067d34c4ade92283c34ae5602b6', '32a6cb879ff545ca8cace17c20638ba5', 'False', 'True', 'false', 'false', '511623124001', 5, '新盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623124001', 1, '2021-07-19 11:56:37', NULL, NULL), (23937, '', '莲花村', '953eadea2712406cbbd637c074f0cbd6', '32a6cb879ff545ca8cace17c20638ba5', 'False', 'True', 'false', 'false', '511623124201', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623124201', 1, '2021-07-19 11:56:37', NULL, NULL), (23938, '', '和平村', '97e308b07da14f979a013c7ed01c2590', '32a6cb879ff545ca8cace17c20638ba5', 'False', 'True', 'false', 'false', '511623124202', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623124202', 1, '2021-07-19 11:56:37', NULL, NULL), (23939, '', '光明村', 'f5f8809c0c934456b189424e744154b4', '32a6cb879ff545ca8cace17c20638ba5', 'False', 'True', 'false', 'false', '511623124203', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623124203', 1, '2021-07-19 11:56:37', NULL, NULL), (23940, '', '龙门桥村', 'f6c867291b7546af970c4b295c820558', '32a6cb879ff545ca8cace17c20638ba5', 'False', 'True', 'false', 'false', '511623124204', 5, '龙门桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623124204', 1, '2021-07-19 11:56:37', NULL, NULL), (23941, '', '水磨滩村', 'db7106706c0b425a8c139821f6900a25', '32a6cb879ff545ca8cace17c20638ba5', 'False', 'True', 'false', 'false', '511623124205', 5, '水磨滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623124205', 1, '2021-07-19 11:56:37', NULL, NULL), (23942, '', '六号桥村', '098fb97c64aa4cdeb4ef70ecacac7eb9', '32a6cb879ff545ca8cace17c20638ba5', 'False', 'True', 'false', 'false', '511623124206', 5, '六号桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623124206', 1, '2021-07-19 11:56:37', NULL, NULL), (23943, '', '青林村', '25088a96c46843a49665114d3630af75', '32a6cb879ff545ca8cace17c20638ba5', 'False', 'True', 'false', 'false', '511623124207', 5, '青林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623124207', 1, '2021-07-19 11:56:37', NULL, NULL), (23944, '', '九龙镇', '8354cec67de248e18c326f2db26c9125', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623504000', 4, '九龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623504000', 1, '2021-07-19 11:56:37', NULL, NULL), (23945, '', '文昌街社区', '626d58d7f7e64b16a744e363932f8fb3', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110001', 5, '文昌街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110001', 1, '2021-07-19 11:56:37', NULL, NULL), (23946, '', '新兴街社区', '80c7e3b724184e7e86ba36baef656a6c', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110002', 5, '新兴街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110002', 1, '2021-07-19 11:56:37', NULL, NULL), (23947, '', '八角社区', '97be58b5d28d4520ba4e1410e0514523', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110003', 5, '八角社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110003', 1, '2021-07-19 11:56:37', NULL, NULL), (23948, '', '卫星社区', 'ac90f393898e4dea86b0492c7be4826b', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110004', 5, '卫星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110004', 1, '2021-07-19 11:56:37', NULL, NULL), (23949, '', '风垭社区', 'cc701dea44f148bba13e1a59109e55fa', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110005', 5, '风垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110005', 1, '2021-07-19 11:56:37', NULL, NULL), (23950, '', '农华村', 'd685b4ef8c054442996a11874f73481e', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110202', 5, '农华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110202', 1, '2021-07-19 11:56:37', NULL, NULL), (23951, '', '华光村', 'b02ff23b57db4c9492da51a0d02e8dcb', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110203', 5, '华光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110203', 1, '2021-07-19 11:56:37', NULL, NULL), (23952, '', '打鼓山村', '56a2b2799b98491d8c6b52cced38cb7c', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110205', 5, '打鼓山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110205', 1, '2021-07-19 11:56:38', NULL, NULL), (23953, '', '补巴桥村', 'e3d2ae93d729473193590cfbf833d50d', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110208', 5, '补巴桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110208', 1, '2021-07-19 11:56:38', NULL, NULL), (23954, '', '解伟村', '43ac220b34a0485ea6df13bc0fa61481', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110209', 5, '解伟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110209', 1, '2021-07-19 11:56:38', NULL, NULL), (23955, '', '螺蛳沟村', '8c241d6d5035440eae6bec9a6a0e5c2e', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110212', 5, '螺蛳沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110212', 1, '2021-07-19 11:56:38', NULL, NULL), (23956, '', '七星村', '83f6c3c22c2940e382922ecfee0f14a0', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110213', 5, '七星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110213', 1, '2021-07-19 11:56:38', NULL, NULL), (23957, '', '马盐村', 'f4daa47f5b6c4fa5ae3e1254e78d4366', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110214', 5, '马盐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110214', 1, '2021-07-19 11:56:38', NULL, NULL), (23958, '', '羊鹿滩村', 'b4d95943c2504f0396ed5b97fa9003da', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110216', 5, '羊鹿滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110216', 1, '2021-07-19 11:56:38', NULL, NULL), (23959, '', '里仁村', '6217e42540f24213a98fb23fe92835ff', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110217', 5, '里仁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110217', 1, '2021-07-19 11:56:38', NULL, NULL), (23960, '', '桂林村', '2f73881830724a608eb5c9e44ab2c005', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110218', 5, '桂林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110218', 1, '2021-07-19 11:56:38', NULL, NULL), (23961, '', '石鼓村', 'd54768775c6744b4a422b29eae69b876', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110221', 5, '石鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110221', 1, '2021-07-19 11:56:38', NULL, NULL), (23962, '', '新华村', '538856bafe6d4a79ab76c11be3d6bde7', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110222', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110222', 1, '2021-07-19 11:56:38', NULL, NULL), (23963, '', '杨柳沟村', '5a09056181c74c72b1bac8c1f96d7773', '8354cec67de248e18c326f2db26c9125', 'False', 'True', 'false', 'false', '511623110223', 5, '杨柳沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623110223', 1, '2021-07-19 11:56:38', NULL, NULL), (23964, '', '王家镇', '7791e1dc821840d1b5f8dc3c3176d06e', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623602000', 4, '王家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623602000', 1, '2021-07-19 11:56:38', NULL, NULL), (23965, '', '新街社区', '9722b645239648a3866facc74ddc3bf3', '7791e1dc821840d1b5f8dc3c3176d06e', 'False', 'True', 'false', 'false', '511623117001', 5, '新街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623117001', 1, '2021-07-19 11:56:38', NULL, NULL), (23966, '', '老街社区', '666f7a97f5824502a8f741899651b77e', '7791e1dc821840d1b5f8dc3c3176d06e', 'False', 'True', 'false', 'false', '511623117002', 5, '老街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623117002', 1, '2021-07-19 11:56:38', NULL, NULL), (23967, '', '峡马村', 'ed3eda3dcd714573b9d97e4517d85bf7', '7791e1dc821840d1b5f8dc3c3176d06e', 'False', 'True', 'false', 'false', '511623117202', 5, '峡马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623117202', 1, '2021-07-19 11:56:38', NULL, NULL), (23968, '', '岩河村', '23a7a8c2db2d4bedb8fd0e0a9b4f91ff', '7791e1dc821840d1b5f8dc3c3176d06e', 'False', 'True', 'false', 'false', '511623117204', 5, '岩河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623117204', 1, '2021-07-19 11:56:38', NULL, NULL), (23969, '', '寒安村', '26f7909c2082441da619f75ffeb5cc99', '7791e1dc821840d1b5f8dc3c3176d06e', 'False', 'True', 'false', 'false', '511623117206', 5, '寒安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623117206', 1, '2021-07-19 11:56:39', NULL, NULL), (23970, '', '松林村', 'f21e0af921024c6484cd40d55c3eb758', '7791e1dc821840d1b5f8dc3c3176d06e', 'False', 'True', 'false', 'false', '511623117209', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623117209', 1, '2021-07-19 11:56:39', NULL, NULL), (23971, '', '会龙村', 'cf1481af65054291ab2f60db96b37430', '7791e1dc821840d1b5f8dc3c3176d06e', 'False', 'True', 'false', 'false', '511623117210', 5, '会龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623117210', 1, '2021-07-19 11:56:39', NULL, NULL), (23972, '', '双龙村', 'cf402baaec4c4193b57437408168fac4', '7791e1dc821840d1b5f8dc3c3176d06e', 'False', 'True', 'false', 'false', '511623117214', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623117214', 1, '2021-07-19 11:56:39', NULL, NULL), (23973, '', '三古镇', '0c3295d4be234a0a9a9d17eaa5a04521', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623649000', 4, '三古镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623649000', 1, '2021-07-19 11:56:39', NULL, NULL), (23974, '', '新龙社区', '88a88e6e88ff494b979702dd11a4fc51', '0c3295d4be234a0a9a9d17eaa5a04521', 'False', 'True', 'false', 'false', '511623119001', 5, '新龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623119001', 1, '2021-07-19 11:56:39', NULL, NULL), (23975, '', '龙头社区', 'a08ba2761a9b4db19b821bfad03217d3', '0c3295d4be234a0a9a9d17eaa5a04521', 'False', 'True', 'false', 'false', '511623119002', 5, '龙头社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623119002', 1, '2021-07-19 11:56:39', NULL, NULL), (23976, '', '白水村', '735f5318c1164e328f49fb83409bf93b', '0c3295d4be234a0a9a9d17eaa5a04521', 'False', 'True', 'false', 'false', '511623119200', 5, '白水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623119200', 1, '2021-07-19 11:56:39', NULL, NULL), (23977, '', '东风村', 'e143b589ae5b43118ce3795b56cd39d4', '0c3295d4be234a0a9a9d17eaa5a04521', 'False', 'True', 'false', 'false', '511623119201', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623119201', 1, '2021-07-19 11:56:39', NULL, NULL), (23978, '', '蒿子村', 'f903d7c272c740b8bf2f2980a5a977c2', '0c3295d4be234a0a9a9d17eaa5a04521', 'False', 'True', 'false', 'false', '511623119204', 5, '蒿子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623119204', 1, '2021-07-19 11:56:39', NULL, NULL), (23979, '', '三教村', '498290127b6f47e69f300a40788080f0', '0c3295d4be234a0a9a9d17eaa5a04521', 'False', 'True', 'false', 'false', '511623119205', 5, '三教村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623119205', 1, '2021-07-19 11:56:39', NULL, NULL), (23980, '', '草子村', 'cf7f04a77b1741a6a891111e78a8ef49', '0c3295d4be234a0a9a9d17eaa5a04521', 'False', 'True', 'false', 'false', '511623119207', 5, '草子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623119207', 1, '2021-07-19 11:56:39', NULL, NULL), (23981, '', '双丰村', 'ab6d3ece44dc4b2881cd646084347e87', '0c3295d4be234a0a9a9d17eaa5a04521', 'False', 'True', 'false', 'false', '511623119210', 5, '双丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623119210', 1, '2021-07-19 11:56:39', NULL, NULL), (23982, '', '太和镇', '460cd407a83247f1902d6d69af9d73a4', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623711000', 4, '太和镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623711000', 1, '2021-07-19 11:56:39', NULL, NULL), (23983, '', '箩筐坝社区', '7b5ae621419043518f974c275735d3ff', '460cd407a83247f1902d6d69af9d73a4', 'False', 'True', 'false', 'false', '511623121001', 5, '箩筐坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623121001', 1, '2021-07-19 11:56:39', NULL, NULL), (23984, '', '普新社区', 'afe5a271e7f748aeb68a157b9f152817', '460cd407a83247f1902d6d69af9d73a4', 'False', 'True', 'false', 'false', '511623121002', 5, '普新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623121002', 1, '2021-07-19 11:56:39', NULL, NULL), (23985, '', '新镇社区', '4bdfe88618824302b35d70e606aa7ac5', '460cd407a83247f1902d6d69af9d73a4', 'False', 'True', 'false', 'false', '511623121003', 5, '新镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623121003', 1, '2021-07-19 11:56:39', NULL, NULL), (23986, '', '葫芦坝村', '19fe65e8e4a042e787accc00ef9d783b', '460cd407a83247f1902d6d69af9d73a4', 'False', 'True', 'false', 'false', '511623121201', 5, '葫芦坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623121201', 1, '2021-07-19 11:56:40', NULL, NULL), (23987, '', '刘家庵村', '4b7cd3bd89a241629656cdd867bc2f6b', '460cd407a83247f1902d6d69af9d73a4', 'False', 'True', 'false', 'false', '511623121202', 5, '刘家庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623121202', 1, '2021-07-19 11:56:40', NULL, NULL), (23988, '', '秧田沟村', 'ecc8509aa34341c79cfa39a0c560affa', '460cd407a83247f1902d6d69af9d73a4', 'False', 'True', 'false', 'false', '511623121203', 5, '秧田沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623121203', 1, '2021-07-19 11:56:40', NULL, NULL), (23989, '', '青杠坪村', '4ea905974c9c406dbe824d7251f00405', '460cd407a83247f1902d6d69af9d73a4', 'False', 'True', 'false', 'false', '511623121204', 5, '青杠坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623121204', 1, '2021-07-19 11:56:40', NULL, NULL), (23990, '', '高家庙村', 'cc1b844c7f874cf997e15159a63bcac9', '460cd407a83247f1902d6d69af9d73a4', 'False', 'True', 'false', 'false', '511623121205', 5, '高家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623121205', 1, '2021-07-19 11:56:40', NULL, NULL), (23991, '', '金盘村', '73df6b60fb534df689d822b43952d8e9', '460cd407a83247f1902d6d69af9d73a4', 'False', 'True', 'false', 'false', '511623121206', 5, '金盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623121206', 1, '2021-07-19 11:56:40', NULL, NULL), (23992, '', '天坡村', 'b6e9e669f4614c5dbe08f1c14204f1f8', '460cd407a83247f1902d6d69af9d73a4', 'False', 'True', 'false', 'false', '511623121207', 5, '天坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623121207', 1, '2021-07-19 11:56:40', NULL, NULL), (23993, '', '椿木镇', '97cf4847a9664d6d8cd4057c5146361a', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623714000', 4, '椿木镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623714000', 1, '2021-07-19 11:56:40', NULL, NULL), (23994, '', '黄金扁村', '98db729e9a9945dba588625f69a5364f', '97cf4847a9664d6d8cd4057c5146361a', 'False', 'True', 'false', 'false', '511623122201', 5, '黄金扁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623122201', 1, '2021-07-19 11:56:40', NULL, NULL), (23995, '', '椿木坪村', '021b3533cc5a4cd4b79e1888031771c7', '97cf4847a9664d6d8cd4057c5146361a', 'False', 'True', 'false', 'false', '511623122202', 5, '椿木坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623122202', 1, '2021-07-19 11:56:40', NULL, NULL), (23996, '', '桐子湾村', 'b8945b3c9f174479ba61e1596ccef51f', '97cf4847a9664d6d8cd4057c5146361a', 'False', 'True', 'false', 'false', '511623122203', 5, '桐子湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623122203', 1, '2021-07-19 11:56:40', NULL, NULL), (23997, '', '同乐村', '28bd5ceadde84f059f60d8e17139c806', '97cf4847a9664d6d8cd4057c5146361a', 'False', 'True', 'false', 'false', '511623122204', 5, '同乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623122204', 1, '2021-07-19 11:56:40', NULL, NULL), (23998, '', '田家村', 'a5cb22650ba44a74bef2730692dbe1b4', '97cf4847a9664d6d8cd4057c5146361a', 'False', 'True', 'false', 'false', '511623122205', 5, '田家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623122205', 1, '2021-07-19 11:56:40', NULL, NULL), (23999, '', '城南镇', '9bdeba1c82bd46d1b42d2e4c9e8ab9f8', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623736000', 4, '城南镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623736000', 1, '2021-07-19 11:56:40', NULL, NULL), (24000, '', '新安村', '63f44abbe8a54323a9f099b463fbabc3', '9bdeba1c82bd46d1b42d2e4c9e8ab9f8', 'False', 'True', 'false', 'false', '511623102204', 5, '新安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623102204', 1, '2021-07-19 11:56:40', NULL, NULL), (24001, '', '高坪村', 'b56942219ab74cea9292c2d51376b458', '9bdeba1c82bd46d1b42d2e4c9e8ab9f8', 'False', 'True', 'false', 'false', '511623102205', 5, '高坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623102205', 1, '2021-07-19 11:56:40', NULL, NULL), (24002, '', '芭蕉村', '29e8eaefb57c4727afb3eb0e4098c51f', '9bdeba1c82bd46d1b42d2e4c9e8ab9f8', 'False', 'True', 'false', 'false', '511623102213', 5, '芭蕉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623102213', 1, '2021-07-19 11:56:40', NULL, NULL), (24003, '', '花石村', 'ecd75ec16a834804905fc8496675607c', '9bdeba1c82bd46d1b42d2e4c9e8ab9f8', 'False', 'True', 'false', 'false', '511623102214', 5, '花石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623102214', 1, '2021-07-19 11:56:40', NULL, NULL), (24004, '', '磬明村', '8bb2b895e3c74a54ab10683da4dc9865', '9bdeba1c82bd46d1b42d2e4c9e8ab9f8', 'False', 'True', 'false', 'false', '511623102215', 5, '磬明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623102215', 1, '2021-07-19 11:56:41', NULL, NULL), (24005, '', '安丰村', 'cf3a6ffb3fcd4804ae5072d6416d3fe1', '9bdeba1c82bd46d1b42d2e4c9e8ab9f8', 'False', 'True', 'false', 'false', '511623102217', 5, '安丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623102217', 1, '2021-07-19 11:56:41', NULL, NULL), (24006, '', '云安村', 'b135d15d301447428fa64b74c36ab95d', '9bdeba1c82bd46d1b42d2e4c9e8ab9f8', 'False', 'True', 'false', 'false', '511623102221', 5, '云安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623102221', 1, '2021-07-19 11:56:41', NULL, NULL), (24007, '', '云顶村', 'b9aced4d373b4520a2d2f76761e89bcf', '9bdeba1c82bd46d1b42d2e4c9e8ab9f8', 'False', 'True', 'false', 'false', '511623102222', 5, '云顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623102222', 1, '2021-07-19 11:56:41', NULL, NULL), (24008, '', '走马村', '83fcb2fa2ac9450a9cc8caaa16067c31', '9bdeba1c82bd46d1b42d2e4c9e8ab9f8', 'False', 'True', 'false', 'false', '511623102223', 5, '走马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623102223', 1, '2021-07-19 11:56:41', NULL, NULL), (24009, '', '四合村', 'ff2fdfa6856a46838462c70b4d97e232', '9bdeba1c82bd46d1b42d2e4c9e8ab9f8', 'False', 'True', 'false', 'false', '511623102224', 5, '四合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623102224', 1, '2021-07-19 11:56:41', NULL, NULL), (24010, '', '西天村', 'a1f0e366539b4309ace7cef145ffb23f', '9bdeba1c82bd46d1b42d2e4c9e8ab9f8', 'False', 'True', 'false', 'false', '511623102225', 5, '西天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623102225', 1, '2021-07-19 11:56:41', NULL, NULL), (24011, '', '后山村', 'cbf8929c77544adab206a3352da60373', '9bdeba1c82bd46d1b42d2e4c9e8ab9f8', 'False', 'True', 'false', 'false', '511623102226', 5, '后山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623102226', 1, '2021-07-19 11:56:41', NULL, NULL), (24012, '', '御临镇', '6f71426eefcb4f3180b1ef7a7aa5c92b', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623830000', 4, '御临镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623830000', 1, '2021-07-19 11:56:41', NULL, NULL), (24013, '', '幺滩社区', 'cb12e0bcf32942b981b13ddabc1e8fdf', '6f71426eefcb4f3180b1ef7a7aa5c92b', 'False', 'True', 'false', 'false', '511623111002', 5, '幺滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623111002', 1, '2021-07-19 11:56:41', NULL, NULL), (24014, '', '雷公社区', 'f392a97c5bd448e88783d7d7eaacd9a4', '6f71426eefcb4f3180b1ef7a7aa5c92b', 'False', 'True', 'false', 'false', '511623111003', 5, '雷公社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623111003', 1, '2021-07-19 11:56:41', NULL, NULL), (24015, '', '沙石村', '5842c7a8e2084dc0af67f32413780064', '6f71426eefcb4f3180b1ef7a7aa5c92b', 'False', 'True', 'false', 'false', '511623111201', 5, '沙石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623111201', 1, '2021-07-19 11:56:41', NULL, NULL), (24016, '', '中庄村', '46eb19db83bb454c9623e53212184c71', '6f71426eefcb4f3180b1ef7a7aa5c92b', 'False', 'True', 'false', 'false', '511623111204', 5, '中庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623111204', 1, '2021-07-19 11:56:41', NULL, NULL), (24017, '', '关堰村', 'c5806cf4ca424362a99f7e9d0a31d63c', '6f71426eefcb4f3180b1ef7a7aa5c92b', 'False', 'True', 'false', 'false', '511623111205', 5, '关堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623111205', 1, '2021-07-19 11:56:41', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (24018, '', '滑滩村', 'a0194b06f6874ec5b9c72af8013fb440', '6f71426eefcb4f3180b1ef7a7aa5c92b', 'False', 'True', 'false', 'false', '511623111206', 5, '滑滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623111206', 1, '2021-07-19 11:56:41', NULL, NULL), (24019, '', '杨家岩村', 'c767915d17cc44a498ca253d63be6a33', '6f71426eefcb4f3180b1ef7a7aa5c92b', 'False', 'True', 'false', 'false', '511623111208', 5, '杨家岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623111208', 1, '2021-07-19 11:56:41', NULL, NULL), (24020, '', '石子村', '8dd2fd3b300a49369dedbb1afc705d41', '6f71426eefcb4f3180b1ef7a7aa5c92b', 'False', 'True', 'false', 'false', '511623111210', 5, '石子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623111210', 1, '2021-07-19 11:56:42', NULL, NULL), (24021, '', '石龙村', 'd17a17909f0b41d494a9f57ab2c39108', '6f71426eefcb4f3180b1ef7a7aa5c92b', 'False', 'True', 'false', 'false', '511623111211', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623111211', 1, '2021-07-19 11:56:42', NULL, NULL), (24022, '', '茅白村', '7a1e7ff6877943489329de0388711eb8', '6f71426eefcb4f3180b1ef7a7aa5c92b', 'False', 'True', 'false', 'false', '511623111214', 5, '茅白村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623111214', 1, '2021-07-19 11:56:42', NULL, NULL), (24023, '', '礞石村', 'b717f824a3a14cc28af0ec7aa7dd786e', '6f71426eefcb4f3180b1ef7a7aa5c92b', 'False', 'True', 'false', 'false', '511623111215', 5, '礞石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623111215', 1, '2021-07-19 11:56:42', NULL, NULL), (24024, '', '文武村', '185761264a2b449ab0c23e6273ca0d38', '6f71426eefcb4f3180b1ef7a7aa5c92b', 'False', 'True', 'false', 'false', '511623111218', 5, '文武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623111218', 1, '2021-07-19 11:56:42', NULL, NULL), (24025, '', '城北镇', 'c66fea6ce8d94f8c9bbcf5306d32c143', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623896000', 4, '城北镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623896000', 1, '2021-07-19 11:56:42', NULL, NULL), (24026, '', '石花村', 'f646446463b344c6988757238019b5ea', 'c66fea6ce8d94f8c9bbcf5306d32c143', 'False', 'True', 'false', 'false', '511623101202', 5, '石花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623101202', 1, '2021-07-19 11:56:42', NULL, NULL), (24027, '', '马林村', '7ca38cbb4718429c9890d2ae7461702d', 'c66fea6ce8d94f8c9bbcf5306d32c143', 'False', 'True', 'false', 'false', '511623101208', 5, '马林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623101208', 1, '2021-07-19 11:56:42', NULL, NULL), (24028, '', '翠柏村', '396574bc276744afa403b0a80bb7cfb7', 'c66fea6ce8d94f8c9bbcf5306d32c143', 'False', 'True', 'false', 'false', '511623101212', 5, '翠柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623101212', 1, '2021-07-19 11:56:42', NULL, NULL), (24029, '', '三重堂村', '89fef4245507413b8f793bbb8f906d43', 'c66fea6ce8d94f8c9bbcf5306d32c143', 'False', 'True', 'false', 'false', '511623101219', 5, '三重堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623101219', 1, '2021-07-19 11:56:42', NULL, NULL), (24030, '', '小鱼滩村', '365510e4321c40728aa9a805f1b1a63c', 'c66fea6ce8d94f8c9bbcf5306d32c143', 'False', 'True', 'false', 'false', '511623101222', 5, '小鱼滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623101222', 1, '2021-07-19 11:56:42', NULL, NULL), (24031, '', '子母石村', '87b4aa8f93f24ddeae600920bf4c185e', 'c66fea6ce8d94f8c9bbcf5306d32c143', 'False', 'True', 'false', 'false', '511623101225', 5, '子母石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623101225', 1, '2021-07-19 11:56:42', NULL, NULL), (24032, '', '罗锅铺村', 'e221b76dc21d42038c612629a368fd67', 'c66fea6ce8d94f8c9bbcf5306d32c143', 'False', 'True', 'false', 'false', '511623101228', 5, '罗锅铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623101228', 1, '2021-07-19 11:56:42', NULL, NULL), (24033, '', '关门石村', '0505607f6708432a831d03a65d032599', 'c66fea6ce8d94f8c9bbcf5306d32c143', 'False', 'True', 'false', 'false', '511623101229', 5, '关门石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623101229', 1, '2021-07-19 11:56:42', NULL, NULL), (24034, '', '秀峰村', '6840e2c6a5d14187bd61642538ddeb91', 'c66fea6ce8d94f8c9bbcf5306d32c143', 'False', 'True', 'false', 'false', '511623101230', 5, '秀峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623101230', 1, '2021-07-19 11:56:42', NULL, NULL), (24035, '', '大堰村', '4ccb9f63c8ed4aabab36a3f03dcd980b', 'c66fea6ce8d94f8c9bbcf5306d32c143', 'False', 'True', 'false', 'false', '511623101231', 5, '大堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623101231', 1, '2021-07-19 11:56:42', NULL, NULL), (24036, '', '金垭村', '7ec350097d634a4db7646b4a03fa17bf', 'c66fea6ce8d94f8c9bbcf5306d32c143', 'False', 'True', 'false', 'false', '511623101232', 5, '金垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623101232', 1, '2021-07-19 11:56:42', NULL, NULL), (24037, '', '金钟村', '673412d63ce7426c8f44a71e8f85ab6e', 'c66fea6ce8d94f8c9bbcf5306d32c143', 'False', 'True', 'false', 'false', '511623101233', 5, '金钟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623101233', 1, '2021-07-19 11:56:42', NULL, NULL), (24038, '', '明新村', '6f47fd7e38c04fe98741bde2687d2699', 'c66fea6ce8d94f8c9bbcf5306d32c143', 'False', 'True', 'false', 'false', '511623101234', 5, '明新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623101234', 1, '2021-07-19 11:56:43', NULL, NULL), (24039, '', '长安村', '23ca69c64ce8465080921cf48cfa92e5', 'c66fea6ce8d94f8c9bbcf5306d32c143', 'False', 'True', 'false', 'false', '511623101235', 5, '长安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623101235', 1, '2021-07-19 11:56:43', NULL, NULL), (24040, '', '北出口村', '4715a04c3727422d8d5db6716b2d6fa1', 'c66fea6ce8d94f8c9bbcf5306d32c143', 'False', 'True', 'false', 'false', '511623101236', 5, '北出口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623101236', 1, '2021-07-19 11:56:43', NULL, NULL), (24041, '', '柑子镇', '4b15d38a1d41499389f4877dc6306e94', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623918000', 4, '柑子镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623918000', 1, '2021-07-19 11:56:43', NULL, NULL), (24042, '', '印盒社区', 'cf0d632f49c049d5a6f2c989e053f888', '4b15d38a1d41499389f4877dc6306e94', 'False', 'True', 'false', 'false', '511623103001', 5, '印盒社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623103001', 1, '2021-07-19 11:56:43', NULL, NULL), (24043, '', '滨河社区', 'b2a95afb565345a79e58c7e854c1c65c', '4b15d38a1d41499389f4877dc6306e94', 'False', 'True', 'false', 'false', '511623103002', 5, '滨河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623103002', 1, '2021-07-19 11:56:43', NULL, NULL), (24044, '', '龙安社区', '500ae970cb7a4e39ab092658624e31a1', '4b15d38a1d41499389f4877dc6306e94', 'False', 'True', 'false', 'false', '511623103003', 5, '龙安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623103003', 1, '2021-07-19 11:56:43', NULL, NULL), (24045, '', '岐山村', 'f4b465c9d5484622801548d99832bf92', '4b15d38a1d41499389f4877dc6306e94', 'False', 'True', 'false', 'false', '511623103202', 5, '岐山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623103202', 1, '2021-07-19 11:56:43', NULL, NULL), (24046, '', '断石村', '5c18b98992d84eb8b36399f2923f4c84', '4b15d38a1d41499389f4877dc6306e94', 'False', 'True', 'false', 'false', '511623103203', 5, '断石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623103203', 1, '2021-07-19 11:56:43', NULL, NULL), (24047, '', '金鼓村', '6ca47f06ee434060a0fabbce8e5ac80d', '4b15d38a1d41499389f4877dc6306e94', 'False', 'True', 'false', 'false', '511623103206', 5, '金鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623103206', 1, '2021-07-19 11:56:43', NULL, NULL), (24048, '', '菜垭村', '345825190b8d4458987a0ef39282dcf3', '4b15d38a1d41499389f4877dc6306e94', 'False', 'True', 'false', 'false', '511623103208', 5, '菜垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623103208', 1, '2021-07-19 11:56:43', NULL, NULL), (24049, '', '栀子村', 'eccc703e062d46cdab37e1e054bc39b4', '4b15d38a1d41499389f4877dc6306e94', 'False', 'True', 'false', 'false', '511623103210', 5, '栀子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623103210', 1, '2021-07-19 11:56:43', NULL, NULL), (24050, '', '河堰村', 'f4738ffede624e90bbcf8f7cc5a328ec', '4b15d38a1d41499389f4877dc6306e94', 'False', 'True', 'false', 'false', '511623103212', 5, '河堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623103212', 1, '2021-07-19 11:56:44', NULL, NULL), (24051, '', '渡槽村', '6a76e6d092cb4756a2a873515d43928a', '4b15d38a1d41499389f4877dc6306e94', 'False', 'True', 'false', 'false', '511623103214', 5, '渡槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623103214', 1, '2021-07-19 11:56:44', NULL, NULL), (24052, '', '天鹅村', 'ed000ffbbb8641d086857d28cbed01cb', '4b15d38a1d41499389f4877dc6306e94', 'False', 'True', 'false', 'false', '511623103215', 5, '天鹅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623103215', 1, '2021-07-19 11:56:44', NULL, NULL), (24053, '', '夜光村', 'e1b0835481464beeabdc0e53518076a1', '4b15d38a1d41499389f4877dc6306e94', 'False', 'True', 'false', 'false', '511623103216', 5, '夜光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623103216', 1, '2021-07-19 11:56:44', NULL, NULL), (24054, '', '骑虎村', '23b5e4601ab74206929ef9b94a8b5651', '4b15d38a1d41499389f4877dc6306e94', 'False', 'True', 'false', 'false', '511623103217', 5, '骑虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623103217', 1, '2021-07-19 11:56:44', NULL, NULL), (24055, '', '磨盘村', '7128fbf330a74e6abc5cde01241502a9', '4b15d38a1d41499389f4877dc6306e94', 'False', 'True', 'false', 'false', '511623103218', 5, '磨盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623103218', 1, '2021-07-19 11:56:44', NULL, NULL), (24056, '', '岩屋村', 'b2098b28b0524eb09582500229b0668e', '4b15d38a1d41499389f4877dc6306e94', 'False', 'True', 'false', 'false', '511623103231', 5, '岩屋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623103231', 1, '2021-07-19 11:56:44', NULL, NULL), (24057, '', '坛同镇', 'ee91d328bf2d461bb1a108ffd89410cc', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623976000', 4, '坛同镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623976000', 1, '2021-07-19 11:56:44', NULL, NULL), (24058, '', '坛子坝社区', 'b09adfeed12f4d038e873a1414f842b6', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108001', 5, '坛子坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108001', 1, '2021-07-19 11:56:44', NULL, NULL), (24059, '', '陡水坡社区', '3dbf9c55efd44e5ab3b7a15f4c67d1e6', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108002', 5, '陡水坡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108002', 1, '2021-07-19 11:56:44', NULL, NULL), (24060, '', '黄桷冲社区', 'eeeb86653b75443bb9dc14921b6e35cd', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108003', 5, '黄桷冲社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108003', 1, '2021-07-19 11:56:44', NULL, NULL), (24061, '', '滩口村', '5a3bafc2a0464ebdae68cf7eaef47c84', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108203', 5, '滩口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108203', 1, '2021-07-19 11:56:44', NULL, NULL), (24062, '', '罗家庙村', 'cf58142c0aa8488d8ad7e8935b11fdac', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108204', 5, '罗家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108204', 1, '2021-07-19 11:56:44', NULL, NULL), (24063, '', '硫磺沟村', '9321032fc10d4fe79c9ae0578cef7242', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108207', 5, '硫磺沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108207', 1, '2021-07-19 11:56:44', NULL, NULL), (24064, '', '青龙村', '3933b1c930774e3d9e7ad80121c18ed5', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108208', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108208', 1, '2021-07-19 11:56:44', NULL, NULL), (24065, '', '百灵庙村', '606add2eabae4f7f9a29df65d0919655', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108209', 5, '百灵庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108209', 1, '2021-07-19 11:56:44', NULL, NULL), (24066, '', '石墙咀村', '468d69c714f34d9eb14963b09bc453ac', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108212', 5, '石墙咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108212', 1, '2021-07-19 11:56:44', NULL, NULL), (24067, '', '天才门村', 'ea7e2ae652bc4ba9bd081cdb5dc06c87', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108213', 5, '天才门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108213', 1, '2021-07-19 11:56:44', NULL, NULL), (24068, '', '白羊坝村', '264688b3e856469aacb6f6654cb6d5f7', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108214', 5, '白羊坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108214', 1, '2021-07-19 11:56:44', NULL, NULL), (24069, '', '新拱桥村', '2dba18898bd04b55b9ad8b083a596115', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108216', 5, '新拱桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108216', 1, '2021-07-19 11:56:44', NULL, NULL), (24070, '', '蓼叶寺村', 'c511da0fffc34be8ac20b29362041db2', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108217', 5, '蓼叶寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108217', 1, '2021-07-19 11:56:45', NULL, NULL), (24071, '', '九峰村', '97b31a01e086466eb2d672d27e997eb8', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108220', 5, '九峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108220', 1, '2021-07-19 11:56:45', NULL, NULL), (24072, '', '金坪村', '024998608e9a42a7b091c178373b190b', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108221', 5, '金坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108221', 1, '2021-07-19 11:56:45', NULL, NULL), (24073, '', '红星村', '73bda50116bc4ec5b2e0ef6a0ab266cb', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108222', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108222', 1, '2021-07-19 11:56:45', NULL, NULL), (24074, '', '方井村', '2a1b501a37d8490483cc0fa1d2c8d25e', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108223', 5, '方井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108223', 1, '2021-07-19 11:56:45', NULL, NULL), (24075, '', '镰刀湾村', 'c54887a25ef74c1c87f5f0cbf4c8bf1e', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108224', 5, '镰刀湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108224', 1, '2021-07-19 11:56:45', NULL, NULL), (24076, '', '华蓥村', '0d5aad3bda41497399240d7df54729bd', 'ee91d328bf2d461bb1a108ffd89410cc', 'False', 'True', 'false', 'false', '511623108225', 5, '华蓥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623108225', 1, '2021-07-19 11:56:45', NULL, NULL), (24077, '', '石永镇', 'fea1e3a6a53d46d99b23a03f8ad609fa', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623993000', 4, '石永镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623993000', 1, '2021-07-19 11:56:45', NULL, NULL), (24078, '', '石稻场社区', 'c01d2a8ca7d644c498a0dae493508a63', 'fea1e3a6a53d46d99b23a03f8ad609fa', 'False', 'True', 'false', 'false', '511623115002', 5, '石稻场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623115002', 1, '2021-07-19 11:56:45', NULL, NULL), (24079, '', '金狮社区', 'f613c97dfadf4223bf593c7a3be08708', 'fea1e3a6a53d46d99b23a03f8ad609fa', 'False', 'True', 'false', 'false', '511623115003', 5, '金狮社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623115003', 1, '2021-07-19 11:56:45', NULL, NULL), (24080, '', '同石社区', 'ce5daa73a38a43648e235e129dac95cb', 'fea1e3a6a53d46d99b23a03f8ad609fa', 'False', 'True', 'false', 'false', '511623115004', 5, '同石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623115004', 1, '2021-07-19 11:56:45', NULL, NULL), (24081, '', '古路社区', '07bc5577baab46348fee8eebb960f705', 'fea1e3a6a53d46d99b23a03f8ad609fa', 'False', 'True', 'false', 'false', '511623115005', 5, '古路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623115005', 1, '2021-07-19 11:56:45', NULL, NULL), (24082, '', '象鼓寨村', '89e4293df7524c8c9b51b6b4c38d3d1a', 'fea1e3a6a53d46d99b23a03f8ad609fa', 'False', 'True', 'false', 'false', '511623115205', 5, '象鼓寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623115205', 1, '2021-07-19 11:56:45', NULL, NULL), (24083, '', '石合场村', '16f39432ff6340cf822cfd9b2f585972', 'fea1e3a6a53d46d99b23a03f8ad609fa', 'False', 'True', 'false', 'false', '511623115206', 5, '石合场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623115206', 1, '2021-07-19 11:56:45', NULL, NULL), (24084, '', '铺山村', '2739db19b535458aabbcbb6f5986628f', 'fea1e3a6a53d46d99b23a03f8ad609fa', 'False', 'True', 'false', 'false', '511623115208', 5, '铺山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623115208', 1, '2021-07-19 11:56:45', NULL, NULL), (24085, '', '邓家坡村', '5883f6afbecb452a867e0d603cbd2aaf', 'fea1e3a6a53d46d99b23a03f8ad609fa', 'False', 'True', 'false', 'false', '511623115209', 5, '邓家坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623115209', 1, '2021-07-19 11:56:45', NULL, NULL), (24086, '', '红花坪村', 'fe63bb20b2e24748b968568243f58def', 'fea1e3a6a53d46d99b23a03f8ad609fa', 'False', 'True', 'false', 'false', '511623115210', 5, '红花坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623115210', 1, '2021-07-19 11:56:45', NULL, NULL), (24087, '', '万秀桥村', '5e5122aea2e64484be4e47ac5522349f', 'fea1e3a6a53d46d99b23a03f8ad609fa', 'False', 'True', 'false', 'false', '511623115211', 5, '万秀桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623115211', 1, '2021-07-19 11:56:45', NULL, NULL), (24088, '', '天台寺村', '2197562a61f843bd82503f5f77127110', 'fea1e3a6a53d46d99b23a03f8ad609fa', 'False', 'True', 'false', 'false', '511623115212', 5, '天台寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623115212', 1, '2021-07-19 11:56:46', NULL, NULL), (24089, '', '黄园村', '988ba719958e4857945c339f0403cb38', 'fea1e3a6a53d46d99b23a03f8ad609fa', 'False', 'True', 'false', 'false', '511623115213', 5, '黄园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623115213', 1, '2021-07-19 11:56:46', NULL, NULL), (24090, '', '两河镇', 'c282595a59ff41e089398f07ffe0144f', '52c12e7cf12d4f069c2d26dfd2ad9fe0', 'True', 'True', 'false', 'false', '511623995000', 4, '两河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511623995000', 1, '2021-07-19 11:56:46', NULL, NULL), (24091, '', '双河社区', '8d5f6cc6cd7140ebab7e808b8fe28543', 'c282595a59ff41e089398f07ffe0144f', 'False', 'True', 'false', 'false', '511623120001', 5, '双河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623120001', 1, '2021-07-19 11:56:46', NULL, NULL), (24092, '', '荆坪社区', '9758587cff854cc7b9fbecf0c0ac00e6', 'c282595a59ff41e089398f07ffe0144f', 'False', 'True', 'false', 'false', '511623120002', 5, '荆坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623120002', 1, '2021-07-19 11:56:46', NULL, NULL), (24093, '', '合堂村', 'ddc73e2e4f5e4cf783a8b56003512e40', 'c282595a59ff41e089398f07ffe0144f', 'False', 'True', 'false', 'false', '511623120202', 5, '合堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623120202', 1, '2021-07-19 11:56:46', NULL, NULL), (24094, '', '庙堡村', '1f7e5ed192224d9f875d4ee1d94da6b4', 'c282595a59ff41e089398f07ffe0144f', 'False', 'True', 'false', 'false', '511623120204', 5, '庙堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623120204', 1, '2021-07-19 11:56:46', NULL, NULL), (24095, '', '五股村', '2ffed57598df4741a34e293bcb5cd9be', 'c282595a59ff41e089398f07ffe0144f', 'False', 'True', 'false', 'false', '511623120206', 5, '五股村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623120206', 1, '2021-07-19 11:56:46', NULL, NULL), (24096, '', '大滩村', '6ac5eb3db2624ce489b57bebd1ce5126', 'c282595a59ff41e089398f07ffe0144f', 'False', 'True', 'false', 'false', '511623120208', 5, '大滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623120208', 1, '2021-07-19 11:56:46', NULL, NULL), (24097, '', '大桥村', 'c3e866330fc74653852b7d5278189014', 'c282595a59ff41e089398f07ffe0144f', 'False', 'True', 'false', 'false', '511623120210', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623120210', 1, '2021-07-19 11:56:46', NULL, NULL), (24098, '', '对角村', 'cc3e3ebfb74149158bd3d8bc96c197ca', 'c282595a59ff41e089398f07ffe0144f', 'False', 'True', 'false', 'false', '511623120211', 5, '对角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623120211', 1, '2021-07-19 11:56:46', NULL, NULL), (24099, '', '石鸠村', 'd8ec718d1fdb408dbe83099a99611908', 'c282595a59ff41e089398f07ffe0144f', 'False', 'True', 'false', 'false', '511623120212', 5, '石鸠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623120212', 1, '2021-07-19 11:56:46', NULL, NULL), (24100, '', '梯子村', '02f86e1dd6864705ae6ea99f6bc11851', 'c282595a59ff41e089398f07ffe0144f', 'False', 'True', 'false', 'false', '511623120213', 5, '梯子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511623120213', 1, '2021-07-19 11:56:46', NULL, NULL), (24101, '', '广安经开区', '95b8b36b6fb14760bec57dc6bf58eb42', 'f1812fb4fc144c0c89f4ff952f9e6a0d', 'True', 'True', 'false', 'false', '511624000000', 3, '广安经开区', 'gasgajkq.sczwfw.gov.cn', 1, '2021-07-19 11:56:46', NULL, NULL), (24102, '', '奎阁街道', 'a02ca319420347adbcef3bd26c9f4ccf', '95b8b36b6fb14760bec57dc6bf58eb42', 'True', 'True', 'false', 'false', '511624310000', 4, '奎阁街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511624310000', 1, '2021-07-19 11:56:46', NULL, NULL), (24103, '', '大地社区', 'e4fea585c0064352b22a0a32c501e9b7', 'a02ca319420347adbcef3bd26c9f4ccf', 'False', 'False', 'false', 'false', '511624310322', 5, '大地社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624310322', 1, '2021-07-19 11:56:46', NULL, NULL), (24104, '', '三桥社区', '534d8905d3394d7e9da95b5c6980c772', 'a02ca319420347adbcef3bd26c9f4ccf', 'False', 'True', 'false', 'false', '511624001003', 5, '三桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624001003', 1, '2021-07-19 11:56:46', NULL, NULL), (24105, '', '奎阁社区', 'e5fd8b23de194c98bbc8108a64948645', 'a02ca319420347adbcef3bd26c9f4ccf', 'False', 'True', 'false', 'false', '511624001188', 5, '奎阁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624001188', 1, '2021-07-19 11:56:46', NULL, NULL), (24106, '', '药场社区', '2d1cabecc1e74d39927bdb697b7d452b', 'a02ca319420347adbcef3bd26c9f4ccf', 'False', 'True', 'false', 'false', '511624001323', 5, '药场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624001323', 1, '2021-07-19 11:56:47', NULL, NULL), (24107, '', '台子社区', '46957e81f27a4d9baebba2ef27a706fe', 'a02ca319420347adbcef3bd26c9f4ccf', 'False', 'True', 'false', 'false', '511624001744', 5, '台子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624001744', 1, '2021-07-19 11:56:47', NULL, NULL), (24108, '', '石桥社区', '8dbcdcad83e0422abd23a0074218dd88', 'a02ca319420347adbcef3bd26c9f4ccf', 'False', 'True', 'false', 'false', '511624001980', 5, '石桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624001980', 1, '2021-07-19 11:56:47', NULL, NULL), (24109, '', '沙坪社区', 'dd8005d207c945acbe3cb10e4cb1ec8c', 'a02ca319420347adbcef3bd26c9f4ccf', 'False', 'True', 'false', 'false', '511624106502', 5, '沙坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624106502', 1, '2021-07-19 11:56:47', NULL, NULL), (24110, '', '鹅凤村', '75ad6928226e42d4954bbecd6c16dfcc', 'a02ca319420347adbcef3bd26c9f4ccf', 'False', 'True', 'false', 'false', '511624106768', 5, '鹅凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624106768', 1, '2021-07-19 11:56:47', NULL, NULL), (24111, '', '唬啸村', '576f2a4be5804fce912f47b8655c8869', 'a02ca319420347adbcef3bd26c9f4ccf', 'False', 'True', 'false', 'false', '511624106952', 5, '唬啸村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624106952', 1, '2021-07-19 11:56:47', NULL, NULL), (24112, '', '新桥街道', 'aa42933dd7364cfc902413e7bf7c2191', '95b8b36b6fb14760bec57dc6bf58eb42', 'True', 'True', 'false', 'false', '511624426000', 4, '新桥街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511624426000', 1, '2021-07-19 11:56:47', NULL, NULL), (24113, '', '拱桥村', '05ebbb01540c4fb384eb865687eb454e', 'aa42933dd7364cfc902413e7bf7c2191', 'False', 'True', 'false', 'false', '511624002598', 5, '拱桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624002598', 1, '2021-07-19 11:56:47', NULL, NULL), (24114, '', '指路村', 'd995b5d03603469091c9be11bcf7ab51', 'aa42933dd7364cfc902413e7bf7c2191', 'False', 'True', 'false', 'false', '511624118073', 5, '指路村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624118073', 1, '2021-07-19 11:56:47', NULL, NULL), (24115, '', '水池村', '19b8ea967d614ab2b873ed35ff9742e8', 'aa42933dd7364cfc902413e7bf7c2191', 'False', 'True', 'false', 'false', '511624118337', 5, '水池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624118337', 1, '2021-07-19 11:56:47', NULL, NULL), (24116, '', '水磨村', '2b66a2aa6987417f9863f0bf7cb7b7f9', 'aa42933dd7364cfc902413e7bf7c2191', 'False', 'True', 'false', 'false', '511624118833', 5, '水磨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624118833', 1, '2021-07-19 11:56:47', NULL, NULL), (24117, '', '春雷村', '2bf48225faa04f70814cec1157965357', 'aa42933dd7364cfc902413e7bf7c2191', 'False', 'True', 'false', 'false', '511624203418', 5, '春雷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624203418', 1, '2021-07-19 11:56:47', NULL, NULL), (24118, '', '保和社区', '3ee9b7899183443b924c2aa3d11635a8', 'aa42933dd7364cfc902413e7bf7c2191', 'False', 'True', 'false', 'false', '511624203669', 5, '保和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624203669', 1, '2021-07-19 11:56:47', NULL, NULL), (24119, '', '檀木社区', 'ee4629c49f984d7d8b816bb5234293d3', 'aa42933dd7364cfc902413e7bf7c2191', 'False', 'True', 'false', 'false', '511624203967', 5, '檀木社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624203967', 1, '2021-07-19 11:56:47', NULL, NULL), (24120, '', '护安镇', '25ee04084afb445b8bba08c02bec5805', '95b8b36b6fb14760bec57dc6bf58eb42', 'True', 'True', 'false', 'false', '511624643000', 4, '护安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511624643000', 1, '2021-07-19 11:56:47', NULL, NULL), (24121, '', '佛岩村', '7a69d72e470e4e2eb10748e918037ce8', '25ee04084afb445b8bba08c02bec5805', 'False', 'False', 'false', 'false', '511624643036', 5, '佛岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624643036', 1, '2021-07-19 11:56:47', NULL, NULL), (24122, '', '西牛村', '011b1af2c0ea4e6587497671c3ae0cd8', '25ee04084afb445b8bba08c02bec5805', 'False', 'True', 'false', 'false', '511624105166', 5, '西牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624105166', 1, '2021-07-19 11:56:47', NULL, NULL), (24123, '', '双碑村', '6c80bb85c6b0422d85c7e1c2f92b9e16', '25ee04084afb445b8bba08c02bec5805', 'False', 'True', 'false', 'false', '511624105311', 5, '双碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624105311', 1, '2021-07-19 11:56:47', NULL, NULL), (24124, '', '新路村', 'bfbd5fb526b942ccbbf3be996628cef8', '25ee04084afb445b8bba08c02bec5805', 'False', 'True', 'false', 'false', '511624105723', 5, '新路村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624105723', 1, '2021-07-19 11:56:47', NULL, NULL), (24125, '', '杨房子社区', '2eacfbeba6774ae08a84d020e1717a5c', '25ee04084afb445b8bba08c02bec5805', 'False', 'True', 'false', 'false', '511624106153', 5, '杨房子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624106153', 1, '2021-07-19 11:56:47', NULL, NULL), (24126, '', '青龙村', 'be2df411776142168ee2af089941fbf4', '25ee04084afb445b8bba08c02bec5805', 'False', 'True', 'false', 'false', '511624106161', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624106161', 1, '2021-07-19 11:56:48', NULL, NULL), (24127, '', '石泉村', 'a33de9cdfa4d4de7b02668d32e0b2a1c', '25ee04084afb445b8bba08c02bec5805', 'False', 'True', 'false', 'false', '511624106247', 5, '石泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624106247', 1, '2021-07-19 11:56:48', NULL, NULL), (24128, '', '民丰路社区', '5f71ce43cb2546e2b68f4c093ab49a1d', '25ee04084afb445b8bba08c02bec5805', 'False', 'True', 'false', 'false', '511624106614', 5, '民丰路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624106614', 1, '2021-07-19 11:56:48', NULL, NULL), (24129, '', '团柏村', 'b31b4b15ae1b4b5791961e3c7b2a0ed7', '25ee04084afb445b8bba08c02bec5805', 'False', 'True', 'false', 'false', '511624106729', 5, '团柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624106729', 1, '2021-07-19 11:56:48', NULL, NULL), (24130, '', '老坡村', 'cf80008a4eef4be5bcf33f933867ee7f', '25ee04084afb445b8bba08c02bec5805', 'False', 'True', 'false', 'false', '511624106773', 5, '老坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511624106773', 1, '2021-07-19 11:56:48', NULL, NULL), (24131, '', '枣山物流商贸园区', 'e185097f72aa42e6a2265b279787c4cc', 'f1812fb4fc144c0c89f4ff952f9e6a0d', 'True', 'True', 'false', 'false', '511625000000', 3, '枣山物流商贸园区', 'gaszsyq.sczwfw.gov.cn', 1, '2021-07-19 11:56:48', NULL, NULL), (24132, '', '枣山街道办事处', '2001fb74ede1435b9b8d5843c3120dc6', 'e185097f72aa42e6a2265b279787c4cc', 'True', 'True', 'false', 'false', '511625100000', 4, '枣山街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511625100000', 1, '2021-07-19 11:56:48', NULL, NULL), (24133, '', '蛇龙社区党群服务中心', '5c5ab85672e6452b849c49d2148ea809', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602000569', 5, '蛇龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602000569', 1, '2021-07-19 11:56:48', NULL, NULL), (24134, '', '马石梯社区党群活动服务中心', '63102e76a1e847b8acfed63124528302', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602005882', 5, '马石梯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602005882', 1, '2021-07-19 11:56:48', NULL, NULL), (24135, '', '旭岩社区', '54e8ec892cb243d3a7c12fdf821227c7', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602007017', 5, '旭岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602007017', 1, '2021-07-19 11:56:48', NULL, NULL), (24136, '', '火山社区', '477c10d534e149749ef68d88d119354c', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602007050', 5, '火山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602007050', 1, '2021-07-19 11:56:48', NULL, NULL), (24137, '', '彭兴社区便民服务中心', '10201bc2674e4710b7028462b7c63de2', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602007175', 5, '彭兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602007175', 1, '2021-07-19 11:56:48', NULL, NULL), (24138, '', '枣山街道岳门社区党群服务中心', 'ed3f0bdf26124dfabfd7db4857244fe3', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602007396', 5, '岳门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602007396', 1, '2021-07-19 11:56:48', NULL, NULL), (24139, '', '滴水岩社区', '1c02eac81fcc440ca1e4202eb34a1662', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602007600', 5, '滴水岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602007600', 1, '2021-07-19 11:56:48', NULL, NULL), (24140, '', '木桥社区', 'c3b054dd1729436fbbddf43126712a11', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602007734', 5, '木桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602007734', 1, '2021-07-19 11:56:48', NULL, NULL), (24141, '', '黎明社区居民委会', 'c0e544dcb85d4c62b4e8f03d76fe8c45', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602007851', 5, '黎明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602007851', 1, '2021-07-19 11:56:48', NULL, NULL), (24142, '', '河西社区党群活动服务中心', '65c3db4411f54f4993200e8cf26d0df1', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602007977', 5, '河西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602007977', 1, '2021-07-19 11:56:48', NULL, NULL), (24143, '', '枣山街道插旗山社区居民委员会', '057302233393485c91dfbcb55f595580', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602034376', 5, '插旗山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602034376', 1, '2021-07-19 11:56:48', NULL, NULL), (24144, '', '枣山街道天成社区', 'f542f8f009674eabb9c5e097713aa24f', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602100051', 5, '枣山街道天成社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602100051', 1, '2021-07-19 11:56:48', NULL, NULL), (24145, '', '枣山社区便民服务中心', '4e1c9cd3cb0a4c698cd72bd8e935f0a7', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602100081', 5, '枣山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602100081', 1, '2021-07-19 11:56:49', NULL, NULL), (24146, '', '长乐社区党群活动服务中心', 'caa98cd3347640a9ad0f49887596cc4e', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602100176', 5, '长乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602100176', 1, '2021-07-19 11:56:49', NULL, NULL), (24147, '', '神龙湖社区党群活动服务中心', '52fbbde67e1d4b699e6061963b70fd0f', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602100367', 5, '神龙湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602100367', 1, '2021-07-19 11:56:49', NULL, NULL), (24148, '', '长生社区', 'bd67cbdf1c744e95a84c89d193ed7e93', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602100392', 5, '长生社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602100392', 1, '2021-07-19 11:56:49', NULL, NULL), (24149, '', '丁家寨社区', 'e268e5b3f7c8473ebce29b1bbb3f0ffe', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602100916', 5, '丁家寨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602100916', 1, '2021-07-19 11:56:49', NULL, NULL), (24150, '', '枣山街道玉皇观社区居民委员会', '9056010ca2634ab19d118edecd03d51f', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602100946', 5, '玉皇观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602100946', 1, '2021-07-19 11:56:49', NULL, NULL), (24151, '', '枣山街道新店子社区便民服务中心', '1fcf216eae534356add26d3d301f96fa', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602200068', 5, '枣山街道新店子社区便民服务中心', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602200068', 1, '2021-07-19 11:56:49', NULL, NULL), (24152, '', '合力社区', 'ac4734539d73490c934b9ed4dc1d0bae', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602201051', 5, '合力社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602201051', 1, '2021-07-19 11:56:49', NULL, NULL), (24153, '', '金南社区党群服务活动中心', '19f456b0b5cb4dfb80b8df72c7b2b21c', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602201069', 5, '金南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602201069', 1, '2021-07-19 11:56:49', NULL, NULL), (24154, '', '华龙社区党群服务活动中心', '899b5bf5af5240228cdc0b914db78941', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602201146', 5, '华龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602201146', 1, '2021-07-19 11:56:49', NULL, NULL), (24155, '', '团结社区', 'db3dc0eec2bb4be1b08a9251dc97e8ef', '2001fb74ede1435b9b8d5843c3120dc6', 'False', 'False', 'false', 'false', '511602201152', 5, '团结社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602201152', 1, '2021-07-19 11:56:49', NULL, NULL), (24156, '', '穿石镇', 'a1c0cb32c02b45fa9e8853a4f2e230c4', 'e185097f72aa42e6a2265b279787c4cc', 'True', 'True', 'false', 'false', '511625557000', 4, '穿石镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511625557000', 1, '2021-07-19 11:56:49', NULL, NULL), (24157, '', '土河村', 'a29d98788d6741afad8b75155dff3edf', 'a1c0cb32c02b45fa9e8853a4f2e230c4', 'False', 'False', 'false', 'false', '511602121506', 5, '土河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602121506', 1, '2021-07-19 11:56:49', NULL, NULL), (24158, '', '学堂村', '661662e3f05947789aba7b5c6887ce4c', 'a1c0cb32c02b45fa9e8853a4f2e230c4', 'False', 'False', 'false', 'false', '511602121611', 5, '学堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602121611', 1, '2021-07-19 11:56:49', NULL, NULL), (24159, '', '凉水井社区', 'b7fda23f77824f35ad7d05a0c0a1b4e2', 'a1c0cb32c02b45fa9e8853a4f2e230c4', 'False', 'False', 'false', 'false', '511602201544', 5, '凉水井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602201544', 1, '2021-07-19 11:56:49', NULL, NULL), (24160, '', '穿石孔社区', 'fd99bbf3043847edaed5ce7266bf6031', 'a1c0cb32c02b45fa9e8853a4f2e230c4', 'False', 'False', 'false', 'false', '511602202495', 5, '穿石孔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602202495', 1, '2021-07-19 11:56:49', NULL, NULL), (24161, '', '马山村', '299aaf859720439f82595727373696c3', 'a1c0cb32c02b45fa9e8853a4f2e230c4', 'False', 'False', 'false', 'false', '511602202503', 5, '马山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602202503', 1, '2021-07-19 11:56:50', NULL, NULL), (24162, '', '石埝村', 'c2d96b2bd73b410bb2c0569c6c10b034', 'a1c0cb32c02b45fa9e8853a4f2e230c4', 'False', 'False', 'false', 'false', '511602202815', 5, '石埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602202815', 1, '2021-07-19 11:56:50', NULL, NULL), (24163, '', '月台村', '19638181b8924c4eaf30f34ddea81502', 'a1c0cb32c02b45fa9e8853a4f2e230c4', 'False', 'False', 'false', 'false', '511602202949', 5, '月台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602202949', 1, '2021-07-19 11:56:50', NULL, NULL), (24164, '', '芭蕉湾社区', 'd9a52105dc124954bb448a90d8dbaa0d', 'a1c0cb32c02b45fa9e8853a4f2e230c4', 'False', 'False', 'false', 'false', '511602203215', 5, '芭蕉湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602203215', 1, '2021-07-19 11:56:50', NULL, NULL), (24165, '', '清凉寺社区', '1f5ea6070e264d079eeded5e5043549b', 'a1c0cb32c02b45fa9e8853a4f2e230c4', 'False', 'False', 'false', 'false', '511602204215', 5, '清凉寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602204215', 1, '2021-07-19 11:56:50', NULL, NULL), (24166, '', '汤家梁社区', 'f7e911aefd804f40b0278022a6f75460', 'a1c0cb32c02b45fa9e8853a4f2e230c4', 'False', 'False', 'false', 'false', '511602207772', 5, '汤家梁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511602207772', 1, '2021-07-19 11:56:50', NULL, NULL), (24167, '', '红庙办事处', '07253e890af347c1bce39d63f62300d8', 'e185097f72aa42e6a2265b279787c4cc', 'True', 'True', 'false', 'false', '511625761000', 4, '红庙办事处', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511625761000', 1, '2021-07-19 11:56:50', NULL, NULL), (24168, '', '吕家桥村', '200babbc355a48e09137653fbbd0d8b1', '07253e890af347c1bce39d63f62300d8', 'False', 'False', 'false', 'false', '511625100403', 5, '吕家桥', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511625100403', 1, '2021-07-19 11:56:50', NULL, NULL), (24169, '', '石马沟村', 'ac163c88cf3e46d18daf684cdf7b532d', '07253e890af347c1bce39d63f62300d8', 'False', 'False', 'false', 'false', '511625113208', 5, '石马沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511625113208', 1, '2021-07-19 11:56:50', NULL, NULL), (24170, '', '梨子园村', '655b91012fb24f868777533939cae60f', '07253e890af347c1bce39d63f62300d8', 'False', 'False', 'false', 'false', '511625113224', 5, '梨子园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511625113224', 1, '2021-07-19 11:56:50', NULL, NULL), (24171, '', '玉屏山村', '2fb04c1263ef46da8e2fc4bdd688ab62', '07253e890af347c1bce39d63f62300d8', 'False', 'False', 'false', 'false', '511625113226', 5, '玉屏山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511625113226', 1, '2021-07-19 11:56:50', NULL, NULL), (24172, '', '大邑山村', '52dcb6e6804d4289a44f7f9da522e71c', '07253e890af347c1bce39d63f62300d8', 'False', 'False', 'false', 'false', '511625113230', 5, '大邑山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511625113230', 1, '2021-07-19 11:56:50', NULL, NULL), (24173, '', '周锣铺村', '8b768a3c186e4a69909aaf60731842ab', '07253e890af347c1bce39d63f62300d8', 'False', 'False', 'false', 'false', '511625113231', 5, '周锣铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511625113231', 1, '2021-07-19 11:56:50', NULL, NULL), (24174, '', '协兴园区', '87367486b5024013986c2c35b8881b78', 'f1812fb4fc144c0c89f4ff952f9e6a0d', 'True', 'True', 'false', 'false', '511626000000', 3, '协兴园区', 'gasxxyq.sczwfw.gov.cn', 1, '2021-07-19 11:56:50', NULL, NULL), (24175, '', '协兴镇', 'af8fd1438db347b794edf28e8f1a1c67', '87367486b5024013986c2c35b8881b78', 'True', 'True', 'false', 'false', '511626102000', 4, '协兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511626102000', 1, '2021-07-19 11:56:50', NULL, NULL), (24176, '', '协兴社区居委会', 'de2f9dd8f9b345b183ed68e25b9bac09', 'af8fd1438db347b794edf28e8f1a1c67', 'False', 'True', 'false', 'false', '511626102584', 5, '协兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626102584', 1, '2021-07-19 11:56:50', NULL, NULL), (24177, '', '金广社区居委会', 'f9c91d1ef1da4283b5ecabb4f83188bb', 'af8fd1438db347b794edf28e8f1a1c67', 'False', 'True', 'false', 'false', '511626102680', 5, '金广社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626102680', 1, '2021-07-19 11:56:50', NULL, NULL), (24178, '', '金狮社区居委会', '3d8ee2da28db4eb28ae72cfb435e65b6', 'af8fd1438db347b794edf28e8f1a1c67', 'False', 'True', 'false', 'false', '511626102911', 5, '金狮社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626102911', 1, '2021-07-19 11:56:50', NULL, NULL), (24179, '', '华福社区居委会', 'e7b27e1e14cd42149d7e10eb85d60cfd', 'af8fd1438db347b794edf28e8f1a1c67', 'False', 'True', 'false', 'false', '511626102930', 5, '华福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626102930', 1, '2021-07-19 11:56:50', NULL, NULL), (24180, '', '牌坊社区委员会', '4fb846c4ad1c4d3d8d4463431833fe4f', 'af8fd1438db347b794edf28e8f1a1c67', 'False', 'True', 'false', 'false', '511626102858', 5, '牌坊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626102858', 1, '2021-07-19 11:56:51', NULL, NULL), (24181, '', '天星社区居委会', '5b1bf6c572be4821987e3785a2e5d705', 'af8fd1438db347b794edf28e8f1a1c67', 'False', 'True', 'false', 'false', '511626102221', 5, '天星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626102221', 1, '2021-07-19 11:56:51', NULL, NULL), (24182, '', '佛手山社区居委会', '87529c7b087a4a18a29a376f35e112b1', 'af8fd1438db347b794edf28e8f1a1c67', 'False', 'True', 'false', 'false', '511626102369', 5, '佛手山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626102369', 1, '2021-07-19 11:56:51', NULL, NULL), (24183, '', '四新村委会', 'bf52896b156b4a57b0810f9609c638a1', 'af8fd1438db347b794edf28e8f1a1c67', 'False', 'True', 'false', 'false', '511626102589', 5, '四新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626102589', 1, '2021-07-19 11:56:51', NULL, NULL), (24184, '', '堡寨村委会', 'e262ac4532cc47d48a03ad53b2c4a965', 'af8fd1438db347b794edf28e8f1a1c67', 'False', 'True', 'false', 'false', '511626102120', 5, '堡寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626102120', 1, '2021-07-19 11:56:51', NULL, NULL), (24185, '', '星光村委会', '0299a72f0cea4dc9ac67d8a6ee9d7d8b', 'af8fd1438db347b794edf28e8f1a1c67', 'False', 'True', 'false', 'false', '511626102862', 5, '星光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626102862', 1, '2021-07-19 11:56:51', NULL, NULL), (24186, '', '向前村委会', '35841657e9834ac2ab48717b457e1934', 'af8fd1438db347b794edf28e8f1a1c67', 'False', 'True', 'false', 'false', '511626102243', 5, '向前村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626102243', 1, '2021-07-19 11:56:51', NULL, NULL), (24187, '', '春堡山村委会', '4b7dff7d83cd4da79ff436861a900ad7', 'af8fd1438db347b794edf28e8f1a1c67', 'False', 'True', 'false', 'false', '511626102316', 5, '春堡山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626102316', 1, '2021-07-19 11:56:51', NULL, NULL), (24188, '', '浓溪镇', '8e20fa8f4ad448089f3df04f860b5659', '87367486b5024013986c2c35b8881b78', 'True', 'True', 'false', 'false', '511626103000', 4, '浓溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511626103000', 1, '2021-07-19 11:56:51', NULL, NULL), (24189, '', '浓溪社区居委会', '017f0d5596634c99ba577dbe267ad5ad', '8e20fa8f4ad448089f3df04f860b5659', 'False', 'True', 'false', 'false', '511626103075', 5, '浓溪社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626103075', 1, '2021-07-19 11:56:51', NULL, NULL), (24190, '', '燎原村委会', '703b7cffaec245a89f1fa28f9a9088dc', '8e20fa8f4ad448089f3df04f860b5659', 'False', 'True', 'false', 'false', '511626103219', 5, '燎原村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626103219', 1, '2021-07-19 11:56:51', NULL, NULL), (24191, '', '围子村委会', 'd2c76b37fe9647d68e79cab45e700843', '8e20fa8f4ad448089f3df04f860b5659', 'False', 'True', 'false', 'false', '511626103559', 5, '围子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626103559', 1, '2021-07-19 11:56:51', NULL, NULL), (24192, '', '新民村委会', 'b7140626d2a841c391f04d066cc2650a', '8e20fa8f4ad448089f3df04f860b5659', 'False', 'True', 'false', 'false', '511626103539', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626103539', 1, '2021-07-19 11:56:51', NULL, NULL), (24193, '', '友谊村委会', '555f72093383403d87f4e536f7307a5c', '8e20fa8f4ad448089f3df04f860b5659', 'False', 'True', 'false', 'false', '511626103343', 5, '友谊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626103343', 1, '2021-07-19 11:56:51', NULL, NULL), (24194, '', '全民村委会', '3c460f90c43b430fa7b3f9f006f20c3b', '8e20fa8f4ad448089f3df04f860b5659', 'False', 'True', 'false', 'false', '511626103991', 5, '全民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626103991', 1, '2021-07-19 11:56:51', NULL, NULL), (24195, '', '龙顶村委会', '51006ccf51bf4c5f94717502e4784910', '8e20fa8f4ad448089f3df04f860b5659', 'False', 'False', 'false', 'false', '511626103652', 5, '龙顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626103652', 1, '2021-07-19 11:56:51', NULL, NULL), (24196, '', '大理村委会', 'dadf0a082e6d43889e42f1096415fd56', '8e20fa8f4ad448089f3df04f860b5659', 'False', 'True', 'false', 'false', '511626103770', 5, '大理村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626103770', 1, '2021-07-19 11:56:52', NULL, NULL), (24197, '', '笔架山村委会', '16fed2c3579740f28e437c4a5da177dc', '8e20fa8f4ad448089f3df04f860b5659', 'False', 'True', 'false', 'false', '511626103816', 5, '笔架山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626103816', 1, '2021-07-19 11:56:52', NULL, NULL), (24198, '', '白云湖村委会', 'e4f021bc7fe94d59877f3027d9c1f950', '8e20fa8f4ad448089f3df04f860b5659', 'False', 'True', 'false', 'false', '511626103725', 5, '白云湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511626103725', 1, '2021-07-19 11:56:52', NULL, NULL), (24199, '', '达州市', '16ca461e2c824257a50dd0c7fab6f2de', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '511700000000', 2, '达州市', 'dzs.sczwfw.gov.cn', 1, '2021-07-19 11:56:52', NULL, NULL), (24200, '', '万源市', '50c3f098b5c547bd8bbc184f4c77c470', '16ca461e2c824257a50dd0c7fab6f2de', 'True', 'True', 'false', 'false', '511781000000', 3, '万源市', 'dzswys.sczwfw.gov.cn', 1, '2021-07-19 11:56:52', NULL, NULL), (24201, '', '古东关街道', '3d7412e4ff51492a8e0729c80a6c757c', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781100000', 4, '古东关街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781100000', 1, '2021-07-19 11:56:52', NULL, NULL), (24202, '', '镇江寺社区', 'd7267893fc614d93a7ea7dfbb3c6fb78', '3d7412e4ff51492a8e0729c80a6c757c', 'False', 'True', 'false', 'false', '511781100303', 5, '镇江寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781100303', 1, '2021-07-19 11:56:52', NULL, NULL), (24203, '', '东城社区', '45d953bee8854d999e77492bd579322c', '3d7412e4ff51492a8e0729c80a6c757c', 'False', 'True', 'false', 'false', '511781100001', 5, '东城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781100001', 1, '2021-07-19 11:56:52', NULL, NULL), (24204, '', '新华社区', '9c8a7a68faa741f98b302244527935b2', '3d7412e4ff51492a8e0729c80a6c757c', 'False', 'True', 'false', 'false', '511781100002', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781100002', 1, '2021-07-19 11:56:52', NULL, NULL), (24205, '', '古马儿社区', '509231f448ec48e99b53803bc4a6a89a', '3d7412e4ff51492a8e0729c80a6c757c', 'False', 'True', 'false', 'false', '511781100003', 5, '古马儿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781100003', 1, '2021-07-19 11:56:52', NULL, NULL), (24206, '', '燎原社区', 'dab8f29633a74178ad8c74f42854ac3a', '3d7412e4ff51492a8e0729c80a6c757c', 'False', 'True', 'false', 'false', '511781100004', 5, '燎原社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781100004', 1, '2021-07-19 11:56:52', NULL, NULL), (24207, '', '裕丰社区', 'a6315bf10e694207bfeb76fdc2742163', '3d7412e4ff51492a8e0729c80a6c757c', 'False', 'True', 'false', 'false', '511781100005', 5, '裕丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781100005', 1, '2021-07-19 11:56:52', NULL, NULL), (24208, '', '秦川社区', 'fc7d3239afb34e2c91295a376fc861b5', '3d7412e4ff51492a8e0729c80a6c757c', 'False', 'True', 'false', 'false', '511781100006', 5, '秦川社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781100006', 1, '2021-07-19 11:56:52', NULL, NULL), (24209, '', '银铁社区', 'f0ff7816ce6f4417957f2940abfcf88a', '3d7412e4ff51492a8e0729c80a6c757c', 'False', 'True', 'false', 'false', '511781100007', 5, '银铁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781100007', 1, '2021-07-19 11:56:52', NULL, NULL), (24210, '', '状元社区', 'db09a46c915346af98581e9df1156489', '3d7412e4ff51492a8e0729c80a6c757c', 'False', 'True', 'false', 'false', '511781100008', 5, '状元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781100008', 1, '2021-07-19 11:56:52', NULL, NULL), (24211, '', '万兴社区', '8c70bd1dbc144c9581f181118c1d3738', '3d7412e4ff51492a8e0729c80a6c757c', 'False', 'True', 'false', 'false', '511781100010', 5, '万兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781100010', 1, '2021-07-19 11:56:52', NULL, NULL), (24212, '', '天马山社区', '4c22b1f010754653902d797f6d525f55', '3d7412e4ff51492a8e0729c80a6c757c', 'False', 'True', 'false', 'false', '511781100011', 5, '天马山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781100011', 1, '2021-07-19 11:56:52', NULL, NULL), (24213, '', '庙沟河社区', '8c4ac2bcff2c47949732c728babf7ad9', '3d7412e4ff51492a8e0729c80a6c757c', 'False', 'True', 'false', 'false', '511781100200', 5, '庙沟河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781100200', 1, '2021-07-19 11:56:52', NULL, NULL), (24214, '', '鞠家坝社区', '282ec5f82b7f4ca497ad9f52316bfd41', '3d7412e4ff51492a8e0729c80a6c757c', 'False', 'True', 'false', 'false', '511781100207', 5, '鞠家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781100207', 1, '2021-07-19 11:56:52', NULL, NULL), (24215, '', '太平镇', '3b7f5e122caf45b099d4d5ac89ca43f2', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781200000', 4, '太平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781200000', 1, '2021-07-19 11:56:52', NULL, NULL), (24216, '', '洪岭寺村', 'fa8ca39e0b734682b7caba2b6d466249', '3b7f5e122caf45b099d4d5ac89ca43f2', 'False', 'True', 'false', 'false', '511781200303', 5, '洪岭寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781200303', 1, '2021-07-19 11:56:52', NULL, NULL), (24217, '', '孔家山村', '5ddcf1aabe844a0c82e4225dd00d4716', '3b7f5e122caf45b099d4d5ac89ca43f2', 'False', 'True', 'false', 'false', '511781200304', 5, '孔家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781200304', 1, '2021-07-19 11:56:52', NULL, NULL), (24218, '', '快活坪村', 'f0946a587d0f4fa0998058653697f039', '3b7f5e122caf45b099d4d5ac89ca43f2', 'False', 'True', 'false', 'false', '511781200305', 5, '快活坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781200305', 1, '2021-07-19 11:56:52', NULL, NULL), (24219, '', '坪长村', 'f656a33726ad4851957cc2a05893b75f', '3b7f5e122caf45b099d4d5ac89ca43f2', 'False', 'True', 'false', 'false', '511781200306', 5, '坪长村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781200306', 1, '2021-07-19 11:56:52', NULL, NULL), (24220, '', '四合村', '9bd8306f756a4f8e81401abe7fc87b48', '3b7f5e122caf45b099d4d5ac89ca43f2', 'False', 'True', 'false', 'false', '511781200307', 5, '四合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781200307', 1, '2021-07-19 11:56:53', NULL, NULL), (24221, '', '牛卯坪村', 'e7305ef645524671bd7a019910ebba4b', '3b7f5e122caf45b099d4d5ac89ca43f2', 'False', 'True', 'false', 'false', '511781200308', 5, '牛卯坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781200308', 1, '2021-07-19 11:56:53', NULL, NULL), (24222, '', '石岗社区居民委员会', '7f6c6ad976e348cfb9a932e3d9d8003c', '3b7f5e122caf45b099d4d5ac89ca43f2', 'False', 'True', 'false', 'false', '511781200309', 5, '石岗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781200309', 1, '2021-07-19 11:56:53', NULL, NULL), (24223, '', '李家沟村村民委员会', '4edff9b378274d6e87b1a998489d4a47', '3b7f5e122caf45b099d4d5ac89ca43f2', 'False', 'True', 'false', 'false', '511781200200', 5, '李家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781200200', 1, '2021-07-19 11:56:53', NULL, NULL), (24224, '', '老龙寨村', '20cb1fea1cb34f9cb440f359fc360854', '3b7f5e122caf45b099d4d5ac89ca43f2', 'False', 'True', 'false', 'false', '511781200201', 5, '老龙寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781200201', 1, '2021-07-19 11:56:53', NULL, NULL), (24225, '', '李家坝村', 'e14cb205c1c14e85a2d41aad5c35dd93', '3b7f5e122caf45b099d4d5ac89ca43f2', 'False', 'True', 'false', 'false', '511781200202', 5, '李家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781200202', 1, '2021-07-19 11:56:53', NULL, NULL), (24226, '', '老洼坪村', '2850623311274063a973795be2b14d89', '3b7f5e122caf45b099d4d5ac89ca43f2', 'False', 'True', 'false', 'false', '511781200204', 5, '老洼坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781200204', 1, '2021-07-19 11:56:53', NULL, NULL), (24227, '', '青花镇', '700b1d037dbf4fb9a0e7fcebddcdb446', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781101000', 4, '青花镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781101000', 1, '2021-07-19 11:56:53', NULL, NULL), (24228, '', '罐坝场村', '420bd2fe2f3c455aa4558b3fdc89d8ca', '700b1d037dbf4fb9a0e7fcebddcdb446', 'False', 'True', 'false', 'false', '511781101300', 5, '罐坝场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781101300', 1, '2021-07-19 11:56:53', NULL, NULL), (24229, '', '立信社区', '4c412fd537a34b0595686f2d4bc85994', '700b1d037dbf4fb9a0e7fcebddcdb446', 'False', 'True', 'false', 'false', '511781101001', 5, '立信社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781101001', 1, '2021-07-19 11:56:53', NULL, NULL), (24230, '', '油房村', 'e3cb0810b3c6462483df44a5c806133d', '700b1d037dbf4fb9a0e7fcebddcdb446', 'False', 'True', 'false', 'false', '511781101201', 5, '油房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781101201', 1, '2021-07-19 11:56:53', NULL, NULL), (24231, '', '柳花坪村', '9bf12a5217644ca8b6b6d379bbf2a192', '700b1d037dbf4fb9a0e7fcebddcdb446', 'False', 'True', 'false', 'false', '511781101202', 5, '柳花坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781101202', 1, '2021-07-19 11:56:53', NULL, NULL), (24232, '', '干溪沟村', '53c43633c9f649d5a5f492f8dcb25f48', '700b1d037dbf4fb9a0e7fcebddcdb446', 'False', 'True', 'false', 'false', '511781101203', 5, '干溪沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781101203', 1, '2021-07-19 11:56:53', NULL, NULL), (24233, '', '二龙沟村', '0a986bb0ed144598a209874d46820b1c', '700b1d037dbf4fb9a0e7fcebddcdb446', 'False', 'True', 'false', 'false', '511781101204', 5, '二龙沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781101204', 1, '2021-07-19 11:56:53', NULL, NULL), (24234, '', '方家梁村', '2677cacaabe849dfa969582448f6d17b', '700b1d037dbf4fb9a0e7fcebddcdb446', 'False', 'True', 'false', 'false', '511781101205', 5, '方家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781101205', 1, '2021-07-19 11:56:53', NULL, NULL), (24235, '', '窝窝店村', 'e27b5cf71eff4fecbdc554f591fd6f0d', '700b1d037dbf4fb9a0e7fcebddcdb446', 'False', 'True', 'false', 'false', '511781101207', 5, '窝窝店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781101207', 1, '2021-07-19 11:56:53', NULL, NULL), (24236, '', '枣树坪村', '29fb9e196ec04a35b585f0361cade605', '700b1d037dbf4fb9a0e7fcebddcdb446', 'False', 'True', 'false', 'false', '511781101209', 5, '枣树坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781101209', 1, '2021-07-19 11:56:53', NULL, NULL), (24237, '', '八字头村', '0239a791a16f46339ee354f5ccf568b1', '700b1d037dbf4fb9a0e7fcebddcdb446', 'False', 'True', 'false', 'false', '511781101210', 5, '八字头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781101210', 1, '2021-07-19 11:56:53', NULL, NULL), (24238, '', '白沙镇', 'f35876c664cc47f28045afc44750a71c', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781110000', 4, '白沙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781110000', 1, '2021-07-19 11:56:53', NULL, NULL), (24239, '', '大面山村', '5e2fdcc4c1bf47c594690cad5dbe9fb5', 'f35876c664cc47f28045afc44750a71c', 'False', 'True', 'false', 'false', '511781110300', 5, '大面山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781110300', 1, '2021-07-19 11:56:54', NULL, NULL), (24240, '', '花萼村', '3e64f048af5642fb9121bdbf10c4ed45', 'f35876c664cc47f28045afc44750a71c', 'False', 'True', 'false', 'false', '511781110301', 5, '花萼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781110301', 1, '2021-07-19 11:56:54', NULL, NULL), (24241, '', '印巴寨村', '33285e708019473795ea5b5dcfe8af19', 'f35876c664cc47f28045afc44750a71c', 'False', 'True', 'false', 'false', '511781110302', 5, '印巴寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781110302', 1, '2021-07-19 11:56:54', NULL, NULL), (24242, '', '后河村', '12c7f23166634313aef6972a7e0e3128', 'f35876c664cc47f28045afc44750a71c', 'False', 'True', 'false', 'false', '511781110303', 5, '后河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781110303', 1, '2021-07-19 11:56:54', NULL, NULL), (24243, '', '水鼓坝村', '6f02f2b7e47c477999afa46ea6ec5ac7', 'f35876c664cc47f28045afc44750a71c', 'False', 'True', 'false', 'false', '511781110304', 5, '水鼓坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781110304', 1, '2021-07-19 11:56:54', NULL, NULL), (24244, '', '河街社区', 'afb319739d444ff9a03acf0ca9d60ced', 'f35876c664cc47f28045afc44750a71c', 'False', 'True', 'false', 'false', '511781110001', 5, '河街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781110001', 1, '2021-07-19 11:56:54', NULL, NULL), (24245, '', '工农街社区', 'a06e285618784a9299bba0d56856c15f', 'f35876c664cc47f28045afc44750a71c', 'False', 'True', 'false', 'false', '511781110002', 5, '工农街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781110002', 1, '2021-07-19 11:56:54', NULL, NULL), (24246, '', '郑家坝村', '1833cb9b0c574e7a9ebc9d13fbf950b9', 'f35876c664cc47f28045afc44750a71c', 'False', 'True', 'false', 'false', '511781110200', 5, '郑家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781110200', 1, '2021-07-19 11:56:54', NULL, NULL), (24247, '', '廖家沟村', '7db0d4f20b3547cca21b2185492463ff', 'f35876c664cc47f28045afc44750a71c', 'False', 'True', 'false', 'false', '511781110201', 5, '廖家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781110201', 1, '2021-07-19 11:56:54', NULL, NULL), (24248, '', '金鸡坪村', '56f12f3a427f412391002db5918a3c9e', 'f35876c664cc47f28045afc44750a71c', 'False', 'True', 'false', 'false', '511781110202', 5, '金鸡坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781110202', 1, '2021-07-19 11:56:54', NULL, NULL), (24249, '', '青龙嘴村', 'd426a8361450428c82d096b3d6299197', 'f35876c664cc47f28045afc44750a71c', 'False', 'True', 'false', 'false', '511781110203', 5, '青龙嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781110203', 1, '2021-07-19 11:56:54', NULL, NULL), (24250, '', '荆桥铺村', '4f7626ad593c479e9450eeeb5a29b68d', 'f35876c664cc47f28045afc44750a71c', 'False', 'True', 'false', 'false', '511781110204', 5, '荆桥铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781110204', 1, '2021-07-19 11:56:54', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (24251, '', '猫儿坝村', '953e968223cc46859e8c59d09602f7fc', 'f35876c664cc47f28045afc44750a71c', 'False', 'True', 'false', 'false', '511781110206', 5, '猫儿坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781110206', 1, '2021-07-19 11:56:54', NULL, NULL), (24252, '', '水井坝村', 'e81aca6294fe498e96c8958a457f8d8f', 'f35876c664cc47f28045afc44750a71c', 'False', 'True', 'false', 'false', '511781110207', 5, '水井坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781110207', 1, '2021-07-19 11:56:54', NULL, NULL), (24253, '', '八台镇', '137751e49fa94b129619df01c5082814', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781113000', 4, '八台镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781113000', 1, '2021-07-19 11:56:54', NULL, NULL), (24254, '', '布带溪村', '565d6575e8ee4ae9ad83b153c5587b8a', '137751e49fa94b129619df01c5082814', 'False', 'True', 'false', 'false', '511781113300', 5, '布带溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781113300', 1, '2021-07-19 11:56:54', NULL, NULL), (24255, '', '向家坝村', '5de986d6d29644cba2d2367c1a7c79b1', '137751e49fa94b129619df01c5082814', 'False', 'True', 'false', 'false', '511781113301', 5, '向家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781113301', 1, '2021-07-19 11:56:54', NULL, NULL), (24256, '', '虾叭口村', 'cc70fc6e6ac34b0c91df076b582b9f51', '137751e49fa94b129619df01c5082814', 'False', 'True', 'false', 'false', '511781113302', 5, '虾叭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781113302', 1, '2021-07-19 11:56:54', NULL, NULL), (24257, '', '田坝村', '204db37059eb4677985d4da05388ff6b', '137751e49fa94b129619df01c5082814', 'False', 'True', 'false', 'false', '511781113200', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781113200', 1, '2021-07-19 11:56:54', NULL, NULL), (24258, '', '漆树坪村', 'bd5f9c60408d4ab498bfe1c2f65ed558', '137751e49fa94b129619df01c5082814', 'False', 'True', 'false', 'false', '511781113201', 5, '漆树坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781113201', 1, '2021-07-19 11:56:54', NULL, NULL), (24259, '', '桅杆坪村', '77bfe3f7f34d49cf89e53b8a27540dd4', '137751e49fa94b129619df01c5082814', 'False', 'True', 'false', 'false', '511781113202', 5, '桅杆坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781113202', 1, '2021-07-19 11:56:54', NULL, NULL), (24260, '', '天池坝村', '726d1a85f3e14234a308c79caa9c54a8', '137751e49fa94b129619df01c5082814', 'False', 'True', 'false', 'false', '511781113204', 5, '天池坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781113204', 1, '2021-07-19 11:56:55', NULL, NULL), (24261, '', '梨树垭村', '5ea96dd13064489a86a735608e9855c6', '137751e49fa94b129619df01c5082814', 'False', 'True', 'false', 'false', '511781113205', 5, '梨树垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781113205', 1, '2021-07-19 11:56:55', NULL, NULL), (24262, '', '沙滩镇', 'd0dc0342cab343ef84ebeea87e560fbb', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781111000', 4, '沙滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781111000', 1, '2021-07-19 11:56:55', NULL, NULL), (24263, '', '红旗村', '1feb643371074167ba3b07361a3210cf', 'd0dc0342cab343ef84ebeea87e560fbb', 'False', 'True', 'false', 'false', '511781111300', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781111300', 1, '2021-07-19 11:56:55', NULL, NULL), (24264, '', '万福社区', 'f399455cbaaa4f2682def9c704bd4d86', 'd0dc0342cab343ef84ebeea87e560fbb', 'False', 'True', 'false', 'false', '511781111001', 5, '万福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781111001', 1, '2021-07-19 11:56:55', NULL, NULL), (24265, '', '万田社区', 'a7868b1e346e4113981c0452e3e7b41e', 'd0dc0342cab343ef84ebeea87e560fbb', 'False', 'True', 'false', 'false', '511781111002', 5, '万田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781111002', 1, '2021-07-19 11:56:55', NULL, NULL), (24266, '', '栀子园村', '59c872ac80bf45b399e3bf3e6ce580cb', 'd0dc0342cab343ef84ebeea87e560fbb', 'False', 'True', 'false', 'false', '511781111200', 5, '栀子园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781111200', 1, '2021-07-19 11:56:55', NULL, NULL), (24267, '', '小河口村', 'b7b50299c97e471ab3958e5e1ba8feab', 'd0dc0342cab343ef84ebeea87e560fbb', 'False', 'True', 'false', 'false', '511781111201', 5, '小河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781111201', 1, '2021-07-19 11:56:55', NULL, NULL), (24268, '', '龚家坝村', '74306953772345a988256d867d94731c', 'd0dc0342cab343ef84ebeea87e560fbb', 'False', 'True', 'false', 'false', '511781111202', 5, '龚家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781111202', 1, '2021-07-19 11:56:55', NULL, NULL), (24269, '', '鸳鸯池村', '74e1e6407324436fa4f276099ef6a47f', 'd0dc0342cab343ef84ebeea87e560fbb', 'False', 'True', 'false', 'false', '511781111203', 5, '鸳鸯池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781111203', 1, '2021-07-19 11:56:55', NULL, NULL), (24270, '', '谢家坝社区', 'efcdb76019cf4689bc187d9e19576354', 'd0dc0342cab343ef84ebeea87e560fbb', 'False', 'True', 'false', 'false', '511781111204', 5, '谢家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781111204', 1, '2021-07-19 11:56:55', NULL, NULL), (24271, '', '朱家沟村', 'd6e76fe7ce924228887a2486ae36895b', 'd0dc0342cab343ef84ebeea87e560fbb', 'False', 'True', 'false', 'false', '511781111206', 5, '朱家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781111206', 1, '2021-07-19 11:56:55', NULL, NULL), (24272, '', '小茶园村', 'ddfcb3cab8fd4782a9b17cf3059df531', 'd0dc0342cab343ef84ebeea87e560fbb', 'False', 'True', 'false', 'false', '511781111207', 5, '小茶园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781111207', 1, '2021-07-19 11:56:55', NULL, NULL), (24273, '', '石塘镇', 'fca881441baa4e0897afa542906b0010', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781114000', 4, '石塘镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781114000', 1, '2021-07-19 11:56:55', NULL, NULL), (24274, '', '双合村', 'a757e6b3a5484ab4beeabaed0b833c36', 'fca881441baa4e0897afa542906b0010', 'False', 'True', 'false', 'false', '511781114300', 5, '双合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781114300', 1, '2021-07-19 11:56:55', NULL, NULL), (24275, '', '前进社区', '0e0f853e668e405998eacd901158cee2', 'fca881441baa4e0897afa542906b0010', 'False', 'True', 'false', 'false', '511781114001', 5, '前进社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781114001', 1, '2021-07-19 11:56:55', NULL, NULL), (24276, '', '柳树村', '7074822b23b141ed8d756ca6a7cc9d31', 'fca881441baa4e0897afa542906b0010', 'False', 'True', 'false', 'false', '511781114200', 5, '柳树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781114200', 1, '2021-07-19 11:56:55', NULL, NULL), (24277, '', '杉林湾村', '4783a3b6d6c04ae7a499b121eb9371d7', 'fca881441baa4e0897afa542906b0010', 'False', 'True', 'false', 'false', '511781114201', 5, '杉林湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781114201', 1, '2021-07-19 11:56:55', NULL, NULL), (24278, '', '贺家湾村', 'eedb67aefca24c76ac210d92e28afaaf', 'fca881441baa4e0897afa542906b0010', 'False', 'True', 'false', 'false', '511781114202', 5, '贺家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781114202', 1, '2021-07-19 11:56:56', NULL, NULL), (24279, '', '瓦子坪村', '575f92adf2264f20acfee40d5e4a0167', 'fca881441baa4e0897afa542906b0010', 'False', 'True', 'false', 'false', '511781114203', 5, '瓦子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781114203', 1, '2021-07-19 11:56:56', NULL, NULL), (24280, '', '罗文镇', 'c2e6d868b6414def991cc4ea55d471fc', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781103000', 4, '罗文镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781103000', 1, '2021-07-19 11:56:56', NULL, NULL), (24281, '', '红星社区', '71b1b612ec82453aa1eb2cc79e202cf9', 'c2e6d868b6414def991cc4ea55d471fc', 'False', 'True', 'false', 'false', '511781103300', 5, '红星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781103300', 1, '2021-07-19 11:56:56', NULL, NULL), (24282, '', '桅杆坝村', 'bd07fccb0a0a47318f1f84b9589a5a9d', 'c2e6d868b6414def991cc4ea55d471fc', 'False', 'True', 'false', 'false', '511781103301', 5, '桅杆坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781103301', 1, '2021-07-19 11:56:56', NULL, NULL), (24283, '', '苟家坡村', '2f80f2f2b9fe4ffd8cabc0c69d438940', 'c2e6d868b6414def991cc4ea55d471fc', 'False', 'True', 'false', 'false', '511781103302', 5, '苟家坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781103302', 1, '2021-07-19 11:56:56', NULL, NULL), (24284, '', '三堡溪村', '567a54c71657480fae18116939c11ca4', 'c2e6d868b6414def991cc4ea55d471fc', 'False', 'True', 'false', 'false', '511781103303', 5, '三堡溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781103303', 1, '2021-07-19 11:56:56', NULL, NULL), (24285, '', '红胜社区', '89dff34a7e3543698ef5fad1bbeb933f', 'c2e6d868b6414def991cc4ea55d471fc', 'False', 'True', 'false', 'false', '511781103001', 5, '红胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781103001', 1, '2021-07-19 11:56:56', NULL, NULL), (24286, '', '严家坝村', '2c4f313d293f4b5fa03740303e1f3195', 'c2e6d868b6414def991cc4ea55d471fc', 'False', 'True', 'false', 'false', '511781103200', 5, '严家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781103200', 1, '2021-07-19 11:56:56', NULL, NULL), (24287, '', '苟家寨村', '55f37a9be4114ffcb729fb8e783ae424', 'c2e6d868b6414def991cc4ea55d471fc', 'False', 'True', 'false', 'false', '511781103203', 5, '苟家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781103203', 1, '2021-07-19 11:56:56', NULL, NULL), (24288, '', '马蹄坝村', '4f59773eb7a04f44a312a8f5a4a6fd05', 'c2e6d868b6414def991cc4ea55d471fc', 'False', 'True', 'false', 'false', '511781103205', 5, '马蹄坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781103205', 1, '2021-07-19 11:56:56', NULL, NULL), (24289, '', '钟老坟村', 'c5f7843c0a4f4f04b032ae25cb30f83e', 'c2e6d868b6414def991cc4ea55d471fc', 'False', 'True', 'false', 'false', '511781103206', 5, '钟老坟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781103206', 1, '2021-07-19 11:56:56', NULL, NULL), (24290, '', '梨子园村', '5424aa2ec804401f8108099b6d962340', 'c2e6d868b6414def991cc4ea55d471fc', 'False', 'True', 'false', 'false', '511781103208', 5, '梨子园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781103208', 1, '2021-07-19 11:56:56', NULL, NULL), (24291, '', '团堡梁村', 'e302e3306516453f8991d9326fbc5fb4', 'c2e6d868b6414def991cc4ea55d471fc', 'False', 'True', 'false', 'false', '511781103209', 5, '团堡梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781103209', 1, '2021-07-19 11:56:56', NULL, NULL), (24292, '', '火石岭村', '37c39f5fcf474b3397ba87188edaad0e', 'c2e6d868b6414def991cc4ea55d471fc', 'False', 'True', 'false', 'false', '511781103210', 5, '火石岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781103210', 1, '2021-07-19 11:56:56', NULL, NULL), (24293, '', '白岩沟村', '3a6dca1eb48940e29de090d6d3ed4bbe', 'c2e6d868b6414def991cc4ea55d471fc', 'False', 'True', 'false', 'false', '511781103212', 5, '白岩沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781103212', 1, '2021-07-19 11:56:56', NULL, NULL), (24294, '', '长坝镇', 'bd9a2b1b75f647258cf2771a5e76babc', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781209000', 4, '长坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781209000', 1, '2021-07-19 11:56:57', NULL, NULL), (24295, '', '马鞍山村', '593e35a3fd584cad801c946f32dc9fa6', 'bd9a2b1b75f647258cf2771a5e76babc', 'False', 'True', 'false', 'false', '511781209300', 5, '马鞍山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781209300', 1, '2021-07-19 11:56:57', NULL, NULL), (24296, '', '董家梁村', '67d63061bf864de191ceb5790d56b5c7', 'bd9a2b1b75f647258cf2771a5e76babc', 'False', 'True', 'false', 'false', '511781209301', 5, '董家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781209301', 1, '2021-07-19 11:56:57', NULL, NULL), (24297, '', '花楼坝村', 'fbe4f065d71e497d9c95969f9f54447d', 'bd9a2b1b75f647258cf2771a5e76babc', 'False', 'True', 'false', 'false', '511781209302', 5, '花楼坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781209302', 1, '2021-07-19 11:56:57', NULL, NULL), (24298, '', '长坝社区', '185e588836ef4d7fa82f894161b40c8b', 'bd9a2b1b75f647258cf2771a5e76babc', 'False', 'True', 'false', 'false', '511781209001', 5, '长坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781209001', 1, '2021-07-19 11:56:57', NULL, NULL), (24299, '', '渔窝池村', '8d80014a2da74df492496d51d2a03884', 'bd9a2b1b75f647258cf2771a5e76babc', 'False', 'True', 'false', 'false', '511781209200', 5, '渔窝池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781209200', 1, '2021-07-19 11:56:57', NULL, NULL), (24300, '', '胡家坪村', '7f0f9b5f4db446b8b069f65311d60b27', 'bd9a2b1b75f647258cf2771a5e76babc', 'False', 'True', 'false', 'false', '511781209201', 5, '胡家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781209201', 1, '2021-07-19 11:56:57', NULL, NULL), (24301, '', '铜草湾村', '84ff56a9345c4073a2ecefaa093c0a45', 'bd9a2b1b75f647258cf2771a5e76babc', 'False', 'True', 'false', 'false', '511781209202', 5, '铜草湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781209202', 1, '2021-07-19 11:56:57', NULL, NULL), (24302, '', '清水溪村', '9fc5f96705e4461a9effaf16bd72b455', 'bd9a2b1b75f647258cf2771a5e76babc', 'False', 'True', 'false', 'false', '511781209203', 5, '清水溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781209203', 1, '2021-07-19 11:56:57', NULL, NULL), (24303, '', '幺滩村', '42b7916e9aa045ddb289ab46dc9c4087', 'bd9a2b1b75f647258cf2771a5e76babc', 'False', 'True', 'false', 'false', '511781209204', 5, '幺滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781209204', 1, '2021-07-19 11:56:57', NULL, NULL), (24304, '', '白燕溪村', 'c22724302cf943d3bce2aeea9f118c23', 'bd9a2b1b75f647258cf2771a5e76babc', 'False', 'True', 'false', 'false', '511781209205', 5, '白燕溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781209205', 1, '2021-07-19 11:56:57', NULL, NULL), (24305, '', '曾家乡', 'db58209fa32c430f86b75b08ab3e85e9', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781210000', 4, '曾家乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781210000', 1, '2021-07-19 11:56:57', NULL, NULL), (24306, '', '曾家村', '2aa285e236c5482eb4962774f9e13c0f', 'db58209fa32c430f86b75b08ab3e85e9', 'False', 'True', 'false', 'false', '511781210200', 5, '曾家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781210200', 1, '2021-07-19 11:56:57', NULL, NULL), (24307, '', '覃家坝村', '37c28a9475234cf794275dd471c12971', 'db58209fa32c430f86b75b08ab3e85e9', 'False', 'True', 'false', 'false', '511781210201', 5, '覃家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781210201', 1, '2021-07-19 11:56:57', NULL, NULL), (24308, '', '龙泉村', '563cbe3b2c044be0816667622cf1fd22', 'db58209fa32c430f86b75b08ab3e85e9', 'False', 'True', 'false', 'false', '511781210202', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781210202', 1, '2021-07-19 11:56:57', NULL, NULL), (24309, '', '新桥河村', '307e84100d7b4b08970e22a5060a4453', 'db58209fa32c430f86b75b08ab3e85e9', 'False', 'True', 'false', 'false', '511781210203', 5, '新桥河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781210203', 1, '2021-07-19 11:56:57', NULL, NULL), (24310, '', '花红湾村', '74cbc368567f4772bf07a9d5777e1350', 'db58209fa32c430f86b75b08ab3e85e9', 'False', 'True', 'false', 'false', '511781210204', 5, '花红湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781210204', 1, '2021-07-19 11:56:58', NULL, NULL), (24311, '', '官渡镇', 'd4b77dcb15fd4076aedca40631036953', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781109000', 4, '官渡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781109000', 1, '2021-07-19 11:56:58', NULL, NULL), (24312, '', '三合面村', '22f606d6741e40eebdaf48d45fc20938', 'd4b77dcb15fd4076aedca40631036953', 'False', 'True', 'false', 'false', '511781109300', 5, '三合面村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781109300', 1, '2021-07-19 11:56:58', NULL, NULL), (24313, '', '杜家坝村', '1b5a8ca59d154d0ea1ed622d03f0afbf', 'd4b77dcb15fd4076aedca40631036953', 'False', 'True', 'false', 'false', '511781109301', 5, '杜家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781109301', 1, '2021-07-19 11:56:58', NULL, NULL), (24314, '', '后河源村', '19ad95f8d4fc4e8bb53fb72ba682d81b', 'd4b77dcb15fd4076aedca40631036953', 'False', 'True', 'false', 'false', '511781109303', 5, '后河源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781109303', 1, '2021-07-19 11:56:58', NULL, NULL), (24315, '', '荆竹坝村', '0234dc9edddc4a279807dbbb4c6b55ae', 'd4b77dcb15fd4076aedca40631036953', 'False', 'True', 'false', 'false', '511781109304', 5, '荆竹坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781109304', 1, '2021-07-19 11:56:58', NULL, NULL), (24316, '', '皮窝村', 'b83197b15ce545cfb15e95738601d61c', 'd4b77dcb15fd4076aedca40631036953', 'False', 'True', 'false', 'false', '511781109305', 5, '皮窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781109305', 1, '2021-07-19 11:56:58', NULL, NULL), (24317, '', '磙子坪村', 'a1c12fd37a034f228bac3a9de12765e0', 'd4b77dcb15fd4076aedca40631036953', 'False', 'True', 'false', 'false', '511781109306', 5, '磙子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781109306', 1, '2021-07-19 11:56:58', NULL, NULL), (24318, '', '杜家沟村', '308510fef59747869649153bec72ff49', 'd4b77dcb15fd4076aedca40631036953', 'False', 'True', 'false', 'false', '511781109307', 5, '杜家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781109307', 1, '2021-07-19 11:56:58', NULL, NULL), (24319, '', '斑竹溪村', '0dcd908516bd424597da41b49e4d8803', 'd4b77dcb15fd4076aedca40631036953', 'False', 'True', 'false', 'false', '511781109308', 5, '斑竹溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781109308', 1, '2021-07-19 11:56:58', NULL, NULL), (24320, '', '池家坝村', '474ef1de7a4b40208fc6757b9f402916', 'd4b77dcb15fd4076aedca40631036953', 'False', 'True', 'false', 'false', '511781109309', 5, '池家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781109309', 1, '2021-07-19 11:56:58', NULL, NULL), (24321, '', '官渡社区', '7340788ec1ad4f0681d9b1ace4bcddfa', 'd4b77dcb15fd4076aedca40631036953', 'False', 'True', 'false', 'false', '511781109001', 5, '官渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781109001', 1, '2021-07-19 11:56:58', NULL, NULL), (24322, '', '清明社区', 'e3fe2079ab0540e0b0f21c1af2b9021b', 'd4b77dcb15fd4076aedca40631036953', 'False', 'True', 'false', 'false', '511781109002', 5, '清明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781109002', 1, '2021-07-19 11:56:58', NULL, NULL), (24323, '', '二沟河村', '25b180ce705e4d6399830a6182041787', 'd4b77dcb15fd4076aedca40631036953', 'False', 'True', 'false', 'false', '511781109202', 5, '二沟河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781109202', 1, '2021-07-19 11:56:59', NULL, NULL), (24324, '', '玛瑙溪村', 'e3b17948b8664566b39f5d7ffcf93202', 'd4b77dcb15fd4076aedca40631036953', 'False', 'True', 'false', 'false', '511781109203', 5, '玛瑙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781109203', 1, '2021-07-19 11:56:59', NULL, NULL), (24325, '', '诸葛坝村', '9a5492f4dc6246118318a381f0ec110e', 'd4b77dcb15fd4076aedca40631036953', 'False', 'True', 'false', 'false', '511781109205', 5, '诸葛坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781109205', 1, '2021-07-19 11:56:59', NULL, NULL), (24326, '', '项家坪村', 'a7ba82eca6634255bf3a06a382cf2a19', 'd4b77dcb15fd4076aedca40631036953', 'False', 'True', 'false', 'false', '511781109206', 5, '项家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781109206', 1, '2021-07-19 11:56:59', NULL, NULL), (24327, '', '大竹镇', '0b377ba5776347a7a36cc94322735b69', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781107000', 4, '大竹镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781107000', 1, '2021-07-19 11:56:59', NULL, NULL), (24328, '', '岚溪村', '67b808b8ad8442cdadfb86aaab42b702', '0b377ba5776347a7a36cc94322735b69', 'False', 'True', 'false', 'false', '511781107300', 5, '岚溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781107300', 1, '2021-07-19 11:56:59', NULL, NULL), (24329, '', '明镜村', 'a71ea4933f0e49528c171df745d635a7', '0b377ba5776347a7a36cc94322735b69', 'False', 'True', 'false', 'false', '511781107301', 5, '明镜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781107301', 1, '2021-07-19 11:56:59', NULL, NULL), (24330, '', '临河村', 'e24b94e049854123a9a9604c27dfde9a', '0b377ba5776347a7a36cc94322735b69', 'False', 'True', 'false', 'false', '511781107302', 5, '临河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781107302', 1, '2021-07-19 11:56:59', NULL, NULL), (24331, '', '竹东村', 'd3b5263f35784015b5b9afcc34027209', '0b377ba5776347a7a36cc94322735b69', 'False', 'True', 'false', 'false', '511781107303', 5, '竹东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781107303', 1, '2021-07-19 11:56:59', NULL, NULL), (24332, '', '营盘村', '19a6e8e2b4f347799042fb514e8c86bb', '0b377ba5776347a7a36cc94322735b69', 'False', 'True', 'false', 'false', '511781107304', 5, '营盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781107304', 1, '2021-07-19 11:56:59', NULL, NULL), (24333, '', '兰家坪村', '01a77901b6a94522a17345eb992c08f5', '0b377ba5776347a7a36cc94322735b69', 'False', 'True', 'false', 'false', '511781107305', 5, '兰家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781107305', 1, '2021-07-19 11:56:59', NULL, NULL), (24334, '', '龙放坪村', '60dc916c8e6e467ca0981b9c4c203026', '0b377ba5776347a7a36cc94322735b69', 'False', 'True', 'false', 'false', '511781107306', 5, '龙放坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781107306', 1, '2021-07-19 11:56:59', NULL, NULL), (24335, '', '油房社区', '079eb4524aa34637b6ca18f72abe7336', '0b377ba5776347a7a36cc94322735b69', 'False', 'True', 'false', 'false', '511781107001', 5, '油房社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781107001', 1, '2021-07-19 11:56:59', NULL, NULL), (24336, '', '莲花社区', '1f3d6d1a50434323b60cb04e0f4b593d', '0b377ba5776347a7a36cc94322735b69', 'False', 'True', 'false', 'false', '511781107002', 5, '莲花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781107002', 1, '2021-07-19 11:56:59', NULL, NULL), (24337, '', '钟楼坪村', '9f2b02e16be74f4fae214eda01b027cf', '0b377ba5776347a7a36cc94322735b69', 'False', 'True', 'false', 'false', '511781107203', 5, '钟楼坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781107203', 1, '2021-07-19 11:56:59', NULL, NULL), (24338, '', '仙鹤坝村', '525cf35fcb6948b6b3ed9f34caa29379', '0b377ba5776347a7a36cc94322735b69', 'False', 'True', 'false', 'false', '511781107204', 5, '仙鹤坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781107204', 1, '2021-07-19 11:56:59', NULL, NULL), (24339, '', '荆竹园村', '78be66e844a54867aa49ad15bfb30997', '0b377ba5776347a7a36cc94322735b69', 'False', 'True', 'false', 'false', '511781107206', 5, '荆竹园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781107206', 1, '2021-07-19 11:56:59', NULL, NULL), (24340, '', '土垭子村', '2dcfe36701004dc39e0507b63ccd0448', '0b377ba5776347a7a36cc94322735b69', 'False', 'True', 'false', 'false', '511781107209', 5, '土垭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781107209', 1, '2021-07-19 11:56:59', NULL, NULL), (24341, '', '月台坝村', 'b0c09ae7e3fd412098128fcae9c6be59', '0b377ba5776347a7a36cc94322735b69', 'False', 'True', 'false', 'false', '511781107210', 5, '月台坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781107210', 1, '2021-07-19 11:57:00', NULL, NULL), (24342, '', '太堡寺村', 'f872d1109499408f9b1a46739a45dfc2', '0b377ba5776347a7a36cc94322735b69', 'False', 'True', 'false', 'false', '511781107213', 5, '太堡寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781107213', 1, '2021-07-19 11:57:00', NULL, NULL), (24343, '', '白杨溪村', 'faba9810314243768d96078290dd4323', '0b377ba5776347a7a36cc94322735b69', 'False', 'True', 'false', 'false', '511781107216', 5, '白杨溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781107216', 1, '2021-07-19 11:57:00', NULL, NULL), (24344, '', '白果镇', '66e814623cba487290f3aca658dc4f7f', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781224000', 4, '白果镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781224000', 1, '2021-07-19 11:57:00', NULL, NULL), (24345, '', '长洞湖村', '51d28b4f259e401abac2204137b6aa50', '66e814623cba487290f3aca658dc4f7f', 'False', 'True', 'false', 'false', '511781118300', 5, '长洞湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781118300', 1, '2021-07-19 11:57:00', NULL, NULL), (24346, '', '钟停坝村', '62e491a133dd423dba72b00cf900f779', '66e814623cba487290f3aca658dc4f7f', 'False', 'True', 'false', 'false', '511781118301', 5, '钟停坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781118301', 1, '2021-07-19 11:57:00', NULL, NULL), (24347, '', '庞家梁村', '98912fb7e91a40ca80b6d76a441e6131', '66e814623cba487290f3aca658dc4f7f', 'False', 'True', 'false', 'false', '511781118302', 5, '庞家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781118302', 1, '2021-07-19 11:57:00', NULL, NULL), (24348, '', '松树门村', '58790f9b78e14c4e8cd3f6e80fbb9621', '66e814623cba487290f3aca658dc4f7f', 'False', 'True', 'false', 'false', '511781118303', 5, '松树门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781118303', 1, '2021-07-19 11:57:00', NULL, NULL), (24349, '', '白果坝村', '2ab616cadf2e44c1beb5e128127421ce', '66e814623cba487290f3aca658dc4f7f', 'False', 'True', 'false', 'false', '511781224200', 5, '白果坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781224200', 1, '2021-07-19 11:57:00', NULL, NULL), (24350, '', '龙奔垭村', '2940335a28a244ff9202d8bdf6412601', '66e814623cba487290f3aca658dc4f7f', 'False', 'True', 'false', 'false', '511781224201', 5, '龙奔垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781224201', 1, '2021-07-19 11:57:00', NULL, NULL), (24351, '', '文家坪村', 'ae39d36a481d4535973424228819df08', '66e814623cba487290f3aca658dc4f7f', 'False', 'True', 'false', 'false', '511781224204', 5, '文家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781224204', 1, '2021-07-19 11:57:00', NULL, NULL), (24352, '', '紫溪乡', '93d6d4e543ae4ab59b7701e884db18d2', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781228000', 4, '紫溪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781228000', 1, '2021-07-19 11:57:00', NULL, NULL), (24353, '', '柿子坝村', '405de6bb65e44cf4947c87d439c3ffda', '93d6d4e543ae4ab59b7701e884db18d2', 'False', 'True', 'false', 'false', '511781228200', 5, '柿子坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781228200', 1, '2021-07-19 11:57:00', NULL, NULL), (24354, '', '楼房坪村', '7c16e7f0e9924cafb2bbb58562c79cca', '93d6d4e543ae4ab59b7701e884db18d2', 'False', 'True', 'false', 'false', '511781228202', 5, '楼房坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781228202', 1, '2021-07-19 11:57:00', NULL, NULL), (24355, '', '庙子乡', '84d332b7a7f941cd83db3c9c48fc8c11', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781226000', 4, '庙子乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781226000', 1, '2021-07-19 11:57:00', NULL, NULL), (24356, '', '隔滩溪村', '78dbd14933eb4e75822da1d5a038c563', '84d332b7a7f941cd83db3c9c48fc8c11', 'False', 'True', 'false', 'false', '511781226200', 5, '隔滩溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781226200', 1, '2021-07-19 11:57:00', NULL, NULL), (24357, '', '小溪河村', 'fae4bc4bc815496b9692111aff7f6a34', '84d332b7a7f941cd83db3c9c48fc8c11', 'False', 'True', 'false', 'false', '511781226201', 5, '小溪河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781226201', 1, '2021-07-19 11:57:01', NULL, NULL), (24358, '', '东岳庙村', '4f69835e253845069f40b3dca5f713f5', '84d332b7a7f941cd83db3c9c48fc8c11', 'False', 'True', 'false', 'false', '511781226203', 5, '东岳庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781226203', 1, '2021-07-19 11:57:01', NULL, NULL), (24359, '', '龙奔河村', '32bc8c91090540db8df844a9ba571d39', '84d332b7a7f941cd83db3c9c48fc8c11', 'False', 'True', 'false', 'false', '511781226205', 5, '龙奔河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781226205', 1, '2021-07-19 11:57:01', NULL, NULL), (24360, '', '刘家坝村', '0be863b0d53b4aefbeef1e049101967f', '84d332b7a7f941cd83db3c9c48fc8c11', 'False', 'True', 'false', 'false', '511781226207', 5, '刘家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781226207', 1, '2021-07-19 11:57:01', NULL, NULL), (24361, '', '庙子坝村', 'ade29df321424194b4712da17ee1d56f', '84d332b7a7f941cd83db3c9c48fc8c11', 'False', 'True', 'false', 'false', '511781226209', 5, '庙子坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781226209', 1, '2021-07-19 11:57:01', NULL, NULL), (24362, '', '小河村', '4189c5c878fc41b3b95f65d4e46d5bd1', '84d332b7a7f941cd83db3c9c48fc8c11', 'False', 'True', 'false', 'false', '511781226210', 5, '小河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781226210', 1, '2021-07-19 11:57:01', NULL, NULL), (24363, '', '竹峪镇', 'f8f12c7258704bedbd47a003ff3c7218', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781106000', 4, '竹峪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781106000', 1, '2021-07-19 11:57:01', NULL, NULL), (24364, '', '三溪社区', '3c4d809ebbbc4310ba52c1999d7850ae', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106300', 5, '三溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106300', 1, '2021-07-19 11:57:01', NULL, NULL), (24365, '', '杜家坪村', 'f1a425e94af842a5ba5c8bd9978aa5e1', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106301', 5, '杜家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106301', 1, '2021-07-19 11:57:01', NULL, NULL), (24366, '', '亭子庙村', '2db3eac70e8b480bbf1b892cce1001bb', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106302', 5, '亭子庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106302', 1, '2021-07-19 11:57:01', NULL, NULL), (24367, '', '后坝沟村', '3ed3758b3a9e4794a82495b04535f1a7', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106303', 5, '后坝沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106303', 1, '2021-07-19 11:57:01', NULL, NULL), (24368, '', '孙家沟村', 'e89fb9ae1f7348b1a0e146fcb74065da', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106304', 5, '孙家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106304', 1, '2021-07-19 11:57:01', NULL, NULL), (24369, '', '楼坝河村', '0d9e0ba9f89c4f8aa5ffaa6f53d9a5bd', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106305', 5, '楼坝河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106305', 1, '2021-07-19 11:57:02', NULL, NULL), (24370, '', '双龙庙村', '035da8a777064e6c8d4ec28f495fcfaa', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106306', 5, '双龙庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106306', 1, '2021-07-19 11:57:02', NULL, NULL), (24371, '', '喻家梁村', 'aa81ac5ae2724f0897d940df5ff4d93b', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106307', 5, '喻家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106307', 1, '2021-07-19 11:57:02', NULL, NULL), (24372, '', '赵家营村', 'b47923ff4d024d0bb929ae3600f95ce4', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106308', 5, '赵家营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106308', 1, '2021-07-19 11:57:02', NULL, NULL), (24373, '', '道子坪村', '813af894e09f4bbb9735c46233fa9f38', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106309', 5, '道子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106309', 1, '2021-07-19 11:57:02', NULL, NULL), (24374, '', '土龙庙村', 'ddc49b6f1f2d4a3fbac214d19ff34798', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106310', 5, '土龙庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106310', 1, '2021-07-19 11:57:02', NULL, NULL), (24375, '', '大茶园村', '5f986963a9ea4118bce6d000039607ec', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106311', 5, '大茶园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106311', 1, '2021-07-19 11:57:02', NULL, NULL), (24376, '', '竹峪社区', 'd22217459385488cb6e1c746611b46d5', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106001', 5, '竹峪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106001', 1, '2021-07-19 11:57:02', NULL, NULL), (24377, '', '包台村', 'be83ded954494eb18bd9935869c56c29', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106201', 5, '包台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106201', 1, '2021-07-19 11:57:02', NULL, NULL), (24378, '', '大柏树村', '4275a11bc92a4818b91aa601bf71f7fb', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106202', 5, '大柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106202', 1, '2021-07-19 11:57:02', NULL, NULL), (24379, '', '东梨村', 'd264400da66241f6a3a3e3275692ea56', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106203', 5, '东梨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106203', 1, '2021-07-19 11:57:02', NULL, NULL), (24380, '', '团包寨村', 'b1ea82d6820445218bebf8a35f739125', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106205', 5, '团包寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106205', 1, '2021-07-19 11:57:02', NULL, NULL), (24381, '', '檀木寨村', '53315bfddcfb49b59c5ac2ec75525c92', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106206', 5, '檀木寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106206', 1, '2021-07-19 11:57:02', NULL, NULL), (24382, '', '蕨村坝村', '451adde302d0413aac41da960d0e36c9', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106208', 5, '蕨村坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106208', 1, '2021-07-19 11:57:02', NULL, NULL), (24383, '', '刘家坪村', 'c2852f199c804ebba40647e2df884e55', 'f8f12c7258704bedbd47a003ff3c7218', 'False', 'True', 'false', 'false', '511781106209', 5, '刘家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781106209', 1, '2021-07-19 11:57:02', NULL, NULL), (24384, '', '永宁镇', '072c3980a5434cd2ade06605e361b725', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781221000', 4, '永宁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781221000', 1, '2021-07-19 11:57:02', NULL, NULL), (24385, '', '长石社区', '7974b9ddf14d4806b59e0d558a3c6fc9', '072c3980a5434cd2ade06605e361b725', 'False', 'True', 'false', 'false', '511781221300', 5, '长石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781221300', 1, '2021-07-19 11:57:02', NULL, NULL), (24386, '', '鸡河坝村', 'c337876495a14d3488119267379bca1e', '072c3980a5434cd2ade06605e361b725', 'False', 'True', 'false', 'false', '511781221301', 5, '鸡河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781221301', 1, '2021-07-19 11:57:03', NULL, NULL), (24387, '', '芦家坝村', '86332693067e48a38654dca69ee96556', '072c3980a5434cd2ade06605e361b725', 'False', 'True', 'false', 'false', '511781221302', 5, '芦家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781221302', 1, '2021-07-19 11:57:03', NULL, NULL), (24388, '', '芦家沟村', '7f9a15ab5f774f2795d4d35f3ccdd954', '072c3980a5434cd2ade06605e361b725', 'False', 'True', 'false', 'false', '511781221303', 5, '芦家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781221303', 1, '2021-07-19 11:57:03', NULL, NULL), (24389, '', '锅团圆村', 'e691471ab97a421e823b37b31b0ef4d4', '072c3980a5434cd2ade06605e361b725', 'False', 'True', 'false', 'false', '511781221304', 5, '锅团圆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781221304', 1, '2021-07-19 11:57:03', NULL, NULL), (24390, '', '龙王沟村', '283295243fa646ed83674ff3ac71d24f', '072c3980a5434cd2ade06605e361b725', 'False', 'True', 'false', 'false', '511781221305', 5, '龙王沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781221305', 1, '2021-07-19 11:57:03', NULL, NULL), (24391, '', '黄家沟村', 'd55ce037430a42ef831ec077af47ccbe', '072c3980a5434cd2ade06605e361b725', 'False', 'True', 'false', 'false', '511781221306', 5, '黄家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781221306', 1, '2021-07-19 11:57:03', NULL, NULL), (24392, '', '锅厂村', 'f0d87a32f2454e17be6221b0f31227da', '072c3980a5434cd2ade06605e361b725', 'False', 'True', 'false', 'false', '511781221307', 5, '锅厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781221307', 1, '2021-07-19 11:57:03', NULL, NULL), (24393, '', '永乐社区', '2a182ade253a413b88263b61da8695b0', '072c3980a5434cd2ade06605e361b725', 'False', 'True', 'false', 'false', '511781221001', 5, '永乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781221001', 1, '2021-07-19 11:57:03', NULL, NULL), (24394, '', '三庙坝村', '964d99e153154392b74ed5d8ee3e2639', '072c3980a5434cd2ade06605e361b725', 'False', 'True', 'false', 'false', '511781221200', 5, '三庙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781221200', 1, '2021-07-19 11:57:03', NULL, NULL), (24395, '', '喻家坝村', '8994ed66ad83481685654aad7dcdbfe2', '072c3980a5434cd2ade06605e361b725', 'False', 'True', 'false', 'false', '511781221201', 5, '喻家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781221201', 1, '2021-07-19 11:57:03', NULL, NULL), (24396, '', '柏树坝村', 'c251ed0928a04a20b33cb1a242b46415', '072c3980a5434cd2ade06605e361b725', 'False', 'True', 'false', 'false', '511781221202', 5, '柏树坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781221202', 1, '2021-07-19 11:57:03', NULL, NULL), (24397, '', '张家坝村', 'f52f217207424dcda9551a43b4ba2ac8', '072c3980a5434cd2ade06605e361b725', 'False', 'True', 'false', 'false', '511781221205', 5, '张家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781221205', 1, '2021-07-19 11:57:03', NULL, NULL), (24398, '', '河口镇', '471a45caf52e4a19b9d0563fb0a7df6e', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781104000', 4, '河口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781104000', 1, '2021-07-19 11:57:03', NULL, NULL), (24399, '', '秦河村', 'a5559017872647b8978857625bdae948', '471a45caf52e4a19b9d0563fb0a7df6e', 'False', 'True', 'false', 'false', '511781104300', 5, '秦河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781104300', 1, '2021-07-19 11:57:03', NULL, NULL), (24400, '', '老鹰寨村', '15507a494448402abccd41fc94afc845', '471a45caf52e4a19b9d0563fb0a7df6e', 'False', 'True', 'false', 'false', '511781104301', 5, '老鹰寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781104301', 1, '2021-07-19 11:57:03', NULL, NULL), (24401, '', '三官场村', '2d24c454c9c74beb99bd562d55908f0c', '471a45caf52e4a19b9d0563fb0a7df6e', 'False', 'True', 'false', 'false', '511781104302', 5, '三官场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781104302', 1, '2021-07-19 11:57:03', NULL, NULL), (24402, '', '皇城寨社区', '653ed622f8de4643adb08b03d78962ef', '471a45caf52e4a19b9d0563fb0a7df6e', 'False', 'True', 'false', 'false', '511781104303', 5, '皇城寨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781104303', 1, '2021-07-19 11:57:03', NULL, NULL), (24403, '', '云程村', '84f57aac5a094983b28934f50d43f6d3', '471a45caf52e4a19b9d0563fb0a7df6e', 'False', 'True', 'false', 'false', '511781104304', 5, '云程村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781104304', 1, '2021-07-19 11:57:04', NULL, NULL), (24404, '', '火烽村', '346095e1347e412fb77af0e4b87b5c28', '471a45caf52e4a19b9d0563fb0a7df6e', 'False', 'True', 'false', 'false', '511781104305', 5, '火烽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781104305', 1, '2021-07-19 11:57:04', NULL, NULL), (24405, '', '名扬村', '67bdbe95fbc14f59b7c48241eba7fc05', '471a45caf52e4a19b9d0563fb0a7df6e', 'False', 'True', 'false', 'false', '511781104306', 5, '名扬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781104306', 1, '2021-07-19 11:57:04', NULL, NULL), (24406, '', '尖山村', '7f53341bb2d540d0885e804c26dab1d7', '471a45caf52e4a19b9d0563fb0a7df6e', 'False', 'True', 'false', 'false', '511781104307', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781104307', 1, '2021-07-19 11:57:04', NULL, NULL), (24407, '', '永安村', '79bd5e09ac1049aeb7881646c95d226a', '471a45caf52e4a19b9d0563fb0a7df6e', 'False', 'True', 'false', 'false', '511781104308', 5, '永安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781104308', 1, '2021-07-19 11:57:04', NULL, NULL), (24408, '', '东林村', 'd70951b352d64e63994ecfe78d1e1104', '471a45caf52e4a19b9d0563fb0a7df6e', 'False', 'True', 'false', 'false', '511781104309', 5, '东林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781104309', 1, '2021-07-19 11:57:04', NULL, NULL), (24409, '', '向阳社区', '001a9685cfe34615ba41a72b585b2250', '471a45caf52e4a19b9d0563fb0a7df6e', 'False', 'True', 'false', 'false', '511781104001', 5, '向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781104001', 1, '2021-07-19 11:57:04', NULL, NULL), (24410, '', '行县坪村', '4bc7d019bfce4115afd20248385673d4', '471a45caf52e4a19b9d0563fb0a7df6e', 'False', 'True', 'false', 'false', '511781104200', 5, '行县坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781104200', 1, '2021-07-19 11:57:04', NULL, NULL), (24411, '', '土龙场村', '9f377053f65a4787a34116ba1ae44322', '471a45caf52e4a19b9d0563fb0a7df6e', 'False', 'True', 'false', 'false', '511781104204', 5, '土龙场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781104204', 1, '2021-07-19 11:57:04', NULL, NULL), (24412, '', '大沙镇', '2373c6a241444f1fab3eaabab0aeb7c9', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781211000', 4, '大沙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781211000', 1, '2021-07-19 11:57:04', NULL, NULL), (24413, '', '吕家坡村', '9617cc7a5c4c4940b08cd8d0e2302d4b', '2373c6a241444f1fab3eaabab0aeb7c9', 'False', 'True', 'false', 'false', '511781116300', 5, '吕家坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781116300', 1, '2021-07-19 11:57:04', NULL, NULL), (24414, '', '关庙坝社区', '6122d0935abf41ecb30c3beda49f2a82', '2373c6a241444f1fab3eaabab0aeb7c9', 'False', 'True', 'false', 'false', '511781116308', 5, '关庙坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781116308', 1, '2021-07-19 11:57:04', NULL, NULL), (24415, '', '龙井扁村', '9a2f175adbdc4aa88166269cc36ab0d6', '2373c6a241444f1fab3eaabab0aeb7c9', 'False', 'True', 'false', 'false', '511781116309', 5, '龙井扁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781116309', 1, '2021-07-19 11:57:04', NULL, NULL), (24416, '', '大田坝村', '4ca21741c21d4c70bf12344fd78cf1a8', '2373c6a241444f1fab3eaabab0aeb7c9', 'False', 'True', 'false', 'false', '511781211202', 5, '大田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781211202', 1, '2021-07-19 11:57:04', NULL, NULL), (24417, '', '油坪村', 'b5e8bf2584284de3885dd847d03b4654', '2373c6a241444f1fab3eaabab0aeb7c9', 'False', 'True', 'false', 'false', '511781211203', 5, '油坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781211203', 1, '2021-07-19 11:57:04', NULL, NULL), (24418, '', '月台村', '7fa7d427d78a4178a187e6b35e620ca8', '2373c6a241444f1fab3eaabab0aeb7c9', 'False', 'True', 'false', 'false', '511781211204', 5, '月台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781211204', 1, '2021-07-19 11:57:04', NULL, NULL), (24419, '', '桂花村', '8269c38edc7c4237807a1de33a6bebb0', '2373c6a241444f1fab3eaabab0aeb7c9', 'False', 'True', 'false', 'false', '511781211205', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781211205', 1, '2021-07-19 11:57:04', NULL, NULL), (24420, '', '桥湾村', 'e2b6d0bed4dc4dd4b0d7a5164a856e72', '2373c6a241444f1fab3eaabab0aeb7c9', 'False', 'True', 'false', 'false', '511781211207', 5, '桥湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781211207', 1, '2021-07-19 11:57:04', NULL, NULL), (24421, '', '青山村', '806fa7d5675a478692741bd1c6c14df4', '2373c6a241444f1fab3eaabab0aeb7c9', 'False', 'True', 'false', 'false', '511781211209', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781211209', 1, '2021-07-19 11:57:04', NULL, NULL), (24422, '', '鹰背镇', 'a60c7bc1de3146149ba68b218ece91fd', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781214000', 4, '鹰背镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781214000', 1, '2021-07-19 11:57:04', NULL, NULL), (24423, '', '兴隆社区', '3f8dfe220a644cce82d736a8cdbb67f1', 'a60c7bc1de3146149ba68b218ece91fd', 'False', 'True', 'false', 'false', '511781214001', 5, '兴隆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781214001', 1, '2021-07-19 11:57:04', NULL, NULL), (24424, '', '鹰背村', '8ea6e1c603524022b98eaf5ed7a5b474', 'a60c7bc1de3146149ba68b218ece91fd', 'False', 'True', 'false', 'false', '511781214200', 5, '鹰背村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781214200', 1, '2021-07-19 11:57:04', NULL, NULL), (24425, '', '新恩岭村', 'e5a7e71b15094918b38132d70d3c0d4d', 'a60c7bc1de3146149ba68b218ece91fd', 'False', 'True', 'false', 'false', '511781214201', 5, '新恩岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781214201', 1, '2021-07-19 11:57:04', NULL, NULL), (24426, '', '蒙学堂村', 'c2c35546abbc40c7b57d4628a6c93f91', 'a60c7bc1de3146149ba68b218ece91fd', 'False', 'True', 'false', 'false', '511781214202', 5, '蒙学堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781214202', 1, '2021-07-19 11:57:04', NULL, NULL), (24427, '', '大垭口村', 'ba8d056e822a4308829ac3f0d0e56e23', 'a60c7bc1de3146149ba68b218ece91fd', 'False', 'True', 'false', 'false', '511781214203', 5, '大垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781214203', 1, '2021-07-19 11:57:05', NULL, NULL), (24428, '', '旧院镇', '2175e163c30e4377b4febaa0bae363a5', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781102000', 4, '旧院镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781102000', 1, '2021-07-19 11:57:05', NULL, NULL), (24429, '', '龙潭河村', '99beb4d3fb004e34be30484b1516d54f', '2175e163c30e4377b4febaa0bae363a5', 'False', 'True', 'false', 'false', '511781102300', 5, '龙潭河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781102300', 1, '2021-07-19 11:57:05', NULL, NULL), (24430, '', '石冠村', 'bb24020caff748d7b912defad8078aac', '2175e163c30e4377b4febaa0bae363a5', 'False', 'True', 'false', 'false', '511781102301', 5, '石冠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781102301', 1, '2021-07-19 11:57:05', NULL, NULL), (24431, '', '旧院社区', '72ff232c52a14aa7a23780e8752b94e7', '2175e163c30e4377b4febaa0bae363a5', 'False', 'True', 'false', 'false', '511781102001', 5, '旧院社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781102001', 1, '2021-07-19 11:57:05', NULL, NULL), (24432, '', '四季坪村', 'e14658d9cd064517806d93294332cf94', '2175e163c30e4377b4febaa0bae363a5', 'False', 'True', 'false', 'false', '511781102200', 5, '四季坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781102200', 1, '2021-07-19 11:57:05', NULL, NULL), (24433, '', '大伦坎村', '74038373b7b84b4e97766406dd027a2a', '2175e163c30e4377b4febaa0bae363a5', 'False', 'True', 'false', 'false', '511781102201', 5, '大伦坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781102201', 1, '2021-07-19 11:57:05', NULL, NULL), (24434, '', '张草坝村', 'fadf32c6d7644a2ba7e9dd3c446eca64', '2175e163c30e4377b4febaa0bae363a5', 'False', 'True', 'false', 'false', '511781102202', 5, '张草坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781102202', 1, '2021-07-19 11:57:05', NULL, NULL), (24435, '', '凤凰山村', 'f45797df9aff4bbba7596c87b459de34', '2175e163c30e4377b4febaa0bae363a5', 'False', 'True', 'false', 'false', '511781102203', 5, '凤凰山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781102203', 1, '2021-07-19 11:57:05', NULL, NULL), (24436, '', '石桥村', 'bea2b948d6f74f4f8dd8f14660fa3c5f', '2175e163c30e4377b4febaa0bae363a5', 'False', 'True', 'false', 'false', '511781102205', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781102205', 1, '2021-07-19 11:57:05', NULL, NULL), (24437, '', '蜂桶乡', '14787f1a035a4da6a2439fb25163bc4b', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781207000', 4, '蜂桶乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781207000', 1, '2021-07-19 11:57:05', NULL, NULL), (24438, '', '新房子村', '49480276acb4402aa1fb8a23c0f2686e', '14787f1a035a4da6a2439fb25163bc4b', 'False', 'True', 'false', 'false', '511781207200', 5, '新房子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781207200', 1, '2021-07-19 11:57:05', NULL, NULL), (24439, '', '桥坝嘴村', '91b2a30ef66a47cfbc2eec30cd3085cf', '14787f1a035a4da6a2439fb25163bc4b', 'False', 'True', 'false', 'false', '511781207202', 5, '桥坝嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781207202', 1, '2021-07-19 11:57:05', NULL, NULL), (24440, '', '让水坝村', '507647009455409880f7003a1dbf6074', '14787f1a035a4da6a2439fb25163bc4b', 'False', 'True', 'false', 'false', '511781207203', 5, '让水坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781207203', 1, '2021-07-19 11:57:05', NULL, NULL), (24441, '', '固军镇', '0af95ce260214cbcafe7666ee4b652db', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781204000', 4, '固军镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781204000', 1, '2021-07-19 11:57:05', NULL, NULL), (24442, '', '名茶社区', '21aa3b3e8c674b659f0ea0580b453fdf', '0af95ce260214cbcafe7666ee4b652db', 'False', 'True', 'false', 'false', '511781204300', 5, '名茶社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781204300', 1, '2021-07-19 11:57:05', NULL, NULL), (24443, '', '三清庙村', 'e6e5c545d30a4a5182ac2ae57865d016', '0af95ce260214cbcafe7666ee4b652db', 'False', 'True', 'false', 'false', '511781204301', 5, '三清庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781204301', 1, '2021-07-19 11:57:05', NULL, NULL), (24444, '', '新开寺村', 'd4448d8eaeb34d68a14c81ca2742a2e3', '0af95ce260214cbcafe7666ee4b652db', 'False', 'True', 'false', 'false', '511781204302', 5, '新开寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781204302', 1, '2021-07-19 11:57:05', NULL, NULL), (24445, '', '大地坪村', '45644a984431465781b2c9528d0198d2', '0af95ce260214cbcafe7666ee4b652db', 'False', 'True', 'false', 'false', '511781204303', 5, '大地坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781204303', 1, '2021-07-19 11:57:05', NULL, NULL), (24446, '', '梨树坪村', '44c2bdd3c16045408da43ab140429fc8', '0af95ce260214cbcafe7666ee4b652db', 'False', 'True', 'false', 'false', '511781204304', 5, '梨树坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781204304', 1, '2021-07-19 11:57:05', NULL, NULL), (24447, '', '茶园坪村', 'acec02b6975541e6a9d033752fa705e3', '0af95ce260214cbcafe7666ee4b652db', 'False', 'True', 'false', 'false', '511781204305', 5, '茶园坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781204305', 1, '2021-07-19 11:57:05', NULL, NULL), (24448, '', '泉鸡坝村', '5399a2216e104c238d55309db0a9429f', '0af95ce260214cbcafe7666ee4b652db', 'False', 'True', 'false', 'false', '511781204306', 5, '泉鸡坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781204306', 1, '2021-07-19 11:57:05', NULL, NULL), (24449, '', '柿树坪村', 'a502dff745a64ac2a43ceb98f96a13c6', '0af95ce260214cbcafe7666ee4b652db', 'False', 'True', 'false', 'false', '511781204307', 5, '柿树坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781204307', 1, '2021-07-19 11:57:05', NULL, NULL), (24450, '', '红枣社区', '140255d7fa334704a45e4505f0f7a22b', '0af95ce260214cbcafe7666ee4b652db', 'False', 'True', 'false', 'false', '511781204001', 5, '红枣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781204001', 1, '2021-07-19 11:57:05', NULL, NULL), (24451, '', '中河村', 'c108c6fddbc44e3796546097d2f0e0eb', '0af95ce260214cbcafe7666ee4b652db', 'False', 'True', 'false', 'false', '511781204200', 5, '中河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781204200', 1, '2021-07-19 11:57:06', NULL, NULL), (24452, '', '大岭包村', '6df9ec3a3f414a428fca973edcb30136', '0af95ce260214cbcafe7666ee4b652db', 'False', 'True', 'false', 'false', '511781204201', 5, '大岭包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781204201', 1, '2021-07-19 11:57:06', NULL, NULL), (24453, '', '红洞泉村', '7159cf19fe7747758b50831337ed2739', '0af95ce260214cbcafe7666ee4b652db', 'False', 'True', 'false', 'false', '511781204202', 5, '红洞泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781204202', 1, '2021-07-19 11:57:06', NULL, NULL), (24454, '', '大桥村', 'a7fe30deaa1343bf845ab4b40c610e4e', '0af95ce260214cbcafe7666ee4b652db', 'False', 'True', 'false', 'false', '511781204203', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781204203', 1, '2021-07-19 11:57:06', NULL, NULL), (24455, '', '火石梁村', '1f7579f1dc4d4a9a9ef211fbc423ac50', '0af95ce260214cbcafe7666ee4b652db', 'False', 'True', 'false', 'false', '511781204204', 5, '火石梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781204204', 1, '2021-07-19 11:57:06', NULL, NULL), (24456, '', '铁矿镇', '10188911c58844759de652c64e69c404', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781203000', 4, '铁矿镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781203000', 1, '2021-07-19 11:57:06', NULL, NULL), (24457, '', '南门社区', '48aefc0b834f49a9ade7ee67d3f0095a', '10188911c58844759de652c64e69c404', 'False', 'True', 'false', 'false', '511781203001', 5, '南门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781203001', 1, '2021-07-19 11:57:06', NULL, NULL), (24458, '', '双坝村', '6561f71287fb463e8d33c321bb5215cc', '10188911c58844759de652c64e69c404', 'False', 'True', 'false', 'false', '511781203201', 5, '双坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781203201', 1, '2021-07-19 11:57:06', NULL, NULL), (24459, '', '白果坪村', '2c9494bef6a343729671ab6d3b5f4d69', '10188911c58844759de652c64e69c404', 'False', 'True', 'false', 'false', '511781203202', 5, '白果坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781203202', 1, '2021-07-19 11:57:06', NULL, NULL), (24460, '', '泥溪沟村', 'd94331cd8e214ae29839f28a15761cda', '10188911c58844759de652c64e69c404', 'False', 'True', 'false', 'false', '511781203203', 5, '泥溪沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781203203', 1, '2021-07-19 11:57:06', NULL, NULL), (24461, '', '井溪镇', '581d37d978714828a3172f8353c2ea3b', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781205000', 4, '井溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781205000', 1, '2021-07-19 11:57:06', NULL, NULL), (24462, '', '盐源社区', '6d035d6087884a38afc42e1f5b6b8934', '581d37d978714828a3172f8353c2ea3b', 'False', 'True', 'false', 'false', '511781205001', 5, '盐源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781205001', 1, '2021-07-19 11:57:06', NULL, NULL), (24463, '', '盐井坝村', '95be8b9dcbb4475baa8c2f994aa4ca7c', '581d37d978714828a3172f8353c2ea3b', 'False', 'True', 'false', 'false', '511781205200', 5, '盐井坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781205200', 1, '2021-07-19 11:57:06', NULL, NULL), (24464, '', '落漩塘村', '74498304468f4194bb1e360fdbc1268f', '581d37d978714828a3172f8353c2ea3b', 'False', 'True', 'false', 'false', '511781205201', 5, '落漩塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781205201', 1, '2021-07-19 11:57:06', NULL, NULL), (24465, '', '新场村', 'b7032020879b44398a4a53611c080ac5', '581d37d978714828a3172f8353c2ea3b', 'False', 'True', 'false', 'false', '511781205202', 5, '新场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781205202', 1, '2021-07-19 11:57:06', NULL, NULL), (24466, '', '猫坪村', '4a23271dac1f4d7c85970ff33a8b1b82', '581d37d978714828a3172f8353c2ea3b', 'False', 'True', 'false', 'false', '511781205204', 5, '猫坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781205204', 1, '2021-07-19 11:57:06', NULL, NULL), (24467, '', '响水洞村', '0d833ac706a245819517197fef522b90', '581d37d978714828a3172f8353c2ea3b', 'False', 'True', 'false', 'false', '511781205207', 5, '响水洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781205207', 1, '2021-07-19 11:57:06', NULL, NULL), (24468, '', '黄沙槽村', '846a0f26e48549df94fb615df9468727', '581d37d978714828a3172f8353c2ea3b', 'False', 'True', 'false', 'false', '511781205208', 5, '黄沙槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781205208', 1, '2021-07-19 11:57:06', NULL, NULL), (24469, '', '龙王坝村', '2a2eb5c92527417caeab2c135bd307fb', '581d37d978714828a3172f8353c2ea3b', 'False', 'True', 'false', 'false', '511781205210', 5, '龙王坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781205210', 1, '2021-07-19 11:57:06', NULL, NULL), (24470, '', '坑塘村', 'f6bb2271aefb44ae88f7e25411cdb9f5', '581d37d978714828a3172f8353c2ea3b', 'False', 'True', 'false', 'false', '511781205211', 5, '坑塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781205211', 1, '2021-07-19 11:57:06', NULL, NULL), (24471, '', '草坝镇', '8598e5a01c5d4a5993fcd02e627df595', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781105000', 4, '草坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781105000', 1, '2021-07-19 11:57:06', NULL, NULL), (24472, '', '沈家坪村', '49487310ee3f47049e9218b09d4b709c', '8598e5a01c5d4a5993fcd02e627df595', 'False', 'True', 'false', 'false', '511781105302', 5, '沈家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781105302', 1, '2021-07-19 11:57:07', NULL, NULL), (24473, '', '百里溪村', '18cb91709c6844129b6de59ce154d77b', '8598e5a01c5d4a5993fcd02e627df595', 'False', 'True', 'false', 'false', '511781105303', 5, '百里溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781105303', 1, '2021-07-19 11:57:07', NULL, NULL), (24474, '', '清泉村', 'e9ddaf0425634681ae12cb6a36c3fac5', '8598e5a01c5d4a5993fcd02e627df595', 'False', 'True', 'false', 'false', '511781105304', 5, '清泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781105304', 1, '2021-07-19 11:57:07', NULL, NULL), (24475, '', '柳黄村', 'b48f5d8551c54ec9b8234266e11adf55', '8598e5a01c5d4a5993fcd02e627df595', 'False', 'True', 'false', 'false', '511781105305', 5, '柳黄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781105305', 1, '2021-07-19 11:57:07', NULL, NULL), (24476, '', '寨坝村', 'b8f07d21ede54dd08061d117c205258a', '8598e5a01c5d4a5993fcd02e627df595', 'False', 'True', 'false', 'false', '511781105306', 5, '寨坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781105306', 1, '2021-07-19 11:57:07', NULL, NULL), (24477, '', '古佛庵村', '16e071e6c2084abf861c7198713a8102', '8598e5a01c5d4a5993fcd02e627df595', 'False', 'True', 'false', 'false', '511781105307', 5, '古佛庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781105307', 1, '2021-07-19 11:57:07', NULL, NULL), (24478, '', '沁源社区', 'a99e2b146dd14d4db02b00607c3d6cb7', '8598e5a01c5d4a5993fcd02e627df595', 'False', 'True', 'false', 'false', '511781105001', 5, '沁源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781105001', 1, '2021-07-19 11:57:07', NULL, NULL), (24479, '', '金银坎社区', 'cac4ba4102d14bde96acf1365bcd232e', '8598e5a01c5d4a5993fcd02e627df595', 'False', 'True', 'false', 'false', '511781105002', 5, '金银坎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781105002', 1, '2021-07-19 11:57:07', NULL, NULL), (24480, '', '光华村', 'ff0658e184074e20bccb3843453939ee', '8598e5a01c5d4a5993fcd02e627df595', 'False', 'True', 'false', 'false', '511781105200', 5, '光华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781105200', 1, '2021-07-19 11:57:07', NULL, NULL), (24481, '', '黑池坪村', '1d5223835fd8476f8ffee3bcb483275c', '8598e5a01c5d4a5993fcd02e627df595', 'False', 'True', 'false', 'false', '511781105202', 5, '黑池坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781105202', 1, '2021-07-19 11:57:07', NULL, NULL), (24482, '', '莲花院村', 'cbc5e43770e04fcc8ad3c58a7a2bfc7d', '8598e5a01c5d4a5993fcd02e627df595', 'False', 'True', 'false', 'false', '511781105203', 5, '莲花院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781105203', 1, '2021-07-19 11:57:07', NULL, NULL), (24483, '', '兰岭坪村', '1766a76ceeb9483dacfb0e2cf0eeed6e', '8598e5a01c5d4a5993fcd02e627df595', 'False', 'True', 'false', 'false', '511781105204', 5, '兰岭坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781105204', 1, '2021-07-19 11:57:07', NULL, NULL), (24484, '', '龙舟寺村', '0dd8c7ef122f4b4c82634964bfda3474', '8598e5a01c5d4a5993fcd02e627df595', 'False', 'True', 'false', 'false', '511781105205', 5, '龙舟寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781105205', 1, '2021-07-19 11:57:07', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (24485, '', '魏家镇', '48b7219c7acc4abfb947cd8960419e51', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781218000', 4, '魏家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781218000', 1, '2021-07-19 11:57:07', NULL, NULL), (24486, '', '魏家坪社区', '451d3a072f364731b850b07d157830b5', '48b7219c7acc4abfb947cd8960419e51', 'False', 'True', 'false', 'false', '511781218001', 5, '魏家坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781218001', 1, '2021-07-19 11:57:07', NULL, NULL), (24487, '', '大塝上村', 'd20689c60efa43ffb61cfb3f774e4c68', '48b7219c7acc4abfb947cd8960419e51', 'False', 'True', 'false', 'false', '511781218201', 5, '大塝上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781218201', 1, '2021-07-19 11:57:07', NULL, NULL), (24488, '', '楠木坪村', '9b1058e705ed4e07b586f581cf82e9a8', '48b7219c7acc4abfb947cd8960419e51', 'False', 'True', 'false', 'false', '511781218203', 5, '楠木坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781218203', 1, '2021-07-19 11:57:07', NULL, NULL), (24489, '', '石坝村', '23458ff0c50a428ba686be665201a426', '48b7219c7acc4abfb947cd8960419e51', 'False', 'True', 'false', 'false', '511781218204', 5, '石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781218204', 1, '2021-07-19 11:57:07', NULL, NULL), (24490, '', '龙王塘村', '46a66a1958a944e49e33de7acc17a7a9', '48b7219c7acc4abfb947cd8960419e51', 'False', 'True', 'false', 'false', '511781218205', 5, '龙王塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781218205', 1, '2021-07-19 11:57:07', NULL, NULL), (24491, '', '挡山村', '9c4cf78890e54634822f61991f792773', '48b7219c7acc4abfb947cd8960419e51', 'False', 'True', 'false', 'false', '511781218206', 5, '挡山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781218206', 1, '2021-07-19 11:57:07', NULL, NULL), (24492, '', '石窝镇', 'ffa6757945d44beb84d574597ff564ca', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781112000', 4, '石窝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781112000', 1, '2021-07-19 11:57:08', NULL, NULL), (24493, '', '金峰社区', 'fb07ba51013448f598a0043458f273f9', 'ffa6757945d44beb84d574597ff564ca', 'False', 'True', 'false', 'false', '511781112001', 5, '金峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781112001', 1, '2021-07-19 11:57:08', NULL, NULL), (24494, '', '金山寺村', '2b82f5a63a01454da8de3e11d4ab4abf', 'ffa6757945d44beb84d574597ff564ca', 'False', 'True', 'false', 'false', '511781112200', 5, '金山寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781112200', 1, '2021-07-19 11:57:08', NULL, NULL), (24495, '', '走马坪村', '949cca9d310146d591954a95b1015615', 'ffa6757945d44beb84d574597ff564ca', 'False', 'True', 'false', 'false', '511781112201', 5, '走马坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781112201', 1, '2021-07-19 11:57:08', NULL, NULL), (24496, '', '古社坪村', 'e819bf06816642d5bfe949acede218d3', 'ffa6757945d44beb84d574597ff564ca', 'False', 'True', 'false', 'false', '511781112203', 5, '古社坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781112203', 1, '2021-07-19 11:57:08', NULL, NULL), (24497, '', '五显庙村', '8802c4faada24d768e4231d793015615', 'ffa6757945d44beb84d574597ff564ca', 'False', 'True', 'false', 'false', '511781112205', 5, '五显庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781112205', 1, '2021-07-19 11:57:08', NULL, NULL), (24498, '', '番坝村', 'cf4e165ea7644c85afa361310ab8f7b7', 'ffa6757945d44beb84d574597ff564ca', 'False', 'True', 'false', 'false', '511781112206', 5, '番坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781112206', 1, '2021-07-19 11:57:08', NULL, NULL), (24499, '', '兰草溪村', 'cfbb9dd945934a21bd87f7501ef932d8', 'ffa6757945d44beb84d574597ff564ca', 'False', 'True', 'false', 'false', '511781112208', 5, '兰草溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781112208', 1, '2021-07-19 11:57:08', NULL, NULL), (24500, '', '玉带乡', '41f9c692c681464199e6665e6a73ff91', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781216000', 4, '玉带乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781216000', 1, '2021-07-19 11:57:08', NULL, NULL), (24501, '', '玉带村', '792d9a314f1145dabcf7e5ab1887cc17', '41f9c692c681464199e6665e6a73ff91', 'False', 'True', 'false', 'false', '511781216300', 5, '玉带村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781216300', 1, '2021-07-19 11:57:08', NULL, NULL), (24502, '', '蒙家寨村', '129c75d1971c4a43983305f433479642', '41f9c692c681464199e6665e6a73ff91', 'False', 'True', 'false', 'false', '511781216201', 5, '蒙家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781216201', 1, '2021-07-19 11:57:08', NULL, NULL), (24503, '', '下启山村', '1ee0ce544f1f435e873f06cc86cbf61b', '41f9c692c681464199e6665e6a73ff91', 'False', 'True', 'false', 'false', '511781216202', 5, '下启山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781216202', 1, '2021-07-19 11:57:08', NULL, NULL), (24504, '', '太平坎村', '8c0d99e181f24d9ebfcf042cbcb7a13c', '41f9c692c681464199e6665e6a73ff91', 'False', 'True', 'false', 'false', '511781216204', 5, '太平坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781216204', 1, '2021-07-19 11:57:08', NULL, NULL), (24505, '', '茶园河村', 'a3b4d75d6dc5437e8bc0a43a29897137', '41f9c692c681464199e6665e6a73ff91', 'False', 'True', 'false', 'false', '511781216206', 5, '茶园河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781216206', 1, '2021-07-19 11:57:08', NULL, NULL), (24506, '', '黄钟镇', '526484ba3ca149b9b4dea6abaa9e85ac', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781108000', 4, '黄钟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781108000', 1, '2021-07-19 11:57:08', NULL, NULL), (24507, '', '陈家河村', 'f17c3ce73fcd48ca9741dd86680d9081', '526484ba3ca149b9b4dea6abaa9e85ac', 'False', 'True', 'false', 'false', '511781108300', 5, '陈家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781108300', 1, '2021-07-19 11:57:08', NULL, NULL), (24508, '', '邓徐坝村', 'ec7c7297cf1c4aa3a8513459a5d30d94', '526484ba3ca149b9b4dea6abaa9e85ac', 'False', 'True', 'false', 'false', '511781108301', 5, '邓徐坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781108301', 1, '2021-07-19 11:57:08', NULL, NULL), (24509, '', '二郎坪村', '5ef878bc947943428bb5b98a7240078e', '526484ba3ca149b9b4dea6abaa9e85ac', 'False', 'True', 'false', 'false', '511781108302', 5, '二郎坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781108302', 1, '2021-07-19 11:57:08', NULL, NULL), (24510, '', '桂家河村', 'ad2a4341da664e04aafbfcb38b6f3eeb', '526484ba3ca149b9b4dea6abaa9e85ac', 'False', 'True', 'false', 'false', '511781108303', 5, '桂家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781108303', 1, '2021-07-19 11:57:08', NULL, NULL), (24511, '', '烂祠堂村', '45147bcb59f641b9aebabaf572393800', '526484ba3ca149b9b4dea6abaa9e85ac', 'False', 'True', 'false', 'false', '511781108304', 5, '烂祠堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781108304', 1, '2021-07-19 11:57:08', NULL, NULL), (24512, '', '五红社区', '18d83cdf58e84171ba1a2da9508e20eb', '526484ba3ca149b9b4dea6abaa9e85ac', 'False', 'True', 'false', 'false', '511781108305', 5, '五红社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781108305', 1, '2021-07-19 11:57:08', NULL, NULL), (24513, '', '向家坪村', '9acf4b77868f4af1a81319fb7cc2ef9e', '526484ba3ca149b9b4dea6abaa9e85ac', 'False', 'True', 'false', 'false', '511781108306', 5, '向家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781108306', 1, '2021-07-19 11:57:08', NULL, NULL), (24514, '', '袁家塝村', 'a054ebe0e8874210a833a2d43d94e939', '526484ba3ca149b9b4dea6abaa9e85ac', 'False', 'True', 'false', 'false', '511781108307', 5, '袁家塝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781108307', 1, '2021-07-19 11:57:08', NULL, NULL), (24515, '', '郑家坪村', 'ba633688e93c4363b5cc58589781a33e', '526484ba3ca149b9b4dea6abaa9e85ac', 'False', 'True', 'false', 'false', '511781108308', 5, '郑家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781108308', 1, '2021-07-19 11:57:08', NULL, NULL), (24516, '', '黄钟社区', '409980eaa77d4c64bf9f48718eb78770', '526484ba3ca149b9b4dea6abaa9e85ac', 'False', 'True', 'false', 'false', '511781108001', 5, '黄钟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781108001', 1, '2021-07-19 11:57:08', NULL, NULL), (24517, '', '长虹村', 'fe733f46abca4bbc9ade4248d3818a87', '526484ba3ca149b9b4dea6abaa9e85ac', 'False', 'True', 'false', 'false', '511781108200', 5, '长虹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781108200', 1, '2021-07-19 11:57:09', NULL, NULL), (24518, '', '马家沟村', 'b47f98215de84cb38bd5cd44515ff832', '526484ba3ca149b9b4dea6abaa9e85ac', 'False', 'True', 'false', 'false', '511781108202', 5, '马家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781108202', 1, '2021-07-19 11:57:09', NULL, NULL), (24519, '', '冉家坝村', 'f1024faba2914e7ebbe3f7ab1ae45738', '526484ba3ca149b9b4dea6abaa9e85ac', 'False', 'True', 'false', 'false', '511781108203', 5, '冉家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781108203', 1, '2021-07-19 11:57:09', NULL, NULL), (24520, '', '向家河村', 'da2cf7f801d84782aa5a1b6e13c48de7', '526484ba3ca149b9b4dea6abaa9e85ac', 'False', 'True', 'false', 'false', '511781108204', 5, '向家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781108204', 1, '2021-07-19 11:57:09', NULL, NULL), (24521, '', '黑宝山镇', '91f27212e9b445f982f7d1ec30ccea41', '50c3f098b5c547bd8bbc184f4c77c470', 'True', 'True', 'false', 'false', '511781235000', 4, '黑宝山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511781235000', 1, '2021-07-19 11:57:09', NULL, NULL), (24522, '', '青坪村', '9302bf18491c4433a4d57e7f8731ca80', '91f27212e9b445f982f7d1ec30ccea41', 'False', 'True', 'false', 'false', '511781235300', 5, '青坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781235300', 1, '2021-07-19 11:57:09', NULL, NULL), (24523, '', '冯家河村', 'eac3fa76f499426d9512a9efe2b15634', '91f27212e9b445f982f7d1ec30ccea41', 'False', 'True', 'false', 'false', '511781235301', 5, '冯家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781235301', 1, '2021-07-19 11:57:09', NULL, NULL), (24524, '', '观音村', '21bce7045a214ae68196c453eb3052e6', '91f27212e9b445f982f7d1ec30ccea41', 'False', 'True', 'false', 'false', '511781235302', 5, '观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781235302', 1, '2021-07-19 11:57:09', NULL, NULL), (24525, '', '大中坪村', 'ae013aa7c8da48c6a5311b8ca75097bf', '91f27212e9b445f982f7d1ec30ccea41', 'False', 'True', 'false', 'false', '511781235303', 5, '大中坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781235303', 1, '2021-07-19 11:57:09', NULL, NULL), (24526, '', '徐家坪村', '5966a961ae7b4045bad463194a4100f5', '91f27212e9b445f982f7d1ec30ccea41', 'False', 'True', 'false', 'false', '511781235304', 5, '徐家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781235304', 1, '2021-07-19 11:57:09', NULL, NULL), (24527, '', '白果村', '88f338a2c5db48b287640d4d1d5ae152', '91f27212e9b445f982f7d1ec30ccea41', 'False', 'True', 'false', 'false', '511781235200', 5, '白果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781235200', 1, '2021-07-19 11:57:09', NULL, NULL), (24528, '', '木鱼村', '17a99112dc104c0397a3271c8f505b8e', '91f27212e9b445f982f7d1ec30ccea41', 'False', 'True', 'false', 'false', '511781235201', 5, '木鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781235201', 1, '2021-07-19 11:57:09', NULL, NULL), (24529, '', '茶园村', '25b2ad3ab8094c439e97852c7ed79126', '91f27212e9b445f982f7d1ec30ccea41', 'False', 'True', 'false', 'false', '511781235202', 5, '茶园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511781235202', 1, '2021-07-19 11:57:09', NULL, NULL), (24530, '', '宣汉县', '592f426598f743d0b9c6910b66806c32', '16ca461e2c824257a50dd0c7fab6f2de', 'True', 'True', 'false', 'false', '511722000000', 3, '宣汉县', 'dzsxhx.sczwfw.gov.cn', 1, '2021-07-19 11:57:09', NULL, NULL), (24531, '', '君塘镇', 'b1c38618b768464e91fe8f4e03ce2663', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722101000', 4, '君塘镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722101000', 1, '2021-07-19 11:57:09', NULL, NULL), (24532, '', '大鱼池村', '1f645dfe6fde4ee98b9dcad9e881afac', 'b1c38618b768464e91fe8f4e03ce2663', 'False', 'True', 'false', 'false', '511722101004', 5, '大鱼池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722101004', 1, '2021-07-19 11:57:09', NULL, NULL), (24533, '', '跌马村', '72d969822ef844f3b796d312a9643183', 'b1c38618b768464e91fe8f4e03ce2663', 'False', 'True', 'false', 'false', '511722101282', 5, '跌马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722101282', 1, '2021-07-19 11:57:09', NULL, NULL), (24534, '', '湾桥村', '8302e045ace3451d8fb4d460382e9515', 'b1c38618b768464e91fe8f4e03ce2663', 'False', 'True', 'false', 'false', '511722101331', 5, '湾桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722101331', 1, '2021-07-19 11:57:10', NULL, NULL), (24535, '', '豆城村', 'd0ee8fcede7b43e1b0ab9fb65d40b5d8', 'b1c38618b768464e91fe8f4e03ce2663', 'False', 'True', 'false', 'false', '511722101342', 5, '豆城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722101342', 1, '2021-07-19 11:57:10', NULL, NULL), (24536, '', '平等村', 'e8b3b93df19c4788984daac8a4f462d9', 'b1c38618b768464e91fe8f4e03ce2663', 'False', 'True', 'false', 'false', '511722101405', 5, '平等村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722101405', 1, '2021-07-19 11:57:10', NULL, NULL), (24537, '', '界湾村', '479c66d950f044948331d2e44e8971ec', 'b1c38618b768464e91fe8f4e03ce2663', 'False', 'True', 'false', 'false', '511722101514', 5, '界湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722101514', 1, '2021-07-19 11:57:10', NULL, NULL), (24538, '', '明月社区', '207cd9502dae409e93c0c80864b88d56', 'b1c38618b768464e91fe8f4e03ce2663', 'False', 'True', 'false', 'false', '511722101698', 5, '明月社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722101698', 1, '2021-07-19 11:57:10', NULL, NULL), (24539, '', '豆岭社区', '2fb683cf816347ba84205eb5ffdecb56', 'b1c38618b768464e91fe8f4e03ce2663', 'False', 'True', 'false', 'false', '511722101869', 5, '豆岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722101869', 1, '2021-07-19 11:57:10', NULL, NULL), (24540, '', '万古村', '875f64bd114f40e9b2ad5711cdb3f04a', 'b1c38618b768464e91fe8f4e03ce2663', 'False', 'True', 'false', 'false', '511722101896', 5, '万古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722101896', 1, '2021-07-19 11:57:10', NULL, NULL), (24541, '', '松岩村', '5042dfd7671f4806b96799400e726b41', 'b1c38618b768464e91fe8f4e03ce2663', 'False', 'True', 'false', 'false', '511722101937', 5, '松岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722101937', 1, '2021-07-19 11:57:10', NULL, NULL), (24542, '', '飞泉社区', '01bca16196b04080a7c72c5ebbbc01a5', 'b1c38618b768464e91fe8f4e03ce2663', 'False', 'True', 'false', 'false', '511722101001', 5, '飞泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722101001', 1, '2021-07-19 11:57:10', NULL, NULL), (24543, '', '君坝村', '95c469c34fe64c8daee114b8a85b50dd', 'b1c38618b768464e91fe8f4e03ce2663', 'False', 'True', 'false', 'false', '511722101200', 5, '君坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722101200', 1, '2021-07-19 11:57:10', NULL, NULL), (24544, '', '团山村', '1c0502e5d2684eb19e40151788538956', 'b1c38618b768464e91fe8f4e03ce2663', 'False', 'True', 'false', 'false', '511722101201', 5, '团山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722101201', 1, '2021-07-19 11:57:10', NULL, NULL), (24545, '', '石虎村', 'b9444b19b9e740d48122a8a264f8ee67', 'b1c38618b768464e91fe8f4e03ce2663', 'False', 'True', 'false', 'false', '511722101203', 5, '石虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722101203', 1, '2021-07-19 11:57:10', NULL, NULL), (24546, '', '高洞村', 'eb61f0e22a5b42bca4c4241ae72a5ba8', 'b1c38618b768464e91fe8f4e03ce2663', 'False', 'True', 'false', 'false', '511722101205', 5, '高洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722101205', 1, '2021-07-19 11:57:10', NULL, NULL), (24547, '', '清溪镇', 'd9228e35071f4913b607b50e1257d4d5', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722102000', 4, '清溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722102000', 1, '2021-07-19 11:57:10', NULL, NULL), (24548, '', '望山社区', '814c6ef2cae6499c9da7cb0b4439d872', 'd9228e35071f4913b607b50e1257d4d5', 'False', 'True', 'false', 'false', '511722102001', 5, '望山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722102001', 1, '2021-07-19 11:57:10', NULL, NULL), (24549, '', '汇水社区', '4427b5fd322a425d9a1c43029c8dd68e', 'd9228e35071f4913b607b50e1257d4d5', 'False', 'True', 'false', 'false', '511722102002', 5, '汇水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722102002', 1, '2021-07-19 11:57:10', NULL, NULL), (24550, '', '锣寨村', '6ca2624657fd4806a29ca15db9566e1f', 'd9228e35071f4913b607b50e1257d4d5', 'False', 'False', 'false', 'false', '511722102200', 5, '锣寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722102200', 1, '2021-07-19 11:57:11', NULL, NULL), (24551, '', '茶店村', '8419d79448704bdf9a7f2b5966a12d5e', 'd9228e35071f4913b607b50e1257d4d5', 'False', 'False', 'false', 'false', '511722102201', 5, '茶店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722102201', 1, '2021-07-19 11:57:11', NULL, NULL), (24552, '', '龙伏村', 'b9630de492b44e97b821880c99c6d075', 'd9228e35071f4913b607b50e1257d4d5', 'False', 'True', 'false', 'false', '511722102203', 5, '龙伏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722102203', 1, '2021-07-19 11:57:11', NULL, NULL), (24553, '', '王家坝社区', '849b8e6ee27e4e98b4d2d571374f0f71', 'd9228e35071f4913b607b50e1257d4d5', 'False', 'False', 'false', 'false', '511722102205', 5, '王家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722102205', 1, '2021-07-19 11:57:11', NULL, NULL), (24554, '', '宏文村', 'bbfdf6289cc046c4be5f42b8dec30999', 'd9228e35071f4913b607b50e1257d4d5', 'False', 'False', 'false', 'false', '511722102206', 5, '宏文村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722102206', 1, '2021-07-19 11:57:11', NULL, NULL), (24555, '', '马伏村', '4828be503337445c8a3719021b927822', 'd9228e35071f4913b607b50e1257d4d5', 'False', 'True', 'false', 'false', '511722102208', 5, '马伏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722102208', 1, '2021-07-19 11:57:11', NULL, NULL), (24556, '', '五道口村', '9a0a6a1ffd1649af8d247239927a1c97', 'd9228e35071f4913b607b50e1257d4d5', 'False', 'False', 'false', 'false', '511722102210', 5, '五道口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722102210', 1, '2021-07-19 11:57:11', NULL, NULL), (24557, '', '长青村', 'fd17dff87ecf4f2e886d78a028fad5fd', 'd9228e35071f4913b607b50e1257d4d5', 'False', 'False', 'false', 'false', '511722102211', 5, '长青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722102211', 1, '2021-07-19 11:57:11', NULL, NULL), (24558, '', '沙溪村', 'e15c0e098ed041fe9fe396808358a1b6', 'd9228e35071f4913b607b50e1257d4d5', 'False', 'False', 'false', 'false', '511722102212', 5, '沙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722102212', 1, '2021-07-19 11:57:11', NULL, NULL), (24559, '', '白鹤村', '97df095ea2274f978235ad8bed2e7065', 'd9228e35071f4913b607b50e1257d4d5', 'False', 'False', 'false', 'false', '511722102213', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722102213', 1, '2021-07-19 11:57:11', NULL, NULL), (24560, '', '普光镇', '657af7ddc33c44a288a73d30f7f9dcd0', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722103000', 4, '普光镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722103000', 1, '2021-07-19 11:57:11', NULL, NULL), (24561, '', '中埝村', 'a345200e9e544ad09fb4db9565be206c', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103035', 5, '中埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103035', 1, '2021-07-19 11:57:11', NULL, NULL), (24562, '', '天井村', '91aa746fab9d4f9bb4c95e0d5e953c0c', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103136', 5, '天井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103136', 1, '2021-07-19 11:57:11', NULL, NULL), (24563, '', '方斗社区', '870458c40d274f65a872012135c3ccd1', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103161', 5, '方斗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103161', 1, '2021-07-19 11:57:11', NULL, NULL), (24564, '', '欣兴社区', '0ec36f8f7b844a4d8ee2a9dbf97ba9a5', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103175', 5, '欣兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103175', 1, '2021-07-19 11:57:11', NULL, NULL), (24565, '', '石堰村', 'd9383b06f1314800a5d328d0c3bb87e5', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103189', 5, '石堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103189', 1, '2021-07-19 11:57:11', NULL, NULL), (24566, '', '马家社区', 'f647e11c4c9b40a0b749c49e32266a2a', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103212', 5, '马家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103212', 1, '2021-07-19 11:57:11', NULL, NULL), (24567, '', '交通村', '352aa9aa5cb54636a6d7f96be13a1136', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103254', 5, '交通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103254', 1, '2021-07-19 11:57:11', NULL, NULL), (24568, '', '合溪村', '6c6508abf57040a789dfd9b47e1e29e7', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103331', 5, '合溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103331', 1, '2021-07-19 11:57:12', NULL, NULL), (24569, '', '柳坪村', '7fb0fc2426eb4b8aa66ef2aa199f7a84', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103389', 5, '柳坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103389', 1, '2021-07-19 11:57:12', NULL, NULL), (24570, '', '大田村', 'd2fa291fc0634e1a9b2008e56ba4f34c', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103398', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103398', 1, '2021-07-19 11:57:12', NULL, NULL), (24571, '', '花石村', '166dd9c5c3154143bdb3eb880a778026', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103435', 5, '花石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103435', 1, '2021-07-19 11:57:12', NULL, NULL), (24572, '', '杏树村', '7c77fd0ec98a446b9fbf08497d02bd6f', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103465', 5, '杏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103465', 1, '2021-07-19 11:57:12', NULL, NULL), (24573, '', '石垭村', '0b896512ca5842ba81e3614473ecb0df', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103521', 5, '石垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103521', 1, '2021-07-19 11:57:12', NULL, NULL), (24574, '', '双桥社区', '221d2c12af8e4f64b0c644fb2abb2ce2', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103651', 5, '双桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103651', 1, '2021-07-19 11:57:12', NULL, NULL), (24575, '', '玛瑙村', 'ab83e5df5d6e4354960046f65af5ee0e', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103797', 5, '玛瑙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103797', 1, '2021-07-19 11:57:12', NULL, NULL), (24576, '', '锅坪村', '1d41d9ea77c64127aa53393d3627e5b2', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103839', 5, '锅坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103839', 1, '2021-07-19 11:57:12', NULL, NULL), (24577, '', '石人村', 'e80ff5ff7d7a4b31aaa2a36318eba642', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103885', 5, '石人村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103885', 1, '2021-07-19 11:57:12', NULL, NULL), (24578, '', '辽原社区', 'd8a6fdbd08614f25a185ba34896fe832', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103951', 5, '辽原社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103951', 1, '2021-07-19 11:57:12', NULL, NULL), (24579, '', '龙井社区', '61206b62d4484eaaa4601ed3ad481375', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103001', 5, '龙井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103001', 1, '2021-07-19 11:57:12', NULL, NULL), (24580, '', '双江社区', '631627d7549f4b4ca692fd8a67b5ff6e', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103002', 5, '双江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103002', 1, '2021-07-19 11:57:12', NULL, NULL), (24581, '', '铜坎社区', 'e091be54bcce4edf92caab9de7a2cd0d', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103003', 5, '铜坎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103003', 1, '2021-07-19 11:57:12', NULL, NULL), (24582, '', '进化社区', '173c56e54dd444239e66996a6ad24e7b', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103200', 5, '进化社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103200', 1, '2021-07-19 11:57:12', NULL, NULL), (24583, '', '塔垭村', 'fee293054aaf4bf8893542910cba1acf', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103202', 5, '塔垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103202', 1, '2021-07-19 11:57:13', NULL, NULL), (24584, '', '千河村', '8df5c8847f6b40a4ba9491659bd4d13c', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103203', 5, '千河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103203', 1, '2021-07-19 11:57:13', NULL, NULL), (24585, '', '新滩村', '871179bf0c6d4117962844aa238d58bb', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103204', 5, '新滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103204', 1, '2021-07-19 11:57:13', NULL, NULL), (24586, '', '陡梯村', 'b4cea77bd64b4eafad566d5108e5250a', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103205', 5, '陡梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103205', 1, '2021-07-19 11:57:13', NULL, NULL), (24587, '', '灯笼村', 'ee247e5795b646cf903f28eb5e5f5346', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103206', 5, '灯笼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103206', 1, '2021-07-19 11:57:13', NULL, NULL), (24588, '', '芭蕉村', 'f09422fbae424a58929bfb7ea7111012', '657af7ddc33c44a288a73d30f7f9dcd0', 'False', 'True', 'false', 'false', '511722103208', 5, '芭蕉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722103208', 1, '2021-07-19 11:57:13', NULL, NULL), (24589, '', '天生镇', 'b9728130ee6b410c8e7e20956b3f4c90', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722104000', 4, '天生镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722104000', 1, '2021-07-19 11:57:13', NULL, NULL), (24590, '', '七里社区', 'd463d6b67b9c42f2b0e240a58ea28100', 'b9728130ee6b410c8e7e20956b3f4c90', 'False', 'True', 'false', 'false', '511722104194', 5, '七里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722104194', 1, '2021-07-19 11:57:13', NULL, NULL), (24591, '', '民主村', 'ef71886f4075424ca90d2dc06bd50c52', 'b9728130ee6b410c8e7e20956b3f4c90', 'False', 'True', 'false', 'false', '511722104307', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722104307', 1, '2021-07-19 11:57:13', NULL, NULL), (24592, '', '塔坝村', 'b8dfa333902c4392a5d439e8f494dcd0', 'b9728130ee6b410c8e7e20956b3f4c90', 'False', 'True', 'false', 'false', '511722104341', 5, '塔坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722104341', 1, '2021-07-19 11:57:13', NULL, NULL), (24593, '', '新芽村', 'dd04678ea3e7400a8eba8e98ea149694', 'b9728130ee6b410c8e7e20956b3f4c90', 'False', 'True', 'false', 'false', '511722104403', 5, '新芽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722104403', 1, '2021-07-19 11:57:13', NULL, NULL), (24594, '', '峨城社区', '9e6f1baf73b04cc690c14126256dcbb9', 'b9728130ee6b410c8e7e20956b3f4c90', 'False', 'True', 'false', 'false', '511722104829', 5, '峨城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722104829', 1, '2021-07-19 11:57:13', NULL, NULL), (24595, '', '马蹄村', '06fc15012a2347f1934c764cd1077d9e', 'b9728130ee6b410c8e7e20956b3f4c90', 'False', 'True', 'false', 'false', '511722104949', 5, '马蹄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722104949', 1, '2021-07-19 11:57:13', NULL, NULL), (24596, '', '仙桥社区', 'd6dbb69d6c154530a0786ebb9426a0fe', 'b9728130ee6b410c8e7e20956b3f4c90', 'False', 'True', 'false', 'false', '511722104001', 5, '仙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722104001', 1, '2021-07-19 11:57:13', NULL, NULL), (24597, '', '大路沟村', 'ed1d51e15d6649699030549f061c3265', 'b9728130ee6b410c8e7e20956b3f4c90', 'False', 'True', 'false', 'false', '511722104200', 5, '大路沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722104200', 1, '2021-07-19 11:57:13', NULL, NULL), (24598, '', '天生社区', 'a8fc7746ba834c2e9944f595a8802b00', 'b9728130ee6b410c8e7e20956b3f4c90', 'False', 'True', 'false', 'false', '511722104201', 5, '天生社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722104201', 1, '2021-07-19 11:57:13', NULL, NULL), (24599, '', '进步社区', '1acad654cb5e4f7fbebf7cc4df698290', 'b9728130ee6b410c8e7e20956b3f4c90', 'False', 'True', 'false', 'false', '511722104203', 5, '进步社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722104203', 1, '2021-07-19 11:57:13', NULL, NULL), (24600, '', '西山社区', '286d0cff2b4943128aabd72017ffd2b8', 'b9728130ee6b410c8e7e20956b3f4c90', 'False', 'True', 'false', 'false', '511722104205', 5, '西山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722104205', 1, '2021-07-19 11:57:14', NULL, NULL), (24601, '', '油石村', '6cd0f637dc78450ea33af369d1550b35', 'b9728130ee6b410c8e7e20956b3f4c90', 'False', 'True', 'false', 'false', '511722104207', 5, '油石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722104207', 1, '2021-07-19 11:57:14', NULL, NULL), (24602, '', '柏树镇', '133c551b70dd49048dc7ea772ceb6108', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722105000', 4, '柏树镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722105000', 1, '2021-07-19 11:57:14', NULL, NULL), (24603, '', '龙昌社区', '9a3e77109fb34135b15893036ee574b6', '133c551b70dd49048dc7ea772ceb6108', 'False', 'True', 'false', 'false', '511722105001', 5, '龙昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722105001', 1, '2021-07-19 11:57:14', NULL, NULL), (24604, '', '石板梁村', 'c236674c09ce4837ad913c0dc6efc9fe', '133c551b70dd49048dc7ea772ceb6108', 'False', 'True', 'false', 'false', '511722105200', 5, '石板梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722105200', 1, '2021-07-19 11:57:14', NULL, NULL), (24605, '', '东岳村', 'addbe0d784964c0f9d50f482d5865bc4', '133c551b70dd49048dc7ea772ceb6108', 'False', 'True', 'false', 'false', '511722105202', 5, '东岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722105202', 1, '2021-07-19 11:57:14', NULL, NULL), (24606, '', '左右场村', '861ea0f2e48c41ac82e5416e8355bca0', '133c551b70dd49048dc7ea772ceb6108', 'False', 'True', 'false', 'false', '511722105204', 5, '左右场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722105204', 1, '2021-07-19 11:57:14', NULL, NULL), (24607, '', '峨风村', 'cd36262f158c4a999dd9a7f2b5420a05', '133c551b70dd49048dc7ea772ceb6108', 'False', 'True', 'false', 'false', '511722105206', 5, '峨风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722105206', 1, '2021-07-19 11:57:14', NULL, NULL), (24608, '', '太平寨村', 'fe6d8526999746d0b3ed309699ba68c4', '133c551b70dd49048dc7ea772ceb6108', 'False', 'True', 'false', 'false', '511722105207', 5, '太平寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722105207', 1, '2021-07-19 11:57:14', NULL, NULL), (24609, '', '九军村', 'c459f8990c684fba887238de4c0ec2ae', '133c551b70dd49048dc7ea772ceb6108', 'False', 'True', 'false', 'false', '511722105208', 5, '九军村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722105208', 1, '2021-07-19 11:57:14', NULL, NULL), (24610, '', '大沙村', '1c79a5ccc0a341188b62151fe7f26d42', '133c551b70dd49048dc7ea772ceb6108', 'False', 'True', 'false', 'false', '511722105209', 5, '大沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722105209', 1, '2021-07-19 11:57:14', NULL, NULL), (24611, '', '月潭村', 'a3b5031a50c942af9991f5f435dd53c0', '133c551b70dd49048dc7ea772ceb6108', 'False', 'True', 'false', 'false', '511722105210', 5, '月潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722105210', 1, '2021-07-19 11:57:14', NULL, NULL), (24612, '', '芭蕉镇', '473f49f33fcf41fcb51db522db1a60c5', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722106000', 4, '芭蕉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722106000', 1, '2021-07-19 11:57:14', NULL, NULL), (24613, '', '竹海社区', '5a2395e2254f44c98cc90e5db9ca5fde', '473f49f33fcf41fcb51db522db1a60c5', 'False', 'True', 'false', 'false', '511722106001', 5, '竹海社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722106001', 1, '2021-07-19 11:57:14', NULL, NULL), (24614, '', '大虎村', '26e9b9fa6c01474097fd46b301aa3a5c', '473f49f33fcf41fcb51db522db1a60c5', 'False', 'True', 'false', 'false', '511722106200', 5, '大虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722106200', 1, '2021-07-19 11:57:14', NULL, NULL), (24615, '', '泉水村', '500e28ac90c44036975c737d8056f2dd', '473f49f33fcf41fcb51db522db1a60c5', 'False', 'True', 'false', 'false', '511722106201', 5, '泉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722106201', 1, '2021-07-19 11:57:14', NULL, NULL), (24616, '', '盆寨村', '952d6581c35b44069dcee6b2c8e153aa', '473f49f33fcf41fcb51db522db1a60c5', 'False', 'True', 'false', 'false', '511722106202', 5, '盆寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722106202', 1, '2021-07-19 11:57:15', NULL, NULL), (24617, '', '玉坪村', '17c9e96694034917b325a70146f011ea', '473f49f33fcf41fcb51db522db1a60c5', 'False', 'True', 'false', 'false', '511722106203', 5, '玉坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722106203', 1, '2021-07-19 11:57:15', NULL, NULL), (24618, '', '花山村', '735739ba3d58444db1ead55e29b34606', '473f49f33fcf41fcb51db522db1a60c5', 'False', 'True', 'false', 'false', '511722106205', 5, '花山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722106205', 1, '2021-07-19 11:57:15', NULL, NULL), (24619, '', '桐林村', 'c17164f62dcf4bd49c7143a5946bbfea', '473f49f33fcf41fcb51db522db1a60c5', 'False', 'True', 'false', 'false', '511722106206', 5, '桐林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722106206', 1, '2021-07-19 11:57:15', NULL, NULL), (24620, '', '新建村', '07a07ad60de5464496156abb7f52516d', '473f49f33fcf41fcb51db522db1a60c5', 'False', 'True', 'false', 'false', '511722106207', 5, '新建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722106207', 1, '2021-07-19 11:57:15', NULL, NULL), (24621, '', '蒿坝社区', 'f73cce000ccc466ea4381e1e850cfdb3', '473f49f33fcf41fcb51db522db1a60c5', 'False', 'True', 'false', 'false', '511722106208', 5, '蒿坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722106208', 1, '2021-07-19 11:57:15', NULL, NULL), (24622, '', '铁溪村', '9a063b3bd513406992c97009945482a8', '473f49f33fcf41fcb51db522db1a60c5', 'False', 'True', 'false', 'false', '511722106209', 5, '铁溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722106209', 1, '2021-07-19 11:57:15', NULL, NULL), (24623, '', '花生村', '492801e150d14fb2859b57e57becad8e', '473f49f33fcf41fcb51db522db1a60c5', 'False', 'True', 'false', 'false', '511722106211', 5, '花生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722106211', 1, '2021-07-19 11:57:15', NULL, NULL), (24624, '', '南坝镇', 'bf40f95782494cedb1aee3bf1309cb36', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722107000', 4, '南坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722107000', 1, '2021-07-19 11:57:15', NULL, NULL), (24625, '', '尖包社区', '7ab192af6f944bab9437cf5f1adad269', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107197', 5, '尖包社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107197', 1, '2021-07-19 11:57:15', NULL, NULL), (24626, '', '天台村', 'e51deced377b4abd960450e2c8c60eee', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107446', 5, '天台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107446', 1, '2021-07-19 11:57:15', NULL, NULL), (24627, '', '董坪村', 'e9d17f90d88a46b9b755e03f7202d351', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107563', 5, '董坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107563', 1, '2021-07-19 11:57:15', NULL, NULL), (24628, '', '临江社区', 'cd2baa9f7bb1440790533c3139e57831', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107001', 5, '临江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107001', 1, '2021-07-19 11:57:15', NULL, NULL), (24629, '', '啸池社区', 'c1ea15a6fd6c4a3da5ad45e461eff25a', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107002', 5, '啸池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107002', 1, '2021-07-19 11:57:15', NULL, NULL), (24630, '', '清泉社区', 'ba1cd121e2db46de99781a71c94e0f56', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107003', 5, '清泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107003', 1, '2021-07-19 11:57:15', NULL, NULL), (24631, '', '书苑社区', '9e4d3ed4c3fa4c179e58d0b78fc66beb', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107004', 5, '书苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107004', 1, '2021-07-19 11:57:15', NULL, NULL), (24632, '', '花滩社区', '840eacdfbe18485b9aa667db3be24af6', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107005', 5, '花滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107005', 1, '2021-07-19 11:57:16', NULL, NULL), (24633, '', '新桥社区', '16f771b40c7544cb9d1eb9ea85854346', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107006', 5, '新桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107006', 1, '2021-07-19 11:57:16', NULL, NULL), (24634, '', '龙文社区', '76b34967496b4ceebdd5d0fd42070ffd', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107007', 5, '龙文社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107007', 1, '2021-07-19 11:57:16', NULL, NULL), (24635, '', '独树梁村', '74fdb03240334c3da2b17a9528ae7cbd', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107202', 5, '独树梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107202', 1, '2021-07-19 11:57:16', NULL, NULL), (24636, '', '后坝村', '35a1e09817d9471b942035ab631c1f62', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107204', 5, '后坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107204', 1, '2021-07-19 11:57:16', NULL, NULL), (24637, '', '垛石滩村', '70743d4dc1a94a4d94833d3005607e04', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107205', 5, '垛石滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107205', 1, '2021-07-19 11:57:16', NULL, NULL), (24638, '', '解放社区', '4fdf4ee398c64b2f97b886ed76f48bc7', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107206', 5, '解放社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107206', 1, '2021-07-19 11:57:16', NULL, NULL), (24639, '', '圣墩村', '5e793496900041f08e1e027012f481e0', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107207', 5, '圣墩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107207', 1, '2021-07-19 11:57:16', NULL, NULL), (24640, '', '赤溪社区', '321f95d2fcbc4d609a5757825ae99633', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107208', 5, '赤溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107208', 1, '2021-07-19 11:57:16', NULL, NULL), (24641, '', '二塘社区', 'e387ea32b86347cf87e5328188b8e233', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107210', 5, '二塘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107210', 1, '2021-07-19 11:57:16', NULL, NULL), (24642, '', '沙湾社区', 'b86c64c14c514f61b559fa7c22a1c49f', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107211', 5, '沙湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107211', 1, '2021-07-19 11:57:16', NULL, NULL), (24643, '', '龙门村', '433691417a8241d6905b4a82016b1a51', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107213', 5, '龙门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107213', 1, '2021-07-19 11:57:16', NULL, NULL), (24644, '', '观河村', '69d0a9c798c645f48170d17466c23960', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107214', 5, '观河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107214', 1, '2021-07-19 11:57:16', NULL, NULL), (24645, '', '观池村', '5ea48f77bfc44f8abef1fa8dbdc26c62', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107215', 5, '观池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107215', 1, '2021-07-19 11:57:16', NULL, NULL), (24646, '', '丰乐村', '4793ae7a763c45c78934f8f2d056f088', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107216', 5, '丰乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107216', 1, '2021-07-19 11:57:16', NULL, NULL), (24647, '', '五龙村', '4794195059bc4893aefbb0b168fb840a', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107217', 5, '五龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107217', 1, '2021-07-19 11:57:16', NULL, NULL), (24648, '', '石牛村', '5fe67e465f5649c39c4680d464bcc605', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107218', 5, '石牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107218', 1, '2021-07-19 11:57:17', NULL, NULL), (24649, '', '五道河村', '850db6359f324a5eab4a9e6ce1f5dacc', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107219', 5, '五道河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107219', 1, '2021-07-19 11:57:17', NULL, NULL), (24650, '', '墩子村', 'd9aeffc431c74e228d24eae5fd4161c7', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107221', 5, '墩子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107221', 1, '2021-07-19 11:57:17', NULL, NULL), (24651, '', '双柏社区', 'ad376e4d411347fcb40aff29fe334c81', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107222', 5, '双柏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107222', 1, '2021-07-19 11:57:17', NULL, NULL), (24652, '', '石湾村', 'e1c79e2002584b419779ae8aa2ceb994', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107224', 5, '石湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107224', 1, '2021-07-19 11:57:17', NULL, NULL), (24653, '', '胡坪村', 'cbd1f380b715412ab51a026b5c1c09f9', 'bf40f95782494cedb1aee3bf1309cb36', 'False', 'False', 'false', 'false', '511722107225', 5, '胡坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722107225', 1, '2021-07-19 11:57:17', NULL, NULL), (24654, '', '五宝镇', '0f57cd310b624c589fd5e96d3dced627', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722108000', 4, '五宝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722108000', 1, '2021-07-19 11:57:17', NULL, NULL), (24655, '', '嘉兴社区', '475d2f5db37c46989097b916610042ce', '0f57cd310b624c589fd5e96d3dced627', 'False', 'True', 'false', 'false', '511722108001', 5, '嘉兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722108001', 1, '2021-07-19 11:57:17', NULL, NULL), (24656, '', '三元村', '7a31d2f3610e48f9871f87a8f031b246', '0f57cd310b624c589fd5e96d3dced627', 'False', 'True', 'false', 'false', '511722108200', 5, '三元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722108200', 1, '2021-07-19 11:57:17', NULL, NULL), (24657, '', '罗坝社区', '886afc089b3447ad8b357a3dad7b4d08', '0f57cd310b624c589fd5e96d3dced627', 'False', 'True', 'false', 'false', '511722108202', 5, '罗坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722108202', 1, '2021-07-19 11:57:17', NULL, NULL), (24658, '', '回龙寨村', '3d65af72146f422f92802110f6c0143a', '0f57cd310b624c589fd5e96d3dced627', 'False', 'True', 'false', 'false', '511722108203', 5, '回龙寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722108203', 1, '2021-07-19 11:57:17', NULL, NULL), (24659, '', '沙沟村', '87cc04618ce843c0a349246b5fffcfd0', '0f57cd310b624c589fd5e96d3dced627', 'False', 'True', 'false', 'false', '511722108206', 5, '沙沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722108206', 1, '2021-07-19 11:57:17', NULL, NULL), (24660, '', '高梯村', '4fa9cf0f63514585a3fd93e2cc9c9d60', '0f57cd310b624c589fd5e96d3dced627', 'False', 'True', 'false', 'false', '511722108207', 5, '高梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722108207', 1, '2021-07-19 11:57:17', NULL, NULL), (24661, '', '高坝村', 'c78145abac314805bfb3e7eb2b5125c0', '0f57cd310b624c589fd5e96d3dced627', 'False', 'True', 'false', 'false', '511722108208', 5, '高坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722108208', 1, '2021-07-19 11:57:17', NULL, NULL), (24662, '', '跑马村', '5cbc9a8cdced458cae2fb6ad9228eed8', '0f57cd310b624c589fd5e96d3dced627', 'False', 'True', 'false', 'false', '511722108209', 5, '跑马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722108209', 1, '2021-07-19 11:57:17', NULL, NULL), (24663, '', '鹞子村', '003684b01ff8457cb1bfc9c7f4bd6f9f', '0f57cd310b624c589fd5e96d3dced627', 'False', 'True', 'false', 'false', '511722108210', 5, '鹞子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722108210', 1, '2021-07-19 11:57:17', NULL, NULL), (24664, '', '峰城镇', '84e636d2b9404b9bb871f5534beb0b4c', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722109000', 4, '峰城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722109000', 1, '2021-07-19 11:57:18', NULL, NULL), (24665, '', '天府社区', '9a35221fce884621a2ba9615d228bba4', '84e636d2b9404b9bb871f5534beb0b4c', 'False', 'True', 'false', 'false', '511722109001', 5, '天府社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722109001', 1, '2021-07-19 11:57:18', NULL, NULL), (24666, '', '龙泉村', '8ca49833fcf04b9c88c61faa25a251b6', '84e636d2b9404b9bb871f5534beb0b4c', 'False', 'True', 'false', 'false', '511722109201', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722109201', 1, '2021-07-19 11:57:18', NULL, NULL), (24667, '', '仁义村', '41462bccaeb84569bc12abf109e40b15', '84e636d2b9404b9bb871f5534beb0b4c', 'False', 'True', 'false', 'false', '511722109202', 5, '仁义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722109202', 1, '2021-07-19 11:57:18', NULL, NULL), (24668, '', '板桥河村', '2a8475999e52433fa4247af67221b1f0', '84e636d2b9404b9bb871f5534beb0b4c', 'False', 'True', 'false', 'false', '511722109204', 5, '板桥河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722109204', 1, '2021-07-19 11:57:18', NULL, NULL), (24669, '', '牙石村', '5a0d53913acb4c1a90e52baad44f50c2', '84e636d2b9404b9bb871f5534beb0b4c', 'False', 'True', 'false', 'false', '511722109205', 5, '牙石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722109205', 1, '2021-07-19 11:57:18', NULL, NULL), (24670, '', '野鸭村', '60c89f1a41f14288b196267abdde0281', '84e636d2b9404b9bb871f5534beb0b4c', 'False', 'True', 'false', 'false', '511722109206', 5, '野鸭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722109206', 1, '2021-07-19 11:57:18', NULL, NULL), (24671, '', '寨扁社区', '4ccd76ab2d6744e5ab481f912d7a239a', '84e636d2b9404b9bb871f5534beb0b4c', 'False', 'True', 'false', 'false', '511722109207', 5, '寨扁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722109207', 1, '2021-07-19 11:57:18', NULL, NULL), (24672, '', '天龙村', '8fdff1e631f04ca7a218c8591d5fcef2', '84e636d2b9404b9bb871f5534beb0b4c', 'False', 'True', 'false', 'false', '511722109208', 5, '天龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722109208', 1, '2021-07-19 11:57:18', NULL, NULL), (24673, '', '土黄镇', '6875349fefc34462bb0802a6fc76a006', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722110000', 4, '土黄镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722110000', 1, '2021-07-19 11:57:18', NULL, NULL), (24674, '', '长乐社区', '52405b518380446f92ca710705f7920c', '6875349fefc34462bb0802a6fc76a006', 'False', 'True', 'false', 'false', '511722110582', 5, '长乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722110582', 1, '2021-07-19 11:57:18', NULL, NULL), (24675, '', '茗乐社区', '595605fe57b84f5cacdbd845ad927863', '6875349fefc34462bb0802a6fc76a006', 'False', 'True', 'false', 'false', '511722110001', 5, '茗乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722110001', 1, '2021-07-19 11:57:18', NULL, NULL), (24676, '', '碧溪村', 'e98e97d4770f4ed99f0aef48fe4602e3', '6875349fefc34462bb0802a6fc76a006', 'False', 'True', 'false', 'false', '511722110202', 5, '碧溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722110202', 1, '2021-07-19 11:57:18', NULL, NULL), (24677, '', '陇溪村', 'd45993ac9cb248af8c580befd1d70765', '6875349fefc34462bb0802a6fc76a006', 'False', 'True', 'false', 'false', '511722110203', 5, '陇溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722110203', 1, '2021-07-19 11:57:18', NULL, NULL), (24678, '', '螺丝村', 'db3b395e11b644ee983779ee08512e78', '6875349fefc34462bb0802a6fc76a006', 'False', 'True', 'false', 'false', '511722110204', 5, '螺丝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722110204', 1, '2021-07-19 11:57:18', NULL, NULL), (24679, '', '万斛坝村', '3bf8d6df7a1048a1af9ecee0938c9a1f', '6875349fefc34462bb0802a6fc76a006', 'False', 'True', 'false', 'false', '511722110205', 5, '万斛坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722110205', 1, '2021-07-19 11:57:18', NULL, NULL), (24680, '', '雨台村', 'c524e4413ad94677ac833b05a36b783f', '6875349fefc34462bb0802a6fc76a006', 'False', 'True', 'false', 'false', '511722110207', 5, '雨台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722110207', 1, '2021-07-19 11:57:18', NULL, NULL), (24681, '', '桅杆岭村', 'ca58f00d3ddd4e1e9236f2f857b4cfc7', '6875349fefc34462bb0802a6fc76a006', 'False', 'True', 'false', 'false', '511722110208', 5, '桅杆岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722110208', 1, '2021-07-19 11:57:19', NULL, NULL), (24682, '', '白坪岭村', '174aa985feff44778eaec5978cf7cf41', '6875349fefc34462bb0802a6fc76a006', 'False', 'True', 'false', 'false', '511722110209', 5, '白坪岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722110209', 1, '2021-07-19 11:57:19', NULL, NULL), (24683, '', '黄石包村', 'e63a2eba2b1d48e9bcc21ddcb0bdd5e3', '6875349fefc34462bb0802a6fc76a006', 'False', 'True', 'false', 'false', '511722110210', 5, '黄石包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722110210', 1, '2021-07-19 11:57:19', NULL, NULL), (24684, '', '茶垭村', '91eada6adaf348a5b4e59b8d4f1c9a58', '6875349fefc34462bb0802a6fc76a006', 'False', 'True', 'false', 'false', '511722110211', 5, '茶垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722110211', 1, '2021-07-19 11:57:19', NULL, NULL), (24685, '', '百堰社区', '99e5f84c6f164317b5d0ecb40d085fc2', '6875349fefc34462bb0802a6fc76a006', 'False', 'True', 'false', 'false', '511722110213', 5, '百堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722110213', 1, '2021-07-19 11:57:19', NULL, NULL), (24686, '', '大房村', '4725f923721042c68adf33a9de876138', '6875349fefc34462bb0802a6fc76a006', 'False', 'True', 'false', 'false', '511722110214', 5, '大房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722110214', 1, '2021-07-19 11:57:19', NULL, NULL), (24687, '', '华景镇', 'c06acb6946dc4884830a9af801c3311d', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722111000', 4, '华景镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722111000', 1, '2021-07-19 11:57:19', NULL, NULL), (24688, '', '阅台社区', 'c1369bf4e448451d9d6ef1735a9f8494', 'c06acb6946dc4884830a9af801c3311d', 'False', 'True', 'false', 'false', '511722111001', 5, '阅台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722111001', 1, '2021-07-19 11:57:19', NULL, NULL), (24689, '', '鲢鱼村', 'd5d5b61cd9fb45a287ae5f7e423824b8', 'c06acb6946dc4884830a9af801c3311d', 'False', 'True', 'false', 'false', '511722111200', 5, '鲢鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722111200', 1, '2021-07-19 11:57:19', NULL, NULL), (24690, '', '牛石村', '627f512bb53a4a309ab187a0981938c6', 'c06acb6946dc4884830a9af801c3311d', 'False', 'True', 'false', 'false', '511722111202', 5, '牛石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722111202', 1, '2021-07-19 11:57:19', NULL, NULL), (24691, '', '重山村', 'd055c40abe0243cfbadfa55aab4f75d0', 'c06acb6946dc4884830a9af801c3311d', 'False', 'True', 'false', 'false', '511722111203', 5, '重山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722111203', 1, '2021-07-19 11:57:19', NULL, NULL), (24692, '', '佛耳坝村', 'bc0a9e132c6e43dda94ba0cfea1c2c5b', 'c06acb6946dc4884830a9af801c3311d', 'False', 'True', 'false', 'false', '511722111204', 5, '佛耳坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722111204', 1, '2021-07-19 11:57:19', NULL, NULL), (24693, '', '塝安村', '986ddaad28404666b4d279077bf32aa0', 'c06acb6946dc4884830a9af801c3311d', 'False', 'True', 'false', 'false', '511722111205', 5, '塝安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722111205', 1, '2021-07-19 11:57:19', NULL, NULL), (24694, '', '华景村', 'e7d6f0f4a3f3472686e8e2fa26fd8850', 'c06acb6946dc4884830a9af801c3311d', 'False', 'True', 'false', 'false', '511722111207', 5, '华景村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722111207', 1, '2021-07-19 11:57:19', NULL, NULL), (24695, '', '甘岭村', '1aff382112194595b69d1c683fc9c087', 'c06acb6946dc4884830a9af801c3311d', 'False', 'True', 'false', 'false', '511722111208', 5, '甘岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722111208', 1, '2021-07-19 11:57:19', NULL, NULL), (24696, '', '漆园村', '5dd7b825bd4f462d8fc6297805e99aa9', 'c06acb6946dc4884830a9af801c3311d', 'False', 'True', 'false', 'false', '511722111210', 5, '漆园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722111210', 1, '2021-07-19 11:57:19', NULL, NULL), (24697, '', '月溪村', 'cd2f2d5912dc4f849eb305a63c6ddcda', 'c06acb6946dc4884830a9af801c3311d', 'False', 'True', 'false', 'false', '511722111211', 5, '月溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722111211', 1, '2021-07-19 11:57:19', NULL, NULL), (24698, '', '红岩洞村', 'a4a35b7a5822498a9aafb731eba83be5', 'c06acb6946dc4884830a9af801c3311d', 'False', 'True', 'false', 'false', '511722111212', 5, '红岩洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722111212', 1, '2021-07-19 11:57:19', NULL, NULL), (24699, '', '鹰嘴村', '622f63de67fd4015978726d4ad54a660', 'c06acb6946dc4884830a9af801c3311d', 'False', 'True', 'false', 'false', '511722111215', 5, '鹰嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722111215', 1, '2021-07-19 11:57:19', NULL, NULL), (24700, '', '新橙村', '01e539f44bf44bac95b54fe14f6a29dc', 'c06acb6946dc4884830a9af801c3311d', 'False', 'True', 'false', 'false', '511722111216', 5, '新橙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722111216', 1, '2021-07-19 11:57:20', NULL, NULL), (24701, '', '樊哙镇', '0762869f2ae14f08b3dedd65dd1a20c5', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722112000', 4, '樊哙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722112000', 1, '2021-07-19 11:57:20', NULL, NULL), (24702, '', '峡江社区', '03dbe17d73c54558bb8fe3961f6aefd9', '0762869f2ae14f08b3dedd65dd1a20c5', 'False', 'True', 'false', 'false', '511722112001', 5, '峡江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722112001', 1, '2021-07-19 11:57:20', NULL, NULL), (24703, '', '海螺社区', '5e65175bf6e04f39b363530886dc9df1', '0762869f2ae14f08b3dedd65dd1a20c5', 'False', 'True', 'false', 'false', '511722112002', 5, '海螺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722112002', 1, '2021-07-19 11:57:20', NULL, NULL), (24704, '', '高伦村', '3058d08cb4544674bdc7b1f9386019d7', '0762869f2ae14f08b3dedd65dd1a20c5', 'False', 'True', 'false', 'false', '511722112200', 5, '高伦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722112200', 1, '2021-07-19 11:57:20', NULL, NULL), (24705, '', '高台村', '6c2ab82931ae4d9dbe7b2aa6fbfb14c3', '0762869f2ae14f08b3dedd65dd1a20c5', 'False', 'True', 'false', 'false', '511722112201', 5, '高台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722112201', 1, '2021-07-19 11:57:20', NULL, NULL), (24706, '', '花梨村', 'ed870bb107214b85a547e3812cacccb4', '0762869f2ae14f08b3dedd65dd1a20c5', 'False', 'True', 'false', 'false', '511722112202', 5, '花梨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722112202', 1, '2021-07-19 11:57:20', NULL, NULL), (24707, '', '古凤村', 'c26b47866d484c2c98ac4b01933b6823', '0762869f2ae14f08b3dedd65dd1a20c5', 'False', 'True', 'false', 'false', '511722112204', 5, '古凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722112204', 1, '2021-07-19 11:57:20', NULL, NULL), (24708, '', '金花村', '0f0e8c9e0e874edcaea8904b5ee95fec', '0762869f2ae14f08b3dedd65dd1a20c5', 'False', 'True', 'false', 'false', '511722112206', 5, '金花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722112206', 1, '2021-07-19 11:57:20', NULL, NULL), (24709, '', '角岭村', 'e8518c480b6744c9bdfeb402a08ddd5a', '0762869f2ae14f08b3dedd65dd1a20c5', 'False', 'True', 'false', 'false', '511722112207', 5, '角岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722112207', 1, '2021-07-19 11:57:20', NULL, NULL), (24710, '', '金垭村', '9d8e9e35997d4687965af4df9117cba4', '0762869f2ae14f08b3dedd65dd1a20c5', 'False', 'True', 'false', 'false', '511722112210', 5, '金垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722112210', 1, '2021-07-19 11:57:20', NULL, NULL), (24711, '', '柑子坝社区', 'ad89779e0d644e4abdd335bc29fd2735', '0762869f2ae14f08b3dedd65dd1a20c5', 'False', 'True', 'false', 'false', '511722112211', 5, '柑子坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722112211', 1, '2021-07-19 11:57:20', NULL, NULL), (24712, '', '新华镇', '7e6698de4fe24ed9906ac3a840dda7b6', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722113000', 4, '新华镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722113000', 1, '2021-07-19 11:57:20', NULL, NULL), (24713, '', '金石村', 'b5a30c8a51a748d2a6db534bd0682879', '7e6698de4fe24ed9906ac3a840dda7b6', 'False', 'False', 'false', 'false', '511722113561', 5, '金石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722113561', 1, '2021-07-19 11:57:20', NULL, NULL), (24714, '', '玉带社区', '1bdaeb70d513469cbe3319504bf82dca', '7e6698de4fe24ed9906ac3a840dda7b6', 'False', 'False', 'false', 'false', '511722113001', 5, '玉带社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722113001', 1, '2021-07-19 11:57:21', NULL, NULL), (24715, '', '盐店村', '6282f01338d249b3818c1bd4b00cff3c', '7e6698de4fe24ed9906ac3a840dda7b6', 'False', 'False', 'false', 'false', '511722113200', 5, '盐店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722113200', 1, '2021-07-19 11:57:21', NULL, NULL), (24716, '', '花果村', '14a7944ef0fd415f948a4cb8ab70fafc', '7e6698de4fe24ed9906ac3a840dda7b6', 'False', 'False', 'false', 'false', '511722113201', 5, '花果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722113201', 1, '2021-07-19 11:57:21', NULL, NULL), (24717, '', '桐园村', '34b8f894100c452d9914994e144e5450', '7e6698de4fe24ed9906ac3a840dda7b6', 'False', 'False', 'false', 'false', '511722113204', 5, '桐园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722113204', 1, '2021-07-19 11:57:21', NULL, NULL), (24718, '', '华尖村', '0733999955d24ac380710edeccaf8f77', '7e6698de4fe24ed9906ac3a840dda7b6', 'False', 'False', 'false', 'false', '511722113205', 5, '华尖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722113205', 1, '2021-07-19 11:57:21', NULL, NULL), (24719, '', '泥溪村', '31a089089aab407bb27674796ec764aa', '7e6698de4fe24ed9906ac3a840dda7b6', 'False', 'False', 'false', 'false', '511722113206', 5, '泥溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722113206', 1, '2021-07-19 11:57:21', NULL, NULL), (24720, '', '河坝社区', '5de402a836ce4e1e9d4bd3b013142a5b', '7e6698de4fe24ed9906ac3a840dda7b6', 'False', 'False', 'false', 'false', '511722113207', 5, '河坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722113207', 1, '2021-07-19 11:57:21', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (24721, '', '大洞村', '373e5f4960ee4a06a6730e4bce69386e', '7e6698de4fe24ed9906ac3a840dda7b6', 'False', 'False', 'false', 'false', '511722113208', 5, '大洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722113208', 1, '2021-07-19 11:57:21', NULL, NULL), (24722, '', '马田村', 'ddbba3ef5c35492896cc4e1fffcab705', '7e6698de4fe24ed9906ac3a840dda7b6', 'False', 'False', 'false', 'false', '511722113209', 5, '马田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722113209', 1, '2021-07-19 11:57:21', NULL, NULL), (24723, '', '黄金镇', '3f3164eb95b742e1b716e988e4f0f76a', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722114000', 4, '黄金镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722114000', 1, '2021-07-19 11:57:21', NULL, NULL), (24724, '', '独山村', 'da5753c356324e6eac13e23f6ca8d4c3', '3f3164eb95b742e1b716e988e4f0f76a', 'False', 'True', 'false', 'false', '511722114322', 5, '独山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722114322', 1, '2021-07-19 11:57:21', NULL, NULL), (24725, '', '太平坝村', 'b150c8e0035c4456bbb6acf5b68e60bd', '3f3164eb95b742e1b716e988e4f0f76a', 'False', 'True', 'false', 'false', '511722114985', 5, '太平坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722114985', 1, '2021-07-19 11:57:21', NULL, NULL), (24726, '', '祥柏社区', '0703fb49941c44b2bc40b757ff082c20', '3f3164eb95b742e1b716e988e4f0f76a', 'False', 'True', 'false', 'false', '511722114001', 5, '祥柏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722114001', 1, '2021-07-19 11:57:21', NULL, NULL), (24727, '', '慈竹村', '9ba56f01499b453aba9f49a0af96c157', '3f3164eb95b742e1b716e988e4f0f76a', 'False', 'True', 'false', 'false', '511722114203', 5, '慈竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722114203', 1, '2021-07-19 11:57:21', NULL, NULL), (24728, '', '康乐村', '8975a94bc0d147df960bbd365242204f', '3f3164eb95b742e1b716e988e4f0f76a', 'False', 'True', 'false', 'false', '511722114204', 5, '康乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722114204', 1, '2021-07-19 11:57:21', NULL, NULL), (24729, '', '黄金村', '0e9cd3841c2d42ec8285b8088adce2e4', '3f3164eb95b742e1b716e988e4f0f76a', 'False', 'True', 'false', 'false', '511722114206', 5, '黄金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722114206', 1, '2021-07-19 11:57:21', NULL, NULL), (24730, '', '官寨村', 'd1b6d100a5ee410695b604730b12528e', '3f3164eb95b742e1b716e988e4f0f76a', 'False', 'True', 'false', 'false', '511722114207', 5, '官寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722114207', 1, '2021-07-19 11:57:21', NULL, NULL), (24731, '', '沙坝村', 'cbdb0d80371947469c9eaa9e69aaabb9', '3f3164eb95b742e1b716e988e4f0f76a', 'False', 'True', 'false', 'false', '511722114208', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722114208', 1, '2021-07-19 11:57:21', NULL, NULL), (24732, '', '胡家镇', '4163741c29f844e7ab89b4f5a23926d0', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722115000', 4, '胡家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722115000', 1, '2021-07-19 11:57:22', NULL, NULL), (24733, '', '亮垭村', 'b25c16508b09408b844b33903d923709', '4163741c29f844e7ab89b4f5a23926d0', 'False', 'True', 'false', 'false', '511722115109', 5, '亮垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722115109', 1, '2021-07-19 11:57:22', NULL, NULL), (24734, '', '花池社区', 'e18445e4903147d4b2d3fdc3df20b246', '4163741c29f844e7ab89b4f5a23926d0', 'False', 'True', 'false', 'false', '511722115282', 5, '花池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722115282', 1, '2021-07-19 11:57:22', NULL, NULL), (24735, '', '龙桥村', '42964c4bf5c14027806b8546ad2a48f9', '4163741c29f844e7ab89b4f5a23926d0', 'False', 'True', 'false', 'false', '511722115827', 5, '龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722115827', 1, '2021-07-19 11:57:22', NULL, NULL), (24736, '', '龙潭社区', '84dc3a3c6cd7442d979661c9de4d5248', '4163741c29f844e7ab89b4f5a23926d0', 'False', 'True', 'false', 'false', '511722115001', 5, '龙潭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722115001', 1, '2021-07-19 11:57:22', NULL, NULL), (24737, '', '六桥社区', '3c19ce6f1d7845668bf80c541ada488f', '4163741c29f844e7ab89b4f5a23926d0', 'False', 'True', 'false', 'false', '511722115002', 5, '六桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722115002', 1, '2021-07-19 11:57:22', NULL, NULL), (24738, '', '云寨社区', '622319a6033b45318f2e41657b235f53', '4163741c29f844e7ab89b4f5a23926d0', 'False', 'True', 'false', 'false', '511722115003', 5, '云寨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722115003', 1, '2021-07-19 11:57:22', NULL, NULL), (24739, '', '锣鼓村', '34ecd704e8014d72bd5c8ebf0ad6c242', '4163741c29f844e7ab89b4f5a23926d0', 'False', 'True', 'false', 'false', '511722115200', 5, '锣鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722115200', 1, '2021-07-19 11:57:22', NULL, NULL), (24740, '', '滑山社区', 'ddfb1755a7fa4120bc044871de95d5cb', '4163741c29f844e7ab89b4f5a23926d0', 'False', 'True', 'false', 'false', '511722115201', 5, '滑山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722115201', 1, '2021-07-19 11:57:22', NULL, NULL), (24741, '', '鸭池村', '752e1cda932f4c668e596550b6a753eb', '4163741c29f844e7ab89b4f5a23926d0', 'False', 'True', 'false', 'false', '511722115202', 5, '鸭池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722115202', 1, '2021-07-19 11:57:22', NULL, NULL), (24742, '', '黄花村', 'bc3ca4bf35f44f34854ef0e270c5a779', '4163741c29f844e7ab89b4f5a23926d0', 'False', 'False', 'false', 'false', '511722115204', 5, '黄花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722115204', 1, '2021-07-19 11:57:22', NULL, NULL), (24743, '', '黄垭村', 'e83b0625d64742b5a3033a19fdbc3249', '4163741c29f844e7ab89b4f5a23926d0', 'False', 'False', 'false', 'false', '511722115205', 5, '黄垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722115205', 1, '2021-07-19 11:57:22', NULL, NULL), (24744, '', '思乐村', 'e345671f80a8474aa9272f4f2c8ace22', '4163741c29f844e7ab89b4f5a23926d0', 'False', 'True', 'false', 'false', '511722115207', 5, '思乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722115207', 1, '2021-07-19 11:57:22', NULL, NULL), (24745, '', '大池村', '98b79bd53cc441c79fd68d38d94a84bf', '4163741c29f844e7ab89b4f5a23926d0', 'False', 'True', 'false', 'false', '511722115208', 5, '大池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722115208', 1, '2021-07-19 11:57:22', NULL, NULL), (24746, '', '毛坝镇', '446c7b6cc39b41acbea526c9c6ef8d17', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722116000', 4, '毛坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722116000', 1, '2021-07-19 11:57:22', NULL, NULL), (24747, '', '永盛社区', 'ca6642e93a814f6bbc331c225adcfde6', '446c7b6cc39b41acbea526c9c6ef8d17', 'False', 'True', 'false', 'false', '511722116001', 5, '永盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722116001', 1, '2021-07-19 11:57:22', NULL, NULL), (24748, '', '江宁社区', '0ee5e8edb1c44d4f8b699412932c5c5b', '446c7b6cc39b41acbea526c9c6ef8d17', 'False', 'True', 'false', 'false', '511722116002', 5, '江宁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722116002', 1, '2021-07-19 11:57:23', NULL, NULL), (24749, '', '大堰滩村', '35ae6d38250e4f3888d8ba287b9490f1', '446c7b6cc39b41acbea526c9c6ef8d17', 'False', 'True', 'false', 'false', '511722116201', 5, '大堰滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722116201', 1, '2021-07-19 11:57:23', NULL, NULL), (24750, '', '堰口村', '9efb17dbc0e94513beeb04d9c1ea647f', '446c7b6cc39b41acbea526c9c6ef8d17', 'False', 'True', 'false', 'false', '511722116203', 5, '堰口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722116203', 1, '2021-07-19 11:57:23', NULL, NULL), (24751, '', '炉旺村', '165b910307304e9e81ab2fa322887a5d', '446c7b6cc39b41acbea526c9c6ef8d17', 'False', 'True', 'false', 'false', '511722116204', 5, '炉旺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722116204', 1, '2021-07-19 11:57:23', NULL, NULL), (24752, '', '大水凼村', 'a3573cb469614b42a2b636e8cb10895f', '446c7b6cc39b41acbea526c9c6ef8d17', 'False', 'True', 'false', 'false', '511722116205', 5, '大水凼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722116205', 1, '2021-07-19 11:57:23', NULL, NULL), (24753, '', '红岩村', '12f8a2c65299440db56e27923f2b2374', '446c7b6cc39b41acbea526c9c6ef8d17', 'False', 'True', 'false', 'false', '511722116207', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722116207', 1, '2021-07-19 11:57:23', NULL, NULL), (24754, '', '天平村', '3996eb58d0304b57b3076efc0982ab68', '446c7b6cc39b41acbea526c9c6ef8d17', 'False', 'True', 'false', 'false', '511722116209', 5, '天平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722116209', 1, '2021-07-19 11:57:23', NULL, NULL), (24755, '', '大成镇', 'b611898c7d3e4a8ca65ce73caf491041', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722118000', 4, '大成镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722118000', 1, '2021-07-19 11:57:23', NULL, NULL), (24756, '', '三桥社区', '54593262a9aa4850b6e0df8628528f1f', 'b611898c7d3e4a8ca65ce73caf491041', 'False', 'True', 'false', 'false', '511722118425', 5, '三桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722118425', 1, '2021-07-19 11:57:23', NULL, NULL), (24757, '', '文城社区', 'faecc69f3f064ed9854c32c20e89fd32', 'b611898c7d3e4a8ca65ce73caf491041', 'False', 'True', 'false', 'false', '511722118001', 5, '文城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722118001', 1, '2021-07-19 11:57:23', NULL, NULL), (24758, '', '下河村', '6ae0a3403b0e454480b559ddb636906a', 'b611898c7d3e4a8ca65ce73caf491041', 'False', 'True', 'false', 'false', '511722118201', 5, '下河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722118201', 1, '2021-07-19 11:57:23', NULL, NULL), (24759, '', '回龙村', '23952cb1e58349c3ac7f62d69a5ac5c2', 'b611898c7d3e4a8ca65ce73caf491041', 'False', 'True', 'false', 'false', '511722118202', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722118202', 1, '2021-07-19 11:57:23', NULL, NULL), (24760, '', '瓦窑村', 'cbf71e26d5e244b58acc0fb9faaa610b', 'b611898c7d3e4a8ca65ce73caf491041', 'False', 'True', 'false', 'false', '511722118203', 5, '瓦窑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722118203', 1, '2021-07-19 11:57:23', NULL, NULL), (24761, '', '锁辖村', 'e1e17cf9001542379ea10aff51d1ba00', 'b611898c7d3e4a8ca65ce73caf491041', 'False', 'True', 'false', 'false', '511722118205', 5, '锁辖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722118205', 1, '2021-07-19 11:57:23', NULL, NULL), (24762, '', '马滩村', '8e0731b3bea34f1dae7a90736d00dcb2', 'b611898c7d3e4a8ca65ce73caf491041', 'False', 'True', 'false', 'false', '511722118207', 5, '马滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722118207', 1, '2021-07-19 11:57:23', NULL, NULL), (24763, '', '柏林村', 'db438181d3b742b7ad40896bcd58cb39', 'b611898c7d3e4a8ca65ce73caf491041', 'False', 'True', 'false', 'false', '511722118208', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722118208', 1, '2021-07-19 11:57:23', NULL, NULL), (24764, '', '大地村', '568897a6cf77439396e3aac8b2653156', 'b611898c7d3e4a8ca65ce73caf491041', 'False', 'True', 'false', 'false', '511722118209', 5, '大地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722118209', 1, '2021-07-19 11:57:24', NULL, NULL), (24765, '', '千岭村', '128bf9d499054e6ea094f73c6a5a9964', 'b611898c7d3e4a8ca65ce73caf491041', 'False', 'True', 'false', 'false', '511722118210', 5, '千岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722118210', 1, '2021-07-19 11:57:24', NULL, NULL), (24766, '', '金宝村', '209f95b21cc54036aa693eef19b5c385', 'b611898c7d3e4a8ca65ce73caf491041', 'False', 'True', 'false', 'false', '511722118212', 5, '金宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722118212', 1, '2021-07-19 11:57:24', NULL, NULL), (24767, '', '下八镇', '663b30f0e17a4b0d92ce00d5a63a0e32', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722120000', 4, '下八镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722120000', 1, '2021-07-19 11:57:24', NULL, NULL), (24768, '', '凉水井社区', '250a3e95f2ef45e5a5a625b002da8635', '663b30f0e17a4b0d92ce00d5a63a0e32', 'False', 'True', 'false', 'false', '511722120001', 5, '凉水井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722120001', 1, '2021-07-19 11:57:24', NULL, NULL), (24769, '', '温黄社区', '87c7754a9ab14fbfadd12fe82e308766', '663b30f0e17a4b0d92ce00d5a63a0e32', 'False', 'True', 'false', 'false', '511722120002', 5, '温黄社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722120002', 1, '2021-07-19 11:57:24', NULL, NULL), (24770, '', '建设社区', 'a6cb910d466a420885f38ca2842fd92f', '663b30f0e17a4b0d92ce00d5a63a0e32', 'False', 'True', 'false', 'false', '511722120201', 5, '建设社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722120201', 1, '2021-07-19 11:57:24', NULL, NULL), (24771, '', '鼓寨村', '50c3d49a41224671b2f357239a8c891e', '663b30f0e17a4b0d92ce00d5a63a0e32', 'False', 'True', 'false', 'false', '511722120202', 5, '鼓寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722120202', 1, '2021-07-19 11:57:24', NULL, NULL), (24772, '', '云观村', '061e178f613d438a8a842c8b8f3e5116', '663b30f0e17a4b0d92ce00d5a63a0e32', 'False', 'True', 'false', 'false', '511722120203', 5, '云观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722120203', 1, '2021-07-19 11:57:24', NULL, NULL), (24773, '', '米岩村', '671b40a2047e48d7903c4f3a918a4754', '663b30f0e17a4b0d92ce00d5a63a0e32', 'False', 'True', 'false', 'false', '511722120204', 5, '米岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722120204', 1, '2021-07-19 11:57:24', NULL, NULL), (24774, '', '长春村', 'e49fafdf67404ae0ba446bd7bea6e8c3', '663b30f0e17a4b0d92ce00d5a63a0e32', 'False', 'True', 'false', 'false', '511722120207', 5, '长春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722120207', 1, '2021-07-19 11:57:24', NULL, NULL), (24775, '', '天一村', 'c7313a423c844d95ac6609bd56dde968', '663b30f0e17a4b0d92ce00d5a63a0e32', 'False', 'True', 'false', 'false', '511722120208', 5, '天一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722120208', 1, '2021-07-19 11:57:24', NULL, NULL), (24776, '', '平原村', 'c244c0764da942f2866cbd757daba7e4', '663b30f0e17a4b0d92ce00d5a63a0e32', 'False', 'True', 'false', 'false', '511722120209', 5, '平原村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722120209', 1, '2021-07-19 11:57:24', NULL, NULL), (24777, '', '黄龙村', '28f8b4135cea4a0aad4e1d31d7523468', '663b30f0e17a4b0d92ce00d5a63a0e32', 'False', 'True', 'false', 'false', '511722120210', 5, '黄龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722120210', 1, '2021-07-19 11:57:24', NULL, NULL), (24778, '', '云盘村', 'c8325af91e2b4202bab880f0f472bc4a', '663b30f0e17a4b0d92ce00d5a63a0e32', 'False', 'True', 'false', 'false', '511722120213', 5, '云盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722120213', 1, '2021-07-19 11:57:24', NULL, NULL), (24779, '', '老君乡', '31d0b3a45789461c8dc4e10b007dfbeb', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722204000', 4, '老君乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722204000', 1, '2021-07-19 11:57:24', NULL, NULL), (24780, '', '彩云社区', 'a0d9750f35db4ec5a4cc90ab12ed2860', '31d0b3a45789461c8dc4e10b007dfbeb', 'False', 'True', 'false', 'false', '511722204001', 5, '彩云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722204001', 1, '2021-07-19 11:57:25', NULL, NULL), (24781, '', '龙凤村', '08ae3664acd24b71820a33e9b8dc5507', '31d0b3a45789461c8dc4e10b007dfbeb', 'False', 'True', 'false', 'false', '511722204201', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722204201', 1, '2021-07-19 11:57:25', NULL, NULL), (24782, '', '铁尖村', 'e2a4f8d2fab84e84b813487167500042', '31d0b3a45789461c8dc4e10b007dfbeb', 'False', 'True', 'false', 'false', '511722204202', 5, '铁尖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722204202', 1, '2021-07-19 11:57:25', NULL, NULL), (24783, '', '古楼村', '221ba59638db4065ace32cc61a8b7cc8', '31d0b3a45789461c8dc4e10b007dfbeb', 'False', 'True', 'false', 'false', '511722204204', 5, '古楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722204204', 1, '2021-07-19 11:57:25', NULL, NULL), (24784, '', '垭豁村', 'd99760a5e8c64b21a790442a836598da', '31d0b3a45789461c8dc4e10b007dfbeb', 'False', 'True', 'false', 'false', '511722204205', 5, '垭豁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722204205', 1, '2021-07-19 11:57:25', NULL, NULL), (24785, '', '排马村', 'd6790d4dce6b4688a2f5bb9c91f211b0', '31d0b3a45789461c8dc4e10b007dfbeb', 'False', 'True', 'false', 'false', '511722204206', 5, '排马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722204206', 1, '2021-07-19 11:57:25', NULL, NULL), (24786, '', '双坪村', '2da972eaeb9f4be0992dd13103988fae', '31d0b3a45789461c8dc4e10b007dfbeb', 'False', 'True', 'false', 'false', '511722204207', 5, '双坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722204207', 1, '2021-07-19 11:57:25', NULL, NULL), (24787, '', '黄石乡', '1094a66eebd54dccb3a05f29e35c4a64', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722205000', 4, '黄石乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722205000', 1, '2021-07-19 11:57:25', NULL, NULL), (24788, '', '鼓石社区', '30df354d82b2445aae719addb2921519', '1094a66eebd54dccb3a05f29e35c4a64', 'False', 'True', 'false', 'false', '511722205001', 5, '鼓石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722205001', 1, '2021-07-19 11:57:25', NULL, NULL), (24789, '', '金竹寨村', '0461c0206eae43a8b88e236fcddfd49d', '1094a66eebd54dccb3a05f29e35c4a64', 'False', 'True', 'false', 'false', '511722205200', 5, '金竹寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722205200', 1, '2021-07-19 11:57:25', NULL, NULL), (24790, '', '铜鼓村', 'be4dbdadd47f4c518bca7c83b559a64a', '1094a66eebd54dccb3a05f29e35c4a64', 'False', 'True', 'false', 'false', '511722205201', 5, '铜鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722205201', 1, '2021-07-19 11:57:25', NULL, NULL), (24791, '', '太平村', 'b03578044066433295dee6e95635e764', '1094a66eebd54dccb3a05f29e35c4a64', 'False', 'True', 'false', 'false', '511722205202', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722205202', 1, '2021-07-19 11:57:25', NULL, NULL), (24792, '', '五梁村', 'c41c9d167fc74156b91a7aa6adaecabd', '1094a66eebd54dccb3a05f29e35c4a64', 'False', 'True', 'false', 'false', '511722205203', 5, '五梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722205203', 1, '2021-07-19 11:57:25', NULL, NULL), (24793, '', '百花村', 'b1bb2848bb5744ee980d2a3ff65abae9', '1094a66eebd54dccb3a05f29e35c4a64', 'False', 'True', 'false', 'false', '511722205206', 5, '百花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722205206', 1, '2021-07-19 11:57:25', NULL, NULL), (24794, '', '阳雀社区', '0c9bf25f2cc141d48b2305ad207c2d9a', '1094a66eebd54dccb3a05f29e35c4a64', 'False', 'True', 'false', 'false', '511722205207', 5, '阳雀社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722205207', 1, '2021-07-19 11:57:25', NULL, NULL), (24795, '', '庙安镇', '8134d6be6f1444b5a50f697f3aa5ea85', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722207000', 4, '庙安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722207000', 1, '2021-07-19 11:57:25', NULL, NULL), (24796, '', '中山村', '1629bddb1507479fa158f3a3887ca0aa', '8134d6be6f1444b5a50f697f3aa5ea85', 'False', 'False', 'false', 'false', '511722207032', 5, '中山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722207032', 1, '2021-07-19 11:57:25', NULL, NULL), (24797, '', '复兴社区', '77e7389d71c847f08544a32f1639cfc8', '8134d6be6f1444b5a50f697f3aa5ea85', 'False', 'True', 'false', 'false', '511722207035', 5, '复兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722207035', 1, '2021-07-19 11:57:25', NULL, NULL), (24798, '', '香楼村', 'e26e6e7bd3c5429dbe02dcb8c4a6c0f8', '8134d6be6f1444b5a50f697f3aa5ea85', 'False', 'False', 'false', 'false', '511722207233', 5, '香楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722207233', 1, '2021-07-19 11:57:26', NULL, NULL), (24799, '', '茶子村', '43cd326ab12141d9909b963ddae7c15b', '8134d6be6f1444b5a50f697f3aa5ea85', 'False', 'True', 'false', 'false', '511722207923', 5, '茶子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722207923', 1, '2021-07-19 11:57:26', NULL, NULL), (24800, '', '龙安社区', '15ddd31043934eb69b29d545f845e3e3', '8134d6be6f1444b5a50f697f3aa5ea85', 'False', 'True', 'false', 'false', '511722207001', 5, '龙安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722207001', 1, '2021-07-19 11:57:26', NULL, NULL), (24801, '', '八庙村', '3cbe390be95047e49e8c3bf03d2a2b12', '8134d6be6f1444b5a50f697f3aa5ea85', 'False', 'False', 'false', 'false', '511722207200', 5, '八庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722207200', 1, '2021-07-19 11:57:26', NULL, NULL), (24802, '', '洞子村', 'ebe146e23391456ab55b4788610b9940', '8134d6be6f1444b5a50f697f3aa5ea85', 'False', 'False', 'false', 'false', '511722207201', 5, '洞子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722207201', 1, '2021-07-19 11:57:26', NULL, NULL), (24803, '', '龙潭河村', '37c656cc6161496aa6d68f4ddbb6ada3', '8134d6be6f1444b5a50f697f3aa5ea85', 'False', 'True', 'false', 'false', '511722207203', 5, '龙潭河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722207203', 1, '2021-07-19 11:57:26', NULL, NULL), (24804, '', '胜观村', 'e31ba98289784a868e6c8523ee335465', '8134d6be6f1444b5a50f697f3aa5ea85', 'False', 'False', 'false', 'false', '511722207204', 5, '胜观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722207204', 1, '2021-07-19 11:57:26', NULL, NULL), (24805, '', '上峡镇', 'd679132bd6ae4f7e9d549533ea779efd', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722212000', 4, '上峡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722212000', 1, '2021-07-19 11:57:26', NULL, NULL), (24806, '', '凉垭村', 'c6e41613ecc34818b90e63b832b1d084', 'd679132bd6ae4f7e9d549533ea779efd', 'False', 'True', 'false', 'false', '511722132055', 5, '凉垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722132055', 1, '2021-07-19 11:57:26', NULL, NULL), (24807, '', '大兴村', '4a6f1dfbf09646deae95bb3f52a48bc8', 'd679132bd6ae4f7e9d549533ea779efd', 'False', 'True', 'false', 'false', '511722132170', 5, '村兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722132170', 1, '2021-07-19 11:57:26', NULL, NULL), (24808, '', '长沟村', 'b5d314aa7f364190b2e189d0c4c2cd95', 'd679132bd6ae4f7e9d549533ea779efd', 'False', 'True', 'false', 'false', '511722132175', 5, '长沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722132175', 1, '2021-07-19 11:57:26', NULL, NULL), (24809, '', '洞口村', '0c068f06c3054d0fbf0b5f72a8588c6d', 'd679132bd6ae4f7e9d549533ea779efd', 'False', 'True', 'false', 'false', '511722132341', 5, '洞口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722132341', 1, '2021-07-19 11:57:26', NULL, NULL), (24810, '', '忠心社区', '48f7adc79a374189812633afbb8d7dd2', 'd679132bd6ae4f7e9d549533ea779efd', 'False', 'True', 'false', 'false', '511722132519', 5, '忠心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722132519', 1, '2021-07-19 11:57:26', NULL, NULL), (24811, '', '徐坪村', '6341229f53874a378149b526bd7ad140', 'd679132bd6ae4f7e9d549533ea779efd', 'False', 'True', 'false', 'false', '511722132834', 5, '徐坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722132834', 1, '2021-07-19 11:57:26', NULL, NULL), (24812, '', '三叉河社区', 'cf818ac81f404cf8afa22ed0bb54b802', 'd679132bd6ae4f7e9d549533ea779efd', 'False', 'True', 'false', 'false', '511722212001', 5, '三叉河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722212001', 1, '2021-07-19 11:57:26', NULL, NULL), (24813, '', '宝塔村', '844d280a671b44b384645ee36a48cf7b', 'd679132bd6ae4f7e9d549533ea779efd', 'False', 'True', 'false', 'false', '511722212200', 5, '宝塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722212200', 1, '2021-07-19 11:57:26', NULL, NULL), (24814, '', '麒麟村', '0b0ef844eb16455e8e1dd9e6a4da8a85', 'd679132bd6ae4f7e9d549533ea779efd', 'False', 'True', 'false', 'false', '511722212201', 5, '麒麟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722212201', 1, '2021-07-19 11:57:26', NULL, NULL), (24815, '', '杨柳关村', 'b42c9b2dee434c118847e70b2c7f6db8', 'd679132bd6ae4f7e9d549533ea779efd', 'False', 'True', 'false', 'false', '511722212203', 5, '杨柳关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722212203', 1, '2021-07-19 11:57:26', NULL, NULL), (24816, '', '赫天池村', '06c41fd10f5848559301c4468f762be3', 'd679132bd6ae4f7e9d549533ea779efd', 'False', 'True', 'false', 'false', '511722212205', 5, '赫天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722212205', 1, '2021-07-19 11:57:26', NULL, NULL), (24817, '', '柏树坪村', 'adee6587ee984dd98a2453a873cf7518', 'd679132bd6ae4f7e9d549533ea779efd', 'False', 'True', 'false', 'false', '511722212206', 5, '柏树坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722212206', 1, '2021-07-19 11:57:27', NULL, NULL), (24818, '', '塔河镇', '9d76089479be46db91a19528d59a3583', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722213000', 4, '塔河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722213000', 1, '2021-07-19 11:57:27', NULL, NULL), (24819, '', '宝塔社区', '99967dbf2a724dc6b0eefb5091e7a324', '9d76089479be46db91a19528d59a3583', 'False', 'True', 'false', 'false', '511722213001', 5, '宝塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722213001', 1, '2021-07-19 11:57:27', NULL, NULL), (24820, '', '大店村', 'fd5ef35a66b240caadc0cb58db8bd1f1', '9d76089479be46db91a19528d59a3583', 'False', 'True', 'false', 'false', '511722213201', 5, '大店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722213201', 1, '2021-07-19 11:57:27', NULL, NULL), (24821, '', '红庙村', '5bd5b4897da940128f4b2c5d2c90bee4', '9d76089479be46db91a19528d59a3583', 'False', 'True', 'false', 'false', '511722213202', 5, '红庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722213202', 1, '2021-07-19 11:57:27', NULL, NULL), (24822, '', '石坝村', '11c540860d2947c9a4ed3a0e241ee4e5', '9d76089479be46db91a19528d59a3583', 'False', 'True', 'false', 'false', '511722213204', 5, '石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722213204', 1, '2021-07-19 11:57:27', NULL, NULL), (24823, '', '石峡村', 'a7545f69f3ff46ff94e6a1638a3c27c2', '9d76089479be46db91a19528d59a3583', 'False', 'True', 'false', 'false', '511722213205', 5, '石峡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722213205', 1, '2021-07-19 11:57:27', NULL, NULL), (24824, '', '号楼村', 'b9c4258686a04594922cd6bd27888297', '9d76089479be46db91a19528d59a3583', 'False', 'True', 'false', 'false', '511722213206', 5, '号楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722213206', 1, '2021-07-19 11:57:27', NULL, NULL), (24825, '', '鸳鸯村', 'c94f6ec053b04bad8159599fb0f86e69', '9d76089479be46db91a19528d59a3583', 'False', 'True', 'false', 'false', '511722213207', 5, '鸳鸯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722213207', 1, '2021-07-19 11:57:27', NULL, NULL), (24826, '', '茶河镇', '6ddd844cf1cf4626be3f3db520f2c58f', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722214000', 4, '茶河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722214000', 1, '2021-07-19 11:57:27', NULL, NULL), (24827, '', '茶韵社区', 'b88b1cb5a0d9483fb65ffc9f2871fa1c', '6ddd844cf1cf4626be3f3db520f2c58f', 'False', 'True', 'false', 'false', '511722214001', 5, '茶韵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722214001', 1, '2021-07-19 11:57:27', NULL, NULL), (24828, '', '茶河村', 'e32a4baba9fa4b4084c466fe66dcec11', '6ddd844cf1cf4626be3f3db520f2c58f', 'False', 'True', 'false', 'false', '511722214200', 5, '茶河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722214200', 1, '2021-07-19 11:57:27', NULL, NULL), (24829, '', '武胜村', '20a33261b73740c48a3cd5eb5eb03969', '6ddd844cf1cf4626be3f3db520f2c58f', 'False', 'True', 'false', 'false', '511722214201', 5, '武胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722214201', 1, '2021-07-19 11:57:27', NULL, NULL), (24830, '', '岭岗社区', '65c8a96c41164e7fb19851570075dd84', '6ddd844cf1cf4626be3f3db520f2c58f', 'False', 'True', 'false', 'false', '511722214203', 5, '岭岗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722214203', 1, '2021-07-19 11:57:27', NULL, NULL), (24831, '', '圣水社区', 'af090ceaca5f458e973a93c0065c6bcd', '6ddd844cf1cf4626be3f3db520f2c58f', 'False', 'True', 'false', 'false', '511722214206', 5, '圣水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722214206', 1, '2021-07-19 11:57:27', NULL, NULL), (24832, '', '长坪村', '2e475de409634679b5d64a33f99b7a06', '6ddd844cf1cf4626be3f3db520f2c58f', 'False', 'True', 'false', 'false', '511722214207', 5, '长坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722214207', 1, '2021-07-19 11:57:27', NULL, NULL), (24833, '', '簝叶社区', '420f3281827a416291369021be572698', '6ddd844cf1cf4626be3f3db520f2c58f', 'False', 'True', 'false', 'false', '511722214208', 5, '簝叶社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722214208', 1, '2021-07-19 11:57:27', NULL, NULL), (24834, '', '国山村', '776f81a1948e47b2bbebcdc2a3ab42f6', '6ddd844cf1cf4626be3f3db520f2c58f', 'False', 'True', 'false', 'false', '511722214210', 5, '国山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722214210', 1, '2021-07-19 11:57:27', NULL, NULL), (24835, '', '龙观村', 'f95947ccfd5d4891849b48c07549af50', '6ddd844cf1cf4626be3f3db520f2c58f', 'False', 'True', 'false', 'false', '511722214211', 5, '龙观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722214211', 1, '2021-07-19 11:57:28', NULL, NULL), (24836, '', '板仙村', '9c5613435967489295822c05db454ead', '6ddd844cf1cf4626be3f3db520f2c58f', 'False', 'True', 'false', 'false', '511722214213', 5, '板仙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722214213', 1, '2021-07-19 11:57:28', NULL, NULL), (24837, '', '钟坪村', '262faaae480c4328b7475ca194760da2', '6ddd844cf1cf4626be3f3db520f2c58f', 'False', 'True', 'false', 'false', '511722214214', 5, '钟坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722214214', 1, '2021-07-19 11:57:28', NULL, NULL), (24838, '', '净瓶社区', 'c43d54fbae434d7098f4521f77de145e', '6ddd844cf1cf4626be3f3db520f2c58f', 'False', 'True', 'false', 'false', '511722214215', 5, '净瓶社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722214215', 1, '2021-07-19 11:57:28', NULL, NULL), (24839, '', '南坪镇', '3663b043aaa94ae28ce0fc18e8bc3726', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722217000', 4, '南坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722217000', 1, '2021-07-19 11:57:28', NULL, NULL), (24840, '', '玄祖社区', '00ced6df2f674576aaaccd241c9544b8', '3663b043aaa94ae28ce0fc18e8bc3726', 'False', 'True', 'false', 'false', '511722133022', 5, '玄祖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722133022', 1, '2021-07-19 11:57:28', NULL, NULL), (24841, '', '双扁村', 'f473a4962494407c8ab137c54273f372', '3663b043aaa94ae28ce0fc18e8bc3726', 'False', 'True', 'false', 'false', '511722133059', 5, '双扁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722133059', 1, '2021-07-19 11:57:28', NULL, NULL), (24842, '', '花园村', '0eb21c9e850a4a9a9bf848b0ce7aa245', '3663b043aaa94ae28ce0fc18e8bc3726', 'False', 'True', 'false', 'false', '511722133105', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722133105', 1, '2021-07-19 11:57:28', NULL, NULL), (24843, '', '斜坪村', '0bee88179ab74dadb69b644f82c92f0d', '3663b043aaa94ae28ce0fc18e8bc3726', 'False', 'True', 'false', 'false', '511722133239', 5, '斜坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722133239', 1, '2021-07-19 11:57:28', NULL, NULL), (24844, '', '桥沟村', 'e58b0c2db7bd4d189ed2818e53528fb0', '3663b043aaa94ae28ce0fc18e8bc3726', 'False', 'True', 'false', 'false', '511722133298', 5, '桥沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722133298', 1, '2021-07-19 11:57:28', NULL, NULL), (24845, '', '观山社区', '72e534646794468c816f2da16ab10184', '3663b043aaa94ae28ce0fc18e8bc3726', 'False', 'True', 'false', 'false', '511722133401', 5, '观山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722133401', 1, '2021-07-19 11:57:28', NULL, NULL), (24846, '', '修缮村', 'a84f1cb6e1cc433d91434b6d88bf92b3', '3663b043aaa94ae28ce0fc18e8bc3726', 'False', 'True', 'false', 'false', '511722133517', 5, '修缮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722133517', 1, '2021-07-19 11:57:28', NULL, NULL), (24847, '', '大树村', '8b17ed788e8b4d178bd1bbc0d4df280d', '3663b043aaa94ae28ce0fc18e8bc3726', 'False', 'True', 'false', 'false', '511722133592', 5, '大树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722133592', 1, '2021-07-19 11:57:28', NULL, NULL), (24848, '', '凤凰村', '1605a350f54644c7a4d62675ee8d3d1d', '3663b043aaa94ae28ce0fc18e8bc3726', 'False', 'True', 'false', 'false', '511722133663', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722133663', 1, '2021-07-19 11:57:28', NULL, NULL), (24849, '', '南城村', 'e754a6606ee443bbaa82e96f9150a13e', '3663b043aaa94ae28ce0fc18e8bc3726', 'False', 'True', 'false', 'false', '511722217202', 5, '南城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722217202', 1, '2021-07-19 11:57:28', NULL, NULL), (24850, '', '木瓜村', 'bf1e57e67eaa43e2b2f61d15708ff89d', '3663b043aaa94ae28ce0fc18e8bc3726', 'False', 'True', 'false', 'false', '511722217204', 5, '木瓜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722217204', 1, '2021-07-19 11:57:28', NULL, NULL), (24851, '', '桃花镇', '8d9da02fb7d244f2834097b6d207139c', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722219000', 4, '桃花镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722219000', 1, '2021-07-19 11:57:28', NULL, NULL), (24852, '', '莲寨社区', '04984284361d460e959edbe487006b66', '8d9da02fb7d244f2834097b6d207139c', 'False', 'True', 'false', 'false', '511722219001', 5, '莲寨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722219001', 1, '2021-07-19 11:57:28', NULL, NULL), (24853, '', '刘家沟村', 'e735f16a5e634c1c8e513be8a5d56b33', '8d9da02fb7d244f2834097b6d207139c', 'False', 'True', 'false', 'false', '511722219200', 5, '刘家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722219200', 1, '2021-07-19 11:57:29', NULL, NULL), (24854, '', '中山村', '3d99526135d7410a8206d5ed2fb15963', '8d9da02fb7d244f2834097b6d207139c', 'False', 'True', 'false', 'false', '511722219202', 5, '中山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722219202', 1, '2021-07-19 11:57:29', NULL, NULL), (24855, '', '桃花坪村', '1b95a9ae79fa42718ed1b3c79070668b', '8d9da02fb7d244f2834097b6d207139c', 'False', 'True', 'false', 'false', '511722219204', 5, '桃花坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722219204', 1, '2021-07-19 11:57:29', NULL, NULL), (24856, '', '鼓石梁村', '47fe472e6943417ea909a82b43acdb01', '8d9da02fb7d244f2834097b6d207139c', 'False', 'True', 'false', 'false', '511722219206', 5, '鼓石梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722219206', 1, '2021-07-19 11:57:29', NULL, NULL), (24857, '', '文凤村', 'cf1b1add204e4538b089b1ada8e96860', '8d9da02fb7d244f2834097b6d207139c', 'False', 'True', 'false', 'false', '511722219207', 5, '文凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722219207', 1, '2021-07-19 11:57:29', NULL, NULL), (24858, '', '三溪村', 'c2d6ff26145b46ad8454d54ae95001a8', '8d9da02fb7d244f2834097b6d207139c', 'False', 'True', 'false', 'false', '511722219208', 5, '三溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722219208', 1, '2021-07-19 11:57:29', NULL, NULL), (24859, '', '白马镇', '216a38239fe846edbd203da9bb8568d2', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722220000', 4, '白马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722220000', 1, '2021-07-19 11:57:29', NULL, NULL), (24860, '', '双龙社区', '34de2440e8104bec832b04e3a2a23f72', '216a38239fe846edbd203da9bb8568d2', 'False', 'True', 'false', 'false', '511722220001', 5, '双龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722220001', 1, '2021-07-19 11:57:29', NULL, NULL), (24861, '', '沙坪村', 'bec72640ed17406e976257966f18ad34', '216a38239fe846edbd203da9bb8568d2', 'False', 'True', 'false', 'false', '511722220200', 5, '沙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722220200', 1, '2021-07-19 11:57:29', NULL, NULL), (24862, '', '观岩村', 'b1258127aa724827842cdafed7690f06', '216a38239fe846edbd203da9bb8568d2', 'False', 'True', 'false', 'false', '511722220201', 5, '观岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722220201', 1, '2021-07-19 11:57:29', NULL, NULL), (24863, '', '白镇村', 'b6fd38f2bcbb4e6394d399d3f05299d5', '216a38239fe846edbd203da9bb8568d2', 'False', 'True', 'false', 'false', '511722220204', 5, '白镇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722220204', 1, '2021-07-19 11:57:29', NULL, NULL), (24864, '', '毕城村', '690ef6fe317b4e2f9eeae7d3bf72703f', '216a38239fe846edbd203da9bb8568d2', 'False', 'True', 'false', 'false', '511722220205', 5, '毕城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722220205', 1, '2021-07-19 11:57:29', NULL, NULL), (24865, '', '马鞍村', 'c40c4023c8b6404b950d05f59669b861', '216a38239fe846edbd203da9bb8568d2', 'False', 'True', 'false', 'false', '511722220206', 5, '马鞍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722220206', 1, '2021-07-19 11:57:29', NULL, NULL), (24866, '', '三墩土家族乡', 'eb3e2a2c49d34205bc0922f4c664234b', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722222000', 4, '三墩土家族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722222000', 1, '2021-07-19 11:57:29', NULL, NULL), (24867, '', '育英社区', 'c1c1726fd340481891ad66afd9a154ce', 'eb3e2a2c49d34205bc0922f4c664234b', 'False', 'True', 'false', 'false', '511722222001', 5, '育英社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722222001', 1, '2021-07-19 11:57:30', NULL, NULL), (24868, '', '大河村', '3951fe3acebd4e20baa5f3c642e6dc84', 'eb3e2a2c49d34205bc0922f4c664234b', 'False', 'True', 'false', 'false', '511722222200', 5, '大河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722222200', 1, '2021-07-19 11:57:30', NULL, NULL), (24869, '', '龙洞村', '896e2ca6ff0c4ce3bbd4f990c829ec8c', 'eb3e2a2c49d34205bc0922f4c664234b', 'False', 'True', 'false', 'false', '511722222201', 5, '龙洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722222201', 1, '2021-07-19 11:57:30', NULL, NULL), (24870, '', '大窝村', 'b71b794960ce42bfb08826151e970de1', 'eb3e2a2c49d34205bc0922f4c664234b', 'False', 'True', 'false', 'false', '511722222204', 5, '大窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722222204', 1, '2021-07-19 11:57:30', NULL, NULL), (24871, '', '龙虎村', 'a000212850f540d0ba36c3b2d7ca8431', 'eb3e2a2c49d34205bc0922f4c664234b', 'False', 'True', 'false', 'false', '511722222205', 5, '龙虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722222205', 1, '2021-07-19 11:57:30', NULL, NULL), (24872, '', '梨树村', '80e871c7304d4307aa1f8e4b4d556de6', 'eb3e2a2c49d34205bc0922f4c664234b', 'False', 'True', 'false', 'false', '511722222206', 5, '梨树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722222206', 1, '2021-07-19 11:57:30', NULL, NULL), (24873, '', '漆树土家族乡', 'c0d245d3cf4b435ca382d17035696ef8', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722223000', 4, '漆树土家族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722223000', 1, '2021-07-19 11:57:30', NULL, NULL), (24874, '', '琵琶村', '831a05483f584f0a824fcc1d89191e50', 'c0d245d3cf4b435ca382d17035696ef8', 'False', 'True', 'false', 'false', '511722223129', 5, '琵琶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722223129', 1, '2021-07-19 11:57:30', NULL, NULL), (24875, '', '花盆村', 'b2edddc2a1434d8b993ee9bc66c5fdf5', 'c0d245d3cf4b435ca382d17035696ef8', 'False', 'True', 'false', 'false', '511722223141', 5, '花盆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722223141', 1, '2021-07-19 11:57:30', NULL, NULL), (24876, '', '漆碑社区', '9e749f3381a24e69a0ee2d86aaf59cfb', 'c0d245d3cf4b435ca382d17035696ef8', 'False', 'True', 'false', 'false', '511722223296', 5, '漆碑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722223296', 1, '2021-07-19 11:57:30', NULL, NULL), (24877, '', '杉木村', '14e8b3f3df7a4cd7a42c3928ee2d3c2f', 'c0d245d3cf4b435ca382d17035696ef8', 'False', 'True', 'false', 'false', '511722223703', 5, '杉木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722223703', 1, '2021-07-19 11:57:30', NULL, NULL), (24878, '', '长城社区', '2e5359a337c74786b7bbdf17f5e190b3', 'c0d245d3cf4b435ca382d17035696ef8', 'False', 'True', 'false', 'false', '511722223200', 5, '长城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722223200', 1, '2021-07-19 11:57:30', NULL, NULL), (24879, '', '乘龙村', '1f19a414ea7744b08b52a14ba4dc67ac', 'c0d245d3cf4b435ca382d17035696ef8', 'False', 'True', 'false', 'false', '511722223201', 5, '乘龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722223201', 1, '2021-07-19 11:57:30', NULL, NULL), (24880, '', '松林村', 'd67f8adbdafb442b952e41357be32b8b', 'c0d245d3cf4b435ca382d17035696ef8', 'False', 'True', 'false', 'false', '511722223202', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722223202', 1, '2021-07-19 11:57:30', NULL, NULL), (24881, '', '朝阳村', 'ce2b998ffb244bdd875ba4c2857607a0', 'c0d245d3cf4b435ca382d17035696ef8', 'False', 'True', 'false', 'false', '511722223203', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722223203', 1, '2021-07-19 11:57:30', NULL, NULL), (24882, '', '龙泉土家族乡', '0c633a99fb674906a72f10a1508b5795', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722224000', 4, '龙泉土家族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722224000', 1, '2021-07-19 11:57:31', NULL, NULL), (24883, '', '鸡坪村', '734260752f2f47349ed15ee9a2093e5d', '0c633a99fb674906a72f10a1508b5795', 'False', 'False', 'false', 'false', '511722224271', 5, '鸡坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722224271', 1, '2021-07-19 11:57:31', NULL, NULL), (24884, '', '河口社区', '22c1af0f98bc42a59518a75f2306801d', '0c633a99fb674906a72f10a1508b5795', 'False', 'True', 'false', 'false', '511722224001', 5, '河口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722224001', 1, '2021-07-19 11:57:31', NULL, NULL), (24885, '', '老场村', '84a9e64214584155baeaef6b85370996', '0c633a99fb674906a72f10a1508b5795', 'False', 'False', 'false', 'false', '511722224202', 5, '老场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722224202', 1, '2021-07-19 11:57:31', NULL, NULL), (24886, '', '高架村', 'cd3a318544884e91b09ff8d40f7d037b', '0c633a99fb674906a72f10a1508b5795', 'False', 'False', 'false', 'false', '511722224203', 5, '高架村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722224203', 1, '2021-07-19 11:57:31', NULL, NULL), (24887, '', '草坝村', '68a4c7891e5149629daa5965bdc7174b', '0c633a99fb674906a72f10a1508b5795', 'False', 'False', 'false', 'false', '511722224205', 5, '草坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722224205', 1, '2021-07-19 11:57:31', NULL, NULL), (24888, '', '坪溪社区', 'cb624acd7dfb4579bf575f38666181e3', '0c633a99fb674906a72f10a1508b5795', 'False', 'True', 'false', 'false', '511722224206', 5, '坪溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722224206', 1, '2021-07-19 11:57:31', NULL, NULL), (24889, '', '水古村', 'bb7f088af87446cebdc159f3ce79e010', '0c633a99fb674906a72f10a1508b5795', 'False', 'False', 'false', 'false', '511722224207', 5, '水古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722224207', 1, '2021-07-19 11:57:31', NULL, NULL), (24890, '', '罗盘村', 'e2128bc4c9a04bd1bcdfb93210fa868e', '0c633a99fb674906a72f10a1508b5795', 'False', 'False', 'false', 'false', '511722224208', 5, '罗盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722224208', 1, '2021-07-19 11:57:31', NULL, NULL), (24891, '', '扇坡村', 'bfbf9580ad64422e9453ca3af248e871', '0c633a99fb674906a72f10a1508b5795', 'False', 'False', 'false', 'false', '511722224210', 5, '扇坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722224210', 1, '2021-07-19 11:57:31', NULL, NULL), (24892, '', '黄连村', '4ec61b59001b4ad581e0ba334b1b3892', '0c633a99fb674906a72f10a1508b5795', 'False', 'False', 'false', 'false', '511722224211', 5, '黄连村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722224211', 1, '2021-07-19 11:57:31', NULL, NULL), (24893, '', '渡口土家族乡', '0d89f13955624b60883e5725e6c6d0df', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722225000', 4, '渡口土家族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722225000', 1, '2021-07-19 11:57:31', NULL, NULL), (24894, '', '桃溪村', 'd8f1a254ee074e2c944f3fe141187725', '0d89f13955624b60883e5725e6c6d0df', 'False', 'True', 'false', 'false', '511722225834', 5, '桃溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722225834', 1, '2021-07-19 11:57:31', NULL, NULL), (24895, '', '常乐社区', '1f2a09ccf65f48b58ca375371f66a4ab', '0d89f13955624b60883e5725e6c6d0df', 'False', 'True', 'false', 'false', '511722225001', 5, '常乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722225001', 1, '2021-07-19 11:57:31', NULL, NULL), (24896, '', '果坝村', '7adda96ed9b74c5eae34ec745ad73cb7', '0d89f13955624b60883e5725e6c6d0df', 'False', 'True', 'false', 'false', '511722225200', 5, '果坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722225200', 1, '2021-07-19 11:57:31', NULL, NULL), (24897, '', '龙潭村', '6b920369a2c64b09a41107684e74edf2', '0d89f13955624b60883e5725e6c6d0df', 'False', 'True', 'false', 'false', '511722225203', 5, '龙潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722225203', 1, '2021-07-19 11:57:32', NULL, NULL), (24898, '', '立石村', 'e4ad062f50fe4390a494da8f172b0c93', '0d89f13955624b60883e5725e6c6d0df', 'False', 'True', 'false', 'false', '511722225204', 5, '立石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722225204', 1, '2021-07-19 11:57:32', NULL, NULL), (24899, '', '甜竹村', 'd61e16bc12de4b1b82911edc2ae70d0d', '0d89f13955624b60883e5725e6c6d0df', 'False', 'True', 'false', 'false', '511722225206', 5, '甜竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722225206', 1, '2021-07-19 11:57:32', NULL, NULL), (24900, '', '石铁乡', '1a4b7c9798ec4dfcb62c4352453de003', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722226000', 4, '石铁乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722226000', 1, '2021-07-19 11:57:32', NULL, NULL), (24901, '', '望月社区', '0f01beebb5ba4c79b8f3a474db2fe81b', '1a4b7c9798ec4dfcb62c4352453de003', 'False', 'True', 'false', 'false', '511722226001', 5, '望月社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722226001', 1, '2021-07-19 11:57:32', NULL, NULL), (24902, '', '寺坪村', '89ccc63fdef1486aacf7004444175aa8', '1a4b7c9798ec4dfcb62c4352453de003', 'False', 'False', 'false', 'false', '511722226202', 5, '寺坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722226202', 1, '2021-07-19 11:57:32', NULL, NULL), (24903, '', '老坝村', '7f3b8c461aa142ca90b05697af7a3625', '1a4b7c9798ec4dfcb62c4352453de003', 'False', 'False', 'false', 'false', '511722226203', 5, '老坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722226203', 1, '2021-07-19 11:57:32', NULL, NULL), (24904, '', '白果村', '1435a1a3779740d8927aef9199bbf99e', '1a4b7c9798ec4dfcb62c4352453de003', 'False', 'True', 'false', 'false', '511722226204', 5, '白果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722226204', 1, '2021-07-19 11:57:32', NULL, NULL), (24905, '', '斜水村', '55e2acfdc0674ae687925fb6ec309d60', '1a4b7c9798ec4dfcb62c4352453de003', 'False', 'False', 'false', 'false', '511722226205', 5, '斜水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722226205', 1, '2021-07-19 11:57:32', NULL, NULL), (24906, '', '厂溪镇', 'b52fdc96a879417ab29aec5a9b9b47cf', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722227000', 4, '厂溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722227000', 1, '2021-07-19 11:57:32', NULL, NULL), (24907, '', '万缘社区', 'dadd6415a27b479d85de38f4c795f3ce', 'b52fdc96a879417ab29aec5a9b9b47cf', 'False', 'True', 'false', 'false', '511722227001', 5, '万缘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722227001', 1, '2021-07-19 11:57:32', NULL, NULL), (24908, '', '三角坝村', '4628a93f4b154fa4b855f4a8db292213', 'b52fdc96a879417ab29aec5a9b9b47cf', 'False', 'True', 'false', 'false', '511722227200', 5, '三角坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722227200', 1, '2021-07-19 11:57:32', NULL, NULL), (24909, '', '燕窝岩村', '17af53f0903b4252af672df5e4aa5415', 'b52fdc96a879417ab29aec5a9b9b47cf', 'False', 'True', 'false', 'false', '511722227201', 5, '燕窝岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722227201', 1, '2021-07-19 11:57:32', NULL, NULL), (24910, '', '双山村', 'd8eebcdc02904017882c20279fbf1d4c', 'b52fdc96a879417ab29aec5a9b9b47cf', 'False', 'True', 'false', 'false', '511722227202', 5, '双山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722227202', 1, '2021-07-19 11:57:32', NULL, NULL), (24911, '', '黑石村', '573975607dda437c98359406139a97f8', 'b52fdc96a879417ab29aec5a9b9b47cf', 'False', 'True', 'false', 'false', '511722227203', 5, '黑石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722227203', 1, '2021-07-19 11:57:32', NULL, NULL), (24912, '', '转角村', '5530c830905c41e19775f59451090a98', 'b52fdc96a879417ab29aec5a9b9b47cf', 'False', 'True', 'false', 'false', '511722227204', 5, '转角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722227204', 1, '2021-07-19 11:57:32', NULL, NULL), (24913, '', '老林村', '73818d9fe810490e9edbddaf0e74d682', 'b52fdc96a879417ab29aec5a9b9b47cf', 'False', 'True', 'false', 'false', '511722227205', 5, '老林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722227205', 1, '2021-07-19 11:57:33', NULL, NULL), (24914, '', '柏坪村', 'e9029c16ed634d28adbee8054750315a', 'b52fdc96a879417ab29aec5a9b9b47cf', 'False', 'True', 'false', 'false', '511722227206', 5, '柏坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722227206', 1, '2021-07-19 11:57:33', NULL, NULL), (24915, '', '四路村', 'ba98387628d041d4a349c3c1c0cc9259', 'b52fdc96a879417ab29aec5a9b9b47cf', 'False', 'True', 'false', 'false', '511722227207', 5, '四路村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722227207', 1, '2021-07-19 11:57:33', NULL, NULL), (24916, '', '青岗村', 'c7c811a2d2a04537bc5dea87b8e5ce32', 'b52fdc96a879417ab29aec5a9b9b47cf', 'False', 'True', 'false', 'false', '511722227208', 5, '青岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722227208', 1, '2021-07-19 11:57:33', NULL, NULL), (24917, '', '梨子社区', 'e0703814bc2a4f9e9293ab8626c672dc', 'b52fdc96a879417ab29aec5a9b9b47cf', 'False', 'True', 'false', 'false', '511722227209', 5, '梨子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722227209', 1, '2021-07-19 11:57:33', NULL, NULL), (24918, '', '井沟村', '193651e588394e888a32182cb2a3735b', 'b52fdc96a879417ab29aec5a9b9b47cf', 'False', 'True', 'false', 'false', '511722227212', 5, '井沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722227212', 1, '2021-07-19 11:57:33', NULL, NULL), (24919, '', '红峰镇', 'a05565b99932409ab63faf8a4910bf12', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722228000', 4, '红峰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722228000', 1, '2021-07-19 11:57:33', NULL, NULL), (24920, '', '凤鸣社区', '5088bfac6e4c434f98dee9d0301bab9d', 'a05565b99932409ab63faf8a4910bf12', 'False', 'True', 'false', 'false', '511722125045', 5, '凤鸣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722125045', 1, '2021-07-19 11:57:33', NULL, NULL), (24921, '', '石场村', 'c0e0d3594acf4012af0635921d01274a', 'a05565b99932409ab63faf8a4910bf12', 'False', 'True', 'false', 'false', '511722125380', 5, '石场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722125380', 1, '2021-07-19 11:57:33', NULL, NULL), (24922, '', '仙寨村', 'e7f21cfb10d0408b8bcb1e15c6267b9c', 'a05565b99932409ab63faf8a4910bf12', 'False', 'True', 'false', 'false', '511722125520', 5, '仙寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722125520', 1, '2021-07-19 11:57:33', NULL, NULL), (24923, '', '龙口村', '0e2292dbfb3d4ce6b06142695e4ca30c', 'a05565b99932409ab63faf8a4910bf12', 'False', 'True', 'false', 'false', '511722125668', 5, '龙口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722125668', 1, '2021-07-19 11:57:33', NULL, NULL), (24924, '', '达洲村', 'f454200a93d447bc8fa71116e36ef828', 'a05565b99932409ab63faf8a4910bf12', 'False', 'True', 'false', 'false', '511722125946', 5, '达洲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722125946', 1, '2021-07-19 11:57:33', NULL, NULL), (24925, '', '双凤村', 'aa58a6d4c5a149aa9016f0b99e576a8c', 'a05565b99932409ab63faf8a4910bf12', 'False', 'True', 'false', 'false', '511722125985', 5, '双凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722125985', 1, '2021-07-19 11:57:33', NULL, NULL), (24926, '', '红沿社区', 'dc28ac3604a2413aa54f26c91fffaec7', 'a05565b99932409ab63faf8a4910bf12', 'False', 'True', 'false', 'false', '511722228001', 5, '红沿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722228001', 1, '2021-07-19 11:57:33', NULL, NULL), (24927, '', '厅房村', 'afba4ee3de2240b3858e2bf80e98f752', 'a05565b99932409ab63faf8a4910bf12', 'False', 'True', 'false', 'false', '511722228200', 5, '厅房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722228200', 1, '2021-07-19 11:57:34', NULL, NULL), (24928, '', '白雪村', 'fe64dd4ac67f410b9a4ea8b9377f4283', 'a05565b99932409ab63faf8a4910bf12', 'False', 'True', 'false', 'false', '511722228201', 5, '白雪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722228201', 1, '2021-07-19 11:57:34', NULL, NULL), (24929, '', '桥河村', '613cec4303f84d6d8a09bb79de50b9e1', 'a05565b99932409ab63faf8a4910bf12', 'False', 'True', 'false', 'false', '511722228202', 5, '桥河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722228202', 1, '2021-07-19 11:57:34', NULL, NULL), (24930, '', '垭口村', 'f6869c0f2e4c4c3b8ad8c15e242580e8', 'a05565b99932409ab63faf8a4910bf12', 'False', 'True', 'false', 'false', '511722228203', 5, '垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722228203', 1, '2021-07-19 11:57:34', NULL, NULL), (24931, '', '石堡村', '94b27e4fcc554d44a505da4b9e357e5a', 'a05565b99932409ab63faf8a4910bf12', 'False', 'True', 'false', 'false', '511722228204', 5, '石堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722228204', 1, '2021-07-19 11:57:34', NULL, NULL), (24932, '', '石龙村', '9bccc495ceab499e975cded8a791c06c', 'a05565b99932409ab63faf8a4910bf12', 'False', 'True', 'false', 'false', '511722228207', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722228207', 1, '2021-07-19 11:57:34', NULL, NULL), (24933, '', '马渡关镇', 'd6327facbf884bfbaba13a75534819cc', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722233000', 4, '马渡关镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722233000', 1, '2021-07-19 11:57:34', NULL, NULL), (24934, '', '鞍山村', '37f245db6ce344e490c3b1da99cecaf5', 'd6327facbf884bfbaba13a75534819cc', 'False', 'True', 'false', 'false', '511722130048', 5, '鞍山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722130048', 1, '2021-07-19 11:57:34', NULL, NULL), (24935, '', '烟灯村', 'fc479c072949471690adb63719487652', 'd6327facbf884bfbaba13a75534819cc', 'False', 'True', 'false', 'false', '511722130155', 5, '烟灯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722130155', 1, '2021-07-19 11:57:34', NULL, NULL), (24936, '', '严坪村', '29c09c91ed874d1ea9f07f91f6139869', 'd6327facbf884bfbaba13a75534819cc', 'False', 'True', 'false', 'false', '511722130392', 5, '严坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722130392', 1, '2021-07-19 11:57:34', NULL, NULL), (24937, '', '隘口社区', '63484e301c3f4a11bfde795f241ead72', 'd6327facbf884bfbaba13a75534819cc', 'False', 'True', 'false', 'false', '511722130448', 5, '隘口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722130448', 1, '2021-07-19 11:57:34', NULL, NULL), (24938, '', '白玉村', 'dc302d1d131343af83cd31172f48d843', 'd6327facbf884bfbaba13a75534819cc', 'False', 'True', 'false', 'false', '511722130457', 5, '白玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722130457', 1, '2021-07-19 11:57:34', NULL, NULL), (24939, '', '庆云社区', '7f5d57ef8a154b5195ce452791aa05d0', 'd6327facbf884bfbaba13a75534819cc', 'False', 'True', 'false', 'false', '511722130480', 5, '庆云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722130480', 1, '2021-07-19 11:57:34', NULL, NULL), (24940, '', '新生社区', 'b38242d28d8e4fd1a83daa195aea77b4', 'd6327facbf884bfbaba13a75534819cc', 'False', 'True', 'false', 'false', '511722130496', 5, '新生社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722130496', 1, '2021-07-19 11:57:34', NULL, NULL), (24941, '', '长岗村', '79d39a53a58745f58fe111749430e5c8', 'd6327facbf884bfbaba13a75534819cc', 'False', 'True', 'false', 'false', '511722130511', 5, '长岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722130511', 1, '2021-07-19 11:57:34', NULL, NULL), (24942, '', '小寨村', 'd59af1cd93a74d50b8fc2a1d2cd04430', 'd6327facbf884bfbaba13a75534819cc', 'False', 'True', 'false', 'false', '511722130547', 5, '小寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722130547', 1, '2021-07-19 11:57:35', NULL, NULL), (24943, '', '得胜社区', '776715c437cf44a9bf16408f85de1c96', 'd6327facbf884bfbaba13a75534819cc', 'False', 'True', 'false', 'false', '511722130808', 5, '得胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722130808', 1, '2021-07-19 11:57:35', NULL, NULL), (24944, '', '双庙村', '4cd984da1fc1428d97e823e7412ffbba', 'd6327facbf884bfbaba13a75534819cc', 'False', 'True', 'false', 'false', '511722130830', 5, '双庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722130830', 1, '2021-07-19 11:57:35', NULL, NULL), (24945, '', '新寨社区', '8b71aa2890b44f71819135853823f573', 'd6327facbf884bfbaba13a75534819cc', 'False', 'True', 'false', 'false', '511722130975', 5, '新寨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722130975', 1, '2021-07-19 11:57:35', NULL, NULL), (24946, '', '石林社区', 'b2224afe38fd403a8fae26c336a018d1', 'd6327facbf884bfbaba13a75534819cc', 'False', 'True', 'false', 'false', '511722233001', 5, '石林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722233001', 1, '2021-07-19 11:57:35', NULL, NULL), (24947, '', '百丈村', '9561babfbd2c453c953192ec3a1a46d2', 'd6327facbf884bfbaba13a75534819cc', 'False', 'True', 'false', 'false', '511722233201', 5, '百丈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722233201', 1, '2021-07-19 11:57:35', NULL, NULL), (24948, '', '长滩村', '222e0e3533e84b558e71f99441ea6129', 'd6327facbf884bfbaba13a75534819cc', 'False', 'True', 'false', 'false', '511722233205', 5, '长滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722233205', 1, '2021-07-19 11:57:35', NULL, NULL), (24949, '', '东乡街道', '0d63a5dbacd546f8b23b161a574ef6b1', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722100000', 4, '东乡街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722100000', 1, '2021-07-19 11:57:35', NULL, NULL), (24950, '', '文昌社区', '759759e7bd91472b9ffb9456c5e09d8b', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'False', 'false', 'false', '511722100155', 5, '文昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100155', 1, '2021-07-19 11:57:35', NULL, NULL), (24951, '', '磨峡村', '82ae924ae7c8444b8f729653d48c1b16', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'False', 'false', 'false', '511722100163', 5, '磨峡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100163', 1, '2021-07-19 11:57:35', NULL, NULL), (24952, '', '观湖社区', '68dcc9afe59c4832b1b8931c54c3c75c', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'False', 'false', 'false', '511722100182', 5, '观湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100182', 1, '2021-07-19 11:57:35', NULL, NULL), (24953, '', '育才社区', '19c7fe3aa0194b5a95886da7f3bfb59c', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'False', 'false', 'false', '511722100233', 5, '育才社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100233', 1, '2021-07-19 11:57:35', NULL, NULL), (24954, '', '铁溪河', 'a3651c2ebcbe4c9693dd64e99f5fe282', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'False', 'false', 'false', '511722100252', 5, '铁溪河', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100252', 1, '2021-07-19 11:57:35', NULL, NULL), (24955, '', '樟木沟村', '2a79d199287d493aa160cb0e0f8e8cb6', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'False', 'false', 'false', '511722100398', 5, '樟木沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100398', 1, '2021-07-19 11:57:35', NULL, NULL), (24956, '', '津碧社区', '8cb93f27865d4a81a7ae406a2b10ef96', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'True', 'false', 'false', '511722100401', 5, '津碧社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100401', 1, '2021-07-19 11:57:35', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (24957, '', '大梁村', 'aad0769380164643921028c22d93db54', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'True', 'false', 'false', '511722100427', 5, '大梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100427', 1, '2021-07-19 11:57:36', NULL, NULL), (24958, '', '红界村', '71737fa4505a4a6a80d0d3b6716af926', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'False', 'false', 'false', '511722100430', 5, '红界村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100430', 1, '2021-07-19 11:57:36', NULL, NULL), (24959, '', '秧田村', '69abd664c28b485280927fbd51718bc0', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'False', 'false', 'false', '511722100439', 5, '秧田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100439', 1, '2021-07-19 11:57:36', NULL, NULL), (24960, '', '龙岗社区', '3695f1064c4d4178b851ac3b7c1933e7', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'False', 'false', 'false', '511722100490', 5, '龙岗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100490', 1, '2021-07-19 11:57:36', NULL, NULL), (24961, '', '花园社区', '4ad55aa1fb224a469e13c44b62d04eb4', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'False', 'false', 'false', '511722100563', 5, '花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100563', 1, '2021-07-19 11:57:36', NULL, NULL), (24962, '', '墩坡村', '6b5d6d6fd93e46d6af77c51c0e960dd5', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'False', 'false', 'false', '511722100594', 5, '墩坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100594', 1, '2021-07-19 11:57:36', NULL, NULL), (24963, '', '城南社区', 'e6bebde32a904af195367b977964c2d0', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'False', 'false', 'false', '511722100603', 5, '城南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100603', 1, '2021-07-19 11:57:36', NULL, NULL), (24964, '', '牛背村', '82426d437cff48dcb5c9766023fb0f43', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'False', 'false', 'false', '511722100671', 5, '牛背村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100671', 1, '2021-07-19 11:57:36', NULL, NULL), (24965, '', '湖山社区', '02c970704bc34550801b7bb33d74f17f', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'False', 'false', 'false', '511722100677', 5, '湖山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100677', 1, '2021-07-19 11:57:36', NULL, NULL), (24966, '', '南岸社区', 'e940954cd90f44c09367f810387ad3c1', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'False', 'false', 'false', '511722100700', 5, '南岸社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100700', 1, '2021-07-19 11:57:36', NULL, NULL), (24967, '', '福溪社区', '9ebd3369ecb246e2aa72fa92dbc5e0d4', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'False', 'false', 'false', '511722100735', 5, '福溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100735', 1, '2021-07-19 11:57:36', NULL, NULL), (24968, '', '长扁村', '2f34bdbcf1c84346a10a87024cf75a6b', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'False', 'false', 'false', '511722100836', 5, '长扁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100836', 1, '2021-07-19 11:57:36', NULL, NULL), (24969, '', '桐油村', 'a62b3383ad9b4a1486f47cf28bd5594e', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'False', 'false', 'false', '511722100870', 5, '桐油村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100870', 1, '2021-07-19 11:57:36', NULL, NULL), (24970, '', '大山村', '72ceb18ddba34f83aa56052be4b3656f', '0d63a5dbacd546f8b23b161a574ef6b1', 'False', 'True', 'false', 'false', '511722100939', 5, '大山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722100939', 1, '2021-07-19 11:57:36', NULL, NULL), (24971, '', '蒲江街道', '21478121327b434089b6814a0b43f90a', '592f426598f743d0b9c6910b66806c32', 'True', 'True', 'false', 'false', '511722002000', 4, '蒲江街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511722002000', 1, '2021-07-19 11:57:36', NULL, NULL), (24972, '', '永安社区', 'ec3714e19a6f48ddb49712091b0c0fac', '21478121327b434089b6814a0b43f90a', 'False', 'True', 'false', 'false', '511722002020', 5, '永安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722002020', 1, '2021-07-19 11:57:36', NULL, NULL), (24973, '', '石岭社区', 'c5095e4bddb9420fbd21827bfabf749a', '21478121327b434089b6814a0b43f90a', 'False', 'True', 'false', 'false', '511722002030', 5, '石岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722002030', 1, '2021-07-19 11:57:36', NULL, NULL), (24974, '', '周桥社区', '5eeef6f917684acc868f342f5f2d496c', '21478121327b434089b6814a0b43f90a', 'False', 'False', 'false', 'false', '511722002132', 5, '周桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722002132', 1, '2021-07-19 11:57:37', NULL, NULL), (24975, '', '官渡村', '7fa5159e394b4ed78f7f7ea3a4a0a3e8', '21478121327b434089b6814a0b43f90a', 'False', 'False', 'false', 'false', '511722002235', 5, '官渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722002235', 1, '2021-07-19 11:57:37', NULL, NULL), (24976, '', '曾山村', '0a8da0e9c0204304b6618cc3c7005ad4', '21478121327b434089b6814a0b43f90a', 'False', 'False', 'false', 'false', '511722002303', 5, '曾山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722002303', 1, '2021-07-19 11:57:37', NULL, NULL), (24977, '', '金楠村', 'cf81856ad9a04167abce4fbee2879e91', '21478121327b434089b6814a0b43f90a', 'False', 'False', 'false', 'false', '511722002344', 5, '金楠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722002344', 1, '2021-07-19 11:57:37', NULL, NULL), (24978, '', '龙背村', '64d5f3f567614e6ebaa49ec2cce91895', '21478121327b434089b6814a0b43f90a', 'False', 'False', 'false', 'false', '511722002510', 5, '龙背村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722002510', 1, '2021-07-19 11:57:37', NULL, NULL), (24979, '', '宝寺社区', 'e9906473c1314c9ea14cfed8bc8e52c1', '21478121327b434089b6814a0b43f90a', 'False', 'True', 'false', 'false', '511722002542', 5, '宝寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722002542', 1, '2021-07-19 11:57:37', NULL, NULL), (24980, '', '新红村', '36ccca55821b46509024fd9bc986e93b', '21478121327b434089b6814a0b43f90a', 'False', 'False', 'false', 'false', '511722002573', 5, '新红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722002573', 1, '2021-07-19 11:57:37', NULL, NULL), (24981, '', '大垭村', 'fb5a78b7f78e4b7e8d257f9e1cea174a', '21478121327b434089b6814a0b43f90a', 'False', 'False', 'false', 'false', '511722002590', 5, '大垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722002590', 1, '2021-07-19 11:57:37', NULL, NULL), (24982, '', '茅岭村', '6f9e1857606b447d98fb2f46232ab7c7', '21478121327b434089b6814a0b43f90a', 'False', 'False', 'false', 'false', '511722002606', 5, '茅岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722002606', 1, '2021-07-19 11:57:37', NULL, NULL), (24983, '', '华融社区', 'd246a1dae6ac4c189381339edf52f36a', '21478121327b434089b6814a0b43f90a', 'False', 'True', 'false', 'false', '511722002630', 5, '华融社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722002630', 1, '2021-07-19 11:57:37', NULL, NULL), (24984, '', '插旗村', '03fe89275d5c4f3b8d2a42039b333606', '21478121327b434089b6814a0b43f90a', 'False', 'False', 'false', 'false', '511722002688', 5, '插旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722002688', 1, '2021-07-19 11:57:37', NULL, NULL), (24985, '', '兴隆村', '6f9e79eaea644012b223f81da1c169b6', '21478121327b434089b6814a0b43f90a', 'False', 'False', 'false', 'false', '511722002938', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722002938', 1, '2021-07-19 11:57:37', NULL, NULL), (24986, '', '明月社区', '62df7b869ce7443f8905eee87c828246', '21478121327b434089b6814a0b43f90a', 'False', 'False', 'false', 'false', '511722002950', 5, '明月社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722002950', 1, '2021-07-19 11:57:37', NULL, NULL), (24987, '', '黄金槽村', 'e90ff66a07d34e0daf12db83b2d873e6', '21478121327b434089b6814a0b43f90a', 'False', 'False', 'false', 'false', '511722002952', 5, '黄金槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722002952', 1, '2021-07-19 11:57:37', NULL, NULL), (24988, '', '洋烈社区', '20c274eaa5f04fd3b087596b3eb766e7', '21478121327b434089b6814a0b43f90a', 'False', 'True', 'false', 'false', '511722002975', 5, '洋烈社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511722002975', 1, '2021-07-19 11:57:37', NULL, NULL), (24989, '', '渠县', '349d1f0f610d47f0b16c7c2ef49f7b33', '16ca461e2c824257a50dd0c7fab6f2de', 'True', 'True', 'false', 'false', '511725000000', 3, '渠县', 'dzsqx.sczwfw.gov.cn', 1, '2021-07-19 11:57:37', NULL, NULL), (24990, '', '渠江街道', 'e5c16afcb92f4a87af6a22854739f1bb', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725100000', 4, '渠江街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725100000', 1, '2021-07-19 11:57:37', NULL, NULL), (24991, '', '胜利社区', '937d33c27faa4c0aab2d0095835fc3bc', 'e5c16afcb92f4a87af6a22854739f1bb', 'False', 'True', 'false', 'false', '511725100004', 5, '胜利社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725100004', 1, '2021-07-19 11:57:38', NULL, NULL), (24992, '', '后溪社区', '257ae09d340e46659f1cf70cb5a8141a', 'e5c16afcb92f4a87af6a22854739f1bb', 'False', 'True', 'false', 'false', '511725100005', 5, '后溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725100005', 1, '2021-07-19 11:57:38', NULL, NULL), (24993, '', '和平社区', 'bd2faa5c7ff84b37be33f087aa6745c0', 'e5c16afcb92f4a87af6a22854739f1bb', 'False', 'True', 'false', 'false', '511725100006', 5, '和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725100006', 1, '2021-07-19 11:57:38', NULL, NULL), (24994, '', '四合社区', '9cd60b59670746e7be614e1f4bfb52cd', 'e5c16afcb92f4a87af6a22854739f1bb', 'False', 'True', 'false', 'false', '511725100007', 5, '四合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725100007', 1, '2021-07-19 11:57:38', NULL, NULL), (24995, '', '解放社区', '3462e22b6a3346e5984af66b4f93d050', 'e5c16afcb92f4a87af6a22854739f1bb', 'False', 'True', 'false', 'false', '511725100008', 5, '解放社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725100008', 1, '2021-07-19 11:57:38', NULL, NULL), (24996, '', '北门社区', '8b562f317606446eb807749f415ea716', 'e5c16afcb92f4a87af6a22854739f1bb', 'False', 'True', 'false', 'false', '511725100009', 5, '北门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725100009', 1, '2021-07-19 11:57:38', NULL, NULL), (24997, '', '两路社区', '4e7890b5d0374f038e1eafc2e6dd25f2', 'e5c16afcb92f4a87af6a22854739f1bb', 'False', 'True', 'false', 'false', '511725100011', 5, '两路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725100011', 1, '2021-07-19 11:57:38', NULL, NULL), (24998, '', '山星社区', 'be1e496846a446f9ac9fd02b9725cc53', 'e5c16afcb92f4a87af6a22854739f1bb', 'False', 'True', 'false', 'false', '511725100012', 5, '山星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725100012', 1, '2021-07-19 11:57:38', NULL, NULL), (24999, '', '前峰社区', '9e4c491699184de2960946915b6d45cf', 'e5c16afcb92f4a87af6a22854739f1bb', 'False', 'True', 'false', 'false', '511725100025', 5, '前峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725100025', 1, '2021-07-19 11:57:38', NULL, NULL), (25000, '', '流江社区', '3f291a2cb5cd48619c543da3ba07ac0e', 'e5c16afcb92f4a87af6a22854739f1bb', 'False', 'True', 'false', 'false', '511725100124', 5, '流江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725100124', 1, '2021-07-19 11:57:38', NULL, NULL), (25001, '', '庆丰社区', '1a0e474fd31a4fbca673851c6ccc2572', 'e5c16afcb92f4a87af6a22854739f1bb', 'False', 'True', 'false', 'false', '511725100149', 5, '庆丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725100149', 1, '2021-07-19 11:57:38', NULL, NULL), (25002, '', '珠山村', '56a0eaa81f32406e8b40b9164966e979', 'e5c16afcb92f4a87af6a22854739f1bb', 'False', 'True', 'false', 'false', '511725100205', 5, '珠山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725100205', 1, '2021-07-19 11:57:38', NULL, NULL), (25003, '', '古湖社区', '8013df83b06241f8b6b9cc7f1b6cee78', 'e5c16afcb92f4a87af6a22854739f1bb', 'False', 'True', 'false', 'false', '511725100455', 5, '古湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725100455', 1, '2021-07-19 11:57:38', NULL, NULL), (25004, '', '石子岗社区', '8b43d736f33f437ab75dd59d002acad7', 'e5c16afcb92f4a87af6a22854739f1bb', 'False', 'True', 'false', 'false', '511725100867', 5, '石子岗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725100867', 1, '2021-07-19 11:57:38', NULL, NULL), (25005, '', '西溪社区', '038f3f0dd955464abfd04a941e1a0e12', 'e5c16afcb92f4a87af6a22854739f1bb', 'False', 'True', 'false', 'false', '511725100884', 5, '西溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725100884', 1, '2021-07-19 11:57:38', NULL, NULL), (25006, '', '土溪镇', '14c1fc7bbed74d9e927041ff4a6cdc35', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725103000', 4, '土溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725103000', 1, '2021-07-19 11:57:38', NULL, NULL), (25007, '', '百合社区', 'b80828794460417a81c0cb5a3799f8ff', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725103002', 5, '百合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725103002', 1, '2021-07-19 11:57:38', NULL, NULL), (25008, '', '人和社区', 'b3f45014a49f439e85ca976472d27b87', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725103003', 5, '人和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725103003', 1, '2021-07-19 11:57:38', NULL, NULL), (25009, '', '城坝村', '0991b1d836bd44659b4c9edab6366953', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725103200', 5, '城坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725103200', 1, '2021-07-19 11:57:39', NULL, NULL), (25010, '', '万合村', 'e86d26f4a92b4f82a2717b6dd186b815', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725103203', 5, '万合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725103203', 1, '2021-07-19 11:57:39', NULL, NULL), (25011, '', '石千村', 'd58b971d85aa4f1481b37a36e3a40856', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725103204', 5, '石千村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725103204', 1, '2021-07-19 11:57:39', NULL, NULL), (25012, '', '汉阙社区', '97a7684ca851493481fd173f1546289f', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725103207', 5, '汉阙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725103207', 1, '2021-07-19 11:57:39', NULL, NULL), (25013, '', '三星村', '4fa77a81ff804b74a6b50c3160701fdd', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725103210', 5, '三星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725103210', 1, '2021-07-19 11:57:39', NULL, NULL), (25014, '', '广禄村', '0ed924151e9a4890bebb763a46d3ab61', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725103213', 5, '广禄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725103213', 1, '2021-07-19 11:57:39', NULL, NULL), (25015, '', '万家村', 'ea62abdc92ae41af99a7f16dbd30a80e', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725103217', 5, '万家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725103217', 1, '2021-07-19 11:57:39', NULL, NULL), (25016, '', '先锋社区', '9cb2f7814342410e8e1cc323214950eb', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725103219', 5, '先锋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725103219', 1, '2021-07-19 11:57:39', NULL, NULL), (25017, '', '顺江社区', '84ea795f4ed0406594877ef30729dcef', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725103425', 5, '顺江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725103425', 1, '2021-07-19 11:57:39', NULL, NULL), (25018, '', '中房村', 'a8d2c13600e14ee7a323e9fe84a33029', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725106150', 5, '中房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106150', 1, '2021-07-19 11:57:39', NULL, NULL), (25019, '', '平碾村', 'f35bbaba60c74b1dabe00ec7f0a4d3c2', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725106255', 5, '平碾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106255', 1, '2021-07-19 11:57:39', NULL, NULL), (25020, '', '罗田村', 'f5799f2257844755b7db090e80a2a232', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725106385', 5, '罗田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106385', 1, '2021-07-19 11:57:39', NULL, NULL), (25021, '', '天府社区', '543302048b4644c6ab4350cdee4acf42', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725106447', 5, '天府社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106447', 1, '2021-07-19 11:57:39', NULL, NULL), (25022, '', '金蝉村', '1218ce407d7d4cc495e279fd434cfbf3', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725106518', 5, '金蝉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106518', 1, '2021-07-19 11:57:39', NULL, NULL), (25023, '', '汉亭村', 'c26f49ce32df493b93d1401488a2cd83', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725106571', 5, '汉亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106571', 1, '2021-07-19 11:57:39', NULL, NULL), (25024, '', '青神社区', '8a2a6d144ff147ac9812f461f0dc2656', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725106690', 5, '青神社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106690', 1, '2021-07-19 11:57:40', NULL, NULL), (25025, '', '高垭村', '8d5723ebd88f4af3ad7394c903b19ba6', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725106761', 5, '高垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106761', 1, '2021-07-19 11:57:40', NULL, NULL), (25026, '', '水口社区', '351eddf08e1e4a9e9621d3a4f10489f3', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725106873', 5, '水口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106873', 1, '2021-07-19 11:57:40', NULL, NULL), (25027, '', '黄石村', '63aa4530b1b14357a92024be2ee50bf3', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725106915', 5, '黄石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106915', 1, '2021-07-19 11:57:40', NULL, NULL), (25028, '', '天井村', 'a692e967ad7b498599c733f986a5ac5f', '14c1fc7bbed74d9e927041ff4a6cdc35', 'False', 'True', 'false', 'false', '511725106939', 5, '天井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106939', 1, '2021-07-19 11:57:40', NULL, NULL), (25029, '', '三汇镇', '32b4398eae1e49ae80cae7013711ea4c', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725104000', 4, '三汇镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725104000', 1, '2021-07-19 11:57:40', NULL, NULL), (25030, '', '汇东社区', '7845e129b9b64bbfaed201d55c0ad47b', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104012', 5, '汇东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104012', 1, '2021-07-19 11:57:40', NULL, NULL), (25031, '', '白蜡社区', '8326479a6191435f9c0d4c2cc5947ecc', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104013', 5, '白蜡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104013', 1, '2021-07-19 11:57:40', NULL, NULL), (25032, '', '汇南社区', '59356ba36121471abad55b07a756ae61', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104014', 5, '汇南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104014', 1, '2021-07-19 11:57:40', NULL, NULL), (25033, '', '汇北社区', '3c4adc094500417ca12e5cc4e92b2c96', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104015', 5, '汇北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104015', 1, '2021-07-19 11:57:40', NULL, NULL), (25034, '', '农乐社区', 'b269b17cf02c4c9996882d92bfaa5802', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104016', 5, '农乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104016', 1, '2021-07-19 11:57:40', NULL, NULL), (25035, '', '文家村', '5b26ef73199041ddb29b35910b709013', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104211', 5, '文家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104211', 1, '2021-07-19 11:57:40', NULL, NULL), (25036, '', '山青村', '100a169bcee8473d9ab9494b1a4b2f71', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104212', 5, '山青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104212', 1, '2021-07-19 11:57:40', NULL, NULL), (25037, '', '天城村', 'e44349e904a5428392c0bd0a95ee663d', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104213', 5, '天城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104213', 1, '2021-07-19 11:57:40', NULL, NULL), (25038, '', '龙眼村', 'ff6aef7b309848fbaf896cd5d5c51fb7', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104214', 5, '龙眼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104214', 1, '2021-07-19 11:57:40', NULL, NULL), (25039, '', '邓家村', '0bfc2e7f7863436a83bd811ac7ac0f0a', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104216', 5, '邓家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104216', 1, '2021-07-19 11:57:40', NULL, NULL), (25040, '', '火盆村', '4ef87f892cac4392b842f89187ecf516', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104217', 5, '火盆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104217', 1, '2021-07-19 11:57:41', NULL, NULL), (25041, '', '联合村', 'cd011f043ceb4dd3a19a1c523813c315', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104218', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104218', 1, '2021-07-19 11:57:41', NULL, NULL), (25042, '', '乐江村', 'a76020c38687458fae46b18549970e99', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104219', 5, '乐江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104219', 1, '2021-07-19 11:57:41', NULL, NULL), (25043, '', '兴民社区', 'b5e37cd4fffb45e1b3a3ae14e84cc6c5', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104001', 5, '兴民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104001', 1, '2021-07-19 11:57:41', NULL, NULL), (25044, '', '向阳社区', '302674c2658747b8991402c400ac8cd4', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104002', 5, '向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104002', 1, '2021-07-19 11:57:41', NULL, NULL), (25045, '', '环城社区', 'cfee14b4e1b34a3ab06f391eec21a3a6', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104003', 5, '环城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104003', 1, '2021-07-19 11:57:41', NULL, NULL), (25046, '', '北坝社区', '8b7ce70f932142a6a2e7b8402b978b12', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104004', 5, '北坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104004', 1, '2021-07-19 11:57:41', NULL, NULL), (25047, '', '西坪社区', '69e8200e59a843f69bf93d5a461e6bc9', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104006', 5, '西坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104006', 1, '2021-07-19 11:57:41', NULL, NULL), (25048, '', '三溪社区', '5042ffb4c51a424fafd8f603a631f61f', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104007', 5, '三溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104007', 1, '2021-07-19 11:57:41', NULL, NULL), (25049, '', '大盘社区', 'dd1905ca32554a8088daffc775ff1d11', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104008', 5, '大盘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104008', 1, '2021-07-19 11:57:41', NULL, NULL), (25050, '', '长久社区', '90e163d40b5141feadb8f2ab18a403a9', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104200', 5, '长久社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104200', 1, '2021-07-19 11:57:41', NULL, NULL), (25051, '', '金河村', '02f6350cc9fb450492f879fd55288265', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104202', 5, '金河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104202', 1, '2021-07-19 11:57:41', NULL, NULL), (25052, '', '深井社区', '204c5acb74d84617bbfd69fe39d69d6e', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104204', 5, '深井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104204', 1, '2021-07-19 11:57:41', NULL, NULL), (25053, '', '重石村', '71f27b1575564a3e9bceb03831f934ef', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104205', 5, '重石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104205', 1, '2021-07-19 11:57:41', NULL, NULL), (25054, '', '白塔社区', '8601d01755994217b133a82858f07086', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104206', 5, '白塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104206', 1, '2021-07-19 11:57:42', NULL, NULL), (25055, '', '响滩村', 'ee0fd925176a4c899b30226db27cc737', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104208', 5, '响滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104208', 1, '2021-07-19 11:57:42', NULL, NULL), (25056, '', '石佛社区', '4a4a5269c16940a8bc6d81e64bd24df0', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104209', 5, '石佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104209', 1, '2021-07-19 11:57:42', NULL, NULL), (25057, '', '新胜村', '49c2a00b24b74210b00c0c206743a3f4', '32b4398eae1e49ae80cae7013711ea4c', 'False', 'True', 'false', 'false', '511725104210', 5, '新胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725104210', 1, '2021-07-19 11:57:42', NULL, NULL), (25058, '', '涌兴镇', '3608d93266fb4d7fa2a371f82b97a005', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725106000', 4, '涌兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725106000', 1, '2021-07-19 11:57:42', NULL, NULL), (25059, '', '永盛社区', '0b3179f85a26415f9e8d4a4149c2fb3b', '3608d93266fb4d7fa2a371f82b97a005', 'False', 'True', 'false', 'false', '511725106003', 5, '永盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106003', 1, '2021-07-19 11:57:42', NULL, NULL), (25060, '', '平安社区', '64314d896332442eae8dd3afd4953996', '3608d93266fb4d7fa2a371f82b97a005', 'False', 'True', 'false', 'false', '511725106005', 5, '平安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106005', 1, '2021-07-19 11:57:42', NULL, NULL), (25061, '', '木岭村', 'a64d0c6633e841a48be65bd89fe7fe90', '3608d93266fb4d7fa2a371f82b97a005', 'False', 'True', 'false', 'false', '511725106218', 5, '木岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106218', 1, '2021-07-19 11:57:42', NULL, NULL), (25062, '', '金岭村', '9882a62f9d9f42bf9760b5b10a9a452a', '3608d93266fb4d7fa2a371f82b97a005', 'False', 'True', 'false', 'false', '5117856271434719232', 5, '金岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5117856271434719232', 1, '2021-07-19 11:57:42', NULL, NULL), (25063, '', '涌兴社区', '169253c46b5441a397f1225527bcfccf', '3608d93266fb4d7fa2a371f82b97a005', 'False', 'True', 'false', 'false', '511725106001', 5, '涌兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106001', 1, '2021-07-19 11:57:42', NULL, NULL), (25064, '', '涌北村', 'd641b1ae8cf64b29aabc55e073eb2930', '3608d93266fb4d7fa2a371f82b97a005', 'False', 'True', 'false', 'false', '511725106201', 5, '涌北村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106201', 1, '2021-07-19 11:57:42', NULL, NULL), (25065, '', '石龙村', 'f9b1072ba5e34f68a313d8d0c4cc9ee4', '3608d93266fb4d7fa2a371f82b97a005', 'False', 'True', 'false', 'false', '511725106202', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106202', 1, '2021-07-19 11:57:42', NULL, NULL), (25066, '', '群益村', '52912df15dad41d99437108607a07df3', '3608d93266fb4d7fa2a371f82b97a005', 'False', 'True', 'false', 'false', '511725106204', 5, '群益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106204', 1, '2021-07-19 11:57:42', NULL, NULL), (25067, '', '涌南村', '0b5a16f73bd24607b3d82cc32af0ae67', '3608d93266fb4d7fa2a371f82b97a005', 'False', 'True', 'false', 'false', '511725106205', 5, '涌南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106205', 1, '2021-07-19 11:57:42', NULL, NULL), (25068, '', '涌郊社区', '90a7db145d0a4abd9820e9cc26c9464a', '3608d93266fb4d7fa2a371f82b97a005', 'False', 'True', 'false', 'false', '511725106206', 5, '涌郊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106206', 1, '2021-07-19 11:57:42', NULL, NULL), (25069, '', '勤俭村', '3fef68b437c846e0bfdebe509922caaf', '3608d93266fb4d7fa2a371f82b97a005', 'False', 'True', 'false', 'false', '511725106207', 5, '勤俭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106207', 1, '2021-07-19 11:57:42', NULL, NULL), (25070, '', '云岭村', '5253bee84f8240af9b8b6500db1bd523', '3608d93266fb4d7fa2a371f82b97a005', 'False', 'True', 'false', 'false', '511725106208', 5, '云岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106208', 1, '2021-07-19 11:57:42', NULL, NULL), (25071, '', '玉滩村', '42c4b2cf73fd4c3c9f43ca2254f0278e', '3608d93266fb4d7fa2a371f82b97a005', 'False', 'True', 'false', 'false', '511725106211', 5, '玉滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106211', 1, '2021-07-19 11:57:42', NULL, NULL), (25072, '', '白坡村', '5045778a3fc44c8e9e28e5ad8740c056', '3608d93266fb4d7fa2a371f82b97a005', 'False', 'True', 'false', 'false', '511725106212', 5, '白坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106212', 1, '2021-07-19 11:57:43', NULL, NULL), (25073, '', '洪坪村', '25f67c1773bc42e98373a5ae883829f0', '3608d93266fb4d7fa2a371f82b97a005', 'False', 'True', 'false', 'false', '511725106215', 5, '洪坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106215', 1, '2021-07-19 11:57:43', NULL, NULL), (25074, '', '三元村', 'cc1f024552b845a083275805c2110ec2', '3608d93266fb4d7fa2a371f82b97a005', 'False', 'True', 'false', 'false', '511725106216', 5, '三元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106216', 1, '2021-07-19 11:57:43', NULL, NULL), (25075, '', '永兴社区', '93f9755e3da649e5838e90ec7d19e720', '3608d93266fb4d7fa2a371f82b97a005', 'False', 'True', 'false', 'false', '511725106217', 5, '永兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725106217', 1, '2021-07-19 11:57:43', NULL, NULL), (25076, '', '贵福镇', '4c7759365e24471d90e3704836493b05', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725107000', 4, '贵福镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725107000', 1, '2021-07-19 11:57:43', NULL, NULL), (25077, '', '八台社区', 'e81f1969acf6487ea9b338cd9d9bf027', '4c7759365e24471d90e3704836493b05', 'False', 'True', 'false', 'false', '511725107003', 5, '八台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725107003', 1, '2021-07-19 11:57:43', NULL, NULL), (25078, '', '贵福社区', '7aaa1cce0a9c40d3b0626f9eaf3db13f', '4c7759365e24471d90e3704836493b05', 'False', 'True', 'false', 'false', '511725107001', 5, '贵福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725107001', 1, '2021-07-19 11:57:43', NULL, NULL), (25079, '', '金垭村', '4de832e395094e3799c3893b454ca7ee', '4c7759365e24471d90e3704836493b05', 'False', 'True', 'false', 'false', '511725107203', 5, '金垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725107203', 1, '2021-07-19 11:57:43', NULL, NULL), (25080, '', '文乐村', '8e85cb0f39fa4cd896ff2607cbb52882', '4c7759365e24471d90e3704836493b05', 'False', 'True', 'false', 'false', '511725107205', 5, '文乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725107205', 1, '2021-07-19 11:57:43', NULL, NULL), (25081, '', '园井村', '01ea1b2d0f37439b9cc24b6de01fa1c0', '4c7759365e24471d90e3704836493b05', 'False', 'True', 'false', 'false', '511725107208', 5, '园井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725107208', 1, '2021-07-19 11:57:43', NULL, NULL), (25082, '', '新店村', '80d1e62562374e2f87ad9d792d8e81db', '4c7759365e24471d90e3704836493b05', 'False', 'True', 'false', 'false', '511725107209', 5, '新店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725107209', 1, '2021-07-19 11:57:43', NULL, NULL), (25083, '', '印盒村', '6e2378ebdc4a414bb7238b35d991f098', '4c7759365e24471d90e3704836493b05', 'False', 'True', 'false', 'false', '511725107210', 5, '印盒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725107210', 1, '2021-07-19 11:57:43', NULL, NULL), (25084, '', '团结村', '8f95d886fd004522a8078588cbde4dc0', '4c7759365e24471d90e3704836493b05', 'False', 'True', 'false', 'false', '511725108010', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725108010', 1, '2021-07-19 11:57:43', NULL, NULL), (25085, '', '翰林村', '6f4c5a3235a14e7486d816929533af70', '4c7759365e24471d90e3704836493b05', 'False', 'True', 'false', 'false', '511725108032', 5, '翰林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725108032', 1, '2021-07-19 11:57:43', NULL, NULL), (25086, '', '精华村', 'b7e3db1459e14be2b04b488a5822b49f', '4c7759365e24471d90e3704836493b05', 'False', 'True', 'false', 'false', '511725108059', 5, '精华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725108059', 1, '2021-07-19 11:57:43', NULL, NULL), (25087, '', '花石村', '5f951eafa6e544dd863b6b1835c43d68', '4c7759365e24471d90e3704836493b05', 'False', 'True', 'false', 'false', '511725108167', 5, '花石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725108167', 1, '2021-07-19 11:57:43', NULL, NULL), (25088, '', '碾坪村', '6b2d2463d4e748db8578c1b922bb3dc8', '4c7759365e24471d90e3704836493b05', 'False', 'True', 'false', 'false', '511725108294', 5, '碾坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725108294', 1, '2021-07-19 11:57:44', NULL, NULL), (25089, '', '黄泥社区', '34171bc49a2b468c8e9f57449bdebc3c', '4c7759365e24471d90e3704836493b05', 'False', 'True', 'false', 'false', '511725108627', 5, '黄泥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725108627', 1, '2021-07-19 11:57:44', NULL, NULL), (25090, '', '柏水社区', '4ce31d55f97c4101977a80cb1351e214', '4c7759365e24471d90e3704836493b05', 'False', 'True', 'false', 'false', '511725108805', 5, '柏水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725108805', 1, '2021-07-19 11:57:44', NULL, NULL), (25091, '', '登梁村', '5339275d19ef4a3bb79e1111880b321c', '4c7759365e24471d90e3704836493b05', 'False', 'True', 'false', 'false', '511725108940', 5, '登梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725108940', 1, '2021-07-19 11:57:44', NULL, NULL), (25092, '', '千佛社区', 'e95c1e927d354970b29f7d48486c5e7d', '4c7759365e24471d90e3704836493b05', 'False', 'True', 'false', 'false', '511725108962', 5, '千佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725108962', 1, '2021-07-19 11:57:44', NULL, NULL), (25093, '', '岩峰镇', '88fd9933e36c4b508ed10163b953fc33', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725108000', 4, '岩峰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725108000', 1, '2021-07-19 11:57:44', NULL, NULL), (25094, '', '岩峰社区', '0257098906cc404cbe142cfa9b22195f', '88fd9933e36c4b508ed10163b953fc33', 'False', 'True', 'false', 'false', '511725108001', 5, '岩峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725108001', 1, '2021-07-19 11:57:44', NULL, NULL), (25095, '', '揽月社区', '081e269642e04b229bb5ec34c3661c24', '88fd9933e36c4b508ed10163b953fc33', 'False', 'True', 'false', 'false', '511725108002', 5, '揽月社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725108002', 1, '2021-07-19 11:57:44', NULL, NULL), (25096, '', '百宝村', '2bc87d44c87b4de0861ad30b7c79bda4', '88fd9933e36c4b508ed10163b953fc33', 'False', 'True', 'false', 'false', '511725108201', 5, '百宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725108201', 1, '2021-07-19 11:57:44', NULL, NULL), (25097, '', '凤阳村', 'f10c776253c74967a7abca87fe6de9cb', '88fd9933e36c4b508ed10163b953fc33', 'False', 'True', 'false', 'false', '511725108203', 5, '凤阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725108203', 1, '2021-07-19 11:57:44', NULL, NULL), (25098, '', '书湾村', 'f8e49e4b1ac24630a4b81cc4b237afc5', '88fd9933e36c4b508ed10163b953fc33', 'False', 'True', 'false', 'false', '511725108204', 5, '书湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725108204', 1, '2021-07-19 11:57:44', NULL, NULL), (25099, '', '回龙村', 'e71181adc281423282129853ff33bd21', '88fd9933e36c4b508ed10163b953fc33', 'False', 'True', 'false', 'false', '511725108206', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725108206', 1, '2021-07-19 11:57:44', NULL, NULL), (25100, '', '月光社区', 'dd2d669f4e3d43e69371948e0c31aeae', '88fd9933e36c4b508ed10163b953fc33', 'False', 'True', 'false', 'false', '511725108208', 5, '月光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725108208', 1, '2021-07-19 11:57:44', NULL, NULL), (25101, '', '顶灵社区', '9d238fa668e641fa8cbed4757511fee4', '88fd9933e36c4b508ed10163b953fc33', 'False', 'True', 'false', 'false', '511725109234', 5, '顶灵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725109234', 1, '2021-07-19 11:57:44', NULL, NULL), (25102, '', '大田村', '17069ac15af2496cba38f25636536c42', '88fd9933e36c4b508ed10163b953fc33', 'False', 'True', 'false', 'false', '511725109374', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725109374', 1, '2021-07-19 11:57:44', NULL, NULL), (25103, '', '长沟村', '5e7493e253c64ffeb83726a1f5fd9e5c', '88fd9933e36c4b508ed10163b953fc33', 'False', 'True', 'false', 'false', '511725109854', 5, '长沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725109854', 1, '2021-07-19 11:57:45', NULL, NULL), (25104, '', '静边镇', '2e5a7e34500b4dceae639876c594d4bd', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725109000', 4, '静边镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725109000', 1, '2021-07-19 11:57:45', NULL, NULL), (25105, '', '静边社区', 'b4cc7d49e4cb4f9aaaa7a6599634e3b2', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725109001', 5, '静边社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725109001', 1, '2021-07-19 11:57:45', NULL, NULL), (25106, '', '盘龙社区', '9c5b674e92924836a0baebfb76cdf1aa', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725109002', 5, '盘龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725109002', 1, '2021-07-19 11:57:45', NULL, NULL), (25107, '', '爱国村', '6a2c8c8eb655426e8bd9954aeab24dc8', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725109202', 5, '爱国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725109202', 1, '2021-07-19 11:57:45', NULL, NULL), (25108, '', '金星村', 'cdc9a1546b2449298a122dfed69ddd7b', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725109203', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725109203', 1, '2021-07-19 11:57:45', NULL, NULL), (25109, '', '五爱村', 'ebbb7cbfbbde46eba6bf3238e5369d4d', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725109204', 5, '五爱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725109204', 1, '2021-07-19 11:57:45', NULL, NULL), (25110, '', '春光村', '541012a3411449b3be877fd08a4b463c', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725109206', 5, '春光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725109206', 1, '2021-07-19 11:57:45', NULL, NULL), (25111, '', '红花村', 'b3d66006850548db866c967158dfd8e6', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725109209', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725109209', 1, '2021-07-19 11:57:45', NULL, NULL), (25112, '', '白泥村', '7730557c9e0c4957ba64779bcfe73f0b', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725109211', 5, '白泥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725109211', 1, '2021-07-19 11:57:45', NULL, NULL), (25113, '', '山坡村', '67a4f64855dd405f993d6e0ba8cbb015', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725109212', 5, '山坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725109212', 1, '2021-07-19 11:57:45', NULL, NULL), (25114, '', '白鹤村', 'e3aa0c8e91e6438bacfbeb7965b10447', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725110132', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110132', 1, '2021-07-19 11:57:45', NULL, NULL), (25115, '', '白山社区', '216a1402270c4bb8956e0b662a2c0406', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725110263', 5, '白山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110263', 1, '2021-07-19 11:57:45', NULL, NULL), (25116, '', '龙山村', 'b74fd8a7334347c38edbe20f9d2b2f5f', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725110267', 5, '龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110267', 1, '2021-07-19 11:57:45', NULL, NULL), (25117, '', '阳山村', 'c673eebea41445fa87c7b3b91421b06e', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725110294', 5, '阳山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110294', 1, '2021-07-19 11:57:45', NULL, NULL), (25118, '', '白兔社区', '9918214e0c1346b1a6a295d94769af96', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725110338', 5, '白兔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110338', 1, '2021-07-19 11:57:46', NULL, NULL), (25119, '', '鹤林社区', '3d2485804505424693df716507b64b6f', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725110376', 5, '鹤林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110376', 1, '2021-07-19 11:57:46', NULL, NULL), (25120, '', '峰坪村', 'e0a82278a5a84326af73bb1a954bcd04', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725110377', 5, '峰坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110377', 1, '2021-07-19 11:57:46', NULL, NULL), (25121, '', '花龙社区', '85797129a6504b5e885ddddd8d7a7d6a', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725110550', 5, '花龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110550', 1, '2021-07-19 11:57:46', NULL, NULL), (25122, '', '群康村', '581dad3481544ca0b78ecad9af7a1330', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725110555', 5, '群康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110555', 1, '2021-07-19 11:57:46', NULL, NULL), (25123, '', '寺岩村', 'e14b9589ed0e4a6c893f5a62e58ff3ed', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725110588', 5, '寺岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110588', 1, '2021-07-19 11:57:46', NULL, NULL), (25124, '', '膏泥村', '9a2331b9f2c34c71a71bac20dbaee506', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725110800', 5, '膏泥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110800', 1, '2021-07-19 11:57:46', NULL, NULL), (25125, '', '高山村', '3c44ec26bd2e466492e127696a9b516e', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725110807', 5, '高山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110807', 1, '2021-07-19 11:57:46', NULL, NULL), (25126, '', '新桥村', '7d7a51199d464d21bde7399454f7e525', '2e5a7e34500b4dceae639876c594d4bd', 'False', 'True', 'false', 'false', '511725880000', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725880000', 1, '2021-07-19 11:57:46', NULL, NULL), (25127, '', '清溪场镇', 'bbe9bfd32f4f484ebe45538e02f47e52', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725110000', 4, '清溪场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725110000', 1, '2021-07-19 11:57:46', NULL, NULL), (25128, '', '清溪场社区', 'dd7a7f0058c04eadbc806c255d254276', 'bbe9bfd32f4f484ebe45538e02f47e52', 'False', 'True', 'false', 'false', '511725110001', 5, '清溪场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110001', 1, '2021-07-19 11:57:46', NULL, NULL), (25129, '', '建国社区', '36b2bb9dcabb4e8a8cf5fc8a928f478b', 'bbe9bfd32f4f484ebe45538e02f47e52', 'False', 'True', 'false', 'false', '511725110002', 5, '建国社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110002', 1, '2021-07-19 11:57:46', NULL, NULL), (25130, '', '龙咀村', '2c1b22fd425c43aebcc949677a94fb67', 'bbe9bfd32f4f484ebe45538e02f47e52', 'False', 'True', 'false', 'false', '511725110200', 5, '龙咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110200', 1, '2021-07-19 11:57:46', NULL, NULL), (25131, '', '七眼村', 'ad4734cd3bec40e2ae51fb88a354c39c', 'bbe9bfd32f4f484ebe45538e02f47e52', 'False', 'True', 'false', 'false', '511725110202', 5, '七眼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110202', 1, '2021-07-19 11:57:46', NULL, NULL), (25132, '', '小通村', '4b84ace18adf4d1b9ad4c9d8fc8f5dfa', 'bbe9bfd32f4f484ebe45538e02f47e52', 'False', 'True', 'false', 'false', '511725110204', 5, '小通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110204', 1, '2021-07-19 11:57:46', NULL, NULL), (25133, '', '白花村', '53c4bccc3ff443aeac9c86fca01e5f98', 'bbe9bfd32f4f484ebe45538e02f47e52', 'False', 'True', 'false', 'false', '511725110206', 5, '白花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110206', 1, '2021-07-19 11:57:47', NULL, NULL), (25134, '', '清水村', '8c7a0c67bdd94b5199e136f6f2afcfb7', 'bbe9bfd32f4f484ebe45538e02f47e52', 'False', 'True', 'false', 'false', '511725110207', 5, '清水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110207', 1, '2021-07-19 11:57:47', NULL, NULL), (25135, '', '玉印村', '36fa67a17d2d44d0a7fd30e0ac4ae417', 'bbe9bfd32f4f484ebe45538e02f47e52', 'False', 'True', 'false', 'false', '511725110209', 5, '玉印村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110209', 1, '2021-07-19 11:57:47', NULL, NULL), (25136, '', '通济村', 'ff278b002adb440ab90162fb967c80cd', 'bbe9bfd32f4f484ebe45538e02f47e52', 'False', 'True', 'false', 'false', '511725110211', 5, '通济村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110211', 1, '2021-07-19 11:57:47', NULL, NULL), (25137, '', '新田村', '04af9a6605474572aa78816d08868452', 'bbe9bfd32f4f484ebe45538e02f47e52', 'False', 'True', 'false', 'false', '511725110212', 5, '新田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110212', 1, '2021-07-19 11:57:47', NULL, NULL), (25138, '', '紫坝村', 'a71896d756dd422f8910b5ee7a56a4ab', 'bbe9bfd32f4f484ebe45538e02f47e52', 'False', 'True', 'false', 'false', '511725110213', 5, '紫坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110213', 1, '2021-07-19 11:57:47', NULL, NULL), (25139, '', '渌沼村', 'fdfe7938880b4775872faaa6bd09f828', 'bbe9bfd32f4f484ebe45538e02f47e52', 'False', 'True', 'false', 'false', '511725110214', 5, '渌沼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725110214', 1, '2021-07-19 11:57:47', NULL, NULL), (25140, '', '齐乐村', '8734463b8b444ccabd0df9ae1115cf29', 'bbe9bfd32f4f484ebe45538e02f47e52', 'False', 'True', 'false', 'false', '511725111057', 5, '齐乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725111057', 1, '2021-07-19 11:57:47', NULL, NULL), (25141, '', '射洪社区', '450fbd6e8abc4b58927eaacbf9a25e31', 'bbe9bfd32f4f484ebe45538e02f47e52', 'False', 'True', 'false', 'false', '511725111155', 5, '射洪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725111155', 1, '2021-07-19 11:57:47', NULL, NULL), (25142, '', '黄龙村', '7d627a18a4694eb790d6510e23b9846a', 'bbe9bfd32f4f484ebe45538e02f47e52', 'False', 'True', 'false', 'false', '511725111895', 5, '黄龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725111895', 1, '2021-07-19 11:57:47', NULL, NULL), (25143, '', '宝城镇', '056b50a065ed4f54b2106bef675ae307', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725111000', 4, '宝城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725111000', 1, '2021-07-19 11:57:47', NULL, NULL), (25144, '', '宝城社区', 'ac477ada418040bb88c1842592d772a6', '056b50a065ed4f54b2106bef675ae307', 'False', 'True', 'false', 'false', '511725111001', 5, '宝城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725111001', 1, '2021-07-19 11:57:48', NULL, NULL), (25145, '', '马鞍村', '099f0415c9644b3bba6a00e4c2dc81d8', '056b50a065ed4f54b2106bef675ae307', 'False', 'True', 'false', 'false', '511725111200', 5, '马鞍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725111200', 1, '2021-07-19 11:57:48', NULL, NULL), (25146, '', '和平村', 'bff3118dd8e54f84956683cbc45d629a', '056b50a065ed4f54b2106bef675ae307', 'False', 'True', 'false', 'false', '511725111201', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725111201', 1, '2021-07-19 11:57:48', NULL, NULL), (25147, '', '新民村', 'ac0312ccc68e455782d514a58bcae828', '056b50a065ed4f54b2106bef675ae307', 'False', 'True', 'false', 'false', '511725111202', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725111202', 1, '2021-07-19 11:57:48', NULL, NULL), (25148, '', '马头村', 'fc87d68e8da34af3bf52140ea03fa9d2', '056b50a065ed4f54b2106bef675ae307', 'False', 'True', 'false', 'false', '511725111203', 5, '马头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725111203', 1, '2021-07-19 11:57:48', NULL, NULL), (25149, '', '青龙村', '9ff6f77238b74d8da90ea061f30efbb2', '056b50a065ed4f54b2106bef675ae307', 'False', 'True', 'false', 'false', '511725111204', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725111204', 1, '2021-07-19 11:57:48', NULL, NULL), (25150, '', '连丰村', 'b560b6372f9d4d70997aa368d1190926', '056b50a065ed4f54b2106bef675ae307', 'False', 'True', 'false', 'false', '511725111207', 5, '连丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725111207', 1, '2021-07-19 11:57:48', NULL, NULL), (25151, '', '观龙社区', '0a515cfe11144eea8356b1b022033cab', '056b50a065ed4f54b2106bef675ae307', 'False', 'True', 'false', 'false', '511725111210', 5, '观龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725111210', 1, '2021-07-19 11:57:48', NULL, NULL), (25152, '', '草坝场社区', 'de36069a306b4132a4fa109dece4e07f', '056b50a065ed4f54b2106bef675ae307', 'False', 'True', 'false', 'false', '511725112489', 5, '草坝场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725112489', 1, '2021-07-19 11:57:48', NULL, NULL), (25153, '', '鲜渡镇', '44085911c7e047f1a58c0e6ff983f6a0', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725113000', 4, '鲜渡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725113000', 1, '2021-07-19 11:57:48', NULL, NULL), (25154, '', '少愚社区', '5ee783ac579e438a80aa812419cb1a48', '44085911c7e047f1a58c0e6ff983f6a0', 'False', 'True', 'false', 'false', '511725113001', 5, '少愚社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725113001', 1, '2021-07-19 11:57:48', NULL, NULL), (25155, '', '关房村', '6b4691017192478cb9cd82b0d0c4e1a4', '44085911c7e047f1a58c0e6ff983f6a0', 'False', 'True', 'false', 'false', '511725113200', 5, '关房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725113200', 1, '2021-07-19 11:57:48', NULL, NULL), (25156, '', '金花村', '01285095cafb4aab88f40371e4b914ac', '44085911c7e047f1a58c0e6ff983f6a0', 'False', 'True', 'false', 'false', '511725113201', 5, '金花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725113201', 1, '2021-07-19 11:57:48', NULL, NULL), (25157, '', '三庙村', '788272fad90d4420a416985d4d47d38c', '44085911c7e047f1a58c0e6ff983f6a0', 'False', 'True', 'false', 'false', '511725113204', 5, '三庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725113204', 1, '2021-07-19 11:57:48', NULL, NULL), (25158, '', '玉灵村', '66b51f0ecfc940be83a147d77804aa43', '44085911c7e047f1a58c0e6ff983f6a0', 'False', 'True', 'false', 'false', '511725113206', 5, '玉灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725113206', 1, '2021-07-19 11:57:48', NULL, NULL), (25159, '', '宝塔村', 'eb8bc024da0f445fb67b6047dec71716', '44085911c7e047f1a58c0e6ff983f6a0', 'False', 'True', 'false', 'false', '511725113207', 5, '宝塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725113207', 1, '2021-07-19 11:57:49', NULL, NULL), (25160, '', '大丘村', 'ebd75a5f8149478f9bca76693a73d660', '44085911c7e047f1a58c0e6ff983f6a0', 'False', 'True', 'false', 'false', '511725113208', 5, '大丘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725113208', 1, '2021-07-19 11:57:49', NULL, NULL), (25161, '', '琅琊镇', 'c258c7c1bd774ed48dd6525b240b04d7', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725114000', 4, '琅琊镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725114000', 1, '2021-07-19 11:57:49', NULL, NULL), (25162, '', '琅琊社区', '3211912754dd437891ad7e63bd0e957c', 'c258c7c1bd774ed48dd6525b240b04d7', 'False', 'True', 'false', 'false', '511725114001', 5, '琅琊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725114001', 1, '2021-07-19 11:57:49', NULL, NULL), (25163, '', '三台村', '846a549fe9894471b04ecf428fb82b09', 'c258c7c1bd774ed48dd6525b240b04d7', 'False', 'True', 'false', 'false', '511725114201', 5, '三台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725114201', 1, '2021-07-19 11:57:49', NULL, NULL), (25164, '', '大仙社区', '6e4269208eea4bdb9a484e99a974aa6e', 'c258c7c1bd774ed48dd6525b240b04d7', 'False', 'True', 'false', 'false', '511725114202', 5, '大仙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725114202', 1, '2021-07-19 11:57:49', NULL, NULL), (25165, '', '关仓村', '8ecb3384699b46f5b1f16bf0b3bd30b3', 'c258c7c1bd774ed48dd6525b240b04d7', 'False', 'True', 'false', 'false', '511725114203', 5, '关仓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725114203', 1, '2021-07-19 11:57:49', NULL, NULL), (25166, '', '奉家村', 'c20b8ef7d89346cea272d57100cb7354', 'c258c7c1bd774ed48dd6525b240b04d7', 'False', 'True', 'false', 'false', '511725114204', 5, '奉家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725114204', 1, '2021-07-19 11:57:49', NULL, NULL), (25167, '', '琅庙村', '04fe0e3e55a64004a010c5a5470c0193', 'c258c7c1bd774ed48dd6525b240b04d7', 'False', 'True', 'false', 'false', '511725114205', 5, '琅庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725114205', 1, '2021-07-19 11:57:49', NULL, NULL), (25168, '', '金马村', '583e7cad928d4e8da078c9691ee47d56', 'c258c7c1bd774ed48dd6525b240b04d7', 'False', 'True', 'false', 'false', '511725114206', 5, '金马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725114206', 1, '2021-07-19 11:57:49', NULL, NULL), (25169, '', '高云村', 'f370b48b928744008a82b4d39eece1fe', 'c258c7c1bd774ed48dd6525b240b04d7', 'False', 'True', 'false', 'false', '511725114207', 5, '高云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725114207', 1, '2021-07-19 11:57:49', NULL, NULL), (25170, '', '李渡镇', '8465671cf09c42338d6701603c0fbce8', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725115000', 4, '李渡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725115000', 1, '2021-07-19 11:57:49', NULL, NULL), (25171, '', '灯台社区', 'f0dcf398db634c03af5917d6d71518c1', '8465671cf09c42338d6701603c0fbce8', 'False', 'True', 'false', 'false', '511725115001', 5, '灯台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725115001', 1, '2021-07-19 11:57:49', NULL, NULL), (25172, '', '狮牌社区', '5ac428d245af4bd0a21cc07f169abb14', '8465671cf09c42338d6701603c0fbce8', 'False', 'True', 'false', 'false', '511725115002', 5, '狮牌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725115002', 1, '2021-07-19 11:57:50', NULL, NULL), (25173, '', '新渡社区', '19893818009a4ff4a3467178f2982552', '8465671cf09c42338d6701603c0fbce8', 'False', 'True', 'false', 'false', '511725115203', 5, '新渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725115203', 1, '2021-07-19 11:57:50', NULL, NULL), (25174, '', '新和社区', 'ab9862991fc946df87aaca5a35fa554d', '8465671cf09c42338d6701603c0fbce8', 'False', 'True', 'false', 'false', '511725115204', 5, '新和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725115204', 1, '2021-07-19 11:57:50', NULL, NULL), (25175, '', '山河村', '56fa5c66beec41af87a5abc417716757', '8465671cf09c42338d6701603c0fbce8', 'False', 'True', 'false', 'false', '511725115205', 5, '山河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725115205', 1, '2021-07-19 11:57:50', NULL, NULL), (25176, '', '坪水村', '8cc02dcb449b4c8096f73d0014e6d155', '8465671cf09c42338d6701603c0fbce8', 'False', 'True', 'false', 'false', '511725115207', 5, '坪水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725115207', 1, '2021-07-19 11:57:50', NULL, NULL), (25177, '', '金锣社区', '9c5c4540c71f475ea48a1379eb113af5', '8465671cf09c42338d6701603c0fbce8', 'False', 'True', 'false', 'false', '511725115209', 5, '金锣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725115209', 1, '2021-07-19 11:57:50', NULL, NULL), (25178, '', '伏龙村', 'bb1cdd9951da4aa2bcf9be6b946bf4db', '8465671cf09c42338d6701603c0fbce8', 'False', 'True', 'false', 'false', '511725115211', 5, '伏龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725115211', 1, '2021-07-19 11:57:50', NULL, NULL), (25179, '', '玉河村', 'c099877508384963824285067d8700b1', '8465671cf09c42338d6701603c0fbce8', 'False', 'True', 'false', 'false', '511725115212', 5, '玉河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725115212', 1, '2021-07-19 11:57:50', NULL, NULL), (25180, '', '祥云村', 'a4959cc475ca42ff81cde201863103a7', '8465671cf09c42338d6701603c0fbce8', 'False', 'True', 'false', 'false', '511725115213', 5, '祥云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725115213', 1, '2021-07-19 11:57:50', NULL, NULL), (25181, '', '三板镇', 'e4fc3dc18a0b4e9e9c8eae958f3b02e4', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725118000', 4, '三板镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725118000', 1, '2021-07-19 11:57:50', NULL, NULL), (25182, '', '三板社区', '5d83a4d6bce846edac15e9c486103dd4', 'e4fc3dc18a0b4e9e9c8eae958f3b02e4', 'False', 'True', 'false', 'false', '511725118001', 5, '三板社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725118001', 1, '2021-07-19 11:57:50', NULL, NULL), (25183, '', '香安村', 'fbcbe6db6eab410bb1585eabbe2d980a', 'e4fc3dc18a0b4e9e9c8eae958f3b02e4', 'False', 'True', 'false', 'false', '511725118202', 5, '香安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725118202', 1, '2021-07-19 11:57:50', NULL, NULL), (25184, '', '福城村', 'bb3041cc5b234fbe8986d912eafeb0a1', 'e4fc3dc18a0b4e9e9c8eae958f3b02e4', 'False', 'True', 'false', 'false', '511725118203', 5, '福城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725118203', 1, '2021-07-19 11:57:50', NULL, NULL), (25185, '', '神山村', '788de90df8ed42e2aaa5ad2d818a4eed', 'e4fc3dc18a0b4e9e9c8eae958f3b02e4', 'False', 'True', 'false', 'false', '511725118204', 5, '神山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725118204', 1, '2021-07-19 11:57:50', NULL, NULL), (25186, '', '大石社区', '6b82947c7da94f21ab9af857f157974e', 'e4fc3dc18a0b4e9e9c8eae958f3b02e4', 'False', 'True', 'false', 'false', '511725118205', 5, '大石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725118205', 1, '2021-07-19 11:57:50', NULL, NULL), (25187, '', '大雾村', '723308504b574ba9801cc151aac03e76', 'e4fc3dc18a0b4e9e9c8eae958f3b02e4', 'False', 'True', 'false', 'false', '511725118206', 5, '大雾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725118206', 1, '2021-07-19 11:57:51', NULL, NULL), (25188, '', '丰乐镇', '39ea8bcb093144a381db5c9b2e364cb3', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725119000', 4, '丰乐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725119000', 1, '2021-07-19 11:57:51', NULL, NULL), (25189, '', '丰乐社区', '3115d4d7b9dd46949935f04b53619ae0', '39ea8bcb093144a381db5c9b2e364cb3', 'False', 'True', 'false', 'false', '511725119001', 5, '丰乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725119001', 1, '2021-07-19 11:57:51', NULL, NULL), (25190, '', '茅滩村', '268af4d8ac97460f872f264cbb11c6ce', '39ea8bcb093144a381db5c9b2e364cb3', 'False', 'True', 'false', 'false', '511725119201', 5, '茅滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725119201', 1, '2021-07-19 11:57:51', NULL, NULL), (25191, '', '碑岭村', '999a94632f774204a663306bbdc74d15', '39ea8bcb093144a381db5c9b2e364cb3', 'False', 'True', 'false', 'false', '511725119202', 5, '碑岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725119202', 1, '2021-07-19 11:57:51', NULL, NULL), (25192, '', '光辉村', '8b8cd41443eb43debf103bc2068b2595', '39ea8bcb093144a381db5c9b2e364cb3', 'False', 'True', 'false', 'false', '511725119204', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725119204', 1, '2021-07-19 11:57:51', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (25193, '', '川燕村', '68f2e4ff0f46495a8d50f354bbc351fa', '39ea8bcb093144a381db5c9b2e364cb3', 'False', 'True', 'false', 'false', '511725119205', 5, '川燕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725119205', 1, '2021-07-19 11:57:51', NULL, NULL), (25194, '', '黎乐社区', '594096f85bd4406a9ffc675bf18c0fa7', '39ea8bcb093144a381db5c9b2e364cb3', 'False', 'True', 'false', 'false', '511725119206', 5, '黎乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725119206', 1, '2021-07-19 11:57:51', NULL, NULL), (25195, '', '黎明村', '43e0ac24966c4160a807b9a28e8365fb', '39ea8bcb093144a381db5c9b2e364cb3', 'False', 'True', 'false', 'false', '511725119207', 5, '黎明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725119207', 1, '2021-07-19 11:57:51', NULL, NULL), (25196, '', '大湾村', 'b8223b4094ea4ef7861648050f27baa8', '39ea8bcb093144a381db5c9b2e364cb3', 'False', 'True', 'false', 'false', '511725119208', 5, '大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725119208', 1, '2021-07-19 11:57:51', NULL, NULL), (25197, '', '有庆镇', 'f104c6b52b164d8f9b649918f24fc26e', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725181000', 4, '有庆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725181000', 1, '2021-07-19 11:57:51', NULL, NULL), (25198, '', '龙桥村', '47216b0ed2614127b445f78378aba917', 'f104c6b52b164d8f9b649918f24fc26e', 'False', 'True', 'false', 'false', '511725105071', 5, '龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725105071', 1, '2021-07-19 11:57:52', NULL, NULL), (25199, '', '嘉禾社区', '3082cf8561dc41848b95f89b5575707b', 'f104c6b52b164d8f9b649918f24fc26e', 'False', 'True', 'false', 'false', '511725105122', 5, '嘉禾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725105122', 1, '2021-07-19 11:57:52', NULL, NULL), (25200, '', '太阳村', '5989253f326b40808f0f1e8e74b06976', 'f104c6b52b164d8f9b649918f24fc26e', 'False', 'True', 'false', 'false', '511725105308', 5, '太阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725105308', 1, '2021-07-19 11:57:52', NULL, NULL), (25201, '', '雅化村', '29223a0c822d44efadf3465b2d187aaa', 'f104c6b52b164d8f9b649918f24fc26e', 'False', 'True', 'false', 'false', '511725105395', 5, '雅化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725105395', 1, '2021-07-19 11:57:52', NULL, NULL), (25202, '', '屏西社区', '2b089f60f32648e09de6b21e8be23855', 'f104c6b52b164d8f9b649918f24fc26e', 'False', 'True', 'false', 'false', '511725105890', 5, '屏西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725105890', 1, '2021-07-19 11:57:52', NULL, NULL), (25203, '', '太山村', '3e7cc49f940f47ba8b0c5118e4208586', 'f104c6b52b164d8f9b649918f24fc26e', 'False', 'True', 'false', 'false', '511725105939', 5, '太山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725105939', 1, '2021-07-19 11:57:52', NULL, NULL), (25204, '', '禾嘉村', '6d8f6d6d27b74b6894497ceb337478ec', 'f104c6b52b164d8f9b649918f24fc26e', 'False', 'True', 'false', 'false', '511725105982', 5, '禾嘉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725105982', 1, '2021-07-19 11:57:52', NULL, NULL), (25205, '', '长春社区', '28c52c7b83a44fd0a8edaf1e118d8074', 'f104c6b52b164d8f9b649918f24fc26e', 'False', 'True', 'false', 'false', '511725181165', 5, '长春社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725181165', 1, '2021-07-19 11:57:52', NULL, NULL), (25206, '', '军营村', 'e468cdcedf4d4ab4b50ce15a00c895fb', 'f104c6b52b164d8f9b649918f24fc26e', 'False', 'True', 'false', 'false', '511725181280', 5, '军营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725181280', 1, '2021-07-19 11:57:52', NULL, NULL), (25207, '', '新兴社区', 'bf545fb8fae64407a9d1b6da817b3e01', 'f104c6b52b164d8f9b649918f24fc26e', 'False', 'True', 'false', 'false', '511725181359', 5, '新兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725181359', 1, '2021-07-19 11:57:52', NULL, NULL), (25208, '', '龙头村', 'bda96ba194434beaae6447a68d35a4db', 'f104c6b52b164d8f9b649918f24fc26e', 'False', 'True', 'false', 'false', '511725181699', 5, '龙头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725181699', 1, '2021-07-19 11:57:52', NULL, NULL), (25209, '', '元宝村', '626588c9523f4b2d87a900c5b0a20a21', 'f104c6b52b164d8f9b649918f24fc26e', 'False', 'True', 'false', 'false', '511725181754', 5, '元宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725181754', 1, '2021-07-19 11:57:52', NULL, NULL), (25210, '', '龙滩村', '13c47946c39041baa7da171033789768', 'f104c6b52b164d8f9b649918f24fc26e', 'False', 'True', 'false', 'false', '511725181770', 5, '龙滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725181770', 1, '2021-07-19 11:57:52', NULL, NULL), (25211, '', '兴隆村', '5af8918434ba414c8e4c3566de98244f', 'f104c6b52b164d8f9b649918f24fc26e', 'False', 'True', 'false', 'false', '511725181848', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725181848', 1, '2021-07-19 11:57:52', NULL, NULL), (25212, '', '九龙村', 'e7f1a537bb414c3584bd8142cf07099c', 'f104c6b52b164d8f9b649918f24fc26e', 'False', 'True', 'false', 'false', '511725181908', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725181908', 1, '2021-07-19 11:57:52', NULL, NULL), (25213, '', '吴家社区', '58307e3864a349848283af132d1d9a08', 'f104c6b52b164d8f9b649918f24fc26e', 'False', 'True', 'false', 'false', '511725181982', 5, '吴家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725181982', 1, '2021-07-19 11:57:52', NULL, NULL), (25214, '', '渠南街道', '2f6f64f65bf1499f8d1e66d9247e2184', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725200000', 4, '渠南街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725200000', 1, '2021-07-19 11:57:53', NULL, NULL), (25215, '', '鞍山社区', 'f71b7414f87041d792f2d51b6eb75ff6', '2f6f64f65bf1499f8d1e66d9247e2184', 'False', 'True', 'false', 'false', '511725003125', 5, '鞍山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725003125', 1, '2021-07-19 11:57:53', NULL, NULL), (25216, '', '南坝社区', '3d18f755bb3a4c48abf56ea6e1c63aa4', '2f6f64f65bf1499f8d1e66d9247e2184', 'False', 'True', 'false', 'false', '511725003237', 5, '南坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725003237', 1, '2021-07-19 11:57:53', NULL, NULL), (25217, '', '李坝村', 'bcf978d8a6d4405fa2b8558930f341a8', '2f6f64f65bf1499f8d1e66d9247e2184', 'False', 'True', 'false', 'false', '511725003264', 5, '李坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725003264', 1, '2021-07-19 11:57:53', NULL, NULL), (25218, '', '大山社区', '5a25459ca865414ab363a4835ac2f564', '2f6f64f65bf1499f8d1e66d9247e2184', 'False', 'True', 'false', 'false', '511725003327', 5, '大山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725003327', 1, '2021-07-19 11:57:53', NULL, NULL), (25219, '', '四圣社区', 'dd8a054a72294b35b8c7025641287932', '2f6f64f65bf1499f8d1e66d9247e2184', 'False', 'True', 'false', 'false', '511725003328', 5, '四圣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725003328', 1, '2021-07-19 11:57:53', NULL, NULL), (25220, '', '南门社区', 'bbe6428ebf5f43a091a48f0af5014f75', '2f6f64f65bf1499f8d1e66d9247e2184', 'False', 'True', 'false', 'false', '511725003394', 5, '南门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725003394', 1, '2021-07-19 11:57:53', NULL, NULL), (25221, '', '渠光社区', '614feac6f8ae45d7b4c49368235e40ce', '2f6f64f65bf1499f8d1e66d9247e2184', 'False', 'True', 'false', 'false', '511725003506', 5, '渠光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725003506', 1, '2021-07-19 11:57:53', NULL, NULL), (25222, '', '南桥社区', '7ead7f6e77764f379f50af64635f7a4b', '2f6f64f65bf1499f8d1e66d9247e2184', 'False', 'True', 'false', 'false', '511725003680', 5, '南桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725003680', 1, '2021-07-19 11:57:53', NULL, NULL), (25223, '', '万兴社区', 'fc771db6b2334c4192c889c0a8427f07', '2f6f64f65bf1499f8d1e66d9247e2184', 'False', 'True', 'false', 'false', '511725003801', 5, '万兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725003801', 1, '2021-07-19 11:57:53', NULL, NULL), (25224, '', '小山社区', '2044e331075c4b3bbff61a3c8617ee62', '2f6f64f65bf1499f8d1e66d9247e2184', 'False', 'True', 'false', 'false', '511725003961', 5, '小山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725003961', 1, '2021-07-19 11:57:53', NULL, NULL), (25225, '', '渠北镇', 'b047940fcc3f430f92ed98d65116361b', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725201000', 4, '渠北镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725201000', 1, '2021-07-19 11:57:53', NULL, NULL), (25226, '', '高寺社区', '94a450c267c3433391bb19784c5eb4cd', 'b047940fcc3f430f92ed98d65116361b', 'False', 'True', 'false', 'false', '511725131111', 5, '高寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725131111', 1, '2021-07-19 11:57:53', NULL, NULL), (25227, '', '白马村', '801596f28cf8428ca3925ce0cc489552', 'b047940fcc3f430f92ed98d65116361b', 'False', 'True', 'false', 'false', '511725131134', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725131134', 1, '2021-07-19 11:57:53', NULL, NULL), (25228, '', '山坪村', '2da6b082840e40ecb5f78e60aa8a2732', 'b047940fcc3f430f92ed98d65116361b', 'False', 'True', 'false', 'false', '511725131244', 5, '山坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725131244', 1, '2021-07-19 11:57:54', NULL, NULL), (25229, '', '烟灯村', '08c6e5159e7e4d2d8ba715d236d78014', 'b047940fcc3f430f92ed98d65116361b', 'False', 'True', 'false', 'false', '511725131355', 5, '烟灯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725131355', 1, '2021-07-19 11:57:54', NULL, NULL), (25230, '', '寿桥村', '9ab33fc43be848daa15c7c0f99cbf713', 'b047940fcc3f430f92ed98d65116361b', 'False', 'True', 'false', 'false', '511725131446', 5, '寿桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725131446', 1, '2021-07-19 11:57:54', NULL, NULL), (25231, '', '黄山村', 'b9746a8d3bcf4da69f6727ee977e9f49', 'b047940fcc3f430f92ed98d65116361b', 'False', 'True', 'false', 'false', '511725201201', 5, '黄山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725201201', 1, '2021-07-19 11:57:54', NULL, NULL), (25232, '', '铁垭村', 'f897d2a140894f4d83ebb0489a17bdcb', 'b047940fcc3f430f92ed98d65116361b', 'False', 'True', 'false', 'false', '511725201202', 5, '铁垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725201202', 1, '2021-07-19 11:57:54', NULL, NULL), (25233, '', '牌坊社区', 'e2f5e1536e9d4c44b75587e721cc4418', 'b047940fcc3f430f92ed98d65116361b', 'False', 'True', 'false', 'false', '511725201203', 5, '牌坊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725201203', 1, '2021-07-19 11:57:54', NULL, NULL), (25234, '', '双桥村', '81cefb3488f14b53a9b3b83d78738e1a', 'b047940fcc3f430f92ed98d65116361b', 'False', 'True', 'false', 'false', '511725201204', 5, '双桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725201204', 1, '2021-07-19 11:57:54', NULL, NULL), (25235, '', '真武村', '288271eddd634c0e9c3628103f5dc6fc', 'b047940fcc3f430f92ed98d65116361b', 'False', 'True', 'false', 'false', '511725201525', 5, '真武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725201525', 1, '2021-07-19 11:57:54', NULL, NULL), (25236, '', '青龙镇', 'b8c838a1048347b89bc168f3afb6d9fc', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725202000', 4, '青龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725202000', 1, '2021-07-19 11:57:54', NULL, NULL), (25237, '', '人和村', '1b2e2ecf2a6d48ad9be88e065de7cc19', 'b8c838a1048347b89bc168f3afb6d9fc', 'False', 'True', 'false', 'false', '511725123336', 5, '人和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725123336', 1, '2021-07-19 11:57:54', NULL, NULL), (25238, '', '金凤村', '398fca4470574dfa8032b4e4d4fc39e7', 'b8c838a1048347b89bc168f3afb6d9fc', 'False', 'True', 'false', 'false', '511725123502', 5, '金凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725123502', 1, '2021-07-19 11:57:54', NULL, NULL), (25239, '', '汤家村', '4b2124d636e242db8109261e9185ae7a', 'b8c838a1048347b89bc168f3afb6d9fc', 'False', 'True', 'false', 'false', '511725123869', 5, '汤家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725123869', 1, '2021-07-19 11:57:54', NULL, NULL), (25240, '', '青龙社区', '262e67aafffd402c8c4e44a5dbd323a3', 'b8c838a1048347b89bc168f3afb6d9fc', 'False', 'True', 'false', 'false', '511725202001', 5, '青龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725202001', 1, '2021-07-19 11:57:54', NULL, NULL), (25241, '', '双河村', 'd936c12dfad94ce7a54ffb2d53ac4914', 'b8c838a1048347b89bc168f3afb6d9fc', 'False', 'True', 'false', 'false', '511725202201', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725202201', 1, '2021-07-19 11:57:54', NULL, NULL), (25242, '', '石河村', '2a5d140a449e485d8b6c7fd5463f9eae', 'b8c838a1048347b89bc168f3afb6d9fc', 'False', 'True', 'false', 'false', '511725202202', 5, '石河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725202202', 1, '2021-07-19 11:57:54', NULL, NULL), (25243, '', '三堰村', '542dca5ab35e420cb634f9d5663e2e8b', 'b8c838a1048347b89bc168f3afb6d9fc', 'False', 'True', 'false', 'false', '511725202203', 5, '三堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725202203', 1, '2021-07-19 11:57:55', NULL, NULL), (25244, '', '瓮中村', '15b4dcd837594cebb00988ac93fa8b9d', 'b8c838a1048347b89bc168f3afb6d9fc', 'False', 'True', 'false', 'false', '511725202204', 5, '瓮中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725202204', 1, '2021-07-19 11:57:55', NULL, NULL), (25245, '', '李馥镇', '484e73a397834208a3d0c717c79929dd', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725207000', 4, '李馥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725207000', 1, '2021-07-19 11:57:55', NULL, NULL), (25246, '', '李馥社区', '24a3e1c6a92849c093751b48a345a983', '484e73a397834208a3d0c717c79929dd', 'False', 'True', 'false', 'false', '511725207001', 5, '李馥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725207001', 1, '2021-07-19 11:57:55', NULL, NULL), (25247, '', '合寨村', 'a1aac4df97434459ad0611e1c6ff815b', '484e73a397834208a3d0c717c79929dd', 'False', 'True', 'false', 'false', '511725207200', 5, '合寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725207200', 1, '2021-07-19 11:57:55', NULL, NULL), (25248, '', '凤凰村', 'c58f5599c578433581d9e472b2edddf8', '484e73a397834208a3d0c717c79929dd', 'False', 'True', 'false', 'false', '511725207203', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725207203', 1, '2021-07-19 11:57:55', NULL, NULL), (25249, '', '髙硐村', 'cd84c8ca432c4469b1649530a68dbff8', '484e73a397834208a3d0c717c79929dd', 'False', 'True', 'false', 'false', '511725207204', 5, '髙硐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725207204', 1, '2021-07-19 11:57:55', NULL, NULL), (25250, '', '灯塔社区', '29403ba572c248b382a1425b3648642b', '484e73a397834208a3d0c717c79929dd', 'False', 'True', 'false', 'false', '511725207206', 5, '灯塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725207206', 1, '2021-07-19 11:57:55', NULL, NULL), (25251, '', '铁牛村', '24b38e09c11044ccb8ad8aca93697f84', '484e73a397834208a3d0c717c79929dd', 'False', 'True', 'false', 'false', '511725207209', 5, '铁牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725207209', 1, '2021-07-19 11:57:55', NULL, NULL), (25252, '', '青山村', '8d889c68f50941b2b5d497582ca2c296', '484e73a397834208a3d0c717c79929dd', 'False', 'True', 'false', 'false', '511725207212', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725207212', 1, '2021-07-19 11:57:55', NULL, NULL), (25253, '', '天鹅村', 'eb6b4956b5e74a8fa1140848d8c71f11', '484e73a397834208a3d0c717c79929dd', 'False', 'True', 'false', 'false', '511725207213', 5, '天鹅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725207213', 1, '2021-07-19 11:57:55', NULL, NULL), (25254, '', '石栀村', 'c27d998af68c431ca2bd6a8e1628c70a', '484e73a397834208a3d0c717c79929dd', 'False', 'True', 'false', 'false', '511725207214', 5, '石栀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725207214', 1, '2021-07-19 11:57:55', NULL, NULL), (25255, '', '安北乡', '921d1ac501734af682c607ffabbed5c4', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725216000', 4, '安北乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725216000', 1, '2021-07-19 11:57:55', NULL, NULL), (25256, '', '群力社区', 'fb58ecf31613446583cb7dbb714c3ba4', '921d1ac501734af682c607ffabbed5c4', 'False', 'True', 'false', 'false', '511725216001', 5, '群力社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725216001', 1, '2021-07-19 11:57:55', NULL, NULL), (25257, '', '南山村', '183b90cae1594972b957ff1cc5cc2727', '921d1ac501734af682c607ffabbed5c4', 'False', 'True', 'false', 'false', '511725216200', 5, '南山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725216200', 1, '2021-07-19 11:57:56', NULL, NULL), (25258, '', '西垭村', 'cf2ee483c37143ec804f429571da481c', '921d1ac501734af682c607ffabbed5c4', 'False', 'True', 'false', 'false', '511725216201', 5, '西垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725216201', 1, '2021-07-19 11:57:56', NULL, NULL), (25259, '', '高桥村', 'd3846658191f453d8d7a4ebe21fc05cd', '921d1ac501734af682c607ffabbed5c4', 'False', 'True', 'false', 'false', '511725216202', 5, '高桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725216202', 1, '2021-07-19 11:57:56', NULL, NULL), (25260, '', '平桥村', '42e99b9eab8c40c1aede94e1ebe13d6e', '921d1ac501734af682c607ffabbed5c4', 'False', 'True', 'false', 'false', '511725216204', 5, '平桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725216204', 1, '2021-07-19 11:57:56', NULL, NULL), (25261, '', '双凤村', '0745c54929d94391854e1d550a3fb4e3', '921d1ac501734af682c607ffabbed5c4', 'False', 'True', 'false', 'false', '511725216205', 5, '双凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725216205', 1, '2021-07-19 11:57:56', NULL, NULL), (25262, '', '大义乡', 'dff1e5dd90254aed9a94cfdff2554c40', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725220000', 4, '大义乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725220000', 1, '2021-07-19 11:57:56', NULL, NULL), (25263, '', '大义社区', 'ec201f8b89d54a76b224a6b0216532d4', 'dff1e5dd90254aed9a94cfdff2554c40', 'False', 'True', 'false', 'false', '511725220200', 5, '大义社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725220200', 1, '2021-07-19 11:57:56', NULL, NULL), (25264, '', '庙沟村', '3cb15dc68e41435e8fe807a6715662da', 'dff1e5dd90254aed9a94cfdff2554c40', 'False', 'True', 'false', 'false', '511725220201', 5, '庙沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725220201', 1, '2021-07-19 11:57:56', NULL, NULL), (25265, '', '三湾村', '5c89d1e8c2fc4397933ec8205aef6cf7', 'dff1e5dd90254aed9a94cfdff2554c40', 'False', 'True', 'false', 'false', '511725220202', 5, '三湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725220202', 1, '2021-07-19 11:57:56', NULL, NULL), (25266, '', '陈家村', 'c710c4c28efe46d183bc7158715dbfc7', 'dff1e5dd90254aed9a94cfdff2554c40', 'False', 'True', 'false', 'false', '511725220203', 5, '陈家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725220203', 1, '2021-07-19 11:57:56', NULL, NULL), (25267, '', '横岭村', '72dfadd2e4ee4fe09407f6ca48d7e4ff', 'dff1e5dd90254aed9a94cfdff2554c40', 'False', 'True', 'false', 'false', '511725238113', 5, '横岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725238113', 1, '2021-07-19 11:57:56', NULL, NULL), (25268, '', '五星村', '620d96e468df4d6683deb89053abca03', 'dff1e5dd90254aed9a94cfdff2554c40', 'False', 'True', 'false', 'false', '511725238195', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725238195', 1, '2021-07-19 11:57:56', NULL, NULL), (25269, '', '义和社区', '3b50b883fc8f425dac55334ba07ee9ca', 'dff1e5dd90254aed9a94cfdff2554c40', 'False', 'True', 'false', 'false', '511725238209', 5, '义和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725238209', 1, '2021-07-19 11:57:56', NULL, NULL), (25270, '', '白石村', 'e70a01cd778e4db7a6a42a8283667c41', 'dff1e5dd90254aed9a94cfdff2554c40', 'False', 'True', 'false', 'false', '511725238918', 5, '白石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725238918', 1, '2021-07-19 11:57:56', NULL, NULL), (25271, '', '巨光乡', 'd260954cd3ee4d22a9957085c39aa3e6', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725224000', 4, '巨光乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725224000', 1, '2021-07-19 11:57:57', NULL, NULL), (25272, '', '八庙社区', 'a49a9384dd3c4fe890b38e845bbeaefd', 'd260954cd3ee4d22a9957085c39aa3e6', 'False', 'True', 'false', 'false', '511725224001', 5, '八庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725224001', 1, '2021-07-19 11:57:57', NULL, NULL), (25273, '', '八庙村', '23c7021505d9449085e3208598428b77', 'd260954cd3ee4d22a9957085c39aa3e6', 'False', 'True', 'false', 'false', '511725224200', 5, '八庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725224200', 1, '2021-07-19 11:57:57', NULL, NULL), (25274, '', '金土村', 'f66eb5ccf16d4abd85d8019ec461ad4a', 'd260954cd3ee4d22a9957085c39aa3e6', 'False', 'True', 'false', 'false', '511725224201', 5, '金土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725224201', 1, '2021-07-19 11:57:57', NULL, NULL), (25275, '', '铜佛村', '30712a6f1d0b4ff8af25df80941fca3c', 'd260954cd3ee4d22a9957085c39aa3e6', 'False', 'True', 'false', 'false', '511725224203', 5, '铜佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725224203', 1, '2021-07-19 11:57:57', NULL, NULL), (25276, '', '王家村', 'da1ac7c1e7384067b0de357da015028d', 'd260954cd3ee4d22a9957085c39aa3e6', 'False', 'True', 'false', 'false', '511725224205', 5, '王家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725224205', 1, '2021-07-19 11:57:57', NULL, NULL), (25277, '', '育林村', '18c3cc92349b4717b62dcfc5033efc3c', 'd260954cd3ee4d22a9957085c39aa3e6', 'False', 'True', 'false', 'false', '511725224206', 5, '育林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725224206', 1, '2021-07-19 11:57:57', NULL, NULL), (25278, '', '常家村', '654e6f11dc5d4d208de8c4fd1984305d', 'd260954cd3ee4d22a9957085c39aa3e6', 'False', 'True', 'false', 'false', '511725245422', 5, '常家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725245422', 1, '2021-07-19 11:57:57', NULL, NULL), (25279, '', '锅滩村', 'b0d61a0e510e4824bfc043204cf709ab', 'd260954cd3ee4d22a9957085c39aa3e6', 'False', 'True', 'false', 'false', '511725245539', 5, '锅滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725245539', 1, '2021-07-19 11:57:57', NULL, NULL), (25280, '', '三脚村', 'e2f359c23df84fbf9b725555253b8788', 'd260954cd3ee4d22a9957085c39aa3e6', 'False', 'True', 'false', 'false', '511725245564', 5, '三脚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725245564', 1, '2021-07-19 11:57:57', NULL, NULL), (25281, '', '蔡和社区', '12d6b609cdbe491dbbd1955820a5af94', 'd260954cd3ee4d22a9957085c39aa3e6', 'False', 'True', 'false', 'false', '511725245717', 5, '蔡和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725245717', 1, '2021-07-19 11:57:57', NULL, NULL), (25282, '', '万寿镇', '259ede08b5b5439fb803ce8b26559465', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725229000', 4, '万寿镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725229000', 1, '2021-07-19 11:57:57', NULL, NULL), (25283, '', '立石村', '347435e1acda4268a904469075671f75', '259ede08b5b5439fb803ce8b26559465', 'False', 'True', 'false', 'false', '511725134284', 5, '立石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725134284', 1, '2021-07-19 11:57:58', NULL, NULL), (25284, '', '寨子村', 'd6f3403bd57d4975b4dda58b7446a815', '259ede08b5b5439fb803ce8b26559465', 'False', 'True', 'false', 'false', '511725134630', 5, '寨子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725134630', 1, '2021-07-19 11:57:58', NULL, NULL), (25285, '', '青丝社区', '8e31b183777949e9ab44f8bb64942a62', '259ede08b5b5439fb803ce8b26559465', 'False', 'True', 'false', 'false', '511725134689', 5, '青丝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725134689', 1, '2021-07-19 11:57:58', NULL, NULL), (25286, '', '大坪村', '0ac14efd725140c5a211b8edf328929a', '259ede08b5b5439fb803ce8b26559465', 'False', 'True', 'false', 'false', '511725134766', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725134766', 1, '2021-07-19 11:57:58', NULL, NULL), (25287, '', '三圣社区', '1f1173cad5314df799102105930392d0', '259ede08b5b5439fb803ce8b26559465', 'False', 'True', 'false', 'false', '511725134774', 5, '三圣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725134774', 1, '2021-07-19 11:57:58', NULL, NULL), (25288, '', '曹家村', '87034bcdffe349cfa3df7c84a7829858', '259ede08b5b5439fb803ce8b26559465', 'False', 'True', 'false', 'false', '511725134779', 5, '曹家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725134779', 1, '2021-07-19 11:57:58', NULL, NULL), (25289, '', '板桥社区', 'c8ac4d3ec9e04eabb3834a46a9fa9871', '259ede08b5b5439fb803ce8b26559465', 'False', 'True', 'false', 'false', '511725134962', 5, '板桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725134962', 1, '2021-07-19 11:57:58', NULL, NULL), (25290, '', '万寿社区', '34f9b48c561a43b5aa61d1aeb25b09a2', '259ede08b5b5439fb803ce8b26559465', 'False', 'True', 'false', 'false', '511725229001', 5, '万寿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725229001', 1, '2021-07-19 11:57:58', NULL, NULL), (25291, '', '磨盘村', 'e8d539574d9e413cbf67b9f01bd62898', '259ede08b5b5439fb803ce8b26559465', 'False', 'True', 'false', 'false', '511725229203', 5, '磨盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725229203', 1, '2021-07-19 11:57:58', NULL, NULL), (25292, '', '灵感社区', '035e8080c2e849568c04177ff073e049', '259ede08b5b5439fb803ce8b26559465', 'False', 'True', 'false', 'false', '511725229204', 5, '灵感社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725229204', 1, '2021-07-19 11:57:58', NULL, NULL), (25293, '', '望江乡', '0fa3fb02ec41439fbc66ec6904a68d0f', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725231000', 4, '望江乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725231000', 1, '2021-07-19 11:57:58', NULL, NULL), (25294, '', '梅乐村', '3939615e688f4e82a7320430249980fc', '0fa3fb02ec41439fbc66ec6904a68d0f', 'False', 'True', 'false', 'false', '511725231204', 5, '梅乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725231204', 1, '2021-07-19 11:57:58', NULL, NULL), (25295, '', '尖山村', '1bd2e9a6f4db4c8d88261c6761bba5e0', '0fa3fb02ec41439fbc66ec6904a68d0f', 'False', 'True', 'false', 'false', '511725231206', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725231206', 1, '2021-07-19 11:57:58', NULL, NULL), (25296, '', '望河社区', '93dba5a4ba154bee9023b5c584079024', '0fa3fb02ec41439fbc66ec6904a68d0f', 'False', 'True', 'false', 'false', '511725231001', 5, '望河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725231001', 1, '2021-07-19 11:57:59', NULL, NULL), (25297, '', '搭连村', '200186a5bbb444f2995eaaa77dfae7b1', '0fa3fb02ec41439fbc66ec6904a68d0f', 'False', 'True', 'false', 'false', '511725231202', 5, '搭连村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725231202', 1, '2021-07-19 11:57:59', NULL, NULL), (25298, '', '新房村', '4ce7d9a9e768437882f2f0c8cdeff34b', '0fa3fb02ec41439fbc66ec6904a68d0f', 'False', 'True', 'false', 'false', '511725231203', 5, '新房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725231203', 1, '2021-07-19 11:57:59', NULL, NULL), (25299, '', '武坪村', '45849fbc76e94b0e862fd2f4a2e29682', '0fa3fb02ec41439fbc66ec6904a68d0f', 'False', 'True', 'false', 'false', '511725231205', 5, '武坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725231205', 1, '2021-07-19 11:57:59', NULL, NULL), (25300, '', '东阳村', '12d5c49c20ec48a1b9f725da2fbfc4b3', '0fa3fb02ec41439fbc66ec6904a68d0f', 'False', 'True', 'false', 'false', '511725255041', 5, '东阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725255041', 1, '2021-07-19 11:57:59', NULL, NULL), (25301, '', '双盘村', '8174f1a3baf34d318c8cfc8dd45736f7', '0fa3fb02ec41439fbc66ec6904a68d0f', 'False', 'True', 'false', 'false', '511725255074', 5, '双盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725255074', 1, '2021-07-19 11:57:59', NULL, NULL), (25302, '', '和乐社区', 'cbd58b181fa9496ba1fe3d35ab697e96', '0fa3fb02ec41439fbc66ec6904a68d0f', 'False', 'True', 'false', 'false', '511725255171', 5, '和乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725255171', 1, '2021-07-19 11:57:59', NULL, NULL), (25303, '', '西阳村', '70351748a0b54ed0865caab509968844', '0fa3fb02ec41439fbc66ec6904a68d0f', 'False', 'True', 'false', 'false', '511725255223', 5, '西阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725255223', 1, '2021-07-19 11:57:59', NULL, NULL), (25304, '', '龙凤镇', '465bb406a6d9423d9a39b10de1cf9636', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725233000', 4, '龙凤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725233000', 1, '2021-07-19 11:57:59', NULL, NULL), (25305, '', '观阁村', '093a1c343335426687655809212800b9', '465bb406a6d9423d9a39b10de1cf9636', 'False', 'True', 'false', 'false', '511725233200', 5, '观阁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725233200', 1, '2021-07-19 11:57:59', NULL, NULL), (25306, '', '紫凤社区', '349496602c7342afa9c817a71c1c3f57', '465bb406a6d9423d9a39b10de1cf9636', 'False', 'True', 'false', 'false', '511725233201', 5, '紫凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725233201', 1, '2021-07-19 11:57:59', NULL, NULL), (25307, '', '龙台村', '2721959cd45149d28eff648abf922b88', '465bb406a6d9423d9a39b10de1cf9636', 'False', 'True', 'false', 'false', '511725233202', 5, '龙台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725233202', 1, '2021-07-19 11:57:59', NULL, NULL), (25308, '', '黄渡村', 'c1c9bea21d4947cab8fe171a5fd27fad', '465bb406a6d9423d9a39b10de1cf9636', 'False', 'True', 'false', 'false', '511725233203', 5, '黄渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725233203', 1, '2021-07-19 11:57:59', NULL, NULL), (25309, '', '宝珠村', '04694ce008f44f8fbae8be6d963532cb', '465bb406a6d9423d9a39b10de1cf9636', 'False', 'True', 'false', 'false', '511725233206', 5, '宝珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725233206', 1, '2021-07-19 11:57:59', NULL, NULL), (25310, '', '踏水村', '5a1484bbb0fe4b91913f7bd591531e48', '465bb406a6d9423d9a39b10de1cf9636', 'False', 'True', 'false', 'false', '511725233207', 5, '踏水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725233207', 1, '2021-07-19 11:58:00', NULL, NULL), (25311, '', '新市镇', 'deae7a83b2a3455ea7577c882c3d94d8', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725234000', 4, '新市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725234000', 1, '2021-07-19 11:58:00', NULL, NULL), (25312, '', '鸡山村', 'ea2cc336595e4a0ba8c5b7255feda24b', 'deae7a83b2a3455ea7577c882c3d94d8', 'False', 'True', 'false', 'false', '511725129225', 5, '鸡山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725129225', 1, '2021-07-19 11:58:00', NULL, NULL), (25313, '', '宋家社区', '6aec71f5902445d59904ac90895c6a62', 'deae7a83b2a3455ea7577c882c3d94d8', 'False', 'True', 'false', 'false', '511725129320', 5, '宋家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725129320', 1, '2021-07-19 11:58:00', NULL, NULL), (25314, '', '碾房村', 'fc28577b16ea4c979b41007406d52ca1', 'deae7a83b2a3455ea7577c882c3d94d8', 'False', 'True', 'false', 'false', '511725129352', 5, '碾房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725129352', 1, '2021-07-19 11:58:00', NULL, NULL), (25315, '', '小黎村', 'd1153d7ad7914e5e83c81c2ca947829d', 'deae7a83b2a3455ea7577c882c3d94d8', 'False', 'True', 'false', 'false', '511725129864', 5, '小黎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725129864', 1, '2021-07-19 11:58:00', NULL, NULL), (25316, '', '太吉村', '9c17bbdc3ea746f8b4d54b24bf25053c', 'deae7a83b2a3455ea7577c882c3d94d8', 'False', 'True', 'false', 'false', '511725129891', 5, '太吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725129891', 1, '2021-07-19 11:58:00', NULL, NULL), (25317, '', '白云社区', '9357673ded444ee4b71fe8b11c5a0fd5', 'deae7a83b2a3455ea7577c882c3d94d8', 'False', 'True', 'false', 'false', '511725234001', 5, '白云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725234001', 1, '2021-07-19 11:58:00', NULL, NULL), (25318, '', '三堡社区', 'de41d7bc6af446278723e3a6d1e05029', 'deae7a83b2a3455ea7577c882c3d94d8', 'False', 'True', 'false', 'false', '511725234200', 5, '三堡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725234200', 1, '2021-07-19 11:58:00', NULL, NULL), (25319, '', '飞燕村', 'b3cad3e8452845078c9be08bf4cbbe70', 'deae7a83b2a3455ea7577c882c3d94d8', 'False', 'True', 'false', 'false', '511725234202', 5, '飞燕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725234202', 1, '2021-07-19 11:58:00', NULL, NULL), (25320, '', '三拱村', 'e666a1409d5443f6bbc4454b0e02b067', 'deae7a83b2a3455ea7577c882c3d94d8', 'False', 'True', 'false', 'false', '511725234203', 5, '三拱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725234203', 1, '2021-07-19 11:58:00', NULL, NULL), (25321, '', '五通村', 'f5fa3cf46e134e918558b1bd342f066c', 'deae7a83b2a3455ea7577c882c3d94d8', 'False', 'True', 'false', 'false', '511725234204', 5, '五通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725234204', 1, '2021-07-19 11:58:00', NULL, NULL), (25322, '', '拱市乡', '00aaace75dd644ed91ce3304189e50e3', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725236000', 4, '拱市乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725236000', 1, '2021-07-19 11:58:00', NULL, NULL), (25323, '', '河坝社区', 'ad1e6a03bcc14b5aa1536d5394073cc7', '00aaace75dd644ed91ce3304189e50e3', 'False', 'True', 'false', 'false', '511725236200', 5, '河坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725236200', 1, '2021-07-19 11:58:00', NULL, NULL), (25324, '', '狮子村', '0addcaa3b1024df5ac10b5d85d81aef4', '00aaace75dd644ed91ce3304189e50e3', 'False', 'True', 'false', 'false', '511725236201', 5, '狮子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725236201', 1, '2021-07-19 11:58:01', NULL, NULL), (25325, '', '莲花村', '0674e6dda9ee4f38bc9fda0599f26b99', '00aaace75dd644ed91ce3304189e50e3', 'False', 'True', 'false', 'false', '511725236202', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725236202', 1, '2021-07-19 11:58:01', NULL, NULL), (25326, '', '绿水村', '2472785e2f434a0ea29e6221e6680b9f', '00aaace75dd644ed91ce3304189e50e3', 'False', 'True', 'false', 'false', '511725236203', 5, '绿水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725236203', 1, '2021-07-19 11:58:01', NULL, NULL), (25327, '', '高滩村', '89d0f698f05c4e2f8ddb6142b3addead', '00aaace75dd644ed91ce3304189e50e3', 'False', 'True', 'false', 'false', '511725236204', 5, '高滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725236204', 1, '2021-07-19 11:58:01', NULL, NULL), (25328, '', '定远镇', '6b0721f118c34e07b575c26a0f62674a', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725239000', 4, '定远镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725239000', 1, '2021-07-19 11:58:01', NULL, NULL), (25329, '', '定远社区', 'b203f209887e41ee8f5556616e733f2f', '6b0721f118c34e07b575c26a0f62674a', 'False', 'True', 'false', 'false', '511725239001', 5, '定远社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725239001', 1, '2021-07-19 11:58:01', NULL, NULL), (25330, '', '大沟村', '50d8683ffcde4c65a0151a43c154206f', '6b0721f118c34e07b575c26a0f62674a', 'False', 'True', 'false', 'false', '511725239201', 5, '大沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725239201', 1, '2021-07-19 11:58:01', NULL, NULL), (25331, '', '团寨村', '491fb6e4f282494a940c169b344c53f8', '6b0721f118c34e07b575c26a0f62674a', 'False', 'True', 'false', 'false', '511725239202', 5, '团寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725239202', 1, '2021-07-19 11:58:01', NULL, NULL), (25332, '', '四合村', 'c4102cdf8e9e4df6ada1f42b061ce840', '6b0721f118c34e07b575c26a0f62674a', 'False', 'True', 'false', 'false', '511725239204', 5, '四合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725239204', 1, '2021-07-19 11:58:01', NULL, NULL), (25333, '', '桔园村', 'e9b761aafdf942ccbf763a80637f9594', '6b0721f118c34e07b575c26a0f62674a', 'False', 'True', 'false', 'false', '511725239205', 5, '桔园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725239205', 1, '2021-07-19 11:58:01', NULL, NULL), (25334, '', '龙舌村', 'f9a919ae55734cbca780415885db963f', '6b0721f118c34e07b575c26a0f62674a', 'False', 'True', 'false', 'false', '511725239206', 5, '龙舌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725239206', 1, '2021-07-19 11:58:01', NULL, NULL), (25335, '', '望溪镇', '3008dad97abe4f42a136ee20c90ff83c', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725242000', 4, '望溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725242000', 1, '2021-07-19 11:58:01', NULL, NULL), (25336, '', '民主社区', '76975041c1ff454a9fd540f42252ba6c', '3008dad97abe4f42a136ee20c90ff83c', 'False', 'True', 'false', 'false', '511725126369', 5, '民主社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725126369', 1, '2021-07-19 11:58:01', NULL, NULL), (25337, '', '望溪社区', 'f3b5e717c5d44f35bce28057e42b6bf6', '3008dad97abe4f42a136ee20c90ff83c', 'False', 'True', 'false', 'false', '511725242001', 5, '望溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725242001', 1, '2021-07-19 11:58:02', NULL, NULL), (25338, '', '保和村', 'fef697a8ddd040dea3d20e0517e41de9', '3008dad97abe4f42a136ee20c90ff83c', 'False', 'True', 'false', 'false', '511725242200', 5, '保和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725242200', 1, '2021-07-19 11:58:02', NULL, NULL), (25339, '', '二郎村', '1305f794c74843a8845bef2dfb7bbf72', '3008dad97abe4f42a136ee20c90ff83c', 'False', 'True', 'false', 'false', '511725242201', 5, '二郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725242201', 1, '2021-07-19 11:58:02', NULL, NULL), (25340, '', '堰湾村', 'b27aabcf0526479d8867b7f83abb036c', '3008dad97abe4f42a136ee20c90ff83c', 'False', 'True', 'false', 'false', '511725242203', 5, '堰湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725242203', 1, '2021-07-19 11:58:02', NULL, NULL), (25341, '', '庆安村', 'e6b0b415431f4486b0a44f2079ab0336', '3008dad97abe4f42a136ee20c90ff83c', 'False', 'True', 'false', 'false', '511725242204', 5, '庆安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725242204', 1, '2021-07-19 11:58:02', NULL, NULL), (25342, '', '石坝村', '066747c24ac144239633cc6356997802', '3008dad97abe4f42a136ee20c90ff83c', 'False', 'True', 'false', 'false', '511725242206', 5, '石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725242206', 1, '2021-07-19 11:58:02', NULL, NULL), (25343, '', '河水村', 'df800ede6c7b431b8d25518e5870e8b9', '3008dad97abe4f42a136ee20c90ff83c', 'False', 'True', 'false', 'false', '511725242208', 5, '河水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725242208', 1, '2021-07-19 11:58:02', NULL, NULL), (25344, '', '堰坝村', '170af4fd770e49bdb461001407bdda76', '3008dad97abe4f42a136ee20c90ff83c', 'False', 'True', 'false', 'false', '511725242209', 5, '堰坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725242209', 1, '2021-07-19 11:58:02', NULL, NULL), (25345, '', '合力镇', 'b971485c65f441a096ab41a44c8e1863', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725243000', 4, '合力镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725243000', 1, '2021-07-19 11:58:02', NULL, NULL), (25346, '', '三合社区', 'a08f3ac2721d490eba6c67305f79c1d6', 'b971485c65f441a096ab41a44c8e1863', 'False', 'True', 'false', 'false', '511725133265', 5, '三合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725133265', 1, '2021-07-19 11:58:02', NULL, NULL), (25347, '', '新园社区', '6ecc3105af764aaea6682e2bb5974476', 'b971485c65f441a096ab41a44c8e1863', 'False', 'True', 'false', 'false', '511725133344', 5, '新园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725133344', 1, '2021-07-19 11:58:02', NULL, NULL), (25348, '', '文昌社区', '633e439e08f348cb8d6fd4027a6a2b32', 'b971485c65f441a096ab41a44c8e1863', 'False', 'True', 'false', 'false', '511725133347', 5, '文昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725133347', 1, '2021-07-19 11:58:02', NULL, NULL), (25349, '', '九林社区', '76cff31f317341b6831a2afe3fd77def', 'b971485c65f441a096ab41a44c8e1863', 'False', 'True', 'false', 'false', '511725133398', 5, '九林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725133398', 1, '2021-07-19 11:58:02', NULL, NULL), (25350, '', '合力社区', '132455b1e3a74ef8b695a79465d03dd0', 'b971485c65f441a096ab41a44c8e1863', 'False', 'True', 'false', 'false', '511725133811', 5, '合力社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725133811', 1, '2021-07-19 11:58:03', NULL, NULL), (25351, '', '双土社区', '42752bcaf0e040daad94682c0893a810', 'b971485c65f441a096ab41a44c8e1863', 'False', 'True', 'false', 'false', '511725243001', 5, '双土社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725243001', 1, '2021-07-19 11:58:03', NULL, NULL), (25352, '', '吴寨村', 'e651fec8e4794bbc968bcfd4b5815de6', 'b971485c65f441a096ab41a44c8e1863', 'False', 'True', 'false', 'false', '511725243201', 5, '吴寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725243201', 1, '2021-07-19 11:58:03', NULL, NULL), (25353, '', '石燕村', '58cb5376fd234284afb5630b6c2b6604', 'b971485c65f441a096ab41a44c8e1863', 'False', 'True', 'false', 'false', '511725243202', 5, '石燕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725243202', 1, '2021-07-19 11:58:03', NULL, NULL), (25354, '', '园锋村', '7ce491ba4c3f4d5e9dc93dc8113eecab', 'b971485c65f441a096ab41a44c8e1863', 'False', 'True', 'false', 'false', '511725243204', 5, '园锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725243204', 1, '2021-07-19 11:58:03', NULL, NULL), (25355, '', '高拱村', '2adc9ceae2924e8893263964b8a2e4db', 'b971485c65f441a096ab41a44c8e1863', 'False', 'True', 'false', 'false', '511725243205', 5, '高拱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725243205', 1, '2021-07-19 11:58:03', NULL, NULL), (25356, '', '卷硐镇', '0ca568e6ea9948889cbf957fb33f9b7e', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725244000', 4, '卷硐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725244000', 1, '2021-07-19 11:58:03', NULL, NULL), (25357, '', '逢春村', 'da2dadfe990b459a9e06dad1deb26951', '0ca568e6ea9948889cbf957fb33f9b7e', 'False', 'True', 'false', 'false', '511725125987', 5, '逢春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725125987', 1, '2021-07-19 11:58:03', NULL, NULL), (25358, '', '卷硐社区', 'd95b6356b80a45da96d50fd0b37b24ff', '0ca568e6ea9948889cbf957fb33f9b7e', 'False', 'True', 'false', 'false', '511725244001', 5, '卷硐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725244001', 1, '2021-07-19 11:58:03', NULL, NULL), (25359, '', '梨树村', '86b240b5183e4ca1ad39a51664f7b0f5', '0ca568e6ea9948889cbf957fb33f9b7e', 'False', 'True', 'false', 'false', '511725244201', 5, '梨树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725244201', 1, '2021-07-19 11:58:03', NULL, NULL), (25360, '', '船石社区', '57a6a52c4773410da7f6e433e0eef53f', '0ca568e6ea9948889cbf957fb33f9b7e', 'False', 'True', 'false', 'false', '511725244203', 5, '船石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725244203', 1, '2021-07-19 11:58:03', NULL, NULL), (25361, '', '陡梯村', '91d2cf6c61234b89bee435c309bff364', '0ca568e6ea9948889cbf957fb33f9b7e', 'False', 'True', 'false', 'false', '511725244205', 5, '陡梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725244205', 1, '2021-07-19 11:58:04', NULL, NULL), (25362, '', '文崇镇', '8de4485e3fa04936b3a217c3dbaadf32', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725247000', 4, '文崇镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725247000', 1, '2021-07-19 11:58:04', NULL, NULL), (25363, '', '文崇社区', '2330314b31bb4135b3fc489a1896773a', '8de4485e3fa04936b3a217c3dbaadf32', 'False', 'True', 'false', 'false', '511725105001', 5, '文崇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725105001', 1, '2021-07-19 11:58:04', NULL, NULL), (25364, '', '谭坝社区', 'c5368d0aebbb486f89b63b3c60e11d5e', '8de4485e3fa04936b3a217c3dbaadf32', 'False', 'True', 'false', 'false', '511725105002', 5, '谭坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725105002', 1, '2021-07-19 11:58:04', NULL, NULL), (25365, '', '共和社区', '584aadf66e0648f0ad9c5cfd08755de0', '8de4485e3fa04936b3a217c3dbaadf32', 'False', 'True', 'false', 'false', '511725105003', 5, '共和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725105003', 1, '2021-07-19 11:58:04', NULL, NULL), (25366, '', '台山村', '459691e70194409585bc071e8f1f67d8', '8de4485e3fa04936b3a217c3dbaadf32', 'False', 'True', 'false', 'false', '511725105200', 5, '台山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725105200', 1, '2021-07-19 11:58:04', NULL, NULL), (25367, '', '革新村', 'ce0defb23244470e850309ce6ead94c5', '8de4485e3fa04936b3a217c3dbaadf32', 'False', 'True', 'false', 'false', '511725105202', 5, '革新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725105202', 1, '2021-07-19 11:58:04', NULL, NULL), (25368, '', '学堂村', 'e5c869a28e4f4b7a87ead7affa33f0fa', '8de4485e3fa04936b3a217c3dbaadf32', 'False', 'True', 'false', 'false', '511725105203', 5, '学堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725105203', 1, '2021-07-19 11:58:04', NULL, NULL), (25369, '', '下湾村', '1825c76a3d744462800ad03e5a547913', '8de4485e3fa04936b3a217c3dbaadf32', 'False', 'True', 'false', 'false', '511725105207', 5, '下湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725105207', 1, '2021-07-19 11:58:05', NULL, NULL), (25370, '', '文丰社区', '3ea0c637fb9b48618d4c4347c18c0801', '8de4485e3fa04936b3a217c3dbaadf32', 'False', 'True', 'false', 'false', '511725247851', 5, '文丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725247851', 1, '2021-07-19 11:58:05', NULL, NULL), (25371, '', '临巴镇', '87ec5e9d056b48409d5517103a69046f', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725254000', 4, '临巴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725254000', 1, '2021-07-19 11:58:05', NULL, NULL), (25372, '', '临巴社区', '19e5878676884829b6f5ba300a2416fe', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102001', 5, '临巴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102001', 1, '2021-07-19 11:58:05', NULL, NULL), (25373, '', '石子社区', '09b6f12b4bec49b19cbf196045614ef6', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102002', 5, '石子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102002', 1, '2021-07-19 11:58:05', NULL, NULL), (25374, '', '双龙村', '3b5411032aaa4146969b192cf007f54b', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102011', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102011', 1, '2021-07-19 11:58:05', NULL, NULL), (25375, '', '团石村', '6d83d3b728a44c3287f759a2b1a06045', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102047', 5, '团石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102047', 1, '2021-07-19 11:58:05', NULL, NULL), (25376, '', '云一村', '834a1c2e291f44ba85506ab756d36034', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102117', 5, '云一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102117', 1, '2021-07-19 11:58:05', NULL, NULL), (25377, '', '石垭村', 'cc24f09fb4e14fdcb6713f150dd37bc2', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102149', 5, '石垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102149', 1, '2021-07-19 11:58:05', NULL, NULL), (25378, '', '民胜村', 'd499c1197f654ba1a5cc964352fbc0ce', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102156', 5, '民胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102156', 1, '2021-07-19 11:58:05', NULL, NULL), (25379, '', '溪口村', 'dbc3830780b243a78bf3ab1ffad81d56', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102201', 5, '溪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102201', 1, '2021-07-19 11:58:05', NULL, NULL), (25380, '', '偏岩村', 'e54eae13306c420a82823677d050da75', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102202', 5, '偏岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102202', 1, '2021-07-19 11:58:05', NULL, NULL), (25381, '', '福善村', '46852c4ec0ab4bc6934eda1b47bdaae5', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102203', 5, '福善村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102203', 1, '2021-07-19 11:58:06', NULL, NULL), (25382, '', '后河村', '7bd35179992c4ef197b61b9c85070118', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102204', 5, '后河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102204', 1, '2021-07-19 11:58:06', NULL, NULL), (25383, '', '寨湾村', 'c214479ed2d44c3388e84f403fdb7e48', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102205', 5, '寨湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102205', 1, '2021-07-19 11:58:06', NULL, NULL), (25384, '', '麻园村', '1c5219c6fac34642ab003342a5157ac5', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102206', 5, '麻园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102206', 1, '2021-07-19 11:58:06', NULL, NULL), (25385, '', '凉桥村', '9d9648e712af48bd89c74907cf46be73', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102208', 5, '凉桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102208', 1, '2021-07-19 11:58:06', NULL, NULL), (25386, '', '四面村', '905b423126394c75ac1e49860662b3c9', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102210', 5, '四面村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102210', 1, '2021-07-19 11:58:06', NULL, NULL), (25387, '', '群团村', '4702265b127d45369b09375460a155bd', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102212', 5, '群团村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102212', 1, '2021-07-19 11:58:06', NULL, NULL), (25388, '', '云峰社区', '3efd91ec878d491195b1f6c72d736ebf', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102474', 5, '云峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102474', 1, '2021-07-19 11:58:06', NULL, NULL), (25389, '', '锡溪社区', '0138ef4122e0491d9df6508ca0a9492e', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102506', 5, '锡溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102506', 1, '2021-07-19 11:58:06', NULL, NULL), (25390, '', '向光村', '0ec7dfd72cbf44ba817ff04c106990c3', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102511', 5, '向光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102511', 1, '2021-07-19 11:58:06', NULL, NULL), (25391, '', '老龙村', '5bdd61c18c5648ec9157c2c870eafdff', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102606', 5, '老龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102606', 1, '2021-07-19 11:58:06', NULL, NULL), (25392, '', '宕渠社区', 'adb4307804844521a7a66987e2c6d491', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102614', 5, '宕渠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102614', 1, '2021-07-19 11:58:06', NULL, NULL), (25393, '', '群乐村', 'b47dbe5d93d5462797a94a809924bc9d', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102621', 5, '群乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102621', 1, '2021-07-19 11:58:06', NULL, NULL), (25394, '', '中道村', '828830fdcd6b4e10a49b26db0059cbd4', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102659', 5, '中道村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102659', 1, '2021-07-19 11:58:06', NULL, NULL), (25395, '', '文星村', '7a9ea24a66eb4ec7935c2be70f12b7e6', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102664', 5, '文星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102664', 1, '2021-07-19 11:58:06', NULL, NULL), (25396, '', '河东村', 'f264ee62149f47f483ba85f3499577bc', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102690', 5, '河东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102690', 1, '2021-07-19 11:58:06', NULL, NULL), (25397, '', '龙潭社区', 'e9478048723844e5951111180ba2b92d', '87ec5e9d056b48409d5517103a69046f', 'False', 'True', 'false', 'false', '511725102786', 5, '龙潭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725102786', 1, '2021-07-19 11:58:07', NULL, NULL), (25398, '', '报恩乡', '5857e0bcbf774e0faec4a4679415fc2e', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725282000', 4, '报恩乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725282000', 1, '2021-07-19 11:58:07', NULL, NULL), (25399, '', '八一社区', 'ccdaf774fc4d4ee5a616cf8c42575692', '5857e0bcbf774e0faec4a4679415fc2e', 'False', 'True', 'false', 'false', '511725215201', 5, '八一社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725215201', 1, '2021-07-19 11:58:07', NULL, NULL), (25400, '', '金光村', '0f84a8fa2ff74245a815dc6ba592243a', '5857e0bcbf774e0faec4a4679415fc2e', 'False', 'True', 'false', 'false', '511725215204', 5, '金光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725215204', 1, '2021-07-19 11:58:07', NULL, NULL), (25401, '', '金竹村', '885c998af0da4092812f2d5d849e22e3', '5857e0bcbf774e0faec4a4679415fc2e', 'False', 'True', 'false', 'false', '511725215205', 5, '金竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725215205', 1, '2021-07-19 11:58:07', NULL, NULL), (25402, '', '桌垭村', '42c17430466c470a8e79a9caadf0a34c', '5857e0bcbf774e0faec4a4679415fc2e', 'False', 'True', 'false', 'false', '511725215206', 5, '桌垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725215206', 1, '2021-07-19 11:58:07', NULL, NULL), (25403, '', '沙湾村', '3c0c6c1df0cb4a70abec988573eeddb3', '5857e0bcbf774e0faec4a4679415fc2e', 'False', 'True', 'false', 'false', '511725215208', 5, '沙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725215208', 1, '2021-07-19 11:58:07', NULL, NULL), (25404, '', '全胜村', 'f7cdc17df5174026a598d9604ba40d07', '5857e0bcbf774e0faec4a4679415fc2e', 'False', 'True', 'false', 'false', '511725215209', 5, '全胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725215209', 1, '2021-07-19 11:58:07', NULL, NULL), (25405, '', '清河社区', '0f6be1adbd86427f9e61cd9826b95cdc', '5857e0bcbf774e0faec4a4679415fc2e', 'False', 'True', 'false', 'false', '511725282256', 5, '清河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725282256', 1, '2021-07-19 11:58:07', NULL, NULL), (25406, '', '东安镇', '8dccda738a9740908de3b96c14e00990', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725303000', 4, '东安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725303000', 1, '2021-07-19 11:58:07', NULL, NULL), (25407, '', '千秋村', '57fd1289cf894dfdae7e7bf7c343d016', '8dccda738a9740908de3b96c14e00990', 'False', 'True', 'false', 'false', '511725135078', 5, '千秋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725135078', 1, '2021-07-19 11:58:07', NULL, NULL), (25408, '', '新象村', 'd9ec9a4a93f64bbf941e42408d6e99a9', '8dccda738a9740908de3b96c14e00990', 'False', 'True', 'false', 'false', '511725135144', 5, '新象村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725135144', 1, '2021-07-19 11:58:07', NULL, NULL), (25409, '', '瓜坝村', 'b98b0cc82881426c9d2d8936e4872582', '8dccda738a9740908de3b96c14e00990', 'False', 'True', 'false', 'false', '511725135353', 5, '瓜坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725135353', 1, '2021-07-19 11:58:08', NULL, NULL), (25410, '', '凉井村', '7068e41be2384711b44d0dd0465a6b07', '8dccda738a9740908de3b96c14e00990', 'False', 'True', 'false', 'false', '511725135452', 5, '凉井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725135452', 1, '2021-07-19 11:58:08', NULL, NULL), (25411, '', '流溪社区', '5c6853b26454407e8c0dfeae445aaa7e', '8dccda738a9740908de3b96c14e00990', 'False', 'True', 'false', 'false', '511725135552', 5, '流溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725135552', 1, '2021-07-19 11:58:08', NULL, NULL), (25412, '', '燕岩村', 'fdad2d74444f4938a1b395139457d83e', '8dccda738a9740908de3b96c14e00990', 'False', 'True', 'false', 'false', '511725135590', 5, '燕岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725135590', 1, '2021-07-19 11:58:08', NULL, NULL), (25413, '', '石板社区', '98020cfab2e84114bbb8d1ff5ff5dbf4', '8dccda738a9740908de3b96c14e00990', 'False', 'True', 'false', 'false', '511725210200', 5, '石板社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725210200', 1, '2021-07-19 11:58:08', NULL, NULL), (25414, '', '斌山村', 'd7b14a6d416c4622b2e52e38bc329b63', '8dccda738a9740908de3b96c14e00990', 'False', 'True', 'false', 'false', '511725210202', 5, '斌山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725210202', 1, '2021-07-19 11:58:08', NULL, NULL), (25415, '', '高岭村', 'f66cbe527738458ea80fc69418e58b64', '8dccda738a9740908de3b96c14e00990', 'False', 'True', 'false', 'false', '511725210203', 5, '高岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725210203', 1, '2021-07-19 11:58:08', NULL, NULL), (25416, '', '栏桥村', 'c71f7d68bbcc48f495b52a669ab76721', '8dccda738a9740908de3b96c14e00990', 'False', 'True', 'false', 'false', '511725210205', 5, '栏桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725210205', 1, '2021-07-19 11:58:08', NULL, NULL), (25417, '', '里坪村', 'f47e1478f4de4b80b8a711113921323c', '8dccda738a9740908de3b96c14e00990', 'False', 'True', 'false', 'false', '511725210206', 5, '里坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725210206', 1, '2021-07-19 11:58:08', NULL, NULL), (25418, '', '美垭村', '951bbc42e606433ba6939ef134c7f83e', '8dccda738a9740908de3b96c14e00990', 'False', 'True', 'false', 'false', '511725210208', 5, '美垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725210208', 1, '2021-07-19 11:58:08', NULL, NULL), (25419, '', '天星街道', 'ba7156a769df4463920462f6d5e6214d', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725311000', 4, '天星街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725311000', 1, '2021-07-19 11:58:08', NULL, NULL), (25420, '', '普光社区', '5216d0095b2042918da16ef7fecc1785', 'ba7156a769df4463920462f6d5e6214d', 'False', 'True', 'false', 'false', '511725002753', 5, '普光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725002753', 1, '2021-07-19 11:58:08', NULL, NULL), (25421, '', '滨江社区', '126b22e426ca469589b5be4629f3f62f', 'ba7156a769df4463920462f6d5e6214d', 'False', 'True', 'false', 'false', '511725101262', 5, '滨江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725101262', 1, '2021-07-19 11:58:08', NULL, NULL), (25422, '', '八濛村', '8d95e7364cd7445cb5dfd297626f05b6', 'ba7156a769df4463920462f6d5e6214d', 'False', 'True', 'false', 'false', '511725101447', 5, '八濛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725101447', 1, '2021-07-19 11:58:08', NULL, NULL), (25423, '', '腾龙社区', 'f1304d25cad94c88b1c622e197ead65d', 'ba7156a769df4463920462f6d5e6214d', 'False', 'True', 'false', 'false', '511725101462', 5, '腾龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725101462', 1, '2021-07-19 11:58:08', NULL, NULL), (25424, '', '五井社区', '302e5c1f8c68442a82693e362668521e', 'ba7156a769df4463920462f6d5e6214d', 'False', 'True', 'false', 'false', '511725101514', 5, '五井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725101514', 1, '2021-07-19 11:58:08', NULL, NULL), (25425, '', '新店社区', '7d20daddd8104868b98a5c5cee128221', 'ba7156a769df4463920462f6d5e6214d', 'False', 'True', 'false', 'false', '511725101554', 5, '新店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725101554', 1, '2021-07-19 11:58:08', NULL, NULL), (25426, '', '文峰社区', 'd573b9bffd0d426b8359f139b8cb9031', 'ba7156a769df4463920462f6d5e6214d', 'False', 'True', 'false', 'false', '511725101825', 5, '文峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725101825', 1, '2021-07-19 11:58:09', NULL, NULL), (25427, '', '长青社区', '2c88c0ecb39e45d8ac8401ede270d277', 'ba7156a769df4463920462f6d5e6214d', 'False', 'True', 'false', 'false', '511725101890', 5, '长青社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725101890', 1, '2021-07-19 11:58:09', NULL, NULL), (25428, '', '濛山社区', 'c796a1e627884e089e8504a475b8e9a7', 'ba7156a769df4463920462f6d5e6214d', 'False', 'True', 'false', 'false', '511725101928', 5, '濛山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725101928', 1, '2021-07-19 11:58:09', NULL, NULL), (25429, '', '天星社区', '3c6db987eb364dec9345000210e3697f', 'ba7156a769df4463920462f6d5e6214d', 'False', 'True', 'false', 'false', '511725101981', 5, '天星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725101981', 1, '2021-07-19 11:58:09', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (25430, '', '中滩镇', 'a54614c714824b67958790295cd95076', '349d1f0f610d47f0b16c7c2ef49f7b33', 'True', 'True', 'false', 'false', '511725873000', 4, '中滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511725873000', 1, '2021-07-19 11:58:09', NULL, NULL), (25431, '', '胜利村', '1b275d41cafd4cae979d84c8c0bb20f8', 'a54614c714824b67958790295cd95076', 'False', 'True', 'false', 'false', '511725116202', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725116202', 1, '2021-07-19 11:58:09', NULL, NULL), (25432, '', '五四社区', 'bca0ed2966cd44f0804db8db7251fe1d', 'a54614c714824b67958790295cd95076', 'False', 'True', 'false', 'false', '511725116198', 5, '五四社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725116198', 1, '2021-07-19 11:58:09', NULL, NULL), (25433, '', '新联村', '1e30a05710c84eff81593bdc00b8f2ec', 'a54614c714824b67958790295cd95076', 'False', 'True', 'false', 'false', '511725116357', 5, '新联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725116357', 1, '2021-07-19 11:58:09', NULL, NULL), (25434, '', '林湾村', 'b351ce2595be4576ac10c292fb3b4281', 'a54614c714824b67958790295cd95076', 'False', 'True', 'false', 'false', '511725116601', 5, '林湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725116601', 1, '2021-07-19 11:58:09', NULL, NULL), (25435, '', '花园村', '30d1f70b0fb54923956560c7f5511907', 'a54614c714824b67958790295cd95076', 'False', 'True', 'false', 'false', '511725116673', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725116673', 1, '2021-07-19 11:58:09', NULL, NULL), (25436, '', '五龙村', '7f2211c9969d4ec9bf9ae8baf0321270', 'a54614c714824b67958790295cd95076', 'False', 'True', 'false', 'false', '511725116899', 5, '五龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725116899', 1, '2021-07-19 11:58:09', NULL, NULL), (25437, '', '寨坪村', 'd35d3103ae9f45b8bd4aefa6ac0949bf', 'a54614c714824b67958790295cd95076', 'False', 'True', 'false', 'false', '511725873153', 5, '寨坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725873153', 1, '2021-07-19 11:58:09', NULL, NULL), (25438, '', '桥坝村', 'dba6f50881be4fec969517b56850c6a4', 'a54614c714824b67958790295cd95076', 'False', 'True', 'false', 'false', '511725873248', 5, '桥坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725873248', 1, '2021-07-19 11:58:09', NULL, NULL), (25439, '', '丁家坝社区', '16272b742e12491caf845146c2ed9087', 'a54614c714824b67958790295cd95076', 'False', 'True', 'false', 'false', '511725873368', 5, '丁家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725873368', 1, '2021-07-19 11:58:09', NULL, NULL), (25440, '', '宁梁社区', '93da73b3d63642e883f2962d0dca703a', 'a54614c714824b67958790295cd95076', 'False', 'True', 'false', 'false', '511725873459', 5, '宁梁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725873459', 1, '2021-07-19 11:58:09', NULL, NULL), (25441, '', '天山村', 'e8df8a7ca9164942ae861649f083f4b9', 'a54614c714824b67958790295cd95076', 'False', 'True', 'false', 'false', '511725873804', 5, '天山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511725873804', 1, '2021-07-19 11:58:10', NULL, NULL), (25442, '', '大竹县', '39f406ced9a04edaaff4d0563f75cbcd', '16ca461e2c824257a50dd0c7fab6f2de', 'True', 'True', 'false', 'false', '511724000000', 3, '大竹县', 'dzsdzx.sczwfw.gov.cn', 1, '2021-07-19 11:58:10', NULL, NULL), (25443, '', '团坝镇', '47305b5808c74a39ad6a2a127f0e9f13', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724102000', 4, '团坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724102000', 1, '2021-07-19 11:58:10', NULL, NULL), (25444, '', '育才社区', '022141b0b2d04646b9a92010756eeb4c', '47305b5808c74a39ad6a2a127f0e9f13', 'False', 'True', 'false', 'false', '511724102001', 5, '育才社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724102001', 1, '2021-07-19 11:58:10', NULL, NULL), (25445, '', '江卫村', 'b1bcb2f5eb914f398cc60b85d4096504', '47305b5808c74a39ad6a2a127f0e9f13', 'False', 'True', 'false', 'false', '511724102200', 5, '江卫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724102200', 1, '2021-07-19 11:58:10', NULL, NULL), (25446, '', '农华村', 'af95e9c27531449eb4272587205d74ad', '47305b5808c74a39ad6a2a127f0e9f13', 'False', 'True', 'false', 'false', '511724102201', 5, '农华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724102201', 1, '2021-07-19 11:58:10', NULL, NULL), (25447, '', '五星村', '466c6ca8e2334b34bb270516ba8f71ee', '47305b5808c74a39ad6a2a127f0e9f13', 'False', 'True', 'false', 'false', '511724102202', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724102202', 1, '2021-07-19 11:58:10', NULL, NULL), (25448, '', '中元村', '27a82d9086ea4436ac29f8ed762f45dd', '47305b5808c74a39ad6a2a127f0e9f13', 'False', 'True', 'false', 'false', '511724102203', 5, '中元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724102203', 1, '2021-07-19 11:58:10', NULL, NULL), (25449, '', '新生村', 'de2179a3b2ee4031b0009ab72ad2014a', '47305b5808c74a39ad6a2a127f0e9f13', 'False', 'True', 'false', 'false', '511724102204', 5, '新生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724102204', 1, '2021-07-19 11:58:10', NULL, NULL), (25450, '', '白茶村', '9d88bc049e6e488fb512d2cce40f4cbc', '47305b5808c74a39ad6a2a127f0e9f13', 'False', 'True', 'false', 'false', '511724102208', 5, '白茶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724102208', 1, '2021-07-19 11:58:10', NULL, NULL), (25451, '', '周家镇', 'be7cd485b4774c7e9333ecb3c173a66d', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724110000', 4, '周家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724110000', 1, '2021-07-19 11:58:10', NULL, NULL), (25452, '', '周家镇同乐社区', '5d14065555b4423faadc16c7f1ddbff4', 'be7cd485b4774c7e9333ecb3c173a66d', 'False', 'True', 'false', 'false', '511724110001', 5, '周家镇同乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724110001', 1, '2021-07-19 11:58:10', NULL, NULL), (25453, '', '周家镇同心社区', 'ca09b5287bdb44f6a7b6ecc028c58db1', 'be7cd485b4774c7e9333ecb3c173a66d', 'False', 'True', 'false', 'false', '511724110002', 5, '周家镇同心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724110002', 1, '2021-07-19 11:58:10', NULL, NULL), (25454, '', '周家镇太平社区', '2b100db2660d490c98b99ac487f9eed8', 'be7cd485b4774c7e9333ecb3c173a66d', 'False', 'True', 'false', 'false', '511724110003', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724110003', 1, '2021-07-19 11:58:10', NULL, NULL), (25455, '', '周家镇中和场社', 'ca4c48420ed44d44ba70d9eaa9843e94', 'be7cd485b4774c7e9333ecb3c173a66d', 'False', 'True', 'false', 'false', '511724110004', 5, '中和场社', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724110004', 1, '2021-07-19 11:58:10', NULL, NULL), (25456, '', '周家镇狮子村', '23016c118e624fb1bffc80ef0a90e6d6', 'be7cd485b4774c7e9333ecb3c173a66d', 'False', 'True', 'false', 'false', '511724110200', 5, '狮子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724110200', 1, '2021-07-19 11:58:10', NULL, NULL), (25457, '', '周家镇新胜村', '0207e6fdf99f4e00b3fb610f44c16439', 'be7cd485b4774c7e9333ecb3c173a66d', 'False', 'True', 'false', 'false', '511724110201', 5, '新胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724110201', 1, '2021-07-19 11:58:10', NULL, NULL), (25458, '', '周家镇清凉村', '3340f32e6be24f4b8c087c808e9438f0', 'be7cd485b4774c7e9333ecb3c173a66d', 'False', 'True', 'false', 'false', '511724110202', 5, '清凉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724110202', 1, '2021-07-19 11:58:10', NULL, NULL), (25459, '', '周家镇双鱼村', '9636ccfeb84c4cdc967df22246f30238', 'be7cd485b4774c7e9333ecb3c173a66d', 'False', 'True', 'false', 'false', '511724110203', 5, '双鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724110203', 1, '2021-07-19 11:58:10', NULL, NULL), (25460, '', '周家镇月城村', '1bd0b7901f674f0083781846f82d0dd9', 'be7cd485b4774c7e9333ecb3c173a66d', 'False', 'True', 'false', 'false', '511724110205', 5, '月城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724110205', 1, '2021-07-19 11:58:10', NULL, NULL), (25461, '', '周家镇柳州村', '128a8b36ed1043d2b2550787526532bd', 'be7cd485b4774c7e9333ecb3c173a66d', 'False', 'True', 'false', 'false', '511724110206', 5, '柳州村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724110206', 1, '2021-07-19 11:58:10', NULL, NULL), (25462, '', '周家镇康宁村', '054cbb478d004ebb9926dd18b91e1960', 'be7cd485b4774c7e9333ecb3c173a66d', 'False', 'True', 'false', 'false', '511724110208', 5, '康宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724110208', 1, '2021-07-19 11:58:10', NULL, NULL), (25463, '', '周家镇高峰寨村', 'c07f99af29894f758fdcc3ed264eb375', 'be7cd485b4774c7e9333ecb3c173a66d', 'False', 'True', 'false', 'false', '511724110209', 5, '高峰寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724110209', 1, '2021-07-19 11:58:11', NULL, NULL), (25464, '', '周家镇西河村', '53ac06c9112c4f2f99168f22d2ddebc5', 'be7cd485b4774c7e9333ecb3c173a66d', 'False', 'True', 'false', 'false', '511724110210', 5, '西河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724110210', 1, '2021-07-19 11:58:11', NULL, NULL), (25465, '', '周家镇八角村', '578396cbb3824d21af1430aa19196bd0', 'be7cd485b4774c7e9333ecb3c173a66d', 'False', 'True', 'false', 'false', '511724110212', 5, '八角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724110212', 1, '2021-07-19 11:58:11', NULL, NULL), (25466, '', '周家镇龙虎村', 'f5b002515bbe4b36b7714badc26241ad', 'be7cd485b4774c7e9333ecb3c173a66d', 'False', 'True', 'false', 'false', '511724110213', 5, '龙虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724110213', 1, '2021-07-19 11:58:11', NULL, NULL), (25467, '', '清河镇', '7cc031a2bea2418bbb5d0c23c3fadff9', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724105000', 4, '清河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724105000', 1, '2021-07-19 11:58:11', NULL, NULL), (25468, '', '清河镇古柏社区', '3197b3f793ba4496a409a18e2b582dfc', '7cc031a2bea2418bbb5d0c23c3fadff9', 'False', 'True', 'false', 'false', '511724105002', 5, '清河镇古柏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724105002', 1, '2021-07-19 11:58:11', NULL, NULL), (25469, '', '清河镇柏家村', 'cfb787cec2f444fb8430b19854c6d666', '7cc031a2bea2418bbb5d0c23c3fadff9', 'False', 'True', 'false', 'false', '511724105206', 5, '清河镇柏家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724105206', 1, '2021-07-19 11:58:11', NULL, NULL), (25470, '', '清河镇洪福村', 'df24c70527c74f099df6234da90d1000', '7cc031a2bea2418bbb5d0c23c3fadff9', 'False', 'True', 'false', 'false', '511724105210', 5, '清河镇洪福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724105210', 1, '2021-07-19 11:58:11', NULL, NULL), (25471, '', '清河镇将军社区', 'be873540eac64c139946bad172f5613e', '7cc031a2bea2418bbb5d0c23c3fadff9', 'False', 'True', 'false', 'false', '511724105106', 5, '清河镇将军社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724105106', 1, '2021-07-19 11:58:11', NULL, NULL), (25472, '', '清河镇农新村', '0e6d65e22ffd4241a9bcca6225d9c75a', '7cc031a2bea2418bbb5d0c23c3fadff9', 'False', 'True', 'false', 'false', '511724105107', 5, '清河镇农新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724105107', 1, '2021-07-19 11:58:11', NULL, NULL), (25473, '', '清河镇龙洞坝村', '568e20e1a74c42309ee6eb482a8845f1', '7cc031a2bea2418bbb5d0c23c3fadff9', 'False', 'True', 'false', 'false', '511724105108', 5, '清河镇龙洞坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724105108', 1, '2021-07-19 11:58:11', NULL, NULL), (25474, '', '清河镇万里坪村', '79cbda0f502648b09c9ad5fed8f4ea47', '7cc031a2bea2418bbb5d0c23c3fadff9', 'False', 'True', 'false', 'false', '511724105109', 5, '清河镇万里坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724105109', 1, '2021-07-19 11:58:11', NULL, NULL), (25475, '', '清河镇毛古村', 'b8ef217915114815bb3f29b6e1179e98', '7cc031a2bea2418bbb5d0c23c3fadff9', 'False', 'True', 'false', 'false', '511724105110', 5, '清河镇毛古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724105110', 1, '2021-07-19 11:58:11', NULL, NULL), (25476, '', '清河镇华光村', 'e05119ae12fc4e8d91b669081e0b89b5', '7cc031a2bea2418bbb5d0c23c3fadff9', 'False', 'True', 'false', 'false', '511724105111', 5, '清河镇华光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724105111', 1, '2021-07-19 11:58:11', NULL, NULL), (25477, '', '清河镇沙坝村', 'fb9ead02219749eeaca38d35a65c86d1', '7cc031a2bea2418bbb5d0c23c3fadff9', 'False', 'True', 'false', 'false', '511724105112', 5, '清河镇沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724105112', 1, '2021-07-19 11:58:11', NULL, NULL), (25478, '', '清河镇双龙寨村', '153e124389d1492d8982c1d7437f8a64', '7cc031a2bea2418bbb5d0c23c3fadff9', 'False', 'True', 'false', 'false', '511724105114', 5, '清河镇双龙寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724105114', 1, '2021-07-19 11:58:11', NULL, NULL), (25479, '', '清河镇乌桥村', 'be4a051997934e89aad91fe2e8913c57', '7cc031a2bea2418bbb5d0c23c3fadff9', 'False', 'True', 'false', 'false', '511724105115', 5, '清河镇乌桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724105115', 1, '2021-07-19 11:58:11', NULL, NULL), (25480, '', '清河镇平滩村', 'c1b209a421cb443982d6bda03b9d06e8', '7cc031a2bea2418bbb5d0c23c3fadff9', 'False', 'True', 'false', 'false', '511724105116', 5, '清河镇平滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724105116', 1, '2021-07-19 11:58:11', NULL, NULL), (25481, '', '柏林镇', 'b340fb2c5d8141e0aca184ede8995208', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724117000', 4, '柏林镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724117000', 1, '2021-07-19 11:58:12', NULL, NULL), (25482, '', '柏林镇柏荣社区', '6376b5b925804fc1bbd2fa7d80968ebe', 'b340fb2c5d8141e0aca184ede8995208', 'False', 'True', 'false', 'false', '511724117118', 5, '柏林镇柏荣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724117118', 1, '2021-07-19 11:58:12', NULL, NULL), (25483, '', '柏林镇三江村', '496684b609014b068d2c28e735232e8a', 'b340fb2c5d8141e0aca184ede8995208', 'False', 'True', 'false', 'false', '511724117120', 5, '柏林镇三江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724117120', 1, '2021-07-19 11:58:12', NULL, NULL), (25484, '', '柏林镇观音村', '3f0c6ed8922e41b382a6015e9473a989', 'b340fb2c5d8141e0aca184ede8995208', 'False', 'True', 'false', 'false', '511724117122', 5, '柏林镇观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724117122', 1, '2021-07-19 11:58:12', NULL, NULL), (25485, '', '柏林镇洪河村', '343834674bcb42d783740fa9bee3941e', 'b340fb2c5d8141e0aca184ede8995208', 'False', 'True', 'false', 'false', '511724117123', 5, '柏林镇洪河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724117123', 1, '2021-07-19 11:58:12', NULL, NULL), (25486, '', '柏林镇白马村', 'bbc90a9603e841d28098b27a7f674763', 'b340fb2c5d8141e0aca184ede8995208', 'False', 'True', 'false', 'false', '511724117124', 5, '柏林镇白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724117124', 1, '2021-07-19 11:58:12', NULL, NULL), (25487, '', '石河镇', '6dc52b5fc3a440edafaa9f6908974836', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724143000', 4, '石河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724143000', 1, '2021-07-19 11:58:12', NULL, NULL), (25488, '', '石河镇望江社区', '147f779e1f0c41e580ffbad1ed5b5e8d', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143001', 5, '石河镇望江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143001', 1, '2021-07-19 11:58:12', NULL, NULL), (25489, '', '石河镇二郎社区', '55c00e23bbe04878a45a0689b66d2f34', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143004', 5, '石河镇二郎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143004', 1, '2021-07-19 11:58:12', NULL, NULL), (25490, '', '石河镇福兴社区', '9f6d451727954618840308a0f7076fa3', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143005', 5, '石河镇福兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143005', 1, '2021-07-19 11:58:12', NULL, NULL), (25491, '', '石河镇青云社区', '4fa1f9d5129a44de94b6d13036d7571d', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143006', 5, '石河镇青云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143006', 1, '2021-07-19 11:58:12', NULL, NULL), (25492, '', '石河镇云林安村', 'ddaeb04ea6c548dcbcbc9e9387c099e4', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143213', 5, '石河镇云林安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143213', 1, '2021-07-19 11:58:12', NULL, NULL), (25493, '', '石河镇双拱村', '34722cfb4a244988a3e64184a1a8e646', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143215', 5, '石河镇双拱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143215', 1, '2021-07-19 11:58:12', NULL, NULL), (25494, '', '石河镇白羊村', '37c7bb62abcb4a23ac766cf9b45f800d', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143216', 5, '石河镇白羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143216', 1, '2021-07-19 11:58:12', NULL, NULL), (25495, '', '石河镇江水村', '2666a8e85f7f4d75a5079644aa39c9d8', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143217', 5, '石河镇江水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143217', 1, '2021-07-19 11:58:12', NULL, NULL), (25496, '', '石河镇新建村', 'e5dc2d5772824d3b9431109ffe7d6f3e', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143218', 5, '石河镇新建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143218', 1, '2021-07-19 11:58:12', NULL, NULL), (25497, '', '石河镇松坪村', '7494fa3d290447e7b87d42c8757ca2a5', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143220', 5, '石河镇松坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143220', 1, '2021-07-19 11:58:12', NULL, NULL), (25498, '', '石河镇中峰村', '13a1321b15fa4956a7e42c9fdf6e45d3', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143221', 5, '石河镇中峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143221', 1, '2021-07-19 11:58:13', NULL, NULL), (25499, '', '石河镇连心村', '724d021eae1f49179cc3726d4a8482b2', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143222', 5, '石河镇连心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143222', 1, '2021-07-19 11:58:13', NULL, NULL), (25500, '', '石河镇大湾社区', '8b3d174f582e45dbb9efa9bf7b8ae0d2', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143223', 5, '石河镇大湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143223', 1, '2021-07-19 11:58:13', NULL, NULL), (25501, '', '石河镇兴隆村', '7fd209c26edc4929907918c6fec014e7', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143224', 5, '石河镇兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143224', 1, '2021-07-19 11:58:13', NULL, NULL), (25502, '', '石河镇前进村', '935a0949ed6c4f269badd25bef26fb9e', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143225', 5, '石河镇前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143225', 1, '2021-07-19 11:58:13', NULL, NULL), (25503, '', '石河镇正通社区', '058eb62f19d64e8eb908691cc237ef06', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143144', 5, '石河镇正通社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143144', 1, '2021-07-19 11:58:13', NULL, NULL), (25504, '', '石河镇繁荣社区', '567faea3d1134636abd86a362c15a800', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143145', 5, '石河镇繁荣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143145', 1, '2021-07-19 11:58:13', NULL, NULL), (25505, '', '石河镇江水桥村', 'dbdad254cee345f8a55b7dfe5ffe8747', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143146', 5, '石河镇江水桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143146', 1, '2021-07-19 11:58:13', NULL, NULL), (25506, '', '石河镇严家桥村', 'eb1e82d2ad1145a2b9ab81602f75e543', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143147', 5, '石河镇严家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143147', 1, '2021-07-19 11:58:13', NULL, NULL), (25507, '', '石河镇刘家场村', '7f2a48a5f2e5435fa2be2dcbf203e69e', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143148', 5, '石河镇刘家场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143148', 1, '2021-07-19 11:58:13', NULL, NULL), (25508, '', '石河镇长官坪村', '48b68d06dcb34b8d93d6dc2956bf4774', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143149', 5, '石河镇长官坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143149', 1, '2021-07-19 11:58:13', NULL, NULL), (25509, '', '石河镇炉山村', 'c0fc69d3914c4456be34a2a42d1ac565', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143150', 5, '石河镇炉山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143150', 1, '2021-07-19 11:58:13', NULL, NULL), (25510, '', '石河镇新华村', 'b99d4598177643c68503d18902f8610d', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143151', 5, '石河镇新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143151', 1, '2021-07-19 11:58:13', NULL, NULL), (25511, '', '石河镇玉子铺村', '4e9d19b7fb3646028cca1aa8272d7576', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143153', 5, '石河镇玉子铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143153', 1, '2021-07-19 11:58:13', NULL, NULL), (25512, '', '石河镇东方红村', 'd3d474aaf97248d788ad1cd85a73ae12', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143154', 5, '石河镇东方红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143154', 1, '2021-07-19 11:58:13', NULL, NULL), (25513, '', '石河镇前锋村', '7839428ddfb14f2eaef625416b5b249b', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143155', 5, '石河镇前锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143155', 1, '2021-07-19 11:58:14', NULL, NULL), (25514, '', '石河镇福利村', '3f21675a4def42f2a87e00f45f003db4', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143156', 5, '石河镇福利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143156', 1, '2021-07-19 11:58:14', NULL, NULL), (25515, '', '石河镇五通村', 'c8c34f2c12f74d819e20985b0c404f72', '6dc52b5fc3a440edafaa9f6908974836', 'False', 'True', 'false', 'false', '511724143158', 5, '石河镇五通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724143158', 1, '2021-07-19 11:58:14', NULL, NULL), (25516, '', '东柳街道办', 'edaad811c54247b0bc4265ef6191843e', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724150000', 4, '东柳街道办', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724150000', 1, '2021-07-19 11:58:14', NULL, NULL), (25517, '', '东柳街道东城社区', '16b864ae225c4413843eb6deb43b11d7', 'edaad811c54247b0bc4265ef6191843e', 'False', 'True', 'false', 'false', '511724150160', 5, '东柳街道东城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724150160', 1, '2021-07-19 11:58:14', NULL, NULL), (25518, '', '东柳街道东柳社区', '519b2a323af5445cb78fb4f28c86fdbd', 'edaad811c54247b0bc4265ef6191843e', 'False', 'True', 'false', 'false', '511724150170', 5, '东柳街道东柳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724150170', 1, '2021-07-19 11:58:14', NULL, NULL), (25519, '', '东柳街道群峰社区', 'f7058e4c43324e4ebd8a22aeb4e21d51', 'edaad811c54247b0bc4265ef6191843e', 'False', 'True', 'false', 'false', '511724150180', 5, '东柳街道群峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724150180', 1, '2021-07-19 11:58:14', NULL, NULL), (25520, '', '东柳街道汇河社区', 'c8090bf0ad32463db57269eb67c2dc2e', 'edaad811c54247b0bc4265ef6191843e', 'False', 'True', 'false', 'false', '511724150190', 5, '东柳街道汇河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724150190', 1, '2021-07-19 11:58:14', NULL, NULL), (25521, '', '东柳街道解放社区', '0f3dc20883264c8e86c225b5bb8fcab8', 'edaad811c54247b0bc4265ef6191843e', 'False', 'True', 'false', 'false', '511724150200', 5, '东柳街道解放社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724150200', 1, '2021-07-19 11:58:14', NULL, NULL), (25522, '', '东柳街道黄家坝社区', '261edcf76fc4413f8856e993884e3917', 'edaad811c54247b0bc4265ef6191843e', 'False', 'True', 'false', 'false', '511724150210', 5, '东柳街道黄家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724150210', 1, '2021-07-19 11:58:14', NULL, NULL), (25523, '', '东柳街道金龙社区', '23ea7176dcf749359ddc6c213c82b6b9', 'edaad811c54247b0bc4265ef6191843e', 'False', 'True', 'false', 'false', '511724150230', 5, '东柳街道金龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724150230', 1, '2021-07-19 11:58:14', NULL, NULL), (25524, '', '月华镇', 'b3c052a8d2eb459a8d38135954b76565', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724159000', 4, '月华镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724159000', 1, '2021-07-19 11:58:14', NULL, NULL), (25525, '', '月华镇月华场社区', 'f8c88457b83644adb65169f6747a4ad4', 'b3c052a8d2eb459a8d38135954b76565', 'False', 'True', 'false', 'false', '511724159160', 5, '月华镇月华场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724159160', 1, '2021-07-19 11:58:14', NULL, NULL), (25526, '', '月华镇玉皇庙村', '889768f5e9ff443c88174e3fec356adf', 'b3c052a8d2eb459a8d38135954b76565', 'False', 'True', 'false', 'false', '511724159161', 5, '月华镇玉皇庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724159161', 1, '2021-07-19 11:58:14', NULL, NULL), (25527, '', '月华镇光华村', '121df7f559924b8593356acd75aebf22', 'b3c052a8d2eb459a8d38135954b76565', 'False', 'True', 'false', 'false', '511724159162', 5, '月华镇光华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724159162', 1, '2021-07-19 11:58:14', NULL, NULL), (25528, '', '月华镇川心村', 'cda8ca87007345718ccc53a62a698236', 'b3c052a8d2eb459a8d38135954b76565', 'False', 'True', 'false', 'false', '511724159164', 5, '月华镇川心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724159164', 1, '2021-07-19 11:58:14', NULL, NULL), (25529, '', '月华镇河心村', '96971ca76c724c4ca70bb5c99b3364ba', 'b3c052a8d2eb459a8d38135954b76565', 'False', 'True', 'false', 'false', '511724159165', 5, '月华镇河心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724159165', 1, '2021-07-19 11:58:14', NULL, NULL), (25530, '', '月华镇蔡家庵村', '24abaaab15b7493dab55000eb2f6f602', 'b3c052a8d2eb459a8d38135954b76565', 'False', 'True', 'false', 'false', '511724159166', 5, '月华镇蔡家庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724159166', 1, '2021-07-19 11:58:14', NULL, NULL), (25531, '', '月华镇爱国村', '159b39ae373749e3aa9b6e43552d8fc6', 'b3c052a8d2eb459a8d38135954b76565', 'False', 'True', 'false', 'false', '511724159167', 5, '月华镇爱国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724159167', 1, '2021-07-19 11:58:15', NULL, NULL), (25532, '', '月华镇井岗村', '9ec16be2252a4f24839cca7de93a3eed', 'b3c052a8d2eb459a8d38135954b76565', 'False', 'True', 'false', 'false', '511724159168', 5, '月华镇井岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724159168', 1, '2021-07-19 11:58:15', NULL, NULL), (25533, '', '月华镇九银村', '179784478006444f9dd4a6568978f9bc', 'b3c052a8d2eb459a8d38135954b76565', 'False', 'True', 'false', 'false', '511724159169', 5, '月华镇九银村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724159169', 1, '2021-07-19 11:58:15', NULL, NULL), (25534, '', '石桥铺镇', '21e85794dfde4a9cb052eb452eabd859', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724194000', 4, '石桥铺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724194000', 1, '2021-07-19 11:58:15', NULL, NULL), (25535, '', '石桥铺镇兴隆社区', 'd77fbda9fac04bbd9c83fbe844902fe3', '21e85794dfde4a9cb052eb452eabd859', 'False', 'True', 'false', 'false', '511724194003', 5, '石桥铺镇兴隆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724194003', 1, '2021-07-19 11:58:15', NULL, NULL), (25536, '', '石桥铺镇高兴村', 'cde172dc325946828e38516341534500', '21e85794dfde4a9cb052eb452eabd859', 'False', 'True', 'false', 'false', '511724194211', 5, '石桥铺镇高兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724194211', 1, '2021-07-19 11:58:15', NULL, NULL), (25537, '', '石桥铺镇石桥社区', '496ca353bb94420aac505e955b5a5b88', '21e85794dfde4a9cb052eb452eabd859', 'False', 'True', 'false', 'false', '511724194195', 5, '石桥铺镇石桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724194195', 1, '2021-07-19 11:58:15', NULL, NULL), (25538, '', '石桥铺镇新村社区', 'dc0e5b7611494b939598b375613d02fe', '21e85794dfde4a9cb052eb452eabd859', 'False', 'True', 'false', 'false', '511724194196', 5, '石桥铺镇新村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724194196', 1, '2021-07-19 11:58:15', NULL, NULL), (25539, '', '石桥铺镇汤家营村', 'ee4e17d9c74241a288c3f6cc598fd34e', '21e85794dfde4a9cb052eb452eabd859', 'False', 'True', 'false', 'false', '511724194197', 5, '石桥铺镇汤家营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724194197', 1, '2021-07-19 11:58:15', NULL, NULL), (25540, '', '石桥铺镇天桥村', 'a99049b0a6d44c7caa071be23003a311', '21e85794dfde4a9cb052eb452eabd859', 'False', 'True', 'false', 'false', '511724194198', 5, '石桥铺镇天桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724194198', 1, '2021-07-19 11:58:15', NULL, NULL), (25541, '', '石桥铺镇长青村', '64f01f28769148a19fdd70a0a015fb50', '21e85794dfde4a9cb052eb452eabd859', 'False', 'True', 'false', 'false', '511724194199', 5, '石桥铺镇长青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724194199', 1, '2021-07-19 11:58:15', NULL, NULL), (25542, '', '石桥铺镇绿水村', 'e487338c05c841d6be596a9ff86b688c', '21e85794dfde4a9cb052eb452eabd859', 'False', 'True', 'false', 'false', '511724194200', 5, '石桥铺镇绿水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724194200', 1, '2021-07-19 11:58:15', NULL, NULL), (25543, '', '石桥铺镇周河村', '919afc4a01274dc68825db3fac57cc96', '21e85794dfde4a9cb052eb452eabd859', 'False', 'True', 'false', 'false', '511724194201', 5, '石桥铺镇周河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724194201', 1, '2021-07-19 11:58:16', NULL, NULL), (25544, '', '石桥铺镇小桥村', 'd96998f37af9485b82c2d6aa96954fe8', '21e85794dfde4a9cb052eb452eabd859', 'False', 'True', 'false', 'false', '511724194202', 5, '石桥铺镇小桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724194202', 1, '2021-07-19 11:58:16', NULL, NULL), (25545, '', '石桥铺镇石柱村', '946a86a368f74c5d893ef4bb8cc70086', '21e85794dfde4a9cb052eb452eabd859', 'False', 'True', 'false', 'false', '511724194203', 5, '石桥铺镇石柱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724194203', 1, '2021-07-19 11:58:16', NULL, NULL), (25546, '', '石桥铺镇锁石村', 'f5d031622cd946d49186bf9a19edc1b6', '21e85794dfde4a9cb052eb452eabd859', 'False', 'True', 'false', 'false', '511724194204', 5, '石桥铺镇锁石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724194204', 1, '2021-07-19 11:58:16', NULL, NULL), (25547, '', '石桥铺镇指挥村', 'a7dcc25fe6434dbda970e6132afac7dc', '21e85794dfde4a9cb052eb452eabd859', 'False', 'True', 'false', 'false', '511724194205', 5, '石桥铺镇指挥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724194205', 1, '2021-07-19 11:58:16', NULL, NULL), (25548, '', '石桥铺镇铁板村', '813c131d9bbb4809852dceccb539f280', '21e85794dfde4a9cb052eb452eabd859', 'False', 'True', 'false', 'false', '511724194206', 5, '石桥铺镇铁板村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724194206', 1, '2021-07-19 11:58:16', NULL, NULL), (25549, '', '石桥铺镇工农村', '9f8ac60c00144ca4a253d1138b38d1fd', '21e85794dfde4a9cb052eb452eabd859', 'False', 'True', 'false', 'false', '511724194207', 5, '石桥铺镇工农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724194207', 1, '2021-07-19 11:58:16', NULL, NULL), (25550, '', '永胜镇', '6bd4615221ca4c09895baab2a87f75c3', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724208000', 4, '永胜镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724208000', 1, '2021-07-19 11:58:16', NULL, NULL), (25551, '', '永胜镇永兴社区', 'fcd91c06da66428296ed7ee81414e0e8', '6bd4615221ca4c09895baab2a87f75c3', 'False', 'True', 'false', 'false', '511724208209', 5, '永胜镇永兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724208209', 1, '2021-07-19 11:58:16', NULL, NULL), (25552, '', '永胜镇清溪村', 'c3a59b49b5a8489db6668562b7ce4abe', '6bd4615221ca4c09895baab2a87f75c3', 'False', 'True', 'false', 'false', '511724208210', 5, '永胜镇清溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724208210', 1, '2021-07-19 11:58:16', NULL, NULL), (25553, '', '永胜镇荷花村', '13247112ef4a4e628c56d90b9d634e59', '6bd4615221ca4c09895baab2a87f75c3', 'False', 'True', 'false', 'false', '511724208211', 5, '永胜镇荷花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724208211', 1, '2021-07-19 11:58:16', NULL, NULL), (25554, '', '永胜镇麻柳村', '9186075be0b04b958bd578b964b65bde', '6bd4615221ca4c09895baab2a87f75c3', 'False', 'True', 'false', 'false', '511724208212', 5, '永胜镇麻柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724208212', 1, '2021-07-19 11:58:16', NULL, NULL), (25555, '', '永胜镇黄安村', '8af5fe11ab01466e9ead622770b679b0', '6bd4615221ca4c09895baab2a87f75c3', 'False', 'True', 'false', 'false', '511724208214', 5, '永胜镇黄安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724208214', 1, '2021-07-19 11:58:16', NULL, NULL), (25556, '', '永胜镇人民村', 'dd8db01129f24febac95380a3587cc15', '6bd4615221ca4c09895baab2a87f75c3', 'False', 'True', 'false', 'false', '511724208216', 5, '永胜镇人民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724208216', 1, '2021-07-19 11:58:16', NULL, NULL), (25557, '', '永胜镇茨竹村', '904cd2d2951d4b00a3f272141928aaea', '6bd4615221ca4c09895baab2a87f75c3', 'False', 'True', 'false', 'false', '511724208217', 5, '永胜镇茨竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724208217', 1, '2021-07-19 11:58:17', NULL, NULL), (25558, '', '安吉乡', '327bda7f796a496b91375bcecfaf62fe', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724229000', 4, '安吉乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724229000', 1, '2021-07-19 11:58:17', NULL, NULL), (25559, '', '安吉乡安吉社区', '98316eabd688490ebf8ff003499baf7b', '327bda7f796a496b91375bcecfaf62fe', 'False', 'True', 'false', 'false', '511724229230', 5, '安吉乡安吉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724229230', 1, '2021-07-19 11:58:17', NULL, NULL), (25560, '', '安吉乡川堂村', 'a9a683999bb945818e35a63f6f219131', '327bda7f796a496b91375bcecfaf62fe', 'False', 'True', 'false', 'false', '511724229231', 5, '安吉乡川堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724229231', 1, '2021-07-19 11:58:17', NULL, NULL), (25561, '', '安吉乡接龙桥村', '20f34cde37f44d19977233d17db4b3a7', '327bda7f796a496b91375bcecfaf62fe', 'False', 'True', 'false', 'false', '511724229233', 5, '安吉乡接龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724229233', 1, '2021-07-19 11:58:17', NULL, NULL), (25562, '', '安吉乡繁荣村', 'dcbf5e35e8564102af5e9caf8704e1be', '327bda7f796a496b91375bcecfaf62fe', 'False', 'True', 'false', 'false', '511724229234', 5, '安吉乡繁荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724229234', 1, '2021-07-19 11:58:17', NULL, NULL), (25563, '', '安吉乡红岩村', 'aad83c9f82524a3385b4cec7e510f3a0', '327bda7f796a496b91375bcecfaf62fe', 'False', 'True', 'false', 'false', '511724229237', 5, '安吉乡红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724229237', 1, '2021-07-19 11:58:17', NULL, NULL), (25564, '', '观音镇', '237b01cfbd444cd49b431bab1e803ba2', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724238000', 4, '观音镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724238000', 1, '2021-07-19 11:58:17', NULL, NULL), (25565, '', '观音镇白坝子社区', '53e9b25d60c6479f8b717f9afce8b854', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238003', 5, '观音镇白坝子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238003', 1, '2021-07-19 11:58:17', NULL, NULL), (25566, '', '观音镇新店社区', '8101b15594e244e1871fbcf32eb05fea', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238004', 5, '观音镇新店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238004', 1, '2021-07-19 11:58:17', NULL, NULL), (25567, '', '观音镇双溪村', '9783069d51da464ba8b5418543502735', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238201', 5, '观音镇双溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238201', 1, '2021-07-19 11:58:17', NULL, NULL), (25568, '', '观音镇共和村', 'a9c2b2eca3954182af5742ffde19d809', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238214', 5, '观音镇共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238214', 1, '2021-07-19 11:58:17', NULL, NULL), (25569, '', '观音镇文昌村', '62fb5d4972404ddaa57b720db8ac80b2', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238215', 5, '观音镇文昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238215', 1, '2021-07-19 11:58:17', NULL, NULL), (25570, '', '观音镇普照村', '2b097073539d488185a4d9ddf2de2d99', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238216', 5, '观音镇普照村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238216', 1, '2021-07-19 11:58:18', NULL, NULL), (25571, '', '观音镇金星村', 'c488ed2aa9c04ff5ac9ccff8b8d7c2f8', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238217', 5, '观音镇金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238217', 1, '2021-07-19 11:58:18', NULL, NULL), (25572, '', '观音镇三青村', '91c9e64bb11446059c6c5de44ed23e43', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238218', 5, '观音镇三青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238218', 1, '2021-07-19 11:58:18', NULL, NULL), (25573, '', '观音镇观音桥社区', '12820089d08241d9a17c9a48cbad8f98', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238239', 5, '观音镇观音桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238239', 1, '2021-07-19 11:58:18', NULL, NULL), (25574, '', '观音镇友谊村', 'e1e858b8d51748e9bffc89a8108bb1d5', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238240', 5, '观音镇友谊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238240', 1, '2021-07-19 11:58:18', NULL, NULL), (25575, '', '观音镇朝印社区', '87a5b2e5ae0e49cf84185c75def3bfd2', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238241', 5, '观音镇朝印社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238241', 1, '2021-07-19 11:58:18', NULL, NULL), (25576, '', '观音镇大板村', '92dc29bcd26147e3831971df5a7b22ad', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238242', 5, '观音镇大板村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238242', 1, '2021-07-19 11:58:18', NULL, NULL), (25577, '', '观音镇青杠村', 'f05686323b90491d856975d612cd7cb9', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238243', 5, '观音镇青杠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238243', 1, '2021-07-19 11:58:18', NULL, NULL), (25578, '', '观音镇清河村', '9f3bca4c42514375a525e73486a35dd4', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238244', 5, '观音镇清河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238244', 1, '2021-07-19 11:58:18', NULL, NULL), (25579, '', '观音镇高河村', '7e0b430d991041d899e20e652042cf5a', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238245', 5, '观音镇高河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238245', 1, '2021-07-19 11:58:18', NULL, NULL), (25580, '', '观音镇明月村', '52c439bb347d4f2a9d37e5847f6e5550', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238246', 5, '观音镇明月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238246', 1, '2021-07-19 11:58:18', NULL, NULL), (25581, '', '观音镇贾角山村', '1d00da29bc91417ca812b88c8918769c', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238247', 5, '观音镇贾角山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238247', 1, '2021-07-19 11:58:18', NULL, NULL), (25582, '', '观音镇小河村', '2294abc74ca944a7a57a8f2db1b5fd87', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238248', 5, '观音镇小河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238248', 1, '2021-07-19 11:58:18', NULL, NULL), (25583, '', '观音镇双河口村', '19bd753e32794516a011020ef5ecf75e', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238249', 5, '观音镇双河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238249', 1, '2021-07-19 11:58:18', NULL, NULL), (25584, '', '观音镇光辉村', 'e018788af6ea47d39311eb3e2f774e2e', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238250', 5, '观音镇光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238250', 1, '2021-07-19 11:58:19', NULL, NULL), (25585, '', '观音镇仁义村', 'b4a46a62807d4eaeaaf8e9260703ec44', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238251', 5, '观音镇仁义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238251', 1, '2021-07-19 11:58:19', NULL, NULL), (25586, '', '观音镇雁尔村', '9c74b35e09c940cf9f007816ac61a7dd', '237b01cfbd444cd49b431bab1e803ba2', 'False', 'True', 'false', 'false', '511724238252', 5, '观音镇雁尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724238252', 1, '2021-07-19 11:58:19', NULL, NULL), (25587, '', '白塔街道办', '6a4ae1565f9b4d9a9772172ddb02f35e', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724240000', 4, '白塔街道办', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724240000', 1, '2021-07-19 11:58:19', NULL, NULL), (25588, '', '白塔街道御临社区', '32f27a4678c64ab2b675376cd9ee43c9', '6a4ae1565f9b4d9a9772172ddb02f35e', 'False', 'True', 'false', 'false', '511724240006', 5, '白塔街道御临社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724240006', 1, '2021-07-19 11:58:19', NULL, NULL), (25589, '', '白塔街道灯塔社区', '2689f2fe94e64ef78453b76c42b0f76d', '6a4ae1565f9b4d9a9772172ddb02f35e', 'False', 'True', 'false', 'false', '511724240007', 5, '白塔街道灯塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724240007', 1, '2021-07-19 11:58:19', NULL, NULL), (25590, '', '白塔街道紫荆桥社区', 'ca64306ab19f4e05901c527c656134c6', '6a4ae1565f9b4d9a9772172ddb02f35e', 'False', 'True', 'false', 'false', '511724240008', 5, '白塔街道紫荆桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724240008', 1, '2021-07-19 11:58:19', NULL, NULL), (25591, '', '白塔街道游家社区', '98c487e6dc6c47eba2c8b467de390154', '6a4ae1565f9b4d9a9772172ddb02f35e', 'False', 'True', 'false', 'false', '511724240009', 5, '白塔街道游家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724240009', 1, '2021-07-19 11:58:19', NULL, NULL), (25592, '', '白塔街道卧佛寺社区', 'dff79fbe6cc04d4b8d0d0e01f5a18afd', '6a4ae1565f9b4d9a9772172ddb02f35e', 'False', 'True', 'false', 'false', '511724240010', 5, '白塔街道卧佛寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724240010', 1, '2021-07-19 11:58:19', NULL, NULL), (25593, '', '白塔街道五丰村', '63b1a71ff4c141789fc94c904c0296ed', '6a4ae1565f9b4d9a9772172ddb02f35e', 'False', 'True', 'false', 'false', '511724240203', 5, '白塔街道五丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724240203', 1, '2021-07-19 11:58:19', NULL, NULL), (25594, '', '白塔街道西城社区', '0162063c71e14cacba8ee20581d18b19', '6a4ae1565f9b4d9a9772172ddb02f35e', 'False', 'True', 'false', 'false', '511724240250', 5, '白塔街道西城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724240250', 1, '2021-07-19 11:58:19', NULL, NULL), (25595, '', '白塔街道幸福社区', 'c9b39c161a6a478eb9a95bf582a14523', '6a4ae1565f9b4d9a9772172ddb02f35e', 'False', 'True', 'false', 'false', '511724240260', 5, '白塔街道幸福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724240260', 1, '2021-07-19 11:58:19', NULL, NULL), (25596, '', '白塔街道北城社区', '805ba388d9cf47bd9e97ca5063e611bf', '6a4ae1565f9b4d9a9772172ddb02f35e', 'False', 'True', 'false', 'false', '511724240270', 5, '白塔街道北城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724240270', 1, '2021-07-19 11:58:19', NULL, NULL), (25597, '', '白塔街道双马社区', '2ce11a85d34240228f382973baa5c9ea', '6a4ae1565f9b4d9a9772172ddb02f35e', 'False', 'True', 'false', 'false', '511724240280', 5, '白塔街道双马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724240280', 1, '2021-07-19 11:58:19', NULL, NULL), (25598, '', '白塔街道白塔社区', '33e81e74f46449728857b4888774abdf', '6a4ae1565f9b4d9a9772172ddb02f35e', 'False', 'True', 'false', 'false', '511724240290', 5, '白塔街道白塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724240290', 1, '2021-07-19 11:58:19', NULL, NULL), (25599, '', '高明镇', 'e8c91c1a9ecc465fb8c08e5e12b8f6d8', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724289000', 4, '高明镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724289000', 1, '2021-07-19 11:58:19', NULL, NULL), (25600, '', '高明镇高明社区', '5862e426afed462a8c0fcca26d148428', 'e8c91c1a9ecc465fb8c08e5e12b8f6d8', 'False', 'True', 'false', 'false', '511724289290', 5, '高明镇高明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724289290', 1, '2021-07-19 11:58:20', NULL, NULL), (25601, '', '高明镇高桥社区', 'decc7dc4d0344744a74799bab94f88b7', 'e8c91c1a9ecc465fb8c08e5e12b8f6d8', 'False', 'True', 'false', 'false', '511724289291', 5, '高明镇高桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724289291', 1, '2021-07-19 11:58:20', NULL, NULL), (25602, '', '高明镇黄城村', '25a4b30530364b31890fc127d925f727', 'e8c91c1a9ecc465fb8c08e5e12b8f6d8', 'False', 'True', 'false', 'false', '511724289292', 5, '高明镇黄城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724289292', 1, '2021-07-19 11:58:20', NULL, NULL), (25603, '', '高明镇海乐村', 'fb4b1c77f57749a1a7c1aa6ff2adf3e6', 'e8c91c1a9ecc465fb8c08e5e12b8f6d8', 'False', 'True', 'false', 'false', '511724289293', 5, '高明镇海乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724289293', 1, '2021-07-19 11:58:20', NULL, NULL), (25604, '', '高明镇洛阳村', 'd48f0abf351a44f6be48ba8c61a3138e', 'e8c91c1a9ecc465fb8c08e5e12b8f6d8', 'False', 'True', 'false', 'false', '511724289295', 5, '高明镇洛阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724289295', 1, '2021-07-19 11:58:20', NULL, NULL), (25605, '', '高明镇双龙村', 'c9f95447bc974f5391ccf060ae67cadb', 'e8c91c1a9ecc465fb8c08e5e12b8f6d8', 'False', 'True', 'false', 'false', '511724289299', 5, '高明镇双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724289299', 1, '2021-07-19 11:58:20', NULL, NULL), (25606, '', '高明镇同心村', 'd2cb2d517a5b4659ad7e552a0f2ef578', 'e8c91c1a9ecc465fb8c08e5e12b8f6d8', 'False', 'True', 'false', 'false', '511724289300', 5, '高明镇同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724289300', 1, '2021-07-19 11:58:20', NULL, NULL), (25607, '', '高明镇老学堂村', 'ee3cf0bf941e4da4b6304a8d6d2f3412', 'e8c91c1a9ecc465fb8c08e5e12b8f6d8', 'False', 'True', 'false', 'false', '511724289301', 5, '高明镇老学堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724289301', 1, '2021-07-19 11:58:20', NULL, NULL), (25608, '', '八渡乡', '23ce7d225e12461a8907a776cc3b8f7b', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724302000', 4, '八渡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724302000', 1, '2021-07-19 11:58:20', NULL, NULL), (25609, '', '八渡乡明月社区', '961aec5145b5444b9d196d90d75ba4e9', '23ce7d225e12461a8907a776cc3b8f7b', 'False', 'True', 'false', 'false', '511724302303', 5, '八渡乡明月社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724302303', 1, '2021-07-19 11:58:20', NULL, NULL), (25610, '', '八渡乡青南村', '0ba1bda8a54c48a0ab711e52bb08b6b7', '23ce7d225e12461a8907a776cc3b8f7b', 'False', 'True', 'false', 'false', '511724302304', 5, '八渡乡青南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724302304', 1, '2021-07-19 11:58:20', NULL, NULL), (25611, '', '八渡乡华兴村', '3cc4db8cf0b14ce4947aae0e7c71a57b', '23ce7d225e12461a8907a776cc3b8f7b', 'False', 'True', 'false', 'false', '511724302305', 5, '八渡乡华兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724302305', 1, '2021-07-19 11:58:20', NULL, NULL), (25612, '', '八渡乡高山村', 'a8a271e75af14f7e97778b98f4fc5d51', '23ce7d225e12461a8907a776cc3b8f7b', 'False', 'True', 'false', 'false', '511724302307', 5, '八渡乡高山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724302307', 1, '2021-07-19 11:58:20', NULL, NULL), (25613, '', '八渡乡花岩村', '602bcf301c99426194681fe3bc6ac093', '23ce7d225e12461a8907a776cc3b8f7b', 'False', 'True', 'false', 'false', '511724302308', 5, '八渡乡花岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724302308', 1, '2021-07-19 11:58:20', NULL, NULL), (25614, '', '石子镇', '180ebc28e0df4d57b0cda99b50f95341', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724316000', 4, '石子镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724316000', 1, '2021-07-19 11:58:20', NULL, NULL), (25615, '', '石子镇御荷井社区', 'bdd25957b8604994b129d8b2c6776833', '180ebc28e0df4d57b0cda99b50f95341', 'False', 'True', 'false', 'false', '511724316317', 5, '石子镇御荷井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724316317', 1, '2021-07-19 11:58:20', NULL, NULL), (25616, '', '石子镇段家村', 'c7442e24825b4aa598c2ae1d1aa22b1f', '180ebc28e0df4d57b0cda99b50f95341', 'False', 'True', 'false', 'false', '511724316318', 5, '石子镇段家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724316318', 1, '2021-07-19 11:58:21', NULL, NULL), (25617, '', '石子镇白安村', 'ba5bf3d04a9c4b60a1930a498d84369c', '180ebc28e0df4d57b0cda99b50f95341', 'False', 'True', 'false', 'false', '511724316319', 5, '石子镇白安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724316319', 1, '2021-07-19 11:58:21', NULL, NULL), (25618, '', '石子镇民主村', '0dafb4ffde3a4ca5ab3305a2c996cd4a', '180ebc28e0df4d57b0cda99b50f95341', 'False', 'True', 'false', 'false', '511724316320', 5, '石子镇民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724316320', 1, '2021-07-19 11:58:21', NULL, NULL), (25619, '', '石子镇雨坛村', '6d88041f7a1a4f43a88380259bafe532', '180ebc28e0df4d57b0cda99b50f95341', 'False', 'True', 'false', 'false', '511724316321', 5, '石子镇雨坛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724316321', 1, '2021-07-19 11:58:21', NULL, NULL), (25620, '', '石子镇吉星村', 'a3c6330677384e54a233a349a4966b68', '180ebc28e0df4d57b0cda99b50f95341', 'False', 'True', 'false', 'false', '511724316322', 5, '石子镇吉星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724316322', 1, '2021-07-19 11:58:21', NULL, NULL), (25621, '', '石子镇互助村', 'bbe63784e9044d42b735be075216f1a7', '180ebc28e0df4d57b0cda99b50f95341', 'False', 'True', 'false', 'false', '511724316324', 5, '石子镇互助村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724316324', 1, '2021-07-19 11:58:21', NULL, NULL), (25622, '', '石子镇牛头村', '4bf376fa6de5401d9304a0d319ba14ff', '180ebc28e0df4d57b0cda99b50f95341', 'False', 'True', 'false', 'false', '511724316326', 5, '石子镇牛头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724316326', 1, '2021-07-19 11:58:21', NULL, NULL), (25623, '', '天城镇', '38c3ad2c56b54567a22e1785dc548796', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724328000', 4, '天城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724328000', 1, '2021-07-19 11:58:21', NULL, NULL), (25624, '', '天城镇双河社区', '4e4517d25ad0430bb903a3ed1a2fe02f', '38c3ad2c56b54567a22e1785dc548796', 'False', 'True', 'false', 'false', '511724328329', 5, '天城镇双河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724328329', 1, '2021-07-19 11:58:21', NULL, NULL), (25625, '', '天城镇老鸦山村', '2880eabeb5ea42a6b028fc4beb6e36bc', '38c3ad2c56b54567a22e1785dc548796', 'False', 'True', 'false', 'false', '511724328330', 5, '天城镇老鸦山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724328330', 1, '2021-07-19 11:58:21', NULL, NULL), (25626, '', '天城镇李子村', 'b7bb0e72e01c4c0fb31564626ded9e7e', '38c3ad2c56b54567a22e1785dc548796', 'False', 'True', 'false', 'false', '511724328331', 5, '天城镇李子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724328331', 1, '2021-07-19 11:58:21', NULL, NULL), (25627, '', '天城镇三元村', '319ff6793e7f45e0aceac11042017cee', '38c3ad2c56b54567a22e1785dc548796', 'False', 'True', 'false', 'false', '511724328332', 5, '天城镇三元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724328332', 1, '2021-07-19 11:58:21', NULL, NULL), (25628, '', '天城镇中和村', 'c2a937078eac42d5a37626d097e9704a', '38c3ad2c56b54567a22e1785dc548796', 'False', 'True', 'false', 'false', '511724328333', 5, '天城镇中和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724328333', 1, '2021-07-19 11:58:21', NULL, NULL), (25629, '', '杨通乡', '33068294d8724574ad36fa7f0cdce538', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724336000', 4, '杨通乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724336000', 1, '2021-07-19 11:58:21', NULL, NULL), (25630, '', '杨通乡春平社区', '93db392045ea456690b1c37b7b2fd990', '33068294d8724574ad36fa7f0cdce538', 'False', 'True', 'false', 'false', '511724336337', 5, '杨通乡春平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724336337', 1, '2021-07-19 11:58:21', NULL, NULL), (25631, '', '杨通乡东升村', '87a05a82d941414bb0b852da997a6dc9', '33068294d8724574ad36fa7f0cdce538', 'False', 'True', 'false', 'false', '511724336338', 5, '杨通乡东升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724336338', 1, '2021-07-19 11:58:21', NULL, NULL), (25632, '', '杨通乡春光村', 'ad08d3b19fda423e98a314ba051f3829', '33068294d8724574ad36fa7f0cdce538', 'False', 'True', 'false', 'false', '511724336339', 5, '杨通乡春光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724336339', 1, '2021-07-19 11:58:22', NULL, NULL), (25633, '', '杨通乡阳光村', '5949ee2861ef43d0bf83a8add5f1474e', '33068294d8724574ad36fa7f0cdce538', 'False', 'True', 'false', 'false', '511724336341', 5, '杨通乡阳光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724336341', 1, '2021-07-19 11:58:22', NULL, NULL), (25634, '', '杨通乡大庙村', 'ba8f5d16c87246f38c0ce3be08632227', '33068294d8724574ad36fa7f0cdce538', 'False', 'True', 'false', 'false', '511724336343', 5, '杨通乡大庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724336343', 1, '2021-07-19 11:58:22', NULL, NULL), (25635, '', '四合镇', 'de5b5ece860a49d8b8ca7d827a68c3ec', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724344000', 4, '四合镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724344000', 1, '2021-07-19 11:58:22', NULL, NULL), (25636, '', '四合镇竹邻社区', '99fec6257bbb4ce686ddaf6948d423f9', 'de5b5ece860a49d8b8ca7d827a68c3ec', 'False', 'True', 'false', 'false', '511724125002', 5, '四合镇竹邻社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724125002', 1, '2021-07-19 11:58:22', NULL, NULL), (25637, '', '四合镇邻山社区', '172cf609dda94e67b978e89393f24122', 'de5b5ece860a49d8b8ca7d827a68c3ec', 'False', 'True', 'false', 'false', '511724344345', 5, '四合镇邻山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724344345', 1, '2021-07-19 11:58:22', NULL, NULL), (25638, '', '四合镇白鹤林村', 'bc9affdcad5f4e449e0e2b15188767c1', 'de5b5ece860a49d8b8ca7d827a68c3ec', 'False', 'True', 'false', 'false', '511724344346', 5, '四合镇白鹤林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724344346', 1, '2021-07-19 11:58:22', NULL, NULL), (25639, '', '四合镇新寨村', 'ac42d7c5477741659021023236c87d18', 'de5b5ece860a49d8b8ca7d827a68c3ec', 'False', 'True', 'false', 'false', '511724344347', 5, '四合镇新寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724344347', 1, '2021-07-19 11:58:22', NULL, NULL), (25640, '', '四合镇东风村', '0a5954bff040489284b7bc2fa47ed874', 'de5b5ece860a49d8b8ca7d827a68c3ec', 'False', 'True', 'false', 'false', '511724344348', 5, '四合镇东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724344348', 1, '2021-07-19 11:58:22', NULL, NULL), (25641, '', '四合镇石牛村', 'b40db6b0de0b40faa9a9e431c6d8c533', 'de5b5ece860a49d8b8ca7d827a68c3ec', 'False', 'True', 'false', 'false', '511724344349', 5, '四合镇石牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724344349', 1, '2021-07-19 11:58:22', NULL, NULL), (25642, '', '四合镇先进村', 'accf3d780a1749dbb46b50b0e5e2ca31', 'de5b5ece860a49d8b8ca7d827a68c3ec', 'False', 'True', 'false', 'false', '511724344350', 5, '四合镇先进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724344350', 1, '2021-07-19 11:58:22', NULL, NULL), (25643, '', '文星镇', '9141a1f341474aab91f44916bd049d0c', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724356000', 4, '文星镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724356000', 1, '2021-07-19 11:58:22', NULL, NULL), (25644, '', '文星镇成龙社区', '6eee2064d4b64e3a9427db9f6b1048e3', '9141a1f341474aab91f44916bd049d0c', 'False', 'True', 'false', 'false', '511724356002', 5, '文星镇成龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724356002', 1, '2021-07-19 11:58:22', NULL, NULL), (25645, '', '文星镇向阳社区', '1bbe5491d07f4a78aa2504a0247a4cb0', '9141a1f341474aab91f44916bd049d0c', 'False', 'True', 'false', 'false', '511724356003', 5, '文星镇向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724356003', 1, '2021-07-19 11:58:22', NULL, NULL), (25646, '', '文星镇桂林社区', '99e3bb006ace4708a2746c844b158929', '9141a1f341474aab91f44916bd049d0c', 'False', 'True', 'false', 'false', '511724356357', 5, '文星镇桂林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724356357', 1, '2021-07-19 11:58:22', NULL, NULL), (25647, '', '文星镇海港村', '706ac21c6aa449018ef6a7a9ea3a2732', '9141a1f341474aab91f44916bd049d0c', 'False', 'True', 'false', 'false', '511724356358', 5, '文星镇海港村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724356358', 1, '2021-07-19 11:58:22', NULL, NULL), (25648, '', '文星镇坛水村', 'cd6f75eb9d2c4612acbcd7ac5450c16e', '9141a1f341474aab91f44916bd049d0c', 'False', 'True', 'false', 'false', '511724356359', 5, '文星镇坛水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724356359', 1, '2021-07-19 11:58:23', NULL, NULL), (25649, '', '文星镇桥头村', '040b95d5d12e4015b9f64cfdf88d30f4', '9141a1f341474aab91f44916bd049d0c', 'False', 'True', 'false', 'false', '511724356360', 5, '文星镇桥头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724356360', 1, '2021-07-19 11:58:23', NULL, NULL), (25650, '', '文星镇花桥村', 'c79e0a1261734311b0984e7f5063b94f', '9141a1f341474aab91f44916bd049d0c', 'False', 'True', 'false', 'false', '511724356361', 5, '文星镇花桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724356361', 1, '2021-07-19 11:58:23', NULL, NULL), (25651, '', '文星镇莲花大安村', '4ded4fb4a64d4375bd2e6d5b9e07c92d', '9141a1f341474aab91f44916bd049d0c', 'False', 'True', 'false', 'false', '511724356362', 5, '文星镇莲花大安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724356362', 1, '2021-07-19 11:58:23', NULL, NULL), (25652, '', '文星镇龙门村', '8249b114c4124a04a2682701e1f09fce', '9141a1f341474aab91f44916bd049d0c', 'False', 'True', 'false', 'false', '511724356363', 5, '文星镇龙门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724356363', 1, '2021-07-19 11:58:23', NULL, NULL), (25653, '', '文星镇文星复兴村', '621513abfd78429690047f9b3be2e8ef', '9141a1f341474aab91f44916bd049d0c', 'False', 'True', 'false', 'false', '511724356364', 5, '文星镇文星复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724356364', 1, '2021-07-19 11:58:23', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (25654, '', '文星镇方斗杜家村', '0c8b259bafca4a1489c8601a2cefa641', '9141a1f341474aab91f44916bd049d0c', 'False', 'True', 'false', 'false', '511724356365', 5, '文星镇方斗杜家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724356365', 1, '2021-07-19 11:58:23', NULL, NULL), (25655, '', '文星镇红五月村', '76a6a61964d4413e88a1a2c2ed1d2e6f', '9141a1f341474aab91f44916bd049d0c', 'False', 'True', 'false', 'false', '511724356366', 5, '文星镇红五月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724356366', 1, '2021-07-19 11:58:23', NULL, NULL), (25656, '', '文星镇张堂村', 'fe40b349d46b4eee86ec749d14aa27ab', '9141a1f341474aab91f44916bd049d0c', 'False', 'True', 'false', 'false', '511724356367', 5, '文星镇张堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724356367', 1, '2021-07-19 11:58:23', NULL, NULL), (25657, '', '童家镇', '576adab26810419490f1e6f9c9a23937', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724369000', 4, '童家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724369000', 1, '2021-07-19 11:58:23', NULL, NULL), (25658, '', '童家镇探花社区', '91667d47fdca4e31a0e07219275e954b', '576adab26810419490f1e6f9c9a23937', 'False', 'True', 'false', 'false', '511724369370', 5, '童家镇探花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724369370', 1, '2021-07-19 11:58:23', NULL, NULL), (25659, '', '童家镇童家村', '94d2682ea3f94d5c98ad226fb29682e1', '576adab26810419490f1e6f9c9a23937', 'False', 'True', 'false', 'false', '511724369371', 5, '童家镇童家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724369371', 1, '2021-07-19 11:58:23', NULL, NULL), (25660, '', '童家镇天星寨村', '8f02ff3f93ef4b99a6a721bc894cbb2c', '576adab26810419490f1e6f9c9a23937', 'False', 'True', 'false', 'false', '511724369372', 5, '童家镇天星寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724369372', 1, '2021-07-19 11:58:23', NULL, NULL), (25661, '', '童家镇印盒村', 'd84fae696d8b46ae8375175d097df831', '576adab26810419490f1e6f9c9a23937', 'False', 'True', 'false', 'false', '511724369373', 5, '童家镇印盒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724369373', 1, '2021-07-19 11:58:23', NULL, NULL), (25662, '', '童家镇梅子村', '9f6c1c33206f4f419094dbb03705d187', '576adab26810419490f1e6f9c9a23937', 'False', 'True', 'false', 'false', '511724369377', 5, '童家镇梅子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724369377', 1, '2021-07-19 11:58:23', NULL, NULL), (25663, '', '童家镇八一村', 'c5cfe9e76ab24ea89fdf9c9510fc92d0', '576adab26810419490f1e6f9c9a23937', 'False', 'True', 'false', 'false', '511724369378', 5, '童家镇八一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724369378', 1, '2021-07-19 11:58:23', NULL, NULL), (25664, '', '童家镇罗家坝村', '153d60d99cd845428c8526296891d385', '576adab26810419490f1e6f9c9a23937', 'False', 'True', 'false', 'false', '511724369379', 5, '童家镇罗家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724369379', 1, '2021-07-19 11:58:24', NULL, NULL), (25665, '', '童家镇任家村', 'd4d13a984d0b4bbdb63ff9fdfc14af08', '576adab26810419490f1e6f9c9a23937', 'False', 'True', 'false', 'false', '511724369381', 5, '童家镇任家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724369381', 1, '2021-07-19 11:58:24', NULL, NULL), (25666, '', '高穴镇', '978f534cd4664543a932bd487784ff65', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724389000', 4, '高穴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724389000', 1, '2021-07-19 11:58:24', NULL, NULL), (25667, '', '高穴镇群英社区', '448d431c4dba4501a3bb399ecf1cd94a', '978f534cd4664543a932bd487784ff65', 'False', 'True', 'false', 'false', '511724389002', 5, '高穴镇群英社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724389002', 1, '2021-07-19 11:58:24', NULL, NULL), (25668, '', '高穴镇金马社区', 'b94546d0514f4011a964ced42aff79f8', '978f534cd4664543a932bd487784ff65', 'False', 'True', 'false', 'false', '511724389390', 5, '高穴镇金马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724389390', 1, '2021-07-19 11:58:24', NULL, NULL), (25669, '', '高穴镇马道子村', '3b7a375e18c44bb8859174beb3096f5b', '978f534cd4664543a932bd487784ff65', 'False', 'True', 'false', 'false', '511724389391', 5, '高穴镇马道子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724389391', 1, '2021-07-19 11:58:24', NULL, NULL), (25670, '', '高穴镇清滩村', '5feaa15f76464fe88d610f81f508be24', '978f534cd4664543a932bd487784ff65', 'False', 'True', 'false', 'false', '511724389392', 5, '高穴镇清滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724389392', 1, '2021-07-19 11:58:24', NULL, NULL), (25671, '', '高穴镇大山村', 'a831917faf814c4e9deffaedc6e6d4e0', '978f534cd4664543a932bd487784ff65', 'False', 'True', 'false', 'false', '511724389394', 5, '高穴镇大山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724389394', 1, '2021-07-19 11:58:24', NULL, NULL), (25672, '', '高穴镇荣华村', 'b7befb74dafc49aa8eb62cd4232701d9', '978f534cd4664543a932bd487784ff65', 'False', 'True', 'false', 'false', '511724389395', 5, '高穴镇荣华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724389395', 1, '2021-07-19 11:58:24', NULL, NULL), (25673, '', '高穴镇木牌村', '2aa44396ef264d8fae31c32092e038e5', '978f534cd4664543a932bd487784ff65', 'False', 'True', 'false', 'false', '511724389396', 5, '高穴镇木牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724389396', 1, '2021-07-19 11:58:24', NULL, NULL), (25674, '', '高穴镇官家村', '7306583cb7a947bab3ca01eb1bc188a8', '978f534cd4664543a932bd487784ff65', 'False', 'True', 'false', 'false', '511724389399', 5, '高穴镇官家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724389399', 1, '2021-07-19 11:58:24', NULL, NULL), (25675, '', '高穴镇红花村', 'e7d69a2b37964c54a4f461dc0c6070e7', '978f534cd4664543a932bd487784ff65', 'False', 'True', 'false', 'false', '511724389400', 5, '高穴镇红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724389400', 1, '2021-07-19 11:58:24', NULL, NULL), (25676, '', '高穴镇石河村', '5f5283e2169a4f148da361fbe5033d03', '978f534cd4664543a932bd487784ff65', 'False', 'True', 'false', 'false', '511724389401', 5, '高穴镇石河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724389401', 1, '2021-07-19 11:58:24', NULL, NULL), (25677, '', '高穴镇长征村', 'e783d3c9e10a48ddb4d4dd9f7cac23c0', '978f534cd4664543a932bd487784ff65', 'False', 'True', 'false', 'false', '511724389402', 5, '高穴镇长征村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724389402', 1, '2021-07-19 11:58:25', NULL, NULL), (25678, '', '竹阳街道办', '7403a85def6b445a84baf8369465a2c1', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724400000', 4, '竹阳街道办', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724400000', 1, '2021-07-19 11:58:25', NULL, NULL), (25679, '', '竹阳街道莲印龙潭社区', '148bce177c114d6a8e301a10f749c89d', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400007', 5, '竹阳街道莲印龙潭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400007', 1, '2021-07-19 11:58:25', NULL, NULL), (25680, '', '竹阳街道天生社区', 'a12573591d2a4743a66caffe58a99b9e', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400008', 5, '竹阳街道天生社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400008', 1, '2021-07-19 11:58:25', NULL, NULL), (25681, '', '竹阳街道竹海社区', '96b2d16a185f472f9d61d56de490e22f', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400013', 5, '竹阳街道竹海社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400013', 1, '2021-07-19 11:58:25', NULL, NULL), (25682, '', '竹阳街道学府社区', 'a69f50a335d141d8927236901881697e', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400014', 5, '竹阳街道学府社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400014', 1, '2021-07-19 11:58:25', NULL, NULL), (25683, '', '竹阳街道荷花池社区', '286dc523c9ca49c1a6c9348a5c40b14a', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400015', 5, '竹阳街道荷花池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400015', 1, '2021-07-19 11:58:25', NULL, NULL), (25684, '', '竹阳街道文昌阁社区', 'cada1a3b4c8545bc8fe0c608fedfc385', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400016', 5, '竹阳街道文昌阁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400016', 1, '2021-07-19 11:58:25', NULL, NULL), (25685, '', '竹阳街道东湖社区', '44a983b652c54c678c8232163b0d4f8e', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400017', 5, '竹阳街道东湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400017', 1, '2021-07-19 11:58:25', NULL, NULL), (25686, '', '竹阳街道黄荆社区', 'c87b039b189645119fd8cd2d0d83aaad', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400018', 5, '竹阳街道黄荆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400018', 1, '2021-07-19 11:58:25', NULL, NULL), (25687, '', '竹阳街道新家村', '04d2b7dda8fd4b47b832c9a84253c753', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400205', 5, '竹阳街道新家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400205', 1, '2021-07-19 11:58:25', NULL, NULL), (25688, '', '竹阳街道竹阳社区', 'ad5b1d3951d34ab383b5316e32f0804a', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400100', 5, '竹阳街道竹阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400100', 1, '2021-07-19 11:58:25', NULL, NULL), (25689, '', '竹阳街道双碑社区', 'd216213af3fd40369427ba72a5702d13', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400110', 5, '竹阳街道双碑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400110', 1, '2021-07-19 11:58:25', NULL, NULL), (25690, '', '竹阳街道高峰寺社区', 'f977c1d8761b41d68fe4b8f732ec64bc', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400120', 5, '竹阳街道高峰寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400120', 1, '2021-07-19 11:58:25', NULL, NULL), (25691, '', '竹阳街道云台社区', '385ee167424a4001b868d2ad7b032b40', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400130', 5, '竹阳街道云台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400130', 1, '2021-07-19 11:58:25', NULL, NULL), (25692, '', '竹阳街道檀木桥社区', '6af3a552ff22441eb1ca0a8b3e509b68', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400140', 5, '竹阳街道檀木桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400140', 1, '2021-07-19 11:58:25', NULL, NULL), (25693, '', '竹阳街道大同社区', 'fed07462b69e48c485ca430e27af85a0', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400500', 5, '竹阳街道大同社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400500', 1, '2021-07-19 11:58:25', NULL, NULL), (25694, '', '竹阳街道新华社区', '9eb4ac4f5b9644038ee73d028d084666', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400600', 5, '竹阳街道新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400600', 1, '2021-07-19 11:58:25', NULL, NULL), (25695, '', '竹阳街道大众社区', 'd2031beaae934213a4d824a8c809658c', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400700', 5, '竹阳街道大众社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400700', 1, '2021-07-19 11:58:26', NULL, NULL), (25696, '', '竹阳街道和平社区', 'e26d2f36c45c44b0af69e9e2aa780d8c', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400800', 5, '竹阳街道和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400800', 1, '2021-07-19 11:58:26', NULL, NULL), (25697, '', '竹阳街道南城社区', '0dc63f23a689422e9abd96e036897f4c', '7403a85def6b445a84baf8369465a2c1', 'False', 'True', 'false', 'false', '511724400900', 5, '竹阳街道南城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724400900', 1, '2021-07-19 11:58:26', NULL, NULL), (25698, '', '妈妈镇', 'a94e262b6a5040eeaccaa69e2d0eca2a', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724403000', 4, '妈妈镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724403000', 1, '2021-07-19 11:58:26', NULL, NULL), (25699, '', '妈妈镇刘家沟社区', 'af7321de93ca4e518564ee2fb6c48c3c', 'a94e262b6a5040eeaccaa69e2d0eca2a', 'False', 'True', 'false', 'false', '511724113002', 5, '妈妈镇刘家沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724113002', 1, '2021-07-19 11:58:26', NULL, NULL), (25700, '', '妈妈镇花楼村', 'e4ebd656fb13452d9cfcb3955adc1da8', 'a94e262b6a5040eeaccaa69e2d0eca2a', 'False', 'True', 'false', 'false', '511724113208', 5, '妈妈镇花楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724113208', 1, '2021-07-19 11:58:26', NULL, NULL), (25701, '', '妈妈镇榕树社区', 'ae1763f1a0724f208d859169e9894377', 'a94e262b6a5040eeaccaa69e2d0eca2a', 'False', 'True', 'false', 'false', '511724403404', 5, '妈妈镇榕树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724403404', 1, '2021-07-19 11:58:26', NULL, NULL), (25702, '', '妈妈镇永丰村', '3b5f587e74044a2395c45b8e5366232d', 'a94e262b6a5040eeaccaa69e2d0eca2a', 'False', 'True', 'false', 'false', '511724403405', 5, '妈妈镇永丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724403405', 1, '2021-07-19 11:58:26', NULL, NULL), (25703, '', '妈妈镇妈妈村', '6af5ac1b82334036b680fc47e9a4ab60', 'a94e262b6a5040eeaccaa69e2d0eca2a', 'False', 'True', 'false', 'false', '511724403406', 5, '妈妈镇妈妈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724403406', 1, '2021-07-19 11:58:26', NULL, NULL), (25704, '', '妈妈镇大石村', '675a09cc9d604c0e81fc7ea9e372607d', 'a94e262b6a5040eeaccaa69e2d0eca2a', 'False', 'True', 'false', 'false', '511724403407', 5, '妈妈镇大石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724403407', 1, '2021-07-19 11:58:26', NULL, NULL), (25705, '', '妈妈镇金鸡村', '5d736268892842ef9645da991bfeb6a1', 'a94e262b6a5040eeaccaa69e2d0eca2a', 'False', 'True', 'false', 'false', '511724403408', 5, '妈妈镇金鸡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724403408', 1, '2021-07-19 11:58:26', NULL, NULL), (25706, '', '妈妈镇棋林村', '659823b8d7c542968cd4bb0dd906efe4', 'a94e262b6a5040eeaccaa69e2d0eca2a', 'False', 'True', 'false', 'false', '511724403409', 5, '妈妈镇棋林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724403409', 1, '2021-07-19 11:58:26', NULL, NULL), (25707, '', '妈妈镇刘家村', '3993df3d50a0434896fcf69870172c8b', 'a94e262b6a5040eeaccaa69e2d0eca2a', 'False', 'True', 'false', 'false', '511724403410', 5, '妈妈镇刘家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724403410', 1, '2021-07-19 11:58:26', NULL, NULL), (25708, '', '妈妈镇石垭村', '2cf9d9a3dfc74bbbaff8debf410c457e', 'a94e262b6a5040eeaccaa69e2d0eca2a', 'False', 'True', 'false', 'false', '511724403411', 5, '妈妈镇石垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724403411', 1, '2021-07-19 11:58:26', NULL, NULL), (25709, '', '妈妈镇梅岩村', 'cb108aeafd4c4d1880316622b5965b91', 'a94e262b6a5040eeaccaa69e2d0eca2a', 'False', 'True', 'false', 'false', '511724403412', 5, '妈妈镇梅岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724403412', 1, '2021-07-19 11:58:26', NULL, NULL), (25710, '', '庙坝镇', '56998f9c66dc4b7b892070653484c459', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724428000', 4, '庙坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724428000', 1, '2021-07-19 11:58:26', NULL, NULL), (25711, '', '庙坝镇双龙社区', '783044f1d50d494bb03e74b49939cf5e', '56998f9c66dc4b7b892070653484c459', 'False', 'False', 'false', 'false', '511724116004', 5, '庙坝镇双龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724116004', 1, '2021-07-19 11:58:26', NULL, NULL), (25712, '', '庙坝镇古榕社区', 'ebdce1a4f3a8476d8c04c8ce5e57c2f3', '56998f9c66dc4b7b892070653484c459', 'False', 'False', 'false', 'false', '511724116005', 5, '庙坝镇古榕社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724116005', 1, '2021-07-19 11:58:27', NULL, NULL), (25713, '', '庙坝镇建福村', '743f32349aa84d5d99967d0f24d66cb7', '56998f9c66dc4b7b892070653484c459', 'False', 'False', 'false', 'false', '511724116200', 5, '庙坝镇建福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724116200', 1, '2021-07-19 11:58:27', NULL, NULL), (25714, '', '庙坝镇土竹村', 'c22b416fa54b45a594ec05fe553a9344', '56998f9c66dc4b7b892070653484c459', 'False', 'False', 'false', 'false', '511724116203', 5, '庙坝镇土竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724116203', 1, '2021-07-19 11:58:27', NULL, NULL), (25715, '', '庙坝镇胜利社区', 'cbb12acf8d964dc782adebc1971d7d0d', '56998f9c66dc4b7b892070653484c459', 'False', 'True', 'false', 'false', '511724428429', 5, '庙坝镇胜利社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724428429', 1, '2021-07-19 11:58:27', NULL, NULL), (25716, '', '庙坝镇新桥社区', '716ef3dd6763407b98fcae3d54bae908', '56998f9c66dc4b7b892070653484c459', 'False', 'True', 'false', 'false', '511724428430', 5, '庙坝镇新桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724428430', 1, '2021-07-19 11:58:27', NULL, NULL), (25717, '', '庙坝镇大全村', 'e7b4759b92754e55a3f32042e4d5876d', '56998f9c66dc4b7b892070653484c459', 'False', 'True', 'false', 'false', '511724428431', 5, '庙坝镇大全村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724428431', 1, '2021-07-19 11:58:27', NULL, NULL), (25718, '', '庙坝镇福城村', 'e526225a8a1a4b1595b2288d6ea8be0b', '56998f9c66dc4b7b892070653484c459', 'False', 'True', 'false', 'false', '511724428432', 5, '庙坝镇福城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724428432', 1, '2021-07-19 11:58:27', NULL, NULL), (25719, '', '庙坝镇五桂村', '9dbe0e3a0255475092daecca280f6404', '56998f9c66dc4b7b892070653484c459', 'False', 'True', 'false', 'false', '511724428433', 5, '庙坝镇五桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724428433', 1, '2021-07-19 11:58:27', NULL, NULL), (25720, '', '庙坝镇楼房村', 'fabfd0e8f30e46d98e7965f4a29b9909', '56998f9c66dc4b7b892070653484c459', 'False', 'True', 'false', 'false', '511724428434', 5, '庙坝镇楼房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724428434', 1, '2021-07-19 11:58:27', NULL, NULL), (25721, '', '庙坝镇老场村', '40921eca1bca4d4c8c77671ec8cfe819', '56998f9c66dc4b7b892070653484c459', 'False', 'True', 'false', 'false', '511724428435', 5, '庙坝镇老场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724428435', 1, '2021-07-19 11:58:27', NULL, NULL), (25722, '', '庙坝镇黑水村', '16675c782e8d4009a6b8f657b01c1a79', '56998f9c66dc4b7b892070653484c459', 'False', 'True', 'false', 'false', '511724428436', 5, '庙坝镇黑水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724428436', 1, '2021-07-19 11:58:27', NULL, NULL), (25723, '', '庙坝镇高平村', '845d63ba126849bea364abf8e4833d86', '56998f9c66dc4b7b892070653484c459', 'False', 'True', 'false', 'false', '511724428437', 5, '庙坝镇高平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724428437', 1, '2021-07-19 11:58:27', NULL, NULL), (25724, '', '庙坝镇长乐村', '1ae719a598a749d992d385f4153aaea4', '56998f9c66dc4b7b892070653484c459', 'False', 'True', 'false', 'false', '511724428438', 5, '庙坝镇长乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724428438', 1, '2021-07-19 11:58:27', NULL, NULL), (25725, '', '庙坝镇太平村', 'e0526d593d724d2d82e13057daf0b462', '56998f9c66dc4b7b892070653484c459', 'False', 'True', 'false', 'false', '511724428439', 5, '庙坝镇太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724428439', 1, '2021-07-19 11:58:27', NULL, NULL), (25726, '', '庙坝镇花板桥', 'ffb6cef635684f5aa86202a74b0cefec', '56998f9c66dc4b7b892070653484c459', 'False', 'True', 'false', 'false', '511724428440', 5, '庙坝镇花板桥', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724428440', 1, '2021-07-19 11:58:27', NULL, NULL), (25727, '', '庙坝镇寨峰村', '49fbdd939237474981b5aba208486c08', '56998f9c66dc4b7b892070653484c459', 'False', 'True', 'false', 'false', '511724428441', 5, '庙坝镇寨峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724428441', 1, '2021-07-19 11:58:28', NULL, NULL), (25728, '', '乌木镇', '1e51dae9ee334e0dadb0712e30373f74', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724450000', 4, '乌木镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724450000', 1, '2021-07-19 11:58:28', NULL, NULL), (25729, '', '乌木镇文昌社区', '1d81a5c9349d42f9ad10740865e25458', '1e51dae9ee334e0dadb0712e30373f74', 'False', 'True', 'false', 'false', '511724450460', 5, '乌木镇文昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724450460', 1, '2021-07-19 11:58:28', NULL, NULL), (25730, '', '乌木镇堡子村', 'd48f65deeac04e689b313d762827e357', '1e51dae9ee334e0dadb0712e30373f74', 'False', 'True', 'false', 'false', '511724450470', 5, '乌木镇堡子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724450470', 1, '2021-07-19 11:58:28', NULL, NULL), (25731, '', '乌木镇凤山村', '1e4c5b5bfb464c04bf486e241b3b2f7b', '1e51dae9ee334e0dadb0712e30373f74', 'False', 'True', 'false', 'false', '511724450480', 5, '乌木镇凤山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724450480', 1, '2021-07-19 11:58:28', NULL, NULL), (25732, '', '乌木镇分水村', '0b521af873ad4a559e959267c3e1728e', '1e51dae9ee334e0dadb0712e30373f74', 'False', 'True', 'false', 'false', '511724450490', 5, '乌木镇分水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724450490', 1, '2021-07-19 11:58:28', NULL, NULL), (25733, '', '乌木镇广子村', '7ed7d827b17741fcab7ffe144d3d38e4', '1e51dae9ee334e0dadb0712e30373f74', 'False', 'True', 'false', 'false', '511724450500', 5, '乌木镇广子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724450500', 1, '2021-07-19 11:58:28', NULL, NULL), (25734, '', '乌木镇乌木村', '923a67f2ce454db081ade44d1ec01b7e', '1e51dae9ee334e0dadb0712e30373f74', 'False', 'True', 'false', 'false', '511724450520', 5, '乌木镇乌木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724450520', 1, '2021-07-19 11:58:28', NULL, NULL), (25735, '', '欧家镇', 'c4e5c526428c4282ac27b22562881509', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724455000', 4, '欧家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724455000', 1, '2021-07-19 11:58:28', NULL, NULL), (25736, '', '欧家镇欧家场社区', 'adc0d51dbb68427db626c136cd26a512', 'c4e5c526428c4282ac27b22562881509', 'False', 'True', 'false', 'false', '511724455456', 5, '欧家镇欧家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724455456', 1, '2021-07-19 11:58:28', NULL, NULL), (25737, '', '欧家镇高松村', 'ecd5ad99045e48c792966f5fa3ae6f11', 'c4e5c526428c4282ac27b22562881509', 'False', 'True', 'false', 'false', '511724455459', 5, '欧家镇高松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724455459', 1, '2021-07-19 11:58:28', NULL, NULL), (25738, '', '欧家镇大堰村', '3b9f8935c5cd468da074b3867f85496d', 'c4e5c526428c4282ac27b22562881509', 'False', 'True', 'false', 'false', '511724455460', 5, '欧家镇大堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724455460', 1, '2021-07-19 11:58:28', NULL, NULL), (25739, '', '欧家镇高硐村', 'f4f49ce80d02498290a7696cf5c1cad1', 'c4e5c526428c4282ac27b22562881509', 'False', 'True', 'false', 'false', '511724455461', 5, '欧家镇高硐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724455461', 1, '2021-07-19 11:58:28', NULL, NULL), (25740, '', '欧家镇高家村', '85b6422e8f964037885ccce7fa80d513', 'c4e5c526428c4282ac27b22562881509', 'False', 'True', 'false', 'false', '511724455463', 5, '欧家镇高家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724455463', 1, '2021-07-19 11:58:28', NULL, NULL), (25741, '', '欧家镇新四村', '1c4c93ed08784f2e96d33fc4bd4b00c2', 'c4e5c526428c4282ac27b22562881509', 'False', 'True', 'false', 'false', '511724455464', 5, '欧家镇新四村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724455464', 1, '2021-07-19 11:58:28', NULL, NULL), (25742, '', '清水镇', 'b9eec24ec3f44aaf8f52090a233b2667', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724465000', 4, '清水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724465000', 1, '2021-07-19 11:58:28', NULL, NULL), (25743, '', '清水镇卧龙社区', 'f5175650122d44fb92c1956f8d6dff19', 'b9eec24ec3f44aaf8f52090a233b2667', 'False', 'True', 'false', 'false', '511724465466', 5, '清水镇卧龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724465466', 1, '2021-07-19 11:58:28', NULL, NULL), (25744, '', '清水镇明光村', 'efe192a72d9a47d593e5c33180de8560', 'b9eec24ec3f44aaf8f52090a233b2667', 'False', 'True', 'false', 'false', '511724465467', 5, '清水镇明光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724465467', 1, '2021-07-19 11:58:28', NULL, NULL), (25745, '', '清水镇红星村', '785fe823fcfc4bb29a99862d85318b54', 'b9eec24ec3f44aaf8f52090a233b2667', 'False', 'True', 'false', 'false', '511724465468', 5, '清水镇红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724465468', 1, '2021-07-19 11:58:29', NULL, NULL), (25746, '', '清水镇曙光村', '8e7af9b1d559457f96caf824c8168d11', 'b9eec24ec3f44aaf8f52090a233b2667', 'False', 'True', 'false', 'false', '511724465470', 5, '清水镇曙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724465470', 1, '2021-07-19 11:58:29', NULL, NULL), (25747, '', '清水镇驷马村', '8db991c9bab04ae1bc7f8efa0c34f876', 'b9eec24ec3f44aaf8f52090a233b2667', 'False', 'True', 'false', 'false', '511724465471', 5, '清水镇驷马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724465471', 1, '2021-07-19 11:58:29', NULL, NULL), (25748, '', '清水镇老书房何家村', 'e0f92d967f444b1390d969dcb6553d9f', 'b9eec24ec3f44aaf8f52090a233b2667', 'False', 'True', 'false', 'false', '511724465474', 5, '清水镇老书房何家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724465474', 1, '2021-07-19 11:58:29', NULL, NULL), (25749, '', '清水镇高巩村', '5ea6f3ccfd5f467cb92da663892a8274', 'b9eec24ec3f44aaf8f52090a233b2667', 'False', 'True', 'false', 'false', '511724465475', 5, '清水镇高巩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724465475', 1, '2021-07-19 11:58:29', NULL, NULL), (25750, '', '清水镇偏岩村', '3cd4a19db3824e4a83158109248249bc', 'b9eec24ec3f44aaf8f52090a233b2667', 'False', 'True', 'false', 'false', '511724465476', 5, '清水镇偏岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724465476', 1, '2021-07-19 11:58:29', NULL, NULL), (25751, '', '清水镇明星村', 'bbf9f31545f94bda9e514bb9d9c3ecc0', 'b9eec24ec3f44aaf8f52090a233b2667', 'False', 'True', 'false', 'false', '511724465477', 5, '清水镇明星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724465477', 1, '2021-07-19 11:58:29', NULL, NULL), (25752, '', '清水镇云雾村', '9fa13faf590147bdab31a36f3191084c', 'b9eec24ec3f44aaf8f52090a233b2667', 'False', 'True', 'false', 'false', '511724465478', 5, '清水镇云雾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724465478', 1, '2021-07-19 11:58:29', NULL, NULL), (25753, '', '川主乡', '1d11d51eae914f53ace4362bdef8b147', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724489000', 4, '川主乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724489000', 1, '2021-07-19 11:58:29', NULL, NULL), (25754, '', '川主乡凤鸣社区', 'dd9fed9aecf441b08a3e1e820cb7125d', '1d11d51eae914f53ace4362bdef8b147', 'False', 'True', 'false', 'false', '511724489002', 5, '川主乡凤鸣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724489002', 1, '2021-07-19 11:58:29', NULL, NULL), (25755, '', '川主乡新兴社区', '976066f28b5f4df8b65724b5b3b77b58', '1d11d51eae914f53ace4362bdef8b147', 'False', 'True', 'false', 'false', '511724489490', 5, '川主乡新兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724489490', 1, '2021-07-19 11:58:29', NULL, NULL), (25756, '', '川主乡川主村', 'de898f8b2f664feebc9ac495b2bb89ab', '1d11d51eae914f53ace4362bdef8b147', 'False', 'True', 'false', 'false', '511724489491', 5, '川主乡川主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724489491', 1, '2021-07-19 11:58:29', NULL, NULL), (25757, '', '川主乡普乐村', 'af929807917b42eeb54424708e72a455', '1d11d51eae914f53ace4362bdef8b147', 'False', 'True', 'false', 'false', '511724489492', 5, '川主乡普乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724489492', 1, '2021-07-19 11:58:29', NULL, NULL), (25758, '', '川主乡三联村', '875bcda7af3b4e998a215a22f1c60eaa', '1d11d51eae914f53ace4362bdef8b147', 'False', 'True', 'false', 'false', '511724489493', 5, '川主乡三联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724489493', 1, '2021-07-19 11:58:29', NULL, NULL), (25759, '', '川主乡宝堂村', '2c6575bf3c9d4162bbc9d50af28963d7', '1d11d51eae914f53ace4362bdef8b147', 'False', 'True', 'false', 'false', '511724489494', 5, '川主乡宝堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724489494', 1, '2021-07-19 11:58:29', NULL, NULL), (25760, '', '川主乡白牛村', '0207d032e34a480cac30b6fbb6517230', '1d11d51eae914f53ace4362bdef8b147', 'False', 'True', 'false', 'false', '511724489495', 5, '川主乡白牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724489495', 1, '2021-07-19 11:58:29', NULL, NULL), (25761, '', '川主乡平桥村', '5a94e2c0af9748f09b9d55d6deaad4ac', '1d11d51eae914f53ace4362bdef8b147', 'False', 'True', 'false', 'false', '511724489496', 5, '川主乡平桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724489496', 1, '2021-07-19 11:58:29', NULL, NULL), (25762, '', '川主乡铁佛村', '01d13eb55027423ab5a2bcd4280f6f13', '1d11d51eae914f53ace4362bdef8b147', 'False', 'True', 'false', 'false', '511724489497', 5, '川主乡铁佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724489497', 1, '2021-07-19 11:58:30', NULL, NULL), (25763, '', '朝阳乡', 'eaa7de2ad4704d4d8436b9aa350eae4c', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724630000', 4, '朝阳乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724630000', 1, '2021-07-19 11:58:30', NULL, NULL), (25764, '', '朝阳乡清溪铺社区', '32beb856bfc14619916af56ae4ad56d3', 'eaa7de2ad4704d4d8436b9aa350eae4c', 'False', 'True', 'false', 'false', '511724630640', 5, '朝阳乡清溪铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724630640', 1, '2021-07-19 11:58:30', NULL, NULL), (25765, '', '朝阳乡仁寿村', 'bbc73093e4574b7292903d066ba0a9e2', 'eaa7de2ad4704d4d8436b9aa350eae4c', 'False', 'True', 'false', 'false', '511724630650', 5, '朝阳乡仁寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724630650', 1, '2021-07-19 11:58:30', NULL, NULL), (25766, '', '朝阳乡仙桥村', 'a320851ba2354e329bc6456ccf63a08d', 'eaa7de2ad4704d4d8436b9aa350eae4c', 'False', 'True', 'false', 'false', '511724630670', 5, '朝阳乡仙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724630670', 1, '2021-07-19 11:58:30', NULL, NULL), (25767, '', '朝阳乡玉林村', '784c221c99054a64ba5240b177797e31', 'eaa7de2ad4704d4d8436b9aa350eae4c', 'False', 'True', 'false', 'false', '511724630680', 5, '朝阳乡玉林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724630680', 1, '2021-07-19 11:58:30', NULL, NULL), (25768, '', '朝阳乡竹园村', 'db2058b0e18c4c5e97ef179b4e8097fe', 'eaa7de2ad4704d4d8436b9aa350eae4c', 'False', 'True', 'false', 'false', '511724630690', 5, '朝阳乡竹园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724630690', 1, '2021-07-19 11:58:30', NULL, NULL), (25769, '', '朝阳乡木鱼村', '680993133e754c02b0805391f946da7b', 'eaa7de2ad4704d4d8436b9aa350eae4c', 'False', 'True', 'false', 'false', '511724630700', 5, '朝阳乡木鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724630700', 1, '2021-07-19 11:58:30', NULL, NULL), (25770, '', '杨家镇', '308e8d9c33bb45fc9ea30d07af35a9d3', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724710000', 4, '杨家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724710000', 1, '2021-07-19 11:58:30', NULL, NULL), (25771, '', '杨家镇栏岭村', 'd6e7a210c0da49b6ab1f9253ea93d73b', '308e8d9c33bb45fc9ea30d07af35a9d3', 'False', 'True', 'false', 'false', '511724710144', 5, '杨家镇栏岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724710144', 1, '2021-07-19 11:58:31', NULL, NULL), (25772, '', '杨家镇野坪村', 'b3dda874f77e4098b18bc59340355d72', '308e8d9c33bb45fc9ea30d07af35a9d3', 'False', 'True', 'false', 'false', '511724710170', 5, '杨家镇野坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724710170', 1, '2021-07-19 11:58:31', NULL, NULL), (25773, '', '杨家镇新场社区', 'feecb6dc08b34300a9fde0c755316752', '308e8d9c33bb45fc9ea30d07af35a9d3', 'False', 'True', 'false', 'false', '511724710324', 5, '杨家镇新场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724710324', 1, '2021-07-19 11:58:31', NULL, NULL), (25774, '', '杨家镇狮潭村', '0ffb14eb96924b4fa7f8ec6bfa008272', '308e8d9c33bb45fc9ea30d07af35a9d3', 'False', 'True', 'false', 'false', '511724710407', 5, '杨家镇狮潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724710407', 1, '2021-07-19 11:58:31', NULL, NULL), (25775, '', '杨家镇响龙村', 'f961a172c1734bbc8910957f81d70718', '308e8d9c33bb45fc9ea30d07af35a9d3', 'False', 'True', 'false', 'false', '511724710426', 5, '杨家镇响龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724710426', 1, '2021-07-19 11:58:31', NULL, NULL), (25776, '', '杨家镇六合村', 'f83b985c529a4ee587e2a717a86c3fd3', '308e8d9c33bb45fc9ea30d07af35a9d3', 'False', 'True', 'false', 'false', '511724710428', 5, '杨家镇六合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724710428', 1, '2021-07-19 11:58:31', NULL, NULL), (25777, '', '杨家镇双江村', '3664321f553942a98eeaff45681f38fd', '308e8d9c33bb45fc9ea30d07af35a9d3', 'False', 'True', 'false', 'false', '511724710451', 5, '杨家镇双江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724710451', 1, '2021-07-19 11:58:31', NULL, NULL), (25778, '', '杨家镇皂角村', '86f8270e659646abb573b7455689fa31', '308e8d9c33bb45fc9ea30d07af35a9d3', 'False', 'True', 'false', 'false', '511724710508', 5, '杨家镇皂角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724710508', 1, '2021-07-19 11:58:31', NULL, NULL), (25779, '', '杨家镇英雄村', '096a7c4de5d3408dbedea95f9ba71200', '308e8d9c33bb45fc9ea30d07af35a9d3', 'False', 'True', 'false', 'false', '511724710580', 5, '杨家镇英雄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724710580', 1, '2021-07-19 11:58:32', NULL, NULL), (25780, '', '杨家镇龙台村', 'ad168f38604a4ffbadcb14e939fc6eeb', '308e8d9c33bb45fc9ea30d07af35a9d3', 'False', 'True', 'false', 'false', '511724710587', 5, '杨家镇龙台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724710587', 1, '2021-07-19 11:58:32', NULL, NULL), (25781, '', '杨家镇万福社区', '979c8beb50704a8985761d608bd8d07b', '308e8d9c33bb45fc9ea30d07af35a9d3', 'False', 'True', 'false', 'false', '511724710633', 5, '杨家镇万福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724710633', 1, '2021-07-19 11:58:32', NULL, NULL), (25782, '', '杨家镇天宝村', '5d783a3ee8a3493687232da2afe9a1bf', '308e8d9c33bb45fc9ea30d07af35a9d3', 'False', 'True', 'false', 'false', '511724710702', 5, '杨家镇天宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724710702', 1, '2021-07-19 11:58:32', NULL, NULL), (25783, '', '杨家镇太平桥村', '522d90ab398040eb9f91c56fb8dd090b', '308e8d9c33bb45fc9ea30d07af35a9d3', 'False', 'True', 'false', 'false', '511724710761', 5, '杨家镇太平桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724710761', 1, '2021-07-19 11:58:32', NULL, NULL), (25784, '', '杨家镇六堰社区', '9880c287bcdf4f48b7ffe751a03b8810', '308e8d9c33bb45fc9ea30d07af35a9d3', 'False', 'True', 'false', 'false', '511724710983', 5, '杨家镇六堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724710983', 1, '2021-07-19 11:58:32', NULL, NULL), (25785, '', '中华镇', '40d4e93ddb86466583dbb73ab1485063', '39f406ced9a04edaaff4d0563f75cbcd', 'True', 'True', 'false', 'false', '511724920000', 4, '中华镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511724920000', 1, '2021-07-19 11:58:32', NULL, NULL), (25786, '', '中华镇回龙社区', '4f3bdf626aed4e918e4be2b3afa50ecc', '40d4e93ddb86466583dbb73ab1485063', 'False', 'True', 'false', 'false', '511724920002', 5, '中华镇回龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724920002', 1, '2021-07-19 11:58:32', NULL, NULL), (25787, '', '中华镇黄家村', 'e64a71cdd6c8415ea1771c1dc693683c', '40d4e93ddb86466583dbb73ab1485063', 'False', 'True', 'false', 'false', '511724920201', 5, '中华镇黄家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724920201', 1, '2021-07-19 11:58:32', NULL, NULL), (25788, '', '中华镇玉皇村', 'a93fc2360a814734a218d6870002c574', '40d4e93ddb86466583dbb73ab1485063', 'False', 'True', 'false', 'false', '511724920202', 5, '中华镇玉皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724920202', 1, '2021-07-19 11:58:32', NULL, NULL), (25789, '', '中华镇红岭村', 'e7aff2c96c6b4e2bbb7f8d2998148fef', '40d4e93ddb86466583dbb73ab1485063', 'False', 'True', 'false', 'false', '511724920203', 5, '中华镇红岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724920203', 1, '2021-07-19 11:58:32', NULL, NULL), (25790, '', '中华镇茶园村', '199ca2e690b045faad250e4453268583', '40d4e93ddb86466583dbb73ab1485063', 'False', 'True', 'false', 'false', '511724920204', 5, '中华镇茶园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724920204', 1, '2021-07-19 11:58:32', NULL, NULL), (25791, '', '中华镇九盘村', '6b99379dcdd94b1fab3658e750556410', '40d4e93ddb86466583dbb73ab1485063', 'False', 'True', 'false', 'false', '511724920205', 5, '中华镇九盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724920205', 1, '2021-07-19 11:58:32', NULL, NULL), (25792, '', '中华镇马龙村', '47b76679ac10484894d89dba2773893c', '40d4e93ddb86466583dbb73ab1485063', 'False', 'True', 'false', 'false', '511724920206', 5, '中华镇马龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724920206', 1, '2021-07-19 11:58:32', NULL, NULL), (25793, '', '中华镇垭角铺村', 'e1303d1cac6c4337b6e3138afbc86da1', '40d4e93ddb86466583dbb73ab1485063', 'False', 'True', 'false', 'false', '511724920207', 5, '中华镇垭角铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724920207', 1, '2021-07-19 11:58:32', NULL, NULL), (25794, '', '中华镇四平村', '9f1db48bd4264b26a6fadc18696a1577', '40d4e93ddb86466583dbb73ab1485063', 'False', 'True', 'false', 'false', '511724920208', 5, '中华镇四平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724920208', 1, '2021-07-19 11:58:33', NULL, NULL), (25795, '', '中华镇新拱桥社区', '55b6311b096843e680d858762529ba9d', '40d4e93ddb86466583dbb73ab1485063', 'False', 'True', 'false', 'false', '511724920930', 5, '中华镇新拱桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724920930', 1, '2021-07-19 11:58:33', NULL, NULL), (25796, '', '中华镇桂花村', '309c1e76a1a94cd492d4f92e4925035d', '40d4e93ddb86466583dbb73ab1485063', 'False', 'True', 'false', 'false', '511724920960', 5, '中华镇桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724920960', 1, '2021-07-19 11:58:33', NULL, NULL), (25797, '', '中华镇中华村', 'a582e5eecb084b3aa09d823909dc27b2', '40d4e93ddb86466583dbb73ab1485063', 'False', 'True', 'false', 'false', '511724920970', 5, '中华镇中华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511724920970', 1, '2021-07-19 11:58:33', NULL, NULL), (25798, '', '达川区', 'c0d2d934de8b4dd38167a8261ffb8db3', '16ca461e2c824257a50dd0c7fab6f2de', 'True', 'True', 'false', 'false', '511703000000', 3, '达川区', 'dzsdcq.sczwfw.gov.cn', 1, '2021-07-19 11:58:33', NULL, NULL), (25799, '', '亭子镇', '473676c6fd434e3a9574a496b5b6fe18', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703100000', 4, '亭子镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703100000', 1, '2021-07-19 11:58:33', NULL, NULL), (25800, '', '大风社区', 'ea5f009492724084b9828686fb3e74f3', '473676c6fd434e3a9574a496b5b6fe18', 'False', 'True', 'false', 'false', '511703100003', 5, '大风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703100003', 1, '2021-07-19 11:58:33', NULL, NULL), (25801, '', '花元村', '3c600973d6394a72b2c8621e91e99f37', '473676c6fd434e3a9574a496b5b6fe18', 'False', 'True', 'false', 'false', '511703100212', 5, '花元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703100212', 1, '2021-07-19 11:58:33', NULL, NULL), (25802, '', '大桥村', 'bb652c44dcca4d96ad362f01a108ebf1', '473676c6fd434e3a9574a496b5b6fe18', 'False', 'True', 'false', 'false', '511703100216', 5, '大桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703100216', 1, '2021-07-19 11:58:33', NULL, NULL), (25803, '', '于家坝村', '7fb2055a418649d39ffc3b135535d7ff', '473676c6fd434e3a9574a496b5b6fe18', 'False', 'True', 'false', 'false', '511703100217', 5, '于家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703100217', 1, '2021-07-19 11:58:33', NULL, NULL), (25804, '', '白果村', '76d0f8bf059449f0baf817d211de7115', '473676c6fd434e3a9574a496b5b6fe18', 'False', 'True', 'false', 'false', '511703100218', 5, '白果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703100218', 1, '2021-07-19 11:58:33', NULL, NULL), (25805, '', '群力村', 'f4fc98ad25554b5dbeb5fc95ab6c8280', '473676c6fd434e3a9574a496b5b6fe18', 'False', 'True', 'false', 'false', '511703100202', 5, '群力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703100202', 1, '2021-07-19 11:58:33', NULL, NULL), (25806, '', '雷力村', '2c102686241c4c65990b0bcd0aca47dc', '473676c6fd434e3a9574a496b5b6fe18', 'False', 'True', 'false', 'false', '511703100204', 5, '雷力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703100204', 1, '2021-07-19 11:58:33', NULL, NULL), (25807, '', '友山村', '20d2d1212fa84020b169d293f5d8de85', '473676c6fd434e3a9574a496b5b6fe18', 'False', 'True', 'false', 'false', '511703100207', 5, '友山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703100207', 1, '2021-07-19 11:58:33', NULL, NULL), (25808, '', '燕窝岩村', '47ef0ed0c03a4f5fbc319414b3120928', '473676c6fd434e3a9574a496b5b6fe18', 'False', 'True', 'false', 'false', '511703100214', 5, '燕窝岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703100214', 1, '2021-07-19 11:58:33', NULL, NULL), (25809, '', '明天村', 'c1b3553a8b154650a4598ada031a9c53', '473676c6fd434e3a9574a496b5b6fe18', 'False', 'True', 'false', 'false', '511703100215', 5, '明天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703100215', 1, '2021-07-19 11:58:33', NULL, NULL), (25810, '', '官田村', 'b2bd9595cc8c4bd8a7c9aabce337574b', '473676c6fd434e3a9574a496b5b6fe18', 'False', 'True', 'false', 'false', '511703100320', 5, '官田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703100320', 1, '2021-07-19 11:58:34', NULL, NULL), (25811, '', '赵岩村', '0adcd2444e3a4a2aa4cf4cb19f532cee', '473676c6fd434e3a9574a496b5b6fe18', 'False', 'True', 'false', 'false', '511703100448', 5, '赵岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703100448', 1, '2021-07-19 11:58:34', NULL, NULL), (25812, '', '文昌宫社区', '5223828d57ac4985a252465286f5579b', '473676c6fd434e3a9574a496b5b6fe18', 'False', 'True', 'false', 'false', '511703100483', 5, '文昌宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703100483', 1, '2021-07-19 11:58:34', NULL, NULL), (25813, '', '天进村', '901937b21dc24ff68071fdca59146beb', '473676c6fd434e3a9574a496b5b6fe18', 'False', 'True', 'false', 'false', '511703100733', 5, '天进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703100733', 1, '2021-07-19 11:58:34', NULL, NULL), (25814, '', '庙梁村', 'f9c415d4f60f414d950a8692d106bf92', '473676c6fd434e3a9574a496b5b6fe18', 'False', 'True', 'false', 'false', '511703100738', 5, '庙梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703100738', 1, '2021-07-19 11:58:34', NULL, NULL), (25815, '', '回龙社区', '8331673297724724acc4487887528028', '473676c6fd434e3a9574a496b5b6fe18', 'False', 'True', 'false', 'false', '511703100954', 5, '回龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703100954', 1, '2021-07-19 11:58:34', NULL, NULL), (25816, '', '福善镇', '822f38fbee404a25843fe9dd0db7f2bf', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703101000', 4, '福善镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703101000', 1, '2021-07-19 11:58:34', NULL, NULL), (25817, '', '福善社区', '9a111a26101c4112858a9a507e57c205', '822f38fbee404a25843fe9dd0db7f2bf', 'False', 'True', 'false', 'false', '511703101001', 5, '福善社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703101001', 1, '2021-07-19 11:58:34', NULL, NULL), (25818, '', '四合村', 'e93ad874f27740c2bfd26f993bbdb338', '822f38fbee404a25843fe9dd0db7f2bf', 'False', 'True', 'false', 'false', '511703101202', 5, '四合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703101202', 1, '2021-07-19 11:58:34', NULL, NULL), (25819, '', '八庙村', '3a1e9f26d8684f328ef723c4a63cd7b3', '822f38fbee404a25843fe9dd0db7f2bf', 'False', 'True', 'false', 'false', '511703101204', 5, '八庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703101204', 1, '2021-07-19 11:58:34', NULL, NULL), (25820, '', '王家村', '580e2adbdb1d4e53ae7d268fb0f1d999', '822f38fbee404a25843fe9dd0db7f2bf', 'False', 'True', 'false', 'false', '511703101206', 5, '王家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703101206', 1, '2021-07-19 11:58:34', NULL, NULL), (25821, '', '清河村', '4ccfc5bd5ae549758b8ea5da4667d775', '822f38fbee404a25843fe9dd0db7f2bf', 'False', 'True', 'false', 'false', '511703101207', 5, '清河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703101207', 1, '2021-07-19 11:58:34', NULL, NULL), (25822, '', '关家村', 'a3a46012282942e3bfe9674b0b9a95a2', '822f38fbee404a25843fe9dd0db7f2bf', 'False', 'True', 'false', 'false', '511703101208', 5, '关家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703101208', 1, '2021-07-19 11:58:34', NULL, NULL), (25823, '', '桥亭村', '0a34c89529c34be0b318a493d7131f35', '822f38fbee404a25843fe9dd0db7f2bf', 'False', 'True', 'false', 'false', '511703101209', 5, '桥亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703101209', 1, '2021-07-19 11:58:34', NULL, NULL), (25824, '', '莲花村', 'a11102bac0814f31889b4a125b7977e9', '822f38fbee404a25843fe9dd0db7f2bf', 'False', 'True', 'false', 'false', '511703101210', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703101210', 1, '2021-07-19 11:58:34', NULL, NULL), (25825, '', '圣学村', '346590734fb246b6a280e76093f9504b', '822f38fbee404a25843fe9dd0db7f2bf', 'False', 'True', 'false', 'false', '511703102011', 5, '圣学村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102011', 1, '2021-07-19 11:58:34', NULL, NULL), (25826, '', '大树镇', '54a188b46cf1428aa5286f72220be751', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703104000', 4, '大树镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703104000', 1, '2021-07-19 11:58:34', NULL, NULL), (25827, '', '龙灵村', '1573acb8aa5141fdac06cb2dfb10a24e', '54a188b46cf1428aa5286f72220be751', 'False', 'True', 'false', 'false', '511703104218', 5, '龙灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703104218', 1, '2021-07-19 11:58:34', NULL, NULL), (25828, '', '宝丰社区', '88d9cd68d33541898496003fa6b18a99', '54a188b46cf1428aa5286f72220be751', 'False', 'True', 'false', 'false', '511703104001', 5, '宝丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703104001', 1, '2021-07-19 11:58:35', NULL, NULL), (25829, '', '黄庭社区', '948176c74bea4cd18e9d005c3b2858bd', '54a188b46cf1428aa5286f72220be751', 'False', 'True', 'false', 'false', '511703104002', 5, '黄庭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703104002', 1, '2021-07-19 11:58:35', NULL, NULL), (25830, '', '文昌村', '8b88af2ed255430182782e6d6d561f77', '54a188b46cf1428aa5286f72220be751', 'False', 'True', 'false', 'false', '511703104200', 5, '文昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703104200', 1, '2021-07-19 11:58:35', NULL, NULL), (25831, '', '光辉村', '49ba13ae94c84e78ab84663b8f234c2b', '54a188b46cf1428aa5286f72220be751', 'False', 'True', 'false', 'false', '511703104204', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703104204', 1, '2021-07-19 11:58:35', NULL, NULL), (25832, '', '三燕村', '9689aa82eebd4f82ba7d0dafb2b7023b', '54a188b46cf1428aa5286f72220be751', 'False', 'True', 'false', 'false', '511703104205', 5, '三燕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703104205', 1, '2021-07-19 11:58:35', NULL, NULL), (25833, '', '五四村', 'b829b342c3cf41dbaad1c492059b8861', '54a188b46cf1428aa5286f72220be751', 'False', 'True', 'false', 'false', '511703104207', 5, '五四村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703104207', 1, '2021-07-19 11:58:35', NULL, NULL), (25834, '', '明星村', 'e8fcce05d0f54277836a7a199f692d3b', '54a188b46cf1428aa5286f72220be751', 'False', 'True', 'false', 'false', '511703104208', 5, '明星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703104208', 1, '2021-07-19 11:58:35', NULL, NULL), (25835, '', '九龙村', 'e31a77bf6d7f40e1b6e2aa2f29c9851b', '54a188b46cf1428aa5286f72220be751', 'False', 'True', 'false', 'false', '511703104209', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703104209', 1, '2021-07-19 11:58:35', NULL, NULL), (25836, '', '华阳村', 'da9e4d25ea124826af0807c85c4473be', '54a188b46cf1428aa5286f72220be751', 'False', 'True', 'false', 'false', '511703104210', 5, '华阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703104210', 1, '2021-07-19 11:58:35', NULL, NULL), (25837, '', '新天村', 'cacd078c8f454eb0a8c439566247f15f', '54a188b46cf1428aa5286f72220be751', 'False', 'True', 'false', 'false', '511703104211', 5, '新天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703104211', 1, '2021-07-19 11:58:35', NULL, NULL), (25838, '', '五岭村', '621b10e5e35c45ba9c7845381e7e3fec', '54a188b46cf1428aa5286f72220be751', 'False', 'True', 'false', 'false', '511703104212', 5, '五岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703104212', 1, '2021-07-19 11:58:35', NULL, NULL), (25839, '', '竹林村', '46fede3a5f104957aa72620b2854ec76', '54a188b46cf1428aa5286f72220be751', 'False', 'True', 'false', 'false', '511703104213', 5, '竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703104213', 1, '2021-07-19 11:58:35', NULL, NULL), (25840, '', '草新村', 'f841777f982a495c89efbf7b0191548c', '54a188b46cf1428aa5286f72220be751', 'False', 'True', 'false', 'false', '511703104215', 5, '草新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703104215', 1, '2021-07-19 11:58:35', NULL, NULL), (25841, '', '连心村', 'e1135d28f7bd495d856b46f4cb86246d', '54a188b46cf1428aa5286f72220be751', 'False', 'True', 'false', 'false', '511703104216', 5, '连心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703104216', 1, '2021-07-19 11:58:35', NULL, NULL), (25842, '', '石锣村', '0cfec6919f40445d894722dc3293bf4d', '54a188b46cf1428aa5286f72220be751', 'False', 'True', 'false', 'false', '511703104217', 5, '石锣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703104217', 1, '2021-07-19 11:58:35', NULL, NULL), (25843, '', '新兴社区', 'dc828cade89d4970aa731172181564be', '54a188b46cf1428aa5286f72220be751', 'False', 'True', 'false', 'false', '511703103863', 5, '新兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703103863', 1, '2021-07-19 11:58:35', NULL, NULL), (25844, '', '南岳镇', '380bbf35af8f4943b66614f5dfce3e39', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703105000', 4, '南岳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703105000', 1, '2021-07-19 11:58:35', NULL, NULL), (25845, '', '南岳社区', 'a1ae634845ae432b8dbbd9496293ab0e', '380bbf35af8f4943b66614f5dfce3e39', 'False', 'True', 'false', 'false', '511703105001', 5, '南岳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703105001', 1, '2021-07-19 11:58:35', NULL, NULL), (25846, '', '神龙村', '0f553db6d2dd42a7960000be2e86777b', '380bbf35af8f4943b66614f5dfce3e39', 'False', 'True', 'false', 'false', '511703105200', 5, '神龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703105200', 1, '2021-07-19 11:58:35', NULL, NULL), (25847, '', '板桥村', '33b67ed1332e44118ed9ed64c3a9aab6', '380bbf35af8f4943b66614f5dfce3e39', 'False', 'True', 'false', 'false', '511703105201', 5, '板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703105201', 1, '2021-07-19 11:58:36', NULL, NULL), (25848, '', '水河村', '0d56891154a547478c892d79ba172e1a', '380bbf35af8f4943b66614f5dfce3e39', 'False', 'True', 'false', 'false', '511703105204', 5, '水河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703105204', 1, '2021-07-19 11:58:36', NULL, NULL), (25849, '', '九元村', '67fbb2f3916c44e6b711d839d0cecd56', '380bbf35af8f4943b66614f5dfce3e39', 'False', 'True', 'false', 'false', '511703105205', 5, '九元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703105205', 1, '2021-07-19 11:58:36', NULL, NULL), (25850, '', '铁嘴村', '81e9f56569e24f9186ba0d6bb30e42fe', '380bbf35af8f4943b66614f5dfce3e39', 'False', 'True', 'false', 'false', '511703105207', 5, '铁嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703105207', 1, '2021-07-19 11:58:36', NULL, NULL), (25851, '', '印子村', 'c1eca488182440aeb3dbb4eae602c86c', '380bbf35af8f4943b66614f5dfce3e39', 'False', 'True', 'false', 'false', '511703105208', 5, '印子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703105208', 1, '2021-07-19 11:58:36', NULL, NULL), (25852, '', '旋顶村', '4a49bd945d6b435193cd2675cd0c2bc9', '380bbf35af8f4943b66614f5dfce3e39', 'False', 'True', 'false', 'false', '511703105210', 5, '旋顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703105210', 1, '2021-07-19 11:58:36', NULL, NULL), (25853, '', '文峰村', '657ca3d4496549b0b4503c6e537b0165', '380bbf35af8f4943b66614f5dfce3e39', 'False', 'True', 'false', 'false', '511703105215', 5, '文峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703105215', 1, '2021-07-19 11:58:36', NULL, NULL), (25854, '', '万家镇', '4bf4b8cb2ef34b169c84467b84330901', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703106000', 4, '万家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703106000', 1, '2021-07-19 11:58:36', NULL, NULL), (25855, '', '黄都社区', 'f4a1b30cd62048c19e35c18ca60b7481', '4bf4b8cb2ef34b169c84467b84330901', 'False', 'True', 'false', 'false', '511703106001', 5, '黄都社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703106001', 1, '2021-07-19 11:58:36', NULL, NULL), (25856, '', '万家社区', '3d38268cc2d04ee6b94434e1f7776c9b', '4bf4b8cb2ef34b169c84467b84330901', 'False', 'True', 'false', 'false', '511703106002', 5, '万家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703106002', 1, '2021-07-19 11:58:36', NULL, NULL), (25857, '', '迎风村', 'f04ee6636a6648a7a8e7176a825048a8', '4bf4b8cb2ef34b169c84467b84330901', 'False', 'True', 'false', 'false', '511703106201', 5, '迎风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703106201', 1, '2021-07-19 11:58:36', NULL, NULL), (25858, '', '高峰村', '899f836609f9486b82185ef098e0b84f', '4bf4b8cb2ef34b169c84467b84330901', 'False', 'True', 'false', 'false', '511703106202', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703106202', 1, '2021-07-19 11:58:36', NULL, NULL), (25859, '', '南垭村', '5d125d7f2ecb4f90bd6c01715247f5fe', '4bf4b8cb2ef34b169c84467b84330901', 'False', 'True', 'false', 'false', '511703106203', 5, '南垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703106203', 1, '2021-07-19 11:58:36', NULL, NULL), (25860, '', '三星村', '22852f93cac64384a5bcceac0a4450bf', '4bf4b8cb2ef34b169c84467b84330901', 'False', 'True', 'false', 'false', '511703106205', 5, '三星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703106205', 1, '2021-07-19 11:58:36', NULL, NULL), (25861, '', '五洞村', 'c2542de429d547ab8f21ceae9d2c2b72', '4bf4b8cb2ef34b169c84467b84330901', 'False', 'True', 'false', 'false', '511703106206', 5, '五洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703106206', 1, '2021-07-19 11:58:36', NULL, NULL), (25862, '', '八角村', 'aa0929f588bb4eb294ef6d6994ab8380', '4bf4b8cb2ef34b169c84467b84330901', 'False', 'True', 'false', 'false', '511703106209', 5, '八角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703106209', 1, '2021-07-19 11:58:36', NULL, NULL), (25863, '', '碗厂沟村', '29acfafb24a8427899e8efe7100e12e8', '4bf4b8cb2ef34b169c84467b84330901', 'False', 'True', 'false', 'false', '511703106211', 5, '碗厂沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703106211', 1, '2021-07-19 11:58:36', NULL, NULL), (25864, '', '双桥村', 'a2c63f7391174e2a957c8b065e8fab70', '4bf4b8cb2ef34b169c84467b84330901', 'False', 'True', 'false', 'false', '511703106212', 5, '双桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703106212', 1, '2021-07-19 11:58:36', NULL, NULL), (25865, '', '向阳村', '4c0cd10e7f094c66b2517db135d48431', '4bf4b8cb2ef34b169c84467b84330901', 'False', 'True', 'false', 'false', '511703106216', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703106216', 1, '2021-07-19 11:58:36', NULL, NULL), (25866, '', '溜滩村', '7002a38b762c4bef8fa8ea478586a403', '4bf4b8cb2ef34b169c84467b84330901', 'False', 'True', 'false', 'false', '511703106217', 5, '溜滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703106217', 1, '2021-07-19 11:58:37', NULL, NULL), (25867, '', '桥英村', 'f694ff46ada0405e9f48544684cb028c', '4bf4b8cb2ef34b169c84467b84330901', 'False', 'True', 'false', 'false', '511703106218', 5, '桥英村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703106218', 1, '2021-07-19 11:58:37', NULL, NULL), (25868, '', '堰塘湾村', '65a3a97143fe41f58f0a030363acd2a4', '4bf4b8cb2ef34b169c84467b84330901', 'False', 'True', 'false', 'false', '511703106219', 5, '堰塘湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703106219', 1, '2021-07-19 11:58:37', NULL, NULL), (25869, '', '双石桥村', 'd85bee255dcb42f7b9babd6a2f5d1316', '4bf4b8cb2ef34b169c84467b84330901', 'False', 'True', 'false', 'false', '511703106220', 5, '双石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703106220', 1, '2021-07-19 11:58:37', NULL, NULL), (25870, '', '高坎子村', '8c2ab5819a5242dda0d36389326c7527', '4bf4b8cb2ef34b169c84467b84330901', 'False', 'True', 'false', 'false', '511703106222', 5, '高坎子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703106222', 1, '2021-07-19 11:58:37', NULL, NULL), (25871, '', '河湾村', '24ea464d617643ebb88fc925a20dbe5b', '4bf4b8cb2ef34b169c84467b84330901', 'False', 'True', 'false', 'false', '511703106223', 5, '河湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703106223', 1, '2021-07-19 11:58:37', NULL, NULL), (25872, '', '景市镇', '16d628e84cec4a5a936548670363244f', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703107000', 4, '景市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703107000', 1, '2021-07-19 11:58:37', NULL, NULL), (25873, '', '金龙社区', '1a59539b78f54011a71a2975610c09aa', '16d628e84cec4a5a936548670363244f', 'False', 'True', 'false', 'false', '511703107001', 5, '金龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703107001', 1, '2021-07-19 11:58:37', NULL, NULL), (25874, '', '中心社区', '5b4ff2a5235f4329ac618ae6ea210a03', '16d628e84cec4a5a936548670363244f', 'False', 'True', 'false', 'false', '511703107002', 5, '中心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703107002', 1, '2021-07-19 11:58:37', NULL, NULL), (25875, '', '大垭社区', '063dbefa3c3d463db5ea4bc40918bcdc', '16d628e84cec4a5a936548670363244f', 'False', 'True', 'false', 'false', '511703107003', 5, '大垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703107003', 1, '2021-07-19 11:58:37', NULL, NULL), (25876, '', '皂角村', '4bc80389ef6944aeb7766ff15d11eb50', '16d628e84cec4a5a936548670363244f', 'False', 'True', 'false', 'false', '511703107200', 5, '皂角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703107200', 1, '2021-07-19 11:58:37', NULL, NULL), (25877, '', '高庙村', '9d2a949018d942bd8062bb5fce94bdcd', '16d628e84cec4a5a936548670363244f', 'False', 'True', 'false', 'false', '511703107202', 5, '高庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703107202', 1, '2021-07-19 11:58:37', NULL, NULL), (25878, '', '拱桥坝村', 'c5796c0cd2254052a9a283de8f50fa8f', '16d628e84cec4a5a936548670363244f', 'False', 'True', 'false', 'false', '511703107204', 5, '拱桥坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703107204', 1, '2021-07-19 11:58:37', NULL, NULL), (25879, '', '一佛村', '4a56a57302ac433e8cd18a688077ce0f', '16d628e84cec4a5a936548670363244f', 'False', 'True', 'false', 'false', '511703107206', 5, '一佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703107206', 1, '2021-07-19 11:58:37', NULL, NULL), (25880, '', '白阳坝村', '886c887ac1b1454287ef3eed6180b342', '16d628e84cec4a5a936548670363244f', 'False', 'True', 'false', 'false', '511703107208', 5, '白阳坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703107208', 1, '2021-07-19 11:58:37', NULL, NULL), (25881, '', '高板桥村', '48fd67cefba14289bcbb9c77c44f6d24', '16d628e84cec4a5a936548670363244f', 'False', 'True', 'false', 'false', '511703107209', 5, '高板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703107209', 1, '2021-07-19 11:58:37', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (25882, '', '文家场村', 'd7eb4d55e2ee464f984146ea2263e396', '16d628e84cec4a5a936548670363244f', 'False', 'True', 'false', 'false', '511703107211', 5, '文家场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703107211', 1, '2021-07-19 11:58:37', NULL, NULL), (25883, '', '茶园寺村', '10142cfca6754a9cb269cdf0786e275c', '16d628e84cec4a5a936548670363244f', 'False', 'True', 'false', 'false', '511703107212', 5, '茶园寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703107212', 1, '2021-07-19 11:58:37', NULL, NULL), (25884, '', '团田坝村', '8768babbc0b14f86a7e5fba5fab1b4d6', '16d628e84cec4a5a936548670363244f', 'False', 'True', 'false', 'false', '511703107213', 5, '团田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703107213', 1, '2021-07-19 11:58:37', NULL, NULL), (25885, '', '柳树湾村', '37decde5fd2d486687919b0cd7e13ed0', '16d628e84cec4a5a936548670363244f', 'False', 'True', 'false', 'false', '511703107215', 5, '柳树湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703107215', 1, '2021-07-19 11:58:38', NULL, NULL), (25886, '', '寨子村', '232315672c49453fad33ae977dab81d8', '16d628e84cec4a5a936548670363244f', 'False', 'True', 'false', 'false', '511703107216', 5, '寨子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703107216', 1, '2021-07-19 11:58:38', NULL, NULL), (25887, '', '洞山寺村', 'af23360079ed4692acc56cf10d95fce3', '16d628e84cec4a5a936548670363244f', 'False', 'True', 'false', 'false', '511703107218', 5, '洞山寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703107218', 1, '2021-07-19 11:58:38', NULL, NULL), (25888, '', '胭脂湖村', '4e22b3a9de95479d8da7278f29f57f6f', '16d628e84cec4a5a936548670363244f', 'False', 'True', 'false', 'false', '511703107221', 5, '胭脂湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703107221', 1, '2021-07-19 11:58:38', NULL, NULL), (25889, '', '百节镇', '70f15d4cbcf74481bec686844d488cff', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703108000', 4, '百节镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703108000', 1, '2021-07-19 11:58:38', NULL, NULL), (25890, '', '百节社区', '4fa4014336e0483aa067da45b55a7c50', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108001', 5, '百节社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108001', 1, '2021-07-19 11:58:38', NULL, NULL), (25891, '', '木子社区', '719a3a793b2b4287b14756eb8e3c9708', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108003', 5, '木子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108003', 1, '2021-07-19 11:58:38', NULL, NULL), (25892, '', '魁字岩村', '486184a942c2415f920e6e61212bb2b2', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108200', 5, '魁字岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108200', 1, '2021-07-19 11:58:38', NULL, NULL), (25893, '', '梯岩村', 'c71778dc53e44e919388e849e4bf4724', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108202', 5, '梯岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108202', 1, '2021-07-19 11:58:38', NULL, NULL), (25894, '', '三牌村', '96c55cb850d8457097b0efb12ff93bce', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108204', 5, '三牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108204', 1, '2021-07-19 11:58:38', NULL, NULL), (25895, '', '双石坝村', '067df7f7ddf9462d9df5c82e8d493037', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108205', 5, '双石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108205', 1, '2021-07-19 11:58:38', NULL, NULL), (25896, '', '马家社区', 'b1687b88440942f6844b90ccee34e210', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108206', 5, '马家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108206', 1, '2021-07-19 11:58:38', NULL, NULL), (25897, '', '鼓楼村', '2123dc481c584adea92eb97720765b5e', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108207', 5, '鼓楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108207', 1, '2021-07-19 11:58:38', NULL, NULL), (25898, '', '玉龙村', 'd402a654c97a46379b8dd29b9d571ccb', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108208', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108208', 1, '2021-07-19 11:58:38', NULL, NULL), (25899, '', '乌梅山村', '4cedd408d1c041038753b5062d373e33', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108212', 5, '乌梅山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108212', 1, '2021-07-19 11:58:38', NULL, NULL), (25900, '', '白马村', '449362f239d64f64af041dcc81ed9859', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108213', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108213', 1, '2021-07-19 11:58:38', NULL, NULL), (25901, '', '南新桥村', '0c8e46c7ceac407a961aa02277e697db', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108214', 5, '南新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108214', 1, '2021-07-19 11:58:38', NULL, NULL), (25902, '', '柳杨村', 'fd387145e009492590e161af44e50256', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108216', 5, '柳杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108216', 1, '2021-07-19 11:58:38', NULL, NULL), (25903, '', '关坪村', '900b9d818ad046cf81a382b8eea3a534', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108217', 5, '关坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108217', 1, '2021-07-19 11:58:38', NULL, NULL), (25904, '', '肖家村', '5bb1ff07130540aba4ed8a0b6e6f7514', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108218', 5, '肖家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108218', 1, '2021-07-19 11:58:38', NULL, NULL), (25905, '', '长溪村', '9b96f9cb38c44764b57a67c9d3ac5328', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108219', 5, '长溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108219', 1, '2021-07-19 11:58:38', NULL, NULL), (25906, '', '真山村', 'f7e387056bf0480ba6d3c6d19591d794', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108220', 5, '真山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108220', 1, '2021-07-19 11:58:39', NULL, NULL), (25907, '', '四岩村', '3a6e9a8a43ac41efa312dece85f5a160', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108221', 5, '四岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108221', 1, '2021-07-19 11:58:39', NULL, NULL), (25908, '', '工人村', 'd133778d740f4259af56d0d22c9db05f', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108222', 5, '工人村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108222', 1, '2021-07-19 11:58:39', NULL, NULL), (25909, '', '水口村', '783b9a5af81941f78431c3764e6c941d', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108223', 5, '水口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108223', 1, '2021-07-19 11:58:39', NULL, NULL), (25910, '', '中心村', '4a85034cdd5b4179a02031dc8757dc20', '70f15d4cbcf74481bec686844d488cff', 'False', 'True', 'false', 'false', '511703108224', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703108224', 1, '2021-07-19 11:58:39', NULL, NULL), (25911, '', '赵家镇', '10a65c9d94224acf94572936d1d29927', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703109000', 4, '赵家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703109000', 1, '2021-07-19 11:58:39', NULL, NULL), (25912, '', '利群社区', '635847815815471b8cf333913f9416e7', '10a65c9d94224acf94572936d1d29927', 'False', 'True', 'false', 'false', '511703109001', 5, '利群社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703109001', 1, '2021-07-19 11:58:39', NULL, NULL), (25913, '', '利民社区', '646cb2667aa3424c820ec5b34f852f6c', '10a65c9d94224acf94572936d1d29927', 'False', 'True', 'false', 'false', '511703109002', 5, '利民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703109002', 1, '2021-07-19 11:58:39', NULL, NULL), (25914, '', '六角坵社区', 'a0a7081e24314bbca6a9a71681ae5306', '10a65c9d94224acf94572936d1d29927', 'False', 'True', 'false', 'false', '511703109003', 5, '六角坵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703109003', 1, '2021-07-19 11:58:39', NULL, NULL), (25915, '', '碑高社区', '117ae5b3f4be47d0a3e0b8fb83e07cdc', '10a65c9d94224acf94572936d1d29927', 'False', 'True', 'false', 'false', '511703109004', 5, '碑高社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703109004', 1, '2021-07-19 11:58:39', NULL, NULL), (25916, '', '林山村', '61edb6a938a646bd92265a1980635ad0', '10a65c9d94224acf94572936d1d29927', 'False', 'True', 'false', 'false', '511703109205', 5, '林山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703109205', 1, '2021-07-19 11:58:39', NULL, NULL), (25917, '', '谷花村', 'dfb1640bd60e4fadb27a1f30580dc5f6', '10a65c9d94224acf94572936d1d29927', 'False', 'True', 'false', 'false', '511703109206', 5, '谷花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703109206', 1, '2021-07-19 11:58:39', NULL, NULL), (25918, '', '石垭村', '9c0e0adf6d8240a99fd918d2c14fb5ff', '10a65c9d94224acf94572936d1d29927', 'False', 'True', 'false', 'false', '511703109209', 5, '石垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703109209', 1, '2021-07-19 11:58:39', NULL, NULL), (25919, '', '桂花村', '0bcd2e8d8b814e789bdc76ebca32a6d2', '10a65c9d94224acf94572936d1d29927', 'False', 'True', 'false', 'false', '511703109211', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703109211', 1, '2021-07-19 11:58:39', NULL, NULL), (25920, '', '先锋村', '57a11dda66764c98888c9692bf6240ef', '10a65c9d94224acf94572936d1d29927', 'False', 'True', 'false', 'false', '511703109212', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703109212', 1, '2021-07-19 11:58:39', NULL, NULL), (25921, '', '立人村', '8d0278303ced4db3be0d028776ef0865', '10a65c9d94224acf94572936d1d29927', 'False', 'True', 'false', 'false', '511703109213', 5, '立人村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703109213', 1, '2021-07-19 11:58:39', NULL, NULL), (25922, '', '芦山村', '67b19ffc608b405e84521e49ace44272', '10a65c9d94224acf94572936d1d29927', 'False', 'True', 'false', 'false', '511703109214', 5, '芦山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703109214', 1, '2021-07-19 11:58:39', NULL, NULL), (25923, '', '永必坝村', 'de085e610f1d46db870a0496cce7fb65', '10a65c9d94224acf94572936d1d29927', 'False', 'True', 'false', 'false', '511703109215', 5, '永必坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703109215', 1, '2021-07-19 11:58:39', NULL, NULL), (25924, '', '龙洞坝村', 'ec9d868abe1a43a18dc020a2149f958f', '10a65c9d94224acf94572936d1d29927', 'False', 'True', 'false', 'false', '511703109216', 5, '龙洞坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703109216', 1, '2021-07-19 11:58:39', NULL, NULL), (25925, '', '胜利村', 'af8155d4f415484984b134af32e34e30', '10a65c9d94224acf94572936d1d29927', 'False', 'True', 'false', 'false', '511703109217', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703109217', 1, '2021-07-19 11:58:40', NULL, NULL), (25926, '', '河市镇', '68e8faa2193a45658612bd7c19cfa23e', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703110000', 4, '河市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703110000', 1, '2021-07-19 11:58:40', NULL, NULL), (25927, '', '长航社区', '7bc1847e40484867baef69e906b552a9', '68e8faa2193a45658612bd7c19cfa23e', 'False', 'True', 'false', 'false', '511703110001', 5, '长航社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703110001', 1, '2021-07-19 11:58:40', NULL, NULL), (25928, '', '南大街社区', 'f29f5c76938e40edb1c69b1d4d778938', '68e8faa2193a45658612bd7c19cfa23e', 'False', 'True', 'false', 'false', '511703110002', 5, '南大街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703110002', 1, '2021-07-19 11:58:40', NULL, NULL), (25929, '', '茶树湾社区', '417e060015914c1aa8dea55509a7f90f', '68e8faa2193a45658612bd7c19cfa23e', 'False', 'True', 'false', 'false', '511703110003', 5, '茶树湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703110003', 1, '2021-07-19 11:58:40', NULL, NULL), (25930, '', '河龙社区', 'af17ffa7fdd44329a63843643051a495', '68e8faa2193a45658612bd7c19cfa23e', 'False', 'True', 'false', 'false', '511703110207', 5, '河龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703110207', 1, '2021-07-19 11:58:40', NULL, NULL), (25931, '', '昌红村', '0593c1109047458b9e2ea2e5eb3f18e8', '68e8faa2193a45658612bd7c19cfa23e', 'False', 'True', 'false', 'false', '511703110208', 5, '昌红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703110208', 1, '2021-07-19 11:58:40', NULL, NULL), (25932, '', '成都村', 'd3a042f9c3294ae38c266719de9f60e4', '68e8faa2193a45658612bd7c19cfa23e', 'False', 'True', 'false', 'false', '511703110209', 5, '成都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703110209', 1, '2021-07-19 11:58:40', NULL, NULL), (25933, '', '金滩村', 'cb3a572517934b1a93f0ae9fbea2a48d', '68e8faa2193a45658612bd7c19cfa23e', 'False', 'True', 'false', 'false', '511703110219', 5, '金滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703110219', 1, '2021-07-19 11:58:40', NULL, NULL), (25934, '', '金星村', 'e830a939396344d3841a7dbfb6584c5e', '68e8faa2193a45658612bd7c19cfa23e', 'False', 'True', 'false', 'false', '511703110220', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703110220', 1, '2021-07-19 11:58:40', NULL, NULL), (25935, '', '新桥村', 'be944813228641128dbeedc9df3b852e', '68e8faa2193a45658612bd7c19cfa23e', 'False', 'True', 'false', 'false', '511703110222', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703110222', 1, '2021-07-19 11:58:40', NULL, NULL), (25936, '', '新龙社区', '06a78b61efc34d029cf4ffaf511e4d15', '68e8faa2193a45658612bd7c19cfa23e', 'False', 'True', 'false', 'false', '511703110224', 5, '新龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703110224', 1, '2021-07-19 11:58:40', NULL, NULL), (25937, '', '金银村', 'aff173afeecd4bf7af71a39b1c8c46d5', '68e8faa2193a45658612bd7c19cfa23e', 'False', 'True', 'false', 'false', '511703110225', 5, '金银村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703110225', 1, '2021-07-19 11:58:40', NULL, NULL), (25938, '', '新陶村', '78540eb5008d4d0fad01d392f7b3931d', '68e8faa2193a45658612bd7c19cfa23e', 'False', 'True', 'false', 'false', '511703107958', 5, '新陶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703107958', 1, '2021-07-19 11:58:40', NULL, NULL), (25939, '', '石板街道', 'c1f44e817a25423098b3dd82e6da4d6f', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703111000', 4, '石板街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703111000', 1, '2021-07-19 11:58:40', NULL, NULL), (25940, '', '金达社区', '37a4d683114e4fb08756b069fe0ff2cb', 'c1f44e817a25423098b3dd82e6da4d6f', 'False', 'True', 'false', 'false', '511703003638', 5, '金达社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703003638', 1, '2021-07-19 11:58:40', NULL, NULL), (25941, '', '石板社区', '119f5add91254411825b3488b909caea', 'c1f44e817a25423098b3dd82e6da4d6f', 'False', 'True', 'false', 'false', '511703111001', 5, '石板社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703111001', 1, '2021-07-19 11:58:41', NULL, NULL), (25942, '', '关渡村', 'd3011f6585354a499495fc768ca9d702', 'c1f44e817a25423098b3dd82e6da4d6f', 'False', 'True', 'false', 'false', '511703111200', 5, '关渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703111200', 1, '2021-07-19 11:58:41', NULL, NULL), (25943, '', '铜宝村', '9e7ac5dc50244e8798ad1b979e6186c9', 'c1f44e817a25423098b3dd82e6da4d6f', 'False', 'True', 'false', 'false', '511703111202', 5, '铜宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703111202', 1, '2021-07-19 11:58:41', NULL, NULL), (25944, '', '金刚村', '1bd2313eeffd46eca9fee8c95793965f', 'c1f44e817a25423098b3dd82e6da4d6f', 'False', 'True', 'false', 'false', '511703111207', 5, '金刚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703111207', 1, '2021-07-19 11:58:41', NULL, NULL), (25945, '', '金垭镇', '789e9aa1cc8541ee84c59d9e5b572f13', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703112000', 4, '金垭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703112000', 1, '2021-07-19 11:58:41', NULL, NULL), (25946, '', '金垭社区', 'c387b181291f462d88c466d8ac506618', '789e9aa1cc8541ee84c59d9e5b572f13', 'False', 'True', 'false', 'false', '511703112001', 5, '金垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703112001', 1, '2021-07-19 11:58:41', NULL, NULL), (25947, '', '覃家坝社区', 'c415782d9ec3466fa0ac2e4cfe70eea2', '789e9aa1cc8541ee84c59d9e5b572f13', 'False', 'True', 'false', 'false', '511703112002', 5, '覃家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703112002', 1, '2021-07-19 11:58:41', NULL, NULL), (25948, '', '磴子河社区', '4f0f30cc6796494b8ce77a089db6470b', '789e9aa1cc8541ee84c59d9e5b572f13', 'False', 'True', 'false', 'false', '511703112003', 5, '磴子河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703112003', 1, '2021-07-19 11:58:41', NULL, NULL), (25949, '', '塔光村', '4f75d2910b7743458d2fb4d69a96d5c7', '789e9aa1cc8541ee84c59d9e5b572f13', 'False', 'True', 'false', 'false', '511703112200', 5, '塔光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703112200', 1, '2021-07-19 11:58:41', NULL, NULL), (25950, '', '金通村', 'e9d620a8f7584c3fb18c88b904561681', '789e9aa1cc8541ee84c59d9e5b572f13', 'False', 'True', 'false', 'false', '511703112201', 5, '金通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703112201', 1, '2021-07-19 11:58:41', NULL, NULL), (25951, '', '火炭岩村', '854620ee140c46d3bc55a63f92e599ae', '789e9aa1cc8541ee84c59d9e5b572f13', 'False', 'True', 'false', 'false', '511703112202', 5, '火炭岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703112202', 1, '2021-07-19 11:58:41', NULL, NULL), (25952, '', '望水垭村', '4a3f4b3ab76a488195d40a0c6d52ac73', '789e9aa1cc8541ee84c59d9e5b572f13', 'False', 'True', 'false', 'false', '511703112203', 5, '望水垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703112203', 1, '2021-07-19 11:58:41', NULL, NULL), (25953, '', '金丰村', '4f2b770fdf684dfc9c4ccec49ebd6da4', '789e9aa1cc8541ee84c59d9e5b572f13', 'False', 'True', 'false', 'false', '511703112204', 5, '金丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703112204', 1, '2021-07-19 11:58:41', NULL, NULL), (25954, '', '金鱼村', '9659a285e62c407aa72409786df6588c', '789e9aa1cc8541ee84c59d9e5b572f13', 'False', 'True', 'false', 'false', '511703112205', 5, '金鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703112205', 1, '2021-07-19 11:58:41', NULL, NULL), (25955, '', '金山村', 'a21961d940d643699a1f3f12511d9631', '789e9aa1cc8541ee84c59d9e5b572f13', 'False', 'True', 'false', 'false', '511703112206', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703112206', 1, '2021-07-19 11:58:41', NULL, NULL), (25956, '', '金牛村', '9d6bdd3b295c4731b840ba333221b557', '789e9aa1cc8541ee84c59d9e5b572f13', 'False', 'True', 'false', 'false', '511703112207', 5, '金牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703112207', 1, '2021-07-19 11:58:41', NULL, NULL), (25957, '', '青竹村', '41f91f94ed0a4b4c957f7a4052e0c3f4', '789e9aa1cc8541ee84c59d9e5b572f13', 'False', 'True', 'false', 'false', '511703112208', 5, '青竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703112208', 1, '2021-07-19 11:58:41', NULL, NULL), (25958, '', '三峡村', '4005c49d4de74a1e87e4d3b51f872cfa', '789e9aa1cc8541ee84c59d9e5b572f13', 'False', 'True', 'false', 'false', '511703112209', 5, '三峡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703112209', 1, '2021-07-19 11:58:41', NULL, NULL), (25959, '', '渡市镇', '367a928fca7e4357a82bb87f8f96f0ed', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703113000', 4, '渡市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703113000', 1, '2021-07-19 11:58:42', NULL, NULL), (25960, '', '渡市社区', '91ddf6d109a04de4b7dce13f94ed907a', '367a928fca7e4357a82bb87f8f96f0ed', 'False', 'True', 'false', 'false', '511703113001', 5, '渡市社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703113001', 1, '2021-07-19 11:58:42', NULL, NULL), (25961, '', '钟咀社区', '523e13e9e42048768fce6037eff1d7e2', '367a928fca7e4357a82bb87f8f96f0ed', 'False', 'True', 'false', 'false', '511703113002', 5, '钟咀社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703113002', 1, '2021-07-19 11:58:42', NULL, NULL), (25962, '', '木头社区', '8a0cc55b563247518cccfc325a2603ee', '367a928fca7e4357a82bb87f8f96f0ed', 'False', 'True', 'false', 'false', '511703113003', 5, '木头社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703113003', 1, '2021-07-19 11:58:42', NULL, NULL), (25963, '', '新安村', 'e07a1dc23db44b0090f29f5f770a7873', '367a928fca7e4357a82bb87f8f96f0ed', 'False', 'True', 'false', 'false', '511703113200', 5, '新安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703113200', 1, '2021-07-19 11:58:42', NULL, NULL), (25964, '', '白腊坪村', 'ca8b6d1a8a8b475b8362f578d94af6b5', '367a928fca7e4357a82bb87f8f96f0ed', 'False', 'True', 'false', 'false', '511703113201', 5, '白腊坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703113201', 1, '2021-07-19 11:58:42', NULL, NULL), (25965, '', '乐家坝村', '0f72217728674949a9533bb5c0e16c24', '367a928fca7e4357a82bb87f8f96f0ed', 'False', 'True', 'false', 'false', '511703113204', 5, '乐家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703113204', 1, '2021-07-19 11:58:42', NULL, NULL), (25966, '', '金盘村', 'f5466ac9cb8a4f8ebbab6d42164e6f29', '367a928fca7e4357a82bb87f8f96f0ed', 'False', 'True', 'false', 'false', '511703113205', 5, '金盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703113205', 1, '2021-07-19 11:58:42', NULL, NULL), (25967, '', '低基坪村', '2f18edcc7f73480eb87ee5f2caf44fed', '367a928fca7e4357a82bb87f8f96f0ed', 'False', 'True', 'false', 'false', '511703113206', 5, '低基坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703113206', 1, '2021-07-19 11:58:42', NULL, NULL), (25968, '', '南岩村', 'f6b5c8f1f88c49879a3ba2da6d8a8270', '367a928fca7e4357a82bb87f8f96f0ed', 'False', 'True', 'false', 'false', '511703113207', 5, '南岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703113207', 1, '2021-07-19 11:58:42', NULL, NULL), (25969, '', '高均坪村', '2abfe4e978264890833da3e9b83a5687', '367a928fca7e4357a82bb87f8f96f0ed', 'False', 'True', 'false', 'false', '511703113208', 5, '高均坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703113208', 1, '2021-07-19 11:58:42', NULL, NULL), (25970, '', '西兴村', '626edb4dca494a16822fb7430f6c58e5', '367a928fca7e4357a82bb87f8f96f0ed', 'False', 'True', 'false', 'false', '511703113209', 5, '西兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703113209', 1, '2021-07-19 11:58:43', NULL, NULL), (25971, '', '水口庙村', '42b7840b1d0a44eaa87397792033e053', '367a928fca7e4357a82bb87f8f96f0ed', 'False', 'True', 'false', 'false', '511703113210', 5, '水口庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703113210', 1, '2021-07-19 11:58:43', NULL, NULL), (25972, '', '清水村', '2314ec99f04a468f91f5f2ae3daf66b7', '367a928fca7e4357a82bb87f8f96f0ed', 'False', 'True', 'false', 'false', '511703113211', 5, '清水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703113211', 1, '2021-07-19 11:58:43', NULL, NULL), (25973, '', '红星村', '048f3f4596e54708a8a0362738b7bb0f', '367a928fca7e4357a82bb87f8f96f0ed', 'False', 'True', 'false', 'false', '511703113212', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703113212', 1, '2021-07-19 11:58:43', NULL, NULL), (25974, '', '民兴村', 'f1b3003cbbba458485bc78135b41ed08', '367a928fca7e4357a82bb87f8f96f0ed', 'False', 'True', 'false', 'false', '511703113454', 5, '民兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703113454', 1, '2021-07-19 11:58:43', NULL, NULL), (25975, '', '管村镇', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703114000', 4, '管村镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703114000', 1, '2021-07-19 11:58:43', NULL, NULL), (25976, '', '九岭社区', 'f7554fd2494249a2bf557d8fc8b8f7d3', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703114003', 5, '九岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703114003', 1, '2021-07-19 11:58:43', NULL, NULL), (25977, '', '村坪村', 'd5e044e49ea04d50b46a4550d81cbaea', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703114200', 5, '村坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703114200', 1, '2021-07-19 11:58:43', NULL, NULL), (25978, '', '二尖村', 'e657618754624b5ebf1e8af245d0fffe', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703114202', 5, '二尖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703114202', 1, '2021-07-19 11:58:43', NULL, NULL), (25979, '', '万祝村', '6fc1893850f64014930e4b1eee9348a2', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703114203', 5, '万祝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703114203', 1, '2021-07-19 11:58:43', NULL, NULL), (25980, '', '海棠村', 'd0f3f6e6114847baad91abd5ba5e25d1', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703114205', 5, '海棠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703114205', 1, '2021-07-19 11:58:43', NULL, NULL), (25981, '', '金檀社区', '870a3ca6ddc64fbaa0e5ff9cbe4a7152', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703114206', 5, '金檀社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703114206', 1, '2021-07-19 11:58:43', NULL, NULL), (25982, '', '高寨村', '490e313d27774defa58d1c327f5fff39', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703114207', 5, '高寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703114207', 1, '2021-07-19 11:58:43', NULL, NULL), (25983, '', '张庙村', 'b9b322cd82e44ecc84cdf01599e87620', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703114208', 5, '张庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703114208', 1, '2021-07-19 11:58:43', NULL, NULL), (25984, '', '罗坪村', '6d918b1d91d74362adbe97e99d26e73b', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703114210', 5, '罗坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703114210', 1, '2021-07-19 11:58:43', NULL, NULL), (25985, '', '金窝村', '7dc72f1349f845028920a44b220c6a4d', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703114211', 5, '金窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703114211', 1, '2021-07-19 11:58:44', NULL, NULL), (25986, '', '户坪村', '84a244ced6684f9694494d9bb16fdb72', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703114212', 5, '户坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703114212', 1, '2021-07-19 11:58:44', NULL, NULL), (25987, '', '杨岩村', '9f85831afb1c458e9823f092cf1056e6', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703114213', 5, '杨岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703114213', 1, '2021-07-19 11:58:44', NULL, NULL), (25988, '', '庞家村', '22e798429a0849ebb042873d5678d9af', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703114214', 5, '庞家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703114214', 1, '2021-07-19 11:58:44', NULL, NULL), (25989, '', '阳岭村', 'fb57e8747cca413894cd634e7f29ea85', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703114215', 5, '阳岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703114215', 1, '2021-07-19 11:58:44', NULL, NULL), (25990, '', '蹇坝村', '9093430996234f77bdc7d772fb3f606b', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703114216', 5, '蹇坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703114216', 1, '2021-07-19 11:58:44', NULL, NULL), (25991, '', '界牌村', '3d41a1cc0bb74d9f8ad252bf0f383c88', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703114217', 5, '界牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703114217', 1, '2021-07-19 11:58:44', NULL, NULL), (25992, '', '龙登村', 'ad7c2ae2dd8e46c6838bcf67e422dd28', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703114218', 5, '龙登村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703114218', 1, '2021-07-19 11:58:44', NULL, NULL), (25993, '', '剪刀村', '1a5357d35c6c4a48b3103891cfc9eade', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703114219', 5, '剪刀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703114219', 1, '2021-07-19 11:58:44', NULL, NULL), (25994, '', '西苑社区', '5bd07d7c69a142edaf51746791260072', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703211400', 5, '西苑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703211400', 1, '2021-07-19 11:58:44', NULL, NULL), (25995, '', '东顺社区', '0119414bff40440e9e27161246592534', 'e17d364cd5aa4a1e9ebaa765ce4f0b1e', 'False', 'True', 'false', 'false', '511703110520', 5, '东顺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703110520', 1, '2021-07-19 11:58:44', NULL, NULL), (25996, '', '石梯镇', '41cda9a8177b4b23a85413c31081f2d5', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703115000', 4, '石梯镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703115000', 1, '2021-07-19 11:58:44', NULL, NULL), (25997, '', '石梯社区', '94d12160df37467fbf27b42aaaa90b1a', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115001', 5, '石梯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115001', 1, '2021-07-19 11:58:44', NULL, NULL), (25998, '', '友谊社区', '022d9b2315f24352ac43b6123fdb3d3d', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115003', 5, '友谊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115003', 1, '2021-07-19 11:58:44', NULL, NULL), (25999, '', '五四社区', '6eff7304c3bf4e2d9fc73d21b555faeb', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115004', 5, '五四社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115004', 1, '2021-07-19 11:58:45', NULL, NULL), (26000, '', '银铁社区', 'd8d3e0f251e44878be49c71d7b305ad3', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115005', 5, '银铁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115005', 1, '2021-07-19 11:58:45', NULL, NULL), (26001, '', '场周社区', 'd56895680b644ee08830f4f26c2a2a27', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115200', 5, '场周社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115200', 1, '2021-07-19 11:58:45', NULL, NULL), (26002, '', '盘龙村', '9bf7068248ec46e096595f5870fb16a9', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115202', 5, '盘龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115202', 1, '2021-07-19 11:58:45', NULL, NULL), (26003, '', '愉活村', 'a8935702f8dc4d64b11884803dd148a8', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115203', 5, '愉活村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115203', 1, '2021-07-19 11:58:45', NULL, NULL), (26004, '', '书湾村', '120cdd471eb04238bb3ea5766ea413ee', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115205', 5, '书湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115205', 1, '2021-07-19 11:58:45', NULL, NULL), (26005, '', '龙塘村', '6a2dd724ff264456b065f4fd0999de25', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115207', 5, '龙塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115207', 1, '2021-07-19 11:58:45', NULL, NULL), (26006, '', '桥东村', '2bc3b4be45764883bb1a3dec5695a67d', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115208', 5, '桥东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115208', 1, '2021-07-19 11:58:45', NULL, NULL), (26007, '', '立石村', 'cbb1b2aaad434c72b8bd155b0f98d7c1', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115212', 5, '立石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115212', 1, '2021-07-19 11:58:45', NULL, NULL), (26008, '', '水塘村', '258c5cfc3fd24d0a965a3d2d5cd56938', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115214', 5, '水塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115214', 1, '2021-07-19 11:58:45', NULL, NULL), (26009, '', '磴子村', '47b9f874ac594f0ba00911d0c76806cc', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115215', 5, '磴子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115215', 1, '2021-07-19 11:58:45', NULL, NULL), (26010, '', '固家村', '64cdf964befc484b961980c01c61d4ab', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115218', 5, '固家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115218', 1, '2021-07-19 11:58:45', NULL, NULL), (26011, '', '田家店村', '58bb8a8bbd714c84942adc9879658d40', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115219', 5, '田家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115219', 1, '2021-07-19 11:58:45', NULL, NULL), (26012, '', '贺家坪村', '64176f0b0f954acd92d1adadeab496b5', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115220', 5, '贺家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115220', 1, '2021-07-19 11:58:45', NULL, NULL), (26013, '', '糍粑店村', 'c33b134995964412a3e0e8c3e5d7330a', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115221', 5, '糍粑店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115221', 1, '2021-07-19 11:58:46', NULL, NULL), (26014, '', '高观子村', '3501b9db3b2147969d8d73742327e9fc', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115222', 5, '高观子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115222', 1, '2021-07-19 11:58:46', NULL, NULL), (26015, '', '铧厂沟村', '2121b7ae44d34d9aa9f6477d2b9df3b3', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115223', 5, '铧厂沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115223', 1, '2021-07-19 11:58:46', NULL, NULL), (26016, '', '探花桥村', '34b5b8108078449bb0b79025fe2498a9', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115224', 5, '探花桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115224', 1, '2021-07-19 11:58:46', NULL, NULL), (26017, '', '流河村', '8cb0a7cbdb854d788cf4e9c6dbed58e5', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115225', 5, '流河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115225', 1, '2021-07-19 11:58:46', NULL, NULL), (26018, '', '铁顶垭村', '6006bc43281a4102a5010259bd810359', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115226', 5, '铁顶垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115226', 1, '2021-07-19 11:58:46', NULL, NULL), (26019, '', '小银山村', 'e60c485ffdb64222987fae4b410bae30', '41cda9a8177b4b23a85413c31081f2d5', 'False', 'True', 'false', 'false', '511703115227', 5, '小银山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703115227', 1, '2021-07-19 11:58:46', NULL, NULL), (26020, '', '石桥镇', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703116000', 4, '石桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703116000', 1, '2021-07-19 11:58:46', NULL, NULL), (26021, '', '柳杨路社区', '0f77f290dbea45138fac93dd8f2efd7a', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116001', 5, '柳杨路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116001', 1, '2021-07-19 11:58:46', NULL, NULL), (26022, '', '红卫社区', 'fba88bde35784960a5e85a4a6bbd0254', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116002', 5, '红卫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116002', 1, '2021-07-19 11:58:46', NULL, NULL), (26023, '', '红军路社区', '9ff4fc1f00da43f38ded3e3ea7620794', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116003', 5, '红军路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116003', 1, '2021-07-19 11:58:46', NULL, NULL), (26024, '', '列宁社区', '76e8d5799e5b4f6dbefc603e645cadc0', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116004', 5, '列宁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116004', 1, '2021-07-19 11:58:46', NULL, NULL), (26025, '', '东升社区', '1f4a3a723fb04edc9eda2d07c6a5f425', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116006', 5, '东升社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116006', 1, '2021-07-19 11:58:46', NULL, NULL), (26026, '', '沿河社区', '9c8897f1855d4079860ef254f9ab321b', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116007', 5, '沿河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116007', 1, '2021-07-19 11:58:46', NULL, NULL), (26027, '', '香隆社区', 'af30fe1007444530abfbfb5c07834dcc', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116008', 5, '香隆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116008', 1, '2021-07-19 11:58:47', NULL, NULL), (26028, '', '永进社区', '604fb663e99a477882e9a6e667a7b7ec', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116009', 5, '永进社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116009', 1, '2021-07-19 11:58:47', NULL, NULL), (26029, '', '洛车社区', '5e684fc538a948b4945500bf11e3d338', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116010', 5, '洛车社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116010', 1, '2021-07-19 11:58:47', NULL, NULL), (26030, '', '道让社区', '32abea87da944c1fb7d0d8189b3edbeb', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116011', 5, '道让社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116011', 1, '2021-07-19 11:58:47', NULL, NULL), (26031, '', '板凳垭村', '167736ccf5c84478a8dda43541da7837', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116201', 5, '板凳垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116201', 1, '2021-07-19 11:58:47', NULL, NULL), (26032, '', '新场村', 'dbc4846727624ebfb265cb29691f2e07', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116204', 5, '新场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116204', 1, '2021-07-19 11:58:47', NULL, NULL), (26033, '', '农丰村', '2100eaae6e804828bd01b79d78a0d4a3', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116208', 5, '农丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116208', 1, '2021-07-19 11:58:47', NULL, NULL), (26034, '', '赖巴石村', '61de4164478348b896861c792bee323b', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116209', 5, '赖巴石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116209', 1, '2021-07-19 11:58:47', NULL, NULL), (26035, '', '鲁家坪村', 'dd41fb5bf96640e080960111d1326975', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116210', 5, '鲁家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116210', 1, '2021-07-19 11:58:47', NULL, NULL), (26036, '', '威武寨村', '523b68f4e307400b90c0771148c93eb3', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116212', 5, '威武寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116212', 1, '2021-07-19 11:58:47', NULL, NULL), (26037, '', '百胜村', '96473fe7b44345c199d9a24bd675e7d6', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116214', 5, '百胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116214', 1, '2021-07-19 11:58:47', NULL, NULL), (26038, '', '冯家庙村', 'adfdb90c1a174ce9a8f496f24af0cb69', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116216', 5, '冯家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116216', 1, '2021-07-19 11:58:47', NULL, NULL), (26039, '', '八一村', 'cd00306ca33c4fee95b48651cf53ae1c', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116217', 5, '八一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116217', 1, '2021-07-19 11:58:47', NULL, NULL), (26040, '', '天棚寨村', '19a94ccc633c4f58829374bb88771cce', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116218', 5, '天棚寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116218', 1, '2021-07-19 11:58:47', NULL, NULL), (26041, '', '高峡子村', '68bce241d3da49809ad481726c600e97', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116219', 5, '高峡子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116219', 1, '2021-07-19 11:58:47', NULL, NULL), (26042, '', '中文村', 'bdf2d6c975244ccdacefc7e19258c28e', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116220', 5, '中文村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116220', 1, '2021-07-19 11:58:47', NULL, NULL), (26043, '', '大林沟村', '64aa06d66da4497aa51e524e798c0b4b', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116221', 5, '大林沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116221', 1, '2021-07-19 11:58:47', NULL, NULL), (26044, '', '骑龙寨村', 'cee4ba4c79664859bf4570593ce806eb', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116222', 5, '骑龙寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116222', 1, '2021-07-19 11:58:47', NULL, NULL), (26045, '', '云木寨村', 'e3bd263a41f04143a4417ebc4647a8bb', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116223', 5, '云木寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116223', 1, '2021-07-19 11:58:48', NULL, NULL), (26046, '', '插旗山村', '99bab0fa9fc245a4a6c930194ea10c20', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116224', 5, '插旗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116224', 1, '2021-07-19 11:58:48', NULL, NULL), (26047, '', '老君山村', '536511c6ef2b47bbbf34d0107b44dee2', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116225', 5, '老君山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116225', 1, '2021-07-19 11:58:48', NULL, NULL), (26048, '', '瓦石坪村', '7ed97220cd154a2bacdfbd69d0807689', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116226', 5, '瓦石坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116226', 1, '2021-07-19 11:58:48', NULL, NULL), (26049, '', '佛尔岩村', '6a7135338463439993d9bc0c11c02858', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116227', 5, '佛尔岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116227', 1, '2021-07-19 11:58:48', NULL, NULL), (26050, '', '宝井寨村', '035df70d80c44fe6afb33030639820a6', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116228', 5, '宝井寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116228', 1, '2021-07-19 11:58:48', NULL, NULL), (26051, '', '关山村', '5c4012a1916a42aaac648a4786fd9c2b', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116229', 5, '关山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116229', 1, '2021-07-19 11:58:48', NULL, NULL), (26052, '', '歇马庙村', '73b1ac6099ee4bd8bbbf7e260c74055c', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116230', 5, '歇马庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116230', 1, '2021-07-19 11:58:48', NULL, NULL), (26053, '', '高顶子村', 'e52424f4b4c940bb8cd4e46914c0676e', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116231', 5, '高顶子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116231', 1, '2021-07-19 11:58:48', NULL, NULL), (26054, '', '莲花寺村', 'a9381ffb64d5423ab4a177b82baf0b7f', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116232', 5, '莲花寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116232', 1, '2021-07-19 11:58:48', NULL, NULL), (26055, '', '温家坪村', '571d59dde02940a384e3af412645b0fc', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116233', 5, '温家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116233', 1, '2021-07-19 11:58:48', NULL, NULL), (26056, '', '五童坪村', '63aac8140d3f47b9be03f70bb8c13c4d', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116234', 5, '五童坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116234', 1, '2021-07-19 11:58:48', NULL, NULL), (26057, '', '燕子村', '4b920fa845064b5b9f7fd6f2eca41ef1', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116235', 5, '燕子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116235', 1, '2021-07-19 11:58:48', NULL, NULL), (26058, '', '白马梁村', '7b5f6546e5824c1981a679e65a87a779', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116236', 5, '白马梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116236', 1, '2021-07-19 11:58:48', NULL, NULL), (26059, '', '白庙村', '9a2aaf24aa71428a86d206808330a0ac', '4e8ec38290d6417f8c6b0f4cde4f9af8', 'False', 'True', 'false', 'false', '511703116237', 5, '白庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703116237', 1, '2021-07-19 11:58:48', NULL, NULL), (26060, '', '堡子镇', '9251b54a255f402196be896d015c6def', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703117000', 4, '堡子镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703117000', 1, '2021-07-19 11:58:48', NULL, NULL), (26061, '', '堡子社区', 'ddd92ff5a4a84d76be71f63cb9c7889e', '9251b54a255f402196be896d015c6def', 'False', 'True', 'false', 'false', '511703117001', 5, '堡子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703117001', 1, '2021-07-19 11:58:49', NULL, NULL), (26062, '', '高坪社区', '4e17e59a50ea49459fcba5e50f74ab6c', '9251b54a255f402196be896d015c6def', 'False', 'True', 'false', 'false', '511703117002', 5, '高坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703117002', 1, '2021-07-19 11:58:49', NULL, NULL), (26063, '', '盛家坪村', '516b8c0362e64438854bd3e206147272', '9251b54a255f402196be896d015c6def', 'False', 'True', 'false', 'false', '511703117201', 5, '盛家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703117201', 1, '2021-07-19 11:58:49', NULL, NULL), (26064, '', '鞍山村', '0a15fb11ec7e4d31b8a0d53749c1cffd', '9251b54a255f402196be896d015c6def', 'False', 'True', 'false', 'false', '511703117202', 5, '鞍山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703117202', 1, '2021-07-19 11:58:49', NULL, NULL), (26065, '', '龙咀村', '659267933f7b427ebfc4afe3d7bcf3e1', '9251b54a255f402196be896d015c6def', 'False', 'True', 'false', 'false', '511703117203', 5, '龙咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703117203', 1, '2021-07-19 11:58:49', NULL, NULL), (26066, '', '杨家扁村', 'dcad0b2e444b468e8b935a5bfe8f9e3a', '9251b54a255f402196be896d015c6def', 'False', 'True', 'false', 'false', '511703117206', 5, '杨家扁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703117206', 1, '2021-07-19 11:58:49', NULL, NULL), (26067, '', '听包场村', '4d0fc897c1214356badcda89a43abbcc', '9251b54a255f402196be896d015c6def', 'False', 'True', 'false', 'false', '511703117207', 5, '听包场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703117207', 1, '2021-07-19 11:58:49', NULL, NULL), (26068, '', '杨家岩村', 'e72d129362c748f3b890767656c1d9b9', '9251b54a255f402196be896d015c6def', 'False', 'True', 'false', 'false', '511703117210', 5, '杨家岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703117210', 1, '2021-07-19 11:58:49', NULL, NULL), (26069, '', '石垭口村', 'd9ada9ed1a2b4419a067b7a1e1727332', '9251b54a255f402196be896d015c6def', 'False', 'True', 'false', 'false', '511703117211', 5, '石垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703117211', 1, '2021-07-19 11:58:49', NULL, NULL), (26070, '', '耿石村', '54c446912b8d4a8288421af6f2f4d8b0', '9251b54a255f402196be896d015c6def', 'False', 'True', 'false', 'false', '511703117214', 5, '耿石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703117214', 1, '2021-07-19 11:58:49', NULL, NULL), (26071, '', '长垭村', '1a6b587506e04a009e7ce219945d1593', '9251b54a255f402196be896d015c6def', 'False', 'True', 'false', 'false', '511703117215', 5, '长垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703117215', 1, '2021-07-19 11:58:49', NULL, NULL), (26072, '', '尖山村', '787ee491308040bbb5ac8bc5371646b3', '9251b54a255f402196be896d015c6def', 'False', 'True', 'false', 'false', '511703117217', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703117217', 1, '2021-07-19 11:58:49', NULL, NULL), (26073, '', '平滩镇', 'f3cda04a478743f0a92ea4b746cd57f9', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703118000', 4, '平滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703118000', 1, '2021-07-19 11:58:49', NULL, NULL), (26074, '', '平滩社区', '2c813378893841f19bff97dc90d6105a', 'f3cda04a478743f0a92ea4b746cd57f9', 'False', 'True', 'false', 'false', '511703118001', 5, '平滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703118001', 1, '2021-07-19 11:58:50', NULL, NULL), (26075, '', '碑垭口村', '6924c140cebe4c4caad0d101961943ef', 'f3cda04a478743f0a92ea4b746cd57f9', 'False', 'True', 'false', 'false', '511703118201', 5, '碑垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703118201', 1, '2021-07-19 11:58:50', NULL, NULL), (26076, '', '定龙村', '9336bdc13ef24f21b52ea994203d63c6', 'f3cda04a478743f0a92ea4b746cd57f9', 'False', 'True', 'false', 'false', '511703118202', 5, '定龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703118202', 1, '2021-07-19 11:58:50', NULL, NULL), (26077, '', '水桐坝村', 'fbf0743d34c345ed8629fd5159c311dd', 'f3cda04a478743f0a92ea4b746cd57f9', 'False', 'True', 'false', 'false', '511703118203', 5, '水桐坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703118203', 1, '2021-07-19 11:58:50', NULL, NULL), (26078, '', '石峰村', '11dc60943308452c90456ffdf5c86197', 'f3cda04a478743f0a92ea4b746cd57f9', 'False', 'True', 'false', 'false', '511703118206', 5, '石峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703118206', 1, '2021-07-19 11:58:50', NULL, NULL), (26079, '', '金鼓村', '6b8aebc6ae6f461c8ad48df1dd9ee6f0', 'f3cda04a478743f0a92ea4b746cd57f9', 'False', 'True', 'false', 'false', '511703118209', 5, '金鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703118209', 1, '2021-07-19 11:58:50', NULL, NULL), (26080, '', '双庙镇', '8d72c82c1b7349bcbc1be6f7bb974140', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703120000', 4, '双庙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703120000', 1, '2021-07-19 11:58:50', NULL, NULL), (26081, '', '双庙社区', '525f70c8612a4a4d9adb04e52d010605', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120001', 5, '双庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120001', 1, '2021-07-19 11:58:50', NULL, NULL), (26082, '', '映山社区', '1ce8d53732a448eda99399ff470ae510', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120002', 5, '映山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120002', 1, '2021-07-19 11:58:50', NULL, NULL), (26083, '', '草兴社区', 'c9ac16aa35ce41e58bcdf5636f76663a', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120003', 5, '草兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120003', 1, '2021-07-19 11:58:50', NULL, NULL), (26084, '', '三合寨村', 'e6439121bc26471d93e30b045c0f008a', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120200', 5, '三合寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120200', 1, '2021-07-19 11:58:50', NULL, NULL), (26085, '', '二东村', 'b0458105ed3e4ad8aa9492f314ac9332', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120201', 5, '二东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120201', 1, '2021-07-19 11:58:50', NULL, NULL), (26086, '', '新利村', 'e410d756cda244adbdbe735afbd00564', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120204', 5, '新利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120204', 1, '2021-07-19 11:58:50', NULL, NULL), (26087, '', '宝珠村', 'f1ad1d7fe7c74b20a2c36dc7f8891240', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120206', 5, '宝珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120206', 1, '2021-07-19 11:58:50', NULL, NULL), (26088, '', '南岳寺村', 'bbc526ef06034d7c9b2cdac07091c38f', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120209', 5, '南岳寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120209', 1, '2021-07-19 11:58:50', NULL, NULL), (26089, '', '茶园村', '45464b83311f4e148af48227d9a49e5e', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120211', 5, '茶园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120211', 1, '2021-07-19 11:58:50', NULL, NULL), (26090, '', '高升桥村', '1dd1df89a66f4707971dac25fcd5e8b5', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120213', 5, '高升桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120213', 1, '2021-07-19 11:58:50', NULL, NULL), (26091, '', '张家湾村', '1989680c5fd24ede813ea1a7b6962de8', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120214', 5, '张家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120214', 1, '2021-07-19 11:58:51', NULL, NULL), (26092, '', '芝麻沟村', '003983e516c2481d8a362dd42a1ef880', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120215', 5, '芝麻沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120215', 1, '2021-07-19 11:58:51', NULL, NULL), (26093, '', '塔子梁村', '0b645821443d4ce6ad321d820645ccaf', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120218', 5, '塔子梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120218', 1, '2021-07-19 11:58:51', NULL, NULL), (26094, '', '陈坪村', '7974a17bc8cd4ad29fee9dc410529108', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120219', 5, '陈坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120219', 1, '2021-07-19 11:58:51', NULL, NULL), (26095, '', '石竹村', '6a8b1a6baaf84a82b0054750d5788ca7', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120220', 5, '石竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120220', 1, '2021-07-19 11:58:51', NULL, NULL), (26096, '', '高滩村', '624ff57736ce4feb99a88617d2889d0b', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120221', 5, '高滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120221', 1, '2021-07-19 11:58:51', NULL, NULL), (26097, '', '高峡村', 'd41856aee4014fbabb9b69b089a63334', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120222', 5, '高峡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120222', 1, '2021-07-19 11:58:51', NULL, NULL), (26098, '', '燕山村', '67d06c79464f43a6bd2da89ac6d491e7', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120223', 5, '燕山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120223', 1, '2021-07-19 11:58:51', NULL, NULL), (26099, '', '魏塘坡村', '41d18584e3e04afd96c95c0c47b3c382', '8d72c82c1b7349bcbc1be6f7bb974140', 'False', 'True', 'false', 'false', '511703120224', 5, '魏塘坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703120224', 1, '2021-07-19 11:58:51', NULL, NULL), (26100, '', '赵固镇', '0510e917e53146759b4a5531a9572eb3', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703122000', 4, '赵固镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703122000', 1, '2021-07-19 11:58:51', NULL, NULL), (26101, '', '赵固社区', 'ae40620cebe7419c88abf9fcda12e9c6', '0510e917e53146759b4a5531a9572eb3', 'False', 'True', 'false', 'false', '511703122001', 5, '赵固社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703122001', 1, '2021-07-19 11:58:51', NULL, NULL), (26102, '', '锤虹村', '1da542a6b9984bddacbf3b670b522577', '0510e917e53146759b4a5531a9572eb3', 'False', 'True', 'false', 'false', '511703122200', 5, '锤虹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703122200', 1, '2021-07-19 11:58:51', NULL, NULL), (26103, '', '磨滩河村', 'bdb6420ecc67424f9d72a686e4b6684e', '0510e917e53146759b4a5531a9572eb3', 'False', 'True', 'false', 'false', '511703122202', 5, '磨滩河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703122202', 1, '2021-07-19 11:58:51', NULL, NULL), (26104, '', '谷王村', 'b9eadd99fcbe4c08aecf6fdfe6290faf', '0510e917e53146759b4a5531a9572eb3', 'False', 'True', 'false', 'false', '511703122203', 5, '谷王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703122203', 1, '2021-07-19 11:58:52', NULL, NULL), (26105, '', '兴隆村', '7ca6dddfe10145bfa4963cf71e444528', '0510e917e53146759b4a5531a9572eb3', 'False', 'True', 'false', 'false', '511703122204', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703122204', 1, '2021-07-19 11:58:52', NULL, NULL), (26106, '', '天坪村', 'bad6c8d3464d4d9db45ab5d347978fb1', '0510e917e53146759b4a5531a9572eb3', 'False', 'True', 'false', 'false', '511703122205', 5, '天坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703122205', 1, '2021-07-19 11:58:52', NULL, NULL), (26107, '', '普安村', '1afb0a8100b049a0b9a955cd5b4e9bcb', '0510e917e53146759b4a5531a9572eb3', 'False', 'True', 'false', 'false', '511703122207', 5, '普安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703122207', 1, '2021-07-19 11:58:52', NULL, NULL), (26108, '', '茶岩村', 'e119bd2935df46cc98f6361d18ce85d3', '0510e917e53146759b4a5531a9572eb3', 'False', 'True', 'false', 'false', '511703122209', 5, '茶岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703122209', 1, '2021-07-19 11:58:52', NULL, NULL), (26109, '', '水文村', '6a4d2077505843fba330adc89e8414ce', '0510e917e53146759b4a5531a9572eb3', 'False', 'True', 'false', 'false', '511703122214', 5, '水文村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703122214', 1, '2021-07-19 11:58:52', NULL, NULL), (26110, '', '南井村', '67dfcb13bd0a4daab9cf3e0d182897de', '0510e917e53146759b4a5531a9572eb3', 'False', 'True', 'false', 'false', '511703122216', 5, '南井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703122216', 1, '2021-07-19 11:58:52', NULL, NULL), (26111, '', '桥湾镇', '6662bf7b2c2841d382a1778f85d03864', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703123000', 4, '桥湾镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703123000', 1, '2021-07-19 11:58:52', NULL, NULL), (26112, '', '永睦村', '330bb4699764403f8267ab4f21984452', '6662bf7b2c2841d382a1778f85d03864', 'False', 'True', 'false', 'false', '511703123200', 5, '永睦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703123200', 1, '2021-07-19 11:58:52', NULL, NULL), (26113, '', '钟山村', 'c082a0bdfb8a4f3aa94a6d7206543032', '6662bf7b2c2841d382a1778f85d03864', 'False', 'True', 'false', 'false', '511703123203', 5, '钟山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703123203', 1, '2021-07-19 11:58:52', NULL, NULL), (26114, '', '香炉村', 'b46e00b186ed4f04afd3c2a1288d1a36', '6662bf7b2c2841d382a1778f85d03864', 'False', 'True', 'false', 'false', '511703123208', 5, '香炉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703123208', 1, '2021-07-19 11:58:52', NULL, NULL), (26115, '', '瑶坪村', 'ffdb30d1b42c43589a3109b87ef4262e', '6662bf7b2c2841d382a1778f85d03864', 'False', 'True', 'false', 'false', '511703123209', 5, '瑶坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703123209', 1, '2021-07-19 11:58:52', NULL, NULL), (26116, '', '走马村', '8c6c27dd909b4b10943e12f6dff7036e', '6662bf7b2c2841d382a1778f85d03864', 'False', 'True', 'false', 'false', '511703123211', 5, '走马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703123211', 1, '2021-07-19 11:58:52', NULL, NULL), (26117, '', '亮垭村', 'd98058f5461041c3ac8dcfc754c12111', '6662bf7b2c2841d382a1778f85d03864', 'False', 'True', 'false', 'false', '511703123215', 5, '亮垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703123215', 1, '2021-07-19 11:58:52', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (26118, '', '倒虹村', 'ef409df293aa473eaed4e03977a852c4', '6662bf7b2c2841d382a1778f85d03864', 'False', 'True', 'false', 'false', '511703123219', 5, '倒虹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703123219', 1, '2021-07-19 11:58:52', NULL, NULL), (26119, '', '桥湾社区', '3254325a81304cd9a874180e71903615', '6662bf7b2c2841d382a1778f85d03864', 'False', 'True', 'false', 'false', '511703123266', 5, '桥湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703123266', 1, '2021-07-19 11:58:53', NULL, NULL), (26120, '', '石土村', 'a07f09dc22554ee1ad2a558cb0e2ad92', '6662bf7b2c2841d382a1778f85d03864', 'False', 'True', 'false', 'false', '511703123648', 5, '石土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703123648', 1, '2021-07-19 11:58:53', NULL, NULL), (26121, '', '陈余村', 'e24e881138f94cb7a4c63ee611cb101d', '6662bf7b2c2841d382a1778f85d03864', 'False', 'True', 'false', 'false', '511703123689', 5, '陈余村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703123689', 1, '2021-07-19 11:58:53', NULL, NULL), (26122, '', '明月江街道', '7b1b5f3fb3b241bcae8ddb6880c27435', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703201000', 4, '明月江街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703201000', 1, '2021-07-19 11:58:53', NULL, NULL), (26123, '', '红岩村', '87449a1bfc2b40308feca8bef36bae9a', '7b1b5f3fb3b241bcae8ddb6880c27435', 'False', 'True', 'false', 'false', '511703005203', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703005203', 1, '2021-07-19 11:58:53', NULL, NULL), (26124, '', '玉坪社区', 'f23211d78d164488b7b7da51b0e9b13d', '7b1b5f3fb3b241bcae8ddb6880c27435', 'False', 'True', 'false', 'false', '511703201001', 5, '玉坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703201001', 1, '2021-07-19 11:58:53', NULL, NULL), (26125, '', '毕云村', 'f39c49ec824749f8b6b07a76899cf028', '7b1b5f3fb3b241bcae8ddb6880c27435', 'False', 'True', 'false', 'false', '511703201200', 5, '毕云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703201200', 1, '2021-07-19 11:58:53', NULL, NULL), (26126, '', '太平村', '79d82b9d2d0c4594b1a09b1500ac76af', '7b1b5f3fb3b241bcae8ddb6880c27435', 'False', 'True', 'false', 'false', '511703201201', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703201201', 1, '2021-07-19 11:58:53', NULL, NULL), (26127, '', '新学村', 'a523c092ef8645a6849b62ee47cc30b4', '7b1b5f3fb3b241bcae8ddb6880c27435', 'False', 'True', 'false', 'false', '511703201202', 5, '新学村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703201202', 1, '2021-07-19 11:58:53', NULL, NULL), (26128, '', '安仁乡', 'ce52b81eeebf4d67b6c801718ece4524', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703203000', 4, '安仁乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703203000', 1, '2021-07-19 11:58:53', NULL, NULL), (26129, '', '安仁社区', 'bc60567ef2bf443688c4f0185d7464fc', 'ce52b81eeebf4d67b6c801718ece4524', 'False', 'True', 'false', 'false', '511703203001', 5, '安仁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703203001', 1, '2021-07-19 11:58:53', NULL, NULL), (26130, '', '龙头桥村', '11f6b1a2a847403697f4b29cf87c6924', 'ce52b81eeebf4d67b6c801718ece4524', 'False', 'True', 'false', 'false', '511703203200', 5, '龙头桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703203200', 1, '2021-07-19 11:58:53', NULL, NULL), (26131, '', '金鸡牌村', 'edec3c956eb54c85893e361334b1a6ee', 'ce52b81eeebf4d67b6c801718ece4524', 'False', 'True', 'false', 'false', '511703203201', 5, '金鸡牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703203201', 1, '2021-07-19 11:58:53', NULL, NULL), (26132, '', '严马庙村', '5a3173a086724bdb86f3e12d5cb0b238', 'ce52b81eeebf4d67b6c801718ece4524', 'False', 'True', 'false', 'false', '511703203203', 5, '严马庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703203203', 1, '2021-07-19 11:58:53', NULL, NULL), (26133, '', '乐山寺村', '1e6476e53b154ba6ad496120205e73be', 'ce52b81eeebf4d67b6c801718ece4524', 'False', 'True', 'false', 'false', '511703203205', 5, '乐山寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703203205', 1, '2021-07-19 11:58:53', NULL, NULL), (26134, '', '米坊村', 'f81681343de347c38f6a8cf69bd0d72a', 'ce52b81eeebf4d67b6c801718ece4524', 'False', 'True', 'false', 'false', '511703203206', 5, '米坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703203206', 1, '2021-07-19 11:58:53', NULL, NULL), (26135, '', '斑竹沟村', '1e9bf9cfe5f64297baad59409b543b59', 'ce52b81eeebf4d67b6c801718ece4524', 'False', 'True', 'false', 'false', '511703203211', 5, '斑竹沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703203211', 1, '2021-07-19 11:58:54', NULL, NULL), (26136, '', '箭楼湾村', '07857af793164923b1e1b6d446815c2c', 'ce52b81eeebf4d67b6c801718ece4524', 'False', 'True', 'false', 'false', '511703203212', 5, '箭楼湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703203212', 1, '2021-07-19 11:58:54', NULL, NULL), (26137, '', '龙会乡', '7d11aa34703e488999e9e6e252e00a3c', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703217000', 4, '龙会乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703217000', 1, '2021-07-19 11:58:54', NULL, NULL), (26138, '', '龙会社区', '539f895c3e884679ac833fd344376b26', '7d11aa34703e488999e9e6e252e00a3c', 'False', 'True', 'false', 'false', '511703217001', 5, '龙会社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703217001', 1, '2021-07-19 11:58:54', NULL, NULL), (26139, '', '花石岩村', '0abac15654a9487d96a03934da3ff6d1', '7d11aa34703e488999e9e6e252e00a3c', 'False', 'True', 'false', 'false', '511703217201', 5, '花石岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703217201', 1, '2021-07-19 11:58:54', NULL, NULL), (26140, '', '谢家坝村', 'd0029854356b42d6b26fc9790942162c', '7d11aa34703e488999e9e6e252e00a3c', 'False', 'True', 'false', 'false', '511703217203', 5, '谢家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703217203', 1, '2021-07-19 11:58:54', NULL, NULL), (26141, '', '张家山村', 'f673da9a6cc246aca11c83b89f326433', '7d11aa34703e488999e9e6e252e00a3c', 'False', 'True', 'false', 'false', '511703217206', 5, '张家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703217206', 1, '2021-07-19 11:58:54', NULL, NULL), (26142, '', '沿溪口村', '85f032df5f694fe2950ca6781f569606', '7d11aa34703e488999e9e6e252e00a3c', 'False', 'True', 'false', 'false', '511703217207', 5, '沿溪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703217207', 1, '2021-07-19 11:58:54', NULL, NULL), (26143, '', '熊家沟村', 'c3a94726b49745cc8f763fafb28a79d6', '7d11aa34703e488999e9e6e252e00a3c', 'False', 'True', 'false', 'false', '511703217209', 5, '熊家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703217209', 1, '2021-07-19 11:58:54', NULL, NULL), (26144, '', '罐子镇', '0a7fdd8846064e69a6b3de88d4550580', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703218000', 4, '罐子镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703218000', 1, '2021-07-19 11:58:54', NULL, NULL), (26145, '', '陈家社区', 'd1a9e16b29ae4405aa74a8e5feed58fc', '0a7fdd8846064e69a6b3de88d4550580', 'False', 'True', 'false', 'false', '511703127002', 5, '陈家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703127002', 1, '2021-07-19 11:58:54', NULL, NULL), (26146, '', '佛宝村', 'c8c14fb1142b4136b78497c4426ebf7c', '0a7fdd8846064e69a6b3de88d4550580', 'False', 'True', 'false', 'false', '511703127209', 5, '佛宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703127209', 1, '2021-07-19 11:58:54', NULL, NULL), (26147, '', '跑马坪村', 'eb9b874fa71f47f1b71e347f4882fbd3', '0a7fdd8846064e69a6b3de88d4550580', 'False', 'True', 'false', 'false', '511703127210', 5, '跑马坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703127210', 1, '2021-07-19 11:58:54', NULL, NULL), (26148, '', '罐子社区', '5ec2f338897a49e9a35e3cbdf82f0e56', '0a7fdd8846064e69a6b3de88d4550580', 'False', 'True', 'false', 'false', '511703218001', 5, '罐子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703218001', 1, '2021-07-19 11:58:54', NULL, NULL), (26149, '', '碉楼村', '99e9513726df4d2d9577c67c2e53f209', '0a7fdd8846064e69a6b3de88d4550580', 'False', 'True', 'false', 'false', '511703218200', 5, '碉楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703218200', 1, '2021-07-19 11:58:54', NULL, NULL), (26150, '', '和平村', '1d27691c901d494ab1f53a59d735a889', '0a7fdd8846064e69a6b3de88d4550580', 'False', 'True', 'false', 'false', '511703218201', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703218201', 1, '2021-07-19 11:58:54', NULL, NULL), (26151, '', '太白村', '68b2f6516cb64904a6b7c03d41645231', '0a7fdd8846064e69a6b3de88d4550580', 'False', 'True', 'false', 'false', '511703218202', 5, '太白村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703218202', 1, '2021-07-19 11:58:54', NULL, NULL), (26152, '', '金坛罐村', 'e641b2905be642e09852e44ea8b2d9ed', '0a7fdd8846064e69a6b3de88d4550580', 'False', 'True', 'false', 'false', '511703218203', 5, '金坛罐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703218203', 1, '2021-07-19 11:58:54', NULL, NULL), (26153, '', '大田坝村', 'd32e703c593547cfa49c60e8a391ea95', '0a7fdd8846064e69a6b3de88d4550580', 'False', 'True', 'false', 'false', '511703218204', 5, '大田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703218204', 1, '2021-07-19 11:58:55', NULL, NULL), (26154, '', '沿溪河村', '7453077611ec49d4a4bda5d966e24562', '0a7fdd8846064e69a6b3de88d4550580', 'False', 'True', 'false', 'false', '511703218205', 5, '沿溪河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703218205', 1, '2021-07-19 11:58:55', NULL, NULL), (26155, '', '峰顶山村', '91821e6f1f1d4306b8d7b73fdd0d6820', '0a7fdd8846064e69a6b3de88d4550580', 'False', 'True', 'false', 'false', '511703218206', 5, '峰顶山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703218206', 1, '2021-07-19 11:58:55', NULL, NULL), (26156, '', '万家观村', 'f4298cb2649741f0b779e1ef387aff06', '0a7fdd8846064e69a6b3de88d4550580', 'False', 'True', 'false', 'false', '511703218207', 5, '万家观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703218207', 1, '2021-07-19 11:58:55', NULL, NULL), (26157, '', '大堰镇', '1b7350874017405c8ae23e0af1d6d5a4', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703223000', 4, '大堰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703223000', 1, '2021-07-19 11:58:55', NULL, NULL), (26158, '', '金黄村', 'b1e9daf66b8f4011bae0a88a766b183a', '1b7350874017405c8ae23e0af1d6d5a4', 'False', 'True', 'false', 'false', '511703223584', 5, '金黄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703223584', 1, '2021-07-19 11:58:55', NULL, NULL), (26159, '', '大堰社区', 'bb010ee1f3f64fe094810d2126bdcaa7', '1b7350874017405c8ae23e0af1d6d5a4', 'False', 'True', 'false', 'false', '511703223588', 5, '大堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703223588', 1, '2021-07-19 11:58:55', NULL, NULL), (26160, '', '铁山村', 'f1fa32b957364d3c870aaa70a083af58', '1b7350874017405c8ae23e0af1d6d5a4', 'False', 'True', 'false', 'false', '511703223594', 5, '铁山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703223594', 1, '2021-07-19 11:58:55', NULL, NULL), (26161, '', '堰坝村', '33a9fc697f3a49d9b9d4ed8c6f169cb9', '1b7350874017405c8ae23e0af1d6d5a4', 'False', 'True', 'false', 'false', '511703223603', 5, '堰坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703223603', 1, '2021-07-19 11:58:55', NULL, NULL), (26162, '', '卢岗村', '59aef06cb3ae4a5eb6660ef776577d01', '1b7350874017405c8ae23e0af1d6d5a4', 'False', 'True', 'false', 'false', '511703223831', 5, '卢岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703223831', 1, '2021-07-19 11:58:55', NULL, NULL), (26163, '', '虎让乡', 'd7435309aecb48a396611ab3eb874cd3', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703234000', 4, '虎让乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703234000', 1, '2021-07-19 11:58:55', NULL, NULL), (26164, '', '玉皇村', '9f0212c5b3d84e679981755da5721a9b', 'd7435309aecb48a396611ab3eb874cd3', 'False', 'True', 'false', 'false', '511703234201', 5, '玉皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703234201', 1, '2021-07-19 11:58:55', NULL, NULL), (26165, '', '庙垭村', '2e2383636c3c4fb0a60b49adf3dcae92', 'd7435309aecb48a396611ab3eb874cd3', 'False', 'True', 'false', 'false', '511703234202', 5, '庙垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703234202', 1, '2021-07-19 11:58:55', NULL, NULL), (26166, '', '虎溪村', 'a5313bbbd1034de6a1ec122c0722b47c', 'd7435309aecb48a396611ab3eb874cd3', 'False', 'True', 'false', 'false', '511703234203', 5, '虎溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703234203', 1, '2021-07-19 11:58:55', NULL, NULL), (26167, '', '罗庙村', '0491fa20c20d4e218877e0414e5e145d', 'd7435309aecb48a396611ab3eb874cd3', 'False', 'True', 'false', 'false', '511703234204', 5, '罗庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703234204', 1, '2021-07-19 11:58:55', NULL, NULL), (26168, '', '龙岗村', '8ddc56a00ca44f3394687cf632b93783', 'd7435309aecb48a396611ab3eb874cd3', 'False', 'True', 'false', 'false', '511703234206', 5, '龙岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703234206', 1, '2021-07-19 11:58:55', NULL, NULL), (26169, '', '马鞍村', '509eb6725f3a40f8b1a60e076e590782', 'd7435309aecb48a396611ab3eb874cd3', 'False', 'True', 'false', 'false', '511703234208', 5, '马鞍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703234208', 1, '2021-07-19 11:58:55', NULL, NULL), (26170, '', '团宝村', '3f0f5a90f82b429da82ba52ae05eddef', 'd7435309aecb48a396611ab3eb874cd3', 'False', 'True', 'false', 'false', '511703234209', 5, '团宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703234209', 1, '2021-07-19 11:58:56', NULL, NULL), (26171, '', '虎让社区', 'e97ed0edc14c423cb9d5d280e793fb4d', 'd7435309aecb48a396611ab3eb874cd3', 'False', 'True', 'false', 'false', '511703234757', 5, '虎让社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703234757', 1, '2021-07-19 11:58:56', NULL, NULL), (26172, '', '米城乡', '3faad2285e5f438cb84aa3d69eacb0a7', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703235000', 4, '米城乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703235000', 1, '2021-07-19 11:58:56', NULL, NULL), (26173, '', '米城社区', '485394c67c8c479482f5e1f9524ec65f', '3faad2285e5f438cb84aa3d69eacb0a7', 'False', 'True', 'false', 'false', '511703235001', 5, '米城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703235001', 1, '2021-07-19 11:58:56', NULL, NULL), (26174, '', '化龙村', 'f5ab1342f56f43e092017ded7a12fb7a', '3faad2285e5f438cb84aa3d69eacb0a7', 'False', 'True', 'false', 'false', '511703235200', 5, '化龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703235200', 1, '2021-07-19 11:58:56', NULL, NULL), (26175, '', '大沟村', 'da517fb01dc34cf18646c7dae24796ef', '3faad2285e5f438cb84aa3d69eacb0a7', 'False', 'True', 'false', 'false', '511703235203', 5, '大沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703235203', 1, '2021-07-19 11:58:56', NULL, NULL), (26176, '', '新塘村', 'f6e1cc91c4554be5abbaf2314d5818e9', '3faad2285e5f438cb84aa3d69eacb0a7', 'False', 'True', 'false', 'false', '511703235206', 5, '新塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703235206', 1, '2021-07-19 11:58:56', NULL, NULL), (26177, '', '王家坪村', '6a73111c4740495f85d7bbd6ee5bbe61', '3faad2285e5f438cb84aa3d69eacb0a7', 'False', 'True', 'false', 'false', '511703235207', 5, '王家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703235207', 1, '2021-07-19 11:58:56', NULL, NULL), (26178, '', '三里坪街道', 'ca062bd2299542609e3423dd943e2148', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703556000', 4, '三里坪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703556000', 1, '2021-07-19 11:58:56', NULL, NULL), (26179, '', '梧桐梁社区', 'c294c527d64f4f04a806e5faee370176', 'ca062bd2299542609e3423dd943e2148', 'False', 'True', 'false', 'false', '511703001001', 5, '梧桐梁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703001001', 1, '2021-07-19 11:58:56', NULL, NULL), (26180, '', '曹家梁社区', 'b8d981c3812046319b5d16073e36558a', 'ca062bd2299542609e3423dd943e2148', 'False', 'True', 'false', 'false', '511703001002', 5, '曹家梁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703001002', 1, '2021-07-19 11:58:56', NULL, NULL), (26181, '', '花溪社区', '2dedb4f23ebe4208943de25a467c2212', 'ca062bd2299542609e3423dd943e2148', 'False', 'True', 'false', 'false', '511703001003', 5, '花溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703001003', 1, '2021-07-19 11:58:56', NULL, NULL), (26182, '', '四合社区', 'b86531f6405f4cf6b52781d948747736', 'ca062bd2299542609e3423dd943e2148', 'False', 'True', 'false', 'false', '511703001004', 5, '四合社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703001004', 1, '2021-07-19 11:58:56', NULL, NULL), (26183, '', '店子梁社区', '512fa9f314a74698b149799b7a0c2808', 'ca062bd2299542609e3423dd943e2148', 'False', 'True', 'false', 'false', '511703001005', 5, '店子梁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703001005', 1, '2021-07-19 11:58:56', NULL, NULL), (26184, '', '三里坪社区', 'eac2905e2a74430ab003377b8269e139', 'ca062bd2299542609e3423dd943e2148', 'False', 'True', 'false', 'false', '511703001200', 5, '三里坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703001200', 1, '2021-07-19 11:58:56', NULL, NULL), (26185, '', '小河嘴社区', '6841bfdb42124987beb1ca447a9f5d32', 'ca062bd2299542609e3423dd943e2148', 'False', 'True', 'false', 'false', '511703001201', 5, '小河嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703001201', 1, '2021-07-19 11:58:56', NULL, NULL), (26186, '', '高岩村', '405013fbb6c74caf97d8e450c58e6102', 'ca062bd2299542609e3423dd943e2148', 'False', 'True', 'false', 'false', '511703001203', 5, '高岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703001203', 1, '2021-07-19 11:58:57', NULL, NULL), (26187, '', '七里沟社区', 'cb0e5c8b9aea4a5d849521b58a676fdf', 'ca062bd2299542609e3423dd943e2148', 'False', 'True', 'false', 'false', '511703001204', 5, '七里沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703001204', 1, '2021-07-19 11:58:57', NULL, NULL), (26188, '', '仰天湾社区', 'a31e3bfd949943e6af1f399bf8bc0217', 'ca062bd2299542609e3423dd943e2148', 'False', 'True', 'false', 'false', '511703001229', 5, '仰天湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703001229', 1, '2021-07-19 11:58:57', NULL, NULL), (26189, '', '南山社区', '4bdc351d6bae4d63b4c7fc2605899244', 'ca062bd2299542609e3423dd943e2148', 'False', 'True', 'false', 'false', '511703001043', 5, '南山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703001043', 1, '2021-07-19 11:58:57', NULL, NULL), (26190, '', '领域社区', '983d093880f546018fe6ca067e0a84da', 'ca062bd2299542609e3423dd943e2148', 'False', 'True', 'false', 'false', '511703001898', 5, '领域社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703001898', 1, '2021-07-19 11:58:57', NULL, NULL), (26191, '', '南滨社区', '79e3a5f58b9c4d33a795bf88180e5f04', 'ca062bd2299542609e3423dd943e2148', 'False', 'True', 'false', 'false', '511703001572', 5, '南滨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703001572', 1, '2021-07-19 11:58:57', NULL, NULL), (26192, '', '杨柳街道', 'ec47b1ec902a4c8db2eface4007e98b2', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703931000', 4, '杨柳街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703931000', 1, '2021-07-19 11:58:57', NULL, NULL), (26193, '', '杨柳社区', '9194fe1707484203851ccccacd82fa5a', 'ec47b1ec902a4c8db2eface4007e98b2', 'False', 'True', 'false', 'false', '511703006001', 5, '杨柳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703006001', 1, '2021-07-19 11:58:57', NULL, NULL), (26194, '', '骑龙社区', 'b2818115ee314d3c83c7ba35ced5b70d', 'ec47b1ec902a4c8db2eface4007e98b2', 'False', 'True', 'false', 'false', '511703006002', 5, '骑龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703006002', 1, '2021-07-19 11:58:57', NULL, NULL), (26195, '', '叶家湾社区', 'c703e7407d6944eca6c54769db1b73e2', 'ec47b1ec902a4c8db2eface4007e98b2', 'False', 'True', 'false', 'false', '511703006003', 5, '叶家湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703006003', 1, '2021-07-19 11:58:57', NULL, NULL), (26196, '', '千坵社区', 'c223aa72f4ad41729f9b8d4170673375', 'ec47b1ec902a4c8db2eface4007e98b2', 'False', 'True', 'false', 'false', '511703006004', 5, '千坵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703006004', 1, '2021-07-19 11:58:57', NULL, NULL), (26197, '', '两角村', 'cd49185d30b84d0ab0dae767ea0749d6', 'ec47b1ec902a4c8db2eface4007e98b2', 'False', 'True', 'false', 'false', '511703006204', 5, '两角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703006204', 1, '2021-07-19 11:58:57', NULL, NULL), (26198, '', '雷音铺村', '65274981e591428a9b5189509aa3837e', 'ec47b1ec902a4c8db2eface4007e98b2', 'False', 'True', 'false', 'false', '511703006205', 5, '雷音铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703006205', 1, '2021-07-19 11:58:57', NULL, NULL), (26199, '', '南欣社区', '0f04c86d60994a33b03c351f5cd62b52', 'ec47b1ec902a4c8db2eface4007e98b2', 'False', 'True', 'false', 'false', '511703006037', 5, '南欣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703006037', 1, '2021-07-19 11:58:57', NULL, NULL), (26200, '', '文兴社区', '2770bdf1198a453e973ad69c022680ee', 'ec47b1ec902a4c8db2eface4007e98b2', 'False', 'True', 'false', 'false', '511703006632', 5, '文兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703006632', 1, '2021-07-19 11:58:57', NULL, NULL), (26201, '', '麻柳镇', '3f6458080f46409fabd5e3b7f8e33334', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703963000', 4, '麻柳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703963000', 1, '2021-07-19 11:58:58', NULL, NULL), (26202, '', '白云寺社区', 'edc7fe5992b64fa1a266350b214daed7', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102004', 5, '白云寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102004', 1, '2021-07-19 11:58:58', NULL, NULL), (26203, '', '红旗社区', 'e1cc58898ee24d359eaee98c3ede0b17', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102005', 5, '红旗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102005', 1, '2021-07-19 11:58:58', NULL, NULL), (26204, '', '明月社区', '9269597f1d7044e39b6f4a6f87ac85c6', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102006', 5, '明月社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102006', 1, '2021-07-19 11:58:58', NULL, NULL), (26205, '', '檀木社区', '30f72e27116d4c8ca7bd306c8e561ba0', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102007', 5, '檀木社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102007', 1, '2021-07-19 11:58:58', NULL, NULL), (26206, '', '东兴社区', '7f2d85e6c89244bca1aae0e328dc7e54', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102008', 5, '东兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102008', 1, '2021-07-19 11:58:58', NULL, NULL), (26207, '', '葫芦社区', '2bb294323c4d4606bad0d5f2848d2861', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102009', 5, '葫芦社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102009', 1, '2021-07-19 11:58:58', NULL, NULL), (26208, '', '大滩社区', '2ba95fcbb5e1449a8c602f464b64765e', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102010', 5, '大滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102010', 1, '2021-07-19 11:58:58', NULL, NULL), (26209, '', '玉皇阁村', 'b3b1169eaa664ade85f35c85d6608071', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102224', 5, '玉皇阁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102224', 1, '2021-07-19 11:58:58', NULL, NULL), (26210, '', '春申君村', '453103fc6b3345b5ae83fab85872d010', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102225', 5, '春申君村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102225', 1, '2021-07-19 11:58:58', NULL, NULL), (26211, '', '仁和寨村', '3e8941b57f9b467182790f60b7fd79d6', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102226', 5, '仁和寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102226', 1, '2021-07-19 11:58:59', NULL, NULL), (26212, '', '石和尚村', 'ca854afadd0544859602605907ffb50b', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102227', 5, '石和尚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102227', 1, '2021-07-19 11:58:59', NULL, NULL), (26213, '', '太阳山村', 'd93bf990421b4abba721896e8b878e69', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102228', 5, '太阳山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102228', 1, '2021-07-19 11:58:59', NULL, NULL), (26214, '', '夹柏村', 'ae02f02c8e194276b36c771596ee331b', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102229', 5, '夹柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102229', 1, '2021-07-19 11:58:59', NULL, NULL), (26215, '', '天台寺村', 'd24337029baa4d339ffbde34331d7a6d', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102230', 5, '天台寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102230', 1, '2021-07-19 11:58:59', NULL, NULL), (26216, '', '深沟子村', 'd5478ae59fdb4e1282e66d9779aa51e8', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102231', 5, '深沟子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102231', 1, '2021-07-19 11:58:59', NULL, NULL), (26217, '', '罗家冲村', 'd5dfa970524944d6b5ddb85151d1ce96', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102232', 5, '罗家冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102232', 1, '2021-07-19 11:58:59', NULL, NULL), (26218, '', '白马寨村', '315fd22c0a08491ab3fb1e4e0aca28da', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102233', 5, '白马寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102233', 1, '2021-07-19 11:58:59', NULL, NULL), (26219, '', '郑家店村', '086caa4d703a4542a8f2675e4c0e067c', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102234', 5, '郑家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102234', 1, '2021-07-19 11:58:59', NULL, NULL), (26220, '', '梁家坝村', 'fe53de84d6d74ddca57b60b9266a8234', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102235', 5, '梁家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102235', 1, '2021-07-19 11:58:59', NULL, NULL), (26221, '', '凤凰寨村', '4d876dd1952f4f39bdd0b0b53f6fc27e', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102236', 5, '凤凰寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102236', 1, '2021-07-19 11:58:59', NULL, NULL), (26222, '', '龙洞庵村', 'adf5fb1f58544c21a307f34eb4b3ae3e', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102237', 5, '龙洞庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102237', 1, '2021-07-19 11:58:59', NULL, NULL), (26223, '', '龙须寨村', 'c9cc4c15be5d452aaefaa0d5a0c6f9bf', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102238', 5, '龙须寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102238', 1, '2021-07-19 11:59:00', NULL, NULL), (26224, '', '西灵寺村', 'd6a29a1a5d124b8399dd2c7b70d858fd', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102240', 5, '西灵寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102240', 1, '2021-07-19 11:59:00', NULL, NULL), (26225, '', '双河口村', 'a18a9e5a60b74e24a317366705ad0c54', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102241', 5, '双河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102241', 1, '2021-07-19 11:59:00', NULL, NULL), (26226, '', '邱家坝村', 'bca1b74412a94176ac0f6ab1e6032198', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102242', 5, '邱家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102242', 1, '2021-07-19 11:59:00', NULL, NULL), (26227, '', '张家店村', '58765a12a1b942efa5af009c30d815cc', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102245', 5, '张家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102245', 1, '2021-07-19 11:59:00', NULL, NULL), (26228, '', '夏家坝村', '17d0c52ddc49400096fe73c683af8be9', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102246', 5, '夏家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102246', 1, '2021-07-19 11:59:00', NULL, NULL), (26229, '', '梓桐观村', 'c8223472d3cc4532b2ceb44f10aa2d5b', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102247', 5, '梓桐观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102247', 1, '2021-07-19 11:59:00', NULL, NULL), (26230, '', '白岩村', '27dc4fdc943f4ca79f4793f2015bdd0e', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102248', 5, '白岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102248', 1, '2021-07-19 11:59:00', NULL, NULL), (26231, '', '双河庙村', '9b0d988218b34551b59cbed287fd2b85', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102249', 5, '双河庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102249', 1, '2021-07-19 11:59:00', NULL, NULL), (26232, '', '石地坝村', 'a09a87d3f6c440acbfb5dea541d04d3e', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102250', 5, '石地坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102250', 1, '2021-07-19 11:59:00', NULL, NULL), (26233, '', '万安寨村', '420330a966454b2287444ae5f1e0df94', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102251', 5, '万安寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102251', 1, '2021-07-19 11:59:00', NULL, NULL), (26234, '', '沿江社区', '8452bf1c5d464e83870f8de8bf573842', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102001', 5, '沿江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102001', 1, '2021-07-19 11:59:00', NULL, NULL), (26235, '', '万宝寨社区', 'ac97e6da8a184c9697bc5a9319c10271', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102200', 5, '万宝寨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102200', 1, '2021-07-19 11:59:00', NULL, NULL), (26236, '', '铜鼓堆村', '2c668ed3f59b40d5a1fa980a7b46bb8f', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102209', 5, '铜鼓堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102209', 1, '2021-07-19 11:59:00', NULL, NULL), (26237, '', '沙河村', '4f70886a28ba4da0abdc3bf85b1ec56b', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102212', 5, '沙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102212', 1, '2021-07-19 11:59:00', NULL, NULL), (26238, '', '刘家坝村', 'a52b197e919f438583a0f022a30909e5', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102213', 5, '刘家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102213', 1, '2021-07-19 11:59:01', NULL, NULL), (26239, '', '圣龙庙村', 'a96b53edb74e40fea16a309bd61cfacb', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102219', 5, '圣龙庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102219', 1, '2021-07-19 11:59:01', NULL, NULL), (26240, '', '罗顶寨村', '1d012a83bdc2432fb590be6da1f6ac74', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102220', 5, '罗顶寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102220', 1, '2021-07-19 11:59:01', NULL, NULL), (26241, '', '西兴寺村', 'eb3e4f53dba94b45b9999bf6da32b4b0', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703102223', 5, '西兴寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703102223', 1, '2021-07-19 11:59:01', NULL, NULL), (26242, '', '花红社区', 'f734483aa7b348f7aeb2741e1debfac3', '3f6458080f46409fabd5e3b7f8e33334', 'False', 'True', 'false', 'false', '511703101746', 5, '花红社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703101746', 1, '2021-07-19 11:59:01', NULL, NULL), (26243, '', '翠屏街道', 'c9365f4ecef448fe916bbba005dff4a0', 'c0d2d934de8b4dd38167a8261ffb8db3', 'True', 'True', 'false', 'false', '511703998000', 4, '翠屏街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511703998000', 1, '2021-07-19 11:59:01', NULL, NULL), (26244, '', '嘎云社区', '92cb858733d348d7b18b317ae87625bc', 'c9365f4ecef448fe916bbba005dff4a0', 'False', 'True', 'false', 'false', '511703002010', 5, '嘎云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703002010', 1, '2021-07-19 11:59:01', NULL, NULL), (26245, '', '东风社区', '86edb2f30ac54f4eba2e89a19d145f8f', 'c9365f4ecef448fe916bbba005dff4a0', 'False', 'True', 'false', 'false', '511703002398', 5, '东风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703002398', 1, '2021-07-19 11:59:01', NULL, NULL), (26246, '', '草街子社区', '10b03691a48f4b9f914f7eda59bb89a7', 'c9365f4ecef448fe916bbba005dff4a0', 'False', 'True', 'false', 'false', '511703002001', 5, '草街子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703002001', 1, '2021-07-19 11:59:01', NULL, NULL), (26247, '', '金华社区', 'fbb91c6e74f440ecaf8a761dc1ec1fe5', 'c9365f4ecef448fe916bbba005dff4a0', 'False', 'True', 'false', 'false', '511703002002', 5, '金华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703002002', 1, '2021-07-19 11:59:02', NULL, NULL), (26248, '', '南坝社区', 'c17cec145b8a4146844dec14293c6019', 'c9365f4ecef448fe916bbba005dff4a0', 'False', 'True', 'false', 'false', '511703002003', 5, '南坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703002003', 1, '2021-07-19 11:59:02', NULL, NULL), (26249, '', '新南社区', '8803b6a5f3d44e6db6728404034dc8fc', 'c9365f4ecef448fe916bbba005dff4a0', 'False', 'True', 'false', 'false', '511703002004', 5, '新南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703002004', 1, '2021-07-19 11:59:02', NULL, NULL), (26250, '', '新桥社区', '5055272d18be44649dc211c2f3ffd076', 'c9365f4ecef448fe916bbba005dff4a0', 'False', 'True', 'false', 'false', '511703002005', 5, '新桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703002005', 1, '2021-07-19 11:59:02', NULL, NULL), (26251, '', '石家湾社区', '6589d75a70274ced921709b23b506640', 'c9365f4ecef448fe916bbba005dff4a0', 'False', 'True', 'false', 'false', '511703002208', 5, '石家湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703002208', 1, '2021-07-19 11:59:02', NULL, NULL), (26252, '', '通达社区', '2be7091b2d3543beaefcc7b687b83554', 'c9365f4ecef448fe916bbba005dff4a0', 'False', 'True', 'false', 'false', '511703002956', 5, '通达社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703002956', 1, '2021-07-19 11:59:02', NULL, NULL), (26253, '', '兴盛社区', '46e88bf1091b41f29b9d1a7f54ecc278', 'c9365f4ecef448fe916bbba005dff4a0', 'False', 'True', 'false', 'false', '511703002018', 5, '兴盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511703002018', 1, '2021-07-19 11:59:02', NULL, NULL), (26254, '', '通川区', '00792c76dbe742599c3e2f0ddd89fd9c', '16ca461e2c824257a50dd0c7fab6f2de', 'True', 'True', 'false', 'false', '511702000000', 3, '通川区', 'dzstcq.sczwfw.gov.cn', 1, '2021-07-19 11:59:02', NULL, NULL), (26255, '', '东城街道', 'b135285c08484655a676eb44e408cbd2', '00792c76dbe742599c3e2f0ddd89fd9c', 'True', 'True', 'false', 'false', '511702001000', 4, '东城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511702001000', 1, '2021-07-19 11:59:02', NULL, NULL), (26256, '', '二马路社区', '6485c20fcb34487b9d2ecc30231416fe', 'b135285c08484655a676eb44e408cbd2', 'False', 'True', 'false', 'false', '511702001001', 5, '二马路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702001001', 1, '2021-07-19 11:59:02', NULL, NULL), (26257, '', '凉水井社区', '869f94c870b745e097a436a3bc4a8104', 'b135285c08484655a676eb44e408cbd2', 'False', 'True', 'false', 'false', '511702001002', 5, '凉水井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702001002', 1, '2021-07-19 11:59:02', NULL, NULL), (26258, '', '翠屏路社区', 'c9509337bbc34e119edd4ac0d3274004', 'b135285c08484655a676eb44e408cbd2', 'False', 'True', 'false', 'false', '511702001003', 5, '翠屏路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702001003', 1, '2021-07-19 11:59:02', NULL, NULL), (26259, '', '文华街社区', '39c38c0ccdb04b98809d07ca4c541c6e', 'b135285c08484655a676eb44e408cbd2', 'False', 'True', 'false', 'false', '511702001004', 5, '文华街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702001004', 1, '2021-07-19 11:59:02', NULL, NULL), (26260, '', '会仙桥社区', 'd5a6f70a07a647ac899aab2a0b222760', 'b135285c08484655a676eb44e408cbd2', 'False', 'True', 'false', 'false', '511702001005', 5, '会仙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702001005', 1, '2021-07-19 11:59:02', NULL, NULL), (26261, '', '凤翎社区', '79ad0c2a90af4fa1be30e33f577d7f5e', 'b135285c08484655a676eb44e408cbd2', 'False', 'True', 'false', 'false', '511702001006', 5, '凤翎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702001006', 1, '2021-07-19 11:59:02', NULL, NULL), (26262, '', '张家湾社区', '0028feae878a4d5783d8a085409efcac', 'b135285c08484655a676eb44e408cbd2', 'False', 'True', 'false', 'false', '511702001007', 5, '张家湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702001007', 1, '2021-07-19 11:59:02', NULL, NULL), (26263, '', '南岳社区', '2a6320205d2a40cf980985ea668559cb', 'b135285c08484655a676eb44e408cbd2', 'False', 'True', 'false', 'false', '511702001008', 5, '南岳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702001008', 1, '2021-07-19 11:59:03', NULL, NULL), (26264, '', '文江祠社区', '07264d3bf6484a319d871921eef7a675', 'b135285c08484655a676eb44e408cbd2', 'False', 'True', 'false', 'false', '511702001009', 5, '文江祠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702001009', 1, '2021-07-19 11:59:03', NULL, NULL), (26265, '', '胡家坝社区', 'f6eda3c00d1d46a3a7c3fb02e175db94', 'b135285c08484655a676eb44e408cbd2', 'False', 'True', 'false', 'false', '511702001010', 5, '胡家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702001010', 1, '2021-07-19 11:59:03', NULL, NULL), (26266, '', '北岩寺社区', '0817d872c8b2481f88f3e27ab7c42fd9', 'b135285c08484655a676eb44e408cbd2', 'False', 'True', 'false', 'false', '511702001011', 5, '北岩寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702001011', 1, '2021-07-19 11:59:03', NULL, NULL), (26267, '', '健民路社区', '849b2feb3dd844148b92ab0f7c7a870d', 'b135285c08484655a676eb44e408cbd2', 'False', 'True', 'false', 'false', '511702001012', 5, '健民路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702001012', 1, '2021-07-19 11:59:03', NULL, NULL), (26268, '', '凤凰社区', '85ed876b92aa48a599f914649118bc3c', 'b135285c08484655a676eb44e408cbd2', 'False', 'True', 'false', 'false', '511702001013', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702001013', 1, '2021-07-19 11:59:03', NULL, NULL), (26269, '', '西城街道', 'e3adb606b08d4c6ea81dfb000e9a7230', '00792c76dbe742599c3e2f0ddd89fd9c', 'True', 'True', 'false', 'false', '511702002000', 4, '西城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511702002000', 1, '2021-07-19 11:59:03', NULL, NULL), (26270, '', '文凤社区', '41cdc3597e714c49b63f09067101cc12', 'e3adb606b08d4c6ea81dfb000e9a7230', 'False', 'True', 'false', 'false', '511702002008', 5, '文凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702002008', 1, '2021-07-19 11:59:03', NULL, NULL), (26271, '', '大北街社区', '53e2c9bc1a594276964294cd59fc9282', 'e3adb606b08d4c6ea81dfb000e9a7230', 'False', 'True', 'false', 'false', '511702002001', 5, '大北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702002001', 1, '2021-07-19 11:59:03', NULL, NULL), (26272, '', '小北街社区', 'e00abd6291b64a37bdc9c81a47ec40c2', 'e3adb606b08d4c6ea81dfb000e9a7230', 'False', 'True', 'false', 'false', '511702002002', 5, '小北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702002002', 1, '2021-07-19 11:59:03', NULL, NULL), (26273, '', '荷叶街社区', 'dab7595d10454305ba767c1b7d8b8483', 'e3adb606b08d4c6ea81dfb000e9a7230', 'False', 'True', 'false', 'false', '511702002003', 5, '荷叶街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702002003', 1, '2021-07-19 11:59:03', NULL, NULL), (26274, '', '永丰街社区', 'ce5d9138925445c38934516db4c29513', 'e3adb606b08d4c6ea81dfb000e9a7230', 'False', 'True', 'false', 'false', '511702002004', 5, '永丰街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702002004', 1, '2021-07-19 11:59:03', NULL, NULL), (26275, '', '红旗路社区', 'd5fa1eab80b64f07aaf5aecbc9a0d654', 'e3adb606b08d4c6ea81dfb000e9a7230', 'False', 'True', 'false', 'false', '511702002005', 5, '红旗路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702002005', 1, '2021-07-19 11:59:03', NULL, NULL), (26276, '', '西圣寺社区', '2b16fb49be5642139ebc782add634170', 'e3adb606b08d4c6ea81dfb000e9a7230', 'False', 'True', 'false', 'false', '511702002006', 5, '西圣寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702002006', 1, '2021-07-19 11:59:03', NULL, NULL), (26277, '', '牌楼社区', 'f5cc0832cb1443838b884a5976d7b3ac', 'e3adb606b08d4c6ea81dfb000e9a7230', 'False', 'True', 'false', 'false', '511702002007', 5, '牌楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702002007', 1, '2021-07-19 11:59:03', NULL, NULL), (26278, '', '朝阳街道', '38a545ff933743359087e2f24333f5a8', '00792c76dbe742599c3e2f0ddd89fd9c', 'True', 'True', 'false', 'false', '511702003000', 4, '朝阳街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511702003000', 1, '2021-07-19 11:59:03', NULL, NULL), (26279, '', '团包梁社区', '2005de24b5b741c8a14357cbbfb4673f', '38a545ff933743359087e2f24333f5a8', 'False', 'True', 'false', 'false', '511702003001', 5, '团包梁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702003001', 1, '2021-07-19 11:59:04', NULL, NULL), (26280, '', '马房坝社区', 'b5c9e866ae7642138d8a6ff9741d3446', '38a545ff933743359087e2f24333f5a8', 'False', 'True', 'false', 'false', '511702003002', 5, '马房坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702003002', 1, '2021-07-19 11:59:04', NULL, NULL), (26281, '', '龙爪塔社区', '4f32312e1b1b453fbecbff24b0b72d06', '38a545ff933743359087e2f24333f5a8', 'False', 'True', 'false', 'false', '511702003003', 5, '龙爪塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702003003', 1, '2021-07-19 11:59:04', NULL, NULL), (26282, '', '金山寺社区', '735df4cd83e04672aebfc9a29491cd68', '38a545ff933743359087e2f24333f5a8', 'False', 'True', 'false', 'false', '511702003004', 5, '金山寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702003004', 1, '2021-07-19 11:59:04', NULL, NULL), (26283, '', '金南社区', '7ef80f48c2a046358ee58e12411abd08', '38a545ff933743359087e2f24333f5a8', 'False', 'True', 'false', 'false', '511702003005', 5, '金南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702003005', 1, '2021-07-19 11:59:04', NULL, NULL), (26284, '', '四合头社区', '324272394cef472baa4ee577c05697cb', '38a545ff933743359087e2f24333f5a8', 'False', 'True', 'false', 'false', '511702003006', 5, '四合头社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702003006', 1, '2021-07-19 11:59:04', NULL, NULL), (26285, '', '阳平社区', '4214430ea67f412aa463e50fdfc88492', '38a545ff933743359087e2f24333f5a8', 'False', 'True', 'false', 'false', '511702003007', 5, '阳平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702003007', 1, '2021-07-19 11:59:04', NULL, NULL), (26286, '', '龙泉社区', '84e7c12913974d01ae262d9ee697aa32', '38a545ff933743359087e2f24333f5a8', 'False', 'True', 'false', 'false', '511702003008', 5, '龙泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702003008', 1, '2021-07-19 11:59:04', NULL, NULL), (26287, '', '钢花社区', '6fef1238b8b84c2d9b08f04f9202cd9d', '38a545ff933743359087e2f24333f5a8', 'False', 'True', 'false', 'false', '511702003009', 5, '钢花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702003009', 1, '2021-07-19 11:59:04', NULL, NULL), (26288, '', '皂角垭社区', '95883eee84ba47dbba46501c58eb94d2', '38a545ff933743359087e2f24333f5a8', 'False', 'True', 'false', 'false', '511702003010', 5, '皂角垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702003010', 1, '2021-07-19 11:59:04', NULL, NULL), (26289, '', '新酢坊社区', '844e981161e04fb58fab81fdef0035fb', '38a545ff933743359087e2f24333f5a8', 'False', 'True', 'false', 'false', '511702003011', 5, '新酢坊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702003011', 1, '2021-07-19 11:59:04', NULL, NULL), (26290, '', '塔沱社区', '589200aceba24781b76d32e48d180d78', '38a545ff933743359087e2f24333f5a8', 'False', 'True', 'false', 'false', '511702003012', 5, '塔沱社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702003012', 1, '2021-07-19 11:59:04', NULL, NULL), (26291, '', '红岩社区', '55d7189a059f4e379df589e8a946ec44', '38a545ff933743359087e2f24333f5a8', 'False', 'True', 'false', 'false', '511702003013', 5, '红岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702003013', 1, '2021-07-19 11:59:04', NULL, NULL), (26292, '', '凤西街道', '05a3884ea9574860ba2e73ac195c9cf0', '00792c76dbe742599c3e2f0ddd89fd9c', 'True', 'True', 'false', 'false', '511702100000', 4, '凤西街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511702100000', 1, '2021-07-19 11:59:05', NULL, NULL), (26293, '', '柏阁社区', '578c407fe5fc4941a15a51f9ab02bf4a', '05a3884ea9574860ba2e73ac195c9cf0', 'False', 'True', 'false', 'false', '511702100001', 5, '柏阁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702100001', 1, '2021-07-19 11:59:05', NULL, NULL), (26294, '', '新锦社区', '00cd5bdb8ece4ee684ade85676c1602f', '05a3884ea9574860ba2e73ac195c9cf0', 'False', 'True', 'false', 'false', '511702100002', 5, '新锦社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702100002', 1, '2021-07-19 11:59:05', NULL, NULL), (26295, '', '柏林口社区', '8dc6211f79ad4b4295487e880d553058', '05a3884ea9574860ba2e73ac195c9cf0', 'False', 'True', 'false', 'false', '511702100003', 5, '柏林口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702100003', 1, '2021-07-19 11:59:05', NULL, NULL), (26296, '', '高峰洞社区', '99e42bb1b4414010a043ccc3c064f1d4', '05a3884ea9574860ba2e73ac195c9cf0', 'False', 'True', 'false', 'false', '511702100004', 5, '高峰洞社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702100004', 1, '2021-07-19 11:59:05', NULL, NULL), (26297, '', '白庙社区', '5e485cabab5a488ca28726663066c34f', '05a3884ea9574860ba2e73ac195c9cf0', 'False', 'True', 'false', 'false', '511702100005', 5, '白庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702100005', 1, '2021-07-19 11:59:05', NULL, NULL), (26298, '', '蒲家嘴社区', 'f5e3f63a6e8747c6a972ef30b2dbecf6', '05a3884ea9574860ba2e73ac195c9cf0', 'False', 'True', 'false', 'false', '511702100006', 5, '蒲家嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702100006', 1, '2021-07-19 11:59:05', NULL, NULL), (26299, '', '西河社区', 'c0e1473ce21c46b7a0719228db6fa7f9', '05a3884ea9574860ba2e73ac195c9cf0', 'False', 'True', 'false', 'false', '511702100007', 5, '西河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702100007', 1, '2021-07-19 11:59:05', NULL, NULL), (26300, '', '石莲花社区', '64804118a339495ba4ea492cdfd33035', '05a3884ea9574860ba2e73ac195c9cf0', 'False', 'True', 'false', 'false', '511702100008', 5, '石莲花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702100008', 1, '2021-07-19 11:59:05', NULL, NULL), (26301, '', '邱家店社区', '21475911b4fb44e88231673bcb16f0c7', '05a3884ea9574860ba2e73ac195c9cf0', 'False', 'True', 'false', 'false', '511702100009', 5, '邱家店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702100009', 1, '2021-07-19 11:59:05', NULL, NULL), (26302, '', '长岭社区', '1b1c8d497b24422a941d7528fbf7cbd0', '05a3884ea9574860ba2e73ac195c9cf0', 'False', 'True', 'false', 'false', '511702100010', 5, '长岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702100010', 1, '2021-07-19 11:59:05', NULL, NULL), (26303, '', '五里店社区', 'f9beaf57c77b4171b7a774563f9f1d97', '05a3884ea9574860ba2e73ac195c9cf0', 'False', 'True', 'false', 'false', '511702100011', 5, '五里店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702100011', 1, '2021-07-19 11:59:06', NULL, NULL), (26304, '', '龙家庙村', '469c7ea35835445d88c2b60bae31c4cf', '05a3884ea9574860ba2e73ac195c9cf0', 'False', 'True', 'false', 'false', '511702100201', 5, '龙家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702100201', 1, '2021-07-19 11:59:06', NULL, NULL), (26305, '', '凤北街道', '29e8e832c5b04fb487c251149070d189', '00792c76dbe742599c3e2f0ddd89fd9c', 'True', 'True', 'false', 'false', '511702101000', 4, '凤北街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511702101000', 1, '2021-07-19 11:59:06', NULL, NULL), (26306, '', '双鱼湖社区', 'a1dd3fe454c14d7e84e85dfab0ab27e4', '29e8e832c5b04fb487c251149070d189', 'False', 'True', 'false', 'false', '511702005008', 5, '双鱼湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702005008', 1, '2021-07-19 11:59:06', NULL, NULL), (26307, '', '高家坝社区', '6014dc2042ce41b79dfbbe5b3bc3f1ab', '29e8e832c5b04fb487c251149070d189', 'False', 'True', 'false', 'false', '511702101001', 5, '高家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702101001', 1, '2021-07-19 11:59:06', NULL, NULL), (26308, '', '肖公庙社区', '1fb23bc2b7b948c9a1e33fddcad05a6d', '29e8e832c5b04fb487c251149070d189', 'False', 'True', 'false', 'false', '511702101002', 5, '肖公庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702101002', 1, '2021-07-19 11:59:06', NULL, NULL), (26309, '', '徐家坝社区', '9bcdfcb48ac34c068910780236ba06f0', '29e8e832c5b04fb487c251149070d189', 'False', 'True', 'false', 'false', '511702101003', 5, '徐家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702101003', 1, '2021-07-19 11:59:06', NULL, NULL), (26310, '', '石龙溪社区', '41a664e36ae94b65982b97c562082e27', '29e8e832c5b04fb487c251149070d189', 'False', 'True', 'false', 'false', '511702101004', 5, '石龙溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702101004', 1, '2021-07-19 11:59:06', NULL, NULL), (26311, '', '张家坝社区', '0d2a41320db04a889f242d9cbb00222a', '29e8e832c5b04fb487c251149070d189', 'False', 'True', 'false', 'false', '511702101005', 5, '张家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702101005', 1, '2021-07-19 11:59:06', NULL, NULL), (26312, '', '韩家坝社区', '181e1442c377429d98762ae2af5dd2fc', '29e8e832c5b04fb487c251149070d189', 'False', 'True', 'false', 'false', '511702101203', 5, '韩家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702101203', 1, '2021-07-19 11:59:06', NULL, NULL), (26313, '', '犀牛山社区', '8187aea4517242dba72db85824dee915', '29e8e832c5b04fb487c251149070d189', 'False', 'True', 'false', 'false', '511702101205', 5, '犀牛山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702101205', 1, '2021-07-19 11:59:06', NULL, NULL), (26314, '', '罗江镇', '32fbd09993924b04ae63123ec9d8ada4', '00792c76dbe742599c3e2f0ddd89fd9c', 'True', 'True', 'false', 'false', '511702102000', 4, '罗江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511702102000', 1, '2021-07-19 11:59:06', NULL, NULL), (26315, '', '大坪村', '36fc39f05190407a8c0588b1170aceea', '32fbd09993924b04ae63123ec9d8ada4', 'False', 'True', 'false', 'false', '511702102210', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702102210', 1, '2021-07-19 11:59:07', NULL, NULL), (26316, '', '凤尾村', 'c4eab823d37846c8b9897329a89c76bb', '32fbd09993924b04ae63123ec9d8ada4', 'False', 'True', 'false', 'false', '511702102212', 5, '凤尾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702102212', 1, '2021-07-19 11:59:07', NULL, NULL), (26317, '', '魏兴社区', '063cc3625fb94721993a4815f2592883', '32fbd09993924b04ae63123ec9d8ada4', 'False', 'True', 'false', 'false', '511702102759', 5, '魏兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702102759', 1, '2021-07-19 11:59:07', NULL, NULL), (26318, '', '北斗村', '5258901232564df1bd04897b57bf0683', '32fbd09993924b04ae63123ec9d8ada4', 'False', 'True', 'false', 'false', '5117940449358159872', 5, '北斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5117940449358159872', 1, '2021-07-19 11:59:07', NULL, NULL), (26319, '', '三桥社区', '6110728fb48a407892d834785331ea67', '32fbd09993924b04ae63123ec9d8ada4', 'False', 'True', 'false', 'false', '511702102001', 5, '三桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702102001', 1, '2021-07-19 11:59:07', NULL, NULL), (26320, '', '高石社区', '9a06ede8133245ea9c3dc1c3ebf02801', '32fbd09993924b04ae63123ec9d8ada4', 'False', 'True', 'false', 'false', '511702102002', 5, '高石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702102002', 1, '2021-07-19 11:59:07', NULL, NULL), (26321, '', '金凤村', 'cc514186dac548a5aeb4d034ef5ada9e', '32fbd09993924b04ae63123ec9d8ada4', 'False', 'True', 'false', 'false', '511702102200', 5, '金凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702102200', 1, '2021-07-19 11:59:07', NULL, NULL), (26322, '', '太河村', 'd60b91605ede4646b63c8f2faf685085', '32fbd09993924b04ae63123ec9d8ada4', 'False', 'True', 'false', 'false', '511702102202', 5, '太河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702102202', 1, '2021-07-19 11:59:07', NULL, NULL), (26323, '', '庙坪村', 'd6df13b7d0924148baf0a74e33727ed0', '32fbd09993924b04ae63123ec9d8ada4', 'False', 'True', 'false', 'false', '511702102204', 5, '庙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702102204', 1, '2021-07-19 11:59:07', NULL, NULL), (26324, '', '天池村', 'aa8e58960c5c4188b0cee35058e512bc', '32fbd09993924b04ae63123ec9d8ada4', 'False', 'True', 'false', 'false', '511702102205', 5, '天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702102205', 1, '2021-07-19 11:59:07', NULL, NULL), (26325, '', '红梁村', 'b18999dd479a47e6921c6ee3cc97760e', '32fbd09993924b04ae63123ec9d8ada4', 'False', 'True', 'false', 'false', '511702102207', 5, '红梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702102207', 1, '2021-07-19 11:59:07', NULL, NULL), (26326, '', '高岩村', 'abfa12b61b2649e6a6e4beec5054d6e2', '32fbd09993924b04ae63123ec9d8ada4', 'False', 'True', 'false', 'false', '511702102208', 5, '高岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702102208', 1, '2021-07-19 11:59:08', NULL, NULL), (26327, '', '石燕社区', '3590879539a54f54a10f5d01af07ce0c', '32fbd09993924b04ae63123ec9d8ada4', 'False', 'True', 'false', 'false', '511702102209', 5, '石燕社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702102209', 1, '2021-07-19 11:59:08', NULL, NULL), (26328, '', '蒲家镇', '6f666a61f4624afaaa0ae1cf1b72fdfc', '00792c76dbe742599c3e2f0ddd89fd9c', 'True', 'True', 'false', 'false', '511702103000', 4, '蒲家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511702103000', 1, '2021-07-19 11:59:08', NULL, NULL), (26329, '', '文昌宫社区', 'aeeb8ec116f24773bfe5b04de8b4628a', '6f666a61f4624afaaa0ae1cf1b72fdfc', 'False', 'True', 'false', 'false', '511702103001', 5, '文昌宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702103001', 1, '2021-07-19 11:59:08', NULL, NULL), (26330, '', '朱仙社区', 'f7071b346b504040ab315ddf12fcc454', '6f666a61f4624afaaa0ae1cf1b72fdfc', 'False', 'True', 'false', 'false', '511702103002', 5, '朱仙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702103002', 1, '2021-07-19 11:59:08', NULL, NULL), (26331, '', '钟庙社区', '53fcbfb700d94f069076d4f06777b711', '6f666a61f4624afaaa0ae1cf1b72fdfc', 'False', 'True', 'false', 'false', '511702103003', 5, '钟庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702103003', 1, '2021-07-19 11:59:08', NULL, NULL), (26332, '', '观庙村', '4c514415d3d846c0942c2a0aca75d074', '6f666a61f4624afaaa0ae1cf1b72fdfc', 'False', 'True', 'false', 'false', '511702103200', 5, '观庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702103200', 1, '2021-07-19 11:59:08', NULL, NULL), (26333, '', '乐云村', 'f2796d2083ad454fa26921b70f41b3df', '6f666a61f4624afaaa0ae1cf1b72fdfc', 'False', 'True', 'false', 'false', '511702103201', 5, '乐云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702103201', 1, '2021-07-19 11:59:08', NULL, NULL), (26334, '', '八口村', '368f4f3412144298ad1d8dd3bdb0cd9e', '6f666a61f4624afaaa0ae1cf1b72fdfc', 'False', 'True', 'false', 'false', '511702103202', 5, '八口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702103202', 1, '2021-07-19 11:59:08', NULL, NULL), (26335, '', '画眉村', '0c2185debeb2410b8022fb3d2ea17208', '6f666a61f4624afaaa0ae1cf1b72fdfc', 'False', 'True', 'false', 'false', '511702103203', 5, '画眉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702103203', 1, '2021-07-19 11:59:08', NULL, NULL), (26336, '', '春天村', '36f7bcc950fb4cc8b373d7a36d67cbae', '6f666a61f4624afaaa0ae1cf1b72fdfc', 'False', 'True', 'false', 'false', '511702103207', 5, '春天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702103207', 1, '2021-07-19 11:59:08', NULL, NULL), (26337, '', '宝石村', 'f7c4e3befbb244f08f273911b593fcbe', '6f666a61f4624afaaa0ae1cf1b72fdfc', 'False', 'True', 'false', 'false', '511702103208', 5, '宝石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702103208', 1, '2021-07-19 11:59:08', NULL, NULL), (26338, '', '凉水村', '234425160a36492ab143f23ae4782aad', '6f666a61f4624afaaa0ae1cf1b72fdfc', 'False', 'True', 'false', 'false', '511702103210', 5, '凉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702103210', 1, '2021-07-19 11:59:08', NULL, NULL), (26339, '', '梨园村', '84d1a4e2bd5f4376bdc9aa291a1cdd7d', '6f666a61f4624afaaa0ae1cf1b72fdfc', 'False', 'True', 'false', 'false', '511702103211', 5, '梨园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702103211', 1, '2021-07-19 11:59:09', NULL, NULL), (26340, '', '复兴镇', '84bfc6cc3c554c6eb370bfbf17c35471', '00792c76dbe742599c3e2f0ddd89fd9c', 'True', 'True', 'false', 'false', '511702104000', 4, '复兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511702104000', 1, '2021-07-19 11:59:09', NULL, NULL), (26341, '', '新桥社区', 'f3d9d26c08af439c8381d4ab74215c29', '84bfc6cc3c554c6eb370bfbf17c35471', 'False', 'True', 'false', 'false', '511702104001', 5, '新桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702104001', 1, '2021-07-19 11:59:09', NULL, NULL), (26342, '', '凤舞社区', '231238b8a0c1431594168c814eda557b', '84bfc6cc3c554c6eb370bfbf17c35471', 'False', 'True', 'false', 'false', '511702104002', 5, '凤舞社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702104002', 1, '2021-07-19 11:59:09', NULL, NULL), (26343, '', '九龙社区', '995d0f40cb924fdaad4e3afc392a4ef9', '84bfc6cc3c554c6eb370bfbf17c35471', 'False', 'True', 'false', 'false', '511702104003', 5, '九龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702104003', 1, '2021-07-19 11:59:09', NULL, NULL), (26344, '', '罗家坝社区', 'fbd2913ad17b4101a1c9dc8d7c00e7d1', '84bfc6cc3c554c6eb370bfbf17c35471', 'False', 'True', 'false', 'false', '511702104004', 5, '罗家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702104004', 1, '2021-07-19 11:59:09', NULL, NULL), (26345, '', '复兴社区', 'b36c5ec90ab04a849264750ce334f12c', '84bfc6cc3c554c6eb370bfbf17c35471', 'False', 'True', 'false', 'false', '511702104005', 5, '复兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702104005', 1, '2021-07-19 11:59:09', NULL, NULL), (26346, '', '孙家坪社区', '811bcfe8954247c29bb0968c82e1ef87', '84bfc6cc3c554c6eb370bfbf17c35471', 'False', 'True', 'false', 'false', '511702104200', 5, '孙家坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702104200', 1, '2021-07-19 11:59:09', NULL, NULL), (26347, '', '板桥社区', 'a8e53758bda84d95bed9f50abb6b9289', '84bfc6cc3c554c6eb370bfbf17c35471', 'False', 'True', 'false', 'false', '511702104204', 5, '板桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702104204', 1, '2021-07-19 11:59:09', NULL, NULL), (26348, '', '双龙镇', '01a13f6564eb4fa5bf54bc90bc537460', '00792c76dbe742599c3e2f0ddd89fd9c', 'True', 'True', 'false', 'false', '511702105000', 4, '双龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511702105000', 1, '2021-07-19 11:59:10', NULL, NULL), (26349, '', '檬双社区', '20db132e839a46709feec7de4c8d13fa', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105004', 5, '檬双社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105004', 1, '2021-07-19 11:59:10', NULL, NULL), (26350, '', '龙滩社区', '528db3b7e14e4ee88bfb2e3b1cd58820', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105005', 5, '龙滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105005', 1, '2021-07-19 11:59:10', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (26351, '', '绿荫社区', '6280082ef30141dda00a3b6c6a1a570f', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105006', 5, '绿荫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105006', 1, '2021-07-19 11:59:10', NULL, NULL), (26352, '', '石峡湖村', 'f110cc6eae19412bae8e1cac3649acc5', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105208', 5, '石峡湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105208', 1, '2021-07-19 11:59:10', NULL, NULL), (26353, '', '金峨村', '3bd5934f9c494b9c9f4fe72667588855', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105209', 5, '金峨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105209', 1, '2021-07-19 11:59:10', NULL, NULL), (26354, '', '松坪村', 'cd12fcddf5f746a7908b073214e46de1', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105210', 5, '松坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105210', 1, '2021-07-19 11:59:10', NULL, NULL), (26355, '', '冲天村', '623e027f71a042918f47bf576dbf5780', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105211', 5, '冲天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105211', 1, '2021-07-19 11:59:10', NULL, NULL), (26356, '', '匡坪村', '28b460ca570e4675a744628f9671804f', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105212', 5, '匡坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105212', 1, '2021-07-19 11:59:10', NULL, NULL), (26357, '', '五丰村', '3d128772c2c04814ba6f8060e0fa1358', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105213', 5, '五丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105213', 1, '2021-07-19 11:59:10', NULL, NULL), (26358, '', '尚寺村', '96a487460cc6477e94f5f0f000aa6267', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105214', 5, '尚寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105214', 1, '2021-07-19 11:59:10', NULL, NULL), (26359, '', '玉坪寨村', 'cb591a72f7d740bf9521f81518b59099', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105215', 5, '玉坪寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105215', 1, '2021-07-19 11:59:10', NULL, NULL), (26360, '', '东岳庙村', 'e6a091f1fa0e4692b37d50a13a8654df', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105216', 5, '东岳庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105216', 1, '2021-07-19 11:59:10', NULL, NULL), (26361, '', '三太场村', '3ff53adf95b44ed0b6cad3d9e406a1f7', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105217', 5, '三太场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105217', 1, '2021-07-19 11:59:10', NULL, NULL), (26362, '', '石庙子村', '82c29cd98bc94f47baecac86ea66def2', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105218', 5, '石庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105218', 1, '2021-07-19 11:59:10', NULL, NULL), (26363, '', '海棠溪村', '5d80e62fbec44138b7638e464f307f41', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105219', 5, '海棠溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105219', 1, '2021-07-19 11:59:10', NULL, NULL), (26364, '', '大锣山村', '871ec1e9e4434ce1bb98d5b671235a74', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105220', 5, '大锣山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105220', 1, '2021-07-19 11:59:11', NULL, NULL), (26365, '', '曾家沟村', 'ad30e71331e845a5ae3daa88354b8d9a', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105221', 5, '曾家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105221', 1, '2021-07-19 11:59:11', NULL, NULL), (26366, '', '封口村', 'f0fcbc50e9a74268a434f22b370e6b70', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105222', 5, '封口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105222', 1, '2021-07-19 11:59:11', NULL, NULL), (26367, '', '长河村', 'f6d654ef80664c869e119b0b6830d25a', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105223', 5, '长河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105223', 1, '2021-07-19 11:59:11', NULL, NULL), (26368, '', '平桥社区', 'f6d982d40a6d406ca973b44fcc4d1d0d', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105001', 5, '平桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105001', 1, '2021-07-19 11:59:11', NULL, NULL), (26369, '', '双丰社区', '373d7aa704634496b8eaff12d49c40c2', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105200', 5, '双丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105200', 1, '2021-07-19 11:59:11', NULL, NULL), (26370, '', '重石村', 'a1252d89b85e4986946d056b66f0088f', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105201', 5, '重石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105201', 1, '2021-07-19 11:59:11', NULL, NULL), (26371, '', '石门村', 'dd916fa0b5a0411db28c17c42adf7fa7', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105202', 5, '石门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105202', 1, '2021-07-19 11:59:11', NULL, NULL), (26372, '', '骑龙社区', '89a9426c070f49c5bca148dac9371eb3', '01a13f6564eb4fa5bf54bc90bc537460', 'False', 'True', 'false', 'false', '511702105206', 5, '骑龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702105206', 1, '2021-07-19 11:59:11', NULL, NULL), (26373, '', '江陵镇', '5f5ad42d101040ffb7835843d8876b98', '00792c76dbe742599c3e2f0ddd89fd9c', 'True', 'True', 'false', 'false', '511702107000', 4, '江陵镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511702107000', 1, '2021-07-19 11:59:11', NULL, NULL), (26374, '', '草庙村', 'b7f2f08f3d504cac88a01b07c21b6862', '5f5ad42d101040ffb7835843d8876b98', 'False', 'True', 'false', 'false', '511702107219', 5, '草庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702107219', 1, '2021-07-19 11:59:11', NULL, NULL), (26375, '', '江陵社区', 'f661cd86045d4f7ca55602f27a59bea5', '5f5ad42d101040ffb7835843d8876b98', 'False', 'True', 'false', 'false', '511702107001', 5, '江陵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702107001', 1, '2021-07-19 11:59:11', NULL, NULL), (26376, '', '新溪社区', 'a6d444da2a22494589e4faabd8015277', '5f5ad42d101040ffb7835843d8876b98', 'False', 'True', 'false', 'false', '511702107003', 5, '新溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702107003', 1, '2021-07-19 11:59:11', NULL, NULL), (26377, '', '棋盘村', 'e261406fb7d04919909df8ccde00611f', '5f5ad42d101040ffb7835843d8876b98', 'False', 'True', 'false', 'false', '511702107200', 5, '棋盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702107200', 1, '2021-07-19 11:59:11', NULL, NULL), (26378, '', '五滩村', '268a287555ec4b56a11dc98d43b3fada', '5f5ad42d101040ffb7835843d8876b98', 'False', 'True', 'false', 'false', '511702107201', 5, '五滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702107201', 1, '2021-07-19 11:59:12', NULL, NULL), (26379, '', '青龙村', '65c6a5e049aa45e1a39883bed17cafd9', '5f5ad42d101040ffb7835843d8876b98', 'False', 'True', 'false', 'false', '511702107203', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702107203', 1, '2021-07-19 11:59:12', NULL, NULL), (26380, '', '和平村', '4556eb8a79d94e86bad5697790f59344', '5f5ad42d101040ffb7835843d8876b98', 'False', 'True', 'false', 'false', '511702107206', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702107206', 1, '2021-07-19 11:59:12', NULL, NULL), (26381, '', '石楼村', '90a61fc5589b47fb85d47c64367110fa', '5f5ad42d101040ffb7835843d8876b98', 'False', 'True', 'false', 'false', '511702107210', 5, '石楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702107210', 1, '2021-07-19 11:59:12', NULL, NULL), (26382, '', '黄澄村', '4c8d8b404c094e2299cd86dcb2cf6467', '5f5ad42d101040ffb7835843d8876b98', 'False', 'True', 'false', 'false', '511702107211', 5, '黄澄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702107211', 1, '2021-07-19 11:59:12', NULL, NULL), (26383, '', '千宁村', '28704985fdf8462aa66378a2e46eadb1', '5f5ad42d101040ffb7835843d8876b98', 'False', 'True', 'false', 'false', '511702107212', 5, '千宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702107212', 1, '2021-07-19 11:59:12', NULL, NULL), (26384, '', '集山村', 'b8f8c665a9d54594a291fadc82a4ed4a', '5f5ad42d101040ffb7835843d8876b98', 'False', 'True', 'false', 'false', '511702107213', 5, '集山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702107213', 1, '2021-07-19 11:59:12', NULL, NULL), (26385, '', '青竹山村', '7d41b4423dce45c89b35cf127a1d6e25', '5f5ad42d101040ffb7835843d8876b98', 'False', 'True', 'false', 'false', '511702107215', 5, '青竹山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702107215', 1, '2021-07-19 11:59:12', NULL, NULL), (26386, '', '大寨粱村', 'e8895e2ba44044f589dbf6aaa217c060', '5f5ad42d101040ffb7835843d8876b98', 'False', 'True', 'false', 'false', '511702107216', 5, '大寨粱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702107216', 1, '2021-07-19 11:59:12', NULL, NULL), (26387, '', '香仁坪村', 'c1d078bdf1ba4676b686dca075365a69', '5f5ad42d101040ffb7835843d8876b98', 'False', 'True', 'false', 'false', '511702107217', 5, '香仁坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702107217', 1, '2021-07-19 11:59:12', NULL, NULL), (26388, '', '碑庙镇', 'b726ead74e6048439b2ba1c22ff78c63', '00792c76dbe742599c3e2f0ddd89fd9c', 'True', 'True', 'false', 'false', '511702108000', 4, '碑庙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511702108000', 1, '2021-07-19 11:59:12', NULL, NULL), (26389, '', '宝鼎社区', '3334a9863d4047618742008946afd67c', 'b726ead74e6048439b2ba1c22ff78c63', 'False', 'True', 'false', 'false', '511702108974', 5, '宝鼎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702108974', 1, '2021-07-19 11:59:12', NULL, NULL), (26390, '', '盐井村', 'c95c0dfb03024873b53e9fde091c0b1b', 'b726ead74e6048439b2ba1c22ff78c63', 'False', 'True', 'false', 'false', '511702108200', 5, '盐井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702108200', 1, '2021-07-19 11:59:12', NULL, NULL), (26391, '', '千口村', 'b9ae08bb9e624bb49b269e05aaf58e9a', 'b726ead74e6048439b2ba1c22ff78c63', 'False', 'True', 'false', 'false', '511702108204', 5, '千口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702108204', 1, '2021-07-19 11:59:12', NULL, NULL), (26392, '', '大营村', '68bef2728e2b4fa99a01df712617c376', 'b726ead74e6048439b2ba1c22ff78c63', 'False', 'True', 'false', 'false', '511702108206', 5, '大营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702108206', 1, '2021-07-19 11:59:12', NULL, NULL), (26393, '', '三上村', '3ab1ad896c7e4870b1de821a573cb266', 'b726ead74e6048439b2ba1c22ff78c63', 'False', 'True', 'false', 'false', '511702108209', 5, '三上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702108209', 1, '2021-07-19 11:59:12', NULL, NULL), (26394, '', '锣鼓村', 'ff968e9c0b8a423e802f565f99931608', 'b726ead74e6048439b2ba1c22ff78c63', 'False', 'True', 'false', 'false', '511702108211', 5, '锣鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702108211', 1, '2021-07-19 11:59:12', NULL, NULL), (26395, '', '石笋村', 'f86167cdfe084adbb0294e03d1c4d09b', 'b726ead74e6048439b2ba1c22ff78c63', 'False', 'True', 'false', 'false', '511702108212', 5, '石笋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702108212', 1, '2021-07-19 11:59:12', NULL, NULL), (26396, '', '陡坑村', '8746079705944c9eb64de1bf1899db91', 'b726ead74e6048439b2ba1c22ff78c63', 'False', 'True', 'false', 'false', '511702108213', 5, '陡坑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702108213', 1, '2021-07-19 11:59:12', NULL, NULL), (26397, '', '磐石镇', '28d035587bd54fa3a87d121d79ca339e', '00792c76dbe742599c3e2f0ddd89fd9c', 'True', 'True', 'false', 'false', '511702109000', 4, '磐石镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511702109000', 1, '2021-07-19 11:59:13', NULL, NULL), (26398, '', '欣欣社区', '35552e346c9c43d0b48a6e6aa5e326c7', '28d035587bd54fa3a87d121d79ca339e', 'False', 'True', 'false', 'false', '511702109001', 5, '欣欣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702109001', 1, '2021-07-19 11:59:13', NULL, NULL), (26399, '', '何家坝社区', '0543a86b0a4540eb9c54223e635187ce', '28d035587bd54fa3a87d121d79ca339e', 'False', 'True', 'false', 'false', '511702109002', 5, '何家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702109002', 1, '2021-07-19 11:59:13', NULL, NULL), (26400, '', '袁家沟社区', 'eebdad713f314faf80279c5a0d36ab26', '28d035587bd54fa3a87d121d79ca339e', 'False', 'True', 'false', 'false', '511702109003', 5, '袁家沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702109003', 1, '2021-07-19 11:59:13', NULL, NULL), (26401, '', '新店社区', 'ff6d1a1065824992baa0767105a2a760', '28d035587bd54fa3a87d121d79ca339e', 'False', 'True', 'false', 'false', '511702109004', 5, '新店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702109004', 1, '2021-07-19 11:59:13', NULL, NULL), (26402, '', '谭家沟村', '1e72437456c34882b4d47d6e38c4c917', '28d035587bd54fa3a87d121d79ca339e', 'False', 'True', 'false', 'false', '511702109200', 5, '谭家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702109200', 1, '2021-07-19 11:59:13', NULL, NULL), (26403, '', '王家桥社区', '602cb7662b934f959195b5f5b54f8add', '28d035587bd54fa3a87d121d79ca339e', 'False', 'True', 'false', 'false', '511702109202', 5, '王家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702109202', 1, '2021-07-19 11:59:13', NULL, NULL), (26404, '', '场坝村', 'f656bd066e76433faa62c4e72b4b1548', '28d035587bd54fa3a87d121d79ca339e', 'False', 'True', 'false', 'false', '511702109203', 5, '场坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702109203', 1, '2021-07-19 11:59:13', NULL, NULL), (26405, '', '余家寺村', '1581ef3fafcc4ed2b74bb69724ca2dc3', '28d035587bd54fa3a87d121d79ca339e', 'False', 'True', 'false', 'false', '511702109204', 5, '余家寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702109204', 1, '2021-07-19 11:59:13', NULL, NULL), (26406, '', '盐井坝村', 'e98db19dfc624218ab04152c2cb3e034', '28d035587bd54fa3a87d121d79ca339e', 'False', 'True', 'false', 'false', '511702109207', 5, '盐井坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702109207', 1, '2021-07-19 11:59:13', NULL, NULL), (26407, '', '金龙村', 'd278bc097c1d490e98847f02980ea1b7', '28d035587bd54fa3a87d121d79ca339e', 'False', 'True', 'false', 'false', '511702109208', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702109208', 1, '2021-07-19 11:59:13', NULL, NULL), (26408, '', '李家渡村', '02ae8a8257b84b109e41dd6c469514c1', '28d035587bd54fa3a87d121d79ca339e', 'False', 'True', 'false', 'false', '511702109209', 5, '李家渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702109209', 1, '2021-07-19 11:59:13', NULL, NULL), (26409, '', '川主庙村', '58638b0674f440eca46ee50843debda1', '28d035587bd54fa3a87d121d79ca339e', 'False', 'True', 'false', 'false', '511702109210', 5, '川主庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702109210', 1, '2021-07-19 11:59:13', NULL, NULL), (26410, '', '米田村', '50c0b7c944c1440fa82e365823e2e52e', '28d035587bd54fa3a87d121d79ca339e', 'False', 'True', 'false', 'false', '511702109213', 5, '米田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702109213', 1, '2021-07-19 11:59:13', NULL, NULL), (26411, '', '渡口村', 'a82893854cd94d08a6a1a1fe4a340753', '28d035587bd54fa3a87d121d79ca339e', 'False', 'True', 'false', 'false', '511702109214', 5, '渡口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702109214', 1, '2021-07-19 11:59:13', NULL, NULL), (26412, '', '东岳镇', '0d5a28695f674060a23cd15e36beffa0', '00792c76dbe742599c3e2f0ddd89fd9c', 'True', 'True', 'false', 'false', '511702110000', 4, '东岳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511702110000', 1, '2021-07-19 11:59:13', NULL, NULL), (26413, '', '东兴社区', '97e2d83ce8a543dd93cd0fd172d4a8ba', '0d5a28695f674060a23cd15e36beffa0', 'False', 'True', 'false', 'false', '511702110001', 5, '东兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702110001', 1, '2021-07-19 11:59:14', NULL, NULL), (26414, '', '虹桥社区', '2b08173cb1cc4f8db1948f07f71f92ca', '0d5a28695f674060a23cd15e36beffa0', 'False', 'True', 'false', 'false', '511702110002', 5, '虹桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702110002', 1, '2021-07-19 11:59:14', NULL, NULL), (26415, '', '兴盛社区', '54c9a21bb322410399d42f19403e7fda', '0d5a28695f674060a23cd15e36beffa0', 'False', 'True', 'false', 'false', '511702110003', 5, '兴盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702110003', 1, '2021-07-19 11:59:14', NULL, NULL), (26416, '', '有力社区', 'dcf87114381e4c7abdd0b70daa78fd0b', '0d5a28695f674060a23cd15e36beffa0', 'False', 'True', 'false', 'false', '511702110200', 5, '有力社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702110200', 1, '2021-07-19 11:59:14', NULL, NULL), (26417, '', '山桥社区', '067c0cb2e3754ad2b8a193f802e942e1', '0d5a28695f674060a23cd15e36beffa0', 'False', 'True', 'false', 'false', '511702110201', 5, '山桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702110201', 1, '2021-07-19 11:59:14', NULL, NULL), (26418, '', '凤凰村', 'd609211bacfa4b1f856d578a2508451d', '0d5a28695f674060a23cd15e36beffa0', 'False', 'True', 'false', 'false', '511702110202', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702110202', 1, '2021-07-19 11:59:14', NULL, NULL), (26419, '', '飞进社区', 'f54bd7fb616341b78755ad0e68cdcd4c', '0d5a28695f674060a23cd15e36beffa0', 'False', 'True', 'false', 'false', '511702110203', 5, '飞进社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702110203', 1, '2021-07-19 11:59:14', NULL, NULL), (26420, '', '玉钟村', '562a96a06c304c4cb82c85e138f01375', '0d5a28695f674060a23cd15e36beffa0', 'False', 'True', 'false', 'false', '511702110204', 5, '玉钟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702110204', 1, '2021-07-19 11:59:14', NULL, NULL), (26421, '', '龙兴村', 'b58edd703a5d439bb1ebdce8ac238bd7', '0d5a28695f674060a23cd15e36beffa0', 'False', 'True', 'false', 'false', '511702110205', 5, '龙兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702110205', 1, '2021-07-19 11:59:14', NULL, NULL), (26422, '', '梓桐镇', '095f3f8f164c42b491e18319f8159287', '00792c76dbe742599c3e2f0ddd89fd9c', 'True', 'True', 'false', 'false', '511702111000', 4, '梓桐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511702111000', 1, '2021-07-19 11:59:14', NULL, NULL), (26423, '', '梓桐社区', 'f72bb5e847e44d2389e8c6ee0ebbf52a', '095f3f8f164c42b491e18319f8159287', 'False', 'True', 'false', 'false', '511702111001', 5, '梓桐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702111001', 1, '2021-07-19 11:59:14', NULL, NULL), (26424, '', '两河村', '358f3df00f324bc39fbc64c82c6eb198', '095f3f8f164c42b491e18319f8159287', 'False', 'True', 'false', 'false', '511702111200', 5, '两河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702111200', 1, '2021-07-19 11:59:14', NULL, NULL), (26425, '', '渔河村', '578937f22c5f4ff99c06f3e347e042ee', '095f3f8f164c42b491e18319f8159287', 'False', 'True', 'false', 'false', '511702111201', 5, '渔河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702111201', 1, '2021-07-19 11:59:14', NULL, NULL), (26426, '', '洞沟村', '1055719273644c9aae646581d74ecfe2', '095f3f8f164c42b491e18319f8159287', 'False', 'True', 'false', 'false', '511702111202', 5, '洞沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702111202', 1, '2021-07-19 11:59:14', NULL, NULL), (26427, '', '吕成村', '7b0cb871efcc485b9e47bd0dd3b2c5e2', '095f3f8f164c42b491e18319f8159287', 'False', 'True', 'false', 'false', '511702111203', 5, '吕成村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702111203', 1, '2021-07-19 11:59:15', NULL, NULL), (26428, '', '宝泉村', 'db45d4e0879842c2ab78db68444f9fb3', '095f3f8f164c42b491e18319f8159287', 'False', 'True', 'false', 'false', '511702111205', 5, '宝泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702111205', 1, '2021-07-19 11:59:15', NULL, NULL), (26429, '', '英龙村', '77b1af932d974f298d66653f726bc939', '095f3f8f164c42b491e18319f8159287', 'False', 'True', 'false', 'false', '511702111206', 5, '英龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702111206', 1, '2021-07-19 11:59:15', NULL, NULL), (26430, '', '北山镇', '9d7cb0a139754217a91f7e6fc1f87639', '00792c76dbe742599c3e2f0ddd89fd9c', 'True', 'True', 'false', 'false', '511702112000', 4, '北山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511702112000', 1, '2021-07-19 11:59:15', NULL, NULL), (26431, '', '石龙村', '1b8c4f7269414092a38b0834cb9652d0', '9d7cb0a139754217a91f7e6fc1f87639', 'False', 'True', 'false', 'false', '511702112215', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702112215', 1, '2021-07-19 11:59:15', NULL, NULL), (26432, '', '北山社区', 'cd62a94a557b4b69843fc27209a89dc5', '9d7cb0a139754217a91f7e6fc1f87639', 'False', 'True', 'false', 'false', '511702112001', 5, '北山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702112001', 1, '2021-07-19 11:59:15', NULL, NULL), (26433, '', '丰登村', '88cc62b1db484efd81d9307463209228', '9d7cb0a139754217a91f7e6fc1f87639', 'False', 'True', 'false', 'false', '511702112200', 5, '丰登村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702112200', 1, '2021-07-19 11:59:15', NULL, NULL), (26434, '', '立马村', '4a80c3909bcf41b2851e0117f50bcbd3', '9d7cb0a139754217a91f7e6fc1f87639', 'False', 'True', 'false', 'false', '511702112202', 5, '立马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702112202', 1, '2021-07-19 11:59:15', NULL, NULL), (26435, '', '深滩村', 'd1f7f8326b8e4f33ae326001d501dcdc', '9d7cb0a139754217a91f7e6fc1f87639', 'False', 'True', 'false', 'false', '511702112207', 5, '深滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702112207', 1, '2021-07-19 11:59:15', NULL, NULL), (26436, '', '苏坪村', '9298b5337c514d47b18a48493c4ee60b', '9d7cb0a139754217a91f7e6fc1f87639', 'False', 'True', 'false', 'false', '511702112208', 5, '苏坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702112208', 1, '2021-07-19 11:59:15', NULL, NULL), (26437, '', '北江村', '76eddf2cdcf743a9a6e816413eb5449a', '9d7cb0a139754217a91f7e6fc1f87639', 'False', 'True', 'false', 'false', '511702112209', 5, '北江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702112209', 1, '2021-07-19 11:59:15', NULL, NULL), (26438, '', '洞滩村', 'a9f23cbf846b4e25995cc71b770bf9bc', '9d7cb0a139754217a91f7e6fc1f87639', 'False', 'True', 'false', 'false', '511702112211', 5, '洞滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702112211', 1, '2021-07-19 11:59:15', NULL, NULL), (26439, '', '点兵村', '31b08ff50f544823925da16af6163ab1', '9d7cb0a139754217a91f7e6fc1f87639', 'False', 'True', 'false', 'false', '511702112212', 5, '点兵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702112212', 1, '2021-07-19 11:59:15', NULL, NULL), (26440, '', '学堂村', 'b7988e402e9c4106978938c8c1c42f8f', '9d7cb0a139754217a91f7e6fc1f87639', 'False', 'True', 'false', 'false', '511702112213', 5, '学堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702112213', 1, '2021-07-19 11:59:15', NULL, NULL), (26441, '', '铁佛村', 'f30cc5de0dbc4fb88068231778a31515', '9d7cb0a139754217a91f7e6fc1f87639', 'False', 'True', 'false', 'false', '511702112214', 5, '铁佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702112214', 1, '2021-07-19 11:59:16', NULL, NULL), (26442, '', '金石镇', 'b6101fcc63884e49a0ebd9d0a24d9ecd', '00792c76dbe742599c3e2f0ddd89fd9c', 'True', 'True', 'false', 'false', '511702113000', 4, '金石镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511702113000', 1, '2021-07-19 11:59:16', NULL, NULL), (26443, '', '金石社区', 'ef85334fe8ed4f8caff6e23b419385b5', 'b6101fcc63884e49a0ebd9d0a24d9ecd', 'False', 'True', 'false', 'false', '511702113001', 5, '金石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702113001', 1, '2021-07-19 11:59:16', NULL, NULL), (26444, '', '土门村', '01fdea8873414cb28f362ce293823198', 'b6101fcc63884e49a0ebd9d0a24d9ecd', 'False', 'True', 'false', 'false', '511702113200', 5, '土门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702113200', 1, '2021-07-19 11:59:16', NULL, NULL), (26445, '', '月岩村', '3c1e4fa034b44ca9ba5ceb31fa229c6e', 'b6101fcc63884e49a0ebd9d0a24d9ecd', 'False', 'True', 'false', 'false', '511702113202', 5, '月岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702113202', 1, '2021-07-19 11:59:16', NULL, NULL), (26446, '', '四凡村', 'da55aecdf5b74142a56139f764c3d9a6', 'b6101fcc63884e49a0ebd9d0a24d9ecd', 'False', 'True', 'false', 'false', '511702113205', 5, '四凡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702113205', 1, '2021-07-19 11:59:16', NULL, NULL), (26447, '', '金山村', '3ce96a3b5ffc448cabcecec9f22732ef', 'b6101fcc63884e49a0ebd9d0a24d9ecd', 'False', 'True', 'false', 'false', '511702113206', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702113206', 1, '2021-07-19 11:59:16', NULL, NULL), (26448, '', '跑马村', '77fae3a35f92436fbfdb0cf4207f4809', 'b6101fcc63884e49a0ebd9d0a24d9ecd', 'False', 'True', 'false', 'false', '511702113207', 5, '跑马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702113207', 1, '2021-07-19 11:59:16', NULL, NULL), (26449, '', '巨家村', '84f43ba9a45b4e22af87d2573821beb5', 'b6101fcc63884e49a0ebd9d0a24d9ecd', 'False', 'True', 'false', 'false', '511702113208', 5, '巨家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702113208', 1, '2021-07-19 11:59:16', NULL, NULL), (26450, '', '火箭村', '010e8342f7364ace901e3293f2f45ef9', 'b6101fcc63884e49a0ebd9d0a24d9ecd', 'False', 'True', 'false', 'false', '511702113210', 5, '火箭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702113210', 1, '2021-07-19 11:59:16', NULL, NULL), (26451, '', '七里村', '5c5b146228a9474e99fca14aa66192fd', 'b6101fcc63884e49a0ebd9d0a24d9ecd', 'False', 'True', 'false', 'false', '511702113211', 5, '七里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702113211', 1, '2021-07-19 11:59:16', NULL, NULL), (26452, '', '柳潭社区', '284de7cdd4d74e3a9d2e394b939b3b63', 'b6101fcc63884e49a0ebd9d0a24d9ecd', 'False', 'True', 'false', 'false', '511702113213', 5, '柳潭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702113213', 1, '2021-07-19 11:59:16', NULL, NULL), (26453, '', '阳鹤村', '7ae13f32fec24e738a5764ced270415d', 'b6101fcc63884e49a0ebd9d0a24d9ecd', 'False', 'True', 'false', 'false', '511702113214', 5, '阳鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702113214', 1, '2021-07-19 11:59:16', NULL, NULL), (26454, '', '高兴村', '44f94b0c4c86403fb6fbc342127f8f25', 'b6101fcc63884e49a0ebd9d0a24d9ecd', 'False', 'True', 'false', 'false', '511702113215', 5, '高兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702113215', 1, '2021-07-19 11:59:16', NULL, NULL), (26455, '', '安云乡', '6683d4e18bae4256a1369021b4c43b99', '00792c76dbe742599c3e2f0ddd89fd9c', 'True', 'True', 'false', 'false', '511702208000', 4, '安云乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511702208000', 1, '2021-07-19 11:59:17', NULL, NULL), (26456, '', '安云社区', '66a3abd6f2ea4103a0a43fd2b2b08be2', '6683d4e18bae4256a1369021b4c43b99', 'False', 'True', 'false', 'false', '511702208001', 5, '安云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702208001', 1, '2021-07-19 11:59:17', NULL, NULL), (26457, '', '战马村', 'd7855d826c224f07b708a9422b1af172', '6683d4e18bae4256a1369021b4c43b99', 'False', 'True', 'false', 'false', '511702208202', 5, '战马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702208202', 1, '2021-07-19 11:59:17', NULL, NULL), (26458, '', '佛岩村', '3e3338fdd68447dba6f03c301cc9f01c', '6683d4e18bae4256a1369021b4c43b99', 'False', 'True', 'false', 'false', '511702208204', 5, '佛岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702208204', 1, '2021-07-19 11:59:17', NULL, NULL), (26459, '', '水洞村', '2e56d433fad049a7b1324ae1fa0634d2', '6683d4e18bae4256a1369021b4c43b99', 'False', 'True', 'false', 'false', '511702208206', 5, '水洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702208206', 1, '2021-07-19 11:59:17', NULL, NULL), (26460, '', '三层村', 'dbe2a018e4434a039fc4f6946fad1741', '6683d4e18bae4256a1369021b4c43b99', 'False', 'True', 'false', 'false', '511702208209', 5, '三层村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702208209', 1, '2021-07-19 11:59:17', NULL, NULL), (26461, '', '大河村', '1a9c096c34ec4c729129e7ad61be0b73', '6683d4e18bae4256a1369021b4c43b99', 'False', 'True', 'false', 'false', '511702208210', 5, '大河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702208210', 1, '2021-07-19 11:59:17', NULL, NULL), (26462, '', '二龙村', 'c96c71dca7ef402b9a33a757d0840bfe', '6683d4e18bae4256a1369021b4c43b99', 'False', 'True', 'false', 'false', '511702208212', 5, '二龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702208212', 1, '2021-07-19 11:59:17', NULL, NULL), (26463, '', '七河村', '0d4e125af31a4a3790443d0efede00b0', '6683d4e18bae4256a1369021b4c43b99', 'False', 'True', 'false', 'false', '511702208213', 5, '七河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702208213', 1, '2021-07-19 11:59:17', NULL, NULL), (26464, '', '青宁镇', '33f1aa5388894c619222d7bdeed73a01', '00792c76dbe742599c3e2f0ddd89fd9c', 'True', 'True', 'false', 'false', '511702209000', 4, '青宁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511702209000', 1, '2021-07-19 11:59:17', NULL, NULL), (26465, '', '青宁社区', '6462f6a670ee449abbb8af093742432b', '33f1aa5388894c619222d7bdeed73a01', 'False', 'True', 'false', 'false', '511702209001', 5, '青宁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702209001', 1, '2021-07-19 11:59:17', NULL, NULL), (26466, '', '化马村', 'cad7a6d7a27a427097ae1d19054ebaed', '33f1aa5388894c619222d7bdeed73a01', 'False', 'True', 'false', 'false', '511702209201', 5, '化马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702209201', 1, '2021-07-19 11:59:17', NULL, NULL), (26467, '', '潜力村', 'ca5b2d690a6b4ae39b8e4f9c3a4428bd', '33f1aa5388894c619222d7bdeed73a01', 'False', 'True', 'false', 'false', '511702209202', 5, '潜力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702209202', 1, '2021-07-19 11:59:18', NULL, NULL), (26468, '', '长梯村', 'a494be2d69de4e27b7426d9a605a1a32', '33f1aa5388894c619222d7bdeed73a01', 'False', 'True', 'false', 'false', '511702209203', 5, '长梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702209203', 1, '2021-07-19 11:59:18', NULL, NULL), (26469, '', '岩门社区', 'bc8755acf2e24410b3bcebd21b50f95b', '33f1aa5388894c619222d7bdeed73a01', 'False', 'True', 'false', 'false', '511702209204', 5, '岩门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702209204', 1, '2021-07-19 11:59:18', NULL, NULL), (26470, '', '天断村', '3c4bde439d2943d6bbffe033fd2489de', '33f1aa5388894c619222d7bdeed73a01', 'False', 'True', 'false', 'false', '511702209206', 5, '天断村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702209206', 1, '2021-07-19 11:59:18', NULL, NULL), (26471, '', '红专村', '90fad6594d3a4bafab14fd775594797d', '33f1aa5388894c619222d7bdeed73a01', 'False', 'True', 'false', 'false', '511702209208', 5, '红专村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511702209208', 1, '2021-07-19 11:59:18', NULL, NULL), (26472, '', '开江县', '6402a20fd1e24227bcf441f3c7ba2e40', '16ca461e2c824257a50dd0c7fab6f2de', 'True', 'True', 'false', 'false', '511723000000', 3, '开江县', 'dzskjx.sczwfw.gov.cn', 1, '2021-07-19 11:59:18', NULL, NULL), (26473, '', '新宁镇', 'a640a14d28f7471caace4148ccea91a5', '6402a20fd1e24227bcf441f3c7ba2e40', 'True', 'True', 'false', 'false', '511723100000', 4, '新宁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511723100000', 1, '2021-07-19 11:59:18', NULL, NULL), (26474, '', '清河社区', '47026a38567d4f11ba4bfb0268e86ba4', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100003', 5, '清河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100003', 1, '2021-07-19 11:59:18', NULL, NULL), (26475, '', '建设社区', '5c8b375591534f0db8a69ee292a63a54', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100004', 5, '建设社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100004', 1, '2021-07-19 11:59:18', NULL, NULL), (26476, '', '橄榄社区', '6c60a80cbdbe4ff28ffb307fb0f8f4e3', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100005', 5, '橄榄社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100005', 1, '2021-07-19 11:59:18', NULL, NULL), (26477, '', '金牛社区', '9e95f9c1c2dd420fbbe6b4ac75808ace', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100006', 5, '金牛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100006', 1, '2021-07-19 11:59:18', NULL, NULL), (26478, '', '滨河社区', '81f76b9fe93c452ab182f54df4c9989c', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100007', 5, '滨河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100007', 1, '2021-07-19 11:59:18', NULL, NULL), (26479, '', '三里桥村', 'a4f5ab52d5db417fb2812021847f8941', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100200', 5, '三里桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100200', 1, '2021-07-19 11:59:18', NULL, NULL), (26480, '', '真武宫村', 'e55343615a414a9f8719049b01c2632f', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100201', 5, '真武宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100201', 1, '2021-07-19 11:59:18', NULL, NULL), (26481, '', '石垭口村', '9beb1d6779cf46f886e9afa21084c4bf', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100202', 5, '石垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100202', 1, '2021-07-19 11:59:18', NULL, NULL), (26482, '', '孙家沟村', 'f28495e7880e4f9a91d526ed9c9dcac6', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100203', 5, '孙家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100203', 1, '2021-07-19 11:59:18', NULL, NULL), (26483, '', '胡家沟村', 'ef7a49ba1c2a46ba93d651031379ee05', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100204', 5, '胡家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100204', 1, '2021-07-19 11:59:19', NULL, NULL), (26484, '', '万花岭村', '50c52c979a3e4597a0a5e1f2ad00c038', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100205', 5, '万花岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100205', 1, '2021-07-19 11:59:19', NULL, NULL), (26485, '', '沙坝村', '267545717aa0474a9e85a2780aed2e80', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100206', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100206', 1, '2021-07-19 11:59:19', NULL, NULL), (26486, '', '桥亭子村', '192df39c05f54cfea08cb8a4c50626a3', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100207', 5, '桥亭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100207', 1, '2021-07-19 11:59:19', NULL, NULL), (26487, '', '白云村', '530f0cc5cdfc4fafb3e4751d67b2032d', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100208', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100208', 1, '2021-07-19 11:59:19', NULL, NULL), (26488, '', '五里桥村', '56d417cd18aa41759fbf82dfda9be570', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100209', 5, '五里桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100209', 1, '2021-07-19 11:59:19', NULL, NULL), (26489, '', '二里半村', 'a905ef751d8b48cda5f2c3c6d5f714d5', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100211', 5, '二里半村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100211', 1, '2021-07-19 11:59:19', NULL, NULL), (26490, '', '接龙桥村', '8d71de42205743e7aadec5ee92b9c59f', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100212', 5, '接龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100212', 1, '2021-07-19 11:59:19', NULL, NULL), (26491, '', '明月坝村', '64b979c663854bf096c9a1344ed53ae5', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100213', 5, '明月坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100213', 1, '2021-07-19 11:59:19', NULL, NULL), (26492, '', '白马村', 'a202619cd72d4e75b070586de134931c', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100218', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100218', 1, '2021-07-19 11:59:19', NULL, NULL), (26493, '', '穿心店村', 'd772a324a5e94b6d86daee74dc057555', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100219', 5, '穿心店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100219', 1, '2021-07-19 11:59:19', NULL, NULL), (26494, '', '沙坝场社区', 'c18e850f8d794e35af0ef57340833d07', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100920', 5, '沙坝场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100920', 1, '2021-07-19 11:59:19', NULL, NULL), (26495, '', '丁家山村', '8c6494c311464332a2d381f3c89356f3', 'a640a14d28f7471caace4148ccea91a5', 'False', 'False', 'false', 'false', '511723100220', 5, '丁家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723100220', 1, '2021-07-19 11:59:19', NULL, NULL), (26496, '', '普安镇', '574d563929d54c0e90fc0ec88aabeecf', '6402a20fd1e24227bcf441f3c7ba2e40', 'True', 'True', 'false', 'false', '511723101000', 4, '普安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511723101000', 1, '2021-07-19 11:59:19', NULL, NULL), (26497, '', '富康社区', '7c8441e55e23499db8998d4f9c0146e0', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'False', 'false', 'false', '511723101001', 5, '富康社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101001', 1, '2021-07-19 11:59:19', NULL, NULL), (26498, '', '鑫源社区', 'b0a2a466afc141b38883882f0c910a10', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'False', 'false', 'false', '511723101002', 5, '鑫源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101002', 1, '2021-07-19 11:59:19', NULL, NULL), (26499, '', '九石坎社区', '26a8d1339a1040798564363eba5d5ea7', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'False', 'false', 'false', '511723101004', 5, '九石坎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101004', 1, '2021-07-19 11:59:19', NULL, NULL), (26500, '', '观音寨村', '8c0e3ec7c2504e6cb8cbd31b5e82bfa6', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'False', 'false', 'false', '511723101200', 5, '观音寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101200', 1, '2021-07-19 11:59:19', NULL, NULL), (26501, '', '罗家坡村', '6fdd02b0398c4d83a38f249869cf0cf0', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'False', 'false', 'false', '511723101201', 5, '罗家坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101201', 1, '2021-07-19 11:59:19', NULL, NULL), (26502, '', '青堆子社区', '7c90ca893a424c26bd6804d658604e09', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'True', 'false', 'false', '511723101202', 5, '青堆子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101202', 1, '2021-07-19 11:59:19', NULL, NULL), (26503, '', '新河村', '8965789e6de240659446d95109b10dcc', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'False', 'false', 'false', '511723101203', 5, '新河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101203', 1, '2021-07-19 11:59:20', NULL, NULL), (26504, '', '天星坝村', 'af8634bfd4b447caadfdcbd6fdac3ff2', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'False', 'false', 'false', '511723101205', 5, '天星坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101205', 1, '2021-07-19 11:59:20', NULL, NULL), (26505, '', '仙耳岩村', '60fb880f91b44c6c93037b1f8c6b4fa1', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'False', 'false', 'false', '511723101207', 5, '仙耳岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101207', 1, '2021-07-19 11:59:20', NULL, NULL), (26506, '', '新场村', '3f766f8e09c74a2a9ec960b0ab2befc0', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'False', 'false', 'false', '511723101208', 5, '新场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101208', 1, '2021-07-19 11:59:20', NULL, NULL), (26507, '', '玉皇观村', '397c7f7465984c5abdbd9e042c438c79', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'False', 'false', 'false', '511723101209', 5, '玉皇观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101209', 1, '2021-07-19 11:59:20', NULL, NULL), (26508, '', '界牌沟村', '8487948f0f5744aab6d99b0bb4cbc914', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'False', 'false', 'false', '511723101210', 5, '界牌沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101210', 1, '2021-07-19 11:59:20', NULL, NULL), (26509, '', '东岳社区', '861b44c1baeb4bf09db95cda4390ecdb', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'False', 'false', 'false', '511723101211', 5, '东岳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101211', 1, '2021-07-19 11:59:20', NULL, NULL), (26510, '', '宝塔坝社区', '94ecbf3565f04e5db4214eb35d0fc143', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'False', 'false', 'false', '511723101214', 5, '宝塔坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101214', 1, '2021-07-19 11:59:20', NULL, NULL), (26511, '', '筒车辅村', 'e1de624cfd3c4486829c89cbe0621463', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'False', 'false', 'false', '511723101215', 5, '筒车辅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101215', 1, '2021-07-19 11:59:20', NULL, NULL), (26512, '', '水口庙村', '39f9a64d55434279a0f95d03a2d9a24e', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'False', 'false', 'false', '511723101217', 5, '水口庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101217', 1, '2021-07-19 11:59:20', NULL, NULL), (26513, '', '胜利村', '83cb34d6616a44c59f5b05a080f964e4', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'False', 'false', 'false', '511723101219', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101219', 1, '2021-07-19 11:59:20', NULL, NULL), (26514, '', '骑龙社区', 'c0f1920302a74ccc8d9a6b3ebcf549f4', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'True', 'false', 'false', '511723101453', 5, '骑龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101453', 1, '2021-07-19 11:59:20', NULL, NULL), (26515, '', '石堰口村', '9f5d1e92f08c49d697ad2096f855e58c', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'False', 'false', 'false', '511723101509', 5, '石堰口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101509', 1, '2021-07-19 11:59:20', NULL, NULL), (26516, '', '赵家坪村', 'e7bea5633a7b4052b807e50f9360b3e8', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'True', 'false', 'false', '5117447397243932672', 5, '赵家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5117447397243932672', 1, '2021-07-19 11:59:20', NULL, NULL), (26517, '', '新店子村', '1a88fcc179924f8cb5d4bf57145186bd', '574d563929d54c0e90fc0ec88aabeecf', 'False', 'False', 'false', 'false', '511723101222', 5, '新店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723101222', 1, '2021-07-19 11:59:20', NULL, NULL), (26518, '', '回龙镇', '67911ae2b2444623b7ce31ba746c6a1b', '6402a20fd1e24227bcf441f3c7ba2e40', 'True', 'True', 'false', 'false', '511723102000', 4, '回龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511723102000', 1, '2021-07-19 11:59:20', NULL, NULL), (26519, '', '回龙社区', 'f6f501526dab413bbba07a0f080d331d', '67911ae2b2444623b7ce31ba746c6a1b', 'False', 'True', 'false', 'false', '511723102001', 5, '回龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723102001', 1, '2021-07-19 11:59:20', NULL, NULL), (26520, '', '乐园村', '7a937468c5b247d6ba194044ab688783', '67911ae2b2444623b7ce31ba746c6a1b', 'False', 'True', 'false', 'false', '511723102200', 5, '乐园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723102200', 1, '2021-07-19 11:59:20', NULL, NULL), (26521, '', '陈家沟村', '3b12fb0d36514b5488014e155385d87d', '67911ae2b2444623b7ce31ba746c6a1b', 'False', 'True', 'false', 'false', '511723102202', 5, '陈家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723102202', 1, '2021-07-19 11:59:20', NULL, NULL), (26522, '', '锁口庙村', '6211a4a8e1754738a6d4a302e7392f63', '67911ae2b2444623b7ce31ba746c6a1b', 'False', 'True', 'false', 'false', '511723102203', 5, '锁口庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723102203', 1, '2021-07-19 11:59:21', NULL, NULL), (26523, '', '高板桥村', '4810c270750a4ddb917a385700aae7f2', '67911ae2b2444623b7ce31ba746c6a1b', 'False', 'True', 'false', 'false', '511723102204', 5, '高板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723102204', 1, '2021-07-19 11:59:21', NULL, NULL), (26524, '', '尖峰寨村', 'c16938c477424719b0ff1831dff5545a', '67911ae2b2444623b7ce31ba746c6a1b', 'False', 'True', 'false', 'false', '511723102205', 5, '尖峰寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723102205', 1, '2021-07-19 11:59:21', NULL, NULL), (26525, '', '天师社区', '151565664eed42728dad6bd087e922a6', '67911ae2b2444623b7ce31ba746c6a1b', 'False', 'True', 'false', 'false', '511723102002', 5, '天师社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723102002', 1, '2021-07-19 11:59:21', NULL, NULL), (26526, '', '长田社区', 'aad979116af547afaaec99b9e631dfa0', '67911ae2b2444623b7ce31ba746c6a1b', 'False', 'True', 'false', 'false', '511723102003', 5, '长田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723102003', 1, '2021-07-19 11:59:21', NULL, NULL), (26527, '', '李家坝村', 'fceecbd311ea445cb2b378cca46be6a9', '67911ae2b2444623b7ce31ba746c6a1b', 'False', 'True', 'false', 'false', '511723102206', 5, '李家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723102206', 1, '2021-07-19 11:59:21', NULL, NULL), (26528, '', '岩门子村', '2bf7ad10f11446059e28efc17f812a36', '67911ae2b2444623b7ce31ba746c6a1b', 'False', 'True', 'false', 'false', '511723102207', 5, '岩门子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723102207', 1, '2021-07-19 11:59:21', NULL, NULL), (26529, '', '庙子岭村', 'c8f18a9af16d4530ad578f5f44451b08', '67911ae2b2444623b7ce31ba746c6a1b', 'False', 'True', 'false', 'false', '511723102208', 5, '庙子岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723102208', 1, '2021-07-19 11:59:21', NULL, NULL), (26530, '', '龙家坝村', '2f11583424c64759a0c2d36ccf6a6f73', '67911ae2b2444623b7ce31ba746c6a1b', 'False', 'True', 'false', 'false', '511723102209', 5, '龙家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723102209', 1, '2021-07-19 11:59:21', NULL, NULL), (26531, '', '纸厂沟村', '072c976a25d44b2e8ec776deb94e1449', '67911ae2b2444623b7ce31ba746c6a1b', 'False', 'True', 'false', 'false', '511723102210', 5, '纸厂沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723102210', 1, '2021-07-19 11:59:21', NULL, NULL), (26532, '', '盘石村', 'f30f18438a0942cdbb1e8adee1741b7c', '67911ae2b2444623b7ce31ba746c6a1b', 'False', 'True', 'false', 'false', '511723102211', 5, '盘石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723102211', 1, '2021-07-19 11:59:21', NULL, NULL), (26533, '', '永兴镇', 'd3842012a8dc491da5a19ac3e36495b3', '6402a20fd1e24227bcf441f3c7ba2e40', 'True', 'True', 'false', 'false', '511723104000', 4, '永兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511723104000', 1, '2021-07-19 11:59:21', NULL, NULL), (26534, '', '车家湾社区', 'e4bdce015b3e4d25939e8e6a9a528bfd', 'd3842012a8dc491da5a19ac3e36495b3', 'False', 'False', 'false', 'false', '511723104001', 5, '车家湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723104001', 1, '2021-07-19 11:59:21', NULL, NULL), (26535, '', '糖房坝村', '8e68c57424ff4df9ac044f8105989caa', 'd3842012a8dc491da5a19ac3e36495b3', 'False', 'False', 'false', 'false', '511723104200', 5, '糖房坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723104200', 1, '2021-07-19 11:59:21', NULL, NULL), (26536, '', '龙头桥村', '651e50c7028945b6b4eb10b4ffc2b4cb', 'd3842012a8dc491da5a19ac3e36495b3', 'False', 'False', 'false', 'false', '511723104201', 5, '龙头桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723104201', 1, '2021-07-19 11:59:21', NULL, NULL), (26537, '', '箭口垭村', 'e897f826c0c94673afa1a6bbfb11aaa8', 'd3842012a8dc491da5a19ac3e36495b3', 'False', 'False', 'false', 'false', '511723104202', 5, '箭口垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723104202', 1, '2021-07-19 11:59:21', NULL, NULL), (26538, '', '门坎坡村', '0050ea74a2334064b394e8ea28094673', 'd3842012a8dc491da5a19ac3e36495b3', 'False', 'False', 'false', 'false', '511723104204', 5, '门坎坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723104204', 1, '2021-07-19 11:59:21', NULL, NULL), (26539, '', '方家沟村', 'c651cb1573b2486d89157155ee7f918a', 'd3842012a8dc491da5a19ac3e36495b3', 'False', 'False', 'false', 'false', '511723104207', 5, '方家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723104207', 1, '2021-07-19 11:59:21', NULL, NULL), (26540, '', '永兴社区', '68582068f3704360b362111ad5703be8', 'd3842012a8dc491da5a19ac3e36495b3', 'False', 'False', 'false', 'false', '511723104208', 5, '永兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723104208', 1, '2021-07-19 11:59:21', NULL, NULL), (26541, '', '何家垭口村', 'e5e65063ca8445658bed1fa37c05a4e0', 'd3842012a8dc491da5a19ac3e36495b3', 'False', 'False', 'false', 'false', '511723104209', 5, '何家垭口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723104209', 1, '2021-07-19 11:59:21', NULL, NULL), (26542, '', '龙形山村', '28ed35093b384788b124fc44bf9195c0', 'd3842012a8dc491da5a19ac3e36495b3', 'False', 'False', 'false', 'false', '511723104203', 5, '龙形山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723104203', 1, '2021-07-19 11:59:22', NULL, NULL), (26543, '', '新太社区', '48ea831471354d038b12e6b0d53569a4', 'd3842012a8dc491da5a19ac3e36495b3', 'False', 'False', 'false', 'false', '511723104003', 5, '新太社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723104003', 1, '2021-07-19 11:59:22', NULL, NULL), (26544, '', '开源村', 'b8f07f7c67ac49ec871d014e07d3d345', 'd3842012a8dc491da5a19ac3e36495b3', 'False', 'False', 'false', 'false', '511723104205', 5, '开源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723104205', 1, '2021-07-19 11:59:22', NULL, NULL), (26545, '', '观音桥村', 'c7696853f9364eefae2337d6f7e6778c', 'd3842012a8dc491da5a19ac3e36495b3', 'False', 'False', 'false', 'false', '5117314678150504448', 5, '观音桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5117314678150504448', 1, '2021-07-19 11:59:22', NULL, NULL), (26546, '', '讲治镇', '6d65d5e0c854407b9ca0c88f380ed753', '6402a20fd1e24227bcf441f3c7ba2e40', 'True', 'True', 'false', 'false', '511723105000', 4, '讲治镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511723105000', 1, '2021-07-19 11:59:22', NULL, NULL), (26547, '', '讲治社区', '590ff29449544471930a1d9baf99c677', '6d65d5e0c854407b9ca0c88f380ed753', 'False', 'False', 'false', 'false', '511723105001', 5, '讲治社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723105001', 1, '2021-07-19 11:59:22', NULL, NULL), (26548, '', '石家坝村', '45c8787fa9c347bcb947d3cbfacf37be', '6d65d5e0c854407b9ca0c88f380ed753', 'False', 'False', 'false', 'false', '511723105200', 5, '石家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723105200', 1, '2021-07-19 11:59:22', NULL, NULL), (26549, '', '中心村', 'a47cda81786441c69540f1e6b38a88d2', '6d65d5e0c854407b9ca0c88f380ed753', 'False', 'False', 'false', 'false', '511723105201', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723105201', 1, '2021-07-19 11:59:22', NULL, NULL), (26550, '', '大雄村', '67921ffb8e4445c7a71c1b93ddb0e057', '6d65d5e0c854407b9ca0c88f380ed753', 'False', 'False', 'false', 'false', '511723105202', 5, '大雄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723105202', 1, '2021-07-19 11:59:22', NULL, NULL), (26551, '', '双河村', 'e1f57c35d1d64a0e9d6d0606442c71a5', '6d65d5e0c854407b9ca0c88f380ed753', 'False', 'False', 'false', 'false', '511723105204', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723105204', 1, '2021-07-19 11:59:22', NULL, NULL), (26552, '', '灯塔村', 'f82ce89a44da4d51822ea13b62f587e4', '6d65d5e0c854407b9ca0c88f380ed753', 'False', 'False', 'false', 'false', '511723105206', 5, '灯塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723105206', 1, '2021-07-19 11:59:22', NULL, NULL), (26553, '', '高峰村', 'fda8a353fc4a495d916a9a1d6e0e35bb', '6d65d5e0c854407b9ca0c88f380ed753', 'False', 'False', 'false', 'false', '511723105208', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723105208', 1, '2021-07-19 11:59:22', NULL, NULL), (26554, '', '伍家寨村', '75fe4a518fce4ea3a5e47cafaa5f10ed', '6d65d5e0c854407b9ca0c88f380ed753', 'False', 'False', 'false', 'false', '511723105209', 5, '伍家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723105209', 1, '2021-07-19 11:59:22', NULL, NULL), (26555, '', '镇龙寺村', '61296b38cd0040008763ff747c3f87c2', '6d65d5e0c854407b9ca0c88f380ed753', 'False', 'False', 'false', 'false', '511723105210', 5, '镇龙寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723105210', 1, '2021-07-19 11:59:22', NULL, NULL), (26556, '', '茶坪村', 'a1eec5c2706e4f1f811a705694f57f61', '6d65d5e0c854407b9ca0c88f380ed753', 'False', 'False', 'false', 'false', '511723105211', 5, '茶坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723105211', 1, '2021-07-19 11:59:22', NULL, NULL), (26557, '', '宝石社区', 'fa52c73925204f4b8e1f4ee372f9d1a4', '6d65d5e0c854407b9ca0c88f380ed753', 'False', 'False', 'false', 'false', '511723105002', 5, '宝石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723105002', 1, '2021-07-19 11:59:22', NULL, NULL), (26558, '', '九岭社区', '985103b306d8463d8d230c4a57db2a23', '6d65d5e0c854407b9ca0c88f380ed753', 'False', 'False', 'false', 'false', '511723105003', 5, '九岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723105003', 1, '2021-07-19 11:59:22', NULL, NULL), (26559, '', '复兴寺村', 'c6d35064f9b34aab9af86830e72d8c1f', '6d65d5e0c854407b9ca0c88f380ed753', 'False', 'False', 'false', 'false', '511723105212', 5, '复兴寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723105212', 1, '2021-07-19 11:59:22', NULL, NULL), (26560, '', '程家沟村', '03aa86eaf5454096abeddaa32454d2dd', '6d65d5e0c854407b9ca0c88f380ed753', 'False', 'False', 'false', 'false', '511723105213', 5, '程家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723105213', 1, '2021-07-19 11:59:22', NULL, NULL), (26561, '', '马驿沟村', '851564b353ec4e54aa8adf2a7fc2f575', '6d65d5e0c854407b9ca0c88f380ed753', 'False', 'False', 'false', 'false', '511723105214', 5, '马驿沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723105214', 1, '2021-07-19 11:59:22', NULL, NULL), (26562, '', '甘棠镇', '51eb30827e6448978ec57ebf3d5c5382', '6402a20fd1e24227bcf441f3c7ba2e40', 'True', 'True', 'false', 'false', '511723106000', 4, '甘棠镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511723106000', 1, '2021-07-19 11:59:23', NULL, NULL), (26563, '', '甘棠社区', 'c979d632a2f044bc8ce238b301eb61fd', '51eb30827e6448978ec57ebf3d5c5382', 'False', 'True', 'false', 'false', '511723106001', 5, '甘棠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723106001', 1, '2021-07-19 11:59:23', NULL, NULL), (26564, '', '锣鼓堂村', 'afe77f2b2ab94ab7a7fe0c82b9ef240a', '51eb30827e6448978ec57ebf3d5c5382', 'False', 'True', 'false', 'false', '511723106200', 5, '锣鼓堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723106200', 1, '2021-07-19 11:59:23', NULL, NULL), (26565, '', '龙井坝村', 'ccd4e2610afe4525bf5482a35abc0b54', '51eb30827e6448978ec57ebf3d5c5382', 'False', 'True', 'false', 'false', '511723106202', 5, '龙井坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723106202', 1, '2021-07-19 11:59:23', NULL, NULL), (26566, '', '香安庙村', '589aac653c49481281e96f317c65326e', '51eb30827e6448978ec57ebf3d5c5382', 'False', 'True', 'false', 'false', '511723106203', 5, '香安庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723106203', 1, '2021-07-19 11:59:23', NULL, NULL), (26567, '', '南坝子村', 'af9bef81e97548e9ac08028698d1c18b', '51eb30827e6448978ec57ebf3d5c5382', 'False', 'True', 'false', 'false', '511723106204', 5, '南坝子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723106204', 1, '2021-07-19 11:59:23', NULL, NULL), (26568, '', '转洞桥村', 'aab5ee08ac6b476a8047de9555dcd51b', '51eb30827e6448978ec57ebf3d5c5382', 'False', 'True', 'false', 'false', '511723106205', 5, '转洞桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723106205', 1, '2021-07-19 11:59:23', NULL, NULL), (26569, '', '观音岩村', 'c5e52d799a1841e3a1e70c6a9b55b3ff', '51eb30827e6448978ec57ebf3d5c5382', 'False', 'True', 'false', 'false', '511723106207', 5, '观音岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723106207', 1, '2021-07-19 11:59:23', NULL, NULL), (26570, '', '玉河桥村', 'a3deab117c384b8288c70aa06c1f9554', '51eb30827e6448978ec57ebf3d5c5382', 'False', 'True', 'false', 'false', '511723106210', 5, '玉河桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723106210', 1, '2021-07-19 11:59:23', NULL, NULL), (26571, '', '马号村', '880492f4d42f473fbd2e8df7f7b0e1b7', '51eb30827e6448978ec57ebf3d5c5382', 'False', 'True', 'false', 'false', '511723106211', 5, '马号村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723106211', 1, '2021-07-19 11:59:23', NULL, NULL), (26572, '', '冠子山村', '95115d57021a4e7fb89e8e2f1d59a7aa', '51eb30827e6448978ec57ebf3d5c5382', 'False', 'True', 'false', 'false', '511723106213', 5, '冠子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723106213', 1, '2021-07-19 11:59:23', NULL, NULL), (26573, '', '白杨坪村', '7043710284f94ed6a03c3a5b0601a65b', '51eb30827e6448978ec57ebf3d5c5382', 'False', 'True', 'false', 'false', '511723106214', 5, '白杨坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723106214', 1, '2021-07-19 11:59:23', NULL, NULL), (26574, '', '石笋子村', '2d18c9cd69e54c9a985b8d23e2213ea7', '51eb30827e6448978ec57ebf3d5c5382', 'False', 'True', 'false', 'false', '511723106215', 5, '石笋子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723106215', 1, '2021-07-19 11:59:23', NULL, NULL), (26575, '', '严家社区', 'd75b3d49974a46ce9371e3d30a093c29', '51eb30827e6448978ec57ebf3d5c5382', 'False', 'True', 'false', 'false', '511723106217', 5, '严家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723106217', 1, '2021-07-19 11:59:23', NULL, NULL), (26576, '', '任市镇', 'cb05d5376a204735a20277ffb0ffcad6', '6402a20fd1e24227bcf441f3c7ba2e40', 'True', 'True', 'false', 'false', '511723107000', 4, '任市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511723107000', 1, '2021-07-19 11:59:23', NULL, NULL), (26577, '', '新康社区', 'c7853af68bc44a669802491c26deb73c', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107001', 5, '新康社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107001', 1, '2021-07-19 11:59:23', NULL, NULL), (26578, '', '和平社区', 'e122a27e18484222a763bcb5635e0d9c', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107002', 5, '和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107002', 1, '2021-07-19 11:59:23', NULL, NULL), (26579, '', '万欣社区', '64bba2799e5843988ed4d40d9b536a50', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107003', 5, '万欣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107003', 1, '2021-07-19 11:59:23', NULL, NULL), (26580, '', '凉风垭村', 'a8c69d3957104d75b323ddd2e576f2fa', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107200', 5, '凉风垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107200', 1, '2021-07-19 11:59:23', NULL, NULL), (26581, '', '红旗桥村', '7bcc3ca35cda48878bc09c58af1655ac', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107201', 5, '红旗桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107201', 1, '2021-07-19 11:59:23', NULL, NULL), (26582, '', '新街社区', 'cd6cb99c13b54365895b68b8cd676c49', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107202', 5, '新街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107202', 1, '2021-07-19 11:59:23', NULL, NULL), (26583, '', '观音阁村', 'dbb33956c97c4e459cae507352e29e42', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107203', 5, '观音阁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107203', 1, '2021-07-19 11:59:23', NULL, NULL), (26584, '', '新庙村', '470d6b4401224b0e857f0054200850f4', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107204', 5, '新庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107204', 1, '2021-07-19 11:59:23', NULL, NULL), (26585, '', '高桥坝村', '2f066469b833409c8e667c23c41d1094', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107205', 5, '高桥坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107205', 1, '2021-07-19 11:59:23', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (26586, '', '花朝门村', '9101b0fed8d8401c92251277d2b953b1', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107206', 5, '花朝门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107206', 1, '2021-07-19 11:59:24', NULL, NULL), (26587, '', '响水滩村', '8c512f8499bd40ea86e6f689921cbf93', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107207', 5, '响水滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107207', 1, '2021-07-19 11:59:24', NULL, NULL), (26588, '', '龙王沟村', '3c16e0201d5e4e66ab883020db7faf9d', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107208', 5, '龙王沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107208', 1, '2021-07-19 11:59:24', NULL, NULL), (26589, '', '竹溪村', 'f75cb3700e114119a52d4ec4c869d570', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107209', 5, '竹溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107209', 1, '2021-07-19 11:59:24', NULL, NULL), (26590, '', '奚家坝村', '85de748205d441bea799468a8c39897d', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107210', 5, '奚家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107210', 1, '2021-07-19 11:59:24', NULL, NULL), (26591, '', '黄泥榜村', '34657258b61e408f943eea806e33ec56', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107211', 5, '黄泥榜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107211', 1, '2021-07-19 11:59:24', NULL, NULL), (26592, '', '老街村', '3bc62ba32bf14a338fac05b07d58a3de', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107213', 5, '老街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107213', 1, '2021-07-19 11:59:24', NULL, NULL), (26593, '', '靖安社区', '0499df5794014d4c9915d956cfd5b01b', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107005', 5, '靖安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107005', 1, '2021-07-19 11:59:24', NULL, NULL), (26594, '', '荷叶坝村', '1865c54d382242d0a1f88d27238fa324', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107215', 5, '荷叶坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107215', 1, '2021-07-19 11:59:24', NULL, NULL), (26595, '', '高洞村', '38f1b059ea464a449a459ecc8f7e2892', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107216', 5, '高洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107216', 1, '2021-07-19 11:59:24', NULL, NULL), (26596, '', '狮子庙村', '8b25737f8bba4639a96a14fab6f67cc1', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107217', 5, '狮子庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107217', 1, '2021-07-19 11:59:24', NULL, NULL), (26597, '', '竹儿坪村', '0136afe98aa84adb822a46daa3de95eb', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107218', 5, '竹儿坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107218', 1, '2021-07-19 11:59:24', NULL, NULL), (26598, '', '黄茅坪村', 'b8b7ee2a5bb840819c3ad4a02843f6dd', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107219', 5, '黄茅坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107219', 1, '2021-07-19 11:59:24', NULL, NULL), (26599, '', '响滩桥村', 'a7541e83798a4b5b9d66d91b1dd23a7e', 'cb05d5376a204735a20277ffb0ffcad6', 'False', 'False', 'false', 'false', '511723107220', 5, '响滩桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723107220', 1, '2021-07-19 11:59:24', NULL, NULL), (26600, '', '广福镇', '801fed62137a422b8ee57baff8419f69', '6402a20fd1e24227bcf441f3c7ba2e40', 'True', 'True', 'false', 'false', '511723108000', 4, '广福镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511723108000', 1, '2021-07-19 11:59:24', NULL, NULL), (26601, '', '皇城坝村', '19285a624d91440abd542ce10419e99b', '801fed62137a422b8ee57baff8419f69', 'False', 'True', 'false', 'false', '511723108204', 5, '皇城坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723108204', 1, '2021-07-19 11:59:24', NULL, NULL), (26602, '', '广福社区', '5baa08dfb2504a3e955ca20bf0058879', '801fed62137a422b8ee57baff8419f69', 'False', 'True', 'false', 'false', '511723108001', 5, '广福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723108001', 1, '2021-07-19 11:59:24', NULL, NULL), (26603, '', '卢家沟村', 'e495458cfbfd42b380bc09f8f0dbd080', '801fed62137a422b8ee57baff8419f69', 'False', 'True', 'false', 'false', '511723108201', 5, '卢家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723108201', 1, '2021-07-19 11:59:24', NULL, NULL), (26604, '', '夏家庙村', '6f54f66c3ca94f15875775a8498c7dd1', '801fed62137a422b8ee57baff8419f69', 'False', 'True', 'false', 'false', '511723108202', 5, '夏家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723108202', 1, '2021-07-19 11:59:25', NULL, NULL), (26605, '', '兰草沟村', 'ca80b18927244eb2879e29f46f05dcf5', '801fed62137a422b8ee57baff8419f69', 'False', 'True', 'false', 'false', '511723108203', 5, '兰草沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723108203', 1, '2021-07-19 11:59:25', NULL, NULL), (26606, '', '兰家榜村', 'adb5a7528bf84abcb7bb660b77a594cd', '801fed62137a422b8ee57baff8419f69', 'False', 'True', 'false', 'false', '511723108206', 5, '兰家榜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723108206', 1, '2021-07-19 11:59:25', NULL, NULL), (26607, '', '石板滩村', '7c9576b39a1f4ad9afc3b43fc6ba2d34', '801fed62137a422b8ee57baff8419f69', 'False', 'True', 'false', 'false', '511723108207', 5, '石板滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723108207', 1, '2021-07-19 11:59:25', NULL, NULL), (26608, '', '长岭镇', 'a9d765cbec2a49bc985234e278581122', '6402a20fd1e24227bcf441f3c7ba2e40', 'True', 'True', 'false', 'false', '511723109000', 4, '长岭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511723109000', 1, '2021-07-19 11:59:25', NULL, NULL), (26609, '', '长岭社区', '652d5c7e563b4876b25e541e4be9048a', 'a9d765cbec2a49bc985234e278581122', 'False', 'False', 'false', 'false', '511723109001', 5, '长岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723109001', 1, '2021-07-19 11:59:25', NULL, NULL), (26610, '', '中山坪村', 'ae4bad1825e8408c9576feafa418b2f9', 'a9d765cbec2a49bc985234e278581122', 'False', 'False', 'false', 'false', '511723109201', 5, '中山坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723109201', 1, '2021-07-19 11:59:25', NULL, NULL), (26611, '', '天马头村', 'a9645fdd955441389aaf50d3e098a29c', 'a9d765cbec2a49bc985234e278581122', 'False', 'False', 'false', 'false', '511723109202', 5, '天马头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723109202', 1, '2021-07-19 11:59:25', NULL, NULL), (26612, '', '白兔坝村', '32eb99a78ab34c6aaba9222928fa2512', 'a9d765cbec2a49bc985234e278581122', 'False', 'False', 'false', 'false', '511723109203', 5, '白兔坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723109203', 1, '2021-07-19 11:59:25', NULL, NULL), (26613, '', '土包寨村', '6758dfdddfa14eb1acfaf4730f114825', 'a9d765cbec2a49bc985234e278581122', 'False', 'False', 'false', 'false', '511723109206', 5, '土包寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723109206', 1, '2021-07-19 11:59:25', NULL, NULL), (26614, '', '采实桥社区', '226ab2e1497c4a07a6a7dc5795825a10', 'a9d765cbec2a49bc985234e278581122', 'False', 'False', 'false', 'false', '511723109207', 5, '采实桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723109207', 1, '2021-07-19 11:59:25', NULL, NULL), (26615, '', '天星寨村', 'f819f19468ee476d86009e4230cf74d6', 'a9d765cbec2a49bc985234e278581122', 'False', 'False', 'false', 'false', '511723109208', 5, '天星寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723109208', 1, '2021-07-19 11:59:25', NULL, NULL), (26616, '', '槐花树村', 'b63c94050fa24c66835b167fcec5d2c3', 'a9d765cbec2a49bc985234e278581122', 'False', 'False', 'false', 'false', '511723109209', 5, '槐花树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723109209', 1, '2021-07-19 11:59:25', NULL, NULL), (26617, '', '山溪口村', '9f3bcfc1928748ff8382982f22ef61d7', 'a9d765cbec2a49bc985234e278581122', 'False', 'False', 'false', 'false', '511723109211', 5, '山溪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723109211', 1, '2021-07-19 11:59:25', NULL, NULL), (26618, '', '灵岩镇', '9e7a305558e14874886357d850386d2d', '6402a20fd1e24227bcf441f3c7ba2e40', 'True', 'True', 'false', 'false', '511723203000', 4, '灵岩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511723203000', 1, '2021-07-19 11:59:25', NULL, NULL), (26619, '', '灵岩社区', 'ceb7ea4ada5e4cf096159e7a4d5434c1', '9e7a305558e14874886357d850386d2d', 'False', 'True', 'false', 'false', '511723203001', 5, '灵岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723203001', 1, '2021-07-19 11:59:25', NULL, NULL), (26620, '', '李家嘴村', '8cc343a821624b92b5bc9706b4b8b023', '9e7a305558e14874886357d850386d2d', 'False', 'True', 'false', 'false', '511723203200', 5, '李家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723203200', 1, '2021-07-19 11:59:25', NULL, NULL), (26621, '', '分水岭村', 'a917f1ced3c042a4a0fe221bf9c14c94', '9e7a305558e14874886357d850386d2d', 'False', 'True', 'false', 'false', '511723203202', 5, '分水岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723203202', 1, '2021-07-19 11:59:25', NULL, NULL), (26622, '', '天宝寨村', '528d7c14a04b48609518304aa1bebab1', '9e7a305558e14874886357d850386d2d', 'False', 'True', 'false', 'false', '511723203203', 5, '天宝寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723203203', 1, '2021-07-19 11:59:26', NULL, NULL), (26623, '', '土地坪村', '7e17c84ce3d34918970304282ff8f595', '9e7a305558e14874886357d850386d2d', 'False', 'True', 'false', 'false', '511723203204', 5, '土地坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723203204', 1, '2021-07-19 11:59:26', NULL, NULL), (26624, '', '灵岩寺村', 'e7ee6664f2714ea993dd65d7e9848088', '9e7a305558e14874886357d850386d2d', 'False', 'True', 'false', 'false', '511723203206', 5, '灵岩寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723203206', 1, '2021-07-19 11:59:26', NULL, NULL), (26625, '', '桂花院村', 'a6c642589e6b4bd7868049f3e7e0c198', '9e7a305558e14874886357d850386d2d', 'False', 'True', 'false', 'false', '511723203208', 5, '桂花院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723203208', 1, '2021-07-19 11:59:26', NULL, NULL), (26626, '', '梅家乡', 'aa67cc78ba66439686bab5eb290ac602', '6402a20fd1e24227bcf441f3c7ba2e40', 'True', 'True', 'false', 'false', '511723205000', 4, '梅家乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511723205000', 1, '2021-07-19 11:59:26', NULL, NULL), (26627, '', '梅家社区', 'b599d13d058744e0ba93cddc3d3b33c9', 'aa67cc78ba66439686bab5eb290ac602', 'False', 'True', 'false', 'false', '511723205001', 5, '梅家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723205001', 1, '2021-07-19 11:59:26', NULL, NULL), (26628, '', '梅家坝村', '1c27062e4f104727bb194faebf7af36f', 'aa67cc78ba66439686bab5eb290ac602', 'False', 'True', 'false', 'false', '511723205200', 5, '梅家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723205200', 1, '2021-07-19 11:59:26', NULL, NULL), (26629, '', '小方城村', 'e6a38524845f4c5786ea943360f830fe', 'aa67cc78ba66439686bab5eb290ac602', 'False', 'True', 'false', 'false', '511723205201', 5, '小方城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723205201', 1, '2021-07-19 11:59:26', NULL, NULL), (26630, '', '大堰塘村', '8bb6dac820da4e0c86461311f78e1f01', 'aa67cc78ba66439686bab5eb290ac602', 'False', 'True', 'false', 'false', '511723205204', 5, '大堰塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723205204', 1, '2021-07-19 11:59:26', NULL, NULL), (26631, '', '交易山村', 'c4d6ec75f6c44f6384afe7681f2bbfef', 'aa67cc78ba66439686bab5eb290ac602', 'False', 'True', 'false', 'false', '511723205206', 5, '交易山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723205206', 1, '2021-07-19 11:59:26', NULL, NULL), (26632, '', '马黄沟村', 'fdb5da8aac3743908aabe74f7d89e6e8', 'aa67cc78ba66439686bab5eb290ac602', 'False', 'True', 'false', 'false', '511723205207', 5, '马黄沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723205207', 1, '2021-07-19 11:59:26', NULL, NULL), (26633, '', '云龙桥村', 'aa5f76ef6e0d483b9fce9c12dd45dfd7', 'aa67cc78ba66439686bab5eb290ac602', 'False', 'True', 'false', 'false', '511723205208', 5, '云龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723205208', 1, '2021-07-19 11:59:26', NULL, NULL), (26634, '', '八庙镇', '0f219939c6284b64894539f9dd91d39e', '6402a20fd1e24227bcf441f3c7ba2e40', 'True', 'True', 'false', 'false', '511723209000', 4, '八庙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511723209000', 1, '2021-07-19 11:59:26', NULL, NULL), (26635, '', '八庙社区', '0decf5ec5b9b45bcba6f21f6435336b8', '0f219939c6284b64894539f9dd91d39e', 'False', 'False', 'false', 'false', '511723209001', 5, '八庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723209001', 1, '2021-07-19 11:59:26', NULL, NULL), (26636, '', '白蜡园村', '959437be8fa8470498700e1d21bdc45a', '0f219939c6284b64894539f9dd91d39e', 'False', 'False', 'false', 'false', '511723209200', 5, '白蜡园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723209200', 1, '2021-07-19 11:59:26', NULL, NULL), (26637, '', '保全寨村', 'f99d3cbe2d7c4bc494395d78730be052', '0f219939c6284b64894539f9dd91d39e', 'False', 'False', 'false', 'false', '511723209201', 5, '保全寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723209201', 1, '2021-07-19 11:59:26', NULL, NULL), (26638, '', '石和寨村', '0dedd028301c4c209058777bc2439369', '0f219939c6284b64894539f9dd91d39e', 'False', 'False', 'false', 'false', '511723209202', 5, '石和寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723209202', 1, '2021-07-19 11:59:27', NULL, NULL), (26639, '', '长堰沟村', 'a826464a9eae442a9674c92b2bb983c8', '0f219939c6284b64894539f9dd91d39e', 'False', 'False', 'false', 'false', '511723209203', 5, '长堰沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723209203', 1, '2021-07-19 11:59:27', NULL, NULL), (26640, '', '马鞍山村', '6e82c6acd9bc4da7a23e554f3de26f64', '0f219939c6284b64894539f9dd91d39e', 'False', 'False', 'false', 'false', '511723209204', 5, '马鞍山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723209204', 1, '2021-07-19 11:59:27', NULL, NULL), (26641, '', '三角寨村', '0a3d1fceb0784672ab1060f9f6d439a0', '0f219939c6284b64894539f9dd91d39e', 'False', 'False', 'false', 'false', '511723209205', 5, '三角寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723209205', 1, '2021-07-19 11:59:27', NULL, NULL), (26642, '', '淙城街道', '4932c6e43319451cb03cae30530bdb6a', '6402a20fd1e24227bcf441f3c7ba2e40', 'True', 'True', 'false', 'false', '511723572000', 4, '淙城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511723572000', 1, '2021-07-19 11:59:27', NULL, NULL), (26643, '', '黄泥沟村', '79b2d41bb3b8468ebb4703ed4112a47e', '4932c6e43319451cb03cae30530bdb6a', 'False', 'True', 'false', 'false', '511723113200', 5, '黄泥沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723113200', 1, '2021-07-19 11:59:27', NULL, NULL), (26644, '', '金牛社区', 'd8ff3d642ab34e82861d306f69b102f9', '4932c6e43319451cb03cae30530bdb6a', 'False', 'True', 'false', 'false', '511723113002', 5, '金牛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723113002', 1, '2021-07-19 11:59:27', NULL, NULL), (26645, '', '建设社区', 'a533374acee64045946b622d207b2075', '4932c6e43319451cb03cae30530bdb6a', 'False', 'True', 'false', 'false', '511723113003', 5, '建设社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723113003', 1, '2021-07-19 11:59:27', NULL, NULL), (26646, '', '淙城社区', 'c43605b495c342a19256de49ce5cda76', '4932c6e43319451cb03cae30530bdb6a', 'False', 'True', 'false', 'false', '511723113004', 5, '淙城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723113004', 1, '2021-07-19 11:59:27', NULL, NULL), (26647, '', '明月社区', '07d6307c33d54f12bcd23e054fedd1c9', '4932c6e43319451cb03cae30530bdb6a', 'False', 'True', 'false', 'false', '511723113005', 5, '明月社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723113005', 1, '2021-07-19 11:59:27', NULL, NULL), (26648, '', '三里桥社区', 'ad86decda5dc44a49f098e708d319190', '4932c6e43319451cb03cae30530bdb6a', 'False', 'True', 'false', 'false', '511723113006', 5, '三里桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723113006', 1, '2021-07-19 11:59:27', NULL, NULL), (26649, '', '新安社区', '360b280f57da4de3a0791ddce46eec24', '4932c6e43319451cb03cae30530bdb6a', 'False', 'True', 'false', 'false', '511723113887', 5, '新安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723113887', 1, '2021-07-19 11:59:27', NULL, NULL), (26650, '', '真武宫社区', '3ef25eb9c3634e6699748dbc9ac9c3ca', '4932c6e43319451cb03cae30530bdb6a', 'False', 'True', 'false', 'false', '511723113007', 5, '真武宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723113007', 1, '2021-07-19 11:59:27', NULL, NULL), (26651, '', '滨河社区', '9327f5f7861644ed9ad3e10618ad0294', '4932c6e43319451cb03cae30530bdb6a', 'False', 'True', 'false', 'false', '511723113008', 5, '滨河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723113008', 1, '2021-07-19 11:59:27', NULL, NULL), (26652, '', '接龙桥社区', '5c79cca1dc0c405e818ca5b459acaf2e', '4932c6e43319451cb03cae30530bdb6a', 'False', 'True', 'false', 'false', '511723113009', 5, '接龙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723113009', 1, '2021-07-19 11:59:27', NULL, NULL), (26653, '', '清河社区', '2ee721b88f3246c1a28ce0a8bf4983a8', '4932c6e43319451cb03cae30530bdb6a', 'False', 'True', 'false', 'false', '511723113010', 5, '清河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723113010', 1, '2021-07-19 11:59:28', NULL, NULL), (26654, '', '橄榄社区', '9dbf305d03ac47b2b8d05f0598b1bfd1', '4932c6e43319451cb03cae30530bdb6a', 'False', 'True', 'false', 'false', '511723113011', 5, '橄榄社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723113011', 1, '2021-07-19 11:59:28', NULL, NULL), (26655, '', '九石坎社区', 'f3b35283aadb4d86b94fa73c5f83d8d5', '4932c6e43319451cb03cae30530bdb6a', 'False', 'True', 'false', 'false', '511723113012', 5, '九石坎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723113012', 1, '2021-07-19 11:59:28', NULL, NULL), (26656, '', '峨城社区', 'e1cf4943adf44f86959fb222e4d94127', '4932c6e43319451cb03cae30530bdb6a', 'False', 'True', 'false', 'false', '511723113013', 5, '峨城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723113013', 1, '2021-07-19 11:59:28', NULL, NULL), (26657, '', '观音寨村', 'b20fd5d3eb7644c684dbbd25cc72e838', '4932c6e43319451cb03cae30530bdb6a', 'False', 'True', 'false', 'false', '511723113202', 5, '观音寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723113202', 1, '2021-07-19 11:59:28', NULL, NULL), (26658, '', '红庙村', 'bf21d0e67e304216b770baa4656c11e9', '4932c6e43319451cb03cae30530bdb6a', 'False', 'True', 'false', 'false', '511723113201', 5, '红庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511723113201', 1, '2021-07-19 11:59:28', NULL, NULL), (26659, '', '高新技术产业园区（达州）', 'ade97ba11bbf48568547c21b174c8a32', '16ca461e2c824257a50dd0c7fab6f2de', 'True', 'True', 'false', 'false', '511771000000', 3, '达州高新区', 'dzsgxjscyy.sczwfw.gov.cn', 1, '2021-07-19 11:59:28', NULL, NULL), (26660, '', '斌郎街道', '81544a95308640f2bcc3f622b87004b7', 'ade97ba11bbf48568547c21b174c8a32', 'True', 'True', 'false', 'false', '511771200000', 4, '斌郎街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511771200000', 1, '2021-07-19 11:59:28', NULL, NULL), (26661, '', '斌郎社区', '7389138583e24e6d95a2c9a4bf34b06a', '81544a95308640f2bcc3f622b87004b7', 'False', 'True', 'false', 'false', '511771200001', 5, '斌郎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771200001', 1, '2021-07-19 11:59:28', NULL, NULL), (26662, '', '郑家村', '57ee8ce004174473be7127251bb90bab', '81544a95308640f2bcc3f622b87004b7', 'False', 'True', 'false', 'false', '511771200201', 5, '郑家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771200201', 1, '2021-07-19 11:59:28', NULL, NULL), (26663, '', '石沟村', '330af1a77c98494a82627862dbe3d3da', '81544a95308640f2bcc3f622b87004b7', 'False', 'True', 'false', 'false', '511771200203', 5, '石沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771200203', 1, '2021-07-19 11:59:28', NULL, NULL), (26664, '', '木瓜社区', '2463b8d7f01942b0bf16c6dc4289a7d2', '81544a95308640f2bcc3f622b87004b7', 'False', 'True', 'false', 'false', '511771200204', 5, '木瓜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771200204', 1, '2021-07-19 11:59:28', NULL, NULL), (26665, '', '桥坝社区', '12434a8980e84d27af7b2f248f389517', '81544a95308640f2bcc3f622b87004b7', 'False', 'True', 'false', 'false', '511771200206', 5, '桥坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771200206', 1, '2021-07-19 11:59:28', NULL, NULL), (26666, '', '石观村', '7f154a8d0e3946cea1c56f054d9a6463', '81544a95308640f2bcc3f622b87004b7', 'False', 'True', 'false', 'false', '511771200207', 5, '石观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771200207', 1, '2021-07-19 11:59:28', NULL, NULL), (26667, '', '何家村', '4f6ee89851804127a071e9e081d86f90', '81544a95308640f2bcc3f622b87004b7', 'False', 'True', 'false', 'false', '511771200209', 5, '何家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771200209', 1, '2021-07-19 11:59:28', NULL, NULL), (26668, '', '龙坪村', 'c699e0cdb7f94aa993c772bb269c4c85', '81544a95308640f2bcc3f622b87004b7', 'False', 'True', 'false', 'false', '511771200212', 5, '龙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771200212', 1, '2021-07-19 11:59:28', NULL, NULL), (26669, '', '堰坝社区', '51fb369158dc40a8b36dc18f9c045f76', '81544a95308640f2bcc3f622b87004b7', 'False', 'True', 'false', 'false', '511771200213', 5, '堰坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771200213', 1, '2021-07-19 11:59:28', NULL, NULL), (26670, '', '火烽山村', '564919508ac541caacd6b7ebf391f2b0', '81544a95308640f2bcc3f622b87004b7', 'False', 'True', 'false', 'false', '511771200214', 5, '火烽山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771200214', 1, '2021-07-19 11:59:28', NULL, NULL), (26671, '', '长田社区', 'e1a9c7f714b84c7787945bb09c65d966', '81544a95308640f2bcc3f622b87004b7', 'False', 'True', 'false', 'false', '511771200216', 5, '长田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771200216', 1, '2021-07-19 11:59:28', NULL, NULL), (26672, '', '蔡坪村', 'f016681aa1504a4892cddfc2d3430a90', '81544a95308640f2bcc3f622b87004b7', 'False', 'True', 'false', 'false', '511771200217', 5, '蔡坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771200217', 1, '2021-07-19 11:59:28', NULL, NULL), (26673, '', '三品山社区', '9d72144fadf146cb936e07412a1c850f', '81544a95308640f2bcc3f622b87004b7', 'False', 'True', 'false', 'false', '511771200220', 5, '三品山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771200220', 1, '2021-07-19 11:59:29', NULL, NULL), (26674, '', '长江村', '06a4476832d44be2aae90c2330d621a3', '81544a95308640f2bcc3f622b87004b7', 'False', 'True', 'false', 'false', '511771200223', 5, '长江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771200223', 1, '2021-07-19 11:59:29', NULL, NULL), (26675, '', '河东社区', '31dbadc08f5545f58a90e55bb4014d66', '81544a95308640f2bcc3f622b87004b7', 'False', 'True', 'false', 'false', '511771200224', 5, '河东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771200224', 1, '2021-07-19 11:59:29', NULL, NULL), (26676, '', '红花村', '24b0cb73907347b5b1d0093b6013380f', '81544a95308640f2bcc3f622b87004b7', 'False', 'True', 'false', 'false', '511771200225', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771200225', 1, '2021-07-19 11:59:29', NULL, NULL), (26677, '', '金银村', 'e15630e203c144d6bc5c69b106666137', '81544a95308640f2bcc3f622b87004b7', 'False', 'True', 'false', 'false', '511771200226', 5, '金银村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771200226', 1, '2021-07-19 11:59:29', NULL, NULL), (26678, '', '幺塘乡', 'c992ee966d58480fbb0fcb425099a5ba', 'ade97ba11bbf48568547c21b174c8a32', 'True', 'True', 'false', 'false', '511771201000', 4, '幺塘乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511771201000', 1, '2021-07-19 11:59:29', NULL, NULL), (26679, '', '幺店子社区', '010d6ec7a0e44d41bddfc2a2dec03e33', 'c992ee966d58480fbb0fcb425099a5ba', 'False', 'True', 'false', 'false', '511771201001', 5, '幺店子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771201001', 1, '2021-07-19 11:59:29', NULL, NULL), (26680, '', '阁溪社区', '18d3869ff03d4a3db0890ca83c9a419b', 'c992ee966d58480fbb0fcb425099a5ba', 'False', 'True', 'false', 'false', '511771201002', 5, '阁溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771201002', 1, '2021-07-19 11:59:29', NULL, NULL), (26681, '', '辉山村', '4916e0872180455ca82c797848e997fe', 'c992ee966d58480fbb0fcb425099a5ba', 'False', 'True', 'false', 'false', '511771201202', 5, '辉山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771201202', 1, '2021-07-19 11:59:29', NULL, NULL), (26682, '', '中河村', '77a8dbf705174007a578d606bf29f025', 'c992ee966d58480fbb0fcb425099a5ba', 'False', 'True', 'false', 'false', '511771201204', 5, '中河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771201204', 1, '2021-07-19 11:59:29', NULL, NULL), (26683, '', '北坪村', '368e9678db4b4b559c5762dad3dba57c', 'c992ee966d58480fbb0fcb425099a5ba', 'False', 'True', 'false', 'false', '511771201205', 5, '北坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771201205', 1, '2021-07-19 11:59:29', NULL, NULL), (26684, '', '平洞村', '7f96ccd70ac4430c939646f952b94145', 'c992ee966d58480fbb0fcb425099a5ba', 'False', 'True', 'false', 'false', '511771201206', 5, '平洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771201206', 1, '2021-07-19 11:59:29', NULL, NULL), (26685, '', '万阁社区', '4f8edbb9de2e4a299b79ad9b1f108706', 'c992ee966d58480fbb0fcb425099a5ba', 'False', 'True', 'false', 'false', '511771201208', 5, '万阁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771201208', 1, '2021-07-19 11:59:29', NULL, NULL), (26686, '', '河西村', 'dde97245499a44229c19facebaecd1cd', 'c992ee966d58480fbb0fcb425099a5ba', 'False', 'True', 'false', 'false', '511771201210', 5, '河西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771201210', 1, '2021-07-19 11:59:29', NULL, NULL), (26687, '', '长西村', 'd721be1254b34c99878839d11c1838b5', 'c992ee966d58480fbb0fcb425099a5ba', 'False', 'True', 'false', 'false', '511771201211', 5, '长西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771201211', 1, '2021-07-19 11:59:29', NULL, NULL), (26688, '', '锁口村', 'e29aa00df1794b22aa8d931a180dd777', 'c992ee966d58480fbb0fcb425099a5ba', 'False', 'True', 'false', 'false', '511771201212', 5, '锁口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771201212', 1, '2021-07-19 11:59:29', NULL, NULL), (26689, '', '新民村', '7f9f1d907cd14240b2eeb0185252bbc9', 'c992ee966d58480fbb0fcb425099a5ba', 'False', 'True', 'false', 'false', '511771201214', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511771201214', 1, '2021-07-19 11:59:29', NULL, NULL), (26690, '', '巴中市', '60a505e9dfa643e9826902e0810de55f', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '511900000000', 2, '巴中市', 'bzs.sczwfw.gov.cn', 1, '2021-07-19 11:59:29', NULL, NULL), (26691, '', '巴州区', 'fc90133f8add46f0ae2e2116a8b9b13b', '60a505e9dfa643e9826902e0810de55f', 'True', 'True', 'false', 'false', '511902000000', 3, '巴州区', 'bzsbzq.sczwfw.gov.cn', 1, '2021-07-19 11:59:30', NULL, NULL), (26692, '', '天马山镇', '53fb406aab354dfc9178b2ddaaaccc09', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902128000', 4, '天马山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902128000', 1, '2021-07-19 11:59:30', NULL, NULL), (26693, '', '天堂村', 'f0ad972c20d547e1aa7b0c37d58780fe', '53fb406aab354dfc9178b2ddaaaccc09', 'False', 'True', 'false', 'false', '511902128660', 5, '天堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902128660', 1, '2021-07-19 11:59:30', NULL, NULL), (26694, '', '茶园村', '325334cb9ec04dd3b249484b5ea6a94d', '53fb406aab354dfc9178b2ddaaaccc09', 'False', 'True', 'false', 'false', '511902128829', 5, '茶园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902128829', 1, '2021-07-19 11:59:30', NULL, NULL), (26695, '', '狮子寨村', '8c24f17186944096b69bdf5c9bfaf0c8', '53fb406aab354dfc9178b2ddaaaccc09', 'False', 'True', 'false', 'false', '511902128014', 5, '狮子寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902128014', 1, '2021-07-19 11:59:30', NULL, NULL), (26696, '', '朝阳洞村', '47fd9def4c604a0698bb8c61d89e6409', '53fb406aab354dfc9178b2ddaaaccc09', 'False', 'True', 'false', 'false', '511902128032', 5, '朝阳洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902128032', 1, '2021-07-19 11:59:30', NULL, NULL), (26697, '', '柳岗社区', '6e766b3bfd59425f802f39e70ab11c4b', '53fb406aab354dfc9178b2ddaaaccc09', 'False', 'True', 'false', 'false', '511902128049', 5, '柳岗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902128049', 1, '2021-07-19 11:59:30', NULL, NULL), (26698, '', '修行寺村', 'c5028ceae3b9451a9ac0902fc510ca3a', '53fb406aab354dfc9178b2ddaaaccc09', 'False', 'True', 'false', 'false', '511902128198', 5, '修行寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902128198', 1, '2021-07-19 11:59:30', NULL, NULL), (26699, '', '金石村', '7228e6e054d048ccaf1e77bfcfbb18ff', '53fb406aab354dfc9178b2ddaaaccc09', 'False', 'True', 'false', 'false', '511902128220', 5, '金石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902128220', 1, '2021-07-19 11:59:30', NULL, NULL), (26700, '', '方碑村', '5dd8ac2d4fe94c919843b37f2a3e276f', '53fb406aab354dfc9178b2ddaaaccc09', 'False', 'True', 'false', 'false', '511902128269', 5, '方碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902128269', 1, '2021-07-19 11:59:30', NULL, NULL), (26701, '', '刘家坡村', '2de01dcbb4fb4f6a8ff4159cb4ab8202', '53fb406aab354dfc9178b2ddaaaccc09', 'False', 'True', 'false', 'false', '511902128303', 5, '刘家坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902128303', 1, '2021-07-19 11:59:30', NULL, NULL), (26702, '', '天南村', '66a5b3a27d074192b62e9703a1297918', '53fb406aab354dfc9178b2ddaaaccc09', 'False', 'True', 'false', 'false', '511902128529', 5, '天南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902128529', 1, '2021-07-19 11:59:30', NULL, NULL), (26703, '', '桂花井社区', '13e7b664a2ac41c1bcfe378758f120d5', '53fb406aab354dfc9178b2ddaaaccc09', 'False', 'True', 'false', 'false', '511902128538', 5, '桂花井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902128538', 1, '2021-07-19 11:59:30', NULL, NULL), (26704, '', '南娅社区', '9623732e188a4fe88f5b2b35748d467e', '53fb406aab354dfc9178b2ddaaaccc09', 'False', 'True', 'false', 'false', '511902128598', 5, '南娅社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902128598', 1, '2021-07-19 11:59:30', NULL, NULL), (26705, '', '高顶寨村', '1a6391cf4cf24a3697b0ab99f5c76849', '53fb406aab354dfc9178b2ddaaaccc09', 'False', 'True', 'false', 'false', '511902128625', 5, '高顶寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902128625', 1, '2021-07-19 11:59:30', NULL, NULL), (26706, '', '谢家湾村', '9ba7bb40d6d6435a84069ca76eb8995a', '53fb406aab354dfc9178b2ddaaaccc09', 'False', 'True', 'false', 'false', '511902128782', 5, '谢家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902128782', 1, '2021-07-19 11:59:30', NULL, NULL), (26707, '', '寺岭村', 'b183ef07b60f481eb2a60bcba2885bea', '53fb406aab354dfc9178b2ddaaaccc09', 'False', 'True', 'false', 'false', '511902128810', 5, '寺岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902128810', 1, '2021-07-19 11:59:30', NULL, NULL), (26708, '', '安家坝村', '930ea385ca594e6da0e7acf6600e5cb5', '53fb406aab354dfc9178b2ddaaaccc09', 'False', 'True', 'false', 'false', '511902128941', 5, '安家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902128941', 1, '2021-07-19 11:59:30', NULL, NULL), (26709, '', '东城街道', 'd7faf037b87d440fa76e088bf87258b9', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902001000', 4, '东城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902001000', 1, '2021-07-19 11:59:30', NULL, NULL), (26710, '', '古井子社区', 'af4d24dfabf749cb95e6b3a64c91e701', 'd7faf037b87d440fa76e088bf87258b9', 'False', 'True', 'false', 'false', '511902001160', 5, '古井子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902001160', 1, '2021-07-19 11:59:30', NULL, NULL), (26711, '', '观音井社区', '9bd938639b12480a888940757db227f2', 'd7faf037b87d440fa76e088bf87258b9', 'False', 'True', 'false', 'false', '511902001245', 5, '观音井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902001245', 1, '2021-07-19 11:59:30', NULL, NULL), (26712, '', '老观桥社区', 'a7ba6ee470984e17bcaaae7387b5bba2', 'd7faf037b87d440fa76e088bf87258b9', 'False', 'True', 'false', 'false', '511902001584', 5, '老观桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902001584', 1, '2021-07-19 11:59:30', NULL, NULL), (26713, '', '北门社区', '9d92493a25c2441f9cf0bc849fd6b122', 'd7faf037b87d440fa76e088bf87258b9', 'False', 'True', 'false', 'false', '511902001001', 5, '北门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902001001', 1, '2021-07-19 11:59:30', NULL, NULL), (26714, '', '鼓楼社区', 'a3f5f867c4bd47fa802fa8b3f5852d92', 'd7faf037b87d440fa76e088bf87258b9', 'False', 'True', 'false', 'false', '511902001002', 5, '鼓楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902001002', 1, '2021-07-19 11:59:31', NULL, NULL), (26715, '', '大东社区', '0ce6047a911e41efaeed5c3c1f77bb81', 'd7faf037b87d440fa76e088bf87258b9', 'False', 'True', 'false', 'false', '511902001003', 5, '大东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902001003', 1, '2021-07-19 11:59:31', NULL, NULL), (26716, '', '南门社区', '35b1e5eb1cd74969a4e4ce141e27c63a', 'd7faf037b87d440fa76e088bf87258b9', 'False', 'True', 'false', 'false', '511902001004', 5, '南门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902001004', 1, '2021-07-19 11:59:31', NULL, NULL), (26717, '', '南坝社区', 'bf1aed49c37748c4a5521be2bbbb1d99', 'd7faf037b87d440fa76e088bf87258b9', 'False', 'True', 'false', 'false', '511902001005', 5, '南坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902001005', 1, '2021-07-19 11:59:31', NULL, NULL), (26718, '', '太子社区', '47a09ef36d0e4fc3816962e6aa84db25', 'd7faf037b87d440fa76e088bf87258b9', 'False', 'True', 'false', 'false', '511902001006', 5, '太子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902001006', 1, '2021-07-19 11:59:31', NULL, NULL), (26719, '', '柏杨社区', '794e64f4c62d448db9feaf5dbdb1615f', 'd7faf037b87d440fa76e088bf87258b9', 'False', 'True', 'false', 'false', '511902001200', 5, '柏杨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902001200', 1, '2021-07-19 11:59:31', NULL, NULL), (26720, '', '擂鼓社区', 'e7889ca961554557a48cd49ebb1f8d46', 'd7faf037b87d440fa76e088bf87258b9', 'False', 'True', 'false', 'false', '511902001201', 5, '擂鼓社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902001201', 1, '2021-07-19 11:59:31', NULL, NULL), (26721, '', '西城街道', '252cf85ceaf14bceb5b957aa7563a5d3', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902002000', 4, '西城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902002000', 1, '2021-07-19 11:59:31', NULL, NULL), (26722, '', '柳津桥社区', 'a58b13862ca94989a91e4808990adb38', '252cf85ceaf14bceb5b957aa7563a5d3', 'False', 'True', 'false', 'false', '511902002287', 5, '柳津桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902002287', 1, '2021-07-19 11:59:31', NULL, NULL), (26723, '', '云屏社区', '1ba43b63a4c14eaeb6fae9bd8208a8b8', '252cf85ceaf14bceb5b957aa7563a5d3', 'False', 'True', 'false', 'false', '511902002846', 5, '云屏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902002846', 1, '2021-07-19 11:59:31', NULL, NULL), (26724, '', '草坝社区', 'b87aa475cffa4e558dd377dd9d77980e', '252cf85ceaf14bceb5b957aa7563a5d3', 'False', 'True', 'false', 'false', '511902002001', 5, '草坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902002001', 1, '2021-07-19 11:59:31', NULL, NULL), (26725, '', '红福社区', '6323a595c8084d89a0d5e51ba9e31c29', '252cf85ceaf14bceb5b957aa7563a5d3', 'False', 'True', 'false', 'false', '511902002004', 5, '红福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902002004', 1, '2021-07-19 11:59:31', NULL, NULL), (26726, '', '佛阳社区', '82966c94b6f343138c32e57fafe73631', '252cf85ceaf14bceb5b957aa7563a5d3', 'False', 'True', 'false', 'false', '511902002005', 5, '佛阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902002005', 1, '2021-07-19 11:59:31', NULL, NULL), (26727, '', '后坝社区', '35fcfdbea1d5421887f344f8fccb6f91', '252cf85ceaf14bceb5b957aa7563a5d3', 'False', 'True', 'false', 'false', '511902002006', 5, '后坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902002006', 1, '2021-07-19 11:59:31', NULL, NULL), (26728, '', '西龛村', '79b85c80d01743c1bbed5c6bb5bda269', '252cf85ceaf14bceb5b957aa7563a5d3', 'False', 'True', 'false', 'false', '511902002200', 5, '西龛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902002200', 1, '2021-07-19 11:59:31', NULL, NULL), (26729, '', '大连村', '3b64dc801ae040ecb79973e37ba65dc8', '252cf85ceaf14bceb5b957aa7563a5d3', 'False', 'True', 'false', 'false', '511902002201', 5, '大连村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902002201', 1, '2021-07-19 11:59:31', NULL, NULL), (26730, '', '莲山湖社区', 'fe49aa05e94f43929e109b777540745b', '252cf85ceaf14bceb5b957aa7563a5d3', 'False', 'True', 'false', 'false', '511902002312', 5, '莲山湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902002312', 1, '2021-07-19 11:59:31', NULL, NULL), (26731, '', '白马井社区', '6814e926af554421a5950e307b5c18cd', '252cf85ceaf14bceb5b957aa7563a5d3', 'False', 'True', 'false', 'false', '511902002448', 5, '白马井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902002448', 1, '2021-07-19 11:59:31', NULL, NULL), (26732, '', '南龛社区', '4ca1b136727b4aa2b89d8873fac48a4c', '252cf85ceaf14bceb5b957aa7563a5d3', 'False', 'True', 'false', 'false', '511902002548', 5, '南龛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902002548', 1, '2021-07-19 11:59:31', NULL, NULL), (26733, '', '宕梁街道', '53e5326c079342908897850fbd1f0582', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902005000', 4, '宕梁街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902005000', 1, '2021-07-19 11:59:31', NULL, NULL), (26734, '', '红岩社区', '3dd7c73d7a314e4db5d11872aaa808a3', '53e5326c079342908897850fbd1f0582', 'False', 'True', 'false', 'false', '511902005001', 5, '红岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902005001', 1, '2021-07-19 11:59:31', NULL, NULL), (26735, '', '后河社区', '04564b7d1ff24819a4f64f8e5144be7b', '53e5326c079342908897850fbd1f0582', 'False', 'True', 'false', 'false', '511902005002', 5, '后河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902005002', 1, '2021-07-19 11:59:31', NULL, NULL), (26736, '', '中坝社区', '67d9093f8aaa4ec8a1301652dc1312e0', '53e5326c079342908897850fbd1f0582', 'False', 'True', 'false', 'false', '511902005003', 5, '中坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902005003', 1, '2021-07-19 11:59:31', NULL, NULL), (26737, '', '杨坝社区', '0fd81ff11bd2475a916162a2402e5c80', '53e5326c079342908897850fbd1f0582', 'False', 'True', 'false', 'false', '511902005004', 5, '杨坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902005004', 1, '2021-07-19 11:59:31', NULL, NULL), (26738, '', '塔子山村', '2aba232457034d889356a944e757a2a7', '53e5326c079342908897850fbd1f0582', 'False', 'True', 'false', 'false', '511902005201', 5, '塔子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902005201', 1, '2021-07-19 11:59:32', NULL, NULL), (26739, '', '凉水井村', '705ecd99435d4edc9f609f4ff54a8135', '53e5326c079342908897850fbd1f0582', 'False', 'True', 'false', 'false', '511902005204', 5, '凉水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902005204', 1, '2021-07-19 11:59:32', NULL, NULL), (26740, '', '碾盘寺村', 'd3c0a26499094593aec4b10dee1d9b92', '53e5326c079342908897850fbd1f0582', 'False', 'True', 'false', 'false', '511902005207', 5, '碾盘寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902005207', 1, '2021-07-19 11:59:32', NULL, NULL), (26741, '', '清莲村', 'ef0247633f0b4950bb8b3ff3486f9809', '53e5326c079342908897850fbd1f0582', 'False', 'True', 'false', 'false', '511902005208', 5, '清莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902005208', 1, '2021-07-19 11:59:32', NULL, NULL), (26742, '', '洪山村', 'aab4297bf0d948fa983a4cdc86dab914', '53e5326c079342908897850fbd1f0582', 'False', 'True', 'false', 'false', '511902005209', 5, '洪山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902005209', 1, '2021-07-19 11:59:32', NULL, NULL), (26743, '', '许家岭村', '716aebf1d7d84b4fa6b31af7d4568cb4', '53e5326c079342908897850fbd1f0582', 'False', 'True', 'false', 'false', '511902124330', 5, '许家岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902124330', 1, '2021-07-19 11:59:32', NULL, NULL), (26744, '', '玉堂街道', 'a404bd9db47144f5b70fcb12cb5e21d0', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902006000', 4, '玉堂街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902006000', 1, '2021-07-19 11:59:32', NULL, NULL), (26745, '', '尖山寺村', '89281e83b4f8452d8fe6508f2a50aa5a', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902005284', 5, '尖山寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902005284', 1, '2021-07-19 11:59:32', NULL, NULL), (26746, '', '摇铃村', 'd088875e7011473baa0f251ba8620c1b', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902005419', 5, '摇铃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902005419', 1, '2021-07-19 11:59:32', NULL, NULL), (26747, '', '新桥社区', 'e32a59758dac4883b49ed3d4dca41c7b', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006001', 5, '新桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006001', 1, '2021-07-19 11:59:32', NULL, NULL), (26748, '', '登高社区', '257e2b1cd45e43adbb5757f5e8ff2442', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006002', 5, '登高社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006002', 1, '2021-07-19 11:59:32', NULL, NULL), (26749, '', '北龛社区', 'fdbec6d72704477f90e643d646ac4ccc', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006003', 5, '北龛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006003', 1, '2021-07-19 11:59:32', NULL, NULL), (26750, '', '印山坪村', '582ed8b05cc8477c85493084af6d9d49', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006194', 5, '印山坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006194', 1, '2021-07-19 11:59:32', NULL, NULL), (26751, '', '檬子河村', '4203b6a1f5d94468ae73c4cebb48bf63', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006200', 5, '檬子河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006200', 1, '2021-07-19 11:59:32', NULL, NULL), (26752, '', '苏山村', 'bf5df8fd16d744608bd0cdfabe957f2d', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006201', 5, '苏山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006201', 1, '2021-07-19 11:59:32', NULL, NULL), (26753, '', '三包村', '4d99cb4704404dc2abb550cf90d29288', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006202', 5, '三包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006202', 1, '2021-07-19 11:59:32', NULL, NULL), (26754, '', '玉堂村', 'cca7f233f025453888a0e0315dbea959', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006203', 5, '玉堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006203', 1, '2021-07-19 11:59:32', NULL, NULL), (26755, '', '铜堡村', 'ff668033e2fb41a0921aa3a25d2b4d4c', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006204', 5, '铜堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006204', 1, '2021-07-19 11:59:32', NULL, NULL), (26756, '', '侯家沟村', '5da099f8beee4103a212da3d786b9cb3', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006205', 5, '侯家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006205', 1, '2021-07-19 11:59:32', NULL, NULL), (26757, '', '管家沟村', 'e2fceed5d0f7417981ce13305c89a4ec', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006206', 5, '管家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006206', 1, '2021-07-19 11:59:32', NULL, NULL), (26758, '', '西溪沟村', '715c82a398154891b761dbe48d05cb58', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006207', 5, '西溪沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006207', 1, '2021-07-19 11:59:32', NULL, NULL), (26759, '', '桥炉村', 'fd1d8cc7d6a2493cbc8e940b72d10355', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006208', 5, '桥炉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006208', 1, '2021-07-19 11:59:32', NULL, NULL), (26760, '', '长角梁村', '4a1c30fe3eaf431686a1afaad0282000', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006209', 5, '长角梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006209', 1, '2021-07-19 11:59:32', NULL, NULL), (26761, '', '范家沟村', 'd70fb96e1a614aea87ea9204b84bad48', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006210', 5, '范家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006210', 1, '2021-07-19 11:59:32', NULL, NULL), (26762, '', '古楼山村', '5f0a7efda2ed4867b77cadc55e167bc1', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006417', 5, '古楼山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006417', 1, '2021-07-19 11:59:32', NULL, NULL), (26763, '', '寨子包村', '46760887dadf4ad9aa2b56b9dec57ccd', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006570', 5, '寨子包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006570', 1, '2021-07-19 11:59:32', NULL, NULL), (26764, '', '何家坪村', 'e6e572a1f5bb404dbd51a3434e658208', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006599', 5, '何家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006599', 1, '2021-07-19 11:59:32', NULL, NULL), (26765, '', '天星湖社区', '73b6d19420b44f3a8f93046f2010aea4', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006671', 5, '天星湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006671', 1, '2021-07-19 11:59:33', NULL, NULL), (26766, '', '印和社区', '406c60f3194543649140f427fcbbf3ea', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006819', 5, '印和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006819', 1, '2021-07-19 11:59:33', NULL, NULL), (26767, '', '柏垭庙村', '11975307564c40649a9e9286bd168169', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006841', 5, '柏垭庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006841', 1, '2021-07-19 11:59:33', NULL, NULL), (26768, '', '方山雁村', '0cb7f92490d94a2a83870aa56ed2e7f1', 'a404bd9db47144f5b70fcb12cb5e21d0', 'False', 'True', 'false', 'false', '511902006924', 5, '方山雁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902006924', 1, '2021-07-19 11:59:33', NULL, NULL), (26769, '', '时新街道', '0e993e2213e241409fc789d9d90c5be4', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902009000', 4, '时新街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902009000', 1, '2021-07-19 11:59:33', NULL, NULL), (26770, '', '白塔社区', '12b5230bae6a4a99a4d61acf88ca8315', '0e993e2213e241409fc789d9d90c5be4', 'False', 'True', 'false', 'false', '511902009001', 5, '白塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902009001', 1, '2021-07-19 11:59:33', NULL, NULL), (26771, '', '插旗山社区', '5671abe2f4fc45c789d96172e825d328', '0e993e2213e241409fc789d9d90c5be4', 'False', 'True', 'false', 'false', '511902009010', 5, '插旗山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902009010', 1, '2021-07-19 11:59:33', NULL, NULL), (26772, '', '双桥河村', 'b2b6fff0a2214067a01fdf1905189165', '0e993e2213e241409fc789d9d90c5be4', 'False', 'True', 'false', 'false', '511902009201', 5, '双桥河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902009201', 1, '2021-07-19 11:59:33', NULL, NULL), (26773, '', '排垭村', 'b3811915300f42a38a342d3c2d8c2a4d', '0e993e2213e241409fc789d9d90c5be4', 'False', 'True', 'false', 'false', '511902009210', 5, '排垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902009210', 1, '2021-07-19 11:59:33', NULL, NULL), (26774, '', '大茅坪镇', '66ac9550da9b4a198622480b48c8e66c', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902100000', 4, '大茅坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902100000', 1, '2021-07-19 11:59:33', NULL, NULL), (26775, '', '明星社区', '42999ab10b304a4cb173f9b8e019bfb2', '66ac9550da9b4a198622480b48c8e66c', 'False', 'True', 'false', 'false', '511902100001', 5, '明星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902100001', 1, '2021-07-19 11:59:33', NULL, NULL), (26776, '', '白云村', '8881742b3b0743c79002eb8b6f9a584c', '66ac9550da9b4a198622480b48c8e66c', 'False', 'True', 'false', 'false', '511902100200', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902100200', 1, '2021-07-19 11:59:33', NULL, NULL), (26777, '', '大茅村', '90eb622f91fb492a8da0098045319be5', '66ac9550da9b4a198622480b48c8e66c', 'False', 'True', 'false', 'false', '511902100201', 5, '大茅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902100201', 1, '2021-07-19 11:59:33', NULL, NULL), (26778, '', '红垭村', '759962ef74a24801bf1aa315ac98eab9', '66ac9550da9b4a198622480b48c8e66c', 'False', 'True', 'false', 'false', '511902100202', 5, '红垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902100202', 1, '2021-07-19 11:59:33', NULL, NULL), (26779, '', '土地垭村', 'bff51d80c4f341c4afb1929493143f5c', '66ac9550da9b4a198622480b48c8e66c', 'False', 'True', 'false', 'false', '511902100203', 5, '土地垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902100203', 1, '2021-07-19 11:59:33', NULL, NULL), (26780, '', '得阳村', '07d3fe76847c496795cac484eb240c54', '66ac9550da9b4a198622480b48c8e66c', 'False', 'True', 'false', 'false', '511902100204', 5, '得阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902100204', 1, '2021-07-19 11:59:33', NULL, NULL), (26781, '', '孟家村', 'f4a3f2eec5d14c03b4d595ada2d32fc1', '66ac9550da9b4a198622480b48c8e66c', 'False', 'True', 'false', 'false', '511902100205', 5, '孟家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902100205', 1, '2021-07-19 11:59:33', NULL, NULL), (26782, '', '南垭庙村', 'a912817607a648439a41c50073a5ba15', '66ac9550da9b4a198622480b48c8e66c', 'False', 'True', 'false', 'false', '511902100206', 5, '南垭庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902100206', 1, '2021-07-19 11:59:33', NULL, NULL), (26783, '', '清江镇', 'a40167ec054143bfb040eb5349f96d6f', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902101000', 4, '清江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902101000', 1, '2021-07-19 11:59:33', NULL, NULL), (26784, '', '海生社区', '8ca84655aeed4cf0814a4c35e671b456', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101001', 5, '海生社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101001', 1, '2021-07-19 11:59:33', NULL, NULL), (26785, '', '中岭坪社区', '9955f8d37bd94b57b757beacd6fc9189', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101002', 5, '中岭坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101002', 1, '2021-07-19 11:59:33', NULL, NULL), (26786, '', '腊红社区', 'a0f02535506d4bfba8aa83c53b2250b3', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101004', 5, '腊红社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101004', 1, '2021-07-19 11:59:33', NULL, NULL), (26787, '', '柏林村', '6a2eda1bbe46424c8a27417f9fb45b15', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101200', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101200', 1, '2021-07-19 11:59:33', NULL, NULL), (26788, '', '塘坝村', '200561d621a2424990aebb28a09375da', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101201', 5, '塘坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101201', 1, '2021-07-19 11:59:34', NULL, NULL), (26789, '', '佑垭村', '661fd4d33bf445cb87397c8721253154', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101202', 5, '佑垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101202', 1, '2021-07-19 11:59:34', NULL, NULL), (26790, '', '杏垭村', 'a58a780db970473084678d563bf6ea97', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101203', 5, '杏垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101203', 1, '2021-07-19 11:59:34', NULL, NULL), (26791, '', '峰垭村', 'ed76f119de1d49cc931b20e29a5d32ae', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101204', 5, '峰垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101204', 1, '2021-07-19 11:59:34', NULL, NULL), (26792, '', '铁炉村', '556b6888de6e429daaddf8d354d06956', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101205', 5, '铁炉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101205', 1, '2021-07-19 11:59:34', NULL, NULL), (26793, '', '观山村', 'c3d62d4325e846b8bcd0c30da1210185', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101206', 5, '观山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101206', 1, '2021-07-19 11:59:34', NULL, NULL), (26794, '', '文昌村', '0ba88bc2330847a4a74926c807e6f8b8', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101207', 5, '文昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101207', 1, '2021-07-19 11:59:34', NULL, NULL), (26795, '', '台山村', '5f31917f65944d699caa346c906df49c', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101208', 5, '台山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101208', 1, '2021-07-19 11:59:34', NULL, NULL), (26796, '', '昆山村', '2e36e8644031414585ce312a3afa1c7a', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101209', 5, '昆山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101209', 1, '2021-07-19 11:59:34', NULL, NULL), (26797, '', '巾字村', '1569461750354a5ab93f75d9984322af', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101210', 5, '巾字村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101210', 1, '2021-07-19 11:59:34', NULL, NULL), (26798, '', '环岭村', '8ae33d7a55d042088e9fb572e2d243f2', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101211', 5, '环岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101211', 1, '2021-07-19 11:59:34', NULL, NULL), (26799, '', '黑林村', 'a15b8a686e4549b2b093912b4dd832a4', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101212', 5, '黑林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101212', 1, '2021-07-19 11:59:34', NULL, NULL), (26800, '', '黄包村', 'cc4ded76239249e79c186b052e8826e1', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101213', 5, '黄包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101213', 1, '2021-07-19 11:59:34', NULL, NULL), (26801, '', '石柱村', '133724666ad14ee28e6467fee343b06e', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101214', 5, '石柱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101214', 1, '2021-07-19 11:59:34', NULL, NULL), (26802, '', '武学堂村', '85655f66625c4b4b8fa2215fe9f9a3c4', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101215', 5, '武学堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101215', 1, '2021-07-19 11:59:34', NULL, NULL), (26803, '', '大排村', '1ac3106b28ae4f82a107827c17aeb131', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101216', 5, '大排村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101216', 1, '2021-07-19 11:59:34', NULL, NULL), (26804, '', '龙潭村', '2b121d557935418e811353db0ed80bf9', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101217', 5, '龙潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101217', 1, '2021-07-19 11:59:34', NULL, NULL), (26805, '', '蔡家湾村', '51d3ff0da902486c83e19fe1d4ef56d4', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101218', 5, '蔡家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101218', 1, '2021-07-19 11:59:34', NULL, NULL), (26806, '', '九湾村', 'd67053cbef414ac6bf5d2318928dd2ee', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101219', 5, '九湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101219', 1, '2021-07-19 11:59:34', NULL, NULL), (26807, '', '亮垭村', '4990d74f325f4ec49c89530790f954b3', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101220', 5, '亮垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101220', 1, '2021-07-19 11:59:34', NULL, NULL), (26808, '', '青云村', '87ca5fb251144b1cb34545b854152d4b', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101221', 5, '青云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101221', 1, '2021-07-19 11:59:34', NULL, NULL), (26809, '', '灵江桥村', '5fddf8b2e1aa4563ac53767ce9eb2099', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101596', 5, '灵江桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101596', 1, '2021-07-19 11:59:34', NULL, NULL), (26810, '', '长滩河村', '871086fd30f34a6a9b79d10391abf6ae', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101654', 5, '长滩河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101654', 1, '2021-07-19 11:59:35', NULL, NULL), (26811, '', '八家坪村', 'dc1f5e78907e4384b1991cbc9693d89c', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101954', 5, '八家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101954', 1, '2021-07-19 11:59:35', NULL, NULL), (26812, '', '洛伽村', '07c5d4bb52c84649a4739fde2062f097', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101955', 5, '洛伽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101955', 1, '2021-07-19 11:59:35', NULL, NULL), (26813, '', '水井村', '6c3ae0a528bc4bb9920f33d4605950ae', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101962', 5, '水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101962', 1, '2021-07-19 11:59:35', NULL, NULL), (26814, '', '永兴社区', 'da27a9661c014818b6e0ac306af665af', 'a40167ec054143bfb040eb5349f96d6f', 'False', 'True', 'false', 'false', '511902101997', 5, '永兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902101997', 1, '2021-07-19 11:59:35', NULL, NULL), (26815, '', '化成镇', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902104000', 4, '化成镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902104000', 1, '2021-07-19 11:59:35', NULL, NULL), (26816, '', '奎星楼村', '08b714d73548411f80318bfeb1f48994', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104286', 5, '奎星楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104286', 1, '2021-07-19 11:59:35', NULL, NULL), (26817, '', '化湖社区', '490ffc7f2b3f48cea75274c59023499d', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104001', 5, '化湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104001', 1, '2021-07-19 11:59:35', NULL, NULL), (26818, '', '金光社区', 'a403881f3a444faea7cfb7ffea168e0a', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104002', 5, '金光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104002', 1, '2021-07-19 11:59:35', NULL, NULL), (26819, '', '梓橦庙社区', '56d6864bb7814dafb422890ae089a6cf', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104116', 5, '梓橦庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104116', 1, '2021-07-19 11:59:35', NULL, NULL), (26820, '', '赵家营村', '907961f17c694030ae38832c906e7353', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104200', 5, '赵家营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104200', 1, '2021-07-19 11:59:35', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (26821, '', '邵家坪村', 'a8ac8c216ac449dea56e670ed02f31ec', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104201', 5, '邵家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104201', 1, '2021-07-19 11:59:35', NULL, NULL), (26822, '', '宋家碥村', '85755c9306de43f7b33b927f72ab2017', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104202', 5, '宋家碥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104202', 1, '2021-07-19 11:59:35', NULL, NULL), (26823, '', '吴家河村', 'b4276d331fb14c69b7fd86c64e3baa96', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104203', 5, '吴家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104203', 1, '2021-07-19 11:59:35', NULL, NULL), (26824, '', '罗家河村', 'fb0af8ce4c244f15bab336d8d65c47b2', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104204', 5, '罗家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104204', 1, '2021-07-19 11:59:35', NULL, NULL), (26825, '', '水观音村', 'e5c99560271647a7863cc95df6177d13', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104205', 5, '水观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104205', 1, '2021-07-19 11:59:35', NULL, NULL), (26826, '', '武圣村', '9e9d6f14ee9b443d989036a96e86897e', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104206', 5, '武圣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104206', 1, '2021-07-19 11:59:35', NULL, NULL), (26827, '', '赵家湾村', '7a69101e4afb471d96bc501a6d554311', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104209', 5, '赵家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104209', 1, '2021-07-19 11:59:35', NULL, NULL), (26828, '', '方家梁村', 'a31244b7de234ca6999d94db00558a0b', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104210', 5, '方家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104210', 1, '2021-07-19 11:59:35', NULL, NULL), (26829, '', '通木垭村', '74db4505ea5c4635a35e2b434c8b9c8c', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104211', 5, '通木垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104211', 1, '2021-07-19 11:59:35', NULL, NULL), (26830, '', '蟒螳坝村', 'accd3a110ec645838b3e2fae522fac8e', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104212', 5, '蟒螳坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104212', 1, '2021-07-19 11:59:35', NULL, NULL), (26831, '', '土墙坪村', '725e254699754140acec27a25e2a372b', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104213', 5, '土墙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104213', 1, '2021-07-19 11:59:35', NULL, NULL), (26832, '', '长滩河村', '67b64be99c61440f841e51ea302736bc', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104214', 5, '长滩河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104214', 1, '2021-07-19 11:59:35', NULL, NULL), (26833, '', '高家坡村', '059b10d696ed4c24bcedc82b2e4a2cc1', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104215', 5, '高家坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104215', 1, '2021-07-19 11:59:35', NULL, NULL), (26834, '', '梁大湾村', '13e089dd465440bb892a34c4a383aca0', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104216', 5, '梁大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104216', 1, '2021-07-19 11:59:36', NULL, NULL), (26835, '', '白庙村', '3e6de37714024c75b6fbf75310965a7c', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104217', 5, '白庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104217', 1, '2021-07-19 11:59:36', NULL, NULL), (26836, '', '道子坪村', 'd47e3ab0ca4c4f72a6e7cbc2da70ccbc', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104617', 5, '道子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104617', 1, '2021-07-19 11:59:36', NULL, NULL), (26837, '', '陈家嘴村', 'd6f830fc75eb4981a0002bf4eb983e2c', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104731', 5, '陈家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104731', 1, '2021-07-19 11:59:36', NULL, NULL), (26838, '', '三儿河村', 'ef87bacc9ae94602948677f398a40773', 'c33cda7eece34b19ac1cf49d2bfa3df1', 'False', 'True', 'false', 'false', '511902104780', 5, '三儿河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902104780', 1, '2021-07-19 11:59:36', NULL, NULL), (26839, '', '曾口镇', '82c7b38860c8438eb7d0a274ddb663f8', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902105000', 4, '曾口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902105000', 1, '2021-07-19 11:59:36', NULL, NULL), (26840, '', '曾溪社区', '1a1bb92f901b430c80da0a82d6c3cd4f', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105001', 5, '曾溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105001', 1, '2021-07-19 11:59:36', NULL, NULL), (26841, '', '店子河社区', 'fcd004c08234411bb24f059fe88df365', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105002', 5, '店子河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105002', 1, '2021-07-19 11:59:36', NULL, NULL), (26842, '', '紫荆社区', '586d70c0f48d4611985eebd2fa73c3e1', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105003', 5, '紫荆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105003', 1, '2021-07-19 11:59:36', NULL, NULL), (26843, '', '甘露社区', '388ed85161f44acd8d2b83d16f0a9732', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105004', 5, '甘露社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105004', 1, '2021-07-19 11:59:36', NULL, NULL), (26844, '', '龙城寨村', '77b16b94a0d246fb86dec6a12aa102a9', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105083', 5, '龙城寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105083', 1, '2021-07-19 11:59:36', NULL, NULL), (26845, '', '方山寨村', '5c4393b045ee475cbbda0000c17a07cb', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105200', 5, '方山寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105200', 1, '2021-07-19 11:59:36', NULL, NULL), (26846, '', '扬帆村', 'eee729ab3dfd4ad28a56cf5c6e0f93e5', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105201', 5, '扬帆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105201', 1, '2021-07-19 11:59:36', NULL, NULL), (26847, '', '椿树村', 'e2321cab1c0b40098b49ec50ad96411a', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105202', 5, '椿树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105202', 1, '2021-07-19 11:59:36', NULL, NULL), (26848, '', '大坡村', '1787f8114ad3409483aca722d6430dc7', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105203', 5, '大坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105203', 1, '2021-07-19 11:59:36', NULL, NULL), (26849, '', '秧田沟村', 'ed340f2a77c9400890f2ebc94fe216ad', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105204', 5, '秧田沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105204', 1, '2021-07-19 11:59:36', NULL, NULL), (26850, '', '寿星村', '545e161dd235404a9f12635789407d3c', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105205', 5, '寿星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105205', 1, '2021-07-19 11:59:36', NULL, NULL), (26851, '', '雁桥村', '20a6c47debd14aa78f75055804a4753e', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105206', 5, '雁桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105206', 1, '2021-07-19 11:59:36', NULL, NULL), (26852, '', '书台村', 'a909d89c52284de38c21ec1148036ca9', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105207', 5, '书台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105207', 1, '2021-07-19 11:59:36', NULL, NULL), (26853, '', '吉林村', 'c7c101bfb56f4ce396979f840b732f3a', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105208', 5, '吉林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105208', 1, '2021-07-19 11:59:36', NULL, NULL), (26854, '', '石龙村', 'b80752c984314adea6ca5ebc88ba0614', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105209', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105209', 1, '2021-07-19 11:59:36', NULL, NULL), (26855, '', '中和村', 'a090ddffd1754877bf2678a841766237', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105210', 5, '中和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105210', 1, '2021-07-19 11:59:36', NULL, NULL), (26856, '', '康村', '498c58587ea6456fb47811d6c75b522a', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105211', 5, '康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105211', 1, '2021-07-19 11:59:36', NULL, NULL), (26857, '', '芦山社区', 'ed3a9504931b4a7c9d958bb7bca6fef6', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105212', 5, '芦山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105212', 1, '2021-07-19 11:59:37', NULL, NULL), (26858, '', '新民村', '23b58f1a8e244ad1b21440d9dbfe974a', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105213', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105213', 1, '2021-07-19 11:59:37', NULL, NULL), (26859, '', '黄梁树村', '10c751dc1d8b4324b4d148b446b5c63d', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105214', 5, '黄梁树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105214', 1, '2021-07-19 11:59:37', NULL, NULL), (26860, '', '飞马村', '28181895e5864b16892d56568c557a0e', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105215', 5, '飞马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105215', 1, '2021-07-19 11:59:37', NULL, NULL), (26861, '', '龙潭村', '6eadde7236644bb6b8b403362e00bda4', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105216', 5, '龙潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105216', 1, '2021-07-19 11:59:37', NULL, NULL), (26862, '', '石溪村', '189fab554edc4c22ba5729a9878c52ac', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105217', 5, '石溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105217', 1, '2021-07-19 11:59:37', NULL, NULL), (26863, '', '吉公村', '16a98f6ce2b14d5ca9e73d9f99346f44', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105218', 5, '吉公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105218', 1, '2021-07-19 11:59:37', NULL, NULL), (26864, '', '红溪村', '6bf935173d43401983cc00936b0fcc9a', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105219', 5, '红溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105219', 1, '2021-07-19 11:59:37', NULL, NULL), (26865, '', '太和村', '346ab54ada1c4e65b0e2dbceb14bd75f', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105220', 5, '太和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105220', 1, '2021-07-19 11:59:37', NULL, NULL), (26866, '', '永红村', '231f90e211e9455da4dc24b81c9f5401', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105221', 5, '永红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105221', 1, '2021-07-19 11:59:37', NULL, NULL), (26867, '', '岭岗村', '61a387d301414670b7e0d2a748468d40', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105222', 5, '岭岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105222', 1, '2021-07-19 11:59:37', NULL, NULL), (26868, '', '杏花村', '0955bda4d65344c792954265e0d2161f', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105223', 5, '杏花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105223', 1, '2021-07-19 11:59:37', NULL, NULL), (26869, '', '石峡村', '7f63f794285c491d98d723e60aae0451', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105224', 5, '石峡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105224', 1, '2021-07-19 11:59:37', NULL, NULL), (26870, '', '龙池村', '87b8cbbdfafb492ca4cfd433719a8021', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105225', 5, '龙池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105225', 1, '2021-07-19 11:59:37', NULL, NULL), (26871, '', '硐坪村', 'e3516147628d41c8b4fec1f56e37fdc6', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105226', 5, '硐坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105226', 1, '2021-07-19 11:59:37', NULL, NULL), (26872, '', '二龙场村', 'e327c51bd3df4992b6cfacebdbfdc29f', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105227', 5, '二龙场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105227', 1, '2021-07-19 11:59:37', NULL, NULL), (26873, '', '大柏树村', '6a768f2293784fb48e467d85ce696816', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105228', 5, '大柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105228', 1, '2021-07-19 11:59:37', NULL, NULL), (26874, '', '兰花村', '6398c5dfce2842e6925c9b74d3932a1c', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105229', 5, '兰花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105229', 1, '2021-07-19 11:59:37', NULL, NULL), (26875, '', '茨垭村', '9824547d1d344c0ca2a9f31821602380', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105230', 5, '茨垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105230', 1, '2021-07-19 11:59:37', NULL, NULL), (26876, '', '宝珠村', 'e7b19c8e896b4cb1b3e6ea38dd731b60', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105231', 5, '宝珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105231', 1, '2021-07-19 11:59:37', NULL, NULL), (26877, '', '凉风垭村', '017dfcd2268648318ac8aef1bc736c58', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105232', 5, '凉风垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105232', 1, '2021-07-19 11:59:37', NULL, NULL), (26878, '', '大垭村', '18e86cd5e82b4ea79c79030832307116', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105233', 5, '大垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105233', 1, '2021-07-19 11:59:37', NULL, NULL), (26879, '', '显岩村', '7e56edd2f4274bff9d5ed9b69c72ec5d', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105234', 5, '显岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105234', 1, '2021-07-19 11:59:37', NULL, NULL), (26880, '', '石堡村', '3fb8d40a00344b0c94861edcfc9ae233', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105235', 5, '石堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105235', 1, '2021-07-19 11:59:38', NULL, NULL), (26881, '', '佛龙村', '4457d876bdec4590a1671599a81fd55c', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105236', 5, '佛龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105236', 1, '2021-07-19 11:59:38', NULL, NULL), (26882, '', '堰龙溪村', 'f3502ba36941431f8ad25bff90bfb3dc', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105237', 5, '堰龙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105237', 1, '2021-07-19 11:59:38', NULL, NULL), (26883, '', '金凤村', 'beec5dcd477f4029a1a840a46303455f', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105238', 5, '金凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105238', 1, '2021-07-19 11:59:38', NULL, NULL), (26884, '', '响滩村', 'b46598df17184efeaa381dda731a8fa6', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105239', 5, '响滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105239', 1, '2021-07-19 11:59:38', NULL, NULL), (26885, '', '园艺村', 'eb5cde8f48124122b7d266f74fa61d76', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105240', 5, '园艺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105240', 1, '2021-07-19 11:59:38', NULL, NULL), (26886, '', '鹤鸣村', 'c7ea0f8ec09c4f62ba646f06dd4d78bc', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105245', 5, '鹤鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105245', 1, '2021-07-19 11:59:38', NULL, NULL), (26887, '', '甘泉井村', 'f1b4b1129c024f6282548b67de69b420', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105301', 5, '甘泉井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105301', 1, '2021-07-19 11:59:38', NULL, NULL), (26888, '', '繁荣村', '13dfa128d92b4a059e2e75445e449029', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105492', 5, '繁荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105492', 1, '2021-07-19 11:59:38', NULL, NULL), (26889, '', '黄垭村', '1fc49fcb0d8b474887c93cbe8d25391c', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105524', 5, '黄垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105524', 1, '2021-07-19 11:59:38', NULL, NULL), (26890, '', '土主村', '70c3a17d3be24445a9211956925f8846', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105598', 5, '土主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105598', 1, '2021-07-19 11:59:38', NULL, NULL), (26891, '', '朝阳社区', 'fd667dd08ad248c2bfee0034bc1eb0e1', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105704', 5, '朝阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105704', 1, '2021-07-19 11:59:38', NULL, NULL), (26892, '', '五通桥村', 'e3364e9c3d9e4efbab7e3705209db919', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '511902105883', 5, '五通桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902105883', 1, '2021-07-19 11:59:38', NULL, NULL), (26893, '', '复兴社区', '4ceaa4ca9a974da6b1b109b6fd7ec6a2', '82c7b38860c8438eb7d0a274ddb663f8', 'False', 'True', 'false', 'false', '5119738555511447552', 5, '复兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5119738555511447552', 1, '2021-07-19 11:59:38', NULL, NULL), (26894, '', '梁永镇', '53d1be0dc4ab475492a672584f84e3e3', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902106000', 4, '梁永镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902106000', 1, '2021-07-19 11:59:38', NULL, NULL), (26895, '', '莲花社区', '2e5a8001e33446e5ae5bed9e4135d955', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106001', 5, '莲花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106001', 1, '2021-07-19 11:59:38', NULL, NULL), (26896, '', '柏茂社区', 'b41d253247bd4efa88c946b5c6755afe', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106002', 5, '柏茂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106002', 1, '2021-07-19 11:59:38', NULL, NULL), (26897, '', '梁广村', '890d7633a70b47bb88e350d52e69c059', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106200', 5, '梁广村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106200', 1, '2021-07-19 11:59:38', NULL, NULL), (26898, '', '玉林村', '575127ae76bc4e85b143c197eea0b0cb', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106201', 5, '玉林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106201', 1, '2021-07-19 11:59:38', NULL, NULL), (26899, '', '斑竹村', '8be7f2f5b6d4425b8b2eefa1ceb5a2e5', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106202', 5, '斑竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106202', 1, '2021-07-19 11:59:38', NULL, NULL), (26900, '', '六合村', 'f2f262a3a1d14ac4833a55637a9cd2a8', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106203', 5, '六合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106203', 1, '2021-07-19 11:59:38', NULL, NULL), (26901, '', '双狮村', '3384c96364614ea68104b9ea55bcce31', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106204', 5, '双狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106204', 1, '2021-07-19 11:59:38', NULL, NULL), (26902, '', '广林村', '4a17978ad00f44fc9c62932239f0b6b0', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106205', 5, '广林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106205', 1, '2021-07-19 11:59:38', NULL, NULL), (26903, '', '莲山村', 'c262c28115794e439128d945dcbaeda0', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106206', 5, '莲山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106206', 1, '2021-07-19 11:59:38', NULL, NULL), (26904, '', '青狮村', '845b28f716854359b88950db32a19850', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106207', 5, '青狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106207', 1, '2021-07-19 11:59:39', NULL, NULL), (26905, '', '铜鼓村', '484e061ad361408cbe58d544549e755b', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106208', 5, '铜鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106208', 1, '2021-07-19 11:59:39', NULL, NULL), (26906, '', '升平村', 'a2b8587d5d5c47be82e768d419408573', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106209', 5, '升平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106209', 1, '2021-07-19 11:59:39', NULL, NULL), (26907, '', '石船村', '837335529e6c4d1083a79182083c8233', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106210', 5, '石船村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106210', 1, '2021-07-19 11:59:39', NULL, NULL), (26908, '', '福村', '1af806f130fd4d20bac0dcb387d3a805', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106211', 5, '福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106211', 1, '2021-07-19 11:59:39', NULL, NULL), (26909, '', '宏福村', '4d9c9d124f0140e48653f2deeae2cf62', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106212', 5, '宏福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106212', 1, '2021-07-19 11:59:39', NULL, NULL), (26910, '', '金浪村', '42fd50d0915f4305b4f828637173fe77', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106213', 5, '金浪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106213', 1, '2021-07-19 11:59:39', NULL, NULL), (26911, '', '碧山村', '96e2614b3d824a88890ef8199c37f35f', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106214', 5, '碧山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106214', 1, '2021-07-19 11:59:39', NULL, NULL), (26912, '', '鹦鹉村', '54e9845100e741c0afd646dade92817f', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106215', 5, '鹦鹉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106215', 1, '2021-07-19 11:59:39', NULL, NULL), (26913, '', '驷马村', '0d8ada3740d649358da96def04fbd583', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106216', 5, '驷马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106216', 1, '2021-07-19 11:59:39', NULL, NULL), (26914, '', '寨门村', '83d26747e59a43a389512e064147c0e5', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106217', 5, '寨门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106217', 1, '2021-07-19 11:59:39', NULL, NULL), (26915, '', '砖房村', '972ebc67fc2e4f3cbc8bb46a66b1de22', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106218', 5, '砖房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106218', 1, '2021-07-19 11:59:39', NULL, NULL), (26916, '', '石垭村', '3cb6d4131b854430985ab96683006104', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106219', 5, '石垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106219', 1, '2021-07-19 11:59:39', NULL, NULL), (26917, '', '园堡村', 'ab776264b0d2475891a1eaa8515e3700', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106220', 5, '园堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106220', 1, '2021-07-19 11:59:39', NULL, NULL), (26918, '', '火峰山村', '34158b63cd424661962705f4cb6659e2', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106221', 5, '火峰山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106221', 1, '2021-07-19 11:59:39', NULL, NULL), (26919, '', '黑潭村', 'ea86751a25a64024a4cd698ab99c80a7', '53d1be0dc4ab475492a672584f84e3e3', 'False', 'True', 'false', 'false', '511902106222', 5, '黑潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902106222', 1, '2021-07-19 11:59:39', NULL, NULL), (26920, '', '三江镇', 'ca20e78616294a32b1b92309d7cc0405', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902107000', 4, '三江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902107000', 1, '2021-07-19 11:59:39', NULL, NULL), (26921, '', '三江口社区', '3521e81806bd4b838cfaecf8945be609', 'ca20e78616294a32b1b92309d7cc0405', 'False', 'True', 'false', 'false', '511902107001', 5, '三江口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902107001', 1, '2021-07-19 11:59:39', NULL, NULL), (26922, '', '民主村', '6211dece046f4d84944018fc05a427fc', 'ca20e78616294a32b1b92309d7cc0405', 'False', 'True', 'false', 'false', '511902107200', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902107200', 1, '2021-07-19 11:59:39', NULL, NULL), (26923, '', '上游村', 'f973ba2c92c74a08915db59581e67c59', 'ca20e78616294a32b1b92309d7cc0405', 'False', 'True', 'false', 'false', '511902107201', 5, '上游村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902107201', 1, '2021-07-19 11:59:39', NULL, NULL), (26924, '', '龙门村', '17040d5fdab44dcf94776010a18392ab', 'ca20e78616294a32b1b92309d7cc0405', 'False', 'True', 'false', 'false', '511902107202', 5, '龙门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902107202', 1, '2021-07-19 11:59:39', NULL, NULL), (26925, '', '双寨村', '3b64e71aa79a4f63823b1417ca82ea7c', 'ca20e78616294a32b1b92309d7cc0405', 'False', 'True', 'false', 'false', '511902107203', 5, '双寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902107203', 1, '2021-07-19 11:59:39', NULL, NULL), (26926, '', '回星村', '210b7070680849d181817bafd7a9585d', 'ca20e78616294a32b1b92309d7cc0405', 'False', 'True', 'false', 'false', '511902107204', 5, '回星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902107204', 1, '2021-07-19 11:59:39', NULL, NULL), (26927, '', '明月寺村', '788bd481824745a284a77867c9203d2d', 'ca20e78616294a32b1b92309d7cc0405', 'False', 'True', 'false', 'false', '511902107205', 5, '明月寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902107205', 1, '2021-07-19 11:59:40', NULL, NULL), (26928, '', '鳌溪村', '28e9e0b2939946908329b9a24a48e319', 'ca20e78616294a32b1b92309d7cc0405', 'False', 'True', 'false', 'false', '511902107206', 5, '鳌溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902107206', 1, '2021-07-19 11:59:40', NULL, NULL), (26929, '', '大兴村', '9abfb97879ee4f77be5d356bda2856c5', 'ca20e78616294a32b1b92309d7cc0405', 'False', 'True', 'false', 'false', '511902107207', 5, '大兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902107207', 1, '2021-07-19 11:59:40', NULL, NULL), (26930, '', '天马山村', 'a96ebca15d8a41cdb6ae33d4bc1f8b6d', 'ca20e78616294a32b1b92309d7cc0405', 'False', 'True', 'false', 'false', '511902107208', 5, '天马山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902107208', 1, '2021-07-19 11:59:40', NULL, NULL), (26931, '', '普济村', '6ff741caf89b466080f0fcfe7e863997', 'ca20e78616294a32b1b92309d7cc0405', 'False', 'True', 'false', 'false', '511902107209', 5, '普济村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902107209', 1, '2021-07-19 11:59:40', NULL, NULL), (26932, '', '中兴村', 'b9f490e8283c4c26ae501cef466fa41a', 'ca20e78616294a32b1b92309d7cc0405', 'False', 'True', 'false', 'false', '511902107210', 5, '中兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902107210', 1, '2021-07-19 11:59:40', NULL, NULL), (26933, '', '木鱼村', 'e603716845064af4a855666ab2a30f82', 'ca20e78616294a32b1b92309d7cc0405', 'False', 'True', 'false', 'false', '511902107211', 5, '木鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902107211', 1, '2021-07-19 11:59:40', NULL, NULL), (26934, '', '鼎山镇', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902108000', 4, '鼎山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902108000', 1, '2021-07-19 11:59:40', NULL, NULL), (26935, '', '石笋村', '71faab862a7548db8cefe902a1c9924b', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108075', 5, '石笋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108075', 1, '2021-07-19 11:59:40', NULL, NULL), (26936, '', '首市村', 'aba3cc188cea4b19bc70a002b28958f8', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108325', 5, '首市村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108325', 1, '2021-07-19 11:59:40', NULL, NULL), (26937, '', '太阳庙社区', '2bacfecbf3984f27bd4ff85de260331b', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108403', 5, '太阳庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108403', 1, '2021-07-19 11:59:40', NULL, NULL), (26938, '', '松柏村', '3f52d52399ab4dd9b0f8630880f73f70', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108483', 5, '松柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108483', 1, '2021-07-19 11:59:40', NULL, NULL), (26939, '', '鸿鹄村', 'c9aabcabf3e246c98c159af7f4c16e4c', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108950', 5, '鸿鹄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108950', 1, '2021-07-19 11:59:40', NULL, NULL), (26940, '', '长胜社区', 'b9f97ce507c748ca89270113b423e7e3', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108001', 5, '长胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108001', 1, '2021-07-19 11:59:40', NULL, NULL), (26941, '', '果敢社区', '7bd78ca99cf74e368ae905b1d534b421', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108002', 5, '果敢社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108002', 1, '2021-07-19 11:59:40', NULL, NULL), (26942, '', '明月村', '9f004988d65146e5bb2e5b12ee4033f2', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108200', 5, '明月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108200', 1, '2021-07-19 11:59:40', NULL, NULL), (26943, '', '康家坝村', 'c69c91c33e5b4300b26c6e2be0ff7080', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108201', 5, '康家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108201', 1, '2021-07-19 11:59:40', NULL, NULL), (26944, '', '龙堡村', '15006f817304449d9f42274d2d82733e', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108202', 5, '龙堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108202', 1, '2021-07-19 11:59:40', NULL, NULL), (26945, '', '石岭村', 'b0bbbaf8c4794b2eba1a9a3121f5ad5a', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108203', 5, '石岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108203', 1, '2021-07-19 11:59:40', NULL, NULL), (26946, '', '陵江村', '6071869e564345ffbb73d8f92928808f', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108204', 5, '陵江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108204', 1, '2021-07-19 11:59:40', NULL, NULL), (26947, '', '秋桂村', '5c02f152e9874bb3a9eaf13bae11deb8', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108205', 5, '秋桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108205', 1, '2021-07-19 11:59:40', NULL, NULL), (26948, '', '龙头寨村', 'a6f0a0aeb0c94755853ad100d2ba7c4c', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108206', 5, '龙头寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108206', 1, '2021-07-19 11:59:40', NULL, NULL), (26949, '', '八角丘村', 'e83cafc1da544728a2dced15ed40be88', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108207', 5, '八角丘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108207', 1, '2021-07-19 11:59:40', NULL, NULL), (26950, '', '钟林村', 'baf2e01fbff44871bd601b9c9caade9a', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108208', 5, '钟林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108208', 1, '2021-07-19 11:59:41', NULL, NULL), (26951, '', '北门村', '44c9ec7635d2432bac4ca96f8c6230dc', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108209', 5, '北门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108209', 1, '2021-07-19 11:59:41', NULL, NULL), (26952, '', '松树坪村', 'f11e58008b424ec697044f31a37daa63', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108210', 5, '松树坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108210', 1, '2021-07-19 11:59:41', NULL, NULL), (26953, '', '尖山子村', '6e376b310bfa4ecb997483cd0b80b286', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108211', 5, '尖山子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108211', 1, '2021-07-19 11:59:41', NULL, NULL), (26954, '', '白果村', '77de56970879464f80e0391138ee0358', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108212', 5, '白果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108212', 1, '2021-07-19 11:59:41', NULL, NULL), (26955, '', '高坪村', '57ac36ff2c2544feb02086f8914ce8d4', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108213', 5, '高坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108213', 1, '2021-07-19 11:59:41', NULL, NULL), (26956, '', '康民村', '5f420ded65b046859276738a597d1f91', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108214', 5, '康民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108214', 1, '2021-07-19 11:59:41', NULL, NULL), (26957, '', '白尖村', '65a7fcfd38914296b93854940d8cc753', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108215', 5, '白尖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108215', 1, '2021-07-19 11:59:41', NULL, NULL), (26958, '', '高顶村', '4a2bbf7f4bfc40439543e2f421cb619e', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108216', 5, '高顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108216', 1, '2021-07-19 11:59:41', NULL, NULL), (26959, '', '蝉池村', '2f1c8be7ba8549f88d09c5d17131d776', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108217', 5, '蝉池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108217', 1, '2021-07-19 11:59:41', NULL, NULL), (26960, '', '观坪村', 'c85dcab136b94a98b86478b8739b716e', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108218', 5, '观坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108218', 1, '2021-07-19 11:59:41', NULL, NULL), (26961, '', '连通村', 'edf735f5562f4559819179c5b90255ad', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108219', 5, '连通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108219', 1, '2021-07-19 11:59:41', NULL, NULL), (26962, '', '黄梁村', 'ab682756a75842168e8a102dcfca719b', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108220', 5, '黄梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108220', 1, '2021-07-19 11:59:41', NULL, NULL), (26963, '', '小寨', 'ee9e4f56f2bd4b3f976b5ac50944665d', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108221', 5, '小寨', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108221', 1, '2021-07-19 11:59:41', NULL, NULL), (26964, '', '寸垭村', 'c155354bf84440a89425ed7fe829adc3', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108320', 5, '寸垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108320', 1, '2021-07-19 11:59:41', NULL, NULL), (26965, '', '龙湖社区', 'de50db8dd0c244b8ad01f33a44c62db0', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108418', 5, '龙湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108418', 1, '2021-07-19 11:59:41', NULL, NULL), (26966, '', '清溪村', '8cf5855644cf4824aaac69cd43936893', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108604', 5, '清溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108604', 1, '2021-07-19 11:59:41', NULL, NULL), (26967, '', '楼房村', '7d5400c55fe34f6b99946a24fb637a00', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108631', 5, '楼房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108631', 1, '2021-07-19 11:59:41', NULL, NULL), (26968, '', '清泉村', '4feb2cd582aa40df9162b77713b4ef50', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108659', 5, '清泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108659', 1, '2021-07-19 11:59:42', NULL, NULL), (26969, '', '石羊村', '62056c984e104dadb501579be0fa32cb', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108942', 5, '石羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108942', 1, '2021-07-19 11:59:42', NULL, NULL), (26970, '', '玉凤村', 'ee51a8a4e2984d229da8526dee5071b2', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108947', 5, '玉凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108947', 1, '2021-07-19 11:59:42', NULL, NULL), (26971, '', '檬子村', '505a3c0e009f42158168ddb921a6e011', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '511902108982', 5, '檬子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902108982', 1, '2021-07-19 11:59:42', NULL, NULL), (26972, '', '碑垭村', 'a7308cd4a39b46389afa38320046b0c3', 'acb8ad8409734e429ce0c6fdc8e6e8a6', 'False', 'True', 'false', 'false', '5119083917753262080', 5, '碑垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=5119083917753262080', 1, '2021-07-19 11:59:42', NULL, NULL), (26973, '', '大罗镇', '507e51e41fbe4fa189120f51491de008', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902109000', 4, '大罗镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902109000', 1, '2021-07-19 11:59:42', NULL, NULL), (26974, '', '文昌社区', 'd5ebc3b47f264aad892b0db876014a62', '507e51e41fbe4fa189120f51491de008', 'False', 'True', 'false', 'false', '511902109119', 5, '文昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902109119', 1, '2021-07-19 11:59:42', NULL, NULL), (26975, '', '元庵村', '32d131aa6d7a40c8b7066267e5de7e05', '507e51e41fbe4fa189120f51491de008', 'False', 'True', 'false', 'false', '511902109305', 5, '元庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902109305', 1, '2021-07-19 11:59:42', NULL, NULL), (26976, '', '董家梁村', '3a94022f8ef345d79c6025456b00926f', '507e51e41fbe4fa189120f51491de008', 'False', 'True', 'false', 'false', '511902109478', 5, '董家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902109478', 1, '2021-07-19 11:59:42', NULL, NULL), (26977, '', '七孔村', '0306af8b11234f208dd1860a739ce5eb', '507e51e41fbe4fa189120f51491de008', 'False', 'True', 'false', 'false', '511902109496', 5, '七孔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902109496', 1, '2021-07-19 11:59:42', NULL, NULL), (26978, '', '乐园村', 'eefbde1b25cf48e5a6833acc0bd16f07', '507e51e41fbe4fa189120f51491de008', 'False', 'True', 'false', 'false', '511902109634', 5, '乐园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902109634', 1, '2021-07-19 11:59:42', NULL, NULL), (26979, '', '白果坝村', '5648f4ce90e44551acf263dddd451b84', '507e51e41fbe4fa189120f51491de008', 'False', 'True', 'false', 'false', '511902109672', 5, '白果坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902109672', 1, '2021-07-19 11:59:42', NULL, NULL), (26980, '', '茅寨村', 'fdd9eb5e2c964ad29a68d6980af95a14', '507e51e41fbe4fa189120f51491de008', 'False', 'True', 'false', 'false', '511902109679', 5, '茅寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902109679', 1, '2021-07-19 11:59:42', NULL, NULL), (26981, '', '三溪村', '46e7c56cc62047c7a3aa45b4449acdd9', '507e51e41fbe4fa189120f51491de008', 'False', 'True', 'false', 'false', '511902109700', 5, '三溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902109700', 1, '2021-07-19 11:59:42', NULL, NULL), (26982, '', '铁炉垭村', 'f699447c9afc41119d0125972c53f59a', '507e51e41fbe4fa189120f51491de008', 'False', 'True', 'false', 'false', '511902109781', 5, '铁炉垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902109781', 1, '2021-07-19 11:59:42', NULL, NULL), (26983, '', '中锋寺村', '3319652f75cc43f3b0e80a9c72c43d97', '507e51e41fbe4fa189120f51491de008', 'False', 'True', 'false', 'false', '511902109901', 5, '中锋寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902109901', 1, '2021-07-19 11:59:42', NULL, NULL), (26984, '', '儿郎村', 'b9edadbaa8cb4be39d1ec129fa87a003', '507e51e41fbe4fa189120f51491de008', 'False', 'True', 'false', 'false', '511902109929', 5, '儿郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902109929', 1, '2021-07-19 11:59:42', NULL, NULL), (26985, '', '字库村村', '17132664efc64cd281a1bf08f0754eaa', '507e51e41fbe4fa189120f51491de008', 'False', 'True', 'false', 'false', '511902109956', 5, '字库村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902109956', 1, '2021-07-19 11:59:43', NULL, NULL), (26986, '', '双渔村', 'ac498daa801e4273a7e6dc3a32a1d5a9', '507e51e41fbe4fa189120f51491de008', 'False', 'True', 'false', 'false', '511902109999', 5, '双渔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902109999', 1, '2021-07-19 11:59:43', NULL, NULL), (26987, '', '枣林镇', '34756028abd14508a842d5e6ca27617d', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902122000', 4, '枣林镇人民政府', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902122000', 1, '2021-07-19 11:59:43', NULL, NULL), (26988, '', '渔江社区', 'c88a69ac90c34575b5e1bec1f97c9b60', '34756028abd14508a842d5e6ca27617d', 'False', 'True', 'false', 'false', '511902122001', 5, '渔江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902122001', 1, '2021-07-19 11:59:43', NULL, NULL), (26989, '', '灵云社区', 'fc17b5721ae945049e2ef1df376b58a8', '34756028abd14508a842d5e6ca27617d', 'False', 'True', 'false', 'false', '511902122002', 5, '灵云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902122002', 1, '2021-07-19 11:59:43', NULL, NULL), (26990, '', '高岩村', '6b2174a5bc734bc49261bb5d171c3cb7', '34756028abd14508a842d5e6ca27617d', 'False', 'True', 'false', 'false', '511902122200', 5, '高岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902122200', 1, '2021-07-19 11:59:43', NULL, NULL), (26991, '', '八字村', '37d5b034959b4d20b2e6ec5572a8372f', '34756028abd14508a842d5e6ca27617d', 'False', 'True', 'false', 'false', '511902122201', 5, '八字村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902122201', 1, '2021-07-19 11:59:43', NULL, NULL), (26992, '', '清滩村', '44803970d30c4b7a80fa41b61ee1aba2', '34756028abd14508a842d5e6ca27617d', 'False', 'True', 'false', 'false', '511902122202', 5, '清滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902122202', 1, '2021-07-19 11:59:43', NULL, NULL), (26993, '', '清溪沟村', '0ee91caa01bb4d8f9c372df33e705909', '34756028abd14508a842d5e6ca27617d', 'False', 'True', 'false', 'false', '511902122203', 5, '清溪沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902122203', 1, '2021-07-19 11:59:43', NULL, NULL), (26994, '', '檬子树村', '2c52fc88b1f641c08c93ac8da03f5613', '34756028abd14508a842d5e6ca27617d', 'False', 'True', 'false', 'false', '511902122204', 5, '檬子树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902122204', 1, '2021-07-19 11:59:43', NULL, NULL), (26995, '', '漩滩村', 'b410eab645754a76b29f209b9df92f10', '34756028abd14508a842d5e6ca27617d', 'False', 'True', 'false', 'false', '511902122205', 5, '漩滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902122205', 1, '2021-07-19 11:59:43', NULL, NULL), (26996, '', '牌坊梁村', '4096b64e207b4c9f8ed94d8a594386bb', '34756028abd14508a842d5e6ca27617d', 'False', 'True', 'false', 'false', '511902122206', 5, '牌坊梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902122206', 1, '2021-07-19 11:59:43', NULL, NULL), (26997, '', '灵山村', 'a800273681ff4028a8de1a722f3f2814', '34756028abd14508a842d5e6ca27617d', 'False', 'True', 'false', 'false', '511902122207', 5, '灵山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902122207', 1, '2021-07-19 11:59:43', NULL, NULL), (26998, '', '七里扁村', 'e87e6c14b15141e9bb83577d3c158e79', '34756028abd14508a842d5e6ca27617d', 'False', 'True', 'false', 'false', '511902122208', 5, '七里扁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902122208', 1, '2021-07-19 11:59:43', NULL, NULL), (26999, '', '南台村', '05b50017013d402c9618daf227a67398', '34756028abd14508a842d5e6ca27617d', 'False', 'True', 'false', 'false', '511902122209', 5, '南台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902122209', 1, '2021-07-19 11:59:43', NULL, NULL), (27000, '', '枣林村', 'fdd6257e757d47f5bb0a5eb36810c926', '34756028abd14508a842d5e6ca27617d', 'False', 'True', 'false', 'false', '511902122210', 5, '枣林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902122210', 1, '2021-07-19 11:59:43', NULL, NULL), (27001, '', '青南村', '2375a320aa4c4c76a548aa9b8c6e7809', '34756028abd14508a842d5e6ca27617d', 'False', 'True', 'false', 'false', '511902122628', 5, '青南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902122628', 1, '2021-07-19 11:59:43', NULL, NULL), (27002, '', '平梁镇', 'f9569a6d4b884e8ca938731cc820a9e8', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902123000', 4, '平梁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902123000', 1, '2021-07-19 11:59:43', NULL, NULL), (27003, '', '凤凰社区', '491f57560ffd461db7c325c82963959c', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123001', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123001', 1, '2021-07-19 11:59:43', NULL, NULL), (27004, '', '曙光社区', '540af95e405e4c678d8182ad9edd5e32', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123002', 5, '曙光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123002', 1, '2021-07-19 11:59:44', NULL, NULL), (27005, '', '胜利社区', 'ff3e848d371d4f1f8c95617ca8467bfb', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123003', 5, '胜利社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123003', 1, '2021-07-19 11:59:44', NULL, NULL), (27006, '', '凤谷村', '8ef2382347aa43cfa1c27a2b7a4b8226', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123200', 5, '凤谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123200', 1, '2021-07-19 11:59:44', NULL, NULL), (27007, '', '新桥河村', 'ddbbcab67f7647748d09264368a9404f', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123201', 5, '新桥河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123201', 1, '2021-07-19 11:59:44', NULL, NULL), (27008, '', '双龙村村', '13981937706b42adad0857c0f95a26e3', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123202', 5, '双龙村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123202', 1, '2021-07-19 11:59:44', NULL, NULL), (27009, '', '红石梁村', '3c5975ce4ace4fbea860e109084d46d6', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123203', 5, '红石梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123203', 1, '2021-07-19 11:59:44', NULL, NULL), (27010, '', '后溪沟村', 'abd2e5ccc98e4413a911511cd85966f5', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123204', 5, '后溪沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123204', 1, '2021-07-19 11:59:44', NULL, NULL), (27011, '', '白岩村', '17a5c9ba06d44afd8bd5837403ee4d63', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123205', 5, '白岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123205', 1, '2021-07-19 11:59:44', NULL, NULL), (27012, '', '炮台村', '14644fc31c8d4f2cb76a163bf5457333', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123207', 5, '炮台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123207', 1, '2021-07-19 11:59:44', NULL, NULL), (27013, '', '荆竹村', '4458ff3b8c1948bbb38aefde1e51ca90', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123208', 5, '荆竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123208', 1, '2021-07-19 11:59:44', NULL, NULL), (27014, '', '火炮村', '5fbbe9fd4f924c99a063229356cf98fe', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123209', 5, '火炮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123209', 1, '2021-07-19 11:59:44', NULL, NULL), (27015, '', '枣儿塘村', '7e1260b631b74503885f4eb1047e451d', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123210', 5, '枣儿塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123210', 1, '2021-07-19 11:59:44', NULL, NULL), (27016, '', '金盘村', '6469a16d544448eba8b95360dea9bd47', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123211', 5, '金盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123211', 1, '2021-07-19 11:59:44', NULL, NULL), (27017, '', '凤凰咀村', '537c563cce6548a5a98827f41c8daf7d', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123212', 5, '凤凰咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123212', 1, '2021-07-19 11:59:44', NULL, NULL), (27018, '', '阳岭村', '022f1883880149edae2c501324e98663', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123214', 5, '阳岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123214', 1, '2021-07-19 11:59:44', NULL, NULL), (27019, '', '苟观寺村', '269fa44f2ab84318875e8735e2534a27', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123215', 5, '苟观寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123215', 1, '2021-07-19 11:59:44', NULL, NULL), (27020, '', '团包垭村', '55dc14b295b64c1fb4e352abc986f303', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123216', 5, '团包垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123216', 1, '2021-07-19 11:59:44', NULL, NULL), (27021, '', '五台村', 'ff2832c483434a3fa1caadcce06a9365', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123217', 5, '五台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123217', 1, '2021-07-19 11:59:44', NULL, NULL), (27022, '', '沐浴包村', 'a4c0c3d848774eacbe4ba69a57db5327', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123218', 5, '沐浴包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123218', 1, '2021-07-19 11:59:44', NULL, NULL), (27023, '', '青包山村', '0b4e7466e7e5406994cc0cbfaf329593', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123219', 5, '青包山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123219', 1, '2021-07-19 11:59:44', NULL, NULL), (27024, '', '锅口村', '1b06b0b47c1042d5ad6b08e4046861bf', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123220', 5, '锅口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123220', 1, '2021-07-19 11:59:44', NULL, NULL), (27025, '', '松林村', '485630e200a6405ca917eb8e710986b3', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123221', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123221', 1, '2021-07-19 11:59:45', NULL, NULL), (27026, '', '宝城村', 'c065c58c3cee4f9d87b04c18a629397a', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123222', 5, '宝城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123222', 1, '2021-07-19 11:59:45', NULL, NULL), (27027, '', '同心村', 'b044581b28ac4d3b85fd41e3d6e8638d', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123223', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123223', 1, '2021-07-19 11:59:45', NULL, NULL), (27028, '', '桂花树村', '627ae7b740c240348faf02971eaad5ac', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123224', 5, '桂花树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123224', 1, '2021-07-19 11:59:45', NULL, NULL), (27029, '', '相坪村', '2de3f77bfce146b28db21b85f9a01490', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123225', 5, '相坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123225', 1, '2021-07-19 11:59:45', NULL, NULL), (27030, '', '三山村', '2494e022162640ceba3df09c629a3122', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123226', 5, '三山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123226', 1, '2021-07-19 11:59:45', NULL, NULL), (27031, '', '莲花山村', '691343ccf1704bb5bf4283c510b38154', 'f9569a6d4b884e8ca938731cc820a9e8', 'False', 'True', 'false', 'false', '511902123349', 5, '莲花山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902123349', 1, '2021-07-19 11:59:45', NULL, NULL), (27032, '', '光辉镇', 'edc8e5e0c4ac4a689fb5f41798268bc2', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902124000', 4, '光辉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902124000', 1, '2021-07-19 11:59:45', NULL, NULL), (27033, '', '石庙社区', 'a501077c4cfd460285c983f3bef604ea', 'edc8e5e0c4ac4a689fb5f41798268bc2', 'False', 'True', 'false', 'false', '511902124001', 5, '石庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902124001', 1, '2021-07-19 11:59:45', NULL, NULL), (27034, '', '柏林湾村', 'a308aa50cc664ea68e5acef6c367f782', 'edc8e5e0c4ac4a689fb5f41798268bc2', 'False', 'True', 'false', 'false', '511902124200', 5, '柏林湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902124200', 1, '2021-07-19 11:59:45', NULL, NULL), (27035, '', '哨台村', '7a945fb40ca344e58096c8843ddb0e35', 'edc8e5e0c4ac4a689fb5f41798268bc2', 'False', 'True', 'false', 'false', '511902124201', 5, '哨台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902124201', 1, '2021-07-19 11:59:45', NULL, NULL), (27036, '', '宋兴村', 'eb284519af654ae3882edc1a96c04afe', 'edc8e5e0c4ac4a689fb5f41798268bc2', 'False', 'True', 'false', 'false', '511902124202', 5, '宋兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902124202', 1, '2021-07-19 11:59:45', NULL, NULL), (27037, '', '白羊坝村', 'e23962e8a1d24e28a9166c5776e92dbd', 'edc8e5e0c4ac4a689fb5f41798268bc2', 'False', 'True', 'false', 'false', '511902124203', 5, '白羊坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902124203', 1, '2021-07-19 11:59:45', NULL, NULL), (27038, '', '虎家梁村', '4117b4f5a0b241f2aadc85cb87e79109', 'edc8e5e0c4ac4a689fb5f41798268bc2', 'False', 'True', 'false', 'false', '511902124205', 5, '虎家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902124205', 1, '2021-07-19 11:59:45', NULL, NULL), (27039, '', '青龙山村', 'c95e4b87df564b22adba3f6eccefd2e1', 'edc8e5e0c4ac4a689fb5f41798268bc2', 'False', 'True', 'false', 'false', '511902124206', 5, '青龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902124206', 1, '2021-07-19 11:59:45', NULL, NULL), (27040, '', '凤溪镇', 'd88b27cb7ff94c0aa39e68875aa1cec2', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902127000', 4, '凤溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902127000', 1, '2021-07-19 11:59:46', NULL, NULL), (27041, '', '龙凤观社区', '9a37f3dc412c4e06bddde59f30438aac', 'd88b27cb7ff94c0aa39e68875aa1cec2', 'False', 'True', 'false', 'false', '511902127001', 5, '龙凤观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902127001', 1, '2021-07-19 11:59:46', NULL, NULL), (27042, '', '金鼓村', 'b439074c2aa0441d84406ecd6ac1c97c', 'd88b27cb7ff94c0aa39e68875aa1cec2', 'False', 'True', 'false', 'false', '511902127200', 5, '金鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902127200', 1, '2021-07-19 11:59:46', NULL, NULL), (27043, '', '董家扁村', '16bd2a005ad94340985acf0035b092f9', 'd88b27cb7ff94c0aa39e68875aa1cec2', 'False', 'True', 'false', 'false', '511902127201', 5, '董家扁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902127201', 1, '2021-07-19 11:59:46', NULL, NULL), (27044, '', '李家村', '414cf5d66de341dbaf5b691b1a744d2d', 'd88b27cb7ff94c0aa39e68875aa1cec2', 'False', 'True', 'false', 'false', '511902127202', 5, '李家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902127202', 1, '2021-07-19 11:59:46', NULL, NULL), (27045, '', '金子村', '01f46bbe81d7476aadc897bf41bc97cf', 'd88b27cb7ff94c0aa39e68875aa1cec2', 'False', 'True', 'false', 'false', '511902127203', 5, '金子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902127203', 1, '2021-07-19 11:59:46', NULL, NULL), (27046, '', '莲花石村', '918c5a71e84749638335b94e5a0b0570', 'd88b27cb7ff94c0aa39e68875aa1cec2', 'False', 'True', 'false', 'false', '511902127204', 5, '莲花石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902127204', 1, '2021-07-19 11:59:46', NULL, NULL), (27047, '', '星光村', '0cf50dc2f2254746a08a9ecd0dcb2d7e', 'd88b27cb7ff94c0aa39e68875aa1cec2', 'False', 'True', 'false', 'false', '511902127205', 5, '星光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902127205', 1, '2021-07-19 11:59:46', NULL, NULL), (27048, '', '柏垭子村', '6625df8409cf42289a00352e3facc1f6', 'd88b27cb7ff94c0aa39e68875aa1cec2', 'False', 'True', 'false', 'false', '511902127206', 5, '柏垭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902127206', 1, '2021-07-19 11:59:46', NULL, NULL), (27049, '', '小河村', '5c35808da14345ee8da0bf9b26eae17f', 'd88b27cb7ff94c0aa39e68875aa1cec2', 'False', 'True', 'false', 'false', '511902127207', 5, '小河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902127207', 1, '2021-07-19 11:59:46', NULL, NULL), (27050, '', '百佛村', '35bfaa8a1ff2476593fdcd724347bb62', 'd88b27cb7ff94c0aa39e68875aa1cec2', 'False', 'True', 'false', 'false', '511902127208', 5, '百佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902127208', 1, '2021-07-19 11:59:46', NULL, NULL), (27051, '', '火光村', '5f34aa559a49491ab0ccadf11f307c57', 'd88b27cb7ff94c0aa39e68875aa1cec2', 'False', 'True', 'false', 'false', '511902127209', 5, '火光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902127209', 1, '2021-07-19 11:59:46', NULL, NULL), (27052, '', '磨垭村', '19042fa7f5444a38b2f31ab26ccfd40d', 'd88b27cb7ff94c0aa39e68875aa1cec2', 'False', 'True', 'false', 'false', '511902127210', 5, '磨垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902127210', 1, '2021-07-19 11:59:46', NULL, NULL), (27053, '', '元盘村', 'd6aa0dcc5d2a421686c40442a4206bd1', 'd88b27cb7ff94c0aa39e68875aa1cec2', 'False', 'True', 'false', 'false', '511902127211', 5, '元盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902127211', 1, '2021-07-19 11:59:46', NULL, NULL), (27054, '', '白简河村', '6da8cc20f6324f6089abedb30b5cac46', 'd88b27cb7ff94c0aa39e68875aa1cec2', 'False', 'True', 'false', 'false', '511902127213', 5, '白简河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902127213', 1, '2021-07-19 11:59:46', NULL, NULL), (27055, '', '白庙乡', '65b3b3ef8b764a959a2244a4c086bb92', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902133000', 4, '白庙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902133000', 1, '2021-07-19 11:59:47', NULL, NULL), (27056, '', '白庙社区', '77d0910c1223480d9da2192a23bce741', '65b3b3ef8b764a959a2244a4c086bb92', 'False', 'True', 'false', 'false', '511902204028', 5, '白庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902204028', 1, '2021-07-19 11:59:47', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (27057, '', '百花村', 'e0135657ce304ee283d460df89a7470d', '65b3b3ef8b764a959a2244a4c086bb92', 'False', 'True', 'false', 'false', '511902204200', 5, '百花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902204200', 1, '2021-07-19 11:59:47', NULL, NULL), (27058, '', '板溪村', '820ff5abc22440f89476aaa7107102d3', '65b3b3ef8b764a959a2244a4c086bb92', 'False', 'True', 'false', 'false', '511902204201', 5, '板溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902204201', 1, '2021-07-19 11:59:47', NULL, NULL), (27059, '', '柳林村', '637018b8056c44e9b622fdd33db8a518', '65b3b3ef8b764a959a2244a4c086bb92', 'False', 'True', 'false', 'false', '511902204202', 5, '柳林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902204202', 1, '2021-07-19 11:59:47', NULL, NULL), (27060, '', '宝珠村', 'b4702e8fd2b44135a12f11bb843d2ed2', '65b3b3ef8b764a959a2244a4c086bb92', 'False', 'True', 'false', 'false', '511902204203', 5, '宝珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902204203', 1, '2021-07-19 11:59:47', NULL, NULL), (27061, '', '干沟村', 'bc3e9d387cf244f5b564f80f5814219f', '65b3b3ef8b764a959a2244a4c086bb92', 'False', 'True', 'false', 'false', '511902204204', 5, '干沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902204204', 1, '2021-07-19 11:59:47', NULL, NULL), (27062, '', '九重村', 'c61b8af5037847fdb56e0a6b59da0c57', '65b3b3ef8b764a959a2244a4c086bb92', 'False', 'True', 'false', 'false', '511902204205', 5, '九重村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902204205', 1, '2021-07-19 11:59:47', NULL, NULL), (27063, '', '茅垭村', '04cdbfbe6285404481cb19a54d930333', '65b3b3ef8b764a959a2244a4c086bb92', 'False', 'True', 'false', 'false', '511902204206', 5, '茅垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902204206', 1, '2021-07-19 11:59:47', NULL, NULL), (27064, '', '学官坪村', '6834bd3c4c2f4bb89582e2cf7dae9055', '65b3b3ef8b764a959a2244a4c086bb92', 'False', 'True', 'false', 'false', '511902204207', 5, '学官坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902204207', 1, '2021-07-19 11:59:47', NULL, NULL), (27065, '', '院坝梁村', '64fa82953a424095b7fadfae5a22903b', '65b3b3ef8b764a959a2244a4c086bb92', 'False', 'True', 'false', 'false', '511902204208', 5, '院坝梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902204208', 1, '2021-07-19 11:59:47', NULL, NULL), (27066, '', '照山村', 'e0d462a5eed04f1ea7924b354be289a4', '65b3b3ef8b764a959a2244a4c086bb92', 'False', 'True', 'false', 'false', '511902204209', 5, '照山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902204209', 1, '2021-07-19 11:59:47', NULL, NULL), (27067, '', '大和乡', '27a86280218a4b5c9089ac1cc83ab5f2', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902203000', 4, '大和乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902203000', 1, '2021-07-19 11:59:47', NULL, NULL), (27068, '', '大罗塘社区', '7464d9d94ab945b9800eef6d5e89dc93', '27a86280218a4b5c9089ac1cc83ab5f2', 'False', 'True', 'false', 'false', '511902203001', 5, '大罗塘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902203001', 1, '2021-07-19 11:59:47', NULL, NULL), (27069, '', '回龙村', '43eb6529f2ca48e086250cfd0bb19b24', '27a86280218a4b5c9089ac1cc83ab5f2', 'False', 'True', 'false', 'false', '511902203200', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902203200', 1, '2021-07-19 11:59:47', NULL, NULL), (27070, '', '太华村', '51a15d4965b14bcfbbccce60e857dd75', '27a86280218a4b5c9089ac1cc83ab5f2', 'False', 'True', 'false', 'false', '511902203201', 5, '太华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902203201', 1, '2021-07-19 11:59:47', NULL, NULL), (27071, '', '界牌村', '4f2c372e0d7d4e24b77dca265830f4d7', '27a86280218a4b5c9089ac1cc83ab5f2', 'False', 'True', 'false', 'false', '511902203202', 5, '界牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902203202', 1, '2021-07-19 11:59:47', NULL, NULL), (27072, '', '双河村', '7bd12c110a744f6685e898a336567ef1', '27a86280218a4b5c9089ac1cc83ab5f2', 'False', 'True', 'false', 'false', '511902203203', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902203203', 1, '2021-07-19 11:59:48', NULL, NULL), (27073, '', '东溪村', '12b26e594629460089464cb61dc4cf5e', '27a86280218a4b5c9089ac1cc83ab5f2', 'False', 'True', 'false', 'false', '511902203204', 5, '东溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902203204', 1, '2021-07-19 11:59:48', NULL, NULL), (27074, '', '方坝村', 'ad6135e87c264da2ad9a52404f87f8dd', '27a86280218a4b5c9089ac1cc83ab5f2', 'False', 'True', 'false', 'false', '511902203205', 5, '方坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902203205', 1, '2021-07-19 11:59:48', NULL, NULL), (27075, '', '岗石村', 'b3376d4dd2754992abd2dd4723b8c435', '27a86280218a4b5c9089ac1cc83ab5f2', 'False', 'True', 'false', 'false', '511902203206', 5, '岗石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902203206', 1, '2021-07-19 11:59:48', NULL, NULL), (27076, '', '朱垭村', 'defd526199d740a8aa609b9c9ec3d96f', '27a86280218a4b5c9089ac1cc83ab5f2', 'False', 'True', 'false', 'false', '511902203207', 5, '朱垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902203207', 1, '2021-07-19 11:59:48', NULL, NULL), (27077, '', '北山村', 'f9aef731434a417785831bac8508fecd', '27a86280218a4b5c9089ac1cc83ab5f2', 'False', 'True', 'false', 'false', '511902203208', 5, '北山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902203208', 1, '2021-07-19 11:59:48', NULL, NULL), (27078, '', '板凳垭村', 'b18637ad9bc04b96bb96aca997d0204c', '27a86280218a4b5c9089ac1cc83ab5f2', 'False', 'True', 'false', 'false', '511902203209', 5, '板凳垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902203209', 1, '2021-07-19 11:59:48', NULL, NULL), (27079, '', '奇章街道', '619f87fa0e5144d7a7274f0aa426034f', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902355000', 4, '奇章街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902355000', 1, '2021-07-19 11:59:48', NULL, NULL), (27080, '', '楼台村', '9b21cf55948e42769fcf93013ee803eb', '619f87fa0e5144d7a7274f0aa426034f', 'False', 'True', 'false', 'false', '511902355152', 5, '楼台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902355152', 1, '2021-07-19 11:59:48', NULL, NULL), (27081, '', '八角位村', 'a0b51873e32d4eb09d040a71614f00c6', '619f87fa0e5144d7a7274f0aa426034f', 'False', 'True', 'false', 'false', '511902355352', 5, '八角位村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902355352', 1, '2021-07-19 11:59:48', NULL, NULL), (27082, '', '郑家山村', '276761954c624c68896aec304c654eea', '619f87fa0e5144d7a7274f0aa426034f', 'False', 'True', 'false', 'false', '511902355705', 5, '郑家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902355705', 1, '2021-07-19 11:59:48', NULL, NULL), (27083, '', '元堡社区', '5e939420d3b64c71a29a4f7502b283fd', '619f87fa0e5144d7a7274f0aa426034f', 'False', 'True', 'false', 'false', '511902355881', 5, '元堡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902355881', 1, '2021-07-19 11:59:48', NULL, NULL), (27084, '', '石燕社区', 'cfe31786d4fb4e92ac14cc3803cdd3c9', '619f87fa0e5144d7a7274f0aa426034f', 'False', 'True', 'false', 'false', '511902355965', 5, '石燕社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902355965', 1, '2021-07-19 11:59:48', NULL, NULL), (27085, '', '江北街道', '4874aa5a98654177a12d3a8b167494b2', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902400000', 4, '江北街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902400000', 1, '2021-07-19 11:59:48', NULL, NULL), (27086, '', '佛江社区', '69c0ed650fea409e8ad1db660b4c231c', '4874aa5a98654177a12d3a8b167494b2', 'False', 'True', 'false', 'false', '511902004078', 5, '佛江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902004078', 1, '2021-07-19 11:59:48', NULL, NULL), (27087, '', '状元桥社区', '50121c32bfff4e2ba718820db05a6b2c', '4874aa5a98654177a12d3a8b167494b2', 'False', 'True', 'false', 'false', '511902004608', 5, '状元桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902004608', 1, '2021-07-19 11:59:48', NULL, NULL), (27088, '', '李家扁村', 'b4b6920dc93a4d26a753d1889b64a85c', '4874aa5a98654177a12d3a8b167494b2', 'False', 'True', 'false', 'false', '511902400190', 5, '李家扁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902400190', 1, '2021-07-19 11:59:48', NULL, NULL), (27089, '', '岳家坡村', 'cb3e3f03501741bfa4665e337a552315', '4874aa5a98654177a12d3a8b167494b2', 'False', 'True', 'false', 'false', '511902400213', 5, '岳家坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902400213', 1, '2021-07-19 11:59:48', NULL, NULL), (27090, '', '凤头山村', 'f070581504e5478487120822fb75d4f6', '4874aa5a98654177a12d3a8b167494b2', 'False', 'True', 'false', 'false', '511902400415', 5, '凤头山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902400415', 1, '2021-07-19 11:59:48', NULL, NULL), (27091, '', '牛鼻山村', '4fd24728673142c7868dc1dec164db01', '4874aa5a98654177a12d3a8b167494b2', 'False', 'True', 'false', 'false', '511902400611', 5, '牛鼻山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902400611', 1, '2021-07-19 11:59:49', NULL, NULL), (27092, '', '江北台社区', 'b6f35272559148eabbe24a4108e20cac', '4874aa5a98654177a12d3a8b167494b2', 'False', 'True', 'false', 'false', '511902400686', 5, '江北台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902400686', 1, '2021-07-19 11:59:49', NULL, NULL), (27093, '', '白云台社区', 'dbaa956bc97d4b718d987faa9d0410cc', '4874aa5a98654177a12d3a8b167494b2', 'False', 'True', 'false', 'false', '511902400779', 5, '白云台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902400779', 1, '2021-07-19 11:59:49', NULL, NULL), (27094, '', '龙泉社区', '88f6e121bea44583917bc0db5c066bb6', '4874aa5a98654177a12d3a8b167494b2', 'False', 'True', 'false', 'false', '511902400922', 5, '龙泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902400922', 1, '2021-07-19 11:59:49', NULL, NULL), (27095, '', '兴文街道', '878025ffc3794594bf2987562aaf72e8', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902661000', 4, '兴文街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902661000', 1, '2021-07-19 11:59:49', NULL, NULL), (27096, '', '兴新社区', '98e3b092498849f8a2426e640c120a83', '878025ffc3794594bf2987562aaf72e8', 'False', 'True', 'false', 'false', '511902661250', 5, '兴新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902661250', 1, '2021-07-19 11:59:49', NULL, NULL), (27097, '', '中营村', 'd47e2b89a1bb4d9594f22cefe346a904', '878025ffc3794594bf2987562aaf72e8', 'False', 'True', 'false', 'false', '511902661529', 5, '中营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902661529', 1, '2021-07-19 11:59:49', NULL, NULL), (27098, '', '红花村', '624f9678d0314ef189c26ec77406b780', '878025ffc3794594bf2987562aaf72e8', 'False', 'True', 'false', 'false', '511902661605', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902661605', 1, '2021-07-19 11:59:49', NULL, NULL), (27099, '', '五谷社区', '46e4f4c0238547098340824e0406ae3e', '878025ffc3794594bf2987562aaf72e8', 'False', 'True', 'false', 'false', '511902661642', 5, '五谷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902661642', 1, '2021-07-19 11:59:49', NULL, NULL), (27100, '', '文村坝社区', '4f24f96cc1d343a89c2f5f0a62094e58', '878025ffc3794594bf2987562aaf72e8', 'False', 'True', 'false', 'false', '511902661833', 5, '文村坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902661833', 1, '2021-07-19 11:59:49', NULL, NULL), (27101, '', '九寨村', 'a10e3c2a66f746d286c699de8b73f648', '878025ffc3794594bf2987562aaf72e8', 'False', 'True', 'false', 'false', '511902661882', 5, '九寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902661882', 1, '2021-07-19 11:59:49', NULL, NULL), (27102, '', '观音桥村', '8913c4af3a06403ba8a51b4d8442fc89', '878025ffc3794594bf2987562aaf72e8', 'False', 'True', 'false', 'false', '511902661897', 5, '观音桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902661897', 1, '2021-07-19 11:59:49', NULL, NULL), (27103, '', '回风街道', '73288d3479ad4de9bcf8c70805b5d09d', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902796000', 4, '回风街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902796000', 1, '2021-07-19 11:59:49', NULL, NULL), (27104, '', '龙湖园社区', 'e1111970b47547118e4bb0c6a15cb903', '73288d3479ad4de9bcf8c70805b5d09d', 'False', 'True', 'false', 'false', '511902003053', 5, '龙湖园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902003053', 1, '2021-07-19 11:59:49', NULL, NULL), (27105, '', '回风社区', '72dca0d1bd5843ea9da357cd74d6bb03', '73288d3479ad4de9bcf8c70805b5d09d', 'False', 'True', 'false', 'false', '511902003001', 5, '回风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902003001', 1, '2021-07-19 11:59:49', NULL, NULL), (27106, '', '龙舌坝社区', '9c4a6f5154b949d0aa43ae239b7975ea', '73288d3479ad4de9bcf8c70805b5d09d', 'False', 'True', 'false', 'false', '511902003002', 5, '龙舌坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902003002', 1, '2021-07-19 11:59:49', NULL, NULL), (27107, '', '新华社区', 'cf101fc5f5a84ef4985ddbab5d866f5e', '73288d3479ad4de9bcf8c70805b5d09d', 'False', 'True', 'false', 'false', '511902003003', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902003003', 1, '2021-07-19 11:59:49', NULL, NULL), (27108, '', '陇桥社区', '98858921d50c4f74a70c1a575906eaf5', '73288d3479ad4de9bcf8c70805b5d09d', 'False', 'True', 'false', 'false', '511902003004', 5, '陇桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902003004', 1, '2021-07-19 11:59:49', NULL, NULL), (27109, '', '盘兴村', 'cf13e292b97e44a99a8e0d1504df8b9c', '73288d3479ad4de9bcf8c70805b5d09d', 'False', 'True', 'false', 'false', '511902003027', 5, '盘兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902003027', 1, '2021-07-19 11:59:50', NULL, NULL), (27110, '', '仙人洞社区', 'c9800c0713a541a2a18f7acc15f7b2e8', '73288d3479ad4de9bcf8c70805b5d09d', 'False', 'True', 'false', 'false', '511902003104', 5, '仙人洞社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902003104', 1, '2021-07-19 11:59:50', NULL, NULL), (27111, '', '大佛寺村', 'f9f2224c602a435280e8064a1916982a', '73288d3479ad4de9bcf8c70805b5d09d', 'False', 'True', 'false', 'false', '511902003200', 5, '大佛寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902003200', 1, '2021-07-19 11:59:50', NULL, NULL), (27112, '', '大溪口村', 'b17662547bf64430ab004dcbf994a948', '73288d3479ad4de9bcf8c70805b5d09d', 'False', 'True', 'false', 'false', '511902003201', 5, '大溪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902003201', 1, '2021-07-19 11:59:50', NULL, NULL), (27113, '', '西华山村', 'eb0e1138e3c641139cfca38565bb606a', '73288d3479ad4de9bcf8c70805b5d09d', 'False', 'True', 'false', 'false', '511902003202', 5, '西华山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902003202', 1, '2021-07-19 11:59:50', NULL, NULL), (27114, '', '玉皇庙村', '49cc458fb8fc4251ab4abd6736cf1a0f', '73288d3479ad4de9bcf8c70805b5d09d', 'False', 'True', 'false', 'false', '511902003203', 5, '玉皇庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902003203', 1, '2021-07-19 11:59:50', NULL, NULL), (27115, '', '八王村', '58e09dd0dcd14f9190d9f19cccd01cc7', '73288d3479ad4de9bcf8c70805b5d09d', 'False', 'True', 'false', 'false', '511902003204', 5, '八王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902003204', 1, '2021-07-19 11:59:50', NULL, NULL), (27116, '', '仙人洞村', '8830bcc7903e4af6b5d08673a10b84d0', '73288d3479ad4de9bcf8c70805b5d09d', 'False', 'True', 'false', 'false', '511902003205', 5, '仙人洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902003205', 1, '2021-07-19 11:59:50', NULL, NULL), (27117, '', '三凤村', 'de3f6046bec24fe4a5cd2ae778543781', '73288d3479ad4de9bcf8c70805b5d09d', 'False', 'True', 'false', 'false', '511902003207', 5, '三凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902003207', 1, '2021-07-19 11:59:50', NULL, NULL), (27118, '', '白鹤山村', 'd512fca2053e4827938fa6187e16f7bc', '73288d3479ad4de9bcf8c70805b5d09d', 'False', 'True', 'false', 'false', '511902003208', 5, '白鹤山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902003208', 1, '2021-07-19 11:59:50', NULL, NULL), (27119, '', '印盒垭村', 'dda401a50d56499aa8fd52c8f144483f', '73288d3479ad4de9bcf8c70805b5d09d', 'False', 'True', 'false', 'false', '511902003209', 5, '印盒垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902003209', 1, '2021-07-19 11:59:50', NULL, NULL), (27120, '', '大柏林村', '09048bc68c0f4fa6b8760a59c0e8e7cf', '73288d3479ad4de9bcf8c70805b5d09d', 'False', 'True', 'false', 'false', '511902003213', 5, '大柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902003213', 1, '2021-07-19 11:59:50', NULL, NULL), (27121, '', '津桥湖社区', '175f88c3c797452a8d38e646eeb27661', '73288d3479ad4de9bcf8c70805b5d09d', 'False', 'True', 'false', 'false', '511902003587', 5, '津桥湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902003587', 1, '2021-07-19 11:59:51', NULL, NULL), (27122, '', '水宁寺镇', 'efb46cc2031a4a73922a3cceb5c3aca8', 'fc90133f8add46f0ae2e2116a8b9b13b', 'True', 'True', 'false', 'false', '511902912000', 4, '水宁寺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511902912000', 1, '2021-07-19 11:59:51', NULL, NULL), (27123, '', '始宁居委会', 'ea23a3082bf74e369702d68829a0bef3', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902103001', 5, '始宁居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902103001', 1, '2021-07-19 11:59:51', NULL, NULL), (27124, '', '宏达社区', '90b6710f35f444b1bbfe96be95b8298f', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902103058', 5, '宏达社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902103058', 1, '2021-07-19 11:59:51', NULL, NULL), (27125, '', '花溪村', '45eae053278f49c8b0b2716996742ec7', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902103064', 5, '花溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902103064', 1, '2021-07-19 11:59:51', NULL, NULL), (27126, '', '火烽村', '52742f12662c4d2aa2e7f9c7e100536e', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902103194', 5, '火烽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902103194', 1, '2021-07-19 11:59:51', NULL, NULL), (27127, '', '香炉村', '74d6a74a34af47cd878faf003ea5d203', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902103212', 5, '香炉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902103212', 1, '2021-07-19 11:59:51', NULL, NULL), (27128, '', '龙骨村', '69391306c41e4ff1b584ccdd07cbdf97', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902103213', 5, '龙骨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902103213', 1, '2021-07-19 11:59:51', NULL, NULL), (27129, '', '三皇村', '800ec00d58ff430f8e1be22b4a1f9f73', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902103214', 5, '三皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902103214', 1, '2021-07-19 11:59:51', NULL, NULL), (27130, '', '水宁村', '8773b127a67e445ca629219d7fee44b3', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902103215', 5, '水宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902103215', 1, '2021-07-19 11:59:51', NULL, NULL), (27131, '', '土门村', '404aa9e6f20745d0b1097720bbd2e5f9', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902103449', 5, '土门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902103449', 1, '2021-07-19 11:59:51', NULL, NULL), (27132, '', '走马村', 'e631307cd9a5406db3a0dfe84bdb2c05', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902103578', 5, '走马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902103578', 1, '2021-07-19 11:59:51', NULL, NULL), (27133, '', '大坝村', '3b489ab656ca4db59cfd188265bf9db2', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902103734', 5, '大坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902103734', 1, '2021-07-19 11:59:51', NULL, NULL), (27134, '', '新庙村', 'b3590c9efe6c490cae964de785e3a310', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902103835', 5, '新庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902103835', 1, '2021-07-19 11:59:51', NULL, NULL), (27135, '', '明山村', '768808620101458c85bddc1989fbaaad', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902103861', 5, '明山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902103861', 1, '2021-07-19 11:59:51', NULL, NULL), (27136, '', '佛龛村', '3e4eb70bed59471c8f3a15b601dd4660', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902912130', 5, '佛龛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902912130', 1, '2021-07-19 11:59:51', NULL, NULL), (27137, '', '勇山村', '462c66ba42db49ffbb02ba41fe8a9212', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902912143', 5, '勇山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902912143', 1, '2021-07-19 11:59:51', NULL, NULL), (27138, '', '红栋村', 'bc3d8bc3bc18441a8b2029cd3055da7c', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902912233', 5, '红栋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902912233', 1, '2021-07-19 11:59:51', NULL, NULL), (27139, '', '沙嘴村', '90e325e0747c400393062317566968c6', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902912325', 5, '沙嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902912325', 1, '2021-07-19 11:59:51', NULL, NULL), (27140, '', '凉风村', '0bbce2c61d72403d80a670ac04b2ca07', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902912355', 5, '凉风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902912355', 1, '2021-07-19 11:59:51', NULL, NULL), (27141, '', '龙台村', 'b3974798dd7a46e19e2099a3070bbe41', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902912396', 5, '龙台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902912396', 1, '2021-07-19 11:59:52', NULL, NULL), (27142, '', '印盒村', '64bac32c049e47c9aa26542e83a25b11', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902912494', 5, '印盒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902912494', 1, '2021-07-19 11:59:52', NULL, NULL), (27143, '', '金银村', '69b1f363f1f747e5bbaaf05617e4da8c', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902912534', 5, '金银村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902912534', 1, '2021-07-19 11:59:52', NULL, NULL), (27144, '', '天宫村', '0d774908b195427fb19f3905ddb79d35', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902912611', 5, '天宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902912611', 1, '2021-07-19 11:59:52', NULL, NULL), (27145, '', '枇杷村', '6eadd9bdd71f419aa6d72835162d343a', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902912682', 5, '枇杷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902912682', 1, '2021-07-19 11:59:52', NULL, NULL), (27146, '', '梭椤村', '2f38a52ace164e64861c70456f62319b', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902912825', 5, '梭椤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902912825', 1, '2021-07-19 11:59:52', NULL, NULL), (27147, '', '凳子垭村', '649942d66070444584b4686609e54631', 'efb46cc2031a4a73922a3cceb5c3aca8', 'False', 'True', 'false', 'false', '511902912831', 5, '凳子垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511902912831', 1, '2021-07-19 11:59:52', NULL, NULL), (27148, '', '恩阳区', 'a84210d492774aa9b2aa5adf722d12cb', '60a505e9dfa643e9826902e0810de55f', 'True', 'True', 'false', 'false', '511903000000', 3, '恩阳区', 'bzseyq.sczwfw.gov.cn', 1, '2021-07-19 11:59:52', NULL, NULL), (27149, '', '登科街道', 'b183d28e34f441f9bc5714c524c0ac60', 'a84210d492774aa9b2aa5adf722d12cb', 'True', 'True', 'false', 'false', '511903001000', 4, '登科街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511903001000', 1, '2021-07-19 11:59:52', NULL, NULL), (27150, '', '新场居民委员会', '8064336972264244a5f101b6b7777f4c', 'b183d28e34f441f9bc5714c524c0ac60', 'False', 'True', 'false', 'false', '511903001001', 5, '新场居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903001001', 1, '2021-07-19 11:59:52', NULL, NULL), (27151, '', '登科居民委员会', '7163c68f9de14441b8e62afc2d1e3810', 'b183d28e34f441f9bc5714c524c0ac60', 'False', 'True', 'false', 'false', '511903001002', 5, '登科居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903001002', 1, '2021-07-19 11:59:52', NULL, NULL), (27152, '', '红岩坝社区居民委员会', 'fc68c0c1a1d248faa361cc889ad5b961', 'b183d28e34f441f9bc5714c524c0ac60', 'False', 'True', 'false', 'false', '511903001003', 5, '红岩坝社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903001003', 1, '2021-07-19 11:59:52', NULL, NULL), (27153, '', '方山村民委员会', '9c3c5a6f373e45778d7541c52c9b3b5f', 'b183d28e34f441f9bc5714c524c0ac60', 'False', 'True', 'false', 'false', '511903001004', 5, '方山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903001004', 1, '2021-07-19 11:59:52', NULL, NULL), (27154, '', '五台山村民委员会', '1ebe637f93c7401f98ec1c4fb79d0ef4', 'b183d28e34f441f9bc5714c524c0ac60', 'False', 'True', 'false', 'false', '511903001005', 5, '五台山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903001005', 1, '2021-07-19 11:59:52', NULL, NULL), (27155, '', '狮子山村民委员会', 'a473f88d14fa4f73aeb30e79dfe12c58', 'b183d28e34f441f9bc5714c524c0ac60', 'False', 'True', 'false', 'false', '511903001006', 5, '狮子山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903001006', 1, '2021-07-19 11:59:52', NULL, NULL), (27156, '', '麻石社区居民委员会', 'ed0e6426ed8841d3a1479cbd0d6e1514', 'b183d28e34f441f9bc5714c524c0ac60', 'False', 'True', 'false', 'false', '511903001007', 5, '麻石社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903001007', 1, '2021-07-19 11:59:52', NULL, NULL), (27157, '', '白玉社区居民委员会', '6019991c641b4f02baaef4e7b6d734aa', 'b183d28e34f441f9bc5714c524c0ac60', 'False', 'True', 'false', 'false', '511903001008', 5, '白玉社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903001008', 1, '2021-07-19 11:59:52', NULL, NULL), (27158, '', '两路社区居民委员会', 'd7358b1dd68a4b31907c3fc164b59ed3', 'b183d28e34f441f9bc5714c524c0ac60', 'False', 'True', 'false', 'false', '511903001009', 5, '两路社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903001009', 1, '2021-07-19 11:59:52', NULL, NULL), (27159, '', '天星寨社区居民委员会', '80ba54ce37fa48d28301b15ca6fc009e', 'b183d28e34f441f9bc5714c524c0ac60', 'False', 'True', 'false', 'false', '511903001010', 5, '天星寨社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903001010', 1, '2021-07-19 11:59:52', NULL, NULL), (27160, '', '赵台社区居民委员会', '9d27159176214dedbde21ced80a2d2eb', 'b183d28e34f441f9bc5714c524c0ac60', 'False', 'True', 'false', 'false', '511903001011', 5, '赵台社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903001011', 1, '2021-07-19 11:59:52', NULL, NULL), (27161, '', '石马社区居民委员会', 'dc16b7e9842a4b63a837606f88fbc6ce', 'b183d28e34f441f9bc5714c524c0ac60', 'False', 'True', 'false', 'false', '511903001012', 5, '石马社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903001012', 1, '2021-07-19 11:59:53', NULL, NULL), (27162, '', '秋溪社区居民委员会', '5629286f24ea4f229c02af296d220cae', 'b183d28e34f441f9bc5714c524c0ac60', 'False', 'True', 'false', 'false', '511903001013', 5, '秋溪社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903001013', 1, '2021-07-19 11:59:53', NULL, NULL), (27163, '', '燕飞社区居民委员会', 'f534d47f640648f4aad41ab896f23d01', 'b183d28e34f441f9bc5714c524c0ac60', 'False', 'True', 'false', 'false', '511903001014', 5, '燕飞社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903001014', 1, '2021-07-19 11:59:53', NULL, NULL), (27164, '', '古溪社区居民委员会', 'ce70235e753745fcb113b98a2df194bb', 'b183d28e34f441f9bc5714c524c0ac60', 'False', 'True', 'false', 'false', '511903001015', 5, '古溪社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903001015', 1, '2021-07-19 11:59:53', NULL, NULL), (27165, '', '团包垭村民委员会', '6dde2696a4e04804beefd1a1165a3e2e', 'b183d28e34f441f9bc5714c524c0ac60', 'False', 'True', 'false', 'false', '511903001232', 5, '团包垭村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903001232', 1, '2021-07-19 11:59:53', NULL, NULL), (27166, '', '文治街道', '3fbb03907c9740559594d731269da939', 'a84210d492774aa9b2aa5adf722d12cb', 'True', 'True', 'false', 'false', '511903002000', 4, '文治街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511903002000', 1, '2021-07-19 11:59:53', NULL, NULL), (27167, '', '文治居民委员会', 'f540d0e0ccfb4fcdb8b10dc22449b127', '3fbb03907c9740559594d731269da939', 'False', 'True', 'false', 'false', '511903002001', 5, '文治居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903002001', 1, '2021-07-19 11:59:53', NULL, NULL), (27168, '', '回龙居民委员会', 'c8b7d0e0d0234897bde6ee69c830bd64', '3fbb03907c9740559594d731269da939', 'False', 'True', 'false', 'false', '511903002002', 5, '回龙居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903002002', 1, '2021-07-19 11:59:53', NULL, NULL), (27169, '', '老场居民委员会', '1c6f557464814c568be434ef9d70de46', '3fbb03907c9740559594d731269da939', 'False', 'True', 'false', 'false', '511903002003', 5, '老场居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903002003', 1, '2021-07-19 11:59:53', NULL, NULL), (27170, '', '红梅社区居民委员会', 'e443a5dd40cd4e5798973882ff2b577d', '3fbb03907c9740559594d731269da939', 'False', 'True', 'false', 'false', '511903002004', 5, '红梅社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903002004', 1, '2021-07-19 11:59:53', NULL, NULL), (27171, '', '青堡社区居民委员会', 'f941b8ef59d948d5b206a1bd54824769', '3fbb03907c9740559594d731269da939', 'False', 'True', 'false', 'false', '511903002005', 5, '青堡社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903002005', 1, '2021-07-19 11:59:53', NULL, NULL), (27172, '', '元窝社区居民委员会', '931a3ed87284449abc751c997f8480ac', '3fbb03907c9740559594d731269da939', 'False', 'True', 'false', 'false', '511903002006', 5, '元窝社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903002006', 1, '2021-07-19 11:59:53', NULL, NULL), (27173, '', '小观社区居民委员会', '78110c2abaeb41018c41edd47b4babfd', '3fbb03907c9740559594d731269da939', 'False', 'True', 'false', 'false', '511903002007', 5, '小观社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903002007', 1, '2021-07-19 11:59:53', NULL, NULL), (27174, '', '义阳社区居民委员会', '1738ea24013b4834b6903bca126cf601', '3fbb03907c9740559594d731269da939', 'False', 'True', 'false', 'false', '511903002008', 5, '义阳社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903002008', 1, '2021-07-19 11:59:53', NULL, NULL), (27175, '', '飞凤社区居民委员会', 'b79fb8d61b4b488792b4ac11b75560c4', '3fbb03907c9740559594d731269da939', 'False', 'True', 'false', 'false', '511903002009', 5, '飞凤社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903002009', 1, '2021-07-19 11:59:53', NULL, NULL), (27176, '', '马鞍社区居民委员会', '02dcc57567f3423a86d269fd2cc326e6', '3fbb03907c9740559594d731269da939', 'False', 'True', 'false', 'false', '511903002010', 5, '马鞍社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903002010', 1, '2021-07-19 11:59:53', NULL, NULL), (27177, '', '柏林社区居民委员会', 'f501fb19c3584fc186274e7b584cd66e', '3fbb03907c9740559594d731269da939', 'False', 'True', 'false', 'false', '511903002011', 5, '柏林社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903002011', 1, '2021-07-19 11:59:53', NULL, NULL), (27178, '', '宝元寺居民委员会', '8145444d06fa48bd93a188fcd799a00e', '3fbb03907c9740559594d731269da939', 'False', 'True', 'false', 'false', '511903002012', 5, '宝元寺居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903002012', 1, '2021-07-19 11:59:53', NULL, NULL), (27179, '', '金鼓岩社区居民委员会', '21e5a3125856484f8a3faf7cc8ddda01', '3fbb03907c9740559594d731269da939', 'False', 'True', 'false', 'false', '511903002013', 5, '金鼓岩社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903002013', 1, '2021-07-19 11:59:53', NULL, NULL), (27180, '', '得胜社区居民委员会', 'b96bd3b3076e4bc2bf2008a07a5c7479', '3fbb03907c9740559594d731269da939', 'False', 'True', 'false', 'false', '511903002014', 5, '得胜社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903002014', 1, '2021-07-19 11:59:54', NULL, NULL), (27181, '', '清坪社区居民委员会', '6e1264ce28de455899d03938b27289df', '3fbb03907c9740559594d731269da939', 'False', 'True', 'false', 'false', '511903002015', 5, '清坪社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903002015', 1, '2021-07-19 11:59:54', NULL, NULL), (27182, '', '长岭寨村民委员会', '80d9371432e242b49b46989062013cac', '3fbb03907c9740559594d731269da939', 'False', 'True', 'false', 'false', '511903002200', 5, '长岭寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903002200', 1, '2021-07-19 11:59:54', NULL, NULL), (27183, '', '司城街道', '43e6a63a4b8743949d11e88d8037d0f0', 'a84210d492774aa9b2aa5adf722d12cb', 'True', 'True', 'false', 'false', '511903003000', 4, '司城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511903003000', 1, '2021-07-19 11:59:54', NULL, NULL), (27184, '', '齐家梁居民委员会', '216908ca83da4537866f015faeb40da7', '43e6a63a4b8743949d11e88d8037d0f0', 'False', 'True', 'false', 'false', '511903003001', 5, '齐家梁居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903003001', 1, '2021-07-19 11:59:54', NULL, NULL), (27185, '', '双石桥社区居民委员会', '1c2e2427b3eb46b0bce20c28c9d7d4b0', '43e6a63a4b8743949d11e88d8037d0f0', 'False', 'True', 'false', 'false', '511903003002', 5, '双石桥社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903003002', 1, '2021-07-19 11:59:54', NULL, NULL), (27186, '', '高岸社区居民委员会', '93dd83e9e65c4d23a1974dfc43408d23', '43e6a63a4b8743949d11e88d8037d0f0', 'False', 'True', 'false', 'false', '511903003003', 5, '高岸社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903003003', 1, '2021-07-19 11:59:54', NULL, NULL), (27187, '', '松梁社区居民委员会', '637cea3932c34ae7b38238090e3102a5', '43e6a63a4b8743949d11e88d8037d0f0', 'False', 'True', 'false', 'false', '511903003004', 5, '松梁社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903003004', 1, '2021-07-19 11:59:54', NULL, NULL), (27188, '', '司城社区居民委员会', '9dd5f40919de4c6b91c6dcf2b1c4c364', '43e6a63a4b8743949d11e88d8037d0f0', 'False', 'True', 'false', 'false', '511903003005', 5, '司城社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903003005', 1, '2021-07-19 11:59:54', NULL, NULL), (27189, '', '一字社区居民委员会', 'e7ef241b66304306bb8c5bda160781f7', '43e6a63a4b8743949d11e88d8037d0f0', 'False', 'True', 'false', 'false', '511903003006', 5, '一字社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903003006', 1, '2021-07-19 11:59:54', NULL, NULL), (27190, '', '印盒村民委员会', 'a48c4f74e33a433fbccc1491c12530fa', '43e6a63a4b8743949d11e88d8037d0f0', 'False', 'True', 'false', 'false', '511903003201', 5, '印盒村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903003201', 1, '2021-07-19 11:59:54', NULL, NULL), (27191, '', '碧石村民委员会', 'ab709e07fc41474f9e55ef0bc6f806ae', '43e6a63a4b8743949d11e88d8037d0f0', 'False', 'True', 'false', 'false', '511903003202', 5, '碧石村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903003202', 1, '2021-07-19 11:59:54', NULL, NULL), (27192, '', '花包村民委员会', '896a819750fe4d31ad853784d0631c2f', '43e6a63a4b8743949d11e88d8037d0f0', 'False', 'True', 'false', 'false', '511903003204', 5, '花包村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903003204', 1, '2021-07-19 11:59:54', NULL, NULL), (27193, '', '平桥村民委员会', 'e5055ce250064a4ca15395b80debefe7', '43e6a63a4b8743949d11e88d8037d0f0', 'False', 'True', 'false', 'false', '511903003205', 5, '平桥村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903003205', 1, '2021-07-19 11:59:54', NULL, NULL), (27194, '', '韩渡村民委员会', '7b619d1585d349f98e50977e9260516a', '43e6a63a4b8743949d11e88d8037d0f0', 'False', 'True', 'false', 'false', '511903003206', 5, '韩渡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903003206', 1, '2021-07-19 11:59:54', NULL, NULL), (27195, '', '黄桷村民委员会', '60da87df3dc8482b93ce35018e6ba6a2', '43e6a63a4b8743949d11e88d8037d0f0', 'False', 'True', 'false', 'false', '511903003211', 5, '黄桷村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903003211', 1, '2021-07-19 11:59:54', NULL, NULL), (27196, '', '玉山镇', '1d920553829c4eb8af823e9a49d03773', 'a84210d492774aa9b2aa5adf722d12cb', 'True', 'True', 'false', 'false', '511903101000', 4, '玉山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511903101000', 1, '2021-07-19 11:59:54', NULL, NULL), (27197, '', '鱼石居民委员会', '8a1854bfc2404f6f8182bd6571534791', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101001', 5, '鱼石居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101001', 1, '2021-07-19 11:59:54', NULL, NULL), (27198, '', '高水头居民委员会', '440aca70c32045e6860fcf9b893f7f0a', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101002', 5, '高水头居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101002', 1, '2021-07-19 11:59:54', NULL, NULL), (27199, '', '大元村民委员会', '5c199622a5854ac5ae1d18644ae86c57', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101003', 5, '大元村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101003', 1, '2021-07-19 11:59:55', NULL, NULL), (27200, '', '杨柳河居民委员会', '63358b2bb3ae4269a1a8434915eedad6', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101004', 5, '杨柳河居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101004', 1, '2021-07-19 11:59:55', NULL, NULL), (27201, '', '瑞昌居民委员会', '6ed257d0c31846738652295b61025516', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101005', 5, '瑞昌居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101005', 1, '2021-07-19 11:59:55', NULL, NULL), (27202, '', '联盟村民委员会', 'e233d9ce03b140618449b59da1d4cee0', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101200', 5, '联盟村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101200', 1, '2021-07-19 11:59:55', NULL, NULL), (27203, '', '大寨社区居民委员会', '5e3e454bacdc48bba7f4b5f4dc7dda2d', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101201', 5, '大寨社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101201', 1, '2021-07-19 11:59:55', NULL, NULL), (27204, '', '凤舞居民委员会', '6ce9405d86e544e8b60e0b3e0ba320f7', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101202', 5, '凤舞居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101202', 1, '2021-07-19 11:59:55', NULL, NULL), (27205, '', '黄柏村民委员会', 'f5ec2d58ad804cd38b74b74368de3f83', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101203', 5, '黄柏村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101203', 1, '2021-07-19 11:59:55', NULL, NULL), (27206, '', '凤居村民委员会', 'd608a8c24715440f98ea321e41bf09f5', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101204', 5, '凤居村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101204', 1, '2021-07-19 11:59:55', NULL, NULL), (27207, '', '金华村民委员会', '71d23c7a9a544a2eab9003b75a560a11', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101205', 5, '金华村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101205', 1, '2021-07-19 11:59:55', NULL, NULL), (27208, '', '大营村民委员会', 'ecc0a031c7014670bc50be93b0e31784', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101206', 5, '大营村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101206', 1, '2021-07-19 11:59:55', NULL, NULL), (27209, '', '天平村民委员会', '732211917a4140ad9ca66690aeb708e8', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101207', 5, '天平村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101207', 1, '2021-07-19 11:59:55', NULL, NULL), (27210, '', '花园村民委员会', '8452bee6b1f34ac78f343eaeff423b3e', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101208', 5, '花园村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101208', 1, '2021-07-19 11:59:55', NULL, NULL), (27211, '', '凤凰梁村村民委员会', '63bf35ef26fe452bba14b031771db7d2', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101209', 5, '凤凰梁村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101209', 1, '2021-07-19 11:59:55', NULL, NULL), (27212, '', '红星社区居民委员会', '11c87c81d5c64f6a9198cdad4aa6b521', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101210', 5, '红星社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101210', 1, '2021-07-19 11:59:55', NULL, NULL), (27213, '', '和平社区居民委员会', '8e340980c6f840e8b23a89395feb9560', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101211', 5, '和平社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101211', 1, '2021-07-19 11:59:55', NULL, NULL), (27214, '', '南阳村民委员会', '2321f744db2244869bb602d2bd0ae3e5', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101212', 5, '南阳村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101212', 1, '2021-07-19 11:59:55', NULL, NULL), (27215, '', '古楼村民委员会', '7789601b12a74910a75a3b2e006cebe5', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101213', 5, '古楼村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101213', 1, '2021-07-19 11:59:55', NULL, NULL), (27216, '', '凤阳社区居民委员会', '614733897af646a4b22719932181a19d', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101215', 5, '凤阳社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101215', 1, '2021-07-19 11:59:55', NULL, NULL), (27217, '', '青龙村民委员会', '348afd4c3a294a4983d5aff4f9b26718', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101216', 5, '青龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101216', 1, '2021-07-19 11:59:55', NULL, NULL), (27218, '', '大梁村民委员会', 'fa0769320f4c4f4da1d9f4f3c1936433', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101217', 5, '大梁村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101217', 1, '2021-07-19 11:59:56', NULL, NULL), (27219, '', '宝石村民委员会', '112c4b0bcdcf4199bbd5f4e6fdb067f8', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101218', 5, '宝石村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101218', 1, '2021-07-19 11:59:56', NULL, NULL), (27220, '', '鞍山村民委员会', '5c3faf9c2e3740f1bb9ec34578251251', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101219', 5, '鞍山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101219', 1, '2021-07-19 11:59:56', NULL, NULL), (27221, '', '鸡山村民委员会', '78b545dd8ecc4462a303e2dfdc4f24ff', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101220', 5, '鸡山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101220', 1, '2021-07-19 11:59:56', NULL, NULL), (27222, '', '高峰村民委员会', '3c005d9a481d46f8a746dba664aeb09c', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101221', 5, '高峰村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101221', 1, '2021-07-19 11:59:56', NULL, NULL), (27223, '', '东风村民委员会', 'c166e869fa654b8298dc48a61a49c215', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101222', 5, '东风村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101222', 1, '2021-07-19 11:59:56', NULL, NULL), (27224, '', '火花村民委员会', '72e6c2ed655647caad77157b1939b69a', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101223', 5, '火花村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101223', 1, '2021-07-19 11:59:56', NULL, NULL), (27225, '', '巨龙社区居民委员会', '50603d2daa764762a58059cbb01e72d4', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101224', 5, '巨龙社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101224', 1, '2021-07-19 11:59:56', NULL, NULL), (27226, '', '旭光社区居民委员会', 'a19b89779fa94a1d90a7d66a95f3a444', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101225', 5, '旭光社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101225', 1, '2021-07-19 11:59:56', NULL, NULL), (27227, '', '春光社区居民委员会', 'efdc4d8c4a80485bab2268e105151d20', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101226', 5, '春光社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101226', 1, '2021-07-19 11:59:56', NULL, NULL), (27228, '', '重阳村民委员会', '37dfa6964e464963b5494ffbb719548f', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101227', 5, '重阳村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101227', 1, '2021-07-19 11:59:56', NULL, NULL), (27229, '', '金马社区居民委员会', '0202f9bb9d6644e2b99d2a327a5f63e5', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101228', 5, '金马社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101228', 1, '2021-07-19 11:59:56', NULL, NULL), (27230, '', '元山村民委员会', '9e60b1a28ed84f9ca26d58ee30517539', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101229', 5, '元山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101229', 1, '2021-07-19 11:59:56', NULL, NULL), (27231, '', '双山村民委员会', '93770a63c0cd435496549a75a5194b0f', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101230', 5, '双山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101230', 1, '2021-07-19 11:59:56', NULL, NULL), (27232, '', '柏杨村民委员会', 'ed69f6084f634d2695fc65c2fe53b0bf', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101231', 5, '柏杨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101231', 1, '2021-07-19 11:59:56', NULL, NULL), (27233, '', '三元村民委员会', '3a03950f14f54563a84068b7c5dac496', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101232', 5, '三元村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101232', 1, '2021-07-19 11:59:56', NULL, NULL), (27234, '', '白云庙村民委员会', 'ca591deeab5540a98daf37f9b8f267e2', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101233', 5, '白云庙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101233', 1, '2021-07-19 11:59:56', NULL, NULL), (27235, '', '梓橦村民委员会', '0885e9c6e43042beb313d4179e50225d', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101234', 5, '梓橦村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101234', 1, '2021-07-19 11:59:56', NULL, NULL), (27236, '', '陈村村民委员会', '6bd2db7a7be8480e8c969670452a949f', '1d920553829c4eb8af823e9a49d03773', 'False', 'True', 'false', 'false', '511903101261', 5, '陈村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903101261', 1, '2021-07-19 11:59:57', NULL, NULL), (27237, '', '柳林镇', '080faec8b62d45fd94fad521af8e9119', 'a84210d492774aa9b2aa5adf722d12cb', 'True', 'True', 'false', 'false', '511903106000', 4, '柳林镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511903106000', 1, '2021-07-19 11:59:57', NULL, NULL), (27238, '', '新凤社区居民委员会', 'b454fad2cb3140049023bf0020c147e8', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106001', 5, '新凤社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106001', 1, '2021-07-19 11:59:57', NULL, NULL), (27239, '', '金龙社区居民委员会', 'b68a5cc684294e5c9c73c3da2e1c642a', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106002', 5, '金龙社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106002', 1, '2021-07-19 11:59:57', NULL, NULL), (27240, '', '玉金社区居民委员会', 'be7509103b224b59b00619d7906e5630', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106005', 5, '玉金社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106005', 1, '2021-07-19 11:59:57', NULL, NULL), (27241, '', '铜城寨社区居民委员会', 'cb98c4d1b3d5427fb1dbaf37cc847c29', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106200', 5, '铜城寨社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106200', 1, '2021-07-19 11:59:57', NULL, NULL), (27242, '', '人和寨村民委员会', 'b9aa197748a74b80a90612586ed50be4', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106201', 5, '人和寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106201', 1, '2021-07-19 11:59:57', NULL, NULL), (27243, '', '天猫村村民委员会', '4bd8a19703574f77b56510afdd21f3b1', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106202', 5, '天猫村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106202', 1, '2021-07-19 11:59:57', NULL, NULL), (27244, '', '齐都村村民委员会', '1048b9f289ec4312b1631d0f57564450', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106203', 5, '齐都村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106203', 1, '2021-07-19 11:59:57', NULL, NULL), (27245, '', '罐子沟村民委员会', 'd4f9766c46e04d979dbc6fee0c3b3093', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106204', 5, '罐子沟村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106204', 1, '2021-07-19 11:59:57', NULL, NULL), (27246, '', '凤翔社区居民委员会', 'bf83a90ea43e400baa77262a8a94b015', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106206', 5, '凤翔社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106206', 1, '2021-07-19 11:59:57', NULL, NULL), (27247, '', '七颗石村民委员会', '0cb719a069f94d65beebcde4ebfecd88', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106207', 5, '七颗石村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106207', 1, '2021-07-19 11:59:57', NULL, NULL), (27248, '', '来龙村村民委员会', 'a7419ccbfade49a985e1ee9ae9a28dda', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106208', 5, '来龙村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106208', 1, '2021-07-19 11:59:57', NULL, NULL), (27249, '', '海山村民委员会', '6ef62ce8b2d84028961f3bcc5e707fc7', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106209', 5, '海山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106209', 1, '2021-07-19 11:59:57', NULL, NULL), (27250, '', '凤鸣垭社区居民委员会', 'dbce5cf807e74252ae0cc86dfc177fc1', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106210', 5, '凤鸣垭社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106210', 1, '2021-07-19 11:59:57', NULL, NULL), (27251, '', '钟家坝社区居民委员会', '8b4afbac5a754da793dcc5811aeaa02a', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106211', 5, '钟家坝社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106211', 1, '2021-07-19 11:59:58', NULL, NULL), (27252, '', '北斗居民委员会', '102d8534c0d34aeeb26de649d2a7ec8c', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106212', 5, '北斗居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106212', 1, '2021-07-19 11:59:58', NULL, NULL), (27253, '', '桅杆垭村民委员会', 'b2349d4a8702462f909e5cd9f4702fc4', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106213', 5, '桅杆垭村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106213', 1, '2021-07-19 11:59:58', NULL, NULL), (27254, '', '盐井村民委员会', '81cee070bdf34f3e9d65f6e3f713f2fb', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106214', 5, '盐井村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106214', 1, '2021-07-19 11:59:58', NULL, NULL), (27255, '', '唐家梁村民委员会', 'c43c16da294c4f75bf383f17e0fd1efe', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106215', 5, '唐家梁村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106215', 1, '2021-07-19 11:59:58', NULL, NULL), (27256, '', '双柏垭村民委员会', '41fe514c3210485ea9a470cea1abdb83', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106217', 5, '双柏垭村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106217', 1, '2021-07-19 11:59:58', NULL, NULL), (27257, '', '凤凰坝村民委员会', 'afd68ce8226d471e87b1092f995b1967', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106220', 5, '凤凰坝村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106220', 1, '2021-07-19 11:59:58', NULL, NULL), (27258, '', '苟金山村民委员会', '9534580a916f42829cec0df068345776', '080faec8b62d45fd94fad521af8e9119', 'False', 'True', 'false', 'false', '511903106221', 5, '苟金山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903106221', 1, '2021-07-19 11:59:58', NULL, NULL), (27259, '', '下八庙镇', 'a92770d204ea4c6796811946f57ae5ec', 'a84210d492774aa9b2aa5adf722d12cb', 'True', 'True', 'false', 'false', '511903107000', 4, '下八庙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511903107000', 1, '2021-07-19 11:59:58', NULL, NULL), (27260, '', '七星村民委员会', 'c679afd11e9046c5b28fe830642f542a', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107231', 5, '七星村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107231', 1, '2021-07-19 11:59:58', NULL, NULL), (27261, '', '黄桷树社区居民委员会', 'f24a227581e14f1696ffa4997d131417', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107001', 5, '黄桷树社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107001', 1, '2021-07-19 11:59:58', NULL, NULL), (27262, '', '磨子社区居民委员会', '56f93ee2f9d14586bdfe251cd158efb9', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107002', 5, '磨子社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107002', 1, '2021-07-19 11:59:58', NULL, NULL), (27263, '', '凤凰包社区居民委员会', '912c94cb981143619eb6f124f4d670f7', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107003', 5, '凤凰包社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107003', 1, '2021-07-19 11:59:58', NULL, NULL), (27264, '', '观音井社区居民委员会', 'dad459eeda36457fa490d8980efe4ee1', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107004', 5, '观音井社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107004', 1, '2021-07-19 11:59:58', NULL, NULL), (27265, '', '乐丰社区居民委员会', '423a7eee6c56489dacec77a621a095d5', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107006', 5, '乐丰社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107006', 1, '2021-07-19 11:59:58', NULL, NULL), (27266, '', '石桥村民委员会', '4ad2a1a9f3ab48829ceb82c9c1220bcb', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107200', 5, '石桥村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107200', 1, '2021-07-19 11:59:58', NULL, NULL), (27267, '', '安居村民委员会', '5ef836fce8884a7d93f0b564808aa3a4', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107202', 5, '安居村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107202', 1, '2021-07-19 11:59:59', NULL, NULL), (27268, '', '钱库村民委员会', '7140f467138d4bcc9a26f3b7df972c66', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107203', 5, '钱库村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107203', 1, '2021-07-19 11:59:59', NULL, NULL), (27269, '', '铁城村民委员会', '29040ad6d4ce47d0bf6e7ecc2938f47f', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107205', 5, '铁城村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107205', 1, '2021-07-19 11:59:59', NULL, NULL), (27270, '', '马鞍山村民委员会', '5084ce467f7a4fec8cc062e34bed3e8d', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107206', 5, '马鞍山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107206', 1, '2021-07-19 11:59:59', NULL, NULL), (27271, '', '泡木梁村民委员会', '7a27aec136b646d48681f43ec7627108', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107209', 5, '泡木梁村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107209', 1, '2021-07-19 11:59:59', NULL, NULL), (27272, '', '石鼓梁村民委员会', 'cfe8c06cfb4c488aa716597399822019', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107210', 5, '石鼓梁村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107210', 1, '2021-07-19 11:59:59', NULL, NULL), (27273, '', '普济宫村民委员会', '3939d23d4d9a41c4a73064236c819b8e', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107213', 5, '普济宫村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107213', 1, '2021-07-19 11:59:59', NULL, NULL), (27274, '', '印盒山村民委员会', '1651912a6176449c908657f84e5098cc', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107214', 5, '印盒山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107214', 1, '2021-07-19 11:59:59', NULL, NULL), (27275, '', '店子村民委员会', '4006a222c9ed49bf8c2ba5396ff80b12', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107216', 5, '店子村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107216', 1, '2021-07-19 11:59:59', NULL, NULL), (27276, '', '岳王村民委员会', 'fae5a164fb12473c82187045141db022', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107218', 5, '岳王村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107218', 1, '2021-07-19 11:59:59', NULL, NULL), (27277, '', '花石村民委员会', '832618abbef64a7da328e6d7a9e0a43c', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107219', 5, '花石村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107219', 1, '2021-07-19 11:59:59', NULL, NULL), (27278, '', '灵山村民委员会', '07d203d220af4d8bbeda63d7bb9bf672', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107220', 5, '灵山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107220', 1, '2021-07-19 11:59:59', NULL, NULL), (27279, '', '肖师村民委员会', '73a14b401a6e4d94b8173ba9acb67996', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107221', 5, '肖师村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107221', 1, '2021-07-19 11:59:59', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (27280, '', '石城村民委员会', 'cc749403d0524549898a22daa1f1d5c0', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107223', 5, '石城村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107223', 1, '2021-07-19 12:00:00', NULL, NULL), (27281, '', '万寿村民委员会', '32dd4d284d8f49c6af0ea2a6b5b798c4', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107225', 5, '万寿村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107225', 1, '2021-07-19 12:00:00', NULL, NULL), (27282, '', '楼房村民委员会', '1774da07f66748a2877a87c09b88098d', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107227', 5, '楼房村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107227', 1, '2021-07-19 12:00:00', NULL, NULL), (27283, '', '良产村民委员会', 'bbecfa5a1745459aa6161ccf7a1fb842', 'a92770d204ea4c6796811946f57ae5ec', 'False', 'True', 'false', 'false', '511903107229', 5, '良产村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903107229', 1, '2021-07-19 12:00:00', NULL, NULL), (27284, '', '雪山镇', 'b7ca416236f941d18440f47a23e6d6dd', 'a84210d492774aa9b2aa5adf722d12cb', 'True', 'True', 'false', 'false', '511903110000', 4, '雪山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511903110000', 1, '2021-07-19 12:00:00', NULL, NULL), (27285, '', '三汇溪居民委员会', 'da4dfc90cf594fd7ba8e17a68d0fdd8d', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903110001', 5, '三汇溪居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903110001', 1, '2021-07-19 12:00:00', NULL, NULL), (27286, '', '四合院村民委员会', '186de5e0ef4642059f97b9305e78d225', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903110203', 5, '四合院村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903110203', 1, '2021-07-19 12:00:00', NULL, NULL), (27287, '', '小水河村民委员会', 'aebd5cc838504cf8b904d57b7a487ee3', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903110204', 5, '小水河村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903110204', 1, '2021-07-19 12:00:00', NULL, NULL), (27288, '', '白岩湾村民委员会', '414a0347433f43a9bfd629ece749da2c', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903110206', 5, '白岩湾村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903110206', 1, '2021-07-19 12:00:00', NULL, NULL), (27289, '', '青龙村民委员会', 'f18be01b964340aab7ad7c5c48bc33e3', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903110208', 5, '青龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903110208', 1, '2021-07-19 12:00:00', NULL, NULL), (27290, '', '马鹿岩村村民委员会', '4b0a0c6abdbb40e38cd1754311baeabe', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903110210', 5, '马鹿岩村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903110210', 1, '2021-07-19 12:00:00', NULL, NULL), (27291, '', '土庙村民委员会', '9066c8c42d564f2e9e3e2e1e81aaf84c', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903120002', 5, '土庙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903120002', 1, '2021-07-19 12:00:00', NULL, NULL), (27292, '', '雪源村村民委员会', 'e32e67e89eb74edda6ca2ca9546fe244', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903120007', 5, '雪源村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903120007', 1, '2021-07-19 12:00:00', NULL, NULL), (27293, '', '新庙村民委员会', '157b2109a6b64fd68b7fae32b77ec77b', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903120009', 5, '新庙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903120009', 1, '2021-07-19 12:00:00', NULL, NULL), (27294, '', '同兴居民委员会', 'd4ecc0ddbb3541a787eec0ba9d05d9d5', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903120010', 5, '同兴居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903120010', 1, '2021-07-19 12:00:00', NULL, NULL), (27295, '', '卢庄村民委员会', '63b06d5b229641d2813cd0b1550ebce2', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903120011', 5, '卢庄村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903120011', 1, '2021-07-19 12:00:00', NULL, NULL), (27296, '', '红岭村民委员会', 'ac3eb357c58e4bd0a22be173f4dd92de', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903120012', 5, '红岭村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903120012', 1, '2021-07-19 12:00:00', NULL, NULL), (27297, '', '九皇村民委员会', '3e5f03759f274b02a93055b42bd6a864', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903120013', 5, '九皇村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903120013', 1, '2021-07-19 12:00:00', NULL, NULL), (27298, '', '桑林村村民委员会', '5cf3acd0dc5841c19ccff5ad0b073741', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903120014', 5, '桑林村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903120014', 1, '2021-07-19 12:00:00', NULL, NULL), (27299, '', '清泉寺村村民委员会', 'a26abebbc8414d79a224921417109110', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903120015', 5, '清泉寺村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903120015', 1, '2021-07-19 12:00:00', NULL, NULL), (27300, '', '杨通村民委员会', 'ff76a5c341c54a73acdfb8550a05dde2', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903120016', 5, '杨通村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903120016', 1, '2021-07-19 12:00:00', NULL, NULL), (27301, '', '玉泉社区居民委员会', '73e8caa1630345d9b3766398bede2f6a', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903120017', 5, '玉泉社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903120017', 1, '2021-07-19 12:00:01', NULL, NULL), (27302, '', '贾村村民委员会', '01a14f8454d04d40a160c0229f5ed0d3', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903120018', 5, '贾村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903120018', 1, '2021-07-19 12:00:01', NULL, NULL), (27303, '', '观音村民委员会', 'bcc01918aa9d4dae904c91a445cd8883', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903120019', 5, '观音村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903120019', 1, '2021-07-19 12:00:01', NULL, NULL), (27304, '', '三岩村民委员会', '7409259acc244fe5afe99257a06e5bfb', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903120020', 5, '三岩村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903120020', 1, '2021-07-19 12:00:01', NULL, NULL), (27305, '', '玉女村民委员会', '4c230e0f4a0a4a1b82ff7c5b185dc90a', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903120021', 5, '玉女村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903120021', 1, '2021-07-19 12:00:01', NULL, NULL), (27306, '', '牛颈村民委员会', 'b6cc60c3cd184d9185cd1e5e9a3ff8ea', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903120022', 5, '牛颈村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903120022', 1, '2021-07-19 12:00:01', NULL, NULL), (27307, '', '南岩村民委员会', '8209de7334fc42b0b608359247bc65f2', 'b7ca416236f941d18440f47a23e6d6dd', 'False', 'True', 'false', 'false', '511903120023', 5, '南岩村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903120023', 1, '2021-07-19 12:00:01', NULL, NULL), (27308, '', '上八庙镇', '9a9473477a2e4ef1a3ed21a03382bae7', 'a84210d492774aa9b2aa5adf722d12cb', 'True', 'True', 'false', 'false', '511903111000', 4, '上八庙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511903111000', 1, '2021-07-19 12:00:01', NULL, NULL), (27309, '', '文庙社区居民委员会', 'ee51def3cfaa419e84151bc93fb3cd10', '9a9473477a2e4ef1a3ed21a03382bae7', 'False', 'True', 'false', 'false', '511903111001', 5, '文庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903111001', 1, '2021-07-19 12:00:01', NULL, NULL), (27310, '', '三巴村民委员会', '6fc5e91c46c54824aacd410b7d0747d7', '9a9473477a2e4ef1a3ed21a03382bae7', 'False', 'True', 'false', 'false', '511903111201', 5, '三巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903111201', 1, '2021-07-19 12:00:01', NULL, NULL), (27311, '', '季台村民委员会', '1b517a2bff854e43be89ff862a95762a', '9a9473477a2e4ef1a3ed21a03382bae7', 'False', 'True', 'false', 'false', '511903111202', 5, '季台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903111202', 1, '2021-07-19 12:00:01', NULL, NULL), (27312, '', '来凤村民委员会', 'bdb2a341da01493687d090e98202db49', '9a9473477a2e4ef1a3ed21a03382bae7', 'False', 'True', 'false', 'false', '511903111203', 5, '来凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903111203', 1, '2021-07-19 12:00:01', NULL, NULL), (27313, '', '窑垭村民委员会', '2a3973404e3f4587a0677185a903b604', '9a9473477a2e4ef1a3ed21a03382bae7', 'False', 'True', 'false', 'false', '511903111205', 5, '窑垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903111205', 1, '2021-07-19 12:00:01', NULL, NULL), (27314, '', '文星村民委员会', 'ff0aa7b289c845778f40c1778f835f97', '9a9473477a2e4ef1a3ed21a03382bae7', 'False', 'True', 'false', 'false', '511903111207', 5, '文星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903111207', 1, '2021-07-19 12:00:01', NULL, NULL), (27315, '', '玉皇观村民委员会', '7052b31587b846c2b4b136ccd759b818', '9a9473477a2e4ef1a3ed21a03382bae7', 'False', 'True', 'false', 'false', '511903111209', 5, '玉皇观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903111209', 1, '2021-07-19 12:00:01', NULL, NULL), (27316, '', '登文村民委员会', '39502c5191594a61887cbdcbe6cc546c', '9a9473477a2e4ef1a3ed21a03382bae7', 'False', 'True', 'false', 'false', '511903111210', 5, '登文村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903111210', 1, '2021-07-19 12:00:01', NULL, NULL), (27317, '', '盘龙村民委员会', '6daea17fe566473989ee06795283f0bb', '9a9473477a2e4ef1a3ed21a03382bae7', 'False', 'True', 'false', 'false', '511903111213', 5, '盘龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903111213', 1, '2021-07-19 12:00:01', NULL, NULL), (27318, '', '关公镇', '66e0a3a45f274a009475c5c5e376e7a6', 'a84210d492774aa9b2aa5adf722d12cb', 'True', 'True', 'false', 'false', '511903112000', 4, '关公镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511903112000', 1, '2021-07-19 12:00:01', NULL, NULL), (27319, '', '西南村民委员会', '0c7113fcc7074a9e9966cd6a75032128', '66e0a3a45f274a009475c5c5e376e7a6', 'False', 'True', 'false', 'false', '511903003019', 5, '西南村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903003019', 1, '2021-07-19 12:00:01', NULL, NULL), (27320, '', '喜鹊社区居民委员会', '7da58b90550b4bdc8ddc21c18d26672a', '66e0a3a45f274a009475c5c5e376e7a6', 'False', 'True', 'false', 'false', '511903003021', 5, '喜鹊社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903003021', 1, '2021-07-19 12:00:02', NULL, NULL), (27321, '', '天官场社区居民委员会', 'c75faaf41deb4bc8a20da7704437187e', '66e0a3a45f274a009475c5c5e376e7a6', 'False', 'True', 'false', 'false', '511903112001', 5, '天官场社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903112001', 1, '2021-07-19 12:00:02', NULL, NULL), (27322, '', '骡动山村民委员会', '6a94a2b8fd354ce9a812d8b8dbc846b8', '66e0a3a45f274a009475c5c5e376e7a6', 'False', 'True', 'false', 'false', '511903112200', 5, '骡动山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903112200', 1, '2021-07-19 12:00:02', NULL, NULL), (27323, '', '梁山村民委员会', '22e5a77b8ef04e23a497be1703f19971', '66e0a3a45f274a009475c5c5e376e7a6', 'False', 'True', 'false', 'false', '511903112201', 5, '梁山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903112201', 1, '2021-07-19 12:00:02', NULL, NULL), (27324, '', '骑龙村民委员会', 'c2165e8502e941e6933f103ba7f32c42', '66e0a3a45f274a009475c5c5e376e7a6', 'False', 'True', 'false', 'false', '511903112202', 5, '骑龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903112202', 1, '2021-07-19 12:00:02', NULL, NULL), (27325, '', '老林村民委员会', 'd644f179a821465281d3b6052e7812cc', '66e0a3a45f274a009475c5c5e376e7a6', 'False', 'True', 'false', 'false', '511903112203', 5, '老林村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903112203', 1, '2021-07-19 12:00:02', NULL, NULL), (27326, '', '永定村社区居民委员会', '182f5e3cde4644a89c738449e7b2c7ac', '66e0a3a45f274a009475c5c5e376e7a6', 'False', 'True', 'false', 'false', '511903112204', 5, '永定村社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903112204', 1, '2021-07-19 12:00:02', NULL, NULL), (27327, '', '风华村民委员会', '738f197ca3844d28a804eaf5bf933efa', '66e0a3a45f274a009475c5c5e376e7a6', 'False', 'True', 'false', 'false', '511903112207', 5, '风华村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903112207', 1, '2021-07-19 12:00:02', NULL, NULL), (27328, '', '九龙村民委员会', '4d242bf9bad047e3b53c50b77f757fff', '66e0a3a45f274a009475c5c5e376e7a6', 'False', 'True', 'false', 'false', '511903112210', 5, '九龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903112210', 1, '2021-07-19 12:00:02', NULL, NULL), (27329, '', '莲花村民委员会', '19a6c2638d414c43a1f4e8ead97febfe', '66e0a3a45f274a009475c5c5e376e7a6', 'False', 'True', 'false', 'false', '511903112212', 5, '莲花村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903112212', 1, '2021-07-19 12:00:02', NULL, NULL), (27330, '', '双桥村民委员会', 'bd3d4e37b1024287aaf489d9dda2dac9', '66e0a3a45f274a009475c5c5e376e7a6', 'False', 'True', 'false', 'false', '511903112213', 5, '双桥村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903112213', 1, '2021-07-19 12:00:02', NULL, NULL), (27331, '', '双魁村民委员会', '6268831a236a4d42a4c600d56ab65330', '66e0a3a45f274a009475c5c5e376e7a6', 'False', 'True', 'false', 'false', '511903112216', 5, '双魁村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903112216', 1, '2021-07-19 12:00:02', NULL, NULL), (27332, '', '龙台山村民委员会', '8618b6f392ea40b6946eff46263ca59b', '66e0a3a45f274a009475c5c5e376e7a6', 'False', 'True', 'false', 'false', '511903112217', 5, '龙台山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903112217', 1, '2021-07-19 12:00:02', NULL, NULL), (27333, '', '宝珠观村民委员会', 'bb1a7d19d49d4f34b7ec06a49fd8b4e3', '66e0a3a45f274a009475c5c5e376e7a6', 'False', 'True', 'false', 'false', '511903112219', 5, '宝珠观村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903112219', 1, '2021-07-19 12:00:02', NULL, NULL), (27334, '', '兰天村民委员会', '891a164bb3b04ea78af2577cc7e88e11', '66e0a3a45f274a009475c5c5e376e7a6', 'False', 'True', 'false', 'false', '511903112220', 5, '兰天村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903112220', 1, '2021-07-19 12:00:02', NULL, NULL), (27335, '', '明阳镇', 'd79d4e8a2da44cfd825c4c0794e6be55', 'a84210d492774aa9b2aa5adf722d12cb', 'True', 'True', 'false', 'false', '511903151000', 4, '明阳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511903151000', 1, '2021-07-19 12:00:03', NULL, NULL), (27336, '', '付家寨村民委员会', '595c7fd4a24649ac88fa01b5c5925ba8', 'd79d4e8a2da44cfd825c4c0794e6be55', 'False', 'True', 'false', 'false', '511903100216', 5, '付家寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903100216', 1, '2021-07-19 12:00:03', NULL, NULL), (27337, '', '石梁子村民委员会', '20df1c58604e4b1ab265d5a762b9bd82', 'd79d4e8a2da44cfd825c4c0794e6be55', 'False', 'True', 'false', 'false', '511903000209', 5, '石梁子村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903000209', 1, '2021-07-19 12:00:03', NULL, NULL), (27338, '', '双凤村民委员会', '2de7d3ccac174027bdb42a725b2ea0b4', 'd79d4e8a2da44cfd825c4c0794e6be55', 'False', 'True', 'false', 'false', '511903000211', 5, '双凤村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903000211', 1, '2021-07-19 12:00:03', NULL, NULL), (27339, '', '合治寨社区居民委员会', '23b8aee17c994616bc63fd814c043674', 'd79d4e8a2da44cfd825c4c0794e6be55', 'False', 'True', 'false', 'false', '511903000212', 5, '合治寨社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903000212', 1, '2021-07-19 12:00:03', NULL, NULL), (27340, '', '旱谷社区居民委员会', '23d51cb78af04011a74a8dcf024ae55e', 'd79d4e8a2da44cfd825c4c0794e6be55', 'False', 'True', 'false', 'false', '511903000214', 5, '旱谷社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903000214', 1, '2021-07-19 12:00:03', NULL, NULL), (27341, '', '青木桥社区居民委员会', 'f64e377a32734148b0ab152ad5e8843e', 'd79d4e8a2da44cfd825c4c0794e6be55', 'False', 'True', 'false', 'false', '511903100015', 5, '青木桥社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903100015', 1, '2021-07-19 12:00:03', NULL, NULL), (27342, '', '骑龙山村民委员会', 'c360b73a00dd4afdb63c7fc987c2b98e', 'd79d4e8a2da44cfd825c4c0794e6be55', 'False', 'True', 'false', 'false', '511903100213', 5, '骑龙山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903100213', 1, '2021-07-19 12:00:03', NULL, NULL), (27343, '', '金包村民委员会', '57e4fe061d3748fd85620f2b56f0c6cf', 'd79d4e8a2da44cfd825c4c0794e6be55', 'False', 'True', 'false', 'false', '511903100214', 5, '金包村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903100214', 1, '2021-07-19 12:00:03', NULL, NULL), (27344, '', '鹿台村民委员会', 'e99da9b656a84d54a14f82f34b02e5a6', 'd79d4e8a2da44cfd825c4c0794e6be55', 'False', 'True', 'false', 'false', '511903100215', 5, '鹿台村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903100215', 1, '2021-07-19 12:00:03', NULL, NULL), (27345, '', '成城村民委员会', '5609e8df56f6410f873e4cad58969646', 'd79d4e8a2da44cfd825c4c0794e6be55', 'False', 'True', 'false', 'false', '511903100218', 5, '成城村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903100218', 1, '2021-07-19 12:00:03', NULL, NULL), (27346, '', '林家庙村民委员会', '8746511815924adb9696eb879c3d7a30', 'd79d4e8a2da44cfd825c4c0794e6be55', 'False', 'True', 'false', 'false', '511903100807', 5, '林家庙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903100807', 1, '2021-07-19 12:00:03', NULL, NULL), (27347, '', '高店子居民委员会', '4d556d78db4c477797e48057edcf0bbe', 'd79d4e8a2da44cfd825c4c0794e6be55', 'False', 'True', 'false', 'false', '511903151104', 5, '高店子居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903151104', 1, '2021-07-19 12:00:03', NULL, NULL), (27348, '', '二郎庙村民委员会', 'a7fee253adb041c3ac53cb9048cb6913', 'd79d4e8a2da44cfd825c4c0794e6be55', 'False', 'True', 'false', 'false', '511903151485', 5, '二郎庙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903151485', 1, '2021-07-19 12:00:03', NULL, NULL), (27349, '', '龚家梁社区居民委员会', 'b3edfeb4c0e74025853521bc6317db8a', 'd79d4e8a2da44cfd825c4c0794e6be55', 'False', 'True', 'false', 'false', '511903151532', 5, '龚家梁社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903151532', 1, '2021-07-19 12:00:03', NULL, NULL), (27350, '', '何家坝社区居民委员会', '7d3a84a35e5246d7b168cda67ea0d8cf', 'd79d4e8a2da44cfd825c4c0794e6be55', 'False', 'True', 'false', 'false', '511903151694', 5, '何家坝社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903151694', 1, '2021-07-19 12:00:03', NULL, NULL), (27351, '', '五郎庙社区居民委员会', 'e39f6985a9d9450eb877dc731029ba4e', 'd79d4e8a2da44cfd825c4c0794e6be55', 'False', 'True', 'false', 'false', '511903151702', 5, '五郎庙社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903151702', 1, '2021-07-19 12:00:03', NULL, NULL), (27352, '', '新石社区居民委员会', '16803e0d504a4b68a5fb2c968ed7cf68', 'd79d4e8a2da44cfd825c4c0794e6be55', 'False', 'True', 'false', 'false', '511903151726', 5, '新石社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903151726', 1, '2021-07-19 12:00:03', NULL, NULL), (27353, '', '团结居民委员会', '15b9638af2d24ccdb08cd95c2282d1bf', 'd79d4e8a2da44cfd825c4c0794e6be55', 'False', 'True', 'false', 'false', '511903151905', 5, '团结居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903151905', 1, '2021-07-19 12:00:03', NULL, NULL), (27354, '', '兴隆镇', '062afc26e312443eac5804a3804c4916', 'a84210d492774aa9b2aa5adf722d12cb', 'True', 'True', 'false', 'false', '511903203000', 4, '兴隆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511903203000', 1, '2021-07-19 12:00:04', NULL, NULL), (27355, '', '北斗村民委员会', '26ff0574134d4767b83511e59ad2e618', '062afc26e312443eac5804a3804c4916', 'False', 'True', 'false', 'false', '511903113208', 5, '北斗村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903113208', 1, '2021-07-19 12:00:04', NULL, NULL), (27356, '', '石龙村村民委员会', 'fef2fbb53cc5454a9d309e34cbbe1ebb', '062afc26e312443eac5804a3804c4916', 'False', 'True', 'false', 'false', '511903200202', 5, '石龙村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903200202', 1, '2021-07-19 12:00:04', NULL, NULL), (27357, '', '关蓬村民委员会', '25274ce32c744220811ab3f5f713b353', '062afc26e312443eac5804a3804c4916', 'False', 'True', 'false', 'false', '511903200204', 5, '关蓬村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903200204', 1, '2021-07-19 12:00:04', NULL, NULL), (27358, '', '小元村民委员会', 'fa008fc94fe64cc8b81cf2a108e75288', '062afc26e312443eac5804a3804c4916', 'False', 'True', 'false', 'false', '511903200205', 5, '小元村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903200205', 1, '2021-07-19 12:00:04', NULL, NULL), (27359, '', '戏楼社区居民委员会', '1707bb5066fe4acf933b1e1790230874', '062afc26e312443eac5804a3804c4916', 'False', 'True', 'false', 'false', '511903203001', 5, '戏楼社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903203001', 1, '2021-07-19 12:00:04', NULL, NULL), (27360, '', '凤凰庙村民委员会', 'd90f318f36d446b2b439c8eb04968161', '062afc26e312443eac5804a3804c4916', 'False', 'True', 'false', 'false', '511903203200', 5, '凤凰庙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903203200', 1, '2021-07-19 12:00:04', NULL, NULL), (27361, '', '金鸭村民委员会', '10b7c844f6254f7d958478b4b547045f', '062afc26e312443eac5804a3804c4916', 'False', 'True', 'false', 'false', '511903203202', 5, '金鸭村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903203202', 1, '2021-07-19 12:00:04', NULL, NULL), (27362, '', '玉皇村民委员会', '8f1c567c2ed2488e8985ad3a3a6c2882', '062afc26e312443eac5804a3804c4916', 'False', 'True', 'false', 'false', '511903203204', 5, '玉皇村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903203204', 1, '2021-07-19 12:00:04', NULL, NULL), (27363, '', '关公庙村民委员会', '6c96bc7a3f544e4984a912de476d89c4', '062afc26e312443eac5804a3804c4916', 'False', 'True', 'false', 'false', '511903203206', 5, '关公庙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903203206', 1, '2021-07-19 12:00:04', NULL, NULL), (27364, '', '插旗村民委员会', '83ff018b51814efa83d66d5be44fff55', '062afc26e312443eac5804a3804c4916', 'False', 'True', 'false', 'false', '511903203209', 5, '插旗村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903203209', 1, '2021-07-19 12:00:04', NULL, NULL), (27365, '', '法华村民委员会', 'c2610b4036bb48debafcfff4b601b1b5', '062afc26e312443eac5804a3804c4916', 'False', 'True', 'false', 'false', '511903203211', 5, '法华村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903203211', 1, '2021-07-19 12:00:04', NULL, NULL), (27366, '', '双石村民委员会', '60a670383cb24e8f849cac2839dd0b4d', '062afc26e312443eac5804a3804c4916', 'False', 'True', 'false', 'false', '511903203212', 5, '双石村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903203212', 1, '2021-07-19 12:00:04', NULL, NULL), (27367, '', '烂田垭村民委员会', '96562564bd2045e0a50c8dfb4075386a', '062afc26e312443eac5804a3804c4916', 'False', 'True', 'false', 'false', '511903204214', 5, '烂田垭村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903204214', 1, '2021-07-19 12:00:04', NULL, NULL), (27368, '', '千丘塝村民委员会', '16839f722fd7493b9f026647c9ad2424', '062afc26e312443eac5804a3804c4916', 'False', 'True', 'false', 'false', '511903204217', 5, '千丘塝村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903204217', 1, '2021-07-19 12:00:04', NULL, NULL), (27369, '', '万安村民委员会', '25707f69c8f1463682e9fda8bf5067e7', '062afc26e312443eac5804a3804c4916', 'False', 'True', 'false', 'false', '511903209200', 5, '万安村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903209200', 1, '2021-07-19 12:00:04', NULL, NULL), (27370, '', '九镇镇', '965df227951b452a9156e94bd7346325', 'a84210d492774aa9b2aa5adf722d12cb', 'True', 'True', 'false', 'false', '511903205000', 4, '九镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511903205000', 1, '2021-07-19 12:00:04', NULL, NULL), (27371, '', '文镇社区居民委员会', 'c9c9bffbf23c4aabadeca71a4f63ad68', '965df227951b452a9156e94bd7346325', 'False', 'True', 'false', 'false', '511903205200', 5, '文镇社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903205200', 1, '2021-07-19 12:00:04', NULL, NULL), (27372, '', '包树梁村民委员会', '90cb16062abe4c73a78a5180e0a349b5', '965df227951b452a9156e94bd7346325', 'False', 'True', 'false', 'false', '511903205201', 5, '包树梁村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903205201', 1, '2021-07-19 12:00:04', NULL, NULL), (27373, '', '钟山寨村民委员会', '3ed4253765e74d3bac34e6617fe74cfd', '965df227951b452a9156e94bd7346325', 'False', 'True', 'false', 'false', '511903205202', 5, '钟山寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903205202', 1, '2021-07-19 12:00:05', NULL, NULL), (27374, '', '彭家梁村民委员会', 'b73b7f404d5348ee88d0e54ccec0792e', '965df227951b452a9156e94bd7346325', 'False', 'True', 'false', 'false', '511903205203', 5, '彭家梁村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903205203', 1, '2021-07-19 12:00:05', NULL, NULL), (27375, '', '八卦石村民委员会', '5120dce51ac0492b9ec1f44b246db176', '965df227951b452a9156e94bd7346325', 'False', 'True', 'false', 'false', '511903205205', 5, '八卦石村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903205205', 1, '2021-07-19 12:00:05', NULL, NULL), (27376, '', '螺蛳石村民委员会', '624d3ec38aad4d0ca5fbfc3e25bd1922', '965df227951b452a9156e94bd7346325', 'False', 'True', 'false', 'false', '511903205206', 5, '螺蛳石村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903205206', 1, '2021-07-19 12:00:05', NULL, NULL), (27377, '', '大树坪村民委员会', '2f2e8dfcccd0409ea703780a7c62aeb3', '965df227951b452a9156e94bd7346325', 'False', 'True', 'false', 'false', '511903205207', 5, '大树坪村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903205207', 1, '2021-07-19 12:00:05', NULL, NULL), (27378, '', '尹家镇', 'cd4500a1d2944fc3852f6b1145a88b92', 'a84210d492774aa9b2aa5adf722d12cb', 'True', 'True', 'false', 'false', '511903206000', 4, '尹家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511903206000', 1, '2021-07-19 12:00:05', NULL, NULL), (27379, '', '尹家铺居民委员会', '140ceb41d6ea47cb8211a2b454fa4860', 'cd4500a1d2944fc3852f6b1145a88b92', 'False', 'True', 'false', 'false', '511903206001', 5, '尹家铺居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903206001', 1, '2021-07-19 12:00:05', NULL, NULL), (27380, '', '元岭村民委员会', 'b11cf4d7a4de4559842d2c8b8fa3708f', 'cd4500a1d2944fc3852f6b1145a88b92', 'False', 'True', 'false', 'false', '511903206200', 5, '元岭村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903206200', 1, '2021-07-19 12:00:05', NULL, NULL), (27381, '', '下苏村民委员会', 'c117c5e1cd9e457788f9854fbc8682c9', 'cd4500a1d2944fc3852f6b1145a88b92', 'False', 'True', 'false', 'false', '511903206202', 5, '下苏村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903206202', 1, '2021-07-19 12:00:05', NULL, NULL), (27382, '', '水磨坝村民委员会', 'b263dd1ed16d424886eee1083dba5ee4', 'cd4500a1d2944fc3852f6b1145a88b92', 'False', 'True', 'false', 'false', '511903206203', 5, '水磨坝村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903206203', 1, '2021-07-19 12:00:05', NULL, NULL), (27383, '', '大垭口村民委员会', '25545d221fec4ab2b4e0577a43eb7156', 'cd4500a1d2944fc3852f6b1145a88b92', 'False', 'True', 'false', 'false', '511903206204', 5, '大垭口村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903206204', 1, '2021-07-19 12:00:05', NULL, NULL), (27384, '', '大木山村民委员会', '8bbd7e737cce4240a6bcf86af8a80ddf', 'cd4500a1d2944fc3852f6b1145a88b92', 'False', 'True', 'false', 'false', '511903206206', 5, '大木山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903206206', 1, '2021-07-19 12:00:05', NULL, NULL), (27385, '', '双胜镇', '51dd178c4bba4e6d8f8dc304d67679d7', 'a84210d492774aa9b2aa5adf722d12cb', 'True', 'True', 'false', 'false', '511903207000', 4, '双胜镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511903207000', 1, '2021-07-19 12:00:05', NULL, NULL), (27386, '', '双庙居民委员会', '29db2c6eeb244d1dab768a7a0d769d37', '51dd178c4bba4e6d8f8dc304d67679d7', 'False', 'True', 'false', 'false', '511903207001', 5, '双庙居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903207001', 1, '2021-07-19 12:00:05', NULL, NULL), (27387, '', '凤泉村民委员会', '7abbf862e6624224a5d59d5ed291675b', '51dd178c4bba4e6d8f8dc304d67679d7', 'False', 'True', 'false', 'false', '511903207020', 5, '凤泉村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903207020', 1, '2021-07-19 12:00:05', NULL, NULL), (27388, '', '万林村民委员会', '41666e546de74b5ea41fb1cc2db58f70', '51dd178c4bba4e6d8f8dc304d67679d7', 'False', 'True', 'false', 'false', '511903207021', 5, '万林村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903207021', 1, '2021-07-19 12:00:05', NULL, NULL), (27389, '', '钟锋社区居民委员会', '6f36d2ba2aec470bae878a1c5a0e7068', '51dd178c4bba4e6d8f8dc304d67679d7', 'False', 'True', 'false', 'false', '511903207200', 5, '钟锋社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903207200', 1, '2021-07-19 12:00:05', NULL, NULL), (27390, '', '塔子垭村民委员会', '6132136ee6a544d8a04baa7f3b168bf1', '51dd178c4bba4e6d8f8dc304d67679d7', 'False', 'True', 'false', 'false', '511903207201', 5, '塔子垭村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903207201', 1, '2021-07-19 12:00:05', NULL, NULL), (27391, '', '凤山社区居民委员会', 'f08431068acf4751a1b3c7133c7e03da', '51dd178c4bba4e6d8f8dc304d67679d7', 'False', 'True', 'false', 'false', '511903207203', 5, '凤山社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903207203', 1, '2021-07-19 12:00:05', NULL, NULL), (27392, '', '东山村民委员会', '911e1e39e6784f858e28708e8acd0739', '51dd178c4bba4e6d8f8dc304d67679d7', 'False', 'True', 'false', 'false', '511903207204', 5, '东山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903207204', 1, '2021-07-19 12:00:05', NULL, NULL), (27393, '', '古楼垭村民委员会', '78a251d1decc4d74867229b0bc9c2833', '51dd178c4bba4e6d8f8dc304d67679d7', 'False', 'True', 'false', 'false', '511903207206', 5, '古楼垭村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903207206', 1, '2021-07-19 12:00:06', NULL, NULL), (27394, '', '红岩社区居民委员会', 'f05edd9e6fa34fa3af980b80b94d832a', '51dd178c4bba4e6d8f8dc304d67679d7', 'False', 'True', 'false', 'false', '511903207207', 5, '红岩社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903207207', 1, '2021-07-19 12:00:06', NULL, NULL), (27395, '', '中华村民委员会', '49b9d3bf42d140cba59aeddd11226e4e', '51dd178c4bba4e6d8f8dc304d67679d7', 'False', 'True', 'false', 'false', '511903207208', 5, '中华村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903207208', 1, '2021-07-19 12:00:06', NULL, NULL), (27396, '', '五星村村民委员会', '8103aa715b9f438a882c277e2eb4d490', '51dd178c4bba4e6d8f8dc304d67679d7', 'False', 'True', 'false', 'false', '511903207209', 5, '五星村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903207209', 1, '2021-07-19 12:00:06', NULL, NULL), (27397, '', '天良村民委员会', '73c29ae16a9341409a1bd557de576b22', '51dd178c4bba4e6d8f8dc304d67679d7', 'False', 'True', 'false', 'false', '511903207210', 5, '天良村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903207210', 1, '2021-07-19 12:00:06', NULL, NULL), (27398, '', '阳合村民委员会', '9eea7bcb6d85419092c5a085e1788a14', '51dd178c4bba4e6d8f8dc304d67679d7', 'False', 'True', 'false', 'false', '511903207211', 5, '阳合村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903207211', 1, '2021-07-19 12:00:06', NULL, NULL), (27399, '', '群乐镇', '162d50030ef245d2ae6b0e284ed3261e', 'a84210d492774aa9b2aa5adf722d12cb', 'True', 'True', 'false', 'false', '511903208000', 4, '群乐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511903208000', 1, '2021-07-19 12:00:06', NULL, NULL), (27400, '', '朱家沟村民委员会', '762f06b5942e4b6daae5c23fc7aa71ec', '162d50030ef245d2ae6b0e284ed3261e', 'False', 'True', 'false', 'false', '511903208178', 5, '朱家沟村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903208178', 1, '2021-07-19 12:00:06', NULL, NULL), (27401, '', '新河社区居民委员会', 'd7d6aa6664b44044919221ea7614a52e', '162d50030ef245d2ae6b0e284ed3261e', 'False', 'True', 'false', 'false', '511903208295', 5, '新河社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903208295', 1, '2021-07-19 12:00:06', NULL, NULL), (27402, '', '玉朵社区居民委员会', '9acfc4e6b6e2479eaba04d23e52328d6', '162d50030ef245d2ae6b0e284ed3261e', 'False', 'True', 'false', 'false', '511903208578', 5, '玉朵社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903208578', 1, '2021-07-19 12:00:06', NULL, NULL), (27403, '', '独柏树村民委员会', 'ae01f75da72b4d5a85874428668d2eef', '162d50030ef245d2ae6b0e284ed3261e', 'False', 'True', 'false', 'false', '511903208654', 5, '独柏树村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903208654', 1, '2021-07-19 12:00:06', NULL, NULL), (27404, '', '南江村民委员会', '3297fb4896e74ef983cde7a695293ea7', '162d50030ef245d2ae6b0e284ed3261e', 'False', 'True', 'false', 'false', '511903208659', 5, '南江村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903208659', 1, '2021-07-19 12:00:06', NULL, NULL), (27405, '', '朝阳村民委员会', '295c100c91b24822a41c01515af98ee4', '162d50030ef245d2ae6b0e284ed3261e', 'False', 'True', 'false', 'false', '511903208752', 5, '朝阳村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903208752', 1, '2021-07-19 12:00:06', NULL, NULL), (27406, '', '石龙寺村民委员会', '89f576d4a2744840b7c9c03b8fdfe247', '162d50030ef245d2ae6b0e284ed3261e', 'False', 'True', 'false', 'false', '511903208803', 5, '石龙寺村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903208803', 1, '2021-07-19 12:00:06', NULL, NULL), (27407, '', '坳盘村民委员会', 'f30e7ae9e2474184b90594c6d2b69fe3', '162d50030ef245d2ae6b0e284ed3261e', 'False', 'True', 'false', 'false', '511903208847', 5, '坳盘村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903208847', 1, '2021-07-19 12:00:06', NULL, NULL), (27408, '', '渔溪镇', 'de4dfdcd75454b478c76e50b00487462', 'a84210d492774aa9b2aa5adf722d12cb', 'True', 'True', 'false', 'false', '511903511000', 4, '渔溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511903511000', 1, '2021-07-19 12:00:06', NULL, NULL), (27409, '', '和平场社区居民委员会', '3c71f1214ead4d7a8c0f940dd1ec74ea', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102002', 5, '和平场社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102002', 1, '2021-07-19 12:00:06', NULL, NULL), (27410, '', '酒店社区居民委员会', 'd822a754089d4b6fb0db613eead1a777', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102003', 5, '酒店社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102003', 1, '2021-07-19 12:00:06', NULL, NULL), (27411, '', '太极社区居民委员会', 'fb0653f95daf45d2a443153b9a96a564', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102004', 5, '太极社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102004', 1, '2021-07-19 12:00:06', NULL, NULL), (27412, '', '升旗社区居民委员会', '403f51953a8e4472bdc1c370b5c0c9d1', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102005', 5, '升旗社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102005', 1, '2021-07-19 12:00:06', NULL, NULL), (27413, '', '长岭村民委员会', '10509752360c45afa22346aecd969152', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102006', 5, '长岭村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102006', 1, '2021-07-19 12:00:06', NULL, NULL), (27414, '', '槐树村民委员会', '402f6d68d7f7411fb122d9841339ac2f', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102008', 5, '槐树村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102008', 1, '2021-07-19 12:00:06', NULL, NULL), (27415, '', '土地村民委员会', 'dc12bc2dfe144a7fa439e34033bce0c1', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102009', 5, '土地村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102009', 1, '2021-07-19 12:00:07', NULL, NULL), (27416, '', '莲花寺村民委员会', 'd237426fa8104dffb094eb678fa01ca3', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102010', 5, '莲花寺村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102010', 1, '2021-07-19 12:00:07', NULL, NULL), (27417, '', '天池村民委员会', 'eabf9177c2c54baaba3b0c3a98879100', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102011', 5, '天池村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102011', 1, '2021-07-19 12:00:07', NULL, NULL), (27418, '', '五显村民委员会', '6a831030dd3c45e9a5c3b957af7eff4b', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102012', 5, '五显村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102012', 1, '2021-07-19 12:00:07', NULL, NULL), (27419, '', '新文村民委员会', 'b13bc2b36cbd492299e643465036fb3e', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102013', 5, '新文村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102013', 1, '2021-07-19 12:00:07', NULL, NULL), (27420, '', '文通村民委员会', 'd0224ab170b54c0c9a74182547bd332e', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102014', 5, '文通村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102014', 1, '2021-07-19 12:00:07', NULL, NULL), (27421, '', '桂花村民委员会', '890ee88fe49e456b82ecb760f9bcb4b6', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102015', 5, '桂花村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102015', 1, '2021-07-19 12:00:07', NULL, NULL), (27422, '', '八角村民委员会', '3515938728d34ceea8dc23a931765969', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102016', 5, '八角村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102016', 1, '2021-07-19 12:00:07', NULL, NULL), (27423, '', '三清庙村民委员会', 'b9095d81e5604d539406800d006b84f2', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102017', 5, '三清庙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102017', 1, '2021-07-19 12:00:07', NULL, NULL), (27424, '', '金凤村民委员会', '81b6ec77d1204d20980b092f17ce8c57', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102019', 5, '金凤村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102019', 1, '2021-07-19 12:00:07', NULL, NULL), (27425, '', '寨子村民委员会', 'ab698045cca148b5a77c5cbd1b5db0d0', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102020', 5, '寨子村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102020', 1, '2021-07-19 12:00:07', NULL, NULL), (27426, '', '太阳村民委员会', 'fc717e64c5f745e1826d55e9bbe24654', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102022', 5, '太阳村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102022', 1, '2021-07-19 12:00:07', NULL, NULL), (27427, '', '凌云村民委员会', '78fcae6e465b4304b0e172868ece6802', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102023', 5, '凌云村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102023', 1, '2021-07-19 12:00:07', NULL, NULL), (27428, '', '后溪村民委员会', '57f234c958df430a8871ae0ae6aa468e', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102024', 5, '后溪村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102024', 1, '2021-07-19 12:00:07', NULL, NULL), (27429, '', '苟院寺村民委员会', '843038e0943e4fcfbf5aa7f009d60722', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102025', 5, '苟院寺村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102025', 1, '2021-07-19 12:00:07', NULL, NULL), (27430, '', '箭弓村民委员会', '05b50f70c8b0470182a2858ff71ee5e2', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102026', 5, '箭弓村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102026', 1, '2021-07-19 12:00:08', NULL, NULL), (27431, '', '三河社区居民委员会', 'e1ef9867868c403c9f75d20f8fe25e7f', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102102', 5, '三河社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102102', 1, '2021-07-19 12:00:08', NULL, NULL), (27432, '', '碾盘居民委员会', 'd6b06a10414f4faf8a4c9b96a488fb80', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102103', 5, '碾盘居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102103', 1, '2021-07-19 12:00:08', NULL, NULL), (27433, '', '花台村民委员会', '46d7bbdf71c841899cf025d3d2c1ac47', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102104', 5, '花台村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102104', 1, '2021-07-19 12:00:08', NULL, NULL), (27434, '', '王槐村民委员会', 'b6920d734d9747eda3d4798925d6cb76', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102105', 5, '王槐村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102105', 1, '2021-07-19 12:00:08', NULL, NULL), (27435, '', '龙门村民委员会', '912820e5eb9b47b0b8758a9255eda741', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102106', 5, '龙门村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102106', 1, '2021-07-19 12:00:08', NULL, NULL), (27436, '', '方坪村民委员会', 'eae4b63d5f884692966a44f9a919dc5f', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102107', 5, '方坪村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102107', 1, '2021-07-19 12:00:08', NULL, NULL), (27437, '', '川新村民委员会', '40f83bae6d954247b461acb0a5bd5066', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903102108', 5, '川新村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102108', 1, '2021-07-19 12:00:08', NULL, NULL), (27438, '', '万寿宫居民委员会', '9b000597753347dba898baac27fbda5f', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903511230', 5, '万寿宫居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903511230', 1, '2021-07-19 12:00:08', NULL, NULL), (27439, '', '新桥村民委员会', '0572a4365e764788a1ca8a45e0b56e7b', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903511366', 5, '新桥村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903511366', 1, '2021-07-19 12:00:08', NULL, NULL), (27440, '', '金星村民委员会', '0ce72b1d5d0d4ceaacf184ab8782aa39', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903511516', 5, '金星村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903511516', 1, '2021-07-19 12:00:08', NULL, NULL), (27441, '', '青山村民委员会', '6c42f0ce5f59413cbe5b61b23a30987e', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903511843', 5, '青山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903511843', 1, '2021-07-19 12:00:08', NULL, NULL), (27442, '', '金山村民委员会', 'ceb48a0140444d53bfb96eb1bd9a9126', 'de4dfdcd75454b478c76e50b00487462', 'False', 'True', 'false', 'false', '511903511884', 5, '金山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903511884', 1, '2021-07-19 12:00:08', NULL, NULL), (27443, '', '茶坝镇', '5ae6f8e60e234c6fa5eb0503af9451bd', 'a84210d492774aa9b2aa5adf722d12cb', 'True', 'True', 'false', 'false', '511903587000', 4, '茶坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511903587000', 1, '2021-07-19 12:00:08', NULL, NULL), (27444, '', '双桥居民委员会', 'e6c488f0d6974e99b52b46abf7b99edd', '5ae6f8e60e234c6fa5eb0503af9451bd', 'False', 'True', 'false', 'false', '511903102027', 5, '双桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102027', 1, '2021-07-19 12:00:08', NULL, NULL), (27445, '', '章怀村民委员会', '4d867895a9d34a8cb65fe6e877d222a8', '5ae6f8e60e234c6fa5eb0503af9451bd', 'False', 'True', 'false', 'false', '511903102204', 5, '章怀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102204', 1, '2021-07-19 12:00:08', NULL, NULL), (27446, '', '金银村民委员会', '5a6cd79356884bd7a4b096a3cbaced79', '5ae6f8e60e234c6fa5eb0503af9451bd', 'False', 'True', 'false', 'false', '511903102205', 5, '金银村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102205', 1, '2021-07-19 12:00:08', NULL, NULL), (27447, '', '冉家梁村民委员会', '82ba1ff9a8674701a99e00c9e4c68415', '5ae6f8e60e234c6fa5eb0503af9451bd', 'False', 'True', 'false', 'false', '511903102207', 5, '冉家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102207', 1, '2021-07-19 12:00:08', NULL, NULL), (27448, '', '云盘村民委员会', 'f10ee5e94d0d46b4b2c08c4ec5b1a2c8', '5ae6f8e60e234c6fa5eb0503af9451bd', 'False', 'True', 'false', 'false', '511903102208', 5, '云盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102208', 1, '2021-07-19 12:00:08', NULL, NULL), (27449, '', '新寺梁村民委员会', '4c7ef146d5aa467f8b5396db8ca037db', '5ae6f8e60e234c6fa5eb0503af9451bd', 'False', 'True', 'false', 'false', '511903102211', 5, '新寺梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102211', 1, '2021-07-19 12:00:08', NULL, NULL), (27450, '', '三石村民委员会', '2975847c6348444698864f51d9edd587', '5ae6f8e60e234c6fa5eb0503af9451bd', 'False', 'True', 'false', 'false', '511903102212', 5, '三石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102212', 1, '2021-07-19 12:00:09', NULL, NULL), (27451, '', '朱家营村民委员会', 'e283f11bd8ec4bf19922842d3090e24e', '5ae6f8e60e234c6fa5eb0503af9451bd', 'False', 'True', 'false', 'false', '511903102214', 5, '朱家营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903102214', 1, '2021-07-19 12:00:09', NULL, NULL), (27452, '', '大寨山社区居民委员会', 'f6454500d89f4e5e86e408cf4d381ec5', '5ae6f8e60e234c6fa5eb0503af9451bd', 'False', 'True', 'false', 'false', '511903587196', 5, '大寨山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903587196', 1, '2021-07-19 12:00:09', NULL, NULL), (27453, '', '金鳌村民委员会', 'ef5795611989435297f3393fff504839', '5ae6f8e60e234c6fa5eb0503af9451bd', 'False', 'True', 'false', 'false', '511903587783', 5, '金鳌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903587783', 1, '2021-07-19 12:00:09', NULL, NULL), (27454, '', '花丛镇', '0a13b425d7f147ed99fc0951ad5afd3e', 'a84210d492774aa9b2aa5adf722d12cb', 'True', 'True', 'false', 'false', '511903794000', 4, '花丛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511903794000', 1, '2021-07-19 12:00:09', NULL, NULL), (27455, '', '大水井居民委员会', 'd24e191241ac4c7eb4434b607d0ba6c2', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105001', 5, '大水井居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105001', 1, '2021-07-19 12:00:09', NULL, NULL), (27456, '', '镇垭庙居民委员会', '9941500ad1db47be82c11fd6f378c74f', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105002', 5, '镇垭庙居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105002', 1, '2021-07-19 12:00:09', NULL, NULL), (27457, '', '新民河社区居民委员会', '902899eca6c54ccc977224896175a6bb', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105029', 5, '新民河社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105029', 1, '2021-07-19 12:00:09', NULL, NULL), (27458, '', '方寨社区居民委员会', 'c823284d24fe40c296ec93739ff09a44', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105200', 5, '方寨社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105200', 1, '2021-07-19 12:00:09', NULL, NULL), (27459, '', '走马梁村民委员会', 'e891b77e00c64a158bfbf1d823aa767a', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105201', 5, '走马梁村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105201', 1, '2021-07-19 12:00:09', NULL, NULL), (27460, '', '南岳村民委员会', 'ffb0fc8b0e3b4d00b259abb96293d703', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105202', 5, '南岳村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105202', 1, '2021-07-19 12:00:09', NULL, NULL), (27461, '', '金垭村民委员会', '7d331577f32645419a122da2f72c9417', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105204', 5, '金垭村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105204', 1, '2021-07-19 12:00:09', NULL, NULL), (27462, '', '曹氏祠社区居民委员会', 'c718a6ef61534318904227aea99da78f', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105206', 5, '曹氏祠社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105206', 1, '2021-07-19 12:00:09', NULL, NULL), (27463, '', '道山寨村民委员会', '044abe262ec84ba18ce0b7765f6d5915', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105208', 5, '道山寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105208', 1, '2021-07-19 12:00:09', NULL, NULL), (27464, '', '牛角溪村民委员会', '12a925a1b16446fbaf55c4b0e6095a6e', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105209', 5, '牛角溪村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105209', 1, '2021-07-19 12:00:09', NULL, NULL), (27465, '', '峨嵋村民委员会', '0ef83f1b6388478195aaaefd9b834f30', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105210', 5, '峨嵋村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105210', 1, '2021-07-19 12:00:09', NULL, NULL), (27466, '', '棋盘社区居民委员会', '328d7664b01e4d8aabeb2f525c4ec69f', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105211', 5, '棋盘社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105211', 1, '2021-07-19 12:00:09', NULL, NULL), (27467, '', '土寨村民委员会', '310eb20f7da54a34871c3938f6402f6c', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105212', 5, '土寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105212', 1, '2021-07-19 12:00:09', NULL, NULL), (27468, '', '将军村民委员会', '3c12dc8be75a428a82ef690f0151e856', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105215', 5, '将军村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105215', 1, '2021-07-19 12:00:09', NULL, NULL), (27469, '', '盛花山村民委员会', '634853244d3f424fbc21a6a5736b4a1d', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105217', 5, '盛花山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105217', 1, '2021-07-19 12:00:09', NULL, NULL), (27470, '', '扑锣岭村民委员会', 'f91ac057cf9548b1978a5023dbe9177f', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105219', 5, '扑锣岭村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105219', 1, '2021-07-19 12:00:09', NULL, NULL), (27471, '', '成山村民委员会', '22f3ad4ab38c45e58820b38cec9b2fbf', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105220', 5, '成山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105220', 1, '2021-07-19 12:00:10', NULL, NULL), (27472, '', '称杆寨村民委员会', 'd26397fb60b447b8811c206abc7bade3', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105221', 5, '称杆寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105221', 1, '2021-07-19 12:00:10', NULL, NULL), (27473, '', '苏村坝社区居民委员会', 'f61d312cfd864e3394eade3b75614a42', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105222', 5, '苏村坝社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105222', 1, '2021-07-19 12:00:10', NULL, NULL), (27474, '', '三合寨村民委员会', '0c052105f0cb458690259b85dc9c1ec5', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105223', 5, '三合寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105223', 1, '2021-07-19 12:00:10', NULL, NULL), (27475, '', '葫芦村民委员会', '2de991df1bdf458a87a82185590963f2', '0a13b425d7f147ed99fc0951ad5afd3e', 'False', 'True', 'false', 'false', '511903105224', 5, '葫芦村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511903105224', 1, '2021-07-19 12:00:10', NULL, NULL), (27476, '', '南江县', 'dc4ae5e26229451ea6642092eb0584ab', '60a505e9dfa643e9826902e0810de55f', 'True', 'True', 'false', 'false', '511922000000', 3, '南江县', 'bzsnjx.sczwfw.gov.cn', 1, '2021-07-19 12:00:10', NULL, NULL), (27477, '', '集州街道', '8397d07388df437bb85eb26d79233e9b', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922001000', 4, '集州街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922001000', 1, '2021-07-19 12:00:10', NULL, NULL), (27478, '', '光雾山镇', 'a49292ea3335479da1d8dbd0221a40eb', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922106000', 4, '光雾山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922106000', 1, '2021-07-19 12:00:10', NULL, NULL), (27479, '', '公山镇', '8e2b203bd9e342ac8e4ad1f7c9b489f1', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922107000', 4, '公山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922107000', 1, '2021-07-19 12:00:10', NULL, NULL), (27480, '', '沙河镇', 'ac2aaa7b1bdf4994acbd7a16be03faf9', 'dc4ae5e26229451ea6642092eb0584ab', 'True', 'True', 'false', 'false', '511922101000', 4, '沙河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922101000', 1, '2021-07-19 12:00:10', NULL, NULL), (27481, '', '侯家坡村', '17d41a3bc2df4f9abc52ca2fdd065364', 'ac2aaa7b1bdf4994acbd7a16be03faf9', 'False', 'False', 'false', 'false', '511922101978', 5, '侯家坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922101978', 1, '2021-07-19 12:00:10', NULL, NULL), (27482, '', '赤溪镇', '4e95d34b7d334b4c9973f6c5c015cc24', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922115000', 4, '赤溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922115000', 1, '2021-07-19 12:00:10', NULL, NULL), (27483, '', '八庙镇', 'bd9d783e057544a8a71e16eafcf848cf', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922116000', 4, '八庙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922116000', 1, '2021-07-19 12:00:10', NULL, NULL), (27484, '', '高塔镇', '9ceb9631565f4c2bbae8bb7fd0597ce5', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922203000', 4, '高塔镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922203000', 1, '2021-07-19 12:00:10', NULL, NULL), (27485, '', '团结乡', 'a7de5fa50ee44e72821e9e4c744021db', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922204000', 4, '团结乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922204000', 1, '2021-07-19 12:00:10', NULL, NULL), (27486, '', '长赤镇', 'a886a745f8b84c2284854f4a653649aa', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922103000', 4, '长赤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922103000', 1, '2021-07-19 12:00:10', NULL, NULL), (27487, '', '红光镇', 'aa76cddaced74add9672d9f55ff681f9', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922113000', 4, '红光镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922113000', 1, '2021-07-19 12:00:10', NULL, NULL), (27488, '', '天池镇', '7dc3cb56c1044073a1ddaf62ef3676a7', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922111000', 4, '天池镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922111000', 1, '2021-07-19 12:00:10', NULL, NULL), (27489, '', '侯家镇', '0da3f6cadd8348768d3e83451a417a91', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922209000', 4, '侯家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922209000', 1, '2021-07-19 12:00:10', NULL, NULL), (27490, '', '正直镇', 'd350cc4cf5af4253bfab86e3a1ba7d2e', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922104000', 4, '正直镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922104000', 1, '2021-07-19 12:00:10', NULL, NULL), (27491, '', '云顶镇', '3d68fff01ca24960922f84dc8443e780', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922213000', 4, '云顶镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922213000', 1, '2021-07-19 12:00:10', NULL, NULL), (27492, '', '和平镇', 'f0aaa9224c4746cda48e8592be787dc6', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922214000', 4, '和平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922214000', 1, '2021-07-19 12:00:10', NULL, NULL), (27493, '', '双流镇', 'd043e237ce6949fc9ed7568ebd900948', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922117000', 4, '双流镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922117000', 1, '2021-07-19 12:00:11', NULL, NULL), (27494, '', '下两镇', 'b32271300bb64b879d5328d29cd593ec', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922108000', 4, '下两镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922108000', 1, '2021-07-19 12:00:11', NULL, NULL), (27495, '', '元潭镇', '1cee0fd1f28f48a1aa8f60a0edf00032', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922114000', 4, '元潭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922114000', 1, '2021-07-19 12:00:11', NULL, NULL), (27496, '', '仁和镇', '6f79f9a233964bd681853eea551c8d51', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922219000', 4, '仁和镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922219000', 1, '2021-07-19 12:00:11', NULL, NULL), (27497, '', '高桥镇', 'aa7f17fa7b4b42efa6ff9cdc7bf4976a', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922217000', 4, '高桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922217000', 1, '2021-07-19 12:00:11', NULL, NULL), (27498, '', '大河镇', 'deb947a8965942f980bada04251abaa4', 'dc4ae5e26229451ea6642092eb0584ab', 'True', 'True', 'false', 'false', '511922797000', 4, '大河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922797000', 1, '2021-07-19 12:00:11', NULL, NULL), (27499, '', '天平山村', '785c357bb8504f4a8ce4f431ea07dc8b', 'deb947a8965942f980bada04251abaa4', 'False', 'False', 'false', 'false', '511922105474', 5, '天平山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922105474', 1, '2021-07-19 12:00:11', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (27500, '', '兴马镇', 'b116b500319e423889c95dbc573fcc51', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922222000', 4, '兴马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922222000', 1, '2021-07-19 12:00:11', NULL, NULL), (27501, '', '石滩镇', 'b60388e4be6f425596a11ee4529f5595', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922220000', 4, '石滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922220000', 1, '2021-07-19 12:00:11', NULL, NULL), (27502, '', '关门镇', 'd7482d8ab0a946b89aebfc4948bb8a68', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922221000', 4, '关门镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922221000', 1, '2021-07-19 12:00:11', NULL, NULL), (27503, '', '关路镇', 'e3599d59e4934424b7073fcd0bdae21b', 'dc4ae5e26229451ea6642092eb0584ab', 'True', 'True', 'false', 'false', '511922224000', 4, '关路镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922224000', 1, '2021-07-19 12:00:11', NULL, NULL), (27504, '', '兴文社区', '39648cd76cdc40d09c0f9163970cecdf', 'e3599d59e4934424b7073fcd0bdae21b', 'False', 'False', 'false', 'false', '511922224002', 5, '兴文社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922224002', 1, '2021-07-19 12:00:11', NULL, NULL), (27505, '', '关溪社区', '668535498f9248a5b190a279416a3c0e', 'e3599d59e4934424b7073fcd0bdae21b', 'False', 'False', 'false', 'false', '511922224003', 5, '关溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922224003', 1, '2021-07-19 12:00:11', NULL, NULL), (27506, '', '春江村', '062842d6ac984076b4a1d308f5ecc783', 'e3599d59e4934424b7073fcd0bdae21b', 'False', 'False', 'false', 'false', '511922224201', 5, '春江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922224201', 1, '2021-07-19 12:00:11', NULL, NULL), (27507, '', '雄岭村', '63839f47401942839047796890bf9efd', 'e3599d59e4934424b7073fcd0bdae21b', 'False', 'False', 'false', 'false', '511922224202', 5, '雄岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922224202', 1, '2021-07-19 12:00:11', NULL, NULL), (27508, '', '云台村', '36cdc173a4014107ab598e11a1b23051', 'e3599d59e4934424b7073fcd0bdae21b', 'False', 'False', 'false', 'false', '511922224204', 5, '云台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922224204', 1, '2021-07-19 12:00:11', NULL, NULL), (27509, '', '柏垭村', 'e77c0badd8e3444ab0b5e2c37fac641e', 'e3599d59e4934424b7073fcd0bdae21b', 'False', 'False', 'false', 'false', '511922224207', 5, '柏垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922224207', 1, '2021-07-19 12:00:11', NULL, NULL), (27510, '', '星火村', 'b7808091edcc4f61a4fa940218ca4b31', 'e3599d59e4934424b7073fcd0bdae21b', 'False', 'False', 'false', 'false', '511922224208', 5, '星火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922224208', 1, '2021-07-19 12:00:11', NULL, NULL), (27511, '', '桥亭镇', 'be1c07019af74e58aed9b1986b3aff7e', 'dc4ae5e26229451ea6642092eb0584ab', 'True', 'True', 'false', 'false', '511922227000', 4, '桥亭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922227000', 1, '2021-07-19 12:00:11', NULL, NULL), (27512, '', '桥亭社区', '57090d5b1d804e5d831f79ff9caa3663', 'be1c07019af74e58aed9b1986b3aff7e', 'False', 'False', 'false', 'false', '511922227001', 5, '桥亭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922227001', 1, '2021-07-19 12:00:11', NULL, NULL), (27513, '', '沙滩社区', '484045f8661a4623bcbf87440445be3b', 'be1c07019af74e58aed9b1986b3aff7e', 'False', 'False', 'false', 'false', '511922227002', 5, '沙滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922227002', 1, '2021-07-19 12:00:11', NULL, NULL), (27514, '', '龙门村', '1e3bfb3c7c8347ca89f42573baa92b5b', 'be1c07019af74e58aed9b1986b3aff7e', 'False', 'True', 'false', 'false', '511922227200', 5, '龙门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922227200', 1, '2021-07-19 12:00:11', NULL, NULL), (27515, '', '桥亭村', '6715c93133f948a9be0745637a0f4f52', 'be1c07019af74e58aed9b1986b3aff7e', 'False', 'True', 'false', 'false', '511922227202', 5, '桥亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922227202', 1, '2021-07-19 12:00:11', NULL, NULL), (27516, '', '罗垭村', '21b6b24cdff049a6a523b0b4c3fa3b13', 'be1c07019af74e58aed9b1986b3aff7e', 'False', 'True', 'false', 'false', '511922227203', 5, '罗垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922227203', 1, '2021-07-19 12:00:11', NULL, NULL), (27517, '', '凤凰村', '36a9c02e4d384ad99fdda61bc36fbef4', 'be1c07019af74e58aed9b1986b3aff7e', 'False', 'True', 'false', 'false', '511922227207', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922227207', 1, '2021-07-19 12:00:12', NULL, NULL), (27518, '', '贵民镇', '244a9ee875334931ab59310a2b9157ab', 'dc4ae5e26229451ea6642092eb0584ab', 'True', 'True', 'false', 'false', '511922228000', 4, '贵民镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922228000', 1, '2021-07-19 12:00:12', NULL, NULL), (27519, '', '长沟社区', '44128a14106f49f08b748ca45f114f1e', '244a9ee875334931ab59310a2b9157ab', 'False', 'False', 'false', 'false', '511922228001', 5, '长沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922228001', 1, '2021-07-19 12:00:12', NULL, NULL), (27520, '', '蟒洞坝社区', 'e2dda380f5f34490ae37f16bebf627b7', '244a9ee875334931ab59310a2b9157ab', 'False', 'False', 'false', 'false', '511922228002', 5, '蟒洞坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922228002', 1, '2021-07-19 12:00:12', NULL, NULL), (27521, '', '长沟村', '5833eca93e0a4675aa5b8d671d20ed78', '244a9ee875334931ab59310a2b9157ab', 'False', 'True', 'false', 'false', '511922228202', 5, '长沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922228202', 1, '2021-07-19 12:00:12', NULL, NULL), (27522, '', '双田村', '3f239103c6314b25b262706d1849b3cb', '244a9ee875334931ab59310a2b9157ab', 'False', 'True', 'false', 'false', '511922228203', 5, '双田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922228203', 1, '2021-07-19 12:00:12', NULL, NULL), (27523, '', '土潭河村', '69dad25eb3d541cd8202d419fc8936f9', '244a9ee875334931ab59310a2b9157ab', 'False', 'True', 'false', 'false', '511922228206', 5, '土潭河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922228206', 1, '2021-07-19 12:00:12', NULL, NULL), (27524, '', '神门乡', '1cc819af8def43c9a8a0faf20a8cd9e9', 'dc4ae5e26229451ea6642092eb0584ab', 'True', 'True', 'false', 'false', '511922229000', 4, '神门乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922229000', 1, '2021-07-19 12:00:12', NULL, NULL), (27525, '', '沙坝社区', '1c4db7d94c8e443da9f5ab0cfc93a2c1', '1cc819af8def43c9a8a0faf20a8cd9e9', 'False', 'True', 'false', 'false', '511922229001', 5, '沙坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922229001', 1, '2021-07-19 12:00:12', NULL, NULL), (27526, '', '西清社区', '44ddb3cafb394a2dabd9f30435c98347', '1cc819af8def43c9a8a0faf20a8cd9e9', 'False', 'True', 'false', 'false', '511922229002', 5, '西清社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922229002', 1, '2021-07-19 12:00:12', NULL, NULL), (27527, '', '草坝村', 'bacb11822cad41a6811f335a40731f88', '1cc819af8def43c9a8a0faf20a8cd9e9', 'False', 'True', 'false', 'false', '511922229200', 5, '草坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922229200', 1, '2021-07-19 12:00:12', NULL, NULL), (27528, '', '沙坝村', '3c947d471d0546acae9faff100538490', '1cc819af8def43c9a8a0faf20a8cd9e9', 'False', 'True', 'false', 'false', '511922229201', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922229201', 1, '2021-07-19 12:00:12', NULL, NULL), (27529, '', '咸丰村', '8a511f3f5b0c4f12ac93fcec3027456d', '1cc819af8def43c9a8a0faf20a8cd9e9', 'False', 'True', 'false', 'false', '511922229203', 5, '咸丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922229203', 1, '2021-07-19 12:00:12', NULL, NULL), (27530, '', '阳坡村', '3a0274a892a749bf989c8457a26298a2', '1cc819af8def43c9a8a0faf20a8cd9e9', 'False', 'True', 'false', 'false', '511922229204', 5, '阳坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922229204', 1, '2021-07-19 12:00:12', NULL, NULL), (27531, '', '大湾村', '792fb304d06547ffbb33babfe1c698e1', '1cc819af8def43c9a8a0faf20a8cd9e9', 'False', 'True', 'false', 'false', '511922229206', 5, '大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922229206', 1, '2021-07-19 12:00:12', NULL, NULL), (27532, '', '关坝镇', '0cf10bd93b224e8abfd3d6440961101a', 'dc4ae5e26229451ea6642092eb0584ab', 'True', 'True', 'false', 'false', '511922112000', 4, '关坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922112000', 1, '2021-07-19 12:00:12', NULL, NULL), (27533, '', '关坝社区', 'eabc70c1efcd4c78a60b819a3fd6d5fd', '0cf10bd93b224e8abfd3d6440961101a', 'False', 'True', 'false', 'false', '511922112001', 5, '关坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922112001', 1, '2021-07-19 12:00:12', NULL, NULL), (27534, '', '玉泉社区', '93d1ccc7ab45416087adce6064edd4d4', '0cf10bd93b224e8abfd3d6440961101a', 'False', 'True', 'false', 'false', '511922112002', 5, '玉泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922112002', 1, '2021-07-19 12:00:12', NULL, NULL), (27535, '', '关坝村', 'c71e2805f84e4cac9bd4196b3546acf2', '0cf10bd93b224e8abfd3d6440961101a', 'False', 'True', 'false', 'false', '511922112200', 5, '关坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922112200', 1, '2021-07-19 12:00:12', NULL, NULL), (27536, '', '五郎沟村', '25a05b914db44243a74c8f1ad2b7236a', '0cf10bd93b224e8abfd3d6440961101a', 'False', 'True', 'false', 'false', '511922112201', 5, '五郎沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922112201', 1, '2021-07-19 12:00:12', NULL, NULL), (27537, '', '小田村', '7305cfa17c324ba49d77fae2399f70f5', '0cf10bd93b224e8abfd3d6440961101a', 'False', 'True', 'false', 'false', '511922112203', 5, '小田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922112203', 1, '2021-07-19 12:00:12', NULL, NULL), (27538, '', '石羊村', '4d4978882cb6474c9e16b81cb28322d5', '0cf10bd93b224e8abfd3d6440961101a', 'False', 'True', 'false', 'false', '511922112204', 5, '石羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922112204', 1, '2021-07-19 12:00:12', NULL, NULL), (27539, '', '玉泉村', '3020c71c9392415bbffc102976c7e0ed', '0cf10bd93b224e8abfd3d6440961101a', 'False', 'True', 'false', 'false', '511922112209', 5, '玉泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922112209', 1, '2021-07-19 12:00:13', NULL, NULL), (27540, '', '杨坝镇', '717c9ee4b22e40a49b5f035a7e26fef9', 'dc4ae5e26229451ea6642092eb0584ab', 'True', 'True', 'false', 'false', '511922110000', 4, '杨坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922110000', 1, '2021-07-19 12:00:13', NULL, NULL), (27541, '', '杨坝社区', 'b44f33434b8345d9ae0cea30c486f49a', '717c9ee4b22e40a49b5f035a7e26fef9', 'False', 'False', 'false', 'false', '511922110001', 5, '杨坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922110001', 1, '2021-07-19 12:00:13', NULL, NULL), (27542, '', '新民社区', '75a6423c61e9404cbf20f4addcb29e16', '717c9ee4b22e40a49b5f035a7e26fef9', 'False', 'False', 'false', 'false', '511922110002', 5, '新民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922110002', 1, '2021-07-19 12:00:13', NULL, NULL), (27543, '', '赤卫村', '1c9d1c9a483b40e5beb87854c458ff8d', '717c9ee4b22e40a49b5f035a7e26fef9', 'False', 'False', 'false', 'false', '511922110200', 5, '赤卫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922110200', 1, '2021-07-19 12:00:13', NULL, NULL), (27544, '', '柏林村', 'f3bb4a9d1dae47e2ace6f7ea0b81fd82', '717c9ee4b22e40a49b5f035a7e26fef9', 'False', 'False', 'false', 'false', '511922110203', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922110203', 1, '2021-07-19 12:00:13', NULL, NULL), (27545, '', '新坝村', '8771eb48e7284b9b80b59b5331540dd6', '717c9ee4b22e40a49b5f035a7e26fef9', 'False', 'False', 'false', 'false', '511922110207', 5, '新坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922110207', 1, '2021-07-19 12:00:13', NULL, NULL), (27546, '', '茶溪村', '9a0d7a88d3e54069a4ac7ca4eec3fdbc', '717c9ee4b22e40a49b5f035a7e26fef9', 'False', 'False', 'false', 'false', '511922110208', 5, '茶溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922110208', 1, '2021-07-19 12:00:13', NULL, NULL), (27547, '', '罐坝村', '4937fe79006c44408bed7f6733e19b80', '717c9ee4b22e40a49b5f035a7e26fef9', 'False', 'False', 'false', 'false', '511922110209', 5, '罐坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922110209', 1, '2021-07-19 12:00:13', NULL, NULL), (27548, '', '硝洞村', '2b7311b20a1448c3aecd244d7039e07b', '717c9ee4b22e40a49b5f035a7e26fef9', 'False', 'False', 'false', 'false', '511922110210', 5, '硝洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922110210', 1, '2021-07-19 12:00:13', NULL, NULL), (27549, '', '柳坝村', 'abb395f413084673b94852eded20b9e5', '717c9ee4b22e40a49b5f035a7e26fef9', 'False', 'False', 'false', 'false', '511922110212', 5, '柳坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511922110212', 1, '2021-07-19 12:00:13', NULL, NULL), (27550, '', '坪河镇', '40797349a4514b7da8896736f786ece4', 'dc4ae5e26229451ea6642092eb0584ab', 'False', 'True', 'false', 'false', '511922118000', 4, '坪河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511922118000', 1, '2021-07-19 12:00:13', NULL, NULL), (27551, '', '通江县', '3570e93e1388412a8694b4a51a584859', '60a505e9dfa643e9826902e0810de55f', 'True', 'True', 'false', 'false', '511921000000', 3, '通江县', 'bzstjx.sczwfw.gov.cn', 1, '2021-07-19 12:00:13', NULL, NULL), (27552, '', '通江县壁州街道办事处', 'e8db62a6dad94a45a5a4293f166978e8', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921001000', 4, '壁州街道办事处', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921001000', 1, '2021-07-19 12:00:13', NULL, NULL), (27553, '', '城南社区居委会', 'bb309fda203e4afd8e1cacd86db02834', 'e8db62a6dad94a45a5a4293f166978e8', 'False', 'False', 'false', 'false', '511921001001', 5, '城南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921001001', 1, '2021-07-19 12:00:13', NULL, NULL), (27554, '', '南寺社区居委会', '8cf3d1ffafd148fe81ff7171278b1ec2', 'e8db62a6dad94a45a5a4293f166978e8', 'False', 'False', 'false', 'false', '511921001002', 5, '南寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921001002', 1, '2021-07-19 12:00:13', NULL, NULL), (27555, '', '西寺社区居委会', 'ddcaabf589d54e8d9d16dd956fd9947c', 'e8db62a6dad94a45a5a4293f166978e8', 'False', 'False', 'false', 'false', '511921001003', 5, '西寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921001003', 1, '2021-07-19 12:00:13', NULL, NULL), (27556, '', '南街社区居委会', 'bebc887719374ee8acfb0d4969037837', 'e8db62a6dad94a45a5a4293f166978e8', 'False', 'False', 'false', 'false', '511921001004', 5, '南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921001004', 1, '2021-07-19 12:00:13', NULL, NULL), (27557, '', '牌坊街社区居委会', '637a289606c84de78ebdbfbae93183f3', 'e8db62a6dad94a45a5a4293f166978e8', 'False', 'False', 'false', 'false', '511921001005', 5, '牌坊街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921001005', 1, '2021-07-19 12:00:13', NULL, NULL), (27558, '', '东城社区居委会', '4e5cbe2ad24545f4ab25dd2d8f8cb831', 'e8db62a6dad94a45a5a4293f166978e8', 'False', 'False', 'false', 'false', '511921001006', 5, '东城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921001006', 1, '2021-07-19 12:00:13', NULL, NULL), (27559, '', '城郊社区居委会', 'e0f2c164c35f42dca2699f1de301f258', 'e8db62a6dad94a45a5a4293f166978e8', 'False', 'False', 'false', 'false', '511921001007', 5, '城郊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921001007', 1, '2021-07-19 12:00:13', NULL, NULL), (27560, '', '春长坪社区居委会', 'a6dac0ac2dcb4c0f9020154438874b7c', 'e8db62a6dad94a45a5a4293f166978e8', 'False', 'False', 'false', 'false', '511921001008', 5, '春长坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921001008', 1, '2021-07-19 12:00:13', NULL, NULL), (27561, '', '北街社区居委会', '7aee0ce4c43746829a16983d2f98ca4e', 'e8db62a6dad94a45a5a4293f166978e8', 'False', 'False', 'false', 'false', '511921001009', 5, '北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921001009', 1, '2021-07-19 12:00:14', NULL, NULL), (27562, '', '西城社区居委会', '01dd24e2e8544f91ae297b3c97a4123f', 'e8db62a6dad94a45a5a4293f166978e8', 'False', 'False', 'false', 'false', '511921001010', 5, '西城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921001010', 1, '2021-07-19 12:00:14', NULL, NULL), (27563, '', '谢家河坝社区居委会', 'f85319ba277f4b6d9d7d7624e52804d1', 'e8db62a6dad94a45a5a4293f166978e8', 'False', 'False', 'false', 'false', '511921001011', 5, '谢家河坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921001011', 1, '2021-07-19 12:00:14', NULL, NULL), (27564, '', '石牛嘴社区居委会', '551a393b3d7f4e2c98e58368f5be5bc4', 'e8db62a6dad94a45a5a4293f166978e8', 'False', 'False', 'false', 'false', '511921001012', 5, '石牛嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921001012', 1, '2021-07-19 12:00:14', NULL, NULL), (27565, '', '城南村民委员会', '403bbc00cf7f4aab9ba27f068c9952c3', 'e8db62a6dad94a45a5a4293f166978e8', 'False', 'False', 'false', 'false', '511921001200', 5, '城南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921001200', 1, '2021-07-19 12:00:14', NULL, NULL), (27566, '', '城东村民委员会', 'aae7f6ee30dc40828d1746cfbd9b3b5e', 'e8db62a6dad94a45a5a4293f166978e8', 'False', 'False', 'false', 'false', '511921001201', 5, '城东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921001201', 1, '2021-07-19 12:00:14', NULL, NULL), (27567, '', '城北村民委员会', '45a780f7cf9a4d36a64eac831bab3ce2', 'e8db62a6dad94a45a5a4293f166978e8', 'False', 'False', 'false', 'false', '511921001202', 5, '城北村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921001202', 1, '2021-07-19 12:00:14', NULL, NULL), (27568, '', '西郊村民委员会', 'c4e832098ceb423ab30fca349e4892b4', 'e8db62a6dad94a45a5a4293f166978e8', 'False', 'False', 'false', 'false', '511921001203', 5, '西郊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921001203', 1, '2021-07-19 12:00:14', NULL, NULL), (27569, '', '通江县诺江镇人民政府', 'dca2bc01908244339d915af440d13f51', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921100000', 4, '诺江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921100000', 1, '2021-07-19 12:00:14', NULL, NULL), (27570, '', '秋锦山村民委员会', '28dcb71152d34529aa173d97aaf32d43', 'dca2bc01908244339d915af440d13f51', 'False', 'False', 'false', 'false', '511921100221', 5, '秋锦山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921100221', 1, '2021-07-19 12:00:14', NULL, NULL), (27571, '', '赤江村民委员会', '70202bd03de64d6681848fb40440644c', 'dca2bc01908244339d915af440d13f51', 'False', 'False', 'false', 'false', '511921100222', 5, '赤江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921100222', 1, '2021-07-19 12:00:14', NULL, NULL), (27572, '', '周子坪村民委员会', 'e5cc5b9cc9a14c2fbc9c7681cbb2ab95', 'dca2bc01908244339d915af440d13f51', 'False', 'False', 'false', 'false', '511921100223', 5, '周子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921100223', 1, '2021-07-19 12:00:14', NULL, NULL), (27573, '', '新华村民委员会', '7ddaeddd87ad435bb96f2b2cf5b24b45', 'dca2bc01908244339d915af440d13f51', 'False', 'True', 'false', 'false', '511921100201', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921100201', 1, '2021-07-19 12:00:14', NULL, NULL), (27574, '', '阳望山村民委员会', '75d170a2d4344cb5be84d26ca8772a20', 'dca2bc01908244339d915af440d13f51', 'False', 'True', 'false', 'false', '511921100202', 5, '阳望山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921100202', 1, '2021-07-19 12:00:14', NULL, NULL), (27575, '', '千佛村民委员会', '027c622a624b491c94941d327b910243', 'dca2bc01908244339d915af440d13f51', 'False', 'True', 'false', 'false', '511921100208', 5, '千佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921100208', 1, '2021-07-19 12:00:14', NULL, NULL), (27576, '', '元顶村民委员会', '1aa34b6d38e341c884b670405a245a12', 'dca2bc01908244339d915af440d13f51', 'False', 'True', 'false', 'false', '511921100209', 5, '元顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921100209', 1, '2021-07-19 12:00:14', NULL, NULL), (27577, '', '亮垭村民委员会', '484a88b7c2bb4fa1ad0fce4407b1840e', 'dca2bc01908244339d915af440d13f51', 'False', 'True', 'false', 'false', '511921100212', 5, '亮垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921100212', 1, '2021-07-19 12:00:15', NULL, NULL), (27578, '', '沿新村民委员会', 'ae708292ce4e46a4ad6e55f27eaebe6f', 'dca2bc01908244339d915af440d13f51', 'False', 'True', 'false', 'false', '511921100217', 5, '沿新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921100217', 1, '2021-07-19 12:00:15', NULL, NULL), (27579, '', '七水村民委员会', '3331f09621d14215ba73003f490490cf', 'dca2bc01908244339d915af440d13f51', 'False', 'True', 'false', 'false', '511921100219', 5, '七水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921100219', 1, '2021-07-19 12:00:15', NULL, NULL), (27580, '', '马岭村民委员会', '2d724bc80bf54ab4a98c52dab3306b05', 'dca2bc01908244339d915af440d13f51', 'False', 'True', 'false', 'false', '511921100220', 5, '马岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921100220', 1, '2021-07-19 12:00:15', NULL, NULL), (27581, '', '箭口河社区居委会', '536d18c0d48d4aa2b4e511295d4ce7f2', 'dca2bc01908244339d915af440d13f51', 'False', 'True', 'false', 'false', '511921100295', 5, '箭口河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921100295', 1, '2021-07-19 12:00:15', NULL, NULL), (27582, '', '城西村民委员会', '7d773f9095ee455e89d4c9d80c118f20', 'dca2bc01908244339d915af440d13f51', 'False', 'True', 'false', 'false', '511921100910', 5, '城西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921100910', 1, '2021-07-19 12:00:15', NULL, NULL), (27583, '', '高明村民委员会', '32cc3659b88b44d7a6c0d7a5d895dbe4', 'dca2bc01908244339d915af440d13f51', 'False', 'True', 'false', 'false', '511921100942', 5, '高明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921100942', 1, '2021-07-19 12:00:15', NULL, NULL), (27584, '', '通江县民胜镇人民政府', '13254d6eb15445abafd2d8b5529c2077', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921101000', 4, '民胜镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921101000', 1, '2021-07-19 12:00:15', NULL, NULL), (27585, '', '长兴村民委员会', '7159c471377a4af08235d8a714157c91', '13254d6eb15445abafd2d8b5529c2077', 'False', 'False', 'false', 'false', '511921101213', 5, '长兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921101213', 1, '2021-07-19 12:00:15', NULL, NULL), (27586, '', '东郡村民委员会', '7591722d3ea347c083750f7595abae10', '13254d6eb15445abafd2d8b5529c2077', 'False', 'False', 'false', 'false', '511921101214', 5, '东郡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921101214', 1, '2021-07-19 12:00:15', NULL, NULL), (27587, '', '火铺山村民委员会', '788eb456dab944b39c87253da8d048c9', '13254d6eb15445abafd2d8b5529c2077', 'False', 'False', 'false', 'false', '511921101215', 5, '火铺山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921101215', 1, '2021-07-19 12:00:15', NULL, NULL), (27588, '', '贾家梁村民委员会', '31936573912142d3b222125c54dfca81', '13254d6eb15445abafd2d8b5529c2077', 'False', 'False', 'false', 'false', '511921101216', 5, '贾家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921101216', 1, '2021-07-19 12:00:15', NULL, NULL), (27589, '', '鹦哥嘴社区居委会', '77ebeba6b9f94a488abef45912524403', '13254d6eb15445abafd2d8b5529c2077', 'False', 'True', 'false', 'false', '511921101001', 5, '鹦鸽嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921101001', 1, '2021-07-19 12:00:15', NULL, NULL), (27590, '', '鹦哥嘴村民委员会', 'fcea7b4163a9446889344561e36d550f', '13254d6eb15445abafd2d8b5529c2077', 'False', 'True', 'false', 'false', '511921101200', 5, '鹦鸽嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921101200', 1, '2021-07-19 12:00:15', NULL, NULL), (27591, '', '新场村民委员会', '41292cca2aed443aa3057f4aadac64e8', '13254d6eb15445abafd2d8b5529c2077', 'False', 'True', 'false', 'false', '511921101201', 5, '新场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921101201', 1, '2021-07-19 12:00:15', NULL, NULL), (27592, '', '草庙村民委员会', 'ec97d64475394b47ae939534dfe05079', '13254d6eb15445abafd2d8b5529c2077', 'False', 'True', 'false', 'false', '511921101202', 5, '草庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921101202', 1, '2021-07-19 12:00:15', NULL, NULL), (27593, '', '方山村民委员会', '256db8f5c1a241669b82b09c7419e8eb', '13254d6eb15445abafd2d8b5529c2077', 'False', 'True', 'false', 'false', '511921101205', 5, '方山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921101205', 1, '2021-07-19 12:00:15', NULL, NULL), (27594, '', '百盘梁村民委员会', 'd1000c1d50604dd6b568a20525d6a859', '13254d6eb15445abafd2d8b5529c2077', 'False', 'True', 'false', 'false', '511921101210', 5, '百盘梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921101210', 1, '2021-07-19 12:00:15', NULL, NULL), (27595, '', '通江县火炬镇人民政府', 'c4235d6d79364fdca33c8f072854277a', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921102000', 4, '火炬镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921102000', 1, '2021-07-19 12:00:15', NULL, NULL), (27596, '', '玉马村民委员会', '84ee2353baac418d98a729fc7f29acc0', 'c4235d6d79364fdca33c8f072854277a', 'False', 'False', 'false', 'false', '511921102210', 5, '玉马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921102210', 1, '2021-07-19 12:00:15', NULL, NULL), (27597, '', '渡水溪村民委员会', '42ce2befd6a4400fa639c5676b404705', 'c4235d6d79364fdca33c8f072854277a', 'False', 'False', 'false', 'false', '511921102211', 5, '渡水溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921102211', 1, '2021-07-19 12:00:16', NULL, NULL), (27598, '', '龙凤垭村民委员会', 'b8a06a132b8a49aa8e9ca60b5407026c', 'c4235d6d79364fdca33c8f072854277a', 'False', 'False', 'false', 'false', '511921102212', 5, '龙凤垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921102212', 1, '2021-07-19 12:00:16', NULL, NULL), (27599, '', '马家坪社区居委会', 'c15c24e1993f4f489eb2fdcfdf340d27', 'c4235d6d79364fdca33c8f072854277a', 'False', 'True', 'false', 'false', '511921102001', 5, '马家坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921102001', 1, '2021-07-19 12:00:16', NULL, NULL), (27600, '', '犀凤村民委员会', 'bb4fb98d1aaf472dab950384cb1d911c', 'c4235d6d79364fdca33c8f072854277a', 'False', 'False', 'false', 'false', '511921102200', 5, '犀凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921102200', 1, '2021-07-19 12:00:16', NULL, NULL), (27601, '', '穿云洞村民委员会', '9611f8e488f84965bbc946e8e9b732a5', 'c4235d6d79364fdca33c8f072854277a', 'False', 'False', 'false', 'false', '511921102201', 5, '穿云洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921102201', 1, '2021-07-19 12:00:16', NULL, NULL), (27602, '', '魏家河村民委员会', '8a662acf824b4d8b9ad24ca4237fcd50', 'c4235d6d79364fdca33c8f072854277a', 'False', 'False', 'false', 'false', '511921102202', 5, '魏家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921102202', 1, '2021-07-19 12:00:16', NULL, NULL), (27603, '', '园铧山村民委员会', 'e1941be68e4f4b5882c49df228322d45', 'c4235d6d79364fdca33c8f072854277a', 'False', 'True', 'false', 'false', '511921102203', 5, '圆铧山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921102203', 1, '2021-07-19 12:00:16', NULL, NULL), (27604, '', '老君观村民委员会', '6852a3e770f849af9095ed8141cfc587', 'c4235d6d79364fdca33c8f072854277a', 'False', 'True', 'false', 'false', '511921102204', 5, '老君观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921102204', 1, '2021-07-19 12:00:16', NULL, NULL), (27605, '', '回林场村民委员会', '8d715d64affd4e93952aaf2d321df9a0', 'c4235d6d79364fdca33c8f072854277a', 'False', 'False', 'false', 'false', '511921102205', 5, '回林场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921102205', 1, '2021-07-19 12:00:16', NULL, NULL), (27606, '', '通江县广纳镇人民政府', '9a6eacadeaa5494d837633ae58fabeda', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921103000', 4, '广纳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921103000', 1, '2021-07-19 12:00:16', NULL, NULL), (27607, '', '大铁山村民委员会', 'ed5d2f8986ea4dc4bc48313ad446bbfa', '9a6eacadeaa5494d837633ae58fabeda', 'False', 'False', 'false', 'false', '511921103221', 5, '大铁山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921103221', 1, '2021-07-19 12:00:16', NULL, NULL), (27608, '', '梓潼村民委员会', 'fc6265ad102443fab131e89fc3f76702', '9a6eacadeaa5494d837633ae58fabeda', 'False', 'False', 'false', 'false', '511921103222', 5, '梓潼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921103222', 1, '2021-07-19 12:00:16', NULL, NULL), (27609, '', '东山村民委员会', '6c819af66c3f46f99765257ebabf5b1a', '9a6eacadeaa5494d837633ae58fabeda', 'False', 'False', 'false', 'false', '511921103223', 5, '东山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921103223', 1, '2021-07-19 12:00:16', NULL, NULL), (27610, '', '毓桂山村民委员会', '3d02362c5571450f8a6b8f8b4f7f37a9', '9a6eacadeaa5494d837633ae58fabeda', 'False', 'False', 'false', 'false', '511921103224', 5, '毓桂山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921103224', 1, '2021-07-19 12:00:16', NULL, NULL), (27611, '', '构花坪村民委员会', '70ee6f3d157144febdaadf2344f0389d', '9a6eacadeaa5494d837633ae58fabeda', 'False', 'False', 'false', 'false', '511921103225', 5, '构花坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921103225', 1, '2021-07-19 12:00:16', NULL, NULL), (27612, '', '老观庙社区居委会', 'a08a5be71f1541b392f24ab154b5c62f', '9a6eacadeaa5494d837633ae58fabeda', 'False', 'True', 'false', 'false', '511921103001', 5, '老观庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921103001', 1, '2021-07-19 12:00:16', NULL, NULL), (27613, '', '金堂村民委员会', '4e1854750df64db090f6aeb84f099a88', '9a6eacadeaa5494d837633ae58fabeda', 'False', 'True', 'false', 'false', '511921103201', 5, '金堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921103201', 1, '2021-07-19 12:00:16', NULL, NULL), (27614, '', '新桥村民委员会', 'e38ecf355af04dc1a6cce54eb0ff1152', '9a6eacadeaa5494d837633ae58fabeda', 'False', 'True', 'false', 'false', '511921103203', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921103203', 1, '2021-07-19 12:00:16', NULL, NULL), (27615, '', '火峰村民委员会', '2054ccd0adcb41cca04cb59c969a791d', '9a6eacadeaa5494d837633ae58fabeda', 'False', 'True', 'false', 'false', '511921103204', 5, '火峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921103204', 1, '2021-07-19 12:00:16', NULL, NULL), (27616, '', '檬子垭村民委员会', 'b1859081a3b14bdcb2cff3436623dbaf', '9a6eacadeaa5494d837633ae58fabeda', 'False', 'True', 'false', 'false', '511921103205', 5, '檬子垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921103205', 1, '2021-07-19 12:00:16', NULL, NULL), (27617, '', '铜钵山村民委员会', 'dc09c518eb69438d88cb9b5a0fe1e24a', '9a6eacadeaa5494d837633ae58fabeda', 'False', 'True', 'false', 'false', '511921103206', 5, '铜钵山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921103206', 1, '2021-07-19 12:00:16', NULL, NULL), (27618, '', '佛驹山村民委员会', 'f35a7f36902240d28865a7e7774b6c1b', '9a6eacadeaa5494d837633ae58fabeda', 'False', 'True', 'false', 'false', '511921103207', 5, '佛驹山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921103207', 1, '2021-07-19 12:00:16', NULL, NULL), (27619, '', '龙家扁村民委员会', 'ba90f49c69394f9cbcb3f69300dd2675', '9a6eacadeaa5494d837633ae58fabeda', 'False', 'True', 'false', 'false', '511921103209', 5, '龙家扁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921103209', 1, '2021-07-19 12:00:16', NULL, NULL), (27620, '', '顺石岭村民委员会', '1efba3858f404d56890a8e9abd13d262', '9a6eacadeaa5494d837633ae58fabeda', 'False', 'True', 'false', 'false', '511921103214', 5, '顺石岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921103214', 1, '2021-07-19 12:00:16', NULL, NULL), (27621, '', '石庙村民委员会', '6165a4d224f44e46be5aa07254bb40b0', '9a6eacadeaa5494d837633ae58fabeda', 'False', 'True', 'false', 'false', '511921103215', 5, '石庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921103215', 1, '2021-07-19 12:00:17', NULL, NULL), (27622, '', '石墩村民委员会', 'c9d1b379a3f34985aa419ff85908c3f1', '9a6eacadeaa5494d837633ae58fabeda', 'False', 'True', 'false', 'false', '511921103218', 5, '石墩子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921103218', 1, '2021-07-19 12:00:17', NULL, NULL), (27623, '', '万轮村民委员会', 'b9f2c736754c4e23b743e79363fef18c', '9a6eacadeaa5494d837633ae58fabeda', 'False', 'True', 'false', 'false', '511921103220', 5, '万轮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921103220', 1, '2021-07-19 12:00:17', NULL, NULL), (27624, '', '通江县铁佛镇人政府', '56082ce9e0f2442a80c9907248a46bf0', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921104000', 4, '铁佛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921104000', 1, '2021-07-19 12:00:17', NULL, NULL), (27625, '', '插垭子村民委员会', '98cf1789439148b6ae7c4d77079979ea', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104233', 5, '插垭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104233', 1, '2021-07-19 12:00:17', NULL, NULL), (27626, '', '胜利村民委员会', '7af1f097b4034d189ac32356576df6bd', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104234', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104234', 1, '2021-07-19 12:00:17', NULL, NULL), (27627, '', '刘坪社区居委会', '4d315b5871774ae58855a0aea1926128', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104001', 5, '刘坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104001', 1, '2021-07-19 12:00:17', NULL, NULL), (27628, '', '平坝村民委员会', '8f620259dd23456ba7d78f3fab82c3b7', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104140', 5, '平坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104140', 1, '2021-07-19 12:00:17', NULL, NULL), (27629, '', '尖包岭村民委员会', '3193b92da44e45cdac88f218fb017d4a', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104202', 5, '尖包岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104202', 1, '2021-07-19 12:00:17', NULL, NULL), (27630, '', '白土垭村民委员会', 'ef7926b7363f4e53be8fb5ef0ab856e1', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104203', 5, '白土垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104203', 1, '2021-07-19 12:00:17', NULL, NULL), (27631, '', '观山坪村民委员会', 'ada038ab90af43379041bdc2d8671054', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104204', 5, '观山坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104204', 1, '2021-07-19 12:00:17', NULL, NULL), (27632, '', '河西村民委员会', 'fc6d0f2a66e44128a061837f81c29896', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104205', 5, '河西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104205', 1, '2021-07-19 12:00:17', NULL, NULL), (27633, '', '双泉村民委员会', '11512d268bd846d99da7212d63754760', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104206', 5, '双泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104206', 1, '2021-07-19 12:00:17', NULL, NULL), (27634, '', '白马村民委员会', '2c9ef50fca28498c80bf42c849effa50', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104207', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104207', 1, '2021-07-19 12:00:17', NULL, NULL), (27635, '', '印盒寨村民委员会', '92d6437f84174386a3151933c1264757', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104208', 5, '印盒寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104208', 1, '2021-07-19 12:00:17', NULL, NULL), (27636, '', '清溪村民委员会', '38d4883c9b054b3395fc75d67421ff99', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104209', 5, '清溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104209', 1, '2021-07-19 12:00:17', NULL, NULL), (27637, '', '大佛寺村民委员会', 'fca7dbc23662436a95beaac0b841c67f', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104210', 5, '大佛寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104210', 1, '2021-07-19 12:00:17', NULL, NULL), (27638, '', '东山坪村民委员会', '5e186d8a4cc44b2f9b431d47b25c7e05', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104211', 5, '东山坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104211', 1, '2021-07-19 12:00:17', NULL, NULL), (27639, '', '九龙庙村民委员会', '5a30f70f20bf4597badfe49d0a67e44c', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104212', 5, '九龙庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104212', 1, '2021-07-19 12:00:17', NULL, NULL), (27640, '', '金山村民委员会', 'a7175f6aea824374b296624fd11be520', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104213', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104213', 1, '2021-07-19 12:00:18', NULL, NULL), (27641, '', '罗亭村村民委员会', '840f30eda6514fa68e6db0046ec69360', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104214', 5, '罗亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104214', 1, '2021-07-19 12:00:18', NULL, NULL), (27642, '', '跑马村民委员会', '09432e2247214e319b66732069ad6ac3', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104215', 5, '跑马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104215', 1, '2021-07-19 12:00:18', NULL, NULL), (27643, '', '凤凰村民委员会', 'b391fb06762745259780e5ed7dcaf45c', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104216', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104216', 1, '2021-07-19 12:00:18', NULL, NULL), (27644, '', '土门村民委员会', 'd917183f009e4bf5859d6f666b369425', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104217', 5, '土门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104217', 1, '2021-07-19 12:00:18', NULL, NULL), (27645, '', '文峰村民委员会', '6161a01365724487bb026da846974266', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104218', 5, '文峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104218', 1, '2021-07-19 12:00:18', NULL, NULL), (27646, '', '营盘村民委员会', '211a2b9754dd4ddbb1dcfd119359bef0', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104219', 5, '营盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104219', 1, '2021-07-19 12:00:18', NULL, NULL), (27647, '', '补巴石村民委员会', '124c5cc519c14db6a1756df66e11fb1b', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104220', 5, '补巴石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104220', 1, '2021-07-19 12:00:18', NULL, NULL), (27648, '', '中岭村民委员会', '5f45d67fdbe24dc7981102ee73992b95', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104221', 5, '中岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104221', 1, '2021-07-19 12:00:18', NULL, NULL), (27649, '', '金斗岩村民委员会', 'e1f63d135f0546948a09c86b707a06b8', '56082ce9e0f2442a80c9907248a46bf0', 'False', 'True', 'false', 'false', '511921104463', 5, '金斗岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921104463', 1, '2021-07-19 12:00:18', NULL, NULL), (27650, '', '通江县麻石镇人民政府', 'd18eabc4905c48d2995fbbcb21f21bfd', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921105000', 4, '麻石镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921105000', 1, '2021-07-19 12:00:18', NULL, NULL), (27651, '', '长清村民委员会', 'ac1b7c80be5d4fb8bafb3379d40fb7dc', 'd18eabc4905c48d2995fbbcb21f21bfd', 'False', 'False', 'false', 'false', '511921105209', 5, '长清村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921105209', 1, '2021-07-19 12:00:18', NULL, NULL), (27652, '', '云昙村民委员会', '7c04055da3164ad28bc20c42e975ddf5', 'd18eabc4905c48d2995fbbcb21f21bfd', 'False', 'False', 'false', 'false', '511921105210', 5, '云昙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921105210', 1, '2021-07-19 12:00:18', NULL, NULL), (27653, '', '蒲家坪村民委员会', '4d07b30824754ab2b3fb350fb4be7a44', 'd18eabc4905c48d2995fbbcb21f21bfd', 'False', 'False', 'false', 'false', '511921105211', 5, '蒲家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921105211', 1, '2021-07-19 12:00:18', NULL, NULL), (27654, '', '印顶寨村民委员会', '8400c3b891ff4118be4eea038f8be968', 'd18eabc4905c48d2995fbbcb21f21bfd', 'False', 'False', 'false', 'false', '511921105212', 5, '印顶寨', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921105212', 1, '2021-07-19 12:00:18', NULL, NULL), (27655, '', '马三垭村民委员会', '0552987335674759973f0307e33c4f2a', 'd18eabc4905c48d2995fbbcb21f21bfd', 'False', 'False', 'false', 'false', '511921105213', 5, '马三垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921105213', 1, '2021-07-19 12:00:18', NULL, NULL), (27656, '', '红梁村民委员会', '2441778b41254d5ba5887384d1dc64d0', 'd18eabc4905c48d2995fbbcb21f21bfd', 'False', 'False', 'false', 'false', '511921105214', 5, '红梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921105214', 1, '2021-07-19 12:00:18', NULL, NULL), (27657, '', '禹王宫社区居委会', '22b2d0fc08a64586bc99f1524ebec223', 'd18eabc4905c48d2995fbbcb21f21bfd', 'False', 'True', 'false', 'false', '511921105001', 5, '禹王宫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921105001', 1, '2021-07-19 12:00:18', NULL, NULL), (27658, '', '高石梯村民委员会', 'a7746630404a4f99a046b04bb4474222', 'd18eabc4905c48d2995fbbcb21f21bfd', 'False', 'True', 'false', 'false', '511921105202', 5, '高石梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921105202', 1, '2021-07-19 12:00:18', NULL, NULL), (27659, '', '瓦尖山村民委员会', '7e60fe0b5a5c4f7d8fe48e7f6c7c9b84', 'd18eabc4905c48d2995fbbcb21f21bfd', 'False', 'True', 'false', 'false', '511921105203', 5, '瓦尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921105203', 1, '2021-07-19 12:00:18', NULL, NULL), (27660, '', '双柏树村民委员会', 'b20a8c7506354e24abb991a3d402217a', 'd18eabc4905c48d2995fbbcb21f21bfd', 'False', 'True', 'false', 'false', '511921105204', 5, '双柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921105204', 1, '2021-07-19 12:00:19', NULL, NULL), (27661, '', '土顶子村民委员会', '454959f52a2f4607b6ec99c557e24344', 'd18eabc4905c48d2995fbbcb21f21bfd', 'False', 'True', 'false', 'false', '511921105206', 5, '土顶子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921105206', 1, '2021-07-19 12:00:19', NULL, NULL), (27662, '', '通江县至诚镇人民政府', '602b1dc427bc4eae9d6185632bb02547', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921106000', 4, '至诚镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921106000', 1, '2021-07-19 12:00:19', NULL, NULL), (27663, '', '药洪村民委员会', 'ee20dc418cd740a6a49f92cb5ae31e1e', '602b1dc427bc4eae9d6185632bb02547', 'False', 'False', 'false', 'false', '511921106214', 5, '药洪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921106214', 1, '2021-07-19 12:00:19', NULL, NULL), (27664, '', '沙坝子社区居委会', 'e4365476f1d1437aba66f5a5891598f4', '602b1dc427bc4eae9d6185632bb02547', 'False', 'True', 'false', 'false', '511921106113', 5, '沙坝子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921106113', 1, '2021-07-19 12:00:19', NULL, NULL), (27665, '', '九子坡村民委员会', 'b89736fe26c744389fae11da4ab4b8ed', '602b1dc427bc4eae9d6185632bb02547', 'False', 'True', 'false', 'false', '511921106202', 5, '九子坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921106202', 1, '2021-07-19 12:00:19', NULL, NULL), (27666, '', '莲花村民委员会', '433884b132e54685aee6334a6dde8a9b', '602b1dc427bc4eae9d6185632bb02547', 'False', 'True', 'false', 'false', '511921106203', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921106203', 1, '2021-07-19 12:00:19', NULL, NULL), (27667, '', '沙坝子村民委员', 'bededc45ad9e4c1399707badfbcff7b6', '602b1dc427bc4eae9d6185632bb02547', 'False', 'True', 'false', 'false', '511921106204', 5, '沙坝子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921106204', 1, '2021-07-19 12:00:19', NULL, NULL), (27668, '', '鸳鸯村民委员会', '9abd72c52f0a436f829ed837476bee69', '602b1dc427bc4eae9d6185632bb02547', 'False', 'True', 'false', 'false', '511921106206', 5, '鸳鸯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921106206', 1, '2021-07-19 12:00:19', NULL, NULL), (27669, '', '岚翠村民委员会', 'b0d32c76df5a4d219f0ea2104a3733fb', '602b1dc427bc4eae9d6185632bb02547', 'False', 'True', 'false', 'false', '511921106208', 5, '岚翠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921106208', 1, '2021-07-19 12:00:19', NULL, NULL), (27670, '', '盘石村民委员会', 'e18f9ecff3fd47b1a604070f0472895c', '602b1dc427bc4eae9d6185632bb02547', 'False', 'True', 'false', 'false', '511921106212', 5, '盘石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921106212', 1, '2021-07-19 12:00:19', NULL, NULL), (27671, '', '元山子村民委员会', '167fd08ab6f746c9ae1878cc86b606c7', '602b1dc427bc4eae9d6185632bb02547', 'False', 'True', 'false', 'false', '511921106213', 5, '元山子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921106213', 1, '2021-07-19 12:00:19', NULL, NULL), (27672, '', '尖山村民委员会', '9b4c10f91cd84a69ae1fe352135b53f0', '602b1dc427bc4eae9d6185632bb02547', 'False', 'True', 'false', 'false', '511921106686', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921106686', 1, '2021-07-19 12:00:19', NULL, NULL), (27673, '', '通江县洪口镇人民政府', '2eb8cfead9684634ab6be2f43645b6a5', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921107000', 4, '洪口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921107000', 1, '2021-07-19 12:00:19', NULL, NULL), (27674, '', '九层社区居委会', 'ea8bcd0008bd4fa1861d19d7c0d80ce9', '2eb8cfead9684634ab6be2f43645b6a5', 'False', 'False', 'false', 'false', '511921107002', 5, '九层社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921107002', 1, '2021-07-19 12:00:19', NULL, NULL), (27675, '', '红胜村民委员会', '3adb30be3a354d038931ac67a3f31f87', '2eb8cfead9684634ab6be2f43645b6a5', 'False', 'False', 'false', 'false', '511921107207', 5, '红胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921107207', 1, '2021-07-19 12:00:19', NULL, NULL), (27676, '', '仙人垭村民委员会', '0fd3cd5b062841189c466deeaf75141c', '2eb8cfead9684634ab6be2f43645b6a5', 'False', 'False', 'false', 'false', '511921107208', 5, '仙人垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921107208', 1, '2021-07-19 12:00:19', NULL, NULL), (27677, '', '董溪村民委员会', 'e51bf789bbe044b582e514c1c09e4188', '2eb8cfead9684634ab6be2f43645b6a5', 'False', 'False', 'false', 'false', '511921107209', 5, '董溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921107209', 1, '2021-07-19 12:00:19', NULL, NULL), (27678, '', '程家营村民委员会', '2ba433ac2c1f43ea979db45add5fe1f3', '2eb8cfead9684634ab6be2f43645b6a5', 'False', 'False', 'false', 'false', '511921107210', 5, '程家营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921107210', 1, '2021-07-19 12:00:19', NULL, NULL), (27679, '', '尖场坝村民委员会', '27e7461a4ecb4758a7e9543d25531f93', '2eb8cfead9684634ab6be2f43645b6a5', 'False', 'False', 'false', 'false', '511921107211', 5, '尖场坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921107211', 1, '2021-07-19 12:00:20', NULL, NULL), (27680, '', '澌波村民委员会', '2b4ca3823345431e840cdebb68354b5b', '2eb8cfead9684634ab6be2f43645b6a5', 'False', 'False', 'false', 'false', '511921107212', 5, '澌波村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921107212', 1, '2021-07-19 12:00:20', NULL, NULL), (27681, '', '田家塬村民委员会', 'a969bed1db974379a1268482399dc420', '2eb8cfead9684634ab6be2f43645b6a5', 'False', 'False', 'false', 'false', '511921107213', 5, '田家塬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921107213', 1, '2021-07-19 12:00:20', NULL, NULL), (27682, '', '苟家湾村民委员会', 'dd6672d32a2e478586673b425daa94d3', '2eb8cfead9684634ab6be2f43645b6a5', 'False', 'False', 'false', 'false', '511921107214', 5, '苟家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921107214', 1, '2021-07-19 12:00:20', NULL, NULL), (27683, '', '香炉村民委员会', 'e78ef0d1fa834350b5ea2cb5e62bb3f1', '2eb8cfead9684634ab6be2f43645b6a5', 'False', 'False', 'false', 'false', '511921107215', 5, '香炉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921107215', 1, '2021-07-19 12:00:20', NULL, NULL), (27684, '', '向家寨村民委员会', 'ec3fb593279b45f28d9432396ce393fa', '2eb8cfead9684634ab6be2f43645b6a5', 'False', 'False', 'false', 'false', '511921107216', 5, '向家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921107216', 1, '2021-07-19 12:00:20', NULL, NULL), (27685, '', '兆园山村民委员会', '7131f74d15224d9582a745c08f5c4770', '2eb8cfead9684634ab6be2f43645b6a5', 'False', 'False', 'false', 'false', '511921107217', 5, '兆园山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921107217', 1, '2021-07-19 12:00:20', NULL, NULL), (27686, '', '冯家坝村民委员会', '846c6ea67a0f49a4aa5b7c213628dabc', '2eb8cfead9684634ab6be2f43645b6a5', 'False', 'False', 'false', 'false', '511921107218', 5, '冯家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921107218', 1, '2021-07-19 12:00:20', NULL, NULL), (27687, '', '闫家垭村民委员会', 'a928c3efca764b38998586b75f4e4ddd', '2eb8cfead9684634ab6be2f43645b6a5', 'False', 'False', 'false', 'false', '511921107219', 5, '闫家垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921107219', 1, '2021-07-19 12:00:20', NULL, NULL), (27688, '', '洪口场社区居委会', '0b65d18301104d36b7e066325a2afa9e', '2eb8cfead9684634ab6be2f43645b6a5', 'False', 'True', 'false', 'false', '511921107001', 5, '洪口场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921107001', 1, '2021-07-19 12:00:20', NULL, NULL), (27689, '', '永安坝村民委员会', '1fa516a6cedd421885625d149648341c', '2eb8cfead9684634ab6be2f43645b6a5', 'False', 'True', 'false', 'false', '511921107200', 5, '永安坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921107200', 1, '2021-07-19 12:00:20', NULL, NULL), (27690, '', '余家湾村民委员会', 'e952afd21dfa4f319cee06d8a576d491', '2eb8cfead9684634ab6be2f43645b6a5', 'False', 'True', 'false', 'false', '511921107201', 5, '余家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921107201', 1, '2021-07-19 12:00:20', NULL, NULL), (27691, '', '古宁寨村民委员会', 'be114eee638f45a5ad962f6ac3b574d3', '2eb8cfead9684634ab6be2f43645b6a5', 'False', 'True', 'false', 'false', '511921107203', 5, '古宁寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921107203', 1, '2021-07-19 12:00:20', NULL, NULL), (27692, '', '通江县沙溪镇人民政府', 'd063cf0a8bcb476ebd85733eecaccd91', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921108000', 4, '沙溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921108000', 1, '2021-07-19 12:00:20', NULL, NULL), (27693, '', '板凳场村民委员会', 'dec796d0906a49b5883d27797bdbc0a3', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'False', 'false', 'false', '511921108214', 5, '板凳场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108214', 1, '2021-07-19 12:00:20', NULL, NULL), (27694, '', '复兴场村民委员会', 'b7fee7c093d34dbebc3c521c0f6c5786', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'False', 'false', 'false', '511921108215', 5, '复兴场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108215', 1, '2021-07-19 12:00:21', NULL, NULL), (27695, '', '团鱼坝村民委员会', '0ceb5452cef04e20b0d5cbe45fc984c6', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'False', 'false', 'false', '511921108216', 5, '团鱼坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108216', 1, '2021-07-19 12:00:21', NULL, NULL), (27696, '', '学堂山村民委员会', '1cdaaef07ffc42fda38d6dfbbc424d98', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'False', 'false', 'false', '511921108217', 5, '学堂山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108217', 1, '2021-07-19 12:00:21', NULL, NULL), (27697, '', '文溪口村民委员会', 'ed79e81536594dafaf1c88f2f91d33c4', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'False', 'false', 'false', '511921108218', 5, '文溪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108218', 1, '2021-07-19 12:00:21', NULL, NULL), (27698, '', '白石寺村民委员会', '557c47f52a78487b803e1f93f4895272', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'False', 'false', 'false', '511921108219', 5, '白石寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108219', 1, '2021-07-19 12:00:21', NULL, NULL), (27699, '', '大井坝村民委员会', '25072b6182be4a4aa0b7b155893b2506', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'False', 'false', 'false', '511921108220', 5, '大井坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108220', 1, '2021-07-19 12:00:21', NULL, NULL), (27700, '', '马家岩村民委员会', 'b8b8b6bc58d0487ea6121531c11b3610', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'False', 'false', 'false', '511921108221', 5, '马家岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108221', 1, '2021-07-19 12:00:21', NULL, NULL), (27701, '', '谭坪村民委员会', 'db4662d5d2a2448d8ddd06ebd7812990', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'False', 'false', 'false', '511921108223', 5, '谭坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108223', 1, '2021-07-19 12:00:21', NULL, NULL), (27702, '', '纪红村民委员会', 'd375134b78d342bbb257ccda52c5bd16', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'False', 'false', 'false', '511921108224', 5, '纪红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108224', 1, '2021-07-19 12:00:21', NULL, NULL), (27703, '', '沙溪嘴社区居委会', '96d906d0978a462da0228fd09ae4a00c', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'True', 'false', 'false', '511921108001', 5, '沙溪嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108001', 1, '2021-07-19 12:00:21', NULL, NULL), (27704, '', '龙转坪村民委员会', 'c88f2e2695274b818a1897c5ec72e77e', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'True', 'false', 'false', '511921108203', 5, '龙转坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108203', 1, '2021-07-19 12:00:21', NULL, NULL), (27705, '', '桑丝坪村民委员会', '9ebd3408607b4949a32a34df1a55e561', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'True', 'false', 'false', '511921108206', 5, '桑丝坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108206', 1, '2021-07-19 12:00:21', NULL, NULL), (27706, '', '苏坪村民委员会', 'ce83c849303147b88c13a6b8ced1bd2a', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'True', 'false', 'false', '511921108208', 5, '苏坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108208', 1, '2021-07-19 12:00:21', NULL, NULL), (27707, '', '王坪村民委员会', 'b45f23d7b2b24705b0e8a0b193ed6374', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'True', 'false', 'false', '511921108209', 5, '王坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108209', 1, '2021-07-19 12:00:21', NULL, NULL), (27708, '', '柳枝坪村民委员会', '3b1de981928c4bb09bfc6c1ed7be4fb4', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'True', 'false', 'false', '511921108210', 5, '柳枝坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108210', 1, '2021-07-19 12:00:21', NULL, NULL), (27709, '', '大梁城村民委员会', '3dc2f8bd3b9f4e94866f7daaa9cc1830', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'True', 'false', 'false', '511921108211', 5, '大梁城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108211', 1, '2021-07-19 12:00:21', NULL, NULL), (27710, '', '金山罐村民委员会', 'acee98a0442a44398582ea15de6dc632', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'True', 'false', 'false', '511921108212', 5, '金山罐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108212', 1, '2021-07-19 12:00:22', NULL, NULL), (27711, '', '红云崖村民委员会', '4bc0165df1f1424f87b77accadafcba4', 'd063cf0a8bcb476ebd85733eecaccd91', 'False', 'False', 'false', 'false', '511921108213', 5, '红云崖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921108213', 1, '2021-07-19 12:00:22', NULL, NULL), (27712, '', '通江县瓦室镇人民政府', '342650510bcd48b08d88854bcb8c435e', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921109000', 4, '瓦室镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921109000', 1, '2021-07-19 12:00:22', NULL, NULL), (27713, '', '瓦室社区居委会', '06cd92f32dbf4c2e82648b2bc9e75e4e', '342650510bcd48b08d88854bcb8c435e', 'False', 'True', 'false', 'false', '511921109001', 5, '瓦室社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921109001', 1, '2021-07-19 12:00:22', NULL, NULL), (27714, '', '长胜社区居委会', '965996478e724c34a0a2c11459d69f17', '342650510bcd48b08d88854bcb8c435e', 'False', 'True', 'false', 'false', '511921109002', 5, '长胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921109002', 1, '2021-07-19 12:00:22', NULL, NULL), (27715, '', '塔子村民委员会', 'bbef6697bdf34c669ec1eff67bc55e3c', '342650510bcd48b08d88854bcb8c435e', 'False', 'True', 'false', 'false', '511921109200', 5, '塔子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921109200', 1, '2021-07-19 12:00:22', NULL, NULL), (27716, '', '夏家村民委员会', '702d8a5b13ba4ae8b56985f9e3f3a51d', '342650510bcd48b08d88854bcb8c435e', 'False', 'True', 'false', 'false', '511921109201', 5, '夏家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921109201', 1, '2021-07-19 12:00:22', NULL, NULL), (27717, '', '昆仑村民委员会', '226c3df7b45d42f8b5ab813e0a3ebe26', '342650510bcd48b08d88854bcb8c435e', 'False', 'True', 'false', 'false', '511921109202', 5, '昆仑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921109202', 1, '2021-07-19 12:00:22', NULL, NULL), (27718, '', '钟佛村民委员会', 'cdd7171f1cf3400697e9e4ea6629a63f', '342650510bcd48b08d88854bcb8c435e', 'False', 'True', 'false', 'false', '511921109203', 5, '钟佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921109203', 1, '2021-07-19 12:00:22', NULL, NULL), (27719, '', '桂花村民委员会', '31847f57b77c424383904743d0052979', '342650510bcd48b08d88854bcb8c435e', 'False', 'True', 'false', 'false', '511921109204', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921109204', 1, '2021-07-19 12:00:22', NULL, NULL), (27720, '', '长春村民委员会', '6c4e004f36364e379872933463e9428f', '342650510bcd48b08d88854bcb8c435e', 'False', 'True', 'false', 'false', '511921109206', 5, '长春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921109206', 1, '2021-07-19 12:00:22', NULL, NULL), (27721, '', '九龙村民委员会', '8cfb57f252674ef0ba3018a88ec87292', '342650510bcd48b08d88854bcb8c435e', 'False', 'True', 'false', 'false', '511921109209', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921109209', 1, '2021-07-19 12:00:22', NULL, NULL), (27722, '', '鹿鸣村民委员会', 'cd001166671648dfbac0cf4c3894e0a9', '342650510bcd48b08d88854bcb8c435e', 'False', 'True', 'false', 'false', '511921109210', 5, '鹿鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921109210', 1, '2021-07-19 12:00:22', NULL, NULL), (27723, '', '通江县永安镇人民政府', 'c4fb31aafa86460f8882455b40915f71', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921110000', 4, '永安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921110000', 1, '2021-07-19 12:00:22', NULL, NULL), (27724, '', '沙坪村民委员会', '7fe937db67b949e2bf3be0f5313af9f9', 'c4fb31aafa86460f8882455b40915f71', 'False', 'True', 'false', 'false', '511921110216', 5, '沙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921110216', 1, '2021-07-19 12:00:22', NULL, NULL), (27725, '', '滥井坝村民委员会', '9c1c4bd91cb14e05a7ecae759f4dc94b', 'c4fb31aafa86460f8882455b40915f71', 'False', 'True', 'false', 'false', '511921110217', 5, '滥井坝', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921110217', 1, '2021-07-19 12:00:22', NULL, NULL), (27726, '', '学堂湾村民委员会', 'aa73e7f2df6a4a80903e8af0025395f7', 'c4fb31aafa86460f8882455b40915f71', 'False', 'True', 'false', 'false', '511921110218', 5, '学堂湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921110218', 1, '2021-07-19 12:00:22', NULL, NULL), (27727, '', '会家村民委员会', '4840c520dd2048a298b0b3cf5a4be3c7', 'c4fb31aafa86460f8882455b40915f71', 'False', 'True', 'false', 'false', '511921110219', 5, '会家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921110219', 1, '2021-07-19 12:00:22', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (27728, '', '草庙子村民委员会', 'a8ff54b109d841c2a9ea5ab62d7a8944', 'c4fb31aafa86460f8882455b40915f71', 'False', 'True', 'false', 'false', '511921110220', 5, '草庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921110220', 1, '2021-07-19 12:00:23', NULL, NULL), (27729, '', '苦草坝社区居委会', 'cc0bba7efd4f443e9a0deaa432df55e5', 'c4fb31aafa86460f8882455b40915f71', 'False', 'True', 'false', 'false', '511921110001', 5, '草坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921110001', 1, '2021-07-19 12:00:23', NULL, NULL), (27730, '', '碧溪场社区居委会', 'b7a9c6bd89e3408183d37f3d9472735f', 'c4fb31aafa86460f8882455b40915f71', 'False', 'True', 'false', 'false', '511921110002', 5, '碧溪场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921110002', 1, '2021-07-19 12:00:23', NULL, NULL), (27731, '', '得汉城村民委员会', 'afda4c5a968d4cbd835e603c43a7bdb7', 'c4fb31aafa86460f8882455b40915f71', 'False', 'True', 'false', 'false', '511921110200', 5, '得汉城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921110200', 1, '2021-07-19 12:00:23', NULL, NULL), (27732, '', '龙汉垭村民委员会', 'fcc29c03fc5f4c6e9cb22cb15bb84535', 'c4fb31aafa86460f8882455b40915f71', 'False', 'True', 'false', 'false', '511921110203', 5, '龙汉垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921110203', 1, '2021-07-19 12:00:23', NULL, NULL), (27733, '', '锣坪村民委员会', 'b3bdc850ffe6482ebfdcb29e9ca71776', 'c4fb31aafa86460f8882455b40915f71', 'False', 'True', 'false', 'false', '511921110205', 5, '锣坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921110205', 1, '2021-07-19 12:00:23', NULL, NULL), (27734, '', '县坝村民委员会', '9bc8bd065bc4443e8b8f63f6ce50212a', 'c4fb31aafa86460f8882455b40915f71', 'False', 'True', 'false', 'false', '511921110206', 5, '县坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921110206', 1, '2021-07-19 12:00:23', NULL, NULL), (27735, '', '小坪村民委员会', '41a2c8125f60472e97fbe90776925c1a', 'c4fb31aafa86460f8882455b40915f71', 'False', 'True', 'false', 'false', '511921110207', 5, '小坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921110207', 1, '2021-07-19 12:00:23', NULL, NULL), (27736, '', '碧溪坡村民委员会', 'a3662705e2af4babb483b1f78b868435', 'c4fb31aafa86460f8882455b40915f71', 'False', 'True', 'false', 'false', '511921110208', 5, '碧溪坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921110208', 1, '2021-07-19 12:00:23', NULL, NULL), (27737, '', '火天岗村民委员会', 'f99abc09bef940979ea1d620e7d0d0aa', 'c4fb31aafa86460f8882455b40915f71', 'False', 'True', 'false', 'false', '511921110210', 5, '火天岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921110210', 1, '2021-07-19 12:00:23', NULL, NULL), (27738, '', '旧县坪村民委员会', 'd3391015945b45db8e7e4d15a8310ed0', 'c4fb31aafa86460f8882455b40915f71', 'False', 'True', 'false', 'false', '511921110211', 5, '旧县坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921110211', 1, '2021-07-19 12:00:23', NULL, NULL), (27739, '', '孙家坪村民委员会', '5ae78c76600f4bd6b013ac54a9745e62', 'c4fb31aafa86460f8882455b40915f71', 'False', 'True', 'false', 'false', '511921110213', 5, '孙家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921110213', 1, '2021-07-19 12:00:23', NULL, NULL), (27740, '', '郑家营村民委员会', '0f743f3709834a4693f5fcb9f9a3c165', 'c4fb31aafa86460f8882455b40915f71', 'False', 'True', 'false', 'false', '511921110215', 5, '郑家营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921110215', 1, '2021-07-19 12:00:23', NULL, NULL), (27741, '', '通江县铁溪镇人民政府', '95febd206f5242499cd36cf6d143dd4e', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921111000', 4, '铁溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921111000', 1, '2021-07-19 12:00:23', NULL, NULL), (27742, '', '朱元村民委员会', '682b1ad9681b468ab5b5387aaf2f84ec', '95febd206f5242499cd36cf6d143dd4e', 'False', 'False', 'false', 'false', '511921111214', 5, '朱元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921111214', 1, '2021-07-19 12:00:23', NULL, NULL), (27743, '', '木关坝村民委员会', 'ac8808a87be24646a022349cce2c38a9', '95febd206f5242499cd36cf6d143dd4e', 'False', 'False', 'false', 'false', '511921111215', 5, '木关坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921111215', 1, '2021-07-19 12:00:23', NULL, NULL), (27744, '', '冉家坝社区居委会', 'b2140c099fc24cca9c576b1cb82a20c3', '95febd206f5242499cd36cf6d143dd4e', 'False', 'True', 'false', 'false', '511921111001', 5, '冉家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921111001', 1, '2021-07-19 12:00:23', NULL, NULL), (27745, '', '田坝社区居委会', '69c29410709644579d52a55cd9a25524', '95febd206f5242499cd36cf6d143dd4e', 'False', 'True', 'false', 'false', '511921111002', 5, '田坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921111002', 1, '2021-07-19 12:00:23', NULL, NULL), (27746, '', '冉家坝村民委员会', '39afb6d8e7f2426fbab59f3e9bdd5e83', '95febd206f5242499cd36cf6d143dd4e', 'False', 'True', 'false', 'false', '511921111200', 5, '冉家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921111200', 1, '2021-07-19 12:00:24', NULL, NULL), (27747, '', '甑子坝村民委员会', '6d5aa04a734e4e3db0e51e68197b581e', '95febd206f5242499cd36cf6d143dd4e', 'False', 'True', 'false', 'false', '511921111201', 5, '甑子坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921111201', 1, '2021-07-19 12:00:24', NULL, NULL), (27748, '', '罗村村民委员会', 'a8ad3cd5434c4133a583781d21e37de4', '95febd206f5242499cd36cf6d143dd4e', 'False', 'True', 'false', 'false', '511921111203', 5, '罗村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921111203', 1, '2021-07-19 12:00:24', NULL, NULL), (27749, '', '园坝村民委员会', 'ec3433536b334318ba324d3b41187997', '95febd206f5242499cd36cf6d143dd4e', 'False', 'True', 'false', 'false', '511921111205', 5, '园坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921111205', 1, '2021-07-19 12:00:24', NULL, NULL), (27750, '', '天井里村民委员会', 'bd4e5cb95a184d54b699e82eb0ddcc99', '95febd206f5242499cd36cf6d143dd4e', 'False', 'True', 'false', 'false', '511921111206', 5, '天井里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921111206', 1, '2021-07-19 12:00:24', NULL, NULL), (27751, '', '田咀村民委员会', 'ce172722ac5a463ba3f3a40c89db0c4f', '95febd206f5242499cd36cf6d143dd4e', 'False', 'False', 'false', 'false', '511921111207', 5, '田咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921111207', 1, '2021-07-19 12:00:24', NULL, NULL), (27752, '', '梨坪沟村民委员会', '0e31536417b245e0aee5c07ebfdcfeb8', '95febd206f5242499cd36cf6d143dd4e', 'False', 'True', 'false', 'false', '511921111209', 5, '梨坪沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921111209', 1, '2021-07-19 12:00:24', NULL, NULL), (27753, '', '桐梓塬村民委员会', '84ee504225384745ac1f59703dbbb34c', '95febd206f5242499cd36cf6d143dd4e', 'False', 'False', 'false', 'false', '511921111212', 5, '桐梓塬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921111212', 1, '2021-07-19 12:00:24', NULL, NULL), (27754, '', '五童村民委员会', 'b48c487ba50940b6b12020ff11d4cea5', '95febd206f5242499cd36cf6d143dd4e', 'False', 'True', 'false', 'false', '511921111213', 5, '五童村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921111213', 1, '2021-07-19 12:00:24', NULL, NULL), (27755, '', '通江县涪阳镇人民政府', 'd8b0481c10084c0884550f1125fca5b9', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921112000', 4, '涪阳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921112000', 1, '2021-07-19 12:00:24', NULL, NULL), (27756, '', '活水沟村民委员会', '38898b70a219455c9dca9b25aa6a5c3a', 'd8b0481c10084c0884550f1125fca5b9', 'False', 'False', 'false', 'false', '511921112208', 5, '活水沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921112208', 1, '2021-07-19 12:00:24', NULL, NULL), (27757, '', '嘉禾寨村民委员会', '1b19131400b449d2a07db8e6612871c7', 'd8b0481c10084c0884550f1125fca5b9', 'False', 'False', 'false', 'false', '511921112209', 5, '嘉禾寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921112209', 1, '2021-07-19 12:00:24', NULL, NULL), (27758, '', '城子坪村民委员会', 'aad75278f4054ab0bb0802049c9ed57f', 'd8b0481c10084c0884550f1125fca5b9', 'False', 'False', 'false', 'false', '511921112210', 5, '城子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921112210', 1, '2021-07-19 12:00:24', NULL, NULL), (27759, '', '武学堂村民委员会', 'fb9dd364722c43a38d5eb05bbae75ba6', 'd8b0481c10084c0884550f1125fca5b9', 'False', 'False', 'false', 'false', '511921112211', 5, '武学堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921112211', 1, '2021-07-19 12:00:24', NULL, NULL), (27760, '', '涪阳坝社区居委会', '53a8784743fc4e28be82df1ac64511dd', 'd8b0481c10084c0884550f1125fca5b9', 'False', 'True', 'false', 'false', '511921112001', 5, '涪阳坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921112001', 1, '2021-07-19 12:00:24', NULL, NULL), (27761, '', '红江村民委员会', '27a583186e4345988dc3d68af5e1caf6', 'd8b0481c10084c0884550f1125fca5b9', 'False', 'True', 'false', 'false', '511921112200', 5, '红江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921112200', 1, '2021-07-19 12:00:24', NULL, NULL), (27762, '', '金家坪村民委员会', '6232a85d80074b198548286e794329e2', 'd8b0481c10084c0884550f1125fca5b9', 'False', 'True', 'false', 'false', '511921112202', 5, '金家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921112202', 1, '2021-07-19 12:00:24', NULL, NULL), (27763, '', '下江口村民委员会', 'e9bc9d769d8944449d6d8048dc2b3732', 'd8b0481c10084c0884550f1125fca5b9', 'False', 'True', 'false', 'false', '511921112203', 5, '下江口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921112203', 1, '2021-07-19 12:00:24', NULL, NULL), (27764, '', '石龙寺村民委员会', '1d0d955fe8274a2bbb57388babbdf618', 'd8b0481c10084c0884550f1125fca5b9', 'False', 'True', 'false', 'false', '511921112204', 5, '石龙寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921112204', 1, '2021-07-19 12:00:25', NULL, NULL), (27765, '', '斜滩河村民委员会', '823b276b4e4f40ffb25e61821506ffcc', 'd8b0481c10084c0884550f1125fca5b9', 'False', 'True', 'false', 'false', '511921112206', 5, '斜滩河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921112206', 1, '2021-07-19 12:00:25', NULL, NULL), (27766, '', '中码头村民委员会', '09f1614c0ca04e11abc5875ada39c064', 'd8b0481c10084c0884550f1125fca5b9', 'False', 'True', 'false', 'false', '511921112207', 5, '中码头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921112207', 1, '2021-07-19 12:00:25', NULL, NULL), (27767, '', '通江县诺水河镇人民政府', '50982032d9b14b168067a5565d6bd224', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921113000', 4, '诺水河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921113000', 1, '2021-07-19 12:00:25', NULL, NULL), (27768, '', '潮水村民委员会', '4d9da2018de84036bec114f8dc051c8b', '50982032d9b14b168067a5565d6bd224', 'False', 'False', 'false', 'false', '511921113224', 5, '潮水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113224', 1, '2021-07-19 12:00:25', NULL, NULL), (27769, '', '金鸡寺村民委员会', '115de82ba6b54fd88c0f4c03b932bc6a', '50982032d9b14b168067a5565d6bd224', 'False', 'False', 'false', 'false', '511921113225', 5, '金鸡寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113225', 1, '2021-07-19 12:00:25', NULL, NULL), (27770, '', '临江村民委员会', '7f90b36dbca045868b8af06629af48f4', '50982032d9b14b168067a5565d6bd224', 'False', 'False', 'false', 'false', '511921113226', 5, '临江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113226', 1, '2021-07-19 12:00:25', NULL, NULL), (27771, '', '铁厂河村民委员会', '9d57196edc12451bb9de034b6016b830', '50982032d9b14b168067a5565d6bd224', 'False', 'False', 'false', 'false', '511921113227', 5, '铁厂河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113227', 1, '2021-07-19 12:00:25', NULL, NULL), (27772, '', '官田坝村民委员会', 'da9f43bc414b4cd9bae2b6dd779c0603', '50982032d9b14b168067a5565d6bd224', 'False', 'False', 'false', 'false', '511921113228', 5, '官田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113228', 1, '2021-07-19 12:00:25', NULL, NULL), (27773, '', '海洋坪村民委员会', '259dc5e523ef4f40b05e895769e8e0ae', '50982032d9b14b168067a5565d6bd224', 'False', 'False', 'false', 'false', '511921113229', 5, '海洋坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113229', 1, '2021-07-19 12:00:25', NULL, NULL), (27774, '', '窑坡里村民委员会', 'f7a6c6d5dcbd4b80b64e76a9e7e92a57', '50982032d9b14b168067a5565d6bd224', 'False', 'False', 'false', 'false', '511921113230', 5, '窑坡里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113230', 1, '2021-07-19 12:00:25', NULL, NULL), (27775, '', '平溪坝社区居委会', 'a3dc35dc3fcc45c982a25d5b643fed23', '50982032d9b14b168067a5565d6bd224', 'False', 'True', 'false', 'false', '511921113001', 5, '平溪坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113001', 1, '2021-07-19 12:00:25', NULL, NULL), (27776, '', '玉皇坝村民委员会', '818aeae29f884a81afa0457c328d3c02', '50982032d9b14b168067a5565d6bd224', 'False', 'True', 'false', 'false', '511921113200', 5, '玉皇坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113200', 1, '2021-07-19 12:00:25', NULL, NULL), (27777, '', '塘二坪村民委员会', '2741eef293b6470e83edb7ed23eb1355', '50982032d9b14b168067a5565d6bd224', 'False', 'True', 'false', 'false', '511921113201', 5, '塘二坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113201', 1, '2021-07-19 12:00:25', NULL, NULL), (27778, '', '金家坝村民委员会', 'b5204763073442cd98bb9b43d4f68a11', '50982032d9b14b168067a5565d6bd224', 'False', 'True', 'false', 'false', '511921113202', 5, '金家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113202', 1, '2021-07-19 12:00:25', NULL, NULL), (27779, '', '鲁坝村民委员会', '1b4c1c4bb3b54f21a325d23c76910501', '50982032d9b14b168067a5565d6bd224', 'False', 'True', 'false', 'false', '511921113204', 5, '鲁坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113204', 1, '2021-07-19 12:00:26', NULL, NULL), (27780, '', '鸳鸯坪村民委员会', 'ac6e15912f8c48b4a06fe2a1853ccb14', '50982032d9b14b168067a5565d6bd224', 'False', 'True', 'false', 'false', '511921113209', 5, '鸳鸯坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113209', 1, '2021-07-19 12:00:26', NULL, NULL), (27781, '', '聂家坝村民委员会', '04feaaebc6cb4c2cb79ed596b4cd17cc', '50982032d9b14b168067a5565d6bd224', 'False', 'True', 'false', 'false', '511921113211', 5, '聂家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113211', 1, '2021-07-19 12:00:26', NULL, NULL), (27782, '', '碧山村民委员会', '3aac4fff43f04844918730619de0874a', '50982032d9b14b168067a5565d6bd224', 'False', 'True', 'false', 'false', '511921113212', 5, '碧山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113212', 1, '2021-07-19 12:00:26', NULL, NULL), (27783, '', '瓦石滩村民委员会', '006238bf6afd45d3a89c3f7e5a5f850a', '50982032d9b14b168067a5565d6bd224', 'False', 'True', 'false', 'false', '511921113214', 5, '瓦石滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113214', 1, '2021-07-19 12:00:26', NULL, NULL), (27784, '', '金溪河村民委员会', '4c505962b83a421394cfbb97ca3ae3a3', '50982032d9b14b168067a5565d6bd224', 'False', 'True', 'false', 'false', '511921113215', 5, '金溪河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113215', 1, '2021-07-19 12:00:26', NULL, NULL), (27785, '', '清潭坝村民委员会', 'a6b7b5a2a56644b48adb9300560fd1f5', '50982032d9b14b168067a5565d6bd224', 'False', 'True', 'false', 'false', '511921113217', 5, '清潭坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113217', 1, '2021-07-19 12:00:26', NULL, NULL), (27786, '', '白山村民委员会', '2b164be14d324a8c824789bc97b2b95d', '50982032d9b14b168067a5565d6bd224', 'False', 'True', 'false', 'false', '511921113219', 5, '白山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113219', 1, '2021-07-19 12:00:26', NULL, NULL), (27787, '', '天井坝村民委员会', '416f27b3d3bd4e2eb07915de2f03e720', '50982032d9b14b168067a5565d6bd224', 'False', 'True', 'false', 'false', '511921113221', 5, '天井坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113221', 1, '2021-07-19 12:00:26', NULL, NULL), (27788, '', '碗厂沟村民委员会', '595287a68cbe4f91ba30c56bae965f76', '50982032d9b14b168067a5565d6bd224', 'False', 'True', 'false', 'false', '511921113222', 5, '碗厂沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113222', 1, '2021-07-19 12:00:26', NULL, NULL), (27789, '', '小骡马村民委员会', 'ac38bd83edb54e73bb7589982719d7ad', '50982032d9b14b168067a5565d6bd224', 'False', 'True', 'false', 'false', '511921113223', 5, '小骡马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921113223', 1, '2021-07-19 12:00:26', NULL, NULL), (27790, '', '通江县杨柏镇人民政府', '3db7e4cfc3cf4727a896ac573629b92e', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921200000', 4, '杨柏镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921200000', 1, '2021-07-19 12:00:26', NULL, NULL), (27791, '', '朽石坎村民委员会', '1d30866e245b41598595f94d4fca0e05', '3db7e4cfc3cf4727a896ac573629b92e', 'False', 'True', 'false', 'false', '511921119213', 5, '朽石坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921119213', 1, '2021-07-19 12:00:26', NULL, NULL), (27792, '', '新桥河村民委员会', '61b6b00cef4143e39e005a20b4b198b7', '3db7e4cfc3cf4727a896ac573629b92e', 'False', 'True', 'false', 'false', '511921119214', 5, '新桥河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921119214', 1, '2021-07-19 12:00:26', NULL, NULL), (27793, '', '太平场村民委员会', '4d16845f9fb54caf80d9dec1a6b921d4', '3db7e4cfc3cf4727a896ac573629b92e', 'False', 'True', 'false', 'false', '511921119215', 5, '太平场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921119215', 1, '2021-07-19 12:00:26', NULL, NULL), (27794, '', '杨柏河社区居委会', '2643cba00bd147928ed3499f08885efe', '3db7e4cfc3cf4727a896ac573629b92e', 'False', 'True', 'false', 'false', '511921200001', 5, '杨柏河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921200001', 1, '2021-07-19 12:00:26', NULL, NULL), (27795, '', '贾村观村民委员会', 'dbc37e314bd0413f9ffd311065bd7cc1', '3db7e4cfc3cf4727a896ac573629b92e', 'False', 'True', 'false', 'false', '511921200200', 5, '贾村观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921200200', 1, '2021-07-19 12:00:26', NULL, NULL), (27796, '', '沙泥坪村民委员会', '19ab9964135646cab641bb79aafd238f', '3db7e4cfc3cf4727a896ac573629b92e', 'False', 'True', 'false', 'false', '511921200202', 5, '沙泥坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921200202', 1, '2021-07-19 12:00:26', NULL, NULL), (27797, '', '邵家河村民委员会', '152d9fad145448aba5b86f29102eaec9', '3db7e4cfc3cf4727a896ac573629b92e', 'False', 'True', 'false', 'false', '511921200204', 5, '邵家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921200204', 1, '2021-07-19 12:00:26', NULL, NULL), (27798, '', '双凤垭村民委员会', '71e59fc4e63348c2a88b5485ecc8c25b', '3db7e4cfc3cf4727a896ac573629b92e', 'False', 'True', 'false', 'false', '511921200206', 5, '双凤垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921200206', 1, '2021-07-19 12:00:27', NULL, NULL), (27799, '', '盘龙山村民委员会', '6406343568d2416cbf3c3d03732f27e7', '3db7e4cfc3cf4727a896ac573629b92e', 'False', 'True', 'false', 'false', '511921200207', 5, '盘龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921200207', 1, '2021-07-19 12:00:27', NULL, NULL), (27800, '', '天平寺村民委员会', '8b81bd53c49b49ec960e8b2f1a5bd2a2', '3db7e4cfc3cf4727a896ac573629b92e', 'False', 'True', 'false', 'false', '511921200208', 5, '天平寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921200208', 1, '2021-07-19 12:00:27', NULL, NULL), (27801, '', '通江县三溪镇人民政府', 'e386626762ce47d28c31e6da64bf1d6c', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921203000', 4, '三溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921203000', 1, '2021-07-19 12:00:27', NULL, NULL), (27802, '', '傲盘寨村民委员会', '1f99d7303cbb4ea9a2726170c8bd2c8a', 'e386626762ce47d28c31e6da64bf1d6c', 'False', 'True', 'false', 'false', '511921120206', 5, '傲盘寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921120206', 1, '2021-07-19 12:00:27', NULL, NULL), (27803, '', '三溪口社区居委会', 'c22e06f2042842fea3ac1375ffce0c0f', 'e386626762ce47d28c31e6da64bf1d6c', 'False', 'True', 'false', 'false', '511921203001', 5, '三溪口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921203001', 1, '2021-07-19 12:00:27', NULL, NULL), (27804, '', '金碑村民委员会', '7cc7ed62e3a94ca5a37d1393bfbaee48', 'e386626762ce47d28c31e6da64bf1d6c', 'False', 'True', 'false', 'false', '511921203201', 5, '金碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921203201', 1, '2021-07-19 12:00:27', NULL, NULL), (27805, '', '纳溪坝村民委员会', '033f5c0940ef49f497eebe1fa1ffa032', 'e386626762ce47d28c31e6da64bf1d6c', 'False', 'True', 'false', 'false', '511921203202', 5, '纳溪坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921203202', 1, '2021-07-19 12:00:27', NULL, NULL), (27806, '', '桅杆村民委员会', 'cd860e7be5474f629951856e285c99dc', 'e386626762ce47d28c31e6da64bf1d6c', 'False', 'True', 'false', 'false', '511921203203', 5, '桅杆坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921203203', 1, '2021-07-19 12:00:27', NULL, NULL), (27807, '', '永乐村民委员会', 'ac64061c6691406680e36b477082180a', 'e386626762ce47d28c31e6da64bf1d6c', 'False', 'True', 'false', 'false', '511921203204', 5, '永乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921203204', 1, '2021-07-19 12:00:27', NULL, NULL), (27808, '', '通江县春在镇人民政府', 'ac90568d2b0f43a1ad3da70bf5bf20dc', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921206000', 4, '春在镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921206000', 1, '2021-07-19 12:00:27', NULL, NULL), (27809, '', '擂鼓寨村民委员会', 'feadbc543aa748db9f5d4a04afe2e22d', 'ac90568d2b0f43a1ad3da70bf5bf20dc', 'False', 'True', 'false', 'false', '511921206200', 5, '擂鼓寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921206200', 1, '2021-07-19 12:00:27', NULL, NULL), (27810, '', '棋子顶村民委员会', '8da09ecf692e4b72b706b71ef586e924', 'ac90568d2b0f43a1ad3da70bf5bf20dc', 'False', 'True', 'false', 'false', '511921206201', 5, '棋子顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921206201', 1, '2021-07-19 12:00:27', NULL, NULL), (27811, '', '秦家岭村民委员会', 'd42ec2229e3541b48fbe9382e545cf7f', 'ac90568d2b0f43a1ad3da70bf5bf20dc', 'False', 'True', 'false', 'false', '511921206202', 5, '秦家岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921206202', 1, '2021-07-19 12:00:27', NULL, NULL), (27812, '', '向家营村民委员会', '68350306777640c38b1fc9dd539b6f76', 'ac90568d2b0f43a1ad3da70bf5bf20dc', 'False', 'True', 'false', 'false', '511921206203', 5, '向家营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921206203', 1, '2021-07-19 12:00:27', NULL, NULL), (27813, '', '文笔村民委员会', '90775c28c16441fcb38264b96b95ee7c', 'ac90568d2b0f43a1ad3da70bf5bf20dc', 'False', 'True', 'false', 'false', '511921206208', 5, '文笔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921206208', 1, '2021-07-19 12:00:27', NULL, NULL), (27814, '', '钥匙坡村民委员会', 'a33c665cd3e5426793ce9ac9882ce142', 'ac90568d2b0f43a1ad3da70bf5bf20dc', 'False', 'True', 'false', 'false', '511921206209', 5, '钥匙坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921206209', 1, '2021-07-19 12:00:27', NULL, NULL), (27815, '', '通江县唱歌镇人民政府', '665624afca0843e6af5ae9ba2016d9be', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921209000', 4, '唱歌镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921209000', 1, '2021-07-19 12:00:27', NULL, NULL), (27816, '', '金龙村民委员会', '297a2344ec2e4f83a14f97d0eeb05f6d', '665624afca0843e6af5ae9ba2016d9be', 'False', 'False', 'false', 'false', '511921124200', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921124200', 1, '2021-07-19 12:00:27', NULL, NULL), (27817, '', '钟山岭村民委员会', 'dc5f4052cdf3498bbb979ec7a8f60325', '665624afca0843e6af5ae9ba2016d9be', 'False', 'False', 'false', 'false', '511921124201', 5, '钟山岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921124201', 1, '2021-07-19 12:00:28', NULL, NULL), (27818, '', '东汇村民委员会', '915a359ab52e4868bd2dc1c3036c0932', '665624afca0843e6af5ae9ba2016d9be', 'False', 'False', 'false', 'false', '511921124202', 5, '东汇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921124202', 1, '2021-07-19 12:00:28', NULL, NULL), (27819, '', '青山村民委员会', '86c3b483703a460b96f487d1c42a8b2e', '665624afca0843e6af5ae9ba2016d9be', 'False', 'False', 'false', 'false', '511921124203', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921124203', 1, '2021-07-19 12:00:28', NULL, NULL), (27820, '', '俞家河村民委员会', '31a94d35b0874c2a81cbdb6543131fa3', '665624afca0843e6af5ae9ba2016d9be', 'False', 'False', 'false', 'false', '511921124204', 5, '俞家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921124204', 1, '2021-07-19 12:00:28', NULL, NULL), (27821, '', '樱桃村民委员会', '8d15681a85cd467fa7db6d07b2f8195a', '665624afca0843e6af5ae9ba2016d9be', 'False', 'False', 'false', 'false', '511921124205', 5, '樱桃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921124205', 1, '2021-07-19 12:00:28', NULL, NULL), (27822, '', '文家山村民委员会', '715181a5782e4a198dfc192dc9275ad7', '665624afca0843e6af5ae9ba2016d9be', 'False', 'False', 'false', 'false', '511921124206', 5, '文家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921124206', 1, '2021-07-19 12:00:28', NULL, NULL), (27823, '', '千鱼沟村民委员会', 'ce87bf40635446288d23f0e87a49c3b4', '665624afca0843e6af5ae9ba2016d9be', 'False', 'False', 'false', 'false', '511921124207', 5, '千鱼沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921124207', 1, '2021-07-19 12:00:28', NULL, NULL), (27824, '', '唱歌郎村民委员会', 'ad24b07fb2014e32b47fb0b888cf6646', '665624afca0843e6af5ae9ba2016d9be', 'False', 'False', 'false', 'false', '511921124208', 5, '唱歌郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921124208', 1, '2021-07-19 12:00:28', NULL, NULL), (27825, '', '转坪村民委员会', '07838f352f6641d4b0d532be09377795', '665624afca0843e6af5ae9ba2016d9be', 'False', 'False', 'false', 'false', '511921124209', 5, '转坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921124209', 1, '2021-07-19 12:00:28', NULL, NULL), (27826, '', '马坪村民委员会', '9b1f8cba040a4f93927cae3d10a10984', '665624afca0843e6af5ae9ba2016d9be', 'False', 'False', 'false', 'false', '511921124210', 5, '马坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921124210', 1, '2021-07-19 12:00:28', NULL, NULL), (27827, '', '通江县松溪乡人民政府', 'f5f57607cde54bcc8162ddb36becf1f2', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921214000', 4, '松溪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921214000', 1, '2021-07-19 12:00:28', NULL, NULL), (27828, '', '中林村民委员会', 'c82c70a0d11a4df8a40a0af3d612ab41', 'f5f57607cde54bcc8162ddb36becf1f2', 'False', 'False', 'false', 'false', '511921214210', 5, '中林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921214210', 1, '2021-07-19 12:00:28', NULL, NULL), (27829, '', '祝家湾村民委员会', 'fda9797a7f9f416dab5348643c5fb6ef', 'f5f57607cde54bcc8162ddb36becf1f2', 'False', 'True', 'false', 'false', '511921214200', 5, '祝家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921214200', 1, '2021-07-19 12:00:28', NULL, NULL), (27830, '', '回龙场村民委员会', '0cf57941a1ef412984563d5661ddf49d', 'f5f57607cde54bcc8162ddb36becf1f2', 'False', 'True', 'false', 'false', '511921214202', 5, '回龙场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921214202', 1, '2021-07-19 12:00:28', NULL, NULL), (27831, '', '祭田坝村民委员会', 'e3b8699949f54d308921dd8052aa8dc2', 'f5f57607cde54bcc8162ddb36becf1f2', 'False', 'True', 'false', 'false', '511921214203', 5, '祭田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921214203', 1, '2021-07-19 12:00:28', NULL, NULL), (27832, '', '杨家沟村民委员会', 'a8070a64dba7458c9e668fd4b3038a2d', 'f5f57607cde54bcc8162ddb36becf1f2', 'False', 'True', 'false', 'false', '511921214204', 5, '杨家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921214204', 1, '2021-07-19 12:00:28', NULL, NULL), (27833, '', '石缸坪村民委员会', 'd4094579b42845d7bbaa5fdfe8529a44', 'f5f57607cde54bcc8162ddb36becf1f2', 'False', 'True', 'false', 'false', '511921214208', 5, '石缸坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921214208', 1, '2021-07-19 12:00:28', NULL, NULL), (27834, '', '通江县胜利乡人民政府', 'a937e2d7d1f947dfb45c65aaa67e8846', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921216000', 4, '胜利乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921216000', 1, '2021-07-19 12:00:28', NULL, NULL), (27835, '', '大营村民委员会', 'b245cddf6bc843d7b9fb4d3d5f18cc08', 'a937e2d7d1f947dfb45c65aaa67e8846', 'False', 'True', 'false', 'false', '511921216200', 5, '大营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921216200', 1, '2021-07-19 12:00:29', NULL, NULL), (27836, '', '观音堂村民委员会', '3011794566494ff1a858e0fbab015487', 'a937e2d7d1f947dfb45c65aaa67e8846', 'False', 'True', 'false', 'false', '511921216202', 5, '观音堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921216202', 1, '2021-07-19 12:00:29', NULL, NULL), (27837, '', '马营台村民委员会', '50e304d3b4184c45bf6c1119a5ec0351', 'a937e2d7d1f947dfb45c65aaa67e8846', 'False', 'True', 'false', 'false', '511921216205', 5, '马营台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921216205', 1, '2021-07-19 12:00:29', NULL, NULL), (27838, '', '迪坪村民委员会', '0099708d104149b7b9972e580df2468a', 'a937e2d7d1f947dfb45c65aaa67e8846', 'False', 'True', 'false', 'false', '511921216206', 5, '迪坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921216206', 1, '2021-07-19 12:00:29', NULL, NULL), (27839, '', '青龙山村民委员会', '578aafe5fbc94012a772caa7b6bfe5c3', 'a937e2d7d1f947dfb45c65aaa67e8846', 'False', 'True', 'false', 'false', '511921216208', 5, '青龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921216208', 1, '2021-07-19 12:00:29', NULL, NULL), (27840, '', '瓦窑坪村民委员会', '03c76671247f4b508483c64adfbe7bdf', 'a937e2d7d1f947dfb45c65aaa67e8846', 'False', 'True', 'false', 'false', '511921216209', 5, '瓦窑坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921216209', 1, '2021-07-19 12:00:29', NULL, NULL), (27841, '', '通江县兴隆镇人民政府', 'ed627ab6a4764fefb6699b242797a9d0', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921219000', 4, '兴隆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921219000', 1, '2021-07-19 12:00:29', NULL, NULL), (27842, '', '翰林村民委员会', '71b2544e9f044da1a317134171417726', 'ed627ab6a4764fefb6699b242797a9d0', 'False', 'True', 'false', 'false', '511921127200', 5, '翰林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921127200', 1, '2021-07-19 12:00:29', NULL, NULL), (27843, '', '兴隆村民委员会', '5e2d93870bea4ff3af5458d3fbf366e3', 'ed627ab6a4764fefb6699b242797a9d0', 'False', 'True', 'false', 'false', '511921127201', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921127201', 1, '2021-07-19 12:00:29', NULL, NULL), (27844, '', '安坪村民委员会', '5455372bc19b469d9ea8e9dd489f0d40', 'ed627ab6a4764fefb6699b242797a9d0', 'False', 'True', 'false', 'false', '511921127205', 5, '安坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921127205', 1, '2021-07-19 12:00:29', NULL, NULL), (27845, '', '兴隆场社区居委会', '73ecaab01064405d8387a6ee4bf7d184', 'ed627ab6a4764fefb6699b242797a9d0', 'False', 'True', 'false', 'false', '511921219001', 5, '兴隆场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921219001', 1, '2021-07-19 12:00:29', NULL, NULL), (27846, '', '三角村民委员会', '8ec5d4ed2b5f458696e435cdf958ab99', 'ed627ab6a4764fefb6699b242797a9d0', 'False', 'True', 'false', 'false', '511921219204', 5, '三角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921219204', 1, '2021-07-19 12:00:29', NULL, NULL), (27847, '', '白云村民委员会', '9a9007c4936545e39df675cb70746a96', 'ed627ab6a4764fefb6699b242797a9d0', 'False', 'True', 'false', 'false', '511921219209', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921219209', 1, '2021-07-19 12:00:29', NULL, NULL), (27848, '', '五狮村民委员会', '586b24ab8126471b856a895c8e48d058', 'ed627ab6a4764fefb6699b242797a9d0', 'False', 'True', 'false', 'false', '511921219210', 5, '五狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921219210', 1, '2021-07-19 12:00:29', NULL, NULL), (27849, '', '通江县毛浴镇人民政府', '0460b6a6d36345d9aa3a3918da95c5ec', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921220000', 4, '毛浴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921220000', 1, '2021-07-19 12:00:29', NULL, NULL), (27850, '', '药铺村民委员会', '5c9883d3dd7443c08dcf4ae0d3c6ecf6', '0460b6a6d36345d9aa3a3918da95c5ec', 'False', 'True', 'false', 'false', '511921114216', 5, '药铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921114216', 1, '2021-07-19 12:00:29', NULL, NULL), (27851, '', '毛浴社区居委会', '46948e40a5064c00b3a4349def3b97d1', '0460b6a6d36345d9aa3a3918da95c5ec', 'False', 'True', 'false', 'false', '511921220001', 5, '毛浴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921220001', 1, '2021-07-19 12:00:29', NULL, NULL), (27852, '', '朝阳村民委员会', 'a7c2dc09355b419bbade9fb11c7e5180', '0460b6a6d36345d9aa3a3918da95c5ec', 'False', 'True', 'false', 'false', '511921220201', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921220201', 1, '2021-07-19 12:00:29', NULL, NULL), (27853, '', '龙溪村民委员会', '73e58d62092843a7b920b3e86074b873', '0460b6a6d36345d9aa3a3918da95c5ec', 'False', 'True', 'false', 'false', '511921220204', 5, '龙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921220204', 1, '2021-07-19 12:00:29', NULL, NULL), (27854, '', '迎春村民委员会', 'c2e81335464a49e4bc84a6042aba5703', '0460b6a6d36345d9aa3a3918da95c5ec', 'False', 'True', 'false', 'false', '511921220205', 5, '迎春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921220205', 1, '2021-07-19 12:00:29', NULL, NULL), (27855, '', '浴江村民委员会', '1deea7aba4084a368c0266dfaf41680f', '0460b6a6d36345d9aa3a3918da95c5ec', 'False', 'True', 'false', 'false', '511921220206', 5, '浴江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921220206', 1, '2021-07-19 12:00:29', NULL, NULL), (27856, '', '干溪村民委员会', '3d790c182cbb450e965a7611572b7d72', '0460b6a6d36345d9aa3a3918da95c5ec', 'False', 'True', 'false', 'false', '511921220210', 5, '干溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921220210', 1, '2021-07-19 12:00:30', NULL, NULL), (27857, '', '天兴村民委员会', '1741d557c92941908cd1046418edea32', '0460b6a6d36345d9aa3a3918da95c5ec', 'False', 'True', 'false', 'false', '511921220212', 5, '天兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921220212', 1, '2021-07-19 12:00:30', NULL, NULL), (27858, '', '通江县泥溪镇人民政府', 'e7ba4d431a0e4b8bada584d948fbc4de', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921221000', 4, '泥溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921221000', 1, '2021-07-19 12:00:30', NULL, NULL), (27859, '', '泥溪场社区居委会', '6ddf7cd55a394f6f94682a2f081c4cb9', 'e7ba4d431a0e4b8bada584d948fbc4de', 'False', 'True', 'false', 'false', '511921221001', 5, '泥溪场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921221001', 1, '2021-07-19 12:00:30', NULL, NULL), (27860, '', '郭家坪村民委员会', '7e248af59ed247dbb498f88a020217c0', 'e7ba4d431a0e4b8bada584d948fbc4de', 'False', 'True', 'false', 'false', '511921221203', 5, '郭家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921221203', 1, '2021-07-19 12:00:30', NULL, NULL), (27861, '', '后湾村民委员会', '3bd4af3bf78d41b691e225610eec6e09', 'e7ba4d431a0e4b8bada584d948fbc4de', 'False', 'True', 'false', 'false', '511921221204', 5, '后湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921221204', 1, '2021-07-19 12:00:30', NULL, NULL), (27862, '', '景家湾村民委员会', '40eac6d5aee34d65a5ab945cb9f07958', 'e7ba4d431a0e4b8bada584d948fbc4de', 'False', 'True', 'false', 'false', '511921221205', 5, '景家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921221205', 1, '2021-07-19 12:00:30', NULL, NULL), (27863, '', '梨园坝村民委员会', 'f68d21c95d4a43aabc3f46afab6495b0', 'e7ba4d431a0e4b8bada584d948fbc4de', 'False', 'True', 'false', 'false', '511921221206', 5, '梨园坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921221206', 1, '2021-07-19 12:00:30', NULL, NULL), (27864, '', '马家沟村民委员会', '24a81520803a49e5a0b0e1e65020205e', 'e7ba4d431a0e4b8bada584d948fbc4de', 'False', 'True', 'false', 'false', '511921221207', 5, '马家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921221207', 1, '2021-07-19 12:00:30', NULL, NULL), (27865, '', '大柏树村民委员会', '78665b43901644cbae86d4523726096b', 'e7ba4d431a0e4b8bada584d948fbc4de', 'False', 'True', 'false', 'false', '511921221782', 5, '大柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921221782', 1, '2021-07-19 12:00:30', NULL, NULL), (27866, '', '通江县烟溪镇人民政府', '9f5e51136cfd44f8bd4372e9ec959ee5', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921222000', 4, '烟溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921222000', 1, '2021-07-19 12:00:30', NULL, NULL), (27867, '', '大印寨村民委员会', '1523d858c3ec4eb7b91c1064a8bacf9a', '9f5e51136cfd44f8bd4372e9ec959ee5', 'False', 'True', 'false', 'false', '511921128201', 5, '大印寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921128201', 1, '2021-07-19 12:00:30', NULL, NULL), (27868, '', '钟凤村民委员会', 'c20e54cbf6eb417d93c6ffcec2840467', '9f5e51136cfd44f8bd4372e9ec959ee5', 'False', 'True', 'false', 'false', '511921128202', 5, '钟凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921128202', 1, '2021-07-19 12:00:30', NULL, NULL), (27869, '', '烟溪场社区居委会', 'bbd09fb4899b4df48a2dbb26e63c0b3a', '9f5e51136cfd44f8bd4372e9ec959ee5', 'False', 'True', 'false', 'false', '511921222001', 5, '烟溪场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921222001', 1, '2021-07-19 12:00:30', NULL, NULL), (27870, '', '白雪垭村民委员会', 'bc583f092927450fa1fefdc2abedd8b4', '9f5e51136cfd44f8bd4372e9ec959ee5', 'False', 'True', 'false', 'false', '511921222200', 5, '白雪垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921222200', 1, '2021-07-19 12:00:30', NULL, NULL), (27871, '', '罗张窝村民委员会', '8e2ae53286554d6fb586d160084862c4', '9f5e51136cfd44f8bd4372e9ec959ee5', 'False', 'True', 'false', 'false', '511921222201', 5, '罗张窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921222201', 1, '2021-07-19 12:00:31', NULL, NULL), (27872, '', '烟溪村民委员会', '8271c9e3fade4e01a6ca5e39954402fb', '9f5e51136cfd44f8bd4372e9ec959ee5', 'False', 'True', 'false', 'false', '511921222203', 5, '烟溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921222203', 1, '2021-07-19 12:00:31', NULL, NULL), (27873, '', '文家河村民委员会', 'ad404ab7dcc945b7844823b6d5c9bc15', '9f5e51136cfd44f8bd4372e9ec959ee5', 'False', 'True', 'false', 'false', '511921222209', 5, '文家河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921222209', 1, '2021-07-19 12:00:31', NULL, NULL), (27874, '', '通江县长坪镇人民政府', 'f7fbb7f7b21a4e24bfe2b33ba4a63912', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921225000', 4, '长坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921225000', 1, '2021-07-19 12:00:31', NULL, NULL), (27875, '', '长坪社区居委会', '33681eb809a4419f95675db1ee785de1', 'f7fbb7f7b21a4e24bfe2b33ba4a63912', 'False', 'True', 'false', 'false', '511921225001', 5, '长坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921225001', 1, '2021-07-19 12:00:31', NULL, NULL), (27876, '', '北斗坪村民委员会', '00215137f09a4c8bb0a82e6c27c238c4', 'f7fbb7f7b21a4e24bfe2b33ba4a63912', 'False', 'True', 'false', 'false', '511921225200', 5, '北斗坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921225200', 1, '2021-07-19 12:00:31', NULL, NULL), (27877, '', '景家营村民委员会', 'd5f952b0a862435e8b9ead0362b12a94', 'f7fbb7f7b21a4e24bfe2b33ba4a63912', 'False', 'True', 'false', 'false', '511921225202', 5, '景家营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921225202', 1, '2021-07-19 12:00:31', NULL, NULL), (27878, '', '薛家坪村民委员会', '4b859ccdffcd4f6f9d0517171bd9ba50', 'f7fbb7f7b21a4e24bfe2b33ba4a63912', 'False', 'True', 'false', 'false', '511921225204', 5, '薛家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921225204', 1, '2021-07-19 12:00:31', NULL, NULL), (27879, '', '勇山坡村民委员会', 'ec14ae373d30448488b2870a6d7e6568', 'f7fbb7f7b21a4e24bfe2b33ba4a63912', 'False', 'True', 'false', 'false', '511921225205', 5, '勇山坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921225205', 1, '2021-07-19 12:00:31', NULL, NULL), (27880, '', '云雾山村民委员会', 'a84f156e868f49b696096eb46d530c5e', 'f7fbb7f7b21a4e24bfe2b33ba4a63912', 'False', 'True', 'false', 'false', '511921225206', 5, '云雾山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921225206', 1, '2021-07-19 12:00:31', NULL, NULL), (27881, '', '春溪沟村民委员会', '0617401c6731449bba643497a99fef8d', 'f7fbb7f7b21a4e24bfe2b33ba4a63912', 'False', 'True', 'false', 'false', '511921225208', 5, '春溪沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921225208', 1, '2021-07-19 12:00:31', NULL, NULL), (27882, '', '东坡村民委员会', 'f8a1083802864ab792cfa7117287223b', 'f7fbb7f7b21a4e24bfe2b33ba4a63912', 'False', 'True', 'false', 'false', '511921225209', 5, '东坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921225209', 1, '2021-07-19 12:00:31', NULL, NULL), (27883, '', '西坡村民委员会', 'a489236532754464bf6c8a42ae1b9adc', 'f7fbb7f7b21a4e24bfe2b33ba4a63912', 'False', 'True', 'false', 'false', '511921225211', 5, '西坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921225211', 1, '2021-07-19 12:00:31', NULL, NULL), (27884, '', '新店子村民委员会', '8b12dbe192da452f984626dc9c3a6bb8', 'f7fbb7f7b21a4e24bfe2b33ba4a63912', 'False', 'True', 'false', 'false', '511921225212', 5, '新店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921225212', 1, '2021-07-19 12:00:32', NULL, NULL), (27885, '', '小蕨坪村民委员会', 'a12f2d0a163c49ddbb49dd1ba82ecc50', 'f7fbb7f7b21a4e24bfe2b33ba4a63912', 'False', 'True', 'false', 'false', '511921225213', 5, '小蕨坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921225213', 1, '2021-07-19 12:00:32', NULL, NULL), (27886, '', '通江县两河口镇人民政府', '63460932ac9c47889e60ffa959ddc50c', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921226000', 4, '两河口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921226000', 1, '2021-07-19 12:00:32', NULL, NULL), (27887, '', '两河口村民委员会', '628b998aaf444ea4aa94589b4a05dd85', '63460932ac9c47889e60ffa959ddc50c', 'False', 'True', 'false', 'false', '511921226200', 5, '两河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921226200', 1, '2021-07-19 12:00:32', NULL, NULL), (27888, '', '柏林包村民委员会', 'cd00e88fb5984b66a2e9fcc94c1b7dcb', '63460932ac9c47889e60ffa959ddc50c', 'False', 'True', 'false', 'false', '511921226201', 5, '柏林包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921226201', 1, '2021-07-19 12:00:32', NULL, NULL), (27889, '', '二里坝村民委员会', '9699684f58e14556bfb0bb8f0994f8a8', '63460932ac9c47889e60ffa959ddc50c', 'False', 'True', 'false', 'false', '511921226202', 5, '二里坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921226202', 1, '2021-07-19 12:00:32', NULL, NULL), (27890, '', '龙头寨村民委员会', 'f91c661c9c0a4ef8872375bfd6f98682', '63460932ac9c47889e60ffa959ddc50c', 'False', 'True', 'false', 'false', '511921226203', 5, '龙头寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921226203', 1, '2021-07-19 12:00:32', NULL, NULL), (27891, '', '木诺槽村民委员会', '26e026c9159045f9bbac1fdff16d4a2b', '63460932ac9c47889e60ffa959ddc50c', 'False', 'True', 'false', 'false', '511921226205', 5, '木诺槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921226205', 1, '2021-07-19 12:00:32', NULL, NULL), (27892, '', '三官庙村民委员会', 'ef4b26706bbe4406ba76b0f36794656c', '63460932ac9c47889e60ffa959ddc50c', 'False', 'True', 'false', 'false', '511921226207', 5, '三官庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921226207', 1, '2021-07-19 12:00:32', NULL, NULL), (27893, '', '长坡村民委员会', '1e79a5ede96b4ae3868804f516750505', '63460932ac9c47889e60ffa959ddc50c', 'False', 'True', 'false', 'false', '511921226209', 5, '长坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921226209', 1, '2021-07-19 12:00:32', NULL, NULL), (27894, '', '鞍子村民委员会', '6359b4a503ad421188ff1df8e52af45a', '63460932ac9c47889e60ffa959ddc50c', 'False', 'True', 'false', 'false', '511921226210', 5, '鞍子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921226210', 1, '2021-07-19 12:00:32', NULL, NULL), (27895, '', '白玉村民委员会', 'fe8a484d0b814bae9880e3008c8a73cd', '63460932ac9c47889e60ffa959ddc50c', 'False', 'True', 'false', 'false', '511921226211', 5, '白玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921226211', 1, '2021-07-19 12:00:32', NULL, NULL), (27896, '', '通江县空山镇人民政府', '1c780bd7babd4199845f2596da3c2f5d', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921227000', 4, '空山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921227000', 1, '2021-07-19 12:00:32', NULL, NULL), (27897, '', '空山坝社区居委会', '11459358ea0d4742a6164fbcb1fc0185', '1c780bd7babd4199845f2596da3c2f5d', 'False', 'True', 'false', 'false', '511921227001', 5, '空山坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921227001', 1, '2021-07-19 12:00:32', NULL, NULL), (27898, '', '中坝村民委员会', '8424055a60b441a1a79de680826a709c', '1c780bd7babd4199845f2596da3c2f5d', 'False', 'True', 'false', 'false', '511921227200', 5, '中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921227200', 1, '2021-07-19 12:00:32', NULL, NULL), (27899, '', '后坝村民委员会', '9fe8843d5a6a45c9986a2fe332624c87', '1c780bd7babd4199845f2596da3c2f5d', 'False', 'True', 'false', 'false', '511921227202', 5, '后坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921227202', 1, '2021-07-19 12:00:32', NULL, NULL), (27900, '', '龙池村民委员会', '2866090a1f6c4ae681985e64a99f4cbb', '1c780bd7babd4199845f2596da3c2f5d', 'False', 'True', 'false', 'false', '511921227203', 5, '龙池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921227203', 1, '2021-07-19 12:00:32', NULL, NULL), (27901, '', '青龙村民委员会', '705a76bd75a3458b8f372c8f469e78ef', '1c780bd7babd4199845f2596da3c2f5d', 'False', 'True', 'false', 'false', '511921227205', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921227205', 1, '2021-07-19 12:00:32', NULL, NULL), (27902, '', '五福村民委员会', '2abf45a78173429f9e49f6a5c6562148', '1c780bd7babd4199845f2596da3c2f5d', 'False', 'True', 'false', 'false', '511921227206', 5, '五福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921227206', 1, '2021-07-19 12:00:32', NULL, NULL), (27903, '', '通江县青峪镇人民政府', '7af3eab0a83f4b518595c9a6d9c514e7', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921228000', 4, '青峪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921228000', 1, '2021-07-19 12:00:32', NULL, NULL), (27904, '', '青龙石村民委员会', '9ab187f14ba041c6bbd9d12507287560', '7af3eab0a83f4b518595c9a6d9c514e7', 'False', 'True', 'false', 'false', '511921126200', 5, '青龙石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921126200', 1, '2021-07-19 12:00:32', NULL, NULL), (27905, '', '青山坪村民委员会', '03827468cea54444b1e96f697ee36605', '7af3eab0a83f4b518595c9a6d9c514e7', 'False', 'True', 'false', 'false', '511921126201', 5, '青山坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921126201', 1, '2021-07-19 12:00:32', NULL, NULL), (27906, '', '青水坝村民委员会', '15788b7140cc456e836407413735e138', '7af3eab0a83f4b518595c9a6d9c514e7', 'False', 'True', 'false', 'false', '511921126202', 5, '青水坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921126202', 1, '2021-07-19 12:00:32', NULL, NULL), (27907, '', '青浴口社区居委会', '483b4c77a2e945288cfbeeeb062284d8', '7af3eab0a83f4b518595c9a6d9c514e7', 'False', 'True', 'false', 'false', '511921228001', 5, '青浴口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921228001', 1, '2021-07-19 12:00:33', NULL, NULL), (27908, '', '鹿角坪村民委员会', '628832d488654bf69815cb0cf910f159', '7af3eab0a83f4b518595c9a6d9c514e7', 'False', 'True', 'false', 'false', '511921228203', 5, '鹿角坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921228203', 1, '2021-07-19 12:00:33', NULL, NULL), (27909, '', '玉坪寨村民委员会', '420d1bcd1d8d42ba943177d0e0b6fc90', '7af3eab0a83f4b518595c9a6d9c514e7', 'False', 'True', 'false', 'false', '511921228207', 5, '玉坪寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921228207', 1, '2021-07-19 12:00:33', NULL, NULL), (27910, '', '垭口梁村民委员会', '749c202ec9cb4569ab940c18a6b58419', '7af3eab0a83f4b518595c9a6d9c514e7', 'False', 'True', 'false', 'false', '511921228209', 5, '垭口梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921228209', 1, '2021-07-19 12:00:33', NULL, NULL), (27911, '', '通江县板桥口镇人民政府', '8eb9d303fec44ad9bdfaa72031b2a0d3', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921229000', 4, '板桥口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921229000', 1, '2021-07-19 12:00:33', NULL, NULL), (27912, '', '砥坝村民委员会', 'c687db1e55bb45bca84571d1fdb18272', '8eb9d303fec44ad9bdfaa72031b2a0d3', 'False', 'True', 'false', 'false', '511921117218', 5, '砥坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921117218', 1, '2021-07-19 12:00:33', NULL, NULL), (27913, '', '板桥口社区居委会', '06eccdee28c245238b09a31dd87d958e', '8eb9d303fec44ad9bdfaa72031b2a0d3', 'False', 'True', 'false', 'false', '511921229001', 5, '板桥口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921229001', 1, '2021-07-19 12:00:33', NULL, NULL), (27914, '', '白果坝村民委员会', '3f00111cbbf84ceaa77b48e90d4e4408', '8eb9d303fec44ad9bdfaa72031b2a0d3', 'False', 'True', 'false', 'false', '511921229200', 5, '白果坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921229200', 1, '2021-07-19 12:00:33', NULL, NULL), (27915, '', '城子山村民委员会', 'e8ec13d4cdfa4e1f901ee625495d6493', '8eb9d303fec44ad9bdfaa72031b2a0d3', 'False', 'True', 'false', 'false', '511921229202', 5, '城子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921229202', 1, '2021-07-19 12:00:33', NULL, NULL), (27916, '', '大铜钱村民委员会', '28287a9cd1cf42beb96c1de979ee02c7', '8eb9d303fec44ad9bdfaa72031b2a0d3', 'False', 'True', 'false', 'false', '511921229203', 5, '大铜钱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921229203', 1, '2021-07-19 12:00:33', NULL, NULL), (27917, '', '大盅岭村民委员会', '7d362cff28a14ff7a3cffe93e5a98561', '8eb9d303fec44ad9bdfaa72031b2a0d3', 'False', 'True', 'false', 'false', '511921229204', 5, '大盅岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921229204', 1, '2021-07-19 12:00:33', NULL, NULL), (27918, '', '高家梁村民委员会', 'd1f4b4460339408b8d6546cdb343883b', '8eb9d303fec44ad9bdfaa72031b2a0d3', 'False', 'True', 'false', 'false', '511921229205', 5, '高家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921229205', 1, '2021-07-19 12:00:33', NULL, NULL), (27919, '', '黄村坪村民委员会', 'd210ec6f65394d1a9bd367746f2582af', '8eb9d303fec44ad9bdfaa72031b2a0d3', 'False', 'True', 'false', 'false', '511921229206', 5, '黄村坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921229206', 1, '2021-07-19 12:00:33', NULL, NULL), (27920, '', '石院子村民委员会', 'b5da2f17f5a049dd80e739a2addc7838', '8eb9d303fec44ad9bdfaa72031b2a0d3', 'False', 'True', 'false', 'false', '511921229209', 5, '石院子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921229209', 1, '2021-07-19 12:00:33', NULL, NULL), (27921, '', '堰流溪村民委员会', 'b2993c2811cd4953ad3cc4a2802e0701', '8eb9d303fec44ad9bdfaa72031b2a0d3', 'False', 'True', 'false', 'false', '511921229210', 5, '堰流溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921229210', 1, '2021-07-19 12:00:33', NULL, NULL), (27922, '', '野茶坝村民委员会', '9ec7a3d5461e4f88a0e3358088e968e3', '8eb9d303fec44ad9bdfaa72031b2a0d3', 'False', 'True', 'false', 'false', '511921229211', 5, '野茶坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921229211', 1, '2021-07-19 12:00:33', NULL, NULL), (27923, '', '茶坝垭村民委员会', 'e404da4779b24019b9d12f66af73349a', '8eb9d303fec44ad9bdfaa72031b2a0d3', 'False', 'True', 'false', 'false', '511921229213', 5, '茶坝垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921229213', 1, '2021-07-19 12:00:33', NULL, NULL), (27924, '', '沙坪里村民委员会', '8e22ce82cdcb4bb5bb6db0a42d299995', '8eb9d303fec44ad9bdfaa72031b2a0d3', 'False', 'True', 'false', 'false', '511921229217', 5, '沙坪里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921229217', 1, '2021-07-19 12:00:33', NULL, NULL), (27925, '', '通江县新场镇人民政府', '8185fea7c7a84fefa5265ea6f2457056', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921231000', 4, '新场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921231000', 1, '2021-07-19 12:00:33', NULL, NULL), (27926, '', '新场坝社区居委会', '9d79c1f055f04b12a896c8e719c20221', '8185fea7c7a84fefa5265ea6f2457056', 'False', 'True', 'false', 'false', '511921231001', 5, '新场坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921231001', 1, '2021-07-19 12:00:33', NULL, NULL), (27927, '', '巴州沟村民委员会', '6b3ef72560474541b5718000b895a788', '8185fea7c7a84fefa5265ea6f2457056', 'False', 'True', 'false', 'false', '511921231200', 5, '巴州沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921231200', 1, '2021-07-19 12:00:33', NULL, NULL), (27928, '', '红岩村民委员会', '268e8ca5ccfd4766b50d2dda39b398ca', '8185fea7c7a84fefa5265ea6f2457056', 'False', 'True', 'false', 'false', '511921231202', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921231202', 1, '2021-07-19 12:00:33', NULL, NULL), (27929, '', '毛村村民委员会', '41b81c12f13b445aa0227a71b726c4c1', '8185fea7c7a84fefa5265ea6f2457056', 'False', 'True', 'false', 'false', '511921231204', 5, '毛村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921231204', 1, '2021-07-19 12:00:34', NULL, NULL), (27930, '', '七家沟村民委员会', '695eabd8262443048dfcba0ea26b42bd', '8185fea7c7a84fefa5265ea6f2457056', 'False', 'True', 'false', 'false', '511921231205', 5, '七家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921231205', 1, '2021-07-19 12:00:34', NULL, NULL), (27931, '', '清江村民委员会', '2a322ec7fe114856bb6076b0d33572ff', '8185fea7c7a84fefa5265ea6f2457056', 'False', 'True', 'false', 'false', '511921231206', 5, '清江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921231206', 1, '2021-07-19 12:00:34', NULL, NULL), (27932, '', '新春村民委员会', '560638ae4f9c43f19abce38ee8963245', '8185fea7c7a84fefa5265ea6f2457056', 'False', 'True', 'false', 'false', '511921231208', 5, '新春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921231208', 1, '2021-07-19 12:00:34', NULL, NULL), (27933, '', '窄口村民委员会', '48c5db39c37a4d2f9a21fafc62a6f35e', '8185fea7c7a84fefa5265ea6f2457056', 'False', 'True', 'false', 'false', '511921231209', 5, '窄口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921231209', 1, '2021-07-19 12:00:34', NULL, NULL), (27934, '', '通江县陈河镇人民政府', '3adf0c8d59694783952ad234f55fef06', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921232000', 4, '陈河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921232000', 1, '2021-07-19 12:00:34', NULL, NULL), (27935, '', '河坝场社区居委会', '64c4a0ae650842668a655e3da49d7cfd', '3adf0c8d59694783952ad234f55fef06', 'False', 'True', 'false', 'false', '511921232001', 5, '河坝场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921232001', 1, '2021-07-19 12:00:34', NULL, NULL), (27936, '', '陈家坝村民委员会', 'f98ff49c1f0249aea4812ff9f59a4e66', '3adf0c8d59694783952ad234f55fef06', 'False', 'True', 'false', 'false', '511921232201', 5, '陈家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921232201', 1, '2021-07-19 12:00:34', NULL, NULL), (27937, '', '河坝场村民委员会', 'f9b82acaf1304160b2ccd60a6a22b538', '3adf0c8d59694783952ad234f55fef06', 'False', 'True', 'false', 'false', '511921232202', 5, '河坝场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921232202', 1, '2021-07-19 12:00:34', NULL, NULL), (27938, '', '母家梁村民委员会', '6a58f64af94e47cb99e33d8b16f33118', '3adf0c8d59694783952ad234f55fef06', 'False', 'True', 'false', 'false', '511921232205', 5, '母家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921232205', 1, '2021-07-19 12:00:34', NULL, NULL), (27939, '', '三溪寺村民委员会', '696641668ede4c28808ce55dbfdcecd6', '3adf0c8d59694783952ad234f55fef06', 'False', 'True', 'false', 'false', '511921232206', 5, '三溪寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921232206', 1, '2021-07-19 12:00:34', NULL, NULL), (27940, '', '西浴溪村民委员会', '665976db94514cb1be6f50174cf57925', '3adf0c8d59694783952ad234f55fef06', 'False', 'True', 'false', 'false', '511921232208', 5, '西浴溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921232208', 1, '2021-07-19 12:00:34', NULL, NULL), (27941, '', '通江县龙凤场镇人民政府', '72f6fae69dc74f46b78a417b52ff608d', '3570e93e1388412a8694b4a51a584859', 'True', 'True', 'false', 'false', '511921438000', 4, '龙凤场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511921438000', 1, '2021-07-19 12:00:34', NULL, NULL), (27942, '', '龙凤村民委员会', '703b8a49db674235b83d1ada3177760d', '72f6fae69dc74f46b78a417b52ff608d', 'False', 'False', 'false', 'false', '511921122215', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921122215', 1, '2021-07-19 12:00:34', NULL, NULL), (27943, '', '红旗村民委员会', '6bc10c092e35457dbbd58f934304c18a', '72f6fae69dc74f46b78a417b52ff608d', 'False', 'False', 'false', 'false', '511921122216', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921122216', 1, '2021-07-19 12:00:34', NULL, NULL), (27944, '', '长乐村民委员会', 'f6506cec2dce4b489cb1b992d1b2948f', '72f6fae69dc74f46b78a417b52ff608d', 'False', 'False', 'false', 'false', '511921122217', 5, '长乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921122217', 1, '2021-07-19 12:00:34', NULL, NULL), (27945, '', '龙凤场社区居委会', '5f2e19ce14354444bbb9ae514af2129d', '72f6fae69dc74f46b78a417b52ff608d', 'False', 'True', 'false', 'false', '511921211001', 5, '龙凤场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921211001', 1, '2021-07-19 12:00:34', NULL, NULL), (27946, '', '长岭村民委员会', 'b3139dedc17a4a7ea276dbb90819f578', '72f6fae69dc74f46b78a417b52ff608d', 'False', 'True', 'false', 'false', '511921211200', 5, '长岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921211200', 1, '2021-07-19 12:00:34', NULL, NULL), (27947, '', '环山村民委员会', '86dac95e19ed49c68f28d2b570323cf3', '72f6fae69dc74f46b78a417b52ff608d', 'False', 'True', 'false', 'false', '511921211203', 5, '环山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921211203', 1, '2021-07-19 12:00:35', NULL, NULL), (27948, '', '两路口村民委员会', '2e96cb3bdb5948fe90bd131878a067e7', '72f6fae69dc74f46b78a417b52ff608d', 'False', 'True', 'false', 'false', '511921211206', 5, '两路口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921211206', 1, '2021-07-19 12:00:35', NULL, NULL), (27949, '', '锣村溪村民委员会', '90f92b5376d54155b3242b3f74b76743', '72f6fae69dc74f46b78a417b52ff608d', 'False', 'True', 'false', 'false', '511921211207', 5, '锣村溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921211207', 1, '2021-07-19 12:00:35', NULL, NULL), (27950, '', '三清店村民委员会', 'c6392848967d4f83ab0f51929d25c97b', '72f6fae69dc74f46b78a417b52ff608d', 'False', 'True', 'false', 'false', '511921211208', 5, '三清店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921211208', 1, '2021-07-19 12:00:35', NULL, NULL), (27951, '', '花山村民委员会', '52676ad5e3cf47e7a5bc69b2c6070ffa', '72f6fae69dc74f46b78a417b52ff608d', 'False', 'True', 'false', 'false', '511921438997', 5, '花山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511921438997', 1, '2021-07-19 12:00:35', NULL, NULL), (27952, '', '平昌县', 'dd853dba279346238da8cecee4132fe9', '60a505e9dfa643e9826902e0810de55f', 'True', 'True', 'false', 'false', '511923000000', 3, '平昌县', 'bzspcx.sczwfw.gov.cn', 1, '2021-07-19 12:00:35', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (27953, '', '金宝街道', '7e67e7c41023428194cc64efa75d94fc', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923002000', 4, '金宝街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923002000', 1, '2021-07-19 12:00:35', NULL, NULL), (27954, '', '六门社区', '5e245a7997884fe08152c94907a9868f', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002001', 5, '六门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002001', 1, '2021-07-19 12:00:35', NULL, NULL), (27955, '', '五马社区', '650d65e76fc54065a8f9f4a5892ac2f3', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002002', 5, '五马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002002', 1, '2021-07-19 12:00:35', NULL, NULL), (27956, '', '尖山社区', '55369ae8059d45778b25de8025c1a46d', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002003', 5, '尖山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002003', 1, '2021-07-19 12:00:35', NULL, NULL), (27957, '', '青云社区', '1fbc37eaaa514b3a89cbc60420bcb734', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002004', 5, '青云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002004', 1, '2021-07-19 12:00:35', NULL, NULL), (27958, '', '太平社区', '2cc4a4eff6a8495297e9c3feed5053d8', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002005', 5, '太平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002005', 1, '2021-07-19 12:00:35', NULL, NULL), (27959, '', '金宝社区', '0739aa266bdc4419928cd587c3f69aae', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002006', 5, '金宝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002006', 1, '2021-07-19 12:00:35', NULL, NULL), (27960, '', '小桥街社区', '9b5c8974350b410e9fda0158f2ac4a65', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002007', 5, '小桥街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002007', 1, '2021-07-19 12:00:35', NULL, NULL), (27961, '', '竹园社区', '7564c20f618047aaacfb785d832cd7fa', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002008', 5, '竹园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002008', 1, '2021-07-19 12:00:35', NULL, NULL), (27962, '', '黄滩坝社区', '7b9538d49c3f40b89089583b8289f1a1', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002009', 5, '黄滩坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002009', 1, '2021-07-19 12:00:35', NULL, NULL), (27963, '', '光辉社区', 'e16a6feae3764d4c92f9d17b03952af8', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002010', 5, '光辉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002010', 1, '2021-07-19 12:00:35', NULL, NULL), (27964, '', '五一社区', '4bea22a9012d4315b4618679d8b48759', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002011', 5, '五一社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002011', 1, '2021-07-19 12:00:35', NULL, NULL), (27965, '', '凌云社区', '84965467447b4cdc809f771e12549bc4', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002012', 5, '凌云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002012', 1, '2021-07-19 12:00:35', NULL, NULL), (27966, '', '百花社区', 'b6c03ad311b74d268858dce7aa492254', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002013', 5, '百花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002013', 1, '2021-07-19 12:00:35', NULL, NULL), (27967, '', '红庙社区', '37dcd094254b4c7c98d649ca77564699', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002014', 5, '红庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002014', 1, '2021-07-19 12:00:35', NULL, NULL), (27968, '', '南家村', '720eef4ff10c4ac2b9edc1518516618b', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002200', 5, '南家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002200', 1, '2021-07-19 12:00:35', NULL, NULL), (27969, '', '太兴村', 'c23316f4ccaf4fc9a7e616ba4fac5318', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002201', 5, '太兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002201', 1, '2021-07-19 12:00:35', NULL, NULL), (27970, '', '石庙村', 'e94ecb91cfab46f38cfd662e714b1fab', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002202', 5, '石庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002202', 1, '2021-07-19 12:00:35', NULL, NULL), (27971, '', '八庙村', '489464c8ef154481a433406699cd6ed6', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002203', 5, '八庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002203', 1, '2021-07-19 12:00:36', NULL, NULL), (27972, '', '九树村', 'fb329799bd5b446b9c7c1303741db7f4', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002204', 5, '九树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002204', 1, '2021-07-19 12:00:36', NULL, NULL), (27973, '', '凉云村', '31765ea4c42f4684a4397e3848308562', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002205', 5, '凉云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002205', 1, '2021-07-19 12:00:36', NULL, NULL), (27974, '', '龙马村', '934c41c95f12431c8fe0005321b85fce', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002206', 5, '龙马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002206', 1, '2021-07-19 12:00:36', NULL, NULL), (27975, '', '苟溪村', '37196d8d99f441fbb24b93e65f1eeb1d', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002207', 5, '苟溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002207', 1, '2021-07-19 12:00:36', NULL, NULL), (27976, '', '七里村', '54180a5ec4d84e4887f08ce18e3dcd49', '7e67e7c41023428194cc64efa75d94fc', 'False', 'True', 'false', 'false', '511923002208', 5, '七里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923002208', 1, '2021-07-19 12:00:36', NULL, NULL), (27977, '', '兰草镇', 'd900fb267f68455c99f27866c95d77b9', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923102000', 4, '兰草镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923102000', 1, '2021-07-19 12:00:36', NULL, NULL), (27978, '', '双柏村', '6943a1f163044a95b77408b68671e1b8', 'd900fb267f68455c99f27866c95d77b9', 'False', 'True', 'false', 'false', '511923102233', 5, '双柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923102233', 1, '2021-07-19 12:00:36', NULL, NULL), (27979, '', '梁铜村', '34cef110ce3c423180458f1484aa45a4', 'd900fb267f68455c99f27866c95d77b9', 'False', 'True', 'false', 'false', '511923102488', 5, '梁铜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923102488', 1, '2021-07-19 12:00:36', NULL, NULL), (27980, '', '三峰村', 'c7da45ce10ff47de97d680361571d324', 'd900fb267f68455c99f27866c95d77b9', 'False', 'True', 'false', 'false', '511923102497', 5, '三峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923102497', 1, '2021-07-19 12:00:36', NULL, NULL), (27981, '', '中仁村', '2ff0ed489ba54153b650554ab7287f7c', 'd900fb267f68455c99f27866c95d77b9', 'False', 'True', 'false', 'false', '511923102525', 5, '中仁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923102525', 1, '2021-07-19 12:00:36', NULL, NULL), (27982, '', '螺蛳村', '83c2b9b7fbdb46e48a0053cfbe1e3de8', 'd900fb267f68455c99f27866c95d77b9', 'False', 'True', 'false', 'false', '511923102530', 5, '螺蛳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923102530', 1, '2021-07-19 12:00:36', NULL, NULL), (27983, '', '五枝村', '44d45b9be4e845d4b436fb7f94a0ad56', 'd900fb267f68455c99f27866c95d77b9', 'False', 'True', 'false', 'false', '511923102713', 5, '五枝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923102713', 1, '2021-07-19 12:00:36', NULL, NULL), (27984, '', '里仁社区', '689b47263ced4ab79f2329566e884ec0', 'd900fb267f68455c99f27866c95d77b9', 'False', 'True', 'false', 'false', '511923102745', 5, '里仁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923102745', 1, '2021-07-19 12:00:36', NULL, NULL), (27985, '', '木阁村', 'ab0aac42605e4d6f80096df9cef7c47c', 'd900fb267f68455c99f27866c95d77b9', 'False', 'True', 'false', 'false', '511923102765', 5, '木阁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923102765', 1, '2021-07-19 12:00:36', NULL, NULL), (27986, '', '兰草社区', 'aae6ac00fbed46d7bed3a4cfe0e80aa5', 'd900fb267f68455c99f27866c95d77b9', 'False', 'True', 'false', 'false', '511923102866', 5, '兰草社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923102866', 1, '2021-07-19 12:00:37', NULL, NULL), (27987, '', '驷马镇', '6b61f8fa0838427eae1a179b5c8acfc8', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923105000', 4, '驷马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923105000', 1, '2021-07-19 12:00:37', NULL, NULL), (27988, '', '陇山社区', 'a9c584d5539745b59f9557a8ab73ffd0', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105150', 5, '陇山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105150', 1, '2021-07-19 12:00:37', NULL, NULL), (27989, '', '五峰村', '879bcefe7653436cbb682988df55780c', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105242', 5, '五峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105242', 1, '2021-07-19 12:00:37', NULL, NULL), (27990, '', '雷山社区', '97e34b48596e4f8993fd80f3805376a8', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105247', 5, '雷山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105247', 1, '2021-07-19 12:00:37', NULL, NULL), (27991, '', '辉煌村', '9c1def7ba61d481c88e2c5c73a9bf6e1', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105423', 5, '辉煌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105423', 1, '2021-07-19 12:00:37', NULL, NULL), (27992, '', '火星村', '2ea48babd719482bb0c5d1dd1753b6e7', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105430', 5, '火星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105430', 1, '2021-07-19 12:00:37', NULL, NULL), (27993, '', '驷马社区', '2ed5e986a48e45a6b5a6ce5734cb7809', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105449', 5, '驷马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105449', 1, '2021-07-19 12:00:37', NULL, NULL), (27994, '', '龙台社区', 'a8431109107344a2aa408d62187729e4', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105531', 5, '龙台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105531', 1, '2021-07-19 12:00:37', NULL, NULL), (27995, '', '茨笆门社区', 'e52600ac994a4fb99bf8806b579450fc', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105539', 5, '茨笆门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105539', 1, '2021-07-19 12:00:37', NULL, NULL), (27996, '', '插旗村', '5717d252c4a64e90984d5ebde5f4aa8e', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105540', 5, '插旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105540', 1, '2021-07-19 12:00:37', NULL, NULL), (27997, '', '创举社区', '31076adc98be4ab99a16f8feb7ba553e', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105585', 5, '创举社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105585', 1, '2021-07-19 12:00:37', NULL, NULL), (27998, '', '百山村', '37541f94356c497e9b6e122d3f25dde6', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105594', 5, '百山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105594', 1, '2021-07-19 12:00:37', NULL, NULL), (27999, '', '高升社区', '20f539c6f5fa448eb3a8524590b9ddc8', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105619', 5, '高升社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105619', 1, '2021-07-19 12:00:37', NULL, NULL), (28000, '', '双鹿社区', '8d8673edfb8e42aea275fbacc25777ee', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105651', 5, '双鹿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105651', 1, '2021-07-19 12:00:37', NULL, NULL), (28001, '', '桃花村', '44ae20619ea24c6cbf46f32ee8b0577d', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105693', 5, '桃花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105693', 1, '2021-07-19 12:00:37', NULL, NULL), (28002, '', '金坪村', '455160f98bb04d0b9611396ecc460f7b', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105706', 5, '金坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105706', 1, '2021-07-19 12:00:38', NULL, NULL), (28003, '', '当先社区', 'e07822f0b82a44ad842d79eaeb6ccecc', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105734', 5, '当先社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105734', 1, '2021-07-19 12:00:38', NULL, NULL), (28004, '', '双城村', 'b2ad586af5544de8862ada72be112fbd', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105826', 5, '双城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105826', 1, '2021-07-19 12:00:38', NULL, NULL), (28005, '', '天生社区', 'd7ddaa8e96ec4ae68ea60b0e001e90cf', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105835', 5, '天生社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105835', 1, '2021-07-19 12:00:38', NULL, NULL), (28006, '', '鹿峰村', '768c109e257045bf8b1bc30fedf57211', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105863', 5, '鹿峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105863', 1, '2021-07-19 12:00:38', NULL, NULL), (28007, '', '民众社区', 'd34ee74ba861447b93f87ea16ec93009', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105866', 5, '民众社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105866', 1, '2021-07-19 12:00:38', NULL, NULL), (28008, '', '文明村', '6e3e20fdd57e46cfb64da34ca02e63ca', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105909', 5, '文明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105909', 1, '2021-07-19 12:00:38', NULL, NULL), (28009, '', '真茂社区', 'ba8ae8195d0c4761829a25a454a3243d', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105922', 5, '真茂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105922', 1, '2021-07-19 12:00:38', NULL, NULL), (28010, '', '鲜花村', '9c90f1bc3e9741e3809077db3f898508', '6b61f8fa0838427eae1a179b5c8acfc8', 'False', 'True', 'false', 'false', '511923105938', 5, '鲜花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923105938', 1, '2021-07-19 12:00:38', NULL, NULL), (28011, '', '大寨镇', '214bb4d0f08d46fab32ffe02439495b9', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923186000', 4, '大寨镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923186000', 1, '2021-07-19 12:00:38', NULL, NULL), (28012, '', '福申社区', '6536a3f4a2fe4f42b7696cc9c0c7f0f9', '214bb4d0f08d46fab32ffe02439495b9', 'False', 'True', 'false', 'false', '511923126003', 5, '福申社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923126003', 1, '2021-07-19 12:00:38', NULL, NULL), (28013, '', '开泰村', '4aa8428b61f74aca9ee61143fe94444f', '214bb4d0f08d46fab32ffe02439495b9', 'False', 'True', 'false', 'false', '511923126212', 5, '开泰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923126212', 1, '2021-07-19 12:00:38', NULL, NULL), (28014, '', '映红村', 'aa79edd498ce461eb36c8a6ba7d63952', '214bb4d0f08d46fab32ffe02439495b9', 'False', 'True', 'false', 'false', '511923186143', 5, '映红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923186143', 1, '2021-07-19 12:00:38', NULL, NULL), (28015, '', '宝堡村', '3fa864c148ed49c8bf558059fa5bff14', '214bb4d0f08d46fab32ffe02439495b9', 'False', 'True', 'false', 'false', '511923186190', 5, '宝堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923186190', 1, '2021-07-19 12:00:38', NULL, NULL), (28016, '', '金桥村', 'f1b99bfa4fcc4f45ae6f56ec61460fda', '214bb4d0f08d46fab32ffe02439495b9', 'False', 'True', 'false', 'false', '511923186324', 5, '金桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923186324', 1, '2021-07-19 12:00:38', NULL, NULL), (28017, '', '双溪村', '1c0420a602bd46cb9988d265c27964cb', '214bb4d0f08d46fab32ffe02439495b9', 'False', 'True', 'false', 'false', '511923186726', 5, '双溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923186726', 1, '2021-07-19 12:00:38', NULL, NULL), (28018, '', '大寨社区', '3cc03487ecf64f8b962b32fd2cd902fc', '214bb4d0f08d46fab32ffe02439495b9', 'False', 'True', 'false', 'false', '511923186798', 5, '大寨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923186798', 1, '2021-07-19 12:00:38', NULL, NULL), (28019, '', '金龙社区', 'b9e5f9b8119c43aaa522ac775d843720', '214bb4d0f08d46fab32ffe02439495b9', 'False', 'True', 'false', 'false', '511923186949', 5, '金龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923186949', 1, '2021-07-19 12:00:38', NULL, NULL), (28020, '', '保安村', 'e2921c7be76c46d3851635dc54d6909d', '214bb4d0f08d46fab32ffe02439495b9', 'False', 'True', 'false', 'false', '511923186978', 5, '保安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923186978', 1, '2021-07-19 12:00:38', NULL, NULL), (28021, '', '云台镇', '1384442715cd4a888e1d6e6189cdbd29', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923203000', 4, '云台镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923203000', 1, '2021-07-19 12:00:38', NULL, NULL), (28022, '', '鞍山村', '48b5ceceeaa1416593f39319626fa4b3', '1384442715cd4a888e1d6e6189cdbd29', 'False', 'True', 'false', 'false', '511923203165', 5, '鞍山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923203165', 1, '2021-07-19 12:00:38', NULL, NULL), (28023, '', '金山村', '1b4ef036f2654ebaaeb4b3567155bdcc', '1384442715cd4a888e1d6e6189cdbd29', 'False', 'True', 'false', 'false', '511923203200', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923203200', 1, '2021-07-19 12:00:38', NULL, NULL), (28024, '', '高顶村', 'c7dfac2134d845e399b23c4311c3326e', '1384442715cd4a888e1d6e6189cdbd29', 'False', 'True', 'false', 'false', '511923203222', 5, '高顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923203222', 1, '2021-07-19 12:00:39', NULL, NULL), (28025, '', '五台村', '9a1e807929ac4c43b4bfd5a278e26780', '1384442715cd4a888e1d6e6189cdbd29', 'False', 'True', 'false', 'false', '511923203227', 5, '五台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923203227', 1, '2021-07-19 12:00:39', NULL, NULL), (28026, '', '老官庙社区', '47e7047654d34d7ba8e2372a7c25ef04', '1384442715cd4a888e1d6e6189cdbd29', 'False', 'True', 'false', 'false', '511923203265', 5, '老官庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923203265', 1, '2021-07-19 12:00:39', NULL, NULL), (28027, '', '沿溪村', '2c6625d335d742309d489462037297cd', '1384442715cd4a888e1d6e6189cdbd29', 'False', 'True', 'false', 'false', '511923203285', 5, '沿溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923203285', 1, '2021-07-19 12:00:39', NULL, NULL), (28028, '', '福乐村', 'bdf2db1374284b5faeca70374e6388ac', '1384442715cd4a888e1d6e6189cdbd29', 'False', 'True', 'false', 'false', '511923203286', 5, '福乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923203286', 1, '2021-07-19 12:00:39', NULL, NULL), (28029, '', '澌滩社区', 'c07e602c19ac4c3984b7858491491947', '1384442715cd4a888e1d6e6189cdbd29', 'False', 'True', 'false', 'false', '511923203523', 5, '澌滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923203523', 1, '2021-07-19 12:00:39', NULL, NULL), (28030, '', '胜利村', '6f2e0451fdfe4bde9133a0313c8233cb', '1384442715cd4a888e1d6e6189cdbd29', 'False', 'True', 'false', 'false', '511923203611', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923203611', 1, '2021-07-19 12:00:39', NULL, NULL), (28031, '', '海山社区', 'bc012cfd238f4f8589872c4d44114502', '1384442715cd4a888e1d6e6189cdbd29', 'False', 'True', 'false', 'false', '511923203641', 5, '海山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923203641', 1, '2021-07-19 12:00:39', NULL, NULL), (28032, '', '铺垭社区', 'ae34160616f949efb1a24cfa979e55e5', '1384442715cd4a888e1d6e6189cdbd29', 'False', 'True', 'false', 'false', '511923203695', 5, '铺垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923203695', 1, '2021-07-19 12:00:39', NULL, NULL), (28033, '', '三凤村', '91ba993dce0741a2819c45006f46c77e', '1384442715cd4a888e1d6e6189cdbd29', 'False', 'True', 'false', 'false', '511923203709', 5, '三凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923203709', 1, '2021-07-19 12:00:39', NULL, NULL), (28034, '', '小宁村', 'a6b6cb146c68496f99af40fd6e2ee4bc', '1384442715cd4a888e1d6e6189cdbd29', 'False', 'True', 'false', 'false', '511923203776', 5, '小宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923203776', 1, '2021-07-19 12:00:39', NULL, NULL), (28035, '', '双坪村', '203f946d4d9c401b8d99aa09faa12ba9', '1384442715cd4a888e1d6e6189cdbd29', 'False', 'True', 'false', 'false', '511923203882', 5, '双坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923203882', 1, '2021-07-19 12:00:39', NULL, NULL), (28036, '', '三十二梁镇', '05727e342488404798db53274af697be', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923323000', 4, '三十二梁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923323000', 1, '2021-07-19 12:00:39', NULL, NULL), (28037, '', '锣乐村', '807506f4436e42f28c28653cbcd7b965', '05727e342488404798db53274af697be', 'False', 'True', 'false', 'false', '511923323102', 5, '锣乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923323102', 1, '2021-07-19 12:00:39', NULL, NULL), (28038, '', '龙尾社区', '1ce9df52152f4d5595f7e9b75c4c5298', '05727e342488404798db53274af697be', 'False', 'True', 'false', 'false', '511923323154', 5, '龙尾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923323154', 1, '2021-07-19 12:00:39', NULL, NULL), (28039, '', '向阳村', '45c0816bd5df434e9b3501aebf18bd5c', '05727e342488404798db53274af697be', 'False', 'True', 'false', 'false', '511923323214', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923323214', 1, '2021-07-19 12:00:39', NULL, NULL), (28040, '', '迎凤村', '68cea572f8444d52a7e3420e86e375c6', '05727e342488404798db53274af697be', 'False', 'True', 'false', 'false', '511923323359', 5, '迎凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923323359', 1, '2021-07-19 12:00:39', NULL, NULL), (28041, '', '中嘴村', 'a358f2245ca9401599ba36728dfcbf5c', '05727e342488404798db53274af697be', 'False', 'True', 'false', 'false', '511923323494', 5, '中嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923323494', 1, '2021-07-19 12:00:39', NULL, NULL), (28042, '', '长林村', '93896a88bab44548a3cf4ae3953e829b', '05727e342488404798db53274af697be', 'False', 'True', 'false', 'false', '511923323526', 5, '长林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923323526', 1, '2021-07-19 12:00:39', NULL, NULL), (28043, '', '黄桷村', '3bc1b25ed938459ca1a5a8d26eeb6472', '05727e342488404798db53274af697be', 'False', 'True', 'false', 'false', '511923323691', 5, '黄桷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923323691', 1, '2021-07-19 12:00:39', NULL, NULL), (28044, '', '石垭社区', 'a2717f281dab4fffa89a65c99d356932', '05727e342488404798db53274af697be', 'False', 'True', 'false', 'false', '511923323904', 5, '石垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923323904', 1, '2021-07-19 12:00:40', NULL, NULL), (28045, '', '柳林村', 'ae47d4a1ec7643eea6aae4283d73b914', '05727e342488404798db53274af697be', 'False', 'True', 'false', 'false', '511923323925', 5, '柳林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923323925', 1, '2021-07-19 12:00:40', NULL, NULL), (28046, '', '望京镇', '3e76e15369094644935b354dde8dc779', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923333000', 4, '望京镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923333000', 1, '2021-07-19 12:00:40', NULL, NULL), (28047, '', '南坝村', '07f2583face54f0ca85bd7bf9da62ef5', '3e76e15369094644935b354dde8dc779', 'False', 'True', 'false', 'false', '511923333157', 5, '南坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923333157', 1, '2021-07-19 12:00:40', NULL, NULL), (28048, '', '望京村', '6b510027bb454d0cb546a4ec5d6fc5f8', '3e76e15369094644935b354dde8dc779', 'False', 'True', 'false', 'false', '511923333246', 5, '望京村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923333246', 1, '2021-07-19 12:00:40', NULL, NULL), (28049, '', '天鹰村', 'b3dbb2036be74861910991c083d12d4d', '3e76e15369094644935b354dde8dc779', 'False', 'True', 'false', 'false', '511923333257', 5, '天鹰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923333257', 1, '2021-07-19 12:00:40', NULL, NULL), (28050, '', '栏杆村', 'd35e6206e24c4febba1ef6c1c3f00944', '3e76e15369094644935b354dde8dc779', 'False', 'True', 'false', 'false', '511923333280', 5, '栏杆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923333280', 1, '2021-07-19 12:00:40', NULL, NULL), (28051, '', '凤梁村', 'f1117aebca6b46dca4c5ae936d4055cd', '3e76e15369094644935b354dde8dc779', 'False', 'True', 'false', 'false', '511923333358', 5, '凤梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923333358', 1, '2021-07-19 12:00:40', NULL, NULL), (28052, '', '万平村', 'f1c7fb9fbc624470a7ee953967cdb234', '3e76e15369094644935b354dde8dc779', 'False', 'True', 'false', 'false', '511923333399', 5, '万平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923333399', 1, '2021-07-19 12:00:40', NULL, NULL), (28053, '', '八柏村', 'c885511ba1294562bf17a6ff70f3721c', '3e76e15369094644935b354dde8dc779', 'False', 'True', 'false', 'false', '511923333666', 5, '八柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923333666', 1, '2021-07-19 12:00:40', NULL, NULL), (28054, '', '高桥村', '155bfccb6036415b9130f77ff5c81bd7', '3e76e15369094644935b354dde8dc779', 'False', 'True', 'false', 'false', '511923333717', 5, '高桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923333717', 1, '2021-07-19 12:00:40', NULL, NULL), (28055, '', '麻石社区', 'c6deafc3b8034158afed6ff434f68018', '3e76e15369094644935b354dde8dc779', 'False', 'True', 'false', 'false', '511923333875', 5, '麻石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923333875', 1, '2021-07-19 12:00:40', NULL, NULL), (28056, '', '金龙台社区', 'd252839d946043c4bcd9302aee216846', '3e76e15369094644935b354dde8dc779', 'False', 'True', 'false', 'false', '511923333944', 5, '金龙台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923333944', 1, '2021-07-19 12:00:40', NULL, NULL), (28057, '', '土兴镇', 'b3fdc5f9f9764e3a969051b7f2560134', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923366000', 4, '土兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923366000', 1, '2021-07-19 12:00:40', NULL, NULL), (28058, '', '圣谕社区', 'cd8692c6c46a43349913e391b408942b', 'b3fdc5f9f9764e3a969051b7f2560134', 'False', 'True', 'false', 'false', '511923119003', 5, '圣谕社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923119003', 1, '2021-07-19 12:00:40', NULL, NULL), (28059, '', '仙灵村', '7c7fd7d235f14e3cb9938d8fc269fe7b', 'b3fdc5f9f9764e3a969051b7f2560134', 'False', 'True', 'false', 'false', '511923366150', 5, '仙灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923366150', 1, '2021-07-19 12:00:40', NULL, NULL), (28060, '', '华山村', 'c18824abf8a1465c89e53412730cbb80', 'b3fdc5f9f9764e3a969051b7f2560134', 'False', 'True', 'false', 'false', '511923366261', 5, '华山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923366261', 1, '2021-07-19 12:00:40', NULL, NULL), (28061, '', '利民村', 'd7aca33deff24f478209a5d19ce38f24', 'b3fdc5f9f9764e3a969051b7f2560134', 'False', 'True', 'false', 'false', '511923366401', 5, '利民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923366401', 1, '2021-07-19 12:00:41', NULL, NULL), (28062, '', '大湖村', 'a6797dc4f61f44cea8e95d921360464b', 'b3fdc5f9f9764e3a969051b7f2560134', 'False', 'True', 'false', 'false', '511923366422', 5, '大湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923366422', 1, '2021-07-19 12:00:41', NULL, NULL), (28063, '', '风凉社区', '157e2e96ada04c6c96240184422170f8', 'b3fdc5f9f9764e3a969051b7f2560134', 'False', 'True', 'false', 'false', '511923366481', 5, '风凉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923366481', 1, '2021-07-19 12:00:41', NULL, NULL), (28064, '', '宇皇村', 'f6b3966d60d248258e4886b56688fec8', 'b3fdc5f9f9764e3a969051b7f2560134', 'False', 'True', 'false', 'false', '511923366712', 5, '宇皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923366712', 1, '2021-07-19 12:00:41', NULL, NULL), (28065, '', '小湖村', 'b23673e817974c1cbe110d2a4a91ba4f', 'b3fdc5f9f9764e3a969051b7f2560134', 'False', 'True', 'false', 'false', '511923366733', 5, '小湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923366733', 1, '2021-07-19 12:00:41', NULL, NULL), (28066, '', '福禄村', '4b35e53fe84447cab89e7f4d3ba860fc', 'b3fdc5f9f9764e3a969051b7f2560134', 'False', 'True', 'false', 'false', '511923366792', 5, '福禄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923366792', 1, '2021-07-19 12:00:41', NULL, NULL), (28067, '', '铁城社区', '36d22bcfba884963b9a41dabb5c2296f', 'b3fdc5f9f9764e3a969051b7f2560134', 'False', 'True', 'false', 'false', '511923366831', 5, '铁城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923366831', 1, '2021-07-19 12:00:41', NULL, NULL), (28068, '', '龙池村', 'e6b8c5a01db3453ca254396d7eddbaed', 'b3fdc5f9f9764e3a969051b7f2560134', 'False', 'True', 'false', 'false', '511923366838', 5, '龙池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923366838', 1, '2021-07-19 12:00:41', NULL, NULL), (28069, '', '碧玉村', '80c193e23b194d2686e79b8e1a205ac6', 'b3fdc5f9f9764e3a969051b7f2560134', 'False', 'True', 'false', 'false', '511923366847', 5, '碧玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923366847', 1, '2021-07-19 12:00:41', NULL, NULL), (28070, '', '郭寺村', '7b090fe9a59b48688709bf70f01abb17', 'b3fdc5f9f9764e3a969051b7f2560134', 'False', 'True', 'false', 'false', '511923366852', 5, '郭寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923366852', 1, '2021-07-19 12:00:41', NULL, NULL), (28071, '', '土垭镇', '6d08691e629547c8a87a29a658b6abe1', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923371000', 4, '土垭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923371000', 1, '2021-07-19 12:00:41', NULL, NULL), (28072, '', '大岭村', '7c659997939d43189c4bc2bdf9946d9c', '6d08691e629547c8a87a29a658b6abe1', 'False', 'True', 'false', 'false', '511923371245', 5, '大岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923371245', 1, '2021-07-19 12:00:41', NULL, NULL), (28073, '', '时轮村', '491c95d814ac4d998482e6250bc1f98e', '6d08691e629547c8a87a29a658b6abe1', 'False', 'True', 'false', 'false', '511923371324', 5, '时轮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923371324', 1, '2021-07-19 12:00:41', NULL, NULL), (28074, '', '土垭社区', '1b8b773e82ca47de9f281ce3306c65ac', '6d08691e629547c8a87a29a658b6abe1', 'False', 'True', 'false', 'false', '511923371552', 5, '土垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923371552', 1, '2021-07-19 12:00:41', NULL, NULL), (28075, '', '玉龙村', '1639212d8e494cf8b773fc6d8a0f3e18', '6d08691e629547c8a87a29a658b6abe1', 'False', 'True', 'false', 'false', '511923371826', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923371826', 1, '2021-07-19 12:00:41', NULL, NULL), (28076, '', '卫星村', 'db255da53b8a4fca9d3608108a191deb', '6d08691e629547c8a87a29a658b6abe1', 'False', 'True', 'false', 'false', '511923371848', 5, '卫星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923371848', 1, '2021-07-19 12:00:41', NULL, NULL), (28077, '', '晨光村', '36287bb6da4f4cf08d66fdbf80df92d4', '6d08691e629547c8a87a29a658b6abe1', 'False', 'True', 'false', 'false', '511923371964', 5, '晨光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923371964', 1, '2021-07-19 12:00:41', NULL, NULL), (28078, '', '石峰村', '08d79a25afae4ad1b948adbd17a8f236', '6d08691e629547c8a87a29a658b6abe1', 'False', 'True', 'false', 'false', '511923371971', 5, '石峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923371971', 1, '2021-07-19 12:00:41', NULL, NULL), (28079, '', '得胜镇', '158cf1effee949a2aae18461bd7a9102', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923372000', 4, '得胜镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923372000', 1, '2021-07-19 12:00:41', NULL, NULL), (28080, '', '长石社区', 'd823d3fa1b174fbe83df255240d79628', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923115009', 5, '长石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923115009', 1, '2021-07-19 12:00:41', NULL, NULL), (28081, '', '前锋村', '381f42d194af46c19eb1420d68766693', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923115215', 5, '前锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923115215', 1, '2021-07-19 12:00:41', NULL, NULL), (28082, '', '红山村', '180ba46cbfbc47148988300c831df682', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923115216', 5, '红山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923115216', 1, '2021-07-19 12:00:42', NULL, NULL), (28083, '', '爱国村', 'c3971500a5e64d3e93730d4e9aba35f8', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923115217', 5, '爱国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923115217', 1, '2021-07-19 12:00:42', NULL, NULL), (28084, '', '公平村', '166a80277baa41b991c6067eedae681c', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923115218', 5, '公平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923115218', 1, '2021-07-19 12:00:42', NULL, NULL), (28085, '', '玉鹿村', 'c177e469abfa44519f103be3bbbd98e8', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923115219', 5, '玉鹿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923115219', 1, '2021-07-19 12:00:42', NULL, NULL), (28086, '', '五木社区', 'e05c61a72a6c490d811a93e54d284a79', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923372151', 5, '五木社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923372151', 1, '2021-07-19 12:00:42', NULL, NULL), (28087, '', '双河社区', '870f5a983d784fdd8aaff28ee14f011a', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923372152', 5, '双河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923372152', 1, '2021-07-19 12:00:42', NULL, NULL), (28088, '', '马灵社区', '8e05f6bcd8854db79d2d312dd3fd76f8', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923372161', 5, '马灵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923372161', 1, '2021-07-19 12:00:42', NULL, NULL), (28089, '', '平江村', 'b7d25cc8201346878b81ef57434bb80a', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923372250', 5, '平江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923372250', 1, '2021-07-19 12:00:42', NULL, NULL), (28090, '', '石马社区', 'b25aa452b1144c46925f6731d613408e', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923372274', 5, '石马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923372274', 1, '2021-07-19 12:00:42', NULL, NULL), (28091, '', '丰收村', 'b84fbe1958954c1e8d647db515026428', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923372277', 5, '丰收村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923372277', 1, '2021-07-19 12:00:42', NULL, NULL), (28092, '', '莲花村', '0a5c15337e204cdb804fb4c83844161c', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923372289', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923372289', 1, '2021-07-19 12:00:42', NULL, NULL), (28093, '', '新场村', 'e1689752c77a4ed39cc6495a38720ac0', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923372419', 5, '新场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923372419', 1, '2021-07-19 12:00:42', NULL, NULL), (28094, '', '得胜社区', 'b1f89f237fc44289bb2636646b8a9d76', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923372421', 5, '得胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923372421', 1, '2021-07-19 12:00:42', NULL, NULL), (28095, '', '双泉村', '26921f8c22d645ec891b7b773fa052da', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923372754', 5, '双泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923372754', 1, '2021-07-19 12:00:42', NULL, NULL), (28096, '', '千丘社区', 'd43f1b48da4a4717bc344a95e748a02d', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923372780', 5, '千丘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923372780', 1, '2021-07-19 12:00:42', NULL, NULL), (28097, '', '红星村', '29e927cba0df4763b0449f906f7836c6', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923372823', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923372823', 1, '2021-07-19 12:00:42', NULL, NULL), (28098, '', '天宫村', 'a635ccbe5795494dbb220729f5481b0b', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923372874', 5, '天宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923372874', 1, '2021-07-19 12:00:42', NULL, NULL), (28099, '', '五星社区', 'b35bf1377654426db58c39340542cd9c', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923372885', 5, '五星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923372885', 1, '2021-07-19 12:00:43', NULL, NULL), (28100, '', '独柏村', '42fb43933a25467b97f88f7a3610c625', '158cf1effee949a2aae18461bd7a9102', 'False', 'True', 'false', 'false', '511923372915', 5, '独柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923372915', 1, '2021-07-19 12:00:43', NULL, NULL), (28101, '', '镇龙镇', '42acceddc6ed4e0fae9e4d851c76fc83', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923417000', 4, '镇龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923417000', 1, '2021-07-19 12:00:43', NULL, NULL), (28102, '', '龙泉社区', 'b244328143fb4450903c9265a3cb41df', '42acceddc6ed4e0fae9e4d851c76fc83', 'False', 'True', 'false', 'false', '511923417101', 5, '龙泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923417101', 1, '2021-07-19 12:00:43', NULL, NULL), (28103, '', '佛龙村', '4fb77b5e8a5d433b848ec6bdc1d904fe', '42acceddc6ed4e0fae9e4d851c76fc83', 'False', 'True', 'false', 'false', '511923417113', 5, '佛龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923417113', 1, '2021-07-19 12:00:43', NULL, NULL), (28104, '', '红岩村', '7350278069214135ba5b412094453d46', '42acceddc6ed4e0fae9e4d851c76fc83', 'False', 'True', 'false', 'false', '511923417204', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923417204', 1, '2021-07-19 12:00:43', NULL, NULL), (28105, '', '卧龙村', '83537a8baf404e999ecda3b24b060189', '42acceddc6ed4e0fae9e4d851c76fc83', 'False', 'True', 'false', 'false', '511923417205', 5, '卧龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923417205', 1, '2021-07-19 12:00:43', NULL, NULL), (28106, '', '真武村', 'e664123ebfa74f41b8e046325945e871', '42acceddc6ed4e0fae9e4d851c76fc83', 'False', 'True', 'false', 'false', '511923417250', 5, '真武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923417250', 1, '2021-07-19 12:00:43', NULL, NULL), (28107, '', '土船村', 'a33c4ad45f97403e98a8d33edbe5d4d3', '42acceddc6ed4e0fae9e4d851c76fc83', 'False', 'True', 'false', 'false', '511923417278', 5, '土船村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923417278', 1, '2021-07-19 12:00:43', NULL, NULL), (28108, '', '新庙社区', 'd86adab796c54c5d8f9e5a22ba365d76', '42acceddc6ed4e0fae9e4d851c76fc83', 'False', 'True', 'false', 'false', '511923417387', 5, '新庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923417387', 1, '2021-07-19 12:00:43', NULL, NULL), (28109, '', '翻身村', '4d88d9827c7542fabd22dd472c0b5c6f', '42acceddc6ed4e0fae9e4d851c76fc83', 'False', 'True', 'false', 'false', '511923417407', 5, '翻身村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923417407', 1, '2021-07-19 12:00:43', NULL, NULL), (28110, '', '民兴社区', 'd8df6bf746a141f7a5f81f5710661129', '42acceddc6ed4e0fae9e4d851c76fc83', 'False', 'True', 'false', 'false', '511923417453', 5, '民兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923417453', 1, '2021-07-19 12:00:43', NULL, NULL), (28111, '', '宝珠村', '8b32da140ec1440989b886429aae84d5', '42acceddc6ed4e0fae9e4d851c76fc83', 'False', 'True', 'false', 'false', '511923417563', 5, '宝珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923417563', 1, '2021-07-19 12:00:43', NULL, NULL), (28112, '', '金沙村', '2ff33fadbc82421480de4a99db5afcd6', '42acceddc6ed4e0fae9e4d851c76fc83', 'False', 'True', 'false', 'false', '511923417580', 5, '金沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923417580', 1, '2021-07-19 12:00:43', NULL, NULL), (28113, '', '龙观社区', '69028f3e88604ba3b8a04afe8815e330', '42acceddc6ed4e0fae9e4d851c76fc83', 'False', 'True', 'false', 'false', '511923417608', 5, '龙观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923417608', 1, '2021-07-19 12:00:43', NULL, NULL), (28114, '', '老鹰社区', '93bf769d916743cb9acebe327ccb6daf', '42acceddc6ed4e0fae9e4d851c76fc83', 'False', 'True', 'false', 'false', '511923417705', 5, '老鹰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923417705', 1, '2021-07-19 12:00:43', NULL, NULL), (28115, '', '天观村', '6650f598f1e1493c850314dfa87d74c0', '42acceddc6ed4e0fae9e4d851c76fc83', 'False', 'True', 'false', 'false', '511923417896', 5, '天观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923417896', 1, '2021-07-19 12:00:43', NULL, NULL), (28116, '', '万家村', 'f187eef36cb341c6afbf1153a349891e', '42acceddc6ed4e0fae9e4d851c76fc83', 'False', 'True', 'false', 'false', '511923417927', 5, '万家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923417927', 1, '2021-07-19 12:00:43', NULL, NULL), (28117, '', '江家口镇', '0a135ccba99042fc85cb531fa0e22474', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923428000', 4, '江家口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923428000', 1, '2021-07-19 12:00:43', NULL, NULL), (28118, '', '界牌社区', 'dac7927636ec445e96c9bc150610ca27', '0a135ccba99042fc85cb531fa0e22474', 'False', 'True', 'false', 'false', '511923134001', 5, '界牌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923134001', 1, '2021-07-19 12:00:43', NULL, NULL), (28119, '', '喜神社区', 'f54e6bd388c54c8c96e8bad9be85d6f5', '0a135ccba99042fc85cb531fa0e22474', 'False', 'True', 'false', 'false', '511923134002', 5, '喜神社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923134002', 1, '2021-07-19 12:00:43', NULL, NULL), (28120, '', '社口村', 'a9e9b96e98474d2995ed20d7ccba56b7', '0a135ccba99042fc85cb531fa0e22474', 'False', 'True', 'false', 'false', '511923134205', 5, '社口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923134205', 1, '2021-07-19 12:00:43', NULL, NULL), (28121, '', '玉皇社区', '2091a719884f4fcda231278052f4522d', '0a135ccba99042fc85cb531fa0e22474', 'False', 'True', 'false', 'false', '511923134206', 5, '玉皇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923134206', 1, '2021-07-19 12:00:44', NULL, NULL), (28122, '', '石铧村', 'b839758534274310bfe19fad481bb052', '0a135ccba99042fc85cb531fa0e22474', 'False', 'True', 'false', 'false', '511923134207', 5, '石铧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923134207', 1, '2021-07-19 12:00:44', NULL, NULL), (28123, '', '玛瑙村', 'a6ce2adf3f90433180c9cb9afd4c66da', '0a135ccba99042fc85cb531fa0e22474', 'False', 'True', 'false', 'false', '511923134208', 5, '玛瑙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923134208', 1, '2021-07-19 12:00:44', NULL, NULL), (28124, '', '大龙村', 'e932405d7f6d4dc186099ba4c9f6e691', '0a135ccba99042fc85cb531fa0e22474', 'False', 'True', 'false', 'false', '511923134209', 5, '大龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923134209', 1, '2021-07-19 12:00:44', NULL, NULL), (28125, '', '铜佛村', 'e907fba57ac14b61a4a49e5aca9d18f0', '0a135ccba99042fc85cb531fa0e22474', 'False', 'True', 'false', 'false', '511923134210', 5, '铜佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923134210', 1, '2021-07-19 12:00:44', NULL, NULL), (28126, '', '中华村', 'a58e1b65bc2140b2a0f64f3bf0ff4f84', '0a135ccba99042fc85cb531fa0e22474', 'False', 'True', 'false', 'false', '511923428193', 5, '中华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923428193', 1, '2021-07-19 12:00:44', NULL, NULL), (28127, '', '和平村', '2224a81be7554133a5bda3dfbd25aab4', '0a135ccba99042fc85cb531fa0e22474', 'False', 'True', 'false', 'false', '511923428414', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923428414', 1, '2021-07-19 12:00:44', NULL, NULL), (28128, '', '八台村', 'd4fe790e02334d27ad71ac1b68ad2efb', '0a135ccba99042fc85cb531fa0e22474', 'False', 'True', 'false', 'false', '511923428626', 5, '八台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923428626', 1, '2021-07-19 12:00:44', NULL, NULL), (28129, '', '三官村', '20c55e59e15d409ebfbb5546df33d726', '0a135ccba99042fc85cb531fa0e22474', 'False', 'True', 'false', 'false', '511923428906', 5, '三官村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923428906', 1, '2021-07-19 12:00:44', NULL, NULL), (28130, '', '东龛村', 'dbaa5580e22e456cb12909dfffa064b6', '0a135ccba99042fc85cb531fa0e22474', 'False', 'True', 'false', 'false', '511923428968', 5, '东龛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923428968', 1, '2021-07-19 12:00:44', NULL, NULL), (28131, '', '岳家镇', '998471c813b446e0bd5d4ad6b546fc70', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923469000', 4, '岳家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923469000', 1, '2021-07-19 12:00:44', NULL, NULL), (28132, '', '茶店村', '474d6669c2df40508f94057a5c1b6910', '998471c813b446e0bd5d4ad6b546fc70', 'False', 'True', 'false', 'false', '511923469493', 5, '茶店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923469493', 1, '2021-07-19 12:00:44', NULL, NULL), (28133, '', '河源村', 'b6d4f8dc5a4e4ec49a774d444141a113', '998471c813b446e0bd5d4ad6b546fc70', 'False', 'True', 'false', 'false', '511923469495', 5, '河源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923469495', 1, '2021-07-19 12:00:44', NULL, NULL), (28134, '', '涌水村', 'f81f8fc3bb704682bd988f72766b9e7e', '998471c813b446e0bd5d4ad6b546fc70', 'False', 'True', 'false', 'false', '511923469616', 5, '涌水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923469616', 1, '2021-07-19 12:00:44', NULL, NULL), (28135, '', '云峰村', '1e056d07fff4403aa0078221c284e3c9', '998471c813b446e0bd5d4ad6b546fc70', 'False', 'True', 'false', 'false', '511923469637', 5, '云峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923469637', 1, '2021-07-19 12:00:44', NULL, NULL), (28136, '', '双竹社区', '958f22b7ed1541c598594aaa2d6e4bec', '998471c813b446e0bd5d4ad6b546fc70', 'False', 'True', 'false', 'false', '511923469827', 5, '双竹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923469827', 1, '2021-07-19 12:00:44', NULL, NULL), (28137, '', '金斗村', '57ead3e9a0a044ee9f4c2aff4de33d6c', '998471c813b446e0bd5d4ad6b546fc70', 'False', 'True', 'false', 'false', '511923469943', 5, '金斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923469943', 1, '2021-07-19 12:00:44', NULL, NULL), (28138, '', '观音村', '7310d91176124225b982e26596d62279', '998471c813b446e0bd5d4ad6b546fc70', 'False', 'True', 'false', 'false', '511923469966', 5, '观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923469966', 1, '2021-07-19 12:00:44', NULL, NULL), (28139, '', '泥龙镇', 'f2f7f17e80c24f268ebe9f6866a12149', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923477000', 4, '泥龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923477000', 1, '2021-07-19 12:00:45', NULL, NULL), (28140, '', '多佛村', 'b6507e79f860403ab93e6e5d45f1af0e', 'f2f7f17e80c24f268ebe9f6866a12149', 'False', 'True', 'false', 'false', '511923477127', 5, '多佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923477127', 1, '2021-07-19 12:00:45', NULL, NULL), (28141, '', '花井村', 'dcb3c5a2e2554746a03db0c1ec6eed24', 'f2f7f17e80c24f268ebe9f6866a12149', 'False', 'True', 'false', 'false', '511923477168', 5, '花井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923477168', 1, '2021-07-19 12:00:45', NULL, NULL), (28142, '', '牛角村', 'c274600486144cf9b80523e8af21bebb', 'f2f7f17e80c24f268ebe9f6866a12149', 'False', 'True', 'false', 'false', '511923477256', 5, '牛角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923477256', 1, '2021-07-19 12:00:45', NULL, NULL), (28143, '', '金堂村', 'f3384695ebfb4c109f4e6b1f8d0a1377', 'f2f7f17e80c24f268ebe9f6866a12149', 'False', 'True', 'false', 'false', '511923477347', 5, '金堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923477347', 1, '2021-07-19 12:00:45', NULL, NULL), (28144, '', '小山社区', '17ba70ad44214ac9ac90a9d86510433c', 'f2f7f17e80c24f268ebe9f6866a12149', 'False', 'True', 'false', 'false', '511923477439', 5, '小山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923477439', 1, '2021-07-19 12:00:45', NULL, NULL), (28145, '', '青山社区', '7efdc76493ab439f82ca5283fd016266', 'f2f7f17e80c24f268ebe9f6866a12149', 'False', 'True', 'false', 'false', '511923477497', 5, '青山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923477497', 1, '2021-07-19 12:00:45', NULL, NULL), (28146, '', '瓦桥村', '4310a3d9338940cc827dc388a4e5af22', 'f2f7f17e80c24f268ebe9f6866a12149', 'False', 'True', 'false', 'false', '511923477832', 5, '瓦桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923477832', 1, '2021-07-19 12:00:45', NULL, NULL), (28147, '', '沙溪村', 'ac182fa87fd9434e81f0d7ef3e6662e2', 'f2f7f17e80c24f268ebe9f6866a12149', 'False', 'True', 'false', 'false', '511923477910', 5, '沙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923477910', 1, '2021-07-19 12:00:45', NULL, NULL), (28148, '', '佛楼镇', 'ab563146dc874e6fba20591d81d2de00', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923508000', 4, '佛楼镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923508000', 1, '2021-07-19 12:00:45', NULL, NULL), (28149, '', '三官寨村', 'bbfd5fa20f47418b8190e82074ae6337', 'ab563146dc874e6fba20591d81d2de00', 'False', 'True', 'false', 'false', '511923508248', 5, '三官寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923508248', 1, '2021-07-19 12:00:45', NULL, NULL), (28150, '', '大松村', '352e18f5fabf485a84eb43d6305698b7', 'ab563146dc874e6fba20591d81d2de00', 'False', 'True', 'false', 'false', '511923508469', 5, '大松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923508469', 1, '2021-07-19 12:00:45', NULL, NULL), (28151, '', '光华山村', 'd2527608c62d4b31b2829e4ed7394709', 'ab563146dc874e6fba20591d81d2de00', 'False', 'True', 'false', 'false', '511923508489', 5, '光华山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923508489', 1, '2021-07-19 12:00:45', NULL, NULL), (28152, '', '平乐村', '137377af1734445fafee5c0df1e7a35f', 'ab563146dc874e6fba20591d81d2de00', 'False', 'True', 'false', 'false', '511923508505', 5, '平乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923508505', 1, '2021-07-19 12:00:45', NULL, NULL), (28153, '', '佛楼寺社区', '47ad3455af7c490db5d433fed8d83515', 'ab563146dc874e6fba20591d81d2de00', 'False', 'True', 'false', 'false', '511923508531', 5, '佛楼寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923508531', 1, '2021-07-19 12:00:46', NULL, NULL), (28154, '', '天马村', '3c5c46bafe7041058a482381bbc4dfcd', 'ab563146dc874e6fba20591d81d2de00', 'False', 'True', 'false', 'false', '511923508646', 5, '天马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923508646', 1, '2021-07-19 12:00:46', NULL, NULL), (28155, '', '高石村', '249571f487ea4e5a830cc6ea5a95ddbf', 'ab563146dc874e6fba20591d81d2de00', 'False', 'True', 'false', 'false', '511923508939', 5, '高石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923508939', 1, '2021-07-19 12:00:46', NULL, NULL), (28156, '', '龙岗镇', 'ecadd6143db44e4496681438ee2bde09', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923567000', 4, '龙岗镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923567000', 1, '2021-07-19 12:00:46', NULL, NULL), (28157, '', '宝坪社区', '654f847cd5f14f8f826b9bfd06ff3f6a', 'ecadd6143db44e4496681438ee2bde09', 'False', 'True', 'false', 'false', '511923567141', 5, '宝坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923567141', 1, '2021-07-19 12:00:46', NULL, NULL), (28158, '', '高阳村', 'b10ec510ef3b4f18aea5b38bbd34fcbb', 'ecadd6143db44e4496681438ee2bde09', 'False', 'True', 'false', 'false', '511923567154', 5, '高阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923567154', 1, '2021-07-19 12:00:46', NULL, NULL), (28159, '', '利群村', 'd69ac8ea76494828b11ad5c180e32cbe', 'ecadd6143db44e4496681438ee2bde09', 'False', 'True', 'false', 'false', '511923567247', 5, '利群村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923567247', 1, '2021-07-19 12:00:46', NULL, NULL), (28160, '', '佛耳村', '7d6c25557b404f239168471df3603fce', 'ecadd6143db44e4496681438ee2bde09', 'False', 'True', 'false', 'false', '511923567322', 5, '佛耳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923567322', 1, '2021-07-19 12:00:46', NULL, NULL), (28161, '', '沙坝村', '2ec469289a9a41ac938821814dfaf99c', 'ecadd6143db44e4496681438ee2bde09', 'False', 'True', 'false', 'false', '511923567356', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923567356', 1, '2021-07-19 12:00:46', NULL, NULL), (28162, '', '龙岗社区', 'dac8bc4e8a4747ec8ece8d67c4e3a04c', 'ecadd6143db44e4496681438ee2bde09', 'False', 'True', 'false', 'false', '511923567544', 5, '龙岗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923567544', 1, '2021-07-19 12:00:46', NULL, NULL), (28163, '', '白山村', 'a3022014b3ae452a9e1d8afdbb60315b', 'ecadd6143db44e4496681438ee2bde09', 'False', 'True', 'false', 'false', '511923567568', 5, '白山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923567568', 1, '2021-07-19 12:00:46', NULL, NULL), (28164, '', '火箭村', 'd72d6b19173a48c0ac93fd0390009efd', 'ecadd6143db44e4496681438ee2bde09', 'False', 'True', 'false', 'false', '511923567776', 5, '火箭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923567776', 1, '2021-07-19 12:00:46', NULL, NULL), (28165, '', '澌岸镇', 'b0a3b3dc15974e339979faba21f6aef3', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923626000', 4, '澌岸镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923626000', 1, '2021-07-19 12:00:46', NULL, NULL), (28166, '', '澌岸社区', '7839d43c00c54e40aada7010cbd45c65', 'b0a3b3dc15974e339979faba21f6aef3', 'False', 'True', 'false', 'false', '511923626192', 5, '澌岸社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923626192', 1, '2021-07-19 12:00:46', NULL, NULL), (28167, '', '先锋村', '8f13796618d746c48d21054dcb097e90', 'b0a3b3dc15974e339979faba21f6aef3', 'False', 'True', 'false', 'false', '511923626400', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923626400', 1, '2021-07-19 12:00:46', NULL, NULL), (28168, '', '中和村', 'ab8f48afbc864dfea01f12942dfeebe8', 'b0a3b3dc15974e339979faba21f6aef3', 'False', 'True', 'false', 'false', '511923626485', 5, '中和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923626485', 1, '2021-07-19 12:00:46', NULL, NULL), (28169, '', '民主村', 'cc5dd0c9e9a94014b26dd37510e3664c', 'b0a3b3dc15974e339979faba21f6aef3', 'False', 'True', 'false', 'false', '511923626634', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923626634', 1, '2021-07-19 12:00:46', NULL, NULL), (28170, '', '梭滩村', 'c1166eded71b401ca9f0a89739e72442', 'b0a3b3dc15974e339979faba21f6aef3', 'False', 'True', 'false', 'false', '511923626789', 5, '梭滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923626789', 1, '2021-07-19 12:00:46', NULL, NULL), (28171, '', '团结村', 'ab0aeb01bf564751a1d6f4cb58eea359', 'b0a3b3dc15974e339979faba21f6aef3', 'False', 'True', 'false', 'false', '511923626846', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923626846', 1, '2021-07-19 12:00:46', NULL, NULL), (28172, '', '娱乐社区', '57ae9f0e46b442de89e0286c417f9916', 'b0a3b3dc15974e339979faba21f6aef3', 'False', 'True', 'false', 'false', '511923626971', 5, '娱乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923626971', 1, '2021-07-19 12:00:47', NULL, NULL), (28173, '', '白衣镇', '643c6fce2b4449a18b342deadff50895', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923646000', 4, '白衣镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923646000', 1, '2021-07-19 12:00:47', NULL, NULL), (28174, '', '黄梅村', '80c8bc39c6a5499c8055256e9f07cf64', '643c6fce2b4449a18b342deadff50895', 'False', 'True', 'false', 'false', '511923104214', 5, '黄梅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923104214', 1, '2021-07-19 12:00:47', NULL, NULL), (28175, '', '长岭村', 'fb3c46ad742f4f61ac8b3fbaaf369785', '643c6fce2b4449a18b342deadff50895', 'False', 'True', 'false', 'false', '511923646190', 5, '长岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923646190', 1, '2021-07-19 12:00:47', NULL, NULL), (28176, '', '复元村', 'e9854ca2f11145ce8fbdc19e75a069d0', '643c6fce2b4449a18b342deadff50895', 'False', 'True', 'false', 'false', '511923646429', 5, '复元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923646429', 1, '2021-07-19 12:00:47', NULL, NULL), (28177, '', '蒿坪社区', 'd3f79f1a68b94e4ea153bdea856f6059', '643c6fce2b4449a18b342deadff50895', 'False', 'True', 'false', 'false', '511923646436', 5, '蒿坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923646436', 1, '2021-07-19 12:00:47', NULL, NULL), (28178, '', '蒙溪村', '72f6104b35f04e88840f6c6a8ebabac4', '643c6fce2b4449a18b342deadff50895', 'False', 'True', 'false', 'false', '511923646442', 5, '蒙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923646442', 1, '2021-07-19 12:00:47', NULL, NULL), (28179, '', '黄鹤社区', 'd3c05500ccd7491380bc3f10eb7335dd', '643c6fce2b4449a18b342deadff50895', 'False', 'True', 'false', 'false', '511923646503', 5, '黄鹤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923646503', 1, '2021-07-19 12:00:47', NULL, NULL), (28180, '', '红坪村', 'ab1664cd5a6448e1a3353536133ae346', '643c6fce2b4449a18b342deadff50895', 'False', 'True', 'false', 'false', '511923646539', 5, '红坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923646539', 1, '2021-07-19 12:00:47', NULL, NULL), (28181, '', '红旗村', '7afdab9b2fdc4c2ab688ac324c3f4b4d', '643c6fce2b4449a18b342deadff50895', 'False', 'True', 'false', 'false', '511923646569', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923646569', 1, '2021-07-19 12:00:47', NULL, NULL), (28182, '', '大梁社区', 'd18a97e5039d4c05a189ecd9c9855650', '643c6fce2b4449a18b342deadff50895', 'False', 'True', 'false', 'false', '511923646615', 5, '大梁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923646615', 1, '2021-07-19 12:00:47', NULL, NULL), (28183, '', '柳州社区', '05ada5a48cf54093b9cc8153d11dc108', '643c6fce2b4449a18b342deadff50895', 'False', 'True', 'false', 'false', '511923646639', 5, '柳州社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923646639', 1, '2021-07-19 12:00:47', NULL, NULL), (28184, '', '渔滩社区', 'd55f3233d1114ebebc76475e32adf3ed', '643c6fce2b4449a18b342deadff50895', 'False', 'True', 'false', 'false', '511923646691', 5, '渔滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923646691', 1, '2021-07-19 12:00:47', NULL, NULL), (28185, '', '文昌社区', '3f9cbce6930147c69ba48785cd295c2b', '643c6fce2b4449a18b342deadff50895', 'False', 'True', 'false', 'false', '511923646718', 5, '文昌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923646718', 1, '2021-07-19 12:00:47', NULL, NULL), (28186, '', '磴子社区', 'e4266f8b51cc4d609dbcc8023fe9192d', '643c6fce2b4449a18b342deadff50895', 'False', 'True', 'false', 'false', '511923646752', 5, '磴子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923646752', 1, '2021-07-19 12:00:47', NULL, NULL), (28187, '', '龙门社区', '7c922570fa67450f8374cd2282514492', '643c6fce2b4449a18b342deadff50895', 'False', 'True', 'false', 'false', '511923646776', 5, '龙门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923646776', 1, '2021-07-19 12:00:47', NULL, NULL), (28188, '', '云梯社区', '2ab89c85e4aa49d7a8be7994824633dc', '643c6fce2b4449a18b342deadff50895', 'False', 'True', 'false', 'false', '511923646792', 5, '云梯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923646792', 1, '2021-07-19 12:00:47', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (28189, '', '天井社区', '45a8d828cf6146899989b0356f4f3efc', '643c6fce2b4449a18b342deadff50895', 'False', 'True', 'false', 'false', '511923646871', 5, '天井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923646871', 1, '2021-07-19 12:00:47', NULL, NULL), (28190, '', '粉壁镇', 'a7d0c7b515d040f6a4955413b7020634', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923701000', 4, '粉壁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923701000', 1, '2021-07-19 12:00:47', NULL, NULL), (28191, '', '双燕村', 'def65c1707664057babd391c2756821f', 'a7d0c7b515d040f6a4955413b7020634', 'False', 'True', 'false', 'false', '511923130208', 5, '双燕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923130208', 1, '2021-07-19 12:00:48', NULL, NULL), (28192, '', '农丰村', '2f73cdac644d4af29a4427698de5b81a', 'a7d0c7b515d040f6a4955413b7020634', 'False', 'True', 'false', 'false', '511923701309', 5, '农丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923701309', 1, '2021-07-19 12:00:48', NULL, NULL), (28193, '', '中心社区', 'ca131010a9ff4d2fb1ad80900d31d685', 'a7d0c7b515d040f6a4955413b7020634', 'False', 'True', 'false', 'false', '511923701722', 5, '中心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923701722', 1, '2021-07-19 12:00:48', NULL, NULL), (28194, '', '飞跃村', '1574cd97e98d4bea99b5bf780cb80872', 'a7d0c7b515d040f6a4955413b7020634', 'False', 'True', 'false', 'false', '511923701978', 5, '飞跃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923701978', 1, '2021-07-19 12:00:48', NULL, NULL), (28195, '', '红光村', 'eee64442c2364d24824bc21cc41901f3', 'a7d0c7b515d040f6a4955413b7020634', 'False', 'True', 'false', 'false', '511923701981', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923701981', 1, '2021-07-19 12:00:48', NULL, NULL), (28196, '', '火花社区', '5d47b59916e9401195db6354a0c21929', 'a7d0c7b515d040f6a4955413b7020634', 'False', 'True', 'false', 'false', '511923701990', 5, '火花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923701990', 1, '2021-07-19 12:00:48', NULL, NULL), (28197, '', '邱家镇', '77b3669eb7d04778a73e8a1aaf3ad970', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923703000', 4, '邱家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923703000', 1, '2021-07-19 12:00:48', NULL, NULL), (28198, '', '回龙村', 'ad998ea93b224998a9b2b4528d4fedad', '77b3669eb7d04778a73e8a1aaf3ad970', 'False', 'True', 'false', 'false', '511923112214', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923112214', 1, '2021-07-19 12:00:48', NULL, NULL), (28199, '', '石龙村', 'a6d7420951fd43bfb8222ef6e4d6debc', '77b3669eb7d04778a73e8a1aaf3ad970', 'False', 'True', 'false', 'false', '511923112215', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923112215', 1, '2021-07-19 12:00:48', NULL, NULL), (28200, '', '龙腾村', 'dd9285450b5c4c719e098fab7f98acbf', '77b3669eb7d04778a73e8a1aaf3ad970', 'False', 'True', 'false', 'false', '511923703119', 5, '龙腾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923703119', 1, '2021-07-19 12:00:48', NULL, NULL), (28201, '', '飞龙村', 'ad16406fe0ab490c9ba10b70805acfb5', '77b3669eb7d04778a73e8a1aaf3ad970', 'False', 'True', 'false', 'false', '511923703244', 5, '飞龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923703244', 1, '2021-07-19 12:00:48', NULL, NULL), (28202, '', '雪山村', 'cfdb4c6049da4fa6af9f2453e9f1ab6b', '77b3669eb7d04778a73e8a1aaf3ad970', 'False', 'True', 'false', 'false', '511923703351', 5, '雪山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923703351', 1, '2021-07-19 12:00:48', NULL, NULL), (28203, '', '万兴村', 'a83c4cae7761430d955328ff7618550c', '77b3669eb7d04778a73e8a1aaf3ad970', 'False', 'True', 'false', 'false', '511923703443', 5, '万兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923703443', 1, '2021-07-19 12:00:48', NULL, NULL), (28204, '', '凉风社区', '8ec080f71ddc4d2ebdb546cab07a6b26', '77b3669eb7d04778a73e8a1aaf3ad970', 'False', 'True', 'false', 'false', '511923703500', 5, '凉风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923703500', 1, '2021-07-19 12:00:48', NULL, NULL), (28205, '', '尖峰村', '7f5aa1e7e2994ecaab18f491199938e1', '77b3669eb7d04778a73e8a1aaf3ad970', 'False', 'True', 'false', 'false', '511923703708', 5, '尖峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923703708', 1, '2021-07-19 12:00:48', NULL, NULL), (28206, '', '鹿鸣社区', '75fc32eac92f4db98d283ab733930503', '77b3669eb7d04778a73e8a1aaf3ad970', 'False', 'True', 'false', 'false', '511923703830', 5, '鹿鸣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923703830', 1, '2021-07-19 12:00:48', NULL, NULL), (28207, '', '嘶峰村', '98e79345b20640369df7eb8286a9cf19', '77b3669eb7d04778a73e8a1aaf3ad970', 'False', 'True', 'false', 'false', '511923703860', 5, '嘶峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923703860', 1, '2021-07-19 12:00:48', NULL, NULL), (28208, '', '邱家堡社区', 'f0c345b75f2843daafd2cb30ffa82b78', '77b3669eb7d04778a73e8a1aaf3ad970', 'False', 'True', 'false', 'false', '511923703906', 5, '邱家堡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923703906', 1, '2021-07-19 12:00:48', NULL, NULL), (28209, '', '三明村', '94e3b2ba7bd641bd9cbedf3f41293971', '77b3669eb7d04778a73e8a1aaf3ad970', 'False', 'True', 'false', 'false', '511923703919', 5, '三明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923703919', 1, '2021-07-19 12:00:49', NULL, NULL), (28210, '', '同州街道', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923757000', 4, '同州街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923757000', 1, '2021-07-19 12:00:49', NULL, NULL), (28211, '', '龙潭社区', 'e1d44acc5eec4483b65da66e350d0377', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923001029', 5, '龙潭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923001029', 1, '2021-07-19 12:00:49', NULL, NULL), (28212, '', '佛头社区', 'e47945c674e44f35bb07d6e27607b79c', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923001035', 5, '佛头社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923001035', 1, '2021-07-19 12:00:49', NULL, NULL), (28213, '', '雪花坪社区', 'ee51f8b655fa4861a388fdc1ede51fdb', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923001040', 5, '雪花坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923001040', 1, '2021-07-19 12:00:49', NULL, NULL), (28214, '', '坦溪社区', 'c7d5b581192e4dbf9cea72ebe328529a', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923001041', 5, '坦溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923001041', 1, '2021-07-19 12:00:49', NULL, NULL), (28215, '', '金山坪社区', '87da612ffa3d48dbae19c9b37a0332be', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923001042', 5, '金山坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923001042', 1, '2021-07-19 12:00:49', NULL, NULL), (28216, '', '长印社区', '7e9ed67b88344f8bbf59fb58fcde8979', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923001043', 5, '长印社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923001043', 1, '2021-07-19 12:00:49', NULL, NULL), (28217, '', '汉王庙社区', '6b8f4038dbf0419b9523bceadf80263f', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923757105', 5, '汉王庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923757105', 1, '2021-07-19 12:00:49', NULL, NULL), (28218, '', '新平街社区', '220070e66cb645ebbb03d5a978d5f20a', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923757154', 5, '新平街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923757154', 1, '2021-07-19 12:00:49', NULL, NULL), (28219, '', '人民街社区', '0581f24a066f401899f96882af8eca8e', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923757273', 5, '人民街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923757273', 1, '2021-07-19 12:00:49', NULL, NULL), (28220, '', '友谊社区', 'd407ccf44dca4c19b067acc4f1362fa4', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923757481', 5, '友谊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923757481', 1, '2021-07-19 12:00:49', NULL, NULL), (28221, '', '文化街社区', 'dc5aac6fe9024ec197d20e1e8cda53ad', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923757502', 5, '文化街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923757502', 1, '2021-07-19 12:00:50', NULL, NULL), (28222, '', '新华街社区', '216fdf7dc8234fa0ae26f5734658b666', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923757645', 5, '新华街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923757645', 1, '2021-07-19 12:00:50', NULL, NULL), (28223, '', '龙王庙社区', 'c709a127a7b54e3494d4a168ced9d7db', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923757688', 5, '龙王庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923757688', 1, '2021-07-19 12:00:50', NULL, NULL), (28224, '', '唐家碥社区', '2fddf4a142d540b9b1abb600d81d2b4a', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923757775', 5, '唐家碥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923757775', 1, '2021-07-19 12:00:50', NULL, NULL), (28225, '', '建设街社区', '61f4d34151244be3bb42e6791d9a21ef', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923757795', 5, '建设街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923757795', 1, '2021-07-19 12:00:50', NULL, NULL), (28226, '', '土桥社区', '4e19af4b47834ff2807a889052f37507', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923757850', 5, '土桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923757850', 1, '2021-07-19 12:00:50', NULL, NULL), (28227, '', '政法街社区', '9eb324924c5d403c8af4960c247b2289', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923757864', 5, '政法街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923757864', 1, '2021-07-19 12:00:50', NULL, NULL), (28228, '', '华严社区', '5a09c45261f84448b3e1edec98c4bef0', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923757908', 5, '华严社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923757908', 1, '2021-07-19 12:00:50', NULL, NULL), (28229, '', '永福社区', 'aada6223a14b40dfb797b91cc7920009', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923757917', 5, '永福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923757917', 1, '2021-07-19 12:00:50', NULL, NULL), (28230, '', '廖家咀社区', '653e1989f6934fc8923844fe8e00ddca', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923757923', 5, '廖家咀社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923757923', 1, '2021-07-19 12:00:50', NULL, NULL), (28231, '', '信义社区', '2ebc1c4838294e6c880d8e1098112d4d', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923757968', 5, '信义社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923757968', 1, '2021-07-19 12:00:50', NULL, NULL), (28232, '', '蜈蚣社区', 'ae467543da8c4fa6bdcaa8bc400676b3', 'ddb7be59e5c349b2a9ef373efd1c09a2', 'False', 'True', 'false', 'false', '511923757990', 5, '蜈蚣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923757990', 1, '2021-07-19 12:00:50', NULL, NULL), (28233, '', '元山镇', 'c80ca9cb3b0f4fa7b173438fc78b05cc', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923771000', 4, '元山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923771000', 1, '2021-07-19 12:00:50', NULL, NULL), (28234, '', '长城村', 'bb44fa16515142e9b3cca9e2a9bf6cea', 'c80ca9cb3b0f4fa7b173438fc78b05cc', 'False', 'True', 'false', 'false', '511923771290', 5, '长城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923771290', 1, '2021-07-19 12:00:50', NULL, NULL), (28235, '', '新兴村', 'caa9cdee823e4816adc925e8c4fd6503', 'c80ca9cb3b0f4fa7b173438fc78b05cc', 'False', 'True', 'false', 'false', '511923771364', 5, '新兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923771364', 1, '2021-07-19 12:00:50', NULL, NULL), (28236, '', '张公社区', '781a31c95b54413caac55ef4ae7bef57', 'c80ca9cb3b0f4fa7b173438fc78b05cc', 'False', 'True', 'false', 'false', '511923771437', 5, '张公社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923771437', 1, '2021-07-19 12:00:51', NULL, NULL), (28237, '', '通木村', '2a4bc554cac34eb5941e803dc79f3f71', 'c80ca9cb3b0f4fa7b173438fc78b05cc', 'False', 'True', 'false', 'false', '511923771536', 5, '通木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923771536', 1, '2021-07-19 12:00:51', NULL, NULL), (28238, '', '复兴村', 'e97bb7a476d641d39c551b6ec2fab8c3', 'c80ca9cb3b0f4fa7b173438fc78b05cc', 'False', 'True', 'false', 'false', '511923771580', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923771580', 1, '2021-07-19 12:00:51', NULL, NULL), (28239, '', '寿南山村', 'df1bd276babf4e80aaa95198557e9fef', 'c80ca9cb3b0f4fa7b173438fc78b05cc', 'False', 'True', 'false', 'false', '511923771708', 5, '寿南山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923771708', 1, '2021-07-19 12:00:51', NULL, NULL), (28240, '', '长岗村', '1ed0cc47666b495e9ca8b8a8f9b743aa', 'c80ca9cb3b0f4fa7b173438fc78b05cc', 'False', 'True', 'false', 'false', '511923771710', 5, '长岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923771710', 1, '2021-07-19 12:00:51', NULL, NULL), (28241, '', '元山社区', 'c4447564a9834f67a29f79f8281d3939', 'c80ca9cb3b0f4fa7b173438fc78b05cc', 'False', 'True', 'false', 'false', '511923771796', 5, '元山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923771796', 1, '2021-07-19 12:00:51', NULL, NULL), (28242, '', '插旗山村', '2d6b04ca0f0649f0bf87b94e1a76729e', 'c80ca9cb3b0f4fa7b173438fc78b05cc', 'False', 'True', 'false', 'false', '511923771809', 5, '插旗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923771809', 1, '2021-07-19 12:00:51', NULL, NULL), (28243, '', '岩口镇', '3971b9e3e8654ea09882a26b06981f27', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923799000', 4, '岩口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923799000', 1, '2021-07-19 12:00:51', NULL, NULL), (28244, '', '小寨村', '7b6390546b204576a887c23d79dd7cfe', '3971b9e3e8654ea09882a26b06981f27', 'False', 'True', 'false', 'false', '511923135207', 5, '小寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923135207', 1, '2021-07-19 12:00:51', NULL, NULL), (28245, '', '红岩子村', 'af590a13f6e84c458b3908dd12308297', '3971b9e3e8654ea09882a26b06981f27', 'False', 'True', 'false', 'false', '511923135208', 5, '红岩子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923135208', 1, '2021-07-19 12:00:51', NULL, NULL), (28246, '', '柏林村', 'e0c6b13713f24b1ca397ea326a208fc7', '3971b9e3e8654ea09882a26b06981f27', 'False', 'True', 'false', 'false', '511923799280', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923799280', 1, '2021-07-19 12:00:51', NULL, NULL), (28247, '', '马鞍社区', 'c7b68a06053a44d6a2390597031d8066', '3971b9e3e8654ea09882a26b06981f27', 'False', 'True', 'false', 'false', '511923799304', 5, '马鞍社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923799304', 1, '2021-07-19 12:00:51', NULL, NULL), (28248, '', '土坝社区', 'd771c78a31264896a2645218813ba97d', '3971b9e3e8654ea09882a26b06981f27', 'False', 'True', 'false', 'false', '511923799413', 5, '土坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923799413', 1, '2021-07-19 12:00:51', NULL, NULL), (28249, '', '穿柏村', '7a3179732f1343c6b37276420306ec5b', '3971b9e3e8654ea09882a26b06981f27', 'False', 'True', 'false', 'false', '511923799490', 5, '穿柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923799490', 1, '2021-07-19 12:00:51', NULL, NULL), (28250, '', '白坪村', 'bb45d10cfcf94fe2b628926db413932f', '3971b9e3e8654ea09882a26b06981f27', 'False', 'True', 'false', 'false', '511923799578', 5, '白坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923799578', 1, '2021-07-19 12:00:51', NULL, NULL), (28251, '', '庄子村', 'f7c15b05118b49bfaa36884638162c17', '3971b9e3e8654ea09882a26b06981f27', 'False', 'True', 'false', 'false', '511923799587', 5, '庄子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923799587', 1, '2021-07-19 12:00:51', NULL, NULL), (28252, '', '黄粱村', 'f502a59940b149e5938dd360149ddbe8', '3971b9e3e8654ea09882a26b06981f27', 'False', 'True', 'false', 'false', '511923799609', 5, '黄粱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923799609', 1, '2021-07-19 12:00:52', NULL, NULL), (28253, '', '长岩村', '36297f7524424a42b7cade6291b254d5', '3971b9e3e8654ea09882a26b06981f27', 'False', 'True', 'false', 'false', '511923799623', 5, '长岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923799623', 1, '2021-07-19 12:00:52', NULL, NULL), (28254, '', '方山村', '63ded14c645840bb83581c2ad369c98e', '3971b9e3e8654ea09882a26b06981f27', 'False', 'True', 'false', 'false', '511923799841', 5, '方山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923799841', 1, '2021-07-19 12:00:52', NULL, NULL), (28255, '', '涵水镇', 'a3662cf705ca470b98840faa82a2706b', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923821000', 4, '涵水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923821000', 1, '2021-07-19 12:00:52', NULL, NULL), (28256, '', '幸福村', 'c830549a7e184e04b0a5794ee35bfb00', 'a3662cf705ca470b98840faa82a2706b', 'False', 'True', 'false', 'false', '511923821232', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923821232', 1, '2021-07-19 12:00:52', NULL, NULL), (28257, '', '花桥社区', 'd9b83523840b465c97c1421436563e8c', 'a3662cf705ca470b98840faa82a2706b', 'False', 'True', 'false', 'false', '511923821433', 5, '花桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923821433', 1, '2021-07-19 12:00:52', NULL, NULL), (28258, '', '海峰村', '93becca3ccd14764a69722e6f6b1e19e', 'a3662cf705ca470b98840faa82a2706b', 'False', 'True', 'false', 'false', '511923821588', 5, '海峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923821588', 1, '2021-07-19 12:00:52', NULL, NULL), (28259, '', '庆丰村', '0a1a0e1e41244688b80bbd913ed5fed1', 'a3662cf705ca470b98840faa82a2706b', 'False', 'True', 'false', 'false', '511923821718', 5, '庆丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923821718', 1, '2021-07-19 12:00:52', NULL, NULL), (28260, '', '涵水社区', 'd8d431d76947478ebc4da829fd0f397a', 'a3662cf705ca470b98840faa82a2706b', 'False', 'True', 'false', 'false', '511923821778', 5, '涵水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923821778', 1, '2021-07-19 12:00:52', NULL, NULL), (28261, '', '禅林社区', '9edf207fc6c445839a27ce5aa7cfc942', 'a3662cf705ca470b98840faa82a2706b', 'False', 'True', 'false', 'false', '511923821900', 5, '禅林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923821900', 1, '2021-07-19 12:00:52', NULL, NULL), (28262, '', '灵山镇', 'da511c6fcfe646638bb1619535dd065d', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923832000', 4, '灵山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923832000', 1, '2021-07-19 12:00:52', NULL, NULL), (28263, '', '朝阳村', '91d94f67edce41deb1b0b601f953b976', 'da511c6fcfe646638bb1619535dd065d', 'False', 'True', 'false', 'false', '511923118207', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923118207', 1, '2021-07-19 12:00:52', NULL, NULL), (28264, '', '巴灵台社区', '1e0fa74bee2b498682f2045e5f161317', 'da511c6fcfe646638bb1619535dd065d', 'False', 'True', 'false', 'false', '511923832334', 5, '巴灵台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923832334', 1, '2021-07-19 12:00:52', NULL, NULL), (28265, '', '天花村', 'd99c9d69b438454e94270d22dfb3387e', 'da511c6fcfe646638bb1619535dd065d', 'False', 'True', 'false', 'false', '511923832579', 5, '天花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923832579', 1, '2021-07-19 12:00:52', NULL, NULL), (28266, '', '元柏社区', 'e1564365fc9e4283a7b17bc097b8008c', 'da511c6fcfe646638bb1619535dd065d', 'False', 'True', 'false', 'false', '511923832614', 5, '元柏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923832614', 1, '2021-07-19 12:00:52', NULL, NULL), (28267, '', '民意社区', 'b270fdebb2d64fb4aebe9d7194ad938f', 'da511c6fcfe646638bb1619535dd065d', 'False', 'True', 'false', 'false', '511923832743', 5, '民意社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923832743', 1, '2021-07-19 12:00:52', NULL, NULL), (28268, '', '金星社区', 'be8f0b06ab7c43f2b78468ee95102606', 'da511c6fcfe646638bb1619535dd065d', 'False', 'True', 'false', 'false', '511923832760', 5, '金星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923832760', 1, '2021-07-19 12:00:53', NULL, NULL), (28269, '', '凉亭村', 'f33ac95566d34768bbc6f386e3e7c183', 'da511c6fcfe646638bb1619535dd065d', 'False', 'True', 'false', 'false', '511923832870', 5, '凉亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923832870', 1, '2021-07-19 12:00:53', NULL, NULL), (28270, '', '板庙镇', '7754526b432349e987d4c9596798099f', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923835000', 4, '板庙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923835000', 1, '2021-07-19 12:00:53', NULL, NULL), (28271, '', '红宝村', '17332c84e47c478b8c3560928d6b6ec8', '7754526b432349e987d4c9596798099f', 'False', 'True', 'false', 'false', '511923122210', 5, '红宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923122210', 1, '2021-07-19 12:00:53', NULL, NULL), (28272, '', '龙井村', '9bee1ca1de3643a783dd64722b23cf6f', '7754526b432349e987d4c9596798099f', 'False', 'True', 'false', 'false', '511923122211', 5, '龙井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923122211', 1, '2021-07-19 12:00:53', NULL, NULL), (28273, '', '柏桠村', 'b0dc68bc78f14988a68feaa28b5cb5c1', '7754526b432349e987d4c9596798099f', 'False', 'True', 'false', 'false', '511923122212', 5, '柏桠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923122212', 1, '2021-07-19 12:00:53', NULL, NULL), (28274, '', '青凤社区', '93b22c96bb4a41ca9cfb90c3248db2c5', '7754526b432349e987d4c9596798099f', 'False', 'True', 'false', 'false', '511923835287', 5, '青凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923835287', 1, '2021-07-19 12:00:53', NULL, NULL), (28275, '', '康坪村', '0c219bd28c67410d9281bf6ebe908aed', '7754526b432349e987d4c9596798099f', 'False', 'True', 'false', 'false', '511923835295', 5, '康坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923835295', 1, '2021-07-19 12:00:53', NULL, NULL), (28276, '', '板庙社区', '9bf180c30edf44afaee3dc5accd0f24c', '7754526b432349e987d4c9596798099f', 'False', 'True', 'false', 'false', '511923835345', 5, '板庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923835345', 1, '2021-07-19 12:00:53', NULL, NULL), (28277, '', '大石社区', 'ae81c75834d548e78d509354a10ef4fd', '7754526b432349e987d4c9596798099f', 'False', 'True', 'false', 'false', '511923835347', 5, '大石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923835347', 1, '2021-07-19 12:00:53', NULL, NULL), (28278, '', '枫香村', '8048958adf5e40eab4c3e3ace790dfd8', '7754526b432349e987d4c9596798099f', 'False', 'True', 'false', 'false', '511923835442', 5, '枫香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923835442', 1, '2021-07-19 12:00:53', NULL, NULL), (28279, '', '龙王村', '6d48121e8bef41698212a4b9e1ce2891', '7754526b432349e987d4c9596798099f', 'False', 'True', 'false', 'false', '511923835610', 5, '龙王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923835610', 1, '2021-07-19 12:00:53', NULL, NULL), (28280, '', '红云社区', '3ddd2e5f684e4b6d92d4f0282a36b943', '7754526b432349e987d4c9596798099f', 'False', 'True', 'false', 'false', '511923835620', 5, '红云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923835620', 1, '2021-07-19 12:00:53', NULL, NULL), (28281, '', '青龙村', 'a1120a8067724d3182e0fc587ff55ca7', '7754526b432349e987d4c9596798099f', 'False', 'True', 'false', 'false', '511923835690', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923835690', 1, '2021-07-19 12:00:53', NULL, NULL), (28282, '', '西角村', 'bda06ea3a9d64a9ba9a2f3739d272233', '7754526b432349e987d4c9596798099f', 'False', 'True', 'false', 'false', '511923835787', 5, '西角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923835787', 1, '2021-07-19 12:00:53', NULL, NULL), (28283, '', '千佛社区', 'b07ef78bd6704902a2e00178be7b6ad4', '7754526b432349e987d4c9596798099f', 'False', 'True', 'false', 'false', '511923835877', 5, '千佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923835877', 1, '2021-07-19 12:00:53', NULL, NULL), (28284, '', '西兴镇', '2f47d51e95984de7b4fa5f9cc39bdbec', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923869000', 4, '西兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923869000', 1, '2021-07-19 12:00:53', NULL, NULL), (28285, '', '天官堂村', 'f96868ff726b44dc81f19fd0fa22dde5', '2f47d51e95984de7b4fa5f9cc39bdbec', 'False', 'True', 'false', 'false', '511923102211', 5, '天官堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923102211', 1, '2021-07-19 12:00:54', NULL, NULL), (28286, '', '东升村', '758d4ee3a74049c398286fb09a72cca0', '2f47d51e95984de7b4fa5f9cc39bdbec', 'False', 'True', 'false', 'false', '511923102214', 5, '东升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923102214', 1, '2021-07-19 12:00:54', NULL, NULL), (28287, '', '官房村', '84ec7c90161244138599cdf0b8126c97', '2f47d51e95984de7b4fa5f9cc39bdbec', 'False', 'True', 'false', 'false', '511923102215', 5, '官房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923102215', 1, '2021-07-19 12:00:54', NULL, NULL), (28288, '', '新农村', '07c8bf9d94cf42868e32de25a0fcdd1c', '2f47d51e95984de7b4fa5f9cc39bdbec', 'False', 'True', 'false', 'false', '511923102217', 5, '新农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923102217', 1, '2021-07-19 12:00:54', NULL, NULL), (28289, '', '戏楼村', '5a6ea62be09742599b41443e023c9ed4', '2f47d51e95984de7b4fa5f9cc39bdbec', 'False', 'True', 'false', 'false', '511923869288', 5, '戏楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923869288', 1, '2021-07-19 12:00:54', NULL, NULL), (28290, '', '南斯村', 'ce534793e6e34f78a96f0953d7147a14', '2f47d51e95984de7b4fa5f9cc39bdbec', 'False', 'True', 'false', 'false', '511923869297', 5, '南斯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923869297', 1, '2021-07-19 12:00:54', NULL, NULL), (28291, '', '西兴社区', '370af5ffed1e4177969318fd1152197e', '2f47d51e95984de7b4fa5f9cc39bdbec', 'False', 'True', 'false', 'false', '511923869476', 5, '西兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923869476', 1, '2021-07-19 12:00:54', NULL, NULL), (28292, '', '八一村', 'a906b88ccf5942129a548253ebd77fc4', '2f47d51e95984de7b4fa5f9cc39bdbec', 'False', 'True', 'false', 'false', '511923869550', 5, '八一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923869550', 1, '2021-07-19 12:00:54', NULL, NULL), (28293, '', '高峰社区', '726d835fcbf3454db0b727fdba33f1e9', '2f47d51e95984de7b4fa5f9cc39bdbec', 'False', 'True', 'false', 'false', '511923869562', 5, '高峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923869562', 1, '2021-07-19 12:00:54', NULL, NULL), (28294, '', '龙凤村', '1b6619315fdf45f5bd5843d9f27477f7', '2f47d51e95984de7b4fa5f9cc39bdbec', 'False', 'True', 'false', 'false', '511923869748', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923869748', 1, '2021-07-19 12:00:54', NULL, NULL), (28295, '', '白龙村', 'ff7d9007aae742afbbb29034410dd7ad', '2f47d51e95984de7b4fa5f9cc39bdbec', 'False', 'True', 'false', 'false', '511923869755', 5, '白龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923869755', 1, '2021-07-19 12:00:54', NULL, NULL), (28296, '', '皇家山村', '46bed4a107a542c696fc49e21981fa39', '2f47d51e95984de7b4fa5f9cc39bdbec', 'False', 'True', 'false', 'false', '511923869841', 5, '皇家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923869841', 1, '2021-07-19 12:00:54', NULL, NULL), (28297, '', '马鞍村', 'b3e77df1e9d34fbc827a51e61619f9ee', '2f47d51e95984de7b4fa5f9cc39bdbec', 'False', 'True', 'false', 'false', '511923869850', 5, '马鞍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923869850', 1, '2021-07-19 12:00:54', NULL, NULL), (28298, '', '黄柳村', '5478fd78e146442bb43de62a1a026d66', '2f47d51e95984de7b4fa5f9cc39bdbec', 'False', 'True', 'false', 'false', '511923869912', 5, '黄柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923869912', 1, '2021-07-19 12:00:54', NULL, NULL), (28299, '', '江口街道', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923873000', 4, '江口街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923873000', 1, '2021-07-19 12:00:54', NULL, NULL), (28300, '', '望江社区', '68ba4d0bc1b941dd90bf50c418f6b79e', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003001', 5, '望江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003001', 1, '2021-07-19 12:00:54', NULL, NULL), (28301, '', '临江社区', '1bd761757cd14e54abaf197fbd602429', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003002', 5, '临江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003002', 1, '2021-07-19 12:00:54', NULL, NULL), (28302, '', '大运社区', '2c2e4c1096364edfb42ef9f876dafa26', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003003', 5, '大运社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003003', 1, '2021-07-19 12:00:54', NULL, NULL), (28303, '', '荔枝社区', 'f0efdfcc79ed46a5af2fd23ef4aa0110', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003004', 5, '荔枝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003004', 1, '2021-07-19 12:00:54', NULL, NULL), (28304, '', '元石社区', '8866c22c502f4b4cb6ccb0cc8ff5fa3a', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003005', 5, '元石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003005', 1, '2021-07-19 12:00:54', NULL, NULL), (28305, '', '长垭社区', 'fa05f416f9ae409daf2f6a4bc95d7d4d', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003006', 5, '长垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003006', 1, '2021-07-19 12:00:55', NULL, NULL), (28306, '', '黄滩社区', 'db05754196df431fbf0872160391f9c0', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003007', 5, '黄滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003007', 1, '2021-07-19 12:00:55', NULL, NULL), (28307, '', '星光社区', 'd5919ae89a504bd49fa6c658044fafa2', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003008', 5, '星光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003008', 1, '2021-07-19 12:00:55', NULL, NULL), (28308, '', '双星社区', '05c8b4aa196b4d8fb93a527ec454a6ad', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003009', 5, '双星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003009', 1, '2021-07-19 12:00:55', NULL, NULL), (28309, '', '福星社区', '75e34822047a428d85587be5a986f91e', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003010', 5, '福星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003010', 1, '2021-07-19 12:00:55', NULL, NULL), (28310, '', '梅垭社区', 'c19b62110fe24ce8906e819e0f932e88', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003011', 5, '梅垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003011', 1, '2021-07-19 12:00:55', NULL, NULL), (28311, '', '风滩社区', '05ef8dc716ba4c469ef5f9f1fbbe796f', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003012', 5, '风滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003012', 1, '2021-07-19 12:00:55', NULL, NULL), (28312, '', '大宁社区', '6fb2b03464764eb1b801ef2a3925bb0f', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003013', 5, '大宁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003013', 1, '2021-07-19 12:00:55', NULL, NULL), (28313, '', '桥沟社区', '8f0d229b33e44fec92b6092c925e8d5f', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003014', 5, '桥沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003014', 1, '2021-07-19 12:00:55', NULL, NULL), (28314, '', '猫寨村', '20450a5a1ba84fd5bbfcbe63d1cb8959', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003200', 5, '猫寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003200', 1, '2021-07-19 12:00:55', NULL, NULL), (28315, '', '秋风村', 'd2422ed1548a4b80be8b788763981ead', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003201', 5, '秋风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003201', 1, '2021-07-19 12:00:55', NULL, NULL), (28316, '', '檬梓村', 'a8d27487cd4342138e7a291d643e71d7', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003202', 5, '檬梓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003202', 1, '2021-07-19 12:00:55', NULL, NULL), (28317, '', '白顶村', '08a5fb24caaf47b98274533aa9886f11', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003203', 5, '白顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003203', 1, '2021-07-19 12:00:55', NULL, NULL), (28318, '', '白沙村', '5f45d1ae000340a1b9f12470b9a957f7', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003204', 5, '白沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003204', 1, '2021-07-19 12:00:55', NULL, NULL), (28319, '', '草庙村', '36e48f02b817463f91bb73830bb7877b', '31f6d5f7bd4e4cfa9792f6ab5655a10d', 'False', 'True', 'false', 'false', '511923003205', 5, '草庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923003205', 1, '2021-07-19 12:00:55', NULL, NULL), (28320, '', '笔山镇', '385977534d4b48b3886ef22f94e3dbe1', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923905000', 4, '笔山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923905000', 1, '2021-07-19 12:00:55', NULL, NULL), (28321, '', '桂花村', 'd4e24b2ff21a4843a530a0ed3910812f', '385977534d4b48b3886ef22f94e3dbe1', 'False', 'True', 'false', 'false', '511923905124', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923905124', 1, '2021-07-19 12:00:55', NULL, NULL), (28322, '', '栀子村', '611b9cffd2634751bdfa4385801c4065', '385977534d4b48b3886ef22f94e3dbe1', 'False', 'True', 'false', 'false', '511923905139', 5, '栀子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923905139', 1, '2021-07-19 12:00:55', NULL, NULL), (28323, '', '石狮村', '8a956f638e914a08b0e0dae0b96c417c', '385977534d4b48b3886ef22f94e3dbe1', 'False', 'True', 'false', 'false', '511923905194', 5, '石狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923905194', 1, '2021-07-19 12:00:56', NULL, NULL), (28324, '', '楼石村', 'b08b51d09d5a4a26abe12c50bec3012b', '385977534d4b48b3886ef22f94e3dbe1', 'False', 'True', 'false', 'false', '511923905267', 5, '楼石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923905267', 1, '2021-07-19 12:00:56', NULL, NULL), (28325, '', '白云村', '1f8ee78824714ae58d356d9a254cab40', '385977534d4b48b3886ef22f94e3dbe1', 'False', 'True', 'false', 'false', '511923905268', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923905268', 1, '2021-07-19 12:00:56', NULL, NULL), (28326, '', '盐井村', '9a9845b0d80c45dc96909f9a0c64e701', '385977534d4b48b3886ef22f94e3dbe1', 'False', 'True', 'false', 'false', '511923905325', 5, '盐井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923905325', 1, '2021-07-19 12:00:56', NULL, NULL), (28327, '', '清溪村', '0037faa6071349ea923ef03899796743', '385977534d4b48b3886ef22f94e3dbe1', 'False', 'True', 'false', 'false', '511923905403', 5, '清溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923905403', 1, '2021-07-19 12:00:56', NULL, NULL), (28328, '', '喻坝村', '9b33faea233949ef946c3c03761b7f3b', '385977534d4b48b3886ef22f94e3dbe1', 'False', 'True', 'false', 'false', '511923905449', 5, '喻坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923905449', 1, '2021-07-19 12:00:56', NULL, NULL), (28329, '', '八坪村', 'a0f0ceb005d6434d8e94a354acee54f1', '385977534d4b48b3886ef22f94e3dbe1', 'False', 'True', 'false', 'false', '511923905450', 5, '八坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923905450', 1, '2021-07-19 12:00:56', NULL, NULL), (28330, '', '凤凰社区', '5d75b8ec449b4494ac12e698971dca52', '385977534d4b48b3886ef22f94e3dbe1', 'False', 'True', 'false', 'false', '511923905475', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923905475', 1, '2021-07-19 12:00:56', NULL, NULL), (28331, '', '东庄村', 'ef1690bb2c184562a756fac0b18712ff', '385977534d4b48b3886ef22f94e3dbe1', 'False', 'True', 'false', 'false', '511923905485', 5, '东庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923905485', 1, '2021-07-19 12:00:56', NULL, NULL), (28332, '', '大垭村', '93226ca28cd5486cbcd394308e30bba5', '385977534d4b48b3886ef22f94e3dbe1', 'False', 'True', 'false', 'false', '511923905506', 5, '大垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923905506', 1, '2021-07-19 12:00:56', NULL, NULL), (28333, '', '大坝村', 'cef5616eeb79449483288c975e7384a7', '385977534d4b48b3886ef22f94e3dbe1', 'False', 'True', 'false', 'false', '511923905595', 5, '大坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923905595', 1, '2021-07-19 12:00:56', NULL, NULL), (28334, '', '千秋社区', '768de554ff9a4eb7bec135a28ee61b66', '385977534d4b48b3886ef22f94e3dbe1', 'False', 'True', 'false', 'false', '511923905777', 5, '千秋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923905777', 1, '2021-07-19 12:00:56', NULL, NULL), (28335, '', '笔峰村', '5e30de8091ea4b9ca83ce8945db29aa0', '385977534d4b48b3886ef22f94e3dbe1', 'False', 'True', 'false', 'false', '511923905784', 5, '笔峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923905784', 1, '2021-07-19 12:00:56', NULL, NULL), (28336, '', '笔山社区', 'c3e6452fc53f4b3093d90f358b0be736', '385977534d4b48b3886ef22f94e3dbe1', 'False', 'False', 'false', 'false', '511923905960', 5, '笔山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923905960', 1, '2021-07-19 12:00:56', NULL, NULL), (28337, '', '中岭村', '9efcda7963a44c1cb6bacfb12f9eccdd', '385977534d4b48b3886ef22f94e3dbe1', 'False', 'True', 'false', 'false', '511923905978', 5, '中岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923905978', 1, '2021-07-19 12:00:56', NULL, NULL), (28338, '', '青云镇', 'b9695405075d4828afd9aa68938a961d', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923964000', 4, '青云镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923964000', 1, '2021-07-19 12:00:56', NULL, NULL), (28339, '', '中包村', '6e81342abce146ecb99ee5e32ecb9c93', 'b9695405075d4828afd9aa68938a961d', 'False', 'True', 'false', 'false', '511923964297', 5, '中包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923964297', 1, '2021-07-19 12:00:56', NULL, NULL), (28340, '', '天城村', '3ce2626ff90c427b9cc361c1dd94090e', 'b9695405075d4828afd9aa68938a961d', 'False', 'True', 'false', 'false', '511923964318', 5, '天城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923964318', 1, '2021-07-19 12:00:56', NULL, NULL), (28341, '', '斗阵村', '223c1cc498834e36984cf04b161db295', 'b9695405075d4828afd9aa68938a961d', 'False', 'True', 'false', 'false', '511923964463', 5, '斗阵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923964463', 1, '2021-07-19 12:00:56', NULL, NULL), (28342, '', '华严村', '88f6cdb27d394754b9caeb56e273ea61', 'b9695405075d4828afd9aa68938a961d', 'False', 'True', 'false', 'false', '511923964586', 5, '华严村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923964586', 1, '2021-07-19 12:00:56', NULL, NULL), (28343, '', '龙寨村', 'be390c56a9fd4273b62f075ac4d764ba', 'b9695405075d4828afd9aa68938a961d', 'False', 'True', 'false', 'false', '511923964597', 5, '龙寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923964597', 1, '2021-07-19 12:00:56', NULL, NULL), (28344, '', '青林社区', '84a5bd32ccba4b528a4db716cc894200', 'b9695405075d4828afd9aa68938a961d', 'False', 'True', 'false', 'false', '511923964695', 5, '青林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923964695', 1, '2021-07-19 12:00:56', NULL, NULL), (28345, '', '石院村', '958568c4a65f4b60a49d7e7448ea75e9', 'b9695405075d4828afd9aa68938a961d', 'False', 'True', 'false', 'false', '511923964785', 5, '石院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923964785', 1, '2021-07-19 12:00:56', NULL, NULL), (28346, '', '通马村', '2f424fff22b94f3a82cda42a5a67bc55', 'b9695405075d4828afd9aa68938a961d', 'False', 'True', 'false', 'false', '511923964844', 5, '通马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923964844', 1, '2021-07-19 12:00:57', NULL, NULL), (28347, '', '响滩镇', 'cae70c69683c4f069743d5247fed400d', 'dd853dba279346238da8cecee4132fe9', 'True', 'True', 'false', 'false', '511923981000', 4, '响滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511923981000', 1, '2021-07-19 12:00:57', NULL, NULL), (28348, '', '东岳村', '522c6e0ba39b4717889991225090349d', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923101216', 5, '东岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923101216', 1, '2021-07-19 12:00:57', NULL, NULL), (28349, '', '云盘村', 'e7f5c57bd340470e9807a4d8a657d4d3', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923101217', 5, '云盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923101217', 1, '2021-07-19 12:00:57', NULL, NULL), (28350, '', '大玉村', '8254e352453346118da1e763e7588c84', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923101218', 5, '大玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923101218', 1, '2021-07-19 12:00:57', NULL, NULL), (28351, '', '望崇村', 'ac575ee6988049f9b77a1f3d7682f5af', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923101219', 5, '望崇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923101219', 1, '2021-07-19 12:00:57', NULL, NULL), (28352, '', '五凤村', 'db45c01e1b974ddd84aa4d5edc102dbc', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923101220', 5, '五凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923101220', 1, '2021-07-19 12:00:57', NULL, NULL), (28353, '', '永福村', '6e03962cb03c4969b607ce0a90827098', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923101221', 5, '永福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923101221', 1, '2021-07-19 12:00:57', NULL, NULL), (28354, '', '元坪村', '90af804720eb427c9aa1ac3b4f848e73', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923101222', 5, '元坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923101222', 1, '2021-07-19 12:00:57', NULL, NULL), (28355, '', '北斗村', '878733873d8e4d33b45c128aed5bd84f', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923101223', 5, '北斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923101223', 1, '2021-07-19 12:00:57', NULL, NULL), (28356, '', '望香村', '6bee8bfcec804adcbcf07c1151fb3a82', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923101224', 5, '望香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923101224', 1, '2021-07-19 12:00:57', NULL, NULL), (28357, '', '鸣高村', 'b38614469d3f499999e355903fa15854', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923101225', 5, '鸣高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923101225', 1, '2021-07-19 12:00:57', NULL, NULL), (28358, '', '万安村', '249f40e534a94749a74d077434388fb1', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923101226', 5, '万安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923101226', 1, '2021-07-19 12:00:57', NULL, NULL), (28359, '', '永安村', 'ce3f72dde44449338d988a9845bfbbca', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923101227', 5, '永安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923101227', 1, '2021-07-19 12:00:57', NULL, NULL), (28360, '', '玉峰村', '1c20f4c7b590417994691211dae0d652', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923101228', 5, '玉峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923101228', 1, '2021-07-19 12:00:57', NULL, NULL), (28361, '', '二龙社区', '02d5b5c1e43b402498ab4dd9830dda29', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923981202', 5, '二龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923981202', 1, '2021-07-19 12:00:57', NULL, NULL), (28362, '', '龙岩村', '55cd5071296a43d39ec5e2bfee6ab1d2', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923981245', 5, '龙岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923981245', 1, '2021-07-19 12:00:57', NULL, NULL), (28363, '', '元沱街社区', '0e0bc24ca2da4d7da3782c19952a7528', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923981293', 5, '元沱街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923981293', 1, '2021-07-19 12:00:57', NULL, NULL), (28364, '', '楠木村', '55c50752d64e42759e360bb443eb1160', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923981347', 5, '楠木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923981347', 1, '2021-07-19 12:00:58', NULL, NULL), (28365, '', '三槐村', '9dbfb8d3c71e43f481fbef0480db0522', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923981430', 5, '三槐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923981430', 1, '2021-07-19 12:00:58', NULL, NULL), (28366, '', '长梁村', 'f9ed0ebcf1e44fd7b0b17cc3cc634941', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923981448', 5, '长梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923981448', 1, '2021-07-19 12:00:58', NULL, NULL), (28367, '', '黑水社区', 'a2dc6fb99576496a9ed1de73596ac60e', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923981600', 5, '黑水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923981600', 1, '2021-07-19 12:00:58', NULL, NULL), (28368, '', '五岭村', '474d45a3a3ec4fda83ef642f7a3151fa', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923981685', 5, '五岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923981685', 1, '2021-07-19 12:00:58', NULL, NULL), (28369, '', '龙角社区', 'f25789702983436fbba0b44b42935e36', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923981717', 5, '龙角社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923981717', 1, '2021-07-19 12:00:58', NULL, NULL), (28370, '', '石泉村', 'f0fdd8c59788424d8b4d7532ee806d5a', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923981723', 5, '石泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923981723', 1, '2021-07-19 12:00:58', NULL, NULL), (28371, '', '西桥社区', 'e26254474e3c4fbabdd3b0c03b361396', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923981730', 5, '西桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923981730', 1, '2021-07-19 12:00:58', NULL, NULL), (28372, '', '南风社区', 'a49092dc90d6476cb501aa6c8f0bdbc0', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923981880', 5, '南风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923981880', 1, '2021-07-19 12:00:58', NULL, NULL), (28373, '', '禹王街社区', 'b49dcbf3b5ef4dceabf88dd7c64ae682', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923981902', 5, '禹王街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923981902', 1, '2021-07-19 12:00:58', NULL, NULL), (28374, '', '新兴街社区', 'cd30c06abc8d41e3a9a0bcd895ebd9f7', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923981971', 5, '新兴街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923981971', 1, '2021-07-19 12:00:58', NULL, NULL), (28375, '', '双梁村', '3cacecfa7f7d4d199bff5327432d5d26', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923981979', 5, '双梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923981979', 1, '2021-07-19 12:00:58', NULL, NULL), (28376, '', '竹山村', 'bfb7688ea07743d8a3a5eee5798c67f1', 'cae70c69683c4f069743d5247fed400d', 'False', 'True', 'false', 'false', '511923981991', 5, '竹山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511923981991', 1, '2021-07-19 12:00:58', NULL, NULL), (28377, '', '雅安市', '5f2063c48e7e42ba922a2481e5ffea5d', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '511800000000', 2, '雅安市', 'yas.sczwfw.gov.cn', 1, '2021-07-19 12:00:58', NULL, NULL), (28378, '', '名山区', '679aaf44ed01412788b6e1e20d5be3f2', '5f2063c48e7e42ba922a2481e5ffea5d', 'True', 'True', 'false', 'false', '511803000000', 3, '名山区', 'yasmsq.sczwfw.gov.cn', 1, '2021-07-19 12:00:58', NULL, NULL), (28379, '', '永兴街道', '5c0333fdce4745cf982f057752231a8c', '679aaf44ed01412788b6e1e20d5be3f2', 'True', 'True', 'false', 'false', '511803968000', 4, '永兴街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511803968000', 1, '2021-07-19 12:00:58', NULL, NULL), (28380, '', '永兴街道化城村村委会', '9b92326ccc7044b5aeffd058a1edc685', '5c0333fdce4745cf982f057752231a8c', 'False', 'True', 'false', 'false', '511803001000', 5, '永兴街道化城村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803001000', 1, '2021-07-19 12:00:58', NULL, NULL), (28381, '', '永兴街道社区居委会', '16c0970082d44d79bbe2527b03d0e526', '5c0333fdce4745cf982f057752231a8c', 'False', 'True', 'false', 'false', '511803001115', 5, '永兴街道社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803001115', 1, '2021-07-19 12:00:58', NULL, NULL), (28382, '', '永兴街道和谐村村委会', '45838d5ed9d94c3db9d078126324b655', '5c0333fdce4745cf982f057752231a8c', 'False', 'True', 'false', 'false', '511803001118', 5, '永兴街道和谐村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803001118', 1, '2021-07-19 12:00:58', NULL, NULL), (28383, '', '永兴街道槐树村村委会', '56bcd0bc746b4629a5a2caafd47ca25a', '5c0333fdce4745cf982f057752231a8c', 'False', 'True', 'false', 'false', '511803001234', 5, '永兴街道槐树村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803001234', 1, '2021-07-19 12:00:59', NULL, NULL), (28384, '', '永兴街道箭道村村委会', 'c139a245e286448880b9621dd5265387', '5c0333fdce4745cf982f057752231a8c', 'False', 'True', 'false', 'false', '511803001301', 5, '永兴街道箭道村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803001301', 1, '2021-07-19 12:00:59', NULL, NULL), (28385, '', '永兴街道两桥村村委会', '9f9dd135111f4a8484c5102dc91fbd15', '5c0333fdce4745cf982f057752231a8c', 'False', 'True', 'false', 'false', '511803001379', 5, '永兴街道两桥村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803001379', 1, '2021-07-19 12:00:59', NULL, NULL), (28386, '', '永兴街道江落村村委会', 'aaeb597f699341e3b0afccc1ac60a4a5', '5c0333fdce4745cf982f057752231a8c', 'False', 'True', 'false', 'false', '511803001491', 5, '永兴街道江落村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803001491', 1, '2021-07-19 12:00:59', NULL, NULL), (28387, '', '永兴街道卫干社区居委会', '6e8adb7755b04edda1725f6cb0ff12a8', '5c0333fdce4745cf982f057752231a8c', 'False', 'True', 'false', 'false', '511803001642', 5, '永兴街道卫干社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803001642', 1, '2021-07-19 12:00:59', NULL, NULL), (28388, '', '永兴街道三岔村村委会', 'c1b104c6d73744d78b32472bccae0ee6', '5c0333fdce4745cf982f057752231a8c', 'False', 'True', 'false', 'false', '511803001681', 5, '永兴街道三岔村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803001681', 1, '2021-07-19 12:00:59', NULL, NULL), (28389, '', '永兴街道双墙村村委会', 'a7b666308bea46ea9233f176c8ecadd8', '5c0333fdce4745cf982f057752231a8c', 'False', 'True', 'false', 'false', '511803001691', 5, '永兴街道双墙村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803001691', 1, '2021-07-19 12:00:59', NULL, NULL), (28390, '', '永兴街道文峰村村委会', '75161a8fe14145a089f16ab9aa4c9665', '5c0333fdce4745cf982f057752231a8c', 'False', 'True', 'false', 'false', '511803001858', 5, '永兴街道文峰村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803001858', 1, '2021-07-19 12:00:59', NULL, NULL), (28391, '', '蒙阳街道', '9f7fec4b1e344393959a59c259d9670e', '679aaf44ed01412788b6e1e20d5be3f2', 'True', 'True', 'false', 'false', '511803100000', 4, '蒙阳街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511803100000', 1, '2021-07-19 12:00:59', NULL, NULL), (28392, '', '蒙阳街道平桥村村委会', 'bc34b0a1312840a0806bdb8d88eaec3b', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100278', 5, '平桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100278', 1, '2021-07-19 12:00:59', NULL, NULL), (28393, '', '蒙阳街道清河村村委会', 'f0e28c14a89846039ac71eac5ea71243', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100321', 5, '清河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100321', 1, '2021-07-19 12:00:59', NULL, NULL), (28394, '', '蒙阳街道五里村村委会', 'ddc23a3932a34b15ab11765ee9512db6', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100393', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100393', 1, '2021-07-19 12:00:59', NULL, NULL), (28395, '', '蒙阳街道双田村村委会', '248e9a5752594c9287d14b28d7c33431', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100737', 5, '双田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100737', 1, '2021-07-19 12:00:59', NULL, NULL), (28396, '', '蒙阳街道郑岩村村委会', 'c8c1ec45f3ab4a7fa927615bb1b05cce', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100787', 5, '郑岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100787', 1, '2021-07-19 12:00:59', NULL, NULL), (28397, '', '蒙阳镇律沟村村委会', 'e2ec09a970b64bb98835c5cad082335d', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100047', 5, '律沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100047', 1, '2021-07-19 12:00:59', NULL, NULL), (28398, '', '蒙阳街道德光村村委会', 'b7cb3cd3714744488559d0e68907bcc1', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100071', 5, '德光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100071', 1, '2021-07-19 12:00:59', NULL, NULL), (28399, '', '蒙阳街道东城社区居委会', '5f33cbea56434931917ae51f13715427', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100082', 5, '东城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100082', 1, '2021-07-19 12:00:59', NULL, NULL), (28400, '', '蒙阳街道贯坪村村委会', '3850d0a146ca41e8b4625471c03da156', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100210', 5, '贯坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100210', 1, '2021-07-19 12:00:59', NULL, NULL), (28401, '', '蒙阳镇箭竹村村委会', 'c9b6bd9cf013482b882284fdfc307445', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100230', 5, '箭竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100230', 1, '2021-07-19 12:01:00', NULL, NULL), (28402, '', '蒙阳镇河坪村村委会', '52db6381999c4d40979f362e1e2a5ca4', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100250', 5, '河坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100250', 1, '2021-07-19 12:01:00', NULL, NULL), (28403, '', '蒙阳镇上瓦村村委会', '70f3cd92122b44639fd7b7fa9065ed3a', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100259', 5, '上瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100259', 1, '2021-07-19 12:01:00', NULL, NULL), (28404, '', '蒙阳镇安坪村村委会', '561ca6a44a4c4f9d97a70a5fb5fa6b4a', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100275', 5, '安坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100275', 1, '2021-07-19 12:01:00', NULL, NULL), (28405, '', '蒙阳镇关口村村委会', 'cb50abe18fb645ae8d8ae4e5718193a0', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100544', 5, '关口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100544', 1, '2021-07-19 12:01:00', NULL, NULL), (28406, '', '蒙阳街道西城社区居委会', '0b1831c6aa55483dbd13b688523178fd', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100587', 5, '西城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100587', 1, '2021-07-19 12:01:00', NULL, NULL), (28407, '', '蒙阳街道周坪村村委会', 'c6f20388dc814bd2a0c756a28b75f153', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100688', 5, '周坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100688', 1, '2021-07-19 12:01:00', NULL, NULL), (28408, '', '蒙阳镇拴马村村委会', 'da507270e10c482e875eb2ec0b1ec58d', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100718', 5, '拴马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100718', 1, '2021-07-19 12:01:00', NULL, NULL), (28409, '', '蒙阳镇同心村村委会', '26525a8c77b740bdab523037e723099a', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100725', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100725', 1, '2021-07-19 12:01:00', NULL, NULL), (28410, '', '蒙阳街道中心社区居委会', '7b0a04e706cc4f4aa3739c8521d094d2', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100766', 5, '中心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100766', 1, '2021-07-19 12:01:00', NULL, NULL), (28411, '', '蒙阳镇紫霞村村委会', '9afab0b0e0c34545b48db2ef98dffa5b', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100772', 5, '紫霞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100772', 1, '2021-07-19 12:01:00', NULL, NULL), (28412, '', '蒙阳镇德福村村委会', '8f954d6e8087455583aebbf62a82cbd5', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100847', 5, '德福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100847', 1, '2021-07-19 12:01:00', NULL, NULL), (28413, '', '蒙阳镇中瓦村村委会', '7657445ecc154d75866aebc5a2c26838', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100850', 5, '中瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100850', 1, '2021-07-19 12:01:00', NULL, NULL), (28414, '', '蒙阳街道新城社区居委会', '284908b31a7a47679c0003cc0d1f0a78', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803100980', 5, '新城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803100980', 1, '2021-07-19 12:01:01', NULL, NULL), (28415, '', '蒙阳镇槐溪村村委会', '49b2a0bcb6dd48f089ab0be340b7ea1a', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803106101', 5, '槐溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803106101', 1, '2021-07-19 12:01:01', NULL, NULL), (28416, '', '蒙阳镇水碾村村委会', 'cec63e9c57c24ecab78881c070026147', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803106284', 5, '水碾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803106284', 1, '2021-07-19 12:01:01', NULL, NULL), (28417, '', '蒙阳镇蒙山村村委会', '140c5051816e42f9b5742a4bd70a5545', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803106736', 5, '蒙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803106736', 1, '2021-07-19 12:01:01', NULL, NULL), (28418, '', '蒙阳镇金花村村委会', '09504c4e72d146438acace7ba04f6da5', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803106813', 5, '金花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803106813', 1, '2021-07-19 12:01:01', NULL, NULL), (28419, '', '蒙阳镇名雅村村委会', '3fab778ae94e43239d09d6ed6ee5d9a4', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803106817', 5, '名雅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803106817', 1, '2021-07-19 12:01:01', NULL, NULL), (28420, '', '蒙阳镇梨花村村委会', '161c7a062af4408db2262e49f43bb705', '9f7fec4b1e344393959a59c259d9670e', 'False', 'True', 'false', 'false', '511803106936', 5, '梨花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803106936', 1, '2021-07-19 12:01:01', NULL, NULL), (28421, '', '百丈镇', '857a41fc438f487b8471212eea328378', '679aaf44ed01412788b6e1e20d5be3f2', 'True', 'True', 'false', 'false', '511803101000', 4, '百丈镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511803101000', 1, '2021-07-19 12:01:01', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (28422, '', '百丈镇百丈湖村村民委员会', '446d25f6c83e450ea94c9fa84372783e', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101136', 5, '百丈湖村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101136', 1, '2021-07-19 12:01:01', NULL, NULL), (28423, '', '百丈镇解放村村民委员会', 'cdaaafb21c1b487389586fd290b5f3b1', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101161', 5, '解放村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101161', 1, '2021-07-19 12:01:01', NULL, NULL), (28424, '', '百丈镇叶山村村民委员会', 'aff512144a5a47e18996dc23db6f00f4', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101189', 5, '叶山村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101189', 1, '2021-07-19 12:01:02', NULL, NULL), (28425, '', '百丈镇安桥村村民委员会', 'f3a4c69b5a144cd1abab0548f2680ef0', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101206', 5, '安桥村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101206', 1, '2021-07-19 12:01:02', NULL, NULL), (28426, '', '百丈镇居民委员会', '9eff959cd3124243b3c4b579d6e97e34', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101263', 5, '居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101263', 1, '2021-07-19 12:01:02', NULL, NULL), (28427, '', '百丈镇涌泉村村民委员会', '9f52c118f61945c0aafb9a41cc201bcb', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101514', 5, '涌泉村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101514', 1, '2021-07-19 12:01:02', NULL, NULL), (28428, '', '百丈镇观音村村民委员会', '911fa50613064ba487f0b248b35268df', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101559', 5, '观音村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101559', 1, '2021-07-19 12:01:02', NULL, NULL), (28429, '', '百丈镇天宫村村民委员会', '6b586888a4f0418b8de44c0789234714', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101667', 5, '天宫村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101667', 1, '2021-07-19 12:01:02', NULL, NULL), (28430, '', '百丈镇王家村村民委员会', 'e13a1aeefe514130be36c1715ca32f04', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101708', 5, '王家村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101708', 1, '2021-07-19 12:01:02', NULL, NULL), (28431, '', '百丈镇千尺村村民委员会', 'd672ffc2e10249c29fe844c7b99ede55', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101778', 5, '千尺村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101778', 1, '2021-07-19 12:01:02', NULL, NULL), (28432, '', '百丈镇高岗村村民委员会', 'ae0b35c7dbed4affa7f843acff221d5b', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101837', 5, '高岗村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101837', 1, '2021-07-19 12:01:02', NULL, NULL), (28433, '', '百丈镇石栗村村民委员会', 'f2564216cd484d6da8e1dcf072280163', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101993', 5, '石栗村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101993', 1, '2021-07-19 12:01:02', NULL, NULL), (28434, '', '肖坪村村委会', 'a0a9168ef6604039b4735bb2eaeb8464', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101103', 5, '肖坪村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101103', 1, '2021-07-19 12:01:02', NULL, NULL), (28435, '', '石栗村村委会', 'e638ddfa108a4c908ab364a9ddba65b8', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101117', 5, '石栗村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101117', 1, '2021-07-19 12:01:02', NULL, NULL), (28436, '', '蔡坪村村委会', 'f823075d249248d1be7d537e9c48eaf8', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101215', 5, '蔡坪村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101215', 1, '2021-07-19 12:01:02', NULL, NULL), (28437, '', '凉江村村委会', '7b2f5890e9934bf8a0c93758b60bbe3a', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101260', 5, '凉江村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101260', 1, '2021-07-19 12:01:02', NULL, NULL), (28438, '', '叶山村村委会', 'f0496d4313bc453f83452a9c2bcaab93', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101298', 5, '叶山村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101298', 1, '2021-07-19 12:01:02', NULL, NULL), (28439, '', '社区委员会', '2ca3ba0586b74681be4c6f3a6e0372f3', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101363', 5, '社区委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101363', 1, '2021-07-19 12:01:03', NULL, NULL), (28440, '', '百家村委员会', '3b0f02a36e1640a8bf5d8e6efa17ca4a', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101374', 5, '百家村委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101374', 1, '2021-07-19 12:01:03', NULL, NULL), (28441, '', '鞍山村村委会', '4f2871a2ed08427e93333ee4ca58dfcc', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101376', 5, '鞍山村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101376', 1, '2021-07-19 12:01:03', NULL, NULL), (28442, '', '涌泉村村委会', '873d57f14fe14496b5e211aadd35fbde', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101432', 5, '涌泉村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101432', 1, '2021-07-19 12:01:03', NULL, NULL), (28443, '', '王家村村委会', 'a52463381fb94f95ac55226cc72ea026', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101468', 5, '王家村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101468', 1, '2021-07-19 12:01:03', NULL, NULL), (28444, '', '曹公村村委会', '6b36d03cd6e948ee82814298b2fb05c5', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101706', 5, '曹公村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101706', 1, '2021-07-19 12:01:03', NULL, NULL), (28445, '', '朱坝村村委会', 'ca3078f069c541aa8e0f4ac24cd3a2b4', '857a41fc438f487b8471212eea328378', 'False', 'True', 'false', 'false', '511803101807', 5, '朱坝村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803101807', 1, '2021-07-19 12:01:03', NULL, NULL), (28446, '', '车岭镇', '21800bd201654990b3202c77741b201d', '679aaf44ed01412788b6e1e20d5be3f2', 'True', 'True', 'false', 'false', '511803102000', 4, '车岭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511803102000', 1, '2021-07-19 12:01:03', NULL, NULL), (28447, '', '车岭镇石堰村村民委员会', '75a83efe8c224b98aff29cb63a801297', '21800bd201654990b3202c77741b201d', 'False', 'True', 'false', 'false', '511803102043', 5, '石堰村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803102043', 1, '2021-07-19 12:01:03', NULL, NULL), (28448, '', '车岭镇龙水村村民委员会', 'd751a79e67dc423f8dff2e9c35cc0acf', '21800bd201654990b3202c77741b201d', 'False', 'True', 'false', 'false', '511803102069', 5, '龙水村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803102069', 1, '2021-07-19 12:01:03', NULL, NULL), (28449, '', '车岭镇社区居委会', 'ec86ac24507e46d7a56ce8a572cb0d8c', '21800bd201654990b3202c77741b201d', 'False', 'True', 'false', 'false', '511803102078', 5, '车岭镇社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803102078', 1, '2021-07-19 12:01:03', NULL, NULL), (28450, '', '车岭镇悔沟村村民委员会', '08f8764afe8a4ba98841ce5c4889c375', '21800bd201654990b3202c77741b201d', 'False', 'True', 'false', 'false', '511803102272', 5, '悔沟村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803102272', 1, '2021-07-19 12:01:03', NULL, NULL), (28451, '', '车岭镇云台村村民委员会', '617f3b85d2a4483fb735d654a60e2167', '21800bd201654990b3202c77741b201d', 'False', 'True', 'false', 'false', '511803102442', 5, '云台村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803102442', 1, '2021-07-19 12:01:03', NULL, NULL), (28452, '', '车岭镇天池村村民委员会', '6656d1ef3cc5430694eca8a20522e602', '21800bd201654990b3202c77741b201d', 'False', 'True', 'false', 'false', '511803102541', 5, '天池村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803102541', 1, '2021-07-19 12:01:03', NULL, NULL), (28453, '', '车岭镇岱宗村村民委员会', 'f61c543fbc6c43c2b3edaaedcd69f3a6', '21800bd201654990b3202c77741b201d', 'False', 'True', 'false', 'false', '511803102556', 5, '岱宗村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803102556', 1, '2021-07-19 12:01:03', NULL, NULL), (28454, '', '车岭镇金刚村村民委员会', 'b3e2d6dd2bf4404182be3c57e0342aa8', '21800bd201654990b3202c77741b201d', 'False', 'True', 'false', 'false', '511803102732', 5, '金刚村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803102732', 1, '2021-07-19 12:01:03', NULL, NULL), (28455, '', '车岭镇水月村村民委员会', '49f09884cee842a7a9fe6d735df9dfcc', '21800bd201654990b3202c77741b201d', 'False', 'True', 'false', 'false', '511803102736', 5, '水月村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803102736', 1, '2021-07-19 12:01:03', NULL, NULL), (28456, '', '车岭镇几安村村民委员会', 'ba5ef44ec4294dba81e7ef036f6c9d93', '21800bd201654990b3202c77741b201d', 'False', 'True', 'false', 'false', '511803102840', 5, '几安村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803102840', 1, '2021-07-19 12:01:03', NULL, NULL), (28457, '', '马岭镇', 'b9bf8b87fbd44a0d91d2376777141124', '679aaf44ed01412788b6e1e20d5be3f2', 'True', 'True', 'false', 'false', '511803104000', 4, '马岭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511803104000', 1, '2021-07-19 12:01:03', NULL, NULL), (28458, '', '马岭镇中岭社区居民委员会', '2051867a4063497ebc91385bb7c244a5', 'b9bf8b87fbd44a0d91d2376777141124', 'False', 'True', 'false', 'false', '511803104213', 5, '中岭社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803104213', 1, '2021-07-19 12:01:04', NULL, NULL), (28459, '', '马岭镇九龙村村民委员会', '7ff15c6efd3349e785e151aacdf63a93', 'b9bf8b87fbd44a0d91d2376777141124', 'False', 'True', 'false', 'false', '511803104399', 5, '九龙村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803104399', 1, '2021-07-19 12:01:04', NULL, NULL), (28460, '', '马岭镇卫公村村民委员会', 'ac307f0ff6ef47659f6504bdc1d4371a', 'b9bf8b87fbd44a0d91d2376777141124', 'False', 'True', 'false', 'false', '511803104499', 5, '卫公村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803104499', 1, '2021-07-19 12:01:04', NULL, NULL), (28461, '', '马岭镇天目村村民委员会', 'f2dd36928ca74a6794b02990839b592d', 'b9bf8b87fbd44a0d91d2376777141124', 'False', 'True', 'false', 'false', '511803104673', 5, '天目村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803104673', 1, '2021-07-19 12:01:04', NULL, NULL), (28462, '', '马岭镇康乐村村民委员会', '5bd0ef6c25de48dc92172c5e71c645ac', 'b9bf8b87fbd44a0d91d2376777141124', 'False', 'True', 'false', 'false', '511803104809', 5, '康乐村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803104809', 1, '2021-07-19 12:01:04', NULL, NULL), (28463, '', '马岭镇余沟村村民委员会', 'c947463d49dc4f45abfe37bec935f34b', 'b9bf8b87fbd44a0d91d2376777141124', 'False', 'True', 'false', 'false', '511803104903', 5, '马岭镇余沟村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803104903', 1, '2021-07-19 12:01:04', NULL, NULL), (28464, '', '马岭镇青冈滩村村民委员会', '617c46188c4446ddaa0aef7682d5bb8e', 'b9bf8b87fbd44a0d91d2376777141124', 'False', 'True', 'false', 'false', '511803104969', 5, '青冈滩村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803104969', 1, '2021-07-19 12:01:04', NULL, NULL), (28465, '', '马岭镇山娇村村民委员会', '730ac721688a4c22ac00f5f9a19273de', 'b9bf8b87fbd44a0d91d2376777141124', 'False', 'True', 'false', 'false', '511803104964', 5, '山娇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803104964', 1, '2021-07-19 12:01:04', NULL, NULL), (28466, '', '新店镇', '5d20d17d46d24e3aa2a0d1274d3cb6c2', '679aaf44ed01412788b6e1e20d5be3f2', 'True', 'True', 'false', 'false', '511803105000', 4, '新店镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511803105000', 1, '2021-07-19 12:01:04', NULL, NULL), (28467, '', '新店镇文昌村', 'ad3137de5ad9449eb4638d8bbfd02ffe', '5d20d17d46d24e3aa2a0d1274d3cb6c2', 'False', 'True', 'false', 'false', '511803105009', 5, '文昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803105009', 1, '2021-07-19 12:01:04', NULL, NULL), (28468, '', '新店镇社区居民委员会', 'b3964404397749b097017b62526b6ac4', '5d20d17d46d24e3aa2a0d1274d3cb6c2', 'False', 'True', 'false', 'false', '511803105042', 5, '社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803105042', 1, '2021-07-19 12:01:04', NULL, NULL), (28469, '', '新店镇中坝村', '28a81b79ac8b442a8f4b74c21453af64', '5d20d17d46d24e3aa2a0d1274d3cb6c2', 'False', 'True', 'false', 'false', '511803105096', 5, '中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803105096', 1, '2021-07-19 12:01:04', NULL, NULL), (28470, '', '新店镇白马村', 'b9caaea1456f408da90402a59d09eb67', '5d20d17d46d24e3aa2a0d1274d3cb6c2', 'False', 'True', 'false', 'false', '511803105100', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803105100', 1, '2021-07-19 12:01:04', NULL, NULL), (28471, '', '新店镇大同村', '50229d7496ba4d009020060e117468d0', '5d20d17d46d24e3aa2a0d1274d3cb6c2', 'False', 'True', 'false', 'false', '511803105174', 5, '大同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803105174', 1, '2021-07-19 12:01:04', NULL, NULL), (28472, '', '新店镇古城村', '6b443196955e41c4bdf748b6c102d280', '5d20d17d46d24e3aa2a0d1274d3cb6c2', 'False', 'True', 'false', 'false', '511803105247', 5, '古城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803105247', 1, '2021-07-19 12:01:04', NULL, NULL), (28473, '', '新店镇红光村', 'c5699b0fd6aa4132a13e17de68db62f4', '5d20d17d46d24e3aa2a0d1274d3cb6c2', 'False', 'True', 'false', 'false', '511803105453', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803105453', 1, '2021-07-19 12:01:04', NULL, NULL), (28474, '', '新店镇新坝村', 'a227c3c171584a6eafa35dd2b0c80885', '5d20d17d46d24e3aa2a0d1274d3cb6c2', 'False', 'True', 'false', 'false', '511803105457', 5, '新坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803105457', 1, '2021-07-19 12:01:04', NULL, NULL), (28475, '', '新店镇三星村', 'f5c69b17818c4684b2eef5f11010a1ba', '5d20d17d46d24e3aa2a0d1274d3cb6c2', 'False', 'True', 'false', 'false', '511803105521', 5, '三星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803105521', 1, '2021-07-19 12:01:04', NULL, NULL), (28476, '', '新店镇新星村', '0c78e5d4e7d24571a184bf23a0227db1', '5d20d17d46d24e3aa2a0d1274d3cb6c2', 'False', 'True', 'false', 'false', '511803105550', 5, '新星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803105550', 1, '2021-07-19 12:01:04', NULL, NULL), (28477, '', '黑竹镇', 'f9b7cf616cca48a990f812314de77878', '679aaf44ed01412788b6e1e20d5be3f2', 'True', 'True', 'false', 'false', '511803107000', 4, '黑竹镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511803107000', 1, '2021-07-19 12:01:04', NULL, NULL), (28478, '', '黑竹镇新场村村民委员会', 'ad52682337714fcaa02a12d3c3891ce5', 'f9b7cf616cca48a990f812314de77878', 'False', 'True', 'false', 'false', '511803107023', 5, '新场村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803107023', 1, '2021-07-19 12:01:04', NULL, NULL), (28479, '', '黑竹镇廖场村村委会', '6b2952c7aa46498d8850564036af4bc9', 'f9b7cf616cca48a990f812314de77878', 'False', 'True', 'false', 'false', '511803107095', 5, '廖场村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803107095', 1, '2021-07-19 12:01:04', NULL, NULL), (28480, '', '黑竹镇黑竹社区居委会', 'b0aa302601ee408592ce5166bf23be55', 'f9b7cf616cca48a990f812314de77878', 'False', 'True', 'false', 'false', '511803107527', 5, '黑竹镇黑竹社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803107527', 1, '2021-07-19 12:01:05', NULL, NULL), (28481, '', '黑竹镇鹤林村村委会', '338174d1581e4f6493f56c6c1e1fa708', 'f9b7cf616cca48a990f812314de77878', 'False', 'True', 'false', 'false', '511803107647', 5, '黑竹镇鹤林村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803107647', 1, '2021-07-19 12:01:05', NULL, NULL), (28482, '', '黑竹镇廖场城镇中心社区居民委员会', '146d7137f463432f95fa6ad69bb9acb7', 'f9b7cf616cca48a990f812314de77878', 'False', 'True', 'false', 'false', '511803107748', 5, '廖场城镇中心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803107748', 1, '2021-07-19 12:01:05', NULL, NULL), (28483, '', '黑竹镇白蜡村村委会', '9550a2a30c6d4466be556115b7d692ba', 'f9b7cf616cca48a990f812314de77878', 'False', 'True', 'false', 'false', '511803107751', 5, '白蜡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803107751', 1, '2021-07-19 12:01:05', NULL, NULL), (28484, '', '黑竹镇王山村村委会', '968af66b22f34e1aa196ad4c8b33df48', 'f9b7cf616cca48a990f812314de77878', 'False', 'True', 'false', 'false', '511803107818', 5, '王山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803107818', 1, '2021-07-19 12:01:05', NULL, NULL), (28485, '', '黑竹镇黑竹关村村委会', '0af8842c85d6483990dbffcc71ddf67b', 'f9b7cf616cca48a990f812314de77878', 'False', 'True', 'false', 'false', '511803107995', 5, '黑竹关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803107995', 1, '2021-07-19 12:01:05', NULL, NULL), (28486, '', '蒙顶山镇', 'ff63e824704d4fb8b1714183b269e875', '679aaf44ed01412788b6e1e20d5be3f2', 'True', 'True', 'false', 'false', '511803200000', 4, '蒙顶山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511803200000', 1, '2021-07-19 12:01:05', NULL, NULL), (28487, '', '蒙顶山镇蒙山村村民委员会', 'f1caec5bf9464b0e83538ee50e1ff858', 'ff63e824704d4fb8b1714183b269e875', 'False', 'True', 'false', 'false', '511803200064', 5, '蒙山村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803200064', 1, '2021-07-19 12:01:05', NULL, NULL), (28488, '', '蒙顶山镇关口村村民委员会', '9726786105f04db9b7f9d07f1777f0a5', 'ff63e824704d4fb8b1714183b269e875', 'False', 'True', 'false', 'false', '511803200357', 5, '关口村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803200357', 1, '2021-07-19 12:01:05', NULL, NULL), (28489, '', '蒙顶山镇德福社区居民委员会', '4e4cfae502e144cda858de5943f1fa28', 'ff63e824704d4fb8b1714183b269e875', 'False', 'True', 'false', 'false', '511803200413', 5, '德福社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803200413', 1, '2021-07-19 12:01:06', NULL, NULL), (28490, '', '蒙顶山镇槐溪社区居民委员会', '043f24cfd2a74357a17f33c9d2d441a5', 'ff63e824704d4fb8b1714183b269e875', 'False', 'True', 'false', 'false', '511803200574', 5, '槐溪社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803200574', 1, '2021-07-19 12:01:06', NULL, NULL), (28491, '', '蒙顶山镇水碾村村民居委会', '6fe0e94c1e5348d19d05ac7c515c5351', 'ff63e824704d4fb8b1714183b269e875', 'False', 'True', 'false', 'false', '511803200608', 5, '水碾村村民居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803200608', 1, '2021-07-19 12:01:06', NULL, NULL), (28492, '', '蒙顶山镇止观村村民委员会', '4729d3a12970468690e607e72d6d568d', 'ff63e824704d4fb8b1714183b269e875', 'False', 'True', 'false', 'false', '511803200759', 5, '止观村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803200759', 1, '2021-07-19 12:01:06', NULL, NULL), (28493, '', '蒙顶山镇官田村村委会', '6a6a2279d0474b9d87bd907354a6f4c7', 'ff63e824704d4fb8b1714183b269e875', 'False', 'True', 'false', 'false', '511803200474', 5, '官田村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803200474', 1, '2021-07-19 12:01:06', NULL, NULL), (28494, '', '前进镇', '69cf5fbb14014edf88c64c6e98988ac5', '679aaf44ed01412788b6e1e20d5be3f2', 'True', 'True', 'false', 'false', '511803201000', 4, '前进镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511803201000', 1, '2021-07-19 12:01:06', NULL, NULL), (28495, '', '前进镇红岩村村委会', '05df5c4cb0b04065a139002b0fe0b0c0', '69cf5fbb14014edf88c64c6e98988ac5', 'False', 'True', 'false', 'false', '511803201206', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803201206', 1, '2021-07-19 12:01:06', NULL, NULL), (28496, '', '前进镇双龙村村委会', 'f3999719017445678aa845b718147e47', '69cf5fbb14014edf88c64c6e98988ac5', 'False', 'True', 'false', 'false', '511803201468', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803201468', 1, '2021-07-19 12:01:06', NULL, NULL), (28497, '', '前进镇肖碥村村委会', 'a7fed8444bc2458397e2d495c27779ba', '69cf5fbb14014edf88c64c6e98988ac5', 'False', 'True', 'false', 'false', '511803201847', 5, '肖碥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803201847', 1, '2021-07-19 12:01:06', NULL, NULL), (28498, '', '前进镇六坪村村委会', '654615e05d6c439ca7ea3e7a35b8124a', '69cf5fbb14014edf88c64c6e98988ac5', 'False', 'True', 'false', 'false', '511803201357', 5, '六坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803201357', 1, '2021-07-19 12:01:06', NULL, NULL), (28499, '', '前进镇新市村村委会', '7ad89ac9508142dfa69f6abb60163a75', '69cf5fbb14014edf88c64c6e98988ac5', 'False', 'True', 'false', 'false', '511803201668', 5, '新市村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803201668', 1, '2021-07-19 12:01:06', NULL, NULL), (28500, '', '前进镇楠水村村委会', '787d06dd442c4022bff98cf8a61f6fe2', '69cf5fbb14014edf88c64c6e98988ac5', 'False', 'True', 'false', 'false', '511803201737', 5, '楠水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803201737', 1, '2021-07-19 12:01:06', NULL, NULL), (28501, '', '前进镇凤凰村村委会', '308a78ecfbdf4c83bf2e115205569323', '69cf5fbb14014edf88c64c6e98988ac5', 'False', 'True', 'false', 'false', '511803201936', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803201936', 1, '2021-07-19 12:01:06', NULL, NULL), (28502, '', '中峰镇', '0383ae0e66db4f3ca806a33258660320', '679aaf44ed01412788b6e1e20d5be3f2', 'True', 'True', 'false', 'false', '511803202000', 4, '中峰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511803202000', 1, '2021-07-19 12:01:07', NULL, NULL), (28503, '', '中峰镇甘河村村委会', '3eeb93d36ddb437c894ada2f3c69ab28', '0383ae0e66db4f3ca806a33258660320', 'False', 'True', 'false', 'false', '511803202148', 5, '甘河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803202148', 1, '2021-07-19 12:01:07', NULL, NULL), (28504, '', '中峰镇四岗村村委会', '52482bebfc904e48a4121f9514a7ab6d', '0383ae0e66db4f3ca806a33258660320', 'False', 'True', 'false', 'false', '511803202001', 5, '四岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803202001', 1, '2021-07-19 12:01:07', NULL, NULL), (28505, '', '大冲村', '04c9a8c1429c43d5beeee05556e839d4', '0383ae0e66db4f3ca806a33258660320', 'False', 'True', 'false', 'false', '511803202002', 5, '大冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803202002', 1, '2021-07-19 12:01:07', NULL, NULL), (28506, '', '桂花村', 'f50f0bb25ebd4e73919f6df5acd0cf0a', '0383ae0e66db4f3ca806a33258660320', 'False', 'True', 'false', 'false', '511803202003', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803202003', 1, '2021-07-19 12:01:07', NULL, NULL), (28507, '', '四包村', '01debab5b39e4d2399dafc8729b06db2', '0383ae0e66db4f3ca806a33258660320', 'False', 'True', 'false', 'false', '511803202004', 5, '四包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803202004', 1, '2021-07-19 12:01:07', NULL, NULL), (28508, '', '一颗印村', 'f989d1a0d2ed4b308556122aac550f75', '0383ae0e66db4f3ca806a33258660320', 'False', 'True', 'false', 'false', '511803202005', 5, '一颗印村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803202005', 1, '2021-07-19 12:01:07', NULL, NULL), (28509, '', '中峰镇三江村村委会', '028d87ca49014c6b88fe13526098897f', '0383ae0e66db4f3ca806a33258660320', 'False', 'True', 'false', 'false', '511803202006', 5, '三江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803202006', 1, '2021-07-19 12:01:07', NULL, NULL), (28510, '', '下坝村', 'ed2a0780d0fe43a7afc43fbb5505b132', '0383ae0e66db4f3ca806a33258660320', 'False', 'True', 'false', 'false', '511803202007', 5, '下坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803202007', 1, '2021-07-19 12:01:07', NULL, NULL), (28511, '', '甘溪村', 'c6651ab69d9f441095964e19fc77bcc0', '0383ae0e66db4f3ca806a33258660320', 'False', 'True', 'false', 'false', '511803202008', 5, '甘溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803202008', 1, '2021-07-19 12:01:07', NULL, NULL), (28512, '', '河口村', '584d064ee7e94781ad4a1d892b8c84f9', '0383ae0e66db4f3ca806a33258660320', 'False', 'True', 'false', 'false', '511803202009', 5, '河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803202009', 1, '2021-07-19 12:01:07', NULL, NULL), (28513, '', '中峰镇秦场村村委会', 'f170122f94724499b0ef5126b66a8ddd', '0383ae0e66db4f3ca806a33258660320', 'False', 'True', 'false', 'false', '511803202010', 5, '秦场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803202010', 1, '2021-07-19 12:01:07', NULL, NULL), (28514, '', '中峰镇朱场村村委会', 'dd5e42188503416f9ad1757f08cf985b', '0383ae0e66db4f3ca806a33258660320', 'False', 'True', 'false', 'false', '511803202011', 5, '朱场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803202011', 1, '2021-07-19 12:01:07', NULL, NULL), (28515, '', '中峰镇海棠村村委会', 'bc04773127d44ec4a726f9b6d4c9fe3d', '0383ae0e66db4f3ca806a33258660320', 'False', 'True', 'false', 'false', '511803202012', 5, '海棠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803202012', 1, '2021-07-19 12:01:07', NULL, NULL), (28516, '', '万古镇', '43a0320f192f4d6fb0b158c582138bfb', '679aaf44ed01412788b6e1e20d5be3f2', 'True', 'True', 'false', 'false', '511803205000', 4, '万古镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511803205000', 1, '2021-07-19 12:01:07', NULL, NULL), (28517, '', '万古镇安吉村村委会', '38f94be7e7b749c7b63dbe65cf6eb54c', '43a0320f192f4d6fb0b158c582138bfb', 'False', 'True', 'false', 'false', '511803205188', 5, '安吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803205188', 1, '2021-07-19 12:01:07', NULL, NULL), (28518, '', '万古镇横山村村委会', '5b5f78d8133f4d39b7d914cf70df5150', '43a0320f192f4d6fb0b158c582138bfb', 'False', 'True', 'false', 'false', '511803205813', 5, '横山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803205813', 1, '2021-07-19 12:01:07', NULL, NULL), (28519, '', '万古镇沙河村村委会', '207a402791844daf9dc300881dc1f998', '43a0320f192f4d6fb0b158c582138bfb', 'False', 'True', 'false', 'false', '511803205148', 5, '万古镇沙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803205148', 1, '2021-07-19 12:01:07', NULL, NULL), (28520, '', '万古镇莫家村村委会', 'f4370ed82501468980a4b74fe24eba39', '43a0320f192f4d6fb0b158c582138bfb', 'False', 'True', 'false', 'false', '511803205566', 5, '万古镇莫家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803205566', 1, '2021-07-19 12:01:08', NULL, NULL), (28521, '', '万古镇红草村村委会', '7433c39d6b6e42549b2e9dc8f610ccc0', '43a0320f192f4d6fb0b158c582138bfb', 'False', 'True', 'false', 'false', '511803205754', 5, '万古镇红草村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803205754', 1, '2021-07-19 12:01:08', NULL, NULL), (28522, '', '万古镇钟滩村村委会', 'c6551f65efe540deb6eb042393e2b2f7', '43a0320f192f4d6fb0b158c582138bfb', 'False', 'True', 'false', 'false', '511803205890', 5, '万古镇钟滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803205890', 1, '2021-07-19 12:01:08', NULL, NULL), (28523, '', '茅河镇', '205d1ca5934d4929828cff323e92ce52', '679aaf44ed01412788b6e1e20d5be3f2', 'True', 'True', 'false', 'false', '511803210000', 4, '茅河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511803210000', 1, '2021-07-19 12:01:08', NULL, NULL), (28524, '', '茅河镇茅河社区居委会', '73c2c3feb2854c7ba764f123f37fb783', '205d1ca5934d4929828cff323e92ce52', 'False', 'True', 'false', 'false', '511803112208', 5, '茅河镇茅河社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803112208', 1, '2021-07-19 12:01:08', NULL, NULL), (28525, '', '茅河镇联合社区居委会', 'f61728b6dca449a29b2ee80a83bb2281', '205d1ca5934d4929828cff323e92ce52', 'False', 'True', 'false', 'false', '511803112213', 5, '茅河镇联合社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803112213', 1, '2021-07-19 12:01:08', NULL, NULL), (28526, '', '茅河镇万山村', '84bb3600615d4a2f85696ad730c9d023', '205d1ca5934d4929828cff323e92ce52', 'False', 'True', 'false', 'false', '511803210085', 5, '万山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803210085', 1, '2021-07-19 12:01:08', NULL, NULL), (28527, '', '茅河镇合江村', '5378dd04de234b12a8e17ce549ee0038', '205d1ca5934d4929828cff323e92ce52', 'False', 'True', 'false', 'false', '511803210136', 5, '合江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803210136', 1, '2021-07-19 12:01:08', NULL, NULL), (28528, '', '茅河镇茅河村', '3ab8f9c4350f4c6abca22f34e046ba50', '205d1ca5934d4929828cff323e92ce52', 'False', 'True', 'false', 'false', '511803210361', 5, '茅河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803210361', 1, '2021-07-19 12:01:08', NULL, NULL), (28529, '', '茅河镇香水村', '01fab814cb7e44d3ae412995acae78d4', '205d1ca5934d4929828cff323e92ce52', 'False', 'True', 'false', 'false', '511803210388', 5, '香水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803210388', 1, '2021-07-19 12:01:08', NULL, NULL), (28530, '', '茅河镇龙兴村', 'c8fbea895de847ff8a150b8cf0cc5a94', '205d1ca5934d4929828cff323e92ce52', 'False', 'True', 'false', 'false', '511803210640', 5, '龙兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803210640', 1, '2021-07-19 12:01:08', NULL, NULL), (28531, '', '茅河镇白鹤村', 'd04957f717d64b6fa8a2cf3ff3de55de', '205d1ca5934d4929828cff323e92ce52', 'False', 'True', 'false', 'false', '511803210843', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803210843', 1, '2021-07-19 12:01:08', NULL, NULL), (28532, '', '红星镇', 'f8ee4b464ac7417fa9b543875925f040', '679aaf44ed01412788b6e1e20d5be3f2', 'True', 'True', 'false', 'false', '511803961000', 4, '红星镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511803961000', 1, '2021-07-19 12:01:08', NULL, NULL), (28533, '', '红星镇双河村村民委员会', '22af59741f3e44689a7d8c5e80b14bea', 'f8ee4b464ac7417fa9b543875925f040', 'False', 'True', 'false', 'false', '511803108010', 5, '双河村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803108010', 1, '2021-07-19 12:01:08', NULL, NULL), (28534, '', '红星镇金鼓村村民委员会', 'a123beb484634834abb3f2d7c928a1aa', 'f8ee4b464ac7417fa9b543875925f040', 'False', 'True', 'false', 'false', '511803108110', 5, '金鼓村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803108110', 1, '2021-07-19 12:01:08', NULL, NULL), (28535, '', '红星镇土墩村村民委员会', '2ad1ad0da8614ca4bd66c8e633006133', 'f8ee4b464ac7417fa9b543875925f040', 'False', 'True', 'false', 'false', '511803108197', 5, '土墩村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803108197', 1, '2021-07-19 12:01:08', NULL, NULL), (28536, '', '红星镇骑龙村村民委员会', 'c303d4f62d1f450eb18103b51a6b37de', 'f8ee4b464ac7417fa9b543875925f040', 'False', 'True', 'false', 'false', '511803108717', 5, '骑龙村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803108717', 1, '2021-07-19 12:01:08', NULL, NULL), (28537, '', '红星镇太平村', '744072ab5ffc47e6af8391612d2ab382', 'f8ee4b464ac7417fa9b543875925f040', 'False', 'True', 'false', 'false', '511803108018', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803108018', 1, '2021-07-19 12:01:09', NULL, NULL), (28538, '', '红星镇兴平社区', 'ee80151415cd4f26a76451e4b31ac764', 'f8ee4b464ac7417fa9b543875925f040', 'False', 'True', 'false', 'false', '511803108322', 5, '兴平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803108322', 1, '2021-07-19 12:01:09', NULL, NULL), (28539, '', '红星镇上马村', '366deecf45d34aa79475b5d6e2ccdf41', 'f8ee4b464ac7417fa9b543875925f040', 'False', 'True', 'false', 'false', '511803108713', 5, '上马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803108713', 1, '2021-07-19 12:01:09', NULL, NULL), (28540, '', '红星镇白墙村', '896372f112b14ef9926e44cf5f6bee41', 'f8ee4b464ac7417fa9b543875925f040', 'False', 'True', 'false', 'false', '511803108983', 5, '白墙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803108983', 1, '2021-07-19 12:01:09', NULL, NULL), (28541, '', '红星镇天王村', 'ad172004e98d457bb9c0b3cd087ffe15', 'f8ee4b464ac7417fa9b543875925f040', 'False', 'True', 'false', 'false', '511803961891', 5, '天王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511803961891', 1, '2021-07-19 12:01:09', NULL, NULL), (28542, '', '荥经县', '2e8c4197274a416db8a1066643518f66', '5f2063c48e7e42ba922a2481e5ffea5d', 'True', 'True', 'false', 'false', '511822000000', 3, '荥经县', 'yasyjx.sczwfw.gov.cn', 1, '2021-07-19 12:01:09', NULL, NULL), (28543, '', '严道街道', '6252efdc007b4163ab10cfb4e6d583a7', '2e8c4197274a416db8a1066643518f66', 'True', 'True', 'false', 'false', '511822358000', 4, '严道街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511822358000', 1, '2021-07-19 12:01:09', NULL, NULL), (28544, '', '城东社区', '617603c2e8fc4dc5a0f4a6b7205c05b5', '6252efdc007b4163ab10cfb4e6d583a7', 'False', 'True', 'false', 'false', '511822100849', 5, '城东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822100849', 1, '2021-07-19 12:01:09', NULL, NULL), (28545, '', '城北社区', '34fb6bb8666c4a5c9e1e286f8ecb49e1', '6252efdc007b4163ab10cfb4e6d583a7', 'False', 'True', 'false', 'false', '511822100129', 5, '城北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822100129', 1, '2021-07-19 12:01:09', NULL, NULL), (28546, '', '城中社区', 'df6b16996e6643b0be7c8c90a10c50f7', '6252efdc007b4163ab10cfb4e6d583a7', 'False', 'True', 'false', 'false', '511822100478', 5, '城中社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822100478', 1, '2021-07-19 12:01:09', NULL, NULL), (28547, '', '城南社区', '0790d986433d45f3b0f32dd28249e831', '6252efdc007b4163ab10cfb4e6d583a7', 'False', 'True', 'false', 'false', '511822100047', 5, '城南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822100047', 1, '2021-07-19 12:01:09', NULL, NULL), (28548, '', '城西社区', 'c61c198bd033477894f7831624829bff', '6252efdc007b4163ab10cfb4e6d583a7', 'False', 'True', 'false', 'false', '511822100196', 5, '城西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822100196', 1, '2021-07-19 12:01:09', NULL, NULL), (28549, '', '杨柳河社区', '08e05b546ed04449bbe4468659bb9b0a', '6252efdc007b4163ab10cfb4e6d583a7', 'False', 'True', 'false', 'false', '511822100202', 5, '杨柳河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822100202', 1, '2021-07-19 12:01:09', NULL, NULL), (28550, '', '青仁村', 'e3a755c446484c2b8b00b56aef4d7939', '6252efdc007b4163ab10cfb4e6d583a7', 'False', 'True', 'false', 'false', '511822100168', 5, '青仁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822100168', 1, '2021-07-19 12:01:09', NULL, NULL), (28551, '', '新南村', '85e0c654023c4cdfbf60507e0ddba118', '6252efdc007b4163ab10cfb4e6d583a7', 'False', 'True', 'false', 'false', '511822100489', 5, '新南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822100489', 1, '2021-07-19 12:01:09', NULL, NULL), (28552, '', '同心村', '93af52747fd444d794d8e7137a457354', '6252efdc007b4163ab10cfb4e6d583a7', 'False', 'True', 'false', 'false', '511822100756', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822100756', 1, '2021-07-19 12:01:09', NULL, NULL), (28553, '', '蔬菜村', 'd05d5fddba15408abe3a8cdd3073397d', '6252efdc007b4163ab10cfb4e6d583a7', 'False', 'True', 'false', 'false', '511822100857', 5, '蔬菜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822100857', 1, '2021-07-19 12:01:10', NULL, NULL), (28554, '', '双汇村', 'a45a625f4ebc4067a34a603ee039c43f', '6252efdc007b4163ab10cfb4e6d583a7', 'False', 'True', 'false', 'false', '511822100293', 5, '双汇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822100293', 1, '2021-07-19 12:01:10', NULL, NULL), (28555, '', '古城村', '7678f51112764bb5b31625c73de4384f', '6252efdc007b4163ab10cfb4e6d583a7', 'False', 'True', 'false', 'false', '511822001208', 5, '古城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822001208', 1, '2021-07-19 12:01:10', NULL, NULL), (28556, '', '上虎村', '5ebcc07900184f2e89a036e3d67ddc6d', '6252efdc007b4163ab10cfb4e6d583a7', 'False', 'True', 'false', 'false', '511822100014', 5, '上虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822100014', 1, '2021-07-19 12:01:10', NULL, NULL), (28557, '', '堡子村', '1bdef99ccdba4a4eb23a7e1cc55713d0', '6252efdc007b4163ab10cfb4e6d583a7', 'False', 'True', 'false', 'false', '511822001210', 5, '堡子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822001210', 1, '2021-07-19 12:01:10', NULL, NULL), (28558, '', '烈太村', '057023a080a143ec944ede16297c2e0a', '6252efdc007b4163ab10cfb4e6d583a7', 'False', 'True', 'false', 'false', '511822100986', 5, '烈太村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822100986', 1, '2021-07-19 12:01:10', NULL, NULL), (28559, '', '新文村', '8c389f895f8a4f1f89cfada68c1ca604', '6252efdc007b4163ab10cfb4e6d583a7', 'False', 'True', 'false', 'false', '511822001215', 5, '新文村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822001215', 1, '2021-07-19 12:01:10', NULL, NULL), (28560, '', '民乐村', '674aa137e78c42808d06847453ae6301', '6252efdc007b4163ab10cfb4e6d583a7', 'False', 'True', 'false', 'false', '511822001216', 5, '民乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822001216', 1, '2021-07-19 12:01:10', NULL, NULL), (28561, '', '南罗坝村', '03c5327910ab4caab7a0c641cf873136', '6252efdc007b4163ab10cfb4e6d583a7', 'False', 'True', 'false', 'false', '511822001219', 5, '南罗坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822001219', 1, '2021-07-19 12:01:10', NULL, NULL), (28562, '', '龙苍沟镇', 'e2d3d380e28340ea86de3c747b80536a', '2e8c4197274a416db8a1066643518f66', 'True', 'True', 'false', 'false', '511822485000', 4, '龙苍沟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511822485000', 1, '2021-07-19 12:01:10', NULL, NULL), (28563, '', '经河村', '9e496e1368524507add52622dba0196c', 'e2d3d380e28340ea86de3c747b80536a', 'False', 'True', 'false', 'false', '511822102428', 5, '经河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822102428', 1, '2021-07-19 12:01:10', NULL, NULL), (28564, '', '万年村', 'f2f42c0673b647fcab7f84e34e43b88d', 'e2d3d380e28340ea86de3c747b80536a', 'False', 'True', 'false', 'false', '511822102218', 5, '万年村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822102218', 1, '2021-07-19 12:01:10', NULL, NULL), (28565, '', '发展村', 'b13cb822f0be4a3bb79d294dd3201f20', 'e2d3d380e28340ea86de3c747b80536a', 'False', 'True', 'false', 'false', '511822102776', 5, '发展村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822102776', 1, '2021-07-19 12:01:10', NULL, NULL), (28566, '', '鱼泉村', '2f626a3feccc43ad99d3c79e936ea196', 'e2d3d380e28340ea86de3c747b80536a', 'False', 'True', 'false', 'false', '511822102170', 5, '鱼泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822102170', 1, '2021-07-19 12:01:10', NULL, NULL), (28567, '', '牛背山镇', 'b63efcc38fd7451fbe01aaee959a149d', '2e8c4197274a416db8a1066643518f66', 'True', 'True', 'false', 'false', '511822905000', 4, '牛背山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511822905000', 1, '2021-07-19 12:01:11', NULL, NULL), (28568, '', '楠林村', 'bf41d0e9e96f403082693131e7e668ef', 'b63efcc38fd7451fbe01aaee959a149d', 'False', 'True', 'false', 'false', '511822103809', 5, '楠林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822103809', 1, '2021-07-19 12:01:11', NULL, NULL), (28569, '', '建政村', '88bf0c2ca2b743de8d88e0d67961e3c7', 'b63efcc38fd7451fbe01aaee959a149d', 'False', 'True', 'false', 'false', '511822103447', 5, '建政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822103447', 1, '2021-07-19 12:01:11', NULL, NULL), (28570, '', '常富村', 'c48b89717b554a3ba24e9bf4fc3abfe1', 'b63efcc38fd7451fbe01aaee959a149d', 'False', 'True', 'false', 'false', '511822103929', 5, '常富村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822103929', 1, '2021-07-19 12:01:11', NULL, NULL), (28571, '', '新建村', '0302d498c60940d8983843b5e85fc5c9', 'b63efcc38fd7451fbe01aaee959a149d', 'False', 'True', 'false', 'false', '511822103646', 5, '新建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822103646', 1, '2021-07-19 12:01:11', NULL, NULL), (28572, '', '花滩镇', '138e88d831224517a5eacf8d06c65f14', '2e8c4197274a416db8a1066643518f66', 'True', 'True', 'false', 'false', '511822235000', 4, '花滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511822235000', 1, '2021-07-19 12:01:11', NULL, NULL), (28573, '', '花滩社区', 'f123f9dcadad41b798f5a74372b39b30', '138e88d831224517a5eacf8d06c65f14', 'False', 'True', 'false', 'false', '511822101101', 5, '花滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822101101', 1, '2021-07-19 12:01:11', NULL, NULL), (28574, '', '星星村', '1e39f95bd37f4ec285d1c9b75237a1d7', '138e88d831224517a5eacf8d06c65f14', 'False', 'True', 'false', 'false', '511822101260', 5, '星星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822101260', 1, '2021-07-19 12:01:11', NULL, NULL), (28575, '', '水池村', 'a8a142758ea141f297de873b7ebeb378', '138e88d831224517a5eacf8d06c65f14', 'False', 'True', 'false', 'false', '511822101469', 5, '水池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822101469', 1, '2021-07-19 12:01:11', NULL, NULL), (28576, '', '花滩村', '5046c141f91f42bf9156903541308ba1', '138e88d831224517a5eacf8d06c65f14', 'False', 'True', 'false', 'false', '511822101270', 5, '花滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822101270', 1, '2021-07-19 12:01:11', NULL, NULL), (28577, '', '相岭村', '4ae37c6cf350490ba5f6a683067e4553', '138e88d831224517a5eacf8d06c65f14', 'False', 'True', 'false', 'false', '511822101002', 5, '相岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822101002', 1, '2021-07-19 12:01:11', NULL, NULL), (28578, '', '大理村', '9a1bb893ef184f549530afc8b8ced4c1', '138e88d831224517a5eacf8d06c65f14', 'False', 'True', 'false', 'false', '511822101419', 5, '大理村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822101419', 1, '2021-07-19 12:01:11', NULL, NULL), (28579, '', '石桥村', '5f6c9cee5b96490ab0f1681915f8b5a3', '138e88d831224517a5eacf8d06c65f14', 'False', 'True', 'false', 'false', '511822101366', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822101366', 1, '2021-07-19 12:01:11', NULL, NULL), (28580, '', '齐心村', 'dac8f37659a64e4a8d9016d155b534c5', '138e88d831224517a5eacf8d06c65f14', 'False', 'True', 'false', 'false', '511822101209', 5, '齐心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822101209', 1, '2021-07-19 12:01:11', NULL, NULL), (28581, '', '宝积村', '0682a60c9e074485bca91334a3e46514', '138e88d831224517a5eacf8d06c65f14', 'False', 'True', 'false', 'false', '511822101211', 5, '宝积村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822101211', 1, '2021-07-19 12:01:11', NULL, NULL), (28582, '', '新添镇', 'e94e8a3672b54e1392cd0399c00f05ec', '2e8c4197274a416db8a1066643518f66', 'True', 'True', 'false', 'false', '511822349000', 4, '新添镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511822349000', 1, '2021-07-19 12:01:12', NULL, NULL), (28583, '', '上坝村', '0b3c478806844b6b8bd5a28d1e82d749', 'e94e8a3672b54e1392cd0399c00f05ec', 'False', 'True', 'false', 'false', '511822104793', 5, '上坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822104793', 1, '2021-07-19 12:01:12', NULL, NULL), (28584, '', '下坝村', '667aefde72574f3aa18de20cfda4418f', 'e94e8a3672b54e1392cd0399c00f05ec', 'False', 'True', 'false', 'false', '511822104830', 5, '下坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822104830', 1, '2021-07-19 12:01:12', NULL, NULL), (28585, '', '新添村', 'e38a583486ce406db2d536687d21f69b', 'e94e8a3672b54e1392cd0399c00f05ec', 'False', 'True', 'false', 'false', '511822104399', 5, '新添村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822104399', 1, '2021-07-19 12:01:12', NULL, NULL), (28586, '', '庙岗村', '947ef2464be240edbf0d0eaa22b1c3f1', 'e94e8a3672b54e1392cd0399c00f05ec', 'False', 'True', 'false', 'false', '511822104282', 5, '庙岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822104282', 1, '2021-07-19 12:01:12', NULL, NULL), (28587, '', '石龙村', 'bf1f454072ec4cf3b96b89949d164428', 'e94e8a3672b54e1392cd0399c00f05ec', 'False', 'True', 'false', 'false', '511822104207', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822104207', 1, '2021-07-19 12:01:12', NULL, NULL), (28588, '', '天凤村', 'efabf7d1518c4eb4bef2140adea77570', 'e94e8a3672b54e1392cd0399c00f05ec', 'False', 'True', 'false', 'false', '511822104210', 5, '天凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822104210', 1, '2021-07-19 12:01:12', NULL, NULL), (28589, '', '凤槐村', '087255369ae94050ae5af4517701cce4', 'e94e8a3672b54e1392cd0399c00f05ec', 'False', 'True', 'false', 'false', '511822104293', 5, '凤槐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822104293', 1, '2021-07-19 12:01:12', NULL, NULL), (28590, '', '青龙镇', 'dee9964e50804c748ae487063cdde43b', '2e8c4197274a416db8a1066643518f66', 'True', 'True', 'false', 'false', '511822826000', 4, '青龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511822826000', 1, '2021-07-19 12:01:12', NULL, NULL), (28591, '', '柏香村', 'cc984e3985cd4121b5ed7f67071341ec', 'dee9964e50804c748ae487063cdde43b', 'False', 'True', 'false', 'false', '511822217675', 5, '柏香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822217675', 1, '2021-07-19 12:01:12', NULL, NULL), (28592, '', '桂花村', '07bd31a3bc954438b09c960221294a46', 'dee9964e50804c748ae487063cdde43b', 'False', 'True', 'false', 'false', '511822217273', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822217273', 1, '2021-07-19 12:01:12', NULL, NULL), (28593, '', '凤凰村', '8946398f23774c5180d7f91a52e08aae', 'dee9964e50804c748ae487063cdde43b', 'False', 'True', 'false', 'false', '511822217265', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822217265', 1, '2021-07-19 12:01:12', NULL, NULL), (28594, '', '沙坝河村', '48f3144fc8104043b9e97b4edd6da0b8', 'dee9964e50804c748ae487063cdde43b', 'False', 'True', 'false', 'false', '511822217592', 5, '沙坝河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822217592', 1, '2021-07-19 12:01:12', NULL, NULL), (28595, '', '莲花村', '666a15ece3ab4998afe4541d10070f33', 'dee9964e50804c748ae487063cdde43b', 'False', 'True', 'false', 'false', '511822217058', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822217058', 1, '2021-07-19 12:01:12', NULL, NULL), (28596, '', '荥河镇', '42caa05bf7854b21be289b6f46cefb81', '2e8c4197274a416db8a1066643518f66', 'True', 'True', 'false', 'false', '511822379000', 4, '荥河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511822379000', 1, '2021-07-19 12:01:13', NULL, NULL), (28597, '', '楠木村', 'bc0685ffa21d44f2b31ae39ec32ce399', '42caa05bf7854b21be289b6f46cefb81', 'False', 'True', 'false', 'false', '511822379967', 5, '楠木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822379967', 1, '2021-07-19 12:01:13', NULL, NULL), (28598, '', '周家村', 'c012b8f8766f4f1a99f4ecb11206cb85', '42caa05bf7854b21be289b6f46cefb81', 'False', 'True', 'false', 'false', '511822379357', 5, '周家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822379357', 1, '2021-07-19 12:01:13', NULL, NULL), (28599, '', '红星村', '5e44ae447fa14b55abb08bae881bb444', '42caa05bf7854b21be289b6f46cefb81', 'False', 'True', 'false', 'false', '511822379654', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822379654', 1, '2021-07-19 12:01:13', NULL, NULL), (28600, '', '烈士村', '97efd6ede85d4b2c876a36af142b8432', '42caa05bf7854b21be289b6f46cefb81', 'False', 'True', 'false', 'false', '511822379964', 5, '烈士村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822379964', 1, '2021-07-19 12:01:13', NULL, NULL), (28601, '', '王家村', 'a746b06726274f8ba8325e6bb3fd4527', '42caa05bf7854b21be289b6f46cefb81', 'False', 'True', 'false', 'false', '511822379736', 5, '王家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822379736', 1, '2021-07-19 12:01:13', NULL, NULL), (28602, '', '紫炉村', '369324819b574cc79d5e23e1247a4cf8', '42caa05bf7854b21be289b6f46cefb81', 'False', 'True', 'false', 'false', '511822379076', 5, '紫炉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822379076', 1, '2021-07-19 12:01:13', NULL, NULL), (28603, '', '和平村', 'e51df54ec3064693bd48f4b7d2d3ea5d', '42caa05bf7854b21be289b6f46cefb81', 'False', 'True', 'false', 'false', '511822379143', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822379143', 1, '2021-07-19 12:01:13', NULL, NULL), (28604, '', '五宪镇', 'ea7ae7bc7dd04d61a36099215802f146', '2e8c4197274a416db8a1066643518f66', 'True', 'True', 'false', 'false', '511822319000', 4, '五宪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511822319000', 1, '2021-07-19 12:01:13', NULL, NULL), (28605, '', '毛豆坝村', 'eb6563201efe4fa8a2b08fda84cb7ecb', 'ea7ae7bc7dd04d61a36099215802f146', 'False', 'True', 'false', 'false', '511822107201', 5, '毛豆坝村便民服务点', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822107201', 1, '2021-07-19 12:01:13', NULL, NULL), (28606, '', '阳春坝村', '4511b377f34f47cdaedc5dc0a24b72cc', 'ea7ae7bc7dd04d61a36099215802f146', 'False', 'True', 'false', 'false', '511822107202', 5, '阳村坝村便民服务点', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822107202', 1, '2021-07-19 12:01:13', NULL, NULL), (28607, '', '烟溪沟村', '990a71c915b5408aa34a06ce4ad3ccb2', 'ea7ae7bc7dd04d61a36099215802f146', 'False', 'True', 'false', 'false', '511822107206', 5, '烟溪沟村便民服务点', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822107206', 1, '2021-07-19 12:01:13', NULL, NULL), (28608, '', '民建彝族乡', 'aaaf2b53604143aba4cc96636b1cd10f', '2e8c4197274a416db8a1066643518f66', 'True', 'True', 'false', 'false', '511822686000', 4, '民建彝族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511822686000', 1, '2021-07-19 12:01:13', NULL, NULL), (28609, '', '大坪村', '008a6c7debe44d689e86d6f14366c9fd', 'aaaf2b53604143aba4cc96636b1cd10f', 'False', 'True', 'false', 'false', '511822203004', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822203004', 1, '2021-07-19 12:01:13', NULL, NULL), (28610, '', '顺河村', '419c4c712fc64c1bb025c663edc4b0cf', 'aaaf2b53604143aba4cc96636b1cd10f', 'False', 'True', 'false', 'false', '511822203157', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822203157', 1, '2021-07-19 12:01:13', NULL, NULL), (28611, '', '建乐村', 'e115059e7a9d42eeb9db9a9b51c68287', 'aaaf2b53604143aba4cc96636b1cd10f', 'False', 'True', 'false', 'false', '511822203394', 5, '建乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822203394', 1, '2021-07-19 12:01:13', NULL, NULL), (28612, '', '青杠村', '4b805756549746bebedf8407fd27f815', 'aaaf2b53604143aba4cc96636b1cd10f', 'False', 'True', 'false', 'false', '511822203356', 5, '青杠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822203356', 1, '2021-07-19 12:01:13', NULL, NULL), (28613, '', '宝峰彝族乡', 'ef26a0ba7fbe48a2a8ff9812903a5cf7', '2e8c4197274a416db8a1066643518f66', 'True', 'True', 'false', 'false', '511822189000', 4, '宝峰彝族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511822189000', 1, '2021-07-19 12:01:13', NULL, NULL), (28614, '', '田坝村', '19e956dc7fe54fd3bf3d9a2982ee9963', 'ef26a0ba7fbe48a2a8ff9812903a5cf7', 'False', 'True', 'false', 'false', '511822212951', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822212951', 1, '2021-07-19 12:01:14', NULL, NULL), (28615, '', '莲池村', '137be44824e74ccb9b6521c51e9e5394', 'ef26a0ba7fbe48a2a8ff9812903a5cf7', 'False', 'True', 'false', 'false', '511822212677', 5, '莲池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822212677', 1, '2021-07-19 12:01:14', NULL, NULL), (28616, '', '杏家村', '151c42515b5a4889851b1ad969febf0c', 'ef26a0ba7fbe48a2a8ff9812903a5cf7', 'False', 'True', 'false', 'false', '511822212093', 5, '杏家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822212093', 1, '2021-07-19 12:01:14', NULL, NULL), (28617, '', '安靖乡', '7d241f0f26c644a7b889d8e1600b0366', '2e8c4197274a416db8a1066643518f66', 'True', 'True', 'false', 'false', '511822480000', 4, '安靖乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511822480000', 1, '2021-07-19 12:01:14', NULL, NULL), (28618, '', '箐口村', '796c1553ca8348f2837f19f864748c07', '7d241f0f26c644a7b889d8e1600b0366', 'False', 'True', 'false', 'false', '511822202473', 5, '箐口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822202473', 1, '2021-07-19 12:01:14', NULL, NULL), (28619, '', '大通桥村', '47087339e19743c793df116b99e531dd', '7d241f0f26c644a7b889d8e1600b0366', 'False', 'True', 'false', 'false', '511822203204', 5, '大通桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822203204', 1, '2021-07-19 12:01:14', NULL, NULL), (28620, '', '安乐村', 'b6ea295201784598b8f2262dd7e01858', '7d241f0f26c644a7b889d8e1600b0366', 'False', 'True', 'false', 'false', '511822202481', 5, '安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822202481', 1, '2021-07-19 12:01:14', NULL, NULL), (28621, '', '崃麓村', 'c1f48fabfd8648f9a12f1bd7bb72caa5', '7d241f0f26c644a7b889d8e1600b0366', 'False', 'True', 'false', 'false', '511822202404', 5, '崃麓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822202404', 1, '2021-07-19 12:01:14', NULL, NULL), (28622, '', '泗坪乡', 'b6764bfc338147328d76b52576da7cec', '2e8c4197274a416db8a1066643518f66', 'True', 'True', 'false', 'false', '511822942000', 4, '泗坪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511822942000', 1, '2021-07-19 12:01:14', NULL, NULL), (28623, '', '民主村', '0e33906dc342489d949e664a75c89614', 'b6764bfc338147328d76b52576da7cec', 'False', 'True', 'false', 'false', '511822207623', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822207623', 1, '2021-07-19 12:01:14', NULL, NULL), (28624, '', '断机村', 'ff3eb33bdc4f469591f299101c8244da', 'b6764bfc338147328d76b52576da7cec', 'False', 'True', 'false', 'false', '511822207373', 5, '断机村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822207373', 1, '2021-07-19 12:01:14', NULL, NULL), (28625, '', '民胜村', '2d5b4ee34efa4545834aeaa38101ec99', 'b6764bfc338147328d76b52576da7cec', 'False', 'True', 'false', 'false', '511822207735', 5, '民胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511822207735', 1, '2021-07-19 12:01:14', NULL, NULL), (28626, '', '汉源县', '117a2e49f5354729845976c6a4acf00e', '5f2063c48e7e42ba922a2481e5ffea5d', 'True', 'True', 'false', 'false', '511823000000', 3, '汉源县', 'yashyx.sczwfw.gov.cn', 1, '2021-07-19 12:01:14', NULL, NULL), (28627, '', '晒经乡', 'ec0f029c8dbc4206a1521fa366e9968b', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823848000', 4, '晒经乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823848000', 1, '2021-07-19 12:01:14', NULL, NULL), (28628, '', '李子村', '4dd23f55beb049599a351ed6bc967145', 'ec0f029c8dbc4206a1521fa366e9968b', 'False', 'True', 'false', 'false', '511823225062', 5, '李子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823225062', 1, '2021-07-19 12:01:15', NULL, NULL), (28629, '', '晒经村', 'f3e3cfeabfdf44318d8ce82ed66454e7', 'ec0f029c8dbc4206a1521fa366e9968b', 'False', 'True', 'false', 'false', '511823225798', 5, '晒经村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823225798', 1, '2021-07-19 12:01:15', NULL, NULL), (28630, '', '富林镇', '7be75219881f43b09c8908f3a0d5c955', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823100000', 4, '富林镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823100000', 1, '2021-07-19 12:01:15', NULL, NULL), (28631, '', '流沙河社区', 'd57bf13723a949a7aac6d547c438b729', '7be75219881f43b09c8908f3a0d5c955', 'False', 'True', 'false', 'false', '511823100082', 5, '流沙河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823100082', 1, '2021-07-19 12:01:15', NULL, NULL), (28632, '', '饮泉社区', '69c2581777ac4f27a236c937f88d5a3c', '7be75219881f43b09c8908f3a0d5c955', 'False', 'True', 'false', 'false', '511823100147', 5, '饮泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823100147', 1, '2021-07-19 12:01:15', NULL, NULL), (28633, '', '富塘村', 'eb12831e0dda45cf81274dedc9f3d754', '7be75219881f43b09c8908f3a0d5c955', 'False', 'True', 'false', 'false', '511823100290', 5, '富塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823100290', 1, '2021-07-19 12:01:15', NULL, NULL), (28634, '', '滨湖社区', '7bff880718464d6e99faac7d6848d74f', '7be75219881f43b09c8908f3a0d5c955', 'False', 'True', 'false', 'false', '511823100349', 5, '滨湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823100349', 1, '2021-07-19 12:01:15', NULL, NULL), (28635, '', '西园社区', '5d30e10dad9a415db5c3e50c415c55df', '7be75219881f43b09c8908f3a0d5c955', 'False', 'True', 'false', 'false', '511823100364', 5, '西园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823100364', 1, '2021-07-19 12:01:15', NULL, NULL), (28636, '', '太平村', 'ad316c152531480b83da5cc752d0b994', '7be75219881f43b09c8908f3a0d5c955', 'False', 'True', 'false', 'false', '511823100875', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823100875', 1, '2021-07-19 12:01:15', NULL, NULL), (28637, '', '市荣社区', '7edd44c44ff44459b074aed05cfb00c6', '7be75219881f43b09c8908f3a0d5c955', 'False', 'True', 'false', 'false', '511823100954', 5, '市荣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823100954', 1, '2021-07-19 12:01:15', NULL, NULL), (28638, '', '青富村', 'fd3b9032968b41118a794944931194ce', '7be75219881f43b09c8908f3a0d5c955', 'False', 'True', 'false', 'false', '511823100977', 5, '青富村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823100977', 1, '2021-07-19 12:01:16', NULL, NULL), (28639, '', '九襄镇', 'b0a6a0dea00c4b8bbdd68cae60e1079a', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823101000', 4, '九襄镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823101000', 1, '2021-07-19 12:01:16', NULL, NULL), (28640, '', '龙池村', 'c26f65814af04ccb986fea17f59344e4', 'b0a6a0dea00c4b8bbdd68cae60e1079a', 'False', 'True', 'false', 'false', '511823101117', 5, '龙池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823101117', 1, '2021-07-19 12:01:16', NULL, NULL), (28641, '', '锦新村', '4c5adf442b234afdaad972ad7f8617c8', 'b0a6a0dea00c4b8bbdd68cae60e1079a', 'False', 'True', 'false', 'false', '511823101260', 5, '锦新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823101260', 1, '2021-07-19 12:01:16', NULL, NULL), (28642, '', '新阳村', '25d8b5fb49da41bf8a99fc6004a1d115', 'b0a6a0dea00c4b8bbdd68cae60e1079a', 'False', 'True', 'false', 'false', '511823101491', 5, '新阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823101491', 1, '2021-07-19 12:01:16', NULL, NULL), (28643, '', '木槿村', '99126db57bfd4868adf8ba38843cd48d', 'b0a6a0dea00c4b8bbdd68cae60e1079a', 'False', 'True', 'false', 'false', '511823101917', 5, '木槿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823101917', 1, '2021-07-19 12:01:16', NULL, NULL), (28644, '', '桃源村', 'b28ded6272e444bc8bdcedd9a88b818a', 'b0a6a0dea00c4b8bbdd68cae60e1079a', 'False', 'True', 'false', 'false', '511823101947', 5, '桃源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823101947', 1, '2021-07-19 12:01:16', NULL, NULL), (28645, '', '九龙桥社区', '3ed67fc3a9d443c7ba55a4c16a9fe224', 'b0a6a0dea00c4b8bbdd68cae60e1079a', 'False', 'True', 'false', 'false', '511823101151', 5, '九龙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823101151', 1, '2021-07-19 12:01:16', NULL, NULL), (28646, '', '三强村', '2cdb8a11918e4160a93dd0b25a69921a', 'b0a6a0dea00c4b8bbdd68cae60e1079a', 'False', 'True', 'false', 'false', '511823101157', 5, '三强村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823101157', 1, '2021-07-19 12:01:16', NULL, NULL), (28647, '', '枣林村', 'f94f1a71886f4f1998faf5f0fff46537', 'b0a6a0dea00c4b8bbdd68cae60e1079a', 'False', 'True', 'false', 'false', '511823101201', 5, '枣林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823101201', 1, '2021-07-19 12:01:16', NULL, NULL), (28648, '', '民主社区', 'c726bc2080e14b21948824a183d04be3', 'b0a6a0dea00c4b8bbdd68cae60e1079a', 'False', 'True', 'false', 'false', '511823101221', 5, '民主社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823101221', 1, '2021-07-19 12:01:16', NULL, NULL), (28649, '', '周家村', '5bf2ae8aeb104b258bf0275f1e6a76ab', 'b0a6a0dea00c4b8bbdd68cae60e1079a', 'False', 'True', 'false', 'false', '511823101256', 5, '周家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823101256', 1, '2021-07-19 12:01:16', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (28650, '', '清泉村', '84dafc9474cf422fb962a036342ce8d1', 'b0a6a0dea00c4b8bbdd68cae60e1079a', 'False', 'True', 'false', 'false', '511823101258', 5, '清泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823101258', 1, '2021-07-19 12:01:16', NULL, NULL), (28651, '', '大庄村', 'b3a03046f8a34a298b1b2aa7ce8aa1b9', 'b0a6a0dea00c4b8bbdd68cae60e1079a', 'False', 'True', 'false', 'false', '511823101498', 5, '大庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823101498', 1, '2021-07-19 12:01:16', NULL, NULL), (28652, '', '堰沟村', '8f191b9ba4be4e148552fe7d716e8c1a', 'b0a6a0dea00c4b8bbdd68cae60e1079a', 'False', 'True', 'false', 'false', '511823101581', 5, '堰沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823101581', 1, '2021-07-19 12:01:16', NULL, NULL), (28653, '', '梨城社区', '7fff78e6fd224ab5a662db08f84e3141', 'b0a6a0dea00c4b8bbdd68cae60e1079a', 'False', 'True', 'false', 'false', '511823101614', 5, '梨城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823101614', 1, '2021-07-19 12:01:17', NULL, NULL), (28654, '', '红光村', '0e2a3de67aa94eec9e3c53a7b2d5019a', 'b0a6a0dea00c4b8bbdd68cae60e1079a', 'False', 'True', 'false', 'false', '511823101713', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823101713', 1, '2021-07-19 12:01:17', NULL, NULL), (28655, '', '梨坪村', '245ee3d33c8a4758a732cd5af8941c4d', 'b0a6a0dea00c4b8bbdd68cae60e1079a', 'False', 'True', 'false', 'false', '511823101755', 5, '梨坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823101755', 1, '2021-07-19 12:01:17', NULL, NULL), (28656, '', '大木村', '00dbaf94f6ba4038bb14ee62cd412187', 'b0a6a0dea00c4b8bbdd68cae60e1079a', 'False', 'True', 'false', 'false', '511823101758', 5, '大木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823101758', 1, '2021-07-19 12:01:17', NULL, NULL), (28657, '', '乌斯河镇', 'c2e10d13994c4a11bc849db127db5026', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823102000', 4, '乌斯河', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823102000', 1, '2021-07-19 12:01:17', NULL, NULL), (28658, '', '马托村', '31af6b3b66994783a4c5d4b0a1391ba5', 'c2e10d13994c4a11bc849db127db5026', 'False', 'True', 'false', 'false', '511823102529', 5, '马托村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823102529', 1, '2021-07-19 12:01:17', NULL, NULL), (28659, '', '万里村', '30502e731a604ace8f4b527ff2444ac6', 'c2e10d13994c4a11bc849db127db5026', 'False', 'True', 'false', 'false', '511823102047', 5, '万里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823102047', 1, '2021-07-19 12:01:17', NULL, NULL), (28660, '', '贾托村', '34eae4c566c3408c9c3b82ba9451e14d', 'c2e10d13994c4a11bc849db127db5026', 'False', 'True', 'false', 'false', '511823102217', 5, '贾托村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823102217', 1, '2021-07-19 12:01:17', NULL, NULL), (28661, '', '苏古社区', 'd984c8f64cd045caa218111f4687a829', 'c2e10d13994c4a11bc849db127db5026', 'False', 'True', 'false', 'false', '511823102912', 5, '苏古社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823102912', 1, '2021-07-19 12:01:17', NULL, NULL), (28662, '', '宜东镇', '93ef7232adc348f880170e5b97ca42b2', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823103000', 4, '宜东镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823103000', 1, '2021-07-19 12:01:17', NULL, NULL), (28663, '', '大树村', '33058cf5caf046bcac19447e3e180d85', '93ef7232adc348f880170e5b97ca42b2', 'False', 'True', 'false', 'false', '511823103104', 5, '大树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823103104', 1, '2021-07-19 12:01:17', NULL, NULL), (28664, '', '永河村', '391d3d88bec1482385fd2da07416817e', '93ef7232adc348f880170e5b97ca42b2', 'False', 'True', 'false', 'false', '511823103383', 5, '永河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823103383', 1, '2021-07-19 12:01:17', NULL, NULL), (28665, '', '三江村', 'b8dda0b91b434b499798423be166a85d', '93ef7232adc348f880170e5b97ca42b2', 'False', 'True', 'false', 'false', '511823103885', 5, '三江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823103885', 1, '2021-07-19 12:01:17', NULL, NULL), (28666, '', '三交村', '6f4cb43a04534a6abdabd9ea19c6794f', '93ef7232adc348f880170e5b97ca42b2', 'False', 'True', 'false', 'false', '511823103952', 5, '三交村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823103952', 1, '2021-07-19 12:01:17', NULL, NULL), (28667, '', '新林村', '73f104b7c9a745078fafc6a75393b00a', '93ef7232adc348f880170e5b97ca42b2', 'False', 'True', 'false', 'false', '511823103074', 5, '新林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823103074', 1, '2021-07-19 12:01:17', NULL, NULL), (28668, '', '林政村', '980de0757d5e437a9cbd2e28557d316c', '93ef7232adc348f880170e5b97ca42b2', 'False', 'True', 'false', 'false', '511823103132', 5, '林政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823103132', 1, '2021-07-19 12:01:18', NULL, NULL), (28669, '', '长荣村', 'e76b4d60710c4b6a8e8de381a7dc9665', '93ef7232adc348f880170e5b97ca42b2', 'False', 'True', 'false', 'false', '511823103192', 5, '长荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823103192', 1, '2021-07-19 12:01:18', NULL, NULL), (28670, '', '海银村', 'bef90b59af4f432fa72428acf79dcd10', '93ef7232adc348f880170e5b97ca42b2', 'False', 'True', 'false', 'false', '511823103315', 5, '海银村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823103315', 1, '2021-07-19 12:01:18', NULL, NULL), (28671, '', '海亭村', '9cf8510938bb4ee8bf4f7eee85bcb409', '93ef7232adc348f880170e5b97ca42b2', 'False', 'True', 'false', 'false', '511823103542', 5, '海亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823103542', 1, '2021-07-19 12:01:18', NULL, NULL), (28672, '', '天罡村', 'c7e0002c615b499a90b071b1046fad94', '93ef7232adc348f880170e5b97ca42b2', 'False', 'True', 'false', 'false', '511823103607', 5, '天罡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823103607', 1, '2021-07-19 12:01:18', NULL, NULL), (28673, '', '关华村', '5ac81b842a2b41a09feed67dd87bf9c4', '93ef7232adc348f880170e5b97ca42b2', 'False', 'True', 'false', 'false', '511823103644', 5, '关华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823103644', 1, '2021-07-19 12:01:18', NULL, NULL), (28674, '', '永定村', 'ee3221595f394e26a875ecb63f6a3181', '93ef7232adc348f880170e5b97ca42b2', 'False', 'True', 'false', 'false', '511823103679', 5, '永定村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823103679', 1, '2021-07-19 12:01:18', NULL, NULL), (28675, '', '大安村', 'e1dd266a008148bf87e77c1f53ca70a2', '93ef7232adc348f880170e5b97ca42b2', 'False', 'True', 'false', 'false', '511823103890', 5, '大安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823103890', 1, '2021-07-19 12:01:18', NULL, NULL), (28676, '', '富乡村', '0f720be534e348fa84c7597e12d540b2', '93ef7232adc348f880170e5b97ca42b2', 'False', 'True', 'false', 'false', '511823103918', 5, '富乡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823103918', 1, '2021-07-19 12:01:18', NULL, NULL), (28677, '', '富庄镇', '91f282c9880d4febbcb994cd689453c0', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823104000', 4, '富庄镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823104000', 1, '2021-07-19 12:01:18', NULL, NULL), (28678, '', '民安村', '8539b613aaa8448ab897f3952f7741e1', '91f282c9880d4febbcb994cd689453c0', 'False', 'True', 'false', 'false', '511823104436', 5, '民安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823104436', 1, '2021-07-19 12:01:18', NULL, NULL), (28679, '', '松江村', '2905dd6717294770902eea0487fd5d09', '91f282c9880d4febbcb994cd689453c0', 'False', 'True', 'false', 'false', '511823104864', 5, '松江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823104864', 1, '2021-07-19 12:01:18', NULL, NULL), (28680, '', '陈河村', 'e9bff78b26644c6698bb0602b67a93db', '91f282c9880d4febbcb994cd689453c0', 'False', 'True', 'false', 'false', '511823104978', 5, '陈河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823104978', 1, '2021-07-19 12:01:18', NULL, NULL), (28681, '', '果园村', '5b134e4a20c94c6589836e257eeb256b', '91f282c9880d4febbcb994cd689453c0', 'False', 'True', 'false', 'false', '511823104139', 5, '果园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823104139', 1, '2021-07-19 12:01:18', NULL, NULL), (28682, '', '富庄社区', 'd58e78feb15f4b8bbb59e8a3fa28f9cd', '91f282c9880d4febbcb994cd689453c0', 'False', 'True', 'false', 'false', '511823104327', 5, '富庄社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823104327', 1, '2021-07-19 12:01:19', NULL, NULL), (28683, '', '河东村', '63b4ceee58354039ac064bb43efca976', '91f282c9880d4febbcb994cd689453c0', 'False', 'True', 'false', 'false', '511823104649', 5, '河东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823104649', 1, '2021-07-19 12:01:19', NULL, NULL), (28684, '', '同义村', 'a01929d832df4304ac3f12bf02ecb799', '91f282c9880d4febbcb994cd689453c0', 'False', 'True', 'false', 'false', '511823104737', 5, '同义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823104737', 1, '2021-07-19 12:01:19', NULL, NULL), (28685, '', '联络村', 'abb37e3c5d3d4fb98eaf568295b4bfd4', '91f282c9880d4febbcb994cd689453c0', 'False', 'True', 'false', 'false', '511823104821', 5, '联络村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823104821', 1, '2021-07-19 12:01:19', NULL, NULL), (28686, '', '永兴村', '7cab3c88bc2b4160bb7f351dcb7e6a58', '91f282c9880d4febbcb994cd689453c0', 'False', 'True', 'false', 'false', '511823104997', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823104997', 1, '2021-07-19 12:01:19', NULL, NULL), (28687, '', '清溪镇', 'c2bb2388bd7141ecaf204f7cdecfec34', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823105000', 4, '清溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823105000', 1, '2021-07-19 12:01:19', NULL, NULL), (28688, '', '顺利村', '011eed2fc8a1482fbdfcd94187375c19', 'c2bb2388bd7141ecaf204f7cdecfec34', 'False', 'True', 'false', 'false', '511823105237', 5, '顺利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823105237', 1, '2021-07-19 12:01:19', NULL, NULL), (28689, '', '同心村', '332056fde06840f78876398e2813d296', 'c2bb2388bd7141ecaf204f7cdecfec34', 'False', 'True', 'false', 'false', '511823105486', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823105486', 1, '2021-07-19 12:01:19', NULL, NULL), (28690, '', '新黎村', 'd0f80cf5bd344d19ba9472cd456411f9', 'c2bb2388bd7141ecaf204f7cdecfec34', 'False', 'True', 'false', 'false', '511823105492', 5, '新黎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823105492', 1, '2021-07-19 12:01:19', NULL, NULL), (28691, '', '富民村', '61c5a31fdbfe49409a77f91de23d0d86', 'c2bb2388bd7141ecaf204f7cdecfec34', 'False', 'True', 'false', 'false', '511823105552', 5, '富民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823105552', 1, '2021-07-19 12:01:19', NULL, NULL), (28692, '', '永安村', '86e90d822d9842bf944dd9a266dd14ef', 'c2bb2388bd7141ecaf204f7cdecfec34', 'False', 'True', 'false', 'false', '511823105941', 5, '永安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823105941', 1, '2021-07-19 12:01:19', NULL, NULL), (28693, '', '大树镇', '5fbe469b01c042deac63685c2529edb6', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823106000', 4, '大树镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823106000', 1, '2021-07-19 12:01:19', NULL, NULL), (28694, '', '料林村', '6a22d8c6c05445c68bc6ab4d05fe6a6f', '5fbe469b01c042deac63685c2529edb6', 'False', 'True', 'false', 'false', '511823106833', 5, '料林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823106833', 1, '2021-07-19 12:01:19', NULL, NULL), (28695, '', '白玉村', 'c1975de1ecdd4d0db65d11b9262c5b0d', '5fbe469b01c042deac63685c2529edb6', 'False', 'True', 'false', 'false', '511823106669', 5, '白玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823106669', 1, '2021-07-19 12:01:19', NULL, NULL), (28696, '', '文笔村', '9b7b57e0238d48bfb29626b0d34b78df', '5fbe469b01c042deac63685c2529edb6', 'False', 'True', 'false', 'false', '511823106007', 5, '文笔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823106007', 1, '2021-07-19 12:01:20', NULL, NULL), (28697, '', '麦坪村', '8173e5154323453e9333469dae69328d', '5fbe469b01c042deac63685c2529edb6', 'False', 'True', 'false', 'false', '511823106154', 5, '麦坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823106154', 1, '2021-07-19 12:01:20', NULL, NULL), (28698, '', '新民村', 'b760c45540a248b7a6a9264e84aad21e', '5fbe469b01c042deac63685c2529edb6', 'False', 'True', 'false', 'false', '511823106169', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823106169', 1, '2021-07-19 12:01:20', NULL, NULL), (28699, '', '桂贤村', 'bade18ef06d045778cfaa5ab8ba25308', '5fbe469b01c042deac63685c2529edb6', 'False', 'True', 'false', 'false', '511823106458', 5, '桂贤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823106458', 1, '2021-07-19 12:01:20', NULL, NULL), (28700, '', '大维村', '0888df21a892443094e92aea2ea5088f', '5fbe469b01c042deac63685c2529edb6', 'False', 'True', 'false', 'false', '511823106546', 5, '大维村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823106546', 1, '2021-07-19 12:01:20', NULL, NULL), (28701, '', '松林村', '23ec8b84d69c42e5bfd62daa71380a6c', '5fbe469b01c042deac63685c2529edb6', 'False', 'True', 'false', 'false', '511823106719', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823106719', 1, '2021-07-19 12:01:20', NULL, NULL), (28702, '', '山羊坪社区', '2ea90a0fb19f46108a45d77c6ced83d6', '5fbe469b01c042deac63685c2529edb6', 'False', 'True', 'false', 'false', '511823106764', 5, '山羊坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823106764', 1, '2021-07-19 12:01:20', NULL, NULL), (28703, '', '皇木镇', '0c235d0df9e14ca9b2312b8595180e93', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823107000', 4, '皇木镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823107000', 1, '2021-07-19 12:01:20', NULL, NULL), (28704, '', '红花村', 'e38e1e8866b84bf0801f1b5fdd406bc1', '0c235d0df9e14ca9b2312b8595180e93', 'False', 'True', 'false', 'false', '511823107079', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823107079', 1, '2021-07-19 12:01:20', NULL, NULL), (28705, '', '松坪村', '0b6ad6fd02904f00b6c2bc36db8b5d9c', '0c235d0df9e14ca9b2312b8595180e93', 'False', 'True', 'false', 'false', '511823107656', 5, '松坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823107656', 1, '2021-07-19 12:01:20', NULL, NULL), (28706, '', '万盛社区', '52b4b121b00c4c0e8d7046798bb4011b', '0c235d0df9e14ca9b2312b8595180e93', 'False', 'True', 'false', 'false', '511823107847', 5, '万盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823107847', 1, '2021-07-19 12:01:20', NULL, NULL), (28707, '', '唐家镇', 'd78dc70acd024a64b1deeef7a1f3fc2f', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823108000', 4, '唐家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823108000', 1, '2021-07-19 12:01:20', NULL, NULL), (28708, '', '尚礼村', '0ba705bf300b4663a2cf77e7d9a00461', 'd78dc70acd024a64b1deeef7a1f3fc2f', 'False', 'True', 'false', 'false', '511823108104', 5, '尚礼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823108104', 1, '2021-07-19 12:01:21', NULL, NULL), (28709, '', '河西村', '538b1b6b384745ea99c8eec6b1045c65', 'd78dc70acd024a64b1deeef7a1f3fc2f', 'False', 'True', 'false', 'false', '511823108381', 5, '河西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823108381', 1, '2021-07-19 12:01:21', NULL, NULL), (28710, '', '大岭村', '46dda9289439420a87711f9d35b64a71', 'd78dc70acd024a64b1deeef7a1f3fc2f', 'False', 'True', 'false', 'false', '511823108920', 5, '大岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823108920', 1, '2021-07-19 12:01:21', NULL, NULL), (28711, '', '唐家村', 'df2d9fa6d2f644519c97b60e4a8cf67a', 'd78dc70acd024a64b1deeef7a1f3fc2f', 'False', 'True', 'false', 'false', '511823108140', 5, '唐家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823108140', 1, '2021-07-19 12:01:21', NULL, NULL), (28712, '', '五里社区', 'dd61549e81ef4014aa601471ef113cb5', 'd78dc70acd024a64b1deeef7a1f3fc2f', 'False', 'True', 'false', 'false', '511823108380', 5, '五里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823108380', 1, '2021-07-19 12:01:21', NULL, NULL), (28713, '', '庄子村', 'c2e9c9fb4110401c826eaf850ed3684e', 'd78dc70acd024a64b1deeef7a1f3fc2f', 'False', 'True', 'false', 'false', '511823108536', 5, '庄子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823108536', 1, '2021-07-19 12:01:21', NULL, NULL), (28714, '', '富村村', '274cc0a7dc3b4062889f0ebc5500f880', 'd78dc70acd024a64b1deeef7a1f3fc2f', 'False', 'True', 'false', 'false', '511823108712', 5, '富村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823108712', 1, '2021-07-19 12:01:21', NULL, NULL), (28715, '', '合同村', 'edb2df55077a47f381c584c518b5b364', 'd78dc70acd024a64b1deeef7a1f3fc2f', 'False', 'True', 'false', 'false', '511823108786', 5, '合同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823108786', 1, '2021-07-19 12:01:21', NULL, NULL), (28716, '', '富源村', '6437c0947fdd47e9bc5a1ac15f1610f3', 'd78dc70acd024a64b1deeef7a1f3fc2f', 'False', 'True', 'false', 'false', '511823108804', 5, '富源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823108804', 1, '2021-07-19 12:01:21', NULL, NULL), (28717, '', '红关村', '5feae7fc03d74f5b8e3139184a2cf7ee', 'd78dc70acd024a64b1deeef7a1f3fc2f', 'False', 'True', 'false', 'false', '511823108869', 5, '红关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823108869', 1, '2021-07-19 12:01:21', NULL, NULL), (28718, '', '富泉镇', '63129800093d4b13baf612e9866c9edb', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823109000', 4, '富泉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823109000', 1, '2021-07-19 12:01:21', NULL, NULL), (28719, '', '胡叶村', 'b66b025262e346ab9bde514ce7c2eb15', '63129800093d4b13baf612e9866c9edb', 'False', 'True', 'false', 'false', '511823109009', 5, '胡叶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823109009', 1, '2021-07-19 12:01:21', NULL, NULL), (28720, '', '香树村', '193eda516c0b43a1a900f418b4bcfe31', '63129800093d4b13baf612e9866c9edb', 'False', 'True', 'false', 'false', '511823109087', 5, '香树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823109087', 1, '2021-07-19 12:01:21', NULL, NULL), (28721, '', '富泉社区', '081e0d26407f4a9c9f30810db7858cf6', '63129800093d4b13baf612e9866c9edb', 'False', 'True', 'false', 'false', '511823109101', 5, '富泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823109101', 1, '2021-07-19 12:01:21', NULL, NULL), (28722, '', '鸣鹿村', 'a07189eea5a842e78d1c1e0e31de505a', '63129800093d4b13baf612e9866c9edb', 'False', 'True', 'false', 'false', '511823109311', 5, '鸣鹿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823109311', 1, '2021-07-19 12:01:22', NULL, NULL), (28723, '', '双海村', '98442ae3bb6844eb9d2b5598f04608a2', '63129800093d4b13baf612e9866c9edb', 'False', 'True', 'false', 'false', '511823109937', 5, '双海村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823109937', 1, '2021-07-19 12:01:22', NULL, NULL), (28724, '', '中海村', 'a64f8b81d7c74232b6710d292e99ce1a', '63129800093d4b13baf612e9866c9edb', 'False', 'True', 'false', 'false', '511823109990', 5, '中海村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823109990', 1, '2021-07-19 12:01:22', NULL, NULL), (28725, '', '前域镇', '3239d796e26348b08b3d6029b137dd61', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823205000', 4, '前域镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823205000', 1, '2021-07-19 12:01:22', NULL, NULL), (28726, '', '全合村', '6ff78908deba4e979c2a0cfae195fa51', '3239d796e26348b08b3d6029b137dd61', 'False', 'True', 'false', 'false', '511823205161', 5, '全合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823205161', 1, '2021-07-19 12:01:22', NULL, NULL), (28727, '', '永康村', '3a78a85b221c42a497397aadd287a270', '3239d796e26348b08b3d6029b137dd61', 'False', 'True', 'false', 'false', '511823205231', 5, '永康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823205231', 1, '2021-07-19 12:01:22', NULL, NULL), (28728, '', '白鹤村', 'bb88eb62d19844d6a9883134ded3c4bd', '3239d796e26348b08b3d6029b137dd61', 'False', 'True', 'false', 'false', '511823205400', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823205400', 1, '2021-07-19 12:01:22', NULL, NULL), (28729, '', '金银坪', '4df5284acde141d3b360bbca937261ca', '3239d796e26348b08b3d6029b137dd61', 'False', 'True', 'false', 'false', '511823205422', 5, '金银坪', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823205422', 1, '2021-07-19 12:01:22', NULL, NULL), (28730, '', '前域社区', '82032bc171fa4d779057abeea1a394de', '3239d796e26348b08b3d6029b137dd61', 'False', 'True', 'false', 'false', '511823205657', 5, '前域社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823205657', 1, '2021-07-19 12:01:22', NULL, NULL), (28731, '', '千峰村', '69eeaf45b6bb4413a29d61e0d451cd72', '3239d796e26348b08b3d6029b137dd61', 'False', 'True', 'false', 'false', '511823205910', 5, '千峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823205910', 1, '2021-07-19 12:01:22', NULL, NULL), (28732, '', '富乡乡', 'a35d876a0d7042e69c722fc650adc84b', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823209000', 4, '富乡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823209000', 1, '2021-07-19 12:01:22', NULL, NULL), (28733, '', '富和村', '73e7b7e1023449f5bf3a9dbce4410b45', 'a35d876a0d7042e69c722fc650adc84b', 'False', 'True', 'false', 'false', '511823209011', 5, '富和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823209011', 1, '2021-07-19 12:01:22', NULL, NULL), (28734, '', '双江村', 'ea3072d86b5c47d599f008e4c66e9687', 'a35d876a0d7042e69c722fc650adc84b', 'False', 'True', 'false', 'false', '511823209066', 5, '双江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823209066', 1, '2021-07-19 12:01:22', NULL, NULL), (28735, '', '富康村', 'd1653c598b9348e7957dfe14886adf4d', 'a35d876a0d7042e69c722fc650adc84b', 'False', 'True', 'false', 'false', '511823209222', 5, '富康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823209222', 1, '2021-07-19 12:01:22', NULL, NULL), (28736, '', '安乐镇', 'f9e008c47570405b8fe4850c0162b8aa', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823218000', 4, '安乐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823218000', 1, '2021-07-19 12:01:23', NULL, NULL), (28737, '', '坪安村', '02128aa256ed4fcf877a08d47119512e', 'f9e008c47570405b8fe4850c0162b8aa', 'False', 'True', 'false', 'false', '511823218542', 5, '坪安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823218542', 1, '2021-07-19 12:01:23', NULL, NULL), (28738, '', '沙坪村', '45ad9834150a4b31a6714cd562cb2448', 'f9e008c47570405b8fe4850c0162b8aa', 'False', 'True', 'false', 'false', '511823218581', 5, '沙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823218581', 1, '2021-07-19 12:01:23', NULL, NULL), (28739, '', '洪福村', '6ca42eb3a1d749e1862e8fd05c24da36', 'f9e008c47570405b8fe4850c0162b8aa', 'False', 'True', 'false', 'false', '511823218126', 5, '洪福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823218126', 1, '2021-07-19 12:01:23', NULL, NULL), (28740, '', '鹤梧村', 'f08bf446be7a4c4a9128632ecfe87599', 'f9e008c47570405b8fe4850c0162b8aa', 'False', 'True', 'false', 'false', '511823218289', 5, '鹤梧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823218289', 1, '2021-07-19 12:01:23', NULL, NULL), (28741, '', '安乐村', '896890429dba4fd9be81fbbc813f8bcd', 'f9e008c47570405b8fe4850c0162b8aa', 'False', 'True', 'false', 'false', '511823218316', 5, '安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823218316', 1, '2021-07-19 12:01:23', NULL, NULL), (28742, '', '和平村', '5d985041622240be9fa70089a6837aa8', 'f9e008c47570405b8fe4850c0162b8aa', 'False', 'True', 'false', 'false', '511823218336', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823218336', 1, '2021-07-19 12:01:23', NULL, NULL), (28743, '', '治安村', '3d807091d56748b78e18e2da33bb465b', 'f9e008c47570405b8fe4850c0162b8aa', 'False', 'True', 'false', 'false', '511823218492', 5, '治安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823218492', 1, '2021-07-19 12:01:23', NULL, NULL), (28744, '', '马烈乡', '0ca69d8c98b147b79178a009f8d13e84', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823220000', 4, '马烈乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823220000', 1, '2021-07-19 12:01:23', NULL, NULL), (28745, '', '新华村', '82600353e7db40fe9bd5e2fc3757d496', '0ca69d8c98b147b79178a009f8d13e84', 'False', 'True', 'false', 'false', '511823220524', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823220524', 1, '2021-07-19 12:01:23', NULL, NULL), (28746, '', '马烈村', '5f1ab5ec19d54bc0acf87c58b0270a83', '0ca69d8c98b147b79178a009f8d13e84', 'False', 'True', 'false', 'false', '511823220921', 5, '马烈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823220921', 1, '2021-07-19 12:01:23', NULL, NULL), (28747, '', '河南乡', '94060a26ee7346cea7ada266c0943250', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823224000', 4, '河南乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823224000', 1, '2021-07-19 12:01:24', NULL, NULL), (28748, '', '平等村', '18fd9b9e6a314f77b49d02c47e7b33a5', '94060a26ee7346cea7ada266c0943250', 'False', 'True', 'false', 'false', '511823224092', 5, '平等村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823224092', 1, '2021-07-19 12:01:24', NULL, NULL), (28749, '', '河南村', 'c195fa2477cb40068f4470e96af6d30b', '94060a26ee7346cea7ada266c0943250', 'False', 'True', 'false', 'false', '511823224183', 5, '河南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823224183', 1, '2021-07-19 12:01:24', NULL, NULL), (28750, '', '盐井村', 'fcf1c1cc66474696971b92b13af5a6c0', '94060a26ee7346cea7ada266c0943250', 'False', 'True', 'false', 'false', '511823224635', 5, '盐井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823224635', 1, '2021-07-19 12:01:24', NULL, NULL), (28751, '', '柏树村', '4a75a42324a341f49c2b538d990bdb70', '94060a26ee7346cea7ada266c0943250', 'False', 'True', 'false', 'false', '511823224645', 5, '柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823224645', 1, '2021-07-19 12:01:24', NULL, NULL), (28752, '', '小堡藏族彝族乡', '2e929d9a29d742dd8be4960c1d9a7842', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823227000', 4, '小堡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823227000', 1, '2021-07-19 12:01:24', NULL, NULL), (28753, '', '丁家村', 'd3c2f36132354ca9ade47639fc8e1e82', '2e929d9a29d742dd8be4960c1d9a7842', 'False', 'True', 'false', 'false', '511823227182', 5, '丁家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823227182', 1, '2021-07-19 12:01:24', NULL, NULL), (28754, '', '团结村', '2adbb178a76541cea946554e5d60cff5', '2e929d9a29d742dd8be4960c1d9a7842', 'False', 'True', 'false', 'false', '511823227205', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823227205', 1, '2021-07-19 12:01:24', NULL, NULL), (28755, '', '片马彝族乡', '592e195672ac4753aa7e7953a755827e', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823228000', 4, '片马乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823228000', 1, '2021-07-19 12:01:24', NULL, NULL), (28756, '', '片马村', 'd8f0f6d49daa4cb5899ee0088a064030', '592e195672ac4753aa7e7953a755827e', 'False', 'True', 'false', 'false', '511823228391', 5, '片马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823228391', 1, '2021-07-19 12:01:24', NULL, NULL), (28757, '', '大营村', 'e830534d60884921b4132958babd235e', '592e195672ac4753aa7e7953a755827e', 'False', 'True', 'false', 'false', '511823228591', 5, '大营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823228591', 1, '2021-07-19 12:01:24', NULL, NULL), (28758, '', '万坪村', 'fc25b90811124f8c88605875191b5bc6', '592e195672ac4753aa7e7953a755827e', 'False', 'True', 'false', 'false', '511823228977', 5, '万坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823228977', 1, '2021-07-19 12:01:24', NULL, NULL), (28759, '', '然莫村', 'f1caacbde1fc4885aa67bfcac352c70e', '592e195672ac4753aa7e7953a755827e', 'False', 'True', 'false', 'false', '511823228995', 5, '然莫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823228995', 1, '2021-07-19 12:01:24', NULL, NULL), (28760, '', '坭美彝族乡', '86dc4e6f3a2249699a5744a191151859', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823229000', 4, '坭美乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823229000', 1, '2021-07-19 12:01:24', NULL, NULL), (28761, '', '火地村', '989db0128be9424f96b487b3043ddf9b', '86dc4e6f3a2249699a5744a191151859', 'False', 'True', 'false', 'false', '511823229031', 5, '火地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823229031', 1, '2021-07-19 12:01:24', NULL, NULL), (28762, '', '和爱村', '37ac5e6ec41f41ea9d7ca286adaa666b', '86dc4e6f3a2249699a5744a191151859', 'False', 'True', 'false', 'false', '511823229135', 5, '和爱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823229135', 1, '2021-07-19 12:01:24', NULL, NULL), (28763, '', '永利彝族乡', '182af0d05e014ec982c17532df33a3e5', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823230000', 4, '永利彝族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823230000', 1, '2021-07-19 12:01:24', NULL, NULL), (28764, '', '古路村', '8ddd0c06a53840b58d9a2e3319bd6ee4', '182af0d05e014ec982c17532df33a3e5', 'False', 'True', 'false', 'false', '511823230219', 5, '古路村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823230219', 1, '2021-07-19 12:01:25', NULL, NULL), (28765, '', '竹坪村', 'df67b5f04969461499e5d7832ddbc4ab', '182af0d05e014ec982c17532df33a3e5', 'False', 'True', 'false', 'false', '511823230734', 5, '竹坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823230734', 1, '2021-07-19 12:01:25', NULL, NULL), (28766, '', '莫朵村', 'ba189c9a374a4370b7785a6c701557a1', '182af0d05e014ec982c17532df33a3e5', 'False', 'True', 'false', 'false', '511823230812', 5, '莫朵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823230812', 1, '2021-07-19 12:01:25', NULL, NULL), (28767, '', '顺河彝族乡', '3b2d5497befc4b01a7defee6176aac0f', '117a2e49f5354729845976c6a4acf00e', 'True', 'True', 'false', 'false', '511823231000', 4, '顺河乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511823231000', 1, '2021-07-19 12:01:25', NULL, NULL), (28768, '', '管山村', '33b49ff733724a22afbb84043a3e294a', '3b2d5497befc4b01a7defee6176aac0f', 'False', 'True', 'false', 'false', '511823231529', 5, '管山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823231529', 1, '2021-07-19 12:01:25', NULL, NULL), (28769, '', '顺河村', 'bf8ce00d311a402b845c459b50bdfdbc', '3b2d5497befc4b01a7defee6176aac0f', 'False', 'True', 'false', 'false', '511823231607', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823231607', 1, '2021-07-19 12:01:25', NULL, NULL), (28770, '', '万工村', '7eb4b8a61182484ba1b501ebbec33310', '3b2d5497befc4b01a7defee6176aac0f', 'False', 'True', 'false', 'false', '511823231813', 5, '万工村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511823231813', 1, '2021-07-19 12:01:25', NULL, NULL), (28771, '', '石棉县', '4278d7e155214d558f85216993a8b670', '5f2063c48e7e42ba922a2481e5ffea5d', 'True', 'True', 'false', 'false', '511824000000', 3, '石棉县', 'yassmx.sczwfw.gov.cn', 1, '2021-07-19 12:01:25', NULL, NULL), (28772, '', '新棉街道', 'b3855f3e703d42b49f64d43fc03eee17', '4278d7e155214d558f85216993a8b670', 'True', 'True', 'false', 'false', '511824001001', 4, '新棉街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511824001001', 1, '2021-07-19 12:01:25', NULL, NULL), (28773, '', '川棉社区', '428236420d22455aac7274f9e580dbbb', 'b3855f3e703d42b49f64d43fc03eee17', 'False', 'True', 'false', 'false', '511824001002', 5, '川棉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824001002', 1, '2021-07-19 12:01:25', NULL, NULL), (28774, '', '新街社区', '0a2c41e6eaa64490b333450e5e88ce91', 'b3855f3e703d42b49f64d43fc03eee17', 'False', 'True', 'false', 'false', '511824001117', 5, '新街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824001117', 1, '2021-07-19 12:01:25', NULL, NULL), (28775, '', '老街社区', '2bc895e35b934951b354c3de9c1d0c39', 'b3855f3e703d42b49f64d43fc03eee17', 'False', 'True', 'false', 'false', '511824001340', 5, '老街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824001340', 1, '2021-07-19 12:01:25', NULL, NULL), (28776, '', '岩子社区', 'acdeba9b1b264b6aad58224a71c8a661', 'b3855f3e703d42b49f64d43fc03eee17', 'False', 'True', 'false', 'false', '511824001348', 5, '岩子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824001348', 1, '2021-07-19 12:01:25', NULL, NULL), (28777, '', '向阳社区', 'b16459bf956741ab8b0bf10da05de637', 'b3855f3e703d42b49f64d43fc03eee17', 'False', 'True', 'false', 'false', '511824001452', 5, '向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824001452', 1, '2021-07-19 12:01:25', NULL, NULL), (28778, '', '草八牌社区', 'a8735152b3204c52a007903870c7b552', 'b3855f3e703d42b49f64d43fc03eee17', 'False', 'True', 'false', 'false', '511824001557', 5, '草八牌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824001557', 1, '2021-07-19 12:01:25', NULL, NULL), (28779, '', '川心店社区', '1ea0f265986c4e86ac09c9099bd8c878', 'b3855f3e703d42b49f64d43fc03eee17', 'False', 'True', 'false', 'false', '511824001720', 5, '川心店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824001720', 1, '2021-07-19 12:01:26', NULL, NULL), (28780, '', '西区社区', 'c7a8b640c3474f2dbba96b5d72c67b84', 'b3855f3e703d42b49f64d43fc03eee17', 'False', 'True', 'false', 'false', '511824001824', 5, '西区社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824001824', 1, '2021-07-19 12:01:26', NULL, NULL), (28781, '', '安靖社区', 'c76947de39754c6f8dd80fc0b98094ea', 'b3855f3e703d42b49f64d43fc03eee17', 'False', 'True', 'false', 'false', '511824100200', 5, '安靖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824100200', 1, '2021-07-19 12:01:26', NULL, NULL), (28782, '', '广元堡社区', '31a1a41ad94a4e6e8ef88ef21052bc93', 'b3855f3e703d42b49f64d43fc03eee17', 'False', 'True', 'false', 'false', '511824100202', 5, '广元堡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824100202', 1, '2021-07-19 12:01:26', NULL, NULL), (28783, '', '草科藏族乡', '134940779a314e6abcbf4c898002da4a', '4278d7e155214d558f85216993a8b670', 'True', 'True', 'false', 'false', '511824128000', 4, '草科乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511824128000', 1, '2021-07-19 12:01:26', NULL, NULL), (28784, '', '田湾河村', '38675281009e47f7a090086c321ca70b', '134940779a314e6abcbf4c898002da4a', 'False', 'True', 'false', 'false', '511824128144', 5, '田湾河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824128144', 1, '2021-07-19 12:01:26', NULL, NULL), (28785, '', '和坪村', 'b3c6142e0ebf45848dc441fdc4a8774c', '134940779a314e6abcbf4c898002da4a', 'False', 'True', 'false', 'false', '511824214201', 5, '和坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824214201', 1, '2021-07-19 12:01:26', NULL, NULL), (28786, '', '农家村', '47e7e433c8564388a494b1193ace3a25', '134940779a314e6abcbf4c898002da4a', 'False', 'True', 'false', 'false', '511824214204', 5, '农家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824214204', 1, '2021-07-19 12:01:26', NULL, NULL), (28787, '', '永和乡', '0660365ac42e4ef7bcc9cdcdae941fc6', '4278d7e155214d558f85216993a8b670', 'True', 'True', 'false', 'false', '511824136000', 4, '永和乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511824136000', 1, '2021-07-19 12:01:26', NULL, NULL), (28788, '', '纳耳坝村', 'a81c584068c3413983e71a112f4ab2fd', '0660365ac42e4ef7bcc9cdcdae941fc6', 'False', 'True', 'false', 'false', '511824136557', 5, '纳耳坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824136557', 1, '2021-07-19 12:01:26', NULL, NULL), (28789, '', '大林村', '09857396c5ac47c59860cf2c61731ac1', '0660365ac42e4ef7bcc9cdcdae941fc6', 'False', 'True', 'false', 'false', '511824136378', 5, '大林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824136378', 1, '2021-07-19 12:01:26', NULL, NULL), (28790, '', '白马村', 'df6a5d1887c14651a408a74cba60c336', '0660365ac42e4ef7bcc9cdcdae941fc6', 'False', 'True', 'false', 'false', '511824136730', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824136730', 1, '2021-07-19 12:01:26', NULL, NULL), (28791, '', '蟹螺藏族乡', '19cce20f4d064198a11ec229245415c2', '4278d7e155214d558f85216993a8b670', 'True', 'True', 'false', 'false', '511824205000', 4, '蟹螺乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511824205000', 1, '2021-07-19 12:01:26', NULL, NULL), (28792, '', '猛种村', 'e9ebc76bb8634fc39dd7fa600051def6', '19cce20f4d064198a11ec229245415c2', 'False', 'True', 'false', 'false', '511824205477', 5, '猛种村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824205477', 1, '2021-07-19 12:01:26', NULL, NULL), (28793, '', '大湾村', 'f3d7a002bc65472f90478fedd9afcb62', '19cce20f4d064198a11ec229245415c2', 'False', 'True', 'false', 'false', '511824205715', 5, '大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824205715', 1, '2021-07-19 12:01:26', NULL, NULL), (28794, '', '新乐村', 'fb2c57514cd845d3acc19e4381e4aae9', '19cce20f4d064198a11ec229245415c2', 'False', 'True', 'false', 'false', '511824205778', 5, '新乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824205778', 1, '2021-07-19 12:01:26', NULL, NULL), (28795, '', '江坝村', '2167ca0f72ec4410af8ccfab18322416', '19cce20f4d064198a11ec229245415c2', 'False', 'True', 'false', 'false', '511824205985', 5, '江坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824205985', 1, '2021-07-19 12:01:27', NULL, NULL), (28796, '', '新民藏族彝族乡', '5458be8941b14757920a1658ca79c0ae', '4278d7e155214d558f85216993a8b670', 'True', 'True', 'false', 'false', '511824214000', 4, '新民乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511824214000', 1, '2021-07-19 12:01:27', NULL, NULL), (28797, '', '马厂村', '56093cf680374c94bf13d681a321f04a', '5458be8941b14757920a1658ca79c0ae', 'False', 'True', 'false', 'false', '511824214236', 5, '马场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824214236', 1, '2021-07-19 12:01:27', NULL, NULL), (28798, '', '海子村', 'fe82b8386b2e4967a26e8194a681e7e7', '5458be8941b14757920a1658ca79c0ae', 'False', 'True', 'false', 'false', '511824214353', 5, '海子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824214353', 1, '2021-07-19 12:01:27', NULL, NULL), (28799, '', '双坪村', '4358f4a735d34dc388bc258a242f9ca3', '5458be8941b14757920a1658ca79c0ae', 'False', 'True', 'false', 'false', '511824214669', 5, '双坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824214669', 1, '2021-07-19 12:01:27', NULL, NULL), (28800, '', '农乡村', '79145976ff71438fb564e4c70f988fba', '5458be8941b14757920a1658ca79c0ae', 'False', 'True', 'false', 'false', '511824214774', 5, '农乡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824214774', 1, '2021-07-19 12:01:27', NULL, NULL), (28801, '', '海耳村', '2d363171351547329eef6144f408f1e5', '5458be8941b14757920a1658ca79c0ae', 'False', 'True', 'false', 'false', '511824214892', 5, '海耳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824214892', 1, '2021-07-19 12:01:27', NULL, NULL), (28802, '', '迎政乡', '947f9dcb884e49b9bea5b21e385404ef', '4278d7e155214d558f85216993a8b670', 'True', 'True', 'false', 'false', '511824312000', 4, '迎政乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511824312000', 1, '2021-07-19 12:01:27', NULL, NULL), (28803, '', '八牌村', 'dc4c3857f4154a1db53075aa70f992bd', '947f9dcb884e49b9bea5b21e385404ef', 'False', 'True', 'false', 'false', '511824312227', 5, '八牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824312227', 1, '2021-07-19 12:01:27', NULL, NULL), (28804, '', '新民村', 'bed1ed94473149ef823aab3ec1b2a4d8', '947f9dcb884e49b9bea5b21e385404ef', 'False', 'True', 'false', 'false', '511824312295', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824312295', 1, '2021-07-19 12:01:27', NULL, NULL), (28805, '', '红旗村', '48838647dbed4b28844543d36d4c08e8', '947f9dcb884e49b9bea5b21e385404ef', 'False', 'True', 'false', 'false', '511824312520', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824312520', 1, '2021-07-19 12:01:27', NULL, NULL), (28806, '', '王岗坪彝族藏族乡', '24c5511c90d04f61a81e8be17e77b01a', '4278d7e155214d558f85216993a8b670', 'True', 'True', 'false', 'false', '511824449000', 4, '王岗坪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511824449000', 1, '2021-07-19 12:01:27', NULL, NULL), (28807, '', '爱国村', 'c8d1c49afcb949cbbaf16a85bacc50e2', '24c5511c90d04f61a81e8be17e77b01a', 'False', 'True', 'false', 'false', '511824449023', 5, '爱国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824449023', 1, '2021-07-19 12:01:27', NULL, NULL), (28808, '', '跃进村', '0415748ebdd148c1afdc1086232fde28', '24c5511c90d04f61a81e8be17e77b01a', 'False', 'True', 'false', 'false', '511824449606', 5, '跃进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824449606', 1, '2021-07-19 12:01:27', NULL, NULL), (28809, '', '幸福村', 'cc413d3f953048529b6534871cd1e0bd', '24c5511c90d04f61a81e8be17e77b01a', 'False', 'True', 'false', 'false', '511824449758', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824449758', 1, '2021-07-19 12:01:27', NULL, NULL), (28810, '', '挖角村', 'd3bac1f5fc8b47ccb048429e68874611', '24c5511c90d04f61a81e8be17e77b01a', 'False', 'True', 'false', 'false', '511824212200', 5, '挖角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824212200', 1, '2021-07-19 12:01:27', NULL, NULL), (28811, '', '新桥村', 'bed5e199d3564661859b55d8f98a5827', '24c5511c90d04f61a81e8be17e77b01a', 'False', 'True', 'false', 'false', '511824212201', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824212201', 1, '2021-07-19 12:01:27', NULL, NULL), (28812, '', '丰乐乡', '27dd11f02c1c407084bdddb672112a6e', '4278d7e155214d558f85216993a8b670', 'True', 'True', 'false', 'false', '511824535000', 4, '丰乐乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511824535000', 1, '2021-07-19 12:01:27', NULL, NULL), (28813, '', '三星村', '6e6e6a69a70e4f42b73915cf0603cbf1', '27dd11f02c1c407084bdddb672112a6e', 'False', 'True', 'false', 'false', '511824535002', 5, '三星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824535002', 1, '2021-07-19 12:01:27', NULL, NULL), (28814, '', '蜡树村', 'afc00e599680446f98dfad08aaef132c', '27dd11f02c1c407084bdddb672112a6e', 'False', 'True', 'false', 'false', '511824535003', 5, '蜡树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824535003', 1, '2021-07-19 12:01:28', NULL, NULL), (28815, '', '田湾村', '6422e7bde8014c42b654c8a918f78d30', '27dd11f02c1c407084bdddb672112a6e', 'False', 'True', 'false', 'false', '511824535004', 5, '田湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824535004', 1, '2021-07-19 12:01:28', NULL, NULL), (28816, '', '美罗镇', '8e20f6d2bb754e8b9022fb248ada203e', '4278d7e155214d558f85216993a8b670', 'True', 'True', 'false', 'false', '511824644000', 4, '美罗镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511824644000', 1, '2021-07-19 12:01:28', NULL, NULL), (28817, '', '碾子村', '50ecfa9210344a2197974352eacf829d', '8e20f6d2bb754e8b9022fb248ada203e', 'False', 'True', 'false', 'false', '511824644022', 5, '碾子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824644022', 1, '2021-07-19 12:01:28', NULL, NULL), (28818, '', '三明村', '95e6803368c0482bb66b359ec9cb22a0', '8e20f6d2bb754e8b9022fb248ada203e', 'False', 'True', 'false', 'false', '511824644256', 5, '三明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824644256', 1, '2021-07-19 12:01:28', NULL, NULL), (28819, '', '坪阳村', '984c625d844d47b4bd9b7ee87c0619de', '8e20f6d2bb754e8b9022fb248ada203e', 'False', 'True', 'false', 'false', '511824644963', 5, '坪阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824644963', 1, '2021-07-19 12:01:28', NULL, NULL), (28820, '', '狮子村', 'b60e26b2f45e4ab2905a65450133401e', '8e20f6d2bb754e8b9022fb248ada203e', 'False', 'True', 'false', 'false', '511824644176', 5, '狮子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824644176', 1, '2021-07-19 12:01:28', NULL, NULL), (28821, '', '山泉村', 'f2892951cd354e2aab3584eb062686e2', '8e20f6d2bb754e8b9022fb248ada203e', 'False', 'True', 'false', 'false', '511824644517', 5, '山泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824644517', 1, '2021-07-19 12:01:28', NULL, NULL), (28822, '', '方元村', 'd3bfda2108e84b59abbd39974dbfee4a', '8e20f6d2bb754e8b9022fb248ada203e', 'False', 'True', 'false', 'false', '511824644642', 5, '方元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824644642', 1, '2021-07-19 12:01:28', NULL, NULL), (28823, '', '安顺场镇', '9ea8146426ec4aeab31ab09c89d81c5e', '4278d7e155214d558f85216993a8b670', 'True', 'True', 'false', 'false', '511824690000', 4, '安顺场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511824690000', 1, '2021-07-19 12:01:28', NULL, NULL), (28824, '', '共和村', '80a627ae5b664e259a222705c8171f3b', '9ea8146426ec4aeab31ab09c89d81c5e', 'False', 'True', 'false', 'false', '511824690137', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824690137', 1, '2021-07-19 12:01:28', NULL, NULL), (28825, '', '解放村', '8bc3423758194a0eaa99260afbe1d718', '9ea8146426ec4aeab31ab09c89d81c5e', 'False', 'True', 'false', 'false', '511824690153', 5, '解放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824690153', 1, '2021-07-19 12:01:28', NULL, NULL), (28826, '', '松林村', 'e4fdeb1b8f034747aad106515fb92ea8', '9ea8146426ec4aeab31ab09c89d81c5e', 'False', 'True', 'false', 'false', '511824690467', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824690467', 1, '2021-07-19 12:01:28', NULL, NULL), (28827, '', '龙头石村', '4c58b82b1fd5423a811872e992c957ec', '9ea8146426ec4aeab31ab09c89d81c5e', 'False', 'True', 'false', 'false', '511824690720', 5, '龙头石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824690720', 1, '2021-07-19 12:01:28', NULL, NULL), (28828, '', '安顺村', '655cca0225184fd3ad12d26a4baa42b5', '9ea8146426ec4aeab31ab09c89d81c5e', 'False', 'True', 'false', 'false', '511824200200', 5, '安顺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824200200', 1, '2021-07-19 12:01:28', NULL, NULL), (28829, '', '小水村', 'b4c9671ac1824a609b884f999d64ac52', '9ea8146426ec4aeab31ab09c89d81c5e', 'False', 'True', 'false', 'false', '511824200201', 5, '小水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824200201', 1, '2021-07-19 12:01:28', NULL, NULL), (28830, '', '新场村', 'e583224407ba4278956f677ffa97550d', '9ea8146426ec4aeab31ab09c89d81c5e', 'False', 'True', 'false', 'false', '511824200202', 5, '新场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824200202', 1, '2021-07-19 12:01:28', NULL, NULL), (28831, '', '魁沙村', 'a73cf91ca26c4b7eba072382fcbe37a6', '9ea8146426ec4aeab31ab09c89d81c5e', 'False', 'True', 'false', 'false', '511824200203', 5, '魁沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824200203', 1, '2021-07-19 12:01:29', NULL, NULL), (28832, '', '麂子坪村', '41e4cdabe0ce4af7891ff9053ac09f78', '9ea8146426ec4aeab31ab09c89d81c5e', 'False', 'True', 'false', 'false', '511824200504', 5, '麂子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824200504', 1, '2021-07-19 12:01:29', NULL, NULL), (28833, '', '栗子坪彝族乡', 'c3d15d4e585b4677867b40ef76e8636f', '4278d7e155214d558f85216993a8b670', 'True', 'True', 'false', 'false', '511824924000', 4, '栗子坪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511824924000', 1, '2021-07-19 12:01:29', NULL, NULL), (28834, '', '栗子村', '1914c849d0d54e8392b73c1574163a05', 'c3d15d4e585b4677867b40ef76e8636f', 'False', 'True', 'false', 'false', '511824924259', 5, '栗子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824924259', 1, '2021-07-19 12:01:29', NULL, NULL), (28835, '', '元根村', '5f75d9bae5504acb84a0b5c5d1b2da1f', 'c3d15d4e585b4677867b40ef76e8636f', 'False', 'True', 'false', 'false', '511824924316', 5, '元根村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824924316', 1, '2021-07-19 12:01:29', NULL, NULL), (28836, '', '孟获村', '98b4fabdba4e49baae3a57cd0fe60566', 'c3d15d4e585b4677867b40ef76e8636f', 'False', 'True', 'false', 'false', '511824924379', 5, '孟获村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824924379', 1, '2021-07-19 12:01:29', NULL, NULL), (28837, '', '西冲村', '9235864e63044458bf87c921aa0fb512', 'c3d15d4e585b4677867b40ef76e8636f', 'False', 'True', 'false', 'false', '511824924708', 5, '西冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824924708', 1, '2021-07-19 12:01:29', NULL, NULL), (28838, '', '回隆镇', '1cbb64722a784300a1586ed4d85c22a8', '4278d7e155214d558f85216993a8b670', 'True', 'True', 'false', 'false', '511824992000', 4, '回隆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511824992000', 1, '2021-07-19 12:01:29', NULL, NULL), (28839, '', '楠桠村', '022f20c653f046028f3ca0fd83839b47', '1cbb64722a784300a1586ed4d85c22a8', 'False', 'True', 'false', 'false', '511824992161', 5, '楠桠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824992161', 1, '2021-07-19 12:01:29', NULL, NULL), (28840, '', '福龙村', '8c7c01d9ce094a2b8899045cbd70d8e5', '1cbb64722a784300a1586ed4d85c22a8', 'False', 'True', 'false', 'false', '511824992233', 5, '福龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824992233', 1, '2021-07-19 12:01:29', NULL, NULL), (28841, '', '晏如村', '69c32c77505841428518fcac06415050', '1cbb64722a784300a1586ed4d85c22a8', 'False', 'True', 'false', 'false', '511824992718', 5, '晏如村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824992718', 1, '2021-07-19 12:01:29', NULL, NULL), (28842, '', '回隆村', '7b0afdfc43f84734912a8eed58b065a3', '1cbb64722a784300a1586ed4d85c22a8', 'False', 'True', 'false', 'false', '511824992120', 5, '回隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824992120', 1, '2021-07-19 12:01:29', NULL, NULL), (28843, '', '叶坪村', 'db47ddb6e0ad4c05bb15921693ecf670', '1cbb64722a784300a1586ed4d85c22a8', 'False', 'True', 'false', 'false', '511824992453', 5, '叶坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824992453', 1, '2021-07-19 12:01:29', NULL, NULL), (28844, '', '竹马村', 'c276b5ba97c34d52b625899b021d769c', '1cbb64722a784300a1586ed4d85c22a8', 'False', 'True', 'false', 'false', '511824992743', 5, '竹马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511824992743', 1, '2021-07-19 12:01:29', NULL, NULL), (28845, '', '天全县', '875430cd53c74dd9b28917f18c4b9913', '5f2063c48e7e42ba922a2481e5ffea5d', 'True', 'True', 'false', 'false', '511825000000', 3, '天全县', 'yastqx.sczwfw.gov.cn', 1, '2021-07-19 12:01:30', NULL, NULL), (28846, '', '新场镇', '070637baaf5641cb9405f3e7b6b76305', '875430cd53c74dd9b28917f18c4b9913', 'True', 'True', 'false', 'false', '511825164000', 4, '新场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511825164000', 1, '2021-07-19 12:01:30', NULL, NULL), (28847, '', '新场村', '86c28743a5064b88819d7ed5053d4119', '070637baaf5641cb9405f3e7b6b76305', 'False', 'True', 'false', 'false', '511825211018', 5, '新场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825211018', 1, '2021-07-19 12:01:30', NULL, NULL), (28848, '', '前阳村', 'a5bb48ba02e7431c80f09f0c690615b2', '070637baaf5641cb9405f3e7b6b76305', 'False', 'True', 'false', 'false', '511825211202', 5, '前阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825211202', 1, '2021-07-19 12:01:30', NULL, NULL), (28849, '', '新立村', '6554f41350224ae6846238ee6b630b74', '070637baaf5641cb9405f3e7b6b76305', 'False', 'True', 'false', 'false', '511825211394', 5, '新立村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825211394', 1, '2021-07-19 12:01:30', NULL, NULL), (28850, '', '丁村村', '03b612e0479f4a988ad2252c6925c6a7', '070637baaf5641cb9405f3e7b6b76305', 'False', 'True', 'false', 'false', '511825211432', 5, '丁村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825211432', 1, '2021-07-19 12:01:30', NULL, NULL), (28851, '', '结里村', 'dd780fc85afa4fa1a4ac0af33f0c8dba', '070637baaf5641cb9405f3e7b6b76305', 'False', 'True', 'false', 'false', '511825211494', 5, '结里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825211494', 1, '2021-07-19 12:01:30', NULL, NULL), (28852, '', '杨柳村', '40c95dbbc74f4910bda9370dcbd12a1f', '070637baaf5641cb9405f3e7b6b76305', 'False', 'True', 'false', 'false', '511825211605', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825211605', 1, '2021-07-19 12:01:30', NULL, NULL), (28853, '', '后阳村', 'e5c15edd2c694c00a37f452a79ec8d1a', '070637baaf5641cb9405f3e7b6b76305', 'False', 'True', 'false', 'false', '511825211666', 5, '后阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825211666', 1, '2021-07-19 12:01:30', NULL, NULL), (28854, '', '董家村', '2015ae3aacf045d1a918166d1e46459a', '070637baaf5641cb9405f3e7b6b76305', 'False', 'True', 'false', 'false', '511825211723', 5, '董家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825211723', 1, '2021-07-19 12:01:30', NULL, NULL), (28855, '', '乐英乡', '7514629d1e5340988c194e19f10685e5', '875430cd53c74dd9b28917f18c4b9913', 'True', 'True', 'false', 'false', '511825305000', 4, '乐英乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511825305000', 1, '2021-07-19 12:01:30', NULL, NULL), (28856, '', '仁和村', 'd6897373688c4ecf91309ca239129528', '7514629d1e5340988c194e19f10685e5', 'False', 'True', 'false', 'false', '511825206205', 5, '仁和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825206205', 1, '2021-07-19 12:01:30', NULL, NULL), (28857, '', '爱国村', '79884636693b4d73b7e32c64d1bd8631', '7514629d1e5340988c194e19f10685e5', 'False', 'True', 'false', 'false', '511825206295', 5, '爱国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825206295', 1, '2021-07-19 12:01:30', NULL, NULL), (28858, '', '群山村', '0887278021d14daa84f9decbecb17129', '7514629d1e5340988c194e19f10685e5', 'False', 'True', 'false', 'false', '511825206387', 5, '群山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825206387', 1, '2021-07-19 12:01:30', NULL, NULL), (28859, '', '幸福村', 'ec9999340dd546c79040ffcaaee50fba', '7514629d1e5340988c194e19f10685e5', 'False', 'True', 'false', 'false', '511825206804', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825206804', 1, '2021-07-19 12:01:30', NULL, NULL), (28860, '', '安乐村', '97051fe0aa9344f989aa0f770c255bb7', '7514629d1e5340988c194e19f10685e5', 'False', 'True', 'false', 'false', '511825206984', 5, '安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825206984', 1, '2021-07-19 12:01:30', NULL, NULL), (28861, '', '小河镇', '0313b8c0dfcc4cb7aab0ec1032ec6ec4', '875430cd53c74dd9b28917f18c4b9913', 'True', 'True', 'false', 'false', '511825387000', 4, '小河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511825387000', 1, '2021-07-19 12:01:30', NULL, NULL), (28862, '', '关家村', '7ea414ee7385464eb4381bfcc45d5f13', '0313b8c0dfcc4cb7aab0ec1032ec6ec4', 'False', 'True', 'false', 'false', '511825200232', 5, '关家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825200232', 1, '2021-07-19 12:01:30', NULL, NULL), (28863, '', '武安村', '445f64148aac42539f0ae014e1d40f19', '0313b8c0dfcc4cb7aab0ec1032ec6ec4', 'False', 'True', 'false', 'false', '511825200546', 5, '武安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825200546', 1, '2021-07-19 12:01:30', NULL, NULL), (28864, '', '顺河村', '02b98fc1e2764927ad0873e31f8885e4', '0313b8c0dfcc4cb7aab0ec1032ec6ec4', 'False', 'True', 'false', 'false', '511825200623', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825200623', 1, '2021-07-19 12:01:30', NULL, NULL), (28865, '', '红星村', '2fed485dc9b94c99bd0e8471c7f5222a', '0313b8c0dfcc4cb7aab0ec1032ec6ec4', 'False', 'True', 'false', 'false', '511825200704', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825200704', 1, '2021-07-19 12:01:31', NULL, NULL), (28866, '', '沙坪村', '0012387785dd4ad195d0267c225359b1', '0313b8c0dfcc4cb7aab0ec1032ec6ec4', 'False', 'True', 'false', 'false', '511825200755', 5, '沙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825200755', 1, '2021-07-19 12:01:31', NULL, NULL), (28867, '', '秋丰村', 'a2763c6b243a40b7ab48a9973e74f19e', '0313b8c0dfcc4cb7aab0ec1032ec6ec4', 'False', 'True', 'false', 'false', '511825200804', 5, '秋丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825200804', 1, '2021-07-19 12:01:31', NULL, NULL), (28868, '', '曙光村', '0d161bae051b4519b8d75b95625f9aba', '0313b8c0dfcc4cb7aab0ec1032ec6ec4', 'False', 'True', 'false', 'false', '511825200936', 5, '曙光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825200936', 1, '2021-07-19 12:01:31', NULL, NULL), (28869, '', '城厢镇', '6c30cfa2d46649158e88963dc0b9e298', '875430cd53c74dd9b28917f18c4b9913', 'True', 'True', 'false', 'false', '511825533000', 4, '城厢镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511825533000', 1, '2021-07-19 12:01:31', NULL, NULL), (28870, '', '徙榆社区', 'b68e0139335240c79fa983175cc615a1', '6c30cfa2d46649158e88963dc0b9e298', 'False', 'True', 'false', 'false', '511825100002', 5, '徙榆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825100002', 1, '2021-07-19 12:01:31', NULL, NULL), (28871, '', '文笔社区', 'f779135748af4e4585ccdfe215173247', '6c30cfa2d46649158e88963dc0b9e298', 'False', 'True', 'false', 'false', '511825100004', 5, '文笔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825100004', 1, '2021-07-19 12:01:31', NULL, NULL), (28872, '', '军城社区', 'c9d48398f57545b4a6a1385c21b6211a', '6c30cfa2d46649158e88963dc0b9e298', 'False', 'True', 'false', 'false', '511825100005', 5, '军城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825100005', 1, '2021-07-19 12:01:31', NULL, NULL), (28873, '', '龙湾社区', 'f2c5f9ada9dc47d0939792f7c350f857', '6c30cfa2d46649158e88963dc0b9e298', 'False', 'True', 'false', 'false', '511825100008', 5, '龙湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825100008', 1, '2021-07-19 12:01:31', NULL, NULL), (28874, '', '慈朗社区', '91934146050946f584f2596124c6a5af', '6c30cfa2d46649158e88963dc0b9e298', 'False', 'True', 'false', 'false', '511825100009', 5, '慈朗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825100009', 1, '2021-07-19 12:01:31', NULL, NULL), (28875, '', '两岔村', 'd5f5eae0054c4191a0421b9b77a29c2b', '6c30cfa2d46649158e88963dc0b9e298', 'False', 'True', 'false', 'false', '511825100148', 5, '两岔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825100148', 1, '2021-07-19 12:01:31', NULL, NULL), (28876, '', '文景社区', '35226fc3de284029993bf4b17c52891d', '6c30cfa2d46649158e88963dc0b9e298', 'False', 'True', 'false', 'false', '511825100160', 5, '文景社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825100160', 1, '2021-07-19 12:01:31', NULL, NULL), (28877, '', '洪川社区', 'e4e3813e2f3847fdbeb34e81bccc371e', '6c30cfa2d46649158e88963dc0b9e298', 'False', 'True', 'false', 'false', '511825100335', 5, '洪川社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825100335', 1, '2021-07-19 12:01:31', NULL, NULL), (28878, '', '马溪村', 'ef9587e335024ae3b37d85b0a513f329', '6c30cfa2d46649158e88963dc0b9e298', 'False', 'True', 'false', 'false', '511825100423', 5, '马溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825100423', 1, '2021-07-19 12:01:31', NULL, NULL), (28879, '', '向阳社区', 'b9300168de2d4e799c0b81c820d13318', '6c30cfa2d46649158e88963dc0b9e298', 'False', 'True', 'false', 'false', '511825100431', 5, '向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825100431', 1, '2021-07-19 12:01:31', NULL, NULL), (28880, '', '梅子村', '3a56467c493e40188745d77cc9fe3342', '6c30cfa2d46649158e88963dc0b9e298', 'False', 'True', 'false', 'false', '511825100528', 5, '梅子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825100528', 1, '2021-07-19 12:01:32', NULL, NULL), (28881, '', '沙坝社区', 'fd3524b63a244593a0a6081b4952ba08', '6c30cfa2d46649158e88963dc0b9e298', 'False', 'True', 'false', 'false', '511825100561', 5, '沙坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825100561', 1, '2021-07-19 12:01:32', NULL, NULL), (28882, '', '龙尾村', '4c2f4ef7e7a94868824cde8e5cfb273b', '6c30cfa2d46649158e88963dc0b9e298', 'False', 'True', 'false', 'false', '511825100701', 5, '龙尾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825100701', 1, '2021-07-19 12:01:32', NULL, NULL), (28883, '', '白石村', 'e43ee3b418114ea7b1d82fa89f74e92f', '6c30cfa2d46649158e88963dc0b9e298', 'False', 'True', 'false', 'false', '511825100950', 5, '白石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825100950', 1, '2021-07-19 12:01:32', NULL, NULL), (28884, '', '兴业乡', 'd6e7abb54eba4b16bc7a3b7cdf365ea0', '875430cd53c74dd9b28917f18c4b9913', 'True', 'True', 'false', 'false', '511825661000', 4, '兴业乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511825661000', 1, '2021-07-19 12:01:32', NULL, NULL), (28885, '', '陈家村', '4a0085552ac84609a50084381e0cbb6e', 'd6e7abb54eba4b16bc7a3b7cdf365ea0', 'False', 'True', 'false', 'false', '511825212107', 5, '陈家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825212107', 1, '2021-07-19 12:01:32', NULL, NULL), (28886, '', '峡口村', 'ed40e7e728524ba48200adc5f062dd3e', 'd6e7abb54eba4b16bc7a3b7cdf365ea0', 'False', 'True', 'false', 'false', '511825212128', 5, '峡口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825212128', 1, '2021-07-19 12:01:32', NULL, NULL), (28887, '', '柑子村', 'cbf1b86a00fd42faa61fb35194c90460', 'd6e7abb54eba4b16bc7a3b7cdf365ea0', 'False', 'True', 'false', 'false', '511825212209', 5, '柑子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825212209', 1, '2021-07-19 12:01:32', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (28888, '', '复兴村', 'd6d79e1bc70b422db6f13f4424e890ba', 'd6e7abb54eba4b16bc7a3b7cdf365ea0', 'False', 'True', 'false', 'false', '511825212479', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825212479', 1, '2021-07-19 12:01:32', NULL, NULL), (28889, '', '罗李村', 'c9db41c75fee4069a75c27fedbf83a88', 'd6e7abb54eba4b16bc7a3b7cdf365ea0', 'False', 'True', 'false', 'false', '511825212605', 5, '罗李村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825212605', 1, '2021-07-19 12:01:32', NULL, NULL), (28890, '', '陇窝村', '636bf6f6e70248cbb8495d53cb039ee2', 'd6e7abb54eba4b16bc7a3b7cdf365ea0', 'False', 'True', 'false', 'false', '511825212768', 5, '陇窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825212768', 1, '2021-07-19 12:01:32', NULL, NULL), (28891, '', '罗家村', 'eed16685004c454893bb142a351d1b1c', 'd6e7abb54eba4b16bc7a3b7cdf365ea0', 'False', 'True', 'false', 'false', '511825212866', 5, '罗家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825212866', 1, '2021-07-19 12:01:32', NULL, NULL), (28892, '', '铜厂村', '6c5e716f96e64a9eb6dae8bf9be7e95f', 'd6e7abb54eba4b16bc7a3b7cdf365ea0', 'False', 'True', 'false', 'false', '511825212887', 5, '铜厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825212887', 1, '2021-07-19 12:01:32', NULL, NULL), (28893, '', '仁义镇', '6fbd61499825482a981117a6af8264a3', '875430cd53c74dd9b28917f18c4b9913', 'True', 'True', 'false', 'false', '511825744000', 4, '仁义镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511825744000', 1, '2021-07-19 12:01:32', NULL, NULL), (28894, '', '共和村', '9f3cdd440cc14a6ea5d334e97012b4ec', '6fbd61499825482a981117a6af8264a3', 'False', 'True', 'false', 'false', '511825105210', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825105210', 1, '2021-07-19 12:01:32', NULL, NULL), (28895, '', '老场村', '735f9599fe42443a99f595526cb7276f', '6fbd61499825482a981117a6af8264a3', 'False', 'True', 'false', 'false', '511825105211', 5, '老场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825105211', 1, '2021-07-19 12:01:32', NULL, NULL), (28896, '', '禾林村', 'd22cad99519343a6be38265b5408899b', '6fbd61499825482a981117a6af8264a3', 'False', 'True', 'false', 'false', '511825105212', 5, '禾林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825105212', 1, '2021-07-19 12:01:33', NULL, NULL), (28897, '', '石桥村', '9cb1ed70962241f2b2f8ecd416ce1cbd', '6fbd61499825482a981117a6af8264a3', 'False', 'True', 'false', 'false', '511825208190', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825208190', 1, '2021-07-19 12:01:33', NULL, NULL), (28898, '', '六城村', '4324bf6877914150b66862304e2ca755', '6fbd61499825482a981117a6af8264a3', 'False', 'True', 'false', 'false', '511825208372', 5, '六城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825208372', 1, '2021-07-19 12:01:33', NULL, NULL), (28899, '', '云顶村', 'cf13628991bd4275a66666df015fb39b', '6fbd61499825482a981117a6af8264a3', 'False', 'True', 'false', 'false', '511825208382', 5, '云顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825208382', 1, '2021-07-19 12:01:33', NULL, NULL), (28900, '', '小落村', '41cd85d1027349a5a56b3a2f4cff0dc1', '6fbd61499825482a981117a6af8264a3', 'False', 'True', 'false', 'false', '511825208383', 5, '小落村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825208383', 1, '2021-07-19 12:01:33', NULL, NULL), (28901, '', '大田村', '00c6940250f64a72a78718e6f90973d3', '6fbd61499825482a981117a6af8264a3', 'False', 'True', 'false', 'false', '511825208421', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825208421', 1, '2021-07-19 12:01:33', NULL, NULL), (28902, '', '永兴村', '6f19fc19a114480dada7c2cb9b4d392e', '6fbd61499825482a981117a6af8264a3', 'False', 'True', 'false', 'false', '511825208469', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825208469', 1, '2021-07-19 12:01:33', NULL, NULL), (28903, '', '岩峰村', '42cf08c6ac9e4bc8a7973dcde512f6f5', '6fbd61499825482a981117a6af8264a3', 'False', 'True', 'false', 'false', '511825208645', 5, '岩峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825208645', 1, '2021-07-19 12:01:33', NULL, NULL), (28904, '', '红军村', '824515883a8645aa939f878bf1d4b5bb', '6fbd61499825482a981117a6af8264a3', 'False', 'True', 'false', 'false', '511825208699', 5, '红军村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825208699', 1, '2021-07-19 12:01:33', NULL, NULL), (28905, '', '溪口村', '0c3c18e1aded42939924df64f4f6d7fd', '6fbd61499825482a981117a6af8264a3', 'False', 'True', 'false', 'false', '511825208895', 5, '溪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825208895', 1, '2021-07-19 12:01:33', NULL, NULL), (28906, '', '红岩村', 'db316e0c87f7479c9bf46defad3054c0', '6fbd61499825482a981117a6af8264a3', 'False', 'True', 'false', 'false', '511825208978', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825208978', 1, '2021-07-19 12:01:33', NULL, NULL), (28907, '', '始阳镇', 'dcb1687419e44745a34bc7276c95b8f8', '875430cd53c74dd9b28917f18c4b9913', 'True', 'True', 'false', 'false', '511825783000', 4, '始阳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511825783000', 1, '2021-07-19 12:01:33', NULL, NULL), (28908, '', '凤翔社区', '2eb90402b5144d66bce591c1ca0e9f2e', 'dcb1687419e44745a34bc7276c95b8f8', 'False', 'True', 'false', 'false', '511825101001', 5, '凤翔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825101001', 1, '2021-07-19 12:01:33', NULL, NULL), (28909, '', '兴中社区', '596156b578d74831820bd97bffa7217e', 'dcb1687419e44745a34bc7276c95b8f8', 'False', 'True', 'false', 'false', '511825101004', 5, '兴中社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825101004', 1, '2021-07-19 12:01:33', NULL, NULL), (28910, '', '大坪社区', 'b298868e140645e0ba4f47250fa20434', 'dcb1687419e44745a34bc7276c95b8f8', 'False', 'True', 'false', 'false', '511825101006', 5, '大坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825101006', 1, '2021-07-19 12:01:33', NULL, NULL), (28911, '', '多功社区', 'bbe0282dab4840288442ba5306831593', 'dcb1687419e44745a34bc7276c95b8f8', 'False', 'True', 'false', 'false', '511825101007', 5, '多功社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825101007', 1, '2021-07-19 12:01:34', NULL, NULL), (28912, '', '罗代村', '34f7a0331a884ac29c7ed5206a03a631', 'dcb1687419e44745a34bc7276c95b8f8', 'False', 'True', 'false', 'false', '511825101081', 5, '罗代村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825101081', 1, '2021-07-19 12:01:34', NULL, NULL), (28913, '', '破磷村', 'c44fc31a987e4da0b613e10735095556', 'dcb1687419e44745a34bc7276c95b8f8', 'False', 'True', 'false', 'false', '511825101034', 5, '破磷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825101034', 1, '2021-07-19 12:01:34', NULL, NULL), (28914, '', '新村社区', 'a3c86970367d41f49e7cbf07eee7ff7d', 'dcb1687419e44745a34bc7276c95b8f8', 'False', 'True', 'false', 'false', '511825101123', 5, '新村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825101123', 1, '2021-07-19 12:01:34', NULL, NULL), (28915, '', '荡村村', '343738c8d5ec4263b5d14310cae8c821', 'dcb1687419e44745a34bc7276c95b8f8', 'False', 'True', 'false', 'false', '511825101168', 5, '荡村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825101168', 1, '2021-07-19 12:01:34', NULL, NULL), (28916, '', '九十村', '0ecab1e4ae414c969cbdd679280dd62a', 'dcb1687419e44745a34bc7276c95b8f8', 'False', 'True', 'false', 'false', '511825101183', 5, '九十村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825101183', 1, '2021-07-19 12:01:34', NULL, NULL), (28917, '', '和源村', '0e7384e70b994704a82170199fb269d1', 'dcb1687419e44745a34bc7276c95b8f8', 'False', 'True', 'false', 'false', '511825101215', 5, '和源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825101215', 1, '2021-07-19 12:01:34', NULL, NULL), (28918, '', '徐家村', '1f69fa9e6678466c9ad7a46f38555936', 'dcb1687419e44745a34bc7276c95b8f8', 'False', 'True', 'false', 'false', '511825101388', 5, '徐家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825101388', 1, '2021-07-19 12:01:34', NULL, NULL), (28919, '', '盐店社区', 'fa03b8ef8263420f80ed696a08a0c19c', 'dcb1687419e44745a34bc7276c95b8f8', 'False', 'True', 'false', 'false', '511825101482', 5, '盐店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825101482', 1, '2021-07-19 12:01:34', NULL, NULL), (28920, '', '切山村', 'e2d71172f0d94bdd89f065d785ea0054', 'dcb1687419e44745a34bc7276c95b8f8', 'False', 'True', 'false', 'false', '511825101500', 5, '切山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825101500', 1, '2021-07-19 12:01:34', NULL, NULL), (28921, '', '苏家村', '739226640ccb4f89b65e8fa3880a6999', 'dcb1687419e44745a34bc7276c95b8f8', 'False', 'True', 'false', 'false', '511825101527', 5, '苏家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825101527', 1, '2021-07-19 12:01:34', NULL, NULL), (28922, '', '乐坝社区', 'a8880dee099e4798b8e809b3c33fb54f', 'dcb1687419e44745a34bc7276c95b8f8', 'False', 'True', 'false', 'false', '511825101637', 5, '乐坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825101637', 1, '2021-07-19 12:01:34', NULL, NULL), (28923, '', '秧田村', '25e412d9c3bc41a9b883fa04db097796', 'dcb1687419e44745a34bc7276c95b8f8', 'False', 'True', 'false', 'false', '511825101657', 5, '秧田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825101657', 1, '2021-07-19 12:01:34', NULL, NULL), (28924, '', '新民社区', '8995231a44744e3588bd62227d46ab5a', 'dcb1687419e44745a34bc7276c95b8f8', 'False', 'True', 'false', 'false', '511825101740', 5, '新民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825101740', 1, '2021-07-19 12:01:34', NULL, NULL), (28925, '', '瓦坪村', 'f3beb24c44e944bb8555cd97be49c5e0', 'dcb1687419e44745a34bc7276c95b8f8', 'False', 'True', 'false', 'false', '511825101836', 5, '瓦坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825101836', 1, '2021-07-19 12:01:35', NULL, NULL), (28926, '', '新华乡', '2140e5241e59431eb46c27f7faffb350', '875430cd53c74dd9b28917f18c4b9913', 'True', 'True', 'false', 'false', '511825850000', 4, '新华乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511825850000', 1, '2021-07-19 12:01:35', NULL, NULL), (28927, '', '孝廉村', '971a6b7f87574287993e55aed155e929', '2140e5241e59431eb46c27f7faffb350', 'False', 'True', 'false', 'false', '511825210002', 5, '孝廉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825210002', 1, '2021-07-19 12:01:35', NULL, NULL), (28928, '', '落改村', '4bc1f119b5704607a68ef62186f89036', '2140e5241e59431eb46c27f7faffb350', 'False', 'True', 'false', 'false', '511825210380', 5, '落改村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825210380', 1, '2021-07-19 12:01:35', NULL, NULL), (28929, '', '柏树村', '4cda58c073344954866b6afdfee5af59', '2140e5241e59431eb46c27f7faffb350', 'False', 'True', 'false', 'false', '511825210390', 5, '柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825210390', 1, '2021-07-19 12:01:35', NULL, NULL), (28930, '', '河埝村', 'f99df7e6ffcc4ad38715fe5d602f7405', '2140e5241e59431eb46c27f7faffb350', 'False', 'True', 'false', 'false', '511825210486', 5, '河埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825210486', 1, '2021-07-19 12:01:35', NULL, NULL), (28931, '', '永安村', 'a5c00836539542fc8569d2a22ccc61a6', '2140e5241e59431eb46c27f7faffb350', 'False', 'True', 'false', 'false', '511825210712', 5, '永安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825210712', 1, '2021-07-19 12:01:35', NULL, NULL), (28932, '', '银坪村', 'd576ef4741334c1a9d0661354c0d37dc', '2140e5241e59431eb46c27f7faffb350', 'False', 'True', 'false', 'false', '511825210854', 5, '银坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825210854', 1, '2021-07-19 12:01:35', NULL, NULL), (28933, '', '新华村', '03aebdace1aa4bd08bb5a6406c838e7a', '2140e5241e59431eb46c27f7faffb350', 'False', 'True', 'false', 'false', '511825210974', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825210974', 1, '2021-07-19 12:01:35', NULL, NULL), (28934, '', '思经镇', 'eea5c440f31f4575800acb3ad13c7bdd', '875430cd53c74dd9b28917f18c4b9913', 'True', 'True', 'false', 'false', '511825923000', 4, '思经镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511825923000', 1, '2021-07-19 12:01:35', NULL, NULL), (28935, '', '百家村', '2ab4d46586574775b56cf1e5461c15b4', 'eea5c440f31f4575800acb3ad13c7bdd', 'False', 'True', 'false', 'false', '511825201024', 5, '百家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825201024', 1, '2021-07-19 12:01:35', NULL, NULL), (28936, '', '黍子村', '6252a09985794ec1aa82ad04d5e5f67d', 'eea5c440f31f4575800acb3ad13c7bdd', 'False', 'True', 'false', 'false', '511825201041', 5, '黍子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825201041', 1, '2021-07-19 12:01:35', NULL, NULL), (28937, '', '鱼泉村', '464cdf7eb1c341f8977c3910f7563d34', 'eea5c440f31f4575800acb3ad13c7bdd', 'False', 'True', 'false', 'false', '511825201249', 5, '鱼泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825201249', 1, '2021-07-19 12:01:35', NULL, NULL), (28938, '', '马渡村', 'c6e92f3656f84d3a9fb77ce6af5b3a3c', 'eea5c440f31f4575800acb3ad13c7bdd', 'False', 'True', 'false', 'false', '511825201412', 5, '马渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825201412', 1, '2021-07-19 12:01:35', NULL, NULL), (28939, '', '青元村', '0a72e1aca84f45f3aa0f7534742c3935', 'eea5c440f31f4575800acb3ad13c7bdd', 'False', 'True', 'false', 'false', '511825201495', 5, '青元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825201495', 1, '2021-07-19 12:01:35', NULL, NULL), (28940, '', '民主村', 'fd61fdb8c62f4fff8b9aed177a1b96d4', 'eea5c440f31f4575800acb3ad13c7bdd', 'False', 'True', 'false', 'false', '511825201555', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825201555', 1, '2021-07-19 12:01:35', NULL, NULL), (28941, '', '劳动村', '64a025e098904a348504368b15295704', 'eea5c440f31f4575800acb3ad13c7bdd', 'False', 'True', 'false', 'false', '511825201596', 5, '劳动村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825201596', 1, '2021-07-19 12:01:35', NULL, NULL), (28942, '', '团结村', '28c39f9aa22c4aeeb494a9e4d0d1f227', 'eea5c440f31f4575800acb3ad13c7bdd', 'False', 'True', 'false', 'false', '511825201605', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825201605', 1, '2021-07-19 12:01:35', NULL, NULL), (28943, '', '大河村', 'bebeff6d31ee46ea9c89e5cafced1ebd', 'eea5c440f31f4575800acb3ad13c7bdd', 'False', 'True', 'false', 'false', '511825201783', 5, '大河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825201783', 1, '2021-07-19 12:01:36', NULL, NULL), (28944, '', '进步村', '6942a5db8892413bac89cb18bb5673ad', 'eea5c440f31f4575800acb3ad13c7bdd', 'False', 'True', 'false', 'false', '511825201928', 5, '进步村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825201928', 1, '2021-07-19 12:01:36', NULL, NULL), (28945, '', '思经村', '7dc7c68d4b8f4c43b3d751951b671071', 'eea5c440f31f4575800acb3ad13c7bdd', 'False', 'True', 'false', 'false', '511825923541', 5, '思经村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825923541', 1, '2021-07-19 12:01:36', NULL, NULL), (28946, '', '喇叭河镇', '54e318fac3594f1cb2849d9beb3897c7', '875430cd53c74dd9b28917f18c4b9913', 'True', 'True', 'false', 'false', '511825983000', 4, '喇叭河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511825983000', 1, '2021-07-19 12:01:36', NULL, NULL), (28947, '', '红灵村', 'f9627d7c96ea4d39b6e9df8e46a489ad', '54e318fac3594f1cb2849d9beb3897c7', 'False', 'True', 'false', 'false', '511825103201', 5, '红灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825103201', 1, '2021-07-19 12:01:36', NULL, NULL), (28948, '', '喇叭河村', '36a3fedee5074d6e82b34d0229005f6f', '54e318fac3594f1cb2849d9beb3897c7', 'False', 'True', 'false', 'false', '511825103202', 5, '喇叭河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825103202', 1, '2021-07-19 12:01:36', NULL, NULL), (28949, '', '新沟村', '240583b1693347dcac0d855a98924a45', '54e318fac3594f1cb2849d9beb3897c7', 'False', 'True', 'false', 'false', '511825103203', 5, '新沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825103203', 1, '2021-07-19 12:01:36', NULL, NULL), (28950, '', '两路村', '89be67a7bd3c4d3cadcddf282943bd9d', '54e318fac3594f1cb2849d9beb3897c7', 'False', 'True', 'false', 'false', '511825103204', 5, '两路村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825103204', 1, '2021-07-19 12:01:36', NULL, NULL), (28951, '', '紫石关村', 'cd26874325a0489fa1c5f29fb92ae5a6', '54e318fac3594f1cb2849d9beb3897c7', 'False', 'True', 'false', 'false', '511825203231', 5, '紫石关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511825203231', 1, '2021-07-19 12:01:36', NULL, NULL), (28952, '', '芦山县', 'e0d4e8ac8c614d768beb23023ce65a5b', '5f2063c48e7e42ba922a2481e5ffea5d', 'True', 'True', 'false', 'false', '511826000000', 3, '芦山县', 'yaslsx.sczwfw.gov.cn', 1, '2021-07-19 12:01:36', NULL, NULL), (28953, '', '双石镇', '9da8327eff3c4d318a659e2dd1adedb9', 'e0d4e8ac8c614d768beb23023ce65a5b', 'True', 'True', 'false', 'false', '511826102000', 4, '双石镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511826102000', 1, '2021-07-19 12:01:36', NULL, NULL), (28954, '', '双河村', '85ad12995d934e53a163478726efb15b', '9da8327eff3c4d318a659e2dd1adedb9', 'False', 'True', 'false', 'false', '511826102200', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826102200', 1, '2021-07-19 12:01:36', NULL, NULL), (28955, '', '围塔村', 'ea7c973f043340abb6d49dec399da5b4', '9da8327eff3c4d318a659e2dd1adedb9', 'False', 'True', 'false', 'false', '511826102201', 5, '围塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826102201', 1, '2021-07-19 12:01:36', NULL, NULL), (28956, '', '石凤村', '5b0b723d2f474549b52dfc22feb06039', '9da8327eff3c4d318a659e2dd1adedb9', 'False', 'True', 'false', 'false', '511826102202', 5, '石凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826102202', 1, '2021-07-19 12:01:36', NULL, NULL), (28957, '', '西川村', '021fc7e51bf846fba07bddcf3bd69c5a', '9da8327eff3c4d318a659e2dd1adedb9', 'False', 'True', 'false', 'false', '511826102203', 5, '西川村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826102203', 1, '2021-07-19 12:01:36', NULL, NULL), (28958, '', '思延镇', '0716e50ddc9644d09c93902ddb22f61e', 'e0d4e8ac8c614d768beb23023ce65a5b', 'True', 'True', 'false', 'false', '511826200000', 4, '思延镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511826200000', 1, '2021-07-19 12:01:37', NULL, NULL), (28959, '', '周村村', '94566d3763a24dddad31ae1c4f3196d8', '0716e50ddc9644d09c93902ddb22f61e', 'False', 'True', 'false', 'false', '511826200141', 5, '周村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826200141', 1, '2021-07-19 12:01:37', NULL, NULL), (28960, '', '草坪村', 'f766c3e501d7463ab73ed036936d09ed', '0716e50ddc9644d09c93902ddb22f61e', 'False', 'True', 'false', 'false', '511826200201', 5, '草坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826200201', 1, '2021-07-19 12:01:37', NULL, NULL), (28961, '', '铜头村', 'ec991d2a5c3349acb6242b7ceedbedf2', '0716e50ddc9644d09c93902ddb22f61e', 'False', 'True', 'false', 'false', '511826200909', 5, '铜头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826200909', 1, '2021-07-19 12:01:37', NULL, NULL), (28962, '', '宝盛乡', '886bc2b1193e45b68314d787a8b5de1b', 'e0d4e8ac8c614d768beb23023ce65a5b', 'True', 'True', 'false', 'false', '511826213000', 4, '宝盛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511826213000', 1, '2021-07-19 12:01:37', NULL, NULL), (28963, '', '玉溪村', '8e0387a71f394e4cb82a4fc051c32d57', '886bc2b1193e45b68314d787a8b5de1b', 'False', 'True', 'false', 'false', '511826203200', 5, '玉溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826203200', 1, '2021-07-19 12:01:37', NULL, NULL), (28964, '', '凤头村', 'ae6a567ea15045e8a435e7137508949e', '886bc2b1193e45b68314d787a8b5de1b', 'False', 'True', 'false', 'false', '511826203201', 5, '凤头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826203201', 1, '2021-07-19 12:01:37', NULL, NULL), (28965, '', '中坝村', 'baf3b7db8ef74b26b734e38324543f65', '886bc2b1193e45b68314d787a8b5de1b', 'False', 'True', 'false', 'false', '511826203202', 5, '中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826203202', 1, '2021-07-19 12:01:37', NULL, NULL), (28966, '', '飞仙关镇', '4cc08ec94a3b4e5da6d3b6f4e819d2bf', 'e0d4e8ac8c614d768beb23023ce65a5b', 'True', 'True', 'false', 'false', '511826281000', 4, '飞仙关镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511826281000', 1, '2021-07-19 12:01:37', NULL, NULL), (28967, '', '朝阳村', '7e186a7b686047e6907b45ac30e0d951', '4cc08ec94a3b4e5da6d3b6f4e819d2bf', 'False', 'True', 'false', 'false', '511826101200', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826101200', 1, '2021-07-19 12:01:37', NULL, NULL), (28968, '', '飞仙村', '644ed60c9f9f4c088521180f51ed5af0', '4cc08ec94a3b4e5da6d3b6f4e819d2bf', 'False', 'True', 'false', 'false', '511826101203', 5, '飞仙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826101203', 1, '2021-07-19 12:01:37', NULL, NULL), (28969, '', '凤禾村', '8d16b178fbc74d51af19721205f44cd1', '4cc08ec94a3b4e5da6d3b6f4e819d2bf', 'False', 'True', 'false', 'false', '511826101204', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826101204', 1, '2021-07-19 12:01:37', NULL, NULL), (28970, '', '芦阳街道', '2c63b4f64a364d37aef2251fc13cfa04', 'e0d4e8ac8c614d768beb23023ce65a5b', 'True', 'True', 'false', 'false', '511826424000', 4, '芦阳街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511826424000', 1, '2021-07-19 12:01:37', NULL, NULL), (28971, '', '大同村民委员会', '413e33b564c14c8881d8acb767dee96f', '2c63b4f64a364d37aef2251fc13cfa04', 'False', 'True', 'false', 'false', '511826100007', 5, '大同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826100007', 1, '2021-07-19 12:01:37', NULL, NULL), (28972, '', '五星社区居民委员会', 'a6fd3d1aca0a451cae727e4b6fb7911b', '2c63b4f64a364d37aef2251fc13cfa04', 'False', 'True', 'false', 'false', '511826100008', 5, '五星社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826100008', 1, '2021-07-19 12:01:37', NULL, NULL), (28973, '', '灵鹫山社区', '45107d9e7072491a873012d008d3e38e', '2c63b4f64a364d37aef2251fc13cfa04', 'False', 'True', 'false', 'false', '511826100009', 5, '灵鹫山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826100009', 1, '2021-07-19 12:01:38', NULL, NULL), (28974, '', '仁加村民委员会', 'c10a38d11281494fa7174ef1809c69b9', '2c63b4f64a364d37aef2251fc13cfa04', 'False', 'True', 'false', 'false', '511826100010', 5, '仁加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826100010', 1, '2021-07-19 12:01:38', NULL, NULL), (28975, '', '城北社区', '9720f98e79b94fd1b1eea247570499a6', '2c63b4f64a364d37aef2251fc13cfa04', 'False', 'True', 'false', 'false', '511826100001', 5, '城北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826100001', 1, '2021-07-19 12:01:38', NULL, NULL), (28976, '', '城西社区', 'c84ec78c6fcb410693b9977113884a4c', '2c63b4f64a364d37aef2251fc13cfa04', 'False', 'True', 'false', 'false', '511826100002', 5, '城西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826100002', 1, '2021-07-19 12:01:38', NULL, NULL), (28977, '', '城南社区', '932444942a034d789bc992dc934ca832', '2c63b4f64a364d37aef2251fc13cfa04', 'False', 'True', 'false', 'false', '511826100003', 5, '城南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826100003', 1, '2021-07-19 12:01:38', NULL, NULL), (28978, '', '先锋社区', '2313a0f48a4e4d7789e425a022b9a7cc', '2c63b4f64a364d37aef2251fc13cfa04', 'False', 'True', 'false', 'false', '511826100004', 5, '先锋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826100004', 1, '2021-07-19 12:01:38', NULL, NULL), (28979, '', '城东社区', '8bfe6a08e1694fa9b5d13b75ee28559e', '2c63b4f64a364d37aef2251fc13cfa04', 'False', 'True', 'false', 'false', '511826100005', 5, '城东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826100005', 1, '2021-07-19 12:01:38', NULL, NULL), (28980, '', '金花社区', '385163d4df1e4a3fb4837bd0feda95b3', '2c63b4f64a364d37aef2251fc13cfa04', 'False', 'True', 'false', 'false', '511826100006', 5, '金花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826100006', 1, '2021-07-19 12:01:38', NULL, NULL), (28981, '', '黎明社区', 'fb6d82cadcbc48c1a72d4b5abc943e01', '2c63b4f64a364d37aef2251fc13cfa04', 'False', 'True', 'false', 'false', '511826100200', 5, '黎明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826100200', 1, '2021-07-19 12:01:38', NULL, NULL), (28982, '', '火炬社区', 'f0b3083791474de89436e8fc0fff4064', '2c63b4f64a364d37aef2251fc13cfa04', 'False', 'True', 'false', 'false', '511826100201', 5, '火炬社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826100201', 1, '2021-07-19 12:01:38', NULL, NULL), (28983, '', '龙门镇', '23e1c3012ca9402cab0132ceed0402ee', 'e0d4e8ac8c614d768beb23023ce65a5b', 'True', 'True', 'false', 'false', '511826453000', 4, '龙门镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511826453000', 1, '2021-07-19 12:01:38', NULL, NULL), (28984, '', '青龙场村', 'a50f2be04e184b5eb375b28e98add4f9', '23e1c3012ca9402cab0132ceed0402ee', 'False', 'True', 'false', 'false', '511826202200', 5, '青龙场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826202200', 1, '2021-07-19 12:01:38', NULL, NULL), (28985, '', '王家村', '710c7331f8fa40b28dd0ee98eda1aa81', '23e1c3012ca9402cab0132ceed0402ee', 'False', 'True', 'false', 'false', '511826202201', 5, '王家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826202201', 1, '2021-07-19 12:01:38', NULL, NULL), (28986, '', '隆兴村', '5558e0ade0e04e9e8c9aeb551d649ae2', '23e1c3012ca9402cab0132ceed0402ee', 'False', 'True', 'false', 'false', '511826202204', 5, '隆兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826202204', 1, '2021-07-19 12:01:38', NULL, NULL), (28987, '', '古城村', '3e109b1c0a8c45bfaab424a8ebd37e4e', '23e1c3012ca9402cab0132ceed0402ee', 'False', 'True', 'false', 'false', '511826202205', 5, '古城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826202205', 1, '2021-07-19 12:01:38', NULL, NULL), (28988, '', '太平镇', 'db9157710a1b43fe96b021a9b3e99cdc', 'e0d4e8ac8c614d768beb23023ce65a5b', 'True', 'True', 'false', 'false', '511826761000', 4, '太平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511826761000', 1, '2021-07-19 12:01:38', NULL, NULL), (28989, '', '祥和村', '7221d19d24dc48afab389ffd3cf4b951', 'db9157710a1b43fe96b021a9b3e99cdc', 'False', 'True', 'false', 'false', '511826103201', 5, '祥和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826103201', 1, '2021-07-19 12:01:39', NULL, NULL), (28990, '', '胜利村', '93cc5cc689164460ba72d89778855916', 'db9157710a1b43fe96b021a9b3e99cdc', 'False', 'True', 'false', 'false', '511826103203', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826103203', 1, '2021-07-19 12:01:39', NULL, NULL), (28991, '', '钟灵村', '8ce28a55b8cb4cd0b1e190d7df7431a4', 'db9157710a1b43fe96b021a9b3e99cdc', 'False', 'True', 'false', 'false', '511826103204', 5, '钟灵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826103204', 1, '2021-07-19 12:01:39', NULL, NULL), (28992, '', '大河村', '88e554fda1a94758bfd82f39abb996f1', 'db9157710a1b43fe96b021a9b3e99cdc', 'False', 'True', 'false', 'false', '511826103205', 5, '大河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826103205', 1, '2021-07-19 12:01:39', NULL, NULL), (28993, '', '大川镇', 'd1ceb957dc16459e9af550328089d9f6', 'e0d4e8ac8c614d768beb23023ce65a5b', 'True', 'True', 'false', 'false', '511826984000', 4, '大川镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511826984000', 1, '2021-07-19 12:01:39', NULL, NULL), (28994, '', '快乐村', '2a086ca268e04bd8b8de1610a3be3c7c', 'd1ceb957dc16459e9af550328089d9f6', 'False', 'True', 'false', 'false', '511826104200', 5, '快乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826104200', 1, '2021-07-19 12:01:39', NULL, NULL), (28995, '', '三江村', '06db2eaa948f466fb2ceb297deea160d', 'd1ceb957dc16459e9af550328089d9f6', 'False', 'True', 'false', 'false', '511826104202', 5, '三江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826104202', 1, '2021-07-19 12:01:39', NULL, NULL), (28996, '', '小河村', '4b107237456a46ca864fc3d2fddef6dd', 'd1ceb957dc16459e9af550328089d9f6', 'False', 'True', 'false', 'false', '511826104203', 5, '小河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511826104203', 1, '2021-07-19 12:01:39', NULL, NULL), (28997, '', '宝兴县', '1cc678fdc78840bdbdf2c33a16a55a4f', '5f2063c48e7e42ba922a2481e5ffea5d', 'True', 'True', 'false', 'false', '511827000000', 3, '宝兴县', 'yasbxx.sczwfw.gov.cn', 1, '2021-07-19 12:01:39', NULL, NULL), (28998, '', '穆坪镇', '151872ec0e424fcba5825c9e8b1b6199', '1cc678fdc78840bdbdf2c33a16a55a4f', 'True', 'True', 'false', 'false', '511827100000', 4, '穆坪', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511827100000', 1, '2021-07-19 12:01:39', NULL, NULL), (28999, '', '联新村', '174445c1154a4240bba47bab9e708c28', '151872ec0e424fcba5825c9e8b1b6199', 'False', 'True', 'false', 'false', '511827100017', 5, '联新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827100017', 1, '2021-07-19 12:01:39', NULL, NULL), (29000, '', '新宝村', '4d63f1ee41e74847a747e218ce8e9f8a', '151872ec0e424fcba5825c9e8b1b6199', 'False', 'True', 'false', 'false', '511827100139', 5, '新宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827100139', 1, '2021-07-19 12:01:39', NULL, NULL), (29001, '', '雪山村', 'd026ee695a744d5697f9cada33a697cb', '151872ec0e424fcba5825c9e8b1b6199', 'False', 'True', 'false', 'false', '511827100233', 5, '雪山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827100233', 1, '2021-07-19 12:01:39', NULL, NULL), (29002, '', '穆坪社区', '77144b5cb5f246ee81a4fd37c2cf20c7', '151872ec0e424fcba5825c9e8b1b6199', 'False', 'True', 'false', 'false', '511827100615', 5, '穆坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827100615', 1, '2021-07-19 12:01:39', NULL, NULL), (29003, '', '顺江村', '0ed814cf5875420cbe2544147641e229', '151872ec0e424fcba5825c9e8b1b6199', 'False', 'True', 'false', 'false', '511827100825', 5, '顺江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827100825', 1, '2021-07-19 12:01:40', NULL, NULL), (29004, '', '灵关镇', 'd33cbdcc1a574b21bf9b49cb3dd14981', '1cc678fdc78840bdbdf2c33a16a55a4f', 'True', 'True', 'false', 'false', '511827101000', 4, '灵关', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511827101000', 1, '2021-07-19 12:01:40', NULL, NULL), (29005, '', '双坝村', '5b8535b5c5224a06a6ca5970fd6dd98b', 'd33cbdcc1a574b21bf9b49cb3dd14981', 'False', 'True', 'false', 'false', '511827101007', 5, '双坝村便民服务中心', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827101007', 1, '2021-07-19 12:01:40', NULL, NULL), (29006, '', '钟灵社区', '24bf3c3ec95e42dbb3434eaad4aef6c5', 'd33cbdcc1a574b21bf9b49cb3dd14981', 'False', 'True', 'false', 'false', '511827101009', 5, '钟灵社区便民服务代办点', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827101009', 1, '2021-07-19 12:01:40', NULL, NULL), (29007, '', '大渔村', '42265ca2e26846d6b89363e835c64431', 'd33cbdcc1a574b21bf9b49cb3dd14981', 'False', 'True', 'false', 'false', '511827101010', 5, '大渔村便民服务代办点', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827101010', 1, '2021-07-19 12:01:40', NULL, NULL), (29008, '', '建联村', '14eb4d85871a4fcaa0155b66ce6c670d', 'd33cbdcc1a574b21bf9b49cb3dd14981', 'False', 'True', 'false', 'false', '511827101120', 5, '建联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827101120', 1, '2021-07-19 12:01:40', NULL, NULL), (29009, '', '新场村', '309cc7907ca44fcfbc8aeba074a5bd76', 'd33cbdcc1a574b21bf9b49cb3dd14981', 'False', 'True', 'false', 'false', '511827101144', 5, '新场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827101144', 1, '2021-07-19 12:01:40', NULL, NULL), (29010, '', '河口村', '93e3ed57192f45cd9db9f3e41224c82d', 'd33cbdcc1a574b21bf9b49cb3dd14981', 'False', 'True', 'false', 'false', '511827101361', 5, '河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827101361', 1, '2021-07-19 12:01:40', NULL, NULL), (29011, '', '磨刀村', '14788d0a16cd489a8a8cad0e585ac8e6', 'd33cbdcc1a574b21bf9b49cb3dd14981', 'False', 'True', 'false', 'false', '511827101569', 5, '磨刀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827101569', 1, '2021-07-19 12:01:40', NULL, NULL), (29012, '', '大沟村', '9a10d31c07b34dac8efdc434266bb640', 'd33cbdcc1a574b21bf9b49cb3dd14981', 'False', 'True', 'false', 'false', '511827101754', 5, '大沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827101754', 1, '2021-07-19 12:01:40', NULL, NULL), (29013, '', '灵关社区', '3a0a95aa36024295bc758e5f465d0d98', 'd33cbdcc1a574b21bf9b49cb3dd14981', 'False', 'True', 'false', 'false', '511827101780', 5, '灵关社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827101780', 1, '2021-07-19 12:01:40', NULL, NULL), (29014, '', '云茶村', 'a9fb4e12172048b5a8dc9c054615f8f3', 'd33cbdcc1a574b21bf9b49cb3dd14981', 'False', 'True', 'false', 'false', '511827101845', 5, '云茶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827101845', 1, '2021-07-19 12:01:40', NULL, NULL), (29015, '', '陇东镇', '7dca0bca3d1349e2bff3b2c06e01cb9c', '1cc678fdc78840bdbdf2c33a16a55a4f', 'True', 'True', 'false', 'false', '511827102000', 4, '陇东', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511827102000', 1, '2021-07-19 12:01:40', NULL, NULL), (29016, '', '老场新村', 'dbe507cfe8d1417fb27da4e46ac8fed5', '7dca0bca3d1349e2bff3b2c06e01cb9c', 'False', 'True', 'false', 'false', '511827102475', 5, '老场新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827102475', 1, '2021-07-19 12:01:41', NULL, NULL), (29017, '', '赶洋沟村', '70321d43160c476083a1bc6db948c90d', '7dca0bca3d1349e2bff3b2c06e01cb9c', 'False', 'True', 'false', 'false', '511827102514', 5, '赶洋沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827102514', 1, '2021-07-19 12:01:41', NULL, NULL), (29018, '', '陇兴村', 'b8796c1d3251472f82c385df830dadaf', '7dca0bca3d1349e2bff3b2c06e01cb9c', 'False', 'True', 'false', 'false', '511827102869', 5, '陇兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827102869', 1, '2021-07-19 12:01:41', NULL, NULL), (29019, '', '永兴村', 'ce1ab30678ab4a23bbab01ff3f71cf34', '7dca0bca3d1349e2bff3b2c06e01cb9c', 'False', 'True', 'false', 'false', '511827102910', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827102910', 1, '2021-07-19 12:01:41', NULL, NULL), (29020, '', '中岗村', 'b48d4214f8924e1d8fccf4f302d82a08', '7dca0bca3d1349e2bff3b2c06e01cb9c', 'False', 'True', 'false', 'false', '511827102913', 5, '中岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827102913', 1, '2021-07-19 12:01:41', NULL, NULL), (29021, '', '复兴村', '884168511a0746bb93131d2055a131be', '7dca0bca3d1349e2bff3b2c06e01cb9c', 'False', 'True', 'false', 'false', '511827102927', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827102927', 1, '2021-07-19 12:01:41', NULL, NULL), (29022, '', '蜂桶寨乡', '404005167a0a4bb78165c33b40f55468', '1cc678fdc78840bdbdf2c33a16a55a4f', 'True', 'True', 'false', 'false', '511827201000', 4, '蜂桶寨', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511827201000', 1, '2021-07-19 12:01:41', NULL, NULL), (29023, '', '民治村', '45a27f1240b1487ea0456ba57ee9507a', '404005167a0a4bb78165c33b40f55468', 'False', 'True', 'false', 'false', '511827201002', 5, '民治村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827201002', 1, '2021-07-19 12:01:41', NULL, NULL), (29024, '', '大池沟村', 'f01d95e5d0e84f8cb6a3b69c676cce05', '404005167a0a4bb78165c33b40f55468', 'False', 'True', 'false', 'false', '511827201003', 5, '大池沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827201003', 1, '2021-07-19 12:01:41', NULL, NULL), (29025, '', '邓池沟村', '01c94a703f10481088310a8457c40969', '404005167a0a4bb78165c33b40f55468', 'False', 'True', 'false', 'false', '511827201001', 5, '邓池沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827201001', 1, '2021-07-19 12:01:41', NULL, NULL), (29026, '', '盐井村', '66339efe6d234bd59a02727e0bf7c08b', '404005167a0a4bb78165c33b40f55468', 'False', 'True', 'false', 'false', '511827201375', 5, '盐井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827201375', 1, '2021-07-19 12:01:41', NULL, NULL), (29027, '', '硗碛藏族乡', '905d324ec6f04442bcfbfdf8cfd529a2', '1cc678fdc78840bdbdf2c33a16a55a4f', 'True', 'True', 'false', 'false', '511827202000', 4, '硗碛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511827202000', 1, '2021-07-19 12:01:41', NULL, NULL), (29028, '', '夹金山村', '584244f5ecad4c61a21e00125d411ee5', '905d324ec6f04442bcfbfdf8cfd529a2', 'False', 'True', 'false', 'false', '511827202003', 5, '夹金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827202003', 1, '2021-07-19 12:01:41', NULL, NULL), (29029, '', '咎落村', 'd83903d06628487fbd002702ca16ae04', '905d324ec6f04442bcfbfdf8cfd529a2', 'False', 'True', 'false', 'false', '511827202642', 5, '咎落村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827202642', 1, '2021-07-19 12:01:41', NULL, NULL), (29030, '', '夹拉村', '7890f66a1c12434da28f613f6edbe263', '905d324ec6f04442bcfbfdf8cfd529a2', 'False', 'True', 'false', 'false', '511827202738', 5, '夹拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827202738', 1, '2021-07-19 12:01:41', NULL, NULL), (29031, '', '嘎日村', '82651cde170349d69d5b7c9899c6386b', '905d324ec6f04442bcfbfdf8cfd529a2', 'False', 'True', 'false', 'false', '511827202803', 5, '嘎日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827202803', 1, '2021-07-19 12:01:42', NULL, NULL), (29032, '', '五龙乡', '1f475be34d424313bc08cf1f381caa90', '1cc678fdc78840bdbdf2c33a16a55a4f', 'True', 'True', 'false', 'false', '511827205000', 4, '五龙', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511827205000', 1, '2021-07-19 12:01:42', NULL, NULL), (29033, '', '铁坪山', '43214c068a2146aebf2c666f752b405a', '1f475be34d424313bc08cf1f381caa90', 'False', 'True', 'false', 'false', '511827205006', 5, '铁坪山', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827205006', 1, '2021-07-19 12:01:42', NULL, NULL), (29034, '', '东风村', '9ccf1959897846a6895a6377a433b94f', '1f475be34d424313bc08cf1f381caa90', 'False', 'True', 'false', 'false', '511827205088', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827205088', 1, '2021-07-19 12:01:42', NULL, NULL), (29035, '', '东升村', '0d228561554744768a299bdb7dfbdd6e', '1f475be34d424313bc08cf1f381caa90', 'False', 'True', 'false', 'false', '511827205114', 5, '东升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827205114', 1, '2021-07-19 12:01:42', NULL, NULL), (29036, '', '胜利村', '1e511054f7434f878f7987b903855ae7', '1f475be34d424313bc08cf1f381caa90', 'False', 'True', 'false', 'false', '511827205171', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827205171', 1, '2021-07-19 12:01:42', NULL, NULL), (29037, '', '战斗村', '9324d9efa992407689a32194980798c3', '1f475be34d424313bc08cf1f381caa90', 'False', 'True', 'false', 'false', '511827205545', 5, '战斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827205545', 1, '2021-07-19 12:01:42', NULL, NULL), (29038, '', '团结村', '749e54f9a4a7473a898791e3e66caa4a', '1f475be34d424313bc08cf1f381caa90', 'False', 'True', 'false', 'false', '511827205621', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827205621', 1, '2021-07-19 12:01:42', NULL, NULL), (29039, '', '大溪乡', '9f7b47bd0c4842a981042503cb012a7c', '1cc678fdc78840bdbdf2c33a16a55a4f', 'True', 'True', 'false', 'false', '511827206000', 4, '大溪', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511827206000', 1, '2021-07-19 12:01:42', NULL, NULL), (29040, '', '曹家村', 'c07c5854e01742478b98df5c46a131c7', '9f7b47bd0c4842a981042503cb012a7c', 'False', 'True', 'false', 'false', '511827206543', 5, '曹家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827206543', 1, '2021-07-19 12:01:42', NULL, NULL), (29041, '', '烟溪口村', '2ed95d71a51647af98130ff4ae5e88e0', '9f7b47bd0c4842a981042503cb012a7c', 'False', 'True', 'false', 'false', '511827206599', 5, '烟溪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827206599', 1, '2021-07-19 12:01:42', NULL, NULL), (29042, '', '罗家坝村', '6d864e1795224680b94464c91536627b', '9f7b47bd0c4842a981042503cb012a7c', 'False', 'True', 'false', 'false', '511827206713', 5, '罗家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511827206713', 1, '2021-07-19 12:01:42', NULL, NULL), (29043, '', '雨城区', '94f0a7f6d3294035b765f31543dfe1ee', '5f2063c48e7e42ba922a2481e5ffea5d', 'True', 'True', 'false', 'false', '511802000000', 3, '雨城区', 'yasycq.sczwfw.gov.cn', 1, '2021-07-19 12:01:42', NULL, NULL), (29044, '', '东城街道', '4a3db04bd2aa4b959a196218753e727e', '94f0a7f6d3294035b765f31543dfe1ee', 'True', 'True', 'false', 'false', '511802001000', 4, '东城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511802001000', 1, '2021-07-19 12:01:42', NULL, NULL), (29045, '', '东大街社区', '983aaf1fa04b40ebbb9ff512bd333a71', '4a3db04bd2aa4b959a196218753e727e', 'False', 'True', 'false', 'false', '511802001001', 5, '东大街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802001001', 1, '2021-07-19 12:01:42', NULL, NULL), (29046, '', '新康路社区', '68ad34de2da94f78a17c3e5fef30fb01', '4a3db04bd2aa4b959a196218753e727e', 'False', 'True', 'false', 'false', '511802001002', 5, '新康路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802001002', 1, '2021-07-19 12:01:43', NULL, NULL), (29047, '', '华兴街社区', '3fedbb902ccd4219aca9ca77ab24735f', '4a3db04bd2aa4b959a196218753e727e', 'False', 'True', 'false', 'false', '511802001003', 5, '华兴街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802001003', 1, '2021-07-19 12:01:43', NULL, NULL), (29048, '', '羌江南路社区', '99c08eb4d3004bd89d9fc675efa9a7c6', '4a3db04bd2aa4b959a196218753e727e', 'False', 'True', 'false', 'false', '511802001004', 5, '羌江南路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802001004', 1, '2021-07-19 12:01:43', NULL, NULL), (29049, '', '育才路社区', '8c288b1f5815470089fe8bae9157c07a', '4a3db04bd2aa4b959a196218753e727e', 'False', 'True', 'false', 'false', '511802001005', 5, '育才路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802001005', 1, '2021-07-19 12:01:43', NULL, NULL), (29050, '', '上坝路社区', 'c6dac11dd3ac4539bdc06d2c75c1adc0', '4a3db04bd2aa4b959a196218753e727e', 'False', 'True', 'false', 'false', '511802001006', 5, '上坝路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802001006', 1, '2021-07-19 12:01:43', NULL, NULL), (29051, '', '西城街道', 'fdba48791b3647d29bf30f6f838a806d', '94f0a7f6d3294035b765f31543dfe1ee', 'True', 'True', 'false', 'false', '511802002000', 4, '西城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511802002000', 1, '2021-07-19 12:01:43', NULL, NULL), (29052, '', '飞机坝社区', '498bf21848ab496aa7db022f1e927863', 'fdba48791b3647d29bf30f6f838a806d', 'False', 'True', 'false', 'false', '511802002001', 5, '飞机坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802002001', 1, '2021-07-19 12:01:43', NULL, NULL), (29053, '', '中大街社区', '5b9229b9494a4373b4fd42153c9856dd', 'fdba48791b3647d29bf30f6f838a806d', 'False', 'True', 'false', 'false', '511802002002', 5, '中大街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802002002', 1, '2021-07-19 12:01:43', NULL, NULL), (29054, '', '西大街社区', 'fb6204fc536a427889cd816606178e6b', 'fdba48791b3647d29bf30f6f838a806d', 'False', 'True', 'false', 'false', '511802002003', 5, '西大街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802002003', 1, '2021-07-19 12:01:43', NULL, NULL), (29055, '', '河北街道', '79c8ae986cb94f22aae65a8f439ec4b2', '94f0a7f6d3294035b765f31543dfe1ee', 'True', 'True', 'false', 'false', '511802003000', 4, '河北街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511802003000', 1, '2021-07-19 12:01:43', NULL, NULL), (29056, '', '挺进路社区', '5d06d330567640ba93fd38fef1eae17f', '79c8ae986cb94f22aae65a8f439ec4b2', 'False', 'True', 'false', 'false', '511802003001', 5, '挺进路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802003001', 1, '2021-07-19 12:01:43', NULL, NULL), (29057, '', '南二路社区', '16cba1328e714c9897d92c4ded6326da', '79c8ae986cb94f22aae65a8f439ec4b2', 'False', 'True', 'false', 'false', '511802003002', 5, '南二路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802003002', 1, '2021-07-19 12:01:43', NULL, NULL), (29058, '', '康藏路社区', 'f106b60b354e4772a4c244fe8f2ee032', '79c8ae986cb94f22aae65a8f439ec4b2', 'False', 'True', 'false', 'false', '511802003003', 5, '康藏路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802003003', 1, '2021-07-19 12:01:43', NULL, NULL), (29059, '', '斗胆社区', 'c9780a70e6314b89ac22cee656111efe', '79c8ae986cb94f22aae65a8f439ec4b2', 'False', 'True', 'false', 'false', '511802003004', 5, '斗胆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802003004', 1, '2021-07-19 12:01:43', NULL, NULL), (29060, '', '青江街道', '422a0b16b3454069b883596c5bc3d5b4', '94f0a7f6d3294035b765f31543dfe1ee', 'True', 'True', 'false', 'false', '511802004000', 4, '青江街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511802004000', 1, '2021-07-19 12:01:43', NULL, NULL), (29061, '', '桐梓林社区', '934d076a39974b89970336f07cf53b31', '422a0b16b3454069b883596c5bc3d5b4', 'False', 'True', 'false', 'false', '511802004186', 5, '桐梓林', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802004186', 1, '2021-07-19 12:01:43', NULL, NULL), (29062, '', '青江路社区', '9bcc16fdaf4448aa81f5ba99520bdbc9', '422a0b16b3454069b883596c5bc3d5b4', 'False', 'True', 'false', 'false', '511802004001', 5, '青江路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802004001', 1, '2021-07-19 12:01:43', NULL, NULL), (29063, '', '沙湾路社区', '61e273043aba497fa38f6a2201ecba35', '422a0b16b3454069b883596c5bc3d5b4', 'False', 'True', 'false', 'false', '511802004002', 5, '沙湾路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802004002', 1, '2021-07-19 12:01:43', NULL, NULL), (29064, '', '汉碑路社区', '0821a8ed84b549b9a2be236ce827e151', '422a0b16b3454069b883596c5bc3d5b4', 'False', 'True', 'false', 'false', '511802004003', 5, '汉碑路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802004003', 1, '2021-07-19 12:01:44', NULL, NULL), (29065, '', '草坝镇', 'c8d89ca896ce4046b1533167a69debbc', '94f0a7f6d3294035b765f31543dfe1ee', 'True', 'True', 'false', 'false', '511802101000', 4, '草坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511802101000', 1, '2021-07-19 12:01:44', NULL, NULL), (29066, '', '草坝社区', 'bb786a0e4485450e8959a28c8cebf03b', 'c8d89ca896ce4046b1533167a69debbc', 'False', 'True', 'false', 'false', '511802101001', 5, '草坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802101001', 1, '2021-07-19 12:01:44', NULL, NULL), (29067, '', '草坝村', '0fe34abbfda84232ba416c47daac70e0', 'c8d89ca896ce4046b1533167a69debbc', 'False', 'True', 'false', 'false', '511802101200', 5, '草坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802101200', 1, '2021-07-19 12:01:44', NULL, NULL), (29068, '', '新时村', 'f41a2c7ab85f4865b0d8231238e50417', 'c8d89ca896ce4046b1533167a69debbc', 'False', 'True', 'false', 'false', '511802101201', 5, '新时村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802101201', 1, '2021-07-19 12:01:44', NULL, NULL), (29069, '', '河岗村', 'a0a4376cf8a64a5796cb4a9fe369523b', 'c8d89ca896ce4046b1533167a69debbc', 'False', 'True', 'false', 'false', '511802101202', 5, '河岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802101202', 1, '2021-07-19 12:01:44', NULL, NULL), (29070, '', '幸福村', '28ec295282884216b05860e15432a90d', 'c8d89ca896ce4046b1533167a69debbc', 'False', 'True', 'false', 'false', '511802101203', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802101203', 1, '2021-07-19 12:01:44', NULL, NULL), (29071, '', '林口村', '82b004873cfb42f09f1782c2aec5ffd2', 'c8d89ca896ce4046b1533167a69debbc', 'False', 'True', 'false', 'false', '511802101204', 5, '林口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802101204', 1, '2021-07-19 12:01:44', NULL, NULL), (29072, '', '石坪村', '7e016ad2894d490ab0daae4e12cc40ab', 'c8d89ca896ce4046b1533167a69debbc', 'False', 'True', 'false', 'false', '511802101205', 5, '石坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802101205', 1, '2021-07-19 12:01:44', NULL, NULL), (29073, '', '水口村', '862c9e5e50164d87abcaf63be187bcd6', 'c8d89ca896ce4046b1533167a69debbc', 'False', 'True', 'false', 'false', '511802101206', 5, '水口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802101206', 1, '2021-07-19 12:01:44', NULL, NULL), (29074, '', '栗子村', '5e4db4467eb8495f9f74dfa0ce9867d1', 'c8d89ca896ce4046b1533167a69debbc', 'False', 'True', 'false', 'false', '511802101207', 5, '栗子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802101207', 1, '2021-07-19 12:01:44', NULL, NULL), (29075, '', '均田村', '284c5dcbc38f4062aeaf9bc01f8f8614', 'c8d89ca896ce4046b1533167a69debbc', 'False', 'True', 'false', 'false', '511802101208', 5, '均田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802101208', 1, '2021-07-19 12:01:44', NULL, NULL), (29076, '', '水津村', 'a5dc57e42acb45389507422b4d92b20d', 'c8d89ca896ce4046b1533167a69debbc', 'False', 'True', 'false', 'false', '511802101209', 5, '水津村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802101209', 1, '2021-07-19 12:01:44', NULL, NULL), (29077, '', '金沙村', '728f91c0992d4beaba13c92fafb88a24', 'c8d89ca896ce4046b1533167a69debbc', 'False', 'True', 'false', 'false', '511802101210', 5, '金沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802101210', 1, '2021-07-19 12:01:44', NULL, NULL), (29078, '', '香花村', '7975900540de44b390a7e572a412f282', 'c8d89ca896ce4046b1533167a69debbc', 'False', 'True', 'false', 'false', '511802101211', 5, '香花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802101211', 1, '2021-07-19 12:01:44', NULL, NULL), (29079, '', '广华村', '226a7d5c9bb747278f59535b0ee08bf9', 'c8d89ca896ce4046b1533167a69debbc', 'False', 'True', 'false', 'false', '511802101212', 5, '广华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802101212', 1, '2021-07-19 12:01:45', NULL, NULL), (29080, '', '飞梁村', '90f95fa885594fef93dbadbd4b7a8e21', 'c8d89ca896ce4046b1533167a69debbc', 'False', 'True', 'false', 'false', '511802101213', 5, '飞梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802101213', 1, '2021-07-19 12:01:45', NULL, NULL), (29081, '', '清溪村', 'dbb42f7984474079bfff567bd375230f', 'c8d89ca896ce4046b1533167a69debbc', 'False', 'True', 'false', 'false', '511802101214', 5, '清溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802101214', 1, '2021-07-19 12:01:45', NULL, NULL), (29082, '', '石桥村', '9af5b94bf03f4b2895f93fd571351177', 'c8d89ca896ce4046b1533167a69debbc', 'False', 'True', 'false', 'false', '511802101215', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802101215', 1, '2021-07-19 12:01:45', NULL, NULL), (29083, '', '洪川村', 'e3704c429a894eef816573b73cbc7d38', 'c8d89ca896ce4046b1533167a69debbc', 'False', 'True', 'false', 'false', '511802101216', 5, '洪川村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802101216', 1, '2021-07-19 12:01:45', NULL, NULL), (29084, '', '大兴街道', '4468a8da722c472ba758f25479cc4195', '94f0a7f6d3294035b765f31543dfe1ee', 'True', 'True', 'false', 'false', '511802103000', 4, '大兴街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511802103000', 1, '2021-07-19 12:01:45', NULL, NULL), (29085, '', '高家村', '8406d8fcf7e84d25bae29db414f7bb7c', '4468a8da722c472ba758f25479cc4195', 'False', 'True', 'false', 'false', '511802103200', 5, '高家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802103200', 1, '2021-07-19 12:01:45', NULL, NULL), (29086, '', '天宝村', '275a5bebf3684acfa4ffc32dc215298c', '4468a8da722c472ba758f25479cc4195', 'False', 'True', 'false', 'false', '511802103201', 5, '天宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802103201', 1, '2021-07-19 12:01:45', NULL, NULL), (29087, '', '顺路村', 'd14b88381afa42a2a64a4c7b056c37d0', '4468a8da722c472ba758f25479cc4195', 'False', 'True', 'false', 'false', '511802103202', 5, '顺路村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802103202', 1, '2021-07-19 12:01:45', NULL, NULL), (29088, '', '穆家村', 'dc97be3bc72649f582da03a27f31cc07', '4468a8da722c472ba758f25479cc4195', 'False', 'True', 'false', 'false', '511802103203', 5, '穆家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802103203', 1, '2021-07-19 12:01:45', NULL, NULL), (29089, '', '前进村', '8e85ab2a67ca48788cae7bc1ccb348c6', '4468a8da722c472ba758f25479cc4195', 'False', 'True', 'false', 'false', '511802103204', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802103204', 1, '2021-07-19 12:01:45', NULL, NULL), (29090, '', '寨坪村', '1905425deaeb4ebaad250a7da68a287a', '4468a8da722c472ba758f25479cc4195', 'False', 'True', 'false', 'false', '511802103205', 5, '寨坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802103205', 1, '2021-07-19 12:01:45', NULL, NULL), (29091, '', '大堰村', '5e08cd0b545741639f301a574d0dc5d4', '4468a8da722c472ba758f25479cc4195', 'False', 'True', 'false', 'false', '511802103206', 5, '大堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802103206', 1, '2021-07-19 12:01:45', NULL, NULL), (29092, '', '龙溪村', '2ae55da9638b476f8a2daecef2ef0e32', '4468a8da722c472ba758f25479cc4195', 'False', 'True', 'false', 'false', '511802103207', 5, '龙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802103207', 1, '2021-07-19 12:01:45', NULL, NULL), (29093, '', '范山村', 'ceba76f4060d4af9808699afd8665428', '4468a8da722c472ba758f25479cc4195', 'False', 'True', 'false', 'false', '511802103208', 5, '范山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802103208', 1, '2021-07-19 12:01:45', NULL, NULL), (29094, '', '徐山村', 'cba407cf13f0443db49191cb7091a08d', '4468a8da722c472ba758f25479cc4195', 'False', 'True', 'false', 'false', '511802103209', 5, '徐山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802103209', 1, '2021-07-19 12:01:45', NULL, NULL), (29095, '', '简坝村', '666d0787c35843359706df8c80b3d7bb', '4468a8da722c472ba758f25479cc4195', 'False', 'True', 'false', 'false', '511802103210', 5, '简坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802103210', 1, '2021-07-19 12:01:46', NULL, NULL), (29096, '', '万坪村', '2f1ba02c67a146238166bc6626023583', '4468a8da722c472ba758f25479cc4195', 'False', 'True', 'false', 'false', '511802103211', 5, '万坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802103211', 1, '2021-07-19 12:01:46', NULL, NULL), (29097, '', '九龙村', '47ce3ead84d8464bbd15db553738136a', '4468a8da722c472ba758f25479cc4195', 'False', 'True', 'false', 'false', '511802103212', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802103212', 1, '2021-07-19 12:01:46', NULL, NULL), (29098, '', '周山村', '1294ff29bf8549e48c1640d94d128325', '4468a8da722c472ba758f25479cc4195', 'False', 'True', 'false', 'false', '511802103213', 5, '周山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802103213', 1, '2021-07-19 12:01:46', NULL, NULL), (29099, '', '上里镇', 'f46ab7d8b1a74966898506c2dc7a3322', '94f0a7f6d3294035b765f31543dfe1ee', 'True', 'True', 'false', 'false', '511802107000', 4, '上里镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511802107000', 1, '2021-07-19 12:01:46', NULL, NULL), (29100, '', '五家村', '621b6bf3154e41c79d6c3ed760da4916', 'f46ab7d8b1a74966898506c2dc7a3322', 'False', 'True', 'false', 'false', '511802107200', 5, '五家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802107200', 1, '2021-07-19 12:01:46', NULL, NULL), (29101, '', '四家村', 'e66fa98dc0ea46ff9cb6040e03dcb9c3', 'f46ab7d8b1a74966898506c2dc7a3322', 'False', 'True', 'false', 'false', '511802107201', 5, '四家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802107201', 1, '2021-07-19 12:01:46', NULL, NULL), (29102, '', '六家村', '546eea4f0ca443a19f925313aea0244d', 'f46ab7d8b1a74966898506c2dc7a3322', 'False', 'True', 'false', 'false', '511802107202', 5, '六家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802107202', 1, '2021-07-19 12:01:46', NULL, NULL), (29103, '', '七家村', '4b9e7daa06f34706bc4fb9e7800094a4', 'f46ab7d8b1a74966898506c2dc7a3322', 'False', 'True', 'false', 'false', '511802107203', 5, '七家村是', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802107203', 1, '2021-07-19 12:01:46', NULL, NULL), (29104, '', '庙圷村', 'a8aee62087c84678a81f1401da38e74a', 'f46ab7d8b1a74966898506c2dc7a3322', 'False', 'True', 'false', 'false', '511802107204', 5, '庙圷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802107204', 1, '2021-07-19 12:01:46', NULL, NULL), (29105, '', '共和村', '6b1ce5e8739d47399733e3e466323319', 'f46ab7d8b1a74966898506c2dc7a3322', 'False', 'True', 'false', 'false', '511802107205', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802107205', 1, '2021-07-19 12:01:46', NULL, NULL), (29106, '', '治安村', 'fa76bc32cf8643d99f645bd730b89c9d', 'f46ab7d8b1a74966898506c2dc7a3322', 'False', 'True', 'false', 'false', '511802107206', 5, '治安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802107206', 1, '2021-07-19 12:01:46', NULL, NULL), (29107, '', '箭杆林村', '2a14c1ce1a854683b4769f2853269720', 'f46ab7d8b1a74966898506c2dc7a3322', 'False', 'True', 'false', 'false', '511802107207', 5, '箭杆林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802107207', 1, '2021-07-19 12:01:46', NULL, NULL), (29108, '', '白马村', '94bc5de60343440c9632009e42be59ab', 'f46ab7d8b1a74966898506c2dc7a3322', 'False', 'True', 'false', 'false', '511802107208', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802107208', 1, '2021-07-19 12:01:47', NULL, NULL), (29109, '', '晏场镇', 'c2a343a79c804d628b16c2e84a70220c', '94f0a7f6d3294035b765f31543dfe1ee', 'True', 'True', 'false', 'false', '511802109000', 4, '晏场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511802109000', 1, '2021-07-19 12:01:47', NULL, NULL), (29110, '', '赵沟村', '60dc0e21429547b8ada8fa56a23608b6', 'c2a343a79c804d628b16c2e84a70220c', 'False', 'True', 'false', 'false', '511802109200', 5, '赵沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802109200', 1, '2021-07-19 12:01:47', NULL, NULL), (29111, '', '中心村', '96ebc677819c40a2808067c93896f03c', 'c2a343a79c804d628b16c2e84a70220c', 'False', 'True', 'false', 'false', '511802109201', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802109201', 1, '2021-07-19 12:01:47', NULL, NULL), (29112, '', '五里村', 'd875583436c14e97be93d63e49824dba', 'c2a343a79c804d628b16c2e84a70220c', 'False', 'True', 'false', 'false', '511802109202', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802109202', 1, '2021-07-19 12:01:47', NULL, NULL), (29113, '', '银杏村', '15a849f7504941f292660aebc6e1ba36', 'c2a343a79c804d628b16c2e84a70220c', 'False', 'True', 'false', 'false', '511802109203', 5, '银杏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802109203', 1, '2021-07-19 12:01:47', NULL, NULL), (29114, '', '三江村', '555a46eadfda40e5810e44ace3aafded', 'c2a343a79c804d628b16c2e84a70220c', 'False', 'True', 'false', 'false', '511802109204', 5, '三江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802109204', 1, '2021-07-19 12:01:47', NULL, NULL), (29115, '', '晏场村', 'e368c04b442f4d2eb4c4724f660b4b2c', 'c2a343a79c804d628b16c2e84a70220c', 'False', 'True', 'false', 'false', '511802109205', 5, '晏场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802109205', 1, '2021-07-19 12:01:47', NULL, NULL), (29116, '', '宝田村', 'b75fc44e56b04f938f40d95c05adb158', 'c2a343a79c804d628b16c2e84a70220c', 'False', 'True', 'false', 'false', '511802109206', 5, '宝田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802109206', 1, '2021-07-19 12:01:47', NULL, NULL), (29117, '', '代河村', 'c6f0d6aa66174f1ca2cc9a97be41be1c', 'c2a343a79c804d628b16c2e84a70220c', 'False', 'True', 'false', 'false', '511802109207', 5, '代河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802109207', 1, '2021-07-19 12:01:47', NULL, NULL), (29118, '', '三合村', 'e1bfa2811d084c6db53b38bf629b8ccf', 'c2a343a79c804d628b16c2e84a70220c', 'False', 'True', 'false', 'false', '511802109208', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802109208', 1, '2021-07-19 12:01:47', NULL, NULL), (29119, '', '多营镇', '7a4132e42cfe479398fdba2b1e38f45f', '94f0a7f6d3294035b765f31543dfe1ee', 'True', 'True', 'false', 'false', '511802110000', 4, '多营镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511802110000', 1, '2021-07-19 12:01:47', NULL, NULL), (29120, '', '上坝村', '08e09010d66a4a03bc3fd28d3fac0197', '7a4132e42cfe479398fdba2b1e38f45f', 'False', 'True', 'false', 'false', '511802110200', 5, '上坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802110200', 1, '2021-07-19 12:01:47', NULL, NULL), (29121, '', '下坝村', '9dd9f3f386864bbd8041fdbd107b47eb', '7a4132e42cfe479398fdba2b1e38f45f', 'False', 'True', 'false', 'false', '511802110201', 5, '下坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802110201', 1, '2021-07-19 12:01:48', NULL, NULL), (29122, '', '陆王村', '3735ab717416415d87d5eb3af4e04114', '7a4132e42cfe479398fdba2b1e38f45f', 'False', 'True', 'false', 'false', '511802110202', 5, '陆王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802110202', 1, '2021-07-19 12:01:48', NULL, NULL), (29123, '', '五营村', '4c7f359bfef84da1a14bb001263f6e54', '7a4132e42cfe479398fdba2b1e38f45f', 'False', 'True', 'false', 'false', '511802110203', 5, '五营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802110203', 1, '2021-07-19 12:01:48', NULL, NULL), (29124, '', '大深村', '53838570a1de4bb7a6b065f302ee68db', '7a4132e42cfe479398fdba2b1e38f45f', 'False', 'True', 'false', 'false', '511802110204', 5, '大深村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802110204', 1, '2021-07-19 12:01:48', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (29125, '', '龙池村', '65bb8346557f4eba97b7d7aa0522e7f5', '7a4132e42cfe479398fdba2b1e38f45f', 'False', 'True', 'false', 'false', '511802110205', 5, '龙池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802110205', 1, '2021-07-19 12:01:48', NULL, NULL), (29126, '', '碧峰峡镇', 'dbce2515931a4160aa38924b7aa11ce7', '94f0a7f6d3294035b765f31543dfe1ee', 'True', 'True', 'false', 'false', '511802111000', 4, '碧峰峡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511802111000', 1, '2021-07-19 12:01:48', NULL, NULL), (29127, '', '八家村', 'de43ff0792a2458d9c3a787f1cc0d3c6', 'dbce2515931a4160aa38924b7aa11ce7', 'False', 'True', 'false', 'false', '511802111200', 5, '八家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802111200', 1, '2021-07-19 12:01:48', NULL, NULL), (29128, '', '七老村', 'b0ac8c8429074b8dba4e819dad04eabb', 'dbce2515931a4160aa38924b7aa11ce7', 'False', 'True', 'false', 'false', '511802111201', 5, '七老村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802111201', 1, '2021-07-19 12:01:48', NULL, NULL), (29129, '', '柏树村', 'b9430c20748b491e95f9364c47ec1cde', 'dbce2515931a4160aa38924b7aa11ce7', 'False', 'True', 'false', 'false', '511802111202', 5, '柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802111202', 1, '2021-07-19 12:01:48', NULL, NULL), (29130, '', '三益村', '2df02a2568cd4e91aa5b6544bc06b58b', 'dbce2515931a4160aa38924b7aa11ce7', 'False', 'True', 'false', 'false', '511802111203', 5, '三益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802111203', 1, '2021-07-19 12:01:48', NULL, NULL), (29131, '', '名扬村', '16ccded317ec401cbbf670bd53a39ae2', 'dbce2515931a4160aa38924b7aa11ce7', 'False', 'True', 'false', 'false', '511802111204', 5, '名扬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802111204', 1, '2021-07-19 12:01:48', NULL, NULL), (29132, '', '黄龙村', '5feb74802fc647a68db063e2f95f176a', 'dbce2515931a4160aa38924b7aa11ce7', 'False', 'True', 'false', 'false', '511802111205', 5, '黄龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802111205', 1, '2021-07-19 12:01:48', NULL, NULL), (29133, '', '碧峰村', '915b077915de4ec5997303c79efd0df3', 'dbce2515931a4160aa38924b7aa11ce7', 'False', 'True', 'false', 'false', '511802111206', 5, '碧峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802111206', 1, '2021-07-19 12:01:48', NULL, NULL), (29134, '', '庙后村', '0ef123397f424fb797f213c8062d71ee', 'dbce2515931a4160aa38924b7aa11ce7', 'False', 'True', 'false', 'false', '511802111207', 5, '庙后村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802111207', 1, '2021-07-19 12:01:48', NULL, NULL), (29135, '', '红牌村', '999ff358ba5443589bf5c04281b3148a', 'dbce2515931a4160aa38924b7aa11ce7', 'False', 'True', 'false', 'false', '511802111208', 5, '红牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802111208', 1, '2021-07-19 12:01:48', NULL, NULL), (29136, '', '后盐村', 'dc9df160e1494242acac841b8111c3a3', 'dbce2515931a4160aa38924b7aa11ce7', 'False', 'True', 'false', 'false', '511802111209', 5, '后盐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802111209', 1, '2021-07-19 12:01:49', NULL, NULL), (29137, '', '周公山镇', 'c1adf33489be423e8757fd9b21d5e9fa', '94f0a7f6d3294035b765f31543dfe1ee', 'True', 'True', 'false', 'false', '511802200000', 4, '周公山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511802200000', 1, '2021-07-19 12:01:49', NULL, NULL), (29138, '', '坪石村', '5f4d0dda08fe46a890c7b9cb0e94d317', 'c1adf33489be423e8757fd9b21d5e9fa', 'False', 'False', 'false', 'false', '511802200200', 5, '坪石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802200200', 1, '2021-07-19 12:01:49', NULL, NULL), (29139, '', '柳阳村', '9204a9ad3b15414ebe7a5d886e510d44', 'c1adf33489be423e8757fd9b21d5e9fa', 'False', 'False', 'false', 'false', '511802200201', 5, '柳阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802200201', 1, '2021-07-19 12:01:49', NULL, NULL), (29140, '', '昝村村', '487d8b46cf114da0b4500f0f3e3cff45', 'c1adf33489be423e8757fd9b21d5e9fa', 'False', 'False', 'false', 'false', '511802200202', 5, '昝村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802200202', 1, '2021-07-19 12:01:49', NULL, NULL), (29141, '', '狮子村', '3bba025965ed483da9852d7c7d4adec9', 'c1adf33489be423e8757fd9b21d5e9fa', 'False', 'False', 'false', 'false', '511802200203', 5, '狮子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802200203', 1, '2021-07-19 12:01:49', NULL, NULL), (29142, '', '高山村', '52d63be141a5423b9bed5d3896a2fa5f', 'c1adf33489be423e8757fd9b21d5e9fa', 'False', 'False', 'false', 'false', '511802200204', 5, '高山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802200204', 1, '2021-07-19 12:01:49', NULL, NULL), (29143, '', '太源村', '4822fbe5d17242cbb6720f90c52b2a45', 'c1adf33489be423e8757fd9b21d5e9fa', 'False', 'False', 'false', 'false', '511802200205', 5, '太源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802200205', 1, '2021-07-19 12:01:49', NULL, NULL), (29144, '', '龙洞村', '565e5bebff04465699e51118ea0e2398', 'c1adf33489be423e8757fd9b21d5e9fa', 'False', 'False', 'false', 'false', '511802200207', 5, '龙洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802200207', 1, '2021-07-19 12:01:49', NULL, NULL), (29145, '', '澄清村', '59f01b558717402b91ad24f4441374a4', 'c1adf33489be423e8757fd9b21d5e9fa', 'False', 'False', 'false', 'false', '511802200208', 5, '澄清村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802200208', 1, '2021-07-19 12:01:49', NULL, NULL), (29146, '', '南坝村', '924eb5dfc51947038fa58632b9dc2d5c', 'c1adf33489be423e8757fd9b21d5e9fa', 'False', 'False', 'false', 'false', '511802200209', 5, '南坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802200209', 1, '2021-07-19 12:01:49', NULL, NULL), (29147, '', '水中社区', '266e8f1653e04a2aaeeeadb2ac9e2f09', 'c1adf33489be423e8757fd9b21d5e9fa', 'False', 'False', 'false', 'false', '511802200210', 5, '水中社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802200210', 1, '2021-07-19 12:01:49', NULL, NULL), (29148, '', '顺江村', '0641b787b51c4bd695d73d3ed682cf24', 'c1adf33489be423e8757fd9b21d5e9fa', 'False', 'False', 'false', 'false', '511802200211', 5, '顺江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802200211', 1, '2021-07-19 12:01:50', NULL, NULL), (29149, '', '八步镇', '694a1932658447ba908c22b44d7774b5', '94f0a7f6d3294035b765f31543dfe1ee', 'True', 'True', 'false', 'false', '511802201000', 4, '八步乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511802201000', 1, '2021-07-19 12:01:50', NULL, NULL), (29150, '', '枫木村', 'a26a25a29c504d93862ee8783e289495', '694a1932658447ba908c22b44d7774b5', 'False', 'True', 'false', 'false', '511802201200', 5, '枫木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802201200', 1, '2021-07-19 12:01:50', NULL, NULL), (29151, '', '石龙村', 'dd15a50673ae40a990ab63926da28bef', '694a1932658447ba908c22b44d7774b5', 'False', 'True', 'false', 'false', '511802201201', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802201201', 1, '2021-07-19 12:01:50', NULL, NULL), (29152, '', '白云村', '2c6e9dc9ac1d4369925bfbc767f43782', '694a1932658447ba908c22b44d7774b5', 'False', 'True', 'false', 'false', '511802201202', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802201202', 1, '2021-07-19 12:01:50', NULL, NULL), (29153, '', '李家村', 'bef6b2997b4c401388bc18434cdd4be2', '694a1932658447ba908c22b44d7774b5', 'False', 'True', 'false', 'false', '511802201203', 5, '李家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802201203', 1, '2021-07-19 12:01:53', NULL, NULL), (29154, '', '金花村', 'c438789cb39d4b16abc69fa93874756c', '694a1932658447ba908c22b44d7774b5', 'False', 'True', 'false', 'false', '511802201204', 5, '金花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802201204', 1, '2021-07-19 12:01:53', NULL, NULL), (29155, '', '八步村', '248897f721df4a948c6f976806118fda', '694a1932658447ba908c22b44d7774b5', 'False', 'True', 'false', 'false', '511802201205', 5, '八步村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802201205', 1, '2021-07-19 12:01:53', NULL, NULL), (29156, '', '石缸村', 'f8dcca40194743ce9b73c25173878874', '694a1932658447ba908c22b44d7774b5', 'False', 'True', 'false', 'false', '511802201206', 5, '石缸村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802201206', 1, '2021-07-19 12:01:53', NULL, NULL), (29157, '', '紫石村', '04b9120a89d443a5bc4c7ba1ec8461f8', '694a1932658447ba908c22b44d7774b5', 'False', 'True', 'false', 'false', '511802201207', 5, '紫石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802201207', 1, '2021-07-19 12:01:53', NULL, NULL), (29158, '', '望鱼镇', '8d9993791aa54983a682d71d5927e3c2', '94f0a7f6d3294035b765f31543dfe1ee', 'True', 'True', 'false', 'false', '511802205000', 4, '望鱼镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511802205000', 1, '2021-07-19 12:01:54', NULL, NULL), (29159, '', '望鱼村', '2e06e09749ed41c28cd97a8dbc2b645c', '8d9993791aa54983a682d71d5927e3c2', 'False', 'True', 'false', 'false', '511802205200', 5, '望鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802205200', 1, '2021-07-19 12:01:54', NULL, NULL), (29160, '', '罗坝村', '518705f2bd0548829ad80b4fe506e8cc', '8d9993791aa54983a682d71d5927e3c2', 'False', 'True', 'false', 'false', '511802205201', 5, '罗坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802205201', 1, '2021-07-19 12:01:54', NULL, NULL), (29161, '', '回龙村', '2b2ab3bd64064cd3b61b05c99841fabe', '8d9993791aa54983a682d71d5927e3c2', 'False', 'True', 'false', 'false', '511802205202', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802205202', 1, '2021-07-19 12:01:54', NULL, NULL), (29162, '', '曹万村', '9cfd9fb217ca47bca92f34681e7f5e51', '8d9993791aa54983a682d71d5927e3c2', 'False', 'True', 'false', 'false', '511802205203', 5, '曹万村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802205203', 1, '2021-07-19 12:01:54', NULL, NULL), (29163, '', '兴隆村', 'f591f86359a345179552d7b35377eb03', '8d9993791aa54983a682d71d5927e3c2', 'False', 'True', 'false', 'false', '511802205204', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802205204', 1, '2021-07-19 12:01:54', NULL, NULL), (29164, '', '顺河村', '6b375817660145a59dd61a3a66116462', '8d9993791aa54983a682d71d5927e3c2', 'False', 'True', 'false', 'false', '511802205205', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802205205', 1, '2021-07-19 12:01:54', NULL, NULL), (29165, '', '黄村村', '91471763f12548f2a78f26834adfde4e', '8d9993791aa54983a682d71d5927e3c2', 'False', 'True', 'false', 'false', '511802205206', 5, '黄村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802205206', 1, '2021-07-19 12:01:54', NULL, NULL), (29166, '', '三台村', '94214ca9a2034758a6fca41fa6056805', '8d9993791aa54983a682d71d5927e3c2', 'False', 'True', 'false', 'false', '511802205207', 5, '三台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802205207', 1, '2021-07-19 12:01:54', NULL, NULL), (29167, '', '陡滩村', 'c9d787dbcd57408fb1bcd93f6f604173', '8d9993791aa54983a682d71d5927e3c2', 'False', 'True', 'false', 'false', '511802205208', 5, '陡滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802205208', 1, '2021-07-19 12:01:54', NULL, NULL), (29168, '', '塘口村', '9d6e1e740f1a4604b24d672d0a1d14c1', '8d9993791aa54983a682d71d5927e3c2', 'False', 'True', 'false', 'false', '511802205209', 5, '塘口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802205209', 1, '2021-07-19 12:01:54', NULL, NULL), (29169, '', '溪口村', '73c183ec71c04ef38acb947b5cb4099a', '8d9993791aa54983a682d71d5927e3c2', 'False', 'True', 'false', 'false', '511802205210', 5, '溪口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511802205210', 1, '2021-07-19 12:01:54', NULL, NULL), (29170, '', '眉山市', '05f86d1b23124e6c9629b5962b9c40bc', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '511400000000', 2, '眉山市', 'mss.sczwfw.gov.cn', 1, '2021-07-19 12:01:55', NULL, NULL), (29171, '', '东坡区', '7982b0705533428e8d044674712cf8e7', '05f86d1b23124e6c9629b5962b9c40bc', 'True', 'True', 'false', 'false', '511402000000', 3, '东坡区', 'mssdpq.sczwfw.gov.cn', 1, '2021-07-19 12:01:55', NULL, NULL), (29172, '', '苏祠街道', '4b2ccca7de1d49dfb1c20f24e5370318', '7982b0705533428e8d044674712cf8e7', 'True', 'True', 'false', 'false', '511402001000', 4, '苏祠街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511402001000', 1, '2021-07-19 12:01:55', NULL, NULL), (29173, '', '芙蓉路社区', '018d89405f3c4c2bb7a36fb5780680d2', '4b2ccca7de1d49dfb1c20f24e5370318', 'False', 'True', 'false', 'false', '511402003001', 5, '芙蓉路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402003001', 1, '2021-07-19 12:01:55', NULL, NULL), (29174, '', '环湖中路社区', '30ec40471460473f8d1f8445a4717f64', '4b2ccca7de1d49dfb1c20f24e5370318', 'False', 'True', 'false', 'false', '511402003002', 5, '环湖中路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402003002', 1, '2021-07-19 12:01:55', NULL, NULL), (29175, '', '为民巷社区', '0af00cece5174d449f67833edd94c665', '4b2ccca7de1d49dfb1c20f24e5370318', 'False', 'True', 'false', 'false', '511402003003', 5, '为民巷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402003003', 1, '2021-07-19 12:01:55', NULL, NULL), (29176, '', '小北街社区', '0ac1178b4ed446dca16d28083dbe87d2', '4b2ccca7de1d49dfb1c20f24e5370318', 'False', 'True', 'false', 'false', '511402003004', 5, '小北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402003004', 1, '2021-07-19 12:01:55', NULL, NULL), (29177, '', '大北街社区', '0ffde8650ce44189a17be2ce1897c1e0', '4b2ccca7de1d49dfb1c20f24e5370318', 'False', 'True', 'false', 'false', '511402003005', 5, '大北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402003005', 1, '2021-07-19 12:01:55', NULL, NULL), (29178, '', '下西街社区', '3e0a0f2a97e740be99c43d9e7d13e02f', '4b2ccca7de1d49dfb1c20f24e5370318', 'False', 'True', 'false', 'false', '511402003006', 5, '下西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402003006', 1, '2021-07-19 12:01:55', NULL, NULL), (29179, '', '大东街社区', '478517cff1b24391a42c2cc47d4694fc', '4b2ccca7de1d49dfb1c20f24e5370318', 'False', 'True', 'false', 'false', '511402003008', 5, '大东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402003008', 1, '2021-07-19 12:01:55', NULL, NULL), (29180, '', '学道街社区', 'aa538b68b5a14cbeb1bb30370721e824', '4b2ccca7de1d49dfb1c20f24e5370318', 'False', 'True', 'false', 'false', '511402003009', 5, '学道街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402003009', 1, '2021-07-19 12:01:55', NULL, NULL), (29181, '', '下大南街社区', 'bb3d133e0ee04ffb86e1bf8686214a1c', '4b2ccca7de1d49dfb1c20f24e5370318', 'False', 'True', 'false', 'false', '511402003010', 5, '下大南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402003010', 1, '2021-07-19 12:01:55', NULL, NULL), (29182, '', '白虎滩社区', '72a8dbc3d5cb4cb298e0b63e51abf672', '4b2ccca7de1d49dfb1c20f24e5370318', 'False', 'True', 'false', 'false', '511402003011', 5, '白虎滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402003011', 1, '2021-07-19 12:01:55', NULL, NULL), (29183, '', '上游社区', 'b6ae84d0222941d2909712bfdc75056a', '4b2ccca7de1d49dfb1c20f24e5370318', 'False', 'True', 'false', 'false', '511402003012', 5, '上游社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402003012', 1, '2021-07-19 12:01:55', NULL, NULL), (29184, '', '东城社区', '6e14814de9044f18b1a37223c8dffd78', '4b2ccca7de1d49dfb1c20f24e5370318', 'False', 'True', 'false', 'false', '511402003015', 5, '东城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402003015', 1, '2021-07-19 12:01:55', NULL, NULL), (29185, '', '民和社区', '91ce6801d6a94b8b817338c524e5740e', '4b2ccca7de1d49dfb1c20f24e5370318', 'False', 'True', 'false', 'false', '511402003016', 5, '民和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402003016', 1, '2021-07-19 12:01:55', NULL, NULL), (29186, '', '东安社区', 'bb0f25a6c6e440bd9702dc26eba8c481', '4b2ccca7de1d49dfb1c20f24e5370318', 'False', 'True', 'false', 'false', '511402003017', 5, '东安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402003017', 1, '2021-07-19 12:01:56', NULL, NULL), (29187, '', '东湖社区', '2d468fccdf6e470ba17c5ac9482ff511', '4b2ccca7de1d49dfb1c20f24e5370318', 'False', 'True', 'false', 'false', '511402003018', 5, '东湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402003018', 1, '2021-07-19 12:01:56', NULL, NULL), (29188, '', '金龙社区', '54ae21f91af94e7fad2322f14eafc164', '4b2ccca7de1d49dfb1c20f24e5370318', 'False', 'True', 'false', 'false', '511402003810', 5, '金龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402003810', 1, '2021-07-19 12:01:56', NULL, NULL), (29189, '', '桂香街社区', 'd831031307a84bb48dd61cdf74bfd2ac', '4b2ccca7de1d49dfb1c20f24e5370318', 'False', 'True', 'false', 'false', '511423200300', 5, '桂香街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423200300', 1, '2021-07-19 12:01:56', NULL, NULL), (29190, '', '大石桥街道', '929af242b1df4cddb55868697b777472', '7982b0705533428e8d044674712cf8e7', 'True', 'True', 'false', 'false', '511402002000', 4, '大石桥街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511402002000', 1, '2021-07-19 12:01:56', NULL, NULL), (29191, '', '红星西路社区', '38889cad1cb64b348f6685eaf7ad9197', '929af242b1df4cddb55868697b777472', 'False', 'True', 'false', 'false', '511402002001', 5, '红星西路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402002001', 1, '2021-07-19 12:01:56', NULL, NULL), (29192, '', '白玉社区', 'ec5aa1ac13e34b8fa160f48bcf749408', '929af242b1df4cddb55868697b777472', 'False', 'True', 'false', 'false', '511402002002', 5, '白玉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402002002', 1, '2021-07-19 12:01:56', NULL, NULL), (29193, '', '田店社区', '959bc00140ca4e499dfc09622c13aa5e', '929af242b1df4cddb55868697b777472', 'False', 'True', 'false', 'false', '511402002003', 5, '田店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402002003', 1, '2021-07-19 12:01:56', NULL, NULL), (29194, '', '圣寿社区', '7714f7db2bb546b8912382fcf8a441fa', '929af242b1df4cddb55868697b777472', 'False', 'True', 'false', 'false', '511402002004', 5, '圣寿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402002004', 1, '2021-07-19 12:01:56', NULL, NULL), (29195, '', '鱼山社区', '6299c9f223114de2b0da7af3d145a08c', '929af242b1df4cddb55868697b777472', 'False', 'True', 'false', 'false', '511402002005', 5, '鱼山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402002005', 1, '2021-07-19 12:01:56', NULL, NULL), (29196, '', '普田社区', '037615be1ccd4b138c72d733dd888419', '929af242b1df4cddb55868697b777472', 'False', 'True', 'false', 'false', '511402002006', 5, '普田社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402002006', 1, '2021-07-19 12:01:56', NULL, NULL), (29197, '', '江公社区', '53b292b5e7d549afbc736a8e7d556cca', '929af242b1df4cddb55868697b777472', 'False', 'True', 'false', 'false', '511402002007', 5, '江公社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402002007', 1, '2021-07-19 12:01:56', NULL, NULL), (29198, '', '旭光社区', '717fe7400cff474ba076f80a90db4edd', '929af242b1df4cddb55868697b777472', 'False', 'True', 'false', 'false', '511402002008', 5, '旭光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402002008', 1, '2021-07-19 12:01:56', NULL, NULL), (29199, '', '高灯社区', '2306546cd84c423ab2b1d1cfbbf92fcd', '929af242b1df4cddb55868697b777472', 'False', 'True', 'false', 'false', '511402002009', 5, '高灯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402002009', 1, '2021-07-19 12:01:56', NULL, NULL), (29200, '', '明星社区', '5d0a20717f7641948bb5b480d0f1ac6a', '929af242b1df4cddb55868697b777472', 'False', 'True', 'false', 'false', '511402002010', 5, '明星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402002010', 1, '2021-07-19 12:01:56', NULL, NULL), (29201, '', '定江社区', 'aa744f1e748b4ffc8c0546c4243e5952', '929af242b1df4cddb55868697b777472', 'False', 'True', 'false', 'false', '511402002011', 5, '定江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402002011', 1, '2021-07-19 12:01:57', NULL, NULL), (29202, '', '金罗马社区', '5b0aba90ef9548f89f3ab5e331dfaddf', '929af242b1df4cddb55868697b777472', 'False', 'True', 'false', 'false', '511402002012', 5, '金罗马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402002012', 1, '2021-07-19 12:01:57', NULL, NULL), (29203, '', '苏辙社区', '07a0137ceec049498755c6df3c6881a6', '929af242b1df4cddb55868697b777472', 'False', 'True', 'false', 'false', '511402002013', 5, '苏辙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402002013', 1, '2021-07-19 12:01:57', NULL, NULL), (29204, '', '远景楼社区', '46e5e7ce6eca4441880114d5e3eecb13', '929af242b1df4cddb55868697b777472', 'False', 'True', 'false', 'false', '511402002014', 5, '远景楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402002014', 1, '2021-07-19 12:01:57', NULL, NULL), (29205, '', '文忠街社区', 'ec79e797e98649758adb79db224355d8', '929af242b1df4cddb55868697b777472', 'False', 'True', 'false', 'false', '511402002015', 5, '文忠街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402002015', 1, '2021-07-19 12:01:57', NULL, NULL), (29206, '', '通惠街道', 'a69c0caa676244639f187efb4d17ade5', '7982b0705533428e8d044674712cf8e7', 'True', 'True', 'false', 'false', '511402003000', 4, '通惠街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511402003000', 1, '2021-07-19 12:01:57', NULL, NULL), (29207, '', '庄店社区', 'ed7760afa4d74996945eaea3efd500ea', 'a69c0caa676244639f187efb4d17ade5', 'False', 'True', 'false', 'false', '511402001001', 5, '庄店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402001001', 1, '2021-07-19 12:01:57', NULL, NULL), (29208, '', '平春社区', '3c6ca4ede74d4db084d4d24cabfc6fe4', 'a69c0caa676244639f187efb4d17ade5', 'False', 'True', 'false', 'false', '511402001002', 5, '平春社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402001002', 1, '2021-07-19 12:01:57', NULL, NULL), (29209, '', '先锋社区', 'c4f605f807a44925834b4795f755e8f5', 'a69c0caa676244639f187efb4d17ade5', 'False', 'True', 'false', 'false', '511402001003', 5, '先锋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402001003', 1, '2021-07-19 12:01:57', NULL, NULL), (29210, '', '城南社区', '575e377ccac6449baacc1787c2b8ed20', 'a69c0caa676244639f187efb4d17ade5', 'False', 'True', 'false', 'false', '511402001004', 5, '城南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402001004', 1, '2021-07-19 12:01:57', NULL, NULL), (29211, '', '瓦窑社区', '7edecac7fa6d4318b49d115196df0a0f', 'a69c0caa676244639f187efb4d17ade5', 'False', 'True', 'false', 'false', '511402001005', 5, '瓦窑社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402001005', 1, '2021-07-19 12:01:58', NULL, NULL), (29212, '', '新村社区', '1d1a9469dc1b40d9881acf7c7cf15cc5', 'a69c0caa676244639f187efb4d17ade5', 'False', 'True', 'false', 'false', '511402001006', 5, '新村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402001006', 1, '2021-07-19 12:01:58', NULL, NULL), (29213, '', '杭州路社区', 'bc3a6c517d144491b9ab4fb8e411a796', 'a69c0caa676244639f187efb4d17ade5', 'False', 'True', 'false', 'false', '511402001007', 5, '杭州路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402001007', 1, '2021-07-19 12:01:58', NULL, NULL), (29214, '', '快乐社区', '40c7e66404fb48d99fc930c815d9eb47', 'a69c0caa676244639f187efb4d17ade5', 'False', 'True', 'false', 'false', '511402001008', 5, '快乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402001008', 1, '2021-07-19 12:01:58', NULL, NULL), (29215, '', '崇义社区', 'e013d80632c041ccaf92170da3fd9b6b', 'a69c0caa676244639f187efb4d17ade5', 'False', 'True', 'false', 'false', '511402001009', 5, '崇义社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402001009', 1, '2021-07-19 12:01:58', NULL, NULL), (29216, '', '小石堰社区', 'e7dbfb78a37347908d5b57ec85e1e816', 'a69c0caa676244639f187efb4d17ade5', 'False', 'True', 'false', 'false', '511402001010', 5, '小石堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402001010', 1, '2021-07-19 12:01:58', NULL, NULL), (29217, '', '长安路社区', 'cd94014246c34e2bb955ebd4d99950d8', 'a69c0caa676244639f187efb4d17ade5', 'False', 'True', 'false', 'false', '511402001011', 5, '长安路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402001011', 1, '2021-07-19 12:01:58', NULL, NULL), (29218, '', '太和镇', '348753357c5b42dd94b89779958e7f76', '7982b0705533428e8d044674712cf8e7', 'True', 'True', 'false', 'false', '511402102000', 4, '太和镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511402102000', 1, '2021-07-19 12:01:58', NULL, NULL), (29219, '', '悦兴社区', '77674b472a4d453482960bdbc7586342', '348753357c5b42dd94b89779958e7f76', 'False', 'True', 'false', 'false', '511402102002', 5, '悦兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402102002', 1, '2021-07-19 12:01:58', NULL, NULL), (29220, '', '龙石村', '72bc51bf8dbd4c92ba286e614dd32fd5', '348753357c5b42dd94b89779958e7f76', 'False', 'True', 'false', 'false', '511402102228', 5, '龙石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402102228', 1, '2021-07-19 12:01:58', NULL, NULL), (29221, '', '永丰村', '9a797b51f5ef4379ba44095310f68b38', '348753357c5b42dd94b89779958e7f76', 'False', 'True', 'false', 'false', '511402102232', 5, '永丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402102232', 1, '2021-07-19 12:01:58', NULL, NULL), (29222, '', '远光村', 'ab534da50ef94cae94d8dcfdf0e10aa6', '348753357c5b42dd94b89779958e7f76', 'False', 'True', 'false', 'false', '511402102234', 5, '远光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402102234', 1, '2021-07-19 12:01:58', NULL, NULL), (29223, '', '元宝村', 'bd75d19cb388400596b8f813cb09f6ef', '348753357c5b42dd94b89779958e7f76', 'False', 'True', 'false', 'false', '511402102235', 5, '元宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402102235', 1, '2021-07-19 12:01:59', NULL, NULL), (29224, '', '马堰村', '5540d6fc77894cfabdccc9cbfa498a0e', '348753357c5b42dd94b89779958e7f76', 'False', 'True', 'false', 'false', '511402102236', 5, '马堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402102236', 1, '2021-07-19 12:01:59', NULL, NULL), (29225, '', '四维村', '719447e03be344b8a1228ebc87749632', '348753357c5b42dd94b89779958e7f76', 'False', 'True', 'false', 'false', '511402102237', 5, '四维村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402102237', 1, '2021-07-19 12:01:59', NULL, NULL), (29226, '', '群富村', '113b9a6575474c5f9f9650cd0d47a529', '348753357c5b42dd94b89779958e7f76', 'False', 'True', 'false', 'false', '511402102238', 5, '群富村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402102238', 1, '2021-07-19 12:01:59', NULL, NULL), (29227, '', '莲墩村', '75d0354af4aa4819944d551ca800ad34', '348753357c5b42dd94b89779958e7f76', 'False', 'True', 'false', 'false', '511402102239', 5, '莲墩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402102239', 1, '2021-07-19 12:01:59', NULL, NULL), (29228, '', '金光村', 'f8b15a33b30f4ed8ad14b708e6c124e8', '348753357c5b42dd94b89779958e7f76', 'False', 'True', 'false', 'false', '511402102242', 5, '金光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402102242', 1, '2021-07-19 12:01:59', NULL, NULL), (29229, '', '罗家村', 'f71f2328951f47ac91a701613c27eed2', '348753357c5b42dd94b89779958e7f76', 'False', 'True', 'false', 'false', '511402102243', 5, '罗家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402102243', 1, '2021-07-19 12:01:59', NULL, NULL), (29230, '', '大林社区', 'b164b9a650284df199be2cd2d0efb193', '348753357c5b42dd94b89779958e7f76', 'False', 'True', 'false', 'false', '511402102226', 5, '大林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402102226', 1, '2021-07-19 12:01:59', NULL, NULL), (29231, '', '龙亭社区', 'f9b5a3ba93c6486289fc003ff0caa559', '348753357c5b42dd94b89779958e7f76', 'False', 'True', 'false', 'false', '511402102227', 5, '龙亭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402102227', 1, '2021-07-19 12:01:59', NULL, NULL), (29232, '', '仙桥村', '8d8d42163d5d4f538372bd398131725a', '348753357c5b42dd94b89779958e7f76', 'False', 'True', 'false', 'false', '511402102229', 5, '仙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402102229', 1, '2021-07-19 12:01:59', NULL, NULL), (29233, '', '三江村', '392c318f1eb849419b6a9796e2b03aaa', '348753357c5b42dd94b89779958e7f76', 'False', 'True', 'false', 'false', '511402102233', 5, '三江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402102233', 1, '2021-07-19 12:01:59', NULL, NULL), (29234, '', '尚义镇', '8d313117c2fc4ad3b49e655210ca7ba6', '7982b0705533428e8d044674712cf8e7', 'True', 'True', 'false', 'false', '511402104000', 4, '尚义镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511402104000', 1, '2021-07-19 12:01:59', NULL, NULL), (29235, '', '刘巷社区', 'b19eecc8637b4f5d85121739396ae454', '8d313117c2fc4ad3b49e655210ca7ba6', 'False', 'True', 'false', 'false', '511402104003', 5, '刘巷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402104003', 1, '2021-07-19 12:01:59', NULL, NULL), (29236, '', '西堰社区', '4321785f50d748868d7582d793de8db9', '8d313117c2fc4ad3b49e655210ca7ba6', 'False', 'True', 'false', 'false', '511402104004', 5, '西堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402104004', 1, '2021-07-19 12:01:59', NULL, NULL), (29237, '', '象耳社区', '275b31d2e5b34e95beae40cc3543d130', '8d313117c2fc4ad3b49e655210ca7ba6', 'False', 'True', 'false', 'false', '511402104008', 5, '象耳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402104008', 1, '2021-07-19 12:02:00', NULL, NULL), (29238, '', '白马社区', '21c88bc7477a486b8f4b8727d281dd5a', '8d313117c2fc4ad3b49e655210ca7ba6', 'False', 'True', 'false', 'false', '511402104009', 5, '白马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402104009', 1, '2021-07-19 12:02:00', NULL, NULL), (29239, '', '中店社区', 'bb16305fd1c7442b94df07dfbd22256e', '8d313117c2fc4ad3b49e655210ca7ba6', 'False', 'True', 'false', 'false', '511402104010', 5, '中店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402104010', 1, '2021-07-19 12:02:00', NULL, NULL), (29240, '', '红旗社区', '4840c5bc1ac14bc89d2b2e57142a6447', '8d313117c2fc4ad3b49e655210ca7ba6', 'False', 'True', 'false', 'false', '511402104011', 5, '红旗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402104011', 1, '2021-07-19 12:02:00', NULL, NULL), (29241, '', '万华社区', 'e4577a6967a14537b0b4c41c479c9f7e', '8d313117c2fc4ad3b49e655210ca7ba6', 'False', 'True', 'false', 'false', '511402104013', 5, '万华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402104013', 1, '2021-07-19 12:02:00', NULL, NULL), (29242, '', '桥楼村', '6fea285d443d4d56a97e8dec1186fe15', '8d313117c2fc4ad3b49e655210ca7ba6', 'False', 'True', 'false', 'false', '511402104219', 5, '桥楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402104219', 1, '2021-07-19 12:02:00', NULL, NULL), (29243, '', '铁炉村', '98e95be8aa65403aad2dd7e59863bcc9', '8d313117c2fc4ad3b49e655210ca7ba6', 'False', 'True', 'false', 'false', '511402104220', 5, '铁炉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402104220', 1, '2021-07-19 12:02:00', NULL, NULL), (29244, '', '龚村村', 'a55434f0a3c343009044baa314ee07f2', '8d313117c2fc4ad3b49e655210ca7ba6', 'False', 'True', 'false', 'false', '511402104223', 5, '龚村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402104223', 1, '2021-07-19 12:02:00', NULL, NULL), (29245, '', '全意社区', 'c403a150f6a34c649217e89dabf0f232', '8d313117c2fc4ad3b49e655210ca7ba6', 'False', 'True', 'false', 'false', '511402104200', 5, '全意社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402104200', 1, '2021-07-19 12:02:00', NULL, NULL), (29246, '', '舒林村', 'd01df28162a74eacbac93555d4262a30', '8d313117c2fc4ad3b49e655210ca7ba6', 'False', 'True', 'false', 'false', '511402104204', 5, '舒林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402104204', 1, '2021-07-19 12:02:00', NULL, NULL), (29247, '', '云阁村', '1108e7cad4f84f039465e0fbb3329d18', '8d313117c2fc4ad3b49e655210ca7ba6', 'False', 'True', 'false', 'false', '511402104206', 5, '云阁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402104206', 1, '2021-07-19 12:02:01', NULL, NULL), (29248, '', '太宝村', '8427330c37384631a64c55f97143b6f0', '8d313117c2fc4ad3b49e655210ca7ba6', 'False', 'True', 'false', 'false', '511402104209', 5, '太宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402104209', 1, '2021-07-19 12:02:01', NULL, NULL), (29249, '', '观音村', 'bbee7d0e0be049388601641eb853f30b', '8d313117c2fc4ad3b49e655210ca7ba6', 'False', 'True', 'false', 'false', '511402104211', 5, '观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402104211', 1, '2021-07-19 12:02:01', NULL, NULL), (29250, '', '七里社区', '7275ff2899374848b3ed1f1240bf625b', '8d313117c2fc4ad3b49e655210ca7ba6', 'False', 'True', 'false', 'false', '511402104215', 5, '七里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402104215', 1, '2021-07-19 12:02:01', NULL, NULL), (29251, '', '英勇社区', 'a44b7920abcb482e99d4f611a66fbdb6', '8d313117c2fc4ad3b49e655210ca7ba6', 'False', 'True', 'false', 'false', '511402104217', 5, '英勇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402104217', 1, '2021-07-19 12:02:01', NULL, NULL), (29252, '', '多悦镇', 'e4b8aae5fead4aa4bad58e93e34632d0', '7982b0705533428e8d044674712cf8e7', 'True', 'True', 'false', 'false', '511402105000', 4, '多悦镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511402105000', 1, '2021-07-19 12:02:01', NULL, NULL), (29253, '', '郑军村', 'b1edcc5affe24205a3b779949c8ca84f', 'e4b8aae5fead4aa4bad58e93e34632d0', 'False', 'True', 'false', 'false', '511402105240', 5, '郑军村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402105240', 1, '2021-07-19 12:02:01', NULL, NULL), (29254, '', '正山口村', '58b7d4c0134c4fed97ef0f456a5628bf', 'e4b8aae5fead4aa4bad58e93e34632d0', 'False', 'True', 'false', 'false', '511402105241', 5, '正山口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402105241', 1, '2021-07-19 12:02:01', NULL, NULL), (29255, '', '多悦社区', 'eb347d7a016c4649ab5b6496e3473702', 'e4b8aae5fead4aa4bad58e93e34632d0', 'False', 'True', 'false', 'false', '511402105001', 5, '多悦社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402105001', 1, '2021-07-19 12:02:01', NULL, NULL), (29256, '', '付庙村', 'c6653fcdeabb4104a89564275d33a377', 'e4b8aae5fead4aa4bad58e93e34632d0', 'False', 'True', 'false', 'false', '511402105228', 5, '付庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402105228', 1, '2021-07-19 12:02:01', NULL, NULL), (29257, '', '永生村', '6a1bcf27ef8b4e7f94051387ea4d5247', 'e4b8aae5fead4aa4bad58e93e34632d0', 'False', 'True', 'false', 'false', '511402105229', 5, '永生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402105229', 1, '2021-07-19 12:02:01', NULL, NULL), (29258, '', '林埂村', 'f00c841015ff4564aef567f0dee14290', 'e4b8aae5fead4aa4bad58e93e34632d0', 'False', 'True', 'false', 'false', '511402105230', 5, '林埂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402105230', 1, '2021-07-19 12:02:01', NULL, NULL), (29259, '', '石马村', 'eb5354c8a9fc46979cfdf7a38210333e', 'e4b8aae5fead4aa4bad58e93e34632d0', 'False', 'True', 'false', 'false', '511402105231', 5, '石马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402105231', 1, '2021-07-19 12:02:01', NULL, NULL), (29260, '', '会龙村', '65d80d6249f544958c33abc3e0fa8e44', 'e4b8aae5fead4aa4bad58e93e34632d0', 'False', 'True', 'false', 'false', '511402105232', 5, '会龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402105232', 1, '2021-07-19 12:02:02', NULL, NULL), (29261, '', '东风村', 'd4148861841941869e10442c27efe47d', 'e4b8aae5fead4aa4bad58e93e34632d0', 'False', 'True', 'false', 'false', '511402105233', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402105233', 1, '2021-07-19 12:02:02', NULL, NULL), (29262, '', '滴水村', '8548019d33394c128fb77fdbba6052dd', 'e4b8aae5fead4aa4bad58e93e34632d0', 'False', 'True', 'false', 'false', '511402105234', 5, '滴水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402105234', 1, '2021-07-19 12:02:02', NULL, NULL), (29263, '', '宝藏村', 'e1b79cc6c9d644d7bf1a783594d76de4', 'e4b8aae5fead4aa4bad58e93e34632d0', 'False', 'True', 'false', 'false', '511402105235', 5, '宝藏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402105235', 1, '2021-07-19 12:02:02', NULL, NULL), (29264, '', '海珠村', 'ca957872fdfb413294e38e9f58daeacb', 'e4b8aae5fead4aa4bad58e93e34632d0', 'False', 'True', 'false', 'false', '511402105238', 5, '海珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402105238', 1, '2021-07-19 12:02:02', NULL, NULL), (29265, '', '秦家镇', '79347e09ed19400aa935f17ed22a4695', '7982b0705533428e8d044674712cf8e7', 'True', 'True', 'false', 'false', '511402106000', 4, '秦家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511402106000', 1, '2021-07-19 12:02:02', NULL, NULL), (29266, '', '盘鳌社区', 'ace5190666e34452bac192415dc41979', '79347e09ed19400aa935f17ed22a4695', 'False', 'True', 'false', 'false', '511402106002', 5, '盘鳌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402106002', 1, '2021-07-19 12:02:02', NULL, NULL), (29267, '', '晋凤社区', '9a2bf6ef60e548d4ac1e6a3f0410c7aa', '79347e09ed19400aa935f17ed22a4695', 'False', 'True', 'false', 'false', '511402106003', 5, '晋凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402106003', 1, '2021-07-19 12:02:02', NULL, NULL), (29268, '', '大佛村', 'c0c41587aa204198a528efe88b1264e3', '79347e09ed19400aa935f17ed22a4695', 'False', 'True', 'false', 'false', '511402106221', 5, '大佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402106221', 1, '2021-07-19 12:02:02', NULL, NULL), (29269, '', '弥陀村', '9dbfa26d827540f9a45f36328d91f4ad', '79347e09ed19400aa935f17ed22a4695', 'False', 'True', 'false', 'false', '511402106224', 5, '弥陀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402106224', 1, '2021-07-19 12:02:02', NULL, NULL), (29270, '', '海螺村', 'ee036005b8c8413dad3b601112397a7d', '79347e09ed19400aa935f17ed22a4695', 'False', 'True', 'false', 'false', '511402106226', 5, '海螺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402106226', 1, '2021-07-19 12:02:02', NULL, NULL), (29271, '', '周庙村', '868950f6a66e497f9ac9203bb935e504', '79347e09ed19400aa935f17ed22a4695', 'False', 'True', 'false', 'false', '511402106227', 5, '周庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402106227', 1, '2021-07-19 12:02:02', NULL, NULL), (29272, '', '秦家社区', '01588097b47c48c0bbea78847d09230c', '79347e09ed19400aa935f17ed22a4695', 'False', 'True', 'false', 'false', '511402106001', 5, '秦家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402106001', 1, '2021-07-19 12:02:02', NULL, NULL), (29273, '', '麻桥村', '0d3bd357d28e4ccf908df30b7983ffa7', '79347e09ed19400aa935f17ed22a4695', 'False', 'True', 'false', 'false', '511402106229', 5, '麻桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402106229', 1, '2021-07-19 12:02:02', NULL, NULL), (29274, '', '古新村', '7866dc1e47fc429e9ae7628749e5e989', '79347e09ed19400aa935f17ed22a4695', 'False', 'True', 'false', 'false', '511402106233', 5, '古新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402106233', 1, '2021-07-19 12:02:02', NULL, NULL), (29275, '', '大洪村', '205d2c63da7045b6842efae69198f357', '79347e09ed19400aa935f17ed22a4695', 'False', 'True', 'false', 'false', '511402106239', 5, '大洪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402106239', 1, '2021-07-19 12:02:03', NULL, NULL), (29276, '', '白堰村', '86940495585e42aea0078dba44d3dd48', '79347e09ed19400aa935f17ed22a4695', 'False', 'True', 'false', 'false', '511402106241', 5, '白堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402106241', 1, '2021-07-19 12:02:03', NULL, NULL), (29277, '', '万胜镇', '363af3225d104bd0a2a645031523780f', '7982b0705533428e8d044674712cf8e7', 'True', 'True', 'false', 'false', '511402107000', 4, '万胜镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511402107000', 1, '2021-07-19 12:02:03', NULL, NULL), (29278, '', '新四村', '4e0f133341094a5d9956c2c1cf0e5c56', '363af3225d104bd0a2a645031523780f', 'False', 'True', 'false', 'false', '511402107212', 5, '新四村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402107212', 1, '2021-07-19 12:02:03', NULL, NULL), (29279, '', '新星村', '44a816fd2c7b45e894821ba8695e9924', '363af3225d104bd0a2a645031523780f', 'False', 'True', 'false', 'false', '511402107213', 5, '新星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402107213', 1, '2021-07-19 12:02:03', NULL, NULL), (29280, '', '大同村', '846fe9632aeb44958a906f22fbdd9c18', '363af3225d104bd0a2a645031523780f', 'False', 'True', 'false', 'false', '511402107214', 5, '大同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402107214', 1, '2021-07-19 12:02:03', NULL, NULL), (29281, '', '万胜社区', 'ac218c6a85d2417f8ad56c357993a9c1', '363af3225d104bd0a2a645031523780f', 'False', 'True', 'false', 'false', '511402107001', 5, '万胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402107001', 1, '2021-07-19 12:02:03', NULL, NULL), (29282, '', '万光村', '9b18ad9d16cd41359da688cb9b4698f6', '363af3225d104bd0a2a645031523780f', 'False', 'True', 'false', 'false', '511402107200', 5, '万光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402107200', 1, '2021-07-19 12:02:03', NULL, NULL), (29283, '', '众家村', '264e8a4808ea47288ba83c4802d47274', '363af3225d104bd0a2a645031523780f', 'False', 'True', 'false', 'false', '511402107201', 5, '众家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402107201', 1, '2021-07-19 12:02:03', NULL, NULL), (29284, '', '艾光村', '315469bff270445bb31844cb043e9d4e', '363af3225d104bd0a2a645031523780f', 'False', 'True', 'false', 'false', '511402107203', 5, '艾光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402107203', 1, '2021-07-19 12:02:03', NULL, NULL), (29285, '', '万利村', '3c6924e423814b9ba59cce1f4cc2b001', '363af3225d104bd0a2a645031523780f', 'False', 'True', 'false', 'false', '511402107204', 5, '万利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402107204', 1, '2021-07-19 12:02:03', NULL, NULL), (29286, '', '万新村', '99ed50e2e228402f945ecdc0eb8fb694', '363af3225d104bd0a2a645031523780f', 'False', 'True', 'false', 'false', '511402107206', 5, '万新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402107206', 1, '2021-07-19 12:02:03', NULL, NULL), (29287, '', '天池村', '1ef50367cd7d4a38a087f17d6c6ff359', '363af3225d104bd0a2a645031523780f', 'False', 'True', 'false', 'false', '511402107208', 5, '天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402107208', 1, '2021-07-19 12:02:03', NULL, NULL), (29288, '', '龙池村', '1e2b110d85464174948101047e98570b', '363af3225d104bd0a2a645031523780f', 'False', 'True', 'false', 'false', '511402107211', 5, '龙池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402107211', 1, '2021-07-19 12:02:03', NULL, NULL), (29289, '', '思蒙镇', '5a2126394eea4e058f3e5162077296ec', '7982b0705533428e8d044674712cf8e7', 'True', 'True', 'false', 'false', '511402109000', 4, '思蒙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511402109000', 1, '2021-07-19 12:02:03', NULL, NULL), (29290, '', '车城社区', '0823a75c6f3b4b03814f1518ecbb858f', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109002', 5, '车城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109002', 1, '2021-07-19 12:02:03', NULL, NULL), (29291, '', '黄家社区', 'a5c1ea53284a4f11a4913f371ef39edc', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109003', 5, '黄家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109003', 1, '2021-07-19 12:02:04', NULL, NULL), (29292, '', '张场村', '86c8ff7c4f614abe8cbefab913e8061f', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109222', 5, '张场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109222', 1, '2021-07-19 12:02:04', NULL, NULL), (29293, '', '三大湾村', '43ea5c4056ef4d968ffea377297dbd66', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109223', 5, '三大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109223', 1, '2021-07-19 12:02:04', NULL, NULL), (29294, '', '合林村', '4caea835d564434caa61b9942d42c930', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109224', 5, '合林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109224', 1, '2021-07-19 12:02:04', NULL, NULL), (29295, '', '碧江村', '4175e22296a24375b3f8f476b8faa2f1', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109226', 5, '碧江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109226', 1, '2021-07-19 12:02:04', NULL, NULL), (29296, '', '工农村', 'bc5af6539fbb4357a4c2b9eaa7037f51', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109228', 5, '工农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109228', 1, '2021-07-19 12:02:04', NULL, NULL), (29297, '', '藕花村', '5e8dbaaac65b49d3ac35b2f1bcdda4fb', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109229', 5, '藕花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109229', 1, '2021-07-19 12:02:04', NULL, NULL), (29298, '', '平山村', '628f835ddfa645f3bd4e0dbdfa1b9f40', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109230', 5, '平山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109230', 1, '2021-07-19 12:02:04', NULL, NULL), (29299, '', '思蒙社区', '8505e7464e2d48589d20eaea8b1fb792', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109001', 5, '思蒙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109001', 1, '2021-07-19 12:02:04', NULL, NULL), (29300, '', '莲花村', '657de1952d1e41fa9cbcecf0d225df1c', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109225', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109225', 1, '2021-07-19 12:02:04', NULL, NULL), (29301, '', '镇南村', 'd8340dc2d8e84235bfdb34dc89dac387', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109234', 5, '镇南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109234', 1, '2021-07-19 12:02:04', NULL, NULL), (29302, '', '宋堰村', '2251e4e46c60422182a683dd7c2675df', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109235', 5, '宋堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109235', 1, '2021-07-19 12:02:04', NULL, NULL), (29303, '', '谌银村', 'fbd59621100343aebf3a7068e363d849', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109236', 5, '谌银村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109236', 1, '2021-07-19 12:02:04', NULL, NULL), (29304, '', '花池村', '75fe1133ae2c44f2b6a255fec29bf936', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109238', 5, '花池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109238', 1, '2021-07-19 12:02:04', NULL, NULL), (29305, '', '新堰村', 'ba7133acb15042cd865b292680fa139e', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109239', 5, '新堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109239', 1, '2021-07-19 12:02:04', NULL, NULL), (29306, '', '泥河村', '16df325f67c44987a78abb4b2dd123a2', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109240', 5, '泥河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109240', 1, '2021-07-19 12:02:04', NULL, NULL), (29307, '', '娴婆村', 'e2b43774f4f04b198004567c71fc11c9', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109241', 5, '娴婆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109241', 1, '2021-07-19 12:02:05', NULL, NULL), (29308, '', '铧头村', '9b3cf95ece6b4d369c7d240261e40dca', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109244', 5, '铧头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109244', 1, '2021-07-19 12:02:05', NULL, NULL), (29309, '', '石沱村', '7127db163c6b4633b195ad35e48806c8', '5a2126394eea4e058f3e5162077296ec', 'False', 'True', 'false', 'false', '511402109247', 5, '石沱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402109247', 1, '2021-07-19 12:02:05', NULL, NULL), (29310, '', '修文镇', 'fd2158bfc0d149cb9e806e5b087b59bc', '7982b0705533428e8d044674712cf8e7', 'True', 'True', 'false', 'false', '511402110000', 4, '修文镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511402110000', 1, '2021-07-19 12:02:05', NULL, NULL), (29311, '', '铝城社区', 'e24f79b382c84f29835f53540bec4ecb', 'fd2158bfc0d149cb9e806e5b087b59bc', 'False', 'True', 'false', 'false', '511402110002', 5, '铝城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402110002', 1, '2021-07-19 12:02:05', NULL, NULL), (29312, '', '东光社区', 'c87dea8afb804281bdb091b9a30952df', 'fd2158bfc0d149cb9e806e5b087b59bc', 'False', 'True', 'false', 'false', '511402110001', 5, '东光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402110001', 1, '2021-07-19 12:02:05', NULL, NULL), (29313, '', '英雄村', 'f893b09881734c4baa92af34fbe14b26', 'fd2158bfc0d149cb9e806e5b087b59bc', 'False', 'True', 'false', 'false', '511402110236', 5, '英雄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402110236', 1, '2021-07-19 12:02:05', NULL, NULL), (29314, '', '三宝村', 'f5c2a4c5e0074d8bbbe32e93782f9b30', 'fd2158bfc0d149cb9e806e5b087b59bc', 'False', 'True', 'false', 'false', '511402110238', 5, '三宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402110238', 1, '2021-07-19 12:02:05', NULL, NULL), (29315, '', '大轮村', '5b9382b1f27848ab92cf46ec7c92be3d', 'fd2158bfc0d149cb9e806e5b087b59bc', 'False', 'True', 'false', 'false', '511402110239', 5, '大轮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402110239', 1, '2021-07-19 12:02:05', NULL, NULL), (29316, '', '国庆村', '75268b75fc5042a589d8c2b7b166116d', 'fd2158bfc0d149cb9e806e5b087b59bc', 'False', 'True', 'false', 'false', '511402110241', 5, '国庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402110241', 1, '2021-07-19 12:02:05', NULL, NULL), (29317, '', '龙合村', 'c259e9e3e4864708bb16a94725a7a926', 'fd2158bfc0d149cb9e806e5b087b59bc', 'False', 'True', 'false', 'false', '511402110242', 5, '龙合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402110242', 1, '2021-07-19 12:02:05', NULL, NULL), (29318, '', '十字卡村', '1c5706ace65544c398c780310f999067', 'fd2158bfc0d149cb9e806e5b087b59bc', 'False', 'True', 'false', 'false', '511402110243', 5, '十字卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402110243', 1, '2021-07-19 12:02:05', NULL, NULL), (29319, '', '岳营村', '7d863a199a0b4853a511362579f3d4aa', 'fd2158bfc0d149cb9e806e5b087b59bc', 'False', 'True', 'false', 'false', '511402110244', 5, '岳营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402110244', 1, '2021-07-19 12:02:05', NULL, NULL), (29320, '', '罗营村', 'b84f117a629445c093a8fa7ac9645da2', 'fd2158bfc0d149cb9e806e5b087b59bc', 'False', 'True', 'false', 'false', '511402110245', 5, '罗营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402110245', 1, '2021-07-19 12:02:05', NULL, NULL), (29321, '', '松江镇', '2fb804fa29b840ff9980dbc8e62f842b', '7982b0705533428e8d044674712cf8e7', 'True', 'True', 'false', 'false', '511402112000', 4, '松江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511402112000', 1, '2021-07-19 12:02:05', NULL, NULL), (29322, '', '张坎社区', 'db046281301f495b8f039dd6643a2edb', '2fb804fa29b840ff9980dbc8e62f842b', 'False', 'True', 'false', 'false', '511402112005', 5, '张坎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402112005', 1, '2021-07-19 12:02:05', NULL, NULL), (29323, '', '松江社区', 'f6999a51a0ac4439bd104e41f060f02f', '2fb804fa29b840ff9980dbc8e62f842b', 'False', 'True', 'false', 'false', '511402112001', 5, '松江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402112001', 1, '2021-07-19 12:02:05', NULL, NULL), (29324, '', '五里山社区', 'ac9a093ea1de47079f4ee4536ff0da24', '2fb804fa29b840ff9980dbc8e62f842b', 'False', 'True', 'false', 'false', '511402112004', 5, '五里山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402112004', 1, '2021-07-19 12:02:05', NULL, NULL), (29325, '', '鲜滩村', '492b4df9f35e4aacbe4e2ec2b24a9037', '2fb804fa29b840ff9980dbc8e62f842b', 'False', 'True', 'false', 'false', '511402112231', 5, '鲜滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402112231', 1, '2021-07-19 12:02:06', NULL, NULL), (29326, '', '龙堰村', '840bfc0cc3f94231a08cd656fe766cca', '2fb804fa29b840ff9980dbc8e62f842b', 'False', 'True', 'false', 'false', '511402112233', 5, '龙堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402112233', 1, '2021-07-19 12:02:06', NULL, NULL), (29327, '', '光荣村', 'e2ec527aa3fe42e6b814eb66284167e3', '2fb804fa29b840ff9980dbc8e62f842b', 'False', 'True', 'false', 'false', '511402112234', 5, '光荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402112234', 1, '2021-07-19 12:02:06', NULL, NULL), (29328, '', '登云村', '350ee94579184c8aa289d7424b307a5c', '2fb804fa29b840ff9980dbc8e62f842b', 'False', 'True', 'false', 'false', '511402112235', 5, '登云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402112235', 1, '2021-07-19 12:02:06', NULL, NULL), (29329, '', '中坝村', '37432c1bf5c3407393422e783452b160', '2fb804fa29b840ff9980dbc8e62f842b', 'False', 'True', 'false', 'false', '511402112236', 5, '中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402112236', 1, '2021-07-19 12:02:06', NULL, NULL), (29330, '', '茶店村', '69b688bbcc5d4fb586fb18d6376649a1', '2fb804fa29b840ff9980dbc8e62f842b', 'False', 'True', 'false', 'false', '511402112237', 5, '茶店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402112237', 1, '2021-07-19 12:02:06', NULL, NULL), (29331, '', '山坝村', 'a2f26c1d67bb4d9d98cb1fe9230247f7', '2fb804fa29b840ff9980dbc8e62f842b', 'False', 'True', 'false', 'false', '511402112238', 5, '山坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402112238', 1, '2021-07-19 12:02:06', NULL, NULL), (29332, '', '丁塘村', '544bbb94ec104fba94c81e580a5d2fc4', '2fb804fa29b840ff9980dbc8e62f842b', 'False', 'True', 'false', 'false', '511402112239', 5, '丁塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402112239', 1, '2021-07-19 12:02:06', NULL, NULL), (29333, '', '五里村', 'fa71aad1be6b4ac288d83b5b8cc8d2b9', '2fb804fa29b840ff9980dbc8e62f842b', 'False', 'True', 'false', 'false', '511402112240', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402112240', 1, '2021-07-19 12:02:06', NULL, NULL), (29334, '', '王桥村', '7b4d97bb10ae40718c2f619f6ef0f372', '2fb804fa29b840ff9980dbc8e62f842b', 'False', 'True', 'false', 'false', '511402112241', 5, '王桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402112241', 1, '2021-07-19 12:02:06', NULL, NULL), (29335, '', '崇礼镇', '0dee9e97408a429bbc0ba11406053186', '7982b0705533428e8d044674712cf8e7', 'True', 'True', 'false', 'false', '511402113000', 4, '崇礼镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511402113000', 1, '2021-07-19 12:02:06', NULL, NULL), (29336, '', '复盛社区', '94df5b01d9914a05ad7c1f8928f3fffd', '0dee9e97408a429bbc0ba11406053186', 'False', 'True', 'false', 'false', '511402113009', 5, '复盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402113009', 1, '2021-07-19 12:02:06', NULL, NULL), (29337, '', '中桂村', 'da74ddfe17984bc8b065e9265991d86b', '0dee9e97408a429bbc0ba11406053186', 'False', 'True', 'false', 'false', '511402113213', 5, '中桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402113213', 1, '2021-07-19 12:02:06', NULL, NULL), (29338, '', '中塘村', 'f6469e443ace4bfe98ae1ccf62395061', '0dee9e97408a429bbc0ba11406053186', 'False', 'True', 'false', 'false', '511402113214', 5, '中塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402113214', 1, '2021-07-19 12:02:06', NULL, NULL), (29339, '', '家相村', '56edae813cd14d30b1e49165f47f30ca', '0dee9e97408a429bbc0ba11406053186', 'False', 'True', 'false', 'false', '511402113240', 5, '家相村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402113240', 1, '2021-07-19 12:02:06', NULL, NULL), (29340, '', '崇礼社区', 'ba725579bcfb43619d935c9312c97dda', '0dee9e97408a429bbc0ba11406053186', 'False', 'True', 'false', 'false', '511402113001', 5, '崇礼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402113001', 1, '2021-07-19 12:02:06', NULL, NULL), (29341, '', '蟆颐社区', '9191e3fcf3b64fe896107d47d05f4dc4', '0dee9e97408a429bbc0ba11406053186', 'False', 'True', 'false', 'false', '511402113002', 5, '蟆颐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402113002', 1, '2021-07-19 12:02:07', NULL, NULL), (29342, '', '柏杨社区', '0ad59385fbba4c0dac1dfa3607c6899e', '0dee9e97408a429bbc0ba11406053186', 'False', 'True', 'false', 'false', '511402113227', 5, '柏杨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402113227', 1, '2021-07-19 12:02:07', NULL, NULL), (29343, '', '玄翁村', '3c3ee79141a04ff9b1f10aff9b817f35', '0dee9e97408a429bbc0ba11406053186', 'False', 'True', 'false', 'false', '511402113229', 5, '玄翁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402113229', 1, '2021-07-19 12:02:07', NULL, NULL), (29344, '', '韩宾社区', 'bfcfd3e0310c4178988564c7c08ffe01', '0dee9e97408a429bbc0ba11406053186', 'False', 'True', 'false', 'false', '511402113230', 5, '韩宾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402113230', 1, '2021-07-19 12:02:07', NULL, NULL), (29345, '', '洪庙社区', 'e964344caae84adebd0a002e369c0bec', '0dee9e97408a429bbc0ba11406053186', 'False', 'True', 'false', 'false', '511402113231', 5, '洪庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402113231', 1, '2021-07-19 12:02:07', NULL, NULL), (29346, '', '桃园村', '3ac8cddedde7433d89438132478215bb', '0dee9e97408a429bbc0ba11406053186', 'False', 'True', 'false', 'false', '511402113233', 5, '桃园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402113233', 1, '2021-07-19 12:02:07', NULL, NULL), (29347, '', '光华社区', '6f705ac490704d83b40c5598c3ee9ae4', '0dee9e97408a429bbc0ba11406053186', 'False', 'True', 'false', 'false', '511402113235', 5, '光华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402113235', 1, '2021-07-19 12:02:07', NULL, NULL), (29348, '', '大定桥村', '51d85cd0b1d74f9493895c598af394c3', '0dee9e97408a429bbc0ba11406053186', 'False', 'True', 'false', 'false', '511402113236', 5, '大定桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402113236', 1, '2021-07-19 12:02:07', NULL, NULL), (29349, '', '万坝社区', '3110382746424e60af9091a41f342ae5', '0dee9e97408a429bbc0ba11406053186', 'False', 'True', 'false', 'false', '511402113238', 5, '万坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402113238', 1, '2021-07-19 12:02:07', NULL, NULL), (29350, '', '富牛镇', 'e1ff35fb29ff45b092356598da0b0295', '7982b0705533428e8d044674712cf8e7', 'True', 'True', 'false', 'false', '511402114000', 4, '富牛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511402114000', 1, '2021-07-19 12:02:07', NULL, NULL), (29351, '', '河东社区', '9a6e276869b54b769e93c8de795751b7', 'e1ff35fb29ff45b092356598da0b0295', 'False', 'True', 'false', 'false', '511402114006', 5, '河东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402114006', 1, '2021-07-19 12:02:07', NULL, NULL), (29352, '', '土地社区', '5efb6c85665b42d3832eaae453871714', 'e1ff35fb29ff45b092356598da0b0295', 'False', 'True', 'false', 'false', '511402114007', 5, '土地社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402114007', 1, '2021-07-19 12:02:07', NULL, NULL), (29353, '', '长虹社区', '2d2e9b7bb4e14513860323ec69a78e63', 'e1ff35fb29ff45b092356598da0b0295', 'False', 'True', 'false', 'false', '511402114008', 5, '长虹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402114008', 1, '2021-07-19 12:02:07', NULL, NULL), (29354, '', '花桥村', '6d4a745dc5084a69994b76310ee7fed7', 'e1ff35fb29ff45b092356598da0b0295', 'False', 'True', 'false', 'false', '511402114204', 5, '花桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402114204', 1, '2021-07-19 12:02:07', NULL, NULL), (29355, '', '荷花村', '7cc0c08ac9a24aefac4594db09ec6569', 'e1ff35fb29ff45b092356598da0b0295', 'False', 'True', 'false', 'false', '511402114215', 5, '荷花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402114215', 1, '2021-07-19 12:02:07', NULL, NULL), (29356, '', '永光村', 'b13dc6520ce244fbb1901d18116d9017', 'e1ff35fb29ff45b092356598da0b0295', 'False', 'True', 'false', 'false', '511402114216', 5, '永光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402114216', 1, '2021-07-19 12:02:07', NULL, NULL), (29357, '', '富牛社区', '1e43f451e88545ae934f325b4fc154d6', 'e1ff35fb29ff45b092356598da0b0295', 'False', 'True', 'false', 'false', '511402114001', 5, '富牛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402114001', 1, '2021-07-19 12:02:08', NULL, NULL), (29358, '', '牛路口社区', '467cc41ae4464ff8b7abf878c49edddd', 'e1ff35fb29ff45b092356598da0b0295', 'False', 'True', 'false', 'false', '511402114002', 5, '牛路口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402114002', 1, '2021-07-19 12:02:08', NULL, NULL), (29359, '', '松林社区', '724508ce37ad4716870bb16d8ae713f8', 'e1ff35fb29ff45b092356598da0b0295', 'False', 'True', 'false', 'false', '511402114004', 5, '松林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402114004', 1, '2021-07-19 12:02:08', NULL, NULL), (29360, '', '相东社区', 'f2fb09bcb08f4f36b3800b8180ed8674', 'e1ff35fb29ff45b092356598da0b0295', 'False', 'True', 'false', 'false', '511402114005', 5, '相东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402114005', 1, '2021-07-19 12:02:08', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (29361, '', '广佛社区', 'c17301366927470e8941232dd5b04a6f', 'e1ff35fb29ff45b092356598da0b0295', 'False', 'True', 'false', 'false', '511402114229', 5, '广佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402114229', 1, '2021-07-19 12:02:08', NULL, NULL), (29362, '', '宋程村', '97392da733d94da0a50b200bd958f1ff', 'e1ff35fb29ff45b092356598da0b0295', 'False', 'True', 'false', 'false', '511402114230', 5, '宋程村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402114230', 1, '2021-07-19 12:02:08', NULL, NULL), (29363, '', '曾庙村', '14945a14df9c48d2bf803e2e89aa13fb', 'e1ff35fb29ff45b092356598da0b0295', 'False', 'True', 'false', 'false', '511402114232', 5, '曾庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402114232', 1, '2021-07-19 12:02:08', NULL, NULL), (29364, '', '玉龙村', '144e121b2524498d83dc5524d421d86c', 'e1ff35fb29ff45b092356598da0b0295', 'False', 'True', 'false', 'false', '511402114233', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402114233', 1, '2021-07-19 12:02:11', NULL, NULL), (29365, '', '永寿镇', '2b4d9de8c6d844fcac07bf12b9463413', '7982b0705533428e8d044674712cf8e7', 'True', 'True', 'false', 'false', '511402115000', 4, '永寿镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511402115000', 1, '2021-07-19 12:02:11', NULL, NULL), (29366, '', '报恩村', '75e330b0fa3947f7b2288465db31a32e', '2b4d9de8c6d844fcac07bf12b9463413', 'False', 'True', 'false', 'false', '511402115248', 5, '报恩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402115248', 1, '2021-07-19 12:02:11', NULL, NULL), (29367, '', '永寿社区', '7d036ec805c745e39f52511ac2c5cf09', '2b4d9de8c6d844fcac07bf12b9463413', 'False', 'True', 'false', 'false', '511402115001', 5, '永寿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402115001', 1, '2021-07-19 12:02:11', NULL, NULL), (29368, '', '罗平社区', 'fff438713a314dccb71ec749d9a5c4cd', '2b4d9de8c6d844fcac07bf12b9463413', 'False', 'True', 'false', 'false', '511402115002', 5, '罗平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402115002', 1, '2021-07-19 12:02:11', NULL, NULL), (29369, '', '永新村', '8d4fdbb90e614c3fac102a36e874714b', '2b4d9de8c6d844fcac07bf12b9463413', 'False', 'True', 'false', 'false', '511402115233', 5, '永新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402115233', 1, '2021-07-19 12:02:11', NULL, NULL), (29370, '', '永华村', 'bb11d2a6a0b74962a8476a0c954e1697', '2b4d9de8c6d844fcac07bf12b9463413', 'False', 'True', 'false', 'false', '511402115234', 5, '永华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402115234', 1, '2021-07-19 12:02:11', NULL, NULL), (29371, '', '永胜村', '55b71c473ce04344b8e3ae57cc19d760', '2b4d9de8c6d844fcac07bf12b9463413', 'False', 'True', 'false', 'false', '511402115235', 5, '永胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402115235', 1, '2021-07-19 12:02:11', NULL, NULL), (29372, '', '永江村', 'b050e20e70d6451b8dc5115ea874f8b0', '2b4d9de8c6d844fcac07bf12b9463413', 'False', 'True', 'false', 'false', '511402115238', 5, '永江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402115238', 1, '2021-07-19 12:02:11', NULL, NULL), (29373, '', '石佛村', 'bfd8ac2637d44e1c9347e118da10bbf3', '2b4d9de8c6d844fcac07bf12b9463413', 'False', 'True', 'false', 'false', '511402115239', 5, '石佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402115239', 1, '2021-07-19 12:02:11', NULL, NULL), (29374, '', '冷中坝村', '693597e7833a4728bdabbc4b317c9be3', '2b4d9de8c6d844fcac07bf12b9463413', 'False', 'True', 'false', 'false', '511402115241', 5, '冷中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402115241', 1, '2021-07-19 12:02:12', NULL, NULL), (29375, '', '双桥村', 'bfcee51a08f7419493b9bd45e1273fdc', '2b4d9de8c6d844fcac07bf12b9463413', 'False', 'True', 'false', 'false', '511402115245', 5, '双桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402115245', 1, '2021-07-19 12:02:12', NULL, NULL), (29376, '', '河塘村', '3cca26c50fb849d3bbd094c329a9590e', '2b4d9de8c6d844fcac07bf12b9463413', 'False', 'True', 'false', 'false', '511402115246', 5, '河塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402115246', 1, '2021-07-19 12:02:12', NULL, NULL), (29377, '', '三苏镇', 'f05093b56f3242eaaca0306fb1f5d430', '7982b0705533428e8d044674712cf8e7', 'True', 'True', 'false', 'false', '511402116000', 4, '三苏镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511402116000', 1, '2021-07-19 12:02:12', NULL, NULL), (29378, '', '广济社区', 'a0dff571d8314f37bd7cfa03fde39c94', 'f05093b56f3242eaaca0306fb1f5d430', 'False', 'True', 'false', 'false', '511402116002', 5, '广济社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402116002', 1, '2021-07-19 12:02:12', NULL, NULL), (29379, '', '济光村', '3af83eeaa66944018a1c5a17ab275fb6', 'f05093b56f3242eaaca0306fb1f5d430', 'False', 'True', 'false', 'false', '511402116212', 5, '济光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402116212', 1, '2021-07-19 12:02:12', NULL, NULL), (29380, '', '鸭池村', '032216e135ed41af8d35a5776f466191', 'f05093b56f3242eaaca0306fb1f5d430', 'False', 'True', 'false', 'false', '511402116214', 5, '鸭池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402116214', 1, '2021-07-19 12:02:12', NULL, NULL), (29381, '', '五一村', '19d994cb93cd40088d40067c423b4015', 'f05093b56f3242eaaca0306fb1f5d430', 'False', 'True', 'false', 'false', '511402116215', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402116215', 1, '2021-07-19 12:02:12', NULL, NULL), (29382, '', '连鳌村', '1353510e18bb41509d918f6f46c63de1', 'f05093b56f3242eaaca0306fb1f5d430', 'False', 'True', 'false', 'false', '511402116216', 5, '连鳌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402116216', 1, '2021-07-19 12:02:12', NULL, NULL), (29383, '', '丛林村', 'f00466637ae84cb18567ca31ad34b394', 'f05093b56f3242eaaca0306fb1f5d430', 'False', 'True', 'false', 'false', '511402116217', 5, '丛林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402116217', 1, '2021-07-19 12:02:12', NULL, NULL), (29384, '', '伏龙社区', '27fb0f2d06684137a1971f0b62ca477c', 'f05093b56f3242eaaca0306fb1f5d430', 'False', 'True', 'false', 'false', '511402116001', 5, '伏龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402116001', 1, '2021-07-19 12:02:12', NULL, NULL), (29385, '', '东馆村', '663dd5884e744a99b10b1e6ea5407162', 'f05093b56f3242eaaca0306fb1f5d430', 'False', 'True', 'false', 'false', '511402116200', 5, '东馆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402116200', 1, '2021-07-19 12:02:12', NULL, NULL), (29386, '', '明光村', 'cc93dfddbad84c61950251a9858939de', 'f05093b56f3242eaaca0306fb1f5d430', 'False', 'True', 'false', 'false', '511402116201', 5, '明光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402116201', 1, '2021-07-19 12:02:12', NULL, NULL), (29387, '', '胜龙村', '8450d28680dc47f5b902d6bb736edbb6', 'f05093b56f3242eaaca0306fb1f5d430', 'False', 'True', 'false', 'false', '511402116206', 5, '胜龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402116206', 1, '2021-07-19 12:02:12', NULL, NULL), (29388, '', '望苏村', '1b7f06b5b212428bb660831afb37a2a1', 'f05093b56f3242eaaca0306fb1f5d430', 'False', 'True', 'false', 'false', '511402116208', 5, '望苏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402116208', 1, '2021-07-19 12:02:13', NULL, NULL), (29389, '', '陈沟村', '4b035b9e10354820bb0de9b2ce67c496', 'f05093b56f3242eaaca0306fb1f5d430', 'False', 'True', 'false', 'false', '511402116209', 5, '陈沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402116209', 1, '2021-07-19 12:02:13', NULL, NULL), (29390, '', '三苏村', 'd1b1c44afe854fea94ff70fd31f2f36b', 'f05093b56f3242eaaca0306fb1f5d430', 'False', 'True', 'false', 'false', '511402116210', 5, '三苏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402116210', 1, '2021-07-19 12:02:13', NULL, NULL), (29391, '', '新西村', 'd61ca2cac7a741b692ed30fbc3a5d4b7', 'f05093b56f3242eaaca0306fb1f5d430', 'False', 'True', 'false', 'false', '511402116211', 5, '新西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402116211', 1, '2021-07-19 12:02:13', NULL, NULL), (29392, '', '复兴镇', 'ed97fcda81734bddb03d7baf9e987816', '7982b0705533428e8d044674712cf8e7', 'True', 'True', 'false', 'false', '511402212000', 4, '复兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511402212000', 1, '2021-07-19 12:02:13', NULL, NULL), (29393, '', '金花社区', 'f0f7a9fa14664ea1870548adad40ad94', 'ed97fcda81734bddb03d7baf9e987816', 'False', 'True', 'false', 'false', '511402121002', 5, '金花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402121002', 1, '2021-07-19 12:02:13', NULL, NULL), (29394, '', '柳圣社区', 'd3f13ffbd5e24381b517abc040140e24', 'ed97fcda81734bddb03d7baf9e987816', 'False', 'True', 'false', 'false', '511402121003', 5, '柳圣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402121003', 1, '2021-07-19 12:02:13', NULL, NULL), (29395, '', '正义村', 'ebec65a6e66c4500882c5c8cc91629c8', 'ed97fcda81734bddb03d7baf9e987816', 'False', 'True', 'false', 'false', '511402121200', 5, '正义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402121200', 1, '2021-07-19 12:02:13', NULL, NULL), (29396, '', '白塔村', '5e109429ed014925899b8afe9d45b184', 'ed97fcda81734bddb03d7baf9e987816', 'False', 'True', 'false', 'false', '511402121203', 5, '白塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402121203', 1, '2021-07-19 12:02:13', NULL, NULL), (29397, '', '长山埂村', '1aef60be1cb243aebbaad12a8f549aea', 'ed97fcda81734bddb03d7baf9e987816', 'False', 'True', 'false', 'false', '511402121206', 5, '长山埂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402121206', 1, '2021-07-19 12:02:13', NULL, NULL), (29398, '', '楠桥村', '8642eac8e2f44bddb9afb76585786c95', 'ed97fcda81734bddb03d7baf9e987816', 'False', 'True', 'false', 'false', '511402121208', 5, '楠桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402121208', 1, '2021-07-19 12:02:13', NULL, NULL), (29399, '', '五圣村', '0984d41262f14e469e929c3ad9134af3', 'ed97fcda81734bddb03d7baf9e987816', 'False', 'True', 'false', 'false', '511402212207', 5, '五圣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402212207', 1, '2021-07-19 12:02:13', NULL, NULL), (29400, '', '复兴社区', '78d8cc0fa5914a0480849469cfe6de30', 'ed97fcda81734bddb03d7baf9e987816', 'False', 'True', 'false', 'false', '511402212001', 5, '复兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402212001', 1, '2021-07-19 12:02:13', NULL, NULL), (29401, '', '山祠村', '89f5faf0d0c942149ace4d378966117c', 'ed97fcda81734bddb03d7baf9e987816', 'False', 'True', 'false', 'false', '511402212219', 5, '山祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402212219', 1, '2021-07-19 12:02:13', NULL, NULL), (29402, '', '高塔村', 'a0daea807a234b9ea5929aefaaeaf575', 'ed97fcda81734bddb03d7baf9e987816', 'False', 'True', 'false', 'false', '511402212222', 5, '高塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402212222', 1, '2021-07-19 12:02:13', NULL, NULL), (29403, '', '五皇村', '0db61160d81941d396f964dae0530023', 'ed97fcda81734bddb03d7baf9e987816', 'False', 'True', 'false', 'false', '511402212224', 5, '五皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402212224', 1, '2021-07-19 12:02:13', NULL, NULL), (29404, '', '红五星村', '7a5ec45dd0734d039212ab116a12a0c4', 'ed97fcda81734bddb03d7baf9e987816', 'False', 'True', 'false', 'false', '511402212226', 5, '红五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511402212226', 1, '2021-07-19 12:02:13', NULL, NULL), (29405, '', '彭山区', 'c62045f2fedd4c419581c1efe26ff5b4', '05f86d1b23124e6c9629b5962b9c40bc', 'True', 'True', 'false', 'false', '511403000000', 3, '彭山区', 'msspsq.sczwfw.gov.cn', 1, '2021-07-19 12:02:14', NULL, NULL), (29406, '', '江口街道', 'd42aa535d79c4952a8e01a58a13326c0', 'c62045f2fedd4c419581c1efe26ff5b4', 'True', 'True', 'false', 'false', '511403270000', 4, '江口街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511403270000', 1, '2021-07-19 12:02:14', NULL, NULL), (29407, '', '泥湾村', '8673a42329c44a64bebb5e4db3dc3ab3', 'd42aa535d79c4952a8e01a58a13326c0', 'False', 'True', 'false', 'false', '511403116234', 5, '泥湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403116234', 1, '2021-07-19 12:02:14', NULL, NULL), (29408, '', '武阳社区', '907454dd68824aa9a332806f38176288', 'd42aa535d79c4952a8e01a58a13326c0', 'False', 'True', 'false', 'false', '511403116254', 5, '武阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403116254', 1, '2021-07-19 12:02:14', NULL, NULL), (29409, '', '土桥村', '965aad4efae44b949dcef3016ca59638', 'd42aa535d79c4952a8e01a58a13326c0', 'False', 'True', 'false', 'false', '511403116404', 5, '土桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403116404', 1, '2021-07-19 12:02:14', NULL, NULL), (29410, '', '永丰村', 'e8552c260d4c4bff9dd6c02685a6494c', 'd42aa535d79c4952a8e01a58a13326c0', 'False', 'True', 'false', 'false', '511403116446', 5, '永丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403116446', 1, '2021-07-19 12:02:14', NULL, NULL), (29411, '', '江口社区', '2e5ab776133b4a2195c47c7d8a7d451e', 'd42aa535d79c4952a8e01a58a13326c0', 'False', 'True', 'false', 'false', '511403116461', 5, '江口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403116461', 1, '2021-07-19 12:02:14', NULL, NULL), (29412, '', '茶场村', '675b77f5c3124f26b7fffdb659d4d3ef', 'd42aa535d79c4952a8e01a58a13326c0', 'False', 'True', 'false', 'false', '511403116473', 5, '茶场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403116473', 1, '2021-07-19 12:02:14', NULL, NULL), (29413, '', '泉水社区', '92f23d3110d14140896568d082dcc062', 'd42aa535d79c4952a8e01a58a13326c0', 'False', 'True', 'false', 'false', '511403116633', 5, '泉水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403116633', 1, '2021-07-19 12:02:14', NULL, NULL), (29414, '', '大塘村', '5085b761a4874be4845b2acb6f3e7da2', 'd42aa535d79c4952a8e01a58a13326c0', 'False', 'True', 'false', 'false', '511403116643', 5, '大塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403116643', 1, '2021-07-19 12:02:14', NULL, NULL), (29415, '', '石龙村', 'c1ba14e1434147d19d60009506c7d19f', 'd42aa535d79c4952a8e01a58a13326c0', 'False', 'True', 'false', 'false', '511403116734', 5, '石龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403116734', 1, '2021-07-19 12:02:14', NULL, NULL), (29416, '', '双江村', '0c55098794f9412291858e974e7fe9ec', 'd42aa535d79c4952a8e01a58a13326c0', 'False', 'True', 'false', 'false', '511403116980', 5, '双江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403116980', 1, '2021-07-19 12:02:14', NULL, NULL), (29417, '', '凤鸣街道', '78fc68a7b293463f8dfb497b8fe5b61a', 'c62045f2fedd4c419581c1efe26ff5b4', 'True', 'True', 'false', 'false', '511403368000', 4, '凤鸣街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511403368000', 1, '2021-07-19 12:02:15', NULL, NULL), (29418, '', '城南社区', '40db36aeffc045038d65c872fe1e83f8', '78fc68a7b293463f8dfb497b8fe5b61a', 'False', 'True', 'false', 'false', '511403004201', 5, '城南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403004201', 1, '2021-07-19 12:02:15', NULL, NULL), (29419, '', '城东社区', '0338d314234e400da1b6199c2e679cb8', '78fc68a7b293463f8dfb497b8fe5b61a', 'False', 'True', 'false', 'false', '511403001148', 5, '城东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403001148', 1, '2021-07-19 12:02:15', NULL, NULL), (29420, '', '城西社区', '641ded7439dc4b55838ec1307cba745f', '78fc68a7b293463f8dfb497b8fe5b61a', 'False', 'True', 'false', 'false', '511403001439', 5, '城西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403001439', 1, '2021-07-19 12:02:15', NULL, NULL), (29421, '', '红星社区', '3ba132d1560c49b69c0d5e4ac40ed057', '78fc68a7b293463f8dfb497b8fe5b61a', 'False', 'True', 'false', 'false', '511403001494', 5, '红星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403001494', 1, '2021-07-19 12:02:15', NULL, NULL), (29422, '', '金烛村', 'cf1b9fc6f0284ddeb04ad5039937ac69', '78fc68a7b293463f8dfb497b8fe5b61a', 'False', 'True', 'false', 'false', '511403001514', 5, '金烛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403001514', 1, '2021-07-19 12:02:15', NULL, NULL), (29423, '', '平乐社区', 'cb5a92c398f0485ebe6e3aafe9b488ed', '78fc68a7b293463f8dfb497b8fe5b61a', 'False', 'True', 'false', 'false', '511403001667', 5, '平乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403001667', 1, '2021-07-19 12:02:15', NULL, NULL), (29424, '', '江渔村', '7b0479d3402545c0aa112ad59948fd31', '78fc68a7b293463f8dfb497b8fe5b61a', 'False', 'True', 'false', 'false', '511403001768', 5, '江渔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403001768', 1, '2021-07-19 12:02:15', NULL, NULL), (29425, '', '易埝社区', '2f048a39a77648f6999cb66475cd6db1', '78fc68a7b293463f8dfb497b8fe5b61a', 'False', 'True', 'false', 'false', '511403001973', 5, '易埝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403001973', 1, '2021-07-19 12:02:15', NULL, NULL), (29426, '', '城中社区', 'eb8148aff2ef492fac8cb515eb64bebc', '78fc68a7b293463f8dfb497b8fe5b61a', 'False', 'True', 'false', 'false', '511403001984', 5, '城中社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403001984', 1, '2021-07-19 12:02:15', NULL, NULL), (29427, '', '公义镇', '5ffc869efa114353b6d70c822eaed42e', 'c62045f2fedd4c419581c1efe26ff5b4', 'True', 'True', 'false', 'false', '511403387000', 4, '公义镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511403387000', 1, '2021-07-19 12:02:15', NULL, NULL), (29428, '', '农乐村', 'c033953913b242e2a4bce32bea8e1ce9', '5ffc869efa114353b6d70c822eaed42e', 'False', 'True', 'false', 'false', '511403118047', 5, '农乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403118047', 1, '2021-07-19 12:02:15', NULL, NULL), (29429, '', '公义场社区', '4fcce29883ff4af8a8916fd486562073', '5ffc869efa114353b6d70c822eaed42e', 'False', 'True', 'false', 'false', '511403118199', 5, '公义场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403118199', 1, '2021-07-19 12:02:15', NULL, NULL), (29430, '', '五马村', 'feab668c8cde46fb86861abcb76bc7fe', '5ffc869efa114353b6d70c822eaed42e', 'False', 'True', 'false', 'false', '511403118254', 5, '五马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403118254', 1, '2021-07-19 12:02:16', NULL, NULL), (29431, '', '天柱村', '0d37cd651e6b4779abae63ca40c1bfc2', '5ffc869efa114353b6d70c822eaed42e', 'False', 'True', 'false', 'false', '511403118370', 5, '天柱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403118370', 1, '2021-07-19 12:02:16', NULL, NULL), (29432, '', '新桥村', '24c3215eb3ec4cc291993c9e89984364', '5ffc869efa114353b6d70c822eaed42e', 'False', 'True', 'false', 'false', '511403118395', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403118395', 1, '2021-07-19 12:02:16', NULL, NULL), (29433, '', '保胜场社区', '0c0c237530aa482cb92c6cf52d698c22', '5ffc869efa114353b6d70c822eaed42e', 'False', 'True', 'false', 'false', '511403118435', 5, '保胜场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403118435', 1, '2021-07-19 12:02:16', NULL, NULL), (29434, '', '金岗村', 'da219ab2d1664f84b0180722303c32e2', '5ffc869efa114353b6d70c822eaed42e', 'False', 'True', 'false', 'false', '511403118608', 5, '金岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403118608', 1, '2021-07-19 12:02:16', NULL, NULL), (29435, '', '龙安村', 'f9230a5e585d44d2abafaaa9e6714907', '5ffc869efa114353b6d70c822eaed42e', 'False', 'True', 'false', 'false', '511403118670', 5, '龙安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403118670', 1, '2021-07-19 12:02:16', NULL, NULL), (29436, '', '欣荣村', '8fff6c98b50d4b46a5e5e5b244ac95be', '5ffc869efa114353b6d70c822eaed42e', 'False', 'True', 'false', 'false', '511403118689', 5, '欣荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403118689', 1, '2021-07-19 12:02:16', NULL, NULL), (29437, '', '谢家街道', '4451af9f148841889ce1f5b1cee04b10', 'c62045f2fedd4c419581c1efe26ff5b4', 'True', 'True', 'false', 'false', '511403514000', 4, '谢家街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511403514000', 1, '2021-07-19 12:02:16', NULL, NULL), (29438, '', '义和场社区', 'cb5723f2abc3435a96f5d7d1911b3722', '4451af9f148841889ce1f5b1cee04b10', 'False', 'True', 'false', 'false', '511403120365', 5, '义和场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403120365', 1, '2021-07-19 12:02:16', NULL, NULL), (29439, '', '石山村', '40613f5175fe4e3dbac8544ff65f84e9', '4451af9f148841889ce1f5b1cee04b10', 'False', 'True', 'false', 'false', '511403120397', 5, '石山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403120397', 1, '2021-07-19 12:02:16', NULL, NULL), (29440, '', '李山村', 'f0997bf6697148d9ad1f6d54f02c1fbf', '4451af9f148841889ce1f5b1cee04b10', 'False', 'True', 'false', 'false', '511403120402', 5, '李山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403120402', 1, '2021-07-19 12:02:16', NULL, NULL), (29441, '', '谢家场社区', '5ad21d2ee7bd4a139832adf465f870ea', '4451af9f148841889ce1f5b1cee04b10', 'False', 'True', 'false', 'false', '511403120445', 5, '谢家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403120445', 1, '2021-07-19 12:02:16', NULL, NULL), (29442, '', '邓庙村', 'a011694a41174308b063d12128898db6', '4451af9f148841889ce1f5b1cee04b10', 'False', 'True', 'false', 'false', '511403120526', 5, '邓庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403120526', 1, '2021-07-19 12:02:16', NULL, NULL), (29443, '', '岐山村', 'fcfe479345c7479fa08fd0d3603048cd', '4451af9f148841889ce1f5b1cee04b10', 'False', 'True', 'false', 'false', '511403120886', 5, '岐山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403120886', 1, '2021-07-19 12:02:16', NULL, NULL), (29444, '', '悦园村', '4fa79373c6264b0994b6eb3ecb416b49', '4451af9f148841889ce1f5b1cee04b10', 'False', 'True', 'false', 'false', '511403120907', 5, '悦园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403120907', 1, '2021-07-19 12:02:16', NULL, NULL), (29445, '', '汉安村', '86ecb2cbe4574601ba1de6895d9a0d64', '4451af9f148841889ce1f5b1cee04b10', 'False', 'True', 'false', 'false', '511403120917', 5, '汉安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403120917', 1, '2021-07-19 12:02:16', NULL, NULL), (29446, '', '黄丰镇', 'df94968cd4c74899b225f05236b4a220', 'c62045f2fedd4c419581c1efe26ff5b4', 'True', 'True', 'false', 'false', '511403634000', 4, '黄丰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511403634000', 1, '2021-07-19 12:02:17', NULL, NULL), (29447, '', '合力村', 'ffe3568d164940e79e150e9398e3c3b8', 'df94968cd4c74899b225f05236b4a220', 'False', 'True', 'false', 'false', '511403121282', 5, '合力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403121282', 1, '2021-07-19 12:02:17', NULL, NULL), (29448, '', '共和村', 'bf1cf7195a3a4a1a9389bdf2fdd16035', 'df94968cd4c74899b225f05236b4a220', 'False', 'True', 'false', 'false', '511403121330', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403121330', 1, '2021-07-19 12:02:17', NULL, NULL), (29449, '', '丰华社区', 'bcacbec5156144c4941c8a0dd4bc2b91', 'df94968cd4c74899b225f05236b4a220', 'False', 'True', 'false', 'false', '511403121530', 5, '丰华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403121530', 1, '2021-07-19 12:02:17', NULL, NULL), (29450, '', '团结村', '8e90dc28a84b41ca99024f466cdc1670', 'df94968cd4c74899b225f05236b4a220', 'False', 'True', 'false', 'false', '511403121536', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403121536', 1, '2021-07-19 12:02:17', NULL, NULL), (29451, '', '双塘村', 'a0f4f969f21c44aa81735df6beb67638', 'df94968cd4c74899b225f05236b4a220', 'False', 'True', 'false', 'false', '511403121756', 5, '双塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403121756', 1, '2021-07-19 12:02:17', NULL, NULL), (29452, '', '新丰社区', 'ba3b765de7df450a81a345bca678fe83', 'df94968cd4c74899b225f05236b4a220', 'False', 'True', 'false', 'false', '511403121849', 5, '新丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403121849', 1, '2021-07-19 12:02:17', NULL, NULL), (29453, '', '观音街道', 'd757e05679774ec29edac031e5c7a2d7', 'c62045f2fedd4c419581c1efe26ff5b4', 'True', 'True', 'false', 'false', '511403671000', 4, '观音街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511403671000', 1, '2021-07-19 12:02:17', NULL, NULL), (29454, '', '蔡山社区', 'd5bdcdc43f7c4d03a822b94e6eb9a7be', 'd757e05679774ec29edac031e5c7a2d7', 'False', 'True', 'false', 'false', '511403122018', 5, '蔡山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403122018', 1, '2021-07-19 12:02:17', NULL, NULL), (29455, '', '龙门桥社区', '5431139dd7b84d1c8a3b7074b47400e6', 'd757e05679774ec29edac031e5c7a2d7', 'False', 'True', 'false', 'false', '511403122017', 5, '龙门桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403122017', 1, '2021-07-19 12:02:17', NULL, NULL), (29456, '', '五湖社区', 'c1609bb071704d6a96ee589ddd61948c', 'd757e05679774ec29edac031e5c7a2d7', 'False', 'True', 'false', 'false', '511403122206', 5, '五湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403122206', 1, '2021-07-19 12:02:17', NULL, NULL), (29457, '', '椿巅村', 'ceba382520424b6d936b129bfa61d213', 'd757e05679774ec29edac031e5c7a2d7', 'False', 'True', 'false', 'false', '511403122314', 5, '椿巅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403122314', 1, '2021-07-19 12:02:17', NULL, NULL), (29458, '', '兴崇社区', 'e0d728cdf6754d45aab9ddb504ec044c', 'd757e05679774ec29edac031e5c7a2d7', 'False', 'True', 'false', 'false', '511403122345', 5, '兴崇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403122345', 1, '2021-07-19 12:02:17', NULL, NULL), (29459, '', '果园村', 'a94c2265dcff45c9b23eb9a9a2cc30f3', 'd757e05679774ec29edac031e5c7a2d7', 'False', 'True', 'false', 'false', '511403122368', 5, '果园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403122368', 1, '2021-07-19 12:02:17', NULL, NULL), (29460, '', '观音铺社区', '1ec760bf1b8c4159a3e3c68beb7cc750', 'd757e05679774ec29edac031e5c7a2d7', 'False', 'True', 'false', 'false', '511403122556', 5, '观音铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403122556', 1, '2021-07-19 12:02:18', NULL, NULL), (29461, '', '毛店社区', 'dd2526fc63544c688d8fdd8e8c0bc0b3', 'd757e05679774ec29edac031e5c7a2d7', 'False', 'True', 'false', 'false', '511403122746', 5, '毛店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403122746', 1, '2021-07-19 12:02:18', NULL, NULL), (29462, '', '文昌村', '704c8f37cdfa4c27b438e05a28307426', 'd757e05679774ec29edac031e5c7a2d7', 'False', 'True', 'false', 'false', '511403122943', 5, '文昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511403122943', 1, '2021-07-19 12:02:18', NULL, NULL), (29463, '', '仁寿县', '85efcb63ba284c718504b5408d96c697', '05f86d1b23124e6c9629b5962b9c40bc', 'True', 'True', 'false', 'false', '511421000000', 3, '仁寿县', 'mssrsx.sczwfw.gov.cn', 1, '2021-07-19 12:02:18', NULL, NULL), (29464, '', '文林街道', '4841266064e54da5a79f933a46f46fd5', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421001000', 4, '文林街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421001000', 1, '2021-07-19 12:02:18', NULL, NULL), (29465, '', '陵州社区', '5fabac077e464394be228e4a56c7f7dd', '4841266064e54da5a79f933a46f46fd5', 'False', 'True', 'false', 'false', '511421001003', 5, '陵州社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421001003', 1, '2021-07-19 12:02:18', NULL, NULL), (29466, '', '文林社区', '6ecf6c5b956545bd9b38f194dc08252e', '4841266064e54da5a79f933a46f46fd5', 'False', 'True', 'false', 'false', '511421001005', 5, '文林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421001005', 1, '2021-07-19 12:02:18', NULL, NULL), (29467, '', '南坛社区', '05086469365f4a68aa15def8c33737f3', '4841266064e54da5a79f933a46f46fd5', 'False', 'True', 'false', 'false', '511421001006', 5, '南坛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421001006', 1, '2021-07-19 12:02:18', NULL, NULL), (29468, '', '金马社区', 'b84a4b87a0a9489ba96e2ac479825829', '4841266064e54da5a79f933a46f46fd5', 'False', 'True', 'false', 'false', '511421001007', 5, '金马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421001007', 1, '2021-07-19 12:02:18', NULL, NULL), (29469, '', '建设社区', '7a838e84c73c453e944b67abc97414f1', '4841266064e54da5a79f933a46f46fd5', 'False', 'True', 'false', 'false', '511421001008', 5, '建设社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421001008', 1, '2021-07-19 12:02:18', NULL, NULL), (29470, '', '书院社区', 'a25d1ae0f0054018a0cb59ae715cddb6', '4841266064e54da5a79f933a46f46fd5', 'False', 'True', 'false', 'false', '511421001009', 5, '书院社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421001009', 1, '2021-07-19 12:02:18', NULL, NULL), (29471, '', '奎星阁社区', 'bc4cad1cb1a7447b94f3ff99052c8345', '4841266064e54da5a79f933a46f46fd5', 'False', 'True', 'false', 'false', '511421001016', 5, '奎星阁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421001016', 1, '2021-07-19 12:02:18', NULL, NULL), (29472, '', '先农社区', '7d571a0680a845ff9f196fd8d1f40136', '4841266064e54da5a79f933a46f46fd5', 'False', 'True', 'false', 'false', '511421001018', 5, '先农社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421001018', 1, '2021-07-19 12:02:18', NULL, NULL), (29473, '', '陵阳社区', '3fcb86a22eee40138c1b93d914f44b43', '4841266064e54da5a79f933a46f46fd5', 'False', 'True', 'false', 'false', '511421001020', 5, '陵阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421001020', 1, '2021-07-19 12:02:18', NULL, NULL), (29474, '', '火箭社区', 'bba44d0b57c04fba96de16dfe830d560', '4841266064e54da5a79f933a46f46fd5', 'False', 'True', 'false', 'false', '511421001021', 5, '火箭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421001021', 1, '2021-07-19 12:02:18', NULL, NULL), (29475, '', '飞泉社区', 'f567340d885342a2a026d2caea802f51', '4841266064e54da5a79f933a46f46fd5', 'False', 'True', 'false', 'false', '511421001022', 5, '飞泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421001022', 1, '2021-07-19 12:02:18', NULL, NULL), (29476, '', '忠实社区', '00b54b3e38db477e8bbe130e850a0da8', '4841266064e54da5a79f933a46f46fd5', 'False', 'True', 'false', 'false', '511421001033', 5, '忠实社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421001033', 1, '2021-07-19 12:02:18', NULL, NULL), (29477, '', '怀仁街道', '4268a42d01e04e6185137b934418d787', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421003000', 4, '怀仁街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421003000', 1, '2021-07-19 12:02:18', NULL, NULL), (29478, '', '黑虎社区', '4c30856add7a4dd7ad00fd0e2d7f2c69', '4268a42d01e04e6185137b934418d787', 'False', 'True', 'false', 'false', '511421003004', 5, '黑虎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421003004', 1, '2021-07-19 12:02:19', NULL, NULL), (29479, '', '城北社区', 'e535a9fe25ab44efbd0202ebceb32d43', '4268a42d01e04e6185137b934418d787', 'False', 'True', 'false', 'false', '511421003011', 5, '城北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421003011', 1, '2021-07-19 12:02:19', NULL, NULL), (29480, '', '大道社区', '27c2321821dc4e1dad956dd59380ce85', '4268a42d01e04e6185137b934418d787', 'False', 'True', 'false', 'false', '511421003014', 5, '大道社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421003014', 1, '2021-07-19 12:02:19', NULL, NULL), (29481, '', '八里社区', '2d5fe22144834743ae1f7d1bbcee9517', '4268a42d01e04e6185137b934418d787', 'False', 'True', 'false', 'false', '511421003023', 5, '八里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421003023', 1, '2021-07-19 12:02:19', NULL, NULL), (29482, '', '钢铁社区', '7d9a6a96c7ea4b81bb5b5cd14713b17d', '4268a42d01e04e6185137b934418d787', 'False', 'True', 'false', 'false', '511421003030', 5, '钢铁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421003030', 1, '2021-07-19 12:02:19', NULL, NULL), (29483, '', '吊庆社区', '171db64cbe164615b73dbb1b1e0c1a55', '4268a42d01e04e6185137b934418d787', 'False', 'True', 'false', 'false', '511421003031', 5, '吊庆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421003031', 1, '2021-07-19 12:02:19', NULL, NULL), (29484, '', '利林社区', 'e781d2c7842e4b29913a916a5fe9d949', '4268a42d01e04e6185137b934418d787', 'False', 'True', 'false', 'false', '511421003035', 5, '利林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421003035', 1, '2021-07-19 12:02:19', NULL, NULL), (29485, '', '三圣社区', 'f4850ab018834c388bfc7d07f48175ba', '4268a42d01e04e6185137b934418d787', 'False', 'True', 'false', 'false', '511421003037', 5, '三圣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421003037', 1, '2021-07-19 12:02:19', NULL, NULL), (29486, '', '蜂蜜社区', 'baa352ac34b74fb3be00daf98df88536', '4268a42d01e04e6185137b934418d787', 'False', 'True', 'false', 'false', '511421003039', 5, '蜂蜜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421003039', 1, '2021-07-19 12:02:19', NULL, NULL), (29487, '', '普宁街道', '1b850ebd3ba4420ea4bbd555d1752a77', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421002000', 4, '普宁街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421002000', 1, '2021-07-19 12:02:19', NULL, NULL), (29488, '', '江家坝社区', '5f316407b9424d08bc6e5011844c4d8c', '1b850ebd3ba4420ea4bbd555d1752a77', 'False', 'True', 'false', 'false', '511421002002', 5, '江家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421002002', 1, '2021-07-19 12:02:19', NULL, NULL), (29489, '', '镇山社区', '7e91e503309d4b28bf3eadc78552a63d', '1b850ebd3ba4420ea4bbd555d1752a77', 'False', 'True', 'false', 'false', '511421002003', 5, '镇山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421002003', 1, '2021-07-19 12:02:19', NULL, NULL), (29490, '', '城东社区', '7421b653789a4a68bee2271c86ef9120', '1b850ebd3ba4420ea4bbd555d1752a77', 'False', 'True', 'false', 'false', '511421002004', 5, '城东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421002004', 1, '2021-07-19 12:02:19', NULL, NULL), (29491, '', '木门社区', 'ee4833104d44482f9e7092fed823d880', '1b850ebd3ba4420ea4bbd555d1752a77', 'False', 'True', 'false', 'false', '511421002005', 5, '木门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421002005', 1, '2021-07-19 12:02:19', NULL, NULL), (29492, '', '龙水河社区', '49aa855c8d144f4f882ac153feb440e9', '1b850ebd3ba4420ea4bbd555d1752a77', 'False', 'True', 'false', 'false', '511421002012', 5, '龙水河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421002012', 1, '2021-07-19 12:02:19', NULL, NULL), (29493, '', '新民社区', '128dc4f222e54fb6bda5d99e1fdcd6a3', '1b850ebd3ba4420ea4bbd555d1752a77', 'False', 'True', 'false', 'false', '511421002015', 5, '新民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421002015', 1, '2021-07-19 12:02:19', NULL, NULL), (29494, '', '杜家社区', 'ff0cc6fd7bf4464fb50c0ce09594ff87', '1b850ebd3ba4420ea4bbd555d1752a77', 'False', 'True', 'false', 'false', '511421002016', 5, '杜家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421002016', 1, '2021-07-19 12:02:19', NULL, NULL), (29495, '', '坝达社区', 'c03634a0a07b450982b4ac6d241f1878', '1b850ebd3ba4420ea4bbd555d1752a77', 'False', 'True', 'false', 'false', '511421002017', 5, '坝达社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421002017', 1, '2021-07-19 12:02:19', NULL, NULL), (29496, '', '高笋社区', '1f13cddba8c0463cb3363e1526946488', '1b850ebd3ba4420ea4bbd555d1752a77', 'False', 'True', 'false', 'false', '511421002024', 5, '高笋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421002024', 1, '2021-07-19 12:02:20', NULL, NULL), (29497, '', '钟坝社区', '64f9a13fe3564d0cb56d3d6062f21dad', '1b850ebd3ba4420ea4bbd555d1752a77', 'False', 'True', 'false', 'false', '511421002025', 5, '钟坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421002025', 1, '2021-07-19 12:02:20', NULL, NULL), (29498, '', '叶桥社区', 'f09bca919b07418da67ca1da194fb521', '1b850ebd3ba4420ea4bbd555d1752a77', 'False', 'True', 'false', 'false', '511421002027', 5, '叶桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421002027', 1, '2021-07-19 12:02:20', NULL, NULL), (29499, '', '黎光社区', 'a793068bc53d4a96a62758b37698cf76', '1b850ebd3ba4420ea4bbd555d1752a77', 'False', 'True', 'false', 'false', '511421002034', 5, '黎光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421002034', 1, '2021-07-19 12:02:20', NULL, NULL), (29500, '', '粮丰社区', '58e2525e0a264efca2b530829a982769', '1b850ebd3ba4420ea4bbd555d1752a77', 'False', 'True', 'false', 'false', '511421002035', 5, '粮丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421002035', 1, '2021-07-19 12:02:20', NULL, NULL), (29501, '', '汪洋镇', '321573614fd74c0198a737bd4755139b', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421845000', 4, '汪洋镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421845000', 1, '2021-07-19 12:02:20', NULL, NULL), (29502, '', '广石社区', 'cc7d67f7a4c24c099eef0becaf7148c2', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131008', 5, '广石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131008', 1, '2021-07-19 12:02:20', NULL, NULL), (29503, '', '永宁社区', '04744a2990414bf6ade9bf8a17bf65dc', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131013', 5, '永宁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131013', 1, '2021-07-19 12:02:20', NULL, NULL), (29504, '', '涂家社区', '3b2d9e01606a43b4b63daa738d009d06', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131014', 5, '涂家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131014', 1, '2021-07-19 12:02:20', NULL, NULL), (29505, '', '四公社区', '2b04a04c4e5b41e3baba65a765fc311c', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131015', 5, '四公社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131015', 1, '2021-07-19 12:02:20', NULL, NULL), (29506, '', '群策村', 'f5b4ff401a274786ab234972b7cb22af', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131237', 5, '群策村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131237', 1, '2021-07-19 12:02:20', NULL, NULL), (29507, '', '联系村', 'fec4bb7801db43008b85045ede5a628d', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131239', 5, '联系村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131239', 1, '2021-07-19 12:02:20', NULL, NULL), (29508, '', '永胜村', '54680bddd0494677b7e6e62e9469cc38', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131241', 5, '永胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131241', 1, '2021-07-19 12:02:20', NULL, NULL), (29509, '', '大雅村', '1a9170f5d8634204b5052e9b28e348cf', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131243', 5, '大雅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131243', 1, '2021-07-19 12:02:20', NULL, NULL), (29510, '', '田中村', 'e3751fb0900f406b96af6009a6475c49', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131245', 5, '田中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131245', 1, '2021-07-19 12:02:20', NULL, NULL), (29511, '', '田湾村', 'b4b7f1e3ef084b58a5783825bca0ec65', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131248', 5, '田湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131248', 1, '2021-07-19 12:02:20', NULL, NULL), (29512, '', '碧云村', '577275baa09c444680d026e95acf2abc', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131250', 5, '碧云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131250', 1, '2021-07-19 12:02:20', NULL, NULL), (29513, '', '劳模村', '9eb4c8f17086420bae7d5ae202881911', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131251', 5, '劳模村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131251', 1, '2021-07-19 12:02:20', NULL, NULL), (29514, '', '新和村', '49ccd62a6e694fdb97715f89713c7a2e', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131252', 5, '新和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131252', 1, '2021-07-19 12:02:21', NULL, NULL), (29515, '', '秦湾村', 'fb5a9fa63130418bacf95a8d8f6c9f1b', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131254', 5, '秦湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131254', 1, '2021-07-19 12:02:21', NULL, NULL), (29516, '', '尖山村', '4b65bbc8735f4b8bb2a9f03b86c07ec1', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131255', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131255', 1, '2021-07-19 12:02:21', NULL, NULL), (29517, '', '洪湖社区', '0f3e2db35b194e1c805c1997c5f4f53e', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131001', 5, '洪湖社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131001', 1, '2021-07-19 12:02:21', NULL, NULL), (29518, '', '人民社区', '7fce583e9395465f9009fdc1e01525f2', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131002', 5, '人民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131002', 1, '2021-07-19 12:02:21', NULL, NULL), (29519, '', '富民社区', '066db482b3a94e19b3c81ac47342e9af', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131003', 5, '富民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131003', 1, '2021-07-19 12:02:21', NULL, NULL), (29520, '', '大勇社区', 'd5ebd2c6ffe34c67b0a165ef5e542f6f', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131005', 5, '大勇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131005', 1, '2021-07-19 12:02:21', NULL, NULL), (29521, '', '翻身社区', 'd4f2262a7d0541e4998e7d161cf83224', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131006', 5, '翻身社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131006', 1, '2021-07-19 12:02:21', NULL, NULL), (29522, '', '新华社区', 'e20e1d742db740e6904812df1ad90ac3', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131007', 5, '新华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131007', 1, '2021-07-19 12:02:21', NULL, NULL), (29523, '', '金泉村', '4cf4f75d7024458fa933ff0edf02f312', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131201', 5, '金泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131201', 1, '2021-07-19 12:02:21', NULL, NULL), (29524, '', '红阳村', '913886b385c74c6dbe5a1e869fe79916', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131210', 5, '红阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131210', 1, '2021-07-19 12:02:21', NULL, NULL), (29525, '', '大洪村', '8ab75f025ddc4bfdb7ea54dcb039b6ab', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131221', 5, '大洪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131221', 1, '2021-07-19 12:02:21', NULL, NULL), (29526, '', '高山村', 'dc85bf86893941e18c3376a607327a54', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131226', 5, '高山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131226', 1, '2021-07-19 12:02:21', NULL, NULL), (29527, '', '五爱村', '6b647129a24b4bbb8e5cc513c10c2322', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131229', 5, '五爱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131229', 1, '2021-07-19 12:02:21', NULL, NULL), (29528, '', '民益村', '36a3c28d940e4495b198b3c52a5719f7', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131232', 5, '民益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131232', 1, '2021-07-19 12:02:21', NULL, NULL), (29529, '', '上游村', '64ddcb6269b14cceb15ae6a57256977a', '321573614fd74c0198a737bd4755139b', 'False', 'True', 'false', 'false', '511421131236', 5, '上游村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421131236', 1, '2021-07-19 12:02:21', NULL, NULL), (29530, '', '文宫镇', '3834aeb2bb904cc5ad3c66eca2c3cffc', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421526000', 4, '文宫镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421526000', 1, '2021-07-19 12:02:21', NULL, NULL), (29531, '', '元通社区', '844557610fe3402db4aab9a87b7eb69e', '3834aeb2bb904cc5ad3c66eca2c3cffc', 'False', 'True', 'false', 'false', '511421102004', 5, '元通社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421102004', 1, '2021-07-19 12:02:21', NULL, NULL), (29532, '', '古佛社区', '586f3443e24d4afa9a13267ee2ba1f58', '3834aeb2bb904cc5ad3c66eca2c3cffc', 'False', 'True', 'false', 'false', '511421102005', 5, '古佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421102005', 1, '2021-07-19 12:02:22', NULL, NULL), (29533, '', '永革', '993deaf4738c4249925a28006f5dd76d', '3834aeb2bb904cc5ad3c66eca2c3cffc', 'False', 'True', 'false', 'false', '511421102203', 5, '永革', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421102203', 1, '2021-07-19 12:02:22', NULL, NULL), (29534, '', '韩家', '664ce7836c08434080a487fbf6aa1c1a', '3834aeb2bb904cc5ad3c66eca2c3cffc', 'False', 'True', 'false', 'false', '511421102222', 5, '韩家', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421102222', 1, '2021-07-19 12:02:22', NULL, NULL), (29535, '', '池家', '00a20ccfbade4bb6aa8169caada72f7c', '3834aeb2bb904cc5ad3c66eca2c3cffc', 'False', 'True', 'false', 'false', '511421102226', 5, '池家', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421102226', 1, '2021-07-19 12:02:22', NULL, NULL), (29536, '', '响簧', 'a89f1e4fcaca43e9b179b2a94c9fd287', '3834aeb2bb904cc5ad3c66eca2c3cffc', 'False', 'True', 'false', 'false', '511421102227', 5, '响簧', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421102227', 1, '2021-07-19 12:02:22', NULL, NULL), (29537, '', '勇跃', '0bd4d34c06c348f0ad8bf4450671df8d', '3834aeb2bb904cc5ad3c66eca2c3cffc', 'False', 'True', 'false', 'false', '511421102229', 5, '勇跃', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421102229', 1, '2021-07-19 12:02:22', NULL, NULL), (29538, '', '油村', '4391fa36dac94afba7ccc2ec2ed4e037', '3834aeb2bb904cc5ad3c66eca2c3cffc', 'False', 'True', 'false', 'false', '511421102232', 5, '油村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421102232', 1, '2021-07-19 12:02:22', NULL, NULL), (29539, '', '李家沟', '86816cccb12346e4b180fd0a05b1f31d', '3834aeb2bb904cc5ad3c66eca2c3cffc', 'False', 'True', 'false', 'false', '511421102233', 5, '李家沟', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421102233', 1, '2021-07-19 12:02:22', NULL, NULL), (29540, '', '长虹村', '07104909f23245dea9680e75e1c4fb67', '3834aeb2bb904cc5ad3c66eca2c3cffc', 'False', 'True', 'false', 'false', '511421102200', 5, '长虹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421102200', 1, '2021-07-19 12:02:22', NULL, NULL), (29541, '', '文华社区', 'ca9b1cdc96354a1c81a83dd39cdde6f0', '3834aeb2bb904cc5ad3c66eca2c3cffc', 'False', 'True', 'false', 'false', '511421102201', 5, '文华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421102201', 1, '2021-07-19 12:02:22', NULL, NULL), (29542, '', '岔河村', 'd8ada3bd8da24bc39431d138b8bf2dcc', '3834aeb2bb904cc5ad3c66eca2c3cffc', 'False', 'True', 'false', 'false', '511421102209', 5, '岔河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421102209', 1, '2021-07-19 12:02:22', NULL, NULL), (29543, '', '桂湾村', 'b60886747ca741b4a80bac08ffb36508', '3834aeb2bb904cc5ad3c66eca2c3cffc', 'False', 'True', 'false', 'false', '511421102213', 5, '桂湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421102213', 1, '2021-07-19 12:02:22', NULL, NULL), (29544, '', '五建村', 'b3aad45bcf084d45857c198bc5f4ebc6', '3834aeb2bb904cc5ad3c66eca2c3cffc', 'False', 'True', 'false', 'false', '511421102215', 5, '五建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421102215', 1, '2021-07-19 12:02:22', NULL, NULL), (29545, '', '太清村', 'bdbd5b4449694a17856ddbad038eecc1', '3834aeb2bb904cc5ad3c66eca2c3cffc', 'False', 'True', 'false', 'false', '511421102218', 5, '太清村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421102218', 1, '2021-07-19 12:02:22', NULL, NULL), (29546, '', '石家社区', '6c7e14222a9c4663af05eb7e9435395e', '3834aeb2bb904cc5ad3c66eca2c3cffc', 'False', 'True', 'false', 'false', '511421102628', 5, '石家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421102628', 1, '2021-07-19 12:02:22', NULL, NULL), (29547, '', '富加镇', '1f7f39c9414a4c8f9d767f3a3dd41403', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421508000', 4, '富加镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421508000', 1, '2021-07-19 12:02:22', NULL, NULL), (29548, '', '玉龙社区', '89789359725342c199bc1f2c4fb42b61', '1f7f39c9414a4c8f9d767f3a3dd41403', 'False', 'True', 'false', 'false', '511421135007', 5, '玉龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421135007', 1, '2021-07-19 12:02:23', NULL, NULL), (29549, '', '雷鸣村', '84193827fcac47779a2190e14f4bd13d', '1f7f39c9414a4c8f9d767f3a3dd41403', 'False', 'True', 'false', 'false', '511421135204', 5, '雷鸣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421135204', 1, '2021-07-19 12:02:23', NULL, NULL), (29550, '', '大山村', 'ca4f759124ec4626a19fb8b0d3505f79', '1f7f39c9414a4c8f9d767f3a3dd41403', 'False', 'True', 'false', 'false', '511421135208', 5, '大山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421135208', 1, '2021-07-19 12:02:23', NULL, NULL), (29551, '', '欢家村', 'aefade8f7dd448f69877b9d9f72b7cef', '1f7f39c9414a4c8f9d767f3a3dd41403', 'False', 'True', 'false', 'false', '511421135218', 5, '欢家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421135218', 1, '2021-07-19 12:02:23', NULL, NULL), (29552, '', '天贵社区', '4f70f3c890f1467fa59ce2b6d77e375b', '1f7f39c9414a4c8f9d767f3a3dd41403', 'False', 'True', 'false', 'false', '511421135001', 5, '天贵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421135001', 1, '2021-07-19 12:02:23', NULL, NULL), (29553, '', '江西社区', '37dddf21a6f24a448f1af8750a481637', '1f7f39c9414a4c8f9d767f3a3dd41403', 'False', 'True', 'false', 'false', '511421135002', 5, '江西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421135002', 1, '2021-07-19 12:02:23', NULL, NULL), (29554, '', '合作社区', '9739c04f376b43c3b1e862f7973d8033', '1f7f39c9414a4c8f9d767f3a3dd41403', 'False', 'True', 'false', 'false', '511421135003', 5, '合作社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421135003', 1, '2021-07-19 12:02:23', NULL, NULL), (29555, '', '马鞍社区', 'ced88650c37c4a19a2e48a156ca83548', '1f7f39c9414a4c8f9d767f3a3dd41403', 'False', 'True', 'false', 'false', '511421135004', 5, '马鞍社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421135004', 1, '2021-07-19 12:02:23', NULL, NULL), (29556, '', '坳店社区', '4528141941664b22a3a822886132d114', '1f7f39c9414a4c8f9d767f3a3dd41403', 'False', 'True', 'false', 'false', '511421135005', 5, '坳店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421135005', 1, '2021-07-19 12:02:23', NULL, NULL), (29557, '', '康乐社区', '8c3f87f5f9b44ba2830d5d439b2508b6', '1f7f39c9414a4c8f9d767f3a3dd41403', 'False', 'True', 'false', 'false', '511421135006', 5, '康乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421135006', 1, '2021-07-19 12:02:23', NULL, NULL), (29558, '', '东风村', '05d44161fbfa45da904b86656c88159f', '1f7f39c9414a4c8f9d767f3a3dd41403', 'False', 'True', 'false', 'false', '511421135202', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421135202', 1, '2021-07-19 12:02:23', NULL, NULL), (29559, '', '奋斗村', '3f6fdc4cab4a41d1a5571724a6b432d3', '1f7f39c9414a4c8f9d767f3a3dd41403', 'False', 'True', 'false', 'false', '511421135212', 5, '奋斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421135212', 1, '2021-07-19 12:02:23', NULL, NULL), (29560, '', '柳沟村', '99c3329f747e4ddb99157da7da9b19c5', '1f7f39c9414a4c8f9d767f3a3dd41403', 'False', 'True', 'false', 'false', '511421135214', 5, '柳沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421135214', 1, '2021-07-19 12:02:23', NULL, NULL), (29561, '', '音堂村', 'ce920f6aaf024195b728dd305e3e10f7', '1f7f39c9414a4c8f9d767f3a3dd41403', 'False', 'True', 'false', 'false', '511421135220', 5, '音堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421135220', 1, '2021-07-19 12:02:23', NULL, NULL), (29562, '', '金钟村', 'a65e9231cf4f44b6b65817c2cc5fa3fd', '1f7f39c9414a4c8f9d767f3a3dd41403', 'False', 'True', 'false', 'false', '511421135224', 5, '金钟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421135224', 1, '2021-07-19 12:02:23', NULL, NULL), (29563, '', '桂树村', '24ebc8d0d96c41eb8061611c93283780', '1f7f39c9414a4c8f9d767f3a3dd41403', 'False', 'True', 'false', 'false', '511421135230', 5, '桂树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421135230', 1, '2021-07-19 12:02:23', NULL, NULL), (29564, '', '鱼茂村', '58c7c9faeea54d9a854af09da021cf14', '1f7f39c9414a4c8f9d767f3a3dd41403', 'False', 'True', 'false', 'false', '511421135235', 5, '鱼茂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421135235', 1, '2021-07-19 12:02:23', NULL, NULL), (29565, '', '河堰村', 'd5991097e0e940029752351c7a86118d', '1f7f39c9414a4c8f9d767f3a3dd41403', 'False', 'True', 'false', 'false', '511421135239', 5, '河堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421135239', 1, '2021-07-19 12:02:24', NULL, NULL), (29566, '', '禾加镇', 'c31ade3b1da542e4a8717230b93701da', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421378000', 4, '禾加镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421378000', 1, '2021-07-19 12:02:24', NULL, NULL), (29567, '', '中胜社区', '44f4fbf7a7424a9385b6d786f89f08e8', 'c31ade3b1da542e4a8717230b93701da', 'False', 'True', 'false', 'false', '511421112003', 5, '中胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421112003', 1, '2021-07-19 12:02:24', NULL, NULL), (29568, '', '红茶村', 'aa33cfc3861b47e28ad31716c76326bf', 'c31ade3b1da542e4a8717230b93701da', 'False', 'True', 'false', 'false', '511421112209', 5, '红茶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421112209', 1, '2021-07-19 12:02:24', NULL, NULL), (29569, '', '陶然村', 'a0986bb6f5f341e69419aefed1e05d3d', 'c31ade3b1da542e4a8717230b93701da', 'False', 'True', 'false', 'false', '511421112217', 5, '陶然村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421112217', 1, '2021-07-19 12:02:24', NULL, NULL), (29570, '', '七里村', '33e1b47ac14d421c90d1b371c8eb9921', 'c31ade3b1da542e4a8717230b93701da', 'False', 'True', 'false', 'false', '511421112219', 5, '七里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421112219', 1, '2021-07-19 12:02:24', NULL, NULL), (29571, '', '一心村', 'b84ef3efd5e849efbd936ee423d32e80', 'c31ade3b1da542e4a8717230b93701da', 'False', 'True', 'false', 'false', '511421112221', 5, '一心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421112221', 1, '2021-07-19 12:02:24', NULL, NULL), (29572, '', '官印村', '09c81f5649d94314be2787c2865e602c', 'c31ade3b1da542e4a8717230b93701da', 'False', 'True', 'false', 'false', '511421112223', 5, '官印村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421112223', 1, '2021-07-19 12:02:24', NULL, NULL), (29573, '', '殷坝村', 'ac160192ce454f0095fbb3693dcd225a', 'c31ade3b1da542e4a8717230b93701da', 'False', 'True', 'false', 'false', '511421112224', 5, '殷坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421112224', 1, '2021-07-19 12:02:24', NULL, NULL), (29574, '', '鱼箭村', '6efa89f14b51440c96c9d18f141fb81d', 'c31ade3b1da542e4a8717230b93701da', 'False', 'True', 'false', 'false', '511421112226', 5, '鱼箭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421112226', 1, '2021-07-19 12:02:24', NULL, NULL), (29575, '', '共和社区', '8bda3c6425044c5ea58e980dcf1477fa', 'c31ade3b1da542e4a8717230b93701da', 'False', 'True', 'false', 'false', '511421112001', 5, '共和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421112001', 1, '2021-07-19 12:02:24', NULL, NULL), (29576, '', '黄坡社区', '8de8103837c64cb8ad124845c8df27cb', 'c31ade3b1da542e4a8717230b93701da', 'False', 'True', 'false', 'false', '511421112200', 5, '黄坡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421112200', 1, '2021-07-19 12:02:24', NULL, NULL), (29577, '', '共同村', '5acbbec7baca4c7e9c85abe8f8a37669', 'c31ade3b1da542e4a8717230b93701da', 'False', 'True', 'false', 'false', '511421112202', 5, '共同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421112202', 1, '2021-07-19 12:02:24', NULL, NULL), (29578, '', '长发村', 'fb4fe216babf49018dd108ef73c04330', 'c31ade3b1da542e4a8717230b93701da', 'False', 'True', 'false', 'false', '511421112204', 5, '长发村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421112204', 1, '2021-07-19 12:02:24', NULL, NULL), (29579, '', '文昌村', '03c92dfa26db452db450fc021ad73088', 'c31ade3b1da542e4a8717230b93701da', 'False', 'True', 'false', 'false', '511421112205', 5, '文昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421112205', 1, '2021-07-19 12:02:24', NULL, NULL), (29580, '', '幸福村', '7422e25518cd43979289e66ded8bc833', 'c31ade3b1da542e4a8717230b93701da', 'False', 'True', 'false', 'false', '511421112208', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421112208', 1, '2021-07-19 12:02:24', NULL, NULL), (29581, '', '化石村', 'c4ad171857124121869bff81360176d8', 'c31ade3b1da542e4a8717230b93701da', 'False', 'True', 'false', 'false', '511421112212', 5, '化石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421112212', 1, '2021-07-19 12:02:24', NULL, NULL), (29582, '', '禄加镇', '85345a54540647cfa31b405afb3d0ca2', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421578000', 4, '禄加镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421578000', 1, '2021-07-19 12:02:24', NULL, NULL), (29583, '', '光辉社区', '12c752a3f5874d849bd6800105d2c3b2', '85345a54540647cfa31b405afb3d0ca2', 'False', 'True', 'false', 'false', '511421127002', 5, '光辉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421127002', 1, '2021-07-19 12:02:24', NULL, NULL), (29584, '', '光华社区', 'b4c43b0e62aa497d98fd82426c972cd0', '85345a54540647cfa31b405afb3d0ca2', 'False', 'True', 'false', 'false', '511421127003', 5, '光华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421127003', 1, '2021-07-19 12:02:25', NULL, NULL), (29585, '', '红星社区', 'd60d1b36974842aaa44e5c827dc7dfb2', '85345a54540647cfa31b405afb3d0ca2', 'False', 'True', 'false', 'false', '511421127004', 5, '红星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421127004', 1, '2021-07-19 12:02:25', NULL, NULL), (29586, '', '坳塘村', 'afd9288390034b27bc54f2c607ab5b41', '85345a54540647cfa31b405afb3d0ca2', 'False', 'True', 'false', 'false', '511421127206', 5, '坳塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421127206', 1, '2021-07-19 12:02:25', NULL, NULL), (29587, '', '茶林村', '63d4c92c975241ad8c5e54d92d84cda5', '85345a54540647cfa31b405afb3d0ca2', 'False', 'True', 'false', 'false', '511421127216', 5, '茶林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421127216', 1, '2021-07-19 12:02:25', NULL, NULL), (29588, '', '双茶村', '3aa0a264f0284e808685b678822c0791', '85345a54540647cfa31b405afb3d0ca2', 'False', 'True', 'false', 'false', '511421127230', 5, '双茶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421127230', 1, '2021-07-19 12:02:25', NULL, NULL), (29589, '', '金牛村', '1a2f0a0361994258bbd1628c14ad9a2a', '85345a54540647cfa31b405afb3d0ca2', 'False', 'True', 'false', 'false', '511421127231', 5, '金牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421127231', 1, '2021-07-19 12:02:25', NULL, NULL), (29590, '', '中合村', '2bf2dd0075df4ef69fd88bb214bb7538', '85345a54540647cfa31b405afb3d0ca2', 'False', 'True', 'false', 'false', '511421127233', 5, '中合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421127233', 1, '2021-07-19 12:02:25', NULL, NULL), (29591, '', '南阳村', '3918e82791c74cb9a7e024358bf9a00f', '85345a54540647cfa31b405afb3d0ca2', 'False', 'True', 'false', 'false', '511421127234', 5, '南阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421127234', 1, '2021-07-19 12:02:25', NULL, NULL), (29592, '', '天明村', '53b358ed29ec426a9fac901921e6c498', '85345a54540647cfa31b405afb3d0ca2', 'False', 'True', 'false', 'false', '511421127235', 5, '天明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421127235', 1, '2021-07-19 12:02:25', NULL, NULL), (29593, '', '红卫社区', '697dece63bb44fd180b243cf380581ec', '85345a54540647cfa31b405afb3d0ca2', 'False', 'True', 'false', 'false', '511421127001', 5, '红卫社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421127001', 1, '2021-07-19 12:02:25', NULL, NULL), (29594, '', '永福村', '7101927100794c0e87671905b1e3c40e', '85345a54540647cfa31b405afb3d0ca2', 'False', 'True', 'false', 'false', '511421127200', 5, '永福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421127200', 1, '2021-07-19 12:02:25', NULL, NULL), (29595, '', '法轮村', 'b59fcb90aad24df9a06fdb98b918be77', '85345a54540647cfa31b405afb3d0ca2', 'False', 'True', 'false', 'false', '511421127207', 5, '法轮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421127207', 1, '2021-07-19 12:02:25', NULL, NULL), (29596, '', '桃红村', 'a93e1aad84fe4ba887a2c9a9909db815', '85345a54540647cfa31b405afb3d0ca2', 'False', 'True', 'false', 'false', '511421127211', 5, '桃红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421127211', 1, '2021-07-19 12:02:25', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (29597, '', '大兴村', 'b4a3b92039024eaf822f52b37843f916', '85345a54540647cfa31b405afb3d0ca2', 'False', 'True', 'false', 'false', '511421127217', 5, '大兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421127217', 1, '2021-07-19 12:02:25', NULL, NULL), (29598, '', '黑龙滩镇', '3247b964f6a54d52a8ff1405fc6336cf', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421000816', 4, '黑龙滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421000816', 1, '2021-07-19 12:02:25', NULL, NULL), (29599, '', '光相社区', '67ece919a84f48e485def4c291d17b42', '3247b964f6a54d52a8ff1405fc6336cf', 'False', 'True', 'false', 'false', '511421137007', 5, '光相社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421137007', 1, '2021-07-19 12:02:25', NULL, NULL), (29600, '', '开元社区', 'aff01756a0be497c9b6936e3561cebc5', '3247b964f6a54d52a8ff1405fc6336cf', 'False', 'True', 'false', 'false', '511421137008', 5, '开元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421137008', 1, '2021-07-19 12:02:25', NULL, NULL), (29601, '', '望峨村', '23488fd093164a38950889a5b72d7943', '3247b964f6a54d52a8ff1405fc6336cf', 'False', 'True', 'false', 'false', '511421000811', 5, '望峨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421000811', 1, '2021-07-19 12:02:25', NULL, NULL), (29602, '', '天桥社区', '3d4376bbfb1f498faa8c68f3fc0aade5', '3247b964f6a54d52a8ff1405fc6336cf', 'False', 'True', 'false', 'false', '511421137005', 5, '天桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421137005', 1, '2021-07-19 12:02:25', NULL, NULL), (29603, '', '光明村', '5f5b729640014edb84fc3dcc666e6e78', '3247b964f6a54d52a8ff1405fc6336cf', 'False', 'True', 'false', 'false', '511421137217', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421137217', 1, '2021-07-19 12:02:26', NULL, NULL), (29604, '', '大井社区', 'd09cce407c44400d9073143bc8cfcd57', '3247b964f6a54d52a8ff1405fc6336cf', 'False', 'True', 'false', 'false', '511421630197', 5, '大井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421630197', 1, '2021-07-19 12:02:26', NULL, NULL), (29605, '', '渡槽村', 'a713c38617b042208d1f04163e921823', '3247b964f6a54d52a8ff1405fc6336cf', 'False', 'True', 'false', 'false', '511421630206', 5, '渡槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421630206', 1, '2021-07-19 12:02:26', NULL, NULL), (29606, '', '白瞿社区', 'd3c191db509348619850788ff6adcfac', '3247b964f6a54d52a8ff1405fc6336cf', 'False', 'True', 'false', 'false', '511421630248', 5, '白瞿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421630248', 1, '2021-07-19 12:02:26', NULL, NULL), (29607, '', '石田村', 'ca72310ac3ea4d83878922ab8891e288', '3247b964f6a54d52a8ff1405fc6336cf', 'False', 'True', 'false', 'false', '511421630302', 5, '石田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421630302', 1, '2021-07-19 12:02:26', NULL, NULL), (29608, '', '四海社区', '3c7554e3e1964c1787d05ff8db52a671', '3247b964f6a54d52a8ff1405fc6336cf', 'False', 'True', 'false', 'false', '511421630493', 5, '四海社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421630493', 1, '2021-07-19 12:02:26', NULL, NULL), (29609, '', '大坝社区', 'e1937ab62a044d5a8095d5515583f1f0', '3247b964f6a54d52a8ff1405fc6336cf', 'False', 'True', 'false', 'false', '511421630636', 5, '大坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421630636', 1, '2021-07-19 12:02:26', NULL, NULL), (29610, '', '藕塘镇', '24aae11a0da84267bc532c6d6cef0b29', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421219000', 4, '藕塘镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421219000', 1, '2021-07-19 12:02:26', NULL, NULL), (29611, '', '代寺社区', '1da11c9d95db4434a3389bd911601432', '24aae11a0da84267bc532c6d6cef0b29', 'False', 'True', 'false', 'false', '511421162002', 5, '代寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421162002', 1, '2021-07-19 12:02:26', NULL, NULL), (29612, '', '明珠村', '180b3b6031fa492899f586abce423c66', '24aae11a0da84267bc532c6d6cef0b29', 'False', 'True', 'false', 'false', '511421162208', 5, '明珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421162208', 1, '2021-07-19 12:02:26', NULL, NULL), (29613, '', '前卫村', '53f914494d4143e0afe4aa3c4e70c958', '24aae11a0da84267bc532c6d6cef0b29', 'False', 'True', 'false', 'false', '511421162209', 5, '前卫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421162209', 1, '2021-07-19 12:02:26', NULL, NULL), (29614, '', '齐心村', '3886def1a2c743c69ff08bf51238241b', '24aae11a0da84267bc532c6d6cef0b29', 'False', 'True', 'false', 'false', '511421162213', 5, '齐心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421162213', 1, '2021-07-19 12:02:26', NULL, NULL), (29615, '', '白坝村', 'b6a39e25935d49e4a16e2167943390b6', '24aae11a0da84267bc532c6d6cef0b29', 'False', 'True', 'false', 'false', '511421162217', 5, '白坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421162217', 1, '2021-07-19 12:02:26', NULL, NULL), (29616, '', '新庙村', '391791e4dd43454388356fa0efbf277f', '24aae11a0da84267bc532c6d6cef0b29', 'False', 'True', 'false', 'false', '511421162219', 5, '新庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421162219', 1, '2021-07-19 12:02:26', NULL, NULL), (29617, '', '农旺社区', 'a4b80ad4c2ec465a921d4f5f4988bc06', '24aae11a0da84267bc532c6d6cef0b29', 'False', 'True', 'false', 'false', '511421021921', 5, '农旺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421021921', 1, '2021-07-19 12:02:26', NULL, NULL), (29618, '', '云华村', '8bcc77b594d442c2b02bed7c0a653caf', '24aae11a0da84267bc532c6d6cef0b29', 'False', 'True', 'false', 'false', '511421219201', 5, '云华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421219201', 1, '2021-07-19 12:02:26', NULL, NULL), (29619, '', '八井村', '436cf759a02340c0a8bd531bf1e81038', '24aae11a0da84267bc532c6d6cef0b29', 'False', 'True', 'false', 'false', '511421219203', 5, '八井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421219203', 1, '2021-07-19 12:02:26', NULL, NULL), (29620, '', '赤卫村', 'c1ce9bee6fbc4969894e7f5acd2e31af', '24aae11a0da84267bc532c6d6cef0b29', 'False', 'True', 'false', 'false', '511421219206', 5, '赤卫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421219206', 1, '2021-07-19 12:02:27', NULL, NULL), (29621, '', '飞龙村', '8a46579d7cc249a6ab278267ddc0f29c', '24aae11a0da84267bc532c6d6cef0b29', 'False', 'True', 'false', 'false', '511421219207', 5, '飞龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421219207', 1, '2021-07-19 12:02:27', NULL, NULL), (29622, '', '豆缝社区', '8fd2a98c8a0e4ce2ba8cd1c0301070f6', '24aae11a0da84267bc532c6d6cef0b29', 'False', 'True', 'false', 'false', '511421219210', 5, '豆缝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421219210', 1, '2021-07-19 12:02:27', NULL, NULL), (29623, '', '宝飞镇', '8a8b5df8617c4558bfd4d28caca098c0', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421144000', 4, '宝飞镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421144000', 1, '2021-07-19 12:02:27', NULL, NULL), (29624, '', '坪园社区', 'f66ed0fc226e41fabe5d1e21a0948d90', '8a8b5df8617c4558bfd4d28caca098c0', 'False', 'True', 'false', 'false', '511421128004', 5, '坪园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421128004', 1, '2021-07-19 12:02:27', NULL, NULL), (29625, '', '鹤立社区', '0503c6bd9dcb45fa8ff4f1ccd46bd2b6', '8a8b5df8617c4558bfd4d28caca098c0', 'False', 'True', 'false', 'false', '511421128005', 5, '鹤立社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421128005', 1, '2021-07-19 12:02:27', NULL, NULL), (29626, '', '文兴村', 'e5972cf259b24f59ac75186499e60930', '8a8b5df8617c4558bfd4d28caca098c0', 'False', 'True', 'false', 'false', '511421128214', 5, '文兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421128214', 1, '2021-07-19 12:02:27', NULL, NULL), (29627, '', '东华村', 'aafcc261855a4ababd4cb2a9db60d2bb', '8a8b5df8617c4558bfd4d28caca098c0', 'False', 'True', 'false', 'false', '511421128228', 5, '东华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421128228', 1, '2021-07-19 12:02:27', NULL, NULL), (29628, '', '尖石村', 'ad04d04c56b74b9e9432fff9db0daed6', '8a8b5df8617c4558bfd4d28caca098c0', 'False', 'True', 'false', 'false', '511421128230', 5, '尖石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421128230', 1, '2021-07-19 12:02:27', NULL, NULL), (29629, '', '永固村', 'a970c15a9d41415fa04572dd770f1a31', '8a8b5df8617c4558bfd4d28caca098c0', 'False', 'True', 'false', 'false', '511421128233', 5, '永固村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421128233', 1, '2021-07-19 12:02:27', NULL, NULL), (29630, '', '宝珠社区', 'a8ceb4c3def94c2fb8fabb39ccb86187', '8a8b5df8617c4558bfd4d28caca098c0', 'False', 'True', 'false', 'false', '511421128001', 5, '宝珠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421128001', 1, '2021-07-19 12:02:27', NULL, NULL), (29631, '', '永和社区', '945cf3a5485c4c18bb0a1d5363e819c9', '8a8b5df8617c4558bfd4d28caca098c0', 'False', 'True', 'false', 'false', '511421128002', 5, '永和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421128002', 1, '2021-07-19 12:02:27', NULL, NULL), (29632, '', '民权村', '400ac8b2a0e64a3f811865dc8ff386ac', '8a8b5df8617c4558bfd4d28caca098c0', 'False', 'True', 'false', 'false', '511421128202', 5, '民权村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421128202', 1, '2021-07-19 12:02:27', NULL, NULL), (29633, '', '香楠社区', 'd5c15fa028564a7ab7902cac4a39d298', '8a8b5df8617c4558bfd4d28caca098c0', 'False', 'True', 'false', 'false', '511421128209', 5, '香楠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421128209', 1, '2021-07-19 12:02:27', NULL, NULL), (29634, '', '水晶村', '40c530c61a264437b46e6bc63267c88a', '8a8b5df8617c4558bfd4d28caca098c0', 'False', 'True', 'false', 'false', '511421128215', 5, '水晶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421128215', 1, '2021-07-19 12:02:27', NULL, NULL), (29635, '', '红花村', '124eaacc880744abbd5dfb310bfcc283', '8a8b5df8617c4558bfd4d28caca098c0', 'False', 'True', 'false', 'false', '511421128222', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421128222', 1, '2021-07-19 12:02:27', NULL, NULL), (29636, '', '方家镇', 'f67d5dd36c5b4f73934f2d048b392001', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421267000', 4, '方家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421267000', 1, '2021-07-19 12:02:27', NULL, NULL), (29637, '', '曲江社区', '87d6b9f3f9a6470ea16af9dddc6cf24e', 'f67d5dd36c5b4f73934f2d048b392001', 'False', 'True', 'false', 'false', '511421117005', 5, '曲江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421117005', 1, '2021-07-19 12:02:27', NULL, NULL), (29638, '', '水池村', '712dd79857c141b0892e6df7cbbada42', 'f67d5dd36c5b4f73934f2d048b392001', 'False', 'True', 'false', 'false', '511421117218', 5, '水池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421117218', 1, '2021-07-19 12:02:27', NULL, NULL), (29639, '', '建国村', '65a6f95faa434bdea90b5b2ca6fd6171', 'f67d5dd36c5b4f73934f2d048b392001', 'False', 'True', 'false', 'false', '511421117229', 5, '建国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421117229', 1, '2021-07-19 12:02:28', NULL, NULL), (29640, '', '金鸡村', '3ba1b2ae035e456185f9f3190aa86aa5', 'f67d5dd36c5b4f73934f2d048b392001', 'False', 'True', 'false', 'false', '511421117230', 5, '金鸡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421117230', 1, '2021-07-19 12:02:28', NULL, NULL), (29641, '', '武通村', '96b122db32b046d8b310790dc69adeba', 'f67d5dd36c5b4f73934f2d048b392001', 'False', 'True', 'false', 'false', '511421117203', 5, '武通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421117203', 1, '2021-07-19 12:02:28', NULL, NULL), (29642, '', '斑竹村', '0a4396bd2a674ad99f7e59d17db67935', 'f67d5dd36c5b4f73934f2d048b392001', 'False', 'True', 'false', 'false', '511421117208', 5, '斑竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421117208', 1, '2021-07-19 12:02:28', NULL, NULL), (29643, '', '太平村', 'af918b328ce44c18a716c54dab10eb7d', 'f67d5dd36c5b4f73934f2d048b392001', 'False', 'True', 'false', 'false', '511421117209', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421117209', 1, '2021-07-19 12:02:28', NULL, NULL), (29644, '', '哨楼村', 'dd52a73d741a4bfa90adcc3809fa229b', 'f67d5dd36c5b4f73934f2d048b392001', 'False', 'True', 'false', 'false', '511421117213', 5, '哨楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421117213', 1, '2021-07-19 12:02:28', NULL, NULL), (29645, '', '东升村', 'bc219c7318c84d9198dd7836d5e92831', 'f67d5dd36c5b4f73934f2d048b392001', 'False', 'True', 'false', 'false', '511421267281', 5, '东升村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421267281', 1, '2021-07-19 12:02:28', NULL, NULL), (29646, '', '东岳村', 'f52785b721d142478554e676cfa4303a', 'f67d5dd36c5b4f73934f2d048b392001', 'False', 'True', 'false', 'false', '511421267344', 5, '东岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421267344', 1, '2021-07-19 12:02:28', NULL, NULL), (29647, '', '龙方社区', '77042fd18de34bef91a02361d8529055', 'f67d5dd36c5b4f73934f2d048b392001', 'False', 'True', 'false', 'false', '511421267356', 5, '龙方社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421267356', 1, '2021-07-19 12:02:28', NULL, NULL), (29648, '', '钟祥镇', 'ab101f82bf234ae4bd598426de03f0ce', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421309000', 4, '钟祥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421309000', 1, '2021-07-19 12:02:28', NULL, NULL), (29649, '', '针鼓社区', '5cff216c449143278c6e326cdb12d98d', 'ab101f82bf234ae4bd598426de03f0ce', 'False', 'True', 'false', 'false', '511421132007', 5, '针鼓社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421132007', 1, '2021-07-19 12:02:28', NULL, NULL), (29650, '', '合兴村', '2bdcff2bb1c84e209dafc168c6c1d0e9', 'ab101f82bf234ae4bd598426de03f0ce', 'False', 'True', 'false', 'false', '511421132200', 5, '合兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421132200', 1, '2021-07-19 12:02:28', NULL, NULL), (29651, '', '灯塔村', 'dd477ae356c644b183c12df76d87d694', 'ab101f82bf234ae4bd598426de03f0ce', 'False', 'True', 'false', 'false', '511421132222', 5, '灯塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421132222', 1, '2021-07-19 12:02:28', NULL, NULL), (29652, '', '红旗社区', 'd64d6e89db764818a6e1be8f12d16eb6', 'ab101f82bf234ae4bd598426de03f0ce', 'False', 'True', 'false', 'false', '511421132003', 5, '红旗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421132003', 1, '2021-07-19 12:02:28', NULL, NULL), (29653, '', '星火社区', 'e88fdad1180642eb8d789d5dd615d038', 'ab101f82bf234ae4bd598426de03f0ce', 'False', 'True', 'false', 'false', '511421132004', 5, '星火社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421132004', 1, '2021-07-19 12:02:28', NULL, NULL), (29654, '', '碾米村', 'd8dd39942ab44a578d28317e70a716fc', 'ab101f82bf234ae4bd598426de03f0ce', 'False', 'True', 'false', 'false', '511421132204', 5, '碾米村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421132204', 1, '2021-07-19 12:02:28', NULL, NULL), (29655, '', '明星村', '4d28f12705304be3aa008c44da488fa4', 'ab101f82bf234ae4bd598426de03f0ce', 'False', 'True', 'false', 'false', '511421132208', 5, '明星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421132208', 1, '2021-07-19 12:02:28', NULL, NULL), (29656, '', '中华村', 'e621c3371f87417497493b7a37fae69a', 'ab101f82bf234ae4bd598426de03f0ce', 'False', 'True', 'false', 'false', '511421132215', 5, '中华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421132215', 1, '2021-07-19 12:02:29', NULL, NULL), (29657, '', '青石社区', '79271007992748e5a685897cb774dedf', 'ab101f82bf234ae4bd598426de03f0ce', 'False', 'True', 'false', 'false', '511421132216', 5, '青石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421132216', 1, '2021-07-19 12:02:29', NULL, NULL), (29658, '', '龙桥社区', 'a1fbd623774741679e5e2055513f0ed6', 'ab101f82bf234ae4bd598426de03f0ce', 'False', 'True', 'false', 'false', '511421132219', 5, '龙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421132219', 1, '2021-07-19 12:02:29', NULL, NULL), (29659, '', '龙正镇', 'f13bdec12ef2438ab13aa7fb43eddccd', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421273000', 4, '龙正镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421273000', 1, '2021-07-19 12:02:29', NULL, NULL), (29660, '', '茨竹社区', 'e6d0dc95732a42f384b10242dfa3b352', 'f13bdec12ef2438ab13aa7fb43eddccd', 'False', 'True', 'false', 'false', '511421136007', 5, '茨竹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421136007', 1, '2021-07-19 12:02:29', NULL, NULL), (29661, '', '中咀村', '5ff85c67e1024ab8a76433156133f3e8', 'f13bdec12ef2438ab13aa7fb43eddccd', 'False', 'True', 'false', 'false', '511421136213', 5, '中咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421136213', 1, '2021-07-19 12:02:29', NULL, NULL), (29662, '', '西禅村', 'b05dd8fbfd434b6bb617a19769b639ed', 'f13bdec12ef2438ab13aa7fb43eddccd', 'False', 'True', 'false', 'false', '511421136216', 5, '西禅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421136216', 1, '2021-07-19 12:02:29', NULL, NULL), (29663, '', '净土村', 'af18007e2c6c4263bfb5981d69ee1aaf', 'f13bdec12ef2438ab13aa7fb43eddccd', 'False', 'True', 'false', 'false', '511421136219', 5, '净土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421136219', 1, '2021-07-19 12:02:29', NULL, NULL), (29664, '', '新建村', '1edbbfaf08c84d90a6d58849396f8f20', 'f13bdec12ef2438ab13aa7fb43eddccd', 'False', 'True', 'false', 'false', '511421136220', 5, '新建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421136220', 1, '2021-07-19 12:02:29', NULL, NULL), (29665, '', '石顶社区', '82c1882288234b70b0081c9b4b4147aa', 'f13bdec12ef2438ab13aa7fb43eddccd', 'False', 'True', 'false', 'false', '511421530144', 5, '石顶社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421530144', 1, '2021-07-19 12:02:29', NULL, NULL), (29666, '', '花龙社区', '05ed8a4f11a84151a11b95d0f4b195bc', 'f13bdec12ef2438ab13aa7fb43eddccd', 'False', 'True', 'false', 'false', '511421530209', 5, '花龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421530209', 1, '2021-07-19 12:02:29', NULL, NULL), (29667, '', '东方红社区', '7c5ba98e8f8a4a91bfec2ecf52752ca3', 'f13bdec12ef2438ab13aa7fb43eddccd', 'False', 'True', 'false', 'false', '511421530300', 5, '东方红社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421530300', 1, '2021-07-19 12:02:29', NULL, NULL), (29668, '', '龙驹社区', '4c76b92e48524236b2b927b344e51b51', 'f13bdec12ef2438ab13aa7fb43eddccd', 'False', 'True', 'false', 'false', '511421530437', 5, '龙驹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421530437', 1, '2021-07-19 12:02:29', NULL, NULL), (29669, '', '冲天村', '4178027a993d4c1b96d01aa48532789d', 'f13bdec12ef2438ab13aa7fb43eddccd', 'False', 'True', 'false', 'false', '511421530576', 5, '冲天村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421530576', 1, '2021-07-19 12:02:29', NULL, NULL), (29670, '', '增产村', '1c1b54fb014f4d9d9bf9a980b6e3a261', 'f13bdec12ef2438ab13aa7fb43eddccd', 'False', 'True', 'false', 'false', '511421530633', 5, '增产村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421530633', 1, '2021-07-19 12:02:29', NULL, NULL), (29671, '', '椰江社区', '7708d9922e0d44488a15cb66ace6dfa8', 'f13bdec12ef2438ab13aa7fb43eddccd', 'False', 'True', 'false', 'false', '511421530837', 5, '椰江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421530837', 1, '2021-07-19 12:02:29', NULL, NULL), (29672, '', '全新社区', 'd5f4358bc1754423986dd5e72ec7e12e', 'f13bdec12ef2438ab13aa7fb43eddccd', 'False', 'True', 'false', 'false', '511421530870', 5, '全新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421530870', 1, '2021-07-19 12:02:29', NULL, NULL), (29673, '', '彰加镇', '1c8e5b1f0f8c40edb6312cb595f188e2', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421220000', 4, '彰加镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421220000', 1, '2021-07-19 12:02:30', NULL, NULL), (29674, '', '连新村', '9f239b161c804d77bb206aca9cfa0376', '1c8e5b1f0f8c40edb6312cb595f188e2', 'False', 'True', 'false', 'false', '511421129202', 5, '连新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421129202', 1, '2021-07-19 12:02:30', NULL, NULL), (29675, '', '徐庙村', 'f88d9730d4574162be0882c504c00fca', '1c8e5b1f0f8c40edb6312cb595f188e2', 'False', 'True', 'false', 'false', '511421129205', 5, '徐庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421129205', 1, '2021-07-19 12:02:30', NULL, NULL), (29676, '', '铁炉村', 'cf5de5a658e54c4d979aba20d82bcc4e', '1c8e5b1f0f8c40edb6312cb595f188e2', 'False', 'True', 'false', 'false', '511421129208', 5, '铁炉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421129208', 1, '2021-07-19 12:02:30', NULL, NULL), (29677, '', '铁牛村', '3873c4cd811b4a1e814d5c8a89ae858c', '1c8e5b1f0f8c40edb6312cb595f188e2', 'False', 'True', 'false', 'false', '511421129228', 5, '铁牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421129228', 1, '2021-07-19 12:02:30', NULL, NULL), (29678, '', '促进村', '759634cf051848b58bb227433814595e', '1c8e5b1f0f8c40edb6312cb595f188e2', 'False', 'True', 'false', 'false', '511421129229', 5, '促进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421129229', 1, '2021-07-19 12:02:30', NULL, NULL), (29679, '', '楼影社区', '27ef9a49ec3a4a829f76425c6ff38b15', '1c8e5b1f0f8c40edb6312cb595f188e2', 'False', 'True', 'false', 'false', '511421220220', 5, '楼影社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421220220', 1, '2021-07-19 12:02:30', NULL, NULL), (29680, '', '潘家村', 'f2058a5d84e9420f87e931cbb22a8163', '1c8e5b1f0f8c40edb6312cb595f188e2', 'False', 'True', 'false', 'false', '511421220362', 5, '潘家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421220362', 1, '2021-07-19 12:02:30', NULL, NULL), (29681, '', '磨子社区', 'b95c0d29449f44e88234c00254dcb308', '1c8e5b1f0f8c40edb6312cb595f188e2', 'False', 'True', 'false', 'false', '511421220398', 5, '磨子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421220398', 1, '2021-07-19 12:02:30', NULL, NULL), (29682, '', '朝凤社区', '0d625944aa714639b1f55a14043ec311', '1c8e5b1f0f8c40edb6312cb595f188e2', 'False', 'True', 'false', 'false', '511421220432', 5, '朝凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421220432', 1, '2021-07-19 12:02:30', NULL, NULL), (29683, '', '明月村', 'bd15c64816ec4e06814c199bff20ef7a', '1c8e5b1f0f8c40edb6312cb595f188e2', 'False', 'True', 'false', 'false', '511421220647', 5, '明月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421220647', 1, '2021-07-19 12:02:30', NULL, NULL), (29684, '', '铧炉村', '2521374d0c8944a69b4e361ec809e8ea', '1c8e5b1f0f8c40edb6312cb595f188e2', 'False', 'True', 'false', 'false', '511421220902', 5, '铧炉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421220902', 1, '2021-07-19 12:02:30', NULL, NULL), (29685, '', '礼周村', 'f5cd645f00bb48df8a9f145ef1fa3907', '1c8e5b1f0f8c40edb6312cb595f188e2', 'False', 'True', 'false', 'false', '511421220903', 5, '礼周村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421220903', 1, '2021-07-19 12:02:30', NULL, NULL), (29686, '', '德意村', '51578397a8144f97b94070664280e7ff', '1c8e5b1f0f8c40edb6312cb595f188e2', 'False', 'True', 'false', 'false', '511421220935', 5, '德意村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421220935', 1, '2021-07-19 12:02:30', NULL, NULL), (29687, '', '满井镇', 'f01e64ae755f4b4caa818982191b1cfc', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421558000', 4, '满井镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421558000', 1, '2021-07-19 12:02:30', NULL, NULL), (29688, '', '兆嘉社区', '465831c65ef9419696488656f1fb87d1', 'f01e64ae755f4b4caa818982191b1cfc', 'False', 'True', 'false', 'false', '511421134007', 5, '兆嘉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421134007', 1, '2021-07-19 12:02:30', NULL, NULL), (29689, '', '安乐村', '6d58d73cb4e94b2596c76cbd9fb92d10', 'f01e64ae755f4b4caa818982191b1cfc', 'False', 'True', 'false', 'false', '511421134205', 5, '安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421134205', 1, '2021-07-19 12:02:30', NULL, NULL), (29690, '', '高家村', '6b63dd3484144cd1bd8967485ba8616f', 'f01e64ae755f4b4caa818982191b1cfc', 'False', 'True', 'false', 'false', '511421134206', 5, '高家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421134206', 1, '2021-07-19 12:02:31', NULL, NULL), (29691, '', '元正村', '0dea9f75a8c5430c813790d1e6ac7e15', 'f01e64ae755f4b4caa818982191b1cfc', 'False', 'True', 'false', 'false', '511421134226', 5, '元正村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421134226', 1, '2021-07-19 12:02:31', NULL, NULL), (29692, '', '龙泉社区', '1a5f861103f748fb8070e9c0f6e37a36', 'f01e64ae755f4b4caa818982191b1cfc', 'False', 'True', 'false', 'false', '511421134001', 5, '龙泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421134001', 1, '2021-07-19 12:02:31', NULL, NULL), (29693, '', '云锦社区', 'e3350074aceb436f822593a5f205662c', 'f01e64ae755f4b4caa818982191b1cfc', 'False', 'True', 'false', 'false', '511421134212', 5, '云锦社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421134212', 1, '2021-07-19 12:02:31', NULL, NULL), (29694, '', '胜利村', '96addf98f6d24604a2491f344b03789b', 'f01e64ae755f4b4caa818982191b1cfc', 'False', 'True', 'false', 'false', '511421134216', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421134216', 1, '2021-07-19 12:02:31', NULL, NULL), (29695, '', '福桥村', '003257e5385b45a699d36fcc75cc26f5', 'f01e64ae755f4b4caa818982191b1cfc', 'False', 'True', 'false', 'false', '511421134218', 5, '福桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421134218', 1, '2021-07-19 12:02:31', NULL, NULL), (29696, '', '友好村', '8c28853d4bc44194ab339d29c9641718', 'f01e64ae755f4b4caa818982191b1cfc', 'False', 'True', 'false', 'false', '511421134225', 5, '友好村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421134225', 1, '2021-07-19 12:02:31', NULL, NULL), (29697, '', '新店镇', '99697258d9fc454683aa9fb5fc48eaca', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421296000', 4, '新店镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421296000', 1, '2021-07-19 12:02:31', NULL, NULL), (29698, '', '新店社区', '05358072da594efeac37c87ec0d35db6', '99697258d9fc454683aa9fb5fc48eaca', 'False', 'True', 'false', 'false', '511421161006', 5, '新店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421161006', 1, '2021-07-19 12:02:31', NULL, NULL), (29699, '', '能仁村', 'd17c5ed081b740af85f077e9792fcce5', '99697258d9fc454683aa9fb5fc48eaca', 'False', 'True', 'false', 'false', '511421161201', 5, '能仁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421161201', 1, '2021-07-19 12:02:31', NULL, NULL), (29700, '', '黄祠村', '903691bc43af4b0caf66d7aa9d4af03c', '99697258d9fc454683aa9fb5fc48eaca', 'False', 'True', 'false', 'false', '511421161207', 5, '黄祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421161207', 1, '2021-07-19 12:02:31', NULL, NULL), (29701, '', '解放村', 'f5b284f527bd4df38eb843974a07a950', '99697258d9fc454683aa9fb5fc48eaca', 'False', 'True', 'false', 'false', '511421161216', 5, '解放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421161216', 1, '2021-07-19 12:02:31', NULL, NULL), (29702, '', '福堂村', '47d699baee464ed5881fa70873885e0d', '99697258d9fc454683aa9fb5fc48eaca', 'False', 'True', 'false', 'false', '511421161217', 5, '福堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421161217', 1, '2021-07-19 12:02:31', NULL, NULL), (29703, '', '中农社区', 'c16c23b7290f47ee80953a41b5a2766b', '99697258d9fc454683aa9fb5fc48eaca', 'False', 'True', 'false', 'false', '511421296001', 5, '中农社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421296001', 1, '2021-07-19 12:02:31', NULL, NULL), (29704, '', '三星村', '0e61540985214108a2e9710e1ca50fcc', '99697258d9fc454683aa9fb5fc48eaca', 'False', 'True', 'false', 'false', '511421296205', 5, '三星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421296205', 1, '2021-07-19 12:02:31', NULL, NULL), (29705, '', '高星村', 'a7f06745ee114b2f9ba075253632ee06', '99697258d9fc454683aa9fb5fc48eaca', 'False', 'True', 'false', 'false', '511421296212', 5, '高星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421296212', 1, '2021-07-19 12:02:31', NULL, NULL), (29706, '', '双河村', '0db972eace3f46edbafbceb4589631e0', '99697258d9fc454683aa9fb5fc48eaca', 'False', 'True', 'false', 'false', '511421296213', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421296213', 1, '2021-07-19 12:02:31', NULL, NULL), (29707, '', '双埝村', '784796a0720445089b84debdfe478a26', '99697258d9fc454683aa9fb5fc48eaca', 'False', 'True', 'false', 'false', '511421296215', 5, '双埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421296215', 1, '2021-07-19 12:02:31', NULL, NULL), (29708, '', '始建镇', 'e59e77c931214de3912156c7e2bb3d79', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421123000', 4, '始建镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421123000', 1, '2021-07-19 12:02:31', NULL, NULL), (29709, '', '建新社区', '9cbb2f7bedf64c8dab841db9ba6a0d3f', 'e59e77c931214de3912156c7e2bb3d79', 'False', 'True', 'false', 'false', '511421133004', 5, '建新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421133004', 1, '2021-07-19 12:02:31', NULL, NULL), (29710, '', '来凤社区', 'c119e6cadf8f49cc8e0c0d026e0c1367', 'e59e77c931214de3912156c7e2bb3d79', 'False', 'True', 'false', 'false', '511421133005', 5, '来凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421133005', 1, '2021-07-19 12:02:32', NULL, NULL), (29711, '', '太山社区', '6d41c29c246d4ddc8904682932d0ba5a', 'e59e77c931214de3912156c7e2bb3d79', 'False', 'True', 'false', 'false', '511421133006', 5, '太山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421133006', 1, '2021-07-19 12:02:32', NULL, NULL), (29712, '', '荣盛社区', 'a3924fa04bb6449aba37910210df9383', 'e59e77c931214de3912156c7e2bb3d79', 'False', 'True', 'false', 'false', '511421133001', 5, '荣盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421133001', 1, '2021-07-19 12:02:32', NULL, NULL), (29713, '', '营山社区', '824ec98266b04c6bb879e9b7e51847f3', 'e59e77c931214de3912156c7e2bb3d79', 'False', 'True', 'false', 'false', '511421133002', 5, '营山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421133002', 1, '2021-07-19 12:02:32', NULL, NULL), (29714, '', '柏山村', '4cf281cc44a9429a8d92b72d34769ec1', 'e59e77c931214de3912156c7e2bb3d79', 'False', 'True', 'false', 'false', '511421133204', 5, '柏山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421133204', 1, '2021-07-19 12:02:32', NULL, NULL), (29715, '', '大河村', 'b70be17264a94f3fb8a8455b8e57fd01', 'e59e77c931214de3912156c7e2bb3d79', 'False', 'True', 'false', 'false', '511421133211', 5, '大河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421133211', 1, '2021-07-19 12:02:32', NULL, NULL), (29716, '', '杏花社区', '3e3734f7f3734f4aaeaa44780c1fbb58', 'e59e77c931214de3912156c7e2bb3d79', 'False', 'True', 'false', 'false', '511421133215', 5, '杏花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421133215', 1, '2021-07-19 12:02:32', NULL, NULL), (29717, '', '马湖村', '7dba187ea92c4f0c98d1770aa1733307', 'e59e77c931214de3912156c7e2bb3d79', 'False', 'True', 'false', 'false', '511421133222', 5, '马湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421133222', 1, '2021-07-19 12:02:32', NULL, NULL), (29718, '', '慈航镇', '1af1a47f48ff4a61811784dd3cce9525', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421477000', 4, '慈航镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421477000', 1, '2021-07-19 12:02:32', NULL, NULL), (29719, '', '勤乐村', 'ac0fc9eec05342b3892431f8ef2aa314', '1af1a47f48ff4a61811784dd3cce9525', 'False', 'True', 'false', 'false', '511421130225', 5, '勤乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421130225', 1, '2021-07-19 12:02:32', NULL, NULL), (29720, '', '月桥村', '3a04c788dd61433684c4be83955705bf', '1af1a47f48ff4a61811784dd3cce9525', 'False', 'True', 'false', 'false', '511421130226', 5, '月桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421130226', 1, '2021-07-19 12:02:32', NULL, NULL), (29721, '', '白龙社区', 'f872d673c6594c96b12cd882d30e63c4', '1af1a47f48ff4a61811784dd3cce9525', 'False', 'True', 'false', 'false', '511421130002', 5, '白龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421130002', 1, '2021-07-19 12:02:32', NULL, NULL), (29722, '', '永勤村', '6ba5cc70ddaa446da42b9c967b2badaf', '1af1a47f48ff4a61811784dd3cce9525', 'False', 'True', 'false', 'false', '511421130202', 5, '永勤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421130202', 1, '2021-07-19 12:02:32', NULL, NULL), (29723, '', '三台社区', '5ebcbe1ec181497aa7fb1dbe921ea08b', '1af1a47f48ff4a61811784dd3cce9525', 'False', 'True', 'false', 'false', '511421130203', 5, '三台社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421130203', 1, '2021-07-19 12:02:32', NULL, NULL), (29724, '', '新田村', '81d6ac910d134fbab93c6b21fa52c907', '1af1a47f48ff4a61811784dd3cce9525', 'False', 'True', 'false', 'false', '511421130216', 5, '新田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421130216', 1, '2021-07-19 12:02:32', NULL, NULL), (29725, '', '庆余村', '4cc53f33471846e5bfbb9ff641450f22', '1af1a47f48ff4a61811784dd3cce9525', 'False', 'True', 'false', 'false', '511421130217', 5, '庆余村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421130217', 1, '2021-07-19 12:02:32', NULL, NULL), (29726, '', '观音社区', '9ec5f4e1e32345edbfa959fde6eb4d92', '1af1a47f48ff4a61811784dd3cce9525', 'False', 'True', 'false', 'false', '511421130834', 5, '观音社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421130834', 1, '2021-07-19 12:02:32', NULL, NULL), (29727, '', '谢安镇', '36b47620b61e47b097abd439f6372efe', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421811000', 4, '谢安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421811000', 1, '2021-07-19 12:02:32', NULL, NULL), (29728, '', '白沙村', '6539f97257314485bb5e3b9c8c9e839b', '36b47620b61e47b097abd439f6372efe', 'False', 'True', 'false', 'false', '511421160204', 5, '白沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421160204', 1, '2021-07-19 12:02:32', NULL, NULL), (29729, '', '红英村', '50fa843f487640b7aeae8ba7e469cab2', '36b47620b61e47b097abd439f6372efe', 'False', 'True', 'false', 'false', '511421160216', 5, '红英村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421160216', 1, '2021-07-19 12:02:33', NULL, NULL), (29730, '', '鸭池村', '0bf4e768e07f4384b8fdbf044e87f115', '36b47620b61e47b097abd439f6372efe', 'False', 'True', 'false', 'false', '511421160217', 5, '鸭池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421160217', 1, '2021-07-19 12:02:33', NULL, NULL), (29731, '', '新民村', '325d568609d34b35bbcc6d929f7e03d0', '36b47620b61e47b097abd439f6372efe', 'False', 'True', 'false', 'false', '511421295202', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421295202', 1, '2021-07-19 12:02:33', NULL, NULL), (29732, '', '灵芝社区', 'e611bc22983945c89cdf1a0ba2c68741', '36b47620b61e47b097abd439f6372efe', 'False', 'True', 'false', 'false', '511421295203', 5, '灵芝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421295203', 1, '2021-07-19 12:02:33', NULL, NULL), (29733, '', '扎林村', 'ad4c15a3a4cb4ac68a31655a8f63ce76', '36b47620b61e47b097abd439f6372efe', 'False', 'True', 'false', 'false', '511421295205', 5, '扎林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421295205', 1, '2021-07-19 12:02:33', NULL, NULL), (29734, '', '三顾村', '04a4c6a4de6d4ca0ad8757a16f94cd95', '36b47620b61e47b097abd439f6372efe', 'False', 'True', 'false', 'false', '511421295209', 5, '三顾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421295209', 1, '2021-07-19 12:02:33', NULL, NULL), (29735, '', '华阳村', '5d3a9fa65dd44ceab607a0dac6c15452', '36b47620b61e47b097abd439f6372efe', 'False', 'True', 'false', 'false', '511421295213', 5, '华阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421295213', 1, '2021-07-19 12:02:33', NULL, NULL), (29736, '', '板桥镇', '5b8082218b264afa86f057f5eee819f6', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421813000', 4, '板桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421813000', 1, '2021-07-19 12:02:33', NULL, NULL), (29737, '', '河口社区', 'bf993bb57d124a69b3380767e7f34161', '5b8082218b264afa86f057f5eee819f6', 'False', 'True', 'false', 'false', '511421163002', 5, '河口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421163002', 1, '2021-07-19 12:02:33', NULL, NULL), (29738, '', '青龙社区', '4496a1a2d4ec4b22828489b0c565a648', '5b8082218b264afa86f057f5eee819f6', 'False', 'True', 'false', 'false', '511421163003', 5, '青龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421163003', 1, '2021-07-19 12:02:33', NULL, NULL), (29739, '', '团圆社区', '718a6c274fe84ae9bbc1c2465407c150', '5b8082218b264afa86f057f5eee819f6', 'False', 'True', 'false', 'false', '511421163004', 5, '团圆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421163004', 1, '2021-07-19 12:02:33', NULL, NULL), (29740, '', '柏树村', '0441dd74340549fea2016b2b4788a5c1', '5b8082218b264afa86f057f5eee819f6', 'False', 'True', 'false', 'false', '511421163210', 5, '柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421163210', 1, '2021-07-19 12:02:33', NULL, NULL), (29741, '', '乐园村', '1fc504495b2a4425a62e054862b3f0c4', '5b8082218b264afa86f057f5eee819f6', 'False', 'True', 'false', 'false', '511421163213', 5, '乐园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421163213', 1, '2021-07-19 12:02:33', NULL, NULL), (29742, '', '朱家村', '280a3048f77d42b8a41523189733386b', '5b8082218b264afa86f057f5eee819f6', 'False', 'True', 'false', 'false', '511421259208', 5, '朱家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421259208', 1, '2021-07-19 12:02:33', NULL, NULL), (29743, '', '民福村', '75848eb215754d55bb976e5a9c5a30f3', '5b8082218b264afa86f057f5eee819f6', 'False', 'True', 'false', 'false', '511421813608', 5, '民福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421813608', 1, '2021-07-19 12:02:33', NULL, NULL), (29744, '', '珠嘉镇', '33416bbdb292442e8cebb36735557d7a', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421160000', 4, '珠嘉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421160000', 1, '2021-07-19 12:02:34', NULL, NULL), (29745, '', '花园社区', 'e5f85c643c97457a9591824446561356', '33416bbdb292442e8cebb36735557d7a', 'False', 'True', 'false', 'false', '511421144003', 5, '花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421144003', 1, '2021-07-19 12:02:34', NULL, NULL), (29746, '', '顺龙村', 'b547872417cb485fbc764bf80e381fad', '33416bbdb292442e8cebb36735557d7a', 'False', 'True', 'false', 'false', '511421144225', 5, '顺龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421144225', 1, '2021-07-19 12:02:34', NULL, NULL), (29747, '', '棚村', '27994c2af24544f1b6f62e40507e616b', '33416bbdb292442e8cebb36735557d7a', 'False', 'True', 'false', 'false', '511421288200', 5, '棚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421288200', 1, '2021-07-19 12:02:34', NULL, NULL), (29748, '', '三溪社区', 'b05aad4f8eba492fab543ef4acf990c4', '33416bbdb292442e8cebb36735557d7a', 'False', 'True', 'false', 'false', '511421288222', 5, '三溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421288222', 1, '2021-07-19 12:02:34', NULL, NULL), (29749, '', '曹家镇', '4f3ce75fdedd4d0d9e2185990d33ca74', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421985000', 4, '曹家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421985000', 1, '2021-07-19 12:02:34', NULL, NULL), (29750, '', '共峨村', '5fde3f2e036c40eaa80bd77e0b39dc29', '4f3ce75fdedd4d0d9e2185990d33ca74', 'False', 'True', 'false', 'false', '511421985160', 5, '共峨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421985160', 1, '2021-07-19 12:02:34', NULL, NULL), (29751, '', '水星村', 'e5ac46ec876d480da2e52b7d3cdb1007', '4f3ce75fdedd4d0d9e2185990d33ca74', 'False', 'True', 'false', 'false', '511421985219', 5, '水星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421985219', 1, '2021-07-19 12:02:34', NULL, NULL), (29752, '', '勤劳社区', '7393441a9c5040dab729cc9f2ec2ae32', '4f3ce75fdedd4d0d9e2185990d33ca74', 'False', 'True', 'false', 'false', '511421985496', 5, '勤劳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421985496', 1, '2021-07-19 12:02:34', NULL, NULL), (29753, '', '清泉村', 'ce87f851f7334bc4aa427c3dd0091b79', '4f3ce75fdedd4d0d9e2185990d33ca74', 'False', 'True', 'false', 'false', '511421985510', 5, '清泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421985510', 1, '2021-07-19 12:02:34', NULL, NULL), (29754, '', '井沟村', '0a7306d85331439387caa978d32b6185', '4f3ce75fdedd4d0d9e2185990d33ca74', 'False', 'True', 'false', 'false', '511421985599', 5, '井沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421985599', 1, '2021-07-19 12:02:34', NULL, NULL), (29755, '', '东联村', '773f5bef307b4d518cc5c986fdf37954', '4f3ce75fdedd4d0d9e2185990d33ca74', 'False', 'True', 'false', 'false', '511421985612', 5, '东联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421985612', 1, '2021-07-19 12:02:34', NULL, NULL), (29756, '', '梨树社区', 'f655cadf38f3456f843f67843490653f', '4f3ce75fdedd4d0d9e2185990d33ca74', 'False', 'True', 'false', 'false', '511421985862', 5, '梨树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421985862', 1, '2021-07-19 12:02:34', NULL, NULL), (29757, '', '宝马镇', '18b105c2833042bab2716ebd8c57eef0', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421382000', 4, '宝马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421382000', 1, '2021-07-19 12:02:34', NULL, NULL), (29758, '', '李家坝社区', '86dc038bb253469a8b8fdf83b883646d', '18b105c2833042bab2716ebd8c57eef0', 'False', 'True', 'false', 'false', '511421143002', 5, '李家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421143002', 1, '2021-07-19 12:02:34', NULL, NULL), (29759, '', '洪水村', '75887ee1b5db465bbc83d87c2bac50b4', '18b105c2833042bab2716ebd8c57eef0', 'False', 'True', 'false', 'false', '511421143200', 5, '洪水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421143200', 1, '2021-07-19 12:02:34', NULL, NULL), (29760, '', '决心社区', '5c57a5103bb44f3bb77def24749369ec', '18b105c2833042bab2716ebd8c57eef0', 'False', 'True', 'false', 'false', '511421143205', 5, '决心社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421143205', 1, '2021-07-19 12:02:35', NULL, NULL), (29761, '', '军民村', '3816874dc9704aadb3baaeca7181e940', '18b105c2833042bab2716ebd8c57eef0', 'False', 'True', 'false', 'false', '511421143211', 5, '军民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421143211', 1, '2021-07-19 12:02:35', NULL, NULL), (29762, '', '高照村', 'cdc6eae456824b82a772cb36650ce7f7', '18b105c2833042bab2716ebd8c57eef0', 'False', 'True', 'false', 'false', '511421143217', 5, '高照村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421143217', 1, '2021-07-19 12:02:35', NULL, NULL), (29763, '', '虞丞乡', '1f0858315e814a0385ededdc036f94a0', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421000689', 4, '虞丞乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421000689', 1, '2021-07-19 12:02:35', NULL, NULL), (29764, '', '乐群村', 'c565e092b82f4fd5a27373c8e4c35fe5', '1f0858315e814a0385ededdc036f94a0', 'False', 'True', 'false', 'false', '511421200205', 5, '乐群村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421200205', 1, '2021-07-19 12:02:35', NULL, NULL), (29765, '', '柏柳村', '0eef0d4ef299447aa58d2f36f60e5bf6', '1f0858315e814a0385ededdc036f94a0', 'False', 'True', 'false', 'false', '511421200209', 5, '柏柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421200209', 1, '2021-07-19 12:02:35', NULL, NULL), (29766, '', '同意村', 'd3f082fc5cdf4accbb0d4e28a916fce4', '1f0858315e814a0385ededdc036f94a0', 'False', 'True', 'false', 'false', '511421200221', 5, '同意村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421200221', 1, '2021-07-19 12:02:35', NULL, NULL), (29767, '', '前峰村', '9254a21ba4a84b32b4305d796749c875', '1f0858315e814a0385ededdc036f94a0', 'False', 'True', 'false', 'false', '511421200222', 5, '前峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421200222', 1, '2021-07-19 12:02:35', NULL, NULL), (29768, '', '反封村', 'a383e49574654eb793a22320e91640ec', '1f0858315e814a0385ededdc036f94a0', 'False', 'True', 'false', 'false', '511421859306', 5, '反封村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421859306', 1, '2021-07-19 12:02:35', NULL, NULL), (29769, '', '冒水村', 'da9c0c7a2c394409b7d422c62734d0cf', '1f0858315e814a0385ededdc036f94a0', 'False', 'True', 'false', 'false', '511421859836', 5, '冒水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421859836', 1, '2021-07-19 12:02:35', NULL, NULL), (29770, '', '丞相村', 'fbdbc2f3f5924f0f81b3403882969332', '1f0858315e814a0385ededdc036f94a0', 'False', 'True', 'false', 'false', '511421859958', 5, '丞相村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421859958', 1, '2021-07-19 12:02:35', NULL, NULL), (29771, '', '青岗乡', 'ab5a318344bb4687a9a620b130e5dcdf', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421520000', 4, '青岗乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421520000', 1, '2021-07-19 12:02:35', NULL, NULL), (29772, '', '青年村', '69cd9f351c7a4ec683f5960d15d5e5a4', 'ab5a318344bb4687a9a620b130e5dcdf', 'False', 'True', 'false', 'false', '511421203200', 5, '青年村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421203200', 1, '2021-07-19 12:02:35', NULL, NULL), (29773, '', '双店村', '1656161bf9854edba539a767c0b828b7', 'ab5a318344bb4687a9a620b130e5dcdf', 'False', 'True', 'false', 'false', '511421203203', 5, '双店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421203203', 1, '2021-07-19 12:02:35', NULL, NULL), (29774, '', '汤家村', '3216015c2003438fb89ab7209bb0559e', 'ab5a318344bb4687a9a620b130e5dcdf', 'False', 'True', 'false', 'false', '511421203204', 5, '汤家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421203204', 1, '2021-07-19 12:02:35', NULL, NULL), (29775, '', '瑞云村', '5348a6843fc341cbb1461d898339ceee', 'ab5a318344bb4687a9a620b130e5dcdf', 'False', 'True', 'false', 'false', '511421203208', 5, '瑞云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421203208', 1, '2021-07-19 12:02:35', NULL, NULL), (29776, '', '盘龙村', '6284ffeefd934f54924cc4921a0f6506', 'ab5a318344bb4687a9a620b130e5dcdf', 'False', 'True', 'false', 'false', '511421203209', 5, '盘龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421203209', 1, '2021-07-19 12:02:36', NULL, NULL), (29777, '', '大化镇', '1350538a9e7c4b1599c25e436177cbde', '85efcb63ba284c718504b5408d96c697', 'True', 'True', 'false', 'false', '511421293000', 4, '大化镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511421293000', 1, '2021-07-19 12:02:36', NULL, NULL), (29778, '', '华兴社区', '535f6129033d4b81af55a9623bbce77e', '1350538a9e7c4b1599c25e436177cbde', 'False', 'True', 'false', 'false', '511421124001', 5, '华兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421124001', 1, '2021-07-19 12:02:36', NULL, NULL), (29779, '', '正义村', 'c4aeef8403ba4164966f66c5937d25fc', '1350538a9e7c4b1599c25e436177cbde', 'False', 'True', 'false', 'false', '511421124200', 5, '正义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421124200', 1, '2021-07-19 12:02:36', NULL, NULL), (29780, '', '龙门村', '027d033c95d449a3a39d7324899d27b0', '1350538a9e7c4b1599c25e436177cbde', 'False', 'True', 'false', 'false', '511421124202', 5, '龙门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421124202', 1, '2021-07-19 12:02:36', NULL, NULL), (29781, '', '劳动社区', '2b3eb79c7402414299f358f08a0a3a4c', '1350538a9e7c4b1599c25e436177cbde', 'False', 'True', 'false', 'false', '511421124209', 5, '劳动社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421124209', 1, '2021-07-19 12:02:36', NULL, NULL), (29782, '', '水利社区', 'c8a69c57e216404088864bf4086aa0d6', '1350538a9e7c4b1599c25e436177cbde', 'False', 'True', 'false', 'false', '511421124216', 5, '水利社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421124216', 1, '2021-07-19 12:02:36', NULL, NULL), (29783, '', '松林村', '491cdf3c693349b8befbf7f22038c760', '1350538a9e7c4b1599c25e436177cbde', 'False', 'True', 'false', 'false', '511421124218', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421124218', 1, '2021-07-19 12:02:36', NULL, NULL), (29784, '', '英雄村', '26484222827b4d5f80ad3546a6783bbd', '1350538a9e7c4b1599c25e436177cbde', 'False', 'True', 'false', 'false', '511421124222', 5, '英雄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421124222', 1, '2021-07-19 12:02:36', NULL, NULL), (29785, '', '曹河村', 'ad9759c40536421caad16e93b8bd5308', '1350538a9e7c4b1599c25e436177cbde', 'False', 'True', 'false', 'false', '511421124227', 5, '曹河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511421124227', 1, '2021-07-19 12:02:36', NULL, NULL), (29786, '', '洪雅县', '2c7a03e5eec54b8d97c91f98823ed21f', '05f86d1b23124e6c9629b5962b9c40bc', 'True', 'True', 'false', 'false', '511423000000', 3, '洪雅县', 'msshyx.sczwfw.gov.cn', 1, '2021-07-19 12:02:36', NULL, NULL), (29787, '', '止戈镇', 'c91f94e299414334b552deb73bc9f9b7', '2c7a03e5eec54b8d97c91f98823ed21f', 'True', 'True', 'false', 'false', '511423101000', 4, '止戈镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511423101000', 1, '2021-07-19 12:02:36', NULL, NULL), (29788, '', '止火街社区', '432e9ed1dfe246179775eceee170e2db', 'c91f94e299414334b552deb73bc9f9b7', 'False', 'True', 'false', 'false', '511423101001', 5, '止火街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423101001', 1, '2021-07-19 12:02:36', NULL, NULL), (29789, '', '八角庙社区', '5fe0d02f3a084b58929c60130ab618ce', 'c91f94e299414334b552deb73bc9f9b7', 'False', 'True', 'false', 'false', '511423101002', 5, '八角庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423101002', 1, '2021-07-19 12:02:36', NULL, NULL), (29790, '', '五龙社区', '25c0121aa68f423781d7e355acabb377', 'c91f94e299414334b552deb73bc9f9b7', 'False', 'True', 'false', 'false', '511423101003', 5, '五龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423101003', 1, '2021-07-19 12:02:36', NULL, NULL), (29791, '', '青杠坪村', 'e00502a3d1ed4c7eb8e0eea39c35fea9', 'c91f94e299414334b552deb73bc9f9b7', 'False', 'True', 'false', 'false', '511423101212', 5, '青杠坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423101212', 1, '2021-07-19 12:02:36', NULL, NULL), (29792, '', '安宁村', '70f133b82d0640c1b5af0c65c38434f9', 'c91f94e299414334b552deb73bc9f9b7', 'False', 'True', 'false', 'false', '511423101205', 5, '安宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423101205', 1, '2021-07-19 12:02:36', NULL, NULL), (29793, '', '余坪镇', 'd4fb7e19dabe46d39fe56cdfcff7c7f1', '2c7a03e5eec54b8d97c91f98823ed21f', 'True', 'True', 'false', 'false', '511423113000', 4, '余坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511423113000', 1, '2021-07-19 12:02:37', NULL, NULL), (29794, '', '符场村', 'c05c8529813f46fea92942c8b268d9aa', 'd4fb7e19dabe46d39fe56cdfcff7c7f1', 'False', 'True', 'false', 'false', '511423113268', 5, '符场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423113268', 1, '2021-07-19 12:02:37', NULL, NULL), (29795, '', '金斧村', 'c8fe19d826c341d9bb79c97c4e743cbc', 'd4fb7e19dabe46d39fe56cdfcff7c7f1', 'False', 'True', 'false', 'false', '511423113345', 5, '金斧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423113345', 1, '2021-07-19 12:02:37', NULL, NULL), (29796, '', '新安社区', 'fb745f4125c449c88c5b4fa4fc651d9a', 'd4fb7e19dabe46d39fe56cdfcff7c7f1', 'False', 'True', 'false', 'false', '511423113001', 5, '新安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423113001', 1, '2021-07-19 12:02:37', NULL, NULL), (29797, '', '黄里村', '702224a239d34fb4a21b33750c79de6d', 'd4fb7e19dabe46d39fe56cdfcff7c7f1', 'False', 'True', 'false', 'false', '511423113205', 5, '黄里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423113205', 1, '2021-07-19 12:02:37', NULL, NULL), (29798, '', '桐梓村', 'acbbeb2a658c44398695e746b7073a63', 'd4fb7e19dabe46d39fe56cdfcff7c7f1', 'False', 'True', 'false', 'false', '511423113211', 5, '桐梓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423113211', 1, '2021-07-19 12:02:37', NULL, NULL), (29799, '', '白马村', 'bbccb8bf5cf44921be59a7de1b4f3e2d', 'd4fb7e19dabe46d39fe56cdfcff7c7f1', 'False', 'True', 'false', 'false', '511423113214', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423113214', 1, '2021-07-19 12:02:37', NULL, NULL), (29800, '', '福宝村', 'abb0df93fe88436a972779d074f6858c', 'd4fb7e19dabe46d39fe56cdfcff7c7f1', 'False', 'True', 'false', 'false', '511423113228', 5, '福宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423113228', 1, '2021-07-19 12:02:37', NULL, NULL), (29801, '', '槽渔滩镇', '009a1ef9b3d44d0480374a67d0447dd2', '2c7a03e5eec54b8d97c91f98823ed21f', 'True', 'True', 'false', 'false', '511423114000', 4, '槽渔滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511423114000', 1, '2021-07-19 12:02:37', NULL, NULL), (29802, '', '竹菁社区', '2f8ad9c99f5f4f76bbabbe93a8210f0a', '009a1ef9b3d44d0480374a67d0447dd2', 'False', 'True', 'false', 'false', '511423114003', 5, '竹菁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423114003', 1, '2021-07-19 12:02:37', NULL, NULL), (29803, '', '关顶村', '96a5e844283345f89ffca19f2c3d2e22', '009a1ef9b3d44d0480374a67d0447dd2', 'False', 'True', 'false', 'false', '511423114204', 5, '关顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423114204', 1, '2021-07-19 12:02:37', NULL, NULL), (29804, '', '文山村', 'da81f4c988c841f7acd38165ee746be6', '009a1ef9b3d44d0480374a67d0447dd2', 'False', 'True', 'false', 'false', '511423114207', 5, '文山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423114207', 1, '2021-07-19 12:02:37', NULL, NULL), (29805, '', '徐嘴村', 'f64a049062ce44e6b14352fcf4014935', '009a1ef9b3d44d0480374a67d0447dd2', 'False', 'True', 'false', 'false', '511423114213', 5, '徐嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423114213', 1, '2021-07-19 12:02:37', NULL, NULL), (29806, '', '兴盛社区', '6c05067ec7764b5e96d4a67d23260d89', '009a1ef9b3d44d0480374a67d0447dd2', 'False', 'True', 'false', 'false', '511423114001', 5, '兴盛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423114001', 1, '2021-07-19 12:02:38', NULL, NULL), (29807, '', '玉岚村', 'bf36ca3163414cf79105332b7a5e8fe7', '009a1ef9b3d44d0480374a67d0447dd2', 'False', 'True', 'false', 'false', '511423114221', 5, '玉岚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423114221', 1, '2021-07-19 12:02:38', NULL, NULL), (29808, '', '中保镇', '228dac6304894ee49827713aaec57e7d', '2c7a03e5eec54b8d97c91f98823ed21f', 'True', 'True', 'false', 'false', '511423115000', 4, '中保镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511423115000', 1, '2021-07-19 12:02:38', NULL, NULL), (29809, '', '联合村', '97b1ed33116c4931ab2dc4346ac6e511', '228dac6304894ee49827713aaec57e7d', 'False', 'True', 'false', 'false', '511423115215', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423115215', 1, '2021-07-19 12:02:38', NULL, NULL), (29810, '', '桐升社区', '7ea07a3db00947489af1175db7733cb3', '228dac6304894ee49827713aaec57e7d', 'False', 'True', 'false', 'false', '511423115001', 5, '桐升社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423115001', 1, '2021-07-19 12:02:38', NULL, NULL), (29811, '', '平乐村', '6c0dd0b66d7c470bb46edc4fcd1fbf79', '228dac6304894ee49827713aaec57e7d', 'False', 'True', 'false', 'false', '511423115201', 5, '平乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423115201', 1, '2021-07-19 12:02:38', NULL, NULL), (29812, '', '义公村', '7ea0e8e25d42401ba7ae2aa7412cbb20', '228dac6304894ee49827713aaec57e7d', 'False', 'True', 'false', 'false', '511423115204', 5, '义公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423115204', 1, '2021-07-19 12:02:38', NULL, NULL), (29813, '', '联丰村', '1fe0d970a8184386b66879decf902e54', '228dac6304894ee49827713aaec57e7d', 'False', 'True', 'false', 'false', '511423115210', 5, '联丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423115210', 1, '2021-07-19 12:02:38', NULL, NULL), (29814, '', '东岳镇', '4bf8b7f81b8f4e3ab091218acef25980', '2c7a03e5eec54b8d97c91f98823ed21f', 'True', 'True', 'false', 'false', '511423116000', 4, '东岳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511423116000', 1, '2021-07-19 12:02:38', NULL, NULL), (29815, '', '天宫村', '0e7ba8cc8f9f4c3f83109c11e10ba5a1', '4bf8b7f81b8f4e3ab091218acef25980', 'False', 'True', 'false', 'false', '511423116223', 5, '天宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423116223', 1, '2021-07-19 12:02:38', NULL, NULL), (29816, '', '东岳社区', '11acc41cfad6466f9fcf3755775368ea', '4bf8b7f81b8f4e3ab091218acef25980', 'False', 'True', 'false', 'false', '511423116001', 5, '东岳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423116001', 1, '2021-07-19 12:02:38', NULL, NULL), (29817, '', '团结村', 'd249da0427334bb19e90c5510359e749', '4bf8b7f81b8f4e3ab091218acef25980', 'False', 'True', 'false', 'false', '511423116202', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423116202', 1, '2021-07-19 12:02:38', NULL, NULL), (29818, '', '桥口村', 'f1a19cd444854006a4890313a18181db', '4bf8b7f81b8f4e3ab091218acef25980', 'False', 'True', 'false', 'false', '511423116210', 5, '桥口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423116210', 1, '2021-07-19 12:02:38', NULL, NULL), (29819, '', '观音村', '94aae25a954c4228a19926b803370c8e', '4bf8b7f81b8f4e3ab091218acef25980', 'False', 'True', 'false', 'false', '511423116217', 5, '观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423116217', 1, '2021-07-19 12:02:38', NULL, NULL), (29820, '', '骑龙村', 'fe29f766c11d41c6b16edd96bab599c3', '4bf8b7f81b8f4e3ab091218acef25980', 'False', 'True', 'false', 'false', '511423116222', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423116222', 1, '2021-07-19 12:02:38', NULL, NULL), (29821, '', '高庙镇', '7d3f466c6fe244329908b1f7099a74d4', '2c7a03e5eec54b8d97c91f98823ed21f', 'True', 'True', 'false', 'false', '511423118000', 4, '高庙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511423118000', 1, '2021-07-19 12:02:38', NULL, NULL), (29822, '', '吴河村', '10c358b2d839477ab7a71263a62fdddc', '7d3f466c6fe244329908b1f7099a74d4', 'False', 'True', 'false', 'false', '511423118909', 5, '吴河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423118909', 1, '2021-07-19 12:02:38', NULL, NULL), (29823, '', '花溪源社区', 'e857d680703c41f3ab43e1efa7a4842a', '7d3f466c6fe244329908b1f7099a74d4', 'False', 'True', 'false', 'false', '511423118001', 5, '花溪源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423118001', 1, '2021-07-19 12:02:38', NULL, NULL), (29824, '', '花源村', '39c0cb7a5aed4dcd8503f57bd981e757', '7d3f466c6fe244329908b1f7099a74d4', 'False', 'True', 'false', 'false', '511423118201', 5, '花源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423118201', 1, '2021-07-19 12:02:38', NULL, NULL), (29825, '', '水秀村', '900a60caf620411c9583d6611fbd5a77', '7d3f466c6fe244329908b1f7099a74d4', 'False', 'True', 'false', 'false', '511423118202', 5, '水秀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423118202', 1, '2021-07-19 12:02:38', NULL, NULL), (29826, '', '黑山村', '9ebc07dc07f94cf88ca28ba97364ba94', '7d3f466c6fe244329908b1f7099a74d4', 'False', 'True', 'false', 'false', '511423118211', 5, '黑山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423118211', 1, '2021-07-19 12:02:39', NULL, NULL), (29827, '', '瓦屋山镇', 'a06a7d317c524e3c92ef10ac4ea53482', '2c7a03e5eec54b8d97c91f98823ed21f', 'True', 'True', 'false', 'false', '511423119000', 4, '瓦屋山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511423119000', 1, '2021-07-19 12:02:39', NULL, NULL), (29828, '', '炳灵社区', '7c4afd5f48454104973f1edfc332cffd', 'a06a7d317c524e3c92ef10ac4ea53482', 'False', 'True', 'false', 'false', '511423119002', 5, '炳灵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423119002', 1, '2021-07-19 12:02:39', NULL, NULL), (29829, '', '金花桥社区', 'c93b45f5475a4547a935c0df8d7b3485', 'a06a7d317c524e3c92ef10ac4ea53482', 'False', 'True', 'false', 'false', '511423119003', 5, '金花桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423119003', 1, '2021-07-19 12:02:39', NULL, NULL), (29830, '', '桌山社区', 'b79a48fac413499dbbfe4a8758d5a117', 'a06a7d317c524e3c92ef10ac4ea53482', 'False', 'True', 'false', 'false', '511423119004', 5, '桌山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423119004', 1, '2021-07-19 12:02:39', NULL, NULL), (29831, '', '瓦山社区', 'da89ace12c564592a400806fa5cdb0b9', 'a06a7d317c524e3c92ef10ac4ea53482', 'False', 'True', 'false', 'false', '511423119001', 5, '瓦山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423119001', 1, '2021-07-19 12:02:39', NULL, NULL), (29832, '', '燕远村', 'd88ea92e08f34d9bbf73bccc656bb8a9', 'a06a7d317c524e3c92ef10ac4ea53482', 'False', 'True', 'false', 'false', '511423119208', 5, '燕远村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423119208', 1, '2021-07-19 12:02:39', NULL, NULL), (29833, '', '青龙村', '6bffd89c1ebc4856a95266df09c42859', 'a06a7d317c524e3c92ef10ac4ea53482', 'False', 'True', 'false', 'false', '511423119212', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423119212', 1, '2021-07-19 12:02:39', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (29834, '', '自新村', '566902fedc7e4e96b5b350a5e43b007a', 'a06a7d317c524e3c92ef10ac4ea53482', 'False', 'True', 'false', 'false', '511423119215', 5, '自新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423119215', 1, '2021-07-19 12:02:39', NULL, NULL), (29835, '', '复兴村', 'a7873aa401d344f5b8299d092d657e66', 'a06a7d317c524e3c92ef10ac4ea53482', 'False', 'True', 'false', 'false', '511423119217', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423119217', 1, '2021-07-19 12:02:39', NULL, NULL), (29836, '', '龙圣村', '79693c9c11734031ac35c471b5281661', 'a06a7d317c524e3c92ef10ac4ea53482', 'False', 'True', 'false', 'false', '511423119218', 5, '龙圣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423119218', 1, '2021-07-19 12:02:39', NULL, NULL), (29837, '', '高丽村', '400fad0059c146d9b75aa1bf4951836b', 'a06a7d317c524e3c92ef10ac4ea53482', 'False', 'True', 'false', 'false', '511423119219', 5, '高丽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423119219', 1, '2021-07-19 12:02:39', NULL, NULL), (29838, '', '罐坪村', 'a507c95b4f3248dabced2fe6fe065a9c', 'a06a7d317c524e3c92ef10ac4ea53482', 'False', 'True', 'false', 'false', '511423119223', 5, '罐坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423119223', 1, '2021-07-19 12:02:39', NULL, NULL), (29839, '', '中山镇', 'a484a391466c4f2f953b28e60f42c390', '2c7a03e5eec54b8d97c91f98823ed21f', 'True', 'True', 'false', 'false', '511423220000', 4, '中山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511423220000', 1, '2021-07-19 12:02:39', NULL, NULL), (29840, '', '汉王社区', '20fcf11dbbb842179ec92536ed0fccac', 'a484a391466c4f2f953b28e60f42c390', 'False', 'True', 'false', 'false', '511423122002', 5, '汉王社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423122002', 1, '2021-07-19 12:02:39', NULL, NULL), (29841, '', '谢岩村', '50e120bc56aa470db90c884d1a0599a6', 'a484a391466c4f2f953b28e60f42c390', 'False', 'True', 'false', 'false', '511423122202', 5, '谢岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423122202', 1, '2021-07-19 12:02:39', NULL, NULL), (29842, '', '王沟村', 'f5512c6c6d55426b8bdbf13ebcb8e707', 'a484a391466c4f2f953b28e60f42c390', 'False', 'True', 'false', 'false', '511423122206', 5, '王沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423122206', 1, '2021-07-19 12:02:39', NULL, NULL), (29843, '', '李山村', '626a481124f344cca7cde22dee28141a', 'a484a391466c4f2f953b28e60f42c390', 'False', 'True', 'false', 'false', '511423122210', 5, '李山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423122210', 1, '2021-07-19 12:02:39', NULL, NULL), (29844, '', '桂花社区', '7c01cc22165c4e4fa169c3d5d5ddda78', 'a484a391466c4f2f953b28e60f42c390', 'False', 'True', 'false', 'false', '511423200001', 5, '桂花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423200001', 1, '2021-07-19 12:02:39', NULL, NULL), (29845, '', '邹岗村', '7645bb2a5019495eb50be67d0bdf0662', 'a484a391466c4f2f953b28e60f42c390', 'False', 'True', 'false', 'false', '511423200204', 5, '邹岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423200204', 1, '2021-07-19 12:02:39', NULL, NULL), (29846, '', '前锋村', '2c1ff226c8934f4fb64b7654339ed900', 'a484a391466c4f2f953b28e60f42c390', 'False', 'True', 'false', 'false', '511423200209', 5, '前锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423200209', 1, '2021-07-19 12:02:40', NULL, NULL), (29847, '', '洪川镇', '6b50395441d24476a8626f0e5b6d4fc7', '2c7a03e5eec54b8d97c91f98823ed21f', 'True', 'True', 'false', 'false', '511423322000', 4, '洪川镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511423322000', 1, '2021-07-19 12:02:40', NULL, NULL), (29848, '', '洪川镇文庙社区', '28a2b377de5d4052aecbe6d086a862c3', '6b50395441d24476a8626f0e5b6d4fc7', 'False', 'True', 'false', 'false', '511423112004', 5, '文庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423112004', 1, '2021-07-19 12:02:40', NULL, NULL), (29849, '', '张花园社区', '1e1c9f93e5c74b2eb0daf9c1a10d526e', '6b50395441d24476a8626f0e5b6d4fc7', 'False', 'True', 'false', 'false', '511423112005', 5, '张花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423112005', 1, '2021-07-19 12:02:40', NULL, NULL), (29850, '', '文塘社区', 'ec74866aa0ed469d82f8da7bcae06c9d', '6b50395441d24476a8626f0e5b6d4fc7', 'False', 'True', 'false', 'false', '511423112006', 5, '文塘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423112006', 1, '2021-07-19 12:02:40', NULL, NULL), (29851, '', '九圣社区', '4f915341c0c84b2387516fcf257d998e', '6b50395441d24476a8626f0e5b6d4fc7', 'False', 'True', 'false', 'false', '511423112007', 5, '九圣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423112007', 1, '2021-07-19 12:02:40', NULL, NULL), (29852, '', '临江社区', '59f1ad6175004ff8876296d9ce2e09aa', '6b50395441d24476a8626f0e5b6d4fc7', 'False', 'True', 'false', 'false', '511423112003', 5, '临江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423112003', 1, '2021-07-19 12:02:40', NULL, NULL), (29853, '', '祝河坎', 'e678d29c6ccb4e4a941626fc0e692f5e', '6b50395441d24476a8626f0e5b6d4fc7', 'False', 'True', 'false', 'false', '511423112205', 5, '祝河坎', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423112205', 1, '2021-07-19 12:02:40', NULL, NULL), (29854, '', '黄村村', '0e1c5446bcfd48f0ab7fdc5852862c96', '6b50395441d24476a8626f0e5b6d4fc7', 'False', 'True', 'false', 'false', '511423112223', 5, '黄村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423112223', 1, '2021-07-19 12:02:40', NULL, NULL), (29855, '', '祝山村', '81d24d61e54a4dd5bf04957dfc5a3fcd', '6b50395441d24476a8626f0e5b6d4fc7', 'False', 'True', 'false', 'false', '511423322198', 5, '祝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423322198', 1, '2021-07-19 12:02:40', NULL, NULL), (29856, '', '曲沿村', '873df63721274b32b3909929fc43a1ec', '6b50395441d24476a8626f0e5b6d4fc7', 'False', 'True', 'false', 'false', '511423322393', 5, '曲沿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423322393', 1, '2021-07-19 12:02:40', NULL, NULL), (29857, '', '新庙村', '9c00ccf6a0674715ab1f2407e57c8f12', '6b50395441d24476a8626f0e5b6d4fc7', 'False', 'True', 'false', 'false', '511423322496', 5, '新庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423322496', 1, '2021-07-19 12:02:40', NULL, NULL), (29858, '', '阳光社区', 'ae4164b2c868451e8be686935abe3a49', '6b50395441d24476a8626f0e5b6d4fc7', 'False', 'True', 'false', 'false', '511423322566', 5, '阳光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423322566', 1, '2021-07-19 12:02:40', NULL, NULL), (29859, '', '广场社区', '0763ea40d9f64580beb30f154fcb01e1', '6b50395441d24476a8626f0e5b6d4fc7', 'False', 'True', 'false', 'false', '511423322665', 5, '广场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423322665', 1, '2021-07-19 12:02:40', NULL, NULL), (29860, '', '共同村', '0618ca2f164043918ebadba4a283d694', '6b50395441d24476a8626f0e5b6d4fc7', 'False', 'True', 'false', 'false', '511423322805', 5, '共同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423322805', 1, '2021-07-19 12:02:40', NULL, NULL), (29861, '', '石庙村', '95747300419546089bc6561013bf1f88', '6b50395441d24476a8626f0e5b6d4fc7', 'False', 'True', 'false', 'false', '511423322922', 5, '石庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423322922', 1, '2021-07-19 12:02:40', NULL, NULL), (29862, '', '柳街村', '49a122eca5874cd48047926a03e6b83a', '6b50395441d24476a8626f0e5b6d4fc7', 'False', 'True', 'false', 'false', '511423322966', 5, '柳街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423322966', 1, '2021-07-19 12:02:40', NULL, NULL), (29863, '', '柳江镇', '7a02154681224befaa1a1ece2235eeb5', '2c7a03e5eec54b8d97c91f98823ed21f', 'True', 'True', 'false', 'false', '511423553000', 4, '柳江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511423553000', 1, '2021-07-19 12:02:40', NULL, NULL), (29864, '', '花溪社区', '69a2c7bbb1e54be399088f7cb752b52a', '7a02154681224befaa1a1ece2235eeb5', 'False', 'True', 'false', 'false', '511423117003', 5, '花溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423117003', 1, '2021-07-19 12:02:40', NULL, NULL), (29865, '', '兴胜村', '828731986bf548538c39f47fbfb8e80d', '7a02154681224befaa1a1ece2235eeb5', 'False', 'True', 'false', 'false', '511423117206', 5, '兴胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423117206', 1, '2021-07-19 12:02:41', NULL, NULL), (29866, '', '赵河村', '9fff57daac9a44a1be4b9537522d3403', '7a02154681224befaa1a1ece2235eeb5', 'False', 'True', 'false', 'false', '511423117223', 5, '赵河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423117223', 1, '2021-07-19 12:02:41', NULL, NULL), (29867, '', '万湖村', 'b7b71a4276a5443eb9ed7eed2357fe36', '7a02154681224befaa1a1ece2235eeb5', 'False', 'True', 'false', 'false', '511423117224', 5, '万湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423117224', 1, '2021-07-19 12:02:41', NULL, NULL), (29868, '', '玉屏社区', 'dc9b3ab0f75d434d8b294c59445706e4', '7a02154681224befaa1a1ece2235eeb5', 'False', 'True', 'false', 'false', '511423117001', 5, '玉屏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423117001', 1, '2021-07-19 12:02:41', NULL, NULL), (29869, '', '红星村', '8e42fdb3cb3a4deca61b2784277df6d9', '7a02154681224befaa1a1ece2235eeb5', 'False', 'True', 'false', 'false', '511423117201', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423117201', 1, '2021-07-19 12:02:41', NULL, NULL), (29870, '', '两河村', 'b75d72acb77d4ade852f121c69ef0a10', '7a02154681224befaa1a1ece2235eeb5', 'False', 'True', 'false', 'false', '511423117203', 5, '两河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423117203', 1, '2021-07-19 12:02:41', NULL, NULL), (29871, '', '洪江村', '61129597ee2340d7a0e8194d90a79c59', '7a02154681224befaa1a1ece2235eeb5', 'False', 'True', 'false', 'false', '511423117204', 5, '洪江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423117204', 1, '2021-07-19 12:02:41', NULL, NULL), (29872, '', '凤凰村', 'b9b514a53b434c04965ab7680318240d', '7a02154681224befaa1a1ece2235eeb5', 'False', 'True', 'false', 'false', '511423117211', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423117211', 1, '2021-07-19 12:02:41', NULL, NULL), (29873, '', '将军镇', '7a8e7bb59c2e4112be31e9f7cd70bcfc', '2c7a03e5eec54b8d97c91f98823ed21f', 'True', 'True', 'false', 'false', '511423568000', 4, '将军镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511423568000', 1, '2021-07-19 12:02:41', NULL, NULL), (29874, '', '三宝社区', '14e96ec4ed6f44778eace2d4177a821f', '7a8e7bb59c2e4112be31e9f7cd70bcfc', 'False', 'True', 'false', 'false', '511423121004', 5, '三宝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423121004', 1, '2021-07-19 12:02:41', NULL, NULL), (29875, '', '李槽村', '05e45eaa8b2c4c2c9d68e025999bf42d', '7a8e7bb59c2e4112be31e9f7cd70bcfc', 'False', 'True', 'false', 'false', '511423121207', 5, '李槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423121207', 1, '2021-07-19 12:02:41', NULL, NULL), (29876, '', '保坪村', '610d4b326ad5424eaa12ab677b1eb0f9', '7a8e7bb59c2e4112be31e9f7cd70bcfc', 'False', 'True', 'false', 'false', '511423121212', 5, '保坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423121212', 1, '2021-07-19 12:02:41', NULL, NULL), (29877, '', '联合村', 'c47f2fc7102d4dfd9e9fa5861ea2549c', '7a8e7bb59c2e4112be31e9f7cd70bcfc', 'False', 'True', 'false', 'false', '511423121213', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423121213', 1, '2021-07-19 12:02:41', NULL, NULL), (29878, '', '新安村', 'f899c12082984d03876cf49b479db613', '7a8e7bb59c2e4112be31e9f7cd70bcfc', 'False', 'True', 'false', 'false', '511423201294', 5, '新安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423201294', 1, '2021-07-19 12:02:41', NULL, NULL), (29879, '', '阳坪村', '38cc440b614f4fbebe2eb611674c0ec1', '7a8e7bb59c2e4112be31e9f7cd70bcfc', 'False', 'True', 'false', 'false', '511423201502', 5, '阳坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423201502', 1, '2021-07-19 12:02:42', NULL, NULL), (29880, '', '清凉村', '6566eee4d8e14d62a2d8830fe4d84e0d', '7a8e7bb59c2e4112be31e9f7cd70bcfc', 'False', 'True', 'false', 'false', '511423201732', 5, '清凉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423201732', 1, '2021-07-19 12:02:42', NULL, NULL), (29881, '', '高岩社区', 'ebb8e0019755485981d2129d6f33032e', '7a8e7bb59c2e4112be31e9f7cd70bcfc', 'False', 'True', 'false', 'false', '511423201822', 5, '高岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423201822', 1, '2021-07-19 12:02:42', NULL, NULL), (29882, '', '杨场社区', '5b5b757baa024317b8f52635a1a0fb06', '7a8e7bb59c2e4112be31e9f7cd70bcfc', 'False', 'True', 'false', 'false', '511423201941', 5, '杨场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423201941', 1, '2021-07-19 12:02:42', NULL, NULL), (29883, '', '七里坪镇', '9ded784ff37f4e7689421295b5c87468', '2c7a03e5eec54b8d97c91f98823ed21f', 'True', 'True', 'false', 'false', '511423900013', 4, '七里坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511423900013', 1, '2021-07-19 12:02:42', NULL, NULL), (29884, '', '七里坪社区', '0b552b11d5e7427b8d28b12ee4f2fe38', '9ded784ff37f4e7689421295b5c87468', 'False', 'True', 'false', 'false', '511423120001', 5, '七里坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423120001', 1, '2021-07-19 12:02:42', NULL, NULL), (29885, '', '桃源村', '785adf82f8cc4956b754f24a3d6aef5a', '9ded784ff37f4e7689421295b5c87468', 'False', 'True', 'false', 'false', '511423120221', 5, '桃源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423120221', 1, '2021-07-19 12:02:42', NULL, NULL), (29886, '', '鲜湾村', '9d4d6324de4e4ff3ab76c734ccedda62', '9ded784ff37f4e7689421295b5c87468', 'False', 'True', 'false', 'false', '511423212722', 5, '鲜湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423212722', 1, '2021-07-19 12:02:42', NULL, NULL), (29887, '', '画林村', 'bb3a1cb6f7b84c508b23e376bb60ae7c', '9ded784ff37f4e7689421295b5c87468', 'False', 'True', 'false', 'false', '511423212816', 5, '画林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511423212816', 1, '2021-07-19 12:02:42', NULL, NULL), (29888, '', '丹棱县', '2d4f1d23f7d04a059005276bc196b1a0', '05f86d1b23124e6c9629b5962b9c40bc', 'True', 'True', 'false', 'false', '511424000000', 3, '丹棱县', 'mssdlx.sczwfw.gov.cn', 1, '2021-07-19 12:02:42', NULL, NULL), (29889, '', '杨场镇', '9d1b89039d044116b4a41fa5391adee5', '2d4f1d23f7d04a059005276bc196b1a0', 'True', 'True', 'false', 'false', '511424106000', 4, '杨场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511424106000', 1, '2021-07-19 12:02:42', NULL, NULL), (29890, '', '金龙村', 'c1ac7ac052484eab91ebfcd1c2455a6e', '9d1b89039d044116b4a41fa5391adee5', 'False', 'True', 'false', 'false', '511424106201', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424106201', 1, '2021-07-19 12:02:42', NULL, NULL), (29891, '', '曾坝村', 'aa9b0fb97dde4e7e9393e604a13b7116', '9d1b89039d044116b4a41fa5391adee5', 'False', 'True', 'false', 'false', '511424106202', 5, '曾坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424106202', 1, '2021-07-19 12:02:42', NULL, NULL), (29892, '', '朱沟村', '4e97151f5446440b856715878f2b4262', '9d1b89039d044116b4a41fa5391adee5', 'False', 'True', 'false', 'false', '511424106203', 5, '朱沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424106203', 1, '2021-07-19 12:02:42', NULL, NULL), (29893, '', '古井村', '44561ce6cd344bc0a0ec6c7c6b4f78bf', '9d1b89039d044116b4a41fa5391adee5', 'False', 'True', 'false', 'false', '511424106204', 5, '古井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424106204', 1, '2021-07-19 12:02:42', NULL, NULL), (29894, '', '凤凰村', 'b167bc59c14b4f488beec9759ea258f8', '9d1b89039d044116b4a41fa5391adee5', 'False', 'True', 'false', 'false', '511424106206', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424106206', 1, '2021-07-19 12:02:42', NULL, NULL), (29895, '', '大兴村', 'aefeadf995f343e8924281a32186ec0d', '9d1b89039d044116b4a41fa5391adee5', 'False', 'True', 'false', 'false', '511424106209', 5, '大兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424106209', 1, '2021-07-19 12:02:42', NULL, NULL), (29896, '', '金牛社区', 'd7e2d22610ab48738415edca8a466f1d', '9d1b89039d044116b4a41fa5391adee5', 'False', 'True', 'false', 'false', '511424106100', 5, '金牛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424106100', 1, '2021-07-19 12:02:42', NULL, NULL), (29897, '', '何场社区', 'b24eef6f780246a1ae3e778c762bed57', '9d1b89039d044116b4a41fa5391adee5', 'False', 'True', 'false', 'false', '511424106002', 5, '何场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424106002', 1, '2021-07-19 12:02:42', NULL, NULL), (29898, '', '仁美镇', '56a531c656c945dbbf19935c1216630a', '2d4f1d23f7d04a059005276bc196b1a0', 'True', 'True', 'false', 'false', '511424102000', 4, '仁美镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511424102000', 1, '2021-07-19 12:02:42', NULL, NULL), (29899, '', '雄义村', 'cab9e01ee5ad4cd093c435bfeee2d1d1', '56a531c656c945dbbf19935c1216630a', 'False', 'True', 'false', 'false', '511424102202', 5, '雄义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424102202', 1, '2021-07-19 12:02:43', NULL, NULL), (29900, '', '高河村', 'cd2b55ea67c44500a995faf7f685b50f', '56a531c656c945dbbf19935c1216630a', 'False', 'True', 'false', 'false', '511424102205', 5, '高河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424102205', 1, '2021-07-19 12:02:43', NULL, NULL), (29901, '', '光明村', 'aa925352ec9e4bab8639433f193382bb', '56a531c656c945dbbf19935c1216630a', 'False', 'True', 'false', 'false', '511424102206', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424102206', 1, '2021-07-19 12:02:43', NULL, NULL), (29902, '', '罗沟村', '071b9e12eb584ef8a0a3ccc9e314de2a', '56a531c656c945dbbf19935c1216630a', 'False', 'True', 'false', 'false', '511424102204', 5, '罗沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424102204', 1, '2021-07-19 12:02:43', NULL, NULL), (29903, '', '里仁社区', '508f34ede95744d5bee36c85f9419a19', '56a531c656c945dbbf19935c1216630a', 'False', 'True', 'false', 'false', '511424102207', 5, '里仁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424102207', 1, '2021-07-19 12:02:43', NULL, NULL), (29904, '', '金藏村', 'af1267a2b42f4e688eb24d51a91e5d82', '56a531c656c945dbbf19935c1216630a', 'False', 'True', 'false', 'false', '511424107200', 5, '金藏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424107200', 1, '2021-07-19 12:02:43', NULL, NULL), (29905, '', '桂香村', '1f32640adee0436eb35a8bbb13e98e17', '56a531c656c945dbbf19935c1216630a', 'False', 'True', 'false', 'false', '511424107203', 5, '桂香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424107203', 1, '2021-07-19 12:02:43', NULL, NULL), (29906, '', '五龙村', '25ef559a06e84e5eb71ce5eee55d8b14', '56a531c656c945dbbf19935c1216630a', 'False', 'True', 'false', 'false', '511424107201', 5, '五龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424107201', 1, '2021-07-19 12:02:43', NULL, NULL), (29907, '', '双桥社区', '72a66ebcd6f14ea0bfed6b7ddb277098', '56a531c656c945dbbf19935c1216630a', 'False', 'True', 'false', 'false', '511424102001', 5, '双桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424102001', 1, '2021-07-19 12:02:43', NULL, NULL), (29908, '', '中山村', 'b42e2fab0513464e8b212a3e027fbb2c', '56a531c656c945dbbf19935c1216630a', 'False', 'True', 'false', 'false', '511424107206', 5, '中山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424107206', 1, '2021-07-19 12:02:43', NULL, NULL), (29909, '', '张场镇', '1164e9ec9c2b4de1b34c4e1f3636eef3', '2d4f1d23f7d04a059005276bc196b1a0', 'True', 'True', 'false', 'false', '511424108000', 4, '张场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511424108000', 1, '2021-07-19 12:02:43', NULL, NULL), (29910, '', '河湾村', '79b463350a534cf1b563b389625f05af', '1164e9ec9c2b4de1b34c4e1f3636eef3', 'False', 'True', 'false', 'false', '511424108202', 5, '河湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424108202', 1, '2021-07-19 12:02:43', NULL, NULL), (29911, '', '金峡村', 'f2ad8581e39043fc8125dd6eddae4640', '1164e9ec9c2b4de1b34c4e1f3636eef3', 'False', 'True', 'false', 'false', '511424108204', 5, '金峡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424108204', 1, '2021-07-19 12:02:43', NULL, NULL), (29912, '', '峨山村', '9f7735c8ccca4d01a8ce5bde971b2a77', '1164e9ec9c2b4de1b34c4e1f3636eef3', 'False', 'True', 'false', 'false', '511424108205', 5, '峨山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424108205', 1, '2021-07-19 12:02:43', NULL, NULL), (29913, '', '万年村', '8371d40f951e4d149ffceb724872f28f', '1164e9ec9c2b4de1b34c4e1f3636eef3', 'False', 'True', 'false', 'false', '511424108206', 5, '万年村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424108206', 1, '2021-07-19 12:02:43', NULL, NULL), (29914, '', '文武村', '422768fc7e0246868ebdeef55afe3582', '1164e9ec9c2b4de1b34c4e1f3636eef3', 'False', 'True', 'false', 'false', '511424108209', 5, '文武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424108209', 1, '2021-07-19 12:02:43', NULL, NULL), (29915, '', '大田坎村', 'd79155cb694e40caa57c1268d44b3505', '1164e9ec9c2b4de1b34c4e1f3636eef3', 'False', 'True', 'false', 'false', '511424108207', 5, '大田坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424108207', 1, '2021-07-19 12:02:43', NULL, NULL), (29916, '', '廖店村', '7431437aab57415d85cb1495148a98c2', '1164e9ec9c2b4de1b34c4e1f3636eef3', 'False', 'True', 'false', 'false', '511424108211', 5, '廖店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424108211', 1, '2021-07-19 12:02:43', NULL, NULL), (29917, '', '三合村', '52e7712124374506ada6bd1b3ba4daff', '1164e9ec9c2b4de1b34c4e1f3636eef3', 'False', 'True', 'false', 'false', '511424108212', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424108212', 1, '2021-07-19 12:02:43', NULL, NULL), (29918, '', '岐山村', '57c892838e7f4b768894c8b02570fb92', '1164e9ec9c2b4de1b34c4e1f3636eef3', 'False', 'True', 'false', 'false', '511424108214', 5, '岐山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424108214', 1, '2021-07-19 12:02:44', NULL, NULL), (29919, '', '锁江社区', 'c1cf0406dd4c4de3ade7c4ab6017d190', '1164e9ec9c2b4de1b34c4e1f3636eef3', 'False', 'True', 'false', 'false', '511424108200', 5, '锁江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424108200', 1, '2021-07-19 12:02:44', NULL, NULL), (29920, '', '齐乐镇', '111b499355b84d28a0c7a7c50458d3fe', '2d4f1d23f7d04a059005276bc196b1a0', 'True', 'True', 'false', 'false', '511424105000', 4, '齐乐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511424105000', 1, '2021-07-19 12:02:44', NULL, NULL), (29921, '', '城西社区', '3e930d131efb46cabfb8c5b886f56294', '111b499355b84d28a0c7a7c50458d3fe', 'False', 'True', 'false', 'false', '511424105100', 5, '城西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424105100', 1, '2021-07-19 12:02:44', NULL, NULL), (29922, '', '城南社区', '6d88b59c99ca49e894acab8597c546bf', '111b499355b84d28a0c7a7c50458d3fe', 'False', 'True', 'false', 'false', '511424105102', 5, '城南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424105102', 1, '2021-07-19 12:02:44', NULL, NULL), (29923, '', '东升社区', 'd4c03052acc64139ae1b05ba029090a0', '111b499355b84d28a0c7a7c50458d3fe', 'False', 'True', 'false', 'false', '511424105101', 5, '东升社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424105101', 1, '2021-07-19 12:02:44', NULL, NULL), (29924, '', '白塔社区', 'e6079905885f4540811e532fb6ebf746', '111b499355b84d28a0c7a7c50458d3fe', 'False', 'True', 'false', 'false', '511424105103', 5, '白塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424105103', 1, '2021-07-19 12:02:44', NULL, NULL), (29925, '', '大林村', '27dfa91b42d14ebea607815f757a61e2', '111b499355b84d28a0c7a7c50458d3fe', 'False', 'True', 'false', 'false', '511424105202', 5, '大林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424105202', 1, '2021-07-19 12:02:44', NULL, NULL), (29926, '', '青龙村', 'f7da542a2b5548e89efe9c04251d1fb2', '111b499355b84d28a0c7a7c50458d3fe', 'False', 'True', 'false', 'false', '511424105203', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424105203', 1, '2021-07-19 12:02:44', NULL, NULL), (29927, '', '红石村', 'db167bc8e644413fa35c9efe17801dbc', '111b499355b84d28a0c7a7c50458d3fe', 'False', 'True', 'false', 'false', '511424105207', 5, '红石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424105207', 1, '2021-07-19 12:02:44', NULL, NULL), (29928, '', '龙鹄村', 'eaafbce491a64c488c7975c4e3266b72', '111b499355b84d28a0c7a7c50458d3fe', 'False', 'True', 'false', 'false', '511424105208', 5, '龙鹄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424105208', 1, '2021-07-19 12:02:44', NULL, NULL), (29929, '', '龙滩社区', 'edc328cb2a6c4fa7b77ace6e2f54da90', '111b499355b84d28a0c7a7c50458d3fe', 'False', 'True', 'false', 'false', '511424105206', 5, '龙滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424105206', 1, '2021-07-19 12:02:44', NULL, NULL), (29930, '', '新桥社区', '4b6884790e284f50b372942963b65827', '111b499355b84d28a0c7a7c50458d3fe', 'False', 'True', 'false', 'false', '511424105104', 5, '新桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424105104', 1, '2021-07-19 12:02:44', NULL, NULL), (29931, '', '观音社区', 'ee0d7acc26804889844c97690ce6901d', '111b499355b84d28a0c7a7c50458d3fe', 'False', 'True', 'false', 'false', '511424105201', 5, '观音社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424105201', 1, '2021-07-19 12:02:44', NULL, NULL), (29932, '', '狮子社区', '88b8091c1fef4e9ca9c083a79e514147', '111b499355b84d28a0c7a7c50458d3fe', 'False', 'True', 'false', 'false', '511424106208', 5, '狮子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424106208', 1, '2021-07-19 12:02:44', NULL, NULL), (29933, '', '梅湾村', '4a99d154891a42e6919df6c10b5a080d', '111b499355b84d28a0c7a7c50458d3fe', 'False', 'True', 'false', 'false', '511424107208', 5, '梅湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424107208', 1, '2021-07-19 12:02:44', NULL, NULL), (29934, '', '中隆社区', '5329b08ef77d4949be70c1e0939366f2', '111b499355b84d28a0c7a7c50458d3fe', 'False', 'True', 'false', 'false', '511424105001', 5, '中隆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424105001', 1, '2021-07-19 12:02:44', NULL, NULL), (29935, '', '石桥社区', '8f54a108f2ff4769a607067ec221d182', '111b499355b84d28a0c7a7c50458d3fe', 'False', 'True', 'false', 'false', '511424105002', 5, '石桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424105002', 1, '2021-07-19 12:02:44', NULL, NULL), (29936, '', '宿场村', 'd33ad02b70bf469fa5b804ca6a30a4a6', '111b499355b84d28a0c7a7c50458d3fe', 'False', 'True', 'false', 'false', '511424105003', 5, '宿场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424105003', 1, '2021-07-19 12:02:44', NULL, NULL), (29937, '', '黄金村', '376ea364efcf4522b50a883582d1c1eb', '111b499355b84d28a0c7a7c50458d3fe', 'False', 'True', 'false', 'false', '511424107212', 5, '黄金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424107212', 1, '2021-07-19 12:02:44', NULL, NULL), (29938, '', '石河村', 'bdefcaa660e5491bb811fa1302f29ddb', '111b499355b84d28a0c7a7c50458d3fe', 'False', 'True', 'false', 'false', '511424107209', 5, '石河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424107209', 1, '2021-07-19 12:02:45', NULL, NULL), (29939, '', '顺龙乡', '9952ee72f2f74fac9180cd5941beda6f', '2d4f1d23f7d04a059005276bc196b1a0', 'True', 'True', 'false', 'false', '511424204000', 4, '顺龙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511424204000', 1, '2021-07-19 12:02:45', NULL, NULL), (29940, '', '官厅村', 'f9797d6ffde343d99ba47cba43d9b6c0', '9952ee72f2f74fac9180cd5941beda6f', 'False', 'True', 'false', 'false', '511424204203', 5, '官厅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424204203', 1, '2021-07-19 12:02:45', NULL, NULL), (29941, '', '青云村', 'e8249ded061741df9703925793ded466', '9952ee72f2f74fac9180cd5941beda6f', 'False', 'True', 'false', 'false', '511424204202', 5, '青云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424204202', 1, '2021-07-19 12:02:45', NULL, NULL), (29942, '', '柏木村', '23342777fa26402a91a70df6e3daa0e0', '9952ee72f2f74fac9180cd5941beda6f', 'False', 'True', 'false', 'false', '511424204204', 5, '柏木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424204204', 1, '2021-07-19 12:02:45', NULL, NULL), (29943, '', '幸福村', '2cf06e16888e4918bcf84c748f470edd', '9952ee72f2f74fac9180cd5941beda6f', 'False', 'True', 'false', 'false', '511424204201', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511424204201', 1, '2021-07-19 12:02:45', NULL, NULL), (29944, '', '青神县', '7703e99608a2470e9606bf50b60c48d3', '05f86d1b23124e6c9629b5962b9c40bc', 'True', 'True', 'false', 'false', '511425000000', 3, '青神县', 'mssqsx.sczwfw.gov.cn', 1, '2021-07-19 12:02:45', NULL, NULL), (29945, '', '罗波乡', '84bacf91a63f43379685020b8b7d74c4', '7703e99608a2470e9606bf50b60c48d3', 'True', 'True', 'false', 'false', '511425218000', 4, '罗波乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511425218000', 1, '2021-07-19 12:02:45', NULL, NULL), (29946, '', '新桥社区', '11c4acce2b3d4e059661f6186d00fbbd', '84bacf91a63f43379685020b8b7d74c4', 'False', 'True', 'false', 'false', '511425218001', 5, '新桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425218001', 1, '2021-07-19 12:02:45', NULL, NULL), (29947, '', '龙泉村', 'cf607e21adf84bbfa2d944681149beb7', '84bacf91a63f43379685020b8b7d74c4', 'False', 'True', 'false', 'false', '511425218201', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425218201', 1, '2021-07-19 12:02:45', NULL, NULL), (29948, '', '宝镜村', '2c06fb0dc5a74a939af36f3c90cbfa61', '84bacf91a63f43379685020b8b7d74c4', 'False', 'True', 'false', 'false', '511425218203', 5, '宝镜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425218203', 1, '2021-07-19 12:02:45', NULL, NULL), (29949, '', '西坝村', '22c588c63cf74aeab8393c806e1c6de7', '84bacf91a63f43379685020b8b7d74c4', 'False', 'True', 'false', 'false', '511425218204', 5, '西坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425218204', 1, '2021-07-19 12:02:45', NULL, NULL), (29950, '', '官斗山村', '8454c0c4eccd41e7bfbffdbbc30b98f1', '84bacf91a63f43379685020b8b7d74c4', 'False', 'True', 'false', 'false', '511425218210', 5, '官斗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425218210', 1, '2021-07-19 12:02:45', NULL, NULL), (29951, '', '施家沟村', 'd78c6cc71fe74806a03afc728c696e3d', '84bacf91a63f43379685020b8b7d74c4', 'False', 'True', 'false', 'false', '511425218214', 5, '施家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425218214', 1, '2021-07-19 12:02:45', NULL, NULL), (29952, '', '高台镇', 'd639be02c0054059921a373e578f8f3b', '7703e99608a2470e9606bf50b60c48d3', 'True', 'True', 'false', 'false', '511425786000', 4, '高台镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511425786000', 1, '2021-07-19 12:02:45', NULL, NULL), (29953, '', '河坝子社区', '22646aa6b5de4bab86f8d8a15ce07a3c', 'd639be02c0054059921a373e578f8f3b', 'False', 'True', 'false', 'false', '511425112002', 5, '河坝子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425112002', 1, '2021-07-19 12:02:45', NULL, NULL), (29954, '', '安家坝', '82fffe7afa414ca495b6b5d4d3726281', 'd639be02c0054059921a373e578f8f3b', 'False', 'True', 'false', 'false', '511425112203', 5, '安家坝', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425112203', 1, '2021-07-19 12:02:45', NULL, NULL), (29955, '', '玉蟾寺村', '33e847abf5fc42f9af90cd2e93e5b3e2', 'd639be02c0054059921a373e578f8f3b', 'False', 'True', 'false', 'false', '511425112204', 5, '玉蟾寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425112204', 1, '2021-07-19 12:02:45', NULL, NULL), (29956, '', '杨店村', '4b9371184d7a4318999574c95fbba48e', 'd639be02c0054059921a373e578f8f3b', 'False', 'True', 'false', 'false', '511425112205', 5, '杨店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425112205', 1, '2021-07-19 12:02:45', NULL, NULL), (29957, '', '诸葛村', 'ba0634e841f34e1a8f707e5e8ee796a0', 'd639be02c0054059921a373e578f8f3b', 'False', 'True', 'false', 'false', '511425205202', 5, '诸葛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425205202', 1, '2021-07-19 12:02:46', NULL, NULL), (29958, '', '百家池村', '6f0a958e761045418846570aae24ad50', 'd639be02c0054059921a373e578f8f3b', 'False', 'True', 'false', 'false', '511425205204', 5, '百家池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425205204', 1, '2021-07-19 12:02:46', NULL, NULL), (29959, '', '富塘村', '3732bcce07324c0ab454c12c4805660b', 'd639be02c0054059921a373e578f8f3b', 'False', 'True', 'false', 'false', '511425205210', 5, '富塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425205210', 1, '2021-07-19 12:02:46', NULL, NULL), (29960, '', '麻柳社区', '4b7e497dd76d4b01bd4e06912dc725b4', 'd639be02c0054059921a373e578f8f3b', 'False', 'True', 'false', 'false', '511425786159', 5, '麻柳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425786159', 1, '2021-07-19 12:02:46', NULL, NULL), (29961, '', '汉阳镇', 'b0d38acbe4b542d0a396da3486482b9a', '7703e99608a2470e9606bf50b60c48d3', 'True', 'True', 'false', 'false', '511425102000', 4, '汉阳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511425102000', 1, '2021-07-19 12:02:46', NULL, NULL), (29962, '', '文新村', 'd45d3bbff3ad46ca98c86ab56517cea6', 'b0d38acbe4b542d0a396da3486482b9a', 'False', 'True', 'false', 'false', '511425102201', 5, '文新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425102201', 1, '2021-07-19 12:02:46', NULL, NULL), (29963, '', '汉阳场社区', 'a3ecfda0dd564c44a4efef4e628467b9', 'b0d38acbe4b542d0a396da3486482b9a', 'False', 'True', 'false', 'false', '511425102001', 5, '汉阳场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425102001', 1, '2021-07-19 12:02:46', NULL, NULL), (29964, '', '小三峡村', 'fa407e63d27242fd89abd8bed4abe0bc', 'b0d38acbe4b542d0a396da3486482b9a', 'False', 'True', 'false', 'false', '511425102208', 5, '小三峡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425102208', 1, '2021-07-19 12:02:46', NULL, NULL), (29965, '', '青竹街道', '02ae896af8ad4cf5824034a18f686910', '7703e99608a2470e9606bf50b60c48d3', 'True', 'True', 'false', 'false', '511425107000', 4, '青竹街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511425107000', 1, '2021-07-19 12:02:46', NULL, NULL), (29966, '', '青衣社区', '2e62a32a487f4e6c8c5adf93fb247d36', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425001003', 5, '青衣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425001003', 1, '2021-07-19 12:02:46', NULL, NULL), (29967, '', '麒麟社区', 'e0b3de3e8f4c4e7b8363d40ed43cadf7', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425001009', 5, '麒麟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425001009', 1, '2021-07-19 12:02:46', NULL, NULL), (29968, '', '蚕丛社区', 'e483023708294eac8eb04629b92204e0', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425001010', 5, '蚕丛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425001010', 1, '2021-07-19 12:02:46', NULL, NULL), (29969, '', '红桥社区', '9dc56d6931184f70bb3d761b5c50279d', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425001011', 5, '红桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425001011', 1, '2021-07-19 12:02:46', NULL, NULL), (29970, '', '黑龙社区', '5f4ba2e225434a5c9c315d33700fe623', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425001012', 5, '黑龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425001012', 1, '2021-07-19 12:02:46', NULL, NULL), (29971, '', '兰沟村', '3f7678b1bdd74cf394b5ba4ceece37a5', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425001201', 5, '兰沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425001201', 1, '2021-07-19 12:02:46', NULL, NULL), (29972, '', '程家嘴村', '8378c3b84bad41458ed49d8971c551a9', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425001202', 5, '程家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425001202', 1, '2021-07-19 12:02:46', NULL, NULL), (29973, '', '沙河村', '6107faaba568466c956ab81aec628399', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425001203', 5, '沙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425001203', 1, '2021-07-19 12:02:46', NULL, NULL), (29974, '', '白塔村', 'c2a19a7a0eec4d30beff319a9904a5bc', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425001204', 5, '白塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425001204', 1, '2021-07-19 12:02:46', NULL, NULL), (29975, '', '鸿化村', '2265f6acca864f248d086309a8a15ce6', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425001205', 5, '鸿化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425001205', 1, '2021-07-19 12:02:46', NULL, NULL), (29976, '', '桥楼村', 'bacdaeb1db1e4d66bffd85f48edf8067', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425001206', 5, '桥楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425001206', 1, '2021-07-19 12:02:47', NULL, NULL), (29977, '', '季时坝村', '6d72e43dffd44118b8130667ea411ea8', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425001207', 5, '季时坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425001207', 1, '2021-07-19 12:02:47', NULL, NULL), (29978, '', '新光村', '4383b815b4c644c5bdc26590ea5394be', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425001208', 5, '新光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425001208', 1, '2021-07-19 12:02:47', NULL, NULL), (29979, '', '光辉村', '7784349c9b2f4c7c9a826196464c5eb8', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425001209', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425001209', 1, '2021-07-19 12:02:47', NULL, NULL), (29980, '', '钟家山村', '659ecce98e384c769f5ee8d53088a09e', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425001210', 5, '钟家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425001210', 1, '2021-07-19 12:02:47', NULL, NULL), (29981, '', '凤阳社区', 'b9fc359b2f5142c097f4fe9a22ec9630', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425107001', 5, '凤阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425107001', 1, '2021-07-19 12:02:47', NULL, NULL), (29982, '', '文林社区', 'fe849a40b32945b18a6575d07e3bd608', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425107002', 5, '文林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425107002', 1, '2021-07-19 12:02:47', NULL, NULL), (29983, '', '花园社区', '83dc56990dbb4a2d8cfeffbbaf091802', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425107003', 5, '花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425107003', 1, '2021-07-19 12:02:47', NULL, NULL), (29984, '', '建华社区', 'e080e8afdaf34471aeee2bce23062897', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425107004', 5, '建华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425107004', 1, '2021-07-19 12:02:47', NULL, NULL), (29985, '', '游滩社区', 'c77ad3af16dd4e7e9382a4de6ab15b25', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425107006', 5, '游滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425107006', 1, '2021-07-19 12:02:47', NULL, NULL), (29986, '', '五更桥社区', '566a606c844a4884bb9d1f081548c309', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425107007', 5, '五更桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425107007', 1, '2021-07-19 12:02:47', NULL, NULL), (29987, '', '盐关社区', '17703e2e4cbd4d4e98f61423efc4aa15', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425107009', 5, '盐关社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425107009', 1, '2021-07-19 12:02:47', NULL, NULL), (29988, '', '柳溪村', '0521210221214c60916cf521c960f9d9', '02ae896af8ad4cf5824034a18f686910', 'False', 'True', 'false', 'false', '511425107208', 5, '柳溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425107208', 1, '2021-07-19 12:02:47', NULL, NULL), (29989, '', '西龙镇', '0f4061acdeb449ab8b383758ead912c3', '7703e99608a2470e9606bf50b60c48d3', 'True', 'True', 'false', 'false', '511425110000', 4, '西龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511425110000', 1, '2021-07-19 12:02:47', NULL, NULL), (29990, '', '新农村', '8a7d210ccdcc48598609ee2c84ae55ad', '0f4061acdeb449ab8b383758ead912c3', 'False', 'True', 'false', 'false', '511425110200', 5, '新农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425110200', 1, '2021-07-19 12:02:47', NULL, NULL), (29991, '', '龙凤社区', '528860d80bf54e6d89e97068759b6969', '0f4061acdeb449ab8b383758ead912c3', 'False', 'True', 'false', 'false', '511425110202', 5, '龙凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425110202', 1, '2021-07-19 12:02:47', NULL, NULL), (29992, '', '长池村', '1810c014963f42af8d65333f28a55b9e', '0f4061acdeb449ab8b383758ead912c3', 'False', 'True', 'false', 'false', '511425110204', 5, '长池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425110204', 1, '2021-07-19 12:02:47', NULL, NULL), (29993, '', '桂花村', 'ce35b01307754267b97995d603ad76f5', '0f4061acdeb449ab8b383758ead912c3', 'False', 'True', 'false', 'false', '511425110212', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425110212', 1, '2021-07-19 12:02:47', NULL, NULL), (29994, '', '观金社区', 'af90a8213959466a95d2206b5e59ccc0', '0f4061acdeb449ab8b383758ead912c3', 'False', 'True', 'false', 'false', '511425110220', 5, '观金社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425110220', 1, '2021-07-19 12:02:47', NULL, NULL), (29995, '', '万沟村', '595126978f2747898b9abd50a2c9c00f', '0f4061acdeb449ab8b383758ead912c3', 'False', 'True', 'false', 'false', '511425110222', 5, '万沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425110222', 1, '2021-07-19 12:02:47', NULL, NULL), (29996, '', '金花村', 'a3e91e0bf0224219b4f2267ef5493823', '0f4061acdeb449ab8b383758ead912c3', 'False', 'True', 'false', 'false', '511425110224', 5, '金花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425110224', 1, '2021-07-19 12:02:48', NULL, NULL), (29997, '', '白果乡', 'e3d8f14d4c0641af8c41006725d19b34', '7703e99608a2470e9606bf50b60c48d3', 'True', 'True', 'false', 'false', '511425217000', 4, '白果乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511425217000', 1, '2021-07-19 12:02:48', NULL, NULL), (29998, '', '虎渡社区', '2ab2ae22361a4f488b501fa05fef30c9', 'e3d8f14d4c0641af8c41006725d19b34', 'False', 'True', 'false', 'false', '511425217001', 5, '虎渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425217001', 1, '2021-07-19 12:02:48', NULL, NULL), (29999, '', '甘家沟村', '9a9ca5e740b7407aa85cc08235d14e3c', 'e3d8f14d4c0641af8c41006725d19b34', 'False', 'True', 'false', 'false', '511425217204', 5, '甘家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425217204', 1, '2021-07-19 12:02:48', NULL, NULL), (30000, '', '官厅坝村', '730358901ff544fdae746988e80fe46b', 'e3d8f14d4c0641af8c41006725d19b34', 'False', 'True', 'false', 'false', '511425217208', 5, '官厅坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425217208', 1, '2021-07-19 12:02:48', NULL, NULL), (30001, '', '五嘉坝村', 'ed14ad016cca47828d6232e9f9201601', 'e3d8f14d4c0641af8c41006725d19b34', 'False', 'True', 'false', 'false', '511425217216', 5, '五嘉坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425217216', 1, '2021-07-19 12:02:48', NULL, NULL), (30002, '', '罗湾村', '57194f1244804ceba7693e00f9e26bb6', 'e3d8f14d4c0641af8c41006725d19b34', 'False', 'True', 'false', 'false', '511425217219', 5, '罗湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425217219', 1, '2021-07-19 12:02:48', NULL, NULL), (30003, '', '胡坝村', '4973f82108cf4fbe88c2ef75f1c2aaef', 'e3d8f14d4c0641af8c41006725d19b34', 'False', 'True', 'false', 'false', '511425217225', 5, '胡坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425217225', 1, '2021-07-19 12:02:48', NULL, NULL), (30004, '', '三清寺村', '50e1292154f64b0f88a3a8655ceb67e9', 'e3d8f14d4c0641af8c41006725d19b34', 'False', 'True', 'false', 'false', '511425217227', 5, '三清寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425217227', 1, '2021-07-19 12:02:48', NULL, NULL), (30005, '', '瑞峰镇', '6327419c68e54505a6041312356a2e73', '7703e99608a2470e9606bf50b60c48d3', 'True', 'True', 'false', 'false', '511425950000', 4, '瑞峰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511425950000', 1, '2021-07-19 12:02:48', NULL, NULL), (30006, '', '杨柳漕村', '1c229177f7084fb7b5818acf7a205fbc', '6327419c68e54505a6041312356a2e73', 'False', 'True', 'false', 'false', '511425108205', 5, '杨柳漕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425108205', 1, '2021-07-19 12:02:48', NULL, NULL), (30007, '', '中岩村', '3f94c392ae594ed9829ec176012e6d43', '6327419c68e54505a6041312356a2e73', 'False', 'True', 'false', 'false', '511425108208', 5, '中岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425108208', 1, '2021-07-19 12:02:48', NULL, NULL), (30008, '', '天池村', '6156f6c7826c4a41b3e16ff2a3aae73b', '6327419c68e54505a6041312356a2e73', 'False', 'True', 'false', 'false', '511425108212', 5, '天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425108212', 1, '2021-07-19 12:02:48', NULL, NULL), (30009, '', '刘家场社区', 'ea12cfb53ecd4756bf609307760673ec', '6327419c68e54505a6041312356a2e73', 'False', 'True', 'false', 'false', '511425950473', 5, '刘家场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511425950473', 1, '2021-07-19 12:02:48', NULL, NULL), (30010, '', '天府新区（眉山片区）', '5080e453cb3546ca85b4cdcc0fca2f2f', '05f86d1b23124e6c9629b5962b9c40bc', 'True', 'True', 'false', 'false', '511411000000', 3, '天府新区', 'msstfxq.sczwfw.gov.cn', 1, '2021-07-19 12:02:48', NULL, NULL), (30011, '', '青龙街道', '4b073860bbc441f7b54ad49275956b6b', '5080e453cb3546ca85b4cdcc0fca2f2f', 'True', 'True', 'false', 'false', '511411003000', 4, '青龙街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511411003000', 1, '2021-07-19 12:02:48', NULL, NULL), (30012, '', '青龙街道永远社区', 'e8cbe955f03b4688ad52ee815f81677f', '4b073860bbc441f7b54ad49275956b6b', 'False', 'True', 'false', 'false', '511411003001', 5, '永远社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411003001', 1, '2021-07-19 12:02:48', NULL, NULL), (30013, '', '青龙街道莲池社区', '638e170823d3402cb4a408de2c3878bf', '4b073860bbc441f7b54ad49275956b6b', 'False', 'True', 'false', 'false', '511411003002', 5, '莲池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411003002', 1, '2021-07-19 12:02:48', NULL, NULL), (30014, '', '青龙街道龙都社区', 'db2b4d50f92944b4b6fb8bef8a101a9c', '4b073860bbc441f7b54ad49275956b6b', 'False', 'True', 'false', 'false', '511411003003', 5, '龙都社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411003003', 1, '2021-07-19 12:02:48', NULL, NULL), (30015, '', '青龙街道先锋社区', 'a08487a498d847ef9056318e4742418b', '4b073860bbc441f7b54ad49275956b6b', 'False', 'True', 'false', 'false', '511411003004', 5, '先锋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411003004', 1, '2021-07-19 12:02:48', NULL, NULL), (30016, '', '青龙街道同乐村', '06c95f8a76ce4277b04a7da57a5e8579', '4b073860bbc441f7b54ad49275956b6b', 'False', 'True', 'false', 'false', '511411003222', 5, '同乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411003222', 1, '2021-07-19 12:02:48', NULL, NULL), (30017, '', '青龙街道桂林村', '2153e4379b594abaadc3d557e65e921f', '4b073860bbc441f7b54ad49275956b6b', 'False', 'True', 'false', 'false', '511411003224', 5, '桂林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411003224', 1, '2021-07-19 12:02:48', NULL, NULL), (30018, '', '青龙街道狮子村', '443b33a1571144a59ca1e0f42f44847a', '4b073860bbc441f7b54ad49275956b6b', 'False', 'True', 'false', 'false', '511411003225', 5, '狮子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411003225', 1, '2021-07-19 12:02:49', NULL, NULL), (30019, '', '视高街道', 'e205a7afb34b4c79a1f18f407a3aeab7', '5080e453cb3546ca85b4cdcc0fca2f2f', 'True', 'True', 'false', 'false', '511411004000', 4, '视高街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511411004000', 1, '2021-07-19 12:02:49', NULL, NULL), (30020, '', '视高街道清水铺社区', '45b6fe1639a74aeb8cf924dbc6aae73e', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004001', 5, '清水铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004001', 1, '2021-07-19 12:02:49', NULL, NULL), (30021, '', '视高街道府河社区', '24a80de542be4b68a24689fcb2c902a1', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004002', 5, '府河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004002', 1, '2021-07-19 12:02:49', NULL, NULL), (30022, '', '视高街道十一社区', 'c54aafa5fbb14c7b80ad97d2abee6fd2', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004003', 5, '十一社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004003', 1, '2021-07-19 12:02:49', NULL, NULL), (30023, '', '视高街道南桥社区', 'a97c327fe4724966a6c7a987c4a2c0b2', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004004', 5, '南桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004004', 1, '2021-07-19 12:02:49', NULL, NULL), (30024, '', '视高街道五里社区', '268b645dd9d6479e860c0b9721209369', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004005', 5, '五里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004005', 1, '2021-07-19 12:02:49', NULL, NULL), (30025, '', '视高街道大坡社区', '775436ce367a49a7bc1b08187dbde3c3', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004006', 5, '大坡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004006', 1, '2021-07-19 12:02:49', NULL, NULL), (30026, '', '视高街道团结社区', '7927c2300d7b45fda72d150acf9b337d', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004007', 5, '团结社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004007', 1, '2021-07-19 12:02:49', NULL, NULL), (30027, '', '视高街道百花社区', '5e6652e88ab442e1bcaf87f1565e1308', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004008', 5, '百花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004008', 1, '2021-07-19 12:02:49', NULL, NULL), (30028, '', '视高街道视高铺社区', 'c337ca088b42483f992fcb720ccb4d37', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004009', 5, '视高铺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004009', 1, '2021-07-19 12:02:49', NULL, NULL), (30029, '', '视高街道老君社区', '1f2ded87c8fa49e79fe6a52b2c74fd83', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004010', 5, '老君社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004010', 1, '2021-07-19 12:02:49', NULL, NULL), (30030, '', '视高街道青林社区', 'f75d2c5608854cf0b7e87a3bc8fcb69b', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004011', 5, '青林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004011', 1, '2021-07-19 12:02:49', NULL, NULL), (30031, '', '视高街道奋勇社区', 'c25ddfe3153248f3a508f7aa2ef6b6f1', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004013', 5, '奋勇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004013', 1, '2021-07-19 12:02:49', NULL, NULL), (30032, '', '视高街道二峨社区', '388e523c7a9c4c77b3ad10d0f1a5cbca', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004014', 5, '二峨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004014', 1, '2021-07-19 12:02:49', NULL, NULL), (30033, '', '视高街道永兴社区', 'bd852e3446574050a55e9b517f8aa5c3', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004015', 5, '永兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004015', 1, '2021-07-19 12:02:49', NULL, NULL), (30034, '', '视高街道洪塘社区', '0fc7068273d0479e82a793ff60922be4', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004016', 5, '洪塘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004016', 1, '2021-07-19 12:02:49', NULL, NULL), (30035, '', '视高街道里仁社区', '04c573e552b04a759a9f15fc7c6a8aba', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004017', 5, '里仁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004017', 1, '2021-07-19 12:02:49', NULL, NULL), (30036, '', '视高街道花园社区', '069eb11f45754474a950ca76ea45f78f', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004018', 5, '花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004018', 1, '2021-07-19 12:02:49', NULL, NULL), (30037, '', '视高街道水源村', 'b9769341cad04e1e9cc4b2e319837d44', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004201', 5, '水源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004201', 1, '2021-07-19 12:02:50', NULL, NULL), (30038, '', '视高街道新安村', '50f3bd3d196e419ea474d2fcb9cbd77d', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004202', 5, '新安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004202', 1, '2021-07-19 12:02:50', NULL, NULL), (30039, '', '视高街道新明村', 'eb9b03f504db4bad86bb8e8010da6e6d', 'e205a7afb34b4c79a1f18f407a3aeab7', 'False', 'True', 'false', 'false', '511411004203', 5, '新明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411004203', 1, '2021-07-19 12:02:50', NULL, NULL), (30040, '', '锦江镇', '458609596ee442518268213707ee4b62', '5080e453cb3546ca85b4cdcc0fca2f2f', 'True', 'True', 'false', 'false', '511411110000', 4, '锦江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511411110000', 1, '2021-07-19 12:02:50', NULL, NULL), (30041, '', '锦江镇毛家渡社区', '0c7698788aeb409eb8130f8417734f03', '458609596ee442518268213707ee4b62', 'False', 'True', 'false', 'false', '511411110001', 5, '毛家渡社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411110001', 1, '2021-07-19 12:02:50', NULL, NULL), (30042, '', '锦江镇牧马社区', '2680bd6479004577a36ea5074a44c3fe', '458609596ee442518268213707ee4b62', 'False', 'True', 'false', 'false', '511411110002', 5, '牧马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411110002', 1, '2021-07-19 12:02:50', NULL, NULL), (30043, '', '锦江镇莲花社区', '3fd7045dc54d4455bb8b04c057195c66', '458609596ee442518268213707ee4b62', 'False', 'True', 'false', 'false', '511411110003', 5, '莲花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411110003', 1, '2021-07-19 12:02:50', NULL, NULL), (30044, '', '锦江镇锦江社区', '057f6e6df4e2456a827b36e4c61bb4f7', '458609596ee442518268213707ee4b62', 'False', 'True', 'false', 'false', '511411110005', 5, '锦江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411110005', 1, '2021-07-19 12:02:50', NULL, NULL), (30045, '', '锦江镇天宫村', 'dff0b37f1af246a8af39ce0152f7b39c', '458609596ee442518268213707ee4b62', 'False', 'True', 'false', 'false', '511411110203', 5, '天宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411110203', 1, '2021-07-19 12:02:50', NULL, NULL), (30046, '', '锦江镇正华村', 'a43c547637344e9ea7bf60caad8c0803', '458609596ee442518268213707ee4b62', 'False', 'True', 'false', 'false', '511411110206', 5, '正华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411110206', 1, '2021-07-19 12:02:50', NULL, NULL), (30047, '', '锦江镇象耳村', 'c654e0187692408791f26f22f11bc276', '458609596ee442518268213707ee4b62', 'False', 'True', 'false', 'false', '511411110211', 5, '象耳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411110211', 1, '2021-07-19 12:02:50', NULL, NULL), (30048, '', '北斗镇', '467816ca0daf44c2b79e30c31e4e3688', '5080e453cb3546ca85b4cdcc0fca2f2f', 'True', 'True', 'false', 'false', '511411111000', 4, '北斗镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511411111000', 1, '2021-07-19 12:02:50', NULL, NULL), (30049, '', '北斗镇玉泉社区', 'e84b210f553840ddaa4c042fb571cdc4', '467816ca0daf44c2b79e30c31e4e3688', 'False', 'True', 'false', 'false', '511411111001', 5, '玉泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411111001', 1, '2021-07-19 12:02:50', NULL, NULL), (30050, '', '北斗镇大桥社区', '0ca23050f1df4c2ebd299b54f0ca8116', '467816ca0daf44c2b79e30c31e4e3688', 'False', 'True', 'false', 'false', '511411111002', 5, '大桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411111002', 1, '2021-07-19 12:02:50', NULL, NULL), (30051, '', '北斗镇灯杆村', '1a9d53a8c11747349187ff40bdb03b32', '467816ca0daf44c2b79e30c31e4e3688', 'False', 'True', 'false', 'false', '511411111201', 5, '灯杆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411111201', 1, '2021-07-19 12:02:51', NULL, NULL), (30052, '', '北斗镇三元村', '0cbb88abbe01448fa191230a7e8796cc', '467816ca0daf44c2b79e30c31e4e3688', 'False', 'True', 'false', 'false', '511411111202', 5, '三元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411111202', 1, '2021-07-19 12:02:51', NULL, NULL), (30053, '', '北斗镇秋堂村', '0029e87b152e4ba5b6346776635711d6', '467816ca0daf44c2b79e30c31e4e3688', 'False', 'True', 'false', 'false', '511411111214', 5, '秋堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411111214', 1, '2021-07-19 12:02:51', NULL, NULL), (30054, '', '北斗镇碧山村', '059cd16844c8415cb450110deed20508', '467816ca0daf44c2b79e30c31e4e3688', 'False', 'True', 'false', 'false', '511411111221', 5, '碧山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411111221', 1, '2021-07-19 12:02:51', NULL, NULL), (30055, '', '北斗镇城堰村', '1885dcc1f14140a083f7eae23b20df85', '467816ca0daf44c2b79e30c31e4e3688', 'False', 'True', 'false', 'false', '511411111225', 5, '城堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411111225', 1, '2021-07-19 12:02:51', NULL, NULL), (30056, '', '北斗镇甘泉村', '5ae8fbbb602243b9a7d89322d83f5549', '467816ca0daf44c2b79e30c31e4e3688', 'False', 'True', 'false', 'false', '511411111226', 5, '甘泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411111226', 1, '2021-07-19 12:02:51', NULL, NULL), (30057, '', '北斗镇金耀村', 'ddf6b22f1c9a410595b6a713a975b5d3', '467816ca0daf44c2b79e30c31e4e3688', 'False', 'True', 'false', 'false', '511411111227', 5, '金耀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411111227', 1, '2021-07-19 12:02:51', NULL, NULL), (30058, '', '北斗镇龙凤村', 'c32ff943265b476c964eb363770e723c', '467816ca0daf44c2b79e30c31e4e3688', 'False', 'True', 'false', 'false', '511411111228', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411111228', 1, '2021-07-19 12:02:51', NULL, NULL), (30059, '', '北斗镇石河村', '36162a73dcc541599548aef8c1894c01', '467816ca0daf44c2b79e30c31e4e3688', 'False', 'True', 'false', 'false', '511411111229', 5, '石河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411111229', 1, '2021-07-19 12:02:51', NULL, NULL), (30060, '', '龙马镇', '8171b732996c42ce82e83657cb8d2740', '5080e453cb3546ca85b4cdcc0fca2f2f', 'True', 'True', 'false', 'false', '511411116000', 4, '龙马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511411116000', 1, '2021-07-19 12:02:51', NULL, NULL), (30061, '', '龙马镇马家社区', '2deaaa6d8722448198abebfb8510fa30', '8171b732996c42ce82e83657cb8d2740', 'False', 'True', 'false', 'false', '511411116001', 5, '马家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411116001', 1, '2021-07-19 12:02:51', NULL, NULL), (30062, '', '龙马镇龙凤社区', '3ea7c59ea160483ca9c12b550ec4119d', '8171b732996c42ce82e83657cb8d2740', 'False', 'True', 'false', 'false', '511411116002', 5, '龙凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411116002', 1, '2021-07-19 12:02:51', NULL, NULL), (30063, '', '龙马镇狮岭村', '6bfd3b1162114f68a7d6b638e0b3ae04', '8171b732996c42ce82e83657cb8d2740', 'False', 'True', 'false', 'false', '511411116201', 5, '狮岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411116201', 1, '2021-07-19 12:02:51', NULL, NULL), (30064, '', '龙马镇万古村', '34aa02668b3843d6bf88bccb770c0f07', '8171b732996c42ce82e83657cb8d2740', 'False', 'True', 'false', 'false', '511411116214', 5, '万古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411116214', 1, '2021-07-19 12:02:51', NULL, NULL), (30065, '', '龙马镇东山村', 'e1805c009a7943e89f3f9a34a168ec9a', '8171b732996c42ce82e83657cb8d2740', 'False', 'True', 'false', 'false', '511411116217', 5, '东山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411116217', 1, '2021-07-19 12:02:51', NULL, NULL), (30066, '', '龙马镇凤凰村', 'b93cbe8e21ef4edca5e205586a940e32', '8171b732996c42ce82e83657cb8d2740', 'False', 'True', 'false', 'false', '511411116218', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411116218', 1, '2021-07-19 12:02:51', NULL, NULL), (30067, '', '龙马镇爱群村', 'b532c057a57149789159f4fc8319a874', '8171b732996c42ce82e83657cb8d2740', 'False', 'True', 'false', 'false', '511411116219', 5, '爱群村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411116219', 1, '2021-07-19 12:02:52', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (30068, '', '龙马镇长河村', '970fd61d5daa40f1a60517704b7a58e1', '8171b732996c42ce82e83657cb8d2740', 'False', 'True', 'false', 'false', '511411116220', 5, '长河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411116220', 1, '2021-07-19 12:02:52', NULL, NULL), (30069, '', '龙马镇江西村', '70c2cb27139649bb9d2ddb46731340c5', '8171b732996c42ce82e83657cb8d2740', 'False', 'True', 'false', 'false', '511411116224', 5, '江西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411116224', 1, '2021-07-19 12:02:52', NULL, NULL), (30070, '', '龙马镇双丰村', 'cbbbba56cdc7434980da6ff46b9a1f67', '8171b732996c42ce82e83657cb8d2740', 'False', 'True', 'false', 'false', '511411116225', 5, '双丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411116225', 1, '2021-07-19 12:02:52', NULL, NULL), (30071, '', '龙马镇世享村', '6e19bcac561f40cfa175ae80535f74dc', '8171b732996c42ce82e83657cb8d2740', 'False', 'True', 'false', 'false', '511411116226', 5, '世享村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411116226', 1, '2021-07-19 12:02:52', NULL, NULL), (30072, '', '龙马镇凤梧村', 'affc3a0b734c4b3abd37052cb4f08cca', '8171b732996c42ce82e83657cb8d2740', 'False', 'True', 'false', 'false', '511411116227', 5, '凤梧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411116227', 1, '2021-07-19 12:02:52', NULL, NULL), (30073, '', '龙马镇龙桥村', '7eeb8d7b493442b48b3eac9fb980d11d', '8171b732996c42ce82e83657cb8d2740', 'False', 'True', 'false', 'false', '511411116228', 5, '龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411116228', 1, '2021-07-19 12:02:52', NULL, NULL), (30074, '', '贵平镇', 'eafa92345e1343ae99a788c45c045ecb', '5080e453cb3546ca85b4cdcc0fca2f2f', 'True', 'True', 'false', 'false', '511411146000', 4, '贵平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511411146000', 1, '2021-07-19 12:02:52', NULL, NULL), (30075, '', '贵平镇向家社区', 'a7a5ac6534a747cda21ebed44019feeb', 'eafa92345e1343ae99a788c45c045ecb', 'False', 'True', 'false', 'false', '511411146001', 5, '向家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411146001', 1, '2021-07-19 12:02:52', NULL, NULL), (30076, '', '贵平镇观寺社区', 'b9d24896561b4e84bc281adc510f802d', 'eafa92345e1343ae99a788c45c045ecb', 'False', 'True', 'false', 'false', '511411146002', 5, '观寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411146002', 1, '2021-07-19 12:02:52', NULL, NULL), (30077, '', '贵平镇中岗村', '0930f6ec4d24414f8db13bcb128a0312', 'eafa92345e1343ae99a788c45c045ecb', 'False', 'True', 'false', 'false', '511411146201', 5, '中岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411146201', 1, '2021-07-19 12:02:52', NULL, NULL), (30078, '', '贵平镇静宁村', '1242b66d6ecd46f288be6374f8b3cf2c', 'eafa92345e1343ae99a788c45c045ecb', 'False', 'True', 'false', 'false', '511411146202', 5, '静宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411146202', 1, '2021-07-19 12:02:52', NULL, NULL), (30079, '', '贵平镇龙江村', '69dd369661df4416a5a125ac54dd5d55', 'eafa92345e1343ae99a788c45c045ecb', 'False', 'True', 'false', 'false', '511411146203', 5, '龙江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411146203', 1, '2021-07-19 12:02:52', NULL, NULL), (30080, '', '贵平镇粮丰村', '60dde2cfbdea42e083a5338fbbd1d456', 'eafa92345e1343ae99a788c45c045ecb', 'False', 'True', 'false', 'false', '511411146204', 5, '粮丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411146204', 1, '2021-07-19 12:02:52', NULL, NULL), (30081, '', '贵平镇天宫村', '01babe2ae4784b699ee59b639c22b780', 'eafa92345e1343ae99a788c45c045ecb', 'False', 'True', 'false', 'false', '511411146205', 5, '天宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411146205', 1, '2021-07-19 12:02:52', NULL, NULL), (30082, '', '贵平镇贵坪村', 'e79c561c476547ebad9c40419b641e94', 'eafa92345e1343ae99a788c45c045ecb', 'False', 'True', 'false', 'false', '511411146206', 5, '贵坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411146206', 1, '2021-07-19 12:02:52', NULL, NULL), (30083, '', '贵平镇平安村', 'd95dad8ac8494e459075cbd01a228a22', 'eafa92345e1343ae99a788c45c045ecb', 'False', 'True', 'false', 'false', '511411146207', 5, '平安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411146207', 1, '2021-07-19 12:02:52', NULL, NULL), (30084, '', '贵平镇林河村', 'e2f29ffead25430a9a381bb64a41b869', 'eafa92345e1343ae99a788c45c045ecb', 'False', 'True', 'false', 'false', '511411146208', 5, '林河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411146208', 1, '2021-07-19 12:02:52', NULL, NULL), (30085, '', '贵平镇火炬村', 'fe003afeb38b4316b823578abb39e6b5', 'eafa92345e1343ae99a788c45c045ecb', 'False', 'True', 'false', 'false', '511411146209', 5, '火炬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411146209', 1, '2021-07-19 12:02:53', NULL, NULL), (30086, '', '贵平镇庆祝村', 'd6e914d8f4694dcf9f90cb19588d57b0', 'eafa92345e1343ae99a788c45c045ecb', 'False', 'True', 'false', 'false', '511411146210', 5, '庆祝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411146210', 1, '2021-07-19 12:02:53', NULL, NULL), (30087, '', '贵平镇龙岩村', 'fb15c8cf464a4168b15b238149e6d31d', 'eafa92345e1343ae99a788c45c045ecb', 'False', 'True', 'false', 'false', '511411146211', 5, '龙岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411146211', 1, '2021-07-19 12:02:53', NULL, NULL), (30088, '', '贵平镇升龙村', 'c3adc8618eb64411803db2b09055e798', 'eafa92345e1343ae99a788c45c045ecb', 'False', 'True', 'false', 'false', '511411146212', 5, '升龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411146212', 1, '2021-07-19 12:02:53', NULL, NULL), (30089, '', '贵平镇三峨村', 'df9d487311094a15bafb7bf20d5b3630', 'eafa92345e1343ae99a788c45c045ecb', 'False', 'True', 'false', 'false', '511411146213', 5, '三峨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411146213', 1, '2021-07-19 12:02:53', NULL, NULL), (30090, '', '贵平镇火花村', 'e59b9bddbe794dad95fc596d34732f04', 'eafa92345e1343ae99a788c45c045ecb', 'False', 'True', 'false', 'false', '511411146214', 5, '火花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411146214', 1, '2021-07-19 12:02:53', NULL, NULL), (30091, '', '高家镇', 'bf65a19862fd4100a8907740d770d66a', '5080e453cb3546ca85b4cdcc0fca2f2f', 'True', 'True', 'false', 'false', '511411103000', 4, '高家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=511411103000', 1, '2021-07-19 12:02:53', NULL, NULL), (30092, '', '高家镇鳌陵社区', '251d4c1daf1247f9bff044b83c13d185', 'bf65a19862fd4100a8907740d770d66a', 'False', 'True', 'false', 'false', '511411103002', 5, '鳌陵社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411103002', 1, '2021-07-19 12:02:53', NULL, NULL), (30093, '', '高家镇双河社区', '984b6af557fa4838bcbf3fdfa8eafb3c', 'bf65a19862fd4100a8907740d770d66a', 'False', 'True', 'false', 'false', '511411103003', 5, '双河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411103003', 1, '2021-07-19 12:02:53', NULL, NULL), (30094, '', '高家镇花园社区', '3330261d0fd8497c931df846378d6f09', 'bf65a19862fd4100a8907740d770d66a', 'False', 'True', 'false', 'false', '511411103012', 5, '花园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411103012', 1, '2021-07-19 12:02:53', NULL, NULL), (30095, '', '高家镇鹰头村', 'b8dbbd2b87684860bd2452c29798ecab', 'bf65a19862fd4100a8907740d770d66a', 'False', 'True', 'false', 'false', '511411103201', 5, '鹰头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411103201', 1, '2021-07-19 12:02:53', NULL, NULL), (30096, '', '高家镇金河村', 'd026f1a5d2f44c3ba04f9514fc1906a6', 'bf65a19862fd4100a8907740d770d66a', 'False', 'True', 'false', 'false', '511411103202', 5, '金河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411103202', 1, '2021-07-19 12:02:53', NULL, NULL), (30097, '', '高家镇罗汉村', '5c4dce6f26c34936badaa1c86b0864bc', 'bf65a19862fd4100a8907740d770d66a', 'False', 'True', 'false', 'false', '511411103203', 5, '罗汉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411103203', 1, '2021-07-19 12:02:53', NULL, NULL), (30098, '', '高家镇中坝村', '6d41a33f77af44cdb3f64f6eec49ea7d', 'bf65a19862fd4100a8907740d770d66a', 'False', 'True', 'false', 'false', '511411103205', 5, '中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411103205', 1, '2021-07-19 12:02:53', NULL, NULL), (30099, '', '高家镇千丘村', '98a70326194d4852aec8b7b52c2060c2', 'bf65a19862fd4100a8907740d770d66a', 'False', 'True', 'false', 'false', '511411103206', 5, '千丘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411103206', 1, '2021-07-19 12:02:53', NULL, NULL), (30100, '', '高家镇集中村', '82fe68bd1d474d1bacb3ee22da680907', 'bf65a19862fd4100a8907740d770d66a', 'False', 'True', 'false', 'false', '511411103207', 5, '集中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411103207', 1, '2021-07-19 12:02:53', NULL, NULL), (30101, '', '高家镇石青村', '42866dfa5cbd459581c8d173f5fd4a6f', 'bf65a19862fd4100a8907740d770d66a', 'False', 'True', 'false', 'false', '511411103211', 5, '石青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=511411103211', 1, '2021-07-19 12:02:53', NULL, NULL), (30102, '', '资阳市', 'dff4152eb0e04bfcbe5b49343d6c888b', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '512000000000', 2, '资阳市', 'zys.sczwfw.gov.cn', 1, '2021-07-19 12:02:53', NULL, NULL), (30103, '', '雁江区', '75e3a8e80dde4939ae030e64a2b2a379', 'dff4152eb0e04bfcbe5b49343d6c888b', 'True', 'True', 'false', 'false', '512002000000', 3, '雁江区', 'zysyjq.sczwfw.gov.cn', 1, '2021-07-19 12:02:53', NULL, NULL), (30104, '', '莲花街道', 'bc331d364b92462aba13ea403b31bcaa', '75e3a8e80dde4939ae030e64a2b2a379', 'True', 'True', 'false', 'false', '512002001000', 4, '莲花街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512002001000', 1, '2021-07-19 12:02:53', NULL, NULL), (30105, '', '雁中社区', 'ebe203ec1dd945ce892b1aaf028379d5', 'bc331d364b92462aba13ea403b31bcaa', 'False', 'True', 'false', 'false', '512002001001', 5, '雁中社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002001001', 1, '2021-07-19 12:02:54', NULL, NULL), (30106, '', '雁北社区', '3973f6b385a84cf5952c3225406a2785', 'bc331d364b92462aba13ea403b31bcaa', 'False', 'True', 'false', 'false', '512002001002', 5, '雁北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002001002', 1, '2021-07-19 12:02:54', NULL, NULL), (30107, '', '向阳社区', 'db411ea19e3545d9ac061a0413f47ccf', 'bc331d364b92462aba13ea403b31bcaa', 'False', 'True', 'false', 'false', '512002001003', 5, '向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002001003', 1, '2021-07-19 12:02:54', NULL, NULL), (30108, '', '观音阁社区', 'a61b56aabd664b0a88e2c8d2855b1f32', 'bc331d364b92462aba13ea403b31bcaa', 'False', 'True', 'false', 'false', '512002001004', 5, '观音阁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002001004', 1, '2021-07-19 12:02:54', NULL, NULL), (30109, '', '火车站社区', '71df6a3d2060403385e96261b3c5eb74', 'bc331d364b92462aba13ea403b31bcaa', 'False', 'True', 'false', 'false', '512002001005', 5, '火车站社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002001005', 1, '2021-07-19 12:02:54', NULL, NULL), (30110, '', '海川社区', '5782a534d0bc454a9ed3e7fc8c0b2421', 'bc331d364b92462aba13ea403b31bcaa', 'False', 'True', 'false', 'false', '512002001006', 5, '海川社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002001006', 1, '2021-07-19 12:02:54', NULL, NULL), (30111, '', '双龙井社区', '803a0a3b8a384e37af4c0dcb4ce4d6d7', 'bc331d364b92462aba13ea403b31bcaa', 'False', 'True', 'false', 'false', '512002001007', 5, '双龙井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002001007', 1, '2021-07-19 12:02:54', NULL, NULL), (30112, '', '九眼桥社区', 'a6dcc97a6bcb45168c5d556324f17362', 'bc331d364b92462aba13ea403b31bcaa', 'False', 'True', 'false', 'false', '512002001008', 5, '九眼桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002001008', 1, '2021-07-19 12:02:54', NULL, NULL), (30113, '', '城北社区', '7b9d8c442e204a75af40c717149ea60f', 'bc331d364b92462aba13ea403b31bcaa', 'False', 'True', 'false', 'false', '512002001009', 5, '城北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002001009', 1, '2021-07-19 12:02:54', NULL, NULL), (30114, '', '莲花社区', 'd9e6f42a979443d0b12fe08585d45815', 'bc331d364b92462aba13ea403b31bcaa', 'False', 'True', 'false', 'false', '512002001010', 5, '莲花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002001010', 1, '2021-07-19 12:02:54', NULL, NULL), (30115, '', '滨江路社区', 'efdf1a6be7ea4d4db8e398c304f22f32', 'bc331d364b92462aba13ea403b31bcaa', 'False', 'True', 'false', 'false', '512002001011', 5, '滨江路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002001011', 1, '2021-07-19 12:02:54', NULL, NULL), (30116, '', '三贤祠街道', '140017a857564e38adcbd00db1f8389f', '75e3a8e80dde4939ae030e64a2b2a379', 'True', 'False', 'false', 'false', '512002002000', 4, '三贤祠街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512002002000', 1, '2021-07-19 12:02:54', NULL, NULL), (30117, '', '滨河社区', '6c3bc773fe074877b6e1f39fc68adec1', '140017a857564e38adcbd00db1f8389f', 'False', 'True', 'false', 'false', '512002002010', 5, '滨河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002002010', 1, '2021-07-19 12:02:54', NULL, NULL), (30118, '', '四三一社区', '3a6f4f369e4a4317b09be88c222e0be9', '140017a857564e38adcbd00db1f8389f', 'False', 'True', 'false', 'false', '512002002011', 5, '四三一社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002002011', 1, '2021-07-19 12:02:54', NULL, NULL), (30119, '', '狮子山社区', 'cce42b405a084871870f76b6b1599b4d', '140017a857564e38adcbd00db1f8389f', 'False', 'True', 'false', 'false', '512002002012', 5, '狮子山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002002012', 1, '2021-07-19 12:02:54', NULL, NULL), (30120, '', '花果山社区', 'f9af8c8d1acd408db5c5cfa85073b338', '140017a857564e38adcbd00db1f8389f', 'False', 'True', 'false', 'false', '512002002683', 5, '花果山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002002683', 1, '2021-07-19 12:02:54', NULL, NULL), (30121, '', '香樟社区', '47c19a12b5d24cf7ae08d2d03b62f517', '140017a857564e38adcbd00db1f8389f', 'False', 'True', 'false', 'false', '512002002766', 5, '香樟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002002766', 1, '2021-07-19 12:02:54', NULL, NULL), (30122, '', '幸福社区', 'cfd07200c47c454f8875ba9e6616ba43', '140017a857564e38adcbd00db1f8389f', 'False', 'True', 'false', 'false', '512002002985', 5, '幸福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002002985', 1, '2021-07-19 12:02:54', NULL, NULL), (30123, '', '河堰嘴社区', 'a488c706a5e74748a38a83e418a00524', '140017a857564e38adcbd00db1f8389f', 'False', 'True', 'false', 'false', '512002002001', 5, '河堰嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002002001', 1, '2021-07-19 12:02:54', NULL, NULL), (30124, '', '三贤祠社区', 'dcffa378bf42450b81add138fbc7afe1', '140017a857564e38adcbd00db1f8389f', 'False', 'True', 'false', 'false', '512002002002', 5, '三贤祠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002002002', 1, '2021-07-19 12:02:54', NULL, NULL), (30125, '', '爱国社区', 'a0a96bee65f54b03ba39281da297c1b9', '140017a857564e38adcbd00db1f8389f', 'False', 'True', 'false', 'false', '512002002003', 5, '爱国社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002002003', 1, '2021-07-19 12:02:54', NULL, NULL), (30126, '', '凤岭社区', '247dafbcbc1446d5b65faacbf7b4ae98', '140017a857564e38adcbd00db1f8389f', 'False', 'True', 'false', 'false', '512002002004', 5, '凤岭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002002004', 1, '2021-07-19 12:02:54', NULL, NULL), (30127, '', '京华社区', '821c25fa2d484233a7a6f0b6d45b6761', '140017a857564e38adcbd00db1f8389f', 'False', 'True', 'false', 'false', '512002002005', 5, '京华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002002005', 1, '2021-07-19 12:02:55', NULL, NULL), (30128, '', '马鞍社区', 'e2a388a5f2ae4ef9b6e2dae1654f48c5', '140017a857564e38adcbd00db1f8389f', 'False', 'True', 'false', 'false', '512002002006', 5, '马鞍社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002002006', 1, '2021-07-19 12:02:55', NULL, NULL), (30129, '', '资溪街道', '02821f477d9141dda6cc5636b97ac478', '75e3a8e80dde4939ae030e64a2b2a379', 'True', 'True', 'false', 'false', '512002003000', 4, '资溪街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512002003000', 1, '2021-07-19 12:02:55', NULL, NULL), (30130, '', '铜车马社区', 'be37daf0bc27456984cde245472a7688', '02821f477d9141dda6cc5636b97ac478', 'False', 'True', 'false', 'false', '512002003580', 5, '铜车马社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002003580', 1, '2021-07-19 12:02:55', NULL, NULL), (30131, '', '桥亭子社区', 'bb573c80e5bc4df4999f9b49f6ea1a02', '02821f477d9141dda6cc5636b97ac478', 'False', 'True', 'false', 'false', '512002003001', 5, '桥亭子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002003001', 1, '2021-07-19 12:02:55', NULL, NULL), (30132, '', '八角井社区', '58a7001f4e0041328520d45ac58472c5', '02821f477d9141dda6cc5636b97ac478', 'False', 'True', 'false', 'false', '512002003002', 5, '八角井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002003002', 1, '2021-07-19 12:02:55', NULL, NULL), (30133, '', '鸿丰社区', 'd6ebf5c368094b838678083b889bb674', '02821f477d9141dda6cc5636b97ac478', 'False', 'True', 'false', 'false', '512002003003', 5, '鸿丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002003003', 1, '2021-07-19 12:02:55', NULL, NULL), (30134, '', '黄泥井社区', '098aeca67a0446c6826f3cd290a657ae', '02821f477d9141dda6cc5636b97ac478', 'False', 'True', 'false', 'false', '512002003004', 5, '黄泥井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002003004', 1, '2021-07-19 12:02:55', NULL, NULL), (30135, '', '九曲河社区', '9db5ba314b314665976af26eb69675ee', '02821f477d9141dda6cc5636b97ac478', 'False', 'True', 'false', 'false', '512002003005', 5, '九曲河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002003005', 1, '2021-07-19 12:02:55', NULL, NULL), (30136, '', '桂花井社区', 'f3c4bd659f034d6e95126aff0e7260e8', '02821f477d9141dda6cc5636b97ac478', 'False', 'True', 'false', 'false', '512002003006', 5, '桂花井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002003006', 1, '2021-07-19 12:02:55', NULL, NULL), (30137, '', '师园社区', 'd25311e0eced40f996d94263c0e4577c', '02821f477d9141dda6cc5636b97ac478', 'False', 'True', 'false', 'false', '512002003007', 5, '师园社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002003007', 1, '2021-07-19 12:02:55', NULL, NULL), (30138, '', '雁南社区', '297922d396234f6a82563571353af34a', '02821f477d9141dda6cc5636b97ac478', 'False', 'True', 'false', 'false', '512002003008', 5, '雁南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002003008', 1, '2021-07-19 12:02:55', NULL, NULL), (30139, '', '南骏社区', '1ddd99111c8843f1954b2b889745a1b1', '02821f477d9141dda6cc5636b97ac478', 'False', 'True', 'false', 'false', '512002003009', 5, '南骏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002003009', 1, '2021-07-19 12:02:55', NULL, NULL), (30140, '', '西门桥社区', '6185f2eb17024ebca34abdb583287c89', '02821f477d9141dda6cc5636b97ac478', 'False', 'True', 'false', 'false', '512002003010', 5, '西门桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002003010', 1, '2021-07-19 12:02:55', NULL, NULL), (30141, '', '资溪社区', '4dcd1d125d5e451b86807d8edcce3b5a', '02821f477d9141dda6cc5636b97ac478', 'False', 'True', 'false', 'false', '512002003011', 5, '资溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002003011', 1, '2021-07-19 12:02:55', NULL, NULL), (30142, '', '宝莲街道', '88b0797f265a4178931578bae3f5ca32', '75e3a8e80dde4939ae030e64a2b2a379', 'True', 'True', 'false', 'false', '512002102000', 4, '宝莲街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512002102000', 1, '2021-07-19 12:02:55', NULL, NULL), (30143, '', '朝阳社区', '5d7d005a5e6a46d2a09d3c64731ead69', '88b0797f265a4178931578bae3f5ca32', 'False', 'True', 'false', 'false', '512002102693', 5, '朝阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002102693', 1, '2021-07-19 12:02:55', NULL, NULL), (30144, '', '宝台寺社区', '0be63c27be23480ea6d1c80fca61b8f6', '88b0797f265a4178931578bae3f5ca32', 'False', 'True', 'false', 'false', '512002102001', 5, '宝台寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002102001', 1, '2021-07-19 12:02:55', NULL, NULL), (30145, '', '天生社区', 'd643cdad457342a682feb59962749061', '88b0797f265a4178931578bae3f5ca32', 'False', 'True', 'false', 'false', '512002102204', 5, '天生社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002102204', 1, '2021-07-19 12:02:56', NULL, NULL), (30146, '', '半山社区', '1cb07eddca2f42db8e025b1546913806', '88b0797f265a4178931578bae3f5ca32', 'False', 'True', 'false', 'false', '512002102205', 5, '半山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002102205', 1, '2021-07-19 12:02:56', NULL, NULL), (30147, '', '雷音社区', 'f3b44fd5a32445309cdd39d62abb84c4', '88b0797f265a4178931578bae3f5ca32', 'False', 'True', 'false', 'false', '512002102206', 5, '雷音社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002102206', 1, '2021-07-19 12:02:56', NULL, NULL), (30148, '', '沱桥社区', '21e7f84deeeb42af88b39e3dd5e28ca2', '88b0797f265a4178931578bae3f5ca32', 'False', 'True', 'false', 'false', '512002102207', 5, '沱桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002102207', 1, '2021-07-19 12:02:56', NULL, NULL), (30149, '', '协议村', '38254b394a3e40bfb4c0fcbc71a7a93c', '88b0797f265a4178931578bae3f5ca32', 'False', 'True', 'false', 'false', '512002102210', 5, '协议村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002102210', 1, '2021-07-19 12:02:56', NULL, NULL), (30150, '', '黄泥社区', 'b9990888741c4b2faa022e9e87d14dd7', '88b0797f265a4178931578bae3f5ca32', 'False', 'True', 'false', 'false', '512002102211', 5, '黄泥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002102211', 1, '2021-07-19 12:02:56', NULL, NULL), (30151, '', '钟山村', '8d5e53fac72b44a3bdc3b98e072160f6', '88b0797f265a4178931578bae3f5ca32', 'False', 'True', 'false', 'false', '512002102212', 5, '钟山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002102212', 1, '2021-07-19 12:02:56', NULL, NULL), (30152, '', '拱城社区', '139cf6516edc40818172ab1acf74956a', '88b0797f265a4178931578bae3f5ca32', 'False', 'True', 'false', 'false', '512002102213', 5, '拱城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002102213', 1, '2021-07-19 12:02:56', NULL, NULL), (30153, '', '保和镇', '4266293b082b4b8396810af39d1cd9ab', '75e3a8e80dde4939ae030e64a2b2a379', 'True', 'True', 'false', 'false', '512002104000', 4, '保和镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512002104000', 1, '2021-07-19 12:02:56', NULL, NULL), (30154, '', '保和场社区', '9a8f683632dc427e9ebd3e49baa065d6', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104001', 5, '保和场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104001', 1, '2021-07-19 12:02:56', NULL, NULL), (30155, '', '清明村', 'd137a3d005f84394b70c3aa2846e365c', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104200', 5, '清明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104200', 1, '2021-07-19 12:02:56', NULL, NULL), (30156, '', '筒车坝村', 'f01c488a5aca4e45b24088daa695c53f', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104201', 5, '筒车坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104201', 1, '2021-07-19 12:02:56', NULL, NULL), (30157, '', '黄谷村', '0585f067eff04f7aba710bc82f2e84e5', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104203', 5, '黄谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104203', 1, '2021-07-19 12:02:56', NULL, NULL), (30158, '', '永兴村', '97cee529120f4d4abd521f08bf116398', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104204', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104204', 1, '2021-07-19 12:02:56', NULL, NULL), (30159, '', '钓鱼村', '585f048a876e4f60a42803657c89c72a', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104205', 5, '钓鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104205', 1, '2021-07-19 12:02:56', NULL, NULL), (30160, '', '金星村', 'fd78c3144e0b43cbbc655d2c39f82420', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104210', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104210', 1, '2021-07-19 12:02:56', NULL, NULL), (30161, '', '文秀桥村', '0443fd6b44b9474cac15e901d5a36a7c', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104211', 5, '文秀桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104211', 1, '2021-07-19 12:02:56', NULL, NULL), (30162, '', '晏家坝村', 'a5a1bbe5881f4bf4b7fb7e0945a0b651', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104215', 5, '晏家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104215', 1, '2021-07-19 12:02:56', NULL, NULL), (30163, '', '永万村', 'da7175a05f7b4c2da7694f1479510ba8', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104216', 5, '永万村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104216', 1, '2021-07-19 12:02:56', NULL, NULL), (30164, '', '九老洞村', '0c41ff9c5a2c41f49e10602985492b97', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104217', 5, '九老洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104217', 1, '2021-07-19 12:02:56', NULL, NULL), (30165, '', '文龙寺村', '48120e8025bd45bb8ba971d316913125', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104218', 5, '文龙寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104218', 1, '2021-07-19 12:02:57', NULL, NULL), (30166, '', '迎龙桥村', '3e41046c3c1444c2bff5d02374f5a96a', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104221', 5, '迎龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104221', 1, '2021-07-19 12:02:57', NULL, NULL), (30167, '', '金山寺村', '41aeaa05e1764acc8db2697ecc5b72ef', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104223', 5, '金山寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104223', 1, '2021-07-19 12:02:57', NULL, NULL), (30168, '', '天鹅村', '641405b29d594430ba536669657444fe', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104224', 5, '天鹅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104224', 1, '2021-07-19 12:02:57', NULL, NULL), (30169, '', '团山村', '1353f05722f24da6aa7a432b0311a0af', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104225', 5, '团山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104225', 1, '2021-07-19 12:02:57', NULL, NULL), (30170, '', '马蹄湾村', 'c3b0f9aa12064a0eabc0820f21cacbe0', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104226', 5, '马蹄湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104226', 1, '2021-07-19 12:02:57', NULL, NULL), (30171, '', '盘龙村', '1b4e79eec04544d9b357ba26f81f04c9', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104230', 5, '盘龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104230', 1, '2021-07-19 12:02:57', NULL, NULL), (30172, '', '六石包村', '9b97941b525f4e34bd98080cb1780820', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104232', 5, '六石包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104232', 1, '2021-07-19 12:02:57', NULL, NULL), (30173, '', '四方碑村', '7a004fb5a3774ca6ac06a61b34d6ffb6', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104233', 5, '四方碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104233', 1, '2021-07-19 12:02:57', NULL, NULL), (30174, '', '花溪村', 'c2523903655749738a9f89cb945c9180', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104234', 5, '花溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104234', 1, '2021-07-19 12:02:57', NULL, NULL), (30175, '', '永协村', '8dda2df52a82473cbd7aedf02b69372b', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104235', 5, '永协村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104235', 1, '2021-07-19 12:02:57', NULL, NULL), (30176, '', '洞子湾村', 'c46b7f9d95a34ecb9bb5bd09a2a7badb', '4266293b082b4b8396810af39d1cd9ab', 'False', 'True', 'false', 'false', '512002104241', 5, '洞子湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002104241', 1, '2021-07-19 12:02:57', NULL, NULL), (30177, '', '老君镇', '45f79cba656a4d50946e0039cee505e9', '75e3a8e80dde4939ae030e64a2b2a379', 'True', 'True', 'false', 'false', '512002105000', 4, '老君镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512002105000', 1, '2021-07-19 12:02:57', NULL, NULL), (30178, '', '老君场社区', '96ee567d08624c5f9c304c7fadd14031', '45f79cba656a4d50946e0039cee505e9', 'False', 'True', 'false', 'false', '512002105001', 5, '老君场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002105001', 1, '2021-07-19 12:02:58', NULL, NULL), (30179, '', '泉溪村', '73641a5b1e5c40ef8c330b4692075535', '45f79cba656a4d50946e0039cee505e9', 'False', 'True', 'false', 'false', '512002105200', 5, '泉溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002105200', 1, '2021-07-19 12:02:58', NULL, NULL), (30180, '', '协和村', '8b1940dd5d8a46298d06458a51941e3b', '45f79cba656a4d50946e0039cee505e9', 'False', 'True', 'false', 'false', '512002105202', 5, '协和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002105202', 1, '2021-07-19 12:02:58', NULL, NULL), (30181, '', '和义村', '2da515a234fd40978be2aaa337a28806', '45f79cba656a4d50946e0039cee505e9', 'False', 'True', 'false', 'false', '512002105204', 5, '和义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002105204', 1, '2021-07-19 12:02:58', NULL, NULL), (30182, '', '沿江村', 'bc9a22c6d5a64bd9ab89bdb5bd37c13d', '45f79cba656a4d50946e0039cee505e9', 'False', 'True', 'false', 'false', '512002105206', 5, '沿江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002105206', 1, '2021-07-19 12:02:58', NULL, NULL), (30183, '', '永安村', '634370823a544f2e9213a03b96cc4c01', '45f79cba656a4d50946e0039cee505e9', 'False', 'True', 'false', 'false', '512002105209', 5, '永安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002105209', 1, '2021-07-19 12:02:58', NULL, NULL), (30184, '', '双河村', 'db268a7cec1f4fb7ba988f7b7abd403d', '45f79cba656a4d50946e0039cee505e9', 'False', 'True', 'false', 'false', '512002105212', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002105212', 1, '2021-07-19 12:02:58', NULL, NULL), (30185, '', '治平村', 'a11003b0375c447bad5dad7c9e5f02ef', '45f79cba656a4d50946e0039cee505e9', 'False', 'True', 'false', 'false', '512002105213', 5, '治平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002105213', 1, '2021-07-19 12:02:58', NULL, NULL), (30186, '', '居仕村', 'c9c954ec304841f3ab09aa1dd8998299', '45f79cba656a4d50946e0039cee505e9', 'False', 'True', 'false', 'false', '512002105214', 5, '居仕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002105214', 1, '2021-07-19 12:02:58', NULL, NULL), (30187, '', '庙山村', '67efbb4d3e2b4788b136dceb3344ebb6', '45f79cba656a4d50946e0039cee505e9', 'False', 'True', 'false', 'false', '512002105215', 5, '庙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002105215', 1, '2021-07-19 12:02:58', NULL, NULL), (30188, '', '下坪村', '7bdca00d27c34f5fbd4b517265cbe26d', '45f79cba656a4d50946e0039cee505e9', 'False', 'True', 'false', 'false', '512002105216', 5, '下坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002105216', 1, '2021-07-19 12:02:58', NULL, NULL), (30189, '', '琉璃村', 'd6f4cc6372fd4c22bfb2ed7bf65011e8', '45f79cba656a4d50946e0039cee505e9', 'False', 'True', 'false', 'false', '512002105217', 5, '琉璃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002105217', 1, '2021-07-19 12:02:58', NULL, NULL), (30190, '', '普光村', 'bc2143699fcb43279546f0abda608ab5', '45f79cba656a4d50946e0039cee505e9', 'False', 'True', 'false', 'false', '512002105219', 5, '普光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002105219', 1, '2021-07-19 12:02:58', NULL, NULL), (30191, '', '光华村', '23754bbda8794855b4a358cf4d919286', '45f79cba656a4d50946e0039cee505e9', 'False', 'True', 'false', 'false', '512002105221', 5, '光华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002105221', 1, '2021-07-19 12:02:58', NULL, NULL), (30192, '', '龙星村', 'd4d20877ca03468187dec5d2958a9e75', '45f79cba656a4d50946e0039cee505e9', 'False', 'True', 'false', 'false', '512002105222', 5, '龙星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002105222', 1, '2021-07-19 12:02:58', NULL, NULL), (30193, '', '龙安村', 'a4252026e6db46268ad5f9b778f2ad4b', '45f79cba656a4d50946e0039cee505e9', 'False', 'True', 'false', 'false', '512002105224', 5, '龙安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002105224', 1, '2021-07-19 12:02:58', NULL, NULL), (30194, '', '万年村', '0198d65a9f674d96b82f8fb8dfac3862', '45f79cba656a4d50946e0039cee505e9', 'False', 'True', 'false', 'false', '512002105225', 5, '万年村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002105225', 1, '2021-07-19 12:02:59', NULL, NULL), (30195, '', '大溪村', '509a1bf824694c9fb121017d75aaee85', '45f79cba656a4d50946e0039cee505e9', 'False', 'True', 'false', 'false', '512002105226', 5, '大溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002105226', 1, '2021-07-19 12:02:59', NULL, NULL), (30196, '', '中和镇', '16a0730db6f4458e8cc2f38d76c337cc', '75e3a8e80dde4939ae030e64a2b2a379', 'True', 'True', 'false', 'false', '512002106000', 4, '中和镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512002106000', 1, '2021-07-19 12:02:59', NULL, NULL), (30197, '', '中和场社区', 'b52190555e5f4642988cef942923f06c', '16a0730db6f4458e8cc2f38d76c337cc', 'False', 'True', 'false', 'false', '512002106001', 5, '中和场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002106001', 1, '2021-07-19 12:02:59', NULL, NULL), (30198, '', '明月村', '9af7c73610e0480689b9df2832940f3b', '16a0730db6f4458e8cc2f38d76c337cc', 'False', 'True', 'false', 'false', '512002106201', 5, '明月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002106201', 1, '2021-07-19 12:02:59', NULL, NULL), (30199, '', '高字村', '635607da033f4021a8947649b6d2080c', '16a0730db6f4458e8cc2f38d76c337cc', 'False', 'True', 'false', 'false', '512002106203', 5, '高字村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002106203', 1, '2021-07-19 12:02:59', NULL, NULL), (30200, '', '龙虎村', '628c4b9dac184843b12317152db14bc4', '16a0730db6f4458e8cc2f38d76c337cc', 'False', 'True', 'false', 'false', '512002106204', 5, '龙虎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002106204', 1, '2021-07-19 12:02:59', NULL, NULL), (30201, '', '飞山村', '9669b9482e104d71bda14c5b7de8dc97', '16a0730db6f4458e8cc2f38d76c337cc', 'False', 'True', 'false', 'false', '512002106205', 5, '飞山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002106205', 1, '2021-07-19 12:02:59', NULL, NULL), (30202, '', '狮马村', '904dc81994d743289a1a06227b14bddb', '16a0730db6f4458e8cc2f38d76c337cc', 'False', 'True', 'false', 'false', '512002106206', 5, '狮马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002106206', 1, '2021-07-19 12:02:59', NULL, NULL), (30203, '', '青龙村', '8d0064f7bec44fa9a50f191e2980092a', '16a0730db6f4458e8cc2f38d76c337cc', 'False', 'True', 'false', 'false', '512002106207', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002106207', 1, '2021-07-19 12:02:59', NULL, NULL), (30204, '', '罗家村', 'a6fc005d525c42dab6dad6712549d15e', '16a0730db6f4458e8cc2f38d76c337cc', 'False', 'True', 'false', 'false', '512002106208', 5, '罗家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002106208', 1, '2021-07-19 12:02:59', NULL, NULL), (30205, '', '方家村', '805111ed516540e2879b72c7399370a5', '16a0730db6f4458e8cc2f38d76c337cc', 'False', 'True', 'false', 'false', '512002106209', 5, '方家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002106209', 1, '2021-07-19 12:02:59', NULL, NULL), (30206, '', '三清村', '08569a90e4dc4d8d9376275fc2bc81d5', '16a0730db6f4458e8cc2f38d76c337cc', 'False', 'True', 'false', 'false', '512002106211', 5, '三清村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002106211', 1, '2021-07-19 12:02:59', NULL, NULL), (30207, '', '龙嘴村', '47febc4f3823458889f0faa2700ba45d', '16a0730db6f4458e8cc2f38d76c337cc', 'False', 'True', 'false', 'false', '512002106212', 5, '龙嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002106212', 1, '2021-07-19 12:02:59', NULL, NULL), (30208, '', '中和村', '612dac4fff004306bd8f9b4a13d3e7e4', '16a0730db6f4458e8cc2f38d76c337cc', 'False', 'True', 'false', 'false', '512002106214', 5, '中和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002106214', 1, '2021-07-19 12:02:59', NULL, NULL), (30209, '', '雷庙村', 'aeae70c5f1ec41bb93af98ab808e9414', '16a0730db6f4458e8cc2f38d76c337cc', 'False', 'True', 'false', 'false', '512002106215', 5, '雷庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002106215', 1, '2021-07-19 12:02:59', NULL, NULL), (30210, '', '铜锣村', '74149298787c49c79225a1d552bb5a2c', '16a0730db6f4458e8cc2f38d76c337cc', 'False', 'True', 'false', 'false', '512002106217', 5, '铜锣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002106217', 1, '2021-07-19 12:02:59', NULL, NULL), (30211, '', '广德村', 'ae154fa7a03846069500b7aaf3613e02', '16a0730db6f4458e8cc2f38d76c337cc', 'False', 'True', 'false', 'false', '512002106219', 5, '广德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002106219', 1, '2021-07-19 12:02:59', NULL, NULL), (30212, '', '巨善村', '55b35a1284b84f738db819d713f19610', '16a0730db6f4458e8cc2f38d76c337cc', 'False', 'True', 'false', 'false', '512002106220', 5, '巨善村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002106220', 1, '2021-07-19 12:03:00', NULL, NULL), (30213, '', '白云村', '871d77ad3a6a492e92dbc4d5f5f7e364', '16a0730db6f4458e8cc2f38d76c337cc', 'False', 'True', 'false', 'false', '512002106221', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002106221', 1, '2021-07-19 12:03:00', NULL, NULL), (30214, '', '干沟村', 'a5d212699f4e42698d359e4dc64e0743', '16a0730db6f4458e8cc2f38d76c337cc', 'False', 'True', 'false', 'false', '512002106223', 5, '干沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002106223', 1, '2021-07-19 12:03:00', NULL, NULL), (30215, '', '丹山镇', '1e65b0a8931b4bc8952d402ce255b4cd', '75e3a8e80dde4939ae030e64a2b2a379', 'True', 'True', 'false', 'false', '512002107000', 4, '丹山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512002107000', 1, '2021-07-19 12:03:00', NULL, NULL), (30216, '', '丹山场社区', 'bd0732645d3941779b069bd00c70833f', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107001', 5, '丹山场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107001', 1, '2021-07-19 12:03:00', NULL, NULL), (30217, '', '双石桥村', '53d3f017d4754515a4d055bcd6cef8f7', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107200', 5, '双石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107200', 1, '2021-07-19 12:03:00', NULL, NULL), (30218, '', '三合村', '7812fab13fb1469d95105436359522e9', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107201', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107201', 1, '2021-07-19 12:03:00', NULL, NULL), (30219, '', '顺家村', 'e40b3769d9bd4f50adf70d2e1ffb16e4', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107202', 5, '顺家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107202', 1, '2021-07-19 12:03:00', NULL, NULL), (30220, '', '平坦村', 'a590ca9c84894e7ba331b92f20770bef', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107203', 5, '平坦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107203', 1, '2021-07-19 12:03:00', NULL, NULL), (30221, '', '李光坝村', '723427df5bed4b7585938f781ff8a867', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107204', 5, '李光坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107204', 1, '2021-07-19 12:03:00', NULL, NULL), (30222, '', '新街村', 'fe6b8f900b25431d9f15fee7a0fd7a92', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107205', 5, '新街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107205', 1, '2021-07-19 12:03:00', NULL, NULL), (30223, '', '玉皇村', 'b30d5f72d5de495eafb0e23e675fc3ec', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107206', 5, '玉皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107206', 1, '2021-07-19 12:03:00', NULL, NULL), (30224, '', '巡泗桥村', '628463bc757f4632a854fe9cb87dbf67', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107207', 5, '巡泗桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107207', 1, '2021-07-19 12:03:00', NULL, NULL), (30225, '', '谢家桥村', '65ed03fcb55346c3a42c73dfbef12f2d', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107208', 5, '谢家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107208', 1, '2021-07-19 12:03:00', NULL, NULL), (30226, '', '团竹村', '38fe5117bb56437d9e4c791e79630fb0', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107209', 5, '团竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107209', 1, '2021-07-19 12:03:00', NULL, NULL), (30227, '', '八字墙村', '564e495aba0844b3b3b186d6e55d2c52', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107210', 5, '八字墙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107210', 1, '2021-07-19 12:03:00', NULL, NULL), (30228, '', '皂角村', 'ab90be28e0834886b22d2e1adc5434e3', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107211', 5, '皂角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107211', 1, '2021-07-19 12:03:00', NULL, NULL), (30229, '', '油草堰村', 'b049975e101a456db99db406f83566d1', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107212', 5, '油草堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107212', 1, '2021-07-19 12:03:00', NULL, NULL), (30230, '', '江诗村', 'e879b5bb1da547798a407c6392c3e100', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107213', 5, '江诗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107213', 1, '2021-07-19 12:03:00', NULL, NULL), (30231, '', '胡家祠村', '7f874d85ab964ebe9e28fe812031aa35', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107214', 5, '胡家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107214', 1, '2021-07-19 12:03:01', NULL, NULL), (30232, '', '楠木村', '098e7c7994b348afb10a2763c58f00fe', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107215', 5, '樟木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107215', 1, '2021-07-19 12:03:01', NULL, NULL), (30233, '', '罗高村', '9dc622159896444bad15bbe2cb8cdb7e', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107216', 5, '罗高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107216', 1, '2021-07-19 12:03:01', NULL, NULL), (30234, '', '漆家村', '90cbcd6c65034d1fb2949c5eaf974226', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107217', 5, '漆家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107217', 1, '2021-07-19 12:03:01', NULL, NULL), (30235, '', '回龙场社区', '9b1fac45ea444e04bac9d59323b20c2f', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107218', 5, '回龙场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107218', 1, '2021-07-19 12:03:01', NULL, NULL), (30236, '', '梁家村', 'ccadfc17645741f6a3280d17fa08f6c4', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107219', 5, '梁家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107219', 1, '2021-07-19 12:03:01', NULL, NULL), (30237, '', '巍峰村', '2880802d85794a798c1f115f8b02e797', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107220', 5, '巍峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107220', 1, '2021-07-19 12:03:01', NULL, NULL), (30238, '', '两河村', '6fa930c44ce140ce9c0151b5d62c1a4d', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107221', 5, '两河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107221', 1, '2021-07-19 12:03:01', NULL, NULL), (30239, '', '铁门坎村', '87f69f90f2914e429e8877d806f3f523', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107222', 5, '铁门坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107222', 1, '2021-07-19 12:03:01', NULL, NULL), (30240, '', '新盟村', 'd8214f4ac9c645b1ab7ca0fe3c0600eb', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107223', 5, '新盟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107223', 1, '2021-07-19 12:03:01', NULL, NULL), (30241, '', '成仙寺村', '6fea130d07624bdba18d20c35d80f90f', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107224', 5, '成仙寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107224', 1, '2021-07-19 12:03:01', NULL, NULL), (30242, '', '天池村', '4d3fbbee6bd24dc2b291720565a62e9c', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107225', 5, '天池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107225', 1, '2021-07-19 12:03:01', NULL, NULL), (30243, '', '大佛村', 'a6017b777d9c42f5a449837abb409e8d', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107226', 5, '大佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107226', 1, '2021-07-19 12:03:01', NULL, NULL), (30244, '', '赵兴村', '4fad8aa10d8e4adf8fbf6ac2031abd8f', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107227', 5, '赵兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107227', 1, '2021-07-19 12:03:01', NULL, NULL), (30245, '', '华光村', '55e437ac22b143d28c8ba91e94645999', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107228', 5, '华光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107228', 1, '2021-07-19 12:03:01', NULL, NULL), (30246, '', '田坝寺村', '7e0d342f605f4f579fbbd280f8e683ab', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107229', 5, '田坝寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107229', 1, '2021-07-19 12:03:02', NULL, NULL), (30247, '', '太平村', 'd8b2638f18234ea788dccc5bc7ef5fb4', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107230', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107230', 1, '2021-07-19 12:03:02', NULL, NULL), (30248, '', '人和村', '0bd441d0051e411183e577cc76626dca', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107231', 5, '人和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107231', 1, '2021-07-19 12:03:02', NULL, NULL), (30249, '', '平桥村', 'e0109b37f9d348df89a0d0e038ebd13d', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107232', 5, '平桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107232', 1, '2021-07-19 12:03:02', NULL, NULL), (30250, '', '大岩村', '50b68266b55f48108706dcf2419e6592', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107233', 5, '大岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107233', 1, '2021-07-19 12:03:02', NULL, NULL), (30251, '', '李家桥村', 'bfc5617952aa4d478830ef2541a2fcdd', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107234', 5, '李家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107234', 1, '2021-07-19 12:03:02', NULL, NULL), (30252, '', '川主村', '86a113b395494b9fb79d2e9fae9946b6', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107235', 5, '川主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107235', 1, '2021-07-19 12:03:02', NULL, NULL), (30253, '', '桥沟村', '33fdebc9e6f940fb9522a609fc06d268', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107236', 5, '桥沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107236', 1, '2021-07-19 12:03:02', NULL, NULL), (30254, '', '福兴村', '6056ceaf43b54d93adfa307fdf9dcdeb', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107237', 5, '福兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107237', 1, '2021-07-19 12:03:02', NULL, NULL), (30255, '', '袁桥村', '5b48a3d7b0e84caaba6f14f7da4c84da', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107238', 5, '袁桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107238', 1, '2021-07-19 12:03:02', NULL, NULL), (30256, '', '宝庆村', '20ed49f1bf8b4d4d9ae39703ac09d141', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107239', 5, '宝庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107239', 1, '2021-07-19 12:03:02', NULL, NULL), (30257, '', '堰塘村', 'f3ef0e1d1bc34133b8dcdab31436c68f', '1e65b0a8931b4bc8952d402ce255b4cd', 'False', 'True', 'false', 'false', '512002107240', 5, '堰塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002107240', 1, '2021-07-19 12:03:02', NULL, NULL), (30258, '', '小院镇', 'aaad4c2656b3406f82c88ebb8dbc22a7', '75e3a8e80dde4939ae030e64a2b2a379', 'True', 'True', 'false', 'false', '512002108000', 4, '小院镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512002108000', 1, '2021-07-19 12:03:02', NULL, NULL), (30259, '', '小院寺社区', '69d7e3f0c73340ee851bb2fe0cd3b845', 'aaad4c2656b3406f82c88ebb8dbc22a7', 'False', 'True', 'false', 'false', '512002108001', 5, '小院寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002108001', 1, '2021-07-19 12:03:02', NULL, NULL), (30260, '', '花磉村', 'b61341b02456420dabfcd701c06b07b8', 'aaad4c2656b3406f82c88ebb8dbc22a7', 'False', 'True', 'false', 'false', '512002108200', 5, '花磉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002108200', 1, '2021-07-19 12:03:02', NULL, NULL), (30261, '', '黄桷村', '7421ec2d77ee48429c050370492817cd', 'aaad4c2656b3406f82c88ebb8dbc22a7', 'False', 'True', 'false', 'false', '512002108201', 5, '黄桷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002108201', 1, '2021-07-19 12:03:02', NULL, NULL), (30262, '', '李子沟村', '2366556f2f35458a851fa4aef2ab501e', 'aaad4c2656b3406f82c88ebb8dbc22a7', 'False', 'True', 'false', 'false', '512002108202', 5, '李子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002108202', 1, '2021-07-19 12:03:03', NULL, NULL), (30263, '', '狮象村', 'e76dd22604644a178f006b34dd16e0f7', 'aaad4c2656b3406f82c88ebb8dbc22a7', 'False', 'True', 'false', 'false', '512002108204', 5, '狮象村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002108204', 1, '2021-07-19 12:03:03', NULL, NULL), (30264, '', '白家嘴村', 'ae1fa7b2a2d8468fa300b5db602efa2e', 'aaad4c2656b3406f82c88ebb8dbc22a7', 'False', 'True', 'false', 'false', '512002108205', 5, '白家嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002108205', 1, '2021-07-19 12:03:03', NULL, NULL), (30265, '', '栀子湾村', 'e0d3d758f73b4794a7d875dcc72b7440', 'aaad4c2656b3406f82c88ebb8dbc22a7', 'False', 'True', 'false', 'false', '512002108206', 5, '栀子湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002108206', 1, '2021-07-19 12:03:03', NULL, NULL), (30266, '', '三角堰村', '6b38f12aa722437eb399b06402f81f37', 'aaad4c2656b3406f82c88ebb8dbc22a7', 'False', 'True', 'false', 'false', '512002108207', 5, '三角堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002108207', 1, '2021-07-19 12:03:03', NULL, NULL), (30267, '', '大坪村', '741b27d96a1d4fc8aafdb261dd76dcb9', 'aaad4c2656b3406f82c88ebb8dbc22a7', 'False', 'True', 'false', 'false', '512002108209', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002108209', 1, '2021-07-19 12:03:03', NULL, NULL), (30268, '', '梧桐村', '1f383b38c63a41f8a146f18d592ed247', 'aaad4c2656b3406f82c88ebb8dbc22a7', 'False', 'True', 'false', 'false', '512002108210', 5, '梧桐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002108210', 1, '2021-07-19 12:03:03', NULL, NULL), (30269, '', '天古村', '2fea37d2c5794c82aa747e752851e71f', 'aaad4c2656b3406f82c88ebb8dbc22a7', 'False', 'True', 'false', 'false', '512002108211', 5, '天古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002108211', 1, '2021-07-19 12:03:03', NULL, NULL), (30270, '', '柏林村', '6b721c65ad2f42eaada41fee30cee596', 'aaad4c2656b3406f82c88ebb8dbc22a7', 'False', 'True', 'false', 'false', '512002108212', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002108212', 1, '2021-07-19 12:03:03', NULL, NULL), (30271, '', '七贤坳村', '77ec4baa454748a0afb68db433b9ebef', 'aaad4c2656b3406f82c88ebb8dbc22a7', 'False', 'True', 'false', 'false', '512002108213', 5, '七贤坳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002108213', 1, '2021-07-19 12:03:03', NULL, NULL), (30272, '', '白象村', '408bd935943447e38b6d1231a08d378e', 'aaad4c2656b3406f82c88ebb8dbc22a7', 'False', 'True', 'false', 'false', '512002108214', 5, '白象村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002108214', 1, '2021-07-19 12:03:03', NULL, NULL), (30273, '', '凉水井村', '6854753640594ccb94e80713214b6548', 'aaad4c2656b3406f82c88ebb8dbc22a7', 'False', 'True', 'false', 'false', '512002108215', 5, '凉水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002108215', 1, '2021-07-19 12:03:03', NULL, NULL), (30274, '', '方广寺村', 'd55230452bbb4a6799f370192a21deaf', 'aaad4c2656b3406f82c88ebb8dbc22a7', 'False', 'True', 'false', 'false', '512002108216', 5, '方广寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002108216', 1, '2021-07-19 12:03:03', NULL, NULL), (30275, '', '农田村', '772825d0e3614de297ae0c201b5e6e4c', 'aaad4c2656b3406f82c88ebb8dbc22a7', 'False', 'True', 'false', 'false', '512002108217', 5, '农田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002108217', 1, '2021-07-19 12:03:03', NULL, NULL), (30276, '', '堪嘉镇', '8c7c82710fd54a48acf41d38d7902d87', '75e3a8e80dde4939ae030e64a2b2a379', 'True', 'True', 'false', 'false', '512002109000', 4, '堪嘉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512002109000', 1, '2021-07-19 12:03:03', NULL, NULL), (30277, '', '堪嘉坝社区', '5d0b6b1f5c1d4d6da4b540d3ae58990c', '8c7c82710fd54a48acf41d38d7902d87', 'False', 'True', 'false', 'false', '512002109001', 5, '堪嘉坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002109001', 1, '2021-07-19 12:03:03', NULL, NULL), (30278, '', '中心村', 'eed62da08d694945a368f37c7cbd4437', '8c7c82710fd54a48acf41d38d7902d87', 'False', 'True', 'false', 'false', '512002109200', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002109200', 1, '2021-07-19 12:03:03', NULL, NULL), (30279, '', '树林村', '0ff6574879564c7f8f367b0ba1359d4d', '8c7c82710fd54a48acf41d38d7902d87', 'False', 'True', 'false', 'false', '512002109201', 5, '树林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002109201', 1, '2021-07-19 12:03:03', NULL, NULL), (30280, '', '孝义桥村', 'c943a9f3238e448f8d92c8c9ac5eb069', '8c7c82710fd54a48acf41d38d7902d87', 'False', 'True', 'false', 'false', '512002109203', 5, '孝义桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002109203', 1, '2021-07-19 12:03:04', NULL, NULL), (30281, '', '大桐庙村', '94775cde17e74a9fae35188bbd610c94', '8c7c82710fd54a48acf41d38d7902d87', 'False', 'True', 'false', 'false', '512002109206', 5, '大桐庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002109206', 1, '2021-07-19 12:03:04', NULL, NULL), (30282, '', '红莲村', '72757b30d5e349db9c82571c2a40324b', '8c7c82710fd54a48acf41d38d7902d87', 'False', 'True', 'false', 'false', '512002109208', 5, '红莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002109208', 1, '2021-07-19 12:03:04', NULL, NULL), (30283, '', '陡岩山村', '04dc94aa0ee84e699a97699474856221', '8c7c82710fd54a48acf41d38d7902d87', 'False', 'True', 'false', 'false', '512002109209', 5, '陡岩山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002109209', 1, '2021-07-19 12:03:04', NULL, NULL), (30284, '', '雨佳村', '4a448712830c4d4e9aaaa5051dc85229', '8c7c82710fd54a48acf41d38d7902d87', 'False', 'True', 'false', 'false', '512002109210', 5, '雨佳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002109210', 1, '2021-07-19 12:03:04', NULL, NULL), (30285, '', '中牛桥村', '0cbbd0ffb3b44d7c88308f34bec85eee', '8c7c82710fd54a48acf41d38d7902d87', 'False', 'True', 'false', 'false', '512002109211', 5, '中牛桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002109211', 1, '2021-07-19 12:03:04', NULL, NULL), (30286, '', '弥陀村', 'f99aca6a3dc842108f28984ef6fc91f7', '8c7c82710fd54a48acf41d38d7902d87', 'False', 'True', 'false', 'false', '512002109213', 5, '弥陀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002109213', 1, '2021-07-19 12:03:04', NULL, NULL), (30287, '', '胡家坝村', '52ac3afa554d422e951ad477e5218785', '8c7c82710fd54a48acf41d38d7902d87', 'False', 'True', 'false', 'false', '512002109214', 5, '胡家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002109214', 1, '2021-07-19 12:03:04', NULL, NULL), (30288, '', '凤凰嘴村', 'fd35efa016af433ebc0a43fd090fdee2', '8c7c82710fd54a48acf41d38d7902d87', 'False', 'True', 'false', 'false', '512002109215', 5, '凤凰嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002109215', 1, '2021-07-19 12:03:04', NULL, NULL), (30289, '', '胡石桥村', '3c98e557a51243c79621b531f7ab04de', '8c7c82710fd54a48acf41d38d7902d87', 'False', 'True', 'false', 'false', '512002109217', 5, '胡石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002109217', 1, '2021-07-19 12:03:04', NULL, NULL), (30290, '', '元觉寺村', '0079f77930a44990b06448509980f057', '8c7c82710fd54a48acf41d38d7902d87', 'False', 'True', 'false', 'false', '512002109218', 5, '元觉寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002109218', 1, '2021-07-19 12:03:04', NULL, NULL), (30291, '', '伍隍镇', '3e189e97b2bb4530b5560057f3d00d1f', '75e3a8e80dde4939ae030e64a2b2a379', 'True', 'True', 'false', 'false', '512002110000', 4, '伍隍镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512002110000', 1, '2021-07-19 12:03:04', NULL, NULL), (30292, '', '伍隍场社区', '93e2c9d2a9914812ae3e715ee157faa1', '3e189e97b2bb4530b5560057f3d00d1f', 'False', 'True', 'false', 'false', '512002110001', 5, '伍隍场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002110001', 1, '2021-07-19 12:03:04', NULL, NULL), (30293, '', '红庙村', 'a2d4184aec1d462f885cb6a2a3f6ffa2', '3e189e97b2bb4530b5560057f3d00d1f', 'False', 'True', 'false', 'false', '512002110200', 5, '红庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002110200', 1, '2021-07-19 12:03:04', NULL, NULL), (30294, '', '郭家村', '9efca6624599469f82f935ca1b615148', '3e189e97b2bb4530b5560057f3d00d1f', 'False', 'True', 'false', 'false', '512002110201', 5, '郭家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002110201', 1, '2021-07-19 12:03:04', NULL, NULL), (30295, '', '印合村', 'fb1628daa482486598679c1c0272d46f', '3e189e97b2bb4530b5560057f3d00d1f', 'False', 'True', 'false', 'false', '512002110203', 5, '印合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002110203', 1, '2021-07-19 12:03:04', NULL, NULL), (30296, '', '石桥村', 'ef6c20bf8cb04ff2ae2be1816204f923', '3e189e97b2bb4530b5560057f3d00d1f', 'False', 'True', 'false', 'false', '512002110207', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002110207', 1, '2021-07-19 12:03:04', NULL, NULL), (30297, '', '一碗水村', '997a44f7a82b455cb184a69d43eb7ac2', '3e189e97b2bb4530b5560057f3d00d1f', 'False', 'True', 'false', 'false', '512002110208', 5, '一碗水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002110208', 1, '2021-07-19 12:03:05', NULL, NULL), (30298, '', '五里村', '0343ea96a7a441a1b271634d0477904f', '3e189e97b2bb4530b5560057f3d00d1f', 'False', 'True', 'false', 'false', '512002110209', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002110209', 1, '2021-07-19 12:03:05', NULL, NULL), (30299, '', '江西村', 'a4b5cf6b0ecb48288b9fd50bb7fb402f', '3e189e97b2bb4530b5560057f3d00d1f', 'False', 'True', 'false', 'false', '512002110211', 5, '江西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002110211', 1, '2021-07-19 12:03:05', NULL, NULL), (30300, '', '崇兴村', '054def60714349fdb3a4772749007683', '3e189e97b2bb4530b5560057f3d00d1f', 'False', 'True', 'false', 'false', '512002110212', 5, '崇兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002110212', 1, '2021-07-19 12:03:05', NULL, NULL), (30301, '', '铺子村', '791406ca0dfa4496afb752c7042782b4', '3e189e97b2bb4530b5560057f3d00d1f', 'False', 'True', 'false', 'false', '512002110213', 5, '铺子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002110213', 1, '2021-07-19 12:03:05', NULL, NULL), (30302, '', '白坡村', '7a4b7f9595334896ab76e1568341d0cd', '3e189e97b2bb4530b5560057f3d00d1f', 'False', 'True', 'false', 'false', '512002110216', 5, '白坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002110216', 1, '2021-07-19 12:03:05', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (30303, '', '麻柳村', '993ec47e4d9a48d3ae0914a7bbb3e14e', '3e189e97b2bb4530b5560057f3d00d1f', 'False', 'True', 'false', 'false', '512002110217', 5, '麻柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002110217', 1, '2021-07-19 12:03:05', NULL, NULL), (30304, '', '爆花村', 'e9f70dbb51fa4801a285044ba0557e21', '3e189e97b2bb4530b5560057f3d00d1f', 'False', 'True', 'false', 'false', '512002110218', 5, '爆花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002110218', 1, '2021-07-19 12:03:05', NULL, NULL), (30305, '', '红花村', '8c328494030a457eacee9b609cc3d417', '3e189e97b2bb4530b5560057f3d00d1f', 'False', 'True', 'false', 'false', '512002110219', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002110219', 1, '2021-07-19 12:03:05', NULL, NULL), (30306, '', '瓢山村', 'ec0b2c24a96645428dc6f40cdd35616d', '3e189e97b2bb4530b5560057f3d00d1f', 'False', 'True', 'false', 'false', '512002110220', 5, '瓢山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002110220', 1, '2021-07-19 12:03:05', NULL, NULL), (30307, '', '园艺村', '1047a457c07a45f8b241db101c98cdc8', '3e189e97b2bb4530b5560057f3d00d1f', 'False', 'True', 'false', 'false', '512002110222', 5, '园艺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002110222', 1, '2021-07-19 12:03:05', NULL, NULL), (30308, '', '高庙村', 'cae7feca2468437fa5d385ce7978d622', '3e189e97b2bb4530b5560057f3d00d1f', 'False', 'True', 'false', 'false', '512002110224', 5, '高庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002110224', 1, '2021-07-19 12:03:05', NULL, NULL), (30309, '', '石岭镇', '4c4f40c5b47645a08c89ca22159e671f', '75e3a8e80dde4939ae030e64a2b2a379', 'True', 'True', 'false', 'false', '512002111000', 4, '石岭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512002111000', 1, '2021-07-19 12:03:05', NULL, NULL), (30310, '', '石岭场社区', '0c62260f89e8427e85627d27d11a6c96', '4c4f40c5b47645a08c89ca22159e671f', 'False', 'True', 'false', 'false', '512002111001', 5, '石岭场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002111001', 1, '2021-07-19 12:03:05', NULL, NULL), (30311, '', '石岭村', 'b423b7c2bdcc4766811b3818e929c979', '4c4f40c5b47645a08c89ca22159e671f', 'False', 'True', 'false', 'false', '512002111200', 5, '石岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002111200', 1, '2021-07-19 12:03:05', NULL, NULL), (30312, '', '土桥村', '3b9eeef38aae44bab67d99ce6d33d531', '4c4f40c5b47645a08c89ca22159e671f', 'False', 'True', 'false', 'false', '512002111201', 5, '土桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002111201', 1, '2021-07-19 12:03:05', NULL, NULL), (30313, '', '义和村', 'f7ee66ca83da4c49942fd4de54ae860d', '4c4f40c5b47645a08c89ca22159e671f', 'False', 'True', 'false', 'false', '512002111204', 5, '义和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002111204', 1, '2021-07-19 12:03:05', NULL, NULL), (30314, '', '五一村', '0f6ed38229a04ddc8d19b696915ec9c2', '4c4f40c5b47645a08c89ca22159e671f', 'False', 'True', 'false', 'false', '512002111205', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002111205', 1, '2021-07-19 12:03:06', NULL, NULL), (30315, '', '广济村', '2f998414443049e8bddfce385d70e0d8', '4c4f40c5b47645a08c89ca22159e671f', 'False', 'True', 'false', 'false', '512002111208', 5, '广济村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002111208', 1, '2021-07-19 12:03:06', NULL, NULL), (30316, '', '石河村', 'abad4b29f9684047a9f4d171c1098ff7', '4c4f40c5b47645a08c89ca22159e671f', 'False', 'True', 'false', 'false', '512002111210', 5, '石河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002111210', 1, '2021-07-19 12:03:06', NULL, NULL), (30317, '', '二龙村', '5802dc52a10144fa8819f6328fa59223', '4c4f40c5b47645a08c89ca22159e671f', 'False', 'True', 'false', 'false', '512002111212', 5, '二龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002111212', 1, '2021-07-19 12:03:06', NULL, NULL), (30318, '', '白果村', 'ca00c8535cbf43c49ddc4c79a9dffd81', '4c4f40c5b47645a08c89ca22159e671f', 'False', 'True', 'false', 'false', '512002111213', 5, '白果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002111213', 1, '2021-07-19 12:03:06', NULL, NULL), (30319, '', '高峰村', '456b470328014b3bb1312dac9f0301ce', '4c4f40c5b47645a08c89ca22159e671f', 'False', 'True', 'false', 'false', '512002111215', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002111215', 1, '2021-07-19 12:03:06', NULL, NULL), (30320, '', '红雀村', '15fd3dc7cfd44140b91046c59de33179', '4c4f40c5b47645a08c89ca22159e671f', 'False', 'True', 'false', 'false', '512002111216', 5, '红雀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002111216', 1, '2021-07-19 12:03:06', NULL, NULL), (30321, '', '尖山村', 'abee6db8212343d2bbe0895b622115c6', '4c4f40c5b47645a08c89ca22159e671f', 'False', 'True', 'false', 'false', '512002111217', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002111217', 1, '2021-07-19 12:03:06', NULL, NULL), (30322, '', '培德村', '95772ea0ac524603a01434ad56394b84', '4c4f40c5b47645a08c89ca22159e671f', 'False', 'True', 'false', 'false', '512002111218', 5, '培德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002111218', 1, '2021-07-19 12:03:06', NULL, NULL), (30323, '', '东峰镇', '0bc336bacf7e4a76aadea70fb812304d', '75e3a8e80dde4939ae030e64a2b2a379', 'True', 'True', 'false', 'false', '512002112000', 4, '东峰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512002112000', 1, '2021-07-19 12:03:06', NULL, NULL), (30324, '', '东峰场社区', '17c0d95af2a643f9ab4bab6f4a61f85e', '0bc336bacf7e4a76aadea70fb812304d', 'False', 'True', 'false', 'false', '512002112001', 5, '东峰场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002112001', 1, '2021-07-19 12:03:06', NULL, NULL), (30325, '', '高石梯村', '39f129aeabb94d64a370859552e8b276', '0bc336bacf7e4a76aadea70fb812304d', 'False', 'True', 'false', 'false', '512002112201', 5, '高石梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002112201', 1, '2021-07-19 12:03:06', NULL, NULL), (30326, '', '打铁村', '7f5d9533c31740998157d7322608131b', '0bc336bacf7e4a76aadea70fb812304d', 'False', 'True', 'false', 'false', '512002112202', 5, '打铁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002112202', 1, '2021-07-19 12:03:06', NULL, NULL), (30327, '', '双龙村', '3b084fa00d6d40edaa9c85aa11bd7fdd', '0bc336bacf7e4a76aadea70fb812304d', 'False', 'True', 'false', 'false', '512002112204', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002112204', 1, '2021-07-19 12:03:06', NULL, NULL), (30328, '', '东峰村', 'ad72a955a09744ac972d8e992c2b433a', '0bc336bacf7e4a76aadea70fb812304d', 'False', 'True', 'false', 'false', '512002112205', 5, '东峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002112205', 1, '2021-07-19 12:03:06', NULL, NULL), (30329, '', '徐家村', 'f9fbfbb79c654015bf9e6f05b20a6a93', '0bc336bacf7e4a76aadea70fb812304d', 'False', 'True', 'false', 'false', '512002112206', 5, '徐家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002112206', 1, '2021-07-19 12:03:06', NULL, NULL), (30330, '', '大田村', '21cb2d97235f4a398380ff1c8b99986a', '0bc336bacf7e4a76aadea70fb812304d', 'False', 'True', 'false', 'false', '512002112207', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002112207', 1, '2021-07-19 12:03:06', NULL, NULL), (30331, '', '杨家村', 'ee76a5590cdc485da1b652b189541e05', '0bc336bacf7e4a76aadea70fb812304d', 'False', 'True', 'false', 'false', '512002112209', 5, '杨家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002112209', 1, '2021-07-19 12:03:06', NULL, NULL), (30332, '', '金龙村', '4023781539a247b4ac6fcb617a480f49', '0bc336bacf7e4a76aadea70fb812304d', 'False', 'True', 'false', 'false', '512002112212', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002112212', 1, '2021-07-19 12:03:07', NULL, NULL), (30333, '', '桥亭村', 'd180dd8150ad41a7978bd4021820fcde', '0bc336bacf7e4a76aadea70fb812304d', 'False', 'True', 'false', 'false', '512002112213', 5, '桥亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002112213', 1, '2021-07-19 12:03:07', NULL, NULL), (30334, '', '高板村', 'b349cd29b734411e88090318864f0f82', '0bc336bacf7e4a76aadea70fb812304d', 'False', 'True', 'false', 'false', '512002112214', 5, '高板村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002112214', 1, '2021-07-19 12:03:07', NULL, NULL), (30335, '', '新观村', '1e982fa1e3a14d6b90a7f6217e0d12d8', '0bc336bacf7e4a76aadea70fb812304d', 'False', 'True', 'false', 'false', '512002112216', 5, '新观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002112216', 1, '2021-07-19 12:03:07', NULL, NULL), (30336, '', '九龙村', '6d49b7a47a0e4273ad6b71e5ec0ef841', '0bc336bacf7e4a76aadea70fb812304d', 'False', 'True', 'false', 'false', '512002112221', 5, '九龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002112221', 1, '2021-07-19 12:03:07', NULL, NULL), (30337, '', '骑龙村', 'a431944008594aa98bb72e17f257299d', '0bc336bacf7e4a76aadea70fb812304d', 'False', 'True', 'false', 'false', '512002112223', 5, '骑龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002112223', 1, '2021-07-19 12:03:07', NULL, NULL), (30338, '', '南津镇', '3f3fee68feaa4f49b05ba61208aac990', '75e3a8e80dde4939ae030e64a2b2a379', 'True', 'True', 'false', 'false', '512002113000', 4, '南津镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512002113000', 1, '2021-07-19 12:03:07', NULL, NULL), (30339, '', '南津驿社区', 'bf4a409baa16403c83a1d5efad819975', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113001', 5, '南津驿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113001', 1, '2021-07-19 12:03:07', NULL, NULL), (30340, '', '竹林村', '755404cd44624d279c2f4ea7148acee0', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113200', 5, '竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113200', 1, '2021-07-19 12:03:07', NULL, NULL), (30341, '', '刘家村', '1e448861f2ee4f349ae7259185eee3db', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113201', 5, '刘家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113201', 1, '2021-07-19 12:03:07', NULL, NULL), (30342, '', '罗成村', '74803fd99db64adb8111f4aa3e61f4cb', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113202', 5, '罗成村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113202', 1, '2021-07-19 12:03:07', NULL, NULL), (30343, '', '新店村', 'e2858c784d9346a599e1500cfee28e87', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113203', 5, '新店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113203', 1, '2021-07-19 12:03:07', NULL, NULL), (30344, '', '斜石板村', '25c754552c9d4563983e776b520082cc', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113204', 5, '斜石板村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113204', 1, '2021-07-19 12:03:07', NULL, NULL), (30345, '', '擦耳岩村', '7f2003c2d5674ee4b79c3b91dad65d5b', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113205', 5, '擦耳岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113205', 1, '2021-07-19 12:03:07', NULL, NULL), (30346, '', '振书村', '4f8afd15fbf644a689f01c990610e7b8', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113206', 5, '振书村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113206', 1, '2021-07-19 12:03:07', NULL, NULL), (30347, '', '冻青铺村', 'f18a42ebe3164d4c994b1690f4576002', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113207', 5, '冻青铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113207', 1, '2021-07-19 12:03:08', NULL, NULL), (30348, '', '老鸦山村', 'd92a3a35b8c24850ac1917a35cbfced0', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113208', 5, '老鸦山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113208', 1, '2021-07-19 12:03:08', NULL, NULL), (30349, '', '谷湾村', 'e6d56237dfed430fbf9abc1ec70bafd1', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113209', 5, '谷湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113209', 1, '2021-07-19 12:03:08', NULL, NULL), (30350, '', '新添铺村', 'b2243dfe32cd4da9a2fa3d9ead53be69', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113210', 5, '新添铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113210', 1, '2021-07-19 12:03:08', NULL, NULL), (30351, '', '元坝村', 'd71db2c3f4e341028c69d6a0fc555dc8', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113211', 5, '元坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113211', 1, '2021-07-19 12:03:08', NULL, NULL), (30352, '', '松林村', '92098313bf3a463b80d192bb2bc53f24', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113212', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113212', 1, '2021-07-19 12:03:08', NULL, NULL), (30353, '', '湖广村', 'e0efc301dbd2449d8370ec899a959396', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113213', 5, '湖广村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113213', 1, '2021-07-19 12:03:08', NULL, NULL), (30354, '', '迎桥村', '48fbb65507e44378a26bf69b920e095d', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113214', 5, '迎桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113214', 1, '2021-07-19 12:03:08', NULL, NULL), (30355, '', '云台村', '754815f7b7144c908405ae4be9d4d4fd', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113215', 5, '云台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113215', 1, '2021-07-19 12:03:08', NULL, NULL), (30356, '', '先胜村', 'd2aba0cb8b31402d9dcf08c97c1d8800', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113216', 5, '先胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113216', 1, '2021-07-19 12:03:08', NULL, NULL), (30357, '', '烂庙子村', 'e0bb09d45bd540e8b19ea090bd074282', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113217', 5, '烂庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113217', 1, '2021-07-19 12:03:08', NULL, NULL), (30358, '', '观音岩村', '3844bcf85eb44449a48d964ee65269fe', '3f3fee68feaa4f49b05ba61208aac990', 'False', 'True', 'false', 'false', '512002113218', 5, '观音岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002113218', 1, '2021-07-19 12:03:08', NULL, NULL), (30359, '', '丰裕镇', '20c72a4396f44b4380a2f2de0e2d06cf', '75e3a8e80dde4939ae030e64a2b2a379', 'True', 'True', 'false', 'false', '512002116000', 4, '丰裕镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512002116000', 1, '2021-07-19 12:03:08', NULL, NULL), (30360, '', '敲钟村', '62e7aac6e4aa4198b8d9f5d0b5cde8c4', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116073', 5, '敲钟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116073', 1, '2021-07-19 12:03:08', NULL, NULL), (30361, '', '共和村', '6cb7a125bfcd4a528e2e7c99cfbe4268', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116092', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116092', 1, '2021-07-19 12:03:08', NULL, NULL), (30362, '', '人乐村', 'dd922fa86d09448f8293c4a6ab5e15f4', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116143', 5, '人乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116143', 1, '2021-07-19 12:03:08', NULL, NULL), (30363, '', '宝山村', 'ef065fcb063a45bc8b60fb0eab38936d', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116154', 5, '宝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116154', 1, '2021-07-19 12:03:09', NULL, NULL), (30364, '', '丹桂村', '432e9c0305ae4ff18e01055ffdc26619', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116332', 5, '丹桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116332', 1, '2021-07-19 12:03:09', NULL, NULL), (30365, '', '长沙村', 'ce3e699b194c4909ac6071d5deb81fee', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116433', 5, '长沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116433', 1, '2021-07-19 12:03:09', NULL, NULL), (30366, '', '石柱村', 'b32e95b2eac643d8880468de7afc1647', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116445', 5, '石柱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116445', 1, '2021-07-19 12:03:09', NULL, NULL), (30367, '', '苌弘村', '94e72ff8451d4dcbb2483a9b8840f4f2', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116466', 5, '苌弘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116466', 1, '2021-07-19 12:03:09', NULL, NULL), (30368, '', '联合村', '9a44554634e7482088eff891b49a8b7b', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116473', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116473', 1, '2021-07-19 12:03:09', NULL, NULL), (30369, '', '龙王庙村', 'fcd8242a6c354bf0a276aa62f76f6b9d', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116584', 5, '龙王庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116584', 1, '2021-07-19 12:03:09', NULL, NULL), (30370, '', '同意村', '57ef4fa239b9432faeb294e7da13f997', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116623', 5, '同意村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116623', 1, '2021-07-19 12:03:09', NULL, NULL), (30371, '', '太吉村', 'f9af4713856f42adae8eb420882af99d', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116627', 5, '太吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116627', 1, '2021-07-19 12:03:09', NULL, NULL), (30372, '', '访弘村', '34885f10b4d042cbbcc8478c1bdd9e0c', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116637', 5, '访弘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116637', 1, '2021-07-19 12:03:09', NULL, NULL), (30373, '', '长河村', '1711e0d8d67c481e909edf8b2b603823', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116687', 5, '长河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116687', 1, '2021-07-19 12:03:09', NULL, NULL), (30374, '', '半月村', 'd016e0a3dbe242d697879a3afc1993d0', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116755', 5, '半月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116755', 1, '2021-07-19 12:03:09', NULL, NULL), (30375, '', '大河坝社区', '4fac4c59b18e481da81f219fe650a9b7', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116831', 5, '大河坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116831', 1, '2021-07-19 12:03:09', NULL, NULL), (30376, '', '高洞村', 'e2abb7318d5e4dd9bd169f40c84df25e', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116937', 5, '高洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116937', 1, '2021-07-19 12:03:09', NULL, NULL), (30377, '', '丰裕场社区', 'e160985dfb764412b0a2c32177b950d3', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116947', 5, '丰裕场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116947', 1, '2021-07-19 12:03:09', NULL, NULL), (30378, '', '人民村', '99ef8834098246b294a5b46700bf1d6d', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116200', 5, '人民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116200', 1, '2021-07-19 12:03:10', NULL, NULL), (30379, '', '集合村', 'bb948650f14c4c07a0a260fc7dbc7dd3', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116201', 5, '集合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116201', 1, '2021-07-19 12:03:10', NULL, NULL), (30380, '', '农权村', 'bbf6513dc20b416597702f5706ead46b', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116202', 5, '农权村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116202', 1, '2021-07-19 12:03:10', NULL, NULL), (30381, '', '冬冬山村', '24ebbe52ae4a4278921bd7b70cfad431', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116203', 5, '冬冬山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116203', 1, '2021-07-19 12:03:10', NULL, NULL), (30382, '', '桂花村', '29ab4dc7daa84c0b851a035c5295b4ba', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116204', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116204', 1, '2021-07-19 12:03:10', NULL, NULL), (30383, '', '拱桥村', '7f6cd8aa250a422f8477809cb9a7e586', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116205', 5, '拱桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116205', 1, '2021-07-19 12:03:10', NULL, NULL), (30384, '', '祠堂村', 'd0da8761ede04f11a88bd5b70e2af130', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116206', 5, '祠堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116206', 1, '2021-07-19 12:03:10', NULL, NULL), (30385, '', '七星村', '30371bb1e8524cdc81b71cea8e58b903', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116207', 5, '七星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116207', 1, '2021-07-19 12:03:10', NULL, NULL), (30386, '', '高石村', '974784f689d64fbfb76656b702472e8c', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116208', 5, '高石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116208', 1, '2021-07-19 12:03:10', NULL, NULL), (30387, '', '二郎村', 'e2697b2cbe3341fba9bb26037394b0e2', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116209', 5, '二郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116209', 1, '2021-07-19 12:03:10', NULL, NULL), (30388, '', '新华村', '524b2734896745f79151f2a9c493454a', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116210', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116210', 1, '2021-07-19 12:03:10', NULL, NULL), (30389, '', '和平村', '1e07fa0f42cf4c2699a818882af3e5df', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116211', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116211', 1, '2021-07-19 12:03:10', NULL, NULL), (30390, '', '插旗村', 'bda1946bd51d4416819920748712c914', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116212', 5, '插旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116212', 1, '2021-07-19 12:03:10', NULL, NULL), (30391, '', '方山村', '5c31fff642c742889eead519beb7f5db', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116214', 5, '方山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116214', 1, '2021-07-19 12:03:10', NULL, NULL), (30392, '', '华山村', '08c2b5f21a1d4eac89f1e741086aca2c', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116215', 5, '华山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116215', 1, '2021-07-19 12:03:11', NULL, NULL), (30393, '', '护耳村', '475e6b5acc8944088e81ae14227f1688', '20c72a4396f44b4380a2f2de0e2d06cf', 'False', 'True', 'false', 'false', '512002116216', 5, '护耳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002116216', 1, '2021-07-19 12:03:11', NULL, NULL), (30394, '', '迎接镇', 'bb2112d32fbc4559ab1a8e2b8297b684', '75e3a8e80dde4939ae030e64a2b2a379', 'True', 'True', 'false', 'false', '512002117000', 4, '迎接镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512002117000', 1, '2021-07-19 12:03:11', NULL, NULL), (30395, '', '余家寺社区', '285a730da85a4c66825f6cba9a8c1f0b', 'bb2112d32fbc4559ab1a8e2b8297b684', 'False', 'True', 'false', 'false', '512002117001', 5, '余家寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002117001', 1, '2021-07-19 12:03:11', NULL, NULL), (30396, '', '牛藤村', 'c83edeccfaa6457aa960f131b2a0caf8', 'bb2112d32fbc4559ab1a8e2b8297b684', 'False', 'True', 'false', 'false', '512002117201', 5, '牛藤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002117201', 1, '2021-07-19 12:03:11', NULL, NULL), (30397, '', '焦柏村', 'f83e7eeef7d04632963b4281d13edfe3', 'bb2112d32fbc4559ab1a8e2b8297b684', 'False', 'True', 'false', 'false', '512002117202', 5, '焦柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002117202', 1, '2021-07-19 12:03:11', NULL, NULL), (30398, '', '前丰村', 'd7adab725b7845179c6cf4642eb5b4c3', 'bb2112d32fbc4559ab1a8e2b8297b684', 'False', 'True', 'false', 'false', '512002117203', 5, '前丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002117203', 1, '2021-07-19 12:03:11', NULL, NULL), (30399, '', '龙家村', '9ad6c0b2438b49f58f4390bfc0af4a2d', 'bb2112d32fbc4559ab1a8e2b8297b684', 'False', 'True', 'false', 'false', '512002117204', 5, '龙家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002117204', 1, '2021-07-19 12:03:11', NULL, NULL), (30400, '', '黄添村', 'ef9e93680a8841108bd0e31fbf2c96cf', 'bb2112d32fbc4559ab1a8e2b8297b684', 'False', 'True', 'false', 'false', '512002117205', 5, '黄添村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002117205', 1, '2021-07-19 12:03:11', NULL, NULL), (30401, '', '天元村', '6c3d791391a84d6db2c01b3aa5aa15b1', 'bb2112d32fbc4559ab1a8e2b8297b684', 'False', 'True', 'false', 'false', '512002117207', 5, '天元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002117207', 1, '2021-07-19 12:03:11', NULL, NULL), (30402, '', '打卦石村', '871fa81c43ba40b4ad861b10bf7c25ca', 'bb2112d32fbc4559ab1a8e2b8297b684', 'False', 'True', 'false', 'false', '512002117208', 5, '打卦石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002117208', 1, '2021-07-19 12:03:11', NULL, NULL), (30403, '', '核桃村', 'ff596fc0b6ac409081015f5b26e15928', 'bb2112d32fbc4559ab1a8e2b8297b684', 'False', 'True', 'false', 'false', '512002117209', 5, '核桃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002117209', 1, '2021-07-19 12:03:11', NULL, NULL), (30404, '', '化龙村', '99e54c6879674792adc28610a2367513', 'bb2112d32fbc4559ab1a8e2b8297b684', 'False', 'True', 'false', 'false', '512002117210', 5, '化龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002117210', 1, '2021-07-19 12:03:11', NULL, NULL), (30405, '', '黄板村', '767586a2b9e94463b2da4d1f1ac377e0', 'bb2112d32fbc4559ab1a8e2b8297b684', 'False', 'True', 'false', 'false', '512002117212', 5, '黄板村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002117212', 1, '2021-07-19 12:03:11', NULL, NULL), (30406, '', '分水村', 'a7bc4fa190884f0891c2c0cd24a9f4c8', 'bb2112d32fbc4559ab1a8e2b8297b684', 'False', 'True', 'false', 'false', '512002117213', 5, '分水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002117213', 1, '2021-07-19 12:03:11', NULL, NULL), (30407, '', '东庵村', 'df2fbe747b9c4c33a6d53721000ef1ff', 'bb2112d32fbc4559ab1a8e2b8297b684', 'False', 'True', 'false', 'false', '512002117218', 5, '东庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002117218', 1, '2021-07-19 12:03:11', NULL, NULL), (30408, '', '祥符镇', 'b4bce9440b1e46ae80b9d0c08d3d21d9', '75e3a8e80dde4939ae030e64a2b2a379', 'True', 'True', 'false', 'false', '512002118000', 4, '祥符镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512002118000', 1, '2021-07-19 12:03:11', NULL, NULL), (30409, '', '祥符寺社区', 'a43fcf6cabca434f81510c7ac4f750ab', 'b4bce9440b1e46ae80b9d0c08d3d21d9', 'False', 'True', 'false', 'false', '512002118001', 5, '祥符寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002118001', 1, '2021-07-19 12:03:12', NULL, NULL), (30410, '', '团碑村', '1ee46daf406241aabdfea084f6004444', 'b4bce9440b1e46ae80b9d0c08d3d21d9', 'False', 'True', 'false', 'false', '512002118200', 5, '团碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002118200', 1, '2021-07-19 12:03:12', NULL, NULL), (30411, '', '白头村', '215e3d4366ac495192d377a04839876c', 'b4bce9440b1e46ae80b9d0c08d3d21d9', 'False', 'True', 'false', 'false', '512002118203', 5, '白头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002118203', 1, '2021-07-19 12:03:12', NULL, NULL), (30412, '', '白狮村', '0dcf17b5969243c9adcf39ac12957923', 'b4bce9440b1e46ae80b9d0c08d3d21d9', 'False', 'True', 'false', 'false', '512002118205', 5, '白狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002118205', 1, '2021-07-19 12:03:12', NULL, NULL), (30413, '', '华泉村', 'd71961d1a24049848080579e8a440983', 'b4bce9440b1e46ae80b9d0c08d3d21d9', 'False', 'True', 'false', 'false', '512002118206', 5, '华泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002118206', 1, '2021-07-19 12:03:12', NULL, NULL), (30414, '', '桃树村', '382ff4418ea242dea9adc68c34ed7f06', 'b4bce9440b1e46ae80b9d0c08d3d21d9', 'False', 'True', 'false', 'false', '512002118209', 5, '桃树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002118209', 1, '2021-07-19 12:03:12', NULL, NULL), (30415, '', '祥符村', '9f0177969f8d4f6eb7173907015300c3', 'b4bce9440b1e46ae80b9d0c08d3d21d9', 'False', 'True', 'false', 'false', '512002118210', 5, '祥符村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002118210', 1, '2021-07-19 12:03:12', NULL, NULL), (30416, '', '滚水村', '0d28511f75b64717b9978a014622ceff', 'b4bce9440b1e46ae80b9d0c08d3d21d9', 'False', 'True', 'false', 'false', '512002118211', 5, '滚水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002118211', 1, '2021-07-19 12:03:12', NULL, NULL), (30417, '', '松树村', 'a1ec2953aeb84734834203340ca9fe07', 'b4bce9440b1e46ae80b9d0c08d3d21d9', 'False', 'True', 'false', 'false', '512002118212', 5, '松树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002118212', 1, '2021-07-19 12:03:12', NULL, NULL), (30418, '', '二湾村', 'dc9dbfeaaf744853910a6ce814f7f827', 'b4bce9440b1e46ae80b9d0c08d3d21d9', 'False', 'True', 'false', 'false', '512002118214', 5, '二湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002118214', 1, '2021-07-19 12:03:12', NULL, NULL), (30419, '', '宝台镇', 'cbe7f76e77d24a20bbee19651e0be82e', '75e3a8e80dde4939ae030e64a2b2a379', 'True', 'False', 'false', 'false', '512002202000', 4, '宝台镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512002202000', 1, '2021-07-19 12:03:12', NULL, NULL), (30420, '', '清水村', '0c594d769de9429faed8b406ea37daad', 'cbe7f76e77d24a20bbee19651e0be82e', 'False', 'True', 'false', 'false', '512002202192', 5, '清水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002202192', 1, '2021-07-19 12:03:12', NULL, NULL), (30421, '', '清水河社区', 'a4cd4e3af6864549836a257139deeb99', 'cbe7f76e77d24a20bbee19651e0be82e', 'False', 'True', 'false', 'false', '512002202001', 5, '清水河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002202001', 1, '2021-07-19 12:03:12', NULL, NULL), (30422, '', '富凉村', 'ed8875ffd1cd47c6be637ca892f2572a', 'cbe7f76e77d24a20bbee19651e0be82e', 'False', 'True', 'false', 'false', '512002202200', 5, '富凉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002202200', 1, '2021-07-19 12:03:12', NULL, NULL), (30423, '', '大洪村', '039543c55d75481585ae7aecd302ec01', 'cbe7f76e77d24a20bbee19651e0be82e', 'False', 'True', 'false', 'false', '512002202201', 5, '大洪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002202201', 1, '2021-07-19 12:03:12', NULL, NULL), (30424, '', '江河坝村', '3bf955bd23944338808e7a0028454be1', 'cbe7f76e77d24a20bbee19651e0be82e', 'False', 'True', 'false', 'false', '512002202202', 5, '江河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002202202', 1, '2021-07-19 12:03:12', NULL, NULL), (30425, '', '月水坝村', '8c507a1a71ae4ecfb568fe7e70d2a84d', 'cbe7f76e77d24a20bbee19651e0be82e', 'False', 'True', 'false', 'false', '512002202203', 5, '月水坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002202203', 1, '2021-07-19 12:03:12', NULL, NULL), (30426, '', '指书庙村', '074119797c6d4fcfad47eb17c7c3accc', 'cbe7f76e77d24a20bbee19651e0be82e', 'False', 'True', 'false', 'false', '512002202204', 5, '指书庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002202204', 1, '2021-07-19 12:03:12', NULL, NULL), (30427, '', '板板桥村', '8fe7fcc72b4b46c28b6b85c48a27a3ef', 'cbe7f76e77d24a20bbee19651e0be82e', 'False', 'True', 'false', 'false', '512002202206', 5, '板板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002202206', 1, '2021-07-19 12:03:12', NULL, NULL), (30428, '', '滴水村', '74b06a626f56495ba50465afbcc99315', 'cbe7f76e77d24a20bbee19651e0be82e', 'False', 'True', 'false', 'false', '512002202207', 5, '滴水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002202207', 1, '2021-07-19 12:03:12', NULL, NULL), (30429, '', '石牛村', '1b28c3111e7e497692bf184fbbf4843f', 'cbe7f76e77d24a20bbee19651e0be82e', 'False', 'True', 'false', 'false', '512002202208', 5, '石牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002202208', 1, '2021-07-19 12:03:13', NULL, NULL), (30430, '', '鲤鱼村', '423699a488174fdcae0f59b7a2dbcfa0', 'cbe7f76e77d24a20bbee19651e0be82e', 'False', 'True', 'false', 'false', '512002202210', 5, '鲤鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002202210', 1, '2021-07-19 12:03:13', NULL, NULL), (30431, '', '春天沟村', 'd2ad6b9df38f4e3da47481337636fc2b', 'cbe7f76e77d24a20bbee19651e0be82e', 'False', 'True', 'false', 'false', '512002202213', 5, '春天沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002202213', 1, '2021-07-19 12:03:13', NULL, NULL), (30432, '', '铁锁村', 'f7b6a4ee75bf4beabf5e84aefa32bcf8', 'cbe7f76e77d24a20bbee19651e0be82e', 'False', 'True', 'false', 'false', '512002202215', 5, '铁锁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002202215', 1, '2021-07-19 12:03:13', NULL, NULL), (30433, '', '转龙村', '366fc03e69db46b6b42ab69687552ebc', 'cbe7f76e77d24a20bbee19651e0be82e', 'False', 'True', 'false', 'false', '512002202221', 5, '转龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002202221', 1, '2021-07-19 12:03:13', NULL, NULL), (30434, '', '东角村', 'c3c2eabbcbe64cb99f4e5504af426057', 'cbe7f76e77d24a20bbee19651e0be82e', 'False', 'True', 'false', 'false', '512002202222', 5, '东角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002202222', 1, '2021-07-19 12:03:13', NULL, NULL), (30435, '', '凉水井村', 'd203d9c5720840299875b0e47917b487', 'cbe7f76e77d24a20bbee19651e0be82e', 'False', 'True', 'false', 'false', '512002202223', 5, '凉水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512002202223', 1, '2021-07-19 12:03:13', NULL, NULL), (30436, '', '乐至县', '8702774014dc45a8a5f03b0da90cbec3', 'dff4152eb0e04bfcbe5b49343d6c888b', 'True', 'True', 'false', 'false', '512022000000', 3, '乐至县', 'zyslzx.sczwfw.gov.cn', 1, '2021-07-19 12:03:13', NULL, NULL), (30437, '', '天池街道', '75800dfe3a574dbba1d76a367a145df1', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022100000', 4, '天池街道办事处', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022100000', 1, '2021-07-19 12:03:13', NULL, NULL), (30438, '', '刘痣垭村', 'f24f60f288924e578023d9997300c330', '75800dfe3a574dbba1d76a367a145df1', 'False', 'True', 'false', 'false', '512022001204', 5, '刘痣垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022001204', 1, '2021-07-19 12:03:13', NULL, NULL), (30439, '', '西郊社区', '10269e2ab19a4bb9a50f4a2bd78209fa', '75800dfe3a574dbba1d76a367a145df1', 'False', 'True', 'false', 'false', '512022001001', 5, '西郊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022001001', 1, '2021-07-19 12:03:13', NULL, NULL), (30440, '', '黄花园村', 'dd0691f4e75d43c2b8a29a785efb6a6e', '75800dfe3a574dbba1d76a367a145df1', 'False', 'True', 'false', 'false', '512022100315', 5, '黄花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022100315', 1, '2021-07-19 12:03:13', NULL, NULL), (30441, '', '牛栏店村', '77e9bc3f120149139e0de2305d30891b', '75800dfe3a574dbba1d76a367a145df1', 'False', 'True', 'false', 'false', '512022100371', 5, '牛栏店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022100371', 1, '2021-07-19 12:03:13', NULL, NULL), (30442, '', '仙鹤观社区', 'de6a26a46ef64ff1be4bf9f97fc28e25', '75800dfe3a574dbba1d76a367a145df1', 'False', 'True', 'false', 'false', '512022100435', 5, '仙鹤观社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022100435', 1, '2021-07-19 12:03:13', NULL, NULL), (30443, '', '团店村', '7e3ef7b29bcf4fd58ac85e34fe3d433e', '75800dfe3a574dbba1d76a367a145df1', 'False', 'True', 'false', 'false', '512022100769', 5, '团店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022100769', 1, '2021-07-19 12:03:13', NULL, NULL), (30444, '', '瓦窑沟社区', 'f2de25fe09ac46cebdcd34818be2f2a8', '75800dfe3a574dbba1d76a367a145df1', 'False', 'True', 'false', 'false', '512022100891', 5, '瓦窑沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022100891', 1, '2021-07-19 12:03:13', NULL, NULL), (30445, '', '北郊社区', '10138b3ee9e0428681eea1033e40be8a', '75800dfe3a574dbba1d76a367a145df1', 'False', 'True', 'false', 'false', '512022100181', 5, '北郊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022100181', 1, '2021-07-19 12:03:13', NULL, NULL), (30446, '', '红星社区', '1169441bb0344537aa61172706633d27', '75800dfe3a574dbba1d76a367a145df1', 'False', 'True', 'false', 'false', '512022100944', 5, '红星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022100944', 1, '2021-07-19 12:03:14', NULL, NULL), (30447, '', '棉花湾社区', 'f88da19d08e5403cb01f461309b1f52f', '75800dfe3a574dbba1d76a367a145df1', 'False', 'True', 'false', 'false', '512022100806', 5, '棉花湾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022100806', 1, '2021-07-19 12:03:14', NULL, NULL), (30448, '', '石板垭社区', 'cf33c283a8824eae92edad0cbee3453c', '75800dfe3a574dbba1d76a367a145df1', 'False', 'True', 'false', 'false', '512022100089', 5, '石板垭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022100089', 1, '2021-07-19 12:03:14', NULL, NULL), (30449, '', '徐家桥社区', '374499618ec849a8ad1d63efee0c8346', '75800dfe3a574dbba1d76a367a145df1', 'False', 'True', 'false', 'false', '512022100151', 5, '徐家桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022100151', 1, '2021-07-19 12:03:14', NULL, NULL), (30450, '', '新观音社区', 'c0b6a7a7637d4d97a09440e1fb60ed5e', '75800dfe3a574dbba1d76a367a145df1', 'False', 'True', 'false', 'false', '512022100085', 5, '新观音社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022100085', 1, '2021-07-19 12:03:14', NULL, NULL), (30451, '', '可印堂村', '5246783f63ba4eaca7c4dc0913117766', '75800dfe3a574dbba1d76a367a145df1', 'False', 'True', 'false', 'false', '512022100400', 5, '可印堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022100400', 1, '2021-07-19 12:03:14', NULL, NULL), (30452, '', '香炉沟村', '97d2bd875fdc4056bc4a17ee35cef666', '75800dfe3a574dbba1d76a367a145df1', 'False', 'True', 'false', 'false', '512022100032', 5, '香炉沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022100032', 1, '2021-07-19 12:03:14', NULL, NULL), (30453, '', '黄岭铺村', '59e47e3162244fcfa4dc9a11948b00e2', '75800dfe3a574dbba1d76a367a145df1', 'False', 'True', 'false', 'false', '512022100447', 5, '黄岭铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022100447', 1, '2021-07-19 12:03:14', NULL, NULL), (30454, '', '宝鼎村', '6e84bad52bcd46dbbe65d1ed85f37e33', '75800dfe3a574dbba1d76a367a145df1', 'False', 'True', 'false', 'false', '512022100995', 5, '宝鼎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022100995', 1, '2021-07-19 12:03:14', NULL, NULL), (30455, '', '南塔街道', '8b13fc50a56e496b894749c1af2a363a', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022382000', 4, '南塔街道办事处', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022382000', 1, '2021-07-19 12:03:14', NULL, NULL), (30456, '', '东街社区', 'c4157e76d1de4cbd962e69ab6cac5321', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382164', 5, '东街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382164', 1, '2021-07-19 12:03:14', NULL, NULL), (30457, '', '南街社区', 'ae683d5bf00e4f348a4253c86f2526c9', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382024', 5, '南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382024', 1, '2021-07-19 12:03:14', NULL, NULL), (30458, '', '池南社区', 'efdfbced378c46bfa9cd441f36a608e2', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382855', 5, '池南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382855', 1, '2021-07-19 12:03:14', NULL, NULL), (30459, '', '新南社区', '28af5f749caa49a2810acf267d298b18', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382973', 5, '新南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382973', 1, '2021-07-19 12:03:14', NULL, NULL), (30460, '', '西街社区', 'e65e4ac77b1547d1ae68ab674be21536', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382143', 5, '西街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382143', 1, '2021-07-19 12:03:14', NULL, NULL), (30461, '', '北街社区', '50d5161f891f4b6dabd5a51cde2db62a', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382998', 5, '北街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382998', 1, '2021-07-19 12:03:15', NULL, NULL), (30462, '', '东郊社区', '038396930f134e2ab9c9ce1423bedb83', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382021', 5, '东郊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382021', 1, '2021-07-19 12:03:15', NULL, NULL), (30463, '', '曙光社区', 'd318299774a8486abcf4b80b6d5a7c99', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382376', 5, '曙光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382376', 1, '2021-07-19 12:03:15', NULL, NULL), (30464, '', '文庙沟社区', '5f08e2e655a645ea9cffdd256fb5fbc4', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382611', 5, '文庙沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382611', 1, '2021-07-19 12:03:15', NULL, NULL), (30465, '', '南郊社区', 'a14edad51a984f35b6447b37b9d37940', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382426', 5, '南郊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382426', 1, '2021-07-19 12:03:15', NULL, NULL), (30466, '', '南山社区', '87ffcd6854b7447ebf0e16ed1ad3aad7', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382637', 5, '南山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382637', 1, '2021-07-19 12:03:15', NULL, NULL), (30467, '', '幸福社区', '72a5a5c83338424d88140238f3fc26c4', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382443', 5, '幸福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382443', 1, '2021-07-19 12:03:15', NULL, NULL), (30468, '', '三里社区', 'f75b19747256477e8c5b5bfc66f08a17', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382198', 5, '三里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382198', 1, '2021-07-19 12:03:16', NULL, NULL), (30469, '', '接龙村', '2513f9616bf5446bb96c988c00205295', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382414', 5, '接龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382414', 1, '2021-07-19 12:03:16', NULL, NULL), (30470, '', '观音岩村', '5e2d9bbef34e4d8081137a47aafec582', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382942', 5, '观音岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382942', 1, '2021-07-19 12:03:16', NULL, NULL), (30471, '', '雷音村', 'f3d11b8ddc9d463eb7e31633525ac4a5', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382939', 5, '雷音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382939', 1, '2021-07-19 12:03:16', NULL, NULL), (30472, '', '金地村', '90ed4542d16544ea88fa2552ccaed03a', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382954', 5, '金地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382954', 1, '2021-07-19 12:03:16', NULL, NULL), (30473, '', '大石包村', 'e618ca69d9b6444e8bcf76724d1b6386', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382201', 5, '大石包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382201', 1, '2021-07-19 12:03:16', NULL, NULL), (30474, '', '安宁村', 'c10388980c9147eaa7c0dc6e3c95b2f1', '8b13fc50a56e496b894749c1af2a363a', 'False', 'True', 'false', 'false', '512022382506', 5, '安宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022382506', 1, '2021-07-19 12:03:16', NULL, NULL), (30475, '', '石佛镇', 'ce7905870be1477cbf00f1b038355a8f', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022101000', 4, '石佛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022101000', 1, '2021-07-19 12:03:16', NULL, NULL), (30476, '', '石佛社区', 'b1ca8c4330cf47afa60c6a0659304312', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101001', 5, '石佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101001', 1, '2021-07-19 12:03:16', NULL, NULL), (30477, '', '廖家沟社区', '0af1b113fde840d3a6a592d07207b6e0', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101002', 5, '廖家沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101002', 1, '2021-07-19 12:03:16', NULL, NULL), (30478, '', '太来社区', 'be4604c0bda146838efe43289ca40263', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101003', 5, '太来社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101003', 1, '2021-07-19 12:03:16', NULL, NULL), (30479, '', '保安社区', 'b91e4490c86b449c8cc04fa3f7f32f06', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101004', 5, '保安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101004', 1, '2021-07-19 12:03:16', NULL, NULL), (30480, '', '磨盘村', 'f5d29a85cebc4dc194a2b988d3437945', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101005', 5, '磨盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101005', 1, '2021-07-19 12:03:16', NULL, NULL), (30481, '', '玉桥村', '24ec84eebb5a4d3a88b533e4707eb755', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101006', 5, '玉桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101006', 1, '2021-07-19 12:03:16', NULL, NULL), (30482, '', '高屋基村', 'd4e3a02eebc94f7ea8dd36bcb28eea77', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101007', 5, '高屋基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101007', 1, '2021-07-19 12:03:16', NULL, NULL), (30483, '', '古堰口村', '7ba4f66e77f54a998e0a11e3e8a09211', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101008', 5, '古堰口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101008', 1, '2021-07-19 12:03:17', NULL, NULL), (30484, '', '唐家店村', 'd0c190b3342e4b59806edbdc2474df36', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101009', 5, '唐家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101009', 1, '2021-07-19 12:03:17', NULL, NULL), (30485, '', '荣家沟村', '8ba5453746a949869e49662311aef6dd', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101010', 5, '荣家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101010', 1, '2021-07-19 12:03:17', NULL, NULL), (30486, '', '庆云庵村', 'b72763cc885146219f73781f161c3825', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101012', 5, '庆云庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101012', 1, '2021-07-19 12:03:17', NULL, NULL), (30487, '', '板板桥村', 'db49440b678247838ca074a1a172945b', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101013', 5, '板板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101013', 1, '2021-07-19 12:03:17', NULL, NULL), (30488, '', '桂花园村', '5910e93a9a7a44ecb0048755dd4f1420', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101014', 5, '桂花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101014', 1, '2021-07-19 12:03:17', NULL, NULL), (30489, '', '天神庙村', '7cdcb1f64f1f4564be9b5d0219272cc5', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101015', 5, '天神庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101015', 1, '2021-07-19 12:03:17', NULL, NULL), (30490, '', '宝石村', '7adc6864436d4cbca060ea37b02ead32', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101016', 5, '宝石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101016', 1, '2021-07-19 12:03:17', NULL, NULL), (30491, '', '柳木村', 'ad798dcfce1a4105b96dad22bf9c18a0', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101017', 5, '柳木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101017', 1, '2021-07-19 12:03:17', NULL, NULL), (30492, '', '放生村', '9b21debc8e904d48bc0ce885ddf6fba7', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101018', 5, '放生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101018', 1, '2021-07-19 12:03:17', NULL, NULL), (30493, '', '瓦屋村', 'fe2b3e17f9d84d40a0a49c129e1b453c', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101019', 5, '瓦屋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101019', 1, '2021-07-19 12:03:17', NULL, NULL), (30494, '', '金山寺村', '513c8106aa1442ceac30d0059bc7703d', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101020', 5, '金山寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101020', 1, '2021-07-19 12:03:17', NULL, NULL), (30495, '', '龙家沟村', '80b158d0471d4312949b296c566eee0f', 'ce7905870be1477cbf00f1b038355a8f', 'False', 'True', 'false', 'false', '512022101021', 5, '龙家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022101021', 1, '2021-07-19 12:03:17', NULL, NULL), (30496, '', '回澜镇', '964e5e7232e7464fa2942e80f0b465a5', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022102000', 4, '回澜镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022102000', 1, '2021-07-19 12:03:18', NULL, NULL), (30497, '', '付家庙村', '62df003a7a87411089bb05f3c8535e59', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102003', 5, '付家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102003', 1, '2021-07-19 12:03:18', NULL, NULL), (30498, '', '祠善村', '5c9d7be99acb45189a960282c0395e1f', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102021', 5, '祠善村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102021', 1, '2021-07-19 12:03:18', NULL, NULL), (30499, '', '回澜社区', '98e7629ab59a48438ea70fdaad415839', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102033', 5, '回澜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102033', 1, '2021-07-19 12:03:18', NULL, NULL), (30500, '', '棉花沟村', 'd2d922fab6c2478da8bfdcb66fdbdd57', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102224', 5, '棉花沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102224', 1, '2021-07-19 12:03:18', NULL, NULL), (30501, '', '土桥社区', 'a2e43ef5f8174f9aa8520100a14f0813', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102238', 5, '土桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102238', 1, '2021-07-19 12:03:18', NULL, NULL), (30502, '', '云峰村', '4b56791c7b1c433caa72dcbeff16012d', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102314', 5, '云峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102314', 1, '2021-07-19 12:03:18', NULL, NULL), (30503, '', '万安社区', '5ae2280e487145ada82e6510c012aa16', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102317', 5, '万安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102317', 1, '2021-07-19 12:03:18', NULL, NULL), (30504, '', '兰家村', '435a1859381b4435ae97a288e443c749', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102333', 5, '兰家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102333', 1, '2021-07-19 12:03:18', NULL, NULL), (30505, '', '马锣寺村', '3cdbcd7030ca478bb0b429e40969248a', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102353', 5, '马锣寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102353', 1, '2021-07-19 12:03:18', NULL, NULL), (30506, '', '观音桥村', 'b76a0d0a17fe4416b85c500ac5786ae8', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102567', 5, '观音桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102567', 1, '2021-07-19 12:03:18', NULL, NULL), (30507, '', '油坊村', 'd034ccd447b34b83867afb600795f921', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102632', 5, '油坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102632', 1, '2021-07-19 12:03:18', NULL, NULL), (30508, '', '爆花村', '33d1ab7395a64a8b9a64dc6207593372', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102689', 5, '爆花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102689', 1, '2021-07-19 12:03:18', NULL, NULL), (30509, '', '五台山村', '05b128ebb7ca4fd884606da21f9130f2', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102796', 5, '五台山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102796', 1, '2021-07-19 12:03:18', NULL, NULL), (30510, '', '牛场坝村', '3d37db6e86774a30a3947f6621c200d2', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102852', 5, '牛场坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102852', 1, '2021-07-19 12:03:18', NULL, NULL), (30511, '', '互助村', 'fd133afd92b44303a98eb3c8a6643467', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102990', 5, '互助村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102990', 1, '2021-07-19 12:03:18', NULL, NULL), (30512, '', '花祠堂村', 'c54f1397edf446beac8327d1b37bd254', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102004', 5, '花祠堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102004', 1, '2021-07-19 12:03:19', NULL, NULL), (30513, '', '金山村', 'f04f7f56d14f4c63bed576cffa2638ab', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102009', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102009', 1, '2021-07-19 12:03:19', NULL, NULL), (30514, '', '乐安社区', 'a8dd999a7f384449a799d84c09cb3c35', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102010', 5, '乐安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102010', 1, '2021-07-19 12:03:19', NULL, NULL), (30515, '', '龙王庙村', '2292510787a74c3e8bec8df9117f377a', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102012', 5, '龙王庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102012', 1, '2021-07-19 12:03:19', NULL, NULL), (30516, '', '龙溪社区', '4fb590752ffe47e69c1e67a24cb4d117', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102013', 5, '龙溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102013', 1, '2021-07-19 12:03:19', NULL, NULL), (30517, '', '水口寺村', 'fed1be082c3046fea0de3eadbd56617e', '964e5e7232e7464fa2942e80f0b465a5', 'False', 'True', 'false', 'false', '512022102015', 5, '水口寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022102015', 1, '2021-07-19 12:03:19', NULL, NULL), (30518, '', '石湍镇', '17b304a256454320b2519c66719d52ea', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022103000', 4, '石湍镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022103000', 1, '2021-07-19 12:03:19', NULL, NULL), (30519, '', '和兴社区', 'aed319a1133646f885a40750f64af5ee', '17b304a256454320b2519c66719d52ea', 'False', 'True', 'false', 'false', '512022103021', 5, '和兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022103021', 1, '2021-07-19 12:03:19', NULL, NULL), (30520, '', '玉峰山村', '07791740560e4250a170ad096aebe690', '17b304a256454320b2519c66719d52ea', 'False', 'True', 'false', 'false', '512022103101', 5, '玉峰山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022103101', 1, '2021-07-19 12:03:19', NULL, NULL), (30521, '', '河西社区', '12411f30b36947afa2b35246ad55c6d1', '17b304a256454320b2519c66719d52ea', 'False', 'True', 'false', 'false', '512022103262', 5, '河西社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022103262', 1, '2021-07-19 12:03:19', NULL, NULL), (30522, '', '桂花社区', 'cc7262c8c1d8490c8628c71f29589ac7', '17b304a256454320b2519c66719d52ea', 'False', 'True', 'false', 'false', '512022103295', 5, '桂花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022103295', 1, '2021-07-19 12:03:19', NULL, NULL), (30523, '', '朝阳店村', 'd2bd3228af5544e98258a5116873b630', '17b304a256454320b2519c66719d52ea', 'False', 'True', 'false', 'false', '512022103431', 5, '朝阳店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022103431', 1, '2021-07-19 12:03:19', NULL, NULL), (30524, '', '普明寺村', '5cc8a772d1f247838ca0e060384434ce', '17b304a256454320b2519c66719d52ea', 'False', 'True', 'false', 'false', '512022103435', 5, '普明寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022103435', 1, '2021-07-19 12:03:19', NULL, NULL), (30525, '', '毛家坪村', 'c5045c51dfe5471b891f7d887d185467', '17b304a256454320b2519c66719d52ea', 'False', 'True', 'false', 'false', '512022103452', 5, '毛家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022103452', 1, '2021-07-19 12:03:19', NULL, NULL), (30526, '', '河东社区', 'aaaee346fb4144aeaf2d262fb453a20b', '17b304a256454320b2519c66719d52ea', 'False', 'True', 'false', 'false', '512022103456', 5, '河东社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022103456', 1, '2021-07-19 12:03:19', NULL, NULL), (30527, '', '宝堂寺村', 'adb5c76495654bfa85d01a4804e6600a', '17b304a256454320b2519c66719d52ea', 'False', 'True', 'false', 'false', '512022103619', 5, '宝堂寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022103619', 1, '2021-07-19 12:03:19', NULL, NULL), (30528, '', '万德沟村', 'cc874fd24e4349b59ddf7b907851eb5c', '17b304a256454320b2519c66719d52ea', 'False', 'True', 'false', 'false', '512022103626', 5, '万德沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022103626', 1, '2021-07-19 12:03:20', NULL, NULL), (30529, '', '天宫堂村', 'b941e8f8577a4ff58f0b859bb7fcdd8e', '17b304a256454320b2519c66719d52ea', 'False', 'True', 'false', 'false', '512022103677', 5, '天宫堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022103677', 1, '2021-07-19 12:03:20', NULL, NULL), (30530, '', '曹家庙村', '9ca369d88a834403afdfa7780cd601bc', '17b304a256454320b2519c66719d52ea', 'False', 'True', 'false', 'false', '512022103698', 5, '曹家庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022103698', 1, '2021-07-19 12:03:20', NULL, NULL), (30531, '', '龟山寺村', '1b9199b09f48483ab83586466758a103', '17b304a256454320b2519c66719d52ea', 'False', 'True', 'false', 'false', '512022103704', 5, '龟山寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022103704', 1, '2021-07-19 12:03:20', NULL, NULL), (30532, '', '长埝沟村', '2333ca30cdf94ee8a9f7c98fadf00724', '17b304a256454320b2519c66719d52ea', 'False', 'True', 'false', 'false', '512022103858', 5, '长埝沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022103858', 1, '2021-07-19 12:03:20', NULL, NULL), (30533, '', '高庙子村', '563c9a032bec4a61908deab3c8466767', '17b304a256454320b2519c66719d52ea', 'False', 'True', 'false', 'false', '512022103917', 5, '高庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022103917', 1, '2021-07-19 12:03:20', NULL, NULL), (30534, '', '童家镇', '8d81c26f55cf4315826ffa6884d54c86', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022104000', 4, '童家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022104000', 1, '2021-07-19 12:03:20', NULL, NULL), (30535, '', '甘家店村', 'e7a0dfa7b6f74440995055699eed68ea', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104013', 5, '甘家店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104013', 1, '2021-07-19 12:03:20', NULL, NULL), (30536, '', '放生社区', 'bf6882b98ecc43a49fd5776928bc3cfb', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104014', 5, '放生社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104014', 1, '2021-07-19 12:03:20', NULL, NULL), (30537, '', '黄泥店村', 'c60057fbf4af481fa7e40d1e926e9a22', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104015', 5, '黄泥店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104015', 1, '2021-07-19 12:03:20', NULL, NULL), (30538, '', '星桥村', 'b038b8e647c6481ab0d360c6bef56ec8', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104016', 5, '星桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104016', 1, '2021-07-19 12:03:20', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (30539, '', '应龙村', '54453797654c450088921a5fd021e6f8', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104017', 5, '应龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104017', 1, '2021-07-19 12:03:20', NULL, NULL), (30540, '', '金龙村', 'f5e713eb6def4aebab0cc7fa72bd5290', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104018', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104018', 1, '2021-07-19 12:03:20', NULL, NULL), (30541, '', '福果社区', '8ed84cfff2314394be71a3a33cfd419c', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104019', 5, '福果社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104019', 1, '2021-07-19 12:03:20', NULL, NULL), (30542, '', '白果社区', 'b83b11d0a7f94864a4cf33a8b8f790ed', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104020', 5, '白果社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104020', 1, '2021-07-19 12:03:20', NULL, NULL), (30543, '', '青海寺村', 'c4d4751f44b34b3eacfc0f874a6e6d39', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104023', 5, '青海寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104023', 1, '2021-07-19 12:03:21', NULL, NULL), (30544, '', '白布社区', 'c92aa18cf93245bda96feae0cf32a153', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104024', 5, '白布社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104024', 1, '2021-07-19 12:03:21', NULL, NULL), (30545, '', '五通村', 'fd669027f1de403d801c26a47b3e310e', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104213', 5, '五通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104213', 1, '2021-07-19 12:03:21', NULL, NULL), (30546, '', '万寿寺村', 'f41a64895e5943be9359915600f991cb', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104349', 5, '万寿寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104349', 1, '2021-07-19 12:03:21', NULL, NULL), (30547, '', '陈家祠村', '9637e51aa370421fa0afc0dde78d9757', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104471', 5, '陈家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104471', 1, '2021-07-19 12:03:21', NULL, NULL), (30548, '', '伍家寨村', '4664bd08a0804d098540b6cb656b9f71', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104592', 5, '伍家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104592', 1, '2021-07-19 12:03:21', NULL, NULL), (30549, '', '乐善村', '119619ce70914239a5d57cf2a75ef834', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104639', 5, '乐善村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104639', 1, '2021-07-19 12:03:21', NULL, NULL), (30550, '', '李家寨村', '8e544c0fdf0646708265cb875e0eafd0', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104674', 5, '李家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104674', 1, '2021-07-19 12:03:21', NULL, NULL), (30551, '', '龙源村', '5799c7cbfde241969ba97f2ee34b7c23', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104676', 5, '龙源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104676', 1, '2021-07-19 12:03:21', NULL, NULL), (30552, '', '天福村', 'afe349ca074540a98f5b9c5413da2d62', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104721', 5, '天福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104721', 1, '2021-07-19 12:03:21', NULL, NULL), (30553, '', '玉龙村', 'a2ccc64b2d2647e090d0036adbb9f940', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104744', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104744', 1, '2021-07-19 12:03:21', NULL, NULL), (30554, '', '团结村', 'ac77b4ae7ce14cde83a555dbc896fb2e', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104760', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104760', 1, '2021-07-19 12:03:21', NULL, NULL), (30555, '', '八角寺村', '98050dab52be43b7acb86f45238eb31b', '8d81c26f55cf4315826ffa6884d54c86', 'False', 'True', 'false', 'false', '512022104861', 5, '八角寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022104861', 1, '2021-07-19 12:03:21', NULL, NULL), (30556, '', '宝林镇', '0ca154d90f984a5ab6750a02cab247f7', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022105000', 4, '宝林镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022105000', 1, '2021-07-19 12:03:21', NULL, NULL), (30557, '', '卦田沟村', '8d922f90c82749a0aa57d5ee008fad13', '0ca154d90f984a5ab6750a02cab247f7', 'False', 'True', 'false', 'false', '512022105030', 5, '卦田沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022105030', 1, '2021-07-19 12:03:21', NULL, NULL), (30558, '', '太平寺村', '348e5728391d487792a8b7ada8e8bc43', '0ca154d90f984a5ab6750a02cab247f7', 'False', 'True', 'false', 'false', '512022105060', 5, '太平寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022105060', 1, '2021-07-19 12:03:21', NULL, NULL), (30559, '', '万斤沟村', 'd2c557cf42b84ce083f7d831adbe994f', '0ca154d90f984a5ab6750a02cab247f7', 'False', 'True', 'false', 'false', '512022105066', 5, '万斤沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022105066', 1, '2021-07-19 12:03:22', NULL, NULL), (30560, '', '新建社区', 'ddfe3c323dd64914bb270e1bb2b185b7', '0ca154d90f984a5ab6750a02cab247f7', 'False', 'True', 'false', 'false', '512022105082', 5, '新建社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022105082', 1, '2021-07-19 12:03:22', NULL, NULL), (30561, '', '龙形村', 'b7db481a9a694ac991f6bac41205bc6d', '0ca154d90f984a5ab6750a02cab247f7', 'False', 'True', 'false', 'false', '512022105156', 5, '龙形村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022105156', 1, '2021-07-19 12:03:22', NULL, NULL), (30562, '', '周王沟村', '4c5bcddefe3747c8b5eee4a8805a1982', '0ca154d90f984a5ab6750a02cab247f7', 'False', 'True', 'false', 'false', '512022105172', 5, '周王沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022105172', 1, '2021-07-19 12:03:22', NULL, NULL), (30563, '', '华严村', '58807ea465274b36a7a6d3ec7d686319', '0ca154d90f984a5ab6750a02cab247f7', 'False', 'True', 'false', 'false', '512022105189', 5, '华严村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022105189', 1, '2021-07-19 12:03:22', NULL, NULL), (30564, '', '木遂垭村', '6d2bab8134cf42ca98bcbd37a0eba314', '0ca154d90f984a5ab6750a02cab247f7', 'False', 'True', 'false', 'false', '512022105211', 5, '木遂垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022105211', 1, '2021-07-19 12:03:22', NULL, NULL), (30565, '', '三沟村', '1b7e0ffc23c14d91ad6fad0560e25648', '0ca154d90f984a5ab6750a02cab247f7', 'False', 'True', 'false', 'false', '512022105287', 5, '三沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022105287', 1, '2021-07-19 12:03:22', NULL, NULL), (30566, '', '白云村', '876e89271c0f405b89ecdbb812210ae6', '0ca154d90f984a5ab6750a02cab247f7', 'False', 'True', 'false', 'false', '512022105341', 5, '白云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022105341', 1, '2021-07-19 12:03:22', NULL, NULL), (30567, '', '胡桥村', '3e18bc61b12745dbbb16e7aa7b705aa2', '0ca154d90f984a5ab6750a02cab247f7', 'False', 'True', 'false', 'false', '512022105412', 5, '胡桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022105412', 1, '2021-07-19 12:03:22', NULL, NULL), (30568, '', '天台村', '92db9ccfe8ef42d29d9e259454db7ac8', '0ca154d90f984a5ab6750a02cab247f7', 'False', 'True', 'false', 'false', '512022105676', 5, '天台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022105676', 1, '2021-07-19 12:03:22', NULL, NULL), (30569, '', '杨家祠村', '1a4521a349174512aab1322c5c3fe321', '0ca154d90f984a5ab6750a02cab247f7', 'False', 'True', 'false', 'false', '512022105695', 5, '杨家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022105695', 1, '2021-07-19 12:03:22', NULL, NULL), (30570, '', '千佛村', 'b607d9f36e594a83b6fc96406b69899e', '0ca154d90f984a5ab6750a02cab247f7', 'False', 'True', 'false', 'false', '512022105707', 5, '千佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022105707', 1, '2021-07-19 12:03:22', NULL, NULL), (30571, '', '鄢家凼社区', '6cb2a7be0e064e37b7bbb97fdbc25640', '0ca154d90f984a5ab6750a02cab247f7', 'False', 'True', 'false', 'false', '512022105785', 5, '鄢家凼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022105785', 1, '2021-07-19 12:03:22', NULL, NULL), (30572, '', '双碑村', '3454c8289f86488894335704215861cb', '0ca154d90f984a5ab6750a02cab247f7', 'False', 'True', 'false', 'false', '512022105828', 5, '双碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022105828', 1, '2021-07-19 12:03:22', NULL, NULL), (30573, '', '宝林社区', 'cc4fcd602c824030b82a888615bd318c', '0ca154d90f984a5ab6750a02cab247f7', 'False', 'True', 'false', 'false', '512022105858', 5, '宝林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022105858', 1, '2021-07-19 12:03:22', NULL, NULL), (30574, '', '独柏村', '8ac2e319d0ec4655b6217fd65c190b4a', '0ca154d90f984a5ab6750a02cab247f7', 'False', 'True', 'false', 'false', '512022105978', 5, '独柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022105978', 1, '2021-07-19 12:03:22', NULL, NULL), (30575, '', '大佛镇', 'cdd50626d49d45c6ab18dba34333b685', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022106000', 4, '大佛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022106000', 1, '2021-07-19 12:03:23', NULL, NULL), (30576, '', '大佛社区', '41c5e1e90cf040c49ddfd4b8d6b7f961', 'cdd50626d49d45c6ab18dba34333b685', 'False', 'True', 'false', 'false', '512022106804', 5, '大佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022106804', 1, '2021-07-19 12:03:23', NULL, NULL), (30577, '', '东禅社区', 'a98b35b88bcc476986d982b4f9e9bced', 'cdd50626d49d45c6ab18dba34333b685', 'False', 'True', 'false', 'false', '512022106002', 5, '东禅社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022106002', 1, '2021-07-19 12:03:23', NULL, NULL), (30578, '', '大堰社区', 'fd87012b33014d09bb8640ae3e029bac', 'cdd50626d49d45c6ab18dba34333b685', 'False', 'True', 'false', 'false', '512022106003', 5, '大堰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022106003', 1, '2021-07-19 12:03:23', NULL, NULL), (30579, '', '罗汉寺村', '68c452519f464052bccd7a4db636c2a3', 'cdd50626d49d45c6ab18dba34333b685', 'False', 'True', 'false', 'false', '512022106045', 5, '罗汉寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022106045', 1, '2021-07-19 12:03:23', NULL, NULL), (30580, '', '二龙村', '0f467ce3b863426083e55046c52e0ba4', 'cdd50626d49d45c6ab18dba34333b685', 'False', 'True', 'false', 'false', '512022106689', 5, '二龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022106689', 1, '2021-07-19 12:03:23', NULL, NULL), (30581, '', '陈家桥村', '0b432d5414b247d58462a671649de6b4', 'cdd50626d49d45c6ab18dba34333b685', 'False', 'True', 'false', 'false', '512022106111', 5, '陈家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022106111', 1, '2021-07-19 12:03:23', NULL, NULL), (30582, '', '源柏村', 'ff0f8566162a485ab5d961923d60fcda', 'cdd50626d49d45c6ab18dba34333b685', 'False', 'True', 'false', 'false', '512022106203', 5, '源柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022106203', 1, '2021-07-19 12:03:23', NULL, NULL), (30583, '', '骑龙店村', '100c2d8644764464b72459bec1603e97', 'cdd50626d49d45c6ab18dba34333b685', 'False', 'True', 'false', 'false', '512022106216', 5, '骑龙店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022106216', 1, '2021-07-19 12:03:23', NULL, NULL), (30584, '', '红鞍村', '6812cd66fd36488e97e747c9c0956278', 'cdd50626d49d45c6ab18dba34333b685', 'False', 'True', 'false', 'false', '512022106898', 5, '红鞍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022106898', 1, '2021-07-19 12:03:23', NULL, NULL), (30585, '', '铁牛湾村', '14bb8cdc5adf40a9b333f4e7bdc067c0', 'cdd50626d49d45c6ab18dba34333b685', 'False', 'True', 'false', 'false', '512022106987', 5, '铁牛湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022106987', 1, '2021-07-19 12:03:23', NULL, NULL), (30586, '', '东禅寺村', 'fd164a0e794d414f87c8981a1c21b616', 'cdd50626d49d45c6ab18dba34333b685', 'False', 'True', 'false', 'false', '512022106029', 5, '东禅寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022106029', 1, '2021-07-19 12:03:23', NULL, NULL), (30587, '', '吕河坝村', '832f5a900867467f96ea71dec2696e2e', 'cdd50626d49d45c6ab18dba34333b685', 'False', 'True', 'false', 'false', '512022106907', 5, '吕河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022106907', 1, '2021-07-19 12:03:23', NULL, NULL), (30588, '', '节龙庙村', 'bcf4cc7965ba43b78e8d37a9ca44fd36', 'cdd50626d49d45c6ab18dba34333b685', 'False', 'True', 'false', 'false', '512022106225', 5, '节龙庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022106225', 1, '2021-07-19 12:03:23', NULL, NULL), (30589, '', '双堰塘村', '3b83ded9dc5246e29f141b0989c55570', 'cdd50626d49d45c6ab18dba34333b685', 'False', 'True', 'false', 'false', '512022106819', 5, '双堰塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022106819', 1, '2021-07-19 12:03:24', NULL, NULL), (30590, '', '观音寺村', '47cc5ebd2f7c4f9a84c8d6b2c0ebc0c4', 'cdd50626d49d45c6ab18dba34333b685', 'False', 'True', 'false', 'false', '512022106936', 5, '观音寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022106936', 1, '2021-07-19 12:03:24', NULL, NULL), (30591, '', '良安镇', '8edad1203c964bf69afdcf723012a26c', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022107000', 4, '良安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022107000', 1, '2021-07-19 12:03:24', NULL, NULL), (30592, '', '余家沟村', '9ceac6ac703e4fd9b20f4f4aeac35880', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107100', 5, '余家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107100', 1, '2021-07-19 12:03:24', NULL, NULL), (30593, '', '东风社区', '1a6fb7f7612a48d6a6569aca6f588e57', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107200', 5, '东风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107200', 1, '2021-07-19 12:03:24', NULL, NULL), (30594, '', '全胜社区', '8f0883ae17424dbeba839b0633b8b4cb', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107300', 5, '全胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107300', 1, '2021-07-19 12:03:24', NULL, NULL), (30595, '', '八一社区', '9db39e1ee75f4c8995fdf6816584d837', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107400', 5, '八一社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107400', 1, '2021-07-19 12:03:24', NULL, NULL), (30596, '', '新祠堂村', 'b2a99a04f51a4fd9ad2d0e37b083e068', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107500', 5, '新祠堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107500', 1, '2021-07-19 12:03:24', NULL, NULL), (30597, '', '宣家沟村', '80319fb67c174d1885e8b4318d6b5c47', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107600', 5, '宣家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107600', 1, '2021-07-19 12:03:24', NULL, NULL), (30598, '', '罗家沟村', '4ba3ff783af346d58249601b9408a779', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107700', 5, '罗家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107700', 1, '2021-07-19 12:03:24', NULL, NULL), (30599, '', '落洋湾村', '578b58d373904cce9350a428943c242d', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107800', 5, '落洋湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107800', 1, '2021-07-19 12:03:24', NULL, NULL), (30600, '', '猫儿沟村', '2e90f5162e4b4f148156708e9e6da522', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107006', 5, '猫儿沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107006', 1, '2021-07-19 12:03:24', NULL, NULL), (30601, '', '五通庙村', '02a8d05220e54a13a5b6f483f664f227', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107016', 5, '五通庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107016', 1, '2021-07-19 12:03:24', NULL, NULL), (30602, '', '老佛堂村', '86f7baa5281c4e3299475b11b127cc19', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107055', 5, '老佛堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107055', 1, '2021-07-19 12:03:24', NULL, NULL), (30603, '', '五龙村', '1300f6c73882426e8e0ff1a057cd0a56', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107085', 5, '五龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107085', 1, '2021-07-19 12:03:24', NULL, NULL), (30604, '', '柳树龙村', '9616776cb6a24bf28f03ceda9f79a3e0', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107149', 5, '柳树龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107149', 1, '2021-07-19 12:03:25', NULL, NULL), (30605, '', '良安社区', '31808d715ea44e45bc2d073dc18ce3aa', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107219', 5, '良安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107219', 1, '2021-07-19 12:03:25', NULL, NULL), (30606, '', '小沟村', '9609d9bb95154b5b8d4263312d3cb4d2', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107225', 5, '小沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107225', 1, '2021-07-19 12:03:25', NULL, NULL), (30607, '', '河沟村', 'a011f8c3243b4811b22bd8f5a968462d', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107278', 5, '河沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107278', 1, '2021-07-19 12:03:25', NULL, NULL), (30608, '', '柏山沟村', '2fd115e7e8d14bc790fb1424e936376b', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107289', 5, '柏山沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107289', 1, '2021-07-19 12:03:25', NULL, NULL), (30609, '', '姚家坡村', '58d2aedaa7034e379963a51e3a1f034d', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107405', 5, '姚家坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107405', 1, '2021-07-19 12:03:25', NULL, NULL), (30610, '', '老屋沟村', 'b0736942e28e4bfca1cfb58816c63a12', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107416', 5, '老屋沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107416', 1, '2021-07-19 12:03:25', NULL, NULL), (30611, '', '红沙村', 'a0af4e06e1cc47ea95d3ac2374702379', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107526', 5, '红沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107526', 1, '2021-07-19 12:03:25', NULL, NULL), (30612, '', '赵家沟村', 'cb79f95e383b4259b64ffcf23c8cdc2a', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107707', 5, '赵家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107707', 1, '2021-07-19 12:03:25', NULL, NULL), (30613, '', '田家坝村', '268126264cc543abb654c9df8771c765', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107736', 5, '田家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107736', 1, '2021-07-19 12:03:25', NULL, NULL), (30614, '', '狮子村', '65e80f7e085a4d288c49c74d7bd1ef54', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107739', 5, '狮子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107739', 1, '2021-07-19 12:03:25', NULL, NULL), (30615, '', '天星村', '01330f3261414c3597441f34efdfc36a', '8edad1203c964bf69afdcf723012a26c', 'False', 'True', 'false', 'false', '512022107856', 5, '天星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022107856', 1, '2021-07-19 12:03:25', NULL, NULL), (30616, '', '金顺镇', '60da017459ae45c68292fadc524c994c', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022108000', 4, '金顺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022108000', 1, '2021-07-19 12:03:25', NULL, NULL), (30617, '', '公寺镇村', '4d63f1acbdca4667b7db4ab4b106fe3c', '60da017459ae45c68292fadc524c994c', 'False', 'True', 'false', 'false', '512022108045', 5, '公寺镇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022108045', 1, '2021-07-19 12:03:26', NULL, NULL), (30618, '', '玉河沟村', '3985e223c25c47f08a94e15de83f385d', '60da017459ae45c68292fadc524c994c', 'False', 'True', 'false', 'false', '512022108196', 5, '玉河沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022108196', 1, '2021-07-19 12:03:26', NULL, NULL), (30619, '', '石包村', 'a6ef55b7097c4077a1db633a69fa5bf5', '60da017459ae45c68292fadc524c994c', 'False', 'True', 'false', 'false', '512022108227', 5, '石包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022108227', 1, '2021-07-19 12:03:26', NULL, NULL), (30620, '', '金顺社区', '9be2c479ccb04fd5b21a161dcd18e202', '60da017459ae45c68292fadc524c994c', 'False', 'True', 'false', 'false', '512022108261', 5, '金顺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022108261', 1, '2021-07-19 12:03:26', NULL, NULL), (30621, '', '柏树沟村', 'bf752a080781462a88a5a8ebe4d43461', '60da017459ae45c68292fadc524c994c', 'False', 'True', 'false', 'false', '512022108400', 5, '柏树沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022108400', 1, '2021-07-19 12:03:26', NULL, NULL), (30622, '', '海鹰村', 'ab649573cac44072b41a956dda8f9b32', '60da017459ae45c68292fadc524c994c', 'False', 'True', 'false', 'false', '512022108451', 5, '海鹰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022108451', 1, '2021-07-19 12:03:26', NULL, NULL), (30623, '', '金家沟村', '33ed49dac98144c187e27be653eabe45', '60da017459ae45c68292fadc524c994c', 'False', 'True', 'false', 'false', '512022108667', 5, '金家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022108667', 1, '2021-07-19 12:03:26', NULL, NULL), (30624, '', '长塘村', 'b5883e23d23148728dff712602ada865', '60da017459ae45c68292fadc524c994c', 'False', 'True', 'false', 'false', '512022108749', 5, '长塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022108749', 1, '2021-07-19 12:03:26', NULL, NULL), (30625, '', '象龙社区', 'c30e64d3792f4bdaa0e305600b97fafe', '60da017459ae45c68292fadc524c994c', 'False', 'True', 'false', 'false', '512022108795', 5, '象龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022108795', 1, '2021-07-19 12:03:26', NULL, NULL), (30626, '', '通行桥村', '9e6f2f9a516e4e77b1b5606bbbb51755', '60da017459ae45c68292fadc524c994c', 'False', 'True', 'false', 'false', '512022108874', 5, '通行桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022108874', 1, '2021-07-19 12:03:26', NULL, NULL), (30627, '', '水竹村', 'a1334a79f92c49299f23cf46d70b5b26', '60da017459ae45c68292fadc524c994c', 'False', 'True', 'false', 'false', '512022108923', 5, '水竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022108923', 1, '2021-07-19 12:03:27', NULL, NULL), (30628, '', '仁义寨村', 'd0d88504396042f29f67268d0373b23d', '60da017459ae45c68292fadc524c994c', 'False', 'True', 'false', 'false', '512022108975', 5, '仁义寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022108975', 1, '2021-07-19 12:03:27', NULL, NULL), (30629, '', '桐木沟村', '29851b65dd26478eaa465ac5ed4acea1', '60da017459ae45c68292fadc524c994c', 'False', 'True', 'false', 'false', '512022108996', 5, '桐木沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022108996', 1, '2021-07-19 12:03:27', NULL, NULL), (30630, '', '中和场镇', '4232d9860e7b426fa1de5f9cf6dcde2e', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022109000', 4, '中和场镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022109000', 1, '2021-07-19 12:03:27', NULL, NULL), (30631, '', '金钟社区', '23e08940913c44b3881f5d85214756ee', '4232d9860e7b426fa1de5f9cf6dcde2e', 'False', 'True', 'false', 'false', '512022109002', 5, '金钟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022109002', 1, '2021-07-19 12:03:27', NULL, NULL), (30632, '', '太平村', '6ee12851411f41368ff4b4d67b67bd79', '4232d9860e7b426fa1de5f9cf6dcde2e', 'False', 'True', 'false', 'false', '512022109072', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022109072', 1, '2021-07-19 12:03:27', NULL, NULL), (30633, '', '高石梯村', '6680af8ed8a6405ca366844877a74f2e', '4232d9860e7b426fa1de5f9cf6dcde2e', 'False', 'True', 'false', 'false', '512022109073', 5, '高石梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022109073', 1, '2021-07-19 12:03:27', NULL, NULL), (30634, '', '两河村', '27bd76668aa04fee80c49f6936d2c45a', '4232d9860e7b426fa1de5f9cf6dcde2e', 'False', 'True', 'false', 'false', '512022109095', 5, '两河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022109095', 1, '2021-07-19 12:03:27', NULL, NULL), (30635, '', '中和社区', 'd956509c8f3f4c6bacec4f103d536335', '4232d9860e7b426fa1de5f9cf6dcde2e', 'False', 'True', 'false', 'false', '512022109201', 5, '中和社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022109201', 1, '2021-07-19 12:03:27', NULL, NULL), (30636, '', '白鹤村', '01eb9cb176af4e1c811d9884c99fefff', '4232d9860e7b426fa1de5f9cf6dcde2e', 'False', 'True', 'false', 'false', '512022109285', 5, '白鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022109285', 1, '2021-07-19 12:03:27', NULL, NULL), (30637, '', '高山村', '7bd3ee2bd3074f3cab4a9e9e49b322a8', '4232d9860e7b426fa1de5f9cf6dcde2e', 'False', 'True', 'false', 'false', '512022109340', 5, '高山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022109340', 1, '2021-07-19 12:03:27', NULL, NULL), (30638, '', '人民村', '125339665a6142c78914892ff79c59ac', '4232d9860e7b426fa1de5f9cf6dcde2e', 'False', 'True', 'false', 'false', '512022109628', 5, '人民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022109628', 1, '2021-07-19 12:03:27', NULL, NULL), (30639, '', '印盒村', '097eafcf02324206b9cdc155d28a8979', '4232d9860e7b426fa1de5f9cf6dcde2e', 'False', 'True', 'false', 'false', '512022109678', 5, '印盒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022109678', 1, '2021-07-19 12:03:27', NULL, NULL), (30640, '', '狮子桥村', '11b783ec07c6407abf0c9715a3e38721', '4232d9860e7b426fa1de5f9cf6dcde2e', 'False', 'True', 'false', 'false', '512022109836', 5, '狮子桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022109836', 1, '2021-07-19 12:03:27', NULL, NULL), (30641, '', '劳动镇', '2cc46f76102642cfa904eff1139d549f', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022110000', 4, '劳动镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022110000', 1, '2021-07-19 12:03:27', NULL, NULL), (30642, '', '旧居村', '32e7b15f6b2c4af598a58fb7ea430c95', '2cc46f76102642cfa904eff1139d549f', 'False', 'True', 'false', 'false', '512022110898', 5, '旧居村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022110898', 1, '2021-07-19 12:03:28', NULL, NULL), (30643, '', '回龙社区', 'e64dce65c00143aeaabcd3217ea8acd6', '2cc46f76102642cfa904eff1139d549f', 'False', 'True', 'false', 'false', '512022110371', 5, '回龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022110371', 1, '2021-07-19 12:03:28', NULL, NULL), (30644, '', '双祠堂村', '09f7cfe2bade4c1e935d5626f958675d', '2cc46f76102642cfa904eff1139d549f', 'False', 'True', 'false', 'false', '512022110018', 5, '双祠堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022110018', 1, '2021-07-19 12:03:28', NULL, NULL), (30645, '', '回龙庵村', 'f0b6b0d74e414301a307319059dd2021', '2cc46f76102642cfa904eff1139d549f', 'False', 'True', 'false', 'false', '512022110039', 5, '回龙庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022110039', 1, '2021-07-19 12:03:28', NULL, NULL), (30646, '', '劳动社区', '134ce4d88dec4e8c8eb82e51f07e24b7', '2cc46f76102642cfa904eff1139d549f', 'False', 'True', 'false', 'false', '512022110090', 5, '劳动社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022110090', 1, '2021-07-19 12:03:28', NULL, NULL), (30647, '', '天宫村', '714770c60bb34fc18113679641ccf339', '2cc46f76102642cfa904eff1139d549f', 'False', 'True', 'false', 'false', '512022110283', 5, '天宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022110283', 1, '2021-07-19 12:03:28', NULL, NULL), (30648, '', '崇古村', 'f850fee2fbc642f4913469d31c4e3998', '2cc46f76102642cfa904eff1139d549f', 'False', 'True', 'false', 'false', '512022110353', 5, '崇古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022110353', 1, '2021-07-19 12:03:28', NULL, NULL), (30649, '', '百花村', 'f45231e8602f48e09e455ab6acbaff80', '2cc46f76102642cfa904eff1139d549f', 'False', 'True', 'false', 'false', '512022110446', 5, '百花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022110446', 1, '2021-07-19 12:03:28', NULL, NULL), (30650, '', '双龙村', '31f5d726745f4666b99b55ab0f691b77', '2cc46f76102642cfa904eff1139d549f', 'False', 'True', 'false', 'false', '512022110488', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022110488', 1, '2021-07-19 12:03:28', NULL, NULL), (30651, '', '远朝门村', 'd10e1892106246489db68d4d6dcde1ea', '2cc46f76102642cfa904eff1139d549f', 'False', 'True', 'false', 'false', '512022110522', 5, '远朝门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022110522', 1, '2021-07-19 12:03:28', NULL, NULL), (30652, '', '庙山村', '95585f890e084dfd9f3aabd3e843323c', '2cc46f76102642cfa904eff1139d549f', 'False', 'True', 'false', 'false', '512022110716', 5, '庙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022110716', 1, '2021-07-19 12:03:28', NULL, NULL), (30653, '', '敖家寨村', '62360728c47d430db09befc99337cc71', '2cc46f76102642cfa904eff1139d549f', 'False', 'True', 'false', 'false', '512022110754', 5, '敖家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022110754', 1, '2021-07-19 12:03:28', NULL, NULL), (30654, '', '潮水村', '3aca2604b73f4ac595f5f0923d1958e7', '2cc46f76102642cfa904eff1139d549f', 'False', 'True', 'false', 'false', '512022110844', 5, '潮水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022110844', 1, '2021-07-19 12:03:28', NULL, NULL), (30655, '', '福乐社区', '95040c11e39f4eb69c0b819d4538e1a7', '2cc46f76102642cfa904eff1139d549f', 'False', 'True', 'false', 'false', '512022110882', 5, '福乐社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022110882', 1, '2021-07-19 12:03:28', NULL, NULL), (30656, '', '老观音村', '09bc86749ea748c7b0e3b86f5f163c54', '2cc46f76102642cfa904eff1139d549f', 'False', 'True', 'false', 'false', '512022110883', 5, '老观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022110883', 1, '2021-07-19 12:03:29', NULL, NULL), (30657, '', '七门村', '31f9ecc6df5e4027b4c3139743ab0edc', '2cc46f76102642cfa904eff1139d549f', 'False', 'True', 'false', 'false', '512022110974', 5, '七门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022110974', 1, '2021-07-19 12:03:29', NULL, NULL), (30658, '', '中天镇', '9c9cfb4fc22e45449d5cd3ee48a0ae93', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022111000', 4, '中天镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022111000', 1, '2021-07-19 12:03:29', NULL, NULL), (30659, '', '宝盖寺村', 'f6e28883e2c74eb4ae4d0c476ad73cee', '9c9cfb4fc22e45449d5cd3ee48a0ae93', 'False', 'True', 'false', 'false', '512022111117', 5, '宝盖寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022111117', 1, '2021-07-19 12:03:29', NULL, NULL), (30660, '', '泰岳村', 'abba1e9740bb44fc88788fa19edc3bd7', '9c9cfb4fc22e45449d5cd3ee48a0ae93', 'False', 'True', 'false', 'false', '512022111127', 5, '泰岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022111127', 1, '2021-07-19 12:03:29', NULL, NULL), (30661, '', '普照村', '7b8c33893387400bb8ad2d68279058a3', '9c9cfb4fc22e45449d5cd3ee48a0ae93', 'False', 'True', 'false', 'false', '512022111136', 5, '普照村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022111136', 1, '2021-07-19 12:03:29', NULL, NULL), (30662, '', '万安村', 'daf89d312bf148409255d53761d732f1', '9c9cfb4fc22e45449d5cd3ee48a0ae93', 'False', 'True', 'false', 'false', '512022111188', 5, '万安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022111188', 1, '2021-07-19 12:03:29', NULL, NULL), (30663, '', '团灯坝村', 'f8f9837c73ae43ff8194925357caf84b', '9c9cfb4fc22e45449d5cd3ee48a0ae93', 'False', 'True', 'false', 'false', '512022111211', 5, '团灯坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022111211', 1, '2021-07-19 12:03:29', NULL, NULL), (30664, '', '中天社区', '5f6f20a38b8044258bfd606a539f52d9', '9c9cfb4fc22e45449d5cd3ee48a0ae93', 'False', 'True', 'false', 'false', '512022111306', 5, '中天社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022111306', 1, '2021-07-19 12:03:29', NULL, NULL), (30665, '', '庆元村', '29d702bf1324440e98a90dbc37b0ae34', '9c9cfb4fc22e45449d5cd3ee48a0ae93', 'False', 'True', 'false', 'false', '512022111569', 5, '庆元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022111569', 1, '2021-07-19 12:03:29', NULL, NULL), (30666, '', '大楼湾村', 'e09fa2f15104418694ffced961eac4bb', '9c9cfb4fc22e45449d5cd3ee48a0ae93', 'False', 'True', 'false', 'false', '512022111676', 5, '大楼湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022111676', 1, '2021-07-19 12:03:29', NULL, NULL), (30667, '', '乐阳社区', '7a9849510d6b49318698236469b216ab', '9c9cfb4fc22e45449d5cd3ee48a0ae93', 'False', 'True', 'false', 'false', '512022111793', 5, '乐阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022111793', 1, '2021-07-19 12:03:30', NULL, NULL), (30668, '', '桂林社区', 'd903e5d063d54e2783f8ffe550f2ff35', '9c9cfb4fc22e45449d5cd3ee48a0ae93', 'False', 'True', 'false', 'false', '512022111820', 5, '桂林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022111820', 1, '2021-07-19 12:03:30', NULL, NULL), (30669, '', '杨柳村', '9dfb365b36ce4c0bbea5a93735ab0a9f', '9c9cfb4fc22e45449d5cd3ee48a0ae93', 'False', 'True', 'false', 'false', '512022111869', 5, '杨柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022111869', 1, '2021-07-19 12:03:30', NULL, NULL), (30670, '', '红旗社区', '2ba8b02dc1ab4739b6635113c58a3d3b', '9c9cfb4fc22e45449d5cd3ee48a0ae93', 'False', 'True', 'false', 'false', '512022111893', 5, '红旗社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022111893', 1, '2021-07-19 12:03:30', NULL, NULL), (30671, '', '佛星镇', '890471ccb2f14c7f8143c09750e5c5a2', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022112000', 4, '佛星镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022112000', 1, '2021-07-19 12:03:30', NULL, NULL), (30672, '', '牌楼社区', 'eb8472203c9546f4a4b1d81476fafa31', '890471ccb2f14c7f8143c09750e5c5a2', 'False', 'True', 'false', 'false', '512022112384', 5, '牌楼社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022112384', 1, '2021-07-19 12:03:30', NULL, NULL), (30673, '', '飞凤山村', '832e54c1d43848f8bf411cf98c3b2884', '890471ccb2f14c7f8143c09750e5c5a2', 'False', 'True', 'false', 'false', '512022112327', 5, '飞凤山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022112327', 1, '2021-07-19 12:03:30', NULL, NULL), (30674, '', '保境村', '9bfcaececbcd4bc2a2fc02e971a8a348', '890471ccb2f14c7f8143c09750e5c5a2', 'False', 'True', 'false', 'false', '512022112240', 5, '保境村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022112240', 1, '2021-07-19 12:03:30', NULL, NULL), (30675, '', '菩萨湾村', '9f7799efeccc43689b215053e049d52c', '890471ccb2f14c7f8143c09750e5c5a2', 'False', 'True', 'false', 'false', '512022112324', 5, '菩萨湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022112324', 1, '2021-07-19 12:03:30', NULL, NULL), (30676, '', '三元桥村', 'ef8b97d719e74eeeb2b0558f759dc575', '890471ccb2f14c7f8143c09750e5c5a2', 'False', 'True', 'false', 'false', '512022112435', 5, '三元桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022112435', 1, '2021-07-19 12:03:30', NULL, NULL), (30677, '', '吴氏祠村', '95b6f033d51a4f07a21b759e7b7f22fe', '890471ccb2f14c7f8143c09750e5c5a2', 'False', 'True', 'false', 'false', '512022112465', 5, '吴氏祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022112465', 1, '2021-07-19 12:03:30', NULL, NULL), (30678, '', '玉皇庙村', '7e13a682c80645c8b3d34aa32e9e0140', '890471ccb2f14c7f8143c09750e5c5a2', 'False', 'True', 'false', 'false', '512022112565', 5, '玉皇庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022112565', 1, '2021-07-19 12:03:30', NULL, NULL), (30679, '', '永兴村', 'cfcce6d7b4ed4d19b7dc7640e9b4f1dc', '890471ccb2f14c7f8143c09750e5c5a2', 'False', 'True', 'false', 'false', '512022112816', 5, '永兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022112816', 1, '2021-07-19 12:03:30', NULL, NULL), (30680, '', '临江社区', '1a74a2f3705d47f5a2cbbd7cd045fcd0', '890471ccb2f14c7f8143c09750e5c5a2', 'False', 'True', 'false', 'false', '512022112573', 5, '临江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022112573', 1, '2021-07-19 12:03:30', NULL, NULL), (30681, '', '睦邻村', '527107f29e0b4a8d8f92343d807070de', '890471ccb2f14c7f8143c09750e5c5a2', 'False', 'True', 'false', 'false', '512022112898', 5, '睦邻村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022112898', 1, '2021-07-19 12:03:30', NULL, NULL), (30682, '', '中兴社区', '545e846969344674ab39d2f30937e916', '890471ccb2f14c7f8143c09750e5c5a2', 'False', 'True', 'false', 'false', '512022112791', 5, '中兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022112791', 1, '2021-07-19 12:03:31', NULL, NULL), (30683, '', '蟠龙镇', 'd301a4e75b9d4c0c932a76feb5393f2f', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022113000', 4, '蟠龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022113000', 1, '2021-07-19 12:03:31', NULL, NULL), (30684, '', '秦蔡沟村', 'a608167d7c074f67ae98ced1865e73dd', 'd301a4e75b9d4c0c932a76feb5393f2f', 'False', 'True', 'false', 'false', '512022113157', 5, '秦蔡沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022113157', 1, '2021-07-19 12:03:31', NULL, NULL), (30685, '', '黑堰塘村', '474f0ac6a0a8414d8616398e25a4f176', 'd301a4e75b9d4c0c932a76feb5393f2f', 'False', 'True', 'false', 'false', '512022113199', 5, '黑堰塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022113199', 1, '2021-07-19 12:03:31', NULL, NULL), (30686, '', '大明寺村', 'b3ed606f33e84ff1a2d193516353ac23', 'd301a4e75b9d4c0c932a76feb5393f2f', 'False', 'True', 'false', 'false', '512022113285', 5, '大明寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022113285', 1, '2021-07-19 12:03:31', NULL, NULL), (30687, '', '晏家沟村', '243c4789a14d43d7a7faedd2ea3e921f', 'd301a4e75b9d4c0c932a76feb5393f2f', 'False', 'True', 'false', 'false', '512022113514', 5, '晏家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022113514', 1, '2021-07-19 12:03:31', NULL, NULL), (30688, '', '庙宇庵村', 'ed7a1630a9b94936ae288f514a441bb7', 'd301a4e75b9d4c0c932a76feb5393f2f', 'False', 'True', 'false', 'false', '512022113580', 5, '庙宇庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022113580', 1, '2021-07-19 12:03:31', NULL, NULL), (30689, '', '香房村', '2f95e11beeeb4f1e8ce30b8ba455ee2d', 'd301a4e75b9d4c0c932a76feb5393f2f', 'False', 'True', 'false', 'false', '512022113607', 5, '香房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022113607', 1, '2021-07-19 12:03:31', NULL, NULL), (30690, '', '石匣寺村', '5559e795a09d4f37a75289a3d903470e', 'd301a4e75b9d4c0c932a76feb5393f2f', 'False', 'True', 'false', 'false', '512022113924', 5, '石匣寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022113924', 1, '2021-07-19 12:03:31', NULL, NULL), (30691, '', '蟠龙社区', '9f5499bdc3354372b064a0de055702c9', 'd301a4e75b9d4c0c932a76feb5393f2f', 'False', 'True', 'false', 'false', '512022113950', 5, '蟠龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022113950', 1, '2021-07-19 12:03:31', NULL, NULL), (30692, '', '东山镇', '0881ef6f25154255b1be56adb4b2f7fc', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022114000', 4, '东山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022114000', 1, '2021-07-19 12:03:31', NULL, NULL), (30693, '', '大茅坪村', 'c88ef998805e447e9c10c1b25568af1a', '0881ef6f25154255b1be56adb4b2f7fc', 'False', 'True', 'false', 'false', '512022114001', 5, '大茅坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022114001', 1, '2021-07-19 12:03:31', NULL, NULL), (30694, '', '马家井村', 'd941202a2c2a4c05a0eca51bc95dd104', '0881ef6f25154255b1be56adb4b2f7fc', 'False', 'True', 'false', 'false', '512022114005', 5, '马家井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022114005', 1, '2021-07-19 12:03:32', NULL, NULL), (30695, '', '二龙桥村', 'e17b029922f74744ab53abdb6aa27b78', '0881ef6f25154255b1be56adb4b2f7fc', 'False', 'True', 'false', 'false', '512022114007', 5, '二龙桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022114007', 1, '2021-07-19 12:03:32', NULL, NULL), (30696, '', '孔雀寺村', '17b1e9d8fdf247cf9db727670b289f0f', '0881ef6f25154255b1be56adb4b2f7fc', 'False', 'True', 'false', 'false', '512022114008', 5, '孔雀寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022114008', 1, '2021-07-19 12:03:32', NULL, NULL), (30697, '', '八角庙村', 'c50b0f8684114e8697281e75c7b74a35', '0881ef6f25154255b1be56adb4b2f7fc', 'False', 'True', 'false', 'false', '512022114010', 5, '八角庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022114010', 1, '2021-07-19 12:03:32', NULL, NULL), (30698, '', '龙凤村', 'f4fc9ed90f1342a98d9f590502b4cb4b', '0881ef6f25154255b1be56adb4b2f7fc', 'False', 'True', 'false', 'false', '512022114011', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022114011', 1, '2021-07-19 12:03:32', NULL, NULL), (30699, '', '孔雀社区', '66dc1ce6d9de43f6ad02ac50380b02e3', '0881ef6f25154255b1be56adb4b2f7fc', 'False', 'True', 'false', 'false', '512022114012', 5, '孔雀社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022114012', 1, '2021-07-19 12:03:32', NULL, NULL), (30700, '', '新中社区', 'b435c91920c84f1d95cee9258a9bbd6e', '0881ef6f25154255b1be56adb4b2f7fc', 'False', 'True', 'false', 'false', '512022114013', 5, '新中社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022114013', 1, '2021-07-19 12:03:32', NULL, NULL), (30701, '', '赛老村', 'eb34d4a57d5e46f4afb69ca867bc7963', '0881ef6f25154255b1be56adb4b2f7fc', 'False', 'True', 'false', 'false', '512022114116', 5, '赛老村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022114116', 1, '2021-07-19 12:03:32', NULL, NULL), (30702, '', '云台村', '2bbba92be4864f43af93d0e8788fe918', '0881ef6f25154255b1be56adb4b2f7fc', 'False', 'True', 'false', 'false', '512022114129', 5, '云台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022114129', 1, '2021-07-19 12:03:32', NULL, NULL), (30703, '', '高隆庙村', '8e16b3df42404119992ff2cbab42a076', '0881ef6f25154255b1be56adb4b2f7fc', 'False', 'True', 'false', 'false', '512022114361', 5, '高隆庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022114361', 1, '2021-07-19 12:03:32', NULL, NULL), (30704, '', '凤凰村', '7fdf0234d2c14ab2b227005ae61e2bbc', '0881ef6f25154255b1be56adb4b2f7fc', 'False', 'True', 'false', 'false', '512022114366', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022114366', 1, '2021-07-19 12:03:32', NULL, NULL), (30705, '', '东乐村', 'fbe95954aac3435dac5dbf1a8dd0ce35', '0881ef6f25154255b1be56adb4b2f7fc', 'False', 'True', 'false', 'false', '512022114502', 5, '东乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022114502', 1, '2021-07-19 12:03:32', NULL, NULL), (30706, '', '方广村', '00886446219b42b599cc0b67de5687aa', '0881ef6f25154255b1be56adb4b2f7fc', 'False', 'True', 'false', 'false', '512022114776', 5, '方广村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022114776', 1, '2021-07-19 12:03:32', NULL, NULL), (30707, '', '白塔寺村', 'd25638ed51664cb986e30811947336aa', '0881ef6f25154255b1be56adb4b2f7fc', 'False', 'True', 'false', 'false', '512022114880', 5, '白塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022114880', 1, '2021-07-19 12:03:33', NULL, NULL), (30708, '', '东山社区', '454f4de2abc44826aaa227315cb10164', '0881ef6f25154255b1be56adb4b2f7fc', 'False', 'True', 'false', 'false', '512022114899', 5, '东山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022114899', 1, '2021-07-19 12:03:33', NULL, NULL), (30709, '', '通旅镇', '7ea3426bd94b458f89cd4feb0d909524', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022115000', 4, '通旅镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022115000', 1, '2021-07-19 12:03:33', NULL, NULL), (30710, '', '通旅社区', '3c5cb97af00443d687c2ac4046abda8b', '7ea3426bd94b458f89cd4feb0d909524', 'False', 'True', 'false', 'false', '512022115632', 5, '通旅社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022115632', 1, '2021-07-19 12:03:33', NULL, NULL), (30711, '', '四洞桥村', '4a2a87b8899d4aef89317632abc54042', '7ea3426bd94b458f89cd4feb0d909524', 'False', 'True', 'false', 'false', '512022115019', 5, '四洞桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022115019', 1, '2021-07-19 12:03:33', NULL, NULL), (30712, '', '倒座庙村', '566f508b85534c44ad19612d0f6d87b4', '7ea3426bd94b458f89cd4feb0d909524', 'False', 'True', 'false', 'false', '512022115098', 5, '倒座庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022115098', 1, '2021-07-19 12:03:33', NULL, NULL), (30713, '', '光明社区', '7d91a4b624ef485284c2d325db1786c0', '7ea3426bd94b458f89cd4feb0d909524', 'False', 'True', 'false', 'false', '512022115312', 5, '光明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022115312', 1, '2021-07-19 12:03:33', NULL, NULL), (30714, '', '花书房村', '821b077318454ed59edf1eca0115f2f2', '7ea3426bd94b458f89cd4feb0d909524', 'False', 'True', 'false', 'false', '512022115682', 5, '花书房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022115682', 1, '2021-07-19 12:03:33', NULL, NULL), (30715, '', '道士观村', 'bbc711de65a542d8a97a1536c6da5b15', '7ea3426bd94b458f89cd4feb0d909524', 'False', 'True', 'false', 'false', '512022115733', 5, '道士观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022115733', 1, '2021-07-19 12:03:33', NULL, NULL), (30716, '', '复兴庙村', '271829e9c4ef42839f1e7a355e0a18d0', '7ea3426bd94b458f89cd4feb0d909524', 'False', 'True', 'false', 'false', '512022115560', 5, '复兴庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022115560', 1, '2021-07-19 12:03:33', NULL, NULL), (30717, '', '红紫厂村', '4641ba66746045c7b9de9c6c770bf00c', '7ea3426bd94b458f89cd4feb0d909524', 'False', 'True', 'false', 'false', '512022115958', 5, '红紫厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022115958', 1, '2021-07-19 12:03:33', NULL, NULL), (30718, '', '乐阳桥村', '819070adfd554216b0e5b6ec764c989d', '7ea3426bd94b458f89cd4feb0d909524', 'False', 'True', 'false', 'false', '512022115610', 5, '乐阳桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022115610', 1, '2021-07-19 12:03:34', NULL, NULL), (30719, '', '新桥村', '82f1adf44b17420bbd54e0a67b2b060b', '7ea3426bd94b458f89cd4feb0d909524', 'False', 'True', 'false', 'false', '512022115800', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022115800', 1, '2021-07-19 12:03:34', NULL, NULL), (30720, '', '高寺镇', 'a964421048ff41079a41b42400876121', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022116000', 4, '高寺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022116000', 1, '2021-07-19 12:03:34', NULL, NULL), (30721, '', '永胜社区', '2b8278e609564fd08a6f36be04ce2545', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116002', 5, '永胜社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116002', 1, '2021-07-19 12:03:34', NULL, NULL), (30722, '', '香泉社区', '8b6e580cf20445bb9e69074ab43b9bfe', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116003', 5, '香泉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116003', 1, '2021-07-19 12:03:34', NULL, NULL), (30723, '', '高峰社区', 'f7dfd3e1abea4b0194b3b31498525573', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116004', 5, '高峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116004', 1, '2021-07-19 12:03:34', NULL, NULL), (30724, '', '凉水社区', 'ccb28c58eb41444caa96942fec35aad1', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116005', 5, '凉水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116005', 1, '2021-07-19 12:03:34', NULL, NULL), (30725, '', '永安社区', 'd004e400150143c7ba23ccc673bb04e8', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116006', 5, '永安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116006', 1, '2021-07-19 12:03:34', NULL, NULL), (30726, '', '三河咀村', '8ab57d6e57bb401ebb9aa2f9732e75f2', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116015', 5, '三河咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116015', 1, '2021-07-19 12:03:34', NULL, NULL), (30727, '', '金光村', 'b2e5e7c461df48fdba60547c3719454b', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116016', 5, '金光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116016', 1, '2021-07-19 12:03:34', NULL, NULL), (30728, '', '天鹅村', '2bfb4d28795944e0ae8a2132d06a08c3', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116017', 5, '天鹅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116017', 1, '2021-07-19 12:03:34', NULL, NULL), (30729, '', '鼓楼村', 'b9c32a94874640e789be11d8db90e5cf', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116018', 5, '鼓楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116018', 1, '2021-07-19 12:03:34', NULL, NULL), (30730, '', '孝义村', '3bd20ad3c86d4bf9bfc632c516bd392c', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116019', 5, '孝义村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116019', 1, '2021-07-19 12:03:34', NULL, NULL), (30731, '', '模范村', '942e0cee15a4499e9226033b42de9996', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116020', 5, '模范村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116020', 1, '2021-07-19 12:03:34', NULL, NULL), (30732, '', '清水村', '939b4187ddc74fdcb42ed2789862512c', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116210', 5, '清水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116210', 1, '2021-07-19 12:03:35', NULL, NULL), (30733, '', '简乐桥村', 'aed5eb5cc3ac4a7cab0ef39cb345cce4', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116211', 5, '简乐桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116211', 1, '2021-07-19 12:03:35', NULL, NULL), (30734, '', '梨子湾村', 'a941933a782046659c0c8acf2d4ca576', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116259', 5, '梨子湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116259', 1, '2021-07-19 12:03:35', NULL, NULL), (30735, '', '聚贤村', '51ae91623a574e20822f294bb3cf9902', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116274', 5, '聚贤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116274', 1, '2021-07-19 12:03:35', NULL, NULL), (30736, '', '高寺社区', 'a2bef7013bd349abbe0cc6bf9cd8686e', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116415', 5, '高寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116415', 1, '2021-07-19 12:03:35', NULL, NULL), (30737, '', '石堰村', '5b81d56bc21b4e66a652753806be4b17', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116527', 5, '石堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116527', 1, '2021-07-19 12:03:35', NULL, NULL), (30738, '', '燕子村', '46fca4ec92114eb1b3e55ce36dcc3f31', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116613', 5, '燕子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116613', 1, '2021-07-19 12:03:35', NULL, NULL), (30739, '', '来龙村', 'bfa26d0a94aa4e5dad33a8533e16a29c', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116814', 5, '来龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116814', 1, '2021-07-19 12:03:35', NULL, NULL), (30740, '', '万寿村', 'd392742682ef45318ad8cba7143052a7', 'a964421048ff41079a41b42400876121', 'False', 'True', 'false', 'false', '512022116965', 5, '万寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022116965', 1, '2021-07-19 12:03:35', NULL, NULL), (30741, '', '龙门镇', '77accb6d1768413c95a56d3d68db3b0b', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022203000', 4, '龙门镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022203000', 1, '2021-07-19 12:03:35', NULL, NULL), (30742, '', '龙门社区', 'fd45c5b6a12344cf8f756ca49e922051', '77accb6d1768413c95a56d3d68db3b0b', 'False', 'True', 'false', 'false', '512022203998', 5, '龙门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022203998', 1, '2021-07-19 12:03:35', NULL, NULL), (30743, '', '三星社区', '2ae6dfb28173403180fc21aa756e38c6', '77accb6d1768413c95a56d3d68db3b0b', 'False', 'True', 'false', 'false', '512022203057', 5, '三星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022203057', 1, '2021-07-19 12:03:35', NULL, NULL), (30744, '', '圣灯村', '49cb87c24a24486d8c6ab657de44da34', '77accb6d1768413c95a56d3d68db3b0b', 'False', 'True', 'false', 'false', '512022203321', 5, '圣灯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022203321', 1, '2021-07-19 12:03:36', NULL, NULL), (30745, '', '棕树村', 'e23f036e7f7940a194d17081eaec621f', '77accb6d1768413c95a56d3d68db3b0b', 'False', 'True', 'false', 'false', '512022203482', 5, '棕树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022203482', 1, '2021-07-19 12:03:36', NULL, NULL), (30746, '', '报国村', 'ff87dda914c94f329a8913d80aa726a0', '77accb6d1768413c95a56d3d68db3b0b', 'False', 'True', 'false', 'false', '512022203593', 5, '报国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022203593', 1, '2021-07-19 12:03:36', NULL, NULL), (30747, '', '农科村', '08e5fd306faa4738addef29cdb5d41dc', '77accb6d1768413c95a56d3d68db3b0b', 'False', 'True', 'false', 'false', '512022203664', 5, '农科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022203664', 1, '2021-07-19 12:03:36', NULL, NULL), (30748, '', '金马村', '209f0cdd38e94fc999d5141686fe49f5', '77accb6d1768413c95a56d3d68db3b0b', 'False', 'True', 'false', 'false', '512022203665', 5, '金马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022203665', 1, '2021-07-19 12:03:36', NULL, NULL), (30749, '', '金鼓村', '20441b09eaeb4865b03b41959c024bb5', '77accb6d1768413c95a56d3d68db3b0b', 'False', 'True', 'false', 'false', '512022203851', 5, '金鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022203851', 1, '2021-07-19 12:03:36', NULL, NULL), (30750, '', '白龙村', 'b55e71cbdbbf4f8193e20fb38d2c76b6', '77accb6d1768413c95a56d3d68db3b0b', 'False', 'True', 'false', 'false', '512022203895', 5, '白龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022203895', 1, '2021-07-19 12:03:36', NULL, NULL), (30751, '', '三道拐村', 'f67f90ea095646e8a6b2a8d91dff3533', '77accb6d1768413c95a56d3d68db3b0b', 'False', 'True', 'false', 'false', '512022203950', 5, '三道拐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022203950', 1, '2021-07-19 12:03:36', NULL, NULL), (30752, '', '盛池镇', '0178b8221ebb49fbaf322d854aa54e57', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022206000', 4, '盛池镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022206000', 1, '2021-07-19 12:03:36', NULL, NULL), (30753, '', '盛泉村', 'd3d580b3fd07413ca331b4b5b6dbf688', '0178b8221ebb49fbaf322d854aa54e57', 'False', 'True', 'false', 'false', '512022206019', 5, '盛泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022206019', 1, '2021-07-19 12:03:36', NULL, NULL), (30754, '', '三元社区', '4c70ff74063040c59398a01f9fb60188', '0178b8221ebb49fbaf322d854aa54e57', 'False', 'True', 'false', 'false', '512022206068', 5, '三元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022206068', 1, '2021-07-19 12:03:36', NULL, NULL), (30755, '', '大沟村', '679af8e8ba7c43bb8c1def383f39d8a3', '0178b8221ebb49fbaf322d854aa54e57', 'False', 'True', 'false', 'false', '512022206073', 5, '大沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022206073', 1, '2021-07-19 12:03:36', NULL, NULL), (30756, '', '短沟村', '4b778e2ad0d84abdb3634caec90d73bc', '0178b8221ebb49fbaf322d854aa54e57', 'False', 'True', 'false', 'false', '512022206216', 5, '短沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022206216', 1, '2021-07-19 12:03:36', NULL, NULL), (30757, '', '盛池社区', 'bc1fc51340ce4f32922d96cc1611bbcf', '0178b8221ebb49fbaf322d854aa54e57', 'False', 'True', 'false', 'false', '512022206311', 5, '盛池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022206311', 1, '2021-07-19 12:03:36', NULL, NULL), (30758, '', '龙兴庵村', '43a22a18dd1f4985ad1b3ae626e40f63', '0178b8221ebb49fbaf322d854aa54e57', 'False', 'True', 'false', 'false', '512022206498', 5, '龙兴庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022206498', 1, '2021-07-19 12:03:37', NULL, NULL), (30759, '', '埝田沟村', 'bff2941f57284e778b655f79050935fe', '0178b8221ebb49fbaf322d854aa54e57', 'False', 'True', 'false', 'false', '512022206555', 5, '埝田沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022206555', 1, '2021-07-19 12:03:37', NULL, NULL), (30760, '', '伍家祠村', 'd0a870c000934176964fc25d3ace1018', '0178b8221ebb49fbaf322d854aa54e57', 'False', 'True', 'false', 'false', '512022206635', 5, '伍家祠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022206635', 1, '2021-07-19 12:03:37', NULL, NULL), (30761, '', '矮子桥村', 'd1fea0a046484f458dae245531cecbf5', '0178b8221ebb49fbaf322d854aa54e57', 'False', 'True', 'false', 'false', '512022206673', 5, '矮子桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022206673', 1, '2021-07-19 12:03:37', NULL, NULL), (30762, '', '文庵村', '681df1e1291446a7aed9ef9332712b94', '0178b8221ebb49fbaf322d854aa54e57', 'False', 'True', 'false', 'false', '512022206695', 5, '文庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022206695', 1, '2021-07-19 12:03:37', NULL, NULL), (30763, '', '三碑垭村', '4547b697bc514b69860e21cef73308d3', '0178b8221ebb49fbaf322d854aa54e57', 'False', 'True', 'false', 'false', '512022206733', 5, '三碑垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022206733', 1, '2021-07-19 12:03:37', NULL, NULL), (30764, '', '双河场乡', '87de78891da543a39cfb8010d19eb0ed', '8702774014dc45a8a5f03b0da90cbec3', 'True', 'True', 'false', 'false', '512022204000', 4, '双河场乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512022204000', 1, '2021-07-19 12:03:37', NULL, NULL), (30765, '', '和平社区', '2e6c1c4a77df4e558bf2b9ccf7671693', '87de78891da543a39cfb8010d19eb0ed', 'False', 'True', 'false', 'false', '512022204519', 5, '和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022204519', 1, '2021-07-19 12:03:37', NULL, NULL), (30766, '', '双河社区', '62e1e463b2944257ad8a51b4b57ac31b', '87de78891da543a39cfb8010d19eb0ed', 'False', 'True', 'false', 'false', '512022204877', 5, '双河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022204877', 1, '2021-07-19 12:03:37', NULL, NULL), (30767, '', '两河口村', 'd00674dc0d824a95982a57a98056b081', '87de78891da543a39cfb8010d19eb0ed', 'False', 'True', 'false', 'false', '512022204032', 5, '两河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022204032', 1, '2021-07-19 12:03:37', NULL, NULL), (30768, '', '海慧寺村', 'f4231fb46b8844a8b00d40ae4dc6dd18', '87de78891da543a39cfb8010d19eb0ed', 'False', 'True', 'false', 'false', '512022204099', 5, '海慧寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022204099', 1, '2021-07-19 12:03:37', NULL, NULL), (30769, '', '瓦灰寺村', '705b657ca626410cb37093e810ec0efe', '87de78891da543a39cfb8010d19eb0ed', 'False', 'True', 'false', 'false', '512022204885', 5, '瓦灰寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022204885', 1, '2021-07-19 12:03:37', NULL, NULL), (30770, '', '石庙子村', 'e34db704c26546b993c3036eb7c2fe67', '87de78891da543a39cfb8010d19eb0ed', 'False', 'True', 'false', 'false', '512022204518', 5, '石庙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022204518', 1, '2021-07-19 12:03:37', NULL, NULL), (30771, '', '西岳村', '99ba860946be46428133e8896062f5a0', '87de78891da543a39cfb8010d19eb0ed', 'False', 'True', 'false', 'false', '512022204796', 5, '西岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022204796', 1, '2021-07-19 12:03:37', NULL, NULL), (30772, '', '古柏树村', 'f48c122345f64ab0bc2f1eee4004da43', '87de78891da543a39cfb8010d19eb0ed', 'False', 'True', 'false', 'false', '512022204214', 5, '古柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512022204214', 1, '2021-07-19 12:03:37', NULL, NULL), (30773, '', '安岳县', 'bfa4fb58b97845038bfc80c86776d40c', 'dff4152eb0e04bfcbe5b49343d6c888b', 'True', 'True', 'false', 'false', '512021000000', 3, '安岳县', 'zysayx.sczwfw.gov.cn', 1, '2021-07-19 12:03:37', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (30774, '', '乾龙镇', 'c53f48289ad24f56bfc7a3b06ca111c6', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021000404', 4, '乾龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021000404', 1, '2021-07-19 12:03:37', NULL, NULL), (30775, '', '迴龙社区', '4955cbff8b3e486d978f31b89b89d99f', 'c53f48289ad24f56bfc7a3b06ca111c6', 'False', 'True', 'false', 'false', '512021132001', 5, '迴龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021132001', 1, '2021-07-19 12:03:37', NULL, NULL), (30776, '', '鱼龙社区', 'b9a9baa06d7349ed9402a4d659926fb8', 'c53f48289ad24f56bfc7a3b06ca111c6', 'False', 'True', 'false', 'false', '512021132002', 5, '鱼龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021132002', 1, '2021-07-19 12:03:38', NULL, NULL), (30777, '', '孟公村', 'c3764ba0ada0405bb0e27166591e2a8a', 'c53f48289ad24f56bfc7a3b06ca111c6', 'False', 'True', 'false', 'false', '512021132200', 5, '孟公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021132200', 1, '2021-07-19 12:03:38', NULL, NULL), (30778, '', '罐子河村', '4296900b673e4c3f848b25acb132284e', 'c53f48289ad24f56bfc7a3b06ca111c6', 'False', 'True', 'false', 'false', '512021132201', 5, '罐子河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021132201', 1, '2021-07-19 12:03:38', NULL, NULL), (30779, '', '福渠村', '1a04d4436592464bbdba0fb98f435647', 'c53f48289ad24f56bfc7a3b06ca111c6', 'False', 'True', 'false', 'false', '512021132202', 5, '福渠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021132202', 1, '2021-07-19 12:03:38', NULL, NULL), (30780, '', '真南村', '1176262c55c449f5acc447639e067374', 'c53f48289ad24f56bfc7a3b06ca111c6', 'False', 'True', 'false', 'false', '512021132203', 5, '真南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021132203', 1, '2021-07-19 12:03:38', NULL, NULL), (30781, '', '文笔村', 'a99ebe0eb55740c9893938fd1a84c9c6', 'c53f48289ad24f56bfc7a3b06ca111c6', 'False', 'True', 'false', 'false', '512021132204', 5, '文笔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021132204', 1, '2021-07-19 12:03:38', NULL, NULL), (30782, '', '铁门村', '48df05d38f0b4947abb9c9692fe3f1ea', 'c53f48289ad24f56bfc7a3b06ca111c6', 'False', 'True', 'false', 'false', '512021132205', 5, '铁门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021132205', 1, '2021-07-19 12:03:38', NULL, NULL), (30783, '', '永定村', '01a0752fa48248b1a1a391062fe237ba', 'c53f48289ad24f56bfc7a3b06ca111c6', 'False', 'True', 'false', 'false', '512021132206', 5, '永定村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021132206', 1, '2021-07-19 12:03:38', NULL, NULL), (30784, '', '高塘村', '36bdcadae73a44b185b5467d186c1403', 'c53f48289ad24f56bfc7a3b06ca111c6', 'False', 'True', 'false', 'false', '512021132207', 5, '高塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021132207', 1, '2021-07-19 12:03:38', NULL, NULL), (30785, '', '彭埝村', '96019be39e3b46229ae226e29844417f', 'c53f48289ad24f56bfc7a3b06ca111c6', 'False', 'True', 'false', 'false', '512021132208', 5, '彭埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021132208', 1, '2021-07-19 12:03:38', NULL, NULL), (30786, '', '岳城街道', 'b01ded20a01d4732a69645df002c9d06', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021001000', 4, '岳城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021001000', 1, '2021-07-19 12:03:38', NULL, NULL), (30787, '', '土城门社区', '3a88f1912f864a8493ebfecc48bcdf84', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001001', 5, '土城门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001001', 1, '2021-07-19 12:03:38', NULL, NULL), (30788, '', '龙王庙社区', '859405c0bcb64502913f6803db723a97', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001002', 5, '龙王庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001002', 1, '2021-07-19 12:03:38', NULL, NULL), (30789, '', '奎星阁社区', '30d24c6bfe3b4b6885ba1e7332ade5ab', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001003', 5, '奎星阁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001003', 1, '2021-07-19 12:03:38', NULL, NULL), (30790, '', '铁峰社区', 'd44e0ff1648d42d88220b0d7289b27a5', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001004', 5, '铁峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001004', 1, '2021-07-19 12:03:39', NULL, NULL), (30791, '', '四方井社区', '7f1aeb97ad26410aa91ec7b6add081f6', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001005', 5, '四方井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001005', 1, '2021-07-19 12:03:39', NULL, NULL), (30792, '', '洗墨池社区', '91d2367deb5d4e05830835223ca38713', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001006', 5, '洗墨池社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001006', 1, '2021-07-19 12:03:39', NULL, NULL), (30793, '', '王家坝社区', 'eb658015563441cf98c281ee7fbd11f4', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001007', 5, '王家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001007', 1, '2021-07-19 12:03:39', NULL, NULL), (30794, '', '龙井社区', '6f196c435ac94a99b21ef6592c56a597', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001008', 5, '龙井社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001008', 1, '2021-07-19 12:03:39', NULL, NULL), (30795, '', '金花社区', '65de95f43798445f86aa9c7046cd99be', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001009', 5, '金花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001009', 1, '2021-07-19 12:03:39', NULL, NULL), (30796, '', '望城社区', 'f6b5f3741c894fc184aca544a095a1cf', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001010', 5, '望城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001010', 1, '2021-07-19 12:03:39', NULL, NULL), (30797, '', '关新社区', 'fe790b9526174af1ac9e2ea8d9502481', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001011', 5, '关新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001011', 1, '2021-07-19 12:03:39', NULL, NULL), (30798, '', '龙凤社区', '92dbb906e8c742c191c4a737c0dab318', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001012', 5, '龙凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001012', 1, '2021-07-19 12:03:39', NULL, NULL), (30799, '', '阳光社区', '643bd70b02e4483d9fd478077d04ef7a', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001013', 5, '阳光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001013', 1, '2021-07-19 12:03:39', NULL, NULL), (30800, '', '奎安社区', 'c73fc6efea56419f948be25aa2b9e39b', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001014', 5, '奎安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001014', 1, '2021-07-19 12:03:39', NULL, NULL), (30801, '', '南山社区', 'b2cc6e63280a4b859e9fe4a4f1121541', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001015', 5, '南山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001015', 1, '2021-07-19 12:03:39', NULL, NULL), (30802, '', '岳井村', '832063997e76474ca76797c611b0828e', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001200', 5, '岳井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001200', 1, '2021-07-19 12:03:39', NULL, NULL), (30803, '', '五里村', 'f0055cbf67a04a80a5b212fc0206a301', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001201', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001201', 1, '2021-07-19 12:03:39', NULL, NULL), (30804, '', '贾岛村', '00b6e23ebb764cd6bb2dd203a87f17ff', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001202', 5, '贾岛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001202', 1, '2021-07-19 12:03:40', NULL, NULL), (30805, '', '竹林村', '8820f5ed51c74dc3a761bb6c0fd21151', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001203', 5, '竹林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001203', 1, '2021-07-19 12:03:40', NULL, NULL), (30806, '', '文昌村', '98bb7b6b51c7459c85b56f34ebb50ae1', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001204', 5, '文昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001204', 1, '2021-07-19 12:03:40', NULL, NULL), (30807, '', '白石村', 'b024234de82c422e9ec9686eae207f71', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001205', 5, '白石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001205', 1, '2021-07-19 12:03:40', NULL, NULL), (30808, '', '梓桐村', '51c482c5b22649ea8f44c7b9306c2b61', 'b01ded20a01d4732a69645df002c9d06', 'False', 'True', 'false', 'false', '512021001206', 5, '梓桐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021001206', 1, '2021-07-19 12:03:40', NULL, NULL), (30809, '', '合义乡', '529e2de7d57343f59189171e6efae790', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021024000', 4, '合义乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021024000', 1, '2021-07-19 12:03:40', NULL, NULL), (30810, '', '纸厂社区', '7d65f65273764141b7793684276cc276', '529e2de7d57343f59189171e6efae790', 'False', 'True', 'false', 'false', '512021024001', 5, '纸厂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021024001', 1, '2021-07-19 12:03:40', NULL, NULL), (30811, '', '杨印村', 'ef1bebf586e7470689925f7f9b326490', '529e2de7d57343f59189171e6efae790', 'False', 'True', 'false', 'false', '512021024201', 5, '杨印村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021024201', 1, '2021-07-19 12:03:40', NULL, NULL), (30812, '', '新华村', '1c9049a7c8f746a39a17387af5830680', '529e2de7d57343f59189171e6efae790', 'False', 'True', 'false', 'false', '512021024202', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021024202', 1, '2021-07-19 12:03:40', NULL, NULL), (30813, '', '大安村', '5529681db2d044f9a73e45ff1a64b4db', '529e2de7d57343f59189171e6efae790', 'False', 'True', 'false', 'false', '512021024205', 5, '大安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021024205', 1, '2021-07-19 12:03:40', NULL, NULL), (30814, '', '西冲村', 'd0f30f713e74437292f28c4bab916328', '529e2de7d57343f59189171e6efae790', 'False', 'True', 'false', 'false', '512021024206', 5, '西冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021024206', 1, '2021-07-19 12:03:40', NULL, NULL), (30815, '', '雷波村', '9ba2b11090334f76b7fa596b776cf331', '529e2de7d57343f59189171e6efae790', 'False', 'True', 'false', 'false', '512021024209', 5, '雷波村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021024209', 1, '2021-07-19 12:03:40', NULL, NULL), (30816, '', '朝阳镇', '10658e51bfd047809bd993e14791ebf5', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021069000', 4, '朝阳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021069000', 1, '2021-07-19 12:03:41', NULL, NULL), (30817, '', '毛店社区', 'ff55a47d96b143e2a68cd9d81b7bc38b', '10658e51bfd047809bd993e14791ebf5', 'False', 'True', 'false', 'false', '512021069001', 5, '毛店社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021069001', 1, '2021-07-19 12:03:41', NULL, NULL), (30818, '', '大埝社区', '970a60aca97f4aedbe218f70a280a6a2', '10658e51bfd047809bd993e14791ebf5', 'False', 'True', 'false', 'false', '512021069002', 5, '大埝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021069002', 1, '2021-07-19 12:03:41', NULL, NULL), (30819, '', '桂花村', 'fc81202db631478f94dd2146b53cb2aa', '10658e51bfd047809bd993e14791ebf5', 'False', 'True', 'false', 'false', '512021069203', 5, '桂花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021069203', 1, '2021-07-19 12:03:41', NULL, NULL), (30820, '', '红门村', '1a21c75fffaa4df884540a714e3646d3', '10658e51bfd047809bd993e14791ebf5', 'False', 'True', 'false', 'false', '512021069205', 5, '红门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021069205', 1, '2021-07-19 12:03:41', NULL, NULL), (30821, '', '红渠村', 'c7d0fc9b553d443c9b98d4029ba62b1c', '10658e51bfd047809bd993e14791ebf5', 'False', 'True', 'false', 'false', '512021069207', 5, '红渠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021069207', 1, '2021-07-19 12:03:41', NULL, NULL), (30822, '', '莲花村', '33acf7efef3749328a1e6a3956167c40', '10658e51bfd047809bd993e14791ebf5', 'False', 'True', 'false', 'false', '512021069210', 5, '莲花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021069210', 1, '2021-07-19 12:03:41', NULL, NULL), (30823, '', '朝阳洞村', 'dcb9a4d2c8664dceb08f5fe974de05f5', '10658e51bfd047809bd993e14791ebf5', 'False', 'True', 'false', 'false', '512021069211', 5, '朝阳洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021069211', 1, '2021-07-19 12:03:41', NULL, NULL), (30824, '', '黄金村', 'd5434f169e78449e8a7663ca20817ae4', '10658e51bfd047809bd993e14791ebf5', 'False', 'True', 'false', 'false', '512021069212', 5, '黄金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021069212', 1, '2021-07-19 12:03:41', NULL, NULL), (30825, '', '莲洞村', '9d1a602e716b4a85b1821377e6c62e6f', '10658e51bfd047809bd993e14791ebf5', 'False', 'True', 'false', 'false', '512021069213', 5, '莲洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021069213', 1, '2021-07-19 12:03:41', NULL, NULL), (30826, '', '洋禾村', '56ab13ca6b9a4e388f2870e1ce2aa843', '10658e51bfd047809bd993e14791ebf5', 'False', 'True', 'false', 'false', '512021069214', 5, '洋禾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021069214', 1, '2021-07-19 12:03:41', NULL, NULL), (30827, '', '岳阳镇', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021100000', 4, '岳阳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021100000', 1, '2021-07-19 12:03:41', NULL, NULL), (30828, '', '土地堂社区', '4c44fa830b634e5181ad28c587ca1467', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100007', 5, '土地堂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100007', 1, '2021-07-19 12:03:42', NULL, NULL), (30829, '', '北坝社区', 'de75f258341e41c38881ecda6067d18f', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100008', 5, '北坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100008', 1, '2021-07-19 12:03:42', NULL, NULL), (30830, '', '石坝子社区', '1b3222a0984c42c599f1d3d53df7a53e', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100013', 5, '石坝子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100013', 1, '2021-07-19 12:03:42', NULL, NULL), (30831, '', '兴安社区', '1f61d418283f4072895234910e61a478', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100014', 5, '兴安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100014', 1, '2021-07-19 12:03:42', NULL, NULL), (30832, '', '九韶社区', 'a4a0aa82fd474043a6f906f3bcc0c8d4', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100015', 5, '九韶社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100015', 1, '2021-07-19 12:03:42', NULL, NULL), (30833, '', '棋盘村', 'b44a0f6738a74bb2acdd86327c888a11', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100201', 5, '棋盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100201', 1, '2021-07-19 12:03:42', NULL, NULL), (30834, '', '红双村', '4a55c2a0500642229e81618af734b9c1', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100204', 5, '红双村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100204', 1, '2021-07-19 12:03:42', NULL, NULL), (30835, '', '船形村', 'ed49857d5b4848a1b56a98f20349acd6', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100206', 5, '船形村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100206', 1, '2021-07-19 12:03:42', NULL, NULL), (30836, '', '水观村', 'cb42a61fee2440b189a8522ae7351762', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100207', 5, '水观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100207', 1, '2021-07-19 12:03:42', NULL, NULL), (30837, '', '鄢山村', '19bb6e21450f41c3a264dcd7718b9371', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100218', 5, '鄢山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100218', 1, '2021-07-19 12:03:42', NULL, NULL), (30838, '', '万寿村', '49abd8c42f984e37b0fc0f465f56e9c5', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100222', 5, '万寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100222', 1, '2021-07-19 12:03:42', NULL, NULL), (30839, '', '油坊村', '9e2af6cf00b24491a07c730898b41571', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100228', 5, '油坊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100228', 1, '2021-07-19 12:03:43', NULL, NULL), (30840, '', '离山村', '17cf4b4c141745bb9f09e1bf9b6f3ab0', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100229', 5, '离山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100229', 1, '2021-07-19 12:03:43', NULL, NULL), (30841, '', '柳溪村', 'ed006bef90894e8ebb15841e2931d20d', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100230', 5, '柳溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100230', 1, '2021-07-19 12:03:43', NULL, NULL), (30842, '', '飞龙村', 'ed688291383e41aabb85ab2e8e22fde3', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100231', 5, '飞龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100231', 1, '2021-07-19 12:03:43', NULL, NULL), (30843, '', '安堂村', 'ceea876e494744f5a77ec9b445c43b1b', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100232', 5, '安堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100232', 1, '2021-07-19 12:03:43', NULL, NULL), (30844, '', '安北村', '0ebaa43662124c60954e695000e37a94', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100233', 5, '安北村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100233', 1, '2021-07-19 12:03:43', NULL, NULL), (30845, '', '陶海村', 'c20e6a23fb2e4f47942f5da28945a9b8', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100234', 5, '陶海村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100234', 1, '2021-07-19 12:03:43', NULL, NULL), (30846, '', '慈云村', '0d90272e96574d40bb10633bf62e89b8', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100235', 5, '慈云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100235', 1, '2021-07-19 12:03:43', NULL, NULL), (30847, '', '凤型村', 'a2e51bab6cba41d8bdc14b7e1a898a8c', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100236', 5, '凤型村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100236', 1, '2021-07-19 12:03:43', NULL, NULL), (30848, '', '报国村', '1b44734398124f5fa6d46188eea360ac', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100237', 5, '报国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100237', 1, '2021-07-19 12:03:43', NULL, NULL), (30849, '', '宝马村', '570629054e85428fb9ed6d5440134f39', 'e4fa91c3e2a64e7ab83a6a884a14bc1e', 'False', 'True', 'false', 'false', '512021100238', 5, '宝马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021100238', 1, '2021-07-19 12:03:43', NULL, NULL), (30850, '', '石桥街道', '9005b133f7b4487a914670abc3167370', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021102000', 4, '石桥街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021102000', 1, '2021-07-19 12:03:43', NULL, NULL), (30851, '', '石兴社区', '936dadab1c884ef6a966008c0e9c5c37', '9005b133f7b4487a914670abc3167370', 'False', 'True', 'false', 'false', '512021102001', 5, '石兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021102001', 1, '2021-07-19 12:03:43', NULL, NULL), (30852, '', '桅坝社区', '9259f1c891a84142ab5b551e790a025b', '9005b133f7b4487a914670abc3167370', 'False', 'True', 'false', 'false', '512021102002', 5, '桅坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021102002', 1, '2021-07-19 12:03:43', NULL, NULL), (30853, '', '广惠桥社区', '5d51840a721d46b3b1da44503099ea36', '9005b133f7b4487a914670abc3167370', 'False', 'True', 'false', 'false', '512021102003', 5, '广惠桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021102003', 1, '2021-07-19 12:03:44', NULL, NULL), (30854, '', '石华社区', '137292498eb145cdb976cc9363494d0e', '9005b133f7b4487a914670abc3167370', 'False', 'True', 'false', 'false', '512021102004', 5, '石华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021102004', 1, '2021-07-19 12:03:44', NULL, NULL), (30855, '', '长安社区', '2267295f19c544d08c4aa22566bc98d4', '9005b133f7b4487a914670abc3167370', 'False', 'True', 'false', 'false', '512021102005', 5, '长安社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021102005', 1, '2021-07-19 12:03:44', NULL, NULL), (30856, '', '秀才社区', '6c18aca55b974507b177232351e68791', '9005b133f7b4487a914670abc3167370', 'False', 'True', 'false', 'false', '512021102006', 5, '秀才社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021102006', 1, '2021-07-19 12:03:44', NULL, NULL), (30857, '', '石桥村', '1344ec81ba7947248412886341e60e24', '9005b133f7b4487a914670abc3167370', 'False', 'True', 'false', 'false', '512021102200', 5, '石桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021102200', 1, '2021-07-19 12:03:44', NULL, NULL), (30858, '', '戏楼村', '34a2665558ed48b2ac5cfaf68536dc70', '9005b133f7b4487a914670abc3167370', 'False', 'True', 'false', 'false', '512021102201', 5, '戏楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021102201', 1, '2021-07-19 12:03:44', NULL, NULL), (30859, '', '洪坝村', '953fee47df1a432fb9c6099af019e448', '9005b133f7b4487a914670abc3167370', 'False', 'True', 'false', 'false', '512021102202', 5, '洪坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021102202', 1, '2021-07-19 12:03:44', NULL, NULL), (30860, '', '烽火村', '6ec3148631fc48229d638e1cd51f2d2f', '9005b133f7b4487a914670abc3167370', 'False', 'True', 'false', 'false', '512021102203', 5, '烽火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021102203', 1, '2021-07-19 12:03:44', NULL, NULL), (30861, '', '滴水村', 'ea4262580be243d996108693c73d26cb', '9005b133f7b4487a914670abc3167370', 'False', 'True', 'false', 'false', '512021102204', 5, '滴水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021102204', 1, '2021-07-19 12:03:44', NULL, NULL), (30862, '', '长龙村', '1bdf5ca96e8a4c84956208e9e5bf5041', '9005b133f7b4487a914670abc3167370', 'False', 'True', 'false', 'false', '512021102206', 5, '长龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021102206', 1, '2021-07-19 12:03:44', NULL, NULL), (30863, '', '干拱村', '6058554e72154d629946e9f56e188936', '9005b133f7b4487a914670abc3167370', 'False', 'True', 'false', 'false', '512021102209', 5, '干拱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021102209', 1, '2021-07-19 12:03:44', NULL, NULL), (30864, '', '通贤镇', '3c576a3096ab415d8547ea51df9c9bd2', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021103000', 4, '通贤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021103000', 1, '2021-07-19 12:03:44', NULL, NULL), (30865, '', '胜利社区', '8c3cc70d5be24530a2722b3c0213aa30', '3c576a3096ab415d8547ea51df9c9bd2', 'False', 'True', 'false', 'false', '512021103001', 5, '胜利社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021103001', 1, '2021-07-19 12:03:45', NULL, NULL), (30866, '', '前进社区', 'b253be8b303a4f9e99e272f2b989e36c', '3c576a3096ab415d8547ea51df9c9bd2', 'False', 'True', 'false', 'false', '512021103002', 5, '前进社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021103002', 1, '2021-07-19 12:03:45', NULL, NULL), (30867, '', '青龙社区', '6bb931fcac2c4da1956a6ca58ba0462c', '3c576a3096ab415d8547ea51df9c9bd2', 'False', 'True', 'false', 'false', '512021103003', 5, '青龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021103003', 1, '2021-07-19 12:03:45', NULL, NULL), (30868, '', '金刚村', '545a87dc275b4ffab2c1e6044b47ddd4', '3c576a3096ab415d8547ea51df9c9bd2', 'False', 'True', 'false', 'false', '512021103200', 5, '金刚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021103200', 1, '2021-07-19 12:03:45', NULL, NULL), (30869, '', '四方村', '41a68423cfb44daaaef23a30470ab598', '3c576a3096ab415d8547ea51df9c9bd2', 'False', 'True', 'false', 'false', '512021103202', 5, '四方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021103202', 1, '2021-07-19 12:03:45', NULL, NULL), (30870, '', '高文村', 'b674d4e13c9244a8bb26aac6f0750165', '3c576a3096ab415d8547ea51df9c9bd2', 'False', 'True', 'false', 'false', '512021103204', 5, '高文村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021103204', 1, '2021-07-19 12:03:45', NULL, NULL), (30871, '', '帽石村', '942bfc1d5c0840d1a83de19c8b4cdc1c', '3c576a3096ab415d8547ea51df9c9bd2', 'False', 'True', 'false', 'false', '512021103205', 5, '帽石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021103205', 1, '2021-07-19 12:03:45', NULL, NULL), (30872, '', '双鹅村', 'b04c9143da68460fb93ac96f9676e3b9', '3c576a3096ab415d8547ea51df9c9bd2', 'False', 'True', 'false', 'false', '512021103208', 5, '双鹅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021103208', 1, '2021-07-19 12:03:45', NULL, NULL), (30873, '', '武陵村', 'd1ad7f038c2449da94ba97f0ca1d6f9b', '3c576a3096ab415d8547ea51df9c9bd2', 'False', 'True', 'false', 'false', '512021103209', 5, '武陵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021103209', 1, '2021-07-19 12:03:45', NULL, NULL), (30874, '', '重石村', 'ab020b87863d4ccbbd7fb9465330f2d0', '3c576a3096ab415d8547ea51df9c9bd2', 'False', 'True', 'false', 'false', '512021103211', 5, '重石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021103211', 1, '2021-07-19 12:03:46', NULL, NULL), (30875, '', '八里村', 'cde0526323e747a7bd576a92bb63022c', '3c576a3096ab415d8547ea51df9c9bd2', 'False', 'True', 'false', 'false', '512021103212', 5, '八里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021103212', 1, '2021-07-19 12:03:46', NULL, NULL), (30876, '', '山福村', '67b9a20ad52749bf96521e4580b8a066', '3c576a3096ab415d8547ea51df9c9bd2', 'False', 'True', 'false', 'false', '512021103214', 5, '山福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021103214', 1, '2021-07-19 12:03:46', NULL, NULL), (30877, '', '安宁村', '2990be1fe66e4a678d7bbca3fb5ce7fb', '3c576a3096ab415d8547ea51df9c9bd2', 'False', 'True', 'false', 'false', '512021103215', 5, '安宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021103215', 1, '2021-07-19 12:03:46', NULL, NULL), (30878, '', '高峰村', '96ab7000bee94c28b795236b08d21e3d', '3c576a3096ab415d8547ea51df9c9bd2', 'False', 'True', 'false', 'false', '512021103217', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021103217', 1, '2021-07-19 12:03:46', NULL, NULL), (30879, '', '人和村', '224c9e8a051444e589ed260ec33d4cf9', '3c576a3096ab415d8547ea51df9c9bd2', 'False', 'True', 'false', 'false', '512021103220', 5, '人和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021103220', 1, '2021-07-19 12:03:46', NULL, NULL), (30880, '', '文寨村', '947835e1178246eaaeed24bb481e511a', '3c576a3096ab415d8547ea51df9c9bd2', 'False', 'True', 'false', 'false', '512021103221', 5, '文寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021103221', 1, '2021-07-19 12:03:46', NULL, NULL), (30881, '', '广德村', '02ab5655fe7046339272de02f785887e', '3c576a3096ab415d8547ea51df9c9bd2', 'False', 'True', 'false', 'false', '512021103222', 5, '广德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021103222', 1, '2021-07-19 12:03:46', NULL, NULL), (30882, '', '三学村', '1e31a7942e2b4c72bff3ed0109cba7e6', '3c576a3096ab415d8547ea51df9c9bd2', 'False', 'True', 'false', 'false', '512021103223', 5, '三学村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021103223', 1, '2021-07-19 12:03:46', NULL, NULL), (30883, '', '姚市镇', 'ca81fa5d624846fd818793ca06db67f8', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021105000', 4, '姚市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021105000', 1, '2021-07-19 12:03:46', NULL, NULL), (30884, '', '桂花社区', '97d2b25087464023bdcffc1e19b6988b', 'ca81fa5d624846fd818793ca06db67f8', 'False', 'True', 'false', 'false', '512021105001', 5, '桂花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021105001', 1, '2021-07-19 12:03:46', NULL, NULL), (30885, '', '岳溪社区', '613525c5e3024001a295946798676ec2', 'ca81fa5d624846fd818793ca06db67f8', 'False', 'True', 'false', 'false', '512021105002', 5, '岳溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021105002', 1, '2021-07-19 12:03:47', NULL, NULL), (30886, '', '尖山村', '851060ca4283423596fdb64f4d669f7a', 'ca81fa5d624846fd818793ca06db67f8', 'False', 'True', 'false', 'false', '512021105200', 5, '尖山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021105200', 1, '2021-07-19 12:03:47', NULL, NULL), (30887, '', '金船村', '366ca90baec842feb348a9dc9c169165', 'ca81fa5d624846fd818793ca06db67f8', 'False', 'True', 'false', 'false', '512021105202', 5, '金船村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021105202', 1, '2021-07-19 12:03:47', NULL, NULL), (30888, '', '方石村', '798f900b1cdf41798adc614bd35da4bc', 'ca81fa5d624846fd818793ca06db67f8', 'False', 'True', 'false', 'false', '512021105206', 5, '方石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021105206', 1, '2021-07-19 12:03:47', NULL, NULL), (30889, '', '道林村', '4048dc113cc34da0b8cda7ea8d992f53', 'ca81fa5d624846fd818793ca06db67f8', 'False', 'True', 'false', 'false', '512021105207', 5, '道林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021105207', 1, '2021-07-19 12:03:47', NULL, NULL), (30890, '', '黄泥村', '28eed2de9dec449a8378b7caf3323046', 'ca81fa5d624846fd818793ca06db67f8', 'False', 'True', 'false', 'false', '512021105210', 5, '黄泥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021105210', 1, '2021-07-19 12:03:47', NULL, NULL), (30891, '', '凤桥村', '51d087f8f17f433c8f11c416c8ae3353', 'ca81fa5d624846fd818793ca06db67f8', 'False', 'True', 'false', 'false', '512021105213', 5, '凤桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021105213', 1, '2021-07-19 12:03:47', NULL, NULL), (30892, '', '龙盘村', 'c45ac28b4e9640fdb9775ecc3f111b08', 'ca81fa5d624846fd818793ca06db67f8', 'False', 'True', 'false', 'false', '512021105215', 5, '龙盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021105215', 1, '2021-07-19 12:03:47', NULL, NULL), (30893, '', '孔明村', '710348b02cff47c4becd3452637f77fa', 'ca81fa5d624846fd818793ca06db67f8', 'False', 'True', 'false', 'false', '512021105219', 5, '孔明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021105219', 1, '2021-07-19 12:03:47', NULL, NULL), (30894, '', '京桥村', '871235401e6e424da372d896dbc2d7ef', 'ca81fa5d624846fd818793ca06db67f8', 'False', 'True', 'false', 'false', '512021105220', 5, '京桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021105220', 1, '2021-07-19 12:03:48', NULL, NULL), (30895, '', '天鹅村', 'ecf3d30fd3814bcfb4ffddd6c5ad7409', 'ca81fa5d624846fd818793ca06db67f8', 'False', 'True', 'false', 'false', '512021105222', 5, '天鹅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021105222', 1, '2021-07-19 12:03:48', NULL, NULL), (30896, '', '林凤镇', '826f0cc3359a482f9368b68b1789e21f', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021106000', 4, '林凤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021106000', 1, '2021-07-19 12:03:48', NULL, NULL), (30897, '', '新坝村', 'a6fcc561c4dd4b47a59a943711fbe16c', '826f0cc3359a482f9368b68b1789e21f', 'False', 'True', 'false', 'false', '512021106203', 5, '新坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021106203', 1, '2021-07-19 12:03:48', NULL, NULL), (30898, '', '长林村', '84dcf5f14286405c9917178f40c418b2', '826f0cc3359a482f9368b68b1789e21f', 'False', 'True', 'false', 'false', '512021106204', 5, '长林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021106204', 1, '2021-07-19 12:03:48', NULL, NULL), (30899, '', '大坡村', '817632b162d74ecba32d93375bb52a21', '826f0cc3359a482f9368b68b1789e21f', 'False', 'True', 'false', 'false', '512021106205', 5, '大坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021106205', 1, '2021-07-19 12:03:48', NULL, NULL), (30900, '', '松林村', '2c7a057302fc4f0ea4d2d3728116a38c', '826f0cc3359a482f9368b68b1789e21f', 'False', 'True', 'false', 'false', '512021106207', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021106207', 1, '2021-07-19 12:03:48', NULL, NULL), (30901, '', '桥埝村', 'b86789688e9149439af5bf04a2ed08d5', '826f0cc3359a482f9368b68b1789e21f', 'False', 'True', 'false', 'false', '512021106209', 5, '桥埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021106209', 1, '2021-07-19 12:03:48', NULL, NULL), (30902, '', '学田村', '82d2120d6f57404491df595a880d1289', '826f0cc3359a482f9368b68b1789e21f', 'False', 'True', 'false', 'false', '512021106211', 5, '学田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021106211', 1, '2021-07-19 12:03:48', NULL, NULL), (30903, '', '青山村', '14e53373db7941f8a56a4b7f2750e843', '826f0cc3359a482f9368b68b1789e21f', 'False', 'True', 'false', 'false', '512021106214', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021106214', 1, '2021-07-19 12:03:48', NULL, NULL), (30904, '', '育才村', 'd436471afca24c92b02ad66361ade1b7', '826f0cc3359a482f9368b68b1789e21f', 'False', 'True', 'false', 'false', '512021106216', 5, '育才村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021106216', 1, '2021-07-19 12:03:48', NULL, NULL), (30905, '', '玉带村', '483a29bcb00a46b4a228753065a9f012', '826f0cc3359a482f9368b68b1789e21f', 'False', 'True', 'false', 'false', '512021106218', 5, '玉带村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021106218', 1, '2021-07-19 12:03:48', NULL, NULL), (30906, '', '麒凤社区', '21ac50d97ac548fc93ea2982f0466593', '826f0cc3359a482f9368b68b1789e21f', 'False', 'True', 'false', 'false', '512021106669', 5, '麒凤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021106669', 1, '2021-07-19 12:03:49', NULL, NULL), (30907, '', '毛家镇', '36d62a71ec424ca684da772d0e32c59e', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021107000', 4, '毛家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021107000', 1, '2021-07-19 12:03:49', NULL, NULL), (30908, '', '春水社区', '7386ee34327c43fbaa37c5a5b9675d51', '36d62a71ec424ca684da772d0e32c59e', 'False', 'True', 'false', 'false', '512021107001', 5, '春水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021107001', 1, '2021-07-19 12:03:49', NULL, NULL), (30909, '', '石塘村', 'b5c70329a6d047f78fa6a710bc411c6a', '36d62a71ec424ca684da772d0e32c59e', 'False', 'True', 'false', 'false', '512021107200', 5, '石塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021107200', 1, '2021-07-19 12:03:49', NULL, NULL), (30910, '', '五星村', 'ad894f1519744b69a645e6b21bee75c2', '36d62a71ec424ca684da772d0e32c59e', 'False', 'True', 'false', 'false', '512021107202', 5, '五星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021107202', 1, '2021-07-19 12:03:49', NULL, NULL), (30911, '', '河嘴村', '5194c8d5baff449c97fc90fe6aa32fbc', '36d62a71ec424ca684da772d0e32c59e', 'False', 'True', 'false', 'false', '512021107204', 5, '河嘴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021107204', 1, '2021-07-19 12:03:49', NULL, NULL), (30912, '', '交通村', 'c7e6cbc9b1ab47bebb58a36b098342d2', '36d62a71ec424ca684da772d0e32c59e', 'False', 'True', 'false', 'false', '512021107205', 5, '交通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021107205', 1, '2021-07-19 12:03:49', NULL, NULL), (30913, '', '安潼村', 'b0769f2130234c41a7cf2f3280b46ec9', '36d62a71ec424ca684da772d0e32c59e', 'False', 'True', 'false', 'false', '512021107207', 5, '安潼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021107207', 1, '2021-07-19 12:03:49', NULL, NULL), (30914, '', '永清镇', '825322f140d046578d2c58fd0bd49083', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021108000', 4, '永清镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021108000', 1, '2021-07-19 12:03:49', NULL, NULL), (30915, '', '武圣社区', '768d582213f04fe68e6eea523e02bcf9', '825322f140d046578d2c58fd0bd49083', 'False', 'True', 'false', 'false', '512021108001', 5, '武圣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021108001', 1, '2021-07-19 12:03:49', NULL, NULL), (30916, '', '龙潭社区', '086ff13d2b9c4da882313b6bd34bee6c', '825322f140d046578d2c58fd0bd49083', 'False', 'True', 'false', 'false', '512021108002', 5, '龙潭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021108002', 1, '2021-07-19 12:03:49', NULL, NULL), (30917, '', '坪河社区', 'd43597bb13354bd49b900f6129780929', '825322f140d046578d2c58fd0bd49083', 'False', 'True', 'false', 'false', '512021108003', 5, '坪河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021108003', 1, '2021-07-19 12:03:50', NULL, NULL), (30918, '', '大岩村', 'd06951fe412b4b6bac83b689b4daa179', '825322f140d046578d2c58fd0bd49083', 'False', 'True', 'false', 'false', '512021108200', 5, '大岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021108200', 1, '2021-07-19 12:03:50', NULL, NULL), (30919, '', '新光村', '4a6223871b3043e194818a2b7a18166e', '825322f140d046578d2c58fd0bd49083', 'False', 'True', 'false', 'false', '512021108201', 5, '新光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021108201', 1, '2021-07-19 12:03:50', NULL, NULL), (30920, '', '柑子村', '8e6eb59ade344d20ad04d649718b98ac', '825322f140d046578d2c58fd0bd49083', 'False', 'True', 'false', 'false', '512021108202', 5, '柑子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021108202', 1, '2021-07-19 12:03:50', NULL, NULL), (30921, '', '三元村', 'e7a5386c64764af6be72655a196af6d3', '825322f140d046578d2c58fd0bd49083', 'False', 'True', 'false', 'false', '512021108203', 5, '三元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021108203', 1, '2021-07-19 12:03:50', NULL, NULL), (30922, '', '鸣阳村', 'd43b10cb6445487fbfd2ab40c914b08e', '825322f140d046578d2c58fd0bd49083', 'False', 'True', 'false', 'false', '512021108204', 5, '鸣阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021108204', 1, '2021-07-19 12:03:50', NULL, NULL), (30923, '', '流湖村', '434c3879e1bb44f59435a8b78abcb1ae', '825322f140d046578d2c58fd0bd49083', 'False', 'True', 'false', 'false', '512021108206', 5, '流湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021108206', 1, '2021-07-19 12:03:50', NULL, NULL), (30924, '', '六角村', 'af070e6fc22c459cb5acda6e7fbe95d4', '825322f140d046578d2c58fd0bd49083', 'False', 'True', 'false', 'false', '512021108210', 5, '六角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021108210', 1, '2021-07-19 12:03:50', NULL, NULL), (30925, '', '古房村', '700b6daf1963473aa07c3388f783cdc4', '825322f140d046578d2c58fd0bd49083', 'False', 'True', 'false', 'false', '512021108213', 5, '古房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021108213', 1, '2021-07-19 12:03:50', NULL, NULL), (30926, '', '店子村', '7584729a430a4ffb972e37b3aa676ef0', '825322f140d046578d2c58fd0bd49083', 'False', 'True', 'false', 'false', '512021108215', 5, '店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021108215', 1, '2021-07-19 12:03:50', NULL, NULL), (30927, '', '青华村', '9658d5468f334255a71f987924f1e4b9', '825322f140d046578d2c58fd0bd49083', 'False', 'True', 'false', 'false', '512021108216', 5, '青华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021108216', 1, '2021-07-19 12:03:50', NULL, NULL), (30928, '', '六碑村', '6eb119d35c5046b39138484831ada97d', '825322f140d046578d2c58fd0bd49083', 'False', 'True', 'false', 'false', '512021108218', 5, '六碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021108218', 1, '2021-07-19 12:03:50', NULL, NULL), (30929, '', '盘龙村', '050623753a544af694d2b26cc057ee48', '825322f140d046578d2c58fd0bd49083', 'False', 'True', 'false', 'false', '512021108219', 5, '盘龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021108219', 1, '2021-07-19 12:03:50', NULL, NULL), (30930, '', '双山村', '7665e4b161fd41bfabba08dfb4c49b37', '825322f140d046578d2c58fd0bd49083', 'False', 'True', 'false', 'false', '512021108221', 5, '双山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021108221', 1, '2021-07-19 12:03:50', NULL, NULL), (30931, '', '天公村', 'ac56490374354cdb8771fd06ddbbc67d', '825322f140d046578d2c58fd0bd49083', 'False', 'True', 'false', 'false', '512021108224', 5, '天公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021108224', 1, '2021-07-19 12:03:50', NULL, NULL), (30932, '', '海印村', 'b3297bd452e848ab91068a32dd88fe38', '825322f140d046578d2c58fd0bd49083', 'False', 'True', 'false', 'false', '512021108225', 5, '海印村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021108225', 1, '2021-07-19 12:03:50', NULL, NULL), (30933, '', '石羊镇', 'eab8cd6032024287848fdc3b741a762d', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021110000', 4, '石羊镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021110000', 1, '2021-07-19 12:03:51', NULL, NULL), (30934, '', '金羊社区', '29945de2b20d409d820c1f64c22aece0', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110001', 5, '金羊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110001', 1, '2021-07-19 12:03:51', NULL, NULL), (30935, '', '紫竹社区', 'faf109cb07914521b7af486056f35d66', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110002', 5, '紫竹社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110002', 1, '2021-07-19 12:03:51', NULL, NULL), (30936, '', '龙阁社区', '4460a7c89db64786a3f170fffd6097f7', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110003', 5, '龙阁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110003', 1, '2021-07-19 12:03:51', NULL, NULL), (30937, '', '顶新社区', '30a682fff837484a91af0b965b60c359', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110004', 5, '顶新社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110004', 1, '2021-07-19 12:03:51', NULL, NULL), (30938, '', '瑞云社区', 'f39fef024ad44ae7b84266374e74161c', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110005', 5, '瑞云社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110005', 1, '2021-07-19 12:03:51', NULL, NULL), (30939, '', '山林村', '9ec22510440d41f68b69f05de380da7f', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110200', 5, '山林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110200', 1, '2021-07-19 12:03:51', NULL, NULL), (30940, '', '西坝村', 'f71784a427914c6bb3ed0dc9a3879363', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110202', 5, '西坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110202', 1, '2021-07-19 12:03:51', NULL, NULL), (30941, '', '三银村', 'ca83ed0776a144cd89bb65e64f1f7295', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110205', 5, '三银村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110205', 1, '2021-07-19 12:03:51', NULL, NULL), (30942, '', '龙柳村', '7fe5c937756b4c8b854c4b49d4a51181', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110208', 5, '龙柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110208', 1, '2021-07-19 12:03:51', NULL, NULL), (30943, '', '花园村', '84aecbcc728840d8b482723ad4266bca', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110209', 5, '花园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110209', 1, '2021-07-19 12:03:51', NULL, NULL), (30944, '', '启元村', 'c59299a61e27416c83ae7066fa86b795', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110211', 5, '启元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110211', 1, '2021-07-19 12:03:51', NULL, NULL), (30945, '', '光辉村', 'dff70df3a6814143a52fa16d485f0450', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110213', 5, '光辉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110213', 1, '2021-07-19 12:03:51', NULL, NULL), (30946, '', '油坪村', '88b168323be84dbf9b6e6e17563f2f3f', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110214', 5, '油坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110214', 1, '2021-07-19 12:03:51', NULL, NULL), (30947, '', '华严洞村', '011ea234bc264cbeb323e219427261d5', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110216', 5, '华严洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110216', 1, '2021-07-19 12:03:52', NULL, NULL), (30948, '', '赤云村', 'd6884dc9c67d4cf893800ec143854d61', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110217', 5, '赤云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110217', 1, '2021-07-19 12:03:52', NULL, NULL), (30949, '', '毫子村', '2561f387b267436e9ffd14eb74b5c844', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110218', 5, '毫子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110218', 1, '2021-07-19 12:03:52', NULL, NULL), (30950, '', '石包村', '08eb38f187c74902b0bf502700914177', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110219', 5, '石包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110219', 1, '2021-07-19 12:03:52', NULL, NULL), (30951, '', '长沟村', 'f1892dc3a325408ca954f59fe42f103a', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110220', 5, '长沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110220', 1, '2021-07-19 12:03:52', NULL, NULL), (30952, '', '同心村', 'b451a1071c38408caea668dfb7601e84', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110222', 5, '同心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110222', 1, '2021-07-19 12:03:52', NULL, NULL), (30953, '', '园门村', 'e2b1f31caaee414fade4749bb935613c', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110223', 5, '园门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110223', 1, '2021-07-19 12:03:52', NULL, NULL), (30954, '', '民花村', '4d412cac597f46f883126309259cd21a', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110224', 5, '民花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110224', 1, '2021-07-19 12:03:52', NULL, NULL), (30955, '', '六合村', '6b2dd2f997e943cea1727a3cdb306434', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110225', 5, '六合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110225', 1, '2021-07-19 12:03:52', NULL, NULL), (30956, '', '梨坪村', '0851e936f99942f4a399af80d3e6c1b7', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110226', 5, '梨坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110226', 1, '2021-07-19 12:03:52', NULL, NULL), (30957, '', '鱼泉村', '1b60d0b3b0794114b928f8615d9d6821', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110227', 5, '鱼泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110227', 1, '2021-07-19 12:03:52', NULL, NULL), (30958, '', '成凤村', 'ac50603ad4654238a74edd8572ef225a', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110228', 5, '成凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110228', 1, '2021-07-19 12:03:53', NULL, NULL), (30959, '', '猫坝村', 'e3a636f0fbe4466193859a7f1c5611aa', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110229', 5, '猫坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110229', 1, '2021-07-19 12:03:53', NULL, NULL), (30960, '', '天成村', '1ec88bf1e37e4eb0975fde12e98d5a9e', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110230', 5, '天成村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110230', 1, '2021-07-19 12:03:53', NULL, NULL), (30961, '', '银岩村', '17d0b1f9857749019218067a3eb623fb', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110231', 5, '银岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110231', 1, '2021-07-19 12:03:53', NULL, NULL), (30962, '', '三洞村', '652d35f226b34f15b612423b34efadcf', 'eab8cd6032024287848fdc3b741a762d', 'False', 'True', 'false', 'false', '512021110232', 5, '三洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021110232', 1, '2021-07-19 12:03:53', NULL, NULL), (30963, '', '两板桥镇', 'cf7cb462bbbb4eb3bc4a56ba3e1378cb', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021111000', 4, '两板桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021111000', 1, '2021-07-19 12:03:53', NULL, NULL), (30964, '', '复兴社区', '8b4fad16f1444a1eaff42fa537a049b0', 'cf7cb462bbbb4eb3bc4a56ba3e1378cb', 'False', 'True', 'false', 'false', '512021111001', 5, '复兴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021111001', 1, '2021-07-19 12:03:53', NULL, NULL), (30965, '', '鱼岩村', '2e60e5ae4f8e4702adea107d7c78aff4', 'cf7cb462bbbb4eb3bc4a56ba3e1378cb', 'False', 'True', 'false', 'false', '512021111116', 5, '鱼岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021111116', 1, '2021-07-19 12:03:53', NULL, NULL), (30966, '', '沙坝村', '297916a99d594889bf5a12b73a5757cd', 'cf7cb462bbbb4eb3bc4a56ba3e1378cb', 'False', 'True', 'false', 'false', '512021111228', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021111228', 1, '2021-07-19 12:03:53', NULL, NULL), (30967, '', '玉龙村', '66ab95703f6a43baa5e24062f2897e4c', 'cf7cb462bbbb4eb3bc4a56ba3e1378cb', 'False', 'True', 'false', 'false', '512021111345', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021111345', 1, '2021-07-19 12:03:53', NULL, NULL), (30968, '', '巴岩村', '227e31ff3a3848928f1c79e923ed7827', 'cf7cb462bbbb4eb3bc4a56ba3e1378cb', 'False', 'True', 'false', 'false', '512021111482', 5, '巴岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021111482', 1, '2021-07-19 12:03:53', NULL, NULL), (30969, '', '河边村', '881943f1b672438095b3ee3ab872c3bd', 'cf7cb462bbbb4eb3bc4a56ba3e1378cb', 'False', 'True', 'false', 'false', '512021111749', 5, '河边村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021111749', 1, '2021-07-19 12:03:53', NULL, NULL), (30970, '', '自生村', 'c8b0ca0c4aa34c468bce4e89df947e1c', 'cf7cb462bbbb4eb3bc4a56ba3e1378cb', 'False', 'True', 'false', 'false', '512021111788', 5, '自生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021111788', 1, '2021-07-19 12:03:53', NULL, NULL), (30971, '', '杉树村', '44e3915740724c18bdcf8880027732e9', 'cf7cb462bbbb4eb3bc4a56ba3e1378cb', 'False', 'True', 'false', 'false', '512021111839', 5, '杉树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021111839', 1, '2021-07-19 12:03:54', NULL, NULL), (30972, '', '军民村', '0206fa7ec4f7425d97e4cfca19715a04', 'cf7cb462bbbb4eb3bc4a56ba3e1378cb', 'False', 'True', 'false', 'false', '512021111894', 5, '军民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021111894', 1, '2021-07-19 12:03:54', NULL, NULL), (30973, '', '护龙镇', '6825cc6bfdc64a21a5498ee4c11ad25f', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021112000', 4, '护龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021112000', 1, '2021-07-19 12:03:54', NULL, NULL), (30974, '', '长林社区', 'e327381c7b2a46149a939a2d215d698f', '6825cc6bfdc64a21a5498ee4c11ad25f', 'False', 'True', 'false', 'false', '512021112001', 5, '长林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021112001', 1, '2021-07-19 12:03:54', NULL, NULL), (30975, '', '木厂村', '190fff021c3e4f64b6b871e91b5136e3', '6825cc6bfdc64a21a5498ee4c11ad25f', 'False', 'True', 'false', 'false', '512021112201', 5, '木厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021112201', 1, '2021-07-19 12:03:54', NULL, NULL), (30976, '', '遂安村', 'd41cab7033ce4c9fa338a29bf87e6eff', '6825cc6bfdc64a21a5498ee4c11ad25f', 'False', 'True', 'false', 'false', '512021112202', 5, '遂安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021112202', 1, '2021-07-19 12:03:54', NULL, NULL), (30977, '', '玉泉村', 'c2829139679949e9a26bae8b04c5b88a', '6825cc6bfdc64a21a5498ee4c11ad25f', 'False', 'True', 'false', 'false', '512021112204', 5, '玉泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021112204', 1, '2021-07-19 12:03:54', NULL, NULL), (30978, '', '夹石村', 'd21422fe72294d4894dde99473839caf', '6825cc6bfdc64a21a5498ee4c11ad25f', 'False', 'True', 'false', 'false', '512021112206', 5, '夹石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021112206', 1, '2021-07-19 12:03:54', NULL, NULL), (30979, '', '湾桥村', '486c2aa01e83410fb2bc6d188cd050d1', '6825cc6bfdc64a21a5498ee4c11ad25f', 'False', 'True', 'false', 'false', '512021112208', 5, '湾桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021112208', 1, '2021-07-19 12:03:54', NULL, NULL), (30980, '', '聪明村', 'd36c98f033a34ca38df51ba0b9f4c6d8', '6825cc6bfdc64a21a5498ee4c11ad25f', 'False', 'True', 'false', 'false', '512021112209', 5, '聪明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021112209', 1, '2021-07-19 12:03:54', NULL, NULL), (30981, '', '新桥村', '7bbc15d85cd24ce0a0e48eceddb2ff3f', '6825cc6bfdc64a21a5498ee4c11ad25f', 'False', 'True', 'false', 'false', '512021112213', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021112213', 1, '2021-07-19 12:03:54', NULL, NULL), (30982, '', '天堂村', '88515bbc545e406c8a00dd3110d54d89', '6825cc6bfdc64a21a5498ee4c11ad25f', 'False', 'True', 'false', 'false', '512021112215', 5, '天堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021112215', 1, '2021-07-19 12:03:54', NULL, NULL), (30983, '', '元坝镇', '4fd06eb30e794ecc97cb3ef66d4fd1fc', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021114000', 4, '元坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021114000', 1, '2021-07-19 12:03:54', NULL, NULL), (30984, '', '三元社区', '7071dce0d0cc4465855497de883f76df', '4fd06eb30e794ecc97cb3ef66d4fd1fc', 'False', 'True', 'false', 'false', '512021114001', 5, '三元社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021114001', 1, '2021-07-19 12:03:55', NULL, NULL), (30985, '', '努力社区', 'b8671a2b4cfd41cc97fe4124ef4d5858', '4fd06eb30e794ecc97cb3ef66d4fd1fc', 'False', 'True', 'false', 'false', '512021114002', 5, '努力社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021114002', 1, '2021-07-19 12:03:55', NULL, NULL), (30986, '', '西泉村', '7eceb6563e0a49b1baecce01881c8ea5', '4fd06eb30e794ecc97cb3ef66d4fd1fc', 'False', 'True', 'false', 'false', '512021114201', 5, '西泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021114201', 1, '2021-07-19 12:03:55', NULL, NULL), (30987, '', '双堡村', 'de8c685538104c30aa35a39d0311c34f', '4fd06eb30e794ecc97cb3ef66d4fd1fc', 'False', 'True', 'false', 'false', '512021114203', 5, '双堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021114203', 1, '2021-07-19 12:03:55', NULL, NULL), (30988, '', '桂楼村', 'd8fbf675c5da40b58ad8ac78d9dddbfd', '4fd06eb30e794ecc97cb3ef66d4fd1fc', 'False', 'True', 'false', 'false', '512021114205', 5, '桂楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021114205', 1, '2021-07-19 12:03:55', NULL, NULL), (30989, '', '天王村', '8bab7bc5d1a74f098da8b8ae29d35dd4', '4fd06eb30e794ecc97cb3ef66d4fd1fc', 'False', 'True', 'false', 'false', '512021114206', 5, '天王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021114206', 1, '2021-07-19 12:03:55', NULL, NULL), (30990, '', '佛白村', 'faaa7e47d4fa4cc19ee6938c4a3b651a', '4fd06eb30e794ecc97cb3ef66d4fd1fc', 'False', 'True', 'false', 'false', '512021114209', 5, '佛白村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021114209', 1, '2021-07-19 12:03:55', NULL, NULL), (30991, '', '桃儿村', '2aa7b493d6644f4e812deaae883cadc3', '4fd06eb30e794ecc97cb3ef66d4fd1fc', 'False', 'True', 'false', 'false', '512021114210', 5, '桃儿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021114210', 1, '2021-07-19 12:03:55', NULL, NULL), (30992, '', '狮子村', '71bf68d2310542e0801b3879b0f3ad64', '4fd06eb30e794ecc97cb3ef66d4fd1fc', 'False', 'True', 'false', 'false', '512021114211', 5, '狮子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021114211', 1, '2021-07-19 12:03:55', NULL, NULL), (30993, '', '菜子村', '74d4e5ceb3484721a9b01a6e62d1cd94', '4fd06eb30e794ecc97cb3ef66d4fd1fc', 'False', 'True', 'false', 'false', '512021114212', 5, '菜子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021114212', 1, '2021-07-19 12:03:55', NULL, NULL), (30994, '', '石门村', '2fcb2f4037254f3591152289dda2e435', '4fd06eb30e794ecc97cb3ef66d4fd1fc', 'False', 'True', 'false', 'false', '512021114213', 5, '石门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021114213', 1, '2021-07-19 12:03:55', NULL, NULL), (30995, '', '三县村', 'fd16ab3c972a4b9681dc80feb2f77303', '4fd06eb30e794ecc97cb3ef66d4fd1fc', 'False', 'True', 'false', 'false', '512021114214', 5, '三县村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021114214', 1, '2021-07-19 12:03:55', NULL, NULL), (30996, '', '兴隆镇', '662f0aa22b6e4585a28ff3d2688dbe34', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021115000', 4, '兴隆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021115000', 1, '2021-07-19 12:03:55', NULL, NULL), (30997, '', '大成山社区', '3deed3f1cf7043259c5ea92efa921d5c', '662f0aa22b6e4585a28ff3d2688dbe34', 'False', 'True', 'false', 'false', '512021115001', 5, '大成山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021115001', 1, '2021-07-19 12:03:55', NULL, NULL), (30998, '', '紫阳社区', '723b0dc849944b1996efcc53a81656f3', '662f0aa22b6e4585a28ff3d2688dbe34', 'False', 'True', 'false', 'false', '512021115002', 5, '紫阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021115002', 1, '2021-07-19 12:03:56', NULL, NULL), (30999, '', '大成村', 'f45f53dba3da44c7b039e52045066a67', '662f0aa22b6e4585a28ff3d2688dbe34', 'False', 'True', 'false', 'false', '512021115200', 5, '大成村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021115200', 1, '2021-07-19 12:03:56', NULL, NULL), (31000, '', '小东村', '73d0adc78053441490d3359f9da9c01f', '662f0aa22b6e4585a28ff3d2688dbe34', 'False', 'True', 'false', 'false', '512021115202', 5, '小东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021115202', 1, '2021-07-19 12:03:56', NULL, NULL), (31001, '', '学堂村', 'f0239d8b787e49b78eb40c0c53b312b2', '662f0aa22b6e4585a28ff3d2688dbe34', 'False', 'True', 'false', 'false', '512021115203', 5, '学堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021115203', 1, '2021-07-19 12:03:56', NULL, NULL), (31002, '', '金龙村', 'b48ed56fe274462aa7bec3dbec97306e', '662f0aa22b6e4585a28ff3d2688dbe34', 'False', 'True', 'false', 'false', '512021115206', 5, '金龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021115206', 1, '2021-07-19 12:03:56', NULL, NULL), (31003, '', '七角村', 'f66a5bc0160e477d8674dfaa381d5609', '662f0aa22b6e4585a28ff3d2688dbe34', 'False', 'True', 'false', 'false', '512021115207', 5, '七角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021115207', 1, '2021-07-19 12:03:56', NULL, NULL), (31004, '', '碑顶村', 'e9b1dd23a93942d0a3347718e1b57ff1', '662f0aa22b6e4585a28ff3d2688dbe34', 'False', 'True', 'false', 'false', '512021115208', 5, '碑顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021115208', 1, '2021-07-19 12:03:56', NULL, NULL), (31005, '', '老林村', '9ea8b0903cf6471ebb8a4a856a158911', '662f0aa22b6e4585a28ff3d2688dbe34', 'False', 'True', 'false', 'false', '512021115210', 5, '老林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021115210', 1, '2021-07-19 12:03:56', NULL, NULL), (31006, '', '左坪村', 'd357ba12128e4b669b08e89bcbbf082a', '662f0aa22b6e4585a28ff3d2688dbe34', 'False', 'True', 'false', 'false', '512021115211', 5, '左坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021115211', 1, '2021-07-19 12:03:56', NULL, NULL), (31007, '', '大骥村', '3791a11e241a4dc8a609d07fa8454322', '662f0aa22b6e4585a28ff3d2688dbe34', 'False', 'True', 'false', 'false', '512021115213', 5, '大骥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021115213', 1, '2021-07-19 12:03:56', NULL, NULL), (31008, '', '界桥村', 'ef8899972670431ebcfce68245b48d8a', '662f0aa22b6e4585a28ff3d2688dbe34', 'False', 'True', 'false', 'false', '512021115218', 5, '界桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021115218', 1, '2021-07-19 12:03:56', NULL, NULL), (31009, '', '宝田村', '572024db3b38449e85522b2d41de414f', '662f0aa22b6e4585a28ff3d2688dbe34', 'False', 'True', 'false', 'false', '512021115219', 5, '宝田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021115219', 1, '2021-07-19 12:03:56', NULL, NULL), (31010, '', '三合村', '85acdda4efc54f709008ef8ac38bfdf3', '662f0aa22b6e4585a28ff3d2688dbe34', 'False', 'True', 'false', 'false', '512021115220', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021115220', 1, '2021-07-19 12:03:56', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (31011, '', '碑坡村', 'a55c3b7c035846d182b18fc840317bf1', '662f0aa22b6e4585a28ff3d2688dbe34', 'False', 'True', 'false', 'false', '512021115221', 5, '碑坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021115221', 1, '2021-07-19 12:03:56', NULL, NULL), (31012, '', '湾河村', 'b4c1d12fc4c341ee87404714f33d2e5a', '662f0aa22b6e4585a28ff3d2688dbe34', 'False', 'True', 'false', 'false', '512021115222', 5, '湾河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021115222', 1, '2021-07-19 12:03:57', NULL, NULL), (31013, '', '桥峰村', 'c73aa0ca269a438fbf4fbb142ba6c9b5', '662f0aa22b6e4585a28ff3d2688dbe34', 'False', 'True', 'false', 'false', '512021115223', 5, '桥峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021115223', 1, '2021-07-19 12:03:57', NULL, NULL), (31014, '', '镇子镇', '37dfbfdbdd9b458589a2ef3e1e86c2e1', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021117000', 4, '镇子镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021117000', 1, '2021-07-19 12:03:57', NULL, NULL), (31015, '', '云归社区', 'f261208cb9c6451f9b3fdad61e8099e3', '37dfbfdbdd9b458589a2ef3e1e86c2e1', 'False', 'True', 'false', 'false', '512021117001', 5, '云归社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021117001', 1, '2021-07-19 12:03:57', NULL, NULL), (31016, '', '桂圆社区', '24be146dd68e467d84d625ae2b22f974', '37dfbfdbdd9b458589a2ef3e1e86c2e1', 'False', 'True', 'false', 'false', '512021117002', 5, '桂圆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021117002', 1, '2021-07-19 12:03:57', NULL, NULL), (31017, '', '玉清社区', 'f65b691066714ef6bf2d78de9240c2b3', '37dfbfdbdd9b458589a2ef3e1e86c2e1', 'False', 'True', 'false', 'false', '512021117003', 5, '玉清社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021117003', 1, '2021-07-19 12:03:57', NULL, NULL), (31018, '', '建华社区', '38a0af0789d94b5db22efb244618114f', '37dfbfdbdd9b458589a2ef3e1e86c2e1', 'False', 'True', 'false', 'false', '512021117004', 5, '建华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021117004', 1, '2021-07-19 12:03:57', NULL, NULL), (31019, '', '治水村', '044e1448b04c4c47b5105ac1e9039bac', '37dfbfdbdd9b458589a2ef3e1e86c2e1', 'False', 'True', 'false', 'false', '512021117201', 5, '治水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021117201', 1, '2021-07-19 12:03:57', NULL, NULL), (31020, '', '天台村', '4cbeaa34efd44634ad814883331c023c', '37dfbfdbdd9b458589a2ef3e1e86c2e1', 'False', 'True', 'false', 'false', '512021117204', 5, '天台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021117204', 1, '2021-07-19 12:03:57', NULL, NULL), (31021, '', '金牛村', '395124984d2243809d3ef35d54caa56a', '37dfbfdbdd9b458589a2ef3e1e86c2e1', 'False', 'True', 'false', 'false', '512021117206', 5, '金牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021117206', 1, '2021-07-19 12:03:57', NULL, NULL), (31022, '', '三圣村', '3cc4dc74afc5498da65dc6055fda435c', '37dfbfdbdd9b458589a2ef3e1e86c2e1', 'False', 'True', 'false', 'false', '512021117207', 5, '三圣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021117207', 1, '2021-07-19 12:03:57', NULL, NULL), (31023, '', '集福村', '77b8d3c778b448a983373a7418f6d90b', '37dfbfdbdd9b458589a2ef3e1e86c2e1', 'False', 'True', 'false', 'false', '512021117209', 5, '集福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021117209', 1, '2021-07-19 12:03:57', NULL, NULL), (31024, '', '玉沟村', 'c65cae97ecb24aae87be52797f5f6cb2', '37dfbfdbdd9b458589a2ef3e1e86c2e1', 'False', 'True', 'false', 'false', '512021117213', 5, '玉沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021117213', 1, '2021-07-19 12:03:58', NULL, NULL), (31025, '', '新堰村', 'a439120399064acdb440635989a61a81', '37dfbfdbdd9b458589a2ef3e1e86c2e1', 'False', 'True', 'false', 'false', '512021117215', 5, '新堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021117215', 1, '2021-07-19 12:03:58', NULL, NULL), (31026, '', '狮子坝村', '7bc65aaaf81f41caafbeb525f6167709', '37dfbfdbdd9b458589a2ef3e1e86c2e1', 'False', 'True', 'false', 'false', '512021117216', 5, '狮子坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021117216', 1, '2021-07-19 12:03:58', NULL, NULL), (31027, '', '同福村', '3a9858f1ac004f4b95948a3922bd9b45', '37dfbfdbdd9b458589a2ef3e1e86c2e1', 'False', 'True', 'false', 'false', '512021117219', 5, '同福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021117219', 1, '2021-07-19 12:03:58', NULL, NULL), (31028, '', '宝庆村', 'c0dea8c230334dd4a5e50a516abdec42', '37dfbfdbdd9b458589a2ef3e1e86c2e1', 'False', 'True', 'false', 'false', '512021117220', 5, '宝庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021117220', 1, '2021-07-19 12:03:58', NULL, NULL), (31029, '', '灵胜村', 'b966073d69084023b702a38616a5fd06', '37dfbfdbdd9b458589a2ef3e1e86c2e1', 'False', 'True', 'false', 'false', '512021117221', 5, '灵胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021117221', 1, '2021-07-19 12:03:58', NULL, NULL), (31030, '', '文化镇', 'aee2cf3e602a41229e87f4f53e815a7f', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021118000', 4, '文化镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021118000', 1, '2021-07-19 12:03:58', NULL, NULL), (31031, '', '石佛社区', 'd2ce1038808a4d688b2636c000c5b723', 'aee2cf3e602a41229e87f4f53e815a7f', 'False', 'True', 'false', 'false', '512021118001', 5, '石佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021118001', 1, '2021-07-19 12:03:58', NULL, NULL), (31032, '', '新民社区', '543f9aa55c524b0f98d4e29fda155731', 'aee2cf3e602a41229e87f4f53e815a7f', 'False', 'True', 'false', 'false', '512021118002', 5, '新民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021118002', 1, '2021-07-19 12:03:58', NULL, NULL), (31033, '', '岳源社区', '95047761b966411385711a8974243574', 'aee2cf3e602a41229e87f4f53e815a7f', 'False', 'True', 'false', 'false', '512021118003', 5, '岳源社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021118003', 1, '2021-07-19 12:03:58', NULL, NULL), (31034, '', '白坪村', '043531adf3ec4abc80b97f739dec0f0a', 'aee2cf3e602a41229e87f4f53e815a7f', 'False', 'True', 'false', 'false', '512021118201', 5, '白坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021118201', 1, '2021-07-19 12:03:58', NULL, NULL), (31035, '', '四合村', 'bb2d8605641f43e6846bfa5d81b1ea34', 'aee2cf3e602a41229e87f4f53e815a7f', 'False', 'True', 'false', 'false', '512021118202', 5, '四合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021118202', 1, '2021-07-19 12:03:58', NULL, NULL), (31036, '', '隆恩村', 'd4c265f0d92c4891bcb588bdb90884ae', 'aee2cf3e602a41229e87f4f53e815a7f', 'False', 'True', 'false', 'false', '512021118203', 5, '隆恩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021118203', 1, '2021-07-19 12:03:59', NULL, NULL), (31037, '', '燕桥村', 'bdb2ab9de4cb4a6b9724a2ba555eee7b', 'aee2cf3e602a41229e87f4f53e815a7f', 'False', 'True', 'false', 'false', '512021118204', 5, '燕桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021118204', 1, '2021-07-19 12:03:59', NULL, NULL), (31038, '', '万林村', 'f0a36e205d08498cb73dddec3a0a21fd', 'aee2cf3e602a41229e87f4f53e815a7f', 'False', 'True', 'false', 'false', '512021118206', 5, '万林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021118206', 1, '2021-07-19 12:03:59', NULL, NULL), (31039, '', '金相村', 'ba304c6ca62a41309dec2150f019eefe', 'aee2cf3e602a41229e87f4f53e815a7f', 'False', 'True', 'false', 'false', '512021118209', 5, '金相村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021118209', 1, '2021-07-19 12:03:59', NULL, NULL), (31040, '', '矮桥村', 'c780ca5cd0d7481bbda79b307ab53092', 'aee2cf3e602a41229e87f4f53e815a7f', 'False', 'True', 'false', 'false', '512021118215', 5, '矮桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021118215', 1, '2021-07-19 12:03:59', NULL, NULL), (31041, '', '新回村', '23013918900b41e0807168ef61057af1', 'aee2cf3e602a41229e87f4f53e815a7f', 'False', 'True', 'false', 'false', '512021118216', 5, '新回村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021118216', 1, '2021-07-19 12:03:59', NULL, NULL), (31042, '', '长生桥村', 'cf0c7707e8f34818837637c101bfa4e7', 'aee2cf3e602a41229e87f4f53e815a7f', 'False', 'True', 'false', 'false', '512021118219', 5, '长生桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021118219', 1, '2021-07-19 12:03:59', NULL, NULL), (31043, '', '宝林村', '5da053dc4bb347e6aa7aad59b411e54f', 'aee2cf3e602a41229e87f4f53e815a7f', 'False', 'True', 'false', 'false', '512021118220', 5, '宝林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021118220', 1, '2021-07-19 12:03:59', NULL, NULL), (31044, '', '三眼村', '5bddb0ac59794b889fff208c91ff699a', 'aee2cf3e602a41229e87f4f53e815a7f', 'False', 'True', 'false', 'false', '512021118221', 5, '三眼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021118221', 1, '2021-07-19 12:03:59', NULL, NULL), (31045, '', '双桥村', 'd828577a1e1943b7b344a693a4eacff5', 'aee2cf3e602a41229e87f4f53e815a7f', 'False', 'True', 'false', 'false', '512021118222', 5, '双桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021118222', 1, '2021-07-19 12:03:59', NULL, NULL), (31046, '', '华严镇', 'd18a28d7b611415bb86bd92b205984b1', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021121000', 4, '华严镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021121000', 1, '2021-07-19 12:03:59', NULL, NULL), (31047, '', '安居山社区', 'b54009f989ee4cacae27d9f7281c1f5c', 'd18a28d7b611415bb86bd92b205984b1', 'False', 'True', 'false', 'false', '512021121001', 5, '安居山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021121001', 1, '2021-07-19 12:03:59', NULL, NULL), (31048, '', '龙园村', '3d3aa4c6fdc3443a9dc91e13fe23a80e', 'd18a28d7b611415bb86bd92b205984b1', 'False', 'True', 'false', 'false', '512021121200', 5, '龙园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021121200', 1, '2021-07-19 12:03:59', NULL, NULL), (31049, '', '福田村', '114b8bf9a89c4b40a51a3dcba129c831', 'd18a28d7b611415bb86bd92b205984b1', 'False', 'True', 'false', 'false', '512021121202', 5, '福田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021121202', 1, '2021-07-19 12:03:59', NULL, NULL), (31050, '', '平坝村', '9cd5f1cc860745ee8cc1cfc731fbbd35', 'd18a28d7b611415bb86bd92b205984b1', 'False', 'True', 'false', 'false', '512021121205', 5, '平坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021121205', 1, '2021-07-19 12:03:59', NULL, NULL), (31051, '', '青龙村', '3335740f361247d4975c6a645b784986', 'd18a28d7b611415bb86bd92b205984b1', 'False', 'True', 'false', 'false', '512021121207', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021121207', 1, '2021-07-19 12:04:00', NULL, NULL), (31052, '', '泉水村', 'e86337d7573f4f8e86d6f0ac17c9b259', 'd18a28d7b611415bb86bd92b205984b1', 'False', 'True', 'false', 'false', '512021121210', 5, '泉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021121210', 1, '2021-07-19 12:04:00', NULL, NULL), (31053, '', '颂埝村', '56d3a29870f94f6598beb5eb5ae2cb4a', 'd18a28d7b611415bb86bd92b205984b1', 'False', 'True', 'false', 'false', '512021121211', 5, '颂埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021121211', 1, '2021-07-19 12:04:00', NULL, NULL), (31054, '', '船篷村', '8512c1187621443e848c0eecf2fa22da', 'd18a28d7b611415bb86bd92b205984b1', 'False', 'True', 'false', 'false', '512021121214', 5, '船篷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021121214', 1, '2021-07-19 12:04:00', NULL, NULL), (31055, '', '群力村', '9cc40d77c2d649f1a4af2909a5ba60b0', 'd18a28d7b611415bb86bd92b205984b1', 'False', 'True', 'false', 'false', '512021121216', 5, '群力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021121216', 1, '2021-07-19 12:04:00', NULL, NULL), (31056, '', '卧佛镇', 'c95db5ba0ae84eb495b538011ccef9c2', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021122000', 4, '卧佛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021122000', 1, '2021-07-19 12:04:00', NULL, NULL), (31057, '', '三圣社区', '4020709815894bab88dc5f206f7eebd7', 'c95db5ba0ae84eb495b538011ccef9c2', 'False', 'True', 'false', 'false', '512021122001', 5, '三圣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021122001', 1, '2021-07-19 12:04:00', NULL, NULL), (31058, '', '石鼓社区', 'e864ad238fb44863ab4639aaab88e66f', 'c95db5ba0ae84eb495b538011ccef9c2', 'False', 'True', 'false', 'false', '512021122002', 5, '石鼓社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021122002', 1, '2021-07-19 12:04:00', NULL, NULL), (31059, '', '悦来社区', 'a1c265cd2a2e4c18a68da82d3617ad15', 'c95db5ba0ae84eb495b538011ccef9c2', 'False', 'True', 'false', 'false', '512021122003', 5, '悦来社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021122003', 1, '2021-07-19 12:04:00', NULL, NULL), (31060, '', '关田村', '9d140313417c43b09100fb43e31dab31', 'c95db5ba0ae84eb495b538011ccef9c2', 'False', 'True', 'false', 'false', '512021122201', 5, '关田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021122201', 1, '2021-07-19 12:04:00', NULL, NULL), (31061, '', '吉庆村', '82ed9f051605467a93f07137acac521c', 'c95db5ba0ae84eb495b538011ccef9c2', 'False', 'True', 'false', 'false', '512021122203', 5, '吉庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021122203', 1, '2021-07-19 12:04:00', NULL, NULL), (31062, '', '同乐村', 'f0fbe9510c17487fa42b8631e6fe000d', 'c95db5ba0ae84eb495b538011ccef9c2', 'False', 'True', 'false', 'false', '512021122205', 5, '同乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021122205', 1, '2021-07-19 12:04:00', NULL, NULL), (31063, '', '卧佛村', '12086a16cb3c46d29a2323edd436df40', 'c95db5ba0ae84eb495b538011ccef9c2', 'False', 'True', 'false', 'false', '512021122208', 5, '卧佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021122208', 1, '2021-07-19 12:04:00', NULL, NULL), (31064, '', '吉光村', 'dce83cb286eb4f8d8269d7edcad65786', 'c95db5ba0ae84eb495b538011ccef9c2', 'False', 'True', 'false', 'false', '512021122209', 5, '吉光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021122209', 1, '2021-07-19 12:04:00', NULL, NULL), (31065, '', '芦龙村', 'de9490994ba14f2aa96b63777c7c471c', 'c95db5ba0ae84eb495b538011ccef9c2', 'False', 'True', 'false', 'false', '512021122210', 5, '芦龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021122210', 1, '2021-07-19 12:04:00', NULL, NULL), (31066, '', '飞凤村', '3e687e750f58485dbbe7e1e0cd4e05cb', 'c95db5ba0ae84eb495b538011ccef9c2', 'False', 'True', 'false', 'false', '512021122213', 5, '飞凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021122213', 1, '2021-07-19 12:04:00', NULL, NULL), (31067, '', '马鞍村', '278a079919b14d2697e2b49d14729adf', 'c95db5ba0ae84eb495b538011ccef9c2', 'False', 'True', 'false', 'false', '512021122214', 5, '马鞍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021122214', 1, '2021-07-19 12:04:00', NULL, NULL), (31068, '', '火塔村', '99f27868d07a417b90c8f96d15d0ba29', 'c95db5ba0ae84eb495b538011ccef9c2', 'False', 'True', 'false', 'false', '512021122216', 5, '火塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021122216', 1, '2021-07-19 12:04:00', NULL, NULL), (31069, '', '玉山村', '76fd27043d49412fb92774a402badb10', 'c95db5ba0ae84eb495b538011ccef9c2', 'False', 'True', 'false', 'false', '512021122217', 5, '玉山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021122217', 1, '2021-07-19 12:04:00', NULL, NULL), (31070, '', '木门村', '9c832fdf96534252915132a88eb207aa', 'c95db5ba0ae84eb495b538011ccef9c2', 'False', 'True', 'false', 'false', '512021122218', 5, '木门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021122218', 1, '2021-07-19 12:04:01', NULL, NULL), (31071, '', '青狮村', 'ad3589fa7b314851a2e8d07c89f63a0f', 'c95db5ba0ae84eb495b538011ccef9c2', 'False', 'True', 'false', 'false', '512021122219', 5, '青狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021122219', 1, '2021-07-19 12:04:01', NULL, NULL), (31072, '', '大象村', '59f52da2874348039bb89520fc2e65cd', 'c95db5ba0ae84eb495b538011ccef9c2', 'False', 'True', 'false', 'false', '512021122220', 5, '大象村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021122220', 1, '2021-07-19 12:04:01', NULL, NULL), (31073, '', '金线村', '2cc3593a54ed400e9421c1207bcf98da', 'c95db5ba0ae84eb495b538011ccef9c2', 'False', 'True', 'false', 'false', '512021122221', 5, '金线村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021122221', 1, '2021-07-19 12:04:01', NULL, NULL), (31074, '', '长河源镇', '72e99cccc7944b89b98dc501c08ff8c5', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021123000', 4, '长河源镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021123000', 1, '2021-07-19 12:04:01', NULL, NULL), (31075, '', '建设社区', '89c217bd1ded41a0871edeffe2279763', '72e99cccc7944b89b98dc501c08ff8c5', 'False', 'True', 'false', 'false', '512021123001', 5, '建设社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021123001', 1, '2021-07-19 12:04:01', NULL, NULL), (31076, '', '长团社区', '9ceefd6930b24a2aa996cb970443514c', '72e99cccc7944b89b98dc501c08ff8c5', 'False', 'True', 'false', 'false', '512021123002', 5, '长团社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021123002', 1, '2021-07-19 12:04:01', NULL, NULL), (31077, '', '玉莲村', '57e7b77b1178426790b850d3c0cf06d2', '72e99cccc7944b89b98dc501c08ff8c5', 'False', 'True', 'false', 'false', '512021123200', 5, '玉莲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021123200', 1, '2021-07-19 12:04:01', NULL, NULL), (31078, '', '黑塘村', '17d6047a9a6342b1aaf572d5721c8b5f', '72e99cccc7944b89b98dc501c08ff8c5', 'False', 'True', 'false', 'false', '512021123206', 5, '黑塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021123206', 1, '2021-07-19 12:04:01', NULL, NULL), (31079, '', '水阁村', '7cc73c618099480f8953a4a65df24a6f', '72e99cccc7944b89b98dc501c08ff8c5', 'False', 'True', 'false', 'false', '512021123207', 5, '水阁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021123207', 1, '2021-07-19 12:04:01', NULL, NULL), (31080, '', '保泉村', 'd8b366392510419bb1c1a94845ab2846', '72e99cccc7944b89b98dc501c08ff8c5', 'False', 'True', 'false', 'false', '512021123208', 5, '保泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021123208', 1, '2021-07-19 12:04:01', NULL, NULL), (31081, '', '金堂村', 'c717c477e87b461581f384087c485194', '72e99cccc7944b89b98dc501c08ff8c5', 'False', 'True', 'false', 'false', '512021123213', 5, '金堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021123213', 1, '2021-07-19 12:04:02', NULL, NULL), (31082, '', '青石村', '34cc58040d7a4aeaaf557530642a3596', '72e99cccc7944b89b98dc501c08ff8c5', 'False', 'True', 'false', 'false', '512021123216', 5, '青石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021123216', 1, '2021-07-19 12:04:02', NULL, NULL), (31083, '', '民主村', 'e2ed51fdcaa24e349dd516951ad5a279', '72e99cccc7944b89b98dc501c08ff8c5', 'False', 'True', 'false', 'false', '512021123217', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021123217', 1, '2021-07-19 12:04:02', NULL, NULL), (31084, '', '龙凤村', '07561833a342436b9dcbb70d4441fc61', '72e99cccc7944b89b98dc501c08ff8c5', 'False', 'True', 'false', 'false', '512021123218', 5, '龙凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021123218', 1, '2021-07-19 12:04:02', NULL, NULL), (31085, '', '龙眼村', '9c319048f644485ea804d951763ff686', '72e99cccc7944b89b98dc501c08ff8c5', 'False', 'True', 'false', 'false', '512021123219', 5, '龙眼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021123219', 1, '2021-07-19 12:04:02', NULL, NULL), (31086, '', '桂香村', '70430f449a9c436295c51e93acc55eaf', '72e99cccc7944b89b98dc501c08ff8c5', 'False', 'True', 'false', 'false', '512021123220', 5, '桂香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021123220', 1, '2021-07-19 12:04:02', NULL, NULL), (31087, '', '灯虹村', '8a9bb36ba39c4b4893786b019afbd7d4', '72e99cccc7944b89b98dc501c08ff8c5', 'False', 'True', 'false', 'false', '512021123698', 5, '灯虹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021123698', 1, '2021-07-19 12:04:02', NULL, NULL), (31088, '', '忠义镇', '9fd0399919f045608022e011fa774dc5', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021124000', 4, '忠义镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021124000', 1, '2021-07-19 12:04:02', NULL, NULL), (31089, '', '幸福社区', '6f83e177c2e94fb8b1ee0c6f7d09a065', '9fd0399919f045608022e011fa774dc5', 'False', 'True', 'false', 'false', '512021124001', 5, '幸福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021124001', 1, '2021-07-19 12:04:02', NULL, NULL), (31090, '', '红岩村', '7fbb8acbbc294f6ea1a5f727d40cdf90', '9fd0399919f045608022e011fa774dc5', 'False', 'True', 'false', 'false', '512021124200', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021124200', 1, '2021-07-19 12:04:02', NULL, NULL), (31091, '', '石碑村', '0c96681dd41a4db59c16d06c230ff14a', '9fd0399919f045608022e011fa774dc5', 'False', 'True', 'false', 'false', '512021124201', 5, '石碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021124201', 1, '2021-07-19 12:04:02', NULL, NULL), (31092, '', '黄连村', 'cd8b67cbda06444fbacd165e137edc7c', '9fd0399919f045608022e011fa774dc5', 'False', 'True', 'false', 'false', '512021124202', 5, '黄连村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021124202', 1, '2021-07-19 12:04:02', NULL, NULL), (31093, '', '厅房村', 'c4255b1280474d3f84dd3a33ef2bd20c', '9fd0399919f045608022e011fa774dc5', 'False', 'True', 'false', 'false', '512021124207', 5, '厅房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021124207', 1, '2021-07-19 12:04:02', NULL, NULL), (31094, '', '石桅村', '56023707c7cb448f8649bd04806acd9c', '9fd0399919f045608022e011fa774dc5', 'False', 'True', 'false', 'false', '512021124208', 5, '石桅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021124208', 1, '2021-07-19 12:04:02', NULL, NULL), (31095, '', '伍堡村', '680b1d8984bd4ec7be84e874468619b5', '9fd0399919f045608022e011fa774dc5', 'False', 'True', 'false', 'false', '512021124209', 5, '伍堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021124209', 1, '2021-07-19 12:04:03', NULL, NULL), (31096, '', '纸马村', '0cecbe47abb24ac1a5a555bbf16c2b35', '9fd0399919f045608022e011fa774dc5', 'False', 'True', 'false', 'false', '512021124210', 5, '纸马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021124210', 1, '2021-07-19 12:04:03', NULL, NULL), (31097, '', '大藤村', '67fef0fe544b498dae49cb6b4ec62d9d', '9fd0399919f045608022e011fa774dc5', 'False', 'True', 'false', 'false', '512021124213', 5, '大藤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021124213', 1, '2021-07-19 12:04:03', NULL, NULL), (31098, '', '坛罐村', '44278e3a1a50473ebba07b1dc125a333', '9fd0399919f045608022e011fa774dc5', 'False', 'True', 'false', 'false', '512021124214', 5, '坛罐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021124214', 1, '2021-07-19 12:04:03', NULL, NULL), (31099, '', '护建镇', '79db009c8dd5440698d9242bd8a9791f', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021125000', 4, '护建镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021125000', 1, '2021-07-19 12:04:03', NULL, NULL), (31100, '', '观音社区', '0611c66ae6ab48debc28d73c17037637', '79db009c8dd5440698d9242bd8a9791f', 'False', 'True', 'false', 'false', '512021125001', 5, '观音社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021125001', 1, '2021-07-19 12:04:03', NULL, NULL), (31101, '', '伍仙村', '0283b3b8954d4de88f4b2d52e3307ec6', '79db009c8dd5440698d9242bd8a9791f', 'False', 'True', 'false', 'false', '512021125200', 5, '伍仙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021125200', 1, '2021-07-19 12:04:03', NULL, NULL), (31102, '', '重渡村', '096488a96e5e43d3b8631e6f03c27ba4', '79db009c8dd5440698d9242bd8a9791f', 'False', 'True', 'false', 'false', '512021125202', 5, '重渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021125202', 1, '2021-07-19 12:04:03', NULL, NULL), (31103, '', '长屋村', '105f9628519247c4b1ca5d40c6b80c50', '79db009c8dd5440698d9242bd8a9791f', 'False', 'True', 'false', 'false', '512021125203', 5, '长屋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021125203', 1, '2021-07-19 12:04:03', NULL, NULL), (31104, '', '金轮村', '9a8c73a106d54d3595960ef362fecce8', '79db009c8dd5440698d9242bd8a9791f', 'False', 'True', 'false', 'false', '512021125206', 5, '金轮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021125206', 1, '2021-07-19 12:04:03', NULL, NULL), (31105, '', '大堡村', '8e7dd5b28f664e05bcb9af49eb7d8b7f', '79db009c8dd5440698d9242bd8a9791f', 'False', 'True', 'false', 'false', '512021125207', 5, '大堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021125207', 1, '2021-07-19 12:04:03', NULL, NULL), (31106, '', '双庙村', 'c5b7a80f8a7e43da9ff56061bb8d9a3f', '79db009c8dd5440698d9242bd8a9791f', 'False', 'True', 'false', 'false', '512021125209', 5, '双庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021125209', 1, '2021-07-19 12:04:04', NULL, NULL), (31107, '', '瓦店村', 'd142891a3beb4fb19ebf330280884d8d', '79db009c8dd5440698d9242bd8a9791f', 'False', 'True', 'false', 'false', '512021125210', 5, '瓦店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021125210', 1, '2021-07-19 12:04:04', NULL, NULL), (31108, '', '大力村', '688d7c0391ec424dbc2c07174cccbe49', '79db009c8dd5440698d9242bd8a9791f', 'False', 'True', 'false', 'false', '512021125214', 5, '大力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021125214', 1, '2021-07-19 12:04:04', NULL, NULL), (31109, '', '千门村', 'c8804f0ab89b4e51b79e59b20cbd84db', '79db009c8dd5440698d9242bd8a9791f', 'False', 'True', 'false', 'false', '512021125215', 5, '千门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021125215', 1, '2021-07-19 12:04:04', NULL, NULL), (31110, '', '南薰镇', 'c02611657f6d4abb9d02c7136c588321', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021126000', 4, '南薰镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021126000', 1, '2021-07-19 12:04:04', NULL, NULL), (31111, '', '鼎丰社区', 'abbd8f481def4883817cca2c55a8c805', 'c02611657f6d4abb9d02c7136c588321', 'False', 'True', 'false', 'false', '512021126001', 5, '鼎丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021126001', 1, '2021-07-19 12:04:04', NULL, NULL), (31112, '', '永丰村', 'e826167f77a84cbb842eb75269535af3', 'c02611657f6d4abb9d02c7136c588321', 'False', 'True', 'false', 'false', '512021126128', 5, '永丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021126128', 1, '2021-07-19 12:04:04', NULL, NULL), (31113, '', '凤城村', 'bf1a32cef44e410a8172893abe1a55c6', 'c02611657f6d4abb9d02c7136c588321', 'False', 'True', 'false', 'false', '512021126200', 5, '凤城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021126200', 1, '2021-07-19 12:04:04', NULL, NULL), (31114, '', '开福村', '654b25deb789453bbd1bd7dedf01ad14', 'c02611657f6d4abb9d02c7136c588321', 'False', 'True', 'false', 'false', '512021126201', 5, '开福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021126201', 1, '2021-07-19 12:04:04', NULL, NULL), (31115, '', '报恩村', '9058363c92914020b313e8f3e010c448', 'c02611657f6d4abb9d02c7136c588321', 'False', 'True', 'false', 'false', '512021126203', 5, '报恩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021126203', 1, '2021-07-19 12:04:05', NULL, NULL), (31116, '', '染房村', '990f6fc40c3144f6a3b0e54cf0de49e9', 'c02611657f6d4abb9d02c7136c588321', 'False', 'True', 'false', 'false', '512021126205', 5, '染房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021126205', 1, '2021-07-19 12:04:05', NULL, NULL), (31117, '', '双盐村', 'af0500dccdec48ba984963474334fa98', 'c02611657f6d4abb9d02c7136c588321', 'False', 'True', 'false', 'false', '512021126208', 5, '双盐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021126208', 1, '2021-07-19 12:04:05', NULL, NULL), (31118, '', '太益村', '6946a6cfd3ef4f0393cb4fc5cca931ca', 'c02611657f6d4abb9d02c7136c588321', 'False', 'True', 'false', 'false', '512021126209', 5, '太益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021126209', 1, '2021-07-19 12:04:05', NULL, NULL), (31119, '', '田寨村', '1be61d7e2dd141328d9c3df823e4a36c', 'c02611657f6d4abb9d02c7136c588321', 'False', 'True', 'false', 'false', '512021126211', 5, '田寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021126211', 1, '2021-07-19 12:04:05', NULL, NULL), (31120, '', '红山村', 'd45e7384c37042168dc869d992468a4c', 'c02611657f6d4abb9d02c7136c588321', 'False', 'True', 'false', 'false', '512021126214', 5, '红山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021126214', 1, '2021-07-19 12:04:05', NULL, NULL), (31121, '', '文峰村', '7922f0ddbd1443e8a101f3a443148788', 'c02611657f6d4abb9d02c7136c588321', 'False', 'True', 'false', 'false', '512021126216', 5, '文峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021126216', 1, '2021-07-19 12:04:05', NULL, NULL), (31122, '', '大平镇', 'a81dd7d250b24b498180682004171477', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021133000', 4, '大平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021133000', 1, '2021-07-19 12:04:05', NULL, NULL), (31123, '', '灵圣社区', '3325ae70cbe34318b000f2f472b223ba', 'a81dd7d250b24b498180682004171477', 'False', 'True', 'false', 'false', '512021133001', 5, '灵圣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021133001', 1, '2021-07-19 12:04:05', NULL, NULL), (31124, '', '赵坪社区', 'f55b10d30db243aaaadf15a7b0c5ab01', 'a81dd7d250b24b498180682004171477', 'False', 'True', 'false', 'false', '512021133002', 5, '赵坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021133002', 1, '2021-07-19 12:04:05', NULL, NULL), (31125, '', '九龙社区', '8a6d4f2735144424907d63dbf94752f4', 'a81dd7d250b24b498180682004171477', 'False', 'True', 'false', 'false', '512021133003', 5, '九龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021133003', 1, '2021-07-19 12:04:05', NULL, NULL), (31126, '', '太平村', 'b6b5ef734b59408fbbcd6a1fb2f6938f', 'a81dd7d250b24b498180682004171477', 'False', 'True', 'false', 'false', '512021133200', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021133200', 1, '2021-07-19 12:04:05', NULL, NULL), (31127, '', '平角村', '70eb8500d3354797bf2f729fa25f6642', 'a81dd7d250b24b498180682004171477', 'False', 'True', 'false', 'false', '512021133201', 5, '平角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021133201', 1, '2021-07-19 12:04:05', NULL, NULL), (31128, '', '水桥村', 'bbe50fb180e24ae9a31025a898642fed', 'a81dd7d250b24b498180682004171477', 'False', 'True', 'false', 'false', '512021133202', 5, '水桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021133202', 1, '2021-07-19 12:04:06', NULL, NULL), (31129, '', '玉石村', '7dfb23ff1d864e1e916eb3ebc264909a', 'a81dd7d250b24b498180682004171477', 'False', 'True', 'false', 'false', '512021133203', 5, '玉石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021133203', 1, '2021-07-19 12:04:06', NULL, NULL), (31130, '', '平德村', '113466c8631d43b783f00f719912aa46', 'a81dd7d250b24b498180682004171477', 'False', 'True', 'false', 'false', '512021133204', 5, '平德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021133204', 1, '2021-07-19 12:04:06', NULL, NULL), (31131, '', '太华村', 'bddf5d95ba084a1385c09fa5b0bb6fed', 'a81dd7d250b24b498180682004171477', 'False', 'True', 'false', 'false', '512021133205', 5, '太华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021133205', 1, '2021-07-19 12:04:06', NULL, NULL), (31132, '', '红鹤村', 'e4889767878849dbacb7f0772793b663', 'a81dd7d250b24b498180682004171477', 'False', 'True', 'false', 'false', '512021133206', 5, '红鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021133206', 1, '2021-07-19 12:04:06', NULL, NULL), (31133, '', '夹沙村', 'f1def36ff6fa48e1b69b327b7f128a65', 'a81dd7d250b24b498180682004171477', 'False', 'True', 'false', 'false', '512021133207', 5, '夹沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021133207', 1, '2021-07-19 12:04:06', NULL, NULL), (31134, '', '太安村', '3f9c00daf98a488b92bf0e7e2899a980', 'a81dd7d250b24b498180682004171477', 'False', 'True', 'false', 'false', '512021133208', 5, '太安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021133208', 1, '2021-07-19 12:04:06', NULL, NULL), (31135, '', '极观村', 'f6f6ebe902054445bfcf62c847122788', 'a81dd7d250b24b498180682004171477', 'False', 'True', 'false', 'false', '512021133209', 5, '极观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021133209', 1, '2021-07-19 12:04:06', NULL, NULL), (31136, '', '龙云村', '39956474e3884e0db486142547d8a7b0', 'a81dd7d250b24b498180682004171477', 'False', 'True', 'false', 'false', '512021133210', 5, '龙云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021133210', 1, '2021-07-19 12:04:06', NULL, NULL), (31137, '', '小观村', '5d8f541fefed49ce8a93b910dfc6e012', 'a81dd7d250b24b498180682004171477', 'False', 'True', 'false', 'false', '512021133211', 5, '小观村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021133211', 1, '2021-07-19 12:04:07', NULL, NULL), (31138, '', '天林镇', 'be47b218db3c4098a2d238c1961348ac', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021187000', 4, '天林镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021187000', 1, '2021-07-19 12:04:07', NULL, NULL), (31139, '', '高峰社区', 'f10bde0f293f44ca801e1fe527dd35b7', 'be47b218db3c4098a2d238c1961348ac', 'False', 'True', 'false', 'false', '512021187001', 5, '高峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021187001', 1, '2021-07-19 12:04:07', NULL, NULL), (31140, '', '天宝社区', '0e3e13ad7eb94c0eba9eebcae1ad7c2b', 'be47b218db3c4098a2d238c1961348ac', 'False', 'False', 'false', 'false', '512021187002', 5, '天宝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021187002', 1, '2021-07-19 12:04:07', NULL, NULL), (31141, '', '万平村', '006e4e7db51d43869f0bcfd175b5fdd1', 'be47b218db3c4098a2d238c1961348ac', 'False', 'False', 'false', 'false', '512021187201', 5, '万平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021187201', 1, '2021-07-19 12:04:07', NULL, NULL), (31142, '', '二郎村', '543f38664d17482eafc509722aae3bd7', 'be47b218db3c4098a2d238c1961348ac', 'False', 'False', 'false', 'false', '512021187202', 5, '二郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021187202', 1, '2021-07-19 12:04:07', NULL, NULL), (31143, '', '沙磨村', '47523036f06c485d8df0eae4ed2741a2', 'be47b218db3c4098a2d238c1961348ac', 'False', 'True', 'false', 'false', '512021187203', 5, '沙磨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021187203', 1, '2021-07-19 12:04:07', NULL, NULL), (31144, '', '南棚村', '3eba51a10dbe424599ef332447d8e1a0', 'be47b218db3c4098a2d238c1961348ac', 'False', 'False', 'false', 'false', '512021187205', 5, '南棚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021187205', 1, '2021-07-19 12:04:07', NULL, NULL), (31145, '', '大湾村', '46929832f98f4cf1a9f58118128c9f6a', 'be47b218db3c4098a2d238c1961348ac', 'False', 'True', 'false', 'false', '512021187208', 5, '大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021187208', 1, '2021-07-19 12:04:07', NULL, NULL), (31146, '', '红墙村', '523911dac1cf4a22b482083c1de6ffa8', 'be47b218db3c4098a2d238c1961348ac', 'False', 'False', 'false', 'false', '512021187209', 5, '红墙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021187209', 1, '2021-07-19 12:04:07', NULL, NULL), (31147, '', '兰草村', '5cfc085af7a24e39854e2e1543c477b8', 'be47b218db3c4098a2d238c1961348ac', 'False', 'False', 'false', 'false', '512021187212', 5, '兰草村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021187212', 1, '2021-07-19 12:04:07', NULL, NULL), (31148, '', '君寨村', '5a7a3adfb0474b988fdf76b7930095e7', 'be47b218db3c4098a2d238c1961348ac', 'False', 'False', 'false', 'false', '512021187213', 5, '君寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021187213', 1, '2021-07-19 12:04:07', NULL, NULL), (31149, '', '碑口村', 'e0dfd840d19343998e555c487cb0229d', 'be47b218db3c4098a2d238c1961348ac', 'False', 'False', 'false', 'false', '512021187214', 5, '碑口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021187214', 1, '2021-07-19 12:04:07', NULL, NULL), (31150, '', '白露村', '9d6c51f6eb14430c83fda4f2979dd654', 'be47b218db3c4098a2d238c1961348ac', 'False', 'False', 'false', 'false', '512021187215', 5, '白露村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021187215', 1, '2021-07-19 12:04:07', NULL, NULL), (31151, '', '思贤镇', 'e9b9c6737bf34676a457577a07689576', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021202000', 4, '思贤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021202000', 1, '2021-07-19 12:04:08', NULL, NULL), (31152, '', '思贤社区', '23b38cc65dbf48b28022de9bccb8ea57', 'e9b9c6737bf34676a457577a07689576', 'False', 'True', 'false', 'false', '512021202001', 5, '思贤社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021202001', 1, '2021-07-19 12:04:08', NULL, NULL), (31153, '', '摇钱村', 'e27b32669194430280e631678dc650a1', 'e9b9c6737bf34676a457577a07689576', 'False', 'True', 'false', 'false', '512021202203', 5, '摇钱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021202203', 1, '2021-07-19 12:04:08', NULL, NULL), (31154, '', '金坡村', 'a819417778cc415b8a79e88b9b471b01', 'e9b9c6737bf34676a457577a07689576', 'False', 'True', 'false', 'false', '512021202204', 5, '金坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021202204', 1, '2021-07-19 12:04:08', NULL, NULL), (31155, '', '清泉村', 'ec7ef741990e42feb74ed838c90e37f9', 'e9b9c6737bf34676a457577a07689576', 'False', 'True', 'false', 'false', '512021202205', 5, '清泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021202205', 1, '2021-07-19 12:04:08', NULL, NULL), (31156, '', '关夫村', 'f35163d7cbe44f19b1e6bc52b1150ed8', 'e9b9c6737bf34676a457577a07689576', 'False', 'True', 'false', 'false', '512021202206', 5, '关夫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021202206', 1, '2021-07-19 12:04:08', NULL, NULL), (31157, '', '金沙村', 'bbfb1f33676647df9fc50d2a085b1fcc', 'e9b9c6737bf34676a457577a07689576', 'False', 'True', 'false', 'false', '512021202207', 5, '金沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021202207', 1, '2021-07-19 12:04:08', NULL, NULL), (31158, '', '道台村', '8bb6c4ca03b54cc6999fcdd06c42e51f', 'e9b9c6737bf34676a457577a07689576', 'False', 'True', 'false', 'false', '512021202208', 5, '道台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021202208', 1, '2021-07-19 12:04:08', NULL, NULL), (31159, '', '来凤乡', '0fef6ad0a582482bb48fcb815e413ed0', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021205000', 4, '来凤乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021205000', 1, '2021-07-19 12:04:08', NULL, NULL), (31160, '', '凤凰社区', 'bc993da8c05748b08d59d93d19f418d5', '0fef6ad0a582482bb48fcb815e413ed0', 'False', 'True', 'false', 'false', '512021205001', 5, '凤凰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021205001', 1, '2021-07-19 12:04:09', NULL, NULL), (31161, '', '团建村', 'c68d4998296d499c96b81f482f4b411a', '0fef6ad0a582482bb48fcb815e413ed0', 'False', 'True', 'false', 'false', '512021205201', 5, '团建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021205201', 1, '2021-07-19 12:04:09', NULL, NULL), (31162, '', '黄坪村', 'b41ee81e040841cbbae325a436d02107', '0fef6ad0a582482bb48fcb815e413ed0', 'False', 'True', 'false', 'false', '512021205204', 5, '黄坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021205204', 1, '2021-07-19 12:04:09', NULL, NULL), (31163, '', '东光村', 'f829529cb8cd4b3f92690120e31a8f5e', '0fef6ad0a582482bb48fcb815e413ed0', 'False', 'True', 'false', 'false', '512021205206', 5, '东光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021205206', 1, '2021-07-19 12:04:09', NULL, NULL), (31164, '', '双珠村', 'de789b7bdbeb4736b07fc44e81c0053a', '0fef6ad0a582482bb48fcb815e413ed0', 'False', 'True', 'false', 'false', '512021205207', 5, '双珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021205207', 1, '2021-07-19 12:04:09', NULL, NULL), (31165, '', '马蹄村', '74b613f3473d4bf3b4e743de48ea5d14', '0fef6ad0a582482bb48fcb815e413ed0', 'False', 'True', 'false', 'false', '512021205209', 5, '马蹄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021205209', 1, '2021-07-19 12:04:09', NULL, NULL), (31166, '', '六井村', '343898fa57f042a5baeaaf5f0c19a2f6', '0fef6ad0a582482bb48fcb815e413ed0', 'False', 'True', 'false', 'false', '512021205210', 5, '六井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021205210', 1, '2021-07-19 12:04:09', NULL, NULL), (31167, '', '天马乡', 'ee87c7aa09594ceabcd5806f753e1bdc', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021206000', 4, '天马乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021206000', 1, '2021-07-19 12:04:09', NULL, NULL), (31168, '', '土龙社区', '5584811432504b5dafa032cb79a34a1a', 'ee87c7aa09594ceabcd5806f753e1bdc', 'False', 'False', 'false', 'false', '512021206001', 5, '土龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021206001', 1, '2021-07-19 12:04:09', NULL, NULL), (31169, '', '土桥村', 'fadd4ad02bec4981a84e940caec8faa3', 'ee87c7aa09594ceabcd5806f753e1bdc', 'False', 'False', 'false', 'false', '512021206200', 5, '土桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021206200', 1, '2021-07-19 12:04:09', NULL, NULL), (31170, '', '聚宝村', 'dae2ffbd4ac641b28736084fafed3c87', 'ee87c7aa09594ceabcd5806f753e1bdc', 'False', 'False', 'false', 'false', '512021206201', 5, '聚宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021206201', 1, '2021-07-19 12:04:09', NULL, NULL), (31171, '', '铁盔村', '41f8e816d1d348b686c19f9820b15e8a', 'ee87c7aa09594ceabcd5806f753e1bdc', 'False', 'True', 'false', 'false', '512021206205', 5, '铁盔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021206205', 1, '2021-07-19 12:04:09', NULL, NULL), (31172, '', '贤庄村', 'cd554be8ab7941e0bb375f47601488d3', 'ee87c7aa09594ceabcd5806f753e1bdc', 'False', 'True', 'false', 'false', '512021206206', 5, '贤庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021206206', 1, '2021-07-19 12:04:09', NULL, NULL), (31173, '', '画青村', 'd6084cf934244b6dba363f80b4c295f2', 'ee87c7aa09594ceabcd5806f753e1bdc', 'False', 'True', 'false', 'false', '512021206209', 5, '画青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021206209', 1, '2021-07-19 12:04:10', NULL, NULL), (31174, '', '岳新乡', '521c1edae24f4ab6b1d319086ffb53e5', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021213000', 4, '岳新乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021213000', 1, '2021-07-19 12:04:10', NULL, NULL), (31175, '', '高石社区', '3b7fee3480c34532ad2ad14397dba042', '521c1edae24f4ab6b1d319086ffb53e5', 'False', 'True', 'false', 'false', '512021213001', 5, '高石社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021213001', 1, '2021-07-19 12:04:10', NULL, NULL), (31176, '', '猫山村', 'ebbf84c85b3e451fad7fa6b7810eaffb', '521c1edae24f4ab6b1d319086ffb53e5', 'False', 'True', 'false', 'false', '512021213200', 5, '猫山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021213200', 1, '2021-07-19 12:04:10', NULL, NULL), (31177, '', '桃坎村', '00ed257490764e90aca4e6e1a1803748', '521c1edae24f4ab6b1d319086ffb53e5', 'False', 'True', 'false', 'false', '512021213211', 5, '桃坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021213211', 1, '2021-07-19 12:04:10', NULL, NULL), (31178, '', '龙坪村', '2879cb4f03164ab1894d1694bc906ba9', '521c1edae24f4ab6b1d319086ffb53e5', 'False', 'True', 'false', 'false', '512021213212', 5, '龙坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021213212', 1, '2021-07-19 12:04:10', NULL, NULL), (31179, '', '沙湾村', 'b323eb5dc3e7477ba91a73749c0de13f', '521c1edae24f4ab6b1d319086ffb53e5', 'False', 'True', 'false', 'false', '512021213213', 5, '沙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021213213', 1, '2021-07-19 12:04:10', NULL, NULL), (31180, '', '禅团村', 'ef8aa09f552d43268f7b1d1f13103017', '521c1edae24f4ab6b1d319086ffb53e5', 'False', 'True', 'false', 'false', '512021213214', 5, '禅团村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021213214', 1, '2021-07-19 12:04:10', NULL, NULL), (31181, '', '东胜乡', 'e8ea38799e694261ad70a1b4560a9a31', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021215000', 4, '东胜乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021215000', 1, '2021-07-19 12:04:10', NULL, NULL), (31182, '', '牛王社区', '0c11214020954464937bdf4e2bfb8609', 'e8ea38799e694261ad70a1b4560a9a31', 'False', 'True', 'false', 'false', '512021215001', 5, '牛王社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021215001', 1, '2021-07-19 12:04:10', NULL, NULL), (31183, '', '铁峰村', '94d185dc1a0f43c68a32f1c519e6ca90', 'e8ea38799e694261ad70a1b4560a9a31', 'False', 'True', 'false', 'false', '512021215202', 5, '铁峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021215202', 1, '2021-07-19 12:04:10', NULL, NULL), (31184, '', '大垭村', '0c7a3095fc4a4a3790f59c1f1b7d00ee', 'e8ea38799e694261ad70a1b4560a9a31', 'False', 'True', 'false', 'false', '512021215203', 5, '大垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021215203', 1, '2021-07-19 12:04:10', NULL, NULL), (31185, '', '北斗村', '77ed55919fc44890871050d4d644457d', 'e8ea38799e694261ad70a1b4560a9a31', 'False', 'True', 'false', 'false', '512021215205', 5, '北斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021215205', 1, '2021-07-19 12:04:10', NULL, NULL), (31186, '', '合心村', '7c9c8a98081c4b738a6aaec00d246c0a', 'e8ea38799e694261ad70a1b4560a9a31', 'False', 'True', 'false', 'false', '512021215207', 5, '合心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021215207', 1, '2021-07-19 12:04:11', NULL, NULL), (31187, '', '金竹村', '04248b913db349dcb478fb2e139fa489', 'e8ea38799e694261ad70a1b4560a9a31', 'False', 'True', 'false', 'false', '512021215208', 5, '金竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021215208', 1, '2021-07-19 12:04:11', NULL, NULL), (31188, '', '高升乡', '7a6607c3be7e4f3f9bfc8995ed2606d5', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021218000', 4, '高升乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021218000', 1, '2021-07-19 12:04:11', NULL, NULL), (31189, '', '高桥社区', '6f657772309c415fac854684e58d44a0', '7a6607c3be7e4f3f9bfc8995ed2606d5', 'False', 'False', 'false', 'false', '512021218001', 5, '高桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021218001', 1, '2021-07-19 12:04:11', NULL, NULL), (31190, '', '天佛村', '8ce14a056a0046e5827dede8102373cc', '7a6607c3be7e4f3f9bfc8995ed2606d5', 'False', 'False', 'false', 'false', '512021218201', 5, '天佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021218201', 1, '2021-07-19 12:04:11', NULL, NULL), (31191, '', '玉寨村', '5c9b21edcc36476c83fd3aa5eece0036', '7a6607c3be7e4f3f9bfc8995ed2606d5', 'False', 'True', 'false', 'false', '512021218202', 5, '玉寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021218202', 1, '2021-07-19 12:04:11', NULL, NULL), (31192, '', '沙子村', '8c2ad1385e7444d2985843bd985c51d3', '7a6607c3be7e4f3f9bfc8995ed2606d5', 'False', 'False', 'false', 'false', '512021218204', 5, '沙子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021218204', 1, '2021-07-19 12:04:11', NULL, NULL), (31193, '', '红音村', '3ab9fe9118c247788315abe0ad5f3d35', '7a6607c3be7e4f3f9bfc8995ed2606d5', 'False', 'False', 'false', 'false', '512021218206', 5, '红音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021218206', 1, '2021-07-19 12:04:11', NULL, NULL), (31194, '', '洞库村', '04e9a9906dfc49d0a9cb0614933eca7c', '7a6607c3be7e4f3f9bfc8995ed2606d5', 'False', 'False', 'false', 'false', '512021218208', 5, '洞库村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021218208', 1, '2021-07-19 12:04:11', NULL, NULL), (31195, '', '桐坝村', 'fc6732ed38bd4eddaeb72a7354aa437f', '7a6607c3be7e4f3f9bfc8995ed2606d5', 'False', 'False', 'false', 'false', '512021218209', 5, '桐坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021218209', 1, '2021-07-19 12:04:11', NULL, NULL), (31196, '', '偏牛村', '9d51d412d86140949efc21acffba61d1', '7a6607c3be7e4f3f9bfc8995ed2606d5', 'False', 'False', 'false', 'false', '512021218211', 5, '偏牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021218211', 1, '2021-07-19 12:04:11', NULL, NULL), (31197, '', '长市村', 'fe0056587d954e82bd6f6823f3823272', '7a6607c3be7e4f3f9bfc8995ed2606d5', 'False', 'False', 'false', 'false', '512021218215', 5, '长市村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021218215', 1, '2021-07-19 12:04:11', NULL, NULL), (31198, '', '横庙乡', '2c655ad3d79b471d871f0453e82fe538', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021219000', 4, '横庙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021219000', 1, '2021-07-19 12:04:11', NULL, NULL), (31199, '', '五柏社区', 'f3a918fcbcc244a1897e039401ab2375', '2c655ad3d79b471d871f0453e82fe538', 'False', 'True', 'false', 'false', '512021219001', 5, '五柏社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021219001', 1, '2021-07-19 12:04:11', NULL, NULL), (31200, '', '淘井村', '57f2bd9d51ca4dba942348a6b9575800', '2c655ad3d79b471d871f0453e82fe538', 'False', 'True', 'false', 'false', '512021219202', 5, '淘井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021219202', 1, '2021-07-19 12:04:11', NULL, NULL), (31201, '', '芭蕉村', 'de2e6936c3504bb08c55d0123316534f', '2c655ad3d79b471d871f0453e82fe538', 'False', 'True', 'false', 'false', '512021219203', 5, '芭蕉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021219203', 1, '2021-07-19 12:04:12', NULL, NULL), (31202, '', '高印村', 'f2ba5bbfbfee48fa9b1565a3181c92c1', '2c655ad3d79b471d871f0453e82fe538', 'False', 'True', 'false', 'false', '512021219206', 5, '高印村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021219206', 1, '2021-07-19 12:04:12', NULL, NULL), (31203, '', '安大村', '4dea746f8fae4728a0dc4eb0bfaa4c9c', '2c655ad3d79b471d871f0453e82fe538', 'False', 'True', 'false', 'false', '512021219208', 5, '安大村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021219208', 1, '2021-07-19 12:04:12', NULL, NULL), (31204, '', '丰岩村', '6b9f8e52b68649de9bf3a8b4cb3a78f5', '2c655ad3d79b471d871f0453e82fe538', 'False', 'True', 'false', 'false', '512021219209', 5, '丰岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021219209', 1, '2021-07-19 12:04:12', NULL, NULL), (31205, '', '观音村', '700a264840a7435b937e3cad4e22de90', '2c655ad3d79b471d871f0453e82fe538', 'False', 'True', 'false', 'false', '512021219212', 5, '观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021219212', 1, '2021-07-19 12:04:12', NULL, NULL), (31206, '', '白塔寺乡', 'bcaa3f88125e4b4aa4ae3ce8571a580f', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021221000', 4, '白塔寺乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021221000', 1, '2021-07-19 12:04:12', NULL, NULL), (31207, '', '天灯社区', '0d62e8e5b3024c4cbb719f456046adfd', 'bcaa3f88125e4b4aa4ae3ce8571a580f', 'False', 'True', 'false', 'false', '512021221001', 5, '天灯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021221001', 1, '2021-07-19 12:04:12', NULL, NULL), (31208, '', '白塔村', 'fb2ca4659b5a4a88a21d4493c25a9f8b', 'bcaa3f88125e4b4aa4ae3ce8571a580f', 'False', 'True', 'false', 'false', '512021221200', 5, '白塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021221200', 1, '2021-07-19 12:04:12', NULL, NULL), (31209, '', '三百村', 'ec93d98b17754e4f8b035d94b2b01be3', 'bcaa3f88125e4b4aa4ae3ce8571a580f', 'False', 'True', 'false', 'false', '512021221201', 5, '三百村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021221201', 1, '2021-07-19 12:04:12', NULL, NULL), (31210, '', '铜鼓村', 'cb467c6fb0ae41b8928c2c8a4df01c5c', 'bcaa3f88125e4b4aa4ae3ce8571a580f', 'False', 'True', 'false', 'false', '512021221203', 5, '铜鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021221203', 1, '2021-07-19 12:04:12', NULL, NULL), (31211, '', '凉伞村', '8294476d34ba470789f91a3883872b87', 'bcaa3f88125e4b4aa4ae3ce8571a580f', 'False', 'True', 'false', 'false', '512021221204', 5, '凉伞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021221204', 1, '2021-07-19 12:04:12', NULL, NULL), (31212, '', '增花村', '1449bda7611a4afa85542ae2e495eeea', 'bcaa3f88125e4b4aa4ae3ce8571a580f', 'False', 'True', 'false', 'false', '512021221207', 5, '增花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021221207', 1, '2021-07-19 12:04:12', NULL, NULL), (31213, '', '互助村', '565962373fbb4b44aa0b9e3722908763', 'bcaa3f88125e4b4aa4ae3ce8571a580f', 'False', 'True', 'false', 'false', '512021221210', 5, '互助村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021221210', 1, '2021-07-19 12:04:12', NULL, NULL), (31214, '', '五福村', '1d2044ad89df4fbca04ab97f0f0ad30c', 'bcaa3f88125e4b4aa4ae3ce8571a580f', 'False', 'True', 'false', 'false', '512021221211', 5, '五福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021221211', 1, '2021-07-19 12:04:12', NULL, NULL), (31215, '', '楠木村', '2d7e3ab20f67406e80a2186d04526a39', 'bcaa3f88125e4b4aa4ae3ce8571a580f', 'False', 'True', 'false', 'false', '512021221213', 5, '楠木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021221213', 1, '2021-07-19 12:04:12', NULL, NULL), (31216, '', '双龙街乡', '4e440d17f1314f4aba00bce0ec85a68d', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021222000', 4, '双龙街乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021222000', 1, '2021-07-19 12:04:12', NULL, NULL), (31217, '', '孔雀村社区', 'e08daff208e143cea16a3bfbfc3ebea2', '4e440d17f1314f4aba00bce0ec85a68d', 'False', 'True', 'false', 'false', '512021222001', 5, '孔雀村社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021222001', 1, '2021-07-19 12:04:12', NULL, NULL), (31218, '', '孔雀村', 'dcbdbab250a0491bbd63047d0937a9d0', '4e440d17f1314f4aba00bce0ec85a68d', 'False', 'True', 'false', 'false', '512021222200', 5, '孔雀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021222200', 1, '2021-07-19 12:04:13', NULL, NULL), (31219, '', '起凤村', 'b4ec81c48f1740bdb83c906213e9abd9', '4e440d17f1314f4aba00bce0ec85a68d', 'False', 'True', 'false', 'false', '512021222205', 5, '起凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021222205', 1, '2021-07-19 12:04:13', NULL, NULL), (31220, '', '东岳村', 'd571811afd9f4d9e938e28e37d469fe5', '4e440d17f1314f4aba00bce0ec85a68d', 'False', 'True', 'false', 'false', '512021222206', 5, '东岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021222206', 1, '2021-07-19 12:04:13', NULL, NULL), (31221, '', '五峰村', '8f47c4eae6ac458bbce7a4ad49e0ef42', '4e440d17f1314f4aba00bce0ec85a68d', 'False', 'True', 'false', 'false', '512021222207', 5, '五峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021222207', 1, '2021-07-19 12:04:13', NULL, NULL), (31222, '', '南门村', '6072158300d04b19908dc56e71c00072', '4e440d17f1314f4aba00bce0ec85a68d', 'False', 'True', 'false', 'false', '512021222208', 5, '南门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021222208', 1, '2021-07-19 12:04:13', NULL, NULL), (31223, '', '锣鼓村', '866f8d5524d84b56a43fad1a7938d3ab', '4e440d17f1314f4aba00bce0ec85a68d', 'False', 'True', 'false', 'false', '512021222209', 5, '锣鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021222209', 1, '2021-07-19 12:04:13', NULL, NULL), (31224, '', '清流镇', 'a62a44ec22f64bf5b01e99d328e0b2cd', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021230000', 4, '清流镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021230000', 1, '2021-07-19 12:04:13', NULL, NULL), (31225, '', '翰林社区', '87cf4717025b4a3bbe0d8d93bc95adad', 'a62a44ec22f64bf5b01e99d328e0b2cd', 'False', 'True', 'false', 'false', '512021230001', 5, '翰林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021230001', 1, '2021-07-19 12:04:13', NULL, NULL), (31226, '', '红堰村', '205bee6792fb4851aa4b001503fb97a4', 'a62a44ec22f64bf5b01e99d328e0b2cd', 'False', 'True', 'false', 'false', '512021230201', 5, '红堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021230201', 1, '2021-07-19 12:04:13', NULL, NULL), (31227, '', '长新村', '6bffc525198644208ba04fc2fdc939cf', 'a62a44ec22f64bf5b01e99d328e0b2cd', 'False', 'True', 'false', 'false', '512021230202', 5, '长新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021230202', 1, '2021-07-19 12:04:13', NULL, NULL), (31228, '', '桐子村', 'f139237ac022429482d123f94be518e3', 'a62a44ec22f64bf5b01e99d328e0b2cd', 'False', 'True', 'false', 'false', '512021230203', 5, '桐子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021230203', 1, '2021-07-19 12:04:13', NULL, NULL), (31229, '', '六桥村', '0e7fb64d0b9f490ea38bd43b4ef084d9', 'a62a44ec22f64bf5b01e99d328e0b2cd', 'False', 'True', 'false', 'false', '512021230205', 5, '六桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021230205', 1, '2021-07-19 12:04:13', NULL, NULL), (31230, '', '鸭石村', '8fa69564842345879902667b5f5bda53', 'a62a44ec22f64bf5b01e99d328e0b2cd', 'False', 'True', 'false', 'false', '512021230206', 5, '鸭石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021230206', 1, '2021-07-19 12:04:14', NULL, NULL), (31231, '', '线沟村', 'f01de7bdcbe744a7bf3603c2da73d20d', 'a62a44ec22f64bf5b01e99d328e0b2cd', 'False', 'True', 'false', 'false', '512021230207', 5, '线沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021230207', 1, '2021-07-19 12:04:14', NULL, NULL), (31232, '', '千佛乡', '40c2103782d240809a16baf633295683', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021240000', 4, '千佛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021240000', 1, '2021-07-19 12:04:14', NULL, NULL), (31233, '', '龙铁社区', '0e15801f8b5d49ac91dc89c431d287e9', '40c2103782d240809a16baf633295683', 'False', 'True', 'false', 'false', '512021240201', 5, '龙铁社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021240201', 1, '2021-07-19 12:04:14', NULL, NULL), (31234, '', '桥亭村', '8560e22a60084a5a9e0e8dcddb90d4be', '40c2103782d240809a16baf633295683', 'False', 'True', 'false', 'false', '512021240203', 5, '桥亭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021240203', 1, '2021-07-19 12:04:14', NULL, NULL), (31235, '', '枣子村', '85fef6ed51674cfcbbdc045fd681d9ec', '40c2103782d240809a16baf633295683', 'False', 'True', 'false', 'false', '512021240205', 5, '枣子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021240205', 1, '2021-07-19 12:04:14', NULL, NULL), (31236, '', '洪庙村', 'b9109fa4b2e246e5bd6129cd03619e35', '40c2103782d240809a16baf633295683', 'False', 'True', 'false', 'false', '512021240206', 5, '洪庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021240206', 1, '2021-07-19 12:04:14', NULL, NULL), (31237, '', '文章村', '1ea591b426ba4caf99b8e95647632b41', '40c2103782d240809a16baf633295683', 'False', 'True', 'false', 'false', '512021240207', 5, '文章村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021240207', 1, '2021-07-19 12:04:14', NULL, NULL), (31238, '', '瓦屋村', '457bae69304a4cec865facb5e069acc3', '40c2103782d240809a16baf633295683', 'False', 'True', 'false', 'false', '512021240209', 5, '瓦屋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021240209', 1, '2021-07-19 12:04:14', NULL, NULL), (31239, '', '上游村', '3028a29270c34379add99a71f29dd6c1', '40c2103782d240809a16baf633295683', 'False', 'True', 'false', 'false', '512021240211', 5, '上游村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021240211', 1, '2021-07-19 12:04:14', NULL, NULL), (31240, '', '庙坡村', '26529b8c7f0f4139b6d6af51a3abf740', '40c2103782d240809a16baf633295683', 'False', 'True', 'false', 'false', '512021240212', 5, '庙坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021240212', 1, '2021-07-19 12:04:14', NULL, NULL), (31241, '', '杨里村', 'db745cec79ae4519ac47e0e2f520e4a2', '40c2103782d240809a16baf633295683', 'False', 'True', 'false', 'false', '512021240213', 5, '杨里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021240213', 1, '2021-07-19 12:04:14', NULL, NULL), (31242, '', '水果村', '01f8e3f262e449599ff7c9df2d9fea4d', '40c2103782d240809a16baf633295683', 'False', 'True', 'false', 'false', '512021240214', 5, '水果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021240214', 1, '2021-07-19 12:04:14', NULL, NULL), (31243, '', '拱桥乡', '4db8ec6a371f48cc9ea8827783dbedb1', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021241000', 4, '拱桥乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021241000', 1, '2021-07-19 12:04:14', NULL, NULL), (31244, '', '槐佛社区', '58806afc01314e3f937904564a04b906', '4db8ec6a371f48cc9ea8827783dbedb1', 'False', 'True', 'false', 'false', '512021241001', 5, '槐佛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021241001', 1, '2021-07-19 12:04:15', NULL, NULL), (31245, '', '五台村', '71c815515f46454f84cd20617e297f4d', '4db8ec6a371f48cc9ea8827783dbedb1', 'False', 'True', 'false', 'false', '512021241201', 5, '五台村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021241201', 1, '2021-07-19 12:04:15', NULL, NULL), (31246, '', '高庙村', 'e0c46cfe9cb34898adc7fdf8f4817f0c', '4db8ec6a371f48cc9ea8827783dbedb1', 'False', 'True', 'false', 'false', '512021241203', 5, '高庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021241203', 1, '2021-07-19 12:04:15', NULL, NULL), (31247, '', '东安村', '129dfe1a0b0c4b03a86101c9dca000b5', '4db8ec6a371f48cc9ea8827783dbedb1', 'False', 'True', 'false', 'false', '512021241205', 5, '东安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021241205', 1, '2021-07-19 12:04:15', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (31248, '', '化龙村', '72a34e371cbd4ebbb6091d9c99ef71c7', '4db8ec6a371f48cc9ea8827783dbedb1', 'False', 'True', 'false', 'false', '512021241207', 5, '化龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021241207', 1, '2021-07-19 12:04:15', NULL, NULL), (31249, '', '孟良村', '4a7e683e35f34d669b9efab45443b583', '4db8ec6a371f48cc9ea8827783dbedb1', 'False', 'True', 'false', 'false', '512021241209', 5, '孟良村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021241209', 1, '2021-07-19 12:04:15', NULL, NULL), (31250, '', '鸳大镇', '8b1133bd25b54203a6f2ed7864f1c71c', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021402000', 4, '鸳大镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021402000', 1, '2021-07-19 12:04:15', NULL, NULL), (31251, '', '红星社区', '5bbac470008c40a69addb1c3f62c0305', '8b1133bd25b54203a6f2ed7864f1c71c', 'False', 'True', 'false', 'false', '512021101001', 5, '红星社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021101001', 1, '2021-07-19 12:04:15', NULL, NULL), (31252, '', '鸳鸯村', 'df79827480e0456a890c416c60eb2235', '8b1133bd25b54203a6f2ed7864f1c71c', 'False', 'True', 'false', 'false', '512021101200', 5, '鸳鸯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021101200', 1, '2021-07-19 12:04:15', NULL, NULL), (31253, '', '易红村', 'ecf2d81774104ad6852ff33ff12b5984', '8b1133bd25b54203a6f2ed7864f1c71c', 'False', 'True', 'false', 'false', '512021101201', 5, '易红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021101201', 1, '2021-07-19 12:04:15', NULL, NULL), (31254, '', '归阳村', '1606c2b1be664ac8adcf45ffdd889755', '8b1133bd25b54203a6f2ed7864f1c71c', 'False', 'True', 'false', 'false', '512021101205', 5, '归阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021101205', 1, '2021-07-19 12:04:15', NULL, NULL), (31255, '', '五凤村', '21fab083106047dbb96c814281c020c1', '8b1133bd25b54203a6f2ed7864f1c71c', 'False', 'True', 'false', 'false', '512021101206', 5, '五凤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021101206', 1, '2021-07-19 12:04:15', NULL, NULL), (31256, '', '高滩村', 'a71c5621381f4e7d859cea083792a462', '8b1133bd25b54203a6f2ed7864f1c71c', 'False', 'True', 'false', 'false', '512021101208', 5, '高滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021101208', 1, '2021-07-19 12:04:15', NULL, NULL), (31257, '', '大佛村', 'b8607379011c4d0dbe18e630c8f9cc14', '8b1133bd25b54203a6f2ed7864f1c71c', 'False', 'True', 'false', 'false', '512021101210', 5, '大佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021101210', 1, '2021-07-19 12:04:15', NULL, NULL), (31258, '', '凤仪村', '1ff81b1a67504e488ade254ec57c2f3e', '8b1133bd25b54203a6f2ed7864f1c71c', 'False', 'True', 'false', 'false', '512021101212', 5, '凤仪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021101212', 1, '2021-07-19 12:04:15', NULL, NULL), (31259, '', '舒桥村', '8b62e80f8d0d4a81acaae2a800ec06d7', '8b1133bd25b54203a6f2ed7864f1c71c', 'False', 'True', 'false', 'false', '512021101213', 5, '舒桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021101213', 1, '2021-07-19 12:04:16', NULL, NULL), (31260, '', '长寿村', '815fc0d3eb9d4edbb3cd74f454db2847', '8b1133bd25b54203a6f2ed7864f1c71c', 'False', 'True', 'false', 'false', '512021101215', 5, '长寿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021101215', 1, '2021-07-19 12:04:16', NULL, NULL), (31261, '', '云峰乡', 'ea514f8b4f1549299ba7eae562d67a89', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021449000', 4, '云峰乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021449000', 1, '2021-07-19 12:04:16', NULL, NULL), (31262, '', '活桥社区', 'c0d3e7327c8d48c9b7cce34985d9d45a', 'ea514f8b4f1549299ba7eae562d67a89', 'False', 'True', 'false', 'false', '512021212001', 5, '活桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021212001', 1, '2021-07-19 12:04:16', NULL, NULL), (31263, '', '马梨村', '51ede7bddc3847879980e4f6f0bd5c3f', 'ea514f8b4f1549299ba7eae562d67a89', 'False', 'True', 'false', 'false', '512021212200', 5, '马梨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021212200', 1, '2021-07-19 12:04:16', NULL, NULL), (31264, '', '水车村', 'a87c40af5f234267b2ce284a02c85f68', 'ea514f8b4f1549299ba7eae562d67a89', 'False', 'True', 'false', 'false', '512021212202', 5, '水车村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021212202', 1, '2021-07-19 12:04:16', NULL, NULL), (31265, '', '石花山村', '4e0390fd009f4ccfaad561532ca63468', 'ea514f8b4f1549299ba7eae562d67a89', 'False', 'True', 'false', 'false', '512021212205', 5, '石花山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021212205', 1, '2021-07-19 12:04:16', NULL, NULL), (31266, '', '凡林村', '9ae76f97a92744cd93979d4e4a0e2119', 'ea514f8b4f1549299ba7eae562d67a89', 'False', 'True', 'false', 'false', '512021212208', 5, '凡林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021212208', 1, '2021-07-19 12:04:16', NULL, NULL), (31267, '', '江水村', '0970ebad2b0a49a9bf4eabd075002c9e', 'ea514f8b4f1549299ba7eae562d67a89', 'False', 'True', 'false', 'false', '512021212209', 5, '江水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021212209', 1, '2021-07-19 12:04:16', NULL, NULL), (31268, '', '永顺镇', '1a0746db092d4ba594fff541c4e997e0', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021504000', 4, '永顺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021504000', 1, '2021-07-19 12:04:16', NULL, NULL), (31269, '', '兴顺社区', 'd5c6c976dca34318b2b16eb56c84c6d5', '1a0746db092d4ba594fff541c4e997e0', 'False', 'True', 'false', 'false', '512021504001', 5, '兴顺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021504001', 1, '2021-07-19 12:04:16', NULL, NULL), (31270, '', '玉康村', 'c29d9f99a152412caebcca0a21472ae5', '1a0746db092d4ba594fff541c4e997e0', 'False', 'True', 'false', 'false', '512021504200', 5, '玉康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021504200', 1, '2021-07-19 12:04:17', NULL, NULL), (31271, '', '唐寨村', '4baf2eec1ab3464a89b38c89ed7002e2', '1a0746db092d4ba594fff541c4e997e0', 'False', 'True', 'false', 'false', '512021504201', 5, '唐寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021504201', 1, '2021-07-19 12:04:17', NULL, NULL), (31272, '', '大千村', 'ec7f77f988114ed0a72f9fc08366f069', '1a0746db092d4ba594fff541c4e997e0', 'False', 'True', 'false', 'false', '512021504203', 5, '大千村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021504203', 1, '2021-07-19 12:04:17', NULL, NULL), (31273, '', '断桥村', '736e23adc0414fe6895c4fd9eee389d8', '1a0746db092d4ba594fff541c4e997e0', 'False', 'True', 'false', 'false', '512021504204', 5, '断桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021504204', 1, '2021-07-19 12:04:17', NULL, NULL), (31274, '', '民安村', 'ca9257ad93f342e1a53ae30701f1ef4a', '1a0746db092d4ba594fff541c4e997e0', 'False', 'True', 'false', 'false', '512021504206', 5, '民安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021504206', 1, '2021-07-19 12:04:17', NULL, NULL), (31275, '', '太阳村', 'ac101cbe872b4ff585f510c3c14a5443', '1a0746db092d4ba594fff541c4e997e0', 'False', 'True', 'false', 'false', '512021504207', 5, '太阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021504207', 1, '2021-07-19 12:04:17', NULL, NULL), (31276, '', '太和村', 'b63d4b2313c2497b9bb27d2df1a6162c', '1a0746db092d4ba594fff541c4e997e0', 'False', 'True', 'false', 'false', '512021504211', 5, '太和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021504211', 1, '2021-07-19 12:04:17', NULL, NULL), (31277, '', '敖桥村', '341af46dbbd347f0aa54ae235d14727b', '1a0746db092d4ba594fff541c4e997e0', 'False', 'True', 'false', 'false', '512021504213', 5, '敖桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021504213', 1, '2021-07-19 12:04:17', NULL, NULL), (31278, '', '凉井村', '1da16f99040645b484d1741502f51bf0', '1a0746db092d4ba594fff541c4e997e0', 'False', 'True', 'false', 'false', '512021504214', 5, '凉井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021504214', 1, '2021-07-19 12:04:17', NULL, NULL), (31279, '', '双龙村', '058a0afdfb2944068c4361b356322186', '1a0746db092d4ba594fff541c4e997e0', 'False', 'True', 'false', 'false', '512021504215', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021504215', 1, '2021-07-19 12:04:17', NULL, NULL), (31280, '', '油坝村', '16a3bd972ebc423aa1cbcfae4112cd9b', '1a0746db092d4ba594fff541c4e997e0', 'False', 'True', 'false', 'false', '512021504216', 5, '油坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021504216', 1, '2021-07-19 12:04:17', NULL, NULL), (31281, '', '常乐村', '56d081f2ae3041e1ab5cb82d0a68466c', '1a0746db092d4ba594fff541c4e997e0', 'False', 'True', 'false', 'false', '512021504217', 5, '常乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021504217', 1, '2021-07-19 12:04:17', NULL, NULL), (31282, '', '李家镇', 'c41571f97af44c8dab7c353e0a71b7bc', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021512000', 4, '李家镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021512000', 1, '2021-07-19 12:04:17', NULL, NULL), (31283, '', '团结社区', 'a71c464af26f46678655e265b1714e29', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512001', 5, '团结社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512001', 1, '2021-07-19 12:04:18', NULL, NULL), (31284, '', '汪家坝社区', '8e23fef055b24c17a55d924a0f4817cc', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512002', 5, '汪家坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512002', 1, '2021-07-19 12:04:18', NULL, NULL), (31285, '', '高屋社区', 'd46afebd8231409ea6ae56b3143f0d79', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512003', 5, '高屋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512003', 1, '2021-07-19 12:04:18', NULL, NULL), (31286, '', '和平社区', '5ba6784196a24687b3a516b358fae374', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512004', 5, '和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512004', 1, '2021-07-19 12:04:18', NULL, NULL), (31287, '', '东风社区', '884f57dd958842a390bbb52f3d5fc132', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512005', 5, '东风社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512005', 1, '2021-07-19 12:04:18', NULL, NULL), (31288, '', '先锋社区', 'cae0480ead354d73b3bfb4c66cb8b7fb', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512006', 5, '先锋社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512006', 1, '2021-07-19 12:04:18', NULL, NULL), (31289, '', '倒流村', 'e8ff6706a0864aee9482165c7f3ee9cc', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512200', 5, '倒流村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512200', 1, '2021-07-19 12:04:18', NULL, NULL), (31290, '', '中沟村', '32a3d60737de4ed48736d5ce17b83d3d', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512205', 5, '中沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512205', 1, '2021-07-19 12:04:18', NULL, NULL), (31291, '', '双石村', '9abcd635832f4218a969f23d644907f1', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512209', 5, '双石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512209', 1, '2021-07-19 12:04:18', NULL, NULL), (31292, '', '磨滩村', 'c8eecf7a4a20483798c15e9c124102b7', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512210', 5, '磨滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512210', 1, '2021-07-19 12:04:18', NULL, NULL), (31293, '', '古佛村', '9184d97dd31e4b8f85872b44d4a025cb', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512212', 5, '古佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512212', 1, '2021-07-19 12:04:18', NULL, NULL), (31294, '', '龙石村', '49de59ea338942cbad23cd68b88fadd3', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512215', 5, '龙石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512215', 1, '2021-07-19 12:04:18', NULL, NULL), (31295, '', '观岩村', '1bff7b90ebc34bb1a3e1d9041a35d069', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512217', 5, '观岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512217', 1, '2021-07-19 12:04:18', NULL, NULL), (31296, '', '公坪村', '00b861c031624da6a04f6c9948dbc93b', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512218', 5, '公坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512218', 1, '2021-07-19 12:04:19', NULL, NULL), (31297, '', '正方村', '8f4d5aba421342a09b1e53bf952c56ab', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512219', 5, '正方村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512219', 1, '2021-07-19 12:04:19', NULL, NULL), (31298, '', '驾马村', 'f68d9f5eade14a3a83f93585d52aa7eb', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512220', 5, '驾马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512220', 1, '2021-07-19 12:04:19', NULL, NULL), (31299, '', '大屋村', '3a131e675e134b50aa96540e4441ce20', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512221', 5, '大屋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512221', 1, '2021-07-19 12:04:19', NULL, NULL), (31300, '', '苏家桥村', 'c45b6b80434f4436b0065adbed46b072', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512222', 5, '苏家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512222', 1, '2021-07-19 12:04:19', NULL, NULL), (31301, '', '龙王村', 'df997fe9643247388374152e79358353', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512223', 5, '龙王村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512223', 1, '2021-07-19 12:04:19', NULL, NULL), (31302, '', '儒堂村', 'c801fb3775004123aa0e793c39d54135', 'c41571f97af44c8dab7c353e0a71b7bc', 'False', 'True', 'false', 'false', '512021512224', 5, '儒堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021512224', 1, '2021-07-19 12:04:19', NULL, NULL), (31303, '', '周礼镇', '0b5586afe4454c249fbb771ca55ee78f', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021522000', 4, '周礼镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021522000', 1, '2021-07-19 12:04:19', NULL, NULL), (31304, '', '濛溪社区', '1ab81ce732a840258a7e3c9b20da910e', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522001', 5, '濛溪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522001', 1, '2021-07-19 12:04:19', NULL, NULL), (31305, '', '薯都社区', '62302e1f5ccd4049a4fc631d429e0651', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522002', 5, '薯都社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522002', 1, '2021-07-19 12:04:19', NULL, NULL), (31306, '', '宝华社区', 'ceee90c99c1e46d59ab49ee53addaffd', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522003', 5, '宝华社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522003', 1, '2021-07-19 12:04:19', NULL, NULL), (31307, '', '龙桥社区', 'ab4faaab78a74445a51b0c7162dc0316', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522004', 5, '龙桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522004', 1, '2021-07-19 12:04:19', NULL, NULL), (31308, '', '柳塘村', 'd3a0e0b0804d47d6a59db31d42ae2556', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522200', 5, '柳塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522200', 1, '2021-07-19 12:04:19', NULL, NULL), (31309, '', '海棠村', 'ce667c6e8cde482ba2ed1bb12e9f491b', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522202', 5, '海棠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522202', 1, '2021-07-19 12:04:19', NULL, NULL), (31310, '', '玉顶村', '4347759778a94f8d90630807a4059cc7', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522203', 5, '玉顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522203', 1, '2021-07-19 12:04:19', NULL, NULL), (31311, '', '大井村', '64a36913103c4812afedd9cd9efde62f', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522204', 5, '大井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522204', 1, '2021-07-19 12:04:20', NULL, NULL), (31312, '', '桂湖村', 'acabba29966d4ca8ad46d4a66701fefe', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522205', 5, '桂湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522205', 1, '2021-07-19 12:04:20', NULL, NULL), (31313, '', '五君村', 'bb77b0d86b694a22a3efb047aa690534', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522207', 5, '五君村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522207', 1, '2021-07-19 12:04:20', NULL, NULL), (31314, '', '斑竹村', '20c99fb0b031487b95a771f3bdfbcecb', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522210', 5, '斑竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522210', 1, '2021-07-19 12:04:20', NULL, NULL), (31315, '', '建国村', '42e894dd03bf474a98a80e8375c19f3d', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522211', 5, '建国村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522211', 1, '2021-07-19 12:04:20', NULL, NULL), (31316, '', '田坝村', '497a6bfbf7d2499a9eb03653fa11ed60', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522212', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522212', 1, '2021-07-19 12:04:20', NULL, NULL), (31317, '', '龙兴村', '81b430774ff747dbb0b24f17ab0a48c6', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522213', 5, '龙兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522213', 1, '2021-07-19 12:04:20', NULL, NULL), (31318, '', '东林村', '6b3d9877c4234d618a85c27b5221c8c0', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522214', 5, '东林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522214', 1, '2021-07-19 12:04:20', NULL, NULL), (31319, '', '水月村', '274f0ddf53534dd39f51f467f2084de3', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522217', 5, '水月村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522217', 1, '2021-07-19 12:04:20', NULL, NULL), (31320, '', '玉皇村', '7921409b74fa4e9d963136168c8b291d', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522218', 5, '玉皇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522218', 1, '2021-07-19 12:04:20', NULL, NULL), (31321, '', '安乐村', '09e711009cf3404dbe39ffe8aad4cd0b', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522219', 5, '安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522219', 1, '2021-07-19 12:04:20', NULL, NULL), (31322, '', '金山村', '0ab94a06cf4e41afa3c9cd7ba6d150f3', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522220', 5, '金山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522220', 1, '2021-07-19 12:04:20', NULL, NULL), (31323, '', '高棕村', 'd835c579078e4bf09c5b54bbf0824ec9', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522221', 5, '高棕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522221', 1, '2021-07-19 12:04:20', NULL, NULL), (31324, '', '大冲村', 'ed6b7a38272e442787289101903329e0', '0b5586afe4454c249fbb771ca55ee78f', 'False', 'True', 'false', 'false', '512021522222', 5, '大冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021522222', 1, '2021-07-19 12:04:20', NULL, NULL), (31325, '', '龙台镇', '024f605f005c4ffb9a244b6073a360cb', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021733000', 4, '龙台镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021733000', 1, '2021-07-19 12:04:21', NULL, NULL), (31326, '', '兴龙社区', '3dec98475ecd4425af85796efdd395f4', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733001', 5, '兴龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733001', 1, '2021-07-19 12:04:21', NULL, NULL), (31327, '', '玉龙社区', '2729828f591e410ca186b7f9781c624f', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733002', 5, '玉龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733002', 1, '2021-07-19 12:04:21', NULL, NULL), (31328, '', '龙腾社区', 'b45fbc0de9d34e6ca00fe3cc361fd86f', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733003', 5, '龙腾社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733003', 1, '2021-07-19 12:04:21', NULL, NULL), (31329, '', '丝绸社区', '87cbe744b064445da54b1aa834a54c27', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733004', 5, '丝绸社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733004', 1, '2021-07-19 12:04:21', NULL, NULL), (31330, '', '花沟社区', 'dfaa7aab6d894fe2a7382ca0ac3d7cf1', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733005', 5, '花沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733005', 1, '2021-07-19 12:04:21', NULL, NULL), (31331, '', '白水社区', 'd9461cc1b6b54ef8a31df22dbf736e61', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733006', 5, '白水社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733006', 1, '2021-07-19 12:04:21', NULL, NULL), (31332, '', '偏岩社区', '866ab7c2e98d43dda15312b58f4e1173', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733007', 5, '偏岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733007', 1, '2021-07-19 12:04:21', NULL, NULL), (31333, '', '中坝村', '0d970726299e474b82c7b707ccee4c8d', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733201', 5, '中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733201', 1, '2021-07-19 12:04:21', NULL, NULL), (31334, '', '塔湾村', 'a99e1b70eee24dbe80d1804e18f103df', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733204', 5, '塔湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733204', 1, '2021-07-19 12:04:21', NULL, NULL), (31335, '', '茗山村', 'f2b6126b2aea4d36baa52e36a641dcc6', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733205', 5, '茗山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733205', 1, '2021-07-19 12:04:21', NULL, NULL), (31336, '', '藕塘村', '23dcb2095d324430990aa0196c82fb3f', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733209', 5, '藕塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733209', 1, '2021-07-19 12:04:21', NULL, NULL), (31337, '', '花果村', '5634bd0dd661474a8b2aeac007229225', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733212', 5, '花果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733212', 1, '2021-07-19 12:04:21', NULL, NULL), (31338, '', '沙石村', '76294bbee96146e7a0c5a4162776e484', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733215', 5, '沙石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733215', 1, '2021-07-19 12:04:21', NULL, NULL), (31339, '', '玉池村', 'c1ef375e59de4631aba1cad9ea2b1c14', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733217', 5, '玉池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733217', 1, '2021-07-19 12:04:21', NULL, NULL), (31340, '', '桥墩村', '7abd60d0434b41828e0c3b59f6a78848', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733220', 5, '桥墩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733220', 1, '2021-07-19 12:04:22', NULL, NULL), (31341, '', '龙头村', 'adcfb37bf7174cae85c00a3c8595a762', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733221', 5, '龙头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733221', 1, '2021-07-19 12:04:22', NULL, NULL), (31342, '', '滑狮村', '4ee53d1b5db04708bcd330998290404d', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733222', 5, '滑狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733222', 1, '2021-07-19 12:04:22', NULL, NULL), (31343, '', '真武村', '5ddd41bcc8f34b29b8a323c40a6cc378', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733223', 5, '真武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733223', 1, '2021-07-19 12:04:22', NULL, NULL), (31344, '', '玉坡村', 'aaf4f99f1fec4b6e8c4e80bb0857ba2d', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733225', 5, '玉坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733225', 1, '2021-07-19 12:04:22', NULL, NULL), (31345, '', '鹤林村', '939636018ada4fae85e0c7e9b3e5ddfe', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733226', 5, '鹤林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733226', 1, '2021-07-19 12:04:22', NULL, NULL), (31346, '', '轿顶村', '76d9dce19bd54ab397e561663dbbb20c', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733227', 5, '轿顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733227', 1, '2021-07-19 12:04:22', NULL, NULL), (31347, '', '西禅村', '5d6a512ed5d543d4b3e8783bfb87ea28', '024f605f005c4ffb9a244b6073a360cb', 'False', 'True', 'false', 'false', '512021733228', 5, '西禅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021733228', 1, '2021-07-19 12:04:22', NULL, NULL), (31348, '', '驯龙镇', '47c9a4c410b84cd185622a0995ca2572', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021735000', 4, '驯龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021735000', 1, '2021-07-19 12:04:22', NULL, NULL), (31349, '', '文寿社区', '517d9815fc6a4ab4bfd82873257ee1b2', '47c9a4c410b84cd185622a0995ca2572', 'False', 'True', 'false', 'false', '512021735001', 5, '文寿社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021735001', 1, '2021-07-19 12:04:22', NULL, NULL), (31350, '', '光荣社区', '94bae60871614830a36ae2a43d53dca7', '47c9a4c410b84cd185622a0995ca2572', 'False', 'True', 'false', 'false', '512021735002', 5, '光荣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021735002', 1, '2021-07-19 12:04:22', NULL, NULL), (31351, '', '龙坝社区', '773f85f9a0de483bbea868ff459a3257', '47c9a4c410b84cd185622a0995ca2572', 'False', 'True', 'false', 'false', '512021735003', 5, '龙坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021735003', 1, '2021-07-19 12:04:22', NULL, NULL), (31352, '', '菩提社区', '9b397ded1d63438f86f8010dd024cbab', '47c9a4c410b84cd185622a0995ca2572', 'False', 'True', 'false', 'false', '512021735004', 5, '菩提社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021735004', 1, '2021-07-19 12:04:22', NULL, NULL), (31353, '', '三清村', 'c768e8034f814631a757eb49dcbe23d2', '47c9a4c410b84cd185622a0995ca2572', 'False', 'True', 'false', 'false', '512021735202', 5, '三清村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021735202', 1, '2021-07-19 12:04:22', NULL, NULL), (31354, '', '棚安村', 'ed020866334440839847d6fee4a5efc4', '47c9a4c410b84cd185622a0995ca2572', 'False', 'True', 'false', 'false', '512021735203', 5, '棚安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021735203', 1, '2021-07-19 12:04:22', NULL, NULL), (31355, '', '观礼村', 'd48810e084fc4d599b6eb25b40222161', '47c9a4c410b84cd185622a0995ca2572', 'False', 'True', 'false', 'false', '512021735205', 5, '观礼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021735205', 1, '2021-07-19 12:04:22', NULL, NULL), (31356, '', '阳虹村', 'cb9327e490ec431eb0f35195778dd1aa', '47c9a4c410b84cd185622a0995ca2572', 'False', 'True', 'false', 'false', '512021735207', 5, '阳虹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021735207', 1, '2021-07-19 12:04:22', NULL, NULL), (31357, '', '鱼栈村', '578f2e83927e40edb0d046998272b9ac', '47c9a4c410b84cd185622a0995ca2572', 'False', 'True', 'false', 'false', '512021735210', 5, '鱼栈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021735210', 1, '2021-07-19 12:04:22', NULL, NULL), (31358, '', '四坪村', '0e092da2521f4010b263380cc1c0e699', '47c9a4c410b84cd185622a0995ca2572', 'False', 'True', 'false', 'false', '512021735214', 5, '四坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021735214', 1, '2021-07-19 12:04:22', NULL, NULL), (31359, '', '英林村', '5427b72d29174d8eab0686ecc25f43fb', '47c9a4c410b84cd185622a0995ca2572', 'False', 'True', 'false', 'false', '512021735215', 5, '英林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021735215', 1, '2021-07-19 12:04:23', NULL, NULL), (31360, '', '黄河村', '55a1b9631d064d539aabb66bdd5e6f74', '47c9a4c410b84cd185622a0995ca2572', 'False', 'True', 'false', 'false', '512021735217', 5, '黄河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021735217', 1, '2021-07-19 12:04:23', NULL, NULL), (31361, '', '金鸡村', 'e9ecd5517bcb4414bf2183ad52e853d7', '47c9a4c410b84cd185622a0995ca2572', 'False', 'True', 'false', 'false', '512021735218', 5, '金鸡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021735218', 1, '2021-07-19 12:04:23', NULL, NULL), (31362, '', '铁佛村', '85cd3aae165c431bbfa8b37e0741805b', '47c9a4c410b84cd185622a0995ca2572', 'False', 'True', 'false', 'false', '512021735219', 5, '铁佛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021735219', 1, '2021-07-19 12:04:23', NULL, NULL), (31363, '', '协和镇', '91ba8342a8cf45ffa28e547f4f4f9e0a', 'bfa4fb58b97845038bfc80c86776d40c', 'True', 'True', 'false', 'false', '512021762000', 4, '协和镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512021762000', 1, '2021-07-19 12:04:23', NULL, NULL), (31364, '', '桥亭社区', 'b29b2160d355413090e57b9f120e5edb', '91ba8342a8cf45ffa28e547f4f4f9e0a', 'False', 'True', 'false', 'false', '512021762001', 5, '桥亭社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021762001', 1, '2021-07-19 12:04:23', NULL, NULL), (31365, '', '高狮村', '584cf4af0ca94e479ccbcad64f7419d7', '91ba8342a8cf45ffa28e547f4f4f9e0a', 'False', 'True', 'false', 'false', '512021762202', 5, '高狮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021762202', 1, '2021-07-19 12:04:23', NULL, NULL), (31366, '', '长喜村', '70f83b50ce004094a14adf71b0e8ccb8', '91ba8342a8cf45ffa28e547f4f4f9e0a', 'False', 'True', 'false', 'false', '512021762204', 5, '长喜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021762204', 1, '2021-07-19 12:04:23', NULL, NULL), (31367, '', '中和村', '57d526cb834c466581e5aebfe2436101', '91ba8342a8cf45ffa28e547f4f4f9e0a', 'False', 'True', 'false', 'false', '512021762205', 5, '中和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021762205', 1, '2021-07-19 12:04:23', NULL, NULL), (31368, '', '泉石村', 'b91cc94e81c44865ae8963b37b302191', '91ba8342a8cf45ffa28e547f4f4f9e0a', 'False', 'True', 'false', 'false', '512021762206', 5, '泉石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021762206', 1, '2021-07-19 12:04:23', NULL, NULL), (31369, '', '治山村', '2924c91cdce04213be8b0dfd45f10cff', '91ba8342a8cf45ffa28e547f4f4f9e0a', 'False', 'True', 'false', 'false', '512021762208', 5, '治山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021762208', 1, '2021-07-19 12:04:23', NULL, NULL), (31370, '', '石盘村', '5e0bfc3236c14a1e8bd984483e494df0', '91ba8342a8cf45ffa28e547f4f4f9e0a', 'False', 'True', 'false', 'false', '512021762209', 5, '石盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021762209', 1, '2021-07-19 12:04:23', NULL, NULL), (31371, '', '林楠村', '95b101f1b40347478b6587cfd45313b3', '91ba8342a8cf45ffa28e547f4f4f9e0a', 'False', 'True', 'false', 'false', '512021762212', 5, '林楠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021762212', 1, '2021-07-19 12:04:23', NULL, NULL), (31372, '', '瓦堂村', '6197f87a481041579dd1ae54654c1cda', '91ba8342a8cf45ffa28e547f4f4f9e0a', 'False', 'True', 'false', 'false', '512021762213', 5, '瓦堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512021762213', 1, '2021-07-19 12:04:23', NULL, NULL), (31373, '', '资阳高新区', '0439657ba1434331b831a3ed7878bf81', 'dff4152eb0e04bfcbe5b49343d6c888b', 'True', 'True', 'false', 'false', '512001000000', 3, '高新区', 'zysgxq.sczwfw.gov.cn', 1, '2021-07-19 12:04:23', NULL, NULL), (31374, '', '狮子山街道', '3a5c622329574427ac24d82c1ff188b0', '0439657ba1434331b831a3ed7878bf81', 'True', 'True', 'false', 'false', '512001004000', 4, '狮子山街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512001004000', 1, '2021-07-19 12:04:23', NULL, NULL), (31375, '', '槐树社区', '9758a73f1c864e8ca8fedb83076e4064', '3a5c622329574427ac24d82c1ff188b0', 'False', 'True', 'false', 'false', '512001004659', 5, '槐树社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001004659', 1, '2021-07-19 12:04:23', NULL, NULL), (31376, '', '娇子社区', '39d974132e024cd89c42f8cbb0d0d862', '3a5c622329574427ac24d82c1ff188b0', 'False', 'True', 'false', 'false', '512001004781', 5, '娇子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001004781', 1, '2021-07-19 12:04:23', NULL, NULL), (31377, '', '双峰社区', '20866a33a0c845d098701e96efde42bd', '3a5c622329574427ac24d82c1ff188b0', 'False', 'True', 'false', 'false', '512001004969', 5, '双峰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001004969', 1, '2021-07-19 12:04:24', NULL, NULL), (31378, '', '松涛镇', '1327a739cd134dd9b608a8870d47db92', '0439657ba1434331b831a3ed7878bf81', 'True', 'True', 'false', 'false', '512001101000', 4, '松涛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512001101000', 1, '2021-07-19 12:04:24', NULL, NULL), (31379, '', '杜家桥村', 'f59f93de7e8744a2abebe58ef7b134a2', '1327a739cd134dd9b608a8870d47db92', 'False', 'True', 'false', 'false', '512001017086', 5, '杜家桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001017086', 1, '2021-07-19 12:04:24', NULL, NULL), (31380, '', '书台山社区', 'aef1b9afe05449b599af8ae13e28b8ca', '1327a739cd134dd9b608a8870d47db92', 'False', 'True', 'false', 'false', '512001017187', 5, '书台山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001017187', 1, '2021-07-19 12:04:24', NULL, NULL), (31381, '', '盐井溪村', '7fab03fdcdb1406784044053cbc9de2d', '1327a739cd134dd9b608a8870d47db92', 'False', 'True', 'false', 'false', '512001017283', 5, '盐井溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001017283', 1, '2021-07-19 12:04:24', NULL, NULL), (31382, '', '甘家坪社区', '257c83d03bbf4f1e81f6220328e0a53b', '1327a739cd134dd9b608a8870d47db92', 'False', 'True', 'false', 'false', '512001017319', 5, '甘家坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001017319', 1, '2021-07-19 12:04:24', NULL, NULL), (31383, '', '高岩社区', 'cbcbd69d6254400885f802a95cb94d1d', '1327a739cd134dd9b608a8870d47db92', 'False', 'True', 'false', 'false', '512001017472', 5, '高岩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001017472', 1, '2021-07-19 12:04:24', NULL, NULL), (31384, '', '八楞社区', 'a72fbb23b6da4204b2e0d8dcdc883a25', '1327a739cd134dd9b608a8870d47db92', 'False', 'True', 'false', 'false', '512001017497', 5, '八楞社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001017497', 1, '2021-07-19 12:04:24', NULL, NULL), (31385, '', '骝马村', 'e2badd5ff5d54b7eb6496a4d6758cfcc', '1327a739cd134dd9b608a8870d47db92', 'False', 'True', 'false', 'false', '512001017602', 5, '骝马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001017602', 1, '2021-07-19 12:04:24', NULL, NULL), (31386, '', '同合村', '41c7b8db16e04cb78431cabe2893f11e', '1327a739cd134dd9b608a8870d47db92', 'False', 'True', 'false', 'false', '512001017627', 5, '同合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001017627', 1, '2021-07-19 12:04:24', NULL, NULL), (31387, '', '歇马村', 'd51c08183ea54f42bd721bfa43c7e717', '1327a739cd134dd9b608a8870d47db92', 'False', 'True', 'false', 'false', '512001017729', 5, '歇马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001017729', 1, '2021-07-19 12:04:24', NULL, NULL), (31388, '', '金滩村', 'f917522055d9496d92a596eabfb1e7e6', '1327a739cd134dd9b608a8870d47db92', 'False', 'True', 'false', 'false', '512001017856', 5, '金滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001017856', 1, '2021-07-19 12:04:24', NULL, NULL), (31389, '', '红岩子社区', 'e9054d9a002545ef8299d2eb1e0e4306', '1327a739cd134dd9b608a8870d47db92', 'False', 'True', 'false', 'false', '512001017867', 5, '红岩子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001017867', 1, '2021-07-19 12:04:24', NULL, NULL), (31390, '', '柏树村', 'd6d73e1afbf24a91874529b60c9bbed6', '1327a739cd134dd9b608a8870d47db92', 'False', 'True', 'false', 'false', '512001017888', 5, '柏树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001017888', 1, '2021-07-19 12:04:24', NULL, NULL), (31391, '', '宰山嘴社区', 'c1dd6a991fbb4f9896aaaaca7a04fc2f', '1327a739cd134dd9b608a8870d47db92', 'False', 'True', 'false', 'false', '512001017898', 5, '宰山嘴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001017898', 1, '2021-07-19 12:04:24', NULL, NULL), (31392, '', '五显村', '3d7bceb39df146cdb81a6efdede201d7', '1327a739cd134dd9b608a8870d47db92', 'False', 'True', 'false', 'false', '512001017950', 5, '五显村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001017950', 1, '2021-07-19 12:04:24', NULL, NULL), (31393, '', '桐子社区', '77d263c26920481a97e1904ec2f043f8', '1327a739cd134dd9b608a8870d47db92', 'False', 'False', 'false', 'false', '512001101009', 5, '桐子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001101009', 1, '2021-07-19 12:04:24', NULL, NULL), (31394, '', '插花社区', '67b8e6201cc648e5a4ba5055e47ee176', '1327a739cd134dd9b608a8870d47db92', 'False', 'False', 'false', 'false', '512001101091', 5, '插花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512001101091', 1, '2021-07-19 12:04:25', NULL, NULL), (31395, '', '资阳临空经济区', 'e0a041af67974961b4d9b8cd3e06116d', 'dff4152eb0e04bfcbe5b49343d6c888b', 'True', 'True', 'false', 'false', '512099000000', 3, '临空经济区', 'zylkjjq.sczwfw.gov.cn', 1, '2021-07-19 12:04:25', NULL, NULL), (31396, '', '雁江镇', '744e5b2132684aea95b5be838e1265a1', 'e0a041af67974961b4d9b8cd3e06116d', 'True', 'True', 'false', 'false', '512099100000', 4, '雁江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512099100000', 1, '2021-07-19 12:04:25', NULL, NULL), (31397, '', '雁家社区', '6fb7952e01a44c6caeba66f45ad0bf4b', '744e5b2132684aea95b5be838e1265a1', 'False', 'True', 'false', 'false', '512099100303', 5, '雁家社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099100303', 1, '2021-07-19 12:04:25', NULL, NULL), (31398, '', '天鹅山村', 'faab5de6fdc445fa9be1a900b10f587c', '744e5b2132684aea95b5be838e1265a1', 'False', 'True', 'false', 'false', '512099100315', 5, '天鹅山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099100315', 1, '2021-07-19 12:04:25', NULL, NULL), (31399, '', '排桶村', '0140573b85a640f091a420aaa7b94cad', '744e5b2132684aea95b5be838e1265a1', 'False', 'True', 'false', 'false', '512099100359', 5, '排桶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099100359', 1, '2021-07-19 12:04:25', NULL, NULL), (31400, '', '周祠社区', '6be41c2579c844d8a10fdddd021d00fb', '744e5b2132684aea95b5be838e1265a1', 'False', 'True', 'false', 'false', '512099100436', 5, '周祠社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099100436', 1, '2021-07-19 12:04:25', NULL, NULL), (31401, '', '石厂村', '3e297608feb7418ab552e370ed72ee20', '744e5b2132684aea95b5be838e1265a1', 'False', 'True', 'false', 'false', '512099100504', 5, '石厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099100504', 1, '2021-07-19 12:04:25', NULL, NULL), (31402, '', '花椒村', 'a0e04943407b47d2824af089402a1c13', '744e5b2132684aea95b5be838e1265a1', 'False', 'True', 'false', 'false', '512099100520', 5, '花椒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099100520', 1, '2021-07-19 12:04:25', NULL, NULL), (31403, '', '石梯社区', 'f499af2ca64842129cee14ec93e8a0ae', '744e5b2132684aea95b5be838e1265a1', 'False', 'True', 'false', 'false', '512099100525', 5, '石梯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099100525', 1, '2021-07-19 12:04:25', NULL, NULL), (31404, '', '前进村', '63825d3cb9c24b08b396daf5f21104de', '744e5b2132684aea95b5be838e1265a1', 'False', 'True', 'false', 'false', '512099100608', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099100608', 1, '2021-07-19 12:04:25', NULL, NULL), (31405, '', '白山社区', 'ab4df3a4476c4668955dfe3dd784eba6', '744e5b2132684aea95b5be838e1265a1', 'False', 'True', 'false', 'false', '512099100688', 5, '白山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099100688', 1, '2021-07-19 12:04:25', NULL, NULL), (31406, '', '双槐村', 'cec9a66686874e9197e7fd1fb3870cba', '744e5b2132684aea95b5be838e1265a1', 'False', 'True', 'false', 'false', '512099100715', 5, '双槐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099100715', 1, '2021-07-19 12:04:25', NULL, NULL), (31407, '', '小堰村', '95e7216ea83a4dd686529f815fbb7c3a', '744e5b2132684aea95b5be838e1265a1', 'False', 'True', 'false', 'false', '512099100780', 5, '小堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099100780', 1, '2021-07-19 12:04:26', NULL, NULL), (31408, '', '新堰村', 'eb5b632872be42e6a90b982b61eb96b1', '744e5b2132684aea95b5be838e1265a1', 'False', 'True', 'false', 'false', '512099100805', 5, '新堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099100805', 1, '2021-07-19 12:04:26', NULL, NULL), (31409, '', '燕山村', '349ce32f2fed4e07b71d924e518b546c', '744e5b2132684aea95b5be838e1265a1', 'False', 'True', 'false', 'false', '512099100998', 5, '燕山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099100998', 1, '2021-07-19 12:04:26', NULL, NULL), (31410, '', '临江镇', '8c7ea16a31ed4ee4a3c2f371996dd9ee', 'e0a041af67974961b4d9b8cd3e06116d', 'True', 'True', 'false', 'false', '512099103000', 4, '临江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=512099103000', 1, '2021-07-19 12:04:26', NULL, NULL), (31411, '', '水井村', 'e6fc601e33f04b1eb98b4034dcce5b7f', '8c7ea16a31ed4ee4a3c2f371996dd9ee', 'False', 'True', 'false', 'false', '512099103293', 5, '水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099103293', 1, '2021-07-19 12:04:26', NULL, NULL), (31412, '', '大堰村', '27defdc95fa54d73979cc99669ca3ec7', '8c7ea16a31ed4ee4a3c2f371996dd9ee', 'False', 'True', 'false', 'false', '512099103301', 5, '大堰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099103301', 1, '2021-07-19 12:04:26', NULL, NULL), (31413, '', '红碑村', '529d8c4a64bd4bea898b768b8c467260', '8c7ea16a31ed4ee4a3c2f371996dd9ee', 'False', 'True', 'false', 'false', '512099103422', 5, '红碑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099103422', 1, '2021-07-19 12:04:26', NULL, NULL), (31414, '', '清泉村', '1811fc12c22d4d4ba87dfe587ad44018', '8c7ea16a31ed4ee4a3c2f371996dd9ee', 'False', 'True', 'false', 'false', '512099103480', 5, '清泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099103480', 1, '2021-07-19 12:04:26', NULL, NULL), (31415, '', '临江寺社区', '0b5ca4fa3b87403f8ea754fbc6e4c1ee', '8c7ea16a31ed4ee4a3c2f371996dd9ee', 'False', 'True', 'false', 'false', '512099103529', 5, '临江寺社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099103529', 1, '2021-07-19 12:04:26', NULL, NULL), (31416, '', '石榴村', '920fe470c4e1477d99cc29f4bf21975e', '8c7ea16a31ed4ee4a3c2f371996dd9ee', 'False', 'True', 'false', 'false', '512099103558', 5, '石榴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099103558', 1, '2021-07-19 12:04:26', NULL, NULL), (31417, '', '墨池村', 'fb097ae0e0ee4c999adedaa6f618a77e', '8c7ea16a31ed4ee4a3c2f371996dd9ee', 'False', 'True', 'false', 'false', '512099103623', 5, '墨池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099103623', 1, '2021-07-19 12:04:26', NULL, NULL), (31418, '', '昆仑村', 'a873c739914e49eda0aeade31acbcefd', '8c7ea16a31ed4ee4a3c2f371996dd9ee', 'False', 'True', 'false', 'false', '512099103652', 5, '昆仑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099103652', 1, '2021-07-19 12:04:26', NULL, NULL), (31419, '', '斑竹村', '58587ff49f4f41ff9c405561d1b09258', '8c7ea16a31ed4ee4a3c2f371996dd9ee', 'False', 'True', 'false', 'false', '512099103653', 5, '斑竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099103653', 1, '2021-07-19 12:04:26', NULL, NULL), (31420, '', '太子村', '3b2ea71c4d3f49929d77544e73d1ff71', '8c7ea16a31ed4ee4a3c2f371996dd9ee', 'False', 'True', 'false', 'false', '512099103660', 5, '太子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099103660', 1, '2021-07-19 12:04:26', NULL, NULL), (31421, '', '临庵村', '28c91bbf6d294e21a35c70ff3c4dc20b', '8c7ea16a31ed4ee4a3c2f371996dd9ee', 'False', 'True', 'false', 'false', '512099103695', 5, '临庵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099103695', 1, '2021-07-19 12:04:26', NULL, NULL), (31422, '', '宝珠村', 'f189cd26136841c69730050c09ccbdae', '8c7ea16a31ed4ee4a3c2f371996dd9ee', 'False', 'True', 'false', 'false', '512099103783', 5, '宝珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099103783', 1, '2021-07-19 12:04:27', NULL, NULL), (31423, '', '仁里村', 'f51d71abab78470c85f167b88b4e0656', '8c7ea16a31ed4ee4a3c2f371996dd9ee', 'False', 'True', 'false', 'false', '512099103862', 5, '仁里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099103862', 1, '2021-07-19 12:04:27', NULL, NULL), (31424, '', '先锋村', 'ed7ae0ef5e3e48afad3f14e2f6219aa5', '8c7ea16a31ed4ee4a3c2f371996dd9ee', 'False', 'True', 'false', 'false', '512099103864', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099103864', 1, '2021-07-19 12:04:27', NULL, NULL), (31425, '', '高桐村', '37e796861c764d88b9ac8f5d9b187d83', '8c7ea16a31ed4ee4a3c2f371996dd9ee', 'False', 'True', 'false', 'false', '512099103879', 5, '高桐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=512099103879', 1, '2021-07-19 12:04:27', NULL, NULL), (31426, '', '阿坝藏族羌族自治州', 'bd453af225f84ab8af7b1fca05ac83ed', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '513200000000', 2, '阿坝州', 'abz.sczwfw.gov.cn', 1, '2021-07-19 12:04:27', NULL, NULL), (31427, '', '马尔康市', '03e69bf110ef4c8e87ff143b2cc84388', 'bd453af225f84ab8af7b1fca05ac83ed', 'True', 'True', 'false', 'false', '513201000000', 3, '马尔康市', 'abzaekx.sczwfw.gov.cn', 1, '2021-07-19 12:04:27', NULL, NULL), (31428, '', '马尔康镇', '7258f857da274ced936351fbbf9b9310', '03e69bf110ef4c8e87ff143b2cc84388', 'True', 'True', 'false', 'false', '513201100000', 4, '马尔康镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513201100000', 1, '2021-07-19 12:04:27', NULL, NULL), (31429, '', '查米村', 'be1dbddec72348039e49323e24090eaf', '7258f857da274ced936351fbbf9b9310', 'False', 'True', 'false', 'false', '513201100004', 5, '查米村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201100004', 1, '2021-07-19 12:04:27', NULL, NULL), (31430, '', '纳足村', '39b26a8f2b2d495b90ff42bb7d2d625b', '7258f857da274ced936351fbbf9b9310', 'False', 'True', 'false', 'false', '513201100008', 5, '纳足村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201100008', 1, '2021-07-19 12:04:27', NULL, NULL), (31431, '', '西索村', 'f82cb2b3cf794c0eb13cfc4a8fbc2861', '7258f857da274ced936351fbbf9b9310', 'False', 'True', 'false', 'false', '513201100011', 5, '西索村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201100011', 1, '2021-07-19 12:04:27', NULL, NULL), (31432, '', '马江社区', '80bc4e6eae7e40a387208d0cc048ca38', '7258f857da274ced936351fbbf9b9310', 'False', 'True', 'false', 'false', '513201100002', 5, '马江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201100002', 1, '2021-07-19 12:04:27', NULL, NULL), (31433, '', '美谷社区', 'c270be54d1d847739a19c2c57e913348', '7258f857da274ced936351fbbf9b9310', 'False', 'True', 'false', 'false', '513201100005', 5, '美谷社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201100005', 1, '2021-07-19 12:04:27', NULL, NULL), (31434, '', '达萨社区', '107d403f92544e8f9cc24408b2364bac', '7258f857da274ced936351fbbf9b9310', 'False', 'True', 'false', 'false', '513201100006', 5, '达萨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201100006', 1, '2021-07-19 12:04:27', NULL, NULL), (31435, '', '阿底村', '36593c231f1f491daa293fb5815c4bb1', '7258f857da274ced936351fbbf9b9310', 'False', 'True', 'false', 'false', '513201100200', 5, '阿底村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201100200', 1, '2021-07-19 12:04:27', NULL, NULL), (31436, '', '查北村', 'aa42db3fd56d4cc898790699f7f031e3', '7258f857da274ced936351fbbf9b9310', 'False', 'True', 'false', 'false', '513201100202', 5, '查北村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201100202', 1, '2021-07-19 12:04:27', NULL, NULL), (31437, '', '牧业村', '849c369625cb4a7c8e374595f3516a0f', '7258f857da274ced936351fbbf9b9310', 'False', 'True', 'false', 'false', '513201100203', 5, '牧业村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201100203', 1, '2021-07-19 12:04:27', NULL, NULL), (31438, '', '俄尔雅村', 'e5468efcfae84bbba35e10ea0cf23549', '7258f857da274ced936351fbbf9b9310', 'False', 'True', 'false', 'false', '513201100204', 5, '俄尔雅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201100204', 1, '2021-07-19 12:04:27', NULL, NULL), (31439, '', '莫拉村', '8c68c65f14cd49068c8d5ceeeaded57d', '7258f857da274ced936351fbbf9b9310', 'False', 'True', 'false', 'false', '513201100206', 5, '莫拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201100206', 1, '2021-07-19 12:04:27', NULL, NULL), (31440, '', '英波洛村', 'ce1b766736514382959ead5539fd277c', '7258f857da274ced936351fbbf9b9310', 'False', 'True', 'false', 'false', '513201100207', 5, '英波洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201100207', 1, '2021-07-19 12:04:27', NULL, NULL), (31441, '', '本真村', '7098989159f34a0ca5d72be14389ea2e', '7258f857da274ced936351fbbf9b9310', 'False', 'True', 'false', 'false', '513201100208', 5, '本真村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201100208', 1, '2021-07-19 12:04:28', NULL, NULL), (31442, '', '邓家村', '2be632986c71488b82bc3f9dd3f3b130', '7258f857da274ced936351fbbf9b9310', 'False', 'True', 'false', 'false', '513201100209', 5, '邓家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201100209', 1, '2021-07-19 12:04:28', NULL, NULL), (31443, '', '松岗镇', 'fe36fcf0cd1d4c6f85fd8eec4a13df76', '03e69bf110ef4c8e87ff143b2cc84388', 'True', 'True', 'false', 'false', '513201102000', 4, '松岗镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513201102000', 1, '2021-07-19 12:04:28', NULL, NULL), (31444, '', '松岗村', '6e37f873044d47ae9d82b3011d7da246', 'fe36fcf0cd1d4c6f85fd8eec4a13df76', 'False', 'True', 'false', 'false', '513201102201', 5, '松岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201102201', 1, '2021-07-19 12:04:28', NULL, NULL), (31445, '', '蒲尔玛村', '5fa95b8fb00a42b09b017e72bedd2ea6', 'fe36fcf0cd1d4c6f85fd8eec4a13df76', 'False', 'True', 'false', 'false', '513201102202', 5, '蒲尔玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201102202', 1, '2021-07-19 12:04:28', NULL, NULL), (31446, '', '直波村', '81a62d15b3ec4e41b43e033db23be0f2', 'fe36fcf0cd1d4c6f85fd8eec4a13df76', 'False', 'True', 'false', 'false', '513201102203', 5, '直波村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201102203', 1, '2021-07-19 12:04:28', NULL, NULL), (31447, '', '哈飘村', '33c832fb55ab4f888711391b201039b8', 'fe36fcf0cd1d4c6f85fd8eec4a13df76', 'False', 'True', 'false', 'false', '513201102204', 5, '哈飘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201102204', 1, '2021-07-19 12:04:28', NULL, NULL), (31448, '', '丹波村', '8fc5e6f9daad4c958a78cfdd1989040c', 'fe36fcf0cd1d4c6f85fd8eec4a13df76', 'False', 'True', 'false', 'false', '513201102205', 5, '丹波村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201102205', 1, '2021-07-19 12:04:28', NULL, NULL), (31449, '', '洛威村', '6b04a72d230d408da5fa0339239fef94', 'fe36fcf0cd1d4c6f85fd8eec4a13df76', 'False', 'True', 'false', 'false', '513201102206', 5, '洛威村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201102206', 1, '2021-07-19 12:04:28', NULL, NULL), (31450, '', '莫斯都村', '711ce0c7e3f34d26bf299ea933b7fb93', 'fe36fcf0cd1d4c6f85fd8eec4a13df76', 'False', 'True', 'false', 'false', '513201102207', 5, '莫斯都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201102207', 1, '2021-07-19 12:04:28', NULL, NULL), (31451, '', '梭磨乡', 'f360e56c5e5a4009935619630c365387', '03e69bf110ef4c8e87ff143b2cc84388', 'True', 'True', 'false', 'false', '513201200000', 4, '梭磨乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513201200000', 1, '2021-07-19 12:04:28', NULL, NULL), (31452, '', '马塘村', '8bf63a54b0ac4b95913ab0daafb8f314', 'f360e56c5e5a4009935619630c365387', 'False', 'True', 'false', 'false', '513201200200', 5, '马塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201200200', 1, '2021-07-19 12:04:28', NULL, NULL), (31453, '', '色尔米村', '1b1b37428bcf4f529b39d30dd6c0a272', 'f360e56c5e5a4009935619630c365387', 'False', 'True', 'false', 'false', '513201200202', 5, '色尔米村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201200202', 1, '2021-07-19 12:04:28', NULL, NULL), (31454, '', '代修村', '9436f162143041feb1ed980858521cd3', 'f360e56c5e5a4009935619630c365387', 'False', 'True', 'false', 'false', '513201200203', 5, '代修村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201200203', 1, '2021-07-19 12:04:28', NULL, NULL), (31455, '', '木尔溪村', 'ac17506e1c9945a58baaeeff091a92e4', 'f360e56c5e5a4009935619630c365387', 'False', 'True', 'false', 'false', '513201200204', 5, '木尔溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201200204', 1, '2021-07-19 12:04:28', NULL, NULL), (31456, '', '古尔沟村', '075246cec90b47b593c2a04a743e70ec', 'f360e56c5e5a4009935619630c365387', 'False', 'True', 'false', 'false', '513201200205', 5, '古尔沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201200205', 1, '2021-07-19 12:04:28', NULL, NULL), (31457, '', '毛木初村', '56124ce56b05480ebcf0cd0f51bdbe71', 'f360e56c5e5a4009935619630c365387', 'False', 'True', 'false', 'false', '513201200206', 5, '毛木初村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201200206', 1, '2021-07-19 12:04:28', NULL, NULL), (31458, '', '白湾乡', 'b502c9181abd45a89cbba8ba8f29321a', '03e69bf110ef4c8e87ff143b2cc84388', 'True', 'True', 'false', 'false', '513201201000', 4, '白湾乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513201201000', 1, '2021-07-19 12:04:28', NULL, NULL), (31459, '', '加达村', '77db968b6abf4f229a8554b946815c9a', 'b502c9181abd45a89cbba8ba8f29321a', 'False', 'True', 'false', 'false', '513201201200', 5, '加达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201201200', 1, '2021-07-19 12:04:29', NULL, NULL), (31460, '', '色里村', 'f9ca488792df482c9ac05e0965728e04', 'b502c9181abd45a89cbba8ba8f29321a', 'False', 'True', 'false', 'false', '513201201201', 5, '色里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201201201', 1, '2021-07-19 12:04:29', NULL, NULL), (31461, '', '饶巴村', '61d2c85ed47047049bbadf01e07035d1', 'b502c9181abd45a89cbba8ba8f29321a', 'False', 'True', 'false', 'false', '513201201202', 5, '饶巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201201202', 1, '2021-07-19 12:04:29', NULL, NULL), (31462, '', '木尔基村', 'a1cf878b59394442b947c247d2d72e6a', 'b502c9181abd45a89cbba8ba8f29321a', 'False', 'True', 'false', 'false', '513201201203', 5, '木尔基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201201203', 1, '2021-07-19 12:04:29', NULL, NULL), (31463, '', '温古村', '438a943781394b269f88c27f101a4875', 'b502c9181abd45a89cbba8ba8f29321a', 'False', 'True', 'false', 'false', '513201201204', 5, '温古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201201204', 1, '2021-07-19 12:04:29', NULL, NULL), (31464, '', '英戈洛村', '6d4c81e836e441aab85f3c350ceecfe1', 'b502c9181abd45a89cbba8ba8f29321a', 'False', 'True', 'false', 'false', '513201201205', 5, '英戈洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201201205', 1, '2021-07-19 12:04:29', NULL, NULL), (31465, '', '大石凼村', 'c32e82c306e845188f34f739f3802427', 'b502c9181abd45a89cbba8ba8f29321a', 'False', 'True', 'false', 'false', '513201201206', 5, '大石凼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201201206', 1, '2021-07-19 12:04:29', NULL, NULL), (31466, '', '年克村', 'c497eb4478994201ad1a8adf14ef0464', 'b502c9181abd45a89cbba8ba8f29321a', 'False', 'True', 'false', 'false', '513201201207', 5, '年克村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201201207', 1, '2021-07-19 12:04:29', NULL, NULL), (31467, '', '石广东村', '5392ac7c64244d529cf8df3e47f19ac1', 'b502c9181abd45a89cbba8ba8f29321a', 'False', 'True', 'false', 'false', '513201201208', 5, '石广东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201201208', 1, '2021-07-19 12:04:29', NULL, NULL), (31468, '', '党坝乡', '659d789983c14fb5b0493395928025fb', '03e69bf110ef4c8e87ff143b2cc84388', 'True', 'True', 'false', 'false', '513201202000', 4, '党坝乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513201202000', 1, '2021-07-19 12:04:29', NULL, NULL), (31469, '', '格尔威村', '223d63a6492e4b398b6d6d9c2fe02a78', '659d789983c14fb5b0493395928025fb', 'False', 'True', 'false', 'false', '513201202201', 5, '格尔威村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201202201', 1, '2021-07-19 12:04:29', NULL, NULL), (31470, '', '党坝村', '38f240b59a0e40b3b190f14547530f3d', '659d789983c14fb5b0493395928025fb', 'False', 'True', 'false', 'false', '513201202202', 5, '党坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201202202', 1, '2021-07-19 12:04:29', NULL, NULL), (31471, '', '石果坝村', '0230cd4b8e58421abbe3f0b4543bacf6', '659d789983c14fb5b0493395928025fb', 'False', 'True', 'false', 'false', '513201202203', 5, '石果坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201202203', 1, '2021-07-19 12:04:29', NULL, NULL), (31472, '', '尕兰村', 'ec8b27552965457196b91642cc1e523c', '659d789983c14fb5b0493395928025fb', 'False', 'True', 'false', 'false', '513201202204', 5, '尕兰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201202204', 1, '2021-07-19 12:04:29', NULL, NULL), (31473, '', '银朗村', 'aee536881ddf4c5caeef6ca4a126c93d', '659d789983c14fb5b0493395928025fb', 'False', 'True', 'false', 'false', '513201202205', 5, '银朗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201202205', 1, '2021-07-19 12:04:29', NULL, NULL), (31474, '', '石加友村', 'dfbf4f4b5c3e42c0a6c3fa2dcada2347', '659d789983c14fb5b0493395928025fb', 'False', 'True', 'false', 'false', '513201202206', 5, '石加友村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201202206', 1, '2021-07-19 12:04:29', NULL, NULL), (31475, '', '高尔达村', '43ad7c8d72eb4517a4b8e24392e6f60a', '659d789983c14fb5b0493395928025fb', 'False', 'True', 'false', 'false', '513201202207', 5, '高尔达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201202207', 1, '2021-07-19 12:04:29', NULL, NULL), (31476, '', '地拉秋村', 'f9906d14f9684465b431caa264bf89ee', '659d789983c14fb5b0493395928025fb', 'False', 'True', 'false', 'false', '513201202208', 5, '地拉秋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201202208', 1, '2021-07-19 12:04:30', NULL, NULL), (31477, '', '木尔宗乡', 'fb8b66dfff1240bba369fa31da8153bd', '03e69bf110ef4c8e87ff143b2cc84388', 'True', 'True', 'false', 'false', '513201203000', 4, '木尔宗乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513201203000', 1, '2021-07-19 12:04:30', NULL, NULL), (31478, '', '板德龙村', 'da4d4e545cc344a49362f8faead52752', 'fb8b66dfff1240bba369fa31da8153bd', 'False', 'True', 'false', 'false', '513201203200', 5, '板德龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201203200', 1, '2021-07-19 12:04:30', NULL, NULL), (31479, '', '木尔多村', '7889b5cd11a04a5db7184e612e099048', 'fb8b66dfff1240bba369fa31da8153bd', 'False', 'True', 'false', 'false', '513201203201', 5, '木尔多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201203201', 1, '2021-07-19 12:04:30', NULL, NULL), (31480, '', '斯米村', 'fbe987092d654f97a50ff53fa3646cbb', 'fb8b66dfff1240bba369fa31da8153bd', 'False', 'True', 'false', 'false', '513201203202', 5, '斯米村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201203202', 1, '2021-07-19 12:04:30', NULL, NULL), (31481, '', '斯鸟村', '6a53721503234f9fb1250c0cb7e1ec57', 'fb8b66dfff1240bba369fa31da8153bd', 'False', 'True', 'false', 'false', '513201203203', 5, '斯鸟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201203203', 1, '2021-07-19 12:04:30', NULL, NULL), (31482, '', '腾古村', '739d75598aa1423ab9e0862ae6025fc8', 'fb8b66dfff1240bba369fa31da8153bd', 'False', 'True', 'false', 'false', '513201203204', 5, '腾古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201203204', 1, '2021-07-19 12:04:30', NULL, NULL), (31483, '', '脚木足乡', 'fb5e6c3b335b441d939603a1d31f17c9', '03e69bf110ef4c8e87ff143b2cc84388', 'True', 'True', 'false', 'false', '513201204000', 4, '脚木足乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513201204000', 1, '2021-07-19 12:04:30', NULL, NULL), (31484, '', '蒲志村', 'a70b5e47c770427faea46c6ae908a5ad', 'fb5e6c3b335b441d939603a1d31f17c9', 'False', 'True', 'false', 'false', '513201204200', 5, '蒲志村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201204200', 1, '2021-07-19 12:04:30', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (31485, '', '大西村', '5cbaf815d4b64659a192660b87e894c8', 'fb5e6c3b335b441d939603a1d31f17c9', 'False', 'True', 'false', 'false', '513201204201', 5, '大西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201204201', 1, '2021-07-19 12:04:30', NULL, NULL), (31486, '', '蒲市口村', '841bcebb29f143019fdd8ac739e30ac1', 'fb5e6c3b335b441d939603a1d31f17c9', 'False', 'True', 'false', 'false', '513201204202', 5, '蒲市口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201204202', 1, '2021-07-19 12:04:30', NULL, NULL), (31487, '', '孔龙村', '527ee92a89eb4230914276842d6b8b42', 'fb5e6c3b335b441d939603a1d31f17c9', 'False', 'True', 'false', 'false', '513201204203', 5, '孔龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201204203', 1, '2021-07-19 12:04:30', NULL, NULL), (31488, '', '石江咀村', '8a63ce66e3904f48964b030ac8d4e51a', 'fb5e6c3b335b441d939603a1d31f17c9', 'False', 'True', 'false', 'false', '513201204204', 5, '石江咀村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201204204', 1, '2021-07-19 12:04:30', NULL, NULL), (31489, '', '白莎村', '4586bf07d2d149c08ad9cba5b4d14664', 'fb5e6c3b335b441d939603a1d31f17c9', 'False', 'True', 'false', 'false', '513201204205', 5, '白莎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201204205', 1, '2021-07-19 12:04:30', NULL, NULL), (31490, '', '拔尔巴村', 'c37880137438413dbc0fc995a2407b42', 'fb5e6c3b335b441d939603a1d31f17c9', 'False', 'True', 'false', 'false', '513201204206', 5, '拔尔巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201204206', 1, '2021-07-19 12:04:30', NULL, NULL), (31491, '', '大坝口村', 'e8fba0ae3c9b4901b6ea40a95ec82d7d', 'fb5e6c3b335b441d939603a1d31f17c9', 'False', 'True', 'false', 'false', '513201204208', 5, '大坝口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201204208', 1, '2021-07-19 12:04:30', NULL, NULL), (31492, '', '牧业村', '313d9756af6d4582902fcc8f5d6dde2d', 'fb5e6c3b335b441d939603a1d31f17c9', 'False', 'True', 'false', 'false', '513201204209', 5, '牧业村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201204209', 1, '2021-07-19 12:04:30', NULL, NULL), (31493, '', '神山村', '37447b573c31417b8c6f4d900c61dd67', 'fb5e6c3b335b441d939603a1d31f17c9', 'False', 'True', 'false', 'false', '513201204210', 5, '神山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201204210', 1, '2021-07-19 12:04:31', NULL, NULL), (31494, '', '沙尔宗乡', 'fce84e601f774fd5a4556eef079f313c', '03e69bf110ef4c8e87ff143b2cc84388', 'True', 'True', 'false', 'false', '513201205000', 4, '沙尔宗乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513201205000', 1, '2021-07-19 12:04:31', NULL, NULL), (31495, '', '沙尔宗村', '346bd4ad289f42be97175d9ec6e2bd5e', 'fce84e601f774fd5a4556eef079f313c', 'False', 'True', 'false', 'false', '513201205200', 5, '沙尔宗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201205200', 1, '2021-07-19 12:04:31', NULL, NULL), (31496, '', '哈休村', '9ccf767206834dc796f9dbfe002d97d4', 'fce84e601f774fd5a4556eef079f313c', 'False', 'True', 'false', 'false', '513201205201', 5, '哈休村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201205201', 1, '2021-07-19 12:04:31', NULL, NULL), (31497, '', '呷博村', 'b410d97fb6bb4a7088602dd9493db244', 'fce84e601f774fd5a4556eef079f313c', 'False', 'True', 'false', 'false', '513201205202', 5, '呷博村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201205202', 1, '2021-07-19 12:04:31', NULL, NULL), (31498, '', '从恩村', 'f89fe7a84219458ebf489bf195b1ddb8', 'fce84e601f774fd5a4556eef079f313c', 'False', 'True', 'false', 'false', '513201205204', 5, '从恩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201205204', 1, '2021-07-19 12:04:31', NULL, NULL), (31499, '', '米亚足村', '9527714949cc4434a94c12850a5ab705', 'fce84e601f774fd5a4556eef079f313c', 'False', 'True', 'false', 'false', '513201205205', 5, '米亚足村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201205205', 1, '2021-07-19 12:04:31', NULL, NULL), (31500, '', '核尔桠村', '5901152061f74e899fb42ff13d59a7c7', 'fce84e601f774fd5a4556eef079f313c', 'False', 'True', 'false', 'false', '513201205206', 5, '核尔桠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201205206', 1, '2021-07-19 12:04:31', NULL, NULL), (31501, '', '龙尔甲乡', 'f7aeb90591b749e0b9ac239579ee0d8b', '03e69bf110ef4c8e87ff143b2cc84388', 'True', 'True', 'false', 'false', '513201206000', 4, '龙尔甲乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513201206000', 1, '2021-07-19 12:04:31', NULL, NULL), (31502, '', '尕渣村', '01769b54b9044980bee33fb02dbb94e6', 'f7aeb90591b749e0b9ac239579ee0d8b', 'False', 'True', 'false', 'false', '513201206200', 5, '尕渣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201206200', 1, '2021-07-19 12:04:31', NULL, NULL), (31503, '', '尕脚村', 'c47c260d9e6644f8a0ca7bd805177976', 'f7aeb90591b749e0b9ac239579ee0d8b', 'False', 'True', 'false', 'false', '513201206201', 5, '尕脚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201206201', 1, '2021-07-19 12:04:31', NULL, NULL), (31504, '', '石木榴村', '548b1567a8d84f5c9f0c3c60aa3227a0', 'f7aeb90591b749e0b9ac239579ee0d8b', 'False', 'True', 'false', 'false', '513201206202', 5, '石木榴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201206202', 1, '2021-07-19 12:04:31', NULL, NULL), (31505, '', '木尔渣村', '68ac946f077a4366aaed84cca13059ea', 'f7aeb90591b749e0b9ac239579ee0d8b', 'False', 'True', 'false', 'false', '513201206203', 5, '木尔渣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201206203', 1, '2021-07-19 12:04:31', NULL, NULL), (31506, '', '蒙岩村', '394b7229b72241bcad96f3bdeba6f3eb', 'f7aeb90591b749e0b9ac239579ee0d8b', 'False', 'True', 'false', 'false', '513201206204', 5, '蒙岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201206204', 1, '2021-07-19 12:04:31', NULL, NULL), (31507, '', '干木鸟村', 'f181f0e86ee442019d71f6ea0002657f', 'f7aeb90591b749e0b9ac239579ee0d8b', 'False', 'True', 'false', 'false', '513201206205', 5, '干木鸟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201206205', 1, '2021-07-19 12:04:32', NULL, NULL), (31508, '', '二茶村', 'e7c62ab9f77f4eef825a3f90fe449463', 'f7aeb90591b749e0b9ac239579ee0d8b', 'False', 'True', 'false', 'false', '513201206206', 5, '二茶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201206206', 1, '2021-07-19 12:04:32', NULL, NULL), (31509, '', '大藏乡', '87ace742c8c1435b936548b10731e957', '03e69bf110ef4c8e87ff143b2cc84388', 'True', 'True', 'false', 'false', '513201207000', 4, '大藏乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513201207000', 1, '2021-07-19 12:04:32', NULL, NULL), (31510, '', '春口村', '91438cb990b64bce88349f11eb1412dc', '87ace742c8c1435b936548b10731e957', 'False', 'True', 'false', 'false', '513201207200', 5, '春口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201207200', 1, '2021-07-19 12:04:32', NULL, NULL), (31511, '', '打扒村', '3592ffc1ae6f400caf6d1dc1eaa38d73', '87ace742c8c1435b936548b10731e957', 'False', 'True', 'false', 'false', '513201207201', 5, '打扒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201207201', 1, '2021-07-19 12:04:32', NULL, NULL), (31512, '', '德尔巴村', '2e05555da3804856a44f1830cd1d605d', '87ace742c8c1435b936548b10731e957', 'False', 'True', 'false', 'false', '513201207202', 5, '德尔巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201207202', 1, '2021-07-19 12:04:32', NULL, NULL), (31513, '', '青坪村', 'ed0b0ba1d91c4c158e72563a7fb94c44', '87ace742c8c1435b936548b10731e957', 'False', 'True', 'false', 'false', '513201207204', 5, '青坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201207204', 1, '2021-07-19 12:04:32', NULL, NULL), (31514, '', '康山乡', 'd2e1375f2c0b4b6e92a48b355da15478', '03e69bf110ef4c8e87ff143b2cc84388', 'True', 'True', 'false', 'false', '513201208000', 4, '康山乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513201208000', 1, '2021-07-19 12:04:32', NULL, NULL), (31515, '', '雅尔珠村', '70efb374c2fc4b0c8d1e6e3a591ad14d', 'd2e1375f2c0b4b6e92a48b355da15478', 'False', 'True', 'false', 'false', '513201208200', 5, '雅尔珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201208200', 1, '2021-07-19 12:04:32', NULL, NULL), (31516, '', '达维村', '5f68aac83d1b427b8e37534f19304a21', 'd2e1375f2c0b4b6e92a48b355da15478', 'False', 'True', 'false', 'false', '513201208201', 5, '达维村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201208201', 1, '2021-07-19 12:04:32', NULL, NULL), (31517, '', '黄桠村', '7b5cd1af979d4fbbb1282cb59806ef49', 'd2e1375f2c0b4b6e92a48b355da15478', 'False', 'True', 'false', 'false', '513201208202', 5, '黄桠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201208202', 1, '2021-07-19 12:04:32', NULL, NULL), (31518, '', '伍都村', '7dbae52aa151489785a8ade913930174', 'd2e1375f2c0b4b6e92a48b355da15478', 'False', 'True', 'false', 'false', '513201208203', 5, '伍都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201208203', 1, '2021-07-19 12:04:32', NULL, NULL), (31519, '', '牧业村', '8178164e3baa42d3a2503bf5506538c4', 'd2e1375f2c0b4b6e92a48b355da15478', 'False', 'True', 'false', 'false', '513201208204', 5, '牧业村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201208204', 1, '2021-07-19 12:04:33', NULL, NULL), (31520, '', '草登乡', '20769290d3824db3a3a06e5eacd54caa', '03e69bf110ef4c8e87ff143b2cc84388', 'True', 'True', 'false', 'false', '513201209000', 4, '草登乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513201209000', 1, '2021-07-19 12:04:33', NULL, NULL), (31521, '', '斯尼村', 'cd3b6c55a30e4e64a0dd25d0cf8920a3', '20769290d3824db3a3a06e5eacd54caa', 'False', 'True', 'false', 'false', '513201209200', 5, '斯尼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201209200', 1, '2021-07-19 12:04:33', NULL, NULL), (31522, '', '代基村', '19572d18c29c42cbac359a0d82f0ef0a', '20769290d3824db3a3a06e5eacd54caa', 'False', 'True', 'false', 'false', '513201209201', 5, '代基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201209201', 1, '2021-07-19 12:04:33', NULL, NULL), (31523, '', '呷秋里村', '3f434cb61fe144e19539409e9281c8a2', '20769290d3824db3a3a06e5eacd54caa', 'False', 'True', 'false', 'false', '513201209202', 5, '呷秋里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201209202', 1, '2021-07-19 12:04:33', NULL, NULL), (31524, '', '科拉机村', 'a7ca5bfaa1804434a399b602ae1a6730', '20769290d3824db3a3a06e5eacd54caa', 'False', 'True', 'false', 'false', '513201209204', 5, '科拉机村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201209204', 1, '2021-07-19 12:04:33', NULL, NULL), (31525, '', '珠林村', '66c5e7886a1140b8884c91b9822a48da', '20769290d3824db3a3a06e5eacd54caa', 'False', 'True', 'false', 'false', '513201209206', 5, '珠林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201209206', 1, '2021-07-19 12:04:33', NULL, NULL), (31526, '', '宝岩村', '3a7b53aad6f34e3394762c716d7ba1b5', '20769290d3824db3a3a06e5eacd54caa', 'False', 'True', 'false', 'false', '513201209207', 5, '宝岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201209207', 1, '2021-07-19 12:04:33', NULL, NULL), (31527, '', '沙佐村', 'cc85615129f24f038190e546c2b5243a', '20769290d3824db3a3a06e5eacd54caa', 'False', 'True', 'false', 'false', '513201209208', 5, '沙佐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201209208', 1, '2021-07-19 12:04:33', NULL, NULL), (31528, '', '斯拉尔底村', 'c4a9e5e7da1f41358bcbe92c5d894fce', '20769290d3824db3a3a06e5eacd54caa', 'False', 'True', 'false', 'false', '513201209209', 5, '斯拉尔底村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201209209', 1, '2021-07-19 12:04:33', NULL, NULL), (31529, '', '日部乡', '58656afc588e4e9d87c88d8e7fa10fa4', '03e69bf110ef4c8e87ff143b2cc84388', 'True', 'True', 'false', 'false', '513201210000', 4, '日部乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513201210000', 1, '2021-07-19 12:04:33', NULL, NULL), (31530, '', '若古村', '54a9ac0a4ec84624bf4a37cc23ee2e0a', '58656afc588e4e9d87c88d8e7fa10fa4', 'False', 'True', 'false', 'false', '513201210125', 5, '若古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201210125', 1, '2021-07-19 12:04:33', NULL, NULL), (31531, '', '巴郎村', '1ea5ffff65824a06b880c3655da93c02', '58656afc588e4e9d87c88d8e7fa10fa4', 'False', 'True', 'false', 'false', '513201210200', 5, '巴郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201210200', 1, '2021-07-19 12:04:33', NULL, NULL), (31532, '', '中热村', 'cfdd57e7d4dd45cead87920573a0c031', '58656afc588e4e9d87c88d8e7fa10fa4', 'False', 'True', 'false', 'false', '513201210201', 5, '中热村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201210201', 1, '2021-07-19 12:04:33', NULL, NULL), (31533, '', '色江村', 'f9b018d3d17a40ab8228b69cb4974212', '58656afc588e4e9d87c88d8e7fa10fa4', 'False', 'True', 'false', 'false', '513201210202', 5, '色江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201210202', 1, '2021-07-19 12:04:33', NULL, NULL), (31534, '', '木郎村', 'f7a3d281c2514f3784846914e0fc9d67', '58656afc588e4e9d87c88d8e7fa10fa4', 'False', 'True', 'false', 'false', '513201210203', 5, '木郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201210203', 1, '2021-07-19 12:04:33', NULL, NULL), (31535, '', '果尔桑村', 'ff629c174ad5414183633fe70466119d', '58656afc588e4e9d87c88d8e7fa10fa4', 'False', 'True', 'false', 'false', '513201210205', 5, '果尔桑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201210205', 1, '2021-07-19 12:04:33', NULL, NULL), (31536, '', '居里日岗村', '48abdedecd394d01812bf97d94f432f0', '58656afc588e4e9d87c88d8e7fa10fa4', 'False', 'True', 'false', 'false', '513201210207', 5, '居里日岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201210207', 1, '2021-07-19 12:04:34', NULL, NULL), (31537, '', '英古村', 'fa0759d2986c4e3aae109986719a21ad', '58656afc588e4e9d87c88d8e7fa10fa4', 'False', 'True', 'false', 'false', '513201210358', 5, '英古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513201210358', 1, '2021-07-19 12:04:34', NULL, NULL), (31538, '', '金川县', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'bd453af225f84ab8af7b1fca05ac83ed', 'True', 'True', 'false', 'false', '513226000000', 3, '金川县', 'abzjcx.sczwfw.gov.cn', 1, '2021-07-19 12:04:34', NULL, NULL), (31539, '', '观音桥镇', 'e1b6f2f08a1d4c2eaff6319bfc048376', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226101000', 4, '观音桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226101000', 1, '2021-07-19 12:04:34', NULL, NULL), (31540, '', '斯玛都村', 'e3b5eb7719fc459b8d67a3dab1cf7742', 'e1b6f2f08a1d4c2eaff6319bfc048376', 'False', 'True', 'false', 'false', '513226101200', 5, '斯玛都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226101200', 1, '2021-07-19 12:04:34', NULL, NULL), (31541, '', '依生村', '2e52fe3496844296943c8fb4f1a47246', 'e1b6f2f08a1d4c2eaff6319bfc048376', 'False', 'True', 'false', 'false', '513226101201', 5, '依生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226101201', 1, '2021-07-19 12:04:34', NULL, NULL), (31542, '', '观音村', '47aac4e5d7294c7b9d310da3e30e1ed6', 'e1b6f2f08a1d4c2eaff6319bfc048376', 'False', 'True', 'false', 'false', '513226101202', 5, '观音村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226101202', 1, '2021-07-19 12:04:34', NULL, NULL), (31543, '', '石旁村', '2cf9aace64fb4b25aca2eae0e2919602', 'e1b6f2f08a1d4c2eaff6319bfc048376', 'False', 'True', 'false', 'false', '513226101203', 5, '石旁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226101203', 1, '2021-07-19 12:04:34', NULL, NULL), (31544, '', '斯滔村', '0e0a2c1907c9499ebe548b6d1031d843', 'e1b6f2f08a1d4c2eaff6319bfc048376', 'False', 'True', 'false', 'false', '513226101204', 5, '斯滔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226101204', 1, '2021-07-19 12:04:34', NULL, NULL), (31545, '', '麦斯卡村', '941fe3888d2047219770899b66e43f1a', 'e1b6f2f08a1d4c2eaff6319bfc048376', 'False', 'True', 'false', 'false', '513226101205', 5, '麦斯卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226101205', 1, '2021-07-19 12:04:34', NULL, NULL), (31546, '', '安宁镇', '5da0c92b25d546d8ac3cb152e459854b', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226102000', 4, '安宁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226102000', 1, '2021-07-19 12:04:34', NULL, NULL), (31547, '', '安宁村', '761277567e31432abf2d4306cbb20691', '5da0c92b25d546d8ac3cb152e459854b', 'False', 'True', 'false', 'false', '513226102200', 5, '安宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226102200', 1, '2021-07-19 12:04:34', NULL, NULL), (31548, '', '莫莫扎村', '2f637fff91cd440db46533703608eae4', '5da0c92b25d546d8ac3cb152e459854b', 'False', 'True', 'false', 'false', '513226102201', 5, '莫莫扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226102201', 1, '2021-07-19 12:04:34', NULL, NULL), (31549, '', '八角碉村', '4242b7f3eaae4c8d82bb62c288aee8d1', '5da0c92b25d546d8ac3cb152e459854b', 'False', 'True', 'false', 'false', '513226102202', 5, '八角碉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226102202', 1, '2021-07-19 12:04:34', NULL, NULL), (31550, '', '炭厂沟村', 'da85c765bd884d31b17951a6662b9c8f', '5da0c92b25d546d8ac3cb152e459854b', 'False', 'True', 'false', 'false', '513226102203', 5, '炭厂沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226102203', 1, '2021-07-19 12:04:34', NULL, NULL), (31551, '', '勒乌镇', '9da78565d62b4d8c89d94fa865cd60fb', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226103000', 4, '勒乌镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226103000', 1, '2021-07-19 12:04:34', NULL, NULL), (31552, '', '勒乌镇沐林社区', 'ac66d0829b99461982b5ba584e64aaac', '9da78565d62b4d8c89d94fa865cd60fb', 'False', 'True', 'false', 'false', '513226103019', 5, '勒乌镇沐林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226103019', 1, '2021-07-19 12:04:34', NULL, NULL), (31553, '', '勒乌镇城北社区', '1778323df60a4d8cbc2cde60053ae3dc', '9da78565d62b4d8c89d94fa865cd60fb', 'False', 'True', 'false', 'false', '513226103111', 5, '勒乌镇城北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226103111', 1, '2021-07-19 12:04:35', NULL, NULL), (31554, '', '龙河村', '8f69f8965dfa4c59ab35f145b24983ad', '9da78565d62b4d8c89d94fa865cd60fb', 'False', 'True', 'false', 'false', '513226103200', 5, '龙河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226103200', 1, '2021-07-19 12:04:35', NULL, NULL), (31555, '', '安顺村', 'e0921917746c4b00809e74fa6f3db6d0', '9da78565d62b4d8c89d94fa865cd60fb', 'False', 'True', 'false', 'false', '513226103201', 5, '安顺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226103201', 1, '2021-07-19 12:04:35', NULL, NULL), (31556, '', '八步里村', 'cf7d1b100fb240cd91662cdaf903fa41', '9da78565d62b4d8c89d94fa865cd60fb', 'False', 'True', 'false', 'false', '513226103202', 5, '八步里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226103202', 1, '2021-07-19 12:04:35', NULL, NULL), (31557, '', '角木牛村', 'f902978cb42d47eea3cd9df20fce008b', '9da78565d62b4d8c89d94fa865cd60fb', 'False', 'True', 'false', 'false', '513226103203', 5, '角木牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226103203', 1, '2021-07-19 12:04:35', NULL, NULL), (31558, '', '前锋村', '8b31a3c23b964c9599bb8ee58a742ecb', '9da78565d62b4d8c89d94fa865cd60fb', 'False', 'True', 'false', 'false', '513226103204', 5, '前锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226103204', 1, '2021-07-19 12:04:35', NULL, NULL), (31559, '', '马厂村', '2ecfd1193c2949ceb73f7f3d258ee43d', '9da78565d62b4d8c89d94fa865cd60fb', 'False', 'True', 'false', 'false', '513226103205', 5, '马厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226103205', 1, '2021-07-19 12:04:35', NULL, NULL), (31560, '', '大坪村', '4894e1f58ddf4caa93ef761a3cfb7efb', '9da78565d62b4d8c89d94fa865cd60fb', 'False', 'True', 'false', 'false', '513226103206', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226103206', 1, '2021-07-19 12:04:35', NULL, NULL), (31561, '', '新开村', '84df697b2c7940a6819e74a45851234f', '9da78565d62b4d8c89d94fa865cd60fb', 'False', 'True', 'false', 'false', '513226103207', 5, '新开村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226103207', 1, '2021-07-19 12:04:35', NULL, NULL), (31562, '', '云盘村', '3c2bea23359f44bf9838e3950645cbcc', '9da78565d62b4d8c89d94fa865cd60fb', 'False', 'True', 'false', 'false', '513226103208', 5, '云盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226103208', 1, '2021-07-19 12:04:35', NULL, NULL), (31563, '', '勒乌镇城南社区', 'f5606f7edcf5478d941405baa7719bb2', '9da78565d62b4d8c89d94fa865cd60fb', 'False', 'True', 'false', 'false', '513226103361', 5, '勒乌镇城南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226103361', 1, '2021-07-19 12:04:35', NULL, NULL), (31564, '', '沙耳乡', '78b276068cc24b34a29bac939b4b6bbd', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226200000', 4, '沙耳乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226200000', 1, '2021-07-19 12:04:35', NULL, NULL), (31565, '', '丹扎木村', 'fade98bc194948349c3f3f5c248e8268', '78b276068cc24b34a29bac939b4b6bbd', 'False', 'True', 'false', 'false', '513226200200', 5, '丹扎木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226200200', 1, '2021-07-19 12:04:35', NULL, NULL), (31566, '', '石达安村', 'b29a5aa5d985428d946a0667ac986723', '78b276068cc24b34a29bac939b4b6bbd', 'False', 'True', 'false', 'false', '513226200201', 5, '石达安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226200201', 1, '2021-07-19 12:04:35', NULL, NULL), (31567, '', '山埂子村', '66e3493220814d0a9df304e25eff05cf', '78b276068cc24b34a29bac939b4b6bbd', 'False', 'True', 'false', 'false', '513226200202', 5, '山埂子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226200202', 1, '2021-07-19 12:04:35', NULL, NULL), (31568, '', '克尔玛村', 'c5bc7e06792d4ce78f12d8a741ecce52', '78b276068cc24b34a29bac939b4b6bbd', 'False', 'True', 'false', 'false', '513226200203', 5, '克尔玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226200203', 1, '2021-07-19 12:04:35', NULL, NULL), (31569, '', '沙耳尼村', '65768258048b45dcbeb9d2903adb417b', '78b276068cc24b34a29bac939b4b6bbd', 'False', 'True', 'false', 'false', '513226200204', 5, '沙耳尼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226200204', 1, '2021-07-19 12:04:35', NULL, NULL), (31570, '', '园艺场村', '7577ad46956740cf9c9fce288fbd8cbe', '78b276068cc24b34a29bac939b4b6bbd', 'False', 'True', 'false', 'false', '513226200205', 5, '园艺场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226200205', 1, '2021-07-19 12:04:36', NULL, NULL), (31571, '', '庆宁乡', '2ccc4a759cca4deb80ea46c72ac0b00d', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226201000', 4, '庆宁乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226201000', 1, '2021-07-19 12:04:36', NULL, NULL), (31572, '', '团结村', 'cf20a8aaec5d4b17a55f2796b1441a5a', '2ccc4a759cca4deb80ea46c72ac0b00d', 'False', 'True', 'false', 'false', '513226201200', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226201200', 1, '2021-07-19 12:04:36', NULL, NULL), (31573, '', '马厂村', 'dc130a8973644905815ab59e8e1e97bf', '2ccc4a759cca4deb80ea46c72ac0b00d', 'False', 'True', 'false', 'false', '513226201201', 5, '马厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226201201', 1, '2021-07-19 12:04:36', NULL, NULL), (31574, '', '庆宁村', '586daec475a247c4a6c8660376959332', '2ccc4a759cca4deb80ea46c72ac0b00d', 'False', 'True', 'false', 'false', '513226201202', 5, '庆宁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226201202', 1, '2021-07-19 12:04:36', NULL, NULL), (31575, '', '松坪村', 'be28b1c3488a4d9bbd1f4a0431d5ccec', '2ccc4a759cca4deb80ea46c72ac0b00d', 'False', 'True', 'false', 'false', '513226201203', 5, '松坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226201203', 1, '2021-07-19 12:04:36', NULL, NULL), (31576, '', '新沙村', '42c139fe55db4435b9f5276d8b3f8cd1', '2ccc4a759cca4deb80ea46c72ac0b00d', 'False', 'True', 'false', 'false', '513226201204', 5, '新沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226201204', 1, '2021-07-19 12:04:36', NULL, NULL), (31577, '', '咯尔西', 'bc9ac5be0c63427a8f6936480905c7c5', '2ccc4a759cca4deb80ea46c72ac0b00d', 'False', 'True', 'false', 'false', '513226201205', 5, '咯尔西', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226201205', 1, '2021-07-19 12:04:36', NULL, NULL), (31578, '', '咯尔乡', '1d2465433a934a88b0fabdb3b345a188', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226202000', 4, '咯尔乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226202000', 1, '2021-07-19 12:04:36', NULL, NULL), (31579, '', '金江村', 'c354500f82834b7c943315f3fb54aa13', '1d2465433a934a88b0fabdb3b345a188', 'False', 'True', 'false', 'false', '513226202200', 5, '金江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226202200', 1, '2021-07-19 12:04:36', NULL, NULL), (31580, '', '复兴村', '3acdd3b1df8a4c74bac630463ee40288', '1d2465433a934a88b0fabdb3b345a188', 'False', 'True', 'false', 'false', '513226202201', 5, '复兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226202201', 1, '2021-07-19 12:04:36', NULL, NULL), (31581, '', '德胜村', '3e54ef5e43574534bfcebf1c17804fa8', '1d2465433a934a88b0fabdb3b345a188', 'False', 'True', 'false', 'false', '513226202202', 5, '德胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226202202', 1, '2021-07-19 12:04:36', NULL, NULL), (31582, '', '五甲村', '1bcc202380d34e1d9206fcaa56a7a4d9', '1d2465433a934a88b0fabdb3b345a188', 'False', 'True', 'false', 'false', '513226202203', 5, '五甲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226202203', 1, '2021-07-19 12:04:36', NULL, NULL), (31583, '', '河东乡', '45a2ac744c56477d963d51b82c34cd7a', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226205000', 4, '河东乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226205000', 1, '2021-07-19 12:04:36', NULL, NULL), (31584, '', '八字口村', '106230773c244164b52bed2fa9df39a8', '45a2ac744c56477d963d51b82c34cd7a', 'False', 'True', 'false', 'false', '513226205200', 5, '八字口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226205200', 1, '2021-07-19 12:04:36', NULL, NULL), (31585, '', '科尔纳村', '10a1a3a39b9a4086b3f4744543627a2d', '45a2ac744c56477d963d51b82c34cd7a', 'False', 'True', 'false', 'false', '513226205201', 5, '科尔纳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226205201', 1, '2021-07-19 12:04:36', NULL, NULL), (31586, '', '达尔甲村', '201dad40a7b0410bb081a23946772a90', '45a2ac744c56477d963d51b82c34cd7a', 'False', 'True', 'false', 'false', '513226205202', 5, '达尔甲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226205202', 1, '2021-07-19 12:04:36', NULL, NULL), (31587, '', '结木村', '5e888a048e0d441e94111e69c9e6006d', '45a2ac744c56477d963d51b82c34cd7a', 'False', 'True', 'false', 'false', '513226205203', 5, '结木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226205203', 1, '2021-07-19 12:04:36', NULL, NULL), (31588, '', '河西乡', '1b4b2dc622394a418ba4d397468fd510', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226206000', 4, '河西乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226206000', 1, '2021-07-19 12:04:36', NULL, NULL), (31589, '', '甲咱村', 'c4a5a7cc942c4a0e916c0edbed9e5e34', '1b4b2dc622394a418ba4d397468fd510', 'False', 'True', 'false', 'false', '513226206200', 5, '甲咱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226206200', 1, '2021-07-19 12:04:36', NULL, NULL), (31590, '', '马道村', '00851a9f011c4e35882e6c1f8623b2a4', '1b4b2dc622394a418ba4d397468fd510', 'False', 'True', 'false', 'false', '513226206201', 5, '马道村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226206201', 1, '2021-07-19 12:04:36', NULL, NULL), (31591, '', '乃当村', 'e453686c37e34ed789c78a48a98bb6d8', '1b4b2dc622394a418ba4d397468fd510', 'False', 'True', 'false', 'false', '513226206202', 5, '乃当村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226206202', 1, '2021-07-19 12:04:36', NULL, NULL), (31592, '', '杨家湾村', '8760d31bb66447fb8a460e21b056d2ad', '1b4b2dc622394a418ba4d397468fd510', 'False', 'True', 'false', 'false', '513226206204', 5, '杨家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226206204', 1, '2021-07-19 12:04:37', NULL, NULL), (31593, '', '木居里村', '8201107e338a4eaeb06e69f790894131', '1b4b2dc622394a418ba4d397468fd510', 'False', 'True', 'false', 'false', '513226206205', 5, '木居里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226206205', 1, '2021-07-19 12:04:37', NULL, NULL), (31594, '', '集沐乡', '936c6c3109d64956ab1981feb2cb23a4', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226207000', 4, '集沐乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226207000', 1, '2021-07-19 12:04:37', NULL, NULL), (31595, '', '周山村', 'bdadcb1325f148d4afb5cd626fea346f', '936c6c3109d64956ab1981feb2cb23a4', 'False', 'True', 'false', 'false', '513226207200', 5, '周山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226207200', 1, '2021-07-19 12:04:37', NULL, NULL), (31596, '', '雅京村', '651b049c19dd493f960601bfa9085c22', '936c6c3109d64956ab1981feb2cb23a4', 'False', 'True', 'false', 'false', '513226207201', 5, '雅京村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226207201', 1, '2021-07-19 12:04:37', NULL, NULL), (31597, '', '根扎村', 'f60d24fa29b24a11aa84bfc46ada5b8a', '936c6c3109d64956ab1981feb2cb23a4', 'False', 'True', 'false', 'false', '513226207202', 5, '根扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226207202', 1, '2021-07-19 12:04:37', NULL, NULL), (31598, '', '业隆村', 'ee2cdffde1ad43cc8e8fb0764625a3a5', '936c6c3109d64956ab1981feb2cb23a4', 'False', 'True', 'false', 'false', '513226207203', 5, '业隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226207203', 1, '2021-07-19 12:04:37', NULL, NULL), (31599, '', '撒瓦脚乡', 'c06e0dfb88b841d595285c59ef239c51', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226208000', 4, '撒瓦脚乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226208000', 1, '2021-07-19 12:04:37', NULL, NULL), (31600, '', '甲布脚村', 'e1d8a7e56e704307ab85ae6140093de2', 'c06e0dfb88b841d595285c59ef239c51', 'False', 'True', 'false', 'false', '513226208200', 5, '甲布脚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226208200', 1, '2021-07-19 12:04:37', NULL, NULL), (31601, '', '木赤村', '1d7f9ce7448349539c528a3fb3f36d4f', 'c06e0dfb88b841d595285c59ef239c51', 'False', 'True', 'false', 'false', '513226208201', 5, '木赤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226208201', 1, '2021-07-19 12:04:37', NULL, NULL), (31602, '', '阿拉学村', 'a7d570a3c42d4cfa9974f827ba51ec98', 'c06e0dfb88b841d595285c59ef239c51', 'False', 'True', 'false', 'false', '513226208202', 5, '阿拉学村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226208202', 1, '2021-07-19 12:04:37', NULL, NULL), (31603, '', '柔热尔村', '2699569581f94125965ed9a5e5251b22', 'c06e0dfb88b841d595285c59ef239c51', 'False', 'True', 'false', 'false', '513226208203', 5, '柔热尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226208203', 1, '2021-07-19 12:04:37', NULL, NULL), (31604, '', '卡拉脚乡', '3de4c5d1609443be816d5b99d6252870', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226209000', 4, '卡拉脚乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226209000', 1, '2021-07-19 12:04:37', NULL, NULL), (31605, '', '布基村', '45dfb8e7c74142128f4d100e0ff3f173', '3de4c5d1609443be816d5b99d6252870', 'False', 'True', 'false', 'false', '513226209200', 5, '布基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226209200', 1, '2021-07-19 12:04:37', NULL, NULL), (31606, '', '玛木都村', '8df16189dd67458f93225cc3df4a4785', '3de4c5d1609443be816d5b99d6252870', 'False', 'True', 'false', 'false', '513226209201', 5, '玛木都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226209201', 1, '2021-07-19 12:04:37', NULL, NULL), (31607, '', '二普鲁村', '5de5bad49eae41b58bb3bf1f61f5d21a', '3de4c5d1609443be816d5b99d6252870', 'False', 'True', 'false', 'false', '513226209202', 5, '二普鲁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226209202', 1, '2021-07-19 12:04:37', NULL, NULL), (31608, '', '俄热乡', '55e49c64bb72469eb2f3b05486642fdf', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226210000', 4, '俄热乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226210000', 1, '2021-07-19 12:04:37', NULL, NULL), (31609, '', '科山村', '09a776c50c9748beaefd0c72c8c16432', '55e49c64bb72469eb2f3b05486642fdf', 'False', 'True', 'false', 'false', '513226210200', 5, '科山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226210200', 1, '2021-07-19 12:04:37', NULL, NULL), (31610, '', '依斗村', 'bcde57a18ef34b5795fcfb34138b5360', '55e49c64bb72469eb2f3b05486642fdf', 'False', 'True', 'false', 'false', '513226210201', 5, '依斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226210201', 1, '2021-07-19 12:04:37', NULL, NULL), (31611, '', '英不汝村', '58fb5cae7fd8461aa838dedf1d4d7ce8', '55e49c64bb72469eb2f3b05486642fdf', 'False', 'True', 'false', 'false', '513226210202', 5, '英不汝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226210202', 1, '2021-07-19 12:04:37', NULL, NULL), (31612, '', '烧热村', '44ff1ff66ac94c709b36cd68dc618864', '55e49c64bb72469eb2f3b05486642fdf', 'False', 'True', 'false', 'false', '513226210203', 5, '烧热村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226210203', 1, '2021-07-19 12:04:38', NULL, NULL), (31613, '', '二楷村', '10552ddde97e4bb1a5cd223132b1d7fa', '55e49c64bb72469eb2f3b05486642fdf', 'False', 'True', 'false', 'false', '513226210204', 5, '二楷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226210204', 1, '2021-07-19 12:04:38', NULL, NULL), (31614, '', '嘎斯都村', 'c876a40d128946ddb2930441638a1d16', '55e49c64bb72469eb2f3b05486642fdf', 'False', 'True', 'false', 'false', '513226210205', 5, '嘎斯都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226210205', 1, '2021-07-19 12:04:38', NULL, NULL), (31615, '', '马尼柯村', '4e5f5efe855f4000addfc9c2d30c27d3', '55e49c64bb72469eb2f3b05486642fdf', 'False', 'True', 'false', 'false', '513226210206', 5, '马尼柯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226210206', 1, '2021-07-19 12:04:38', NULL, NULL), (31616, '', '二嘎里乡', 'b0d6638e8cd547599b66e1462391e231', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226212000', 4, '二嘎里乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226212000', 1, '2021-07-19 12:04:38', NULL, NULL), (31617, '', '二嘎里村', '3ece049812024a1fa02f5bfc8369d5dc', 'b0d6638e8cd547599b66e1462391e231', 'False', 'True', 'false', 'false', '513226212200', 5, '二嘎里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226212200', 1, '2021-07-19 12:04:38', NULL, NULL), (31618, '', '查拉沟村', '15e0ac0c3b0b4f65aab03ceb3092dc14', 'b0d6638e8cd547599b66e1462391e231', 'False', 'True', 'false', 'false', '513226212201', 5, '查拉沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226212201', 1, '2021-07-19 12:04:38', NULL, NULL), (31619, '', '俄枯村', 'ecb33d9f5d3549e4b712f3abc6598094', 'b0d6638e8cd547599b66e1462391e231', 'False', 'True', 'false', 'false', '513226212202', 5, '俄枯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226212202', 1, '2021-07-19 12:04:38', NULL, NULL), (31620, '', '四甲壁村', '683c9e1190c94f20b3aa42bf87931790', 'b0d6638e8cd547599b66e1462391e231', 'False', 'True', 'false', 'false', '513226212203', 5, '四甲壁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226212203', 1, '2021-07-19 12:04:38', NULL, NULL), (31621, '', '雅夏村', '57404e234d4a4456ac6e8736e84cfa3c', 'b0d6638e8cd547599b66e1462391e231', 'False', 'True', 'false', 'false', '513226212204', 5, '雅夏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226212204', 1, '2021-07-19 12:04:38', NULL, NULL), (31622, '', '温不汝村', '339bf4d7176b47f4a4dfca40ecdaab58', 'b0d6638e8cd547599b66e1462391e231', 'False', 'True', 'false', 'false', '513226212205', 5, '温不汝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226212205', 1, '2021-07-19 12:04:38', NULL, NULL), (31623, '', '白塔村', '10e50bc9501042a6b2707f224f9ad03b', 'b0d6638e8cd547599b66e1462391e231', 'False', 'True', 'false', 'false', '513226212206', 5, '白塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226212206', 1, '2021-07-19 12:04:38', NULL, NULL), (31624, '', '阿科里乡', 'acf18a80020b453aa648b4da7d5d901e', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226213000', 4, '阿科里乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226213000', 1, '2021-07-19 12:04:38', NULL, NULL), (31625, '', '铁基村', '0807fdff3b3d4f2baf86c543345550a5', 'acf18a80020b453aa648b4da7d5d901e', 'False', 'True', 'false', 'false', '513226213201', 5, '铁基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226213201', 1, '2021-07-19 12:04:38', NULL, NULL), (31626, '', '阿科里村', 'ccc9b2e143fa409a875be09847bf8d29', 'acf18a80020b453aa648b4da7d5d901e', 'False', 'True', 'false', 'false', '513226213202', 5, '阿科里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226213202', 1, '2021-07-19 12:04:38', NULL, NULL), (31627, '', '卡撒乡', 'ff424daaaee64da88a3babb56170f18a', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226215000', 4, '卡撒乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226215000', 1, '2021-07-19 12:04:39', NULL, NULL), (31628, '', '脚姆塘村', 'bad001471718436c8051fad44025fe5e', 'ff424daaaee64da88a3babb56170f18a', 'False', 'True', 'false', 'false', '513226215200', 5, '脚姆塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226215200', 1, '2021-07-19 12:04:39', NULL, NULL), (31629, '', '色尔岭村', '32e95b12bca644da8cd7315a3ca91f89', 'ff424daaaee64da88a3babb56170f18a', 'False', 'True', 'false', 'false', '513226215201', 5, '色尔岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226215201', 1, '2021-07-19 12:04:39', NULL, NULL), (31630, '', '巴拉塘村', 'f86af7fbadeb43ac837ae1d007505a96', 'ff424daaaee64da88a3babb56170f18a', 'False', 'True', 'false', 'false', '513226215202', 5, '巴拉塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226215202', 1, '2021-07-19 12:04:39', NULL, NULL), (31631, '', '马场村', '56dbf6ad55f1415abbb26b1d7b31a52f', 'ff424daaaee64da88a3babb56170f18a', 'False', 'True', 'false', 'false', '513226215203', 5, '马场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226215203', 1, '2021-07-19 12:04:39', NULL, NULL), (31632, '', '猫碉村', 'bf640344432d44c7a4f095d8f99384fc', 'ff424daaaee64da88a3babb56170f18a', 'False', 'True', 'false', 'false', '513226215204', 5, '猫碉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226215204', 1, '2021-07-19 12:04:39', NULL, NULL), (31633, '', '三埂子村', 'e71e118ceda7433fbab8206f5ce07dab', 'ff424daaaee64da88a3babb56170f18a', 'False', 'True', 'false', 'false', '513226215206', 5, '三埂子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226215206', 1, '2021-07-19 12:04:39', NULL, NULL), (31634, '', '曾达乡', '17c2b3c348f04b82bfcddfbe3fdf6829', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226216000', 4, '曾达乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226216000', 1, '2021-07-19 12:04:39', NULL, NULL), (31635, '', '曾达村', 'dfbd2163127441479a3600ab3795c31a', '17c2b3c348f04b82bfcddfbe3fdf6829', 'False', 'True', 'false', 'false', '513226216200', 5, '曾达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226216200', 1, '2021-07-19 12:04:39', NULL, NULL), (31636, '', '木尔都村', '559d71639aea426c9c1990cf845c35a2', '17c2b3c348f04b82bfcddfbe3fdf6829', 'False', 'True', 'false', 'false', '513226216202', 5, '木尔都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226216202', 1, '2021-07-19 12:04:39', NULL, NULL), (31637, '', '坛罐窑村', '5ff59a4d1f51428980b4dafe0d34246d', '17c2b3c348f04b82bfcddfbe3fdf6829', 'False', 'True', 'false', 'false', '513226216203', 5, '坛罐窑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226216203', 1, '2021-07-19 12:04:39', NULL, NULL), (31638, '', '倪家坪村', '130e3a498800403a9c5e79fdc4c1c047', '17c2b3c348f04b82bfcddfbe3fdf6829', 'False', 'True', 'false', 'false', '513226216204', 5, '倪家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226216204', 1, '2021-07-19 12:04:39', NULL, NULL), (31639, '', '大沟村', '58564616df454ed38b50a689e50a7ee6', '17c2b3c348f04b82bfcddfbe3fdf6829', 'False', 'True', 'false', 'false', '513226216206', 5, '大沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226216206', 1, '2021-07-19 12:04:39', NULL, NULL), (31640, '', '独松乡', '5607c471f5ac4bd79a504327e88d8d9c', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226217000', 4, '独松乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226217000', 1, '2021-07-19 12:04:39', NULL, NULL), (31641, '', '卡苏村', '8b71a84986f040a7a89b0f121d09e0b8', '5607c471f5ac4bd79a504327e88d8d9c', 'False', 'False', 'false', 'false', '513226202250', 5, 'KSC', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226202250', 1, '2021-07-19 12:04:39', NULL, NULL), (31642, '', '卡拉塘村', 'e00875041f474536bd1495d6f1525aec', '5607c471f5ac4bd79a504327e88d8d9c', 'False', 'True', 'false', 'false', '513226217200', 5, '卡拉塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226217200', 1, '2021-07-19 12:04:39', NULL, NULL), (31643, '', '正里塘村', '23084db4b0b54bc58c442e2a17dbfea5', '5607c471f5ac4bd79a504327e88d8d9c', 'False', 'True', 'false', 'false', '513226217201', 5, '正里塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226217201', 1, '2021-07-19 12:04:40', NULL, NULL), (31644, '', '嘎五岭村', '18b028c9b6f9472081f03f8fc2a21a18', '5607c471f5ac4bd79a504327e88d8d9c', 'False', 'True', 'false', 'false', '513226217202', 5, '嘎五岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226217202', 1, '2021-07-19 12:04:40', NULL, NULL), (31645, '', '马奈镇', '0ba3e1db072242f789f95564ec9543f8', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226219000', 4, '马奈镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226219000', 1, '2021-07-19 12:04:40', NULL, NULL), (31646, '', '卡卡足村', 'a86778f3199b412e83053a755c653b9c', '0ba3e1db072242f789f95564ec9543f8', 'False', 'False', 'false', 'false', '513226219200', 5, '卡卡足村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226219200', 1, '2021-07-19 12:04:40', NULL, NULL), (31647, '', '耿扎村', '5576d6781ee842fd8ea73eff29c174a3', '0ba3e1db072242f789f95564ec9543f8', 'False', 'True', 'false', 'false', '513226219201', 5, '耿扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226219201', 1, '2021-07-19 12:04:40', NULL, NULL), (31648, '', '毛日乡', '4c2d810559d7493388cae113a424da1c', 'c12e8f04ac2c4f8c8e01dc1dd0e669d0', 'True', 'True', 'false', 'false', '513226220000', 4, '毛日乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513226220000', 1, '2021-07-19 12:04:40', NULL, NULL), (31649, '', '撒尔脚村', '8955a77409a74c0c82f2c757d2fef8b9', '4c2d810559d7493388cae113a424da1c', 'False', 'True', 'false', 'false', '513226220200', 5, '撒尔脚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226220200', 1, '2021-07-19 12:04:40', NULL, NULL), (31650, '', '热它村', 'f0012df6db2c44f2a1d58ed572b7a3df', '4c2d810559d7493388cae113a424da1c', 'False', 'True', 'false', 'false', '513226220201', 5, '热它村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226220201', 1, '2021-07-19 12:04:40', NULL, NULL), (31651, '', '壳它村', '8f81a88a23264c258d2662d498eaf6a4', '4c2d810559d7493388cae113a424da1c', 'False', 'True', 'false', 'false', '513226220202', 5, '壳它村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226220202', 1, '2021-07-19 12:04:40', NULL, NULL), (31652, '', '毛日村', '919a7c2af95649db9dff407261b058d7', '4c2d810559d7493388cae113a424da1c', 'False', 'True', 'false', 'false', '513226220203', 5, '毛日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226220203', 1, '2021-07-19 12:04:40', NULL, NULL), (31653, '', '甲克村', '72d802e111874f4dbece11ee5cb167f9', '4c2d810559d7493388cae113a424da1c', 'False', 'True', 'false', 'false', '513226220204', 5, '甲克村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226220204', 1, '2021-07-19 12:04:40', NULL, NULL), (31654, '', '伊生村', '5bdca0dd05f343e680db6c9510d86fdc', '4c2d810559d7493388cae113a424da1c', 'False', 'True', 'false', 'false', '513226220205', 5, '伊生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226220205', 1, '2021-07-19 12:04:40', NULL, NULL), (31655, '', '七一村', '3a971771a2c44831894e1ad3b692ce30', '4c2d810559d7493388cae113a424da1c', 'False', 'True', 'false', 'false', '513226220206', 5, '七一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513226220206', 1, '2021-07-19 12:04:40', NULL, NULL), (31656, '', '小金县', '64526123cbe5425799dbb9f8885fbb91', 'bd453af225f84ab8af7b1fca05ac83ed', 'True', 'True', 'false', 'false', '513227000000', 3, '小金县', 'abzxjx.sczwfw.gov.cn', 1, '2021-07-19 12:04:40', NULL, NULL), (31657, '', '美兴镇', '166d8dd3806b44728decbac36fa722e3', '64526123cbe5425799dbb9f8885fbb91', 'True', 'True', 'false', 'false', '513227100000', 4, '美兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513227100000', 1, '2021-07-19 12:04:40', NULL, NULL), (31658, '', '大水沟村民委员会', '7f33c37480414656996986b78717dcbc', '166d8dd3806b44728decbac36fa722e3', 'False', 'False', 'false', 'false', '513227100149', 5, '大水沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227100149', 1, '2021-07-19 12:04:41', NULL, NULL), (31659, '', '老营村民委员会', '42d8e1ab93b04c158f0e96baa37d752c', '166d8dd3806b44728decbac36fa722e3', 'False', 'False', 'false', 'false', '513227100553', 5, '老营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227100553', 1, '2021-07-19 12:04:41', NULL, NULL), (31660, '', '下马厂村民委员会', '66eeef72d9434884b325916475f39d0c', '166d8dd3806b44728decbac36fa722e3', 'False', 'False', 'false', 'false', '513227100621', 5, '下马厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227100621', 1, '2021-07-19 12:04:41', NULL, NULL), (31661, '', '新街社区居民委员会', '06a11f238ca4471893a046c6e3d28104', '166d8dd3806b44728decbac36fa722e3', 'False', 'True', 'false', 'false', '513227100001', 5, '新街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227100001', 1, '2021-07-19 12:04:41', NULL, NULL), (31662, '', '营盘社区居民委员会', 'dc1da842e2d04a4a950bd4c55173aed3', '166d8dd3806b44728decbac36fa722e3', 'False', 'True', 'false', 'false', '513227100002', 5, '营盘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227100002', 1, '2021-07-19 12:04:41', NULL, NULL), (31663, '', '营盘村民委员会', '7635a6395a1d40538ac5770ab522efc8', '166d8dd3806b44728decbac36fa722e3', 'False', 'True', 'false', 'false', '513227100201', 5, '营盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227100201', 1, '2021-07-19 12:04:41', NULL, NULL), (31664, '', '美兴村民委员会', 'cc56239e134e4f999dd2fe752998c720', '166d8dd3806b44728decbac36fa722e3', 'False', 'True', 'false', 'false', '513227100202', 5, '美兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227100202', 1, '2021-07-19 12:04:41', NULL, NULL), (31665, '', '石灰村民委员会', 'b3c56a4bb1294490ad5143e661dd3c41', '166d8dd3806b44728decbac36fa722e3', 'False', 'True', 'false', 'false', '513227100203', 5, '石灰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227100203', 1, '2021-07-19 12:04:41', NULL, NULL), (31666, '', '马桑村民委员会', 'd5f1ffb66fdd41a2894fd5fe8762ad3d', '166d8dd3806b44728decbac36fa722e3', 'False', 'True', 'false', 'false', '513227100204', 5, '马桑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227100204', 1, '2021-07-19 12:04:41', NULL, NULL), (31667, '', '卯梁村民委员会', '4307eac135cd4172954961b7064ea8ba', '166d8dd3806b44728decbac36fa722e3', 'False', 'True', 'false', 'false', '513227100205', 5, '卯梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227100205', 1, '2021-07-19 12:04:41', NULL, NULL), (31668, '', '茂阳村民委员会', '67b95a33e64148ccb95b5c9afb2d0ce3', '166d8dd3806b44728decbac36fa722e3', 'False', 'True', 'false', 'false', '513227100206', 5, '茂阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227100206', 1, '2021-07-19 12:04:41', NULL, NULL), (31669, '', '大坝村民委员会', '4c9ab121fe514b76b7afb2acaad28efc', '166d8dd3806b44728decbac36fa722e3', 'False', 'True', 'false', 'false', '513227100207', 5, '大坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227100207', 1, '2021-07-19 12:04:41', NULL, NULL), (31670, '', '春厂村民委员会', 'fd5272535b674b2993d8d6f7f24b7306', '166d8dd3806b44728decbac36fa722e3', 'False', 'True', 'false', 'false', '513227100208', 5, '春厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227100208', 1, '2021-07-19 12:04:41', NULL, NULL), (31671, '', '四姑娘山镇', '805e5cbc76f746d187cf0e0c33645bc6', '64526123cbe5425799dbb9f8885fbb91', 'True', 'True', 'false', 'false', '513227101000', 4, '四姑娘山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513227101000', 1, '2021-07-19 12:04:41', NULL, NULL), (31672, '', '金锋村民委员会', '9ce807256c7a473c8b19f4b0106bc498', '805e5cbc76f746d187cf0e0c33645bc6', 'False', 'True', 'false', 'false', '513227101200', 5, '金锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227101200', 1, '2021-07-19 12:04:42', NULL, NULL), (31673, '', '长坪村民委员会', 'c09154d0c5784264b4c308103cb5455e', '805e5cbc76f746d187cf0e0c33645bc6', 'False', 'True', 'false', 'false', '513227101201', 5, '长坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227101201', 1, '2021-07-19 12:04:42', NULL, NULL), (31674, '', '双碉村民委员会', '36c6ca763f79486898ad601f807a09b8', '805e5cbc76f746d187cf0e0c33645bc6', 'False', 'True', 'false', 'false', '513227101202', 5, '双碉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227101202', 1, '2021-07-19 12:04:42', NULL, NULL), (31675, '', '双桥村民委员会', '2f52e4d34dbd4bfbb468b6594e3ff984', '805e5cbc76f746d187cf0e0c33645bc6', 'False', 'True', 'false', 'false', '513227101203', 5, '双桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227101203', 1, '2021-07-19 12:04:42', NULL, NULL), (31676, '', '沙坝村民委员会', '2d202de8c2904d579cacc3ee84048eff', '805e5cbc76f746d187cf0e0c33645bc6', 'False', 'True', 'false', 'false', '513227101204', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227101204', 1, '2021-07-19 12:04:42', NULL, NULL), (31677, '', '两河口镇', '6ec59970a903450c88d9458c5eb4c6c0', '64526123cbe5425799dbb9f8885fbb91', 'True', 'True', 'false', 'false', '513227102000', 4, '两河口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513227102000', 1, '2021-07-19 12:04:42', NULL, NULL), (31678, '', '两河村民委员会', '3457626d0fff48df8b60779f1fe0d3db', '6ec59970a903450c88d9458c5eb4c6c0', 'False', 'True', 'false', 'false', '513227102200', 5, '两河村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227102200', 1, '2021-07-19 12:04:42', NULL, NULL), (31679, '', '虹光村民委员会', '96a1b1dfe9a7468cab09bc6c6338f0e4', '6ec59970a903450c88d9458c5eb4c6c0', 'False', 'True', 'false', 'false', '513227102201', 5, '虹光村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227102201', 1, '2021-07-19 12:04:42', NULL, NULL), (31680, '', '大寨村民委员会', '8766b3a117ff449c96f79370a763943b', '6ec59970a903450c88d9458c5eb4c6c0', 'False', 'True', 'false', 'false', '513227102202', 5, '大寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227102202', 1, '2021-07-19 12:04:42', NULL, NULL), (31681, '', '油房村民委员会', '613bdd3e83694f6986075d7d68c1ef26', '6ec59970a903450c88d9458c5eb4c6c0', 'False', 'True', 'false', 'false', '513227102203', 5, '油房村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227102203', 1, '2021-07-19 12:04:42', NULL, NULL), (31682, '', '科牛村民委员会', '35c9b316c4c5461dbd45276fa243be7a', '6ec59970a903450c88d9458c5eb4c6c0', 'False', 'True', 'false', 'false', '513227102205', 5, '科牛村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227102205', 1, '2021-07-19 12:04:42', NULL, NULL), (31683, '', '大板村民委员会', '1d407b5ab42b4108b652b3a7038fa835', '6ec59970a903450c88d9458c5eb4c6c0', 'False', 'True', 'false', 'false', '513227102206', 5, '大板村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227102206', 1, '2021-07-19 12:04:42', NULL, NULL), (31684, '', '木城村民委员会', 'eb98530fd8cb44dcad71e6c2953118cb', '6ec59970a903450c88d9458c5eb4c6c0', 'False', 'True', 'false', 'false', '513227102208', 5, '木城村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227102208', 1, '2021-07-19 12:04:42', NULL, NULL), (31685, '', '崇德乡', '6a7ee01f44bb48738a053ddd330d1179', '64526123cbe5425799dbb9f8885fbb91', 'True', 'True', 'false', 'false', '513227201000', 4, '崇德乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513227201000', 1, '2021-07-19 12:04:42', NULL, NULL), (31686, '', '海坪村民委员会', '31ee31bc53854bc39cad3be6fd726759', '6a7ee01f44bb48738a053ddd330d1179', 'False', 'True', 'false', 'false', '513227201200', 5, '海坪村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227201200', 1, '2021-07-19 12:04:42', NULL, NULL), (31687, '', '崇德村民委员会', '7f7621a4ca3e4b8eb0705611d7c7ed2c', '6a7ee01f44bb48738a053ddd330d1179', 'False', 'True', 'false', 'false', '513227201201', 5, '崇德村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227201201', 1, '2021-07-19 12:04:42', NULL, NULL), (31688, '', '策尔足村民委员会', 'e87b09c20fa94a51828a6855c57f26a6', '6a7ee01f44bb48738a053ddd330d1179', 'False', 'True', 'false', 'false', '513227201202', 5, '策尔足村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227201202', 1, '2021-07-19 12:04:42', NULL, NULL), (31689, '', '猛固村民委员会', 'cb383282f17c471c9d3f4a52bb4c6ee5', '6a7ee01f44bb48738a053ddd330d1179', 'False', 'True', 'false', 'false', '513227201203', 5, '猛固村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227201203', 1, '2021-07-19 12:04:43', NULL, NULL), (31690, '', '新桥乡', '8602dd06dd454205b37f2fa7fef97cb9', '64526123cbe5425799dbb9f8885fbb91', 'True', 'True', 'false', 'false', '513227202000', 4, '新桥乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513227202000', 1, '2021-07-19 12:04:43', NULL, NULL), (31691, '', '团结村民委员会', '09ddb4ae71d54390a8ec16e8b23a684a', '8602dd06dd454205b37f2fa7fef97cb9', 'False', 'True', 'false', 'false', '513227202201', 5, '团结村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227202201', 1, '2021-07-19 12:04:43', NULL, NULL), (31692, '', '共和村民委员会', 'bc649c9643bd44ab8326cf0c7228d521', '8602dd06dd454205b37f2fa7fef97cb9', 'False', 'True', 'false', 'false', '513227202202', 5, '共和村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227202202', 1, '2021-07-19 12:04:43', NULL, NULL), (31693, '', '水坪村民委员会', '55d0bc218e764a578c629681f5fe0894', '8602dd06dd454205b37f2fa7fef97cb9', 'False', 'True', 'false', 'false', '513227202203', 5, '水坪村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227202203', 1, '2021-07-19 12:04:43', NULL, NULL), (31694, '', '头卡村民委员会', 'fdb90603a9244e3089b0b37da6e53127', '8602dd06dd454205b37f2fa7fef97cb9', 'False', 'True', 'false', 'false', '513227202204', 5, '头卡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227202204', 1, '2021-07-19 12:04:43', NULL, NULL), (31695, '', '新民村民委员会', 'becc3b18f9444b1d997282e84a838bba', '8602dd06dd454205b37f2fa7fef97cb9', 'False', 'True', 'false', 'false', '513227202205', 5, '新民村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227202205', 1, '2021-07-19 12:04:43', NULL, NULL), (31696, '', '北马村民委员会', 'e1ef397456d945e2a1c3bd7d0c7a2dad', '8602dd06dd454205b37f2fa7fef97cb9', 'False', 'True', 'false', 'false', '513227202206', 5, '北马村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227202206', 1, '2021-07-19 12:04:43', NULL, NULL), (31697, '', '美沃乡', 'c045d615a8d44ddab276c32c66d6ed78', '64526123cbe5425799dbb9f8885fbb91', 'True', 'True', 'false', 'false', '513227203000', 4, '美沃乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513227203000', 1, '2021-07-19 12:04:43', NULL, NULL), (31698, '', '头道村民委员会', '3ea68e905be0431592391a4e0e911f30', 'c045d615a8d44ddab276c32c66d6ed78', 'False', 'True', 'false', 'false', '513227203200', 5, '头道村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227203200', 1, '2021-07-19 12:04:43', NULL, NULL), (31699, '', '色木村民委员会', 'f547bcb7388f4417a3a5dd1f53ba6248', 'c045d615a8d44ddab276c32c66d6ed78', 'False', 'True', 'false', 'false', '513227203201', 5, '色木村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227203201', 1, '2021-07-19 12:04:43', NULL, NULL), (31700, '', '太阳村民委员会', '6133279a2c54457ebea8dfdb76e4c512', 'c045d615a8d44ddab276c32c66d6ed78', 'False', 'True', 'false', 'false', '513227203202', 5, '太阳村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227203202', 1, '2021-07-19 12:04:43', NULL, NULL), (31701, '', '花牛村民委员会', '04e45b96a0274952a93af99522bec48d', 'c045d615a8d44ddab276c32c66d6ed78', 'False', 'True', 'false', 'false', '513227203204', 5, '花牛村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227203204', 1, '2021-07-19 12:04:43', NULL, NULL), (31702, '', '双河村民委员会', '46f277ac0c1e4274b8940ca3701577cd', 'c045d615a8d44ddab276c32c66d6ed78', 'False', 'True', 'false', 'false', '513227203205', 5, '双河村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227203205', 1, '2021-07-19 12:04:43', NULL, NULL), (31703, '', '美诺村民委员会', '582a96083adf46fb9fd7c303ce4c7cd3', 'c045d615a8d44ddab276c32c66d6ed78', 'False', 'True', 'false', 'false', '513227203206', 5, '美诺村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227203206', 1, '2021-07-19 12:04:43', NULL, NULL), (31704, '', '沙龙乡', 'a964223f5d75497e80c8db7e964a5b7f', '64526123cbe5425799dbb9f8885fbb91', 'True', 'True', 'false', 'false', '513227204000', 4, '沙龙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513227204000', 1, '2021-07-19 12:04:43', NULL, NULL), (31705, '', '桃梁村民委员会', '6e0c69f124374ad7aae18a0b1bb6f4bf', 'a964223f5d75497e80c8db7e964a5b7f', 'False', 'True', 'false', 'false', '513227204200', 5, '桃梁村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227204200', 1, '2021-07-19 12:04:43', NULL, NULL), (31706, '', '燕栖村民委员会', 'd26f03c5c871491f8070d81fe53cee4f', 'a964223f5d75497e80c8db7e964a5b7f', 'False', 'True', 'false', 'false', '513227204201', 5, '燕栖村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227204201', 1, '2021-07-19 12:04:43', NULL, NULL), (31707, '', '苍松村民委员会', 'ea31c2a14dc344008ce755d6276c5e7c', 'a964223f5d75497e80c8db7e964a5b7f', 'False', 'True', 'false', 'false', '513227204202', 5, '苍松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227204202', 1, '2021-07-19 12:04:43', NULL, NULL), (31708, '', '沙冲村民委员会', 'aacfe90f21404794a242a110e85e0ec7', 'a964223f5d75497e80c8db7e964a5b7f', 'False', 'True', 'false', 'false', '513227204204', 5, '沙冲村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227204204', 1, '2021-07-19 12:04:43', NULL, NULL), (31709, '', '宅垄镇', 'c92eae319c87480585f365b004a28f29', '64526123cbe5425799dbb9f8885fbb91', 'True', 'True', 'false', 'false', '513227205000', 4, '宅垄镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513227205000', 1, '2021-07-19 12:04:44', NULL, NULL), (31710, '', '沉水村民委员会', '1bb2a355d5624fd6ac9e424a96602ea7', 'c92eae319c87480585f365b004a28f29', 'False', 'False', 'false', 'false', '513227205230', 5, '沉水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227205230', 1, '2021-07-19 12:04:44', NULL, NULL), (31711, '', '元营村民委员会', '196fab12a35b47ae975791a966633921', 'c92eae319c87480585f365b004a28f29', 'False', 'False', 'false', 'false', '513227205361', 5, '元营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227205361', 1, '2021-07-19 12:04:44', NULL, NULL), (31712, '', '蕊丰村民委员会', '403f54a0d8854fcbabb4b4907902d66c', 'c92eae319c87480585f365b004a28f29', 'False', 'False', 'false', 'false', '513227205468', 5, '蕊丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227205468', 1, '2021-07-19 12:04:44', NULL, NULL), (31713, '', '马尔村民委员会', '43e3a966130e45b88a44a05479aebffe', 'c92eae319c87480585f365b004a28f29', 'False', 'True', 'false', 'false', '513227205200', 5, '马尔村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227205200', 1, '2021-07-19 12:04:44', NULL, NULL), (31714, '', '四明村民委员会', '3161ccf8dc804265a350c403d2e322a0', 'c92eae319c87480585f365b004a28f29', 'False', 'True', 'false', 'false', '513227205201', 5, '四明村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227205201', 1, '2021-07-19 12:04:44', NULL, NULL), (31715, '', '四龙村民委员会', '0e7bee9e240d41ebafe10d88119f0573', 'c92eae319c87480585f365b004a28f29', 'False', 'True', 'false', 'false', '513227205202', 5, '四龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227205202', 1, '2021-07-19 12:04:44', NULL, NULL), (31716, '', '波罗村民委员会', 'cbed57aed1bf4548b1dab8eac0cf4b4c', 'c92eae319c87480585f365b004a28f29', 'False', 'True', 'false', 'false', '513227205204', 5, '波罗村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227205204', 1, '2021-07-19 12:04:44', NULL, NULL), (31717, '', '日落村民委员会', '6a8ac93b0ce74d8d8e3e5fc3cc3772e3', 'c92eae319c87480585f365b004a28f29', 'False', 'True', 'false', 'false', '513227205205', 5, '日落村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227205205', 1, '2021-07-19 12:04:44', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (31718, '', '达维镇', '7f4535123d1a44c6bddd04699e49eab4', '64526123cbe5425799dbb9f8885fbb91', 'True', 'True', 'false', 'false', '513227207000', 4, '达维镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513227207000', 1, '2021-07-19 12:04:44', NULL, NULL), (31719, '', '达维村民委员会', '1a348731c2f34b1b8ae6c1384b535ac7', '7f4535123d1a44c6bddd04699e49eab4', 'False', 'True', 'false', 'false', '513227207200', 5, '达维村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227207200', 1, '2021-07-19 12:04:44', NULL, NULL), (31720, '', '冒水村民委员会', '5568c9d8518a4df1b0d9bc3024a233f7', '7f4535123d1a44c6bddd04699e49eab4', 'False', 'True', 'false', 'false', '513227207201', 5, '冒水村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227207201', 1, '2021-07-19 12:04:44', NULL, NULL), (31721, '', '夹金村民委员会', '9afb2bc27a384a06a5b11a896ba07562', '7f4535123d1a44c6bddd04699e49eab4', 'False', 'True', 'false', 'false', '513227207203', 5, '夹金村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227207203', 1, '2021-07-19 12:04:44', NULL, NULL), (31722, '', '胆扎村民委员会', '57d6966587e347cda48faf2f0be6796d', '7f4535123d1a44c6bddd04699e49eab4', 'False', 'True', 'false', 'false', '513227207204', 5, '胆扎村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227207204', 1, '2021-07-19 12:04:44', NULL, NULL), (31723, '', '滴水村民委员会', '33df4426cd0a413da25188543ce5a5dd', '7f4535123d1a44c6bddd04699e49eab4', 'False', 'True', 'false', 'false', '513227207205', 5, '滴水村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227207205', 1, '2021-07-19 12:04:44', NULL, NULL), (31724, '', '石鼓村民委员会', '51fc28739b424efd85214a29b73c4884', '7f4535123d1a44c6bddd04699e49eab4', 'False', 'True', 'false', 'false', '513227207207', 5, '石鼓村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227207207', 1, '2021-07-19 12:04:44', NULL, NULL), (31725, '', '日尔乡', 'f46320c52b404880a6f2468a2dd86b83', '64526123cbe5425799dbb9f8885fbb91', 'True', 'True', 'false', 'false', '513227208000', 4, '日尔乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513227208000', 1, '2021-07-19 12:04:44', NULL, NULL), (31726, '', '日尔村民委员会', '846effa6727c4ae2accf0dbf398b1ec7', 'f46320c52b404880a6f2468a2dd86b83', 'False', 'True', 'false', 'false', '513227208200', 5, '日尔村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227208200', 1, '2021-07-19 12:04:44', NULL, NULL), (31727, '', '四大安村民委员会', '7f722fbf73ca44e282e8b8846f064631', 'f46320c52b404880a6f2468a2dd86b83', 'False', 'True', 'false', 'false', '513227208201', 5, '四大安村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227208201', 1, '2021-07-19 12:04:44', NULL, NULL), (31728, '', '木桠村民委员会', 'd559de9ff6684b4087ac1b0530911f85', 'f46320c52b404880a6f2468a2dd86b83', 'False', 'True', 'false', 'false', '513227208202', 5, '木桠村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227208202', 1, '2021-07-19 12:04:44', NULL, NULL), (31729, '', '上马厂村民委员会', '39d2e71f2a22418db52ca572a0e3a0e6', 'f46320c52b404880a6f2468a2dd86b83', 'False', 'True', 'false', 'false', '513227208203', 5, '上马厂村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227208203', 1, '2021-07-19 12:04:45', NULL, NULL), (31730, '', '董马村民委员会', '0f5fd8612f2f4def9677412b581ad184', 'f46320c52b404880a6f2468a2dd86b83', 'False', 'True', 'false', 'false', '513227208205', 5, '董马村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227208205', 1, '2021-07-19 12:04:45', NULL, NULL), (31731, '', '结斯乡', '1783eff990d34f319adba315dc95ac23', '64526123cbe5425799dbb9f8885fbb91', 'True', 'True', 'false', 'false', '513227209000', 4, '结斯乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513227209000', 1, '2021-07-19 12:04:45', NULL, NULL), (31732, '', '王家寨村民委员会', '5cbc216a716b4ee79cf9261d81ed3e9b', '1783eff990d34f319adba315dc95ac23', 'False', 'True', 'false', 'false', '513227209200', 5, '王家寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227209200', 1, '2021-07-19 12:04:45', NULL, NULL), (31733, '', '廖家院村民委员会', '816174388d16424a85cac2999786e38b', '1783eff990d34f319adba315dc95ac23', 'False', 'True', 'false', 'false', '513227209201', 5, '廖家院村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227209201', 1, '2021-07-19 12:04:45', NULL, NULL), (31734, '', '大坝村民委员会', '2318060f0f5045dca1381552267b25d3', '1783eff990d34f319adba315dc95ac23', 'False', 'True', 'false', 'false', '513227209202', 5, '大坝村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227209202', 1, '2021-07-19 12:04:45', NULL, NULL), (31735, '', '木洛村民委员会', '923a3a7c365e4018953108c205ec0a91', '1783eff990d34f319adba315dc95ac23', 'False', 'True', 'false', 'false', '513227209204', 5, '木洛村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227209204', 1, '2021-07-19 12:04:45', NULL, NULL), (31736, '', '向花村民委员会', '1ad450fb2eec4393861645bdfde001a5', '1783eff990d34f319adba315dc95ac23', 'False', 'True', 'false', 'false', '513227209205', 5, '向花村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227209205', 1, '2021-07-19 12:04:45', NULL, NULL), (31737, '', '沃日镇', '358f9ae8dc024279ab0e7eaf94b460be', '64526123cbe5425799dbb9f8885fbb91', 'True', 'True', 'false', 'false', '513227210000', 4, '沃日镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513227210000', 1, '2021-07-19 12:04:45', NULL, NULL), (31738, '', '官寨村民委员会', '54f4e4fc37124a3882087e7cff9df284', '358f9ae8dc024279ab0e7eaf94b460be', 'False', 'True', 'false', 'false', '513227210200', 5, '官寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227210200', 1, '2021-07-19 12:04:45', NULL, NULL), (31739, '', '木栏村民委员会', '9d96ed6ac5984040ba86cacdb4d97a68', '358f9ae8dc024279ab0e7eaf94b460be', 'False', 'True', 'false', 'false', '513227210201', 5, '木栏村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227210201', 1, '2021-07-19 12:04:45', NULL, NULL), (31740, '', '甘沟村民委员会', 'a41521fd4c9644ee98e59aa9f1342f5a', '358f9ae8dc024279ab0e7eaf94b460be', 'False', 'True', 'false', 'false', '513227210203', 5, '甘沟村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227210203', 1, '2021-07-19 12:04:45', NULL, NULL), (31741, '', '窄小村民委员会', '9c350a3430c543e6a38c0ea926240149', '358f9ae8dc024279ab0e7eaf94b460be', 'False', 'True', 'false', 'false', '513227210204', 5, '窄小村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227210204', 1, '2021-07-19 12:04:45', NULL, NULL), (31742, '', '色不龙村民委员会', 'fc5fa6b7e70e45d2ac6852f2f7eb61b7', '358f9ae8dc024279ab0e7eaf94b460be', 'False', 'True', 'false', 'false', '513227210205', 5, '色不龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227210205', 1, '2021-07-19 12:04:45', NULL, NULL), (31743, '', '木坡乡', '39ed998dd6e74f3682916fa4e0a64e44', '64526123cbe5425799dbb9f8885fbb91', 'True', 'True', 'false', 'false', '513227211000', 4, '木坡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513227211000', 1, '2021-07-19 12:04:46', NULL, NULL), (31744, '', '木坡村民委员会', '2c158b82e21645f4b61383aecf8b0b97', '39ed998dd6e74f3682916fa4e0a64e44', 'False', 'True', 'false', 'false', '513227211200', 5, '木坡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227211200', 1, '2021-07-19 12:04:46', NULL, NULL), (31745, '', '大梁村民委员会', 'a126e49107234ac9b018d0c720928c21', '39ed998dd6e74f3682916fa4e0a64e44', 'False', 'True', 'false', 'false', '513227211201', 5, '大梁村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227211201', 1, '2021-07-19 12:04:46', NULL, NULL), (31746, '', '招牛村民委员会', 'e47eabc2bd0546b994e9fc28ca6035b4', '39ed998dd6e74f3682916fa4e0a64e44', 'False', 'True', 'false', 'false', '513227211202', 5, '招牛村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227211202', 1, '2021-07-19 12:04:46', NULL, NULL), (31747, '', '木龙村民委员会', '61bb64be3f7948da937170df5974ebac', '39ed998dd6e74f3682916fa4e0a64e44', 'False', 'True', 'false', 'false', '513227211203', 5, '木龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227211203', 1, '2021-07-19 12:04:46', NULL, NULL), (31748, '', '达木村民委员会', '55819db8f2a54fadb83345d89cfbe6e9', '39ed998dd6e74f3682916fa4e0a64e44', 'False', 'True', 'false', 'false', '513227211204', 5, '达木村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227211204', 1, '2021-07-19 12:04:46', NULL, NULL), (31749, '', '登春村民委员会', '4bbcc61e8e5a4c6fae5f4c16c9162ca5', '39ed998dd6e74f3682916fa4e0a64e44', 'False', 'True', 'false', 'false', '513227211205', 5, '登春村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227211205', 1, '2021-07-19 12:04:46', NULL, NULL), (31750, '', '康乐村民委员会', '4cacf8618e1042189b8da09e02de3520', '39ed998dd6e74f3682916fa4e0a64e44', 'False', 'True', 'false', 'false', '513227211207', 5, '康乐村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227211207', 1, '2021-07-19 12:04:46', NULL, NULL), (31751, '', '抚边乡', 'f9fc0e9fa340446bb32f763f276b915c', '64526123cbe5425799dbb9f8885fbb91', 'True', 'True', 'false', 'false', '513227213000', 4, '抚边乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513227213000', 1, '2021-07-19 12:04:46', NULL, NULL), (31752, '', '粮台村民委员会', '032319a767204bc3bd01081f9dc0af05', 'f9fc0e9fa340446bb32f763f276b915c', 'False', 'True', 'false', 'false', '513227213200', 5, '粮台村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227213200', 1, '2021-07-19 12:04:46', NULL, NULL), (31753, '', '营门村民委员会', '6db61b0ae2e3485b982913ad4778039e', 'f9fc0e9fa340446bb32f763f276b915c', 'False', 'True', 'false', 'false', '513227213201', 5, '营门村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227213201', 1, '2021-07-19 12:04:46', NULL, NULL), (31754, '', '麦龙村民委员会', '831a97c925904ac6bc9d5c0810d5c52e', 'f9fc0e9fa340446bb32f763f276b915c', 'False', 'True', 'false', 'false', '513227213203', 5, '麦龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227213203', 1, '2021-07-19 12:04:46', NULL, NULL), (31755, '', '庄房村民委员会', '2ad3ec86f545444eb707b4c33c91760f', 'f9fc0e9fa340446bb32f763f276b915c', 'False', 'True', 'false', 'false', '513227213204', 5, '庄房村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227213204', 1, '2021-07-19 12:04:46', NULL, NULL), (31756, '', '段家山村民委员会', 'f892da6153494fc0917f393ea40a68ee', 'f9fc0e9fa340446bb32f763f276b915c', 'False', 'True', 'false', 'false', '513227213205', 5, '段家山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227213205', 1, '2021-07-19 12:04:46', NULL, NULL), (31757, '', '菜园村民委员会', '49b2c50a463442029cfb65839de90d63', 'f9fc0e9fa340446bb32f763f276b915c', 'False', 'True', 'false', 'false', '513227213206', 5, '菜园村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227213206', 1, '2021-07-19 12:04:46', NULL, NULL), (31758, '', '胥家山村民委员会', 'f316524c2cdc45f28470bbb82bdb4efc', 'f9fc0e9fa340446bb32f763f276b915c', 'False', 'True', 'false', 'false', '513227213208', 5, '胥家山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227213208', 1, '2021-07-19 12:04:46', NULL, NULL), (31759, '', '大坪村民委员会', '7ccaa30c973848659f114f82c41ab27a', 'f9fc0e9fa340446bb32f763f276b915c', 'False', 'True', 'false', 'false', '513227213209', 5, '大坪村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227213209', 1, '2021-07-19 12:04:47', NULL, NULL), (31760, '', '八角镇', '7390d063198143ac9f27e69ec0ab132f', '64526123cbe5425799dbb9f8885fbb91', 'True', 'True', 'false', 'false', '513227214000', 4, '八角镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513227214000', 1, '2021-07-19 12:04:47', NULL, NULL), (31761, '', '嘎斯村民委员会', 'd16b513b4cba40ee91d478a268408a6a', '7390d063198143ac9f27e69ec0ab132f', 'False', 'False', 'false', 'false', '513227214392', 5, '嘎斯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227214392', 1, '2021-07-19 12:04:47', NULL, NULL), (31762, '', '公达村民委员会', '919318d80eac4097856eec300b4578e3', '7390d063198143ac9f27e69ec0ab132f', 'False', 'False', 'false', 'false', '513227214428', 5, '公达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227214428', 1, '2021-07-19 12:04:47', NULL, NULL), (31763, '', '双柏村民委员会', '0d49c62c04764bb09575eaaa61d831bb', '7390d063198143ac9f27e69ec0ab132f', 'False', 'False', 'false', 'false', '513227214521', 5, '双柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227214521', 1, '2021-07-19 12:04:47', NULL, NULL), (31764, '', '大锁村民委员会', 'd19230f3ec9541f0af6a66d82eb984ba', '7390d063198143ac9f27e69ec0ab132f', 'False', 'False', 'false', 'false', '513227214542', 5, '大锁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227214542', 1, '2021-07-19 12:04:47', NULL, NULL), (31765, '', '蓝山村民委员会', '8cd7e19bba354fa4809493022c775bcf', '7390d063198143ac9f27e69ec0ab132f', 'False', 'False', 'false', 'false', '513227214605', 5, '蓝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227214605', 1, '2021-07-19 12:04:47', NULL, NULL), (31766, '', '八角村民委员会', 'e0cfe9148cef49e38f693bff8d6433e0', '7390d063198143ac9f27e69ec0ab132f', 'False', 'True', 'false', 'false', '513227214201', 5, '八角村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227214201', 1, '2021-07-19 12:04:47', NULL, NULL), (31767, '', '桥头村民委员会', '379a523134b84c778f2785da07c0cebd', '7390d063198143ac9f27e69ec0ab132f', 'False', 'True', 'false', 'false', '513227214202', 5, '桥头村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227214202', 1, '2021-07-19 12:04:47', NULL, NULL), (31768, '', '太阳沟村民委员会', '7a4e68b81e71488f9bb0a60a863abab7', '7390d063198143ac9f27e69ec0ab132f', 'False', 'True', 'false', 'false', '513227214203', 5, '太阳沟村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227214203', 1, '2021-07-19 12:04:47', NULL, NULL), (31769, '', '大坪村村民委员会', '33591cbc574e4bfb8c7228b65fc91db9', '7390d063198143ac9f27e69ec0ab132f', 'False', 'True', 'false', 'false', '513227214204', 5, '大坪村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227214204', 1, '2021-07-19 12:04:47', NULL, NULL), (31770, '', '藏青村民委员会', '0d94bd03cad84edf8ec91011b947435a', '7390d063198143ac9f27e69ec0ab132f', 'False', 'True', 'false', 'false', '513227214205', 5, '藏青村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227214205', 1, '2021-07-19 12:04:47', NULL, NULL), (31771, '', '巴木村民委员会', '365571f1ec1e4e13a09c92320dbf0fbd', '7390d063198143ac9f27e69ec0ab132f', 'False', 'True', 'false', 'false', '513227214206', 5, '巴木村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227214206', 1, '2021-07-19 12:04:47', NULL, NULL), (31772, '', '窝底乡', 'afaf81d28c964733a2044d9cf6a19cee', '64526123cbe5425799dbb9f8885fbb91', 'True', 'True', 'false', 'false', '513227216000', 4, '窝底乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513227216000', 1, '2021-07-19 12:04:47', NULL, NULL), (31773, '', '春卡村民委员会', '1ac76ebe932945aa8ae0fe7ce558b4f7', 'afaf81d28c964733a2044d9cf6a19cee', 'False', 'True', 'false', 'false', '513227216200', 5, '春卡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227216200', 1, '2021-07-19 12:04:47', NULL, NULL), (31774, '', '金山村民委员会', 'e2bd2ffacf8d409083133a9f7861b5fe', 'afaf81d28c964733a2044d9cf6a19cee', 'False', 'True', 'false', 'false', '513227216201', 5, '金山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227216201', 1, '2021-07-19 12:04:47', NULL, NULL), (31775, '', '成都村民委员会', '326100f0188142baaa436ee46954d8c7', 'afaf81d28c964733a2044d9cf6a19cee', 'False', 'True', 'false', 'false', '513227216202', 5, '成都村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227216202', 1, '2021-07-19 12:04:47', NULL, NULL), (31776, '', '窝底村民委员会', '6070ea1f82014b82be634ad2def89521', 'afaf81d28c964733a2044d9cf6a19cee', 'False', 'True', 'false', 'false', '513227216203', 5, '窝底村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227216203', 1, '2021-07-19 12:04:47', NULL, NULL), (31777, '', '汗牛乡', '528bcbdbd8d3482a8f0e3f76c7176e83', '64526123cbe5425799dbb9f8885fbb91', 'True', 'True', 'false', 'false', '513227217000', 4, '汗牛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513227217000', 1, '2021-07-19 12:04:48', NULL, NULL), (31778, '', '中纳村民委员会', '0167b71076394b66994279e065ad862b', '528bcbdbd8d3482a8f0e3f76c7176e83', 'False', 'True', 'false', 'false', '513227217200', 5, '中纳村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227217200', 1, '2021-07-19 12:04:48', NULL, NULL), (31779, '', '大哇村民委员会', 'b99f191834444354bca847f9a6e3c88c', '528bcbdbd8d3482a8f0e3f76c7176e83', 'False', 'True', 'false', 'false', '513227217201', 5, '大哇村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227217201', 1, '2021-07-19 12:04:48', NULL, NULL), (31780, '', '阿斯隆村民委员会', 'd0866ff36db841389d5feb740b60eaea', '528bcbdbd8d3482a8f0e3f76c7176e83', 'False', 'True', 'false', 'false', '513227217203', 5, '阿斯隆村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227217203', 1, '2021-07-19 12:04:48', NULL, NULL), (31781, '', '枷担湾村民委员会', 'aac0ebdf227c4144b106d2ab8d1d3395', '528bcbdbd8d3482a8f0e3f76c7176e83', 'False', 'True', 'false', 'false', '513227217204', 5, '枷担湾村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227217204', 1, '2021-07-19 12:04:48', NULL, NULL), (31782, '', '潘安乡', '67b972a3d88e4d32a5655a24a5dea902', '64526123cbe5425799dbb9f8885fbb91', 'True', 'True', 'false', 'false', '513227218000', 4, '潘安乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513227218000', 1, '2021-07-19 12:04:48', NULL, NULL), (31783, '', '潘安村民委员会', '1098b1d23f6845b08329083498a51c7f', '67b972a3d88e4d32a5655a24a5dea902', 'False', 'True', 'false', 'false', '513227218200', 5, '潘安村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227218200', 1, '2021-07-19 12:04:48', NULL, NULL), (31784, '', '纳东村民委员会', 'a7915ce2da7a48ca89154a7cf7aa61c4', '67b972a3d88e4d32a5655a24a5dea902', 'False', 'True', 'false', 'false', '513227218201', 5, '纳东村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227218201', 1, '2021-07-19 12:04:48', NULL, NULL), (31785, '', '火地村民委员会', 'b230c3b4140a4851b8a9836ce2ddf9cb', '67b972a3d88e4d32a5655a24a5dea902', 'False', 'True', 'false', 'false', '513227218202', 5, '火地村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513227218202', 1, '2021-07-19 12:04:48', NULL, NULL), (31786, '', '阿坝县', '1834249000b643649f475d618a504d60', 'bd453af225f84ab8af7b1fca05ac83ed', 'True', 'True', 'false', 'false', '513231000000', 3, '阿坝县', 'abzabx.sczwfw.gov.cn', 1, '2021-07-19 12:04:48', NULL, NULL), (31787, '', '阿坝镇', '9715406356684e1c9997f8546b253380', '1834249000b643649f475d618a504d60', 'True', 'True', 'false', 'false', '513231100000', 4, '阿坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513231100000', 1, '2021-07-19 12:04:48', NULL, NULL), (31788, '', '社区', '7ef34ca61e204d9d9f450ffb168e9606', '9715406356684e1c9997f8546b253380', 'False', 'False', 'false', 'false', '513231100001', 5, '社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231100001', 1, '2021-07-19 12:04:48', NULL, NULL), (31789, '', '一村', 'ce3edec999234904a4b0666b27bb4fed', '9715406356684e1c9997f8546b253380', 'False', 'False', 'false', 'false', '513231100200', 5, '一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231100200', 1, '2021-07-19 12:04:48', NULL, NULL), (31790, '', '二村', '2baf48d018ce44ac84f133a507ed4e5f', '9715406356684e1c9997f8546b253380', 'False', 'False', 'false', 'false', '513231100201', 5, '二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231100201', 1, '2021-07-19 12:04:48', NULL, NULL), (31791, '', '三村', 'fe09cb0af206488fb4146ca4e248fabf', '9715406356684e1c9997f8546b253380', 'False', 'False', 'false', 'false', '513231100202', 5, '三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231100202', 1, '2021-07-19 12:04:48', NULL, NULL), (31792, '', '五村', '1f10c9a1bc7e4489bbcb33909910f3fb', '9715406356684e1c9997f8546b253380', 'False', 'False', 'false', 'false', '513231100204', 5, '五村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231100204', 1, '2021-07-19 12:04:48', NULL, NULL), (31793, '', '四村', 'c5f935bce4f24879809757087151cdbb', '9715406356684e1c9997f8546b253380', 'False', 'False', 'false', 'false', '513231100303', 5, '四村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231100303', 1, '2021-07-19 12:04:48', NULL, NULL), (31794, '', '六村', '7618549ea32749a7b78855d1997f4d14', '9715406356684e1c9997f8546b253380', 'False', 'False', 'false', 'false', '513231200105', 5, '六村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231200105', 1, '2021-07-19 12:04:48', NULL, NULL), (31795, '', '七村', '1924277eea024200aa57ea8980e28257', '9715406356684e1c9997f8546b253380', 'False', 'False', 'false', 'false', '513231200106', 5, '七村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231200106', 1, '2021-07-19 12:04:48', NULL, NULL), (31796, '', '贾洛镇', 'dbed372fc08f483fab9c1b672d207029', '1834249000b643649f475d618a504d60', 'True', 'True', 'false', 'false', '513231101000', 4, '贾洛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513231101000', 1, '2021-07-19 12:04:49', NULL, NULL), (31797, '', '勒坤玛村', 'da13d7ac842b43239f059980fd362e80', 'dbed372fc08f483fab9c1b672d207029', 'False', 'False', 'false', 'false', '513231101200', 5, '勒坤玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231101200', 1, '2021-07-19 12:04:49', NULL, NULL), (31798, '', '曼巴洛村', '9026173cd8eb46659cbad86291433e5e', 'dbed372fc08f483fab9c1b672d207029', 'False', 'False', 'false', 'false', '513231101201', 5, '曼巴洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231101201', 1, '2021-07-19 12:04:49', NULL, NULL), (31799, '', '拿昌玛村', '6dc50706ce2c452da877ebf4487668b9', 'dbed372fc08f483fab9c1b672d207029', 'False', 'False', 'false', 'false', '513231101202', 5, '拿昌玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231101202', 1, '2021-07-19 12:04:49', NULL, NULL), (31800, '', '措德洛村', '90ea677e654b4c588b5fa1ac1f8165a8', 'dbed372fc08f483fab9c1b672d207029', 'False', 'False', 'false', 'false', '513231101203', 5, '措德洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231101203', 1, '2021-07-19 12:04:49', NULL, NULL), (31801, '', '合拉玛村', '8fdac6fe2cd5419baa040f81b81350d7', 'dbed372fc08f483fab9c1b672d207029', 'False', 'False', 'false', 'false', '513231101204', 5, '合拉玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231101204', 1, '2021-07-19 12:04:49', NULL, NULL), (31802, '', '日阿洛村', 'c617048ca285497d88b5c620c78581d1', 'dbed372fc08f483fab9c1b672d207029', 'False', 'False', 'false', 'false', '513231101205', 5, '日阿洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231101205', 1, '2021-07-19 12:04:49', NULL, NULL), (31803, '', '麦昆乡', '0a5b00b92ba94b8cafdf00c3a053c02e', '1834249000b643649f475d618a504d60', 'True', 'True', 'false', 'false', '513231201000', 4, '麦昆乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513231201000', 1, '2021-07-19 12:04:49', NULL, NULL), (31804, '', '齐卡洛村', '2e5dba344cd4443c906ceef7f818e324', '0a5b00b92ba94b8cafdf00c3a053c02e', 'False', 'False', 'false', 'false', '513231201200', 5, '齐卡洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231201200', 1, '2021-07-19 12:04:49', NULL, NULL), (31805, '', '蚕木扎村', '7e1148e2d4d542a8be88ba6731839f03', '0a5b00b92ba94b8cafdf00c3a053c02e', 'False', 'False', 'false', 'false', '513231201201', 5, '蚕木扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231201201', 1, '2021-07-19 12:04:49', NULL, NULL), (31806, '', '日格扎村', 'a514e9d006bc4c128309dfb14e2bfccd', '0a5b00b92ba94b8cafdf00c3a053c02e', 'False', 'False', 'false', 'false', '513231201202', 5, '日格扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231201202', 1, '2021-07-19 12:04:49', NULL, NULL), (31807, '', '沃朗村', 'a0db1723effb44c9a679d0b367492e94', '0a5b00b92ba94b8cafdf00c3a053c02e', 'False', 'False', 'false', 'false', '513231201203', 5, '沃朗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231201203', 1, '2021-07-19 12:04:49', NULL, NULL), (31808, '', '草原村', '8d9f9c81676746ca99202108c3dd8584', '0a5b00b92ba94b8cafdf00c3a053c02e', 'False', 'False', 'false', 'false', '513231201204', 5, '草原村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231201204', 1, '2021-07-19 12:04:49', NULL, NULL), (31809, '', '河支镇', '9253b293b34a47f6bb155e9599f9fba4', '1834249000b643649f475d618a504d60', 'True', 'True', 'false', 'false', '513231202000', 4, '河支乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513231202000', 1, '2021-07-19 12:04:49', NULL, NULL), (31810, '', '河支村', '87a1fe41b037429eb42ee30e804f5e19', '9253b293b34a47f6bb155e9599f9fba4', 'False', 'False', 'false', 'false', '513231202200', 5, '河支村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231202200', 1, '2021-07-19 12:04:49', NULL, NULL), (31811, '', '独洼村', 'b6a8fec7d5d942ac85c49afaa9940de5', '9253b293b34a47f6bb155e9599f9fba4', 'False', 'False', 'false', 'false', '513231202201', 5, '独洼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231202201', 1, '2021-07-19 12:04:49', NULL, NULL), (31812, '', '色尔古村', '2b61331cd39b40b2a3201b0e81bde3eb', '9253b293b34a47f6bb155e9599f9fba4', 'False', 'False', 'false', 'false', '513231202202', 5, '色尔古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231202202', 1, '2021-07-19 12:04:49', NULL, NULL), (31813, '', '甲依村', '9c5e53aca21b4452a859d70d1ba37df8', '9253b293b34a47f6bb155e9599f9fba4', 'False', 'False', 'false', 'false', '513231202203', 5, '甲依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231202203', 1, '2021-07-19 12:04:49', NULL, NULL), (31814, '', '龙藏乡', '2f78f11b412a4e6982be021ca9e40691', '1834249000b643649f475d618a504d60', 'True', 'True', 'false', 'false', '513231203000', 4, '龙藏乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513231203000', 1, '2021-07-19 12:04:49', NULL, NULL), (31815, '', '塔拉村', '0f8ac393504f40288e3454188cea28a6', '2f78f11b412a4e6982be021ca9e40691', 'False', 'False', 'false', 'false', '513231203200', 5, '塔拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231203200', 1, '2021-07-19 12:04:50', NULL, NULL), (31816, '', '龙藏村', 'da98343747e74befa412ca9cb41babbb', '2f78f11b412a4e6982be021ca9e40691', 'False', 'False', 'false', 'false', '513231203201', 5, '龙藏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231203201', 1, '2021-07-19 12:04:50', NULL, NULL), (31817, '', '卡西村', '001ae83f9938465e9c22ba869ea31383', '2f78f11b412a4e6982be021ca9e40691', 'False', 'False', 'false', 'false', '513231203202', 5, '卡西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231203202', 1, '2021-07-19 12:04:50', NULL, NULL), (31818, '', '求吉玛乡', 'c299d588df304fa0b741efba3f3eaf2b', '1834249000b643649f475d618a504d60', 'True', 'True', 'false', 'false', '513231204000', 4, '求吉玛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513231204000', 1, '2021-07-19 12:04:50', NULL, NULL), (31819, '', '求吉玛村', '0e55b3ecdf7a46bfaf8785a770ab675f', 'c299d588df304fa0b741efba3f3eaf2b', 'False', 'False', 'false', 'false', '513231204200', 5, '求吉玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231204200', 1, '2021-07-19 12:04:50', NULL, NULL), (31820, '', '夏坤玛村', 'b713ba1ae3c441c680170d7121d918cc', 'c299d588df304fa0b741efba3f3eaf2b', 'False', 'False', 'false', 'false', '513231204201', 5, '夏坤玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231204201', 1, '2021-07-19 12:04:50', NULL, NULL), (31821, '', '索日玛村', 'f64fa802ee1649b9bb33ab3e2f478d1c', 'c299d588df304fa0b741efba3f3eaf2b', 'False', 'False', 'false', 'false', '513231204202', 5, '索日玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231204202', 1, '2021-07-19 12:04:50', NULL, NULL), (31822, '', '各莫镇', '6c29302afea044158268fb1fc06ca73b', '1834249000b643649f475d618a504d60', 'True', 'True', 'false', 'false', '513231206000', 4, '各莫乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513231206000', 1, '2021-07-19 12:04:50', NULL, NULL), (31823, '', '俄修村', '619e6f8921ca40849523aa50f5733f90', '6c29302afea044158268fb1fc06ca73b', 'False', 'False', 'false', 'false', '513231206200', 5, '俄修村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231206200', 1, '2021-07-19 12:04:50', NULL, NULL), (31824, '', '雄哇村', '81013a66c3a14bd5a09f129af428e6bb', '6c29302afea044158268fb1fc06ca73b', 'False', 'False', 'false', 'false', '513231206201', 5, '雄哇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231206201', 1, '2021-07-19 12:04:50', NULL, NULL), (31825, '', '查不让村', '9fdb33b58885454dbd23d1a030772af7', '6c29302afea044158268fb1fc06ca73b', 'False', 'False', 'false', 'false', '513231206202', 5, '查不让村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231206202', 1, '2021-07-19 12:04:50', NULL, NULL), (31826, '', '四洼乡', '5b0aeef111f44551b3e40d6c7e373fde', '1834249000b643649f475d618a504d60', 'True', 'True', 'false', 'false', '513231208000', 4, '四洼乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513231208000', 1, '2021-07-19 12:04:50', NULL, NULL), (31827, '', '上四洼村', '7fc9bcf286754e7583638d0bc56ea896', '5b0aeef111f44551b3e40d6c7e373fde', 'False', 'False', 'false', 'false', '513231208200', 5, '上四洼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231208200', 1, '2021-07-19 12:04:50', NULL, NULL), (31828, '', '下四洼村', 'ac59018f136d406cb903a18cfbc80623', '5b0aeef111f44551b3e40d6c7e373fde', 'False', 'False', 'false', 'false', '513231208201', 5, '下四洼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231208201', 1, '2021-07-19 12:04:50', NULL, NULL), (31829, '', '纳休村', '375e3584dd694141a41262d9e9f730f6', '5b0aeef111f44551b3e40d6c7e373fde', 'False', 'False', 'false', 'false', '513231208202', 5, '纳休村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231208202', 1, '2021-07-19 12:04:50', NULL, NULL), (31830, '', '安斗乡', 'b334f8abdd794a96be6cec043971b9aa', '1834249000b643649f475d618a504d60', 'True', 'True', 'false', 'false', '513231209000', 4, '安斗乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513231209000', 1, '2021-07-19 12:04:50', NULL, NULL), (31831, '', '华洛村', '21385c20e6384561a990030688b11d6f', 'b334f8abdd794a96be6cec043971b9aa', 'False', 'False', 'false', 'false', '513231209200', 5, '华洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231209200', 1, '2021-07-19 12:04:50', NULL, NULL), (31832, '', '派克村', 'a5bef7f18acd476d987b5582ede2001d', 'b334f8abdd794a96be6cec043971b9aa', 'False', 'False', 'false', 'false', '513231209201', 5, '派克村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231209201', 1, '2021-07-19 12:04:51', NULL, NULL), (31833, '', '克哇村', '78eb99effaec4c97b0816a5a7af10678', 'b334f8abdd794a96be6cec043971b9aa', 'False', 'False', 'false', 'false', '513231209202', 5, '克哇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231209202', 1, '2021-07-19 12:04:51', NULL, NULL), (31834, '', '柯河乡', '327ef85139cd4f2f960cac987fa299e0', '1834249000b643649f475d618a504d60', 'True', 'True', 'false', 'false', '513231210000', 4, '柯河乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513231210000', 1, '2021-07-19 12:04:51', NULL, NULL), (31835, '', '茸昆村', '3bbae06cf8b34ed9bcf04b51b93dada1', '327ef85139cd4f2f960cac987fa299e0', 'False', 'False', 'false', 'false', '513231210200', 5, '茸昆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231210200', 1, '2021-07-19 12:04:51', NULL, NULL), (31836, '', '色日村', '36f2d41ae3894b3aa3f3c453a0700cd2', '327ef85139cd4f2f960cac987fa299e0', 'False', 'False', 'false', 'false', '513231210201', 5, '色日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231210201', 1, '2021-07-19 12:04:51', NULL, NULL), (31837, '', '尼门达村', '410df5ac47a34963aa3b34f19e5b4d1f', '327ef85139cd4f2f960cac987fa299e0', 'False', 'False', 'false', 'false', '513231210202', 5, '尼门达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231210202', 1, '2021-07-19 12:04:51', NULL, NULL), (31838, '', '伊俄村', '11017cebd43f468b8e42e31a56e1b2b8', '327ef85139cd4f2f960cac987fa299e0', 'False', 'False', 'false', 'false', '513231210203', 5, '伊俄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231210203', 1, '2021-07-19 12:04:51', NULL, NULL), (31839, '', '垮沙乡', 'd326c3e5ef554cfc89dba0d627b2447a', '1834249000b643649f475d618a504d60', 'True', 'True', 'false', 'false', '513231211000', 4, '垮沙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513231211000', 1, '2021-07-19 12:04:51', NULL, NULL), (31840, '', '垮山村', '096fcabe88ac4ee49de065ac8ed9e113', 'd326c3e5ef554cfc89dba0d627b2447a', 'False', 'False', 'false', 'false', '513231211200', 5, '垮山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231211200', 1, '2021-07-19 12:04:51', NULL, NULL), (31841, '', '哈木措村', '99ee5245dc4b4ef9b5535c9f2545a1dc', 'd326c3e5ef554cfc89dba0d627b2447a', 'False', 'False', 'false', 'false', '513231211201', 5, '哈木措村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231211201', 1, '2021-07-19 12:04:51', NULL, NULL), (31842, '', '达格娘村', '51b6117e7d5d4579b5a0cc680b8a1090', 'd326c3e5ef554cfc89dba0d627b2447a', 'False', 'False', 'false', 'false', '513231211202', 5, '达格娘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231211202', 1, '2021-07-19 12:04:51', NULL, NULL), (31843, '', '羊高村', '01ea8121a60c4b478db17c25792ef8e9', 'd326c3e5ef554cfc89dba0d627b2447a', 'False', 'False', 'false', 'false', '513231211203', 5, '羊高村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231211203', 1, '2021-07-19 12:04:51', NULL, NULL), (31844, '', '沙湾村', 'fdb41c8eff234ff39fb74aa27df9c509', 'd326c3e5ef554cfc89dba0d627b2447a', 'False', 'False', 'false', 'false', '513231211204', 5, '沙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231211204', 1, '2021-07-19 12:04:51', NULL, NULL), (31845, '', '夺沟村', '72cd3ed65e11406f941b1446b6667e5c', 'd326c3e5ef554cfc89dba0d627b2447a', 'False', 'False', 'false', 'false', '513231211205', 5, '夺沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231211205', 1, '2021-07-19 12:04:51', NULL, NULL), (31846, '', '安羌镇', '8d84103063ba44499f4d6ed5499cb3f7', '1834249000b643649f475d618a504d60', 'True', 'True', 'false', 'false', '513231212000', 4, '安羌乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513231212000', 1, '2021-07-19 12:04:51', NULL, NULL), (31847, '', '纳昆村', 'a26bc58a8318432aa829f1d33e8a8ea2', '8d84103063ba44499f4d6ed5499cb3f7', 'False', 'False', 'false', 'false', '513231212200', 5, '纳昆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231212200', 1, '2021-07-19 12:04:52', NULL, NULL), (31848, '', '安羌村', '4adfe4cdba184614a565c62df8cb0f8b', '8d84103063ba44499f4d6ed5499cb3f7', 'False', 'False', 'false', 'false', '513231212201', 5, '安羌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231212201', 1, '2021-07-19 12:04:52', NULL, NULL), (31849, '', '塔尔么村', '6cee954ff3e74be4a6f73fa75e4e95f7', '8d84103063ba44499f4d6ed5499cb3f7', 'False', 'False', 'false', 'false', '513231212202', 5, '塔尔么村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231212202', 1, '2021-07-19 12:04:52', NULL, NULL), (31850, '', '查理乡', '17305f85faf841b8b19a599db7954d2d', '1834249000b643649f475d618a504d60', 'True', 'True', 'false', 'false', '513231213000', 4, '查理乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513231213000', 1, '2021-07-19 12:04:52', NULL, NULL), (31851, '', '塔哇村', 'f58564c2fb3044dea7ae6b27b298d17c', '17305f85faf841b8b19a599db7954d2d', 'False', 'False', 'false', 'false', '513231213200', 5, '塔哇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231213200', 1, '2021-07-19 12:04:52', NULL, NULL), (31852, '', '然木夺村', 'e4391a2cb54f4bb4a9b8d2b20df388cd', '17305f85faf841b8b19a599db7954d2d', 'False', 'False', 'false', 'false', '513231213201', 5, '然木夺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231213201', 1, '2021-07-19 12:04:52', NULL, NULL), (31853, '', '夺哇村', '021b9ce3f2ff4b2ab8ce9d65214254b9', '17305f85faf841b8b19a599db7954d2d', 'False', 'False', 'false', 'false', '513231213202', 5, '夺哇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231213202', 1, '2021-07-19 12:04:52', NULL, NULL), (31854, '', '神座村', 'd68801ff30284842ad281e7a6848aece', '17305f85faf841b8b19a599db7954d2d', 'False', 'False', 'false', 'false', '513231213203', 5, '神座村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231213203', 1, '2021-07-19 12:04:52', NULL, NULL), (31855, '', '新民村', 'c026e15486ea4204818e5d311da06a5f', '17305f85faf841b8b19a599db7954d2d', 'False', 'False', 'false', 'false', '513231213204', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231213204', 1, '2021-07-19 12:04:52', NULL, NULL), (31856, '', '额色玛村', '2b46c69fe896481fa86eab6729d909f6', '17305f85faf841b8b19a599db7954d2d', 'False', 'False', 'false', 'false', '513231213205', 5, '额色玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231213205', 1, '2021-07-19 12:04:52', NULL, NULL), (31857, '', '茸安乡', '7811518ff70a461fb1d887ecb514d916', '1834249000b643649f475d618a504d60', 'True', 'True', 'false', 'false', '513231214000', 4, '茸安乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513231214000', 1, '2021-07-19 12:04:52', NULL, NULL), (31858, '', '阿斯玖村', '991d57c007e043caa15003da29c51a04', '7811518ff70a461fb1d887ecb514d916', 'False', 'False', 'false', 'false', '513231214200', 5, '阿斯玖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231214200', 1, '2021-07-19 12:04:52', NULL, NULL), (31859, '', '蒙古村', '85ee0c76d16f4a35985c4e6fd0660715', '7811518ff70a461fb1d887ecb514d916', 'False', 'False', 'false', 'false', '513231214201', 5, '蒙古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231214201', 1, '2021-07-19 12:04:52', NULL, NULL), (31860, '', '安坝村', '0b79061ace2c4d4fbc8d1514f4f24915', '7811518ff70a461fb1d887ecb514d916', 'False', 'False', 'false', 'false', '513231214202', 5, '安坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231214202', 1, '2021-07-19 12:04:52', NULL, NULL), (31861, '', '职尕村', '0845860eb2ad4ca89754641dfa78cad3', '7811518ff70a461fb1d887ecb514d916', 'False', 'False', 'false', 'false', '513231214203', 5, '职尕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231214203', 1, '2021-07-19 12:04:53', NULL, NULL), (31862, '', '夏尔嘎村', '58f276e7eced44eab44a037182559e1f', '7811518ff70a461fb1d887ecb514d916', 'False', 'False', 'false', 'false', '513231214204', 5, '夏尔嘎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231214204', 1, '2021-07-19 12:04:53', NULL, NULL), (31863, '', '格尔登玛村', 'ca5d5760e7164dd89ab719ebaa469514', '7811518ff70a461fb1d887ecb514d916', 'False', 'False', 'false', 'false', '513231214205', 5, '格尔登玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231214205', 1, '2021-07-19 12:04:53', NULL, NULL), (31864, '', '麦尔玛镇', '2c2cbeb431ff46ae8691ea25afdcc1c5', '1834249000b643649f475d618a504d60', 'True', 'True', 'false', 'false', '513231216000', 4, '麦尔玛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513231216000', 1, '2021-07-19 12:04:53', NULL, NULL), (31865, '', '亚昆玛村', 'b09de8c71bb64dceb50bd301bb422ac0', '2c2cbeb431ff46ae8691ea25afdcc1c5', 'False', 'False', 'false', 'false', '513231216200', 5, '亚昆玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231216200', 1, '2021-07-19 12:04:53', NULL, NULL), (31866, '', '莫哇洛村', '0a222eccb9e640b3be4062d5be46ca66', '2c2cbeb431ff46ae8691ea25afdcc1c5', 'False', 'False', 'false', 'false', '513231216201', 5, '莫哇洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231216201', 1, '2021-07-19 12:04:53', NULL, NULL), (31867, '', '色尔底村', '22deac5f0cdb46bc8d672a816fbe7b6a', '2c2cbeb431ff46ae8691ea25afdcc1c5', 'False', 'False', 'false', 'false', '513231216202', 5, '色尔底村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231216202', 1, '2021-07-19 12:04:53', NULL, NULL), (31868, '', '兰措玛村', '259546c4bc1b45e7a7c0d12c890693c4', '2c2cbeb431ff46ae8691ea25afdcc1c5', 'False', 'False', 'false', 'false', '513231216203', 5, '兰措玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231216203', 1, '2021-07-19 12:04:53', NULL, NULL), (31869, '', '阿布洛村', 'c6c3eeada2ec4db1b066a8a866cf1dbc', '2c2cbeb431ff46ae8691ea25afdcc1c5', 'False', 'False', 'false', 'false', '513231216204', 5, '阿布洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513231216204', 1, '2021-07-19 12:04:53', NULL, NULL), (31870, '', '若尔盖县', '1490d87b4eb34fbd8d328f0268f6aa54', 'bd453af225f84ab8af7b1fca05ac83ed', 'True', 'True', 'false', 'false', '513232000000', 3, '若尔盖县', 'abzregx.sczwfw.gov.cn', 1, '2021-07-19 12:04:53', NULL, NULL), (31871, '', '达扎寺镇', '3bfa07f151f74056997623934d51fcd2', '1490d87b4eb34fbd8d328f0268f6aa54', 'True', 'True', 'false', 'false', '513232100000', 4, '达扎寺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513232100000', 1, '2021-07-19 12:04:53', NULL, NULL), (31872, '', '曙光社区', 'cb46242fedbd42ef99f88f8a9502da90', '3bfa07f151f74056997623934d51fcd2', 'False', 'True', 'false', 'false', '513232100001', 5, '曙光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232100001', 1, '2021-07-19 12:04:53', NULL, NULL), (31873, '', '商业社区', '6922296b51ae41529690c653d7f70541', '3bfa07f151f74056997623934d51fcd2', 'False', 'True', 'false', 'false', '513232100002', 5, '商业社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232100002', 1, '2021-07-19 12:04:53', NULL, NULL), (31874, '', '多玛村', 'a62839556ec94f2aa27bab4def819b1c', '3bfa07f151f74056997623934d51fcd2', 'False', 'True', 'false', 'false', '513232100091', 5, '多玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232100091', 1, '2021-07-19 12:04:53', NULL, NULL), (31875, '', '红光村', '1be7b6fe1d01478283541f916ba56a0a', '3bfa07f151f74056997623934d51fcd2', 'False', 'True', 'false', 'false', '513232100200', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232100200', 1, '2021-07-19 12:04:53', NULL, NULL), (31876, '', '向东村', '0deec602e48d4f54a1b5e79bb9c7347c', '3bfa07f151f74056997623934d51fcd2', 'False', 'True', 'false', 'false', '513232100202', 5, '向东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232100202', 1, '2021-07-19 12:04:53', NULL, NULL), (31877, '', '岭嘎村', 'c51b328c766f461190c525901f816f13', '3bfa07f151f74056997623934d51fcd2', 'False', 'True', 'false', 'false', '513232100203', 5, '岭嘎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232100203', 1, '2021-07-19 12:04:53', NULL, NULL), (31878, '', '唐克镇', '8dcd5fb47cd444a6878d5b578a021331', '1490d87b4eb34fbd8d328f0268f6aa54', 'True', 'True', 'false', 'false', '513232101000', 4, '唐克镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513232101000', 1, '2021-07-19 12:04:53', NULL, NULL), (31879, '', '白河社区', '240775f2cfda4712b978eb00528a3ba6', '8dcd5fb47cd444a6878d5b578a021331', 'False', 'True', 'false', 'false', '513232101001', 5, '白河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232101001', 1, '2021-07-19 12:04:53', NULL, NULL), (31880, '', '索格藏村', '905ae8215ea54db78bf48ec8a7eef032', '8dcd5fb47cd444a6878d5b578a021331', 'False', 'True', 'false', 'false', '513232101200', 5, '索格藏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232101200', 1, '2021-07-19 12:04:53', NULL, NULL), (31881, '', '嘎尔玛村', '2164972d46fb4e8aa82b79c55bc9553b', '8dcd5fb47cd444a6878d5b578a021331', 'False', 'True', 'false', 'false', '513232101201', 5, '嘎尔玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232101201', 1, '2021-07-19 12:04:54', NULL, NULL), (31882, '', '汾甲村', '169fb1b399a6442a949d1b8a9bdbf88e', '8dcd5fb47cd444a6878d5b578a021331', 'False', 'True', 'false', 'false', '513232101202', 5, '汾甲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232101202', 1, '2021-07-19 12:04:54', NULL, NULL), (31883, '', '逻花村', 'f357bec58fc7462092317738a0859642', '8dcd5fb47cd444a6878d5b578a021331', 'False', 'True', 'false', 'false', '513232101203', 5, '逻花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232101203', 1, '2021-07-19 12:04:54', NULL, NULL), (31884, '', '俄色村', 'b66c9ebd982b4a74946b11b68796b2c5', '8dcd5fb47cd444a6878d5b578a021331', 'False', 'True', 'false', 'false', '513232101204', 5, '俄色村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232101204', 1, '2021-07-19 12:04:54', NULL, NULL), (31885, '', '藏哇村', '13b08d6beeb44bf1b988876b06b0f95c', '8dcd5fb47cd444a6878d5b578a021331', 'False', 'True', 'false', 'false', '513232101205', 5, '藏哇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232101205', 1, '2021-07-19 12:04:54', NULL, NULL), (31886, '', '红星镇', 'be8cce52baaa4429a72554649d8dadc2', '1490d87b4eb34fbd8d328f0268f6aa54', 'True', 'True', 'false', 'false', '513232102000', 4, '红星镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513232102000', 1, '2021-07-19 12:04:54', NULL, NULL), (31887, '', '塔哇村', '9ac4eb1e9382473e976704ba4f82b675', 'be8cce52baaa4429a72554649d8dadc2', 'False', 'True', 'false', 'false', '513232102201', 5, '塔哇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232102201', 1, '2021-07-19 12:04:54', NULL, NULL), (31888, '', '塔玛村', '564db19b965244a49b0687a6499ae47d', 'be8cce52baaa4429a72554649d8dadc2', 'False', 'True', 'false', 'false', '513232102202', 5, '塔玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232102202', 1, '2021-07-19 12:04:54', NULL, NULL), (31889, '', '折勿村', 'c6b3c37c0767460ea388c139699986e8', 'be8cce52baaa4429a72554649d8dadc2', 'False', 'True', 'false', 'false', '513232102203', 5, '折勿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232102203', 1, '2021-07-19 12:04:54', NULL, NULL), (31890, '', '冻卡村', '13f561844e9248c4aba70a30f224e69e', 'be8cce52baaa4429a72554649d8dadc2', 'False', 'True', 'false', 'false', '513232102204', 5, '冻卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232102204', 1, '2021-07-19 12:04:54', NULL, NULL), (31891, '', '河它村', '56a239833ad54d35a02d2af774a0bfed', 'be8cce52baaa4429a72554649d8dadc2', 'False', 'True', 'false', 'false', '513232102205', 5, '河它村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232102205', 1, '2021-07-19 12:04:54', NULL, NULL), (31892, '', '扎窝村', 'f1a007b7d7ce455da53c5f63c44c9738', 'be8cce52baaa4429a72554649d8dadc2', 'False', 'True', 'false', 'false', '513232102206', 5, '扎窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232102206', 1, '2021-07-19 12:04:54', NULL, NULL), (31893, '', '回民村', '087b3eb4bb3349e19c8e3f749d2a8fb2', 'be8cce52baaa4429a72554649d8dadc2', 'False', 'True', 'false', 'false', '513232102207', 5, '回民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232102207', 1, '2021-07-19 12:04:54', NULL, NULL), (31894, '', '巴西镇', 'fc7b4c9c6030493a9ba285b5f10efd42', '1490d87b4eb34fbd8d328f0268f6aa54', 'True', 'True', 'false', 'false', '513232200000', 4, '巴西镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513232200000', 1, '2021-07-19 12:04:55', NULL, NULL), (31895, '', '上巴西村', 'f79a69ed70c4458d828080e56ccdc630', 'fc7b4c9c6030493a9ba285b5f10efd42', 'False', 'True', 'false', 'false', '513232104207', 5, '上巴西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232104207', 1, '2021-07-19 12:04:55', NULL, NULL), (31896, '', '下巴西村', '637c151ef6da440aac746b3631d26f29', 'fc7b4c9c6030493a9ba285b5f10efd42', 'False', 'True', 'false', 'false', '513232104349', 5, '下巴西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232104349', 1, '2021-07-19 12:04:55', NULL, NULL), (31897, '', '阿俄村', 'fbfade4d25474c65a755140780fd6875', 'fc7b4c9c6030493a9ba285b5f10efd42', 'False', 'True', 'false', 'false', '513232104852', 5, '阿俄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232104852', 1, '2021-07-19 12:04:55', NULL, NULL), (31898, '', '班佑村', '72018d2e57374d08b2a2b762c452f783', 'fc7b4c9c6030493a9ba285b5f10efd42', 'False', 'True', 'false', 'false', '513232200201', 5, '班佑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232200201', 1, '2021-07-19 12:04:55', NULL, NULL), (31899, '', '求吉郎哇村', '5c439b0d8b304f559cbb4d570d6fdcd0', 'fc7b4c9c6030493a9ba285b5f10efd42', 'False', 'True', 'false', 'false', '513232200202', 5, '求吉郎哇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232200202', 1, '2021-07-19 12:04:55', NULL, NULL), (31900, '', '姜冬村', 'b179fa994368470c81bf510f134d4710', 'fc7b4c9c6030493a9ba285b5f10efd42', 'False', 'True', 'false', 'false', '513232200203', 5, '姜冬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232200203', 1, '2021-07-19 12:04:55', NULL, NULL), (31901, '', '打更沟村', 'a0c251317d594e6081521793288b44e2', 'fc7b4c9c6030493a9ba285b5f10efd42', 'False', 'True', 'false', 'false', '513232200204', 5, '打更沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232200204', 1, '2021-07-19 12:04:55', NULL, NULL), (31902, '', '阿西镇', '4cdad6cf5bb44882895e12e29af3ecbc', '1490d87b4eb34fbd8d328f0268f6aa54', 'True', 'True', 'false', 'false', '513232201000', 4, '阿西镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513232201000', 1, '2021-07-19 12:04:55', NULL, NULL), (31903, '', '茸戈村', '9d02276db1874f2788028c7203d03dd0', '4cdad6cf5bb44882895e12e29af3ecbc', 'False', 'True', 'false', 'false', '513232105132', 5, '茸戈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232105132', 1, '2021-07-19 12:04:55', NULL, NULL), (31904, '', '牙弄村', 'df1899d22e094498a942f3ba349a9bea', '4cdad6cf5bb44882895e12e29af3ecbc', 'False', 'True', 'false', 'false', '513232105133', 5, '牙弄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232105133', 1, '2021-07-19 12:04:55', NULL, NULL), (31905, '', '卓藏村', 'e477375974f04e2a8c141d6c10758cff', '4cdad6cf5bb44882895e12e29af3ecbc', 'False', 'True', 'false', 'false', '513232105379', 5, '卓藏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232105379', 1, '2021-07-19 12:04:55', NULL, NULL), (31906, '', '茸夺巴村', '50c7cad6b9d54452b1d6bdbdd6b3bc53', '4cdad6cf5bb44882895e12e29af3ecbc', 'False', 'True', 'false', 'false', '513232105577', 5, '茸夺巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232105577', 1, '2021-07-19 12:04:55', NULL, NULL), (31907, '', '甲尼村', '023abd60d8884822b4581c894eb8f11c', '4cdad6cf5bb44882895e12e29af3ecbc', 'False', 'True', 'false', 'false', '513232105769', 5, '甲尼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232105769', 1, '2021-07-19 12:04:55', NULL, NULL), (31908, '', '团结村', '249571346dac4f77822a2557fd4841cb', '4cdad6cf5bb44882895e12e29af3ecbc', 'False', 'True', 'false', 'false', '513232105871', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232105871', 1, '2021-07-19 12:04:56', NULL, NULL), (31909, '', '牙相村', '1ed69eee21514db781d08631ee76acec', '4cdad6cf5bb44882895e12e29af3ecbc', 'False', 'True', 'false', 'false', '513232201200', 5, '牙相村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232201200', 1, '2021-07-19 12:04:56', NULL, NULL), (31910, '', '夺巴村', '9db8ab8e518546fa9880128cbf9764ca', '4cdad6cf5bb44882895e12e29af3ecbc', 'False', 'True', 'false', 'false', '513232201201', 5, '夺巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232201201', 1, '2021-07-19 12:04:56', NULL, NULL), (31911, '', '卓坤村', 'd543992d7ff44a3c8f449d1049718f2c', '4cdad6cf5bb44882895e12e29af3ecbc', 'False', 'True', 'false', 'false', '513232201202', 5, '卓坤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232201202', 1, '2021-07-19 12:04:56', NULL, NULL), (31912, '', '罗叉村', 'f7b20cd68c9540399cee85cf92104e45', '4cdad6cf5bb44882895e12e29af3ecbc', 'False', 'True', 'false', 'false', '513232201203', 5, '罗叉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232201203', 1, '2021-07-19 12:04:56', NULL, NULL), (31913, '', '上热尔村', '1d95fd37e3cf443fb8735c137791accd', '4cdad6cf5bb44882895e12e29af3ecbc', 'False', 'True', 'false', 'false', '513232201204', 5, '上热尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232201204', 1, '2021-07-19 12:04:56', NULL, NULL), (31914, '', '下热尔村', '42f5681529d74007b8900d1e53fb1853', '4cdad6cf5bb44882895e12e29af3ecbc', 'False', 'True', 'false', 'false', '513232201205', 5, '下热尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232201205', 1, '2021-07-19 12:04:56', NULL, NULL), (31915, '', '阿西村', 'e687ca7ea77c43aea02dbc85b7af6390', '4cdad6cf5bb44882895e12e29af3ecbc', 'False', 'True', 'false', 'false', '513232201206', 5, '阿西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232201206', 1, '2021-07-19 12:04:56', NULL, NULL), (31916, '', '辖曼镇', '088742b6e7014f31b4603964413615de', '1490d87b4eb34fbd8d328f0268f6aa54', 'True', 'True', 'false', 'false', '513232203000', 4, '辖曼镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513232203000', 1, '2021-07-19 12:04:56', NULL, NULL), (31917, '', '虢昌村', '8ea597f8718a4c1990d975942df1b2ad', '088742b6e7014f31b4603964413615de', 'False', 'True', 'false', 'false', '513232103728', 5, '虢昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232103728', 1, '2021-07-19 12:04:56', NULL, NULL), (31918, '', '塔洼村', 'ce01e31552814b2e9b55a7a717618402', '088742b6e7014f31b4603964413615de', 'False', 'True', 'false', 'false', '513232203200', 5, '塔洼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232203200', 1, '2021-07-19 12:04:56', NULL, NULL), (31919, '', '嘎穷村', '5d1647b519ca43dca23b77a11c88b64e', '088742b6e7014f31b4603964413615de', 'False', 'True', 'false', 'false', '513232203201', 5, '嘎穷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232203201', 1, '2021-07-19 12:04:56', NULL, NULL), (31920, '', '文戈村', '3cea1792bfb44787830c726bc15c6d6d', '088742b6e7014f31b4603964413615de', 'False', 'True', 'false', 'false', '513232203202', 5, '文戈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232203202', 1, '2021-07-19 12:04:57', NULL, NULL), (31921, '', '西仓村', 'c4fa87872f1141dca81359d2f714440e', '088742b6e7014f31b4603964413615de', 'False', 'True', 'false', 'false', '513232203203', 5, '西仓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232203203', 1, '2021-07-19 12:04:57', NULL, NULL), (31922, '', '河拉村', '7a90e7eccd544d93a2b6a4ff0a3501cf', '088742b6e7014f31b4603964413615de', 'False', 'True', 'false', 'false', '513232203204', 5, '河拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232203204', 1, '2021-07-19 12:04:57', NULL, NULL), (31923, '', '卡加村', '03528138fde742a9b9c333cd5e54457f', '088742b6e7014f31b4603964413615de', 'False', 'True', 'false', 'false', '513232203205', 5, '卡加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232203205', 1, '2021-07-19 12:04:57', NULL, NULL), (31924, '', '麦溪乡', '8c878da071bf417b9e306aed5f3578a0', '1490d87b4eb34fbd8d328f0268f6aa54', 'True', 'True', 'false', 'false', '513232205000', 4, '麦溪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513232205000', 1, '2021-07-19 12:04:57', NULL, NULL), (31925, '', '俄藏村', '7350c3edd116461e9f0f29f1a11bbcfd', '8c878da071bf417b9e306aed5f3578a0', 'False', 'True', 'false', 'false', '513232205200', 5, '俄藏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232205200', 1, '2021-07-19 12:04:57', NULL, NULL), (31926, '', '幕村', '2d8284b24649448a9890e4c07ad3500a', '8c878da071bf417b9e306aed5f3578a0', 'False', 'True', 'false', 'false', '513232205201', 5, '幕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232205201', 1, '2021-07-19 12:04:57', NULL, NULL), (31927, '', '嘎沙村', '7155795e04ed4cc68900c1f598132ca7', '8c878da071bf417b9e306aed5f3578a0', 'False', 'True', 'false', 'false', '513232205202', 5, '嘎沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232205202', 1, '2021-07-19 12:04:57', NULL, NULL), (31928, '', '查科村', '3a1d3660ca584e3fad40c621ba4474cc', '8c878da071bf417b9e306aed5f3578a0', 'False', 'True', 'false', 'false', '513232205203', 5, '查科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232205203', 1, '2021-07-19 12:04:57', NULL, NULL), (31929, '', '泽修村', 'ab40c2811a6f4ce689aba8b00cac53a0', '8c878da071bf417b9e306aed5f3578a0', 'False', 'True', 'false', 'false', '513232205204', 5, '泽修村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232205204', 1, '2021-07-19 12:04:57', NULL, NULL), (31930, '', '黑河村', '08c7cb70e4e944f6a513775c97cd7df8', '8c878da071bf417b9e306aed5f3578a0', 'False', 'True', 'false', 'false', '513232205205', 5, '黑河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232205205', 1, '2021-07-19 12:04:57', NULL, NULL), (31931, '', '嫩哇乡', 'd7126a9c57494ebba22e992ca1d772c5', '1490d87b4eb34fbd8d328f0268f6aa54', 'True', 'True', 'false', 'false', '513232206000', 4, '嫩哇乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513232206000', 1, '2021-07-19 12:04:57', NULL, NULL), (31932, '', '上村', 'd2f67eedd2b241e4bea6586e09df3f6c', 'd7126a9c57494ebba22e992ca1d772c5', 'False', 'True', 'false', 'false', '513232206201', 5, '上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232206201', 1, '2021-07-19 12:04:58', NULL, NULL), (31933, '', '中村', '0d2bb7219ec74ac89fcc2d7fe5e824e2', 'd7126a9c57494ebba22e992ca1d772c5', 'False', 'True', 'false', 'false', '513232206202', 5, '中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232206202', 1, '2021-07-19 12:04:58', NULL, NULL), (31934, '', '下村', '2d5c7ad4452b424d8082a42b9c608c2b', 'd7126a9c57494ebba22e992ca1d772c5', 'False', 'True', 'false', 'false', '513232206203', 5, '下村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232206203', 1, '2021-07-19 12:04:58', NULL, NULL), (31935, '', '铁布镇', '2faffec17fd54558a80cf9f1d650c2a0', '1490d87b4eb34fbd8d328f0268f6aa54', 'True', 'True', 'false', 'false', '513232207000', 4, '铁布镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513232207000', 1, '2021-07-19 12:04:58', NULL, NULL), (31936, '', '阿米塘村', '454eecc3d8f84a38a677b922ea45133a', '2faffec17fd54558a80cf9f1d650c2a0', 'False', 'True', 'false', 'false', '513232207388', 5, '阿米塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232207388', 1, '2021-07-19 12:04:58', NULL, NULL), (31937, '', '冻列村', 'b60445bb54eb4cd7aa5b26fd67a50d78', '2faffec17fd54558a80cf9f1d650c2a0', 'False', 'True', 'false', 'false', '513232207200', 5, '冻列村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232207200', 1, '2021-07-19 12:04:58', NULL, NULL), (31938, '', '然多村', '2d71f1b9614643849ac57ee9d75c4791', '2faffec17fd54558a80cf9f1d650c2a0', 'False', 'True', 'false', 'false', '513232207201', 5, '然多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232207201', 1, '2021-07-19 12:04:58', NULL, NULL), (31939, '', '则隆村', '9eb36d78c485494b890f683a4a062107', '2faffec17fd54558a80cf9f1d650c2a0', 'False', 'True', 'false', 'false', '513232207202', 5, '则隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232207202', 1, '2021-07-19 12:04:58', NULL, NULL), (31940, '', '石松村', '2673f9a92e92481b80c76c654a56bc6a', '2faffec17fd54558a80cf9f1d650c2a0', 'False', 'True', 'false', 'false', '513232207205', 5, '石松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232207205', 1, '2021-07-19 12:04:58', NULL, NULL), (31941, '', '达莫村', '07dd1e2991ba434192909a6ab4a31e2d', '2faffec17fd54558a80cf9f1d650c2a0', 'False', 'True', 'false', 'false', '513232207206', 5, '达莫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232207206', 1, '2021-07-19 12:04:58', NULL, NULL), (31942, '', '德玛村', 'ff025b52bac0487e92a52fe9d7d6762f', '2faffec17fd54558a80cf9f1d650c2a0', 'False', 'True', 'false', 'false', '513232207465', 5, '德玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232207465', 1, '2021-07-19 12:04:58', NULL, NULL), (31943, '', '扎萨格村', 'cc2c83aa55be4367b670ce0d4faec068', '2faffec17fd54558a80cf9f1d650c2a0', 'False', 'True', 'false', 'false', '513232207673', 5, '扎萨格村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232207673', 1, '2021-07-19 12:04:58', NULL, NULL), (31944, '', '罗格村', '731fca30ddfe462797a53300ae594701', '2faffec17fd54558a80cf9f1d650c2a0', 'False', 'True', 'false', 'false', '513232207876', 5, '罗格村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232207876', 1, '2021-07-19 12:04:59', NULL, NULL), (31945, '', '热盖村', '961aac61b2c14ca792e99f037fdb9484', '2faffec17fd54558a80cf9f1d650c2a0', 'False', 'True', 'false', 'false', '513232207916', 5, '热盖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232207916', 1, '2021-07-19 12:04:59', NULL, NULL), (31946, '', '康多村', '60b3a58192a94c50a228c3c96acee083', '2faffec17fd54558a80cf9f1d650c2a0', 'False', 'True', 'false', 'false', '513232208027', 5, '康多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232208027', 1, '2021-07-19 12:04:59', NULL, NULL), (31947, '', '腊子沟村', '0bcd4ddbf7a0465591bf50708ca5dee6', '2faffec17fd54558a80cf9f1d650c2a0', 'False', 'True', 'false', 'false', '513232208158', 5, '腊子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232208158', 1, '2021-07-19 12:04:59', NULL, NULL), (31948, '', '八玛村', '1e88f48f7be649188cc7baf5563772b6', '2faffec17fd54558a80cf9f1d650c2a0', 'False', 'True', 'false', 'false', '513232208266', 5, '八玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232208266', 1, '2021-07-19 12:04:59', NULL, NULL), (31949, '', '麦杠村', 'bafe5048690347089bcb0dd0c773fce0', '2faffec17fd54558a80cf9f1d650c2a0', 'False', 'True', 'false', 'false', '513232208491', 5, '麦杠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232208491', 1, '2021-07-19 12:04:59', NULL, NULL), (31950, '', '洞戈村', '13b9fa030fb04c268fbbb53657fad530', '2faffec17fd54558a80cf9f1d650c2a0', 'False', 'True', 'false', 'false', '513232208635', 5, '洞戈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232208635', 1, '2021-07-19 12:04:59', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (31951, '', '占哇乡', '5b13ed20d24b4383aa5ec9f624f27c93', '1490d87b4eb34fbd8d328f0268f6aa54', 'True', 'True', 'false', 'false', '513232210000', 4, '占哇乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513232210000', 1, '2021-07-19 12:04:59', NULL, NULL), (31952, '', '夏德村', 'c3c2fb48eaf449bca69bb83e8875d79a', '5b13ed20d24b4383aa5ec9f624f27c93', 'False', 'True', 'false', 'false', '513232210200', 5, '夏德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232210200', 1, '2021-07-19 12:04:59', NULL, NULL), (31953, '', '塔尔村', '0404727c898e428fa5de346b578f18ad', '5b13ed20d24b4383aa5ec9f624f27c93', 'False', 'True', 'false', 'false', '513232210201', 5, '塔尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232210201', 1, '2021-07-19 12:04:59', NULL, NULL), (31954, '', '毕岗村', '0d94dcc156a1421eb644f069ad0a7351', '5b13ed20d24b4383aa5ec9f624f27c93', 'False', 'True', 'false', 'false', '513232210202', 5, '毕岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232210202', 1, '2021-07-19 12:04:59', NULL, NULL), (31955, '', '降扎乡', 'c6e60e965959496288e79596b53d0fda', '1490d87b4eb34fbd8d328f0268f6aa54', 'True', 'True', 'false', 'false', '513232211000', 4, '降扎乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513232211000', 1, '2021-07-19 12:04:59', NULL, NULL), (31956, '', '木岔村', 'f6b4bf3f6bd3425599293f18fe6e7f65', 'c6e60e965959496288e79596b53d0fda', 'False', 'True', 'false', 'false', '513232211200', 5, '木岔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232211200', 1, '2021-07-19 12:04:59', NULL, NULL), (31957, '', '格吉村', 'e481c1167a3c4a94b4df6d45e97b70dc', 'c6e60e965959496288e79596b53d0fda', 'False', 'True', 'false', 'false', '513232211201', 5, '格吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232211201', 1, '2021-07-19 12:04:59', NULL, NULL), (31958, '', '求吉村', 'f04d9ee7eed04a2ebf6e8ddc0fb7106d', 'c6e60e965959496288e79596b53d0fda', 'False', 'True', 'false', 'false', '513232211202', 5, '求吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232211202', 1, '2021-07-19 12:04:59', NULL, NULL), (31959, '', '下山村', 'cb0d4a784b4d461f9b9173b1422b7ad2', 'c6e60e965959496288e79596b53d0fda', 'False', 'True', 'false', 'false', '513232211203', 5, '下山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232211203', 1, '2021-07-19 12:05:00', NULL, NULL), (31960, '', '热陇村', 'c97315abff084e7895e5e6d2712672fa', 'c6e60e965959496288e79596b53d0fda', 'False', 'True', 'false', 'false', '513232211204', 5, '热陇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232211204', 1, '2021-07-19 12:05:00', NULL, NULL), (31961, '', '苟绕村', 'b450e7e2d8624890b93e1f72012e885d', 'c6e60e965959496288e79596b53d0fda', 'False', 'True', 'false', 'false', '513232211205', 5, '苟绕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232211205', 1, '2021-07-19 12:05:00', NULL, NULL), (31962, '', '求吉乡', 'a4bd3a3a110e4d24875a88d68fbc1b4a', '1490d87b4eb34fbd8d328f0268f6aa54', 'True', 'True', 'false', 'false', '513232214000', 4, '求吉乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513232214000', 1, '2021-07-19 12:05:00', NULL, NULL), (31963, '', '下黄寨村', 'cc6b3eef2d6b458d8b0ce154f0f1013d', 'a4bd3a3a110e4d24875a88d68fbc1b4a', 'False', 'True', 'false', 'false', '513232214201', 5, '下黄寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232214201', 1, '2021-07-19 12:05:00', NULL, NULL), (31964, '', '甲吉村', '308c17d58b224958940b213cb4eb77be', 'a4bd3a3a110e4d24875a88d68fbc1b4a', 'False', 'True', 'false', 'false', '513232214202', 5, '甲吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232214202', 1, '2021-07-19 12:05:00', NULL, NULL), (31965, '', '嘎哇村', '0bcb9f2f81574e1d9bcf01e15b96607d', 'a4bd3a3a110e4d24875a88d68fbc1b4a', 'False', 'True', 'false', 'false', '513232214203', 5, '嘎哇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232214203', 1, '2021-07-19 12:05:00', NULL, NULL), (31966, '', '上黄寨村', 'aba5212bfd5d4936a5a0d61cc9b2771f', 'a4bd3a3a110e4d24875a88d68fbc1b4a', 'False', 'True', 'false', 'false', '513232214204', 5, '上黄寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232214204', 1, '2021-07-19 12:05:00', NULL, NULL), (31967, '', '麻藏村', '3a6e8ef6849d4a2f9e77369df9931231', 'a4bd3a3a110e4d24875a88d68fbc1b4a', 'False', 'True', 'false', 'false', '513232214205', 5, '麻藏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232214205', 1, '2021-07-19 12:05:00', NULL, NULL), (31968, '', '苟哇村', '9a8d2e20781a49088fb251af5a3b827d', 'a4bd3a3a110e4d24875a88d68fbc1b4a', 'False', 'True', 'false', 'false', '513232214206', 5, '苟哇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232214206', 1, '2021-07-19 12:05:00', NULL, NULL), (31969, '', '包座乡', 'ba2a82c2a87c41e09b2d69a2e9ccb82e', '1490d87b4eb34fbd8d328f0268f6aa54', 'True', 'True', 'false', 'false', '513232215000', 4, '包座乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513232215000', 1, '2021-07-19 12:05:00', NULL, NULL), (31970, '', '俄若村', 'b81bc1a98f1b4719a2df394c088e5bbb', 'ba2a82c2a87c41e09b2d69a2e9ccb82e', 'False', 'True', 'false', 'false', '513232215200', 5, '俄若村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232215200', 1, '2021-07-19 12:05:00', NULL, NULL), (31971, '', '嘎子村', '0787c49cfbbf438b913f49ad4548868c', 'ba2a82c2a87c41e09b2d69a2e9ccb82e', 'False', 'True', 'false', 'false', '513232215201', 5, '嘎子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232215201', 1, '2021-07-19 12:05:00', NULL, NULL), (31972, '', '达青村', '15d643b90982402ca3fc124814e199fe', 'ba2a82c2a87c41e09b2d69a2e9ccb82e', 'False', 'True', 'false', 'false', '513232215202', 5, '达青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232215202', 1, '2021-07-19 12:05:00', NULL, NULL), (31973, '', '卓塘村', '5a6fb6058c5849a78168a88fd4c9b186', 'ba2a82c2a87c41e09b2d69a2e9ccb82e', 'False', 'True', 'false', 'false', '513232215203', 5, '卓塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232215203', 1, '2021-07-19 12:05:00', NULL, NULL), (31974, '', '达来村', '84c16dc0fe38406cb33302257818431e', 'ba2a82c2a87c41e09b2d69a2e9ccb82e', 'False', 'True', 'false', 'false', '513232215204', 5, '达来村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513232215204', 1, '2021-07-19 12:05:00', NULL, NULL), (31975, '', '红原县', '81f1a1a198e640c49d16accbdcc226ec', 'bd453af225f84ab8af7b1fca05ac83ed', 'True', 'True', 'false', 'false', '513233000000', 3, '红原县', 'abzhyx.sczwfw.gov.cn', 1, '2021-07-19 12:05:00', NULL, NULL), (31976, '', '阿木乡', 'a57c05ad85ec43e6bc991bc996ab58b3', '81f1a1a198e640c49d16accbdcc226ec', 'True', 'True', 'false', 'false', '513233000304', 4, '阿木乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513233000304', 1, '2021-07-19 12:05:01', NULL, NULL), (31977, '', '卡口村', '7ccbac494bf24eefbb9aec6970400e5e', 'a57c05ad85ec43e6bc991bc996ab58b3', 'False', 'False', 'false', 'false', '513233000662', 5, '卡口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233000662', 1, '2021-07-19 12:05:01', NULL, NULL), (31978, '', '峨扎村', 'b058d2ca4c434c81bae12cddc8b1da9c', 'a57c05ad85ec43e6bc991bc996ab58b3', 'False', 'False', 'false', 'false', '513233000772', 5, '峨扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233000772', 1, '2021-07-19 12:05:01', NULL, NULL), (31979, '', '邛溪镇', 'dfd1975277674f0bbaad6144f403ab81', '81f1a1a198e640c49d16accbdcc226ec', 'True', 'True', 'false', 'false', '513233100000', 4, '邛溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513233100000', 1, '2021-07-19 12:05:01', NULL, NULL), (31980, '', '玉龙社区', '64c67176e32547caaa0a29430e9c2d2b', 'dfd1975277674f0bbaad6144f403ab81', 'False', 'False', 'false', 'false', '513233100001', 5, '玉龙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233100001', 1, '2021-07-19 12:05:01', NULL, NULL), (31981, '', '瑞庆社区', '3f57a222996c4c3584475c40edf58c58', 'dfd1975277674f0bbaad6144f403ab81', 'False', 'False', 'false', 'false', '513233100002', 5, '瑞庆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233100002', 1, '2021-07-19 12:05:01', NULL, NULL), (31982, '', '热坤村', 'fba2f5ca5df349ef85501709d526ca06', 'dfd1975277674f0bbaad6144f403ab81', 'False', 'False', 'false', 'false', '513233100200', 5, '热坤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233100200', 1, '2021-07-19 12:05:01', NULL, NULL), (31983, '', '玛萨村', '0a1bf68af43f46f9943a62e94a4ba51a', 'dfd1975277674f0bbaad6144f403ab81', 'False', 'False', 'false', 'false', '513233100201', 5, '玛萨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233100201', 1, '2021-07-19 12:05:01', NULL, NULL), (31984, '', '达格龙村', '5fb577854dcc4693b87adcae64cc5b69', 'dfd1975277674f0bbaad6144f403ab81', 'False', 'False', 'false', 'false', '513233100202', 5, '达格龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233100202', 1, '2021-07-19 12:05:01', NULL, NULL), (31985, '', '热多村', '358c5017b00d42b4aeda9a07c81c3879', 'dfd1975277674f0bbaad6144f403ab81', 'False', 'False', 'false', 'false', '513233100203', 5, '热多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233100203', 1, '2021-07-19 12:05:01', NULL, NULL), (31986, '', '玛瑟阳德村', 'ec76d963998d4b8ca27fcc78df814a05', 'dfd1975277674f0bbaad6144f403ab81', 'False', 'False', 'false', 'false', '513233100204', 5, '玛瑟阳德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233100204', 1, '2021-07-19 12:05:01', NULL, NULL), (31987, '', '瓦切镇', '24c0074704ab4467a2f72eb0cb54cca5', '81f1a1a198e640c49d16accbdcc226ec', 'True', 'True', 'false', 'false', '513233102000', 4, '瓦切镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513233102000', 1, '2021-07-19 12:05:01', NULL, NULL), (31988, '', '曲登塘居民社区', '1cfdb11962924628950f7061e9b6ea05', '24c0074704ab4467a2f72eb0cb54cca5', 'False', 'False', 'false', 'false', '513233102001', 5, '瓦切曲登塘居民社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233102001', 1, '2021-07-19 12:05:01', NULL, NULL), (31989, '', '日干村', 'b54c07931e32458a874e4ecf0c7be7db', '24c0074704ab4467a2f72eb0cb54cca5', 'False', 'False', 'false', 'false', '513233102200', 5, '日干村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233102200', 1, '2021-07-19 12:05:01', NULL, NULL), (31990, '', '德香村', '55188732699b4f58af237ed6d20fe5ef', '24c0074704ab4467a2f72eb0cb54cca5', 'False', 'False', 'false', 'false', '513233102201', 5, '德香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233102201', 1, '2021-07-19 12:05:01', NULL, NULL), (31991, '', '色永村', '5ec4229ae4644117aed92dce7219f1d9', '24c0074704ab4467a2f72eb0cb54cca5', 'False', 'False', 'false', 'false', '513233102202', 5, '色永村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233102202', 1, '2021-07-19 12:05:01', NULL, NULL), (31992, '', '唐日村', '67fc6a4d595d428b820d694b1c12797e', '24c0074704ab4467a2f72eb0cb54cca5', 'False', 'False', 'false', 'false', '513233102203', 5, '唐日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233102203', 1, '2021-07-19 12:05:01', NULL, NULL), (31993, '', '达峨村', 'db6b8c7dc1d94549923193077e914c4b', '24c0074704ab4467a2f72eb0cb54cca5', 'False', 'False', 'false', 'false', '513233102204', 5, '达峨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233102204', 1, '2021-07-19 12:05:01', NULL, NULL), (31994, '', '安曲镇', '128ae65827454305972d95d9aeb05130', '81f1a1a198e640c49d16accbdcc226ec', 'True', 'True', 'false', 'false', '513233103000', 4, '安曲镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513233103000', 1, '2021-07-19 12:05:01', NULL, NULL), (31995, '', '哈拉玛村', '35a9228acc534d3eaa6d90b8b0958e7a', '128ae65827454305972d95d9aeb05130', 'False', 'False', 'false', 'false', '513233103200', 5, '哈拉玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233103200', 1, '2021-07-19 12:05:01', NULL, NULL), (31996, '', '夺龙村', '3d6b26d103f0495c91e0256a3708058b', '128ae65827454305972d95d9aeb05130', 'False', 'False', 'false', 'false', '513233103201', 5, '夺龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233103201', 1, '2021-07-19 12:05:02', NULL, NULL), (31997, '', '下哈拉玛村', '349d1a66fd8a4cb381faca33b59b8799', '128ae65827454305972d95d9aeb05130', 'False', 'False', 'false', 'false', '513233103202', 5, '下哈拉玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233103202', 1, '2021-07-19 12:05:02', NULL, NULL), (31998, '', '色地镇', 'c15cbbbc53624c17a92b5dd338cda496', '81f1a1a198e640c49d16accbdcc226ec', 'True', 'True', 'false', 'false', '513233104000', 4, '色地镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513233104000', 1, '2021-07-19 12:05:02', NULL, NULL), (31999, '', '茸塔玛村', 'd62cf37c056e47e78ac3ae5b2af02134', 'c15cbbbc53624c17a92b5dd338cda496', 'False', 'False', 'false', 'false', '513233104200', 5, '茸塔玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233104200', 1, '2021-07-19 12:05:02', NULL, NULL), (32000, '', '让里村', '2ea0e0932857487680fb3ceef7a86e2a', 'c15cbbbc53624c17a92b5dd338cda496', 'False', 'False', 'false', 'false', '513233104201', 5, '让里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233104201', 1, '2021-07-19 12:05:02', NULL, NULL), (32001, '', '日西村', 'f5810eb966944a108481f449f396eefb', 'c15cbbbc53624c17a92b5dd338cda496', 'False', 'False', 'false', 'false', '513233104202', 5, '日西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233104202', 1, '2021-07-19 12:05:02', NULL, NULL), (32002, '', '刷经寺镇', '28b1f428ddca45be8337624ccdee8156', '81f1a1a198e640c49d16accbdcc226ec', 'True', 'True', 'false', 'false', '513233109000', 4, '刷经寺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513233109000', 1, '2021-07-19 12:05:02', NULL, NULL), (32003, '', '塘新村', '4c6a7fb1b883492d9ee9eca0ad6859fa', '28b1f428ddca45be8337624ccdee8156', 'False', 'False', 'false', 'false', '513233109598', 5, '塘新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233109598', 1, '2021-07-19 12:05:02', NULL, NULL), (32004, '', '三家寨村', 'fe984e775fdf4c269a2de6cda4eb9c09', '28b1f428ddca45be8337624ccdee8156', 'False', 'False', 'false', 'false', '513233109604', 5, '三家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233109604', 1, '2021-07-19 12:05:02', NULL, NULL), (32005, '', '刷经寺镇社区', '143d228f7bd3494ab29696ee12d1f7b2', '28b1f428ddca45be8337624ccdee8156', 'False', 'False', 'false', 'false', '513233109637', 5, '刷经寺镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233109637', 1, '2021-07-19 12:05:02', NULL, NULL), (32006, '', '亚休村', '38ac52fd666d451bac39975c06dd83b6', '28b1f428ddca45be8337624ccdee8156', 'False', 'False', 'false', 'false', '513233109798', 5, '亚休村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233109798', 1, '2021-07-19 12:05:02', NULL, NULL), (32007, '', '龙日镇', '7cff36377d6b4eb68cf62b514856b99b', '81f1a1a198e640c49d16accbdcc226ec', 'True', 'True', 'false', 'false', '513233201000', 4, '龙日镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513233201000', 1, '2021-07-19 12:05:02', NULL, NULL), (32008, '', '壤噶夺玛村', 'f02c916b2946464dbbed7d5c98e435c2', '7cff36377d6b4eb68cf62b514856b99b', 'False', 'False', 'false', 'false', '513233201200', 5, '壤噶夺玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233201200', 1, '2021-07-19 12:05:02', NULL, NULL), (32009, '', '格玛村', 'deac2a816cc0418a9eaa3c86f7921c8f', '7cff36377d6b4eb68cf62b514856b99b', 'False', 'False', 'false', 'false', '513233201201', 5, '格玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233201201', 1, '2021-07-19 12:05:02', NULL, NULL), (32010, '', '江茸乡', '449e538b44b141e7ba71bbfe03402f71', '81f1a1a198e640c49d16accbdcc226ec', 'True', 'True', 'false', 'false', '513233202000', 4, '江茸乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513233202000', 1, '2021-07-19 12:05:02', NULL, NULL), (32011, '', '江宫玛村', '0792b7dbfb884c0fb8d3ca05c781d960', '449e538b44b141e7ba71bbfe03402f71', 'False', 'False', 'false', 'false', '513233202200', 5, '江宫玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233202200', 1, '2021-07-19 12:05:02', NULL, NULL), (32012, '', '茸日玛村', '0f15ef397d9346b18b26504a95162fe2', '449e538b44b141e7ba71bbfe03402f71', 'False', 'False', 'false', 'false', '513233202201', 5, '茸日玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233202201', 1, '2021-07-19 12:05:02', NULL, NULL), (32013, '', '查尔玛乡', '6c93b6bacdba47dc96614b5e499a52fe', '81f1a1a198e640c49d16accbdcc226ec', 'True', 'True', 'false', 'false', '513233203000', 4, '查尔玛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513233203000', 1, '2021-07-19 12:05:02', NULL, NULL), (32014, '', '达尔龙村', '08baa4981b014ad384e4e829657e6d72', '6c93b6bacdba47dc96614b5e499a52fe', 'False', 'False', 'false', 'false', '513233203201', 5, '达尔龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233203201', 1, '2021-07-19 12:05:02', NULL, NULL), (32015, '', '什布龙村', '923aca2636644904924465e8a0b1bc6c', '6c93b6bacdba47dc96614b5e499a52fe', 'False', 'False', 'false', 'false', '513233203202', 5, '什布龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233203202', 1, '2021-07-19 12:05:03', NULL, NULL), (32016, '', '查龙村', 'e568aeb0226646aeb271486206e45277', '6c93b6bacdba47dc96614b5e499a52fe', 'False', 'False', 'false', 'false', '513233203203', 5, '查龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233203203', 1, '2021-07-19 12:05:03', NULL, NULL), (32017, '', '麦洼乡', '2aaaf75647b0425a9ff01b042fe6092d', '81f1a1a198e640c49d16accbdcc226ec', 'True', 'True', 'false', 'false', '513233207000', 4, '麦洼乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513233207000', 1, '2021-07-19 12:05:03', NULL, NULL), (32018, '', '洞拉村', '4daa869b65cc41f082024111ea1e7db5', '2aaaf75647b0425a9ff01b042fe6092d', 'False', 'False', 'false', 'false', '513233207200', 5, '洞拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233207200', 1, '2021-07-19 12:05:03', NULL, NULL), (32019, '', '滚塘村', 'aad7270f9cfe437bad63b0a792a1df29', '2aaaf75647b0425a9ff01b042fe6092d', 'False', 'False', 'false', 'false', '513233207201', 5, '滚塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513233207201', 1, '2021-07-19 12:05:03', NULL, NULL), (32020, '', '壤塘县', 'c18ca274cc1143cc9b6ac3aa0fe877ce', 'bd453af225f84ab8af7b1fca05ac83ed', 'True', 'True', 'false', 'false', '513230000000', 3, '壤塘县', 'abzrtx.sczwfw.gov.cn', 1, '2021-07-19 12:05:03', NULL, NULL), (32021, '', '南木达镇', 'e6c07ce345e0474ab5df0d5b00cbc500', 'c18ca274cc1143cc9b6ac3aa0fe877ce', 'True', 'True', 'false', 'false', '513230101000', 4, '南木达镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513230101000', 1, '2021-07-19 12:05:03', NULL, NULL), (32022, '', '南塘社区', '23777904b78f4393a61a4393bfc980cc', 'e6c07ce345e0474ab5df0d5b00cbc500', 'False', 'True', 'false', 'false', '513230101001', 5, '南塘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230101001', 1, '2021-07-19 12:05:03', NULL, NULL), (32023, '', '直属村', '217f5d0b060b4db495a38a5db5fbfc34', 'e6c07ce345e0474ab5df0d5b00cbc500', 'False', 'True', 'false', 'false', '513230101200', 5, '直属村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230101200', 1, '2021-07-19 12:05:03', NULL, NULL), (32024, '', '下炎村', '3f498253fc884b1c8f172d4b9c91a465', 'e6c07ce345e0474ab5df0d5b00cbc500', 'False', 'True', 'false', 'false', '513230101201', 5, '下炎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230101201', 1, '2021-07-19 12:05:03', NULL, NULL), (32025, '', '阿加村', 'd1bc73338d5b45bbab52352d8bf7ee05', 'e6c07ce345e0474ab5df0d5b00cbc500', 'False', 'True', 'false', 'false', '513230101202', 5, '阿加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230101202', 1, '2021-07-19 12:05:03', NULL, NULL), (32026, '', '南木达村', '141170677ef34024b17fa8dead123f82', 'e6c07ce345e0474ab5df0d5b00cbc500', 'False', 'True', 'false', 'false', '513230101203', 5, '南木达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230101203', 1, '2021-07-19 12:05:03', NULL, NULL), (32027, '', '三郎村', '5933efe5c51341988e069b7b10a493ae', 'e6c07ce345e0474ab5df0d5b00cbc500', 'False', 'True', 'false', 'false', '513230101204', 5, '三郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230101204', 1, '2021-07-19 12:05:03', NULL, NULL), (32028, '', '康旭村', 'ade85bb8b84a4cf49046e7efbc86e3f7', 'e6c07ce345e0474ab5df0d5b00cbc500', 'False', 'True', 'false', 'false', '513230101205', 5, '康旭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230101205', 1, '2021-07-19 12:05:03', NULL, NULL), (32029, '', '阿斯玛村', 'a7083124accd42f48ade2db68784fc3c', 'e6c07ce345e0474ab5df0d5b00cbc500', 'False', 'True', 'false', 'false', '513230101206', 5, '阿斯玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230101206', 1, '2021-07-19 12:05:03', NULL, NULL), (32030, '', '中壤塘镇', '5d64b6710d70479389f956574b7fe23d', 'c18ca274cc1143cc9b6ac3aa0fe877ce', 'True', 'True', 'false', 'false', '513230102000', 4, '中壤塘镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513230102000', 1, '2021-07-19 12:05:03', NULL, NULL), (32031, '', '壤塘村', '05a0d0c022934f79b12cfe2a9e7c4d2a', '5d64b6710d70479389f956574b7fe23d', 'False', 'True', 'false', 'false', '513230102200', 5, '壤塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230102200', 1, '2021-07-19 12:05:03', NULL, NULL), (32032, '', '布康木达村', '77bdb9e58b1b480381817d7ef4014a3a', '5d64b6710d70479389f956574b7fe23d', 'False', 'True', 'false', 'false', '513230102201', 5, '布康木达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230102201', 1, '2021-07-19 12:05:03', NULL, NULL), (32033, '', '伊根门多村', '182cd9bf37284da5849dc3d333bf9654', '5d64b6710d70479389f956574b7fe23d', 'False', 'True', 'false', 'false', '513230102202', 5, '伊根门多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230102202', 1, '2021-07-19 12:05:04', NULL, NULL), (32034, '', '查托村', '7e67662df4f7474ebe557bdc653bbfff', '5d64b6710d70479389f956574b7fe23d', 'False', 'True', 'false', 'false', '513230102203', 5, '查托村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230102203', 1, '2021-07-19 12:05:04', NULL, NULL), (32035, '', '蒲西乡', 'b54f654592db4a0db62f1800fb7aaaea', 'c18ca274cc1143cc9b6ac3aa0fe877ce', 'True', 'True', 'false', 'false', '513230200000', 4, '蒲西乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513230200000', 1, '2021-07-19 12:05:04', NULL, NULL), (32036, '', '斯跃武村', '78e4c354af5f41bc8734cfd34f0cd802', 'b54f654592db4a0db62f1800fb7aaaea', 'False', 'True', 'false', 'false', '513230200200', 5, '斯跃武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230200200', 1, '2021-07-19 12:05:04', NULL, NULL), (32037, '', '蒲西村', 'bf4a3e6fadab4c1dbe8bc7741d0ac1c8', 'b54f654592db4a0db62f1800fb7aaaea', 'False', 'True', 'false', 'false', '513230200201', 5, '蒲西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230200201', 1, '2021-07-19 12:05:04', NULL, NULL), (32038, '', '尤日村', '8d720451f1564ec4b0bc199cee5d85b8', 'b54f654592db4a0db62f1800fb7aaaea', 'False', 'True', 'false', 'false', '513230200202', 5, '尤日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230200202', 1, '2021-07-19 12:05:04', NULL, NULL), (32039, '', '小伊里村', 'ebf3a35c6ef347249fcee58a2a97dbba', 'b54f654592db4a0db62f1800fb7aaaea', 'False', 'True', 'false', 'false', '513230200203', 5, '小伊里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230200203', 1, '2021-07-19 12:05:04', NULL, NULL), (32040, '', '大伊里村', 'c30ceca3b55a4a5697152f91958a09db', 'b54f654592db4a0db62f1800fb7aaaea', 'False', 'True', 'false', 'false', '513230200204', 5, '大伊里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230200204', 1, '2021-07-19 12:05:04', NULL, NULL), (32041, '', '宗科乡', 'b5083163a0f34abfa01562c5a23e534c', 'c18ca274cc1143cc9b6ac3aa0fe877ce', 'True', 'True', 'false', 'false', '513230201000', 4, '宗科乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513230201000', 1, '2021-07-19 12:05:04', NULL, NULL), (32042, '', '加斯满村', '493ae4994a5d4ebe8496d76bac777b44', 'b5083163a0f34abfa01562c5a23e534c', 'False', 'True', 'false', 'false', '513230201200', 5, '加斯满村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230201200', 1, '2021-07-19 12:05:04', NULL, NULL), (32043, '', '伊冬村', 'e6a729e83f3b4709823cff26c4e2e068', 'b5083163a0f34abfa01562c5a23e534c', 'False', 'True', 'false', 'false', '513230201201', 5, '伊冬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230201201', 1, '2021-07-19 12:05:04', NULL, NULL), (32044, '', '卧龙村', 'e8f055f45fef4ed8a8f38a855f831136', 'b5083163a0f34abfa01562c5a23e534c', 'False', 'True', 'false', 'false', '513230201202', 5, '卧龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230201202', 1, '2021-07-19 12:05:04', NULL, NULL), (32045, '', '石里乡', '3dff54cf0ad146fa87ed6afd40575c6a', 'c18ca274cc1143cc9b6ac3aa0fe877ce', 'True', 'True', 'false', 'false', '513230202000', 4, '石里乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513230202000', 1, '2021-07-19 12:05:04', NULL, NULL), (32046, '', '阿斗村', '4a540d4cf9b24b35865a50fff31a2a2b', '3dff54cf0ad146fa87ed6afd40575c6a', 'False', 'True', 'false', 'false', '513230202200', 5, '阿斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230202200', 1, '2021-07-19 12:05:04', NULL, NULL), (32047, '', '二戈武村', 'd54943b146de41f58f2c65563122a45f', '3dff54cf0ad146fa87ed6afd40575c6a', 'False', 'True', 'false', 'false', '513230202201', 5, '二戈武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230202201', 1, '2021-07-19 12:05:04', NULL, NULL), (32048, '', '上大石沟村', 'fbe28bc233f14eb59ad5a745d73b128b', '3dff54cf0ad146fa87ed6afd40575c6a', 'False', 'True', 'false', 'false', '513230202202', 5, '上大石沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230202202', 1, '2021-07-19 12:05:04', NULL, NULL), (32049, '', '中大石沟村', '53de74efe29c4b448a2829b5a9b71105', '3dff54cf0ad146fa87ed6afd40575c6a', 'False', 'True', 'false', 'false', '513230202203', 5, '中大石沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230202203', 1, '2021-07-19 12:05:05', NULL, NULL), (32050, '', '下大石沟村', 'f695df26f9f6449b9a750e7524b4fc49', '3dff54cf0ad146fa87ed6afd40575c6a', 'False', 'True', 'false', 'false', '513230202204', 5, '下大石沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230202204', 1, '2021-07-19 12:05:05', NULL, NULL), (32051, '', '岗木达镇', '9e7ad107da8e4423b5a3e41412de8942', 'c18ca274cc1143cc9b6ac3aa0fe877ce', 'True', 'True', 'false', 'false', '513230204000', 4, '岗木达镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513230204000', 1, '2021-07-19 12:05:05', NULL, NULL), (32052, '', '阳培村', '912591d9cdc44716941fba133617cc0e', '9e7ad107da8e4423b5a3e41412de8942', 'False', 'True', 'false', 'false', '513230204200', 5, '阳培村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230204200', 1, '2021-07-19 12:05:05', NULL, NULL), (32053, '', '达日村', 'ffc11de6581c4780b3c95492b95a5e88', '9e7ad107da8e4423b5a3e41412de8942', 'False', 'True', 'false', 'false', '513230204201', 5, '达日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230204201', 1, '2021-07-19 12:05:05', NULL, NULL), (32054, '', '章光村', '1dcdbe1b5c2348f9b4e2316b94f63150', '9e7ad107da8e4423b5a3e41412de8942', 'False', 'True', 'false', 'false', '513230204202', 5, '章光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230204202', 1, '2021-07-19 12:05:05', NULL, NULL), (32055, '', '岗木达村', '3a8a87c2b74d40bb8eea4a241ce454c3', '9e7ad107da8e4423b5a3e41412de8942', 'False', 'True', 'false', 'false', '513230204203', 5, '岗木达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230204203', 1, '2021-07-19 12:05:05', NULL, NULL), (32056, '', '明达村', '08f12986ed794a1baa4862ffa5179093', '9e7ad107da8e4423b5a3e41412de8942', 'False', 'True', 'false', 'false', '513230204204', 5, '明达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230204204', 1, '2021-07-19 12:05:05', NULL, NULL), (32057, '', '昂柯村', 'f830caa43c9a485dbd4c6b4a643029e6', '9e7ad107da8e4423b5a3e41412de8942', 'False', 'True', 'false', 'false', '513230204205', 5, '昂柯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230204205', 1, '2021-07-19 12:05:05', NULL, NULL), (32058, '', '上杜柯乡', '1dc8bdb3c5814210a7ec5369e0307bf1', 'c18ca274cc1143cc9b6ac3aa0fe877ce', 'True', 'True', 'false', 'false', '513230205000', 4, '上杜柯乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513230205000', 1, '2021-07-19 12:05:05', NULL, NULL), (32059, '', '西穷村', '7f6b8e327e99427fb0bc74fb01656878', '1dc8bdb3c5814210a7ec5369e0307bf1', 'False', 'True', 'false', 'false', '513230205200', 5, '西穷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230205200', 1, '2021-07-19 12:05:05', NULL, NULL), (32060, '', '鱼托村', 'dee2c3049903456aaa4e3fe3d66ce303', '1dc8bdb3c5814210a7ec5369e0307bf1', 'False', 'True', 'false', 'false', '513230205201', 5, '鱼托村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230205201', 1, '2021-07-19 12:05:05', NULL, NULL), (32061, '', '吾克基村', 'b716284213dc41da945a24520423b3a6', '1dc8bdb3c5814210a7ec5369e0307bf1', 'False', 'True', 'false', 'false', '513230205202', 5, '吾克基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230205202', 1, '2021-07-19 12:05:05', NULL, NULL), (32062, '', '吉拉村', '751440c792e842c4ab87a2c15664bc10', '1dc8bdb3c5814210a7ec5369e0307bf1', 'False', 'True', 'false', 'false', '513230205203', 5, '吉拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230205203', 1, '2021-07-19 12:05:05', NULL, NULL), (32063, '', '日柯村', '093534eef1354511b1981e8a51546f43', '1dc8bdb3c5814210a7ec5369e0307bf1', 'False', 'True', 'false', 'false', '513230205204', 5, '日柯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230205204', 1, '2021-07-19 12:05:05', NULL, NULL), (32064, '', '茸木达乡', 'ef373a314ffa4afe97a8c80fab0439b7', 'c18ca274cc1143cc9b6ac3aa0fe877ce', 'True', 'True', 'false', 'false', '513230206000', 4, '茸木达乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513230206000', 1, '2021-07-19 12:05:06', NULL, NULL), (32065, '', '茸木达村', 'd9d4b375f411421f895d8112ff37dfea', 'ef373a314ffa4afe97a8c80fab0439b7', 'False', 'True', 'false', 'false', '513230206200', 5, '茸木达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230206200', 1, '2021-07-19 12:05:06', NULL, NULL), (32066, '', '巴生村', '0ef37587d6124679bafddd40331ac99a', 'ef373a314ffa4afe97a8c80fab0439b7', 'False', 'True', 'false', 'false', '513230206201', 5, '巴生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230206201', 1, '2021-07-19 12:05:06', NULL, NULL), (32067, '', '甲拉村', 'c5456bf9adce43ccb0eecf964439150e', 'ef373a314ffa4afe97a8c80fab0439b7', 'False', 'True', 'false', 'false', '513230206202', 5, '甲拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230206202', 1, '2021-07-19 12:05:06', NULL, NULL), (32068, '', '啄昆村', 'f0177627cc6f449db696cbfe16dae9f3', 'ef373a314ffa4afe97a8c80fab0439b7', 'False', 'True', 'false', 'false', '513230206203', 5, '啄昆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230206203', 1, '2021-07-19 12:05:06', NULL, NULL), (32069, '', '牙格车村', '384a023136694418ab852b797e3546a9', 'ef373a314ffa4afe97a8c80fab0439b7', 'False', 'True', 'false', 'false', '513230206204', 5, '牙格车村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230206204', 1, '2021-07-19 12:05:06', NULL, NULL), (32070, '', '洞窝村', '3e9b34aaefa44fac84264fc496d7e42d', 'ef373a314ffa4afe97a8c80fab0439b7', 'False', 'True', 'false', 'false', '513230206205', 5, '洞窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230206205', 1, '2021-07-19 12:05:06', NULL, NULL), (32071, '', '学尔盖村', '8ab7547a277f4d1dbb9e9ecebfe522e5', 'ef373a314ffa4afe97a8c80fab0439b7', 'False', 'True', 'false', 'false', '513230206206', 5, '学尔盖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230206206', 1, '2021-07-19 12:05:06', NULL, NULL), (32072, '', '尕多乡', '238d6421f7334df689649c19851ea6bf', 'c18ca274cc1143cc9b6ac3aa0fe877ce', 'True', 'True', 'false', 'false', '513230208000', 4, '尕多乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513230208000', 1, '2021-07-19 12:05:06', NULL, NULL), (32073, '', '尕多村', '1b727aeefa5c4216b3d593be25efe0b3', '238d6421f7334df689649c19851ea6bf', 'False', 'True', 'false', 'false', '513230208200', 5, '尕多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230208200', 1, '2021-07-19 12:05:06', NULL, NULL), (32074, '', '热不卡村', '625b8d2a5320437e9fc787688f94e5e9', '238d6421f7334df689649c19851ea6bf', 'False', 'True', 'false', 'false', '513230208201', 5, '热不卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230208201', 1, '2021-07-19 12:05:06', NULL, NULL), (32075, '', '求塘村', '21978fd804d6496fa8e7084b2216a53c', '238d6421f7334df689649c19851ea6bf', 'False', 'True', 'false', 'false', '513230208202', 5, '求塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230208202', 1, '2021-07-19 12:05:06', NULL, NULL), (32076, '', '昔郎村', '8953927878e744bd94af7eee34b117e3', '238d6421f7334df689649c19851ea6bf', 'False', 'True', 'false', 'false', '513230208203', 5, '昔郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230208203', 1, '2021-07-19 12:05:06', NULL, NULL), (32077, '', '曼木达村', 'd37e6a80b82142b69da1bf9bdb59fd89', '238d6421f7334df689649c19851ea6bf', 'False', 'True', 'false', 'false', '513230208204', 5, '曼木达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230208204', 1, '2021-07-19 12:05:06', NULL, NULL), (32078, '', '切洛玛村', 'afc8fce2e42948c9a8f91ed70002e1ad', '238d6421f7334df689649c19851ea6bf', 'False', 'True', 'false', 'false', '513230208205', 5, '切洛玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230208205', 1, '2021-07-19 12:05:06', NULL, NULL), (32079, '', '邢木达村', 'a55946608eca44eb86d98da0c00733a6', '238d6421f7334df689649c19851ea6bf', 'False', 'True', 'false', 'false', '513230208206', 5, '邢木达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230208206', 1, '2021-07-19 12:05:07', NULL, NULL), (32080, '', '上壤塘乡', '8c072580de834738a58e73e0e0659082', 'c18ca274cc1143cc9b6ac3aa0fe877ce', 'True', 'True', 'false', 'false', '513230210000', 4, '上壤塘乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513230210000', 1, '2021-07-19 12:05:07', NULL, NULL), (32081, '', '康垄村', '69b381ef38ce4418bcebb61e87d5ba45', '8c072580de834738a58e73e0e0659082', 'False', 'True', 'false', 'false', '513230210200', 5, '康垄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230210200', 1, '2021-07-19 12:05:07', NULL, NULL), (32082, '', '查卡村', 'e00bbf991d654e3382d550aca1e2941d', '8c072580de834738a58e73e0e0659082', 'False', 'True', 'false', 'false', '513230210201', 5, '查卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230210201', 1, '2021-07-19 12:05:07', NULL, NULL), (32083, '', '长河村', '3b487b2b587d41c7b4ed2022b6f6096d', '8c072580de834738a58e73e0e0659082', 'False', 'True', 'false', 'false', '513230210202', 5, '长河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230210202', 1, '2021-07-19 12:05:07', NULL, NULL), (32084, '', '雪木达村', 'd2e1ffc80d204aa98a938c1f04cc5423', '8c072580de834738a58e73e0e0659082', 'False', 'True', 'false', 'false', '513230210203', 5, '雪木达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230210203', 1, '2021-07-19 12:05:07', NULL, NULL), (32085, '', '仁朋村', '13af2d831b0c41d2b54c75c8248a4745', '8c072580de834738a58e73e0e0659082', 'False', 'True', 'false', 'false', '513230210204', 5, '仁朋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230210204', 1, '2021-07-19 12:05:07', NULL, NULL), (32086, '', '吾伊乡', 'bc8c3ddaf9b542a5b23f7e3ed17f08a1', 'c18ca274cc1143cc9b6ac3aa0fe877ce', 'True', 'True', 'false', 'false', '513230371000', 4, '吾伊乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513230371000', 1, '2021-07-19 12:05:07', NULL, NULL), (32087, '', '西西村', '98d6ffd010554739bc5199bc28437b8d', 'bc8c3ddaf9b542a5b23f7e3ed17f08a1', 'False', 'True', 'false', 'false', '513230203200', 5, '西西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230203200', 1, '2021-07-19 12:05:07', NULL, NULL), (32088, '', '章腊村', '0cd6c3989cad4cbea0bbe8fc244afa09', 'bc8c3ddaf9b542a5b23f7e3ed17f08a1', 'False', 'True', 'false', 'false', '513230203201', 5, '章腊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230203201', 1, '2021-07-19 12:05:07', NULL, NULL), (32089, '', '卡龙村', '3279b087db114e37995555f2a1b43ad0', 'bc8c3ddaf9b542a5b23f7e3ed17f08a1', 'False', 'True', 'false', 'false', '513230203202', 5, '卡龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230203202', 1, '2021-07-19 12:05:07', NULL, NULL), (32090, '', '吾伊村', 'b3b12ed655a244db809397bb79cd302b', 'bc8c3ddaf9b542a5b23f7e3ed17f08a1', 'False', 'True', 'false', 'false', '513230203203', 5, '吾伊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230203203', 1, '2021-07-19 12:05:07', NULL, NULL), (32091, '', '修卡村', 'e37df265f156434486a0b1a4d5d77a9c', 'bc8c3ddaf9b542a5b23f7e3ed17f08a1', 'False', 'True', 'false', 'false', '513230203204', 5, '修卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230203204', 1, '2021-07-19 12:05:07', NULL, NULL), (32092, '', '壤古村', '562478d78dec4ed09440671c54c5085d', 'bc8c3ddaf9b542a5b23f7e3ed17f08a1', 'False', 'True', 'false', 'false', '513230203205', 5, '壤古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513230203205', 1, '2021-07-19 12:05:07', NULL, NULL), (32093, '', '汶川县', '2680934b37584413870b0b38b25b8772', 'bd453af225f84ab8af7b1fca05ac83ed', 'True', 'True', 'false', 'false', '513221000000', 3, '汶川县', 'abzwcx.sczwfw.gov.cn', 1, '2021-07-19 12:05:08', NULL, NULL), (32094, '', '卧龙镇', '91819c3944424b17a7cf2badbd1f8cb4', '2680934b37584413870b0b38b25b8772', 'True', 'True', 'false', 'false', '513221374000', 4, '卧龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513221374000', 1, '2021-07-19 12:05:08', NULL, NULL), (32095, '', '足木山村', 'b9d05ca1ed994841af58e848d434e7a8', '91819c3944424b17a7cf2badbd1f8cb4', 'False', 'False', 'false', 'false', '513221103581', 5, '足木山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221103581', 1, '2021-07-19 12:05:08', NULL, NULL), (32096, '', '转经楼村', '53542d75c7164f5fa35772023a9916f5', '91819c3944424b17a7cf2badbd1f8cb4', 'False', 'False', 'false', 'false', '513221103711', 5, '转经楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221103711', 1, '2021-07-19 12:05:08', NULL, NULL), (32097, '', '卧龙关村', '84220ffdda0f448ebc5cdec7dd9fc9bd', '91819c3944424b17a7cf2badbd1f8cb4', 'False', 'False', 'false', 'false', '513221103747', 5, '卧龙关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221103747', 1, '2021-07-19 12:05:08', NULL, NULL), (32098, '', '耿达镇', '866e6ebcd5ed4482b2fe4d12d78d4ad3', '2680934b37584413870b0b38b25b8772', 'True', 'True', 'false', 'false', '513221475000', 4, '耿达镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513221475000', 1, '2021-07-19 12:05:08', NULL, NULL), (32099, '', '龙潭村', 'fead4d25d624456f945310b79d7acaa8', '866e6ebcd5ed4482b2fe4d12d78d4ad3', 'False', 'False', 'false', 'false', '513221108330', 5, '龙潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221108330', 1, '2021-07-19 12:05:08', NULL, NULL), (32100, '', '耿达村', '983815fd63d04ba696ca9439eea3d766', '866e6ebcd5ed4482b2fe4d12d78d4ad3', 'False', 'False', 'false', 'false', '513221108709', 5, '耿达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221108709', 1, '2021-07-19 12:05:08', NULL, NULL), (32101, '', '幸福村', 'b09b8e1e34ae4f028760dc2b0d5d8b49', '866e6ebcd5ed4482b2fe4d12d78d4ad3', 'False', 'False', 'false', 'false', '513221108808', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221108808', 1, '2021-07-19 12:05:08', NULL, NULL), (32102, '', '威州镇', 'c61dd9164ab841f69d4d9ff82a4b9b8c', '2680934b37584413870b0b38b25b8772', 'True', 'True', 'false', 'false', '513221100000', 4, '威州镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513221100000', 1, '2021-07-19 12:05:08', NULL, NULL), (32103, '', '索桥村', '77edc217a8b14bb8b6c340c72aa5e96b', 'c61dd9164ab841f69d4d9ff82a4b9b8c', 'False', 'True', 'false', 'false', '513221100216', 5, '索桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221100216', 1, '2021-07-19 12:05:08', NULL, NULL), (32104, '', '月里村', '6e9d1b26c0344be590e801feb9a51b3b', 'c61dd9164ab841f69d4d9ff82a4b9b8c', 'False', 'True', 'false', 'false', '513221100217', 5, '月里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221100217', 1, '2021-07-19 12:05:08', NULL, NULL), (32105, '', '白水村', 'a9558fd6960e45eaacbd97f3278f447c', 'c61dd9164ab841f69d4d9ff82a4b9b8c', 'False', 'True', 'false', 'false', '513221100219', 5, '白水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221100219', 1, '2021-07-19 12:05:08', NULL, NULL), (32106, '', '萝卜寨村', 'f487693562954050be37e2d4fa46b9a0', 'c61dd9164ab841f69d4d9ff82a4b9b8c', 'False', 'True', 'false', 'false', '513221100221', 5, '萝卜寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221100221', 1, '2021-07-19 12:05:08', NULL, NULL), (32107, '', '高峰新村', '0c70d0c06ed9491c8cc3e632220fcd9a', 'c61dd9164ab841f69d4d9ff82a4b9b8c', 'False', 'True', 'false', 'false', '513221100223', 5, '高峰新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221100223', 1, '2021-07-19 12:05:08', NULL, NULL), (32108, '', '麦通村', '557bef3ca18a47c088d1724a7e1ea55f', 'c61dd9164ab841f69d4d9ff82a4b9b8c', 'False', 'True', 'false', 'false', '513221100225', 5, '麦通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221100225', 1, '2021-07-19 12:05:08', NULL, NULL), (32109, '', '雁门村', '6fa84e8f8fbb475a960f535251164544', 'c61dd9164ab841f69d4d9ff82a4b9b8c', 'False', 'True', 'false', 'false', '513221100226', 5, '雁门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221100226', 1, '2021-07-19 12:05:08', NULL, NULL), (32110, '', '南桥社区', '78620361b44340b2b153f266fd33b83c', 'c61dd9164ab841f69d4d9ff82a4b9b8c', 'False', 'True', 'false', 'false', '513221100001', 5, '南桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221100001', 1, '2021-07-19 12:05:08', NULL, NULL), (32111, '', '桑坪社区', '06113de8e7bf44559e20edf22032b6c7', 'c61dd9164ab841f69d4d9ff82a4b9b8c', 'False', 'True', 'false', 'false', '513221100002', 5, '桑坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221100002', 1, '2021-07-19 12:05:09', NULL, NULL), (32112, '', '七盘沟社区', '069f45f07747462ab3aa0e7246fef060', 'c61dd9164ab841f69d4d9ff82a4b9b8c', 'False', 'True', 'false', 'false', '513221100003', 5, '七盘沟社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221100003', 1, '2021-07-19 12:05:09', NULL, NULL), (32113, '', '阳光社区', 'aec433dc670146fe998ae2c615e0b662', 'c61dd9164ab841f69d4d9ff82a4b9b8c', 'False', 'True', 'false', 'false', '513221100004', 5, '阳光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221100004', 1, '2021-07-19 12:05:09', NULL, NULL), (32114, '', '新桥村', '1ec084084d7a48bba97205e49b5756bf', 'c61dd9164ab841f69d4d9ff82a4b9b8c', 'False', 'True', 'false', 'false', '513221100200', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221100200', 1, '2021-07-19 12:05:09', NULL, NULL), (32115, '', '万村', 'b1e0338d010d4956b06187175ab8e1d5', 'c61dd9164ab841f69d4d9ff82a4b9b8c', 'False', 'True', 'false', 'false', '513221100201', 5, '万村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221100201', 1, '2021-07-19 12:05:09', NULL, NULL), (32116, '', '布瓦村', 'd4da489e2a4b4813b4a4c5a0087e9531', 'c61dd9164ab841f69d4d9ff82a4b9b8c', 'False', 'True', 'false', 'false', '513221100205', 5, '布瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221100205', 1, '2021-07-19 12:05:09', NULL, NULL), (32117, '', '铁邑村', 'c3469efcb80f4ba1a8c264993557e5ac', 'c61dd9164ab841f69d4d9ff82a4b9b8c', 'False', 'True', 'false', 'false', '513221100207', 5, '铁邑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221100207', 1, '2021-07-19 12:05:09', NULL, NULL), (32118, '', '双河村', '0387e2aa8c2f4d439909f3710fe436bb', 'c61dd9164ab841f69d4d9ff82a4b9b8c', 'False', 'True', 'false', 'false', '513221100208', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221100208', 1, '2021-07-19 12:05:09', NULL, NULL), (32119, '', '禹碑岭村', '880d44b8dd3d4ffd9585ba8b2751a5ce', 'c61dd9164ab841f69d4d9ff82a4b9b8c', 'False', 'True', 'false', 'false', '513221100209', 5, '禹碑岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221100209', 1, '2021-07-19 12:05:09', NULL, NULL), (32120, '', '七盘沟村', '32b72bd1da8a47c4b406a0be32f21527', 'c61dd9164ab841f69d4d9ff82a4b9b8c', 'False', 'True', 'false', 'false', '513221100210', 5, '七盘沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221100210', 1, '2021-07-19 12:05:09', NULL, NULL), (32121, '', '映秀镇', '03548fb496a84942a110b283b0c9279d', '2680934b37584413870b0b38b25b8772', 'True', 'True', 'false', 'false', '513221102000', 4, '映秀镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513221102000', 1, '2021-07-19 12:05:09', NULL, NULL), (32122, '', '桃关村', '3d3f46fc9cd541a9adf03ad4edbf7039', '03548fb496a84942a110b283b0c9279d', 'False', 'True', 'false', 'false', '513221102209', 5, '桃关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221102209', 1, '2021-07-19 12:05:09', NULL, NULL), (32123, '', '东界脑村', '4084f4519db34758a3ec4c6bb0044e2c', '03548fb496a84942a110b283b0c9279d', 'False', 'True', 'false', 'false', '513221102217', 5, '东界脑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221102217', 1, '2021-07-19 12:05:09', NULL, NULL), (32124, '', '一碗水村', '564f626befb64d589521e2c17509ef27', '03548fb496a84942a110b283b0c9279d', 'False', 'True', 'false', 'false', '513221102218', 5, '一碗水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221102218', 1, '2021-07-19 12:05:10', NULL, NULL), (32125, '', '秀坪社区', 'be1be1b1c4dc4bd19948f8a7125ba4fe', '03548fb496a84942a110b283b0c9279d', 'False', 'True', 'false', 'false', '513221102001', 5, '秀坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221102001', 1, '2021-07-19 12:05:10', NULL, NULL), (32126, '', '中滩堡村', '0529e8f986d44270b93162c050f02429', '03548fb496a84942a110b283b0c9279d', 'False', 'True', 'false', 'false', '513221102200', 5, '中滩堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221102200', 1, '2021-07-19 12:05:10', NULL, NULL), (32127, '', '渔子溪村', '05753a2bf58f454888c154871ac5abc7', '03548fb496a84942a110b283b0c9279d', 'False', 'True', 'false', 'false', '513221102206', 5, '渔子溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221102206', 1, '2021-07-19 12:05:10', NULL, NULL), (32128, '', '黄家院村', '348d6176da154fa2a1110d2ca15c06e0', '03548fb496a84942a110b283b0c9279d', 'False', 'True', 'false', 'false', '513221102207', 5, '黄家院村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221102207', 1, '2021-07-19 12:05:10', NULL, NULL), (32129, '', '水磨镇', '1c591c8abc5b4965869e36a8724c413f', '2680934b37584413870b0b38b25b8772', 'True', 'True', 'false', 'false', '513221105000', 4, '水磨镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513221105000', 1, '2021-07-19 12:05:10', NULL, NULL), (32130, '', '凤凰村', 'c476dcab5c4f4abc96e30c2234d2ece3', '1c591c8abc5b4965869e36a8724c413f', 'False', 'True', 'false', 'false', '513221105218', 5, '凤凰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221105218', 1, '2021-07-19 12:05:10', NULL, NULL), (32131, '', '盘龙溪村', '4f91dbb264234a20be2aedaeb0a5fd9c', '1c591c8abc5b4965869e36a8724c413f', 'False', 'True', 'false', 'false', '513221105219', 5, '盘龙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221105219', 1, '2021-07-19 12:05:10', NULL, NULL), (32132, '', '水磨社区', 'fb2f861c7f1347849c5bc7a259fa28e7', '1c591c8abc5b4965869e36a8724c413f', 'False', 'True', 'false', 'false', '513221105001', 5, '水磨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221105001', 1, '2021-07-19 12:05:10', NULL, NULL), (32133, '', '白果坪村', 'b717aaf7cc814be9ae9b157dfadb8e2c', '1c591c8abc5b4965869e36a8724c413f', 'False', 'True', 'false', 'false', '513221105202', 5, '白果坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221105202', 1, '2021-07-19 12:05:10', NULL, NULL), (32134, '', '牛塘沟村', '2782d7d8fc7f4d6c9bb2d94ae66c0da0', '1c591c8abc5b4965869e36a8724c413f', 'False', 'True', 'false', 'false', '513221105207', 5, '牛塘沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221105207', 1, '2021-07-19 12:05:10', NULL, NULL), (32135, '', '寨子坪村', '56180b20501d4b048c5e65a2216f143e', '1c591c8abc5b4965869e36a8724c413f', 'False', 'True', 'false', 'false', '513221105211', 5, '寨子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221105211', 1, '2021-07-19 12:05:10', NULL, NULL), (32136, '', '老人村', 'ae682f6f6f424fcea1d00de54ff8abf2', '1c591c8abc5b4965869e36a8724c413f', 'False', 'True', 'false', 'false', '513221105212', 5, '老人村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221105212', 1, '2021-07-19 12:05:10', NULL, NULL), (32137, '', '马家营村', 'b53fd39047714cd7ba1eae31bf2f8728', '1c591c8abc5b4965869e36a8724c413f', 'False', 'True', 'false', 'false', '513221105213', 5, '马家营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221105213', 1, '2021-07-19 12:05:10', NULL, NULL), (32138, '', '刘家沟村', 'cc1df42c3b7849968511d20e67753dc1', '1c591c8abc5b4965869e36a8724c413f', 'False', 'True', 'false', 'false', '513221105216', 5, '刘家沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221105216', 1, '2021-07-19 12:05:10', NULL, NULL), (32139, '', '郭家坝村', 'e42dbcd5f73e46d5a2fd9ac7a8080a9a', '1c591c8abc5b4965869e36a8724c413f', 'False', 'True', 'false', 'false', '513221105217', 5, '郭家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221105217', 1, '2021-07-19 12:05:10', NULL, NULL), (32140, '', '漩口镇', '157a3a294c064323aac07602eb30e796', '2680934b37584413870b0b38b25b8772', 'True', 'True', 'false', 'false', '513221106000', 4, '漩口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513221106000', 1, '2021-07-19 12:05:11', NULL, NULL), (32141, '', '漩口社区', '4de387c1f1d44c8aa2060c74c2c537e2', '157a3a294c064323aac07602eb30e796', 'False', 'True', 'false', 'false', '513221104003', 5, '漩口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221104003', 1, '2021-07-19 12:05:11', NULL, NULL), (32142, '', '集中村', '92c211558f084ce6854f55be33739075', '157a3a294c064323aac07602eb30e796', 'False', 'True', 'false', 'false', '513221104203', 5, '集中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221104203', 1, '2021-07-19 12:05:11', NULL, NULL), (32143, '', '群益村', '9bade095b4f54fbbb8751008d770a9b1', '157a3a294c064323aac07602eb30e796', 'False', 'True', 'false', 'false', '513221104206', 5, '群益村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221104206', 1, '2021-07-19 12:05:11', NULL, NULL), (32144, '', '安子坪村', 'af93921e79f34a068f053bae4ab48b91', '157a3a294c064323aac07602eb30e796', 'False', 'True', 'false', 'false', '513221104207', 5, '安子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221104207', 1, '2021-07-19 12:05:11', NULL, NULL), (32145, '', '古溪沟村', 'f97b6bd5b51c4b63b57c929bd06a728f', '157a3a294c064323aac07602eb30e796', 'False', 'True', 'false', 'false', '513221104208', 5, '古溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221104208', 1, '2021-07-19 12:05:11', NULL, NULL), (32146, '', '瓦窑岗村', '5d1b4f0d897f43bf955570a9f69e997e', '157a3a294c064323aac07602eb30e796', 'False', 'True', 'false', 'false', '513221104211', 5, '瓦窑岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221104211', 1, '2021-07-19 12:05:11', NULL, NULL), (32147, '', '小麻溪村', 'e3e7b22d4c1b49f2bdddca619462d1b1', '157a3a294c064323aac07602eb30e796', 'False', 'True', 'false', 'false', '513221104212', 5, '小麻溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221104212', 1, '2021-07-19 12:05:11', NULL, NULL), (32148, '', '震源村', 'ba33fa75556242eab764fe031b08f739', '157a3a294c064323aac07602eb30e796', 'False', 'True', 'false', 'false', '513221104218', 5, '震源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221104218', 1, '2021-07-19 12:05:11', NULL, NULL), (32149, '', '百花村', '63958d568655458db648d485fa44e9fa', '157a3a294c064323aac07602eb30e796', 'False', 'True', 'false', 'false', '513221104219', 5, '百花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221104219', 1, '2021-07-19 12:05:11', NULL, NULL), (32150, '', '双庙村', 'bb24e68064094a87b92f400031d2c8c0', '157a3a294c064323aac07602eb30e796', 'False', 'True', 'false', 'false', '513221104220', 5, '双庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221104220', 1, '2021-07-19 12:05:11', NULL, NULL), (32151, '', '红福村', '540845cd2f714725afe80f7efa12f50b', '157a3a294c064323aac07602eb30e796', 'False', 'True', 'false', 'false', '513221104221', 5, '红福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221104221', 1, '2021-07-19 12:05:11', NULL, NULL), (32152, '', '赵公村', '2defe5334fc841ecb3ad8b70767ea61a', '157a3a294c064323aac07602eb30e796', 'False', 'True', 'false', 'false', '513221104222', 5, '赵公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221104222', 1, '2021-07-19 12:05:11', NULL, NULL), (32153, '', '三江镇', 'fef14c7895c34db899c4bf5fcf137cf2', '2680934b37584413870b0b38b25b8772', 'True', 'True', 'false', 'false', '513221107000', 4, '三江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513221107000', 1, '2021-07-19 12:05:11', NULL, NULL), (32154, '', '柒山村', '58504f40454542a485bd5d96afa3313c', 'fef14c7895c34db899c4bf5fcf137cf2', 'False', 'True', 'false', 'false', '513221106203', 5, '柒山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221106203', 1, '2021-07-19 12:05:11', NULL, NULL), (32155, '', '街村', '609dc4dd0f3f4a8281b4ed95e1548541', 'fef14c7895c34db899c4bf5fcf137cf2', 'False', 'True', 'false', 'false', '513221106204', 5, '街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221106204', 1, '2021-07-19 12:05:12', NULL, NULL), (32156, '', '席草村', '4adaf559e8274aefbc51b04dc93ecc82', 'fef14c7895c34db899c4bf5fcf137cf2', 'False', 'True', 'false', 'false', '513221106207', 5, '席草村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221106207', 1, '2021-07-19 12:05:12', NULL, NULL), (32157, '', '草坪村', '27789366167a48a7bb0e9b57240856c6', 'fef14c7895c34db899c4bf5fcf137cf2', 'False', 'True', 'false', 'false', '513221106208', 5, '草坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221106208', 1, '2021-07-19 12:05:12', NULL, NULL), (32158, '', '乐活村', '89fd5956106b4c4f8cde87ab8a89a21d', 'fef14c7895c34db899c4bf5fcf137cf2', 'False', 'True', 'false', 'false', '513221106209', 5, '乐活村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221106209', 1, '2021-07-19 12:05:12', NULL, NULL), (32159, '', '静居村', '178b3d15db2f4dbb8edb0b75ec371806', 'fef14c7895c34db899c4bf5fcf137cf2', 'False', 'True', 'false', 'false', '513221106210', 5, '静居村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221106210', 1, '2021-07-19 12:05:12', NULL, NULL), (32160, '', '绵虒镇', 'f6ca24703d6a4112958f1ac2ba52f71f', '2680934b37584413870b0b38b25b8772', 'True', 'True', 'false', 'false', '513221109000', 4, '绵虒镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513221109000', 1, '2021-07-19 12:05:12', NULL, NULL), (32161, '', '社区', 'd48f8785c3494421b498e3b33749c365', 'f6ca24703d6a4112958f1ac2ba52f71f', 'False', 'True', 'false', 'false', '513221101001', 5, '社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221101001', 1, '2021-07-19 12:05:12', NULL, NULL), (32162, '', '草坡新村', 'b9fecd988ea445ecba64fd4fd0855899', 'f6ca24703d6a4112958f1ac2ba52f71f', 'False', 'True', 'false', 'false', '513221101200', 5, '草坡新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221101200', 1, '2021-07-19 12:05:12', NULL, NULL), (32163, '', '金波村', 'c2127bb136e84fdb95fb3b8d89411573', 'f6ca24703d6a4112958f1ac2ba52f71f', 'False', 'True', 'false', 'false', '513221101202', 5, '金波村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221101202', 1, '2021-07-19 12:05:12', NULL, NULL), (32164, '', '沙排村', 'a5ec20cd68e548e6abc9377114952be4', 'f6ca24703d6a4112958f1ac2ba52f71f', 'False', 'True', 'false', 'false', '513221101206', 5, '沙排村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221101206', 1, '2021-07-19 12:05:12', NULL, NULL), (32165, '', '绵丰村', 'ffc82e1a9f524b0e9b9cdb2da733491c', 'f6ca24703d6a4112958f1ac2ba52f71f', 'False', 'True', 'false', 'false', '513221101214', 5, '绵丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221101214', 1, '2021-07-19 12:05:12', NULL, NULL), (32166, '', '羌锋村', '3c6f26c0893a4aaf913871f9abffcfe0', 'f6ca24703d6a4112958f1ac2ba52f71f', 'False', 'True', 'false', 'false', '513221101217', 5, '羌锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221101217', 1, '2021-07-19 12:05:12', NULL, NULL), (32167, '', '碉头村', 'd87cedcaefa14186aaa1c2c273c3046e', 'f6ca24703d6a4112958f1ac2ba52f71f', 'False', 'True', 'false', 'false', '513221101219', 5, '碉头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221101219', 1, '2021-07-19 12:05:12', NULL, NULL), (32168, '', '大禹村', '378deee5a5464cdf8253a0edb3cde8e4', 'f6ca24703d6a4112958f1ac2ba52f71f', 'False', 'True', 'false', 'false', '513221101221', 5, '大禹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221101221', 1, '2021-07-19 12:05:12', NULL, NULL), (32169, '', '向前村', 'acddaa8e4b984415b16bb9a94aa9ac5f', 'f6ca24703d6a4112958f1ac2ba52f71f', 'False', 'True', 'false', 'false', '513221101222', 5, '向前村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221101222', 1, '2021-07-19 12:05:12', NULL, NULL), (32170, '', '三官庙村', '10775c4146644dfc941a25e618a03970', 'f6ca24703d6a4112958f1ac2ba52f71f', 'False', 'True', 'false', 'false', '513221101223', 5, '三官庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221101223', 1, '2021-07-19 12:05:12', NULL, NULL), (32171, '', '玉龙村', '8da810a8fddb4e498fbca01bd0055af9', 'f6ca24703d6a4112958f1ac2ba52f71f', 'False', 'True', 'false', 'false', '513221101224', 5, '玉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221101224', 1, '2021-07-19 12:05:12', NULL, NULL), (32172, '', '码头村', 'e0a3398b936f436796f5a0f6ddc3dffe', 'f6ca24703d6a4112958f1ac2ba52f71f', 'False', 'True', 'false', 'false', '513221101226', 5, '码头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221101226', 1, '2021-07-19 12:05:12', NULL, NULL), (32173, '', '和谐新村', '6a182431f8bf48db8fd4731773bf8242', 'f6ca24703d6a4112958f1ac2ba52f71f', 'False', 'True', 'false', 'false', '513221101227', 5, '和谐新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221101227', 1, '2021-07-19 12:05:12', NULL, NULL), (32174, '', '红旗村', '6eab121eb72b481a89c359d2c8f2a7bb', 'f6ca24703d6a4112958f1ac2ba52f71f', 'False', 'True', 'false', 'false', '513221101228', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221101228', 1, '2021-07-19 12:05:13', NULL, NULL), (32175, '', '涂禹山村', 'd54b47d008fe43dfb1ef1698f34615cd', 'f6ca24703d6a4112958f1ac2ba52f71f', 'False', 'True', 'false', 'false', '513221101229', 5, '涂禹山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221101229', 1, '2021-07-19 12:05:13', NULL, NULL), (32176, '', '灞州镇', '601c1abf62634de695fd6da82847b52a', '2680934b37584413870b0b38b25b8772', 'True', 'True', 'false', 'false', '513221200000', 4, '灞州镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513221200000', 1, '2021-07-19 12:05:13', NULL, NULL), (32177, '', '联合村', '1ac8b834c6714f74afe9c70d3c4afc29', '601c1abf62634de695fd6da82847b52a', 'False', 'True', 'false', 'false', '513221111200', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221111200', 1, '2021-07-19 12:05:13', NULL, NULL), (32178, '', '垮坡村', '826d3954b65345758c14d034a3cf7d3a', '601c1abf62634de695fd6da82847b52a', 'False', 'True', 'false', 'false', '513221111204', 5, '垮坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221111204', 1, '2021-07-19 12:05:13', NULL, NULL), (32179, '', '布兰村', '1eb285eff13b4bafabe58d3957cf34a3', '601c1abf62634de695fd6da82847b52a', 'False', 'True', 'false', 'false', '513221111206', 5, '布兰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221111206', 1, '2021-07-19 12:05:13', NULL, NULL), (32180, '', '大门村', '6b016f32389b4c57b72cca7b1d43209d', '601c1abf62634de695fd6da82847b52a', 'False', 'True', 'false', 'false', '513221111207', 5, '大门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221111207', 1, '2021-07-19 12:05:13', NULL, NULL), (32181, '', '下庄村', '112573f9590b44a7afc304b8e7d1c3d2', '601c1abf62634de695fd6da82847b52a', 'False', 'True', 'false', 'false', '513221111210', 5, '下庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221111210', 1, '2021-07-19 12:05:13', NULL, NULL), (32182, '', '阿尔村', 'fb092623408d4914928a6a9de60bedb9', '601c1abf62634de695fd6da82847b52a', 'False', 'True', 'false', 'false', '513221111213', 5, '阿尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221111213', 1, '2021-07-19 12:05:13', NULL, NULL), (32183, '', '龙溪村', '21d89996506a4d2eb69e03cd46c6a085', '601c1abf62634de695fd6da82847b52a', 'False', 'True', 'false', 'false', '513221111214', 5, '龙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221111214', 1, '2021-07-19 12:05:13', NULL, NULL), (32184, '', '周达村', 'a07bb8be46094e7fafe30af656d9c9bd', '601c1abf62634de695fd6da82847b52a', 'False', 'True', 'false', 'false', '513221111215', 5, '周达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221111215', 1, '2021-07-19 12:05:13', NULL, NULL), (32185, '', '克枯村', 'a875a5966c8443d389c787f32ea68352', '601c1abf62634de695fd6da82847b52a', 'False', 'True', 'false', 'false', '513221111216', 5, '克枯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513221111216', 1, '2021-07-19 12:05:13', NULL, NULL), (32186, '', '理县', '5d059122993641e6aa7a3b086a6fdb19', 'bd453af225f84ab8af7b1fca05ac83ed', 'True', 'True', 'false', 'false', '513222000000', 3, '理县', 'abzlx.sczwfw.gov.cn', 1, '2021-07-19 12:05:13', NULL, NULL), (32187, '', '杂谷脑镇', '250f37d9bfc04b9e8a58a64ed9b0e581', '5d059122993641e6aa7a3b086a6fdb19', 'True', 'True', 'false', 'false', '513222100000', 4, '杂谷脑镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513222100000', 1, '2021-07-19 12:05:13', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (32188, '', '城关社区', 'cbad68b7aa654d81999e5a13eb471b4a', '250f37d9bfc04b9e8a58a64ed9b0e581', 'False', 'False', 'false', 'false', '513222100001', 5, '城关社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222100001', 1, '2021-07-19 12:05:13', NULL, NULL), (32189, '', '老街社区', '0cc1fde0260c405a8d4e3eb91bfe6ca4', '250f37d9bfc04b9e8a58a64ed9b0e581', 'False', 'False', 'false', 'false', '513222100002', 5, '老街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222100002', 1, '2021-07-19 12:05:13', NULL, NULL), (32190, '', '营盘社区', '7fdc472500684c91ae2e46e515d00c23', '250f37d9bfc04b9e8a58a64ed9b0e581', 'False', 'False', 'false', 'false', '513222100003', 5, '营盘社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222100003', 1, '2021-07-19 12:05:13', NULL, NULL), (32191, '', '芙蓉社区', 'a88370fbaf9746c5abbebc72443f2c12', '250f37d9bfc04b9e8a58a64ed9b0e581', 'False', 'False', 'false', 'false', '513222100004', 5, '芙蓉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222100004', 1, '2021-07-19 12:05:13', NULL, NULL), (32192, '', '兴隆村', '2993a67d7d3842e79fb9bf3fa9ebee30', '250f37d9bfc04b9e8a58a64ed9b0e581', 'False', 'False', 'false', 'false', '513222100201', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222100201', 1, '2021-07-19 12:05:13', NULL, NULL), (32193, '', '营盘村', 'eb71f5522fb64411b43981358cd53cbd', '250f37d9bfc04b9e8a58a64ed9b0e581', 'False', 'False', 'false', 'false', '513222100202', 5, '营盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222100202', 1, '2021-07-19 12:05:14', NULL, NULL), (32194, '', '玛瑙村', '398964365b344d659368b5b1f9221c8d', '250f37d9bfc04b9e8a58a64ed9b0e581', 'False', 'False', 'false', 'false', '513222100203', 5, '玛瑙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222100203', 1, '2021-07-19 12:05:14', NULL, NULL), (32195, '', '克增村', '6d9022f217fa48cb9afa923d8c4b1751', '250f37d9bfc04b9e8a58a64ed9b0e581', 'False', 'False', 'false', 'false', '513222100204', 5, '克增村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222100204', 1, '2021-07-19 12:05:14', NULL, NULL), (32196, '', '官田村', '0fc5026d77914a60bf3c393d54a6f5fa', '250f37d9bfc04b9e8a58a64ed9b0e581', 'False', 'False', 'false', 'false', '513222100205', 5, '官田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222100205', 1, '2021-07-19 12:05:14', NULL, NULL), (32197, '', '日底村', '46dd92539dc64eea853c8f18683077f5', '250f37d9bfc04b9e8a58a64ed9b0e581', 'False', 'False', 'false', 'false', '513222100206', 5, '日底村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222100206', 1, '2021-07-19 12:05:14', NULL, NULL), (32198, '', '打色尔村', '421478f9e3ac437da5f1471b69bd89b6', '250f37d9bfc04b9e8a58a64ed9b0e581', 'False', 'False', 'false', 'false', '513222100207', 5, '打色尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222100207', 1, '2021-07-19 12:05:14', NULL, NULL), (32199, '', '瓦斯村', '5f3bb509002441119eae033ddbaa2e5a', '250f37d9bfc04b9e8a58a64ed9b0e581', 'False', 'False', 'false', 'false', '513222100208', 5, '瓦斯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222100208', 1, '2021-07-19 12:05:14', NULL, NULL), (32200, '', '米亚罗镇', '13da02382e33437aa4533b8ca98b6f5b', '5d059122993641e6aa7a3b086a6fdb19', 'True', 'True', 'false', 'false', '513222101000', 4, '米亚罗镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513222101000', 1, '2021-07-19 12:05:14', NULL, NULL), (32201, '', '红叶社区', '600ba544a48048b6adad83585feef471', '13da02382e33437aa4533b8ca98b6f5b', 'False', 'False', 'false', 'false', '513222101001', 5, '红叶社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222101001', 1, '2021-07-19 12:05:14', NULL, NULL), (32202, '', '米亚罗村', 'b9a7ce502da644a79787cde2cb4a3623', '13da02382e33437aa4533b8ca98b6f5b', 'False', 'False', 'false', 'false', '513222101201', 5, '米亚罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222101201', 1, '2021-07-19 12:05:14', NULL, NULL), (32203, '', '尽头村', '4d31be12f43149c6b510b97d4adaee50', '13da02382e33437aa4533b8ca98b6f5b', 'False', 'False', 'false', 'false', '513222101202', 5, '尽头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222101202', 1, '2021-07-19 12:05:14', NULL, NULL), (32204, '', '胆杆村', '39fa017f24254bdcac8b4c3901a7d3d0', '13da02382e33437aa4533b8ca98b6f5b', 'False', 'False', 'false', 'false', '513222101203', 5, '胆杆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222101203', 1, '2021-07-19 12:05:14', NULL, NULL), (32205, '', '山脚坝村', '4901efed9e0b4dae973647fa8ec7ea60', '13da02382e33437aa4533b8ca98b6f5b', 'False', 'False', 'false', 'false', '513222101204', 5, '山脚坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222101204', 1, '2021-07-19 12:05:14', NULL, NULL), (32206, '', '斯博果村', 'b7d7137c5a29448e94d2f34fba3ecb20', '13da02382e33437aa4533b8ca98b6f5b', 'False', 'False', 'false', 'false', '513222101205', 5, '斯博果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222101205', 1, '2021-07-19 12:05:14', NULL, NULL), (32207, '', '八角碉村', '5565b0d5c3aa4b5593f30c067c8a21cc', '13da02382e33437aa4533b8ca98b6f5b', 'False', 'False', 'false', 'false', '513222101206', 5, '八角碉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222101206', 1, '2021-07-19 12:05:14', NULL, NULL), (32208, '', '大郎坝村', '8c37d036b3044d45a81896dd7c993600', '13da02382e33437aa4533b8ca98b6f5b', 'False', 'False', 'false', 'false', '513222101207', 5, '大郎坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222101207', 1, '2021-07-19 12:05:14', NULL, NULL), (32209, '', '古尔沟镇', 'adbef74565e54eea939f6df732e13069', '5d059122993641e6aa7a3b086a6fdb19', 'True', 'True', 'false', 'false', '513222102000', 4, '古尔沟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513222102000', 1, '2021-07-19 12:05:14', NULL, NULL), (32210, '', '古尔沟村', '0360f54a3a2646c39babf0e08e119c0b', 'adbef74565e54eea939f6df732e13069', 'False', 'False', 'false', 'false', '513222102201', 5, '古尔沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222102201', 1, '2021-07-19 12:05:14', NULL, NULL), (32211, '', '沙坝村', 'cf9873596815400fbcb3a8ea84dc7c40', 'adbef74565e54eea939f6df732e13069', 'False', 'False', 'false', 'false', '513222102202', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222102202', 1, '2021-07-19 12:05:14', NULL, NULL), (32212, '', '小沟村', 'b2c838e00a5e4b2381232664dc85d00b', 'adbef74565e54eea939f6df732e13069', 'False', 'False', 'false', 'false', '513222102203', 5, '小沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222102203', 1, '2021-07-19 12:05:14', NULL, NULL), (32213, '', '丘地村', 'd6523d785ac74caf9a06806ea0f4efdb', 'adbef74565e54eea939f6df732e13069', 'False', 'False', 'false', 'false', '513222102204', 5, '丘地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222102204', 1, '2021-07-19 12:05:15', NULL, NULL), (32214, '', '大沟村', 'e2f141b6be9946f2be6a8cdbf205cb08', 'adbef74565e54eea939f6df732e13069', 'False', 'False', 'false', 'false', '513222102205', 5, '大沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222102205', 1, '2021-07-19 12:05:15', NULL, NULL), (32215, '', '新桥村', 'ff13d0ff4a0840aa8ce96721fe7a8a75', 'adbef74565e54eea939f6df732e13069', 'False', 'False', 'false', 'false', '513222102206', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222102206', 1, '2021-07-19 12:05:15', NULL, NULL), (32216, '', '薛城镇', '81e65f06a5d34e74ad9432f248a45be7', '5d059122993641e6aa7a3b086a6fdb19', 'True', 'True', 'false', 'false', '513222103000', 4, '薛城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513222103000', 1, '2021-07-19 12:05:15', NULL, NULL), (32217, '', '古镇社区', 'f6108b1886924c50beb07b1ef0badcae', '81e65f06a5d34e74ad9432f248a45be7', 'False', 'False', 'false', 'false', '513222103001', 5, '古镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222103001', 1, '2021-07-19 12:05:15', NULL, NULL), (32218, '', '较场村', 'efce7fe6d4b14f74b267cdd6ae6a4d78', '81e65f06a5d34e74ad9432f248a45be7', 'False', 'False', 'false', 'false', '513222103201', 5, '较场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222103201', 1, '2021-07-19 12:05:15', NULL, NULL), (32219, '', '沙金村', '0400d64c3f694f0691b757de37323763', '81e65f06a5d34e74ad9432f248a45be7', 'False', 'False', 'false', 'false', '513222103202', 5, '沙金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222103202', 1, '2021-07-19 12:05:15', NULL, NULL), (32220, '', '欢喜村', 'ea3c7fc0910f491290b3550cb757aa66', '81e65f06a5d34e74ad9432f248a45be7', 'False', 'False', 'false', 'false', '513222103203', 5, '欢喜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222103203', 1, '2021-07-19 12:05:15', NULL, NULL), (32221, '', '箭山村', '681af6cf28db4b508f7822eed47fbbd7', '81e65f06a5d34e74ad9432f248a45be7', 'False', 'False', 'false', 'false', '513222103204', 5, '箭山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222103204', 1, '2021-07-19 12:05:15', NULL, NULL), (32222, '', '甲米村', 'bbb6b71532154e4bbdef83587f2924eb', '81e65f06a5d34e74ad9432f248a45be7', 'False', 'False', 'false', 'false', '513222103205', 5, '甲米村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222103205', 1, '2021-07-19 12:05:15', NULL, NULL), (32223, '', '塔子村', 'a38d1c2e08d643e596152d472d35f4b1', '81e65f06a5d34e74ad9432f248a45be7', 'False', 'False', 'false', 'false', '513222103206', 5, '塔子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222103206', 1, '2021-07-19 12:05:15', NULL, NULL), (32224, '', '水塘村', '899ef62a4e674b6381fef1215adbd3a8', '81e65f06a5d34e74ad9432f248a45be7', 'False', 'False', 'false', 'false', '513222103207', 5, '水塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222103207', 1, '2021-07-19 12:05:15', NULL, NULL), (32225, '', '大歧村', 'dd30a4a75871441b8fa0d6fdb554f315', '81e65f06a5d34e74ad9432f248a45be7', 'False', 'False', 'false', 'false', '513222103208', 5, '大歧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222103208', 1, '2021-07-19 12:05:15', NULL, NULL), (32226, '', '小岐村', '7fd81310303347f892d1bc90a09b4d03', '81e65f06a5d34e74ad9432f248a45be7', 'False', 'False', 'false', 'false', '513222103209', 5, '小岐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222103209', 1, '2021-07-19 12:05:15', NULL, NULL), (32227, '', '马山村', '89c814d809b74d57a67d98ae75fa301d', '81e65f06a5d34e74ad9432f248a45be7', 'False', 'False', 'false', 'false', '513222103210', 5, '马山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222103210', 1, '2021-07-19 12:05:15', NULL, NULL), (32228, '', '南沟村', '511561d92b9647739d1e60c6d3e7574e', '81e65f06a5d34e74ad9432f248a45be7', 'False', 'False', 'false', 'false', '513222103211', 5, '南沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222103211', 1, '2021-07-19 12:05:15', NULL, NULL), (32229, '', '桃坪镇', 'f1d07132cb3d413bb4c3d915b45ddda4', '5d059122993641e6aa7a3b086a6fdb19', 'True', 'True', 'false', 'false', '513222104000', 4, '桃坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513222104000', 1, '2021-07-19 12:05:15', NULL, NULL), (32230, '', '广柔社区', '0b8ef2735da54f4e81c7a480c5f7a4ba', 'f1d07132cb3d413bb4c3d915b45ddda4', 'False', 'False', 'false', 'false', '513222104001', 5, '广柔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222104001', 1, '2021-07-19 12:05:15', NULL, NULL), (32231, '', '桃坪村', '9dcbc63ba3f646e9b7247bc3a531bceb', 'f1d07132cb3d413bb4c3d915b45ddda4', 'False', 'False', 'false', 'false', '513222104201', 5, '桃坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222104201', 1, '2021-07-19 12:05:15', NULL, NULL), (32232, '', '佳山村', '979efbf53da4436e870c8f4d107ec967', 'f1d07132cb3d413bb4c3d915b45ddda4', 'False', 'False', 'false', 'false', '513222104202', 5, '佳山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222104202', 1, '2021-07-19 12:05:15', NULL, NULL), (32233, '', '古城村', 'b88570eb74f0436e82ee86457d40a666', 'f1d07132cb3d413bb4c3d915b45ddda4', 'False', 'False', 'false', 'false', '513222104203', 5, '古城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222104203', 1, '2021-07-19 12:05:15', NULL, NULL), (32234, '', '东山村', '1bb877bcb2fe42bf8b02fc67bc4dfe0e', 'f1d07132cb3d413bb4c3d915b45ddda4', 'False', 'False', 'false', 'false', '513222104204', 5, '东山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222104204', 1, '2021-07-19 12:05:15', NULL, NULL), (32235, '', '曾头村', '80aab9031e3547c4b115c0254ffa3336', 'f1d07132cb3d413bb4c3d915b45ddda4', 'False', 'False', 'false', 'false', '513222104205', 5, '曾头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222104205', 1, '2021-07-19 12:05:15', NULL, NULL), (32236, '', '朴头镇', 'cd0b12e228d0492b874b3f0abdc493f7', '5d059122993641e6aa7a3b086a6fdb19', 'True', 'True', 'false', 'false', '513222201000', 4, '朴头镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513222201000', 1, '2021-07-19 12:05:16', NULL, NULL), (32237, '', '朴头村', 'e78b78c6b40f4744b6849c980afd6325', 'cd0b12e228d0492b874b3f0abdc493f7', 'False', 'False', 'false', 'false', '513222201201', 5, '朴头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222201201', 1, '2021-07-19 12:05:16', NULL, NULL), (32238, '', '新店子村', '14b8d6fc82ef47faa9b3d399f81e9bbb', 'cd0b12e228d0492b874b3f0abdc493f7', 'False', 'False', 'false', 'false', '513222201202', 5, '新店子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222201202', 1, '2021-07-19 12:05:16', NULL, NULL), (32239, '', '一颗印村', 'd5e86f0bad7347488cb73b887b5ce2aa', 'cd0b12e228d0492b874b3f0abdc493f7', 'False', 'False', 'false', 'false', '513222201203', 5, '一颗印村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222201203', 1, '2021-07-19 12:05:16', NULL, NULL), (32240, '', '庄房村', 'e7a3d78658594b30a7081d3df5e3f9cf', 'cd0b12e228d0492b874b3f0abdc493f7', 'False', 'False', 'false', 'false', '513222201204', 5, '庄房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222201204', 1, '2021-07-19 12:05:16', NULL, NULL), (32241, '', '四南达村', 'b21d6b2026ff4192a6ad6b1688644670', 'cd0b12e228d0492b874b3f0abdc493f7', 'False', 'False', 'false', 'false', '513222201205', 5, '四南达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222201205', 1, '2021-07-19 12:05:16', NULL, NULL), (32242, '', '梭罗沟村', '22dcfea5518c4e56aac51a19ed10b8f4', 'cd0b12e228d0492b874b3f0abdc493f7', 'False', 'False', 'false', 'false', '513222201206', 5, '梭罗沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222201206', 1, '2021-07-19 12:05:16', NULL, NULL), (32243, '', '甘堡乡', 'f49542b5e2404b0980dc171da18157c8', '5d059122993641e6aa7a3b086a6fdb19', 'True', 'True', 'false', 'false', '513222202000', 4, '甘堡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513222202000', 1, '2021-07-19 12:05:16', NULL, NULL), (32244, '', '甘堡村', '75a6beb6495b44ed8fad34a6a7933a6a', 'f49542b5e2404b0980dc171da18157c8', 'False', 'False', 'false', 'false', '513222202201', 5, '甘堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222202201', 1, '2021-07-19 12:05:16', NULL, NULL), (32245, '', '日尔脚村', '1589a2899da341c29fe0899b84674c6d', 'f49542b5e2404b0980dc171da18157c8', 'False', 'False', 'false', 'false', '513222202202', 5, '日尔脚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222202202', 1, '2021-07-19 12:05:16', NULL, NULL), (32246, '', '八什闹村', '8152322350d74b458759559f9e6c0544', 'f49542b5e2404b0980dc171da18157c8', 'False', 'False', 'false', 'false', '513222202203', 5, '八什闹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222202203', 1, '2021-07-19 12:05:16', NULL, NULL), (32247, '', '耳浦村', '6ee58eae4abc4fca92f1d68c64f37a46', 'f49542b5e2404b0980dc171da18157c8', 'False', 'False', 'false', 'false', '513222202204', 5, '耳浦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222202204', 1, '2021-07-19 12:05:16', NULL, NULL), (32248, '', '熊耳村', 'bf922e3873ff438cb832660382896f6f', 'f49542b5e2404b0980dc171da18157c8', 'False', 'False', 'false', 'false', '513222202205', 5, '熊耳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222202205', 1, '2021-07-19 12:05:16', NULL, NULL), (32249, '', '联合村', '3bdd13f9da524a93a9fbf6d08fb7ca26', 'f49542b5e2404b0980dc171da18157c8', 'False', 'False', 'false', 'false', '513222202206', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222202206', 1, '2021-07-19 12:05:16', NULL, NULL), (32250, '', '蒲溪乡', 'c27cab082eef46bb8e0f69b47fab08f2', '5d059122993641e6aa7a3b086a6fdb19', 'True', 'True', 'false', 'false', '513222203000', 4, '蒲溪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513222203000', 1, '2021-07-19 12:05:16', NULL, NULL), (32251, '', '河坝村', '1d967dfa7687425b8738b2757bcbd68b', 'c27cab082eef46bb8e0f69b47fab08f2', 'False', 'False', 'false', 'false', '513222203201', 5, '河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222203201', 1, '2021-07-19 12:05:16', NULL, NULL), (32252, '', '色尔村', '9020ed6b30784514889713abb005301e', 'c27cab082eef46bb8e0f69b47fab08f2', 'False', 'False', 'false', 'false', '513222203202', 5, '色尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222203202', 1, '2021-07-19 12:05:16', NULL, NULL), (32253, '', '奎寨村', '3d392d5525cc49c98c57c0999d542084', 'c27cab082eef46bb8e0f69b47fab08f2', 'False', 'False', 'false', 'false', '513222203203', 5, '奎寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222203203', 1, '2021-07-19 12:05:16', NULL, NULL), (32254, '', '休溪村', '1519952f31f54cd49d286a8397a79539', 'c27cab082eef46bb8e0f69b47fab08f2', 'False', 'False', 'false', 'false', '513222203204', 5, '休溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222203204', 1, '2021-07-19 12:05:16', NULL, NULL), (32255, '', '蒲溪村', '658dbbc8142f4a17b0fade8e1501e881', 'c27cab082eef46bb8e0f69b47fab08f2', 'False', 'False', 'false', 'false', '513222203205', 5, '蒲溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222203205', 1, '2021-07-19 12:05:16', NULL, NULL), (32256, '', '上孟乡', 'ef9acc20ff4e40a4a1b221fe2f3191fe', '5d059122993641e6aa7a3b086a6fdb19', 'True', 'True', 'false', 'false', '513222204000', 4, '上孟乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513222204000', 1, '2021-07-19 12:05:17', NULL, NULL), (32257, '', '塔斯村', '4cc1b696c00d419388527932a60bb422', 'ef9acc20ff4e40a4a1b221fe2f3191fe', 'False', 'False', 'false', 'false', '513222204201', 5, '塔斯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222204201', 1, '2021-07-19 12:05:17', NULL, NULL), (32258, '', '日京村', 'c97740bfd430493ea7a1b4f6ec8d7221', 'ef9acc20ff4e40a4a1b221fe2f3191fe', 'False', 'False', 'false', 'false', '513222204202', 5, '日京村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222204202', 1, '2021-07-19 12:05:17', NULL, NULL), (32259, '', '日波村', 'e26fb14d55f14025a297a0d9c7afc40f', 'ef9acc20ff4e40a4a1b221fe2f3191fe', 'False', 'False', 'false', 'false', '513222204203', 5, '日波村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222204203', 1, '2021-07-19 12:05:17', NULL, NULL), (32260, '', '绿叶村', '8ea89b95bb2e4e41a7a1874aab485539', 'ef9acc20ff4e40a4a1b221fe2f3191fe', 'False', 'False', 'false', 'false', '513222204204', 5, '绿叶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222204204', 1, '2021-07-19 12:05:17', NULL, NULL), (32261, '', '木尼村', '6cfea3eb4df043b99c3e2bc600c7d32b', 'ef9acc20ff4e40a4a1b221fe2f3191fe', 'False', 'False', 'false', 'false', '513222204205', 5, '木尼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222204205', 1, '2021-07-19 12:05:17', NULL, NULL), (32262, '', '下孟乡', '464bd6682d284cefbdd3689a9d159643', '5d059122993641e6aa7a3b086a6fdb19', 'True', 'True', 'false', 'false', '513222205000', 4, '下孟乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513222205000', 1, '2021-07-19 12:05:17', NULL, NULL), (32263, '', '仔迭村', 'e8d231d84fab46b7b347112fc3892b1b', '464bd6682d284cefbdd3689a9d159643', 'False', 'False', 'false', 'false', '513222205201', 5, '仔迭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222205201', 1, '2021-07-19 12:05:17', NULL, NULL), (32264, '', '萨门村', 'c253f93cfac840ff901cc9f25343cf72', '464bd6682d284cefbdd3689a9d159643', 'False', 'False', 'false', 'false', '513222205202', 5, '萨门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222205202', 1, '2021-07-19 12:05:17', NULL, NULL), (32265, '', '清流村', 'a613f5efe88b46f386c6d50f3e926d99', '464bd6682d284cefbdd3689a9d159643', 'False', 'False', 'false', 'false', '513222205203', 5, '清流村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222205203', 1, '2021-07-19 12:05:17', NULL, NULL), (32266, '', '四马村', '317cba575d0c4b51b8a15e5f8f87d126', '464bd6682d284cefbdd3689a9d159643', 'False', 'False', 'false', 'false', '513222205204', 5, '四马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222205204', 1, '2021-07-19 12:05:17', NULL, NULL), (32267, '', '班达村', 'cbb6c8818a1a4e66b8f6067ce4788ba5', '464bd6682d284cefbdd3689a9d159643', 'False', 'False', 'false', 'false', '513222205205', 5, '班达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222205205', 1, '2021-07-19 12:05:17', NULL, NULL), (32268, '', '楼若村', '9cea669234f9443ca41eaeaa663ed472', '464bd6682d284cefbdd3689a9d159643', 'False', 'False', 'false', 'false', '513222205206', 5, '楼若村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222205206', 1, '2021-07-19 12:05:17', NULL, NULL), (32269, '', '沙吉村', '4dc6b982d31c40a3819019f8b9824190', '464bd6682d284cefbdd3689a9d159643', 'False', 'False', 'false', 'false', '513222205207', 5, '沙吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222205207', 1, '2021-07-19 12:05:17', NULL, NULL), (32270, '', '通化乡', '220e371066314fdb9f63f9091aa7da17', '5d059122993641e6aa7a3b086a6fdb19', 'True', 'True', 'false', 'false', '513222207000', 4, '通化乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513222207000', 1, '2021-07-19 12:05:17', NULL, NULL), (32271, '', '石门社区', 'ac510b8659324329aae759d328c1e493', '220e371066314fdb9f63f9091aa7da17', 'False', 'False', 'false', 'false', '513222207001', 5, '石门社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222207001', 1, '2021-07-19 12:05:17', NULL, NULL), (32272, '', '通化村', 'dc2f432a66684fd5bfe88f129d3060d1', '220e371066314fdb9f63f9091aa7da17', 'False', 'False', 'false', 'false', '513222207201', 5, '通化村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222207201', 1, '2021-07-19 12:05:17', NULL, NULL), (32273, '', '卡子村', 'f570c965b65340aa90198529074d634a', '220e371066314fdb9f63f9091aa7da17', 'False', 'False', 'false', 'false', '513222207202', 5, '卡子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222207202', 1, '2021-07-19 12:05:17', NULL, NULL), (32274, '', '甘溪村', '72386a36364e4551bcb1cffc1350125f', '220e371066314fdb9f63f9091aa7da17', 'False', 'False', 'false', 'false', '513222207203', 5, '甘溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222207203', 1, '2021-07-19 12:05:17', NULL, NULL), (32275, '', '西山村', '9066b10eef9b4dd691177342b81fd543', '220e371066314fdb9f63f9091aa7da17', 'False', 'False', 'false', 'false', '513222207204', 5, '西山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222207204', 1, '2021-07-19 12:05:17', NULL, NULL), (32276, '', '院子村', '8153e9a07c6742749389984762daa36b', '220e371066314fdb9f63f9091aa7da17', 'False', 'False', 'false', 'false', '513222207205', 5, '院子', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222207205', 1, '2021-07-19 12:05:18', NULL, NULL), (32277, '', '三岔村', 'da842321248849249c9e8eff3e0d0d27', '220e371066314fdb9f63f9091aa7da17', 'False', 'False', 'false', 'false', '513222207206', 5, '三岔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222207206', 1, '2021-07-19 12:05:18', NULL, NULL), (32278, '', '汶山村', '82ef3ff9b48243869cfcab4c1f9051d8', '220e371066314fdb9f63f9091aa7da17', 'False', 'False', 'false', 'false', '513222207207', 5, '汶山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513222207207', 1, '2021-07-19 12:05:18', NULL, NULL), (32279, '', '茂县', '581d81cbed1f48fa9a2d44cacd5b7014', 'bd453af225f84ab8af7b1fca05ac83ed', 'True', 'True', 'false', 'false', '513223000000', 3, '茂县', 'abzmx.sczwfw.gov.cn', 1, '2021-07-19 12:05:18', NULL, NULL), (32280, '', '凤仪镇', 'f73e815b13804abc870096144c7edcc3', '581d81cbed1f48fa9a2d44cacd5b7014', 'True', 'True', 'false', 'false', '513223100000', 4, '凤仪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513223100000', 1, '2021-07-19 12:05:18', NULL, NULL), (32281, '', '外南社区居民委员会', '3d7c0b5eb5ca48bf9504dac373654bd6', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100001', 5, '外南社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100001', 1, '2021-07-19 12:05:18', NULL, NULL), (32282, '', '内南社区居民委员会', '6f93fedad8cc4a0680a107fbc153e162', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100002', 5, '内南社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100002', 1, '2021-07-19 12:05:18', NULL, NULL), (32283, '', '雪花井社区居民委员会', '64098f1245bc4a7c9fc485bc8f92795a', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100003', 5, '雪花井社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100003', 1, '2021-07-19 12:05:18', NULL, NULL), (32284, '', '静州村民委员会', 'a80cc500ec5342e1a195aff224d5320b', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100200', 5, '静州村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100200', 1, '2021-07-19 12:05:18', NULL, NULL), (32285, '', '禹乡村民委员会', '40e5c347bab84259ad7a8000c06872c4', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100201', 5, '禹乡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100201', 1, '2021-07-19 12:05:18', NULL, NULL), (32286, '', '前进村民委员会', '04dfff6f26d34289a9ad200008530a4d', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100202', 5, '前进村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100202', 1, '2021-07-19 12:05:18', NULL, NULL), (32287, '', '蓝店坡村民委员会', '5ca4559c66e04884bfc430e1318ebb4b', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100203', 5, '蓝店坡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100203', 1, '2021-07-19 12:05:18', NULL, NULL), (32288, '', '南桥村民委员会', '7b5d2b9ba2ca4f5a9409529c129a9c28', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100204', 5, '南桥村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100204', 1, '2021-07-19 12:05:18', NULL, NULL), (32289, '', '南庄村民委员会', '5f105bd0dde54bb48c2fe02a28db1b4f', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100205', 5, '南庄村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100205', 1, '2021-07-19 12:05:18', NULL, NULL), (32290, '', '水西村民委员会', '92f1848065c141d18c89dab7e774d62d', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100206', 5, '水西村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100206', 1, '2021-07-19 12:05:18', NULL, NULL), (32291, '', '坪头村民委员会', '6434104a197a4c36a216a04ad77e3ddd', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100207', 5, '坪头村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100207', 1, '2021-07-19 12:05:18', NULL, NULL), (32292, '', '甘青村民委员会', 'd85243d58c7f4702b0d78ea3a4db7634', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100208', 5, '甘青村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100208', 1, '2021-07-19 12:05:18', NULL, NULL), (32293, '', '龙洞沟村民委员会', '6d151c3ed7ef4018a948dbd06e0d7c76', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100209', 5, '龙洞沟村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100209', 1, '2021-07-19 12:05:18', NULL, NULL), (32294, '', '回龙山村民委员会', '4bec60976b70457d950f3148d870520c', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100210', 5, '回龙山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100210', 1, '2021-07-19 12:05:18', NULL, NULL), (32295, '', '顺城村民委员会', 'b8d011e4bfee4c24a2e4de9d570936de', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100211', 5, '顺城村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100211', 1, '2021-07-19 12:05:18', NULL, NULL), (32296, '', '宗渠村民委员会', 'd551c60d13bb4df7baa4418e14180e86', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100212', 5, '宗渠村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100212', 1, '2021-07-19 12:05:18', NULL, NULL), (32297, '', '壳壳寨村民委员会', '24c31f24773d4fc6aee208bb32505aa2', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100213', 5, '壳壳寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100213', 1, '2021-07-19 12:05:18', NULL, NULL), (32298, '', '勒都村民委员会', 'e8e1e5af137d46c88b16a36121d584fc', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100214', 5, '勒都村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100214', 1, '2021-07-19 12:05:18', NULL, NULL), (32299, '', '吉鱼村民委员会', 'd9524c1e8bad47079a3c2e4d91dcca3d', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100215', 5, '吉鱼村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100215', 1, '2021-07-19 12:05:18', NULL, NULL), (32300, '', '石鼓村民委员会', '767300de555342e59ce00938e40187cc', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100216', 5, '石鼓村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100216', 1, '2021-07-19 12:05:19', NULL, NULL), (32301, '', '梨元沱村民委员会', '07a664ef58644f34ac9810c1927fb87f', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100217', 5, '梨元沱村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100217', 1, '2021-07-19 12:05:19', NULL, NULL), (32302, '', '茶山村民委员会', 'c193400da5fd48c095912d14b3181ea2', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100218', 5, '茶山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100218', 1, '2021-07-19 12:05:19', NULL, NULL), (32303, '', '麻主村民委员会', 'b95856fd06d04732959102428ba5f02e', 'f73e815b13804abc870096144c7edcc3', 'False', 'True', 'false', 'false', '513223100219', 5, '麻主村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223100219', 1, '2021-07-19 12:05:19', NULL, NULL), (32304, '', '南新镇', 'edd04a157ba942969467c2653143e959', '581d81cbed1f48fa9a2d44cacd5b7014', 'True', 'True', 'false', 'false', '513223101000', 4, '南新镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513223101000', 1, '2021-07-19 12:05:19', NULL, NULL), (32305, '', '白水寨村民委员会', '046edf299aa84b69abedb4351231b740', 'edd04a157ba942969467c2653143e959', 'False', 'True', 'false', 'false', '513223101200', 5, '白水寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223101200', 1, '2021-07-19 12:05:19', NULL, NULL), (32306, '', '别立村民委员会', '2835401984294067977dd3587d723a3b', 'edd04a157ba942969467c2653143e959', 'False', 'True', 'false', 'false', '513223101201', 5, '别立村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223101201', 1, '2021-07-19 12:05:19', NULL, NULL), (32307, '', '棉簇村民委员会', '12dd1d1d87194ed3b641542f82794151', 'edd04a157ba942969467c2653143e959', 'False', 'True', 'false', 'false', '513223101202', 5, '棉簇村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223101202', 1, '2021-07-19 12:05:19', NULL, NULL), (32308, '', '三场村民委员会', '28c42099a60f482386e2b828838b02d4', 'edd04a157ba942969467c2653143e959', 'False', 'True', 'false', 'false', '513223101203', 5, '三场村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223101203', 1, '2021-07-19 12:05:19', NULL, NULL), (32309, '', '安乡村民委员会', '5a769f24f2cf4964b29a9c67416fb314', 'edd04a157ba942969467c2653143e959', 'False', 'True', 'false', 'false', '513223101204', 5, '安乡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223101204', 1, '2021-07-19 12:05:19', NULL, NULL), (32310, '', '罗山村民委员会', '07c0df45216745fbbb35b5f6a8c224c9', 'edd04a157ba942969467c2653143e959', 'False', 'True', 'false', 'false', '513223101205', 5, '罗山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223101205', 1, '2021-07-19 12:05:19', NULL, NULL), (32311, '', '凤毛坪村民委员会', '0aabb541661446c1bc439a08362763a6', 'edd04a157ba942969467c2653143e959', 'False', 'True', 'false', 'false', '513223101206', 5, '凤毛坪村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223101206', 1, '2021-07-19 12:05:19', NULL, NULL), (32312, '', '文镇村民委员会', 'e7f7fd54872b459bbb9b5292634c1851', 'edd04a157ba942969467c2653143e959', 'False', 'True', 'false', 'false', '513223101207', 5, '文镇村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223101207', 1, '2021-07-19 12:05:19', NULL, NULL), (32313, '', '牟托村民委员会', '0568de738234447f8b0959ac02f9bbe2', 'edd04a157ba942969467c2653143e959', 'False', 'True', 'false', 'false', '513223101208', 5, '牟托村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223101208', 1, '2021-07-19 12:05:19', NULL, NULL), (32314, '', '攀川村民委员会', 'c20da1bc06f2417596b57e74bc73593e', 'edd04a157ba942969467c2653143e959', 'False', 'True', 'false', 'false', '513223101209', 5, '攀川村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223101209', 1, '2021-07-19 12:05:19', NULL, NULL), (32315, '', '叠溪镇', '5ebd607fbd76411e8bb1182510460b8a', '581d81cbed1f48fa9a2d44cacd5b7014', 'True', 'True', 'false', 'false', '513223102000', 4, '叠溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513223102000', 1, '2021-07-19 12:05:19', NULL, NULL), (32316, '', '太平村村民委员会', '28cbb89b2f0a4a76ba54022d440cc4a3', '5ebd607fbd76411e8bb1182510460b8a', 'False', 'False', 'false', 'false', '513223102371', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223102371', 1, '2021-07-19 12:05:19', NULL, NULL), (32317, '', '拴马村村民委员会', 'e79b16a44ce746a8aaed24201071bccf', '5ebd607fbd76411e8bb1182510460b8a', 'False', 'True', 'false', 'false', '513223102648', 5, '拴马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223102648', 1, '2021-07-19 12:05:19', NULL, NULL), (32318, '', '松坪沟村村民委员会', '9d80f57c9afc48f0a9f65fa2f7970bce', '5ebd607fbd76411e8bb1182510460b8a', 'False', 'True', 'false', 'false', '513223102674', 5, '松坪沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223102674', 1, '2021-07-19 12:05:19', NULL, NULL), (32319, '', '牛尾村村民委员会', 'c6b982bf1599432c82ec2fffb46eddfc', '5ebd607fbd76411e8bb1182510460b8a', 'False', 'True', 'false', 'false', '513223102697', 5, '牛尾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223102697', 1, '2021-07-19 12:05:19', NULL, NULL), (32320, '', '桃花村村民委员会', 'ad8928a8f8df4ce6b0d4479319ff7948', '5ebd607fbd76411e8bb1182510460b8a', 'False', 'True', 'false', 'false', '513223102846', 5, '桃花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223102846', 1, '2021-07-19 12:05:19', NULL, NULL), (32321, '', '较场村民委员会', '5b74c3c91c314c48b37347cff7963902', '5ebd607fbd76411e8bb1182510460b8a', 'False', 'True', 'false', 'false', '513223102200', 5, '较场村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223102200', 1, '2021-07-19 12:05:19', NULL, NULL), (32322, '', '龙池村民委员会', 'd08721eb1b3e4fa7bde6b0c2797e5e04', '5ebd607fbd76411e8bb1182510460b8a', 'False', 'True', 'false', 'false', '513223102201', 5, '龙池村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223102201', 1, '2021-07-19 12:05:19', NULL, NULL), (32323, '', '两河口村民委员会', '1703e3ec6a534806bd8c7403bd139134', '5ebd607fbd76411e8bb1182510460b8a', 'False', 'True', 'false', 'false', '513223102202', 5, '两河口村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223102202', 1, '2021-07-19 12:05:19', NULL, NULL), (32324, '', '石大关村民委员会', '828f131c3c344b91bca43cb40bbdd937', '5ebd607fbd76411e8bb1182510460b8a', 'False', 'True', 'false', 'false', '513223102203', 5, '石大关村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223102203', 1, '2021-07-19 12:05:20', NULL, NULL), (32325, '', '蚕丛村民委员会', '18a205dae54c4b15bbb59b50db839685', '5ebd607fbd76411e8bb1182510460b8a', 'False', 'True', 'false', 'false', '513223102204', 5, '蚕丛村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223102204', 1, '2021-07-19 12:05:20', NULL, NULL), (32326, '', '沙湾村民委员会', '9cb6f570bddb4b1e83433e85361075e1', '5ebd607fbd76411e8bb1182510460b8a', 'False', 'True', 'false', 'false', '513223102205', 5, '沙湾村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223102205', 1, '2021-07-19 12:05:20', NULL, NULL), (32327, '', '杨柳村民委员会', 'ce604a9bbf5e4e5d9487a70b950d66d4', '5ebd607fbd76411e8bb1182510460b8a', 'False', 'True', 'false', 'false', '513223102206', 5, '杨柳村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223102206', 1, '2021-07-19 12:05:20', NULL, NULL), (32328, '', '大店村民委员会', '49d530b494244ec3b18ff16177285016', '5ebd607fbd76411e8bb1182510460b8a', 'False', 'True', 'false', 'false', '513223102207', 5, '大店村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223102207', 1, '2021-07-19 12:05:20', NULL, NULL), (32329, '', '渭门镇', 'e30b653245b84628ab3f647f6dfce13e', '581d81cbed1f48fa9a2d44cacd5b7014', 'True', 'True', 'false', 'false', '513223201000', 4, '渭门镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513223201000', 1, '2021-07-19 12:05:20', NULL, NULL), (32330, '', '椒园村民委员会', '9877ad15e4314bd082dcc2d5962d6261', 'e30b653245b84628ab3f647f6dfce13e', 'False', 'True', 'false', 'false', '513223201200', 5, '椒园村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223201200', 1, '2021-07-19 12:05:20', NULL, NULL), (32331, '', '渭门关村民委员会', 'ce80f8284f9c40ea9b14279ff40336a6', 'e30b653245b84628ab3f647f6dfce13e', 'False', 'True', 'false', 'false', '513223201201', 5, '渭门关村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223201201', 1, '2021-07-19 12:05:20', NULL, NULL), (32332, '', '核桃沟村民委员会', 'ecfe78f680704d41899af74989c7416d', 'e30b653245b84628ab3f647f6dfce13e', 'False', 'True', 'false', 'false', '513223201202', 5, '核桃沟村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223201202', 1, '2021-07-19 12:05:20', NULL, NULL), (32333, '', '十里沟村民委员会', 'a43dea8391a34fbfb97d4e53834ba3d9', 'e30b653245b84628ab3f647f6dfce13e', 'False', 'True', 'false', 'false', '513223201203', 5, '十里沟村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223201203', 1, '2021-07-19 12:05:20', NULL, NULL), (32334, '', '德胜寨村民委员会', '52bb05fb753643c1bc0d1c649ff6e16f', 'e30b653245b84628ab3f647f6dfce13e', 'False', 'True', 'false', 'false', '513223201204', 5, '德胜寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223201204', 1, '2021-07-19 12:05:20', NULL, NULL), (32335, '', '沟口镇', 'b8f8c1ba63684c4688dbbcb42df36573', '581d81cbed1f48fa9a2d44cacd5b7014', 'True', 'True', 'false', 'false', '513223203000', 4, '沟口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513223203000', 1, '2021-07-19 12:05:20', NULL, NULL), (32336, '', '刁林沟村民委员会', '2803a96e402c45e6af4eb988b31a1d8c', 'b8f8c1ba63684c4688dbbcb42df36573', 'False', 'True', 'false', 'false', '513223203200', 5, '刁林沟村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223203200', 1, '2021-07-19 12:05:20', NULL, NULL), (32337, '', '水若村民委员会', '32645cc56d084a2ca8a672c0913b2518', 'b8f8c1ba63684c4688dbbcb42df36573', 'False', 'True', 'false', 'false', '513223203201', 5, '水若村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223203201', 1, '2021-07-19 12:05:20', NULL, NULL), (32338, '', '岐山村民委员会', '238a7f62431b4e40abb5f7664679eb7d', 'b8f8c1ba63684c4688dbbcb42df36573', 'False', 'True', 'false', 'false', '513223203202', 5, '岐山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223203202', 1, '2021-07-19 12:05:20', NULL, NULL), (32339, '', '色巴村民委员会', '876b1571530c4fa5aaf41300907ba8e4', 'b8f8c1ba63684c4688dbbcb42df36573', 'False', 'True', 'false', 'false', '513223203203', 5, '色巴村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223203203', 1, '2021-07-19 12:05:20', NULL, NULL), (32340, '', '五家村民委员会', '0b91ffa6767c4771b526d18328658921', 'b8f8c1ba63684c4688dbbcb42df36573', 'False', 'True', 'false', 'false', '513223203204', 5, '五家村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223203204', 1, '2021-07-19 12:05:20', NULL, NULL), (32341, '', '沟口村民委员会', '8b894b6d59f3412c9f8399930ad03c48', 'b8f8c1ba63684c4688dbbcb42df36573', 'False', 'True', 'false', 'false', '513223203205', 5, '沟口村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223203205', 1, '2021-07-19 12:05:20', NULL, NULL), (32342, '', '鸡公寨村民委员会', '53941e583e894457968cc22d85cfc629', 'b8f8c1ba63684c4688dbbcb42df36573', 'False', 'True', 'false', 'false', '513223203206', 5, '鸡公寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223203206', 1, '2021-07-19 12:05:21', NULL, NULL), (32343, '', '土门镇', 'fb6c782fa4e14140892091b26d1a936b', '581d81cbed1f48fa9a2d44cacd5b7014', 'True', 'True', 'false', 'false', '513223206000', 4, '土门镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513223206000', 1, '2021-07-19 12:05:21', NULL, NULL), (32344, '', '建设村民委员会', '1effa432fee645729ddbbd7c28c0898e', 'fb6c782fa4e14140892091b26d1a936b', 'False', 'True', 'false', 'false', '513223206200', 5, '建设村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223206200', 1, '2021-07-19 12:05:21', NULL, NULL), (32345, '', '新村村民委员会', '29d5773dc7a54893b3ea44888cec8dad', 'fb6c782fa4e14140892091b26d1a936b', 'False', 'True', 'false', 'false', '513223206201', 5, '新村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223206201', 1, '2021-07-19 12:05:21', NULL, NULL), (32346, '', '洋坪村民委员会', 'e8bda797389f4f05967e17ef5cd56779', 'fb6c782fa4e14140892091b26d1a936b', 'False', 'True', 'false', 'false', '513223206202', 5, '洋坪村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223206202', 1, '2021-07-19 12:05:21', NULL, NULL), (32347, '', '太安村民委员会', 'b934d89f51444906a018160192bc011a', 'fb6c782fa4e14140892091b26d1a936b', 'False', 'True', 'false', 'false', '513223206203', 5, '太安村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223206203', 1, '2021-07-19 12:05:21', NULL, NULL), (32348, '', '万安村民委员会', '15c44a5b71d04ba7ac3aa1ebdbde999d', 'fb6c782fa4e14140892091b26d1a936b', 'False', 'True', 'false', 'false', '513223206204', 5, '万安村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223206204', 1, '2021-07-19 12:05:21', NULL, NULL), (32349, '', '马家村民委员会', '7d9a61ce62e947df81236c4a47d2bf72', 'fb6c782fa4e14140892091b26d1a936b', 'False', 'True', 'false', 'false', '513223206205', 5, '马家村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223206205', 1, '2021-07-19 12:05:21', NULL, NULL), (32350, '', '黑虎镇', '10f18d5a416b464fa0989764f4a589d6', '581d81cbed1f48fa9a2d44cacd5b7014', 'True', 'True', 'false', 'false', '513223208000', 4, '黑虎镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513223208000', 1, '2021-07-19 12:05:21', NULL, NULL), (32351, '', '小河坝村民委员会', 'de5b0bda5de54c808397208da15492cf', '10f18d5a416b464fa0989764f4a589d6', 'False', 'True', 'false', 'false', '513223208200', 5, '小河坝村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223208200', 1, '2021-07-19 12:05:21', NULL, NULL), (32352, '', '霭紫关村民委员会', 'e6f5f899bb5b49879e126d000a376dfa', '10f18d5a416b464fa0989764f4a589d6', 'False', 'True', 'false', 'false', '513223208201', 5, '霭紫关村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223208201', 1, '2021-07-19 12:05:21', NULL, NULL), (32353, '', '耕读百吉村民委员会', '3633529ea0694c7186bbda324be72ee9', '10f18d5a416b464fa0989764f4a589d6', 'False', 'True', 'false', 'false', '513223208202', 5, '耕读百吉村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223208202', 1, '2021-07-19 12:05:21', NULL, NULL), (32354, '', '巴地五坡村民委员会', '515f0d8e908d466e99c94ffa584eec8b', '10f18d5a416b464fa0989764f4a589d6', 'False', 'True', 'false', 'false', '513223208203', 5, '巴地五坡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223208203', 1, '2021-07-19 12:05:21', NULL, NULL), (32355, '', '沙坝镇', '95e5af42a9404d1298a1991ffaf6d05c', '581d81cbed1f48fa9a2d44cacd5b7014', 'True', 'True', 'false', 'false', '513223210000', 4, '沙坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513223210000', 1, '2021-07-19 12:05:21', NULL, NULL), (32356, '', '沙坝村民委员会', '2b6beea5d9a645c7a837eb9b497ea79c', '95e5af42a9404d1298a1991ffaf6d05c', 'False', 'True', 'false', 'false', '513223210200', 5, '沙坝村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223210200', 1, '2021-07-19 12:05:21', NULL, NULL), (32357, '', '龙坪村民委员会', 'e54a5be4630b4eeb8ac9ee42e0d96566', '95e5af42a9404d1298a1991ffaf6d05c', 'False', 'True', 'false', 'false', '513223210201', 5, '龙坪村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223210201', 1, '2021-07-19 12:05:21', NULL, NULL), (32358, '', '白布村民委员会', '52c37f023077444eab81055077e82906', '95e5af42a9404d1298a1991ffaf6d05c', 'False', 'True', 'false', 'false', '513223210202', 5, '白布村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223210202', 1, '2021-07-19 12:05:21', NULL, NULL), (32359, '', '小牛儿村民委员会', '39fe8889850a431785def73a6d4d8d98', '95e5af42a9404d1298a1991ffaf6d05c', 'False', 'True', 'false', 'false', '513223210203', 5, '小牛儿村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223210203', 1, '2021-07-19 12:05:21', NULL, NULL), (32360, '', '洼底镇', '758001277f204514a8a1b6216aa87bea', '581d81cbed1f48fa9a2d44cacd5b7014', 'True', 'True', 'false', 'false', '513223213000', 4, '洼底镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513223213000', 1, '2021-07-19 12:05:22', NULL, NULL), (32361, '', '五寨村民委员会', 'a06a5b449c844b058efdfd7d1f8aee0d', '758001277f204514a8a1b6216aa87bea', 'False', 'True', 'false', 'false', '513223213200', 5, '五寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223213200', 1, '2021-07-19 12:05:22', NULL, NULL), (32362, '', '百和村民委员会', '8e175808779847c6a96874e1317f21df', '758001277f204514a8a1b6216aa87bea', 'False', 'True', 'false', 'false', '513223213201', 5, '百和村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223213201', 1, '2021-07-19 12:05:22', NULL, NULL), (32363, '', '犀牛山村民委员会', '17d45e2724b64873a734b18cbfe6fdfa', '758001277f204514a8a1b6216aa87bea', 'False', 'True', 'false', 'false', '513223213202', 5, '犀牛山村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223213202', 1, '2021-07-19 12:05:22', NULL, NULL), (32364, '', '沙胡寨村民委员会', 'a69bdce7c95a48a2908f9495b350b47f', '758001277f204514a8a1b6216aa87bea', 'False', 'True', 'false', 'false', '513223213203', 5, '沙胡寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223213203', 1, '2021-07-19 12:05:22', NULL, NULL), (32365, '', '三雅村民委员会', '5df4594d661146e39d2e0baadc0848ee', '758001277f204514a8a1b6216aa87bea', 'False', 'True', 'false', 'false', '513223213204', 5, '三雅村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223213204', 1, '2021-07-19 12:05:22', NULL, NULL), (32366, '', '赤不苏镇', '6d1a36a6663d40cc9e718e675945ffc2', '581d81cbed1f48fa9a2d44cacd5b7014', 'True', 'True', 'false', 'false', '513223338000', 4, '赤不苏镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513223338000', 1, '2021-07-19 12:05:22', NULL, NULL), (32367, '', '通河坝村民委员会', 'ca0c433725f64a97a2cdca6d67337788', '6d1a36a6663d40cc9e718e675945ffc2', 'False', 'True', 'false', 'false', '513223104200', 5, '通河坝村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223104200', 1, '2021-07-19 12:05:22', NULL, NULL), (32368, '', '赤不寨村民委员会', 'da3be0c489154bec93fd535000206c82', '6d1a36a6663d40cc9e718e675945ffc2', 'False', 'True', 'false', 'false', '513223104201', 5, '赤不寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223104201', 1, '2021-07-19 12:05:22', NULL, NULL), (32369, '', '木鱼村民委员会', 'a48fdd7863244ce8b6425549b7b227dd', '6d1a36a6663d40cc9e718e675945ffc2', 'False', 'True', 'false', 'false', '513223104202', 5, '木鱼村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223104202', 1, '2021-07-19 12:05:22', NULL, NULL), (32370, '', '俄俄村民委员会', '865cafca67964152838b655b74654edd', '6d1a36a6663d40cc9e718e675945ffc2', 'False', 'True', 'false', 'false', '513223104203', 5, '俄俄村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223104203', 1, '2021-07-19 12:05:22', NULL, NULL), (32371, '', '四寨村民委员会', '1294b8c383e7412a945f995dd8257132', '6d1a36a6663d40cc9e718e675945ffc2', 'False', 'True', 'false', 'false', '513223104204', 5, '四寨村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223104204', 1, '2021-07-19 12:05:22', NULL, NULL), (32372, '', '雅都村民委员会', '3b564bb758224ab9a6fa36b56acf6ef2', '6d1a36a6663d40cc9e718e675945ffc2', 'False', 'True', 'false', 'false', '513223104205', 5, '雅都村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223104205', 1, '2021-07-19 12:05:22', NULL, NULL), (32373, '', '大寨子村民委员会', 'f9343f783d6a49cb9de414eae4d188a7', '6d1a36a6663d40cc9e718e675945ffc2', 'False', 'True', 'false', 'false', '513223104206', 5, '大寨子村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223104206', 1, '2021-07-19 12:05:22', NULL, NULL), (32374, '', '俄口村民委员会', '4f6cc19ad1ea4172813eae65808aeace', '6d1a36a6663d40cc9e718e675945ffc2', 'False', 'True', 'false', 'false', '513223104207', 5, '俄口村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223104207', 1, '2021-07-19 12:05:22', NULL, NULL), (32375, '', '前村村民委员会', '096d57c4cdd543178624f742d74e2d50', '6d1a36a6663d40cc9e718e675945ffc2', 'False', 'True', 'false', 'false', '513223104209', 5, '前村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223104209', 1, '2021-07-19 12:05:22', NULL, NULL), (32376, '', '中村村民委员会', 'c6f2518be1a3412ba0cc70550ac85f36', '6d1a36a6663d40cc9e718e675945ffc2', 'False', 'True', 'false', 'false', '513223104210', 5, '中村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223104210', 1, '2021-07-19 12:05:22', NULL, NULL), (32377, '', '后村村民委员会', '524deafe3e364222a55508fb785cf8ca', '6d1a36a6663d40cc9e718e675945ffc2', 'False', 'True', 'false', 'false', '513223104211', 5, '后村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223104211', 1, '2021-07-19 12:05:22', NULL, NULL), (32378, '', '四瓦村民委员会', 'ac37dddb2c414ec4bf4ed7f6d6e663c1', '6d1a36a6663d40cc9e718e675945ffc2', 'False', 'True', 'false', 'false', '513223104212', 5, '四瓦村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223104212', 1, '2021-07-19 12:05:22', NULL, NULL), (32379, '', '九龙村民委员会', 'e63453bc15a443be979b528211e33f5b', '6d1a36a6663d40cc9e718e675945ffc2', 'False', 'True', 'false', 'false', '513223104213', 5, '九龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223104213', 1, '2021-07-19 12:05:22', NULL, NULL), (32380, '', '富顺镇', '87f19b89a48a488eaf0784b156804091', '581d81cbed1f48fa9a2d44cacd5b7014', 'True', 'True', 'false', 'false', '513223771000', 4, '富顺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513223771000', 1, '2021-07-19 12:05:22', NULL, NULL), (32381, '', '甘沟村民委员会', 'e2dd8d1faaa34c69ae92256f50fa6861', '87f19b89a48a488eaf0784b156804091', 'False', 'True', 'false', 'false', '513223105200', 5, '甘沟村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223105200', 1, '2021-07-19 12:05:22', NULL, NULL), (32382, '', '槽木村民委员会', 'ad6c4b58e76c40009a5898fe7a1bbf7b', '87f19b89a48a488eaf0784b156804091', 'False', 'True', 'false', 'false', '513223105201', 5, '槽木村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223105201', 1, '2021-07-19 12:05:23', NULL, NULL), (32383, '', '瓦窑村民委员会', 'd0b054e7d40d4958ab09f7aab43eb366', '87f19b89a48a488eaf0784b156804091', 'False', 'True', 'false', 'false', '513223105202', 5, '瓦窑村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223105202', 1, '2021-07-19 12:05:23', NULL, NULL), (32384, '', '鱼听村民委员会', 'b39de17d314d4459a7e4838e8d3d6a14', '87f19b89a48a488eaf0784b156804091', 'False', 'True', 'false', 'false', '513223105203', 5, '鱼听村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223105203', 1, '2021-07-19 12:05:23', NULL, NULL), (32385, '', '唱斗村民委员会', 'd6094c8028a84420bc38eddb6538d857', '87f19b89a48a488eaf0784b156804091', 'False', 'True', 'false', 'false', '513223105204', 5, '唱斗村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223105204', 1, '2021-07-19 12:05:23', NULL, NULL), (32386, '', '永城村民委员会', '7bc8e30cd91643f89c8ced3425b9973e', '87f19b89a48a488eaf0784b156804091', 'False', 'True', 'false', 'false', '513223105205', 5, '永城村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223105205', 1, '2021-07-19 12:05:23', NULL, NULL), (32387, '', '团结村民委员会', '8ac3d3adb28c43ff9910d57b2325df77', '87f19b89a48a488eaf0784b156804091', 'False', 'True', 'false', 'false', '513223105206', 5, '团结村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223105206', 1, '2021-07-19 12:05:23', NULL, NULL), (32388, '', '神溪村民委员会', '80a81c9219b94dfc8e9310e911751825', '87f19b89a48a488eaf0784b156804091', 'False', 'True', 'false', 'false', '513223105207', 5, '神溪村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223105207', 1, '2021-07-19 12:05:23', NULL, NULL), (32389, '', '宝顶村民委员会', '5fde2f8598ad43c2865341857d1f10f5', '87f19b89a48a488eaf0784b156804091', 'False', 'True', 'false', 'false', '513223105208', 5, '宝顶村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513223105208', 1, '2021-07-19 12:05:23', NULL, NULL), (32390, '', '松潘县', '9d30e8df32414d71ba8e129c074f4aea', 'bd453af225f84ab8af7b1fca05ac83ed', 'True', 'True', 'false', 'false', '513224000000', 3, '松潘县', 'abzspx.sczwfw.gov.cn', 1, '2021-07-19 12:05:23', NULL, NULL), (32391, '', '进安镇', '7d11974bbb4843e4b0bf9b026b864944', '9d30e8df32414d71ba8e129c074f4aea', 'True', 'True', 'false', 'false', '513224100000', 4, '进安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513224100000', 1, '2021-07-19 12:05:23', NULL, NULL), (32392, '', '进安镇社区', '32d3ddda647047289c703a83c139f817', '7d11974bbb4843e4b0bf9b026b864944', 'False', 'False', 'false', 'false', '513224100001', 5, '进安镇社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224100001', 1, '2021-07-19 12:05:23', NULL, NULL), (32393, '', '金坑坝社区', '8874c7c9dc66415a9c0fec354f18bf74', '7d11974bbb4843e4b0bf9b026b864944', 'False', 'False', 'false', 'false', '513224100002', 5, '金坑坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224100002', 1, '2021-07-19 12:05:23', NULL, NULL), (32394, '', '顺江社区', '1053b953ee4546b6b2eccddaa222e380', '7d11974bbb4843e4b0bf9b026b864944', 'False', 'False', 'false', 'false', '513224100003', 5, '顺江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224100003', 1, '2021-07-19 12:05:23', NULL, NULL), (32395, '', '凤鸣社区', 'd2aa9cd2a1084756931a761bdc2d3232', '7d11974bbb4843e4b0bf9b026b864944', 'False', 'False', 'false', 'false', '513224100004', 5, '凤鸣社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224100004', 1, '2021-07-19 12:05:23', NULL, NULL), (32396, '', '中江社区', '07437b9913924cb9bc99bf51c74c6f84', '7d11974bbb4843e4b0bf9b026b864944', 'False', 'False', 'false', 'false', '513224100005', 5, '中江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224100005', 1, '2021-07-19 12:05:23', NULL, NULL), (32397, '', '真武社区', '7ae01f6f6a884ebd8cdf25ea7d5b3021', '7d11974bbb4843e4b0bf9b026b864944', 'False', 'False', 'false', 'false', '513224100006', 5, '真武社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224100006', 1, '2021-07-19 12:05:23', NULL, NULL), (32398, '', '岷山社区', 'b1a169c657d448c29a3ec660fda5876e', '7d11974bbb4843e4b0bf9b026b864944', 'False', 'False', 'false', 'false', '513224100007', 5, '岷山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224100007', 1, '2021-07-19 12:05:23', NULL, NULL), (32399, '', '东裕社区', 'd04c01a7f5e340318bc14504cd416620', '7d11974bbb4843e4b0bf9b026b864944', 'False', 'False', 'false', 'false', '513224100008', 5, '东裕社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224100008', 1, '2021-07-19 12:05:23', NULL, NULL), (32400, '', '南街社区', '6994aed0233640b09798fad7f5244bfe', '7d11974bbb4843e4b0bf9b026b864944', 'False', 'False', 'false', 'false', '513224100009', 5, '南街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224100009', 1, '2021-07-19 12:05:23', NULL, NULL), (32401, '', '窑沟村', 'ea11c29f17b7405ead7a9466d22b204f', '7d11974bbb4843e4b0bf9b026b864944', 'False', 'False', 'false', 'false', '513224100210', 5, '窑沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224100210', 1, '2021-07-19 12:05:24', NULL, NULL), (32402, '', '窑坝村', '5142fe460be54290999ac4696f0178cc', '7d11974bbb4843e4b0bf9b026b864944', 'False', 'False', 'false', 'false', '513224100211', 5, '窑坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224100211', 1, '2021-07-19 12:05:24', NULL, NULL), (32403, '', '西山村', '44d2f3f8ddb545f3b84225ba8efa5762', '7d11974bbb4843e4b0bf9b026b864944', 'False', 'False', 'false', 'false', '513224100212', 5, '西山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224100212', 1, '2021-07-19 12:05:24', NULL, NULL), (32404, '', '羊裕屯村', '8270f69a50a0402a92eb9a90b21f7087', '7d11974bbb4843e4b0bf9b026b864944', 'False', 'False', 'false', 'false', '513224100213', 5, '羊裕屯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224100213', 1, '2021-07-19 12:05:24', NULL, NULL), (32405, '', '俄寨村', '15f109bd4a594182b904ebd9354e4fba', '7d11974bbb4843e4b0bf9b026b864944', 'False', 'False', 'false', 'false', '513224100216', 5, '俄寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224100216', 1, '2021-07-19 12:05:24', NULL, NULL), (32406, '', '石坝子村', 'e35cfc16a6154826938d12992d284bf9', '7d11974bbb4843e4b0bf9b026b864944', 'False', 'False', 'false', 'false', '513224100221', 5, '石坝子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224100221', 1, '2021-07-19 12:05:24', NULL, NULL), (32407, '', '牟尼沟村', '12c768dd0cdb4f8e949d053f1ad2e221', '7d11974bbb4843e4b0bf9b026b864944', 'False', 'False', 'false', 'false', '513224100222', 5, '牟尼沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224100222', 1, '2021-07-19 12:05:24', NULL, NULL), (32408, '', '外城村', 'bf71790d680241bf9cf3bf44e1ed0969', '7d11974bbb4843e4b0bf9b026b864944', 'False', 'False', 'false', 'false', '513224100209', 5, '外城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224100209', 1, '2021-07-19 12:05:24', NULL, NULL), (32409, '', '川主寺镇', '697b85a8dd344a6aa30fc28567e605c5', '9d30e8df32414d71ba8e129c074f4aea', 'True', 'True', 'false', 'false', '513224101000', 4, '川主寺镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513224101000', 1, '2021-07-19 12:05:24', NULL, NULL), (32410, '', '巴郎社区', 'ef86536226f6459d92bc3bc1e9237ad6', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101001', 5, '巴郎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101001', 1, '2021-07-19 12:05:24', NULL, NULL), (32411, '', '漳腊社区', 'cc40adaabd804226bbb9b9a066e4878c', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101002', 5, '漳腊社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101002', 1, '2021-07-19 12:05:24', NULL, NULL), (32412, '', '黄胜关村', '90429e835d3a49f8a523e9f095d0ac0d', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101202', 5, '黄胜关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101202', 1, '2021-07-19 12:05:24', NULL, NULL), (32413, '', '东北村', '7a31d7072f594e90bccfd76a64e0f34c', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101203', 5, '东北村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101203', 1, '2021-07-19 12:05:24', NULL, NULL), (32414, '', '传子沟村', '5bf3be91c67b4befacbaf745177ea0f2', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101205', 5, '传子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101205', 1, '2021-07-19 12:05:24', NULL, NULL), (32415, '', '八十沟村', '92847ea3a2684cf89995463cf7cc3ed6', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101206', 5, '八十沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101206', 1, '2021-07-19 12:05:24', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (32416, '', '林坡村', '98d0136606ea47f28ba84f488f8c1a52', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101207', 5, '林坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101207', 1, '2021-07-19 12:05:24', NULL, NULL), (32417, '', '五间房村', 'e68cef048b044b9eb1b1114e3096f8d6', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101208', 5, '五间房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101208', 1, '2021-07-19 12:05:24', NULL, NULL), (32418, '', '元坝子村', 'bbc9327fea6343239497a7227f964845', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101209', 5, '元坝子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101209', 1, '2021-07-19 12:05:24', NULL, NULL), (32419, '', '漳腊村', '2abbb4eb1d764d15826b5195e655a900', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101212', 5, '漳腊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101212', 1, '2021-07-19 12:05:25', NULL, NULL), (32420, '', '黑斯村', '19fdb6f0704444729d6e789408b0b940', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101214', 5, '黑斯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101214', 1, '2021-07-19 12:05:25', NULL, NULL), (32421, '', '金河坝村', '7c2bb5d14d124dd09ed0b3f8e1b92af9', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101215', 5, '金河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101215', 1, '2021-07-19 12:05:25', NULL, NULL), (32422, '', '牧场村', 'b3099f63aabc4a96a4e95c78783c8ff4', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101216', 5, '牧场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101216', 1, '2021-07-19 12:05:25', NULL, NULL), (32423, '', '麻依村', '6b433ca77f864566ab57b959e37182d6', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101217', 5, '麻依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101217', 1, '2021-07-19 12:05:25', NULL, NULL), (32424, '', '山巴村', '2cb2dccee22842418893ab4d9eb75b6d', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101218', 5, '山巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101218', 1, '2021-07-19 12:05:25', NULL, NULL), (32425, '', '上磨村', '66592f21ff9e4ec499a65753860cb473', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101219', 5, '上磨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101219', 1, '2021-07-19 12:05:25', NULL, NULL), (32426, '', '长沟村', 'd3129b9bc1ea44048edd30c7817df8b5', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101220', 5, '长沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101220', 1, '2021-07-19 12:05:25', NULL, NULL), (32427, '', '见培村', '656a263cf1dc44f995bf26f85eee9663', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101221', 5, '见培村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101221', 1, '2021-07-19 12:05:25', NULL, NULL), (32428, '', '安备村', 'd4ea4ca158d0482a845e7b88d46e3f49', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101222', 5, '安备村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101222', 1, '2021-07-19 12:05:25', NULL, NULL), (32429, '', '寒盼村', '58353663f4134645ad500bb6f2d1635e', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101223', 5, '寒盼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101223', 1, '2021-07-19 12:05:25', NULL, NULL), (32430, '', '川盘村', 'd4b2805f3827483d99b5cced321b2918', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101224', 5, '川盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101224', 1, '2021-07-19 12:05:25', NULL, NULL), (32431, '', '水晶村', 'd6bc92475eff412097ed5687c49f98b3', '697b85a8dd344a6aa30fc28567e605c5', 'False', 'False', 'false', 'false', '513224101225', 5, '水晶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224101225', 1, '2021-07-19 12:05:25', NULL, NULL), (32432, '', '大姓乡', '4eed8f4653c24aaea8cfad539b8e6630', '9d30e8df32414d71ba8e129c074f4aea', 'True', 'True', 'false', 'false', '513224209000', 4, '大姓乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513224209000', 1, '2021-07-19 12:05:25', NULL, NULL), (32433, '', '地柏村', 'dd638d32c5cd45fc845f773a2a690a29', '4eed8f4653c24aaea8cfad539b8e6630', 'False', 'True', 'false', 'false', '513224209200', 5, '地柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224209200', 1, '2021-07-19 12:05:25', NULL, NULL), (32434, '', '木石村', 'd6608d0635ed413198023b7b791dd139', '4eed8f4653c24aaea8cfad539b8e6630', 'False', 'True', 'false', 'false', '513224209201', 5, '木石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224209201', 1, '2021-07-19 12:05:25', NULL, NULL), (32435, '', '云昌村', '5107a57d0ecc474fbfa74a2b03da5626', '4eed8f4653c24aaea8cfad539b8e6630', 'False', 'True', 'false', 'false', '513224209202', 5, '云昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224209202', 1, '2021-07-19 12:05:26', NULL, NULL), (32436, '', '丁谷村', '1a9eaae3e5834d198e02b956b1e6f691', '4eed8f4653c24aaea8cfad539b8e6630', 'False', 'True', 'false', 'false', '513224209203', 5, '丁谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224209203', 1, '2021-07-19 12:05:26', NULL, NULL), (32437, '', '下纳咪村', 'f916a8835e184de1a7ef5cbbf4bc9ba1', '4eed8f4653c24aaea8cfad539b8e6630', 'False', 'True', 'false', 'false', '513224209204', 5, '下纳咪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224209204', 1, '2021-07-19 12:05:26', NULL, NULL), (32438, '', '上纳咪村', '151b687c1c2a499db50b63c605f0b749', '4eed8f4653c24aaea8cfad539b8e6630', 'False', 'False', 'false', 'false', '513224209206', 5, '上纳咪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224209206', 1, '2021-07-19 12:05:26', NULL, NULL), (32439, '', '小姓乡', 'ab81c19ca34b4d28a76a09f2c182d3ee', '9d30e8df32414d71ba8e129c074f4aea', 'True', 'True', 'false', 'false', '513224213000', 4, '小姓乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513224213000', 1, '2021-07-19 12:05:26', NULL, NULL), (32440, '', '埃溪村', 'e3689da847fa491199f0ccf616141076', 'ab81c19ca34b4d28a76a09f2c182d3ee', 'False', 'True', 'false', 'false', '513224213200', 5, '埃溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224213200', 1, '2021-07-19 12:05:26', NULL, NULL), (32441, '', '大尔边村', '7644fd76807c40dda981bd968665391a', 'ab81c19ca34b4d28a76a09f2c182d3ee', 'False', 'True', 'false', 'false', '513224213201', 5, '大尔边村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224213201', 1, '2021-07-19 12:05:26', NULL, NULL), (32442, '', '姑纳村', 'a84850aae184499199ef8afee825a61e', 'ab81c19ca34b4d28a76a09f2c182d3ee', 'False', 'True', 'false', 'false', '513224213203', 5, '姑纳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224213203', 1, '2021-07-19 12:05:26', NULL, NULL), (32443, '', '碑子寺村', '632898dbbb504fcd9505a6d715d6114c', 'ab81c19ca34b4d28a76a09f2c182d3ee', 'False', 'True', 'false', 'false', '513224213204', 5, '碑子寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224213204', 1, '2021-07-19 12:05:26', NULL, NULL), (32444, '', '平安村', '2b9a92ad97d54db2bfaae8f7448bcc0e', 'ab81c19ca34b4d28a76a09f2c182d3ee', 'False', 'True', 'false', 'false', '513224213205', 5, '平安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224213205', 1, '2021-07-19 12:05:26', NULL, NULL), (32445, '', '燕云乡', '8ee61e8a552041e9bd0b7e5b2d81d0c4', '9d30e8df32414d71ba8e129c074f4aea', 'True', 'True', 'false', 'false', '513224214000', 4, '燕云乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513224214000', 1, '2021-07-19 12:05:26', NULL, NULL), (32446, '', '卡龙村', '6702e7dfa7944c3782c204a25bc79e66', '8ee61e8a552041e9bd0b7e5b2d81d0c4', 'False', 'True', 'false', 'false', '513224214200', 5, '卡龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224214200', 1, '2021-07-19 12:05:26', NULL, NULL), (32447, '', '卡亚村', '99e5192936a04b11b1e519430b931961', '8ee61e8a552041e9bd0b7e5b2d81d0c4', 'False', 'True', 'false', 'false', '513224214201', 5, '卡亚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224214201', 1, '2021-07-19 12:05:26', NULL, NULL), (32448, '', '色贡村', '23cddb8402794558858cfe5f9b7198cb', '8ee61e8a552041e9bd0b7e5b2d81d0c4', 'False', 'True', 'false', 'false', '513224214202', 5, '色贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224214202', 1, '2021-07-19 12:05:26', NULL, NULL), (32449, '', '黄龙乡', '03c5357a19e24b66840f5c27b2ea267e', '9d30e8df32414d71ba8e129c074f4aea', 'True', 'True', 'false', 'false', '513224219000', 4, '黄龙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513224219000', 1, '2021-07-19 12:05:26', NULL, NULL), (32450, '', '大湾村', 'c50c7e9bfda64e5bb21b24ebabc7e0db', '03c5357a19e24b66840f5c27b2ea267e', 'False', 'True', 'false', 'false', '513224219200', 5, '大湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224219200', 1, '2021-07-19 12:05:26', NULL, NULL), (32451, '', '建新村', 'e26077683e3d42f5a9b3882e7923a98a', '03c5357a19e24b66840f5c27b2ea267e', 'False', 'True', 'false', 'false', '513224219201', 5, '建新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224219201', 1, '2021-07-19 12:05:26', NULL, NULL), (32452, '', '三舍驿村', '7f6aa015ef2947c793f8b42d269ca390', '03c5357a19e24b66840f5c27b2ea267e', 'False', 'True', 'false', 'false', '513224219202', 5, '三舍驿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224219202', 1, '2021-07-19 12:05:26', NULL, NULL), (32453, '', '青云镇', '676f8e8ca39f46ad83c34994eaa663f7', '9d30e8df32414d71ba8e129c074f4aea', 'True', 'True', 'false', 'false', '513224163000', 4, '青云镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513224163000', 1, '2021-07-19 12:05:27', NULL, NULL), (32454, '', '石河桥村', '8e16e6a8409d415199a8741b93c0c543', '676f8e8ca39f46ad83c34994eaa663f7', 'False', 'True', 'false', 'false', '513224202200', 5, '石河桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224202200', 1, '2021-07-19 12:05:27', NULL, NULL), (32455, '', '红花屯社区', '24c26fd842134249b41562f3af1946f9', '676f8e8ca39f46ad83c34994eaa663f7', 'False', 'True', 'false', 'false', '513224202202', 5, '红花屯社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224202202', 1, '2021-07-19 12:05:27', NULL, NULL), (32456, '', '谷斯村', '3477d6d94595493bb2b1ea3170e686f2', '676f8e8ca39f46ad83c34994eaa663f7', 'False', 'True', 'false', 'false', '513224202201', 5, '谷斯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224202201', 1, '2021-07-19 12:05:27', NULL, NULL), (32457, '', '东山村', 'ffe8c41a1bbd454e96c53eecdb24d01d', '676f8e8ca39f46ad83c34994eaa663f7', 'False', 'True', 'false', 'false', '513224202203', 5, '东山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224202203', 1, '2021-07-19 12:05:27', NULL, NULL), (32458, '', '东龙村', '22c890f392e94614bd3667d142f4aca3', '676f8e8ca39f46ad83c34994eaa663f7', 'False', 'True', 'false', 'false', '513224202204', 5, '东龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224202204', 1, '2021-07-19 12:05:27', NULL, NULL), (32459, '', '雄山村', 'fdaf7c9d90c640ea87e9c589173e0b64', '676f8e8ca39f46ad83c34994eaa663f7', 'False', 'True', 'false', 'false', '513224202205', 5, '雄山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224202205', 1, '2021-07-19 12:05:27', NULL, NULL), (32460, '', '上泥巴村', 'edbff89d1ae0421b8edef46f6fa1d45a', '676f8e8ca39f46ad83c34994eaa663f7', 'False', 'False', 'false', 'false', '513224102209', 5, '上泥巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224102209', 1, '2021-07-19 12:05:27', NULL, NULL), (32461, '', '大寨村', '73a098ca378f480591f71336126fbb6f', '676f8e8ca39f46ad83c34994eaa663f7', 'False', 'False', 'false', 'false', '513224102210', 5, '大寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224102210', 1, '2021-07-19 12:05:27', NULL, NULL), (32462, '', '毛儿盖镇', '827b8e4e7c9e4af99cdd33506305646c', '9d30e8df32414d71ba8e129c074f4aea', 'True', 'True', 'false', 'false', '513224220000', 4, '毛儿盖镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513224220000', 1, '2021-07-19 12:05:27', NULL, NULL), (32463, '', '索花村', '5dd4b23eea184fedacd2d64ec6a7b4c1', '827b8e4e7c9e4af99cdd33506305646c', 'False', 'True', 'false', 'false', '513224220200', 5, '索花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224220200', 1, '2021-07-19 12:05:27', NULL, NULL), (32464, '', '阿藏村', '79a5df5e66824ac88bdbac3dedb6b165', '827b8e4e7c9e4af99cdd33506305646c', 'False', 'True', 'false', 'false', '513224220201', 5, '阿藏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224220201', 1, '2021-07-19 12:05:27', NULL, NULL), (32465, '', '克藏村', 'a2d283ddd474435fae20fd6da912b263', '827b8e4e7c9e4af99cdd33506305646c', 'False', 'True', 'false', 'false', '513224220202', 5, '克藏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224220202', 1, '2021-07-19 12:05:27', NULL, NULL), (32466, '', '阿俄村', 'eb8fd9e17cd64e5989fecd000babd267', '827b8e4e7c9e4af99cdd33506305646c', 'False', 'True', 'false', 'false', '513224220203', 5, '阿俄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224220203', 1, '2021-07-19 12:05:27', NULL, NULL), (32467, '', '草原村', 'e90bf8c4200a4bca99531104b0cb205a', '827b8e4e7c9e4af99cdd33506305646c', 'False', 'False', 'false', 'false', '513224103005', 5, '草原村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224103005', 1, '2021-07-19 12:05:27', NULL, NULL), (32468, '', '镇江关镇', 'b4ce7cd04c954a0a83c6c431c586c351', '9d30e8df32414d71ba8e129c074f4aea', 'True', 'True', 'false', 'false', '513224319000', 4, '镇江关镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513224319000', 1, '2021-07-19 12:05:27', NULL, NULL), (32469, '', '镇江关村', 'a443dab540434b82824088b8921bafa4', 'b4ce7cd04c954a0a83c6c431c586c351', 'False', 'True', 'false', 'false', '513224206200', 5, '镇江关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224206200', 1, '2021-07-19 12:05:27', NULL, NULL), (32470, '', '五里堡村', '08c7f7ba1ef0431d93275f43f02fde2a', 'b4ce7cd04c954a0a83c6c431c586c351', 'False', 'True', 'false', 'false', '513224206203', 5, '五里堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224206203', 1, '2021-07-19 12:05:27', NULL, NULL), (32471, '', '永和村', 'c6ccb4812b9f43bdb2bcdf9383b93250', 'b4ce7cd04c954a0a83c6c431c586c351', 'False', 'True', 'false', 'false', '513224206204', 5, '永和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224206204', 1, '2021-07-19 12:05:27', NULL, NULL), (32472, '', '红土镇', '52436c4514bd4e33b793d6940fcb5392', '9d30e8df32414d71ba8e129c074f4aea', 'True', 'True', 'false', 'false', '513224211000', 4, '红土镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513224211000', 1, '2021-07-19 12:05:27', NULL, NULL), (32473, '', '红土村', 'e8e91586177a4715984626196a5569a8', '52436c4514bd4e33b793d6940fcb5392', 'False', 'True', 'false', 'false', '513224211200', 5, '红土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224211200', 1, '2021-07-19 12:05:27', NULL, NULL), (32474, '', '则术村', 'f426a055660c4a73b595fa03ca2a36a8', '52436c4514bd4e33b793d6940fcb5392', 'False', 'True', 'false', 'false', '513224211201', 5, '则术村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224211201', 1, '2021-07-19 12:05:28', NULL, NULL), (32475, '', '热窝村', 'ff8f1f115aea4f34bfc2734997bb7ecc', '52436c4514bd4e33b793d6940fcb5392', 'False', 'True', 'false', 'false', '513224211202', 5, '热窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224211202', 1, '2021-07-19 12:05:28', NULL, NULL), (32476, '', '俄卡村', 'b89df31e19574f3a968b5630852b78ea', '52436c4514bd4e33b793d6940fcb5392', 'False', 'False', 'false', 'false', '513224105204', 5, '俄卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224105204', 1, '2021-07-19 12:05:28', NULL, NULL), (32477, '', '沙代村', '9ef8b908c9b241df9716a2340730ac8c', '52436c4514bd4e33b793d6940fcb5392', 'False', 'False', 'false', 'false', '513224105207', 5, '沙代村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224105207', 1, '2021-07-19 12:05:28', NULL, NULL), (32478, '', '红扎村', '32e5a943aa554a189247fdb66cbcf7c7', '52436c4514bd4e33b793d6940fcb5392', 'False', 'False', 'false', 'false', '513224105208', 5, '红扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224105208', 1, '2021-07-19 12:05:28', NULL, NULL), (32479, '', '德苟村', '17cdcdcce4324d7295325505d2f65719', '52436c4514bd4e33b793d6940fcb5392', 'False', 'False', 'false', 'false', '513224105206', 5, '德苟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224105206', 1, '2021-07-19 12:05:28', NULL, NULL), (32480, '', '小河镇', '8ce994419cae4f0c964927561c18698b', '9d30e8df32414d71ba8e129c074f4aea', 'True', 'True', 'false', 'false', '513224217000', 4, '小河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513224217000', 1, '2021-07-19 12:05:28', NULL, NULL), (32481, '', '丰河村', 'e57faaf3ac3940db94eb8b85adc460af', '8ce994419cae4f0c964927561c18698b', 'False', 'True', 'false', 'false', '513224217201', 5, '丰河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224217201', 1, '2021-07-19 12:05:28', NULL, NULL), (32482, '', '丰岩堡村', '7759f5e62cdf4aa7b3fd126f5dbcb539', '8ce994419cae4f0c964927561c18698b', 'False', 'True', 'false', 'false', '513224217203', 5, '丰岩堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224217203', 1, '2021-07-19 12:05:28', NULL, NULL), (32483, '', '李泉村', '1ea6870242b642b0b9b42e88dc3762b4', '8ce994419cae4f0c964927561c18698b', 'False', 'True', 'false', 'false', '513224217204', 5, '李泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224217204', 1, '2021-07-19 12:05:28', NULL, NULL), (32484, '', '木瓜墩村', '4cb7a7fcb7394f708b27a7e639407748', '8ce994419cae4f0c964927561c18698b', 'False', 'True', 'false', 'false', '513224217205', 5, '木瓜墩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224217205', 1, '2021-07-19 12:05:28', NULL, NULL), (32485, '', '双河村', '487d67c571044044926e1d22cd6b6c86', '8ce994419cae4f0c964927561c18698b', 'False', 'True', 'false', 'false', '513224217200', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224217200', 1, '2021-07-19 12:05:28', NULL, NULL), (32486, '', '丰坪村', '042b98c31d64445798a23cf51e5f9193', '8ce994419cae4f0c964927561c18698b', 'False', 'False', 'false', 'false', '513224106208', 5, '丰坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224106208', 1, '2021-07-19 12:05:28', NULL, NULL), (32487, '', '四望堡村', '32ddae86d8794c20a5113e2c663ca5ce', '8ce994419cae4f0c964927561c18698b', 'False', 'False', 'false', 'false', '513224106209', 5, '四望堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224106209', 1, '2021-07-19 12:05:28', NULL, NULL), (32488, '', '新光村', 'fecbb6e80b034e528698451e03bb92ee', '8ce994419cae4f0c964927561c18698b', 'False', 'False', 'false', 'false', '513224106210', 5, '新光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224106210', 1, '2021-07-19 12:05:28', NULL, NULL), (32489, '', '十里回族乡', '2cab215e73b94e34938f0edd7a768089', '9d30e8df32414d71ba8e129c074f4aea', 'True', 'True', 'false', 'false', '513224110000', 4, '十里回族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513224110000', 1, '2021-07-19 12:05:28', NULL, NULL), (32490, '', '大沟村', '17531addfec542d4a782e57ba67a8a7a', '2cab215e73b94e34938f0edd7a768089', 'False', 'True', 'false', 'false', '513224201200', 5, '大沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224201200', 1, '2021-07-19 12:05:28', NULL, NULL), (32491, '', '火烧屯村', 'd92e0baebc17471b9484abdd7e6ea4f8', '2cab215e73b94e34938f0edd7a768089', 'False', 'True', 'false', 'false', '513224201201', 5, '火烧屯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224201201', 1, '2021-07-19 12:05:28', NULL, NULL), (32492, '', '佑所屯村', 'e93135d2488a4deea4e1cd10e21497a6', '2cab215e73b94e34938f0edd7a768089', 'False', 'True', 'false', 'false', '513224201202', 5, '佑所屯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224201202', 1, '2021-07-19 12:05:28', NULL, NULL), (32493, '', '郭学寨村', 'fe0bd597526c4b7591efa3b7f2726a96', '2cab215e73b94e34938f0edd7a768089', 'False', 'True', 'false', 'false', '513224201203', 5, '郭学寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224201203', 1, '2021-07-19 12:05:28', NULL, NULL), (32494, '', '高屯子村', '3ffe8265e6e14fd89238c8fb1f9995a3', '2cab215e73b94e34938f0edd7a768089', 'False', 'True', 'false', 'false', '513224201204', 5, '高屯子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224201204', 1, '2021-07-19 12:05:29', NULL, NULL), (32495, '', '大屯村', '07837512cd7a42eda1b8a47099a69040', '2cab215e73b94e34938f0edd7a768089', 'False', 'True', 'false', 'false', '513224201205', 5, '大屯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224201205', 1, '2021-07-19 12:05:29', NULL, NULL), (32496, '', '三岔坝村', '936d05f94d0e4bcf8f5cde08db1fe06e', '2cab215e73b94e34938f0edd7a768089', 'False', 'False', 'false', 'false', '513224201207', 5, '三岔坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224201207', 1, '2021-07-19 12:05:29', NULL, NULL), (32497, '', '安宏乡', 'ce54681fc07348c8bf4cedbaf9a23d11', '9d30e8df32414d71ba8e129c074f4aea', 'True', 'True', 'false', 'false', '513224498000', 4, '安宏乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513224498000', 1, '2021-07-19 12:05:29', NULL, NULL), (32498, '', '安宏村', '8401fab72ab44c8daf723a4ba6494f2c', 'ce54681fc07348c8bf4cedbaf9a23d11', 'False', 'True', 'false', 'false', '513224203200', 5, '安宏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224203200', 1, '2021-07-19 12:05:29', NULL, NULL), (32499, '', '德胜堡村', '3bad1b36f35345d192e4990fff0b0151', 'ce54681fc07348c8bf4cedbaf9a23d11', 'False', 'True', 'false', 'false', '513224203201', 5, '德胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224203201', 1, '2021-07-19 12:05:29', NULL, NULL), (32500, '', '下寺村', '5e62a88201354508817a5a206800f297', 'ce54681fc07348c8bf4cedbaf9a23d11', 'False', 'True', 'false', 'false', '513224203202', 5, '下寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224203202', 1, '2021-07-19 12:05:29', NULL, NULL), (32501, '', '肖包寺村', '0a42ea04cac3441dbb2996d0a6cbe540', 'ce54681fc07348c8bf4cedbaf9a23d11', 'False', 'True', 'false', 'false', '513224203203', 5, '肖包寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224203203', 1, '2021-07-19 12:05:29', NULL, NULL), (32502, '', '云屯堡村', '456316a3f5d64571b3b60f9dfb579bb1', 'ce54681fc07348c8bf4cedbaf9a23d11', 'False', 'True', 'false', 'false', '513224203205', 5, '云屯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224203205', 1, '2021-07-19 12:05:29', NULL, NULL), (32503, '', '西宁关村', 'e17266c4998545dca3f84de7d878da54', 'ce54681fc07348c8bf4cedbaf9a23d11', 'False', 'True', 'false', 'false', '513224203206', 5, '西宁关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224203206', 1, '2021-07-19 12:05:29', NULL, NULL), (32504, '', '纳坡村', 'c45cd55e05934a95894b81bfcd223f5b', 'ce54681fc07348c8bf4cedbaf9a23d11', 'False', 'True', 'false', 'false', '513224203207', 5, '纳坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224203207', 1, '2021-07-19 12:05:29', NULL, NULL), (32505, '', '安关村', '050107cb4c6843d3ab92a548e77adf27', 'ce54681fc07348c8bf4cedbaf9a23d11', 'False', 'True', 'false', 'false', '513224203208', 5, '安关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224203208', 1, '2021-07-19 12:05:29', NULL, NULL), (32506, '', '烟囱村', '865f97947c304ee8abe8692ad1ecc8ea', 'ce54681fc07348c8bf4cedbaf9a23d11', 'False', 'True', 'false', 'false', '513224203209', 5, '烟囱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224203209', 1, '2021-07-19 12:05:29', NULL, NULL), (32507, '', '镇坪乡', 'ce9ed1e863ed49feb006cbc1125a0752', '9d30e8df32414d71ba8e129c074f4aea', 'True', 'True', 'false', 'false', '513224207000', 4, '镇坪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513224207000', 1, '2021-07-19 12:05:29', NULL, NULL), (32508, '', '镇坪村', '181d84c9597e4446b5f63d41bfc954ca', 'ce9ed1e863ed49feb006cbc1125a0752', 'False', 'True', 'false', 'false', '513224207200', 5, '镇坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224207200', 1, '2021-07-19 12:05:29', NULL, NULL), (32509, '', '金瓶岩村', 'fec321a0e4ee4641a5e43b09e60d458c', 'ce9ed1e863ed49feb006cbc1125a0752', 'False', 'True', 'false', 'false', '513224207201', 5, '金瓶岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224207201', 1, '2021-07-19 12:05:29', NULL, NULL), (32510, '', '解放村', 'f2979294f2ac4734b5b98e44d3d67978', 'ce9ed1e863ed49feb006cbc1125a0752', 'False', 'True', 'false', 'false', '513224207202', 5, '解放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224207202', 1, '2021-07-19 12:05:29', NULL, NULL), (32511, '', '新民村', 'be2d5a3718c24aca87ade11515d16dd2', 'ce9ed1e863ed49feb006cbc1125a0752', 'False', 'True', 'false', 'false', '513224207203', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224207203', 1, '2021-07-19 12:05:30', NULL, NULL), (32512, '', '麦吉村', 'd9c7898078ff40708c149eb7ca586054', 'ce9ed1e863ed49feb006cbc1125a0752', 'False', 'True', 'false', 'false', '513224207205', 5, '麦吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224207205', 1, '2021-07-19 12:05:30', NULL, NULL), (32513, '', '岷江乡', '79c0181c03834b66bc6e5078c95d547c', '9d30e8df32414d71ba8e129c074f4aea', 'True', 'True', 'false', 'false', '513224208000', 4, '岷江乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513224208000', 1, '2021-07-19 12:05:30', NULL, NULL), (32514, '', '岷江村', '0a792ca0dc23405a96f5ff41480d6333', '79c0181c03834b66bc6e5078c95d547c', 'False', 'True', 'false', 'false', '513224208200', 5, '岷江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224208200', 1, '2021-07-19 12:05:30', NULL, NULL), (32515, '', '北定关村', '84d4d9e6b82b4df2b8c4461956d77f09', '79c0181c03834b66bc6e5078c95d547c', 'False', 'True', 'false', 'false', '513224208201', 5, '北定关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224208201', 1, '2021-07-19 12:05:30', NULL, NULL), (32516, '', '若尔寨村', '33e53b49480d4bcda2947145a85751b9', '79c0181c03834b66bc6e5078c95d547c', 'False', 'True', 'false', 'false', '513224208202', 5, '若尔寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224208202', 1, '2021-07-19 12:05:30', NULL, NULL), (32517, '', '新塘关村', 'c5e6331e9e6c40c3839b7975e415f5d3', '79c0181c03834b66bc6e5078c95d547c', 'False', 'True', 'false', 'false', '513224208203', 5, '新塘关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224208203', 1, '2021-07-19 12:05:30', NULL, NULL), (32518, '', '龙潭堡村', 'f84bd1c6bad44c59907b98fe8a45a405', '79c0181c03834b66bc6e5078c95d547c', 'False', 'True', 'false', 'false', '513224208204', 5, '龙潭堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224208204', 1, '2021-07-19 12:05:30', NULL, NULL), (32519, '', '白羊乡', 'f657b432d64244a484e183b602d57554', '9d30e8df32414d71ba8e129c074f4aea', 'True', 'True', 'false', 'false', '513224210000', 4, '白羊乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513224210000', 1, '2021-07-19 12:05:30', NULL, NULL), (32520, '', '溜索头村', '7f43bc486a664c13b7cd49c2a530b8e0', 'f657b432d64244a484e183b602d57554', 'False', 'True', 'false', 'false', '513224210200', 5, '溜索头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224210200', 1, '2021-07-19 12:05:30', NULL, NULL), (32521, '', '半边街村', 'ac083b92eea5494e86556f1ed98aea0a', 'f657b432d64244a484e183b602d57554', 'False', 'True', 'false', 'false', '513224210202', 5, '半边街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224210202', 1, '2021-07-19 12:05:30', NULL, NULL), (32522, '', '平坝村', 'fd03cd9c5bae40138f62ba3c1aaf22ed', 'f657b432d64244a484e183b602d57554', 'False', 'True', 'false', 'false', '513224210203', 5, '平坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224210203', 1, '2021-07-19 12:05:30', NULL, NULL), (32523, '', '燕子坪村', '60f64afc09bb4071963dbb7937e49e05', 'f657b432d64244a484e183b602d57554', 'False', 'True', 'false', 'false', '513224210205', 5, '燕子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224210205', 1, '2021-07-19 12:05:31', NULL, NULL), (32524, '', '茶园坪村', 'b0779f6937124e03bff712bd7ac38d97', 'f657b432d64244a484e183b602d57554', 'False', 'True', 'false', 'false', '513224210206', 5, '茶园坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224210206', 1, '2021-07-19 12:05:31', NULL, NULL), (32525, '', '下河坝村', 'efdb71f2eb6942efaa671e785500917c', 'f657b432d64244a484e183b602d57554', 'False', 'True', 'false', 'false', '513224210207', 5, '下河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224210207', 1, '2021-07-19 12:05:31', NULL, NULL), (32526, '', '下八寨乡', '97ec6262f271429d9f953b4ba721daf0', '9d30e8df32414d71ba8e129c074f4aea', 'True', 'True', 'false', 'false', '513224105000', 4, '下八寨乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513224105000', 1, '2021-07-19 12:05:31', NULL, NULL), (32527, '', '血洛村', '8b3e2e089ee14ed19ab5e26ebc1f7f60', '97ec6262f271429d9f953b4ba721daf0', 'False', 'True', 'false', 'false', '513224206002', 5, '血洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224206002', 1, '2021-07-19 12:05:31', NULL, NULL), (32528, '', '格丫村', '13cd7493fa9d49dca8fd0a95261bbb7a', '97ec6262f271429d9f953b4ba721daf0', 'False', 'True', 'false', 'false', '513224206001', 5, '格丫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224206001', 1, '2021-07-19 12:05:31', NULL, NULL), (32529, '', '纳洛村', '8497cb7644e64b3daf1aa11547dedfa6', '97ec6262f271429d9f953b4ba721daf0', 'False', 'True', 'false', 'false', '513224206003', 5, '纳洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513224206003', 1, '2021-07-19 12:05:31', NULL, NULL), (32530, '', '九寨沟县', '4962262fcd434c63a53858de456b73d2', 'bd453af225f84ab8af7b1fca05ac83ed', 'True', 'True', 'false', 'false', '513225000000', 3, '九寨沟县', 'abzjzgx.sczwfw.gov.cn', 1, '2021-07-19 12:05:31', NULL, NULL), (32531, '', '南坪镇', 'edfeeab5710d4afdb6fa6048970d747c', '4962262fcd434c63a53858de456b73d2', 'True', 'True', 'false', 'false', '513225100000', 4, '南坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513225100000', 1, '2021-07-19 12:05:31', NULL, NULL), (32532, '', '双河村', '7978b960fcd84d7c8c02bb416162a0a3', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100010', 5, '双河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100010', 1, '2021-07-19 12:05:31', NULL, NULL), (32533, '', '双龙村', 'f86dff372c29437d9222ce629b7f2e70', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100018', 5, '双龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100018', 1, '2021-07-19 12:05:31', NULL, NULL), (32534, '', '刀格坝村', '48ec0a3b474844f6bbf1c0915bc514b6', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100045', 5, '刀格坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100045', 1, '2021-07-19 12:05:31', NULL, NULL), (32535, '', '下寨村', '54be29d693c74b5daf840224283622e6', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100222', 5, '下寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100222', 1, '2021-07-19 12:05:32', NULL, NULL), (32536, '', '上寨村', 'cb56142c534e42cd8394a3a7d2484da4', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100260', 5, '上寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100260', 1, '2021-07-19 12:05:32', NULL, NULL), (32537, '', '菜园村', '2b4d6c3f61384511b9ae815ce08ca4ae', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100389', 5, '菜园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100389', 1, '2021-07-19 12:05:32', NULL, NULL), (32538, '', '中寨村', '5e1a80a7976d47aaa0b68d296a1cfa6e', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100455', 5, '中寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100455', 1, '2021-07-19 12:05:32', NULL, NULL), (32539, '', '中田山村', '337e6a506bdd4d4093ac1bf6510adc88', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100476', 5, '中田山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100476', 1, '2021-07-19 12:05:32', NULL, NULL), (32540, '', '中安乐村', 'd63661a8f3ee41b8b7a97f27f66a34eb', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100633', 5, '中安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100633', 1, '2021-07-19 12:05:32', NULL, NULL), (32541, '', '四寨村', '30836f02e61b4f1abba507c5efc67d64', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100715', 5, '四寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100715', 1, '2021-07-19 12:05:32', NULL, NULL), (32542, '', '下安乐村', 'c91ffa2028e74a4493e1499742f25580', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100811', 5, '下安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100811', 1, '2021-07-19 12:05:32', NULL, NULL), (32543, '', '上安乐村', '89838d3f9f7843fbb704db1ba15b4736', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100903', 5, '上安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100903', 1, '2021-07-19 12:05:32', NULL, NULL), (32544, '', '和平社区', 'e34c18272f5248e38db188e84a0aec0d', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100005', 5, '和平社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100005', 1, '2021-07-19 12:05:32', NULL, NULL), (32545, '', '梨花社区', 'cad531a6737a4b1992e792242a5587d9', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100006', 5, '梨花社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100006', 1, '2021-07-19 12:05:32', NULL, NULL), (32546, '', '南坪社区', 'cb5ea865b996422d94d4cb4837671b78', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100007', 5, '南坪社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100007', 1, '2021-07-19 12:05:32', NULL, NULL), (32547, '', '清平一村', 'b278a8415a374fec9c9fdf7ff62f92b8', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'True', 'false', 'false', '513225100200', 5, '清平一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100200', 1, '2021-07-19 12:05:32', NULL, NULL), (32548, '', '清平二村', 'bbac8303ce9b4d7ead821e664417df20', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100201', 5, '清平二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100201', 1, '2021-07-19 12:05:32', NULL, NULL), (32549, '', '清平三村', 'dde2e75cb5694af6a732b27d48ff35c3', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'True', 'false', 'false', '513225100202', 5, '清平三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100202', 1, '2021-07-19 12:05:32', NULL, NULL), (32550, '', '拔拉新村', '9a188870c716488988355ce65f4fbd30', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100203', 5, '拔拉新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100203', 1, '2021-07-19 12:05:32', NULL, NULL), (32551, '', '和平一村', '3078cad1ed1740feb420e43a819dc2a6', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100204', 5, '和平一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100204', 1, '2021-07-19 12:05:32', NULL, NULL), (32552, '', '和平二村', 'e5becefd5c1a4c9285882dceab041729', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100205', 5, '和平二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100205', 1, '2021-07-19 12:05:32', NULL, NULL), (32553, '', '梨花村', '5de6edd970074717b278e18e9abbcbce', 'edfeeab5710d4afdb6fa6048970d747c', 'False', 'False', 'false', 'false', '513225100206', 5, '梨花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225100206', 1, '2021-07-19 12:05:32', NULL, NULL), (32554, '', '漳扎镇', '6a8f5745e5eb487688ae76118723825d', '4962262fcd434c63a53858de456b73d2', 'True', 'True', 'false', 'false', '513225101000', 4, '漳扎镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513225101000', 1, '2021-07-19 12:05:32', NULL, NULL), (32555, '', '荷叶社区', '202023b403174d1ea24e9361f005d069', '6a8f5745e5eb487688ae76118723825d', 'False', 'False', 'false', 'false', '513225101002', 5, '荷叶社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225101002', 1, '2021-07-19 12:05:32', NULL, NULL), (32556, '', '树正社区', '0365e2414dc64608bf8689e04beca13c', '6a8f5745e5eb487688ae76118723825d', 'False', 'False', 'false', 'false', '513225101003', 5, '树正社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225101003', 1, '2021-07-19 12:05:32', NULL, NULL), (32557, '', '扎如社区', 'd1f8a615e1c24ac1a34aa8f69aa8b26e', '6a8f5745e5eb487688ae76118723825d', 'False', 'False', 'false', 'false', '513225101004', 5, '扎如社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225101004', 1, '2021-07-19 12:05:32', NULL, NULL), (32558, '', '漳扎社区', '0ee4056e0faf4925b1fd877a74bd3126', '6a8f5745e5eb487688ae76118723825d', 'False', 'False', 'false', 'false', '513225101005', 5, '漳扎社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225101005', 1, '2021-07-19 12:05:32', NULL, NULL), (32559, '', '彭丰社区', '2c6a1829faae4c22a32a813f9ce57621', '6a8f5745e5eb487688ae76118723825d', 'False', 'False', 'false', 'false', '513225101006', 5, '彭丰社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225101006', 1, '2021-07-19 12:05:33', NULL, NULL), (32560, '', '隆康社区', '97093d8680c3407784e6e41686ae57f7', '6a8f5745e5eb487688ae76118723825d', 'False', 'False', 'false', 'false', '513225101007', 5, '隆康社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225101007', 1, '2021-07-19 12:05:33', NULL, NULL), (32561, '', '甘海子社区', '9b67b88293314eeca49fd7c7b5fb2c03', '6a8f5745e5eb487688ae76118723825d', 'False', 'False', 'false', 'false', '513225101008', 5, '甘海子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225101008', 1, '2021-07-19 12:05:33', NULL, NULL), (32562, '', '漳扎村', '08747efe9c474aa2839987c641452dac', '6a8f5745e5eb487688ae76118723825d', 'False', 'False', 'false', 'false', '513225101200', 5, '漳扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225101200', 1, '2021-07-19 12:05:33', NULL, NULL), (32563, '', '丛牙村', '211a52625aba44d1b1afb7f59c2a041e', '6a8f5745e5eb487688ae76118723825d', 'False', 'False', 'false', 'false', '513225101202', 5, '丛牙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225101202', 1, '2021-07-19 12:05:33', NULL, NULL), (32564, '', '牙扎村', '71da59dcb53141b28e64f7c332540d76', '6a8f5745e5eb487688ae76118723825d', 'False', 'False', 'false', 'false', '513225101203', 5, '牙扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225101203', 1, '2021-07-19 12:05:33', NULL, NULL), (32565, '', '沙坝村', 'f5a0885350dc4bb0ad6cf2e8c2f68435', '6a8f5745e5eb487688ae76118723825d', 'False', 'False', 'false', 'false', '513225101204', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225101204', 1, '2021-07-19 12:05:33', NULL, NULL), (32566, '', '二道桥村', '6eb303c5ac7f49558b71b76a81521153', '6a8f5745e5eb487688ae76118723825d', 'False', 'False', 'false', 'false', '513225101205', 5, '二道桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225101205', 1, '2021-07-19 12:05:33', NULL, NULL), (32567, '', '上四寨村', 'baf36518f785436596aa59a34e62ff01', '6a8f5745e5eb487688ae76118723825d', 'False', 'False', 'false', 'false', '513225101207', 5, '上四寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225101207', 1, '2021-07-19 12:05:33', NULL, NULL), (32568, '', '郎寨村', 'ea5f09630ba6454b992803b1dec6c12d', '6a8f5745e5eb487688ae76118723825d', 'False', 'False', 'false', 'false', '513225101208', 5, '郎寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225101208', 1, '2021-07-19 12:05:33', NULL, NULL), (32569, '', '中查村', '8a21291e82574e97b6ccc5242060f679', '6a8f5745e5eb487688ae76118723825d', 'False', 'False', 'false', 'false', '513225101209', 5, '中查村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225101209', 1, '2021-07-19 12:05:33', NULL, NULL), (32570, '', '龙康村', '22bd2da034a64e5ba478c89f2a416034', '6a8f5745e5eb487688ae76118723825d', 'False', 'False', 'false', 'false', '513225101210', 5, '龙康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225101210', 1, '2021-07-19 12:05:33', NULL, NULL), (32571, '', '永竹村', '7f974e13cf6e4ab8b1a226f4d62e88eb', '6a8f5745e5eb487688ae76118723825d', 'False', 'False', 'false', 'false', '513225101211', 5, '永竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225101211', 1, '2021-07-19 12:05:33', NULL, NULL), (32572, '', '彭丰村', '5111a28069e64e62900008a92f296bd1', '6a8f5745e5eb487688ae76118723825d', 'False', 'False', 'false', 'false', '513225101212', 5, '彭丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225101212', 1, '2021-07-19 12:05:33', NULL, NULL), (32573, '', '双河镇', 'ab8d1891537443a39f44300bd4d2621c', '4962262fcd434c63a53858de456b73d2', 'True', 'True', 'false', 'false', '513225103000', 4, '双河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513225103000', 1, '2021-07-19 12:05:33', NULL, NULL), (32574, '', '河坝村', '8cccbb2ee7ae4a86b84a3b86a94eee14', 'ab8d1891537443a39f44300bd4d2621c', 'False', 'False', 'false', 'false', '513225103028', 5, '河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225103028', 1, '2021-07-19 12:05:33', NULL, NULL), (32575, '', '大寨村', 'a5906e573ece4418a9043ece628cae62', 'ab8d1891537443a39f44300bd4d2621c', 'False', 'False', 'false', 'false', '513225103029', 5, '大寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225103029', 1, '2021-07-19 12:05:33', NULL, NULL), (32576, '', '顺河村', '0a95dfe009374a1cadfe2762cee5674d', 'ab8d1891537443a39f44300bd4d2621c', 'False', 'False', 'false', 'false', '513225103483', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225103483', 1, '2021-07-19 12:05:33', NULL, NULL), (32577, '', '罗依坝村', '26afa6675c0a4c0a8e16c561b192fcc4', 'ab8d1891537443a39f44300bd4d2621c', 'False', 'False', 'false', 'false', '513225103590', 5, '罗依坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225103590', 1, '2021-07-19 12:05:33', NULL, NULL), (32578, '', '中和村', 'c18b3cfdfe7a4cd2b9984da8d6b05812', 'ab8d1891537443a39f44300bd4d2621c', 'False', 'False', 'false', 'false', '513225103200', 5, '中和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225103200', 1, '2021-07-19 12:05:33', NULL, NULL), (32579, '', '朝阳村', '6b828f1821914141987c83d42eed7bda', 'ab8d1891537443a39f44300bd4d2621c', 'False', 'False', 'false', 'false', '513225103201', 5, '朝阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225103201', 1, '2021-07-19 12:05:34', NULL, NULL), (32580, '', '松柏村', '1b727e5897494a3a863944abbf918c74', 'ab8d1891537443a39f44300bd4d2621c', 'False', 'False', 'false', 'false', '513225103202', 5, '松柏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225103202', 1, '2021-07-19 12:05:34', NULL, NULL), (32581, '', '团结村', '75bd5da851464129a7845c9cfbd08a17', 'ab8d1891537443a39f44300bd4d2621c', 'False', 'False', 'false', 'false', '513225103203', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225103203', 1, '2021-07-19 12:05:34', NULL, NULL), (32582, '', '草坪村', '72055a47a91149afaf81e680bc36d492', 'ab8d1891537443a39f44300bd4d2621c', 'False', 'False', 'false', 'false', '513225103204', 5, '草坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225103204', 1, '2021-07-19 12:05:34', NULL, NULL), (32583, '', '黄阳村', '424ba17b03f34b61ad54025800227f2a', 'ab8d1891537443a39f44300bd4d2621c', 'False', 'False', 'false', 'false', '513225103205', 5, '黄阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225103205', 1, '2021-07-19 12:05:34', NULL, NULL), (32584, '', '张家梁村', '04a9e41f319847f8a935c3433926d671', 'ab8d1891537443a39f44300bd4d2621c', 'False', 'False', 'false', 'false', '513225103206', 5, '张家梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225103206', 1, '2021-07-19 12:05:34', NULL, NULL), (32585, '', '各条村', 'ff4767b3cbbf4f31ab0f630f7f71854a', 'ab8d1891537443a39f44300bd4d2621c', 'False', 'False', 'false', 'false', '513225103207', 5, '各条村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225103207', 1, '2021-07-19 12:05:34', NULL, NULL), (32586, '', '下甘座村', '7d3f896e0e0e4e28b7b26eb0492e0f95', 'ab8d1891537443a39f44300bd4d2621c', 'False', 'False', 'false', 'false', '513225103208', 5, '下甘座村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225103208', 1, '2021-07-19 12:05:34', NULL, NULL), (32587, '', '上甘座村', '4697f46b3fb24e77ba55d83941797f77', 'ab8d1891537443a39f44300bd4d2621c', 'False', 'False', 'false', 'false', '513225103209', 5, '上甘座村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225103209', 1, '2021-07-19 12:05:34', NULL, NULL), (32588, '', '白河乡', '2d0a73671eb6461da99598be48d21b19', '4962262fcd434c63a53858de456b73d2', 'True', 'True', 'false', 'false', '513225203000', 4, '白河乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513225203000', 1, '2021-07-19 12:05:34', NULL, NULL), (32589, '', '燕子垭村', '68f53aefda7541f18906057bd078823f', '2d0a73671eb6461da99598be48d21b19', 'False', 'False', 'false', 'false', '513225203200', 5, '燕子垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225203200', 1, '2021-07-19 12:05:34', NULL, NULL), (32590, '', '芝麻南岸村', 'a2936a94f0954de08d67bc8370a13ed5', '2d0a73671eb6461da99598be48d21b19', 'False', 'False', 'false', 'false', '513225203201', 5, '芝麻南岸村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225203201', 1, '2021-07-19 12:05:34', NULL, NULL), (32591, '', '斜务家村', '44b314e4780e431887ba8390d056e674', '2d0a73671eb6461da99598be48d21b19', 'False', 'False', 'false', 'false', '513225203202', 5, '斜务家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225203202', 1, '2021-07-19 12:05:34', NULL, NULL), (32592, '', '芝麻塘村', '6c4f5cfd68e94d4b8f98e12b4fdb8165', '2d0a73671eb6461da99598be48d21b19', 'False', 'False', 'false', 'false', '513225203203', 5, '芝麻塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225203203', 1, '2021-07-19 12:05:34', NULL, NULL), (32593, '', '太平村', '15173d31d19e4d7a855bb7496a02e8f4', '2d0a73671eb6461da99598be48d21b19', 'False', 'False', 'false', 'false', '513225203206', 5, '太平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225203206', 1, '2021-07-19 12:05:34', NULL, NULL), (32594, '', '保华乡', 'cab07a14b94f4db586150e84f12b850f', '4962262fcd434c63a53858de456b73d2', 'True', 'True', 'false', 'false', '513225205000', 4, '保华乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513225205000', 1, '2021-07-19 12:05:34', NULL, NULL), (32595, '', '灵华村', 'f7e42630a6204645846d992657f75ea2', 'cab07a14b94f4db586150e84f12b850f', 'False', 'False', 'false', 'false', '513225205200', 5, '灵华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225205200', 1, '2021-07-19 12:05:34', NULL, NULL), (32596, '', '灵保村', '230b6d1fdb194de9ac07ae7b491f2ae4', 'cab07a14b94f4db586150e84f12b850f', 'False', 'False', 'false', 'false', '513225205201', 5, '灵保村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225205201', 1, '2021-07-19 12:05:34', NULL, NULL), (32597, '', '三合村', '3de3eb0069c44df49d922c0d5f6500e7', 'cab07a14b94f4db586150e84f12b850f', 'False', 'False', 'false', 'false', '513225205203', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225205203', 1, '2021-07-19 12:05:34', NULL, NULL), (32598, '', '半山村', 'e4e0161ac2764584b05aec83902c902e', 'cab07a14b94f4db586150e84f12b850f', 'False', 'False', 'false', 'false', '513225205204', 5, '半山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225205204', 1, '2021-07-19 12:05:34', NULL, NULL), (32599, '', '勿角镇', '7f1f546be0074b95b853ed549a12fea4', '4962262fcd434c63a53858de456b73d2', 'True', 'True', 'false', 'false', '513225207000', 4, '勿角镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513225207000', 1, '2021-07-19 12:05:34', NULL, NULL), (32600, '', '苗州村', 'ec514eb6b88544878452977eca157a4e', '7f1f546be0074b95b853ed549a12fea4', 'False', 'False', 'false', 'false', '513225207236', 5, '苗州村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225207236', 1, '2021-07-19 12:05:34', NULL, NULL), (32601, '', '马香村', 'd9c2652d97ed4a6f9494127d35a35853', '7f1f546be0074b95b853ed549a12fea4', 'False', 'False', 'false', 'false', '513225207654', 5, '马香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225207654', 1, '2021-07-19 12:05:34', NULL, NULL), (32602, '', '胜南新村', 'aa8b2f1797aa4d7b83ae871006ba9a3b', '7f1f546be0074b95b853ed549a12fea4', 'False', 'False', 'false', 'false', '513225207878', 5, '胜南新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225207878', 1, '2021-07-19 12:05:34', NULL, NULL), (32603, '', '新阳村', '5318df1a592d488ca5c786fbcd0ca131', '7f1f546be0074b95b853ed549a12fea4', 'False', 'False', 'false', 'false', '513225207200', 5, '新阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225207200', 1, '2021-07-19 12:05:35', NULL, NULL), (32604, '', '英各村', '3e126add3743468c86428028a00a2c80', '7f1f546be0074b95b853ed549a12fea4', 'False', 'False', 'false', 'false', '513225207201', 5, '英各村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225207201', 1, '2021-07-19 12:05:35', NULL, NULL), (32605, '', '甲勿村', '0036622e612c4f33a03eeae0b60a3c23', '7f1f546be0074b95b853ed549a12fea4', 'False', 'False', 'false', 'false', '513225207202', 5, '甲勿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225207202', 1, '2021-07-19 12:05:35', NULL, NULL), (32606, '', '阳山村', 'f7c2e62eaa8e46499e8a2b05190659b3', '7f1f546be0074b95b853ed549a12fea4', 'False', 'False', 'false', 'false', '513225207203', 5, '阳山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225207203', 1, '2021-07-19 12:05:35', NULL, NULL), (32607, '', '浦南村', 'dbfca8094f0640a5b1f84163e8405847', '7f1f546be0074b95b853ed549a12fea4', 'False', 'False', 'false', 'false', '513225207204', 5, '浦南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225207204', 1, '2021-07-19 12:05:35', NULL, NULL), (32608, '', '郭元乡', '4e3334b0b913425abed63a6c98d17587', '4962262fcd434c63a53858de456b73d2', 'True', 'True', 'false', 'false', '513225209000', 4, '郭元乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513225209000', 1, '2021-07-19 12:05:35', NULL, NULL), (32609, '', '郭元村', 'a2889ba2794d45f68d8148d0d24d4395', '4e3334b0b913425abed63a6c98d17587', 'False', 'False', 'false', 'false', '513225209200', 5, '郭元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225209200', 1, '2021-07-19 12:05:35', NULL, NULL), (32610, '', '金字村', 'dd7a82549c974c5b9c6cc91470bf12eb', '4e3334b0b913425abed63a6c98d17587', 'False', 'False', 'false', 'false', '513225209202', 5, '金字村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225209202', 1, '2021-07-19 12:05:35', NULL, NULL), (32611, '', '回龙村', '7ef646e815654af38d5b366b64ce5c21', '4e3334b0b913425abed63a6c98d17587', 'False', 'False', 'false', 'false', '513225209203', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225209203', 1, '2021-07-19 12:05:35', NULL, NULL), (32612, '', '青龙村', '21d4b1828b064ec896089e07b3735718', '4e3334b0b913425abed63a6c98d17587', 'False', 'False', 'false', 'false', '513225209204', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225209204', 1, '2021-07-19 12:05:35', NULL, NULL), (32613, '', '水田村', '5bc33f57fc724992881c246593b6465f', '4e3334b0b913425abed63a6c98d17587', 'False', 'False', 'false', 'false', '513225209205', 5, '水田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225209205', 1, '2021-07-19 12:05:35', NULL, NULL), (32614, '', '水沟村', '73216ff57e4149098a389fb41109a239', '4e3334b0b913425abed63a6c98d17587', 'False', 'False', 'false', 'false', '513225209206', 5, '水沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225209206', 1, '2021-07-19 12:05:35', NULL, NULL), (32615, '', '抹地村', 'f32610cf729340df8b20d5e16b7f0c86', '4e3334b0b913425abed63a6c98d17587', 'False', 'False', 'false', 'false', '513225209207', 5, '抹地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225209207', 1, '2021-07-19 12:05:35', NULL, NULL), (32616, '', '沟里村', 'c8a042d351bf4c53941b1729347725b9', '4e3334b0b913425abed63a6c98d17587', 'False', 'False', 'false', 'false', '513225209208', 5, '沟里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225209208', 1, '2021-07-19 12:05:35', NULL, NULL), (32617, '', '黑河镇', '71991a799439443bb2c1b1b1754173ae', '4962262fcd434c63a53858de456b73d2', 'True', 'True', 'false', 'false', '513225212000', 4, '黑河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513225212000', 1, '2021-07-19 12:05:35', NULL, NULL), (32618, '', '大叶子村', '5a406e5b1c39480a838055d5da5d4893', '71991a799439443bb2c1b1b1754173ae', 'False', 'False', 'false', 'false', '513225212251', 5, '大叶子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225212251', 1, '2021-07-19 12:05:35', NULL, NULL), (32619, '', '吊坝村', 'debe6007f39c4b1d9f32d594fd9c8ce1', '71991a799439443bb2c1b1b1754173ae', 'False', 'False', 'false', 'false', '513225212272', 5, '吊坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225212272', 1, '2021-07-19 12:05:35', NULL, NULL), (32620, '', '羌活村', '20307bd8d2c246c98ed00c9a2a4aab06', '71991a799439443bb2c1b1b1754173ae', 'False', 'False', 'false', 'false', '513225212437', 5, '羌活村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225212437', 1, '2021-07-19 12:05:35', NULL, NULL), (32621, '', '头道城村', '4aa61bcece3140468b22ddf30d62feae', '71991a799439443bb2c1b1b1754173ae', 'False', 'False', 'false', 'false', '513225212200', 5, '头道城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225212200', 1, '2021-07-19 12:05:35', NULL, NULL), (32622, '', '二道城村', '3885025af91940be8be3e93080f96fbd', '71991a799439443bb2c1b1b1754173ae', 'False', 'False', 'false', 'false', '513225212201', 5, '二道城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225212201', 1, '2021-07-19 12:05:35', NULL, NULL), (32623, '', '自玉村', 'cd5cc296fe0f473fa38ee6e70b79db2c', '71991a799439443bb2c1b1b1754173ae', 'False', 'False', 'false', 'false', '513225212202', 5, '自玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225212202', 1, '2021-07-19 12:05:36', NULL, NULL), (32624, '', '碧历村', '13e7326f6a3c4e529a00c9c3a0ecce62', '71991a799439443bb2c1b1b1754173ae', 'False', 'False', 'false', 'false', '513225212203', 5, '碧历村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225212203', 1, '2021-07-19 12:05:36', NULL, NULL), (32625, '', '达舍村', '86d0a96e70c34d339a7e6da0b005dc4a', '71991a799439443bb2c1b1b1754173ae', 'False', 'False', 'false', 'false', '513225212204', 5, '达舍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225212204', 1, '2021-07-19 12:05:36', NULL, NULL), (32626, '', '绕蜡村', '37d6f06c77b44bb8ab747553059c6b26', '71991a799439443bb2c1b1b1754173ae', 'False', 'False', 'false', 'false', '513225212205', 5, '绕蜡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225212205', 1, '2021-07-19 12:05:36', NULL, NULL), (32627, '', '七里村', '5458a233f2a943419f85274d8ccb5325', '71991a799439443bb2c1b1b1754173ae', 'False', 'False', 'false', 'false', '513225212206', 5, '七里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225212206', 1, '2021-07-19 12:05:36', NULL, NULL), (32628, '', '玉瓦乡', '300f443c21e74ef2a33f13a7d89f6938', '4962262fcd434c63a53858de456b73d2', 'True', 'True', 'false', 'false', '513225213000', 4, '玉瓦乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513225213000', 1, '2021-07-19 12:05:36', NULL, NULL), (32629, '', '三道城村', '2c8984cd578a41229263730ad2e784c5', '300f443c21e74ef2a33f13a7d89f6938', 'False', 'False', 'false', 'false', '513225213802', 5, '三道城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225213802', 1, '2021-07-19 12:05:36', NULL, NULL), (32630, '', '四道城村', '35ba087a71e6460eb774a03f1b6c679c', '300f443c21e74ef2a33f13a7d89f6938', 'False', 'False', 'false', 'false', '513225213200', 5, '四道城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225213200', 1, '2021-07-19 12:05:36', NULL, NULL), (32631, '', '石门村', '2c23e7b6494e443093a2b8cb24bfb2ca', '300f443c21e74ef2a33f13a7d89f6938', 'False', 'False', 'false', 'false', '513225213202', 5, '石门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225213202', 1, '2021-07-19 12:05:36', NULL, NULL), (32632, '', '八郎村', '78587f55891f4062a8a27eda69bd5f37', '300f443c21e74ef2a33f13a7d89f6938', 'False', 'False', 'false', 'false', '513225213203', 5, '八郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225213203', 1, '2021-07-19 12:05:36', NULL, NULL), (32633, '', '玉杏村', '655a05523b484e43bb78a3aed4422291', '300f443c21e74ef2a33f13a7d89f6938', 'False', 'False', 'false', 'false', '513225213204', 5, '玉杏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225213204', 1, '2021-07-19 12:05:36', NULL, NULL), (32634, '', '玉瓦寨村', '2732895464864f5d9f8d0e59e51f33c5', '300f443c21e74ef2a33f13a7d89f6938', 'False', 'False', 'false', 'false', '513225213205', 5, '玉瓦寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225213205', 1, '2021-07-19 12:05:36', NULL, NULL), (32635, '', '大录乡', '7bb96f8889b149e39a34536f7c514a58', '4962262fcd434c63a53858de456b73d2', 'True', 'True', 'false', 'false', '513225214000', 4, '大录乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513225214000', 1, '2021-07-19 12:05:36', NULL, NULL), (32636, '', '大录村', '8533dd4a3ab14257971ebc29d5b68b1b', '7bb96f8889b149e39a34536f7c514a58', 'False', 'False', 'false', 'false', '513225214200', 5, '大录村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225214200', 1, '2021-07-19 12:05:36', NULL, NULL), (32637, '', '香扎村', 'b09f09083089477ea5e273aaea891975', '7bb96f8889b149e39a34536f7c514a58', 'False', 'False', 'false', 'false', '513225214201', 5, '香扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225214201', 1, '2021-07-19 12:05:36', NULL, NULL), (32638, '', '八屯村', '64c23676b2084f4e96a67e182723717f', '7bb96f8889b149e39a34536f7c514a58', 'False', 'False', 'false', 'false', '513225214202', 5, '八屯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225214202', 1, '2021-07-19 12:05:36', NULL, NULL), (32639, '', '芝麻村', '256471638f2c4eb3a37ab229d4a5bccf', '7bb96f8889b149e39a34536f7c514a58', 'False', 'False', 'false', 'false', '513225214204', 5, '芝麻村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225214204', 1, '2021-07-19 12:05:36', NULL, NULL), (32640, '', '东北村', '25721797b9c0479aad6e356717b38aac', '7bb96f8889b149e39a34536f7c514a58', 'False', 'False', 'false', 'false', '513225214205', 5, '东北村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225214205', 1, '2021-07-19 12:05:36', NULL, NULL), (32641, '', '草地乡', '1d2221fa6c46477085a2ce2713dc10ca', '4962262fcd434c63a53858de456b73d2', 'True', 'True', 'false', 'false', '513225543000', 4, '草地乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513225543000', 1, '2021-07-19 12:05:36', NULL, NULL), (32642, '', '杨家湾村', '02faa5e009034ef6970e698a0118d256', '1d2221fa6c46477085a2ce2713dc10ca', 'False', 'False', 'false', 'false', '513225210003', 5, '杨家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225210003', 1, '2021-07-19 12:05:36', NULL, NULL), (32643, '', '下草地村', '74c0dafb05324a54a2ad56a93c8ed805', '1d2221fa6c46477085a2ce2713dc10ca', 'False', 'False', 'false', 'false', '513225210200', 5, '下草地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225210200', 1, '2021-07-19 12:05:36', NULL, NULL), (32644, '', '上草地村', 'a10d9700fd494ea7b1ecccbe521ef483', '1d2221fa6c46477085a2ce2713dc10ca', 'False', 'False', 'false', 'false', '513225210201', 5, '上草地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225210201', 1, '2021-07-19 12:05:36', NULL, NULL), (32645, '', '永和乡', '9506291bc66144459d92f811e83126d9', '4962262fcd434c63a53858de456b73d2', 'True', 'True', 'false', 'false', '513225572000', 4, '永和乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513225572000', 1, '2021-07-19 12:05:36', NULL, NULL), (32646, '', '大城村', '08c198372bf245948a15187c21b9863f', '9506291bc66144459d92f811e83126d9', 'False', 'False', 'false', 'false', '513225572137', 5, '大城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225572137', 1, '2021-07-19 12:05:37', NULL, NULL), (32647, '', '草坡村', '76b12bb9199d4f3cbff0fb906991958b', '9506291bc66144459d92f811e83126d9', 'False', 'False', 'false', 'false', '513225572278', 5, '草坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225572278', 1, '2021-07-19 12:05:37', NULL, NULL), (32648, '', '城沟村', '49070b331a72420ea82d9482e156bc4d', '9506291bc66144459d92f811e83126d9', 'False', 'False', 'false', 'false', '513225572291', 5, '城沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225572291', 1, '2021-07-19 12:05:37', NULL, NULL), (32649, '', '新华村', 'a1e1abef65e44f189a0f0361f2e5d6b4', '9506291bc66144459d92f811e83126d9', 'False', 'False', 'false', 'false', '513225572347', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225572347', 1, '2021-07-19 12:05:37', NULL, NULL), (32650, '', '斜坡村', 'e4bac91f5bb54333b64ad4018e2eeb6e', '9506291bc66144459d92f811e83126d9', 'False', 'False', 'false', 'false', '513225572465', 5, '斜坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225572465', 1, '2021-07-19 12:05:37', NULL, NULL), (32651, '', '桥上村', '47fc699657ce4ff3932187dc4276e1bc', '9506291bc66144459d92f811e83126d9', 'False', 'False', 'false', 'false', '513225572468', 5, '桥上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225572468', 1, '2021-07-19 12:05:37', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (32652, '', '联合村', '0ff0c29c0e3441b49d48384ec1ea098c', '9506291bc66144459d92f811e83126d9', 'False', 'False', 'false', 'false', '513225572975', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513225572975', 1, '2021-07-19 12:05:37', NULL, NULL), (32653, '', '黑水县', '12629dce55e24274a1a42c4726b17038', 'bd453af225f84ab8af7b1fca05ac83ed', 'True', 'True', 'false', 'false', '513228000000', 3, '黑水县', 'abzhsx.sczwfw.gov.cn', 1, '2021-07-19 12:05:37', NULL, NULL), (32654, '', '石碉楼乡', '0253afe5fa0f4b7481fd004306d43ef1', '12629dce55e24274a1a42c4726b17038', 'True', 'True', 'false', 'false', '513228012000', 4, '石碉楼乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513228012000', 1, '2021-07-19 12:05:37', NULL, NULL), (32655, '', '丁寨村', 'd5e46aab47d649138c9e55d57c1b0c79', '0253afe5fa0f4b7481fd004306d43ef1', 'False', 'True', 'false', 'false', '513228012001', 5, '丁寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228012001', 1, '2021-07-19 12:05:37', NULL, NULL), (32656, '', '俄尔村', '148d80f757db4801b6ad9500e4728229', '0253afe5fa0f4b7481fd004306d43ef1', 'False', 'True', 'false', 'false', '513228012002', 5, '俄尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228012002', 1, '2021-07-19 12:05:37', NULL, NULL), (32657, '', '格依村', '790bab3ef3444c3ab5f2cba36cf83b5e', '0253afe5fa0f4b7481fd004306d43ef1', 'False', 'True', 'false', 'false', '513228012003', 5, '格依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228012003', 1, '2021-07-19 12:05:37', NULL, NULL), (32658, '', '苦瓜村', 'd68e83d51421470f865d8730cf6bfde6', '0253afe5fa0f4b7481fd004306d43ef1', 'False', 'True', 'false', 'false', '513228012005', 5, '苦瓜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228012005', 1, '2021-07-19 12:05:37', NULL, NULL), (32659, '', '木须村', 'bb8d533b16014a2bb1148f08e45bd898', '0253afe5fa0f4b7481fd004306d43ef1', 'False', 'True', 'false', 'false', '513228012006', 5, '木须村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228012006', 1, '2021-07-19 12:05:37', NULL, NULL), (32660, '', '石碉楼村', 'c854b94dc17b4973945b967b04bd306a', '0253afe5fa0f4b7481fd004306d43ef1', 'False', 'True', 'false', 'false', '513228012007', 5, '石碉楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228012007', 1, '2021-07-19 12:05:37', NULL, NULL), (32661, '', '石河村', '37ed4580b2524733b3c14689a652539b', '0253afe5fa0f4b7481fd004306d43ef1', 'False', 'True', 'false', 'false', '513228012008', 5, '石河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228012008', 1, '2021-07-19 12:05:37', NULL, NULL), (32662, '', '瓦洛村', '434f83b00c054b23a37352a568ae3cfd', '0253afe5fa0f4b7481fd004306d43ef1', 'False', 'True', 'false', 'false', '513228012009', 5, '瓦洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228012009', 1, '2021-07-19 12:05:37', NULL, NULL), (32663, '', '西米村', '53fc91cdb5204fbfad61ee587356e40b', '0253afe5fa0f4b7481fd004306d43ef1', 'False', 'True', 'false', 'false', '513228012010', 5, '西米村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228012010', 1, '2021-07-19 12:05:37', NULL, NULL), (32664, '', '扎基村', 'f532dba911514bfeb5f3d1de1b337cac', '0253afe5fa0f4b7481fd004306d43ef1', 'False', 'True', 'false', 'false', '513228012011', 5, '扎基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228012011', 1, '2021-07-19 12:05:37', NULL, NULL), (32665, '', '芦花镇', '6111e809c8de40dd9365f4ce834804f8', '12629dce55e24274a1a42c4726b17038', 'True', 'True', 'false', 'false', '513228100000', 4, '芦花镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513228100000', 1, '2021-07-19 12:05:37', NULL, NULL), (32666, '', '西布里社区', '445ef89bb76f4b8ba0ff05570d61906e', '6111e809c8de40dd9365f4ce834804f8', 'False', 'True', 'false', 'false', '513228100004', 5, '西布里社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228100004', 1, '2021-07-19 12:05:38', NULL, NULL), (32667, '', '四美村', '1e0b224a93ef4be9b9893db9ef447b15', '6111e809c8de40dd9365f4ce834804f8', 'False', 'True', 'false', 'false', '513228100200', 5, '四美村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228100200', 1, '2021-07-19 12:05:38', NULL, NULL), (32668, '', '沙板沟村', 'a895c3d0c2d8428baa8d1c90bd2623a6', '6111e809c8de40dd9365f4ce834804f8', 'False', 'True', 'false', 'false', '513228100201', 5, '沙板沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228100201', 1, '2021-07-19 12:05:38', NULL, NULL), (32669, '', '查拉村', '705bdda4c8774ef99147ca03b6c16671', '6111e809c8de40dd9365f4ce834804f8', 'False', 'True', 'false', 'false', '513228100202', 5, '查拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228100202', 1, '2021-07-19 12:05:38', NULL, NULL), (32670, '', '罗坝街村', '89c40099a6844128a712b8a6b7740be5', '6111e809c8de40dd9365f4ce834804f8', 'False', 'True', 'false', 'false', '513228100203', 5, '罗坝街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228100203', 1, '2021-07-19 12:05:38', NULL, NULL), (32671, '', '竹格都村', 'ea319e9553ad412faca9fcbb6da6039f', '6111e809c8de40dd9365f4ce834804f8', 'False', 'True', 'false', 'false', '513228100204', 5, '竹格都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228100204', 1, '2021-07-19 12:05:38', NULL, NULL), (32672, '', '德石窝村', '8b6426c817534f42b37c08a90dca3ce6', '6111e809c8de40dd9365f4ce834804f8', 'False', 'True', 'false', 'false', '513228100205', 5, '德石窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228100205', 1, '2021-07-19 12:05:38', NULL, NULL), (32673, '', '铁别村', 'efa232d7f1be49e9b2bf59cb29298eed', '6111e809c8de40dd9365f4ce834804f8', 'False', 'True', 'false', 'false', '513228100206', 5, '铁别村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228100206', 1, '2021-07-19 12:05:38', NULL, NULL), (32674, '', '日多村', 'd6b89a59654e4d52b8fce19dcc3170cd', '6111e809c8de40dd9365f4ce834804f8', 'False', 'True', 'false', 'false', '513228100207', 5, '日多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228100207', 1, '2021-07-19 12:05:38', NULL, NULL), (32675, '', '泽盖村', '09e1baf1e5a747cc943e379cfe575b23', '6111e809c8de40dd9365f4ce834804f8', 'False', 'True', 'false', 'false', '513228100208', 5, '泽盖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228100208', 1, '2021-07-19 12:05:38', NULL, NULL), (32676, '', '热拉村', 'a6122d271d734c998d1cc15cf3468264', '6111e809c8de40dd9365f4ce834804f8', 'False', 'True', 'false', 'false', '513228100209', 5, '热拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228100209', 1, '2021-07-19 12:05:38', NULL, NULL), (32677, '', '谷汝村', '940e953f9a1542d59bdf9b90bfc04f23', '6111e809c8de40dd9365f4ce834804f8', 'False', 'True', 'false', 'false', '513228100210', 5, '谷汝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228100210', 1, '2021-07-19 12:05:38', NULL, NULL), (32678, '', '二古鲁村', '65388ac23db1484eaf8106ed691f442b', '6111e809c8de40dd9365f4ce834804f8', 'False', 'True', 'false', 'false', '513228100211', 5, '二古鲁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228100211', 1, '2021-07-19 12:05:38', NULL, NULL), (32679, '', '三达古村', '0ca987e66a954f09b03d61523791a829', '6111e809c8de40dd9365f4ce834804f8', 'False', 'True', 'false', 'false', '513228100212', 5, '三达古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228100212', 1, '2021-07-19 12:05:38', NULL, NULL), (32680, '', '卡龙镇', '1c250875a2f948bbaea79bb7f6692f75', '12629dce55e24274a1a42c4726b17038', 'True', 'True', 'false', 'false', '513228101000', 4, '卡龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513228101000', 1, '2021-07-19 12:05:38', NULL, NULL), (32681, '', '才盖村', 'e4533a5b660643f59e234e35819c6541', '1c250875a2f948bbaea79bb7f6692f75', 'False', 'True', 'false', 'false', '513228101200', 5, '才盖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228101200', 1, '2021-07-19 12:05:38', NULL, NULL), (32682, '', '达安村', 'f2743bd506454495a9359c1f41757350', '1c250875a2f948bbaea79bb7f6692f75', 'False', 'True', 'false', 'false', '513228101201', 5, '达安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228101201', 1, '2021-07-19 12:05:38', NULL, NULL), (32683, '', '俄寨村', '815e78e867e145e9bd740cb139d25aea', '1c250875a2f948bbaea79bb7f6692f75', 'False', 'True', 'false', 'false', '513228101202', 5, '俄寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228101202', 1, '2021-07-19 12:05:38', NULL, NULL), (32684, '', '色湾村', 'f78210c4bf444f4ab617c11652517546', '1c250875a2f948bbaea79bb7f6692f75', 'False', 'True', 'false', 'false', '513228101203', 5, '色湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228101203', 1, '2021-07-19 12:05:38', NULL, NULL), (32685, '', '色尔古镇', 'c0ff9517a4154f079a781f5ed3f6ce35', '12629dce55e24274a1a42c4726b17038', 'True', 'True', 'false', 'false', '513228102000', 4, '色尔古镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513228102000', 1, '2021-07-19 12:05:38', NULL, NULL), (32686, '', '麻都社区', 'a0b12d87a4b040d6a873146b773d869b', 'c0ff9517a4154f079a781f5ed3f6ce35', 'False', 'True', 'false', 'false', '513228102001', 5, '麻都社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228102001', 1, '2021-07-19 12:05:38', NULL, NULL), (32687, '', '色尔古村', '2fe53495b3f948b09519d8a3c6a15588', 'c0ff9517a4154f079a781f5ed3f6ce35', 'False', 'True', 'false', 'false', '513228102200', 5, '色尔古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228102200', 1, '2021-07-19 12:05:39', NULL, NULL), (32688, '', '五里村', 'eb51fa14f4a14f3e88aa50b8b6144940', 'c0ff9517a4154f079a781f5ed3f6ce35', 'False', 'True', 'false', 'false', '513228102201', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228102201', 1, '2021-07-19 12:05:39', NULL, NULL), (32689, '', '地渔村', '534645bf5dd14ab1856e1b791b55a35a', 'c0ff9517a4154f079a781f5ed3f6ce35', 'False', 'True', 'false', 'false', '513228102202', 5, '地渔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228102202', 1, '2021-07-19 12:05:39', NULL, NULL), (32690, '', '竹别村', '115fbb747e1b439d831f9a6cb327c43e', 'c0ff9517a4154f079a781f5ed3f6ce35', 'False', 'True', 'false', 'false', '513228102203', 5, '竹别村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228102203', 1, '2021-07-19 12:05:39', NULL, NULL), (32691, '', '沙石多镇', 'b607e903fd0b49149f0e5d1e4cdb9671', '12629dce55e24274a1a42c4726b17038', 'True', 'True', 'false', 'false', '513228200000', 4, '沙石多镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513228200000', 1, '2021-07-19 12:05:39', NULL, NULL), (32692, '', '马河坝村', 'badc347ee3c24df5bc3675855eec8941', 'b607e903fd0b49149f0e5d1e4cdb9671', 'False', 'True', 'false', 'false', '513228200001', 5, '马河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228200001', 1, '2021-07-19 12:05:39', NULL, NULL), (32693, '', '银真村', 'ca6b10c2ccb14ac3b8ddc635f4b648a5', 'b607e903fd0b49149f0e5d1e4cdb9671', 'False', 'True', 'false', 'false', '513228200002', 5, '银真村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228200002', 1, '2021-07-19 12:05:39', NULL, NULL), (32694, '', '干斯坝村', 'ded681e7c4f34f3e8e86674bb4dbf06f', 'b607e903fd0b49149f0e5d1e4cdb9671', 'False', 'True', 'false', 'false', '513228200003', 5, '干斯坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228200003', 1, '2021-07-19 12:05:39', NULL, NULL), (32695, '', '奶子沟村', 'acff2a41f0894b91872f2f4dc7e3ec2a', 'b607e903fd0b49149f0e5d1e4cdb9671', 'False', 'True', 'false', 'false', '513228200004', 5, '奶子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228200004', 1, '2021-07-19 12:05:39', NULL, NULL), (32696, '', '杨柳秋村', '37f169834ec84a409f55bb6f5c229fed', 'b607e903fd0b49149f0e5d1e4cdb9671', 'False', 'True', 'false', 'false', '513228200005', 5, '杨柳秋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228200005', 1, '2021-07-19 12:05:39', NULL, NULL), (32697, '', '羊茸村', 'fb8fafcf59b74bba9cdfc70c257273df', 'b607e903fd0b49149f0e5d1e4cdb9671', 'False', 'True', 'false', 'false', '513228200006', 5, '羊茸村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228200006', 1, '2021-07-19 12:05:39', NULL, NULL), (32698, '', '昌德村', '82cda2587396423ead0a59ebdf213bff', 'b607e903fd0b49149f0e5d1e4cdb9671', 'False', 'True', 'false', 'false', '513228200007', 5, '昌德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228200007', 1, '2021-07-19 12:05:39', NULL, NULL), (32699, '', '甲足村', 'c1a08f6878074b03b2ac7f4aad61a431', 'b607e903fd0b49149f0e5d1e4cdb9671', 'False', 'True', 'false', 'false', '513228200008', 5, '甲足村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228200008', 1, '2021-07-19 12:05:39', NULL, NULL), (32700, '', '西尔镇', '26dbe75044364b4981397992abd6dc5b', '12629dce55e24274a1a42c4726b17038', 'True', 'True', 'false', 'false', '513228201000', 4, '西尔镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513228201000', 1, '2021-07-19 12:05:39', NULL, NULL), (32701, '', '红岩村', '0a31e9992d22427a83c951e3a79595fb', '26dbe75044364b4981397992abd6dc5b', 'False', 'True', 'false', 'false', '513228201200', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228201200', 1, '2021-07-19 12:05:39', NULL, NULL), (32702, '', '云林寺村', '8fe583c446ef48fa97833f9cb200b764', '26dbe75044364b4981397992abd6dc5b', 'False', 'True', 'false', 'false', '513228201201', 5, '云林寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228201201', 1, '2021-07-19 12:05:39', NULL, NULL), (32703, '', '俄恩村', 'b33bad40421643a5b4647881706b183e', '26dbe75044364b4981397992abd6dc5b', 'False', 'True', 'false', 'false', '513228201202', 5, '俄恩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228201202', 1, '2021-07-19 12:05:39', NULL, NULL), (32704, '', '白日村', '491e2c73e0db436581532f309a9f7ac3', '26dbe75044364b4981397992abd6dc5b', 'False', 'True', 'false', 'false', '513228201203', 5, '白日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228201203', 1, '2021-07-19 12:05:39', NULL, NULL), (32705, '', '布多村', '02695fea12ce400485c9f1c0217e7702', '26dbe75044364b4981397992abd6dc5b', 'False', 'True', 'false', 'false', '513228201204', 5, '布多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228201204', 1, '2021-07-19 12:05:39', NULL, NULL), (32706, '', '龙坝乡', 'ffc607d9207a49b7ac5d5331252ab4d7', '12629dce55e24274a1a42c4726b17038', 'True', 'True', 'false', 'false', '513228207000', 4, '龙坝乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513228207000', 1, '2021-07-19 12:05:40', NULL, NULL), (32707, '', '瓜子河坝村', '0229d399fb9e4ec395bb2becb32de4aa', 'ffc607d9207a49b7ac5d5331252ab4d7', 'False', 'True', 'false', 'false', '513228207200', 5, '瓜子河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228207200', 1, '2021-07-19 12:05:40', NULL, NULL), (32708, '', '黑瓦村', '74c2def7ed9e40d5a65008ae30e7594d', 'ffc607d9207a49b7ac5d5331252ab4d7', 'False', 'True', 'false', 'false', '513228207201', 5, '黑瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228207201', 1, '2021-07-19 12:05:40', NULL, NULL), (32709, '', '瓜苏村', '12a59ad78b234d6aa33126c3d49284ec', 'ffc607d9207a49b7ac5d5331252ab4d7', 'False', 'True', 'false', 'false', '513228207202', 5, '瓜苏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228207202', 1, '2021-07-19 12:05:40', NULL, NULL), (32710, '', '西苏村', '6f027bf36ea947f28e048dc9b874067c', 'ffc607d9207a49b7ac5d5331252ab4d7', 'False', 'True', 'false', 'false', '513228207203', 5, '西苏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228207203', 1, '2021-07-19 12:05:40', NULL, NULL), (32711, '', '二巴郎村', 'd75816efdb3748c6bbdcee3a417eb60d', 'ffc607d9207a49b7ac5d5331252ab4d7', 'False', 'True', 'false', 'false', '513228207204', 5, '二巴郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228207204', 1, '2021-07-19 12:05:40', NULL, NULL), (32712, '', '洛多乡', 'f1a478659d234d8094fe8e9b7ebf6cbc', '12629dce55e24274a1a42c4726b17038', 'True', 'True', 'false', 'false', '513228208000', 4, '洛多乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513228208000', 1, '2021-07-19 12:05:40', NULL, NULL), (32713, '', '沙拉村', '4e41825738ff40c1986dbf653b5d5c64', 'f1a478659d234d8094fe8e9b7ebf6cbc', 'False', 'True', 'false', 'false', '513228208200', 5, '沙拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228208200', 1, '2021-07-19 12:05:40', NULL, NULL), (32714, '', '洛多村', '21d41d97c9cc4b9093ef52c06a48c7e6', 'f1a478659d234d8094fe8e9b7ebf6cbc', 'False', 'True', 'false', 'false', '513228208201', 5, '洛多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228208201', 1, '2021-07-19 12:05:40', NULL, NULL), (32715, '', '沃河村', '6082ac50d42d45c89288bad13648d461', 'f1a478659d234d8094fe8e9b7ebf6cbc', 'False', 'True', 'false', 'false', '513228208202', 5, '沃河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228208202', 1, '2021-07-19 12:05:40', NULL, NULL), (32716, '', '嘎茸村', '84c8473327ea4cc88093e10d439c454e', 'f1a478659d234d8094fe8e9b7ebf6cbc', 'False', 'True', 'false', 'false', '513228208203', 5, '嘎茸村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228208203', 1, '2021-07-19 12:05:40', NULL, NULL), (32717, '', '石古子村', '7af589c076e14e22a7cd7a07461e8b3f', 'f1a478659d234d8094fe8e9b7ebf6cbc', 'False', 'True', 'false', 'false', '513228208204', 5, '石古子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228208204', 1, '2021-07-19 12:05:40', NULL, NULL), (32718, '', '力威村', '03451735aa1e4c76a1c86350b46056df', 'f1a478659d234d8094fe8e9b7ebf6cbc', 'False', 'True', 'false', 'false', '513228208205', 5, '力威村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228208205', 1, '2021-07-19 12:05:40', NULL, NULL), (32719, '', '洛河村', '806be105b74c461a807e439c83e8e5b3', 'f1a478659d234d8094fe8e9b7ebf6cbc', 'False', 'True', 'false', 'false', '513228208206', 5, '洛河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228208206', 1, '2021-07-19 12:05:40', NULL, NULL), (32720, '', '木苏镇', '57634212b7fa442aac829d2223386d82', '12629dce55e24274a1a42c4726b17038', 'True', 'True', 'false', 'false', '513228209000', 4, '木苏镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513228209000', 1, '2021-07-19 12:05:40', NULL, NULL), (32721, '', '日十多村', '7473b23a9ca04cdb96e72be84f9f103e', '57634212b7fa442aac829d2223386d82', 'False', 'True', 'false', 'false', '513228209200', 5, '日十多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228209200', 1, '2021-07-19 12:05:40', NULL, NULL), (32722, '', '罗窝村', '88dff16ea79e466790cb16c4670df1c6', '57634212b7fa442aac829d2223386d82', 'False', 'True', 'false', 'false', '513228209201', 5, '罗窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228209201', 1, '2021-07-19 12:05:40', NULL, NULL), (32723, '', '徐古村', 'eba268ac468642a4861f307d339fb614', '57634212b7fa442aac829d2223386d82', 'False', 'True', 'false', 'false', '513228209202', 5, '徐古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228209202', 1, '2021-07-19 12:05:40', NULL, NULL), (32724, '', '雅都村', '3e49b26b1766472180942b7ce5f27496', '57634212b7fa442aac829d2223386d82', 'False', 'True', 'false', 'false', '513228209203', 5, '雅都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228209203', 1, '2021-07-19 12:05:40', NULL, NULL), (32725, '', '亚扎村', '9d839a9fde3049bb8e6c17105647d23b', '57634212b7fa442aac829d2223386d82', 'False', 'True', 'false', 'false', '513228209204', 5, '亚扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228209204', 1, '2021-07-19 12:05:40', NULL, NULL), (32726, '', '比日坝村', '8d66adb2087a4c9da93ba4707c426cf4', '57634212b7fa442aac829d2223386d82', 'False', 'True', 'false', 'false', '513228209205', 5, '比日坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228209205', 1, '2021-07-19 12:05:41', NULL, NULL), (32727, '', '大别窝村', '0fc3b015e7584770a34985b437e09d4d', '57634212b7fa442aac829d2223386d82', 'False', 'True', 'false', 'false', '513228209206', 5, '大别窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228209206', 1, '2021-07-19 12:05:41', NULL, NULL), (32728, '', '小别窝村', '02d5109a61d6418a8ab473481fd39e73', '57634212b7fa442aac829d2223386d82', 'False', 'True', 'false', 'false', '513228209207', 5, '小别窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228209207', 1, '2021-07-19 12:05:41', NULL, NULL), (32729, '', '大寨子村', '5200dd788fe244cfa2dab66eb239f00c', '57634212b7fa442aac829d2223386d82', 'False', 'True', 'false', 'false', '513228209208', 5, '大寨子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228209208', 1, '2021-07-19 12:05:41', NULL, NULL), (32730, '', '维古乡', 'fcecf4a9b091460f94a26ef376aec92a', '12629dce55e24274a1a42c4726b17038', 'True', 'True', 'false', 'false', '513228210000', 4, '维古乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513228210000', 1, '2021-07-19 12:05:41', NULL, NULL), (32731, '', '俄石坝村', 'aa3e309505da45f58327ad2092290f5a', 'fcecf4a9b091460f94a26ef376aec92a', 'False', 'True', 'false', 'false', '513228210200', 5, '俄石坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228210200', 1, '2021-07-19 12:05:41', NULL, NULL), (32732, '', '西苏瓜子村', 'f8b8ef6fb6a348e59b39162405b5b2c6', 'fcecf4a9b091460f94a26ef376aec92a', 'False', 'True', 'false', 'false', '513228210201', 5, '西苏瓜子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228210201', 1, '2021-07-19 12:05:41', NULL, NULL), (32733, '', '维鱼村', 'f481b34aa09e4863bb5cc08fad091a10', 'fcecf4a9b091460f94a26ef376aec92a', 'False', 'True', 'false', 'false', '513228210202', 5, '维鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228210202', 1, '2021-07-19 12:05:41', NULL, NULL), (32734, '', '俄口村', '7c1e7ed16d164dc0850995a18798ce77', 'fcecf4a9b091460f94a26ef376aec92a', 'False', 'True', 'false', 'false', '513228210203', 5, '俄口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228210203', 1, '2021-07-19 12:05:41', NULL, NULL), (32735, '', '足麻村', '65dd983b13174f7f9ceabd608628b95f', 'fcecf4a9b091460f94a26ef376aec92a', 'False', 'True', 'false', 'false', '513228210204', 5, '足麻村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228210204', 1, '2021-07-19 12:05:41', NULL, NULL), (32736, '', '热河村', 'f797da613a604f52aceb75f88f9bb8f2', 'fcecf4a9b091460f94a26ef376aec92a', 'False', 'True', 'false', 'false', '513228210205', 5, '热河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228210205', 1, '2021-07-19 12:05:41', NULL, NULL), (32737, '', '西市窝村', 'cac1cb9e1c3440b599a184b091f3f512', 'fcecf4a9b091460f94a26ef376aec92a', 'False', 'True', 'false', 'false', '513228210206', 5, '西市窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228210206', 1, '2021-07-19 12:05:41', NULL, NULL), (32738, '', '维古村', '115bbfa887dd42138016496481c1f274', 'fcecf4a9b091460f94a26ef376aec92a', 'False', 'True', 'false', 'false', '513228210207', 5, '维古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228210207', 1, '2021-07-19 12:05:41', NULL, NULL), (32739, '', '知木林镇', 'f8c98d635dcb468dbed327120b5b3cd0', '12629dce55e24274a1a42c4726b17038', 'True', 'True', 'false', 'false', '513228211000', 4, '知木林镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513228211000', 1, '2021-07-19 12:05:41', NULL, NULL), (32740, '', '维多村', '88339c8e5ec3419e90e2716bfcb912c5', 'f8c98d635dcb468dbed327120b5b3cd0', 'False', 'True', 'false', 'false', '513228211200', 5, '维多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228211200', 1, '2021-07-19 12:05:41', NULL, NULL), (32741, '', '格基村', 'acb4ddb07c7f41a1a68597371215d731', 'f8c98d635dcb468dbed327120b5b3cd0', 'False', 'True', 'false', 'false', '513228211201', 5, '格基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228211201', 1, '2021-07-19 12:05:41', NULL, NULL), (32742, '', '知木林', 'e97318db55924966bb9baef2699746fd', 'f8c98d635dcb468dbed327120b5b3cd0', 'False', 'True', 'false', 'false', '513228211202', 5, '知木林', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228211202', 1, '2021-07-19 12:05:42', NULL, NULL), (32743, '', '木都村', '20c4c1f1273b4d6ab1b0204b1f317f8f', 'f8c98d635dcb468dbed327120b5b3cd0', 'False', 'True', 'false', 'false', '513228211203', 5, '木都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228211203', 1, '2021-07-19 12:05:42', NULL, NULL), (32744, '', '热窝村', '14b1db4eef5a42e9b6c9509e93d64ba0', 'f8c98d635dcb468dbed327120b5b3cd0', 'False', 'True', 'false', 'false', '513228211204', 5, '热窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228211204', 1, '2021-07-19 12:05:42', NULL, NULL), (32745, '', '二木林', 'c86e9b8c171f40878367413799637651', 'f8c98d635dcb468dbed327120b5b3cd0', 'False', 'True', 'false', 'false', '513228211205', 5, '二木林', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228211205', 1, '2021-07-19 12:05:42', NULL, NULL), (32746, '', '卡谷村', '4ac3d94546754dbabf7dacee46fcbc81', 'f8c98d635dcb468dbed327120b5b3cd0', 'False', 'True', 'false', 'false', '513228211206', 5, '卡谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228211206', 1, '2021-07-19 12:05:42', NULL, NULL), (32747, '', '乌木树村', '8c81103f4e3643d28078a22ce5c9ce83', 'f8c98d635dcb468dbed327120b5b3cd0', 'False', 'True', 'false', 'false', '513228211207', 5, '乌木树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228211207', 1, '2021-07-19 12:05:42', NULL, NULL), (32748, '', '热里村', 'f24cf5d5073e4c609bed6935c0344599', 'f8c98d635dcb468dbed327120b5b3cd0', 'False', 'True', 'false', 'false', '513228211208', 5, '热里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228211208', 1, '2021-07-19 12:05:42', NULL, NULL), (32749, '', '弼石村', '8af5b96c6caa4916a899c55afbe4d782', 'f8c98d635dcb468dbed327120b5b3cd0', 'False', 'True', 'false', 'false', '513228211209', 5, '弼石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228211209', 1, '2021-07-19 12:05:42', NULL, NULL), (32750, '', '扎窝镇', '644ba102c6c243d294e7bdf20791c5d6', '12629dce55e24274a1a42c4726b17038', 'True', 'True', 'false', 'false', '513228212000', 4, '扎窝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513228212000', 1, '2021-07-19 12:05:42', NULL, NULL), (32751, '', '西厘村', 'e5e89cc8416142299cbc115c5f37c6b4', '644ba102c6c243d294e7bdf20791c5d6', 'False', 'True', 'false', 'false', '513228212200', 5, '西厘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228212200', 1, '2021-07-19 12:05:42', NULL, NULL), (32752, '', '俄窝村', '4b2ce39ef4b04235bf73da70d6c61648', '644ba102c6c243d294e7bdf20791c5d6', 'False', 'True', 'false', 'false', '513228212201', 5, '俄窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228212201', 1, '2021-07-19 12:05:42', NULL, NULL), (32753, '', '日布村', 'bf9a071581d64c83a513aee3a18a694a', '644ba102c6c243d294e7bdf20791c5d6', 'False', 'True', 'false', 'false', '513228212202', 5, '日布村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228212202', 1, '2021-07-19 12:05:42', NULL, NULL), (32754, '', '若尔村', '451a0cf4b1bf426f9508c96f197f78b0', '644ba102c6c243d294e7bdf20791c5d6', 'False', 'True', 'false', 'false', '513228212203', 5, '若尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228212203', 1, '2021-07-19 12:05:42', NULL, NULL), (32755, '', '罗尔坝村', '5023c714afb54ca5ae121a4c9e912559', '644ba102c6c243d294e7bdf20791c5d6', 'False', 'True', 'false', 'false', '513228212204', 5, '罗尔坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228212204', 1, '2021-07-19 12:05:42', NULL, NULL), (32756, '', '若多村', 'eadf55f138754cc4a35111d69338d7b6', '644ba102c6c243d294e7bdf20791c5d6', 'False', 'True', 'false', 'false', '513228212205', 5, '若多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228212205', 1, '2021-07-19 12:05:42', NULL, NULL), (32757, '', '克别村', '33ed20f474ab4764bf698aa59e9a6f87', '644ba102c6c243d294e7bdf20791c5d6', 'False', 'True', 'false', 'false', '513228212206', 5, '克别村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228212206', 1, '2021-07-19 12:05:42', NULL, NULL), (32758, '', '朱坝村', 'b55654ad98934536a2470f5ca0725587', '644ba102c6c243d294e7bdf20791c5d6', 'False', 'True', 'false', 'false', '513228212207', 5, '朱坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228212207', 1, '2021-07-19 12:05:42', NULL, NULL), (32759, '', '慈坝乡', 'f01ca3147cb54325b87417be6661ef7b', '12629dce55e24274a1a42c4726b17038', 'True', 'True', 'false', 'false', '513228214000', 4, '慈坝乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513228214000', 1, '2021-07-19 12:05:42', NULL, NULL), (32760, '', '格窝村', '73affd9ba7154dd3acd1e074f55e1e27', 'f01ca3147cb54325b87417be6661ef7b', 'False', 'True', 'false', 'false', '513228214200', 5, '格窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228214200', 1, '2021-07-19 12:05:42', NULL, NULL), (32761, '', '胜伦村', '88f18a023efb44f494dd2e796af5fb03', 'f01ca3147cb54325b87417be6661ef7b', 'False', 'True', 'false', 'false', '513228214201', 5, '胜伦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228214201', 1, '2021-07-19 12:05:43', NULL, NULL), (32762, '', '西北窝村', '222e6e6152e945eba7c6a0627d628bc5', 'f01ca3147cb54325b87417be6661ef7b', 'False', 'True', 'false', 'false', '513228214202', 5, '西北窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228214202', 1, '2021-07-19 12:05:43', NULL, NULL), (32763, '', '晴朗乡', '35a27357760248cb83e639dcdd5da46f', '12629dce55e24274a1a42c4726b17038', 'True', 'True', 'false', 'false', '513228364000', 4, '晴朗乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513228364000', 1, '2021-07-19 12:05:43', NULL, NULL), (32764, '', '牙窝村', '33b8986b2aa4405592122c41272f6d4a', '35a27357760248cb83e639dcdd5da46f', 'False', 'True', 'false', 'false', '513228202200', 5, '牙窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228202200', 1, '2021-07-19 12:05:43', NULL, NULL), (32765, '', '瓦扎村', '37732df1edbc41fdba44cc9053c45468', '35a27357760248cb83e639dcdd5da46f', 'False', 'True', 'false', 'false', '513228202201', 5, '瓦扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228202201', 1, '2021-07-19 12:05:43', NULL, NULL), (32766, '', '别窝村', 'ac9091b40a4a4a2a9d2edeb9be6187d3', '35a27357760248cb83e639dcdd5da46f', 'False', 'True', 'false', 'false', '513228202202', 5, '别窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228202202', 1, '2021-07-19 12:05:43', NULL, NULL), (32767, '', '木日窝村', 'f3dd27f420594619a2116c562e924a52', '35a27357760248cb83e639dcdd5da46f', 'False', 'True', 'false', 'false', '513228202203', 5, '木日窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228202203', 1, '2021-07-19 12:05:43', NULL, NULL), (32768, '', '扎苦村', 'd7cd684878e14700a0dad4a1cb41bf36', '35a27357760248cb83e639dcdd5da46f', 'False', 'True', 'false', 'false', '513228202204', 5, '扎苦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228202204', 1, '2021-07-19 12:05:43', NULL, NULL), (32769, '', '沙卡村', '4eaf46ce6b2e432992f3e1ed6e18c2ed', '35a27357760248cb83e639dcdd5da46f', 'False', 'True', 'false', 'false', '513228202205', 5, '沙卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228202205', 1, '2021-07-19 12:05:43', NULL, NULL), (32770, '', '西尔村', '5bc8fb78b5d0405697fd455c7b33e246', '35a27357760248cb83e639dcdd5da46f', 'False', 'True', 'false', 'false', '513228202206', 5, '西尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228202206', 1, '2021-07-19 12:05:43', NULL, NULL), (32771, '', '瓦钵梁子乡', 'd8726b8f136f40c49d56318c3fdd2c77', '12629dce55e24274a1a42c4726b17038', 'True', 'True', 'false', 'false', '513228826000', 4, '瓦钵乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513228826000', 1, '2021-07-19 12:05:43', NULL, NULL), (32772, '', '曲瓦村', 'b601bee508ff404a990d6ff57d8d0fdc', 'd8726b8f136f40c49d56318c3fdd2c77', 'False', 'True', 'false', 'false', '513228203205', 5, '曲瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228203205', 1, '2021-07-19 12:05:43', NULL, NULL), (32773, '', '渔沙沟村', 'f0565ca4107148e5a4f0bf9711e60291', 'd8726b8f136f40c49d56318c3fdd2c77', 'False', 'True', 'false', 'false', '513228826179', 5, '渔沙沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228826179', 1, '2021-07-19 12:05:43', NULL, NULL), (32774, '', '瓦钵村', '2dadadf6484548c9947c5db8ab1cd8f9', 'd8726b8f136f40c49d56318c3fdd2c77', 'False', 'True', 'false', 'false', '513228826442', 5, '瓦钵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228826442', 1, '2021-07-19 12:05:43', NULL, NULL), (32775, '', '桃支村', '2abbfbcfb47246bbaea3e6b6e81afa69', 'd8726b8f136f40c49d56318c3fdd2c77', 'False', 'True', 'false', 'false', '513228826626', 5, '桃支村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228826626', 1, '2021-07-19 12:05:43', NULL, NULL), (32776, '', '子母河村', 'e2e10fe035eb4a8baa661e5fbc28aac7', 'd8726b8f136f40c49d56318c3fdd2c77', 'False', 'True', 'false', 'false', '513228826748', 5, '子母河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228826748', 1, '2021-07-19 12:05:43', NULL, NULL), (32777, '', '约窝村', '60a01079892b4c128871af968f2f491c', 'd8726b8f136f40c49d56318c3fdd2c77', 'False', 'True', 'false', 'false', '513228826794', 5, '约窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513228826794', 1, '2021-07-19 12:05:43', NULL, NULL), (32778, '', '甘孜藏族自治州', '4e0988aa699e46dd9cdf992180c73cd8', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '513300000000', 2, '甘孜州', 'gzz.sczwfw.gov.cn', 1, '2021-07-19 12:05:43', NULL, NULL), (32779, '', '康定市', '6e058ad9651645058813941ec3fc901d', '4e0988aa699e46dd9cdf992180c73cd8', 'True', 'True', 'false', 'false', '513301000000', 3, '康定市', 'gzzkds.sczwfw.gov.cn', 1, '2021-07-19 12:05:43', NULL, NULL), (32780, '', '炉城街道', '54515c99ec8340ee924189de3e01e2a2', '6e058ad9651645058813941ec3fc901d', 'True', 'True', 'false', 'false', '513301001000', 4, '炉城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513301001000', 1, '2021-07-19 12:05:44', NULL, NULL), (32781, '', '光明社区', '6b03c13ad90a4b02b2fc8242df479c39', '54515c99ec8340ee924189de3e01e2a2', 'False', 'False', 'false', 'false', '513301001029', 5, '光明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301001029', 1, '2021-07-19 12:05:44', NULL, NULL), (32782, '', '水井子社区', 'ad8d3b74f1424561befebea648901d76', '54515c99ec8340ee924189de3e01e2a2', 'False', 'False', 'false', 'false', '513301001050', 5, '水井子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301001050', 1, '2021-07-19 12:05:44', NULL, NULL), (32783, '', '菜园子村', 'dc07640ff0164a81aa93a8bce3776540', '54515c99ec8340ee924189de3e01e2a2', 'False', 'False', 'false', 'false', '513301001092', 5, '菜园子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301001092', 1, '2021-07-19 12:05:44', NULL, NULL), (32784, '', '子耳村', '32fa3ab8bb97487caf9365bf756922a0', '54515c99ec8340ee924189de3e01e2a2', 'False', 'False', 'false', 'false', '513301001107', 5, '子耳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301001107', 1, '2021-07-19 12:05:44', NULL, NULL), (32785, '', '清泉二村', 'cd96fd61d6d84ecda1cc155b60e51269', '54515c99ec8340ee924189de3e01e2a2', 'False', 'False', 'false', 'false', '513301001248', 5, '清泉二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301001248', 1, '2021-07-19 12:05:44', NULL, NULL), (32786, '', '清泉一村', '3d4651bb66cb4a55be78896ebb8c0b0a', '54515c99ec8340ee924189de3e01e2a2', 'False', 'False', 'false', 'false', '513301001255', 5, '清泉一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301001255', 1, '2021-07-19 12:05:44', NULL, NULL), (32787, '', '大河沟村', 'ba655e86e5c84b6b81524fd9c910a644', '54515c99ec8340ee924189de3e01e2a2', 'False', 'False', 'false', 'false', '513301001309', 5, '大河沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301001309', 1, '2021-07-19 12:05:44', NULL, NULL), (32788, '', '大风湾村', '77a73d92561e462ba0b16dd64e2b9951', '54515c99ec8340ee924189de3e01e2a2', 'False', 'False', 'false', 'false', '513301001348', 5, '大风湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301001348', 1, '2021-07-19 12:05:44', NULL, NULL), (32789, '', '子耳社区', '9cc5518dffba4832883f63678da018e8', '54515c99ec8340ee924189de3e01e2a2', 'False', 'False', 'false', 'false', '513301001381', 5, '子耳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301001381', 1, '2021-07-19 12:05:44', NULL, NULL), (32790, '', '向阳社区', 'e46b1c3648604404b5b28a5bab52eccb', '54515c99ec8340ee924189de3e01e2a2', 'False', 'False', 'false', 'false', '513301001648', 5, '向阳社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301001648', 1, '2021-07-19 12:05:44', NULL, NULL), (32791, '', '白土村', '39752efaefcb4005a90b09fea3a13513', '54515c99ec8340ee924189de3e01e2a2', 'False', 'False', 'false', 'false', '513301001661', 5, '白土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301001661', 1, '2021-07-19 12:05:44', NULL, NULL), (32792, '', '柳杨村', 'b629b6a89dea4a6bbc0b6ad75b97d51d', '54515c99ec8340ee924189de3e01e2a2', 'False', 'False', 'false', 'false', '513301001675', 5, '柳杨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301001675', 1, '2021-07-19 12:05:44', NULL, NULL), (32793, '', '升航村', '5f2a898f05fb47c78b4618a1c392f7a7', '54515c99ec8340ee924189de3e01e2a2', 'False', 'False', 'false', 'false', '513301001883', 5, '升航村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301001883', 1, '2021-07-19 12:05:44', NULL, NULL), (32794, '', '榆林街道', '85a6d06c38354e5ca6f886224b6a46a2', '6e058ad9651645058813941ec3fc901d', 'True', 'True', 'false', 'false', '513301002000', 4, '榆林街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513301002000', 1, '2021-07-19 12:05:44', NULL, NULL), (32795, '', '南无村', '14be6832359e4611a8aa68a0be19c3a5', '85a6d06c38354e5ca6f886224b6a46a2', 'False', 'False', 'false', 'false', '513301002060', 5, '南无村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301002060', 1, '2021-07-19 12:05:44', NULL, NULL), (32796, '', '公主桥社区', '1060f95ebbfb4cafb7483d5997449d93', '85a6d06c38354e5ca6f886224b6a46a2', 'False', 'False', 'false', 'false', '513301002176', 5, '公主桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301002176', 1, '2021-07-19 12:05:44', NULL, NULL), (32797, '', '驷马桥居民委员会', 'ac81591fcad34966989b0b711b689bf0', '85a6d06c38354e5ca6f886224b6a46a2', 'False', 'False', 'false', 'false', '513301002286', 5, '驷马桥居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301002286', 1, '2021-07-19 12:05:44', NULL, NULL), (32798, '', '新榆林村', '775a8eb7304045e68482f1d4b6dab152', '85a6d06c38354e5ca6f886224b6a46a2', 'False', 'False', 'false', 'false', '513301002467', 5, '新榆林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301002467', 1, '2021-07-19 12:05:44', NULL, NULL), (32799, '', '两岔路村', 'af28e6a53e4c45fa8d258abe32037428', '85a6d06c38354e5ca6f886224b6a46a2', 'False', 'False', 'false', 'false', '513301002562', 5, '两岔路村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301002562', 1, '2021-07-19 12:05:44', NULL, NULL), (32800, '', '跑马山村', '342cb20000d54550b15b5314bbc0fea7', '85a6d06c38354e5ca6f886224b6a46a2', 'False', 'False', 'false', 'false', '513301002588', 5, '跑马山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301002588', 1, '2021-07-19 12:05:44', NULL, NULL), (32801, '', '老榆林村', '8630e56758754492bab217724b472f21', '85a6d06c38354e5ca6f886224b6a46a2', 'False', 'False', 'false', 'false', '513301002795', 5, '老榆林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301002795', 1, '2021-07-19 12:05:44', NULL, NULL), (32802, '', '折多塘村', '273a671c744a4686a702da81f8e00eeb', '85a6d06c38354e5ca6f886224b6a46a2', 'False', 'False', 'false', 'false', '513301002831', 5, '折多塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301002831', 1, '2021-07-19 12:05:45', NULL, NULL), (32803, '', '姑咱镇', '2448e40a14264812bb39a8bb7b70c3c9', '6e058ad9651645058813941ec3fc901d', 'True', 'True', 'false', 'false', '513301101000', 4, '姑咱镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513301101000', 1, '2021-07-19 12:05:45', NULL, NULL), (32804, '', '章古村', '2f4c6215f5bf4e368db9c241484ea8e9', '2448e40a14264812bb39a8bb7b70c3c9', 'False', 'False', 'false', 'false', '513301101004', 5, '章古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301101004', 1, '2021-07-19 12:05:45', NULL, NULL), (32805, '', '抗州村', '859bdde1cae4487baa17fdec73d48c36', '2448e40a14264812bb39a8bb7b70c3c9', 'False', 'False', 'false', 'false', '513301101014', 5, '抗州村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301101014', 1, '2021-07-19 12:05:45', NULL, NULL), (32806, '', '日角村', '4af39a284e8f4ddea9778f0c0f4e6c4e', '2448e40a14264812bb39a8bb7b70c3c9', 'False', 'False', 'false', 'false', '513301101207', 5, '日角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301101207', 1, '2021-07-19 12:05:45', NULL, NULL), (32807, '', '若吉村', '99e68b32b86d45e68377095c40a1d552', '2448e40a14264812bb39a8bb7b70c3c9', 'False', 'False', 'false', 'false', '513301101208', 5, '若吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301101208', 1, '2021-07-19 12:05:45', NULL, NULL), (32808, '', '郎鼓村', '9f6ba25fe38243448c71a510155615b0', '2448e40a14264812bb39a8bb7b70c3c9', 'False', 'False', 'false', 'false', '513301101209', 5, '郎鼓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301101209', 1, '2021-07-19 12:05:45', NULL, NULL), (32809, '', '时济村', 'ec2bedbad8bf49aa9010c87c57b4accb', '2448e40a14264812bb39a8bb7b70c3c9', 'False', 'False', 'false', 'false', '513301101210', 5, '时济村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301101210', 1, '2021-07-19 12:05:45', NULL, NULL), (32810, '', '庄上村', '8360bea4d6b444988e1d1b97aba326a5', '2448e40a14264812bb39a8bb7b70c3c9', 'False', 'False', 'false', 'false', '513301101211', 5, '庄上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301101211', 1, '2021-07-19 12:05:45', NULL, NULL), (32811, '', '叫吉村', 'ca6f230a964b4c40b50d73cc1542971d', '2448e40a14264812bb39a8bb7b70c3c9', 'False', 'False', 'false', 'false', '513301101212', 5, '叫吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301101212', 1, '2021-07-19 12:05:45', NULL, NULL), (32812, '', '大坝村', 'f0c79704d77742b29a15209df32c55f6', '2448e40a14264812bb39a8bb7b70c3c9', 'False', 'False', 'false', 'false', '513301101213', 5, '大坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301101213', 1, '2021-07-19 12:05:45', NULL, NULL), (32813, '', '浸水村', '6eca039b0fb7404592f2d10a8b344da5', '2448e40a14264812bb39a8bb7b70c3c9', 'False', 'False', 'false', 'false', '513301101238', 5, '浸水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301101238', 1, '2021-07-19 12:05:45', NULL, NULL), (32814, '', '上瓦斯村', 'a08294462df349df88be75f53bb38401', '2448e40a14264812bb39a8bb7b70c3c9', 'False', 'False', 'false', 'false', '513301101347', 5, '上瓦斯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301101347', 1, '2021-07-19 12:05:45', NULL, NULL), (32815, '', '羊厂村', 'd1c3101c952a4e8a980e69f581bea175', '2448e40a14264812bb39a8bb7b70c3c9', 'False', 'False', 'false', 'false', '513301101589', 5, '羊厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301101589', 1, '2021-07-19 12:05:45', NULL, NULL), (32816, '', '下瓦斯村', '134716f6506747d4a9a3845f02bcf8b0', '2448e40a14264812bb39a8bb7b70c3c9', 'False', 'False', 'false', 'false', '513301101643', 5, '下瓦斯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301101643', 1, '2021-07-19 12:05:45', NULL, NULL), (32817, '', '第三居民委员会', 'aa3acf5fe1874f6493dc6ad6f30e110c', '2448e40a14264812bb39a8bb7b70c3c9', 'False', 'False', 'false', 'false', '513301101732', 5, '第三居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301101732', 1, '2021-07-19 12:05:45', NULL, NULL), (32818, '', '第二居民委员会', 'c4b6db145c824684a6aeb3a925f3ce91', '2448e40a14264812bb39a8bb7b70c3c9', 'False', 'False', 'false', 'false', '513301101808', 5, '第二居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301101808', 1, '2021-07-19 12:05:45', NULL, NULL), (32819, '', '日地村', '2b97a026bb104eb795e9e39a6487b3f4', '2448e40a14264812bb39a8bb7b70c3c9', 'False', 'False', 'false', 'false', '513301101820', 5, '日地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301101820', 1, '2021-07-19 12:05:45', NULL, NULL), (32820, '', '第一居民委员会', '1dddc3ceb0e74a04a27621c89d578149', '2448e40a14264812bb39a8bb7b70c3c9', 'False', 'False', 'false', 'false', '513301101918', 5, '第一居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301101918', 1, '2021-07-19 12:05:45', NULL, NULL), (32821, '', '达杠村', '2fba9e4719e54039ad1faf1e0861ed01', '2448e40a14264812bb39a8bb7b70c3c9', 'False', 'False', 'false', 'false', '513301101928', 5, '达杠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301101928', 1, '2021-07-19 12:05:45', NULL, NULL), (32822, '', '新都桥镇', 'ea6a8717ecdd4661a786138a73f34e7d', '6e058ad9651645058813941ec3fc901d', 'True', 'True', 'false', 'false', '513301102000', 4, '新都桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513301102000', 1, '2021-07-19 12:05:45', NULL, NULL), (32823, '', '拔桑二村', '61b0aae409b74bbb88a51a49006847dc', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102015', 5, '拔桑二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102015', 1, '2021-07-19 12:05:46', NULL, NULL), (32824, '', '下柏桑三村', '6f87bce30d0e47f1b825b62279c76f2d', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102113', 5, '下柏桑三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102113', 1, '2021-07-19 12:05:46', NULL, NULL), (32825, '', '拔桑一村', '96269cbef22b4aa4bd54a9d93b290ef8', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102156', 5, '拔桑一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102156', 1, '2021-07-19 12:05:46', NULL, NULL), (32826, '', '下柏桑一村', '5aa4732a85d54b64875a2c3f02aa4123', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102205', 5, '下柏桑一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102205', 1, '2021-07-19 12:05:46', NULL, NULL), (32827, '', '白玉村', '5759ef02b9744df3a7bc326f99b15824', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102213', 5, '白玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102213', 1, '2021-07-19 12:05:46', NULL, NULL), (32828, '', '营官村', '690db6dec1c5488ba1b3b4defdb94fff', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102214', 5, '营官村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102214', 1, '2021-07-19 12:05:46', NULL, NULL), (32829, '', '居里村', '36b50728080e4cbdbcb0862744b9572b', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102215', 5, '居里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102215', 1, '2021-07-19 12:05:46', NULL, NULL), (32830, '', '瓦板村', '23f36301e1744da4ad287ba85ee2a76c', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102216', 5, '瓦板村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102216', 1, '2021-07-19 12:05:46', NULL, NULL), (32831, '', '鱼子西二村', '2c2228b956be4db08953e308fc02d347', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102217', 5, '鱼子西二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102217', 1, '2021-07-19 12:05:46', NULL, NULL), (32832, '', '俄一村', '6ac9f17ffdc544caa1a47e763fe8b2d8', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102218', 5, '俄一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102218', 1, '2021-07-19 12:05:46', NULL, NULL), (32833, '', '安良村', '45bab04e92f0442296be05dc1cd94874', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102219', 5, '安良村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102219', 1, '2021-07-19 12:05:46', NULL, NULL), (32834, '', '鱼子西三村', 'f8b7922023fa4e41bd0570cf308d4f24', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102220', 5, '鱼子西三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102220', 1, '2021-07-19 12:05:46', NULL, NULL), (32835, '', '水桥村', 'fde379f0e48c4406bc1947d9d38e5d25', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102221', 5, '水桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102221', 1, '2021-07-19 12:05:46', NULL, NULL), (32836, '', '瓦泽村', '7913a8f399c24842ab568ef6935c5c5c', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102222', 5, '瓦泽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102222', 1, '2021-07-19 12:05:46', NULL, NULL), (32837, '', '卡吾村', '7fc9c2f9022043f3a3fe64a861e9f827', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102223', 5, '卡吾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102223', 1, '2021-07-19 12:05:46', NULL, NULL), (32838, '', '麦巴村', 'b2902a0f2056466d89b4fc628d980d14', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102224', 5, '麦巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102224', 1, '2021-07-19 12:05:46', NULL, NULL), (32839, '', '贡巴村', 'dbccae34456546fa8e5200efea2a63d4', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102225', 5, '贡巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102225', 1, '2021-07-19 12:05:46', NULL, NULL), (32840, '', '新都桥一村', '0d5b3a92a1b549bcad8807b7c3a44444', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102240', 5, '新都桥一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102240', 1, '2021-07-19 12:05:46', NULL, NULL), (32841, '', '东俄洛二村', '857cc97d76fa49eeaafaa105f11d6ca7', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102313', 5, '东俄洛二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102313', 1, '2021-07-19 12:05:46', NULL, NULL), (32842, '', '新都桥二村', '88bc6b26986544c481ba0de7e2555185', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102355', 5, '新都桥二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102355', 1, '2021-07-19 12:05:46', NULL, NULL), (32843, '', '东俄洛三村', 'f5ef00b5b0dd4ff8b6ab6a97a0ed429f', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102416', 5, '东俄洛三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102416', 1, '2021-07-19 12:05:46', NULL, NULL), (32844, '', '上柏桑一村', 'd288d06ad1ba4fe7bf94dff9a864053f', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102553', 5, '上柏桑一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102553', 1, '2021-07-19 12:05:47', NULL, NULL), (32845, '', '上柏桑二村', 'c2a971c79e2f404ea04de7b7db6f4c03', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102560', 5, '上柏桑二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102560', 1, '2021-07-19 12:05:47', NULL, NULL), (32846, '', '第一居民委员会', '4e92cfc5f8044994bcd25543f227fe52', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102659', 5, '第一居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102659', 1, '2021-07-19 12:05:47', NULL, NULL), (32847, '', '下柏桑二村', 'b30197e99aae412dac00f8b023ae27f9', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102890', 5, '下柏桑二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102890', 1, '2021-07-19 12:05:47', NULL, NULL), (32848, '', '东俄洛一村', '3212c5efd5f94a589e4dea4a5354f7ca', 'ea6a8717ecdd4661a786138a73f34e7d', 'False', 'False', 'false', 'false', '513301102892', 5, '东俄洛一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301102892', 1, '2021-07-19 12:05:47', NULL, NULL), (32849, '', '塔公镇', '467803c31e9741dda02ed213bc550275', '6e058ad9651645058813941ec3fc901d', 'True', 'True', 'false', 'false', '513301103000', 4, '塔公镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513301103000', 1, '2021-07-19 12:05:47', NULL, NULL), (32850, '', '巴日村', 'c9e4b71ac3224ad085a96475e982a944', '467803c31e9741dda02ed213bc550275', 'False', 'False', 'false', 'false', '513301103058', 5, '巴日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301103058', 1, '2021-07-19 12:05:47', NULL, NULL), (32851, '', '龙古一村', '33b75a4d02c14a7aa031cdab8bb4f9d1', '467803c31e9741dda02ed213bc550275', 'False', 'False', 'false', 'false', '513301103092', 5, '龙古一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301103092', 1, '2021-07-19 12:05:47', NULL, NULL), (32852, '', '色其村', '4bf87bbf1df84b51a8f99c00550df2c7', '467803c31e9741dda02ed213bc550275', 'False', 'False', 'false', 'false', '513301103134', 5, '色其村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301103134', 1, '2021-07-19 12:05:47', NULL, NULL), (32853, '', '日沙一村', 'fc1baa984fd5427190bab9b77936ecbe', '467803c31e9741dda02ed213bc550275', 'False', 'False', 'false', 'false', '513301103215', 5, '日沙一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301103215', 1, '2021-07-19 12:05:47', NULL, NULL), (32854, '', '塔公村', '75f82c05ce6541578bf46670ef77232e', '467803c31e9741dda02ed213bc550275', 'False', 'False', 'false', 'false', '513301103218', 5, '塔公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301103218', 1, '2021-07-19 12:05:47', NULL, NULL), (32855, '', '多拉村', '407e535dbef24dfb8c14a522c9374409', '467803c31e9741dda02ed213bc550275', 'False', 'False', 'false', 'false', '513301103341', 5, '多拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301103341', 1, '2021-07-19 12:05:47', NULL, NULL), (32856, '', '八朗村', 'a70e712e3d0b4770b6cff64abedc7a9e', '467803c31e9741dda02ed213bc550275', 'False', 'False', 'false', 'false', '513301103420', 5, '八朗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301103420', 1, '2021-07-19 12:05:47', NULL, NULL), (32857, '', '日沙三村', 'bbe2ba3c1a314bb0bcfee4abe025777b', '467803c31e9741dda02ed213bc550275', 'False', 'False', 'false', 'false', '513301103421', 5, '日沙三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301103421', 1, '2021-07-19 12:05:47', NULL, NULL), (32858, '', '然罗村', '122a85f0402442a4a697fb9039864bc1', '467803c31e9741dda02ed213bc550275', 'False', 'False', 'false', 'false', '513301103583', 5, '然罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301103583', 1, '2021-07-19 12:05:47', NULL, NULL), (32859, '', '龙古二村', '1e75eaade58b4c7a8b8c8552b069d6b4', '467803c31e9741dda02ed213bc550275', 'False', 'False', 'false', 'false', '513301103667', 5, '龙古二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301103667', 1, '2021-07-19 12:05:47', NULL, NULL), (32860, '', '江巴村', 'c775ed40cb8c45daa222d2117edb6534', '467803c31e9741dda02ed213bc550275', 'False', 'False', 'false', 'false', '513301103693', 5, '江巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301103693', 1, '2021-07-19 12:05:47', NULL, NULL), (32861, '', '下马龙村', 'e4000f26347247e697fac7ce290eb837', '467803c31e9741dda02ed213bc550275', 'False', 'False', 'false', 'false', '513301103746', 5, '下马龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301103746', 1, '2021-07-19 12:05:48', NULL, NULL), (32862, '', '古弄村', '0cffa81c820044689f6db0f4bac02a48', '467803c31e9741dda02ed213bc550275', 'False', 'False', 'false', 'false', '513301103842', 5, '古弄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301103842', 1, '2021-07-19 12:05:48', NULL, NULL), (32863, '', '各日马村', 'f6331d0d5abb43b4b3ff9088f3a7e214', '467803c31e9741dda02ed213bc550275', 'False', 'False', 'false', 'false', '513301103926', 5, '各日马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301103926', 1, '2021-07-19 12:05:48', NULL, NULL), (32864, '', '日沙二村', 'a2e2f1094e3845339d5ee673bf4a7cd7', '467803c31e9741dda02ed213bc550275', 'False', 'False', 'false', 'false', '513301103983', 5, '日沙二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301103983', 1, '2021-07-19 12:05:48', NULL, NULL), (32865, '', '沙德镇', 'd69570b4ceaa4fb3b5da0e1a6fb2a379', '6e058ad9651645058813941ec3fc901d', 'True', 'True', 'false', 'false', '513301104000', 4, '沙德镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513301104000', 1, '2021-07-19 12:05:48', NULL, NULL), (32866, '', '沙德村', '78bf9be3aa2845c486b68664c0620959', 'd69570b4ceaa4fb3b5da0e1a6fb2a379', 'False', 'False', 'false', 'false', '513301104018', 5, '沙德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301104018', 1, '2021-07-19 12:05:48', NULL, NULL), (32867, '', '俄巴绒村', '7179186dd46d46e6a12731eea024bd06', 'd69570b4ceaa4fb3b5da0e1a6fb2a379', 'False', 'False', 'false', 'false', '513301104122', 5, '俄巴绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301104122', 1, '2021-07-19 12:05:48', NULL, NULL), (32868, '', '上赤吉西村', '1e47274833464839896b231787a5de29', 'd69570b4ceaa4fb3b5da0e1a6fb2a379', 'False', 'False', 'false', 'false', '513301104256', 5, '上赤吉西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301104256', 1, '2021-07-19 12:05:48', NULL, NULL), (32869, '', '生古村', 'f2f85c241dd74324914620e2200b5e43', 'd69570b4ceaa4fb3b5da0e1a6fb2a379', 'False', 'False', 'false', 'false', '513301104322', 5, '生古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301104322', 1, '2021-07-19 12:05:48', NULL, NULL), (32870, '', '拉哈村', '4456d36bff63464d8f1c528bf5c67fb6', 'd69570b4ceaa4fb3b5da0e1a6fb2a379', 'False', 'False', 'false', 'false', '513301104456', 5, '拉哈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301104456', 1, '2021-07-19 12:05:48', NULL, NULL), (32871, '', '瓦约村', '6bedddeb257e49f5951225de85e5a44f', 'd69570b4ceaa4fb3b5da0e1a6fb2a379', 'False', 'False', 'false', 'false', '513301104730', 5, '瓦约村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301104730', 1, '2021-07-19 12:05:48', NULL, NULL), (32872, '', '下赤吉西村', '5ef5a1f0e5c8403e9ca5058605c7af53', 'd69570b4ceaa4fb3b5da0e1a6fb2a379', 'False', 'False', 'false', 'false', '513301104797', 5, '下赤吉西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301104797', 1, '2021-07-19 12:05:48', NULL, NULL), (32873, '', '金汤镇', '4142829a2b104c1aa9174cd4686f7c81', '6e058ad9651645058813941ec3fc901d', 'True', 'True', 'false', 'false', '513301105000', 4, '金汤镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513301105000', 1, '2021-07-19 12:05:48', NULL, NULL), (32874, '', '陇须村', '5b6c92e9903f462b890003ec915573b7', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105100', 5, '陇须村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105100', 1, '2021-07-19 12:05:48', NULL, NULL), (32875, '', '先锋二村', '927b9fedd50d4bc99d064f9f2a8bb8a0', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105111', 5, '先锋二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105111', 1, '2021-07-19 12:05:48', NULL, NULL), (32876, '', '赤绒村', 'fe30dafff0534cf0b2abd4c3bbb97913', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105215', 5, '赤绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105215', 1, '2021-07-19 12:05:48', NULL, NULL), (32877, '', '庄子村', 'f7b637c3704c49a5abc552fc25ab0a36', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105216', 5, '庄子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105216', 1, '2021-07-19 12:05:49', NULL, NULL), (32878, '', '边坝村', '564be2d255d742f99f158b9f1ceb5352', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105217', 5, '边坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105217', 1, '2021-07-19 12:05:49', NULL, NULL), (32879, '', '二郎村', '3ad867b2641a434680b8c3eb689b32be', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105218', 5, '二郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105218', 1, '2021-07-19 12:05:49', NULL, NULL), (32880, '', '大火地村', '3908b0d2d9d74859b44be5e9eb9cc8fe', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105219', 5, '大火地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105219', 1, '2021-07-19 12:05:49', NULL, NULL), (32881, '', '老五大寺村', 'a0fd033f89d34065bf46a87b96d74dd2', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105220', 5, '老五大寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105220', 1, '2021-07-19 12:05:49', NULL, NULL), (32882, '', '新五大寺村', '12a4372cb6134e2ab8d5a327bfb63683', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105221', 5, '新五大寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105221', 1, '2021-07-19 12:05:49', NULL, NULL), (32883, '', '江坝村', 'bfdfd431d11248ddb5f77c635f0da95c', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105222', 5, '江坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105222', 1, '2021-07-19 12:05:49', NULL, NULL), (32884, '', '昌坝村', 'ffbbf00967af45c283aa7fbab1bb808b', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105223', 5, '昌坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105223', 1, '2021-07-19 12:05:49', NULL, NULL), (32885, '', '昌须村', '3cc53ff61e15444f8e676f05f696064b', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105224', 5, '昌须村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105224', 1, '2021-07-19 12:05:49', NULL, NULL), (32886, '', '河坝村', '5e6f9e43c0ea4019a1fc45a4d5060c71', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105225', 5, '河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105225', 1, '2021-07-19 12:05:49', NULL, NULL), (32887, '', '青杠三村', 'a6e6a5bab98d4a158f5585a8f97b1b69', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105307', 5, '青杠三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105307', 1, '2021-07-19 12:05:49', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (32888, '', '新房子村', '94a1c3346abf48dca5e77472fefa45d7', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105318', 5, '新房子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105318', 1, '2021-07-19 12:05:49', NULL, NULL), (32889, '', '新联上村', 'edd326afeae14e148d55a039ac9da2d6', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105385', 5, '新联上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105385', 1, '2021-07-19 12:05:49', NULL, NULL), (32890, '', '高碉村', '0ebd03a3190545c5ba3d40296636e8a3', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105399', 5, '高碉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105399', 1, '2021-07-19 12:05:49', NULL, NULL), (32891, '', '青杠二村', 'c4ae884d4a0e4714a7984ebc079ffc17', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105476', 5, '青杠二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105476', 1, '2021-07-19 12:05:49', NULL, NULL), (32892, '', '先锋三村', '13270773f00e4b758f4df2690e2f7f5c', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105532', 5, '先锋三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105532', 1, '2021-07-19 12:05:49', NULL, NULL), (32893, '', '寇家河坝村', 'dd27e89039294573b7d30a61167d6340', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105644', 5, '寇家河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105644', 1, '2021-07-19 12:05:49', NULL, NULL), (32894, '', '青杠一村', '868aadbd1a5f423e823a9bd781bde72e', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105706', 5, '青杠一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105706', 1, '2021-07-19 12:05:49', NULL, NULL), (32895, '', '汤坝村', 'cae4fd35b2e74729b557955a68402fee', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105765', 5, '汤坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105765', 1, '2021-07-19 12:05:49', NULL, NULL), (32896, '', '青杠四村', 'a654630fd9ae498c923f106734be09b1', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105873', 5, '青杠四村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105873', 1, '2021-07-19 12:05:50', NULL, NULL), (32897, '', '先锋一村', 'd5ad8bbd147d47cb961b02f5ea4b6e92', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105908', 5, '先锋一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105908', 1, '2021-07-19 12:05:50', NULL, NULL), (32898, '', '新联下村', '66dc2b815a7f4a28862506bfa33eaae5', '4142829a2b104c1aa9174cd4686f7c81', 'False', 'False', 'false', 'false', '513301105915', 5, '新联下村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301105915', 1, '2021-07-19 12:05:50', NULL, NULL), (32899, '', '雅拉乡', '033fdb4d9152492e8c45f5e2fefae651', '6e058ad9651645058813941ec3fc901d', 'True', 'True', 'false', 'false', '513301201000', 4, '雅拉乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513301201000', 1, '2021-07-19 12:05:50', NULL, NULL), (32900, '', '曲公村', 'fcef56fd27034bdd9ff060ce8b50b541', '033fdb4d9152492e8c45f5e2fefae651', 'False', 'False', 'false', 'false', '513301201013', 5, '曲公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301201013', 1, '2021-07-19 12:05:50', NULL, NULL), (32901, '', '王母村', '05248db3560e49a88ee9b2689a61fccf', '033fdb4d9152492e8c45f5e2fefae651', 'False', 'False', 'false', 'false', '513301201165', 5, '王母村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301201165', 1, '2021-07-19 12:05:50', NULL, NULL), (32902, '', '孟庆村', 'b26771e3a1194696bc299ceca68c8ca2', '033fdb4d9152492e8c45f5e2fefae651', 'False', 'False', 'false', 'false', '513301201351', 5, '孟庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301201351', 1, '2021-07-19 12:05:50', NULL, NULL), (32903, '', '三道桥村', '2c979aa106c1421e8c984029d6ed54bb', '033fdb4d9152492e8c45f5e2fefae651', 'False', 'False', 'false', 'false', '513301201447', 5, '三道桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301201447', 1, '2021-07-19 12:05:50', NULL, NULL), (32904, '', '中谷村', '07302ae9d12e47338f1043413b64ace8', '033fdb4d9152492e8c45f5e2fefae651', 'False', 'False', 'false', 'false', '513301201576', 5, '中谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301201576', 1, '2021-07-19 12:05:50', NULL, NULL), (32905, '', '头道桥村', '6f13b99850244261975324e68def00b9', '033fdb4d9152492e8c45f5e2fefae651', 'False', 'False', 'false', 'false', '513301201600', 5, '头道桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301201600', 1, '2021-07-19 12:05:50', NULL, NULL), (32906, '', '二道桥村', '66a8d1695d104c52bca374a4329e1b09', '033fdb4d9152492e8c45f5e2fefae651', 'False', 'False', 'false', 'false', '513301201843', 5, '二道桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301201843', 1, '2021-07-19 12:05:50', NULL, NULL), (32907, '', '新兴村', '07ded030f568443ab65abbc9dae30c5f', '033fdb4d9152492e8c45f5e2fefae651', 'False', 'False', 'false', 'false', '513301201912', 5, '新兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301201912', 1, '2021-07-19 12:05:50', NULL, NULL), (32908, '', '鱼斯村', 'cf3a2dab1df24ecaaf496877ca1260e7', '033fdb4d9152492e8c45f5e2fefae651', 'False', 'False', 'false', 'false', '513301201938', 5, '鱼斯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301201938', 1, '2021-07-19 12:05:50', NULL, NULL), (32909, '', '麦崩乡', 'a5d65a36712b4203b47338fa1cbd189b', '6e058ad9651645058813941ec3fc901d', 'True', 'True', 'false', 'false', '513301205000', 4, '麦崩乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513301205000', 1, '2021-07-19 12:05:50', NULL, NULL), (32910, '', '敏迁村', '441e28b7d314405d8dc7b66941ca5e59', 'a5d65a36712b4203b47338fa1cbd189b', 'False', 'False', 'false', 'false', '513301205031', 5, '敏迁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301205031', 1, '2021-07-19 12:05:50', NULL, NULL), (32911, '', '为舍村', 'b1e3c316e8ff43819753294561a8ab01', 'a5d65a36712b4203b47338fa1cbd189b', 'False', 'False', 'false', 'false', '513301205052', 5, '为舍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301205052', 1, '2021-07-19 12:05:50', NULL, NULL), (32912, '', '瓜达沟村', '533253f3b6324c2d8ad76c0ba179d2e9', 'a5d65a36712b4203b47338fa1cbd189b', 'False', 'False', 'false', 'false', '513301205194', 5, '瓜达沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301205194', 1, '2021-07-19 12:05:50', NULL, NULL), (32913, '', '昌昌村', '0191c7bd42364a6b9856336aadee1b97', 'a5d65a36712b4203b47338fa1cbd189b', 'False', 'False', 'false', 'false', '513301205315', 5, '昌昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301205315', 1, '2021-07-19 12:05:50', NULL, NULL), (32914, '', '厂马村', '3fb9eda6654f478e9805056bee0bc165', 'a5d65a36712b4203b47338fa1cbd189b', 'False', 'False', 'false', 'false', '513301205440', 5, '厂马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301205440', 1, '2021-07-19 12:05:50', NULL, NULL), (32915, '', '下火地村', 'bde1a3fbb25a4a0089490edb3f817514', 'a5d65a36712b4203b47338fa1cbd189b', 'False', 'False', 'false', 'false', '513301205584', 5, '下火地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301205584', 1, '2021-07-19 12:05:51', NULL, NULL), (32916, '', '日央村', 'fe6e9257552b41f788b394fda76da844', 'a5d65a36712b4203b47338fa1cbd189b', 'False', 'False', 'false', 'false', '513301205631', 5, '日央村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301205631', 1, '2021-07-19 12:05:51', NULL, NULL), (32917, '', '含泥村', '34438a43091741348412201a7b0ccd33', 'a5d65a36712b4203b47338fa1cbd189b', 'False', 'False', 'false', 'false', '513301205728', 5, '含泥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301205728', 1, '2021-07-19 12:05:51', NULL, NULL), (32918, '', '磨子沟村', 'f598a8430a7045489a241151e4d89549', 'a5d65a36712b4203b47338fa1cbd189b', 'False', 'False', 'false', 'false', '513301205898', 5, '磨子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301205898', 1, '2021-07-19 12:05:51', NULL, NULL), (32919, '', '捧塔乡', '73662f52c74449b796805ca985a3d944', '6e058ad9651645058813941ec3fc901d', 'True', 'True', 'false', 'false', '513301208000', 4, '捧塔乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513301208000', 1, '2021-07-19 12:05:51', NULL, NULL), (32920, '', '两河口村', '0b8411f6da0742c18ad2600f7f92e394', '73662f52c74449b796805ca985a3d944', 'False', 'False', 'false', 'false', '513301208031', 5, '两河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301208031', 1, '2021-07-19 12:05:51', NULL, NULL), (32921, '', '三家寨村', '67e210dca4a74d8699819261c315a0cd', '73662f52c74449b796805ca985a3d944', 'False', 'False', 'false', 'false', '513301208253', 5, '三家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301208253', 1, '2021-07-19 12:05:51', NULL, NULL), (32922, '', '和平村', 'a09c88c4df9b4302b2b5de5d7c9c6b7e', '73662f52c74449b796805ca985a3d944', 'False', 'False', 'false', 'false', '513301208306', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301208306', 1, '2021-07-19 12:05:51', NULL, NULL), (32923, '', '桐林村', 'ecc5552646724e919f50e2db3e04df57', '73662f52c74449b796805ca985a3d944', 'False', 'False', 'false', 'false', '513301208324', 5, '桐林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301208324', 1, '2021-07-19 12:05:51', NULL, NULL), (32924, '', '新兴下村', '6e57446b8f7a4def81756faf77841f58', '73662f52c74449b796805ca985a3d944', 'False', 'False', 'false', 'false', '513301208392', 5, '新兴下村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301208392', 1, '2021-07-19 12:05:51', NULL, NULL), (32925, '', '团结村', '8fdff0cbdc7043bf953caa78025ec2ac', '73662f52c74449b796805ca985a3d944', 'False', 'False', 'false', 'false', '513301208456', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301208456', 1, '2021-07-19 12:05:51', NULL, NULL), (32926, '', '新兴上村', 'df2eca767e4541c09342b673c8a828c0', '73662f52c74449b796805ca985a3d944', 'False', 'False', 'false', 'false', '513301208563', 5, '新兴上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301208563', 1, '2021-07-19 12:05:51', NULL, NULL), (32927, '', '捧塔村', '88ef4fc638de4034b9b121358b621bb2', '73662f52c74449b796805ca985a3d944', 'False', 'False', 'false', 'false', '513301208580', 5, '捧塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301208580', 1, '2021-07-19 12:05:51', NULL, NULL), (32928, '', '解放一村', '1bf56f3ea82349db9c76a65e1df46c84', '73662f52c74449b796805ca985a3d944', 'False', 'False', 'false', 'false', '513301208621', 5, '解放一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301208621', 1, '2021-07-19 12:05:51', NULL, NULL), (32929, '', '阳林村', '66da019848a742f3b975645afec9c3b6', '73662f52c74449b796805ca985a3d944', 'False', 'False', 'false', 'false', '513301208712', 5, '阳林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301208712', 1, '2021-07-19 12:05:51', NULL, NULL), (32930, '', '解放二村', '8f1450bf7af54705bc382e01e2b5d3c3', '73662f52c74449b796805ca985a3d944', 'False', 'False', 'false', 'false', '513301208884', 5, '解放二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301208884', 1, '2021-07-19 12:05:51', NULL, NULL), (32931, '', '贡嘎山镇', 'dcf6c5a3a64444ca8c7b780e8a81ec29', '6e058ad9651645058813941ec3fc901d', 'True', 'True', 'false', 'false', '513301210000', 4, '贡嘎山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513301210000', 1, '2021-07-19 12:05:51', NULL, NULL), (32932, '', '色乌绒二村', '43e7908e90ed4d4e9cdd4405dad24441', 'dcf6c5a3a64444ca8c7b780e8a81ec29', 'False', 'False', 'false', 'false', '513301210216', 5, '色乌绒二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301210216', 1, '2021-07-19 12:05:51', NULL, NULL), (32933, '', '贡嘎山村', '31413e84b9d24565bb98eed11251f0a1', 'dcf6c5a3a64444ca8c7b780e8a81ec29', 'False', 'False', 'false', 'false', '513301210296', 5, '贡嘎山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301210296', 1, '2021-07-19 12:05:52', NULL, NULL), (32934, '', '程子村', '180615a15a5f426aba910c08cdff28e6', 'dcf6c5a3a64444ca8c7b780e8a81ec29', 'False', 'False', 'false', 'false', '513301210317', 5, '程子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301210317', 1, '2021-07-19 12:05:52', NULL, NULL), (32935, '', '木居上村', '83ec6fb9fad7419b853a63aa6fafca43', 'dcf6c5a3a64444ca8c7b780e8a81ec29', 'False', 'False', 'false', 'false', '513301210577', 5, '木居上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301210577', 1, '2021-07-19 12:05:52', NULL, NULL), (32936, '', '玉龙西村', '98836e25add34f198edd4e3a2a3e39de', 'dcf6c5a3a64444ca8c7b780e8a81ec29', 'False', 'False', 'false', 'false', '513301210597', 5, '玉龙西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301210597', 1, '2021-07-19 12:05:52', NULL, NULL), (32937, '', '木居下村', '56d9f2f629b74c19af885d2d32242d04', 'dcf6c5a3a64444ca8c7b780e8a81ec29', 'False', 'False', 'false', 'false', '513301210649', 5, '木居下村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301210649', 1, '2021-07-19 12:05:52', NULL, NULL), (32938, '', '六巴村', '4197b1b87d994b5da4ca9e443ef91cba', 'dcf6c5a3a64444ca8c7b780e8a81ec29', 'False', 'False', 'false', 'false', '513301210850', 5, '六巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301210850', 1, '2021-07-19 12:05:52', NULL, NULL), (32939, '', '色乌绒一村', 'b12d758b604b4e728ba2e285e54ebc4c', 'dcf6c5a3a64444ca8c7b780e8a81ec29', 'False', 'False', 'false', 'false', '513301210860', 5, '色乌绒一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301210860', 1, '2021-07-19 12:05:52', NULL, NULL), (32940, '', '普沙绒乡', 'e787227684e7487b920f16837c8dd5e4', '6e058ad9651645058813941ec3fc901d', 'True', 'True', 'false', 'false', '513301211000', 4, '普沙绒乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513301211000', 1, '2021-07-19 12:05:52', NULL, NULL), (32941, '', '火山村', '53a6448b8db24233be01f5055bafc3e9', 'e787227684e7487b920f16837c8dd5e4', 'False', 'False', 'false', 'false', '513301211013', 5, '火山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301211013', 1, '2021-07-19 12:05:52', NULL, NULL), (32942, '', '冰古村', 'c306bd5f68564dad8dc17a6801c65e42', 'e787227684e7487b920f16837c8dd5e4', 'False', 'False', 'false', 'false', '513301211179', 5, '冰古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301211179', 1, '2021-07-19 12:05:52', NULL, NULL), (32943, '', '宜代村', '01872a91a95448728c1fc895930e12b4', 'e787227684e7487b920f16837c8dd5e4', 'False', 'False', 'false', 'false', '513301211635', 5, '宜代村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301211635', 1, '2021-07-19 12:05:52', NULL, NULL), (32944, '', '长草坪村', 'ffcaa1f8fe424cb6aa89f5ed2c94e59b', 'e787227684e7487b920f16837c8dd5e4', 'False', 'False', 'false', 'false', '513301211715', 5, '长草坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301211715', 1, '2021-07-19 12:05:52', NULL, NULL), (32945, '', '莲花湖村', '8f07226b9a224f8fa5abe87200c5db8d', 'e787227684e7487b920f16837c8dd5e4', 'False', 'False', 'false', 'false', '513301211978', 5, '莲花湖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301211978', 1, '2021-07-19 12:05:52', NULL, NULL), (32946, '', '普沙绒村', '7f322f77a6c0403fbc7c91623e68bfcc', 'e787227684e7487b920f16837c8dd5e4', 'False', 'False', 'false', 'false', '513301211981', 5, '普沙绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301211981', 1, '2021-07-19 12:05:52', NULL, NULL), (32947, '', '吉居乡', 'a944e868c6424de3b38956615ab462ce', '6e058ad9651645058813941ec3fc901d', 'True', 'True', 'false', 'false', '513301212000', 4, '吉居乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513301212000', 1, '2021-07-19 12:05:52', NULL, NULL), (32948, '', '宋玉村', '34a1e4bdd3574123ab452a37b8c5b32d', 'a944e868c6424de3b38956615ab462ce', 'False', 'False', 'false', 'false', '513301212019', 5, '宋玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301212019', 1, '2021-07-19 12:05:53', NULL, NULL), (32949, '', '吉居村', '5b519f4258f8454991c7999ced571025', 'a944e868c6424de3b38956615ab462ce', 'False', 'False', 'false', 'false', '513301212167', 5, '吉居村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301212167', 1, '2021-07-19 12:05:53', NULL, NULL), (32950, '', '菜玉村', '5d665b5448394377a5e58c5343a8af37', 'a944e868c6424de3b38956615ab462ce', 'False', 'False', 'false', 'false', '513301212380', 5, '菜玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301212380', 1, '2021-07-19 12:05:53', NULL, NULL), (32951, '', '马蹄村', 'd3a6891109a442e7854b21522f0e39f8', 'a944e868c6424de3b38956615ab462ce', 'False', 'False', 'false', 'false', '513301212711', 5, '马蹄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301212711', 1, '2021-07-19 12:05:53', NULL, NULL), (32952, '', '各坝村', 'fcef912652dd4730b841614a817ef3be', 'a944e868c6424de3b38956615ab462ce', 'False', 'False', 'false', 'false', '513301212983', 5, '各坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301212983', 1, '2021-07-19 12:05:53', NULL, NULL), (32953, '', '呷巴乡', '16f412a200a44c20a725b0a10d26ed49', '6e058ad9651645058813941ec3fc901d', 'True', 'True', 'false', 'false', '513301214000', 4, '呷巴乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513301214000', 1, '2021-07-19 12:05:53', NULL, NULL), (32954, '', '自弄村', '3fcb6d493f304a10949475a3269c9078', '16f412a200a44c20a725b0a10d26ed49', 'False', 'False', 'false', 'false', '513301214035', 5, '自弄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301214035', 1, '2021-07-19 12:05:53', NULL, NULL), (32955, '', '具弄村', '73e6549544a742ddbbc1fe01fe264591', '16f412a200a44c20a725b0a10d26ed49', 'False', 'False', 'false', 'false', '513301214175', 5, '具弄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301214175', 1, '2021-07-19 12:05:53', NULL, NULL), (32956, '', '呷巴下村', '7141c9d92c7e41f3abed8782033c19bb', '16f412a200a44c20a725b0a10d26ed49', 'False', 'False', 'false', 'false', '513301214308', 5, '呷巴下村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301214308', 1, '2021-07-19 12:05:53', NULL, NULL), (32957, '', '木弄村', 'da5f141046724f5cb7865d036ee8c4d5', '16f412a200a44c20a725b0a10d26ed49', 'False', 'False', 'false', 'false', '513301214493', 5, '木弄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301214493', 1, '2021-07-19 12:05:53', NULL, NULL), (32958, '', '塔拉上村', 'fd0f150bda964e06a525f1c7d6fa4841', '16f412a200a44c20a725b0a10d26ed49', 'False', 'False', 'false', 'false', '513301214511', 5, '塔拉上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301214511', 1, '2021-07-19 12:05:53', NULL, NULL), (32959, '', '俄达门巴村', '2d44657899004f42a14602d28d7c0ef7', '16f412a200a44c20a725b0a10d26ed49', 'False', 'False', 'false', 'false', '513301214539', 5, '俄达门巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301214539', 1, '2021-07-19 12:05:53', NULL, NULL), (32960, '', '塔拉下村', 'be03dc052d9e4b4c9a599ccd93f54607', '16f412a200a44c20a725b0a10d26ed49', 'False', 'False', 'false', 'false', '513301214627', 5, '塔拉下村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301214627', 1, '2021-07-19 12:05:53', NULL, NULL), (32961, '', '铁索村', 'f6d3efed76774bd9a97929079ebdc514', '16f412a200a44c20a725b0a10d26ed49', 'False', 'False', 'false', 'false', '513301214650', 5, '铁索村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301214650', 1, '2021-07-19 12:05:53', NULL, NULL), (32962, '', '呷巴上村', '76d5264006744d5fb9c75d1ad1b7a226', '16f412a200a44c20a725b0a10d26ed49', 'False', 'False', 'false', 'false', '513301214730', 5, '呷巴上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301214730', 1, '2021-07-19 12:05:53', NULL, NULL), (32963, '', '司泽村', '64a7cf0a97ee4343a74accf222cd40a0', '16f412a200a44c20a725b0a10d26ed49', 'False', 'False', 'false', 'false', '513301214807', 5, '司泽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301214807', 1, '2021-07-19 12:05:53', NULL, NULL), (32964, '', '立启村', '68e23cd3fb6e410089ccb449f62cc867', '16f412a200a44c20a725b0a10d26ed49', 'False', 'False', 'false', 'false', '513301214938', 5, '立启村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301214938', 1, '2021-07-19 12:05:54', NULL, NULL), (32965, '', '甲根坝镇', '0a709978490546bdade1e0b6ff32b14f', '6e058ad9651645058813941ec3fc901d', 'True', 'True', 'false', 'false', '513301215000', 4, '甲根坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513301215000', 1, '2021-07-19 12:05:54', NULL, NULL), (32966, '', '提吾村', '725a6dcdbd8b456bb8f6f5e913272cf7', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215039', 5, '提吾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215039', 1, '2021-07-19 12:05:54', NULL, NULL), (32967, '', '朋布西村', '6965a5a717e54a8a92b56ae1d1b4cfb0', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215210', 5, '朋布西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215210', 1, '2021-07-19 12:05:54', NULL, NULL), (32968, '', '木枯村', '10578688822d4817b7f09edb298fd50c', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215211', 5, '木枯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215211', 1, '2021-07-19 12:05:54', NULL, NULL), (32969, '', '日头村', '64e17a6767cb4f51942022b671e0ddcf', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215212', 5, '日头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215212', 1, '2021-07-19 12:05:54', NULL, NULL), (32970, '', '木都村', '97c9ec6f416140c0bfe1328ec32b624d', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215213', 5, '木都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215213', 1, '2021-07-19 12:05:54', NULL, NULL), (32971, '', '马达村', '93cd3e71610a4b0c8ce20421663eb22c', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215214', 5, '马达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215214', 1, '2021-07-19 12:05:54', NULL, NULL), (32972, '', '夺让村', 'f7b22520d59b43a8b1986be20e3902a7', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215215', 5, '夺让村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215215', 1, '2021-07-19 12:05:54', NULL, NULL), (32973, '', '日吾村', 'ec3e17f798a94bc48cfaa6d29daba515', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215216', 5, '日吾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215216', 1, '2021-07-19 12:05:54', NULL, NULL), (32974, '', '江德村', '7e12e48582234eba9a56dca5790a4ae1', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215217', 5, '江德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215217', 1, '2021-07-19 12:05:54', NULL, NULL), (32975, '', '纳梯村', '343c34dfa23540508528dc315c96aff1', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215218', 5, '纳梯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215218', 1, '2021-07-19 12:05:54', NULL, NULL), (32976, '', '提弄村', '59976d9e07634a84abdf9d8d88d82ca8', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215219', 5, '提弄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215219', 1, '2021-07-19 12:05:54', NULL, NULL), (32977, '', '马色村', 'd3da1614a4a6439688a6d1fef89df168', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215220', 5, '马色村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215220', 1, '2021-07-19 12:05:54', NULL, NULL), (32978, '', '日欧村', '26cc55a4c8584c36a5d7fad9dd04ca08', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215254', 5, '日欧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215254', 1, '2021-07-19 12:05:54', NULL, NULL), (32979, '', '亚弄村', '0020cb52874d432e84228a7520d0675d', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215326', 5, '亚弄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215326', 1, '2021-07-19 12:05:54', NULL, NULL), (32980, '', '扎日村', '5ab62db7af644921a63548f67374830a', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215412', 5, '扎日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215412', 1, '2021-07-19 12:05:55', NULL, NULL), (32981, '', '立泽村', '8e5815d2ed9f4f8d964dbc19011acad4', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215697', 5, '立泽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215697', 1, '2021-07-19 12:05:55', NULL, NULL), (32982, '', '阿加上村', '26814644dd16423b97de398bb4e73fec', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215780', 5, '阿加上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215780', 1, '2021-07-19 12:05:55', NULL, NULL), (32983, '', '木雅村', 'd188241b70e3459b944c62ba205c38e2', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215886', 5, '木雅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215886', 1, '2021-07-19 12:05:55', NULL, NULL), (32984, '', '昌木村', 'd4d246136b4a49cdafa7393b31e9afc9', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215956', 5, '昌木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215956', 1, '2021-07-19 12:05:55', NULL, NULL), (32985, '', '日泽村', '435ceb90dafc4aa196922f66e7860ccb', '0a709978490546bdade1e0b6ff32b14f', 'False', 'False', 'false', 'false', '513301215986', 5, '日泽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301215986', 1, '2021-07-19 12:05:55', NULL, NULL), (32986, '', '孔玉乡', 'c2ccb1d756254f1698e1fb3f5a5a4512', '6e058ad9651645058813941ec3fc901d', 'True', 'True', 'false', 'false', '513301218000', 4, '孔玉乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513301218000', 1, '2021-07-19 12:05:55', NULL, NULL), (32987, '', '寸达村', '478afd4ad9f04c209342412e2d7ee26c', 'c2ccb1d756254f1698e1fb3f5a5a4512', 'False', 'False', 'false', 'false', '513301218017', 5, '寸达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301218017', 1, '2021-07-19 12:05:55', NULL, NULL), (32988, '', '莫玉村', '62d0cf351bb141bd91f15e657098ec96', 'c2ccb1d756254f1698e1fb3f5a5a4512', 'False', 'False', 'false', 'false', '513301218055', 5, '莫玉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301218055', 1, '2021-07-19 12:05:55', NULL, NULL), (32989, '', '四家寨村', 'cee562e09a984fb3ae7afb6bc35fcb05', 'c2ccb1d756254f1698e1fb3f5a5a4512', 'False', 'False', 'false', 'false', '513301218109', 5, '四家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301218109', 1, '2021-07-19 12:05:55', NULL, NULL), (32990, '', '崩沙村', '37a4e2cc417644018b2532fe5acb784e', 'c2ccb1d756254f1698e1fb3f5a5a4512', 'False', 'False', 'false', 'false', '513301218210', 5, '崩沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301218210', 1, '2021-07-19 12:05:55', NULL, NULL), (32991, '', '河坝村', 'cc6868baf9fc4e9d8c7a84c10f8cca3b', 'c2ccb1d756254f1698e1fb3f5a5a4512', 'False', 'False', 'false', 'false', '513301218240', 5, '河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301218240', 1, '2021-07-19 12:05:55', NULL, NULL), (32992, '', '巴郎村', '5b2a8c7a62304c63bd5820bf4be46d38', 'c2ccb1d756254f1698e1fb3f5a5a4512', 'False', 'False', 'false', 'false', '513301218314', 5, '巴郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301218314', 1, '2021-07-19 12:05:55', NULL, NULL), (32993, '', '门坝村', '9a3bbef78c4544559f2927a93b557309', 'c2ccb1d756254f1698e1fb3f5a5a4512', 'False', 'False', 'false', 'false', '513301218316', 5, '门坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301218316', 1, '2021-07-19 12:05:55', NULL, NULL), (32994, '', '色龙村', '2fd068a39f7940ff8f51f835a09483c8', 'c2ccb1d756254f1698e1fb3f5a5a4512', 'False', 'False', 'false', 'false', '513301218411', 5, '色龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301218411', 1, '2021-07-19 12:05:56', NULL, NULL), (32995, '', '挖郎村', '0a424c131320488d93e73c5eebfb44a9', 'c2ccb1d756254f1698e1fb3f5a5a4512', 'False', 'False', 'false', 'false', '513301218440', 5, '挖郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301218440', 1, '2021-07-19 12:05:56', NULL, NULL), (32996, '', '角坝村', '24e6d00454a24efab6554fb235c78fca', 'c2ccb1d756254f1698e1fb3f5a5a4512', 'False', 'False', 'false', 'false', '513301218548', 5, '角坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301218548', 1, '2021-07-19 12:05:56', NULL, NULL), (32997, '', '折骆村', 'd750ff81922b4f87bc9223352ee24276', 'c2ccb1d756254f1698e1fb3f5a5a4512', 'False', 'False', 'false', 'false', '513301218725', 5, '折骆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301218725', 1, '2021-07-19 12:05:56', NULL, NULL), (32998, '', '阿斗沟村', '6c6d04f5cf4c430f9ab27a8afe9740f6', 'c2ccb1d756254f1698e1fb3f5a5a4512', 'False', 'False', 'false', 'false', '513301218734', 5, '阿斗沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301218734', 1, '2021-07-19 12:05:56', NULL, NULL), (32999, '', '鱼通镇', '8a41b80f9a0842db9b575e504eff2b56', '6e058ad9651645058813941ec3fc901d', 'True', 'True', 'false', 'false', '513301219000', 4, '鱼通镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513301219000', 1, '2021-07-19 12:05:56', NULL, NULL), (33000, '', '俄包村', '07a84009c0ef4dcc80c57378001ca4e8', '8a41b80f9a0842db9b575e504eff2b56', 'False', 'False', 'false', 'false', '513301219060', 5, '俄包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301219060', 1, '2021-07-19 12:05:56', NULL, NULL), (33001, '', '前溪村', 'c81de93b20644c1094b54892ee8c6b3c', '8a41b80f9a0842db9b575e504eff2b56', 'False', 'False', 'false', 'false', '513301219074', 5, '前溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301219074', 1, '2021-07-19 12:05:56', NULL, NULL), (33002, '', '野坝村', '00ae318482484b708b34a2065f312107', '8a41b80f9a0842db9b575e504eff2b56', 'False', 'False', 'false', 'false', '513301219098', 5, '野坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301219098', 1, '2021-07-19 12:05:56', NULL, NULL), (33003, '', '赶羊村', 'c7d0f5ac40a040f58128325b3fd6db14', '8a41b80f9a0842db9b575e504eff2b56', 'False', 'False', 'false', 'false', '513301219264', 5, '赶羊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301219264', 1, '2021-07-19 12:05:56', NULL, NULL), (33004, '', '龙安村', '63f2c5e34e984dcb8f277705970881b3', '8a41b80f9a0842db9b575e504eff2b56', 'False', 'False', 'false', 'false', '513301219281', 5, '龙安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301219281', 1, '2021-07-19 12:05:56', NULL, NULL), (33005, '', '干沟村', '157531841fc64e05912ba2704f433f17', '8a41b80f9a0842db9b575e504eff2b56', 'False', 'False', 'false', 'false', '513301219283', 5, '干沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301219283', 1, '2021-07-19 12:05:56', NULL, NULL), (33006, '', '舍联村', '009308d56684436a9cfd323b237faec9', '8a41b80f9a0842db9b575e504eff2b56', 'False', 'False', 'false', 'false', '513301219384', 5, '舍联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301219384', 1, '2021-07-19 12:05:56', NULL, NULL), (33007, '', '雄楼村', 'a9cea8cc32884a179b3cab1adcb2dfb9', '8a41b80f9a0842db9b575e504eff2b56', 'False', 'False', 'false', 'false', '513301219426', 5, '雄楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301219426', 1, '2021-07-19 12:05:56', NULL, NULL), (33008, '', '初咱村', '92631d6c22d041449e4fe434f594447a', '8a41b80f9a0842db9b575e504eff2b56', 'False', 'False', 'false', 'false', '513301219429', 5, '初咱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301219429', 1, '2021-07-19 12:05:56', NULL, NULL), (33009, '', '牛棚子村', '6356af862a10489483dab67e81456b81', '8a41b80f9a0842db9b575e504eff2b56', 'False', 'False', 'false', 'false', '513301219467', 5, '牛棚子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301219467', 1, '2021-07-19 12:05:56', NULL, NULL), (33010, '', '勒树村', '7724177c1d8e436dbb8b1d2e55f0ce80', '8a41b80f9a0842db9b575e504eff2b56', 'False', 'False', 'false', 'false', '513301219848', 5, '勒树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513301219848', 1, '2021-07-19 12:05:56', NULL, NULL), (33011, '', '泸定县', 'c80b360e49ac48e9ae792e2f192e2c15', '4e0988aa699e46dd9cdf992180c73cd8', 'True', 'True', 'false', 'false', '513322000000', 3, '泸定县', 'gzzldx.sczwfw.gov.cn', 1, '2021-07-19 12:05:56', NULL, NULL), (33012, '', '泸桥镇', '0c0fa22ba2a748068a8f912e9952693a', 'c80b360e49ac48e9ae792e2f192e2c15', 'True', 'True', 'false', 'false', '513322100000', 4, '泸桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513322100000', 1, '2021-07-19 12:05:57', NULL, NULL), (33013, '', '咱里村', '949b71f4dfee408c9e82c48a2935892e', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100073', 5, '咱里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100073', 1, '2021-07-19 12:05:57', NULL, NULL), (33014, '', '山岔村', 'f7b3e53887874a6383a7ea370eab78c3', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100089', 5, '山岔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100089', 1, '2021-07-19 12:05:57', NULL, NULL), (33015, '', '下田村', '932b5fc7a4d14e7f8e521fcaf3a98a93', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100205', 5, '下田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100205', 1, '2021-07-19 12:05:57', NULL, NULL), (33016, '', '磨河村', '2eb26448fcc745359d2c712aec6ae4ad', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100207', 5, '磨河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100207', 1, '2021-07-19 12:05:57', NULL, NULL), (33017, '', '木杉村', '6b211c7179894046ac5e5cf131bd9dea', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100208', 5, '木杉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100208', 1, '2021-07-19 12:05:57', NULL, NULL), (33018, '', '紫河村', '4d383488dd6c4cb9b0a0029ebe669a73', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100210', 5, '紫河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100210', 1, '2021-07-19 12:05:57', NULL, NULL), (33019, '', '田坝村', '4592fb96dc934db384aafe22f0440504', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100212', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100212', 1, '2021-07-19 12:05:57', NULL, NULL), (33020, '', '押卓庄子村', '4a6a105ded294b91975b603e996af2f6', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100314', 5, '押卓庄子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100314', 1, '2021-07-19 12:05:57', NULL, NULL), (33021, '', '安乐坝村', 'f272a1db03a749e1ace1efd9dd54a96b', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100350', 5, '安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100350', 1, '2021-07-19 12:05:57', NULL, NULL), (33022, '', '沙坝社区', '4e8c8c1cdd874156b6dadbc8a44868a2', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100355', 5, '沙坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100355', 1, '2021-07-19 12:05:57', NULL, NULL), (33023, '', '瓦窑岗村', '6c2d30fab11d45d39792561fe8e04c9c', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100459', 5, '瓦窑岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100459', 1, '2021-07-19 12:05:58', NULL, NULL), (33024, '', '泸桥村', 'd0a69b92b2bc404daf80f89b17502087', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100474', 5, '泸桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100474', 1, '2021-07-19 12:05:58', NULL, NULL), (33025, '', '海子环环村', 'b6f81471e61448bd911a112b692faedc', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100558', 5, '海子环环村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100558', 1, '2021-07-19 12:05:58', NULL, NULL), (33026, '', '新桥村', 'c506534bff9c4a0b8df3a479d6397158', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100592', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100592', 1, '2021-07-19 12:05:58', NULL, NULL), (33027, '', '大坝村', 'a7ae971b2fba4f4d9e967f4267f4e40a', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100715', 5, '大坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100715', 1, '2021-07-19 12:05:58', NULL, NULL), (33028, '', '团结村', '25bbcf74c44f48a79f8e05e2d99614a8', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100750', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100750', 1, '2021-07-19 12:05:58', NULL, NULL), (33029, '', '南段社区', '50207b7778184420b315e7d6e78d07da', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100829', 5, '南段社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100829', 1, '2021-07-19 12:05:58', NULL, NULL), (33030, '', '沙坝村', 'e8cd4febe9344dca88eb393f216e90ff', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100859', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100859', 1, '2021-07-19 12:05:58', NULL, NULL), (33031, '', '北段社区', '6a7cf49dbc754d43a0b8c8f1816f1f18', '0c0fa22ba2a748068a8f912e9952693a', 'False', 'False', 'false', 'false', '513322100934', 5, '北段社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322100934', 1, '2021-07-19 12:05:58', NULL, NULL), (33032, '', '冷碛镇', '1961843f245f42ae8339452edb619641', 'c80b360e49ac48e9ae792e2f192e2c15', 'True', 'True', 'false', 'false', '513322101000', 4, '冷碛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513322101000', 1, '2021-07-19 12:05:58', NULL, NULL), (33033, '', '老街道居民委员会', '7fa9a0c3fc334030b7335f12c9aec89e', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101072', 5, '老街道居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101072', 1, '2021-07-19 12:05:58', NULL, NULL), (33034, '', '镇座落村', 'b9861378709b44f3b73a7d281960f1fb', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101140', 5, '镇座落村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101140', 1, '2021-07-19 12:05:58', NULL, NULL), (33035, '', '桐子林村', '5f9871973a3145378389b41c57dba6eb', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101187', 5, '桐子林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101187', 1, '2021-07-19 12:05:58', NULL, NULL), (33036, '', '联合村', '0b4b7e62511e4f3d86e5d4aa3b4f63fc', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101215', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101215', 1, '2021-07-19 12:05:58', NULL, NULL), (33037, '', '杵坭村', '46a0bd6b93054c16bd5226dc7192eadf', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101216', 5, '杵坭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101216', 1, '2021-07-19 12:05:58', NULL, NULL), (33038, '', '瓦斯营盘村', '11fb8ec5c44e401abd110971e3942d56', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101217', 5, '瓦斯营盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101217', 1, '2021-07-19 12:05:58', NULL, NULL), (33039, '', '松林村', '25cf622ce054476292c942a805eb7117', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101218', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101218', 1, '2021-07-19 12:05:58', NULL, NULL), (33040, '', '金鸡坝村', '6191e97d464543829514052e6ca412d8', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101219', 5, '金鸡坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101219', 1, '2021-07-19 12:05:58', NULL, NULL), (33041, '', '邓油房村', '40ffd0b0f0f741d8843fcd3519b9c0f8', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101220', 5, '邓油房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101220', 1, '2021-07-19 12:05:59', NULL, NULL), (33042, '', '金华村', '6d7784b202f04c60acda84de2b9ee53d', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101221', 5, '金华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101221', 1, '2021-07-19 12:05:59', NULL, NULL), (33043, '', '团结村', 'b47212cc83a042ee9d015261da4e6852', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101346', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101346', 1, '2021-07-19 12:05:59', NULL, NULL), (33044, '', '黑沟村', '2b652b32ae074175af68238264bec312', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101353', 5, '黑沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101353', 1, '2021-07-19 12:05:59', NULL, NULL), (33045, '', '甘谷地村', '55113216647e4b63bb9eea6de0bcc47f', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101379', 5, '甘谷地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101379', 1, '2021-07-19 12:05:59', NULL, NULL), (33046, '', '木瓜沟村', 'ff6825e5f045407f8df84d0f371706fa', '1961843f245f42ae8339452edb619641', 'False', 'True', 'false', 'false', '513322101586', 5, '木瓜沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101586', 1, '2021-07-19 12:05:59', NULL, NULL), (33047, '', '和平村', '9b02e8c2c7dc42b8bbe4400942fa47d0', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101684', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101684', 1, '2021-07-19 12:05:59', NULL, NULL), (33048, '', '梅子坪村', 'a08a3091dba7420f8e706c5206c28997', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101695', 5, '梅子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101695', 1, '2021-07-19 12:05:59', NULL, NULL), (33049, '', '扒湾村', 'eb0af44d735d4cb3a1c79be83c412af8', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101740', 5, '扒湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101740', 1, '2021-07-19 12:05:59', NULL, NULL), (33050, '', '潘沟村', '4de4aa54e4ed4a45b717d87943ddd791', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101748', 5, '潘沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101748', 1, '2021-07-19 12:05:59', NULL, NULL), (33051, '', '甘露寺村', '73e5b853377c419fbd1456b4bb43452f', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101760', 5, '甘露寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101760', 1, '2021-07-19 12:05:59', NULL, NULL), (33052, '', '新街道居民委员会', '0bd22ce596924dcc9b0fcf98596f4343', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101849', 5, '新街道居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101849', 1, '2021-07-19 12:05:59', NULL, NULL), (33053, '', '尖茶坪村', 'c18e3c0e81bf4f7e818f3295dec89e7e', '1961843f245f42ae8339452edb619641', 'False', 'False', 'false', 'false', '513322101894', 5, '尖茶坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322101894', 1, '2021-07-19 12:05:59', NULL, NULL), (33054, '', '兴隆镇', '881ba04e8f354490a022f9f20f3054c4', 'c80b360e49ac48e9ae792e2f192e2c15', 'True', 'True', 'false', 'false', '513322102000', 4, '兴隆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513322102000', 1, '2021-07-19 12:05:59', NULL, NULL), (33055, '', '海子村', '543bddec6ac54c46a358421f305f0490', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102036', 5, '海子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102036', 1, '2021-07-19 12:05:59', NULL, NULL), (33056, '', '青岗树村', 'ea5c39631cd34164bfdbd9ad8b526b50', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102201', 5, '青岗树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102201', 1, '2021-07-19 12:05:59', NULL, NULL), (33057, '', '大坪村', 'e6ad8111669e44ed8d9a56e8dc9067c7', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102202', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102202', 1, '2021-07-19 12:05:59', NULL, NULL), (33058, '', '马桑坡村', 'e8cabd8558094577a1e49195484db9bc', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102203', 5, '马桑坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102203', 1, '2021-07-19 12:05:59', NULL, NULL), (33059, '', '乌支索村', '3e2be53a2a8540688b193aee2b345692', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102204', 5, '乌支索村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102204', 1, '2021-07-19 12:06:00', NULL, NULL), (33060, '', '瓦斯村', 'bd9c94666a6c4a4dbc1469cbeb13d2a3', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102205', 5, '瓦斯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102205', 1, '2021-07-19 12:06:00', NULL, NULL), (33061, '', '蒲麦地村', '768f1235ab34444b8b8a6bade94070b0', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102206', 5, '蒲麦地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102206', 1, '2021-07-19 12:06:00', NULL, NULL), (33062, '', '盐水溪村', 'a9a00a427d044b7896bc748546f29a9a', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102207', 5, '盐水溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102207', 1, '2021-07-19 12:06:00', NULL, NULL), (33063, '', '下马厂村', 'fecb3b62de9b4b66ae3069e2709ee4e6', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102208', 5, '下马厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102208', 1, '2021-07-19 12:06:00', NULL, NULL), (33064, '', '堡子村', '0eae153504be4c89b99cb902afa936dc', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102209', 5, '堡子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102209', 1, '2021-07-19 12:06:00', NULL, NULL), (33065, '', '牛背山村', 'b835db21e20a47f1a6ae861242ea9b89', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102210', 5, '牛背山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102210', 1, '2021-07-19 12:06:00', NULL, NULL), (33066, '', '毛家寨村', '5dd677275f0a4865857b17f3c9f88e01', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102211', 5, '毛家寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102211', 1, '2021-07-19 12:06:00', NULL, NULL), (33067, '', '三条杠村', '372a219ab6d54064909693a4cd0077d0', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102212', 5, '三条杠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102212', 1, '2021-07-19 12:06:00', NULL, NULL), (33068, '', '兴和村', '501471e0bb504972972bfbfae150620d', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102213', 5, '兴和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102213', 1, '2021-07-19 12:06:00', NULL, NULL), (33069, '', '二道坎村', 'cee31617d8b94f8199c21fae8248e3b6', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102214', 5, '二道坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102214', 1, '2021-07-19 12:06:00', NULL, NULL), (33070, '', '阳山村', '87dcdb3ac8be4f75ada74458abfa1b39', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102310', 5, '阳山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102310', 1, '2021-07-19 12:06:00', NULL, NULL), (33071, '', '庆丰村', 'a6f53505ecfa468aa9a2e6ede4eca426', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102353', 5, '庆丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102353', 1, '2021-07-19 12:06:00', NULL, NULL), (33072, '', '沈村村', '52a1e401117e4e05a514188316f2e2aa', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102414', 5, '沈村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102414', 1, '2021-07-19 12:06:00', NULL, NULL), (33073, '', '银厂村', 'ef7bad1119164a43b385f5986e7c03d2', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102492', 5, '银厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102492', 1, '2021-07-19 12:06:00', NULL, NULL), (33074, '', '和平村', 'b1534d2db0d94ac783f493a51b8d9368', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102614', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102614', 1, '2021-07-19 12:06:01', NULL, NULL), (33075, '', '化林村', '478211fcdfaa42e7bc84a04ac49c912b', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102635', 5, '化林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102635', 1, '2021-07-19 12:06:01', NULL, NULL), (33076, '', '兴隆村', 'd34373ab320945db8aa9ce319795517f', '881ba04e8f354490a022f9f20f3054c4', 'False', 'False', 'false', 'false', '513322102965', 5, '兴隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322102965', 1, '2021-07-19 12:06:01', NULL, NULL), (33077, '', '磨西镇', 'c45bc1f93f1641c1ba5494302f96ce84', 'c80b360e49ac48e9ae792e2f192e2c15', 'False', 'True', 'false', 'false', '513322103000', 4, '磨西镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513322103000', 1, '2021-07-19 12:06:01', NULL, NULL), (33078, '', '燕子沟镇', '8bc0da9615b2418da1be013cbcc8d3ca', 'c80b360e49ac48e9ae792e2f192e2c15', 'False', 'True', 'false', 'false', '513322104000', 4, '燕子沟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513322104000', 1, '2021-07-19 12:06:01', NULL, NULL), (33079, '', '得妥镇', 'f2445f76ac71401f86ca7488a307303f', 'c80b360e49ac48e9ae792e2f192e2c15', 'True', 'True', 'false', 'false', '513322105000', 4, '得妥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513322105000', 1, '2021-07-19 12:06:01', NULL, NULL), (33080, '', '新华村', '8a31831562a245b59ad844f13cf1267d', 'f2445f76ac71401f86ca7488a307303f', 'False', 'False', 'false', 'false', '513322105025', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322105025', 1, '2021-07-19 12:06:01', NULL, NULL), (33081, '', '椒子坪村', '99fd9cf8934e4d1ab0c01ffa2976d85b', 'f2445f76ac71401f86ca7488a307303f', 'False', 'False', 'false', 'false', '513322105056', 5, '椒子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322105056', 1, '2021-07-19 12:06:01', NULL, NULL), (33082, '', '天池山村', '6d8600405f584ff8a10862c30449a7dc', 'f2445f76ac71401f86ca7488a307303f', 'False', 'False', 'false', 'false', '513322105100', 5, '天池山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322105100', 1, '2021-07-19 12:06:01', NULL, NULL), (33083, '', '毛草坡村', '15dcc397227a4fc79dda42b3c6925679', 'f2445f76ac71401f86ca7488a307303f', 'False', 'False', 'false', 'false', '513322105132', 5, '毛草坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322105132', 1, '2021-07-19 12:06:01', NULL, NULL), (33084, '', '得妥村', 'e8ab5bdbdf8d458bbe28a686ff1cdc39', 'f2445f76ac71401f86ca7488a307303f', 'False', 'False', 'false', 'false', '513322105255', 5, '得妥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322105255', 1, '2021-07-19 12:06:01', NULL, NULL), (33085, '', '松林坪村', '37469aa3f9b04225bc8569ca28e5a78a', 'f2445f76ac71401f86ca7488a307303f', 'False', 'False', 'false', 'false', '513322105277', 5, '松林坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322105277', 1, '2021-07-19 12:06:01', NULL, NULL), (33086, '', '紫雅场村', '37d0e16d4a0f4f2da477a8c1dfa55a19', 'f2445f76ac71401f86ca7488a307303f', 'False', 'False', 'false', 'false', '513322105287', 5, '紫雅场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322105287', 1, '2021-07-19 12:06:01', NULL, NULL), (33087, '', '联合村', '4079c3c1ec1e4ee08971aa1266d9ee5a', 'f2445f76ac71401f86ca7488a307303f', 'False', 'False', 'false', 'false', '513322105295', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322105295', 1, '2021-07-19 12:06:01', NULL, NULL), (33088, '', '发旺村', '9421692b0d53416881f3802296642653', 'f2445f76ac71401f86ca7488a307303f', 'False', 'False', 'false', 'false', '513322105364', 5, '发旺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322105364', 1, '2021-07-19 12:06:01', NULL, NULL), (33089, '', '弯木杆村', 'bb2552c840c74043b233423a85c7860e', 'f2445f76ac71401f86ca7488a307303f', 'False', 'False', 'false', 'false', '513322105434', 5, '弯木杆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322105434', 1, '2021-07-19 12:06:01', NULL, NULL), (33090, '', '金光村', '9fd19d580930453393d69bac50a5c8da', 'f2445f76ac71401f86ca7488a307303f', 'False', 'False', 'false', 'false', '513322105445', 5, '金光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322105445', 1, '2021-07-19 12:06:01', NULL, NULL), (33091, '', '繁荣村', 'ede2833d48384fd9a3deaf979c8a807b', 'f2445f76ac71401f86ca7488a307303f', 'False', 'False', 'false', 'false', '513322105453', 5, '繁荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322105453', 1, '2021-07-19 12:06:02', NULL, NULL), (33092, '', '马列村', 'ad1a5f5d7f7c4d7189e3886b5cc19e50', 'f2445f76ac71401f86ca7488a307303f', 'False', 'False', 'false', 'false', '513322105532', 5, '马列村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322105532', 1, '2021-07-19 12:06:02', NULL, NULL), (33093, '', '何家山村', '1e6207d89aa142b9bcd5a1a6378fe1f5', 'f2445f76ac71401f86ca7488a307303f', 'False', 'False', 'false', 'false', '513322105588', 5, '何家山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322105588', 1, '2021-07-19 12:06:02', NULL, NULL), (33094, '', '北头村', '2052446d7e03442088a282730b32f631', 'f2445f76ac71401f86ca7488a307303f', 'False', 'False', 'false', 'false', '513322105603', 5, '北头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322105603', 1, '2021-07-19 12:06:02', NULL, NULL), (33095, '', '小马场村', 'a3e2be5f5b3d472388a18e56f4c33d06', 'f2445f76ac71401f86ca7488a307303f', 'False', 'False', 'false', 'false', '513322105814', 5, '小马场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322105814', 1, '2021-07-19 12:06:02', NULL, NULL), (33096, '', '湾东村', 'e10e5179663e4b799c5e62f1c3ce681f', 'f2445f76ac71401f86ca7488a307303f', 'False', 'False', 'false', 'false', '513322105962', 5, '湾东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322105962', 1, '2021-07-19 12:06:02', NULL, NULL), (33097, '', '南头村', 'fc480815588a4a85ababcee4a12125d7', 'f2445f76ac71401f86ca7488a307303f', 'False', 'False', 'false', 'false', '513322105985', 5, '南头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322105985', 1, '2021-07-19 12:06:02', NULL, NULL), (33098, '', '烹坝镇', 'cbea3cab535346a08e6e593348a9decc', 'c80b360e49ac48e9ae792e2f192e2c15', 'True', 'True', 'false', 'false', '513322106000', 4, '烹坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513322106000', 1, '2021-07-19 12:06:02', NULL, NULL), (33099, '', '烹坝村', 'f9680370f8ba483bbaed79afa727a90b', 'cbea3cab535346a08e6e593348a9decc', 'False', 'False', 'false', 'false', '513322106049', 5, '烹坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322106049', 1, '2021-07-19 12:06:02', NULL, NULL), (33100, '', '黄草坪村', 'd08c37757fde43cf9ef84230185c4c42', 'cbea3cab535346a08e6e593348a9decc', 'False', 'False', 'false', 'false', '513322106299', 5, '黄草坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322106299', 1, '2021-07-19 12:06:02', NULL, NULL), (33101, '', '沙湾村', 'f30891fbe4b949418adb4c04202cca06', 'cbea3cab535346a08e6e593348a9decc', 'False', 'False', 'false', 'false', '513322106365', 5, '沙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322106365', 1, '2021-07-19 12:06:02', NULL, NULL), (33102, '', '固包村', '1f92965ccde044c2914f5701b2135fd6', 'cbea3cab535346a08e6e593348a9decc', 'False', 'False', 'false', 'false', '513322106875', 5, '固包村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322106875', 1, '2021-07-19 12:06:02', NULL, NULL), (33103, '', '马厂村', '5c406aa5249a4b34902f94d4a74e9eac', 'cbea3cab535346a08e6e593348a9decc', 'False', 'False', 'false', 'false', '513322106982', 5, '马厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322106982', 1, '2021-07-19 12:06:02', NULL, NULL), (33104, '', '喇嘛寺村', '3ae5f5b1399e48d885dfec1be8e7b0b4', 'cbea3cab535346a08e6e593348a9decc', 'False', 'False', 'false', 'false', '513322106989', 5, '喇嘛寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322106989', 1, '2021-07-19 12:06:02', NULL, NULL), (33105, '', '岚安乡', 'c7f992488d03404aa33367649e2085be', 'c80b360e49ac48e9ae792e2f192e2c15', 'True', 'True', 'false', 'false', '513322200000', 4, '岚安乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513322200000', 1, '2021-07-19 12:06:02', NULL, NULL), (33106, '', '昂州村', '6f466b00728143ac89da8bdeb8af9dc9', 'c7f992488d03404aa33367649e2085be', 'False', 'False', 'false', 'false', '513322200110', 5, '昂州村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322200110', 1, '2021-07-19 12:06:02', NULL, NULL), (33107, '', '乌坭岗村', 'b7239031b3be4b349a53c48a45f34b00', 'c7f992488d03404aa33367649e2085be', 'False', 'False', 'false', 'false', '513322200130', 5, '乌坭岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322200130', 1, '2021-07-19 12:06:02', NULL, NULL), (33108, '', '脚乌村', '51ddebfbf11d468995a156f5a40d6db6', 'c7f992488d03404aa33367649e2085be', 'False', 'False', 'false', 'false', '513322200672', 5, '脚乌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322200672', 1, '2021-07-19 12:06:02', NULL, NULL), (33109, '', '昂乌村', 'd1a2bd9702774958bb20fd436400a240', 'c7f992488d03404aa33367649e2085be', 'False', 'False', 'false', 'false', '513322200956', 5, '昂乌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322200956', 1, '2021-07-19 12:06:03', NULL, NULL), (33110, '', '德威镇', '8ea3e99bf3c4438e82d4b31897bea2fa', 'c80b360e49ac48e9ae792e2f192e2c15', 'True', 'True', 'false', 'false', '513322205000', 4, '德威镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513322205000', 1, '2021-07-19 12:06:03', NULL, NULL), (33111, '', '咱威村', '23691fbc322a48a0a97a4e6e6e2e991c', '8ea3e99bf3c4438e82d4b31897bea2fa', 'False', 'True', 'false', 'false', '513322107201', 5, '咱威村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322107201', 1, '2021-07-19 12:06:03', NULL, NULL), (33112, '', '河坝村', 'f3da1751950347e7beca75a6081d4911', '8ea3e99bf3c4438e82d4b31897bea2fa', 'False', 'False', 'false', 'false', '513322107202', 5, '河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322107202', 1, '2021-07-19 12:06:03', NULL, NULL), (33113, '', '磨子村', '9d673030f21a4fd4bdc33cb215d7c3be', '8ea3e99bf3c4438e82d4b31897bea2fa', 'False', 'False', 'false', 'false', '513322107203', 5, '磨子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322107203', 1, '2021-07-19 12:06:03', NULL, NULL), (33114, '', '奎武村', '16bbbc2b4ddd4f8f9a48be4ccb11470d', '8ea3e99bf3c4438e82d4b31897bea2fa', 'False', 'False', 'false', 'false', '513322107204', 5, '奎武村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322107204', 1, '2021-07-19 12:06:03', NULL, NULL), (33115, '', '寨子村', '51416e911c6d4c76abb80754c2fe97c3', '8ea3e99bf3c4438e82d4b31897bea2fa', 'False', 'False', 'false', 'false', '513322107205', 5, '寨子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322107205', 1, '2021-07-19 12:06:03', NULL, NULL), (33116, '', '沙坝村', 'b171d1136ddf4c938e7038c9d880bab5', '8ea3e99bf3c4438e82d4b31897bea2fa', 'False', 'False', 'false', 'false', '513322107206', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322107206', 1, '2021-07-19 12:06:03', NULL, NULL), (33117, '', '堡子村', '26f3129f50574880963fb3ee1933d9d7', '8ea3e99bf3c4438e82d4b31897bea2fa', 'False', 'False', 'false', 'false', '513322107207', 5, '堡子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322107207', 1, '2021-07-19 12:06:03', NULL, NULL), (33118, '', '海子村', 'dc187001f5e844cca1ded53cc2471c96', '8ea3e99bf3c4438e82d4b31897bea2fa', 'False', 'False', 'false', 'false', '513322107208', 5, '海子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322107208', 1, '2021-07-19 12:06:03', NULL, NULL), (33119, '', '金洞子村', '80914f54205541fd9e09839f5397b501', '8ea3e99bf3c4438e82d4b31897bea2fa', 'False', 'False', 'false', 'false', '513322107209', 5, '金洞子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322107209', 1, '2021-07-19 12:06:03', NULL, NULL), (33120, '', '加郡村', '772e545f4ef849048ba37a76ac7829f3', '8ea3e99bf3c4438e82d4b31897bea2fa', 'False', 'False', 'false', 'false', '513322107210', 5, '加郡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322107210', 1, '2021-07-19 12:06:03', NULL, NULL), (33121, '', '安家湾村', 'd1b91089c0da4609bbcbb4e92d6c03d2', '8ea3e99bf3c4438e82d4b31897bea2fa', 'False', 'False', 'false', 'false', '513322107211', 5, '安家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322107211', 1, '2021-07-19 12:06:03', NULL, NULL), (33122, '', '庄子村', '432c0602103441b3b8365dbef7687d1c', '8ea3e99bf3c4438e82d4b31897bea2fa', 'False', 'False', 'false', 'false', '513322107212', 5, '庄子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322107212', 1, '2021-07-19 12:06:03', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (33123, '', '刘河坝村', '4592fc82be4e44c992414f22c759411a', '8ea3e99bf3c4438e82d4b31897bea2fa', 'False', 'False', 'false', 'false', '513322107213', 5, '刘河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322107213', 1, '2021-07-19 12:06:04', NULL, NULL), (33124, '', '长沙坝村', '99a949846e974ff585a5e7640a349732', '8ea3e99bf3c4438e82d4b31897bea2fa', 'False', 'False', 'false', 'false', '513322107214', 5, '长沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513322107214', 1, '2021-07-19 12:06:04', NULL, NULL), (33125, '', '丹巴县', 'd3d57171639d4199afc438ef1b550391', '4e0988aa699e46dd9cdf992180c73cd8', 'True', 'True', 'false', 'false', '513323000000', 3, '丹巴县', 'gzzdbx.sczwfw.gov.cn', 1, '2021-07-19 12:06:04', NULL, NULL), (33126, '', '章谷镇', '3a4f485e806547e4bdbffe75b3ead833', 'd3d57171639d4199afc438ef1b550391', 'True', 'True', 'false', 'false', '513323100000', 4, '章谷镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513323100000', 1, '2021-07-19 12:06:04', NULL, NULL), (33127, '', '五里牌社区', '45a5dfe8d43849e4be81e58777988919', '3a4f485e806547e4bdbffe75b3ead833', 'False', 'True', 'false', 'false', '513323100003', 5, '五里牌社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323100003', 1, '2021-07-19 12:06:04', NULL, NULL), (33128, '', '步行街社区', 'c2594273bdd24a878cb930a459a081f1', '3a4f485e806547e4bdbffe75b3ead833', 'False', 'True', 'false', 'false', '513323100375', 5, '步行街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323100375', 1, '2021-07-19 12:06:04', NULL, NULL), (33129, '', '白呷行政村', 'd0fd8232492a4a6cb04f0ffdb12764c1', '3a4f485e806547e4bdbffe75b3ead833', 'False', 'True', 'false', 'false', '513323100617', 5, '白呷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323100617', 1, '2021-07-19 12:06:04', NULL, NULL), (33130, '', '城关行政村', '7c947a237ac94281b33e0e9fb69345f7', '3a4f485e806547e4bdbffe75b3ead833', 'False', 'True', 'false', 'false', '513323100751', 5, '城关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323100751', 1, '2021-07-19 12:06:04', NULL, NULL), (33131, '', '西河桥社区', '1d52905246364c9182c726b574903fc9', '3a4f485e806547e4bdbffe75b3ead833', 'False', 'True', 'false', 'false', '513323100766', 5, '西河桥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323100766', 1, '2021-07-19 12:06:04', NULL, NULL), (33132, '', '三岔河社区', 'a2ef4bdd5eef4d999919924ad53313aa', '3a4f485e806547e4bdbffe75b3ead833', 'False', 'True', 'false', 'false', '513323100981', 5, '三岔河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323100981', 1, '2021-07-19 12:06:04', NULL, NULL), (33133, '', '巴底镇', '046d4cbe4ef142fa828b147c9b43125b', 'd3d57171639d4199afc438ef1b550391', 'True', 'True', 'false', 'false', '513323101000', 4, '巴底镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513323101000', 1, '2021-07-19 12:06:04', NULL, NULL), (33134, '', '尔波行政村', 'ebe6c1091f8a4d51871c3747c80bb4aa', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'False', 'false', 'false', '513323101013', 5, '尔波村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101013', 1, '2021-07-19 12:06:04', NULL, NULL), (33135, '', '沈洛行政村', '43c67a31727b4b35822f8e0b26905ae4', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'True', 'false', 'false', '513323101064', 5, '沈洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101064', 1, '2021-07-19 12:06:04', NULL, NULL), (33136, '', '色足行政村', '88ef12f0fd8b45b083deb6f92a62db28', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'True', 'false', 'false', '513323101066', 5, '色足村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101066', 1, '2021-07-19 12:06:05', NULL, NULL), (33137, '', '牧业行政村', '1751bdeeeaa04ca9834ae652d3c5c6de', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'True', 'false', 'false', '513323101142', 5, '牧业村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101142', 1, '2021-07-19 12:06:05', NULL, NULL), (33138, '', '协日行政村', 'e1d68fae641f4412a25cd28c4282a848', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'False', 'false', 'false', '513323101173', 5, '协日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101173', 1, '2021-07-19 12:06:05', NULL, NULL), (33139, '', '齐鲁行政村', 'db06735bb64c41ec9a792610bb95e975', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'True', 'false', 'false', '513323101193', 5, '齐鲁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101193', 1, '2021-07-19 12:06:05', NULL, NULL), (33140, '', '水卡子行政村', '630a2df2e349451ca7a482368bcc0735', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'False', 'false', 'false', '513323101236', 5, '水卡子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101236', 1, '2021-07-19 12:06:05', NULL, NULL), (33141, '', '大坪行政村', '4c205496fde14ff3bfd56904dc905303', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'False', 'false', 'false', '513323101286', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101286', 1, '2021-07-19 12:06:05', NULL, NULL), (33142, '', '沈足二行政村', '6b10bd491a1d4f528cf48426a7c33cd8', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'True', 'false', 'false', '513323101319', 5, '沈足二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101319', 1, '2021-07-19 12:06:05', NULL, NULL), (33143, '', '木尔约行政村', 'cb04ab285acd456591ef8cdf9ea2d18d', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'True', 'false', 'false', '513323101448', 5, '木尔约村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101448', 1, '2021-07-19 12:06:05', NULL, NULL), (33144, '', '邛山二行政村', 'd758f46d608749d997751b1f41829db3', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'False', 'false', 'false', '513323101460', 5, '邛山二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101460', 1, '2021-07-19 12:06:05', NULL, NULL), (33145, '', '木兰行政村', '7e53b97fa1ff40f8a33922b3cab4180d', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'True', 'false', 'false', '513323101464', 5, '木兰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101464', 1, '2021-07-19 12:06:05', NULL, NULL), (33146, '', '俄鲁行政村', '65159397c01b4329aa939b009e570521', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'False', 'false', 'false', '513323101487', 5, '俄鲁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101487', 1, '2021-07-19 12:06:05', NULL, NULL), (33147, '', '培尔行政村', '1d66e67895fb42de9482ddda8b098e1e', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'True', 'false', 'false', '513323101609', 5, '培尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101609', 1, '2021-07-19 12:06:05', NULL, NULL), (33148, '', '木纳山行政村', '35f33d0204e943309589c5593e9cc682', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'True', 'false', 'false', '513323101700', 5, '木纳山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101700', 1, '2021-07-19 12:06:05', NULL, NULL), (33149, '', '沈足一行政村', '116479874bdf4bd99fc80913a13520e7', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'True', 'false', 'false', '513323101729', 5, '沈足一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101729', 1, '2021-07-19 12:06:05', NULL, NULL), (33150, '', '崃依行政村', 'ead1c34ed4ab4599ab7e8396c2e581dd', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'True', 'false', 'false', '513323101730', 5, '崃依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101730', 1, '2021-07-19 12:06:05', NULL, NULL), (33151, '', '柏松塘行政村', '9a95d20d2ad649768a7ab9927678f804', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'True', 'false', 'false', '513323101742', 5, '柏松塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101742', 1, '2021-07-19 12:06:06', NULL, NULL), (33152, '', '木尔洛行政村', 'a3f1a5d46afa4f269c9306be7ef12169', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'True', 'false', 'false', '513323101859', 5, '木尔洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101859', 1, '2021-07-19 12:06:06', NULL, NULL), (33153, '', '阿拉伯行政村', '57c1448a9ad5407785887b4354483175', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'True', 'false', 'false', '513323101908', 5, '阿拉伯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101908', 1, '2021-07-19 12:06:06', NULL, NULL), (33154, '', '小坪行政村', 'a1cb06b37fe440c1a2ee39b89fe30c1b', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'False', 'false', 'false', '513323101970', 5, '小坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101970', 1, '2021-07-19 12:06:06', NULL, NULL), (33155, '', '邛山一行政村', 'a19e9501d9c3484497cbe429e9e1fc8f', '046d4cbe4ef142fa828b147c9b43125b', 'False', 'False', 'false', 'false', '513323101988', 5, '邛山一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323101988', 1, '2021-07-19 12:06:06', NULL, NULL), (33156, '', '革什扎镇', 'b131a98d628746ee8fbcfc8185e543bb', 'd3d57171639d4199afc438ef1b550391', 'True', 'True', 'false', 'false', '513323102000', 4, '革什扎镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513323102000', 1, '2021-07-19 12:06:06', NULL, NULL), (33157, '', '革什扎镇三道桥村', 'b736a9b485134affa85a616294238830', 'b131a98d628746ee8fbcfc8185e543bb', 'False', 'False', 'false', 'false', '513323102057', 5, '三道桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323102057', 1, '2021-07-19 12:06:06', NULL, NULL), (33158, '', '革什扎镇瓦足村', '46f5f63e408a48ddabce1b8df6e3b2f8', 'b131a98d628746ee8fbcfc8185e543bb', 'False', 'True', 'false', 'false', '513323102099', 5, '瓦足村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323102099', 1, '2021-07-19 12:06:06', NULL, NULL), (33159, '', '革什扎镇卓斯尼村', 'da232089dbb740d2a5f3c4866eb9a906', 'b131a98d628746ee8fbcfc8185e543bb', 'False', 'True', 'false', 'false', '513323102203', 5, '卓斯尼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323102203', 1, '2021-07-19 12:06:06', NULL, NULL), (33160, '', '革什扎镇大桑村', '91b6898fc6bf4c75b5bf02b238142740', 'b131a98d628746ee8fbcfc8185e543bb', 'False', 'True', 'false', 'false', '513323102213', 5, '大桑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323102213', 1, '2021-07-19 12:06:06', NULL, NULL), (33161, '', '革什扎镇吉汝村', '3f8c0fd5148c4271890332e3208c5374', 'b131a98d628746ee8fbcfc8185e543bb', 'False', 'True', 'false', 'false', '513323102254', 5, '吉汝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323102254', 1, '2021-07-19 12:06:06', NULL, NULL), (33162, '', '革什扎镇吉牛村', '20e60d7280c34d60a9933f54fc960553', 'b131a98d628746ee8fbcfc8185e543bb', 'False', 'True', 'false', 'false', '513323102360', 5, '吉牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323102360', 1, '2021-07-19 12:06:06', NULL, NULL), (33163, '', '革什扎镇瓦坝村', '2781cabd84cd4ac688acbbf0058a0be9', 'b131a98d628746ee8fbcfc8185e543bb', 'False', 'True', 'false', 'false', '513323102381', 5, '瓦坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323102381', 1, '2021-07-19 12:06:06', NULL, NULL), (33164, '', '革什扎镇俄洛村', 'ec117e9f44d345eab6113eb52389bfc9', 'b131a98d628746ee8fbcfc8185e543bb', 'False', 'True', 'false', 'false', '513323102472', 5, '俄洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323102472', 1, '2021-07-19 12:06:07', NULL, NULL), (33165, '', '革什扎镇科尔金村', 'a4d47ebda1f44e7caba8c4a41d86dd79', 'b131a98d628746ee8fbcfc8185e543bb', 'False', 'True', 'false', 'false', '513323102507', 5, '科尔金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323102507', 1, '2021-07-19 12:06:07', NULL, NULL), (33166, '', '革什镇西刷村', '934dfd38778e441c99e4a4ede93a0b8b', 'b131a98d628746ee8fbcfc8185e543bb', 'False', 'True', 'false', 'false', '513323102592', 5, '西刷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323102592', 1, '2021-07-19 12:06:07', NULL, NULL), (33167, '', '革什扎镇安古村', 'baaf8eef85024296a0884c865cdb8b1e', 'b131a98d628746ee8fbcfc8185e543bb', 'False', 'True', 'false', 'false', '513323102631', 5, '安古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323102631', 1, '2021-07-19 12:06:07', NULL, NULL), (33168, '', '革什扎镇瓦角村', 'b811bfe942544bb78a5dcafc3290e882', 'b131a98d628746ee8fbcfc8185e543bb', 'False', 'True', 'false', 'false', '513323102652', 5, '瓦角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323102652', 1, '2021-07-19 12:06:07', NULL, NULL), (33169, '', '革什扎镇洛尔村', '49db72adf3104899b7b3803096dfbf5f', 'b131a98d628746ee8fbcfc8185e543bb', 'False', 'True', 'false', 'false', '513323102702', 5, '洛尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323102702', 1, '2021-07-19 12:06:07', NULL, NULL), (33170, '', '革什扎镇累累村', '536752772d804488963194099e0932fc', 'b131a98d628746ee8fbcfc8185e543bb', 'False', 'True', 'false', 'false', '513323102705', 5, '累累村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323102705', 1, '2021-07-19 12:06:07', NULL, NULL), (33171, '', '革什扎镇前进村', 'be3b86a2ddcd47cb86c51350d4732254', 'b131a98d628746ee8fbcfc8185e543bb', 'False', 'False', 'false', 'false', '513323102783', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323102783', 1, '2021-07-19 12:06:07', NULL, NULL), (33172, '', '革什扎镇妥皮村', 'a939aaf152f04ac7baa4d3438a67dcd0', 'b131a98d628746ee8fbcfc8185e543bb', 'False', 'False', 'false', 'false', '513323102799', 5, '妥皮村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323102799', 1, '2021-07-19 12:06:07', NULL, NULL), (33173, '', '革什扎镇巴郎村', '8524581520ed4c368e48de3b8b4e095f', 'b131a98d628746ee8fbcfc8185e543bb', 'False', 'False', 'false', 'false', '513323102805', 5, '巴郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323102805', 1, '2021-07-19 12:06:07', NULL, NULL), (33174, '', '革什扎镇布科村', '01ffa05eda0643feb0d6e8d19f8f9e77', 'b131a98d628746ee8fbcfc8185e543bb', 'False', 'True', 'false', 'false', '513323102849', 5, '布科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323102849', 1, '2021-07-19 12:06:07', NULL, NULL), (33175, '', '巴旺乡', 'f62558416c4c4f259ebc931484f1fca1', 'd3d57171639d4199afc438ef1b550391', 'True', 'True', 'false', 'false', '513323201000', 4, '巴旺乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513323201000', 1, '2021-07-19 12:06:07', NULL, NULL), (33176, '', '莫日行政村', '0cdba311a916455abe9bb16a252e30a0', 'f62558416c4c4f259ebc931484f1fca1', 'False', 'False', 'false', 'false', '513323201008', 5, '莫日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323201008', 1, '2021-07-19 12:06:08', NULL, NULL), (33177, '', '小聂呷行政村', 'f6dffe3d149c4dc587131666a7f5af9a', 'f62558416c4c4f259ebc931484f1fca1', 'False', 'False', 'false', 'false', '513323201012', 5, '小聂呷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323201012', 1, '2021-07-19 12:06:08', NULL, NULL), (33178, '', '德洛行政村', '9347ee7547944018bcfc301503995876', 'f62558416c4c4f259ebc931484f1fca1', 'False', 'True', 'false', 'false', '513323201195', 5, '德洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323201195', 1, '2021-07-19 12:06:08', NULL, NULL), (33179, '', '聂拉行政村', 'af84e04a14d041e8a20127e221410a5f', 'f62558416c4c4f259ebc931484f1fca1', 'False', 'False', 'false', 'false', '513323201243', 5, '聂拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323201243', 1, '2021-07-19 12:06:08', NULL, NULL), (33180, '', '燕尔岩行政村', 'fd7a510a324445629dc70c40fcac5743', 'f62558416c4c4f259ebc931484f1fca1', 'False', 'True', 'false', 'false', '513323201284', 5, '燕尔岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323201284', 1, '2021-07-19 12:06:08', NULL, NULL), (33181, '', '卡卡行政村', '5dcc721a70a9451096e4645befeef445', 'f62558416c4c4f259ebc931484f1fca1', 'False', 'True', 'false', 'false', '513323201407', 5, '卡卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323201407', 1, '2021-07-19 12:06:08', NULL, NULL), (33182, '', '扎科行政村', '40d56be7a0f946158d72ec64b0b9432e', 'f62558416c4c4f259ebc931484f1fca1', 'False', 'True', 'false', 'false', '513323201466', 5, '扎科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323201466', 1, '2021-07-19 12:06:08', NULL, NULL), (33183, '', '小巴旺行政村', '319dd108652a45988318fbd847fdeaa1', 'f62558416c4c4f259ebc931484f1fca1', 'False', 'False', 'false', 'false', '513323201568', 5, '小巴旺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323201568', 1, '2021-07-19 12:06:08', NULL, NULL), (33184, '', '光都行政村', 'f7dada2480944f599f41a1a89470a369', 'f62558416c4c4f259ebc931484f1fca1', 'False', 'True', 'false', 'false', '513323201721', 5, '光都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323201721', 1, '2021-07-19 12:06:08', NULL, NULL), (33185, '', '瓦苏行政村', '65a11f23835b4770bebc5a179e4aa7f1', 'f62558416c4c4f259ebc931484f1fca1', 'False', 'False', 'false', 'false', '513323201755', 5, '瓦苏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323201755', 1, '2021-07-19 12:06:08', NULL, NULL), (33186, '', '水卡子行政村', '1f02038091404a219c973e446694bcc7', 'f62558416c4c4f259ebc931484f1fca1', 'False', 'True', 'false', 'false', '513323201846', 5, '水卡子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323201846', 1, '2021-07-19 12:06:08', NULL, NULL), (33187, '', '齐支行政村', '7f922a8ffcfe4e7d88315cd948524a8e', 'f62558416c4c4f259ebc931484f1fca1', 'False', 'True', 'false', 'false', '513323201943', 5, '齐支村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323201943', 1, '2021-07-19 12:06:08', NULL, NULL), (33188, '', '甲居镇', '367df5392c2e43d38a909424abee9970', 'd3d57171639d4199afc438ef1b550391', 'True', 'True', 'false', 'false', '513323202000', 4, '甲居镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513323202000', 1, '2021-07-19 12:06:09', NULL, NULL), (33189, '', '幺枯行政村', 'b71f4c796520417b8c4d3aa0b3b703b1', '367df5392c2e43d38a909424abee9970', 'False', 'True', 'false', 'false', '513323202022', 5, '幺枯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323202022', 1, '2021-07-19 12:06:09', NULL, NULL), (33190, '', '喀咔二行政村', '01e09eb5262f40c8976fc8ad708dd58c', '367df5392c2e43d38a909424abee9970', 'False', 'False', 'false', 'false', '513323202049', 5, '喀咔二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323202049', 1, '2021-07-19 12:06:09', NULL, NULL), (33191, '', '聂呷行政村', '212ae9eeb55149d197318a69e006081e', '367df5392c2e43d38a909424abee9970', 'False', 'True', 'false', 'false', '513323202053', 5, '聂呷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323202053', 1, '2021-07-19 12:06:09', NULL, NULL), (33192, '', '高顶二行政村', '9153e4b0fd454401adf3be74010d0fb1', '367df5392c2e43d38a909424abee9970', 'False', 'True', 'false', 'false', '513323202104', 5, '高顶二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323202104', 1, '2021-07-19 12:06:09', NULL, NULL), (33193, '', '拖瓦行政村', 'b976a225e941492e91ccec0c03971ce3', '367df5392c2e43d38a909424abee9970', 'False', 'True', 'false', 'false', '513323202115', 5, '拖瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323202115', 1, '2021-07-19 12:06:09', NULL, NULL), (33194, '', '甲居一行政村', '511134319f624695a10643879f6a25e8', '367df5392c2e43d38a909424abee9970', 'False', 'True', 'false', 'false', '513323202139', 5, '甲居一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323202139', 1, '2021-07-19 12:06:09', NULL, NULL), (33195, '', '喀咔一行政村', '60fa814641bf46b989472f1d5160bdcb', '367df5392c2e43d38a909424abee9970', 'False', 'True', 'false', 'false', '513323202163', 5, '喀咔一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323202163', 1, '2021-07-19 12:06:09', NULL, NULL), (33196, '', '甲居三行政村', '44b06adc9f5249939a5dbb7966f6d99c', '367df5392c2e43d38a909424abee9970', 'False', 'True', 'false', 'false', '513323202174', 5, '甲居三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323202174', 1, '2021-07-19 12:06:09', NULL, NULL), (33197, '', '喀咔三行政村', 'daa8b6a700cb49f993b49b7c0dfc0098', '367df5392c2e43d38a909424abee9970', 'False', 'False', 'false', 'false', '513323202501', 5, '喀咔三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323202501', 1, '2021-07-19 12:06:09', NULL, NULL), (33198, '', '甲居二行政村', '8ef8ee0512ac4a57b0812bd94c1a7731', '367df5392c2e43d38a909424abee9970', 'False', 'True', 'false', 'false', '513323202569', 5, '甲居二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323202569', 1, '2021-07-19 12:06:09', NULL, NULL), (33199, '', '熬日行政村', '9f7ce8279da140ac9437916db2e9e504', '367df5392c2e43d38a909424abee9970', 'False', 'True', 'false', 'false', '513323202757', 5, '熬日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323202757', 1, '2021-07-19 12:06:09', NULL, NULL), (33200, '', '高顶一行政村', '0b1644205d6448b89b8dc31008d416e7', '367df5392c2e43d38a909424abee9970', 'False', 'False', 'false', 'false', '513323202871', 5, '高顶一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323202871', 1, '2021-07-19 12:06:09', NULL, NULL), (33201, '', '丹东镇', '7a7dfbd3c4334979b79c1325b75e7aa9', 'd3d57171639d4199afc438ef1b550391', 'True', 'True', 'false', 'false', '513323204000', 4, '丹东镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513323204000', 1, '2021-07-19 12:06:10', NULL, NULL), (33202, '', '二马行政村', '2df6ffc11c214e2b8fa8645b06896097', '7a7dfbd3c4334979b79c1325b75e7aa9', 'False', 'True', 'false', 'false', '513323204142', 5, '二马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323204142', 1, '2021-07-19 12:06:10', NULL, NULL), (33203, '', '牙科行政村', 'e20561cea6144784a7a833bee553fdb0', '7a7dfbd3c4334979b79c1325b75e7aa9', 'False', 'True', 'false', 'false', '513323204199', 5, '牙科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323204199', 1, '2021-07-19 12:06:10', NULL, NULL), (33204, '', '二瓦槽行政村', '9294960354374c31ba5d2cfa1eeff57d', '7a7dfbd3c4334979b79c1325b75e7aa9', 'False', 'True', 'false', 'false', '513323204563', 5, '二瓦槽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323204563', 1, '2021-07-19 12:06:10', NULL, NULL), (33205, '', '日卡行政村', 'ddf2a8ed9438403aa2543db5bbc4a99d', '7a7dfbd3c4334979b79c1325b75e7aa9', 'False', 'True', 'false', 'false', '513323204653', 5, '日卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323204653', 1, '2021-07-19 12:06:10', NULL, NULL), (33206, '', '党岭行政村', 'e3bbe48a36bb4a06a0a770edad542814', '7a7dfbd3c4334979b79c1325b75e7aa9', 'False', 'True', 'false', 'false', '513323204696', 5, '党岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323204696', 1, '2021-07-19 12:06:10', NULL, NULL), (33207, '', '各尔沟行政村', 'a90d52e49d75469e8debf3008b6e3c6a', '7a7dfbd3c4334979b79c1325b75e7aa9', 'False', 'True', 'false', 'false', '513323204780', 5, '各尔沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323204780', 1, '2021-07-19 12:06:10', NULL, NULL), (33208, '', '磨子沟行政村', '19f273610006420cbbec6395bef073f6', '7a7dfbd3c4334979b79c1325b75e7aa9', 'False', 'True', 'false', 'false', '513323204827', 5, '磨子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323204827', 1, '2021-07-19 12:06:10', NULL, NULL), (33209, '', '边耳行政村', '97e9d73495564586b16ef41f2813748f', '7a7dfbd3c4334979b79c1325b75e7aa9', 'False', 'True', 'false', 'false', '513323204918', 5, '边耳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323204918', 1, '2021-07-19 12:06:10', NULL, NULL), (33210, '', '牧业行政村', '9f6b9338554640c2b28bdede87d0d645', '7a7dfbd3c4334979b79c1325b75e7aa9', 'False', 'True', 'false', 'false', '513323204995', 5, '牧业村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323204995', 1, '2021-07-19 12:06:10', NULL, NULL), (33211, '', '东谷镇', 'd8f90765baf34caa9cb5f52cdea80575', 'd3d57171639d4199afc438ef1b550391', 'True', 'True', 'false', 'false', '513323206000', 4, '东谷镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513323206000', 1, '2021-07-19 12:06:10', NULL, NULL), (33212, '', '牦牛行政村', '71965765054a4e64a0d37444807ff2cb', 'd8f90765baf34caa9cb5f52cdea80575', 'False', 'True', 'false', 'false', '513323206066', 5, '牦牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323206066', 1, '2021-07-19 12:06:10', NULL, NULL), (33213, '', '井备行政村', '57e473daa1e64b74a0815194444276ab', 'd8f90765baf34caa9cb5f52cdea80575', 'False', 'True', 'false', 'false', '513323206146', 5, '井备村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323206146', 1, '2021-07-19 12:06:10', NULL, NULL), (33214, '', '邓巴行政村', '8e01990f81cc4da3adce3301fdbd318b', 'd8f90765baf34caa9cb5f52cdea80575', 'False', 'True', 'false', 'false', '513323206184', 5, '邓巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323206184', 1, '2021-07-19 12:06:10', NULL, NULL), (33215, '', '国如行政村', '7e225b7a6b274df2b365da99ed0e9607', 'd8f90765baf34caa9cb5f52cdea80575', 'False', 'True', 'false', 'false', '513323206303', 5, '国如村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323206303', 1, '2021-07-19 12:06:10', NULL, NULL), (33216, '', '东马行政村', '6e7724ca986f47f4a20394c06e5af1d9', 'd8f90765baf34caa9cb5f52cdea80575', 'False', 'True', 'false', 'false', '513323206420', 5, '东马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323206420', 1, '2021-07-19 12:06:11', NULL, NULL), (33217, '', '阴山行政村', 'ab091b6b5f0445039f1f8caa5d6a23c7', 'd8f90765baf34caa9cb5f52cdea80575', 'False', 'True', 'false', 'false', '513323206564', 5, '阴山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323206564', 1, '2021-07-19 12:06:11', NULL, NULL), (33218, '', '三卡子行政村', 'b98e98f70353432b8f554274b8e64459', 'd8f90765baf34caa9cb5f52cdea80575', 'False', 'False', 'false', 'false', '513323206705', 5, '三卡子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323206705', 1, '2021-07-19 12:06:11', NULL, NULL), (33219, '', '拔冲行政村', 'b6dca0836c5d405993cda48adfbfbf4c', 'd8f90765baf34caa9cb5f52cdea80575', 'False', 'True', 'false', 'false', '513323206732', 5, '拔冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323206732', 1, '2021-07-19 12:06:11', NULL, NULL), (33220, '', '东谷行政村', 'c7b3534f6bd048cdba169d70855ffd96', 'd8f90765baf34caa9cb5f52cdea80575', 'False', 'True', 'false', 'false', '513323206837', 5, '东谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323206837', 1, '2021-07-19 12:06:11', NULL, NULL), (33221, '', '永西行政村', 'b1e209e3bc6f4c0d8ad0a0e363cc4dbc', 'd8f90765baf34caa9cb5f52cdea80575', 'False', 'True', 'false', 'false', '513323206923', 5, '永西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323206923', 1, '2021-07-19 12:06:11', NULL, NULL), (33222, '', '二卡子行政村', '379d342a804f4b959bd5171224d90b72', 'd8f90765baf34caa9cb5f52cdea80575', 'False', 'True', 'false', 'false', '513323206974', 5, '二卡子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323206974', 1, '2021-07-19 12:06:11', NULL, NULL), (33223, '', '格宗镇', '1bc3c684ef964fcdbd61ed97e56140df', 'd3d57171639d4199afc438ef1b550391', 'True', 'True', 'false', 'false', '513323208000', 4, '格宗镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513323208000', 1, '2021-07-19 12:06:11', NULL, NULL), (33224, '', '格宗行政村', 'cf50da6a611f484998129f2e2b70d564', '1bc3c684ef964fcdbd61ed97e56140df', 'False', 'True', 'false', 'false', '513323208152', 5, '格宗行政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323208152', 1, '2021-07-19 12:06:11', NULL, NULL), (33225, '', '白玉行政村', 'e695c4bd0b37474daedbc0b5b47853de', '1bc3c684ef964fcdbd61ed97e56140df', 'False', 'False', 'false', 'false', '513323208153', 5, '白玉行政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323208153', 1, '2021-07-19 12:06:11', NULL, NULL), (33226, '', '马尔行政村', '3c84b0aaef3d41b99d89e7c7a9dacb36', '1bc3c684ef964fcdbd61ed97e56140df', 'False', 'False', 'false', 'false', '513323208233', 5, '马尔行政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323208233', 1, '2021-07-19 12:06:11', NULL, NULL), (33227, '', '朱家山行政村', '638903b775dd4c6b805f8e4ecb466e55', '1bc3c684ef964fcdbd61ed97e56140df', 'False', 'True', 'false', 'false', '513323208406', 5, '朱家山行政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323208406', 1, '2021-07-19 12:06:11', NULL, NULL), (33228, '', '林帮行政村', 'e48d13c33ac04788b3f09635de2554ec', '1bc3c684ef964fcdbd61ed97e56140df', 'False', 'False', 'false', 'false', '513323208426', 5, '林帮行政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323208426', 1, '2021-07-19 12:06:11', NULL, NULL), (33229, '', '开绕行政村', '40966bb3432b4473b9a6f9d7d9eeefff', '1bc3c684ef964fcdbd61ed97e56140df', 'False', 'True', 'false', 'false', '513323208539', 5, '开绕行政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323208539', 1, '2021-07-19 12:06:11', NULL, NULL), (33230, '', '俄呷行政村', 'c467aa3b123448e0aff853e997e839f1', '1bc3c684ef964fcdbd61ed97e56140df', 'False', 'True', 'false', 'false', '513323208672', 5, '俄呷行政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323208672', 1, '2021-07-19 12:06:12', NULL, NULL), (33231, '', '王家山行政村', '60aba78863d44c5694c33010ea927d64', '1bc3c684ef964fcdbd61ed97e56140df', 'False', 'False', 'false', 'false', '513323208735', 5, '王家山行政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323208735', 1, '2021-07-19 12:06:12', NULL, NULL), (33232, '', '川主庙行政村', 'aa6d4f001bf043559fcca0863209d45a', '1bc3c684ef964fcdbd61ed97e56140df', 'False', 'False', 'false', 'false', '513323208740', 5, '川主庙行政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323208740', 1, '2021-07-19 12:06:12', NULL, NULL), (33233, '', '江达行政村', '7d1633ab968540fda8a1f13735f268bf', '1bc3c684ef964fcdbd61ed97e56140df', 'False', 'True', 'false', 'false', '513323208851', 5, '江达行政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323208851', 1, '2021-07-19 12:06:12', NULL, NULL), (33234, '', '鱼日行政村', 'ce59bbc4845546869f19be7158006bc8', '1bc3c684ef964fcdbd61ed97e56140df', 'False', 'False', 'false', 'false', '513323208958', 5, '鱼日行政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323208958', 1, '2021-07-19 12:06:12', NULL, NULL), (33235, '', '竹子沟行政村', '1e9ab48a9f5c43ac9d3269ba220a6e96', '1bc3c684ef964fcdbd61ed97e56140df', 'False', 'True', 'false', 'false', '513323208976', 5, '竹子沟行政村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323208976', 1, '2021-07-19 12:06:12', NULL, NULL), (33236, '', '梭坡乡', 'c2645ca679b140acb095b61cf493c7f4', 'd3d57171639d4199afc438ef1b550391', 'True', 'True', 'false', 'false', '513323209000', 4, '梭坡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513323209000', 1, '2021-07-19 12:06:12', NULL, NULL), (33237, '', '弄中行政村', 'de06ffe93e354bd387a30ac0cba746b6', 'c2645ca679b140acb095b61cf493c7f4', 'False', 'True', 'false', 'false', '513323209032', 5, '弄中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323209032', 1, '2021-07-19 12:06:12', NULL, NULL), (33238, '', '东风行政村', 'bf5b7ae9102f4a3e9cdee7401130d74d', 'c2645ca679b140acb095b61cf493c7f4', 'False', 'False', 'false', 'false', '513323209086', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323209086', 1, '2021-07-19 12:06:12', NULL, NULL), (33239, '', '呷拉行政村', '22a02a152f0b41428b9066e32ff29786', 'c2645ca679b140acb095b61cf493c7f4', 'False', 'True', 'false', 'false', '513323209343', 5, '呷拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323209343', 1, '2021-07-19 12:06:12', NULL, NULL), (33240, '', '宋达行政村', '14f034f0883644b296483f57de7f9695', 'c2645ca679b140acb095b61cf493c7f4', 'False', 'False', 'false', 'false', '513323209388', 5, '宋达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323209388', 1, '2021-07-19 12:06:12', NULL, NULL), (33241, '', '左比行政村', 'c1d2d52d6d4949929cda7e829c27262a', 'c2645ca679b140acb095b61cf493c7f4', 'False', 'True', 'false', 'false', '513323209605', 5, '左比村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323209605', 1, '2021-07-19 12:06:12', NULL, NULL), (33242, '', '莫洛行政村', 'a4e7d3563a1a4c338f49c350959656bc', 'c2645ca679b140acb095b61cf493c7f4', 'False', 'True', 'false', 'false', '513323209787', 5, '莫洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323209787', 1, '2021-07-19 12:06:12', NULL, NULL), (33243, '', '八梭行政村', 'c9e6ee022f85492384367be6a3a9a2ca', 'c2645ca679b140acb095b61cf493c7f4', 'False', 'False', 'false', 'false', '513323209811', 5, '八梭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323209811', 1, '2021-07-19 12:06:12', NULL, NULL), (33244, '', '泽公行政村', '3a397557808742b7a685b7eef17d6906', 'c2645ca679b140acb095b61cf493c7f4', 'False', 'True', 'false', 'false', '513323209838', 5, '泽公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323209838', 1, '2021-07-19 12:06:12', NULL, NULL), (33245, '', '泽周行政村', 'ddfd576811e34a108907eea0ea649200', 'c2645ca679b140acb095b61cf493c7f4', 'False', 'True', 'false', 'false', '513323209884', 5, '泽周村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323209884', 1, '2021-07-19 12:06:12', NULL, NULL), (33246, '', '共布行政村', '842bb7a88d784d1da021e92b1d1e157a', 'c2645ca679b140acb095b61cf493c7f4', 'False', 'True', 'false', 'false', '513323209894', 5, '共布村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323209894', 1, '2021-07-19 12:06:12', NULL, NULL), (33247, '', '纳依行政村', '6a7d24bbd96e41b9b1422cddf5314b98', 'c2645ca679b140acb095b61cf493c7f4', 'False', 'True', 'false', 'false', '513323209981', 5, '纳依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323209981', 1, '2021-07-19 12:06:13', NULL, NULL), (33248, '', '墨尔多山镇', '57d5f127af51440db9d98936f07e8afe', 'd3d57171639d4199afc438ef1b550391', 'True', 'True', 'false', 'false', '513323210000', 4, '墨尔多山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513323210000', 1, '2021-07-19 12:06:13', NULL, NULL), (33249, '', '卡桠桥行政村', '6295d46dddeb44f8b37e744a0436b227', '57d5f127af51440db9d98936f07e8afe', 'False', 'True', 'false', 'false', '513323210797', 5, '卡桠桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323210797', 1, '2021-07-19 12:06:13', NULL, NULL), (33250, '', '斯交村', '3000508d11be4e8888f00d0a4e093273', '57d5f127af51440db9d98936f07e8afe', 'False', 'True', 'false', 'false', '513323210965', 5, '斯交村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323210965', 1, '2021-07-19 12:06:13', NULL, NULL), (33251, '', '克格依行政村', 'df718dddf8a54a758e88257f5f03c699', '57d5f127af51440db9d98936f07e8afe', 'False', 'True', 'false', 'false', '513323210300', 5, '克格依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323210300', 1, '2021-07-19 12:06:13', NULL, NULL), (33252, '', '波色龙行政村', 'af4af9b91b5e4aa48b107d84e82fce90', '57d5f127af51440db9d98936f07e8afe', 'False', 'True', 'false', 'false', '513323210486', 5, '波色龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323210486', 1, '2021-07-19 12:06:13', NULL, NULL), (33253, '', '罕额依行政村', '45dd1a18ecbf47e6aae3cc8a6658fe71', '57d5f127af51440db9d98936f07e8afe', 'False', 'True', 'false', 'false', '513323210501', 5, '罕额依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323210501', 1, '2021-07-19 12:06:13', NULL, NULL), (33254, '', '呷仁依行政村', '47cd3970768647a786241f0dac21be05', '57d5f127af51440db9d98936f07e8afe', 'False', 'True', 'false', 'false', '513323210600', 5, '呷仁依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323210600', 1, '2021-07-19 12:06:13', NULL, NULL), (33255, '', '半扇门镇', 'd18bcfe6045b4de49b8ef00eb575e859', 'd3d57171639d4199afc438ef1b550391', 'True', 'True', 'false', 'false', '513323212000', 4, '半扇门镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513323212000', 1, '2021-07-19 12:06:13', NULL, NULL), (33256, '', '火龙沟一村行政村', 'ed4b228bd9ab40b5be3d230659d2a4c4', 'd18bcfe6045b4de49b8ef00eb575e859', 'False', 'True', 'false', 'false', '513323212011', 5, '火龙沟一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323212011', 1, '2021-07-19 12:06:13', NULL, NULL), (33257, '', '关州村行政村', 'fafc4aa9fd214e298fd7cd9206ac3f77', 'd18bcfe6045b4de49b8ef00eb575e859', 'False', 'True', 'false', 'false', '513323212169', 5, '关州村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323212169', 1, '2021-07-19 12:06:13', NULL, NULL), (33258, '', '火龙沟二村行政村', '185d0d4ec94647e683facceaf367c1f3', 'd18bcfe6045b4de49b8ef00eb575e859', 'False', 'True', 'false', 'false', '513323212196', 5, '火龙沟二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323212196', 1, '2021-07-19 12:06:13', NULL, NULL), (33259, '', '麦龙村行政村', 'd685276c93f649f28764585e3dafdb26', 'd18bcfe6045b4de49b8ef00eb575e859', 'False', 'True', 'false', 'false', '513323212309', 5, '麦龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323212309', 1, '2021-07-19 12:06:13', NULL, NULL), (33260, '', '腊月山三村行政村', '22e719d9a6b24a2ba1ad7f4997dd76b0', 'd18bcfe6045b4de49b8ef00eb575e859', 'False', 'True', 'false', 'false', '513323212424', 5, '腊月山三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323212424', 1, '2021-07-19 12:06:13', NULL, NULL), (33261, '', '腊月山一村行政村', '9e6793f9fbe345dead14aa47851de607', 'd18bcfe6045b4de49b8ef00eb575e859', 'False', 'True', 'false', 'false', '513323212460', 5, '腊月山一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323212460', 1, '2021-07-19 12:06:13', NULL, NULL), (33262, '', '阿娘沟四村行政村', '60934886f4d44937818ba8a83afb7fa4', 'd18bcfe6045b4de49b8ef00eb575e859', 'False', 'True', 'false', 'false', '513323212508', 5, '阿娘沟四村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323212508', 1, '2021-07-19 12:06:13', NULL, NULL), (33263, '', '团结村行政村', '27bd798f5bd54b2a86f9f7f41edf1d7f', 'd18bcfe6045b4de49b8ef00eb575e859', 'False', 'True', 'false', 'false', '513323212612', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323212612', 1, '2021-07-19 12:06:13', NULL, NULL), (33264, '', '大邑村行政村', '9abc6e5b88654bf3b10a8ed4a50758a5', 'd18bcfe6045b4de49b8ef00eb575e859', 'False', 'True', 'false', 'false', '513323212777', 5, '大邑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323212777', 1, '2021-07-19 12:06:13', NULL, NULL), (33265, '', '阿娘沟一村行政村', 'ee0237d0faa24f0ab6162a9914013887', 'd18bcfe6045b4de49b8ef00eb575e859', 'False', 'True', 'false', 'false', '513323212802', 5, '阿娘沟一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323212802', 1, '2021-07-19 12:06:14', NULL, NULL), (33266, '', '碉坪村行政村', '07a30329583847b6914227bc3e3b6104', 'd18bcfe6045b4de49b8ef00eb575e859', 'False', 'True', 'false', 'false', '513323212832', 5, '碉坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323212832', 1, '2021-07-19 12:06:14', NULL, NULL), (33267, '', '阿娘寨村行政村', '556e96d33fb74477b56e979705fe4696', 'd18bcfe6045b4de49b8ef00eb575e859', 'False', 'True', 'false', 'false', '513323212844', 5, '阿娘寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323212844', 1, '2021-07-19 12:06:14', NULL, NULL), (33268, '', '核桃坪村行政村', 'da51f6c6782f4bb5a1c82534648ddb09', 'd18bcfe6045b4de49b8ef00eb575e859', 'False', 'True', 'false', 'false', '513323212849', 5, '核桃坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323212849', 1, '2021-07-19 12:06:14', NULL, NULL), (33269, '', '太平桥乡', 'cdb8906cf34e42568f596d0bcd1b6945', 'd3d57171639d4199afc438ef1b550391', 'True', 'True', 'false', 'false', '513323213000', 4, '太平桥乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513323213000', 1, '2021-07-19 12:06:14', NULL, NULL), (33270, '', '下宅龙行政村', '2415acc4a83a4f759e859a9d6b37c8d4', 'cdb8906cf34e42568f596d0bcd1b6945', 'False', 'True', 'false', 'false', '513323213068', 5, '下宅龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323213068', 1, '2021-07-19 12:06:14', NULL, NULL), (33271, '', '黑风顶行政村', '00c740328a1e4052a0051b5c993563ca', 'cdb8906cf34e42568f596d0bcd1b6945', 'False', 'True', 'false', 'false', '513323213093', 5, '黑风顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323213093', 1, '2021-07-19 12:06:14', NULL, NULL), (33272, '', '上宅龙行政村', '9246cac309724d24ab1bdb69c6e59c96', 'cdb8906cf34e42568f596d0bcd1b6945', 'False', 'True', 'false', 'false', '513323213150', 5, '上宅龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323213150', 1, '2021-07-19 12:06:14', NULL, NULL), (33273, '', '三木扎行政村', 'f35bffb6e11746229461677bcb30a28b', 'cdb8906cf34e42568f596d0bcd1b6945', 'False', 'True', 'false', 'false', '513323213210', 5, '三木扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323213210', 1, '2021-07-19 12:06:14', NULL, NULL), (33274, '', '太平桥行政村', '52d4af54ee01497688dcf719dbea3992', 'cdb8906cf34e42568f596d0bcd1b6945', 'False', 'True', 'false', 'false', '513323213520', 5, '太平桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323213520', 1, '2021-07-19 12:06:14', NULL, NULL), (33275, '', '大石寨行政村', '1f06584b1de148d3b434120bc28b3790', 'cdb8906cf34e42568f596d0bcd1b6945', 'False', 'False', 'false', 'false', '513323213524', 5, '大石寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323213524', 1, '2021-07-19 12:06:14', NULL, NULL), (33276, '', '纳布行政村', '6f7000ccdb8c420f8f1c84460d2ccc29', 'cdb8906cf34e42568f596d0bcd1b6945', 'False', 'True', 'false', 'false', '513323213665', 5, '纳布村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323213665', 1, '2021-07-19 12:06:14', NULL, NULL), (33277, '', '各洛寨行政村', '90947cf5a62745ad9e5811cf9d6ea1cb', 'cdb8906cf34e42568f596d0bcd1b6945', 'False', 'True', 'false', 'false', '513323213744', 5, '各洛寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323213744', 1, '2021-07-19 12:06:14', NULL, NULL), (33278, '', '长胜店行政村', 'abed52e02f804b08a2e72f22d350d795', 'cdb8906cf34e42568f596d0bcd1b6945', 'False', 'True', 'false', 'false', '513323213828', 5, '长胜店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323213828', 1, '2021-07-19 12:06:14', NULL, NULL), (33279, '', '纳粘行政村', 'eae51b3a991f4890b58b9cf28b258093', 'cdb8906cf34e42568f596d0bcd1b6945', 'False', 'False', 'false', 'false', '513323213831', 5, '纳粘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323213831', 1, '2021-07-19 12:06:14', NULL, NULL), (33280, '', '丹扎行政村', '690ec1f8a9c848cc897ecba288d4d558', 'cdb8906cf34e42568f596d0bcd1b6945', 'False', 'True', 'false', 'false', '513323213854', 5, '丹扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323213854', 1, '2021-07-19 12:06:15', NULL, NULL), (33281, '', '一支碉行政村', 'd60d49bea19742d99b3b4aa965224102', 'cdb8906cf34e42568f596d0bcd1b6945', 'False', 'False', 'false', 'false', '513323213866', 5, '一支碉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513323213866', 1, '2021-07-19 12:06:15', NULL, NULL), (33282, '', '九龙县', '9af814eeed3b4427955ad3414ce77d1f', '4e0988aa699e46dd9cdf992180c73cd8', 'True', 'True', 'false', 'false', '513324000000', 3, '九龙县', 'gzzjlx.sczwfw.gov.cn', 1, '2021-07-19 12:06:15', NULL, NULL), (33283, '', '湾坝镇', '8e6f3dec28a84b0896d390a483cd42ee', '9af814eeed3b4427955ad3414ce77d1f', 'True', 'True', 'false', 'false', '513324100012', 4, '湾坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513324100012', 1, '2021-07-19 12:06:15', NULL, NULL), (33284, '', '湾子村', '9b53781ca1014361ba0553e4053b5e9e', '8e6f3dec28a84b0896d390a483cd42ee', 'False', 'True', 'false', 'false', '513324104079', 5, '湾子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324104079', 1, '2021-07-19 12:06:15', NULL, NULL), (33285, '', '小伙房村', '28d0f5fee8984222862f2d0f8b7d0c7b', '8e6f3dec28a84b0896d390a483cd42ee', 'False', 'True', 'false', 'false', '513324104091', 5, '小伙房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324104091', 1, '2021-07-19 12:06:15', NULL, NULL), (33286, '', '草坪子村', 'bbe1381ba2b849aab807644da7058541', '8e6f3dec28a84b0896d390a483cd42ee', 'False', 'True', 'false', 'false', '513324104710', 5, '草坪子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324104710', 1, '2021-07-19 12:06:15', NULL, NULL), (33287, '', '挖金村', 'b87d9a5e49264731a75c05a496d80557', '8e6f3dec28a84b0896d390a483cd42ee', 'False', 'True', 'false', 'false', '513324104760', 5, '挖金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324104760', 1, '2021-07-19 12:06:15', NULL, NULL), (33288, '', '洪坝乡', '751b39ea89c44791a9905e73860a5e97', '9af814eeed3b4427955ad3414ce77d1f', 'True', 'True', 'false', 'false', '513324100013', 4, '洪坝乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513324100013', 1, '2021-07-19 12:06:15', NULL, NULL), (33289, '', '羊圈门村', '58cdf5072fe447e3b93f69d7e3f2b018', '751b39ea89c44791a9905e73860a5e97', 'False', 'True', 'false', 'false', '513324216075', 5, '羊圈门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324216075', 1, '2021-07-19 12:06:15', NULL, NULL), (33290, '', '中心村', '341aa7bebac047f895ee568ccefcb213', '751b39ea89c44791a9905e73860a5e97', 'False', 'True', 'false', 'false', '513324216181', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324216181', 1, '2021-07-19 12:06:15', NULL, NULL), (33291, '', '汤古镇', 'bde992df1e3644859b6d198d47fd4a1d', '9af814eeed3b4427955ad3414ce77d1f', 'True', 'True', 'false', 'false', '513324100022', 4, '汤古镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513324100022', 1, '2021-07-19 12:06:15', NULL, NULL), (33292, '', '伍须村', '17cacc2c2df64a56acaf3d18be630934', 'bde992df1e3644859b6d198d47fd4a1d', 'False', 'True', 'false', 'false', '513324105416', 5, '伍须村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324105416', 1, '2021-07-19 12:06:15', NULL, NULL), (33293, '', '汤古村', 'dcba0eaeaf5f4adba6119538d744267b', 'bde992df1e3644859b6d198d47fd4a1d', 'False', 'True', 'false', 'false', '513324105758', 5, '汤古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324105758', 1, '2021-07-19 12:06:15', NULL, NULL), (33294, '', '崩崩冲村', '1c13b490ca5742118e50179d59636b5f', 'bde992df1e3644859b6d198d47fd4a1d', 'False', 'True', 'false', 'false', '513324105898', 5, '崩崩冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324105898', 1, '2021-07-19 12:06:15', NULL, NULL), (33295, '', '八窝龙乡', '1f97e4ebd4d242e0a37065f26035c8eb', '9af814eeed3b4427955ad3414ce77d1f', 'True', 'True', 'false', 'false', '513324100023', 4, '八窝龙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513324100023', 1, '2021-07-19 12:06:16', NULL, NULL), (33296, '', '下铺子村', '84fd6d767d4d4f18a5d8b38ece590c74', '1f97e4ebd4d242e0a37065f26035c8eb', 'False', 'True', 'false', 'false', '513324204100', 5, '下铺子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324204100', 1, '2021-07-19 12:06:16', NULL, NULL), (33297, '', '烂尼巴村', 'f47afb0f4cb54b49bfd258f727e26358', '1f97e4ebd4d242e0a37065f26035c8eb', 'False', 'True', 'false', 'false', '513324204453', 5, '烂尼巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324204453', 1, '2021-07-19 12:06:16', NULL, NULL), (33298, '', '乃渠镇', '1bcdfa277d084efaa974e450363e5904', '9af814eeed3b4427955ad3414ce77d1f', 'True', 'True', 'false', 'false', '513324100037', 4, '乃渠镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513324100037', 1, '2021-07-19 12:06:16', NULL, NULL), (33299, '', '七日村', '544b7c3f99f0490c840a0ee44fcb8b43', '1bcdfa277d084efaa974e450363e5904', 'False', 'True', 'false', 'false', '513324108535', 5, '七日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324108535', 1, '2021-07-19 12:06:16', NULL, NULL), (33300, '', '水打坝村', '26157568f1ad4ef6bcb9be3cae18f0b2', '1bcdfa277d084efaa974e450363e5904', 'False', 'True', 'false', 'false', '513324108633', 5, '水打坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324108633', 1, '2021-07-19 12:06:16', NULL, NULL), (33301, '', '烂碉村', '3fdaf93218924516bdee39e1968af11c', '1bcdfa277d084efaa974e450363e5904', 'False', 'True', 'false', 'false', '513324108997', 5, '烂碉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324108997', 1, '2021-07-19 12:06:16', NULL, NULL), (33302, '', '小金彝族乡', 'd6242427ffd9412ab5e685deccc54e1e', '9af814eeed3b4427955ad3414ce77d1f', 'True', 'True', 'false', 'false', '513324100038', 4, '小金乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513324100038', 1, '2021-07-19 12:06:16', NULL, NULL), (33303, '', '洋桥村', 'af76fb9be73445ab94a652f14a81b812', 'd6242427ffd9412ab5e685deccc54e1e', 'False', 'True', 'false', 'false', '513324212466', 5, '洋桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324212466', 1, '2021-07-19 12:06:16', NULL, NULL), (33304, '', '小金村', '6f0cb879e7ce494a99ae8fa9d832e840', 'd6242427ffd9412ab5e685deccc54e1e', 'False', 'True', 'false', 'false', '513324212703', 5, '小金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324212703', 1, '2021-07-19 12:06:16', NULL, NULL), (33305, '', '碉房村', '1ee2008be7334fb2bef3ec8700513d95', 'd6242427ffd9412ab5e685deccc54e1e', 'False', 'True', 'false', 'false', '513324212849', 5, '碉房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324212849', 1, '2021-07-19 12:06:16', NULL, NULL), (33306, '', '烟袋镇', '625138426d794b0aa7736becc1ce886c', '9af814eeed3b4427955ad3414ce77d1f', 'True', 'True', 'false', 'false', '513324100051', 4, '烟袋镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513324100051', 1, '2021-07-19 12:06:16', NULL, NULL), (33307, '', '烟袋村', '655a59fd356c4aa192da65a5772be45e', '625138426d794b0aa7736becc1ce886c', 'False', 'True', 'false', 'false', '513324101131', 5, '烟袋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324101131', 1, '2021-07-19 12:06:16', NULL, NULL), (33308, '', '烂铺子村', 'd1e93f3edc0e4317ac71ffb72e34f10f', '625138426d794b0aa7736becc1ce886c', 'False', 'True', 'false', 'false', '513324101231', 5, '烂铺子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324101231', 1, '2021-07-19 12:06:16', NULL, NULL), (33309, '', '毛菇厂村', 'f9705649d3544982acce40618faac078', '625138426d794b0aa7736becc1ce886c', 'False', 'True', 'false', 'false', '513324101703', 5, '毛菇厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324101703', 1, '2021-07-19 12:06:16', NULL, NULL), (33310, '', '白岩子村', 'ced9864501b84b5f9a9127ab518c220c', '625138426d794b0aa7736becc1ce886c', 'False', 'True', 'false', 'false', '513324101705', 5, '白岩子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324101705', 1, '2021-07-19 12:06:17', NULL, NULL), (33311, '', '桤木林村', '1a7efdbef3184f84a6a29d9858fa42ca', '625138426d794b0aa7736becc1ce886c', 'False', 'True', 'false', 'false', '513324101989', 5, '桤木林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324101989', 1, '2021-07-19 12:06:17', NULL, NULL), (33312, '', '魁多镇', '3b7aa5809ed74717b386fd1eedf6c3f9', '9af814eeed3b4427955ad3414ce77d1f', 'True', 'True', 'false', 'false', '513324100052', 4, '魁多镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513324100052', 1, '2021-07-19 12:06:17', NULL, NULL), (33313, '', '甲坝村', 'a48f784bebad45f28d5d5ac5b6ee1298', '3b7aa5809ed74717b386fd1eedf6c3f9', 'False', 'True', 'false', 'false', '513324100036', 5, '甲坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324100036', 1, '2021-07-19 12:06:17', NULL, NULL), (33314, '', '海底村', '08375fcff33f48bc975c17340efd3727', '3b7aa5809ed74717b386fd1eedf6c3f9', 'False', 'True', 'false', 'false', '513324100166', 5, '海底村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324100166', 1, '2021-07-19 12:06:17', NULL, NULL), (33315, '', '里伍村', '521fe77f0b954a118068572686e3df06', '3b7aa5809ed74717b386fd1eedf6c3f9', 'False', 'True', 'false', 'false', '513324100296', 5, '里伍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324100296', 1, '2021-07-19 12:06:17', NULL, NULL), (33316, '', '魁多村', '24b9ea8cfac9496aab66b509f7015634', '3b7aa5809ed74717b386fd1eedf6c3f9', 'False', 'True', 'false', 'false', '513324100323', 5, '魁多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324100323', 1, '2021-07-19 12:06:17', NULL, NULL), (33317, '', '江郎村', '06cec1d5bb6b4c6a96804e84b69d8bd0', '3b7aa5809ed74717b386fd1eedf6c3f9', 'False', 'True', 'false', 'false', '513324100705', 5, '江郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324100705', 1, '2021-07-19 12:06:17', NULL, NULL), (33318, '', '上团乡', '2ccba1eaf7a54a54b7cbeafea9ca6958', '9af814eeed3b4427955ad3414ce77d1f', 'True', 'True', 'false', 'false', '513324100055', 4, '上团乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513324100055', 1, '2021-07-19 12:06:17', NULL, NULL), (33319, '', '放马坪村', 'c30bb8241d8640b9a3b5920df7e629cc', '2ccba1eaf7a54a54b7cbeafea9ca6958', 'False', 'True', 'false', 'false', '513324203239', 5, '放马坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324203239', 1, '2021-07-19 12:06:17', NULL, NULL), (33320, '', '运脚村', 'e3dd4ba18a704a81bec6006edc07beee', '2ccba1eaf7a54a54b7cbeafea9ca6958', 'False', 'True', 'false', 'false', '513324203805', 5, '运脚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324203805', 1, '2021-07-19 12:06:17', NULL, NULL), (33321, '', '三岩龙乡', '6479cb3a1b634677a8b0b3031dc214d0', '9af814eeed3b4427955ad3414ce77d1f', 'True', 'True', 'false', 'false', '513324100056', 4, '三岩龙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513324100056', 1, '2021-07-19 12:06:17', NULL, NULL), (33322, '', '白杨坪村', '07ce42d7134c47b289f3186d21d2c72d', '6479cb3a1b634677a8b0b3031dc214d0', 'False', 'True', 'false', 'false', '513324202166', 5, '白杨坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324202166', 1, '2021-07-19 12:06:17', NULL, NULL), (33323, '', '柏林村', '072d7bf01cec494cbce8c2959e225404', '6479cb3a1b634677a8b0b3031dc214d0', 'False', 'True', 'false', 'false', '513324202271', 5, '柏林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324202271', 1, '2021-07-19 12:06:17', NULL, NULL), (33324, '', '田根村', '07e50a836b4b4d09927e29ce10668a45', '6479cb3a1b634677a8b0b3031dc214d0', 'False', 'True', 'false', 'false', '513324202760', 5, '田根村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324202760', 1, '2021-07-19 12:06:17', NULL, NULL), (33325, '', '朵洛彝族乡', 'fc5d15d3978f4496abff92076a5578bb', '9af814eeed3b4427955ad3414ce77d1f', 'True', 'True', 'false', 'false', '513324100057', 4, '朵洛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513324100057', 1, '2021-07-19 12:06:18', NULL, NULL), (33326, '', '曲窝村', '09843f72def242c89b75307e74bc15c3', 'fc5d15d3978f4496abff92076a5578bb', 'False', 'True', 'false', 'false', '513324213192', 5, '曲窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324213192', 1, '2021-07-19 12:06:18', NULL, NULL), (33327, '', '船板沟村', 'b4aa30c23508448db23921a424235134', 'fc5d15d3978f4496abff92076a5578bb', 'False', 'True', 'false', 'false', '513324213714', 5, '船板沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324213714', 1, '2021-07-19 12:06:18', NULL, NULL), (33328, '', '子耳彝族乡', 'dd4680abb31a45f8a109cb30e8674305', '9af814eeed3b4427955ad3414ce77d1f', 'True', 'True', 'false', 'false', '513324100058', 4, '子耳乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513324100058', 1, '2021-07-19 12:06:18', NULL, NULL), (33329, '', '庙子坪村', '8cd4cb60187e4076914cf8f5a970b9e5', 'dd4680abb31a45f8a109cb30e8674305', 'False', 'True', 'false', 'false', '513324209239', 5, '庙子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324209239', 1, '2021-07-19 12:06:18', NULL, NULL), (33330, '', '杜公村', '8c8115a5fb054c7bb871d6a1b354a0d6', 'dd4680abb31a45f8a109cb30e8674305', 'False', 'True', 'false', 'false', '513324209459', 5, '杜公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324209459', 1, '2021-07-19 12:06:18', NULL, NULL), (33331, '', '万年村', 'c91e99c211f24596a8cfdf0cff3e9340', 'dd4680abb31a45f8a109cb30e8674305', 'False', 'True', 'false', 'false', '513324209473', 5, '万年村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324209473', 1, '2021-07-19 12:06:18', NULL, NULL), (33332, '', '银厂弯村', '608e3c0f47734328a41c7945f2643b5a', 'dd4680abb31a45f8a109cb30e8674305', 'False', 'True', 'false', 'false', '513324209784', 5, '银厂弯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324209784', 1, '2021-07-19 12:06:18', NULL, NULL), (33333, '', '麻窝村', '0a83b798b2194704b18b796e287ecf2f', 'dd4680abb31a45f8a109cb30e8674305', 'False', 'True', 'false', 'false', '513324209863', 5, '麻窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324209863', 1, '2021-07-19 12:06:18', NULL, NULL), (33334, '', '乌拉溪镇', 'dd44064cedf84993864866294a892c65', '9af814eeed3b4427955ad3414ce77d1f', 'True', 'True', 'false', 'false', '513324100059', 4, '乌拉溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513324100059', 1, '2021-07-19 12:06:18', NULL, NULL), (33335, '', '河坝村', 'bad9109e127c4127a9d0ebd351607c64', 'dd44064cedf84993864866294a892c65', 'False', 'True', 'false', 'false', '513324106166', 5, '河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324106166', 1, '2021-07-19 12:06:18', NULL, NULL), (33336, '', '坡上村', '0a98cb9a441149b198e62d37e659ffd6', 'dd44064cedf84993864866294a892c65', 'False', 'True', 'false', 'false', '513324106714', 5, '坡上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324106714', 1, '2021-07-19 12:06:18', NULL, NULL), (33337, '', '石头沟村', '0abdff82dbae455eb4276d3fdcbe9180', 'dd44064cedf84993864866294a892c65', 'False', 'True', 'false', 'false', '513324106832', 5, '石头沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324106832', 1, '2021-07-19 12:06:19', NULL, NULL), (33338, '', '偏桥村', '5d99fcddd25c464bb9bc971979501644', 'dd44064cedf84993864866294a892c65', 'False', 'True', 'false', 'false', '513324106869', 5, '偏桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324106869', 1, '2021-07-19 12:06:19', NULL, NULL), (33339, '', '呷尔镇', 'beca03d455b34326822930b9fc03c81e', '9af814eeed3b4427955ad3414ce77d1f', 'True', 'True', 'false', 'false', '513324100060', 4, '呷尔镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513324100060', 1, '2021-07-19 12:06:19', NULL, NULL), (33340, '', '文化路社区', '97a546079582453285737977972739c7', 'beca03d455b34326822930b9fc03c81e', 'False', 'True', 'false', 'false', '513324100068', 5, '文化路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324100068', 1, '2021-07-19 12:06:19', NULL, NULL), (33341, '', '民族广场社区', 'a550dd94eeef45cb81dc672a87169696', 'beca03d455b34326822930b9fc03c81e', 'False', 'True', 'false', 'false', '513324100299', 5, '民族广场社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324100299', 1, '2021-07-19 12:06:19', NULL, NULL), (33342, '', '呷尔村', '717e03fe80eb445889e558a71861c402', 'beca03d455b34326822930b9fc03c81e', 'False', 'True', 'false', 'false', '513324100376', 5, '呷尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324100376', 1, '2021-07-19 12:06:19', NULL, NULL), (33343, '', '华丘村', 'a5451ce9dfa74768abc9f09624aa670a', 'beca03d455b34326822930b9fc03c81e', 'False', 'True', 'false', 'false', '513324100607', 5, '华丘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324100607', 1, '2021-07-19 12:06:19', NULL, NULL), (33344, '', '扎日村', 'b6c38999c7d945b1975f7743e9149b96', 'beca03d455b34326822930b9fc03c81e', 'False', 'True', 'false', 'false', '513324100843', 5, '扎日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324100843', 1, '2021-07-19 12:06:19', NULL, NULL), (33345, '', '察尔村', 'e6b6603a82b24341bc5f8dc8e0b4a699', 'beca03d455b34326822930b9fc03c81e', 'False', 'True', 'false', 'false', '513324100982', 5, '察尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324100982', 1, '2021-07-19 12:06:19', NULL, NULL), (33346, '', '三垭镇', '17619f2f632047af80351ad043abd771', '9af814eeed3b4427955ad3414ce77d1f', 'True', 'True', 'false', 'false', '513324548000', 4, '三垭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513324548000', 1, '2021-07-19 12:06:19', NULL, NULL), (33347, '', '大铺子村', '35bf016be8904084bf35100caebd81c7', '17619f2f632047af80351ad043abd771', 'False', 'True', 'false', 'false', '513324102052', 5, '大铺子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324102052', 1, '2021-07-19 12:06:19', NULL, NULL), (33348, '', '洼铺子村', '3402396df8ec46d69f2dc9e9041c5952', '17619f2f632047af80351ad043abd771', 'False', 'True', 'false', 'false', '513324102233', 5, '洼铺子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324102233', 1, '2021-07-19 12:06:19', NULL, NULL), (33349, '', '龙塘子村', '6ede7bf82a02452b84e02a0749fcaaf9', '17619f2f632047af80351ad043abd771', 'False', 'True', 'false', 'false', '513324102261', 5, '龙塘子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324102261', 1, '2021-07-19 12:06:19', NULL, NULL), (33350, '', '俄尔村', '67a318f1b9f648b7804b20d67b6a45b5', '17619f2f632047af80351ad043abd771', 'False', 'True', 'false', 'false', '513324102579', 5, '俄尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324102579', 1, '2021-07-19 12:06:20', NULL, NULL), (33351, '', '郎呷村', 'cf68a8ddd3b4495cba2a5de993f0add9', '17619f2f632047af80351ad043abd771', 'False', 'True', 'false', 'false', '513324102745', 5, '郎呷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324102745', 1, '2021-07-19 12:06:20', NULL, NULL), (33352, '', '马颈子村', 'b78b194d5e7a461fb625341832a2180b', '17619f2f632047af80351ad043abd771', 'False', 'True', 'false', 'false', '513324102748', 5, '马颈子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324102748', 1, '2021-07-19 12:06:20', NULL, NULL), (33353, '', '老鸹村', '6fd3253a09394a6fb9d80c54050f9b23', '17619f2f632047af80351ad043abd771', 'False', 'True', 'false', 'false', '513324102829', 5, '老鸹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324102829', 1, '2021-07-19 12:06:20', NULL, NULL), (33354, '', '雪洼龙镇', '694ee86fa1134bfa95a35d059ba80d3c', '9af814eeed3b4427955ad3414ce77d1f', 'True', 'True', 'false', 'false', '513324400000', 4, '雪洼龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513324400000', 1, '2021-07-19 12:06:20', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (33355, '', '河口村', '571c8ecdb91b4dfb98839e33556973d0', '694ee86fa1134bfa95a35d059ba80d3c', 'False', 'True', 'false', 'false', '513324103428', 5, '河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324103428', 1, '2021-07-19 12:06:20', NULL, NULL), (33356, '', '耳朵村', '987d3cd473344b7ca9e28efd034e52d2', '694ee86fa1134bfa95a35d059ba80d3c', 'False', 'True', 'false', 'false', '513324103494', 5, '耳朵村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324103494', 1, '2021-07-19 12:06:20', NULL, NULL), (33357, '', '花椒坪村', '908eaa97b8434f74b4d33eba962e8246', '694ee86fa1134bfa95a35d059ba80d3c', 'False', 'True', 'false', 'false', '513324103512', 5, '花椒坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324103512', 1, '2021-07-19 12:06:20', NULL, NULL), (33358, '', '洛让村', 'c81115046154490b8a902722d59d38aa', '694ee86fa1134bfa95a35d059ba80d3c', 'False', 'True', 'false', 'false', '513324103633', 5, '洛让村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324103633', 1, '2021-07-19 12:06:20', NULL, NULL), (33359, '', '雪洼村', '542333418e494d5a9b27b6a7e7a7ab24', '694ee86fa1134bfa95a35d059ba80d3c', 'False', 'True', 'false', 'false', '513324103849', 5, '雪洼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324103849', 1, '2021-07-19 12:06:20', NULL, NULL), (33360, '', '甲铺子村', 'fabad1df77d1469e92331580980a28e0', '694ee86fa1134bfa95a35d059ba80d3c', 'False', 'True', 'false', 'false', '513324103864', 5, '甲铺子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513324103864', 1, '2021-07-19 12:06:20', NULL, NULL), (33361, '', '雅江县', '6d3843b29a51489cb389eec10238b57a', '4e0988aa699e46dd9cdf992180c73cd8', 'True', 'True', 'false', 'false', '513325000000', 3, '雅江县', 'gzzyjx.sczwfw.gov.cn', 1, '2021-07-19 12:06:20', NULL, NULL), (33362, '', '河口镇', '6ae6567112f34ef28d92d369d073fa12', '6d3843b29a51489cb389eec10238b57a', 'True', 'True', 'false', 'false', '513325100000', 4, '河口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513325100000', 1, '2021-07-19 12:06:20', NULL, NULL), (33363, '', '麻子石村', '12dfc90bf2074cb494ed5c12bd1e1eae', '6ae6567112f34ef28d92d369d073fa12', 'False', 'True', 'false', 'false', '513325100075', 5, '麻子石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325100075', 1, '2021-07-19 12:06:21', NULL, NULL), (33364, '', '本达宗村', '303bba3b03724e2ba822cca9c96d157c', '6ae6567112f34ef28d92d369d073fa12', 'False', 'True', 'false', 'false', '513325100099', 5, '本达宗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325100099', 1, '2021-07-19 12:06:21', NULL, NULL), (33365, '', '城厢村', '3e360e0f2bc148fd8bf43b5a1f6d8109', '6ae6567112f34ef28d92d369d073fa12', 'False', 'True', 'false', 'false', '513325100286', 5, '城厢村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325100286', 1, '2021-07-19 12:06:21', NULL, NULL), (33366, '', '下渡村', '8cfb7c3fcea9497c9b86a7ef9b82fc8f', '6ae6567112f34ef28d92d369d073fa12', 'False', 'True', 'false', 'false', '513325100533', 5, '下渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325100533', 1, '2021-07-19 12:06:21', NULL, NULL), (33367, '', '三道桥村', '1e88c83464ca4104af1a44ee899070f1', '6ae6567112f34ef28d92d369d073fa12', 'False', 'True', 'false', 'false', '513325100734', 5, '三道桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325100734', 1, '2021-07-19 12:06:21', NULL, NULL), (33368, '', '山背后村', '6d1fb884a9a04b71a285287b20c059ae', '6ae6567112f34ef28d92d369d073fa12', 'False', 'True', 'false', 'false', '513325100900', 5, '山背后村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325100900', 1, '2021-07-19 12:06:21', NULL, NULL), (33369, '', '呷拉镇', '8f767e4073e34dc7a99b302b0b24f9fa', '6d3843b29a51489cb389eec10238b57a', 'True', 'True', 'false', 'false', '513325101000', 4, '呷拉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513325101000', 1, '2021-07-19 12:06:21', NULL, NULL), (33370, '', '呷拉村', 'c5e80759b86c4c03b72016fe66f21f04', '8f767e4073e34dc7a99b302b0b24f9fa', 'False', 'True', 'false', 'false', '513325101153', 5, '呷拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325101153', 1, '2021-07-19 12:06:21', NULL, NULL), (33371, '', '苦乐村', '9c043592d1fe41b3b33b5c817999369c', '8f767e4073e34dc7a99b302b0b24f9fa', 'False', 'True', 'false', 'false', '513325101219', 5, '苦乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325101219', 1, '2021-07-19 12:06:21', NULL, NULL), (33372, '', '白孜村', '3e6e54a50f5746b380b3452e4f28490e', '8f767e4073e34dc7a99b302b0b24f9fa', 'False', 'True', 'false', 'false', '513325101600', 5, '白孜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325101600', 1, '2021-07-19 12:06:21', NULL, NULL), (33373, '', '脚泥堡村', '4bfbfc9c405247fba4eca1a0e2443dea', '8f767e4073e34dc7a99b302b0b24f9fa', 'False', 'True', 'false', 'false', '513325101608', 5, '脚泥堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325101608', 1, '2021-07-19 12:06:21', NULL, NULL), (33374, '', '西地村', '30ed717aba994155883e770220bcece6', '8f767e4073e34dc7a99b302b0b24f9fa', 'False', 'True', 'false', 'false', '513325101823', 5, '西地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325101823', 1, '2021-07-19 12:06:21', NULL, NULL), (33375, '', '西俄洛镇', '89856a82e9c145ae9996a2bd3802d605', '6d3843b29a51489cb389eec10238b57a', 'True', 'True', 'false', 'false', '513325102000', 4, '西俄洛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513325102000', 1, '2021-07-19 12:06:21', NULL, NULL), (33376, '', '俄洛堆村', '6b35a87b55f6467bbf06476bf572fcb7', '89856a82e9c145ae9996a2bd3802d605', 'False', 'True', 'false', 'false', '513325102460', 5, '俄洛堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325102460', 1, '2021-07-19 12:06:21', NULL, NULL), (33377, '', '康巴汉子村', '0b9b1c2d2bff4d0c85da67ef0195038b', '89856a82e9c145ae9996a2bd3802d605', 'False', 'True', 'false', 'false', '513325102599', 5, '康巴汉子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325102599', 1, '2021-07-19 12:06:22', NULL, NULL), (33378, '', '汪堆村', '573586e4dbf44b0fb734d0c6b14884aa', '89856a82e9c145ae9996a2bd3802d605', 'False', 'True', 'false', 'false', '513325102738', 5, '汪堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325102738', 1, '2021-07-19 12:06:22', NULL, NULL), (33379, '', '牛角洞村', '41d30bdcf3ba45128489a2ecbeccd796', '89856a82e9c145ae9996a2bd3802d605', 'False', 'True', 'false', 'false', '513325102837', 5, '牛角洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325102837', 1, '2021-07-19 12:06:22', NULL, NULL), (33380, '', '苦则村', '86627d0e445142ddaae39bb81d0980b4', '89856a82e9c145ae9996a2bd3802d605', 'False', 'True', 'false', 'false', '513325102895', 5, '苦则村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325102895', 1, '2021-07-19 12:06:22', NULL, NULL), (33381, '', '红龙镇', '45ac0109a9414f7aa0a217d62a8ed046', '6d3843b29a51489cb389eec10238b57a', 'True', 'True', 'false', 'false', '513325103000', 4, '红龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513325103000', 1, '2021-07-19 12:06:22', NULL, NULL), (33382, '', '马它马村', '6b341c3aa9804524ba76ed6887bafdbd', '45ac0109a9414f7aa0a217d62a8ed046', 'False', 'True', 'false', 'false', '513325103072', 5, '马它马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325103072', 1, '2021-07-19 12:06:22', NULL, NULL), (33383, '', '东来一村', 'aa5387f2a4aa4c6d96759ebac1f91759', '45ac0109a9414f7aa0a217d62a8ed046', 'False', 'True', 'false', 'false', '513325103129', 5, '东来一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325103129', 1, '2021-07-19 12:06:22', NULL, NULL), (33384, '', '错柯二村', '04f1918df178413c8531200f97873485', '45ac0109a9414f7aa0a217d62a8ed046', 'False', 'True', 'false', 'false', '513325103375', 5, '错柯二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325103375', 1, '2021-07-19 12:06:22', NULL, NULL), (33385, '', '东来二村', '16cb236931d24256b12bf7c5f684b83d', '45ac0109a9414f7aa0a217d62a8ed046', 'False', 'True', 'false', 'false', '513325103411', 5, '东来二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325103411', 1, '2021-07-19 12:06:22', NULL, NULL), (33386, '', '错柯一村', '47720a418a744630bd4aaeea1b7dd00c', '45ac0109a9414f7aa0a217d62a8ed046', 'False', 'True', 'false', 'false', '513325103427', 5, '错柯一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325103427', 1, '2021-07-19 12:06:22', NULL, NULL), (33387, '', '八角楼乡', '9b71f0242ba14b70a78ac1c9b2efe788', '6d3843b29a51489cb389eec10238b57a', 'True', 'True', 'false', 'false', '513325201000', 4, '八角楼乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513325201000', 1, '2021-07-19 12:06:22', NULL, NULL), (33388, '', '王呷村', '9c3efd2242044f73a449820b659dec8c', '9b71f0242ba14b70a78ac1c9b2efe788', 'False', 'True', 'false', 'false', '513325201123', 5, '王呷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325201123', 1, '2021-07-19 12:06:22', NULL, NULL), (33389, '', '扎日村', '796f908bd32e4a9f9783c9dc4a724f6f', '9b71f0242ba14b70a78ac1c9b2efe788', 'False', 'True', 'false', 'false', '513325201222', 5, '扎日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325201222', 1, '2021-07-19 12:06:22', NULL, NULL), (33390, '', '八角楼村', '847284d96c034b3b96d018a56f6dc99b', '9b71f0242ba14b70a78ac1c9b2efe788', 'False', 'True', 'false', 'false', '513325201319', 5, '八角楼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325201319', 1, '2021-07-19 12:06:22', NULL, NULL), (33391, '', '维锡村', '0a2b9b1fbc0e4566b32bc866c0d560c7', '9b71f0242ba14b70a78ac1c9b2efe788', 'False', 'True', 'false', 'false', '513325201336', 5, '维锡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325201336', 1, '2021-07-19 12:06:22', NULL, NULL), (33392, '', '同达村', 'f925183da422492db9cb5ff8d2485df0', '9b71f0242ba14b70a78ac1c9b2efe788', 'False', 'True', 'false', 'false', '513325201425', 5, '同达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325201425', 1, '2021-07-19 12:06:23', NULL, NULL), (33393, '', '松茸村', '8243fae237224f49b8d01ffab178e383', '9b71f0242ba14b70a78ac1c9b2efe788', 'False', 'True', 'false', 'false', '513325201767', 5, '松茸村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325201767', 1, '2021-07-19 12:06:23', NULL, NULL), (33394, '', '木泽西村', 'b78da76ea59b48b8a33a34294b62494b', '9b71f0242ba14b70a78ac1c9b2efe788', 'False', 'True', 'false', 'false', '513325201794', 5, '木泽西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325201794', 1, '2021-07-19 12:06:23', NULL, NULL), (33395, '', '普巴绒乡', 'a865dfc83815478788625e3712273643', '6d3843b29a51489cb389eec10238b57a', 'True', 'True', 'false', 'false', '513325202000', 4, '普巴绒乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513325202000', 1, '2021-07-19 12:06:23', NULL, NULL), (33396, '', '甲德村', '714f2f49e04240eeb3c0b936ff40f566', 'a865dfc83815478788625e3712273643', 'False', 'True', 'false', 'false', '513325202343', 5, '甲德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325202343', 1, '2021-07-19 12:06:23', NULL, NULL), (33397, '', '普古村', '07ac93f3533b45e8963b359d95ed8c14', 'a865dfc83815478788625e3712273643', 'False', 'True', 'false', 'false', '513325202539', 5, '普古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325202539', 1, '2021-07-19 12:06:23', NULL, NULL), (33398, '', '亚中村', '7564a12c937f47ff8352a724fca87ebe', 'a865dfc83815478788625e3712273643', 'False', 'True', 'false', 'false', '513325202587', 5, '亚中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325202587', 1, '2021-07-19 12:06:23', NULL, NULL), (33399, '', '日孜村', '93b4ca550a0048059439a1b151b3fca5', 'a865dfc83815478788625e3712273643', 'False', 'True', 'false', 'false', '513325202780', 5, '日孜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325202780', 1, '2021-07-19 12:06:23', NULL, NULL), (33400, '', '祝桑乡', '4da22ddd05e64604bab287a14e5abf4a', '6d3843b29a51489cb389eec10238b57a', 'True', 'True', 'false', 'false', '513325203000', 4, '祝桑乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513325203000', 1, '2021-07-19 12:06:23', NULL, NULL), (33401, '', '夺雅宗村', '0d40a1dd7c1e46368251ac92ace4110d', '4da22ddd05e64604bab287a14e5abf4a', 'False', 'True', 'false', 'false', '513325203422', 5, '夺雅宗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325203422', 1, '2021-07-19 12:06:23', NULL, NULL), (33402, '', '祝桑村', '0d3deeff5368459abc0416d3dbcd1a5f', '4da22ddd05e64604bab287a14e5abf4a', 'False', 'False', 'false', 'false', '513325203068', 5, '祝桑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325203068', 1, '2021-07-19 12:06:23', NULL, NULL), (33403, '', '尼玛宗村', 'd80b3acc68ae4cdeb829962c6b26c3dd', '4da22ddd05e64604bab287a14e5abf4a', 'False', 'True', 'false', 'false', '513325203126', 5, '尼玛宗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325203126', 1, '2021-07-19 12:06:23', NULL, NULL), (33404, '', '德察村', '5d54f6ffc8d44378882dd88bc7aaf852', '4da22ddd05e64604bab287a14e5abf4a', 'False', 'True', 'false', 'false', '513325203331', 5, '德察村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325203331', 1, '2021-07-19 12:06:23', NULL, NULL), (33405, '', '真达村', 'b193f6a8d7b94050af37f14a12c1f642', '4da22ddd05e64604bab287a14e5abf4a', 'False', 'True', 'false', 'false', '513325203468', 5, '真达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325203468', 1, '2021-07-19 12:06:23', NULL, NULL), (33406, '', '本孜村', '75c48ea19e014ed4bb8950d5004e6845', '4da22ddd05e64604bab287a14e5abf4a', 'False', 'True', 'false', 'false', '513325203977', 5, '本孜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325203977', 1, '2021-07-19 12:06:24', NULL, NULL), (33407, '', '米龙乡', '1b2c67f219fd4173bbcd502a2a5af191', '6d3843b29a51489cb389eec10238b57a', 'True', 'True', 'false', 'false', '513325204000', 4, '米龙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513325204000', 1, '2021-07-19 12:06:24', NULL, NULL), (33408, '', '然公村', '616bbb5457ec4ad785d2f5658146bef7', '1b2c67f219fd4173bbcd502a2a5af191', 'False', 'True', 'false', 'false', '513325204229', 5, '然公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325204229', 1, '2021-07-19 12:06:24', NULL, NULL), (33409, '', '本孜绒村', '9f4dd0b7b4854b2ab0f27d65b8b0f811', '1b2c67f219fd4173bbcd502a2a5af191', 'False', 'True', 'false', 'false', '513325204401', 5, '本孜绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325204401', 1, '2021-07-19 12:06:24', NULL, NULL), (33410, '', '隆冬村', 'fad37aa869334bb9bb84ba0efb9da921', '1b2c67f219fd4173bbcd502a2a5af191', 'False', 'False', 'false', 'false', '513325204429', 5, '隆冬村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325204429', 1, '2021-07-19 12:06:24', NULL, NULL), (33411, '', '程章村', '2572ffdddbcc4ddcad3e5b9c2046efac', '1b2c67f219fd4173bbcd502a2a5af191', 'False', 'True', 'false', 'false', '513325204457', 5, '程章村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325204457', 1, '2021-07-19 12:06:24', NULL, NULL), (33412, '', '米龙村', 'cad3fb2f64a24f17a7c0b20fb2802dd8', '1b2c67f219fd4173bbcd502a2a5af191', 'False', 'True', 'false', 'false', '513325204540', 5, '米龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325204540', 1, '2021-07-19 12:06:24', NULL, NULL), (33413, '', '八衣绒乡', 'bcc2b0df4782424eab24e1232e6abf9d', '6d3843b29a51489cb389eec10238b57a', 'True', 'True', 'false', 'false', '513325205000', 4, '八衣绒乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513325205000', 1, '2021-07-19 12:06:24', NULL, NULL), (33414, '', '茨马绒村', '02e050e964e6400088a1a75f0dc1b3cf', 'bcc2b0df4782424eab24e1232e6abf9d', 'False', 'True', 'false', 'false', '513325205582', 5, '茨马绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325205582', 1, '2021-07-19 12:06:24', NULL, NULL), (33415, '', '木灰村', '3a94742a5ac549c1abc4e5305ba336da', 'bcc2b0df4782424eab24e1232e6abf9d', 'False', 'True', 'false', 'false', '513325205879', 5, '木灰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325205879', 1, '2021-07-19 12:06:24', NULL, NULL), (33416, '', '格日村', '9d9a118df35146b6b79590537be7c61d', 'bcc2b0df4782424eab24e1232e6abf9d', 'False', 'True', 'false', 'false', '513325205880', 5, '格日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325205880', 1, '2021-07-19 12:06:24', NULL, NULL), (33417, '', '波斯河镇', 'a4fbcc27cb1f46cbbae06dafec384854', '6d3843b29a51489cb389eec10238b57a', 'True', 'True', 'false', 'false', '513325206000', 4, '波斯河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513325206000', 1, '2021-07-19 12:06:24', NULL, NULL), (33418, '', '日衣村', '903698642ad5402da24a07115c8fe5f2', 'a4fbcc27cb1f46cbbae06dafec384854', 'False', 'True', 'false', 'false', '513325206575', 5, '日衣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325206575', 1, '2021-07-19 12:06:24', NULL, NULL), (33419, '', '俄古村', 'ef952ed20d8d4dc4bd7caffb228b66fb', 'a4fbcc27cb1f46cbbae06dafec384854', 'False', 'True', 'false', 'false', '513325206633', 5, '俄古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325206633', 1, '2021-07-19 12:06:24', NULL, NULL), (33420, '', '孜河村', '6ae19713d8f74c79a14f5dd7da24a976', 'a4fbcc27cb1f46cbbae06dafec384854', 'False', 'True', 'false', 'false', '513325206471', 5, '孜河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325206471', 1, '2021-07-19 12:06:24', NULL, NULL), (33421, '', '雨日村', 'd7d63bd147664859be7cf538bd2b865c', 'a4fbcc27cb1f46cbbae06dafec384854', 'False', 'True', 'false', 'false', '513325206588', 5, '雨日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325206588', 1, '2021-07-19 12:06:24', NULL, NULL), (33422, '', '下日村', 'd9d0758a5b5a484b9d10d1bfe30a002b', 'a4fbcc27cb1f46cbbae06dafec384854', 'False', 'True', 'false', 'false', '513325206711', 5, '下日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325206711', 1, '2021-07-19 12:06:24', NULL, NULL), (33423, '', '邓科村', '870ee91924b5487086ae36e3569e8225', 'a4fbcc27cb1f46cbbae06dafec384854', 'False', 'True', 'false', 'false', '513325206856', 5, '邓科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325206856', 1, '2021-07-19 12:06:24', NULL, NULL), (33424, '', '南根村', 'e3b526dc76554cc9bfc0478901609b18', 'a4fbcc27cb1f46cbbae06dafec384854', 'False', 'True', 'false', 'false', '513325206983', 5, '南根村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325206983', 1, '2021-07-19 12:06:25', NULL, NULL), (33425, '', '牙衣河乡', '2104714870fd4b328ce66b1383336917', '6d3843b29a51489cb389eec10238b57a', 'True', 'True', 'false', 'false', '513325208000', 4, '牙衣河乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513325208000', 1, '2021-07-19 12:06:25', NULL, NULL), (33426, '', '木恩村', '777491fda2534d3d8f8378635194aaa1', '2104714870fd4b328ce66b1383336917', 'False', 'True', 'false', 'false', '513325208091', 5, '木恩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325208091', 1, '2021-07-19 12:06:25', NULL, NULL), (33427, '', '牙衣河村', '0ed5fa3304a94b4683ffd5c51ffa3c13', '2104714870fd4b328ce66b1383336917', 'False', 'True', 'false', 'false', '513325208199', 5, '牙衣河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325208199', 1, '2021-07-19 12:06:25', NULL, NULL), (33428, '', '江中堂村', '64a94bbec986423fb3a5d291b98a359b', '2104714870fd4b328ce66b1383336917', 'False', 'True', 'false', 'false', '513325208352', 5, '江中堂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325208352', 1, '2021-07-19 12:06:25', NULL, NULL), (33429, '', '麻郎措镇', 'c890576c045e473384d3ad9fc1c6beea', '6d3843b29a51489cb389eec10238b57a', 'True', 'True', 'false', 'false', '513325210000', 4, '麻郎措镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513325210000', 1, '2021-07-19 12:06:25', NULL, NULL), (33430, '', '巴德村', 'a255f3e481164905866cff01a06f9f1e', 'c890576c045e473384d3ad9fc1c6beea', 'False', 'True', 'false', 'false', '513325210002', 5, '巴德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325210002', 1, '2021-07-19 12:06:25', NULL, NULL), (33431, '', '牙巴村', '7799b2511b1b440482d566055624675b', 'c890576c045e473384d3ad9fc1c6beea', 'False', 'True', 'false', 'false', '513325210348', 5, '牙巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325210348', 1, '2021-07-19 12:06:25', NULL, NULL), (33432, '', '唐岗村', '8a83d1e4403c4d48aca65d21e1b79dee', 'c890576c045e473384d3ad9fc1c6beea', 'False', 'True', 'false', 'false', '513325210475', 5, '唐岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325210475', 1, '2021-07-19 12:06:25', NULL, NULL), (33433, '', '唐足村', '87e4d0e6c0f44ee686c1f8fe9e249009', 'c890576c045e473384d3ad9fc1c6beea', 'False', 'True', 'false', 'false', '513325210511', 5, '唐足村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325210511', 1, '2021-07-19 12:06:25', NULL, NULL), (33434, '', '唐俄村', '6fe7905975c84439998eef6d156acb43', 'c890576c045e473384d3ad9fc1c6beea', 'False', 'True', 'false', 'false', '513325210612', 5, '唐俄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325210612', 1, '2021-07-19 12:06:25', NULL, NULL), (33435, '', '麻郎措村', 'eff0d7182ac947db9ee14df41be111b7', 'c890576c045e473384d3ad9fc1c6beea', 'False', 'True', 'false', 'false', '513325210706', 5, '麻郎措村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325210706', 1, '2021-07-19 12:06:25', NULL, NULL), (33436, '', '德差乡', '342512355312498cb9e2b944eb9d8f9c', '6d3843b29a51489cb389eec10238b57a', 'True', 'True', 'false', 'false', '513325211000', 4, '德差乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513325211000', 1, '2021-07-19 12:06:25', NULL, NULL), (33437, '', '下德差村', '2232385c6f474f2382d9ee8e12dc91e0', '342512355312498cb9e2b944eb9d8f9c', 'False', 'True', 'false', 'false', '513325211359', 5, '下德差村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325211359', 1, '2021-07-19 12:06:26', NULL, NULL), (33438, '', '中德差村', 'a14696130f54472b83fe107377fcdf0a', '342512355312498cb9e2b944eb9d8f9c', 'False', 'True', 'false', 'false', '513325211455', 5, '中德差村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325211455', 1, '2021-07-19 12:06:26', NULL, NULL), (33439, '', '布孜村', 'ed9effc42b8d487d81b41ddce5daa831', '342512355312498cb9e2b944eb9d8f9c', 'False', 'True', 'false', 'false', '513325211559', 5, '布孜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325211559', 1, '2021-07-19 12:06:26', NULL, NULL), (33440, '', '上德差村', 'ca92c85da8af4f218593d22ad04e5d8a', '342512355312498cb9e2b944eb9d8f9c', 'False', 'True', 'false', 'false', '513325211818', 5, '上德差村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325211818', 1, '2021-07-19 12:06:26', NULL, NULL), (33441, '', '吕村', '310f4917924f4798bcd1733fcad646ff', '342512355312498cb9e2b944eb9d8f9c', 'False', 'True', 'false', 'false', '513325211974', 5, '吕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325211974', 1, '2021-07-19 12:06:26', NULL, NULL), (33442, '', '柯拉乡', '0be9b2384c2f4fa7a4b0c96625f32050', '6d3843b29a51489cb389eec10238b57a', 'True', 'True', 'false', 'false', '513325213000', 4, '柯拉乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513325213000', 1, '2021-07-19 12:06:26', NULL, NULL), (33443, '', '志柯村', 'b42e98f42bb94f48a4029bb609f4133f', '0be9b2384c2f4fa7a4b0c96625f32050', 'False', 'False', 'false', 'false', '513325213158', 5, '志柯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325213158', 1, '2021-07-19 12:06:26', NULL, NULL), (33444, '', '扎渣村', 'd43929c1bfa64dd494c2cacb242a44d4', '0be9b2384c2f4fa7a4b0c96625f32050', 'False', 'False', 'false', 'false', '513325213337', 5, '扎渣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325213337', 1, '2021-07-19 12:06:26', NULL, NULL), (33445, '', '益因二村', 'a1ee50cc148446d0938f1e5b8f579977', '0be9b2384c2f4fa7a4b0c96625f32050', 'False', 'False', 'false', 'false', '513325213463', 5, '益因二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325213463', 1, '2021-07-19 12:06:26', NULL, NULL), (33446, '', '火拉村', 'd5c15203657340759c81b2311de3c67c', '0be9b2384c2f4fa7a4b0c96625f32050', 'False', 'True', 'false', 'false', '513325213700', 5, '火拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325213700', 1, '2021-07-19 12:06:26', NULL, NULL), (33447, '', '雅江县柯拉乡解放村', '7e7ddebf579c4db3874b6dd7410f39e2', '0be9b2384c2f4fa7a4b0c96625f32050', 'False', 'True', 'false', 'false', '513325213754', 5, '解放村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325213754', 1, '2021-07-19 12:06:26', NULL, NULL), (33448, '', '益因一村', '8bbb165711ac4a29a7eec85097264489', '0be9b2384c2f4fa7a4b0c96625f32050', 'False', 'True', 'false', 'false', '513325213778', 5, '益因一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325213778', 1, '2021-07-19 12:06:26', NULL, NULL), (33449, '', '瓦多乡', '4c9e89f509864534b018bb4d0c585021', '6d3843b29a51489cb389eec10238b57a', 'True', 'True', 'false', 'false', '513325214000', 4, '瓦多乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513325214000', 1, '2021-07-19 12:06:26', NULL, NULL), (33450, '', '白龙村', 'a89696580dc04a95836340ceb74f4e6f', '4c9e89f509864534b018bb4d0c585021', 'False', 'True', 'false', 'false', '513325214292', 5, '白龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325214292', 1, '2021-07-19 12:06:26', NULL, NULL), (33451, '', '中古村', '81c4f612c4824987b0f120c8ede61813', '4c9e89f509864534b018bb4d0c585021', 'False', 'True', 'false', 'false', '513325214726', 5, '中古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325214726', 1, '2021-07-19 12:06:27', NULL, NULL), (33452, '', '交吾村', '19370cbc0271477babd6097d5af5090c', '4c9e89f509864534b018bb4d0c585021', 'False', 'True', 'false', 'false', '513325214728', 5, '交吾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325214728', 1, '2021-07-19 12:06:27', NULL, NULL), (33453, '', '杜米村', '0a48bda5fe3b4ecc85eb22b919dfb9e0', '4c9e89f509864534b018bb4d0c585021', 'False', 'True', 'false', 'false', '513325214858', 5, '杜米村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325214858', 1, '2021-07-19 12:06:27', NULL, NULL), (33454, '', '木绒乡', '8deb5315e91249d6bb7340d301b7c725', '6d3843b29a51489cb389eec10238b57a', 'True', 'True', 'false', 'false', '513325215000', 4, '木绒乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513325215000', 1, '2021-07-19 12:06:27', NULL, NULL), (33455, '', '沙学村', 'c2b4e1077bf04b60a5cfe1b3636637a7', '8deb5315e91249d6bb7340d301b7c725', 'False', 'False', 'false', 'false', '513325215244', 5, '沙学村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325215244', 1, '2021-07-19 12:06:27', NULL, NULL), (33456, '', '新卫村', '4bbb958bf86241869f1848aa2493a511', '8deb5315e91249d6bb7340d301b7c725', 'False', 'False', 'false', 'false', '513325215328', 5, '新卫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325215328', 1, '2021-07-19 12:06:27', NULL, NULL), (33457, '', '木绒村', '0613994c4abc45c0a3ccc88db10f9b98', '8deb5315e91249d6bb7340d301b7c725', 'False', 'False', 'false', 'false', '513325215928', 5, '木绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325215928', 1, '2021-07-19 12:06:27', NULL, NULL), (33458, '', '安桂村', '060404b20d504e559f605f7ae320bce7', '8deb5315e91249d6bb7340d301b7c725', 'False', 'False', 'false', 'false', '513325215970', 5, '安桂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513325215970', 1, '2021-07-19 12:06:27', NULL, NULL), (33459, '', '道孚县', '6b8e609000104eabae67ed6381398a7c', '4e0988aa699e46dd9cdf992180c73cd8', 'True', 'True', 'false', 'false', '513326000000', 3, '道孚县', 'gzzdfx.sczwfw.gov.cn', 1, '2021-07-19 12:06:27', NULL, NULL), (33460, '', '鲜水镇', '122af28b196e408fb5eae987de083a56', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326100000', 4, '鲜水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326100000', 1, '2021-07-19 12:06:27', NULL, NULL), (33461, '', '勒斯加村', 'a0667f3da17f4a0d97e37cb13efb895a', '122af28b196e408fb5eae987de083a56', 'False', 'True', 'false', 'false', '513326100003', 5, '勒斯加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326100003', 1, '2021-07-19 12:06:27', NULL, NULL), (33462, '', '亚洛加村', 'e5cff9b54334420aaeaecd32eaf6054c', '122af28b196e408fb5eae987de083a56', 'False', 'True', 'false', 'false', '513326100009', 5, '亚洛加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326100009', 1, '2021-07-19 12:06:27', NULL, NULL), (33463, '', '新江沟村', '71f675ea9a904d4e9bdb8ca3e5efd9fe', '122af28b196e408fb5eae987de083a56', 'False', 'True', 'false', 'false', '513326100010', 5, '新江沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326100010', 1, '2021-07-19 12:06:27', NULL, NULL), (33464, '', '易日村', '2f5e8dd385964b9182dca20563d0ed80', '122af28b196e408fb5eae987de083a56', 'False', 'True', 'false', 'false', '513326100012', 5, '易日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326100012', 1, '2021-07-19 12:06:27', NULL, NULL), (33465, '', '朱倭村', '6f81690831d44fa2bcfbf3343b81cc34', '122af28b196e408fb5eae987de083a56', 'False', 'True', 'false', 'false', '513326100014', 5, '格西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326100014', 1, '2021-07-19 12:06:27', NULL, NULL), (33466, '', '前进村', '8faf0723cd6f437c8ad55a133c689ab9', '122af28b196e408fb5eae987de083a56', 'False', 'True', 'false', 'false', '513326100174', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326100174', 1, '2021-07-19 12:06:28', NULL, NULL), (33467, '', '鲜水居民委员会', '0d816384f696457e9b83d048e3281661', '122af28b196e408fb5eae987de083a56', 'False', 'True', 'false', 'false', '513326100246', 5, '鲜水居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326100246', 1, '2021-07-19 12:06:28', NULL, NULL), (33468, '', '东门村', 'f1063f90966c4872b028300253ea3e73', '122af28b196e408fb5eae987de083a56', 'False', 'True', 'false', 'false', '513326100351', 5, '东门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326100351', 1, '2021-07-19 12:06:28', NULL, NULL), (33469, '', '子龙村', '6d530e90895544fa9f50deced3091c77', '122af28b196e408fb5eae987de083a56', 'False', 'True', 'false', 'false', '513326100552', 5, '子龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326100552', 1, '2021-07-19 12:06:28', NULL, NULL), (33470, '', '团结村', '2672867ec8554b1491734d81e550c707', '122af28b196e408fb5eae987de083a56', 'False', 'True', 'false', 'false', '513326100665', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326100665', 1, '2021-07-19 12:06:28', NULL, NULL), (33471, '', '道孚沟村', '3f5ef1e29a6043e1a8a16eb6174c2b7c', '122af28b196e408fb5eae987de083a56', 'False', 'True', 'false', 'false', '513326100878', 5, '道孚沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326100878', 1, '2021-07-19 12:06:28', NULL, NULL), (33472, '', '胜利村', 'a5c8f1008ac24fe3aea5ab1e3904c513', '122af28b196e408fb5eae987de083a56', 'False', 'True', 'false', 'false', '513326100906', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326100906', 1, '2021-07-19 12:06:28', NULL, NULL), (33473, '', '足湾村', '7d7e33491f10472da97b95a827d40af6', '122af28b196e408fb5eae987de083a56', 'False', 'True', 'false', 'false', '513326100917', 5, '足湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326100917', 1, '2021-07-19 12:06:28', NULL, NULL), (33474, '', '八美镇', 'aab12276f71444c1bf09c7f77705d844', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326101000', 4, '八美镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326101000', 1, '2021-07-19 12:06:28', NULL, NULL), (33475, '', '下瓦西村', '2c2ad0c61acd4a0e837c6f7ab274ff9a', 'aab12276f71444c1bf09c7f77705d844', 'False', 'True', 'false', 'false', '513326101158', 5, '下瓦西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326101158', 1, '2021-07-19 12:06:28', NULL, NULL), (33476, '', '河垭村', '3be0e5b0f68e42e5814f1b9306c0ae10', 'aab12276f71444c1bf09c7f77705d844', 'False', 'True', 'false', 'false', '513326101191', 5, '河垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326101191', 1, '2021-07-19 12:06:28', NULL, NULL), (33477, '', '曲尔村', '721daef1ca3c408ab61405b4886353be', 'aab12276f71444c1bf09c7f77705d844', 'False', 'True', 'false', 'false', '513326101216', 5, '曲尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326101216', 1, '2021-07-19 12:06:28', NULL, NULL), (33478, '', '莎江村', '1d96784cb69044fea3cbe324299d67e8', 'aab12276f71444c1bf09c7f77705d844', 'False', 'True', 'false', 'false', '513326101362', 5, '莎江村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326101362', 1, '2021-07-19 12:06:28', NULL, NULL), (33479, '', '少乌村', '4a63cd8dd31b4859a32b3d844a0554bf', 'aab12276f71444c1bf09c7f77705d844', 'False', 'True', 'false', 'false', '513326101383', 5, '少乌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326101383', 1, '2021-07-19 12:06:28', NULL, NULL), (33480, '', '中谷村', '89a7124d8f9849a58190b780effbf4cd', 'aab12276f71444c1bf09c7f77705d844', 'False', 'True', 'false', 'false', '513326101640', 5, '中谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326101640', 1, '2021-07-19 12:06:28', NULL, NULL), (33481, '', '志麦通村', 'a903ecab0e0f4099bf188196ae9a968c', 'aab12276f71444c1bf09c7f77705d844', 'False', 'True', 'false', 'false', '513326101672', 5, '志麦通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326101672', 1, '2021-07-19 12:06:28', NULL, NULL), (33482, '', '八美镇居民委员会', '5b238d80c0254bb0b15ad3139833c195', 'aab12276f71444c1bf09c7f77705d844', 'False', 'True', 'false', 'false', '513326101800', 5, '八美镇居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326101800', 1, '2021-07-19 12:06:29', NULL, NULL), (33483, '', '卡马村', '0881bf344d3d4fe28147b803dfcafce5', 'aab12276f71444c1bf09c7f77705d844', 'False', 'True', 'false', 'false', '513326101948', 5, '卡马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326101948', 1, '2021-07-19 12:06:29', NULL, NULL), (33484, '', '亚卓镇', '3b9776a43d8f45a89292f565494abcad', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326102000', 4, '亚卓镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326102000', 1, '2021-07-19 12:06:29', NULL, NULL), (33485, '', '地入村', 'b4ad42f3f66a4b19b12c040f1faaf0f8', '3b9776a43d8f45a89292f565494abcad', 'False', 'True', 'false', 'false', '513326102001', 5, '地入村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326102001', 1, '2021-07-19 12:06:29', NULL, NULL), (33486, '', '红顶村', '9801548db08944b29af8394b23d4b218', '3b9776a43d8f45a89292f565494abcad', 'False', 'True', 'false', 'false', '513326102003', 5, '红顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326102003', 1, '2021-07-19 12:06:29', NULL, NULL), (33487, '', '盘龙村', '1a01803ecfa94d8791a7ad4da6c8424f', '3b9776a43d8f45a89292f565494abcad', 'False', 'True', 'false', 'false', '513326102092', 5, '盘龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326102092', 1, '2021-07-19 12:06:29', NULL, NULL), (33488, '', '容须卡村', '513c9724430941ddbe1b9daf4a81bcd5', '3b9776a43d8f45a89292f565494abcad', 'False', 'True', 'false', 'false', '513326102097', 5, '容须卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326102097', 1, '2021-07-19 12:06:29', NULL, NULL), (33489, '', '乌拉村', '36e7c6d0581548228e5a5743155740ee', '3b9776a43d8f45a89292f565494abcad', 'False', 'True', 'false', 'false', '513326102607', 5, '乌拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326102607', 1, '2021-07-19 12:06:29', NULL, NULL), (33490, '', '亚马子村', 'c778ca83dff146c8a9bc6ea2de3345a5', '3b9776a43d8f45a89292f565494abcad', 'False', 'True', 'false', 'false', '513326102742', 5, '亚马子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326102742', 1, '2021-07-19 12:06:29', NULL, NULL), (33491, '', '扎西岭村', '4e5cf145e6804b9da96fa26265e30155', '3b9776a43d8f45a89292f565494abcad', 'False', 'True', 'false', 'false', '513326102815', 5, '扎西岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326102815', 1, '2021-07-19 12:06:30', NULL, NULL), (33492, '', '呷拉坎村', '66fcff00440142228017d4f64d45b262', '3b9776a43d8f45a89292f565494abcad', 'False', 'True', 'false', 'false', '513326102893', 5, '呷拉坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326102893', 1, '2021-07-19 12:06:30', NULL, NULL), (33493, '', '玉科镇', '2c53663f00ef48c1888c22badb9d5ced', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326103000', 4, '玉科镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326103000', 1, '2021-07-19 12:06:30', NULL, NULL), (33494, '', '维柯村', 'c9f5d753616940bc9a6e963e3a63f4cc', '2c53663f00ef48c1888c22badb9d5ced', 'False', 'True', 'false', 'false', '513326006003', 5, '维柯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326006003', 1, '2021-07-19 12:06:30', NULL, NULL), (33495, '', '呷科村', '870e69292b1643e8938d02884e4a0196', '2c53663f00ef48c1888c22badb9d5ced', 'False', 'True', 'false', 'false', '513326006004', 5, '呷科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326006004', 1, '2021-07-19 12:06:30', NULL, NULL), (33496, '', '兴岛科村', '6448bfa22af642ba9563392f3f4d8bd2', '2c53663f00ef48c1888c22badb9d5ced', 'False', 'True', 'false', 'false', '513326103914', 5, '兴岛科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326103914', 1, '2021-07-19 12:06:30', NULL, NULL), (33497, '', '银克村', '2454197906ed42e3bb215b3690a82aa8', '2c53663f00ef48c1888c22badb9d5ced', 'False', 'True', 'false', 'false', '513326103960', 5, '银克村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326103960', 1, '2021-07-19 12:06:30', NULL, NULL), (33498, '', '麻孜乡', '7692d46b31be421db2f4a64adb8021de', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326201000', 4, '麻孜乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326201000', 1, '2021-07-19 12:06:30', NULL, NULL), (33499, '', '沟尔普村', '5d5e22365080440399f3062ae99c8a27', '7692d46b31be421db2f4a64adb8021de', 'False', 'True', 'false', 'false', '513326201070', 5, '沟尔普村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326201070', 1, '2021-07-19 12:06:30', NULL, NULL), (33500, '', '崩龙村', '40166724e27346bc8195a33b1cd87f4c', '7692d46b31be421db2f4a64adb8021de', 'False', 'True', 'false', 'false', '513326201107', 5, '崩龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326201107', 1, '2021-07-19 12:06:30', NULL, NULL), (33501, '', '居日村', '35fa1df7c2104caa83e1d5e9a465dea9', '7692d46b31be421db2f4a64adb8021de', 'False', 'True', 'false', 'false', '513326201164', 5, '居日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326201164', 1, '2021-07-19 12:06:30', NULL, NULL), (33502, '', '油龙村', '003cf2ff1e0b4c99b828753589946910', '7692d46b31be421db2f4a64adb8021de', 'False', 'True', 'false', 'false', '513326201341', 5, '油龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326201341', 1, '2021-07-19 12:06:30', NULL, NULL), (33503, '', '特尔瓦村', 'b3c91b9be4754c86aa73208b494f3bdd', '7692d46b31be421db2f4a64adb8021de', 'False', 'True', 'false', 'false', '513326201505', 5, '特尔瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326201505', 1, '2021-07-19 12:06:30', NULL, NULL), (33504, '', '洛尔瓦村', '83d41ac8851c4528a285a2b6ceb58188', '7692d46b31be421db2f4a64adb8021de', 'False', 'True', 'false', 'false', '513326201547', 5, '洛尔瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326201547', 1, '2021-07-19 12:06:30', NULL, NULL), (33505, '', '菜子坡村', '774da44e4e7d41328240e822237e2677', '7692d46b31be421db2f4a64adb8021de', 'False', 'True', 'false', 'false', '513326201554', 5, '菜子坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326201554', 1, '2021-07-19 12:06:31', NULL, NULL), (33506, '', '小各卡村', '7ce5832f98704462aefabc94e3a190f4', '7692d46b31be421db2f4a64adb8021de', 'False', 'True', 'false', 'false', '513326201676', 5, '小各卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326201676', 1, '2021-07-19 12:06:31', NULL, NULL), (33507, '', '德尔瓦村', '471580df7bd440d4869d4ac156c0ed5f', '7692d46b31be421db2f4a64adb8021de', 'False', 'True', 'false', 'false', '513326201681', 5, '德尔瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326201681', 1, '2021-07-19 12:06:31', NULL, NULL), (33508, '', '功龙村', 'da7ea65003f64d9f88e6ee418bbb55ba', '7692d46b31be421db2f4a64adb8021de', 'False', 'True', 'false', 'false', '513326201886', 5, '功龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326201886', 1, '2021-07-19 12:06:31', NULL, NULL), (33509, '', '孔色乡', '0934836428264d7085d6b85222e1d630', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326202000', 4, '孔色乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326202000', 1, '2021-07-19 12:06:31', NULL, NULL), (33510, '', '克郎村', '3f79b45626fe4dcbbf5b971fc5055f99', '0934836428264d7085d6b85222e1d630', 'False', 'True', 'false', 'false', '513326202008', 5, '克郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326202008', 1, '2021-07-19 12:06:31', NULL, NULL), (33511, '', '亚拖村', 'e6c6397ccdcf4f03a6fd99a59157b384', '0934836428264d7085d6b85222e1d630', 'False', 'True', 'false', 'false', '513326202126', 5, '亚拖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326202126', 1, '2021-07-19 12:06:31', NULL, NULL), (33512, '', '倡孜村', '7aae537ef4f146a7bdabd4bfab7ff681', '0934836428264d7085d6b85222e1d630', 'False', 'True', 'false', 'false', '513326202207', 5, '倡孜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326202207', 1, '2021-07-19 12:06:31', NULL, NULL), (33513, '', '约威村', '342992e78c3c4cfe87083116aee42079', '0934836428264d7085d6b85222e1d630', 'False', 'True', 'false', 'false', '513326202288', 5, '约威村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326202288', 1, '2021-07-19 12:06:31', NULL, NULL), (33514, '', '麻湾村', 'df503b90d75e4bae934552aaa97369f7', '0934836428264d7085d6b85222e1d630', 'False', 'True', 'false', 'false', '513326202298', 5, '麻湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326202298', 1, '2021-07-19 12:06:31', NULL, NULL), (33515, '', '呷拉村', 'b0e88a2517f742e7ad2c1f8cd5509883', '0934836428264d7085d6b85222e1d630', 'False', 'True', 'false', 'false', '513326202378', 5, '呷拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326202378', 1, '2021-07-19 12:06:31', NULL, NULL), (33516, '', '格勒村', '83c1d66ffe574bf99167df5f0651d448', '0934836428264d7085d6b85222e1d630', 'False', 'True', 'false', 'false', '513326202634', 5, '格勒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326202634', 1, '2021-07-19 12:06:32', NULL, NULL), (33517, '', '金卡村', 'cdf3bbc921ff4970936c6272b685e096', '0934836428264d7085d6b85222e1d630', 'False', 'True', 'false', 'false', '513326202695', 5, '金卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326202695', 1, '2021-07-19 12:06:32', NULL, NULL), (33518, '', '若斯拉村', '7416703f85834ab6ad2d193a2b94394b', '0934836428264d7085d6b85222e1d630', 'False', 'True', 'false', 'false', '513326202756', 5, '若斯拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326202756', 1, '2021-07-19 12:06:32', NULL, NULL), (33519, '', '瓦依村', '52bab9c657f1457da1f62ddaf9e7f6f2', '0934836428264d7085d6b85222e1d630', 'False', 'True', 'false', 'false', '513326202961', 5, '瓦依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326202961', 1, '2021-07-19 12:06:32', NULL, NULL), (33520, '', '葛卡乡', 'bcaa6c9e118c4f5abf7de35602572657', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326203000', 4, '葛卡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326203000', 1, '2021-07-19 12:06:32', NULL, NULL), (33521, '', '觉洛寺村', '97ac8dd4c5a74da59c13accf70cff965', 'bcaa6c9e118c4f5abf7de35602572657', 'False', 'True', 'false', 'false', '513326203030', 5, '觉洛寺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326203030', 1, '2021-07-19 12:06:32', NULL, NULL), (33522, '', '加拉宗村', '8e3e11505dd84af18fb64867142a6b2f', 'bcaa6c9e118c4f5abf7de35602572657', 'False', 'True', 'false', 'false', '513326203063', 5, '加拉宗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326203063', 1, '2021-07-19 12:06:32', NULL, NULL), (33523, '', '冻坡甲村', 'c85f18ef62d94334a843417606e5d263', 'bcaa6c9e118c4f5abf7de35602572657', 'False', 'True', 'false', 'false', '513326203205', 5, '冻坡甲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326203205', 1, '2021-07-19 12:06:32', NULL, NULL), (33524, '', '农甫村', '6b615c7b9e6245e8a86f95999ef3c382', 'bcaa6c9e118c4f5abf7de35602572657', 'False', 'True', 'false', 'false', '513326203578', 5, '农甫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326203578', 1, '2021-07-19 12:06:32', NULL, NULL), (33525, '', '沙湾村', 'd5cc3e2603d24b7fab2ba80c884e6725', 'bcaa6c9e118c4f5abf7de35602572657', 'False', 'True', 'false', 'false', '513326203752', 5, '沙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326203752', 1, '2021-07-19 12:06:32', NULL, NULL), (33526, '', '甲拔村', 'f186fc9f895b4eb0bc566dedcd622e6e', 'bcaa6c9e118c4f5abf7de35602572657', 'False', 'True', 'false', 'false', '513326203899', 5, '甲拔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326203899', 1, '2021-07-19 12:06:32', NULL, NULL), (33527, '', '各卡村', 'ff224752cbc049a4af616b38ab14d027', 'bcaa6c9e118c4f5abf7de35602572657', 'False', 'True', 'false', 'false', '513326203950', 5, '各卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326203950', 1, '2021-07-19 12:06:32', NULL, NULL), (33528, '', '仲尼镇', 'd53092851e9e4592be7fd6edf164c01a', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326205000', 4, '仲尼镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326205000', 1, '2021-07-19 12:06:32', NULL, NULL), (33529, '', '俄估村', '8b6218cb9ab54438961e22c634270eef', 'd53092851e9e4592be7fd6edf164c01a', 'False', 'True', 'false', 'false', '513326022002', 5, '俄估村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326022002', 1, '2021-07-19 12:06:32', NULL, NULL), (33530, '', '向秋村', 'c17e4818b82248aaa2a3c54516a15801', 'd53092851e9e4592be7fd6edf164c01a', 'False', 'True', 'false', 'false', '513326022004', 5, '向秋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326022004', 1, '2021-07-19 12:06:33', NULL, NULL), (33531, '', '亚中村', 'eda51493bf1f46e8a0079505efe2c768', 'd53092851e9e4592be7fd6edf164c01a', 'False', 'True', 'false', 'false', '513326205345', 5, '亚中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326205345', 1, '2021-07-19 12:06:33', NULL, NULL), (33532, '', '麻中村', 'c8515c01478f49f1ab79954dd6bbe952', 'd53092851e9e4592be7fd6edf164c01a', 'False', 'True', 'false', 'false', '513326205624', 5, '麻中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326205624', 1, '2021-07-19 12:06:33', NULL, NULL), (33533, '', '扎然村', '3e7c33f585a646fbab6ccb792fe8c652', 'd53092851e9e4592be7fd6edf164c01a', 'False', 'True', 'false', 'false', '513326205679', 5, '扎然村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326205679', 1, '2021-07-19 12:06:33', NULL, NULL), (33534, '', '牧玖村', '956fdf0b679246349aab833442991a76', 'd53092851e9e4592be7fd6edf164c01a', 'False', 'True', 'false', 'false', '513326205775', 5, '牧玖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326205775', 1, '2021-07-19 12:06:33', NULL, NULL), (33535, '', '扎拖乡', 'e18ac296bf2a49eba0fd4f18c08282b6', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326207000', 4, '扎拖乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326207000', 1, '2021-07-19 12:06:33', NULL, NULL), (33536, '', '一地瓦孜村', 'c35939a905184b86952211b0c3ba77b7', 'e18ac296bf2a49eba0fd4f18c08282b6', 'False', 'True', 'false', 'false', '513326207337', 5, '一地瓦孜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326207337', 1, '2021-07-19 12:06:33', NULL, NULL), (33537, '', '波罗塘村', 'd11ca492d8d644e09fffcb3a5d66fc79', 'e18ac296bf2a49eba0fd4f18c08282b6', 'False', 'True', 'false', 'false', '513326207627', 5, '波罗塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326207627', 1, '2021-07-19 12:06:33', NULL, NULL), (33538, '', '扎贡村', '8e229eab7ab947a2a7616303c2e4a616', 'e18ac296bf2a49eba0fd4f18c08282b6', 'False', 'True', 'false', 'false', '513326207665', 5, '扎贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326207665', 1, '2021-07-19 12:06:33', NULL, NULL), (33539, '', '扎拖村', 'f48a2a13a0bb4959851db9acf79aeae4', 'e18ac296bf2a49eba0fd4f18c08282b6', 'False', 'True', 'false', 'false', '513326207711', 5, '扎拖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326207711', 1, '2021-07-19 12:06:33', NULL, NULL), (33540, '', '下拖乡', '0074ac359e894398a1a31e49869dae21', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326208000', 4, '下拖乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326208000', 1, '2021-07-19 12:06:33', NULL, NULL), (33541, '', '下瓦然村', '62b33ae103b34ea5a06d69d7c24f1248', '0074ac359e894398a1a31e49869dae21', 'False', 'True', 'false', 'false', '513326208497', 5, '下瓦然村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326208497', 1, '2021-07-19 12:06:33', NULL, NULL), (33542, '', '麦里村', 'e5c6ad15eaac4ff9846d0ebe1d97eac3', '0074ac359e894398a1a31e49869dae21', 'False', 'True', 'false', 'false', '513326208530', 5, '麦里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326208530', 1, '2021-07-19 12:06:33', NULL, NULL), (33543, '', '德吉村', 'a5bbeebb73944870ab6522cfbfc5abde', '0074ac359e894398a1a31e49869dae21', 'False', 'True', 'false', 'false', '513326208685', 5, '德吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326208685', 1, '2021-07-19 12:06:33', NULL, NULL), (33544, '', '上瓦然村', 'fab893aa867c4f128b2dd84e75bf6c50', '0074ac359e894398a1a31e49869dae21', 'False', 'True', 'false', 'false', '513326208727', 5, '上瓦然村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326208727', 1, '2021-07-19 12:06:33', NULL, NULL), (33545, '', '杰荣村', '661476cfabcb4ccda781ff33bfb7454f', '0074ac359e894398a1a31e49869dae21', 'False', 'True', 'false', 'false', '513326208743', 5, '杰荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326208743', 1, '2021-07-19 12:06:33', NULL, NULL), (33546, '', '瓦日镇', 'eeb5a9209cbd43f09d5b5ccf1bd34dd1', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326209000', 4, '瓦日镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326209000', 1, '2021-07-19 12:06:34', NULL, NULL), (33547, '', '卓卡村', '161104cf7d9d49cfbe2850ab997b6089', 'eeb5a9209cbd43f09d5b5ccf1bd34dd1', 'False', 'True', 'false', 'false', '513326209117', 5, '卓卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326209117', 1, '2021-07-19 12:06:34', NULL, NULL), (33548, '', '孟拖村', '2f82f73edffa4f23b54fa0a9cc2141ca', 'eeb5a9209cbd43f09d5b5ccf1bd34dd1', 'False', 'True', 'false', 'false', '513326209529', 5, '孟拖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326209529', 1, '2021-07-19 12:06:34', NULL, NULL), (33549, '', '布日窝村', '1ffaae17595c45cfbc79a03e6b005684', 'eeb5a9209cbd43f09d5b5ccf1bd34dd1', 'False', 'True', 'false', 'false', '513326209548', 5, '布日窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326209548', 1, '2021-07-19 12:06:34', NULL, NULL), (33550, '', '尧日村', '9496f7fd643c49cab4fa5d714c56419b', 'eeb5a9209cbd43f09d5b5ccf1bd34dd1', 'False', 'True', 'false', 'false', '513326209593', 5, '尧日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326209593', 1, '2021-07-19 12:06:34', NULL, NULL), (33551, '', '热瓦村', '4c314e75b5cc46f08ad7ec7cf843b305', 'eeb5a9209cbd43f09d5b5ccf1bd34dd1', 'False', 'True', 'false', 'false', '513326209735', 5, '热瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326209735', 1, '2021-07-19 12:06:34', NULL, NULL), (33552, '', '扎嘎村', '41c304803d434b2c9350350e2003eac7', 'eeb5a9209cbd43f09d5b5ccf1bd34dd1', 'False', 'True', 'false', 'false', '513326209749', 5, '扎嘎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326209749', 1, '2021-07-19 12:06:34', NULL, NULL), (33553, '', '根基村', '572c5761a3b746a8b9c491625f66d2ab', 'eeb5a9209cbd43f09d5b5ccf1bd34dd1', 'False', 'False', 'false', 'false', '513326209852', 5, '根基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326209852', 1, '2021-07-19 12:06:34', NULL, NULL), (33554, '', '木茹乡', 'bddcc4cfac8b4faa9794c5666d61658c', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326210000', 4, '木茹乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326210000', 1, '2021-07-19 12:06:34', NULL, NULL), (33555, '', '古雕村', '9ae46de83aaf4d28a329031dcc3bbe33', 'bddcc4cfac8b4faa9794c5666d61658c', 'False', 'True', 'false', 'false', '513326210024', 5, '古雕村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326210024', 1, '2021-07-19 12:06:34', NULL, NULL), (33556, '', '瓦达村', 'b42960e5baea4ef5863ad7ee3138e009', 'bddcc4cfac8b4faa9794c5666d61658c', 'False', 'True', 'false', 'false', '513326210243', 5, '瓦达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326210243', 1, '2021-07-19 12:06:34', NULL, NULL), (33557, '', '克尔鲁村', '3250ab0b504641aa85ab7366c2875edc', 'bddcc4cfac8b4faa9794c5666d61658c', 'False', 'True', 'false', 'false', '513326210575', 5, '克尔鲁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326210575', 1, '2021-07-19 12:06:34', NULL, NULL), (33558, '', '牧业村', '7342b0ae08a04dab8541324359a727c7', 'bddcc4cfac8b4faa9794c5666d61658c', 'False', 'True', 'false', 'false', '513326210872', 5, '牧业村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326210872', 1, '2021-07-19 12:06:34', NULL, NULL), (33559, '', '甲斯孔乡', 'eebd02f5031a480699f0a93526525c0c', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326211000', 4, '甲斯孔乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326211000', 1, '2021-07-19 12:06:34', NULL, NULL), (33560, '', '洛须卡村', 'fdca472fe1bb48fc88e4fae43cd126b4', 'eebd02f5031a480699f0a93526525c0c', 'False', 'True', 'false', 'false', '513326211132', 5, '洛须卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326211132', 1, '2021-07-19 12:06:34', NULL, NULL), (33561, '', '热鲁村', '347dccfd5fe54fb58f54b4ff0cd58d7a', 'eebd02f5031a480699f0a93526525c0c', 'False', 'True', 'false', 'false', '513326211140', 5, '热鲁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326211140', 1, '2021-07-19 12:06:34', NULL, NULL), (33562, '', '下甲村', '9e88069a8fdb4d01b55ecafab0e832ed', 'eebd02f5031a480699f0a93526525c0c', 'False', 'True', 'false', 'false', '513326211618', 5, '下甲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326211618', 1, '2021-07-19 12:06:34', NULL, NULL), (33563, '', '卡美村', '2263a1e6efd644a78ef7691a72447f3e', 'eebd02f5031a480699f0a93526525c0c', 'False', 'True', 'false', 'false', '513326211636', 5, '卡美村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326211636', 1, '2021-07-19 12:06:34', NULL, NULL), (33564, '', '古拥村', 'b5c18e14719f4ff59f922fc1d5c4be60', 'eebd02f5031a480699f0a93526525c0c', 'False', 'True', 'false', 'false', '513326211799', 5, '古拥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326211799', 1, '2021-07-19 12:06:35', NULL, NULL), (33565, '', '上甲村', '64e479b6117849fe8599320f48819c45', 'eebd02f5031a480699f0a93526525c0c', 'False', 'True', 'false', 'false', '513326211820', 5, '上甲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326211820', 1, '2021-07-19 12:06:35', NULL, NULL), (33566, '', '七美乡', '21868766ff2c47f7a9479f7d197ce734', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326213000', 4, '七美乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326213000', 1, '2021-07-19 12:06:35', NULL, NULL), (33567, '', '白日山村', 'a39eb88bab2e4383aa4e52c2d0d4030a', '21868766ff2c47f7a9479f7d197ce734', 'False', 'True', 'false', 'false', '513326213133', 5, '白日山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326213133', 1, '2021-07-19 12:06:35', NULL, NULL), (33568, '', '五重科村', 'c85015414ec9491786af0e7d0a5fbb26', '21868766ff2c47f7a9479f7d197ce734', 'False', 'True', 'false', 'false', '513326213454', 5, '五重科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326213454', 1, '2021-07-19 12:06:35', NULL, NULL), (33569, '', '曲龙科村', 'be8f32ee4b094dd7973c951c058ee502', '21868766ff2c47f7a9479f7d197ce734', 'False', 'True', 'false', 'false', '513326213503', 5, '曲龙科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326213503', 1, '2021-07-19 12:06:35', NULL, NULL), (33570, '', '银恩乡', 'd4488d82c08546eca0ad41652355af23', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326214000', 4, '银恩乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326214000', 1, '2021-07-19 12:06:35', NULL, NULL), (33571, '', '沙玛尔科村', '4cd16f25255c481c96664626e61799e8', 'd4488d82c08546eca0ad41652355af23', 'False', 'True', 'false', 'false', '513326214185', 5, '沙玛尔科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326214185', 1, '2021-07-19 12:06:35', NULL, NULL), (33572, '', '脚窝村', 'e7480477a3ca4ab59c7490a2c46b8b7f', 'd4488d82c08546eca0ad41652355af23', 'False', 'True', 'false', 'false', '513326214223', 5, '脚窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326214223', 1, '2021-07-19 12:06:35', NULL, NULL), (33573, '', '呷郎村', '0ffa3f3e0bfe48ceb3fe4a018fcc3af7', 'd4488d82c08546eca0ad41652355af23', 'False', 'True', 'false', 'false', '513326214740', 5, '呷郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326214740', 1, '2021-07-19 12:06:35', NULL, NULL), (33574, '', '却哇鲁科村', '9b9ef5f0f9464e69b7c3e1dcfc292669', 'd4488d82c08546eca0ad41652355af23', 'False', 'True', 'false', 'false', '513326214807', 5, '却哇鲁科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326214807', 1, '2021-07-19 12:06:35', NULL, NULL), (33575, '', '龙灯乡', '6ac6c717b242463eaea138830006da65', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326216000', 4, '龙灯乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326216000', 1, '2021-07-19 12:06:35', NULL, NULL), (33576, '', '柯尔卡村', '496c18bbba85497d83f3d727958c057e', '6ac6c717b242463eaea138830006da65', 'False', 'True', 'false', 'false', '513326216269', 5, '柯尔卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326216269', 1, '2021-07-19 12:06:35', NULL, NULL), (33577, '', '集寺中', '52ea5aa5f9c548928334e31b98c2aa02', '6ac6c717b242463eaea138830006da65', 'False', 'True', 'false', 'false', '513326216623', 5, '集寺中', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326216623', 1, '2021-07-19 12:06:35', NULL, NULL), (33578, '', '挪乌托村', '9237b2789c6148099a35e6b6ee0f723e', '6ac6c717b242463eaea138830006da65', 'False', 'True', 'false', 'false', '513326216757', 5, '挪乌托村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326216757', 1, '2021-07-19 12:06:35', NULL, NULL), (33579, '', '然哥村', 'ea2de906a00841588b4df6a779af247f', '6ac6c717b242463eaea138830006da65', 'False', 'True', 'false', 'false', '513326216817', 5, '然哥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326216817', 1, '2021-07-19 12:06:35', NULL, NULL), (33580, '', '拉日村', 'c226bbbe6e7e4857a385fc45b9da7234', '6ac6c717b242463eaea138830006da65', 'False', 'True', 'false', 'false', '513326216870', 5, '拉日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326216870', 1, '2021-07-19 12:06:35', NULL, NULL), (33581, '', '夏普隆村', 'bf31d7bb69ff46898f7412194b9fe036', '6ac6c717b242463eaea138830006da65', 'False', 'True', 'false', 'false', '513326216883', 5, '夏普隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326216883', 1, '2021-07-19 12:06:35', NULL, NULL), (33582, '', '泰宁镇', 'ddcebc879c9649218aaba30f5a7eac18', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326217000', 4, '泰宁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326217000', 1, '2021-07-19 12:06:36', NULL, NULL), (33583, '', '下二村', '64f274c1d7c04c228f6876ab35152847', 'ddcebc879c9649218aaba30f5a7eac18', 'False', 'True', 'false', 'false', '513326217130', 5, '下二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326217130', 1, '2021-07-19 12:06:36', NULL, NULL), (33584, '', '下一村', 'c22b961f041949489e649f69704e802a', 'ddcebc879c9649218aaba30f5a7eac18', 'False', 'True', 'false', 'false', '513326217174', 5, '下一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326217174', 1, '2021-07-19 12:06:36', NULL, NULL), (33585, '', '上农村', '0b7081dd27ef42d6aad3f7d552944b4e', 'ddcebc879c9649218aaba30f5a7eac18', 'False', 'True', 'false', 'false', '513326217188', 5, '上农村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326217188', 1, '2021-07-19 12:06:36', NULL, NULL), (33586, '', '街村', '80a9e7766fa644359e2bfface7fd5f52', 'ddcebc879c9649218aaba30f5a7eac18', 'False', 'True', 'false', 'false', '513326217390', 5, '街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326217390', 1, '2021-07-19 12:06:36', NULL, NULL), (33587, '', '先锋村', '532868e7f4ec4bcbab90b8efd59826a2', 'ddcebc879c9649218aaba30f5a7eac18', 'False', 'True', 'false', 'false', '513326217627', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326217627', 1, '2021-07-19 12:06:36', NULL, NULL), (33588, '', '上牧村', '2ac90e693bf34ba4a0de0bce078b7969', 'ddcebc879c9649218aaba30f5a7eac18', 'False', 'True', 'false', 'false', '513326217982', 5, '上牧村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326217982', 1, '2021-07-19 12:06:36', NULL, NULL), (33589, '', '色卡乡', 'aadb2c5729024cb0ac62bae22a5c9282', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326218000', 4, '色卡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326218000', 1, '2021-07-19 12:06:36', NULL, NULL), (33590, '', '格西村', '355edbae0cbc4f62b609ed83a85547fc', 'aadb2c5729024cb0ac62bae22a5c9282', 'False', 'True', 'false', 'false', '513326218134', 5, '格西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326218134', 1, '2021-07-19 12:06:36', NULL, NULL), (33591, '', '茶垭村', '97b3438e789e472683e2a7b787a3cc43', 'aadb2c5729024cb0ac62bae22a5c9282', 'False', 'True', 'false', 'false', '513326218341', 5, '茶垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326218341', 1, '2021-07-19 12:06:36', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (33592, '', '亚日村', 'd8f8c71292a841d096f305fd8087215d', 'aadb2c5729024cb0ac62bae22a5c9282', 'False', 'True', 'false', 'false', '513326218366', 5, '亚日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326218366', 1, '2021-07-19 12:06:36', NULL, NULL), (33593, '', '建巴村', 'b51e95a0f110488993463b3e2dc33464', 'aadb2c5729024cb0ac62bae22a5c9282', 'False', 'True', 'false', 'false', '513326218513', 5, '建巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326218513', 1, '2021-07-19 12:06:36', NULL, NULL), (33594, '', '扎日村', 'fd3decac16844ee8b6249a9f22e530e7', 'aadb2c5729024cb0ac62bae22a5c9282', 'False', 'True', 'false', 'false', '513326218714', 5, '扎日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326218714', 1, '2021-07-19 12:06:36', NULL, NULL), (33595, '', '龙布村', '2331f700a4ce4372a30564544b432117', 'aadb2c5729024cb0ac62bae22a5c9282', 'False', 'True', 'false', 'false', '513326218823', 5, '龙布村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326218823', 1, '2021-07-19 12:06:36', NULL, NULL), (33596, '', '沙冲乡', 'c157be07b8fe4e36841089ef021dead1', '6b8e609000104eabae67ed6381398a7c', 'True', 'True', 'false', 'false', '513326219000', 4, '沙冲乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513326219000', 1, '2021-07-19 12:06:36', NULL, NULL), (33597, '', '吉亚村', '58bf6d620d71481a8307967f6946180f', 'c157be07b8fe4e36841089ef021dead1', 'False', 'True', 'false', 'false', '513326219109', 5, '吉亚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326219109', 1, '2021-07-19 12:06:36', NULL, NULL), (33598, '', '白马村', '2505e23fdd714580916ca924976a6a74', 'c157be07b8fe4e36841089ef021dead1', 'False', 'True', 'false', 'false', '513326219726', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326219726', 1, '2021-07-19 12:06:37', NULL, NULL), (33599, '', '比里村', '91385aeb1d484064b400d5c7a909a948', 'c157be07b8fe4e36841089ef021dead1', 'False', 'True', 'false', 'false', '513326219973', 5, '比里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513326219973', 1, '2021-07-19 12:06:37', NULL, NULL), (33600, '', '炉霍县', '75c74a0bd8ea4d1c842e3797ff993659', '4e0988aa699e46dd9cdf992180c73cd8', 'True', 'True', 'false', 'false', '513327000000', 3, '炉霍县', 'gzzlhx.sczwfw.gov.cn', 1, '2021-07-19 12:06:37', NULL, NULL), (33601, '', '新都镇', '539add535acf4081b60254f2908226ee', '75c74a0bd8ea4d1c842e3797ff993659', 'True', 'True', 'false', 'false', '513327100000', 4, '新都镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513327100000', 1, '2021-07-19 12:06:37', NULL, NULL), (33602, '', '查尔瓦村民委员会', 'c148c3b65e1d4b6aa378f3a3c48569b7', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100103', 5, '查尔瓦村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100103', 1, '2021-07-19 12:06:37', NULL, NULL), (33603, '', '德拉龙村民委员会', '03da96a9bfb043a3a694f0d6c43dc9d6', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100153', 5, '德拉龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100153', 1, '2021-07-19 12:06:37', NULL, NULL), (33604, '', '新都一村村民委员会', 'e02e6a76f34f4f9d93abaca6931898b5', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100195', 5, '新都一村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100195', 1, '2021-07-19 12:06:37', NULL, NULL), (33605, '', '格色村村民委员会', 'e1fb80de6eb9455684c90c4bb1d8e39d', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100204', 5, '格色村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100204', 1, '2021-07-19 12:06:37', NULL, NULL), (33606, '', '色德龙村民委员会', 'fcc208bd09ca4b36a6a06d25c4c17fa1', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100211', 5, '色德龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100211', 1, '2021-07-19 12:06:37', NULL, NULL), (33607, '', '望果社区居民委员会', '7cf3a600f4e64d51ba573966841c7e8d', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100214', 5, '望果社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100214', 1, '2021-07-19 12:06:37', NULL, NULL), (33608, '', '霍尔社区居民委员会', 'f3dbd26212c64bfd81cd8d15b5b83789', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100215', 5, '霍尔社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100215', 1, '2021-07-19 12:06:37', NULL, NULL), (33609, '', '秋日村村民委员会', '8d6cc24da80d4f13849f59985198fce0', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100290', 5, '秋日村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100290', 1, '2021-07-19 12:06:37', NULL, NULL), (33610, '', '幸福社区居民委员会', 'dcdde37a83d64e52b4e6e1fbca090751', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100439', 5, '幸福社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100439', 1, '2021-07-19 12:06:37', NULL, NULL), (33611, '', '下街村村民委员会', '73d41eff2be0470c90f2e0e60d8a66d4', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100456', 5, '下街村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100456', 1, '2021-07-19 12:06:37', NULL, NULL), (33612, '', '七湾村村民委员会', '7b3f13119cda4b27afe11fe142d6aaa7', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100477', 5, '七湾村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100477', 1, '2021-07-19 12:06:37', NULL, NULL), (33613, '', '上街村民委员会', '1e447c0ce0164c0e89e826e0f73d42df', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100479', 5, '上街村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100479', 1, '2021-07-19 12:06:37', NULL, NULL), (33614, '', '俄日村村民委员会', '2530c2c43ac74583a4c06ded22dc71a9', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100495', 5, '俄日村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100495', 1, '2021-07-19 12:06:37', NULL, NULL), (33615, '', '新都二村村民委员会', '05843ba47a694a498bffc9af269a90f6', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100513', 5, '新都二村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100513', 1, '2021-07-19 12:06:37', NULL, NULL), (33616, '', '昌龙村村民委员会', '123a20a5ef2342fbb8ff743fb9b882d3', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100565', 5, '昌龙村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100565', 1, '2021-07-19 12:06:38', NULL, NULL), (33617, '', '益娘村民委员会', '8eabd9d1f35f4b43ab7e70e61bf1b861', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100595', 5, '益娘村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100595', 1, '2021-07-19 12:06:38', NULL, NULL), (33618, '', '新都三村民委员会', '72ff00468e144ae698c7481fffc08f06', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100711', 5, '新都三村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100711', 1, '2021-07-19 12:06:38', NULL, NULL), (33619, '', '朱德村民委员会', 'ad98a59ab9024b439839abc07aa4bda4', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100805', 5, '朱德村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100805', 1, '2021-07-19 12:06:38', NULL, NULL), (33620, '', '章古社区居民委员会', 'd845390c174b42efbf18751dba6457a7', '539add535acf4081b60254f2908226ee', 'False', 'True', 'false', 'false', '513327100996', 5, '章古社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327100996', 1, '2021-07-19 12:06:38', NULL, NULL), (33621, '', '朱倭镇', 'd3abb02340b74ca8b0f995bb57f14fcf', '75c74a0bd8ea4d1c842e3797ff993659', 'True', 'True', 'false', 'false', '513327101000', 4, '朱倭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513327101000', 1, '2021-07-19 12:06:38', NULL, NULL), (33622, '', '日郎达村村民委员会', '21ec454f5a764edbb67095be9da9578c', 'd3abb02340b74ca8b0f995bb57f14fcf', 'False', 'True', 'false', 'false', '513327101036', 5, '日郎达村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327101036', 1, '2021-07-19 12:06:38', NULL, NULL), (33623, '', '更达村村民委员会', '30e7562799924096b951208359e47c70', 'd3abb02340b74ca8b0f995bb57f14fcf', 'False', 'True', 'false', 'false', '513327101244', 5, '更达村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327101244', 1, '2021-07-19 12:06:38', NULL, NULL), (33624, '', '杜柏村村民委员会', 'abfededff04a40b1bbfb29fd087a509b', 'd3abb02340b74ca8b0f995bb57f14fcf', 'False', 'True', 'false', 'false', '513327101279', 5, '杜柏村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327101279', 1, '2021-07-19 12:06:38', NULL, NULL), (33625, '', '虾扎村村民委员会', '6a53077d538d46e18d6da708f854f1ec', 'd3abb02340b74ca8b0f995bb57f14fcf', 'False', 'True', 'false', 'false', '513327101399', 5, '虾扎村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327101399', 1, '2021-07-19 12:06:38', NULL, NULL), (33626, '', '颠古村村民委员会', 'b912fb96df3246aebb049a104ca70457', 'd3abb02340b74ca8b0f995bb57f14fcf', 'False', 'True', 'false', 'false', '513327101607', 5, '颠古村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327101607', 1, '2021-07-19 12:06:38', NULL, NULL), (33627, '', '卡烈村村民委员会', 'a724a09f45f4403f872452ca20e5bd8b', 'd3abb02340b74ca8b0f995bb57f14fcf', 'False', 'True', 'false', 'false', '513327101767', 5, '卡烈村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327101767', 1, '2021-07-19 12:06:38', NULL, NULL), (33628, '', '朱倭村村民委员会', '1245b69dde834428890e13644fbe65b9', 'd3abb02340b74ca8b0f995bb57f14fcf', 'False', 'True', 'false', 'false', '513327101849', 5, '朱倭村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327101849', 1, '2021-07-19 12:06:38', NULL, NULL), (33629, '', '克羊壁村村民委员会', '091f8ac334ef4a5c815e4f57e8ed2948', 'd3abb02340b74ca8b0f995bb57f14fcf', 'False', 'True', 'false', 'false', '513327101954', 5, '克羊壁村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327101954', 1, '2021-07-19 12:06:38', NULL, NULL), (33630, '', '泥巴乡', '9f91f696fe43451da2d3cde2cb680ec1', '75c74a0bd8ea4d1c842e3797ff993659', 'True', 'True', 'false', 'false', '513327200000', 4, '泥巴乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513327200000', 1, '2021-07-19 12:06:38', NULL, NULL), (33631, '', '易绕村民委员会', '5ee8b994ed8f4cb58de8d2073f269b63', '9f91f696fe43451da2d3cde2cb680ec1', 'False', 'True', 'false', 'false', '513327200091', 5, '易绕村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327200091', 1, '2021-07-19 12:06:38', NULL, NULL), (33632, '', '棒达村民委员会', '41020732f223453aac2535bd2301febe', '9f91f696fe43451da2d3cde2cb680ec1', 'False', 'True', 'false', 'false', '513327200196', 5, '棒达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327200196', 1, '2021-07-19 12:06:39', NULL, NULL), (33633, '', '古西村民委员会', 'e2c3b03f34c34cfcb5f3768d8dd1de77', '9f91f696fe43451da2d3cde2cb680ec1', 'False', 'True', 'false', 'false', '513327200317', 5, '古西村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327200317', 1, '2021-07-19 12:06:39', NULL, NULL), (33634, '', '朱巴村民委员会', 'd0407af58cf34826b5c3b5033d8ec08f', '9f91f696fe43451da2d3cde2cb680ec1', 'False', 'True', 'false', 'false', '513327200318', 5, '朱巴村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327200318', 1, '2021-07-19 12:06:39', NULL, NULL), (33635, '', '旺达村民委员会', 'd3af153600e343dc95d299546e56b993', '9f91f696fe43451da2d3cde2cb680ec1', 'False', 'True', 'false', 'false', '513327200404', 5, '旺达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327200404', 1, '2021-07-19 12:06:39', NULL, NULL), (33636, '', '四季村民委员会', 'e55b278147054bf2bd5edaa6c1e3f8c8', '9f91f696fe43451da2d3cde2cb680ec1', 'False', 'True', 'false', 'false', '513327200424', 5, '四季村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327200424', 1, '2021-07-19 12:06:39', NULL, NULL), (33637, '', '次郎村民委员会', '5e48bf8f811b49a8a12b0294034179ac', '9f91f696fe43451da2d3cde2cb680ec1', 'False', 'True', 'false', 'false', '513327200569', 5, '次郎村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327200569', 1, '2021-07-19 12:06:39', NULL, NULL), (33638, '', '呷巴村民委员会', 'd4bd0f5ca3d540fd8500c40fe335e184', '9f91f696fe43451da2d3cde2cb680ec1', 'False', 'True', 'false', 'false', '513327200621', 5, '呷巴村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327200621', 1, '2021-07-19 12:06:39', NULL, NULL), (33639, '', '雅德乡', '9c995e5e42d7493c83d6b0bf6333173c', '75c74a0bd8ea4d1c842e3797ff993659', 'True', 'True', 'false', 'false', '513327201000', 4, '雅德乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513327201000', 1, '2021-07-19 12:06:39', NULL, NULL), (33640, '', '瓦角村村民委员会', '2cdae54ec4bf4e7491f81c074f16a3bb', '9c995e5e42d7493c83d6b0bf6333173c', 'False', 'True', 'false', 'false', '513327201019', 5, '瓦角村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327201019', 1, '2021-07-19 12:06:39', NULL, NULL), (33641, '', '格鲁村村民委员会', '9a0ede75b2354c11b4b7d208a2042f6f', '9c995e5e42d7493c83d6b0bf6333173c', 'False', 'True', 'false', 'false', '513327201048', 5, '格鲁村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327201048', 1, '2021-07-19 12:06:39', NULL, NULL), (33642, '', '然柳村村民委员会会', '71294511f1804b70bb28a0bdaf24a55d', '9c995e5e42d7493c83d6b0bf6333173c', 'False', 'True', 'false', 'false', '513327201051', 5, '然柳村村民委员会会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327201051', 1, '2021-07-19 12:06:39', NULL, NULL), (33643, '', '昌达村村民委员会', '5de302005233465ea294153e935e692a', '9c995e5e42d7493c83d6b0bf6333173c', 'False', 'True', 'false', 'false', '513327201131', 5, '昌达村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327201131', 1, '2021-07-19 12:06:39', NULL, NULL), (33644, '', '须须村村民委员会', 'ba87d598bdf64dcba3565f7fa7408fa4', '9c995e5e42d7493c83d6b0bf6333173c', 'False', 'True', 'false', 'false', '513327201157', 5, '须须村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327201157', 1, '2021-07-19 12:06:39', NULL, NULL), (33645, '', '降达村村民委员会', '9430fc1d1fa94cbf85721d9cb5364d12', '9c995e5e42d7493c83d6b0bf6333173c', 'False', 'True', 'false', 'false', '513327201172', 5, '降达村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327201172', 1, '2021-07-19 12:06:39', NULL, NULL), (33646, '', '布麦贡村村民委员会', 'f7036d72769043a4af828b51984c5b78', '9c995e5e42d7493c83d6b0bf6333173c', 'False', 'True', 'false', 'false', '513327201225', 5, '布麦贡村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327201225', 1, '2021-07-19 12:06:39', NULL, NULL), (33647, '', '固理村村民委员会', '9e1753d825ac4bb481f290b8e15c37c2', '9c995e5e42d7493c83d6b0bf6333173c', 'False', 'True', 'false', 'false', '513327201521', 5, '固理村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327201521', 1, '2021-07-19 12:06:40', NULL, NULL), (33648, '', '交纳村村民委员会', 'bd6e11a77ea4491993586e750b22af8f', '9c995e5e42d7493c83d6b0bf6333173c', 'False', 'True', 'false', 'false', '513327201543', 5, '交纳村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327201543', 1, '2021-07-19 12:06:40', NULL, NULL), (33649, '', '邓达村村民委员会', 'f5742fdcc6a84a678f22fab45d1fa979', '9c995e5e42d7493c83d6b0bf6333173c', 'False', 'True', 'false', 'false', '513327201630', 5, '邓达村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327201630', 1, '2021-07-19 12:06:40', NULL, NULL), (33650, '', '康古村村民委员会', '67879234f12f42a1981c8d36c5737db3', '9c995e5e42d7493c83d6b0bf6333173c', 'False', 'True', 'false', 'false', '513327201796', 5, '康古村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327201796', 1, '2021-07-19 12:06:40', NULL, NULL), (33651, '', '小安批村村民委员会', 'cd58034cbbd843c2b7bce90511c480ac', '9c995e5e42d7493c83d6b0bf6333173c', 'False', 'True', 'false', 'false', '513327201866', 5, '小安批村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327201866', 1, '2021-07-19 12:06:40', NULL, NULL), (33652, '', '洛秋乡', 'ef3a04a57b87458fa3962bfe46405228', '75c74a0bd8ea4d1c842e3797ff993659', 'True', 'True', 'false', 'false', '513327202000', 4, '洛秋乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513327202000', 1, '2021-07-19 12:06:40', NULL, NULL), (33653, '', '穷各村民委员会', '41e3a2d8c70048d0bb7bcdeb76d2be49', 'ef3a04a57b87458fa3962bfe46405228', 'False', 'True', 'false', 'false', '513327202130', 5, '穷各村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327202130', 1, '2021-07-19 12:06:40', NULL, NULL), (33654, '', '洛尔巴村民委员会', 'd1f144a628d44842b0eb2280367bcb51', 'ef3a04a57b87458fa3962bfe46405228', 'False', 'True', 'false', 'false', '513327202207', 5, '洛尔巴村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327202207', 1, '2021-07-19 12:06:40', NULL, NULL), (33655, '', '热马贡村民委员会', '324acb66223b4297b250d39f9cd54858', 'ef3a04a57b87458fa3962bfe46405228', 'False', 'True', 'false', 'false', '513327202518', 5, '热马贡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327202518', 1, '2021-07-19 12:06:40', NULL, NULL), (33656, '', '洛尔巴新村民委员会', 'fc8694f02f9f4de6ad62ca467680643f', 'ef3a04a57b87458fa3962bfe46405228', 'False', 'True', 'false', 'false', '513327202751', 5, '洛尔巴新村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327202751', 1, '2021-07-19 12:06:40', NULL, NULL), (33657, '', '瓦贡村民委员会', '51daeb23a0e14565b7a74b56b7a8b315', 'ef3a04a57b87458fa3962bfe46405228', 'False', 'True', 'false', 'false', '513327202771', 5, '瓦贡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327202771', 1, '2021-07-19 12:06:40', NULL, NULL), (33658, '', '易日村民委员会', '4073f87d5e0a4a11aa3fc41a1a4d11af', 'ef3a04a57b87458fa3962bfe46405228', 'False', 'True', 'false', 'false', '513327202798', 5, '易日村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327202798', 1, '2021-07-19 12:06:40', NULL, NULL), (33659, '', '虾拉沱镇', 'fe47fdba7ea240b9ae2ea7ccd8949516', '75c74a0bd8ea4d1c842e3797ff993659', 'True', 'True', 'false', 'false', '513327204000', 4, '虾拉沱', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513327204000', 1, '2021-07-19 12:06:40', NULL, NULL), (33660, '', '充古村委会', 'ce018e3f08c040048b80e8f950b13351', 'fe47fdba7ea240b9ae2ea7ccd8949516', 'False', 'True', 'false', 'false', '513327104077', 5, '充古村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327104077', 1, '2021-07-19 12:06:40', NULL, NULL), (33661, '', '色色村委会', '9ce5095442224e35aa44930c248cd4bf', 'fe47fdba7ea240b9ae2ea7ccd8949516', 'False', 'True', 'false', 'false', '513327104336', 5, '色色村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327104336', 1, '2021-07-19 12:06:40', NULL, NULL), (33662, '', '阿初村委会', '583ef2db0228429492d3a9f05122b046', 'fe47fdba7ea240b9ae2ea7ccd8949516', 'False', 'True', 'false', 'false', '513327104515', 5, '阿初村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327104515', 1, '2021-07-19 12:06:40', NULL, NULL), (33663, '', '扎交村委会', 'c1e4112dcf8f4e9e9596df50d8137827', 'fe47fdba7ea240b9ae2ea7ccd8949516', 'False', 'True', 'false', 'false', '513327104589', 5, '扎交村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327104589', 1, '2021-07-19 12:06:40', NULL, NULL), (33664, '', '章达村委会', 'd5a9770e848643989db4cccd2f7bf617', 'fe47fdba7ea240b9ae2ea7ccd8949516', 'False', 'True', 'false', 'false', '513327104675', 5, '章达村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327104675', 1, '2021-07-19 12:06:41', NULL, NULL), (33665, '', '戈巴龙村委会', 'db22d88e2ce64eddbdc8d21f247548b5', 'fe47fdba7ea240b9ae2ea7ccd8949516', 'False', 'True', 'false', 'false', '513327104796', 5, '戈巴龙村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327104796', 1, '2021-07-19 12:06:41', NULL, NULL), (33666, '', '尤斯村委会', '730171a75b8745b0b7932060fe679dfd', 'fe47fdba7ea240b9ae2ea7ccd8949516', 'False', 'True', 'false', 'false', '513327104856', 5, '尤斯村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327104856', 1, '2021-07-19 12:06:41', NULL, NULL), (33667, '', '若海村委会', '2725dae11baf4b618547222ea0ab3f2e', 'fe47fdba7ea240b9ae2ea7ccd8949516', 'False', 'True', 'false', 'false', '513327104919', 5, '若海村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327104919', 1, '2021-07-19 12:06:41', NULL, NULL), (33668, '', '吉绒村委会', '48a610b202294324a1033f5ee2351c07', 'fe47fdba7ea240b9ae2ea7ccd8949516', 'False', 'True', 'false', 'false', '513327204112', 5, '吉绒村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327204112', 1, '2021-07-19 12:06:41', NULL, NULL), (33669, '', '邓达村委会', '2fc5e9cb7db7427db840069639df65f0', 'fe47fdba7ea240b9ae2ea7ccd8949516', 'False', 'True', 'false', 'false', '513327204141', 5, '邓达村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327204141', 1, '2021-07-19 12:06:41', NULL, NULL), (33670, '', '独马村委员会', '52664398428f4a0993494082412f4167', 'fe47fdba7ea240b9ae2ea7ccd8949516', 'False', 'True', 'false', 'false', '513327204253', 5, '独马村委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327204253', 1, '2021-07-19 12:06:41', NULL, NULL), (33671, '', '忠仁达村委会', 'bec7a4d640944f849aff622009049a61', 'fe47fdba7ea240b9ae2ea7ccd8949516', 'False', 'True', 'false', 'false', '513327204269', 5, '忠仁达村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327204269', 1, '2021-07-19 12:06:41', NULL, NULL), (33672, '', '克木村委会', '9f63ec4a773e49688aa9854016b7283f', 'fe47fdba7ea240b9ae2ea7ccd8949516', 'False', 'True', 'false', 'false', '513327204415', 5, '克木村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327204415', 1, '2021-07-19 12:06:41', NULL, NULL), (33673, '', '热固村民委员会', 'c2c96e8418c44f8993831f993814c009', 'fe47fdba7ea240b9ae2ea7ccd8949516', 'False', 'True', 'false', 'false', '513327204582', 5, '热固村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327204582', 1, '2021-07-19 12:06:41', NULL, NULL), (33674, '', '虾拉沱村民委员会', 'f0a6c1f884bc437d9f3e6621c8a42b2a', 'fe47fdba7ea240b9ae2ea7ccd8949516', 'False', 'True', 'false', 'false', '513327204718', 5, '虾拉沱村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327204718', 1, '2021-07-19 12:06:41', NULL, NULL), (33675, '', '绒巴龙村民委员会', '01a7605e215447d195f4712f8e085cea', 'fe47fdba7ea240b9ae2ea7ccd8949516', 'False', 'True', 'false', 'false', '513327204752', 5, '绒巴龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327204752', 1, '2021-07-19 12:06:41', NULL, NULL), (33676, '', '斯中村民委员会', '337c519c9f294886a5987ae4bb8f1c04', 'fe47fdba7ea240b9ae2ea7ccd8949516', 'False', 'True', 'false', 'false', '513327204839', 5, '斯中村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327204839', 1, '2021-07-19 12:06:41', NULL, NULL), (33677, '', '瓦达村委会', '182993ebcd864692953b051561f9ef50', 'fe47fdba7ea240b9ae2ea7ccd8949516', 'False', 'True', 'false', 'false', '513327204961', 5, '瓦达村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327204961', 1, '2021-07-19 12:06:41', NULL, NULL), (33678, '', '仁达乡', '096a256dc5744bc7bdd6984cecaa357b', '75c74a0bd8ea4d1c842e3797ff993659', 'True', 'True', 'false', 'false', '513327205000', 4, '仁达乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513327205000', 1, '2021-07-19 12:06:41', NULL, NULL), (33679, '', '勒格村委会', '20b277e9f18b4bdc9d4d7e5f90ad4b02', '096a256dc5744bc7bdd6984cecaa357b', 'False', 'True', 'false', 'false', '513327205183', 5, '勒格村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327205183', 1, '2021-07-19 12:06:41', NULL, NULL), (33680, '', '格色村委会', '5860e84134bf44b6bc5c51044543c688', '096a256dc5744bc7bdd6984cecaa357b', 'False', 'True', 'false', 'false', '513327205211', 5, '格色村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327205211', 1, '2021-07-19 12:06:42', NULL, NULL), (33681, '', '玉麦比村委会', '0aad9568a93d431a8acb74f69f39dd19', '096a256dc5744bc7bdd6984cecaa357b', 'False', 'True', 'false', 'false', '513327205820', 5, '玉麦比村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327205820', 1, '2021-07-19 12:06:42', NULL, NULL), (33682, '', '呷拉宗村委会', 'ae1a7d62906e40efbed38e5ea20ddd87', '096a256dc5744bc7bdd6984cecaa357b', 'False', 'True', 'false', 'false', '513327205882', 5, '呷拉宗村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327205882', 1, '2021-07-19 12:06:42', NULL, NULL), (33683, '', '仁达村委会', '760c60b8f31d4ddc8cf7499ab5f47d16', '096a256dc5744bc7bdd6984cecaa357b', 'False', 'True', 'false', 'false', '513327205896', 5, '仁达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327205896', 1, '2021-07-19 12:06:42', NULL, NULL), (33684, '', '易日村委会', '1921d8092ed24d6cbb807599a3a3f03a', '096a256dc5744bc7bdd6984cecaa357b', 'False', 'True', 'false', 'false', '513327205970', 5, '易日村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327205970', 1, '2021-07-19 12:06:42', NULL, NULL), (33685, '', '旦都乡', 'c9d583ae56a74c27b80d5f562d031a71', '75c74a0bd8ea4d1c842e3797ff993659', 'True', 'True', 'false', 'false', '513327207000', 4, '旦都乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513327207000', 1, '2021-07-19 12:06:42', NULL, NULL), (33686, '', '加斗村民委员会', 'bdb9607f40ad438d940d36500417bcbc', 'c9d583ae56a74c27b80d5f562d031a71', 'False', 'True', 'false', 'false', '513327207283', 5, '加斗村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327207283', 1, '2021-07-19 12:06:42', NULL, NULL), (33687, '', '沙湾村民委员会', '84f8ab9c2e22486282af2a9b881c1d17', 'c9d583ae56a74c27b80d5f562d031a71', 'False', 'True', 'false', 'false', '513327207373', 5, '沙湾村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327207373', 1, '2021-07-19 12:06:42', NULL, NULL), (33688, '', '蚌达村民委员会', 'a7ef15b8e23443208c5fe606a2a59234', 'c9d583ae56a74c27b80d5f562d031a71', 'False', 'True', 'false', 'false', '513327207555', 5, '蚌达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327207555', 1, '2021-07-19 12:06:42', NULL, NULL), (33689, '', '秋所村民委员会', 'a8ae07620fc84d8b99522398ddce9781', 'c9d583ae56a74c27b80d5f562d031a71', 'False', 'True', 'false', 'false', '513327207658', 5, '秋所村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327207658', 1, '2021-07-19 12:06:42', NULL, NULL), (33690, '', '克里村民委员会', 'b10c87eabe7846c5aa8a3e091d197a81', 'c9d583ae56a74c27b80d5f562d031a71', 'False', 'True', 'false', 'false', '513327207670', 5, '克里村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327207670', 1, '2021-07-19 12:06:42', NULL, NULL), (33691, '', '更达村民委员会', '82d3157e09fa453f9dd2292797626dad', 'c9d583ae56a74c27b80d5f562d031a71', 'False', 'True', 'false', 'false', '513327207701', 5, '更达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327207701', 1, '2021-07-19 12:06:42', NULL, NULL), (33692, '', '加郎村民委员会', 'bb604d2475a94fdbb0dc13355af3d245', 'c9d583ae56a74c27b80d5f562d031a71', 'False', 'True', 'false', 'false', '513327207802', 5, '加郎村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327207802', 1, '2021-07-19 12:06:42', NULL, NULL), (33693, '', '马居村民委员会', 'fbee007707774e5289b487eb9cb0b4c5', 'c9d583ae56a74c27b80d5f562d031a71', 'False', 'True', 'false', 'false', '513327207991', 5, '马居村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327207991', 1, '2021-07-19 12:06:42', NULL, NULL), (33694, '', '充古乡', '942b03fffc914f35aef576b71af27ffd', '75c74a0bd8ea4d1c842e3797ff993659', 'True', 'True', 'false', 'false', '513327208000', 4, '充古乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513327208000', 1, '2021-07-19 12:06:42', NULL, NULL), (33695, '', '卓若村民委员会', '6d1bf32e6e574f7ba487887d314d13cd', '942b03fffc914f35aef576b71af27ffd', 'False', 'True', 'false', 'false', '513327208019', 5, '卓若村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327208019', 1, '2021-07-19 12:06:42', NULL, NULL), (33696, '', '青卡村民委员会', '7504d54e673a48ae99938da610730727', '942b03fffc914f35aef576b71af27ffd', 'False', 'True', 'false', 'false', '513327208136', 5, '青卡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327208136', 1, '2021-07-19 12:06:42', NULL, NULL), (33697, '', '充古村民委员会', '3af0b074f1294009ae732a1e0e92d48d', '942b03fffc914f35aef576b71af27ffd', 'False', 'True', 'false', 'false', '513327208192', 5, '充古村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327208192', 1, '2021-07-19 12:06:42', NULL, NULL), (33698, '', '卡沙村民委员会', '557b1e42033842ec9f5d2c024625e34a', '942b03fffc914f35aef576b71af27ffd', 'False', 'True', 'false', 'false', '513327208305', 5, '卡沙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327208305', 1, '2021-07-19 12:06:43', NULL, NULL), (33699, '', '阿都村民委员会', 'f48870b174f4487991063de965a299db', '942b03fffc914f35aef576b71af27ffd', 'False', 'True', 'false', 'false', '513327208520', 5, '阿都村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327208520', 1, '2021-07-19 12:06:43', NULL, NULL), (33700, '', '进达村民委员会', '10350658f94e41c9a0e2fb1fc2946aac', '942b03fffc914f35aef576b71af27ffd', 'False', 'True', 'false', 'false', '513327208587', 5, '进达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327208587', 1, '2021-07-19 12:06:43', NULL, NULL), (33701, '', '各汝村民委员会', '1d046b075ab44593aa0b0f138de777b1', '942b03fffc914f35aef576b71af27ffd', 'False', 'True', 'false', 'false', '513327208665', 5, '各汝村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327208665', 1, '2021-07-19 12:06:43', NULL, NULL), (33702, '', '马交村民委员会', '3de9a472be0a46de9e0dacbbf037e0ac', '942b03fffc914f35aef576b71af27ffd', 'False', 'True', 'false', 'false', '513327208725', 5, '马交村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327208725', 1, '2021-07-19 12:06:43', NULL, NULL), (33703, '', '德依村民委员会', 'a3be78e73670477f81afe7e18f2d77ad', '942b03fffc914f35aef576b71af27ffd', 'False', 'True', 'false', 'false', '513327208941', 5, '德依村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327208941', 1, '2021-07-19 12:06:43', NULL, NULL), (33704, '', '更知乡', 'f4e30a63253b4ad8a29d8b00682814ec', '75c74a0bd8ea4d1c842e3797ff993659', 'True', 'True', 'false', 'false', '513327209000', 4, '更知乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513327209000', 1, '2021-07-19 12:06:43', NULL, NULL), (33705, '', '更娘村民委员会', '799eb9b18b40489ba557a1ab8e443c38', 'f4e30a63253b4ad8a29d8b00682814ec', 'False', 'False', 'false', 'false', '513327209002', 5, '更娘村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327209002', 1, '2021-07-19 12:06:43', NULL, NULL), (33706, '', '知日玛二村民委员会', '4dca2393426d4aa3aa643bd1d4f62823', 'f4e30a63253b4ad8a29d8b00682814ec', 'False', 'False', 'false', 'false', '513327209127', 5, '知日玛二村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327209127', 1, '2021-07-19 12:06:43', NULL, NULL), (33707, '', '德雅村民委员会', 'ca0c81dd4e3d4ae2b41d42c24429e071', 'f4e30a63253b4ad8a29d8b00682814ec', 'False', 'False', 'false', 'false', '513327209183', 5, '德雅村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327209183', 1, '2021-07-19 12:06:43', NULL, NULL), (33708, '', '修贡村民委员会', '8bedd4a90991400abe33401922a98c25', 'f4e30a63253b4ad8a29d8b00682814ec', 'False', 'False', 'false', 'false', '513327209264', 5, '修贡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327209264', 1, '2021-07-19 12:06:43', NULL, NULL), (33709, '', '更知二村民委员会', '1810aade4aa44bc5a230317e37460730', 'f4e30a63253b4ad8a29d8b00682814ec', 'False', 'False', 'false', 'false', '513327209439', 5, '更知二村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327209439', 1, '2021-07-19 12:06:43', NULL, NULL), (33710, '', '扎龙村民委员会', 'ec02b8b433ba4dd2b394dcb3d97d9e97', 'f4e30a63253b4ad8a29d8b00682814ec', 'False', 'False', 'false', 'false', '513327209605', 5, '扎龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327209605', 1, '2021-07-19 12:06:43', NULL, NULL), (33711, '', '八一村民委员会', 'd34c49da977440baa33ab17251e47aa1', 'f4e30a63253b4ad8a29d8b00682814ec', 'False', 'False', 'false', 'false', '513327209672', 5, '八一村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327209672', 1, '2021-07-19 12:06:43', NULL, NULL), (33712, '', '瓦亚村民委员会', '750a1f09321442bcad04761674575103', 'f4e30a63253b4ad8a29d8b00682814ec', 'False', 'False', 'false', 'false', '513327209900', 5, '瓦亚村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327209900', 1, '2021-07-19 12:06:43', NULL, NULL), (33713, '', '知加村民委员会', '487564e8d0ee4c08b13d161849eedb06', 'f4e30a63253b4ad8a29d8b00682814ec', 'False', 'False', 'false', 'false', '513327209930', 5, '知加村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327209930', 1, '2021-07-19 12:06:43', NULL, NULL), (33714, '', '措口村民委员会', '1a10215d14da4738a3ff078a219f08b7', 'f4e30a63253b4ad8a29d8b00682814ec', 'False', 'False', 'false', 'false', '513327209979', 5, '措口村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327209979', 1, '2021-07-19 12:06:43', NULL, NULL), (33715, '', '提贡村民委员会', '2a57ebb4ce314076a73ccf941328c526', 'f4e30a63253b4ad8a29d8b00682814ec', 'False', 'False', 'false', 'false', '513327209987', 5, '提贡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327209987', 1, '2021-07-19 12:06:44', NULL, NULL), (33716, '', '卡娘乡', '8321b3a08d2c45358686e570c3ef2930', '75c74a0bd8ea4d1c842e3797ff993659', 'True', 'True', 'false', 'false', '513327210000', 4, '卡娘乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513327210000', 1, '2021-07-19 12:06:44', NULL, NULL), (33717, '', '吉扎村村民委员会', '2d83328390584ac8857f24db82779ec2', '8321b3a08d2c45358686e570c3ef2930', 'False', 'True', 'false', 'false', '513327210090', 5, '吉扎村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327210090', 1, '2021-07-19 12:06:44', NULL, NULL), (33718, '', '卡娘村村民委员会', '23ead3ae877643628c5da41d0f51c80b', '8321b3a08d2c45358686e570c3ef2930', 'False', 'True', 'false', 'false', '513327210407', 5, '卡娘村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327210407', 1, '2021-07-19 12:06:44', NULL, NULL), (33719, '', '杜瓦村民委员会', 'faf48ebcc44f441aa32152b1698756b2', '8321b3a08d2c45358686e570c3ef2930', 'False', 'True', 'false', 'false', '513327210657', 5, '杜瓦村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327210657', 1, '2021-07-19 12:06:44', NULL, NULL), (33720, '', '知日村民委员会', 'cfbe6351d5474f9ab9e38a536d0bc67d', '8321b3a08d2c45358686e570c3ef2930', 'False', 'True', 'false', 'false', '513327210739', 5, '知日村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327210739', 1, '2021-07-19 12:06:44', NULL, NULL), (33721, '', '东谷村民委员会', '8dacd1e8e77c44078d9b3cd83674629c', '8321b3a08d2c45358686e570c3ef2930', 'False', 'True', 'false', 'false', '513327210756', 5, '东谷村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327210756', 1, '2021-07-19 12:06:44', NULL, NULL), (33722, '', '觉底村民委员会', '0991c74c5e674a999c39fb0aee25046f', '8321b3a08d2c45358686e570c3ef2930', 'False', 'True', 'false', 'false', '513327210790', 5, '觉底村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327210790', 1, '2021-07-19 12:06:44', NULL, NULL), (33723, '', '知底村民委员会', 'ced3b35e3ffc495bb448e0ded183f384', '8321b3a08d2c45358686e570c3ef2930', 'False', 'True', 'false', 'false', '513327210942', 5, '知底村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327210942', 1, '2021-07-19 12:06:44', NULL, NULL), (33724, '', '宗塔乡', '37503c2df0234e5abe60f57735cc88b5', '75c74a0bd8ea4d1c842e3797ff993659', 'True', 'True', 'false', 'false', '513327211000', 4, '宗塔乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513327211000', 1, '2021-07-19 12:06:44', NULL, NULL), (33725, '', '色科玛村民委员会', '9af05a7a514748828adf4ef996a79c87', '37503c2df0234e5abe60f57735cc88b5', 'False', 'True', 'false', 'false', '513327211097', 5, '色科玛村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327211097', 1, '2021-07-19 12:06:44', NULL, NULL), (33726, '', '岗科村民委员会', '6683d73307a648cebe52cdc35338a67b', '37503c2df0234e5abe60f57735cc88b5', 'False', 'True', 'false', 'false', '513327211125', 5, '岗科村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327211125', 1, '2021-07-19 12:06:44', NULL, NULL), (33727, '', '拉恰玛村民委员会', '36f335df7f3646eb806543283b90e811', '37503c2df0234e5abe60f57735cc88b5', 'False', 'True', 'false', 'false', '513327211597', 5, '拉恰玛村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327211597', 1, '2021-07-19 12:06:44', NULL, NULL), (33728, '', '角龙村民委员会', 'e1aaf639e4ba495bad5159565b5f3431', '37503c2df0234e5abe60f57735cc88b5', 'False', 'True', 'false', 'false', '513327211629', 5, '角龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327211629', 1, '2021-07-19 12:06:45', NULL, NULL), (33729, '', '吉科村民委员会', '3652c951c0a24d7f984c3495adfc8579', '37503c2df0234e5abe60f57735cc88b5', 'False', 'True', 'false', 'false', '513327211637', 5, '吉科村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327211637', 1, '2021-07-19 12:06:45', NULL, NULL), (33730, '', '塔瓦村民委员会', 'f9b2d520d0a04d9496361ebcadc35167', '37503c2df0234e5abe60f57735cc88b5', 'False', 'True', 'false', 'false', '513327211779', 5, '塔瓦村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327211779', 1, '2021-07-19 12:06:45', NULL, NULL), (33731, '', '宗麦乡', '67a16ff1cc284247aa9fda0004594a65', '75c74a0bd8ea4d1c842e3797ff993659', 'True', 'True', 'false', 'false', '513327212000', 4, '宗麦乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513327212000', 1, '2021-07-19 12:06:45', NULL, NULL), (33732, '', '三果村村民委员会', '2083909ecd1d46f1aca23c45ab721e80', '67a16ff1cc284247aa9fda0004594a65', 'False', 'True', 'false', 'false', '513327212061', 5, '三果村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327212061', 1, '2021-07-19 12:06:45', NULL, NULL), (33733, '', '阿拉村村民委员会', 'eac8e9a350c241ca8765dbf74f4e21e0', '67a16ff1cc284247aa9fda0004594a65', 'False', 'True', 'false', 'false', '513327212122', 5, '阿拉村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327212122', 1, '2021-07-19 12:06:45', NULL, NULL), (33734, '', '阿吾村村民委员会', '4fc914a979a0469a86b33a5787c5e6a1', '67a16ff1cc284247aa9fda0004594a65', 'False', 'True', 'false', 'false', '513327212321', 5, '阿吾村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327212321', 1, '2021-07-19 12:06:45', NULL, NULL), (33735, '', '然育村村民委员会', '204a78d9893f4444887cfc692144083e', '67a16ff1cc284247aa9fda0004594a65', 'False', 'True', 'false', 'false', '513327212448', 5, '然育村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327212448', 1, '2021-07-19 12:06:45', NULL, NULL), (33736, '', '本学村村民委员会', '1050410b4c1849d099cc537d5c1923cd', '67a16ff1cc284247aa9fda0004594a65', 'False', 'True', 'false', 'false', '513327212464', 5, '本学村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327212464', 1, '2021-07-19 12:06:45', NULL, NULL), (33737, '', '仁真村村民委员会', '5f544bc307cf4c76b51541f0f051e56d', '67a16ff1cc284247aa9fda0004594a65', 'False', 'True', 'false', 'false', '513327212487', 5, '仁真村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327212487', 1, '2021-07-19 12:06:45', NULL, NULL), (33738, '', '交西村村民委员会', 'f856c3bd1e82492c976834e39c9e389b', '67a16ff1cc284247aa9fda0004594a65', 'False', 'True', 'false', 'false', '513327212637', 5, '交西村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327212637', 1, '2021-07-19 12:06:45', NULL, NULL), (33739, '', '双马村村民委员会', '5f762471da474cbea58e3ddea73590d6', '67a16ff1cc284247aa9fda0004594a65', 'False', 'True', 'false', 'false', '513327212796', 5, '双马村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327212796', 1, '2021-07-19 12:06:45', NULL, NULL), (33740, '', '托塔村村民委员会', '208523279e3e4f4083a2e3321f2ee2f6', '67a16ff1cc284247aa9fda0004594a65', 'False', 'True', 'false', 'false', '513327212871', 5, '托塔村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327212871', 1, '2021-07-19 12:06:45', NULL, NULL), (33741, '', '呷麦村村民委员会', 'e1921ea73861437595d94a8c1f5e69b0', '67a16ff1cc284247aa9fda0004594a65', 'False', 'True', 'false', 'false', '513327212901', 5, '呷麦村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327212901', 1, '2021-07-19 12:06:45', NULL, NULL), (33742, '', '绒沙马村村民委员会', 'daedea272f3d45d48375ad277e928881', '67a16ff1cc284247aa9fda0004594a65', 'False', 'True', 'false', 'false', '513327212999', 5, '绒沙马村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327212999', 1, '2021-07-19 12:06:45', NULL, NULL), (33743, '', '上罗科马镇', '2d4a609d140245719ce9affc0a2aeb98', '75c74a0bd8ea4d1c842e3797ff993659', 'True', 'True', 'false', 'false', '513327213000', 4, '上罗柯马乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513327213000', 1, '2021-07-19 12:06:46', NULL, NULL), (33744, '', '德庆村委会', 'a2dce7f83d4c460cb70f83750a5feb74', '2d4a609d140245719ce9affc0a2aeb98', 'False', 'True', 'false', 'false', '513327210527', 5, '德庆村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327210527', 1, '2021-07-19 12:06:46', NULL, NULL), (33745, '', '四村村民委员会', 'dca41bb78e5f47c0937f03f7122781f4', '2d4a609d140245719ce9affc0a2aeb98', 'False', 'True', 'false', 'false', '513327213236', 5, '四村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327213236', 1, '2021-07-19 12:06:46', NULL, NULL), (33746, '', '二村村民委员会', 'd7907fc6f72549e6bbf9e98e51294f72', '2d4a609d140245719ce9affc0a2aeb98', 'False', 'True', 'false', 'false', '513327213379', 5, '二村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327213379', 1, '2021-07-19 12:06:46', NULL, NULL), (33747, '', '一村村民委员会', '484df17fb7ea4d3e8a9565087e9ce481', '2d4a609d140245719ce9affc0a2aeb98', 'False', 'True', 'false', 'false', '513327213392', 5, '一村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327213392', 1, '2021-07-19 12:06:46', NULL, NULL), (33748, '', '三村村民委员会', 'ecc83d519db0489d981f54770e09d45d', '2d4a609d140245719ce9affc0a2aeb98', 'False', 'True', 'false', 'false', '513327213519', 5, '三村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327213519', 1, '2021-07-19 12:06:46', NULL, NULL), (33749, '', '八村村民委员会', '7ac8b8c6ab2e4e348b518e01e9ab69ba', '2d4a609d140245719ce9affc0a2aeb98', 'False', 'True', 'false', 'false', '513327213764', 5, '八村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327213764', 1, '2021-07-19 12:06:46', NULL, NULL), (33750, '', '扎特尔村委员会', '481efca0f7cc4b4b88bfdb1139fd981b', '2d4a609d140245719ce9affc0a2aeb98', 'False', 'True', 'false', 'false', '513327213810', 5, '扎特尔村委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327213810', 1, '2021-07-19 12:06:46', NULL, NULL), (33751, '', '下罗科马乡', '39d1974f7e064152a44000a4f5f3adf9', '75c74a0bd8ea4d1c842e3797ff993659', 'True', 'True', 'false', 'false', '513327214000', 4, '下罗柯马乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513327214000', 1, '2021-07-19 12:06:46', NULL, NULL), (33752, '', '加塔玛村民委员会', 'e94cdf3e119c43ee8153be4b6ef24b1a', '39d1974f7e064152a44000a4f5f3adf9', 'False', 'True', 'false', 'false', '513327214160', 5, '加它马村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327214160', 1, '2021-07-19 12:06:46', NULL, NULL), (33753, '', '甲色村民委员会', 'dc8970f47d424ca889459237ad1454ea', '39d1974f7e064152a44000a4f5f3adf9', 'False', 'True', 'false', 'false', '513327214187', 5, '甲社村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327214187', 1, '2021-07-19 12:06:46', NULL, NULL), (33754, '', '日阿塔马村民委员会', 'f32d276656c241b2971272b4b25ec782', '39d1974f7e064152a44000a4f5f3adf9', 'False', 'True', 'false', 'false', '513327214468', 5, '日阿塔马村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327214468', 1, '2021-07-19 12:06:46', NULL, NULL), (33755, '', '达色村民委员会', 'aecb0e958fdd425881fd5cd1c7fe7e52', '39d1974f7e064152a44000a4f5f3adf9', 'False', 'True', 'false', 'false', '513327214606', 5, '达色村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327214606', 1, '2021-07-19 12:06:46', NULL, NULL), (33756, '', '阿拉村民委员会', '57acf387c1174ffbba48c7e9b18b0814', '39d1974f7e064152a44000a4f5f3adf9', 'False', 'True', 'false', 'false', '513327214609', 5, '阿那村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327214609', 1, '2021-07-19 12:06:46', NULL, NULL), (33757, '', '马庆瓦村民委员会', '112dc2c0831b4bc7923467b89888f56a', '39d1974f7e064152a44000a4f5f3adf9', 'False', 'True', 'false', 'false', '513327214672', 5, '马庆瓦村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327214672', 1, '2021-07-19 12:06:46', NULL, NULL), (33758, '', '玖玛村民委员会', '06d58893cb414aeaa7f8dd4622291ba0', '39d1974f7e064152a44000a4f5f3adf9', 'False', 'True', 'false', 'false', '513327214731', 5, '玖玛村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327214731', 1, '2021-07-19 12:06:46', NULL, NULL), (33759, '', '阿色马村民委员会', '83376f4441f441cb877fffebe1b390b8', '39d1974f7e064152a44000a4f5f3adf9', 'False', 'True', 'false', 'false', '513327214893', 5, '阿色马村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513327214893', 1, '2021-07-19 12:06:47', NULL, NULL), (33760, '', '甘孜县', '40b44934c46e4f2490fe2d48814f18d2', '4e0988aa699e46dd9cdf992180c73cd8', 'True', 'True', 'false', 'false', '513328000000', 3, '甘孜县', 'gzzgzx.sczwfw.gov.cn', 1, '2021-07-19 12:06:47', NULL, NULL), (33761, '', '甘孜镇', '6a6bdd19bc6d41768e97be70f9dca696', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328100000', 4, '甘孜镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328100000', 1, '2021-07-19 12:06:47', NULL, NULL), (33762, '', '甘孜镇瓦巴村', 'c607c84f1f1541cfbdc3b144e114ec3d', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100010', 5, '甘孜镇瓦巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100010', 1, '2021-07-19 12:06:47', NULL, NULL), (33763, '', '甘孜镇青柯普底村', '842f0b01dc5f490eb1fa521c20d5e102', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100013', 5, '甘孜镇青柯普底村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100013', 1, '2021-07-19 12:06:47', NULL, NULL), (33764, '', '甘孜镇门达村', '0982fcc54b884325af578c0017aa51fe', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100021', 5, '甘孜镇门达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100021', 1, '2021-07-19 12:06:47', NULL, NULL), (33765, '', '甘孜镇甲布村', 'a8ce3eba449a4478aa8e0c71f69b6cac', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100092', 5, '甘孜镇甲布村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100092', 1, '2021-07-19 12:06:47', NULL, NULL), (33766, '', '甘孜镇霍古都村', '8587833850724a568782cc4ae9d74691', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100102', 5, '甘孜镇霍古都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100102', 1, '2021-07-19 12:06:47', NULL, NULL), (33767, '', '甘孜镇错地卡村', '9a10150f5a7d47c5ad2d07b99f6d1612', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100193', 5, '甘孜镇错地卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100193', 1, '2021-07-19 12:06:47', NULL, NULL), (33768, '', '甘孜镇雅桥村', '06cbc1814e8b4aaca3161c7cba1910d0', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100233', 5, '甘孜镇雅桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100233', 1, '2021-07-19 12:06:47', NULL, NULL), (33769, '', '甘孜镇德巴村', 'c2521596e0f34296a1ebad3cfa119d08', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100247', 5, '甘孜镇德巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100247', 1, '2021-07-19 12:06:47', NULL, NULL), (33770, '', '甘孜镇九日村', 'd86194e67c144978836f759a445b4524', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100255', 5, '甘孜镇九日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100255', 1, '2021-07-19 12:06:47', NULL, NULL), (33771, '', '甘孜镇日安村', '1232fb5b104846b487d5cf64788066d8', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100263', 5, '甘孜镇日安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100263', 1, '2021-07-19 12:06:47', NULL, NULL), (33772, '', '甘孜镇贡曲村', '72d29b9ef0114d9594721b5cc450aa1d', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100298', 5, '甘孜镇贡曲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100298', 1, '2021-07-19 12:06:47', NULL, NULL), (33773, '', '甘孜镇打金滩村', '3fa0bf5743fd4939bfa381f904be0176', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100308', 5, '甘孜镇打金滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100308', 1, '2021-07-19 12:06:47', NULL, NULL), (33774, '', '甘孜镇新市区村', 'e10be5e2a56f4befab315a60b454fa6b', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100352', 5, '甘孜镇新市区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100352', 1, '2021-07-19 12:06:47', NULL, NULL), (33775, '', '甘孜镇吉绒达村', '55c93715c8f34e1ba466d908ae8776b2', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100391', 5, '甘孜镇吉绒达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100391', 1, '2021-07-19 12:06:47', NULL, NULL), (33776, '', '甘孜镇也哈村', '6671bd50e1da4361b50042a05e9cf7e4', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100534', 5, '甘孜镇也哈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100534', 1, '2021-07-19 12:06:47', NULL, NULL), (33777, '', '甘孜镇曲勒郎果村', 'a4fe5486e5ce4862affcca3a132bf083', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100555', 5, '甘孜镇启珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100555', 1, '2021-07-19 12:06:47', NULL, NULL), (33778, '', '甘孜镇西戈村', '8d90eab0b01b40d59944f13cc4e2de76', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100589', 5, '甘孜镇西戈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100589', 1, '2021-07-19 12:06:48', NULL, NULL), (33779, '', '甘孜镇麻达村', 'd310394c5ae24ad6b417acf2c5ea7cfd', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100601', 5, '甘孜镇麻达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100601', 1, '2021-07-19 12:06:48', NULL, NULL), (33780, '', '甘孜镇甲卡村', 'fcfab9d6c94c470085aca263972d4cd3', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100611', 5, '甘孜镇甲卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100611', 1, '2021-07-19 12:06:48', NULL, NULL), (33781, '', '甘孜镇根布夏春', '7adb5e334407469897777a0f6dbcac08', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100782', 5, '甘孜镇根布夏春', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100782', 1, '2021-07-19 12:06:48', NULL, NULL), (33782, '', '甘孜镇河坝村', '4aabde1f6d6743dbb884ff3c98712b41', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100824', 5, '甘孜镇河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100824', 1, '2021-07-19 12:06:48', NULL, NULL), (33783, '', '甘孜镇然巴然格村', '0d8fb0f557c648cea044e12974424a7f', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100832', 5, '甘孜镇然巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100832', 1, '2021-07-19 12:06:48', NULL, NULL), (33784, '', '甘孜镇斯俄村', '0cabb7f7a48d40f7b747904839f7810c', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100845', 5, '甘孜镇斯俄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100845', 1, '2021-07-19 12:06:48', NULL, NULL), (33785, '', '甘孜镇普苏村', '38d466fba1644ee5a9ee6e4c14431a8d', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100888', 5, '甘孜镇普苏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100888', 1, '2021-07-19 12:06:48', NULL, NULL), (33786, '', '甘孜镇也伦达村', 'd347134f7bb64a17a22d9a995503ea3b', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100910', 5, '甘孜镇也伦达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100910', 1, '2021-07-19 12:06:48', NULL, NULL), (33787, '', '甘孜镇卡加卡村', 'eb386accc5d541fcb4ebf4578c6cd09a', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100949', 5, '甘孜镇卡加卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100949', 1, '2021-07-19 12:06:48', NULL, NULL), (33788, '', '甘孜镇仁色底村', '92ed2e18361c4befb02b44c227220c0a', '6a6bdd19bc6d41768e97be70f9dca696', 'False', 'False', 'false', 'false', '513328100954', 5, '甘孜镇仁色底村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328100954', 1, '2021-07-19 12:06:48', NULL, NULL), (33789, '', '查龙镇', '3d73f84c743246e3878cd32773cbaed7', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328101000', 4, '查龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328101000', 1, '2021-07-19 12:06:48', NULL, NULL), (33790, '', '吉庆一村', 'e9cad61245d44d78ac3143530063c26c', '3d73f84c743246e3878cd32773cbaed7', 'False', 'False', 'false', 'false', '513328101144', 5, '吉庆一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328101144', 1, '2021-07-19 12:06:48', NULL, NULL), (33791, '', '查龙二村', '390cbf2049a44b339c22dc1891ec2f3c', '3d73f84c743246e3878cd32773cbaed7', 'False', 'False', 'false', 'false', '513328101380', 5, '查龙二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328101380', 1, '2021-07-19 12:06:48', NULL, NULL), (33792, '', '吉庆二村', 'fdadc03a16c348e19941088c42d1f1d9', '3d73f84c743246e3878cd32773cbaed7', 'False', 'False', 'false', 'false', '513328101563', 5, '吉庆二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328101563', 1, '2021-07-19 12:06:48', NULL, NULL), (33793, '', '查龙一村', '0b44e88d17274044be00365782971578', '3d73f84c743246e3878cd32773cbaed7', 'False', 'False', 'false', 'false', '513328101607', 5, '查龙一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328101607', 1, '2021-07-19 12:06:48', NULL, NULL), (33794, '', '南卡村', 'c97320f332b84d97bccca2445f0ddaed', '3d73f84c743246e3878cd32773cbaed7', 'False', 'False', 'false', 'false', '513328101620', 5, '南卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328101620', 1, '2021-07-19 12:06:48', NULL, NULL), (33795, '', '来马镇', 'f84a9fd166fa458a9ba33c65765f4022', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328102000', 4, '来马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328102000', 1, '2021-07-19 12:06:48', NULL, NULL), (33796, '', '格通一村民委员会', '41ccd269d8a744fdb7c2c3e67bcc6499', 'f84a9fd166fa458a9ba33c65765f4022', 'False', 'False', 'false', 'false', '513328102014', 5, '格通一村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328102014', 1, '2021-07-19 12:06:48', NULL, NULL), (33797, '', '夺日村民委员会', 'f7b20e7b76394ec0ac7a0cea08f20a81', 'f84a9fd166fa458a9ba33c65765f4022', 'False', 'False', 'false', 'false', '513328102030', 5, '夺日村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328102030', 1, '2021-07-19 12:06:49', NULL, NULL), (33798, '', '马达村民委员会', '6bb4bec5e3284011ad3e7196370906a2', 'f84a9fd166fa458a9ba33c65765f4022', 'False', 'False', 'false', 'false', '513328102041', 5, '马达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328102041', 1, '2021-07-19 12:06:49', NULL, NULL), (33799, '', '鲁须村民委员会', '867de1ccd1b946e38f5cc63d9c1d7348', 'f84a9fd166fa458a9ba33c65765f4022', 'False', 'False', 'false', 'false', '513328102182', 5, '鲁须村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328102182', 1, '2021-07-19 12:06:49', NULL, NULL), (33800, '', '当达村民委员会', 'a6e311f3c9514af992b0e1fca49a7e8a', 'f84a9fd166fa458a9ba33c65765f4022', 'False', 'False', 'false', 'false', '513328102269', 5, '当达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328102269', 1, '2021-07-19 12:06:49', NULL, NULL), (33801, '', '雅子村民委员会', '4cc04c12b5234790908b72d5e44807e7', 'f84a9fd166fa458a9ba33c65765f4022', 'False', 'False', 'false', 'false', '513328102317', 5, '雅子村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328102317', 1, '2021-07-19 12:06:49', NULL, NULL), (33802, '', '觉日村民委员会', '45b5b6995d7049d3a83bb4f68bc6cb9e', 'f84a9fd166fa458a9ba33c65765f4022', 'False', 'False', 'false', 'false', '513328102341', 5, '觉日村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328102341', 1, '2021-07-19 12:06:49', NULL, NULL), (33803, '', '来马村民委员会', '5ef880b3872e489eb006739c8e7e842e', 'f84a9fd166fa458a9ba33c65765f4022', 'False', 'False', 'false', 'false', '513328102343', 5, '来马村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328102343', 1, '2021-07-19 12:06:49', NULL, NULL), (33804, '', '康朱村民委员会', 'c8a26cc995fa481b857d73a1abad97db', 'f84a9fd166fa458a9ba33c65765f4022', 'False', 'False', 'false', 'false', '513328102352', 5, '康朱村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328102352', 1, '2021-07-19 12:06:49', NULL, NULL), (33805, '', '格通二村民委员会', '627dfed58c21449dbf63c3603bcbb96b', 'f84a9fd166fa458a9ba33c65765f4022', 'False', 'False', 'false', 'false', '513328102566', 5, '格通二村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328102566', 1, '2021-07-19 12:06:49', NULL, NULL), (33806, '', '叶早村民委员会', '3b4462e0e03645ccab55334f555052eb', 'f84a9fd166fa458a9ba33c65765f4022', 'False', 'False', 'false', 'false', '513328102583', 5, '叶早村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328102583', 1, '2021-07-19 12:06:49', NULL, NULL), (33807, '', '地格村民委员会', '1547acf9a26043fd860e72e42f9d18ff', 'f84a9fd166fa458a9ba33c65765f4022', 'False', 'False', 'false', 'false', '513328102616', 5, '地格村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328102616', 1, '2021-07-19 12:06:49', NULL, NULL), (33808, '', '纳洼村民委员会', 'adb90a81054a4f7eb029bf95f6d1b957', 'f84a9fd166fa458a9ba33c65765f4022', 'False', 'False', 'false', 'false', '513328102730', 5, '纳洼村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328102730', 1, '2021-07-19 12:06:49', NULL, NULL), (33809, '', '冷达村民委员会', '660d9bb7d1104b3f9ed8bf7e42a20c27', 'f84a9fd166fa458a9ba33c65765f4022', 'False', 'False', 'false', 'false', '513328102848', 5, '冷达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328102848', 1, '2021-07-19 12:06:49', NULL, NULL), (33810, '', '迷鲁村民委员会', '0ac83290210646e696d0cea5ebab967c', 'f84a9fd166fa458a9ba33c65765f4022', 'False', 'False', 'false', 'false', '513328102921', 5, '迷鲁村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328102921', 1, '2021-07-19 12:06:49', NULL, NULL), (33811, '', '里拉村民委员会', 'afd98a8f187048ac81add55d4042119c', 'f84a9fd166fa458a9ba33c65765f4022', 'False', 'False', 'false', 'false', '513328102928', 5, '里拉村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328102928', 1, '2021-07-19 12:06:49', NULL, NULL), (33812, '', '呷拉乡', '4d0944a738df477c87e2da9c6b97e990', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328200000', 4, '呷拉乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328200000', 1, '2021-07-19 12:06:49', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (33813, '', '笨得古村民委员会', 'e5bac6b25bfa4249bd1df96448e6017e', '4d0944a738df477c87e2da9c6b97e990', 'False', 'False', 'false', 'false', '513328200028', 5, '笨得古村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328200028', 1, '2021-07-19 12:06:49', NULL, NULL), (33814, '', '亚龙村村民委员会', 'd49cefcd12c54601926798a4802ad7e4', '4d0944a738df477c87e2da9c6b97e990', 'False', 'False', 'false', 'false', '513328200045', 5, '亚龙村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328200045', 1, '2021-07-19 12:06:49', NULL, NULL), (33815, '', '夺拖村民委员会', '671f4311dc324109b303cfb08de50c17', '4d0944a738df477c87e2da9c6b97e990', 'False', 'False', 'false', 'false', '513328200274', 5, '夺拖村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328200274', 1, '2021-07-19 12:06:50', NULL, NULL), (33816, '', '自公底村民委员会', 'dae47e5f166e4bb0b4a6ed4a34b09503', '4d0944a738df477c87e2da9c6b97e990', 'False', 'False', 'false', 'false', '513328200357', 5, '自公底村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328200357', 1, '2021-07-19 12:06:50', NULL, NULL), (33817, '', '阿日然村民委员会', '42fce5bf781d48f48b5f7405152a32d6', '4d0944a738df477c87e2da9c6b97e990', 'False', 'False', 'false', 'false', '513328200442', 5, '阿日然村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328200442', 1, '2021-07-19 12:06:50', NULL, NULL), (33818, '', '柯多村民委员会', '9d6712ad50bc474990a05c569cf8c09e', '4d0944a738df477c87e2da9c6b97e990', 'False', 'False', 'false', 'false', '513328200468', 5, '柯多村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328200468', 1, '2021-07-19 12:06:50', NULL, NULL), (33819, '', '呷拉村民委员会', '01470a7e98f641bbaefd29f6e72ffa3b', '4d0944a738df477c87e2da9c6b97e990', 'False', 'False', 'false', 'false', '513328200491', 5, '呷拉村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328200491', 1, '2021-07-19 12:06:50', NULL, NULL), (33820, '', '仲卡村民委员会', '2d0864d703394d7b8e8e66e65b83b4b8', '4d0944a738df477c87e2da9c6b97e990', 'False', 'False', 'false', 'false', '513328200657', 5, '仲卡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328200657', 1, '2021-07-19 12:06:50', NULL, NULL), (33821, '', '雄卡村民委员会', '1ecde7a80bd04ff9b2b18d9ac7cc37ec', '4d0944a738df477c87e2da9c6b97e990', 'False', 'False', 'false', 'false', '513328200730', 5, '雄卡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328200730', 1, '2021-07-19 12:06:50', NULL, NULL), (33822, '', '色西底乡', '5de0edf7228c45a385604a0d66666e69', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328201000', 4, '色西底乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328201000', 1, '2021-07-19 12:06:50', NULL, NULL), (33823, '', '德然麻书村民委员会', 'e38eacf684604af8afa21da7a6f17ebe', '5de0edf7228c45a385604a0d66666e69', 'False', 'False', 'false', 'false', '513328201048', 5, '德然麻书村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328201048', 1, '2021-07-19 12:06:50', NULL, NULL), (33824, '', '西龙卡村民委员', 'b1d4d627544343eaae5f88b247fd6d4c', '5de0edf7228c45a385604a0d66666e69', 'False', 'False', 'false', 'false', '513328201164', 5, '西龙卡村民委员', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328201164', 1, '2021-07-19 12:06:50', NULL, NULL), (33825, '', '珠巴村民委员会', 'bdce3f23bf4749dcb106ae13660572ee', '5de0edf7228c45a385604a0d66666e69', 'False', 'False', 'false', 'false', '513328201185', 5, '珠巴村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328201185', 1, '2021-07-19 12:06:50', NULL, NULL), (33826, '', '木西村民委员会', '8bf98f58b02a4aebb5514665a777d100', '5de0edf7228c45a385604a0d66666e69', 'False', 'False', 'false', 'false', '513328201428', 5, '木西村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328201428', 1, '2021-07-19 12:06:50', NULL, NULL), (33827, '', '亚卡巴村民委员会', 'fdfcb2d451524137b532b3d696aebbc5', '5de0edf7228c45a385604a0d66666e69', 'False', 'False', 'false', 'false', '513328201481', 5, '亚卡巴村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328201481', 1, '2021-07-19 12:06:50', NULL, NULL), (33828, '', '甲衣村民委员会', 'cdbd167c3f0a4040aa3a9daaddf3827a', '5de0edf7228c45a385604a0d66666e69', 'False', 'False', 'false', 'false', '513328201530', 5, '甲衣村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328201530', 1, '2021-07-19 12:06:50', NULL, NULL), (33829, '', '尼隆村民委员会', '1900ddc5a193477b9e35844f8d81bd9a', '5de0edf7228c45a385604a0d66666e69', 'False', 'False', 'false', 'false', '513328201551', 5, '尼隆村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328201551', 1, '2021-07-19 12:06:50', NULL, NULL), (33830, '', '则打村民委员会', '78dd1901268c417a927275aef43fce96', '5de0edf7228c45a385604a0d66666e69', 'False', 'False', 'false', 'false', '513328201569', 5, '则打村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328201569', 1, '2021-07-19 12:06:50', NULL, NULL), (33831, '', '德然亚书村民委员会', 'ea60c87859444b9b924cbf57a29e2985', '5de0edf7228c45a385604a0d66666e69', 'False', 'False', 'false', 'false', '513328201582', 5, '德然亚书村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328201582', 1, '2021-07-19 12:06:50', NULL, NULL), (33832, '', '色西麻书卡', '93ff58add6544820ac1b1b98eda86347', '5de0edf7228c45a385604a0d66666e69', 'False', 'False', 'false', 'false', '513328201677', 5, '色西麻书卡', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328201677', 1, '2021-07-19 12:06:50', NULL, NULL), (33833, '', '色西亚书卡村民委员会', '7445063e3b824bb7bbd756c947db721c', '5de0edf7228c45a385604a0d66666e69', 'False', 'False', 'false', 'false', '513328201696', 5, '色西亚书卡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328201696', 1, '2021-07-19 12:06:51', NULL, NULL), (33834, '', '曲卡龙村民委员会', '786dd8eb1b584939a42cf74bde9edce4', '5de0edf7228c45a385604a0d66666e69', 'False', 'False', 'false', 'false', '513328201988', 5, '曲卡龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328201988', 1, '2021-07-19 12:06:51', NULL, NULL), (33835, '', '南多乡', 'b92a775d644640a1ab37b119005addb5', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328202000', 4, '南多乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328202000', 1, '2021-07-19 12:06:51', NULL, NULL), (33836, '', '甘孜县南多乡南多村民委员会', 'f829134f5b2a495dbf99bc10da801733', 'b92a775d644640a1ab37b119005addb5', 'False', 'False', 'false', 'false', '513328201326', 5, '南多村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328201326', 1, '2021-07-19 12:06:51', NULL, NULL), (33837, '', '甘孜县南多乡曲卡村民委员会', '4cfe56adfacf438a81aa423074dc20eb', 'b92a775d644640a1ab37b119005addb5', 'False', 'False', 'false', 'false', '513328202141', 5, '曲卡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328202141', 1, '2021-07-19 12:06:51', NULL, NULL), (33838, '', '甘孜县南多乡然呷村民委员会', 'a93630f84ead4b6597e4b6c62f309c9d', 'b92a775d644640a1ab37b119005addb5', 'False', 'False', 'false', 'false', '513328203525', 5, '然呷村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328203525', 1, '2021-07-19 12:06:51', NULL, NULL), (33839, '', '甘孜县南多乡俄绒村民委员会', 'f8eb9334706240ea899f718f57cb6a75', 'b92a775d644640a1ab37b119005addb5', 'False', 'False', 'false', 'false', '513328204119', 5, '俄绒村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328204119', 1, '2021-07-19 12:06:51', NULL, NULL), (33840, '', '甘孜县南多乡席绒村民委员会', '1481ca1aa9aa435cbfd4cfb75ea34b62', 'b92a775d644640a1ab37b119005addb5', 'False', 'False', 'false', 'false', '513328205314', 5, '席绒村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328205314', 1, '2021-07-19 12:06:51', NULL, NULL), (33841, '', '甘孜县南多乡则曲村民委员会', 'b02a70ef70b84323bab5d493ab03ccb3', 'b92a775d644640a1ab37b119005addb5', 'False', 'False', 'false', 'false', '513328206931', 5, '则曲村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328206931', 1, '2021-07-19 12:06:51', NULL, NULL), (33842, '', '生康乡', 'e3aaa30624bb48ba958cd94439d5e0aa', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328203000', 4, '生康乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328203000', 1, '2021-07-19 12:06:51', NULL, NULL), (33843, '', '门洛村村民委员会', '6ed9596412d241fc8e7d4ba3c45c0d88', 'e3aaa30624bb48ba958cd94439d5e0aa', 'False', 'False', 'false', 'false', '513328203021', 5, '门洛村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328203021', 1, '2021-07-19 12:06:51', NULL, NULL), (33844, '', '莫穷村村民委员会', '8c1140c6328c42febef67906ca59da82', 'e3aaa30624bb48ba958cd94439d5e0aa', 'False', 'False', 'false', 'false', '513328203083', 5, '莫穷村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328203083', 1, '2021-07-19 12:06:51', NULL, NULL), (33845, '', '德西顶村村民委员会', 'd70428319d384e56884a72c68bf18526', 'e3aaa30624bb48ba958cd94439d5e0aa', 'False', 'False', 'false', 'false', '513328203110', 5, '德西顶村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328203110', 1, '2021-07-19 12:06:51', NULL, NULL), (33846, '', '仲柯村村民委员会', '911d4f88e53943a6895b8dab32de3ba7', 'e3aaa30624bb48ba958cd94439d5e0aa', 'False', 'False', 'false', 'false', '513328203246', 5, '仲柯村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328203246', 1, '2021-07-19 12:06:51', NULL, NULL), (33847, '', '生康村村民委员会', 'c55b87e27f5a47a5bc50403973d768fb', 'e3aaa30624bb48ba958cd94439d5e0aa', 'False', 'False', 'false', 'false', '513328203252', 5, '生康村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328203252', 1, '2021-07-19 12:06:51', NULL, NULL), (33848, '', '仲若村村民委员会', '590e1a05452b4c3b9835872734374386', 'e3aaa30624bb48ba958cd94439d5e0aa', 'False', 'False', 'false', 'false', '513328203356', 5, '仲若村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328203356', 1, '2021-07-19 12:06:52', NULL, NULL), (33849, '', '达瓦贡村村民委员会', '99328cfb47a64ad68b3f45d44cdc70d1', 'e3aaa30624bb48ba958cd94439d5e0aa', 'False', 'False', 'false', 'false', '513328203381', 5, '达瓦贡村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328203381', 1, '2021-07-19 12:06:52', NULL, NULL), (33850, '', '丹果村村民委员会', '2622fe6ff65c4542bfe17b940c92766b', 'e3aaa30624bb48ba958cd94439d5e0aa', 'False', 'False', 'false', 'false', '513328203451', 5, '丹果村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328203451', 1, '2021-07-19 12:06:52', NULL, NULL), (33851, '', '巴瓦村村民委员会', '48d3d2eb16e249d0b3afcac34a71b050', 'e3aaa30624bb48ba958cd94439d5e0aa', 'False', 'False', 'false', 'false', '513328203765', 5, '巴瓦村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328203765', 1, '2021-07-19 12:06:52', NULL, NULL), (33852, '', '巴学底村村民委员会', 'f5e300896c254647b65f1a074312060a', 'e3aaa30624bb48ba958cd94439d5e0aa', 'False', 'False', 'false', 'false', '513328203800', 5, '巴学底村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328203800', 1, '2021-07-19 12:06:52', NULL, NULL), (33853, '', '白日村村民委员会', '76ae46b6c24649b0a414b6d5236ca51b', 'e3aaa30624bb48ba958cd94439d5e0aa', 'False', 'False', 'false', 'false', '513328203804', 5, '白日村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328203804', 1, '2021-07-19 12:06:52', NULL, NULL), (33854, '', '学巴底村村民委员会', '9f1e23e5d65245ceacf55a66002f1f9e', 'e3aaa30624bb48ba958cd94439d5e0aa', 'False', 'False', 'false', 'false', '513328203869', 5, '学巴底村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328203869', 1, '2021-07-19 12:06:52', NULL, NULL), (33855, '', '然达底村村民委员会', 'd657fefaada4409d9087a76ed1cf90bd', 'e3aaa30624bb48ba958cd94439d5e0aa', 'False', 'False', 'false', 'false', '513328203989', 5, '然达底村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328203989', 1, '2021-07-19 12:06:52', NULL, NULL), (33856, '', '贡隆乡', '6a29e52ac71747b0827c3c49789e5833', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328204000', 4, '贡隆乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328204000', 1, '2021-07-19 12:06:52', NULL, NULL), (33857, '', '西启卡村民委员会', '5fb00d88feca413c801149b8189d7db7', '6a29e52ac71747b0827c3c49789e5833', 'False', 'False', 'false', 'false', '513328204090', 5, '西启卡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328204090', 1, '2021-07-19 12:06:52', NULL, NULL), (33858, '', '莫绒隆村民委员会', '76f38fec9d954980adb8017022edeac5', '6a29e52ac71747b0827c3c49789e5833', 'False', 'False', 'false', 'false', '513328204191', 5, '莫绒隆村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328204191', 1, '2021-07-19 12:06:52', NULL, NULL), (33859, '', '夏拉卡村民委员会', '2832dafedb244495a456519f0c4152d2', '6a29e52ac71747b0827c3c49789e5833', 'False', 'False', 'false', 'false', '513328204226', 5, '夏拉卡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328204226', 1, '2021-07-19 12:06:52', NULL, NULL), (33860, '', '学仁多村民委员会', 'f7a4bdab7f0346f8ade1dd2ae9c79f60', '6a29e52ac71747b0827c3c49789e5833', 'False', 'False', 'false', 'false', '513328204510', 5, '学仁多村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328204510', 1, '2021-07-19 12:06:52', NULL, NULL), (33861, '', '堆温果村民委员会', '53c40a0de37f421dafd0419f2ac7e90b', '6a29e52ac71747b0827c3c49789e5833', 'False', 'False', 'false', 'false', '513328204647', 5, '堆温果村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328204647', 1, '2021-07-19 12:06:52', NULL, NULL), (33862, '', '麦勒达村民委员会', 'ce914ae2152440379b1171358b94b4aa', '6a29e52ac71747b0827c3c49789e5833', 'False', 'False', 'false', 'false', '513328204704', 5, '麦勒达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328204704', 1, '2021-07-19 12:06:52', NULL, NULL), (33863, '', '钦卡村民委员会', 'b07ce65f80ba420c91c39989942accb3', '6a29e52ac71747b0827c3c49789e5833', 'False', 'False', 'false', 'false', '513328204851', 5, '钦卡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328204851', 1, '2021-07-19 12:06:52', NULL, NULL), (33864, '', '达合村民委员会', '43a3b13d66c142488811b2c60dc32fcc', '6a29e52ac71747b0827c3c49789e5833', 'False', 'False', 'false', 'false', '513328204936', 5, '达合村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328204936', 1, '2021-07-19 12:06:53', NULL, NULL), (33865, '', '扎科乡', '209e111faa024e3a8ef5cf472cde7d8d', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328205000', 4, '扎科乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328205000', 1, '2021-07-19 12:06:53', NULL, NULL), (33866, '', '地龙村民委员会', 'dd8aa71d2f43479584eece303fb9d8d2', '209e111faa024e3a8ef5cf472cde7d8d', 'False', 'False', 'false', 'false', '513328205237', 5, '地龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328205237', 1, '2021-07-19 12:06:53', NULL, NULL), (33867, '', '安达村民委员会', '4c86ac0597ca4b319bdc9b8e44ff84cd', '209e111faa024e3a8ef5cf472cde7d8d', 'False', 'False', 'false', 'false', '513328205262', 5, '安达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328205262', 1, '2021-07-19 12:06:53', NULL, NULL), (33868, '', '俄拉村民委员会', '36c4786a9fbc4510bbf795c1d397a68f', '209e111faa024e3a8ef5cf472cde7d8d', 'False', 'False', 'false', 'false', '513328205309', 5, '俄拉村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328205309', 1, '2021-07-19 12:06:53', NULL, NULL), (33869, '', '查衣村民委员会', '9b79fbca71514c77b0e0aa35040635f0', '209e111faa024e3a8ef5cf472cde7d8d', 'False', 'False', 'false', 'false', '513328205345', 5, '查衣村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328205345', 1, '2021-07-19 12:06:53', NULL, NULL), (33870, '', '银达村民委员会', 'be8a8716f9654dec88a4496924f78c1c', '209e111faa024e3a8ef5cf472cde7d8d', 'False', 'False', 'false', 'false', '513328205437', 5, '银达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328205437', 1, '2021-07-19 12:06:53', NULL, NULL), (33871, '', '查多村民委员会', '47bfc5ca4b3a4704b1c7f9d748b216c6', '209e111faa024e3a8ef5cf472cde7d8d', 'False', 'False', 'false', 'false', '513328205451', 5, '查多村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328205451', 1, '2021-07-19 12:06:53', NULL, NULL), (33872, '', '生达村民委员会', '1026209aa2954faba2a34049f84cd032', '209e111faa024e3a8ef5cf472cde7d8d', 'False', 'False', 'false', 'false', '513328205478', 5, '生达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328205478', 1, '2021-07-19 12:06:53', NULL, NULL), (33873, '', '大巴卡村民委员会', '1862d6d503c945e5a7543efe398df53a', '209e111faa024e3a8ef5cf472cde7d8d', 'False', 'False', 'false', 'false', '513328205492', 5, '大巴卡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328205492', 1, '2021-07-19 12:06:53', NULL, NULL), (33874, '', '协旦达村民委员会', '2557a07d86a04ce28914bfe50beddc6e', '209e111faa024e3a8ef5cf472cde7d8d', 'False', 'False', 'false', 'false', '513328205662', 5, '协旦达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328205662', 1, '2021-07-19 12:06:53', NULL, NULL), (33875, '', '协巴村民委员会', '0c6f3bd4b3a943bc84aba90b6ce7a3d5', '209e111faa024e3a8ef5cf472cde7d8d', 'False', 'False', 'false', 'false', '513328205685', 5, '协巴村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328205685', 1, '2021-07-19 12:06:53', NULL, NULL), (33876, '', '麦玉隆村民委员会', 'ee31f6aeb64a4b08ac14bf3e0970b285', '209e111faa024e3a8ef5cf472cde7d8d', 'False', 'False', 'false', 'false', '513328205712', 5, '麦玉隆村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328205712', 1, '2021-07-19 12:06:53', NULL, NULL), (33877, '', '曲多村民委员会', '65224b1cf29544599853dfd736fa4ff9', '209e111faa024e3a8ef5cf472cde7d8d', 'False', 'False', 'false', 'false', '513328205823', 5, '曲多村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328205823', 1, '2021-07-19 12:06:53', NULL, NULL), (33878, '', '仲麦村民委员会', '8a12a96809304b66995f380f41246f0a', '209e111faa024e3a8ef5cf472cde7d8d', 'False', 'False', 'false', 'false', '513328205834', 5, '仲麦村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328205834', 1, '2021-07-19 12:06:53', NULL, NULL), (33879, '', '海拉村民委员会', '9f2df4ed99d144feae2581e90512dd48', '209e111faa024e3a8ef5cf472cde7d8d', 'False', 'False', 'false', 'false', '513328205854', 5, '海拉村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328205854', 1, '2021-07-19 12:06:54', NULL, NULL), (33880, '', '青尼村民委员会', '7eb22817808d4bb8bc51a2b27c62ac62', '209e111faa024e3a8ef5cf472cde7d8d', 'False', 'False', 'false', 'false', '513328205855', 5, '青尼村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328205855', 1, '2021-07-19 12:06:54', NULL, NULL), (33881, '', '昔色乡', '83950490ab7447bfaf53a4f950a19284', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328207000', 4, '昔色乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328207000', 1, '2021-07-19 12:06:54', NULL, NULL), (33882, '', '洛夏村民委员会', '66482521a0104814883751ee73f4b285', '83950490ab7447bfaf53a4f950a19284', 'False', 'False', 'false', 'false', '513328207015', 5, '洛夏村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328207015', 1, '2021-07-19 12:06:54', NULL, NULL), (33883, '', '色别村民委员会', 'b8654a516cf045fa9b3394ee112dfe2c', '83950490ab7447bfaf53a4f950a19284', 'False', 'False', 'false', 'false', '513328207086', 5, '色别村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328207086', 1, '2021-07-19 12:06:54', NULL, NULL), (33884, '', '昔色上村民委员会', 'a39dba30661441c58cb997522e070b4f', '83950490ab7447bfaf53a4f950a19284', 'False', 'False', 'false', 'false', '513328207099', 5, '昔色上村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328207099', 1, '2021-07-19 12:06:54', NULL, NULL), (33885, '', '亚龙村民委员会', 'e9c71a8a43ef46f2b3f56d3a42a17e7c', '83950490ab7447bfaf53a4f950a19284', 'False', 'False', 'false', 'false', '513328207160', 5, '亚龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328207160', 1, '2021-07-19 12:06:54', NULL, NULL), (33886, '', '格夏村民委员会', '18ced7114dca41008ccb7521e75413bd', '83950490ab7447bfaf53a4f950a19284', 'False', 'False', 'false', 'false', '513328207350', 5, '格夏村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328207350', 1, '2021-07-19 12:06:54', NULL, NULL), (33887, '', '西松隆村民委员会', 'af5d9a6eb9da49fda5fd04408744b2c2', '83950490ab7447bfaf53a4f950a19284', 'False', 'False', 'false', 'false', '513328207430', 5, '西松隆村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328207430', 1, '2021-07-19 12:06:54', NULL, NULL), (33888, '', '仁达村民委员会', '026828ed6665497abc762fd6567f1218', '83950490ab7447bfaf53a4f950a19284', 'False', 'False', 'false', 'false', '513328207525', 5, '仁达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328207525', 1, '2021-07-19 12:06:54', NULL, NULL), (33889, '', '昔色下村民委员会', '3ffad890cad34e9887190f697ca88182', '83950490ab7447bfaf53a4f950a19284', 'False', 'False', 'false', 'false', '513328207642', 5, '昔色下村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328207642', 1, '2021-07-19 12:06:54', NULL, NULL), (33890, '', '哈旦达村民委员会', 'd80486f1a45b49bba5233dc4d12e3ca7', '83950490ab7447bfaf53a4f950a19284', 'False', 'False', 'false', 'false', '513328207730', 5, '哈旦达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328207730', 1, '2021-07-19 12:06:54', NULL, NULL), (33891, '', '呷达村民委员会', '62639e1a0f8c4493b606cc3d10e5bafb', '83950490ab7447bfaf53a4f950a19284', 'False', 'False', 'false', 'false', '513328207787', 5, '呷达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328207787', 1, '2021-07-19 12:06:54', NULL, NULL), (33892, '', '昔色中村民委员会', 'db1baf38345640e9aef4d681cb91d87a', '83950490ab7447bfaf53a4f950a19284', 'False', 'False', 'false', 'false', '513328207798', 5, '昔色中村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328207798', 1, '2021-07-19 12:06:54', NULL, NULL), (33893, '', '青沙村民委员会', '0a8d45d07e76456f9829a88846d348ae', '83950490ab7447bfaf53a4f950a19284', 'False', 'False', 'false', 'false', '513328207929', 5, '青沙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328207929', 1, '2021-07-19 12:06:54', NULL, NULL), (33894, '', '阿然隆村民委员会', 'f6b30afc7b2e40feb6e2a75144863285', '83950490ab7447bfaf53a4f950a19284', 'False', 'False', 'false', 'false', '513328207948', 5, '阿然隆村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328207948', 1, '2021-07-19 12:06:54', NULL, NULL), (33895, '', '卡攻乡', '7645f333e1104712bbb831df3563294f', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328208000', 4, '卡攻乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328208000', 1, '2021-07-19 12:06:55', NULL, NULL), (33896, '', '岔拉村民委员会', 'b3016595a12442228f67221f7d0bd195', '7645f333e1104712bbb831df3563294f', 'False', 'False', 'false', 'false', '513328208033', 5, '岔拉村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328208033', 1, '2021-07-19 12:06:55', NULL, NULL), (33897, '', '格沙下村民委员会', 'a9f7a97e0434459999dc6db52df5acdc', '7645f333e1104712bbb831df3563294f', 'False', 'False', 'false', 'false', '513328208306', 5, '格沙下村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328208306', 1, '2021-07-19 12:06:55', NULL, NULL), (33898, '', '仲穷村民委员会', '662fdda979d34b66bbd17b392d372c51', '7645f333e1104712bbb831df3563294f', 'False', 'False', 'false', 'false', '513328208309', 5, '仲穷村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328208309', 1, '2021-07-19 12:06:55', NULL, NULL), (33899, '', '格沙上村民委员会', '48ee0cd4037649639a1c4f5b71f7e4bf', '7645f333e1104712bbb831df3563294f', 'False', 'False', 'false', 'false', '513328208319', 5, '格沙上村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328208319', 1, '2021-07-19 12:06:55', NULL, NULL), (33900, '', '麻书村民委员会', 'c354ff3faedb43cf950bc1f3916006b9', '7645f333e1104712bbb831df3563294f', 'False', 'False', 'false', 'false', '513328208373', 5, '麻书村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328208373', 1, '2021-07-19 12:06:55', NULL, NULL), (33901, '', '安西村民委员会', '759fc5bb7f574a0088c58eaf5aebdaa0', '7645f333e1104712bbb831df3563294f', 'False', 'False', 'false', 'false', '513328208375', 5, '安西村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328208375', 1, '2021-07-19 12:06:55', NULL, NULL), (33902, '', '庄果村民委员会', '82591cd9d10e4391b3b168dafb224a00', '7645f333e1104712bbb831df3563294f', 'False', 'False', 'false', 'false', '513328208384', 5, '庄果村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328208384', 1, '2021-07-19 12:06:55', NULL, NULL), (33903, '', '莫衣村民委员会', '3e8ca250a55e4e3490c1edebcb3c047f', '7645f333e1104712bbb831df3563294f', 'False', 'False', 'false', 'false', '513328208472', 5, '莫衣村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328208472', 1, '2021-07-19 12:06:55', NULL, NULL), (33904, '', '浪子村民委员会', '8318b5742ca748239666b85f73f79235', '7645f333e1104712bbb831df3563294f', 'False', 'False', 'false', 'false', '513328208812', 5, '浪子村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328208812', 1, '2021-07-19 12:06:55', NULL, NULL), (33905, '', '亚书村民委员会', 'f2bd85ef8e934f24a8ebcd9fda90e7f4', '7645f333e1104712bbb831df3563294f', 'False', 'False', 'false', 'false', '513328208982', 5, '亚书村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328208982', 1, '2021-07-19 12:06:55', NULL, NULL), (33906, '', '仁果乡', '7f8b96c3e5fd4341a2bc81c31e144ee2', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328209000', 4, '仁果乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328209000', 1, '2021-07-19 12:06:55', NULL, NULL), (33907, '', '列西村村民委会', 'c0658639515b47c48d15f70e1b584cf3', '7f8b96c3e5fd4341a2bc81c31e144ee2', 'False', 'False', 'false', 'false', '513328209124', 5, '列西村村民委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328209124', 1, '2021-07-19 12:06:55', NULL, NULL), (33908, '', '仁果下村村民委员会', '3a8fc1c993be48d29e7f8008c0ac7c97', '7f8b96c3e5fd4341a2bc81c31e144ee2', 'False', 'False', 'false', 'false', '513328209310', 5, '仁果下村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328209310', 1, '2021-07-19 12:06:55', NULL, NULL), (33909, '', '吾中村村民委员会', '8839310ea570461caffef2a26a27aac1', '7f8b96c3e5fd4341a2bc81c31e144ee2', 'False', 'False', 'false', 'false', '513328209312', 5, '吾中村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328209312', 1, '2021-07-19 12:06:55', NULL, NULL), (33910, '', '俄多村村委会', '22cd2927025b4435acf90ce58c7ca29f', '7f8b96c3e5fd4341a2bc81c31e144ee2', 'False', 'False', 'false', 'false', '513328209478', 5, '俄多村村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328209478', 1, '2021-07-19 12:06:56', NULL, NULL), (33911, '', '仁果上村村民委员会', '9a8da187532a4f268d89c49924a5259c', '7f8b96c3e5fd4341a2bc81c31e144ee2', 'False', 'False', 'false', 'false', '513328209606', 5, '仁果上村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328209606', 1, '2021-07-19 12:06:56', NULL, NULL), (33912, '', '拉尼村村民委员会', 'a2607214635f4d82a43bbbca2a581b9d', '7f8b96c3e5fd4341a2bc81c31e144ee2', 'False', 'False', 'false', 'false', '513328209659', 5, '拉尼村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328209659', 1, '2021-07-19 12:06:56', NULL, NULL), (33913, '', '桑都村村民委员会', '7b3256a1724f4250aaedd974c0234a3d', '7f8b96c3e5fd4341a2bc81c31e144ee2', 'False', 'False', 'false', 'false', '513328209760', 5, '桑都村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328209760', 1, '2021-07-19 12:06:56', NULL, NULL), (33914, '', '洛拉村村民委员会', 'ac2da65a785742bd833d8f04f4e2cf99', '7f8b96c3e5fd4341a2bc81c31e144ee2', 'False', 'False', 'false', 'false', '513328209965', 5, '洛拉村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328209965', 1, '2021-07-19 12:06:56', NULL, NULL), (33915, '', '拖坝乡', '97e066159a2c4369825c3dae5b037fa6', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328210000', 4, '拖坝乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328210000', 1, '2021-07-19 12:06:56', NULL, NULL), (33916, '', '卡呷村民委员会', '8b37e2eac85244838100bc0986d4033f', '97e066159a2c4369825c3dae5b037fa6', 'False', 'False', 'false', 'false', '513328210005', 5, '卡呷村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328210005', 1, '2021-07-19 12:06:56', NULL, NULL), (33917, '', '拖坝村村民委员会', 'b80b8cd7e65c4ac2a363e91607afae6d', '97e066159a2c4369825c3dae5b037fa6', 'False', 'False', 'false', 'false', '513328210124', 5, '拖坝村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328210124', 1, '2021-07-19 12:06:56', NULL, NULL), (33918, '', '拉戈底村民委员会', 'bbd2993d4bde4f3bb02102870196c624', '97e066159a2c4369825c3dae5b037fa6', 'False', 'False', 'false', 'false', '513328210151', 5, '拉戈底村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328210151', 1, '2021-07-19 12:06:56', NULL, NULL), (33919, '', '普衣隆村民委员会', 'dbda22c9dc474fb0816e11766e25d442', '97e066159a2c4369825c3dae5b037fa6', 'False', 'False', 'false', 'false', '513328210313', 5, '普衣隆村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328210313', 1, '2021-07-19 12:06:56', NULL, NULL), (33920, '', '扎来村民委员会', '08fe8339e22a476aa03957dadf9f6105', '97e066159a2c4369825c3dae5b037fa6', 'False', 'False', 'false', 'false', '513328210651', 5, '扎来村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328210651', 1, '2021-07-19 12:06:56', NULL, NULL), (33921, '', '西泥村民委员会', '384bbdcbb9c64a3c9f30586fe6834411', '97e066159a2c4369825c3dae5b037fa6', 'False', 'False', 'false', 'false', '513328210728', 5, '西泥村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328210728', 1, '2021-07-19 12:06:56', NULL, NULL), (33922, '', '楚洛村民委员会', 'ea8bf70abcd04b41afb5f677e918d7c5', '97e066159a2c4369825c3dae5b037fa6', 'False', 'False', 'false', 'false', '513328210730', 5, '楚洛村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328210730', 1, '2021-07-19 12:06:56', NULL, NULL), (33923, '', '移民扶贫新村村民委员会', 'd1cefc336a544d759b743ddec355910b', '97e066159a2c4369825c3dae5b037fa6', 'False', 'False', 'false', 'false', '513328210738', 5, '移民扶贫新村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328210738', 1, '2021-07-19 12:06:56', NULL, NULL), (33924, '', '曲卡郎村民委员会', 'c42bd50df0614c30894100f7ac0005d1', '97e066159a2c4369825c3dae5b037fa6', 'False', 'False', 'false', 'false', '513328210850', 5, '曲卡郎村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328210850', 1, '2021-07-19 12:06:57', NULL, NULL), (33925, '', '庭卡乡', 'dd3744af2f7e4be9904c4be1f856a046', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328212000', 4, '庭卡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328212000', 1, '2021-07-19 12:06:57', NULL, NULL), (33926, '', '觉柯隆村民委员会', 'd598d9962d7a4e8aaea4ed1e05954a24', 'dd3744af2f7e4be9904c4be1f856a046', 'False', 'False', 'false', 'false', '513328212024', 5, '觉柯隆村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328212024', 1, '2021-07-19 12:06:57', NULL, NULL), (33927, '', '斯兰达村民委员会', 'd604ed845fb545f08b3ced26ca2f7f9a', 'dd3744af2f7e4be9904c4be1f856a046', 'False', 'False', 'false', 'false', '513328212126', 5, '斯兰达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328212126', 1, '2021-07-19 12:06:57', NULL, NULL), (33928, '', '庭卡村民委员会', '9fca23fbe3264092a9c0c7faee1bdee6', 'dd3744af2f7e4be9904c4be1f856a046', 'False', 'False', 'false', 'false', '513328212247', 5, '庭卡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328212247', 1, '2021-07-19 12:06:57', NULL, NULL), (33929, '', '洛戈村民委员会', 'ff46b221e87b4769a3cb4a6e8a320d6a', 'dd3744af2f7e4be9904c4be1f856a046', 'False', 'False', 'false', 'false', '513328212337', 5, '洛戈村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328212337', 1, '2021-07-19 12:06:57', NULL, NULL), (33930, '', '苦绒村民委员会', 'd2fb491a37a946d09ca073e82bf7f7e4', 'dd3744af2f7e4be9904c4be1f856a046', 'False', 'False', 'false', 'false', '513328212559', 5, '苦绒村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328212559', 1, '2021-07-19 12:06:57', NULL, NULL), (33931, '', '拉西村民委员会', 'b76485ab16d84b509dd608b262324062', 'dd3744af2f7e4be9904c4be1f856a046', 'False', 'False', 'false', 'false', '513328212922', 5, '拉西村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328212922', 1, '2021-07-19 12:06:57', NULL, NULL), (33932, '', '格拖村民委员会', '9f3a81516fe44fc59b802fae19990e27', 'dd3744af2f7e4be9904c4be1f856a046', 'False', 'False', 'false', 'false', '513328212954', 5, '格拖村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328212954', 1, '2021-07-19 12:06:57', NULL, NULL), (33933, '', '下雄乡', 'bb8db9b0ccb645458b46286cc17fc1f4', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328213000', 4, '下雄乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328213000', 1, '2021-07-19 12:06:57', NULL, NULL), (33934, '', '阿德村民委员会', '9e780da3535a4c79a6b4a8f1f4607bed', 'bb8db9b0ccb645458b46286cc17fc1f4', 'False', 'False', 'false', 'false', '513328213018', 5, '阿德村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328213018', 1, '2021-07-19 12:06:57', NULL, NULL), (33935, '', '德西村民委员会', '8ad7da6163c44ab6b57855e98a49b453', 'bb8db9b0ccb645458b46286cc17fc1f4', 'False', 'False', 'false', 'false', '513328213217', 5, '德西村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328213217', 1, '2021-07-19 12:06:57', NULL, NULL), (33936, '', '打本一队村民委员会', '52fdff6d89384521850c12e6853c5189', 'bb8db9b0ccb645458b46286cc17fc1f4', 'False', 'False', 'false', 'false', '513328213305', 5, '打本一队村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328213305', 1, '2021-07-19 12:06:58', NULL, NULL), (33937, '', '然洛村民委员会', '42c827b78bca405fb127d815411ff8a5', 'bb8db9b0ccb645458b46286cc17fc1f4', 'False', 'False', 'false', 'false', '513328213392', 5, '然洛村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328213392', 1, '2021-07-19 12:06:58', NULL, NULL), (33938, '', '则色村民委员会', 'de1ec4c1a1ae4e1593db79a1c5ff6168', 'bb8db9b0ccb645458b46286cc17fc1f4', 'False', 'False', 'false', 'false', '513328213437', 5, '则色村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328213437', 1, '2021-07-19 12:06:58', NULL, NULL), (33939, '', '打本二队村民委员会', '726da5715eac42e5abeec3e338b8c69f', 'bb8db9b0ccb645458b46286cc17fc1f4', 'False', 'False', 'false', 'false', '513328213472', 5, '打本二队村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328213472', 1, '2021-07-19 12:06:58', NULL, NULL), (33940, '', '德且二队村民委员会', '8edbc70a599b4df5b6db174e5b0038d4', 'bb8db9b0ccb645458b46286cc17fc1f4', 'False', 'False', 'false', 'false', '513328213558', 5, '德且二队村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328213558', 1, '2021-07-19 12:06:58', NULL, NULL), (33941, '', '德且一队村民委员会', '177aa90af8954633a6a42b2b5d0f9e24', 'bb8db9b0ccb645458b46286cc17fc1f4', 'False', 'False', 'false', 'false', '513328213649', 5, '德且一队村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328213649', 1, '2021-07-19 12:06:58', NULL, NULL), (33942, '', '下雄村民委员会', '13b8e0fd4f2a40a8a33de3428ea980f8', 'bb8db9b0ccb645458b46286cc17fc1f4', 'False', 'False', 'false', 'false', '513328213860', 5, '下雄村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328213860', 1, '2021-07-19 12:06:58', NULL, NULL), (33943, '', '四通达乡', '47bdd9a24b704627ac9fde58a491ecc5', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328214000', 4, '四通达乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328214000', 1, '2021-07-19 12:06:58', NULL, NULL), (33944, '', '支拉村民委员会', 'cd4dbde1d8ee4ee8bf2dce2c23c17701', '47bdd9a24b704627ac9fde58a491ecc5', 'False', 'False', 'false', 'false', '513328214127', 5, '支拉村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328214127', 1, '2021-07-19 12:06:58', NULL, NULL), (33945, '', '瓦拉达村民委员会', 'b2216ac8d6b144478ac344ef41ed44e6', '47bdd9a24b704627ac9fde58a491ecc5', 'False', 'False', 'false', 'false', '513328214228', 5, '瓦拉达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328214228', 1, '2021-07-19 12:06:58', NULL, NULL), (33946, '', '塔拖村民委员会', '10328f0a3429440789ed6ff233ee918e', '47bdd9a24b704627ac9fde58a491ecc5', 'False', 'False', 'false', 'false', '513328214440', 5, '塔拖村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328214440', 1, '2021-07-19 12:06:58', NULL, NULL), (33947, '', '四通达村民委员会', 'ed8cd228a1de4157ba3b22953dc5f01a', '47bdd9a24b704627ac9fde58a491ecc5', 'False', 'False', 'false', 'false', '513328214583', 5, '四通达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328214583', 1, '2021-07-19 12:06:58', NULL, NULL), (33948, '', '日都村民委员会', '613f0db5b9a24d47a76024eaf4add424', '47bdd9a24b704627ac9fde58a491ecc5', 'False', 'False', 'false', 'false', '513328214664', 5, '日都村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328214664', 1, '2021-07-19 12:06:58', NULL, NULL), (33949, '', '卡苏村民委员会', 'a3c5027f4441424dabcbfc85d1541585', '47bdd9a24b704627ac9fde58a491ecc5', 'False', 'False', 'false', 'false', '513328214703', 5, '卡苏村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328214703', 1, '2021-07-19 12:06:59', NULL, NULL), (33950, '', '扎恩村民委员会', 'f3e1a57586394417b0ec306310d356e3', '47bdd9a24b704627ac9fde58a491ecc5', 'False', 'False', 'false', 'false', '513328214733', 5, '扎恩村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328214733', 1, '2021-07-19 12:06:59', NULL, NULL), (33951, '', '棒多村民委员会', '2d09974aca084e32976a2d1a80d16edc', '47bdd9a24b704627ac9fde58a491ecc5', 'False', 'False', 'false', 'false', '513328214749', 5, '棒多村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328214749', 1, '2021-07-19 12:06:59', NULL, NULL), (33952, '', '泥赤村民委员会', 'c1bba0e2a6894a12a9af2b711b93cf65', '47bdd9a24b704627ac9fde58a491ecc5', 'False', 'False', 'false', 'false', '513328214812', 5, '泥赤村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328214812', 1, '2021-07-19 12:06:59', NULL, NULL), (33953, '', '则衣村民委员会', '2fada70a0d354588a1da1ea4a752a65f', '47bdd9a24b704627ac9fde58a491ecc5', 'False', 'False', 'false', 'false', '513328214978', 5, '则衣村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328214978', 1, '2021-07-19 12:06:59', NULL, NULL), (33954, '', '夺多乡', 'd351361a6f1c43f59d67c2dbc6d168c2', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328215000', 4, '夺多乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328215000', 1, '2021-07-19 12:06:59', NULL, NULL), (33955, '', '夺多村民委员会', 'facebd735aba4e8daecf8fb2ca89b318', 'd351361a6f1c43f59d67c2dbc6d168c2', 'False', 'False', 'false', 'false', '513328215458', 5, '夺多村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328215458', 1, '2021-07-19 12:06:59', NULL, NULL), (33956, '', '牛日村民委员会', '02c3291a02cc477b935805ef5199a132', 'd351361a6f1c43f59d67c2dbc6d168c2', 'False', 'False', 'false', 'false', '513328215470', 5, '牛日村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328215470', 1, '2021-07-19 12:06:59', NULL, NULL), (33957, '', '汪达村民委员会', 'bbb9d78af23b44718304bbf76acc802f', 'd351361a6f1c43f59d67c2dbc6d168c2', 'False', 'False', 'false', 'false', '513328215487', 5, '汪达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328215487', 1, '2021-07-19 12:06:59', NULL, NULL), (33958, '', '拉多村民委员会', '4844005e344143f896bfe93158566072', 'd351361a6f1c43f59d67c2dbc6d168c2', 'False', 'False', 'false', 'false', '513328215588', 5, '拉多村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328215588', 1, '2021-07-19 12:06:59', NULL, NULL), (33959, '', '瓦达村民委员会', '41b6d69881854e1d9f1c6b39f18cc2b4', 'd351361a6f1c43f59d67c2dbc6d168c2', 'False', 'False', 'false', 'false', '513328215735', 5, '瓦达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328215735', 1, '2021-07-19 12:06:59', NULL, NULL), (33960, '', '果木村民委员会', 'f32558df47394713bce30cb20aa602e4', 'd351361a6f1c43f59d67c2dbc6d168c2', 'False', 'False', 'false', 'false', '513328215770', 5, '果木村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328215770', 1, '2021-07-19 12:06:59', NULL, NULL), (33961, '', '泥柯乡', '922170ac7acd4ff28cbffc2b4438d051', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328216000', 4, '泥柯乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328216000', 1, '2021-07-19 12:06:59', NULL, NULL), (33962, '', '彭达村民委员会', '9a1ff15727ee4c20ade8ef400f5a0b16', '922170ac7acd4ff28cbffc2b4438d051', 'False', 'False', 'false', 'false', '513328216134', 5, '彭达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328216134', 1, '2021-07-19 12:06:59', NULL, NULL), (33963, '', '夺衣村民委员会', 'b5138a25fa834519b41746f0153c5426', '922170ac7acd4ff28cbffc2b4438d051', 'False', 'False', 'false', 'false', '513328216141', 5, '夺衣村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328216141', 1, '2021-07-19 12:06:59', NULL, NULL), (33964, '', '章达村民委员会', '28401d43990941d4b0ca7c22f141d1de', '922170ac7acd4ff28cbffc2b4438d051', 'False', 'False', 'false', 'false', '513328216208', 5, '章达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328216208', 1, '2021-07-19 12:06:59', NULL, NULL), (33965, '', '俄威村民委员会', 'f60c2ec02fac4576a5392605681b5590', '922170ac7acd4ff28cbffc2b4438d051', 'False', 'False', 'false', 'false', '513328216379', 5, '俄威村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328216379', 1, '2021-07-19 12:06:59', NULL, NULL), (33966, '', '昌谷村民委员会', 'd4b005a503804299901014b5e46ed7a9', '922170ac7acd4ff28cbffc2b4438d051', 'False', 'False', 'false', 'false', '513328216498', 5, '昌谷村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328216498', 1, '2021-07-19 12:07:00', NULL, NULL), (33967, '', '仁达村民委员会', 'cbe500323f7346cfa9234d31e3977e83', '922170ac7acd4ff28cbffc2b4438d051', 'False', 'False', 'false', 'false', '513328216874', 5, '仁达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328216874', 1, '2021-07-19 12:07:00', NULL, NULL), (33968, '', '布日邓措村民委员会', 'e829b3c83401466995f12d7fd6f390ed', '922170ac7acd4ff28cbffc2b4438d051', 'False', 'False', 'false', 'false', '513328216985', 5, '布日邓措村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328216985', 1, '2021-07-19 12:07:00', NULL, NULL), (33969, '', '茶扎乡', 'd6d7ae45865c44058e5d1ff31d31da2c', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328217000', 4, '茶扎乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328217000', 1, '2021-07-19 12:07:00', NULL, NULL), (33970, '', '戈科村村民委员会', '2a5455165d454a948d6bb6390c15d4fa', 'd6d7ae45865c44058e5d1ff31d31da2c', 'False', 'False', 'false', 'false', '513328217222', 5, '戈科村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328217222', 1, '2021-07-19 12:07:00', NULL, NULL), (33971, '', '银多村村民委员会', 'a6d87ca3fe3245b08c92eae17bda6419', 'd6d7ae45865c44058e5d1ff31d31da2c', 'False', 'False', 'false', 'false', '513328217291', 5, '银多村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328217291', 1, '2021-07-19 12:07:00', NULL, NULL), (33972, '', '色须塘村村民委员会', 'b281f0c6d4e84156975146272cdd81d9', 'd6d7ae45865c44058e5d1ff31d31da2c', 'False', 'False', 'false', 'false', '513328217646', 5, '色须塘村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328217646', 1, '2021-07-19 12:07:00', NULL, NULL), (33973, '', '雅绒村村民委员会', 'db512402267e40deb267bfa64b7a6a8a', 'd6d7ae45865c44058e5d1ff31d31da2c', 'False', 'False', 'false', 'false', '513328217825', 5, '雅绒村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328217825', 1, '2021-07-19 12:07:00', NULL, NULL), (33974, '', '木通二村村民委员会', '97f8d5e3be294bbdb0dee9b2d47af469', 'd6d7ae45865c44058e5d1ff31d31da2c', 'False', 'False', 'false', 'false', '513328217849', 5, '木通二村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328217849', 1, '2021-07-19 12:07:00', NULL, NULL), (33975, '', '夺呷村村民委员会', 'dcaec9928bc54abfa8d316d8e2727e8d', 'd6d7ae45865c44058e5d1ff31d31da2c', 'False', 'False', 'false', 'false', '513328217882', 5, '夺呷村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328217882', 1, '2021-07-19 12:07:00', NULL, NULL), (33976, '', '木通一村村民委员会', '1d20d019d07842a29751e5102dc21c98', 'd6d7ae45865c44058e5d1ff31d31da2c', 'False', 'False', 'false', 'false', '513328217900', 5, '木通一村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328217900', 1, '2021-07-19 12:07:00', NULL, NULL), (33977, '', '大德乡', '2922f596ee0247619bd59d3251dc52db', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328218000', 4, '大德乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328218000', 1, '2021-07-19 12:07:00', NULL, NULL), (33978, '', '甲绒村民委员会', '59b4249872d44e679cca6cf350aae7e8', '2922f596ee0247619bd59d3251dc52db', 'False', 'False', 'false', 'false', '513328218056', 5, '甲绒村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328218056', 1, '2021-07-19 12:07:00', NULL, NULL), (33979, '', '共玛村民委员会', 'fd064aaca0934c1ab18a941796e377d0', '2922f596ee0247619bd59d3251dc52db', 'False', 'False', 'false', 'false', '513328218078', 5, '共玛村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328218078', 1, '2021-07-19 12:07:00', NULL, NULL), (33980, '', '阿加一村民委员会', 'c6ba966abe5b40c792585f0c3d20805c', '2922f596ee0247619bd59d3251dc52db', 'False', 'False', 'false', 'false', '513328218290', 5, '阿加一村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328218290', 1, '2021-07-19 12:07:00', NULL, NULL), (33981, '', '打隆村民委员会', 'b8df05747c13411292f47c8b84be20db', '2922f596ee0247619bd59d3251dc52db', 'False', 'False', 'false', 'false', '513328218713', 5, '打隆村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328218713', 1, '2021-07-19 12:07:00', NULL, NULL), (33982, '', '阿加二村民委员会', '9be3aa4b28b644c094d3db62ca5a23aa', '2922f596ee0247619bd59d3251dc52db', 'False', 'False', 'false', 'false', '513328218747', 5, '阿加二村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328218747', 1, '2021-07-19 12:07:00', NULL, NULL), (33983, '', '曲隆村民委员会', '3cf5d58015ab4e4c99045ba00f415594', '2922f596ee0247619bd59d3251dc52db', 'False', 'False', 'false', 'false', '513328218808', 5, '曲隆村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328218808', 1, '2021-07-19 12:07:01', NULL, NULL), (33984, '', '拉绒村民委员会', 'd30f0abc522a421aa55d72ff1d92054f', '2922f596ee0247619bd59d3251dc52db', 'False', 'False', 'false', 'false', '513328218880', 5, '拉绒村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328218880', 1, '2021-07-19 12:07:01', NULL, NULL), (33985, '', '土霍村民委员会', '0f347e874b5d47f1beeef5a47b4b54b5', '2922f596ee0247619bd59d3251dc52db', 'False', 'False', 'false', 'false', '513328218898', 5, '土霍村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328218898', 1, '2021-07-19 12:07:01', NULL, NULL), (33986, '', '章隆村民委员会', '1156d112cc954c4cb9cca2a0d8aff484', '2922f596ee0247619bd59d3251dc52db', 'False', 'False', 'false', 'false', '513328218996', 5, '章隆村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328218996', 1, '2021-07-19 12:07:01', NULL, NULL), (33987, '', '卡龙乡', 'dd94e85b22994bd8bd0384f222b56b72', '40b44934c46e4f2490fe2d48814f18d2', 'True', 'True', 'false', 'false', '513328219000', 4, '卡龙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513328219000', 1, '2021-07-19 12:07:01', NULL, NULL), (33988, '', '哈西二村村民委员会', '2b62b4cee1fc43d5809dd8436f71fac9', 'dd94e85b22994bd8bd0384f222b56b72', 'False', 'False', 'false', 'false', '513328219265', 5, '哈西二村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328219265', 1, '2021-07-19 12:07:01', NULL, NULL), (33989, '', '卡龙村民委员会', 'fbc85da320ca4626be9970f02c88e3f0', 'dd94e85b22994bd8bd0384f222b56b72', 'False', 'False', 'false', 'false', '513328219511', 5, '卡龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328219511', 1, '2021-07-19 12:07:01', NULL, NULL), (33990, '', '阿沙二村村民委员会', 'f98fec604d99493398c3f97887a9f532', 'dd94e85b22994bd8bd0384f222b56b72', 'False', 'False', 'false', 'false', '513328219516', 5, '阿沙二村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328219516', 1, '2021-07-19 12:07:01', NULL, NULL), (33991, '', '哈西一村村民委员会', '7e0919b9a35e4f8287c2abce9bc63dfa', 'dd94e85b22994bd8bd0384f222b56b72', 'False', 'False', 'false', 'false', '513328219584', 5, '哈西一村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328219584', 1, '2021-07-19 12:07:01', NULL, NULL), (33992, '', '夺普村民委员会', '2f00959fe9484fadbe659cf86823e08d', 'dd94e85b22994bd8bd0384f222b56b72', 'False', 'False', 'false', 'false', '513328219616', 5, '夺普村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328219616', 1, '2021-07-19 12:07:01', NULL, NULL), (33993, '', '夺绒塘一村村民委员会', 'd98d1b6077bf420b97745f957378472f', 'dd94e85b22994bd8bd0384f222b56b72', 'False', 'False', 'false', 'false', '513328219691', 5, '夺绒塘一村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328219691', 1, '2021-07-19 12:07:01', NULL, NULL), (33994, '', '夺绒塘二村村民委员会', '1749816f55e54c0ea6517766ed099f7d', 'dd94e85b22994bd8bd0384f222b56b72', 'False', 'False', 'false', 'false', '513328219812', 5, '夺绒塘二村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328219812', 1, '2021-07-19 12:07:01', NULL, NULL), (33995, '', '阿沙一村村民委员会', '6a88ca03fd6b45609ed925e40e978803', 'dd94e85b22994bd8bd0384f222b56b72', 'False', 'False', 'false', 'false', '513328219842', 5, '阿沙一村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513328219842', 1, '2021-07-19 12:07:01', NULL, NULL), (33996, '', '色达县', 'b09447e8e7774ceeb3e446f5f92ceb18', '4e0988aa699e46dd9cdf992180c73cd8', 'True', 'True', 'false', 'false', '513333000000', 3, '色达县', 'gzzsdx.sczwfw.gov.cn', 1, '2021-07-19 12:07:02', NULL, NULL), (33997, '', '色柯镇', 'd384438bf41a4f83b675bb147086f9a4', 'b09447e8e7774ceeb3e446f5f92ceb18', 'True', 'True', 'false', 'false', '513333100000', 4, '色柯镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513333100000', 1, '2021-07-19 12:07:02', NULL, NULL), (33998, '', '光明社区', '03342b522dd94672b20a6ede9c8026a8', 'd384438bf41a4f83b675bb147086f9a4', 'False', 'True', 'false', 'false', '513333100017', 5, '光明社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333100017', 1, '2021-07-19 12:07:02', NULL, NULL), (33999, '', '团结社区', 'bfa7148195e142acbd9730146f897465', 'd384438bf41a4f83b675bb147086f9a4', 'False', 'True', 'false', 'false', '513333100064', 5, '团结社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333100064', 1, '2021-07-19 12:07:02', NULL, NULL), (34000, '', '幸福一村', 'f184091c02e34b578155050f7c77bd00', 'd384438bf41a4f83b675bb147086f9a4', 'False', 'True', 'false', 'false', '513333100077', 5, '幸福一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333100077', 1, '2021-07-19 12:07:02', NULL, NULL), (34001, '', '姑咱一村', '49765f27c57948969f23efbc906426e8', 'd384438bf41a4f83b675bb147086f9a4', 'False', 'True', 'false', 'false', '513333100093', 5, '姑咱一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333100093', 1, '2021-07-19 12:07:02', NULL, NULL), (34002, '', '约若二村', 'c63761f3615f433b85694848472b1737', 'd384438bf41a4f83b675bb147086f9a4', 'False', 'True', 'false', 'false', '513333100230', 5, '约若二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333100230', 1, '2021-07-19 12:07:02', NULL, NULL), (34003, '', '吉祥社区', '72f26e7a00644b38af3accb118727847', 'd384438bf41a4f83b675bb147086f9a4', 'False', 'True', 'false', 'false', '513333100358', 5, '吉祥社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333100358', 1, '2021-07-19 12:07:02', NULL, NULL), (34004, '', '解放二村', '26c0c5655cfd481e87459b6cc32ee574', 'd384438bf41a4f83b675bb147086f9a4', 'False', 'True', 'false', 'false', '513333100481', 5, '解放二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333100481', 1, '2021-07-19 12:07:02', NULL, NULL), (34005, '', '姑咱二村', '7f895b2646d54c6484a09138b46e8161', 'd384438bf41a4f83b675bb147086f9a4', 'False', 'True', 'false', 'false', '513333100580', 5, '姑咱二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333100580', 1, '2021-07-19 12:07:02', NULL, NULL), (34006, '', '解放一村', '03f993c7bd7e4881bf7ea3a80b7d290e', 'd384438bf41a4f83b675bb147086f9a4', 'False', 'True', 'false', 'false', '513333100776', 5, '解放一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333100776', 1, '2021-07-19 12:07:02', NULL, NULL), (34007, '', '约若一村', 'e64d1e4cd437459aad5bda106b23607b', 'd384438bf41a4f83b675bb147086f9a4', 'False', 'True', 'false', 'false', '513333100874', 5, '约若一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333100874', 1, '2021-07-19 12:07:02', NULL, NULL), (34008, '', '幸福二村', 'c694d3cccfff49bea62f502959c9d793', 'd384438bf41a4f83b675bb147086f9a4', 'False', 'True', 'false', 'false', '513333100996', 5, '幸福二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333100996', 1, '2021-07-19 12:07:02', NULL, NULL), (34009, '', '安康社区', '5a72581726444920b156763ea3e177a7', 'd384438bf41a4f83b675bb147086f9a4', 'False', 'True', 'false', 'false', '513333100713', 5, '安康社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333100713', 1, '2021-07-19 12:07:02', NULL, NULL), (34010, '', '翁达镇', '739f6569482c40bcb57caeeac30c90c0', 'b09447e8e7774ceeb3e446f5f92ceb18', 'True', 'True', 'false', 'false', '513333101000', 4, '翁达镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513333101000', 1, '2021-07-19 12:07:02', NULL, NULL), (34011, '', '吉日村', '5aea6518fb3343c7b83e86d723b91c4f', '739f6569482c40bcb57caeeac30c90c0', 'False', 'True', 'false', 'false', '513333101011', 5, '吉日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333101011', 1, '2021-07-19 12:07:03', NULL, NULL), (34012, '', '吉沟村', 'df153c2f250e4f348a06414d8db9559c', '739f6569482c40bcb57caeeac30c90c0', 'False', 'True', 'false', 'false', '513333101035', 5, '吉沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333101035', 1, '2021-07-19 12:07:03', NULL, NULL), (34013, '', '旭尔沟村', '213d00891c0144e581e6a22b270848c2', '739f6569482c40bcb57caeeac30c90c0', 'False', 'True', 'false', 'false', '513333101036', 5, '旭尔沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333101036', 1, '2021-07-19 12:07:03', NULL, NULL), (34014, '', '更达村', 'd62726758f204670897bf8506de1a097', '739f6569482c40bcb57caeeac30c90c0', 'False', 'True', 'false', 'false', '513333101041', 5, '更达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333101041', 1, '2021-07-19 12:07:03', NULL, NULL), (34015, '', '明达村', '6ab6c525919b4618bf7a59b5b26faadb', '739f6569482c40bcb57caeeac30c90c0', 'False', 'True', 'false', 'false', '513333101576', 5, '明达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333101576', 1, '2021-07-19 12:07:03', NULL, NULL), (34016, '', '翁达村', '4117c4cb85e04bfd92308e36770d9ffb', '739f6569482c40bcb57caeeac30c90c0', 'False', 'True', 'false', 'false', '513333101581', 5, '翁达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333101581', 1, '2021-07-19 12:07:03', NULL, NULL), (34017, '', '洛若镇', 'ba4dd441bcad487f90436fd422eecb6e', 'b09447e8e7774ceeb3e446f5f92ceb18', 'True', 'True', 'false', 'false', '513333102000', 4, '洛若镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513333102000', 1, '2021-07-19 12:07:03', NULL, NULL), (34018, '', '沙玛村', '82785bd6e4634e399e6aab4f330ad187', 'ba4dd441bcad487f90436fd422eecb6e', 'False', 'True', 'false', 'false', '513333102182', 5, '沙玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333102182', 1, '2021-07-19 12:07:03', NULL, NULL), (34019, '', '瓦各村', '48433731a5c7454f9e16865b1786180b', 'ba4dd441bcad487f90436fd422eecb6e', 'False', 'True', 'false', 'false', '513333102184', 5, '瓦各村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333102184', 1, '2021-07-19 12:07:03', NULL, NULL), (34020, '', '日冉村', '8d77c71f78a948f78718bea636722b1f', 'ba4dd441bcad487f90436fd422eecb6e', 'False', 'True', 'false', 'false', '513333102286', 5, '日冉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333102286', 1, '2021-07-19 12:07:03', NULL, NULL), (34021, '', '扎玛村', 'beaf6564633e4fffa0faba5be538cdad', 'ba4dd441bcad487f90436fd422eecb6e', 'False', 'True', 'false', 'false', '513333102306', 5, '扎玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333102306', 1, '2021-07-19 12:07:03', NULL, NULL), (34022, '', '知青村', 'b2d536560d4942f1b3beee33007dc781', 'ba4dd441bcad487f90436fd422eecb6e', 'False', 'True', 'false', 'false', '513333102338', 5, '知青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333102338', 1, '2021-07-19 12:07:04', NULL, NULL), (34023, '', '上洛若村', '419b9bfaae474ca6bd056ab29b6b1347', 'ba4dd441bcad487f90436fd422eecb6e', 'False', 'True', 'false', 'false', '513333102390', 5, '上洛若村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333102390', 1, '2021-07-19 12:07:04', NULL, NULL), (34024, '', '下洛若村', '7d7ef646cc5e4b8e904da24dfb057eae', 'ba4dd441bcad487f90436fd422eecb6e', 'False', 'True', 'false', 'false', '513333102650', 5, '下洛若村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333102650', 1, '2021-07-19 12:07:04', NULL, NULL), (34025, '', '曲西村', '2270180c51034f2e99b6d2ab2df3feaf', 'ba4dd441bcad487f90436fd422eecb6e', 'False', 'True', 'false', 'false', '513333102941', 5, '曲西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333102941', 1, '2021-07-19 12:07:04', NULL, NULL), (34026, '', '甲修村', 'adabc1e0c5ae4bd192a601e9cf047014', 'ba4dd441bcad487f90436fd422eecb6e', 'False', 'True', 'false', 'false', '513333102954', 5, '甲修村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333102954', 1, '2021-07-19 12:07:04', NULL, NULL), (34027, '', '加西左翼村', '6f013997f89240f995bf6cbaae9b82c9', 'ba4dd441bcad487f90436fd422eecb6e', 'False', 'True', 'false', 'false', '513333102997', 5, '加西左翼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333102997', 1, '2021-07-19 12:07:04', NULL, NULL), (34028, '', '泥朵镇', '817552b718e6479e9e45f11b4bc699a1', 'b09447e8e7774ceeb3e446f5f92ceb18', 'True', 'True', 'false', 'false', '513333103000', 4, '泥朵镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513333103000', 1, '2021-07-19 12:07:04', NULL, NULL), (34029, '', '方仓村', 'ff62236b709644588196ebedf56721a2', '817552b718e6479e9e45f11b4bc699a1', 'False', 'True', 'false', 'false', '513333103335', 5, '方仓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333103335', 1, '2021-07-19 12:07:04', NULL, NULL), (34030, '', '棒须村', 'f6314663760c4b079f6aa12071c497a2', '817552b718e6479e9e45f11b4bc699a1', 'False', 'True', 'false', 'false', '513333103347', 5, '棒须村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333103347', 1, '2021-07-19 12:07:04', NULL, NULL), (34031, '', '克果一村', '16a454725d9b4a62835f7d9ee9a59351', '817552b718e6479e9e45f11b4bc699a1', 'False', 'True', 'false', 'false', '513333103477', 5, '克果一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333103477', 1, '2021-07-19 12:07:04', NULL, NULL), (34032, '', '东然二村', '3689a923b53f48be90dd5d0ecfe75a4e', '817552b718e6479e9e45f11b4bc699a1', 'False', 'True', 'false', 'false', '513333103575', 5, '东然二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333103575', 1, '2021-07-19 12:07:04', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (34033, '', '阿吾拉加村', '46fd5f240c7c4522bd9c5991f427feb6', '817552b718e6479e9e45f11b4bc699a1', 'False', 'True', 'false', 'false', '513333103605', 5, '阿吾拉加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333103605', 1, '2021-07-19 12:07:04', NULL, NULL), (34034, '', '东然一村', 'c378c96fec554f51865103ebc5aeb52a', '817552b718e6479e9e45f11b4bc699a1', 'False', 'True', 'false', 'false', '513333103662', 5, '东然一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333103662', 1, '2021-07-19 12:07:04', NULL, NULL), (34035, '', '克果二村', 'a3389c2c3bf04ca190d2c0206d7467eb', '817552b718e6479e9e45f11b4bc699a1', 'False', 'True', 'false', 'false', '513333103747', 5, '克果二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333103747', 1, '2021-07-19 12:07:05', NULL, NULL), (34036, '', '下若撒村', '9a87807abf3045f1ade4abd3919d4cf4', '817552b718e6479e9e45f11b4bc699a1', 'False', 'True', 'false', 'false', '513333103822', 5, '下若撒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333103822', 1, '2021-07-19 12:07:05', NULL, NULL), (34037, '', '上若撒村', 'a80993fac6284439ab87e6c8cf70ee33', '817552b718e6479e9e45f11b4bc699a1', 'False', 'True', 'false', 'false', '513333103832', 5, '上若撒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333103832', 1, '2021-07-19 12:07:05', NULL, NULL), (34038, '', '中若撒村', '1bf72a7da3cf4a84b38d02eb4c417146', '817552b718e6479e9e45f11b4bc699a1', 'False', 'True', 'false', 'false', '513333103930', 5, '中若撒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333103930', 1, '2021-07-19 12:07:05', NULL, NULL), (34039, '', '格则村', '2dedbdca5eeb432c97542cae386f5bbe', '817552b718e6479e9e45f11b4bc699a1', 'False', 'True', 'false', 'false', '513333103939', 5, '格则村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333103939', 1, '2021-07-19 12:07:05', NULL, NULL), (34040, '', '查哈尔干玛村', '3670d224cbdf4edf903c16714b7fe3e7', '817552b718e6479e9e45f11b4bc699a1', 'False', 'True', 'false', 'false', '513333103969', 5, '查哈尔干玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333103969', 1, '2021-07-19 12:07:05', NULL, NULL), (34041, '', '恰家村', 'c5206b8dc0e742f594e0d347824d7fb4', '817552b718e6479e9e45f11b4bc699a1', 'False', 'True', 'false', 'false', '513333103972', 5, '恰家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333103972', 1, '2021-07-19 12:07:05', NULL, NULL), (34042, '', '克果乡', '72af20e1bd44477f81947d956849c163', 'b09447e8e7774ceeb3e446f5f92ceb18', 'True', 'True', 'false', 'false', '513333201000', 4, '克果乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513333201000', 1, '2021-07-19 12:07:05', NULL, NULL), (34043, '', '泽西二村', 'ead31f0d98e94f6cb3944bd8615a98b7', '72af20e1bd44477f81947d956849c163', 'False', 'True', 'false', 'false', '513333201089', 5, '泽西二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333201089', 1, '2021-07-19 12:07:05', NULL, NULL), (34044, '', '吉日过娃一村', '6cdbdb0fd16d4f148f5bc2fb73405032', '72af20e1bd44477f81947d956849c163', 'False', 'True', 'false', 'false', '513333201355', 5, '吉日过娃一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333201355', 1, '2021-07-19 12:07:05', NULL, NULL), (34045, '', '泽西一村', '824de93080394c3f94074272173e4d45', '72af20e1bd44477f81947d956849c163', 'False', 'True', 'false', 'false', '513333201580', 5, '泽西一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333201580', 1, '2021-07-19 12:07:05', NULL, NULL), (34046, '', '贡却二村', 'bc4cdeb45b6c452283a16fc9757ba2af', '72af20e1bd44477f81947d956849c163', 'False', 'True', 'false', 'false', '513333201624', 5, '贡却二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333201624', 1, '2021-07-19 12:07:05', NULL, NULL), (34047, '', '贡却三村', 'af7ce87f6d4c48e0869e3811f8f6c97a', '72af20e1bd44477f81947d956849c163', 'False', 'True', 'false', 'false', '513333201833', 5, '贡却三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333201833', 1, '2021-07-19 12:07:05', NULL, NULL), (34048, '', '贡却一村', 'ab1ab926a150451289bd908aab7081ed', '72af20e1bd44477f81947d956849c163', 'False', 'True', 'false', 'false', '513333201865', 5, '贡却一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333201865', 1, '2021-07-19 12:07:05', NULL, NULL), (34049, '', '吉日过娃二村', '670955501a0749a297d245757625a00b', '72af20e1bd44477f81947d956849c163', 'False', 'True', 'false', 'false', '513333201903', 5, '吉日过娃二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333201903', 1, '2021-07-19 12:07:05', NULL, NULL), (34050, '', '泽西三村', '127f97743ec34dccac8b850e38c4dabf', '72af20e1bd44477f81947d956849c163', 'False', 'True', 'false', 'false', '513333201980', 5, '泽西三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333201980', 1, '2021-07-19 12:07:05', NULL, NULL), (34051, '', '然充乡', '381b24c213e54ddea2dc9d7b1c5d8157', 'b09447e8e7774ceeb3e446f5f92ceb18', 'True', 'True', 'false', 'false', '513333202000', 4, '然充乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513333202000', 1, '2021-07-19 12:07:06', NULL, NULL), (34052, '', '呷加村', 'a65b1bf5b24148c4acb0215eb1e985ed', '381b24c213e54ddea2dc9d7b1c5d8157', 'False', 'True', 'false', 'false', '513333202007', 5, '呷加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333202007', 1, '2021-07-19 12:07:06', NULL, NULL), (34053, '', '桑桑村', '9e5107ce7fae43e694cf42d6e07e4ab4', '381b24c213e54ddea2dc9d7b1c5d8157', 'False', 'True', 'false', 'false', '513333202080', 5, '桑桑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333202080', 1, '2021-07-19 12:07:06', NULL, NULL), (34054, '', '佐村', 'e35fde1bb82745959a873a06bde35430', '381b24c213e54ddea2dc9d7b1c5d8157', 'False', 'True', 'false', 'false', '513333202157', 5, '佐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333202157', 1, '2021-07-19 12:07:06', NULL, NULL), (34055, '', '查启村', 'bf6b8014e82646cca43ff592c55e5c22', '381b24c213e54ddea2dc9d7b1c5d8157', 'False', 'True', 'false', 'false', '513333202190', 5, '查启村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333202190', 1, '2021-07-19 12:07:06', NULL, NULL), (34056, '', '德玛村', 'c8436162c2c247e6bf8ba031e21206ba', '381b24c213e54ddea2dc9d7b1c5d8157', 'False', 'True', 'false', 'false', '513333202566', 5, '德玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333202566', 1, '2021-07-19 12:07:06', NULL, NULL), (34057, '', '呷吉村', '74520e6062154e1eaf050104d38af662', '381b24c213e54ddea2dc9d7b1c5d8157', 'False', 'True', 'false', 'false', '513333202745', 5, '呷吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333202745', 1, '2021-07-19 12:07:06', NULL, NULL), (34058, '', '拉加村', '9cb638455df64084847482dfdfcce82a', '381b24c213e54ddea2dc9d7b1c5d8157', 'False', 'True', 'false', 'false', '513333202973', 5, '拉加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333202973', 1, '2021-07-19 12:07:06', NULL, NULL), (34059, '', '达玛村', '1a300d766f5245b2a80e0d0fb38cdb93', '381b24c213e54ddea2dc9d7b1c5d8157', 'False', 'True', 'false', 'false', '513333202974', 5, '达玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333202974', 1, '2021-07-19 12:07:06', NULL, NULL), (34060, '', '康勒乡', '51cdb9e17b0e40bba01b5a88344571c6', 'b09447e8e7774ceeb3e446f5f92ceb18', 'True', 'True', 'false', 'false', '513333203000', 4, '康勒乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513333203000', 1, '2021-07-19 12:07:06', NULL, NULL), (34061, '', '打西日它玛一村', '3030d5247f454b128b41a742607fab43', '51cdb9e17b0e40bba01b5a88344571c6', 'False', 'True', 'false', 'false', '513333203075', 5, '打西日它玛一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333203075', 1, '2021-07-19 12:07:06', NULL, NULL), (34062, '', '打西日它玛二村', '69e537cca23e41e6a034cd747619e261', '51cdb9e17b0e40bba01b5a88344571c6', 'False', 'True', 'false', 'false', '513333203137', 5, '打西日它玛二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333203137', 1, '2021-07-19 12:07:06', NULL, NULL), (34063, '', '汪扎一村', '0455a34bb30b4713a97b5d3b92d310a5', '51cdb9e17b0e40bba01b5a88344571c6', 'False', 'True', 'false', 'false', '513333203145', 5, '汪扎一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333203145', 1, '2021-07-19 12:07:06', NULL, NULL), (34064, '', '阿交撤萨一村', '5c9baaa1fa94488491daa38b5726e2c5', '51cdb9e17b0e40bba01b5a88344571c6', 'False', 'True', 'false', 'false', '513333203371', 5, '阿交撤萨一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333203371', 1, '2021-07-19 12:07:07', NULL, NULL), (34065, '', '汪扎三村', 'f07159061f6146d592599f9e05dea96e', '51cdb9e17b0e40bba01b5a88344571c6', 'False', 'True', 'false', 'false', '513333203600', 5, '汪扎三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333203600', 1, '2021-07-19 12:07:07', NULL, NULL), (34066, '', '阿交撤萨二村', 'fc16886d382e41faad9197ecb2a6d7cb', '51cdb9e17b0e40bba01b5a88344571c6', 'False', 'True', 'false', 'false', '513333203654', 5, '阿交撤萨二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333203654', 1, '2021-07-19 12:07:07', NULL, NULL), (34067, '', '汪扎二村', 'e6cb285e83a94ca8ba6697d87eb0eca6', '51cdb9e17b0e40bba01b5a88344571c6', 'False', 'True', 'false', 'false', '513333203657', 5, '汪扎二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333203657', 1, '2021-07-19 12:07:07', NULL, NULL), (34068, '', '大章乡', '012d015fa999456b8bb14896ce41cbb8', 'b09447e8e7774ceeb3e446f5f92ceb18', 'True', 'True', 'false', 'false', '513333204000', 4, '大章乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513333204000', 1, '2021-07-19 12:07:07', NULL, NULL), (34069, '', '豆加村', '1bdd8919e054401fbaee8f218c4f9013', '012d015fa999456b8bb14896ce41cbb8', 'False', 'True', 'false', 'false', '513333204056', 5, '豆加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333204056', 1, '2021-07-19 12:07:07', NULL, NULL), (34070, '', '确仓村', 'c993e1a3a8cb40e6a64e7d9a8390b1dc', '012d015fa999456b8bb14896ce41cbb8', 'False', 'True', 'false', 'false', '513333204203', 5, '确仓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333204203', 1, '2021-07-19 12:07:07', NULL, NULL), (34071, '', '下门村', 'f2776a54c33e4649bd3209d95712f76e', '012d015fa999456b8bb14896ce41cbb8', 'False', 'True', 'false', 'false', '513333204277', 5, '下门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333204277', 1, '2021-07-19 12:07:07', NULL, NULL), (34072, '', '嘎志玛一村', 'b932383d0c2641ee83fcc436c7e62b5e', '012d015fa999456b8bb14896ce41cbb8', 'False', 'True', 'false', 'false', '513333204289', 5, '嘎志玛一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333204289', 1, '2021-07-19 12:07:07', NULL, NULL), (34073, '', '打西贡玛村', 'ccfa34696d49474c852e3674c1b379c2', '012d015fa999456b8bb14896ce41cbb8', 'False', 'True', 'false', 'false', '513333204338', 5, '打西贡玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333204338', 1, '2021-07-19 12:07:07', NULL, NULL), (34074, '', '嘎志玛二村', '803b295010d94aca9d18bfd542a98744', '012d015fa999456b8bb14896ce41cbb8', 'False', 'True', 'false', 'false', '513333204359', 5, '嘎志玛二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333204359', 1, '2021-07-19 12:07:07', NULL, NULL), (34075, '', '下多村', '5415e3feb9d94a418caa1c1e11fa3053', '012d015fa999456b8bb14896ce41cbb8', 'False', 'True', 'false', 'false', '513333204846', 5, '下多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333204846', 1, '2021-07-19 12:07:07', NULL, NULL), (34076, '', '甲西右翼村', 'e13cae2bffee460e826515f328f06373', '012d015fa999456b8bb14896ce41cbb8', 'False', 'True', 'false', 'false', '513333204866', 5, '甲西右翼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333204866', 1, '2021-07-19 12:07:07', NULL, NULL), (34077, '', '大则乡', '906a325d70324e6f9860d58c240e66a0', 'b09447e8e7774ceeb3e446f5f92ceb18', 'True', 'True', 'false', 'false', '513333205000', 4, '大则乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513333205000', 1, '2021-07-19 12:07:07', NULL, NULL), (34078, '', '玛格村', 'dfdb9c01511f4440983b329e376083b7', '906a325d70324e6f9860d58c240e66a0', 'False', 'True', 'false', 'false', '513333205004', 5, '玛格村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333205004', 1, '2021-07-19 12:07:08', NULL, NULL), (34079, '', '厚门村', 'ccafd39b631d4a15be3c34795a79c443', '906a325d70324e6f9860d58c240e66a0', 'False', 'True', 'false', 'false', '513333205651', 5, '厚门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333205651', 1, '2021-07-19 12:07:08', NULL, NULL), (34080, '', '那宗塘村', '93ef9ece2bc64addbf4b42980a66ade4', '906a325d70324e6f9860d58c240e66a0', 'False', 'True', 'false', 'false', '513333205679', 5, '那宗塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333205679', 1, '2021-07-19 12:07:08', NULL, NULL), (34081, '', '三郎多村', '3f47107c632249d69e1ffb1ef2915b7c', '906a325d70324e6f9860d58c240e66a0', 'False', 'True', 'false', 'false', '513333205714', 5, '三郎多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333205714', 1, '2021-07-19 12:07:08', NULL, NULL), (34082, '', '卓更塘村', 'b98b5b29fcb4429a807020e5024e788b', '906a325d70324e6f9860d58c240e66a0', 'False', 'True', 'false', 'false', '513333205807', 5, '卓更塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333205807', 1, '2021-07-19 12:07:08', NULL, NULL), (34083, '', '泽吾村', '581ec10602d6457fa38d3e40ca7f2f92', '906a325d70324e6f9860d58c240e66a0', 'False', 'True', 'false', 'false', '513333205967', 5, '泽吾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333205967', 1, '2021-07-19 12:07:08', NULL, NULL), (34084, '', '约更玛村', '1dfb6b7b83e1448b8bee7978343e617f', '906a325d70324e6f9860d58c240e66a0', 'False', 'True', 'false', 'false', '513333205976', 5, '约更玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333205976', 1, '2021-07-19 12:07:08', NULL, NULL), (34085, '', '扎门村', '24dd419638b044378b6089bbe964d47e', '906a325d70324e6f9860d58c240e66a0', 'False', 'True', 'false', 'false', '513333205986', 5, '扎门村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333205986', 1, '2021-07-19 12:07:08', NULL, NULL), (34086, '', '亚龙乡', 'b0cdbee7ac164bf2948f68e7418e5894', 'b09447e8e7774ceeb3e446f5f92ceb18', 'True', 'True', 'false', 'false', '513333206000', 4, '亚龙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513333206000', 1, '2021-07-19 12:07:08', NULL, NULL), (34087, '', '下邱果二村', '8a9a7d483eb145b29eca128463e2242f', 'b0cdbee7ac164bf2948f68e7418e5894', 'False', 'True', 'false', 'false', '513333206170', 5, '下邱果二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333206170', 1, '2021-07-19 12:07:08', NULL, NULL), (34088, '', '色多玛一村', 'af4a02a4ea5a4ce69a78e427ce04c7f2', 'b0cdbee7ac164bf2948f68e7418e5894', 'False', 'True', 'false', 'false', '513333206348', 5, '色多玛一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333206348', 1, '2021-07-19 12:07:08', NULL, NULL), (34089, '', '下邱果一村', 'f7d0a0e24b0345ff8fc3ffb8234b483d', 'b0cdbee7ac164bf2948f68e7418e5894', 'False', 'True', 'false', 'false', '513333206616', 5, '下邱果一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333206616', 1, '2021-07-19 12:07:08', NULL, NULL), (34090, '', '扎穷村', '803cc3aa42f7462db66f0fea4fadb156', 'b0cdbee7ac164bf2948f68e7418e5894', 'False', 'True', 'false', 'false', '513333206852', 5, '扎穷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333206852', 1, '2021-07-19 12:07:08', NULL, NULL), (34091, '', '上邱果二村', 'de7ef1553dfa4681b1930f85464807da', 'b0cdbee7ac164bf2948f68e7418e5894', 'False', 'True', 'false', 'false', '513333206863', 5, '上邱果二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333206863', 1, '2021-07-19 12:07:08', NULL, NULL), (34092, '', '下邱果三村', '3ceeafc2cd6843be9c7c581ee807386a', 'b0cdbee7ac164bf2948f68e7418e5894', 'False', 'True', 'false', 'false', '513333206896', 5, '下邱果三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333206896', 1, '2021-07-19 12:07:08', NULL, NULL), (34093, '', '色多玛二村', 'c88aa6efc3fc4abeb67e7cb639122cba', 'b0cdbee7ac164bf2948f68e7418e5894', 'False', 'True', 'false', 'false', '513333206927', 5, '色多玛二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333206927', 1, '2021-07-19 12:07:08', NULL, NULL), (34094, '', '上邱果一村', '030ffcc86683423b9ef5e88020bf59d5', 'b0cdbee7ac164bf2948f68e7418e5894', 'False', 'True', 'false', 'false', '513333206956', 5, '上邱果一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333206956', 1, '2021-07-19 12:07:09', NULL, NULL), (34095, '', '塔子乡', '375af362cadb4fd6ab5e1ebed24d7321', 'b09447e8e7774ceeb3e446f5f92ceb18', 'True', 'True', 'false', 'false', '513333207000', 4, '塔子乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513333207000', 1, '2021-07-19 12:07:09', NULL, NULL), (34096, '', '吉泽村', '9dcda418dcc94c0ba76390bdcd595176', '375af362cadb4fd6ab5e1ebed24d7321', 'False', 'True', 'false', 'false', '513333207040', 5, '吉泽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333207040', 1, '2021-07-19 12:07:09', NULL, NULL), (34097, '', '蚌珠村', '5582be72f5c24b9a91ccf8f512c703e1', '375af362cadb4fd6ab5e1ebed24d7321', 'False', 'True', 'false', 'false', '513333207095', 5, '蚌珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333207095', 1, '2021-07-19 12:07:09', NULL, NULL), (34098, '', '洞拉村', '52f9a6bc06a64592af45de3966bc9b0b', '375af362cadb4fd6ab5e1ebed24d7321', 'False', 'True', 'false', 'false', '513333207107', 5, '洞拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333207107', 1, '2021-07-19 12:07:09', NULL, NULL), (34099, '', '雅尔布村', '6306f47634e24e7c91426c348846b283', '375af362cadb4fd6ab5e1ebed24d7321', 'False', 'True', 'false', 'false', '513333207148', 5, '雅尔布村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333207148', 1, '2021-07-19 12:07:09', NULL, NULL), (34100, '', '洞清村', 'a04854c675624099af78a9f80aa31acb', '375af362cadb4fd6ab5e1ebed24d7321', 'False', 'True', 'false', 'false', '513333207167', 5, '洞清村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333207167', 1, '2021-07-19 12:07:09', NULL, NULL), (34101, '', '降央村', 'dfc1d439c3a7402f8180e8dbf0dddc59', '375af362cadb4fd6ab5e1ebed24d7321', 'False', 'True', 'false', 'false', '513333207246', 5, '降央村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333207246', 1, '2021-07-19 12:07:09', NULL, NULL), (34102, '', '俄尔村', '07cf581d6d4d47fdb6d293333f110fee', '375af362cadb4fd6ab5e1ebed24d7321', 'False', 'True', 'false', 'false', '513333207413', 5, '俄尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333207413', 1, '2021-07-19 12:07:09', NULL, NULL), (34103, '', '拉隆村', '114906c3ae454b8c8288d3b46df04b12', '375af362cadb4fd6ab5e1ebed24d7321', 'False', 'True', 'false', 'false', '513333207826', 5, '拉隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333207826', 1, '2021-07-19 12:07:09', NULL, NULL), (34104, '', '泸角村', '4ec4b0e7ef4744a9858611999adf964d', '375af362cadb4fd6ab5e1ebed24d7321', 'False', 'True', 'false', 'false', '513333207873', 5, '泸角村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333207873', 1, '2021-07-19 12:07:09', NULL, NULL), (34105, '', '年龙乡', 'd6ac97fc844345e69c36d570b826b90b', 'b09447e8e7774ceeb3e446f5f92ceb18', 'True', 'True', 'false', 'false', '513333208000', 4, '年龙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513333208000', 1, '2021-07-19 12:07:09', NULL, NULL), (34106, '', '其哈玛村', '01d371cb82c745a4a56f19003e5c4992', 'd6ac97fc844345e69c36d570b826b90b', 'False', 'True', 'false', 'false', '513333208349', 5, '其哈玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333208349', 1, '2021-07-19 12:07:09', NULL, NULL), (34107, '', '下修它村', '1f26fc7fc07f46c2b559f5cb9c8e3662', 'd6ac97fc844345e69c36d570b826b90b', 'False', 'True', 'false', 'false', '513333208695', 5, '下修它村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333208695', 1, '2021-07-19 12:07:09', NULL, NULL), (34108, '', '俄热村', '26a521387e9b4f469e959a91c8127c83', 'd6ac97fc844345e69c36d570b826b90b', 'False', 'True', 'false', 'false', '513333208856', 5, '俄热村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333208856', 1, '2021-07-19 12:07:09', NULL, NULL), (34109, '', '日撒玛村', '1799bd7a47bf4090bce96188899ecc08', 'd6ac97fc844345e69c36d570b826b90b', 'False', 'True', 'false', 'false', '513333208992', 5, '日撒玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333208992', 1, '2021-07-19 12:07:10', NULL, NULL), (34110, '', '霍西乡', '6ddefbe32dce483f9d913e2358d62cf6', 'b09447e8e7774ceeb3e446f5f92ceb18', 'True', 'True', 'false', 'false', '513333210000', 4, '霍西乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513333210000', 1, '2021-07-19 12:07:10', NULL, NULL), (34111, '', '甲日玛村', '6a67e6275a9347a2aba850be09614399', '6ddefbe32dce483f9d913e2358d62cf6', 'False', 'True', 'false', 'false', '513333210009', 5, '甲日玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333210009', 1, '2021-07-19 12:07:10', NULL, NULL), (34112, '', '拉让村', '8439b36575f0483896c703cef942a0df', '6ddefbe32dce483f9d913e2358d62cf6', 'False', 'True', 'false', 'false', '513333210021', 5, '拉让村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333210021', 1, '2021-07-19 12:07:10', NULL, NULL), (34113, '', '拉当村', '361189a02e964c2e940a50766983964f', '6ddefbe32dce483f9d913e2358d62cf6', 'False', 'True', 'false', 'false', '513333210129', 5, '拉当村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333210129', 1, '2021-07-19 12:07:10', NULL, NULL), (34114, '', '念柯村', 'c2e5accfc8de42f4a57cb9837734e63c', '6ddefbe32dce483f9d913e2358d62cf6', 'False', 'True', 'false', 'false', '513333210165', 5, '念柯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333210165', 1, '2021-07-19 12:07:10', NULL, NULL), (34115, '', '瓦尔村', 'b502ff3ef4c14e0d88299a69714ae5d8', '6ddefbe32dce483f9d913e2358d62cf6', 'False', 'True', 'false', 'false', '513333210183', 5, '瓦尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333210183', 1, '2021-07-19 12:07:10', NULL, NULL), (34116, '', '甲柯村', '2173e7e8ac924e38b00f6df520dfcabe', '6ddefbe32dce483f9d913e2358d62cf6', 'False', 'True', 'false', 'false', '513333210392', 5, '甲柯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333210392', 1, '2021-07-19 12:07:10', NULL, NULL), (34117, '', '勒柯村', '3c8b9dfbaf594a3f87408e15f4ae01f8', '6ddefbe32dce483f9d913e2358d62cf6', 'False', 'True', 'false', 'false', '513333210433', 5, '勒柯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333210433', 1, '2021-07-19 12:07:10', NULL, NULL), (34118, '', '瓦热柯村', 'b5b41a9ba5a24f489417397bc4f2bc50', '6ddefbe32dce483f9d913e2358d62cf6', 'False', 'True', 'false', 'false', '513333210738', 5, '瓦热柯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333210738', 1, '2021-07-19 12:07:10', NULL, NULL), (34119, '', '玛岗村', 'ebd2dc8de8c74c8cad6627aa07a1af90', '6ddefbe32dce483f9d913e2358d62cf6', 'False', 'True', 'false', 'false', '513333210739', 5, '玛岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333210739', 1, '2021-07-19 12:07:10', NULL, NULL), (34120, '', '扎卡村', 'feee1809f66442f1a1e6ad139e66b17e', '6ddefbe32dce483f9d913e2358d62cf6', 'False', 'True', 'false', 'false', '513333210773', 5, '扎卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333210773', 1, '2021-07-19 12:07:10', NULL, NULL), (34121, '', '德汾村', 'dc45cf0433514ccb8596602565325921', '6ddefbe32dce483f9d913e2358d62cf6', 'False', 'True', 'false', 'false', '513333210815', 5, '德汾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333210815', 1, '2021-07-19 12:07:10', NULL, NULL), (34122, '', '旭日乡', '4553b7a536f1497ebe3af71c7836526b', 'b09447e8e7774ceeb3e446f5f92ceb18', 'True', 'True', 'false', 'false', '513333211000', 4, '旭日乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513333211000', 1, '2021-07-19 12:07:10', NULL, NULL), (34123, '', '修灯龙村', 'e96ad1a5a4e6442490366f04f2956aad', '4553b7a536f1497ebe3af71c7836526b', 'False', 'True', 'false', 'false', '513333211535', 5, '修灯龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333211535', 1, '2021-07-19 12:07:10', NULL, NULL), (34124, '', '龚古村', '7fc5b5a6123047e6884716cbf4e551fc', '4553b7a536f1497ebe3af71c7836526b', 'False', 'True', 'false', 'false', '513333211616', 5, '龚古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333211616', 1, '2021-07-19 12:07:10', NULL, NULL), (34125, '', '仁达村', '56bbc3fb3de54b0e87ed4b99be444a75', '4553b7a536f1497ebe3af71c7836526b', 'False', 'True', 'false', 'false', '513333211678', 5, '仁达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333211678', 1, '2021-07-19 12:07:10', NULL, NULL), (34126, '', '旭日村', 'fd00da345e21462891fffe8fb510d83b', '4553b7a536f1497ebe3af71c7836526b', 'False', 'True', 'false', 'false', '513333211807', 5, '旭日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333211807', 1, '2021-07-19 12:07:10', NULL, NULL), (34127, '', '江达村', 'ab2e839ed02544fba62f98147354d28a', '4553b7a536f1497ebe3af71c7836526b', 'False', 'True', 'false', 'false', '513333211825', 5, '江达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333211825', 1, '2021-07-19 12:07:11', NULL, NULL), (34128, '', '泽登达村', 'edcd97c8a12444dbb09b55e40b4e3b50', '4553b7a536f1497ebe3af71c7836526b', 'False', 'True', 'false', 'false', '513333211989', 5, '泽登达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333211989', 1, '2021-07-19 12:07:11', NULL, NULL), (34129, '', '杨各乡', 'fc75323e7e724351ad488955d1637b14', 'b09447e8e7774ceeb3e446f5f92ceb18', 'True', 'True', 'false', 'false', '513333212000', 4, '杨各乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513333212000', 1, '2021-07-19 12:07:11', NULL, NULL), (34130, '', '上甲斗村', '273f0d9f9ec3475f92dc99928edbddce', 'fc75323e7e724351ad488955d1637b14', 'False', 'True', 'false', 'false', '513333212005', 5, '上甲斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333212005', 1, '2021-07-19 12:07:11', NULL, NULL), (34131, '', '支巴村', '663e0088b5ae4b649344e548227a80ca', 'fc75323e7e724351ad488955d1637b14', 'False', 'True', 'false', 'false', '513333212346', 5, '支巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333212346', 1, '2021-07-19 12:07:11', NULL, NULL), (34132, '', '下甲斗村', 'e3273e28de5049d3b2bc37823a6f5d3f', 'fc75323e7e724351ad488955d1637b14', 'False', 'True', 'false', 'false', '513333212362', 5, '下甲斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333212362', 1, '2021-07-19 12:07:11', NULL, NULL), (34133, '', '觉洛村', '15165ef38bb24515b696875d5e96f092', 'fc75323e7e724351ad488955d1637b14', 'False', 'True', 'false', 'false', '513333212392', 5, '觉洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333212392', 1, '2021-07-19 12:07:11', NULL, NULL), (34134, '', '亚旭村', '8460c278d2e74101a1b3c9d464bab79c', 'fc75323e7e724351ad488955d1637b14', 'False', 'True', 'false', 'false', '513333212655', 5, '亚旭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333212655', 1, '2021-07-19 12:07:11', NULL, NULL), (34135, '', '加更达村', 'dcdb5c76f588499c998046bcf5134dda', 'fc75323e7e724351ad488955d1637b14', 'False', 'True', 'false', 'false', '513333212809', 5, '加更达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333212809', 1, '2021-07-19 12:07:11', NULL, NULL), (34136, '', '麦旭村', '67f97515fa514b9095a725f9e06ef775', 'fc75323e7e724351ad488955d1637b14', 'False', 'True', 'false', 'false', '513333212843', 5, '麦旭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333212843', 1, '2021-07-19 12:07:11', NULL, NULL), (34137, '', '甲学镇', '7ba9c628bab540619fa491834ae7752f', 'b09447e8e7774ceeb3e446f5f92ceb18', 'True', 'True', 'false', 'false', '513333213000', 4, '甲学镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513333213000', 1, '2021-07-19 12:07:11', NULL, NULL), (34138, '', '切柯村', '232a1247ebea4baaa629da158f7e0bda', '7ba9c628bab540619fa491834ae7752f', 'False', 'True', 'false', 'false', '513333213595', 5, '切柯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333213595', 1, '2021-07-19 12:07:11', NULL, NULL), (34139, '', '草坡村', '62ad1b461cf84216bdb0ab4937ad51c7', '7ba9c628bab540619fa491834ae7752f', 'False', 'True', 'false', 'false', '513333213783', 5, '草坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333213783', 1, '2021-07-19 12:07:11', NULL, NULL), (34140, '', '二加其村', '0ba258a52e924483a617728990c1fe56', '7ba9c628bab540619fa491834ae7752f', 'False', 'True', 'false', 'false', '513333213186', 5, '二加其村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333213186', 1, '2021-07-19 12:07:11', NULL, NULL), (34141, '', '甲学村', 'f1c7743aa54e4b2794977ebb35a26d88', '7ba9c628bab540619fa491834ae7752f', 'False', 'True', 'false', 'false', '513333213543', 5, '甲学村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333213543', 1, '2021-07-19 12:07:11', NULL, NULL), (34142, '', '雅洛村', 'f643eac7ab67490aabd2b4d2301c6578', '7ba9c628bab540619fa491834ae7752f', 'False', 'True', 'false', 'false', '513333213671', 5, '雅洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333213671', 1, '2021-07-19 12:07:11', NULL, NULL), (34143, '', '热吾底村', 'e27e5482553f41509658751c012297eb', '7ba9c628bab540619fa491834ae7752f', 'False', 'True', 'false', 'false', '513333213863', 5, '热吾底村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333213863', 1, '2021-07-19 12:07:11', NULL, NULL), (34144, '', '容柯村', 'efd9c2f6687448f1b6a62ba13072cc39', '7ba9c628bab540619fa491834ae7752f', 'False', 'True', 'false', 'false', '513333213883', 5, '容柯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333213883', 1, '2021-07-19 12:07:11', NULL, NULL), (34145, '', '阿拉甲学村', 'bf5138ae44b5458abf05752005d69e73', '7ba9c628bab540619fa491834ae7752f', 'False', 'True', 'false', 'false', '513333213942', 5, '阿拉甲学村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513333213942', 1, '2021-07-19 12:07:11', NULL, NULL), (34146, '', '德格县', '87dc3c23f0624794b8de1cf5b3cb79d5', '4e0988aa699e46dd9cdf992180c73cd8', 'True', 'True', 'false', 'false', '513330000000', 3, '德格县', 'gzzdgx.sczwfw.gov.cn', 1, '2021-07-19 12:07:12', NULL, NULL), (34147, '', '温拖镇', '81ef13d4292d4bd19d1b3fef61f7a160', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330519000', 4, '温拖镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330519000', 1, '2021-07-19 12:07:12', NULL, NULL), (34148, '', '地茶村民委员会', '2f54ce8aea964ae98d4056c322afb6f3', '81ef13d4292d4bd19d1b3fef61f7a160', 'False', 'True', 'false', 'false', '513330109171', 5, '地茶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330109171', 1, '2021-07-19 12:07:12', NULL, NULL), (34149, '', '满金村民委员会', '547f666f57a94a4e9f309529fbad5935', '81ef13d4292d4bd19d1b3fef61f7a160', 'False', 'True', 'false', 'false', '513330109598', 5, '满金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330109598', 1, '2021-07-19 12:07:12', NULL, NULL), (34150, '', '党批村民委员会', 'c227221212cf4c7fa80fda92012b0d1c', '81ef13d4292d4bd19d1b3fef61f7a160', 'False', 'True', 'false', 'false', '513330109659', 5, '党批村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330109659', 1, '2021-07-19 12:07:12', NULL, NULL), (34151, '', '康郎村民委员会', 'e34b732292fd4530a367ad768eccf28f', '81ef13d4292d4bd19d1b3fef61f7a160', 'False', 'True', 'false', 'false', '513330109789', 5, '康郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330109789', 1, '2021-07-19 12:07:12', NULL, NULL), (34152, '', '仁青里村民委员会', 'a1ff9e833cfc407f96096f5da77a5680', '81ef13d4292d4bd19d1b3fef61f7a160', 'False', 'True', 'false', 'false', '513330109809', 5, '仁青里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330109809', 1, '2021-07-19 12:07:12', NULL, NULL), (34153, '', '温拖村民委员会', 'b57c60dd743545aba434a1b22b561e94', '81ef13d4292d4bd19d1b3fef61f7a160', 'False', 'True', 'false', 'false', '513330109872', 5, '温拖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330109872', 1, '2021-07-19 12:07:12', NULL, NULL), (34154, '', '八帮乡', 'a934d01cd03d4522bfb22cd11f30794c', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330550000', 4, '八帮乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330550000', 1, '2021-07-19 12:07:12', NULL, NULL), (34155, '', '上八坞村民委员会', '930439e7eb434217816151719387b0f1', 'a934d01cd03d4522bfb22cd11f30794c', 'False', 'True', 'false', 'false', '513330203107', 5, '上八坞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330203107', 1, '2021-07-19 12:07:12', NULL, NULL), (34156, '', '泽池村民委员会', '10f9346d7b4d4774bac4db8350c32b5b', 'a934d01cd03d4522bfb22cd11f30794c', 'False', 'True', 'false', 'false', '513330203427', 5, '泽池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330203427', 1, '2021-07-19 12:07:12', NULL, NULL), (34157, '', '梅林村民委员会', '0cbd18f6c7c94e7fbbf56ae20175ef4f', 'a934d01cd03d4522bfb22cd11f30794c', 'False', 'True', 'false', 'false', '513330203498', 5, '梅林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330203498', 1, '2021-07-19 12:07:12', NULL, NULL), (34158, '', '然青龙村民委员会', 'c554cd6591f442a7a1ffe27d49b45ae9', 'a934d01cd03d4522bfb22cd11f30794c', 'False', 'True', 'false', 'false', '513330203531', 5, '然青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330203531', 1, '2021-07-19 12:07:13', NULL, NULL), (34159, '', '下白卡村民委员会', '7fb6dd01a51d407e8c8725931fbc2076', 'a934d01cd03d4522bfb22cd11f30794c', 'False', 'True', 'false', 'false', '513330203717', 5, '下白卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330203717', 1, '2021-07-19 12:07:13', NULL, NULL), (34160, '', '曲池西村民委员会', '6a8a04fd18c343ed9347223a68fbdf5b', 'a934d01cd03d4522bfb22cd11f30794c', 'False', 'True', 'false', 'false', '513330203790', 5, '曲池西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330203790', 1, '2021-07-19 12:07:13', NULL, NULL), (34161, '', '下八坞村民委员会', '629959b61a214d4dac01f47092e30cfb', 'a934d01cd03d4522bfb22cd11f30794c', 'False', 'True', 'false', 'false', '513330203888', 5, '下八坞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330203888', 1, '2021-07-19 12:07:13', NULL, NULL), (34162, '', '错阿镇', '7bcc0ee8bc694ae9a726f3f03c07dc80', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330595000', 4, '错阿镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330595000', 1, '2021-07-19 12:07:13', NULL, NULL), (34163, '', '错阿镇错通村', '401f94f0500641c490da9030e1e3986c', '7bcc0ee8bc694ae9a726f3f03c07dc80', 'False', 'True', 'false', 'false', '513330105358', 5, '错通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330105358', 1, '2021-07-19 12:07:13', NULL, NULL), (34164, '', '错阿镇绒岔村', 'f40dea7f064d424ea2afeea31f2285cd', '7bcc0ee8bc694ae9a726f3f03c07dc80', 'False', 'True', 'false', 'false', '513330105585', 5, '绒岔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330105585', 1, '2021-07-19 12:07:13', NULL, NULL), (34165, '', '错阿镇马达村', 'c58837354b804870ba0223ed7a589d2f', '7bcc0ee8bc694ae9a726f3f03c07dc80', 'False', 'True', 'false', 'false', '513330105788', 5, '马达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330105788', 1, '2021-07-19 12:07:13', NULL, NULL), (34166, '', '上燃姑乡', '727eb3882ff142db8ef63fefe1362677', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330711000', 4, '上燃姑乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330711000', 1, '2021-07-19 12:07:13', NULL, NULL), (34167, '', '夺巴村', '00b1f76ef9064bddb27a436880c30769', '727eb3882ff142db8ef63fefe1362677', 'False', 'True', 'false', 'false', '513330201406', 5, '夺巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330201406', 1, '2021-07-19 12:07:13', NULL, NULL), (34168, '', '麻邛村', 'd8a70e53917a4398a2928f8e8ae9ce8c', '727eb3882ff142db8ef63fefe1362677', 'False', 'True', 'false', 'false', '513330216119', 5, '麻邛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330216119', 1, '2021-07-19 12:07:13', NULL, NULL), (34169, '', '亚西村', 'ccba20b4a1de4142b3a7fbc8b6fd5200', '727eb3882ff142db8ef63fefe1362677', 'False', 'True', 'false', 'false', '513330216197', 5, '亚西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330216197', 1, '2021-07-19 12:07:13', NULL, NULL), (34170, '', '更庆镇', 'bcf02dcec0834d9abebab879483b23a9', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330100000', 4, '更庆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330100000', 1, '2021-07-19 12:07:13', NULL, NULL), (34171, '', '欧普村民委员会', '9fdb7b582ab147288efec772874ece84', 'bcf02dcec0834d9abebab879483b23a9', 'False', 'True', 'false', 'false', '513330100021', 5, '欧普村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330100021', 1, '2021-07-19 12:07:13', NULL, NULL), (34172, '', '呷中村民委员会', 'd1568267857a406da654a9d6ae07aa15', 'bcf02dcec0834d9abebab879483b23a9', 'False', 'True', 'false', 'false', '513330100051', 5, '呷中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330100051', 1, '2021-07-19 12:07:13', NULL, NULL), (34173, '', '尼木村民委员会', '7fa0aa29fdee4ca58f4daa8aff29d015', 'bcf02dcec0834d9abebab879483b23a9', 'False', 'True', 'false', 'false', '513330100109', 5, '尼木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330100109', 1, '2021-07-19 12:07:14', NULL, NULL), (34174, '', '拉普村民委员会', 'f86aa45bf5614a8682ec49f0f552372e', 'bcf02dcec0834d9abebab879483b23a9', 'False', 'True', 'false', 'false', '513330100219', 5, '拉普村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330100219', 1, '2021-07-19 12:07:14', NULL, NULL), (34175, '', '茶马街居民委员会', 'a594cc0f26074cf39eb85b554ac544c6', 'bcf02dcec0834d9abebab879483b23a9', 'False', 'True', 'false', 'false', '513330100295', 5, '茶马居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330100295', 1, '2021-07-19 12:07:14', NULL, NULL), (34176, '', '班达村民委员会', '2d66c1074aa94f4ab40e6977c2e7a061', 'bcf02dcec0834d9abebab879483b23a9', 'False', 'True', 'false', 'false', '513330100368', 5, '班达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330100368', 1, '2021-07-19 12:07:14', NULL, NULL), (34177, '', '二居民委员会', '9113bdbcf8ab4a95a2e6fb6bb0ee2276', 'bcf02dcec0834d9abebab879483b23a9', 'False', 'True', 'false', 'false', '513330100488', 5, '二居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330100488', 1, '2021-07-19 12:07:14', NULL, NULL), (34178, '', '朗达村民委员会', '39200a2ef2ef4c92b9deb3bb1547ece6', 'bcf02dcec0834d9abebab879483b23a9', 'False', 'True', 'false', 'false', '513330100500', 5, '朗达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330100500', 1, '2021-07-19 12:07:14', NULL, NULL), (34179, '', '一居民委员会', 'c8b1871302364d9f8161a563e08e319a', 'bcf02dcec0834d9abebab879483b23a9', 'False', 'True', 'false', 'false', '513330100523', 5, '一居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330100523', 1, '2021-07-19 12:07:14', NULL, NULL), (34180, '', '下压坝村民委员会', 'b00d73c3f0b0452aa3acb0d9eb953cfc', 'bcf02dcec0834d9abebab879483b23a9', 'False', 'True', 'false', 'false', '513330100583', 5, '下压坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330100583', 1, '2021-07-19 12:07:14', NULL, NULL), (34181, '', '普热村民委员会', 'eb14d5d4f0d340348fd2232080631615', 'bcf02dcec0834d9abebab879483b23a9', 'False', 'True', 'false', 'false', '513330100668', 5, '普热村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330100668', 1, '2021-07-19 12:07:14', NULL, NULL), (34182, '', '压坝村民委员会', 'f8d4e0d2bb4d48bd98f0746ac99764fa', 'bcf02dcec0834d9abebab879483b23a9', 'False', 'True', 'false', 'false', '513330100802', 5, '压坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330100802', 1, '2021-07-19 12:07:14', NULL, NULL), (34183, '', '莫学村民委员会', 'f396a9a590254a40a6a753fa13476878', 'bcf02dcec0834d9abebab879483b23a9', 'False', 'True', 'false', 'false', '513330100872', 5, '莫学村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330100872', 1, '2021-07-19 12:07:14', NULL, NULL), (34184, '', '戈姑村民委员会', 'e114b852165d4441b4d01b9389da999d', 'bcf02dcec0834d9abebab879483b23a9', 'False', 'True', 'false', 'false', '513330100894', 5, '戈姑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330100894', 1, '2021-07-19 12:07:14', NULL, NULL), (34185, '', '八美村民委员会', 'b15858eabd9c4b7a9e9859461e8ded73', 'bcf02dcec0834d9abebab879483b23a9', 'False', 'True', 'false', 'false', '513330100900', 5, '八美村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330100900', 1, '2021-07-19 12:07:14', NULL, NULL), (34186, '', '杨西村民委员会', 'a95c255aee3340dab1d5ad4969babcb5', 'bcf02dcec0834d9abebab879483b23a9', 'False', 'True', 'false', 'false', '513330100930', 5, '杨西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330100930', 1, '2021-07-19 12:07:14', NULL, NULL), (34187, '', '西部村民委员会', '83f1dcd9aeac4d43a27091171f1d1b79', 'bcf02dcec0834d9abebab879483b23a9', 'False', 'True', 'false', 'false', '513330100942', 5, '西部村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330100942', 1, '2021-07-19 12:07:14', NULL, NULL), (34188, '', '五一桥村民委员会', '62989d1db10b4dd88338866d340031b7', 'bcf02dcec0834d9abebab879483b23a9', 'False', 'True', 'false', 'false', '513330100955', 5, '五一桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330100955', 1, '2021-07-19 12:07:15', NULL, NULL), (34189, '', '马尼干戈镇', '124ad7631fd04a899617680755e14686', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330101000', 4, '马尼干戈镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330101000', 1, '2021-07-19 12:07:15', NULL, NULL), (34190, '', '格公村民委员会', '3ca4fdd46c3d4108a0c6f945578da3ce', '124ad7631fd04a899617680755e14686', 'False', 'False', 'false', 'false', '513330101138', 5, '格公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330101138', 1, '2021-07-19 12:07:15', NULL, NULL), (34191, '', '达戈村民委员会', 'ca3b845d779645168788b2d168972cbe', '124ad7631fd04a899617680755e14686', 'False', 'False', 'false', 'false', '513330101226', 5, '达戈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330101226', 1, '2021-07-19 12:07:15', NULL, NULL), (34192, '', '曲西村民委员会', 'cbfb11d87aab4caa8bcd3dfd55221a4b', '124ad7631fd04a899617680755e14686', 'False', 'False', 'false', 'false', '513330101317', 5, '曲西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330101317', 1, '2021-07-19 12:07:15', NULL, NULL), (34193, '', '拉绒村民委员会', '37bd5381dc4c4f8693f62bc9335a57b0', '124ad7631fd04a899617680755e14686', 'False', 'True', 'false', 'false', '513330120461', 5, '拉绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330120461', 1, '2021-07-19 12:07:15', NULL, NULL), (34194, '', '措巴村民委员会', 'bd4a48801cc44019a113bc97f2e19f09', '124ad7631fd04a899617680755e14686', 'False', 'False', 'false', 'false', '513330101009', 5, '措巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330101009', 1, '2021-07-19 12:07:15', NULL, NULL), (34195, '', '洞真村民委员会', '2076a43ba0a440358d68c4944178a9cc', '124ad7631fd04a899617680755e14686', 'False', 'False', 'false', 'false', '513330101034', 5, '洞真村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330101034', 1, '2021-07-19 12:07:15', NULL, NULL), (34196, '', '雪科村民委员会', 'abaeec7f51dc4d72b4fd3c2d0ee01540', '124ad7631fd04a899617680755e14686', 'False', 'False', 'false', 'false', '513330101391', 5, '雪科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330101391', 1, '2021-07-19 12:07:15', NULL, NULL), (34197, '', '马尼村民委员', '446a07badde24f2db4307d26fd30c1ed', '124ad7631fd04a899617680755e14686', 'False', 'False', 'false', 'false', '513330101793', 5, '马尼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330101793', 1, '2021-07-19 12:07:15', NULL, NULL), (34198, '', '竹庆镇', '144dbcff0c4d4399bf88d6f8072f9f5e', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330102000', 4, '竹庆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330102000', 1, '2021-07-19 12:07:15', NULL, NULL), (34199, '', '拉加村民委员会', '54da8a244926415dab43433b5a855e3e', '144dbcff0c4d4399bf88d6f8072f9f5e', 'False', 'True', 'false', 'false', '513330102356', 5, '拉加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330102356', 1, '2021-07-19 12:07:15', NULL, NULL), (34200, '', '竹庆村民委员会', 'a64e23b49a1f4e50ac22d93225b7b9e1', '144dbcff0c4d4399bf88d6f8072f9f5e', 'False', 'True', 'false', 'false', '513330102364', 5, '竹庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330102364', 1, '2021-07-19 12:07:15', NULL, NULL), (34201, '', '协庆村民委员会', 'd54a7ebe05ef4c4591eb7924c46e386b', '144dbcff0c4d4399bf88d6f8072f9f5e', 'False', 'True', 'false', 'false', '513330102610', 5, '协庆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330102610', 1, '2021-07-19 12:07:15', NULL, NULL), (34202, '', '拥青村民委员会', 'dc5f1d0d0aa847de9967a944cea5240f', '144dbcff0c4d4399bf88d6f8072f9f5e', 'False', 'True', 'false', 'false', '513330102693', 5, '拥青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330102693', 1, '2021-07-19 12:07:15', NULL, NULL), (34203, '', '扎东村村民委员会', 'a5c770ca9886473b9d3c80a64c0d89fe', '144dbcff0c4d4399bf88d6f8072f9f5e', 'False', 'True', 'false', 'false', '513330102726', 5, '扎东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330102726', 1, '2021-07-19 12:07:16', NULL, NULL), (34204, '', '更龙村民委员会', 'b44a061f078547e4b92599024d612c19', '144dbcff0c4d4399bf88d6f8072f9f5e', 'False', 'True', 'false', 'false', '513330102804', 5, '更龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330102804', 1, '2021-07-19 12:07:16', NULL, NULL), (34205, '', '档木村民委员会', '8a5858c38659428887cacfe91884b32b', '144dbcff0c4d4399bf88d6f8072f9f5e', 'False', 'True', 'false', 'false', '513330102809', 5, '档木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330102809', 1, '2021-07-19 12:07:16', NULL, NULL), (34206, '', '更达村民委员会', 'be4b2acf7d674f7b9d9a1c4162cdd407', '144dbcff0c4d4399bf88d6f8072f9f5e', 'False', 'True', 'false', 'false', '513330102869', 5, '更达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330102869', 1, '2021-07-19 12:07:16', NULL, NULL), (34207, '', '八色村民委员会', '1d3b65894428425f879adbab8859f1f3', '144dbcff0c4d4399bf88d6f8072f9f5e', 'False', 'True', 'false', 'false', '513330102900', 5, '八色村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330102900', 1, '2021-07-19 12:07:16', NULL, NULL), (34208, '', '阿须镇', 'ce0c4f6fb9cb45b48082d17ede0c4c2e', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330103000', 4, '阿须镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330103000', 1, '2021-07-19 12:07:16', NULL, NULL), (34209, '', '麦青村村民委员会', 'c01c81adcc4d4fa5a0144c4f8cbb8b66', 'ce0c4f6fb9cb45b48082d17ede0c4c2e', 'False', 'True', 'false', 'false', '513330103280', 5, '麦青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330103280', 1, '2021-07-19 12:07:16', NULL, NULL), (34210, '', '浪隆村村民委员会', '4e7345e3116b446bae43ef3edd593309', 'ce0c4f6fb9cb45b48082d17ede0c4c2e', 'False', 'True', 'false', 'false', '513330103570', 5, '浪隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330103570', 1, '2021-07-19 12:07:16', NULL, NULL), (34211, '', '龙真村村民委员会', '500729fc57bb46c1a91f779c1d5a297c', 'ce0c4f6fb9cb45b48082d17ede0c4c2e', 'False', 'True', 'false', 'false', '513330103608', 5, '龙真村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330103608', 1, '2021-07-19 12:07:16', NULL, NULL), (34212, '', '模通村村民委员会', '202ece351e834a64842303128a54ffed', 'ce0c4f6fb9cb45b48082d17ede0c4c2e', 'False', 'True', 'false', 'false', '513330103742', 5, '模通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330103742', 1, '2021-07-19 12:07:16', NULL, NULL), (34213, '', '让尼村村民委员会', 'e7c13dfa61bd476388b0e37be7e1167b', 'ce0c4f6fb9cb45b48082d17ede0c4c2e', 'False', 'True', 'false', 'false', '513330103747', 5, '让尼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330103747', 1, '2021-07-19 12:07:16', NULL, NULL), (34214, '', '磨勒村村民委员会', 'faa62a83414d4da48de79d27963c795d', 'ce0c4f6fb9cb45b48082d17ede0c4c2e', 'False', 'True', 'false', 'false', '513330103789', 5, '磨勒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330103789', 1, '2021-07-19 12:07:16', NULL, NULL), (34215, '', '真隆村村民委员会', 'a6236f650bc54e0eafe1b835ac951f87', 'ce0c4f6fb9cb45b48082d17ede0c4c2e', 'False', 'True', 'false', 'false', '513330103843', 5, '真隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330103843', 1, '2021-07-19 12:07:16', NULL, NULL), (34216, '', '麦宿镇', '89a1dc0e0c5d464082fc470a66296773', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330104000', 4, '麦宿镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330104000', 1, '2021-07-19 12:07:16', NULL, NULL), (34217, '', '麦宿镇荒达村民委员会', 'cb0bbfeda6a845dc80c44bf59c053fd4', '89a1dc0e0c5d464082fc470a66296773', 'False', 'True', 'false', 'false', '513330104162', 5, '荒达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330104162', 1, '2021-07-19 12:07:17', NULL, NULL), (34218, '', '麦宿镇木岳村民委员会', '8d76eca07412435b86faa610f31823b6', '89a1dc0e0c5d464082fc470a66296773', 'False', 'True', 'false', 'false', '513330104325', 5, '木岳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330104325', 1, '2021-07-19 12:07:17', NULL, NULL), (34219, '', '麦宿镇绒麦隆村民委员会', '909c8398a4cb44868a297d6ada5259dc', '89a1dc0e0c5d464082fc470a66296773', 'False', 'True', 'false', 'false', '513330104436', 5, '绒麦隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330104436', 1, '2021-07-19 12:07:17', NULL, NULL), (34220, '', '麦宿镇美丽村民委员会', 'd5a464c25b694b52affb35ee0bb0a90b', '89a1dc0e0c5d464082fc470a66296773', 'False', 'True', 'false', 'false', '513330104690', 5, '美丽村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330104690', 1, '2021-07-19 12:07:17', NULL, NULL), (34221, '', '麦宿镇马东村民委员会', 'befb090a3a62477a806229891e7b1b72', '89a1dc0e0c5d464082fc470a66296773', 'False', 'True', 'false', 'false', '513330106158', 5, '马东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330106158', 1, '2021-07-19 12:07:17', NULL, NULL), (34222, '', '麦宿镇新地村民委员会', '538d394722b947efa4b2392700ddae88', '89a1dc0e0c5d464082fc470a66296773', 'False', 'True', 'false', 'false', '513330106204', 5, '新地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330106204', 1, '2021-07-19 12:07:17', NULL, NULL), (34223, '', '麦宿镇贡空村民委员会', '1b2cad9c94c04bd38daa4728862ad957', '89a1dc0e0c5d464082fc470a66296773', 'False', 'True', 'false', 'false', '513330106236', 5, '贡空村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330106236', 1, '2021-07-19 12:07:17', NULL, NULL), (34224, '', '麦宿镇日卡村民委员会', 'a53c88eb143d4308b1662e1a3535c8c7', '89a1dc0e0c5d464082fc470a66296773', 'False', 'True', 'false', 'false', '513330106238', 5, '日卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330106238', 1, '2021-07-19 12:07:17', NULL, NULL), (34225, '', '麦宿镇卡沙村民委员会', '1b2c2da7cd604836afec5afd81a31d24', '89a1dc0e0c5d464082fc470a66296773', 'False', 'True', 'false', 'false', '513330106422', 5, '卡沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330106422', 1, '2021-07-19 12:07:17', NULL, NULL), (34226, '', '麦宿镇真通村民委员会', '5cbf568d3fa64b23b9b6c67c39c1dd78', '89a1dc0e0c5d464082fc470a66296773', 'False', 'True', 'false', 'false', '513330106814', 5, '真通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330106814', 1, '2021-07-19 12:07:17', NULL, NULL), (34227, '', '麦宿镇基足村民委员会', '7113f4f2366e41d88dd539465e155042', '89a1dc0e0c5d464082fc470a66296773', 'False', 'True', 'false', 'false', '513330106833', 5, '基足村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330106833', 1, '2021-07-19 12:07:17', NULL, NULL), (34228, '', '麦宿镇绒达村民委员会', '02e9f951a3594b90ae9486e84f47decc', '89a1dc0e0c5d464082fc470a66296773', 'False', 'True', 'false', 'false', '513330106949', 5, '绒达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330106949', 1, '2021-07-19 12:07:17', NULL, NULL), (34229, '', '岳巴乡', 'ffead5b76f6c4369ba68f082fc0cbb63', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330202000', 4, '岳巴乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330202000', 1, '2021-07-19 12:07:17', NULL, NULL), (34230, '', '岳巴乡底绒村民委员会', '1faba681c5204640936e15fae0e9af9b', 'ffead5b76f6c4369ba68f082fc0cbb63', 'False', 'True', 'false', 'false', '513330202149', 5, '底绒村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330202149', 1, '2021-07-19 12:07:17', NULL, NULL), (34231, '', '岳巴乡阿木拉村民委员会', 'd5606248ad1040c99ed304220ca1168f', 'ffead5b76f6c4369ba68f082fc0cbb63', 'False', 'True', 'false', 'false', '513330202225', 5, '阿木拉村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330202225', 1, '2021-07-19 12:07:17', NULL, NULL), (34232, '', '岳巴乡岳巴寨村民委员会', '1c61981b9982495c9ca51374967e90ea', 'ffead5b76f6c4369ba68f082fc0cbb63', 'False', 'True', 'false', 'false', '513330202270', 5, '岳巴寨村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330202270', 1, '2021-07-19 12:07:17', NULL, NULL), (34233, '', '岳巴乡日炯村民委员会', 'fc18dfb6573842f594ca37ad974ca06c', 'ffead5b76f6c4369ba68f082fc0cbb63', 'False', 'True', 'false', 'false', '513330202359', 5, '日炯村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330202359', 1, '2021-07-19 12:07:18', NULL, NULL), (34234, '', '岳巴乡理公村民委员会', '49445199836b444dbf9b62d5d1f521b7', 'ffead5b76f6c4369ba68f082fc0cbb63', 'False', 'True', 'false', 'false', '513330202499', 5, '理公村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330202499', 1, '2021-07-19 12:07:18', NULL, NULL), (34235, '', '龚垭镇', 'c35b46c166524a83b1390e60d88f8a7e', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330204000', 4, '龚垭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330204000', 1, '2021-07-19 12:07:18', NULL, NULL), (34236, '', '格苏村民委员会', 'c98c0ed6d7eb48e4b8f821d7fa32da69', 'c35b46c166524a83b1390e60d88f8a7e', 'False', 'True', 'false', 'false', '513330204118', 5, '格苏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330204118', 1, '2021-07-19 12:07:18', NULL, NULL), (34237, '', '更达村民委员会', '1e2fe2fd53f44b7a922784fbeee2ae47', 'c35b46c166524a83b1390e60d88f8a7e', 'False', 'True', 'false', 'false', '513330204377', 5, '更达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330204377', 1, '2021-07-19 12:07:18', NULL, NULL), (34238, '', '龚垭村民委员会', '00a22417b2f64f218faf84f84a91e883', 'c35b46c166524a83b1390e60d88f8a7e', 'False', 'True', 'false', 'false', '513330204456', 5, '龚垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330204456', 1, '2021-07-19 12:07:18', NULL, NULL), (34239, '', '折学村民委员会', 'c78333a05d7c4a1a8eb78945d9eea215', 'c35b46c166524a83b1390e60d88f8a7e', 'False', 'True', 'false', 'false', '513330204544', 5, '折学村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330204544', 1, '2021-07-19 12:07:18', NULL, NULL), (34240, '', '来格村民委员会', 'b822edb739d54b28b257033fe89bc33f', 'c35b46c166524a83b1390e60d88f8a7e', 'False', 'True', 'false', 'false', '513330204722', 5, '来格村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330204722', 1, '2021-07-19 12:07:18', NULL, NULL), (34241, '', '雨托村民委员会', '52f5440a93034b98857361e35370a6cc', 'c35b46c166524a83b1390e60d88f8a7e', 'False', 'True', 'false', 'false', '513330204799', 5, '雨托村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330204799', 1, '2021-07-19 12:07:18', NULL, NULL), (34242, '', '血呷村民委员会', '42363ed8bece4839991276ae86f38ddf', 'c35b46c166524a83b1390e60d88f8a7e', 'False', 'True', 'false', 'false', '513330204805', 5, '血呷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330204805', 1, '2021-07-19 12:07:18', NULL, NULL), (34243, '', '秧达村民委员会', '57c01efcb4644756a9e6a95834bdc0ca', 'c35b46c166524a83b1390e60d88f8a7e', 'False', 'True', 'false', 'false', '513330204820', 5, '秧达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330204820', 1, '2021-07-19 12:07:18', NULL, NULL), (34244, '', '普西村民委员会', 'fe810fce10514b139b9f53d270f63947', 'c35b46c166524a83b1390e60d88f8a7e', 'False', 'True', 'false', 'false', '513330204856', 5, '普西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330204856', 1, '2021-07-19 12:07:18', NULL, NULL), (34245, '', '洞庄村民委员会', 'ebfc8c975df245f8857e626f2fd7b2f8', 'c35b46c166524a83b1390e60d88f8a7e', 'False', 'True', 'false', 'false', '513330204888', 5, '洞庄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330204888', 1, '2021-07-19 12:07:18', NULL, NULL), (34246, '', '康公村民委员会', 'ed725f15353247cf9e970e60ab41ce35', 'c35b46c166524a83b1390e60d88f8a7e', 'False', 'True', 'false', 'false', '513330204922', 5, '康公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330204922', 1, '2021-07-19 12:07:18', NULL, NULL), (34247, '', '白垭乡', '1843f5d61ecc452b961aecede56a0035', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330205000', 4, '白垭乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330205000', 1, '2021-07-19 12:07:19', NULL, NULL), (34248, '', '阿池村民委员会', '0a01c5296ed941fca2225232c43ede61', '1843f5d61ecc452b961aecede56a0035', 'False', 'True', 'false', 'false', '513330205076', 5, '阿池村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330205076', 1, '2021-07-19 12:07:19', NULL, NULL), (34249, '', '日火村民委员会', '9ff21581e49c4820abb6d90c512a0650', '1843f5d61ecc452b961aecede56a0035', 'False', 'True', 'false', 'false', '513330205169', 5, '日火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330205169', 1, '2021-07-19 12:07:19', NULL, NULL), (34250, '', '窝色村民委员会', '84337bc88c9e4cecae1ce4eaaad8cee1', '1843f5d61ecc452b961aecede56a0035', 'False', 'True', 'false', 'false', '513330205302', 5, '窝色村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330205302', 1, '2021-07-19 12:07:19', NULL, NULL), (34251, '', '茶安村民委员会', '3c15d7df66d84339b7805aa089a44143', '1843f5d61ecc452b961aecede56a0035', 'False', 'True', 'false', 'false', '513330205502', 5, '茶安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330205502', 1, '2021-07-19 12:07:19', NULL, NULL), (34252, '', '冷茶村民委员会', '9830a51383dd4cb6a578c202619a13a7', '1843f5d61ecc452b961aecede56a0035', 'False', 'True', 'false', 'false', '513330205638', 5, '冷茶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330205638', 1, '2021-07-19 12:07:19', NULL, NULL), (34253, '', '尼朱村民委员会', 'a3359b991de54ad1928a506e6a895db8', '1843f5d61ecc452b961aecede56a0035', 'False', 'True', 'false', 'false', '513330205820', 5, '尼朱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330205820', 1, '2021-07-19 12:07:19', NULL, NULL), (34254, '', '林学村民委员会', 'a99d97c78fd54b13af47c43a1c33835c', '1843f5d61ecc452b961aecede56a0035', 'False', 'True', 'false', 'false', '513330205982', 5, '林学村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330205982', 1, '2021-07-19 12:07:19', NULL, NULL), (34255, '', '汪布顶乡', '013c4a60622c4b16adc99c602bd2a017', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330206000', 4, '汪布顶乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330206000', 1, '2021-07-19 12:07:19', NULL, NULL), (34256, '', '龚加村民委员会', 'f72fc713e44b4f9585b8933a53ba8e6a', '013c4a60622c4b16adc99c602bd2a017', 'False', 'True', 'false', 'false', '513330206014', 5, '龚加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330206014', 1, '2021-07-19 12:07:19', NULL, NULL), (34257, '', '汪布顶村民委员会', 'abcd405405924f5883178ef950c188cc', '013c4a60622c4b16adc99c602bd2a017', 'False', 'True', 'false', 'false', '513330206319', 5, '汪布顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330206319', 1, '2021-07-19 12:07:19', NULL, NULL), (34258, '', '西巴村民委员会', 'd2f9a086d889417e8937b58464430c0e', '013c4a60622c4b16adc99c602bd2a017', 'False', 'True', 'false', 'false', '513330206401', 5, '西巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330206401', 1, '2021-07-19 12:07:19', NULL, NULL), (34259, '', '扎西旦村民委员会', '425b8a4e00274870ae13137848f26b83', '013c4a60622c4b16adc99c602bd2a017', 'False', 'True', 'false', 'false', '513330206411', 5, '扎西旦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330206411', 1, '2021-07-19 12:07:19', NULL, NULL), (34260, '', '亚且村民委员会', 'a81d8bcad59f4740889e164fa7a1c2ba', '013c4a60622c4b16adc99c602bd2a017', 'False', 'True', 'false', 'false', '513330206415', 5, '亚且村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330206415', 1, '2021-07-19 12:07:19', NULL, NULL), (34261, '', '各麦村民委员会', 'cf72ddb42f804e048acd8b9a1435f95d', '013c4a60622c4b16adc99c602bd2a017', 'False', 'True', 'false', 'false', '513330206537', 5, '各麦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330206537', 1, '2021-07-19 12:07:19', NULL, NULL), (34262, '', '柯洛洞乡', '963404f19de346698db74cf9bf4bae00', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330207000', 4, '柯洛洞乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330207000', 1, '2021-07-19 12:07:19', NULL, NULL), (34263, '', '夺色达村民委员会', '570c385f4dff40918f005ef7237e34e2', '963404f19de346698db74cf9bf4bae00', 'False', 'True', 'false', 'false', '513330207665', 5, '夺色达', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330207665', 1, '2021-07-19 12:07:20', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (34264, '', '色巴村村民委员会', '5b939e7925354c2f85b88257f2cf96ac', '963404f19de346698db74cf9bf4bae00', 'False', 'True', 'false', 'false', '513330207241', 5, '色巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330207241', 1, '2021-07-19 12:07:20', NULL, NULL), (34265, '', '郎达村村民委员会', '8755a61073ff4f3a81ea17cd6181372d', '963404f19de346698db74cf9bf4bae00', 'False', 'True', 'false', 'false', '513330207244', 5, '郎达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330207244', 1, '2021-07-19 12:07:20', NULL, NULL), (34266, '', '措普村村民委员会', '4f2fabda307345ec855642457c181016', '963404f19de346698db74cf9bf4bae00', 'False', 'True', 'false', 'false', '513330207272', 5, '措普村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330207272', 1, '2021-07-19 12:07:20', NULL, NULL), (34267, '', '牛麦村村民委员会', '02f781646d7d443d85b6be591f7fc893', '963404f19de346698db74cf9bf4bae00', 'False', 'True', 'false', 'false', '513330207804', 5, '牛麦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330207804', 1, '2021-07-19 12:07:20', NULL, NULL), (34268, '', '燃卡村村民委员会', 'ea6537a032ce43d083a894dd3714351d', '963404f19de346698db74cf9bf4bae00', 'False', 'True', 'false', 'false', '513330207960', 5, '燃卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330207960', 1, '2021-07-19 12:07:20', NULL, NULL), (34269, '', '独木岭村村民委员会', 'ff929dd7ea924802b01af1017a1c0883', '963404f19de346698db74cf9bf4bae00', 'False', 'True', 'false', 'false', '513330207973', 5, '独木岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330207973', 1, '2021-07-19 12:07:20', NULL, NULL), (34270, '', '卡松渡乡', '2c7fa4fa578146bb9230a88c6a45f184', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330208000', 4, '卡松渡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330208000', 1, '2021-07-19 12:07:20', NULL, NULL), (34271, '', '卡松渡乡卡莫村民委员会', '21eaa889e55944ec8191af1f4dadd912', '2c7fa4fa578146bb9230a88c6a45f184', 'False', 'True', 'false', 'false', '513330208356', 5, '卡莫村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330208356', 1, '2021-07-19 12:07:20', NULL, NULL), (34272, '', '卡松渡乡扎拉村民委员会', '1d4ed19ded004707b90118035682ff3c', '2c7fa4fa578146bb9230a88c6a45f184', 'False', 'True', 'false', 'false', '513330208809', 5, '扎拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330208809', 1, '2021-07-19 12:07:20', NULL, NULL), (34273, '', '卡松渡乡银多村民委员会', 'e8b47c0740074e27b8d297244df996c0', '2c7fa4fa578146bb9230a88c6a45f184', 'False', 'True', 'false', 'false', '513330208828', 5, '银多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330208828', 1, '2021-07-19 12:07:20', NULL, NULL), (34274, '', '卡松渡乡然卡村民委员会', 'c8fc2001e53a485dae05b7be7fdb560e', '2c7fa4fa578146bb9230a88c6a45f184', 'False', 'True', 'false', 'false', '513330208965', 5, '然卡村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330208965', 1, '2021-07-19 12:07:20', NULL, NULL), (34275, '', '俄南乡', '854bbcd1d1b34c8aa81a01a7be0356ea', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330209000', 4, '俄南乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330209000', 1, '2021-07-19 12:07:20', NULL, NULL), (34276, '', '绒加村民委员会', '54ac9953944940538588b3486b543ae7', '854bbcd1d1b34c8aa81a01a7be0356ea', 'False', 'True', 'false', 'false', '513330209171', 5, '绒加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330209171', 1, '2021-07-19 12:07:20', NULL, NULL), (34277, '', '马龙村民委员会', 'fe40c0f08ae242c2885158db7ebe1489', '854bbcd1d1b34c8aa81a01a7be0356ea', 'False', 'True', 'false', 'false', '513330209233', 5, '马龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330209233', 1, '2021-07-19 12:07:21', NULL, NULL), (34278, '', '俄南村民委员会', 'e0e8d49209ab43f0bc8ae1a572afac8c', '854bbcd1d1b34c8aa81a01a7be0356ea', 'False', 'True', 'false', 'false', '513330209599', 5, '俄南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330209599', 1, '2021-07-19 12:07:21', NULL, NULL), (34279, '', '真达村民委员会', '02cf4159c58f443a90329fb799ad15c7', '854bbcd1d1b34c8aa81a01a7be0356ea', 'False', 'True', 'false', 'false', '513330209644', 5, '真达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330209644', 1, '2021-07-19 12:07:21', NULL, NULL), (34280, '', '俄支乡', '8c8280bd5e4a4e3b9f3db2633ac327da', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330211000', 4, '俄支乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330211000', 1, '2021-07-19 12:07:21', NULL, NULL), (34281, '', '热水塘村民委员会', '747f245b460a492d911624d275acf9ad', '8c8280bd5e4a4e3b9f3db2633ac327da', 'False', 'True', 'false', 'false', '513330211153', 5, '热水塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330211153', 1, '2021-07-19 12:07:21', NULL, NULL), (34282, '', '绒娘村民委员会', '2a40ee2ac35c4bea80162437dc6ecab8', '8c8280bd5e4a4e3b9f3db2633ac327da', 'False', 'True', 'false', 'false', '513330211315', 5, '绒娘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330211315', 1, '2021-07-19 12:07:21', NULL, NULL), (34283, '', '洞中达村民委员会', 'c6b1ddef1a8948f186deac980d2c4bd9', '8c8280bd5e4a4e3b9f3db2633ac327da', 'False', 'True', 'false', 'false', '513330211397', 5, '洞中达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330211397', 1, '2021-07-19 12:07:21', NULL, NULL), (34284, '', '安戈玛村民委员会', '8da4f726582348edaf808ccc1ce78738', '8c8280bd5e4a4e3b9f3db2633ac327da', 'False', 'True', 'false', 'false', '513330211591', 5, '安戈玛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330211591', 1, '2021-07-19 12:07:21', NULL, NULL), (34285, '', '俄支村民委员会', 'edbad0650f33493399cb711d243e16d1', '8c8280bd5e4a4e3b9f3db2633ac327da', 'False', 'True', 'false', 'false', '513330211685', 5, '俄支村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330211685', 1, '2021-07-19 12:07:21', NULL, NULL), (34286, '', '烟达村民委员会', '4127bfdce9f743a499aaf949a382c4c8', '8c8280bd5e4a4e3b9f3db2633ac327da', 'False', 'True', 'false', 'false', '513330211694', 5, '烟达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330211694', 1, '2021-07-19 12:07:21', NULL, NULL), (34287, '', '玉隆乡', '2bc3e6d5cbf0402a9c4d8467dc876277', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330213000', 4, '玉隆乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330213000', 1, '2021-07-19 12:07:21', NULL, NULL), (34288, '', '白日一村村民委员会', '38318600b46542dbbe11db29b0163913', '2bc3e6d5cbf0402a9c4d8467dc876277', 'False', 'True', 'false', 'false', '513330213019', 5, '白日一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330213019', 1, '2021-07-19 12:07:21', NULL, NULL), (34289, '', '绒青村村民委员会', '31c6c0c9e5b04cb19f0c4501cfa66e6f', '2bc3e6d5cbf0402a9c4d8467dc876277', 'False', 'True', 'false', 'false', '513330213295', 5, '绒青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330213295', 1, '2021-07-19 12:07:21', NULL, NULL), (34290, '', '火然村村民委员会', 'f32d2d58759446d3ab722d7312fcc808', '2bc3e6d5cbf0402a9c4d8467dc876277', 'False', 'True', 'false', 'false', '513330213801', 5, '火然村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330213801', 1, '2021-07-19 12:07:21', NULL, NULL), (34291, '', '白日二村村民委员会', '7e9f1b82069740398a0ecacd0f97b122', '2bc3e6d5cbf0402a9c4d8467dc876277', 'False', 'True', 'false', 'false', '513330213888', 5, '白日二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330213888', 1, '2021-07-19 12:07:21', NULL, NULL), (34292, '', '中扎科镇', '89fea231c0e54fc19ed569838a4c8670', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330215000', 4, '中扎科镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330215000', 1, '2021-07-19 12:07:21', NULL, NULL), (34293, '', '曲公村民委员会', 'a7de2008853d45a0ad2ea065f622a3c8', '89fea231c0e54fc19ed569838a4c8670', 'False', 'True', 'false', 'false', '513330215061', 5, '曲公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330215061', 1, '2021-07-19 12:07:22', NULL, NULL), (34294, '', '月拉村民委员会', '68fb4e5be67248958ea7124add996fcb', '89fea231c0e54fc19ed569838a4c8670', 'False', 'True', 'false', 'false', '513330215139', 5, '月拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330215139', 1, '2021-07-19 12:07:22', NULL, NULL), (34295, '', '同鸠村民委员会', 'ed487902723d4f3aa0f6fd9ba76c51d8', '89fea231c0e54fc19ed569838a4c8670', 'False', 'True', 'false', 'false', '513330215261', 5, '同鸠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330215261', 1, '2021-07-19 12:07:22', NULL, NULL), (34296, '', '村科村民委员会', '384af0e61e09423e9eb4df3d8d1937cf', '89fea231c0e54fc19ed569838a4c8670', 'False', 'True', 'false', 'false', '513330215277', 5, '村科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330215277', 1, '2021-07-19 12:07:22', NULL, NULL), (34297, '', '多达村民委员会', '9dab508ffea14e7ea990bce468b87705', '89fea231c0e54fc19ed569838a4c8670', 'False', 'True', 'false', 'false', '513330215285', 5, '多达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330215285', 1, '2021-07-19 12:07:22', NULL, NULL), (34298, '', '瓦通村民委员会', '3503c81a86f0469496125a3efe99f60c', '89fea231c0e54fc19ed569838a4c8670', 'False', 'True', 'false', 'false', '513330215349', 5, '瓦通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330215349', 1, '2021-07-19 12:07:22', NULL, NULL), (34299, '', '窝坝村民委员会', 'fb175f3525094192b276a9d432ff18c9', '89fea231c0e54fc19ed569838a4c8670', 'False', 'True', 'false', 'false', '513330215362', 5, '窝坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330215362', 1, '2021-07-19 12:07:22', NULL, NULL), (34300, '', '雄拖村民委员会', 'db059f79b78447f5931b9f0cddcdbcf9', '89fea231c0e54fc19ed569838a4c8670', 'False', 'True', 'false', 'false', '513330215383', 5, '雄拖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330215383', 1, '2021-07-19 12:07:22', NULL, NULL), (34301, '', '扎多村民委员会', '53646e554d6d4285ae49fcaea0ff6503', '89fea231c0e54fc19ed569838a4c8670', 'False', 'True', 'false', 'false', '513330215535', 5, '扎多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330215535', 1, '2021-07-19 12:07:22', NULL, NULL), (34302, '', '上卡村民委员会', '6c8b8606b6b04f3a924c458331beccec', '89fea231c0e54fc19ed569838a4c8670', 'False', 'True', 'false', 'false', '513330215574', 5, '上卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330215574', 1, '2021-07-19 12:07:22', NULL, NULL), (34303, '', '芒科村民委员会', '8e372a26ed5340218946f781490bfca6', '89fea231c0e54fc19ed569838a4c8670', 'False', 'True', 'false', 'false', '513330215705', 5, '芒科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330215705', 1, '2021-07-19 12:07:22', NULL, NULL), (34304, '', '呷依村民委员会', '244dff18549a4a159970ba64f6b4ac29', '89fea231c0e54fc19ed569838a4c8670', 'False', 'True', 'false', 'false', '513330215801', 5, '呷依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330215801', 1, '2021-07-19 12:07:22', NULL, NULL), (34305, '', '地隆村民委员会', '59aecd3d935d48ba88a14b7975f97bc4', '89fea231c0e54fc19ed569838a4c8670', 'False', 'True', 'false', 'false', '513330215972', 5, '地隆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330215972', 1, '2021-07-19 12:07:23', NULL, NULL), (34306, '', '年古乡', '52853b83387049249eab1e27134cb2ff', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330219000', 4, '年古乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330219000', 1, '2021-07-19 12:07:23', NULL, NULL), (34307, '', '若达村民委员会', '74a6aee9ea714106be30488b5d30fd68', '52853b83387049249eab1e27134cb2ff', 'False', 'True', 'false', 'false', '513330219018', 5, '若达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330219018', 1, '2021-07-19 12:07:23', NULL, NULL), (34308, '', '同古村民委员会', 'a9044a2d45e843848ff7e59bddc69067', '52853b83387049249eab1e27134cb2ff', 'False', 'True', 'false', 'false', '513330219189', 5, '同古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330219189', 1, '2021-07-19 12:07:23', NULL, NULL), (34309, '', '门达村民委员会', '69292fd107de4cb2af4a04af8e77b532', '52853b83387049249eab1e27134cb2ff', 'False', 'True', 'false', 'false', '513330219576', 5, '门达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330219576', 1, '2021-07-19 12:07:23', NULL, NULL), (34310, '', '年古村民委员会', 'a3d3418032a94566afc6a54da0720ba1', '52853b83387049249eab1e27134cb2ff', 'False', 'True', 'false', 'false', '513330219778', 5, '年古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330219778', 1, '2021-07-19 12:07:23', NULL, NULL), (34311, '', '娃巴村民委员会', '9b9ce53fb6db4aef945fe9b78caa97c2', '52853b83387049249eab1e27134cb2ff', 'False', 'True', 'false', 'false', '513330219982', 5, '娃巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330219982', 1, '2021-07-19 12:07:23', NULL, NULL), (34312, '', '真达村民委员会', '88c0e61fdd1d46d494266e0b2ceeb801', '52853b83387049249eab1e27134cb2ff', 'False', 'True', 'false', 'false', '513330219990', 5, '真达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330219990', 1, '2021-07-19 12:07:23', NULL, NULL), (34313, '', '浪多乡', '54a5fe654c0b4696bdc5d04d2f53c69d', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330220000', 4, '浪多乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330220000', 1, '2021-07-19 12:07:23', NULL, NULL), (34314, '', '洞达村民委员会', '367befd45f7d47bd800e7c5eb9d6e82a', '54a5fe654c0b4696bdc5d04d2f53c69d', 'False', 'True', 'false', 'false', '513330220179', 5, '洞达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330220179', 1, '2021-07-19 12:07:23', NULL, NULL), (34315, '', '能麦村村民委员会', 'cfad651016384f89bcc6d219a04ebf53', '54a5fe654c0b4696bdc5d04d2f53c69d', 'False', 'True', 'false', 'false', '513330220299', 5, '能麦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330220299', 1, '2021-07-19 12:07:23', NULL, NULL), (34316, '', '生巴村村民委员会', '2ef8dc50ad2c485885dfcdc94fac8530', '54a5fe654c0b4696bdc5d04d2f53c69d', 'False', 'True', 'false', 'false', '513330220415', 5, '生巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330220415', 1, '2021-07-19 12:07:23', NULL, NULL), (34317, '', '志巴村村民委员会', '4078f6557e324b15aeda639c3ca102ba', '54a5fe654c0b4696bdc5d04d2f53c69d', 'False', 'True', 'false', 'false', '513330220452', 5, '志巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330220452', 1, '2021-07-19 12:07:23', NULL, NULL), (34318, '', '打滚镇', '0c2d543207a14eb9b6e4521c6b8132f6', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330222000', 4, '打滚镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330222000', 1, '2021-07-19 12:07:23', NULL, NULL), (34319, '', '俄柯村民委员会', '5c09f83ffcd14295819fc3773809f5be', '0c2d543207a14eb9b6e4521c6b8132f6', 'False', 'True', 'false', 'false', '513330107299', 5, '俄柯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330107299', 1, '2021-07-19 12:07:23', NULL, NULL), (34320, '', '芒布村民委员会', 'd9d04c2b62844ce2af4d29f9d0b449bc', '0c2d543207a14eb9b6e4521c6b8132f6', 'False', 'True', 'false', 'false', '513330107932', 5, '芒布村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330107932', 1, '2021-07-19 12:07:24', NULL, NULL), (34321, '', '呷拖村民委员会', 'faab4960c65544b6be90f7ee036d5b41', '0c2d543207a14eb9b6e4521c6b8132f6', 'False', 'True', 'false', 'false', '513330222294', 5, '呷拖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330222294', 1, '2021-07-19 12:07:24', NULL, NULL), (34322, '', '然尼村民委员会', 'c8528911c32e48988abe2ad95896543f', '0c2d543207a14eb9b6e4521c6b8132f6', 'False', 'True', 'false', 'false', '513330222352', 5, '然尼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330222352', 1, '2021-07-19 12:07:24', NULL, NULL), (34323, '', '尼穷村民委员会', '1b6d2a796f1946fab07280652e7fcd77', '0c2d543207a14eb9b6e4521c6b8132f6', 'False', 'True', 'false', 'false', '513330222690', 5, '尼穷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330222690', 1, '2021-07-19 12:07:24', NULL, NULL), (34324, '', '康秋村民委员会', 'fb02e6273178427ebb7ca7294b6e9950', '0c2d543207a14eb9b6e4521c6b8132f6', 'False', 'True', 'false', 'false', '513330222745', 5, '康秋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330222745', 1, '2021-07-19 12:07:24', NULL, NULL), (34325, '', '亚丁乡', '1bf5617ec029426bb0952bb11a267a7a', '87dc3c23f0624794b8de1cf5b3cb79d5', 'True', 'True', 'false', 'false', '513330223000', 4, '亚丁乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513330223000', 1, '2021-07-19 12:07:24', NULL, NULL), (34326, '', '根达村民委员会', '96b86556d9564e0882ae04621096291f', '1bf5617ec029426bb0952bb11a267a7a', 'False', 'True', 'false', 'false', '513330223007', 5, '根达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330223007', 1, '2021-07-19 12:07:24', NULL, NULL), (34327, '', '吉黑村民委员会', '4c3a76dadbd4402b8d4719622d1cb535', '1bf5617ec029426bb0952bb11a267a7a', 'False', 'True', 'false', 'false', '513330223080', 5, '吉黑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330223080', 1, '2021-07-19 12:07:24', NULL, NULL), (34328, '', '扎青村民委员会', 'e5a98bd8e0a5440594a9caacf4e08969', '1bf5617ec029426bb0952bb11a267a7a', 'False', 'True', 'false', 'false', '513330223152', 5, '扎青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330223152', 1, '2021-07-19 12:07:24', NULL, NULL), (34329, '', '吉绒村民委员会', 'e7e0eefe72024022aa1d46bd88c933e1', '1bf5617ec029426bb0952bb11a267a7a', 'False', 'True', 'false', 'false', '513330223241', 5, '吉绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330223241', 1, '2021-07-19 12:07:24', NULL, NULL), (34330, '', '扎多村民委员会', '40af9b5cc54444b1b342ea5518debca1', '1bf5617ec029426bb0952bb11a267a7a', 'False', 'True', 'false', 'false', '513330223562', 5, '扎多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330223562', 1, '2021-07-19 12:07:24', NULL, NULL), (34331, '', '吉陇村民委员会', 'e2f3bc5a900847d8ae875c74f1dfbfee', '1bf5617ec029426bb0952bb11a267a7a', 'False', 'True', 'false', 'false', '513330223590', 5, '吉陇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330223590', 1, '2021-07-19 12:07:24', NULL, NULL), (34332, '', '安然村民委员会', '0df3a88456b34175806e12f69daffd2a', '1bf5617ec029426bb0952bb11a267a7a', 'False', 'True', 'false', 'false', '513330223591', 5, '安然村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330223591', 1, '2021-07-19 12:07:24', NULL, NULL), (34333, '', '呷曲通村民委员会', '1a9b92d5769a4268bea03ac5f2cba54d', '1bf5617ec029426bb0952bb11a267a7a', 'False', 'True', 'false', 'false', '513330223829', 5, '呷曲通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513330223829', 1, '2021-07-19 12:07:24', NULL, NULL), (34334, '', '白玉县', '8974d411c795459888e530a52c8b13ca', '4e0988aa699e46dd9cdf992180c73cd8', 'True', 'True', 'false', 'false', '513331000000', 3, '白玉县', 'gzzbyx.sczwfw.gov.cn', 1, '2021-07-19 12:07:24', NULL, NULL), (34335, '', '盖玉镇', '971dd156bb91452988c5f986721b536c', '8974d411c795459888e530a52c8b13ca', 'False', 'True', 'false', 'false', '5133314653', 4, '盖玉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=5133314653', 1, '2021-07-19 12:07:24', NULL, NULL), (34336, '', '建设镇', 'd10a6127614545b59009b85435531baf', '8974d411c795459888e530a52c8b13ca', 'False', 'True', 'false', 'false', '513331100000', 4, '建设镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513331100000', 1, '2021-07-19 12:07:25', NULL, NULL), (34337, '', '阿察镇', 'a1cd4d50b50e41e289fa985d55d6a693', '8974d411c795459888e530a52c8b13ca', 'False', 'True', 'false', 'false', '513331101000', 4, '阿察镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513331101000', 1, '2021-07-19 12:07:25', NULL, NULL), (34338, '', '金沙乡', '4fc450d84a374ddc8dccd89191bb5ec4', '8974d411c795459888e530a52c8b13ca', 'False', 'True', 'false', 'false', '513331200000', 4, '金沙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513331200000', 1, '2021-07-19 12:07:25', NULL, NULL), (34339, '', '绒盖乡', '8786ecc85ea444b99f6122488e9b48ba', '8974d411c795459888e530a52c8b13ca', 'False', 'True', 'false', 'false', '513331201000', 4, '绒盖乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513331201000', 1, '2021-07-19 12:07:25', NULL, NULL), (34340, '', '章都乡', 'b52d01bafe944e0692bc559406050fc5', '8974d411c795459888e530a52c8b13ca', 'False', 'True', 'false', 'false', '513331202000', 4, '章都乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513331202000', 1, '2021-07-19 12:07:25', NULL, NULL), (34341, '', '麻绒乡', '5e8c38f700be452fbc213c626430ab3c', '8974d411c795459888e530a52c8b13ca', 'False', 'True', 'false', 'false', '513331203000', 4, '麻绒乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513331203000', 1, '2021-07-19 12:07:25', NULL, NULL), (34342, '', '河坡镇', '6891deaaf2b84a8eadcfae74dda07d5d', '8974d411c795459888e530a52c8b13ca', 'False', 'True', 'false', 'false', '513331204000', 4, '河坡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513331204000', 1, '2021-07-19 12:07:25', NULL, NULL), (34343, '', '热加乡', 'bedd3b8e5a224dde8b44968b53c16673', '8974d411c795459888e530a52c8b13ca', 'False', 'True', 'false', 'false', '513331205000', 4, '热加乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513331205000', 1, '2021-07-19 12:07:25', NULL, NULL), (34344, '', '登龙乡', '1f0c1dd02bd24344a78c2801f2e78bfe', '8974d411c795459888e530a52c8b13ca', 'False', 'True', 'false', 'false', '513331206000', 4, '登龙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513331206000', 1, '2021-07-19 12:07:25', NULL, NULL), (34345, '', '赠科乡', '01f79b22bcd64c22b20c41114e604115', '8974d411c795459888e530a52c8b13ca', 'False', 'True', 'false', 'false', '513331207000', 4, '赠科乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513331207000', 1, '2021-07-19 12:07:25', NULL, NULL), (34346, '', '麻邛乡', '9cf9b6d5c57f4a82a96fe68751c519d7', '8974d411c795459888e530a52c8b13ca', 'False', 'True', 'false', 'false', '513331209000', 4, '麻邛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513331209000', 1, '2021-07-19 12:07:25', NULL, NULL), (34347, '', '辽西乡', '735436c777564ae1b57b6eb19d013709', '8974d411c795459888e530a52c8b13ca', 'False', 'True', 'false', 'false', '513331210000', 4, '辽西乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513331210000', 1, '2021-07-19 12:07:25', NULL, NULL), (34348, '', '纳塔乡', 'd690bd4c261d4e40802fdba0fd76b496', '8974d411c795459888e530a52c8b13ca', 'False', 'True', 'false', 'false', '513331211000', 4, '纳塔乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513331211000', 1, '2021-07-19 12:07:25', NULL, NULL), (34349, '', '安孜乡', 'fac5f189b3f445e194c3f5a279d1facd', '8974d411c795459888e530a52c8b13ca', 'False', 'True', 'false', 'false', '513331212000', 4, '安孜乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513331212000', 1, '2021-07-19 12:07:25', NULL, NULL), (34350, '', '沙马乡', 'b619d91648e04eb5bc946c2c88457ae1', '8974d411c795459888e530a52c8b13ca', 'False', 'True', 'false', 'false', '513331214000', 4, '沙马乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513331214000', 1, '2021-07-19 12:07:25', NULL, NULL), (34351, '', '石渠县', '2fbe9e1d5cf1432584d8dcb6df84a6e1', '4e0988aa699e46dd9cdf992180c73cd8', 'True', 'True', 'false', 'false', '513332000000', 3, '石渠县', 'gzzsqx.sczwfw.gov.cn', 1, '2021-07-19 12:07:25', NULL, NULL), (34352, '', '尼呷镇', 'e7658825304f422bbcd7b44818c17ea6', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332100000', 4, '尼呷镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332100000', 1, '2021-07-19 12:07:25', NULL, NULL), (34353, '', '沙马村', 'fdc4cb7ee9e249818d5a1a45c4d8c48c', 'e7658825304f422bbcd7b44818c17ea6', 'False', 'False', 'false', 'false', '513332100038', 5, '沙马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332100038', 1, '2021-07-19 12:07:25', NULL, NULL), (34354, '', '低龙村', '92b796dadd934b31b0130950d1140dab', 'e7658825304f422bbcd7b44818c17ea6', 'False', 'False', 'false', 'false', '513332100055', 5, '低龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332100055', 1, '2021-07-19 12:07:26', NULL, NULL), (34355, '', '沙岔村', '36f3aa68d48c4f63917f56d6a8467bcf', 'e7658825304f422bbcd7b44818c17ea6', 'False', 'False', 'false', 'false', '513332100061', 5, '沙岔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332100061', 1, '2021-07-19 12:07:26', NULL, NULL), (34356, '', '古恩村', '3ca18f5ff924446bb595eee9254366a1', 'e7658825304f422bbcd7b44818c17ea6', 'False', 'False', 'false', 'false', '513332100159', 5, '古恩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332100159', 1, '2021-07-19 12:07:26', NULL, NULL), (34357, '', '阿第村', '1dcf4766e376409389380325c41469dc', 'e7658825304f422bbcd7b44818c17ea6', 'False', 'False', 'false', 'false', '513332100544', 5, '阿第村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332100544', 1, '2021-07-19 12:07:26', NULL, NULL), (34358, '', '菊母村', 'f954cf4ad35847ea8c0922dc6855e1aa', 'e7658825304f422bbcd7b44818c17ea6', 'False', 'False', 'false', 'false', '513332100896', 5, '菊母村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332100896', 1, '2021-07-19 12:07:26', NULL, NULL), (34359, '', '洛须镇', 'f5cd92f351af41c89684c7e8401242d9', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332101000', 4, '洛须镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332101000', 1, '2021-07-19 12:07:26', NULL, NULL), (34360, '', '温拖村', '37e236a4f518419dbb1cf1fcdca56b44', 'f5cd92f351af41c89684c7e8401242d9', 'False', 'False', 'false', 'false', '513332101140', 5, '温拖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332101140', 1, '2021-07-19 12:07:26', NULL, NULL), (34361, '', '丹达村', '83fbfbf3cb8444479d9b760ae8cd3293', 'f5cd92f351af41c89684c7e8401242d9', 'False', 'False', 'false', 'false', '513332101418', 5, '丹达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332101418', 1, '2021-07-19 12:07:26', NULL, NULL), (34362, '', '俄巴纳村', 'e9569a109a7e4f719344d17138c01226', 'f5cd92f351af41c89684c7e8401242d9', 'False', 'False', 'false', 'false', '513332101490', 5, '俄巴纳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332101490', 1, '2021-07-19 12:07:26', NULL, NULL), (34363, '', '更沙村', 'a149b4cab85740a8acf8b9c1f8c156f0', 'f5cd92f351af41c89684c7e8401242d9', 'False', 'False', 'false', 'false', '513332101523', 5, '更沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332101523', 1, '2021-07-19 12:07:26', NULL, NULL), (34364, '', '龙溪村', '98da832c15464f0a968190c6c2e0de35', 'f5cd92f351af41c89684c7e8401242d9', 'False', 'False', 'false', 'false', '513332101580', 5, '龙溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332101580', 1, '2021-07-19 12:07:26', NULL, NULL), (34365, '', '拉空龙村', '441d45ddd80045ef89c34fd7b17b5c8a', 'f5cd92f351af41c89684c7e8401242d9', 'False', 'False', 'false', 'false', '513332101742', 5, '拉空龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332101742', 1, '2021-07-19 12:07:26', NULL, NULL), (34366, '', '纳扎村', '8232d44230d1464b82397fd595e3dc40', 'f5cd92f351af41c89684c7e8401242d9', 'False', 'False', 'false', 'false', '513332101771', 5, '纳扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332101771', 1, '2021-07-19 12:07:26', NULL, NULL), (34367, '', '洛须龙村', '67b6f5b294b04daca8858613d4b39921', 'f5cd92f351af41c89684c7e8401242d9', 'False', 'False', 'false', 'false', '513332101922', 5, '洛须龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332101922', 1, '2021-07-19 12:07:26', NULL, NULL), (34368, '', '色须镇', '2d1aadd5da7c4ffa927383e26fad5f62', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332102000', 4, '色须镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332102000', 1, '2021-07-19 12:07:27', NULL, NULL), (34369, '', '日扎村', 'ec8d6c8fa5be4be3959fb10e806bb679', '2d1aadd5da7c4ffa927383e26fad5f62', 'False', 'False', 'false', 'false', '513332102025', 5, '日扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332102025', 1, '2021-07-19 12:07:27', NULL, NULL), (34370, '', '张君村', '9aead7e415544e22809c914a2279dc54', '2d1aadd5da7c4ffa927383e26fad5f62', 'False', 'False', 'false', 'false', '513332102039', 5, '张君村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332102039', 1, '2021-07-19 12:07:27', NULL, NULL), (34371, '', '修波村', '45cc0f8a92b549b9b2e1d2f15b42a171', '2d1aadd5da7c4ffa927383e26fad5f62', 'False', 'False', 'false', 'false', '513332102086', 5, '修波村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332102086', 1, '2021-07-19 12:07:27', NULL, NULL), (34372, '', '拉龙村', '04ea451c2c894b738db8443807765810', '2d1aadd5da7c4ffa927383e26fad5f62', 'False', 'False', 'false', 'false', '513332102105', 5, '拉龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332102105', 1, '2021-07-19 12:07:27', NULL, NULL), (34373, '', '仁绒村', '0abb036572cc481581bc08257d68fde6', '2d1aadd5da7c4ffa927383e26fad5f62', 'False', 'False', 'false', 'false', '513332102184', 5, '仁绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332102184', 1, '2021-07-19 12:07:27', NULL, NULL), (34374, '', '打龙村', '710fa0ed707743beb1626e352d453d55', '2d1aadd5da7c4ffa927383e26fad5f62', 'False', 'False', 'false', 'false', '513332102388', 5, '打龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332102388', 1, '2021-07-19 12:07:27', NULL, NULL), (34375, '', '瓦土村', '53554947cdcf4df59920eb470203575b', '2d1aadd5da7c4ffa927383e26fad5f62', 'False', 'False', 'false', 'false', '513332102509', 5, '瓦土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332102509', 1, '2021-07-19 12:07:27', NULL, NULL), (34376, '', '赤哇村', 'eb60507bd5194687abcb81cd6aca6835', '2d1aadd5da7c4ffa927383e26fad5f62', 'False', 'False', 'false', 'false', '513332102693', 5, '赤哇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332102693', 1, '2021-07-19 12:07:27', NULL, NULL), (34377, '', '色洞村', 'a31b1d65c7f940d7b5eec51abe6722cd', '2d1aadd5da7c4ffa927383e26fad5f62', 'False', 'False', 'false', 'false', '513332102799', 5, '色洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332102799', 1, '2021-07-19 12:07:27', NULL, NULL), (34378, '', '赤贡村', 'e4254d29e5e74f8d9507ebb8652f3741', '2d1aadd5da7c4ffa927383e26fad5f62', 'False', 'False', 'false', 'false', '513332102865', 5, '赤贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332102865', 1, '2021-07-19 12:07:27', NULL, NULL), (34379, '', '虾扎镇', '120de2d84a924ef389d6efc50fa6bfc9', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332103000', 4, '虾扎镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332103000', 1, '2021-07-19 12:07:27', NULL, NULL), (34380, '', '冻日村', 'a65b771d4c3e42c3992524037595b5ff', '120de2d84a924ef389d6efc50fa6bfc9', 'False', 'False', 'false', 'false', '513332103030', 5, '冻日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332103030', 1, '2021-07-19 12:07:27', NULL, NULL), (34381, '', '纽戈村', '19f386fcc3284540b02fc6dea8228627', '120de2d84a924ef389d6efc50fa6bfc9', 'False', 'False', 'false', 'false', '513332103283', 5, '纽戈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332103283', 1, '2021-07-19 12:07:27', NULL, NULL), (34382, '', '阿色村', 'f2588bdf2fd24e62b99e44bdaa4d3df5', '120de2d84a924ef389d6efc50fa6bfc9', 'False', 'False', 'false', 'false', '513332103515', 5, '阿色村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332103515', 1, '2021-07-19 12:07:27', NULL, NULL), (34383, '', '马东村', '4a0ec0821e92487f83309c8d7b97e720', '120de2d84a924ef389d6efc50fa6bfc9', 'False', 'False', 'false', 'false', '513332103637', 5, '马东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332103637', 1, '2021-07-19 12:07:28', NULL, NULL), (34384, '', '它须村', '68cef3854d674d8f8e1a42f1c2f972f2', '120de2d84a924ef389d6efc50fa6bfc9', 'False', 'False', 'false', 'false', '513332103769', 5, '它须村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332103769', 1, '2021-07-19 12:07:28', NULL, NULL), (34385, '', '查地村', '5d1825740bb948b18dce53e0ce02165c', '120de2d84a924ef389d6efc50fa6bfc9', 'False', 'False', 'false', 'false', '513332103819', 5, '查地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332103819', 1, '2021-07-19 12:07:28', NULL, NULL), (34386, '', '温波镇', 'd557bc715da34b6aa818bd8d30f388ef', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332104000', 4, '温波镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332104000', 1, '2021-07-19 12:07:28', NULL, NULL), (34387, '', '日影村', '47bb2a366d7d42289f28fb4241b18dfd', 'd557bc715da34b6aa818bd8d30f388ef', 'False', 'False', 'false', 'false', '513332104157', 5, '日影村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332104157', 1, '2021-07-19 12:07:28', NULL, NULL), (34388, '', '阿加村', 'bf6a0468fd22443d8f6c972246ec1ab8', 'd557bc715da34b6aa818bd8d30f388ef', 'False', 'False', 'false', 'false', '513332104397', 5, '阿加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332104397', 1, '2021-07-19 12:07:28', NULL, NULL), (34389, '', '阿沙村', 'e9ce1bfd602d4ec0887c71ed109850be', 'd557bc715da34b6aa818bd8d30f388ef', 'False', 'False', 'false', 'false', '513332104425', 5, '阿沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332104425', 1, '2021-07-19 12:07:28', NULL, NULL), (34390, '', '曲绒村', '7187ded8b42e4bef936d4188cf6e3e32', 'd557bc715da34b6aa818bd8d30f388ef', 'False', 'False', 'false', 'false', '513332104469', 5, '曲绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332104469', 1, '2021-07-19 12:07:28', NULL, NULL), (34391, '', '错卡村', '46d07b465ee34ba9b7fd50dc3e5275e2', 'd557bc715da34b6aa818bd8d30f388ef', 'False', 'False', 'false', 'false', '513332104692', 5, '错卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332104692', 1, '2021-07-19 12:07:28', NULL, NULL), (34392, '', '你虾村', 'd1d5e93988a7466fb6272caf476c90de', 'd557bc715da34b6aa818bd8d30f388ef', 'False', 'False', 'false', 'false', '513332104828', 5, '你虾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332104828', 1, '2021-07-19 12:07:28', NULL, NULL), (34393, '', '蒙宜镇', 'f0de0fe753f241739beb17ffcbc70251', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332105000', 4, '蒙宜镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332105000', 1, '2021-07-19 12:07:28', NULL, NULL), (34394, '', '各龙村', 'aa3afcfd9cf147ee869a95ab64edf1c4', 'f0de0fe753f241739beb17ffcbc70251', 'False', 'False', 'false', 'false', '513332105356', 5, '各龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332105356', 1, '2021-07-19 12:07:28', NULL, NULL), (34395, '', '蒙格村', 'f100fbbc006644dc813aa254b953ac00', 'f0de0fe753f241739beb17ffcbc70251', 'False', 'False', 'false', 'false', '513332105388', 5, '蒙格村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332105388', 1, '2021-07-19 12:07:28', NULL, NULL), (34396, '', '俄蒙村', '5097537d3c3a4a848b88941db073b215', 'f0de0fe753f241739beb17ffcbc70251', 'False', 'False', 'false', 'false', '513332105420', 5, '俄蒙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332105420', 1, '2021-07-19 12:07:28', NULL, NULL), (34397, '', '蒙宜村', '035ae59af2f64cc298b1390c33a80965', 'f0de0fe753f241739beb17ffcbc70251', 'False', 'False', 'false', 'false', '513332105533', 5, '蒙宜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332105533', 1, '2021-07-19 12:07:28', NULL, NULL), (34398, '', '俄马龙村', 'f3bef94b3cb34de08b7021bd602d96b4', 'f0de0fe753f241739beb17ffcbc70251', 'False', 'False', 'false', 'false', '513332105641', 5, '俄马龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332105641', 1, '2021-07-19 12:07:28', NULL, NULL), (34399, '', '呷加村', '7a90cdeed1984068a79e58776aa0c54e', 'f0de0fe753f241739beb17ffcbc70251', 'False', 'False', 'false', 'false', '513332105806', 5, '呷加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332105806', 1, '2021-07-19 12:07:28', NULL, NULL), (34400, '', '扎虾村', '5017e29047b5457781f9d15cc90de3ba', 'f0de0fe753f241739beb17ffcbc70251', 'False', 'False', 'false', 'false', '513332105849', 5, '扎虾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332105849', 1, '2021-07-19 12:07:28', NULL, NULL), (34401, '', '科龙村', '0e7378e3fae2433bb9b64b71fcc94eb3', 'f0de0fe753f241739beb17ffcbc70251', 'False', 'False', 'false', 'false', '513332105920', 5, '科龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332105920', 1, '2021-07-19 12:07:28', NULL, NULL), (34402, '', '真达乡', 'aeed2398d3d84070bbb085044e8a336f', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332200000', 4, '真达乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332200000', 1, '2021-07-19 12:07:28', NULL, NULL), (34403, '', '志巴村', '1ba40962bb1d4aa99c4188bb3dc08268', 'aeed2398d3d84070bbb085044e8a336f', 'False', 'False', 'false', 'false', '513332200021', 5, '志巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332200021', 1, '2021-07-19 12:07:29', NULL, NULL), (34404, '', '当巴村', '102238eb3e204c2d80d8c90e39827c54', 'aeed2398d3d84070bbb085044e8a336f', 'False', 'False', 'false', 'false', '513332200161', 5, '当巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332200161', 1, '2021-07-19 12:07:29', NULL, NULL), (34405, '', '更思村', '09f6098018ca4899953fd2883a8361eb', 'aeed2398d3d84070bbb085044e8a336f', 'False', 'False', 'false', 'false', '513332200359', 5, '更思村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332200359', 1, '2021-07-19 12:07:29', NULL, NULL), (34406, '', '普马村', 'b1e1cda3a0864aef83add6153470f516', 'aeed2398d3d84070bbb085044e8a336f', 'False', 'False', 'false', 'false', '513332200421', 5, '普马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332200421', 1, '2021-07-19 12:07:29', NULL, NULL), (34407, '', '洞古村', 'e213943efb504bcf99374857aa8f6c61', 'aeed2398d3d84070bbb085044e8a336f', 'False', 'False', 'false', 'false', '513332200424', 5, '洞古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332200424', 1, '2021-07-19 12:07:29', NULL, NULL), (34408, '', '傲一村', '485f2cd4c19e490882ad015b105cd411', 'aeed2398d3d84070bbb085044e8a336f', 'False', 'False', 'false', 'false', '513332200532', 5, '傲一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332200532', 1, '2021-07-19 12:07:29', NULL, NULL), (34409, '', '细绒刀马村', '067925a63ef6418fb5d13a9055c5882e', 'aeed2398d3d84070bbb085044e8a336f', 'False', 'False', 'false', 'false', '513332200611', 5, '细绒刀马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332200611', 1, '2021-07-19 12:07:29', NULL, NULL), (34410, '', '麻达村', '36eaafec897e4bdb8c99645c58bcb21f', 'aeed2398d3d84070bbb085044e8a336f', 'False', 'False', 'false', 'false', '513332200745', 5, '麻达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332200745', 1, '2021-07-19 12:07:29', NULL, NULL), (34411, '', '真达村', 'f66e815ad8a34b2cb26e170d19146362', 'aeed2398d3d84070bbb085044e8a336f', 'False', 'False', 'false', 'false', '513332200867', 5, '真达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332200867', 1, '2021-07-19 12:07:29', NULL, NULL), (34412, '', '紫夫村', '5ae38f3b274448259d9a23d826afe6a5', 'aeed2398d3d84070bbb085044e8a336f', 'False', 'False', 'false', 'false', '513332200925', 5, '紫夫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332200925', 1, '2021-07-19 12:07:29', NULL, NULL), (34413, '', '甲日村', '3563e356cadf42bba46cd7e75c2b80f1', 'aeed2398d3d84070bbb085044e8a336f', 'False', 'False', 'false', 'false', '513332200963', 5, '甲日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332200963', 1, '2021-07-19 12:07:29', NULL, NULL), (34414, '', '奔达乡', '65047083f5274fe4989d1956f0618cfa', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332201000', 4, '奔达乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332201000', 1, '2021-07-19 12:07:29', NULL, NULL), (34415, '', '然子村', '8e30f3f5d4324021b41272ba8f660e10', '65047083f5274fe4989d1956f0618cfa', 'False', 'False', 'false', 'false', '513332201178', 5, '然子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332201178', 1, '2021-07-19 12:07:29', NULL, NULL), (34416, '', '昌戈村', 'eab969d398434479a2b74323b02326c5', '65047083f5274fe4989d1956f0618cfa', 'False', 'False', 'false', 'false', '513332201227', 5, '昌戈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332201227', 1, '2021-07-19 12:07:29', NULL, NULL), (34417, '', '满真村', '0ceaa7d169504029a369909bcf84d981', '65047083f5274fe4989d1956f0618cfa', 'False', 'False', 'false', 'false', '513332201264', 5, '满真村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332201264', 1, '2021-07-19 12:07:29', NULL, NULL), (34418, '', '奔达村', '63e9cb3205264b8097d9abc4f3895735', '65047083f5274fe4989d1956f0618cfa', 'False', 'False', 'false', 'false', '513332201289', 5, '奔达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332201289', 1, '2021-07-19 12:07:29', NULL, NULL), (34419, '', '呷巴村', 'e91419c71f00492381d6b050d60eaaba', '65047083f5274fe4989d1956f0618cfa', 'False', 'False', 'false', 'false', '513332201569', 5, '呷巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332201569', 1, '2021-07-19 12:07:29', NULL, NULL), (34420, '', '格绒村', '0f96604136234103a6d209d6ff404bf6', '65047083f5274fe4989d1956f0618cfa', 'False', 'False', 'false', 'false', '513332201675', 5, '格绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332201675', 1, '2021-07-19 12:07:29', NULL, NULL), (34421, '', '阴巴村', 'a30ac254b6904531850c5297b34784b7', '65047083f5274fe4989d1956f0618cfa', 'False', 'False', 'false', 'false', '513332201893', 5, '阴巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332201893', 1, '2021-07-19 12:07:30', NULL, NULL), (34422, '', '正科乡', '29458c6e5f534a1d99b303f41fff5228', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332202000', 4, '正科乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332202000', 1, '2021-07-19 12:07:30', NULL, NULL), (34423, '', '钟青村', '0e29f0096f544d40adeb3dd7075c103f', '29458c6e5f534a1d99b303f41fff5228', 'False', 'False', 'false', 'false', '513332202123', 5, '钟青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332202123', 1, '2021-07-19 12:07:30', NULL, NULL), (34424, '', '更萨村', '58728666a6ec4f1d9d469d194503f361', '29458c6e5f534a1d99b303f41fff5228', 'False', 'False', 'false', 'false', '513332202175', 5, '更萨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332202175', 1, '2021-07-19 12:07:30', NULL, NULL), (34425, '', '甲松村', '865a9ad8fed747b4a379c5b9902698ab', '29458c6e5f534a1d99b303f41fff5228', 'False', 'False', 'false', 'false', '513332202236', 5, '甲松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332202236', 1, '2021-07-19 12:07:30', NULL, NULL), (34426, '', '娘巴村', '227fef1b23a9450e97231807136d9aa9', '29458c6e5f534a1d99b303f41fff5228', 'False', 'False', 'false', 'false', '513332202320', 5, '娘巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332202320', 1, '2021-07-19 12:07:30', NULL, NULL), (34427, '', '下拉村', '9ab0f46301d44e2fb34c17a69799a46f', '29458c6e5f534a1d99b303f41fff5228', 'False', 'False', 'false', 'false', '513332202330', 5, '下拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332202330', 1, '2021-07-19 12:07:30', NULL, NULL), (34428, '', '生巴村', '01a055bbd2a248c6b2f62ed77879ae65', '29458c6e5f534a1d99b303f41fff5228', 'False', 'False', 'false', 'false', '513332202359', 5, '生巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332202359', 1, '2021-07-19 12:07:30', NULL, NULL), (34429, '', '曲德村', 'a431dbdcc207452b8ac2558c80dd752e', '29458c6e5f534a1d99b303f41fff5228', 'False', 'False', 'false', 'false', '513332202442', 5, '曲德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332202442', 1, '2021-07-19 12:07:30', NULL, NULL), (34430, '', '然足村', 'fabaf05b8fa7480c8b5129b9ed31dc70', '29458c6e5f534a1d99b303f41fff5228', 'False', 'False', 'false', 'false', '513332202458', 5, '然足村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332202458', 1, '2021-07-19 12:07:30', NULL, NULL), (34431, '', '正通村', '8cf88b5ad1fd48a099070f917afd4c74', '29458c6e5f534a1d99b303f41fff5228', 'False', 'False', 'false', 'false', '513332202575', 5, '正通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332202575', 1, '2021-07-19 12:07:30', NULL, NULL), (34432, '', '正科村', '85ac3c5e3faf4aed91acbd384e4e8a3f', '29458c6e5f534a1d99b303f41fff5228', 'False', 'False', 'false', 'false', '513332202603', 5, '正科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332202603', 1, '2021-07-19 12:07:30', NULL, NULL), (34433, '', '普巴村', '2eac2f003a24469ab4743af5ff731255', '29458c6e5f534a1d99b303f41fff5228', 'False', 'False', 'false', 'false', '513332202831', 5, '普巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332202831', 1, '2021-07-19 12:07:30', NULL, NULL), (34434, '', '更生村', '8ee75ee7d4c444438fcc89e0738c7c7a', '29458c6e5f534a1d99b303f41fff5228', 'False', 'False', 'false', 'false', '513332202900', 5, '更生村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332202900', 1, '2021-07-19 12:07:30', NULL, NULL), (34435, '', '许巴村', 'f2cdfdddea0342a4b48d49ccefabf07b', '29458c6e5f534a1d99b303f41fff5228', 'False', 'False', 'false', 'false', '513332202959', 5, '许巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332202959', 1, '2021-07-19 12:07:30', NULL, NULL), (34436, '', '德荣马乡', 'bcc535d2ce9345f195e3df1972c8c153', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332204000', 4, '德荣马乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332204000', 1, '2021-07-19 12:07:30', NULL, NULL), (34437, '', '错茶村', '23b58fdf54c04502b55cf49603fb8cda', 'bcc535d2ce9345f195e3df1972c8c153', 'False', 'False', 'false', 'false', '513332204175', 5, '错茶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332204175', 1, '2021-07-19 12:07:31', NULL, NULL), (34438, '', '扎马村', '40e13eb898804c45a76c1cf6cb62a7cf', 'bcc535d2ce9345f195e3df1972c8c153', 'False', 'False', 'false', 'false', '513332204720', 5, '扎马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332204720', 1, '2021-07-19 12:07:31', NULL, NULL), (34439, '', '谷恩村', '1ec9ea19184544c19eb88c168cd78b8b', 'bcc535d2ce9345f195e3df1972c8c153', 'False', 'False', 'false', 'false', '513332204805', 5, '谷恩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332204805', 1, '2021-07-19 12:07:31', NULL, NULL), (34440, '', '龙仁村', 'e03f32823ba74432a55fe14c60fadbe3', 'bcc535d2ce9345f195e3df1972c8c153', 'False', 'False', 'false', 'false', '513332204810', 5, '龙仁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332204810', 1, '2021-07-19 12:07:31', NULL, NULL), (34441, '', '长沙贡马乡', 'c78773d1ed844d50aac01a21a4ef1303', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332206000', 4, '长沙贡马乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332206000', 1, '2021-07-19 12:07:31', NULL, NULL), (34442, '', '色更村', 'e44ff20d09a346a6a90a19401b6394c4', 'c78773d1ed844d50aac01a21a4ef1303', 'False', 'False', 'false', 'false', '513332206121', 5, '色更村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332206121', 1, '2021-07-19 12:07:31', NULL, NULL), (34443, '', '口司村', '9eb80c042f70473ca2d689519eb03fc0', 'c78773d1ed844d50aac01a21a4ef1303', 'False', 'False', 'false', 'false', '513332206129', 5, '口司村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332206129', 1, '2021-07-19 12:07:31', NULL, NULL), (34444, '', '绕瓦村', '085e30e817ce4c4191e02d6ccc25466a', 'c78773d1ed844d50aac01a21a4ef1303', 'False', 'False', 'false', 'false', '513332206201', 5, '绕瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332206201', 1, '2021-07-19 12:07:31', NULL, NULL), (34445, '', '查格村', '7dcd07bff0c0455bb1358522a08effdf', 'c78773d1ed844d50aac01a21a4ef1303', 'False', 'False', 'false', 'false', '513332206400', 5, '查格村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332206400', 1, '2021-07-19 12:07:31', NULL, NULL), (34446, '', '约瓦村', '5d94fc26e5354dd18b28c8156b963987', 'c78773d1ed844d50aac01a21a4ef1303', 'False', 'False', 'false', 'false', '513332206516', 5, '约瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332206516', 1, '2021-07-19 12:07:31', NULL, NULL), (34447, '', '查麦村', 'fdabb993d1e8494598827e7f8a1fcc6d', 'c78773d1ed844d50aac01a21a4ef1303', 'False', 'False', 'false', 'false', '513332206655', 5, '查麦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332206655', 1, '2021-07-19 12:07:31', NULL, NULL), (34448, '', '岗青村', '58ec7cd28d0f4060b88da1c4b6546752', 'c78773d1ed844d50aac01a21a4ef1303', 'False', 'False', 'false', 'false', '513332206704', 5, '岗青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332206704', 1, '2021-07-19 12:07:31', NULL, NULL), (34449, '', '查拉村', 'c73945ecf7bc4d6db9b3a0421d0fb65a', 'c78773d1ed844d50aac01a21a4ef1303', 'False', 'False', 'false', 'false', '513332206896', 5, '查拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332206896', 1, '2021-07-19 12:07:31', NULL, NULL), (34450, '', '查堆村', 'b9acac8531a542d6b350732fe4ee48ad', 'c78773d1ed844d50aac01a21a4ef1303', 'False', 'False', 'false', 'false', '513332206898', 5, '查堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332206898', 1, '2021-07-19 12:07:31', NULL, NULL), (34451, '', '呷衣乡', '34586ac7f509459d82cfb617adf69500', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332207000', 4, '呷衣乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332207000', 1, '2021-07-19 12:07:31', NULL, NULL), (34452, '', '觉吉村', 'cd06d8912e70457d94a649a689c71354', '34586ac7f509459d82cfb617adf69500', 'False', 'False', 'false', 'false', '513332207536', 5, '觉吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332207536', 1, '2021-07-19 12:07:31', NULL, NULL), (34453, '', '俄布村', 'b53c1a64c81844d491fbba38cfd460f6', '34586ac7f509459d82cfb617adf69500', 'False', 'False', 'false', 'false', '513332207637', 5, '俄布村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332207637', 1, '2021-07-19 12:07:31', NULL, NULL), (34454, '', '尼达村', '580a5521b3ed4f4093c088419c309e3f', '34586ac7f509459d82cfb617adf69500', 'False', 'False', 'false', 'false', '513332207666', 5, '尼达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332207666', 1, '2021-07-19 12:07:31', NULL, NULL), (34455, '', '俄青村', '71a267c15c7d4d66a53babcd200292a3', '34586ac7f509459d82cfb617adf69500', 'False', 'False', 'false', 'false', '513332207667', 5, '俄青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332207667', 1, '2021-07-19 12:07:32', NULL, NULL), (34456, '', '当拉村', '818c4f7568c94641b4994359a7e7e21e', '34586ac7f509459d82cfb617adf69500', 'False', 'False', 'false', 'false', '513332207698', 5, '当拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332207698', 1, '2021-07-19 12:07:32', NULL, NULL), (34457, '', '呷依村', 'c86a137d46e14598ada4564e65c4bfc1', '34586ac7f509459d82cfb617adf69500', 'False', 'False', 'false', 'false', '513332207723', 5, '呷依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332207723', 1, '2021-07-19 12:07:32', NULL, NULL), (34458, '', '八若村', '4e62196e7b7845f29f8cc2ad5925ed10', '34586ac7f509459d82cfb617adf69500', 'False', 'False', 'false', 'false', '513332207886', 5, '八若村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332207886', 1, '2021-07-19 12:07:32', NULL, NULL), (34459, '', '扎绒村', '440f1d715d5c4f099145e92723a2a36f', '34586ac7f509459d82cfb617adf69500', 'False', 'False', 'false', 'false', '513332207944', 5, '扎绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332207944', 1, '2021-07-19 12:07:32', NULL, NULL), (34460, '', '格孟乡', '21ee8dd2bc934cc3a9b0dd01c749834f', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332208000', 4, '格孟乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332208000', 1, '2021-07-19 12:07:32', NULL, NULL), (34461, '', '格贡村', 'd2948c42ee364bd696aeae251a451132', '21ee8dd2bc934cc3a9b0dd01c749834f', 'False', 'False', 'false', 'false', '513332208069', 5, '格贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332208069', 1, '2021-07-19 12:07:32', NULL, NULL), (34462, '', '港穷村', '05314d8b0da94ed3849e8249ca1a2166', '21ee8dd2bc934cc3a9b0dd01c749834f', 'False', 'False', 'false', 'false', '513332208117', 5, '港穷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332208117', 1, '2021-07-19 12:07:32', NULL, NULL), (34463, '', '格孟村', 'db271b9fda884f1f8e00572c0611f580', '21ee8dd2bc934cc3a9b0dd01c749834f', 'False', 'False', 'false', 'false', '513332208303', 5, '格孟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332208303', 1, '2021-07-19 12:07:32', NULL, NULL), (34464, '', '呷日村', '14a911165fa14b4bbe5202105970fb15', '21ee8dd2bc934cc3a9b0dd01c749834f', 'False', 'False', 'false', 'false', '513332208405', 5, '呷日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332208405', 1, '2021-07-19 12:07:32', NULL, NULL), (34465, '', '格嘎部落村', 'b3cc91d9eb60474da21e3d7f70e1d6e7', '21ee8dd2bc934cc3a9b0dd01c749834f', 'False', 'False', 'false', 'false', '513332208525', 5, '格嘎部落村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332208525', 1, '2021-07-19 12:07:32', NULL, NULL), (34466, '', '扎母村', 'ea7d82ca681a430b86535b92016065d8', '21ee8dd2bc934cc3a9b0dd01c749834f', 'False', 'False', 'false', 'false', '513332208813', 5, '扎母村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332208813', 1, '2021-07-19 12:07:32', NULL, NULL), (34467, '', '新荣乡', '2e1e71eb3f7a45d3be2ed398690817c6', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332210000', 4, '新荣乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332210000', 1, '2021-07-19 12:07:32', NULL, NULL), (34468, '', '火然村', '0ae553d612294d74bf3b1b88464589c0', '2e1e71eb3f7a45d3be2ed398690817c6', 'False', 'False', 'false', 'false', '513332210090', 5, '火然村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332210090', 1, '2021-07-19 12:07:32', NULL, NULL), (34469, '', '虾雄村', 'f51b1c0aacd14326bf0af5318eeb6049', '2e1e71eb3f7a45d3be2ed398690817c6', 'False', 'False', 'false', 'false', '513332210091', 5, '虾雄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332210091', 1, '2021-07-19 12:07:32', NULL, NULL), (34470, '', '果然村', '965ff09804f34aaebd21cc78cf8f50c5', '2e1e71eb3f7a45d3be2ed398690817c6', 'False', 'False', 'false', 'false', '513332210130', 5, '果然村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332210130', 1, '2021-07-19 12:07:32', NULL, NULL), (34471, '', '贡考村', 'e073393c40f545d6a734e3824e73114d', '2e1e71eb3f7a45d3be2ed398690817c6', 'False', 'False', 'false', 'false', '513332210325', 5, '贡考村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332210325', 1, '2021-07-19 12:07:32', NULL, NULL), (34472, '', '翁穷村', '982172a1fdca4cfdac32faeff6c58605', '2e1e71eb3f7a45d3be2ed398690817c6', 'False', 'False', 'false', 'false', '513332210429', 5, '翁穷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332210429', 1, '2021-07-19 12:07:33', NULL, NULL), (34473, '', '夺呷村', '8744b89da3f1468c8a9e319aad1e3652', '2e1e71eb3f7a45d3be2ed398690817c6', 'False', 'False', 'false', 'false', '513332210439', 5, '夺呷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332210439', 1, '2021-07-19 12:07:33', NULL, NULL), (34474, '', '宜牛乡', '32ea93f980594034b99b1baf4d243eed', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332211000', 4, '宜牛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332211000', 1, '2021-07-19 12:07:33', NULL, NULL), (34475, '', '扎龙村', 'cdf318821e4c4039b49994c03a92d8fd', '32ea93f980594034b99b1baf4d243eed', 'False', 'False', 'false', 'false', '513332211314', 5, '扎龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332211314', 1, '2021-07-19 12:07:33', NULL, NULL), (34476, '', '宜牛村', '0dacfd767b074b2398fced27419d5fd3', '32ea93f980594034b99b1baf4d243eed', 'False', 'False', 'false', 'false', '513332211436', 5, '宜牛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332211436', 1, '2021-07-19 12:07:33', NULL, NULL), (34477, '', '杜龙村', '3950570af2ed4d5180954bde572b4776', '32ea93f980594034b99b1baf4d243eed', 'False', 'False', 'false', 'false', '513332211727', 5, '杜龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332211727', 1, '2021-07-19 12:07:33', NULL, NULL), (34478, '', '捉日村', '6234ab3575be4fc99559dbffcff02916', '32ea93f980594034b99b1baf4d243eed', 'False', 'False', 'false', 'false', '513332211821', 5, '捉日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332211821', 1, '2021-07-19 12:07:33', NULL, NULL), (34479, '', '本日村', '6ca46b273e1141ba8e69724e086a3671', '32ea93f980594034b99b1baf4d243eed', 'False', 'False', 'false', 'false', '513332211945', 5, '本日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332211945', 1, '2021-07-19 12:07:33', NULL, NULL), (34480, '', '起坞乡', 'a06ad704438f4979b02b6450d7b221cc', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332213000', 4, '起坞乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332213000', 1, '2021-07-19 12:07:33', NULL, NULL), (34481, '', '扎干村', '205a10b97e244d28a9f329c4c6500b74', 'a06ad704438f4979b02b6450d7b221cc', 'False', 'False', 'false', 'false', '513332213159', 5, '扎干村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332213159', 1, '2021-07-19 12:07:33', NULL, NULL), (34482, '', '起坞村', 'b38dc83fd48b4d759834794236f2182b', 'a06ad704438f4979b02b6450d7b221cc', 'False', 'False', 'false', 'false', '513332213207', 5, '起坞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332213207', 1, '2021-07-19 12:07:33', NULL, NULL), (34483, '', '重地松村', 'cd4c961e520a407aa5cd7055681a4d3b', 'a06ad704438f4979b02b6450d7b221cc', 'False', 'False', 'false', 'false', '513332213304', 5, '重地松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332213304', 1, '2021-07-19 12:07:33', NULL, NULL), (34484, '', '格拖村', 'dd7a7e41e3984706b895a41f620471b7', 'a06ad704438f4979b02b6450d7b221cc', 'False', 'False', 'false', 'false', '513332213694', 5, '格拖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332213694', 1, '2021-07-19 12:07:33', NULL, NULL), (34485, '', '甲冲村', '78ea95a9575c4ca7953c0625c0d546f8', 'a06ad704438f4979b02b6450d7b221cc', 'False', 'False', 'false', 'false', '513332213731', 5, '甲冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332213731', 1, '2021-07-19 12:07:33', NULL, NULL), (34486, '', '觉悟村', '4c5b833d11a04343b52ec6463b21bc7b', 'a06ad704438f4979b02b6450d7b221cc', 'False', 'False', 'false', 'false', '513332213886', 5, '觉悟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332213886', 1, '2021-07-19 12:07:33', NULL, NULL), (34487, '', '阿日扎镇', '9a24e6c9415e463ab0cdcf180b47742c', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332214000', 4, '阿日扎镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332214000', 1, '2021-07-19 12:07:33', NULL, NULL), (34488, '', '翁布村', '38a1904bf547418789109554ab59ae7b', '9a24e6c9415e463ab0cdcf180b47742c', 'False', 'False', 'false', 'false', '513332106151', 5, '翁布村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332106151', 1, '2021-07-19 12:07:33', NULL, NULL), (34489, '', '麻曲村', '1f5a503b04e948588a492e685f6c9356', '9a24e6c9415e463ab0cdcf180b47742c', 'False', 'False', 'false', 'false', '513332106251', 5, '麻曲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332106251', 1, '2021-07-19 12:07:33', NULL, NULL), (34490, '', '邦充村', 'b41fd47c44754a8b816f7c7420d06d23', '9a24e6c9415e463ab0cdcf180b47742c', 'False', 'False', 'false', 'false', '513332106438', 5, '邦充村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332106438', 1, '2021-07-19 12:07:33', NULL, NULL), (34491, '', '扎起村', '55b26f864c0d4a169bafe1fbb510f3ea', '9a24e6c9415e463ab0cdcf180b47742c', 'False', 'False', 'false', 'false', '513332106456', 5, '扎起村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332106456', 1, '2021-07-19 12:07:33', NULL, NULL), (34492, '', '各冲村', 'e9206c98ed0e41898c58cefb52f9acef', '9a24e6c9415e463ab0cdcf180b47742c', 'False', 'False', 'false', 'false', '513332106699', 5, '各冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332106699', 1, '2021-07-19 12:07:34', NULL, NULL), (34493, '', '错布村', 'f56461e9b9c2455eafed82d031f9b288', '9a24e6c9415e463ab0cdcf180b47742c', 'False', 'False', 'false', 'false', '513332106717', 5, '错布村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332106717', 1, '2021-07-19 12:07:34', NULL, NULL), (34494, '', '恰冲村', 'a6f02b872d934595be5fffa7946ced47', '9a24e6c9415e463ab0cdcf180b47742c', 'False', 'False', 'false', 'false', '513332106760', 5, '恰冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332106760', 1, '2021-07-19 12:07:34', NULL, NULL), (34495, '', '各普村', '58a0339eedcd44188713cda8d9085fb9', '9a24e6c9415e463ab0cdcf180b47742c', 'False', 'False', 'false', 'false', '513332106817', 5, '各普村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332106817', 1, '2021-07-19 12:07:34', NULL, NULL), (34496, '', '马崩村', '77c92c2f1e7143dcbef84e9bc8c947d9', '9a24e6c9415e463ab0cdcf180b47742c', 'False', 'False', 'false', 'false', '513332106874', 5, '马崩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332106874', 1, '2021-07-19 12:07:34', NULL, NULL), (34497, '', '长须贡马乡', '41cdbdaa2e154b649c332196300298b4', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332215000', 4, '长须贡马乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332215000', 1, '2021-07-19 12:07:34', NULL, NULL), (34498, '', '尔马底村', '370bb713246349069d21fe5a1a1fac77', '41cdbdaa2e154b649c332196300298b4', 'False', 'False', 'false', 'false', '513332215019', 5, '尔马底村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332215019', 1, '2021-07-19 12:07:34', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (34499, '', '托思村', 'f6d4fcf493b34991bbcfc5458297d01b', '41cdbdaa2e154b649c332196300298b4', 'False', 'False', 'false', 'false', '513332215256', 5, '托思村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332215256', 1, '2021-07-19 12:07:34', NULL, NULL), (34500, '', '哈伟村', '44c5224fa0a4455da3d81b3de0eac4bc', '41cdbdaa2e154b649c332196300298b4', 'False', 'False', 'false', 'false', '513332215296', 5, '哈伟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332215296', 1, '2021-07-19 12:07:34', NULL, NULL), (34501, '', '河差村', 'd7fe5994a83648ada099108710c7abf1', '41cdbdaa2e154b649c332196300298b4', 'False', 'False', 'false', 'false', '513332215357', 5, '河差村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332215357', 1, '2021-07-19 12:07:34', NULL, NULL), (34502, '', '日美村', '478f0b69e4e545958ef91ef214c3ef60', '41cdbdaa2e154b649c332196300298b4', 'False', 'False', 'false', 'false', '513332215403', 5, '日美村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332215403', 1, '2021-07-19 12:07:34', NULL, NULL), (34503, '', '江马村', '1a1f3d2bb5674fa088b353c18145acd7', '41cdbdaa2e154b649c332196300298b4', 'False', 'False', 'false', 'false', '513332215789', 5, '江马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332215789', 1, '2021-07-19 12:07:34', NULL, NULL), (34504, '', '长沙干马乡', '23ef402be4d640bc9e773b4c3f36e078', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332216000', 4, '长沙干马乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332216000', 1, '2021-07-19 12:07:34', NULL, NULL), (34505, '', '虎热村', '2b00e17ca83a4aa6b4fb1d945f57450d', '23ef402be4d640bc9e773b4c3f36e078', 'False', 'False', 'false', 'false', '513332216015', 5, '虎热村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332216015', 1, '2021-07-19 12:07:34', NULL, NULL), (34506, '', '伍拉村', '0eedd5d2a609482a89dc4defe330cac4', '23ef402be4d640bc9e773b4c3f36e078', 'False', 'False', 'false', 'false', '513332216326', 5, '伍拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332216326', 1, '2021-07-19 12:07:34', NULL, NULL), (34507, '', '俄加村', 'bd9c2760af324362b04735f50ffdc1e1', '23ef402be4d640bc9e773b4c3f36e078', 'False', 'False', 'false', 'false', '513332216493', 5, '俄加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332216493', 1, '2021-07-19 12:07:34', NULL, NULL), (34508, '', '约达村', 'd093e698ea004b69b351ebf241837e88', '23ef402be4d640bc9e773b4c3f36e078', 'False', 'False', 'false', 'false', '513332216599', 5, '约达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332216599', 1, '2021-07-19 12:07:34', NULL, NULL), (34509, '', '生保村', 'c33cc6f887ad4bcf961e88fd21902315', '23ef402be4d640bc9e773b4c3f36e078', 'False', 'False', 'false', 'false', '513332216958', 5, '生保村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332216958', 1, '2021-07-19 12:07:34', NULL, NULL), (34510, '', '曲麦村', '3dfa28494e124ae49a09a077fd58bf17', '23ef402be4d640bc9e773b4c3f36e078', 'False', 'False', 'false', 'false', '513332216997', 5, '曲麦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332216997', 1, '2021-07-19 12:07:34', NULL, NULL), (34511, '', '长须干马乡', '15997b9d2adb4cce8cabda91bc3a8689', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332217000', 4, '长须干马乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332217000', 1, '2021-07-19 12:07:34', NULL, NULL), (34512, '', '地香村', 'c99a973ad47e42e58b561123b93f7ab6', '15997b9d2adb4cce8cabda91bc3a8689', 'False', 'False', 'false', 'false', '513332217046', 5, '地香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332217046', 1, '2021-07-19 12:07:35', NULL, NULL), (34513, '', '同呷村', '4355742033ca4f368097fa54010c2ae8', '15997b9d2adb4cce8cabda91bc3a8689', 'False', 'False', 'false', 'false', '513332217204', 5, '同呷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332217204', 1, '2021-07-19 12:07:35', NULL, NULL), (34514, '', '热乌村', 'bb1c68f7729e452a8c1796c0844f6ced', '15997b9d2adb4cce8cabda91bc3a8689', 'False', 'False', 'false', 'false', '513332217232', 5, '热乌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332217232', 1, '2021-07-19 12:07:35', NULL, NULL), (34515, '', '领多村', 'a43416c9350b4e6496e6d42767849db3', '15997b9d2adb4cce8cabda91bc3a8689', 'False', 'False', 'false', 'false', '513332217553', 5, '领多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332217553', 1, '2021-07-19 12:07:35', NULL, NULL), (34516, '', '莫日村', '6abc0ef9169146abaa9babbe4592e3fc', '15997b9d2adb4cce8cabda91bc3a8689', 'False', 'False', 'false', 'false', '513332217589', 5, '莫日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332217589', 1, '2021-07-19 12:07:35', NULL, NULL), (34517, '', '阿都村', '479049676ddb4eaa82b466283fac9487', '15997b9d2adb4cce8cabda91bc3a8689', 'False', 'False', 'false', 'false', '513332217952', 5, '阿都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332217952', 1, '2021-07-19 12:07:35', NULL, NULL), (34518, '', '瓦须乡', '08bd144676ba486791a856f1f45b85b1', '2fbe9e1d5cf1432584d8dcb6df84a6e1', 'True', 'True', 'false', 'false', '513332219000', 4, '瓦须乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513332219000', 1, '2021-07-19 12:07:35', NULL, NULL), (34519, '', '香钦村', 'b05e1c72dd184758a5587e7250605cec', '08bd144676ba486791a856f1f45b85b1', 'False', 'False', 'false', 'false', '513332219171', 5, '香钦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332219171', 1, '2021-07-19 12:07:35', NULL, NULL), (34520, '', '夺树村', '9d88491e92484ab0a4567925dd88d113', '08bd144676ba486791a856f1f45b85b1', 'False', 'False', 'false', 'false', '513332219262', 5, '夺树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332219262', 1, '2021-07-19 12:07:35', NULL, NULL), (34521, '', '热亚村', 'daf311f0f6be4e7a8c1b5cd177827557', '08bd144676ba486791a856f1f45b85b1', 'False', 'False', 'false', 'false', '513332219268', 5, '热亚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332219268', 1, '2021-07-19 12:07:35', NULL, NULL), (34522, '', '哈达村', '04fab0915a644423b45d9b595bedbbf0', '08bd144676ba486791a856f1f45b85b1', 'False', 'False', 'false', 'false', '513332219354', 5, '哈达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332219354', 1, '2021-07-19 12:07:35', NULL, NULL), (34523, '', '干补村', '690f11d1ceac4367a4d01b35eda63ff4', '08bd144676ba486791a856f1f45b85b1', 'False', 'False', 'false', 'false', '513332219547', 5, '干补村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332219547', 1, '2021-07-19 12:07:35', NULL, NULL), (34524, '', '舍龙村', '38d0c9c2e3bc45adb9a36e5ebb98abbb', '08bd144676ba486791a856f1f45b85b1', 'False', 'False', 'false', 'false', '513332219707', 5, '舍龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513332219707', 1, '2021-07-19 12:07:35', NULL, NULL), (34525, '', '新龙县', '1a6a312a2d7247e2bc39d5469a8f9495', '4e0988aa699e46dd9cdf992180c73cd8', 'True', 'True', 'false', 'false', '513329000000', 3, '新龙县', 'gzzxlx.sczwfw.gov.cn', 1, '2021-07-19 12:07:35', NULL, NULL), (34526, '', '茹龙镇', '8f90593832be4c5f9997b924952d00dd', '1a6a312a2d7247e2bc39d5469a8f9495', 'True', 'True', 'false', 'false', '513329100000', 4, '茹龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513329100000', 1, '2021-07-19 12:07:35', NULL, NULL), (34527, '', '达日村', '6b54d32aa9464f20aef732cc6596c36b', '8f90593832be4c5f9997b924952d00dd', 'False', 'True', 'false', 'false', '513329100001', 5, '达日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329100001', 1, '2021-07-19 12:07:35', NULL, NULL), (34528, '', '银龙村', 'c42167de9ca6438fbe682604ebc7961a', '8f90593832be4c5f9997b924952d00dd', 'False', 'True', 'false', 'false', '513329100078', 5, '银龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329100078', 1, '2021-07-19 12:07:36', NULL, NULL), (34529, '', '高山村', '51cac3deaeff4e83861749fa8f8f3923', '8f90593832be4c5f9997b924952d00dd', 'False', 'True', 'false', 'false', '513329100118', 5, '高山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329100118', 1, '2021-07-19 12:07:36', NULL, NULL), (34530, '', '卡鲁村', 'aa15be404d8b4fd5b47286e1fd4e9d47', '8f90593832be4c5f9997b924952d00dd', 'False', 'True', 'false', 'false', '513329100161', 5, '卡鲁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329100161', 1, '2021-07-19 12:07:36', NULL, NULL), (34531, '', '故西村', '1e9d2055c96d4510af3df18ea685c5f6', '8f90593832be4c5f9997b924952d00dd', 'False', 'True', 'false', 'false', '513329100163', 5, '故西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329100163', 1, '2021-07-19 12:07:36', NULL, NULL), (34532, '', '仁古村', '4aa8a6f33f9b4a3f896b5e088291d4bb', '8f90593832be4c5f9997b924952d00dd', 'False', 'True', 'false', 'false', '513329100260', 5, '仁古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329100260', 1, '2021-07-19 12:07:36', NULL, NULL), (34533, '', '土古村', '386853266bc4428d8ef5698635658af4', '8f90593832be4c5f9997b924952d00dd', 'False', 'True', 'false', 'false', '513329100274', 5, '土古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329100274', 1, '2021-07-19 12:07:36', NULL, NULL), (34534, '', '东格村', '5112545520574fb2afd789c9d696624a', '8f90593832be4c5f9997b924952d00dd', 'False', 'True', 'false', 'false', '513329100290', 5, '东格村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329100290', 1, '2021-07-19 12:07:36', NULL, NULL), (34535, '', '俄日村', '08e465d5865d4625aed6c5d7fe23258b', '8f90593832be4c5f9997b924952d00dd', 'False', 'True', 'false', 'false', '513329100446', 5, '俄日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329100446', 1, '2021-07-19 12:07:36', NULL, NULL), (34536, '', '依鲁村', '873a5f48281d4a148af5ee4402e7fb9e', '8f90593832be4c5f9997b924952d00dd', 'False', 'True', 'false', 'false', '513329100477', 5, '依鲁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329100477', 1, '2021-07-19 12:07:36', NULL, NULL), (34537, '', '阿呷村', '7a50f794cae145c2ad8ada90ba860b1f', '8f90593832be4c5f9997b924952d00dd', 'False', 'True', 'false', 'false', '513329100544', 5, '阿呷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329100544', 1, '2021-07-19 12:07:36', NULL, NULL), (34538, '', '曲格村', 'af8211a669ad4a4b9f0efd765d27c457', '8f90593832be4c5f9997b924952d00dd', 'False', 'True', 'false', 'false', '513329100627', 5, '曲格村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329100627', 1, '2021-07-19 12:07:36', NULL, NULL), (34539, '', '吴西村', '46f7369956254434808b0240b2e5c8b1', '8f90593832be4c5f9997b924952d00dd', 'False', 'True', 'false', 'false', '513329100758', 5, '吴西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329100758', 1, '2021-07-19 12:07:36', NULL, NULL), (34540, '', '城区村', 'd5d651b871674f648bbb9aac54ec83ee', '8f90593832be4c5f9997b924952d00dd', 'False', 'True', 'false', 'false', '513329100767', 5, '城区村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329100767', 1, '2021-07-19 12:07:36', NULL, NULL), (34541, '', '城区居民委员会', 'f6eb8457b02d4e0dafcad32e1dffbd53', '8f90593832be4c5f9997b924952d00dd', 'False', 'True', 'false', 'false', '513329100826', 5, '城区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329100826', 1, '2021-07-19 12:07:36', NULL, NULL), (34542, '', '益西村', '3c2f2912b28941239a5f9669b11b6c40', '8f90593832be4c5f9997b924952d00dd', 'False', 'True', 'false', 'false', '513329100848', 5, '益西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329100848', 1, '2021-07-19 12:07:36', NULL, NULL), (34543, '', '拉日马镇', 'fae595aabf2848099fdd8d755730f852', '1a6a312a2d7247e2bc39d5469a8f9495', 'True', 'True', 'false', 'false', '513329101000', 4, '拉日马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513329101000', 1, '2021-07-19 12:07:36', NULL, NULL), (34544, '', '泽龙多村', '69a61b30db6b46a981fe5307c96ab97d', 'fae595aabf2848099fdd8d755730f852', 'False', 'True', 'false', 'false', '513329101027', 5, '泽龙多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329101027', 1, '2021-07-19 12:07:36', NULL, NULL), (34545, '', '松多顶村', '84828ce1a421425aa93e37ab22d11462', 'fae595aabf2848099fdd8d755730f852', 'False', 'True', 'false', 'false', '513329101037', 5, '松多顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329101037', 1, '2021-07-19 12:07:36', NULL, NULL), (34546, '', '色戈村', 'ceeebb877f404f9f86b8d37e6559047e', 'fae595aabf2848099fdd8d755730f852', 'False', 'True', 'false', 'false', '513329101153', 5, '色戈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329101153', 1, '2021-07-19 12:07:37', NULL, NULL), (34547, '', '康多村', '49277fcf9ac249c1a16ef28bcc1453a2', 'fae595aabf2848099fdd8d755730f852', 'False', 'True', 'false', 'false', '513329101396', 5, '康多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329101396', 1, '2021-07-19 12:07:37', NULL, NULL), (34548, '', '扎宗村', '4dc104b3e5d04becb9e5f38cfd0e3ae2', 'fae595aabf2848099fdd8d755730f852', 'False', 'True', 'false', 'false', '513329101543', 5, '扎宗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329101543', 1, '2021-07-19 12:07:37', NULL, NULL), (34549, '', '拉麦村', 'ee7fda9340cf40589a2ae536e2d36c25', 'fae595aabf2848099fdd8d755730f852', 'False', 'True', 'false', 'false', '513329101562', 5, '拉麦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329101562', 1, '2021-07-19 12:07:37', NULL, NULL), (34550, '', '更卡村', 'be2b683286084a8ea6f0b06ff609c72c', 'fae595aabf2848099fdd8d755730f852', 'False', 'True', 'false', 'false', '513329101701', 5, '更卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329101701', 1, '2021-07-19 12:07:37', NULL, NULL), (34551, '', '大盖镇', '94ec39294caf435b8ee2eefc49102f08', '1a6a312a2d7247e2bc39d5469a8f9495', 'True', 'True', 'false', 'false', '513329102000', 4, '大盖镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513329102000', 1, '2021-07-19 12:07:37', NULL, NULL), (34552, '', '竹青村', '5fa82650d3a94175a09835b441f9982e', '94ec39294caf435b8ee2eefc49102f08', 'False', 'True', 'false', 'false', '513329102005', 5, '竹青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329102005', 1, '2021-07-19 12:07:37', NULL, NULL), (34553, '', '大盖村', '1deeca4875d24018afa4f4005dd3ac54', '94ec39294caf435b8ee2eefc49102f08', 'False', 'True', 'false', 'false', '513329102050', 5, '大盖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329102050', 1, '2021-07-19 12:07:37', NULL, NULL), (34554, '', '赤措村', 'a9df55a0737443d68a3e9a883f0bab9a', '94ec39294caf435b8ee2eefc49102f08', 'False', 'True', 'false', 'false', '513329102089', 5, '赤措村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329102089', 1, '2021-07-19 12:07:37', NULL, NULL), (34555, '', '汤科村', 'a038c9b87fce4c1cab718fa669eb447d', '94ec39294caf435b8ee2eefc49102f08', 'False', 'True', 'false', 'false', '513329102306', 5, '汤科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329102306', 1, '2021-07-19 12:07:37', NULL, NULL), (34556, '', '木鲁村', '55dd908b83d4405e9f574cf8ebeb1f63', '94ec39294caf435b8ee2eefc49102f08', 'False', 'True', 'false', 'false', '513329102802', 5, '木鲁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329102802', 1, '2021-07-19 12:07:37', NULL, NULL), (34557, '', '麦科村', '92786d811a194b8d836e515562095680', '94ec39294caf435b8ee2eefc49102f08', 'False', 'True', 'false', 'false', '513329102874', 5, '麦科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329102874', 1, '2021-07-19 12:07:37', NULL, NULL), (34558, '', '阿吉村', 'b2434ae4a1684904a77dc806a8635b61', '94ec39294caf435b8ee2eefc49102f08', 'False', 'True', 'false', 'false', '513329102973', 5, '阿吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329102973', 1, '2021-07-19 12:07:37', NULL, NULL), (34559, '', '沙堆乡', '2cd222f619024608a2e6448ee8771b12', '1a6a312a2d7247e2bc39d5469a8f9495', 'True', 'True', 'false', 'false', '513329200000', 4, '沙堆乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513329200000', 1, '2021-07-19 12:07:37', NULL, NULL), (34560, '', '科查村', '6e701b59986f4ec89af34a44c31b75d7', '2cd222f619024608a2e6448ee8771b12', 'False', 'True', 'false', 'false', '513329200110', 5, '科查村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329200110', 1, '2021-07-19 12:07:37', NULL, NULL), (34561, '', '觉里村', '96e5497aafef4c2aa27482d9659f3f19', '2cd222f619024608a2e6448ee8771b12', 'False', 'True', 'false', 'false', '513329200286', 5, '觉里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329200286', 1, '2021-07-19 12:07:37', NULL, NULL), (34562, '', '然真村', '1503f35701d644bd86a7a766477d01fd', '2cd222f619024608a2e6448ee8771b12', 'False', 'True', 'false', 'false', '513329200528', 5, '然真村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329200528', 1, '2021-07-19 12:07:37', NULL, NULL), (34563, '', '各中村', '1fd080ee23174d469d6ede61845f2516', '2cd222f619024608a2e6448ee8771b12', 'False', 'True', 'false', 'false', '513329200637', 5, '各中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329200637', 1, '2021-07-19 12:07:37', NULL, NULL), (34564, '', '吕汝村', '4f232d7604b04a94b75289207bc9e0f3', '2cd222f619024608a2e6448ee8771b12', 'False', 'True', 'false', 'false', '513329200686', 5, '吕汝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329200686', 1, '2021-07-19 12:07:38', NULL, NULL), (34565, '', '绕鲁乡', 'd07eb3c1229541c0bc56e7bdcab5abdf', '1a6a312a2d7247e2bc39d5469a8f9495', 'True', 'True', 'false', 'false', '513329203000', 4, '绕鲁乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513329203000', 1, '2021-07-19 12:07:38', NULL, NULL), (34566, '', '壮巴村', '3b98b33670f2422bbe00f3f1075761eb', 'd07eb3c1229541c0bc56e7bdcab5abdf', 'False', 'True', 'false', 'false', '513329203110', 5, '壮巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329203110', 1, '2021-07-19 12:07:38', NULL, NULL), (34567, '', '茶下村', 'aedd6eea3e6642c19f059c16e807bca9', 'd07eb3c1229541c0bc56e7bdcab5abdf', 'False', 'True', 'false', 'false', '513329203190', 5, '茶下村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329203190', 1, '2021-07-19 12:07:38', NULL, NULL), (34568, '', '学麦村', 'aef80f17c1c947159c793511e12d994d', 'd07eb3c1229541c0bc56e7bdcab5abdf', 'False', 'True', 'false', 'false', '513329203212', 5, '学麦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329203212', 1, '2021-07-19 12:07:38', NULL, NULL), (34569, '', '基洛村', '4d37d23b64234205b40b1d877850da1c', 'd07eb3c1229541c0bc56e7bdcab5abdf', 'False', 'True', 'false', 'false', '513329203385', 5, '基洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329203385', 1, '2021-07-19 12:07:38', NULL, NULL), (34570, '', '绕鲁村', '175d108d9b8040b4ac076220c62a7800', 'd07eb3c1229541c0bc56e7bdcab5abdf', 'False', 'True', 'false', 'false', '513329203401', 5, '绕鲁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329203401', 1, '2021-07-19 12:07:38', NULL, NULL), (34571, '', '相堆村', '99c742ea4c444e40b8bb0ae3cb0595d7', 'd07eb3c1229541c0bc56e7bdcab5abdf', 'False', 'True', 'false', 'false', '513329203491', 5, '相堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329203491', 1, '2021-07-19 12:07:38', NULL, NULL), (34572, '', '色威镇', '1dfab3118a564b23998bee0687a32d28', '1a6a312a2d7247e2bc39d5469a8f9495', 'True', 'True', 'false', 'false', '513329204000', 4, '色威镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513329204000', 1, '2021-07-19 12:07:38', NULL, NULL), (34573, '', '切依村', '185dd976bcd04cf79fd6cd6db7da63d3', '1dfab3118a564b23998bee0687a32d28', 'False', 'True', 'false', 'false', '513329104532', 5, '切依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329104532', 1, '2021-07-19 12:07:38', NULL, NULL), (34574, '', '尼拖村', '4375ae29f4f64e3f8e5fbabed21ccf3c', '1dfab3118a564b23998bee0687a32d28', 'False', 'True', 'false', 'false', '513329104917', 5, '尼拖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329104917', 1, '2021-07-19 12:07:38', NULL, NULL), (34575, '', '桑郎村', 'f427b21374c448118dd64ea8faf50f01', '1dfab3118a564b23998bee0687a32d28', 'False', 'True', 'false', 'false', '513329104983', 5, '桑郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329104983', 1, '2021-07-19 12:07:38', NULL, NULL), (34576, '', '克日多村', '37d02199d0a44255b61b199e94cb7c51', '1dfab3118a564b23998bee0687a32d28', 'False', 'True', 'false', 'false', '513329204094', 5, '克日多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329204094', 1, '2021-07-19 12:07:38', NULL, NULL), (34577, '', '俄色村', '94251a78e85543ad8f69a4afe360a0ea', '1dfab3118a564b23998bee0687a32d28', 'False', 'True', 'false', 'false', '513329204176', 5, '俄色村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329204176', 1, '2021-07-19 12:07:39', NULL, NULL), (34578, '', '谷日村', '2b5fbc16fbdf45c5b0768ddb536dfaf9', '1dfab3118a564b23998bee0687a32d28', 'False', 'True', 'false', 'false', '513329204240', 5, '谷日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329204240', 1, '2021-07-19 12:07:39', NULL, NULL), (34579, '', '泽西村', '063e7d401020453ea851be6aa6c419ab', '1dfab3118a564b23998bee0687a32d28', 'False', 'True', 'false', 'false', '513329204523', 5, '泽西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329204523', 1, '2021-07-19 12:07:39', NULL, NULL), (34580, '', '色威村', 'fef047b65ade47a0b220b16f358738c5', '1dfab3118a564b23998bee0687a32d28', 'False', 'True', 'false', 'false', '513329204559', 5, '色威村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329204559', 1, '2021-07-19 12:07:39', NULL, NULL), (34581, '', '益麦村', 'e52779b645694a278a18c3269bd929e1', '1dfab3118a564b23998bee0687a32d28', 'False', 'True', 'false', 'false', '513329204581', 5, '益麦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329204581', 1, '2021-07-19 12:07:39', NULL, NULL), (34582, '', '寺庙村', 'ca1c08318f2b4f068ccb9f91d3ac36aa', '1dfab3118a564b23998bee0687a32d28', 'False', 'True', 'false', 'false', '513329204852', 5, '寺庙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329204852', 1, '2021-07-19 12:07:39', NULL, NULL), (34583, '', '博美乡', '38eddff3e7844f88bd6c8949a0150aea', '1a6a312a2d7247e2bc39d5469a8f9495', 'True', 'True', 'false', 'false', '513329207000', 4, '博美乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513329207000', 1, '2021-07-19 12:07:39', NULL, NULL), (34584, '', '博美村', '5a6d8cd1787b4a828f00b98b27e04cd0', '38eddff3e7844f88bd6c8949a0150aea', 'False', 'True', 'false', 'false', '513329207042', 5, '博美村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329207042', 1, '2021-07-19 12:07:39', NULL, NULL), (34585, '', '波洛村', '39fb40d6b6614ccfa83e51eaeb584794', '38eddff3e7844f88bd6c8949a0150aea', 'False', 'True', 'false', 'false', '513329207094', 5, '波洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329207094', 1, '2021-07-19 12:07:39', NULL, NULL), (34586, '', '德麦巴村', '07ff5ac894b2408fbe96d8235093e190', '38eddff3e7844f88bd6c8949a0150aea', 'False', 'True', 'false', 'false', '513329207125', 5, '德麦巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329207125', 1, '2021-07-19 12:07:39', NULL, NULL), (34587, '', '拉巴村', 'b33b8dbc111c4d60a4475e9f1aa64020', '38eddff3e7844f88bd6c8949a0150aea', 'False', 'True', 'false', 'false', '513329207524', 5, '拉巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329207524', 1, '2021-07-19 12:07:39', NULL, NULL), (34588, '', '仁乃村', 'fe4933774fc44abe90e0a010e26de9ec', '38eddff3e7844f88bd6c8949a0150aea', 'False', 'True', 'false', 'false', '513329207699', 5, '仁乃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329207699', 1, '2021-07-19 12:07:39', NULL, NULL), (34589, '', '尤拉西镇', '1c06045430364591a08277f095813e36', '1a6a312a2d7247e2bc39d5469a8f9495', 'True', 'True', 'false', 'false', '513329208000', 4, '尤拉西镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513329208000', 1, '2021-07-19 12:07:39', NULL, NULL), (34590, '', '尤拉西村', '034d7b88befb41f086aad318272e854c', '1c06045430364591a08277f095813e36', 'False', 'True', 'false', 'false', '513329208174', 5, '尤拉西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329208174', 1, '2021-07-19 12:07:39', NULL, NULL), (34591, '', '多则村', 'c4997233e04a4c0caf5d5ee562532fdc', '1c06045430364591a08277f095813e36', 'False', 'True', 'false', 'false', '513329208180', 5, '多则村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329208180', 1, '2021-07-19 12:07:39', NULL, NULL), (34592, '', '觉然村', '4b0f5458194e48df80290553eabce9eb', '1c06045430364591a08277f095813e36', 'False', 'True', 'false', 'false', '513329208315', 5, '觉然村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329208315', 1, '2021-07-19 12:07:39', NULL, NULL), (34593, '', '洛足村', 'ca0cd0829b8548339c390c786bd9556a', '1c06045430364591a08277f095813e36', 'False', 'True', 'false', 'false', '513329208581', 5, '洛足村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329208581', 1, '2021-07-19 12:07:39', NULL, NULL), (34594, '', '忙布村', '78633bbc07c8436dbacee49d49d574cf', '1c06045430364591a08277f095813e36', 'False', 'True', 'false', 'false', '513329208790', 5, '忙布村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329208790', 1, '2021-07-19 12:07:39', NULL, NULL), (34595, '', '子拖西乡', '09be364d8be749819bde8b702d57e3ac', '1a6a312a2d7247e2bc39d5469a8f9495', 'True', 'True', 'false', 'false', '513329209000', 4, '子拖西乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513329209000', 1, '2021-07-19 12:07:39', NULL, NULL), (34596, '', '所差村', '0f0a6a8a2a414446a28baa114be34639', '09be364d8be749819bde8b702d57e3ac', 'False', 'True', 'false', 'false', '513329209182', 5, '所差村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329209182', 1, '2021-07-19 12:07:40', NULL, NULL), (34597, '', '郎村', 'b087016030e94115ae04fd1f91dc555d', '09be364d8be749819bde8b702d57e3ac', 'False', 'True', 'false', 'false', '513329209211', 5, '郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329209211', 1, '2021-07-19 12:07:40', NULL, NULL), (34598, '', '当巴村', 'c89c1c7a694149139d0257727e4aeab5', '09be364d8be749819bde8b702d57e3ac', 'False', 'True', 'false', 'false', '513329209872', 5, '当巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329209872', 1, '2021-07-19 12:07:40', NULL, NULL), (34599, '', '呷戈村', '8245f7d5034249ecaade7b1aab811032', '09be364d8be749819bde8b702d57e3ac', 'False', 'True', 'false', 'false', '513329209938', 5, '呷戈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329209938', 1, '2021-07-19 12:07:40', NULL, NULL), (34600, '', '和平乡', '1f5ea4e67ddd4417b03bc83d2940a2e3', '1a6a312a2d7247e2bc39d5469a8f9495', 'True', 'True', 'false', 'false', '513329210000', 4, '和平乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513329210000', 1, '2021-07-19 12:07:40', NULL, NULL), (34601, '', '麻西村', '075244bc83dc461c837ff5faa99713ea', '1f5ea4e67ddd4417b03bc83d2940a2e3', 'False', 'True', 'false', 'false', '513329210435', 5, '麻西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329210435', 1, '2021-07-19 12:07:40', NULL, NULL), (34602, '', '竹青村', 'a1cef51e98bb40f6bfe386b0a90a03b8', '1f5ea4e67ddd4417b03bc83d2940a2e3', 'False', 'True', 'false', 'false', '513329210474', 5, '竹青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329210474', 1, '2021-07-19 12:07:40', NULL, NULL), (34603, '', '甲西村', '0b003c20d6c84973b418a8299afb7ee6', '1f5ea4e67ddd4417b03bc83d2940a2e3', 'False', 'True', 'false', 'false', '513329210871', 5, '甲西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329210871', 1, '2021-07-19 12:07:40', NULL, NULL), (34604, '', '日巴村', '2832e8e0151640a7bcb64d8f6fd4cf4f', '1f5ea4e67ddd4417b03bc83d2940a2e3', 'False', 'True', 'false', 'false', '513329210995', 5, '日巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329210995', 1, '2021-07-19 12:07:40', NULL, NULL), (34605, '', '洛古乡', 'e1741fed979043498ee40ce134f07dd2', '1a6a312a2d7247e2bc39d5469a8f9495', 'True', 'True', 'false', 'false', '513329211000', 4, '洛古乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513329211000', 1, '2021-07-19 12:07:40', NULL, NULL), (34606, '', '泽科村', 'e571eeb7d3904193b732afa11bcd9987', 'e1741fed979043498ee40ce134f07dd2', 'False', 'True', 'false', 'false', '513329211258', 5, '泽科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329211258', 1, '2021-07-19 12:07:40', NULL, NULL), (34607, '', '东风村', '0698df799ed74e3e896b184d6832379a', 'e1741fed979043498ee40ce134f07dd2', 'False', 'True', 'false', 'false', '513329211523', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329211523', 1, '2021-07-19 12:07:40', NULL, NULL), (34608, '', '日古村', '703c40b7c43948e8b6428d25f9850a45', 'e1741fed979043498ee40ce134f07dd2', 'False', 'True', 'false', 'false', '513329211836', 5, '日古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329211836', 1, '2021-07-19 12:07:40', NULL, NULL), (34609, '', '亚所村', 'f901384cf05b4114a0d550142664047e', 'e1741fed979043498ee40ce134f07dd2', 'False', 'True', 'false', 'false', '513329211906', 5, '亚所村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329211906', 1, '2021-07-19 12:07:40', NULL, NULL), (34610, '', '雄龙西乡', '07093794d8a34b14b317f3865c1dcf1b', '1a6a312a2d7247e2bc39d5469a8f9495', 'True', 'True', 'false', 'false', '513329212000', 4, '雄龙西乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513329212000', 1, '2021-07-19 12:07:40', NULL, NULL), (34611, '', '腰古村', '5ce2df4bd1f94f3386974976c9041751', '07093794d8a34b14b317f3865c1dcf1b', 'False', 'True', 'false', 'false', '513329212031', 5, '腰古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329212031', 1, '2021-07-19 12:07:40', NULL, NULL), (34612, '', '提巴村', '62a269bc8c1d47bcb8cf07c8c3648701', '07093794d8a34b14b317f3865c1dcf1b', 'False', 'True', 'false', 'false', '513329212152', 5, '提巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329212152', 1, '2021-07-19 12:07:40', NULL, NULL), (34613, '', '卡鲁村', '2a65aacadd78403380b5919531844633', '07093794d8a34b14b317f3865c1dcf1b', 'False', 'True', 'false', 'false', '513329212592', 5, '卡鲁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329212592', 1, '2021-07-19 12:07:41', NULL, NULL), (34614, '', '古鲁村', 'a6221fdf6eb54bea9574c87d22bf6f62', '07093794d8a34b14b317f3865c1dcf1b', 'False', 'True', 'false', 'false', '513329212804', 5, '古鲁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329212804', 1, '2021-07-19 12:07:41', NULL, NULL), (34615, '', '哈米村', '24de114db7ab4f5683289a5d68a60f5b', '07093794d8a34b14b317f3865c1dcf1b', 'False', 'True', 'false', 'false', '513329212843', 5, '哈米村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329212843', 1, '2021-07-19 12:07:41', NULL, NULL), (34616, '', '麻日乡', 'c1a3fa7754834669b4cfbbd6ba130135', '1a6a312a2d7247e2bc39d5469a8f9495', 'True', 'True', 'false', 'false', '513329213000', 4, '麻日乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513329213000', 1, '2021-07-19 12:07:41', NULL, NULL), (34617, '', '南多村', 'fced316c1389495f8a7bbd7f07357e73', 'c1a3fa7754834669b4cfbbd6ba130135', 'False', 'True', 'false', 'false', '513329213023', 5, '南多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329213023', 1, '2021-07-19 12:07:41', NULL, NULL), (34618, '', '德巴村', 'e8480db69eb044e0ba22c26484cb3e98', 'c1a3fa7754834669b4cfbbd6ba130135', 'False', 'True', 'false', 'false', '513329213529', 5, '德巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329213529', 1, '2021-07-19 12:07:41', NULL, NULL), (34619, '', '麦坝村', '7ebb798f095f4b8bb22851f12b3448a8', 'c1a3fa7754834669b4cfbbd6ba130135', 'False', 'True', 'false', 'false', '513329213721', 5, '麦坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329213721', 1, '2021-07-19 12:07:41', NULL, NULL), (34620, '', '通宵镇', '3394d63edf9f4573be57cb5985104025', '1a6a312a2d7247e2bc39d5469a8f9495', 'True', 'True', 'false', 'false', '513329214000', 4, '通宵镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513329214000', 1, '2021-07-19 12:07:41', NULL, NULL), (34621, '', '洛鲁村', '3d77e78552744d2fbd28b5d5c834e77d', '3394d63edf9f4573be57cb5985104025', 'False', 'True', 'false', 'false', '513329103003', 5, '洛鲁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329103003', 1, '2021-07-19 12:07:41', NULL, NULL), (34622, '', '足然村', '4c66fec10f1a45f785aa417529ea7038', '3394d63edf9f4573be57cb5985104025', 'False', 'True', 'false', 'false', '513329103020', 5, '足然村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329103020', 1, '2021-07-19 12:07:41', NULL, NULL), (34623, '', '塔布村', 'ec00a9ed9e124c8f9e1e4b8c5f22740b', '3394d63edf9f4573be57cb5985104025', 'False', 'True', 'false', 'false', '513329103285', 5, '塔布村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329103285', 1, '2021-07-19 12:07:41', NULL, NULL), (34624, '', '呷德村', '6fef6c946b95453f9a30628e4e513e1d', '3394d63edf9f4573be57cb5985104025', 'False', 'True', 'false', 'false', '513329103362', 5, '呷德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329103362', 1, '2021-07-19 12:07:41', NULL, NULL), (34625, '', '察亚所村', '930592634c084ad1962133a4db8cb7bf', '3394d63edf9f4573be57cb5985104025', 'False', 'True', 'false', 'false', '513329103518', 5, '察亚所村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329103518', 1, '2021-07-19 12:07:41', NULL, NULL), (34626, '', '察麻所村', 'fd3652fe27584e6b956a6384f30ed687', '3394d63edf9f4573be57cb5985104025', 'False', 'True', 'false', 'false', '513329103618', 5, '察麻所村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329103618', 1, '2021-07-19 12:07:41', NULL, NULL), (34627, '', '友谊乡', '1b5179600ac8455c9ee5e7fee8377003', '1a6a312a2d7247e2bc39d5469a8f9495', 'True', 'True', 'false', 'false', '513329215000', 4, '友谊乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513329215000', 1, '2021-07-19 12:07:41', NULL, NULL), (34628, '', '皮察村', '0d3c6bcccf624dada37a54cae275006c', '1b5179600ac8455c9ee5e7fee8377003', 'False', 'True', 'false', 'false', '513329215055', 5, '皮察村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329215055', 1, '2021-07-19 12:07:41', NULL, NULL), (34629, '', '古鲁村', 'dd0d3d503ca34935b5f8afd45ac35bd7', '1b5179600ac8455c9ee5e7fee8377003', 'False', 'True', 'false', 'false', '513329215311', 5, '古鲁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329215311', 1, '2021-07-19 12:07:41', NULL, NULL), (34630, '', '措日村', 'f1864210ddb94a40bf892f7dee4b943a', '1b5179600ac8455c9ee5e7fee8377003', 'False', 'True', 'false', 'false', '513329215596', 5, '措日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329215596', 1, '2021-07-19 12:07:41', NULL, NULL), (34631, '', '银多乡', '2b51e0369fb7403c91df34fce295eb9d', '1a6a312a2d7247e2bc39d5469a8f9495', 'True', 'True', 'false', 'false', '513329217000', 4, '银多乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513329217000', 1, '2021-07-19 12:07:41', NULL, NULL), (34632, '', '阿色一村', '5ea6b200cc59447ea15e032eef167571', '2b51e0369fb7403c91df34fce295eb9d', 'False', 'False', 'false', 'false', '513329217108', 5, '阿色一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329217108', 1, '2021-07-19 12:07:42', NULL, NULL), (34633, '', '阿色三村', '13a42e9787dd44d7bee796347c0065df', '2b51e0369fb7403c91df34fce295eb9d', 'False', 'False', 'false', 'false', '513329217311', 5, '阿色三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329217311', 1, '2021-07-19 12:07:42', NULL, NULL), (34634, '', '阿色二村', 'c7550414084d4ef88e9d90551870ddb1', '2b51e0369fb7403c91df34fce295eb9d', 'False', 'False', 'false', 'false', '513329217963', 5, '阿色二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513329217963', 1, '2021-07-19 12:07:42', NULL, NULL), (34635, '', '理塘县', '0329e312840e4c3bae40e9e6b5146899', '4e0988aa699e46dd9cdf992180c73cd8', 'True', 'True', 'false', 'false', '513334000000', 3, '理塘县', 'gzzltx.sczwfw.gov.cn', 1, '2021-07-19 12:07:42', NULL, NULL), (34636, '', '甲洼镇', 'ddb679093be047ac8dde55e1f1df1dc7', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334101000', 4, '甲洼镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334101000', 1, '2021-07-19 12:07:42', NULL, NULL), (34637, '', '江达村', 'b8bdb15afb2a47cca12d5ffcd44ff1ba', 'ddb679093be047ac8dde55e1f1df1dc7', 'False', 'True', 'false', 'false', '513334101305', 5, '江达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334101305', 1, '2021-07-19 12:07:42', NULL, NULL), (34638, '', '下甲洼村', '231b5d3f5f4b4304879d6e6d253c3910', 'ddb679093be047ac8dde55e1f1df1dc7', 'False', 'True', 'false', 'false', '513334101052', 5, '下甲洼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334101052', 1, '2021-07-19 12:07:42', NULL, NULL), (34639, '', '卡娘村', '1a2d8bf21638432d84dcc36dc00e8219', 'ddb679093be047ac8dde55e1f1df1dc7', 'False', 'True', 'false', 'false', '513334101203', 5, '卡娘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334101203', 1, '2021-07-19 12:07:42', NULL, NULL), (34640, '', '俄丁村', 'dac67679941d4327a4f648b329df5787', 'ddb679093be047ac8dde55e1f1df1dc7', 'False', 'False', 'false', 'false', '513334101276', 5, '俄丁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334101276', 1, '2021-07-19 12:07:42', NULL, NULL), (34641, '', '东珠村', '6c2f890e63dc4f67b5158600d6f7a663', 'ddb679093be047ac8dde55e1f1df1dc7', 'False', 'True', 'false', 'false', '513334101323', 5, '东珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334101323', 1, '2021-07-19 12:07:42', NULL, NULL), (34642, '', '君坝镇', '69d4fcaa9a3840ff8b80af93f90bd809', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334200000', 4, '君坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334200000', 1, '2021-07-19 12:07:42', NULL, NULL), (34643, '', '若西村', 'bef107f205c6474d9698995500ff9b21', '69d4fcaa9a3840ff8b80af93f90bd809', 'False', 'True', 'false', 'false', '513334200113', 5, '若西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334200113', 1, '2021-07-19 12:07:42', NULL, NULL), (34644, '', '俄何村', 'd042f8b56c5c4a0db56fca0be5dd0133', '69d4fcaa9a3840ff8b80af93f90bd809', 'False', 'True', 'false', 'false', '513334200197', 5, '俄何村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334200197', 1, '2021-07-19 12:07:42', NULL, NULL), (34645, '', '格拉村', 'cdccabfc95134844a282e8c79260150b', '69d4fcaa9a3840ff8b80af93f90bd809', 'False', 'True', 'false', 'false', '513334200353', 5, '格拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334200353', 1, '2021-07-19 12:07:42', NULL, NULL), (34646, '', '火古龙村', 'e5645f628857489095b403b7d1425e7f', '69d4fcaa9a3840ff8b80af93f90bd809', 'False', 'True', 'false', 'false', '513334200420', 5, '火古龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334200420', 1, '2021-07-19 12:07:43', NULL, NULL), (34647, '', '协合村', '6fc9c54169e34e39823da725cb46d8df', '69d4fcaa9a3840ff8b80af93f90bd809', 'False', 'True', 'false', 'false', '513334200751', 5, '协合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334200751', 1, '2021-07-19 12:07:43', NULL, NULL), (34648, '', '仁坝村', '50e31abb3c57439f9dcad229c7d7ddd1', '69d4fcaa9a3840ff8b80af93f90bd809', 'False', 'True', 'false', 'false', '513334200875', 5, '仁坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334200875', 1, '2021-07-19 12:07:43', NULL, NULL), (34649, '', '伦多村', 'dc4fe0ee71394b09a0162dbf402946c6', '69d4fcaa9a3840ff8b80af93f90bd809', 'False', 'True', 'false', 'false', '513334200900', 5, '伦多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334200900', 1, '2021-07-19 12:07:43', NULL, NULL), (34650, '', '卡共村', 'fa7af17779874ab8adf74dc9d0c4b9e2', '69d4fcaa9a3840ff8b80af93f90bd809', 'False', 'True', 'false', 'false', '513334200917', 5, '卡共村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334200917', 1, '2021-07-19 12:07:43', NULL, NULL), (34651, '', '合中村', 'de73e453ee944cd7a6e2edf07d22f69f', '69d4fcaa9a3840ff8b80af93f90bd809', 'False', 'True', 'false', 'false', '513334200333', 5, '合中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334200333', 1, '2021-07-19 12:07:43', NULL, NULL), (34652, '', '觉吾镇', 'a5a1ed9dad1349259df46551900632eb', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334202000', 4, '觉吾镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334202000', 1, '2021-07-19 12:07:43', NULL, NULL), (34653, '', '业姆村', 'f61cabd0ce1b4cf39471d06bf5974c9f', 'a5a1ed9dad1349259df46551900632eb', 'False', 'False', 'false', 'false', '513334106528', 5, '业姆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334106528', 1, '2021-07-19 12:07:43', NULL, NULL), (34654, '', '作吾村', 'ae3930df94e74d7f8fc43fc9538237ea', 'a5a1ed9dad1349259df46551900632eb', 'False', 'True', 'false', 'false', '513334202177', 5, '作吾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334202177', 1, '2021-07-19 12:07:43', NULL, NULL), (34655, '', '卡达村', '53dac702115047b2b318e6941232bcfa', 'a5a1ed9dad1349259df46551900632eb', 'False', 'True', 'false', 'false', '513334202529', 5, '卡达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334202529', 1, '2021-07-19 12:07:43', NULL, NULL), (34656, '', '马里村', '7c885a22c3c94f389ff785f013e62dcc', 'a5a1ed9dad1349259df46551900632eb', 'False', 'True', 'false', 'false', '513334202579', 5, '马里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334202579', 1, '2021-07-19 12:07:43', NULL, NULL), (34657, '', '觉吾村', '3625ffd8d2d0411ea2067a24f6caeded', 'a5a1ed9dad1349259df46551900632eb', 'False', 'True', 'false', 'false', '513334202616', 5, '觉吾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334202616', 1, '2021-07-19 12:07:43', NULL, NULL), (34658, '', '四合村', '589674f212a04401ae608dfabed55854', 'a5a1ed9dad1349259df46551900632eb', 'False', 'True', 'false', 'false', '513334202917', 5, '四合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334202917', 1, '2021-07-19 12:07:43', NULL, NULL), (34659, '', '格聂镇', 'df8f528223b94324a770bb10eec81a35', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334212000', 4, '格聂镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334212000', 1, '2021-07-19 12:07:43', NULL, NULL), (34660, '', '然日卡巴村', '12002ebcbb2e48cb96bb4ae52db7dedb', 'df8f528223b94324a770bb10eec81a35', 'False', 'False', 'false', 'false', '513334102127', 5, '然日卡巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334102127', 1, '2021-07-19 12:07:43', NULL, NULL), (34661, '', '日戈村', 'e249ba368405443fbfb593bd13ba0f51', 'df8f528223b94324a770bb10eec81a35', 'False', 'False', 'false', 'false', '513334102156', 5, '日戈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334102156', 1, '2021-07-19 12:07:43', NULL, NULL), (34662, '', '喇嘛垭村', '531a2b3a984d4719bad62bf37bacb513', 'df8f528223b94324a770bb10eec81a35', 'False', 'False', 'false', 'false', '513334102551', 5, '喇嘛垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334102551', 1, '2021-07-19 12:07:44', NULL, NULL), (34663, '', '格青村', 'fcc62b8caa8a40e5a7782ef2d8c008f7', 'df8f528223b94324a770bb10eec81a35', 'False', 'False', 'false', 'false', '513334102556', 5, '格青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334102556', 1, '2021-07-19 12:07:44', NULL, NULL), (34664, '', '俄多村', '84ade0dfdb6b43c58e89e6de08a58fd4', 'df8f528223b94324a770bb10eec81a35', 'False', 'False', 'false', 'false', '513334102573', 5, '俄多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334102573', 1, '2021-07-19 12:07:44', NULL, NULL), (34665, '', '依拉克村', '8616e17256054f72b949683d30ea9d17', 'df8f528223b94324a770bb10eec81a35', 'False', 'False', 'false', 'false', '513334102575', 5, '依拉克村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334102575', 1, '2021-07-19 12:07:44', NULL, NULL), (34666, '', '门子村', '71a6662e5be442b983f1fa284292b9dd', 'df8f528223b94324a770bb10eec81a35', 'False', 'False', 'false', 'false', '513334102732', 5, '门子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334102732', 1, '2021-07-19 12:07:44', NULL, NULL), (34667, '', '告巫村', 'd717eaea366e4d47abcd99233ec9503e', 'df8f528223b94324a770bb10eec81a35', 'False', 'True', 'false', 'false', '513334212075', 5, '告巫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334212075', 1, '2021-07-19 12:07:44', NULL, NULL), (34668, '', '则巴村', '861eec9041004187a622bf992f2ce78c', 'df8f528223b94324a770bb10eec81a35', 'False', 'True', 'false', 'false', '513334212376', 5, '则巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334212376', 1, '2021-07-19 12:07:44', NULL, NULL), (34669, '', '扎拉村', 'aa353e60379542e698a86fd07f95cc57', 'df8f528223b94324a770bb10eec81a35', 'False', 'True', 'false', 'false', '513334212475', 5, '扎拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334212475', 1, '2021-07-19 12:07:44', NULL, NULL), (34670, '', '乃干多村', '702cef43c8b04c9da8b04491c890a32f', 'df8f528223b94324a770bb10eec81a35', 'False', 'True', 'false', 'false', '513334212507', 5, '乃干多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334212507', 1, '2021-07-19 12:07:44', NULL, NULL), (34671, '', '章纳村', '5d0175eac5184403a3d886de1486eaa0', 'df8f528223b94324a770bb10eec81a35', 'False', 'True', 'false', 'false', '513334212559', 5, '章纳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334212559', 1, '2021-07-19 12:07:44', NULL, NULL), (34672, '', '木拉镇', 'fbff0c9875b045f78965fa1eebbca298', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334215000', 4, '木拉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334215000', 1, '2021-07-19 12:07:44', NULL, NULL), (34673, '', '作尼村', 'd2751204573340bcb59d37d8a067d8b6', 'fbff0c9875b045f78965fa1eebbca298', 'False', 'False', 'false', 'false', '513334103131', 5, '作尼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334103131', 1, '2021-07-19 12:07:44', NULL, NULL), (34674, '', '上格西村', '8ce4a1ccfd414810abc419b3aa9b4255', 'fbff0c9875b045f78965fa1eebbca298', 'False', 'False', 'false', 'false', '513334103260', 5, '上格西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334103260', 1, '2021-07-19 12:07:44', NULL, NULL), (34675, '', '则工村', '235fbd7cccd14369901abe6aadd84376', 'fbff0c9875b045f78965fa1eebbca298', 'False', 'False', 'false', 'false', '513334103469', 5, '则工村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334103469', 1, '2021-07-19 12:07:44', NULL, NULL), (34676, '', '黄烟村', '89fa3e3ad98f44aa8d3908bee48af9b1', 'fbff0c9875b045f78965fa1eebbca298', 'False', 'False', 'false', 'false', '513334103476', 5, '黄烟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334103476', 1, '2021-07-19 12:07:44', NULL, NULL), (34677, '', '马岩村', '3e7067ea12424fcdbc0e4a203aa907e2', 'fbff0c9875b045f78965fa1eebbca298', 'False', 'False', 'false', 'false', '513334103549', 5, '马岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334103549', 1, '2021-07-19 12:07:44', NULL, NULL), (34678, '', '细忠村', '8287ff367eba4882a6f819eff5727a73', 'fbff0c9875b045f78965fa1eebbca298', 'False', 'False', 'false', 'false', '513334103554', 5, '细忠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334103554', 1, '2021-07-19 12:07:44', NULL, NULL), (34679, '', '哈拉村', '070177be3936491f9636a27e9977c9e0', 'fbff0c9875b045f78965fa1eebbca298', 'False', 'False', 'false', 'false', '513334103592', 5, '哈拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334103592', 1, '2021-07-19 12:07:44', NULL, NULL), (34680, '', '热拉村', '0c865ffb87444ea88a64a41886ffedbe', 'fbff0c9875b045f78965fa1eebbca298', 'False', 'False', 'false', 'false', '513334103721', 5, '热拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334103721', 1, '2021-07-19 12:07:44', NULL, NULL), (34681, '', '哈依村', '348d05fb984648518d85f73b0ba195f0', 'fbff0c9875b045f78965fa1eebbca298', 'False', 'True', 'false', 'false', '513334215026', 5, '哈依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334215026', 1, '2021-07-19 12:07:44', NULL, NULL), (34682, '', '措绒村', '1baad5aca2d74c5fbea895f2e23d9424', 'fbff0c9875b045f78965fa1eebbca298', 'False', 'True', 'false', 'false', '513334215071', 5, '措绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334215071', 1, '2021-07-19 12:07:45', NULL, NULL), (34683, '', '卡下村', '2dae3b2d9cba4522902b68b5568fdf00', 'fbff0c9875b045f78965fa1eebbca298', 'False', 'True', 'false', 'false', '513334215134', 5, '卡下村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334215134', 1, '2021-07-19 12:07:45', NULL, NULL), (34684, '', '月依村', '24e4c9e1c9074687a36b67f5565750c1', 'fbff0c9875b045f78965fa1eebbca298', 'False', 'True', 'false', 'false', '513334215143', 5, '月依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334215143', 1, '2021-07-19 12:07:45', NULL, NULL), (34685, '', '麻依村', '93ecf5e2d36d4268bf807761bdff8e3a', 'fbff0c9875b045f78965fa1eebbca298', 'False', 'True', 'false', 'false', '513334215209', 5, '麻依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334215209', 1, '2021-07-19 12:07:45', NULL, NULL), (34686, '', '乃沙村', 'aebb9fb311994aeda67cb4a335e0e05d', 'fbff0c9875b045f78965fa1eebbca298', 'False', 'True', 'false', 'false', '513334215510', 5, '乃沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334215510', 1, '2021-07-19 12:07:45', NULL, NULL), (34687, '', '曲呷村', 'e2d8ed3faa2f4dc1895f37542759f970', 'fbff0c9875b045f78965fa1eebbca298', 'False', 'True', 'false', 'false', '513334215810', 5, '曲呷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334215810', 1, '2021-07-19 12:07:45', NULL, NULL), (34688, '', '拿中村', 'e57782a5bb704472861bcda34cd98417', 'fbff0c9875b045f78965fa1eebbca298', 'False', 'True', 'false', 'false', '513334215812', 5, '拿中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334215812', 1, '2021-07-19 12:07:45', NULL, NULL), (34689, '', '拉波镇', '778e7cbd5ffb4f5c9fe3fc85aeb5147e', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334220000', 4, '拉波镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334220000', 1, '2021-07-19 12:07:45', NULL, NULL), (34690, '', '扎扎村', 'b75af58f68a54ec28a3b281876d7a7ac', '778e7cbd5ffb4f5c9fe3fc85aeb5147e', 'False', 'False', 'false', 'false', '513334105984', 5, '扎扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334105984', 1, '2021-07-19 12:07:45', NULL, NULL), (34691, '', '拉美村', '75dea4fa6539415eb34fbc10249f1b82', '778e7cbd5ffb4f5c9fe3fc85aeb5147e', 'False', 'True', 'false', 'false', '513334220156', 5, '拉美村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334220156', 1, '2021-07-19 12:07:45', NULL, NULL), (34692, '', '正呷村', '70e6cd8adaad48b3a6f71c016efc2905', '778e7cbd5ffb4f5c9fe3fc85aeb5147e', 'False', 'True', 'false', 'false', '513334220172', 5, '正呷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334220172', 1, '2021-07-19 12:07:45', NULL, NULL), (34693, '', '唐多村', '73389f71dd19490390be7c26a5967d01', '778e7cbd5ffb4f5c9fe3fc85aeb5147e', 'False', 'True', 'false', 'false', '513334220224', 5, '唐多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334220224', 1, '2021-07-19 12:07:46', NULL, NULL), (34694, '', '协宗村', '14e410bd798c4f9c962f24d68fee0670', '778e7cbd5ffb4f5c9fe3fc85aeb5147e', 'False', 'True', 'false', 'false', '513334220750', 5, '协宗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334220750', 1, '2021-07-19 12:07:46', NULL, NULL), (34695, '', '然东村', '823adc874a3b4393a9b63b1dfd5f5290', '778e7cbd5ffb4f5c9fe3fc85aeb5147e', 'False', 'True', 'false', 'false', '513334220890', 5, '然东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334220890', 1, '2021-07-19 12:07:46', NULL, NULL), (34696, '', '中扎村', '7a54b4f4869946b8b2ad0c138bc6f387', '778e7cbd5ffb4f5c9fe3fc85aeb5147e', 'False', 'True', 'false', 'false', '513334220988', 5, '中扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334220988', 1, '2021-07-19 12:07:46', NULL, NULL), (34697, '', '容古村', 'a07c78058543414c994a4382c5a8bb17', '778e7cbd5ffb4f5c9fe3fc85aeb5147e', 'False', 'True', 'false', 'false', '513334220891', 5, '容古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334220891', 1, '2021-07-19 12:07:46', NULL, NULL), (34698, '', '高城镇', 'b9041c7fc8264ba1937a66095e1f5d9d', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334100000', 4, '高城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334100000', 1, '2021-07-19 12:07:46', NULL, NULL), (34699, '', '高城社区', 'c0d2cca936af46158bd8bc5eb260a5a3', 'b9041c7fc8264ba1937a66095e1f5d9d', 'False', 'True', 'false', 'false', '513334100195', 5, '高城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334100195', 1, '2021-07-19 12:07:46', NULL, NULL), (34700, '', '康巴社区', '6dce2b603877416481311780d8bad331', 'b9041c7fc8264ba1937a66095e1f5d9d', 'False', 'True', 'false', 'false', '513334100615', 5, '康巴社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334100615', 1, '2021-07-19 12:07:46', NULL, NULL), (34701, '', '更登亚批村', 'df24fa28423c4f3d833fedc1ecfc1d36', 'b9041c7fc8264ba1937a66095e1f5d9d', 'False', 'True', 'false', 'false', '513334100035', 5, '更登亚批村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334100035', 1, '2021-07-19 12:07:46', NULL, NULL), (34702, '', '德西一村', 'fd8a76feb12e44b981ec519f88fd31b1', 'b9041c7fc8264ba1937a66095e1f5d9d', 'False', 'True', 'false', 'false', '513334100137', 5, '德西一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334100137', 1, '2021-07-19 12:07:46', NULL, NULL), (34703, '', '德西三村', '8d80214c1ad24ef096561b43e39a9d5a', 'b9041c7fc8264ba1937a66095e1f5d9d', 'False', 'True', 'false', 'false', '513334100142', 5, '德西三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334100142', 1, '2021-07-19 12:07:46', NULL, NULL), (34704, '', '无良河社区', '05feb7221e9c4d48a4a74e5b17d62853', 'b9041c7fc8264ba1937a66095e1f5d9d', 'False', 'True', 'false', 'false', '513334100180', 5, '无良河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334100180', 1, '2021-07-19 12:07:46', NULL, NULL), (34705, '', '替然尼巴村', '24a5ace164484a389c9710b8635049b1', 'b9041c7fc8264ba1937a66095e1f5d9d', 'False', 'True', 'false', 'false', '513334100297', 5, '替然尼巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334100297', 1, '2021-07-19 12:07:47', NULL, NULL), (34706, '', '珍呷村', 'b934aa73feea43548217246dc49007a1', 'b9041c7fc8264ba1937a66095e1f5d9d', 'False', 'True', 'false', 'false', '513334100439', 5, '珍呷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334100439', 1, '2021-07-19 12:07:47', NULL, NULL), (34707, '', '哈戈村', 'ea88d82aadb14aeeaa97172bf4024957', 'b9041c7fc8264ba1937a66095e1f5d9d', 'False', 'True', 'false', 'false', '513334100506', 5, '哈戈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334100506', 1, '2021-07-19 12:07:47', NULL, NULL), (34708, '', '泽曲村', 'cef09ba9e45d49cfa4163936092c5973', 'b9041c7fc8264ba1937a66095e1f5d9d', 'False', 'True', 'false', 'false', '513334100565', 5, '泽曲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334100565', 1, '2021-07-19 12:07:47', NULL, NULL), (34709, '', '替然色巴二村', 'b44b5f0342004d5797e0968c434313d3', 'b9041c7fc8264ba1937a66095e1f5d9d', 'False', 'True', 'false', 'false', '513334100573', 5, '替然色巴二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334100573', 1, '2021-07-19 12:07:47', NULL, NULL), (34710, '', '德西二村', '069f29d1797543fea03e4e6a414e4005', 'b9041c7fc8264ba1937a66095e1f5d9d', 'False', 'True', 'false', 'false', '513334100608', 5, '德西二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334100608', 1, '2021-07-19 12:07:47', NULL, NULL), (34711, '', '白塔社区', 'fbf720abcf2443c790314546a37d0c81', 'b9041c7fc8264ba1937a66095e1f5d9d', 'False', 'True', 'false', 'false', '513334100637', 5, '白塔社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334100637', 1, '2021-07-19 12:07:47', NULL, NULL), (34712, '', '车马村', '7510b43906b3476380f62484297313ab', 'b9041c7fc8264ba1937a66095e1f5d9d', 'False', 'True', 'false', 'false', '513334100647', 5, '车马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334100647', 1, '2021-07-19 12:07:47', NULL, NULL), (34713, '', '替然色巴一村', '44a0a9cb76da42d0a74d08550ec7b805', 'b9041c7fc8264ba1937a66095e1f5d9d', 'False', 'True', 'false', 'false', '513334100755', 5, '替然色巴一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334100755', 1, '2021-07-19 12:07:47', NULL, NULL), (34714, '', '格聂社区', '54406cd668e244da9e6de465f4e937e4', 'b9041c7fc8264ba1937a66095e1f5d9d', 'False', 'True', 'false', 'false', '513334100777', 5, '格聂社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334100777', 1, '2021-07-19 12:07:47', NULL, NULL), (34715, '', '哈依乡', 'd26bb234c5d74e608505a0ebbd0ea8a8', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334201000', 4, '哈依乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334201000', 1, '2021-07-19 12:07:47', NULL, NULL), (34716, '', '桑多村', '8497e465b082431fa16b320f2248702d', 'd26bb234c5d74e608505a0ebbd0ea8a8', 'False', 'True', 'false', 'false', '513334201021', 5, '桑多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334201021', 1, '2021-07-19 12:07:47', NULL, NULL), (34717, '', '哈依村', '796b507e27dd439291383952775db5ad', 'd26bb234c5d74e608505a0ebbd0ea8a8', 'False', 'True', 'false', 'false', '513334201157', 5, '哈依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334201157', 1, '2021-07-19 12:07:47', NULL, NULL), (34718, '', '安巴村', 'eb821ff79a4b4768b11cf0c4a4fdbdb3', 'd26bb234c5d74e608505a0ebbd0ea8a8', 'False', 'True', 'false', 'false', '513334201425', 5, '安巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334201425', 1, '2021-07-19 12:07:47', NULL, NULL), (34719, '', '呷拉村', 'ffedcc25aa5c42438782baa0050a57bb', 'd26bb234c5d74e608505a0ebbd0ea8a8', 'False', 'True', 'false', 'false', '513334201563', 5, '呷拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334201563', 1, '2021-07-19 12:07:47', NULL, NULL), (34720, '', '濯绒村', '4f37572829a8498eb667ea6158784ced', 'd26bb234c5d74e608505a0ebbd0ea8a8', 'False', 'True', 'false', 'false', '513334201742', 5, '濯绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334201742', 1, '2021-07-19 12:07:47', NULL, NULL), (34721, '', '呷依布里村', 'a799888c482e40e096fb8e6355c5c6e6', 'd26bb234c5d74e608505a0ebbd0ea8a8', 'False', 'True', 'false', 'false', '513334201833', 5, '呷依布里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334201833', 1, '2021-07-19 12:07:47', NULL, NULL), (34722, '', '莫坝乡', '764da1c3a149452f8b70b078da9a6abb', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334203000', 4, '莫坝乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334203000', 1, '2021-07-19 12:07:47', NULL, NULL), (34723, '', '上莫坝村', '3b64dd2da7ad4bbb8f6d694b5a19bd25', '764da1c3a149452f8b70b078da9a6abb', 'False', 'True', 'false', 'false', '513334203224', 5, '上莫坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334203224', 1, '2021-07-19 12:07:48', NULL, NULL), (34724, '', '里坝村', '1a2e726d5b9b41c0b4c7d89b829b2871', '764da1c3a149452f8b70b078da9a6abb', 'False', 'True', 'false', 'false', '513334203233', 5, '里坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334203233', 1, '2021-07-19 12:07:48', NULL, NULL), (34725, '', '中莫坝村', 'ff5cecf6fa324309a36eff3ee8eb85a2', '764da1c3a149452f8b70b078da9a6abb', 'False', 'True', 'false', 'false', '513334203596', 5, '中莫坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334203596', 1, '2021-07-19 12:07:48', NULL, NULL), (34726, '', '下莫坝村', '0006ededace84985ade774537fd8a011', '764da1c3a149452f8b70b078da9a6abb', 'False', 'True', 'false', 'false', '513334203946', 5, '下莫坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334203946', 1, '2021-07-19 12:07:48', NULL, NULL), (34727, '', '亚火乡', 'a248faf0f2104aeb952e314cbd27c1ab', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334204000', 4, '亚火乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334204000', 1, '2021-07-19 12:07:48', NULL, NULL), (34728, '', '下五花村', '74f81a411ff746c38a8d191575ca50a1', 'a248faf0f2104aeb952e314cbd27c1ab', 'False', 'True', 'false', 'false', '513334204354', 5, '下五花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334204354', 1, '2021-07-19 12:07:48', NULL, NULL), (34729, '', '下坝村', 'e603f1594c394c89b089b5677fb34087', 'a248faf0f2104aeb952e314cbd27c1ab', 'False', 'True', 'false', 'false', '513334204493', 5, '下坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334204493', 1, '2021-07-19 12:07:48', NULL, NULL), (34730, '', '上五花村', 'dc1c461982b1494699791125e03e3aed', 'a248faf0f2104aeb952e314cbd27c1ab', 'False', 'True', 'false', 'false', '513334204694', 5, '上五花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334204694', 1, '2021-07-19 12:07:48', NULL, NULL), (34731, '', '亚火村', '20990cee79064cd2b2922c62fb29584f', 'a248faf0f2104aeb952e314cbd27c1ab', 'False', 'True', 'false', 'false', '513334204813', 5, '亚火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334204813', 1, '2021-07-19 12:07:48', NULL, NULL), (34732, '', '麻火村', 'acce34cc142343b0adf10058f51ac95b', 'a248faf0f2104aeb952e314cbd27c1ab', 'False', 'True', 'false', 'false', '513334204898', 5, '麻火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334204898', 1, '2021-07-19 12:07:48', NULL, NULL), (34733, '', '绒坝乡', 'c2898d124b3c47b1a709dd91c6422358', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334205000', 4, '绒坝乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334205000', 1, '2021-07-19 12:07:48', NULL, NULL), (34734, '', '增达村', '6e2b145e96cf45498e5c0aa68cf41f30', 'c2898d124b3c47b1a709dd91c6422358', 'False', 'True', 'false', 'false', '513334205028', 5, '增达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334205028', 1, '2021-07-19 12:07:48', NULL, NULL), (34735, '', '卓亚村', 'a409ea27afbe44d88f2735e789eec16d', 'c2898d124b3c47b1a709dd91c6422358', 'False', 'True', 'false', 'false', '513334205070', 5, '卓亚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334205070', 1, '2021-07-19 12:07:48', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (34736, '', '塔古村', 'ed3389e7e1654e9c97025695af36ce91', 'c2898d124b3c47b1a709dd91c6422358', 'False', 'True', 'false', 'false', '513334205127', 5, '塔古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334205127', 1, '2021-07-19 12:07:48', NULL, NULL), (34737, '', '科依村', '6d6a77a3afa0425dbf392da12d480729', 'c2898d124b3c47b1a709dd91c6422358', 'False', 'True', 'false', 'false', '513334205282', 5, '科依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334205282', 1, '2021-07-19 12:07:48', NULL, NULL), (34738, '', '扎西村', '7b1840a8bf514373a15ebe3483fefc3a', 'c2898d124b3c47b1a709dd91c6422358', 'False', 'True', 'false', 'false', '513334205288', 5, '扎西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334205288', 1, '2021-07-19 12:07:48', NULL, NULL), (34739, '', '拉吾村', '6045db2c337c4ff3a2a0f397884e39b3', 'c2898d124b3c47b1a709dd91c6422358', 'False', 'True', 'false', 'false', '513334205345', 5, '拉吾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334205345', 1, '2021-07-19 12:07:48', NULL, NULL), (34740, '', '额达村', '150556aa0f1a43fba0f7b9f99f5ef30f', 'c2898d124b3c47b1a709dd91c6422358', 'False', 'True', 'false', 'false', '513334205401', 5, '额达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334205401', 1, '2021-07-19 12:07:48', NULL, NULL), (34741, '', '阿宗村', '85737c1b71ca4ea6a7b6b4e4f540d12c', 'c2898d124b3c47b1a709dd91c6422358', 'False', 'True', 'false', 'false', '513334205405', 5, '阿宗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334205405', 1, '2021-07-19 12:07:48', NULL, NULL), (34742, '', '仁达村', '427c473194d840748ec746af325a10c3', 'c2898d124b3c47b1a709dd91c6422358', 'False', 'True', 'false', 'false', '513334205606', 5, '仁达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334205606', 1, '2021-07-19 12:07:49', NULL, NULL), (34743, '', '呷柯乡', '973c1d6edda14868b9b7d37197381bf0', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334206000', 4, '呷柯乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334206000', 1, '2021-07-19 12:07:49', NULL, NULL), (34744, '', '布日村', 'be4c1112a8024ea1a5cc1ae7035516e0', '973c1d6edda14868b9b7d37197381bf0', 'False', 'True', 'false', 'false', '513334206021', 5, '布日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334206021', 1, '2021-07-19 12:07:49', NULL, NULL), (34745, '', '尼依村', 'd65130e3127640d8a50f0ef05815dda0', '973c1d6edda14868b9b7d37197381bf0', 'False', 'True', 'false', 'false', '513334206095', 5, '尼依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334206095', 1, '2021-07-19 12:07:49', NULL, NULL), (34746, '', '香波村', '1ad0b5a27210457191d99c555dad556d', '973c1d6edda14868b9b7d37197381bf0', 'False', 'True', 'false', 'false', '513334206477', 5, '香波村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334206477', 1, '2021-07-19 12:07:49', NULL, NULL), (34747, '', '日西新村', 'b24751c12799469b995f95f1cd4b7423', '973c1d6edda14868b9b7d37197381bf0', 'False', 'True', 'false', 'false', '513334206866', 5, '日西新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334206866', 1, '2021-07-19 12:07:49', NULL, NULL), (34748, '', '日斗村', '82373056424647d7bcc8bedf3ece2b46', '973c1d6edda14868b9b7d37197381bf0', 'False', 'True', 'false', 'false', '513334206917', 5, '日斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334206917', 1, '2021-07-19 12:07:49', NULL, NULL), (34749, '', '门斗格村', 'aa20325723a94b56a96526d87e855f06', '973c1d6edda14868b9b7d37197381bf0', 'False', 'True', 'false', 'false', '513334206366', 5, '门斗格村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334206366', 1, '2021-07-19 12:07:49', NULL, NULL), (34750, '', '所底村', '6c05fc63e042469eaf7f39e6179e3aff', '973c1d6edda14868b9b7d37197381bf0', 'False', 'True', 'false', 'false', '513334206382', 5, '所底村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334206382', 1, '2021-07-19 12:07:49', NULL, NULL), (34751, '', '日里新村', '3754f62824cd4ee38ce56550687e6d50', '973c1d6edda14868b9b7d37197381bf0', 'False', 'True', 'false', 'false', '513334206797', 5, '日里新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334206797', 1, '2021-07-19 12:07:49', NULL, NULL), (34752, '', '奔戈乡', 'deff2f7c1d9446748ee950a710c7dd78', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334207000', 4, '奔戈乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334207000', 1, '2021-07-19 12:07:49', NULL, NULL), (34753, '', '阿超村', '7ea93b0b04fd42b7aa1141a371f88aee', 'deff2f7c1d9446748ee950a710c7dd78', 'False', 'True', 'false', 'false', '513334207320', 5, '阿超村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334207320', 1, '2021-07-19 12:07:49', NULL, NULL), (34754, '', '卡灰村', '4fb765af2e7c4ecaae283e943172f8b6', 'deff2f7c1d9446748ee950a710c7dd78', 'False', 'False', 'false', 'false', '513334207499', 5, '卡灰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334207499', 1, '2021-07-19 12:07:49', NULL, NULL), (34755, '', '扎呷村', '4cc81120da18417aab6366380feb61bc', 'deff2f7c1d9446748ee950a710c7dd78', 'False', 'False', 'false', 'false', '513334207588', 5, '扎呷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334207588', 1, '2021-07-19 12:07:50', NULL, NULL), (34756, '', '托仁村', '470b4b203f924f828a7f6cf4ff4fd602', 'deff2f7c1d9446748ee950a710c7dd78', 'False', 'True', 'false', 'false', '513334207623', 5, '托仁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334207623', 1, '2021-07-19 12:07:50', NULL, NULL), (34757, '', '萨戈村', '4f3d2d40dd2e46d39438bbe2376238fd', 'deff2f7c1d9446748ee950a710c7dd78', 'False', 'True', 'false', 'false', '513334207641', 5, '萨戈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334207641', 1, '2021-07-19 12:07:50', NULL, NULL), (34758, '', '格扎村', '48580cbc4783427cb62a0d9430b17546', 'deff2f7c1d9446748ee950a710c7dd78', 'False', 'True', 'false', 'false', '513334720890', 5, '格扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334720890', 1, '2021-07-19 12:07:50', NULL, NULL), (34759, '', '扎吉贡巴村', 'f86048ccaed54865b2e3f17d024fb6fc', 'deff2f7c1d9446748ee950a710c7dd78', 'False', 'True', 'false', 'false', '513334207811', 5, '扎吉贡巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334207811', 1, '2021-07-19 12:07:50', NULL, NULL), (34760, '', '村戈乡', '37172c7c4bec4ebd923b2b94827a9985', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334208000', 4, '村戈乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334208000', 1, '2021-07-19 12:07:50', NULL, NULL), (34761, '', '雄拉村', '38d9535340894c0a81855ac2e0684723', '37172c7c4bec4ebd923b2b94827a9985', 'False', 'True', 'false', 'false', '513334208197', 5, '雄拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334208197', 1, '2021-07-19 12:07:50', NULL, NULL), (34762, '', '觉塔村', 'e3cdcb3481f94df78cd80b80288a235d', '37172c7c4bec4ebd923b2b94827a9985', 'False', 'True', 'false', 'false', '513334208531', 5, '觉塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334208531', 1, '2021-07-19 12:07:50', NULL, NULL), (34763, '', '芒康村', 'c9784d9edd7d4167aa1bf36031c47acc', '37172c7c4bec4ebd923b2b94827a9985', 'False', 'True', 'false', 'false', '513334208595', 5, '芒康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334208595', 1, '2021-07-19 12:07:50', NULL, NULL), (34764, '', '托仁村', '7948719f9664469b8a8963c97165fa61', '37172c7c4bec4ebd923b2b94827a9985', 'False', 'True', 'false', 'false', '513334208624', 5, '托仁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334208624', 1, '2021-07-19 12:07:50', NULL, NULL), (34765, '', '牧民新村', '112e899e80b04f899edc3a9ecff3f00e', '37172c7c4bec4ebd923b2b94827a9985', 'False', 'True', 'false', 'false', '513334208853', 5, '牧民新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334208853', 1, '2021-07-19 12:07:50', NULL, NULL), (34766, '', '村戈村', '9f688041c5df424a83b9726d87018362', '37172c7c4bec4ebd923b2b94827a9985', 'False', 'True', 'false', 'false', '513334208781', 5, '村戈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334208781', 1, '2021-07-19 12:07:50', NULL, NULL), (34767, '', '查卡村', 'de4122891cb24eab9048199c8630d4b5', '37172c7c4bec4ebd923b2b94827a9985', 'False', 'True', 'false', 'false', '513334208879', 5, '查卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334208879', 1, '2021-07-19 12:07:50', NULL, NULL), (34768, '', '禾尼乡', '9e22245f1b5241b991fa5fa9d7a79fe2', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334209000', 4, '禾尼乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334209000', 1, '2021-07-19 12:07:50', NULL, NULL), (34769, '', '禾然色巴村', 'b98b62a6f7254163a9f18bc0844afd91', '9e22245f1b5241b991fa5fa9d7a79fe2', 'False', 'True', 'false', 'false', '513334209054', 5, '禾然色巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334209054', 1, '2021-07-19 12:07:50', NULL, NULL), (34770, '', '格苍村', '74af1fa0995e4a55b388deb5b863c307', '9e22245f1b5241b991fa5fa9d7a79fe2', 'False', 'True', 'false', 'false', '513334209141', 5, '格苍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334209141', 1, '2021-07-19 12:07:50', NULL, NULL), (34771, '', '克日泽洼村', 'c7a001aad6364b6abb8b9ca610355fc0', '9e22245f1b5241b991fa5fa9d7a79fe2', 'False', 'True', 'false', 'false', '513334209148', 5, '克日泽洼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334209148', 1, '2021-07-19 12:07:51', NULL, NULL), (34772, '', '安洼村', '5d795048f13840608b9a2d24a314f1b2', '9e22245f1b5241b991fa5fa9d7a79fe2', 'False', 'True', 'false', 'false', '513334209321', 5, '安洼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334209321', 1, '2021-07-19 12:07:51', NULL, NULL), (34773, '', '岭戈村', 'a593dadaa9804a2ab5e237f955bc8f62', '9e22245f1b5241b991fa5fa9d7a79fe2', 'False', 'True', 'false', 'false', '513334209372', 5, '岭戈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334209372', 1, '2021-07-19 12:07:51', NULL, NULL), (34774, '', '岭昌村', '02bc64f865e8402da917f5fb9739089e', '9e22245f1b5241b991fa5fa9d7a79fe2', 'False', 'True', 'false', 'false', '513334209493', 5, '岭昌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334209493', 1, '2021-07-19 12:07:51', NULL, NULL), (34775, '', '格者村', '8c827f35c6c64855b36f794c478ce38c', '9e22245f1b5241b991fa5fa9d7a79fe2', 'False', 'True', 'false', 'false', '513334209569', 5, '格者村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334209569', 1, '2021-07-19 12:07:51', NULL, NULL), (34776, '', '阿呷村', '89c7e85493424f43a7442d3ea1957117', '9e22245f1b5241b991fa5fa9d7a79fe2', 'False', 'True', 'false', 'false', '513334209649', 5, '阿呷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334209649', 1, '2021-07-19 12:07:51', NULL, NULL), (34777, '', '金青村', '5daf1fc89c294efcb4b36d9923b318ef', '9e22245f1b5241b991fa5fa9d7a79fe2', 'False', 'True', 'false', 'false', '513334209698', 5, '金青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334209698', 1, '2021-07-19 12:07:51', NULL, NULL), (34778, '', '安久村', 'a1165d5f4fa445d7801a56c1d3789c5d', '9e22245f1b5241b991fa5fa9d7a79fe2', 'False', 'True', 'false', 'false', '513334209852', 5, '安久村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334209852', 1, '2021-07-19 12:07:51', NULL, NULL), (34779, '', '曲登乡', '879295d8ff2f4bcdbde4857453b5b719', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334210000', 4, '曲登乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334210000', 1, '2021-07-19 12:07:51', NULL, NULL), (34780, '', '泽洛二村', '8e1e8e041a274b64b1a3149e984cfea8', '879295d8ff2f4bcdbde4857453b5b719', 'False', 'True', 'false', 'false', '513334210056', 5, '泽洛二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334210056', 1, '2021-07-19 12:07:51', NULL, NULL), (34781, '', '普查村', '78677240da954319b2888161d1039918', '879295d8ff2f4bcdbde4857453b5b719', 'False', 'True', 'false', 'false', '513334210163', 5, '普查村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334210163', 1, '2021-07-19 12:07:51', NULL, NULL), (34782, '', '普查二村', 'afa1a4fbc70b40a6ad02f1176321f7fc', '879295d8ff2f4bcdbde4857453b5b719', 'False', 'True', 'false', 'false', '513334210193', 5, '普查二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334210193', 1, '2021-07-19 12:07:51', NULL, NULL), (34783, '', '哥合村', 'c6c543af55914b3fb93183531ca8db15', '879295d8ff2f4bcdbde4857453b5b719', 'False', 'True', 'false', 'false', '513334210332', 5, '哥合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334210332', 1, '2021-07-19 12:07:51', NULL, NULL), (34784, '', '浑查村', 'be32d40a6ed4463bbbaa4cd16d7b68bc', '879295d8ff2f4bcdbde4857453b5b719', 'False', 'True', 'false', 'false', '513334210438', 5, '浑查村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334210438', 1, '2021-07-19 12:07:51', NULL, NULL), (34785, '', '混查二村', '37021bd6c8d84ba896ca401f10816a22', '879295d8ff2f4bcdbde4857453b5b719', 'False', 'True', 'false', 'false', '513334210590', 5, '混查二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334210590', 1, '2021-07-19 12:07:51', NULL, NULL), (34786, '', '额和村', '57809396a8184c5c913ce0e886d50278', '879295d8ff2f4bcdbde4857453b5b719', 'False', 'True', 'false', 'false', '513334210920', 5, '额和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334210920', 1, '2021-07-19 12:07:51', NULL, NULL), (34787, '', '泽洛村', '9739a1f158254b1ea4afd23f0b739f51', '879295d8ff2f4bcdbde4857453b5b719', 'False', 'True', 'false', 'false', '513334210963', 5, '泽洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334210963', 1, '2021-07-19 12:07:51', NULL, NULL), (34788, '', '混查村', '66e941e3590d477581be5efa99e67426', '879295d8ff2f4bcdbde4857453b5b719', 'False', 'True', 'false', 'false', '513334210966', 5, '混查村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334210966', 1, '2021-07-19 12:07:52', NULL, NULL), (34789, '', '上木拉乡', '5458b91daecc4db1a754149d011e2c52', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334213000', 4, '上木拉乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334213000', 1, '2021-07-19 12:07:52', NULL, NULL), (34790, '', '打阿村', '408fc08c5abb4338b53ed7ce5b6b95d8', '5458b91daecc4db1a754149d011e2c52', 'False', 'True', 'false', 'false', '513334213095', 5, '打阿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334213095', 1, '2021-07-19 12:07:52', NULL, NULL), (34791, '', '增德村', 'fe88206266cc4f22ae3f878e86849c79', '5458b91daecc4db1a754149d011e2c52', 'False', 'True', 'false', 'false', '513334213207', 5, '增德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334213207', 1, '2021-07-19 12:07:52', NULL, NULL), (34792, '', '旺达村', '31d624cb9b064b6ba561ccc60c11466c', '5458b91daecc4db1a754149d011e2c52', 'False', 'True', 'false', 'false', '513334213255', 5, '旺达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334213255', 1, '2021-07-19 12:07:52', NULL, NULL), (34793, '', '亚夏村', 'f0c3b3d1713b45c1a1d74bfd7c6a11e7', '5458b91daecc4db1a754149d011e2c52', 'False', 'True', 'false', 'false', '513334213343', 5, '亚夏村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334213343', 1, '2021-07-19 12:07:52', NULL, NULL), (34794, '', '日里村', 'ca35a6b525ab4445a75f06f0f2e5168a', '5458b91daecc4db1a754149d011e2c52', 'False', 'True', 'false', 'false', '513334213345', 5, '日里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334213345', 1, '2021-07-19 12:07:52', NULL, NULL), (34795, '', '奔戈村', '0ea9dac6c8d246b19bfc5e41925d9c5a', '5458b91daecc4db1a754149d011e2c52', 'False', 'True', 'false', 'false', '513334213430', 5, '奔戈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334213430', 1, '2021-07-19 12:07:52', NULL, NULL), (34796, '', '卓公村', 'e35c0b33c4ae4c8c8cb34f5ee84a9333', '5458b91daecc4db1a754149d011e2c52', 'False', 'True', 'false', 'false', '513334213473', 5, '卓公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334213473', 1, '2021-07-19 12:07:52', NULL, NULL), (34797, '', '乌沙村', '4943b91bcff64fc6b2ef9d66e54a3ebb', '5458b91daecc4db1a754149d011e2c52', 'False', 'True', 'false', 'false', '513334213529', 5, '乌沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334213529', 1, '2021-07-19 12:07:52', NULL, NULL), (34798, '', '红龙村', 'a3e851ea249346538e2c04d70d01245f', '5458b91daecc4db1a754149d011e2c52', 'False', 'True', 'false', 'false', '513334213739', 5, '红龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334213739', 1, '2021-07-19 12:07:52', NULL, NULL), (34799, '', '格中村', 'c7a43e3d19394fed8ee22ca38f35f350', '5458b91daecc4db1a754149d011e2c52', 'False', 'True', 'false', 'false', '513334213850', 5, '格中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334213850', 1, '2021-07-19 12:07:52', NULL, NULL), (34800, '', '亚公村', '2062b57badd340518576ad58fd25a031', '5458b91daecc4db1a754149d011e2c52', 'False', 'True', 'false', 'false', '513334213951', 5, '亚公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334213951', 1, '2021-07-19 12:07:52', NULL, NULL), (34801, '', '濯桑乡', '58f91d7126e04d728a5f95fa53860ce4', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334216000', 4, '濯桑乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334216000', 1, '2021-07-19 12:07:52', NULL, NULL), (34802, '', '古君村', '8af1d5f088f14d73ac62a522f9903e99', '58f91d7126e04d728a5f95fa53860ce4', 'False', 'True', 'false', 'false', '513334216197', 5, '古君村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334216197', 1, '2021-07-19 12:07:52', NULL, NULL), (34803, '', '康呷村', '1b253d23796844c8bc30ed83957fd9d0', '58f91d7126e04d728a5f95fa53860ce4', 'False', 'True', 'false', 'false', '513334216228', 5, '康呷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334216228', 1, '2021-07-19 12:07:52', NULL, NULL), (34804, '', '易久村', '275c84068190412181248b8f44d5efa9', '58f91d7126e04d728a5f95fa53860ce4', 'False', 'True', 'false', 'false', '513334216315', 5, '易久村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334216315', 1, '2021-07-19 12:07:53', NULL, NULL), (34805, '', '下汝村', '946fbcfb6543409e85c38bbb337205d0', '58f91d7126e04d728a5f95fa53860ce4', 'False', 'True', 'false', 'false', '513334216394', 5, '下汝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334216394', 1, '2021-07-19 12:07:53', NULL, NULL), (34806, '', '业务村', 'd7c9601c56c54f0583eb12be57f7e015', '58f91d7126e04d728a5f95fa53860ce4', 'False', 'True', 'false', 'false', '513334216449', 5, '业务村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334216449', 1, '2021-07-19 12:07:53', NULL, NULL), (34807, '', '若拉村', 'c78e970e738249bab422ba988161c2f5', '58f91d7126e04d728a5f95fa53860ce4', 'False', 'True', 'false', 'false', '513334216547', 5, '若拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334216547', 1, '2021-07-19 12:07:53', NULL, NULL), (34808, '', '查卡村', '4377f060026a411c8913d27947d27a66', '58f91d7126e04d728a5f95fa53860ce4', 'False', 'True', 'false', 'false', '513334216548', 5, '查卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334216548', 1, '2021-07-19 12:07:53', NULL, NULL), (34809, '', '上汝村', '638f8a02218e440ead77c34202ac6fa2', '58f91d7126e04d728a5f95fa53860ce4', 'False', 'True', 'false', 'false', '513334216823', 5, '上汝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334216823', 1, '2021-07-19 12:07:53', NULL, NULL), (34810, '', '格下村', '3906454cc21c4f5dbc5c98c038b08368', '58f91d7126e04d728a5f95fa53860ce4', 'False', 'True', 'false', 'false', '513334216865', 5, '格下村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334216865', 1, '2021-07-19 12:07:53', NULL, NULL), (34811, '', '汉戈村', '569fe7c29a12402985f768e15037ea29', '58f91d7126e04d728a5f95fa53860ce4', 'False', 'True', 'false', 'false', '513334216893', 5, '汉戈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334216893', 1, '2021-07-19 12:07:53', NULL, NULL), (34812, '', '藏坝乡', 'b04fb3226f424595bc69fc17e7ca2656', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334218000', 4, '藏坝乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334218000', 1, '2021-07-19 12:07:53', NULL, NULL), (34813, '', '扎西村', 'c7726ed7d5c64b7dbce4972267942b1d', 'b04fb3226f424595bc69fc17e7ca2656', 'False', 'True', 'false', 'false', '513334218154', 5, '扎西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334218154', 1, '2021-07-19 12:07:53', NULL, NULL), (34814, '', '亚中村', '89ac656663ae40858057ca24983ca819', 'b04fb3226f424595bc69fc17e7ca2656', 'False', 'True', 'false', 'false', '513334218304', 5, '亚中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334218304', 1, '2021-07-19 12:07:53', NULL, NULL), (34815, '', '甲空村', '6f5292363e544636a532f53e5cb6a8a3', 'b04fb3226f424595bc69fc17e7ca2656', 'False', 'True', 'false', 'false', '513334218446', 5, '甲空村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334218446', 1, '2021-07-19 12:07:53', NULL, NULL), (34816, '', ':逸辉新村', '46193790421a44ff9da1a133256898e3', 'b04fb3226f424595bc69fc17e7ca2656', 'False', 'True', 'false', 'false', '513334218611', 5, ':逸辉新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334218611', 1, '2021-07-19 12:07:53', NULL, NULL), (34817, '', '固中村', '712ffcd148604474ab335b0ceda8f800', 'b04fb3226f424595bc69fc17e7ca2656', 'False', 'True', 'false', 'false', '513334218726', 5, '固中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334218726', 1, '2021-07-19 12:07:53', NULL, NULL), (34818, '', '信乃村', '30d10b25ca35424b92e4cca88eb6eff7', 'b04fb3226f424595bc69fc17e7ca2656', 'False', 'True', 'false', 'false', '513334218853', 5, '信乃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334218853', 1, '2021-07-19 12:07:53', NULL, NULL), (34819, '', '安多村', '927d244e8e6f45e58cbbca2d4a0f9198', 'b04fb3226f424595bc69fc17e7ca2656', 'False', 'True', 'false', 'false', '513334218976', 5, '安多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334218976', 1, '2021-07-19 12:07:53', NULL, NULL), (34820, '', '格木乡', '803faa4b07ca4b9ba3956642763a960a', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334219000', 4, '格木乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334219000', 1, '2021-07-19 12:07:53', NULL, NULL), (34821, '', '学说村', '4833d938459240dda8599b3deaaebf3b', '803faa4b07ca4b9ba3956642763a960a', 'False', 'True', 'false', 'false', '513334219201', 5, '学说村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334219201', 1, '2021-07-19 12:07:54', NULL, NULL), (34822, '', '察卡村', '080a690bf7534436b274cffc4655746d', '803faa4b07ca4b9ba3956642763a960a', 'False', 'True', 'false', 'false', '513334219433', 5, '察卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334219433', 1, '2021-07-19 12:07:54', NULL, NULL), (34823, '', '加细村', 'b948cdfc06e14868abc81e68a732cf3b', '803faa4b07ca4b9ba3956642763a960a', 'False', 'True', 'false', 'false', '513334219649', 5, '加细村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334219649', 1, '2021-07-19 12:07:54', NULL, NULL), (34824, '', '麦洼乡', 'e821cc153b1d49f79c32b27e88f744d3', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334221000', 4, '麦洼乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334221000', 1, '2021-07-19 12:07:54', NULL, NULL), (34825, '', '大中村', 'd19fd624c8d04a2288a3a8adedd52c0f', 'e821cc153b1d49f79c32b27e88f744d3', 'False', 'True', 'false', 'false', '513334221292', 5, '大中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334221292', 1, '2021-07-19 12:07:54', NULL, NULL), (34826, '', '卡龚村', '95b319037d5b4f969d3e7e23e6b3f9c6', 'e821cc153b1d49f79c32b27e88f744d3', 'False', 'True', 'false', 'false', '513334221577', 5, '卡龚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334221577', 1, '2021-07-19 12:07:54', NULL, NULL), (34827, '', '措洼村', 'f35c75b6760b48da8ec8a369d8099462', 'e821cc153b1d49f79c32b27e88f744d3', 'False', 'True', 'false', 'false', '513334221730', 5, '措洼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334221730', 1, '2021-07-19 12:07:54', NULL, NULL), (34828, '', '康村', 'd682216815d74b1da94d844cb21b20b8', 'e821cc153b1d49f79c32b27e88f744d3', 'False', 'True', 'false', 'false', '513334221732', 5, '康村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334221732', 1, '2021-07-19 12:07:54', NULL, NULL), (34829, '', '热鲁村', '09c2a83f7a854e329fa6dca8a5734658', 'e821cc153b1d49f79c32b27e88f744d3', 'False', 'True', 'false', 'false', '513334221903', 5, '热鲁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334221903', 1, '2021-07-19 12:07:54', NULL, NULL), (34830, '', '斯和村', '976aa13b497c4cac908858773f041e4d', 'e821cc153b1d49f79c32b27e88f744d3', 'False', 'True', 'false', 'false', '513334221922', 5, '斯和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334221922', 1, '2021-07-19 12:07:54', NULL, NULL), (34831, '', '埃地村', '9e241a91b46c47faa656ab55b885793d', 'e821cc153b1d49f79c32b27e88f744d3', 'False', 'True', 'false', 'false', '513334221986', 5, '埃地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334221986', 1, '2021-07-19 12:07:54', NULL, NULL), (34832, '', '德巫乡', '25e9733d96ac44e3b7d7dc1c5c8bc6b1', '0329e312840e4c3bae40e9e6b5146899', 'True', 'True', 'false', 'false', '513334222000', 4, '德巫乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513334222000', 1, '2021-07-19 12:07:54', NULL, NULL), (34833, '', '日乃村', '6171b5ba681e4f1fb27291b328f8d016', '25e9733d96ac44e3b7d7dc1c5c8bc6b1', 'False', 'True', 'false', 'false', '513334222042', 5, '日乃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334222042', 1, '2021-07-19 12:07:54', NULL, NULL), (34834, '', '上卡村', '7b1c5eb397ae470f9e40aa5033f40c57', '25e9733d96ac44e3b7d7dc1c5c8bc6b1', 'False', 'True', 'false', 'false', '513334222484', 5, '上卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334222484', 1, '2021-07-19 12:07:54', NULL, NULL), (34835, '', '日瓦桥村', 'd62b76d10e974a149fae5ee5a26f5465', '25e9733d96ac44e3b7d7dc1c5c8bc6b1', 'False', 'True', 'false', 'false', '513334222601', 5, '日瓦桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334222601', 1, '2021-07-19 12:07:54', NULL, NULL), (34836, '', '白中村', '4e45b93c73a644cfac07d62f907b393a', '25e9733d96ac44e3b7d7dc1c5c8bc6b1', 'False', 'True', 'false', 'false', '513334222652', 5, '白中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334222652', 1, '2021-07-19 12:07:54', NULL, NULL), (34837, '', '当巴村', '4e6e6670d8794d87a066a9dedb85a7be', '25e9733d96ac44e3b7d7dc1c5c8bc6b1', 'False', 'True', 'false', 'false', '513334222742', 5, '当巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334222742', 1, '2021-07-19 12:07:54', NULL, NULL), (34838, '', '措洼村', '32b2465fa2aa4a1894df6d11bd9d6018', '25e9733d96ac44e3b7d7dc1c5c8bc6b1', 'False', 'True', 'false', 'false', '513334222790', 5, '措洼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334222790', 1, '2021-07-19 12:07:54', NULL, NULL), (34839, '', '拉拉村', '8b57355869144fc1ae008d77133e55db', '25e9733d96ac44e3b7d7dc1c5c8bc6b1', 'False', 'True', 'false', 'false', '513334222830', 5, '拉拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513334222830', 1, '2021-07-19 12:07:54', NULL, NULL), (34840, '', '巴塘县', '1c3e9cc399f94d76a1e84d22e0bc3cd6', '4e0988aa699e46dd9cdf992180c73cd8', 'True', 'True', 'false', 'false', '513335000000', 3, '巴塘县', 'gzzbtx.sczwfw.gov.cn', 1, '2021-07-19 12:07:55', NULL, NULL), (34841, '', '夏邛镇', '4caf2c2bee0045a7b1c44b464a7be7bf', '1c3e9cc399f94d76a1e84d22e0bc3cd6', 'True', 'True', 'false', 'false', '513335100000', 4, '夏邛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513335100000', 1, '2021-07-19 12:07:55', NULL, NULL), (34842, '', '夏邛镇居民委员会', 'fc93c05a4b864031b3981bd9c6e25e73', '4caf2c2bee0045a7b1c44b464a7be7bf', 'False', 'True', 'false', 'false', '513335100754', 5, '居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335100754', 1, '2021-07-19 12:07:55', NULL, NULL), (34843, '', '茶雪村村民委员会', '392457694cfc42b8b09e7f30fd567463', '4caf2c2bee0045a7b1c44b464a7be7bf', 'False', 'True', 'false', 'false', '513335100996', 5, '茶雪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335100996', 1, '2021-07-19 12:07:55', NULL, NULL), (34844, '', '四里龙村民委员会', 'fc65663bfe104649b1be162a44b89fc7', '4caf2c2bee0045a7b1c44b464a7be7bf', 'False', 'True', 'false', 'false', '513335100885', 5, '四里龙', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335100885', 1, '2021-07-19 12:07:55', NULL, NULL), (34845, '', '小坝村民委员会', '7c29f8b13d364b809ace8741af8ae322', '4caf2c2bee0045a7b1c44b464a7be7bf', 'False', 'True', 'false', 'false', '513335100431', 5, '小坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335100431', 1, '2021-07-19 12:07:55', NULL, NULL), (34846, '', '泽曲伙村民委员会', '39a1a3ee0b3f4b75868d8914532d18dc', '4caf2c2bee0045a7b1c44b464a7be7bf', 'False', 'True', 'false', 'false', '513335100660', 5, '泽曲伙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335100660', 1, '2021-07-19 12:07:55', NULL, NULL), (34847, '', '拉宗伙村民委员会', '630a85d697334ed49c38a4a582db71f5', '4caf2c2bee0045a7b1c44b464a7be7bf', 'False', 'True', 'false', 'false', '513335100519', 5, '拉宗伙', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335100519', 1, '2021-07-19 12:07:55', NULL, NULL), (34848, '', '下桑卡村村民委员会', '6f831db309434febb2752efa95243929', '4caf2c2bee0045a7b1c44b464a7be7bf', 'False', 'True', 'false', 'false', '513335100984', 5, '下桑卡', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335100984', 1, '2021-07-19 12:07:55', NULL, NULL), (34849, '', '架炮顶村村民委员会', '19a7a8233a464ec4a35bee8c95149d0a', '4caf2c2bee0045a7b1c44b464a7be7bf', 'False', 'True', 'false', 'false', '513335100013', 5, '架炮顶', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335100013', 1, '2021-07-19 12:07:55', NULL, NULL), (34850, '', '生崩扎村民委员会', 'f82d6bdeb2e04eb2bf8921c85ce3302d', '4caf2c2bee0045a7b1c44b464a7be7bf', 'False', 'True', 'false', 'false', '513335100267', 5, '生崩扎', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335100267', 1, '2021-07-19 12:07:55', NULL, NULL), (34851, '', '孔打伙二村村民委员会', '045dbe52edca4e32a1e1b26d4757b922', '4caf2c2bee0045a7b1c44b464a7be7bf', 'False', 'True', 'false', 'false', '513335100037', 5, '孔打伙二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335100037', 1, '2021-07-19 12:07:55', NULL, NULL), (34852, '', '洛布通顶村民委员会', '2899f681a22b47e3a1488857e073d699', '4caf2c2bee0045a7b1c44b464a7be7bf', 'False', 'True', 'false', 'false', '513335100302', 5, '洛布通顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335100302', 1, '2021-07-19 12:07:55', NULL, NULL), (34853, '', '独角龙村民委员会', 'c485c6cb0e8a4b0c8897c06e8b0ca408', '4caf2c2bee0045a7b1c44b464a7be7bf', 'False', 'True', 'false', 'false', '513335100014', 5, '独角龙', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335100014', 1, '2021-07-19 12:07:55', NULL, NULL), (34854, '', '江巴顶村民委员会', '8c85543d21be4de585f4e5eddfd60207', '4caf2c2bee0045a7b1c44b464a7be7bf', 'False', 'True', 'false', 'false', '513335100702', 5, '江巴顶', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335100702', 1, '2021-07-19 12:07:55', NULL, NULL), (34855, '', '坝伙村村民委员会', '754ce873279642b08b718e4afb0a31f6', '4caf2c2bee0045a7b1c44b464a7be7bf', 'False', 'True', 'false', 'false', '513335100417', 5, '坝伙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335100417', 1, '2021-07-19 12:07:55', NULL, NULL), (34856, '', '中咱镇', '95530f4c5815436ab8026a0c7e2ddcd0', '1c3e9cc399f94d76a1e84d22e0bc3cd6', 'True', 'True', 'false', 'false', '513335101000', 4, '中咱镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513335101000', 1, '2021-07-19 12:07:56', NULL, NULL), (34857, '', '中咱行政村', 'd7d1e27ad7ad4742a0806054418b247e', '95530f4c5815436ab8026a0c7e2ddcd0', 'False', 'True', 'false', 'false', '513335101117', 5, '中咱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335101117', 1, '2021-07-19 12:07:56', NULL, NULL), (34858, '', '波浪行政村', '55067e42fadc4314b3af71423fcbeaf1', '95530f4c5815436ab8026a0c7e2ddcd0', 'False', 'True', 'false', 'false', '513335101208', 5, '波浪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335101208', 1, '2021-07-19 12:07:56', NULL, NULL), (34859, '', '洛玉贡行政村', 'c990159fbe934fd3aaf6eb2785ece556', '95530f4c5815436ab8026a0c7e2ddcd0', 'False', 'True', 'false', 'false', '513335101409', 5, '洛玉贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335101409', 1, '2021-07-19 12:07:56', NULL, NULL), (34860, '', '雪波行政村', '0aa0577d52aa444ba8db1b6934ccdc84', '95530f4c5815436ab8026a0c7e2ddcd0', 'False', 'True', 'false', 'false', '513335101622', 5, '雪波村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335101622', 1, '2021-07-19 12:07:56', NULL, NULL), (34861, '', '里甫行政村', '13f9e0fbafa647e484e22e94743f863c', '95530f4c5815436ab8026a0c7e2ddcd0', 'False', 'True', 'false', 'false', '513335101660', 5, '里甫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335101660', 1, '2021-07-19 12:07:56', NULL, NULL), (34862, '', '仁德行政村', '39a919bf3b1a40438319a9d0d6841513', '95530f4c5815436ab8026a0c7e2ddcd0', 'False', 'True', 'false', 'false', '513335101700', 5, '仁德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335101700', 1, '2021-07-19 12:07:56', NULL, NULL), (34863, '', '下中咱行政村', '7d1010e2b53849df91ae0a8a0f449ede', '95530f4c5815436ab8026a0c7e2ddcd0', 'False', 'True', 'false', 'false', '513335101918', 5, '下中咱村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335101918', 1, '2021-07-19 12:07:56', NULL, NULL), (34864, '', '措拉镇', 'bec5ac1993f846a8876d0a27ff786b8a', '1c3e9cc399f94d76a1e84d22e0bc3cd6', 'True', 'True', 'false', 'false', '513335102000', 4, '措拉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513335102000', 1, '2021-07-19 12:07:56', NULL, NULL), (34865, '', '俊工村村民委员会', '5a72846716784e6d8af01549bb3278c1', 'bec5ac1993f846a8876d0a27ff786b8a', 'False', 'True', 'false', 'false', '513335102126', 5, '俊工村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335102126', 1, '2021-07-19 12:07:56', NULL, NULL), (34866, '', '德西村村民委员会', '584d18ba2e664bd28c9be2c1015b3f70', 'bec5ac1993f846a8876d0a27ff786b8a', 'False', 'True', 'false', 'false', '513335102467', 5, '德西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335102467', 1, '2021-07-19 12:07:56', NULL, NULL), (34867, '', '麻通村村民委员会', 'db702c678b7f48b6b0500f0afec8a74e', 'bec5ac1993f846a8876d0a27ff786b8a', 'False', 'True', 'false', 'false', '513335102484', 5, '麻通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335102484', 1, '2021-07-19 12:07:56', NULL, NULL), (34868, '', '玉绒村村民委员会', '6f476f94476449839bcc4ecd302e3108', 'bec5ac1993f846a8876d0a27ff786b8a', 'False', 'True', 'false', 'false', '513335102610', 5, '玉绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335102610', 1, '2021-07-19 12:07:56', NULL, NULL), (34869, '', '拉哇乡', 'c28c9fa4bbed4175bb02c6d8de4ea93d', '1c3e9cc399f94d76a1e84d22e0bc3cd6', 'True', 'True', 'false', 'false', '513335200000', 4, '拉哇乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513335200000', 1, '2021-07-19 12:07:56', NULL, NULL), (34870, '', '拉哇行政村', 'c984a4020e2f433c837fdaf84f05204f', 'c28c9fa4bbed4175bb02c6d8de4ea93d', 'False', 'True', 'false', 'false', '513335200169', 5, '拉哇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335200169', 1, '2021-07-19 12:07:56', NULL, NULL), (34871, '', '洛毕贡行政村', 'abf93d052113445cbcd50305ca3d0a94', 'c28c9fa4bbed4175bb02c6d8de4ea93d', 'False', 'True', 'false', 'false', '513335200703', 5, '洛毕贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335200703', 1, '2021-07-19 12:07:56', NULL, NULL), (34872, '', '毕英行政村', 'fb9f01004c044478ad77945dd56f9787', 'c28c9fa4bbed4175bb02c6d8de4ea93d', 'False', 'True', 'false', 'false', '513335200129', 5, '毕英村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335200129', 1, '2021-07-19 12:07:56', NULL, NULL), (34873, '', '索英行政村', 'c7dc71b2773a484ea60808ce1a964e3c', 'c28c9fa4bbed4175bb02c6d8de4ea93d', 'False', 'True', 'false', 'false', '513335200099', 5, '索英村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335200099', 1, '2021-07-19 12:07:56', NULL, NULL), (34874, '', '竹巴龙乡', 'c17d2856341e483da1389a4188a2e19a', '1c3e9cc399f94d76a1e84d22e0bc3cd6', 'True', 'True', 'false', 'false', '513335202000', 4, '竹巴龙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513335202000', 1, '2021-07-19 12:07:56', NULL, NULL), (34875, '', '基里行政村', 'f7b360cf595c45ddace509be2ea6c755', 'c17d2856341e483da1389a4188a2e19a', 'False', 'True', 'false', 'false', '513335202007', 5, '基里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335202007', 1, '2021-07-19 12:07:57', NULL, NULL), (34876, '', '自林贡行政村', '90c1f8b33bcd457da56f2321969a0f94', 'c17d2856341e483da1389a4188a2e19a', 'False', 'True', 'false', 'false', '513335202283', 5, '自林贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335202283', 1, '2021-07-19 12:07:57', NULL, NULL), (34877, '', '水磨沟行政村', '1a9a3f98760e4219a79f86ab0a7023fe', 'c17d2856341e483da1389a4188a2e19a', 'False', 'True', 'false', 'false', '513335202414', 5, '水磨沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335202414', 1, '2021-07-19 12:07:57', NULL, NULL), (34878, '', '拉扎西行政村', '5a6d6d3f5840418e8271363486b648ec', 'c17d2856341e483da1389a4188a2e19a', 'False', 'True', 'false', 'false', '513335202830', 5, '拉扎西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335202830', 1, '2021-07-19 12:07:57', NULL, NULL), (34879, '', '三各贡行政村', '0ab7babb3c05470690813961f937f876', 'c17d2856341e483da1389a4188a2e19a', 'False', 'True', 'false', 'false', '513335202981', 5, '三各贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335202981', 1, '2021-07-19 12:07:57', NULL, NULL), (34880, '', '苏哇龙乡', '05f84892eab44b2e8cf37b86755ea146', '1c3e9cc399f94d76a1e84d22e0bc3cd6', 'True', 'True', 'false', 'false', '513335204000', 4, '苏哇龙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513335204000', 1, '2021-07-19 12:07:57', NULL, NULL), (34881, '', '王大龙村民委员会', 'df9a75c21c74473f88c00b5d2412999d', '05f84892eab44b2e8cf37b86755ea146', 'False', 'True', 'false', 'false', '513335204120', 5, '王大龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335204120', 1, '2021-07-19 12:07:57', NULL, NULL), (34882, '', '呷顶村民委员会', '7542a9f892c44d718b5969f6637c550a', '05f84892eab44b2e8cf37b86755ea146', 'False', 'True', 'false', 'false', '513335204207', 5, '呷顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335204207', 1, '2021-07-19 12:07:57', NULL, NULL), (34883, '', '归哇村民委员会', '66b1967ef4a94ab29451b5f116b74a7c', '05f84892eab44b2e8cf37b86755ea146', 'False', 'True', 'false', 'false', '513335204415', 5, '归哇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335204415', 1, '2021-07-19 12:07:57', NULL, NULL), (34884, '', '贡巴村民委员会', '30daacfbd62c49ef85f1ea013836300f', '05f84892eab44b2e8cf37b86755ea146', 'False', 'True', 'false', 'false', '513335204559', 5, '贡巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335204559', 1, '2021-07-19 12:07:57', NULL, NULL), (34885, '', '苏哇龙村民委员会', '80cd8dae623944b4972fafdeaae39dc9', '05f84892eab44b2e8cf37b86755ea146', 'False', 'True', 'false', 'false', '513335204571', 5, '苏哇龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335204571', 1, '2021-07-19 12:07:57', NULL, NULL), (34886, '', '南戈村民委员会', '76def618a4ff42fcb3a400ce18ae308d', '05f84892eab44b2e8cf37b86755ea146', 'False', 'True', 'false', 'false', '513335204908', 5, '南戈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335204908', 1, '2021-07-19 12:07:58', NULL, NULL), (34887, '', '昌波乡', 'eb3ba8228b2d4738b3703d382e5b6399', '1c3e9cc399f94d76a1e84d22e0bc3cd6', 'True', 'True', 'false', 'false', '513335205000', 4, '昌波乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513335205000', 1, '2021-07-19 12:07:58', NULL, NULL), (34888, '', '得木行政村', '958ed8b3bb9249c58a2e3069b01c7267', 'eb3ba8228b2d4738b3703d382e5b6399', 'False', 'True', 'false', 'false', '513335205191', 5, '得木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335205191', 1, '2021-07-19 12:07:58', NULL, NULL), (34889, '', '鱼底行政村', '49f7a00bb68d4dabad91e0def2b556e1', 'eb3ba8228b2d4738b3703d382e5b6399', 'False', 'True', 'false', 'false', '513335205450', 5, '鱼底村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335205450', 1, '2021-07-19 12:07:58', NULL, NULL), (34890, '', '戈郎行政村', '8df913d2d6074a0896ee944707729cb6', 'eb3ba8228b2d4738b3703d382e5b6399', 'False', 'True', 'false', 'false', '513335205832', 5, '戈郎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335205832', 1, '2021-07-19 12:07:58', NULL, NULL), (34891, '', '锐哇行政村', 'bf33523529e648ef977ab5ea3b39787c', 'eb3ba8228b2d4738b3703d382e5b6399', 'False', 'True', 'false', 'false', '513335205959', 5, '锐哇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335205959', 1, '2021-07-19 12:07:58', NULL, NULL), (34892, '', '地巫镇', '79e1b554e10e4a10bebf5adfe8eddf33', '1c3e9cc399f94d76a1e84d22e0bc3cd6', 'True', 'True', 'false', 'false', '513335206000', 4, '地巫镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513335206000', 1, '2021-07-19 12:07:58', NULL, NULL), (34893, '', '坝伙行政村', '3bcd1a66fbcd48fb9d91b5fd3da409e1', '79e1b554e10e4a10bebf5adfe8eddf33', 'False', 'True', 'false', 'false', '513335206088', 5, '坝伙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335206088', 1, '2021-07-19 12:07:58', NULL, NULL), (34894, '', '热思行政村', '5fa5588ec37f46629d45ff7a8d75818d', '79e1b554e10e4a10bebf5adfe8eddf33', 'False', 'True', 'false', 'false', '513335206161', 5, '热思村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335206161', 1, '2021-07-19 12:07:58', NULL, NULL), (34895, '', '甲雪行政村', '426a94e10c9b413eaa7a1467d94cae99', '79e1b554e10e4a10bebf5adfe8eddf33', 'False', 'True', 'false', 'false', '513335206780', 5, '甲雪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335206780', 1, '2021-07-19 12:07:58', NULL, NULL), (34896, '', '四点坝行政村', 'e8e8038883ab484a87c2b156337c4892', '79e1b554e10e4a10bebf5adfe8eddf33', 'False', 'True', 'false', 'false', '513335206427', 5, '四点坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335206427', 1, '2021-07-19 12:07:58', NULL, NULL), (34897, '', '尼木龙行政村', '8e1d7b68e78443d69c8f860e055c0c53', '79e1b554e10e4a10bebf5adfe8eddf33', 'False', 'True', 'false', 'false', '513335206280', 5, '尼木龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335206280', 1, '2021-07-19 12:07:58', NULL, NULL), (34898, '', '贡伙行政村', 'f5758f70dd514c738c0895c9c5dc12f1', '79e1b554e10e4a10bebf5adfe8eddf33', 'False', 'True', 'false', 'false', '513335206027', 5, '贡伙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335206027', 1, '2021-07-19 12:07:59', NULL, NULL), (34899, '', '安里顶行政村', '85afaea7795e46c0b5ab2cd750558e5c', '79e1b554e10e4a10bebf5adfe8eddf33', 'False', 'True', 'false', 'false', '513335206453', 5, '安里顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335206453', 1, '2021-07-19 12:07:59', NULL, NULL), (34900, '', '仁娘行政村', '48e50ac790074da29e6f606db6bdc419', '79e1b554e10e4a10bebf5adfe8eddf33', 'False', 'True', 'false', 'false', '513335206763', 5, '仁娘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335206763', 1, '2021-07-19 12:07:59', NULL, NULL), (34901, '', '亚日贡乡', '5a24ef5e12b142debf261a237ffd6abb', '1c3e9cc399f94d76a1e84d22e0bc3cd6', 'True', 'True', 'false', 'false', '513335208000', 4, '亚日贡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513335208000', 1, '2021-07-19 12:07:59', NULL, NULL), (34902, '', '东南多行政村', '249cbb735ce3443da731638fd0d8bf68', '5a24ef5e12b142debf261a237ffd6abb', 'False', 'True', 'false', 'false', '513335208122', 5, '东南多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335208122', 1, '2021-07-19 12:07:59', NULL, NULL), (34903, '', '刀许行政村', '28fdc57cac0049c9b6089aa836258baa', '5a24ef5e12b142debf261a237ffd6abb', 'False', 'True', 'false', 'false', '513335208571', 5, '刀许村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335208571', 1, '2021-07-19 12:07:59', NULL, NULL), (34904, '', '白日贡行政村', '0aaed9b6160e4052a9022eec10e2b560', '5a24ef5e12b142debf261a237ffd6abb', 'False', 'True', 'false', 'false', '513335208713', 5, '白日贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335208713', 1, '2021-07-19 12:07:59', NULL, NULL), (34905, '', '红日贡行政村', 'afdd7b1ac2de4c86a7533b2a0a1e89d3', '5a24ef5e12b142debf261a237ffd6abb', 'False', 'True', 'false', 'false', '513335208725', 5, '红日贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335208725', 1, '2021-07-19 12:07:59', NULL, NULL), (34906, '', '亚日贡行政村', '79972e2d5cc045f4ad6b5b2aa340b413', '5a24ef5e12b142debf261a237ffd6abb', 'False', 'True', 'false', 'false', '513335208957', 5, '亚日贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335208957', 1, '2021-07-19 12:07:59', NULL, NULL), (34907, '', '波密乡', 'b36001d165af4f42b4f5654993cfd41d', '1c3e9cc399f94d76a1e84d22e0bc3cd6', 'True', 'True', 'false', 'false', '513335209000', 4, '波密乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513335209000', 1, '2021-07-19 12:07:59', NULL, NULL), (34908, '', '波免行政村', 'd64565f3bdb34bde850c81b9f6d2c683', 'b36001d165af4f42b4f5654993cfd41d', 'False', 'True', 'false', 'false', '513335209587', 5, '波免村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335209587', 1, '2021-07-19 12:07:59', NULL, NULL), (34909, '', '格木行政村', 'f5e2d0099d3b4c3d87282b2f550d4876', 'b36001d165af4f42b4f5654993cfd41d', 'False', 'True', 'false', 'false', '513335209686', 5, '格木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335209686', 1, '2021-07-19 12:07:59', NULL, NULL), (34910, '', '波堆行政村', 'fbdff6f94dca4c70bc4a921414a75e0e', 'b36001d165af4f42b4f5654993cfd41d', 'False', 'True', 'false', 'false', '513335209979', 5, '波堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335209979', 1, '2021-07-19 12:07:59', NULL, NULL), (34911, '', '莫多乡', '56b76c0c308d4e84bfcf2dffe381c409', '1c3e9cc399f94d76a1e84d22e0bc3cd6', 'True', 'True', 'false', 'false', '513335210000', 4, '莫多乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513335210000', 1, '2021-07-19 12:08:00', NULL, NULL), (34912, '', '桑龙西村', '2ccbcc966c664fc29dba46b1686ad3fe', '56b76c0c308d4e84bfcf2dffe381c409', 'False', 'True', 'false', 'false', '513335210025', 5, '桑龙西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335210025', 1, '2021-07-19 12:08:00', NULL, NULL), (34913, '', '岗佐村', 'd0526100bc87438da9f43ba5b2abe74a', '56b76c0c308d4e84bfcf2dffe381c409', 'False', 'True', 'false', 'false', '513335210259', 5, '岗佐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335210259', 1, '2021-07-19 12:08:00', NULL, NULL), (34914, '', '莫多村', 'e52d312031d64f93afb9e659572e5a74', '56b76c0c308d4e84bfcf2dffe381c409', 'False', 'True', 'false', 'false', '513335210547', 5, '莫多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335210547', 1, '2021-07-19 12:08:00', NULL, NULL), (34915, '', '郎翁村', 'a052622ab32248f689842c833d970c69', '56b76c0c308d4e84bfcf2dffe381c409', 'False', 'True', 'false', 'false', '513335210629', 5, '郎翁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335210629', 1, '2021-07-19 12:08:00', NULL, NULL), (34916, '', '松多乡', '5b9f4e2c81a447728d7ba642a7b233d2', '1c3e9cc399f94d76a1e84d22e0bc3cd6', 'True', 'True', 'false', 'false', '513335211000', 4, '松多乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513335211000', 1, '2021-07-19 12:08:00', NULL, NULL), (34917, '', '下莫西村民委员会', 'f7d22b7e288441ebbf4127868490d3c3', '5b9f4e2c81a447728d7ba642a7b233d2', 'False', 'True', 'false', 'false', '513335211371', 5, '下莫西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335211371', 1, '2021-07-19 12:08:00', NULL, NULL), (34918, '', '吉恩龙村民委员会', 'b0a786d3edde48eaa40185f876f416c8', '5b9f4e2c81a447728d7ba642a7b233d2', 'False', 'True', 'false', 'false', '513335211411', 5, '吉恩龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335211411', 1, '2021-07-19 12:08:00', NULL, NULL), (34919, '', '郎多一村民委员会', '915d100e6f9b4692b71b77db1d769b0e', '5b9f4e2c81a447728d7ba642a7b233d2', 'False', 'True', 'false', 'false', '513335211786', 5, '郎多一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335211786', 1, '2021-07-19 12:08:00', NULL, NULL), (34920, '', '龙巴村民委员会', '7ecc4eb59ac044ce9b2ce1b0b260f261', '5b9f4e2c81a447728d7ba642a7b233d2', 'False', 'True', 'false', 'false', '513335211814', 5, '龙巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335211814', 1, '2021-07-19 12:08:00', NULL, NULL), (34921, '', '郎多二村民委员会', '2eb8aee99fa847b2a0712285e5d9eedc', '5b9f4e2c81a447728d7ba642a7b233d2', 'False', 'True', 'false', 'false', '513335211855', 5, '郎多二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335211855', 1, '2021-07-19 12:08:00', NULL, NULL), (34922, '', '松多村民委员会', 'bcb7fb8035e44966ba717b9578248212', '5b9f4e2c81a447728d7ba642a7b233d2', 'False', 'True', 'false', 'false', '513335211998', 5, '松多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335211998', 1, '2021-07-19 12:08:00', NULL, NULL), (34923, '', '波戈溪乡', 'f95365dd6a0a435d82088f61a3367432', '1c3e9cc399f94d76a1e84d22e0bc3cd6', 'True', 'True', 'false', 'false', '513335212000', 4, '波戈溪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513335212000', 1, '2021-07-19 12:08:00', NULL, NULL), (34924, '', '益金行政村', '65e686849bc4406b80740adbdbb2b621', 'f95365dd6a0a435d82088f61a3367432', 'False', 'True', 'false', 'false', '513335212166', 5, '益金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335212166', 1, '2021-07-19 12:08:00', NULL, NULL), (34925, '', '那多行政村', 'a52dc3fbdc5b447e8f768c440eb056bd', 'f95365dd6a0a435d82088f61a3367432', 'False', 'True', 'false', 'false', '513335212191', 5, '那多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335212191', 1, '2021-07-19 12:08:00', NULL, NULL), (34926, '', '波戈溪行政村', '431db41712934d99ab3371d0eade6a41', 'f95365dd6a0a435d82088f61a3367432', 'False', 'True', 'false', 'false', '513335212249', 5, '波戈溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335212249', 1, '2021-07-19 12:08:01', NULL, NULL), (34927, '', '多格行政村', '710ccbc4239243468158cfd86135122e', 'f95365dd6a0a435d82088f61a3367432', 'False', 'True', 'false', 'false', '513335212807', 5, '多格村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335212807', 1, '2021-07-19 12:08:01', NULL, NULL), (34928, '', '甲英镇', '58d9d04bb2a4402dbe17bc320459494d', '1c3e9cc399f94d76a1e84d22e0bc3cd6', 'True', 'True', 'false', 'false', '513335213000', 4, '甲英镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513335213000', 1, '2021-07-19 12:08:01', NULL, NULL), (34929, '', '波戈西行政村', '98577d48da414d13a9e939e62903a8f3', '58d9d04bb2a4402dbe17bc320459494d', 'False', 'True', 'false', 'false', '513335213681', 5, '波戈西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335213681', 1, '2021-07-19 12:08:01', NULL, NULL), (34930, '', '普达行政村', 'fb754ec91ba54bf59b3f03a0b401dceb', '58d9d04bb2a4402dbe17bc320459494d', 'False', 'True', 'false', 'false', '513335213705', 5, '普达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335213705', 1, '2021-07-19 12:08:01', NULL, NULL), (34931, '', '党巴行政村', 'a7812820a0f54d03b2c3478fd88eb96a', '58d9d04bb2a4402dbe17bc320459494d', 'False', 'True', 'false', 'false', '513335213829', 5, '党巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335213829', 1, '2021-07-19 12:08:01', NULL, NULL), (34932, '', '英戈贡行政村', 'c7f92758ef8a4f8088a9dc6fa9cfb3d4', '58d9d04bb2a4402dbe17bc320459494d', 'False', 'True', 'false', 'false', '513335213077', 5, '英戈贡', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335213077', 1, '2021-07-19 12:08:01', NULL, NULL), (34933, '', '冲茶行政村', 'fd07596dd4d1410ab0c724d3bbff2e65', '58d9d04bb2a4402dbe17bc320459494d', 'False', 'True', 'false', 'false', '513335213473', 5, '冲茶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335213473', 1, '2021-07-19 12:08:01', NULL, NULL), (34934, '', '鱼卡通行政村', '0602d5c619c24792b9e4e682d6bc793d', '58d9d04bb2a4402dbe17bc320459494d', 'False', 'True', 'false', 'false', '513335213266', 5, '鱼卡通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335213266', 1, '2021-07-19 12:08:01', NULL, NULL), (34935, '', '雅哇行政村', 'd5ef7584c1b34c418106769247bb602e', '58d9d04bb2a4402dbe17bc320459494d', 'False', 'True', 'false', 'false', '513335213472', 5, '雅哇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335213472', 1, '2021-07-19 12:08:01', NULL, NULL), (34936, '', '茶洛乡', '27d622ed7ba34724a10bdb08305aa383', '1c3e9cc399f94d76a1e84d22e0bc3cd6', 'True', 'True', 'false', 'false', '513335215000', 4, '茶洛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513335215000', 1, '2021-07-19 12:08:01', NULL, NULL), (34937, '', '巴塘县茶洛乡尼戈村', 'c97de1fc95484ba4adeb16b1dde83072', '27d622ed7ba34724a10bdb08305aa383', 'False', 'True', 'false', 'false', '513335215121', 5, '巴塘县茶洛乡尼戈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335215121', 1, '2021-07-19 12:08:01', NULL, NULL), (34938, '', '巴塘县茶洛乡西德村', '584355d03b664d21997ca915245c8b5b', '27d622ed7ba34724a10bdb08305aa383', 'False', 'True', 'false', 'false', '513335215351', 5, '巴塘县茶洛乡西德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335215351', 1, '2021-07-19 12:08:01', NULL, NULL), (34939, '', '巴塘县茶洛乡茶洛村', 'abe011fe90b74235a13d9975f39a1148', '27d622ed7ba34724a10bdb08305aa383', 'False', 'True', 'false', 'false', '513335215483', 5, '巴塘县茶洛乡茶洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335215483', 1, '2021-07-19 12:08:01', NULL, NULL), (34940, '', '巴塘县茶洛乡达塔村', '6b71cffab2a24c33b6e4feefd2d630bc', '27d622ed7ba34724a10bdb08305aa383', 'False', 'True', 'false', 'false', '513335215541', 5, '巴塘县茶洛乡达塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335215541', 1, '2021-07-19 12:08:01', NULL, NULL), (34941, '', '列衣乡', 'bfd66fb7b7624e5eb4ed1ed53d2bc533', '1c3e9cc399f94d76a1e84d22e0bc3cd6', 'True', 'True', 'false', 'false', '513335216000', 4, '列衣乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513335216000', 1, '2021-07-19 12:08:02', NULL, NULL), (34942, '', '仲堆行政村', '9d7da1b4153e491cae87902e6c1518a0', 'bfd66fb7b7624e5eb4ed1ed53d2bc533', 'False', 'True', 'false', 'false', '513335216034', 5, '仲堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335216034', 1, '2021-07-19 12:08:02', NULL, NULL), (34943, '', '热乃行政村', '99ebdfaecf9249c5980072a2f9ec2473', 'bfd66fb7b7624e5eb4ed1ed53d2bc533', 'False', 'True', 'false', 'false', '513335216310', 5, '热乃村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335216310', 1, '2021-07-19 12:08:02', NULL, NULL), (34944, '', '自热行政村', '2ba9ba5c3cc24529a4cf54c085e82c3f', 'bfd66fb7b7624e5eb4ed1ed53d2bc533', 'False', 'True', 'false', 'false', '513335216469', 5, '自热村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335216469', 1, '2021-07-19 12:08:02', NULL, NULL), (34945, '', '德达乡', '6cc18144b147427c8a4561e880d3a162', '1c3e9cc399f94d76a1e84d22e0bc3cd6', 'True', 'True', 'false', 'false', '513335217000', 4, '德达乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513335217000', 1, '2021-07-19 12:08:02', NULL, NULL), (34946, '', '上德达行政村', 'a43e3939a29c4ed0a55e61dbb45a1bbe', '6cc18144b147427c8a4561e880d3a162', 'False', 'True', 'false', 'false', '513335217034', 5, '上德达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335217034', 1, '2021-07-19 12:08:02', NULL, NULL), (34947, '', '牧业行政村', '888fc0fee53a4e45a20de4147a486276', '6cc18144b147427c8a4561e880d3a162', 'False', 'True', 'false', 'false', '513335217126', 5, '牧业村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335217126', 1, '2021-07-19 12:08:02', NULL, NULL), (34948, '', '中德达行政村', 'e417f583204841d2ac5ee54249d69d6a', '6cc18144b147427c8a4561e880d3a162', 'False', 'True', 'false', 'false', '513335217819', 5, '中德达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335217819', 1, '2021-07-19 12:08:02', NULL, NULL), (34949, '', '曲呷行政村', 'f0d1c2f407a24978ab1aa42ab5654d2e', '6cc18144b147427c8a4561e880d3a162', 'False', 'True', 'false', 'false', '513335217845', 5, '曲呷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513335217845', 1, '2021-07-19 12:08:02', NULL, NULL), (34950, '', '乡城县', '27b71d8feedb4b68aaa8bfa7e228e73a', '4e0988aa699e46dd9cdf992180c73cd8', 'True', 'True', 'false', 'false', '513336000000', 3, '乡城县', 'gzzxcx.sczwfw.gov.cn', 1, '2021-07-19 12:08:02', NULL, NULL), (34951, '', '香巴拉镇', '40fa4a4bd001401ebc200c7c5d0d07e1', '27b71d8feedb4b68aaa8bfa7e228e73a', 'True', 'True', 'false', 'false', '513336100000', 4, '香巴拉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513336100000', 1, '2021-07-19 12:08:02', NULL, NULL), (34952, '', '马色村', '3189821e2838440aade6309cb064387c', '40fa4a4bd001401ebc200c7c5d0d07e1', 'False', 'False', 'false', 'false', '513336102203', 5, '马色村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336102203', 1, '2021-07-19 12:08:02', NULL, NULL), (34953, '', '沙孜村', '6f7be5fe6bf4470cbe7f79b91a5f80eb', '40fa4a4bd001401ebc200c7c5d0d07e1', 'False', 'False', 'false', 'false', '513336102205', 5, '沙孜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336102205', 1, '2021-07-19 12:08:02', NULL, NULL), (34954, '', '则鲁村', 'f35c9cb1b4fe4084bf324a26980589c4', '40fa4a4bd001401ebc200c7c5d0d07e1', 'False', 'False', 'false', 'false', '513336102207', 5, '则鲁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336102207', 1, '2021-07-19 12:08:02', NULL, NULL), (34955, '', '岗色村', '685aed034a4e4f41aa5dfa4161ab87c9', '40fa4a4bd001401ebc200c7c5d0d07e1', 'False', 'False', 'false', 'false', '513336102208', 5, '岗色村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336102208', 1, '2021-07-19 12:08:02', NULL, NULL), (34956, '', '边边哨村', '6e6040bffb52436a9437fa285411334d', '40fa4a4bd001401ebc200c7c5d0d07e1', 'False', 'False', 'false', 'false', '513336102209', 5, '边边哨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336102209', 1, '2021-07-19 12:08:02', NULL, NULL), (34957, '', '热郎宫村', '5ca33493bc164beab301ebef3c7db3fd', '40fa4a4bd001401ebc200c7c5d0d07e1', 'False', 'True', 'false', 'false', '513336100016', 5, '热郎宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336100016', 1, '2021-07-19 12:08:02', NULL, NULL), (34958, '', '香巴拉社区居民委员会', '61fe8e4373b84b7685c749df25d96029', '40fa4a4bd001401ebc200c7c5d0d07e1', 'False', 'True', 'false', 'false', '513336100147', 5, '香巴拉社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336100147', 1, '2021-07-19 12:08:03', NULL, NULL), (34959, '', '幸福社区居民委员会', '142849d474dc4260b4f0796a31ba3afd', '40fa4a4bd001401ebc200c7c5d0d07e1', 'False', 'True', 'false', 'false', '513336100307', 5, '幸福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336100307', 1, '2021-07-19 12:08:03', NULL, NULL), (34960, '', '东宫村', 'ec89587265174f0796b71f45735e71ba', '40fa4a4bd001401ebc200c7c5d0d07e1', 'False', 'True', 'false', 'false', '513336100372', 5, '东宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336100372', 1, '2021-07-19 12:08:03', NULL, NULL), (34961, '', '阿亚仲村', '2e607dbc690e46b2bf8e2a800f62f78b', '40fa4a4bd001401ebc200c7c5d0d07e1', 'False', 'True', 'false', 'false', '513336100391', 5, '阿亚仲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336100391', 1, '2021-07-19 12:08:03', NULL, NULL), (34962, '', '渔洼仲村', '849afcceb98b4c088eeb3fb13ed42999', '40fa4a4bd001401ebc200c7c5d0d07e1', 'False', 'True', 'false', 'false', '513336100396', 5, '渔洼仲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336100396', 1, '2021-07-19 12:08:03', NULL, NULL), (34963, '', '登仲村', '2fe9e217e64b4d50b4e6428cf05ea324', '40fa4a4bd001401ebc200c7c5d0d07e1', 'False', 'True', 'false', 'false', '513336100558', 5, '登仲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336100558', 1, '2021-07-19 12:08:03', NULL, NULL), (34964, '', '色尔宫村', 'edd5ccaff4fc4395acc061b645049326', '40fa4a4bd001401ebc200c7c5d0d07e1', 'False', 'True', 'false', 'false', '513336100755', 5, '色尔宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336100755', 1, '2021-07-19 12:08:03', NULL, NULL), (34965, '', '冷龙村', '640e9be65cbc4a6ab75350b944e72b75', '40fa4a4bd001401ebc200c7c5d0d07e1', 'False', 'True', 'false', 'false', '513336100825', 5, '冷龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336100825', 1, '2021-07-19 12:08:03', NULL, NULL), (34966, '', '巴姆社区居民委员会', '395c2bdfa668403897ea43da623859f6', '40fa4a4bd001401ebc200c7c5d0d07e1', 'False', 'True', 'false', 'false', '513336100927', 5, '巴姆社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336100927', 1, '2021-07-19 12:08:03', NULL, NULL), (34967, '', '青德镇', 'a65fdba4545d4a1aacf12933a74d10ef', '27b71d8feedb4b68aaa8bfa7e228e73a', 'True', 'True', 'false', 'false', '513336101000', 4, '青德镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513336101000', 1, '2021-07-19 12:08:03', NULL, NULL), (34968, '', '仁堆村', 'd4f4afe218f14b25958169c5ea67be46', 'a65fdba4545d4a1aacf12933a74d10ef', 'False', 'False', 'false', 'false', '513336204205', 5, '仁堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336204205', 1, '2021-07-19 12:08:03', NULL, NULL), (34969, '', '木差村', 'dccea87ad049473aa62d9c8d87a55e30', 'a65fdba4545d4a1aacf12933a74d10ef', 'False', 'False', 'false', 'false', '513336204208', 5, '木差村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336204208', 1, '2021-07-19 12:08:03', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (34970, '', '青麦村', '6d4d876ec2824af08a4ab9d18022592e', 'a65fdba4545d4a1aacf12933a74d10ef', 'False', 'False', 'false', 'false', '513336204210', 5, '青麦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336204210', 1, '2021-07-19 12:08:03', NULL, NULL), (34971, '', '巴吾村', '7d03d97fcf5249d89ca9ef60243cd708', 'a65fdba4545d4a1aacf12933a74d10ef', 'False', 'False', 'false', 'false', '513336204212', 5, '巴吾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336204212', 1, '2021-07-19 12:08:03', NULL, NULL), (34972, '', '黑达小村', 'd0833f8a635a4528a9f87b5dac36cd53', 'a65fdba4545d4a1aacf12933a74d10ef', 'False', 'False', 'false', 'false', '513336204213', 5, '黑达小村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336204213', 1, '2021-07-19 12:08:03', NULL, NULL), (34973, '', '热宫村', 'ae61f09fb8af475eb1d4c5279e37007b', 'a65fdba4545d4a1aacf12933a74d10ef', 'False', 'True', 'false', 'false', '513336101063', 5, '热宫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336101063', 1, '2021-07-19 12:08:03', NULL, NULL), (34974, '', '仲德村', 'f4da893df87e42eb9960792c1031a102', 'a65fdba4545d4a1aacf12933a74d10ef', 'False', 'True', 'false', 'false', '513336101450', 5, '仲德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336101450', 1, '2021-07-19 12:08:03', NULL, NULL), (34975, '', '呷乃卡村', 'f5be7932cc3040a8be2d032d6cc05497', 'a65fdba4545d4a1aacf12933a74d10ef', 'False', 'True', 'false', 'false', '513336101660', 5, '呷乃卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336101660', 1, '2021-07-19 12:08:03', NULL, NULL), (34976, '', '下坝村', 'aa1111400a624d0da7be2b14de0957f7', 'a65fdba4545d4a1aacf12933a74d10ef', 'False', 'True', 'false', 'false', '513336101777', 5, '下坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336101777', 1, '2021-07-19 12:08:04', NULL, NULL), (34977, '', '布机村', '891126c82a7a4c90805f0139d9428a20', 'a65fdba4545d4a1aacf12933a74d10ef', 'False', 'True', 'false', 'false', '513336101823', 5, '布机村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336101823', 1, '2021-07-19 12:08:04', NULL, NULL), (34978, '', '沙贡乡', '6d1533a7fbe64b27a6cef4f06f3bbda7', '27b71d8feedb4b68aaa8bfa7e228e73a', 'True', 'True', 'false', 'false', '513336201000', 4, '沙贡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513336201000', 1, '2021-07-19 12:08:04', NULL, NULL), (34979, '', '色坝村', '5ef7471591724f3f9bbc1fde17bbd473', '6d1533a7fbe64b27a6cef4f06f3bbda7', 'False', 'False', 'false', 'false', '513336207203', 5, '色坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336207203', 1, '2021-07-19 12:08:04', NULL, NULL), (34980, '', '章吉村', 'ab05dc7a9793478e925979559ec538c6', '6d1533a7fbe64b27a6cef4f06f3bbda7', 'False', 'True', 'false', 'false', '513336201474', 5, '章吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336201474', 1, '2021-07-19 12:08:04', NULL, NULL), (34981, '', '同颠村', 'bfb9be3aab1c479fa8a2d47b8a84d922', '6d1533a7fbe64b27a6cef4f06f3bbda7', 'False', 'True', 'false', 'false', '513336201662', 5, '同颠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336201662', 1, '2021-07-19 12:08:04', NULL, NULL), (34982, '', '达根村', 'c1085e467c994484bbdd07f5d07c1074', '6d1533a7fbe64b27a6cef4f06f3bbda7', 'False', 'True', 'false', 'false', '513336201688', 5, '达根村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336201688', 1, '2021-07-19 12:08:04', NULL, NULL), (34983, '', '水洼乡', 'aa75849a03834148a3773d5b2cb6bfcb', '27b71d8feedb4b68aaa8bfa7e228e73a', 'True', 'True', 'false', 'false', '513336202000', 4, '水洼乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513336202000', 1, '2021-07-19 12:08:04', NULL, NULL), (34984, '', '水洼村', '0cd760a2f1cc472f91e24ae12707e6dc', 'aa75849a03834148a3773d5b2cb6bfcb', 'False', 'False', 'false', 'false', '513336202047', 5, '水洼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336202047', 1, '2021-07-19 12:08:04', NULL, NULL), (34985, '', '白格村', 'e3ef8da11a934bf6a00d39352b6329d5', 'aa75849a03834148a3773d5b2cb6bfcb', 'False', 'True', 'false', 'false', '513336202114', 5, '白格村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336202114', 1, '2021-07-19 12:08:04', NULL, NULL), (34986, '', '俄扎村', '6af672f7f08c4c2890fcc5a2bf6a17cd', 'aa75849a03834148a3773d5b2cb6bfcb', 'False', 'False', 'false', 'false', '513336202117', 5, '俄扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336202117', 1, '2021-07-19 12:08:04', NULL, NULL), (34987, '', '那拉岗村', 'd93d8dd93c07411f8d51f8026de84f4b', 'aa75849a03834148a3773d5b2cb6bfcb', 'False', 'True', 'false', 'false', '513336202670', 5, '那拉岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336202670', 1, '2021-07-19 12:08:04', NULL, NULL), (34988, '', '雨洼村', 'f2a586289dd04151a023db35cce5badf', 'aa75849a03834148a3773d5b2cb6bfcb', 'False', 'True', 'false', 'false', '513336202922', 5, '雨洼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336202922', 1, '2021-07-19 12:08:04', NULL, NULL), (34989, '', '然乌乡', '786c22c867284785ae78772951fcc1ac', '27b71d8feedb4b68aaa8bfa7e228e73a', 'True', 'True', 'false', 'false', '513336205000', 4, '然乌乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513336205000', 1, '2021-07-19 12:08:04', NULL, NULL), (34990, '', '克麦村', '81233c1679ac4335911181ba9935c927', '786c22c867284785ae78772951fcc1ac', 'False', 'True', 'false', 'false', '513336205094', 5, '克麦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336205094', 1, '2021-07-19 12:08:04', NULL, NULL), (34991, '', '东尔村', 'a8203524a78f4031a18b090981b15e6e', '786c22c867284785ae78772951fcc1ac', 'False', 'True', 'false', 'false', '513336205315', 5, '东尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336205315', 1, '2021-07-19 12:08:04', NULL, NULL), (34992, '', '纳木村', '746ff87a6d0f4a569d28f77edd6ecd55', '786c22c867284785ae78772951fcc1ac', 'False', 'True', 'false', 'false', '513336205344', 5, '纳木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336205344', 1, '2021-07-19 12:08:04', NULL, NULL), (34993, '', '热麦村', 'c4c6aea945e24e09b9d970b016a3988c', '786c22c867284785ae78772951fcc1ac', 'False', 'True', 'false', 'false', '513336205432', 5, '热麦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336205432', 1, '2021-07-19 12:08:04', NULL, NULL), (34994, '', '洞松乡', 'dccf9c27495d4980989ea49a8dbe4bf2', '27b71d8feedb4b68aaa8bfa7e228e73a', 'True', 'True', 'false', 'false', '513336206000', 4, '洞松乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513336206000', 1, '2021-07-19 12:08:04', NULL, NULL), (34995, '', '卡心村', '19090b1e47414035a1ceea6014f733f3', 'dccf9c27495d4980989ea49a8dbe4bf2', 'False', 'True', 'false', 'false', '513336206152', 5, '卡心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336206152', 1, '2021-07-19 12:08:04', NULL, NULL), (34996, '', '热斗村', '20284e650e5d4334a25009f38044470a', 'dccf9c27495d4980989ea49a8dbe4bf2', 'False', 'True', 'false', 'false', '513336206235', 5, '热斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336206235', 1, '2021-07-19 12:08:04', NULL, NULL), (34997, '', '洞松村', 'd748dc0c712746d3876863a248d32a39', 'dccf9c27495d4980989ea49a8dbe4bf2', 'False', 'False', 'false', 'false', '513336206323', 5, '洞松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336206323', 1, '2021-07-19 12:08:04', NULL, NULL), (34998, '', '固松村', 'faeca20f22f5443fb2a882dff856c98a', 'dccf9c27495d4980989ea49a8dbe4bf2', 'False', 'True', 'false', 'false', '513336206376', 5, '固松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336206376', 1, '2021-07-19 12:08:04', NULL, NULL), (34999, '', '克斗村', '78a86e93a7124d0ca601f6774fbdd400', 'dccf9c27495d4980989ea49a8dbe4bf2', 'False', 'False', 'false', 'false', '513336206553', 5, '克斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336206553', 1, '2021-07-19 12:08:05', NULL, NULL), (35000, '', '热打镇', '03726ef265eb490a8f12079a72f9cecb', '27b71d8feedb4b68aaa8bfa7e228e73a', 'True', 'True', 'false', 'false', '513336207000', 4, '热打镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513336207000', 1, '2021-07-19 12:08:05', NULL, NULL), (35001, '', '下洼村', '1e12510b23b24c3a8ffa190c15db3bc8', '03726ef265eb490a8f12079a72f9cecb', 'False', 'True', 'false', 'false', '513336207145', 5, '下洼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336207145', 1, '2021-07-19 12:08:05', NULL, NULL), (35002, '', '阿都村', 'a333f999e2384c74a94cdb2d29e508f9', '03726ef265eb490a8f12079a72f9cecb', 'False', 'True', 'false', 'false', '513336207850', 5, '阿都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336207850', 1, '2021-07-19 12:08:05', NULL, NULL), (35003, '', '木鱼村', '7e199ce3624e49f89ec2d2adc67b875f', '03726ef265eb490a8f12079a72f9cecb', 'False', 'True', 'false', 'false', '513336207879', 5, '木鱼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336207879', 1, '2021-07-19 12:08:05', NULL, NULL), (35004, '', '东均村', 'e5851a0e4c7b480c9ad7e8f78b4a773a', '03726ef265eb490a8f12079a72f9cecb', 'False', 'True', 'false', 'false', '513336207923', 5, '东均村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336207923', 1, '2021-07-19 12:08:05', NULL, NULL), (35005, '', '热打村', '87f401e63f6c43f5a86a542837763116', '03726ef265eb490a8f12079a72f9cecb', 'False', 'True', 'false', 'false', '513336207929', 5, '热打村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336207929', 1, '2021-07-19 12:08:05', NULL, NULL), (35006, '', '定波乡', '9e2cf4ff14e349f3a64a1dede756e78f', '27b71d8feedb4b68aaa8bfa7e228e73a', 'True', 'True', 'false', 'false', '513336208000', 4, '定波乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513336208000', 1, '2021-07-19 12:08:05', NULL, NULL), (35007, '', '万绒村', '8dd5946ef62244f485321cd0a745e73f', '9e2cf4ff14e349f3a64a1dede756e78f', 'False', 'False', 'false', 'false', '513336208494', 5, '万绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336208494', 1, '2021-07-19 12:08:05', NULL, NULL), (35008, '', '绒公村', '2a33181be2bd4a99bd5dbaaa03da5a59', '9e2cf4ff14e349f3a64a1dede756e78f', 'False', 'False', 'false', 'false', '513336208575', 5, '绒公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336208575', 1, '2021-07-19 12:08:05', NULL, NULL), (35009, '', '白兰斗村', '62ab70fced864bcaaed40cb8a232cb01', '9e2cf4ff14e349f3a64a1dede756e78f', 'False', 'False', 'false', 'false', '513336208773', 5, '白兰斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336208773', 1, '2021-07-19 12:08:05', NULL, NULL), (35010, '', '普通村', 'b52416362d9446e8b3a459a2c97b4101', '9e2cf4ff14e349f3a64a1dede756e78f', 'False', 'False', 'false', 'false', '513336208811', 5, '普通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336208811', 1, '2021-07-19 12:08:05', NULL, NULL), (35011, '', '正斗乡', 'f61ab4bb935d4272bd43a99c60d41d93', '27b71d8feedb4b68aaa8bfa7e228e73a', 'True', 'True', 'false', 'false', '513336209000', 4, '正斗乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513336209000', 1, '2021-07-19 12:08:05', NULL, NULL), (35012, '', '白坝村', '100136fcac624b95ae97f1806ef8acc9', 'f61ab4bb935d4272bd43a99c60d41d93', 'False', 'False', 'false', 'false', '513336209064', 5, '白坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336209064', 1, '2021-07-19 12:08:05', NULL, NULL), (35013, '', '仁额村', 'c84db0687c324fdba5e06872e5a1cc2b', 'f61ab4bb935d4272bd43a99c60d41d93', 'False', 'False', 'false', 'false', '513336209078', 5, '仁额村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336209078', 1, '2021-07-19 12:08:05', NULL, NULL), (35014, '', '正斗村', 'ddfe0724708f4a7492e5ca3b4e7cb6df', 'f61ab4bb935d4272bd43a99c60d41d93', 'False', 'False', 'false', 'false', '513336209419', 5, '正斗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336209419', 1, '2021-07-19 12:08:06', NULL, NULL), (35015, '', '永德村', '88c7cf32d76243b2aabbc7dcba00a4d5', 'f61ab4bb935d4272bd43a99c60d41d93', 'False', 'False', 'false', 'false', '513336209950', 5, '永德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336209950', 1, '2021-07-19 12:08:06', NULL, NULL), (35016, '', '白依乡', '96e18724722d4e2f9563d51cb085a3e8', '27b71d8feedb4b68aaa8bfa7e228e73a', 'True', 'True', 'false', 'false', '513336210000', 4, '白依乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513336210000', 1, '2021-07-19 12:08:06', NULL, NULL), (35017, '', '布吉村', 'd828a82cfd2242a4adcad2eabca6100c', '96e18724722d4e2f9563d51cb085a3e8', 'False', 'False', 'false', 'false', '513336210283', 5, '布吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336210283', 1, '2021-07-19 12:08:06', NULL, NULL), (35018, '', '跃卡村', '62ece532f26145fc9f70f1dbc0bb112c', '96e18724722d4e2f9563d51cb085a3e8', 'False', 'True', 'false', 'false', '513336210320', 5, '跃卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336210320', 1, '2021-07-19 12:08:06', NULL, NULL), (35019, '', '青打村', 'bd57e68f39ec46e0bb530a10fc324329', '96e18724722d4e2f9563d51cb085a3e8', 'False', 'True', 'false', 'false', '513336210530', 5, '青打村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336210530', 1, '2021-07-19 12:08:06', NULL, NULL), (35020, '', '纳力村', '6f2302c2ae3b437c8ad806a1cac921ab', '96e18724722d4e2f9563d51cb085a3e8', 'False', 'True', 'false', 'false', '513336210906', 5, '纳力村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513336210906', 1, '2021-07-19 12:08:06', NULL, NULL), (35021, '', '稻城县', 'c6495d3516c94d61bf727af6efd0dad2', '4e0988aa699e46dd9cdf992180c73cd8', 'True', 'True', 'false', 'false', '513337000000', 3, '稻城县', 'gzzdcx.sczwfw.gov.cn', 1, '2021-07-19 12:08:06', NULL, NULL), (35022, '', '噶通镇', 'ecc580e221db46a7b556ca180c495231', 'c6495d3516c94d61bf727af6efd0dad2', 'True', 'True', 'false', 'false', '513337104000', 4, '噶通镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513337104000', 1, '2021-07-19 12:08:06', NULL, NULL), (35023, '', '寒洪村', 'a710f99c99e74460b3fb17e69c43d489', 'ecc580e221db46a7b556ca180c495231', 'False', 'True', 'false', 'false', '513337104001', 5, '寒洪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337104001', 1, '2021-07-19 12:08:06', NULL, NULL), (35024, '', '八美村', 'f18a32e6be714e9283a2f0949dbbb6e8', 'ecc580e221db46a7b556ca180c495231', 'False', 'True', 'false', 'false', '513337104002', 5, '八美村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337104002', 1, '2021-07-19 12:08:06', NULL, NULL), (35025, '', '色拉村', 'ff82976a39ab44daa9ba710ab131c595', 'ecc580e221db46a7b556ca180c495231', 'False', 'True', 'false', 'false', '513337104003', 5, '色拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337104003', 1, '2021-07-19 12:08:06', NULL, NULL), (35026, '', '龙伍村', '651a7a74de4745e08c4be9cffd3dd1bb', 'ecc580e221db46a7b556ca180c495231', 'False', 'True', 'false', 'false', '513337104004', 5, '龙伍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337104004', 1, '2021-07-19 12:08:06', NULL, NULL), (35027, '', '白中村', '8812e5478e2d49bba88fe9a183501f6a', 'ecc580e221db46a7b556ca180c495231', 'False', 'True', 'false', 'false', '513337104005', 5, '白中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337104005', 1, '2021-07-19 12:08:06', NULL, NULL), (35028, '', '口提村', '73a085bd97c541f6af6b98a4f6b20ae4', 'ecc580e221db46a7b556ca180c495231', 'False', 'True', 'false', 'false', '513337104006', 5, '口提村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337104006', 1, '2021-07-19 12:08:06', NULL, NULL), (35029, '', '自俄村', '7ba0e0ffd3c44a46baaaeadb9d3a9115', 'ecc580e221db46a7b556ca180c495231', 'False', 'True', 'false', 'false', '513337104007', 5, '自俄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337104007', 1, '2021-07-19 12:08:07', NULL, NULL), (35030, '', '寒桑村', 'b63d10144fbe4e4a8917f22200018b3d', 'ecc580e221db46a7b556ca180c495231', 'False', 'True', 'false', 'false', '513337104008', 5, '寒桑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337104008', 1, '2021-07-19 12:08:07', NULL, NULL), (35031, '', '普牙村', '6cef0bdafb4b4fd492e4c67f320221d7', 'ecc580e221db46a7b556ca180c495231', 'False', 'True', 'false', 'false', '513337104009', 5, '普牙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337104009', 1, '2021-07-19 12:08:07', NULL, NULL), (35032, '', '永当村', '411dc0b964a042329a7afc1e8ae482bf', 'ecc580e221db46a7b556ca180c495231', 'False', 'True', 'false', 'false', '513337104010', 5, '永当村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337104010', 1, '2021-07-19 12:08:07', NULL, NULL), (35033, '', '仲堆仲麦村', 'b9b667ea3da742efa104ea6348ae85b1', 'ecc580e221db46a7b556ca180c495231', 'False', 'True', 'false', 'false', '513337104011', 5, '仲堆仲麦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337104011', 1, '2021-07-19 12:08:07', NULL, NULL), (35034, '', '仲玖村', '3aeed33ba8fe4d3ca1f1aa2187e3ac14', 'ecc580e221db46a7b556ca180c495231', 'False', 'True', 'false', 'false', '513337104012', 5, '仲玖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337104012', 1, '2021-07-19 12:08:07', NULL, NULL), (35035, '', '普尼村', 'e9a7026dc95d4ae6802b6db2b0298e2d', 'ecc580e221db46a7b556ca180c495231', 'False', 'True', 'false', 'false', '513337104013', 5, '普尼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337104013', 1, '2021-07-19 12:08:07', NULL, NULL), (35036, '', '金珠镇', 'b04ad6354a27481db61204da682bbd95', 'c6495d3516c94d61bf727af6efd0dad2', 'True', 'True', 'false', 'false', '513337100000', 4, '金珠镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513337100000', 1, '2021-07-19 12:08:07', NULL, NULL), (35037, '', '中茹布村洗澡堂村民委员会', '4d3d04a119c3433ca8c2351fe2a7ab97', 'b04ad6354a27481db61204da682bbd95', 'False', 'True', 'false', 'false', '513337100181', 5, '中茹布村洗澡堂村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337100181', 1, '2021-07-19 12:08:07', NULL, NULL), (35038, '', '培光村民委员会', '7e073a12797f4a0692e33ef7491d2621', 'b04ad6354a27481db61204da682bbd95', 'False', 'True', 'false', 'false', '513337100194', 5, '培光村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337100194', 1, '2021-07-19 12:08:07', NULL, NULL), (35039, '', '亚中村民委员会', '53bb0db6414a459eb288bdd1c0fe2be3', 'b04ad6354a27481db61204da682bbd95', 'False', 'True', 'false', 'false', '513337100251', 5, '亚中村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337100251', 1, '2021-07-19 12:08:07', NULL, NULL), (35040, '', '冷巴村民委员会', '2447435358ad4e709c8777233f244d95', 'b04ad6354a27481db61204da682bbd95', 'False', 'True', 'false', 'false', '513337100276', 5, '冷巴村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337100276', 1, '2021-07-19 12:08:07', NULL, NULL), (35041, '', '上茹布村民委员会', '4ce9f8e0ca704a33883fe0d1c2107094', 'b04ad6354a27481db61204da682bbd95', 'False', 'True', 'false', 'false', '513337100357', 5, '上茹布村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337100357', 1, '2021-07-19 12:08:07', NULL, NULL), (35042, '', '扎充村民委员会', '744e5dae4624413293c074534a4b667e', 'b04ad6354a27481db61204da682bbd95', 'False', 'True', 'false', 'false', '513337100371', 5, '扎充村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337100371', 1, '2021-07-19 12:08:07', NULL, NULL), (35043, '', '扒戈村民委员会', '059b70419d914359a5ebb0a4b0a0842c', 'b04ad6354a27481db61204da682bbd95', 'False', 'True', 'false', 'false', '513337100450', 5, '扒戈村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337100450', 1, '2021-07-19 12:08:07', NULL, NULL), (35044, '', '子洛村民委员会', 'a32d5cfb336240e0aef42531b69c9462', 'b04ad6354a27481db61204da682bbd95', 'False', 'True', 'false', 'false', '513337100495', 5, '子洛村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337100495', 1, '2021-07-19 12:08:07', NULL, NULL), (35045, '', '德西社区委员会', '4e0e7b70e701483b8750eeadd27f385c', 'b04ad6354a27481db61204da682bbd95', 'False', 'True', 'false', 'false', '513337100533', 5, '德西社区委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337100533', 1, '2021-07-19 12:08:08', NULL, NULL), (35046, '', '上龙古下龙古村民委员会', '7bffdf0cb42e4ffa89b7a540e6748bbf', 'b04ad6354a27481db61204da682bbd95', 'False', 'True', 'false', 'false', '513337100663', 5, '上龙古下龙古村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337100663', 1, '2021-07-19 12:08:08', NULL, NULL), (35047, '', '贡巴社区委员会', '86eebd3b6a244051b9c0c5a33c02b7f3', 'b04ad6354a27481db61204da682bbd95', 'False', 'True', 'false', 'false', '513337100708', 5, '贡巴社区委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337100708', 1, '2021-07-19 12:08:08', NULL, NULL), (35048, '', '培中村民委员会', '89e8c4d2364541a08763509e1196c7b6', 'b04ad6354a27481db61204da682bbd95', 'False', 'True', 'false', 'false', '513337100842', 5, '培中村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337100842', 1, '2021-07-19 12:08:08', NULL, NULL), (35049, '', '平洛七家村民委员会', '8d4ab6fce45f45e4bd01ef59a827abbb', 'b04ad6354a27481db61204da682bbd95', 'False', 'True', 'false', 'false', '513337100876', 5, '平洛七家村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337100876', 1, '2021-07-19 12:08:08', NULL, NULL), (35050, '', '仲麦村民委员会', 'cbbe67543ace47a3ba64d066dfdb9c9e', 'b04ad6354a27481db61204da682bbd95', 'False', 'True', 'false', 'false', '513337100885', 5, '仲麦村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337100885', 1, '2021-07-19 12:08:08', NULL, NULL), (35051, '', '所瓦村民委员会', '7790c612fa8740609b14775d130ae02d', 'b04ad6354a27481db61204da682bbd95', 'False', 'True', 'false', 'false', '513337100992', 5, '所瓦村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337100992', 1, '2021-07-19 12:08:08', NULL, NULL), (35052, '', '香格里拉镇', '650fd05af3dd480d85d0f7ce9c237241', 'c6495d3516c94d61bf727af6efd0dad2', 'True', 'True', 'false', 'false', '513337101000', 4, '香格里拉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513337101000', 1, '2021-07-19 12:08:08', NULL, NULL), (35053, '', '亚丁村民委员会', 'cb44ee5c2f6c4cd390894b706429a6fe', '650fd05af3dd480d85d0f7ce9c237241', 'False', 'True', 'false', 'false', '513337101099', 5, '亚丁村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337101099', 1, '2021-07-19 12:08:08', NULL, NULL), (35054, '', '拉木格村民委员会', '5012080cd60d455f8ae63bdda6eab5c9', '650fd05af3dd480d85d0f7ce9c237241', 'False', 'True', 'false', 'false', '513337101100', 5, '拉木格村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337101100', 1, '2021-07-19 12:08:08', NULL, NULL), (35055, '', '叶尔红村民委员会', 'ca36366daded4cbdbb341c90794693be', '650fd05af3dd480d85d0f7ce9c237241', 'False', 'True', 'false', 'false', '513337101149', 5, '叶尔红村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337101149', 1, '2021-07-19 12:08:08', NULL, NULL), (35056, '', '亚仲村民委员会', '544d71e53e9348489c863946a3db68e5', '650fd05af3dd480d85d0f7ce9c237241', 'False', 'True', 'false', 'false', '513337101188', 5, '亚仲村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337101188', 1, '2021-07-19 12:08:08', NULL, NULL), (35057, '', '康古村民委员会', '0c98a1fcd5924e5098ff8a9a0d6c81ab', '650fd05af3dd480d85d0f7ce9c237241', 'False', 'True', 'false', 'false', '513337101211', 5, '康古村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337101211', 1, '2021-07-19 12:08:08', NULL, NULL), (35058, '', '郎日村民委员会', 'ce4e8ed655494a479285ed746336bf00', '650fd05af3dd480d85d0f7ce9c237241', 'False', 'True', 'false', 'false', '513337101321', 5, '郎日村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337101321', 1, '2021-07-19 12:08:08', NULL, NULL), (35059, '', '呷拥社区居民委员会', '9d42ae27ba134fa0b46469eb58ec7730', '650fd05af3dd480d85d0f7ce9c237241', 'False', 'True', 'false', 'false', '513337101388', 5, '呷拥社区居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337101388', 1, '2021-07-19 12:08:08', NULL, NULL), (35060, '', '瓦龙村民委员会', '32fb6959ab024d3cbf5fb1953e60cd6d', '650fd05af3dd480d85d0f7ce9c237241', 'False', 'True', 'false', 'false', '513337101502', 5, '瓦龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337101502', 1, '2021-07-19 12:08:08', NULL, NULL), (35061, '', '阿称贡村民委员会', 'ad2d8bc2089443d999bb452eb82974dd', '650fd05af3dd480d85d0f7ce9c237241', 'False', 'True', 'false', 'false', '513337101504', 5, '阿称贡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337101504', 1, '2021-07-19 12:08:08', NULL, NULL), (35062, '', '日美村民委员会', '0bafdcca07f94650bda6c61128e66ea4', '650fd05af3dd480d85d0f7ce9c237241', 'False', 'True', 'false', 'false', '513337101527', 5, '日美村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337101527', 1, '2021-07-19 12:08:08', NULL, NULL), (35063, '', '培仲村民委员会', 'a8691050e55840a3b4182b34f893581b', '650fd05af3dd480d85d0f7ce9c237241', 'False', 'True', 'false', 'false', '513337101559', 5, '培仲村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337101559', 1, '2021-07-19 12:08:09', NULL, NULL), (35064, '', '俄初村民委员会', 'a91ad8ee79c54365a0b814a4b784e78e', '650fd05af3dd480d85d0f7ce9c237241', 'False', 'True', 'false', 'false', '513337101802', 5, '俄初村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337101802', 1, '2021-07-19 12:08:09', NULL, NULL), (35065, '', '西热村民委员会', 'dde107917dba46729494cc17f071d1eb', '650fd05af3dd480d85d0f7ce9c237241', 'False', 'True', 'false', 'false', '513337101836', 5, '西热村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337101836', 1, '2021-07-19 12:08:09', NULL, NULL), (35066, '', '热光村民委员会', '2e316fe7bd5a4aec9e2bd7a1aa816a73', '650fd05af3dd480d85d0f7ce9c237241', 'False', 'True', 'false', 'false', '513337101877', 5, '热光村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337101877', 1, '2021-07-19 12:08:09', NULL, NULL), (35067, '', '格辉村民委员会', '91eadd428b214054b90932d84366ff83', '650fd05af3dd480d85d0f7ce9c237241', 'False', 'True', 'false', 'false', '513337101932', 5, '格辉村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337101932', 1, '2021-07-19 12:08:09', NULL, NULL), (35068, '', '桑堆镇', 'e3827490dcf246e3bc195cfb9d39812b', 'c6495d3516c94d61bf727af6efd0dad2', 'True', 'True', 'false', 'false', '513337102000', 4, '桑堆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513337102000', 1, '2021-07-19 12:08:09', NULL, NULL), (35069, '', '所冲二村民委员会', 'a68228550657402f9eb5280380d02df5', 'e3827490dcf246e3bc195cfb9d39812b', 'False', 'True', 'false', 'false', '513337102013', 5, '所冲二村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337102013', 1, '2021-07-19 12:08:09', NULL, NULL), (35070, '', '所冲一村民委员会', 'f4980520bebf462e9469644755e34342', 'e3827490dcf246e3bc195cfb9d39812b', 'False', 'True', 'false', 'false', '513337102082', 5, '所冲一村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337102082', 1, '2021-07-19 12:08:09', NULL, NULL), (35071, '', '桑堆三村民委员会', 'e5c36f39a26a42f99f8136f0be445119', 'e3827490dcf246e3bc195cfb9d39812b', 'False', 'True', 'false', 'false', '513337102296', 5, '桑堆三村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337102296', 1, '2021-07-19 12:08:09', NULL, NULL), (35072, '', '桑堆一村民委员会', '0e3814e56e7945bea106098448b16041', 'e3827490dcf246e3bc195cfb9d39812b', 'False', 'True', 'false', 'false', '513337102441', 5, '桑堆一村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337102441', 1, '2021-07-19 12:08:09', NULL, NULL), (35073, '', '吉乙一村民委员会', '293b946ecc23486ea6edb24f89528807', 'e3827490dcf246e3bc195cfb9d39812b', 'False', 'True', 'false', 'false', '513337102694', 5, '吉乙一村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337102694', 1, '2021-07-19 12:08:09', NULL, NULL), (35074, '', '所冲三村民委员会', 'cb3faf9d58ce46dea53ced6f3b193124', 'e3827490dcf246e3bc195cfb9d39812b', 'False', 'True', 'false', 'false', '513337102716', 5, '所冲三村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337102716', 1, '2021-07-19 12:08:09', NULL, NULL), (35075, '', '桑堆四村民委员会', 'd58021a973c44a2eb9cc9d8d2bc688b9', 'e3827490dcf246e3bc195cfb9d39812b', 'False', 'True', 'false', 'false', '513337102717', 5, '桑堆四村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337102717', 1, '2021-07-19 12:08:09', NULL, NULL), (35076, '', '桑堆二村民委员会', '3c89dfdeb76e421a98263e8b4aa7801d', 'e3827490dcf246e3bc195cfb9d39812b', 'False', 'True', 'false', 'false', '513337102835', 5, '桑堆二村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337102835', 1, '2021-07-19 12:08:09', NULL, NULL), (35077, '', '吉乙三村民委员会', 'a1885ae30d6a4689bb18aa8a86a57b95', 'e3827490dcf246e3bc195cfb9d39812b', 'False', 'True', 'false', 'false', '513337102887', 5, '吉乙三村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337102887', 1, '2021-07-19 12:08:09', NULL, NULL), (35078, '', '吉乙二村民委员会', 'c8b313b8866b4803a636a6bdbf686b35', 'e3827490dcf246e3bc195cfb9d39812b', 'False', 'True', 'false', 'false', '513337102925', 5, '吉乙二村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337102925', 1, '2021-07-19 12:08:09', NULL, NULL), (35079, '', '省母乡', '8e1e811bc9d94a45978cbcad2a843ec1', 'c6495d3516c94d61bf727af6efd0dad2', 'True', 'True', 'false', 'false', '513337201000', 4, '省母乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513337201000', 1, '2021-07-19 12:08:09', NULL, NULL), (35080, '', '各瓦村民委员会', '51e7b07c79144c9396cd724ad02246de', '8e1e811bc9d94a45978cbcad2a843ec1', 'False', 'True', 'false', 'false', '513337201056', 5, '各瓦村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337201056', 1, '2021-07-19 12:08:10', NULL, NULL), (35081, '', '查花村民委员会', '94c4df7ab96f4ffda000c471916c975a', '8e1e811bc9d94a45978cbcad2a843ec1', 'False', 'True', 'false', 'false', '513337201097', 5, '查花村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337201097', 1, '2021-07-19 12:08:10', NULL, NULL), (35082, '', '毕光村民委员会', '368897c1d7d249859af241cea7f7d3e2', '8e1e811bc9d94a45978cbcad2a843ec1', 'False', 'True', 'false', 'false', '513337201412', 5, '毕光村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337201412', 1, '2021-07-19 12:08:10', NULL, NULL), (35083, '', '茹子村民委员会', '82cb9532d739407e8f442bd5ce3f2448', '8e1e811bc9d94a45978cbcad2a843ec1', 'False', 'True', 'false', 'false', '513337201474', 5, '茹子村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337201474', 1, '2021-07-19 12:08:10', NULL, NULL), (35084, '', '冉子村民委员会', '4cd05bfe312e444ea7fe2419b8a4b762', '8e1e811bc9d94a45978cbcad2a843ec1', 'False', 'True', 'false', 'false', '513337201671', 5, '冉子村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337201671', 1, '2021-07-19 12:08:10', NULL, NULL), (35085, '', '省母村民委员会', '1b7a459971cb4313b19d023038776f37', '8e1e811bc9d94a45978cbcad2a843ec1', 'False', 'True', 'false', 'false', '513337201817', 5, '省母村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337201817', 1, '2021-07-19 12:08:10', NULL, NULL), (35086, '', '日火村民委员会', '6887f0629cbd4ebebb7d8efb2856ebf9', '8e1e811bc9d94a45978cbcad2a843ec1', 'False', 'True', 'false', 'false', '513337201946', 5, '日火村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337201946', 1, '2021-07-19 12:08:10', NULL, NULL), (35087, '', '巨龙乡', '83c6e98da7a14f93b81d2a642c8ca5ce', 'c6495d3516c94d61bf727af6efd0dad2', 'True', 'True', 'false', 'false', '513337204000', 4, '巨龙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513337204000', 1, '2021-07-19 12:08:10', NULL, NULL), (35088, '', '迷底村民委员会', 'aeb145d4f1274653a1c846c68ba78bec', '83c6e98da7a14f93b81d2a642c8ca5ce', 'False', 'True', 'false', 'false', '513337204202', 5, '迷底村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337204202', 1, '2021-07-19 12:08:10', NULL, NULL), (35089, '', '卫仲村民委员会', '4e58f5f28afa443896f4516fde8a2baf', '83c6e98da7a14f93b81d2a642c8ca5ce', 'False', 'True', 'false', 'false', '513337204238', 5, '卫仲村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337204238', 1, '2021-07-19 12:08:10', NULL, NULL), (35090, '', '然央村民委员会', '42776bc9a83c4015acc036f53def8096', '83c6e98da7a14f93b81d2a642c8ca5ce', 'False', 'True', 'false', 'false', '513337204640', 5, '然央村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337204640', 1, '2021-07-19 12:08:10', NULL, NULL), (35091, '', '瓦龙村民委员会', '2bf69e97d939407cbdc52158b2a0c170', '83c6e98da7a14f93b81d2a642c8ca5ce', 'False', 'True', 'false', 'false', '513337204753', 5, '瓦龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337204753', 1, '2021-07-19 12:08:10', NULL, NULL), (35092, '', '洛洛村民委员会', 'a3ebeca3eba04e218b0e218c28a6cb1a', '83c6e98da7a14f93b81d2a642c8ca5ce', 'False', 'True', 'false', 'false', '513337204758', 5, '洛洛村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337204758', 1, '2021-07-19 12:08:10', NULL, NULL), (35093, '', '布朗村民委员会', 'd1d2b1d4de454201b4b748b3b5dd4b5e', '83c6e98da7a14f93b81d2a642c8ca5ce', 'False', 'True', 'false', 'false', '513337204805', 5, '布朗村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337204805', 1, '2021-07-19 12:08:10', NULL, NULL), (35094, '', '西沙村民委员会', 'a49aab4413364f698920d8e886b49e61', '83c6e98da7a14f93b81d2a642c8ca5ce', 'False', 'True', 'false', 'false', '513337204921', 5, '西沙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337204921', 1, '2021-07-19 12:08:10', NULL, NULL), (35095, '', '谷都村民委员会', 'edda3ff1b9594f9eb09ccd5bbfad442b', '83c6e98da7a14f93b81d2a642c8ca5ce', 'False', 'True', 'false', 'false', '513337204946', 5, '谷都村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337204946', 1, '2021-07-19 12:08:10', NULL, NULL), (35096, '', '同古村民委员会', '81fb1adf2ab644008017a114dda51f3e', '83c6e98da7a14f93b81d2a642c8ca5ce', 'False', 'True', 'false', 'false', '513337204955', 5, '同古村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337204955', 1, '2021-07-19 12:08:10', NULL, NULL), (35097, '', '杰中村民委员会', 'b4024eeb335e4ec4872c4800aa2737a9', '83c6e98da7a14f93b81d2a642c8ca5ce', 'False', 'True', 'false', 'false', '513337204963', 5, '杰中村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337204963', 1, '2021-07-19 12:08:10', NULL, NULL), (35098, '', '邓坡乡', '478dd654c57443a393761d45914b6906', 'c6495d3516c94d61bf727af6efd0dad2', 'True', 'True', 'false', 'false', '513337205000', 4, '邓坡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513337205000', 1, '2021-07-19 12:08:11', NULL, NULL), (35099, '', '上邓坡村民委员会', 'c7c254257a4e446b9a2c336f14178f12', '478dd654c57443a393761d45914b6906', 'False', 'True', 'false', 'false', '513337205485', 5, '上邓坡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337205485', 1, '2021-07-19 12:08:11', NULL, NULL), (35100, '', '下邓坡村民委员会', '83bb2e38dd0f4ddebc07c4b713c2e287', '478dd654c57443a393761d45914b6906', 'False', 'True', 'false', 'false', '513337205983', 5, '下邓坡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337205983', 1, '2021-07-19 12:08:11', NULL, NULL), (35101, '', '木拉乡', 'fa54f6d4d4ff44bd856f5b2a740f5e5b', 'c6495d3516c94d61bf727af6efd0dad2', 'True', 'True', 'false', 'false', '513337206000', 4, '木拉乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513337206000', 1, '2021-07-19 12:08:11', NULL, NULL), (35102, '', '同沙村民委员会', 'ec7362dea4674f7aaf5214956989122a', 'fa54f6d4d4ff44bd856f5b2a740f5e5b', 'False', 'True', 'false', 'false', '513337206163', 5, '同沙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337206163', 1, '2021-07-19 12:08:11', NULL, NULL), (35103, '', '半岛村民委员会', '52200a1c15774476bc2ce71ffb4a28b8', 'fa54f6d4d4ff44bd856f5b2a740f5e5b', 'False', 'True', 'false', 'false', '513337206175', 5, '半岛村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337206175', 1, '2021-07-19 12:08:11', NULL, NULL), (35104, '', '培考村民委员会', 'fcfece5c51ba417fb50b489f39e254ff', 'fa54f6d4d4ff44bd856f5b2a740f5e5b', 'False', 'True', 'false', 'false', '513337206181', 5, '培考村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337206181', 1, '2021-07-19 12:08:11', NULL, NULL), (35105, '', '向麦村民委员会', '078f57c4fc1944fb9b41638fbddbc90b', 'fa54f6d4d4ff44bd856f5b2a740f5e5b', 'False', 'True', 'false', 'false', '513337206355', 5, '向麦村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337206355', 1, '2021-07-19 12:08:11', NULL, NULL), (35106, '', '卡龙村民委员会', 'd670326ab28f4a85bcf75fdb10555809', 'fa54f6d4d4ff44bd856f5b2a740f5e5b', 'False', 'True', 'false', 'false', '513337206363', 5, '卡龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337206363', 1, '2021-07-19 12:08:11', NULL, NULL), (35107, '', '麻格同村民委员会', '6906232f875d447ca386b53a37c7e08c', 'fa54f6d4d4ff44bd856f5b2a740f5e5b', 'False', 'True', 'false', 'false', '513337206600', 5, '麻格同村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337206600', 1, '2021-07-19 12:08:11', NULL, NULL), (35108, '', '泥康村民委员会', 'd4ed054920974ea9935d10faaee6ef89', 'fa54f6d4d4ff44bd856f5b2a740f5e5b', 'False', 'True', 'false', 'false', '513337206832', 5, '泥康村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337206832', 1, '2021-07-19 12:08:11', NULL, NULL), (35109, '', '拉木村民委员会', '5da5c3f976874cfe86e3677207aa91c1', 'fa54f6d4d4ff44bd856f5b2a740f5e5b', 'False', 'True', 'false', 'false', '513337206941', 5, '拉木村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337206941', 1, '2021-07-19 12:08:11', NULL, NULL), (35110, '', '赤土乡', 'cf62f599132d4cc780f199dc0fecfadf', 'c6495d3516c94d61bf727af6efd0dad2', 'True', 'True', 'false', 'false', '513337207000', 4, '赤土乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513337207000', 1, '2021-07-19 12:08:11', NULL, NULL), (35111, '', '贡沙村民委员会', '6c846dcb691c46048999dc7e35861404', 'cf62f599132d4cc780f199dc0fecfadf', 'False', 'True', 'false', 'false', '513337207038', 5, '贡沙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337207038', 1, '2021-07-19 12:08:11', NULL, NULL), (35112, '', '客瓦村民委员会', 'd0366bf5ca0f42d4993b49ccc55dccfe', 'cf62f599132d4cc780f199dc0fecfadf', 'False', 'True', 'false', 'false', '513337207049', 5, '客瓦村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337207049', 1, '2021-07-19 12:08:11', NULL, NULL), (35113, '', '子定二村民委员会', 'cc799b39ba1947acb5a4b5f65647d184', 'cf62f599132d4cc780f199dc0fecfadf', 'False', 'True', 'false', 'false', '513337207092', 5, '子定二村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337207092', 1, '2021-07-19 12:08:12', NULL, NULL), (35114, '', '阿西村民委员会', '6d1f54f3766c4af5a065051058cbb000', 'cf62f599132d4cc780f199dc0fecfadf', 'False', 'True', 'false', 'false', '513337207282', 5, '阿西村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337207282', 1, '2021-07-19 12:08:12', NULL, NULL), (35115, '', '沙堆村民委员会', '73191f56e26f4fa4a6fabf82b27db9ed', 'cf62f599132d4cc780f199dc0fecfadf', 'False', 'True', 'false', 'false', '513337207379', 5, '沙堆村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337207379', 1, '2021-07-19 12:08:12', NULL, NULL), (35116, '', '甲拉村民委员会', '6e88ea18f0ea4125abbb7821b5db5751', 'cf62f599132d4cc780f199dc0fecfadf', 'False', 'True', 'false', 'false', '513337207511', 5, '甲拉村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337207511', 1, '2021-07-19 12:08:12', NULL, NULL), (35117, '', '孔仁村民委员会', '60cf48091bba4bbe979b746b428ca90e', 'cf62f599132d4cc780f199dc0fecfadf', 'False', 'True', 'false', 'false', '513337207761', 5, '孔仁村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337207761', 1, '2021-07-19 12:08:12', NULL, NULL), (35118, '', '子定一村民委员会', '68c0e38fd5ef493a8572e6dd585682b8', 'cf62f599132d4cc780f199dc0fecfadf', 'False', 'True', 'false', 'false', '513337207854', 5, '子定一村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337207854', 1, '2021-07-19 12:08:12', NULL, NULL), (35119, '', '德沙村民委员会', 'd8b1d6a4433c4de1ac8102324256d752', 'cf62f599132d4cc780f199dc0fecfadf', 'False', 'True', 'false', 'false', '513337207907', 5, '德沙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337207907', 1, '2021-07-19 12:08:12', NULL, NULL), (35120, '', '建丁村民委员会', 'c1f11beeb76f4b958057e13eac738432', 'cf62f599132d4cc780f199dc0fecfadf', 'False', 'True', 'false', 'false', '513337207954', 5, '建丁村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337207954', 1, '2021-07-19 12:08:12', NULL, NULL), (35121, '', '蒙自乡', '5c01998d00944161b674d222455fd0c3', 'c6495d3516c94d61bf727af6efd0dad2', 'True', 'True', 'false', 'false', '513337209000', 4, '蒙自乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513337209000', 1, '2021-07-19 12:08:12', NULL, NULL), (35122, '', '格沙村民委员会', '811618bd18fd41d197ae79d450f6dd23', '5c01998d00944161b674d222455fd0c3', 'False', 'True', 'false', 'false', '513337209071', 5, '格沙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337209071', 1, '2021-07-19 12:08:12', NULL, NULL), (35123, '', '亚中村民委员会', '071f9c02b70244f9b2791e7fd6cea130', '5c01998d00944161b674d222455fd0c3', 'False', 'True', 'false', 'false', '513337209138', 5, '亚中村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337209138', 1, '2021-07-19 12:08:12', NULL, NULL), (35124, '', '自龙村民委员会', '1bb0cf2616744334b1b83f4d2535920d', '5c01998d00944161b674d222455fd0c3', 'False', 'True', 'false', 'false', '513337209245', 5, '自龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337209245', 1, '2021-07-19 12:08:12', NULL, NULL), (35125, '', '黑龙村民委员会', '88b93c1567a242048135d3859683fe45', '5c01998d00944161b674d222455fd0c3', 'False', 'True', 'false', 'false', '513337209324', 5, '黑龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337209324', 1, '2021-07-19 12:08:12', NULL, NULL), (35126, '', '桑达村民委员会', '09ce73abf5664bfc9e10962e0a37ec06', '5c01998d00944161b674d222455fd0c3', 'False', 'True', 'false', 'false', '513337209346', 5, '桑达村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337209346', 1, '2021-07-19 12:08:12', NULL, NULL), (35127, '', '米绒村民委员会', '6915c04fd6764655bf40d95584b501b9', '5c01998d00944161b674d222455fd0c3', 'False', 'True', 'false', 'false', '513337209505', 5, '米绒村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337209505', 1, '2021-07-19 12:08:12', NULL, NULL), (35128, '', '然格村民委员会', '0bc8ba670763448fb94c1e94ae6d1f1a', '5c01998d00944161b674d222455fd0c3', 'False', 'True', 'false', 'false', '513337209568', 5, '然格村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337209568', 1, '2021-07-19 12:08:12', NULL, NULL), (35129, '', '瓦格村民委员会', '1cda2460f2ac438f98ce178bb365f929', '5c01998d00944161b674d222455fd0c3', 'False', 'True', 'false', 'false', '513337209588', 5, '瓦格村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337209588', 1, '2021-07-19 12:08:13', NULL, NULL), (35130, '', '贡关村民委员会', '4b2de879eb994c69a8fd94d6d02bfefe', '5c01998d00944161b674d222455fd0c3', 'False', 'True', 'false', 'false', '513337209662', 5, '贡关村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337209662', 1, '2021-07-19 12:08:13', NULL, NULL), (35131, '', '俄伦村民委员会', 'a262281600a54720a3171f96a65aadb2', '5c01998d00944161b674d222455fd0c3', 'False', 'True', 'false', 'false', '513337209769', 5, '俄伦村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337209769', 1, '2021-07-19 12:08:13', NULL, NULL), (35132, '', '各卡乡', '90640b000c9a443c8732aaff266f70ca', 'c6495d3516c94d61bf727af6efd0dad2', 'True', 'True', 'false', 'false', '513337210000', 4, '各卡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513337210000', 1, '2021-07-19 12:08:13', NULL, NULL), (35133, '', '思子村民委员会', '8851cbc3739e4bf8b1ff848e1204f899', '90640b000c9a443c8732aaff266f70ca', 'False', 'True', 'false', 'false', '513337210282', 5, '思子村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337210282', 1, '2021-07-19 12:08:13', NULL, NULL), (35134, '', '泥龙村民委员会', '127d7d54e6ca4d3a92be80872f3ee359', '90640b000c9a443c8732aaff266f70ca', 'False', 'True', 'false', 'false', '513337210561', 5, '泥龙村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337210561', 1, '2021-07-19 12:08:13', NULL, NULL), (35135, '', '各瓦村民委员会', 'd2ae4f98a48147cfa9fbe3914d0addb1', '90640b000c9a443c8732aaff266f70ca', 'False', 'True', 'false', 'false', '513337210635', 5, '各瓦村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337210635', 1, '2021-07-19 12:08:13', NULL, NULL), (35136, '', '白合村民委员会', '3370ba7c2b67469b83ac584f7879f218', '90640b000c9a443c8732aaff266f70ca', 'False', 'True', 'false', 'false', '513337210696', 5, '白合村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337210696', 1, '2021-07-19 12:08:13', NULL, NULL), (35137, '', '卡斯村民委员会', '26f106dcf4e14df184c4cee72772b762', '90640b000c9a443c8732aaff266f70ca', 'False', 'True', 'false', 'false', '513337210745', 5, '卡斯村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337210745', 1, '2021-07-19 12:08:13', NULL, NULL), (35138, '', '吉呷镇', 'a65891f811964a0992c608a3be770997', 'c6495d3516c94d61bf727af6efd0dad2', 'True', 'True', 'false', 'false', '513337211000', 4, '吉呷镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513337211000', 1, '2021-07-19 12:08:13', NULL, NULL), (35139, '', '呷拉村民委员会', '3b7c084fc9194e8d8f48e807391c8d4c', 'a65891f811964a0992c608a3be770997', 'False', 'True', 'false', 'false', '513337103061', 5, '呷拉村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337103061', 1, '2021-07-19 12:08:13', NULL, NULL), (35140, '', '巨水村民委员会', '39df4c80f6ee48b0a677ba53595ed777', 'a65891f811964a0992c608a3be770997', 'False', 'True', 'false', 'false', '513337103136', 5, '巨水村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337103136', 1, '2021-07-19 12:08:13', NULL, NULL), (35141, '', '吉尔同上村村民委员会', '2f63de015fd14c7289a8db642af424ee', 'a65891f811964a0992c608a3be770997', 'False', 'True', 'false', 'false', '513337103230', 5, '吉尔同上村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337103230', 1, '2021-07-19 12:08:13', NULL, NULL), (35142, '', '吉尔同下村村民委员会', 'b0b9410ea9214bc295e41ecf57c9146c', 'a65891f811964a0992c608a3be770997', 'False', 'True', 'false', 'false', '513337103304', 5, '吉尔同下村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337103304', 1, '2021-07-19 12:08:14', NULL, NULL), (35143, '', '尼公村民委员会', 'e202c77e20ad4111babf3da5462fde4f', 'a65891f811964a0992c608a3be770997', 'False', 'True', 'false', 'false', '513337103681', 5, '尼公村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337103681', 1, '2021-07-19 12:08:14', NULL, NULL), (35144, '', '俄牙同乡', 'd1a7dc86660644baafa60d28de8faa09', 'c6495d3516c94d61bf727af6efd0dad2', 'True', 'True', 'false', 'false', '513337212000', 4, '俄牙同乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513337212000', 1, '2021-07-19 12:08:14', NULL, NULL), (35145, '', '牙垭二村村民委员会', '5289042c776f4426a4f2c00b8c7d212a', 'd1a7dc86660644baafa60d28de8faa09', 'False', 'True', 'false', 'false', '513337212017', 5, '牙垭二村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337212017', 1, '2021-07-19 12:08:14', NULL, NULL), (35146, '', '下同村民委员会', 'd7048e328f78489aae791b49e78cc509', 'd1a7dc86660644baafa60d28de8faa09', 'False', 'True', 'false', 'false', '513337212036', 5, '下同村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337212036', 1, '2021-07-19 12:08:14', NULL, NULL), (35147, '', '向英村民委员会', '56be35dddcfb4e1db15bb004c1dbe278', 'd1a7dc86660644baafa60d28de8faa09', 'False', 'True', 'false', 'false', '513337212090', 5, '向英村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337212090', 1, '2021-07-19 12:08:14', NULL, NULL), (35148, '', '往子村民委员会', '3897ef42955b450d88f0946b0b836a2c', 'd1a7dc86660644baafa60d28de8faa09', 'False', 'True', 'false', 'false', '513337212117', 5, '往子村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337212117', 1, '2021-07-19 12:08:14', NULL, NULL), (35149, '', '牙垭一村村民委员会', '573dbe07de944ea2825691123e7a580a', 'd1a7dc86660644baafa60d28de8faa09', 'False', 'True', 'false', 'false', '513337212186', 5, '牙垭一村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337212186', 1, '2021-07-19 12:08:14', NULL, NULL), (35150, '', '洋丁村民委员会', '25e0c767b4ce4d6fa384fec90a376169', 'd1a7dc86660644baafa60d28de8faa09', 'False', 'True', 'false', 'false', '513337212231', 5, '洋丁村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337212231', 1, '2021-07-19 12:08:14', NULL, NULL), (35151, '', '同乡村民委员会', 'a5b91282509c4ac7862f4f1f2d676207', 'd1a7dc86660644baafa60d28de8faa09', 'False', 'True', 'false', 'false', '513337212265', 5, '同乡村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337212265', 1, '2021-07-19 12:08:14', NULL, NULL), (35152, '', '牙垭三村村民委员会', 'd93c5d879ed24b3fa8343f8fadc739ad', 'd1a7dc86660644baafa60d28de8faa09', 'False', 'True', 'false', 'false', '513337212437', 5, '牙垭三村村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337212437', 1, '2021-07-19 12:08:14', NULL, NULL), (35153, '', '同丁村民委员会', '79b307a7f15d45fc98c5799172c70c74', 'd1a7dc86660644baafa60d28de8faa09', 'False', 'True', 'false', 'false', '513337212806', 5, '同丁村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337212806', 1, '2021-07-19 12:08:14', NULL, NULL), (35154, '', '俄眉村民委员会', 'b63e0a3bac654161ab3f43b2c6488342', 'd1a7dc86660644baafa60d28de8faa09', 'False', 'True', 'false', 'false', '513337212973', 5, '俄眉村民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513337212973', 1, '2021-07-19 12:08:15', NULL, NULL), (35155, '', '得荣县', '0cbc8917d0924797aeb877f242e1c3b4', '4e0988aa699e46dd9cdf992180c73cd8', 'True', 'True', 'false', 'false', '513338000000', 3, '得荣县', 'gzzdrx.sczwfw.gov.cn', 1, '2021-07-19 12:08:15', NULL, NULL), (35156, '', '太阳谷镇', '44dd7847fb5e4989b84f54cde82983ed', '0cbc8917d0924797aeb877f242e1c3b4', 'True', 'True', 'false', 'false', '513338100000', 4, '太阳谷镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513338100000', 1, '2021-07-19 12:08:15', NULL, NULL), (35157, '', '尼日村', '9a4911eff72448958f094b58cd085d94', '44dd7847fb5e4989b84f54cde82983ed', 'False', 'False', 'false', 'false', '513338100026', 5, '尼日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338100026', 1, '2021-07-19 12:08:15', NULL, NULL), (35158, '', '冻谷村', '7bd10aa102b54d52b5e2598e2ba397be', '44dd7847fb5e4989b84f54cde82983ed', 'False', 'False', 'false', 'false', '513338100226', 5, '冻谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338100226', 1, '2021-07-19 12:08:15', NULL, NULL), (35159, '', '卡龚村', '71fe1edb91344b8eb063a3ce87547adf', '44dd7847fb5e4989b84f54cde82983ed', 'False', 'False', 'false', 'false', '513338100584', 5, '卡龚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338100584', 1, '2021-07-19 12:08:15', NULL, NULL), (35160, '', '浪中村', 'f9df46c174644a91858584e2aeaa0c7c', '44dd7847fb5e4989b84f54cde82983ed', 'False', 'False', 'false', 'false', '513338100870', 5, '浪中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338100870', 1, '2021-07-19 12:08:15', NULL, NULL), (35161, '', '河西居民委员会', '38842afbf0094596baa234d0fc7cc260', '44dd7847fb5e4989b84f54cde82983ed', 'False', 'False', 'false', 'false', '513338104123', 5, '河西居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338104123', 1, '2021-07-19 12:08:15', NULL, NULL), (35162, '', '河东居民委员会', '1174421916d94688ab080e3786cc90d3', '44dd7847fb5e4989b84f54cde82983ed', 'False', 'False', 'false', 'false', '513338104458', 5, '河东居民委员会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338104458', 1, '2021-07-19 12:08:15', NULL, NULL), (35163, '', '夏绒村', '7ea763f5eebc4f87b955ecfa506c9ed9', '44dd7847fb5e4989b84f54cde82983ed', 'False', 'False', 'false', 'false', '513338104755', 5, '夏绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338104755', 1, '2021-07-19 12:08:15', NULL, NULL), (35164, '', '扎格村', '48656b2c29a74e8d8b1778a4cadaf40e', '44dd7847fb5e4989b84f54cde82983ed', 'False', 'False', 'false', 'false', '513338100199', 5, '扎格村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338100199', 1, '2021-07-19 12:08:15', NULL, NULL), (35165, '', '英达村', 'e91a214d06914baab77123c48e90f9d7', '44dd7847fb5e4989b84f54cde82983ed', 'False', 'False', 'false', 'false', '513338100280', 5, '英达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338100280', 1, '2021-07-19 12:08:15', NULL, NULL), (35166, '', '冉绒村', '5093b7d68a3343aeafe9719233fbb692', '44dd7847fb5e4989b84f54cde82983ed', 'False', 'False', 'false', 'false', '513338100420', 5, '冉绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338100420', 1, '2021-07-19 12:08:15', NULL, NULL), (35167, '', '扎顶村', '2dfbf1038fca418fafa9b4ab8d2dc025', '44dd7847fb5e4989b84f54cde82983ed', 'False', 'False', 'false', 'false', '513338100508', 5, '扎顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338100508', 1, '2021-07-19 12:08:15', NULL, NULL), (35168, '', '约日村', '4f10c0d8615547d78e2a2ea8e00bc36c', '44dd7847fb5e4989b84f54cde82983ed', 'False', 'False', 'false', 'false', '513338100707', 5, '约日村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338100707', 1, '2021-07-19 12:08:15', NULL, NULL), (35169, '', '松堆村', 'a09ddf2ceb144bc49aff5eea4ea3eab0', '44dd7847fb5e4989b84f54cde82983ed', 'False', 'False', 'false', 'false', '513338100731', 5, '松堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338100731', 1, '2021-07-19 12:08:16', NULL, NULL), (35170, '', '鱼根村', '3b6b999e0e70479fa5aba8c6556ba1f5', '44dd7847fb5e4989b84f54cde82983ed', 'False', 'False', 'false', 'false', '513338100806', 5, '鱼根村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338100806', 1, '2021-07-19 12:08:16', NULL, NULL), (35171, '', '松麦村', 'fc2f5d10a5ea4f87b1601febca53dc37', '44dd7847fb5e4989b84f54cde82983ed', 'False', 'True', 'false', 'false', '513338100835', 5, '松麦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338100835', 1, '2021-07-19 12:08:16', NULL, NULL), (35172, '', '格绒村', '75baab127675416ca4b3f71902b910bd', '44dd7847fb5e4989b84f54cde82983ed', 'False', 'False', 'false', 'false', '513338100894', 5, '格绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338100894', 1, '2021-07-19 12:08:16', NULL, NULL), (35173, '', '瓦卡镇', '39e9f34bdf9c41e38c64c52fe18b2226', '0cbc8917d0924797aeb877f242e1c3b4', 'True', 'True', 'false', 'false', '513338101000', 4, '瓦卡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513338101000', 1, '2021-07-19 12:08:16', NULL, NULL), (35174, '', '瓦卡村', 'df459d41aef340ccaefd9b818f9e4ba2', '39e9f34bdf9c41e38c64c52fe18b2226', 'False', 'False', 'false', 'false', '513338101093', 5, '瓦卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338101093', 1, '2021-07-19 12:08:16', NULL, NULL), (35175, '', '阿落贡村', 'd6d87dcd004d43e0ae3b26801e521a55', '39e9f34bdf9c41e38c64c52fe18b2226', 'False', 'False', 'false', 'false', '513338101298', 5, '阿落贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338101298', 1, '2021-07-19 12:08:16', NULL, NULL), (35176, '', '子实村', 'bb77218ba5c74fc9841c1873bd661612', '39e9f34bdf9c41e38c64c52fe18b2226', 'False', 'False', 'false', 'false', '513338101514', 5, '子实村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338101514', 1, '2021-07-19 12:08:16', NULL, NULL), (35177, '', '曲岗顶村', '5c4ba50b084f489f835513a1b543da90', '39e9f34bdf9c41e38c64c52fe18b2226', 'False', 'False', 'false', 'false', '513338101796', 5, '曲岗顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338101796', 1, '2021-07-19 12:08:16', NULL, NULL), (35178, '', '阿称村', '23c04a3c3ca849ab8236bace9b5db9d1', '39e9f34bdf9c41e38c64c52fe18b2226', 'False', 'False', 'false', 'false', '513338101958', 5, '阿称村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338101958', 1, '2021-07-19 12:08:16', NULL, NULL), (35179, '', '子庚村', 'bb201da77e8446138650b9b5822409f8', '39e9f34bdf9c41e38c64c52fe18b2226', 'False', 'False', 'false', 'false', '513338101994', 5, '子庚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338101994', 1, '2021-07-19 12:08:16', NULL, NULL), (35180, '', '白松镇', '23897f90f8ac4450b36596bad7c76331', '0cbc8917d0924797aeb877f242e1c3b4', 'True', 'True', 'false', 'false', '513338102000', 4, '白松镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513338102000', 1, '2021-07-19 12:08:16', NULL, NULL), (35181, '', '亭子村', 'c9fbc9f5635644bf866cfcee8a6c2db8', '23897f90f8ac4450b36596bad7c76331', 'False', 'False', 'false', 'false', '513338102005', 5, '亭子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338102005', 1, '2021-07-19 12:08:16', NULL, NULL), (35182, '', '同归村', 'eb3eefc8d6d445be8eb321fcbbe2de7f', '23897f90f8ac4450b36596bad7c76331', 'False', 'False', 'false', 'false', '513338102057', 5, '同归村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338102057', 1, '2021-07-19 12:08:16', NULL, NULL), (35183, '', '夺松贡村', 'af11f61aa5944a65a86322c0a89cc26e', '23897f90f8ac4450b36596bad7c76331', 'False', 'False', 'false', 'false', '513338102082', 5, '夺松贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338102082', 1, '2021-07-19 12:08:16', NULL, NULL), (35184, '', '点仲村', '8bbc22d2fa67430596dc9304d46d98d5', '23897f90f8ac4450b36596bad7c76331', 'False', 'False', 'false', 'false', '513338102179', 5, '点仲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338102179', 1, '2021-07-19 12:08:16', NULL, NULL), (35185, '', '白松村', '85f2856668ce4690998dc62470b22ea8', '23897f90f8ac4450b36596bad7c76331', 'False', 'False', 'false', 'false', '513338102204', 5, '白松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338102204', 1, '2021-07-19 12:08:17', NULL, NULL), (35186, '', '依达村', '44412c421961461b9799b10a0cb1eb62', '23897f90f8ac4450b36596bad7c76331', 'False', 'False', 'false', 'false', '513338102211', 5, '依达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338102211', 1, '2021-07-19 12:08:17', NULL, NULL), (35187, '', '日惹村', '99843bbc070d4901b638c974b04bc2f6', '23897f90f8ac4450b36596bad7c76331', 'False', 'False', 'false', 'false', '513338102288', 5, '日惹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338102288', 1, '2021-07-19 12:08:17', NULL, NULL), (35188, '', '日堆村', '6baaa3aa76e046f3872558cbd2df45d7', '23897f90f8ac4450b36596bad7c76331', 'False', 'False', 'false', 'false', '513338102371', 5, '日堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338102371', 1, '2021-07-19 12:08:17', NULL, NULL), (35189, '', '依打村', 'c703ef4bfc57430eaadd38f83fe3fe71', '23897f90f8ac4450b36596bad7c76331', 'False', 'False', 'false', 'false', '513338102409', 5, '依打村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338102409', 1, '2021-07-19 12:08:17', NULL, NULL), (35190, '', '夺松村', 'e99132b0215748acbeab8e7a1be4d61a', '23897f90f8ac4450b36596bad7c76331', 'False', 'False', 'false', 'false', '513338102442', 5, '夺松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338102442', 1, '2021-07-19 12:08:17', NULL, NULL), (35191, '', '日当村', '90466f6ed90240858873cbe0df3824e4', '23897f90f8ac4450b36596bad7c76331', 'False', 'False', 'false', 'false', '513338102528', 5, '日当村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338102528', 1, '2021-07-19 12:08:17', NULL, NULL), (35192, '', '列依村', '8655f1cc696048ababc5fb78c447bffd', '23897f90f8ac4450b36596bad7c76331', 'False', 'False', 'false', 'false', '513338102711', 5, '列依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338102711', 1, '2021-07-19 12:08:17', NULL, NULL), (35193, '', '门扎村', 'f612422eef2f41e3a38251c732f0c974', '23897f90f8ac4450b36596bad7c76331', 'False', 'False', 'false', 'false', '513338102984', 5, '门扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338102984', 1, '2021-07-19 12:08:17', NULL, NULL), (35194, '', '徐龙乡', '702b62d60846483aab4d255c728f4c5f', '0cbc8917d0924797aeb877f242e1c3b4', 'True', 'True', 'false', 'false', '513338201000', 4, '徐龙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513338201000', 1, '2021-07-19 12:08:17', NULL, NULL), (35195, '', '呷校村', '454f4b857aaf469087d97df318f46ffa', '702b62d60846483aab4d255c728f4c5f', 'False', 'False', 'false', 'false', '513338201023', 5, '呷校村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338201023', 1, '2021-07-19 12:08:17', NULL, NULL), (35196, '', '鱼波村', '000623bbd67b4afebcb869a523e20e4a', '702b62d60846483aab4d255c728f4c5f', 'False', 'False', 'false', 'false', '513338201230', 5, '鱼波村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338201230', 1, '2021-07-19 12:08:17', NULL, NULL), (35197, '', '张仁村', '5ec0522a35bf4e3a8dac37700a60d9db', '702b62d60846483aab4d255c728f4c5f', 'False', 'False', 'false', 'false', '513338201231', 5, '张仁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338201231', 1, '2021-07-19 12:08:17', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (35198, '', '尼中村', '4cf450a6d1304c2ab37c5f4ea9e11ff9', '702b62d60846483aab4d255c728f4c5f', 'False', 'False', 'false', 'false', '513338201584', 5, '尼中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338201584', 1, '2021-07-19 12:08:18', NULL, NULL), (35199, '', '莫丁村', 'addf764f6817403c887fb4d5b15e1383', '702b62d60846483aab4d255c728f4c5f', 'False', 'False', 'false', 'false', '513338201587', 5, '莫丁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338201587', 1, '2021-07-19 12:08:18', NULL, NULL), (35200, '', '宗绒村', '26a1d7638e9d4ddd90189dd54a206be4', '702b62d60846483aab4d255c728f4c5f', 'False', 'False', 'false', 'false', '513338201592', 5, '宗绒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338201592', 1, '2021-07-19 12:08:18', NULL, NULL), (35201, '', '徐麦村', 'e7e6d202741849fa8e562290f10b7a1b', '702b62d60846483aab4d255c728f4c5f', 'False', 'False', 'false', 'false', '513338201800', 5, '徐麦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338201800', 1, '2021-07-19 12:08:18', NULL, NULL), (35202, '', '布中村', '5c5f5a2104284742bb5a38a50a1331b5', '702b62d60846483aab4d255c728f4c5f', 'False', 'False', 'false', 'false', '513338201875', 5, '布中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338201875', 1, '2021-07-19 12:08:18', NULL, NULL), (35203, '', '日雨镇', '9505779cd8b04c19bc6d1d401cf06f3f', '0cbc8917d0924797aeb877f242e1c3b4', 'True', 'True', 'false', 'false', '513338203000', 4, '日雨镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513338203000', 1, '2021-07-19 12:08:18', NULL, NULL), (35204, '', '日麦村', '985fe8861caa49529697dc4aea885f82', '9505779cd8b04c19bc6d1d401cf06f3f', 'False', 'False', 'false', 'false', '513338100302', 5, '日麦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338100302', 1, '2021-07-19 12:08:18', NULL, NULL), (35205, '', '如贡村', 'c0d60476a95f4ea393e09e216b3a30dd', '9505779cd8b04c19bc6d1d401cf06f3f', 'False', 'False', 'false', 'false', '513338100369', 5, '如贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338100369', 1, '2021-07-19 12:08:18', NULL, NULL), (35206, '', '日堆村', 'a08d47ec5c77457997f7b965f817cde4', '9505779cd8b04c19bc6d1d401cf06f3f', 'False', 'False', 'false', 'false', '513338100820', 5, '日堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338100820', 1, '2021-07-19 12:08:18', NULL, NULL), (35207, '', '扎叶村', '9e7dde00967e4eee86bf5d087d7a4352', '9505779cd8b04c19bc6d1d401cf06f3f', 'False', 'False', 'false', 'false', '513338203035', 5, '扎叶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338203035', 1, '2021-07-19 12:08:18', NULL, NULL), (35208, '', '绒学村', '43375942de084e989015095da5d4b394', '9505779cd8b04c19bc6d1d401cf06f3f', 'False', 'False', 'false', 'false', '513338203301', 5, '绒学村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338203301', 1, '2021-07-19 12:08:18', NULL, NULL), (35209, '', '龚古村', '0a9b31ff69d24ce782a94006a74967f4', '9505779cd8b04c19bc6d1d401cf06f3f', 'False', 'False', 'false', 'false', '513338203368', 5, '龚古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338203368', 1, '2021-07-19 12:08:18', NULL, NULL), (35210, '', '拥珍村', 'e2bb0b31b8c146f0b1ee550cba5165cf', '9505779cd8b04c19bc6d1d401cf06f3f', 'False', 'False', 'false', 'false', '513338203468', 5, '拥珍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338203468', 1, '2021-07-19 12:08:18', NULL, NULL), (35211, '', '因都三村', '169fad50fd804193985a70e5d99c349c', '9505779cd8b04c19bc6d1d401cf06f3f', 'False', 'False', 'false', 'false', '513338203612', 5, '因都三村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338203612', 1, '2021-07-19 12:08:18', NULL, NULL), (35212, '', '因都二村', '7aff379e07b1428f87ae83fbce72854f', '9505779cd8b04c19bc6d1d401cf06f3f', 'False', 'False', 'false', 'false', '513338203713', 5, '因都二村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338203713', 1, '2021-07-19 12:08:18', NULL, NULL), (35213, '', '绒顶村', '5dda73904699426e84b1b0547d45bf4a', '9505779cd8b04c19bc6d1d401cf06f3f', 'False', 'False', 'false', 'false', '513338203717', 5, '绒顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338203717', 1, '2021-07-19 12:08:19', NULL, NULL), (35214, '', '得木同村', '1aac6c9d782b4df4b4e5b900ebd17e31', '9505779cd8b04c19bc6d1d401cf06f3f', 'False', 'False', 'false', 'false', '513338203921', 5, '得木同村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338203921', 1, '2021-07-19 12:08:19', NULL, NULL), (35215, '', '奔都乡', '8aece39fe51f450aa1d96a090fb4a47c', '0cbc8917d0924797aeb877f242e1c3b4', 'True', 'True', 'false', 'false', '513338204000', 4, '奔都乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513338204000', 1, '2021-07-19 12:08:19', NULL, NULL), (35216, '', '木格村', '613bd5447cd94c43bfec89f1a5d6ba50', '8aece39fe51f450aa1d96a090fb4a47c', 'False', 'False', 'false', 'false', '513338204154', 5, '木格村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338204154', 1, '2021-07-19 12:08:19', NULL, NULL), (35217, '', '沙宗村', 'e0f577dace2c4a918bef9c3a6c85e05b', '8aece39fe51f450aa1d96a090fb4a47c', 'False', 'False', 'false', 'false', '513338204168', 5, '沙宗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338204168', 1, '2021-07-19 12:08:19', NULL, NULL), (35218, '', '呷色村', 'de635eef87674877964c584cc7a2efe2', '8aece39fe51f450aa1d96a090fb4a47c', 'False', 'False', 'false', 'false', '513338204194', 5, '呷色村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338204194', 1, '2021-07-19 12:08:19', NULL, NULL), (35219, '', '建英村', '1d8e990de2a94e92b24b3899050a2d9e', '8aece39fe51f450aa1d96a090fb4a47c', 'False', 'False', 'false', 'false', '513338204221', 5, '建英村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338204221', 1, '2021-07-19 12:08:19', NULL, NULL), (35220, '', '拉姆村', '1b78824b587c48bf8031f8fb4d88bd7d', '8aece39fe51f450aa1d96a090fb4a47c', 'False', 'False', 'false', 'false', '513338204337', 5, '拉姆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338204337', 1, '2021-07-19 12:08:19', NULL, NULL), (35221, '', '奔色村', '500e122448de4a00bd7b91faafc0bd03', '8aece39fe51f450aa1d96a090fb4a47c', 'False', 'False', 'false', 'false', '513338204488', 5, '奔色村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338204488', 1, '2021-07-19 12:08:19', NULL, NULL), (35222, '', '莫木中村', '06224f10cbf044b7b6b23846f5166970', '8aece39fe51f450aa1d96a090fb4a47c', 'False', 'False', 'false', 'false', '513338204493', 5, '莫木中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338204493', 1, '2021-07-19 12:08:19', NULL, NULL), (35223, '', '莫木下村', 'a44c17bb35d7402aa955171beacc8860', '8aece39fe51f450aa1d96a090fb4a47c', 'False', 'False', 'false', 'false', '513338204507', 5, '莫木下村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338204507', 1, '2021-07-19 12:08:19', NULL, NULL), (35224, '', '奔都村', '44885818a1804bad9cb3678943b25305', '8aece39fe51f450aa1d96a090fb4a47c', 'False', 'False', 'false', 'false', '513338204782', 5, '奔都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338204782', 1, '2021-07-19 12:08:19', NULL, NULL), (35225, '', '俄木学村', '5613b6c06cd846028d0eb2ceb518718d', '8aece39fe51f450aa1d96a090fb4a47c', 'False', 'False', 'false', 'false', '513338204870', 5, '俄木学村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338204870', 1, '2021-07-19 12:08:19', NULL, NULL), (35226, '', '莫木上村', 'e9e0a519c4ba472a8563e321e9a938e1', '8aece39fe51f450aa1d96a090fb4a47c', 'False', 'False', 'false', 'false', '513338204951', 5, '莫木上村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338204951', 1, '2021-07-19 12:08:19', NULL, NULL), (35227, '', '八日乡', '77097685c8eb4507a7ff5bad6751b1c0', '0cbc8917d0924797aeb877f242e1c3b4', 'True', 'True', 'false', 'false', '513338205000', 4, '八日乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513338205000', 1, '2021-07-19 12:08:19', NULL, NULL), (35228, '', '亚岗村', 'e3f2b7ff386d47ee8555c02c376f6459', '77097685c8eb4507a7ff5bad6751b1c0', 'False', 'False', 'false', 'false', '513338205034', 5, '亚岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338205034', 1, '2021-07-19 12:08:19', NULL, NULL), (35229, '', '嘎拥村', '1597aaba167e4953bcadb61e4aa1aa3f', '77097685c8eb4507a7ff5bad6751b1c0', 'False', 'False', 'false', 'false', '513338205042', 5, '嘎拥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338205042', 1, '2021-07-19 12:08:19', NULL, NULL), (35230, '', '子哇村', '5311faa420504191a998722fb3b2ee05', '77097685c8eb4507a7ff5bad6751b1c0', 'False', 'False', 'false', 'false', '513338205184', 5, '子哇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338205184', 1, '2021-07-19 12:08:20', NULL, NULL), (35231, '', '让古村', 'd1aa93907fae46c68b9e4d213d49fcf2', '77097685c8eb4507a7ff5bad6751b1c0', 'False', 'False', 'false', 'false', '513338205274', 5, '让古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338205274', 1, '2021-07-19 12:08:20', NULL, NULL), (35232, '', '通都村', '7eced4d0167a4ad6a23043f14ee2d426', '77097685c8eb4507a7ff5bad6751b1c0', 'False', 'False', 'false', 'false', '513338205281', 5, '通都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338205281', 1, '2021-07-19 12:08:20', NULL, NULL), (35233, '', '白顶村', 'cf1bf386a75745f789f6c0a7cb927093', '77097685c8eb4507a7ff5bad6751b1c0', 'False', 'False', 'false', 'false', '513338205341', 5, '白顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338205341', 1, '2021-07-19 12:08:20', NULL, NULL), (35234, '', '通古村', '4f2ee015cf3b4917ab644576b42202ab', '77097685c8eb4507a7ff5bad6751b1c0', 'False', 'False', 'false', 'false', '513338205365', 5, '通古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338205365', 1, '2021-07-19 12:08:20', NULL, NULL), (35235, '', '共巴村', '607fa8ef5e664393b955b4ce8a72eea6', '77097685c8eb4507a7ff5bad6751b1c0', 'False', 'False', 'false', 'false', '513338205379', 5, '共巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338205379', 1, '2021-07-19 12:08:20', NULL, NULL), (35236, '', '日西顶村', 'dfc248b218294b2683ddd02c08dedc71', '77097685c8eb4507a7ff5bad6751b1c0', 'False', 'False', 'false', 'false', '513338205546', 5, '日西顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338205546', 1, '2021-07-19 12:08:20', NULL, NULL), (35237, '', '黑里村', '643eb5e4b8a349a2accc4281c70467ab', '77097685c8eb4507a7ff5bad6751b1c0', 'False', 'False', 'false', 'false', '513338205904', 5, '黑里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338205904', 1, '2021-07-19 12:08:20', NULL, NULL), (35238, '', '学巴村', 'a903126b1b4a487b8caecfd913eb79b2', '77097685c8eb4507a7ff5bad6751b1c0', 'False', 'False', 'false', 'false', '513338205979', 5, '学巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338205979', 1, '2021-07-19 12:08:20', NULL, NULL), (35239, '', '古学乡', 'd002ad0b610044dd8a5d3b62fda9080c', '0cbc8917d0924797aeb877f242e1c3b4', 'True', 'True', 'false', 'false', '513338206000', 4, '古学乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513338206000', 1, '2021-07-19 12:08:20', NULL, NULL), (35240, '', '古学村', 'c80cb22fd285431ea3fe720130fde1fe', 'd002ad0b610044dd8a5d3b62fda9080c', 'False', 'False', 'false', 'false', '513338206005', 5, '古学村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338206005', 1, '2021-07-19 12:08:20', NULL, NULL), (35241, '', '卡日贡村', 'adc0b6fbddd84301b4abf6f4d4d32ecd', 'd002ad0b610044dd8a5d3b62fda9080c', 'False', 'False', 'false', 'false', '513338206041', 5, '卡日贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338206041', 1, '2021-07-19 12:08:20', NULL, NULL), (35242, '', '日西顶村', 'eb69ecd0207546a4859405a978684201', 'd002ad0b610044dd8a5d3b62fda9080c', 'False', 'False', 'false', 'false', '513338206168', 5, '日西顶村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338206168', 1, '2021-07-19 12:08:20', NULL, NULL), (35243, '', '左贡村', '3257874545d046d5bafcdfc2ade19009', 'd002ad0b610044dd8a5d3b62fda9080c', 'False', 'False', 'false', 'false', '513338206201', 5, '左贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338206201', 1, '2021-07-19 12:08:20', NULL, NULL), (35244, '', '下拥村', '086b250378a84f4ea96c52af6d34f1bd', 'd002ad0b610044dd8a5d3b62fda9080c', 'False', 'False', 'false', 'false', '513338206372', 5, '下拥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338206372', 1, '2021-07-19 12:08:20', NULL, NULL), (35245, '', '日中村', '3e0dfd7242d640d9b1eea207f70a5516', 'd002ad0b610044dd8a5d3b62fda9080c', 'False', 'False', 'false', 'false', '513338206630', 5, '日中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338206630', 1, '2021-07-19 12:08:20', NULL, NULL), (35246, '', '德则村', '1080c52443c64df583b3544b9ef350f9', 'd002ad0b610044dd8a5d3b62fda9080c', 'False', 'False', 'false', 'false', '513338206635', 5, '德则村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338206635', 1, '2021-07-19 12:08:20', NULL, NULL), (35247, '', '毛吾村', 'fb44108a6bd4433a92935b2649044268', 'd002ad0b610044dd8a5d3b62fda9080c', 'False', 'False', 'false', 'false', '513338206679', 5, '毛吾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338206679', 1, '2021-07-19 12:08:21', NULL, NULL), (35248, '', '塔恩通村', 'd0eaf9d3984043de83869b561c066605', 'd002ad0b610044dd8a5d3b62fda9080c', 'False', 'False', 'false', 'false', '513338206748', 5, '塔恩通村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338206748', 1, '2021-07-19 12:08:21', NULL, NULL), (35249, '', '毕拥村', 'a8f18f13818f44178d6a1fd34ebe242c', 'd002ad0b610044dd8a5d3b62fda9080c', 'False', 'False', 'false', 'false', '513338206829', 5, '毕拥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338206829', 1, '2021-07-19 12:08:21', NULL, NULL), (35250, '', '贡波乡', 'd11d0e25cc6144b3ba5e2f92d477cc5c', '0cbc8917d0924797aeb877f242e1c3b4', 'True', 'True', 'false', 'false', '513338208000', 4, '贡波乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513338208000', 1, '2021-07-19 12:08:21', NULL, NULL), (35251, '', '联谊村', 'b8e808256c284ad2b771604ae1ff506d', 'd11d0e25cc6144b3ba5e2f92d477cc5c', 'False', 'False', 'false', 'false', '513338208026', 5, '联谊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338208026', 1, '2021-07-19 12:08:21', NULL, NULL), (35252, '', '普雅村', '5792d6fe60fa412ca742b731bee4fa5b', 'd11d0e25cc6144b3ba5e2f92d477cc5c', 'False', 'False', 'false', 'false', '513338208261', 5, '普雅村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338208261', 1, '2021-07-19 12:08:21', NULL, NULL), (35253, '', '木拥村', '54212092a4fb43ac8042aefabe8b2b1d', 'd11d0e25cc6144b3ba5e2f92d477cc5c', 'False', 'False', 'false', 'false', '513338208313', 5, '木拥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338208313', 1, '2021-07-19 12:08:21', NULL, NULL), (35254, '', '中木村', '57369f68c474456a9fbf325160a0c29f', 'd11d0e25cc6144b3ba5e2f92d477cc5c', 'False', 'False', 'false', 'false', '513338208629', 5, '中木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338208629', 1, '2021-07-19 12:08:21', NULL, NULL), (35255, '', '贡堆村', '1c029893ae614679a91778348508cb67', 'd11d0e25cc6144b3ba5e2f92d477cc5c', 'False', 'False', 'false', 'false', '513338208777', 5, '贡堆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338208777', 1, '2021-07-19 12:08:21', NULL, NULL), (35256, '', '日归村', '55d7408115da45f9bf9ca22805c74862', 'd11d0e25cc6144b3ba5e2f92d477cc5c', 'False', 'False', 'false', 'false', '513338208847', 5, '日归村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338208847', 1, '2021-07-19 12:08:21', NULL, NULL), (35257, '', '茨巫乡', '39ca4d10618f451a909d8bfdbb79c620', '0cbc8917d0924797aeb877f242e1c3b4', 'True', 'True', 'false', 'false', '513338210000', 4, '茨巫乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513338210000', 1, '2021-07-19 12:08:21', NULL, NULL), (35258, '', '卡贡村', '71a9ff1457994af6b58fff04dac476ad', '39ca4d10618f451a909d8bfdbb79c620', 'False', 'False', 'false', 'false', '513338210252', 5, '卡贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338210252', 1, '2021-07-19 12:08:21', NULL, NULL), (35259, '', '日拥村', 'ecbd25cc78a34785b547e098ebbdb15e', '39ca4d10618f451a909d8bfdbb79c620', 'False', 'False', 'false', 'false', '513338210297', 5, '日拥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338210297', 1, '2021-07-19 12:08:21', NULL, NULL), (35260, '', '子拉村', '66d5817303e2421b9069f28efcd60134', '39ca4d10618f451a909d8bfdbb79c620', 'False', 'False', 'false', 'false', '513338210463', 5, '子拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338210463', 1, '2021-07-19 12:08:21', NULL, NULL), (35261, '', '曲贡村', '2a4a64f4ae5b42d580a7ca8efa1d5009', '39ca4d10618f451a909d8bfdbb79c620', 'False', 'False', 'false', 'false', '513338210528', 5, '曲贡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338210528', 1, '2021-07-19 12:08:21', NULL, NULL), (35262, '', '郎达村', 'd06e6b7a3f73437cbc40af7f44cc6537', '39ca4d10618f451a909d8bfdbb79c620', 'False', 'False', 'false', 'false', '513338210549', 5, '郎达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338210549', 1, '2021-07-19 12:08:21', NULL, NULL), (35263, '', '吉冲村', '47c7589b5cbd4cd6bb2e2195423d91ec', '39ca4d10618f451a909d8bfdbb79c620', 'False', 'False', 'false', 'false', '513338210725', 5, '吉冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338210725', 1, '2021-07-19 12:08:21', NULL, NULL), (35264, '', '绒各村', '3d59529f2b234da591e87ccf3c6ba158', '39ca4d10618f451a909d8bfdbb79c620', 'False', 'False', 'false', 'false', '513338210738', 5, '绒各村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338210738', 1, '2021-07-19 12:08:21', NULL, NULL), (35265, '', '杆拉村', '8bd7436ff5344227835eb576940485ac', '39ca4d10618f451a909d8bfdbb79c620', 'False', 'False', 'false', 'false', '513338210814', 5, '杆拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338210814', 1, '2021-07-19 12:08:22', NULL, NULL), (35266, '', '亚朗村', '39090c78aff641aaab6632a22f937ebd', '39ca4d10618f451a909d8bfdbb79c620', 'False', 'False', 'false', 'false', '513338210882', 5, '亚朗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338210882', 1, '2021-07-19 12:08:22', NULL, NULL), (35267, '', '绒都村', 'c3a11b59adf84806ae59077f0c5e554b', '39ca4d10618f451a909d8bfdbb79c620', 'False', 'False', 'false', 'false', '513338210932', 5, '绒都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513338210932', 1, '2021-07-19 12:08:22', NULL, NULL), (35268, '', '凉山彝族自治州', '5dd8920407b943de983b9b9f6f9dc6c7', '6182157d00ce41559e001a89d87f4057', 'True', 'True', 'false', 'false', '513400000000', 2, '凉山州', 'lsz.sczwfw.gov.cn', 1, '2021-07-19 12:08:22', NULL, NULL), (35269, '', '西昌市', '4315b9b135394831bcf70d0818f80103', '5dd8920407b943de983b9b9f6f9dc6c7', 'True', 'True', 'false', 'false', '513401000000', 3, '西昌市', 'lszxcs.sczwfw.gov.cn', 1, '2021-07-19 12:08:22', NULL, NULL), (35270, '', '北城街道办事处', '770ec01913304aa4a75696da9bcbd87c', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401001000', 4, '北城办', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401001000', 1, '2021-07-19 12:08:22', NULL, NULL), (35271, '', '西城街道办事处', 'abb257bef8e04ae7a07c20d8a86efa06', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401002000', 4, '西城办', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401002000', 1, '2021-07-19 12:08:22', NULL, NULL), (35272, '', '东城街道办事处', '4249556f384942618d718153ea6c819b', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401003000', 4, '东城办', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401003000', 1, '2021-07-19 12:08:22', NULL, NULL), (35273, '', '长安街道', 'a0b68de6d1fb4ef0ab3b5daa42a8a866', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401004000', 4, '长安街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401004000', 1, '2021-07-19 12:08:22', NULL, NULL), (35274, '', '新村街道办事处', '99f98424e7e24ac4b10a5459fd4b9756', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401005000', 4, '新村办', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401005000', 1, '2021-07-19 12:08:22', NULL, NULL), (35275, '', '巴汝镇', '49ab709834cd49dfbb39cf5a2b55d918', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401022000', 4, '巴汝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401022000', 1, '2021-07-19 12:08:22', NULL, NULL), (35276, '', '马道街道办事处', 'a45a1f3d4716483986de465e4213b555', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401100000', 4, '马道办', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401100000', 1, '2021-07-19 12:08:22', NULL, NULL), (35277, '', '礼州镇', '709ca469e8d2491b9742226cdbb6d12e', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401101000', 4, '礼州镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401101000', 1, '2021-07-19 12:08:22', NULL, NULL), (35278, '', '安宁镇', 'a6cf6d423b284942b0b5d2589d5176ad', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401102000', 4, '安宁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401102000', 1, '2021-07-19 12:08:22', NULL, NULL), (35279, '', '川兴镇', '7e93f2563767415ea5547469feaf0df6', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401103000', 4, '川兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401103000', 1, '2021-07-19 12:08:22', NULL, NULL), (35280, '', '黄联关镇', 'c912fc5c37ac40348da3fc333758ed39', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401104000', 4, '黄联关镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401104000', 1, '2021-07-19 12:08:22', NULL, NULL), (35281, '', '佑君镇', '2f91ab05e49148dba2def950d4b639a1', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401105000', 4, '佑君镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401105000', 1, '2021-07-19 12:08:22', NULL, NULL), (35282, '', '太和镇', '6ca84bb1c1024fad86dd74c3bfd3dcbc', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401106000', 4, '太和镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401106000', 1, '2021-07-19 12:08:23', NULL, NULL), (35283, '', '安哈镇', 'e312347ee8ee4447b8b40b3b7ae78ba1', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401107000', 4, '安哈镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401107000', 1, '2021-07-19 12:08:23', NULL, NULL), (35284, '', '四合乡', '9e6704956b0c48bc9bbe134dc1616951', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401203000', 4, '四合乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401203000', 1, '2021-07-19 12:08:23', NULL, NULL), (35285, '', '琅环镇', 'f5bef3cc79684e3d98b111180cec5acf', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401206000', 4, '琅环镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401206000', 1, '2021-07-19 12:08:23', NULL, NULL), (35286, '', '樟木箐镇', '919eda4bea774a08ad6982726f84dfdd', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401209000', 4, '樟木箐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401209000', 1, '2021-07-19 12:08:23', NULL, NULL), (35287, '', '开元乡', '93ec2b99c65e4673b22f6048fd230626', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401211000', 4, '开元乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401211000', 1, '2021-07-19 12:08:23', NULL, NULL), (35288, '', '大兴乡', 'e5b43c7a49f64410b95622c86115cd66', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401212000', 4, '大兴乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401212000', 1, '2021-07-19 12:08:23', NULL, NULL), (35289, '', '海南街道办事处', '9c3a5eb9939e42188ef344409e85a682', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401213000', 4, '海南办', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401213000', 1, '2021-07-19 12:08:23', NULL, NULL), (35290, '', '经久乡', 'ee7e61f2c10c4b6f901e4e074c65fde3', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401215000', 4, '经久乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401215000', 1, '2021-07-19 12:08:23', NULL, NULL), (35291, '', '裕隆回族乡', '4b312773a9ae423fbd1d6d05f62e4943', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401219000', 4, '裕隆回族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401219000', 1, '2021-07-19 12:08:23', NULL, NULL), (35292, '', '高草回族乡', '64a9f000216940f9932b1efdc9f87063', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401220000', 4, '高草回族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401220000', 1, '2021-07-19 12:08:23', NULL, NULL), (35293, '', '阿七镇', '0208bc2070194f05a3ab89aa38db2b2c', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401222000', 4, '阿七镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401222000', 1, '2021-07-19 12:08:23', NULL, NULL), (35294, '', '马鞍山乡', '1cf4e8eed1d641ed9fa7766def5df522', '4315b9b135394831bcf70d0818f80103', 'False', 'True', 'false', 'false', '513401228000', 4, '马鞍山乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513401228000', 1, '2021-07-19 12:08:23', NULL, NULL), (35295, '', '会理县', '2cc0576f60db4c4ba6d7f71026547dfd', '5dd8920407b943de983b9b9f6f9dc6c7', 'True', 'True', 'false', 'false', '513425000000', 3, '会理县', 'lszhlx.sczwfw.gov.cn', 1, '2021-07-19 12:08:23', NULL, NULL), (35296, '', '城北街道', '9348a1123e164ac98368614b42e96fbf', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425001000', 4, '城北街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425001000', 1, '2021-07-19 12:08:23', NULL, NULL), (35297, '', '城南街道', 'deff736860c343a9b96e1477cf16728d', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425002000', 4, '城南街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425002000', 1, '2021-07-19 12:08:23', NULL, NULL), (35298, '', '鹿厂镇', 'b27ae4ef3f174e828c9ff537153aa6f0', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425101000', 4, '鹿厂镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425101000', 1, '2021-07-19 12:08:23', NULL, NULL), (35299, '', '黎溪镇', 'abae92f83378424d90c172a9f1eb4e4b', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425102000', 4, '黎溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425102000', 1, '2021-07-19 12:08:23', NULL, NULL), (35300, '', '通安镇', '34627d9b42224443a545f5e0ac288509', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425103000', 4, '通安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425103000', 1, '2021-07-19 12:08:23', NULL, NULL), (35301, '', '太平镇', 'bbab1ffc6d2748ccadd9ddf9e74438cd', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425104000', 4, '太平镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425104000', 1, '2021-07-19 12:08:24', NULL, NULL), (35302, '', '益门镇', '211b7f1c90c64f3a97c7a33fa5017b45', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425105000', 4, '益门镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425105000', 1, '2021-07-19 12:08:24', NULL, NULL), (35303, '', '绿水镇', '9bdf65b9895746df9bb7a34818845002', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425106000', 4, '绿水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425106000', 1, '2021-07-19 12:08:24', NULL, NULL), (35304, '', '新发镇', '4d91515552ce48eb81bc6bb37a1dbf5c', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425107000', 4, '新发镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425107000', 1, '2021-07-19 12:08:24', NULL, NULL), (35305, '', '云甸镇', '5479a38be4374b28b85e560d3beb3264', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425108000', 4, '云甸镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425108000', 1, '2021-07-19 12:08:24', NULL, NULL), (35306, '', '关河镇', '18a6738b27424779ad738d647ee470aa', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425109000', 4, '关河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425109000', 1, '2021-07-19 12:08:24', NULL, NULL), (35307, '', '彰冠镇', '475b6ee4d5b940aa8afd3297cf6348fe', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425111000', 4, '彰冠镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425111000', 1, '2021-07-19 12:08:24', NULL, NULL), (35308, '', '木古镇', '6715af509e614992900b036896668ac8', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425112000', 4, '木古镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425112000', 1, '2021-07-19 12:08:24', NULL, NULL), (35309, '', '六华镇', 'a1e01bb358ce4fe5941ab78019dbb5e1', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425113000', 4, '六华镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425113000', 1, '2021-07-19 12:08:24', NULL, NULL), (35310, '', '小黑箐镇', '8271e42ed4ef440c9c8e1ba7ff2fa4ee', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425114000', 4, '小黑箐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425114000', 1, '2021-07-19 12:08:24', NULL, NULL), (35311, '', '内东乡', 'c3ca15b9f55b4598961490cda6f4e4ae', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425202000', 4, '内东乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425202000', 1, '2021-07-19 12:08:24', NULL, NULL), (35312, '', '树堡乡', 'd479d78810d94cb9b48e62c03993f7b7', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425219000', 4, '树堡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425219000', 1, '2021-07-19 12:08:24', NULL, NULL), (35313, '', '新安傣族乡', 'dc606d5c0b834c3584a4ab50b447160e', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425221000', 4, '新安傣族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425221000', 1, '2021-07-19 12:08:24', NULL, NULL), (35314, '', '槽元乡', '26dcdaef132245acb7ad3cc23293d6f8', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425234000', 4, '槽元乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425234000', 1, '2021-07-19 12:08:24', NULL, NULL), (35315, '', '古城街道', '5c97f333868f4b10a41d638c3a485bd6', '2cc0576f60db4c4ba6d7f71026547dfd', 'False', 'True', 'false', 'false', '513425629000', 4, '古城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513425629000', 1, '2021-07-19 12:08:24', NULL, NULL), (35316, '', '宁南县', '9a718442eeb94f17a02536e36483a3b5', '5dd8920407b943de983b9b9f6f9dc6c7', 'True', 'True', 'false', 'false', '513427000000', 3, '宁南县', 'lsznnx.sczwfw.gov.cn', 1, '2021-07-19 12:08:24', NULL, NULL), (35317, '', '宁远镇', 'ea253c2ea2d944f6b5774c3c311bed75', '9a718442eeb94f17a02536e36483a3b5', 'True', 'True', 'false', 'false', '513427100000', 4, '宁远镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513427100000', 1, '2021-07-19 12:08:24', NULL, NULL), (35318, '', '宁南县宁远镇婚姻登记处', 'df69b26f40e44b3697eebc4a5a0a9c5d', 'ea253c2ea2d944f6b5774c3c311bed75', 'False', 'False', 'false', 'false', '513427100983', 5, '宁远镇婚姻登记处', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427100983', 1, '2021-07-19 12:08:24', NULL, NULL), (35319, '', '福泉村', 'db13b450cb4c4afdb4ccc8fd00f7737a', 'ea253c2ea2d944f6b5774c3c311bed75', 'False', 'False', 'false', 'false', '513427116175', 5, '福泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427116175', 1, '2021-07-19 12:08:24', NULL, NULL), (35320, '', '天鹤村', '1e8e2afec9af4e1c9515fbeeca649353', 'ea253c2ea2d944f6b5774c3c311bed75', 'False', 'False', 'false', 'false', '513427116523', 5, '天鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427116523', 1, '2021-07-19 12:08:24', NULL, NULL), (35321, '', '桃花村', '7182233334bf4594b890f23c29561f0c', 'ea253c2ea2d944f6b5774c3c311bed75', 'False', 'False', 'false', 'false', '513427116568', 5, '桃花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427116568', 1, '2021-07-19 12:08:24', NULL, NULL), (35322, '', '梓油村', '92a7c4d0f8be49e2bad74731c7aaf3d2', 'ea253c2ea2d944f6b5774c3c311bed75', 'False', 'False', 'false', 'false', '513427116941', 5, '梓油村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427116941', 1, '2021-07-19 12:08:25', NULL, NULL), (35323, '', '城北社区', 'a27d3c6d730b4f3096106c393a8cdc7e', 'ea253c2ea2d944f6b5774c3c311bed75', 'False', 'False', 'false', 'false', '513427100001', 5, '城北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427100001', 1, '2021-07-19 12:08:25', NULL, NULL), (35324, '', '城南社区', 'f08241c8a3e74f3cbabfff481f7b142f', 'ea253c2ea2d944f6b5774c3c311bed75', 'False', 'False', 'false', 'false', '513427100002', 5, '城南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427100002', 1, '2021-07-19 12:08:25', NULL, NULL), (35325, '', '小田坝村', 'e1fb4f69d2744ee0ae18a1197a355458', 'ea253c2ea2d944f6b5774c3c311bed75', 'False', 'False', 'false', 'false', '513427100200', 5, '小田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427100200', 1, '2021-07-19 12:08:25', NULL, NULL), (35326, '', '码口村', '340ee28ced9c466aa23de680f81fbc67', 'ea253c2ea2d944f6b5774c3c311bed75', 'False', 'False', 'false', 'false', '513427100201', 5, '码口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427100201', 1, '2021-07-19 12:08:25', NULL, NULL), (35327, '', '披砂村', 'fbdb44c0d10f4a50a797cb9393405817', 'ea253c2ea2d944f6b5774c3c311bed75', 'False', 'False', 'false', 'false', '513427100202', 5, '披砂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427100202', 1, '2021-07-19 12:08:25', NULL, NULL), (35328, '', '后山村', '8fabbf00c128465e94ef5120033ba08a', 'ea253c2ea2d944f6b5774c3c311bed75', 'False', 'False', 'false', 'false', '513427100204', 5, '后山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427100204', 1, '2021-07-19 12:08:25', NULL, NULL), (35329, '', '大花地村', '4fa184c7f26e4c48948ee74cd8eceaef', 'ea253c2ea2d944f6b5774c3c311bed75', 'False', 'False', 'false', 'false', '513427100205', 5, '大花地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427100205', 1, '2021-07-19 12:08:25', NULL, NULL), (35330, '', '松新镇', 'e9c617f5d0f54349a82209dd7d73ac65', '9a718442eeb94f17a02536e36483a3b5', 'True', 'True', 'false', 'false', '513427101000', 4, '松新镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513427101000', 1, '2021-07-19 12:08:25', NULL, NULL), (35331, '', '龙洞河村', 'db0608b8787d45c6a9c6cdd17038e326', 'e9c617f5d0f54349a82209dd7d73ac65', 'False', 'False', 'false', 'false', '513427101351', 5, '龙洞河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427101351', 1, '2021-07-19 12:08:25', NULL, NULL), (35332, '', '团结村', '546eb9769de84761adf349da72959e69', 'e9c617f5d0f54349a82209dd7d73ac65', 'False', 'False', 'false', 'false', '513427101465', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427101465', 1, '2021-07-19 12:08:25', NULL, NULL), (35333, '', '碧窝村', '262aa2aa6fa949e0ba432643369d2c1a', 'e9c617f5d0f54349a82209dd7d73ac65', 'False', 'False', 'false', 'false', '513427101470', 5, '碧窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427101470', 1, '2021-07-19 12:08:25', NULL, NULL), (35334, '', '子各村', '8ff01446819841da9d8a29d3289d6043', 'e9c617f5d0f54349a82209dd7d73ac65', 'False', 'False', 'false', 'false', '513427101820', 5, '子各村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427101820', 1, '2021-07-19 12:08:25', NULL, NULL), (35335, '', '光明村', '5feb2a22b70a44a290970047958bbe90', 'e9c617f5d0f54349a82209dd7d73ac65', 'False', 'False', 'false', 'false', '513427101891', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427101891', 1, '2021-07-19 12:08:25', NULL, NULL), (35336, '', '三岔河社区', '08da5ce94d3448f7918e3b56915927a5', 'e9c617f5d0f54349a82209dd7d73ac65', 'False', 'False', 'false', 'false', '513427101001', 5, '三岔河社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427101001', 1, '2021-07-19 12:08:25', NULL, NULL), (35337, '', '五一村', '8d90ad04f3c14e27b5d7bb267483c068', 'e9c617f5d0f54349a82209dd7d73ac65', 'False', 'False', 'false', 'false', '513427101200', 5, '五一村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427101200', 1, '2021-07-19 12:08:25', NULL, NULL), (35338, '', '上游村', '1f8ecc6fa7c04268be05190561e0d5cd', 'e9c617f5d0f54349a82209dd7d73ac65', 'False', 'False', 'false', 'false', '513427101202', 5, '上游村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427101202', 1, '2021-07-19 12:08:25', NULL, NULL), (35339, '', '塘河村', '56f61f21c1a6415da6a16060ea3c2a63', 'e9c617f5d0f54349a82209dd7d73ac65', 'False', 'False', 'false', 'false', '513427101203', 5, '塘河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427101203', 1, '2021-07-19 12:08:25', NULL, NULL), (35340, '', '马桑坪村', 'a70b453fa5f04758b6150db3731b02d8', 'e9c617f5d0f54349a82209dd7d73ac65', 'False', 'False', 'false', 'false', '513427101204', 5, '马桑坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427101204', 1, '2021-07-19 12:08:25', NULL, NULL), (35341, '', '竹寿镇', 'b878385cf9fc46c692732453e27ee959', '9a718442eeb94f17a02536e36483a3b5', 'True', 'True', 'false', 'false', '513427102000', 4, '竹寿镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513427102000', 1, '2021-07-19 12:08:26', NULL, NULL), (35342, '', '山王庙社区', '125bc153e62643c396d0350a5689a38a', 'b878385cf9fc46c692732453e27ee959', 'False', 'False', 'false', 'false', '513427102001', 5, '山王庙社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427102001', 1, '2021-07-19 12:08:26', NULL, NULL), (35343, '', '横山村', '9f6c7620ed1a4c8cb11f110056571a81', 'b878385cf9fc46c692732453e27ee959', 'False', 'False', 'false', 'false', '513427102046', 5, '横山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427102046', 1, '2021-07-19 12:08:26', NULL, NULL), (35344, '', '幸福村', 'fe2e3aaf36f3424298b433d9d0e2ecb6', 'b878385cf9fc46c692732453e27ee959', 'False', 'False', 'false', 'false', '513427102078', 5, '幸福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427102078', 1, '2021-07-19 12:08:26', NULL, NULL), (35345, '', '联合村', 'e8d28b86d296474289a60f7304f1e06b', 'b878385cf9fc46c692732453e27ee959', 'False', 'False', 'false', 'false', '513427102200', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427102200', 1, '2021-07-19 12:08:26', NULL, NULL), (35346, '', '长征村', '1af763b26cf348699c214bae51f60a73', 'b878385cf9fc46c692732453e27ee959', 'False', 'False', 'false', 'false', '513427102201', 5, '长征村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427102201', 1, '2021-07-19 12:08:26', NULL, NULL), (35347, '', '红旗村', '817fc80671f64fd58bce2ab398add8da', 'b878385cf9fc46c692732453e27ee959', 'False', 'False', 'false', 'false', '513427102202', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427102202', 1, '2021-07-19 12:08:26', NULL, NULL), (35348, '', '东风村', '789440b0080649a2b573f40cf9a232e4', 'b878385cf9fc46c692732453e27ee959', 'False', 'False', 'false', 'false', '513427102204', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427102204', 1, '2021-07-19 12:08:26', NULL, NULL), (35349, '', '中村村', 'df7b3dc447be414b88375e556c688413', 'b878385cf9fc46c692732453e27ee959', 'False', 'False', 'false', 'false', '513427102377', 5, '中村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427102377', 1, '2021-07-19 12:08:26', NULL, NULL), (35350, '', '新街村', 'ddf3aae0edee4c78be5ea80c93f16406', 'b878385cf9fc46c692732453e27ee959', 'False', 'False', 'false', 'false', '513427102455', 5, '新街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427102455', 1, '2021-07-19 12:08:26', NULL, NULL), (35351, '', '田坝村', '0b0c9a59200f4c69a5d7c906adfa2dd4', 'b878385cf9fc46c692732453e27ee959', 'False', 'False', 'false', 'false', '513427102490', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427102490', 1, '2021-07-19 12:08:26', NULL, NULL), (35352, '', '花山村', '270f083e5edc406294836a3c40efc7fe', 'b878385cf9fc46c692732453e27ee959', 'False', 'False', 'false', 'false', '513427102780', 5, '花山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427102780', 1, '2021-07-19 12:08:26', NULL, NULL), (35353, '', '卫星村', 'ab9bb61e0ca842f9b7bd5fe9f9f1c75e', 'b878385cf9fc46c692732453e27ee959', 'False', 'False', 'false', 'false', '513427102909', 5, '卫星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427102909', 1, '2021-07-19 12:08:26', NULL, NULL), (35354, '', '华弹镇', '2bebcd14e51741d5a45682b5cb83ce4b', '9a718442eeb94f17a02536e36483a3b5', 'True', 'True', 'false', 'false', '513427103000', 4, '华弹镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513427103000', 1, '2021-07-19 12:08:26', NULL, NULL), (35355, '', '葫芦口社区', '58ca90185c704a9fa70ad9e18b0c658b', '2bebcd14e51741d5a45682b5cb83ce4b', 'False', 'False', 'false', 'false', '513427103288', 5, '葫芦口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427103288', 1, '2021-07-19 12:08:26', NULL, NULL), (35356, '', '武星村', '4cdfeffd1c77434186bcc4ca736c0521', '2bebcd14e51741d5a45682b5cb83ce4b', 'False', 'False', 'false', 'false', '513427103789', 5, '武星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427103789', 1, '2021-07-19 12:08:26', NULL, NULL), (35357, '', '华福社区', '81ce9a411ef547248311029bf2a29667', '2bebcd14e51741d5a45682b5cb83ce4b', 'False', 'False', 'false', 'false', '513427103001', 5, '华福社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427103001', 1, '2021-07-19 12:08:26', NULL, NULL), (35358, '', '金沙村', '62965a3e596d47ff9ee4f3ae7219f405', '2bebcd14e51741d5a45682b5cb83ce4b', 'False', 'False', 'false', 'false', '513427103200', 5, '金沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427103200', 1, '2021-07-19 12:08:26', NULL, NULL), (35359, '', '先锋村', 'c0963b9c385e4abd982a141672e7d49b', '2bebcd14e51741d5a45682b5cb83ce4b', 'False', 'False', 'false', 'false', '513427103202', 5, '先锋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427103202', 1, '2021-07-19 12:08:27', NULL, NULL), (35360, '', '水塘村', '74137db6e2c64904957afa94f484dd6a', '2bebcd14e51741d5a45682b5cb83ce4b', 'False', 'False', 'false', 'false', '513427103203', 5, '水塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427103203', 1, '2021-07-19 12:08:27', NULL, NULL), (35361, '', '灯塔村', '3375271b49864dbb865ae61cdc3b62a6', '2bebcd14e51741d5a45682b5cb83ce4b', 'False', 'False', 'false', 'false', '513427103205', 5, '灯塔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427103205', 1, '2021-07-19 12:08:27', NULL, NULL), (35362, '', '铜厂村', '4698022c8bba47af88e5ae5ba337e7b2', '2bebcd14e51741d5a45682b5cb83ce4b', 'False', 'False', 'false', 'false', '513427103206', 5, '铜厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427103206', 1, '2021-07-19 12:08:27', NULL, NULL), (35363, '', '白鹤滩镇', 'e55a4db73fd04deda6d0b0cd21f4792a', '9a718442eeb94f17a02536e36483a3b5', 'True', 'True', 'false', 'false', '513427104000', 4, '白鹤滩镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513427104000', 1, '2021-07-19 12:08:27', NULL, NULL), (35364, '', '友谊村', '0838476172b74148800e3ab0971d2fee', 'e55a4db73fd04deda6d0b0cd21f4792a', 'False', 'False', 'false', 'false', '513427104164', 5, '友谊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427104164', 1, '2021-07-19 12:08:27', NULL, NULL), (35365, '', '杉木箐村', '590c728518c74b9d8c2287b3e2ee4884', 'e55a4db73fd04deda6d0b0cd21f4792a', 'False', 'False', 'false', 'false', '513427104621', 5, '杉木箐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427104621', 1, '2021-07-19 12:08:27', NULL, NULL), (35366, '', '白鹤滩社区', '7085367c4759411a90c30232819d9a7c', 'e55a4db73fd04deda6d0b0cd21f4792a', 'False', 'False', 'false', 'false', '513427104001', 5, '白鹤滩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427104001', 1, '2021-07-19 12:08:27', NULL, NULL), (35367, '', '六城村', 'ed99de976b214619a8d5290e2349c2c6', 'e55a4db73fd04deda6d0b0cd21f4792a', 'False', 'False', 'false', 'false', '513427104201', 5, '六城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427104201', 1, '2021-07-19 12:08:27', NULL, NULL), (35368, '', '和平村', '3f3a16161b0c4e0185d99c45a69f0dd5', 'e55a4db73fd04deda6d0b0cd21f4792a', 'False', 'False', 'false', 'false', '513427104202', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427104202', 1, '2021-07-19 12:08:27', NULL, NULL), (35369, '', '新华村', 'bf1e8577251b4075b20b3241cdf759e4', 'e55a4db73fd04deda6d0b0cd21f4792a', 'False', 'False', 'false', 'false', '513427104203', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427104203', 1, '2021-07-19 12:08:27', NULL, NULL), (35370, '', '西瑶镇', '13a6ca32acec410ca3de09237f2a50a3', '9a718442eeb94f17a02536e36483a3b5', 'True', 'True', 'false', 'false', '513427106000', 4, '西瑶镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513427106000', 1, '2021-07-19 12:08:27', NULL, NULL), (35371, '', '高峰村', '818652e5ed5d49bfb44648463331b0ae', '13a6ca32acec410ca3de09237f2a50a3', 'False', 'False', 'false', 'false', '513427106652', 5, '高峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427106652', 1, '2021-07-19 12:08:27', NULL, NULL), (35372, '', '前卫村', '306ab05e2cff459f997e242b409eccf4', '13a6ca32acec410ca3de09237f2a50a3', 'False', 'False', 'false', 'false', '513427106704', 5, '前卫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427106704', 1, '2021-07-19 12:08:27', NULL, NULL), (35373, '', '水库村', '1640f66cb7094835a0d9db60f9cab0eb', '13a6ca32acec410ca3de09237f2a50a3', 'False', 'False', 'false', 'false', '513427106200', 5, '水库村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427106200', 1, '2021-07-19 12:08:27', NULL, NULL), (35374, '', '把口村', '30df30fcca06412b8a00403cdaeab4e4', '13a6ca32acec410ca3de09237f2a50a3', 'False', 'False', 'false', 'false', '513427106202', 5, '把口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427106202', 1, '2021-07-19 12:08:27', NULL, NULL), (35375, '', '拉落村', 'ff0e1a10f4d74995bf104d17eb08861a', '13a6ca32acec410ca3de09237f2a50a3', 'False', 'False', 'false', 'false', '513427106203', 5, '拉落村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427106203', 1, '2021-07-19 12:08:27', NULL, NULL), (35376, '', '大同镇', 'a1dc1a106dbf4dadb68255f3ba35c146', '9a718442eeb94f17a02536e36483a3b5', 'True', 'True', 'false', 'false', '513427108000', 4, '大同镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513427108000', 1, '2021-07-19 12:08:28', NULL, NULL), (35377, '', '干海子', '0e9e219e2544433bb7e85c82bd20d9c1', 'a1dc1a106dbf4dadb68255f3ba35c146', 'False', 'False', 'false', 'false', '513427108557', 5, '干海子社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427108557', 1, '2021-07-19 12:08:28', NULL, NULL), (35378, '', '花椒村', '25c13f603140455896925384d1b983ec', 'a1dc1a106dbf4dadb68255f3ba35c146', 'False', 'False', 'false', 'false', '513427108561', 5, '花椒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427108561', 1, '2021-07-19 12:08:28', NULL, NULL), (35379, '', '花棚社区', 'ae4153cee28b4dc5bfd05ef26944f1e2', 'a1dc1a106dbf4dadb68255f3ba35c146', 'False', 'False', 'false', 'false', '513427108570', 5, '花棚社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427108570', 1, '2021-07-19 12:08:28', NULL, NULL), (35380, '', '新场村', '4cb594cbf61f4ff8adb9fb9919bf9471', 'a1dc1a106dbf4dadb68255f3ba35c146', 'False', 'False', 'false', 'false', '513427108201', 5, '新场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427108201', 1, '2021-07-19 12:08:28', NULL, NULL), (35381, '', '庆华村', '29f23aee466e4855b8eb3559bec299a2', 'a1dc1a106dbf4dadb68255f3ba35c146', 'False', 'False', 'false', 'false', '513427108202', 5, '庆华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427108202', 1, '2021-07-19 12:08:28', NULL, NULL), (35382, '', '迎丰村', 'a41583852e0c4fc0b33582324555aa86', 'a1dc1a106dbf4dadb68255f3ba35c146', 'False', 'False', 'false', 'false', '513427108203', 5, '迎丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427108203', 1, '2021-07-19 12:08:28', NULL, NULL), (35383, '', '幸福镇', '4a9f07f7a0924b4699b0451621e04a6a', '9a718442eeb94f17a02536e36483a3b5', 'True', 'True', 'false', 'false', '513427111000', 4, '幸福镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513427111000', 1, '2021-07-19 12:08:28', NULL, NULL), (35384, '', '花椒村', '363b0f09105f46849fb9cc82b36f03b5', '4a9f07f7a0924b4699b0451621e04a6a', 'False', 'False', 'false', 'false', '513427111440', 5, '花椒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427111440', 1, '2021-07-19 12:08:28', NULL, NULL), (35385, '', '月塘村', 'd24be0220c81451482a9901d9d615045', '4a9f07f7a0924b4699b0451621e04a6a', 'False', 'False', 'false', 'false', '513427111200', 5, '月塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427111200', 1, '2021-07-19 12:08:28', NULL, NULL), (35386, '', '石笋村', 'd1e721bc173f44379cc8aabdb0e49f3e', '4a9f07f7a0924b4699b0451621e04a6a', 'False', 'False', 'false', 'false', '513427111202', 5, '石笋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427111202', 1, '2021-07-19 12:08:28', NULL, NULL), (35387, '', '顺河村', 'f4d2f15a2b7b4fecba49c131056c4aa4', '4a9f07f7a0924b4699b0451621e04a6a', 'False', 'False', 'false', 'false', '513427111204', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427111204', 1, '2021-07-19 12:08:28', NULL, NULL), (35388, '', '茶岭村', '6ba1ca4aa50e438b882fdedbde3535a6', '4a9f07f7a0924b4699b0451621e04a6a', 'False', 'False', 'false', 'false', '513427111206', 5, '茶岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427111206', 1, '2021-07-19 12:08:28', NULL, NULL), (35389, '', '石梨镇', '3e4ba6ec304f4e2da618a31f72ae5b11', '9a718442eeb94f17a02536e36483a3b5', 'True', 'True', 'false', 'false', '513427112000', 4, '石梨镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513427112000', 1, '2021-07-19 12:08:28', NULL, NULL), (35390, '', '梁子村', 'e1088b3fe4b84acd8fec6a87f12f4b18', '3e4ba6ec304f4e2da618a31f72ae5b11', 'False', 'False', 'false', 'false', '513427112343', 5, '梁子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427112343', 1, '2021-07-19 12:08:28', NULL, NULL), (35391, '', '鲁南山村', '07042706604b4a83bff25814fc1bd6ea', '3e4ba6ec304f4e2da618a31f72ae5b11', 'False', 'False', 'false', 'false', '513427112902', 5, '鲁南山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427112902', 1, '2021-07-19 12:08:28', NULL, NULL), (35392, '', '石梨社区', 'fb7a14bbc41f4601bf1f1f03ae2e1479', '3e4ba6ec304f4e2da618a31f72ae5b11', 'False', 'False', 'false', 'false', '513427112001', 5, '石梨社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427112001', 1, '2021-07-19 12:08:28', NULL, NULL), (35393, '', '砖房村', '892a89ea5f1742e3a30d0ebc216d3375', '3e4ba6ec304f4e2da618a31f72ae5b11', 'False', 'False', 'false', 'false', '513427112201', 5, '砖房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427112201', 1, '2021-07-19 12:08:28', NULL, NULL), (35394, '', '清水村', '1191a320d34c46a583dc8a50ec4c638c', '3e4ba6ec304f4e2da618a31f72ae5b11', 'False', 'False', 'false', 'false', '513427112202', 5, '清水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427112202', 1, '2021-07-19 12:08:28', NULL, NULL), (35395, '', '大田村', 'e0524915b5994764b165b1e084ddf0ce', '3e4ba6ec304f4e2da618a31f72ae5b11', 'False', 'False', 'false', 'false', '513427112204', 5, '大田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427112204', 1, '2021-07-19 12:08:29', NULL, NULL), (35396, '', '龙潭村', '576818fae290466497c77d6a9e494cb9', '3e4ba6ec304f4e2da618a31f72ae5b11', 'False', 'False', 'false', 'false', '513427112206', 5, '龙潭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427112206', 1, '2021-07-19 12:08:29', NULL, NULL), (35397, '', '六铁镇', '4d57f95ed44e4862922ed52374df43b0', '9a718442eeb94f17a02536e36483a3b5', 'True', 'True', 'false', 'false', '513427113000', 4, '六铁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513427113000', 1, '2021-07-19 12:08:29', NULL, NULL), (35398, '', '中坪村', 'ddff1ee7c81a4c0595ac17c71ec7315c', '4d57f95ed44e4862922ed52374df43b0', 'False', 'False', 'false', 'false', '513427113281', 5, '中坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427113281', 1, '2021-07-19 12:08:29', NULL, NULL), (35399, '', '李子坪', 'f9fbf36095424279a30ff8ae63a5098a', '4d57f95ed44e4862922ed52374df43b0', 'False', 'False', 'false', 'false', '513427113611', 5, '李子坪', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427113611', 1, '2021-07-19 12:08:29', NULL, NULL), (35400, '', '关坪村', '7cf7d6532a30420cbc330887dce5f612', '4d57f95ed44e4862922ed52374df43b0', 'False', 'False', 'false', 'false', '513427113866', 5, '关坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427113866', 1, '2021-07-19 12:08:29', NULL, NULL), (35401, '', '树基村', '2425912bf1c64f34901987634aa1f1d5', '4d57f95ed44e4862922ed52374df43b0', 'False', 'False', 'false', 'false', '513427113200', 5, '树基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427113200', 1, '2021-07-19 12:08:29', NULL, NULL), (35402, '', '岔河村', '303f2f5f70cb479e8374461ba96da93e', '4d57f95ed44e4862922ed52374df43b0', 'False', 'False', 'false', 'false', '513427113201', 5, '岔河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427113201', 1, '2021-07-19 12:08:29', NULL, NULL), (35403, '', '跑马镇', 'b7a1683892094529a9eee99bac579230', '9a718442eeb94f17a02536e36483a3b5', 'True', 'True', 'false', 'false', '513427218000', 4, '跑马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513427218000', 1, '2021-07-19 12:08:29', NULL, NULL), (35404, '', '坝头村', 'd1eb662b8e284d998b073c5ed9e02900', 'b7a1683892094529a9eee99bac579230', 'False', 'False', 'false', 'false', '513427110005', 5, '坝头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427110005', 1, '2021-07-19 12:08:29', NULL, NULL), (35405, '', '湾子村', '98ee4e931a8944e8bdb8733f8d12ab57', 'b7a1683892094529a9eee99bac579230', 'False', 'False', 'false', 'false', '513427218200', 5, '湾子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427218200', 1, '2021-07-19 12:08:29', NULL, NULL), (35406, '', '菲地村', 'd1abc5b317074999b64bce898d7eb721', 'b7a1683892094529a9eee99bac579230', 'False', 'False', 'false', 'false', '513427218202', 5, '菲地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427218202', 1, '2021-07-19 12:08:29', NULL, NULL), (35407, '', '四大块村', 'd12f3a5af9ad46689bf795c634748de1', 'b7a1683892094529a9eee99bac579230', 'False', 'False', 'false', 'false', '513427218205', 5, '四大块村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427218205', 1, '2021-07-19 12:08:29', NULL, NULL), (35408, '', '八岩村', '598f7e4dc9ff49efa7b5b68d593a5330', 'b7a1683892094529a9eee99bac579230', 'False', 'False', 'false', 'false', '513427218206', 5, '八岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427218206', 1, '2021-07-19 12:08:29', NULL, NULL), (35409, '', '骑骡沟镇', '1cd36bdcdd1747f285e1c4df17920343', '9a718442eeb94f17a02536e36483a3b5', 'True', 'True', 'false', 'false', '513427554000', 4, '骑骡沟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513427554000', 1, '2021-07-19 12:08:30', NULL, NULL), (35410, '', '红梁村', '09aacd2f088d46b49c400f87771a913b', '1cd36bdcdd1747f285e1c4df17920343', 'False', 'False', 'false', 'false', '513427109690', 5, '红梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427109690', 1, '2021-07-19 12:08:30', NULL, NULL), (35411, '', '骡子坝社区', '073a5ab6ddbc44c48cd14b92c1f076b0', '1cd36bdcdd1747f285e1c4df17920343', 'False', 'False', 'false', 'false', '513427109001', 5, '骡子坝社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427109001', 1, '2021-07-19 12:08:30', NULL, NULL), (35412, '', '五四村', '882ae297241047cca21bab310a6a8239', '1cd36bdcdd1747f285e1c4df17920343', 'False', 'False', 'false', 'false', '513427109200', 5, '五四村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427109200', 1, '2021-07-19 12:08:30', NULL, NULL), (35413, '', '果木村', '835b00c186c04e028a21e4d2b231fa0c', '1cd36bdcdd1747f285e1c4df17920343', 'False', 'False', 'false', 'false', '513427109201', 5, '果木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427109201', 1, '2021-07-19 12:08:30', NULL, NULL), (35414, '', '正坝村', '336071508f6c47839c14ecebcb2a2cf6', '1cd36bdcdd1747f285e1c4df17920343', 'False', 'False', 'false', 'false', '513427109204', 5, '正坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427109204', 1, '2021-07-19 12:08:30', NULL, NULL), (35415, '', '俱乐镇', 'daf1074ef7f34904b0139fad3ff016f0', '9a718442eeb94f17a02536e36483a3b5', 'True', 'True', 'false', 'false', '513427708000', 4, '俱乐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513427708000', 1, '2021-07-19 12:08:30', NULL, NULL), (35416, '', '湾地村', 'ff423552d6d242139211f03b256b45c0', 'daf1074ef7f34904b0139fad3ff016f0', 'False', 'False', 'false', 'false', '513427201105', 5, '湾地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427201105', 1, '2021-07-19 12:08:30', NULL, NULL), (35417, '', '大梁村', '010e23aeacae4d4088c1e2ffdf1ffa75', 'daf1074ef7f34904b0139fad3ff016f0', 'False', 'False', 'false', 'false', '513427201139', 5, '大梁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427201139', 1, '2021-07-19 12:08:30', NULL, NULL), (35418, '', '漆树村', '13641cee5b4e4a3da0519da303822470', 'daf1074ef7f34904b0139fad3ff016f0', 'False', 'False', 'false', 'false', '513427201555', 5, '漆树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427201555', 1, '2021-07-19 12:08:30', NULL, NULL), (35419, '', '柳树村', 'ead0fd81b699438e9714209e23930fb1', 'daf1074ef7f34904b0139fad3ff016f0', 'False', 'False', 'false', 'false', '513427201200', 5, '柳树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427201200', 1, '2021-07-19 12:08:30', NULL, NULL), (35420, '', '中心村', '572510d0de1e4152b2cd30de10e35d77', 'daf1074ef7f34904b0139fad3ff016f0', 'False', 'False', 'false', 'false', '513427201201', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427201201', 1, '2021-07-19 12:08:30', NULL, NULL), (35421, '', '红岩村', 'e206ba5784544c0480192441e71d1c8a', 'daf1074ef7f34904b0139fad3ff016f0', 'False', 'False', 'false', 'false', '513427201202', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427201202', 1, '2021-07-19 12:08:30', NULL, NULL), (35422, '', '青龙村', '43133cc0ac34443db02b88bc4fdb28c9', 'daf1074ef7f34904b0139fad3ff016f0', 'False', 'False', 'false', 'false', '513427201204', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513427201204', 1, '2021-07-19 12:08:30', NULL, NULL), (35423, '', '普格县', '510a2a14b19345d7a6249362ad189b44', '5dd8920407b943de983b9b9f6f9dc6c7', 'True', 'True', 'false', 'false', '513428000000', 3, '普格县', 'lszpgx.sczwfw.gov.cn', 1, '2021-07-19 12:08:30', NULL, NULL), (35424, '', '普基镇', 'fa18eb4472144904b8a55d8fb411ff84', '510a2a14b19345d7a6249362ad189b44', 'False', 'True', 'false', 'false', '513428105000', 4, '普基镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513428105000', 1, '2021-07-19 12:08:30', NULL, NULL), (35425, '', '大槽乡', '9cbdb460da6d4615968d8c3181bdfd60', '510a2a14b19345d7a6249362ad189b44', 'False', 'True', 'false', 'false', '513428133000', 4, '大槽乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513428133000', 1, '2021-07-19 12:08:31', NULL, NULL), (35426, '', '瓦洛乡', '09e2b34e71c64d85b280b37522dd75f7', '510a2a14b19345d7a6249362ad189b44', 'False', 'True', 'false', 'false', '513428322000', 4, '瓦洛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513428322000', 1, '2021-07-19 12:08:31', NULL, NULL), (35427, '', '螺髻山镇', '7a51bf8f07e14bb3a357850a9f51e4db', '510a2a14b19345d7a6249362ad189b44', 'False', 'True', 'false', 'false', '513428352000', 4, '螺髻山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513428352000', 1, '2021-07-19 12:08:31', NULL, NULL), (35428, '', '特兹乡', 'a8774404882a40578ef424a81c1b30ec', '510a2a14b19345d7a6249362ad189b44', 'False', 'True', 'false', 'false', '513428375000', 4, '特兹乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513428375000', 1, '2021-07-19 12:08:31', NULL, NULL), (35429, '', '大坪乡', 'b96b85379d314b46ab1314e231c001fe', '510a2a14b19345d7a6249362ad189b44', 'False', 'True', 'false', 'false', '513428547000', 4, '大坪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513428547000', 1, '2021-07-19 12:08:31', NULL, NULL), (35430, '', '荞窝镇', '447a1f4a4cd646d4969b964383858a2c', '510a2a14b19345d7a6249362ad189b44', 'False', 'True', 'false', 'false', '513428906000', 4, '荞窝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513428906000', 1, '2021-07-19 12:08:31', NULL, NULL), (35431, '', '黎安乡', 'd2da3b1f5d9c4618be44171cb2ec79d5', '510a2a14b19345d7a6249362ad189b44', 'False', 'True', 'false', 'false', '513428933000', 4, '黎安乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513428933000', 1, '2021-07-19 12:08:31', NULL, NULL), (35432, '', '布拖县', 'c5572d6f158647d5a9500a865dd7f23a', '5dd8920407b943de983b9b9f6f9dc6c7', 'True', 'True', 'false', 'false', '513429000000', 3, '布拖县', 'lszbtx.sczwfw.gov.cn', 1, '2021-07-19 12:08:31', NULL, NULL), (35433, '', '地洛镇', 'c57a6835ea474c70b8e6ed163c3d70bf', 'c5572d6f158647d5a9500a865dd7f23a', 'False', 'True', 'false', 'false', '513429000005', 4, '地洛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513429000005', 1, '2021-07-19 12:08:31', NULL, NULL), (35434, '', '特木里镇', '151c0c49655145f5a150bad7d82c4643', 'c5572d6f158647d5a9500a865dd7f23a', 'False', 'True', 'false', 'false', '513429100000', 4, '特木里镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513429100000', 1, '2021-07-19 12:08:31', NULL, NULL), (35435, '', '龙潭镇', '3aba647c85b34f4e8efbdfee9161026c', 'c5572d6f158647d5a9500a865dd7f23a', 'False', 'True', 'false', 'false', '513429101000', 4, '龙潭镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513429101000', 1, '2021-07-19 12:08:31', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (35436, '', '拖觉镇', 'a7942dfb2d4b42cca85a6b90f5043453', 'c5572d6f158647d5a9500a865dd7f23a', 'False', 'True', 'false', 'false', '513429102000', 4, '拖觉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513429102000', 1, '2021-07-19 12:08:31', NULL, NULL), (35437, '', '九都镇', '3feec58bdb86415a806bae38188f69cf', 'c5572d6f158647d5a9500a865dd7f23a', 'False', 'True', 'false', 'false', '513429201000', 4, '九都镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513429201000', 1, '2021-07-19 12:08:31', NULL, NULL), (35438, '', '补尔乡', '5046ad19fed040219b908825561b7b32', 'c5572d6f158647d5a9500a865dd7f23a', 'False', 'True', 'false', 'false', '513429206000', 4, '补尔乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513429206000', 1, '2021-07-19 12:08:31', NULL, NULL), (35439, '', '拉果乡', '2693c822263248438dbc4ae8e8f2fe8d', 'c5572d6f158647d5a9500a865dd7f23a', 'False', 'True', 'false', 'false', '513429209000', 4, '拉果乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513429209000', 1, '2021-07-19 12:08:31', NULL, NULL), (35440, '', '牛角湾镇', 'a2d5fa8721ae4b72a5d40033f72ace7f', 'c5572d6f158647d5a9500a865dd7f23a', 'False', 'True', 'false', 'false', '513429215000', 4, '牛角湾镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513429215000', 1, '2021-07-19 12:08:32', NULL, NULL), (35441, '', '乐安镇', 'ea43ab3141404a0b838a5f6fbf5d8540', 'c5572d6f158647d5a9500a865dd7f23a', 'False', 'True', 'false', 'false', '513429218000', 4, '乐安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513429218000', 1, '2021-07-19 12:08:32', NULL, NULL), (35442, '', '俄里坪镇', '361c7c4dd13249759f7df5889f9364da', 'c5572d6f158647d5a9500a865dd7f23a', 'False', 'True', 'false', 'false', '513429221000', 4, '俄里坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513429221000', 1, '2021-07-19 12:08:32', NULL, NULL), (35443, '', '委只洛乡', '2efb9593ae814a6e9b16bd06f79498b3', 'c5572d6f158647d5a9500a865dd7f23a', 'False', 'True', 'false', 'false', '513429224000', 4, '委只洛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513429224000', 1, '2021-07-19 12:08:32', NULL, NULL), (35444, '', '基只乡', '8183777e62b64e79bb92e11c7f26466b', 'c5572d6f158647d5a9500a865dd7f23a', 'False', 'True', 'false', 'false', '513429226000', 4, '基只乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513429226000', 1, '2021-07-19 12:08:32', NULL, NULL), (35445, '', '昭觉县', '9a94fe01d51e4d829a7f726578456f85', '5dd8920407b943de983b9b9f6f9dc6c7', 'True', 'True', 'false', 'false', '513431000000', 3, '昭觉县', 'lszzjx.sczwfw.gov.cn', 1, '2021-07-19 12:08:32', NULL, NULL), (35446, '', '四开镇', 'e976e7ceeb374bc7a3e0edf59211ddc2', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431494000', 4, '四开镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431494000', 1, '2021-07-19 12:08:32', NULL, NULL), (35447, '', '新城镇', '9bbd67dfebe14936b472622dc46ca126', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431100000', 4, '新城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431100000', 1, '2021-07-19 12:08:32', NULL, NULL), (35448, '', '博洛乡', '5ed007cebc204d63b9eef43fee269b49', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431121000', 4, '博洛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431121000', 1, '2021-07-19 12:08:32', NULL, NULL), (35449, '', '城北镇', '65b1a82f8ada45b0adf9667e42f5d451', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431200000', 4, '城北镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431200000', 1, '2021-07-19 12:08:32', NULL, NULL), (35450, '', '谷曲镇', 'c92287697578455b97d2572540f0cd40', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431202000', 4, '谷曲镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431202000', 1, '2021-07-19 12:08:32', NULL, NULL), (35451, '', '美甘乡', 'e5463d8c527748638e7e28a3655662ab', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431205000', 4, '美甘乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431205000', 1, '2021-07-19 12:08:32', NULL, NULL), (35452, '', '地莫镇', '221739290655400ca0716cecc91873e9', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431208000', 4, '地莫镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431208000', 1, '2021-07-19 12:08:32', NULL, NULL), (35453, '', '解放沟镇', '199ab78a00784a649e1606a7a0a8e730', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431212000', 4, '解放沟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431212000', 1, '2021-07-19 12:08:32', NULL, NULL), (35454, '', '俄尔镇', '8d7f28f2437b4f1587538f34ed9ba347', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431220000', 4, '俄尔镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431220000', 1, '2021-07-19 12:08:33', NULL, NULL), (35455, '', '竹核镇', 'd87146595d62447a9d748648eb86d159', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431224000', 4, '竹核镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431224000', 1, '2021-07-19 12:08:33', NULL, NULL), (35456, '', '特布洛乡', 'e0b4babcf82d4ad4b163fd3793a7700d', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431227000', 4, '特布洛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431227000', 1, '2021-07-19 12:08:33', NULL, NULL), (35457, '', '庆恒乡', '66957c7714ee4aaaa5254bcd6acd0a15', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431228000', 4, '庆恒乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431228000', 1, '2021-07-19 12:08:33', NULL, NULL), (35458, '', '补约乡', '0f9f8ce669f24496b3977668388fbd10', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431231000', 4, '补约乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431231000', 1, '2021-07-19 12:08:33', NULL, NULL), (35459, '', '比尔镇', 'c8f38b15b6bc4184b54a7e6cd612bb98', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431232000', 4, '比尔镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431232000', 1, '2021-07-19 12:08:33', NULL, NULL), (35460, '', '金曲乡', '0aee6816125942398929106ad445775f', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431234000', 4, '金曲乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431234000', 1, '2021-07-19 12:08:33', NULL, NULL), (35461, '', '古里镇', 'f2c847585f994c979ea610d316d6e159', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431240000', 4, '古里镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431240000', 1, '2021-07-19 12:08:33', NULL, NULL), (35462, '', '日哈乡', '137a14eb1f3c479d85438415b88a108e', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431244000', 4, '日哈乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431244000', 1, '2021-07-19 12:08:33', NULL, NULL), (35463, '', '哈甘乡', '225cf61c6672488c8d1ecf65cae3e5d4', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431245000', 4, '哈甘乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431245000', 1, '2021-07-19 12:08:33', NULL, NULL), (35464, '', '三岔河镇', 'c290bfa21a9447a99a8ee2891b6fd8de', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431260000', 4, '三岔河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431260000', 1, '2021-07-19 12:08:33', NULL, NULL), (35465, '', '则普乡人民政府', 'e001a7f6eb454b429feb14d6289f3df9', '9a94fe01d51e4d829a7f726578456f85', 'False', 'True', 'false', 'false', '513431584000', 4, '则普乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513431584000', 1, '2021-07-19 12:08:33', NULL, NULL), (35466, '', '金阳县', '9f6dc8f265fa4e36810fec59135105a1', '5dd8920407b943de983b9b9f6f9dc6c7', 'True', 'True', 'true', 'true', '513430000000', 3, '金阳县', 'lszjyx.sczwfw.gov.cn', 1, '2021-07-19 12:08:33', NULL, NULL), (35467, '', '天地坝镇', 'a72576b4ed5a452f859826dd767f0f06', '9f6dc8f265fa4e36810fec59135105a1', 'True', 'True', 'false', 'false', '513430100000', 4, '天地坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513430100000', 1, '2021-07-19 12:08:33', NULL, NULL), (35468, '', '尔觉西中心村委会', 'a334d53fd029423e935a97f8ae73a9a1', 'a72576b4ed5a452f859826dd767f0f06', 'False', 'False', 'false', 'false', '513430100155', 5, '尔觉西中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430100155', 1, '2021-07-19 12:08:33', NULL, NULL), (35469, '', '城南社区居委会', '661ce3c4f4a44ec79c1819db83815460', 'a72576b4ed5a452f859826dd767f0f06', 'False', 'False', 'false', 'false', '513430100207', 5, '城南社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430100207', 1, '2021-07-19 12:08:33', NULL, NULL), (35470, '', '东山社区居委会', '3edcfba0e8404650baf58647bf49dcd1', 'a72576b4ed5a452f859826dd767f0f06', 'False', 'False', 'false', 'false', '513430100212', 5, '东山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430100212', 1, '2021-07-19 12:08:33', NULL, NULL), (35471, '', '城北社区居委会', '0c8bb7b5eaf44e57a27c6b4f2784b49e', 'a72576b4ed5a452f859826dd767f0f06', 'False', 'False', 'false', 'false', '513430100247', 5, '城北社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430100247', 1, '2021-07-19 12:08:33', NULL, NULL), (35472, '', '依子洛社区居委会', '3e7a4dbd3db14393ba57ca23608e3bcb', 'a72576b4ed5a452f859826dd767f0f06', 'False', 'False', 'false', 'false', '513430100253', 5, '依子洛社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430100253', 1, '2021-07-19 12:08:34', NULL, NULL), (35473, '', '桃坪中心村委会', 'cd98d54484d844ccbd05b4a80f041529', 'a72576b4ed5a452f859826dd767f0f06', 'False', 'False', 'false', 'false', '513430100268', 5, '桃坪中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430100268', 1, '2021-07-19 12:08:34', NULL, NULL), (35474, '', '包谷山村委会', '7bce862fbb93493292259f105ae359e6', 'a72576b4ed5a452f859826dd767f0f06', 'False', 'False', 'false', 'false', '513430100396', 5, '包谷山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430100396', 1, '2021-07-19 12:08:34', NULL, NULL), (35475, '', '务科村委会', '1078f93f6b2f4de3ab82652f414103f5', 'a72576b4ed5a452f859826dd767f0f06', 'False', 'False', 'false', 'false', '513430100428', 5, '务科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430100428', 1, '2021-07-19 12:08:34', NULL, NULL), (35476, '', '马依足中心村委会', 'd5b033d13109444facd46cab570d18f8', 'a72576b4ed5a452f859826dd767f0f06', 'False', 'False', 'false', 'false', '513430100498', 5, '马依足中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430100498', 1, '2021-07-19 12:08:34', NULL, NULL), (35477, '', '黑竹洛村委会', '468637f3ee5d42878f2f645c0a5f5bcd', 'a72576b4ed5a452f859826dd767f0f06', 'False', 'False', 'false', 'false', '513430100730', 5, '黑竹洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430100730', 1, '2021-07-19 12:08:34', NULL, NULL), (35478, '', '甲谷村委会', '53781e67b25c41c7ac65c78e00ca8823', 'a72576b4ed5a452f859826dd767f0f06', 'False', 'False', 'false', 'false', '513430100732', 5, '甲谷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430100732', 1, '2021-07-19 12:08:34', NULL, NULL), (35479, '', '红峰中心村委会', 'e1461fd8dfc34978b87851814cb9f3f2', 'a72576b4ed5a452f859826dd767f0f06', 'False', 'False', 'false', 'false', '513430100754', 5, '红峰中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430100754', 1, '2021-07-19 12:08:34', NULL, NULL), (35480, '', '营盘村委会', 'a9885e161c8449fa98a814ac7234d714', 'a72576b4ed5a452f859826dd767f0f06', 'False', 'False', 'false', 'false', '513430100895', 5, '营盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430100895', 1, '2021-07-19 12:08:34', NULL, NULL), (35481, '', '后山社区居委会', 'be4dd09a405c4d9aa35db4a5bb9c64a9', 'a72576b4ed5a452f859826dd767f0f06', 'False', 'False', 'false', 'false', '513430100942', 5, '后山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430100942', 1, '2021-07-19 12:08:34', NULL, NULL), (35482, '', '唐家屋基村委会', 'c247fac38bbe4d6781d7f41d2cd0b76c', 'a72576b4ed5a452f859826dd767f0f06', 'False', 'False', 'false', 'false', '513430100967', 5, '唐家屋基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430100967', 1, '2021-07-19 12:08:34', NULL, NULL), (35483, '', '派来镇', '15bf5d9422294f399bb1873c0bb19942', '9f6dc8f265fa4e36810fec59135105a1', 'True', 'True', 'false', 'false', '513430101000', 4, '派来镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513430101000', 1, '2021-07-19 12:08:34', NULL, NULL), (35484, '', '光明社区居委会', '0c30593f678544ccbcae49fc93890fd2', '15bf5d9422294f399bb1873c0bb19942', 'False', 'True', 'false', 'false', '513430101200', 5, '光明社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430101200', 1, '2021-07-19 12:08:34', NULL, NULL), (35485, '', '官家梁子村委会', 'd99df1e353ce4fdf8dcaa759757b3a21', '15bf5d9422294f399bb1873c0bb19942', 'False', 'True', 'false', 'false', '513430101201', 5, '官家梁子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430101201', 1, '2021-07-19 12:08:34', NULL, NULL), (35486, '', '三家寨村委会', '83c662a2241d4d51ac41ae088fa2d818', '15bf5d9422294f399bb1873c0bb19942', 'False', 'True', 'false', 'false', '513430101202', 5, '三家寨村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430101202', 1, '2021-07-19 12:08:34', NULL, NULL), (35487, '', '金星村委会', 'a5e51c7815b947a7933d1abbfa2d5e97', '15bf5d9422294f399bb1873c0bb19942', 'False', 'True', 'false', 'false', '513430101203', 5, '金星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430101203', 1, '2021-07-19 12:08:35', NULL, NULL), (35488, '', '天地坪村委会', '3fb776bef835480d81a20316c58b9cb8', '15bf5d9422294f399bb1873c0bb19942', 'False', 'True', 'false', 'false', '513430101204', 5, '天地坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430101204', 1, '2021-07-19 12:08:35', NULL, NULL), (35489, '', '派来村委会', '555d96dbe6a142618f422e52ac02cf0f', '15bf5d9422294f399bb1873c0bb19942', 'False', 'True', 'false', 'false', '513430101205', 5, '派来村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430101205', 1, '2021-07-19 12:08:35', NULL, NULL), (35490, '', '则祖中心村委会', 'c8d1cd0bc88e4fdcb830dfeba2890a19', '15bf5d9422294f399bb1873c0bb19942', 'False', 'True', 'false', 'false', '513430101206', 5, '则祖中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430101206', 1, '2021-07-19 12:08:35', NULL, NULL), (35491, '', '岩头村委会', '58ee87afbfca40f5b68eb0cb629ba945', '15bf5d9422294f399bb1873c0bb19942', 'False', 'True', 'false', 'false', '513430101207', 5, '岩头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430101207', 1, '2021-07-19 12:08:35', NULL, NULL), (35492, '', '芦稿镇', 'c580f0c893344577a9f7a8efe2c12527', '9f6dc8f265fa4e36810fec59135105a1', 'True', 'True', 'false', 'false', '513430102000', 4, '芦稿镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513430102000', 1, '2021-07-19 12:08:35', NULL, NULL), (35493, '', '沙马坪子村委会', 'a9bbb5247b5a47a6840493f70b65a16e', 'c580f0c893344577a9f7a8efe2c12527', 'False', 'False', 'false', 'false', '513430102039', 5, '沙马坪子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430102039', 1, '2021-07-19 12:08:35', NULL, NULL), (35494, '', '木府中心村委会', '728a00e560e94835b7da8effd63c4ce2', 'c580f0c893344577a9f7a8efe2c12527', 'False', 'False', 'false', 'false', '513430102131', 5, '木府中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430102131', 1, '2021-07-19 12:08:35', NULL, NULL), (35495, '', '卢家营盘村委会', '42da91dfc620421aa2dcf272e799038b', 'c580f0c893344577a9f7a8efe2c12527', 'False', 'False', 'false', 'false', '513430102201', 5, '卢家营盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430102201', 1, '2021-07-19 12:08:35', NULL, NULL), (35496, '', '油房村委会', '170f4332d3f94722bf93445b2a8811c2', 'c580f0c893344577a9f7a8efe2c12527', 'False', 'False', 'false', 'false', '513430102202', 5, '油房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430102202', 1, '2021-07-19 12:08:35', NULL, NULL), (35497, '', '大卷村委会', '3b00c60410744229888f797ffb24e8bc', 'c580f0c893344577a9f7a8efe2c12527', 'False', 'False', 'false', 'false', '513430102257', 5, '大卷村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430102257', 1, '2021-07-19 12:08:35', NULL, NULL), (35498, '', '陈家梁子村委会', 'b8960f45e96f486eb253578eacccc741', 'c580f0c893344577a9f7a8efe2c12527', 'False', 'False', 'false', 'false', '513430102348', 5, '陈家梁子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430102348', 1, '2021-07-19 12:08:35', NULL, NULL), (35499, '', '树洛村委会', 'd7cbd2649132499b867bed303228532b', 'c580f0c893344577a9f7a8efe2c12527', 'False', 'False', 'false', 'false', '513430102413', 5, '树洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430102413', 1, '2021-07-19 12:08:35', NULL, NULL), (35500, '', '红联中心村委会', 'cd88f608d9de46bdb89f5824a8ddfba2', 'c580f0c893344577a9f7a8efe2c12527', 'False', 'False', 'false', 'false', '513430102779', 5, '红联中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430102779', 1, '2021-07-19 12:08:35', NULL, NULL), (35501, '', '灯厂村委会', 'c8ca2e1ee28e4e779b5fd42f7c990313', 'c580f0c893344577a9f7a8efe2c12527', 'False', 'False', 'false', 'false', '513430102887', 5, '灯厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430102887', 1, '2021-07-19 12:08:36', NULL, NULL), (35502, '', '对坪镇', '1a21241ce2174d18a933ef23dd480612', '9f6dc8f265fa4e36810fec59135105a1', 'True', 'True', 'false', 'false', '513430103000', 4, '对坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513430103000', 1, '2021-07-19 12:08:36', NULL, NULL), (35503, '', '对坪村委会', 'afe8994640ed4e01875c158f6fede4e6', '1a21241ce2174d18a933ef23dd480612', 'False', 'True', 'false', 'false', '513430103200', 5, '对坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430103200', 1, '2021-07-19 12:08:36', NULL, NULL), (35504, '', '二坪子村委会', 'f47cc1fb1b604e148697d9c2b03b9b98', '1a21241ce2174d18a933ef23dd480612', 'False', 'True', 'false', 'false', '513430103201', 5, '二坪子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430103201', 1, '2021-07-19 12:08:36', NULL, NULL), (35505, '', '芦茅林村委会', '740b454c0d504a51a7e0ed65b354aae6', '1a21241ce2174d18a933ef23dd480612', 'False', 'True', 'false', 'false', '513430103202', 5, '芦茅林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430103202', 1, '2021-07-19 12:08:36', NULL, NULL), (35506, '', '脚窝村委会', '66383ebabdca4539addc54aebf5ac20a', '1a21241ce2174d18a933ef23dd480612', 'False', 'True', 'false', 'false', '513430103203', 5, '脚窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430103203', 1, '2021-07-19 12:08:36', NULL, NULL), (35507, '', '放马坪中心村委会', '3b2ef5cf0ab84c8d8208bb867ca5f599', '1a21241ce2174d18a933ef23dd480612', 'False', 'True', 'false', 'false', '513430103204', 5, '放马坪中心村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430103204', 1, '2021-07-19 12:08:36', NULL, NULL), (35508, '', '独角溪村委会', '8a3cc465bca54ba1914c115bc56c2d73', '1a21241ce2174d18a933ef23dd480612', 'False', 'True', 'false', 'false', '513430103205', 5, '独角溪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430103205', 1, '2021-07-19 12:08:36', NULL, NULL), (35509, '', '春江中心村委会', '48e035e543d544aca1f95abdc18b3af8', '1a21241ce2174d18a933ef23dd480612', 'False', 'True', 'false', 'false', '513430103206', 5, '春江中心村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430103206', 1, '2021-07-19 12:08:36', NULL, NULL), (35510, '', '九道拐村委会', '94fd9c289cd840bb98a75d02f0b49ad1', '1a21241ce2174d18a933ef23dd480612', 'False', 'False', 'false', 'false', '513430103207', 5, '九道拐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430103207', 1, '2021-07-19 12:08:36', NULL, NULL), (35511, '', '热水河乡', '4cddc4cf216f488aa9ab40cce2770438', '9f6dc8f265fa4e36810fec59135105a1', 'True', 'True', 'false', 'false', '513430201000', 4, '热水河乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513430201000', 1, '2021-07-19 12:08:36', NULL, NULL), (35512, '', '克业村委会', 'bdf22d6cc21c464385b0897703f43cd7', '4cddc4cf216f488aa9ab40cce2770438', 'False', 'True', 'false', 'false', '513430201200', 5, '克业村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430201200', 1, '2021-07-19 12:08:36', NULL, NULL), (35513, '', '体可洛村委会', 'a8b74abe520d4f5fbe7dc9183d5231b0', '4cddc4cf216f488aa9ab40cce2770438', 'False', 'True', 'false', 'false', '513430201201', 5, '体可洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430201201', 1, '2021-07-19 12:08:36', NULL, NULL), (35514, '', '热水河村委会', '1eb3b62347eb4d9086986a564754fe78', '4cddc4cf216f488aa9ab40cce2770438', 'False', 'True', 'false', 'false', '513430201202', 5, '热水河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430201202', 1, '2021-07-19 12:08:36', NULL, NULL), (35515, '', '矿山村委会', '8e333bddeb28451087bd257a8c96e962', '4cddc4cf216f488aa9ab40cce2770438', 'False', 'False', 'false', 'false', '513430201528', 5, '矿山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430201528', 1, '2021-07-19 12:08:36', NULL, NULL), (35516, '', '百草坡镇', '31e5119bbb714c069799ec0c49d6b6cd', '9f6dc8f265fa4e36810fec59135105a1', 'True', 'True', 'false', 'false', '513430205000', 4, '百草坡镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513430205000', 1, '2021-07-19 12:08:37', NULL, NULL), (35517, '', '高峰中心村委会', 'f221e5d28791412da1b979e95fe0f7a7', '31e5119bbb714c069799ec0c49d6b6cd', 'False', 'True', 'false', 'false', '513430205200', 5, '高峰中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430205200', 1, '2021-07-19 12:08:37', NULL, NULL), (35518, '', '洛古村委会', 'a2500ca1ee2f4989aeb75670d0e0395b', '31e5119bbb714c069799ec0c49d6b6cd', 'False', 'True', 'false', 'false', '513430205201', 5, '洛古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430205201', 1, '2021-07-19 12:08:37', NULL, NULL), (35519, '', '永丰村委会', '77a5b581e72342f2adb6a302e4c73ed4', '31e5119bbb714c069799ec0c49d6b6cd', 'False', 'True', 'false', 'false', '513430205202', 5, '永丰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430205202', 1, '2021-07-19 12:08:37', NULL, NULL), (35520, '', '友地村', '9a3e19bf02d740e59ce7922587101508', '31e5119bbb714c069799ec0c49d6b6cd', 'False', 'True', 'false', 'false', '513430205203', 5, '友地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430205203', 1, '2021-07-19 12:08:37', NULL, NULL), (35521, '', '堵日洛村委会', '55741c0ffcd54c6fa4cef415b7dba835', '31e5119bbb714c069799ec0c49d6b6cd', 'False', 'True', 'false', 'false', '513430205204', 5, '堵日洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430205204', 1, '2021-07-19 12:08:37', NULL, NULL), (35522, '', '甲依乡', '6356ae9443444f5c83eb5972efa94565', '9f6dc8f265fa4e36810fec59135105a1', 'True', 'True', 'false', 'false', '513430206000', 4, '甲依乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513430206000', 1, '2021-07-19 12:08:37', NULL, NULL), (35523, '', '沙坝村委会', 'ad4c6522d47245b3a0b8b5485725309e', '6356ae9443444f5c83eb5972efa94565', 'False', 'True', 'false', 'false', '513430206200', 5, '沙坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430206200', 1, '2021-07-19 12:08:37', NULL, NULL), (35524, '', '省祖村委会', '0a8b23a3c476489daa6917a51939614a', '6356ae9443444f5c83eb5972efa94565', 'False', 'True', 'false', 'false', '513430206201', 5, '省祖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430206201', 1, '2021-07-19 12:08:37', NULL, NULL), (35525, '', '古恩村委会', '0b822fe2198242229db3ce5c0bf9a8ca', '6356ae9443444f5c83eb5972efa94565', 'False', 'True', 'false', 'false', '513430206202', 5, '古恩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430206202', 1, '2021-07-19 12:08:37', NULL, NULL), (35526, '', '宝岩村委会', '9aa348cf8b504ee1b696411e94e20ae0', '6356ae9443444f5c83eb5972efa94565', 'False', 'True', 'false', 'false', '513430206203', 5, '宝岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430206203', 1, '2021-07-19 12:08:37', NULL, NULL), (35527, '', '结捏托村委会', 'a1db071371be44eebd0e18060a776f48', '6356ae9443444f5c83eb5972efa94565', 'False', 'True', 'false', 'false', '513430206204', 5, '结捏托村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430206204', 1, '2021-07-19 12:08:37', NULL, NULL), (35528, '', '寨子中心村委会', 'd615e5e536804d57b8248e30cdb8f3ab', '6356ae9443444f5c83eb5972efa94565', 'False', 'False', 'false', 'false', '513430206687', 5, '寨子中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430206687', 1, '2021-07-19 12:08:37', NULL, NULL), (35529, '', '基觉乡', 'c63e4f15a601409f9c6ff3feb30af256', '9f6dc8f265fa4e36810fec59135105a1', 'True', 'True', 'false', 'false', '513430210000', 4, '基觉乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513430210000', 1, '2021-07-19 12:08:37', NULL, NULL), (35530, '', '基觉村委会', '9751607dd4824728804962713c2ab66a', 'c63e4f15a601409f9c6ff3feb30af256', 'False', 'True', 'false', 'false', '513430210200', 5, '基觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430210200', 1, '2021-07-19 12:08:37', NULL, NULL), (35531, '', '主沟村委会', '3c85020315a14c2dbd190c0aacfb330a', 'c63e4f15a601409f9c6ff3feb30af256', 'False', 'True', 'false', 'false', '513430210203', 5, '主沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430210203', 1, '2021-07-19 12:08:38', NULL, NULL), (35532, '', '衣久村委会', 'e4b01ff325e0488280d37542c4e85c8c', 'c63e4f15a601409f9c6ff3feb30af256', 'False', 'False', 'false', 'false', '513430210204', 5, '衣久村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430210204', 1, '2021-07-19 12:08:38', NULL, NULL), (35533, '', '石哈村委会', 'a49cd6a8f2eb45a2b19dbea4f764e80d', 'c63e4f15a601409f9c6ff3feb30af256', 'False', 'False', 'false', 'false', '513430210206', 5, '石哈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430210206', 1, '2021-07-19 12:08:38', NULL, NULL), (35534, '', '小银木乡', '65ac084e2dcb4d69975d9dcb6a9c753d', '9f6dc8f265fa4e36810fec59135105a1', 'True', 'True', 'false', 'false', '513430211000', 4, '小银木乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513430211000', 1, '2021-07-19 12:08:38', NULL, NULL), (35535, '', '银木坪村委会', 'a97b17f049624310981ca993f0786f10', '65ac084e2dcb4d69975d9dcb6a9c753d', 'False', 'True', 'false', 'false', '513430211200', 5, '银木坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430211200', 1, '2021-07-19 12:08:38', NULL, NULL), (35536, '', '交点村委会', '86d0e434a09d43aa9ffbbc970fc6b472', '65ac084e2dcb4d69975d9dcb6a9c753d', 'False', 'True', 'false', 'false', '513430211202', 5, '交点村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430211202', 1, '2021-07-19 12:08:38', NULL, NULL), (35537, '', '松林村委会', 'c02da2f668fc4d48bc683fcb0a126c77', '65ac084e2dcb4d69975d9dcb6a9c753d', 'False', 'True', 'false', 'false', '513430211203', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430211203', 1, '2021-07-19 12:08:38', NULL, NULL), (35538, '', '簸箕湾村委会', '5f94f579537c440d918348b580fe4790', '65ac084e2dcb4d69975d9dcb6a9c753d', 'False', 'True', 'false', 'false', '513430211204', 5, '簸箕湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430211204', 1, '2021-07-19 12:08:38', NULL, NULL), (35539, '', '书祖村委会', '8f51bca513ed4231967201a7ede5d6fa', '65ac084e2dcb4d69975d9dcb6a9c753d', 'False', 'True', 'false', 'false', '513430211205', 5, '书祖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430211205', 1, '2021-07-19 12:08:38', NULL, NULL), (35540, '', '青松乡', 'd48f68c75ee5455abe41baf1eea0bfd9', '9f6dc8f265fa4e36810fec59135105a1', 'True', 'True', 'false', 'false', '513430214000', 4, '青松乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513430214000', 1, '2021-07-19 12:08:38', NULL, NULL), (35541, '', '西河村委会', 'd018e8d377024aaaaf4c62c86a1c0ddd', 'd48f68c75ee5455abe41baf1eea0bfd9', 'False', 'False', 'false', 'false', '513430214070', 5, '西河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430214070', 1, '2021-07-19 12:08:38', NULL, NULL), (35542, '', '色格村委会', 'eab8ade3719941f98be618408220f015', 'd48f68c75ee5455abe41baf1eea0bfd9', 'False', 'False', 'false', 'false', '513430214200', 5, '色格村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430214200', 1, '2021-07-19 12:08:38', NULL, NULL), (35543, '', '中坪村委会', '1e05ed03a7e24c999b69f90aedc8a511', 'd48f68c75ee5455abe41baf1eea0bfd9', 'False', 'False', 'false', 'false', '513430214201', 5, '中坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430214201', 1, '2021-07-19 12:08:38', NULL, NULL), (35544, '', '朗德村委会', 'f6d2ea944abb464e953c1b3c82c624b3', 'd48f68c75ee5455abe41baf1eea0bfd9', 'False', 'False', 'false', 'false', '513430214202', 5, '朗德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430214202', 1, '2021-07-19 12:08:38', NULL, NULL), (35545, '', '白银厂村委会', '612ab38c424240689c7b6f247f2c4e40', 'd48f68c75ee5455abe41baf1eea0bfd9', 'False', 'False', 'false', 'false', '513430214203', 5, '白银厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430214203', 1, '2021-07-19 12:08:38', NULL, NULL), (35546, '', '山江乡', 'c1f552ff1ff440d1821133bb3db4a1f8', '9f6dc8f265fa4e36810fec59135105a1', 'True', 'True', 'false', 'false', '513430217000', 4, '山江乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513430217000', 1, '2021-07-19 12:08:39', NULL, NULL), (35547, '', '金河村委会', '5a282dc6ab974fcc8ddc78f4277610d1', 'c1f552ff1ff440d1821133bb3db4a1f8', 'False', 'True', 'false', 'false', '513430217200', 5, '金河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430217200', 1, '2021-07-19 12:08:39', NULL, NULL), (35548, '', '打罗村委会', '8e69f6cd66fc4476a73b4f4f887998d7', 'c1f552ff1ff440d1821133bb3db4a1f8', 'False', 'True', 'false', 'false', '513430217201', 5, '打罗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430217201', 1, '2021-07-19 12:08:39', NULL, NULL), (35549, '', '梁子村委会', 'ad0f8b6816a24c2c97434d826c30cf77', 'c1f552ff1ff440d1821133bb3db4a1f8', 'False', 'True', 'false', 'false', '513430217202', 5, '梁子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430217202', 1, '2021-07-19 12:08:39', NULL, NULL), (35550, '', '梗堡中心村委会', 'a79de61f1f0f438f83d4c55284f909f2', 'c1f552ff1ff440d1821133bb3db4a1f8', 'False', 'True', 'false', 'false', '513430217367', 5, '梗堡中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430217367', 1, '2021-07-19 12:08:39', NULL, NULL), (35551, '', '洛觉镇', '6b0a249253d94e02b632f22e3331a8b5', '9f6dc8f265fa4e36810fec59135105a1', 'True', 'True', 'false', 'false', '513430218000', 4, '洛觉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513430218000', 1, '2021-07-19 12:08:39', NULL, NULL), (35552, '', '德基村委会', '7c1f1e6e97cf4673b83bfce5380f782a', '6b0a249253d94e02b632f22e3331a8b5', 'False', 'False', 'false', 'false', '513430106187', 5, '德基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430106187', 1, '2021-07-19 12:08:39', NULL, NULL), (35553, '', '向岭中心村委会', '21ef72beadfd429e872cb6ef189c6ecf', '6b0a249253d94e02b632f22e3331a8b5', 'False', 'False', 'false', 'false', '513430106218', 5, '向岭中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430106218', 1, '2021-07-19 12:08:39', NULL, NULL), (35554, '', '谷德中心村委会', '4b9c47e50e34437f93284d212da78bc4', '6b0a249253d94e02b632f22e3331a8b5', 'False', 'False', 'false', 'false', '513430106475', 5, '谷德中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430106475', 1, '2021-07-19 12:08:39', NULL, NULL), (35555, '', '马店村委会', 'e62401980c394fa8835996478be180f8', '6b0a249253d94e02b632f22e3331a8b5', 'False', 'True', 'false', 'false', '513430218200', 5, '马店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430218200', 1, '2021-07-19 12:08:39', NULL, NULL), (35556, '', '侧洛村委会', '554bcfb4f1fc4d559c70e1e18543f8dc', '6b0a249253d94e02b632f22e3331a8b5', 'False', 'True', 'false', 'false', '513430218201', 5, '侧洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430218201', 1, '2021-07-19 12:08:39', NULL, NULL), (35557, '', '坪子村委会', '3a1eb5f0f0154e2db5b430d048c179bc', '6b0a249253d94e02b632f22e3331a8b5', 'False', 'True', 'false', 'false', '513430218202', 5, '坪子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430218202', 1, '2021-07-19 12:08:39', NULL, NULL), (35558, '', '青杆林村委会', '99fb2ae6739049879f086d9e6cee041d', '6b0a249253d94e02b632f22e3331a8b5', 'False', 'True', 'false', 'false', '513430218203', 5, '青杆林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430218203', 1, '2021-07-19 12:08:39', NULL, NULL), (35559, '', '德溪镇', '85a6c94637e24501b964c233261a5c17', '9f6dc8f265fa4e36810fec59135105a1', 'True', 'True', 'false', 'false', '513430223000', 4, '德溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513430223000', 1, '2021-07-19 12:08:39', NULL, NULL), (35560, '', '老寨子中心村委会', 'd32d5c3e42754df7ba81bb0adf706452', '85a6c94637e24501b964c233261a5c17', 'False', 'False', 'false', 'false', '513430107146', 5, '老寨子中心村委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430107146', 1, '2021-07-19 12:08:40', NULL, NULL), (35561, '', '哼里村委会', '60bceab501b84509ae8a312da1b3a34d', '85a6c94637e24501b964c233261a5c17', 'False', 'False', 'false', 'false', '513430107720', 5, '哼里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430107720', 1, '2021-07-19 12:08:40', NULL, NULL), (35562, '', '德姑村委会', 'cd4ca7fe7d5c4e9d948964cd4e3f96f7', '85a6c94637e24501b964c233261a5c17', 'False', 'True', 'false', 'false', '513430223200', 5, '德姑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430223200', 1, '2021-07-19 12:08:40', NULL, NULL), (35563, '', '德渣村', 'e64629c091d945d3bc92b17b9ef79223', '85a6c94637e24501b964c233261a5c17', 'False', 'True', 'false', 'false', '513430223201', 5, '德渣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430223201', 1, '2021-07-19 12:08:40', NULL, NULL), (35564, '', '李子坪村', 'df474f366995432abdcc7725181ba701', '85a6c94637e24501b964c233261a5c17', 'False', 'True', 'false', 'false', '513430223203', 5, '李子坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430223203', 1, '2021-07-19 12:08:40', NULL, NULL), (35565, '', '德惠社区居委会', '88680e5ae78e42c0b3df879521ed39ac', '85a6c94637e24501b964c233261a5c17', 'False', 'True', 'false', 'false', '513430223205', 5, '德惠社区居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430223205', 1, '2021-07-19 12:08:40', NULL, NULL), (35566, '', '色色洛村委会', '0651f6d7e46f4824996a290830111d59', '85a6c94637e24501b964c233261a5c17', 'False', 'True', 'false', 'false', '513430223206', 5, '色色洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430223206', 1, '2021-07-19 12:08:40', NULL, NULL), (35567, '', '南瓦镇', '81f9b20013194bfc8426ed3643fdc9bb', '9f6dc8f265fa4e36810fec59135105a1', 'True', 'True', 'false', 'false', '513430224000', 4, '南瓦镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513430224000', 1, '2021-07-19 12:08:40', NULL, NULL), (35568, '', '丝窝中心村委会', '70a1610ae34148d68142e34a3170d518', '81f9b20013194bfc8426ed3643fdc9bb', 'False', 'True', 'false', 'false', '513430104370', 5, '丝窝中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430104370', 1, '2021-07-19 12:08:40', NULL, NULL), (35569, '', '土沟中心村委会', 'dfefeb7b9e654071baafc1ad8955360b', '81f9b20013194bfc8426ed3643fdc9bb', 'False', 'True', 'false', 'false', '513430104490', 5, '土沟中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430104490', 1, '2021-07-19 12:08:40', NULL, NULL), (35570, '', '依莫合中心村委会', 'a9a61d4f84d34262bddce3388371293f', '81f9b20013194bfc8426ed3643fdc9bb', 'False', 'True', 'false', 'false', '513430104769', 5, '依莫合中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430104769', 1, '2021-07-19 12:08:40', NULL, NULL), (35571, '', '日克地村委会', '5a91fd6145994ea2a99ddc4ac3c47a41', '81f9b20013194bfc8426ed3643fdc9bb', 'False', 'True', 'false', 'false', '513430224200', 5, '日克地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430224200', 1, '2021-07-19 12:08:40', NULL, NULL), (35572, '', '特尔村委会', 'e2527b867a4e468881f2f851a89bef23', '81f9b20013194bfc8426ed3643fdc9bb', 'False', 'True', 'false', 'false', '513430224201', 5, '特尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430224201', 1, '2021-07-19 12:08:41', NULL, NULL), (35573, '', '地洛村委会', '833329cb85af468583488e88b6d23d63', '81f9b20013194bfc8426ed3643fdc9bb', 'False', 'True', 'false', 'false', '513430224202', 5, '地洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430224202', 1, '2021-07-19 12:08:41', NULL, NULL), (35574, '', '书波村委会', '2e89cf43661840e4813770ce9188c8f7', '81f9b20013194bfc8426ed3643fdc9bb', 'False', 'True', 'false', 'false', '513430224203', 5, '书波村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430224203', 1, '2021-07-19 12:08:41', NULL, NULL), (35575, '', '丙底镇', '32605c4413704be9bd6bd7ed09922f23', '9f6dc8f265fa4e36810fec59135105a1', 'True', 'True', 'false', 'false', '513430227000', 4, '丙底镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513430227000', 1, '2021-07-19 12:08:41', NULL, NULL), (35576, '', '丙底洛村委会', 'acb2245edc4542089b385e4acc99ad06', '32605c4413704be9bd6bd7ed09922f23', 'False', 'True', 'false', 'false', '513430227200', 5, '丙底洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430227200', 1, '2021-07-19 12:08:41', NULL, NULL), (35577, '', '沙洛依达村委会', 'd619e207d1a344c7aab4bbcd6fb8d557', '32605c4413704be9bd6bd7ed09922f23', 'False', 'True', 'false', 'false', '513430227202', 5, '沙洛依达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430227202', 1, '2021-07-19 12:08:41', NULL, NULL), (35578, '', '依达中心村委会', 'b9ac31bf470e4c93bd63eed96ab0ecbf', '32605c4413704be9bd6bd7ed09922f23', 'False', 'True', 'false', 'false', '513430227203', 5, '依达中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430227203', 1, '2021-07-19 12:08:41', NULL, NULL), (35579, '', '打古洛村委会', 'b098310799d14a8b9a466864d2491da7', '32605c4413704be9bd6bd7ed09922f23', 'False', 'True', 'false', 'false', '513430227204', 5, '打古洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513430227204', 1, '2021-07-19 12:08:41', NULL, NULL), (35580, '', '雷波县', '5b1b724027b04cbd98a8759549ad4aae', '5dd8920407b943de983b9b9f6f9dc6c7', 'True', 'True', 'false', 'false', '513437000000', 3, '雷波县', 'lszlbx.sczwfw.gov.cn', 1, '2021-07-19 12:08:41', NULL, NULL), (35581, '', '锦城镇', '29c745ec71c541e4b0165a1111025336', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437441000', 4, '锦城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437441000', 1, '2021-07-19 12:08:41', NULL, NULL), (35582, '', '西宁镇', '4da555b4ed4244279069fff066b445f7', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437128000', 4, '西宁镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437128000', 1, '2021-07-19 12:08:41', NULL, NULL), (35583, '', '汶水镇', '71c5105daeb24ba2853e94a6733dfae9', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437762000', 4, '汶水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437762000', 1, '2021-07-19 12:08:41', NULL, NULL), (35584, '', '黄琅镇', '129ab83c3471437d83cd745332af88b5', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437681000', 4, '黄琅镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437681000', 1, '2021-07-19 12:08:41', NULL, NULL), (35585, '', '金沙镇', '85cb4e8386614a20b735e5343d2f25bc', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437345000', 4, '金沙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437345000', 1, '2021-07-19 12:08:41', NULL, NULL), (35586, '', '永盛镇', 'c9784545a4e14b98a54f446a34dde14d', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437202000', 4, '永盛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437202000', 1, '2021-07-19 12:08:42', NULL, NULL), (35587, '', '渡口镇', '77b709fe074e482bbcce1c55da50ac6e', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437929000', 4, '渡口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437929000', 1, '2021-07-19 12:08:42', NULL, NULL), (35588, '', '马颈子镇', '7b1f97bdba8c408a93127caa25ce59e4', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437791000', 4, '马颈子镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437791000', 1, '2021-07-19 12:08:42', NULL, NULL), (35589, '', '上田坝镇', '58a2f7a2649e4440a450779d44e6ff8b', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437593000', 4, '上田坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437593000', 1, '2021-07-19 12:08:42', NULL, NULL), (35590, '', '瓦岗镇', 'b0abd669485b4a1d96416eba3fdc248c', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437719000', 4, '瓦岗镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437719000', 1, '2021-07-19 12:08:42', NULL, NULL), (35591, '', '宝山镇', '638849edc77643b8afc60929fc1e1b11', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437432000', 4, '宝山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437432000', 1, '2021-07-19 12:08:42', NULL, NULL), (35592, '', '箐口乡', 'b96922bdcbdb405db96ed21c73c467ac', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437244000', 4, '箐口乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437244000', 1, '2021-07-19 12:08:42', NULL, NULL), (35593, '', '柑子乡', '35b6087d7be449d9b5b23484c5ffd8a6', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437152000', 4, '柑子乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437152000', 1, '2021-07-19 12:08:42', NULL, NULL), (35594, '', '桂花乡', '959976f2231340928b3fff91c60a4d75', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437510000', 4, '桂花乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437510000', 1, '2021-07-19 12:08:42', NULL, NULL), (35595, '', '山棱岗乡', '492cb8a88a304b3a9375e7ef5bc89857', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437843000', 4, '山棱岗乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437843000', 1, '2021-07-19 12:08:42', NULL, NULL), (35596, '', '谷堆乡', '80402888d8ce4798b6542f4cebe21c2a', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437164000', 4, '谷堆乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437164000', 1, '2021-07-19 12:08:42', NULL, NULL), (35597, '', '拉咪乡', '343928a890204a87b5aa88e8efc5856c', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437585000', 4, '拉咪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437585000', 1, '2021-07-19 12:08:42', NULL, NULL), (35598, '', '千万贯乡', '694826caae6f4603accc2aaed74a34a7', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437151000', 4, '千万贯乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437151000', 1, '2021-07-19 12:08:42', NULL, NULL), (35599, '', '莫红乡', '4b88586d6af04e4ab22f2870345606e5', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437612000', 4, '莫红乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437612000', 1, '2021-07-19 12:08:42', NULL, NULL), (35600, '', '卡哈洛乡', '2291128deaff4ab89e87df94e86ac584', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437317000', 4, '卡哈洛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437317000', 1, '2021-07-19 12:08:43', NULL, NULL), (35601, '', '巴姑乡', '979d2b77beec4e60bd7df9388f1500e7', '5b1b724027b04cbd98a8759549ad4aae', 'False', 'True', 'false', 'false', '513437324000', 4, '巴姑乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513437324000', 1, '2021-07-19 12:08:43', NULL, NULL), (35602, '', '美姑县', 'bcf4420d9dd94135ae64c0b7142676b7', '5dd8920407b943de983b9b9f6f9dc6c7', 'True', 'True', 'true', 'true', '513436000000', 3, '美姑县', 'lszmgx.sczwfw.gov.cn', 1, '2021-07-19 12:08:43', NULL, NULL), (35603, '', '拉马镇', '1d53d1914684412884140701e588db33', 'bcf4420d9dd94135ae64c0b7142676b7', 'False', 'True', 'false', 'false', '513436097000', 4, '拉马镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513436097000', 1, '2021-07-19 12:08:43', NULL, NULL), (35604, '', '瓦候乡', 'ecc891918b5a4c6a932f1674687752fe', 'bcf4420d9dd94135ae64c0b7142676b7', 'False', 'True', 'false', 'false', '513436234000', 4, '瓦候乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513436234000', 1, '2021-07-19 12:08:43', NULL, NULL), (35605, '', '典补乡', '52212cccdc664a51bd494ec2daa06d22', 'bcf4420d9dd94135ae64c0b7142676b7', 'False', 'True', 'false', 'false', '513436208000', 4, '典补乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513436208000', 1, '2021-07-19 12:08:43', NULL, NULL), (35606, '', '新桥镇', '3a8916e29dc54b33bd3ad9aae68c93f2', 'bcf4420d9dd94135ae64c0b7142676b7', 'False', 'True', 'false', 'false', '513436205000', 4, '新桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513436205000', 1, '2021-07-19 12:08:43', NULL, NULL), (35607, '', '合姑洛乡', '94424b0c92ec4280bac3b5fa345f9746', 'bcf4420d9dd94135ae64c0b7142676b7', 'False', 'True', 'false', 'false', '513436202000', 4, '合古洛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513436202000', 1, '2021-07-19 12:08:43', NULL, NULL), (35608, '', '洪溪镇', '18cb8c6692fa49fb93614def0fff9cad', 'bcf4420d9dd94135ae64c0b7142676b7', 'False', 'True', 'false', 'false', '513436230000', 4, '洪溪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513436230000', 1, '2021-07-19 12:08:43', NULL, NULL), (35609, '', '巴普镇', 'cded05afe13448a6beb9adfa160b4717', 'bcf4420d9dd94135ae64c0b7142676b7', 'False', 'True', 'false', 'false', '513436100000', 4, '巴普镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513436100000', 1, '2021-07-19 12:08:43', NULL, NULL), (35610, '', '觉洛乡', 'd199c589f2344c2a907e0fd140d1d182', 'bcf4420d9dd94135ae64c0b7142676b7', 'False', 'True', 'false', 'false', '513436200000', 4, '觉洛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513436200000', 1, '2021-07-19 12:08:43', NULL, NULL), (35611, '', '井叶特西乡', '65f5eb50ce5d461a886ee9bc9a3b08ff', 'bcf4420d9dd94135ae64c0b7142676b7', 'False', 'True', 'false', 'false', '513436201000', 4, '井叶特西乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513436201000', 1, '2021-07-19 12:08:43', NULL, NULL), (35612, '', '牛牛坝镇', '7c1b569141ca4fa7b64c7280dedf8b11', 'bcf4420d9dd94135ae64c0b7142676b7', 'False', 'True', 'false', 'false', '513436210000', 4, '牛牛坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513436210000', 1, '2021-07-19 12:08:43', NULL, NULL), (35613, '', '候古莫镇', '6837d4eeba034a258d1649865b50e2fe', 'bcf4420d9dd94135ae64c0b7142676b7', 'False', 'True', 'false', 'false', '513436213000', 4, '候古莫镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513436213000', 1, '2021-07-19 12:08:43', NULL, NULL), (35614, '', '候播乃拖镇', '76dffdd5ae814fb0935645016f38490c', 'bcf4420d9dd94135ae64c0b7142676b7', 'False', 'True', 'false', 'false', '513436214000', 4, '候播乃拖镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513436214000', 1, '2021-07-19 12:08:43', NULL, NULL), (35615, '', '九口乡', 'f185d93ded534966ad794e995ae72725', 'bcf4420d9dd94135ae64c0b7142676b7', 'False', 'True', 'false', 'false', '513436217000', 4, '九口乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513436217000', 1, '2021-07-19 12:08:43', NULL, NULL), (35616, '', '洛俄依甘乡', '33001d0dead84bf3991b611cf151f2d1', 'bcf4420d9dd94135ae64c0b7142676b7', 'False', 'True', 'false', 'false', '513436218000', 4, '洛俄依甘乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513436218000', 1, '2021-07-19 12:08:44', NULL, NULL), (35617, '', '柳洪乡', 'e58e41b4065a469b92c401c8a9bcf4a4', 'bcf4420d9dd94135ae64c0b7142676b7', 'False', 'True', 'false', 'false', '513436221000', 4, '柳洪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513436221000', 1, '2021-07-19 12:08:44', NULL, NULL), (35618, '', '峨曲古乡', 'a3c5ae7bbc5b49c38066b5070af95146', 'bcf4420d9dd94135ae64c0b7142676b7', 'False', 'True', 'false', 'false', '513436225000', 4, '峨曲古乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513436225000', 1, '2021-07-19 12:08:44', NULL, NULL), (35619, '', '龙门乡', 'a9eb981ed0104ab48163d94211065254', 'bcf4420d9dd94135ae64c0b7142676b7', 'False', 'True', 'false', 'false', '513436229000', 4, '龙门乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513436229000', 1, '2021-07-19 12:08:44', NULL, NULL), (35620, '', '洒库乡', 'e165fad9a5154f55bfd0914f7c1c6cc5', 'bcf4420d9dd94135ae64c0b7142676b7', 'False', 'True', 'false', 'false', '513436231000', 4, '洒库乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513436231000', 1, '2021-07-19 12:08:44', NULL, NULL), (35621, '', '甘洛县', 'c10e1ff4028e49c9a590c98805bea4fd', '5dd8920407b943de983b9b9f6f9dc6c7', 'True', 'True', 'false', 'false', '513435000000', 3, '甘洛县', 'lszglx.sczwfw.gov.cn', 1, '2021-07-19 12:08:44', NULL, NULL), (35622, '', '苏雄镇', '1d32aadf2d1444dfa4cc5c8d24643d96', 'c10e1ff4028e49c9a590c98805bea4fd', 'False', 'True', 'false', 'false', '513435567000', 4, '苏雄镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513435567000', 1, '2021-07-19 12:08:44', NULL, NULL), (35623, '', '沙岱乡', 'a9bdde87a9574577bb6067e52cdd9f0f', 'c10e1ff4028e49c9a590c98805bea4fd', 'False', 'True', 'false', 'false', '513435017000', 4, '沙岱乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513435017000', 1, '2021-07-19 12:08:44', NULL, NULL), (35624, '', '嘎日乡', 'cf25546c3ed54ef3bf9f3ec1f0b0ba75', 'c10e1ff4028e49c9a590c98805bea4fd', 'False', 'True', 'false', 'false', '513435046000', 4, '嘎日乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513435046000', 1, '2021-07-19 12:08:44', NULL, NULL), (35625, '', '斯觉镇', '1aaacf232dc84e66983eb8641d25c541', 'c10e1ff4028e49c9a590c98805bea4fd', 'False', 'True', 'false', 'false', '513435193000', 4, '斯觉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513435193000', 1, '2021-07-19 12:08:44', NULL, NULL), (35626, '', '海棠镇', 'a19fff0beb45466eb623b4c4278f8fb3', 'c10e1ff4028e49c9a590c98805bea4fd', 'False', 'True', 'false', 'false', '513435199000', 4, '海棠镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513435199000', 1, '2021-07-19 12:08:44', NULL, NULL), (35627, '', '乌史大桥镇', 'c3d5f17ca29244aaafde3903921a024a', 'c10e1ff4028e49c9a590c98805bea4fd', 'False', 'True', 'false', 'false', '513435448000', 4, '乌史大桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513435448000', 1, '2021-07-19 12:08:44', NULL, NULL), (35628, '', '普昌镇', 'd6cedddc99c44d1abd3e7a07a4856cd5', 'c10e1ff4028e49c9a590c98805bea4fd', 'False', 'True', 'false', 'false', '513435452000', 4, '普昌镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513435452000', 1, '2021-07-19 12:08:44', NULL, NULL), (35629, '', '玉田镇', 'fddafb8a2b564e908a57272de36ca2a1', 'c10e1ff4028e49c9a590c98805bea4fd', 'False', 'True', 'false', 'false', '513435633000', 4, '玉田镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513435633000', 1, '2021-07-19 12:08:44', NULL, NULL), (35630, '', '团结乡', '71c5bb9b14fd4857bb21a3105d721bc6', 'c10e1ff4028e49c9a590c98805bea4fd', 'False', 'True', 'false', 'false', '513435743000', 4, '团结乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513435743000', 1, '2021-07-19 12:08:44', NULL, NULL), (35631, '', '新茶乡', 'db670d64613b4604978bbaa322e5da93', 'c10e1ff4028e49c9a590c98805bea4fd', 'False', 'True', 'false', 'false', '513435792000', 4, '新茶乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513435792000', 1, '2021-07-19 12:08:45', NULL, NULL), (35632, '', '吉米镇', '13aa962584414c419f1402b27bf0951c', 'c10e1ff4028e49c9a590c98805bea4fd', 'False', 'True', 'false', 'false', '513435909000', 4, '吉米镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513435909000', 1, '2021-07-19 12:08:45', NULL, NULL), (35633, '', '新市坝镇', 'f68d5973e66d41a5aa84dcca78e1bb2d', 'c10e1ff4028e49c9a590c98805bea4fd', 'False', 'True', 'false', 'false', '513435930000', 4, '新市坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513435930000', 1, '2021-07-19 12:08:45', NULL, NULL), (35634, '', '田坝镇', 'ab4dc840c7fe4e80b2c7fba67ed00d6d', 'c10e1ff4028e49c9a590c98805bea4fd', 'False', 'True', 'false', 'false', '513435987000', 4, '田坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513435987000', 1, '2021-07-19 12:08:45', NULL, NULL), (35635, '', '越西县', '8e28b12e5c2f4608bb46cf2958d785c2', '5dd8920407b943de983b9b9f6f9dc6c7', 'True', 'True', 'false', 'false', '513434000000', 3, '越西县', 'lszyxx.sczwfw.gov.cn', 1, '2021-07-19 12:08:45', NULL, NULL), (35636, '', '越城镇', 'bcac995060c449e99e999fd4b4d04e74', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434100000', 4, '越城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434100000', 1, '2021-07-19 12:08:45', NULL, NULL), (35637, '', '城西村委会', '195e900992a442b4b3bfd505ace1ac28', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'False', 'false', 'false', '513434100198', 5, '城西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100198', 1, '2021-07-19 12:08:45', NULL, NULL), (35638, '', '西城社区', '96eae7dc6c764a358b3160e6a5aa9a21', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'True', 'false', 'false', '513434100002', 5, '西城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100002', 1, '2021-07-19 12:08:45', NULL, NULL), (35639, '', '东城社区', '901024e5776449b3bf0d6da38f4bd651', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'True', 'false', 'false', '513434100003', 5, '东城社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100003', 1, '2021-07-19 12:08:45', NULL, NULL), (35640, '', '外南村委会', '91c8c418d2554d13bb73ed239fcd0989', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'True', 'false', 'false', '513434100200', 5, '外南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100200', 1, '2021-07-19 12:08:45', NULL, NULL), (35641, '', '外南村委会', '62f39c8cbf864c6db79792cebf662f47', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'True', 'false', 'false', '513434100201', 5, '外南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100201', 1, '2021-07-19 12:08:45', NULL, NULL), (35642, '', '城南村委会', 'a380b09e4d884c2582fef62111773233', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'True', 'false', 'false', '513434100202', 5, '城南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100202', 1, '2021-07-19 12:08:45', NULL, NULL), (35643, '', '城关村委会', '4684ed58d1e143309ff4803ba04ac79b', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'True', 'false', 'false', '513434100203', 5, '城关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100203', 1, '2021-07-19 12:08:45', NULL, NULL), (35644, '', '城北感恩社区居委会', '4ecb65d4ce434fb7861ef8d0a35f719a', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'True', 'false', 'false', '513434100204', 5, '城北感恩社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100204', 1, '2021-07-19 12:08:45', NULL, NULL), (35645, '', '城北村委会', '7e151b8b062d4269a2cfb284ba6ad8da', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'True', 'false', 'false', '513434100205', 5, '城北村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100205', 1, '2021-07-19 12:08:45', NULL, NULL), (35646, '', '城东村委会', 'd152f7fa05a8427bb444a6bd7ff06876', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'True', 'false', 'false', '513434100206', 5, '城东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100206', 1, '2021-07-19 12:08:46', NULL, NULL), (35647, '', '青龙村委会', '9c11a1b3e0cf4d46ac675f3eb7e392fa', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'True', 'false', 'false', '513434100207', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100207', 1, '2021-07-19 12:08:46', NULL, NULL), (35648, '', '新村村委会', '2566679321584f1499a0072a1ca68faf', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'True', 'false', 'false', '513434100208', 5, '新村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100208', 1, '2021-07-19 12:08:46', NULL, NULL), (35649, '', '沙沙普村委会', 'e7e05731cf1845e79e1faf3a4da15ddd', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'True', 'false', 'false', '513434100209', 5, '沙沙普村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100209', 1, '2021-07-19 12:08:46', NULL, NULL), (35650, '', '大坪村委会', 'dfe89ccb93a94b0493d01da629601652', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'True', 'false', 'false', '513434100210', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100210', 1, '2021-07-19 12:08:46', NULL, NULL), (35651, '', '西山村委会', '789467e7ad37409ea1e9aa86b5fbcf3b', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'True', 'false', 'false', '513434100211', 5, '西山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100211', 1, '2021-07-19 12:08:46', NULL, NULL), (35652, '', '白马村委会', 'b4192b63533043da85cd887aabb29c5c', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'False', 'false', 'false', '513434100484', 5, '白马村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100484', 1, '2021-07-19 12:08:46', NULL, NULL), (35653, '', '大块村委会', 'd235990b996a48319419025931824808', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'False', 'false', 'false', '513434100583', 5, '大块村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100583', 1, '2021-07-19 12:08:46', NULL, NULL), (35654, '', '山洪村委会', 'bd703a8e004e416e8d7fe86d6c030111', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'False', 'false', 'false', '513434100033', 5, '山洪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100033', 1, '2021-07-19 12:08:46', NULL, NULL), (35655, '', '马母果村委会', 'bdf6b950816c4bf4aa52a4ac29bb2f9c', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'False', 'false', 'false', '513434100853', 5, '马母果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100853', 1, '2021-07-19 12:08:46', NULL, NULL), (35656, '', '河东村委会', 'acc98f101a014a32afe3cf08fd5c8120', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'False', 'false', 'false', '513434100031', 5, '河东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100031', 1, '2021-07-19 12:08:46', NULL, NULL), (35657, '', '新普村委会', '835b1f98d81b4c59a719e09d70bb6209', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'False', 'false', 'false', '513434100028', 5, '新普村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100028', 1, '2021-07-19 12:08:46', NULL, NULL), (35658, '', '金光村委会', '4d7b199916c64516895f514a1c35c9e4', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'False', 'false', 'false', '513434100774', 5, '金光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100774', 1, '2021-07-19 12:08:46', NULL, NULL), (35659, '', '小碉村委会', '19ad5e769209441eb11434c441bd3f13', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'False', 'false', 'false', '513434100142', 5, '小碉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100142', 1, '2021-07-19 12:08:46', NULL, NULL), (35660, '', '东红村委会', '79e2d18290df4f6b80a19cd226cc1481', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'False', 'false', 'false', '513434100985', 5, '东红村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100985', 1, '2021-07-19 12:08:46', NULL, NULL), (35661, '', '友邻村委会', '9682bb83d0ab45b4a4cdddc0abd80017', 'bcac995060c449e99e999fd4b4d04e74', 'False', 'False', 'false', 'false', '513434100527', 5, '友邻村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434100527', 1, '2021-07-19 12:08:46', NULL, NULL), (35662, '', '中所镇', '2280fa8fdb0841cfb15d862bdf0df618', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434101000', 4, '中所镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434101000', 1, '2021-07-19 12:08:46', NULL, NULL), (35663, '', '和平村委会', '5417d63c77844f06bda784f5f8745fe4', '2280fa8fdb0841cfb15d862bdf0df618', 'False', 'False', 'false', 'false', '513434101607', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434101607', 1, '2021-07-19 12:08:46', NULL, NULL), (35664, '', '新大街社区居委会', '84362fa066b94cbc9b1fdd7f2d787399', '2280fa8fdb0841cfb15d862bdf0df618', 'False', 'True', 'false', 'false', '513434101001', 5, '新大街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434101001', 1, '2021-07-19 12:08:46', NULL, NULL), (35665, '', '蚂蝗沟村委会', 'b7b7cd3a092442e48ef5515249f6f8ae', '2280fa8fdb0841cfb15d862bdf0df618', 'False', 'True', 'false', 'false', '513434101200', 5, '蚂蝗沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434101200', 1, '2021-07-19 12:08:47', NULL, NULL), (35666, '', '陶家营村委会', 'c4b3ec4133884487a4b8ea84a98ca95b', '2280fa8fdb0841cfb15d862bdf0df618', 'False', 'True', 'false', 'false', '513434101201', 5, '陶家营村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434101201', 1, '2021-07-19 12:08:47', NULL, NULL), (35667, '', '东山村委会', 'b8b3d1e53c234e97b08875715a1a8fe7', '2280fa8fdb0841cfb15d862bdf0df618', 'False', 'True', 'false', 'false', '513434101202', 5, '东山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434101202', 1, '2021-07-19 12:08:47', NULL, NULL), (35668, '', '龙泉村委会', 'e9252d857c8a4b46b93bf7a6c9decabb', '2280fa8fdb0841cfb15d862bdf0df618', 'False', 'True', 'false', 'false', '513434101204', 5, '龙泉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434101204', 1, '2021-07-19 12:08:47', NULL, NULL), (35669, '', '零关村委会', '2d8f3d7b30264fd9a73da7c8e0c3debf', '2280fa8fdb0841cfb15d862bdf0df618', 'False', 'True', 'false', 'false', '513434101205', 5, '零关村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434101205', 1, '2021-07-19 12:08:47', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (35670, '', '泸林村委会', '00d0bc55556a41d4ab28fbcccd9371c2', '2280fa8fdb0841cfb15d862bdf0df618', 'False', 'True', 'false', 'false', '513434101207', 5, '泸林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434101207', 1, '2021-07-19 12:08:47', NULL, NULL), (35671, '', '泸埝村委会', 'c35fe3fdc6f745f993da8dbb887067e1', '2280fa8fdb0841cfb15d862bdf0df618', 'False', 'True', 'false', 'false', '513434101208', 5, '泸埝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434101208', 1, '2021-07-19 12:08:47', NULL, NULL), (35672, '', '五里牌村委会', '94f818456f4843b498252f48034d7ab9', '2280fa8fdb0841cfb15d862bdf0df618', 'False', 'True', 'false', 'false', '513434101211', 5, '五里牌村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434101211', 1, '2021-07-19 12:08:47', NULL, NULL), (35673, '', '新民镇', '1f309009f3a14206bd7f9f19f0041e4e', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434102000', 4, '新民镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434102000', 1, '2021-07-19 12:08:47', NULL, NULL), (35674, '', '华阳村委会', '8535bcbd08464ea1ae4419219faf196f', '1f309009f3a14206bd7f9f19f0041e4e', 'False', 'False', 'false', 'false', '513434102478', 5, '华阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434102478', 1, '2021-07-19 12:08:47', NULL, NULL), (35675, '', '高桥村委会', '9793320e4522408bb4c9031844f2471d', '1f309009f3a14206bd7f9f19f0041e4e', 'False', 'False', 'false', 'false', '513434102582', 5, '高桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434102582', 1, '2021-07-19 12:08:47', NULL, NULL), (35676, '', '大营盘村委会', '52e5caf8180e47069b4d0dbb267ec89f', '1f309009f3a14206bd7f9f19f0041e4e', 'False', 'False', 'false', 'false', '513434102599', 5, '大营盘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434102599', 1, '2021-07-19 12:08:47', NULL, NULL), (35677, '', '大屯村委会', '6c0d8e8f30a44b30bd364e0a871118af', '1f309009f3a14206bd7f9f19f0041e4e', 'False', 'False', 'false', 'false', '513434102705', 5, '大屯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434102705', 1, '2021-07-19 12:08:47', NULL, NULL), (35678, '', '新民村委会', '05b4164f9a2a4928a85e3cb7973e6d88', '1f309009f3a14206bd7f9f19f0041e4e', 'False', 'True', 'false', 'false', '513434102200', 5, '新民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434102200', 1, '2021-07-19 12:08:47', NULL, NULL), (35679, '', '新市村委会', 'df16243ccb2c40edacc09aaf3512e55e', '1f309009f3a14206bd7f9f19f0041e4e', 'False', 'True', 'false', 'false', '513434102201', 5, '新市村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434102201', 1, '2021-07-19 12:08:47', NULL, NULL), (35680, '', '新建村委会', '007c5554cdf04fd3a5d564fc9eadb80d', '1f309009f3a14206bd7f9f19f0041e4e', 'False', 'True', 'false', 'false', '513434102202', 5, '新建村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434102202', 1, '2021-07-19 12:08:47', NULL, NULL), (35681, '', '大寨村委会', 'fa2560f4c7194a2ea1d593054b01b934', '1f309009f3a14206bd7f9f19f0041e4e', 'False', 'True', 'false', 'false', '513434102203', 5, '大寨村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434102203', 1, '2021-07-19 12:08:48', NULL, NULL), (35682, '', '彩林村委会', '0144f310955b425f8d23ce8909cd8504', '1f309009f3a14206bd7f9f19f0041e4e', 'False', 'True', 'false', 'false', '513434102204', 5, '彩林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434102204', 1, '2021-07-19 12:08:48', NULL, NULL), (35683, '', '五福村委会', '0dee95d09c2c4a28888a1fdee31e571c', '1f309009f3a14206bd7f9f19f0041e4e', 'False', 'True', 'false', 'false', '513434102205', 5, '五福村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434102205', 1, '2021-07-19 12:08:48', NULL, NULL), (35684, '', '乃托镇', '8dedf31c1a314c39a7985c4d86ce612e', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434103000', 4, '乃托镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434103000', 1, '2021-07-19 12:08:48', NULL, NULL), (35685, '', '乃托社区居委会', '8cee3184bf9346959420db59f4cda40d', '8dedf31c1a314c39a7985c4d86ce612e', 'False', 'True', 'false', 'false', '513434103001', 5, '乃托社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434103001', 1, '2021-07-19 12:08:48', NULL, NULL), (35686, '', '乃托村委会', '1ec03f7e15534596ad927214afbedd1d', '8dedf31c1a314c39a7985c4d86ce612e', 'False', 'True', 'false', 'false', '513434103200', 5, '乃托村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434103200', 1, '2021-07-19 12:08:48', NULL, NULL), (35687, '', '白石村委会', 'd6896a142ca545328a2c46bc2802de29', '8dedf31c1a314c39a7985c4d86ce612e', 'False', 'True', 'false', 'false', '513434103201', 5, '白石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434103201', 1, '2021-07-19 12:08:48', NULL, NULL), (35688, '', '莫洛村委会', 'ddce17d1a2bc4675ab95962dee674e75', '8dedf31c1a314c39a7985c4d86ce612e', 'False', 'True', 'false', 'false', '513434103202', 5, '莫洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434103202', 1, '2021-07-19 12:08:48', NULL, NULL), (35689, '', '红光村委会', '443e819a42724d4fae2a88d70d427a80', '8dedf31c1a314c39a7985c4d86ce612e', 'False', 'True', 'false', 'false', '513434103203', 5, '红光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434103203', 1, '2021-07-19 12:08:48', NULL, NULL), (35690, '', '觉林村委会', '46f9c407c52441deb536fa40d3a8e772', '8dedf31c1a314c39a7985c4d86ce612e', 'False', 'True', 'false', 'false', '513434103204', 5, '觉林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434103204', 1, '2021-07-19 12:08:48', NULL, NULL), (35691, '', '新华村委会', 'e75c82e0acca4a3d890d45ecb6dba05c', '8dedf31c1a314c39a7985c4d86ce612e', 'False', 'False', 'false', 'false', '513434103205', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434103205', 1, '2021-07-19 12:08:48', NULL, NULL), (35692, '', '普雄镇', 'fc657887768d426f92e494ea76a45787', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434104000', 4, '普雄镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434104000', 1, '2021-07-19 12:08:48', NULL, NULL), (35693, '', '阳光社区居委会', '2975cf0ae9174c4387e7e129fc726c8f', 'fc657887768d426f92e494ea76a45787', 'False', 'False', 'false', 'false', '513434104601', 5, '阳光社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434104601', 1, '2021-07-19 12:08:48', NULL, NULL), (35694, '', '瓦吉木社区居委会', '07f71b26c3ec4cc7996bf384c2f952da', 'fc657887768d426f92e494ea76a45787', 'False', 'True', 'false', 'false', '513434104002', 5, '瓦吉木社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434104002', 1, '2021-07-19 12:08:48', NULL, NULL), (35695, '', '瓦吉木村委会', '8ab8d175a4ee41a4af383e0c4116e3fe', 'fc657887768d426f92e494ea76a45787', 'False', 'True', 'false', 'false', '513434104201', 5, '瓦吉木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434104201', 1, '2021-07-19 12:08:48', NULL, NULL), (35696, '', '呷古村', '0d86844cf7894318a596f35b058ed922', 'fc657887768d426f92e494ea76a45787', 'False', 'True', 'false', 'false', '513434104202', 5, '呷古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434104202', 1, '2021-07-19 12:08:49', NULL, NULL), (35697, '', '呷古村委会', '10c9a25f83664325ad287973a7a36563', 'fc657887768d426f92e494ea76a45787', 'False', 'True', 'false', 'false', '513434104203', 5, '呷古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434104203', 1, '2021-07-19 12:08:49', NULL, NULL), (35698, '', '德吉村委会', '6b94f1c28ed745ae9ee1030b00d4494e', 'fc657887768d426f92e494ea76a45787', 'False', 'False', 'false', 'false', '513434104204', 5, '德吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434104204', 1, '2021-07-19 12:08:49', NULL, NULL), (35699, '', '且拖村委会', '85fa273c7f7849f28c91e6890b6487ec', 'fc657887768d426f92e494ea76a45787', 'False', 'True', 'false', 'false', '513434104205', 5, '且拖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434104205', 1, '2021-07-19 12:08:49', NULL, NULL), (35700, '', '沙米村', '0481ac60b51c4cf5b655f70055ff7103', 'fc657887768d426f92e494ea76a45787', 'False', 'True', 'false', 'false', '513434104206', 5, '沙米村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434104206', 1, '2021-07-19 12:08:49', NULL, NULL), (35701, '', '沙米村委会', '2518adbc3ed74245a69192e12c1c0b75', 'fc657887768d426f92e494ea76a45787', 'False', 'True', 'false', 'false', '513434104207', 5, '沙米村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434104207', 1, '2021-07-19 12:08:49', NULL, NULL), (35702, '', '尔各村委会', '0ccbc7094ad54f30831b55141c301692', 'fc657887768d426f92e494ea76a45787', 'False', 'True', 'false', 'false', '513434104208', 5, '尔各村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434104208', 1, '2021-07-19 12:08:49', NULL, NULL), (35703, '', '曲可地村委会', '52edfc14962048c484011e612f2a6cec', 'fc657887768d426f92e494ea76a45787', 'False', 'True', 'false', 'false', '513434104209', 5, '曲可地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434104209', 1, '2021-07-19 12:08:49', NULL, NULL), (35704, '', '呷拖村委会', 'b68aae29f7104fadb94e0cae04cb6acf', 'fc657887768d426f92e494ea76a45787', 'False', 'True', 'false', 'false', '513434104210', 5, '呷拖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434104210', 1, '2021-07-19 12:08:49', NULL, NULL), (35705, '', '阳坡村委会', 'b5e6968a18aa4c70af9bce9c7395b4d5', 'fc657887768d426f92e494ea76a45787', 'False', 'True', 'false', 'false', '513434104211', 5, '阳坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434104211', 1, '2021-07-19 12:08:49', NULL, NULL), (35706, '', '大瑞镇', 'afa74c25804d4ba3bbf6858361bad5f6', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434105000', 4, '大瑞镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434105000', 1, '2021-07-19 12:08:49', NULL, NULL), (35707, '', '友谊村委会', 'e03b26085247481ba1cbc854184cf335', 'afa74c25804d4ba3bbf6858361bad5f6', 'False', 'False', 'false', 'false', '513434105304', 5, '友谊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434105304', 1, '2021-07-19 12:08:49', NULL, NULL), (35708, '', '甘河坝村委会', 'a0b207c71eee48b184b8427d169c03d7', 'afa74c25804d4ba3bbf6858361bad5f6', 'False', 'False', 'false', 'false', '513434105791', 5, '甘河坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434105791', 1, '2021-07-19 12:08:49', NULL, NULL), (35709, '', '瑞青村委会', '8a730a80c9c344919f07f5545c363b5e', 'afa74c25804d4ba3bbf6858361bad5f6', 'False', 'False', 'false', 'false', '513434105536', 5, '瑞青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434105536', 1, '2021-07-19 12:08:49', NULL, NULL), (35710, '', '挖布村委会', '74949b1ca0d241ff903caa913fa4dfe4', 'afa74c25804d4ba3bbf6858361bad5f6', 'False', 'False', 'false', 'false', '513434105564', 5, '挖布村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434105564', 1, '2021-07-19 12:08:50', NULL, NULL), (35711, '', '瑞城村委会', '02f43b5d98e44e0598d2f8558e16875d', 'afa74c25804d4ba3bbf6858361bad5f6', 'False', 'False', 'false', 'false', '513434105615', 5, '瑞城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434105615', 1, '2021-07-19 12:08:50', NULL, NULL), (35712, '', '郑家湾村委会', '7b16e618da194218a32ed19246800854', 'afa74c25804d4ba3bbf6858361bad5f6', 'False', 'False', 'false', 'false', '513434105826', 5, '郑家湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434105826', 1, '2021-07-19 12:08:50', NULL, NULL), (35713, '', '瑞联村委会', '638ee3c8f784439a87b21e20b44026c8', 'afa74c25804d4ba3bbf6858361bad5f6', 'False', 'False', 'false', 'false', '513434105837', 5, '瑞联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434105837', 1, '2021-07-19 12:08:50', NULL, NULL), (35714, '', '林沟村委会', 'dec4962e7b1a4636ad4ae427fd5e05d9', 'afa74c25804d4ba3bbf6858361bad5f6', 'False', 'False', 'false', 'false', '513434105923', 5, '林沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434105923', 1, '2021-07-19 12:08:50', NULL, NULL), (35715, '', '竹阿觉镇', '021dfdf956ef4ae0907ef32973075343', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434106000', 4, '竹阿觉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434106000', 1, '2021-07-19 12:08:50', NULL, NULL), (35716, '', '如宝村委会', '2ff8bb1d12ea4a2e88359d0a20401494', '021dfdf956ef4ae0907ef32973075343', 'False', 'False', 'false', 'false', '513434106476', 5, '如宝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434106476', 1, '2021-07-19 12:08:50', NULL, NULL), (35717, '', '克里村委会', '6c3b85222eac4560baee03de9bfe03ce', '021dfdf956ef4ae0907ef32973075343', 'False', 'False', 'false', 'false', '513434106098', 5, '克里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434106098', 1, '2021-07-19 12:08:50', NULL, NULL), (35718, '', '呷拖村委会', '8ae2fa1cf1544383956c3b2ac9356367', '021dfdf956ef4ae0907ef32973075343', 'False', 'False', 'false', 'false', '513434106516', 5, '呷拖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434106516', 1, '2021-07-19 12:08:50', NULL, NULL), (35719, '', '保石村委会', '04465415ec0840439050a1564aba7f4e', '021dfdf956ef4ae0907ef32973075343', 'False', 'False', 'false', 'false', '513434106346', 5, '保石村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434106346', 1, '2021-07-19 12:08:50', NULL, NULL), (35720, '', '洛木村委会', '7a4dae28b6cc4e3e8d4902d8247089ff', '021dfdf956ef4ae0907ef32973075343', 'False', 'False', 'false', 'false', '513434106556', 5, '洛木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434106556', 1, '2021-07-19 12:08:50', NULL, NULL), (35721, '', '吉吾村委会', '05af8675408a420a9e06d064259abe33', '021dfdf956ef4ae0907ef32973075343', 'False', 'False', 'false', 'false', '513434106604', 5, '吉吾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434106604', 1, '2021-07-19 12:08:50', NULL, NULL), (35722, '', '布什觉村委会', 'eab4303a0a2049488b4c22f94999b85e', '021dfdf956ef4ae0907ef32973075343', 'False', 'False', 'false', 'false', '513434106827', 5, '布什觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434106827', 1, '2021-07-19 12:08:50', NULL, NULL), (35723, '', '俄布村委会', '9ca9997b194e44babff67003e52b4345', '021dfdf956ef4ae0907ef32973075343', 'False', 'False', 'false', 'false', '513434106954', 5, '俄布村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434106954', 1, '2021-07-19 12:08:50', NULL, NULL), (35724, '', '书古镇', 'a7f929bc9af5490aa8a5e07b799f84e6', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434107000', 4, '书古镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434107000', 1, '2021-07-19 12:08:50', NULL, NULL), (35725, '', '瓦普莫村委会', '60c374730a5d41fe9707a2dd39635403', 'a7f929bc9af5490aa8a5e07b799f84e6', 'False', 'False', 'false', 'false', '513434107973', 5, '瓦普莫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434107973', 1, '2021-07-19 12:08:50', NULL, NULL), (35726, '', '木牛觉村委会', '14ae5c7e4ddb4195b9054d25b3ffa624', 'a7f929bc9af5490aa8a5e07b799f84e6', 'False', 'False', 'false', 'false', '513434107819', 5, '木牛觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434107819', 1, '2021-07-19 12:08:50', NULL, NULL), (35727, '', '斯拉村委会', '8299b69074a14ba6a38000ba714c1cb9', 'a7f929bc9af5490aa8a5e07b799f84e6', 'False', 'False', 'false', 'false', '513434107376', 5, '斯拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434107376', 1, '2021-07-19 12:08:51', NULL, NULL), (35728, '', '五里村委会', '8de29321cd13471f9b7138667303384f', 'a7f929bc9af5490aa8a5e07b799f84e6', 'False', 'False', 'false', 'false', '513434107418', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434107418', 1, '2021-07-19 12:08:51', NULL, NULL), (35729, '', '足吾村委会', '3abf7d22e70a42179f25215c2fce4ff0', 'a7f929bc9af5490aa8a5e07b799f84e6', 'False', 'False', 'false', 'false', '513434107340', 5, '足吾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434107340', 1, '2021-07-19 12:08:51', NULL, NULL), (35730, '', '木苦库村委会', 'f87bbc4640114e028ecbd91385b17e23', 'a7f929bc9af5490aa8a5e07b799f84e6', 'False', 'False', 'false', 'false', '513434107102', 5, '木苦库村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434107102', 1, '2021-07-19 12:08:51', NULL, NULL), (35731, '', '光明村委会', '9df05fd23feb44159a7a196f79d88b70', 'a7f929bc9af5490aa8a5e07b799f84e6', 'False', 'False', 'false', 'false', '513434107438', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434107438', 1, '2021-07-19 12:08:51', NULL, NULL), (35732, '', '新华村委会', 'd96acf5de0a545a2a18a071523eec6f2', 'a7f929bc9af5490aa8a5e07b799f84e6', 'False', 'False', 'false', 'false', '513434107604', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434107604', 1, '2021-07-19 12:08:51', NULL, NULL), (35733, '', '勒品村委会', 'a1b3150367b649e88fe3b7db62eca0aa', 'a7f929bc9af5490aa8a5e07b799f84e6', 'False', 'False', 'false', 'false', '513434107878', 5, '勒品村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434107878', 1, '2021-07-19 12:08:51', NULL, NULL), (35734, '', '红旗村委会', '3019ba24faf8433b982948af6817d98e', 'a7f929bc9af5490aa8a5e07b799f84e6', 'False', 'False', 'false', 'false', '513434107923', 5, '红旗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434107923', 1, '2021-07-19 12:08:51', NULL, NULL), (35735, '', '依洛地坝镇', '8f516b38454346068b98d7cfd3094095', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434108000', 4, '依洛地坝镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434108000', 1, '2021-07-19 12:08:51', NULL, NULL), (35736, '', '格依村委会', 'd22dd26e7d0c40779390c2578642ddea', '8f516b38454346068b98d7cfd3094095', 'False', 'False', 'false', 'false', '513434108535', 5, '格依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434108535', 1, '2021-07-19 12:08:51', NULL, NULL), (35737, '', '尔赛村委会', '400adbb2813f42f1bcd7f5472c82ce49', '8f516b38454346068b98d7cfd3094095', 'False', 'False', 'false', 'false', '513434108306', 5, '尔赛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434108306', 1, '2021-07-19 12:08:51', NULL, NULL), (35738, '', '永胜村委会', '9a695b9b1dce4a278c6845c9dc84216c', '8f516b38454346068b98d7cfd3094095', 'False', 'False', 'false', 'false', '513434108290', 5, '永胜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434108290', 1, '2021-07-19 12:08:51', NULL, NULL), (35739, '', '依洛村委会', '3734bb0e427043b68ba4271005286e0b', '8f516b38454346068b98d7cfd3094095', 'False', 'False', 'false', 'false', '513434108706', 5, '依洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434108706', 1, '2021-07-19 12:08:51', NULL, NULL), (35740, '', '牛洛村委会', 'ba4c41574489445bb6d22a0ec5fbe6c4', '8f516b38454346068b98d7cfd3094095', 'False', 'False', 'false', 'false', '513434108909', 5, '牛洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434108909', 1, '2021-07-19 12:08:51', NULL, NULL), (35741, '', '沙木洛村委会', '86d625d21d7e47889ea23c52465a8e7e', '8f516b38454346068b98d7cfd3094095', 'False', 'False', 'false', 'false', '513434108945', 5, '沙木洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434108945', 1, '2021-07-19 12:08:51', NULL, NULL), (35742, '', '南箐镇', 'fef0fb40bf4d40bdaee8ab584c2d3d1b', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434109000', 4, '南箐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434109000', 1, '2021-07-19 12:08:51', NULL, NULL), (35743, '', '达布村委会', 'ad1f666e758d428db42233dbecfa27bb', 'fef0fb40bf4d40bdaee8ab584c2d3d1b', 'False', 'False', 'false', 'false', '513434109995', 5, '达布村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434109995', 1, '2021-07-19 12:08:52', NULL, NULL), (35744, '', '小相岭村委会', '0217c9f45d1241fca1625cf3f60c439e', 'fef0fb40bf4d40bdaee8ab584c2d3d1b', 'False', 'True', 'false', 'false', '513434109200', 5, '小相岭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434109200', 1, '2021-07-19 12:08:52', NULL, NULL), (35745, '', '河坎村委会', 'c89a3442cac8433c820c437b5d35ef2d', 'fef0fb40bf4d40bdaee8ab584c2d3d1b', 'False', 'True', 'false', 'false', '513434109202', 5, '河坎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434109202', 1, '2021-07-19 12:08:52', NULL, NULL), (35746, '', '南山村委会', '547894cbc0e8413b9757af4a24a06cb1', 'fef0fb40bf4d40bdaee8ab584c2d3d1b', 'False', 'True', 'false', 'false', '513434109204', 5, '南山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434109204', 1, '2021-07-19 12:08:52', NULL, NULL), (35747, '', '白泥村委会', 'dc5b8cd082ed4c9a9a2d82c4d1e1d6a4', 'fef0fb40bf4d40bdaee8ab584c2d3d1b', 'False', 'True', 'false', 'false', '513434109205', 5, '白泥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434109205', 1, '2021-07-19 12:08:52', NULL, NULL), (35748, '', '团河村委会', '929fb7ee5dc84683a9188f666db8fcf6', 'fef0fb40bf4d40bdaee8ab584c2d3d1b', 'False', 'True', 'false', 'false', '513434109207', 5, '团河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434109207', 1, '2021-07-19 12:08:52', NULL, NULL), (35749, '', '新华村委会', '82fae22fcdf244efa19ae8d494869b9a', 'fef0fb40bf4d40bdaee8ab584c2d3d1b', 'False', 'False', 'false', 'false', '513434109208', 5, '新华村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434109208', 1, '2021-07-19 12:08:52', NULL, NULL), (35750, '', '南新村委会', '76ae7227459044d2bfc57b2bd89743fd', 'fef0fb40bf4d40bdaee8ab584c2d3d1b', 'False', 'True', 'false', 'false', '513434109209', 5, '南新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434109209', 1, '2021-07-19 12:08:52', NULL, NULL), (35751, '', '南林村委会', '183b2768048c404b99e97fa7b71ed2f0', 'fef0fb40bf4d40bdaee8ab584c2d3d1b', 'False', 'True', 'false', 'false', '513434109211', 5, '南林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434109211', 1, '2021-07-19 12:08:52', NULL, NULL), (35752, '', '马拖镇', '6f90d56bed9c41abb86da7a088ce8b26', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434201000', 4, '马拖镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434201000', 1, '2021-07-19 12:08:52', NULL, NULL), (35753, '', '马拖村委会', 'efbc1b03b7a74c6fb99bf44f2890fa9c', '6f90d56bed9c41abb86da7a088ce8b26', 'False', 'True', 'false', 'false', '513434201200', 5, '马拖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434201200', 1, '2021-07-19 12:08:52', NULL, NULL), (35754, '', '大河村委会', 'c2dc2eeb07384146869e2f272b8d641c', '6f90d56bed9c41abb86da7a088ce8b26', 'False', 'True', 'false', 'false', '513434201201', 5, '大河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434201201', 1, '2021-07-19 12:08:52', NULL, NULL), (35755, '', '新乡村委会', '27a5941ea43443e0b9b44828bc4388d1', '6f90d56bed9c41abb86da7a088ce8b26', 'False', 'True', 'false', 'false', '513434201202', 5, '新乡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434201202', 1, '2021-07-19 12:08:52', NULL, NULL), (35756, '', '安洛村委会', '355d310430bc4a8f9769286c3abc1efd', '6f90d56bed9c41abb86da7a088ce8b26', 'False', 'True', 'false', 'false', '513434201203', 5, '安洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434201203', 1, '2021-07-19 12:08:52', NULL, NULL), (35757, '', '西坪村委会', '31e0e679cd8842649b761a2f84e88a8a', '6f90d56bed9c41abb86da7a088ce8b26', 'False', 'True', 'false', 'false', '513434201204', 5, '西坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434201204', 1, '2021-07-19 12:08:52', NULL, NULL), (35758, '', '依觉村委会', 'd299148c5f03473d8ceb95d5310c5168', '6f90d56bed9c41abb86da7a088ce8b26', 'False', 'True', 'false', 'false', '513434201205', 5, '依觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434201205', 1, '2021-07-19 12:08:52', NULL, NULL), (35759, '', '北河村委会', 'ecadea3d69754b89a209331504891535', '6f90d56bed9c41abb86da7a088ce8b26', 'False', 'True', 'false', 'false', '513434201208', 5, '北河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434201208', 1, '2021-07-19 12:08:53', NULL, NULL), (35760, '', '东林村委会', '0b5473692d984856b29cbd4ace702749', '6f90d56bed9c41abb86da7a088ce8b26', 'False', 'True', 'false', 'false', '513434201210', 5, '东林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434201210', 1, '2021-07-19 12:08:53', NULL, NULL), (35761, '', '东坪村委会', 'fa86212ca59c4406a0d0c23496a4d3af', '6f90d56bed9c41abb86da7a088ce8b26', 'False', 'True', 'false', 'false', '513434201212', 5, '东坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434201212', 1, '2021-07-19 12:08:53', NULL, NULL), (35762, '', '大花镇', '94c34f7b23f24178be993843425695f3', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434205000', 4, '大花镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434205000', 1, '2021-07-19 12:08:53', NULL, NULL), (35763, '', '瑞元村委会', '0324ea9259f0495d8b089d904a4dc1fc', '94c34f7b23f24178be993843425695f3', 'False', 'True', 'false', 'false', '513434205200', 5, '瑞元村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434205200', 1, '2021-07-19 12:08:53', NULL, NULL), (35764, '', '瓦尔村委会', '4738437bfe3c49b5ac8605ceebcb117f', '94c34f7b23f24178be993843425695f3', 'False', 'True', 'false', 'false', '513434205201', 5, '瓦尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434205201', 1, '2021-07-19 12:08:53', NULL, NULL), (35765, '', '大花村委会', '8878a0afe9eb4f9d883bb01d6e5f0fe9', '94c34f7b23f24178be993843425695f3', 'False', 'True', 'false', 'false', '513434205202', 5, '大花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434205202', 1, '2021-07-19 12:08:53', NULL, NULL), (35766, '', '深沟村委会', '32879e12f85a460d923419d43063e069', '94c34f7b23f24178be993843425695f3', 'False', 'True', 'false', 'false', '513434205203', 5, '深沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434205203', 1, '2021-07-19 12:08:53', NULL, NULL), (35767, '', '约合村委会', 'f4ae9f89abee40a0b62709eb4be06670', '94c34f7b23f24178be993843425695f3', 'False', 'True', 'false', 'false', '513434205204', 5, '约合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434205204', 1, '2021-07-19 12:08:53', NULL, NULL), (35768, '', '斯觉村委会', '15809123bc9f453484129cdcae9dd42d', '94c34f7b23f24178be993843425695f3', 'False', 'True', 'false', 'false', '513434205205', 5, '斯觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434205205', 1, '2021-07-19 12:08:53', NULL, NULL), (35769, '', '板桥镇', '5e660172220545cabb524f1c06045862', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434208000', 4, '板桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434208000', 1, '2021-07-19 12:08:53', NULL, NULL), (35770, '', '瓦岩村委会', '7d6a3fcd9fff4c918c427c04db9c4495', '5e660172220545cabb524f1c06045862', 'False', 'False', 'false', 'false', '513434116805', 5, '瓦岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434116805', 1, '2021-07-19 12:08:53', NULL, NULL), (35771, '', '桃园村委会', 'b44b297bc017403295c74f4ea3572156', '5e660172220545cabb524f1c06045862', 'False', 'False', 'false', 'false', '513434116219', 5, '桃园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434116219', 1, '2021-07-19 12:08:53', NULL, NULL), (35772, '', '后山村委会', '50858d1edfe84ad4bc1b707d93caef57', '5e660172220545cabb524f1c06045862', 'False', 'False', 'false', 'false', '513434116736', 5, '后山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434116736', 1, '2021-07-19 12:08:53', NULL, NULL), (35773, '', '青松村委会', 'f40ef50deebe4905b52f83513d0c2246', '5e660172220545cabb524f1c06045862', 'False', 'True', 'false', 'false', '513434208200', 5, '青松村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434208200', 1, '2021-07-19 12:08:53', NULL, NULL), (35774, '', '渔洞村委会', 'cdee0451f12144c5a28198b634774843', '5e660172220545cabb524f1c06045862', 'False', 'True', 'false', 'false', '513434208201', 5, '渔洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434208201', 1, '2021-07-19 12:08:54', NULL, NULL), (35775, '', '板桥村委会', '4664453b19a44a99bc491733a63e7be2', '5e660172220545cabb524f1c06045862', 'False', 'True', 'false', 'false', '513434208202', 5, '板桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434208202', 1, '2021-07-19 12:08:54', NULL, NULL), (35776, '', '河沿村委会', '31e05ae43c914b4d942b62990c306c93', '5e660172220545cabb524f1c06045862', 'False', 'True', 'false', 'false', '513434208203', 5, '河沿村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434208203', 1, '2021-07-19 12:08:54', NULL, NULL), (35777, '', '广河村委会', 'd7f8705ef9db40a1bdfa2221184908b8', '5e660172220545cabb524f1c06045862', 'False', 'True', 'false', 'false', '513434208204', 5, '广河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434208204', 1, '2021-07-19 12:08:54', NULL, NULL), (35778, '', '瑶村村委会', 'cbdb7b48559646b58dfb78893dd4e516', '5e660172220545cabb524f1c06045862', 'False', 'True', 'false', 'false', '513434208205', 5, '瑶村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434208205', 1, '2021-07-19 12:08:54', NULL, NULL), (35779, '', '春景村委会', '14796b421f234ce8ab721fb8f3ccb1c8', '5e660172220545cabb524f1c06045862', 'False', 'True', 'false', 'false', '513434208206', 5, '春景村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434208206', 1, '2021-07-19 12:08:54', NULL, NULL), (35780, '', '保安藏族乡', 'd625c1edc2d942fdbd9d3c719bbb38ce', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434211000', 4, '保安藏族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434211000', 1, '2021-07-19 12:08:54', NULL, NULL), (35781, '', '平原村委会', 'd64ab42f08a941f3a801a0205e2c92c7', 'd625c1edc2d942fdbd9d3c719bbb38ce', 'False', 'True', 'false', 'false', '513434211200', 5, '平原村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434211200', 1, '2021-07-19 12:08:54', NULL, NULL), (35782, '', '梨花村委会', '7589040d7f9046a09bc925e4d207d7fc', 'd625c1edc2d942fdbd9d3c719bbb38ce', 'False', 'True', 'false', 'false', '513434211201', 5, '梨花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434211201', 1, '2021-07-19 12:08:54', NULL, NULL), (35783, '', '保安村委会', 'b274215db54c47b981647c64055f8790', 'd625c1edc2d942fdbd9d3c719bbb38ce', 'False', 'True', 'false', 'false', '513434211202', 5, '保安村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434211202', 1, '2021-07-19 12:08:54', NULL, NULL), (35784, '', '梅花镇', 'fa0568f1819e401bbfc2f0625f05dfaf', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434213000', 4, '梅花镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434213000', 1, '2021-07-19 12:08:54', NULL, NULL), (35785, '', '塔拉村委会', '3cf06b4964e64c95a8f4665c689e4ced', 'fa0568f1819e401bbfc2f0625f05dfaf', 'False', 'False', 'false', 'false', '513434111976', 5, '塔拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434111976', 1, '2021-07-19 12:08:54', NULL, NULL), (35786, '', '各俄村委会', '4977566b5dba4f779d2d780f414211c0', 'fa0568f1819e401bbfc2f0625f05dfaf', 'False', 'False', 'false', 'false', '513434111538', 5, '各俄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434111538', 1, '2021-07-19 12:08:54', NULL, NULL), (35787, '', '打土村委会', 'bba3831d8d33442189504c0e14fecaa5', 'fa0568f1819e401bbfc2f0625f05dfaf', 'False', 'True', 'false', 'false', '513434213200', 5, '打土村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434213200', 1, '2021-07-19 12:08:54', NULL, NULL), (35788, '', '梅花村委会', '413f1dcc795348509558b10724813dda', 'fa0568f1819e401bbfc2f0625f05dfaf', 'False', 'True', 'false', 'false', '513434213201', 5, '梅花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434213201', 1, '2021-07-19 12:08:55', NULL, NULL), (35789, '', '曙加村委会', 'c8b50b61e36f4b4bbf29da963ebf294a', 'fa0568f1819e401bbfc2f0625f05dfaf', 'False', 'False', 'false', 'false', '513434213202', 5, '曙加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434213202', 1, '2021-07-19 12:08:55', NULL, NULL), (35790, '', '白果村委会', '69cf3ac4eaf149f5b0a98749fee68dba', 'fa0568f1819e401bbfc2f0625f05dfaf', 'False', 'True', 'false', 'false', '513434213203', 5, '白果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434213203', 1, '2021-07-19 12:08:55', NULL, NULL), (35791, '', '巴姑村委会', 'ec27b21a77d7446f96783c29f3c39b2b', 'fa0568f1819e401bbfc2f0625f05dfaf', 'False', 'True', 'false', 'false', '513434213204', 5, '巴姑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434213204', 1, '2021-07-19 12:08:55', NULL, NULL), (35792, '', '拉普镇', 'c285fb8b75534b069b263931d9ec5ffa', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434214000', 4, '拉普镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434214000', 1, '2021-07-19 12:08:55', NULL, NULL), (35793, '', '波西村委会', '04a33012a00543be9e4e7a17699b697b', 'c285fb8b75534b069b263931d9ec5ffa', 'False', 'False', 'false', 'false', '513434113641', 5, '波西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434113641', 1, '2021-07-19 12:08:55', NULL, NULL), (35794, '', '四甘普村委会', '8bca150c3a1f408bb93c6d0e38081a54', 'c285fb8b75534b069b263931d9ec5ffa', 'False', 'False', 'false', 'false', '513434113817', 5, '四甘普村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434113817', 1, '2021-07-19 12:08:55', NULL, NULL), (35795, '', '阿柳吾村委会', '0da09df11b384fc08571645cf633b5ed', 'c285fb8b75534b069b263931d9ec5ffa', 'False', 'True', 'false', 'false', '513434214200', 5, '阿柳吾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434214200', 1, '2021-07-19 12:08:55', NULL, NULL), (35796, '', '拉普村委会', 'b11df6f0f456459e8049d43449996ff3', 'c285fb8b75534b069b263931d9ec5ffa', 'False', 'True', 'false', 'false', '513434214201', 5, '拉普村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434214201', 1, '2021-07-19 12:08:55', NULL, NULL), (35797, '', '哈木村委会', '58e36a3555b44da388be6dbb5cd5bf51', 'c285fb8b75534b069b263931d9ec5ffa', 'False', 'True', 'false', 'false', '513434214202', 5, '哈木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434214202', 1, '2021-07-19 12:08:55', NULL, NULL), (35798, '', '斯吉村委会', '6def32bc272642bda579b9239db0dc39', 'c285fb8b75534b069b263931d9ec5ffa', 'False', 'True', 'false', 'false', '513434214203', 5, '斯吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434214203', 1, '2021-07-19 12:08:55', NULL, NULL), (35799, '', '瓦支村委会', '4d265884a1ab4d2eaa2da84876f923e6', 'c285fb8b75534b069b263931d9ec5ffa', 'False', 'True', 'false', 'false', '513434214204', 5, '瓦支村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434214204', 1, '2021-07-19 12:08:55', NULL, NULL), (35800, '', '尔觉镇', '4c9660e247c2408f97a88e5d1675e832', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434216000', 4, '尔觉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434216000', 1, '2021-07-19 12:08:55', NULL, NULL), (35801, '', '白拉吾村委会', '953a55f45c9a482f9baf8f6e74aa73ad', '4c9660e247c2408f97a88e5d1675e832', 'False', 'False', 'false', 'false', '513434112605', 5, '白拉吾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434112605', 1, '2021-07-19 12:08:56', NULL, NULL), (35802, '', '阿支吾村委会', 'aefc923067b64c7c986eddeb1b30262b', '4c9660e247c2408f97a88e5d1675e832', 'False', 'False', 'false', 'false', '513434112019', 5, '阿支吾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434112019', 1, '2021-07-19 12:08:56', NULL, NULL), (35803, '', '打子村委会', '2f9c98d959b14a19b80fbd0c014438a9', '4c9660e247c2408f97a88e5d1675e832', 'False', 'False', 'false', 'false', '513434112700', 5, '打子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434112700', 1, '2021-07-19 12:08:56', NULL, NULL), (35804, '', '牛都村委会', '781d168425e44c6eb6a9bfe95895819a', '4c9660e247c2408f97a88e5d1675e832', 'False', 'False', 'false', 'false', '513434112855', 5, '牛都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434112855', 1, '2021-07-19 12:08:56', NULL, NULL), (35805, '', '四窝普村委会', '44e109c22e344176931c611763e2795c', '4c9660e247c2408f97a88e5d1675e832', 'False', 'True', 'false', 'false', '513434216200', 5, '四窝普村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434216200', 1, '2021-07-19 12:08:56', NULL, NULL), (35806, '', '阿木洛村委会', 'c2bae3adee234fa9bb3e0f66bb0708f9', '4c9660e247c2408f97a88e5d1675e832', 'False', 'True', 'false', 'false', '513434216201', 5, '阿木洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434216201', 1, '2021-07-19 12:08:56', NULL, NULL), (35807, '', '乃加村委会', '83b5819a4d324c6999776bb780fe183b', '4c9660e247c2408f97a88e5d1675e832', 'False', 'True', 'false', 'false', '513434216202', 5, '乃加村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434216202', 1, '2021-07-19 12:08:56', NULL, NULL), (35808, '', '阿来吾村委会', '9284a015fdfa48f1bc2fa0cd31564468', '4c9660e247c2408f97a88e5d1675e832', 'False', 'True', 'false', 'false', '513434216203', 5, '阿来吾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434216203', 1, '2021-07-19 12:08:56', NULL, NULL), (35809, '', '铁西村委会', '9c06b544e9fc4984abc2568262459531', '4c9660e247c2408f97a88e5d1675e832', 'False', 'True', 'false', 'false', '513434216204', 5, '铁西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434216204', 1, '2021-07-19 12:08:56', NULL, NULL), (35810, '', '如阿底村委会', '366fa87cb12f4df981065f99597042e6', '4c9660e247c2408f97a88e5d1675e832', 'False', 'True', 'false', 'false', '513434216205', 5, '如阿底村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434216205', 1, '2021-07-19 12:08:56', NULL, NULL), (35811, '', '贡莫镇', 'cce263819a9a4cf7b9bf5e2463e89335', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434218000', 4, '贡莫乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434218000', 1, '2021-07-19 12:08:56', NULL, NULL), (35812, '', '尼洪洛村委会', '632a9898e8484ae5adba4527d112467d', 'cce263819a9a4cf7b9bf5e2463e89335', 'False', 'False', 'false', 'false', '513434211130', 5, '尼洪洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434211130', 1, '2021-07-19 12:08:57', NULL, NULL), (35813, '', '尔普村委会', '49fcaf8861c94708a5efe11961431720', 'cce263819a9a4cf7b9bf5e2463e89335', 'False', 'False', 'false', 'false', '513434211462', 5, '尔普村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434211462', 1, '2021-07-19 12:08:57', NULL, NULL), (35814, '', '寒林村委会', '2c85ede54e8e4df2a225c91ece437e72', 'cce263819a9a4cf7b9bf5e2463e89335', 'False', 'False', 'false', 'false', '513434211915', 5, '寒林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434211915', 1, '2021-07-19 12:08:57', NULL, NULL), (35815, '', '乐青地村委会', '026c1f8082e4444db0a8de7b6ba101cb', 'cce263819a9a4cf7b9bf5e2463e89335', 'False', 'False', 'false', 'false', '513434211316', 5, '乐青地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434211316', 1, '2021-07-19 12:08:57', NULL, NULL), (35816, '', '拉白村委会', '42fa25e5342440c788a39011a5afa2e5', 'cce263819a9a4cf7b9bf5e2463e89335', 'False', 'True', 'false', 'false', '513434218200', 5, '拉白村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434218200', 1, '2021-07-19 12:08:57', NULL, NULL), (35817, '', '贡莫村委会', '2ea27b7b31a94b28b6dffb063408c2df', 'cce263819a9a4cf7b9bf5e2463e89335', 'False', 'True', 'false', 'false', '513434218201', 5, '贡莫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434218201', 1, '2021-07-19 12:08:57', NULL, NULL), (35818, '', '汉扎洛村委会', '340d8905489448a28548d49ca37bb1fe', 'cce263819a9a4cf7b9bf5e2463e89335', 'False', 'True', 'false', 'false', '513434218202', 5, '汉扎洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434218202', 1, '2021-07-19 12:08:57', NULL, NULL), (35819, '', '布吉洛村委会', '6cf6caa9cd944b4e810b3e16e1c0f715', 'cce263819a9a4cf7b9bf5e2463e89335', 'False', 'True', 'false', 'false', '513434218203', 5, '布吉洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434218203', 1, '2021-07-19 12:08:57', NULL, NULL), (35820, '', '地各村委会', 'c405ed62be4945e68f09cb924af6cd35', 'cce263819a9a4cf7b9bf5e2463e89335', 'False', 'False', 'false', 'false', '513434218204', 5, '地各村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434218204', 1, '2021-07-19 12:08:57', NULL, NULL), (35821, '', '依史村委会', '8e1e9d1182794a58a88357abc09e5b4a', 'cce263819a9a4cf7b9bf5e2463e89335', 'False', 'True', 'false', 'false', '513434218205', 5, '依史村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434218205', 1, '2021-07-19 12:08:58', NULL, NULL), (35822, '', '瓦曲村委会', '58120cb2f4a34845873ef6c84b1f04ac', 'cce263819a9a4cf7b9bf5e2463e89335', 'False', 'True', 'false', 'false', '513434218206', 5, '瓦曲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434218206', 1, '2021-07-19 12:08:58', NULL, NULL), (35823, '', '五里箐乡', '94bc54863dbe4cdca33da1b024d52100', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'False', 'false', 'false', '513434227000', 4, '五里箐乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434227000', 1, '2021-07-19 12:08:58', NULL, NULL), (35824, '', '五里村', 'ce87e8251ef24f77900d1839ceee6340', '94bc54863dbe4cdca33da1b024d52100', 'False', 'True', 'false', 'false', '513434227200', 5, '五里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434227200', 1, '2021-07-19 12:08:58', NULL, NULL), (35825, '', '足吾村', '3b8dc98fef9547a29363c6709d617b0f', '94bc54863dbe4cdca33da1b024d52100', 'False', 'False', 'false', 'false', '513434227201', 5, '足吾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434227201', 1, '2021-07-19 12:08:58', NULL, NULL), (35826, '', '古木村', '788ba8641b04432d89e292c2b09d8b28', '94bc54863dbe4cdca33da1b024d52100', 'False', 'True', 'false', 'false', '513434227202', 5, '古木村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434227202', 1, '2021-07-19 12:08:58', NULL, NULL), (35827, '', '斯拉村', 'bde948c5fb2540c49dc3f69255aadcbc', '94bc54863dbe4cdca33da1b024d52100', 'False', 'False', 'false', 'false', '513434227203', 5, '斯拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434227203', 1, '2021-07-19 12:08:58', NULL, NULL), (35828, '', '普提村', 'e64b2f88a0ad4443a7efd23050395c98', '94bc54863dbe4cdca33da1b024d52100', 'False', 'False', 'false', 'false', '513434227204', 5, '普提村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434227204', 1, '2021-07-19 12:08:58', NULL, NULL), (35829, '', '达支村', '13250a10b28e487fa651f4de44cac7b9', '94bc54863dbe4cdca33da1b024d52100', 'False', 'False', 'false', 'false', '513434227205', 5, '达支村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434227205', 1, '2021-07-19 12:08:58', NULL, NULL), (35830, '', '仁洪村', '0c3d32377ce24e6e8b394b9bfe49af5f', '94bc54863dbe4cdca33da1b024d52100', 'False', 'True', 'false', 'false', '513434227206', 5, '仁洪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434227206', 1, '2021-07-19 12:08:58', NULL, NULL), (35831, '', '改古村', 'ef7e1d7264be4ee29a79592c8325659b', '94bc54863dbe4cdca33da1b024d52100', 'False', 'True', 'false', 'false', '513434227207', 5, '改古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434227207', 1, '2021-07-19 12:08:58', NULL, NULL), (35832, '', '马扎村', '62095a7528444fc3bb688bce016cf6a1', '94bc54863dbe4cdca33da1b024d52100', 'False', 'False', 'false', 'false', '513434227208', 5, '马扎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434227208', 1, '2021-07-19 12:08:59', NULL, NULL), (35833, '', '申果庄乡', '51e3a1370eb3409fbf84e9cf6b3fa1ba', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434230000', 4, '申果庄乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434230000', 1, '2021-07-19 12:08:59', NULL, NULL), (35834, '', '合觉村委会', '940f764aac164d8189c4691e801f1241', '51e3a1370eb3409fbf84e9cf6b3fa1ba', 'False', 'False', 'false', 'false', '513434236734', 5, '合觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434236734', 1, '2021-07-19 12:08:59', NULL, NULL), (35835, '', '入阿足村委会', '795b900fdb8e4a469e728f50833f4fd8', '51e3a1370eb3409fbf84e9cf6b3fa1ba', 'False', 'False', 'false', 'false', '513434236305', 5, '入阿足村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434236305', 1, '2021-07-19 12:08:59', NULL, NULL), (35836, '', '共和村委会', '4eaf1382ea56496da672c4c3c889b8f9', '51e3a1370eb3409fbf84e9cf6b3fa1ba', 'False', 'False', 'false', 'false', '513434236478', 5, '共和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434236478', 1, '2021-07-19 12:08:59', NULL, NULL), (35837, '', '申果村委会', '07de4f4e08d44a46a86616d331c6f58e', '51e3a1370eb3409fbf84e9cf6b3fa1ba', 'False', 'True', 'false', 'false', '513434230200', 5, '申果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434230200', 1, '2021-07-19 12:08:59', NULL, NULL), (35838, '', '拉吉乡', 'f2fe771872bf4f4eb00a1d2a1077c165', '8e28b12e5c2f4608bb46cf2958d785c2', 'True', 'True', 'false', 'false', '513434235000', 4, '拉吉乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513434235000', 1, '2021-07-19 12:08:59', NULL, NULL), (35839, '', '拉吉村委会', 'e3ac22d122f445318b26eb5a8d5dfed7', 'f2fe771872bf4f4eb00a1d2a1077c165', 'False', 'True', 'false', 'false', '513434235211', 5, '拉吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434235211', 1, '2021-07-19 12:08:59', NULL, NULL), (35840, '', '瓦里觉村委会', '9000f48a5b954f41810f819c231cb331', 'f2fe771872bf4f4eb00a1d2a1077c165', 'False', 'True', 'false', 'false', '513434235216', 5, '瓦里觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513434235216', 1, '2021-07-19 12:08:59', NULL, NULL), (35841, '', '喜德县', 'ba5c8b4baf1a4b92abb22032856c6b38', '5dd8920407b943de983b9b9f6f9dc6c7', 'True', 'True', 'false', 'false', '513432000000', 3, '喜德县', 'lszxdx.sczwfw.gov.cn', 1, '2021-07-19 12:08:59', NULL, NULL), (35842, '', '光明镇', '3875af076242459695ca13445cbc48dc', 'ba5c8b4baf1a4b92abb22032856c6b38', 'True', 'True', 'false', 'false', '513432100000', 4, '光明镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513432100000', 1, '2021-07-19 12:08:59', NULL, NULL), (35843, '', '商业街社区', '3c32dca8740045c6b9626eebcb47dbf0', '3875af076242459695ca13445cbc48dc', 'False', 'False', 'false', 'false', '513432100002', 5, '商业街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432100002', 1, '2021-07-19 12:09:00', NULL, NULL), (35844, '', '环城东路社区', 'df2c9d2a9ed04c8b862405be90ec2964', '3875af076242459695ca13445cbc48dc', 'False', 'False', 'false', 'false', '513432100003', 5, '环城东路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432100003', 1, '2021-07-19 12:09:00', NULL, NULL), (35845, '', '农光村', '93dd13af6c204157b3da3c9bd46ff42f', '3875af076242459695ca13445cbc48dc', 'False', 'False', 'false', 'false', '513432100200', 5, '农光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432100200', 1, '2021-07-19 12:09:00', NULL, NULL), (35846, '', '新联村', 'd5274e7db6734d98973af317b4b85445', '3875af076242459695ca13445cbc48dc', 'False', 'False', 'false', 'false', '513432100201', 5, '新联村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432100201', 1, '2021-07-19 12:09:00', NULL, NULL), (35847, '', '沙洛村', '9c781954f1d541f4b21351f7b380d079', '3875af076242459695ca13445cbc48dc', 'False', 'False', 'false', 'false', '513432100202', 5, '沙洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432100202', 1, '2021-07-19 12:09:00', NULL, NULL), (35848, '', '马场村', 'b577403a03f142a6b20755f144e3a3b9', '3875af076242459695ca13445cbc48dc', 'False', 'False', 'false', 'false', '513432100203', 5, '马场村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432100203', 1, '2021-07-19 12:09:00', NULL, NULL), (35849, '', '莫洛村', 'ea1e903caedf46018bc5ca45feac0012', '3875af076242459695ca13445cbc48dc', 'False', 'False', 'false', 'false', '513432100204', 5, '莫洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432100204', 1, '2021-07-19 12:09:00', NULL, NULL), (35850, '', '者果觉村', 'c94bf82990834bb5bdad223590e20124', '3875af076242459695ca13445cbc48dc', 'False', 'False', 'false', 'false', '513432100205', 5, '者果觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432100205', 1, '2021-07-19 12:09:00', NULL, NULL), (35851, '', '阿吼村', '51060fc348af4b20abc854343d927820', '3875af076242459695ca13445cbc48dc', 'False', 'False', 'false', 'false', '513432100206', 5, '阿吼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432100206', 1, '2021-07-19 12:09:00', NULL, NULL), (35852, '', '丕约村', 'ecd4a34f3aed4aadbc5f91c2c0dcf596', '3875af076242459695ca13445cbc48dc', 'False', 'False', 'false', 'false', '513432100207', 5, '丕约村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432100207', 1, '2021-07-19 12:09:00', NULL, NULL), (35853, '', '甘哈觉莫村', 'd076a25c3a3046c3aa9ca52772f07846', '3875af076242459695ca13445cbc48dc', 'False', 'False', 'false', 'false', '513432100208', 5, '甘哈觉莫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432100208', 1, '2021-07-19 12:09:00', NULL, NULL), (35854, '', '炭山村', '940fa59652a64beca24f7fd24ccaf13f', '3875af076242459695ca13445cbc48dc', 'False', 'False', 'false', 'false', '513432100209', 5, '炭山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432100209', 1, '2021-07-19 12:09:00', NULL, NULL), (35855, '', '新喜村', '0f39eaf63bc44e359ea0443530aedd60', '3875af076242459695ca13445cbc48dc', 'False', 'False', 'false', 'false', '513432100210', 5, '新喜村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432100210', 1, '2021-07-19 12:09:00', NULL, NULL), (35856, '', '光荣村', '0b9147a00bc84cb48d3e6dbd4e6df505', '3875af076242459695ca13445cbc48dc', 'False', 'False', 'false', 'false', '513432100211', 5, '光荣村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432100211', 1, '2021-07-19 12:09:01', NULL, NULL), (35857, '', '冕山镇', '98aa30b42faf49f9a3f636c451fdc778', 'ba5c8b4baf1a4b92abb22032856c6b38', 'True', 'True', 'false', 'false', '513432101000', 4, '冕山镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513432101000', 1, '2021-07-19 12:09:01', NULL, NULL), (35858, '', '和民村', '9ee74d22a41247d2a213a1082fb22720', '98aa30b42faf49f9a3f636c451fdc778', 'False', 'False', 'false', 'false', '513432101200', 5, '和民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432101200', 1, '2021-07-19 12:09:01', NULL, NULL), (35859, '', '民主村', 'e209b14bd8424342aa5173dc2a284556', '98aa30b42faf49f9a3f636c451fdc778', 'False', 'False', 'false', 'false', '513432101201', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432101201', 1, '2021-07-19 12:09:01', NULL, NULL), (35860, '', '和平村', 'ed3572464e7049dcb06197e982bfdac2', '98aa30b42faf49f9a3f636c451fdc778', 'False', 'False', 'false', 'false', '513432101202', 5, '和平村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432101202', 1, '2021-07-19 12:09:01', NULL, NULL), (35861, '', '五合村', '99b915275e644f3d950b6852a0d3d4ba', '98aa30b42faf49f9a3f636c451fdc778', 'False', 'False', 'false', 'false', '513432101203', 5, '五合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432101203', 1, '2021-07-19 12:09:01', NULL, NULL), (35862, '', '尔史村', 'e352ec1c0b03469298a203d39eb3bd73', '98aa30b42faf49f9a3f636c451fdc778', 'False', 'False', 'false', 'false', '513432101204', 5, '尔史村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432101204', 1, '2021-07-19 12:09:01', NULL, NULL), (35863, '', '洛发村', '9093bac8d8db461fb75436a45187e8f1', '98aa30b42faf49f9a3f636c451fdc778', 'False', 'False', 'false', 'false', '513432101205', 5, '洛发村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432101205', 1, '2021-07-19 12:09:01', NULL, NULL), (35864, '', '者果村', '0d6f2c8a2fd24dbd915abb9b52397090', '98aa30b42faf49f9a3f636c451fdc778', 'False', 'False', 'false', 'false', '513432101206', 5, '者果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432101206', 1, '2021-07-19 12:09:01', NULL, NULL), (35865, '', '新桥村', '09f6ea54b5804376a2025cd135eff567', '98aa30b42faf49f9a3f636c451fdc778', 'False', 'False', 'false', 'false', '513432101207', 5, '新桥村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432101207', 1, '2021-07-19 12:09:01', NULL, NULL), (35866, '', '小山村', 'b13cb572906b4bc8ae948add571b3ac4', '98aa30b42faf49f9a3f636c451fdc778', 'False', 'False', 'false', 'false', '513432101208', 5, '小山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432101208', 1, '2021-07-19 12:09:01', NULL, NULL), (35867, '', '红莫镇', 'a5a4ca5a5d3f4e229eed740111eef938', 'ba5c8b4baf1a4b92abb22032856c6b38', 'True', 'True', 'false', 'false', '513432102000', 4, '红莫镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513432102000', 1, '2021-07-19 12:09:02', NULL, NULL), (35868, '', '回龙村', '6ad6dca57ae144f881fc504f27f3257e', 'a5a4ca5a5d3f4e229eed740111eef938', 'False', 'False', 'false', 'false', '513432102200', 5, '回龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432102200', 1, '2021-07-19 12:09:02', NULL, NULL), (35869, '', '司金村', 'dac92f8eab154e14891d473832267c6d', 'a5a4ca5a5d3f4e229eed740111eef938', 'False', 'False', 'false', 'false', '513432102201', 5, '司金村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432102201', 1, '2021-07-19 12:09:02', NULL, NULL), (35870, '', '果布村', '4321a84e78304281863cf3b043e30873', 'a5a4ca5a5d3f4e229eed740111eef938', 'False', 'False', 'false', 'false', '513432102202', 5, '果布村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432102202', 1, '2021-07-19 12:09:02', NULL, NULL), (35871, '', '特火村', 'a10e218cab0d4d108967e7f3526040db', 'a5a4ca5a5d3f4e229eed740111eef938', 'False', 'False', 'false', 'false', '513432102203', 5, '特火村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432102203', 1, '2021-07-19 12:09:02', NULL, NULL), (35872, '', '树库村', 'fafa859e0ed445c9be2dff079beea3e9', 'a5a4ca5a5d3f4e229eed740111eef938', 'False', 'False', 'false', 'false', '513432102204', 5, '树库村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432102204', 1, '2021-07-19 12:09:02', NULL, NULL), (35873, '', '红莫村', 'c6c7d763d16f4eb195083892fa91354b', 'a5a4ca5a5d3f4e229eed740111eef938', 'False', 'False', 'false', 'false', '513432102205', 5, '红莫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432102205', 1, '2021-07-19 12:09:02', NULL, NULL), (35874, '', '阿尼村', '12fdf687391f4f0791cdb32d1cda12b0', 'a5a4ca5a5d3f4e229eed740111eef938', 'False', 'False', 'false', 'false', '513432102206', 5, '阿尼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432102206', 1, '2021-07-19 12:09:02', NULL, NULL), (35875, '', '桃源村', '24769b263686442ea07ed6726aafbee3', 'a5a4ca5a5d3f4e229eed740111eef938', 'False', 'False', 'false', 'false', '513432102207', 5, '桃源村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432102207', 1, '2021-07-19 12:09:02', NULL, NULL), (35876, '', '瓦西村', '859f451b086e49de928bba70d06ed7e3', 'a5a4ca5a5d3f4e229eed740111eef938', 'False', 'False', 'false', 'false', '513432102208', 5, '瓦西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432102208', 1, '2021-07-19 12:09:02', NULL, NULL), (35877, '', '两河口镇', 'd88e7d29cf0145ef9f8ee61438bbd489', 'ba5c8b4baf1a4b92abb22032856c6b38', 'True', 'True', 'false', 'false', '513432103000', 4, '两河口镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513432103000', 1, '2021-07-19 12:09:02', NULL, NULL), (35878, '', '两河口村', '40d5461443114183a919e331d3c4b7ab', 'd88e7d29cf0145ef9f8ee61438bbd489', 'False', 'False', 'false', 'false', '513432103200', 5, '两河口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432103200', 1, '2021-07-19 12:09:02', NULL, NULL), (35879, '', '补曲洛村', '1e4c0364d05c4d40b4606f1e652da4d9', 'd88e7d29cf0145ef9f8ee61438bbd489', 'False', 'False', 'false', 'false', '513432103201', 5, '补曲洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432103201', 1, '2021-07-19 12:09:02', NULL, NULL), (35880, '', '斯果觉村', 'f74c4de99feb4d83855fbe1ff7fb542e', 'd88e7d29cf0145ef9f8ee61438bbd489', 'False', 'False', 'false', 'false', '513432103202', 5, '斯果觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432103202', 1, '2021-07-19 12:09:03', NULL, NULL), (35881, '', '红星村', '710d30a4980d4c4cab8cef40ab8ea323', 'd88e7d29cf0145ef9f8ee61438bbd489', 'False', 'False', 'false', 'false', '513432103203', 5, '红星村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432103203', 1, '2021-07-19 12:09:03', NULL, NULL), (35882, '', '火觉莫村', '82ccedb6fdc2443e993016890980a111', 'd88e7d29cf0145ef9f8ee61438bbd489', 'False', 'False', 'false', 'false', '513432103204', 5, '火觉莫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432103204', 1, '2021-07-19 12:09:03', NULL, NULL), (35883, '', '三合村', '0034c376f0a9450b8575bc22ac009df1', 'd88e7d29cf0145ef9f8ee61438bbd489', 'False', 'False', 'false', 'false', '513432103205', 5, '三合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432103205', 1, '2021-07-19 12:09:03', NULL, NULL), (35884, '', '洛甘村', '09d265cdb56f49268d3207368596a74f', 'd88e7d29cf0145ef9f8ee61438bbd489', 'False', 'False', 'false', 'false', '513432103206', 5, '洛甘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432103206', 1, '2021-07-19 12:09:03', NULL, NULL), (35885, '', '洛各村', 'bb2062fdbcf34cd0ab195396e71c3c7c', 'd88e7d29cf0145ef9f8ee61438bbd489', 'False', 'False', 'false', 'false', '513432103207', 5, '洛各村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432103207', 1, '2021-07-19 12:09:03', NULL, NULL), (35886, '', '瓦库村', 'dcfe196048704295862b9a657203e243', 'd88e7d29cf0145ef9f8ee61438bbd489', 'False', 'False', 'false', 'false', '513432103208', 5, '瓦库村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432103208', 1, '2021-07-19 12:09:03', NULL, NULL), (35887, '', '甘多村', '2fe394ca69b84cb7bb3879e71d0f8300', 'd88e7d29cf0145ef9f8ee61438bbd489', 'False', 'False', 'false', 'false', '513432103209', 5, '甘多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432103209', 1, '2021-07-19 12:09:03', NULL, NULL), (35888, '', '波振村', 'ca2f9d8e5ed94fc782e1c6c6904d9299', 'd88e7d29cf0145ef9f8ee61438bbd489', 'False', 'False', 'false', 'false', '513432103210', 5, '波振村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432103210', 1, '2021-07-19 12:09:03', NULL, NULL), (35889, '', '瓦尔西总村', 'ab3b1a17e0954379b91cbde3cdd1fb6c', 'd88e7d29cf0145ef9f8ee61438bbd489', 'False', 'False', 'false', 'false', '513432103211', 5, '瓦尔西总村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432103211', 1, '2021-07-19 12:09:03', NULL, NULL), (35890, '', '红岩村', 'e8fbc47ff3e24fdfb519b6a420eeace7', 'd88e7d29cf0145ef9f8ee61438bbd489', 'False', 'False', 'false', 'false', '513432103212', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432103212', 1, '2021-07-19 12:09:04', NULL, NULL), (35891, '', '觉钉村', 'e54320a2726540bbbb1659ff31ff9479', 'd88e7d29cf0145ef9f8ee61438bbd489', 'False', 'False', 'false', 'false', '513432103213', 5, '觉钉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432103213', 1, '2021-07-19 12:09:04', NULL, NULL), (35892, '', '米市镇', 'cae376c5350b4b5f89601cb58677343e', 'ba5c8b4baf1a4b92abb22032856c6b38', 'True', 'True', 'false', 'false', '513432104000', 4, '米市镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513432104000', 1, '2021-07-19 12:09:04', NULL, NULL), (35893, '', '米市村', 'ebd112c254dd48e3be61e5b3de565010', 'cae376c5350b4b5f89601cb58677343e', 'False', 'False', 'false', 'false', '513432104200', 5, '米市村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432104200', 1, '2021-07-19 12:09:04', NULL, NULL), (35894, '', '瓦哈村', 'd1597134f5444a94a256214795986259', 'cae376c5350b4b5f89601cb58677343e', 'False', 'False', 'false', 'false', '513432104201', 5, '瓦哈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432104201', 1, '2021-07-19 12:09:04', NULL, NULL), (35895, '', '马多洛村', '7e7b743333274839a31327134e368160', 'cae376c5350b4b5f89601cb58677343e', 'False', 'False', 'false', 'false', '513432104202', 5, '马多洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432104202', 1, '2021-07-19 12:09:04', NULL, NULL), (35896, '', '来甘村', 'cd3920d39791439c844fdf86b0e5c220', 'cae376c5350b4b5f89601cb58677343e', 'False', 'False', 'false', 'false', '513432104203', 5, '来甘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432104203', 1, '2021-07-19 12:09:04', NULL, NULL), (35897, '', '根依灯村', '3163cd1b0dce450baa7141967f247675', 'cae376c5350b4b5f89601cb58677343e', 'False', 'False', 'false', 'false', '513432104204', 5, '根依灯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432104204', 1, '2021-07-19 12:09:04', NULL, NULL), (35898, '', '九书村', '87991a6a0f274d7ab51ac06cd58cc81b', 'cae376c5350b4b5f89601cb58677343e', 'False', 'False', 'false', 'false', '513432104205', 5, '九书村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432104205', 1, '2021-07-19 12:09:04', NULL, NULL), (35899, '', '尔夫村', 'bd2c5be68362467cae5e541e92c26cce', 'cae376c5350b4b5f89601cb58677343e', 'False', 'False', 'false', 'false', '513432104206', 5, '尔夫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432104206', 1, '2021-07-19 12:09:04', NULL, NULL), (35900, '', '莫色且莫村', '37795afe79794ee8accbc157cc285f78', 'cae376c5350b4b5f89601cb58677343e', 'False', 'False', 'false', 'false', '513432104207', 5, '莫色且莫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432104207', 1, '2021-07-19 12:09:04', NULL, NULL), (35901, '', '洛尔村', '8dca37abaf314377ad33bd379954fe0a', 'cae376c5350b4b5f89601cb58677343e', 'False', 'False', 'false', 'false', '513432104208', 5, '洛尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432104208', 1, '2021-07-19 12:09:05', NULL, NULL), (35902, '', '瓦吉村', 'bdabab20f36545659ed3744ad3073092', 'cae376c5350b4b5f89601cb58677343e', 'False', 'False', 'false', 'false', '513432104209', 5, '瓦吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432104209', 1, '2021-07-19 12:09:05', NULL, NULL), (35903, '', '色普村', '4d11f7a16c7e46b7abbf8cbe76c82dde', 'cae376c5350b4b5f89601cb58677343e', 'False', 'False', 'false', 'false', '513432104210', 5, '色普村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432104210', 1, '2021-07-19 12:09:05', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (35904, '', '洛哈镇', '823e077c10a74a5e8b2a9ac42c9b2c3c', 'ba5c8b4baf1a4b92abb22032856c6b38', 'True', 'True', 'false', 'false', '513432105000', 4, '洛哈镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513432105000', 1, '2021-07-19 12:09:05', NULL, NULL), (35905, '', '洛哈村', '5b02f6ffb83b4052aff11c9354794cad', '823e077c10a74a5e8b2a9ac42c9b2c3c', 'False', 'False', 'false', 'false', '513432105200', 5, '洛哈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432105200', 1, '2021-07-19 12:09:05', NULL, NULL), (35906, '', '马觉村', 'ea73cbf0a83a4515a353545b02817d59', '823e077c10a74a5e8b2a9ac42c9b2c3c', 'False', 'False', 'false', 'false', '513432105201', 5, '马觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432105201', 1, '2021-07-19 12:09:05', NULL, NULL), (35907, '', '坪其甘村', 'c93f004ce34643369ad89612f9242cab', '823e077c10a74a5e8b2a9ac42c9b2c3c', 'False', 'False', 'false', 'false', '513432105202', 5, '坪其甘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432105202', 1, '2021-07-19 12:09:05', NULL, NULL), (35908, '', '木古宜莫村', 'c9c991c8f8e448419eeba7f891a01d47', '823e077c10a74a5e8b2a9ac42c9b2c3c', 'False', 'False', 'false', 'false', '513432105203', 5, '木古宜莫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432105203', 1, '2021-07-19 12:09:05', NULL, NULL), (35909, '', '都来村', 'f17ceb20c00d4faa8a394eccd7678a4a', '823e077c10a74a5e8b2a9ac42c9b2c3c', 'False', 'False', 'false', 'false', '513432105204', 5, '都来村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432105204', 1, '2021-07-19 12:09:05', NULL, NULL), (35910, '', '洛子村', 'cb86321e87c94ba6afc9ec445d69d3a9', '823e077c10a74a5e8b2a9ac42c9b2c3c', 'False', 'False', 'false', 'false', '513432105205', 5, '洛子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432105205', 1, '2021-07-19 12:09:05', NULL, NULL), (35911, '', '正洛村', 'a66dbc4e5fa04cd0a1e9971d164282c3', '823e077c10a74a5e8b2a9ac42c9b2c3c', 'False', 'False', 'false', 'false', '513432105206', 5, '正洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432105206', 1, '2021-07-19 12:09:05', NULL, NULL), (35912, '', '阿洛村', '69faedfac98c496ca6b0d0da8adea30b', '823e077c10a74a5e8b2a9ac42c9b2c3c', 'False', 'False', 'false', 'false', '513432105207', 5, '阿洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432105207', 1, '2021-07-19 12:09:05', NULL, NULL), (35913, '', '尼波镇', '0efcb406b5e94126b7de649f4246027f', 'ba5c8b4baf1a4b92abb22032856c6b38', 'True', 'True', 'false', 'false', '513432106000', 4, '尼波镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513432106000', 1, '2021-07-19 12:09:05', NULL, NULL), (35914, '', '尼波村', '18e4ccbf9f964c8abb21b1d007687c4c', '0efcb406b5e94126b7de649f4246027f', 'False', 'False', 'false', 'false', '513432106200', 5, '尼波村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432106200', 1, '2021-07-19 12:09:06', NULL, NULL), (35915, '', '皆惹村', '5d69f2f055eb429a93f2c4fc808e1fe4', '0efcb406b5e94126b7de649f4246027f', 'False', 'False', 'false', 'false', '513432106201', 5, '皆惹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432106201', 1, '2021-07-19 12:09:06', NULL, NULL), (35916, '', '木支村', '84769238e8e142b8a86de1796dade21c', '0efcb406b5e94126b7de649f4246027f', 'False', 'False', 'false', 'false', '513432106202', 5, '木支村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432106202', 1, '2021-07-19 12:09:06', NULL, NULL), (35917, '', '打尔村', '68fd3b1c6a104b9a9f15ebed12652bc0', '0efcb406b5e94126b7de649f4246027f', 'False', 'False', 'false', 'false', '513432106203', 5, '打尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432106203', 1, '2021-07-19 12:09:06', NULL, NULL), (35918, '', '曲子洛村', '8f4b1f3c7bf14c2dbee5ae0f38de3ff9', '0efcb406b5e94126b7de649f4246027f', 'False', 'False', 'false', 'false', '513432106204', 5, '曲子洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432106204', 1, '2021-07-19 12:09:06', NULL, NULL), (35919, '', '甘洛村', 'aad7ac759b394812a73d6fa7f9954a0b', '0efcb406b5e94126b7de649f4246027f', 'False', 'False', 'false', 'false', '513432106205', 5, '甘洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432106205', 1, '2021-07-19 12:09:06', NULL, NULL), (35920, '', '尼觉村', '7ac9057688b74834955afe821fe8b979', '0efcb406b5e94126b7de649f4246027f', 'False', 'False', 'false', 'false', '513432106206', 5, '尼觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432106206', 1, '2021-07-19 12:09:06', NULL, NULL), (35921, '', '尔曲村', '55ed648b978b498980d7eb17e707ef97', '0efcb406b5e94126b7de649f4246027f', 'False', 'False', 'false', 'false', '513432106207', 5, '尔曲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432106207', 1, '2021-07-19 12:09:06', NULL, NULL), (35922, '', '觉巴村', 'd51237cec4fd4418a7ad590881734370', '0efcb406b5e94126b7de649f4246027f', 'False', 'False', 'false', 'false', '513432106208', 5, '觉巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432106208', 1, '2021-07-19 12:09:06', NULL, NULL), (35923, '', '哈司洛村', 'f8fe4849db0349e59beeb4de5e13415e', '0efcb406b5e94126b7de649f4246027f', 'False', 'False', 'false', 'false', '513432106209', 5, '哈司洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432106209', 1, '2021-07-19 12:09:06', NULL, NULL), (35924, '', '贺波洛乡', '5c3d6a8ae7fe4493bba75add0d5b9ab5', 'ba5c8b4baf1a4b92abb22032856c6b38', 'True', 'True', 'false', 'false', '513432202000', 4, '贺波洛乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513432202000', 1, '2021-07-19 12:09:06', NULL, NULL), (35925, '', '瓦吉村', 'f94024209e9c4e3a8cca9769829c7830', '5c3d6a8ae7fe4493bba75add0d5b9ab5', 'False', 'False', 'false', 'false', '513432202200', 5, '瓦吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432202200', 1, '2021-07-19 12:09:07', NULL, NULL), (35926, '', '四甘村', '6c8b5a90a2ec4037acb3335c4361a306', '5c3d6a8ae7fe4493bba75add0d5b9ab5', 'False', 'False', 'false', 'false', '513432202201', 5, '四甘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432202201', 1, '2021-07-19 12:09:07', NULL, NULL), (35927, '', '塔青村', 'd0765511440944fab6bb704cb509890c', '5c3d6a8ae7fe4493bba75add0d5b9ab5', 'False', 'False', 'false', 'false', '513432202202', 5, '塔青村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432202202', 1, '2021-07-19 12:09:07', NULL, NULL), (35928, '', '基打村', 'c1212e0b28bd4d4db1daa40bbb8e6c03', '5c3d6a8ae7fe4493bba75add0d5b9ab5', 'False', 'False', 'false', 'false', '513432202203', 5, '基打村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432202203', 1, '2021-07-19 12:09:07', NULL, NULL), (35929, '', '尔吉村', '12d96d6668544a42a6a15d44ff47794a', '5c3d6a8ae7fe4493bba75add0d5b9ab5', 'False', 'False', 'false', 'false', '513432202204', 5, '尔吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432202204', 1, '2021-07-19 12:09:07', NULL, NULL), (35930, '', '跃进村', '154f19e499f54e4f987588b9f9621f27', '5c3d6a8ae7fe4493bba75add0d5b9ab5', 'False', 'False', 'false', 'false', '513432202205', 5, '跃进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432202205', 1, '2021-07-19 12:09:07', NULL, NULL), (35931, '', '塔普村', 'a731ff0305ed4d69a19a5550ca64c8ca', '5c3d6a8ae7fe4493bba75add0d5b9ab5', 'False', 'False', 'false', 'false', '513432202206', 5, '塔普村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432202206', 1, '2021-07-19 12:09:07', NULL, NULL), (35932, '', '补尔村', '1087cee8ff5d452fb041f727c2a4b112', '5c3d6a8ae7fe4493bba75add0d5b9ab5', 'False', 'False', 'false', 'false', '513432202207', 5, '补尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432202207', 1, '2021-07-19 12:09:07', NULL, NULL), (35933, '', '桌古村', 'e44851facb144530bf85195e7ae45d5d', '5c3d6a8ae7fe4493bba75add0d5b9ab5', 'False', 'False', 'false', 'false', '513432202208', 5, '桌古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432202208', 1, '2021-07-19 12:09:07', NULL, NULL), (35934, '', '鲁基乡', 'a00cb515b653449797dc6207723969b1', 'ba5c8b4baf1a4b92abb22032856c6b38', 'True', 'True', 'false', 'false', '513432203000', 4, '鲁基乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513432203000', 1, '2021-07-19 12:09:08', NULL, NULL), (35935, '', '中坝村', '107ffe71ccf64c6fa48b7563258791c9', 'a00cb515b653449797dc6207723969b1', 'False', 'False', 'false', 'false', '513432203200', 5, '中坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432203200', 1, '2021-07-19 12:09:08', NULL, NULL), (35936, '', '依洛村', 'e7c42bbfe8ad4278addc1d0d7e419007', 'a00cb515b653449797dc6207723969b1', 'False', 'False', 'false', 'false', '513432203201', 5, '依洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432203201', 1, '2021-07-19 12:09:08', NULL, NULL), (35937, '', '鲁基村', '88976c77952c40c5ab5a51380f3ce9fe', 'a00cb515b653449797dc6207723969b1', 'False', 'False', 'false', 'false', '513432203202', 5, '鲁基村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432203202', 1, '2021-07-19 12:09:08', NULL, NULL), (35938, '', '大埂村', '8e4747fa18224ac0bdc66a3d1bdc17ea', 'a00cb515b653449797dc6207723969b1', 'False', 'False', 'false', 'false', '513432203203', 5, '大埂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432203203', 1, '2021-07-19 12:09:08', NULL, NULL), (35939, '', '坛罐窑村', 'dce841210ec9416fab368f7f3dbdccc3', 'a00cb515b653449797dc6207723969b1', 'False', 'False', 'false', 'false', '513432203204', 5, '坛罐窑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432203204', 1, '2021-07-19 12:09:08', NULL, NULL), (35940, '', '李子乡', '7856b7aed5654665a4e6fd5a45bf6ab0', 'ba5c8b4baf1a4b92abb22032856c6b38', 'True', 'True', 'false', 'false', '513432204000', 4, '李子乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513432204000', 1, '2021-07-19 12:09:08', NULL, NULL), (35941, '', '史觉村', 'a10e24fe1ecd4907ad623eb453cb79a2', '7856b7aed5654665a4e6fd5a45bf6ab0', 'False', 'False', 'false', 'false', '513432204200', 5, '史觉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432204200', 1, '2021-07-19 12:09:08', NULL, NULL), (35942, '', '博中村', '3d97d30dea1d47e191a3aaf031f10e92', '7856b7aed5654665a4e6fd5a45bf6ab0', 'False', 'False', 'false', 'false', '513432204201', 5, '博中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432204201', 1, '2021-07-19 12:09:08', NULL, NULL), (35943, '', '洛礼村', '0abb3dcbfdaa4548b87d0a951ffe852c', '7856b7aed5654665a4e6fd5a45bf6ab0', 'False', 'False', 'false', 'false', '513432204202', 5, '洛礼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432204202', 1, '2021-07-19 12:09:08', NULL, NULL), (35944, '', '大兴村', '7ecec839b8a242c3b126d03a5f41557b', '7856b7aed5654665a4e6fd5a45bf6ab0', 'False', 'False', 'false', 'false', '513432204203', 5, '大兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432204203', 1, '2021-07-19 12:09:08', NULL, NULL), (35945, '', '洛乃格村', 'fd4b4edc3eac44409bab62efadcefbb4', '7856b7aed5654665a4e6fd5a45bf6ab0', 'False', 'False', 'false', 'false', '513432204204', 5, '洛乃格村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432204204', 1, '2021-07-19 12:09:08', NULL, NULL), (35946, '', '北山乡', '4f4e97d6593a4c2cb93cc2c93bfd1e85', 'ba5c8b4baf1a4b92abb22032856c6b38', 'True', 'True', 'false', 'false', '513432205000', 4, '北山乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513432205000', 1, '2021-07-19 12:09:08', NULL, NULL), (35947, '', '羊朋村', 'b9f4b077aa574cadb206ad0fedf0e2fd', '4f4e97d6593a4c2cb93cc2c93bfd1e85', 'False', 'False', 'false', 'false', '513432205200', 5, '羊朋村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432205200', 1, '2021-07-19 12:09:08', NULL, NULL), (35948, '', '自哈村', '1931387ef6f643688ea137ccba8b88bc', '4f4e97d6593a4c2cb93cc2c93bfd1e85', 'False', 'False', 'false', 'false', '513432205201', 5, '自哈村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432205201', 1, '2021-07-19 12:09:08', NULL, NULL), (35949, '', '自日莫村', '47c3ea4ca6af4bd998f4f230f456077b', '4f4e97d6593a4c2cb93cc2c93bfd1e85', 'False', 'False', 'false', 'false', '513432205202', 5, '自日莫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432205202', 1, '2021-07-19 12:09:08', NULL, NULL), (35950, '', '北山村', '4424b1a082004321be53e8d6171918de', '4f4e97d6593a4c2cb93cc2c93bfd1e85', 'False', 'False', 'false', 'false', '513432205203', 5, '北山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432205203', 1, '2021-07-19 12:09:09', NULL, NULL), (35951, '', '瓦伍村', '3ad9db4dcb86409e9d8301eaf1f337d8', '4f4e97d6593a4c2cb93cc2c93bfd1e85', 'False', 'False', 'false', 'false', '513432205204', 5, '瓦伍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432205204', 1, '2021-07-19 12:09:09', NULL, NULL), (35952, '', '自都村', 'd50f77a8bd084261b7ebea8c0e376b6c', '4f4e97d6593a4c2cb93cc2c93bfd1e85', 'False', 'False', 'false', 'false', '513432205205', 5, '自都村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432205205', 1, '2021-07-19 12:09:09', NULL, NULL), (35953, '', '且拖乡', '4c0691cf6c4046edba470ed37fddaeea', 'ba5c8b4baf1a4b92abb22032856c6b38', 'True', 'True', 'false', 'false', '513432208000', 4, '且拖乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513432208000', 1, '2021-07-19 12:09:09', NULL, NULL), (35954, '', '联合村', '153d849b65004da2afd660c4a19c8289', '4c0691cf6c4046edba470ed37fddaeea', 'False', 'False', 'false', 'false', '513432298200', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432298200', 1, '2021-07-19 12:09:09', NULL, NULL), (35955, '', '且拖村', '64a2ec422f934c319b18f5b5fdcbf3b0', '4c0691cf6c4046edba470ed37fddaeea', 'False', 'False', 'false', 'false', '513432298201', 5, '且拖村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432298201', 1, '2021-07-19 12:09:09', NULL, NULL), (35956, '', '三呷果村', '3d022fa107764a3ab4760f54404b8d01', '4c0691cf6c4046edba470ed37fddaeea', 'False', 'False', 'false', 'false', '513432298202', 5, '三呷果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432298202', 1, '2021-07-19 12:09:09', NULL, NULL), (35957, '', '特洛村', 'ed3abb671905403ea6196b55a2a65479', '4c0691cf6c4046edba470ed37fddaeea', 'False', 'False', 'false', 'false', '513432298203', 5, '特洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432298203', 1, '2021-07-19 12:09:09', NULL, NULL), (35958, '', '瓦普阿莫村', 'aff6ddc96c7e42028d6da1b151958aab', '4c0691cf6c4046edba470ed37fddaeea', 'False', 'False', 'false', 'false', '513432298204', 5, '瓦普阿莫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432298204', 1, '2021-07-19 12:09:09', NULL, NULL), (35959, '', '沙马拉达乡', 'e037aa87265640289cb950e57dc0f129', 'ba5c8b4baf1a4b92abb22032856c6b38', 'True', 'True', 'false', 'false', '513432210000', 4, '沙马拉达乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513432210000', 1, '2021-07-19 12:09:10', NULL, NULL), (35960, '', '火把村', '1cfe89f6e7294ba88fb86d71ce07268c', 'e037aa87265640289cb950e57dc0f129', 'False', 'False', 'false', 'false', '513432210200', 5, '火把村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432210200', 1, '2021-07-19 12:09:10', NULL, NULL), (35961, '', '马布村', '8b457fb73e0e4a11b7520bdf56a6f969', 'e037aa87265640289cb950e57dc0f129', 'False', 'False', 'false', 'false', '513432210201', 5, '马布村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432210201', 1, '2021-07-19 12:09:10', NULL, NULL), (35962, '', '甘主村', 'cc6fff4616054fe998a0145edd1543cc', 'e037aa87265640289cb950e57dc0f129', 'False', 'False', 'false', 'false', '513432210202', 5, '甘主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432210202', 1, '2021-07-19 12:09:10', NULL, NULL), (35963, '', '沙马拉达村', 'b76e36d06bd248e39706b479f70073cc', 'e037aa87265640289cb950e57dc0f129', 'False', 'False', 'false', 'false', '513432210203', 5, '沙马拉达村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432210203', 1, '2021-07-19 12:09:10', NULL, NULL), (35964, '', '依子觉莫村', '529702e07e1c499587a4890a96047012', 'e037aa87265640289cb950e57dc0f129', 'False', 'False', 'false', 'false', '513432210204', 5, '依子觉莫村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432210204', 1, '2021-07-19 12:09:10', NULL, NULL), (35965, '', '铁口村', '22d6ebd6b0c443b3aef730041b73373a', 'e037aa87265640289cb950e57dc0f129', 'False', 'False', 'false', 'false', '513432210205', 5, '铁口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513432210205', 1, '2021-07-19 12:09:10', NULL, NULL), (35966, '', '冕宁县', '388d22d667a94d338a733df6a2467302', '5dd8920407b943de983b9b9f6f9dc6c7', 'True', 'True', 'false', 'false', '513433000000', 3, '冕宁县', 'lszmnx.sczwfw.gov.cn', 1, '2021-07-19 12:09:10', NULL, NULL), (35967, '', '高阳街道', 'f1c7ec20080848ca9b8c6a63fe6395a1', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433100000', 4, '高阳街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433100000', 1, '2021-07-19 12:09:10', NULL, NULL), (35968, '', '漫水湾镇', '6f6a8360eb384f57b4d925f9abb13de1', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433101000', 4, '漫水湾镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433101000', 1, '2021-07-19 12:09:10', NULL, NULL), (35969, '', '大桥镇', '680cc73797f04943af4978305f55241f', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433102000', 4, '大桥镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433102000', 1, '2021-07-19 12:09:10', NULL, NULL), (35970, '', '复兴镇', '97a9d26ae5de4ae98746b2f65a0b9374', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433103000', 4, '复兴镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433103000', 1, '2021-07-19 12:09:10', NULL, NULL), (35971, '', '泸沽镇', '41dcb3e112f64caba679b330b531425b', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433104000', 4, '泸沽镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433104000', 1, '2021-07-19 12:09:10', NULL, NULL), (35972, '', '彝海镇', 'a2799ba6e07c4c18a0c087207c7a6219', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433106000', 4, '彝海镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433106000', 1, '2021-07-19 12:09:10', NULL, NULL), (35973, '', '和爱藏族乡', '41de30377ab748939c1ec9b6ad3c34cb', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433107226', 4, '和爱藏族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433107226', 1, '2021-07-19 12:09:10', NULL, NULL), (35974, '', '若水镇', '04639a524888421caca13e34f49d605e', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433108000', 4, '若水镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433108000', 1, '2021-07-19 12:09:10', NULL, NULL), (35975, '', '河边镇', '22997373618b491f9ddf4f2783ea5bf8', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433109000', 4, '河边镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433109000', 1, '2021-07-19 12:09:10', NULL, NULL), (35976, '', '宏模镇', 'a6b47a2261814827b938667c15420b68', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433114000', 4, '宏模镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433114000', 1, '2021-07-19 12:09:11', NULL, NULL), (35977, '', '泽远镇', '4e358960860e4e4696609431756eff44', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433115000', 4, '泽远镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433115000', 1, '2021-07-19 12:09:11', NULL, NULL), (35978, '', '惠安镇', '6be5df39975a47eb897f636cd8579f62', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433213000', 4, '惠安镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433213000', 1, '2021-07-19 12:09:11', NULL, NULL), (35979, '', '磨房沟镇', '29de10c3ca0a43849e8903808ee9b8e4', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433220000', 4, '磨房沟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433220000', 1, '2021-07-19 12:09:11', NULL, NULL), (35980, '', '锦屏镇', '0ec79b8da4404dd9b7b7c6f7ed3fa8eb', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433223000', 4, '锦屏镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433223000', 1, '2021-07-19 12:09:11', NULL, NULL), (35981, '', '棉沙镇', 'a2b26558fa2c4f3fbe4ee15c6a38d659', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433227000', 4, '棉沙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433227000', 1, '2021-07-19 12:09:11', NULL, NULL), (35982, '', '新兴乡', '48ec52eadd5748fda7d08cc2ffb8ac3a', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433230000', 4, '新兴乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433230000', 1, '2021-07-19 12:09:11', NULL, NULL), (35983, '', '健美乡', '1092762d8cea4760b25c91a06c0b279f', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433231000', 4, '健美乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433231000', 1, '2021-07-19 12:09:11', NULL, NULL), (35984, '', '里庄镇', '5b2bb13cdefd4fe98eccb69bab2b0e51', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433247000', 4, '里庄镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433247000', 1, '2021-07-19 12:09:11', NULL, NULL), (35985, '', '石龙镇', 'f6fae795eee0485f886ff159d5f51066', '388d22d667a94d338a733df6a2467302', 'False', 'True', 'false', 'false', '513433548000', 4, '石龙镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513433548000', 1, '2021-07-19 12:09:11', NULL, NULL), (35986, '', '盐源县', 'ddc09c95cdee4746910524e6f9a10825', '5dd8920407b943de983b9b9f6f9dc6c7', 'True', 'True', 'false', 'false', '513423000000', 3, '盐源县', 'lszyyx.sczwfw.gov.cn', 1, '2021-07-19 12:09:11', NULL, NULL), (35987, '', '盐井街道', '12518b95945340c69c7ddefe38a25c4e', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423100000', 4, '盐井街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423100000', 1, '2021-07-19 12:09:11', NULL, NULL), (35988, '', '卫城镇', 'e6a6987ac2394a70bc389926a9432b52', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423101000', 4, '卫城镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423101000', 1, '2021-07-19 12:09:11', NULL, NULL), (35989, '', '梅雨镇', '25306bc086e94f4fbdbc77f96b7b5ff0', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423102000', 4, '梅雨镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423102000', 1, '2021-07-19 12:09:11', NULL, NULL), (35990, '', '白乌镇', '8a2d8bb6ac774e7bb4af0ea0237e2bf4', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423103000', 4, '白乌镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423103000', 1, '2021-07-19 12:09:12', NULL, NULL), (35991, '', '树河镇', 'd9552530475f4f52b04ad6036da2c26d', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423104000', 4, '树河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423104000', 1, '2021-07-19 12:09:12', NULL, NULL), (35992, '', '黄草镇', 'f436aa1f818b482aabfc722d7185c5f9', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423105000', 4, '黄草镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423105000', 1, '2021-07-19 12:09:12', NULL, NULL), (35993, '', '平川镇', 'ed21f5e2a30941828ad853cb555b79b3', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423106000', 4, '平川镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423106000', 1, '2021-07-19 12:09:12', NULL, NULL), (35994, '', '泸沽湖镇', 'a32f8784282d47c094d13f528a6d5ba3', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423107000', 4, '泸沽湖镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423107000', 1, '2021-07-19 12:09:12', NULL, NULL), (35995, '', '兴隆镇', 'cb9b695d47e1439789849489ab4b3829', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423202000', 4, '兴隆镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423202000', 1, '2021-07-19 12:09:12', NULL, NULL), (35996, '', '棉桠镇', '15fedb0dfb814f159e145ae58015943f', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423203000', 4, '棉桠镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423203000', 1, '2021-07-19 12:09:12', NULL, NULL), (35997, '', '润盐镇', 'cd6d9112276c45b9bcb127cc9c85d72b', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423204000', 4, '润盐镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423204000', 1, '2021-07-19 12:09:12', NULL, NULL), (35998, '', '藤桥乡', '5b423166c3874dcb9a1b3a3ae3aa26fd', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423206000', 4, '藤桥乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423206000', 1, '2021-07-19 12:09:12', NULL, NULL), (35999, '', '田湾乡', '11632c7820ea4e4a8a68a1a2f35f2dfd', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423207000', 4, '田湾乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423207000', 1, '2021-07-19 12:09:12', NULL, NULL), (36000, '', '盐塘镇', '71b2d9f0d208457aac1db64d244d1441', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423210000', 4, '盐塘镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423210000', 1, '2021-07-19 12:09:12', NULL, NULL), (36001, '', '金河镇', '2ac3babbaffc425aa987f27bd797f9a8', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423214000', 4, '金河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423214000', 1, '2021-07-19 12:09:12', NULL, NULL), (36002, '', '右所乡', '3c600cedc7fd4787b62f1aac1dd005e6', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423215000', 4, '右所乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423215000', 1, '2021-07-19 12:09:12', NULL, NULL), (36003, '', '官地镇', 'c92cda101db040389952bedceb7f0f11', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423216000', 4, '官地镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423216000', 1, '2021-07-19 12:09:13', NULL, NULL), (36004, '', '长柏镇', '5bd00ad867b84d53a9df5dc3aaad4c8e', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423218000', 4, '长柏镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423218000', 1, '2021-07-19 12:09:13', NULL, NULL), (36005, '', '龙塘镇', 'b650bdf50e034281bf56be31913593cf', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423220000', 4, '龙塘镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423220000', 1, '2021-07-19 12:09:13', NULL, NULL), (36006, '', '甲米镇', 'af8500e15d0243fe96f97e1de5d6680c', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423221000', 4, '甲米镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423221000', 1, '2021-07-19 12:09:13', NULL, NULL), (36007, '', '沃底乡', '7bdd5a519dd346aaa21db948f60eb68d', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423222000', 4, '沃底乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423222000', 1, '2021-07-19 12:09:13', NULL, NULL), (36008, '', '大坡乡', '49ebbb206b1c4c9b9069033a9b8dd240', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423223000', 4, '大坡乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423223000', 1, '2021-07-19 12:09:13', NULL, NULL), (36009, '', '洼里乡', 'ef5930e35fe247eba5e94e88eeaee47c', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423224000', 4, '洼里乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423224000', 1, '2021-07-19 12:09:13', NULL, NULL), (36010, '', '梅子坪镇', '7770cbbdd68e4c20ab7655684af4d279', 'ddc09c95cdee4746910524e6f9a10825', 'False', 'True', 'false', 'false', '513423225000', 4, '梅子坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513423225000', 1, '2021-07-19 12:09:13', NULL, NULL), (36011, '', '木里藏族自治县', '3987eef143634ed18f6bb2de9a4823de', '5dd8920407b943de983b9b9f6f9dc6c7', 'True', 'True', 'false', 'false', '513422000000', 3, '木里县', 'lszmlx.sczwfw.gov.cn', 1, '2021-07-19 12:09:13', NULL, NULL), (36012, '', '乔瓦镇', 'cfefa178aea5441d9feac64b80d22538', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422100000', 4, '乔瓦镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422100000', 1, '2021-07-19 12:09:13', NULL, NULL), (36013, '', '喜珠林社区', '742327140909446399a8266985c5a736', 'cfefa178aea5441d9feac64b80d22538', 'False', 'True', 'false', 'false', '513422100001', 5, '喜珠林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422100001', 1, '2021-07-19 12:09:13', NULL, NULL), (36014, '', '德瓦金社区', '7b9779afa632463cb9ca7b45be5034dc', 'cfefa178aea5441d9feac64b80d22538', 'False', 'True', 'false', 'false', '513422100002', 5, '德瓦金社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422100002', 1, '2021-07-19 12:09:13', NULL, NULL), (36015, '', '达吉林社区', '6ef46f90d5e9404593e0ed868114c7aa', 'cfefa178aea5441d9feac64b80d22538', 'False', 'True', 'false', 'false', '513422100003', 5, '达吉林社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422100003', 1, '2021-07-19 12:09:14', NULL, NULL), (36016, '', '娃日瓦村', '0e176230ceae4febaa6c11455490a9dd', 'cfefa178aea5441d9feac64b80d22538', 'False', 'True', 'false', 'false', '513422100200', 5, '娃日瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422100200', 1, '2021-07-19 12:09:14', NULL, NULL), (36017, '', '锄头湾村', 'ccbdc65203d84341962fb4673c80f0e2', 'cfefa178aea5441d9feac64b80d22538', 'False', 'True', 'false', 'false', '513422100201', 5, '锄头湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422100201', 1, '2021-07-19 12:09:14', NULL, NULL), (36018, '', '簸箕箩村', 'cee3a9e0bda74edd96c23346ba82e555', 'cfefa178aea5441d9feac64b80d22538', 'False', 'True', 'false', 'false', '513422100202', 5, '簸箕箩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422100202', 1, '2021-07-19 12:09:14', NULL, NULL), (36019, '', '瓦厂镇', 'c161e4e0150c42cda8cee2ef1080e852', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422101000', 4, '瓦厂镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422101000', 1, '2021-07-19 12:09:14', NULL, NULL), (36020, '', '桃巴村', '2a67675856a5443d870a0d099d4d2aeb', 'c161e4e0150c42cda8cee2ef1080e852', 'False', 'False', 'false', 'false', '513422101200', 5, '桃巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422101200', 1, '2021-07-19 12:09:14', NULL, NULL), (36021, '', '君依村', '20f3fade20934ed3a58d208d67bb4c07', 'c161e4e0150c42cda8cee2ef1080e852', 'False', 'True', 'false', 'false', '513422101201', 5, '君依村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422101201', 1, '2021-07-19 12:09:14', NULL, NULL), (36022, '', '夺卡村', '527d45852aec40a793c8310270a9a87f', 'c161e4e0150c42cda8cee2ef1080e852', 'False', 'True', 'false', 'false', '513422101202', 5, '夺卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422101202', 1, '2021-07-19 12:09:14', NULL, NULL), (36023, '', '纳子店村', '9dd6805591134e0a928cc60dc472bdb4', 'c161e4e0150c42cda8cee2ef1080e852', 'False', 'True', 'false', 'false', '513422101203', 5, '纳子店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422101203', 1, '2021-07-19 12:09:14', NULL, NULL), (36024, '', '茶布朗镇', '1709485b69f94bf69261937425394502', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422102000', 4, '茶布朗镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422102000', 1, '2021-07-19 12:09:14', NULL, NULL), (36025, '', '然面村', 'b77990a051dd4b25ac98a971c4c504f7', '1709485b69f94bf69261937425394502', 'False', 'True', 'false', 'false', '513422102200', 5, '然面村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422102200', 1, '2021-07-19 12:09:14', NULL, NULL), (36026, '', '东子村', '6a4532667c3c4d8caad7eb11d52bfa03', '1709485b69f94bf69261937425394502', 'False', 'True', 'false', 'false', '513422102201', 5, '东子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422102201', 1, '2021-07-19 12:09:15', NULL, NULL), (36027, '', '娃子店村', '7973fc5bc0f6454e97136a28af63a44c', '1709485b69f94bf69261937425394502', 'False', 'True', 'false', 'false', '513422102202', 5, '娃子店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422102202', 1, '2021-07-19 12:09:15', NULL, NULL), (36028, '', '雅砻江镇', '2d5047131ec24f498c7edfaf0ddc3881', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422103000', 4, '雅砻江镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422103000', 1, '2021-07-19 12:09:15', NULL, NULL), (36029, '', '中铺子村', '9c5d6f07d71f4e4ebb76e4cdc25b28e2', '2d5047131ec24f498c7edfaf0ddc3881', 'False', 'True', 'false', 'false', '513422103200', 5, '中铺子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422103200', 1, '2021-07-19 12:09:15', NULL, NULL), (36030, '', '立尔村', '4a4e54eb66a942c7b3ad15f4d388bc56', '2d5047131ec24f498c7edfaf0ddc3881', 'False', 'True', 'false', 'false', '513422103201', 5, '立尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422103201', 1, '2021-07-19 12:09:15', NULL, NULL), (36031, '', '尼波村', '07cc8842ab3045299b38a1e1e5e625ee', '2d5047131ec24f498c7edfaf0ddc3881', 'False', 'True', 'false', 'false', '513422103202', 5, '尼波村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422103202', 1, '2021-07-19 12:09:15', NULL, NULL), (36032, '', '里尼村', '20f147106eb24eb5a1d27a51b0c303fa', '2d5047131ec24f498c7edfaf0ddc3881', 'False', 'True', 'false', 'false', '513422103203', 5, '里尼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422103203', 1, '2021-07-19 12:09:15', NULL, NULL), (36033, '', '博科乡', '8261bc11f8bb40cb9a8d0a3b54e4bc94', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422201000', 4, '博科乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422201000', 1, '2021-07-19 12:09:15', NULL, NULL), (36034, '', '洛纳村', '8a7ade4001724e109034cf8c42f64bc3', '8261bc11f8bb40cb9a8d0a3b54e4bc94', 'False', 'True', 'false', 'false', '513422201200', 5, '洛纳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422201200', 1, '2021-07-19 12:09:15', NULL, NULL), (36035, '', '博科村', '8d8cd64054de407ca5dfb5592d85bf66', '8261bc11f8bb40cb9a8d0a3b54e4bc94', 'False', 'True', 'false', 'false', '513422201201', 5, '博科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422201201', 1, '2021-07-19 12:09:15', NULL, NULL), (36036, '', '日古村', '69264b8f3ea84ba0935712308fb198f3', '8261bc11f8bb40cb9a8d0a3b54e4bc94', 'False', 'True', 'false', 'false', '513422201202', 5, '日古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422201202', 1, '2021-07-19 12:09:15', NULL, NULL), (36037, '', '八科村', '46411bb750b74f80ab40910356b1b90d', '8261bc11f8bb40cb9a8d0a3b54e4bc94', 'False', 'True', 'false', 'false', '513422201203', 5, '八科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422201203', 1, '2021-07-19 12:09:16', NULL, NULL), (36038, '', '干海子村', '3a101c4e96594f5aa04c26652580fca7', '8261bc11f8bb40cb9a8d0a3b54e4bc94', 'False', 'False', 'false', 'false', '513422201204', 5, '干海子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422201204', 1, '2021-07-19 12:09:16', NULL, NULL), (36039, '', '宁郎乡', 'dafe0a6c19db4c63819c8bde1e324a65', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422202000', 4, '宁郎乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422202000', 1, '2021-07-19 12:09:16', NULL, NULL), (36040, '', '下博瓦村', 'fddf3a9931dc480485d536f29e62a243', 'dafe0a6c19db4c63819c8bde1e324a65', 'False', 'True', 'false', 'false', '513422202200', 5, '下博瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422202200', 1, '2021-07-19 12:09:16', NULL, NULL), (36041, '', '甲店村', '73581a6e17cb4a049610ce837d5e372f', 'dafe0a6c19db4c63819c8bde1e324a65', 'False', 'True', 'false', 'false', '513422202201', 5, '甲店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422202201', 1, '2021-07-19 12:09:16', NULL, NULL), (36042, '', '则洛村', 'a6bbf1c2b3c74a0a9fafe7709351bf9f', 'dafe0a6c19db4c63819c8bde1e324a65', 'False', 'True', 'false', 'false', '513422202202', 5, '则洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422202202', 1, '2021-07-19 12:09:16', NULL, NULL), (36043, '', '依吉乡', '413d178816154e44a0dc652d6e1e4363', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422203000', 4, '依吉乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422203000', 1, '2021-07-19 12:09:16', NULL, NULL), (36044, '', '雨初村', '6313e2b3715c4014805648b4981de6fe', '413d178816154e44a0dc652d6e1e4363', 'False', 'True', 'false', 'false', '513422203200', 5, '雨初村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422203200', 1, '2021-07-19 12:09:16', NULL, NULL), (36045, '', '麦洛村', 'c1023daed81e48beb73c79638ea0f367', '413d178816154e44a0dc652d6e1e4363', 'False', 'True', 'false', 'false', '513422203201', 5, '麦洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422203201', 1, '2021-07-19 12:09:16', NULL, NULL), (36046, '', '蚕多村', '88cc7338c46f479e8081b8b4d3777af5', '413d178816154e44a0dc652d6e1e4363', 'False', 'True', 'false', 'false', '513422203202', 5, '蚕多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422203202', 1, '2021-07-19 12:09:16', NULL, NULL), (36047, '', '俄亚纳西族乡', '3494a76b4b9246bbb10ca3aa47f45ea3', '3987eef143634ed18f6bb2de9a4823de', 'False', 'True', 'false', 'false', '513422204000', 4, '俄亚纳西族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422204000', 1, '2021-07-19 12:09:16', NULL, NULL), (36048, '', '水洛镇', '0049d41744e947a29c3baff30aed2309', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422205000', 4, '水洛镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422205000', 1, '2021-07-19 12:09:16', NULL, NULL), (36049, '', '其拉村', 'ae57083804344c6f8618d688479aea22', '0049d41744e947a29c3baff30aed2309', 'False', 'True', 'false', 'false', '513422205200', 5, '其拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422205200', 1, '2021-07-19 12:09:17', NULL, NULL), (36050, '', '东拉村', 'bad2dc15c9224b4ea6633e490b8bff7c', '0049d41744e947a29c3baff30aed2309', 'False', 'True', 'false', 'false', '513422205201', 5, '东拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422205201', 1, '2021-07-19 12:09:17', NULL, NULL), (36051, '', '平翁村', '593c1d760fed45c0af8fc0ca71d869c7', '0049d41744e947a29c3baff30aed2309', 'False', 'True', 'false', 'false', '513422205202', 5, '平翁村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422205202', 1, '2021-07-19 12:09:17', NULL, NULL), (36052, '', '两保村', 'aa1dd2e7b1fb4107ac8b8a75f6a0ee7a', '0049d41744e947a29c3baff30aed2309', 'False', 'True', 'false', 'false', '513422205203', 5, '两保村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422205203', 1, '2021-07-19 12:09:17', NULL, NULL), (36053, '', '古尼村', '116265885327438ab59fd6b6fb4ba3ec', '0049d41744e947a29c3baff30aed2309', 'False', 'True', 'false', 'false', '513422205204', 5, '古尼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422205204', 1, '2021-07-19 12:09:17', NULL, NULL), (36054, '', '严保村', 'ac2c8299467c4c4b8a957661178f190b', '0049d41744e947a29c3baff30aed2309', 'False', 'True', 'false', 'false', '513422205205', 5, '严保村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422205205', 1, '2021-07-19 12:09:17', NULL, NULL), (36055, '', '牦牛坪乡', '293b5da662704ee9adbfd5c3f8893b49', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422206000', 4, '牦牛坪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422206000', 1, '2021-07-19 12:09:17', NULL, NULL), (36056, '', '下坪子村', '1ca15e2c30094326adb950b82afb30c4', '293b5da662704ee9adbfd5c3f8893b49', 'False', 'True', 'false', 'false', '513422206200', 5, '下坪子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422206200', 1, '2021-07-19 12:09:17', NULL, NULL), (36057, '', '叶村村', '8e3538c944ab49bf9e71278f7996adad', '293b5da662704ee9adbfd5c3f8893b49', 'False', 'True', 'false', 'false', '513422206201', 5, '叶村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422206201', 1, '2021-07-19 12:09:17', NULL, NULL), (36058, '', '泥珠村', '566b367f0cf346cd9acbaf8659f16b4e', '293b5da662704ee9adbfd5c3f8893b49', 'False', 'True', 'false', 'false', '513422206202', 5, '泥珠村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422206202', 1, '2021-07-19 12:09:17', NULL, NULL), (36059, '', '屋脚蒙古族乡', '2f6a0bb7347d4ea09836bc3766a7f513', '3987eef143634ed18f6bb2de9a4823de', 'False', 'True', 'false', 'false', '513422207000', 4, '屋脚蒙古族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422207000', 1, '2021-07-19 12:09:17', NULL, NULL), (36060, '', '项脚蒙古族乡', '565f5f9a22b547bbb67925d7ece8b2cc', '3987eef143634ed18f6bb2de9a4823de', 'False', 'True', 'false', 'false', '513422208000', 4, '项脚蒙古族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422208000', 1, '2021-07-19 12:09:18', NULL, NULL), (36061, '', '李子坪乡', '3570890d41774f52a2c85018d8a53f90', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422209000', 4, '李子坪乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422209000', 1, '2021-07-19 12:09:18', NULL, NULL), (36062, '', '黄泥巴村', '965b3ddf681d46cca3ccb0ae3e86eb1d', '3570890d41774f52a2c85018d8a53f90', 'False', 'True', 'false', 'false', '513422209200', 5, '黄泥巴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422209200', 1, '2021-07-19 12:09:18', NULL, NULL), (36063, '', '百草坪村', 'e08f3c088a4841c491597fd69fdf9d22', '3570890d41774f52a2c85018d8a53f90', 'False', 'True', 'false', 'false', '513422209201', 5, '百草坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422209201', 1, '2021-07-19 12:09:18', NULL, NULL), (36064, '', '金子沟村', '296f2e7aef0e4840b8723d7c392c35ea', '3570890d41774f52a2c85018d8a53f90', 'False', 'True', 'false', 'false', '513422209202', 5, '金子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422209202', 1, '2021-07-19 12:09:18', NULL, NULL), (36065, '', '列瓦镇', 'e59859250fdf430585ba77a55759a28b', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422210000', 4, '列瓦镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422210000', 1, '2021-07-19 12:09:18', NULL, NULL), (36066, '', '列瓦村', '4bca6670148942a2b5e3feead82be0d2', 'e59859250fdf430585ba77a55759a28b', 'False', 'True', 'false', 'false', '513422210200', 5, '列瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422210200', 1, '2021-07-19 12:09:18', NULL, NULL), (36067, '', '碾水村', '53164763cf224ce6b34f9b26a92ea36f', 'e59859250fdf430585ba77a55759a28b', 'False', 'True', 'false', 'false', '513422210201', 5, '碾水村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422210201', 1, '2021-07-19 12:09:18', NULL, NULL), (36068, '', '羊棚子村', '7f193f7872f045a5b0c1001b4079e1f2', 'e59859250fdf430585ba77a55759a28b', 'False', 'True', 'false', 'false', '513422210202', 5, '羊棚子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422210202', 1, '2021-07-19 12:09:18', NULL, NULL), (36069, '', '洼下村', 'd1e9a13fa07a4ba9bd0165cf875e8629', 'e59859250fdf430585ba77a55759a28b', 'False', 'True', 'false', 'false', '513422210203', 5, '洼下村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422210203', 1, '2021-07-19 12:09:18', NULL, NULL), (36070, '', '西秋乡', '119e7819a74444dc87ef526f753603e0', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422213000', 4, '西秋乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422213000', 1, '2021-07-19 12:09:18', NULL, NULL), (36071, '', '咪垭村', '2a7549f827944825a6b12c8d1fcea7cd', '119e7819a74444dc87ef526f753603e0', 'False', 'True', 'false', 'false', '513422213200', 5, '咪垭村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422213200', 1, '2021-07-19 12:09:18', NULL, NULL), (36072, '', '日布佐村', '49e3d21ffbab49b7bd64049b702d543a', '119e7819a74444dc87ef526f753603e0', 'False', 'True', 'false', 'false', '513422213201', 5, '日布佐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422213201', 1, '2021-07-19 12:09:18', NULL, NULL), (36073, '', '咪核村', 'cdd03d31ca4e46eaa7ac0acfea01067c', '119e7819a74444dc87ef526f753603e0', 'False', 'True', 'false', 'false', '513422213202', 5, '咪核村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422213202', 1, '2021-07-19 12:09:18', NULL, NULL), (36074, '', '克尔乡', 'c72aff63555241a0b0c00bc88d3e028a', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422214000', 4, '克尔乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422214000', 1, '2021-07-19 12:09:18', NULL, NULL), (36075, '', '彭姑村', '0e4e1cdba42c45a0b10b0f0e9e0d71d3', 'c72aff63555241a0b0c00bc88d3e028a', 'False', 'True', 'false', 'false', '513422214200', 5, '彭姑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422214200', 1, '2021-07-19 12:09:19', NULL, NULL), (36076, '', '阴山村', '2529d327b1a14992b183f046f611d169', 'c72aff63555241a0b0c00bc88d3e028a', 'False', 'True', 'false', 'false', '513422214201', 5, '阴山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422214201', 1, '2021-07-19 12:09:19', NULL, NULL), (36077, '', '宣洼村', '8028c0087da8469ba9789734ec32e9e9', 'c72aff63555241a0b0c00bc88d3e028a', 'False', 'True', 'false', 'false', '513422214202', 5, '宣洼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422214202', 1, '2021-07-19 12:09:19', NULL, NULL), (36078, '', '白碉苗族乡', 'b0b651e168b54e6f967fd8becd9333a8', '3987eef143634ed18f6bb2de9a4823de', 'False', 'True', 'false', 'false', '513422215000', 4, '白碉苗族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422215000', 1, '2021-07-19 12:09:19', NULL, NULL), (36079, '', '三桷垭乡', '220bb1d9381a4b3fa0179c25def987f0', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422216000', 4, '三桷垭乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422216000', 1, '2021-07-19 12:09:19', NULL, NULL), (36080, '', '里铺村', '67328d42968c4963aa6f94ca5ec1a4e4', '220bb1d9381a4b3fa0179c25def987f0', 'False', 'True', 'false', 'false', '513422216200', 5, '里铺村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422216200', 1, '2021-07-19 12:09:19', NULL, NULL), (36081, '', '茶地沟村', '3157bc0663b6411c8fcc570b35811074', '220bb1d9381a4b3fa0179c25def987f0', 'False', 'True', 'false', 'false', '513422216201', 5, '茶地沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422216201', 1, '2021-07-19 12:09:19', NULL, NULL), (36082, '', '三家铺子村', 'da400bb8b76849feaf5c2c44e74e9adc', '220bb1d9381a4b3fa0179c25def987f0', 'False', 'True', 'false', 'false', '513422216202', 5, '三家铺子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422216202', 1, '2021-07-19 12:09:19', NULL, NULL), (36083, '', '高房子村', '698ff43c2843499eabf7eaa6da373e0e', '220bb1d9381a4b3fa0179c25def987f0', 'False', 'True', 'false', 'false', '513422216203', 5, '高房子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422216203', 1, '2021-07-19 12:09:19', NULL, NULL), (36084, '', '鸡毛店村', 'f01e12f4a99a41d2841de2da8d2db633', '220bb1d9381a4b3fa0179c25def987f0', 'False', 'True', 'false', 'false', '513422216204', 5, '鸡毛店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422216204', 1, '2021-07-19 12:09:19', NULL, NULL), (36085, '', '倮波乡', 'e4992b882b83400f9dfc7b0a0c70507a', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422217000', 4, '倮波乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422217000', 1, '2021-07-19 12:09:19', NULL, NULL), (36086, '', '干海子村', '3515b4d86d644e8083a1d3b870176ab7', 'e4992b882b83400f9dfc7b0a0c70507a', 'False', 'False', 'false', 'false', '513422217200', 5, '干海子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422217200', 1, '2021-07-19 12:09:19', NULL, NULL), (36087, '', '龙卧洞村', '3456d879ae364341b3c9d47eb3e6229e', 'e4992b882b83400f9dfc7b0a0c70507a', 'False', 'True', 'false', 'false', '513422217201', 5, '龙卧洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422217201', 1, '2021-07-19 12:09:19', NULL, NULL), (36088, '', '瓦岗村', 'a8f200ef3769456c908519ef4af9221f', 'e4992b882b83400f9dfc7b0a0c70507a', 'False', 'True', 'false', 'false', '513422217202', 5, '瓦岗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422217202', 1, '2021-07-19 12:09:19', NULL, NULL), (36089, '', '磨子沟村', '0bbcd7ee3bf146f7b869fae9651cd2c7', 'e4992b882b83400f9dfc7b0a0c70507a', 'False', 'True', 'false', 'false', '513422217203', 5, '磨子沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422217203', 1, '2021-07-19 12:09:20', NULL, NULL), (36090, '', '陇东村', '8fd6a201aae8411dae4255c836daa00b', 'e4992b882b83400f9dfc7b0a0c70507a', 'False', 'True', 'false', 'false', '513422217204', 5, '陇东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422217204', 1, '2021-07-19 12:09:20', NULL, NULL), (36091, '', '卡拉乡', '216960b80c18403fb4f92fc20d1590ab', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422218000', 4, '卡拉乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422218000', 1, '2021-07-19 12:09:20', NULL, NULL), (36092, '', '麻撒村', '9770999943a4441aa8ffea855056a60c', '216960b80c18403fb4f92fc20d1590ab', 'False', 'True', 'false', 'false', '513422218200', 5, '麻撒村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422218200', 1, '2021-07-19 12:09:20', NULL, NULL), (36093, '', '田镇村', '879237dd9b0744db90842f429338b239', '216960b80c18403fb4f92fc20d1590ab', 'False', 'True', 'false', 'false', '513422218201', 5, '田镇村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422218201', 1, '2021-07-19 12:09:20', NULL, NULL), (36094, '', '卡拉村', '219bdbe5270b47a29173f9fbf78c4eb2', '216960b80c18403fb4f92fc20d1590ab', 'False', 'True', 'false', 'false', '513422218202', 5, '卡拉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422218202', 1, '2021-07-19 12:09:20', NULL, NULL), (36095, '', '玛瑙村', 'ec74f81629d646b0befe9dd5ec4de10b', '216960b80c18403fb4f92fc20d1590ab', 'False', 'True', 'false', 'false', '513422218203', 5, '玛瑙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422218203', 1, '2021-07-19 12:09:20', NULL, NULL), (36096, '', '苦苦村', '64757a50f81c4984a832c21920f1fa59', '216960b80c18403fb4f92fc20d1590ab', 'False', 'True', 'false', 'false', '513422218204', 5, '苦苦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422218204', 1, '2021-07-19 12:09:20', NULL, NULL), (36097, '', '草坪村', 'dde6d60b564545db9c0018f82e8ee7af', '216960b80c18403fb4f92fc20d1590ab', 'False', 'True', 'false', 'false', '513422218205', 5, '草坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422218205', 1, '2021-07-19 12:09:20', NULL, NULL), (36098, '', '央沟村', 'a2aeec61489343b3832de16e2a6b07dc', '216960b80c18403fb4f92fc20d1590ab', 'False', 'True', 'false', 'false', '513422218206', 5, '央沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422218206', 1, '2021-07-19 12:09:20', NULL, NULL), (36099, '', '后所乡', '1b6efa40dd584ec492168b0ce1083c0f', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422219000', 4, '后所乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422219000', 1, '2021-07-19 12:09:20', NULL, NULL), (36100, '', '呷古村', '61da06bb61594c81b7eeea15117f96c0', '1b6efa40dd584ec492168b0ce1083c0f', 'False', 'True', 'false', 'false', '513422219200', 5, '呷古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422219200', 1, '2021-07-19 12:09:20', NULL, NULL), (36101, '', '岩里村', '620594fdd54a4722a50d848c832013b2', '1b6efa40dd584ec492168b0ce1083c0f', 'False', 'True', 'false', 'false', '513422219201', 5, '岩里村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422219201', 1, '2021-07-19 12:09:20', NULL, NULL), (36102, '', '中心村', 'c88872162f474bd387856a095d722845', '1b6efa40dd584ec492168b0ce1083c0f', 'False', 'True', 'false', 'false', '513422219202', 5, '中心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422219202', 1, '2021-07-19 12:09:20', NULL, NULL), (36103, '', '田坝村', '062e31cb026242a6847328151cee2d6a', '1b6efa40dd584ec492168b0ce1083c0f', 'False', 'True', 'false', 'false', '513422219203', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422219203', 1, '2021-07-19 12:09:20', NULL, NULL), (36104, '', '上野洛村', '23296140574941adba1ece23e61e205e', '1b6efa40dd584ec492168b0ce1083c0f', 'False', 'True', 'false', 'false', '513422219204', 5, '上野洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422219204', 1, '2021-07-19 12:09:20', NULL, NULL), (36105, '', '沙湾乡', 'c2134070863f4ecfb663754b73bf71b8', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422220000', 4, '沙湾乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422220000', 1, '2021-07-19 12:09:20', NULL, NULL), (36106, '', '沙湾村', 'c05bed2458b541138cd75e4b865ca3df', 'c2134070863f4ecfb663754b73bf71b8', 'False', 'True', 'false', 'false', '513422220200', 5, '沙湾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422220200', 1, '2021-07-19 12:09:21', NULL, NULL), (36107, '', '麻窝村', '32d309fb2d794b1993d106e29203f616', 'c2134070863f4ecfb663754b73bf71b8', 'False', 'True', 'false', 'false', '513422220201', 5, '麻窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422220201', 1, '2021-07-19 12:09:21', NULL, NULL), (36108, '', '打卡村', '11f577ade5b94985b289f4b88024248a', 'c2134070863f4ecfb663754b73bf71b8', 'False', 'True', 'false', 'false', '513422220202', 5, '打卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422220202', 1, '2021-07-19 12:09:21', NULL, NULL), (36109, '', '纳瓦村', '1bfb73c93d544fd6bd8a212126d00f94', 'c2134070863f4ecfb663754b73bf71b8', 'False', 'True', 'false', 'false', '513422220203', 5, '纳瓦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422220203', 1, '2021-07-19 12:09:21', NULL, NULL), (36110, '', '固增苗族乡', '8a7ac51277664790af02b0189fd9b7f0', '3987eef143634ed18f6bb2de9a4823de', 'False', 'True', 'false', 'false', '513422222000', 4, '固增苗族乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422222000', 1, '2021-07-19 12:09:21', NULL, NULL), (36111, '', '麦日乡', '8a84728551ff4e08ac6906065781ff9a', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422223000', 4, '麦日乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422223000', 1, '2021-07-19 12:09:21', NULL, NULL), (36112, '', '曲公村', '3548fe3324ae4a7e8c451299ad91e021', '8a84728551ff4e08ac6906065781ff9a', 'False', 'True', 'false', 'false', '513422223200', 5, '曲公村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422223200', 1, '2021-07-19 12:09:21', NULL, NULL), (36113, '', '日龙村', 'd5e254ae81bd4d54819880c45758075f', '8a84728551ff4e08ac6906065781ff9a', 'False', 'True', 'false', 'false', '513422223201', 5, '日龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422223201', 1, '2021-07-19 12:09:21', NULL, NULL), (36114, '', '哈朗村', 'ad877ed98fce40fd86b9a5e7fe0956f9', '8a84728551ff4e08ac6906065781ff9a', 'False', 'True', 'false', 'false', '513422223202', 5, '哈朗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422223202', 1, '2021-07-19 12:09:21', NULL, NULL), (36115, '', '格伊村', '32e0d3719af84eb784f257de2fe13751', '8a84728551ff4e08ac6906065781ff9a', 'False', 'True', 'false', 'false', '513422223203', 5, '格伊村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422223203', 1, '2021-07-19 12:09:21', NULL, NULL), (36116, '', '东朗乡', 'f98683cb3d30456ca40ed4dc01776c2f', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422224000', 4, '东朗乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422224000', 1, '2021-07-19 12:09:21', NULL, NULL), (36117, '', '绒佐村', '97ff72b444cd41318fed7199f9eb7f8d', 'f98683cb3d30456ca40ed4dc01776c2f', 'False', 'True', 'false', 'false', '513422224200', 5, '绒佐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422224200', 1, '2021-07-19 12:09:21', NULL, NULL), (36118, '', '亚英村', '6888ef1366b34d0ab855473e3d44b76a', 'f98683cb3d30456ca40ed4dc01776c2f', 'False', 'True', 'false', 'false', '513422224201', 5, '亚英村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422224201', 1, '2021-07-19 12:09:21', NULL, NULL), (36119, '', '向阳村', 'dfb4c8b03dab41ecbc0d94eacbfff325', 'f98683cb3d30456ca40ed4dc01776c2f', 'False', 'True', 'false', 'false', '513422224202', 5, '向阳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422224202', 1, '2021-07-19 12:09:21', NULL, NULL), (36120, '', '唐央乡', '38a251a6166c4228a173190de5bab3cd', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422225000', 4, '唐央乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422225000', 1, '2021-07-19 12:09:22', NULL, NULL), (36121, '', '普尔村', '1720471639694264aa95032fa7eda258', '38a251a6166c4228a173190de5bab3cd', 'False', 'True', 'false', 'false', '513422225200', 5, '普尔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422225200', 1, '2021-07-19 12:09:22', NULL, NULL), (36122, '', '格茸村', '6a1615a7daba40a796279796ac2eb43f', '38a251a6166c4228a173190de5bab3cd', 'False', 'True', 'false', 'false', '513422225201', 5, '格茸村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422225201', 1, '2021-07-19 12:09:22', NULL, NULL), (36123, '', '桐窝村', '2a3aa1a8736b4b388ea96505b6c09773', '38a251a6166c4228a173190de5bab3cd', 'False', 'True', 'false', 'false', '513422225202', 5, '桐窝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422225202', 1, '2021-07-19 12:09:22', NULL, NULL), (36124, '', '里多村', 'd901cb8426f74ff08c887f5334ff4c1d', '38a251a6166c4228a173190de5bab3cd', 'False', 'True', 'false', 'false', '513422225203', 5, '里多村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422225203', 1, '2021-07-19 12:09:22', NULL, NULL), (36125, '', '博窝乡', '8033e6e3195b4d7bb43fbc43e02154d7', '3987eef143634ed18f6bb2de9a4823de', 'True', 'True', 'false', 'false', '513422226000', 4, '博窝乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513422226000', 1, '2021-07-19 12:09:22', NULL, NULL), (36126, '', '坑古村', '2ca8023e43664587bcc96a9157484190', '8033e6e3195b4d7bb43fbc43e02154d7', 'False', 'True', 'false', 'false', '513422226200', 5, '坑古村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422226200', 1, '2021-07-19 12:09:22', NULL, NULL), (36127, '', '田埂村', 'da601eda875b4870819dd3030a8737b9', '8033e6e3195b4d7bb43fbc43e02154d7', 'False', 'True', 'false', 'false', '513422226201', 5, '田埂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422226201', 1, '2021-07-19 12:09:22', NULL, NULL), (36128, '', '关机村', 'fb206a3322c04633b6ba0e627f94cac9', '8033e6e3195b4d7bb43fbc43e02154d7', 'False', 'True', 'false', 'false', '513422226202', 5, '关机村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513422226202', 1, '2021-07-19 12:09:22', NULL, NULL), (36129, '', '会东县', '763c488b2952470fa1226d863d217d92', '5dd8920407b943de983b9b9f6f9dc6c7', 'True', 'True', 'true', 'true', '513426000000', 3, '会东县', 'lszhdx.sczwfw.gov.cn', 1, '2021-07-19 12:09:22', NULL, NULL), (36130, '', '鱼城街道', 'e924571597c64f85bf0cd3c4bcfdcc17', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426266001', 4, '鱼城街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426266001', 1, '2021-07-19 12:09:22', NULL, NULL), (36131, '', '政通路社区居民委员会', 'ed57e11d0079444dbfc1acbaf4997c8d', 'e924571597c64f85bf0cd3c4bcfdcc17', 'False', 'True', 'false', 'false', '513426001158', 5, '政通路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426001158', 1, '2021-07-19 12:09:22', NULL, NULL), (36132, '', '金叶街社区居民委员会', '1cb50a072b2e490aa918a8a674dce84b', 'e924571597c64f85bf0cd3c4bcfdcc17', 'False', 'True', 'false', 'false', '513426001807', 5, '金叶街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426001807', 1, '2021-07-19 12:09:22', NULL, NULL), (36133, '', '老街社区居民委员会', '1bba4874047f41b69b0e3ae22e4c4f49', 'e924571597c64f85bf0cd3c4bcfdcc17', 'False', 'True', 'false', 'false', '513426001045', 5, '老街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426001045', 1, '2021-07-19 12:09:22', NULL, NULL), (36134, '', '杉松社区居民委员会', '3907b185f2014c71a7d0f18d6767acc9', 'e924571597c64f85bf0cd3c4bcfdcc17', 'False', 'True', 'false', 'false', '513426001857', 5, '杉松社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426001857', 1, '2021-07-19 12:09:22', NULL, NULL), (36135, '', '鱼山社区居民委员会', 'd3a720304a8e4212ac40b2fe993907dd', 'e924571597c64f85bf0cd3c4bcfdcc17', 'False', 'True', 'false', 'false', '513426001321', 5, '鱼山社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426001321', 1, '2021-07-19 12:09:22', NULL, NULL), (36136, '', '鹤益社区居民委员会', '9c66f3057f4e4052a40739c183142f66', 'e924571597c64f85bf0cd3c4bcfdcc17', 'False', 'True', 'false', 'false', '513426001236', 5, '鹤益社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426001236', 1, '2021-07-19 12:09:23', NULL, NULL), (36137, '', '胜利村村民委员会', '47c19e60d57e4cacb3368c348632db15', 'e924571597c64f85bf0cd3c4bcfdcc17', 'False', 'True', 'false', 'false', '513426001789', 5, '胜利村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426001789', 1, '2021-07-19 12:09:23', NULL, NULL), (36138, '', '团结村村民委员会', '0e9b7d3d359748188f171996c6ff9f4c', 'e924571597c64f85bf0cd3c4bcfdcc17', 'False', 'True', 'false', 'false', '513426001488', 5, '团结村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426001488', 1, '2021-07-19 12:09:23', NULL, NULL), (36139, '', '金江街道', '446df79700a74895b9d7f8d7df6ff2c8', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426891002', 4, '金江街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426891002', 1, '2021-07-19 12:09:23', NULL, NULL), (36140, '', '满银路社区居民委员会', 'a1423fbab5c6472abea811937702bfd1', '446df79700a74895b9d7f8d7df6ff2c8', 'False', 'True', 'false', 'false', '513426002250', 5, '满银路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426002250', 1, '2021-07-19 12:09:23', NULL, NULL);
INSERT INTO `mortals_sys_base_area` VALUES (36141, '', '金江社区居民委员会', '9121ff726fd5463382d0e2bf14fce063', '446df79700a74895b9d7f8d7df6ff2c8', 'False', 'True', 'false', 'false', '513426002247', 5, '金江社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426002247', 1, '2021-07-19 12:09:23', NULL, NULL), (36142, '', '垭口社区居民委员会', 'dd611460007c4e4da84a2020cd1f49f3', '446df79700a74895b9d7f8d7df6ff2c8', 'False', 'True', 'false', 'false', '513426002753', 5, '垭口社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426002753', 1, '2021-07-19 12:09:23', NULL, NULL), (36143, '', '顺河村村民委员会', '827be7dde247448699cebd8769f18130', '446df79700a74895b9d7f8d7df6ff2c8', 'False', 'True', 'false', 'false', '513426002540', 5, '顺河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426002540', 1, '2021-07-19 12:09:23', NULL, NULL), (36144, '', '小岔河村村民委员会', 'd6748ea71eac41f5953f1d400f144832', '446df79700a74895b9d7f8d7df6ff2c8', 'False', 'True', 'false', 'false', '513426002392', 5, '小岔河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426002392', 1, '2021-07-19 12:09:23', NULL, NULL), (36145, '', '金沙村村民委员会', '34ad9a1e344d4a61909ce90bc9e635a0', '446df79700a74895b9d7f8d7df6ff2c8', 'False', 'True', 'false', 'false', '513426002754', 5, '金沙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426002754', 1, '2021-07-19 12:09:23', NULL, NULL), (36146, '', '鲹鱼河镇', '81732663beb84801a5620bca58bfa2ca', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426100000', 4, '鲹鱼河镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426100000', 1, '2021-07-19 12:09:23', NULL, NULL), (36147, '', '民主村村民委员会', 'a0f51643019246cea4bafee427049619', '81732663beb84801a5620bca58bfa2ca', 'False', 'True', 'false', 'false', '513426100205', 5, '民主村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426100205', 1, '2021-07-19 12:09:23', NULL, NULL), (36148, '', '笔落村村民委员会', '2e15353ebe424254b62b21773dc598a9', '81732663beb84801a5620bca58bfa2ca', 'False', 'True', 'false', 'false', '513426100215', 5, '笔落村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426100215', 1, '2021-07-19 12:09:23', NULL, NULL), (36149, '', '水塘子村村民委员会', '205e34faf85747f68522e7fc02bb1e18', '81732663beb84801a5620bca58bfa2ca', 'False', 'True', 'false', 'false', '513426100206', 5, '水塘子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426100206', 1, '2021-07-19 12:09:23', NULL, NULL), (36150, '', '普发村村民委员会', 'e1a6109153ff44de9bc1d6314bc63687', '81732663beb84801a5620bca58bfa2ca', 'False', 'True', 'false', 'false', '513426100209', 5, '普发村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426100209', 1, '2021-07-19 12:09:23', NULL, NULL), (36151, '', '新云村村民委员会', 'c8af73298252486f9e412f85c710a2a5', '81732663beb84801a5620bca58bfa2ca', 'False', 'True', 'false', 'false', '513426100588', 5, '新云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426100588', 1, '2021-07-19 12:09:23', NULL, NULL), (36152, '', '马头山村村民委员会', '20eb166c460a4a119d59fb9db33a1829', '81732663beb84801a5620bca58bfa2ca', 'False', 'True', 'false', 'false', '513426100217', 5, '马头山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426100217', 1, '2021-07-19 12:09:23', NULL, NULL), (36153, '', '长新村村民委员会', '0fd71cca879f46f49d9de976cbecc92a', '81732663beb84801a5620bca58bfa2ca', 'False', 'True', 'false', 'false', '513426100218', 5, '长新村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426100218', 1, '2021-07-19 12:09:23', NULL, NULL), (36154, '', '安乐村村民委员会', '58a4116912254adcad2941790eae6de5', '81732663beb84801a5620bca58bfa2ca', 'False', 'True', 'false', 'false', '513426100220', 5, '安乐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426100220', 1, '2021-07-19 12:09:24', NULL, NULL), (36155, '', '葡萄村村民委员会', 'dab20ab1fb89461283eca9a18b226315', '81732663beb84801a5620bca58bfa2ca', 'False', 'True', 'false', 'false', '513426100229', 5, '葡萄村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426100229', 1, '2021-07-19 12:09:24', NULL, NULL), (36156, '', '撒者邑村村民委员会', '4150f7ea457c4f429d5aa9b1e6029ba3', '81732663beb84801a5620bca58bfa2ca', 'False', 'True', 'false', 'false', '513426100232', 5, '撒者邑村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426100232', 1, '2021-07-19 12:09:24', NULL, NULL), (36157, '', '白拉度村村民委员会', '54f3cab3fa0c4bacb29fe48e2ce4fca3', '81732663beb84801a5620bca58bfa2ca', 'False', 'True', 'false', 'false', '513426100233', 5, '白拉度村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426100233', 1, '2021-07-19 12:09:24', NULL, NULL), (36158, '', '官发村村民委员会', '76d50cc74f344884b484c921c1ae046c', '81732663beb84801a5620bca58bfa2ca', 'False', 'True', 'false', 'false', '513426100639', 5, '官发村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426100639', 1, '2021-07-19 12:09:24', NULL, NULL), (36159, '', '鲹鱼河村村民委员会', 'bb62ab2a684641b4a0904bd719d72423', '81732663beb84801a5620bca58bfa2ca', 'False', 'True', 'false', 'false', '513426100047', 5, '鲹鱼河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426100047', 1, '2021-07-19 12:09:24', NULL, NULL), (36160, '', '铅锌镇', 'c08be7c206574b69b9cd256c9031ea56', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426101000', 4, '铅锌镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426101000', 1, '2021-07-19 12:09:24', NULL, NULL), (36161, '', '铅锌路社区居民委员会', 'ba1c453df8d04cc08aa68ff0666e7cb8', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'False', 'false', 'false', '513426101109', 5, '铅锌路社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101109', 1, '2021-07-19 12:09:24', NULL, NULL), (36162, '', '竹色村村民委员会', '1335db7fa34d4c428afb23618c205b5d', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101204', 5, '竹色村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101204', 1, '2021-07-19 12:09:24', NULL, NULL), (36163, '', '田尾村村民委员会', '5ded3652c7724123a6046191252705e1', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101207', 5, '田尾村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101207', 1, '2021-07-19 12:09:24', NULL, NULL), (36164, '', '小水井村村民委员会', 'a04a3eda84534e74a5ce7f6ad305f7cb', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101209', 5, '小水井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101209', 1, '2021-07-19 12:09:24', NULL, NULL), (36165, '', '小街子村村民委员会', 'cecb841e00944c9482065e5501e955af', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101211', 5, '小街子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101211', 1, '2021-07-19 12:09:24', NULL, NULL), (36166, '', '撒嘎村村民委员会', '14c02fe84a2242f7a68a7ca273c6bfef', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101212', 5, '撒嘎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101212', 1, '2021-07-19 12:09:24', NULL, NULL), (36167, '', '李家村村民委员会', '8e30224097994576806486506ff04dbd', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101213', 5, '李家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101213', 1, '2021-07-19 12:09:24', NULL, NULL), (36168, '', '新村村村民委员会', '10f2bcb694504eef927963cff74ec3b6', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101215', 5, '新村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101215', 1, '2021-07-19 12:09:25', NULL, NULL), (36169, '', '老口村村民委员会', '448e2610195743a78cab331f53b6834b', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101220', 5, '老口村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101220', 1, '2021-07-19 12:09:25', NULL, NULL), (36170, '', '岔河村村民委员会', 'e642f71ee76e405d849dd82530e8d930', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101222', 5, '岔河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101222', 1, '2021-07-19 12:09:25', NULL, NULL), (36171, '', '龙滩村村民委员会', '7df8d94ff2984a1b8ef2067913ae1dcc', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101224', 5, '龙滩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101224', 1, '2021-07-19 12:09:25', NULL, NULL), (36172, '', '新岔村村民委员会', '96bfdb310ccb4f428f588630d9d862f3', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101227', 5, '新岔村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101227', 1, '2021-07-19 12:09:25', NULL, NULL), (36173, '', '摩洛村村民委员会', 'd2e6cbaf942f4aa68ffd8230c82a0815', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101228', 5, '摩洛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101228', 1, '2021-07-19 12:09:25', NULL, NULL), (36174, '', '白嘎村村民委员会', '517953fda21f473b8adf6f9823e973b0', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101229', 5, '白嘎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101229', 1, '2021-07-19 12:09:25', NULL, NULL), (36175, '', '小梁子村村民委员会', '150c7ce88e7f460c8d0f4542bd480954', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101233', 5, '小梁子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101233', 1, '2021-07-19 12:09:25', NULL, NULL), (36176, '', '油房村村民委员会', 'b39964240f5742da9a2a0a2b50a50001', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101200', 5, '油房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101200', 1, '2021-07-19 12:09:25', NULL, NULL), (36177, '', '联合村村民委员会', '3fb12249154442f8903756121855e837', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101202', 5, '联合村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101202', 1, '2021-07-19 12:09:25', NULL, NULL), (36178, '', '迎春村村民委员会', '15d17fcf4232447bac6c95d5f9002f84', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101203', 5, '迎春村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101203', 1, '2021-07-19 12:09:25', NULL, NULL), (36179, '', '麻窝凼村村民委员会', '2f118cc1560742df89c78188fde90266', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101214', 5, '麻窝凼村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101214', 1, '2021-07-19 12:09:25', NULL, NULL), (36180, '', '老炉房村村民委员会', '85016b89b3b44d579642f3279105f616', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101218', 5, '老炉房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101218', 1, '2021-07-19 12:09:25', NULL, NULL), (36181, '', '龙头村村民委员会', '07efae6d726148fc9ba9fefde78dc6dc', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101226', 5, '龙头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101226', 1, '2021-07-19 12:09:26', NULL, NULL), (36182, '', '围墙村村民委员会', '7189b664fdfa47f79a6e1679bd4f0630', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101230', 5, '围墙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101230', 1, '2021-07-19 12:09:26', NULL, NULL), (36183, '', '小岩村村民委员会', 'c93577b332e745af9537b50ab583170e', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101231', 5, '小岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101231', 1, '2021-07-19 12:09:26', NULL, NULL), (36184, '', '新芦村村民委员会', '3b09b963777c444b913c2c0e25fcf1b3', 'c08be7c206574b69b9cd256c9031ea56', 'False', 'True', 'false', 'false', '513426101981', 5, '新芦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426101981', 1, '2021-07-19 12:09:26', NULL, NULL), (36185, '', '堵格镇', 'aa32812567184bb69dec5913f8201464', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426102000', 4, '堵格镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426102000', 1, '2021-07-19 12:09:26', NULL, NULL), (36186, '', '堵格社区居民委员会', '0b4221609ff94a57a9d7a6d921d88f83', 'aa32812567184bb69dec5913f8201464', 'False', 'True', 'false', 'false', '513426102775', 5, '堵格社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426102775', 1, '2021-07-19 12:09:26', NULL, NULL), (36187, '', '火坪村村民委员会', '6c61b6b8308b4e2dbbf158ebc2302cf0', 'aa32812567184bb69dec5913f8201464', 'False', 'True', 'false', 'false', '513426102202', 5, '火坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426102202', 1, '2021-07-19 12:09:26', NULL, NULL), (36188, '', '堵格村村民委员会', 'c2fb8bc0ece64f7bb3d3b222e96feaf6', 'aa32812567184bb69dec5913f8201464', 'False', 'True', 'false', 'false', '513426102200', 5, '堵格村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426102200', 1, '2021-07-19 12:09:26', NULL, NULL), (36189, '', '团圆村村民委员会', '78191535e61143d3869692b785e7b899', 'aa32812567184bb69dec5913f8201464', 'False', 'True', 'false', 'false', '513426102205', 5, '团圆村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426102205', 1, '2021-07-19 12:09:26', NULL, NULL), (36190, '', '赊租村村民委员会', '99aa44c6ebd84ae6a980683a4ed447bd', 'aa32812567184bb69dec5913f8201464', 'False', 'True', 'false', 'false', '513426102207', 5, '赊租村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426102207', 1, '2021-07-19 12:09:26', NULL, NULL), (36191, '', '火山村村民委员会', 'c87bb8ed1fe844829170a8339ec1002a', 'aa32812567184bb69dec5913f8201464', 'False', 'True', 'false', 'false', '513426102189', 5, '火山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426102189', 1, '2021-07-19 12:09:26', NULL, NULL), (36192, '', '燕子村村民委员会', 'ab74fd97b81a4c25957f36a134868de0', 'aa32812567184bb69dec5913f8201464', 'False', 'True', 'false', 'false', '513426102841', 5, '燕子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426102841', 1, '2021-07-19 12:09:26', NULL, NULL), (36193, '', '半箐村村民委员会', '0e5b24d68aca41b5afa995f54b8b131a', 'aa32812567184bb69dec5913f8201464', 'False', 'True', 'false', 'false', '513426102214', 5, '半箐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426102214', 1, '2021-07-19 12:09:26', NULL, NULL), (36194, '', '坪塘村村民委员会', '239f7c63dc3d4fdba4a93f478499045b', 'aa32812567184bb69dec5913f8201464', 'False', 'True', 'false', 'false', '513426102928', 5, '坪塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426102928', 1, '2021-07-19 12:09:26', NULL, NULL), (36195, '', '三坪村村民委员会', 'ede86224ea694c9e93a028811c24c2e5', 'aa32812567184bb69dec5913f8201464', 'False', 'True', 'false', 'false', '513426102216', 5, '三坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426102216', 1, '2021-07-19 12:09:26', NULL, NULL), (36196, '', '普卓村村民委员会', 'eddba663c4a24f11adfe19f42fd2f90a', 'aa32812567184bb69dec5913f8201464', 'False', 'True', 'false', 'false', '513426102375', 5, '普卓村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426102375', 1, '2021-07-19 12:09:27', NULL, NULL), (36197, '', '姜州镇', '2defa7ad9b2f4dada95c37d88d48e634', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426103000', 4, '姜州镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426103000', 1, '2021-07-19 12:09:27', NULL, NULL), (36198, '', '姜州街社区居民委员会', '4fd6b1dd41e44892a22b9b86cc5b21ea', '2defa7ad9b2f4dada95c37d88d48e634', 'False', 'True', 'false', 'false', '513426103001', 5, '姜州街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426103001', 1, '2021-07-19 12:09:27', NULL, NULL), (36199, '', '姜州村村民委员会', '801ae231a21241afa8983af97707b995', '2defa7ad9b2f4dada95c37d88d48e634', 'False', 'True', 'false', 'false', '513426103200', 5, '姜州村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426103200', 1, '2021-07-19 12:09:27', NULL, NULL), (36200, '', '弯德村村民委员会', 'c471ed99b31f4bf9b917c39376d098cb', '2defa7ad9b2f4dada95c37d88d48e634', 'False', 'True', 'false', 'false', '513426103201', 5, '弯德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426103201', 1, '2021-07-19 12:09:27', NULL, NULL), (36201, '', '中和村村民委员会', '5e5ce2cecaa24aca86bd7401ffaf7bed', '2defa7ad9b2f4dada95c37d88d48e634', 'False', 'True', 'false', 'false', '513426103202', 5, '中和村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426103202', 1, '2021-07-19 12:09:27', NULL, NULL), (36202, '', '青龙村村民委员会', '7e15159e3aa14b6ebc0e0d3b6ff2806c', '2defa7ad9b2f4dada95c37d88d48e634', 'False', 'True', 'false', 'false', '513426103204', 5, '青龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426103204', 1, '2021-07-19 12:09:27', NULL, NULL), (36203, '', '民权村村民委员会', '8755f916f9b24ce88db0ce8cf37a0846', '2defa7ad9b2f4dada95c37d88d48e634', 'False', 'True', 'false', 'false', '513426103205', 5, '民权村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426103205', 1, '2021-07-19 12:09:27', NULL, NULL), (36204, '', '民德村村民委员会', '4abcb12e291e4a5986278f93dafe8a71', '2defa7ad9b2f4dada95c37d88d48e634', 'False', 'True', 'false', 'false', '513426103206', 5, '民德村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426103206', 1, '2021-07-19 12:09:27', NULL, NULL), (36205, '', '新发村村民委员会', '02ee39a466dc4787a736756b0b46b1be', '2defa7ad9b2f4dada95c37d88d48e634', 'False', 'True', 'false', 'false', '513426103446', 5, '新发村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426103446', 1, '2021-07-19 12:09:27', NULL, NULL), (36206, '', '郑家坝村村民委员会', 'bea927dff25e4ac2b8856d754f9b7c86', '2defa7ad9b2f4dada95c37d88d48e634', 'False', 'True', 'false', 'false', '513426103210', 5, '郑家坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426103210', 1, '2021-07-19 12:09:27', NULL, NULL), (36207, '', '合作村村民委员会', '64978c0753fa4fcca44b2fa0023f8ea7', '2defa7ad9b2f4dada95c37d88d48e634', 'False', 'True', 'false', 'false', '513426103212', 5, '合作村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426103212', 1, '2021-07-19 12:09:27', NULL, NULL), (36208, '', '建设村村民委员会', '3b490882b7a14565abe02124d0977d0f', '2defa7ad9b2f4dada95c37d88d48e634', 'False', 'True', 'false', 'false', '513426103214', 5, '建设村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426103214', 1, '2021-07-19 12:09:27', NULL, NULL), (36209, '', '云香村村民委员会', 'c9f072dd4214476d858c0e0b80615af9', '2defa7ad9b2f4dada95c37d88d48e634', 'False', 'True', 'false', 'false', '513426103215', 5, '云香村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426103215', 1, '2021-07-19 12:09:27', NULL, NULL), (36210, '', '大屯村村民委员会', '750ac71915ea4cd4a69e9e0341ae75f4', '2defa7ad9b2f4dada95c37d88d48e634', 'False', 'True', 'false', 'false', '513426103216', 5, '大屯村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426103216', 1, '2021-07-19 12:09:27', NULL, NULL), (36211, '', '小坝村村民委员会', 'bbf28f6840c34fb585409bdd0f06b166', '2defa7ad9b2f4dada95c37d88d48e634', 'False', 'True', 'false', 'false', '513426103249', 5, '小坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426103249', 1, '2021-07-19 12:09:28', NULL, NULL), (36212, '', '山南村村民委员会', '4061aa1af33047e39bb662241db8708d', '2defa7ad9b2f4dada95c37d88d48e634', 'False', 'True', 'false', 'false', '513426103129', 5, '山南村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426103129', 1, '2021-07-19 12:09:28', NULL, NULL), (36213, '', '山北村村民委员会', 'b62830b347c048b3a4087fde4dc8dc2d', '2defa7ad9b2f4dada95c37d88d48e634', 'False', 'True', 'false', 'false', '513426103297', 5, '山北村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426103297', 1, '2021-07-19 12:09:28', NULL, NULL), (36214, '', '坝心村村民委员会', '87aad1c3d43549a99e4ea552cd943a8d', '2defa7ad9b2f4dada95c37d88d48e634', 'False', 'True', 'false', 'false', '513426103109', 5, '坝心村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426103109', 1, '2021-07-19 12:09:28', NULL, NULL), (36215, '', '乌东德镇', '8d13258705c7444284c40cc2a020c898', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426104000', 4, '乌东德镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426104000', 1, '2021-07-19 12:09:28', NULL, NULL), (36216, '', '麻栎村村民委员会', 'a6168dbc8d384850a6215569658698ab', '8d13258705c7444284c40cc2a020c898', 'False', 'True', 'false', 'false', '513426104200', 5, '麻栎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426104200', 1, '2021-07-19 12:09:28', NULL, NULL), (36217, '', '洛佐村村民委员会', '93c06807e2044c3bab4ef95e5966bf9f', '8d13258705c7444284c40cc2a020c898', 'False', 'True', 'false', 'false', '513426104206', 5, '洛佐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426104206', 1, '2021-07-19 12:09:28', NULL, NULL), (36218, '', '柏云村村民委员会', 'dbadb24788064f619b00034f5c6a7b54', '8d13258705c7444284c40cc2a020c898', 'False', 'True', 'false', 'false', '513426104207', 5, '柏云村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426104207', 1, '2021-07-19 12:09:28', NULL, NULL), (36219, '', '龙树村村民委员会', '89a4cf30768a45ad85b825d846586b13', '8d13258705c7444284c40cc2a020c898', 'False', 'True', 'false', 'false', '513426104208', 5, '龙树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426104208', 1, '2021-07-19 12:09:28', NULL, NULL), (36220, '', '高科村村民委员会', '7d7246c3ae344ce2aadc5c258031161f', '8d13258705c7444284c40cc2a020c898', 'False', 'True', 'false', 'false', '513426104209', 5, '高科村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426104209', 1, '2021-07-19 12:09:28', NULL, NULL), (36221, '', '大梨树村村民委员会', '8ac8d73a21ca4726acb61e08aa89fa18', '8d13258705c7444284c40cc2a020c898', 'False', 'True', 'false', 'false', '513426104835', 5, '大梨树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426104835', 1, '2021-07-19 12:09:28', NULL, NULL), (36222, '', '洪门渡村村民委员会', 'dd701b2dd93d407cb6d5d08b50f11ca7', '8d13258705c7444284c40cc2a020c898', 'False', 'True', 'false', 'false', '513426104834', 5, '洪门渡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426104834', 1, '2021-07-19 12:09:28', NULL, NULL), (36223, '', '青龙山村村民委员会', 'f67f2e6bc9994bb0bcf18374db2fc255', '8d13258705c7444284c40cc2a020c898', 'False', 'True', 'false', 'false', '513426104843', 5, '青龙山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426104843', 1, '2021-07-19 12:09:28', NULL, NULL), (36224, '', '新村村村民委员会', 'a26f0136fdf24808ab283ebe57f728fe', '8d13258705c7444284c40cc2a020c898', 'False', 'True', 'false', 'false', '513426104036', 5, '新村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426104036', 1, '2021-07-19 12:09:28', NULL, NULL), (36225, '', '青山村村民委员会', 'a4eab9a4fc6a4619b81a83edce03046a', '8d13258705c7444284c40cc2a020c898', 'False', 'True', 'false', 'false', '513426104636', 5, '青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426104636', 1, '2021-07-19 12:09:28', NULL, NULL), (36226, '', '鹿鹤村村民委员会', 'a66289b480d0407084fc6e3440dc6262', '8d13258705c7444284c40cc2a020c898', 'False', 'True', 'false', 'false', '513426104712', 5, '鹿鹤村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426104712', 1, '2021-07-19 12:09:28', NULL, NULL), (36227, '', '淌塘镇', 'cb506fddb0414081bf5451c125e50fbe', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426105000', 4, '淌塘镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426105000', 1, '2021-07-19 12:09:29', NULL, NULL), (36228, '', '淌塘村村民委员会', 'daa431787bd3476c8a4045ec2b3a6d05', 'cb506fddb0414081bf5451c125e50fbe', 'False', 'True', 'false', 'false', '513426105201', 5, '淌塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426105201', 1, '2021-07-19 12:09:29', NULL, NULL), (36229, '', '白龙村村民委员会', '354ad26b97d7450cb3904cdb225937c5', 'cb506fddb0414081bf5451c125e50fbe', 'False', 'True', 'false', 'false', '513426105202', 5, '白龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426105202', 1, '2021-07-19 12:09:29', NULL, NULL), (36230, '', '木树村村民委员会', '10760000c66e431bb0fe392a1774627f', 'cb506fddb0414081bf5451c125e50fbe', 'False', 'True', 'false', 'false', '513426105203', 5, '木树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426105203', 1, '2021-07-19 12:09:29', NULL, NULL), (36231, '', '麻塘村村民委员会', '30457991fc7f4a759b123ce07404acfb', 'cb506fddb0414081bf5451c125e50fbe', 'False', 'True', 'false', 'false', '513426105205', 5, '麻塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426105205', 1, '2021-07-19 12:09:29', NULL, NULL), (36232, '', '大田坝村村民委员会', '49de10bec8284d49b1d4abc31f63bf13', 'cb506fddb0414081bf5451c125e50fbe', 'False', 'True', 'false', 'false', '513426105206', 5, '大田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426105206', 1, '2021-07-19 12:09:29', NULL, NULL), (36233, '', '老君洞村村民委员会', '4ece2181d73a47d3a58f72c733b4c791', 'cb506fddb0414081bf5451c125e50fbe', 'False', 'True', 'false', 'false', '513426105208', 5, '老君洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426105208', 1, '2021-07-19 12:09:29', NULL, NULL), (36234, '', '中坪子村村民委员会', 'cf726ab83ef94e55b5049b5895862972', 'cb506fddb0414081bf5451c125e50fbe', 'False', 'True', 'false', 'false', '513426105210', 5, '中坪子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426105210', 1, '2021-07-19 12:09:29', NULL, NULL), (36235, '', '铁柳镇', '5627474851c64e769cb60756b5cc6656', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426106000', 4, '铁柳镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426106000', 1, '2021-07-19 12:09:29', NULL, NULL), (36236, '', '移民村村民委员会', '76df5514d7de4d1094b1732653235a57', '5627474851c64e769cb60756b5cc6656', 'False', 'True', 'false', 'false', '513426106528', 5, '移民村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426106528', 1, '2021-07-19 12:09:29', NULL, NULL), (36237, '', '老君峰村村民委员会', '1c0c853aab5a401a905766342f59e6ff', '5627474851c64e769cb60756b5cc6656', 'False', 'True', 'false', 'false', '513426106818', 5, '老君峰村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426106818', 1, '2021-07-19 12:09:29', NULL, NULL), (36238, '', '铁柳村村民委员会', 'd592a20c72a3466b9ce350a148710ce6', '5627474851c64e769cb60756b5cc6656', 'False', 'True', 'false', 'false', '513426106200', 5, '铁柳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426106200', 1, '2021-07-19 12:09:29', NULL, NULL), (36239, '', '大柳树村村民委员会', '780dfe2bb72a424b8f086124eb695e90', '5627474851c64e769cb60756b5cc6656', 'False', 'True', 'false', 'false', '513426106202', 5, '大柳树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426106202', 1, '2021-07-19 12:09:29', NULL, NULL), (36240, '', '长冲村村民委员会', '1ad6e52e640f4b6fb7fb4a0c84caca1e', '5627474851c64e769cb60756b5cc6656', 'False', 'True', 'false', 'false', '513426106206', 5, '长冲村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426106206', 1, '2021-07-19 12:09:29', NULL, NULL), (36241, '', '红花村村民委员会', '0cdd1a54c4534730af2eeaab771a9b62', '5627474851c64e769cb60756b5cc6656', 'False', 'True', 'false', 'false', '513426106207', 5, '红花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426106207', 1, '2021-07-19 12:09:29', NULL, NULL), (36242, '', '花山村村民委员会', '60533043839d424e87aaf2cfa6c66fd4', '5627474851c64e769cb60756b5cc6656', 'False', 'True', 'false', 'false', '513426106209', 5, '花山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426106209', 1, '2021-07-19 12:09:30', NULL, NULL), (36243, '', '可河村村民委员会', '3b2e1fcb029b4d16854ea6546981cc22', '5627474851c64e769cb60756b5cc6656', 'False', 'True', 'false', 'false', '513426106212', 5, '可河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426106212', 1, '2021-07-19 12:09:30', NULL, NULL), (36244, '', '上进村村民委员会', '9419b08bdca24cbd9844a358a03e38e9', '5627474851c64e769cb60756b5cc6656', 'False', 'True', 'false', 'false', '513426106213', 5, '上进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426106213', 1, '2021-07-19 12:09:30', NULL, NULL), (36245, '', '三村村村民委员会', '244a83f861aa4ecdbd249a1cfba2f942', '5627474851c64e769cb60756b5cc6656', 'False', 'True', 'false', 'false', '513426106217', 5, '三村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426106217', 1, '2021-07-19 12:09:30', NULL, NULL), (36246, '', '大麦村村民委员会', 'c4ff20c4cbe2498f8590f3e574dc3fa6', '5627474851c64e769cb60756b5cc6656', 'False', 'True', 'false', 'false', '513426106218', 5, '大麦村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426106218', 1, '2021-07-19 12:09:30', NULL, NULL), (36247, '', '雄堡村村民委员会', 'e2fefd90a4f04d91ab5f81dbbcff4c37', '5627474851c64e769cb60756b5cc6656', 'False', 'True', 'false', 'false', '513426106219', 5, '雄堡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426106219', 1, '2021-07-19 12:09:30', NULL, NULL), (36248, '', '嘎吉镇', '803e96dcb24e4fa59e3219781e4f3c11', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426107000', 4, '嘎吉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426107000', 1, '2021-07-19 12:09:30', NULL, NULL), (36249, '', '嘎吉村村民委员会', 'f4d287565d404507ac4ba80a3de4db8b', '803e96dcb24e4fa59e3219781e4f3c11', 'False', 'True', 'false', 'false', '513426107144', 5, '嘎吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426107144', 1, '2021-07-19 12:09:30', NULL, NULL), (36250, '', '麻栗村村民委员会', 'a16da929e0544cfb8b6a544d6e98b961', '803e96dcb24e4fa59e3219781e4f3c11', 'False', 'True', 'false', 'false', '513426107201', 5, '麻栗村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426107201', 1, '2021-07-19 12:09:30', NULL, NULL), (36251, '', '茂吉村村民委员会', '738094e3d96f4b91bada7995a60d0cd5', '803e96dcb24e4fa59e3219781e4f3c11', 'False', 'True', 'false', 'false', '513426107203', 5, '茂吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426107203', 1, '2021-07-19 12:09:30', NULL, NULL), (36252, '', '田坝村村民委员会', 'c65f5d56a3f64bee93ad2032dba796a9', '803e96dcb24e4fa59e3219781e4f3c11', 'False', 'True', 'false', 'false', '513426107204', 5, '田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426107204', 1, '2021-07-19 12:09:30', NULL, NULL), (36253, '', '柏岩村村民委员会', '02ce9422652245aab0c3ef3dd3aa33fe', '803e96dcb24e4fa59e3219781e4f3c11', 'False', 'True', 'false', 'false', '513426107207', 5, '柏岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426107207', 1, '2021-07-19 12:09:30', NULL, NULL), (36254, '', '马鞍村村民委员会', '9742fbffdac04c3397fe3fd4003c018a', '803e96dcb24e4fa59e3219781e4f3c11', 'False', 'True', 'false', 'false', '513426107209', 5, '马鞍村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426107209', 1, '2021-07-19 12:09:30', NULL, NULL), (36255, '', '乌龟塘村村民委员会', 'b137f903e50648668de2a2bb73da4506', '803e96dcb24e4fa59e3219781e4f3c11', 'False', 'True', 'false', 'false', '513426107211', 5, '乌龟塘村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426107211', 1, '2021-07-19 12:09:30', NULL, NULL), (36256, '', '狮子山村村民委员会', '2e8c10bc27404ee3863397a05c261aea', '803e96dcb24e4fa59e3219781e4f3c11', 'False', 'True', 'false', 'false', '513426107213', 5, '狮子山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426107213', 1, '2021-07-19 12:09:31', NULL, NULL), (36257, '', '满银沟镇', '7e5eb617c745432b800af815305ca021', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426108000', 4, '满银沟镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426108000', 1, '2021-07-19 12:09:31', NULL, NULL), (36258, '', '大坪村村民委员会', '24f0716e3b834b69b09b1e7670a18776', '7e5eb617c745432b800af815305ca021', 'False', 'True', 'false', 'false', '513426108202', 5, '大坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426108202', 1, '2021-07-19 12:09:31', NULL, NULL), (36259, '', '小海村村民委员会', '014e538f25764c22bdd9084f751a4018', '7e5eb617c745432b800af815305ca021', 'False', 'True', 'false', 'false', '513426108204', 5, '小海村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426108204', 1, '2021-07-19 12:09:31', NULL, NULL), (36260, '', '新河村村民委员会', '19a9d8ae5c824878af0dae0f11b2485c', '7e5eb617c745432b800af815305ca021', 'False', 'True', 'false', 'false', '513426108206', 5, '新河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426108206', 1, '2021-07-19 12:09:31', NULL, NULL), (36261, '', '铁厂村村民委员会', 'dc5a429dd34e4e61bfb072ae7a776787', '7e5eb617c745432b800af815305ca021', 'False', 'True', 'false', 'false', '513426108209', 5, '铁厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426108209', 1, '2021-07-19 12:09:31', NULL, NULL), (36262, '', '小米地村村民委员会', 'b8c65d42d10d486b8bae02e134e096c2', '7e5eb617c745432b800af815305ca021', 'False', 'True', 'false', 'false', '513426108210', 5, '小米地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426108210', 1, '2021-07-19 12:09:31', NULL, NULL), (36263, '', '黄坪村村民委员会', '3dfef4bcd4824db2bd7a05b9ce89246e', '7e5eb617c745432b800af815305ca021', 'False', 'True', 'false', 'false', '513426108211', 5, '黄坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426108211', 1, '2021-07-19 12:09:31', NULL, NULL), (36264, '', '冬瓜坪村村民委员会', '18ac408e173f4a6bbb5169063dd130dd', '7e5eb617c745432b800af815305ca021', 'False', 'True', 'false', 'false', '513426108212', 5, '冬瓜坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426108212', 1, '2021-07-19 12:09:31', NULL, NULL), (36265, '', '毛椿树村村民委员会', '89bddbdbe4144361aa620e7046263d92', '7e5eb617c745432b800af815305ca021', 'False', 'True', 'false', 'false', '513426108214', 5, '毛椿树村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426108214', 1, '2021-07-19 12:09:31', NULL, NULL), (36266, '', '发箐村村民委员会', '9d6bf678e1ca4dd8a2774721628088e2', '7e5eb617c745432b800af815305ca021', 'False', 'True', 'false', 'false', '513426108626', 5, '发箐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426108626', 1, '2021-07-19 12:09:31', NULL, NULL), (36267, '', '新街镇', '9fbe716bf7654053be9c78b6dd73a5e4', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426109000', 4, '新街镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426109000', 1, '2021-07-19 12:09:31', NULL, NULL), (36268, '', '新街社区居民委员会', '0d67b9ad047749eb8ca0cde68c8ede93', '9fbe716bf7654053be9c78b6dd73a5e4', 'False', 'True', 'false', 'false', '513426109696', 5, '新街居委会', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426109696', 1, '2021-07-19 12:09:32', NULL, NULL), (36269, '', '新街村村民委员会', 'c2076460a69949aeb5a6b58a603959a5', '9fbe716bf7654053be9c78b6dd73a5e4', 'False', 'True', 'false', 'false', '513426109163', 5, '新街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426109163', 1, '2021-07-19 12:09:32', NULL, NULL), (36270, '', '河边村村民委员会', '9db521e56e224f59aac72f21e9551cd0', '9fbe716bf7654053be9c78b6dd73a5e4', 'False', 'True', 'false', 'false', '513426109212', 5, '河边村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426109212', 1, '2021-07-19 12:09:32', NULL, NULL), (36271, '', '上中村村民委员会', '04e465d5e50f4240bd193d549265ae5f', '9fbe716bf7654053be9c78b6dd73a5e4', 'False', 'True', 'false', 'false', '513426109698', 5, '上中村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426109698', 1, '2021-07-19 12:09:32', NULL, NULL), (36272, '', '东风村村民委员会', '6f8ccf2e0b694f1bac2690d5ff859421', '9fbe716bf7654053be9c78b6dd73a5e4', 'False', 'True', 'false', 'false', '513426109653', 5, '东风村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426109653', 1, '2021-07-19 12:09:32', NULL, NULL), (36273, '', '前进村村民委员会', '50b45f283f684de390d1301afc34a96b', '9fbe716bf7654053be9c78b6dd73a5e4', 'False', 'True', 'false', 'false', '513426109813', 5, '前进村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426109813', 1, '2021-07-19 12:09:32', NULL, NULL), (36274, '', '马龙村村民委员会', 'b36643bdf7554b1fa44c15918fa6d547', '9fbe716bf7654053be9c78b6dd73a5e4', 'False', 'True', 'false', 'false', '513426109205', 5, '马龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426109205', 1, '2021-07-19 12:09:32', NULL, NULL), (36275, '', '半边街村村民委员会', 'dd6249e4c97f4d29add98cd1ed073331', '9fbe716bf7654053be9c78b6dd73a5e4', 'False', 'True', 'false', 'false', '513426109819', 5, '半边街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426109819', 1, '2021-07-19 12:09:32', NULL, NULL), (36276, '', '海光村村民委员会', 'cad994eef4f3479192a525cf39ae61b2', '9fbe716bf7654053be9c78b6dd73a5e4', 'False', 'True', 'false', 'false', '513426109530', 5, '海光村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426109530', 1, '2021-07-19 12:09:32', NULL, NULL), (36277, '', '光明村村民委员会', '56c68ded5853487281f100ac868cfabe', '9fbe716bf7654053be9c78b6dd73a5e4', 'False', 'True', 'false', 'false', '513426109078', 5, '光明村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426109078', 1, '2021-07-19 12:09:32', NULL, NULL), (36278, '', '增产村村民委员会', '36c962f06aed40b4b9d3a83370b0d6c5', '9fbe716bf7654053be9c78b6dd73a5e4', 'False', 'True', 'false', 'false', '513426109956', 5, '增产村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426109956', 1, '2021-07-19 12:09:32', NULL, NULL), (36279, '', '红岩村村民委员会', '0ba79b759e7e4358aeaa0a1d8a3b9622', '9fbe716bf7654053be9c78b6dd73a5e4', 'False', 'True', 'false', 'false', '513426109028', 5, '红岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426109028', 1, '2021-07-19 12:09:32', NULL, NULL), (36280, '', '松坪村村民委员会', '6576c2b9892f430dacec91eb44e26db1', '9fbe716bf7654053be9c78b6dd73a5e4', 'False', 'True', 'false', 'false', '513426109822', 5, '松坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426109822', 1, '2021-07-19 12:09:32', NULL, NULL), (36281, '', '鲁吉镇', '8227117a97194c77b2bb568fb66784f7', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426110000', 4, '鲁吉镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426110000', 1, '2021-07-19 12:09:32', NULL, NULL), (36282, '', '坡脚村村民委员会', 'cf46373f8ba14199b751d5ec401a9d9c', '8227117a97194c77b2bb568fb66784f7', 'False', 'True', 'false', 'false', '513426110061', 5, '坡脚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426110061', 1, '2021-07-19 12:09:32', NULL, NULL), (36283, '', '文箐村村民委员会', '5320480a45834ad1a204f9a936cec47f', '8227117a97194c77b2bb568fb66784f7', 'False', 'True', 'false', 'false', '513426110072', 5, '文箐村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426110072', 1, '2021-07-19 12:09:33', NULL, NULL), (36284, '', '鲁纳村村民委员会', '93d4a00d09ca4886913792dc9bcfac0a', '8227117a97194c77b2bb568fb66784f7', 'False', 'True', 'false', 'false', '513426110315', 5, '鲁纳村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426110315', 1, '2021-07-19 12:09:33', NULL, NULL), (36285, '', '拖着村村民委员会', 'd56fd2710aeb47a9ab21b1d80b9b3f05', '8227117a97194c77b2bb568fb66784f7', 'False', 'True', 'false', 'false', '513426110368', 5, '拖着村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426110368', 1, '2021-07-19 12:09:33', NULL, NULL), (36286, '', '鲁吉村村民委员会', 'ac21b2868bda42639c12a6a3d59a6a43', '8227117a97194c77b2bb568fb66784f7', 'False', 'True', 'false', 'false', '513426110744', 5, '鲁吉村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426110744', 1, '2021-07-19 12:09:33', NULL, NULL), (36287, '', '眉毛村村民委员会', 'f3b95b42ff834b90927f218b0356e7c8', '8227117a97194c77b2bb568fb66784f7', 'False', 'True', 'false', 'false', '513426110843', 5, '眉毛村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426110843', 1, '2021-07-19 12:09:33', NULL, NULL), (36288, '', '幺棚村村民委员会', '9a39b22a4c1f42f19ebbe5cadcc905a8', '8227117a97194c77b2bb568fb66784f7', 'False', 'True', 'false', 'false', '513426110854', 5, '幺棚村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426110854', 1, '2021-07-19 12:09:33', NULL, NULL), (36289, '', '小田村村民委员会', 'f03798909f404e66ae02398958034cc7', '8227117a97194c77b2bb568fb66784f7', 'False', 'True', 'false', 'false', '513426110890', 5, '小田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426110890', 1, '2021-07-19 12:09:33', NULL, NULL), (36290, '', '大崇镇', 'a6fbceb8a4484815be58ebc92e84b799', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426111000', 4, '大崇镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426111000', 1, '2021-07-19 12:09:33', NULL, NULL), (36291, '', '大崇街社区居民委员会', 'cecbbe9bbe8046fbaf78d672706e31b0', 'a6fbceb8a4484815be58ebc92e84b799', 'False', 'True', 'false', 'false', '513426111001', 5, '大崇街社区', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426111001', 1, '2021-07-19 12:09:33', NULL, NULL), (36292, '', '崇兴村村民委员会', '44e966209bfa411693d0d03d84f4c479', 'a6fbceb8a4484815be58ebc92e84b799', 'False', 'True', 'false', 'false', '513426111200', 5, '崇兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426111200', 1, '2021-07-19 12:09:33', NULL, NULL), (36293, '', '大花村村民委员会', 'fb40e65692d542aebbdb188b8cbe34e9', 'a6fbceb8a4484815be58ebc92e84b799', 'False', 'True', 'false', 'false', '513426111201', 5, '大花村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426111201', 1, '2021-07-19 12:09:33', NULL, NULL), (36294, '', '大兴村村民委员会', 'f4ee4c8b012947d985b1e8a9a069640d', 'a6fbceb8a4484815be58ebc92e84b799', 'False', 'True', 'false', 'false', '513426111202', 5, '大兴村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426111202', 1, '2021-07-19 12:09:33', NULL, NULL), (36295, '', '小田坝村村民委员会', '077aeddf42694b4ebaf798774ec7cd98', 'a6fbceb8a4484815be58ebc92e84b799', 'False', 'True', 'false', 'false', '513426111204', 5, '小田坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426111204', 1, '2021-07-19 12:09:33', NULL, NULL), (36296, '', '半山村村民委员会', 'a0f268c9a54c41158474db78c22aca2a', 'a6fbceb8a4484815be58ebc92e84b799', 'False', 'True', 'false', 'false', '513426111205', 5, '半山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426111205', 1, '2021-07-19 12:09:33', NULL, NULL), (36297, '', '四家村村民委员会', '740fdbf9c47b4bfbbc2809ecf879e46b', 'a6fbceb8a4484815be58ebc92e84b799', 'False', 'True', 'false', 'false', '513426111207', 5, '四家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426111207', 1, '2021-07-19 12:09:34', NULL, NULL), (36298, '', '黑嘎村村民委员会', '743ccc0cd75143adbeaf1f83b4d2d29e', 'a6fbceb8a4484815be58ebc92e84b799', 'False', 'True', 'false', 'false', '513426111208', 5, '黑嘎村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426111208', 1, '2021-07-19 12:09:34', NULL, NULL), (36299, '', '纸厂村村民委员会', '010ba755e2e545bb9be8cfa7dbe6674b', 'a6fbceb8a4484815be58ebc92e84b799', 'False', 'True', 'false', 'false', '513426111212', 5, '纸厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426111212', 1, '2021-07-19 12:09:34', NULL, NULL), (36300, '', '松坪镇', '3c1ce967f3a94927b3dc8b8e4ba2ed56', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426112000', 4, '松坪镇', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426112000', 1, '2021-07-19 12:09:34', NULL, NULL), (36301, '', '钢厂村村民委员会', 'e79b854d280a4d40bad805fb79d9e1a8', '3c1ce967f3a94927b3dc8b8e4ba2ed56', 'False', 'True', 'false', 'false', '513426112408', 5, '钢厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426112408', 1, '2021-07-19 12:09:34', NULL, NULL), (36302, '', '吉兆卡村村民委员会', '115e2895b2fb4ce786f08c31e6af8f2f', '3c1ce967f3a94927b3dc8b8e4ba2ed56', 'False', 'True', 'false', 'false', '513426112699', 5, '吉兆卡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426112699', 1, '2021-07-19 12:09:34', NULL, NULL), (36303, '', '官村村村民委员会', 'a2dc1478762d4316a3f494aa45c217fe', '3c1ce967f3a94927b3dc8b8e4ba2ed56', 'False', 'True', 'false', 'false', '513426112912', 5, '官村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426112912', 1, '2021-07-19 12:09:34', NULL, NULL), (36304, '', '刘家坪村村民委员会', 'c87a7a4f38a843b29536a73f1a9a9245', '3c1ce967f3a94927b3dc8b8e4ba2ed56', 'False', 'True', 'false', 'false', '513426112201', 5, '刘家坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426112201', 1, '2021-07-19 12:09:34', NULL, NULL), (36305, '', '上花山村村民委员会', '4463597db7604b4cb9793a12f3911302', '3c1ce967f3a94927b3dc8b8e4ba2ed56', 'False', 'True', 'false', 'false', '513426112203', 5, '上花山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426112203', 1, '2021-07-19 12:09:34', NULL, NULL), (36306, '', '老村子村村民委员会', '73054337608549f49e86a17479bc40c5', '3c1ce967f3a94927b3dc8b8e4ba2ed56', 'False', 'True', 'false', 'false', '513426112205', 5, '老村子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426112205', 1, '2021-07-19 12:09:34', NULL, NULL), (36307, '', '火头村村民委员会', '7c36963fe4544ba8a5806b91d0adbef9', '3c1ce967f3a94927b3dc8b8e4ba2ed56', 'False', 'True', 'false', 'false', '513426112207', 5, '火头村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426112207', 1, '2021-07-19 12:09:34', NULL, NULL), (36308, '', '大荞地村村民委员会', '0f9ce8fc8185410a8ffedb846c3a6e2c', '3c1ce967f3a94927b3dc8b8e4ba2ed56', 'False', 'True', 'false', 'false', '513426112209', 5, '大荞地村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426112209', 1, '2021-07-19 12:09:34', NULL, NULL), (36309, '', '酒房村村民委员会', '8d939df259ab40bd86634e0744d1f2f1', '3c1ce967f3a94927b3dc8b8e4ba2ed56', 'False', 'True', 'false', 'false', '513426112211', 5, '酒房村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426112211', 1, '2021-07-19 12:09:34', NULL, NULL), (36310, '', '干海子村村民委员会', '4d3fa3284f2b421db319a882839dd521', '3c1ce967f3a94927b3dc8b8e4ba2ed56', 'False', 'True', 'false', 'false', '513426112212', 5, '干海子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426112212', 1, '2021-07-19 12:09:34', NULL, NULL), (36311, '', '老旺山村村民委员会', 'b58b0660f9944a48a6d72c17a61ef4df', '3c1ce967f3a94927b3dc8b8e4ba2ed56', 'False', 'True', 'false', 'false', '513426112214', 5, '老旺山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426112214', 1, '2021-07-19 12:09:35', NULL, NULL), (36312, '', '老君滩乡', '2b46557e3bf54358b5660621ca1a215b', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426202000', 4, '老君滩乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426202000', 1, '2021-07-19 12:09:35', NULL, NULL), (36313, '', '四方井村村民委员会', 'f47a391a1b9c4d49bf4f480cdcd77063', '2b46557e3bf54358b5660621ca1a215b', 'False', 'True', 'false', 'false', '513426202202', 5, '四方井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426202202', 1, '2021-07-19 12:09:35', NULL, NULL), (36314, '', '鱼坝村村民委员会', 'c2c57840f03a4470886eb5d2dd9757b5', '2b46557e3bf54358b5660621ca1a215b', 'False', 'True', 'false', 'false', '513426202203', 5, '鱼坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426202203', 1, '2021-07-19 12:09:35', NULL, NULL), (36315, '', '平街村村民委员会', '21f3279e96d04f7c85397db448c9c523', '2b46557e3bf54358b5660621ca1a215b', 'False', 'True', 'false', 'false', '513426202204', 5, '平街村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426202204', 1, '2021-07-19 12:09:35', NULL, NULL), (36316, '', '新田村村民委员会', '4b3f9a8967d540cd89ab3f0313aea25a', '2b46557e3bf54358b5660621ca1a215b', 'False', 'True', 'false', 'false', '513426202205', 5, '新田村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426202205', 1, '2021-07-19 12:09:35', NULL, NULL), (36317, '', '老岩坝村村民委员会', '748031d4d45e41e9b8efea0538d92c9c', '2b46557e3bf54358b5660621ca1a215b', 'False', 'True', 'false', 'false', '513426202207', 5, '老岩坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426202207', 1, '2021-07-19 12:09:35', NULL, NULL), (36318, '', '老青山村村民委员会', 'be220b86bb164dc2b5db3d029b430fb2', '2b46557e3bf54358b5660621ca1a215b', 'False', 'True', 'false', 'false', '513426202209', 5, '老青山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426202209', 1, '2021-07-19 12:09:35', NULL, NULL), (36319, '', '花椒园村村民委员会', '75783862150d4e7ea596b0b1702916ce', '2b46557e3bf54358b5660621ca1a215b', 'False', 'True', 'false', 'false', '513426202212', 5, '花椒园村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426202212', 1, '2021-07-19 12:09:35', NULL, NULL), (36320, '', '岩坝河村村民委员会', '993a6767c1c04086abcc08dc926a7cfb', '2b46557e3bf54358b5660621ca1a215b', 'False', 'True', 'false', 'false', '513426202214', 5, '岩坝河村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426202214', 1, '2021-07-19 12:09:35', NULL, NULL), (36321, '', '江西街乡', '321bd42c9dee4613844d8b78358d83cb', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426231000', 4, '江西街乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426231000', 1, '2021-07-19 12:09:35', NULL, NULL), (36322, '', '马洪村村民委员会', '456998e9b2af4e038d219cada32617e3', '321bd42c9dee4613844d8b78358d83cb', 'False', 'True', 'false', 'false', '513426203101', 5, '马洪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426203101', 1, '2021-07-19 12:09:35', NULL, NULL), (36323, '', '江西村村民委员会', 'ef5d60ac71234c2aa2010c3699fcba18', '321bd42c9dee4613844d8b78358d83cb', 'False', 'True', 'false', 'false', '513426203127', 5, '江西村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426203127', 1, '2021-07-19 12:09:35', NULL, NULL), (36324, '', '碗厂村村民委员会', '97cc9e9d8f0645a3bbb3dfcf992a2d15', '321bd42c9dee4613844d8b78358d83cb', 'False', 'True', 'false', 'false', '513426203174', 5, '碗厂村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426203174', 1, '2021-07-19 12:09:36', NULL, NULL), (36325, '', '红果村村民委员会', 'bad79993e045472db8c06819af5ad81d', '321bd42c9dee4613844d8b78358d83cb', 'False', 'True', 'false', 'false', '513426203201', 5, '红果村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426203201', 1, '2021-07-19 12:09:36', NULL, NULL), (36326, '', '松林村村民委员会', '71f823bb4d354c2aaf994ac21c04727a', '321bd42c9dee4613844d8b78358d83cb', 'False', 'True', 'false', 'false', '513426203359', 5, '松林村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426203359', 1, '2021-07-19 12:09:36', NULL, NULL), (36327, '', '天坪村村民委员会', '8c2ae48104d248b787f6abb78b9c4457', '321bd42c9dee4613844d8b78358d83cb', 'False', 'True', 'false', 'false', '513426203437', 5, '天坪村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426203437', 1, '2021-07-19 12:09:36', NULL, NULL), (36328, '', '大村村村民委员会', '2e9d425f56b0466c8ebdd5a8edcba55d', '321bd42c9dee4613844d8b78358d83cb', 'False', 'True', 'false', 'false', '513426203764', 5, '大村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426203764', 1, '2021-07-19 12:09:36', NULL, NULL), (36329, '', '木城村村民委员会', 'd2b327b8d25444f783bce76e7081e47c', '321bd42c9dee4613844d8b78358d83cb', 'False', 'True', 'false', 'false', '513426203792', 5, '木城村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426203792', 1, '2021-07-19 12:09:36', NULL, NULL), (36330, '', '大龙村村民委员会', '31e0f533e02e436397bf5399ab30b43c', '321bd42c9dee4613844d8b78358d83cb', 'False', 'True', 'false', 'false', '513426203886', 5, '大龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426203886', 1, '2021-07-19 12:09:36', NULL, NULL), (36331, '', '金沟村村民委员会', '9eead94a64514798972524f37d572fcd', '321bd42c9dee4613844d8b78358d83cb', 'False', 'True', 'false', 'false', '513426203934', 5, '金沟村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426203934', 1, '2021-07-19 12:09:36', NULL, NULL), (36332, '', '溜姑乡', '6e5405bdc60b491ebc5611cc83b1081d', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426235000', 4, '溜姑乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426235000', 1, '2021-07-19 12:09:36', NULL, NULL), (36333, '', '坪山村村民委员会', '75b55133229640ca8831546ceb1ffbf6', '6e5405bdc60b491ebc5611cc83b1081d', 'False', 'True', 'false', 'false', '513426235201', 5, '坪山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426235201', 1, '2021-07-19 12:09:36', NULL, NULL), (36334, '', '宝山村村民委员会', '6830818a23374d3b9574e61107de2cde', '6e5405bdc60b491ebc5611cc83b1081d', 'False', 'True', 'false', 'false', '513426235202', 5, '宝山村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426235202', 1, '2021-07-19 12:09:36', NULL, NULL), (36335, '', '盘龙村村民委员会', 'ccfaf7f71d884849a8afac7efdb85b1b', '6e5405bdc60b491ebc5611cc83b1081d', 'False', 'True', 'false', 'false', '513426235205', 5, '盘龙村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426235205', 1, '2021-07-19 12:09:36', NULL, NULL), (36336, '', '金东村村民委员会', 'f43945583b764b27afb72f2595584e47', '6e5405bdc60b491ebc5611cc83b1081d', 'False', 'True', 'false', 'false', '513426235200', 5, '金东村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426235200', 1, '2021-07-19 12:09:36', NULL, NULL), (36337, '', '甘盐井村村民委员会', '9bbb178c95ab4e2fad940c286a2a6749', '6e5405bdc60b491ebc5611cc83b1081d', 'False', 'True', 'false', 'false', '513426235203', 5, '甘盐井村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426235203', 1, '2021-07-19 12:09:36', NULL, NULL), (36338, '', '野租乡', 'eb64026659f74c2abc302c8fc4086d06', '763c488b2952470fa1226d863d217d92', 'True', 'True', 'false', 'false', '513426251000', 4, '野租乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513426251000', 1, '2021-07-19 12:09:37', NULL, NULL), (36339, '', '上野租村村民委员会', '74684a7d3f8f44b2bee9862b9c48b348', 'eb64026659f74c2abc302c8fc4086d06', 'False', 'True', 'false', 'false', '513426120619', 5, '上野租村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426120619', 1, '2021-07-19 12:09:37', NULL, NULL), (36340, '', '拉马竹村村民委员会', 'ac8e6a6a795446909ce866c5d9574f7e', 'eb64026659f74c2abc302c8fc4086d06', 'False', 'True', 'false', 'false', '513426251155', 5, '拉马竹村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426251155', 1, '2021-07-19 12:09:37', NULL, NULL), (36341, '', '挡风岩村村民委员会', '08b50e138c00414f9f2c9cf2636a865a', 'eb64026659f74c2abc302c8fc4086d06', 'False', 'True', 'false', 'false', '513426251210', 5, '挡风岩村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426251210', 1, '2021-07-19 12:09:37', NULL, NULL), (36342, '', '新店村村民委员会', 'bb49394beea840059f5830a84b1b8af1', 'eb64026659f74c2abc302c8fc4086d06', 'False', 'True', 'false', 'false', '513426251421', 5, '新店村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426251421', 1, '2021-07-19 12:09:37', NULL, NULL), (36343, '', '大发村村民委员会', 'ba807134cafe4d5da1dc1345c135852f', 'eb64026659f74c2abc302c8fc4086d06', 'False', 'True', 'false', 'false', '513426251685', 5, '大发村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426251685', 1, '2021-07-19 12:09:37', NULL, NULL), (36344, '', '老村村村民委员会', 'd3536f4b03b446b794b9dfebb1b4ab92', 'eb64026659f74c2abc302c8fc4086d06', 'False', 'True', 'false', 'false', '513426251725', 5, '老村村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426251725', 1, '2021-07-19 12:09:37', NULL, NULL), (36345, '', '炭窑子村村民委员会', '15d076e45237424e81173b87a5a76b63', 'eb64026659f74c2abc302c8fc4086d06', 'False', 'True', 'false', 'false', '513426251747', 5, '炭窑子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426251747', 1, '2021-07-19 12:09:37', NULL, NULL), (36346, '', '朱家村村民委员会', 'd1e5035f4009401389595a596e3d8170', 'eb64026659f74c2abc302c8fc4086d06', 'False', 'True', 'false', 'false', '513426251203', 5, '朱家村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426251203', 1, '2021-07-19 12:09:37', NULL, NULL), (36347, '', '拖落村村民委员会', 'a9e950a649eb4ead95c6abf77db97af3', 'eb64026659f74c2abc302c8fc4086d06', 'False', 'True', 'false', 'false', '513426251204', 5, '拖落村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426251204', 1, '2021-07-19 12:09:37', NULL, NULL), (36348, '', '坪子村村民委员会', '7fea904ad1d74a039fbfc74614f54c3f', 'eb64026659f74c2abc302c8fc4086d06', 'False', 'True', 'false', 'false', '513426251205', 5, '坪子村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426251205', 1, '2021-07-19 12:09:37', NULL, NULL), (36349, '', '雪山洞村村民委员会', '8e0dd01177214b32942cc7f95b96d6e3', 'eb64026659f74c2abc302c8fc4086d06', 'False', 'True', 'false', 'false', '513426251206', 5, '雪山洞村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426251206', 1, '2021-07-19 12:09:37', NULL, NULL), (36350, '', '柏杉坡村村民委员会', '13093210cbbc42d2894b516c96023b2b', 'eb64026659f74c2abc302c8fc4086d06', 'False', 'True', 'false', 'false', '513426251208', 5, '柏杉坡村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426251208', 1, '2021-07-19 12:09:37', NULL, NULL), (36351, '', '海坝村村民委员会', 'fdcb06a221274e6c8dedb1adcb389554', 'eb64026659f74c2abc302c8fc4086d06', 'False', 'True', 'false', 'false', '513426251209', 5, '海坝村', 'http://www.sczwfw.gov.cn/jiq/front/item/village?areaCode=513426251209', 1, '2021-07-19 12:09:37', NULL, NULL), (36352, '', '德昌县', '33c65151e246444aad47f0656cc22e26', '5dd8920407b943de983b9b9f6f9dc6c7', 'True', 'True', 'false', 'false', '513424000000', 3, '德昌县', 'lszdcx.sczwfw.gov.cn', 1, '2021-07-19 12:09:37', NULL, NULL), (36353, '', '昌州街道', '4814c4b0b58c4057950b4546983c2dc2', '33c65151e246444aad47f0656cc22e26', 'False', 'True', 'false', 'false', '513424373000', 4, '昌州街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513424373000', 1, '2021-07-19 12:09:37', NULL, NULL), (36354, '', '金沙傈僳族乡', '355b612898cc49c096cdbba63254d784', '33c65151e246444aad47f0656cc22e26', 'False', 'True', 'false', 'false', '513424416000', 4, '金沙乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513424416000', 1, '2021-07-19 12:09:38', NULL, NULL), (36355, '', '南山傈僳族乡', '3da56f0e472a40e785fd2b252256c46a', '33c65151e246444aad47f0656cc22e26', 'False', 'True', 'false', 'false', '513424611000', 4, '南山乡', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513424611000', 1, '2021-07-19 12:09:38', NULL, NULL), (36356, '', '德州街道', '4f8da0060de74de0b9abef0d5e570ebe', '33c65151e246444aad47f0656cc22e26', 'False', 'True', 'false', 'false', '513424962000', 4, '德州街道', 'http://www.sczwfw.gov.cn/jiq/front/item/town?areaCode=513424962000', 1, '2021-07-19 12:09:38', NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_business
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_business`;
CREATE TABLE `mortals_sys_business`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `parentId` bigint(20) NULL DEFAULT NULL COMMENT '父级ID',
  `ancestors` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '祖级列表，逗号分隔',
  `isBusiness` tinyint(2) NULL DEFAULT NULL COMMENT '业务类型(0.一级业务,1.二级业务)',
  `name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '业务名称',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `canorder` tinyint(2) NULL DEFAULT 1 COMMENT '是否允许预约（1.允许，0.不允许）',
  `cantake` tinyint(2) NULL DEFAULT 1 COMMENT '是否允许取号（1.允许，0.不允许）',
  `datashow` tinyint(2) NULL DEFAULT 1 COMMENT '大厅情况展示 （1.展示，0.不展示）',
  `englishname` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英语业务名',
  `flownum` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '流水编号如A、B',
  `businessType` tinyint(2) NULL DEFAULT 1 COMMENT '业务类型 (0.一体化业务，1.自建业务)',
  `status` tinyint(2) NULL DEFAULT 1 COMMENT '业务状态 (0.停用，1.正常)',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '站点业务表';

-- ----------------------------
-- Records of mortals_sys_business
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_business_matter
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_business_matter`;
CREATE TABLE `mortals_sys_business_matter`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点ID',
  `siteName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `siteBusinessId` bigint(20) NULL DEFAULT NULL COMMENT '业务id',
  `siteBusinessName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '业务名称',
  `matterId` bigint(20) NULL DEFAULT NULL COMMENT '事项id',
  `matterName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项名称',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `siteId`(`siteId`) USING BTREE,
  INDEX `matterId`(`matterId`) USING BTREE,
  INDEX `siteBusinessId`(`siteBusinessId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '业务事项关联表';

-- ----------------------------
-- Records of mortals_sys_business_matter
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_dept`;
CREATE TABLE `mortals_sys_dept`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `tid` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '从政务系统来的部门id',
  `tname` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '从政务系统来的部门name',
  `name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门名称',
  `simpleName` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '从政务系统来的别名',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点ID',
  `deptAbb` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门简称',
  `deptTelphone` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '部门电话',
  `deptNumber` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门编号',
  `isAutotable` tinyint(1) NULL DEFAULT NULL COMMENT '填单机展示 (0.否，1.是) ',
  `isOrder` tinyint(1) NULL DEFAULT NULL COMMENT '预约展示 (0.否，1.是) ',
  `isBkb` tinyint(1) NULL DEFAULT NULL COMMENT '背靠背展示 (0.否，1.是) ',
  `isWorkGuide` tinyint(1) NULL DEFAULT NULL COMMENT '办事指南展示 (0.否，1.是) ',
  `usValid` tinyint(1) NULL DEFAULT NULL COMMENT '是否使用 (0.否，1.是) ',
  `isSecphone` tinyint(1) NULL DEFAULT NULL COMMENT '部门电话是否展示 (0.否，1.是) ',
  `isEnglish` tinyint(1) NULL DEFAULT NULL COMMENT '是否展示英文 (0.否，1.是) ',
  `sort` int(4) NULL DEFAULT NULL COMMENT '排序',
  `source` tinyint(2) NULL DEFAULT NULL COMMENT '部门来源',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `inNum` int(9) NULL DEFAULT 0 COMMENT '入驻事项数量',
  `total` int(9) NULL DEFAULT 0 COMMENT '关联事项数量',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '部门';

-- ----------------------------
-- Records of mortals_sys_dept
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_face
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_face`;
CREATE TABLE `mortals_sys_face`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `place_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '场所名称',
  `place_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '场所ID',
  `face` blob NULL COMMENT '人脸缩略图',
  `face_feature` blob NULL COMMENT '人脸特征',
  `id_card` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '身份ID',
  `create_time` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `deleted` tinyint(4) NULL DEFAULT NULL COMMENT '删除标识',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci;

-- ----------------------------
-- Records of mortals_sys_face
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_holiday
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_holiday`;
CREATE TABLE `mortals_sys_holiday`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点ID',
  `siteName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '节日名称',
  `summary` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `year` int(4) NULL DEFAULT NULL COMMENT '年份',
  `startTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '开始时间',
  `endTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '结束时间',
  `workorholiday` tinyint(2) NULL DEFAULT 0 COMMENT '是否工作日（0.节假日,1.工作日)',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 108 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '节假日表';

-- ----------------------------
-- Records of mortals_sys_holiday
-- ----------------------------
BEGIN;
INSERT INTO `mortals_sys_holiday` VALUES (1, 1, NULL, '五一节', '', 2023, '2023-05-01 10:59:07', '2023-05-01 10:59:07', 0, '2023-04-25 10:59:29', 1, '2023-05-30 11:23:56'), (4, 1, NULL, '法定节假日(元旦)', NULL, 2023, '2023-01-01 00:00:00', '2023-01-01 00:00:00', 0, '2023-10-09 09:55:02', 1, '2023-10-31 20:18:23'), (5, 1, NULL, '法定节假日(元旦)', NULL, 2023, '2023-01-02 00:00:00', '2023-01-02 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (6, 1, NULL, '法定节假日(除夕)', NULL, 2023, '2023-01-21 00:00:00', '2023-01-21 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (7, 1, NULL, '法定节假日(初一)', NULL, 2023, '2023-01-22 00:00:00', '2023-01-22 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (8, 1, NULL, '法定节假日(初二)', NULL, 2023, '2023-01-23 00:00:00', '2023-01-23 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (9, 1, NULL, '法定节假日(初三)', NULL, 2023, '2023-01-24 00:00:00', '2023-01-24 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (10, 1, NULL, '法定节假日(初四)', NULL, 2023, '2023-01-25 00:00:00', '2023-01-25 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (11, 1, NULL, '法定节假日(初五)', NULL, 2023, '2023-01-26 00:00:00', '2023-01-26 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (12, 1, NULL, '法定节假日(初六)', NULL, 2023, '2023-01-27 00:00:00', '2023-01-27 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (13, 1, NULL, '节假日调休补班(春节)', NULL, 2023, '2023-01-28 00:00:00', '2023-01-28 00:00:00', 1, '2023-10-09 09:55:02', 1, NULL), (14, 1, NULL, '节假日调休补班(春节)', NULL, 2023, '2023-01-29 00:00:00', '2023-01-29 00:00:00', 1, '2023-10-09 09:55:02', 1, NULL), (15, 1, NULL, '法定节假日(清明节)', NULL, 2023, '2023-04-05 00:00:00', '2023-04-05 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (16, 1, NULL, '节假日调休补班(劳动节)', NULL, 2023, '2023-04-23 00:00:00', '2023-04-23 00:00:00', 1, '2023-10-09 09:55:02', 1, NULL), (17, 1, NULL, '法定节假日(劳动节)', NULL, 2023, '2023-04-29 00:00:00', '2023-04-29 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (18, 1, NULL, '法定节假日(劳动节)', NULL, 2023, '2023-04-30 00:00:00', '2023-04-30 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (19, 1, NULL, '法定节假日(劳动节)', NULL, 2023, '2023-05-02 00:00:00', '2023-05-02 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (20, 1, NULL, '法定节假日(劳动节)', NULL, 2023, '2023-05-03 00:00:00', '2023-05-03 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (21, 1, NULL, '节假日调休补班(劳动节)', NULL, 2023, '2023-05-06 00:00:00', '2023-05-06 00:00:00', 1, '2023-10-09 09:55:02', 1, NULL), (22, 1, NULL, '法定节假日(端午节)', NULL, 2023, '2023-06-22 00:00:00', '2023-06-22 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (23, 1, NULL, '法定节假日(端午节)', NULL, 2023, '2023-06-23 00:00:00', '2023-06-23 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (24, 1, NULL, '法定节假日(端午节)', NULL, 2023, '2023-06-24 00:00:00', '2023-06-24 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (25, 1, NULL, '节假日调休补班(端午节)', NULL, 2023, '2023-06-25 00:00:00', '2023-06-25 00:00:00', 1, '2023-10-09 09:55:02', 1, NULL), (26, 1, NULL, '法定节假日(中秋节)', NULL, 2023, '2023-09-29 00:00:00', '2023-09-29 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (27, 1, NULL, '法定节假日(中秋节)', NULL, 2023, '2023-09-30 00:00:00', '2023-09-30 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (28, 1, NULL, '法定节假日(国庆节)', NULL, 2023, '2023-10-01 00:00:00', '2023-10-01 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (29, 1, NULL, '法定节假日(国庆节)', NULL, 2023, '2023-10-02 00:00:00', '2023-10-02 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (30, 1, NULL, '法定节假日(国庆节)', NULL, 2023, '2023-10-03 00:00:00', '2023-10-03 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (31, 1, NULL, '法定节假日(国庆节)', NULL, 2023, '2023-10-04 00:00:00', '2023-10-04 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (32, 1, NULL, '法定节假日(国庆节)', NULL, 2023, '2023-10-05 00:00:00', '2023-10-05 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (33, 1, NULL, '法定节假日(国庆节)', NULL, 2023, '2023-10-06 00:00:00', '2023-10-06 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (34, 1, NULL, '节假日调休补班(国庆节)', NULL, 2023, '2023-10-07 00:00:00', '2023-10-07 00:00:00', 1, '2023-10-09 09:55:02', 1, NULL), (35, 1, NULL, '节假日调休补班(国庆节)', NULL, 2023, '2023-10-08 00:00:00', '2023-10-08 00:00:00', 1, '2023-10-09 09:55:02', 1, NULL), (36, 1, NULL, '法定节假日(元旦)', NULL, 2023, '2023-12-31 00:00:00', '2023-12-31 00:00:00', 0, '2023-10-09 09:55:02', 1, NULL), (37, 1, NULL, '元旦节', '2024年元旦节', 2024, '2024-01-01 09:23:38', '2024-01-01 09:23:38', 0, '2024-01-09 09:23:58', 2067, NULL), (38, 1, NULL, '节假日调休补班(春节)', NULL, 2024, '2024-02-04 00:00:00', '2024-02-04 00:00:00', 1, '2024-01-10 20:37:01', 1, NULL), (39, 1, NULL, '法定节假日(初一)', NULL, 2024, '2024-02-10 00:00:00', '2024-02-10 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (40, 1, NULL, '法定节假日(初二)', NULL, 2024, '2024-02-11 00:00:00', '2024-02-11 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (41, 1, NULL, '法定节假日(初三)', NULL, 2024, '2024-02-12 00:00:00', '2024-02-12 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (42, 1, NULL, '法定节假日(初四)', NULL, 2024, '2024-02-13 00:00:00', '2024-02-13 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (43, 1, NULL, '法定节假日(初五)', NULL, 2024, '2024-02-14 00:00:00', '2024-02-14 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (44, 1, NULL, '法定节假日(初六)', NULL, 2024, '2024-02-15 00:00:00', '2024-02-15 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (45, 1, NULL, '法定节假日(初七)', NULL, 2024, '2024-02-16 00:00:00', '2024-02-16 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (46, 1, NULL, '法定节假日(初八)', NULL, 2024, '2024-02-17 00:00:00', '2024-02-17 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (47, 1, NULL, '节假日调休补班(春节)', NULL, 2024, '2024-02-18 00:00:00', '2024-02-18 00:00:00', 1, '2024-01-10 20:37:01', 1, NULL), (48, 1, NULL, '法定节假日(清明节)', NULL, 2024, '2024-04-04 00:00:00', '2024-04-04 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (49, 1, NULL, '法定节假日(清明节)', NULL, 2024, '2024-04-05 00:00:00', '2024-04-05 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (50, 1, NULL, '法定节假日(清明节)', NULL, 2024, '2024-04-06 00:00:00', '2024-04-06 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (51, 1, NULL, '节假日调休补班(清明节)', NULL, 2024, '2024-04-07 00:00:00', '2024-04-07 00:00:00', 1, '2024-01-10 20:37:01', 1, NULL), (52, 1, NULL, '节假日调休补班(劳动节)', NULL, 2024, '2024-04-28 00:00:00', '2024-04-28 00:00:00', 1, '2024-01-10 20:37:01', 1, NULL), (53, 1, NULL, '法定节假日(劳动节)', NULL, 2024, '2024-05-01 00:00:00', '2024-05-01 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (54, 1, NULL, '法定节假日(劳动节)', NULL, 2024, '2024-05-02 00:00:00', '2024-05-02 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (55, 1, NULL, '法定节假日(劳动节)', NULL, 2024, '2024-05-03 00:00:00', '2024-05-03 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (56, 1, NULL, '法定节假日(劳动节)', NULL, 2024, '2024-05-04 00:00:00', '2024-05-04 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (57, 1, NULL, '法定节假日(劳动节)', NULL, 2024, '2024-05-05 00:00:00', '2024-05-05 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (58, 1, NULL, '节假日调休补班(劳动节)', NULL, 2024, '2024-05-11 00:00:00', '2024-05-11 00:00:00', 1, '2024-01-10 20:37:01', 1, NULL), (59, 1, NULL, '法定节假日(端午节)', NULL, 2024, '2024-06-08 00:00:00', '2024-06-08 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (60, 1, NULL, '法定节假日(端午节)', NULL, 2024, '2024-06-09 00:00:00', '2024-06-09 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (61, 1, NULL, '法定节假日(端午节)', NULL, 2024, '2024-06-10 00:00:00', '2024-06-10 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (62, 1, NULL, '节假日调休补班(中秋节)', NULL, 2024, '2024-09-14 00:00:00', '2024-09-14 00:00:00', 1, '2024-01-10 20:37:01', 1, NULL), (63, 1, NULL, '法定节假日(中秋节)', NULL, 2024, '2024-09-15 00:00:00', '2024-09-15 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (64, 1, NULL, '法定节假日(中秋节)', NULL, 2024, '2024-09-16 00:00:00', '2024-09-16 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (65, 1, NULL, '法定节假日(中秋节)', NULL, 2024, '2024-09-17 00:00:00', '2024-09-17 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (66, 1, NULL, '节假日调休补班(国庆节)', NULL, 2024, '2024-09-29 00:00:00', '2024-09-29 00:00:00', 1, '2024-01-10 20:37:01', 1, NULL), (67, 1, NULL, '法定节假日(国庆节)', NULL, 2024, '2024-10-01 00:00:00', '2024-10-01 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (68, 1, NULL, '法定节假日(国庆节)', NULL, 2024, '2024-10-02 00:00:00', '2024-10-02 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (69, 1, NULL, '法定节假日(国庆节)', NULL, 2024, '2024-10-03 00:00:00', '2024-10-03 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (70, 1, NULL, '法定节假日(国庆节)', NULL, 2024, '2024-10-04 00:00:00', '2024-10-04 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (71, 1, NULL, '法定节假日(国庆节)', NULL, 2024, '2024-10-05 00:00:00', '2024-10-05 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (72, 1, NULL, '法定节假日(国庆节)', NULL, 2024, '2024-10-06 00:00:00', '2024-10-06 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (73, 1, NULL, '法定节假日(国庆节)', NULL, 2024, '2024-10-07 00:00:00', '2024-10-07 00:00:00', 0, '2024-01-10 20:37:01', 1, NULL), (74, 1, NULL, '节假日调休补班(国庆节)', NULL, 2024, '2024-10-12 00:00:00', '2024-10-12 00:00:00', 1, '2024-01-10 20:37:01', 1, NULL), (75, 1, NULL, '法定节假日(元旦)', NULL, 2025, '2025-01-01 00:00:00', '2025-01-01 00:00:00', 0, '2025-01-02 16:47:01', 1, NULL), (76, 1, NULL, '节假日调休补班(春节)', NULL, 2025, '2025-01-26 00:00:00', '2025-01-26 00:00:00', 1, '2025-01-02 16:47:01', 1, NULL), (77, 1, NULL, '法定节假日(除夕)', NULL, 2025, '2025-01-28 00:00:00', '2025-01-28 00:00:00', 0, '2025-01-02 16:47:01', 1, NULL), (78, 1, NULL, '法定节假日(初一)', NULL, 2025, '2025-01-29 00:00:00', '2025-01-29 00:00:00', 0, '2025-01-02 16:47:01', 1, NULL), (79, 1, NULL, '法定节假日(初二)', NULL, 2025, '2025-01-30 00:00:00', '2025-01-30 00:00:00', 0, '2025-01-02 16:47:01', 1, NULL), (80, 1, NULL, '法定节假日(初三)', NULL, 2025, '2025-01-31 00:00:00', '2025-01-31 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (81, 1, NULL, '法定节假日(初四)', NULL, 2025, '2025-02-01 00:00:00', '2025-02-01 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (82, 1, NULL, '法定节假日(初五)', NULL, 2025, '2025-02-02 00:00:00', '2025-02-02 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (83, 1, NULL, '法定节假日(初六)', NULL, 2025, '2025-02-03 00:00:00', '2025-02-03 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (84, 1, NULL, '法定节假日(初七)', NULL, 2025, '2025-02-04 00:00:00', '2025-02-04 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (85, 1, NULL, '节假日调休补班(春节)', NULL, 2025, '2025-02-08 00:00:00', '2025-02-08 00:00:00', 1, '2025-01-02 16:47:02', 1, NULL), (86, 1, NULL, '法定节假日(清明节)', NULL, 2025, '2025-04-04 00:00:00', '2025-04-04 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (87, 1, NULL, '法定节假日(清明节)', NULL, 2025, '2025-04-05 00:00:00', '2025-04-05 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (88, 1, NULL, '法定节假日(清明节)', NULL, 2025, '2025-04-06 00:00:00', '2025-04-06 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (89, 1, NULL, '节假日调休补班(劳动节)', NULL, 2025, '2025-04-27 00:00:00', '2025-04-27 00:00:00', 1, '2025-01-02 16:47:02', 1, NULL), (90, 1, NULL, '法定节假日(劳动节)', NULL, 2025, '2025-05-01 00:00:00', '2025-05-01 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (91, 1, NULL, '法定节假日(劳动节)', NULL, 2025, '2025-05-02 00:00:00', '2025-05-02 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (92, 1, NULL, '法定节假日(劳动节)', NULL, 2025, '2025-05-03 00:00:00', '2025-05-03 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (93, 1, NULL, '法定节假日(劳动节)', NULL, 2025, '2025-05-04 00:00:00', '2025-05-04 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (94, 1, NULL, '法定节假日(劳动节)', NULL, 2025, '2025-05-05 00:00:00', '2025-05-05 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (95, 1, NULL, '法定节假日(端午节)', NULL, 2025, '2025-05-31 00:00:00', '2025-05-31 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (96, 1, NULL, '法定节假日(端午节)', NULL, 2025, '2025-06-01 00:00:00', '2025-06-01 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (97, 1, NULL, '法定节假日(端午节)', NULL, 2025, '2025-06-02 00:00:00', '2025-06-02 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (98, 1, NULL, '节假日调休补班(国庆节)', NULL, 2025, '2025-09-28 00:00:00', '2025-09-28 00:00:00', 1, '2025-01-02 16:47:02', 1, NULL), (99, 1, NULL, '法定节假日(国庆节)', NULL, 2025, '2025-10-01 00:00:00', '2025-10-01 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (100, 1, NULL, '法定节假日(国庆节)', NULL, 2025, '2025-10-02 00:00:00', '2025-10-02 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (101, 1, NULL, '法定节假日(国庆节)', NULL, 2025, '2025-10-03 00:00:00', '2025-10-03 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (102, 1, NULL, '法定节假日(国庆节)', NULL, 2025, '2025-10-04 00:00:00', '2025-10-04 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (103, 1, NULL, '法定节假日(国庆节)', NULL, 2025, '2025-10-05 00:00:00', '2025-10-05 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (104, 1, NULL, '法定节假日(中秋节)', NULL, 2025, '2025-10-06 00:00:00', '2025-10-06 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (105, 1, NULL, '法定节假日(国庆节)', NULL, 2025, '2025-10-07 00:00:00', '2025-10-07 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (106, 1, NULL, '法定节假日(国庆节)', NULL, 2025, '2025-10-08 00:00:00', '2025-10-08 00:00:00', 0, '2025-01-02 16:47:02', 1, NULL), (107, 1, NULL, '节假日调休补班(国庆节)', NULL, 2025, '2025-10-11 00:00:00', '2025-10-11 00:00:00', 1, '2025-01-02 16:47:02', 1, NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_identity
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_identity`;
CREATE TABLE `mortals_sys_identity`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键ID',
  `region` bigint(20) NULL DEFAULT NULL COMMENT '区域',
  `birthday` bigint(20) NULL DEFAULT NULL COMMENT '生日',
  `ase` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '加密',
  `name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称',
  `phone` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '电话',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '更新时间',
  `deleted` tinyint(4) NULL DEFAULT NULL COMMENT '删除标识',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `region`(`birthday`) USING BTREE,
  INDEX `index_birthday`(`birthday`) USING BTREE,
  INDEX `index_ase`(`ase`) USING BTREE,
  INDEX `index_name`(`name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci;

-- ----------------------------
-- Records of mortals_sys_identity
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_matter
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter`;
CREATE TABLE `mortals_sys_matter`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点ID',
  `tid` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '从政务系统来的事项id',
  `tcode` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '从政务系统来的事项code',
  `tname` varchar(2048) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '从政务系统来的事项name',
  `matterName` varchar(2048) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项名称',
  `englishName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英语事项名',
  `matterNo` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项编号',
  `areaCode` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域编码',
  `deptCode` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门编号',
  `deptName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门名称',
  `powerCode` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '行政权力编号',
  `themeCode` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主题编号',
  `usertypeCode` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '服务类型编号',
  `groupName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项组名',
  `url` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项详情链接',
  `haveGetMatterInfo` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否获取事项详情',
  `belongDept` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  `appoveObjectShow` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）',
  `operatScopeShow` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）',
  `appoveTimeLimitShow` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）',
  `handleType` varchar(12) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '办理形式（窗口办理.窗口办理，网上办理.网上办理）	',
  `legalTimeLimitShow` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '法定办结时限',
  `legalEndExplain` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '法定时限办结说明',
  `promiseTimeLimitShow` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '承诺办结时限',
  `promiseEndExplain` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '承诺时限办结说明',
  `isChargesShow` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否收费（否.否，是.是）',
  `certificationLevelsShow` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）',
  `planTakeTime` datetime(0) NULL DEFAULT NULL COMMENT '计划生效日期',
  `promiseTakeTime` datetime(0) NULL DEFAULT NULL COMMENT '承诺生效日期',
  `specialProcedure` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '特别程序',
  `windowToTheSceneNum` tinyint(2) NULL DEFAULT NULL COMMENT '窗口到现场次数',
  `isOnlineSubscribeShow` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否网上预约,窗口办理选（否.否，是.是）',
  `isExpressTakeShow` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物流快递,窗口办理选（否.否，是.是）',
  `isProvinceAcquisitionShow` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否支持全省范围就近取件（否.否，是.是）',
  `isApplyProvinceShow` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否支持全省范围就近办理（否.否，是.是）',
  `mustSceneExplain` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '必须到现场原因',
  `onlineType` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）',
  `onlineToTheSceneNum` tinyint(2) NULL DEFAULT NULL COMMENT '网办到现场次数',
  `onlineOperatDeep` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）',
  `isExpressTakeOnlineShow` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物流快递，网上办理选（否.否，是.是）',
  `isDoorTakeShow` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否支持上门收取申请（否.否，是.是）',
  `onlineMustSceneExplain` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '网上必须到现场原因',
  `performDeptType` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '实施主体',
  `matterEdition` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项版本',
  `eventTypeShow` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）',
  `performHierarchyShow` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）',
  `powerSourceShow` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）',
  `performDeptTypeShow` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）',
  `goveServiceCenterShow` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否进驻中心（否.否，是.是）',
  `isConvenientCenterShow` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否纳入便民服务中心（否.否，是.是）',
  `terminalHandle` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '自助终端办理 （否.否，是.是）',
  `isOnline` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否网办 （否.否，是.是）',
  `isOnlinePayShow` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '支持网上支付（否.否，是.是）',
  `entrustmentDepartmen` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '委托部门（否.否，是.是）',
  `jointInfoShow` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '联办机构',
  `matterStatus` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项状态（停用.停用，在用.在用）',
  `numberLimit` int(11) NULL DEFAULT NULL COMMENT '数量限制',
  `type` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主题类型',
  `baseCode` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '基本编码',
  `implementCode` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '实施编码',
  `implementBodyCode` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '实施主体编码',
  `operateItemCode` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '办理项编码',
  `townshipName` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '乡镇街道名称',
  `townshipCode` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '乡镇街道代码',
  `villageName` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '村居社区名称',
  `villageCode` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '村居社区代码',
  `operateTime` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '办理时间',
  `operateSite` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '办理地点',
  `cousultingShow` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '咨询方式',
  `cousultingTelephoneShow` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '咨询电话',
  `superviseShow` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '监督投诉方式',
  `sort` int(4) NULL DEFAULT NULL COMMENT '排序',
  `source` tinyint(2) NULL DEFAULT NULL COMMENT '事项来源(0.政务网，1.自定义)',
  `evaluationUrl` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '评价地址',
  `netApplyUrl` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '申请地址',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `matterarea`(`matterNo`, `areaCode`) USING BTREE,
  INDEX `area`(`areaCode`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '基础事项';

-- ----------------------------
-- Records of mortals_sys_matter
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_matter_accept
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_accept`;
CREATE TABLE `mortals_sys_matter_accept`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `matterId` bigint(20) NOT NULL DEFAULT 0 COMMENT '基础事项表id',
  `matterCode` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '',
  `matterName` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项名称',
  `content` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '受理条件',
  `source` tinyint(2) NULL DEFAULT 0 COMMENT '事项来源 (0.政务网，1.自定义)',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_matterId`(`matterId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '事项受理条件';

-- ----------------------------
-- Records of mortals_sys_matter_accept
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_matter_charges
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_charges`;
CREATE TABLE `mortals_sys_matter_charges`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `matterId` bigint(20) NOT NULL DEFAULT 0 COMMENT '事项基础表matter id',
  `matterCode` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '事项编码',
  `matterName` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项名称',
  `content` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '收费标准',
  `source` tinyint(2) NULL DEFAULT 0 COMMENT '事项来源，(0.政务网，1.自定义)',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_matterId`(`matterId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '事项收费标准';

-- ----------------------------
-- Records of mortals_sys_matter_charges
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_matter_datum
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_datum`;
CREATE TABLE `mortals_sys_matter_datum`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `matterId` bigint(20) NULL DEFAULT NULL COMMENT '事项id',
  `matterCode` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '事项编码',
  `matterName` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项名称',
  `materialName` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '材料名',
  `isMust` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '非必要' COMMENT '必交性（非必要.非必要，必要.必要，必要|容缺后补.必要|容缺后补，非必要|容缺后补.非必要|容缺后补）',
  `materialType` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '无' COMMENT '材料类型（无.无，原件.原件，复印件.复印件，原件和复印件.原件和复印件)',
  `materialProperty` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '纸质' COMMENT '材料形式（纸质.纸质，电子.电子，纸质|电子.纸质|电子）',
  `electronicgs` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '无' COMMENT '电子材料格式（无.无，不限.不限，jpg.jpg，jpeg.jpeg，pdf.pdf，word.word，pdf|jpg|jpeg.pdf|jpg|jpeg，pdf|jpg.pdf|jpg）',
  `materialSource` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '无' COMMENT '材料来源渠道（无.无，申请人自备.申请人自备，政府部门核发.政府部门核发，其他.其他）',
  `paperNum` tinyint(4) NULL DEFAULT 1 COMMENT '纸质材料份数',
  `paperGg` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纸质材料规格',
  `jianmMs` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '无' COMMENT '减免模式（无.无，减.减，免.免）',
  `sealWay` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '盖章方式',
  `isjianm` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '是' COMMENT '是否减免（否.否，是.是）',
  `isLack` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '必要' COMMENT '材料是否容缺（必要.必要，非必要.非必要）',
  `ybUrl` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '材料地址',
  `materialSourceSm` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '来源渠道说明',
  `remarkSub` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '填报须知',
  `clauseContent` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '要求提供材料的依据',
  `summary` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '受理标准',
  `remark` varchar(2048) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `source` tinyint(2) NULL DEFAULT 1 COMMENT '事项来源(0.政务网，1.自定义)',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '事项申请材料';

-- ----------------------------
-- Records of mortals_sys_matter_datum
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_matter_datum_file
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_datum_file`;
CREATE TABLE `mortals_sys_matter_datum_file`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `datumId` bigint(20) NULL DEFAULT NULL COMMENT '材料id',
  `matterCode` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项编码',
  `materialName` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '材料名',
  `fileName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '附件名称',
  `fileUrl` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '附件下载地址',
  `localFileUrl` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `filetype` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '示例样表' COMMENT '附件类型 (示例样表.示例样表，空白表格.空白表格)',
  `source` tinyint(2) NULL DEFAULT 1 COMMENT '附件来源 (0.政务网，1.自定义)',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_datumId`(`datumId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '材料附件表';

-- ----------------------------
-- Records of mortals_sys_matter_datum_file
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_matter_ext
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_ext`;
CREATE TABLE `mortals_sys_matter_ext`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `matterId` bigint(20) NOT NULL COMMENT '事项基础表matter id',
  `matterCode` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项编码',
  `matterName` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项名称',
  `fieldCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段编码',
  `fieldName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段名称',
  `fieldValue` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段值',
  `fieldType` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段类型',
  `fieldOrderNo` int(11) NULL DEFAULT NULL COMMENT '字段排序号',
  `source` tinyint(2) NULL DEFAULT NULL COMMENT '事项来源，(0.政务网，1.自定义)',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '事项扩展';

-- ----------------------------
-- Records of mortals_sys_matter_ext
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_matter_flowlimit
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_flowlimit`;
CREATE TABLE `mortals_sys_matter_flowlimit`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `matterId` bigint(20) NOT NULL DEFAULT 0 COMMENT '事项基础表id',
  `matterCode` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `matterName` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项名称',
  `flowName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '办理流程',
  `flowTime` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '办理时长',
  `flowLimit` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '转外时限',
  `flowDesc` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '办理流程说明',
  `source` tinyint(2) NULL DEFAULT 0 COMMENT '事项来源(0.政务网，1.自定义)',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_matterId`(`matterId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '事项办理流程';

-- ----------------------------
-- Records of mortals_sys_matter_flowlimit
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_matter_intermediary
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_intermediary`;
CREATE TABLE `mortals_sys_matter_intermediary`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `matterId` bigint(20) NOT NULL DEFAULT 0 COMMENT '事项matter id',
  `matterCode` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `matterName` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项名称',
  `title` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '中介服务事项名称',
  `intermediaryRequest` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '中介服务实施机构及资质资格要求',
  `intermediaryRequestTime` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '服务时限',
  `remark` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '备注',
  `source` tinyint(2) NULL DEFAULT 0 COMMENT '事项来源，(0.政务网，1.自定义)',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_matterId`(`matterId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '事项中介服务表';

-- ----------------------------
-- Records of mortals_sys_matter_intermediary
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_matter_question
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_question`;
CREATE TABLE `mortals_sys_matter_question`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `matterId` bigint(20) NOT NULL DEFAULT 0 COMMENT '事项基础表matter id',
  `matterCode` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `matterName` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项名称',
  `question` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '问题',
  `answer` varchar(2048) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '常见问题',
  `source` tinyint(2) NULL DEFAULT 0 COMMENT '事项来源，(0.政务网，1.自定义)',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_matterId`(`matterId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '事项常见问题';

-- ----------------------------
-- Records of mortals_sys_matter_question
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_matter_setbase
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_matter_setbase`;
CREATE TABLE `mortals_sys_matter_setbase`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `matterId` bigint(20) NOT NULL DEFAULT 0 COMMENT '事项matter id',
  `matterCode` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `matterName` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项名称',
  `policyName` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '法规标题',
  `policyType` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '1' COMMENT '法规类型，(法律.法律，行政法规.行政法规，地方法规.地方法规，部门规章.部门规章，其他.其他，政府规章.政府规章，规范性文件.规范性文件)',
  `policyitem` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '条例',
  `content` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '条款内容',
  `source` tinyint(2) NULL DEFAULT 0 COMMENT '事项来源，(0.政务网，1.自定义)',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_matterId`(`matterId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '事项设定依据表';

-- ----------------------------
-- Records of mortals_sys_matter_setbase
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_model
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_model`;
CREATE TABLE `mortals_sys_model`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `modelName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模块名称',
  `modelCode` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模块编码',
  `modelIcon` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模块图标',
  `modelUrl` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模块地址',
  `remark` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注信息',
  `sort` int(9) NULL DEFAULT 0 COMMENT '排序',
  `type` tinyint(2) NULL DEFAULT 1 COMMENT '模块分类',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 48 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '模块表';

-- ----------------------------
-- Records of mortals_sys_model
-- ----------------------------
BEGIN;
INSERT INTO `mortals_sys_model` VALUES (1, '基础设置', 'basic setting ', '/file/fileupload/1703067892915.png', 'base/#/jump', '基础设置平台', 1, 1, '2023-01-15 11:23:43', 1, '2023-12-20 18:24:54'), (2, '智慧政务自助排队叫号系统', 'phxt', '/file/fileupload/1703067955710.png', 'phxt/#/jump', '', 2, 1, '2023-01-15 11:24:15', 1, '2024-08-13 14:12:42'), (3, '设备物联网', 'device', '/file/fileupload/1703068166826.png', 'device/#/sso', '', 4, 1, '2023-01-15 11:24:27', 2, '2023-12-20 18:29:28'), (4, '数字政务泛媒体服务系统', 'information-oublish', '/file/fileupload/1703068123068.png', 'info/#/', '', 3, 1, '2023-01-15 11:27:08', 1, '2024-08-16 15:31:02'), (5, '政务好差评系统', 'window', '/file/fileupload/1703068202074.png', 'ckpj/#/', '', 5, 3, '2023-01-15 11:27:22', 1, '2024-09-03 10:44:36'), (7, '智慧引导查询服务系统', 'dsj', '/file/fileupload/1703068386471.png', 'dsj/#/', '', 56, 3, '2023-02-02 17:30:18', 1, '2024-08-14 15:28:47'), (9, '日志管理', 'logService', '/file/fileupload/1703068396706.png', 'logservice/#/sso', '', 99, 1, '2023-02-06 15:59:18', 1, '2023-12-20 18:33:18'), (10, '智慧数字化填单系统', 'fill-manager', '/file/fileupload/1703068218833.png', 'fill/#/jump', '', 7, 3, '2023-02-07 09:40:37', 1, '2024-09-10 10:37:29'), (12, '智慧云柜服务系统', 'access', '/file/fileupload/1703068252532.png', 'access/#/login', '', 10, 3, '2023-02-07 15:44:11', 1, '2024-08-14 15:29:41'), (14, '政务自助服务系统', 'self-service', '/file/fileupload/1703068305144.png', 'selfService/#/', '', 12, 3, '2023-02-21 16:09:30', 1, '2023-12-20 18:31:46'), (15, '网络理政', 'network-system', '/file/fileupload/1703068436548.png', 'network/#/', '', 99, 2, '2023-04-21 15:40:19', 1, '2023-12-20 18:33:57'), (16, '办不成事', 'nothing-system', '/file/fileupload/1703068269551.png', 'nothing/#/', '', 11, 2, '2023-04-21 15:41:37', 1, '2023-12-20 18:31:11'), (17, '数据资源', 'data-resource', '/file/fileupload/1703068452731.png', 'datares/#/', '', 99, 1, '2023-04-21 15:42:02', 1, '2023-12-20 18:34:14'), (19, '多媒体播控服务系统', 'bokong', '/file/fileupload/1703068332278.png', 'bokong/#/', '', 21, 2, '2023-04-21 15:46:09', 1, '2024-09-02 14:05:05'), (25, '智慧考勤服务系统', 'kqjx', '/file/fileupload/1703405007461.png', 'attendance/#/sso', '', 99, 2, '2023-04-21 19:35:52', 1, '2024-10-29 14:15:26'), (27, '消息通知服务', 'information', '/file/fileupload/1703068501804.png', 'http://sms.wx3.com.cn/admin/#/login', '', 99, 3, '2023-04-21 19:40:44', 1, '2025-01-22 16:15:34'), (28, '大数据可视化分析系统', 'sjjsc', '/file/fileupload/1703068520498.png', 'cabin/#/', '', 99, 1, '2023-04-21 21:44:12', 1, '2023-12-20 18:35:22'), (29, '自助证照服务系统', 'license-print', '/file/fileupload/1703068534313.png', 'cert/#/jump', '', 99, 3, '2024-11-28 15:03:15', 1, '2024-11-28 15:03:15'), (30, '智慧数字化样表服务系统', 'sample', '/file/fileupload/1710832370483.png', 'sample/#/jump', '', 99, 3, '2024-03-19 15:12:56', 1, '2024-08-13 14:07:58'), (33, '全域智能引导预约服务系统', 'all/#/jump', '/file/fileupload/1723604896180.png', 'all/#/jump', '', 1, 3, '2024-03-25 14:10:09', 1, '2024-08-14 11:39:13'), (34, '单事项管理平台', 'single-matter', '/file/fileupload/1711347007445.png', 'single-matter/#/jump', NULL, 98, 1, '2024-05-14 16:30:46', NULL, '2024-05-14 16:30:46'), (35, '单事项审核平台', 'examine-matter', '/file/fileupload/1711347007445.png', 'examine-matter/#/jump', NULL, 97, 1, '2024-05-14 16:31:30', NULL, '2024-05-14 16:31:39'), (36, '智慧微门户系统', 'wechat', '/file/fileupload/1723775995194.png', 'wechat/#/', '', 1, 3, '2024-05-14 16:35:45', 1, '2024-08-16 10:39:56'), (41, '数字政务应用服务多端管理中台', 'ewq', '/file/fileupload/1739414348718.png', 'application/#/', '', 0, 1, '2025-01-22 16:26:44', 1, '2025-02-13 10:39:10'), (42, '背靠背评价交互系统', 'backtoback', '/file/fileupload/1725244538889.png', 'back/#/jump', '', 0, 3, '2024-09-02 10:35:40', 1, '2024-09-02 10:45:20'), (44, 'AI智能效能监察系统', 'xnjc', '/file/fileupload/1730087030838.png', 'ai/#/', '', 0, 2, '2024-11-28 15:10:23', 1, '2024-11-28 15:10:23'), (45, '数字政务一体化大数据可视化分析系统', 'cabin', '/file/fileupload/1729750871152.png', 'cabin/#/', '', 0, 2, '2024-10-24 14:21:13', 1, NULL), (46, '数据资源', 'dataers', '/file/fileupload/1729753765322.png', 'datares/#/', '', 0, 1, '2024-10-24 15:09:27', 1, NULL), (47, '数字政务一体化大数据治理系统', 'etl', '/file/fileupload/1730165574063.png', 'etl/#/sso', '', 0, 2, '2024-10-29 09:32:55', 1, NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_model_census
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_model_census`;
CREATE TABLE `mortals_sys_model_census`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `modelId` bigint(20) NULL DEFAULT NULL COMMENT '模块ID，主键',
  `censusName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '数据统计名称',
  `censusUrl` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '链接地址',
  `censusType` tinyint(2) NOT NULL COMMENT '统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1',
  `status` tinyint(2) NOT NULL COMMENT '状态，0暂未开通，1已开通',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 15 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '模块下的数据统计';

-- ----------------------------
-- Records of mortals_sys_model_census
-- ----------------------------
BEGIN;
INSERT INTO `mortals_sys_model_census` VALUES (1, 2, '排队叫号记录报表', '/home/dataManagement/queueCall', 1, 1, 1, '系统管理员', '2023-03-06 19:12:35', '2023-09-01 09:04:09', 1, '系统管理员'), (2, 10, '填单记录报表	', '/home/dataManagement/fillRecordReport/fillForm', 1, 1, 1, '系统管理员', '2023-03-06 19:13:08', '2023-11-24 14:20:18', 1, '系统管理员'), (3, 30, '样表查看记录报表', '/home/dataManagement/sampleRecordReport/sampleForm', 1, 1, 1, '系统管理员', '2023-03-06 19:13:44', '2025-02-20 10:28:55', 1, '系统管理员'), (5, 15, '网络理政报表', '/home/dataManagement/networkGovernance', 3, 1, 1, '系统管理员', '2023-04-21 16:11:32', '2025-02-20 10:20:20', 1, '系统管理员'), (6, 16, '办不成事报表', '/home/dataManagement/Impossible/ImpossibleForm', 3, 1, 1, '系统管理员', '2023-04-21 16:11:38', '2023-04-21 16:11:38', 1, '系统管理员'), (7, 36, '微官网注册报表', '/home/dataManagement/microOfficialWebsite/microForm', 1, 1, 1, '系统管理员', '2023-04-21 16:15:01', '2025-02-20 10:24:58', 1, '系统管理员'), (8, 33, '预约记录报表', '/home/dataManagement/makeRecordReport/RecordReport', 1, 1, 1, '系统管理员', '2023-04-21 16:15:37', '2025-02-20 10:26:01', 1, '系统管理员'), (9, 12, '自助存取件记录报表', '/home/dataManagement/pickUp', 1, 1, 1, '系统管理员', '2023-04-21 16:28:16', '2023-09-01 09:05:49', 1, '系统管理员'), (11, 3, '设备物联网异常告警报表', '/home/dataManagement/IOT/alerting', 3, 1, 1, '系统管理员', '2023-04-21 16:40:29', '2023-08-21 13:56:20', 1, '系统管理员'), (12, 44, '窗口服务行为监察数据报表', '/home/dataManagement/AIEfficiency/abnormalReportForm', 3, 1, 1, '系统管理员', '2023-04-21 16:41:44', '2025-02-20 10:27:54', 1, '系统管理员'), (13, 30, '样表查看记录报表', '/home/dataManagement/sampleRecordReport/sampleForm', 1, 1, 1, '系统管理员', '2024-03-19 15:15:11', NULL, NULL, ''), (14, 42, '评价记录报表', '/home/dataManagement/evaluationRecordReport', 1, 1, 1, '系统管理员', '2025-02-19 15:30:21', '2025-02-20 10:20:42', 1, '系统管理员');
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_people_info
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_people_info`;
CREATE TABLE `mortals_sys_people_info`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '姓名',
  `sex` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '性别',
  `nation` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '民族',
  `born` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '出生日期',
  `address` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '地址',
  `idCardNo` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '身份证号',
  `grantDept` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '发证机关',
  `userLifeBegin` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '有效期开始',
  `userLifeEnd` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '有效期结束',
  `photoFileName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '照片',
  `phone` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '手机',
  `openid` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '微信开放认证id',
  `last_time` datetime(0) NULL DEFAULT NULL COMMENT '最近登录时间',
  `up_time` datetime(0) NULL DEFAULT NULL,
  `icon` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '微信头像',
  `nickname` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '微信昵称',
  `z_img` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '身份证正面照片',
  `b_img` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '身份证背面照片',
  `siteid` int(11) NULL DEFAULT 0 COMMENT '默认选择的站点id',
  `username` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '天府通办用户名',
  `create_time` datetime(0) NOT NULL COMMENT '申请预约时间',
  `update_time` datetime(0) NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idcard_Name`(`name`) USING BTREE,
  INDEX `idCardNo`(`idCardNo`) USING BTREE,
  INDEX `phone`(`phone`) USING BTREE,
  INDEX `openid`(`openid`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户信息';

-- ----------------------------
-- Records of mortals_sys_people_info
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_site
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_site`;
CREATE TABLE `mortals_sys_site`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `siteCode` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点编号',
  `areaID` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域Id',
  `areaCode` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域编号',
  `areaName` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域名称',
  `proCode` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '省编码',
  `cityCode` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '市编码',
  `districtCode` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区编码',
  `siteIp` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点服务器ip',
  `sitePort` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点服务器端口',
  `longitude` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '经度',
  `latitude` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纬度',
  `siteTel` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '中心联系电话',
  `detailAddress` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '中心详细地址',
  `siteRemark` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '中心介绍',
  `amWorkStartTime` datetime(0) NULL DEFAULT NULL COMMENT '上午上班开始时间',
  `amWorkEndTime` datetime(0) NULL DEFAULT NULL COMMENT '上午上班结束时间',
  `pmWorkStartTime` datetime(0) NULL DEFAULT NULL COMMENT '下午上班开始时间',
  `pmWorkEndTime` datetime(0) NULL DEFAULT NULL COMMENT '下午上班结束时间',
  `workday1` tinyint(2) NULL DEFAULT NULL COMMENT '周一 (1.上班，0.不上)',
  `workday2` tinyint(2) NULL DEFAULT NULL COMMENT '周二 (1.上班，0.不上)',
  `workday3` tinyint(2) NULL DEFAULT NULL COMMENT '周三 (1.上班，0.不上)',
  `workday4` tinyint(2) NULL DEFAULT NULL COMMENT '周四 (1.上班，0.不上)',
  `workday5` tinyint(2) NULL DEFAULT NULL COMMENT '周五 (1.上班，0.不上)',
  `workday6` tinyint(2) NULL DEFAULT NULL COMMENT '周六 (1.上班，0.不上)',
  `workday7` tinyint(2) NULL DEFAULT NULL COMMENT '周日 (1.上班，0.不上)',
  `onlineTake` tinyint(2) NULL DEFAULT 1 COMMENT '在线取号（0.否，1.是）',
  `appointment` tinyint(2) NULL DEFAULT 1 COMMENT '在线取号（0.否，1.是）',
  `gowMap` tinyint(2) NULL DEFAULT 1 COMMENT '在线取号（0.否，1.是）',
  `level` int(4) NULL DEFAULT NULL COMMENT '楼层',
  `building` int(4) NULL DEFAULT NULL COMMENT '楼栋',
  `logoPath` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'logo图片地址',
  `englishName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名称',
  `leadingOfficial` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '负责人',
  `leadingOfficialTelephone` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `modelIds` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部署模块，逗号分隔',
  `govAffairStyle` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '政务风貌，多个逗号分割',
  `complaintHotline` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '投诉电话',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '站点';

-- ----------------------------
-- Records of mortals_sys_site
-- ----------------------------
BEGIN;
INSERT INTO `mortals_sys_site` VALUES (1, '测试', '510302111700-0001', '7d2f3056591040dea5a191b21686457d', '510302111700', '舒坪街道', '四川省', '成都市', '武侯区', '127.0.0.1', '80', '104.043246', '30.641849', '13808095770', '武侯区', '<p>测试</p>', '2023-09-12 08:50:00', '2023-09-12 12:00:00', '2023-09-12 13:30:00', '2023-09-12 18:00:00', 1, 1, 1, 1, 1, 0, 0, 1, 1, 1, 1, 1, '', 'ces', '张三', '13808095770', '41,45,1,2,5,16,7,9,25,29,30,27,35,15,14,10,4,33,46,42,44,47,36,3,12,19,34,17,28', '', '', '2023-09-12 14:28:24', 1, '2025-02-28 15:44:38');
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_site_business
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_site_business`;
CREATE TABLE `mortals_sys_site_business`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点ID',
  `siteName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `ancestors` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '祖级列表，逗号分隔',
  `businessId` bigint(20) NULL DEFAULT NULL COMMENT '业务ID',
  `isBusiness` tinyint(2) NULL DEFAULT NULL COMMENT '业务类型(0.一级业务,1.二级业务)',
  `parentId` bigint(20) NULL DEFAULT NULL COMMENT '业务父级ID',
  `businessName` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '业务名称',
  `status` tinyint(2) NULL DEFAULT 1 COMMENT '业务状态 (0.停用，1.正常)',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `siteId`(`siteId`) USING BTREE,
  INDEX `businessId`(`businessId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '站点业务表';

-- ----------------------------
-- Records of mortals_sys_site_business
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_site_hall
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_site_hall`;
CREATE TABLE `mortals_sys_site_hall`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点ID',
  `siteName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `hallName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '大厅名称',
  `address` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '地址',
  `floor` tinyint(2) NULL DEFAULT 1 COMMENT '楼层',
  `build` tinyint(2) NULL DEFAULT 1 COMMENT '楼栋',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `siteId`(`siteId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '站点大厅信息';

-- ----------------------------
-- Records of mortals_sys_site_hall
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_site_matter
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_site_matter`;
CREATE TABLE `mortals_sys_site_matter`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点ID',
  `siteName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `matterId` bigint(20) NULL DEFAULT NULL COMMENT '事项ID',
  `matterName` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项名称',
  `matterCode` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项编码',
  `deptId` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `deptName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门名称',
  `eventTypeShow` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项类型',
  `hot` tinyint(2) NULL DEFAULT 0 COMMENT '热门(0.否,1.是)',
  `display` tinyint(2) NULL DEFAULT 1 COMMENT '显示(0.否,1.是)',
  `source` tinyint(2) NULL DEFAULT NULL COMMENT '事项来源',
  `deptCode` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门编号',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `agent` tinyint(2) NULL DEFAULT 0 COMMENT '代办帮办(0.否,1.是)',
  `agentName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '代办姓名',
  `agentPhone` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '代办电话',
  `agentPost` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '职务',
  `hallCheckIn` tinyint(2) NULL DEFAULT 0,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `we`(`siteId`, `matterId`) USING BTREE,
  INDEX `mattercode`(`matterCode`) USING BTREE,
  INDEX `display`(`display`) USING BTREE,
  INDEX `source`(`source`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1410 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '站点事项';

-- ----------------------------
-- Records of mortals_sys_site_matter
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_site_theme
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_site_theme`;
CREATE TABLE `mortals_sys_site_theme`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id号',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点id',
  `userType` char(3) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '服务类型编号',
  `themeCode` char(3) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主题编号',
  `themeName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主题名称',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户id',
  `updatetime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `siteId`(`siteId`) USING BTREE,
  INDEX `themeCode`(`themeCode`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 68 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '主题';

-- ----------------------------
-- Records of mortals_sys_site_theme
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_site_theme_matter
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_site_theme_matter`;
CREATE TABLE `mortals_sys_site_theme_matter`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点ID',
  `siteName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `matterId` bigint(20) NULL DEFAULT NULL COMMENT '事项ID',
  `matterName` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项名称',
  `matterCode` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项编码',
  `userType` char(3) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '服务类型（1.公共服务，2.个人服务，3.法人服务）',
  `hot` tinyint(2) NULL DEFAULT 0 COMMENT '热门(0.否,1.是)',
  `display` tinyint(2) NULL DEFAULT 1 COMMENT '显示(0.否,1.是)',
  `themeCode` char(3) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主题编码',
  `themeName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主题名称',
  `source` tinyint(2) NULL DEFAULT NULL COMMENT '事项来源',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1877 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '站点主题事项';

-- ----------------------------
-- Records of mortals_sys_site_theme_matter
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_skin_base
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_skin_base`;
CREATE TABLE `mortals_sys_skin_base`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `categoryId` bigint(20) NULL DEFAULT NULL COMMENT '所属种类,来源种类',
  `productId` bigint(20) NULL DEFAULT NULL COMMENT '产品id',
  `productName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '产品名称',
  `cssFilePath` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'css模板合成后文件地址',
  `name` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '产品皮肤名称，唯一且不为空',
  `imageResolution` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)',
  `previewImagePath` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '预览图片',
  `sortNum` int(9) NULL DEFAULT NULL COMMENT '排序编号',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `productId`(`productId`) USING BTREE,
  INDEX `categoryId`(`categoryId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 259 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统基础皮肤';

-- ----------------------------
-- Records of mortals_sys_skin_base
-- ----------------------------
BEGIN;
INSERT INTO `mortals_sys_skin_base` VALUES (3, 1, 2, '窗口屏', '/file/fileupload/1702446693553.css', '标准版皮肤', '1920x1080', '/file/fileupload/1702446693435.png', NULL, '2023-01-14 11:25:18', 1, '2023-12-13 13:51:34'), (4, 2, 2, '窗口屏', '/file/fileupload/1704873386391.css', '窗口屏春节皮肤', '1920x1080', '/file/fileupload/1704873386315.png', NULL, '2023-02-01 14:16:51', 1, '2024-01-10 15:56:26'), (15, 1, 5, '22', '/file/fileupload/1675317678542.css', '导视机', '1920x1080', '', NULL, '2023-02-02 14:01:19', 1, '2023-02-02 14:01:19'), (27, 1, 4, '集中显示屏', '/file/fileupload/1704873733533.css', '标准皮肤', '1080x1920', '/file/fileupload/1704873733482.png', NULL, '2023-02-03 16:35:38', 1, '2024-01-10 16:02:14'), (29, 1, 9, '样表机', '/file/fileupload/1702383701105.css', '样表机标准皮肤', '1920x1080', '/file/fileupload/1702383700975.png', NULL, '2023-02-09 17:20:20', 1, '2023-12-12 20:21:41'), (31, 1, 7, '自助服务终端', '/file/fileupload/1676982074503.css', '自助服务标准皮肤', '1920x1080', '/file/fileupload/1676982077850.png', NULL, '2023-02-21 20:21:14', 1, '2023-02-21 20:21:14'), (32, 1, 11, '存取柜', '/file/fileupload/167.css', '存取柜皮肤', '1920x1080', '/file/fileupload/123.png', NULL, '2023-02-26 19:11:43', 1, '2023-02-26 19:11:50'), (44, 1, 12, '桌面式自助服务终端', '/file/fileupload/1680528816369.css', '桌面式自助服务终端标准皮肤', '1920x1080', '/file/fileupload/1680528836384.png', NULL, '2023-04-03 21:33:36', 1, '2023-04-03 21:33:36'), (102, 1, 13, '电子门牌', '/file/fileupload/1684053301093.css', '电子门牌', '1920x1080', '/file/fileupload/1684053300670.png', NULL, '2023-05-28 21:25:05', 1, '2023-05-25 20:01:52'), (103, 1, 14, '会议室电子门牌', '/file/fileupload/1684053301093.css', '会议室电子门牌', '1920x1080', '/file/fileupload/1684053300670.png', NULL, '2023-05-28 21:25:07', 1, '2023-05-25 20:02:59'), (111, 1, 15, '智慧信息公开', '/file/fileupload/1702375339112.css', '智慧信息公开标准皮肤', '1080x1920', '/file/fileupload/1702375339055.png', NULL, '2023-12-12 18:02:19', 1, NULL), (112, 8, 15, '智慧信息公开', '/file/fileupload/skin/1735289741776.css', '信息公开-元旦皮肤（25年）', '1080x1920', '/file/fileupload/1735289741731.png', NULL, '2023-12-12 18:58:16', 1, '2024-12-27 16:55:42'), (113, 7, 15, '智慧信息公开', '/file/fileupload/1702378823496.css', '国庆节皮肤', '1080x1920', '/file/fileupload/1702378823469.png', NULL, '2023-12-12 19:00:23', 1, NULL), (114, 2, 2, '窗口屏', '/file/fileupload/1702449101783.css', '龙年春节皮肤', '1920x1080', '/file/fileupload/1702449101761.png', NULL, '2023-12-12 19:06:25', 1, '2023-12-13 14:31:42'), (115, 6, 15, '智慧信息公开', '/file/fileupload/1702379660622.css', '中秋皮肤', '1080x1920', '/file/fileupload/1702379660330.png', NULL, '2023-12-12 19:14:21', 1, NULL), (116, 5, 15, '智慧信息公开', '/file/fileupload/1702379744077.css', '端午皮肤', '1080x1920', '/file/fileupload/1702379743942.png', NULL, '2023-12-12 19:15:44', 1, NULL), (117, 4, 15, '智慧信息公开', '/file/fileupload/1702379798192.css', '劳动皮肤', '1080x1920', '/file/fileupload/1702379798037.png', NULL, '2023-12-12 19:16:38', 1, NULL), (118, 3, 15, '智慧信息公开', '/file/fileupload/1702379859773.css', '清明皮肤', '1080x1920', '/file/fileupload/1702379859618.png', NULL, '2023-12-12 19:17:40', 1, NULL), (119, 2, 15, '智慧信息公开', '/file/fileupload/skin/1735289813693.css', '信息公开-春节皮肤（25年）', '1080x1920', '/file/fileupload/1735289813635.png', NULL, '2023-12-12 19:18:40', 1, '2024-12-27 16:56:54'), (120, 8, 9, '样表机', '/file/fileupload/skin/1735289603418.css', '样表-元旦皮肤（25年）', '1920x1080', '/file/fileupload/1735289603380.png', NULL, '2023-12-12 19:38:07', 1, '2024-12-27 16:53:23'), (121, 7, 9, '样表机', '/file/fileupload/1702382599306.css', '国庆皮肤', '1920x1080', '/file/fileupload/1702382599011.png', NULL, '2023-12-12 20:03:19', 1, NULL), (122, 6, 9, '样表机', '/file/fileupload/1702382769029.css', '中秋皮肤1', '1920x1080', '/file/fileupload/1702382768863.png', NULL, '2023-12-12 20:06:09', 1, NULL), (123, 5, 9, '样表机', '/file/fileupload/1702382841308.css', '端午皮肤1', '1920x1080', '/file/fileupload/1702382841187.png', NULL, '2023-12-12 20:07:21', 1, NULL), (124, 4, 9, '样表机', '/file/fileupload/1702382956075.css', '劳动节皮肤', '1920x1080', '/file/fileupload/1702382955860.png', NULL, '2023-12-12 20:09:16', 1, NULL), (125, 3, 9, '样表机', '/file/fileupload/1702383128648.css', '清明皮肤1', '1920x1080', '/file/fileupload/1702383128525.png', NULL, '2023-12-12 20:12:09', 1, NULL), (126, 2, 9, '样表机', '/file/fileupload/skin/1735289859180.css', '样表-春节皮肤（25年）', '1920x1080', '/file/fileupload/1735289859137.png', NULL, '2023-12-12 20:19:40', 1, '2024-12-27 16:57:39'), (128, 8, 10, '信息发布终端', '/file/fileupload/skin/1735289685070.css', '信息发布-元旦皮肤（25年）', '1080x1920', '/file/fileupload/1735289685027.png', NULL, '2023-12-12 21:11:02', 1, '2024-12-27 16:54:45'), (130, 8, 5, '导视机', '/file/fileupload/1702387761349.css', '元旦皮肤-', '1920x1080', '/file/fileupload/1702387761228.png', NULL, '2023-12-12 21:29:21', 1, NULL), (131, 8, 2, '窗口屏', '/file/fileupload/1702396716970.css', '元旦节皮肤', '1920x1080', '/file/fileupload/1702396716925.png', NULL, '2023-12-12 23:58:37', 1, NULL), (132, 2, 10, '信息发布终端', '/file/fileupload/1702438995615.css', '春节皮肤2', '1080x1920', '/file/fileupload/1702438995427.png', NULL, '2023-12-13 11:43:16', 1, NULL), (133, 7, 10, '信息发布终端', '/file/fileupload/1702445204809.css', '国庆皮肤1', '1080x1920', '/file/fileupload/1702445204688.png', NULL, '2023-12-13 13:26:45', 1, NULL), (134, 6, 10, '信息发布终端', '/file/fileupload/1702445320872.css', '中秋皮肤2', '1080x1920', '/file/fileupload/1702445320715.png', NULL, '2023-12-13 13:28:41', 1, NULL), (135, 5, 2, '窗口屏', '/file/fileupload/1702446284376.css', '窗口屏-端午节', '1920x1080', '/file/fileupload/1702446284249.png', NULL, '2023-12-13 13:44:44', 1, '2023-04-03 16:32:21'), (136, 7, 2, '窗口屏', '/file/fileupload/1702446362335.css', '窗口屏-国庆节', '1920x1080', '/file/fileupload/1702446362213.png', NULL, '2023-12-13 13:46:02', 1, '2023-04-03 16:32:21'), (137, 3, 2, '窗口屏', '/file/fileupload/1702446430893.css', '窗口屏-清明节', '1920x1080', '/file/fileupload/1702446430766.png', NULL, '2023-12-13 13:47:11', 1, '2023-04-03 16:32:21'), (138, 4, 2, '窗口屏', '/file/fileupload/1702446512777.css', '窗口屏-劳动节', '1920x1080', '/file/fileupload/1702446512656.png', NULL, '2023-12-13 13:48:33', 1, '2023-04-03 16:32:21'), (139, 6, 2, '窗口屏', '/file/fileupload/1702446592798.css', '窗口屏-中秋节', '1920x1080', '/file/fileupload/1702446592625.png', NULL, '2023-12-13 13:49:53', 1, '2023-04-03 16:32:21'), (140, 6, 5, '导视机', '/file/fileupload/1702448023924.css', '中秋皮肤3', '1920x1080', '/file/fileupload/1702448023802.png', NULL, '2023-12-13 14:13:44', 1, NULL), (141, 2, 5, '导视机', '/file/fileupload/1702448233871.css', '春节皮肤3', '1920x1080', '/file/fileupload/1702448233725.png', NULL, '2023-12-13 14:17:14', 1, NULL), (142, 4, 5, '导视机', '/file/fileupload/1702448423887.css', '劳动节皮肤3', '1920x1080', '/file/fileupload/1702448423760.png', NULL, '2023-12-13 14:20:24', 1, NULL), (143, 3, 5, '导视机', '/file/fileupload/1702448511312.css', '清明皮肤3', '1920x1080', '/file/fileupload/1702448511026.png', NULL, '2023-12-13 14:21:51', 1, NULL), (144, 7, 5, '导视机', '/file/fileupload/1702448621764.css', '国庆皮肤3', '1920x1080', '/file/fileupload/1702448621635.png', NULL, '2023-12-13 14:23:42', 1, NULL), (145, 5, 5, '导视机', '/file/fileupload/1702448714675.css', '端午皮肤3', '1920x1080', '/file/fileupload/1702448714450.png', NULL, '2023-12-13 14:25:15', 1, NULL), (146, 8, 4, '集中显示屏', '/file/fileupload/1702448781101.css', '元旦节的皮肤', '1080x1920', '/file/fileupload/1702448781068.png', NULL, '2023-12-13 14:26:21', 1, NULL), (147, 2, 4, '集中显示屏', '/file/fileupload/1702448908193.css', '龙年春节的皮肤', '1080x1920', '/file/fileupload/1702448908124.png', NULL, '2023-12-13 14:28:28', 1, NULL), (148, 3, 10, '信息发布终端', '/file/fileupload/1702456955300.css', '信息发布-清明', '1080x1920', '/file/fileupload/1702456955183.png', NULL, '2023-12-13 16:42:35', 1, NULL), (149, 4, 10, '信息发布终端', '/file/fileupload/1702457010344.css', '信息发布-劳动节', '1080x1920', '/file/fileupload/1702457010157.png', NULL, '2023-12-13 16:43:30', 1, NULL), (150, 5, 10, '信息发布终端', '/file/fileupload/1702457065393.css', '信息发布-端午', '1080x1920', '/file/fileupload/1702457065212.png', NULL, '2023-12-13 16:44:25', 1, NULL), (151, 3, 4, '集中显示屏', '/file/fileupload/1702460575285.css', '清明的皮肤', '1080x1920', '/file/fileupload/1702460575239.png', NULL, '2023-12-13 17:42:55', 1, NULL), (152, 4, 4, '集中显示屏', '/file/fileupload/1702460722810.css', '劳动节的皮肤', '1080x1920', '/file/fileupload/1702460722735.png', NULL, '2023-12-13 17:45:23', 1, NULL), (153, 5, 4, '集中显示屏', '/file/fileupload/1702462469641.css', '端午节的皮肤', '1080x1920', '/file/fileupload/1702462469605.png', NULL, '2023-12-13 17:54:53', 1, '2023-12-13 18:14:30'), (154, 6, 4, '集中显示屏', '/file/fileupload/1702461967667.css', '中秋节的皮肤', '1080x1920', '/file/fileupload/1702461967627.png', NULL, '2023-12-13 18:06:08', 1, NULL), (155, 7, 4, '集中显示屏', '/file/fileupload/1702462966715.css', '国庆节的皮肤', '1080x1920', '/file/fileupload/1702462966688.png', NULL, '2023-12-13 18:22:47', 1, NULL), (156, 1, 16, '证照打印终端', '/file/fileupload/1703415015623.css', '证照打印标准皮肤', '1920x1080', '/file/fileupload/1703415015261.png', NULL, '2023-12-24 18:50:15', 1, NULL), (159, 2, 3, '呼叫器', '/file/fileupload/1711353066115.css', '呼叫器-春节皮肤', '1920x1080', '/file/fileupload/1711353066080.png', NULL, '2024-01-05 17:11:21', 1, '2024-03-25 15:51:06'), (160, 3, 3, '呼叫器', '/file/fileupload/1711353096382.css', '呼叫器-清明节皮肤', '1920x1080', '/file/fileupload/1711353096352.png', NULL, '2024-01-05 17:29:49', 1, '2024-03-25 15:51:36'), (161, 4, 3, '呼叫器', '/file/fileupload/1711353118687.css', '呼叫器-劳动节皮肤', '1920x1080', '/file/fileupload/1711353118637.png', NULL, '2024-01-05 17:33:39', 1, '2024-03-25 15:51:59'), (162, 5, 3, '呼叫器', '/file/fileupload/1711353137965.css', '呼叫器-端午节皮肤', '1920x1080', '/file/fileupload/1711353137937.png', NULL, '2024-01-05 17:36:58', 1, '2024-03-25 15:52:18'), (163, 6, 3, '呼叫器', '/file/fileupload/1711358918822.css', '呼叫器-中秋节皮肤', '1920x1080', '/file/fileupload/1711358918758.png', NULL, '2024-01-05 17:40:04', 1, '2024-03-25 17:28:39'), (164, 7, 3, '呼叫器', '/file/fileupload/1711358705801.css', '呼叫器-国庆节皮肤', '1920x1080', '/file/fileupload/1711358705774.png', NULL, '2024-01-05 17:42:08', 1, '2024-03-25 17:25:06'), (165, 8, 3, '呼叫器', '/file/fileupload/1711353046822.css', '呼叫器-元旦节皮肤', '1920x1080', '/file/fileupload/1711353046794.png', NULL, '2024-01-05 17:45:11', 1, '2024-03-25 15:50:47'), (166, 8, 6, '评价器', '/file/fileupload/1711352907122.css', '评价器-元旦节皮肤', '1920x1080', '/file/fileupload/1711352907092.png', NULL, '2024-01-05 17:59:18', 1, '2024-03-25 15:48:27'), (167, 2, 6, '评价器', '/file/fileupload/1711352863218.css', '评价器-春节皮肤', '1920x1080', '/file/fileupload/1711352863190.png', NULL, '2024-01-08 10:46:39', 1, '2024-03-25 15:47:43'), (168, 3, 6, '评价器', '/file/fileupload/1711352394204.css', '评价器-清明节皮肤', '1920x1080', '/file/fileupload/1711352394172.png', NULL, '2024-01-08 10:52:56', 1, '2024-03-25 15:39:54'), (169, 4, 6, '评价器', '/file/fileupload/1711352427151.css', '评价器-劳动节皮肤', '1920x1080', '/file/fileupload/1711352427112.png', NULL, '2024-01-08 11:07:53', 1, '2024-03-25 15:40:27'), (170, 5, 6, '评价器', '/file/fileupload/1711352453797.css', '评价器-端午节皮肤', '1920x1080', '/file/fileupload/1711352453761.png', NULL, '2024-01-08 11:54:19', 1, '2024-03-25 15:40:54'), (171, 6, 6, '评价器', '/file/fileupload/1711352775816.css', '评价器-中秋节皮肤', '1920x1080', '/file/fileupload/1711352775788.png', NULL, '2024-01-08 13:29:11', 1, '2024-03-25 15:46:16'), (172, 7, 6, '评价器', '/file/fileupload/1711352813571.css', '评价器-国庆节皮肤', '1920x1080', '/file/fileupload/1711352813541.png', NULL, '2024-01-08 13:32:44', 1, '2024-03-25 15:46:54'), (173, 7, 1, '排号机', '/file/fileupload/1704694518568.css', '排号机-国庆节皮肤', '1080x1920', '/file/fileupload/1704694518453.png', NULL, '2024-01-08 14:10:09', 1, '2024-01-08 14:15:19'), (174, 8, 1, '排号机', '/file/fileupload/1704695100922.css', '排号机-元旦节皮肤', '1080x1920', '/file/fileupload/1704695100807.png', NULL, '2024-01-08 14:25:01', 1, '2024-01-08 14:12:46'), (175, 2, 1, '排号机', '/file/fileupload/1704697371216.css', '排号机-春节皮肤', '1080x1920', '/file/fileupload/1704697371106.png', NULL, '2024-01-08 15:02:51', 1, '2024-01-08 14:12:46'), (176, 3, 1, '排号机', '/file/fileupload/1704699697049.css', '排号机-清明节皮肤', '1080x1920', '/file/fileupload/1704699696939.png', NULL, '2024-01-08 15:41:37', 1, '2024-01-08 14:12:46'), (177, 4, 1, '排号机', '/file/fileupload/1704700390096.css', '排号机-劳动节皮肤', '1080x1920', '/file/fileupload/1704700389986.png', NULL, '2024-01-08 15:53:10', 1, '2024-01-08 14:12:46'), (178, 5, 1, '排号机', '/file/fileupload/1704701043100.css', '排号机-端午节皮肤', '1080x1920', '/file/fileupload/1704701042988.png', NULL, '2024-01-08 16:04:03', 1, '2024-01-08 14:12:46'), (179, 6, 1, '排号机', '/file/fileupload/1704701648055.css', '排号机-中秋节皮肤', '1080x1920', '/file/fileupload/1704701647944.png', NULL, '2024-01-08 16:14:08', 1, '2024-01-08 14:12:46'), (180, 1, 6, '评价器', '/file/fileupload/1704857713503.css', '评价器-标准皮肤', '1920x1080', '/file/fileupload/1704857713091.png', NULL, '2024-01-10 11:35:13', 1, NULL), (181, 10, 4, '集中显示屏', '/file/fileupload/1704874441576.css', '集中显示屏-标准皮肤', '1080x1920', '/file/fileupload/1704874441453.png', NULL, '2024-01-10 16:14:02', 1, NULL), (182, 1, 10, '信息发布终端', '/file/fileupload/1704936008922.css', '信息发布标准版皮肤', '1080x1920', '/file/fileupload/1704936008773.png', NULL, '2024-01-11 09:20:09', 1, NULL), (190, 10, 3, '呼叫器', '/file/fileupload/1706061965166.css', '呼叫器-标准皮肤', '1920x1080', '/file/fileupload/1706061965045.png', NULL, '2024-01-24 10:06:05', 1, NULL), (191, 10, 1, '排号机', '/file/fileupload/skin/1721874270265.css', '排号机-标准皮肤', '1080x1920', '/file/fileupload/1721874269867.png', NULL, '2024-01-24 10:24:34', 1, '2024-07-25 10:24:30'), (192, 6, 8, '填单机', '/file/fileupload/1710224902689.css', '填单机-中秋节皮肤', '1920x1080', '/file/fileupload/1710224902630.png', NULL, '2024-03-12 14:28:23', 1, NULL), (193, 8, 8, '填单机', '/file/fileupload/skin/1735289558310.css', '填单机-元旦皮肤（25年）', '1920x1080', '/file/fileupload/1735289558088.png', NULL, '2024-03-12 14:31:59', 1, '2024-12-27 16:52:38'), (194, 3, 8, '填单机', '/file/fileupload/1710225207116.css', '填单机-清明节皮肤', '1920x1080', '/file/fileupload/1710225207080.png', NULL, '2024-03-12 14:33:27', 1, NULL), (195, 4, 8, '填单机', '/file/fileupload/1710225282087.css', '填单机-劳动节皮肤', '1920x1080', '/file/fileupload/1710225282053.png', NULL, '2024-03-12 14:34:42', 1, NULL), (196, 7, 8, '填单机', '/file/fileupload/1710225353031.css', '填单机-国庆节皮肤', '1920x1080', '/file/fileupload/1710225353000.png', NULL, '2024-03-12 14:35:53', 1, NULL), (197, 5, 8, '填单机', '/file/fileupload/1710225438118.css', '填单机-端午节皮肤', '1920x1080', '/file/fileupload/1710225438062.png', NULL, '2024-03-12 14:37:18', 1, NULL), (198, 2, 8, '填单机', '/file/fileupload/skin/1735289910358.css', '填单机-春节皮肤（25年）', '1920x1080', '/file/fileupload/1735289909814.png', NULL, '2024-03-12 14:38:47', 1, '2024-12-27 16:58:30'), (199, 1, 8, '填单机', '/file/fileupload/1710833776771.css', '填单机-标准版', '1920x1080', '/file/fileupload/1710833776735.png', NULL, '2024-03-12 14:41:41', 1, '2024-03-19 15:36:17'), (200, 1, 1, '排号机', '/file/fileupload/1712800930298.css', '排号机-标准版', '1920x1080', '/file/fileupload/1712800930239.png', NULL, '2024-03-12 15:05:54', 1, '2024-04-11 10:02:10'), (201, 2, 1, '排号机', '/file/fileupload/skin/1735521939946.css', '排号机-春节皮肤（25年）', '1920x1080', '/file/fileupload/1735521939865.png', NULL, '2024-03-13 16:45:38', 1, '2024-12-30 09:25:40'), (202, 5, 1, '排号机', '/file/fileupload/1710492173232.css', '排号机-端午节皮肤1', '1920x1080', '/file/fileupload/1710492173193.png', NULL, '2024-03-15 16:42:53', 1, NULL), (203, 7, 1, '排号机', '/file/fileupload/1710492277332.css', '排号机-国庆节皮肤1', '1920x1080', '/file/fileupload/1710492277296.png', NULL, '2024-03-15 16:44:37', 1, NULL), (204, 4, 1, '排号机', '/file/fileupload/1710492392564.css', '排号机-劳动节皮肤1', '1920x1080', '/file/fileupload/1710492392536.png', NULL, '2024-03-15 16:46:33', 1, NULL), (205, 3, 1, '排号机', '/file/fileupload/1710492505768.css', '排号机-清明节皮肤1', '1920x1080', '/file/fileupload/1710492505741.png', NULL, '2024-03-15 16:48:26', 1, NULL), (206, 8, 1, '排号机', '/file/fileupload/skin/1735521854640.css', '排号机-元旦皮肤（25年）', '1920x1080', '/file/fileupload/1735521854477.png', NULL, '2024-03-15 16:50:13', 1, '2024-12-30 09:24:15'), (207, 6, 1, '排号机', '/file/fileupload/1710492734417.css', '排号机-中秋节皮肤1', '1920x1080', '/file/fileupload/1710492734388.png', NULL, '2024-03-15 16:51:55', 1, '2024-03-15 16:52:14'), (208, 1, 4, '集中显示屏', '/file/fileupload/1710827019591.css', '集中屏-标准版皮肤', '1920x1080', '/file/fileupload/1710827019550.png', NULL, '2024-03-19 13:43:40', 1, NULL), (209, 6, 4, '集中显示屏', '/file/fileupload/1710827180513.css', '集中屏-中秋皮肤', '1920x1080', '/file/fileupload/1710827180484.png', NULL, '2024-03-19 13:46:21', 1, NULL), (210, 7, 4, '集中显示屏', '/file/fileupload/1710827504804.css', '集中屏-国庆节皮肤', '1920x1080', '/file/fileupload/1710827504776.png', NULL, '2024-03-19 13:51:45', 1, NULL), (211, 2, 4, '集中显示屏', '/file/fileupload/skin/1735522051608.css', '集中屏-春节皮肤（25年）', '1920x1080', '/file/fileupload/1735522051566.png', NULL, '2024-03-19 13:52:57', 1, '2024-12-30 09:27:32'), (212, 3, 4, '集中显示屏', '/file/fileupload/1710829760556.css', '集中屏-清明皮肤', '1920x1080', '/file/fileupload/1710829760530.png', NULL, '2024-03-19 14:04:10', 1, '2024-03-19 14:29:21'), (213, 4, 4, '集中显示屏', '/file/fileupload/1710828418444.css', '集中屏-劳动节皮肤', '1920x1080', '/file/fileupload/1710828418415.png', NULL, '2024-03-19 14:06:58', 1, '2024-03-19 13:56:31'), (214, 8, 4, '集中显示屏', '/file/fileupload/1710828523608.css', '集中屏-元旦节皮肤', '1920x1080', '/file/fileupload/1710828523581.png', NULL, '2024-03-19 14:08:44', 1, '2024-03-19 13:56:31'), (215, 5, 4, '集中显示屏', '/file/fileupload/1711350786623.css', '集中屏-端午节皮肤', '1920x1080', '/file/fileupload/1711350786593.png', NULL, '2024-03-19 14:09:51', 1, '2024-03-25 15:13:07'), (216, 1, 5, '导视机', '/file/fileupload/1711346090066.css', '导视机-标准版皮肤', '1920x1080', '/file/fileupload/1711346089869.png', NULL, '2024-03-25 13:54:50', 1, NULL), (217, 8, 6, '评价器', '/file/fileupload/skin/1735291361684.css', '2025年元旦', '1920x1080', '/file/fileupload/1735291361627.png', NULL, '2024-12-27 17:22:22', 1, '2024-12-27 17:22:42'), (218, 2, 6, '评价器', '/file/fileupload/skin/1735291495103.css', '2025年蛇年春节皮肤', '1920x1080', '/file/fileupload/1735291495033.png', NULL, '2024-12-27 17:24:55', 1, '2024-03-25 15:47:43'), (219, 8, 4, '集中显示屏', '/file/fileupload/skin/1735291744479.css', '2025年元旦节皮肤', '1920x1080', '/file/fileupload/1735291744394.png', NULL, '2024-12-27 17:26:59', 1, '2024-12-27 17:29:04'), (220, 8, 4, '集中显示屏', '/file/fileupload/skin/1735291820565.css', '2025年元旦皮肤', '1080x1920', '/file/fileupload/1735291820501.png', NULL, '2024-12-27 17:30:21', 1, '2024-12-27 17:28:37'), (221, 8, 3, '呼叫器', '/file/fileupload/skin/1735291979801.css', '2025元旦节皮肤', '1920x1080', '/file/fileupload/1735291979730.png', NULL, '2024-12-27 17:32:17', 1, '2024-12-27 17:33:00'), (222, 2, 3, '呼叫器', '/file/fileupload/skin/1735292133326.css', '2025年蛇年春节', '1920x1080', '/file/fileupload/1735292133291.png', NULL, '2024-12-27 17:35:16', 1, '2024-12-27 17:35:33'), (223, 8, 2, '窗口屏', '/file/fileupload/skin/1735438828238.css', '2025元旦皮肤', '1920x1080', '/file/fileupload/1735438828161.png', NULL, '2024-12-29 10:20:28', 1, NULL), (224, 2, 2, '窗口屏', '/file/fileupload/skin/1735438906161.css', '2025蛇年春节', '1920x1080', '/file/fileupload/1735438906102.png', NULL, '2024-12-29 10:21:46', 1, '2023-12-13 14:31:42'), (225, 8, 1, '排号机', '/file/fileupload/skin/1735439219014.css', '2025年元旦节皮肤new', '1080x1920', '/file/fileupload/1735439218928.png', NULL, '2024-12-29 10:26:16', 1, '2024-12-29 10:26:59'), (226, 2, 1, '排号机', '/file/fileupload/skin/1735439403587.css', '2025蛇年春节皮肤', '1080x1920', '/file/fileupload/1735439403516.png', NULL, '2024-12-29 10:30:04', 1, '2024-01-08 14:12:46'), (227, 7, 6, '评价器', '/file/fileupload/skin/1735529134183.css', '2025国庆皮肤', '1920x1080', '/file/fileupload/1735529134115.png', NULL, '2024-12-30 11:25:34', 1, '2024-03-25 15:46:54'), (228, 6, 6, '评价器', '/file/fileupload/skin/1735529229660.css', '2025中秋皮肤', '1920x1080', '/file/fileupload/1735529229586.png', NULL, '2024-12-30 11:27:10', 1, '2024-03-25 15:46:16'), (229, 5, 6, '评价器', '/file/fileupload/skin/1735529330530.css', '2025端午皮肤', '1920x1080', '/file/fileupload/1735529330490.png', NULL, '2024-12-30 11:28:51', 1, '2024-03-25 15:40:54'), (230, 4, 6, '评价器', '/file/fileupload/skin/1735529435933.css', '2025劳动节皮肤', '1920x1080', '/file/fileupload/1735529435893.png', NULL, '2024-12-30 11:30:36', 1, '2024-03-25 15:40:27'), (231, 3, 6, '评价器', '/file/fileupload/skin/1735529542301.css', '2025清明皮肤', '1920x1080', '/file/fileupload/1735529542217.png', NULL, '2024-12-30 11:32:22', 1, '2024-03-25 15:39:54'), (232, 2, 4, '集中显示屏', '/file/fileupload/skin/1735529937172.css', '2025年蛇年新春皮肤', '1920x1080', '/file/fileupload/1735529937091.png', NULL, '2024-12-30 11:37:02', 1, '2024-12-30 11:38:57'), (233, 2, 4, '集中显示屏', '/file/fileupload/skin/1735530216069.css', '2025蛇年新春皮肤', '1080x1920', '/file/fileupload/1735530215998.png', NULL, '2024-12-30 11:43:36', 1, NULL), (234, 7, 4, '集中显示屏', '/file/fileupload/skin/1735537684311.css', '2025国庆节皮肤', '1920x1080', '/file/fileupload/1735537684239.png', NULL, '2024-12-30 13:48:04', 1, NULL), (235, 7, 4, '集中显示屏', '/file/fileupload/skin/1735537764030.css', '2025年国庆节皮肤', '1080x1920', '/file/fileupload/1735537763954.png', NULL, '2024-12-30 13:49:24', 1, NULL), (236, 6, 4, '集中显示屏', '/file/fileupload/skin/1735537891137.css', '2025中秋节皮肤', '1920x1080', '/file/fileupload/1735537891057.png', NULL, '2024-12-30 13:51:31', 1, NULL), (237, 6, 4, '集中显示屏', '/file/fileupload/skin/1735537976398.css', '2025年中秋节皮肤', '1080x1920', '/file/fileupload/1735537976318.png', NULL, '2024-12-30 13:52:56', 1, NULL), (238, 5, 4, '集中显示屏', '/file/fileupload/skin/1735538557083.css', '2025端午节皮肤', '1920x1080', '/file/fileupload/1735538557041.png', NULL, '2024-12-30 13:56:04', 1, '2024-12-30 14:02:37'), (239, 5, 4, '集中显示屏', '/file/fileupload/skin/1735538515895.css', '2025年端午皮肤', '1080x1920', '/file/fileupload/1735538515818.png', NULL, '2024-12-30 14:01:56', 1, NULL), (240, 4, 4, '集中显示屏', '/file/fileupload/skin/1735538840568.css', '2025年劳动节皮肤', '1920x1080', '/file/fileupload/1735538840498.png', NULL, '2024-12-30 14:06:08', 1, '2024-12-30 14:07:21'), (241, 4, 4, '集中显示屏', '/file/fileupload/skin/1735538900595.css', '2025年劳动节', '1080x1920', '/file/fileupload/1735538900514.png', NULL, '2024-12-30 14:08:21', 1, '2024-12-30 14:06:49'), (242, 3, 4, '集中显示屏', '/file/fileupload/skin/1735539019919.css', '2025清明节皮肤', '1920x1080', '/file/fileupload/1735539019785.png', NULL, '2024-12-30 14:10:20', 1, NULL), (243, 3, 4, '集中显示屏', '/file/fileupload/skin/1735539097223.css', '2025年清明皮肤', '1080x1920', '/file/fileupload/1735539097156.png', NULL, '2024-12-30 14:11:37', 1, NULL), (244, 7, 3, '呼叫器', '/file/fileupload/skin/1735539266992.css', '2025年国庆皮肤', '1920x1080', '/file/fileupload/1735539266922.png', NULL, '2024-12-30 14:14:27', 1, NULL), (245, 6, 3, '呼叫器', '/file/fileupload/skin/1735539856034.css', '2025年中秋皮肤', '1920x1080', '/file/fileupload/1735539855967.png', NULL, '2024-12-30 14:18:08', 1, '2024-12-30 14:24:16'), (246, 5, 3, '呼叫器', '/file/fileupload/skin/1735540022985.css', '2025年端午节皮肤', '1920x1080', '/file/fileupload/1735540022942.png', NULL, '2024-12-30 14:27:03', 1, '2024-03-25 15:52:18'), (247, 4, 3, '呼叫器', '/file/fileupload/skin/1735540616863.css', '2025劳动节', '1920x1080', '/file/fileupload/1735540616768.png', NULL, '2024-12-30 14:29:32', 1, '2024-12-30 14:36:57'), (248, 3, 3, '呼叫器', '/file/fileupload/skin/1735540913630.css', '2025年清明节皮肤', '1920x1080', '/file/fileupload/1735540913540.png', NULL, '2024-12-30 14:41:54', 1, '2024-03-25 15:52:18'), (249, 7, 2, '窗口屏', '/file/fileupload/skin/1735541111719.css', '2025年国庆', '1920x1080', '/file/fileupload/1735541111641.png', NULL, '2024-12-30 14:44:36', 1, '2024-12-30 14:45:12'), (250, 6, 2, '窗口屏', '/file/fileupload/skin/1735541170643.css', '2025年中秋节', '1920x1080', '/file/fileupload/1735541170566.png', NULL, '2024-12-30 14:46:11', 1, '2023-04-03 16:32:21'), (251, 5, 2, '窗口屏', '/file/fileupload/skin/1735541241930.css', '2025年端午节', '1920x1080', '/file/fileupload/1735541241863.png', NULL, '2024-12-30 14:47:22', 1, '2023-04-03 16:32:21'), (252, 4, 2, '窗口屏', '/file/fileupload/skin/1735541305974.css', '2025年五一节皮肤', '1920x1080', '/file/fileupload/1735541305906.png', NULL, '2024-12-30 14:48:26', 1, '2023-04-03 16:32:21'), (253, 3, 2, '窗口屏', '/file/fileupload/skin/1735541353577.css', '2025清明节', '1920x1080', '/file/fileupload/1735541353493.png', NULL, '2024-12-30 14:49:14', 1, '2023-04-03 16:32:21'), (254, 7, 1, '排号机', '/file/fileupload/skin/1735541556714.css', '2025国庆节', '1080x1920', '/file/fileupload/1735541556670.png', NULL, '2024-12-30 14:52:37', 1, '2024-01-08 14:15:19'), (255, 6, 1, '排号机', '/file/fileupload/skin/1735541725488.css', '2025中秋节', '1080x1920', '/file/fileupload/1735541725413.png', NULL, '2024-12-30 14:55:25', 1, '2024-01-08 14:12:46'), (256, 5, 1, '排号机', '/file/fileupload/skin/1735541846726.css', '2025端午节', '1080x1920', '/file/fileupload/1735541846657.png', NULL, '2024-12-30 14:57:27', 1, '2024-01-08 14:12:46'), (257, 4, 1, '排号机', '/file/fileupload/skin/1735542005742.css', '2025年五一节皮肤', '1080x1920', '/file/fileupload/1735542005668.png', NULL, '2024-12-30 14:59:44', 1, '2024-12-30 15:00:06'), (258, 3, 1, '排号机', '/file/fileupload/skin/1735542140428.css', '2025年清明节', '1080x1920', '/file/fileupload/1735542140089.png', NULL, '2024-12-30 15:02:20', 1, '2024-01-08 14:12:46');
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_skin_category
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_skin_category`;
CREATE TABLE `mortals_sys_skin_category`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '分类名称',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统皮肤分类';

-- ----------------------------
-- Records of mortals_sys_skin_category
-- ----------------------------
BEGIN;
INSERT INTO `mortals_sys_skin_category` VALUES (1, '标准版', '2023-01-13 20:05:16', 1, '2023-01-13 20:05:16'), (2, '春节皮肤', '2023-02-01 14:13:11', 1, '2023-02-01 14:13:11'), (3, '清明节皮肤', '2023-04-03 14:05:22', 1, '2023-04-03 14:05:22'), (4, '劳动节', '2023-04-20 15:12:20', 1, '2023-04-20 15:12:20'), (5, '端午节', '2023-04-20 15:12:26', 1, '2023-04-20 15:12:26'), (6, '中秋', '2023-04-20 15:12:45', 1, '2023-04-20 15:12:45'), (7, '国庆节', '2023-04-20 15:13:54', 1, '2023-04-20 15:13:54'), (8, '元旦节', '2023-04-20 15:14:18', 1, '2023-09-14 14:37:32'), (9, '重要检查', '2023-04-20 15:13:39', 1, '2023-04-20 15:13:39'), (10, '若尔盖-标准皮肤', '2023-11-27 09:35:19', 1, NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_skin_field
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_skin_field`;
CREATE TABLE `mortals_sys_skin_field`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `skinId` bigint(20) NULL DEFAULT NULL COMMENT '皮肤id',
  `templateId` bigint(20) NULL DEFAULT NULL COMMENT '模板id,不为空时为模板配置属性',
  `fieldCode` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段编码',
  `fieldName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段名称',
  `fieldType` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据类型（1.颜色，2.图片地址）',
  `fieldValue` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段值',
  `fieldLen` int(9) NULL DEFAULT NULL COMMENT '数据长度，默认100',
  `fieldNull` tinyint(2) NULL DEFAULT NULL COMMENT '是否允许为空，0否1是',
  `fieldOrderNo` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '排序号',
  `remark` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `enabled` tinyint(2) NULL DEFAULT NULL COMMENT '是否启用，0否1是',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '修改用户',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `skinId`(`skinId`) USING BTREE,
  INDEX `fieldCode`(`fieldCode`) USING BTREE,
  INDEX `templateId`(`templateId`) USING BTREE,
  INDEX `fieldName`(`fieldName`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3931 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '皮肤属性字段配置';

-- ----------------------------
-- Records of mortals_sys_skin_field
-- ----------------------------
BEGIN;
INSERT INTO `mortals_sys_skin_field` VALUES (1, 0, 1, 'bg', '背景大图', '2', '', 100, 1, '', '1', 1, '2023-01-13 19:52:44', 1, '2023-02-02 11:58:16', 1), (2, 0, 1, 'bszn', '办事指南', '2', '', 100, 1, '', '4', 1, '2023-01-13 19:53:23', 1, '2023-02-04 12:02:10', 1), (3, 0, 1, 'wypj', '我要评价', '2', '', 100, 1, '', '4', 1, '2023-01-13 19:54:08', 1, '2023-01-13 19:54:08', 1), (4, 0, 1, 'tsjy', '投诉建议', '2', '', 100, 1, '', '4', 1, '2023-01-13 19:54:36', 1, '2023-01-13 19:54:36', 1), (5, 0, 1, 'wsbs', '中心网站', '2', '', 100, 1, '', '4', 1, '2023-01-13 19:56:24', 1, '2023-02-02 12:04:33', 1), (6, 0, 1, 'gwzz', '岗位职责', '2', '', 100, 1, '', '4', 1, '2023-01-13 19:57:00', 1, '2023-01-13 19:57:00', 1), (7, 0, 1, 'gsgg', '公示公告', '2', '', 100, 1, '', '4', 1, '2023-01-13 19:57:42', 1, '2023-01-13 19:57:42', 1), (9, 0, 1, 'theme', '主题颜色', '1', '', 100, 1, '', '7', 1, '2023-01-13 19:59:48', 1, '2023-01-13 19:59:48', 1), (10, 0, 1, 'assist', '辅助色', '1', '', 100, 1, '', '8', 1, '2023-01-13 20:00:21', 1, '2023-01-13 20:00:21', 1), (11, 0, 1, 'h1', '标题颜色', '1', '', 100, 1, '', '2', 1, '2023-01-13 20:00:56', 1, '2023-01-13 20:00:56', 1), (13, 0, 1, 'title', '内页title', '1', '', 100, 1, '', '2', 1, '2023-01-13 20:01:59', 1, '2023-02-01 15:07:50', 1), (40, 0, 2, 'theme', '主题色', '1', '', 100, 1, '', '7', 1, '2023-01-14 10:01:54', 1, '2023-01-14 10:01:54', 1), (41, 0, 2, 'assist', '辅助色', '1', '', 100, 1, '', '8', 1, '2023-01-14 10:02:28', 1, '2023-01-14 10:02:28', 1), (42, 0, 2, 'bg', '背景大图', '2', '', 100, 1, '', '1', 1, '2023-01-14 10:03:00', 1, '2023-01-14 10:03:00', 1), (63, 0, 3, 'h1', '标题颜色', '1', '', 100, 1, '', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (64, 0, 3, 'time', '时间颜色', '1', '', 100, 1, '', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (65, 0, 3, 'info', '数据颜色', '1', '', 100, 1, '', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (66, 0, 3, 'icp', '备案颜色', '1', '', 100, 1, '', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (67, 0, 3, 'theme', '主题颜色', '1', '', 100, 1, '', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (68, 0, 3, 'assist', '辅助色', '1', '', 100, 1, '', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (69, 0, 3, 'mybg', '背景图', '2', '', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (74, 0, 4, 'h1', '标题颜色', '1', '', 100, 1, '', '2', 1, '2023-02-01 14:20:08', 1, '2023-02-01 14:20:08', 1), (75, 0, 4, 'theme', '主题颜色', '1', '', 100, 1, '', '7', 1, '2023-02-01 14:20:55', 1, '2023-02-01 14:20:55', 1), (76, 0, 4, 'assist', '辅助颜色', '1', '', 100, 1, '', '8', 1, '2023-02-01 14:21:28', 1, '2023-02-01 14:21:28', 1), (77, 0, 4, 'cx', '重新呼叫', '2', '', 100, 1, '', '4', 1, '2023-02-01 14:23:14', 1, '2023-02-01 14:23:14', 1), (78, 0, 4, 'pj', '我要评价', '2', '', 100, 1, '', '4', 1, '2023-02-01 14:23:51', 1, '2023-02-01 14:23:51', 1), (79, 0, 4, 'qh', '弃号', '2', '', 100, 1, '', '4', 1, '2023-02-01 14:24:37', 1, '2023-02-01 14:24:37', 1), (80, 0, 4, 'xz', '下一位', '2', '', 100, 1, '', '4', 1, '2023-02-01 14:25:17', 1, '2023-02-01 14:25:17', 1), (81, 0, 4, 'xj', '选叫', '2', '', 100, 1, '', '4', 1, '2023-02-01 14:25:44', 1, '2023-02-01 14:25:44', 1), (82, 0, 4, 'zy', '呼叫转移', '2', '', 100, 1, '', '4', 1, '2023-02-01 14:26:18', 1, '2023-02-01 14:26:18', 1), (83, 0, 4, 'bg', '背景图片', '2', '', 100, 1, '', '1', 1, '2023-02-01 14:28:56', 1, '2023-02-01 14:39:47', 1), (84, 0, 4, 'user', '用户背景', '2', '', 100, 1, '', '10', 1, '2023-02-01 14:29:45', 1, '2023-04-03 16:15:41', 1), (129, 0, 5, 'bg', '背景大图', '2', '', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (130, 0, 5, 'theme', '主题颜色', '1', '', 100, 1, '', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (131, 0, 5, 'assist', '辅助颜色', '1', '', 100, 1, '', '8', 1, '2023-02-01 15:33:09', 1, '2024-03-25 15:10:17', 1), (132, 0, 5, 'title', '标题颜色', '1', '', 100, 1, '', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (133, 0, 5, 'sjbt', '数据标题', '1', '', 100, 1, '', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (134, 0, 5, 'shuju', '数据字体', '1', '', 100, 1, '', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (268, 0, 3, 'xcqh', '现场取号', '2', '', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (269, 0, 3, 'yyqh', '预约取号', '2', '', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (270, 0, 3, 'vip', 'vip取号', '2', '', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (271, 0, 3, 'xcqd', '现场签到', '2', '', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (272, 0, 3, 'cdxp', '重打小票', '2', '', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (285, 0, 6, '2123', '1111', '1', '', 100, 1, '12', '6', 1, '2023-02-02 13:51:52', 1, '2023-02-02 13:51:52', 1), (286, 15, NULL, '2psfz0', 'wp1zqc', '1', 'srpx1u', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL), (354, 0, 7, 'title_color', '标题颜色', '1', '', 100, 1, '', '2', 1, '2023-02-02 21:29:07', 1, '2023-11-28 14:20:25', 1), (355, 0, 7, 'news_bg_color', '滚动新闻背景', '2', '', 100, 1, '', '14', 1, '2023-02-02 21:29:57', 1, '2023-11-28 14:37:48', 1), (356, 0, 7, 'news_text_color', '滚动新闻字体 颜色', '1', '', 100, 1, '', '6', 1, '2023-02-02 21:30:36', 1, '2023-11-28 14:20:13', 1), (387, 0, 8, 'h1', '标题颜色', '1', '', 100, 1, '', '2', 1, '2023-02-03 11:38:14', 1, '2023-02-03 11:38:14', 1), (388, 0, 8, 'time', '时间颜色', '1', '', 100, 1, '', '3', 1, '2023-02-03 11:39:05', 1, '2023-02-03 11:39:05', 1), (389, 0, 8, 'assist', '辅助颜色', '1', '', 100, 1, '', '8', 1, '2023-02-03 11:39:39', 1, '2023-02-03 11:39:39', 1), (390, 0, 8, 'theme', '主题颜色', '1', '', 100, 1, '', '7', 1, '2023-02-03 11:40:04', 1, '2023-02-03 11:40:04', 1), (391, 0, 8, 'bg', '背景图', '2', '', 100, 1, '', '12', 1, '2023-02-03 11:40:40', 1, '2023-02-03 11:40:40', 1), (392, 0, 8, 'xbg', '小背景', '2', '', 100, 1, '', '11', 0, '2023-02-03 11:41:27', 1, '2023-12-12 21:23:39', 1), (393, 0, 8, 'btnbg', '按钮背景', '2', '', 100, 1, '', '4', 0, '2023-02-03 11:42:02', 1, '2023-12-12 21:23:49', 1), (629, 0, 9, 'h1', '标题', '1', '', 100, 1, '', '2', 1, '2023-02-09 17:12:29', 1, '2023-02-09 17:12:29', 1), (630, 0, 9, 'ksck', '快速查看', '2', '', 100, 1, '', '4', 1, '2023-02-09 17:13:01', 1, '2023-02-09 17:13:01', 1), (631, 0, 9, 'theme', '主题色', '1', '', 100, 1, '', '7', 1, '2023-02-09 17:13:38', 1, '2023-02-09 17:13:38', 1), (632, 0, 9, 'assist', '辅助色', '1', '', 100, 1, '', '8', 1, '2023-02-09 17:13:55', 1, '2023-02-09 17:13:55', 1), (633, 0, 9, 'bg', '背景大图', '2', '', 100, 1, '', '1', 1, '2023-02-09 17:15:12', 1, '2023-02-09 17:15:12', 1), (639, 0, 10, 'h1', '标题', '1', '', 100, 1, '', '2', 1, '2023-02-09 17:23:52', 1, '2023-02-09 17:24:57', 1), (640, 0, 10, 'theme', '主题色', '1', '', 100, 1, '', '7', 1, '2023-02-09 17:26:29', 1, '2023-02-09 17:26:29', 1), (641, 0, 10, 'assist', '辅助色', '1', '', 100, 1, '', '8', 1, '2023-02-09 17:25:48', 1, '2023-02-09 17:25:48', 1), (642, 0, 10, 'sjbt', '数据标题', '1', '', 100, 1, '', '5', 1, '2023-02-09 17:26:55', 1, '2023-02-09 17:26:55', 1), (643, 0, 10, 'bg', '背景大图', '2', '', 100, 1, '', '1', 1, '2023-02-09 17:28:15', 1, '2023-02-09 17:28:15', 1), (653, 0, 11, 'bg', '背景', '2', '', 100, 1, '', '1', 1, '2023-02-21 20:18:19', 1, '2023-02-21 20:18:19', 1), (654, 0, 11, 'h1', '标题', '1', '', 100, 1, '', '2', 1, '2023-02-21 20:18:31', 1, '2023-02-21 20:18:31', 1), (655, 0, 11, 'time', '日期', '1', '', 100, 1, '', '3', 1, '2023-02-21 20:18:48', 1, '2023-02-21 20:18:48', 1), (656, 0, 11, 'theme', '主题色', '1', '', 100, 1, '', '7', 1, '2023-02-21 20:19:37', 1, '2023-02-21 20:19:37', 1), (657, 0, 11, 'assist', '辅助色', '1', '', 100, 1, '', '8', 1, '2023-02-21 20:19:56', 1, '2023-02-21 20:19:56', 1), (658, 31, 11, 'bg', '背景', '2', '/file/fileupload/1676982031661.jpg', 100, 1, '', '1', 1, '2023-02-21 20:18:19', 1, '2023-02-21 20:18:19', 1), (659, 31, 11, 'h1', '标题', '1', '#ffffff', 100, 1, '1000', '2', 1, '2023-02-21 20:18:31', 1, '2023-02-21 20:18:31', 1), (660, 31, 11, 'time', '日期', '1', '#ffffff', 100, 1, '1000', '3', 1, '2023-02-21 20:18:48', 1, '2023-02-21 20:18:48', 1), (661, 31, 11, 'theme', '主题色', '1', '#5160d2', 100, 1, '1000', '7', 1, '2023-02-21 20:19:37', 1, '2023-02-21 20:19:37', 1), (662, 31, 11, 'assist', '辅助色', '1', '#a5dcee', 100, 1, '1000', '8', 1, '2023-02-21 20:19:56', 1, '2023-02-21 20:19:56', 1), (841, 0, 13, 'bg', '背景大图', '2', '', 100, 1, '', '1', 1, '2023-04-03 21:14:27', 1, '2023-04-03 21:14:27', 1), (842, 0, 13, 'theme', '主题色', '1', '', 100, 1, '', '7', 1, '2023-04-03 21:15:14', 1, '2023-04-03 21:15:14', 1), (843, 0, 13, 'assist', '辅助色', '1', '', 100, 1, '', '8', 1, '2023-04-03 21:15:15', 1, '2023-04-03 21:15:15', 1), (844, 44, 13, 'bg', '背景大图', '2', '/file/fileupload/1680528796506.jpg', 100, 1, '', '1', 1, '2023-04-03 21:14:27', 1, '2023-04-03 21:14:27', 1), (845, 44, 13, 'theme', '主题色', '1', '#61c3d6', 100, 1, '1000', '7', 1, '2023-04-03 21:15:14', 1, '2023-04-03 21:15:14', 1), (846, 44, 13, 'assist', '辅助色', '1', '#d3eccf', 100, 1, '1000', '8', 1, '2023-04-03 21:15:15', 1, '2023-04-03 21:15:15', 1), (847, 0, 10, 'title-bg', '内页标题', '2', '', 100, 1, '1', '11', 1, '2023-04-04 17:34:48', 1, '2024-03-12 10:11:48', 1), (848, 0, 9, 'title-bg', '内页标题', '2', '', 100, 1, '', '11', 1, '2023-04-04 17:35:28', 1, '2023-04-04 17:35:28', 1), (849, 0, 9, 'sjbt', '数据标题', '1', '', 100, 1, '', '5', 1, '2023-04-04 17:36:13', 1, '2023-04-04 17:36:13', 1), (1724, 0, 7, 'xwbt', '新闻标题', '1', '', 100, 1, '', '5', 1, '2023-11-28 14:22:09', 1, '2023-11-28 14:20:13', 1), (1725, 0, 7, 'bottom_bg', '底部背景', '2', '', 100, 1, '', '12', 1, '2023-11-28 14:36:59', 1, NULL, NULL), (1917, 0, 14, 'bg', '背景大图', '2', '', 100, 1, '', '1', 1, '2023-12-12 17:57:45', 1, NULL, NULL), (1918, 0, 14, 'title_color', '标题颜色', '1', '', 100, 1, '', '2', 1, '2023-12-12 17:58:08', 1, NULL, NULL), (1919, 0, 14, 'name_tv_color', '姓名字体', '1', '', 100, 1, '', '5', 1, '2023-12-12 17:58:39', 1, '2023-12-13 13:18:41', 1), (1920, 0, 14, 'name_bg_color', '姓名背景', '1', '', 100, 1, '', '13', 1, '2023-12-12 17:59:12', 1, '2023-12-12 18:24:28', 1), (1921, 111, 14, 'bg', '背景大图', '2', '/file/fileupload/1702375207354.jpg', 100, 1, '', '1', 1, '2023-12-12 17:57:45', 1, NULL, NULL), (1922, 111, 14, 'title_color', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-12-12 17:58:08', 1, NULL, NULL), (1923, 111, 14, 'name_tv_color', '姓名字体颜色', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-12-12 17:58:39', 1, NULL, NULL), (1924, 111, 14, 'name_bg_color', '姓名背景颜色', '1', '#0857E8', 100, 1, '1000', '13', 1, '2023-12-12 17:59:12', 1, NULL, NULL), (1934, 113, 14, 'bg', '背景大图', '2', '/file/fileupload/1702378795691.jpg', 100, 1, '', '1', 1, '2023-12-12 17:57:45', 1, NULL, NULL), (1935, 113, 14, 'title_color', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-12-12 17:58:08', 1, NULL, NULL), (1936, 113, 14, 'name_tv_color', '姓名字体', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-12-12 17:58:39', 1, '2023-12-12 18:24:36', 1), (1937, 113, 14, 'name_bg_color', '姓名背景', '1', '#FF0000', 100, 1, '1000', '13', 1, '2023-12-12 17:59:12', 1, '2023-12-12 18:24:28', 1), (1941, 115, 14, 'bg', '背景大图', '2', '/file/fileupload/1702379597183.jpg', 100, 1, '', '1', 1, '2023-12-12 17:57:45', 1, NULL, NULL), (1942, 115, 14, 'title_color', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-12-12 17:58:08', 1, NULL, NULL), (1943, 115, 14, 'name_tv_color', '姓名字体', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-12-12 17:58:39', 1, '2023-12-12 18:24:36', 1), (1944, 115, 14, 'name_bg_color', '姓名背景', '1', '#FF0000', 100, 1, '1000', '13', 1, '2023-12-12 17:59:12', 1, '2023-12-12 18:24:28', 1), (1945, 116, 14, 'bg', '背景大图', '2', '/file/fileupload/1702379691631.jpg', 100, 1, '', '1', 1, '2023-12-12 17:57:45', 1, NULL, NULL), (1946, 116, 14, 'title_color', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-12-12 17:58:08', 1, NULL, NULL), (1947, 116, 14, 'name_tv_color', '姓名字体', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-12-12 17:58:39', 1, '2023-12-12 18:24:36', 1), (1948, 116, 14, 'name_bg_color', '姓名背景', '1', '#039290', 100, 1, '1000', '13', 1, '2023-12-12 17:59:12', 1, '2023-12-12 18:24:28', 1), (1949, 117, 14, 'bg', '背景大图', '2', '/file/fileupload/1702379772972.jpg', 100, 1, '', '1', 1, '2023-12-12 17:57:45', 1, NULL, NULL), (1950, 117, 14, 'title_color', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-12-12 17:58:08', 1, NULL, NULL), (1951, 117, 14, 'name_tv_color', '姓名字体', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-12-12 17:58:39', 1, '2023-12-12 18:24:36', 1), (1952, 117, 14, 'name_bg_color', '姓名背景', '1', '#F3611B', 100, 1, '1000', '13', 1, '2023-12-12 17:59:12', 1, '2023-12-12 18:24:28', 1), (1953, 118, 14, 'bg', '背景大图', '2', '/file/fileupload/1702379836304.jpg', 100, 1, '', '1', 1, '2023-12-12 17:57:45', 1, NULL, NULL), (1954, 118, 14, 'title_color', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-12-12 17:58:08', 1, NULL, NULL), (1955, 118, 14, 'name_tv_color', '姓名字体', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-12-12 17:58:39', 1, '2023-12-12 18:24:36', 1), (1956, 118, 14, 'name_bg_color', '姓名背景', '1', '#088B49', 100, 1, '1000', '13', 1, '2023-12-12 17:59:12', 1, '2023-12-12 18:24:28', 1), (1968, 121, 9, 'h1', '标题', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-09 17:12:29', 1, '2023-02-09 17:12:29', 1), (1969, 121, 9, 'ksck', '快速查看', '2', '/file/fileupload/1702382553380.jpg', 100, 1, '', '4', 1, '2023-02-09 17:13:01', 1, '2023-02-09 17:13:01', 1), (1970, 121, 9, 'theme', '主题色', '1', '#B51017', 100, 1, '1000', '7', 1, '2023-02-09 17:13:38', 1, '2023-02-09 17:13:38', 1), (1971, 121, 9, 'assist', '辅助色', '1', '#FF9BA1', 100, 1, '1000', '8', 1, '2023-02-09 17:13:55', 1, '2023-02-09 17:13:55', 1), (1972, 121, 9, 'bg', '背景大图', '2', '/file/fileupload/1702382558265.jpg', 100, 1, '', '1', 1, '2023-02-09 17:15:12', 1, '2023-02-09 17:15:12', 1), (1973, 121, 9, 'title-bg', '内页标题', '2', '/file/fileupload/1702382562258.jpg', 100, 1, '', '11', 1, '2023-04-04 17:35:28', 1, '2023-04-04 17:35:28', 1), (1974, 121, 9, 'sjbt', '数据标题', '1', '#666666', 100, 1, '1000', '5', 1, '2023-04-04 17:36:13', 1, '2023-04-04 17:36:13', 1), (1975, 122, 9, 'h1', '标题', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-09 17:12:29', 1, '2023-02-09 17:12:29', 1), (1976, 122, 9, 'ksck', '快速查看', '2', '/file/fileupload/1702382621671.jpg', 100, 1, '', '4', 1, '2023-02-09 17:13:01', 1, '2023-02-09 17:13:01', 1), (1977, 122, 9, 'theme', '主题色', '1', '#C5357B', 100, 1, '1000', '7', 1, '2023-02-09 17:13:38', 1, '2023-02-09 17:13:38', 1), (1978, 122, 9, 'assist', '辅助色', '1', '#FA8EC9', 100, 1, '1000', '8', 1, '2023-02-09 17:13:55', 1, '2023-02-09 17:13:55', 1), (1979, 122, 9, 'bg', '背景大图', '2', '/file/fileupload/1702382626267.jpg', 100, 1, '', '1', 1, '2023-02-09 17:15:12', 1, '2023-02-09 17:15:12', 1), (1980, 122, 9, 'title-bg', '内页标题', '2', '/file/fileupload/1702382631568.jpg', 100, 1, '', '11', 1, '2023-04-04 17:35:28', 1, '2023-04-04 17:35:28', 1), (1981, 122, 9, 'sjbt', '数据标题', '1', '#666666', 100, 1, '1000', '5', 1, '2023-04-04 17:36:13', 1, '2023-04-04 17:36:13', 1), (1982, 123, 9, 'h1', '标题', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-09 17:12:29', 1, '2023-02-09 17:12:29', 1), (1983, 123, 9, 'ksck', '快速查看', '2', '/file/fileupload/1702382790582.jpg', 100, 1, '', '4', 1, '2023-02-09 17:13:01', 1, '2023-02-09 17:13:01', 1), (1984, 123, 9, 'theme', '主题色', '1', '#039290', 100, 1, '1000', '7', 1, '2023-02-09 17:13:38', 1, '2023-02-09 17:13:38', 1), (1985, 123, 9, 'assist', '辅助色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-02-09 17:13:55', 1, '2023-02-09 17:13:55', 1), (1986, 123, 9, 'bg', '背景大图', '2', '/file/fileupload/1702382796739.jpg', 100, 1, '', '1', 1, '2023-02-09 17:15:12', 1, '2023-02-09 17:15:12', 1), (1987, 123, 9, 'title-bg', '内页标题', '2', '/file/fileupload/1702382801041.jpg', 100, 1, '', '11', 1, '2023-04-04 17:35:28', 1, '2023-04-04 17:35:28', 1), (1988, 123, 9, 'sjbt', '数据标题', '1', '#666666', 100, 1, '1000', '5', 1, '2023-04-04 17:36:13', 1, '2023-04-04 17:36:13', 1), (1989, 124, 9, 'h1', '标题', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-09 17:12:29', 1, '2023-02-09 17:12:29', 1), (1990, 124, 9, 'ksck', '快速查看', '2', '/file/fileupload/1702382884271.jpg', 100, 1, '', '4', 1, '2023-02-09 17:13:01', 1, '2023-02-09 17:13:01', 1), (1991, 124, 9, 'theme', '主题色', '1', '#F3611B', 100, 1, '1000', '7', 1, '2023-02-09 17:13:38', 1, '2023-02-09 17:13:38', 1), (1992, 124, 9, 'assist', '辅助色', '1', '#F3A41B', 100, 1, '1000', '8', 1, '2023-02-09 17:13:55', 1, '2023-02-09 17:13:55', 1), (1993, 124, 9, 'bg', '背景大图', '2', '/file/fileupload/1702382888671.jpg', 100, 1, '', '1', 1, '2023-02-09 17:15:12', 1, '2023-02-09 17:15:12', 1), (1994, 124, 9, 'title-bg', '内页标题', '2', '/file/fileupload/1702382892607.jpg', 100, 1, '', '11', 1, '2023-04-04 17:35:28', 1, '2023-04-04 17:35:28', 1), (1995, 124, 9, 'sjbt', '数据标题', '1', '#666666', 100, 1, '1000', '5', 1, '2023-04-04 17:36:13', 1, '2023-04-04 17:36:13', 1), (1996, 125, 9, 'h1', '标题', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-09 17:12:29', 1, '2023-02-09 17:12:29', 1), (1997, 125, 9, 'ksck', '快速查看', '2', '/file/fileupload/1702383053626.jpg', 100, 1, '', '4', 1, '2023-02-09 17:13:01', 1, '2023-02-09 17:13:01', 1), (1998, 125, 9, 'theme', '主题色', '1', '#088B49', 100, 1, '1000', '7', 1, '2023-02-09 17:13:38', 1, '2023-02-09 17:13:38', 1), (1999, 125, 9, 'assist', '辅助色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-02-09 17:13:55', 1, '2023-02-09 17:13:55', 1), (2000, 125, 9, 'bg', '背景大图', '2', '/file/fileupload/1702383060844.jpg', 100, 1, '', '1', 1, '2023-02-09 17:15:12', 1, '2023-02-09 17:15:12', 1), (2001, 125, 9, 'title-bg', '内页标题', '2', '/file/fileupload/1702383065437.jpg', 100, 1, '', '11', 1, '2023-04-04 17:35:28', 1, '2023-04-04 17:35:28', 1), (2002, 125, 9, 'sjbt', '数据标题', '1', '#666666', 100, 1, '1000', '5', 1, '2023-04-04 17:36:13', 1, '2023-04-04 17:36:13', 1), (2070, 29, 9, 'h1', '标题', '1', '#ffffff', 100, 1, '1000', '2', 1, '2023-02-09 17:12:29', 1, '2023-02-09 17:12:29', 1), (2071, 29, 9, 'ksck', '快速查看', '2', '/file/fileupload/1702375391284.jpg', 100, 1, '', '4', 1, '2023-02-09 17:13:01', 1, '2023-02-09 17:13:01', 1), (2072, 29, 9, 'theme', '主题色', '1', '#0857e8', 100, 1, '1000', '7', 1, '2023-02-09 17:13:38', 1, '2023-02-09 17:13:38', 1), (2073, 29, 9, 'assist', '辅助色', '1', '#59d1fe', 100, 1, '1000', '8', 1, '2023-02-09 17:13:55', 1, '2023-02-09 17:13:55', 1), (2074, 29, 9, 'bg', '背景大图', '2', '/file/fileupload/1702375385660.jpg', 100, 1, '', '1', 1, '2023-02-09 17:15:12', 1, '2023-02-09 17:15:12', 1), (2113, 0, 7, 'title_bg', 'title背景图', '2', '', 100, 1, '', '11', 1, '2023-12-12 20:56:43', 1, NULL, NULL), (2135, 130, 8, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-03 11:38:14', 1, '2023-02-03 11:38:14', 1), (2136, 130, 8, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-03 11:39:05', 1, '2023-02-03 11:39:05', 1), (2137, 130, 8, 'assist', '辅助颜色', '1', '#59D1FE', 100, 1, '1000', '8', 1, '2023-02-03 11:39:39', 1, '2023-02-03 11:39:39', 1), (2138, 130, 8, 'theme', '主题颜色', '1', '#0866E8', 100, 1, '1000', '7', 1, '2023-02-03 11:40:04', 1, '2023-02-03 11:40:04', 1), (2139, 130, 8, 'bg', '背景图', '2', '/file/fileupload/1702387632725.jpg', 100, 1, '', '12', 1, '2023-02-03 11:40:40', 1, '2023-02-03 11:40:40', 1), (2140, 131, 2, 'theme', '主题色', '1', '#007BFF', 100, 1, '1000', '7', 1, '2023-01-14 10:01:54', 1, '2023-01-14 10:01:54', 1), (2141, 131, 2, 'assist', '辅助色', '1', '#F7044E', 100, 1, '1000', '8', 1, '2023-01-14 10:02:28', 1, '2023-01-14 10:02:28', 1), (2142, 131, 2, 'bg', '背景大图', '2', '/file/fileupload/1702396489914.jpg', 100, 1, '', '1', 1, '2023-01-14 10:03:00', 1, '2023-01-14 10:03:00', 1), (2149, 132, 7, 'title_color', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-02 21:29:07', 1, '2023-11-28 14:20:25', 1), (2150, 132, 7, 'news_bg_color', '滚动新闻背景', '2', '/file/fileupload/1702438951795.jpg', 100, 1, '', '14', 1, '2023-02-02 21:29:57', 1, '2023-11-28 14:37:48', 1), (2151, 132, 7, 'news_text_color', '滚动新闻字体 颜色', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-02 21:30:36', 1, '2023-11-28 14:20:13', 1), (2152, 132, 7, 'xwbt', '新闻标题', '1', '#EFFE00', 100, 1, '1000', '5', 1, '2023-11-28 14:22:09', 1, '2023-11-28 14:20:13', 1), (2153, 132, 7, 'bottom_bg', '底部背景', '2', '/file/fileupload/1702438955542.jpg', 100, 1, '', '12', 1, '2023-11-28 14:36:59', 1, NULL, NULL), (2154, 132, 7, 'title_bg', 'title背景图', '2', '/file/fileupload/1702438960697.jpg', 100, 1, '', '11', 1, '2023-12-12 20:56:43', 1, NULL, NULL), (2155, 133, 7, 'title_color', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-02 21:29:07', 1, '2023-11-28 14:20:25', 1), (2156, 133, 7, 'news_bg_color', '滚动新闻背景', '2', '/file/fileupload/1702445127238.jpg', 100, 1, '', '14', 1, '2023-02-02 21:29:57', 1, '2023-11-28 14:37:48', 1), (2157, 133, 7, 'news_text_color', '滚动新闻字体 颜色', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-02 21:30:36', 1, '2023-11-28 14:20:13', 1), (2158, 133, 7, 'xwbt', '新闻标题', '1', '#EFFE00', 100, 1, '1000', '5', 1, '2023-11-28 14:22:09', 1, '2023-11-28 14:20:13', 1), (2159, 133, 7, 'bottom_bg', '底部背景', '2', '/file/fileupload/1702445142054.jpg', 100, 1, '', '12', 1, '2023-11-28 14:36:59', 1, NULL, NULL), (2160, 133, 7, 'title_bg', 'title背景图', '2', '/file/fileupload/1702445146276.jpg', 100, 1, '', '11', 1, '2023-12-12 20:56:43', 1, NULL, NULL), (2161, 134, 7, 'title_color', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-02 21:29:07', 1, '2023-11-28 14:20:25', 1), (2162, 134, 7, 'news_bg_color', '滚动新闻背景', '2', '/file/fileupload/1702445277206.jpg', 100, 1, '', '14', 1, '2023-02-02 21:29:57', 1, '2023-11-28 14:37:48', 1), (2163, 134, 7, 'news_text_color', '滚动新闻字体 颜色', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-02 21:30:36', 1, '2023-11-28 14:20:13', 1), (2164, 134, 7, 'xwbt', '新闻标题', '1', '#EFFE00', 100, 1, '1000', '5', 1, '2023-11-28 14:22:09', 1, '2023-11-28 14:20:13', 1), (2165, 134, 7, 'bottom_bg', '底部背景', '2', '/file/fileupload/1702445282350.jpg', 100, 1, '', '12', 1, '2023-11-28 14:36:59', 1, NULL, NULL), (2166, 134, 7, 'title_bg', 'title背景图', '2', '/file/fileupload/1702445286709.jpg', 100, 1, '', '11', 1, '2023-12-12 20:56:43', 1, NULL, NULL), (2167, 135, 2, 'theme', '主题色', '1', '#2A7CF6', 100, 1, '1000', '7', 1, '2023-01-14 10:01:54', 1, '2023-01-14 10:01:54', 1), (2168, 135, 2, 'assist', '辅助色', '1', '#F52C25', 100, 1, '1000', '8', 1, '2023-01-14 10:02:28', 1, '2023-01-14 10:02:28', 1), (2169, 135, 2, 'bg', '背景大图', '2', '/file/fileupload/1702446202643.jpg', 100, 1, '', '1', 1, '2023-01-14 10:03:00', 1, '2023-01-14 10:03:00', 1), (2170, 136, 2, 'theme', '主题色', '1', '#2A7CF6', 100, 1, '1000', '7', 1, '2023-01-14 10:01:54', 1, '2023-01-14 10:01:54', 1), (2171, 136, 2, 'assist', '辅助色', '1', '#F52C25', 100, 1, '1000', '8', 1, '2023-01-14 10:02:28', 1, '2023-01-14 10:02:28', 1), (2172, 136, 2, 'bg', '背景大图', '2', '/file/fileupload/1702446319069.jpg', 100, 1, '', '1', 1, '2023-01-14 10:03:00', 1, '2023-01-14 10:03:00', 1), (2173, 137, 2, 'theme', '主题色', '1', '#2A7CF6', 100, 1, '1000', '7', 1, '2023-01-14 10:01:54', 1, '2023-01-14 10:01:54', 1), (2174, 137, 2, 'assist', '辅助色', '1', '#F52C25', 100, 1, '1000', '8', 1, '2023-01-14 10:02:28', 1, '2023-01-14 10:02:28', 1), (2175, 137, 2, 'bg', '背景大图', '2', '/file/fileupload/1702446393514.jpg', 100, 1, '', '1', 1, '2023-01-14 10:03:00', 1, '2023-01-14 10:03:00', 1), (2176, 138, 2, 'theme', '主题色', '1', '#2A7CF6', 100, 1, '1000', '7', 1, '2023-01-14 10:01:54', 1, '2023-01-14 10:01:54', 1), (2177, 138, 2, 'assist', '辅助色', '1', '#F52C25', 100, 1, '1000', '8', 1, '2023-01-14 10:02:28', 1, '2023-01-14 10:02:28', 1), (2178, 138, 2, 'bg', '背景大图', '2', '/file/fileupload/1702446457428.jpg', 100, 1, '', '1', 1, '2023-01-14 10:03:00', 1, '2023-01-14 10:03:00', 1), (2179, 139, 2, 'theme', '主题色', '1', '#2A7CF6', 100, 1, '1000', '7', 1, '2023-01-14 10:01:54', 1, '2023-01-14 10:01:54', 1), (2180, 139, 2, 'assist', '辅助色', '1', '#F52C25', 100, 1, '1000', '8', 1, '2023-01-14 10:02:28', 1, '2023-01-14 10:02:28', 1), (2181, 139, 2, 'bg', '背景大图', '2', '/file/fileupload/1702446537660.jpg', 100, 1, '', '1', 1, '2023-01-14 10:03:00', 1, '2023-01-14 10:03:00', 1), (2182, 3, 2, 'theme', '主题色', '1', '#2A7CF6', 100, 1, '1000', '7', 1, '2023-01-14 10:01:54', 1, '2023-01-14 10:01:54', 1), (2183, 3, 2, 'assist', '辅助色', '1', '#F52C25', 100, 1, '1000', '8', 1, '2023-01-14 10:02:28', 1, '2023-01-14 10:02:28', 1), (2184, 3, 2, 'bg', '背景大图', '2', '/file/fileupload/1702446628245.jpg', 100, 1, '', '1', 1, '2023-01-14 10:03:00', 1, '2023-01-14 10:03:00', 1), (2185, 140, 8, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-03 11:38:14', 1, '2023-02-03 11:38:14', 1), (2186, 140, 8, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-03 11:39:05', 1, '2023-02-03 11:39:05', 1), (2187, 140, 8, 'assist', '辅助颜色', '1', '#FA8EC9', 100, 1, '1000', '8', 1, '2023-02-03 11:39:39', 1, '2023-02-03 11:39:39', 1), (2188, 140, 8, 'theme', '主题颜色', '1', '#C5357B', 100, 1, '1000', '7', 1, '2023-02-03 11:40:04', 1, '2023-02-03 11:40:04', 1), (2189, 140, 8, 'bg', '背景图', '2', '/file/fileupload/1702447852447.jpg', 100, 1, '', '12', 1, '2023-02-03 11:40:40', 1, '2023-02-03 11:40:40', 1), (2190, 141, 8, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-03 11:38:14', 1, '2023-02-03 11:38:14', 1), (2191, 141, 8, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-03 11:39:05', 1, '2023-02-03 11:39:05', 1), (2192, 141, 8, 'assist', '辅助颜色', '1', '#FF9204', 100, 1, '1000', '8', 1, '2023-02-03 11:39:39', 1, '2023-02-03 11:39:39', 1), (2193, 141, 8, 'theme', '主题颜色', '1', '#FF1111', 100, 1, '1000', '7', 1, '2023-02-03 11:40:04', 1, '2023-02-03 11:40:04', 1), (2194, 141, 8, 'bg', '背景图', '2', '/file/fileupload/1702448122763.jpg', 100, 1, '', '12', 1, '2023-02-03 11:40:40', 1, '2023-02-03 11:40:40', 1), (2195, 142, 8, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-03 11:38:14', 1, '2023-02-03 11:38:14', 1), (2196, 142, 8, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-03 11:39:05', 1, '2023-02-03 11:39:05', 1), (2197, 142, 8, 'assist', '辅助颜色', '1', '#F3A41B', 100, 1, '1000', '8', 1, '2023-02-03 11:39:39', 1, '2023-02-03 11:39:39', 1), (2198, 142, 8, 'theme', '主题颜色', '1', '#F3611B', 100, 1, '1000', '7', 1, '2023-02-03 11:40:04', 1, '2023-02-03 11:40:04', 1), (2199, 142, 8, 'bg', '背景图', '2', '/file/fileupload/1702448392779.jpg', 100, 1, '', '12', 1, '2023-02-03 11:40:40', 1, '2023-02-03 11:40:40', 1), (2200, 143, 8, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-03 11:38:14', 1, '2023-02-03 11:38:14', 1), (2201, 143, 8, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-03 11:39:05', 1, '2023-02-03 11:39:05', 1), (2202, 143, 8, 'assist', '辅助颜色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-02-03 11:39:39', 1, '2023-02-03 11:39:39', 1), (2203, 143, 8, 'theme', '主题颜色', '1', '#088B49', 100, 1, '1000', '7', 1, '2023-02-03 11:40:04', 1, '2023-02-03 11:40:04', 1), (2204, 143, 8, 'bg', '背景图', '2', '/file/fileupload/1702448482889.jpg', 100, 1, '', '12', 1, '2023-02-03 11:40:40', 1, '2023-02-03 11:40:40', 1), (2205, 144, 8, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-03 11:38:14', 1, '2023-02-03 11:38:14', 1), (2206, 144, 8, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-03 11:39:05', 1, '2023-02-03 11:39:05', 1), (2207, 144, 8, 'assist', '辅助颜色', '1', '#FF9BA1', 100, 1, '1000', '8', 1, '2023-02-03 11:39:39', 1, '2023-02-03 11:39:39', 1), (2208, 144, 8, 'theme', '主题颜色', '1', '#B51017', 100, 1, '1000', '7', 1, '2023-02-03 11:40:04', 1, '2023-02-03 11:40:04', 1), (2209, 144, 8, 'bg', '背景图', '2', '/file/fileupload/1702448581395.jpg', 100, 1, '', '12', 1, '2023-02-03 11:40:40', 1, '2023-02-03 11:40:40', 1), (2210, 145, 8, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-03 11:38:14', 1, '2023-02-03 11:38:14', 1), (2211, 145, 8, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-03 11:39:05', 1, '2023-02-03 11:39:05', 1), (2212, 145, 8, 'assist', '辅助颜色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-02-03 11:39:39', 1, '2023-02-03 11:39:39', 1), (2213, 145, 8, 'theme', '主题颜色', '1', '#039290', 100, 1, '1000', '7', 1, '2023-02-03 11:40:04', 1, '2023-02-03 11:40:04', 1), (2214, 145, 8, 'bg', '背景图', '2', '/file/fileupload/1702448685830.jpg', 100, 1, '', '12', 1, '2023-02-03 11:40:40', 1, '2023-02-03 11:40:40', 1), (2215, 146, 5, 'bg', '背景大图', '2', '/file/fileupload/1702448254336.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (2216, 146, 5, 'theme', '主题颜色', '1', '#F7044E', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (2217, 146, 5, 'assist', '辅助颜色', '1', '#FFC4CE', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2023-02-01 15:33:09', 1), (2218, 146, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (2219, 146, 5, 'sjbt', '数据标题', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (2220, 146, 5, 'shuju', '数据字体', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (2221, 147, 5, 'bg', '背景大图', '2', '/file/fileupload/1702448833956.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (2222, 147, 5, 'theme', '主题颜色', '1', '#FF1111', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (2223, 147, 5, 'assist', '辅助颜色', '1', '#FFD8D8', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2023-02-01 15:33:09', 1), (2224, 147, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (2225, 147, 5, 'sjbt', '数据标题', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (2226, 147, 5, 'shuju', '数据字体', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (2227, 114, 2, 'theme', '主题色', '1', '#2A7CF6', 100, 1, '1000', '7', 1, '2023-01-14 10:01:54', 1, '2023-01-14 10:01:54', 1), (2228, 114, 2, 'assist', '辅助色', '1', '#FF1111', 100, 1, '1000', '8', 1, '2023-01-14 10:02:28', 1, '2023-01-14 10:02:28', 1), (2229, 114, 2, 'bg', '背景大图', '2', '/file/fileupload/1702386202304.jpg', 100, 1, '', '1', 1, '2023-01-14 10:03:00', 1, '2023-01-14 10:03:00', 1), (2230, 148, 7, 'title_color', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-02 21:29:07', 1, '2023-11-28 14:20:25', 1), (2231, 148, 7, 'news_bg_color', '滚动新闻背景', '2', '/file/fileupload/1702456922276.jpg', 100, 1, '', '14', 1, '2023-02-02 21:29:57', 1, '2023-11-28 14:37:48', 1), (2232, 148, 7, 'news_text_color', '滚动新闻字体 颜色', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-02 21:30:36', 1, '2023-11-28 14:20:13', 1), (2233, 148, 7, 'xwbt', '新闻标题', '1', '#EFFE00', 100, 1, '1000', '5', 1, '2023-11-28 14:22:09', 1, '2023-11-28 14:20:13', 1), (2234, 148, 7, 'bottom_bg', '底部背景', '2', '/file/fileupload/1702456927784.jpg', 100, 1, '', '12', 1, '2023-11-28 14:36:59', 1, NULL, NULL), (2235, 148, 7, 'title_bg', 'title背景图', '2', '/file/fileupload/1702456932829.jpg', 100, 1, '', '11', 1, '2023-12-12 20:56:43', 1, NULL, NULL), (2236, 149, 7, 'title_color', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-02 21:29:07', 1, '2023-11-28 14:20:25', 1), (2237, 149, 7, 'news_bg_color', '滚动新闻背景', '2', '/file/fileupload/1702456988039.jpg', 100, 1, '', '14', 1, '2023-02-02 21:29:57', 1, '2023-11-28 14:37:48', 1), (2238, 149, 7, 'news_text_color', '滚动新闻字体 颜色', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-02 21:30:36', 1, '2023-11-28 14:20:13', 1), (2239, 149, 7, 'xwbt', '新闻标题', '1', '#EFFE00', 100, 1, '1000', '5', 1, '2023-11-28 14:22:09', 1, '2023-11-28 14:20:13', 1), (2240, 149, 7, 'bottom_bg', '底部背景', '2', '/file/fileupload/1702456992925.jpg', 100, 1, '', '12', 1, '2023-11-28 14:36:59', 1, NULL, NULL), (2241, 149, 7, 'title_bg', 'title背景图', '2', '/file/fileupload/1702456997277.jpg', 100, 1, '', '11', 1, '2023-12-12 20:56:43', 1, NULL, NULL), (2242, 150, 7, 'title_color', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-02 21:29:07', 1, '2023-11-28 14:20:25', 1), (2243, 150, 7, 'news_bg_color', '滚动新闻背景', '2', '/file/fileupload/1702457042777.jpg', 100, 1, '', '14', 1, '2023-02-02 21:29:57', 1, '2023-11-28 14:37:48', 1), (2244, 150, 7, 'news_text_color', '滚动新闻字体 颜色', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-02 21:30:36', 1, '2023-11-28 14:20:13', 1), (2245, 150, 7, 'xwbt', '新闻标题', '1', '#EFFE00', 100, 1, '1000', '5', 1, '2023-11-28 14:22:09', 1, '2023-11-28 14:20:13', 1), (2246, 150, 7, 'bottom_bg', '底部背景', '2', '/file/fileupload/1702457047441.jpg', 100, 1, '', '12', 1, '2023-11-28 14:36:59', 1, NULL, NULL), (2247, 150, 7, 'title_bg', 'title背景图', '2', '/file/fileupload/1702457052254.jpg', 100, 1, '', '11', 1, '2023-12-12 20:56:43', 1, NULL, NULL), (2248, 151, 5, 'bg', '背景大图', '2', '/file/fileupload/1702460466514.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (2249, 151, 5, 'theme', '主题颜色', '1', '#088B49', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (2250, 151, 5, 'assist', '辅助颜色', '1', '#C8F4D9', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2023-02-01 15:33:09', 1), (2251, 151, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (2252, 151, 5, 'sjbt', '数据标题', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (2253, 151, 5, 'shuju', '数据字体', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (2254, 152, 5, 'bg', '背景大图', '2', '/file/fileupload/1702460619142.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (2255, 152, 5, 'theme', '主题颜色', '1', '#F3611B', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (2256, 152, 5, 'assist', '辅助颜色', '1', '#FFE4D8', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2023-02-01 15:33:09', 1), (2257, 152, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (2258, 152, 5, 'sjbt', '数据标题', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (2259, 152, 5, 'shuju', '数据字体', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (2266, 154, 5, 'bg', '背景大图', '2', '/file/fileupload/1702461863496.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (2267, 154, 5, 'theme', '主题颜色', '1', '#FF1068', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (2268, 154, 5, 'assist', '辅助颜色', '1', '#FFD9E7', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2023-02-01 15:33:09', 1), (2269, 154, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (2270, 154, 5, 'sjbt', '数据标题', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (2271, 154, 5, 'shuju', '数据字体', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (2272, 153, 5, 'bg', '背景大图', '2', '/file/fileupload/1702462449750.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (2273, 153, 5, 'theme', '主题颜色', '1', '#039290', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (2274, 153, 5, 'assist', '辅助颜色', '1', '#C8F5F4', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2023-02-01 15:33:09', 1), (2275, 153, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (2276, 153, 5, 'sjbt', '数据标题', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (2277, 153, 5, 'shuju', '数据字体', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (2278, 155, 5, 'bg', '背景大图', '2', '/file/fileupload/1702462882326.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (2279, 155, 5, 'theme', '主题颜色', '1', '#B51017', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (2280, 155, 5, 'assist', '辅助颜色', '1', '#FFE7E8', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2023-02-01 15:33:09', 1), (2281, 155, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (2282, 155, 5, 'sjbt', '数据标题', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (2283, 155, 5, 'shuju', '数据字体', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (2341, 0, 15, 'theme', '主题色', '1', '', 100, 1, '', '7', 1, '2023-12-24 18:12:05', 1, NULL, NULL), (2342, 0, 15, 'assist', '辅助色', '1', '', 100, 1, '', '8', 1, '2023-12-24 18:12:24', 1, NULL, NULL), (2343, 156, 15, 'theme', '主题色', '1', '#008CFF', 100, 1, '1000', '7', 1, '2023-12-24 18:12:05', 1, NULL, NULL), (2344, 156, 15, 'assist', '辅助色', '1', '#00FF48', 100, 1, '1000', '8', 1, '2023-12-24 18:12:24', 1, NULL, NULL), (2376, 0, 3, 'myminbg', '内页背景', '2', '', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (2601, 173, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (2602, 173, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (2603, 173, 3, 'info', '数据颜色', '1', '#B51017', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (2604, 173, 3, 'icp', '备案颜色', '1', '#BFAFB0', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (2605, 173, 3, 'theme', '主题颜色', '1', '#B51017', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (2606, 173, 3, 'assist', '辅助色', '1', '#000000', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (2607, 173, 3, 'mybg', '背景图', '2', '/file/fileupload/1704694499622.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (2608, 173, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1704693517407.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (2609, 173, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1704693525319.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (2610, 173, 3, 'vip', 'vip取号', '2', '/file/fileupload/1704693530739.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (2611, 173, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1704693535489.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (2612, 173, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1704693540025.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (2613, 173, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1704693897571.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (2614, 174, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (2615, 174, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (2616, 174, 3, 'info', '数据颜色', '1', '#F7044E', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (2617, 174, 3, 'icp', '备案颜色', '1', '#BFAFB0', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (2618, 174, 3, 'theme', '主题颜色', '1', '#F7044E', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (2619, 174, 3, 'assist', '辅助色', '1', '#F7044E', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (2620, 174, 3, 'mybg', '背景图', '2', '/file/fileupload/1704694928975.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (2621, 174, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1704694938836.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (2622, 174, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1704694944136.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (2623, 174, 3, 'vip', 'vip取号', '2', '/file/fileupload/1704694951515.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (2624, 174, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1704694955974.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (2625, 174, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1704694960892.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (2626, 174, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1704694967953.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (2627, 175, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (2628, 175, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (2629, 175, 3, 'info', '数据颜色', '1', '#FF1111', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (2630, 175, 3, 'icp', '备案颜色', '1', '#BFAFB0', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (2631, 175, 3, 'theme', '主题颜色', '1', '#FF1111', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (2632, 175, 3, 'assist', '辅助色', '1', '#FF1111', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (2633, 175, 3, 'mybg', '背景图', '2', '/file/fileupload/1704696997638.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (2634, 175, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1704697007378.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (2635, 175, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1704697011208.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (2636, 175, 3, 'vip', 'vip取号', '2', '/file/fileupload/1704697017525.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (2637, 175, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1704697022268.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (2638, 175, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1704697026503.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (2639, 175, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1704697032046.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (2640, 176, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (2641, 176, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (2642, 176, 3, 'info', '数据颜色', '1', '#088B49', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (2643, 176, 3, 'icp', '备案颜色', '1', '#BFAFB0', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (2644, 176, 3, 'theme', '主题颜色', '1', '#088B49', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (2645, 176, 3, 'assist', '辅助色', '1', '#088B49', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (2646, 176, 3, 'mybg', '背景图', '2', '/file/fileupload/1704699563725.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (2647, 176, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1704699573809.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (2648, 176, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1704699577698.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (2649, 176, 3, 'vip', 'vip取号', '2', '/file/fileupload/1704699583557.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (2650, 176, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1704699587044.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (2651, 176, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1704699590919.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (2652, 176, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1704699599805.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (2653, 177, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (2654, 177, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (2655, 177, 3, 'info', '数据颜色', '1', '#F3611B', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (2656, 177, 3, 'icp', '备案颜色', '1', '#BFAFB0', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (2657, 177, 3, 'theme', '主题颜色', '1', '#F3611B', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (2658, 177, 3, 'assist', '辅助色', '1', '#F3611B', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (2659, 177, 3, 'mybg', '背景图', '2', '/file/fileupload/1704700295405.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (2660, 177, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1704700310605.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (2661, 177, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1704700316541.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (2662, 177, 3, 'vip', 'vip取号', '2', '/file/fileupload/1704700320475.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (2663, 177, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1704700325371.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (2664, 177, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1704700329873.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (2665, 177, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1704700337439.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (2666, 178, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (2667, 178, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (2668, 178, 3, 'info', '数据颜色', '1', '#039290', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (2669, 178, 3, 'icp', '备案颜色', '1', '#BFAFB0', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (2670, 178, 3, 'theme', '主题颜色', '1', '#039290', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (2671, 178, 3, 'assist', '辅助色', '1', '#039290', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (2672, 178, 3, 'mybg', '背景图', '2', '/file/fileupload/1704700947624.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (2673, 178, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1704700956320.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (2674, 178, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1704700961361.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (2675, 178, 3, 'vip', 'vip取号', '2', '/file/fileupload/1704700968585.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (2676, 178, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1704700974604.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (2677, 178, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1704700980196.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (2678, 178, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1704700987103.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (2679, 179, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (2680, 179, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (2681, 179, 3, 'info', '数据颜色', '1', '#B6437A', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (2682, 179, 3, 'icp', '备案颜色', '1', '#BFAFB0', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (2683, 179, 3, 'theme', '主题颜色', '1', '#B6437A', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (2684, 179, 3, 'assist', '辅助色', '1', '#B6437A', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (2685, 179, 3, 'mybg', '背景图', '2', '/file/fileupload/1704701538411.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (2686, 179, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1704701547156.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (2687, 179, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1704701552222.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (2688, 179, 3, 'vip', 'vip取号', '2', '/file/fileupload/1704701557359.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (2689, 179, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1704701564632.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (2690, 179, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1704701569245.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (2691, 179, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1704701581214.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (2692, 180, 1, 'bg', '背景大图', '2', '/file/fileupload/1704857529241.jpg', 100, 1, '', '1', 1, '2023-01-13 19:52:44', 1, '2023-02-02 11:58:16', 1), (2693, 180, 1, 'bszn', '办事指南', '2', '/file/fileupload/1704857562367.jpg', 100, 1, '', '4', 1, '2023-01-13 19:53:23', 1, '2023-02-04 12:02:10', 1), (2694, 180, 1, 'wypj', '我要评价', '2', '/file/fileupload/1704857567662.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:08', 1, '2023-01-13 19:54:08', 1), (2695, 180, 1, 'tsjy', '投诉建议', '2', '/file/fileupload/1704857571147.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:36', 1, '2023-01-13 19:54:36', 1), (2696, 180, 1, 'wsbs', '中心网站', '2', '/file/fileupload/1704857574255.jpg', 100, 1, '', '4', 1, '2023-01-13 19:56:24', 1, '2023-02-02 12:04:33', 1), (2697, 180, 1, 'gwzz', '岗位职责', '2', '/file/fileupload/1704857577907.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:00', 1, '2023-01-13 19:57:00', 1), (2698, 180, 1, 'gsgg', '公示公告', '2', '/file/fileupload/1704857582423.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:42', 1, '2023-01-13 19:57:42', 1), (2699, 180, 1, 'theme', '主题颜色', '1', '#0857E8', 100, 1, '1000', '7', 1, '2023-01-13 19:59:48', 1, '2023-01-13 19:59:48', 1), (2700, 180, 1, 'assist', '辅助色', '1', '#59D1FE', 100, 1, '1000', '8', 1, '2023-01-13 20:00:21', 1, '2023-01-13 20:00:21', 1), (2701, 180, 1, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-01-13 20:00:56', 1, '2023-01-13 20:00:56', 1), (2702, 180, 1, 'title', '内页title', '1', '#0857E8', 100, 1, '1000', '2', 1, '2023-01-13 20:01:59', 1, '2023-02-01 15:07:50', 1), (2703, 4, 2, 'theme', '主题色', '1', '#f52c25', 100, 1, '1000', '7', 1, '2023-01-14 10:01:54', 1, '2023-01-14 10:01:54', 1), (2704, 4, 2, 'assist', '辅助色', '1', '#f52c25', 100, 1, '1000', '8', 1, '2023-01-14 10:02:28', 1, '2023-01-14 10:02:28', 1), (2705, 4, 2, 'bg', '背景大图', '2', '/file/fileupload/1675408601196.jpg', 100, 1, '', '1', 1, '2023-01-14 10:03:00', 1, '2023-01-14 10:03:00', 1), (2706, 27, 5, 'bg', '背景大图', '2', '/file/fileupload/1675426240190.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (2707, 27, 5, 'theme', '主题颜色', '1', '#0857e8', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (2708, 27, 5, 'assist', '辅助颜色', '1', '#ff681e', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2023-02-01 15:33:09', 1), (2709, 27, 5, 'title', '标题颜色', '1', '#ffffff', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (2710, 27, 5, 'sjbt', '数据标题字体颜色', '1', '#777777', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-02-01 15:34:43', 1), (2711, 27, 5, 'shuju', '数据字体颜色', '1', '#0857e8', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-02-01 15:35:11', 1), (2712, 181, 5, 'bg', '背景大图', '2', '/file/fileupload/1704874270074.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (2713, 181, 5, 'theme', '主题颜色', '1', '#0857E8', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (2714, 181, 5, 'assist', '辅助颜色', '1', '#59D1FE', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2023-02-01 15:33:09', 1), (2715, 181, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (2716, 181, 5, 'sjbt', '数据标题', '1', '#777777', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (2717, 181, 5, 'shuju', '数据字体', '1', '#0857E8', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (2718, 182, 7, 'title_color', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-02 21:29:07', 1, '2023-11-28 14:20:25', 1), (2719, 182, 7, 'news_bg_color', '滚动新闻背景', '2', '/file/fileupload/1704935963229.jpg', 100, 1, '', '14', 1, '2023-02-02 21:29:57', 1, '2023-11-28 14:37:48', 1), (2720, 182, 7, 'news_text_color', '滚动新闻字体 颜色', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-02 21:30:36', 1, '2023-11-28 14:20:13', 1), (2721, 182, 7, 'xwbt', '新闻标题', '1', '#EFFE00', 100, 1, '1000', '5', 1, '2023-11-28 14:22:09', 1, '2023-11-28 14:20:13', 1), (2722, 182, 7, 'bottom_bg', '底部背景', '2', '/file/fileupload/1704935969327.jpg', 100, 1, '', '12', 1, '2023-11-28 14:36:59', 1, NULL, NULL), (2723, 182, 7, 'title_bg', 'title背景图', '2', '/file/fileupload/1704935973685.jpg', 100, 1, '', '11', 1, '2023-12-12 20:56:43', 1, NULL, NULL), (2794, 190, 4, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 14:20:08', 1, '2023-02-01 14:20:08', 1), (2795, 190, 4, 'theme', '主题颜色', '1', '#FFFFFF', 100, 1, '1000', '7', 1, '2023-02-01 14:20:55', 1, '2023-02-01 14:20:55', 1), (2796, 190, 4, 'assist', '辅助颜色', '1', '#FFFFFF', 100, 1, '1000', '8', 1, '2023-02-01 14:21:28', 1, '2023-02-01 14:21:28', 1), (2797, 190, 4, 'cx', '重新呼叫', '2', '/file/fileupload/1706061865561.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:14', 1, '2023-02-01 14:23:14', 1), (2798, 190, 4, 'pj', '我要评价', '2', '/file/fileupload/1706061871191.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:51', 1, '2023-02-01 14:23:51', 1), (2799, 190, 4, 'qh', '弃号', '2', '/file/fileupload/1706061874807.jpg', 100, 1, '', '4', 1, '2023-02-01 14:24:37', 1, '2023-02-01 14:24:37', 1), (2800, 190, 4, 'xz', '下一位', '2', '/file/fileupload/1706061878169.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:17', 1, '2023-02-01 14:25:17', 1), (2801, 190, 4, 'xj', '选叫', '2', '/file/fileupload/1706061882626.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:44', 1, '2023-02-01 14:25:44', 1), (2802, 190, 4, 'zy', '呼叫转移', '2', '/file/fileupload/1706061886331.jpg', 100, 1, '', '4', 1, '2023-02-01 14:26:18', 1, '2023-02-01 14:26:18', 1), (2803, 190, 4, 'bg', '背景图片', '2', '/file/fileupload/1706061892759.jpg', 100, 1, '', '1', 1, '2023-02-01 14:28:56', 1, '2023-02-01 14:39:47', 1), (2804, 190, 4, 'user', '用户背景', '2', '/file/fileupload/1706061904208.jpg', 100, 1, '', '10', 1, '2023-02-01 14:29:45', 1, '2023-04-03 16:15:41', 1), (2818, 0, 10, 'dykbcl', '空白材料', '2', '', 100, 1, '', '4', 1, '2024-03-12 10:10:40', 1, NULL, NULL), (2819, 0, 10, 'kstd', '快速填单', '2', '', 100, 1, '', '4', 1, '2024-03-12 10:11:24', 1, NULL, NULL), (2820, 192, 10, 'title-bg', '内页标题', '2', '/file/fileupload/1710224809772.jpg', 100, 1, '1', '11', 1, '2023-04-04 17:34:48', 1, '2024-03-12 10:11:48', 1), (2821, 192, 10, 'h1', '标题', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-09 17:23:52', 1, '2023-02-09 17:24:57', 1), (2822, 192, 10, 'theme', '主题色', '1', '#C5357B', 100, 1, '1000', '7', 1, '2023-02-09 17:26:29', 1, '2023-02-09 17:26:29', 1), (2823, 192, 10, 'assist', '辅助色', '1', '#FA8EC9', 100, 1, '1000', '8', 1, '2023-02-09 17:25:48', 1, '2023-02-09 17:25:48', 1), (2824, 192, 10, 'sjbt', '数据标题', '1', '#666666', 100, 1, '1000', '5', 1, '2023-02-09 17:26:55', 1, '2023-02-09 17:26:55', 1), (2825, 192, 10, 'bg', '背景大图', '2', '/file/fileupload/1710224814829.jpg', 100, 1, '', '1', 1, '2023-02-09 17:28:15', 1, '2023-02-09 17:28:15', 1), (2826, 192, 10, 'dykbcl', '空白材料', '2', '/file/fileupload/1710224818906.jpg', 100, 1, '', '4', 1, '2024-03-12 10:10:40', 1, NULL, NULL), (2827, 192, 10, 'kstd', '快速填单', '2', '/file/fileupload/1710224822939.jpg', 100, 1, '', '4', 1, '2024-03-12 10:11:24', 1, NULL, NULL), (2836, 194, 10, 'title-bg', '内页标题', '2', '/file/fileupload/1710225158781.jpg', 100, 1, '1', '11', 1, '2023-04-04 17:34:48', 1, '2024-03-12 10:11:48', 1), (2837, 194, 10, 'h1', '标题', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-09 17:23:52', 1, '2023-02-09 17:24:57', 1), (2838, 194, 10, 'theme', '主题色', '1', '#088B49', 100, 1, '1000', '7', 1, '2023-02-09 17:26:29', 1, '2023-02-09 17:26:29', 1), (2839, 194, 10, 'assist', '辅助色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-02-09 17:25:48', 1, '2023-02-09 17:25:48', 1), (2840, 194, 10, 'sjbt', '数据标题', '1', '#666666', 100, 1, '1000', '5', 1, '2023-02-09 17:26:55', 1, '2023-02-09 17:26:55', 1), (2841, 194, 10, 'bg', '背景大图', '2', '/file/fileupload/1710225162717.jpg', 100, 1, '', '1', 1, '2023-02-09 17:28:15', 1, '2023-02-09 17:28:15', 1), (2842, 194, 10, 'dykbcl', '空白材料', '2', '/file/fileupload/1710225166059.jpg', 100, 1, '', '4', 1, '2024-03-12 10:10:40', 1, NULL, NULL), (2843, 194, 10, 'kstd', '快速填单', '2', '/file/fileupload/1710225169203.jpg', 100, 1, '', '4', 1, '2024-03-12 10:11:24', 1, NULL, NULL), (2844, 195, 10, 'title-bg', '内页标题', '2', '/file/fileupload/1710225237277.jpg', 100, 1, '1', '11', 1, '2023-04-04 17:34:48', 1, '2024-03-12 10:11:48', 1), (2845, 195, 10, 'h1', '标题', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-09 17:23:52', 1, '2023-02-09 17:24:57', 1), (2846, 195, 10, 'theme', '主题色', '1', '#F3611B', 100, 1, '1000', '7', 1, '2023-02-09 17:26:29', 1, '2023-02-09 17:26:29', 1), (2847, 195, 10, 'assist', '辅助色', '1', '#F3A41B', 100, 1, '1000', '8', 1, '2023-02-09 17:25:48', 1, '2023-02-09 17:25:48', 1), (2848, 195, 10, 'sjbt', '数据标题', '1', '#666666', 100, 1, '1000', '5', 1, '2023-02-09 17:26:55', 1, '2023-02-09 17:26:55', 1), (2849, 195, 10, 'bg', '背景大图', '2', '/file/fileupload/1710225241713.jpg', 100, 1, '', '1', 1, '2023-02-09 17:28:15', 1, '2023-02-09 17:28:15', 1), (2850, 195, 10, 'dykbcl', '空白材料', '2', '/file/fileupload/1710225244614.jpg', 100, 1, '', '4', 1, '2024-03-12 10:10:40', 1, NULL, NULL), (2851, 195, 10, 'kstd', '快速填单', '2', '/file/fileupload/1710225248434.jpg', 100, 1, '', '4', 1, '2024-03-12 10:11:24', 1, NULL, NULL), (2852, 196, 10, 'title-bg', '内页标题', '2', '/file/fileupload/1710225310848.jpg', 100, 1, '1', '11', 1, '2023-04-04 17:34:48', 1, '2024-03-12 10:11:48', 1), (2853, 196, 10, 'h1', '标题', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-09 17:23:52', 1, '2023-02-09 17:24:57', 1), (2854, 196, 10, 'theme', '主题色', '1', '#B51017', 100, 1, '1000', '7', 1, '2023-02-09 17:26:29', 1, '2023-02-09 17:26:29', 1), (2855, 196, 10, 'assist', '辅助色', '1', '#FF9BA1', 100, 1, '1000', '8', 1, '2023-02-09 17:25:48', 1, '2023-02-09 17:25:48', 1), (2856, 196, 10, 'sjbt', '数据标题', '1', '#666666', 100, 1, '1000', '5', 1, '2023-02-09 17:26:55', 1, '2023-02-09 17:26:55', 1), (2857, 196, 10, 'bg', '背景大图', '2', '/file/fileupload/1710225314480.jpg', 100, 1, '', '1', 1, '2023-02-09 17:28:15', 1, '2023-02-09 17:28:15', 1), (2858, 196, 10, 'dykbcl', '空白材料', '2', '/file/fileupload/1710225318310.jpg', 100, 1, '', '4', 1, '2024-03-12 10:10:40', 1, NULL, NULL), (2859, 196, 10, 'kstd', '快速填单', '2', '/file/fileupload/1710225321861.jpg', 100, 1, '', '4', 1, '2024-03-12 10:11:24', 1, NULL, NULL), (2860, 197, 10, 'title-bg', '内页标题', '2', '/file/fileupload/1710225391994.jpg', 100, 1, '1', '11', 1, '2023-04-04 17:34:48', 1, '2024-03-12 10:11:48', 1), (2861, 197, 10, 'h1', '标题', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-09 17:23:52', 1, '2023-02-09 17:24:57', 1), (2862, 197, 10, 'theme', '主题色', '1', '#039290', 100, 1, '1000', '7', 1, '2023-02-09 17:26:29', 1, '2023-02-09 17:26:29', 1), (2863, 197, 10, 'assist', '辅助色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-02-09 17:25:48', 1, '2023-02-09 17:25:48', 1), (2864, 197, 10, 'sjbt', '数据标题', '1', '#666666', 100, 1, '1000', '5', 1, '2023-02-09 17:26:55', 1, '2023-02-09 17:26:55', 1), (2865, 197, 10, 'bg', '背景大图', '2', '/file/fileupload/1710225395196.jpg', 100, 1, '', '1', 1, '2023-02-09 17:28:15', 1, '2023-02-09 17:28:15', 1), (2866, 197, 10, 'dykbcl', '空白材料', '2', '/file/fileupload/1710225398175.jpg', 100, 1, '', '4', 1, '2024-03-12 10:10:40', 1, NULL, NULL), (2867, 197, 10, 'kstd', '快速填单', '2', '/file/fileupload/1710225401469.jpg', 100, 1, '', '4', 1, '2024-03-12 10:11:24', 1, NULL, NULL), (2897, 0, 3, 'infotit', '数据标题', '1', '', 100, 1, '', '5', 1, '2024-03-13 16:42:28', 1, NULL, NULL), (2912, 202, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (2913, 202, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (2914, 202, 3, 'info', '数据颜色', '1', '#039290', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (2915, 202, 3, 'icp', '备案颜色', '1', '#898989', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (2916, 202, 3, 'theme', '主题颜色', '1', '#039290', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (2917, 202, 3, 'assist', '辅助色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (2918, 202, 3, 'mybg', '背景图', '2', '/file/fileupload/1710492101458.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (2919, 202, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1710492105235.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1);
INSERT INTO `mortals_sys_skin_field` VALUES (2920, 202, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1710492109656.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (2921, 202, 3, 'vip', 'vip取号', '2', '/file/fileupload/1710492113598.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (2922, 202, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1710492116785.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (2923, 202, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1710492119911.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (2924, 202, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1710492123581.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (2925, 202, 3, 'infotit', '数据标题', '1', '#898989', 100, 1, '1000', '5', 1, '2024-03-13 16:42:28', 1, NULL, NULL), (2926, 203, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (2927, 203, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (2928, 203, 3, 'info', '数据颜色', '1', '#B51017', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (2929, 203, 3, 'icp', '备案颜色', '1', '#898989', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (2930, 203, 3, 'theme', '主题颜色', '1', '#B51017', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (2931, 203, 3, 'assist', '辅助色', '1', '#FF9BA1', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (2932, 203, 3, 'mybg', '背景图', '2', '/file/fileupload/1710492216054.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (2933, 203, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1710492219524.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (2934, 203, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1710492223180.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (2935, 203, 3, 'vip', 'vip取号', '2', '/file/fileupload/1710492226993.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (2936, 203, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1710492230155.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (2937, 203, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1710492234382.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (2938, 203, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1710492237296.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (2939, 203, 3, 'infotit', '数据标题', '1', '#898989', 100, 1, '1000', '5', 1, '2024-03-13 16:42:28', 1, NULL, NULL), (2940, 204, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (2941, 204, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (2942, 204, 3, 'info', '数据颜色', '1', '#F3611B', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (2943, 204, 3, 'icp', '备案颜色', '1', '#898989', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (2944, 204, 3, 'theme', '主题颜色', '1', '#F3611B', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (2945, 204, 3, 'assist', '辅助色', '1', '#F3A41B', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (2946, 204, 3, 'mybg', '背景图', '2', '/file/fileupload/1710492313792.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (2947, 204, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1710492317507.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (2948, 204, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1710492321069.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (2949, 204, 3, 'vip', 'vip取号', '2', '/file/fileupload/1710492334493.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (2950, 204, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1710492339932.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (2951, 204, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1710492344924.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (2952, 204, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1710492348952.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (2953, 204, 3, 'infotit', '数据标题', '1', '#898989', 100, 1, '1000', '5', 1, '2024-03-13 16:42:28', 1, NULL, NULL), (2954, 205, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (2955, 205, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (2956, 205, 3, 'info', '数据颜色', '1', '#088B49', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (2957, 205, 3, 'icp', '备案颜色', '1', '#898989', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (2958, 205, 3, 'theme', '主题颜色', '1', '#088B49', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (2959, 205, 3, 'assist', '辅助色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (2960, 205, 3, 'mybg', '背景图', '2', '/file/fileupload/1710492438081.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (2961, 205, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1710492443166.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (2962, 205, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1710492447275.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (2963, 205, 3, 'vip', 'vip取号', '2', '/file/fileupload/1710492451329.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (2964, 205, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1710492456972.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (2965, 205, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1710492460092.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (2966, 205, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1710492464353.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (2967, 205, 3, 'infotit', '数据标题', '1', '#898989', 100, 1, '1000', '5', 1, '2024-03-13 16:42:28', 1, NULL, NULL), (2996, 207, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (2997, 207, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (2998, 207, 3, 'info', '数据颜色', '1', '#C5357B', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (2999, 207, 3, 'icp', '备案颜色', '1', '#898989', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (3000, 207, 3, 'theme', '主题颜色', '1', '#C5357B', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (3001, 207, 3, 'assist', '辅助色', '1', '#FA8EC9', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (3002, 207, 3, 'mybg', '背景图', '2', '/file/fileupload/1710492652637.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (3003, 207, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1710492656868.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (3004, 207, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1710492660183.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (3005, 207, 3, 'vip', 'vip取号', '2', '/file/fileupload/1710492663425.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (3006, 207, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1710492666800.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (3007, 207, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1710492669703.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (3008, 207, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1710492673398.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (3009, 207, 3, 'infotit', '数据标题', '1', '#898989', 100, 1, '1000', '5', 1, '2024-03-13 16:42:28', 1, NULL, NULL), (3010, 208, 5, 'bg', '背景大图', '2', '/file/fileupload/1710826902501.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3011, 208, 5, 'theme', '主题颜色', '1', '#0857E8', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3012, 208, 5, 'assist', '辅助颜色', '1', '#32BAF0', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2023-02-01 15:33:09', 1), (3013, 208, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3014, 208, 5, 'sjbt', '数据标题', '1', '#787878', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3015, 208, 5, 'shuju', '数据字体', '1', '#0857E8', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3016, 209, 5, 'bg', '背景大图', '2', '/file/fileupload/1710827069938.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3017, 209, 5, 'theme', '主题颜色', '1', '#C5357B', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3018, 209, 5, 'assist', '辅助颜色', '1', '#FA8EC9', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2023-02-01 15:33:09', 1), (3019, 209, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3020, 209, 5, 'sjbt', '数据标题', '1', '#787878', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3021, 209, 5, 'shuju', '数据字体', '1', '#C5357B', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3022, 210, 5, 'bg', '背景大图', '2', '/file/fileupload/1710827368212.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3023, 210, 5, 'theme', '主题颜色', '1', '#B51017', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3024, 210, 5, 'assist', '辅助颜色', '1', '#FF9BA1', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2023-02-01 15:33:09', 1), (3025, 210, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3026, 210, 5, 'sjbt', '数据标题', '1', '#787878', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3027, 210, 5, 'shuju', '数据字体', '1', '#B51017', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3052, 213, 5, 'bg', '背景大图', '2', '/file/fileupload/1710828380662.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3053, 213, 5, 'theme', '主题颜色', '1', '#F3611B', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3054, 213, 5, 'assist', '辅助颜色', '1', '#F3A41B', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2023-02-01 15:33:09', 1), (3055, 213, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3056, 213, 5, 'sjbt', '数据标题', '1', '#787878', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3057, 213, 5, 'shuju', '数据字体', '1', '#F3611B', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3058, 214, 5, 'bg', '背景大图', '2', '/file/fileupload/1710828488818.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3059, 214, 5, 'theme', '主题颜色', '1', '#F7044E', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3060, 214, 5, 'assist', '辅助颜色', '1', '#FF8D60', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2023-02-01 15:33:09', 1), (3061, 214, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3062, 214, 5, 'sjbt', '数据标题', '1', '#787878', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3063, 214, 5, 'shuju', '数据字体', '1', '#F7044E', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3070, 212, 5, 'bg', '背景大图', '2', '/file/fileupload/1710829742529.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3071, 212, 5, 'theme', '主题颜色', '1', '#088B49', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3072, 212, 5, 'assist', '辅助颜色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2023-02-01 15:33:09', 1), (3073, 212, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3074, 212, 5, 'sjbt', '数据标题', '1', '#777777', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3075, 212, 5, 'shuju', '数据字体', '1', '#088B49', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3076, 199, 10, 'title-bg', '内页标题', '2', '/file/fileupload/1710225581974.jpg', 100, 1, '1', '11', 1, '2023-04-04 17:34:48', 1, '2024-03-12 10:11:48', 1), (3077, 199, 10, 'h1', '标题', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-09 17:23:52', 1, '2023-02-09 17:24:57', 1), (3078, 199, 10, 'theme', '主题色', '1', '#2A7CF6', 100, 1, '1000', '7', 1, '2023-02-09 17:26:29', 1, '2023-02-09 17:26:29', 1), (3079, 199, 10, 'assist', '辅助色', '1', '#32BAF0', 100, 1, '1000', '8', 1, '2023-02-09 17:25:48', 1, '2023-02-09 17:25:48', 1), (3080, 199, 10, 'sjbt', '数据标题', '1', '#666666', 100, 1, '1000', '5', 1, '2023-02-09 17:26:55', 1, '2023-02-09 17:26:55', 1), (3081, 199, 10, 'bg', '背景大图', '2', '/file/fileupload/1710225586154.jpg', 100, 1, '', '1', 1, '2023-02-09 17:28:15', 1, '2023-02-09 17:28:15', 1), (3082, 199, 10, 'dykbcl', '空白材料', '2', '/file/fileupload/1710225653549.jpg', 100, 1, '', '4', 1, '2024-03-12 10:10:40', 1, NULL, NULL), (3083, 199, 10, 'kstd', '快速填单', '2', '/file/fileupload/1710225656680.jpg', 100, 1, '', '4', 1, '2024-03-12 10:11:24', 1, NULL, NULL), (3098, 216, 8, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-03 11:38:14', 1, '2023-02-03 11:38:14', 1), (3099, 216, 8, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-03 11:39:05', 1, '2023-02-03 11:39:05', 1), (3100, 216, 8, 'assist', '辅助颜色', '1', '#32BAF0', 100, 1, '1000', '8', 1, '2023-02-03 11:39:39', 1, '2023-02-03 11:39:39', 1), (3101, 216, 8, 'theme', '主题颜色', '1', '#2A7CF6', 100, 1, '1000', '7', 1, '2023-02-03 11:40:04', 1, '2023-02-03 11:40:04', 1), (3102, 216, 8, 'bg', '背景图', '2', '/file/fileupload/1711346043470.jpg', 100, 1, '', '12', 1, '2023-02-03 11:40:40', 1, '2023-02-03 11:40:40', 1), (3103, 215, 5, 'bg', '背景大图', '2', '/file/fileupload/1710828556334.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3104, 215, 5, 'theme', '主题颜色', '1', '#039290', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3105, 215, 5, 'assist', '辅助颜色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2023-02-01 15:33:09', 1), (3106, 215, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3107, 215, 5, 'sjbt', '数据标题', '1', '#787878', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3108, 215, 5, 'shuju', '数据字体', '1', '#039290', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3109, 168, 1, 'bg', '背景大图', '2', '/file/fileupload/1704682339532.jpg', 100, 1, '', '1', 1, '2023-01-13 19:52:44', 1, '2023-02-02 11:58:16', 1), (3110, 168, 1, 'bszn', '办事指南', '2', '/file/fileupload/1704682222453.jpg', 100, 1, '', '4', 1, '2023-01-13 19:53:23', 1, '2023-02-04 12:02:10', 1), (3111, 168, 1, 'wypj', '我要评价', '2', '/file/fileupload/1704682226609.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:08', 1, '2023-01-13 19:54:08', 1), (3112, 168, 1, 'tsjy', '投诉建议', '2', '/file/fileupload/1704682232225.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:36', 1, '2023-01-13 19:54:36', 1), (3113, 168, 1, 'wsbs', '中心网站', '2', '/file/fileupload/1704682238291.jpg', 100, 1, '', '4', 1, '2023-01-13 19:56:24', 1, '2023-02-02 12:04:33', 1), (3114, 168, 1, 'gwzz', '岗位职责', '2', '/file/fileupload/1704682242342.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:00', 1, '2023-01-13 19:57:00', 1), (3115, 168, 1, 'gsgg', '公示公告', '2', '/file/fileupload/1704682246243.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:42', 1, '2023-01-13 19:57:42', 1), (3116, 168, 1, 'theme', '主题颜色', '1', '#088B49', 100, 1, '1000', '7', 1, '2023-01-13 19:59:48', 1, '2023-01-13 19:59:48', 1), (3117, 168, 1, 'assist', '辅助色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-01-13 20:00:21', 1, '2023-01-13 20:00:21', 1), (3118, 168, 1, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-01-13 20:00:56', 1, '2023-01-13 20:00:56', 1), (3119, 168, 1, 'title', '内页title', '1', '#088B49', 100, 1, '1000', '2', 1, '2023-01-13 20:01:59', 1, '2023-02-01 15:07:50', 1), (3120, 169, 1, 'bg', '背景大图', '2', '/file/fileupload/1704682780285.jpg', 100, 1, '', '1', 1, '2023-01-13 19:52:44', 1, '2023-02-02 11:58:16', 1), (3121, 169, 1, 'bszn', '办事指南', '2', '/file/fileupload/1704682795900.jpg', 100, 1, '', '4', 1, '2023-01-13 19:53:23', 1, '2023-02-04 12:02:10', 1), (3122, 169, 1, 'wypj', '我要评价', '2', '/file/fileupload/1704683221702.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:08', 1, '2023-01-13 19:54:08', 1), (3123, 169, 1, 'tsjy', '投诉建议', '2', '/file/fileupload/1704683230788.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:36', 1, '2023-01-13 19:54:36', 1), (3124, 169, 1, 'wsbs', '中心网站', '2', '/file/fileupload/1704683235138.jpg', 100, 1, '', '4', 1, '2023-01-13 19:56:24', 1, '2023-02-02 12:04:33', 1), (3125, 169, 1, 'gwzz', '岗位职责', '2', '/file/fileupload/1704683239409.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:00', 1, '2023-01-13 19:57:00', 1), (3126, 169, 1, 'gsgg', '公示公告', '2', '/file/fileupload/1704683243869.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:42', 1, '2023-01-13 19:57:42', 1), (3127, 169, 1, 'theme', '主题颜色', '1', '#F3611B', 100, 1, '1000', '7', 1, '2023-01-13 19:59:48', 1, '2023-01-13 19:59:48', 1), (3128, 169, 1, 'assist', '辅助色', '1', '#F3A41B', 100, 1, '1000', '8', 1, '2023-01-13 20:00:21', 1, '2023-01-13 20:00:21', 1), (3129, 169, 1, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-01-13 20:00:56', 1, '2023-01-13 20:00:56', 1), (3130, 169, 1, 'title', '内页title', '1', '#F3611B', 100, 1, '1000', '2', 1, '2023-01-13 20:01:59', 1, '2023-02-01 15:07:50', 1), (3131, 170, 1, 'bg', '背景大图', '2', '/file/fileupload/1704685485311.jpg', 100, 1, '', '1', 1, '2023-01-13 19:52:44', 1, '2023-02-02 11:58:16', 1), (3132, 170, 1, 'bszn', '办事指南', '2', '/file/fileupload/1704685460327.jpg', 100, 1, '', '4', 1, '2023-01-13 19:53:23', 1, '2023-02-04 12:02:10', 1), (3133, 170, 1, 'wypj', '我要评价', '2', '/file/fileupload/1704685463835.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:08', 1, '2023-01-13 19:54:08', 1), (3134, 170, 1, 'tsjy', '投诉建议', '2', '/file/fileupload/1704685469184.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:36', 1, '2023-01-13 19:54:36', 1), (3135, 170, 1, 'wsbs', '中心网站', '2', '/file/fileupload/1704685472445.jpg', 100, 1, '', '4', 1, '2023-01-13 19:56:24', 1, '2023-02-02 12:04:33', 1), (3136, 170, 1, 'gwzz', '岗位职责', '2', '/file/fileupload/1704685475842.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:00', 1, '2023-01-13 19:57:00', 1), (3137, 170, 1, 'gsgg', '公示公告', '2', '/file/fileupload/1704685479190.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:42', 1, '2023-01-13 19:57:42', 1), (3138, 170, 1, 'theme', '主题颜色', '1', '#039290', 100, 1, '1000', '7', 1, '2023-01-13 19:59:48', 1, '2023-01-13 19:59:48', 1), (3139, 170, 1, 'assist', '辅助色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-01-13 20:00:21', 1, '2023-01-13 20:00:21', 1), (3140, 170, 1, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-01-13 20:00:56', 1, '2023-01-13 20:00:56', 1), (3141, 170, 1, 'title', '内页title', '1', '#039290', 100, 1, '1000', '2', 1, '2023-01-13 20:01:59', 1, '2023-02-01 15:07:50', 1), (3153, 171, 1, 'bg', '背景大图', '2', '/file/fileupload/1704691713732.jpg', 100, 1, '', '1', 1, '2023-01-13 19:52:44', 1, '2023-02-02 11:58:16', 1), (3154, 171, 1, 'bszn', '办事指南', '2', '/file/fileupload/1704691600170.jpg', 100, 1, '', '4', 1, '2023-01-13 19:53:23', 1, '2023-02-04 12:02:10', 1), (3155, 171, 1, 'wypj', '我要评价', '2', '/file/fileupload/1704691604254.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:08', 1, '2023-01-13 19:54:08', 1), (3156, 171, 1, 'tsjy', '投诉建议', '2', '/file/fileupload/1704691610513.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:36', 1, '2023-01-13 19:54:36', 1), (3157, 171, 1, 'wsbs', '中心网站', '2', '/file/fileupload/1704691613973.jpg', 100, 1, '', '4', 1, '2023-01-13 19:56:24', 1, '2023-02-02 12:04:33', 1), (3158, 171, 1, 'gwzz', '岗位职责', '2', '/file/fileupload/1704691621626.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:00', 1, '2023-01-13 19:57:00', 1), (3159, 171, 1, 'gsgg', '公示公告', '2', '/file/fileupload/1704691625221.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:42', 1, '2023-01-13 19:57:42', 1), (3160, 171, 1, 'theme', '主题颜色', '1', '#B6437A', 100, 1, '1000', '7', 1, '2023-01-13 19:59:48', 1, '2023-01-13 19:59:48', 1), (3161, 171, 1, 'assist', '辅助色', '1', '#FA8EC9', 100, 1, '1000', '8', 1, '2023-01-13 20:00:21', 1, '2023-01-13 20:00:21', 1), (3162, 171, 1, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-01-13 20:00:56', 1, '2023-01-13 20:00:56', 1), (3163, 171, 1, 'title', '内页title', '1', '#B6437A', 100, 1, '1000', '2', 1, '2023-01-13 20:01:59', 1, '2023-02-01 15:07:50', 1), (3164, 172, 1, 'bg', '背景大图', '2', '/file/fileupload/1704691933188.jpg', 100, 1, '', '1', 1, '2023-01-13 19:52:44', 1, '2023-02-02 11:58:16', 1), (3165, 172, 1, 'bszn', '办事指南', '2', '/file/fileupload/1704691815644.jpg', 100, 1, '', '4', 1, '2023-01-13 19:53:23', 1, '2023-02-04 12:02:10', 1), (3166, 172, 1, 'wypj', '我要评价', '2', '/file/fileupload/1704691819491.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:08', 1, '2023-01-13 19:54:08', 1), (3167, 172, 1, 'tsjy', '投诉建议', '2', '/file/fileupload/1704691822924.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:36', 1, '2023-01-13 19:54:36', 1), (3168, 172, 1, 'wsbs', '中心网站', '2', '/file/fileupload/1704691826235.jpg', 100, 1, '', '4', 1, '2023-01-13 19:56:24', 1, '2023-02-02 12:04:33', 1), (3169, 172, 1, 'gwzz', '岗位职责', '2', '/file/fileupload/1704691830825.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:00', 1, '2023-01-13 19:57:00', 1), (3170, 172, 1, 'gsgg', '公示公告', '2', '/file/fileupload/1704691834384.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:42', 1, '2023-01-13 19:57:42', 1), (3171, 172, 1, 'theme', '主题颜色', '1', '#B51017', 100, 1, '1000', '7', 1, '2023-01-13 19:59:48', 1, '2023-01-13 19:59:48', 1), (3172, 172, 1, 'assist', '辅助色', '1', '#FF9BA1', 100, 1, '1000', '8', 1, '2023-01-13 20:00:21', 1, '2023-01-13 20:00:21', 1), (3173, 172, 1, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-01-13 20:00:56', 1, '2023-01-13 20:00:56', 1), (3174, 172, 1, 'title', '内页title', '1', '#B51017', 100, 1, '1000', '2', 1, '2023-01-13 20:01:59', 1, '2023-02-01 15:07:50', 1), (3186, 167, 1, 'bg', '背景大图', '2', '/file/fileupload/1704681933034.jpg', 100, 1, '', '1', 1, '2023-01-13 19:52:44', 1, '2023-02-02 11:58:16', 1), (3187, 167, 1, 'bszn', '办事指南', '2', '/file/fileupload/1704681944088.jpg', 100, 1, '', '4', 1, '2023-01-13 19:53:23', 1, '2023-02-04 12:02:10', 1), (3188, 167, 1, 'wypj', '我要评价', '2', '/file/fileupload/1704681950366.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:08', 1, '2023-01-13 19:54:08', 1), (3189, 167, 1, 'tsjy', '投诉建议', '2', '/file/fileupload/1704681953852.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:36', 1, '2023-01-13 19:54:36', 1), (3190, 167, 1, 'wsbs', '中心网站', '2', '/file/fileupload/1704681957457.jpg', 100, 1, '', '4', 1, '2023-01-13 19:56:24', 1, '2023-02-02 12:04:33', 1), (3191, 167, 1, 'gwzz', '岗位职责', '2', '/file/fileupload/1704681961698.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:00', 1, '2023-01-13 19:57:00', 1), (3192, 167, 1, 'gsgg', '公示公告', '2', '/file/fileupload/1704681965880.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:42', 1, '2023-01-13 19:57:42', 1), (3193, 167, 1, 'theme', '主题颜色', '1', '#FF1111', 100, 1, '1000', '7', 1, '2023-01-13 19:59:48', 1, '2023-01-13 19:59:48', 1), (3194, 167, 1, 'assist', '辅助色', '1', '#FF9B69', 100, 1, '1000', '8', 1, '2023-01-13 20:00:21', 1, '2023-01-13 20:00:21', 1), (3195, 167, 1, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-01-13 20:00:56', 1, '2023-01-13 20:00:56', 1), (3196, 167, 1, 'title', '内页title', '1', '#FF1111', 100, 1, '1000', '2', 1, '2023-01-13 20:01:59', 1, '2023-02-01 15:07:50', 1), (3197, 166, 1, 'bg', '背景大图', '2', '/file/fileupload/1704448870469.jpg', 100, 1, '', '1', 1, '2023-01-13 19:52:44', 1, '2023-02-02 11:58:16', 1), (3198, 166, 1, 'bszn', '办事指南', '2', '/file/fileupload/1704448441462.jpg', 100, 1, '', '4', 1, '2023-01-13 19:53:23', 1, '2023-02-04 12:02:10', 1), (3199, 166, 1, 'wypj', '我要评价', '2', '/file/fileupload/1704448445474.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:08', 1, '2023-01-13 19:54:08', 1), (3200, 166, 1, 'tsjy', '投诉建议', '2', '/file/fileupload/1704448448875.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:36', 1, '2023-01-13 19:54:36', 1), (3201, 166, 1, 'wsbs', '中心网站', '2', '/file/fileupload/1704448635874.jpg', 100, 1, '', '4', 1, '2023-01-13 19:56:24', 1, '2023-02-02 12:04:33', 1), (3202, 166, 1, 'gwzz', '岗位职责', '2', '/file/fileupload/1704448640741.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:00', 1, '2023-01-13 19:57:00', 1), (3203, 166, 1, 'gsgg', '公示公告', '2', '/file/fileupload/1704448645376.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:42', 1, '2023-01-13 19:57:42', 1), (3204, 166, 1, 'theme', '主题颜色', '1', '#F7044E', 100, 1, '1000', '7', 1, '2023-01-13 19:59:48', 1, '2023-01-13 19:59:48', 1), (3205, 166, 1, 'assist', '辅助色', '1', '#FF8D60', 100, 1, '1000', '8', 1, '2023-01-13 20:00:21', 1, '2023-01-13 20:00:21', 1), (3206, 166, 1, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-01-13 20:00:56', 1, '2023-01-13 20:00:56', 1), (3207, 166, 1, 'title', '内页title', '1', '#F7044E', 100, 1, '1000', '2', 1, '2023-01-13 20:01:59', 1, '2023-02-01 15:07:50', 1), (3208, 165, 4, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 14:20:08', 1, '2023-02-01 14:20:08', 1), (3209, 165, 4, 'theme', '主题颜色', '1', '#FFFFFF', 100, 1, '1000', '7', 1, '2023-02-01 14:20:55', 1, '2023-02-01 14:20:55', 1), (3210, 165, 4, 'assist', '辅助颜色', '1', '#FF8D60', 100, 1, '1000', '8', 1, '2023-02-01 14:21:28', 1, '2023-02-01 14:21:28', 1), (3211, 165, 4, 'cx', '重新呼叫', '2', '/file/fileupload/1704447766551.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:14', 1, '2023-02-01 14:23:14', 1), (3212, 165, 4, 'pj', '我要评价', '2', '/file/fileupload/1704447771560.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:51', 1, '2023-02-01 14:23:51', 1), (3213, 165, 4, 'qh', '弃号', '2', '/file/fileupload/1704447774858.jpg', 100, 1, '', '4', 1, '2023-02-01 14:24:37', 1, '2023-02-01 14:24:37', 1), (3214, 165, 4, 'xz', '下一位', '2', '/file/fileupload/1704447779367.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:17', 1, '2023-02-01 14:25:17', 1), (3215, 165, 4, 'xj', '选叫', '2', '/file/fileupload/1704447783773.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:44', 1, '2023-02-01 14:25:44', 1), (3216, 165, 4, 'zy', '呼叫转移', '2', '/file/fileupload/1704447789228.jpg', 100, 1, '', '4', 1, '2023-02-01 14:26:18', 1, '2023-02-01 14:26:18', 1), (3217, 165, 4, 'bg', '背景图片', '2', '/file/fileupload/1704447891889.jpg', 100, 1, '', '1', 1, '2023-02-01 14:28:56', 1, '2023-02-01 14:39:47', 1), (3218, 165, 4, 'user', '用户背景', '2', '/file/fileupload/1704447795068.jpg', 100, 1, '', '10', 1, '2023-02-01 14:29:45', 1, '2023-04-03 16:15:41', 1), (3219, 159, 4, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 14:20:08', 1, '2023-02-01 14:20:08', 1), (3220, 159, 4, 'theme', '主题颜色', '1', '#FFFFFF', 100, 1, '1000', '7', 1, '2023-02-01 14:20:55', 1, '2023-02-01 14:20:55', 1), (3221, 159, 4, 'assist', '辅助颜色', '1', '#FF9B69', 100, 1, '1000', '8', 1, '2023-02-01 14:21:28', 1, '2023-02-01 14:21:28', 1), (3222, 159, 4, 'cx', '重新呼叫', '2', '/file/fileupload/1704446226061.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:14', 1, '2023-02-01 14:23:14', 1), (3223, 159, 4, 'pj', '我要评价', '2', '/file/fileupload/1704445811207.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:51', 1, '2023-02-01 14:23:51', 1), (3224, 159, 4, 'qh', '弃号', '2', '/file/fileupload/1704445817823.jpg', 100, 1, '', '4', 1, '2023-02-01 14:24:37', 1, '2023-02-01 14:24:37', 1), (3225, 159, 4, 'xz', '下一位', '2', '/file/fileupload/1704445845061.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:17', 1, '2023-02-01 14:25:17', 1), (3226, 159, 4, 'xj', '选叫', '2', '/file/fileupload/1704445858778.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:44', 1, '2023-02-01 14:25:44', 1), (3227, 159, 4, 'zy', '呼叫转移', '2', '/file/fileupload/1704445871190.jpg', 100, 1, '', '4', 1, '2023-02-01 14:26:18', 1, '2023-02-01 14:26:18', 1), (3228, 159, 4, 'bg', '背景图片', '2', '/file/fileupload/1704445372722.jpg', 100, 1, '', '1', 1, '2023-02-01 14:28:56', 1, '2023-02-01 14:39:47', 1), (3229, 159, 4, 'user', '用户背景', '2', '/file/fileupload/1704446244080.jpg', 100, 1, '', '10', 1, '2023-02-01 14:29:45', 1, '2023-04-03 16:15:41', 1), (3230, 160, 4, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 14:20:08', 1, '2023-02-01 14:20:08', 1), (3231, 160, 4, 'theme', '主题颜色', '1', '#FFFFFF', 100, 1, '1000', '7', 1, '2023-02-01 14:20:55', 1, '2023-02-01 14:20:55', 1), (3232, 160, 4, 'assist', '辅助颜色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-02-01 14:21:28', 1, '2023-02-01 14:21:28', 1), (3233, 160, 4, 'cx', '重新呼叫', '2', '/file/fileupload/1704446290559.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:14', 1, '2023-02-01 14:23:14', 1), (3234, 160, 4, 'pj', '我要评价', '2', '/file/fileupload/1704446303495.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:51', 1, '2023-02-01 14:23:51', 1), (3235, 160, 4, 'qh', '弃号', '2', '/file/fileupload/1704446307158.jpg', 100, 1, '', '4', 1, '2023-02-01 14:24:37', 1, '2023-02-01 14:24:37', 1), (3236, 160, 4, 'xz', '下一位', '2', '/file/fileupload/1704446313076.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:17', 1, '2023-02-01 14:25:17', 1), (3237, 160, 4, 'xj', '选叫', '2', '/file/fileupload/1704446316730.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:44', 1, '2023-02-01 14:25:44', 1), (3238, 160, 4, 'zy', '呼叫转移', '2', '/file/fileupload/1704446326959.jpg', 100, 1, '', '4', 1, '2023-02-01 14:26:18', 1, '2023-02-01 14:26:18', 1), (3239, 160, 4, 'bg', '背景图片', '2', '/file/fileupload/1704446683069.jpg', 100, 1, '', '1', 1, '2023-02-01 14:28:56', 1, '2023-02-01 14:39:47', 1), (3240, 160, 4, 'user', '用户背景', '2', '/file/fileupload/1704446295085.jpg', 100, 1, '', '10', 1, '2023-02-01 14:29:45', 1, '2023-04-03 16:15:41', 1), (3241, 161, 4, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 14:20:08', 1, '2023-02-01 14:20:08', 1), (3242, 161, 4, 'theme', '主题颜色', '1', '#FFFFFF', 100, 1, '1000', '7', 1, '2023-02-01 14:20:55', 1, '2023-02-01 14:20:55', 1), (3243, 161, 4, 'assist', '辅助颜色', '1', '#F3A41B', 100, 1, '1000', '8', 1, '2023-02-01 14:21:28', 1, '2023-02-01 14:21:28', 1), (3244, 161, 4, 'cx', '重新呼叫', '2', '/file/fileupload/1704447149427.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:14', 1, '2023-02-01 14:23:14', 1), (3245, 161, 4, 'pj', '我要评价', '2', '/file/fileupload/1704447153028.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:51', 1, '2023-02-01 14:23:51', 1), (3246, 161, 4, 'qh', '弃号', '2', '/file/fileupload/1704447156874.jpg', 100, 1, '', '4', 1, '2023-02-01 14:24:37', 1, '2023-02-01 14:24:37', 1), (3247, 161, 4, 'xz', '下一位', '2', '/file/fileupload/1704447160790.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:17', 1, '2023-02-01 14:25:17', 1), (3248, 161, 4, 'xj', '选叫', '2', '/file/fileupload/1704447165155.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:44', 1, '2023-02-01 14:25:44', 1), (3249, 161, 4, 'zy', '呼叫转移', '2', '/file/fileupload/1704447169896.jpg', 100, 1, '', '4', 1, '2023-02-01 14:26:18', 1, '2023-02-01 14:26:18', 1), (3250, 161, 4, 'bg', '背景图片', '2', '/file/fileupload/1704447128263.jpg', 100, 1, '', '1', 1, '2023-02-01 14:28:56', 1, '2023-02-01 14:39:47', 1), (3251, 161, 4, 'user', '用户背景', '2', '/file/fileupload/1704447143122.jpg', 100, 1, '', '10', 1, '2023-02-01 14:29:45', 1, '2023-04-03 16:15:41', 1), (3252, 162, 4, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 14:20:08', 1, '2023-02-01 14:20:08', 1), (3253, 162, 4, 'theme', '主题颜色', '1', '#FFFFFF', 100, 1, '1000', '7', 1, '2023-02-01 14:20:55', 1, '2023-02-01 14:20:55', 1), (3254, 162, 4, 'assist', '辅助颜色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-02-01 14:21:28', 1, '2023-02-01 14:21:28', 1), (3255, 162, 4, 'cx', '重新呼叫', '2', '/file/fileupload/1704447259499.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:14', 1, '2023-02-01 14:23:14', 1), (3256, 162, 4, 'pj', '我要评价', '2', '/file/fileupload/1704447263576.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:51', 1, '2023-02-01 14:23:51', 1), (3257, 162, 4, 'qh', '弃号', '2', '/file/fileupload/1704447267393.jpg', 100, 1, '', '4', 1, '2023-02-01 14:24:37', 1, '2023-02-01 14:24:37', 1), (3258, 162, 4, 'xz', '下一位', '2', '/file/fileupload/1704447270933.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:17', 1, '2023-02-01 14:25:17', 1), (3259, 162, 4, 'xj', '选叫', '2', '/file/fileupload/1704447275051.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:44', 1, '2023-02-01 14:25:44', 1), (3260, 162, 4, 'zy', '呼叫转移', '2', '/file/fileupload/1704447280276.jpg', 100, 1, '', '4', 1, '2023-02-01 14:26:18', 1, '2023-02-01 14:26:18', 1), (3261, 162, 4, 'bg', '背景图片', '2', '/file/fileupload/1704447361256.jpg', 100, 1, '', '1', 1, '2023-02-01 14:28:56', 1, '2023-02-01 14:39:47', 1), (3262, 162, 4, 'user', '用户背景', '2', '/file/fileupload/1704447285468.jpg', 100, 1, '', '10', 1, '2023-02-01 14:29:45', 1, '2023-04-03 16:15:41', 1), (3285, 164, 4, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 14:20:08', 1, '2023-02-01 14:20:08', 1), (3286, 164, 4, 'theme', '主题颜色', '1', '#FFFFFF', 100, 1, '1000', '7', 1, '2023-02-01 14:20:55', 1, '2023-02-01 14:20:55', 1), (3287, 164, 4, 'assist', '辅助颜色', '1', '#FF9BA1', 100, 1, '1000', '8', 1, '2023-02-01 14:21:28', 1, '2023-02-01 14:21:28', 1), (3288, 164, 4, 'cx', '重新呼叫', '2', '/file/fileupload/1704447638603.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:14', 1, '2023-02-01 14:23:14', 1), (3289, 164, 4, 'pj', '我要评价', '2', '/file/fileupload/1704447643382.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:51', 1, '2023-02-01 14:23:51', 1), (3290, 164, 4, 'qh', '弃号', '2', '/file/fileupload/1704447646919.jpg', 100, 1, '', '4', 1, '2023-02-01 14:24:37', 1, '2023-02-01 14:24:37', 1), (3291, 164, 4, 'xz', '下一位', '2', '/file/fileupload/1704447650087.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:17', 1, '2023-02-01 14:25:17', 1), (3292, 164, 4, 'xj', '选叫', '2', '/file/fileupload/1704447655239.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:44', 1, '2023-02-01 14:25:44', 1), (3293, 164, 4, 'zy', '呼叫转移', '2', '/file/fileupload/1704447659926.jpg', 100, 1, '', '4', 1, '2023-02-01 14:26:18', 1, '2023-02-01 14:26:18', 1), (3294, 164, 4, 'bg', '背景图片', '2', '/file/fileupload/1711358688560.jpg', 100, 1, '', '1', 1, '2023-02-01 14:28:56', 1, '2023-02-01 14:39:47', 1), (3295, 164, 4, 'user', '用户背景', '2', '/file/fileupload/1704447664050.jpg', 100, 1, '', '10', 1, '2023-02-01 14:29:45', 1, '2023-04-03 16:15:41', 1), (3296, 163, 4, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 14:20:08', 1, '2023-02-01 14:20:08', 1), (3297, 163, 4, 'theme', '主题颜色', '1', '#FFFFFF', 100, 1, '1000', '7', 1, '2023-02-01 14:20:55', 1, '2023-02-01 14:20:55', 1), (3298, 163, 4, 'assist', '辅助颜色', '1', '#FA8EC9', 100, 1, '1000', '8', 1, '2023-02-01 14:21:28', 1, '2023-02-01 14:21:28', 1), (3299, 163, 4, 'cx', '重新呼叫', '2', '/file/fileupload/1704447444871.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:14', 1, '2023-02-01 14:23:14', 1), (3300, 163, 4, 'pj', '我要评价', '2', '/file/fileupload/1704447448433.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:51', 1, '2023-02-01 14:23:51', 1), (3301, 163, 4, 'qh', '弃号', '2', '/file/fileupload/1704447453515.jpg', 100, 1, '', '4', 1, '2023-02-01 14:24:37', 1, '2023-02-01 14:24:37', 1), (3302, 163, 4, 'xz', '下一位', '2', '/file/fileupload/1704447458368.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:17', 1, '2023-02-01 14:25:17', 1), (3303, 163, 4, 'xj', '选叫', '2', '/file/fileupload/1704447462270.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:44', 1, '2023-02-01 14:25:44', 1), (3304, 163, 4, 'zy', '呼叫转移', '2', '/file/fileupload/1704447466685.jpg', 100, 1, '', '4', 1, '2023-02-01 14:26:18', 1, '2023-02-01 14:26:18', 1), (3305, 163, 4, 'bg', '背景图片', '2', '/file/fileupload/1711358909354.jpg', 100, 1, '', '1', 1, '2023-02-01 14:28:56', 1, '2023-02-01 14:39:47', 1), (3306, 163, 4, 'user', '用户背景', '2', '/file/fileupload/1704447473023.jpg', 100, 1, '', '10', 1, '2023-02-01 14:29:45', 1, '2023-04-03 16:15:41', 1), (3333, 200, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (3334, 200, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (3335, 200, 3, 'info', '数据颜色', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (3336, 200, 3, 'icp', '备案颜色', '1', '#FFFFFF', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (3337, 200, 3, 'theme', '主题颜色', '1', '#2A7CF6', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (3338, 200, 3, 'assist', '辅助色', '1', '#32BAF0', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (3339, 200, 3, 'mybg', '背景图', '2', '/file/fileupload/1712800927384.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (3340, 200, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1710227077583.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (3341, 200, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1710227082691.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (3342, 200, 3, 'vip', 'vip取号', '2', '/file/fileupload/1710227087182.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (3343, 200, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1710227092079.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (3344, 200, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1710227096384.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (3345, 200, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1710227104138.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (3346, 0, 1, 'rzsx', '入驻事项', '2', '', 100, 1, '', '4', 1, '2024-05-08 16:06:21', 1, NULL, NULL), (3347, 191, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (3348, 191, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (3349, 191, 3, 'info', '数据颜色', '1', '#333333', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (3350, 191, 3, 'icp', '备案颜色', '1', '#85AFF0', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (3351, 191, 3, 'theme', '主题颜色', '1', '#0857E8', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (3352, 191, 3, 'assist', '辅助色', '1', '#0B58E6', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (3353, 191, 3, 'mybg', '背景图', '2', '/file/fileupload/1712716899999.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (3354, 191, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1706062705743.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (3355, 191, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1706062716210.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (3356, 191, 3, 'vip', 'vip取号', '2', '/file/fileupload/1706062721675.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (3357, 191, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1706062726614.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (3358, 191, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1706062730938.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (3359, 191, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1706062745038.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (3360, 193, 10, 'title-bg', '内页标题', '2', '/file/fileupload/1710224972373.jpg', 100, 1, '1', '11', 1, '2023-04-04 17:34:48', 1, '2024-03-12 10:11:48', 1), (3361, 193, 10, 'h1', '标题', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-09 17:23:52', 1, '2023-02-09 17:24:57', 1), (3362, 193, 10, 'theme', '主题色', '1', '#F7044E', 100, 1, '1000', '7', 1, '2023-02-09 17:26:29', 1, '2023-02-09 17:26:29', 1), (3363, 193, 10, 'assist', '辅助色', '1', '#FF8D60', 100, 1, '1000', '8', 1, '2023-02-09 17:25:48', 1, '2023-02-09 17:25:48', 1), (3364, 193, 10, 'sjbt', '数据标题', '1', '#666666', 100, 1, '1000', '5', 1, '2023-02-09 17:26:55', 1, '2023-02-09 17:26:55', 1), (3365, 193, 10, 'bg', '背景大图', '2', '/file/fileupload/1735289535345.jpg', 100, 1, '', '1', 1, '2023-02-09 17:28:15', 1, '2023-02-09 17:28:15', 1), (3366, 193, 10, 'dykbcl', '空白材料', '2', '/file/fileupload/1735289541281.jpg', 100, 1, '', '4', 1, '2024-03-12 10:10:40', 1, NULL, NULL), (3367, 193, 10, 'kstd', '快速填单', '2', '/file/fileupload/1735289547161.jpg', 100, 1, '', '4', 1, '2024-03-12 10:11:24', 1, NULL, NULL), (3368, 120, 9, 'h1', '标题', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-09 17:12:29', 1, '2023-02-09 17:12:29', 1), (3369, 120, 9, 'ksck', '快速查看', '2', '/file/fileupload/1735289594359.jpg', 100, 1, '', '4', 1, '2023-02-09 17:13:01', 1, '2023-02-09 17:13:01', 1), (3370, 120, 9, 'theme', '主题色', '1', '#F7044E', 100, 1, '1000', '7', 1, '2023-02-09 17:13:38', 1, '2023-02-09 17:13:38', 1), (3371, 120, 9, 'assist', '辅助色', '1', '#FF8D60', 100, 1, '1000', '8', 1, '2023-02-09 17:13:55', 1, '2023-02-09 17:13:55', 1), (3372, 120, 9, 'bg', '背景大图', '2', '/file/fileupload/1735289598529.jpg', 100, 1, '', '1', 1, '2023-02-09 17:15:12', 1, '2023-02-09 17:15:12', 1), (3373, 120, 9, 'title-bg', '内页标题', '2', '/file/fileupload/1702381029279.jpg', 100, 1, '', '11', 1, '2023-04-04 17:35:28', 1, '2023-04-04 17:35:28', 1), (3374, 120, 9, 'sjbt', '数据标题', '1', '#666666', 100, 1, '1000', '5', 1, '2023-04-04 17:36:13', 1, '2023-04-04 17:36:13', 1), (3375, 128, 7, 'title_color', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-02 21:29:07', 1, '2023-11-28 14:20:25', 1), (3376, 128, 7, 'news_bg_color', '滚动新闻背景', '2', '/file/fileupload/1735289664406.jpg', 100, 1, '', '14', 1, '2023-02-02 21:29:57', 1, '2023-11-28 14:37:48', 1), (3377, 128, 7, 'news_text_color', '滚动新闻字体 颜色', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-02 21:30:36', 1, '2023-11-28 14:20:13', 1), (3378, 128, 7, 'xwbt', '新闻标题', '1', '#EFFE00', 100, 1, '1000', '5', 1, '2023-11-28 14:22:09', 1, '2023-11-28 14:20:13', 1), (3379, 128, 7, 'bottom_bg', '底部背景', '2', '/file/fileupload/1735289671706.jpg', 100, 1, '', '12', 1, '2023-11-28 14:36:59', 1, NULL, NULL), (3380, 128, 7, 'title_bg', 'title背景图', '2', '/file/fileupload/1735289658289.jpg', 100, 1, '', '11', 1, '2023-12-12 20:56:43', 1, NULL, NULL), (3381, 112, 14, 'bg', '背景大图', '2', '/file/fileupload/1735289737608.jpg', 100, 1, '', '1', 1, '2023-12-12 17:57:45', 1, NULL, NULL), (3382, 112, 14, 'title_color', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-12-12 17:58:08', 1, NULL, NULL), (3383, 112, 14, 'title_color', '姓名字体', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-12-12 17:58:39', 1, '2023-12-12 18:24:36', 1), (3384, 112, 14, 'name_bg_color', '姓名背景', '1', '#FF0000', 100, 1, '1000', '13', 1, '2023-12-12 17:59:12', 1, '2023-12-12 18:24:28', 1), (3385, 119, 14, 'bg', '背景大图', '2', '/file/fileupload/1735289801535.jpg', 100, 1, '', '1', 1, '2023-12-12 17:57:45', 1, NULL, NULL), (3386, 119, 14, 'title_color', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-12-12 17:58:08', 1, NULL, NULL), (3387, 119, 14, 'name_tv_color', '姓名字体', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-12-12 17:58:39', 1, '2023-12-12 18:24:36', 1), (3388, 119, 14, 'name_bg_color', '姓名背景', '1', '#FF1111', 100, 1, '1000', '13', 1, '2023-12-12 17:59:12', 1, '2023-12-12 18:24:28', 1), (3389, 126, 9, 'h1', '标题', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-09 17:12:29', 1, '2023-02-09 17:12:29', 1), (3390, 126, 9, 'ksck', '快速查看', '2', '/file/fileupload/1735289855736.jpg', 100, 1, '', '4', 1, '2023-02-09 17:13:01', 1, '2023-02-09 17:13:01', 1), (3391, 126, 9, 'theme', '主题色', '1', '#FF1111', 100, 1, '1000', '7', 1, '2023-02-09 17:13:38', 1, '2023-02-09 17:13:38', 1), (3392, 126, 9, 'assist', '辅助色', '1', '#FF9B69', 100, 1, '1000', '8', 1, '2023-02-09 17:13:55', 1, '2023-02-09 17:13:55', 1), (3393, 126, 9, 'bg', '背景大图', '2', '/file/fileupload/1735289846604.jpg', 100, 1, '', '1', 1, '2023-02-09 17:15:12', 1, '2023-02-09 17:15:12', 1), (3394, 126, 9, 'title-bg', '内页标题', '2', '/file/fileupload/1702383353353.jpg', 100, 1, '', '11', 1, '2023-04-04 17:35:28', 1, '2023-04-04 17:35:28', 1), (3395, 126, 9, 'sjbt', '数据标题', '1', '#666666', 100, 1, '1000', '5', 1, '2023-04-04 17:36:13', 1, '2023-04-04 17:36:13', 1), (3396, 198, 10, 'title-bg', '内页标题', '2', '/file/fileupload/1710225483766.jpg', 100, 1, '1', '11', 1, '2023-04-04 17:34:48', 1, '2024-03-12 10:11:48', 1), (3397, 198, 10, 'h1', '标题', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-09 17:23:52', 1, '2023-02-09 17:24:57', 1), (3398, 198, 10, 'theme', '主题色', '1', '#FF1111', 100, 1, '1000', '7', 1, '2023-02-09 17:26:29', 1, '2023-02-09 17:26:29', 1), (3399, 198, 10, 'assist', '辅助色', '1', '#FF9B69', 100, 1, '1000', '8', 1, '2023-02-09 17:25:48', 1, '2023-02-09 17:25:48', 1), (3400, 198, 10, 'sjbt', '数据标题', '1', '#666666', 100, 1, '1000', '5', 1, '2023-02-09 17:26:55', 1, '2023-02-09 17:26:55', 1), (3401, 198, 10, 'bg', '背景大图', '2', '/file/fileupload/1735289902035.jpg', 100, 1, '', '1', 1, '2023-02-09 17:28:15', 1, '2023-02-09 17:28:15', 1), (3402, 198, 10, 'dykbcl', '空白材料', '2', '/file/fileupload/1710225490739.jpg', 100, 1, '', '4', 1, '2024-03-12 10:10:40', 1, NULL, NULL), (3403, 198, 10, 'kstd', '快速填单', '2', '/file/fileupload/1710225493964.jpg', 100, 1, '', '4', 1, '2024-03-12 10:11:24', 1, NULL, NULL), (3416, 217, 1, 'bg', '背景大图', '2', '/file/fileupload/1735291270253.jpg', 100, 1, '', '1', 1, '2023-01-13 19:52:44', 1, '2023-02-02 11:58:16', 1), (3417, 217, 1, 'bszn', '办事指南', '2', '/file/fileupload/1735291288398.jpg', 100, 1, '', '4', 1, '2023-01-13 19:53:23', 1, '2023-02-04 12:02:10', 1), (3418, 217, 1, 'wypj', '我要评价', '2', '/file/fileupload/1735291293832.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:08', 1, '2023-01-13 19:54:08', 1), (3419, 217, 1, 'tsjy', '投诉建议', '2', '/file/fileupload/1735291298879.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:36', 1, '2023-01-13 19:54:36', 1), (3420, 217, 1, 'wsbs', '中心网站', '2', '/file/fileupload/1735291303179.jpg', 100, 1, '', '4', 1, '2023-01-13 19:56:24', 1, '2023-02-02 12:04:33', 1), (3421, 217, 1, 'gwzz', '岗位职责', '2', '/file/fileupload/1735291307572.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:00', 1, '2023-01-13 19:57:00', 1), (3422, 217, 1, 'gsgg', '公示公告', '2', '/file/fileupload/1735291317207.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:42', 1, '2023-01-13 19:57:42', 1), (3423, 217, 1, 'theme', '主题颜色', '1', '#F7044E', 100, 1, '1000', '7', 1, '2023-01-13 19:59:48', 1, '2023-01-13 19:59:48', 1), (3424, 217, 1, 'assist', '辅助色', '1', '#FF8D60', 100, 1, '1000', '8', 1, '2023-01-13 20:00:21', 1, '2023-01-13 20:00:21', 1), (3425, 217, 1, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-01-13 20:00:56', 1, '2023-01-13 20:00:56', 1), (3426, 217, 1, 'title', '内页title', '1', '#F7044E', 100, 1, '1000', '2', 1, '2023-01-13 20:01:59', 1, '2023-02-01 15:07:50', 1), (3427, 217, 1, 'rzsx', '入驻事项', '2', '/file/fileupload/1735291312795.jpg', 100, 1, '', '4', 1, '2024-05-08 16:06:21', 1, NULL, NULL), (3428, 218, 1, 'bg', '背景大图', '2', '/file/fileupload/1735291448111.jpg', 100, 1, '', '1', 1, '2023-01-13 19:52:44', 1, '2023-02-02 11:58:16', 1), (3429, 218, 1, 'bszn', '办事指南', '2', '/file/fileupload/1735291408943.jpg', 100, 1, '', '4', 1, '2023-01-13 19:53:23', 1, '2023-02-04 12:02:10', 1), (3430, 218, 1, 'wypj', '我要评价', '2', '/file/fileupload/1735291413119.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:08', 1, '2023-01-13 19:54:08', 1), (3431, 218, 1, 'tsjy', '投诉建议', '2', '/file/fileupload/1735291419111.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:36', 1, '2023-01-13 19:54:36', 1), (3432, 218, 1, 'wsbs', '中心网站', '2', '/file/fileupload/1735291423460.jpg', 100, 1, '', '4', 1, '2023-01-13 19:56:24', 1, '2023-02-02 12:04:33', 1), (3433, 218, 1, 'gwzz', '岗位职责', '2', '/file/fileupload/1735291428552.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:00', 1, '2023-01-13 19:57:00', 1), (3434, 218, 1, 'gsgg', '公示公告', '2', '/file/fileupload/1735291433111.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:42', 1, '2023-01-13 19:57:42', 1), (3435, 218, 1, 'theme', '主题颜色', '1', '#FF1111', 100, 1, '1000', '7', 1, '2023-01-13 19:59:48', 1, '2023-01-13 19:59:48', 1), (3436, 218, 1, 'assist', '辅助色', '1', '#FF9B69', 100, 1, '1000', '8', 1, '2023-01-13 20:00:21', 1, '2023-01-13 20:00:21', 1), (3437, 218, 1, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-01-13 20:00:56', 1, '2023-01-13 20:00:56', 1), (3438, 218, 1, 'title', '内页title', '1', '#FF1111', 100, 1, '1000', '2', 1, '2023-01-13 20:01:59', 1, '2023-02-01 15:07:50', 1), (3439, 218, 1, 'rzsx', '入驻事项', '2', '/file/fileupload/1735291437630.jpg', 100, 1, '', '4', 1, '2024-05-08 16:06:21', 1, NULL, NULL), (3458, 219, 5, 'bg', '背景大图', '2', '/file/fileupload/1735291603225.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3459, 219, 5, 'theme', '主题颜色', '1', '#F7044E', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3460, 219, 5, 'assist', '辅助颜色', '1', '#FFC4CE', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2024-03-25 15:10:17', 1), (3461, 219, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3462, 219, 5, 'sjbt', '数据标题', '1', '#000000', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3463, 219, 5, 'shuju', '数据字体', '1', '#F7044E', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3464, 220, 5, 'bg', '背景大图', '2', '/file/fileupload/1735291805432.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3465, 220, 5, 'theme', '主题颜色', '1', '#F7044E', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3466, 220, 5, 'assist', '辅助颜色', '1', '#FFC4CE', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2024-03-25 15:10:17', 1), (3467, 220, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3468, 220, 5, 'sjbt', '数据标题', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3469, 220, 5, 'shuju', '数据字体', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3481, 221, 4, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 14:20:08', 1, '2023-02-01 14:20:08', 1), (3482, 221, 4, 'theme', '主题颜色', '1', '#FFFFFF', 100, 1, '1000', '7', 1, '2023-02-01 14:20:55', 1, '2023-02-01 14:20:55', 1), (3483, 221, 4, 'assist', '辅助颜色', '1', '#FF8D60', 100, 1, '1000', '8', 1, '2023-02-01 14:21:28', 1, '2023-02-01 14:21:28', 1), (3484, 221, 4, 'cx', '重新呼叫', '2', '/file/fileupload/1735291866116.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:14', 1, '2023-02-01 14:23:14', 1), (3485, 221, 4, 'pj', '我要评价', '2', '/file/fileupload/1735291873008.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:51', 1, '2023-02-01 14:23:51', 1), (3486, 221, 4, 'qh', '弃号', '2', '/file/fileupload/1735291877243.jpg', 100, 1, '', '4', 1, '2023-02-01 14:24:37', 1, '2023-02-01 14:24:37', 1), (3487, 221, 4, 'xz', '下一位', '2', '/file/fileupload/1735291881296.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:17', 1, '2023-02-01 14:25:17', 1), (3488, 221, 4, 'xj', '选叫', '2', '/file/fileupload/1735291886026.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:44', 1, '2023-02-01 14:25:44', 1), (3489, 221, 4, 'zy', '呼叫转移', '2', '/file/fileupload/1735291890558.jpg', 100, 1, '', '4', 1, '2023-02-01 14:26:18', 1, '2023-02-01 14:26:18', 1), (3490, 221, 4, 'bg', '背景图片', '2', '/file/fileupload/1735291908715.jpg', 100, 1, '', '1', 1, '2023-02-01 14:28:56', 1, '2023-02-01 14:39:47', 1), (3491, 221, 4, 'user', '用户背景', '2', '/file/fileupload/1735291898854.jpg', 100, 1, '', '10', 1, '2023-02-01 14:29:45', 1, '2023-04-03 16:15:41', 1), (3503, 222, 4, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 14:20:08', 1, '2023-02-01 14:20:08', 1), (3504, 222, 4, 'theme', '主题颜色', '1', '#FFFFFF', 100, 1, '1000', '7', 1, '2023-02-01 14:20:55', 1, '2023-02-01 14:20:55', 1), (3505, 222, 4, 'assist', '辅助颜色', '1', '#FF9B69', 100, 1, '1000', '8', 1, '2023-02-01 14:21:28', 1, '2023-02-01 14:21:28', 1), (3506, 222, 4, 'cx', '重新呼叫', '2', '/file/fileupload/1735292029027.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:14', 1, '2023-02-01 14:23:14', 1), (3507, 222, 4, 'pj', '我要评价', '2', '/file/fileupload/1735292032942.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:51', 1, '2023-02-01 14:23:51', 1), (3508, 222, 4, 'qh', '弃号', '2', '/file/fileupload/1735292037349.jpg', 100, 1, '', '4', 1, '2023-02-01 14:24:37', 1, '2023-02-01 14:24:37', 1), (3509, 222, 4, 'xz', '下一位', '2', '/file/fileupload/1735292041515.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:17', 1, '2023-02-01 14:25:17', 1), (3510, 222, 4, 'xj', '选叫', '2', '/file/fileupload/1735292046119.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:44', 1, '2023-02-01 14:25:44', 1), (3511, 222, 4, 'zy', '呼叫转移', '2', '/file/fileupload/1735292055673.jpg', 100, 1, '', '4', 1, '2023-02-01 14:26:18', 1, '2023-02-01 14:26:18', 1), (3512, 222, 4, 'bg', '背景图片', '2', '/file/fileupload/1735292071042.jpg', 100, 1, '', '1', 1, '2023-02-01 14:28:56', 1, '2023-02-01 14:39:47', 1), (3513, 222, 4, 'user', '用户背景', '2', '/file/fileupload/1735292061155.jpg', 100, 1, '', '10', 1, '2023-02-01 14:29:45', 1, '2023-04-03 16:15:41', 1), (3514, 223, 2, 'theme', '主题色', '1', '#007BFF', 100, 1, '1000', '7', 1, '2023-01-14 10:01:54', 1, '2023-01-14 10:01:54', 1), (3515, 223, 2, 'assist', '辅助色', '1', '#F7044E', 100, 1, '1000', '8', 1, '2023-01-14 10:02:28', 1, '2023-01-14 10:02:28', 1), (3516, 223, 2, 'bg', '背景大图', '2', '/file/fileupload/1735438783914.jpg', 100, 1, '', '1', 1, '2023-01-14 10:03:00', 1, '2023-01-14 10:03:00', 1), (3517, 224, 2, 'theme', '主题色', '1', '#2A7CF6', 100, 1, '1000', '7', 1, '2023-01-14 10:01:54', 1, '2023-01-14 10:01:54', 1), (3518, 224, 2, 'assist', '辅助色', '1', '#FF1111', 100, 1, '1000', '8', 1, '2023-01-14 10:02:28', 1, '2023-01-14 10:02:28', 1), (3519, 224, 2, 'bg', '背景大图', '2', '/file/fileupload/1735438889524.jpg', 100, 1, '', '1', 1, '2023-01-14 10:03:00', 1, '2023-01-14 10:03:00', 1), (3534, 225, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (3535, 225, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (3536, 225, 3, 'info', '数据颜色', '1', '#F7044E', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (3537, 225, 3, 'icp', '备案颜色', '1', '#BFAFB0', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (3538, 225, 3, 'theme', '主题颜色', '1', '#F7044E', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (3539, 225, 3, 'assist', '辅助色', '1', '#F7044E', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (3540, 225, 3, 'mybg', '背景图', '2', '/file/fileupload/1735439021519.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (3541, 225, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1735439029477.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (3542, 225, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1735439035356.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (3543, 225, 3, 'vip', 'vip取号', '2', '/file/fileupload/1735439045272.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (3544, 225, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1735439050969.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (3545, 225, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1735439056531.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (3546, 225, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1735439067905.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (3547, 225, 3, 'infotit', '数据标题', '1', '#F7044E', 100, 1, '1000', '5', 1, '2024-03-13 16:42:28', 1, NULL, NULL), (3548, 226, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (3549, 226, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (3550, 226, 3, 'info', '数据颜色', '1', '#FF1111', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (3551, 226, 3, 'icp', '备案颜色', '1', '#BFAFB0', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (3552, 226, 3, 'theme', '主题颜色', '1', '#FF1111', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (3553, 226, 3, 'assist', '辅助色', '1', '#FF1111', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (3554, 226, 3, 'mybg', '背景图', '2', '/file/fileupload/1735439325997.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (3555, 226, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1735439341178.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (3556, 226, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1735439349270.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (3557, 226, 3, 'vip', 'vip取号', '2', '/file/fileupload/1735439355564.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (3558, 226, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1735439361266.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (3559, 226, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1735439367909.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (3560, 226, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1735439379007.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (3561, 226, 3, 'infotit', '数据标题', '1', '#FF1111', 100, 1, '1000', '5', 1, '2024-03-13 16:42:28', 1, NULL, NULL), (3562, 206, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (3563, 206, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (3564, 206, 3, 'info', '数据颜色', '1', '#F7044E', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (3565, 206, 3, 'icp', '备案颜色', '1', '#898989', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (3566, 206, 3, 'theme', '主题颜色', '1', '#F7044E', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (3567, 206, 3, 'assist', '辅助色', '1', '#FF8D60', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (3568, 206, 3, 'mybg', '背景图', '2', '/file/fileupload/1735521843479.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (3569, 206, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1710492551978.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (3570, 206, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1710492555588.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (3571, 206, 3, 'vip', 'vip取号', '2', '/file/fileupload/1710492558876.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (3572, 206, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1710492561782.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (3573, 206, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1710492566949.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (3574, 206, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1735521850522.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (3575, 206, 3, 'infotit', '数据标题', '1', '#898989', 100, 1, '1000', '5', 1, '2024-03-13 16:42:28', 1, NULL, NULL), (3576, 201, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (3577, 201, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (3578, 201, 3, 'info', '数据颜色', '1', '#FF1111', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (3579, 201, 3, 'icp', '备案颜色', '1', '#898989', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (3580, 201, 3, 'theme', '主题颜色', '1', '#FF1111', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (3581, 201, 3, 'assist', '辅助色', '1', '#FF9B69', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (3582, 201, 3, 'mybg', '背景图', '2', '/file/fileupload/1735521903988.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (3583, 201, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1735521913097.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (3584, 201, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1735521917892.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (3585, 201, 3, 'vip', 'vip取号', '2', '/file/fileupload/1735521922186.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (3586, 201, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1735521926375.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1);
INSERT INTO `mortals_sys_skin_field` VALUES (3587, 201, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1735521930700.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (3588, 201, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1735521936398.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (3589, 201, 3, 'infotit', '数据标题', '1', '#898989', 100, 1, '1000', '5', 1, '2024-03-13 16:42:28', 1, NULL, NULL), (3590, 211, 5, 'bg', '背景大图', '2', '/file/fileupload/1735522004841.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3591, 211, 5, 'theme', '主题颜色', '1', '#FF1111', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3592, 211, 5, 'assist', '辅助颜色', '1', '#FF9B69', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2023-02-01 15:33:09', 1), (3593, 211, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3594, 211, 5, 'sjbt', '数据标题', '1', '#666666', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3595, 211, 5, 'shuju', '数据字体', '1', '#FF1111', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3596, 227, 1, 'bg', '背景大图', '2', '/file/fileupload/1735528910919.jpg', 100, 1, '', '1', 1, '2023-01-13 19:52:44', 1, '2023-02-02 11:58:16', 1), (3597, 227, 1, 'bszn', '办事指南', '2', '/file/fileupload/1735528926426.jpg', 100, 1, '', '4', 1, '2023-01-13 19:53:23', 1, '2023-02-04 12:02:10', 1), (3598, 227, 1, 'wypj', '我要评价', '2', '/file/fileupload/1735528930484.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:08', 1, '2023-01-13 19:54:08', 1), (3599, 227, 1, 'tsjy', '投诉建议', '2', '/file/fileupload/1735528935011.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:36', 1, '2023-01-13 19:54:36', 1), (3600, 227, 1, 'wsbs', '中心网站', '2', '/file/fileupload/1735528938787.jpg', 100, 1, '', '4', 1, '2023-01-13 19:56:24', 1, '2023-02-02 12:04:33', 1), (3601, 227, 1, 'gwzz', '岗位职责', '2', '/file/fileupload/1735528943394.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:00', 1, '2023-01-13 19:57:00', 1), (3602, 227, 1, 'gsgg', '公示公告', '2', '/file/fileupload/1735528947191.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:42', 1, '2023-01-13 19:57:42', 1), (3603, 227, 1, 'theme', '主题颜色', '1', '#B51017', 100, 1, '1000', '7', 1, '2023-01-13 19:59:48', 1, '2023-01-13 19:59:48', 1), (3604, 227, 1, 'assist', '辅助色', '1', '#FF9BA1', 100, 1, '1000', '8', 1, '2023-01-13 20:00:21', 1, '2023-01-13 20:00:21', 1), (3605, 227, 1, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-01-13 20:00:56', 1, '2023-01-13 20:00:56', 1), (3606, 227, 1, 'title', '内页title', '1', '#B51017', 100, 1, '1000', '2', 1, '2023-01-13 20:01:59', 1, '2023-02-01 15:07:50', 1), (3607, 227, 1, 'rzsx', '入驻事项', '2', '/file/fileupload/1735528950804.jpg', 100, 1, '', '4', 1, '2024-05-08 16:06:21', 1, NULL, NULL), (3608, 228, 1, 'bg', '背景大图', '2', '/file/fileupload/1735529206071.jpg', 100, 1, '', '1', 1, '2023-01-13 19:52:44', 1, '2023-02-02 11:58:16', 1), (3609, 228, 1, 'bszn', '办事指南', '2', '/file/fileupload/1735529172123.jpg', 100, 1, '', '4', 1, '2023-01-13 19:53:23', 1, '2023-02-04 12:02:10', 1), (3610, 228, 1, 'wypj', '我要评价', '2', '/file/fileupload/1735529176013.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:08', 1, '2023-01-13 19:54:08', 1), (3611, 228, 1, 'tsjy', '投诉建议', '2', '/file/fileupload/1735529180229.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:36', 1, '2023-01-13 19:54:36', 1), (3612, 228, 1, 'wsbs', '中心网站', '2', '/file/fileupload/1735529184347.jpg', 100, 1, '', '4', 1, '2023-01-13 19:56:24', 1, '2023-02-02 12:04:33', 1), (3613, 228, 1, 'gwzz', '岗位职责', '2', '/file/fileupload/1735529188780.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:00', 1, '2023-01-13 19:57:00', 1), (3614, 228, 1, 'gsgg', '公示公告', '2', '/file/fileupload/1735529192509.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:42', 1, '2023-01-13 19:57:42', 1), (3615, 228, 1, 'theme', '主题颜色', '1', '#B6437A', 100, 1, '1000', '7', 1, '2023-01-13 19:59:48', 1, '2023-01-13 19:59:48', 1), (3616, 228, 1, 'assist', '辅助色', '1', '#FA8EC9', 100, 1, '1000', '8', 1, '2023-01-13 20:00:21', 1, '2023-01-13 20:00:21', 1), (3617, 228, 1, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-01-13 20:00:56', 1, '2023-01-13 20:00:56', 1), (3618, 228, 1, 'title', '内页title', '1', '#B6437A', 100, 1, '1000', '2', 1, '2023-01-13 20:01:59', 1, '2023-02-01 15:07:50', 1), (3619, 228, 1, 'rzsx', '入驻事项', '2', '/file/fileupload/1735529195964.jpg', 100, 1, '', '4', 1, '2024-05-08 16:06:21', 1, NULL, NULL), (3620, 229, 1, 'bg', '背景大图', '2', '/file/fileupload/1735529270784.jpg', 100, 1, '', '1', 1, '2023-01-13 19:52:44', 1, '2023-02-02 11:58:16', 1), (3621, 229, 1, 'bszn', '办事指南', '2', '/file/fileupload/1735529301224.jpg', 100, 1, '', '4', 1, '2023-01-13 19:53:23', 1, '2023-02-04 12:02:10', 1), (3622, 229, 1, 'wypj', '我要评价', '2', '/file/fileupload/1735529305141.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:08', 1, '2023-01-13 19:54:08', 1), (3623, 229, 1, 'tsjy', '投诉建议', '2', '/file/fileupload/1735529309518.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:36', 1, '2023-01-13 19:54:36', 1), (3624, 229, 1, 'wsbs', '中心网站', '2', '/file/fileupload/1735529312998.jpg', 100, 1, '', '4', 1, '2023-01-13 19:56:24', 1, '2023-02-02 12:04:33', 1), (3625, 229, 1, 'gwzz', '岗位职责', '2', '/file/fileupload/1735529317668.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:00', 1, '2023-01-13 19:57:00', 1), (3626, 229, 1, 'gsgg', '公示公告', '2', '/file/fileupload/1735529323410.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:42', 1, '2023-01-13 19:57:42', 1), (3627, 229, 1, 'theme', '主题颜色', '1', '#039290', 100, 1, '1000', '7', 1, '2023-01-13 19:59:48', 1, '2023-01-13 19:59:48', 1), (3628, 229, 1, 'assist', '辅助色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-01-13 20:00:21', 1, '2023-01-13 20:00:21', 1), (3629, 229, 1, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-01-13 20:00:56', 1, '2023-01-13 20:00:56', 1), (3630, 229, 1, 'title', '内页title', '1', '#039290', 100, 1, '1000', '2', 1, '2023-01-13 20:01:59', 1, '2023-02-01 15:07:50', 1), (3631, 229, 1, 'rzsx', '入驻事项', '2', '/file/fileupload/1735529326678.jpg', 100, 1, '', '4', 1, '2024-05-08 16:06:21', 1, NULL, NULL), (3632, 230, 1, 'bg', '背景大图', '2', '/file/fileupload/1735529432138.jpg', 100, 1, '', '1', 1, '2023-01-13 19:52:44', 1, '2023-02-02 11:58:16', 1), (3633, 230, 1, 'bszn', '办事指南', '2', '/file/fileupload/1735529370627.jpg', 100, 1, '', '4', 1, '2023-01-13 19:53:23', 1, '2023-02-04 12:02:10', 1), (3634, 230, 1, 'wypj', '我要评价', '2', '/file/fileupload/1735529374534.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:08', 1, '2023-01-13 19:54:08', 1), (3635, 230, 1, 'tsjy', '投诉建议', '2', '/file/fileupload/1735529379472.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:36', 1, '2023-01-13 19:54:36', 1), (3636, 230, 1, 'wsbs', '中心网站', '2', '/file/fileupload/1735529383173.jpg', 100, 1, '', '4', 1, '2023-01-13 19:56:24', 1, '2023-02-02 12:04:33', 1), (3637, 230, 1, 'gwzz', '岗位职责', '2', '/file/fileupload/1735529386993.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:00', 1, '2023-01-13 19:57:00', 1), (3638, 230, 1, 'gsgg', '公示公告', '2', '/file/fileupload/1735529390648.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:42', 1, '2023-01-13 19:57:42', 1), (3639, 230, 1, 'theme', '主题颜色', '1', '#F3611B', 100, 1, '1000', '7', 1, '2023-01-13 19:59:48', 1, '2023-01-13 19:59:48', 1), (3640, 230, 1, 'assist', '辅助色', '1', '#F3A41B', 100, 1, '1000', '8', 1, '2023-01-13 20:00:21', 1, '2023-01-13 20:00:21', 1), (3641, 230, 1, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-01-13 20:00:56', 1, '2023-01-13 20:00:56', 1), (3642, 230, 1, 'title', '内页title', '1', '#F3611B', 100, 1, '1000', '2', 1, '2023-01-13 20:01:59', 1, '2023-02-01 15:07:50', 1), (3643, 230, 1, 'rzsx', '入驻事项', '2', '/file/fileupload/1735529394172.jpg', 100, 1, '', '4', 1, '2024-05-08 16:06:21', 1, NULL, NULL), (3644, 231, 1, 'bg', '背景大图', '2', '/file/fileupload/1735529468698.jpg', 100, 1, '', '1', 1, '2023-01-13 19:52:44', 1, '2023-02-02 11:58:16', 1), (3645, 231, 1, 'bszn', '办事指南', '2', '/file/fileupload/1735529513422.jpg', 100, 1, '', '4', 1, '2023-01-13 19:53:23', 1, '2023-02-04 12:02:10', 1), (3646, 231, 1, 'wypj', '我要评价', '2', '/file/fileupload/1735529517855.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:08', 1, '2023-01-13 19:54:08', 1), (3647, 231, 1, 'tsjy', '投诉建议', '2', '/file/fileupload/1735529522424.jpg', 100, 1, '', '4', 1, '2023-01-13 19:54:36', 1, '2023-01-13 19:54:36', 1), (3648, 231, 1, 'wsbs', '中心网站', '2', '/file/fileupload/1735529526303.jpg', 100, 1, '', '4', 1, '2023-01-13 19:56:24', 1, '2023-02-02 12:04:33', 1), (3649, 231, 1, 'gwzz', '岗位职责', '2', '/file/fileupload/1735529530104.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:00', 1, '2023-01-13 19:57:00', 1), (3650, 231, 1, 'gsgg', '公示公告', '2', '/file/fileupload/1735529534410.jpg', 100, 1, '', '4', 1, '2023-01-13 19:57:42', 1, '2023-01-13 19:57:42', 1), (3651, 231, 1, 'theme', '主题颜色', '1', '#088B49', 100, 1, '1000', '7', 1, '2023-01-13 19:59:48', 1, '2023-01-13 19:59:48', 1), (3652, 231, 1, 'assist', '辅助色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-01-13 20:00:21', 1, '2023-01-13 20:00:21', 1), (3653, 231, 1, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-01-13 20:00:56', 1, '2023-01-13 20:00:56', 1), (3654, 231, 1, 'title', '内页title', '1', '#088B49', 100, 1, '1000', '2', 1, '2023-01-13 20:01:59', 1, '2023-02-01 15:07:50', 1), (3655, 231, 1, 'rzsx', '入驻事项', '2', '/file/fileupload/1735529538571.jpg', 100, 1, '', '4', 1, '2024-05-08 16:06:21', 1, NULL, NULL), (3662, 232, 5, 'bg', '背景大图', '2', '/file/fileupload/1735529686416.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3663, 232, 5, 'theme', '主题颜色', '1', '#FF1111', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3664, 232, 5, 'assist', '辅助颜色', '1', '#FF9B69', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2024-03-25 15:10:17', 1), (3665, 232, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3666, 232, 5, 'sjbt', '数据标题', '1', '#000000', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3667, 232, 5, 'shuju', '数据字体', '1', '#FF1111', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3668, 233, 5, 'bg', '背景大图', '2', '/file/fileupload/1735529979480.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3669, 233, 5, 'theme', '主题颜色', '1', '#FF1111', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3670, 233, 5, 'assist', '辅助颜色', '1', '#FF9B69', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2024-03-25 15:10:17', 1), (3671, 233, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3672, 233, 5, 'sjbt', '数据标题', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3673, 233, 5, 'shuju', '数据字体', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3674, 234, 5, 'bg', '背景大图', '2', '/file/fileupload/1735537612799.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3675, 234, 5, 'theme', '主题颜色', '1', '#B51017', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3676, 234, 5, 'assist', '辅助颜色', '1', '#FF9BA1', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2024-03-25 15:10:17', 1), (3677, 234, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3678, 234, 5, 'sjbt', '数据标题', '1', '#000000', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3679, 234, 5, 'shuju', '数据字体', '1', '#B51017', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3680, 235, 5, 'bg', '背景大图', '2', '/file/fileupload/1735537716816.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3681, 235, 5, 'theme', '主题颜色', '1', '#B51017', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3682, 235, 5, 'assist', '辅助颜色', '1', '#FF9BA1', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2024-03-25 15:10:17', 1), (3683, 235, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3684, 235, 5, 'sjbt', '数据标题', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3685, 235, 5, 'shuju', '数据字体', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3686, 236, 5, 'bg', '背景大图', '2', '/file/fileupload/1735537811184.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3687, 236, 5, 'theme', '主题颜色', '1', '#B6437A', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3688, 236, 5, 'assist', '辅助颜色', '1', '#FA8EC9', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2024-03-25 15:10:17', 1), (3689, 236, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3690, 236, 5, 'sjbt', '数据标题', '1', '#000000', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3691, 236, 5, 'shuju', '数据字体', '1', '#B6437A', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3692, 237, 5, 'bg', '背景大图', '2', '/file/fileupload/1735537929927.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3693, 237, 5, 'theme', '主题颜色', '1', '#B6437A', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3694, 237, 5, 'assist', '辅助颜色', '1', '#FA8EC9', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2024-03-25 15:10:17', 1), (3695, 237, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3696, 237, 5, 'sjbt', '数据标题', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3697, 237, 5, 'shuju', '数据字体', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3704, 239, 5, 'bg', '背景大图', '2', '/file/fileupload/1735538457241.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3705, 239, 5, 'theme', '主题颜色', '1', '#039290', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3706, 239, 5, 'assist', '辅助颜色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2024-03-25 15:10:17', 1), (3707, 239, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3708, 239, 5, 'sjbt', '数据标题', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3709, 239, 5, 'shuju', '数据字体', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3710, 238, 5, 'bg', '背景大图', '2', '/file/fileupload/1735538017268.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3711, 238, 5, 'theme', '主题颜色', '1', '#039290', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3712, 238, 5, 'assist', '辅助颜色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2024-03-25 15:10:17', 1), (3713, 238, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3714, 238, 5, 'sjbt', '数据标题', '1', '#000000', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3715, 238, 5, 'shuju', '数据字体', '1', '#000000', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3728, 240, 5, 'bg', '背景大图', '2', '/file/fileupload/1735538660432.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3729, 240, 5, 'theme', '主题颜色', '1', '#F3611B', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3730, 240, 5, 'assist', '辅助颜色', '1', '#FFE4D8', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2024-03-25 15:10:17', 1), (3731, 240, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3732, 240, 5, 'sjbt', '数据标题', '1', '#000000', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3733, 240, 5, 'shuju', '数据字体', '1', '#000000', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3734, 241, 5, 'bg', '背景大图', '2', '/file/fileupload/1735538863771.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3735, 241, 5, 'theme', '主题颜色', '1', '#F3611B', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3736, 241, 5, 'assist', '辅助颜色', '1', '#FFE4D8', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2024-03-25 15:10:17', 1), (3737, 241, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3738, 241, 5, 'sjbt', '数据标题', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3739, 241, 5, 'shuju', '数据字体', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3740, 242, 5, 'bg', '背景大图', '2', '/file/fileupload/1735538952625.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3741, 242, 5, 'theme', '主题颜色', '1', '#088B49', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3742, 242, 5, 'assist', '辅助颜色', '1', '#C8F4D9', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2024-03-25 15:10:17', 1), (3743, 242, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3744, 242, 5, 'sjbt', '数据标题', '1', '#000000', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3745, 242, 5, 'shuju', '数据字体', '1', '#000000', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3746, 243, 5, 'bg', '背景大图', '2', '/file/fileupload/1735539066315.jpg', 100, 1, '', '1', 1, '2023-02-01 15:31:14', 1, '2023-02-01 15:31:14', 1), (3747, 243, 5, 'theme', '主题颜色', '1', '#088B49', 100, 1, '1000', '7', 1, '2023-02-01 15:32:42', 1, '2023-02-01 15:32:42', 1), (3748, 243, 5, 'assist', '辅助颜色', '1', '#C8F4D9', 100, 1, '1000', '8', 1, '2023-02-01 15:33:09', 1, '2024-03-25 15:10:17', 1), (3749, 243, 5, 'title', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 15:34:11', 1, '2023-02-01 15:34:11', 1), (3750, 243, 5, 'sjbt', '数据标题', '1', '#FFFFFF', 100, 1, '1000', '5', 1, '2023-02-01 15:34:43', 1, '2023-04-03 16:23:08', 1), (3751, 243, 5, 'shuju', '数据字体', '1', '#FFFFFF', 100, 1, '1000', '6', 1, '2023-02-01 15:35:11', 1, '2023-04-03 16:23:33', 1), (3752, 244, 4, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 14:20:08', 1, '2023-02-01 14:20:08', 1), (3753, 244, 4, 'theme', '主题颜色', '1', '#FFFFFF', 100, 1, '1000', '7', 1, '2023-02-01 14:20:55', 1, '2023-02-01 14:20:55', 1), (3754, 244, 4, 'assist', '辅助颜色', '1', '#FF9BA1', 100, 1, '1000', '8', 1, '2023-02-01 14:21:28', 1, '2023-02-01 14:21:28', 1), (3755, 244, 4, 'cx', '重新呼叫', '2', '/file/fileupload/1735539173010.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:14', 1, '2023-02-01 14:23:14', 1), (3756, 244, 4, 'pj', '我要评价', '2', '/file/fileupload/1735539177400.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:51', 1, '2023-02-01 14:23:51', 1), (3757, 244, 4, 'qh', '弃号', '2', '/file/fileupload/1735539181294.jpg', 100, 1, '', '4', 1, '2023-02-01 14:24:37', 1, '2023-02-01 14:24:37', 1), (3758, 244, 4, 'xz', '下一位', '2', '/file/fileupload/1735539185031.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:17', 1, '2023-02-01 14:25:17', 1), (3759, 244, 4, 'xj', '选叫', '2', '/file/fileupload/1735539188805.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:44', 1, '2023-02-01 14:25:44', 1), (3760, 244, 4, 'zy', '呼叫转移', '2', '/file/fileupload/1735539192633.jpg', 100, 1, '', '4', 1, '2023-02-01 14:26:18', 1, '2023-02-01 14:26:18', 1), (3761, 244, 4, 'bg', '背景图片', '2', '/file/fileupload/1735539207476.jpg', 100, 1, '', '1', 1, '2023-02-01 14:28:56', 1, '2023-02-01 14:39:47', 1), (3762, 244, 4, 'user', '用户背景', '2', '/file/fileupload/1735539198776.jpg', 100, 1, '', '10', 1, '2023-02-01 14:29:45', 1, '2023-04-03 16:15:41', 1), (3774, 245, 4, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 14:20:08', 1, '2023-02-01 14:20:08', 1), (3775, 245, 4, 'theme', '主题颜色', '1', '#FFFFFF', 100, 1, '1000', '7', 1, '2023-02-01 14:20:55', 1, '2023-02-01 14:20:55', 1), (3776, 245, 4, 'assist', '辅助颜色', '1', '#FA8EC9', 100, 1, '1000', '8', 1, '2023-02-01 14:21:28', 1, '2023-02-01 14:21:28', 1), (3777, 245, 4, 'cx', '重新呼叫', '2', '/file/fileupload/1735539341225.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:14', 1, '2023-02-01 14:23:14', 1), (3778, 245, 4, 'pj', '我要评价', '2', '/file/fileupload/1735539347611.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:51', 1, '2023-02-01 14:23:51', 1), (3779, 245, 4, 'qh', '弃号', '2', '/file/fileupload/1735539351744.jpg', 100, 1, '', '4', 1, '2023-02-01 14:24:37', 1, '2023-02-01 14:24:37', 1), (3780, 245, 4, 'xz', '下一位', '2', '/file/fileupload/1735539355515.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:17', 1, '2023-02-01 14:25:17', 1), (3781, 245, 4, 'xj', '选叫', '2', '/file/fileupload/1735539360532.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:44', 1, '2023-02-01 14:25:44', 1), (3782, 245, 4, 'zy', '呼叫转移', '2', '/file/fileupload/1735539365534.jpg', 100, 1, '', '4', 1, '2023-02-01 14:26:18', 1, '2023-02-01 14:26:18', 1), (3783, 245, 4, 'bg', '背景图片', '2', '/file/fileupload/1735539844442.jpg', 100, 1, '', '1', 1, '2023-02-01 14:28:56', 1, '2023-02-01 14:39:47', 1), (3784, 245, 4, 'user', '用户背景', '2', '/file/fileupload/1735539369831.jpg', 100, 1, '', '10', 1, '2023-02-01 14:29:45', 1, '2023-04-03 16:15:41', 1), (3785, 246, 4, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 14:20:08', 1, '2023-02-01 14:20:08', 1), (3786, 246, 4, 'theme', '主题颜色', '1', '#FFFFFF', 100, 1, '1000', '7', 1, '2023-02-01 14:20:55', 1, '2023-02-01 14:20:55', 1), (3787, 246, 4, 'assist', '辅助颜色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-02-01 14:21:28', 1, '2023-02-01 14:21:28', 1), (3788, 246, 4, 'cx', '重新呼叫', '2', '/file/fileupload/1735539912887.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:14', 1, '2023-02-01 14:23:14', 1), (3789, 246, 4, 'pj', '我要评价', '2', '/file/fileupload/1735539917144.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:51', 1, '2023-02-01 14:23:51', 1), (3790, 246, 4, 'qh', '弃号', '2', '/file/fileupload/1735539920929.jpg', 100, 1, '', '4', 1, '2023-02-01 14:24:37', 1, '2023-02-01 14:24:37', 1), (3791, 246, 4, 'xz', '下一位', '2', '/file/fileupload/1735539924701.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:17', 1, '2023-02-01 14:25:17', 1), (3792, 246, 4, 'xj', '选叫', '2', '/file/fileupload/1735539929103.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:44', 1, '2023-02-01 14:25:44', 1), (3793, 246, 4, 'zy', '呼叫转移', '2', '/file/fileupload/1735539933042.jpg', 100, 1, '', '4', 1, '2023-02-01 14:26:18', 1, '2023-02-01 14:26:18', 1), (3794, 246, 4, 'bg', '背景图片', '2', '/file/fileupload/1735539872407.jpg', 100, 1, '', '1', 1, '2023-02-01 14:28:56', 1, '2023-02-01 14:39:47', 1), (3795, 246, 4, 'user', '用户背景', '2', '/file/fileupload/1735539937422.jpg', 100, 1, '', '10', 1, '2023-02-01 14:29:45', 1, '2023-04-03 16:15:41', 1), (3807, 247, 4, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 14:20:08', 1, '2023-02-01 14:20:08', 1), (3808, 247, 4, 'theme', '主题颜色', '1', '#FFFFFF', 100, 1, '1000', '7', 1, '2023-02-01 14:20:55', 1, '2023-02-01 14:20:55', 1), (3809, 247, 4, 'assist', '辅助颜色', '1', '#F3A41B', 100, 1, '1000', '8', 1, '2023-02-01 14:21:28', 1, '2023-02-01 14:21:28', 1), (3810, 247, 4, 'cx', '重新呼叫', '2', '/file/fileupload/1735540094225.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:14', 1, '2023-02-01 14:23:14', 1), (3811, 247, 4, 'pj', '我要评价', '2', '/file/fileupload/1735540097845.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:51', 1, '2023-02-01 14:23:51', 1), (3812, 247, 4, 'qh', '弃号', '2', '/file/fileupload/1735540101386.jpg', 100, 1, '', '4', 1, '2023-02-01 14:24:37', 1, '2023-02-01 14:24:37', 1), (3813, 247, 4, 'xz', '下一位', '2', '/file/fileupload/1735540104786.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:17', 1, '2023-02-01 14:25:17', 1), (3814, 247, 4, 'xj', '选叫', '2', '/file/fileupload/1735540108955.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:44', 1, '2023-02-01 14:25:44', 1), (3815, 247, 4, 'zy', '呼叫转移', '2', '/file/fileupload/1735540113193.jpg', 100, 1, '', '4', 1, '2023-02-01 14:26:18', 1, '2023-02-01 14:26:18', 1), (3816, 247, 4, 'bg', '背景图片', '2', '/file/fileupload/1735540612371.jpg', 100, 1, '', '1', 1, '2023-02-01 14:28:56', 1, '2023-02-01 14:39:47', 1), (3817, 247, 4, 'user', '用户背景', '2', '/file/fileupload/1735540121522.jpg', 100, 1, '', '10', 1, '2023-02-01 14:29:45', 1, '2023-04-03 16:15:41', 1), (3818, 248, 4, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 14:20:08', 1, '2023-02-01 14:20:08', 1), (3819, 248, 4, 'theme', '主题颜色', '1', '#FFFFFF', 100, 1, '1000', '7', 1, '2023-02-01 14:20:55', 1, '2023-02-01 14:20:55', 1), (3820, 248, 4, 'assist', '辅助颜色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-02-01 14:21:28', 1, '2023-02-01 14:21:28', 1), (3821, 248, 4, 'cx', '重新呼叫', '2', '/file/fileupload/1735540837011.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:14', 1, '2023-02-01 14:23:14', 1), (3822, 248, 4, 'pj', '我要评价', '2', '/file/fileupload/1735540840716.jpg', 100, 1, '', '4', 1, '2023-02-01 14:23:51', 1, '2023-02-01 14:23:51', 1), (3823, 248, 4, 'qh', '弃号', '2', '/file/fileupload/1735540849462.jpg', 100, 1, '', '4', 1, '2023-02-01 14:24:37', 1, '2023-02-01 14:24:37', 1), (3824, 248, 4, 'xz', '下一位', '2', '/file/fileupload/1735540853105.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:17', 1, '2023-02-01 14:25:17', 1), (3825, 248, 4, 'xj', '选叫', '2', '/file/fileupload/1735540857591.jpg', 100, 1, '', '4', 1, '2023-02-01 14:25:44', 1, '2023-02-01 14:25:44', 1), (3826, 248, 4, 'zy', '呼叫转移', '2', '/file/fileupload/1735540863233.jpg', 100, 1, '', '4', 1, '2023-02-01 14:26:18', 1, '2023-02-01 14:26:18', 1), (3827, 248, 4, 'bg', '背景图片', '2', '/file/fileupload/1735540809647.jpg', 100, 1, '', '1', 1, '2023-02-01 14:28:56', 1, '2023-02-01 14:39:47', 1), (3828, 248, 4, 'user', '用户背景', '2', '/file/fileupload/1735540866858.jpg', 100, 1, '', '10', 1, '2023-02-01 14:29:45', 1, '2023-04-03 16:15:41', 1), (3832, 249, 2, 'theme', '主题色', '1', '#2A7CF6', 100, 1, '1000', '7', 1, '2023-01-14 10:01:54', 1, '2023-01-14 10:01:54', 1), (3833, 249, 2, 'assist', '辅助色', '1', '#F52C25', 100, 1, '1000', '8', 1, '2023-01-14 10:02:28', 1, '2023-01-14 10:02:28', 1), (3834, 249, 2, 'bg', '背景大图', '2', '/file/fileupload/1735541042885.jpg', 100, 1, '', '1', 1, '2023-01-14 10:03:00', 1, '2023-01-14 10:03:00', 1), (3835, 250, 2, 'theme', '主题色', '1', '#2A7CF6', 100, 1, '1000', '7', 1, '2023-01-14 10:01:54', 1, '2023-01-14 10:01:54', 1), (3836, 250, 2, 'assist', '辅助色', '1', '#F52C25', 100, 1, '1000', '8', 1, '2023-01-14 10:02:28', 1, '2023-01-14 10:02:28', 1), (3837, 250, 2, 'bg', '背景大图', '2', '/file/fileupload/1735541132635.jpg', 100, 1, '', '1', 1, '2023-01-14 10:03:00', 1, '2023-01-14 10:03:00', 1), (3838, 251, 2, 'theme', '主题色', '1', '#2A7CF6', 100, 1, '1000', '7', 1, '2023-01-14 10:01:54', 1, '2023-01-14 10:01:54', 1), (3839, 251, 2, 'assist', '辅助色', '1', '#F52C25', 100, 1, '1000', '8', 1, '2023-01-14 10:02:28', 1, '2023-01-14 10:02:28', 1), (3840, 251, 2, 'bg', '背景大图', '2', '/file/fileupload/1735541202792.jpg', 100, 1, '', '1', 1, '2023-01-14 10:03:00', 1, '2023-01-14 10:03:00', 1), (3841, 252, 2, 'theme', '主题色', '1', '#2A7CF6', 100, 1, '1000', '7', 1, '2023-01-14 10:01:54', 1, '2023-01-14 10:01:54', 1), (3842, 252, 2, 'assist', '辅助色', '1', '#F52C25', 100, 1, '1000', '8', 1, '2023-01-14 10:02:28', 1, '2023-01-14 10:02:28', 1), (3843, 252, 2, 'bg', '背景大图', '2', '/file/fileupload/1735541266486.jpg', 100, 1, '', '1', 1, '2023-01-14 10:03:00', 1, '2023-01-14 10:03:00', 1), (3844, 253, 2, 'theme', '主题色', '1', '#2A7CF6', 100, 1, '1000', '7', 1, '2023-01-14 10:01:54', 1, '2023-01-14 10:01:54', 1), (3845, 253, 2, 'assist', '辅助色', '1', '#F52C25', 100, 1, '1000', '8', 1, '2023-01-14 10:02:28', 1, '2023-01-14 10:02:28', 1), (3846, 253, 2, 'bg', '背景大图', '2', '/file/fileupload/1735541335343.jpg', 100, 1, '', '1', 1, '2023-01-14 10:03:00', 1, '2023-01-14 10:03:00', 1), (3847, 254, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (3848, 254, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (3849, 254, 3, 'info', '数据颜色', '1', '#B51017', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (3850, 254, 3, 'icp', '备案颜色', '1', '#BFAFB0', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (3851, 254, 3, 'theme', '主题颜色', '1', '#B51017', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (3852, 254, 3, 'assist', '辅助色', '1', '#FF9BA1', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (3853, 254, 3, 'mybg', '背景图', '2', '/file/fileupload/1735541446852.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (3854, 254, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1735541461096.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (3855, 254, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1735541465701.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (3856, 254, 3, 'vip', 'vip取号', '2', '/file/fileupload/1735541469896.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (3857, 254, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1735541474314.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (3858, 254, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1735541479129.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (3859, 254, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1735541487090.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (3860, 254, 3, 'infotit', '数据标题', '1', '#000000', 100, 1, '1000', '5', 1, '2024-03-13 16:42:28', 1, NULL, NULL), (3861, 255, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (3862, 255, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (3863, 255, 3, 'info', '数据颜色', '1', '#B6437A', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (3864, 255, 3, 'icp', '备案颜色', '1', '#BFAFB0', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (3865, 255, 3, 'theme', '主题颜色', '1', '#B6437A', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (3866, 255, 3, 'assist', '辅助色', '1', '#FA8EC9', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (3867, 255, 3, 'mybg', '背景图', '2', '/file/fileupload/1735541590641.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (3868, 255, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1735541601354.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (3869, 255, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1735541605748.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (3870, 255, 3, 'vip', 'vip取号', '2', '/file/fileupload/1735541610474.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (3871, 255, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1735541614326.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (3872, 255, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1735541618538.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (3873, 255, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1735541625842.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (3874, 255, 3, 'infotit', '数据标题', '1', '#000000', 100, 1, '1000', '5', 1, '2024-03-13 16:42:28', 1, NULL, NULL), (3875, 256, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (3876, 256, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (3877, 256, 3, 'info', '数据颜色', '1', '#039290', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (3878, 256, 3, 'icp', '备案颜色', '1', '#BFAFB0', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (3879, 256, 3, 'theme', '主题颜色', '1', '#039290', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (3880, 256, 3, 'assist', '辅助色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (3881, 256, 3, 'mybg', '背景图', '2', '/file/fileupload/1735541759468.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (3882, 256, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1735541765924.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (3883, 256, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1735541771198.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (3884, 256, 3, 'vip', 'vip取号', '2', '/file/fileupload/1735541775480.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (3885, 256, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1735541779447.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (3886, 256, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1735541784263.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (3887, 256, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1735541791265.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (3888, 256, 3, 'infotit', '数据标题', '1', '#000000', 100, 1, '1000', '5', 1, '2024-03-13 16:42:28', 1, NULL, NULL), (3903, 257, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (3904, 257, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (3905, 257, 3, 'info', '数据颜色', '1', '#F3611B', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (3906, 257, 3, 'icp', '备案颜色', '1', '#BFAFB0', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (3907, 257, 3, 'theme', '主题颜色', '1', '#F3611B', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (3908, 257, 3, 'assist', '辅助色', '1', '#F3A41B', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (3909, 257, 3, 'mybg', '背景图', '2', '/file/fileupload/1735541878616.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (3910, 257, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1735541892811.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (3911, 257, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1735541897375.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (3912, 257, 3, 'vip', 'vip取号', '2', '/file/fileupload/1735541901252.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (3913, 257, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1735541905218.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (3914, 257, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1735541910182.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (3915, 257, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1735541916465.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (3916, 257, 3, 'infotit', '数据标题', '1', '#000000', 100, 1, '1000', '5', 1, '2024-03-13 16:42:28', 1, NULL, NULL), (3917, 258, 3, 'h1', '标题颜色', '1', '#FFFFFF', 100, 1, '1000', '2', 1, '2023-02-01 13:41:00', 1, '2023-02-01 13:41:00', 1), (3918, 258, 3, 'time', '时间颜色', '1', '#FFFFFF', 100, 1, '1000', '3', 1, '2023-02-01 13:41:43', 1, '2023-02-01 13:41:43', 1), (3919, 258, 3, 'info', '数据颜色', '1', '#088B49', 100, 1, '1000', '6', 1, '2023-02-01 13:42:13', 1, '2023-02-01 13:42:13', 1), (3920, 258, 3, 'icp', '备案颜色', '1', '#BFAFB0', 100, 1, '1000', '9', 1, '2023-02-01 13:43:56', 1, '2023-02-01 13:43:56', 1), (3921, 258, 3, 'theme', '主题颜色', '1', '#088B49', 100, 1, '1000', '7', 1, '2023-02-01 13:44:51', 1, '2023-02-01 13:44:51', 1), (3922, 258, 3, 'assist', '辅助色', '1', '#00F56E', 100, 1, '1000', '8', 1, '2023-02-01 13:45:24', 1, '2023-02-01 13:45:24', 1), (3923, 258, 3, 'mybg', '背景图', '2', '/file/fileupload/1735542039456.jpg', 100, 1, '', '1', 1, '2023-02-01 13:46:27', 1, '2023-02-02 14:06:19', 1), (3924, 258, 3, 'xcqh', '现场取号', '2', '/file/fileupload/1735542050884.jpg', 100, 1, '', '4', 1, '2023-02-02 12:51:53', 1, '2023-02-02 12:51:53', 1), (3925, 258, 3, 'yyqh', '预约取号', '2', '/file/fileupload/1735542055120.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:21', 1, '2023-02-02 12:52:21', 1), (3926, 258, 3, 'vip', 'vip取号', '2', '/file/fileupload/1735542061692.jpg', 100, 1, '', '4', 1, '2023-02-02 12:52:47', 1, '2023-02-02 12:52:47', 1), (3927, 258, 3, 'xcqd', '现场签到', '2', '/file/fileupload/1735542065745.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:33', 1, '2023-02-02 12:53:33', 1), (3928, 258, 3, 'cdxp', '重打小票', '2', '/file/fileupload/1735542070747.jpg', 100, 1, '', '4', 1, '2023-02-02 12:53:58', 1, '2023-02-02 12:53:58', 1), (3929, 258, 3, 'myminbg', '内页背景', '2', '/file/fileupload/1735542077716.jpg', 100, 1, '', '12', 1, '2024-01-05 16:57:28', 1, NULL, NULL), (3930, 258, 3, 'infotit', '数据标题', '1', '#000000', 100, 1, '1000', '5', 1, '2024-03-13 16:42:28', 1, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_skin_template
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_skin_template`;
CREATE TABLE `mortals_sys_skin_template`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `productId` bigint(20) NULL DEFAULT NULL COMMENT '产品ID',
  `productName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '产品名称',
  `templateName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模板名称',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 16 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统皮肤模板';

-- ----------------------------
-- Records of mortals_sys_skin_template
-- ----------------------------
BEGIN;
INSERT INTO `mortals_sys_skin_template` VALUES (1, 6, ' 评级器 ', '评价器标准模板', '2023-01-13 19:48:18', 1, '2023-01-13 19:48:18'), (2, 2, ' 窗口屏 ', '窗口屏标准皮肤模板', '2023-01-14 09:59:51', 1, '2023-01-14 09:59:51'), (3, 1, ' 排号机 ', '排号机皮肤模板', '2023-02-01 13:39:45', 1, '2023-02-01 13:39:45'), (4, 3, ' 呼叫器 ', '呼叫器', '2023-02-01 14:19:28', 1, '2023-02-01 14:19:28'), (5, 4, ' 集中显示屏 ', '集中显示屏', '2023-02-01 14:50:05', 1, '2023-02-01 14:50:05'), (6, 5, ' 导视机 ', '导视机标准皮肤模板', '2023-02-02 13:41:38', 1, '2023-02-02 13:41:38'), (7, 10, ' 信息发布终端 ', '信息发布', '2023-02-02 21:25:21', 1, '2023-02-02 21:25:21'), (8, 5, ' 导视机 ', '导视机皮肤变量', '2023-02-03 11:36:26', 1, '2023-02-03 11:36:43'), (9, 9, ' 样表机 ', '样表机横版', '2023-02-09 17:09:46', 1, '2023-02-09 17:09:46'), (10, 8, ' 填单机 ', '填单机横版', '2023-02-09 17:24:34', 1, '2023-02-09 17:24:34'), (11, 7, ' 自助服务终端 ', '自助服务终端横板', '2023-02-21 20:17:54', 1, '2023-02-21 20:17:54'), (12, 11, ' 取件柜 ', 'qjg', '2023-02-26 18:00:11', 1, '2023-02-26 18:00:11'), (13, 12, ' 桌面式自助服务终端 ', '桌面式自助服务终端', '2023-04-03 21:14:02', 1, '2023-04-03 21:14:02'), (14, 15, ' 智慧信息公开 ', '智慧信息公开竖版', '2023-12-12 17:57:08', 1, NULL), (15, 16, ' 证照打印终端 ', '证照打印横版', '2023-12-24 18:11:32', 1, NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_sms_set
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_sms_set`;
CREATE TABLE `mortals_sys_sms_set`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点id',
  `siteName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `sign` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '短信签名',
  `lastnum` int(11) NULL DEFAULT NULL COMMENT '剩余短信条数',
  `username` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户名',
  `messageoff` tinyint(1) NULL DEFAULT 1 COMMENT '短信开关 (1.开,0.关)',
  `smsplatform` tinyint(1) NULL DEFAULT 1 COMMENT '短信平台 (1.容联,2.阿里云,3.移动)',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '短信设置';

-- ----------------------------
-- Records of mortals_sys_sms_set
-- ----------------------------
BEGIN;
INSERT INTO `mortals_sys_sms_set` VALUES (1, 1, NULL, NULL, NULL, NULL, 1, 1, '2023-01-13 10:14:19', 1, '2024-08-13 15:25:54'), (2, 22, NULL, NULL, NULL, NULL, 1, 1, '2023-11-04 16:57:20', 2064, NULL), (3, 22, NULL, NULL, NULL, NULL, 0, 1, '2023-11-04 16:57:22', 2064, '2023-11-07 16:20:04');
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_sms_template
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_sms_template`;
CREATE TABLE `mortals_sys_sms_template`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteid` bigint(20) NULL DEFAULT NULL COMMENT '站点ID',
  `siteName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `code` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模板code',
  `summary` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `content` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `type` tinyint(2) NULL DEFAULT 1 COMMENT '模板选择 (1.预约成功短信,2.取号成功短信,3.临近叫号短信)',
  `source` tinyint(2) NULL DEFAULT 1 COMMENT '系统来源(1.排号系统,2.取件系统）',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '短信模板表';

-- ----------------------------
-- Records of mortals_sys_sms_template
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_window
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_window`;
CREATE TABLE `mortals_sys_window`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点ID',
  `siteName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `deptId` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `deptName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门名称',
  `name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '窗口名称',
  `englishName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英语窗口名',
  `nameDesc` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '名称描述',
  `englishNameDesc` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '英文名称描述',
  `region` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域',
  `englishRegion` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英语区域',
  `fromnum` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '窗口编号',
  `hongqi` tinyint(1) NULL DEFAULT 1 COMMENT '红旗窗口 (1.是，0.否)',
  `duty` tinyint(1) NULL DEFAULT 0 COMMENT '无人值守(1.是，0.否)',
  `dutyContent` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '显示内容',
  `dutyEnglish` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '显示英文',
  `summary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `building` tinyint(2) NULL DEFAULT 1 COMMENT '楼栋',
  `level` tinyint(2) NULL DEFAULT 1 COMMENT '楼层',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `siteId`(`siteId`) USING BTREE,
  INDEX `deptId`(`deptId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '站点部门窗口表';

-- ----------------------------
-- Records of mortals_sys_window
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_window_business
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_window_business`;
CREATE TABLE `mortals_sys_window_business`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `windowId` bigint(20) NULL DEFAULT NULL COMMENT '窗口id',
  `windowName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '窗口名称',
  `siteBusinessId` bigint(20) NULL DEFAULT NULL COMMENT '站点业务ID',
  `businessName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '业务名称',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `windowid`(`windowId`) USING BTREE,
  INDEX `siteBussinessId`(`siteBusinessId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '窗口业务表';

-- ----------------------------
-- Records of mortals_sys_window_business
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_window_hall
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_window_hall`;
CREATE TABLE `mortals_sys_window_hall`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `windowId` bigint(20) NULL DEFAULT NULL COMMENT '窗口ID',
  `windowName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '窗口名称',
  `hallId` bigint(20) NULL DEFAULT NULL COMMENT '大厅ID',
  `hallName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '大厅名称',
  `sort` int(4) NULL DEFAULT 0 COMMENT '排序',
  `remark` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `siteId` bigint(20) NULL DEFAULT 1 COMMENT '站点Id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '大厅窗口';

-- ----------------------------
-- Records of mortals_sys_window_hall
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_window_matter
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_window_matter`;
CREATE TABLE `mortals_sys_window_matter`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `windowId` bigint(20) NULL DEFAULT NULL COMMENT '窗口ID',
  `windowName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '窗口名称',
  `siteMatterId` bigint(20) NULL DEFAULT NULL COMMENT '站点事项ID',
  `matterName` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事项名称',
  `deptId` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `deptCode` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门编码',
  `deptName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门名称',
  `isShow` tinyint(1) NULL DEFAULT NULL COMMENT '是否显示 (1.是，0.否)',
  `sort` int(4) NULL DEFAULT NULL COMMENT '排序',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `windowId`(`windowId`) USING BTREE,
  INDEX `siteMatterId`(`siteMatterId`) USING BTREE,
  INDEX `deptId`(`deptId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '窗口事项';

-- ----------------------------
-- Records of mortals_sys_window_matter
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_workman
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_workman`;
CREATE TABLE `mortals_sys_workman`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `loginName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '登录用户名',
  `loginPwd` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '密码',
  `deptId` bigint(20) NULL DEFAULT NULL COMMENT '部门id号',
  `deptName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门名称',
  `windowId` bigint(20) NULL DEFAULT NULL COMMENT '窗口id号',
  `windowName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '窗口名称',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点ID',
  `siteName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '姓名',
  `number` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '工号',
  `userpost` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '职务',
  `posttitle` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '职称',
  `politicalstatus` tinyint(2) NULL DEFAULT 0 COMMENT '政治面貌 （0.中共党员，1.中共预备党员，2.共青团员，3.普通居民，4.其它)',
  `dangyuan` tinyint(2) NULL DEFAULT 0 COMMENT '党员 （0.非党员，1.党员，2.党员示范岗，3.党员先锋岗)',
  `dangyuanext` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '党员扩展',
  `idCard` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '身份证',
  `phone` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '电话',
  `mobile` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '手机',
  `starlevel` tinyint(2) NULL DEFAULT 0 COMMENT '星级',
  `summary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '个人简介',
  `photoPath` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '照片',
  `duty` mediumtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '岗位职责',
  `promise` mediumtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '服务承诺',
  `business` mediumtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '办理事项',
  `online` tinyint(2) NULL DEFAULT 1 COMMENT '是否在线（0.离线，1.在线，2.暂离,3.点击暂离,4.回归,5.登陆）',
  `modelIds` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '配置站点模块，逗号分隔',
  `deleted` tinyint(2) NULL DEFAULT 0 COMMENT '是否删除（0.否，1.是）',
  `operatorId` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '一体化经办人id',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `lastLoginTime` datetime(0) NULL DEFAULT NULL COMMENT '最后一次登录时间',
  `lastLoginAddress` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '最后一次登录地址',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `操作id`(`operatorId`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '工作人员';

-- ----------------------------
-- Records of mortals_sys_workman
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_access
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_access`;
CREATE TABLE `mortals_xhx_access`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `area_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '区域Id',
  `area_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '区域名称',
  `area_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '区域编码',
  `site_id` bigint(20) NULL DEFAULT NULL COMMENT '站点Id',
  `site_code` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '站点编码',
  `site_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '站点名称',
  `big_path` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '背景图片地址',
  `icon` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '图标',
  `tag` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '标签',
  `latitude` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '维度',
  `longitude` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '经度',
  `access_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0),
  `type` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '类型' COMMENT '接入类型 (area.区域,site.站点)',
  `sort` int(4) NULL DEFAULT 0 COMMENT '排序',
  `remark` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '备注',
  `content` varchar(2048) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '',
  `create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 18 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '区域接入';

-- ----------------------------
-- Records of mortals_xhx_access
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_access` VALUES (4, '', '宜宾市', '511500000000', 1, '511500000000-0001', '宜宾市民中心', 'file/fileupload/1722408086718.jpg', '', '排队系统,评价系统', '28.732286', '104.623552', '2023-03-01 00:00:00', 'site', 1, '', '宜宾市，四川省辖地级市，地处云贵川三省结合部，金沙江、岷江、长江三江交汇处；地形整体西南高、东北低，属中亚热带季风湿润气候，总面积13283平方千米。 截至2022年10月，全市辖3个市辖区、7个县。 截至2022年末，全市常住人口461.8万人。', 1, '2024-07-27 12:46:44', '2024-08-02 11:00:39'), (5, '', '筠连县', '511527000000', 15, '511527000000-0001', '筠连县政务服务中心', 'file/fileupload/1722406281546.png', '', '评价系统', '28.155808', '104.502984', '2023-12-06 00:00:00', 'site', 4, '', '筠连县，隶属于四川省宜宾市，位于四川盆地南缘，云贵高原北麓川滇结合部，与云南盐津、彝良、威信接壤，省内与高县、珙县相邻，地处北纬27°50′37\"—28°14′28\"，东经104°17′45\"—104°47′20\"之间，全县总面积1256.35平方千米。截至2019年8月，筠连县下辖7个镇、5个乡。截至2023年末，筠连县常住人口32.8万人。', 9, '2024-07-31 14:11:27', '2024-08-02 10:59:24'), (6, '', '珙县', '511526000000', 16, '511526000000-0001', '珙县人民政府政务服务中心', 'file/fileupload/1722406394136.png', '', '评价系统', '28.4461', '104.7105', '2023-12-11 00:00:00', 'site', 5, '', '珙县，四川省宜宾市辖县，位于宜宾市境南部、四川盆地南缘，处于川、滇、黔三省结合部，东经104°38′~105°02′、北纬27°53′~28°31′之间，属亚热带湿润性季风气候区，春早冬暖，湿度偏大，幅员面积1149.5平方千米。 截至2023年末，珙县常住人口为33.1万人。 截至2023年6月，珙县辖10个镇、3个乡， 珙县人民政府驻巡场镇滨河西街南一段190号。 ', 9, '2024-07-31 14:13:17', '2024-08-02 10:57:12'), (7, '', '高县', '511525000000', 13, '511525000000-0001', '高县政务服务中心', 'file/fileupload/1722406504061.png', '', '评价系统', '28.432492', '104.524027', '2024-03-18 00:00:00', 'site', 6, '', '高县，隶属于四川省宜宾市，位于四川盆地南缘，东邻珙县、长宁县，西接叙州区，南界筠连县，北与宜宾市翠屏区相望，西南与云南省盐津县毗连，介于东经104°21′—104°48′、北纬28°11′—28°47′之间，县境南北长61千米，东西宽32千米，总面积1323平方千米 。截至2022年10月，高县辖13个镇 。截至2022年末，高县常住人口37.9万人。', 9, '2024-07-31 14:15:07', '2024-08-02 10:55:29'), (9, '', '南溪区', '511503000000', 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 'file/fileupload/1722407248637.png', '', '排队系统,评价系统', '28.820864', '104.957361', '2023-12-08 00:00:00', 'site', 7, '仙源街道办事处', '南溪区，隶属四川省宜宾市，是宜宾市市辖区之一，位于四川省南部，东邻江安县，西接翠屏区，南靠长宁县，北连富顺县，总面积704平方千米。 2021年，南溪区户籍总人口41.30万人，常住人口33.7万人。 截至2021年10月，南溪区下辖3个街道、8个镇。 南溪区人民政府驻南溪街道政通路8号。', 9, '2024-07-31 14:27:32', '2024-08-02 10:53:06'), (10, '4f18395213524e90a80d4aef3f20d60d', '兴文县', '511528000000', NULL, '', '', 'file/fileupload/1722407310779.png', '', '排队系统,评价系统', '', '', '2023-11-11 00:00:00', 'area', 8, '四川兴文经济开发区', '兴文县，隶属四川省宜宾市，位于宜宾市境东南，东南与叙永县相邻，南与云南省威信县接壤，西接珙县，西北接长宁，北与江安、泸州市纳溪区毗邻，总面积1379.89平方千米 。截至2023年6月，兴文县辖8个镇、4个乡。 截至2023年末，兴文县末常住人口38.1万，城镇化率43.18%。', 9, '2024-07-31 14:28:51', '2024-08-02 10:54:20'), (11, '', '高新区', '511534000000', 24, '511534000000-0001', '宜宾高新区政企服务中心', 'file/fileupload/1722475089940.png', '', '排队系统,评价系统', '28.780339', '104.440816', '2023-12-17 00:00:00', 'site', 2, '', '宜宾高新区（叙州园）由高捷园、城北园、豆坝园、盐坪坝园组成，建成区面积现已达16平方公里。', 9, '2024-08-01 09:18:20', '2024-08-02 10:43:45'), (12, '', '翠屏区', '511502000000', 22, '511502000000-0001', '翠屏区政务服务中心', 'file/fileupload/1722475128896.png', '', '排队系统,评价系统', '28.803300', '104.619745', '2023-11-07 00:00:00', 'site', 3, '翠屏区政务服务中心、象鼻街道综合便民服务中心', '翠屏区，隶属四川省宜宾市。位于四川盆地南部，宜宾市中部偏北。是宜宾市政治、经济、文化中心 ，东邻南溪区，南界高县、长宁县，西靠叙州区，北接富顺县，总面积1526平方千米（含临港）。 2022年，翠屏区户籍总人口87.92万人，常住人口91.3万人。 截至2023年6月，翠屏区下辖8个街道、12个镇。', 9, '2024-08-01 09:18:55', '2024-08-02 10:45:15'), (13, '', '江安县', '511523000000', 11, '511523000000-0001', '江安市民中心', 'file/fileupload/1722585837436.png', '', '等待对接', '28.720446', '105.071593', NULL, 'site', 13, '', '江安县，四川省宜宾市辖县，位于四川南缘，长江之滨，宜宾之东，三市（宜宾、泸州、自贡）之交。地跨北纬28°22′20″—28°56′45″，东经104°57′40″－105°14′33″。全县辖区面积948.46平方公里，辖14镇。 县人民政府驻江安镇竹都大道。截至2023年末，江安县常住人口42.6万人，城镇化率50.07%。', 9, '2024-08-02 16:04:00', '2024-08-21 10:23:49'), (14, '', '叙州区', '511521000000', 3, '511521000000-0001', '宜宾市退役军人政务服务大厅', 'file/fileupload/1722586417394.png', '', '等待对接', '28.75325', '104.630571', NULL, 'site', 10, '', '叙州区，隶属四川省宜宾市。位于四川盆地南缘，长江上游，金沙江、岷江下游，川滇两省结合部，东与宜宾市翠屏区、自贡市富顺县，西与屏山县、乐山市沐川县和乐山市犍为县，南与高县和云南省昭通市水富市、盐津县，北与荣县相邻。介于北纬28°18′—29°16′，东经104°01′—104°43′之间，总面积2570平方千米 。截至2022年10月，叙州区辖3个街道、12个镇、2个乡 。截至2022年末，叙州区常住人口95.1万人。', 9, '2024-08-02 16:14:15', NULL), (15, '', '长宁县', '511524000000', 12, '511524000000-0001', '长宁县政务服务中心', 'file/fileupload/1722586485134.png', '', '等待对接', '28.58076', '104.91759', NULL, 'site', 11, '', '长宁县，隶属四川省宜宾市，位于四川盆地南缘，宜宾市腹心地带，东临江安，南接兴文县、西与高县、珙县交邻，并紧靠宜珙铁路，北与南溪区、宜宾市相连。南北长约60公里，东西宽30公里，面积941.71平方公里，南北两端小，中腹较大，地势南高北低，南部为中低山，中北部为丘陵，属四川盆地中亚热带湿润性季风气候。截至2023年末，长宁县下辖13个镇，县人民政府驻长宁镇竹都大道二段116号，户籍总人口42.59万人。', 9, '2024-08-02 16:15:01', NULL), (16, '', '三江新区', '511530000000', 14, '511530000000-0001', '宜宾三江新区政务服务中心', 'file/fileupload/1722586520660.png', '', '等待对接', '28.799063', '104.699542', NULL, 'site', 12, '', '宜宾三江新区是四川省第一个省级新区，规划面积389平方公里，实际管辖面积420平方公里，下辖4街道2镇，空间范围包括现宜宾临港经济技术开发区（翠屏区白沙湾街道、沙坪街道、双城街道）、翠屏区宋家镇和南溪区罗龙街道、江南镇。', 9, '2024-08-02 16:15:33', NULL), (17, '', '屏山县', '511529000000', 17, '511529000000-0001', '屏山县政务服务中心', 'file/fileupload/1722586552951.png', '', '评价系统', '28.828554', '104.346043', '2024-08-21 00:00:00', 'site', 9, '', '屏山县，隶属四川省宜宾市，位于四川省南缘，金沙江下游北岸，岷江下游两岸，东界叙州区，西邻雷波县、马边彝族自治县，北连沐川县，南与绥江县隔金沙江相望，总面积1504平方千米。截至2023年6月，屏山县辖8个镇、3个乡，屏山县人民政府驻屏山镇金沙江大道西段139号。截至2023年末，屏山县户籍人口31.1万人，常住人口24.4万人。', 9, '2024-08-02 16:16:09', '2024-08-22 13:35:06');
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_access_stat_log
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_access_stat_log`;
CREATE TABLE `mortals_xhx_access_stat_log`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `access_id` bigint(20) NULL DEFAULT 0 COMMENT '接入Id',
  `site_id` bigint(20) NULL DEFAULT NULL COMMENT '站点Id',
  `site_code` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '站点编码',
  `site_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '站点名称',
  `stat_start_time` datetime(0) NULL DEFAULT NULL COMMENT '统计开始时间',
  `stat_end_time` datetime(0) NULL DEFAULT NULL COMMENT '统计结束时间',
  `duration` bigint(20) NULL DEFAULT 0 COMMENT '站点Id',
  `type` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '全部' COMMENT '类型 (ALL.全部,PJQ.评价器,PDJ.排队机)',
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '备注',
  `create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2127 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '统计日志表';

-- ----------------------------
-- Records of mortals_xhx_access_stat_log
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_access_system
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_access_system`;
CREATE TABLE `mortals_xhx_access_system`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `accessId` bigint(20) NULL DEFAULT NULL COMMENT '接入区域ID',
  `system_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '接入系统名称',
  `system_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '接入系统编码',
  `enabled` tinyint(2) NULL DEFAULT 0 COMMENT '启用状态 (0.停止，1.启用)',
  `access_time` datetime(0) NULL DEFAULT NULL COMMENT '接入开通时间',
  `sort` int(4) NULL DEFAULT 0 COMMENT '排序',
  `remark` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `create_time` datetime(0) NOT NULL COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 116 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '区域接入系统';

-- ----------------------------
-- Records of mortals_xhx_access_system
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_access_system` VALUES (79, 11, '排队系统', 'pdxt', 1, '2023-12-18 00:00:00', NULL, NULL, 1, '2024-08-02 10:43:45', '2024-08-02 10:43:45'), (80, 11, '评价系统', 'pjxt', 1, '2023-12-17 00:00:00', NULL, NULL, 1, '2024-08-02 10:43:45', '2024-08-02 10:43:45'), (85, 12, '排队系统', 'pdxt', 1, '2023-11-07 00:00:00', NULL, NULL, 1, '2024-08-02 10:45:15', '2024-08-02 10:45:15'), (86, 12, '评价系统', 'pjxt', 1, '2023-11-07 00:00:00', NULL, NULL, 1, '2024-08-02 10:45:15', '2024-08-02 10:45:15'), (95, 9, '排队系统', 'pdxt', 1, '2023-12-08 00:00:00', NULL, NULL, 1, '2024-08-02 10:53:06', '2024-08-02 10:53:06'), (96, 9, '评价系统', 'pjxt', 1, '2023-12-10 00:00:00', NULL, NULL, 1, '2024-08-02 10:53:06', '2024-08-02 10:53:06'), (97, 10, '排队系统', 'pdxt', 1, '2023-11-11 00:00:00', NULL, NULL, 1, '2024-08-02 10:54:20', '2024-08-02 10:54:20'), (98, 10, '评价系统', 'pjxt', 1, '2023-12-20 00:00:00', NULL, NULL, 1, '2024-08-02 10:54:20', '2024-08-02 10:54:20'), (100, 7, '评价系统', 'pjxt', 1, '2024-03-18 00:00:00', NULL, NULL, 1, '2024-08-02 10:55:29', '2024-08-02 10:55:29'), (102, 6, '评价系统', 'pjxt', 1, '2023-12-11 00:00:00', NULL, NULL, 1, '2024-08-02 10:57:12', '2024-08-02 10:57:12'), (104, 5, '评价系统', 'pjxt', 1, '2023-12-06 00:00:00', NULL, NULL, 1, '2024-08-02 10:59:24', '2024-08-02 10:59:24'), (107, 4, '排队系统', 'pdxt', 1, '2023-03-01 00:00:00', NULL, NULL, 1, '2024-08-02 11:00:39', '2024-08-02 11:00:39'), (108, 4, '评价系统', 'pjxt', 1, '2023-03-01 00:00:00', NULL, NULL, 1, '2024-08-02 11:00:39', '2024-08-02 11:00:39'), (115, 17, '评价系统', 'pjxt', 1, '2024-08-21 00:00:00', NULL, NULL, 1, '2024-08-22 13:35:06', '2024-08-22 13:35:06');
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_device
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_device`;
CREATE TABLE `mortals_xhx_device`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `deviceId` bigint(20) NULL DEFAULT NULL COMMENT '设备id',
  `deviceName` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备名称',
  `deviceCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备编码',
  `deviceMac` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备的MAC地址',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点Id',
  `siteCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点编号，来源基础服务平台',
  `siteName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `productCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '产品编码',
  `productName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '产品名称',
  `deviceSrc` tinyint(2) NULL DEFAULT 2 COMMENT '设备来源(0.子设备，1.网关设备，2.直连设备)',
  `lon` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '经度',
  `lati` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纬度',
  `leadingOfficial` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '负责人',
  `leadingOfficialTelephone` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `deviceStatus` tinyint(2) NULL DEFAULT NULL COMMENT '设备状态 (0.未激活，1.离线,2.在线)',
  `deviceRemark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `source` tinyint(2) NULL DEFAULT 1 COMMENT '设备来源(0.旧设备，1.新设备)',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '设备';

-- ----------------------------
-- Records of mortals_xhx_device
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_device` VALUES (1, 1, '', '72-4E-E8-DE-36-FD', '72-4E-E8-DE-36-FD', 1, '510302111700-0001', '测试', '', '评价器', 2, '', '', '张三', '13808095770', 1, '', 1, 1, '2025-03-01 00:50:01', 1, '2025-02-28 14:56:09');
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_device_blackapp
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_device_blackapp`;
CREATE TABLE `mortals_xhx_device_blackapp`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键，自增长',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点ID',
  `deviceId` bigint(20) NULL DEFAULT NULL COMMENT '设备id',
  `deviceCode` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备编码',
  `deviceName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备名称',
  `appId` bigint(20) NULL DEFAULT NULL COMMENT '应用id',
  `appCode` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '应用编码',
  `appName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '应用名称',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '设备应用黑名单';

-- ----------------------------
-- Records of mortals_xhx_device_blackapp
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_dimension
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_dimension`;
CREATE TABLE `mortals_xhx_dimension`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `dimension_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '维度编码',
  `dimension_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '维度名称',
  `dimension_value` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '维度值',
  `dimension_type` tinyint(2) NULL DEFAULT 1 COMMENT '维度类型(1.固定值,2.系统上下问变量)',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '授权维度';

-- ----------------------------
-- Records of mortals_xhx_dimension
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_dimension_resource_rule
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_dimension_resource_rule`;
CREATE TABLE `mortals_xhx_dimension_resource_rule`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `role_id` bigint(20) NULL DEFAULT NULL COMMENT '角色ID',
  `role_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色名称',
  `resource_id` bigint(20) NULL DEFAULT NULL COMMENT '资源ID',
  `resource_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '资源名称',
  `rule_code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规则编码',
  `rule_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规则名称',
  `rule_condition` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'IN' COMMENT '规则条件(IN.属于,<.小于,>.大于,=.等于,!=.不等于,>=.大于等于,<=.小于等于,like %.左模糊,like %.右模糊)',
  `rule_value` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规则值,固定值或者系统变量',
  `rule_type` tinyint(2) NULL DEFAULT 1 COMMENT '规则值类型(1.固定值,2.系统上下问变量)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色资源维度规则表';

-- ----------------------------
-- Records of mortals_xhx_dimension_resource_rule
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_idgenerator
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_idgenerator`;
CREATE TABLE `mortals_xhx_idgenerator`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `idType` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'id类型',
  `idMaxValue` bigint(20) UNSIGNED NOT NULL COMMENT 'id值',
  `remark` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '备注',
  `versionNum` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '版本号，默认0',
  `gmtModify` timestamp(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '最后修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '主键Id生成器';

-- ----------------------------
-- Records of mortals_xhx_idgenerator
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_idgenerator` VALUES (1, 'INFO_VERSION_KEY', 1, '基础信息版本号生成因子', 0, '2019-04-18 18:00:00');
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_menu
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_menu`;
CREATE TABLE `mortals_xhx_menu`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '菜单名称',
  `url` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '连接地址',
  `parentId` bigint(20) NULL DEFAULT NULL COMMENT '父菜单ID，一级菜单的该字段值为-1',
  `orderId` int(11) NULL DEFAULT NULL COMMENT '排序编号',
  `status` tinyint(2) NULL DEFAULT 1 COMMENT '菜单状态，0：禁用，1：启用，默认1',
  `linkType` tinyint(2) NULL DEFAULT 0 COMMENT '链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0',
  `groupId` int(11) NULL DEFAULT 1 COMMENT '分组编号，使用菜单分隔符按该值分隔，默认1',
  `groupName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `imgPath` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主菜单图标，主菜单图标的css样式名',
  `buttonImgPath` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '按钮图标，按钮图标的css样式名',
  `imgCommPath` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '常用菜单图标，常用菜单图标的css样式名',
  `commMenu` tinyint(2) NULL DEFAULT 0 COMMENT '是否常用菜单，0：非常用，1：常用，默认0',
  `menuType` tinyint(2) NULL DEFAULT 0 COMMENT '菜单类型，0：主菜单，1：非主菜单(功能操作组)，默认0',
  `authType` tinyint(2) NULL DEFAULT 3 COMMENT '权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 9163 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '菜单信息';

-- ----------------------------
-- Records of mortals_xhx_menu
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_menu` VALUES (91, '系统管理', '', 0, 9999, 1, 0, 0, NULL, 'setting', '', '', 0, 0, 3, NULL, NULL, ''), (108, '区域信息', '/area/list', 91, 65, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9001, '主页', '/index', 90, 10, 1, 0, 1, NULL, '', NULL, NULL, 0, 0, 3, '2019-02-19 16:08:09', 1, 'admin'), (9101, '用户信息', '/user/list', 91, 10, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9102, '角色信息', '/role/list', 91, 20, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9103, '资源信息', '/resource/list', 91, 30, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9104, '菜单信息', '/menu/list', 91, 40, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9105, '参数信息', '/param/list', 91, 50, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9106, '任务信息', '/task/list', 91, 60, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9107, '操作日志', '/oper/log/list', 91, 70, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9133, '站点管理', '/site/list', 91, NULL, 1, 0, 1, NULL, 'view', NULL, NULL, 0, 0, 3, '2021-11-03 21:51:48', 1, '系统管理员'), (9134, '站点部门窗口表', '/window/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9135, '站点业务表', '/business/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9136, '业务事项关联表', '/business/matter/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9137, '部门表', '/dept/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9138, '节假日表', '/holiday/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9139, '基础事项表', '/matter/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9140, '事项受理条件', '/matter/accept/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9141, '事项收费标准', '/matter/charges/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9142, '事项申请材料', '/matter/datum/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9143, '材料附件表', '/matter/datum/file/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9144, '事项办理流程', '/matter/flowlimit/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9145, '事项中介服务表', '/matter/intermediary/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9146, '事项常见问题', '/matter/question/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9147, '事项设定依据表', '/matter/setbase/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9148, '模块表', '/model/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9149, '站点事项表', '/site/matter/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9150, '站点模块表', '/site/model/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9151, '短信设置', '/sms/set/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9152, '短信模板表', '/sms/template/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9153, '窗口业务表', '/window/business/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9154, '窗口事项表', '/window/matter/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9155, '工作人员表', '/workman/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9156, '站点表', '/site/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9157, '区域表', '/area/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9158, '产品', '/product/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL), (9159, '系统基础皮肤', '/skin/base/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL), (9160, '系统皮肤模板', '/skin/template/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL), (9161, '皮肤属性字段配置', '/skin/field/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL), (9162, '系统皮肤分类', '/skin/category/list', 0, 1, 1, 0, 0, '', NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_oper_log`;
CREATE TABLE `mortals_xhx_oper_log`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `platformMark` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '平台标识',
  `userId` bigint(20) NULL DEFAULT NULL COMMENT '用户id',
  `userName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户名称',
  `loginName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户登录名',
  `requestUrl` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求地址',
  `content` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '操作内容，记录操作具体信息，如修改前修改或的数据',
  `ip` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '操作IP地址',
  `logDate` datetime(0) NULL DEFAULT NULL COMMENT '操作时间',
  `operType` tinyint(2) NULL DEFAULT NULL COMMENT '操作类型，0：新增，1：修改，2：删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1017 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '操作日志';

-- ----------------------------
-- Records of mortals_xhx_oper_log
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_param
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_param`;
CREATE TABLE `mortals_xhx_param`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数名称',
  `firstOrganize` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级组织，如：平台配置',
  `secondOrganize` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级组织，如：基础配置',
  `paramKey` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数键，全局唯一',
  `paramValue` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数值',
  `validStatus` tinyint(2) NULL DEFAULT 1 COMMENT '参数有效状态，0：禁用，1：启用，默认1',
  `modStatus` tinyint(2) NULL DEFAULT 4 COMMENT '参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4',
  `displayType` tinyint(2) NULL DEFAULT 0 COMMENT '展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 265 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '参数信息';

-- ----------------------------
-- Records of mortals_xhx_param
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_param` VALUES (1, '红旗窗口 ', 'Window', 'hongqi', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (2, '红旗窗口 ', 'Window', 'hongqi', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (3, '业务类型', 'Business', 'isBusiness', '0', '一级业务', 1, 4, 0, NULL, NULL, NULL, NULL), (4, '业务类型', 'Business', 'isBusiness', '1', '二级业务', 1, 4, 0, NULL, NULL, NULL, NULL), (5, '是否允许预约', 'Business', 'canorder', '1', '允许', 1, 4, 0, NULL, NULL, NULL, NULL), (6, '是否允许预约', 'Business', 'canorder', '0', '不允许', 1, 4, 0, NULL, NULL, NULL, NULL), (7, '是否允许取号', 'Business', 'cantake', '1', '允许', 1, 4, 0, NULL, NULL, NULL, NULL), (8, '是否允许取号', 'Business', 'cantake', '0', '不允许', 1, 4, 0, NULL, NULL, NULL, NULL), (9, '大厅情况展示 ', 'Business', 'datashow', '1', '展示', 1, 4, 0, NULL, NULL, NULL, NULL), (10, '大厅情况展示 ', 'Business', 'datashow', '0', '不展示', 1, 4, 0, NULL, NULL, NULL, NULL), (11, '类型', 'Business', 'businessType', '0', '一体化业务', 1, 4, 0, NULL, NULL, NULL, NULL), (12, '类型', 'Business', 'businessType', '1', '自建业务', 1, 4, 0, NULL, NULL, NULL, NULL), (13, '业务状态 ', 'Business', 'status', '0', '停用', 1, 4, 0, NULL, NULL, NULL, NULL), (14, '业务状态 ', 'Business', 'status', '1', '正常', 1, 4, 0, NULL, NULL, NULL, NULL), (15, '填单机展示 ', 'Dept', 'isAutotable', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (16, '填单机展示 ', 'Dept', 'isAutotable', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (17, '预约展示 ', 'Dept', 'isOrder', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (18, '预约展示 ', 'Dept', 'isOrder', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (19, '背靠背展示 ', 'Dept', 'isBkb', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (20, '背靠背展示 ', 'Dept', 'isBkb', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (21, '办事指南展示 ', 'Dept', 'isWorkGuide', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (22, '办事指南展示 ', 'Dept', 'isWorkGuide', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (23, '是否使用 ', 'Dept', 'usValid', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (24, '是否使用 ', 'Dept', 'usValid', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (25, '部门电话是否展示 ', 'Dept', 'isSecphone', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (26, '部门电话是否展示 ', 'Dept', 'isSecphone', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (27, '是否展示英文 ', 'Dept', 'isEnglish', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (28, '是否展示英文 ', 'Dept', 'isEnglish', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (29, '服务对象 ', 'Matter', 'appoveObjectShow', '1', '事业法人', 1, 4, 0, NULL, NULL, NULL, NULL), (30, '服务对象 ', 'Matter', 'appoveObjectShow', '2', '社会组织法人', 1, 4, 0, NULL, NULL, NULL, NULL), (31, '服务对象 ', 'Matter', 'appoveObjectShow', '3', '非法人企业', 1, 4, 0, NULL, NULL, NULL, NULL), (32, '服务对象 ', 'Matter', 'appoveObjectShow', '4', '企业法人', 1, 4, 0, NULL, NULL, NULL, NULL), (33, '服务对象 ', 'Matter', 'appoveObjectShow', '5', '自然人', 1, 4, 0, NULL, NULL, NULL, NULL), (34, '服务对象 ', 'Matter', 'appoveObjectShow', '6', '其他组织', 1, 4, 0, NULL, NULL, NULL, NULL), (35, '通办范围 ', 'Matter', 'operatScopeShow', '1', '无', 1, 4, 0, NULL, NULL, NULL, NULL), (36, '通办范围 ', 'Matter', 'operatScopeShow', '2', '全国', 1, 4, 0, NULL, NULL, NULL, NULL), (37, '通办范围 ', 'Matter', 'operatScopeShow', '3', '全省', 1, 4, 0, NULL, NULL, NULL, NULL), (38, '通办范围 ', 'Matter', 'operatScopeShow', '4', '全市', 1, 4, 0, NULL, NULL, NULL, NULL), (39, '通办范围 ', 'Matter', 'operatScopeShow', '5', '全县', 1, 4, 0, NULL, NULL, NULL, NULL), (40, '通办范围 ', 'Matter', 'operatScopeShow', '6', '全镇[乡 街道]', 1, 4, 0, NULL, NULL, NULL, NULL), (41, '通办范围 ', 'Matter', 'operatScopeShow', '7', '跨村[社区]', 1, 4, 0, NULL, NULL, NULL, NULL), (42, '办件类型', 'Matter', 'appoveTimeLimitShow', '1', '网络办件', 1, 4, 0, NULL, NULL, NULL, NULL), (43, '办件类型', 'Matter', 'appoveTimeLimitShow', '2', '行政审批一般件', 1, 4, 0, NULL, NULL, NULL, NULL), (44, '办件类型', 'Matter', 'appoveTimeLimitShow', '3', '综合窗口件', 1, 4, 0, NULL, NULL, NULL, NULL), (45, '办理形式', 'Matter', 'handleType', '1', '窗口办理', 1, 4, 0, NULL, NULL, NULL, NULL), (46, '办理形式', 'Matter', 'handleType', '2', '网上办理', 1, 4, 0, NULL, NULL, NULL, NULL), (47, '是否收费', 'Matter', 'isChargesShow', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (48, '是否收费', 'Matter', 'isChargesShow', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (49, '认证等级需求', 'Matter', 'certificationLevelsShow', '1', '实名认证', 1, 4, 0, NULL, NULL, NULL, NULL), (50, '认证等级需求', 'Matter', 'certificationLevelsShow', '2', '单次面签', 1, 4, 0, NULL, NULL, NULL, NULL), (51, '认证等级需求', 'Matter', 'certificationLevelsShow', '3', '每次面签', 1, 4, 0, NULL, NULL, NULL, NULL), (52, '是否网上预约,窗口办理选', 'Matter', 'isOnlineSubscribeShow', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (53, '是否网上预约,窗口办理选', 'Matter', 'isOnlineSubscribeShow', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (54, '物流快递,窗口办理选', 'Matter', 'isExpressTakeShow', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (55, '物流快递,窗口办理选', 'Matter', 'isExpressTakeShow', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (56, '是否支持全省范围就近取件', 'Matter', 'isProvinceAcquisitionShow', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (57, '是否支持全省范围就近取件', 'Matter', 'isProvinceAcquisitionShow', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (58, '是否支持全省范围就近办理', 'Matter', 'isApplyProvinceShow', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (59, '是否支持全省范围就近办理', 'Matter', 'isApplyProvinceShow', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (60, '网办类型', 'Matter', 'onlineType', '1', '原件预审', 1, 4, 0, NULL, NULL, NULL, NULL), (61, '网办类型', 'Matter', 'onlineType', '2', '原件核验', 1, 4, 0, NULL, NULL, NULL, NULL), (62, '网办类型', 'Matter', 'onlineType', '3', '全程网办', 1, 4, 0, NULL, NULL, NULL, NULL), (63, '网络办理深度', 'Matter', 'onlineOperatDeep', '1', '互联网咨询', 1, 4, 0, NULL, NULL, NULL, NULL), (64, '网络办理深度', 'Matter', 'onlineOperatDeep', '2', '互联网收件', 1, 4, 0, NULL, NULL, NULL, NULL), (65, '网络办理深度', 'Matter', 'onlineOperatDeep', '3', '互联网预审', 1, 4, 0, NULL, NULL, NULL, NULL), (66, '网络办理深度', 'Matter', 'onlineOperatDeep', '4', '互联网受理', 1, 4, 0, NULL, NULL, NULL, NULL), (67, '网络办理深度', 'Matter', 'onlineOperatDeep', '5', '互联网办理', 1, 4, 0, NULL, NULL, NULL, NULL), (68, '网络办理深度', 'Matter', 'onlineOperatDeep', '6', '互联网办理结果信息反馈', 1, 4, 0, NULL, NULL, NULL, NULL), (69, '网络办理深度', 'Matter', 'onlineOperatDeep', '7', '其他', 1, 4, 0, NULL, NULL, NULL, NULL), (70, '物流快递，网上办理选', 'Matter', 'isExpressTakeOnlineShow', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (71, '物流快递，网上办理选', 'Matter', 'isExpressTakeOnlineShow', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (72, '是否支持上门收取申请', 'Matter', 'isDoorTakeShow', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (73, '是否支持上门收取申请', 'Matter', 'isDoorTakeShow', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (74, '事项类型名称', 'Matter', 'eventTypeShow', '1A', '行政许可', 1, 4, 0, NULL, NULL, NULL, NULL), (75, '事项类型名称', 'Matter', 'eventTypeShow', '1B', '行政处罚', 1, 4, 0, NULL, NULL, NULL, NULL), (76, '事项类型名称', 'Matter', 'eventTypeShow', '1C', '行政强制', 1, 4, 0, NULL, NULL, NULL, NULL), (77, '事项类型名称', 'Matter', 'eventTypeShow', '1D', '行政征收', 1, 4, 0, NULL, NULL, NULL, NULL), (78, '事项类型名称', 'Matter', 'eventTypeShow', '1G', '行政给付', 1, 4, 0, NULL, NULL, NULL, NULL), (79, '事项类型名称', 'Matter', 'eventTypeShow', '1I', '行政检查', 1, 4, 0, NULL, NULL, NULL, NULL), (80, '事项类型名称', 'Matter', 'eventTypeShow', '1F', '行政确认', 1, 4, 0, NULL, NULL, NULL, NULL), (81, '事项类型名称', 'Matter', 'eventTypeShow', '1H', '行政奖励', 1, 4, 0, NULL, NULL, NULL, NULL), (82, '事项类型名称', 'Matter', 'eventTypeShow', '1E', '行政裁决', 1, 4, 0, NULL, NULL, NULL, NULL), (83, '事项类型名称', 'Matter', 'eventTypeShow', '1Z', '其他行政权力', 1, 4, 0, NULL, NULL, NULL, NULL), (84, '事项类型名称', 'Matter', 'eventTypeShow', '2A', '主动服务', 1, 4, 0, NULL, NULL, NULL, NULL), (85, '事项类型名称', 'Matter', 'eventTypeShow', '2B', '依申请服务', 1, 4, 0, NULL, NULL, NULL, NULL), (86, '事项类型名称', 'Matter', 'eventTypeShow', '2C', '咨询查询', 1, 4, 0, NULL, NULL, NULL, NULL), (87, '事项类型名称', 'Matter', 'eventTypeShow', '3A', '未归类事项', 1, 4, 0, NULL, NULL, NULL, NULL), (88, '行使层级名称', 'Matter', 'performHierarchyShow', '1', '省级', 1, 4, 0, NULL, NULL, NULL, NULL), (89, '行使层级名称', 'Matter', 'performHierarchyShow', '2', '市级', 1, 4, 0, NULL, NULL, NULL, NULL), (90, '行使层级名称', 'Matter', 'performHierarchyShow', '3', '县级', 1, 4, 0, NULL, NULL, NULL, NULL), (91, '行使层级名称', 'Matter', 'performHierarchyShow', '4', '镇[乡，街道]', 1, 4, 0, NULL, NULL, NULL, NULL), (92, '行使层级名称', 'Matter', 'performHierarchyShow', '5', '村[社区]级', 1, 4, 0, NULL, NULL, NULL, NULL), (93, '权力来源', 'Matter', 'powerSourceShow', '1', '法定本级行使', 1, 4, 0, NULL, NULL, NULL, NULL), (94, '权力来源', 'Matter', 'powerSourceShow', '2', '上级下放', 1, 4, 0, NULL, NULL, NULL, NULL), (95, '权力来源', 'Matter', 'powerSourceShow', '3', '上级授权', 1, 4, 0, NULL, NULL, NULL, NULL), (96, '权力来源', 'Matter', 'powerSourceShow', '4', '同级授权', 1, 4, 0, NULL, NULL, NULL, NULL), (97, '权力来源', 'Matter', 'powerSourceShow', '5', '上级委托', 1, 4, 0, NULL, NULL, NULL, NULL), (98, '权力来源', 'Matter', 'powerSourceShow', '6', '同级委托', 1, 4, 0, NULL, NULL, NULL, NULL), (99, '实施主体性质', 'Matter', 'performDeptTypeShow', '1', '法定机关', 1, 4, 0, NULL, NULL, NULL, NULL), (100, '实施主体性质', 'Matter', 'performDeptTypeShow', '2', '授权组织', 1, 4, 0, NULL, NULL, NULL, NULL), (101, '实施主体性质', 'Matter', 'performDeptTypeShow', '3', '受委托组织', 1, 4, 0, NULL, NULL, NULL, NULL), (102, '是否进驻中心', 'Matter', 'goveServiceCenterShow', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (103, '是否进驻中心', 'Matter', 'goveServiceCenterShow', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (104, '是否纳入便民服务中心', 'Matter', 'isConvenientCenterShow', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (105, '是否纳入便民服务中心', 'Matter', 'isConvenientCenterShow', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (106, '自助终端办理 ', 'Matter', 'terminalHandle', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (107, '自助终端办理 ', 'Matter', 'terminalHandle', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (108, '是否网办 ', 'Matter', 'isOnline', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (109, '是否网办 ', 'Matter', 'isOnline', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (110, '支持网上支付', 'Matter', 'isOnlinePayShow', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (111, '支持网上支付', 'Matter', 'isOnlinePayShow', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (112, '委托部门', 'Matter', 'entrustmentDepartmen', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (113, '委托部门', 'Matter', 'entrustmentDepartmen', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (114, '事项状态', 'Matter', 'matterStatus', '0', '停用', 1, 4, 0, NULL, NULL, NULL, NULL), (115, '事项状态', 'Matter', 'matterStatus', '1', '在用', 1, 4, 0, NULL, NULL, NULL, NULL), (116, '主题类型', 'Matter', 'type', '1', '法定机关', 1, 4, 0, NULL, NULL, NULL, NULL), (117, '主题类型', 'Matter', 'type', '2', '授权组织', 1, 4, 0, NULL, NULL, NULL, NULL), (118, '主题类型', 'Matter', 'type', '3', '受委托组织', 1, 4, 0, NULL, NULL, NULL, NULL), (119, '是否样表展示', 'Matter', 'mattertype', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (120, '是否样表展示', 'Matter', 'mattertype', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (121, '事项来源', 'Matter', 'source', '0', '政务网', 1, 4, 0, NULL, NULL, NULL, NULL), (122, '事项来源', 'Matter', 'source', '1', '自定义', 1, 4, 0, NULL, NULL, NULL, NULL), (123, '事项来源 ', 'MatterAccept', 'source', '0', '政务网', 1, 4, 0, NULL, NULL, NULL, NULL), (124, '事项来源 ', 'MatterAccept', 'source', '1', '自定义', 1, 4, 0, NULL, NULL, NULL, NULL), (125, '事项来源，', 'MatterCharges', 'source', '0', '政务网', 1, 4, 0, NULL, NULL, NULL, NULL), (126, '事项来源，', 'MatterCharges', 'source', '1', '自定义', 1, 4, 0, NULL, NULL, NULL, NULL), (127, '必交性', 'MatterDatum', 'isMust', '1', '非必要', 1, 4, 0, NULL, NULL, NULL, NULL), (128, '必交性', 'MatterDatum', 'isMust', '2', '必要', 1, 4, 0, NULL, NULL, NULL, NULL), (129, '必交性', 'MatterDatum', 'isMust', '3', '必要|容缺后补', 1, 4, 0, NULL, NULL, NULL, NULL), (130, '必交性', 'MatterDatum', 'isMust', '4', '非必要|容缺后补', 1, 4, 0, NULL, NULL, NULL, NULL), (131, '材料形式', 'MatterDatum', 'materialProperty', '1', '纸质', 1, 4, 0, NULL, NULL, NULL, NULL), (132, '材料形式', 'MatterDatum', 'materialProperty', '2', '电子', 1, 4, 0, NULL, NULL, NULL, NULL), (133, '材料形式', 'MatterDatum', 'materialProperty', '3', '纸质|电子', 1, 4, 0, NULL, NULL, NULL, NULL), (134, '电子材料格式', 'MatterDatum', 'electronicgs', '1', '无', 1, 4, 0, NULL, NULL, NULL, NULL), (135, '电子材料格式', 'MatterDatum', 'electronicgs', '2', '不限', 1, 4, 0, NULL, NULL, NULL, NULL), (136, '电子材料格式', 'MatterDatum', 'electronicgs', '3', 'jpg', 1, 4, 0, NULL, NULL, NULL, NULL), (137, '电子材料格式', 'MatterDatum', 'electronicgs', '4', 'jpeg', 1, 4, 0, NULL, NULL, NULL, NULL), (138, '电子材料格式', 'MatterDatum', 'electronicgs', '5', 'pdf', 1, 4, 0, NULL, NULL, NULL, NULL), (139, '电子材料格式', 'MatterDatum', 'electronicgs', '6', 'word', 1, 4, 0, NULL, NULL, NULL, NULL), (140, '电子材料格式', 'MatterDatum', 'electronicgs', '7', 'pdf,jpg,jpeg', 1, 4, 0, NULL, NULL, NULL, NULL), (141, '电子材料格式', 'MatterDatum', 'electronicgs', '8', 'pdf,jpg', 1, 4, 0, NULL, NULL, NULL, NULL), (142, '材料来源渠道', 'MatterDatum', 'materialSource', '1', '无', 1, 4, 0, NULL, NULL, NULL, NULL), (143, '材料来源渠道', 'MatterDatum', 'materialSource', '2', '申请人自备', 1, 4, 0, NULL, NULL, NULL, NULL), (144, '材料来源渠道', 'MatterDatum', 'materialSource', '3', '政府部门核发', 1, 4, 0, NULL, NULL, NULL, NULL), (145, '材料来源渠道', 'MatterDatum', 'materialSource', '4', '其他', 1, 4, 0, NULL, NULL, NULL, NULL), (146, '减免模式', 'MatterDatum', 'jianmMs', '1', '无', 1, 4, 0, NULL, NULL, NULL, NULL), (147, '减免模式', 'MatterDatum', 'jianmMs', '2', '减', 1, 4, 0, NULL, NULL, NULL, NULL), (148, '减免模式', 'MatterDatum', 'jianmMs', '3', '免', 1, 4, 0, NULL, NULL, NULL, NULL), (149, '是否减免', 'MatterDatum', 'isjianm', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (150, '是否减免', 'MatterDatum', 'isjianm', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (151, '材料是否容缺', 'MatterDatum', 'isLack', '1', '必要', 1, 4, 0, NULL, NULL, NULL, NULL), (152, '材料是否容缺', 'MatterDatum', 'isLack', '2', '非必要', 1, 4, 0, NULL, NULL, NULL, NULL), (153, '事项来源', 'MatterDatum', 'source', '0', '政务网', 1, 4, 0, NULL, NULL, NULL, NULL), (154, '事项来源', 'MatterDatum', 'source', '1', '自定义', 1, 4, 0, NULL, NULL, NULL, NULL), (155, '附件类型 ', 'MatterDatumFile', 'filetype', '1', '示例样表', 1, 4, 0, NULL, NULL, NULL, NULL), (156, '附件类型 ', 'MatterDatumFile', 'filetype', '2', '空白表格', 1, 4, 0, NULL, NULL, NULL, NULL), (157, '附件来源 ', 'MatterDatumFile', 'source', '0', '政务网', 1, 4, 0, NULL, NULL, NULL, NULL), (158, '附件来源 ', 'MatterDatumFile', 'source', '1', '自定义', 1, 4, 0, NULL, NULL, NULL, NULL), (159, '事项来源', 'MatterFlowlimit', 'source', '0', '政务网', 1, 4, 0, NULL, NULL, NULL, NULL), (160, '事项来源', 'MatterFlowlimit', 'source', '1', '自定义', 1, 4, 0, NULL, NULL, NULL, NULL), (161, '事项来源，', 'MatterIntermediary', 'source', '0', '政务网', 1, 4, 0, NULL, NULL, NULL, NULL), (162, '事项来源，', 'MatterIntermediary', 'source', '1', '自定义', 1, 4, 0, NULL, NULL, NULL, NULL), (163, '事项来源，', 'MatterQuestion', 'source', '0', '政务网', 1, 4, 0, NULL, NULL, NULL, NULL), (164, '事项来源，', 'MatterQuestion', 'source', '1', '自定义', 1, 4, 0, NULL, NULL, NULL, NULL), (165, '法规类型，', 'MatterSetbase', 'policyType', '1', '法律', 1, 4, 0, NULL, NULL, NULL, NULL), (166, '法规类型，', 'MatterSetbase', 'policyType', '2', '行政法规', 1, 4, 0, NULL, NULL, NULL, NULL), (167, '法规类型，', 'MatterSetbase', 'policyType', '3', '地方法规', 1, 4, 0, NULL, NULL, NULL, NULL), (168, '法规类型，', 'MatterSetbase', 'policyType', '4', '部门规章', 1, 4, 0, NULL, NULL, NULL, NULL), (169, '法规类型，', 'MatterSetbase', 'policyType', '5', '其他', 1, 4, 0, NULL, NULL, NULL, NULL), (170, '法规类型，', 'MatterSetbase', 'policyType', '6', '政府规章', 1, 4, 0, NULL, NULL, NULL, NULL), (171, '法规类型，', 'MatterSetbase', 'policyType', '7', '规范性文件', 1, 4, 0, NULL, NULL, NULL, NULL), (172, '事项来源，', 'MatterSetbase', 'source', '0', '政务网', 1, 4, 0, NULL, NULL, NULL, NULL), (173, '事项来源，', 'MatterSetbase', 'source', '1', '自定义', 1, 4, 0, NULL, NULL, NULL, NULL), (174, '短信开关 ', 'SmsSet', 'messageoff', '1', '开', 1, 4, 0, NULL, NULL, NULL, NULL), (175, '短信开关 ', 'SmsSet', 'messageoff', '0', '关', 1, 4, 0, NULL, NULL, NULL, NULL), (176, '短信平台 ', 'SmsSet', 'smsplatform', '1', '容联', 1, 4, 0, NULL, NULL, NULL, NULL), (177, '短信平台 ', 'SmsSet', 'smsplatform', '2', '阿里云', 1, 4, 0, NULL, NULL, NULL, NULL), (178, '短信平台 ', 'SmsSet', 'smsplatform', '3', '移动', 1, 4, 0, NULL, NULL, NULL, NULL), (179, '模板选择 ', 'SmsTemplate', 'type', '1', '预约成功短信', 1, 4, 0, NULL, NULL, NULL, NULL), (180, '模板选择 ', 'SmsTemplate', 'type', '2', '取号成功短信', 1, 4, 0, NULL, NULL, NULL, NULL), (181, '模板选择 ', 'SmsTemplate', 'type', '3', '临近叫号短信', 1, 4, 0, NULL, NULL, NULL, NULL), (182, '政治面貌 ', 'Workman', 'politicalstatus', '0', '中共党员', 1, 4, 0, 'politicalstatus', NULL, NULL, NULL), (183, '政治面貌 ', 'Workman', 'politicalstatus', '1', '中共预备党员', 1, 4, 0, 'politicalstatus', NULL, NULL, NULL), (184, '政治面貌 ', 'Workman', 'politicalstatus', '2', '共青团员', 1, 4, 0, 'politicalstatus', NULL, NULL, NULL), (185, '政治面貌 ', 'Workman', 'politicalstatus', '3', '普通居民', 1, 4, 0, 'politicalstatus', NULL, NULL, NULL), (186, '政治面貌 ', 'Workman', 'politicalstatus', '99', '其它', 1, 4, 0, 'politicalstatus', NULL, NULL, NULL), (187, '党员 ', 'Workman', 'dangyuan', '0', '非党员', 1, 4, 0, 'dangyuan', NULL, NULL, NULL), (188, '党员 ', 'Workman', 'dangyuan', '1', '党员', 1, 4, 0, 'dangyuan', NULL, NULL, NULL), (189, '党员 ', 'Workman', 'dangyuan', '2', '党员示范岗', 1, 4, 0, 'dangyuan', NULL, NULL, NULL), (190, '党员 ', 'Workman', 'dangyuan', '3', '党员先锋岗', 1, 4, 0, 'dangyuan', NULL, NULL, NULL), (191, '党员 ', 'Workman', 'dangyuan', '99', '其它', 1, 4, 0, 'dangyuan', NULL, NULL, NULL), (192, '是否在线', 'Workman', 'online', '0', '离线', 1, 4, 0, NULL, NULL, NULL, NULL), (193, '是否在线', 'Workman', 'online', '1', '在线', 1, 4, 0, NULL, NULL, NULL, NULL), (194, '是否在线', 'Workman', 'online', '2', '暂离', 1, 4, 0, NULL, NULL, NULL, NULL), (195, '是否在线', 'Workman', 'online', '3', '点击暂离', 1, 4, 0, NULL, NULL, NULL, NULL), (196, '是否在线', 'Workman', 'online', '4', '回归', 1, 4, 0, NULL, NULL, NULL, NULL), (197, '是否在线', 'Workman', 'online', '5', '登陆', 1, 4, 0, NULL, NULL, NULL, NULL), (198, '是否有下级', 'Site', 'haveSonArea', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (199, '是否有下级', 'Site', 'haveSonArea', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (200, '周一 ', 'Site', 'workday1', '1', '上班', 1, 4, 0, NULL, NULL, NULL, NULL), (201, '周一 ', 'Site', 'workday1', '0', '不上', 1, 4, 0, NULL, NULL, NULL, NULL), (202, '周二 ', 'Site', 'workday2', '1', '上班', 1, 4, 0, NULL, NULL, NULL, NULL), (203, '周二 ', 'Site', 'workday2', '0', '不上', 1, 4, 0, NULL, NULL, NULL, NULL), (204, '周三 ', 'Site', 'workday3', '1', '上班', 1, 4, 0, NULL, NULL, NULL, NULL), (205, '周三 ', 'Site', 'workday3', '0', '不上', 1, 4, 0, NULL, NULL, NULL, NULL), (206, '周四 ', 'Site', 'workday4', '1', '上班', 1, 4, 0, NULL, NULL, NULL, NULL), (207, '周四 ', 'Site', 'workday4', '0', '不上', 1, 4, 0, NULL, NULL, NULL, NULL), (208, '周五 ', 'Site', 'workday5', '1', '上班', 1, 4, 0, NULL, NULL, NULL, NULL), (209, '周五 ', 'Site', 'workday5', '0', '不上', 1, 4, 0, NULL, NULL, NULL, NULL), (210, '周六 ', 'Site', 'workday6', '1', '上班', 1, 4, 0, NULL, NULL, NULL, NULL), (211, '周六 ', 'Site', 'workday6', '0', '不上', 1, 4, 0, NULL, NULL, NULL, NULL), (212, '周日 ', 'Site', 'workday7', '1', '上班', 1, 4, 0, NULL, NULL, NULL, NULL), (213, '周日 ', 'Site', 'workday7', '0', '不上', 1, 4, 0, NULL, NULL, NULL, NULL), (214, '是否是站点  ', 'Site', 'isSite', '1', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (215, '是否是站点  ', 'Site', 'isSite', '0', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (216, '站点状态 ', 'Site', 'status', '0', '停用', 1, 4, 0, NULL, NULL, NULL, NULL), (217, '站点状态 ', 'Site', 'status', '1', '正常', 1, 4, 0, NULL, NULL, NULL, NULL), (218, '是否有下级区域', 'Area', 'haveSonArea', 'True', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (219, '是否有下级区域', 'Area', 'haveSonArea', 'False', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (220, '是否有下级部门', 'Area', 'haveSonDept', 'True', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (221, '是否有下级部门', 'Area', 'haveSonDept', 'False', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (222, '是否获取部门', 'Area', 'haveGetDept', 'true', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (223, '是否获取部门', 'Area', 'haveGetDept', 'false', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (224, '是否获取事项列表', 'Area', 'haveGetMatterList', 'true', '是', 1, 4, 0, NULL, NULL, NULL, NULL), (225, '是否获取事项列表', 'Area', 'haveGetMatterList', 'false', '否', 1, 4, 0, NULL, NULL, NULL, NULL), (226, '区域等级', 'Area', 'areaLevel', '1', '省', 1, 4, 0, NULL, NULL, NULL, NULL), (227, '区域等级', 'Area', 'areaLevel', '2', '地市州', 1, 4, 0, NULL, NULL, NULL, NULL), (228, '区域等级', 'Area', 'areaLevel', '3', '区县', 1, 4, 0, NULL, NULL, NULL, NULL), (229, '区域等级', 'Area', 'areaLevel', '4', '街道', 1, 4, 0, NULL, NULL, NULL, NULL), (230, '区域等级', 'Area', 'areaLevel', '5', '社区', 1, 4, 0, NULL, NULL, NULL, NULL), (231, '区域状态', 'Area', 'status', '0', '停用', 1, 4, 0, NULL, NULL, NULL, NULL), (232, '区域状态', 'Area', 'status', '1', '正常', 1, 4, 0, NULL, NULL, NULL, NULL), (233, '设备类型  ', 'SkinBase', 'deviceType', 'pdj', '排号机', 1, 4, 0, 'deviceType', NULL, NULL, NULL), (234, '设备类型  ', 'SkinBase', 'deviceType', 'ckp', '窗口屏', 1, 4, 0, 'deviceType', NULL, NULL, NULL), (235, '设备类型  ', 'SkinBase', 'deviceType', 'hjq', '呼叫器', 1, 4, 0, 'deviceType', NULL, NULL, NULL), (236, '设备类型  ', 'SkinBase', 'deviceType', 'jzxsp', '集中显示屏', 1, 4, 0, 'deviceType', NULL, NULL, NULL), (237, '设备类型  ', 'SkinBase', 'deviceType', 'dsj', '导视机', 1, 4, 0, 'deviceType', NULL, NULL, NULL), (238, '设备类型  ', 'SkinBase', 'deviceType', 'pjq', '评级器', 1, 4, 0, 'deviceType', NULL, NULL, NULL), (239, '设备类型  ', 'SkinBase', 'deviceType', 'zzfwzd', '自助服务终端', 1, 4, 0, 'deviceType', NULL, NULL, NULL), (240, '设备类型  ', 'SkinBase', 'deviceType', 'tdj', '填单机', 1, 4, 0, 'deviceType', NULL, NULL, NULL), (241, '设备类型  ', 'SkinBase', 'deviceType', 'ybj', '样表机', 1, 4, 0, 'deviceType', NULL, NULL, NULL), (242, '分辨率 ', 'SkinBase', 'imageResolution', '1920x1080', '1920x1080', 1, 4, 0, 'imageResolution', NULL, NULL, NULL), (243, '分辨率 ', 'SkinBase', 'imageResolution', '1080x1920', '1080x1920', 1, 4, 0, 'imageResolution', NULL, NULL, NULL), (244, '分辨率 ', 'SkinBase', 'imageResolution', '1280x1024', '1280x1024', 1, 4, 0, 'imageResolution', NULL, NULL, NULL), (245, '数据类型', 'SkinField', 'fieldType', '1', '颜色', 1, 4, 0, 'fieldType', NULL, NULL, NULL), (246, '数据类型', 'SkinField', 'fieldType', '2', '图片地址', 1, 4, 0, 'fieldType', NULL, NULL, NULL), (248, 'server_url', NULL, NULL, 'server_http_url', 'http://127.0.0.1:11078', 1, 4, 0, NULL, NULL, NULL, NULL), (249, 'php_url', NULL, NULL, 'server_php_http_url', 'http://127.0.0.1:11078/zwfw_api', 1, 4, 0, NULL, NULL, NULL, NULL), (250, '应用主题', 'App', 'appThemeName	', '1', '交通出行	', 1, 4, 0, 'appThemeName	', '2023-04-03 21:36:11', 1, '系统管理员'), (251, '应用主题', 'App', 'appThemeName	', '2', '医保社保', 1, 4, 0, 'appThemeName	', '2023-04-03 21:37:13', 1, '系统管理员'), (252, '应用主题', 'App', 'appThemeName	', '3', '生活缴费', 1, 4, 0, 'appThemeName	', '2023-04-03 21:38:13', 1, '系统管理员'), (253, '应用主题', 'App', 'appThemeName	', '4', '公共服务', 1, 4, 0, 'appThemeName	', '2023-04-03 21:38:48', 1, '系统管理员'), (254, '应用主题', 'App', 'appThemeName', '1', '交通出行', 1, 4, 0, '', '2023-03-24 17:16:02', 1, '系统管理员'), (255, '应用主题', 'App', 'appThemeName', '2', '医保社保', 1, 4, 0, 'appThemeName', '2023-03-24 17:21:43', 1, '系统管理员'), (256, '应用主题', 'App', 'appThemeName', '3', '生活缴费', 1, 4, 0, 'appThemeName', '2023-03-24 17:22:12', 1, '系统管理员'), (257, '应用主题', 'App', 'appThemeName', '4', '公共服务', 1, 4, 0, 'appThemeName', '2023-03-24 17:22:52', 1, '系统管理员'), (258, '应用主题	', 'App', 'appThemeName', '5', '综合政务', 1, 4, 0, '', '2023-04-12 20:15:24', 1, '系统管理员'), (259, '分辨率 ', 'SkinBase', 'imageResolution', '1024x600', '1024x600', 1, 4, 0, 'imageResolution', '2024-03-05 09:59:49', 1, '系统管理员'), (260, '分辨率 ', 'SkinBase', 'imageResolution', '800x1280', '800x1280', 1, 4, 0, 'imageResolution', '2024-03-05 10:04:04', 1, '系统管理员'), (261, '党员', 'Workman', 'dangyuan', '100', '无', 1, 4, 0, 'dangyuan', '2024-03-25 15:11:25', 1, '系统管理员'), (262, '政治面貌	', 'Workman', 'politicalstatus', '4', '群众', 1, 4, 0, 'politicalstatus', '2024-03-25 15:12:47', 1, '系统管理员'), (263, '门户登录背景', '', '', 'signImg', '', 1, 4, 0, '', '2024-04-08 17:11:56', 1, '系统管理员'), (264, '门户站点编排背景', '', '', 'siteImg', '', 1, 4, 0, '', '2024-04-09 16:48:11', 1, '系统管理员');
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_ph_queue
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_ph_queue`;
CREATE TABLE `mortals_xhx_ph_queue`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `ordernumber` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '预约编号，为空现场取号',
  `style` char(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '叫号状态 (未叫号,叫号中,完成)',
  `business` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '业务名',
  `window_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '窗口名',
  `window_fromnum` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '窗口编号',
  `flownum` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '流水编号,当天的第xxx号',
  `formernum` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '呼叫转移号',
  `people_idcard` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '身份证号',
  `people_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '姓名',
  `people_sex` char(6) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '性别',
  `people_phone` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '手机号',
  `workman_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '工作人员姓名',
  `workman_number` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '工作人员工号',
  `taketime` datetime(0) NULL DEFAULT NULL COMMENT '取号时间',
  `calltime` datetime(0) NULL DEFAULT NULL COMMENT '叫号时间',
  `endtime` datetime(0) NULL DEFAULT NULL COMMENT '结束时间',
  `wait_time` int(11) NOT NULL DEFAULT 0 COMMENT '等待时间,单位s',
  `handle_time` int(11) NOT NULL DEFAULT 0 COMMENT '办理时间,单位s',
  `device_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '取号设备名',
  `call_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '呼叫设备',
  `matter_name` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '事项名',
  `siteid` int(11) NULL DEFAULT 0,
  `queueid` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '排号队列ID，唯一',
  `wy_signin` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '现场取号' COMMENT '取号方式 (现场取号,微信取号)',
  `section_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '部门名称',
  `hall_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '大厅名称',
  `device_type` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '排号机' COMMENT '取号设备类型',
  `ext_num` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '扩展编号',
  `create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `create_time` datetime(0) NOT NULL COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `style`(`style`) USING BTREE,
  INDEX `business`(`business`) USING BTREE,
  INDEX `window_fromnum`(`window_fromnum`) USING BTREE,
  INDEX `people_idcard`(`people_idcard`) USING BTREE,
  INDEX `workman_number`(`workman_number`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '排号汇总';

-- ----------------------------
-- Records of mortals_xhx_ph_queue
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_ph_queue_stat
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_ph_queue_stat`;
CREATE TABLE `mortals_xhx_ph_queue_stat`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `siteId` bigint(20) NULL DEFAULT 0 COMMENT '站点Id',
  `siteCode` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点编码',
  `siteName` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `business` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '业务名',
  `sectionName` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '部门',
  `hallName` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '大厅名称',
  `windowFromnum` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '窗口编号',
  `waitTime` int(9) NULL DEFAULT 0 COMMENT '平均等待时间,单位s',
  `phCount` int(9) NOT NULL COMMENT '取号数量',
  `year` int(9) NOT NULL COMMENT '年',
  `month` int(9) NOT NULL COMMENT '月',
  `day` int(9) NOT NULL COMMENT '日',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `year`(`year`) USING BTREE,
  INDEX `month`(`month`) USING BTREE,
  INDEX `day`(`day`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 257105 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '排队叫号汇总统计';

-- ----------------------------
-- Records of mortals_xhx_ph_queue_stat
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (62, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 13:54:33', NULL, NULL), (63, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 13:54:34', NULL, NULL), (64, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 13:54:34', NULL, NULL), (65, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 13:54:35', NULL, NULL), (66, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 13:54:36', NULL, NULL), (67, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 13:54:37', NULL, NULL), (68, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 13:54:38', NULL, NULL), (69, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 13:54:38', NULL, NULL), (70, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 13:54:39', NULL, NULL), (71, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 13:54:40', NULL, NULL), (72, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 13:54:41', NULL, NULL), (73, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 13:54:41', NULL, NULL), (74, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 13:54:42', NULL, NULL), (75, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 13:54:43', NULL, NULL), (76, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 13:54:44', NULL, NULL), (77, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 13:54:45', NULL, NULL), (78, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 13:54:45', NULL, NULL), (79, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 13:54:46', NULL, NULL), (80, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 13:54:47', NULL, NULL), (81, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 13:54:48', NULL, NULL), (82, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 13:54:48', NULL, NULL), (83, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 13:54:49', NULL, NULL), (84, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 13:54:50', NULL, NULL), (85, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 13:54:51', NULL, NULL), (86, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 13:54:52', NULL, NULL), (87, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 13:54:53', NULL, NULL), (88, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 13:54:54', NULL, NULL), (89, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 13:54:55', NULL, NULL), (90, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 13:54:56', NULL, NULL), (91, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 13:54:57', NULL, NULL), (92, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 13:54:59', NULL, NULL), (93, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 13:55:00', NULL, NULL), (94, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 13:55:01', NULL, NULL), (95, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 13:55:03', NULL, NULL), (96, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 13:55:04', NULL, NULL), (97, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 13:55:06', NULL, NULL), (98, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 13:55:07', NULL, NULL), (99, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 13:55:09', NULL, NULL), (100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 13:55:10', NULL, NULL), (101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 13:55:11', NULL, NULL), (102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 13:55:13', NULL, NULL), (103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 13:55:14', NULL, NULL), (104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 13:55:15', NULL, NULL), (105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 13:55:16', NULL, NULL), (106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 13:55:16', NULL, NULL), (107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 13:55:17', NULL, NULL), (108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 13:55:18', NULL, NULL), (109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 13:55:19', NULL, NULL), (110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 13:55:20', NULL, NULL), (111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 13:55:20', NULL, NULL), (112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 13:55:21', NULL, NULL), (113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 13:55:22', NULL, NULL), (114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 13:55:23', NULL, NULL), (115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 13:55:24', NULL, NULL), (116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 13:55:24', NULL, NULL), (117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 13:55:25', NULL, NULL), (118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 13:55:26', NULL, NULL), (119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 13:55:27', NULL, NULL), (120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 13:55:28', NULL, NULL), (121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1794, 2642, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1099, 2459, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 718, 2126, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 597, 215, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 226, 126, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1238, 2229, 2023, 3, 6, '2024-08-05 13:55:34', NULL, NULL), (127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 485, 1989, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 524, 1334, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 828, 1822, 2023, 3, 9, '2024-08-05 13:55:38', NULL, NULL), (130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 851, 1616, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 332, 162, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 203, 66, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 471, 1934, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 493, 1836, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 505, 1725, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1085, 1658, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 610, 1737, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 431, 142, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 278, 72, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1321, 1941, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 633, 1664, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 584, 1583, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 412, 1479, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1037, 1620, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 448, 134, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 347, 69, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1417, 1919, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1024, 1653, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 559, 1600, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1061, 1480, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1310, 1577, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 737, 168, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 2512, 171, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1486, 2298, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 694, 1950, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 210, 80, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 808, 1936, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 593, 1900, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 157, 119, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 473, 83, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 923, 2198, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 483, 2007, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 669, 1935, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 468, 1972, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 700, 1783, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 440, 157, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 13:56:40', NULL, NULL), (168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 692, 2026, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 533, 1738, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 345, 1555, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 448, 1576, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 584, 1788, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 2234, 205, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 246, 994, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 469, 1807, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 540, 1739, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1236, 1739, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 545, 1584, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 816, 1569, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 423, 88, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 217, 59, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1221, 40, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 361, 54, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 55, 53, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 838, 1629, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 648, 1774, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 277, 1402, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 535, 147, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 627, 1633, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1260, 1678, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 547, 1628, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 706, 1476, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 628, 1488, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 505, 147, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1600, 96, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 882, 1825, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 843, 1593, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 407, 1498, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1162, 1211, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 585, 1360, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 729, 125, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 326, 64, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1324, 1622, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 634, 1596, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 698, 1524, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 592, 1638, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 788, 1658, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1182, 221, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 611, 167, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1241, 1645, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 955, 1467, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1228, 1205, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 853, 1251, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 794, 1543, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 671, 159, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 430, 121, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1061, 1824, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 624, 1560, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 498, 1487, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 333, 1392, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1050, 965, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1400, 218, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 329, 121, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 801, 1668, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 751, 1507, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 392, 1541, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 486, 1159, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 666, 1460, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1060, 198, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 562, 127, 2023, 6, 18, '2024-08-05 13:58:20', NULL, NULL), (231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1618, 1622, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 414, 1361, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 911, 1298, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 326, 64, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 366, 88, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 557, 91, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 347, 1185, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 856, 1562, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 625, 1391, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 671, 1470, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 327, 1336, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 552, 1289, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 429, 175, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 788, 131, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 603, 1940, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 600, 1742, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 375, 1600, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 712, 1626, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 548, 1834, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 448, 227, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 758, 143, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 810, 1780, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 751, 1553, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 532, 1698, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 283, 1593, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 457, 1989, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1228, 187, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 812, 197, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 658, 2002, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 396, 1578, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 355, 1598, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 480, 1509, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 406, 1523, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1234, 220, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 865, 166, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 493, 1669, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 718, 1339, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 421, 1530, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 379, 1528, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 383, 1584, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1179, 202, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 774, 146, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1346, 1654, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 639, 1579, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 449, 1522, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 619, 1519, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 608, 1556, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 666, 162, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 551, 96, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 623, 1852, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 268, 1627, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 309, 1412, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 450, 1461, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 281, 1494, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 389, 120, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 248, 96, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 447, 1594, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 427, 1316, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 296, 1241, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 313, 1361, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 460, 1345, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 290, 132, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 343, 104, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 818, 1563, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 326, 1414, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 209, 1374, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 328, 1412, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 236, 1423, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 398, 120, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 236, 91, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 389, 1694, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 318, 1438, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 286, 1317, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 286, 1167, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 321, 1412, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1552, 151, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 234, 89, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 385, 1813, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 611, 1019, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 347, 1464, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 355, 1430, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 465, 1422, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 601, 148, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 315, 106, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 519, 1721, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 270, 1612, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 272, 1535, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 221, 1415, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 401, 1532, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 346, 150, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 649, 111, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 381, 1525, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 353, 1419, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 228, 1235, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 358, 1421, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 326, 1301, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 239, 183, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 803, 38, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 447, 1555, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 316, 1417, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 390, 1476, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 511, 1290, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 14:01:04', NULL, NULL), (334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 14:01:05', NULL, NULL), (335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 14:01:06', NULL, NULL), (336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 14:01:07', NULL, NULL), (337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 995, 123, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 370, 116, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 612, 58, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 632, 88, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 644, 1837, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 634, 2011, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 435, 1820, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 337, 1804, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 285, 1725, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 288, 1597, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 410, 1555, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 830, 135, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 672, 104, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 407, 1803, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 487, 1772, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 305, 1551, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 349, 1539, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 566, 1538, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 164, 154, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 185, 77, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 341, 1744, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 299, 1673, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 345, 1344, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 336, 1365, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 372, 1584, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 261, 114, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 484, 77, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 231, 1572, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 441, 1662, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 364, 1712, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 352, 1625, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 367, 1592, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 474, 139, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 231, 58, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 458, 2022, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 270, 1758, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 229, 1530, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 372, 1530, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 505, 1653, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 227, 114, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 371, 78, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 364, 2032, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 361, 1727, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 225, 1382, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 260, 1428, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 287, 1416, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 397, 156, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 201, 97, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 266, 1740, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 288, 1615, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 337, 1598, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 252, 1493, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 299, 1495, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 381, 120, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 234, 81, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 566, 1806, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 425, 1627, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 278, 1466, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 359, 851, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 464, 1504, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 287, 140, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 498, 94, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 340, 2102, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 289, 1865, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 443, 1818, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 608, 1820, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 580, 1700, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 167, 90, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 378, 101, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 443, 1922, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 398, 1921, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 345, 1574, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 319, 1672, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 398, 1510, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 393, 136, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 735, 68, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 352, 1659, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 325, 1487, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 761, 1348, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 312, 1455, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 680, 1503, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 495, 159, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 220, 115, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1262, 2094, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1144, 1960, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1113, 1911, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 902, 1880, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1505, 1454, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 632, 109, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 513, 68, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 163, 44, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 559, 1543, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 362, 1508, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 533, 1627, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 567, 1593, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 530, 183, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1004, 100, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 425, 1847, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 270, 1569, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 330, 1312, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 594, 1334, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 468, 1552, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 920, 194, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 563, 113, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 608, 1775, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 534, 1527, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 356, 1384, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 593, 1317, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 531, 1374, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 263, 268, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 189, 144, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 313, 1493, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 254, 1356, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 393, 1163, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 418, 1330, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 308, 1311, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 585, 140, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 154, 119, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 475, 1598, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 442, 1342, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 203, 1110, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 427, 1494, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 342, 1290, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 277, 131, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 327, 779, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 293, 1414, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 203, 1183, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 325, 889, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 218, 669, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 442, 150, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 14:04:39', NULL, NULL), (468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 14:04:40', NULL, NULL), (469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 1, 2024, 2, 12, '2024-08-05 14:04:41', NULL, NULL), (470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 14:04:41', NULL, NULL), (471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 397, 74, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 657, 57, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 85, 69, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 2, 4, 2024, 2, 17, '2024-08-05 14:04:45', NULL, NULL), (475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 409, 1367, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 418, 1616, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 396, 1568, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 308, 1354, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 354, 1343, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 355, 1337, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 327, 98, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 376, 86, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 440, 1629, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 318, 1526, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 368, 1396, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 340, 1251, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 373, 1371, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 463, 146, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 297, 76, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 583, 1747, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 332, 1462, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 298, 1463, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 250, 1292, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 468, 1162, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 796, 128, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 318, 93, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 291, 1703, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 365, 1419, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 269, 1465, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 197, 1271, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 355, 1402, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1214, 161, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 964, 111, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 374, 1555, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 530, 1348, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 393, 1272, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 328, 1287, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 810, 1292, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1134, 180, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 493, 128, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 607, 1630, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 601, 1249, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 547, 1158, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 782, 1233, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 770, 1301, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 658, 151, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 400, 69, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 571, 1475, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 553, 1210, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 948, 1322, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 135, 67, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 306, 75, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 308, 59, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 365, 1130, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 683, 1542, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 581, 1288, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 635, 1211, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 749, 1301, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 525, 1326, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 468, 175, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 163, 66, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 368, 1427, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 383, 1270, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 476, 1277, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 359, 1256, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 602, 1249, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 545, 102, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 617, 88, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 317, 1355, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 310, 1214, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 553, 1345, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 280, 1110, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 304, 1227, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1717, 178, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 330, 957, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 306, 1179, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 370, 1070, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 702, 93, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1034, 64, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 271, 64, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 326, 68, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 276, 55, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 378, 1472, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 264, 1417, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 195, 1056, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 242, 1254, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 381, 1317, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 239, 880, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 902, 117, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 247, 1465, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 363, 1440, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 266, 1270, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 267, 1123, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 488, 1241, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 847, 157, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1049, 123, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 379, 1413, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 308, 1198, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 169, 1179, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 333, 1145, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 389, 1232, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 487, 173, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1534, 88, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 377, 1358, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 255, 1092, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 226, 1077, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 368, 1195, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 365, 1047, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 471, 136, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 399, 84, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 446, 1324, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 204, 1098, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 207, 1198, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 235, 1115, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 369, 1111, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 346, 125, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 309, 89, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 66, 37, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 248, 1349, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 360, 1432, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 372, 1403, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 388, 1356, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1543, 187, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1167, 134, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 389, 1452, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 246, 1334, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 328, 1320, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 940, 1302, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 285, 1174, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1377, 44, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 503, 225, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 385, 1480, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 240, 1311, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 307, 1102, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 317, 1324, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 849, 1655, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 776, 248, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 232, 157, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 353, 1399, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 335, 1261, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 277, 1341, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 254, 1225, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 442, 1198, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 971, 181, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 357, 115, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 682, 1635, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 374, 1312, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 477, 1168, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 411, 1507, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 418, 1359, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 357, 177, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 143, 132, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 505, 1628, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 319, 1341, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 344, 1242, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 356, 1380, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 220, 1178, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 373, 199, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 200, 127, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 373, 1520, 2024, 7, 22, '2024-08-05 14:08:38', NULL, NULL), (631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 324, 1179, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 412, 1248, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 310, 1145, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 267, 1307, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2, 2024, 7, 27, '2024-08-05 14:08:44', NULL, NULL), (636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2, 2024, 7, 28, '2024-08-05 14:08:45', NULL, NULL), (637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 555, 1481, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 354, 1213, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 296, 1124, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 289, 1088, 2024, 8, 1, '2024-08-05 14:08:50', 1, '2024-08-05 20:12:02'), (641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 310, 1224, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:17'), (642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 296, 168, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:03'), (643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 60, 105, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 358, 1489, 2024, 8, 5, '2024-08-05 14:08:57', 1, '2024-08-09 01:00:02'), (645, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 176, 202, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (646, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 87, 6, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (647, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 2784, 475, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (648, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 3559, 35, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (649, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 2574, 220, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (650, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 846, 524, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (651, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1460, 144, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (652, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1128, 147, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (653, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 3534, 463, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (654, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 369, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (655, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 463, 233, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (656, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 750, 168, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (657, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 3541, 462, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (658, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 2139, 421, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (659, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 779, 125, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (660, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 997, 199, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (661, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 849, 521, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (662, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 176, 202, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (663, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2767, 478, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (664, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 461, 234, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (665, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 3572, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (666, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 395, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (667, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (668, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 2575, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (669, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 240, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (670, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 501, 22, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (671, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 323, 44, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (672, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 176, 202, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (673, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 4302, 217, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (674, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 418, 13, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (675, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 900, 71, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (676, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 1471, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (677, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1212, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (678, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 66, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (679, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 611, 37, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (680, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 411, 16, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (681, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 78, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (682, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1372, 6, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (683, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 797, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (684, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 536, 20, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (685, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 87, 6, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (686, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 7370, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (687, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 2161, 11, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (688, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 18, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (689, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (690, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 304, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (691, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 392, 8, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (692, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 1432, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (693, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 758, 263, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (694, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1610, 29, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (695, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 1342, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (696, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 147, 11, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (697, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1890, 177, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (698, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 6190, 14, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (699, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 2664, 140, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (700, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 10, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (701, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 11, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (702, 1, '511500000000-0001', '宜宾市民中心', '城市货车通行码申领', '', '', '', 42, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (703, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 67, 22, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (704, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 78, 28, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (705, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 2416, 80, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (706, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 116, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (707, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 369, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 526, 16, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 1742, 8, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 578, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 419, 9, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 345, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 3572, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 411, 16, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2159, 16, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 900, 71, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1418, 10, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 4427, 26, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 3607, 26, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1715, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 5267, 38, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2907, 9, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1897, 12, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 3033, 34, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2069, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 982, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 4730, 50, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3837, 10, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2089, 11, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 3052, 51, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 4700, 37, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1825, 17, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2223, 10, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 5917, 42, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 3286, 31, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1917, 12, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 497, 23, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 387, 24, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A16', 84, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 256, 25, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 620, 45, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 836, 28, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 2465, 22, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 182, 23, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 127, 27, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 228, 34, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 318, 30, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 220, 47, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 441, 30, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 327, 31, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 155, 31, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 3439, 36, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1587, 10, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 502, 28, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 125, 40, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 128, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 38, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 218, 15, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 234, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1286, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 2250, 73, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 637, 11, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 553, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 363, 27, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 509, 26, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 631, 48, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 189, 10, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 761, 12, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 828, 31, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 87, 6, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 733, 34, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 611, 37, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 369, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 458, 46, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 725, 42, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 795, 33, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 2890, 100, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 689, 52, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 2310, 120, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 730, 53, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A09', 215, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 1935, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 6190, 14, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2575, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 636, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 611, 38, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 852, 19, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2161, 11, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 392, 8, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 992, 33, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 69, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 4513, 95, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 3, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 1234, 28, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 1509, 24, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 246, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 29, 13, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 1224, 21, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 17, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 1062, 39, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 127, 13, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1212, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 81, 8, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 84, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 323, 44, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 57, 9, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 4137, 122, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 5912, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 5587, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 29449, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 32, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1957, 18, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2031, 28, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1647, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1491, 21, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1678, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1667, 28, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (818, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 411, 16, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (819, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 87, 6, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (820, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 304, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (821, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1667, 28, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (822, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 4302, 217, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (823, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 395, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (824, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 323, 44, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (825, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 611, 37, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (826, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 1432, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (827, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 78, 28, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (828, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 1678, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (829, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 797, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (830, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1212, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (831, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1890, 177, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (832, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 3572, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (833, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 900, 71, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (834, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 240, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (835, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 11, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (836, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 14740, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (837, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 147, 11, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (838, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 418, 13, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (839, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 176, 202, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (840, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 536, 20, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (841, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 18, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (842, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 2575, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (843, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 501, 22, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (844, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 369, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (845, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 67, 22, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (846, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 2416, 80, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (847, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 78, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (848, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 6190, 14, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (849, 1, '511500000000-0001', '宜宾市民中心', '城市货车通行码申领', '市公安局', '', '', 84, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (850, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 2161, 11, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (851, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 2664, 140, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (852, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1647, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (853, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 761, 262, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (854, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 66, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (855, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 116, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (856, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 10, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (857, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 392, 8, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (858, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '', 2942, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (859, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1212, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (860, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 526, 16, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (861, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 578, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (862, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D22', 797, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (863, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 10, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (864, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 411, 16, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (865, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 323, 44, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (866, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 125, 40, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (867, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 18, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (868, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 2161, 11, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (869, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 155, 31, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (870, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 228, 34, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (871, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 220, 47, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (872, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 2651, 39, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (873, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 182, 23, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (874, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 127, 27, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (875, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 1382, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (876, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 2194, 41, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (877, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 44, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (878, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 46, 8, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (879, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 85, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (880, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 81, 8, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (881, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 29449, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (882, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 32, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (883, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 3572, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (884, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 62, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (885, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 369, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (886, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 869, 18, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (887, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 610, 37, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (888, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 14, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (889, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A21', 812, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (890, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 195, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (891, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 992, 33, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (892, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 395, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (893, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 725, 42, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (894, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1647, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (895, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 87, 6, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (896, 1, '511500000000-0001', '宜宾市民中心', '城市货车通行码申领', '', '', '1A16', 84, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (897, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 66, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (898, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 147, 11, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (899, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 734, 50, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (900, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 717, 49, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (901, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 795, 33, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (902, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1667, 28, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (903, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D26', 1432, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (904, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 17, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (905, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 1678, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (906, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 392, 8, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (907, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1917, 12, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (908, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 1742, 8, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (909, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 3, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (910, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 189, 10, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (911, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 29, 13, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (912, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2159, 16, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (913, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 761, 12, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (914, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 246, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (915, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 1418, 10, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (916, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 2371, 79, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (917, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 3044, 61, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (918, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 463, 8, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (919, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 345, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (920, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2031, 28, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (921, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1491, 21, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (922, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E28', 78, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (923, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1957, 18, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (924, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 4137, 122, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (925, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 4513, 95, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (926, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 2575, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (927, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 69, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (928, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A21', 11, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (929, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 6190, 14, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (930, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E27', 144, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (931, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E28', 88, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (932, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '1D26', 2942, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (933, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2069, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (934, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2089, 11, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (935, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1825, 17, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (936, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 611, 37, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (937, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2223, 10, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (938, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1715, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (939, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1897, 12, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (940, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 900, 71, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (941, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 1509, 24, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (942, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 1224, 21, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (943, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 69, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (944, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 1234, 28, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (945, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 1062, 39, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (946, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 127, 13, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (947, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 84, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (948, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 57, 9, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (949, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 81, 8, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (950, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1491, 21, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (951, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2031, 28, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (952, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1957, 18, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (953, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 32, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (954, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 3439, 36, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (955, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 29449, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (956, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 2465, 22, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (957, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A16', 84, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (958, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 441, 30, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (959, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A09', 215, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (960, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 631, 48, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (961, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 611, 38, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (962, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 852, 19, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (963, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3837, 10, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (964, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 992, 33, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (965, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2907, 9, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (966, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 392, 8, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (967, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 982, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (968, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 17, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (969, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 29, 13, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (970, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 509, 26, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (971, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 553, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (972, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 246, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (973, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 3, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (974, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 38, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (975, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 128, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (976, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 4513, 95, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (977, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 4137, 122, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (978, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 323, 44, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (979, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1212, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (980, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 828, 31, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (981, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 733, 34, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (982, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 458, 46, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (983, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 411, 16, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (984, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 611, 37, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (985, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 900, 71, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (986, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 189, 10, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (987, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 761, 12, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (988, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 526, 16, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (989, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 3572, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (990, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 725, 42, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (991, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 578, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (992, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 730, 53, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (993, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 256, 25, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (994, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 836, 28, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (995, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 795, 33, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (996, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 419, 9, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (997, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 345, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (998, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 620, 45, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (999, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 689, 52, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1000, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1825, 17, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1001, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 327, 31, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1002, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2089, 11, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1003, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 387, 24, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1004, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2069, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1005, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1897, 12, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1006, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 497, 23, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1007, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1715, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1008, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 318, 30, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1009, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 369, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1010, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 363, 27, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1011, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1917, 12, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1012, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2223, 10, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1013, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 5587, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1014, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 1742, 8, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1015, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1418, 10, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1016, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2159, 16, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1017, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 5912, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1018, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 87, 6, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1019, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 2890, 100, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1020, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 2310, 120, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1021, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 127, 27, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1022, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 228, 34, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (1023, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 182, 23, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1024, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 220, 47, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1025, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 155, 31, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1026, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 1935, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1027, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 125, 40, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1028, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2575, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1029, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 636, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1030, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 6190, 14, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1031, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2161, 11, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1032, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1678, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1033, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1667, 28, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1034, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1647, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1035, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 502, 28, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1036, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 637, 11, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1037, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 2250, 73, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1038, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1587, 10, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1039, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 4700, 37, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1040, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 3052, 51, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1041, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 4730, 50, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1042, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 218, 15, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1043, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 3033, 34, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1044, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 5267, 38, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1045, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1286, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1046, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 3607, 26, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1047, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 234, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1048, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 4427, 26, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1049, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 3286, 31, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1050, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 5917, 42, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1051, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1917, 12, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1052, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2223, 10, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1053, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 526, 16, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1054, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1647, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1055, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1715, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1056, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2069, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1057, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1897, 12, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1058, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 578, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1059, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1825, 17, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1060, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2089, 11, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1061, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 246, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1062, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 3, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1063, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 795, 33, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1064, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 717, 49, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1065, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 734, 50, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1066, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '1D26', 2942, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1067, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 725, 42, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1068, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D26', 1432, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1069, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 1742, 8, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1070, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 1418, 10, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1071, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 18, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1072, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2159, 16, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1073, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 345, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1074, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 463, 8, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1075, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 900, 71, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1076, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 14, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1077, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 195, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1078, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A21', 812, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1079, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2031, 28, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1080, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1957, 18, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1081, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1491, 21, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1082, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D22', 797, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1083, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 17, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1084, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 29, 13, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1085, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 411, 16, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1086, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A21', 11, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1087, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 2651, 39, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1088, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 125, 40, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1089, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 4513, 95, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1090, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 392, 8, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1091, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 4137, 122, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1092, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 2194, 41, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1093, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 323, 44, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1094, 1, '511500000000-0001', '宜宾市民中心', '城市货车通行码申领', '市公安局', '', '1A16', 84, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1095, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 44, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1096, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 228, 34, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1097, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 62, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1098, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 220, 47, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1099, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 155, 31, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1100, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 1382, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1101, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 182, 23, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1102, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 127, 27, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1103, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 147, 11, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1104, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 29449, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1105, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 32, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1106, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1212, 7, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1107, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 395, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1108, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 87, 6, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1109, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 3572, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1110, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 46, 8, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1111, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 85, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1112, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 81, 8, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1113, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 1678, 4, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1114, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 3044, 61, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1115, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 761, 12, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1116, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 992, 33, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1117, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 2371, 79, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1118, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 189, 10, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1119, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 66, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1120, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 611, 37, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1121, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 69, 3, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1122, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 10, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1123, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1667, 28, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1124, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E28', 88, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1125, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 610, 37, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1126, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E27', 144, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1127, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 6190, 14, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1128, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 869, 18, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1129, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 2575, 2, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1130, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 2161, 11, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1131, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 369, 5, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1132, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E28', 78, 1, 2023, 3, 1, '2024-08-05 13:55:29', NULL, NULL), (1133, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 197, 170, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1134, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 183, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1135, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 2886, 466, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1136, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 887, 35, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1137, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 309, 156, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1138, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 549, 441, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1139, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 621, 116, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1140, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 750, 141, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1141, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1373, 521, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1142, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 6500, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1143, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 382, 197, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1144, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 130, 155, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1145, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1365, 524, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1146, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 491, 338, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1147, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 518, 123, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1148, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 356, 175, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1149, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 546, 443, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1150, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2886, 466, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1151, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 176, 191, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1152, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 378, 199, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1153, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 448, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1154, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '', 0, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1155, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 4, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1156, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 131, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1157, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 372, 17, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1158, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 333, 47, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1159, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 176, 191, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1160, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 5131, 212, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1161, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 300, 11, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1162, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 658, 45, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1163, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 880, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1164, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 653, 4, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1165, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 305, 23, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1166, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 243, 35, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1167, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 240, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1168, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 31, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1169, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 665, 23, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1170, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 183, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1171, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1172, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 305, 6, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1173, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '', 1166, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1174, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 194, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1175, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 85, 5, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1176, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 11, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1177, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 660, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1178, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 167, 9, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1179, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 23, 5, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1180, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 755, 246, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1181, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 689, 22, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1182, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 207, 20, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1183, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1347, 171, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1184, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 6940, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1185, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 335, 112, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1186, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 480, 18, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1187, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 141, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1188, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 1669, 9, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1189, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 85, 21, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1190, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 27, 20, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1191, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 240, 45, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1192, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 77, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1193, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 6500, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 384, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 890, 6, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 881, 13, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 544, 9, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 564, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 448, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 250, 34, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1613, 18, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 950, 16, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 658, 45, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1810, 49, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1649, 27, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 671, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1687, 33, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 913, 17, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1834, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1019, 31, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 6046, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1824, 5, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 2194, 54, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2140, 15, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2613, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1387, 46, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1213, 22, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 2000, 37, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2439, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 1682, 35, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1401, 47, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 767, 14, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 784, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 329, 32, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 403, 23, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 3837, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 466, 17, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 321, 47, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 1093, 25, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 274, 30, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 43, 16, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 94, 26, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 263, 21, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 244, 37, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 330, 21, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 177, 45, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 114, 25, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1419, 34, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 461, 30, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 287, 36, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 680, 6, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 331, 17, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 459, 16, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 381, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 596, 30, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1051, 27, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 305, 5, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1446, 12, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 254, 27, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 133, 23, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 118, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 134, 41, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 242, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 137, 29, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 183, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 139, 36, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 305, 23, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 6500, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 119, 46, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 903, 38, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 743, 41, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 288, 79, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 616, 28, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 750, 61, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 331, 77, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3485, 6, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 480, 18, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 31, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 618, 34, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 194, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 913, 23, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 175, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 100, 1, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 799, 20, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 29, 1, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 130, 6, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 4706, 81, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 2, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 266, 22, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 13, 9, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 236, 16, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 20, 4, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 232, 18, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 84, 4, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 439, 21, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 183, 25, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 880, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 110, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 34, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 333, 47, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 8, 5, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 5394, 131, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 88, 1, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 100, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 305, 6, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1087, 19, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1201, 13, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 240, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1111, 11, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 689, 22, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1301, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 250, 34, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1302, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 183, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1303, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 660, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1304, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 689, 22, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1305, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 5131, 212, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1306, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 333, 47, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1307, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 305, 23, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1308, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 29, 4, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1309, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 27, 20, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1310, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 31, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1311, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 880, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1312, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1347, 171, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1313, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 448, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1314, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 658, 45, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1315, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 6940, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1316, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '', 1750, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1317, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 422, 15, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1318, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 141, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1319, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 305, 6, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1320, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 207, 20, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1321, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 300, 11, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1322, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 197, 170, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1323, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 665, 23, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1324, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 85, 5, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1325, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 146, 9, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1326, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 6500, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1327, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 85, 21, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1328, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 245, 44, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1329, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 480, 18, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1330, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 194, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1331, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 335, 112, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1332, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 240, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1333, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 653, 4, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1334, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 758, 245, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1335, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 77, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1336, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 1669, 9, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1337, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 167, 9, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1338, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 880, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1339, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 384, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1340, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 881, 13, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1341, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D22', 31, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1342, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 1669, 9, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1343, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 250, 34, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1344, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 333, 47, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1345, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 287, 36, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1346, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 85, 5, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1347, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 194, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1348, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 114, 25, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1349, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 94, 26, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1350, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 244, 37, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1351, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 275, 25, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1352, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 274, 30, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1353, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 43, 16, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1354, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 809, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1355, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 207, 19, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1356, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 427, 11, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1357, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 8, 5, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1358, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 34, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1359, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 110, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1360, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 305, 6, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1361, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 10, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1362, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 448, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1363, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '2C02', 1750, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1364, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 6500, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1365, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 913, 23, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1366, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 618, 34, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1367, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 168, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1368, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A21', 714, 1, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1369, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 1015, 4, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1370, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 799, 20, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1371, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 903, 38, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1372, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 240, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1373, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 183, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1374, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 653, 4, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1375, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 207, 20, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1376, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 750, 61, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1377, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 6940, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1378, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 616, 28, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1379, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 743, 41, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1380, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 689, 22, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1381, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D26', 29, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1382, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 100, 1, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1383, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 84, 4, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1384, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 29, 1, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1385, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 175, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1386, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 767, 14, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1387, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 890, 6, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1388, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 118, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1389, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 2, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1390, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 20, 4, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1391, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1613, 18, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1392, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 242, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1393, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 950, 16, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1394, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 13, 9, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1395, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 372, 58, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1396, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 294, 54, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1397, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 457, 5, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1398, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 168, 6, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1399, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1201, 13, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1400, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1111, 11, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1401, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1087, 19, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1402, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 5394, 131, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1403, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 4706, 81, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1404, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 184, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1405, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 141, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1406, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 480, 18, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1407, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E26', 77, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1408, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 6046, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1409, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2140, 15, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1410, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1213, 22, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1411, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2439, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1412, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 305, 23, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1413, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 671, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1414, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 913, 17, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1415, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 658, 45, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1416, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 236, 16, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1417, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 232, 18, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1418, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 130, 6, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1419, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 266, 22, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1420, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 439, 21, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1421, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 183, 25, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1422, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 34, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1423, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 8, 5, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1424, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 110, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1425, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1111, 11, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1426, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1201, 13, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1427, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1087, 19, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1428, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1419, 34, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1429, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 305, 6, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1430, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 1093, 25, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1431, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 177, 45, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1432, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 134, 41, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1433, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 618, 34, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1434, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 913, 23, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1435, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2613, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1436, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 799, 20, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1437, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 175, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (1438, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1834, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1439, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 100, 1, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1440, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1824, 5, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1441, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 84, 4, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1442, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 20, 4, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1443, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 133, 23, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1444, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1446, 12, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1445, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 13, 9, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1446, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 2, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1447, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 331, 17, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1448, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 680, 6, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1449, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 4706, 81, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1450, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 5394, 131, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1451, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 333, 47, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1452, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 880, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1453, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 137, 29, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1454, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 139, 36, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1455, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 119, 46, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1456, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 250, 34, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1457, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 305, 23, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1458, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 118, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1459, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 658, 45, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1460, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 242, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1461, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 384, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1462, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 448, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1463, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 903, 38, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1464, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 881, 13, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1465, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 750, 61, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1466, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 3837, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1467, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 544, 9, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1468, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 743, 41, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1469, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 321, 47, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1470, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 564, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1471, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 466, 17, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1472, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 616, 28, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1473, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 784, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1474, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1213, 22, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1475, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 330, 21, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1476, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2140, 15, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1477, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 6046, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1478, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 403, 23, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1479, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 329, 32, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1480, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 913, 17, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1481, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 671, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1482, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 263, 21, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1483, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 6500, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1484, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 254, 27, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1485, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 767, 14, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1486, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2439, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1487, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 100, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1488, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 890, 6, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1489, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 950, 16, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1490, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1613, 18, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1491, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 88, 1, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1492, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 183, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1493, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 288, 79, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1494, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 331, 77, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1495, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 43, 16, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1496, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 94, 26, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1497, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 274, 30, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1498, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 244, 37, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1499, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 114, 25, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1500, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 29, 1, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1501, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3485, 6, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1502, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 287, 36, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1503, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 31, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1504, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 480, 18, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1505, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 194, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1506, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 689, 22, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1507, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 240, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1508, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 305, 5, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1509, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1051, 27, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1510, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 461, 30, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1511, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 2000, 37, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1512, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1387, 46, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1513, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 459, 16, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1514, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 2194, 54, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1515, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1019, 31, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1516, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 596, 30, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1517, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1687, 33, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1518, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 381, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1519, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1649, 27, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1520, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1810, 49, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1521, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1401, 47, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1522, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 1682, 35, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1523, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 767, 14, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1524, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2439, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1525, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 384, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1526, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 240, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1527, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 671, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1528, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 6046, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1529, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 913, 17, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1530, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 881, 13, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1531, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1213, 22, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1532, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2140, 15, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1533, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 13, 9, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1534, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 2, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1535, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '2C02', 1750, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1536, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 743, 41, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1537, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 616, 28, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1538, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 750, 61, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1539, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 903, 38, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1540, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D26', 29, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1541, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 890, 6, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1542, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 29, 1, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1543, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 950, 16, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1544, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 85, 5, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1545, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1613, 18, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1546, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 168, 6, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1547, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 457, 5, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1548, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 658, 45, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1549, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 168, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1550, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 1015, 4, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1551, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A21', 714, 1, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1552, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1201, 13, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1553, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1087, 19, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1554, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1111, 11, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1555, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D22', 31, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1556, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 84, 4, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1557, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 20, 4, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1558, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 250, 34, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1559, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 141, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1560, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 275, 25, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1561, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 287, 36, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1562, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 4706, 81, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1563, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 175, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1564, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 5394, 131, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1565, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 207, 19, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1566, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 333, 47, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1567, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 100, 1, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1568, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 94, 26, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1569, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 427, 11, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1570, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 10, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1571, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 244, 37, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1572, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 114, 25, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1573, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 809, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1574, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 274, 30, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1575, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 43, 16, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1576, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 207, 20, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1577, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 305, 6, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1578, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 880, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1579, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 183, 8, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1580, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 448, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1581, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 8, 5, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1582, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 34, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1583, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 110, 10, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1584, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 294, 54, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1585, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 242, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1586, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 799, 20, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1587, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 118, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1588, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 372, 58, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1589, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 653, 4, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1590, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 305, 23, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1591, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 6940, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1592, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 184, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1593, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 1669, 9, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1594, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 689, 22, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1595, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E26', 77, 3, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1596, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 618, 34, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1597, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 913, 23, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1598, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 480, 18, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1599, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 194, 7, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1600, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 6500, 2, 2023, 3, 2, '2024-08-05 13:55:30', NULL, NULL), (1601, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 222, 180, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1602, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '', 30, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1603, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 36, 4, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1604, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1867, 352, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1605, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '', 57, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1606, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 3450, 10, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1607, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 680, 141, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1608, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 622, 433, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1609, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 263, 80, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1610, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 366, 403, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1611, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 764, 166, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1612, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 22, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1613, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 561, 150, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1614, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 267, 188, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1615, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 366, 403, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1616, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 617, 246, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1617, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 555, 144, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1618, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 757, 173, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1619, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 615, 438, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1620, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1856, 354, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1621, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 222, 180, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1622, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 267, 188, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1623, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 23, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1624, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '', 57, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1625, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1626, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 153, 23, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1627, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 277, 17, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1628, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 320, 41, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1629, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 222, 180, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1630, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 992, 175, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1631, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 147, 23, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1632, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 967, 60, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1633, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 292, 4, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1634, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 26, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1635, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 736, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1636, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 86, 44, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1637, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 97, 18, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1638, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 212, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1639, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 119, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1640, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 440, 38, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1641, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 36, 4, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1642, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 30, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1643, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 441, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1644, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 803, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1645, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 325, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1646, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1647, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 105, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1648, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 41, 12, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1649, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 752, 210, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1650, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2310, 26, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1651, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 63, 13, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1652, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 4164, 112, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1653, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 5081, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1654, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 743, 100, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1655, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 15, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1656, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 330, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1657, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 18, 16, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1658, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 129, 33, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1659, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 513, 42, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1660, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 22, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 6771, 8, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 405, 20, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 479, 18, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 146, 22, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 78, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 23, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 97, 18, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2847, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 4632, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 983, 59, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 367, 32, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 318, 31, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2006, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 522, 30, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 466, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2051, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1466, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 532, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 4371, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2449, 8, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 202, 23, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 3163, 13, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 502, 38, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2413, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 497, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 394, 28, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2208, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 66, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 190, 31, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 205, 40, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 585, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 432, 7, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 553, 41, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 464, 15, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 173, 34, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 184, 27, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 208, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 443, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 132, 20, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 163, 23, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 141, 31, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 234, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 481, 24, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 381, 24, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 107, 32, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 60, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 122, 11, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 289, 14, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 98, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 133, 19, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 179, 12, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 361, 8, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 161, 19, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 313, 18, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 66, 26, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 336, 8, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 525, 45, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D14', 57, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 225, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 416, 40, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 86, 44, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 611, 40, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 36, 4, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 22, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 88, 21, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D11', 30, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 827, 40, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 755, 30, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 1073, 64, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 619, 32, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 793, 28, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 353, 77, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 6097, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 733, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 803, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 708, 32, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 41, 12, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 856, 19, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 101, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 868, 80, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 8, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 234, 16, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 28, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 1423, 12, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 27, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 218, 20, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 464, 20, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 136, 18, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 292, 4, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 141, 10, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 62, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 337, 39, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 156, 16, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1096, 95, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 17345, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 85, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 441, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 5339, 11, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 6546, 10, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 4362, 25, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 269, 4, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2310, 26, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1764, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 97, 18, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1765, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 36, 4, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1766, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 105, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1767, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2310, 26, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1768, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 992, 175, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1769, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 337, 39, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1770, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 86, 44, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1771, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 18, 16, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1772, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 292, 4, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1773, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 4164, 112, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1774, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 23, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1775, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 983, 59, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1776, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 153, 23, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1777, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 15, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1778, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 441, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1779, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 63, 13, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1780, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 147, 23, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1781, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 222, 180, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1782, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '', 57, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1783, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 440, 38, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1784, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 325, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1785, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 736, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1786, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 277, 17, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1787, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 22, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1788, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 129, 33, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1789, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 513, 42, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1790, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 6097, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1791, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 212, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1792, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 803, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1793, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '', 30, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1794, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 751, 99, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1795, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 269, 4, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1796, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 26, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1797, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 752, 210, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1798, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 330, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1799, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 41, 12, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1800, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 292, 4, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1801, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 405, 20, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1802, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 479, 18, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1803, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 330, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1804, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 97, 18, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1805, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 337, 39, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1806, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 107, 32, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1807, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 325, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1808, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 803, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1809, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 234, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1810, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 208, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1811, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 443, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1812, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 855, 21, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1813, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 173, 34, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1814, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 184, 27, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1815, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 233, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1816, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 171, 21, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1817, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 119, 8, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1818, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 153, 15, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1819, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 62, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1820, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 141, 10, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1821, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 441, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1822, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 80, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1823, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 23, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1824, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 22, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1825, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 708, 32, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1826, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 733, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1827, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 193, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1828, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A21', 99, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1829, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 20, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1830, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 856, 19, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1831, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 827, 40, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1832, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 269, 4, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1833, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 36, 4, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1834, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 26, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1835, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 63, 13, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1836, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 793, 28, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1837, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 619, 32, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1838, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 755, 30, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1839, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2310, 26, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1840, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1841, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 736, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1842, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 41, 12, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1843, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2208, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1844, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 6771, 8, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1845, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 8, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1846, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 336, 8, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1847, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2847, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1848, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 27, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1849, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 28, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1850, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 4632, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1851, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 225, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1852, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 422, 56, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1853, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 1179, 43, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1854, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 158, 20, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1855, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '1D11', 30, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1856, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 78, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1857, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 6546, 10, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (1858, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 4362, 25, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1859, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E27', 212, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1860, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 5339, 11, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1861, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1096, 95, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1862, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 868, 80, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1863, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 101, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1864, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 19, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1865, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 11, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1866, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 6097, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1867, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 4371, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1868, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 3163, 13, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1869, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 86, 44, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1870, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2413, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1871, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2006, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1872, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 983, 59, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1873, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '1D14', 57, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1874, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 1423, 12, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1875, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 218, 20, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1876, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 101, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1877, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 234, 16, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1878, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 464, 20, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1879, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 136, 18, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1880, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 62, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1881, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 156, 16, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1882, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 141, 10, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1883, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 4362, 25, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1884, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 6546, 10, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1885, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 5339, 11, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1886, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 481, 24, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1887, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 441, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1888, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 464, 15, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1889, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 141, 31, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1890, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 525, 45, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1891, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 733, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1892, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 708, 32, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1893, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2449, 8, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1894, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 856, 19, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1895, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 41, 12, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1896, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2051, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1897, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1466, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1898, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1899, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 27, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1900, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 66, 26, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1901, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 28, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1902, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 313, 18, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1903, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 8, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1904, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 122, 11, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1905, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 60, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1906, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 868, 80, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1907, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1096, 95, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1908, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 337, 39, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1909, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 292, 4, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1910, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 416, 40, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1911, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 611, 40, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1912, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 88, 21, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1913, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 97, 18, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1914, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 86, 44, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1915, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 336, 8, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1916, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 983, 59, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1917, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 405, 20, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 225, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1919, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 23, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1920, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 827, 40, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1921, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 479, 18, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1922, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 793, 28, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1923, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 585, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1924, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 755, 30, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1925, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 553, 41, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1926, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 146, 22, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1927, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 432, 7, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1928, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 78, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1929, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 619, 32, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1930, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 66, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1931, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 3163, 13, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1932, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 163, 23, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1933, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 4371, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1934, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 205, 40, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1935, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 190, 31, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1936, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2006, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1937, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 132, 20, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1938, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 22, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1939, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 161, 19, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1940, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2208, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1941, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2413, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1942, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 85, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1943, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 6771, 8, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1944, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 4632, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1945, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2847, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1946, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 17345, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1947, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 36, 4, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1948, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 1073, 64, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1949, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 353, 77, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1950, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '1D14', 57, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1951, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 184, 27, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1952, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 208, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1953, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 173, 34, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1954, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 443, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1955, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 234, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1956, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 107, 32, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1957, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 6097, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1958, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 803, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1959, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2310, 26, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1960, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 269, 4, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1961, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 361, 8, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1962, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 179, 12, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1963, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 381, 24, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1964, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 502, 38, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1965, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 202, 23, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1966, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 289, 14, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1967, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 532, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1968, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 466, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1969, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 133, 19, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1970, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 522, 30, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1971, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 98, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1972, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 318, 31, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1973, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 367, 32, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1974, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 394, 28, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1975, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '1D11', 30, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1976, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 497, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1977, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2208, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1978, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2413, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1979, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 405, 20, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1980, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2006, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1981, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 269, 4, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1982, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 479, 18, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1983, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 3163, 13, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1984, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 4371, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1985, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 28, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1986, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 8, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1987, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 755, 30, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1988, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 619, 32, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1989, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 793, 28, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1990, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 827, 40, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1991, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 6771, 8, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1992, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 4632, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1993, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 325, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1994, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2847, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1995, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 78, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1996, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 158, 20, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1997, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 983, 59, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1998, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 193, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (1999, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 20, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2000, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A21', 99, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2001, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 6546, 10, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2002, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 5339, 11, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2003, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 4362, 25, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2004, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2005, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 27, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2006, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 97, 18, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2007, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 19, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2008, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 11, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2009, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 855, 21, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2010, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 107, 32, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2011, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 868, 80, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2012, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 41, 12, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2013, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1096, 95, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2014, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 171, 21, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2015, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 337, 39, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2016, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '1D14', 57, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2017, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 119, 8, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2018, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 208, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2019, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 443, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2020, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 80, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2021, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 234, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2022, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 233, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2023, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 173, 34, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2024, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 184, 27, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2025, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 63, 13, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2026, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 441, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2027, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 292, 4, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2028, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 36, 4, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2029, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 23, 3, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2030, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 153, 15, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2031, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 62, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2032, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 141, 10, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2033, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 1179, 43, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2034, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 225, 9, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2035, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 856, 19, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2036, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 336, 8, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2037, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 422, 56, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2038, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 26, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2039, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 86, 44, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2040, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 736, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2041, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 101, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2042, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2310, 26, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2043, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 330, 6, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2044, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 733, 29, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2045, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 6097, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2046, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 708, 32, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2047, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 803, 5, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2048, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 22, 2, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2049, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E27', 212, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2050, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '1D11', 30, 1, 2023, 3, 3, '2024-08-05 13:55:31', NULL, NULL), (2051, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 9, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2052, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 15, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2053, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 267, 20, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2054, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1303, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2055, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 958, 6, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2056, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 9, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2057, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 521, 124, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2058, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 2868, 15, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2059, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 250, 33, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2060, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 521, 124, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2061, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 303, 22, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2062, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 4, 2, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2063, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1870, 23, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2064, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 958, 6, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2065, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 9, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2066, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 223, 37, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2067, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 494, 13, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2068, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 9, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2069, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 3, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2070, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 265, 17, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2071, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 1508, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2072, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 15, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2073, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 698, 4, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2074, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 558, 4, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2075, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 9, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2076, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 0, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2077, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 290, 12, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2078, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 5, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2079, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 304, 15, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2080, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 821, 3, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2081, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 66, 4, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2082, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 159, 5, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2083, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2954, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2084, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 0, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 2955, 11, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 1679, 11, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 6177, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A17', 1091, 3, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 66, 4, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 5, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1671, 2, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 267, 20, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 9, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 857, 15, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 9, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 265, 17, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1001, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 15, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 138, 20, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 159, 2, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 196, 28, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2954, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 487, 5, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 146, 5, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 983, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 107, 16, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 722, 10, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1303, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 698, 4, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 442, 10, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 739, 10, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2112, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 304, 15, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2113, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 290, 12, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2114, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 9, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2115, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 9, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2116, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 1508, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2117, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2954, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2118, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 265, 17, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2119, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 558, 4, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2120, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 5, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2121, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 15, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2122, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 698, 4, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2123, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 821, 3, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2124, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 494, 13, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2125, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 66, 4, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2126, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 159, 5, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2127, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D26', 15, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2128, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 741, 2, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2129, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A21', 376, 2, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2130, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 983, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2131, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 821, 3, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2132, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 66, 4, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2133, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 1508, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2134, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 698, 4, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2135, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 304, 15, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2136, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2954, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2137, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 487, 5, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2138, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 146, 5, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2139, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 9, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2140, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 5, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2141, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 159, 5, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2142, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 241, 5, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2143, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 159, 2, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2144, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 605, 7, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2145, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 9, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2146, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 265, 17, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2147, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 5, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2148, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 9, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2149, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 9, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2150, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 487, 5, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2151, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 146, 5, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2152, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 159, 2, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2153, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 267, 20, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2154, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 15, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2155, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A17', 1091, 3, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2156, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 1679, 11, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2157, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 857, 15, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2158, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 2955, 11, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2159, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2954, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2160, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 698, 4, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2161, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 739, 10, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2162, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 442, 10, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2163, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1303, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2164, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 722, 10, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2165, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 66, 4, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2166, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 983, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2167, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 107, 16, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2168, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 265, 17, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2169, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 196, 28, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2170, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 138, 20, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2171, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1001, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2172, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 6177, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2173, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1671, 2, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2174, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 304, 15, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2175, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 698, 4, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2176, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 605, 7, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2177, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 9, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2178, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 9, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2179, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 983, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2180, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 241, 5, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2181, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 1508, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2182, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 5, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2183, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2954, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2184, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 159, 2, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2185, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A21', 376, 2, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2186, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 821, 3, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2187, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 487, 5, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2188, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 146, 5, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2189, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 741, 2, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2190, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 66, 4, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2191, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D26', 15, 1, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2192, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 159, 5, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2193, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 265, 17, 2023, 3, 4, '2024-08-05 13:55:32', NULL, NULL), (2194, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 281, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2195, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 1068, 3, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2196, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 851, 7, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2197, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 392, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2198, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 140, 78, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2199, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 130, 10, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2200, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 277, 23, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2201, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 140, 78, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2202, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 1068, 3, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2203, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 392, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2204, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 130, 10, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2205, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 851, 7, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2206, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 140, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2207, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 255, 25, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2208, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 63, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2209, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 225, 19, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2210, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 140, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2211, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2212, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 361, 16, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2213, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 392, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2214, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 1502, 3, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2215, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 69, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2216, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 88, 7, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2217, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 2377, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2218, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 341, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2219, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 15, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2220, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 1252, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2221, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 413, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 63, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 130, 10, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 247, 6, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 61, 11, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 31, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 63, 14, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 1502, 3, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 281, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 69, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 138, 3, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 31, 12, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 198, 12, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 271, 7, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 1068, 3, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 1252, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 28, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 392, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 209, 14, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 112, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 361, 16, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 178, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2243, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 2377, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2244, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 88, 7, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2245, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 69, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2246, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 281, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2247, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 392, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2248, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 361, 16, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2249, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 63, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2250, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 1502, 3, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2251, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 341, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2252, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 225, 19, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2253, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 413, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2254, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 1252, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2255, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 15, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2256, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 1252, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2257, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 341, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2258, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 198, 12, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2259, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A21', 15, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2260, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 1502, 3, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2261, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 63, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2262, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 281, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2263, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 28, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2264, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 112, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2265, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 2377, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2266, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 31, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2267, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 138, 3, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2268, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 413, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (2269, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 271, 7, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2270, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 392, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2271, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 69, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2272, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 361, 16, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2273, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 392, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2274, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 63, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2275, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 130, 10, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2276, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 1502, 3, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2277, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 69, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2278, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 1252, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2279, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 138, 3, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2280, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 31, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2281, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 178, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2282, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 271, 7, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2283, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 31, 12, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2284, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 198, 12, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2285, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 112, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2286, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 361, 16, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2287, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 1068, 3, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2288, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 28, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2289, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 63, 14, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2290, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 281, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2291, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 61, 11, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2292, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 247, 6, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2293, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 209, 14, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2294, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 2377, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2295, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A21', 15, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2296, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 392, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2297, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 271, 7, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2298, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 198, 12, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2299, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 63, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2300, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 1252, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2301, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 413, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2302, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 281, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2303, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 69, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2304, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 112, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2305, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 31, 2, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2306, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 341, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2307, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 361, 16, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2308, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 138, 3, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2309, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 1502, 3, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2310, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 28, 1, 2023, 3, 5, '2024-08-05 13:55:33', NULL, NULL), (2311, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 102, 185, 2023, 3, 6, '2024-08-05 13:55:34', NULL, NULL), (2312, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 777, 7, 2023, 3, 6, '2024-08-05 13:55:34', NULL, NULL), (2313, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1976, 370, 2023, 3, 6, '2024-08-05 13:55:34', NULL, NULL), (2314, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 180, 25, 2023, 3, 6, '2024-08-05 13:55:34', NULL, NULL), (2315, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 3025, 212, 2023, 3, 6, '2024-08-05 13:55:34', NULL, NULL), (2316, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 232, 403, 2023, 3, 6, '2024-08-05 13:55:34', NULL, NULL), (2317, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 294, 84, 2023, 3, 6, '2024-08-05 13:55:34', NULL, NULL), (2318, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 480, 119, 2023, 3, 6, '2024-08-05 13:55:34', NULL, NULL), (2319, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 2181, 499, 2023, 3, 6, '2024-08-05 13:55:34', NULL, NULL), (2320, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 1548, 2, 2023, 3, 6, '2024-08-05 13:55:34', NULL, NULL), (2321, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 306, 152, 2023, 3, 6, '2024-08-05 13:55:34', NULL, NULL), (2322, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 271, 166, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2323, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 2181, 499, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2324, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 2039, 333, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2325, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 267, 97, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2326, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 447, 174, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2327, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 231, 405, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2328, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1976, 370, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2329, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 102, 185, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2330, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 271, 166, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2331, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 110, 13, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2332, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 271, 24, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2333, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 1114, 49, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2334, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 102, 185, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2335, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1723, 167, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2336, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 94, 12, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2337, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 1083, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2338, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 289, 49, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2339, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 155, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2340, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 535, 8, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2341, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 2809, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2342, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 158, 31, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2343, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 320, 20, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2344, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 428, 11, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2345, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 37, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2346, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 261, 16, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2347, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 777, 7, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2348, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 249, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2349, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 240, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2350, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 564, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2351, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '', '', '', 10, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2352, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 89, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2353, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2354, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 54, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2355, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 363, 9, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2356, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 1206, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2357, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 191, 217, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2358, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 518, 13, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2359, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 471, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2360, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 93, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2361, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 3164, 121, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2362, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 418, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2363, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 111, 16, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2364, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 2850, 147, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2365, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 204, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2366, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 1656, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2367, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 49, 18, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2368, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 15, 20, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2369, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 3421, 65, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2370, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 1032, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 361, 6, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 4571, 7, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 201, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 8, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 111, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 320, 20, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 788, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 5534, 4, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 289, 49, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 2200, 38, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 2999, 25, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1722, 27, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 109, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 3516, 8, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1289, 6, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 4039, 33, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 2058, 38, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1507, 9, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2213, 9, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1422, 7, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 2703, 35, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 2363, 52, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1623, 13, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 3279, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 2092, 36, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 3236, 38, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2912, 12, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 65, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 256, 12, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 150, 27, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 277, 25, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 257, 35, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 238, 24, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 3436, 30, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 102, 39, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 69, 24, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 126, 26, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 238, 18, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 94, 26, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 193, 31, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 65, 29, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 3077, 37, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 95, 20, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 135, 41, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 357, 27, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 138, 7, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 387, 12, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 247, 4, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 242, 24, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 258, 21, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1985, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 476, 25, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1454, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 231, 33, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 101, 4, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 246, 43, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 114, 9, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 487, 38, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 777, 7, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 322, 33, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 158, 31, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E01', 89, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 1548, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 177, 27, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 256, 24, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 179, 21, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 3763, 100, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 206, 37, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 230, 50, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 2366, 112, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 179, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 111, 16, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 37, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 97, 34, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 240, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 107, 31, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 40, 4, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 112, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 291, 20, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 585, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 147, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1824, 74, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 16, 6, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 693, 23, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 14, 7, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 233, 13, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 10, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 226, 20, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 91, 16, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 27, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 346, 19, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 535, 8, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 22, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 189, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 1114, 49, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 9, 4, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1643, 93, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 58, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 302, 6, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 249, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 4890, 18, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 5019, 16, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1873, 17, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 428, 11, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 471, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 518, 13, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2477, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 320, 20, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2478, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 249, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2479, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 777, 7, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2480, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 93, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2481, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 94, 12, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2482, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 102, 185, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2483, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 363, 9, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2484, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 261, 16, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2485, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 518, 13, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2486, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 626, 9, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2487, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1723, 167, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2488, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 2809, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2489, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 1114, 49, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2490, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 110, 13, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2491, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 158, 31, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2492, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 1206, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2493, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 15, 20, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2494, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 1548, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2495, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 49, 18, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2496, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 3421, 65, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2497, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 111, 16, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2498, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 240, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2499, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 471, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2500, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 37, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2501, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 535, 8, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2502, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 2850, 147, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2503, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 3164, 121, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2504, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 289, 49, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2505, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 418, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2506, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 428, 11, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2507, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 1083, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2508, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '', 89, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2509, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 191, 217, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2510, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 1656, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2511, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 271, 24, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2512, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '市公安局', '', '', 10, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2513, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 54, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2514, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 204, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2515, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '', 155, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2516, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 535, 8, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2517, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 361, 6, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2518, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 201, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2519, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D22', 37, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2520, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 1656, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2521, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 320, 20, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2522, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 1114, 49, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2523, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 135, 41, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2524, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 626, 9, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2525, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 240, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2526, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '', '', '1A21', 10, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2527, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 65, 29, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2528, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 126, 26, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2529, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 94, 26, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2530, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 102, 39, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2531, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 3960, 37, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2532, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 69, 24, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2533, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 316, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2534, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 2710, 28, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2535, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 128, 6, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2536, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 9, 4, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2537, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 189, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2538, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 22, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2539, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A23', 1083, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2540, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 249, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2541, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 318, 16, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2542, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 1548, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2543, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 107, 31, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2544, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 97, 34, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2545, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 197, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2546, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 383, 8, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2547, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 291, 20, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2548, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 256, 24, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2549, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 428, 11, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2550, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 777, 7, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2551, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 93, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2552, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 230, 50, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2553, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 418, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2554, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 206, 37, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2555, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 179, 21, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2556, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 518, 13, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2557, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 112, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2558, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 471, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2559, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 27, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2560, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 1206, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2561, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 2809, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2562, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 40, 4, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2563, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '2E01', 89, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2564, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2912, 12, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2565, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 4571, 7, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2566, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 101, 4, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2567, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 16, 6, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2568, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 10, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2569, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 788, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2570, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 5534, 4, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2571, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 14, 7, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2572, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 114, 9, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2573, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 2251, 84, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2574, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 3648, 63, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2575, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 8, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2576, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 111, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2577, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 5019, 16, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2578, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1873, 17, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2579, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 4890, 18, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2580, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1643, 93, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2581, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1824, 74, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2582, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 147, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2583, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 204, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2584, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 111, 16, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2585, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '1D26', 179, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2586, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '1D27', 132, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2587, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2213, 9, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2588, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1623, 13, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2589, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 3279, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2590, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 158, 31, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2591, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 109, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2592, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 3516, 8, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2593, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 289, 49, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2594, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 233, 13, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2595, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 226, 20, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2596, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 147, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2597, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 693, 23, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2598, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 91, 16, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2599, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 346, 19, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2600, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 189, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2601, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 9, 4, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2602, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 22, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2603, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1873, 17, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2604, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 5019, 16, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2605, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 4890, 18, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2606, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 3077, 37, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2607, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 249, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2608, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 3436, 30, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2609, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 65, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2610, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 193, 31, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2611, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 246, 43, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2612, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 97, 34, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2613, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 107, 31, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2614, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1422, 7, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2615, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 291, 20, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2616, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 40, 4, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2617, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1289, 6, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2618, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 112, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2619, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1507, 9, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2620, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 27, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2621, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 10, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2622, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 231, 33, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2623, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 14, 7, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2624, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1454, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2625, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 138, 7, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2626, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 16, 6, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2627, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 357, 27, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2628, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1824, 74, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2629, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1643, 93, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2630, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 1114, 49, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2631, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 535, 8, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2632, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 487, 38, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2633, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 322, 33, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2634, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 177, 27, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2635, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 320, 20, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2636, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 158, 31, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2637, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E01', 89, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2638, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 101, 4, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2639, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 289, 49, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2640, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 361, 6, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2641, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 114, 9, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2642, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 256, 24, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2643, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 201, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2644, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 230, 50, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2645, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 277, 25, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2646, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 8, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2647, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 238, 24, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2648, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 179, 21, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2649, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 111, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2650, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 257, 35, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2651, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 206, 37, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2652, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1623, 13, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2653, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2213, 9, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2654, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 150, 27, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2655, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 256, 12, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2656, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 3516, 8, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2657, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 109, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2658, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 238, 18, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2659, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 1548, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2660, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 476, 25, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2661, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2912, 12, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2662, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 3279, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2663, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 302, 6, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2664, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 4571, 7, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2665, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 5534, 4, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2666, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 788, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2667, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 58, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2668, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 777, 7, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2669, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 3763, 100, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2670, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 2366, 112, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2671, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 69, 24, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2672, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 126, 26, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2673, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 102, 39, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2674, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 94, 26, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2675, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 65, 29, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2676, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 585, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2677, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 179, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2678, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 135, 41, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2679, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 37, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2680, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 111, 16, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2681, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 240, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2682, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 471, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2683, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 518, 13, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2684, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 428, 11, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2685, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1985, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2686, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 258, 21, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2687, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 2363, 52, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2688, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 95, 20, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2689, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 2703, 35, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2690, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 2058, 38, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2691, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 387, 12, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2692, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 4039, 33, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2693, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 242, 24, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2694, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1722, 27, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2695, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 247, 4, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2696, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 2999, 25, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2697, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 2200, 38, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (2698, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 3236, 38, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2699, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 2092, 36, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2700, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2912, 12, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2701, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 3279, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2702, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 361, 6, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2703, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 109, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2704, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 428, 11, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2705, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 3516, 8, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2706, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 201, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2707, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1623, 13, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2708, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2213, 9, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2709, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 14, 7, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2710, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 16, 6, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2711, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 179, 21, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2712, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 206, 37, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2713, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 230, 50, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2714, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '1D26', 179, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2715, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '1D27', 132, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2716, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 256, 24, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2717, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 4571, 7, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2718, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 1206, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2719, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 5534, 4, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2720, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 626, 9, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2721, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 788, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2722, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 111, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2723, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 8, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2724, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 289, 49, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2725, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 197, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2726, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 383, 8, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2727, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 5019, 16, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2728, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 4890, 18, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2729, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1873, 17, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2730, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D22', 37, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2731, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A23', 1083, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2732, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 27, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2733, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 10, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2734, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 320, 20, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2735, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 204, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2736, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 3960, 37, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2737, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 135, 41, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2738, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1824, 74, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2739, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 40, 4, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2740, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1643, 93, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2741, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 2710, 28, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2742, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 1114, 49, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2743, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 112, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2744, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 128, 6, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2745, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 126, 26, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2746, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 318, 16, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2747, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 94, 26, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2748, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 65, 29, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2749, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 316, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2750, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 102, 39, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2751, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 69, 24, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2752, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 93, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2753, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 249, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2754, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 535, 8, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2755, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 777, 7, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2756, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 9, 4, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2757, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 189, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2758, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 22, 10, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2759, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 471, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2760, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 3648, 63, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2761, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 114, 9, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2762, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 291, 20, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2763, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '市公安局', '', '1A21', 10, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2764, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 101, 4, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2765, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 2251, 84, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2766, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 158, 31, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2767, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 2809, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2768, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '2E01', 89, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2769, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 147, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2770, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 418, 1, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2771, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 518, 13, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2772, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 1656, 5, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2773, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 97, 34, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2774, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 111, 16, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2775, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 107, 31, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2776, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 240, 3, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2777, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 1548, 2, 2023, 3, 6, '2024-08-05 13:55:35', NULL, NULL), (2778, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 66, 159, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2779, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 430, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2780, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 955, 340, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2781, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '', 8520, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2782, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 175, 16, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2783, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 1119, 156, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2784, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 383, 391, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2785, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 503, 92, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2786, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 582, 120, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2787, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 294, 448, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2788, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 140, 102, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2789, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 199, 147, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2790, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 293, 449, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2791, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 846, 277, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2792, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 333, 95, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2793, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 404, 130, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2794, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 382, 392, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2795, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 66, 159, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2796, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 955, 340, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2797, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 199, 147, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2798, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2799, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '', 8520, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2800, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '', 385, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2801, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 124, 12, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2802, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 157, 19, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2803, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 279, 33, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2804, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 66, 159, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2805, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 755, 116, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2806, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 546, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2807, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 18, 2, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2808, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 504, 43, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2809, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 14, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2810, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 864, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2811, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 291, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2812, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 238, 2, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2813, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 81, 33, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2814, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 56, 19, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2815, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 768, 21, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2816, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 53, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2817, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 150, 21, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2818, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 430, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2819, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2820, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 171, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2821, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 674, 3, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2822, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 128, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2823, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 7870, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2824, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2825, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 1214, 7, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2826, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 25, 11, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2827, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 403, 209, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2828, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 480, 7, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2829, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 283, 2, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2830, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 114, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2831, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1494, 149, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2832, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 120, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2833, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 59, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2834, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 1100, 99, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2835, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 91, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2836, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 225, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2837, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 117, 16, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2838, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 24, 32, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2839, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 1152, 57, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 179, 3, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 1878, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 145, 18, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1001, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 124, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 56, 19, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1042, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1999, 7, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 504, 43, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 251, 34, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 279, 33, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 221, 16, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1924, 9, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1627, 17, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1552, 7, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 246, 26, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1057, 8, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 419, 47, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1238, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1717, 11, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 288, 40, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1286, 20, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 189, 37, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 949, 14, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 274, 40, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 341, 37, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1629, 9, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 152, 18, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 104, 20, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 161, 22, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 214, 24, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 315, 13, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 58, 24, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 58, 17, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 71, 28, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 676, 20, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 72, 28, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 38, 18, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 35, 26, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 81, 29, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 590, 34, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 475, 21, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 90, 36, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 554, 17, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 197, 11, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 452, 9, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 447, 9, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 770, 25, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 332, 23, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 268, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 198, 7, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 62, 25, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 97, 27, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 44, 25, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 192, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 56, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 143, 22, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D14', 8520, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 430, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 92, 29, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 81, 33, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E01', 7870, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 228, 20, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 427, 36, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 402, 31, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 1221, 72, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 368, 32, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 415, 37, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 1031, 84, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 120, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 59, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 53, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 396, 40, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 674, 3, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 421, 32, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 17, 8, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 63, 2, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 22, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 14, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 303, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 682, 60, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 51, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 485, 15, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 17, 11, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 409, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 23, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 712, 22, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 11, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 176, 25, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 132, 11, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 10, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 864, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 139, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 62, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 279, 33, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 28, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 834, 56, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 620, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 179, 2, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 171, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 168, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 996, 16, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1477, 13, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 768, 21, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2033, 20, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 283, 2, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 480, 7, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2947, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 56, 19, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2948, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 430, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2949, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 1214, 7, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2950, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 480, 7, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2951, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 755, 116, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2952, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 279, 33, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2953, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 81, 33, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2954, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 24, 32, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2955, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 283, 2, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2956, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 53, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2957, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 864, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2958, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1494, 149, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2959, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 504, 43, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2960, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 120, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2961, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '', 7870, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2962, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 157, 19, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2963, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 91, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2964, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 171, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2965, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 114, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2966, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 546, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2967, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 66, 159, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2968, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '', 8520, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2969, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 150, 21, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2970, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 153, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2971, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 238, 2, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2972, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 124, 12, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2973, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 117, 16, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2974, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 1152, 57, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2975, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 59, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2976, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 674, 3, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2977, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 1100, 99, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2978, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 768, 21, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2979, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '', 385, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2980, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 18, 2, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2981, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 291, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2982, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 403, 209, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2983, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 225, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2984, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 25, 11, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2985, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '', 14, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2986, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 864, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2987, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 179, 3, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2988, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 145, 18, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2989, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D22', 53, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2990, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 225, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2991, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 56, 19, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2992, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 279, 33, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2993, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 90, 36, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2994, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 153, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2995, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 674, 3, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2996, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 35, 26, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2997, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 71, 28, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2998, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 72, 28, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (2999, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 58, 24, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3000, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 1243, 28, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3001, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 58, 17, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3002, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 1064, 29, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3003, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 229, 9, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3004, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 28, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3005, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 62, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3006, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 139, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3007, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A23', 29, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3008, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 8, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3009, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 171, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3010, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 168, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3011, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 91, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3012, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 421, 32, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3013, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 396, 40, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3014, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A21', 13, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3015, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 1414, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3016, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 22, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3017, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 427, 36, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3018, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 768, 21, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3019, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 430, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3020, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 291, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3021, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 114, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3022, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 120, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3023, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 415, 37, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3024, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 368, 32, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3025, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 402, 31, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3026, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 480, 7, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3027, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 63, 2, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3028, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 283, 2, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3029, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 11, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3030, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 17, 8, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3031, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 238, 2, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3032, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '2E01', 7870, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3033, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1629, 9, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3034, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 1878, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3035, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 51, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3036, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 192, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3037, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1042, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3038, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 23, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3039, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 56, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3040, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 17, 11, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3041, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 1999, 7, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3042, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 1014, 55, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3043, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 1208, 44, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3044, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1001, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3045, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 90, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3046, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 10, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3047, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1477, 13, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3048, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2033, 20, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3049, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '2E26', 385, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3050, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 996, 16, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3051, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 834, 56, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3052, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 682, 60, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3053, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 276, 3, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3054, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 91, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3055, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 59, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3056, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '1D27', 14, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3057, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1238, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3058, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1286, 20, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3059, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 81, 33, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3060, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 949, 14, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3061, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1924, 9, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3062, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1627, 17, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3063, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 504, 43, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3064, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '1D14', 8520, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3065, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 409, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3066, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 712, 22, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3067, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 303, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3068, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 485, 15, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3069, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 10, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3070, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 176, 25, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3071, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 132, 11, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3072, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 62, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3073, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 28, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3074, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 139, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3075, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2033, 20, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3076, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1477, 13, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3077, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 996, 16, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3078, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 168, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3079, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 590, 34, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3080, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 171, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3081, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 315, 13, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3082, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 81, 29, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3083, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 44, 25, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3084, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 396, 40, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3085, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 421, 32, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3086, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1717, 11, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3087, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 22, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3088, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 17, 8, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3089, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1552, 7, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3090, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 63, 2, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3091, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1057, 8, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3092, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 11, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3093, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 23, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3094, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 97, 27, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3095, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 17, 11, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3096, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 198, 7, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3097, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 51, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3098, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 197, 11, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3099, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 682, 60, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3100, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 554, 17, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3101, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 834, 56, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3102, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 279, 33, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3103, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 864, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3104, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 143, 22, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3105, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 92, 29, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3106, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 228, 20, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3107, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 56, 19, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3108, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 81, 33, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3109, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E01', 7870, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3110, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 192, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3111, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 504, 43, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3112, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 56, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3113, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 179, 3, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3114, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 427, 36, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (3115, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 145, 18, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3116, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 415, 37, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3117, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 104, 20, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3118, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1001, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3119, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 402, 31, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3120, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 214, 24, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3121, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 124, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3122, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 368, 32, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3123, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 161, 22, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3124, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1286, 20, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3125, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1238, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3126, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 38, 18, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3127, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 152, 18, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3128, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1627, 17, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3129, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1924, 9, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3130, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 676, 20, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3131, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 62, 25, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3132, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1629, 9, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3133, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 949, 14, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3134, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 179, 2, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3135, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 1878, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3136, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1999, 7, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3137, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1042, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3138, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 620, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3139, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 430, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3140, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 1221, 72, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3141, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 1031, 84, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3142, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '1D14', 8520, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3143, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 58, 17, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3144, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 71, 28, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3145, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 58, 24, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3146, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 72, 28, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3147, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 35, 26, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3148, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 14, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3149, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 120, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3150, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 90, 36, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3151, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 53, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3152, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 59, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3153, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 674, 3, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3154, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 283, 2, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3155, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 480, 7, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3156, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 768, 21, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3157, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 268, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3158, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 332, 23, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3159, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 475, 21, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3160, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 189, 37, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3161, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 288, 40, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3162, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 452, 9, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3163, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 419, 47, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3164, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 246, 26, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3165, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 770, 25, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3166, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 221, 16, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3167, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 447, 9, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3168, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 279, 33, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3169, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 251, 34, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3170, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 341, 37, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3171, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 274, 40, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3172, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1629, 9, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3173, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 949, 14, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3174, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 179, 3, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3175, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 768, 21, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3176, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1924, 9, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3177, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1627, 17, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3178, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 145, 18, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3179, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1286, 20, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3180, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1238, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3181, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 17, 11, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3182, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 51, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3183, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 402, 31, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3184, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 368, 32, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3185, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 415, 37, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3186, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '1D27', 14, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3187, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 427, 36, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3188, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 1878, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3189, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 1999, 7, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3190, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 153, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3191, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1042, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3192, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 90, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3193, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1001, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3194, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 504, 43, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3195, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 1414, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3196, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A21', 13, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3197, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1477, 13, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3198, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 996, 16, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3199, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2033, 20, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3200, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D22', 53, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3201, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 8, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3202, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A23', 29, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3203, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 11, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3204, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 23, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3205, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 56, 19, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3206, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 10, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3207, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 91, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3208, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 1243, 28, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3209, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 90, 36, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3210, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 682, 60, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3211, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 17, 8, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3212, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 834, 56, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3213, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 1064, 29, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3214, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 279, 33, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3215, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 63, 2, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3216, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '1D14', 8520, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3217, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 229, 9, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3218, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 71, 28, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3219, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 72, 28, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3220, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 91, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3221, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 35, 26, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3222, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 58, 24, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3223, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 58, 17, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3224, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 114, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3225, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 171, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3226, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 168, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3227, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 864, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3228, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 430, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3229, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 28, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3230, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 62, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3231, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 139, 5, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3232, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 283, 2, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3233, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 1208, 44, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3234, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 56, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3235, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '2E26', 385, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3236, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 22, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3237, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 291, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3238, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 192, 6, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3239, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 1014, 55, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3240, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 81, 33, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3241, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 238, 2, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3242, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '2E01', 7870, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3243, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 120, 1, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3244, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 276, 3, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3245, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 225, 4, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3246, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 480, 7, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3247, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 396, 40, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3248, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 421, 32, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3249, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 59, 10, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3250, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 674, 3, 2023, 3, 7, '2024-08-05 13:55:36', NULL, NULL), (3251, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 637, 83, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3252, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 2491, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3253, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 964, 81, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3254, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 9, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3255, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 307, 218, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3256, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 565, 105, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3257, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 818, 378, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3258, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 389, 102, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3259, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 249, 112, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3260, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 233, 215, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3261, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 818, 378, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3262, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 816, 114, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3263, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 310, 83, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3264, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 591, 124, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3265, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 301, 223, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3266, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 622, 85, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3267, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 233, 215, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3268, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 249, 112, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3269, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 22, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3270, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3271, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 358, 21, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3272, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 133, 8, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3273, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 142, 38, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3274, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 622, 85, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3275, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 262, 72, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3276, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 117, 14, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3277, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 6, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3278, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 299, 40, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3279, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 950, 9, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3280, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 329, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3281, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 98, 27, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3282, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 31, 13, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3283, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 155, 5, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3284, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 783, 15, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3285, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 9, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3286, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 2634, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3287, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 4799, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3288, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 4, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3289, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3290, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 1456, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3291, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 27, 4, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3292, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 1637, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3293, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 397, 116, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3294, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 245, 8, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3295, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 543, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3296, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 10, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3297, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 104, 71, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3298, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 691, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3299, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 644, 43, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3300, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 4645, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3301, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 191, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3302, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 95, 22, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3303, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 147, 14, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3304, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 1293, 39, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3305, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 530, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 65, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 319, 34, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1681, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 558, 12, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 77, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 158, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 9, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 598, 29, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 98, 27, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 27, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 128, 26, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 141, 11, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 22, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 437, 24, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 245, 12, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 805, 75, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 682, 23, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 31, 13, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 364, 34, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 2959, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 133, 10, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 112, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 299, 40, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3275, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1131, 42, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 691, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1370, 34, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 70, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1290, 21, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 95, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1030, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 675, 36, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1174, 5, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1074, 40, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4799, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 50, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 120, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2054, 10, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 218, 21, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 71, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 112, 15, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 111, 5, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 25, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 33, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 21, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 981, 35, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 797, 41, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 60, 8, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 109, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 88, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 314, 51, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 13, 4, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 313, 8, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 72, 12, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 219, 9, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 59, 18, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 341, 10, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 342, 12, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 791, 14, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 14, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 235, 5, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 8, 4, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 359, 31, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 608, 33, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 950, 9, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 70, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 637, 83, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 269, 5, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 98, 16, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 142, 38, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 107, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 113, 21, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 135, 21, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1158, 4, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 87, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1190, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 3432, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2236, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 173, 4, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 139, 4, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 109, 10, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 777, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 543, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 411, 15, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 245, 8, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 807, 12, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1536, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 104, 21, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 131, 18, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3397, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 31, 13, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3398, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 2634, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3399, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 9, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3400, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 10, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3401, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 117, 14, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3402, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 637, 83, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3403, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 1456, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3404, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 245, 8, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3405, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 783, 15, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3406, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 4, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3407, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 262, 72, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3408, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 329, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3409, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 142, 38, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3410, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 133, 8, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3411, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 98, 27, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3412, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3275, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3413, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 95, 22, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3414, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 147, 14, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3415, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 1293, 39, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3416, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 691, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3417, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 4799, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3418, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 543, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3419, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 659, 42, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3420, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 950, 9, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3421, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 104, 71, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3422, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 22, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3423, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 299, 40, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3424, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 777, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3425, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 6, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3426, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 401, 115, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3427, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 4645, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3428, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 358, 21, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3429, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 27, 4, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3430, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 191, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3431, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 950, 9, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3432, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1681, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3433, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 558, 12, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3434, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 4645, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3435, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 31, 13, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3436, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 142, 38, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3437, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 4, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3438, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 4799, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3439, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 637, 83, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3440, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 1116, 34, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3441, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 2497, 5, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3442, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 311, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3443, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 702, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3444, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 107, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3445, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 269, 5, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3446, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 70, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3447, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 6, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3448, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 3432, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3449, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 2236, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3450, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 22, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3451, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 166, 12, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3452, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 218, 21, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3453, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 1586, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3454, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A21', 182, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3455, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 21, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3456, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 1898, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3457, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 437, 24, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3458, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 777, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3459, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 9, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3460, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 10, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3461, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 364, 34, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3462, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 682, 23, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3463, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 245, 12, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3464, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 245, 8, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3465, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D26', 3275, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3466, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 33, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3467, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 543, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3468, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 14, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3469, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 329, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3470, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 25, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3471, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 60, 8, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3472, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 65, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3473, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 13, 4, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3474, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 530, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3475, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3476, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 133, 10, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3477, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 112, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3478, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 219, 9, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3479, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 77, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3480, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 5267, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3481, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 547, 41, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3482, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 27, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3483, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 141, 11, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3484, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 139, 4, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 109, 10, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3486, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 173, 4, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3487, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 135, 21, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3488, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 314, 51, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3489, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 88, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3490, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 374, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3491, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 8, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3492, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 691, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3493, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 120, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3494, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 71, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3495, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 98, 27, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3496, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 111, 5, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3497, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 70, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3498, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 95, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3499, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 299, 40, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3500, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 341, 10, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3501, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 342, 12, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3502, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 88, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3503, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 313, 8, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3504, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 235, 5, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3505, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 9, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3506, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 8, 4, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3507, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 269, 5, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3508, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 107, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3509, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 70, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3510, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 109, 10, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3511, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 139, 4, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3512, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 173, 4, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3513, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2236, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3514, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 87, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3515, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 3432, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3516, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 608, 33, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3517, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 805, 75, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3518, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 109, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3519, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 113, 21, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3520, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 2959, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3521, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 319, 34, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3522, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 218, 21, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3523, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2054, 10, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3524, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 21, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3525, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 25, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3526, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1030, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3527, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 33, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3528, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1174, 5, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3529, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 14, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3530, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (3531, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 131, 18, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3532, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1536, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3533, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 219, 9, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3534, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 13, 4, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3535, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 807, 12, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3536, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 411, 15, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3537, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 314, 51, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3538, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 135, 21, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3539, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 142, 38, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3540, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 950, 9, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3541, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 158, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3542, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 598, 29, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3543, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 128, 26, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3544, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 31, 13, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3545, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 98, 27, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3546, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 637, 83, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3547, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 530, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3548, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 299, 40, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3549, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 77, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3550, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1681, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3551, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 22, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3552, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 437, 24, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3553, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 364, 34, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3554, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 558, 12, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3555, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 791, 14, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3556, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 27, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3557, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 245, 12, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3558, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 682, 23, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3559, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 141, 11, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3560, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 359, 31, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3561, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 71, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3562, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 120, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3563, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 59, 18, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3564, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 95, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3565, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 72, 12, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3566, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 70, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3567, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 98, 16, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3568, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3275, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3569, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 691, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3570, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4799, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3571, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 543, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3572, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 245, 8, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3573, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 777, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3574, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 104, 21, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3575, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 60, 8, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3576, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 111, 5, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3577, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1190, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3578, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 65, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3579, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 112, 15, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3580, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 112, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3581, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 50, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3582, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1074, 40, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3583, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 133, 10, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3584, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 675, 36, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3585, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1290, 21, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3586, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1158, 4, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3587, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1370, 34, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3588, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1131, 42, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3589, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 797, 41, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3590, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 981, 35, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3591, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 60, 8, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3592, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 111, 5, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3593, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1681, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3594, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 70, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3595, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 777, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3596, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 95, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3597, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 71, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3598, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 558, 12, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3599, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 120, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3600, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 219, 9, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3601, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 13, 4, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3602, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 245, 12, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3603, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 682, 23, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3604, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 364, 34, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3605, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 437, 24, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3606, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D26', 3275, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3607, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 65, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3608, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 112, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3609, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 4, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3610, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 133, 10, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3611, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 141, 11, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3612, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 27, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3613, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 299, 40, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3614, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 1586, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3615, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 1898, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3616, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A21', 182, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3617, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 139, 4, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3618, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 173, 4, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3619, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 109, 10, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3620, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 6, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3621, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 14, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3622, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3623, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 31, 13, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3624, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 374, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3625, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 8, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3626, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 1116, 34, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3627, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 314, 51, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3628, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 25, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3629, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 135, 21, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3630, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 2497, 5, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3631, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 142, 38, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3632, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 33, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3633, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 702, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3634, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 637, 83, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3635, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 166, 12, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3636, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 311, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3637, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 10, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3638, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 3432, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3639, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 2236, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3640, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 950, 9, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3641, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 9, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3642, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 22, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3643, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 107, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3644, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 269, 5, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3645, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 70, 6, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3646, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 543, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3647, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 547, 41, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3648, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 77, 7, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3649, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 21, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3650, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 530, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3651, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 5267, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3652, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 98, 27, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3653, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 329, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3654, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 88, 1, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3655, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 245, 8, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3656, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 4645, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3657, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 691, 3, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3658, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 218, 21, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3659, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 4799, 2, 2023, 3, 8, '2024-08-05 13:55:37', NULL, NULL), (3660, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 113, 140, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3661, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 214, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3662, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 799, 294, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3663, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 436, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3664, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 1130, 161, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3665, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 431, 81, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3666, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 312, 396, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3667, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1257, 90, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3668, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 2024, 373, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3669, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 7, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3670, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 157, 148, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3671, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 175, 119, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3672, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 2013, 375, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3673, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 857, 259, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3674, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 153, 70, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3675, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 887, 139, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3676, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 312, 396, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3677, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 113, 140, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3678, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 797, 295, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3679, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 157, 148, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3680, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 128, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3681, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 317, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3682, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 1802, 14, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3683, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 518, 16, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3684, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 113, 140, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3685, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 289, 119, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3686, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 323, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3687, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 205, 36, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3688, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 607, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3689, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 372, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3690, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 3190, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3691, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 101, 52, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3692, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 48, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3693, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 947, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3694, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 27, 14, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3695, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 214, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3696, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3697, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 6069, 7, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3698, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 447, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3699, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 40, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3700, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 1568, 6, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3701, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 43, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3702, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 2688, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3703, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 427, 180, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3704, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 601, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3705, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 106, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3706, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1124, 132, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3707, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 41, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3708, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 1102, 132, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3709, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 1811, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3710, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 588, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3711, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 101, 25, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3712, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 13, 19, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3713, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 1255, 29, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3714, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 7, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 33, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 1008, 8, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 23, 9, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 512, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 206, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 48, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1210, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1426, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 205, 36, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1577, 44, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1360, 16, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 737, 12, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 3094, 47, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 847, 7, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 6074, 6, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 4919, 6, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1984, 46, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 757, 12, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 4551, 8, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 2752, 47, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1082, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1773, 41, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 813, 9, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 2989, 41, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1221, 16, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 163, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 107, 19, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 127, 28, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 213, 43, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 236, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 92, 24, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 72, 18, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 127, 21, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 121, 8, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 96, 29, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 44, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 112, 22, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 154, 18, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1895, 26, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 260, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 168, 26, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 801, 7, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 2325, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 246, 14, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 337, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 614, 24, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 531, 20, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 190, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 2078, 7, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 89, 19, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 96, 22, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 71, 22, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 107, 22, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 317, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 214, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 114, 27, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 101, 52, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 7, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 220, 39, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 391, 26, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 418, 18, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 1375, 91, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 354, 44, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 471, 59, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 812, 70, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 41, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 128, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 447, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 494, 32, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 43, 8, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 45, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 6, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 2688, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 130, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 269, 58, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 13, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 115, 20, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 127, 6, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 13, 7, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 11, 6, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 129, 26, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 17, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 362, 24, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 88, 18, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 607, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 98, 12, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 95, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 553, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 105, 6, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 308, 61, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 73, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1007, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 13186, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 731, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1726, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 947, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1233, 17, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 601, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3813, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 48, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3814, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 6069, 7, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3815, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 214, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3816, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 106, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3817, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 323, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3818, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 113, 140, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3819, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 1568, 6, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3820, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 601, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3821, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 27, 14, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3822, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 40, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3823, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 289, 119, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3824, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 128, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3825, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 553, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3826, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 3190, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3827, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 317, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3828, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 101, 52, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3829, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 2688, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3830, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 13, 19, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3831, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 7, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3832, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 101, 25, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3833, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 1255, 29, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3834, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 41, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3835, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 447, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3836, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 607, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3837, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 1102, 132, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3838, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1124, 132, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3839, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 205, 36, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3840, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 947, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3841, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 372, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3842, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 427, 180, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3843, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 588, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3844, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 1802, 14, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3845, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 43, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3846, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 1811, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3847, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 607, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3848, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 33, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3849, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 23, 9, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3850, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 588, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3851, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 48, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3852, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 553, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3853, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 168, 26, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3854, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 40, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3855, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 447, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3856, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 112, 22, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3857, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 127, 21, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3858, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 96, 29, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3859, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 1945, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3860, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 92, 24, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3861, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 72, 18, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3862, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 515, 14, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3863, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 2370, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3864, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 105, 6, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3865, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 95, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3866, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 98, 12, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3867, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 13186, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3868, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 731, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3869, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 382, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3870, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 7, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3871, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 494, 32, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3872, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 2178, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3873, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A21', 608, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3874, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 1134, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3875, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 6, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3876, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 128, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3877, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 391, 26, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3878, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 947, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3879, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 214, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3880, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 10, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3881, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 734, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3882, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 106, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3883, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 471, 59, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3884, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 354, 44, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3885, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 418, 18, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3886, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 601, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3887, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 45, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3888, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 17, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3889, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 2688, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3890, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 3190, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3891, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 43, 8, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3892, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1221, 16, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3893, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 1008, 8, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3894, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 13, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3895, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 11, 6, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3896, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1210, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3897, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 1426, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3898, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 13, 7, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3899, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 317, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3900, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 886, 56, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3901, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 1262, 76, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3902, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 764, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3903, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 30, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3904, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1233, 17, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3905, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1726, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3906, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 308, 61, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3907, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 269, 58, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3908, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 130, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3909, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 1811, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3910, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 41, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3911, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 757, 12, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3912, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1082, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3913, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 813, 9, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3914, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 101, 52, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3915, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 737, 12, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3916, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 847, 7, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3917, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 205, 36, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 127, 6, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3919, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 129, 26, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3920, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 130, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3921, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 115, 20, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3922, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 362, 24, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3923, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 88, 18, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3924, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 95, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3925, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 105, 6, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3926, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 98, 12, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3927, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1233, 17, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3928, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1726, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3929, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 731, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3930, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1895, 26, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3931, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 13186, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3932, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 163, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3933, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 44, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3934, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 71, 22, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3935, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 494, 32, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3936, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 4551, 8, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3937, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 6, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3938, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 43, 8, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3939, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 6074, 6, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3940, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 45, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3941, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 4919, 6, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3942, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 17, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3943, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 11, 6, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3944, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 96, 22, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3945, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 13, 7, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3946, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 2078, 7, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3947, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 13, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3948, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 2325, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (3949, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 801, 7, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3950, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 269, 58, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3951, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 308, 61, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3952, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 553, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3953, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 607, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3954, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 107, 22, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3955, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 114, 27, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3956, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 220, 39, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3957, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 48, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3958, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 101, 52, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3959, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 205, 36, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3960, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 33, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3961, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 317, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3962, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 391, 26, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3963, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 23, 9, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3964, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 471, 59, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3965, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 127, 28, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3966, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 236, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3967, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 512, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3968, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 418, 18, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3969, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 213, 43, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3970, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 354, 44, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3971, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 206, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3972, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1082, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3973, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 154, 18, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3974, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 757, 12, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3975, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 107, 19, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3976, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 847, 7, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3977, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 737, 12, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3978, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 121, 8, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3979, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 7, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3980, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 89, 19, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3981, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1221, 16, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3982, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 813, 9, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3983, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1007, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3984, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 1008, 8, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3985, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1426, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3986, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1210, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3987, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 73, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3988, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 214, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3989, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 1375, 91, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3990, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 812, 70, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3991, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 72, 18, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3992, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 127, 21, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3993, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 92, 24, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3994, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 96, 29, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3995, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 112, 22, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3996, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 2688, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3997, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 168, 26, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3998, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 128, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (3999, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 41, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4000, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 447, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4001, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 601, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4002, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 947, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4003, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 190, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4004, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 531, 20, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4005, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 260, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4006, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1773, 41, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4007, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 2752, 47, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4008, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 246, 14, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4009, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1984, 46, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4010, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 614, 24, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4011, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 3094, 47, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4012, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 337, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4013, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1360, 16, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4014, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1577, 44, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4015, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 2989, 41, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4016, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1221, 16, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4017, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 813, 9, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4018, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 33, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4019, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 947, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4020, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 737, 12, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4021, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 847, 7, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4022, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 23, 9, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4023, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1082, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4024, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 757, 12, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4025, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 13, 7, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4026, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 13, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4027, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 418, 18, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4028, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 354, 44, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4029, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 471, 59, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4030, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 391, 26, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4031, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 1008, 8, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4032, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 2688, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4033, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 1426, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4034, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 40, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4035, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1210, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4036, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 30, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4037, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 764, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4038, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 205, 36, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4039, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 2178, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4040, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 1134, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4041, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A21', 608, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4042, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1726, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4043, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1233, 17, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4044, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 17, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4045, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 11, 6, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4046, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 48, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4047, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 1811, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4048, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 1945, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4049, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 168, 26, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4050, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 269, 58, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4051, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 43, 8, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4052, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 308, 61, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4053, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 515, 14, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4054, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 553, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4055, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 45, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4056, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 2370, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4057, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 127, 21, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4058, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 96, 29, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4059, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 382, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4060, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 112, 22, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4061, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 92, 24, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4062, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 72, 18, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4063, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 106, 13, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4064, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 13186, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4065, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 731, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4066, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 607, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4067, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 128, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4068, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 214, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4069, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 105, 6, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4070, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 95, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4071, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 98, 12, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4072, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 1262, 76, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4073, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 317, 10, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4074, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 6, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4075, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 734, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4076, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 886, 56, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4077, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 10, 1, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4078, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 101, 52, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4079, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 3190, 4, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4080, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 130, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4081, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 588, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4082, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 601, 15, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4083, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 41, 5, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4084, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 494, 32, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4085, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 447, 3, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4086, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 7, 2, 2023, 3, 9, '2024-08-05 13:55:39', NULL, NULL), (4087, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 13465, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4088, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 240, 136, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4089, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 4, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4090, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1341, 326, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4091, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 510, 13, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4092, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 572, 99, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4093, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 639, 296, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4094, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 901, 73, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4095, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1371, 106, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4096, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1134, 324, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4097, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 104, 98, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4098, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 181, 135, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4099, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1134, 324, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4100, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 887, 191, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4101, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 288, 82, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4102, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1081, 122, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4103, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 630, 300, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4104, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 240, 136, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4105, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1341, 326, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4106, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 181, 135, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4107, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 13, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4108, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '', '', '', 53, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4109, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4110, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 101, 11, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4111, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 729, 15, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4112, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 215, 42, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4113, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 240, 136, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4114, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1966, 136, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4115, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 187, 10, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4116, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 357, 33, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4117, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 139, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4118, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 863, 2, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4119, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 549, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4120, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 541, 28, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4121, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 203, 18, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4122, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2272, 8, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4123, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 253, 18, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4124, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 4, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4125, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1813, 8, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4126, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 901, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4127, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 119, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4128, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4129, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 13465, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4130, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 739, 2, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4131, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 22, 4, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4132, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 755, 165, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4133, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1120, 9, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4134, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 215, 2, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4135, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 96, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4136, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1229, 118, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4137, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 538, 60, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4138, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 53, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4139, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 4206, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4140, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 192, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4141, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 16, 15, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4142, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 583, 24, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4143, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 624, 39, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4144, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 49, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 1758, 8, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 356, 12, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 191, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 408, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 13, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 203, 18, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1617, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1377, 11, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 357, 33, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1249, 37, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1503, 30, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 522, 10, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1191, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 5811, 10, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1694, 19, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 5023, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 600, 18, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1036, 12, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 4062, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1854, 31, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 150, 17, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1471, 15, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1377, 10, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 1107, 35, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1213, 42, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 838, 11, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 66, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 166, 16, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 122, 20, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 283, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 279, 28, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 256, 25, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 1409, 23, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 247, 21, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 92, 19, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 244, 28, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 96, 13, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 153, 19, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 205, 15, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 121, 10, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 131, 21, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1128, 20, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1685, 11, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 473, 28, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 740, 17, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 315, 13, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 598, 11, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1082, 28, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 230, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 801, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 30, 17, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 2206, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 70, 16, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 53, 30, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 73, 21, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 101, 11, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 4, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 59, 17, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 541, 28, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 218, 28, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 13465, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 921, 40, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 801, 20, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 748, 53, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 211, 13, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 508, 23, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 369, 46, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 53, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 1102, 26, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 901, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 716, 27, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 26, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 660, 14, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 579, 10, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 3012, 78, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 16, 5, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 5, 8, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 389, 2, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 18, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 20, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 23, 10, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 191, 19, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 103, 9, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 9, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 139, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 469, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 215, 42, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 703, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 560, 58, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 4, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 8, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 2365, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 160, 2, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1534, 11, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2597, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1048, 17, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 215, 2, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1120, 9, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4245, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 203, 18, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4246, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1813, 8, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4247, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 4, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4248, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 96, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4249, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 187, 10, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4250, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 240, 136, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4251, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 739, 2, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4252, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1120, 9, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4253, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 253, 18, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4254, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 119, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4255, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1966, 136, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4256, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 549, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4257, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 215, 42, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4258, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 101, 11, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4259, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 541, 28, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4260, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 16, 15, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4261, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 583, 24, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4262, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 624, 39, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4263, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 53, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4264, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 901, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4265, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 215, 2, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4266, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 139, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4267, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 538, 60, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4268, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1229, 118, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4269, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 13, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4270, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 357, 33, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4271, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 13465, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4272, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2597, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4273, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 863, 2, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4274, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 764, 163, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4275, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 4206, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4276, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 729, 15, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4277, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 22, 4, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4278, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '市公安局', '', '', 53, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4279, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 192, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4280, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 139, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4281, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 49, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4282, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 356, 12, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4283, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 4206, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4284, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 203, 18, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4285, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 215, 42, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4286, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 473, 28, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4287, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 13465, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4288, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 119, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4289, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 901, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4290, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 131, 21, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4291, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 244, 28, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4292, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 153, 19, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4293, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 247, 21, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4294, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 851, 21, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4295, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 92, 19, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4296, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 15, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4297, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 360, 18, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4298, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 780, 14, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4299, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 703, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4300, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 469, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4301, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 2365, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4302, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 160, 2, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4303, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 13, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4304, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 716, 27, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4305, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 1102, 26, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4306, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 739, 2, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4307, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 660, 14, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4308, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 921, 40, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4309, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '', '', '1A21', 53, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4310, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2597, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4311, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 4, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4312, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 863, 2, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4313, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 96, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4314, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 508, 23, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4315, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 211, 13, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4316, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 801, 20, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4317, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1120, 9, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4318, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4319, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 215, 2, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4320, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 26, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4321, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 549, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4322, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 838, 11, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4323, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 1758, 8, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4324, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 16, 5, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4325, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 20, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4326, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1617, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4327, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 18, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4328, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 1377, 11, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4329, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 101, 11, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4330, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 374, 28, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4331, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 681, 32, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4332, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 191, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4333, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 181, 4, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4334, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 9, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4335, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1048, 17, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4336, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1534, 11, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4337, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 560, 58, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4338, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 3012, 78, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4339, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 579, 10, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4340, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 192, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4341, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 53, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4342, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1036, 12, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4343, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1471, 15, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4344, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1377, 10, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4345, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 541, 28, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4346, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 522, 10, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4347, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1191, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4348, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 357, 33, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4349, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 389, 2, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4350, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 23, 10, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4351, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 579, 10, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4352, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 5, 8, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4353, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 9, 1, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4354, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 191, 19, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4355, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 103, 9, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4356, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 703, 7, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4357, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 469, 7, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4358, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1048, 17, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4359, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1534, 11, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4360, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 160, 2, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4361, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1128, 20, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4362, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 2365, 6, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4363, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 1409, 23, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4364, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 66, 3, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4365, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 121, 10, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (4366, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 53, 30, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4367, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 1102, 26, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4368, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 716, 27, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4369, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 4062, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4370, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 660, 14, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4371, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 26, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4372, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 5811, 10, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4373, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 5023, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4374, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4375, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 20, 3, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4376, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 70, 16, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4377, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 18, 6, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4378, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 2206, 6, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4379, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 16, 5, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4380, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 740, 17, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4381, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 3012, 78, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4382, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 560, 58, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4383, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 215, 42, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4384, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 139, 7, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4385, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 73, 21, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4386, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 59, 17, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4387, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 218, 28, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4388, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 203, 18, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4389, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 541, 28, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4390, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 357, 33, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4391, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 49, 6, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4392, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 101, 11, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4393, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 13, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4394, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 921, 40, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4395, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 356, 12, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4396, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 508, 23, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4397, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 283, 1, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4398, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 801, 20, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4399, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 191, 6, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4400, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 256, 25, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4401, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 408, 6, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4402, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 279, 28, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4403, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 211, 13, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4404, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1471, 15, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4405, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 205, 15, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4406, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1036, 12, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4407, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 122, 20, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4408, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1191, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4409, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 166, 16, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4410, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 522, 10, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4411, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 96, 13, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4412, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 30, 17, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4413, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 838, 11, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4414, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1377, 10, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4415, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 8, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4416, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 1758, 8, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4417, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1377, 11, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4418, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1617, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4419, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 4, 1, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4420, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 4, 1, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4421, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 748, 53, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4422, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 369, 46, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4423, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 13465, 3, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4424, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 92, 19, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4425, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 244, 28, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4426, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 247, 21, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4427, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 153, 19, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4428, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 131, 21, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4429, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 473, 28, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4430, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 53, 6, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4431, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 901, 7, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4432, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 215, 2, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4433, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1120, 9, 2023, 3, 10, '2024-08-05 13:55:40', NULL, NULL), (4434, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2597, 7, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4435, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 801, 7, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4436, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 230, 3, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4437, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 150, 17, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4438, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1685, 11, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4439, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1854, 31, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4440, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 315, 13, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4441, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 600, 18, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4442, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1694, 19, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4443, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1082, 28, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4444, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 598, 11, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4445, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1503, 30, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4446, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1249, 37, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4447, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1213, 42, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4448, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 1107, 35, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4449, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 838, 11, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4450, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1377, 10, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4451, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 49, 6, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4452, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2597, 7, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4453, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 522, 10, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4454, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1191, 6, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4455, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 356, 12, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4456, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1471, 15, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4457, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1036, 12, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4458, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 18, 6, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4459, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 16, 5, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4460, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 801, 20, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4461, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 211, 13, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4462, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 508, 23, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4463, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 921, 40, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4464, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 1758, 8, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4465, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 1377, 11, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4466, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 119, 3, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4467, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1617, 7, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4468, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 181, 4, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4469, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 191, 6, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4470, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 357, 33, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4471, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 739, 2, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4472, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1534, 11, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4473, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1048, 17, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4474, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4475, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 20, 3, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4476, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 203, 18, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4477, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 9, 1, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4478, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 192, 1, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4479, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 473, 28, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4480, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 851, 21, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4481, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 3012, 78, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4482, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 26, 3, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4483, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 560, 58, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4484, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 360, 18, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4485, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 215, 42, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4486, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 244, 28, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4487, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 780, 14, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4488, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 153, 19, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4489, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 131, 21, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4490, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 15, 1, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4491, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 247, 21, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4492, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 92, 19, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4493, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 96, 6, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4494, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 13465, 3, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4495, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 2365, 6, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4496, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 160, 2, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4497, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 139, 7, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4498, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 4, 1, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4499, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 13, 1, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4500, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 703, 7, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4501, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 469, 7, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4502, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '市公安局', '', '1A21', 53, 1, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4503, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 215, 2, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4504, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 681, 32, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4505, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 101, 11, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4506, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 660, 14, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4507, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 863, 2, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4508, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 374, 28, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4509, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 541, 28, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4510, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 549, 1, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4511, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 579, 10, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4512, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 4206, 3, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4513, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1120, 9, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4514, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 1102, 26, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4515, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 716, 27, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4516, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 53, 6, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4517, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 901, 7, 2023, 3, 10, '2024-08-05 13:55:41', NULL, NULL), (4518, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 12, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4519, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 23, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4520, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 571, 19, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4521, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 196, 76, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4522, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 368, 13, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4523, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 517, 45, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4524, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 196, 76, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4525, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 23, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4526, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4527, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 368, 13, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4528, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 517, 21, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4529, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 12, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4530, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 475, 49, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4531, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 444, 11, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4532, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 12, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4533, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 4, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4534, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 103, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4535, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 707, 28, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4536, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 347, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4537, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4538, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 265, 6, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4539, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 30, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4540, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 4, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4541, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 246, 14, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4542, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 23, 3, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4543, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 23, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4544, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 34, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4545, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 3, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4546, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 44, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 707, 28, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 460, 9, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 63, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 23, 3, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 3, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 8786, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 162, 4, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 11, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 70, 3, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 12, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 23, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 224, 4, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 308, 20, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 135, 15, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 265, 6, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 44, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 255, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 210, 6, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 33, 16, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 30, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 400, 14, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 52, 10, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 393, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 71, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4571, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 30, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4572, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 23, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4573, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 246, 14, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4574, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 4, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4575, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 12, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4576, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 44, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4577, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 103, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4578, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 707, 28, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4579, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 347, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4580, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 23, 3, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4581, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 265, 6, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4582, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 444, 11, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4583, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 3, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4584, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 34, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4585, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 30, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4586, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 347, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4587, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 34, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4588, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 393, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4589, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 265, 6, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4590, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 3, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4591, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 224, 4, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4592, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 23, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4593, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 103, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4594, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 44, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4595, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 255, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4596, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 210, 6, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4597, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 23, 3, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4598, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 12, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4599, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 444, 11, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4600, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 4, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4601, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 707, 28, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4602, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 63, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4603, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 12, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4604, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 23, 3, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4605, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 8786, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4606, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 11, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4607, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 70, 3, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4608, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 255, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4609, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 210, 6, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4610, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 308, 20, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4611, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 23, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4612, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 30, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4613, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 265, 6, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4614, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 44, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4615, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 393, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4616, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 71, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4617, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 3, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4618, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 400, 14, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4619, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 707, 28, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4620, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 33, 16, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4621, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 224, 4, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4622, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 460, 9, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4623, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 135, 15, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4624, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 162, 4, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4625, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 52, 10, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4626, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 444, 11, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4627, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 393, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4628, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 23, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4629, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 12, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4630, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 4, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4631, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 23, 3, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4632, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 44, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4633, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 255, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4634, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 210, 6, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4635, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 347, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4636, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 265, 6, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4637, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 3, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4638, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 34, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4639, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 707, 28, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4640, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 103, 2, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4641, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 224, 4, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4642, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 30, 1, 2023, 3, 11, '2024-08-05 13:55:44', NULL, NULL), (4643, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 6, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4644, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 232, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4645, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 21, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4646, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 309, 33, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4647, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 119, 25, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4648, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 309, 33, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4649, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 119, 2, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4650, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 0, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4651, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 10, 2, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4652, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 106, 28, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4653, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 95, 9, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4654, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 21, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4655, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 881, 6, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4656, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4657, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 16, 3, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4658, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 160, 13, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4659, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 6, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4660, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4661, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 2924, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4662, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 0, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 163, 7, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 64, 2, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 21, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 193, 2, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 16, 3, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 24, 7, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 67, 4, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 777, 3, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 232, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 6, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 57, 6, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 57, 6, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 73, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 160, 13, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1469, 4, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4678, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 95, 9, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4679, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 160, 13, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4680, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 2924, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4681, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 21, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4682, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 881, 6, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4683, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 16, 3, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4684, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 6, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4685, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 16, 3, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4686, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A21', 2924, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4687, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 193, 2, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4688, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 67, 4, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4689, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 21, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4690, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 6, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4691, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 64, 2, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4692, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 985, 3, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4693, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 777, 3, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4694, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 160, 13, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4695, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 73, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4696, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 21, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4697, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 67, 4, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4698, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 193, 2, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4699, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 16, 3, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4700, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1469, 4, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4701, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 777, 3, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4702, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 64, 2, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4703, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 24, 7, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4704, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 73, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4705, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 160, 13, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4706, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 232, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4707, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 6, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4708, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 163, 7, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4709, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 57, 6, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4710, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 57, 6, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4711, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 777, 3, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4712, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 985, 3, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4713, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 21, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4714, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 6, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4715, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 64, 2, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4716, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 73, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4717, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A21', 2924, 1, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4718, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 193, 2, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4719, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 160, 13, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4720, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 67, 4, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4721, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 16, 3, 2023, 3, 12, '2024-08-05 13:55:48', NULL, NULL), (4722, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 118, 178, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4723, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 36, 3, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4724, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 433, 298, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4725, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 602, 14, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4726, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 616, 145, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4727, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 245, 339, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4728, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 258, 84, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4729, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 973, 111, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4730, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 868, 479, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4731, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 6, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4732, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 125, 140, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4733, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 147, 125, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4734, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 866, 480, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4735, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 461, 258, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4736, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 529, 90, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4737, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 532, 148, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4738, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 243, 341, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4739, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 433, 298, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4740, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 118, 178, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4741, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 128, 141, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4742, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 4170, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4743, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 2, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4744, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '', '', '', 1020, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4745, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 242, 25, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4746, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 64, 11, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4747, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 453, 50, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4748, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 118, 178, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4749, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 212, 105, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4750, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 180, 13, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4751, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 350, 32, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4752, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 616, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4753, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 506, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4754, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 248, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4755, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 90, 34, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4756, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 29, 18, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4757, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 8, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4758, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 277, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4759, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1131, 26, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4760, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 36, 3, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4761, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 429, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4762, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 367, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4763, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 25, 3, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4764, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4765, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 431, 4, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4766, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 17, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4767, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4768, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 128, 179, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4769, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 3188, 13, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4770, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 121, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4771, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 766, 102, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (4772, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 901, 5, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4773, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 641, 97, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4774, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 3528, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4775, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 179, 2, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4776, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 15, 30, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4777, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 207, 18, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4778, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 565, 48, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4779, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 6, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 912, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 928, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 1267, 16, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 321, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 15, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 4170, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 29, 18, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 605, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 677, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 362, 31, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 966, 44, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1054, 24, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 638, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1027, 27, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 397, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2301, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1232, 39, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3418, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1076, 49, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2539, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 522, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 802, 43, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 598, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 936, 50, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 308, 5, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 864, 31, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 964, 38, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 438, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 352, 2, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 173, 20, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 39, 14, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 64, 26, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 137, 18, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 351, 17, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 1385, 25, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 117, 25, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 83, 21, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 128, 30, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 55, 16, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 135, 34, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 99, 14, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 105, 27, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 115, 34, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1027, 22, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 287, 17, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 120, 34, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 196, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 310, 21, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 313, 16, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 380, 4, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 181, 20, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 156, 24, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 956, 3, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 71, 15, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1216, 4, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 35, 25, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 87, 4, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 153, 38, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 51, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 237, 24, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 36, 3, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 130, 24, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 90, 34, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 6, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 101, 37, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 176, 17, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 138, 32, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 638, 69, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 138, 28, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 89, 40, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 596, 76, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1127, 4, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 74, 24, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 367, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 195, 17, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 18, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 8, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 149, 20, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 616, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 439, 3, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 218, 53, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 18, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 45, 18, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 90, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 24, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 134, 17, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 14, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 265, 18, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 92, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 506, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 210, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 453, 50, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 64, 5, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 205, 52, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 7, 2, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 429, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1269, 5, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1498, 13, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 277, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 948, 11, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 3188, 13, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4882, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 29, 18, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4883, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 36, 3, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4884, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 431, 4, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4885, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 3188, 13, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4886, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 212, 105, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4887, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 453, 50, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4888, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 90, 34, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4889, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 15, 30, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4890, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 506, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4891, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 766, 102, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4892, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 4170, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4893, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 362, 31, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4894, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 253, 24, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4895, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 179, 2, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4896, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 429, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4897, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 121, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4898, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 180, 13, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4899, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 118, 178, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4900, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1131, 26, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4901, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 25, 3, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4902, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 248, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4903, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 64, 11, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4904, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 6, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4905, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 219, 17, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4906, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 565, 48, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4907, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 8, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4908, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1127, 4, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4909, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 367, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4910, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 641, 97, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4911, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 277, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4912, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 129, 178, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4913, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 3528, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4914, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 17, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4915, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '', 616, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4916, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '市公安局', '', '', 1020, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4917, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 506, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4918, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 912, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4919, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 1267, 16, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4920, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 3528, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4921, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 29, 18, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4922, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 453, 50, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4923, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 120, 34, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4924, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 25, 3, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4925, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 367, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4926, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 115, 34, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4927, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 128, 30, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4928, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 135, 34, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4929, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 534, 19, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4930, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 117, 25, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4931, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 83, 21, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4932, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 68, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4933, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 585, 29, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4934, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 295, 15, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4935, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 64, 5, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4936, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 232, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4937, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 429, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4938, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 196, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4939, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 4170, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4940, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 6, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4941, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 195, 17, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4942, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 74, 24, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4943, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 431, 4, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4944, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 149, 20, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4945, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 176, 17, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4946, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '', '', '1A21', 1020, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4947, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 277, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4948, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 36, 3, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4949, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 121, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4950, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 89, 40, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4951, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 138, 28, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4952, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 138, 32, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4953, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 3188, 13, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4954, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 8, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4955, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 14, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4956, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 248, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4957, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 18, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4958, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E29', 8, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4959, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 438, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4960, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 928, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4961, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 87, 4, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4962, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 18, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4963, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4964, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 605, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4965, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 24, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4966, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 51, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4967, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 677, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4968, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 602, 47, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4969, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 678, 50, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4970, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 321, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4971, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 15, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4972, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1498, 13, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4973, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 948, 11, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4974, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1269, 5, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4975, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 205, 52, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4976, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 218, 53, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4977, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 439, 3, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4978, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 179, 2, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4979, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1127, 4, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4980, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '1D27', 616, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4981, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 522, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4982, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 598, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4983, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 308, 5, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4984, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 90, 34, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4985, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 638, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4986, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 397, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4987, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 362, 31, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4988, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 90, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4989, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 134, 17, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4990, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 439, 3, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4991, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 45, 18, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4992, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 265, 18, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4993, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 92, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4994, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 64, 5, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4995, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 210, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4996, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 948, 11, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4997, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1498, 13, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4998, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1269, 5, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (4999, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1027, 22, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5000, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 429, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5001, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 1385, 25, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5002, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 352, 2, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5003, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 105, 27, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5004, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 153, 38, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5005, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 74, 24, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5006, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 195, 17, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5007, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2539, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5008, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 149, 20, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5009, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 18, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5010, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2301, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5011, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 8, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5012, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3418, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5013, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 14, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5014, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5015, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 35, 25, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5016, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 24, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5017, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1216, 4, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5018, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 310, 21, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5019, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 18, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5020, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 196, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5021, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 218, 53, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5022, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 205, 52, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5023, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 453, 50, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5024, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 506, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5025, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 237, 24, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5026, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 130, 24, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5027, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 101, 37, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5028, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 29, 18, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5029, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 90, 34, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5030, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 87, 4, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5031, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 362, 31, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5032, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 51, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5033, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 912, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5034, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 4170, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5035, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 176, 17, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5036, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 1267, 16, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5037, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 89, 40, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5038, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 64, 26, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5039, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 138, 32, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5040, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 321, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5041, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 351, 17, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5042, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 15, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5043, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 138, 28, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5044, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 137, 18, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5045, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 598, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5046, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 99, 14, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5047, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 522, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5048, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 39, 14, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5049, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 173, 20, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5050, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 397, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5051, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 638, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5052, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 55, 16, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5053, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 6, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5054, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 71, 15, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5055, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 438, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5056, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 308, 5, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5057, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 928, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5058, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 677, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5059, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 605, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5060, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 7, 2, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5061, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 36, 3, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5062, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 638, 69, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5063, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 596, 76, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5064, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 83, 21, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5065, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 128, 30, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5066, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 117, 25, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5067, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 135, 34, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5068, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 115, 34, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5069, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 616, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5070, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 120, 34, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5071, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1127, 4, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5072, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 367, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5073, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 3188, 13, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5074, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 277, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5075, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 956, 3, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5076, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 156, 24, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5077, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 287, 17, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5078, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 936, 50, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5079, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 802, 43, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5080, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 313, 16, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5081, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1076, 49, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5082, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1232, 39, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5083, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 181, 20, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5084, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1027, 27, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5085, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 380, 4, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5086, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1054, 24, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5087, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 966, 44, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5088, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 964, 38, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5089, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 864, 31, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5090, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 438, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5091, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 308, 5, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5092, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 912, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5093, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 277, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5094, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 638, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5095, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 397, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5096, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 1267, 16, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5097, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 598, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5098, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 522, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5099, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 24, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5100, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 18, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5101, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 138, 32, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5102, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 138, 28, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5103, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 89, 40, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5104, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '1D27', 616, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5105, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 176, 17, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5106, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 928, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5107, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 677, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5108, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 25, 3, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5109, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 605, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5110, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 15, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5111, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 321, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5112, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 362, 31, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5113, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 431, 4, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5114, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1498, 13, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5115, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1269, 5, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5116, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 948, 11, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5117, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 14, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5118, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 6, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5119, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 29, 18, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5120, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 179, 2, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5121, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 534, 19, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5122, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 120, 34, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5123, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 218, 53, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5124, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 18, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5125, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 205, 52, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5126, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 585, 29, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5127, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 453, 50, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5128, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 8, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5129, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 295, 15, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5130, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 128, 30, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5131, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 196, 8, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5132, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 135, 34, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5133, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 115, 34, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5134, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 68, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5135, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 117, 25, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5136, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 83, 21, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5137, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 121, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5138, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 429, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5139, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 506, 10, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5140, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 36, 3, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5141, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 4170, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5142, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 64, 5, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5143, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 232, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5144, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '市公安局', '', '1A21', 1020, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5145, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 678, 50, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5146, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 51, 7, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5147, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 149, 20, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5148, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 602, 47, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5149, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 87, 4, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5150, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 90, 34, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5151, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 248, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5152, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 439, 3, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5153, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 3528, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5154, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 3188, 13, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5155, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 74, 24, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5156, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1127, 4, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5157, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 195, 17, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5158, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 367, 9, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5159, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 6, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5160, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E29', 8, 1, 2023, 3, 13, '2024-08-05 13:55:52', NULL, NULL), (5161, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 10243, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5162, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 85, 175, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5163, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 112, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5164, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 755, 287, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5165, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '', 2215, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5166, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 618, 13, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5167, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 1012, 86, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5168, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 200, 342, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5169, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 595, 106, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5170, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 893, 137, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5171, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 525, 405, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5172, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 158, 83, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5173, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 134, 175, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5174, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 522, 408, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5175, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 1032, 226, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5176, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 478, 115, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5177, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 760, 106, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5178, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 198, 344, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5179, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 85, 175, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5180, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 755, 287, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5181, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 134, 175, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5182, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 2933, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5183, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '', 1107, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5184, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 185, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5185, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 212, 12, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5186, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 40, 14, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5187, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 85, 175, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (5188, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 345, 31, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5189, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 315, 103, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5190, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 905, 15, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5191, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 1205, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5192, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 276, 43, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5193, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 348, 9, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5194, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 4, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5195, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 51, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5196, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 247, 38, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5197, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 793, 28, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5198, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 100, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5199, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 164, 27, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5200, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 112, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5201, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 853, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5202, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 760, 5, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5203, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 65, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5204, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 8963, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5205, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 349, 5, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5206, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 14, 4, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5207, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 191, 193, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5208, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1232, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5209, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 12, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5210, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 7, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5211, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1360, 113, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5212, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 2658, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5213, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 232, 6, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5214, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 1125, 62, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5215, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 194, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5216, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 200, 16, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5217, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 499, 28, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5218, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 719, 24, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 724, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 205, 13, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 125, 14, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 119, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1017, 13, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 2933, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 793, 28, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1703, 18, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1475, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 276, 43, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 541, 38, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 696, 38, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 700, 33, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1261, 13, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1129, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 536, 20, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2886, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3223, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 655, 28, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1728, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3059, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 507, 34, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1441, 12, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 537, 40, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1266, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 642, 33, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 524, 30, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1480, 5, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 140, 22, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 117, 26, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 129, 33, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 214, 28, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 651, 25, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 76, 31, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 75, 25, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 65, 29, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 67, 17, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 98, 25, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 134, 20, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 130, 36, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 155, 30, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 579, 15, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 70, 23, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 57, 29, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 245, 9, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 155, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1034, 14, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 1273, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 617, 32, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 594, 24, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 81, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 531, 5, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 110, 29, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 126, 20, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 27, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 72, 25, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D14', 2215, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 83, 18, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 41, 13, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 112, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 93, 22, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 247, 38, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 485, 16, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 10243, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 199, 30, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 237, 36, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 1407, 37, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 163, 39, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 169, 40, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 713, 49, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 2658, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 232, 6, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 185, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 95, 24, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 760, 5, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 306, 22, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 12, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 22, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 145, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 234, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 306, 50, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 92, 9, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 15, 4, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 1365, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 33, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 27, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 160, 16, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 52, 20, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 11, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 38, 4, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 348, 9, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 168, 5, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 282, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 345, 31, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 197, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 324, 53, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 31, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 7, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 853, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 929, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1200, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 100, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1463, 12, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 25, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1232, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5324, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 793, 28, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5325, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 853, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5326, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 112, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5327, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 11, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5328, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 905, 15, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5329, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 85, 175, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5330, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '', 2215, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5331, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 349, 5, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5332, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 164, 27, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5333, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1232, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5334, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 65, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5335, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 315, 103, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5336, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 185, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5337, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 51, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5338, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 345, 31, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5339, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 40, 14, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5340, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 247, 38, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5341, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 499, 28, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5342, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 200, 16, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5343, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 719, 24, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5344, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 232, 6, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5345, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 760, 5, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5346, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 25, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5347, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 348, 9, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5348, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 1125, 62, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5349, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1360, 113, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5350, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 2933, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5351, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 276, 43, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5352, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 2658, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5353, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 100, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5354, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 10243, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5355, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 1205, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5356, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 4, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5357, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 191, 193, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5358, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 194, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5359, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 212, 12, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5360, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 14, 4, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5361, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 348, 9, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5362, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 205, 13, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5363, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 125, 14, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5364, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 194, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5365, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 793, 28, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5366, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 345, 31, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5367, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 57, 29, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5368, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 10243, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5369, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 65, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5370, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 760, 5, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5371, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 130, 36, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5372, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 65, 29, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5373, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 98, 25, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5374, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 76, 31, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5375, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 765, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5376, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 75, 25, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5377, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 686, 14, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5378, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 179, 6, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5379, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 197, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5380, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 282, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5381, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 168, 5, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5382, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 853, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5383, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A21', 1205, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5384, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 245, 6, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5385, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 2933, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5386, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 306, 22, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5387, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 95, 24, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5388, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 8, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5389, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A21', 1010, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5390, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 243, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5391, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 145, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5392, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 185, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5393, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 199, 30, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5394, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 100, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5395, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 112, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5396, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 4, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5397, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 11, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5398, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 2658, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5399, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 169, 40, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5400, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 163, 39, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5401, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 237, 36, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5402, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1232, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5403, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 22, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5404, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 25, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5405, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 11, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5406, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 51, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5407, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 12, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5408, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1480, 5, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5409, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 724, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5410, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 27, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5411, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 15, 4, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5412, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 27, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5413, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1703, 18, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5414, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 1365, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5415, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 41, 13, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5416, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 1475, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5417, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 724, 35, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5418, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 1645, 27, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5419, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 177, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5420, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1017, 13, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5421, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1200, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5422, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1463, 12, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5423, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 929, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5424, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 324, 53, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5425, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 306, 50, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5426, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 234, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5427, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 232, 6, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5428, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1728, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5429, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1441, 12, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5430, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1266, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5431, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 247, 38, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5432, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1261, 13, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5433, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1129, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5434, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 276, 43, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5435, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '1D14', 2215, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5436, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 33, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5437, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 160, 16, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5438, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 234, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5439, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 92, 9, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5440, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 52, 20, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5441, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 38, 4, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5442, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 282, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5443, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 197, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5444, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 168, 5, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5445, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1463, 12, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5446, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1200, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5447, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 929, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5448, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 579, 15, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5449, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 853, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5450, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 651, 25, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5451, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 155, 30, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5452, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 72, 25, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5453, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 95, 24, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5454, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 306, 22, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5455, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3059, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5456, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 145, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5457, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 12, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5458, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2886, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5459, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 22, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5460, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3223, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5461, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 11, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5462, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 27, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5463, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 126, 20, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5464, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 531, 5, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5465, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 1365, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5466, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 155, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5467, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 15, 4, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5468, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 245, 9, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5469, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 306, 50, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5470, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 324, 53, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5471, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 345, 31, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5472, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 348, 9, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5473, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 83, 18, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5474, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 93, 22, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5475, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 485, 16, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5476, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 793, 28, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5477, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 247, 38, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5478, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 27, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5479, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 276, 43, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5480, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 205, 13, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5481, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 41, 13, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5482, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 2933, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5483, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 199, 30, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5484, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 125, 14, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5485, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 169, 40, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5486, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 117, 26, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5487, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 237, 36, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5488, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 214, 28, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5489, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 119, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5490, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1017, 13, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5491, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 163, 39, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5492, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 129, 33, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5493, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1441, 12, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5494, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 134, 20, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5495, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1728, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5496, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 140, 22, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5497, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1129, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5498, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1261, 13, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5499, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 67, 17, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5500, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 110, 29, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5501, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1480, 5, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5502, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1266, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5503, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 7, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5504, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 724, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5505, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1475, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5506, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1703, 18, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5507, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 31, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5508, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 112, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5509, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 1407, 37, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5510, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 713, 49, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5511, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 10243, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5512, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '1D14', 2215, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5513, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 75, 25, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5514, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 65, 29, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5515, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 76, 31, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5516, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 98, 25, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5517, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 130, 36, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5518, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 2658, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5519, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 57, 29, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5520, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 185, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5521, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 232, 6, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5522, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 760, 5, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5523, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 25, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5524, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1232, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5525, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 100, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5526, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 81, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5527, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 594, 24, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5528, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 70, 23, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5529, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 537, 40, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5530, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 507, 34, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5531, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1034, 14, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5532, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 655, 28, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5533, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 536, 20, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5534, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 700, 33, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5535, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 617, 32, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5536, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 1273, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5537, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 696, 38, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5538, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 541, 38, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5539, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 524, 30, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5540, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 642, 33, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5541, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1480, 5, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5542, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1266, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5543, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 205, 13, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5544, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 100, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5545, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1261, 13, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5546, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1129, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5547, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 125, 14, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5548, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1441, 12, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5549, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1728, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5550, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 1365, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5551, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 15, 4, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5552, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 237, 36, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5553, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 163, 39, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5554, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 169, 40, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5555, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 199, 30, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5556, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 724, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5557, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 1475, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5558, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 65, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5559, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1703, 18, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5560, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1017, 13, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5561, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 177, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5562, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 276, 43, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5563, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 8, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5564, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 243, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5565, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A21', 1010, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5566, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A21', 1205, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5567, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1200, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5568, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 929, 8, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5569, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1463, 12, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5570, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 11, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5571, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 27, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5572, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 793, 28, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5573, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 57, 29, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5574, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 765, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5575, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 306, 50, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5576, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 12, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5577, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 324, 53, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5578, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 686, 14, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5579, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 345, 31, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5580, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 22, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5581, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '1D14', 2215, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5582, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 179, 6, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5583, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 65, 29, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5584, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 245, 6, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5585, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 98, 25, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5586, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 130, 36, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5587, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 76, 31, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5588, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 75, 25, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5589, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 11, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5590, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 10243, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5591, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 853, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5592, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 348, 9, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5593, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 185, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5594, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 112, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5595, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 2933, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5596, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 197, 7, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5597, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 282, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5598, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 168, 5, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5599, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 25, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5600, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 1645, 27, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5601, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 41, 13, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5602, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 145, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5603, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 27, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5604, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 724, 35, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (5605, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 4, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5606, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 247, 38, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5607, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 51, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5608, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 2658, 1, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5609, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 234, 3, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5610, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 194, 2, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5611, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1232, 10, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5612, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 95, 24, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5613, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 232, 6, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5614, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 306, 22, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5615, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 760, 5, 2023, 3, 14, '2024-08-05 13:55:54', NULL, NULL), (5616, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 60, 134, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5617, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 6, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5618, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1155, 270, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5619, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 923, 11, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5620, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 988, 112, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5621, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 354, 87, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5622, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 525, 305, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5623, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 654, 113, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5624, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 314, 402, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5625, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 4, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5626, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 140, 103, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5627, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 142, 170, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5628, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 313, 404, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5629, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 677, 224, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5630, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 217, 88, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5631, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 541, 128, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5632, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 523, 306, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5633, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 60, 134, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5634, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1150, 271, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5635, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 142, 170, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5636, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 24, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5637, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5638, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 131, 9, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5639, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 260, 15, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5640, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 60, 134, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5641, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 453, 35, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5642, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1651, 119, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5643, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 47, 12, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5644, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 341, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5645, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 367, 36, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5646, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 747, 14, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5647, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 319, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5648, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 71, 26, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5649, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 125, 14, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5650, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 3861, 12, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5651, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 147, 24, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5652, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 5, 6, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5653, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5654, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 4760, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5655, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 109, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5656, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 56, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5657, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5658, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 65, 6, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5659, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 317, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5660, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 507, 182, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5661, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 555, 7, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5662, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 67, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5663, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 854, 79, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5664, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 1228, 8, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5665, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 914, 74, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5666, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 151, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5667, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 11, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5668, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 675, 12, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5669, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 119, 20, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5670, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 1133, 38, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5671, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 4, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 223, 13, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 295, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 57, 11, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 45, 9, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 55, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 24, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 125, 14, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 726, 10, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 367, 36, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 257, 8, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 264, 30, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 169, 23, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1322, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 328, 33, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2061, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1046, 7, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 539, 22, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2227, 7, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 426, 23, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 268, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2225, 13, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 362, 43, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 844, 9, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 274, 48, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2365, 6, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 459, 29, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 362, 33, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 484, 7, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 116, 15, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 100, 11, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 135, 9, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 202, 16, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 190, 30, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 106, 27, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 318, 25, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 59, 21, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 6, 21, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 39, 22, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 53, 23, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 158, 13, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 88, 24, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 139, 22, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 126, 24, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 448, 20, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 445, 22, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 71, 23, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 298, 9, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 212, 14, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 95, 10, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 112, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 206, 27, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 341, 21, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1423, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 328, 8, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 115, 27, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 44, 18, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 226, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 65, 33, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 13, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 63, 19, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 6, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 71, 26, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 114, 24, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 4, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 321, 26, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 717, 44, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 448, 20, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 1047, 62, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 366, 45, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 732, 30, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 915, 50, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1228, 8, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 189, 23, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 109, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 477, 19, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 17, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 89, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 79, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1538, 57, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 28, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 5, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 48, 8, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 253, 8, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 14, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 222, 17, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 81, 20, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 51, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 64, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 747, 14, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 41, 6, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 37, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 453, 35, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 2551, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1785, 61, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 7, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 847, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 8673, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 493, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 861, 6, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 3861, 12, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 913, 13, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 555, 7, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5774, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 125, 14, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5775, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 4760, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5776, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 6, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5777, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 67, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5778, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 47, 12, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5779, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 60, 134, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5780, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 317, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5781, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 147, 24, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5782, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 555, 7, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5783, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 56, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5784, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1665, 118, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5785, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 319, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5786, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 453, 35, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5787, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 131, 9, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5788, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 71, 26, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5789, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 119, 20, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5790, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 4, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5791, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 675, 12, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5792, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 1133, 38, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5793, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1228, 8, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5794, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 109, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5795, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 747, 14, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5796, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 914, 74, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5797, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 854, 79, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5798, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 24, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5799, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 367, 36, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5800, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 3861, 12, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5801, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 341, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5802, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 510, 181, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5803, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 11, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5804, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 260, 15, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5805, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 65, 6, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5806, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 151, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5807, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 747, 14, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5808, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 223, 13, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5809, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 57, 11, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5810, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 11, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5811, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 125, 14, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5812, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 453, 35, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5813, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 71, 23, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5814, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 56, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5815, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 109, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5816, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 126, 24, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5817, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 39, 22, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5818, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 53, 23, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5819, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 812, 15, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5820, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 59, 21, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5821, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 6, 21, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5822, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 1342, 23, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5823, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 263, 9, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5824, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 2551, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5825, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 37, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5826, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 41, 6, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5827, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 847, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5828, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 7, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5829, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 8673, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5830, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A21', 1011, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5831, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 24, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5832, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 257, 6, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5833, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 4, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5834, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 477, 19, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5835, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 189, 23, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5836, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 221, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5837, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 381, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5838, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 717, 44, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5839, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 3861, 12, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5840, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 6, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5841, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 67, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5842, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 732, 30, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5843, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 366, 45, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5844, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 448, 20, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5845, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 555, 7, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5846, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 89, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5847, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 51, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5848, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 17, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5849, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 319, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5850, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 484, 7, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5851, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 295, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5852, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 226, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5853, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 28, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5854, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 14, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5855, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 726, 10, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5856, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 13, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5857, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 253, 8, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5858, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 257, 8, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5859, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 552, 27, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5860, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 1122, 47, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5861, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 45, 9, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5862, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 55, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5863, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 861, 6, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5864, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 913, 13, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5865, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 493, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5866, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1785, 61, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5867, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1538, 57, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5868, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 79, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5869, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 151, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5870, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1228, 8, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5871, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 268, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5872, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 844, 9, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5873, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2365, 6, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5874, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 71, 26, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5875, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1322, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5876, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1046, 7, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5877, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 367, 36, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5878, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 48, 8, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5879, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 222, 17, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5880, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 79, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5881, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 5, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5882, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 81, 20, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5883, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 64, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5884, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 37, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5885, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 2551, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5886, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 41, 6, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5887, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 913, 13, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5888, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 861, 6, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5889, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 493, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5890, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 8673, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5891, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 448, 20, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5892, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 847, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5893, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 318, 25, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5894, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 88, 24, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5895, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 65, 33, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5896, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 189, 23, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5897, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 477, 19, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5898, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2225, 13, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5899, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 17, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5900, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2061, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5901, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 89, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5902, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2227, 7, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5903, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 51, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5904, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 14, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5905, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 44, 18, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5906, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 328, 8, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5907, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 253, 8, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5908, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 212, 14, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5909, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 28, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5910, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1538, 57, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5911, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 298, 9, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5912, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1785, 61, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5913, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 453, 35, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5914, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 747, 14, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5915, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 63, 19, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5916, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 114, 24, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5917, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 321, 26, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5918, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 125, 14, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5919, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 71, 26, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5920, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 226, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5921, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 367, 36, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5922, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 13, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5923, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 223, 13, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5924, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 24, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5925, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 717, 44, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5926, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 57, 11, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5927, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 732, 30, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5928, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 202, 16, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5929, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 45, 9, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5930, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 448, 20, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5931, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 106, 27, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5932, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 55, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5933, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 190, 30, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5934, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 366, 45, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5935, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 116, 15, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5936, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 844, 9, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5937, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 268, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5938, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 139, 22, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5939, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 135, 9, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5940, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 100, 11, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5941, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1046, 7, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5942, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1322, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5943, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 158, 13, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5944, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 4, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5945, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 115, 27, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5946, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 484, 7, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5947, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2365, 6, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5948, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 295, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5949, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 257, 8, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5950, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 726, 10, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5951, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 7, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5952, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 6, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5953, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 1047, 62, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5954, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 915, 50, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5955, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 6, 21, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5956, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 39, 22, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5957, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 59, 21, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5958, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 53, 23, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5959, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 126, 24, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5960, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 71, 23, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5961, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1228, 8, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5962, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 109, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5963, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 555, 7, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5964, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 3861, 12, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5965, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1423, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5966, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 341, 21, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5967, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 445, 22, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5968, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 274, 48, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5969, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 362, 43, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5970, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 95, 10, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5971, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 426, 23, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5972, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 539, 22, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5973, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 206, 27, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5974, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 328, 33, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5975, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 112, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5976, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 169, 23, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5977, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 264, 30, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5978, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 362, 33, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5979, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 459, 29, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5980, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 484, 7, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5981, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2365, 6, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5982, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 223, 13, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5983, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 3861, 12, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5984, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1322, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5985, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1046, 7, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5986, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 57, 11, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5987, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 844, 9, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5988, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 268, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5989, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 253, 8, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5990, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 28, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5991, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 448, 20, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5992, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 366, 45, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5993, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 732, 30, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5994, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 717, 44, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5995, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 295, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5996, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 257, 8, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5997, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 56, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5998, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 726, 10, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (5999, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 55, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6000, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 45, 9, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6001, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 367, 36, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6002, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 221, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6003, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 381, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6004, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A21', 1011, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6005, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 861, 6, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6006, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 493, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6007, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 913, 13, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6008, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 7, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6009, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 51, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6010, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 14, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6011, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 125, 14, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6012, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 151, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6013, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 812, 15, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6014, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 71, 23, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6015, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1538, 57, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6016, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 17, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6017, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1785, 61, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6018, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 1342, 23, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6019, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 453, 35, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6020, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 89, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6021, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 263, 9, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6022, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 39, 22, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6023, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 53, 23, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6024, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 257, 6, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6025, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 126, 24, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (6026, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 59, 21, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6027, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 6, 21, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6028, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 67, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6029, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 847, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6030, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 8673, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6031, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 747, 14, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6032, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 6, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6033, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 24, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6034, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 2551, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6035, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 37, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6036, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 41, 6, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6037, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 1122, 47, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6038, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 13, 4, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6039, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 226, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6040, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 552, 27, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6041, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 71, 26, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6042, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 319, 5, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6043, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 79, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6044, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 11, 2, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6045, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 555, 7, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6046, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 189, 23, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6047, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1228, 8, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6048, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 477, 19, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6049, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 109, 3, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6050, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 4, 1, 2023, 3, 15, '2024-08-05 13:55:55', NULL, NULL), (6051, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 44, 122, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6052, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 197, 9, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6053, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 213, 95, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6054, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 21, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6055, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 240, 280, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6056, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 377, 73, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6057, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1017, 117, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6058, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 268, 389, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6059, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 428, 155, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6060, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 125, 74, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6061, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 4202, 328, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6062, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 266, 391, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6063, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 268, 185, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6064, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 542, 97, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6065, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 805, 94, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6066, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 236, 285, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6067, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 44, 122, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6068, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 4189, 329, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6069, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 428, 155, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6070, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 115, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6071, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 84, 12, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6072, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 75, 11, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6073, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 2398, 33, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6074, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 44, 122, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6075, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 6052, 119, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6076, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 165, 11, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6077, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 259, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6078, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 905, 51, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6079, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 348, 14, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6080, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 115, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6081, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 703, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6082, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 113, 30, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6083, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 67, 13, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6084, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 3, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6085, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 608, 14, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6086, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 174, 20, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6087, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 21, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6088, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1273, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6089, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 74, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6090, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 296, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6091, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6092, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 266, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6093, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 68, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6094, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 86, 139, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6095, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2373, 9, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6096, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 2886, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6097, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 159, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6098, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 4138, 138, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6099, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 0, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6100, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 258, 6, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6101, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 240, 59, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6102, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 577, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6103, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 0, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6104, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 16, 23, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6105, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 134, 18, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6106, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 169, 36, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 292, 10, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 3284, 10, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 56, 10, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 216, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 52, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 115, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 67, 13, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 3970, 15, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 2552, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 905, 51, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 412, 28, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 211, 32, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 21, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 353, 21, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2100, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2940, 5, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 351, 23, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 402, 28, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3908, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 68, 36, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 3227, 6, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2928, 7, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 5043, 15, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 330, 40, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 7531, 20, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 226, 17, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 284, 44, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 3633, 9, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 575, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 459, 18, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 930, 17, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 304, 13, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 232, 34, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 336, 30, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 165, 18, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 34, 18, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 48, 22, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 18, 22, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 403, 21, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 99, 20, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 769, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 135, 36, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 65, 17, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 482, 23, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 746, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 76, 15, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 8, 23, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 309, 7, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 119, 11, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 170, 16, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 1341, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 215, 18, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 35, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 743, 10, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 704, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 509, 17, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 119, 22, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 82, 17, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 157, 5, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 221, 12, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 7, 6, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 21, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 133, 22, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 113, 30, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 112, 20, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 120, 15, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 59, 20, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 216, 51, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 74, 30, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 57, 31, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 209, 44, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 258, 6, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 143, 26, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 74, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 73, 17, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 64, 6, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 79, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 711, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 5916, 56, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 19, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 823, 12, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 414, 5, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 20, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 113, 15, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 12, 7, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 36, 17, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 10, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 214, 5, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 375, 13, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 36, 10, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 47, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 2398, 33, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 122, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 6172, 63, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 10, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 6, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1273, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 3777, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 3723, 24, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 946, 9, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2884, 18, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 2886, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2373, 9, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6210, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 67, 13, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6211, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1273, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6212, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 21, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6213, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 159, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6214, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 165, 11, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6215, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 44, 122, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6216, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 266, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6217, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2373, 9, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6218, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 174, 20, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6219, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 296, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6220, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 6052, 119, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6221, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 1055, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6222, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 2398, 33, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6223, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 75, 11, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6224, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 113, 30, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6225, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 16, 23, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6226, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 134, 18, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6227, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 169, 36, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6228, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 3, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6229, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 258, 6, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6230, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 74, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6231, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 2886, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6232, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 375, 13, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6233, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 240, 59, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6234, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 4138, 138, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6235, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 115, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6236, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 905, 51, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6237, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 946, 9, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6238, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 259, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6239, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 115, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6240, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 86, 139, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6241, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 84, 12, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6242, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 68, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6243, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 577, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6244, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 375, 13, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6245, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 292, 10, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6246, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 56, 10, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6247, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 67, 13, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6248, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 2398, 33, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6249, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 8, 23, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6250, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 296, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6251, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 74, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6252, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 65, 17, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6253, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 18, 22, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6254, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 99, 20, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6255, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 34, 18, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6256, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 153, 15, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6257, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 48, 22, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6258, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 3, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6259, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 180, 21, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6260, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 36, 7, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6261, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 122, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6262, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 47, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6263, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 40, 9, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6264, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A23', 5, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6265, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 514, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6266, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 1273, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6267, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 188, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6268, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 115, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6269, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 73, 17, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6270, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 143, 26, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6271, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 269, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6272, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 260, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6273, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 120, 15, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6274, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 946, 9, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6275, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 21, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6276, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 115, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6277, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 159, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6278, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 57, 31, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6279, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 74, 30, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6280, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 59, 20, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6281, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2373, 9, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6282, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 79, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6283, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 2886, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6284, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 10, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6285, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 1055, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6286, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 64, 6, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6287, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E29', 3, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6288, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 3633, 9, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6289, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 3284, 10, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6290, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 19, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6291, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 157, 5, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6292, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 12, 7, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6293, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 3970, 15, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6294, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 20, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6295, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 2552, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6296, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 7, 6, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6297, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 236, 23, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6298, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 243, 36, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6299, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 230, 7, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6300, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 52, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6301, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 3723, 24, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6302, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2884, 18, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6303, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 3777, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6304, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 6172, 63, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6305, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 5916, 56, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6306, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 711, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6307, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 1145, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6308, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 9, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6309, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 258, 6, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6310, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 3227, 6, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6311, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 5043, 15, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6312, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 7531, 20, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6313, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 113, 30, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6314, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 21, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6315, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2100, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6316, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 905, 51, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6317, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 414, 5, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6318, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 113, 15, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6319, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 711, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6320, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 823, 12, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6321, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 36, 17, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6322, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 214, 5, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6323, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 47, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6324, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 122, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6325, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 36, 10, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6326, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2884, 18, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6327, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 3723, 24, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6328, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 3777, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6329, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1273, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6330, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 482, 23, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6331, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 165, 18, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6332, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 135, 36, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6333, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 82, 17, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6334, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 143, 26, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6335, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 73, 17, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6336, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2928, 7, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6337, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 64, 6, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6338, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2940, 5, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6339, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 79, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6340, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3908, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6341, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 10, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6342, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 119, 22, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6343, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 12, 7, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6344, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 704, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6345, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 20, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6346, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 119, 11, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6347, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 19, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6348, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 309, 7, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6349, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 5916, 56, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6350, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 6172, 63, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6351, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 2398, 33, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6352, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 375, 13, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6353, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 221, 12, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6354, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 133, 22, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6355, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 112, 20, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6356, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 67, 13, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6357, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 113, 30, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6358, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 157, 5, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6359, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 905, 51, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6360, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 292, 10, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6361, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 7, 6, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6362, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 115, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6363, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 120, 15, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6364, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 57, 31, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6365, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 56, 10, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6366, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 304, 13, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6367, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 336, 30, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6368, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 59, 20, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6369, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 216, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6370, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 52, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6371, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 232, 34, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6372, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 74, 30, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6373, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 575, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6374, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 5043, 15, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6375, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 769, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6376, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 3227, 6, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6377, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 930, 17, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6378, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 459, 18, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6379, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2100, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6380, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 21, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6381, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 403, 21, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6382, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 509, 17, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6383, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 3633, 9, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6384, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 7531, 20, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6385, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 6, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6386, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 3284, 10, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6387, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 2552, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6388, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 3970, 15, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6389, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 10, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6390, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 21, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6391, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 216, 51, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6392, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 209, 44, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6393, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 48, 22, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6394, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 18, 22, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6395, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 34, 18, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6396, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 99, 20, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6397, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 65, 17, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6398, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 8, 23, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6399, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 258, 6, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6400, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 74, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6401, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 2886, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6402, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2373, 9, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6403, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 946, 9, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6404, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 743, 10, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6405, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 35, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6406, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 76, 15, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6407, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 330, 40, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6408, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 746, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6409, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 68, 36, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6410, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 402, 28, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6411, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 170, 16, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6412, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 351, 23, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6413, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 215, 18, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6414, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 353, 21, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6415, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 1341, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6416, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 211, 32, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6417, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 412, 28, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6418, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 284, 44, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6419, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 226, 17, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6420, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 3633, 9, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6421, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 7531, 20, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6422, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 292, 10, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6423, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 946, 9, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6424, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 21, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6425, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2100, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6426, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 5043, 15, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6427, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 56, 10, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6428, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 3227, 6, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6429, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 20, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6430, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 19, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6431, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 59, 20, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6432, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 74, 30, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6433, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 57, 31, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6434, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 120, 15, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6435, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 3284, 10, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6436, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 2552, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6437, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 296, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6438, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 3970, 15, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6439, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 52, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6440, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 230, 7, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6441, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 905, 51, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6442, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 269, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6443, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 260, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6444, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 3723, 24, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6445, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 3777, 8, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6446, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2884, 18, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (6447, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 514, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6448, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A23', 5, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6449, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 10, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6450, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 12, 7, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6451, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 67, 13, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6452, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 1145, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6453, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 9, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6454, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 8, 23, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6455, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 153, 15, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6456, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 5916, 56, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6457, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 64, 6, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6458, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 6172, 63, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6459, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 180, 21, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6460, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 2398, 33, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6461, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 79, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6462, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 36, 7, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6463, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 18, 22, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6464, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 188, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6465, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 99, 20, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6466, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 65, 17, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6467, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 3, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6468, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 34, 18, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6469, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 48, 22, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6470, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 159, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6471, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 1273, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6472, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 375, 13, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6473, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 21, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6474, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 115, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6475, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 122, 4, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6476, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 47, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6477, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 40, 9, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6478, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 2886, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6479, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 243, 36, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6480, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 7, 6, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6481, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 157, 5, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6482, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 236, 23, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6483, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 115, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6484, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 113, 30, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6485, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 1055, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6486, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 711, 2, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6487, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2373, 9, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6488, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 143, 26, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6489, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 258, 6, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6490, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 73, 17, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6491, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 74, 3, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6492, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 3, 16, '2024-08-05 13:55:56', NULL, NULL), (6493, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 119, 125, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6494, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 2095, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6495, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1116, 349, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6496, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1966, 15, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6497, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 248, 105, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6498, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 97, 228, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6499, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 2276, 92, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6500, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 893, 111, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6501, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 446, 360, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6502, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 30, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6503, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 111, 104, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6504, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 352, 216, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6505, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 488, 365, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6506, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 1162, 231, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6507, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 418, 88, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6508, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 560, 132, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6509, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 97, 229, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6510, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1109, 351, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6511, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 119, 125, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6512, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 352, 216, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6513, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 4557, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6514, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 42, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6515, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6516, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 126, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6517, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 289, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6518, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 381, 33, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6519, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 119, 125, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6520, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1661, 148, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6521, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 86, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6522, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 642, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6523, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 502, 37, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6524, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 5825, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6525, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 492, 15, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6526, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 150, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6527, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 71, 19, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6528, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 119, 17, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6529, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 288, 11, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6530, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 266, 24, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6531, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 2095, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6532, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1463, 7, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6533, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 2259, 4, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6534, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 52, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6535, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 8, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6536, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 112, 4, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6537, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6538, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 74, 127, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6539, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 235, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6540, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 94, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6541, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 840, 127, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6542, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 0, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6543, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 327, 9, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6544, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 252, 78, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6545, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 8, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6546, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 88, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6547, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 317, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6548, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 6, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6549, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 236, 27, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6550, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 30, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 1173, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 257, 11, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 273, 13, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 5, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 135, 5, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 4557, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 127, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 655, 18, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 544, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 502, 37, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 49, 5, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 556, 33, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 924, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 536, 24, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1180, 9, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2760, 7, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 507, 34, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1547, 9, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 423, 29, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 535, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3638, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 599, 30, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 424, 11, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 512, 33, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 530, 7, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 187, 7, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 961, 28, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 598, 14, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 443, 24, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 113, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 779, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 345, 25, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 254, 44, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 347, 38, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 633, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 85, 18, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 21, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 33, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 262, 20, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 43, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 439, 25, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 84, 34, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 325, 33, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 510, 24, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 237, 26, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 42, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 306, 9, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 299, 19, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 237, 7, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 39340, 4, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 678, 31, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 348, 12, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1585, 12, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 375, 24, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 119, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 82, 33, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 133, 29, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 162, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 91, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 166, 25, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 2095, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 73, 29, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 71, 19, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 59, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 30, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 59, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 71, 12, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 280, 62, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 53, 30, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 69, 28, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 202, 43, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 17475, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 327, 9, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 42, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 88, 15, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2259, 4, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 119, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 6, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 11, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1503, 72, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 3143, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 339, 4, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 15, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 170, 9, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 22, 7, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 118, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 22, 4, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 43, 14, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 85, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 492, 15, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 6, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 381, 33, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1811, 76, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 117, 4, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 8, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 2899, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 772, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1738, 11, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1284, 11, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 317, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 760, 17, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 235, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6653, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 127, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6654, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 2095, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6655, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 112, 4, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6656, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 235, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6657, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1661, 148, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6658, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 42, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6659, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 381, 33, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6660, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 71, 19, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6661, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 317, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6662, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 492, 15, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6663, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 840, 127, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6664, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 4557, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6665, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 502, 37, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6666, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 303, 20, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6667, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 8, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6668, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 2048, 5, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6669, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 94, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6670, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 86, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6671, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 119, 125, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6672, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 266, 24, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6673, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 52, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6674, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 150, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6675, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 126, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6676, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 30, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6677, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 6, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6678, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 236, 27, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6679, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 327, 9, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6680, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 2259, 4, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6681, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 252, 78, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6682, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 317, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6683, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 642, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6684, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 74, 127, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6685, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 88, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6686, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 8, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6687, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '', 17475, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6688, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 492, 15, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6689, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 257, 11, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6690, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 273, 13, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6691, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 88, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6692, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 127, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6693, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 381, 33, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6694, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 42, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6695, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 52, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6696, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 2259, 4, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6697, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 325, 33, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6698, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 33, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6699, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 43, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6700, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 285, 17, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6701, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 85, 18, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6702, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 21, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6703, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 152, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6704, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 266, 14, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6705, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 6, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6706, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 642, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6707, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 2899, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6708, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 772, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6709, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 4557, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6710, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 390, 6, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6711, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 30, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6712, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 119, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6713, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 88, 15, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6714, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 20, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6715, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 205, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6716, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 42, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6717, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 59, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6718, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 317, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6719, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 2095, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6720, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 94, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6721, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 69, 28, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6722, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 53, 30, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6723, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 71, 12, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6724, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 235, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6725, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 11, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6726, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 22, 4, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6727, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 6, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6728, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 150, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6729, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 598, 14, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6730, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 1173, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6731, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 3143, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6732, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 162, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6733, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 22, 7, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6734, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 655, 18, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6735, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 91, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6736, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 15, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6737, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 544, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6738, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 217, 33, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6739, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 279, 45, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6740, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 5, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6741, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 135, 5, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6742, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1284, 11, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6743, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 760, 17, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6744, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1738, 11, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6745, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1811, 76, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6746, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1503, 72, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6747, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 8, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6748, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 327, 9, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6749, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '1D26', 17475, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6750, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 535, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6751, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 424, 11, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6752, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 530, 7, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6753, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 71, 19, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6754, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 924, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6755, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1180, 9, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6756, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 502, 37, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6757, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 170, 9, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6758, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 118, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6759, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 339, 4, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6760, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 43, 14, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6761, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 85, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6762, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 6, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6763, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 760, 17, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6764, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1284, 11, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6765, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1738, 11, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6766, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 772, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6767, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 510, 24, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6768, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 2899, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6769, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 633, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6770, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 84, 34, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6771, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 133, 29, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6772, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 88, 15, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6773, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 119, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6774, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3638, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6775, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 6, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6776, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2760, 7, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6777, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 11, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6778, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1547, 9, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6779, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 22, 4, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6780, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 22, 7, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6781, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 82, 33, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6782, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 119, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6783, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 15, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6784, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 3143, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6785, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 299, 19, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6786, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1503, 72, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6787, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 306, 9, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6788, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1811, 76, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6789, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 381, 33, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6790, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 492, 15, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6791, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 166, 25, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6792, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 73, 29, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6793, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 59, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6794, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 127, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6795, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 71, 19, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6796, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 162, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6797, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 502, 37, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6798, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 91, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6799, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 257, 11, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6800, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 4557, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6801, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 59, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6802, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 69, 28, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6803, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 273, 13, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6804, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 345, 25, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6805, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 5, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6806, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 71, 12, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6807, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 347, 38, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6808, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 135, 5, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6809, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 53, 30, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6810, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 254, 44, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6811, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 443, 24, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6812, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 424, 11, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6813, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 439, 25, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6814, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 535, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6815, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 779, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6816, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 113, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6817, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1180, 9, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6818, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 924, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6819, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 262, 20, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6820, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 30, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6821, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 375, 24, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6822, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 598, 14, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6823, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 530, 7, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6824, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 8, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6825, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 1173, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6826, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 544, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6827, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 655, 18, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6828, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 117, 4, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6829, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 2095, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6830, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 280, 62, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6831, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 202, 43, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6832, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 21, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6833, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 33, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6834, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 85, 18, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6835, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 43, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6836, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 325, 33, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6837, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 17475, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6838, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 42, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6839, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 42, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6840, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 327, 9, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6841, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2259, 4, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6842, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 235, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6843, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 317, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6844, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1585, 12, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6845, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 348, 12, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6846, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 237, 26, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6847, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 512, 33, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6848, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 599, 30, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6849, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 237, 7, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6850, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 423, 29, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6851, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 507, 34, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6852, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 678, 31, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6853, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 536, 24, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6854, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 39340, 4, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6855, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 556, 33, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6856, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 49, 5, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6857, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 961, 28, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6858, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 187, 7, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6859, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 598, 14, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6860, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 530, 7, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6861, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 257, 11, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6862, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 317, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6863, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 924, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6864, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1180, 9, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6865, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 273, 13, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6866, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 424, 11, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6867, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 535, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (6868, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 15, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6869, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 3143, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6870, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 71, 12, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6871, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 53, 30, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6872, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 69, 28, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6873, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '1D26', 17475, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6874, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 59, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6875, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 1173, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6876, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 544, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6877, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 52, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6878, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 655, 18, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6879, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 135, 5, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6880, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 5, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6881, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 502, 37, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6882, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 20, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6883, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 205, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6884, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1284, 11, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6885, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1738, 11, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6886, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 760, 17, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6887, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 642, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6888, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 22, 4, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6889, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 22, 7, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6890, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 127, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6891, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 8, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6892, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 42, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6893, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 285, 17, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6894, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1503, 72, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6895, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 6, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6896, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1811, 76, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6897, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 152, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6898, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 381, 33, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6899, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 11, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6900, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 33, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6901, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 266, 14, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6902, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 43, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6903, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 390, 6, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6904, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 325, 33, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6905, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 85, 18, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6906, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 21, 16, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6907, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 94, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6908, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 2899, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6909, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 772, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6910, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 492, 15, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6911, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 42, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6912, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 2095, 10, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6913, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 4557, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6914, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 6, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6915, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 279, 45, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6916, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 91, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6917, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 162, 8, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6918, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 217, 33, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6919, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 71, 19, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6920, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 150, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6921, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 88, 1, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6922, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 235, 3, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6923, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 88, 15, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6924, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 327, 9, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6925, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 119, 21, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6926, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 2259, 4, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6927, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 30, 2, 2023, 3, 17, '2024-08-05 13:55:57', NULL, NULL), (6928, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 814, 6, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6929, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 944, 6, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6930, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 147, 66, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6931, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 352, 18, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6932, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 846, 41, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6933, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 147, 66, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6934, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 698, 7, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6935, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 1, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6936, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 352, 18, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6937, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 708, 8, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6938, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 826, 42, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6939, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 0, 1, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6940, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 341, 2, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6941, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6942, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 533, 21, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6943, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 12, 1, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6944, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 1352, 4, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6945, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 1, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6946, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 12, 1, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6947, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1304, 18, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6948, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 49, 2, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6949, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 855, 5, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6950, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 2437, 1, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6951, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 81, 1, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6952, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 2, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6953, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 614, 1, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6954, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 81, 1, 2023, 3, 18, '2024-08-05 13:55:57', NULL, NULL), (6955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 81, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 10, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 474, 12, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 252, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A17', 196, 4, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 126, 20, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 49, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 38, 4, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1464, 3, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1345, 6, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1531, 5, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 176, 4, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 2437, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 52, 10, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 2704, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 814, 6, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 840, 4, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 72, 16, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 533, 21, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 156, 10, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6976, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 855, 5, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6977, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1304, 18, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6978, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 12, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6979, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 533, 21, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6980, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 12, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6981, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 49, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6982, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 2704, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6983, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 81, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6984, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 341, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6985, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6986, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 81, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6987, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 2437, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6988, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 614, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6989, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A23', 12, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6990, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 341, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6991, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 2437, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6992, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6993, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 840, 4, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6994, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 12, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6995, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 855, 5, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6996, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 2704, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6997, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E26', 81, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6998, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1345, 6, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (6999, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1531, 5, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7000, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 49, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7001, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 614, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7002, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1464, 3, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7003, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 533, 21, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7004, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 81, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7005, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 49, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7006, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 81, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7007, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 474, 12, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7008, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 2704, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7009, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1531, 5, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7010, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1345, 6, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7011, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1464, 3, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7012, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7013, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 2437, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7014, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 52, 10, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7015, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 176, 4, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7016, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 840, 4, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7017, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 533, 21, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7018, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 814, 6, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7019, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A17', 196, 4, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7020, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 126, 20, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7021, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 252, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7022, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 10, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7023, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 72, 16, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7024, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 156, 10, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7025, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 38, 4, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7026, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 855, 5, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7027, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 341, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7028, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 12, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7029, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 49, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7030, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 81, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7031, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1345, 6, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7032, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1464, 3, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7033, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1531, 5, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7034, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E26', 81, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7035, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A23', 12, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7036, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7037, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 2437, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7038, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 2704, 2, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7039, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 614, 1, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7040, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 840, 4, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7041, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 533, 21, 2023, 3, 18, '2024-08-05 13:55:58', NULL, NULL), (7042, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 53, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7043, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 7, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7044, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 12, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7045, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 370, 41, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7046, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 163, 8, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7047, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 176, 20, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7048, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 370, 41, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7049, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 53, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7050, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 12, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7051, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 163, 8, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7052, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 7, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7053, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 176, 20, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7054, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 209, 10, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7055, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 53, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7056, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 12, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7057, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 1251, 8, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7058, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 2, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7059, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 177, 8, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7060, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 7, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 20, 6, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 527, 2, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 177, 8, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 2, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A17', 273, 10, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 307, 7, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 591, 2, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 81, 2, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 96, 3, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1251, 8, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 195, 3, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 11, 8, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 53, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 7, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 12, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 137, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 7, 7, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7078, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 177, 8, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7079, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 12, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7080, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 53, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7081, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 7, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7082, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 209, 10, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7083, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 1251, 8, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7084, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 2, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7085, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 1251, 8, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7086, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 12, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7087, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 81, 2, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7088, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 96, 3, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7089, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 195, 3, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7090, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 527, 2, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7091, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 2, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7092, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 177, 8, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7093, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 7, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7094, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 53, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7095, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 12, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7096, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 20, 6, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7097, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 7, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7098, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 195, 3, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7099, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 81, 2, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7100, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 96, 3, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7101, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 2, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7102, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 11, 8, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7103, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1251, 8, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7104, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 527, 2, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7105, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 177, 8, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7106, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 53, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7107, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A17', 273, 10, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7108, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 307, 7, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7109, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 137, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7110, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 7, 7, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7111, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 591, 2, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7112, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 2, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7113, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 12, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7114, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 53, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7115, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 7, 1, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7116, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 1251, 8, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7117, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 527, 2, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7118, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 177, 8, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7119, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 195, 3, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7120, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 81, 2, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7121, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 96, 3, 2023, 3, 19, '2024-08-05 13:55:58', NULL, NULL), (7122, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 149, 129, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7123, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 181, 13, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7124, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 391, 158, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7125, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 9, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7126, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 228, 61, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7127, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 227, 274, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7128, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 820, 99, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7129, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 3378, 518, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7130, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 111, 114, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7131, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 475, 157, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7132, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1232, 395, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7133, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 3333, 525, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7134, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 317, 246, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7135, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 365, 77, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7136, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 484, 136, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7137, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 226, 275, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7138, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 148, 130, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7139, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1232, 395, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7140, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 475, 157, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7141, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1917, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7142, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '', 0, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7143, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7144, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 212, 25, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7145, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 1397, 11, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7146, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 148, 130, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7147, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 369, 80, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7148, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 2117, 164, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7149, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 305, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7150, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 349, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7151, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 510, 25, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7152, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 372, 20, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7153, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 489, 41, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7154, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 182, 21, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7155, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 526, 20, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7156, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 246, 20, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7157, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 9, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7158, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1807, 5, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7159, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 254, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7160, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 34, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7161, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '', '', '', 0, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7162, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 6, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7163, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 12, 6, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7164, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 334, 10, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7165, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7166, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 64, 127, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7167, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 382, 8, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7168, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 83, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7169, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 100, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7170, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 799, 111, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7171, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 175, 12, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7172, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 408, 116, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7173, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 0, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7174, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 270, 5, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7175, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 21, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7176, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 307, 15, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7177, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 345, 42, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7178, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 1046, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 272, 13, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 199, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 94, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 410, 6, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1917, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 182, 21, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 720, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 585, 10, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 510, 25, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 4144, 52, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 4040, 53, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 965, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 3427, 26, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1076, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2681, 8, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 4175, 30, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2349, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 3833, 27, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 660, 11, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2178, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 4713, 35, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 783, 10, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 4333, 44, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 751, 13, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 3287, 54, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 4338, 50, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 681, 11, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 84, 12, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 645, 12, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 931, 21, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 513, 26, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 524, 46, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 798, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 4255, 26, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 37, 14, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 33, 29, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 22, 26, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 50, 15, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 1025, 14, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 84, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 73, 19, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 348, 33, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 5489, 18, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 73, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 55, 27, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 311, 26, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 204, 11, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 226, 13, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 134, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 316, 21, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 73, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 308, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 295, 22, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 634, 33, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 15, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 86, 33, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 113, 36, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 1915, 8, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 9, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 142, 32, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 489, 41, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 113, 11, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 57, 19, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 209, 8, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 420, 75, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 58, 27, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 44, 25, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 365, 83, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 175, 12, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 63, 27, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 254, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 51, 20, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 16, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 8, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 29, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1789, 73, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 28, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 50, 15, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 94, 13, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 1103, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 16, 5, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 49, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 15, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 122, 12, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 92, 8, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 372, 20, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 5, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 369, 80, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 2380, 91, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 11, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 2098, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1372, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 746, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 543, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 526, 20, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1006, 10, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 83, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 382, 8, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7278, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 182, 21, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7279, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1807, 5, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7280, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 9, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7281, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 100, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7282, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 305, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7283, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 149, 129, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7284, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 334, 10, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7285, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 246, 20, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7286, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 382, 8, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7287, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 34, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7288, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 2117, 164, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7289, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 369, 80, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7290, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 1397, 11, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (7291, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 489, 41, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7292, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 307, 15, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7293, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 21, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7294, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 345, 42, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7295, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 175, 12, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7296, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 254, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7297, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 83, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7298, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 372, 20, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7299, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 408, 116, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7300, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 799, 111, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7301, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1917, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7302, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 510, 25, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7303, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 526, 20, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7304, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 349, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7305, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 65, 126, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7306, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 253, 21, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7307, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 12, 6, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7308, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 270, 5, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7309, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 372, 20, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7310, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 272, 13, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7311, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 199, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7312, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 182, 21, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7313, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 369, 80, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7314, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 55, 27, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7315, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 34, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7316, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 254, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7317, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 73, 19, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7318, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 22, 26, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7319, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 1025, 14, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7320, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 37, 14, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7321, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 345, 18, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7322, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 33, 29, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7323, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 345, 24, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7324, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 235, 5, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7325, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 5, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7326, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 349, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7327, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 2098, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7328, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 1372, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7329, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1917, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7330, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 258, 16, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7331, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 51, 20, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7332, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 63, 27, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7333, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 96, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7334, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 492, 6, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7335, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 57, 19, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7336, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 526, 20, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7337, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 9, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7338, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 100, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7339, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 44, 25, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7340, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 58, 27, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7341, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 209, 8, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7342, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 382, 8, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7343, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 8, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7344, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 15, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7345, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 83, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7346, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 16, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7347, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 681, 11, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7348, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 1046, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7349, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 15, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7350, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 28, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7351, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 16, 5, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7352, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 720, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7353, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 1103, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7354, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 1915, 8, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7355, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 585, 10, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7356, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 373, 59, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7357, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 444, 57, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7358, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 94, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7359, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 410, 6, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7360, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 543, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7361, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1006, 10, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7362, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 746, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7363, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 2380, 91, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7364, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1789, 73, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7365, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 29, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7366, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 254, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7367, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 337, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7368, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 175, 12, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7369, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 660, 11, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7370, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 783, 10, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7371, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 751, 13, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7372, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 489, 41, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7373, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 965, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7374, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1076, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7375, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 510, 25, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7376, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 94, 13, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7377, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 49, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7378, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 29, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7379, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 50, 15, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7380, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 122, 12, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7381, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 92, 8, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7382, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 5, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7383, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1006, 10, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7384, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 543, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7385, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 746, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7386, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1372, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7387, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 5489, 18, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7388, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 2098, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7389, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 4255, 26, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7390, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 348, 33, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7391, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 86, 33, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7392, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 63, 27, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7393, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 51, 20, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7394, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2178, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7395, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 16, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7396, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2681, 8, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7397, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 8, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7398, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2349, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7399, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 15, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7400, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 16, 5, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7401, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 634, 33, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7402, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 1103, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7403, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 28, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7404, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 204, 11, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7405, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 311, 26, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7406, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1789, 73, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7407, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 2380, 91, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7408, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 369, 80, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7409, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 372, 20, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7410, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 113, 36, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7411, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 142, 32, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7412, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 113, 11, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7413, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 182, 21, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7414, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 489, 41, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7415, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 15, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7416, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 510, 25, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7417, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 272, 13, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7418, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 1915, 8, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7419, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1917, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7420, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 57, 19, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7421, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 199, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7422, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 44, 25, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7423, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 513, 26, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7424, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 798, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7425, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 209, 8, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7426, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 94, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7427, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 410, 6, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7428, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 58, 27, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7429, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 524, 46, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7430, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 84, 12, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7431, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 783, 10, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7432, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 84, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7433, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 660, 11, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7434, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 931, 21, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7435, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 645, 12, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7436, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1076, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7437, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 965, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7438, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 50, 15, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7439, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 295, 22, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7440, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 681, 11, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7441, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 751, 13, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7442, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 11, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7443, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 1046, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7444, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 585, 10, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7445, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 720, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7446, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 9, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7447, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 420, 75, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7448, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 365, 83, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7449, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 33, 29, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7450, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 22, 26, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7451, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 37, 14, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7452, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 1025, 14, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7453, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 73, 19, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7454, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 55, 27, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7455, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 175, 12, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7456, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 254, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7457, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 83, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7458, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 382, 8, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7459, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 526, 20, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7460, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 308, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7461, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 73, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7462, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 73, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7463, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 4333, 44, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7464, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 4713, 35, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7465, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 226, 13, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7466, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 3833, 27, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7467, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 4175, 30, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7468, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 316, 21, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7469, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 3427, 26, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7470, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 134, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7471, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 4040, 53, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7472, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 4144, 52, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7473, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 4338, 50, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7474, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 3287, 54, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7475, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 681, 11, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7476, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 751, 13, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7477, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 272, 13, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7478, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 526, 20, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7479, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 965, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7480, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1076, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7481, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 199, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7482, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 783, 10, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7483, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 660, 11, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7484, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 1103, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7485, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 28, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7486, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 209, 8, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7487, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 58, 27, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7488, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 44, 25, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7489, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 57, 19, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7490, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 1046, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7491, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 585, 10, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7492, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 34, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7493, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 720, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7494, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 410, 6, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7495, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 94, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7496, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 510, 25, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7497, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 96, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7498, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 492, 6, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7499, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 543, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7500, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 746, 9, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7501, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1006, 10, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7502, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 349, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7503, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 15, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7504, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 16, 5, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7505, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 182, 21, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7506, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 254, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7507, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 337, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7508, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 345, 18, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7509, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 55, 27, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7510, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1789, 73, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7511, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 16, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7512, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 2380, 91, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7513, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 345, 24, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7514, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 369, 80, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7515, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 8, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7516, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 22, 26, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7517, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 235, 5, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7518, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 258, 16, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7519, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 1025, 14, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7520, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 73, 19, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7521, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 37, 14, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7522, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 33, 29, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7523, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 100, 7, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7524, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 2098, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7525, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 1372, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7526, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 372, 20, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7527, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 9, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7528, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1917, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7529, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 5, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7530, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 83, 4, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7531, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 444, 57, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7532, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 1915, 8, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7533, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 15, 3, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7534, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 373, 59, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7535, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 489, 41, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7536, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 29, 2, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7537, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 382, 8, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7538, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 63, 27, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7539, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 175, 12, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7540, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 51, 20, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7541, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 254, 1, 2023, 3, 20, '2024-08-05 13:55:59', NULL, NULL), (7542, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 37, 100, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7543, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 797, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7544, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 727, 332, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7545, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 294, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7546, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 227, 112, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7547, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 206, 240, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7548, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1925, 82, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7549, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 922, 100, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7550, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 950, 438, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7551, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 239, 4, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7552, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 328, 156, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7553, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 117, 79, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7554, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 944, 441, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7555, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 888, 213, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7556, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 251, 78, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7557, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 795, 103, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7558, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 205, 241, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7559, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 37, 100, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7560, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 727, 332, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7561, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 328, 156, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7562, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 55, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7563, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 27, 11, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7564, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 176, 15, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7565, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 37, 100, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7566, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 179, 50, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7567, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 808, 150, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7568, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 124, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7569, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 5, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7570, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 254, 35, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7571, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 88, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7572, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 271, 20, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7573, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 483, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7574, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 18, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7575, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 310, 40, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7576, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 426, 16, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7577, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 826, 13, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7578, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 123, 15, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7579, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 797, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7580, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 5201, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7581, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 4, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7582, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 139, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7583, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 8, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7584, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 53, 115, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7585, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 246, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7586, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 29, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7587, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 945, 101, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7588, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 320, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7589, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 215, 72, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7590, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 214, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7591, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 15, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7592, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 188, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7593, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 249, 40, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7594, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 239, 4, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 1435, 7, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 37, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 166, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 218, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 55, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 426, 16, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 887, 12, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 254, 35, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1018, 6, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 538, 26, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 888, 29, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 516, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 588, 38, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1141, 6, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 3457, 7, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1090, 18, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2404, 7, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1751, 41, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1661, 34, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1173, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3511, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 981, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1021, 45, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1073, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 653, 43, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1246, 50, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 632, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 286, 12, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 712, 13, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 184, 6, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 360, 18, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 211, 26, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 211, 24, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 1481, 28, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 24, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 36, 19, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 25, 16, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 391, 30, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 44, 21, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 170, 22, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 19, 16, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 994, 18, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 124, 14, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 61, 19, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 162, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 247, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 147, 19, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 170, 4, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 4075, 29, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 2566, 13, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 378, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 26, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 320, 27, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 130, 23, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 64, 4, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 53, 17, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 6, 7, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 136, 24, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 797, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 146, 29, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 310, 40, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 3, 4, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 239, 4, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 53, 18, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 71, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 254, 48, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 58, 27, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 56, 28, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 208, 64, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 88, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 320, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 46, 20, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 37, 12, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 8, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 950, 87, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 18, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 105, 11, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 19, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 92, 11, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 11, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 36, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 1495, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 29, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 271, 20, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 28, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 179, 50, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 441, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 612, 63, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 201, 4, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 12, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 5201, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 885, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1281, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 826, 13, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 816, 14, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 246, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7693, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 426, 16, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7694, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 5201, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7695, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 797, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7696, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 29, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7697, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 142, 7, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7698, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 37, 100, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7699, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 139, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7700, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 246, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7701, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 123, 15, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7702, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 808, 150, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7703, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 18, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7704, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 179, 50, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7705, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 27, 11, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7706, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 310, 40, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7707, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 15, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7708, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 239, 4, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (7709, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 249, 40, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7710, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 188, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7711, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 320, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7712, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 271, 20, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7713, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 215, 72, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7714, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 945, 101, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7715, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 55, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7716, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 254, 35, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7717, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 826, 13, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7718, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 5, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7719, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 483, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7720, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 54, 114, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7721, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 176, 15, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7722, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 8, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7723, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '', 88, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7724, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 214, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7725, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 271, 20, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7726, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 37, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7727, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 166, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7728, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 426, 16, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7729, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 179, 50, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7730, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 61, 19, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7731, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 19, 16, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7732, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 25, 16, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7733, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 44, 21, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7734, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 286, 21, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7735, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 24, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7736, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 36, 19, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7737, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 18, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7738, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 208, 19, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7739, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 310, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7740, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 441, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7741, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 28, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7742, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7743, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 5, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7744, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 5201, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7745, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 55, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7746, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 149, 7, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7747, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 239, 4, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7748, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 37, 12, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7749, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 46, 20, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7750, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 205, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7751, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 106, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7752, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 53, 18, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7753, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 826, 13, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7754, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 797, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7755, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 483, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7756, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 29, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7757, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 56, 28, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7758, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 58, 27, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7759, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 71, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7760, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 246, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7761, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7762, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 18, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7763, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 8, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7764, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 632, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7765, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 1435, 7, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7766, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 18, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7767, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 64, 4, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7768, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 11, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7769, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 887, 12, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7770, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 19, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7771, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 6, 7, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7772, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 1018, 6, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7773, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 207, 45, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7774, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 228, 27, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7775, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 142, 7, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7776, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1281, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7777, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 816, 14, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7778, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 885, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7779, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 612, 63, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7780, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 950, 87, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7781, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 368, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7782, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 216, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7783, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A21', 59, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7784, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 320, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7785, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '1D26', 88, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7786, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1173, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7787, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 981, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7788, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1073, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7789, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 310, 40, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7790, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 516, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7791, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1141, 6, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7792, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 254, 35, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7793, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 92, 11, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7794, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 36, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7795, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 105, 11, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7796, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 1495, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7797, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 29, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7798, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 28, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7799, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 441, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7800, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7801, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 816, 14, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7802, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1281, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7803, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 885, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7804, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 994, 18, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7805, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 5201, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7806, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 1481, 28, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7807, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 170, 22, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7808, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 53, 17, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7809, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 46, 20, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7810, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 37, 12, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7811, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3511, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7812, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 8, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7813, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 3457, 7, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7814, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2404, 7, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7815, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7816, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 11, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7817, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 130, 23, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7818, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 19, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7819, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 26, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7820, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 18, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7821, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 247, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7822, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 162, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7823, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 950, 87, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7824, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 612, 63, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7825, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 179, 50, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7826, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 271, 20, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7827, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 136, 24, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7828, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 146, 29, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7829, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 3, 4, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7830, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 426, 16, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7831, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 310, 40, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7832, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 64, 4, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7833, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 254, 35, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7834, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 6, 7, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7835, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 37, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7836, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 55, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7837, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 53, 18, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7838, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 166, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7839, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 56, 28, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7840, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 360, 18, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7841, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 71, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7842, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 211, 24, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7843, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 211, 26, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7844, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 218, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7845, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 58, 27, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7846, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 286, 12, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7847, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 981, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7848, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1173, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7849, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 184, 6, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7850, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 712, 13, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7851, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1141, 6, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7852, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 516, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7853, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 391, 30, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7854, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 239, 4, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7855, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 320, 27, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7856, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 632, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7857, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1073, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7858, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 12, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7859, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 1435, 7, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7860, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1018, 6, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7861, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 887, 12, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7862, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 201, 4, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7863, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 797, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7864, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 254, 48, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7865, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 208, 64, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7866, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 36, 19, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7867, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 25, 16, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7868, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 24, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7869, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 44, 21, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7870, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 19, 16, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7871, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 88, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7872, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 61, 19, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7873, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 320, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7874, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 246, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7875, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 826, 13, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7876, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 378, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7877, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 2566, 13, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7878, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 124, 14, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7879, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1021, 45, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7880, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1661, 34, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7881, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 147, 19, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7882, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1751, 41, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7883, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1090, 18, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7884, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 4075, 29, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7885, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 588, 38, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7886, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 170, 4, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7887, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 888, 29, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7888, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 538, 26, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7889, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1246, 50, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7890, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 653, 43, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7891, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 632, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7892, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1073, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7893, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 37, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7894, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 516, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7895, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 826, 13, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7896, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1141, 6, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7897, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 166, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7898, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 981, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7899, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1173, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7900, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 19, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7901, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 18, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7902, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 71, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7903, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 58, 27, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7904, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 56, 28, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7905, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '1D26', 88, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7906, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 53, 18, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7907, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 1435, 7, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7908, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 1018, 6, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7909, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 887, 12, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7910, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 142, 7, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7911, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 254, 35, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7912, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 205, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7913, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 106, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7914, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1281, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7915, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 885, 10, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7916, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 816, 14, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7917, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 5, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7918, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7919, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 11, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7920, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 426, 16, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7921, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 368, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7922, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 216, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7923, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A21', 59, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7924, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 286, 21, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7925, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 61, 19, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7926, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 950, 87, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7927, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 8, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7928, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 612, 63, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7929, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 208, 19, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7930, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 179, 50, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7931, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 25, 16, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7932, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 310, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7933, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 44, 21, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7934, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 149, 7, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7935, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 19, 16, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7936, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 18, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7937, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 24, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7938, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 36, 19, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7939, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 29, 9, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7940, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 5201, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7941, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 271, 20, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7942, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 797, 3, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7943, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 55, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7944, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 441, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7945, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 28, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7946, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7947, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 228, 27, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7948, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 6, 7, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7949, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 483, 2, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7950, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 64, 4, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7951, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 207, 45, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7952, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 310, 40, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7953, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 18, 1, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7954, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 246, 5, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7955, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 46, 20, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7956, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 37, 12, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7957, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 320, 8, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7958, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 239, 4, 2023, 3, 21, '2024-08-05 13:56:00', NULL, NULL), (7959, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 463, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7960, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 70, 109, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7961, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 135, 6, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7962, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1455, 336, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7963, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 639, 23, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7964, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 378, 107, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7965, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 576, 74, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7966, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 231, 236, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7967, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1045, 106, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7968, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 338, 350, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7969, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 10, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7970, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 251, 66, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7971, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 175, 158, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7972, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 338, 350, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7973, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 455, 221, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7974, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 518, 85, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7975, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 959, 87, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7976, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 230, 237, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7977, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 70, 109, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7978, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1455, 336, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7979, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 175, 158, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7980, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 5339, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7981, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7982, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 500, 14, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7983, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 25, 6, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7984, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 70, 109, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7985, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 366, 47, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7986, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 2225, 151, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7987, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 578, 15, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7988, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 826, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7989, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 530, 39, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7990, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 119, 8, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7991, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 5398, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7992, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 196, 34, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7993, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 79, 21, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7994, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2375, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7995, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 49, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7996, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 290, 8, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7997, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 116, 7, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7998, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (7999, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 473, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8000, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 1062, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8001, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 34, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8002, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8003, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 463, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8004, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 458, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8005, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 13, 5, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8006, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 63, 121, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8007, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1500, 8, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8008, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 129, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8009, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 144, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8010, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1126, 112, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8011, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 603, 19, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8012, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 320, 60, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8013, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 860, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8014, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 12, 5, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8015, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 487, 15, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8016, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 452, 47, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8017, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 10, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 56, 6, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 1362, 7, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 993, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 578, 15, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 5339, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 79, 21, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 832, 14, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 530, 39, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1682, 10, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 450, 23, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 245, 23, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 617, 5, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 431, 27, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1089, 12, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 4215, 6, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 378, 29, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3160, 6, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 180, 21, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2505, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 652, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 378, 31, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1394, 15, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 379, 30, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 888, 7, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 285, 27, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 337, 34, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 925, 10, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 204, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 266, 17, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 186, 17, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 29, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 228, 22, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 127, 22, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 157, 28, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 275, 30, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 84, 16, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 76, 19, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 46, 16, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 179, 21, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 66, 23, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 67, 26, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 90, 13, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 328, 16, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 694, 22, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 65, 22, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 472, 18, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 382, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 206, 5, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 431, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 756, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 269, 25, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1234, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 2280, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 136, 29, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 23, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 6, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 24, 13, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 32, 10, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 29, 5, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 63, 21, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 135, 6, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 196, 34, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 10, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 933, 13, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 463, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 86, 15, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 135, 13, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 506, 51, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 40, 37, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 54, 23, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 262, 56, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 603, 19, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 49, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 42, 22, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1062, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 81, 11, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 7, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 41, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 2331, 82, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 71, 10, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 907, 8, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 98, 12, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 19, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 9, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 268, 12, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 133, 10, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 119, 8, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 14, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 14, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 366, 47, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 4, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 2099, 69, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 6, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 415, 6, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 37, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 691, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 305, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2656, 7, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2375, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 829, 12, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 129, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1500, 8, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8121, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 79, 21, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8122, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 473, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8123, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 135, 6, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8124, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 144, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8125, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 578, 15, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8126, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 70, 109, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8127, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 458, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8128, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1500, 8, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8129, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 290, 8, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (8130, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 34, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8131, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 2225, 151, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8132, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 5398, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8133, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 366, 47, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8134, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 25, 6, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8135, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 196, 34, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8136, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 487, 15, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8137, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 10, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8138, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 12, 5, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8139, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 452, 47, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8140, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 603, 19, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8141, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 1062, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8142, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 129, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8143, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 49, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8144, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 320, 60, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8145, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 119, 8, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8146, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1126, 112, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8147, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 5339, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8148, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 530, 39, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8149, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 463, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8150, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2375, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8151, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 826, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8152, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 63, 121, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8153, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 500, 14, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8154, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 13, 5, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8155, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 860, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8156, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 119, 8, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8157, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 56, 6, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8158, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 993, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8159, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D22', 49, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8160, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 79, 21, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8161, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 366, 47, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8162, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 65, 22, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8163, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 463, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8164, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 34, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8165, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 1062, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8166, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 90, 13, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8167, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 46, 16, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8168, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 66, 23, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8169, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 84, 16, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8170, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 751, 19, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8171, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 76, 19, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8172, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 1241, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8173, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 248, 28, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8174, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 4, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8175, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 14, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8176, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 14, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8177, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A23', 826, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8178, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 37, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8179, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 691, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8180, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 298, 11, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8181, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 5339, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8182, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 10, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8183, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 81, 11, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8184, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 42, 22, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8185, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 458, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8186, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 86, 15, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8187, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2375, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8188, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 135, 6, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8189, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 144, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8190, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 54, 23, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8191, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 40, 37, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8192, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 135, 13, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8193, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1500, 8, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8194, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 41, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8195, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 129, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8196, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 9, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8197, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 5398, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8198, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 7, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8199, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 925, 10, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8200, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 1362, 7, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8201, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 6, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8202, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8203, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 832, 14, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8204, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 907, 8, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8205, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 29, 5, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8206, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 1682, 10, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8207, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 275, 28, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8208, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 360, 32, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8209, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 578, 15, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8210, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2656, 7, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8211, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 829, 12, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8212, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 305, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8213, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 2099, 69, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8214, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 2331, 82, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8215, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 1099, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8216, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 382, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8217, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 603, 19, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8218, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 652, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8219, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1394, 15, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8220, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 196, 34, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8221, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 888, 7, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8222, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 617, 5, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8223, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1089, 12, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8224, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 530, 39, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8225, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 98, 12, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8226, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 19, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8227, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 71, 10, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8228, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 268, 12, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8229, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 133, 10, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8230, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 14, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8231, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 4, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8232, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 14, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8233, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 829, 12, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8234, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2656, 7, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8235, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 305, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8236, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 691, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8237, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 328, 16, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8238, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 37, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8239, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 275, 30, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8240, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 204, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8241, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 67, 26, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8242, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 24, 13, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8243, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 42, 22, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8244, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 81, 11, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8245, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2505, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8246, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 7, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8247, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 4215, 6, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8248, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 41, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8249, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3160, 6, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8250, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 9, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8251, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 23, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8252, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8253, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 2280, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8254, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 907, 8, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8255, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 382, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8256, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 472, 18, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8257, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 2331, 82, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8258, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 2099, 69, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8259, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 366, 47, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8260, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 119, 8, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8261, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 32, 10, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8262, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 63, 21, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8263, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 933, 13, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8264, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 196, 34, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8265, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 79, 21, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8266, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 6, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8267, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 530, 39, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8268, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 56, 6, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8269, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 29, 5, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8270, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 5339, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8271, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 86, 15, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8272, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 54, 23, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8273, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 993, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8274, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 228, 22, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8275, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 578, 15, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8276, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 135, 13, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8277, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 157, 28, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8278, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 127, 22, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8279, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 40, 37, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8280, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 266, 17, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8281, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1394, 15, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8282, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 652, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8283, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 29, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8284, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 186, 17, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8285, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1089, 12, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8286, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 617, 5, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8287, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 179, 21, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8288, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 10, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8289, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 136, 29, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8290, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 925, 10, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8291, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 888, 7, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8292, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 415, 6, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8293, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 1362, 7, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8294, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1682, 10, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8295, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 832, 14, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8296, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 6, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8297, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 135, 6, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8298, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 506, 51, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8299, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 262, 56, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8300, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 463, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8301, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 76, 19, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8302, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 46, 16, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8303, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 84, 16, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8304, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 66, 23, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8305, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 90, 13, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8306, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 65, 22, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8307, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 49, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8308, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 603, 19, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8309, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1062, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8310, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 129, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8311, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1500, 8, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8312, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2375, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8313, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1234, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8314, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 269, 25, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8315, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 694, 22, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8316, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 379, 30, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8317, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 378, 31, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8318, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 206, 5, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8319, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 180, 21, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8320, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 378, 29, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8321, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 756, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8322, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 431, 27, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8323, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 431, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8324, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 245, 23, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8325, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 450, 23, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8326, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 337, 34, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8327, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 285, 27, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8328, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 925, 10, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8329, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 888, 7, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8330, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 56, 6, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8331, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2375, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8332, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 617, 5, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8333, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1089, 12, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8334, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 993, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8335, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1394, 15, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8336, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 652, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8337, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 907, 8, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8338, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 135, 13, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8339, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 40, 37, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8340, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 54, 23, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8341, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 86, 15, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8342, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 1362, 7, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8343, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 1682, 10, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8344, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 34, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8345, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 832, 14, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8346, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 578, 15, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8347, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 530, 39, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8348, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 458, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8349, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2656, 7, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8350, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 305, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8351, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 829, 12, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8352, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D22', 49, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8353, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A23', 826, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8354, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 9, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8355, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8356, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 79, 21, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8357, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 1099, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8358, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 382, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8359, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 65, 22, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8360, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 751, 19, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8361, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 2331, 82, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8362, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 7, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8363, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 2099, 69, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8364, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 248, 28, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8365, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 366, 47, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8366, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 41, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8367, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 46, 16, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8368, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 298, 11, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8369, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 66, 23, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8370, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 90, 13, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8371, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 1241, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8372, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 84, 16, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8373, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 76, 19, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8374, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 144, 9, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8375, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 463, 4, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8376, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 37, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8377, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 691, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8378, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 119, 8, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8379, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 135, 6, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8380, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 5339, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8381, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 4, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8382, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 14, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8383, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 14, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8384, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 129, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8385, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 360, 32, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8386, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 29, 5, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8387, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 6, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8388, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 275, 28, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8389, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 196, 34, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8390, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 5398, 1, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8391, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1500, 8, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8392, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 42, 22, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8393, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 81, 11, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8394, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 603, 19, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8395, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 1062, 3, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8396, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 10, 2, 2023, 3, 22, '2024-08-05 13:56:01', NULL, NULL), (8397, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 466, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8398, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 28, 78, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8399, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 153, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8400, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 742, 298, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8401, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1820, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8402, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 160, 94, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8403, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 222, 225, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8404, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 453, 58, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8405, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 957, 100, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8406, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 296, 402, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8407, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 28047, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8408, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 103, 119, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8409, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 179, 77, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8410, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 296, 402, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8411, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 530, 179, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8412, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 481, 76, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8413, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 722, 101, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8414, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 222, 225, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8415, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 740, 299, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8416, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 28, 78, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8417, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 103, 119, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8418, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 109, 14, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8419, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 174, 12, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8420, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 134, 35, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8421, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 28, 78, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8422, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 280, 130, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8423, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 732, 11, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8424, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 826, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8425, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 570, 31, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8426, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 2645, 7, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8427, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 166, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8428, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 13, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8429, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 207, 34, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8430, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 353, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8431, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 584, 17, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8432, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 298, 18, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8433, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 153, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8434, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1067, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8435, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 1608, 11, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8436, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 466, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8437, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 33, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8438, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 175, 5, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8439, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8440, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 82, 95, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8441, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1397, 11, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8442, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 593, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8443, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 366, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8444, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1374, 113, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8445, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 1993, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8446, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 182, 53, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8447, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 208, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8448, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 11, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8449, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 9, 8, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8450, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 18, 9, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8451, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 131, 41, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8452, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 28047, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 331, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 2279, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 210, 5, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 940, 8, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 176, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 353, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1379, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 570, 31, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 858, 10, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 358, 24, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 329, 30, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1428, 12, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 272, 32, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 145, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1857, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 288, 22, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2903, 7, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 242, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2517, 11, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1446, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 364, 43, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1373, 18, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 329, 45, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1220, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 350, 43, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 337, 32, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 602, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 69, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 29, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 63, 8, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 91, 19, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 88, 20, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 200, 18, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 326, 23, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 33, 9, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 29, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 11, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 157, 19, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 34, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 50, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 180, 27, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 384, 23, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 927, 14, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 12, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 199, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 4, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 233, 11, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 191, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 151, 16, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 162, 8, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1253, 5, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 118, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 37, 7, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 43, 20, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 102, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 149, 26, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 249, 19, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 111, 11, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 207, 34, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 195, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 153, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 141, 16, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 28047, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 466, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 82, 20, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 88, 17, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 128, 43, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 78, 29, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 187, 51, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 64, 20, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1993, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 167, 5, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1768, 10, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 6, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 287, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 60, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 258, 67, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 131, 9, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 2, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 11, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 17, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 20, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 14, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 217, 12, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 366, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 3086, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 16, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 32, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 134, 35, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 5, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 302, 63, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 3, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1067, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1348, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 837, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (8549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1431, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 584, 17, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 593, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1397, 11, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8553, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 353, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8554, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1067, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8555, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 153, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8556, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 366, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8557, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 732, 11, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8558, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 28, 78, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8559, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 33, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8560, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 298, 18, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8561, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1397, 11, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8562, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 280, 130, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8563, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 13, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8564, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 134, 35, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8565, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 109, 14, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8566, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 207, 34, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8567, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 9, 8, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8568, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 28047, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8569, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 131, 41, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8570, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 18, 9, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8571, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1993, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8572, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 1768, 10, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8573, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 593, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8574, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 3086, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8575, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 182, 53, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8576, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1374, 113, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8577, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 570, 31, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8578, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 466, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8579, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 584, 17, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8580, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 826, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8581, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 166, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8582, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 82, 95, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8583, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 208, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8584, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 174, 12, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8585, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 175, 5, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8586, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 11, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8587, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 3086, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8588, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 331, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8589, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 210, 5, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8590, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 208, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8591, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 353, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8592, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 134, 35, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8593, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 12, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8594, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 466, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8595, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 1768, 10, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8596, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 50, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8597, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 11, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8598, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 34, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8599, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 33, 9, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8600, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 96, 23, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8601, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 29, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8602, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 176, 18, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8603, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 37, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8604, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 4, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8605, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 5, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8606, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 32, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8607, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 16, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8608, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A23', 826, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8609, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 1067, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8610, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 223, 9, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8611, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 28047, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8612, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 167, 5, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8613, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 33, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8614, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 60, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8615, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 82, 20, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8616, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 584, 17, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8617, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 153, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8618, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 166, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8619, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 366, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8620, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 64, 20, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8621, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 78, 29, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8622, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 88, 17, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8623, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1397, 11, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8624, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 287, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8625, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8626, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 593, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8627, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 6, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8628, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 13, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8629, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 602, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8630, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 2279, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8631, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 102, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8632, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 2, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8633, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 14, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8634, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1379, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8635, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 11, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8636, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 111, 11, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8637, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 858, 10, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8638, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 193, 33, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8639, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 164, 20, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8640, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 940, 8, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8641, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 179, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8642, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 837, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8643, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1431, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8644, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1348, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8645, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 302, 63, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8646, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 258, 67, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8647, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 18, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8648, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 5, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8649, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1993, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8650, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1446, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8651, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1373, 18, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8652, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 207, 34, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8653, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1220, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8654, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1428, 12, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8655, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 145, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8656, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 570, 31, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8657, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 17, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8658, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 20, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8659, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 131, 9, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8660, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 217, 12, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8661, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 366, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8662, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 32, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8663, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 5, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8664, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 16, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8665, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1431, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8666, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 837, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8667, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1348, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8668, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 384, 23, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8669, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1067, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8670, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 326, 23, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8671, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 180, 27, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8672, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 149, 26, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8673, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 167, 5, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8674, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2517, 11, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8675, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 60, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8676, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 6, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8677, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1857, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8678, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 287, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8679, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2903, 7, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8680, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8681, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 43, 20, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8682, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 14, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8683, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 11, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8684, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 118, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8685, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 4, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8686, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 2, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8687, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 258, 67, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8688, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 199, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8689, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 302, 63, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8690, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 134, 35, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8691, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 3086, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8692, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 249, 19, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8693, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 195, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8694, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 141, 16, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8695, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 207, 34, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8696, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 353, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8697, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 102, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8698, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 570, 31, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8699, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 331, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8700, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 111, 11, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8701, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 82, 20, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8702, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 210, 5, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8703, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 64, 20, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8704, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 91, 19, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8705, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 940, 8, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8706, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 88, 17, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8707, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 200, 18, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8708, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 176, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8709, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 88, 20, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8710, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 78, 29, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8711, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 69, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8712, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1373, 18, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8713, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1446, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8714, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 63, 8, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8715, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 29, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8716, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 145, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8717, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1428, 12, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8718, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 157, 19, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8719, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 28047, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8720, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 37, 7, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8721, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 602, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8722, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1220, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8723, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 2279, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8724, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 858, 10, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8725, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1379, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8726, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 3, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8727, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 153, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8728, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 128, 43, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8729, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 187, 51, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8730, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 466, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8731, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 29, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8732, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 11, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8733, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 33, 9, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8734, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 34, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8735, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 50, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8736, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 12, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8737, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1993, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8738, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1768, 10, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8739, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 593, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8740, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1397, 11, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8741, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 584, 17, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8742, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1253, 5, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8743, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 162, 8, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8744, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 927, 14, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8745, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 329, 45, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8746, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 364, 43, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8747, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 233, 11, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8748, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 242, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8749, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 288, 22, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8750, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 151, 16, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8751, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 272, 32, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8752, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 191, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8753, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 329, 30, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8754, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 358, 24, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8755, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 337, 32, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8756, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 350, 43, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8757, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 602, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8758, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1220, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8759, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 331, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8760, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 584, 17, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8761, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1428, 12, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8762, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 145, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8763, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 210, 5, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8764, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1373, 18, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8765, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1446, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8766, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 11, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8767, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 2, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8768, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 88, 17, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8769, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 78, 29, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8770, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 64, 20, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8771, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 82, 20, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8772, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 2279, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8773, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 858, 10, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8774, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1379, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8775, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 179, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8776, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 940, 8, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8777, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 570, 31, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8778, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 33, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8779, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 837, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8780, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1348, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8781, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1431, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8782, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A23', 826, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8783, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8784, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 14, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8785, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 353, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8786, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 18, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8787, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 5, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8788, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 12, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8789, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 96, 23, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8790, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 258, 67, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8791, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 6, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8792, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 302, 63, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8793, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 176, 18, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8794, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 134, 35, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8795, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 287, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8796, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 4, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8797, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 11, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8798, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 34, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8799, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 223, 9, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8800, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 50, 13, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8801, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 37, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8802, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 33, 9, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8803, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 29, 15, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8804, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 366, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8805, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 466, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8806, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 1067, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8807, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 3086, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8808, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 153, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8809, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 5, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8810, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 32, 2, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8811, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 16, 6, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8812, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 593, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8813, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 164, 20, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8814, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 111, 11, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8815, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 60, 4, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8816, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 166, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8817, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 102, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8818, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 193, 33, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8819, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 207, 34, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8820, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 13, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8821, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 208, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8822, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1397, 11, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8823, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1993, 3, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8824, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 167, 5, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8825, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 1768, 10, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8826, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 28047, 1, 2023, 3, 23, '2024-08-05 13:56:02', NULL, NULL), (8827, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 2694, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8828, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 263, 104, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8829, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 6, 3, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8830, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 2685, 369, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8831, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1004, 17, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8832, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 103, 81, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8833, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 182, 226, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8834, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 495, 69, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8835, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 456, 79, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8836, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1144, 426, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8837, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 133, 144, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8838, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 92, 89, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8839, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1139, 428, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8840, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 402, 175, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8841, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 149, 62, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8842, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 327, 107, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8843, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 178, 230, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8844, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 263, 104, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8845, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2678, 370, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8846, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 133, 144, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8847, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 130, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8848, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 167, 19, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8849, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 109, 8, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8850, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 263, 104, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8851, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 267, 43, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8852, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 987, 150, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8853, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 142, 13, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8854, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 11, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8855, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 146, 23, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8856, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 4968, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8857, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 21, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8858, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 2019, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8859, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 170, 37, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8860, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 187, 14, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8861, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 421, 8, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8862, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 36, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8863, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 124, 9, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8864, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 6, 3, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8865, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 2378, 14, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8866, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 198, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8867, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 2694, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8868, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 325, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8869, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 37, 13, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8870, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 118, 123, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8871, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 7, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8872, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 11371, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8873, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 24, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8874, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 5094, 151, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8875, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 1353, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8876, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 117, 59, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8877, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 0, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8878, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 162, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8879, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 4, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8880, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 1138, 8, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8881, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 66, 22, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8882, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 544, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 6904, 13, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 5, 7, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 74, 3, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 165, 10, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 130, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 187, 14, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 5822, 18, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 4941, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 146, 23, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1319, 41, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1584, 39, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 5576, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 2293, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 6549, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1868, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1599, 33, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 947, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1495, 33, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 763, 42, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1591, 8, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2748, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 5193, 17, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 908, 25, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 3165, 16, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 946, 37, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1325, 39, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2834, 18, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 67, 17, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 161, 17, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 128, 8, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 133, 24, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 127, 20, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 225, 20, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 1795, 33, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 18, 19, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 5, 18, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 3, 13, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 129, 19, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 91, 18, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 96, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 754, 14, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 78, 16, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1157, 29, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 653, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 662, 21, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 216, 19, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 13, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 110, 13, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 308, 7, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 729, 21, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 457, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 481, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 4038, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 118, 19, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 20, 23, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 46, 19, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 206, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 66, 24, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 11, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 6, 3, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 68, 30, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 175, 36, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 106, 9, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 2694, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 76, 14, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 138, 3, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 88, 32, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 100, 27, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 127, 36, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 113, 49, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1353, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 36, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 87, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 198, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 109, 23, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 46, 9, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 16, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 196, 16, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 962, 62, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 20, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 483, 8, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 1815, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (8966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 9, 3, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 10, 8, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 7, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 12, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 24, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 4968, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 4, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 267, 43, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1004, 88, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 495, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 100, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 2057, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 5332, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 2292, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 10127, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 4065, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 421, 8, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 11371, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 7, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8986, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 187, 14, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8987, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 2561, 13, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8988, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 6, 3, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8989, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 24, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8990, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 263, 104, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8991, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 154, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8992, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 325, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8993, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 7, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8994, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 124, 9, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8995, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 987, 150, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8996, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 4038, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8997, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 267, 43, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8998, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 109, 8, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (8999, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 175, 36, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9000, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 1138, 8, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9001, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 66, 22, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9002, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 4, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9003, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1353, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9004, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 198, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9005, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 11371, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9006, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 36, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9007, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 4968, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9008, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 117, 59, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9009, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 5094, 151, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9010, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 130, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9011, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 146, 23, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9012, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 2694, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9013, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 421, 8, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9014, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 11, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9015, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 21, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9016, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 121, 120, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9017, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 167, 19, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9018, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 37, 13, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9019, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 162, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9020, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 4968, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9021, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 544, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9022, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 5, 7, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9023, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D22', 36, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9024, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 187, 14, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9025, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 267, 43, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9026, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 662, 21, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9027, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 2694, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9028, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 198, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9029, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 754, 14, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9030, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 3, 13, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9031, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 129, 19, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9032, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 70, 10, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9033, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 18, 19, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9034, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 5, 18, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9035, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 63, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9036, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 14, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9037, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 4, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9038, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 11, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9039, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 2057, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9040, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 5332, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9041, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 130, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9042, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 208, 15, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9043, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 109, 23, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9044, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 87, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9045, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 196, 16, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9046, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 325, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9047, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 76, 14, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9048, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 421, 8, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9049, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 6, 3, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9050, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 21, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9051, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 24, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9052, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 127, 36, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9053, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 100, 27, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9054, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 138, 3, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9055, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 7, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9056, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 16, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9057, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 11371, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9058, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 7, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9059, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 4038, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9060, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 46, 9, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9061, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2834, 18, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9062, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 6904, 13, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9063, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 20, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9064, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 206, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9065, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9066, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 5822, 18, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9067, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 1815, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9068, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 4941, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9069, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 11, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9070, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 130, 37, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9071, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 96, 22, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9072, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 74, 3, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9073, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 181, 9, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9074, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 10127, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9075, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 4065, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9076, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 2292, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9077, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1004, 88, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9078, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 962, 62, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9079, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 162, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9080, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1353, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9081, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2748, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9082, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 5193, 17, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9083, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 3165, 16, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9084, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 175, 36, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9085, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 5576, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9086, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 6549, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9087, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 146, 23, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9088, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 9, 3, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9089, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 10, 8, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9090, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 483, 8, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9091, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 12, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9092, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 24, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9093, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 4, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9094, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 4065, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9095, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 10127, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9096, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 2292, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9097, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 5332, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9098, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1157, 29, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9099, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 2057, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9100, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 1795, 33, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9101, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 78, 16, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9102, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 46, 19, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9103, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 87, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9104, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 109, 23, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9105, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1591, 8, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9106, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 196, 16, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9107, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 46, 9, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9108, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1868, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9109, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 16, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9110, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 947, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9111, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 7, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9112, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9113, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 20, 23, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9114, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 4038, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9115, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 1815, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9116, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 20, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9117, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 13, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9118, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 216, 19, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9119, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 962, 62, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9120, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1004, 88, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9121, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 267, 43, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9122, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 4968, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9123, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 66, 24, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9124, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 68, 30, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9125, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 106, 9, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9126, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 187, 14, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9127, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 175, 36, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9128, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 206, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9129, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 146, 23, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9130, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 544, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9131, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 11, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9132, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 130, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9133, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 76, 14, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9134, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 5, 7, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9135, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 127, 36, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9136, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 133, 24, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9137, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 225, 20, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9138, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 138, 3, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9139, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 74, 3, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9140, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 127, 20, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9141, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 165, 10, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9142, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 100, 27, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9143, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 67, 17, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9144, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 5193, 17, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9145, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 96, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9146, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2748, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9147, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 128, 8, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9148, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 6549, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9149, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 161, 17, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9150, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 5576, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9151, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 91, 18, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9152, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 118, 19, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9153, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2834, 18, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9154, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 3165, 16, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9155, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 100, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9156, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 6904, 13, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9157, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 4941, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9158, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 5822, 18, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9159, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 495, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9160, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 6, 3, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9161, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 88, 32, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9162, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 113, 49, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9163, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 2694, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9164, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 5, 18, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9165, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 3, 13, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9166, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 18, 19, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9167, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 129, 19, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9168, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 754, 14, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9169, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 662, 21, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9170, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 36, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9171, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1353, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9172, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 198, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9173, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 11371, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9174, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 7, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9175, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 421, 8, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9176, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 481, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9177, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 457, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9178, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 653, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9179, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 908, 25, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9180, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 763, 42, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9181, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 110, 13, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9182, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1495, 33, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9183, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1599, 33, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9184, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 2293, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9185, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 729, 21, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9186, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 308, 7, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9187, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1584, 39, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9188, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1319, 41, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9189, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1325, 39, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9190, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 946, 37, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9191, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2834, 18, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9192, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 3165, 16, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9193, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 544, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9194, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 421, 8, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9195, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 5576, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9196, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 6549, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9197, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 5, 7, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9198, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 5193, 17, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9199, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2748, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9200, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 1815, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9201, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 20, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9202, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 138, 3, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9203, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 100, 27, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9204, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 127, 36, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9205, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 76, 14, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9206, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 6904, 13, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9207, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 4941, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9208, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 5822, 18, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9209, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 181, 9, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9210, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 74, 3, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9211, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 146, 23, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9212, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 325, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9213, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 10127, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9214, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 2292, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9215, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 4065, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9216, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D22', 36, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9217, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 11, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9218, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 7, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9219, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9220, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 187, 14, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9221, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 162, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9222, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 70, 10, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9223, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 662, 21, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9224, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 962, 62, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9225, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 46, 9, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9226, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1004, 88, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9227, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 63, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9228, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 267, 43, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9229, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 16, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9230, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 14, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9231, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 3, 13, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9232, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 129, 19, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9233, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 208, 15, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9234, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 754, 14, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9235, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 18, 19, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9236, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 5, 18, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9237, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 24, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9238, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 2694, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9239, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 2057, 11, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9240, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 5332, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9241, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 4968, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9242, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 6, 3, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9243, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 130, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9244, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 4, 2, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9245, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 11371, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9246, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 96, 22, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9247, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 11, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9248, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 196, 16, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9249, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 21, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9250, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 206, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9251, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 130, 37, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9252, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 175, 36, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9253, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 4038, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9254, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 7, 5, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9255, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 87, 1, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9256, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1353, 12, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9257, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 109, 23, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9258, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 198, 4, 2023, 3, 24, '2024-08-05 13:56:03', NULL, NULL), (9259, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 53, 8, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9260, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 456, 7, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9261, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 582, 78, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9262, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 357, 31, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9263, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 560, 81, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9264, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 47, 9, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9265, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 357, 31, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9266, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 456, 7, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9267, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 0, 6, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9268, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 0, 3, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9269, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 75, 4, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9270, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 0, 1, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9271, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 33, 1, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9272, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 2440, 15, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9273, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 2, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9274, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 31, 4, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9275, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 623, 5, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9276, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9277, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 0, 1, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 367, 30, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 33, 1, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 44, 1, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 61, 1, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 132, 18, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 2815, 13, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 172, 13, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 188, 15, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 71, 19, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 623, 5, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 53, 8, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9289, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 75, 4, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9290, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 33, 1, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9291, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 623, 5, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9292, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 2815, 13, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9293, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 31, 4, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9294, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 2815, 13, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9295, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 31, 4, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9296, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 33, 1, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9297, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 75, 4, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9298, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 623, 5, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9299, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 44, 1, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9300, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 33, 1, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9301, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 367, 30, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9302, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 71, 19, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9303, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 188, 15, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9304, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 2815, 13, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9305, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 172, 13, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9306, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 132, 18, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9307, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 61, 1, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9308, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 623, 5, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9309, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 53, 8, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9310, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 33, 1, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9311, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 623, 5, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9312, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 2815, 13, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9313, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 75, 4, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9314, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 31, 4, 2023, 3, 25, '2024-08-05 13:56:04', NULL, NULL), (9315, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 13, 2, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9316, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 65, 1, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9317, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 85, 2, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9318, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 478, 47, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9319, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 199, 6, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9320, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 468, 48, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9321, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 30, 3, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9322, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 149, 8, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9323, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 28, 6, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9324, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 0, 4, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9325, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 0, 1, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9326, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 85, 2, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9327, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 1224, 10, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9328, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 0, 1, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9329, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 3, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9330, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 13, 2, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9331, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9332, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 2, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9333, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 1968, 4, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9334, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 199, 6, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 85, 2, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 6, 5, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 38, 11, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1437, 14, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 116, 8, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 111, 9, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 13, 2, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 65, 1, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9344, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 1968, 4, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9345, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 85, 2, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9346, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 1224, 10, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9347, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 13, 2, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9348, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A23', 1968, 4, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9349, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 1224, 10, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9350, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 85, 2, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9351, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 13, 2, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9352, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 85, 2, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9353, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 199, 6, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9354, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 111, 9, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9355, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 116, 8, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9356, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 65, 1, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9357, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 38, 11, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9358, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1437, 14, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9359, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 13, 2, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9360, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 6, 5, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9361, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 1224, 10, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9362, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 13, 2, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9363, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 85, 2, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9364, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A23', 1968, 4, 2023, 3, 26, '2024-08-05 13:56:05', NULL, NULL), (9365, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 4799, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9366, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 87, 95, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9367, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '', 9417, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9368, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 763, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9369, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1559, 473, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9370, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1640, 18, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9371, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 307, 130, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9372, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 258, 259, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9373, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 505, 97, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9374, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 592, 111, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (9375, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 3533, 457, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9376, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 150, 104, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9377, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 319, 160, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9378, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 3533, 457, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9379, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 614, 260, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9380, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 195, 85, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9381, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 497, 130, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9382, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 258, 259, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9383, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 87, 95, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9384, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1559, 473, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9385, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 319, 160, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9386, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 107, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9387, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 97, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9388, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 307, 19, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9389, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 87, 95, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9390, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 89, 56, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9391, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 2359, 262, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9392, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 63, 10, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9393, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 7, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9394, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 304, 37, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9395, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 597, 10, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9396, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 209, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9397, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 684, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9398, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 333, 48, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9399, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 173, 22, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9400, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 117, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9401, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 30, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9402, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 44, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9403, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 763, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9404, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 9417, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9405, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 442, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9406, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 1041, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9407, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 4799, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9408, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 85, 9, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9409, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 245, 13, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9410, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 76, 105, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9411, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1887, 9, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9412, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 96, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9413, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 878, 122, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9414, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 2125, 8, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9415, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 274, 79, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9416, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 83, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9417, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 231, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9418, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 6, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9419, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 18, 21, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9420, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 359, 51, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 48, 8, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 1116, 9, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 38, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 37, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 99, 7, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 107, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 173, 22, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 835, 16, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 304, 37, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 655, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 4953, 26, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 3960, 35, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 548, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 4371, 32, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1581, 8, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 2930, 29, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 698, 11, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1453, 8, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 3391, 28, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2480, 10, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 713, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 3725, 52, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1003, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 4542, 49, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1070, 11, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 5074, 29, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 4377, 34, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 998, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 865, 3, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 287, 20, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 186, 18, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 125, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 22, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 27, 7, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 557, 28, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 4524, 18, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 5, 15, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 112, 18, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 161, 17, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 352, 19, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 68, 17, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 282, 20, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 56, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 349, 28, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 5237, 40, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 104, 30, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 109, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 363, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 178, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 202, 15, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 255, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 530, 23, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 381, 11, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 2078, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 322, 13, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 314, 30, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 184, 18, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 96, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 72, 31, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 98, 8, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 103, 30, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 763, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 98, 27, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 333, 48, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 713, 10, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D11', 9417, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 4799, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 96, 15, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 102, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 280, 54, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 36, 21, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 47, 21, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 326, 76, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3400, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 30, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 44, 18, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1041, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 132, 19, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 8, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 180, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 5, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 2264, 143, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 16, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 151, 16, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 851, 18, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 21, 10, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 15, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 194, 27, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 96, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 181, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 597, 10, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 2, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 13, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 89, 56, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 9, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 2473, 119, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 154, 3, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 6, 3, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 442, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 828, 13, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 117, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1359, 7, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1887, 9, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9524, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 173, 22, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9525, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 442, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9526, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 763, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9527, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 96, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9528, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 63, 10, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9529, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 87, 95, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9530, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 245, 13, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9531, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1887, 9, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9532, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 44, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9533, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 2359, 262, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9534, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 684, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9535, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 89, 56, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9536, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 97, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9537, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 333, 48, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9538, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 18, 21, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9539, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 6, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9540, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 359, 51, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9541, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 3400, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9542, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 1041, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9543, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '', 9417, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9544, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 30, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9545, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 597, 10, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9546, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 274, 79, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9547, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 878, 122, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9548, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 107, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9549, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 304, 37, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9550, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 117, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9551, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 4799, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9552, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 7, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9553, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 209, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9554, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 76, 105, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9555, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 83, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9556, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 307, 19, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9557, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 85, 9, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9558, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 231, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9559, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 597, 10, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9560, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 48, 8, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9561, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 38, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9562, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D22', 30, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9563, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 83, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9564, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 173, 22, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9565, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 89, 56, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9566, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 109, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9567, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 4799, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9568, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 1041, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9569, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 56, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9570, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 161, 17, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9571, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 68, 17, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9572, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 5, 15, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9573, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 288, 23, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9574, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 112, 18, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9575, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 47, 3, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9576, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 417, 28, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9577, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 223, 9, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9578, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 9, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9579, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 13, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9580, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 2, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9581, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 7, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9582, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 442, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9583, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 527, 7, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9584, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 107, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9585, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 132, 19, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9586, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 44, 18, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9587, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 66, 3, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9588, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A21', 418, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9589, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 180, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9590, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 121, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9591, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 96, 15, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9592, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 117, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9593, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 763, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9594, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 209, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9595, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 96, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9596, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 47, 21, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9597, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 36, 21, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9598, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 102, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9599, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1887, 9, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9600, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 8, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9601, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 15, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9602, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 684, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9603, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 998, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9604, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 1116, 9, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9605, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 96, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9606, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 16, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9607, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 21, 10, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9608, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 835, 16, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9609, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 98, 8, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9610, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 655, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9611, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 273, 48, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9612, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 274, 31, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9613, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 37, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9614, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '1D11', 9417, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9615, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 80, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9616, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 181, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9617, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 828, 13, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9618, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1359, 7, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9619, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 2473, 119, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9620, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 2264, 143, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9621, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 5, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9622, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 180, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9623, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 282, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9624, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 3400, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9625, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 713, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9626, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1003, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9627, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1070, 11, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9628, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 333, 48, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9629, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 548, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9630, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 698, 11, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9631, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 304, 37, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9632, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 151, 16, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9633, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 851, 18, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9634, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 5, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9635, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 181, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9636, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 194, 27, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9637, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 96, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9638, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 13, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9639, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 9, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9640, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 2, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9641, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1359, 7, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9642, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 828, 13, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9643, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 5237, 40, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9644, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 442, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9645, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 4524, 18, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9646, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 349, 28, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9647, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 72, 31, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9648, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 44, 18, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9649, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 132, 19, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9650, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2480, 10, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9651, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 180, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9652, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1581, 8, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9653, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 8, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9654, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1453, 8, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9655, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 15, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9656, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 184, 18, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9657, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 21, 10, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9658, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 322, 13, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9659, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 16, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9660, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 178, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9661, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 363, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9662, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 2264, 143, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9663, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 2473, 119, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9664, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 89, 56, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9665, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 597, 10, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9666, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 103, 30, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9667, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 98, 27, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9668, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 713, 10, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9669, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 173, 22, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9670, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 333, 48, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9671, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 96, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9672, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 304, 37, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9673, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 98, 8, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9674, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 48, 8, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9675, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 107, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9676, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 96, 15, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9677, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 22, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9678, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 38, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9679, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 47, 21, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9680, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 125, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9681, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 557, 28, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9682, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 102, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9683, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 37, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9684, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 27, 7, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9685, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 99, 7, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9686, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 36, 21, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9687, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 865, 3, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9688, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1003, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9689, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 282, 20, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9690, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 713, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9691, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 186, 18, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9692, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 287, 20, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9693, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 698, 11, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9694, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 548, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9695, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 352, 19, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9696, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 314, 30, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9697, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 998, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9698, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1070, 11, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9699, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 6, 3, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9700, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 1116, 9, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9701, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 655, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9702, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 835, 16, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9703, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 154, 3, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9704, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 763, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9705, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 280, 54, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9706, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 326, 76, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9707, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 4799, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9708, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 112, 18, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9709, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 161, 17, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9710, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 5, 15, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9711, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 68, 17, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9712, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 56, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9713, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 109, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9714, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 30, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9715, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3400, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9716, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1041, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9717, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1887, 9, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9718, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 117, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9719, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 2078, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9720, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 381, 11, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9721, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 104, 30, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9722, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 4542, 49, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9723, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 3725, 52, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9724, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 202, 15, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9725, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 3391, 28, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9726, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 2930, 29, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9727, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 530, 23, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9728, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 4371, 32, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9729, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 255, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9730, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 3960, 35, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9731, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 4953, 26, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9732, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 4377, 34, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9733, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '1D11', 9417, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9734, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 5074, 29, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9735, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 998, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9736, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1070, 11, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9737, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 48, 8, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9738, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 117, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9739, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 548, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9740, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 698, 11, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9741, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 38, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9742, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1003, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9743, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 713, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9744, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 16, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9745, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 102, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9746, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 36, 21, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9747, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 47, 21, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9748, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 96, 15, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9749, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 1116, 9, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9750, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 655, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9751, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 835, 16, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9752, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 80, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9753, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 37, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9754, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 304, 37, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9755, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 66, 3, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9756, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 121, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9757, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A21', 418, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9758, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 828, 13, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9759, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1359, 7, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9760, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D22', 30, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9761, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 7, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9762, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 15, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9763, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 21, 10, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9764, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 173, 22, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9765, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 180, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9766, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 181, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9767, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 282, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9768, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 288, 23, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9769, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 109, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9770, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 2264, 143, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9771, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 2473, 119, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9772, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 417, 28, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9773, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 89, 56, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9774, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 8, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9775, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 161, 17, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9776, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 223, 9, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9777, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 527, 7, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9778, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 68, 17, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9779, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 56, 14, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9780, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 47, 3, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9781, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 5, 15, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9782, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 112, 18, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9783, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 96, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9784, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 4799, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9785, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 442, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9786, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 597, 10, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9787, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 763, 4, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9788, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 107, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9789, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 9, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9790, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 13, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9791, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 2, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9792, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 274, 31, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9793, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 98, 8, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9794, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 180, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9795, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 209, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9796, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 96, 6, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (9797, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 273, 48, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9798, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 333, 48, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9799, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 684, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9800, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 5, 1, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9801, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 83, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9802, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1887, 9, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9803, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 44, 18, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9804, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 3400, 5, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9805, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 132, 19, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9806, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 1041, 12, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9807, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '1D11', 9417, 2, 2023, 3, 27, '2024-08-05 13:56:06', NULL, NULL), (9808, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 34, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9809, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 46, 88, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9810, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 137, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9811, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1904, 430, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9812, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1185, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9813, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 341, 67, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9814, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 330, 62, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9815, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 96, 195, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9816, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 844, 102, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9817, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1377, 456, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9818, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 451, 128, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9819, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 206, 90, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9820, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1378, 457, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9821, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 367, 161, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9822, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 360, 80, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9823, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 677, 112, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9824, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 95, 197, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9825, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 46, 88, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9826, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1904, 430, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9827, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 451, 128, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9828, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 36, 3, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9829, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 7903, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9830, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9831, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '', '', '', 166, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9832, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 62, 12, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9833, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 187, 19, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9834, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 46, 88, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9835, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 124, 56, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9836, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 2999, 245, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9837, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 518, 10, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9838, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 483, 36, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9839, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 2111, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9840, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 335, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9841, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 1217, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9842, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 107, 27, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9843, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 104, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9844, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 5, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9845, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 264, 18, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9846, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 137, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9847, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9848, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 162, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9849, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 726, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9850, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9851, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 6, 5, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9852, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 14, 5, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9853, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 174, 3, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9854, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 45, 99, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9855, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 137, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9856, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 4, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9857, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 677, 110, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9858, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 623, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9859, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 345, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9860, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 305, 38, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9861, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 9, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9862, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 9, 11, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9863, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 90, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9864, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 387, 29, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9865, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 945, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 356, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 173, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 649, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 212, 3, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 36, 3, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 104, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 210, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 483, 36, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 583, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1904, 30, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1197, 35, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 717, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1874, 28, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 534, 12, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2299, 10, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1469, 32, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2880, 5, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1534, 34, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2846, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 818, 8, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1348, 47, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 681, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1878, 35, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 566, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 1891, 39, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1337, 29, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 451, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 136, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 334, 12, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 355, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 736, 12, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 687, 37, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 71, 5, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 1877, 28, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 196, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 8, 17, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 31, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 13, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 279, 17, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 539, 11, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 180, 32, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 23, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 2447, 27, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 428, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 14, 16, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 200, 11, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 169, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 426, 8, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 368, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 277, 18, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 266, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 292, 5, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 195, 17, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 348, 10, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 135, 33, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 92, 5, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 71, 27, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 41, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 154, 19, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 137, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 133, 19, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 107, 27, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 101, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 34, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 53, 10, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 75, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 271, 35, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 25, 17, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 417, 32, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 25, 17, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 1536, 3, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 345, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 7903, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 40, 24, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 726, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 32, 10, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 6, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 20, 3, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 120, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 310, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 240, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 3142, 111, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 13, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 56, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 963, 8, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 49, 18, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 335, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 42, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 6, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 124, 56, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 72, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 2881, 134, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 723, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1180, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 150, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 175, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1936, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 752, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 5, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 389, 15, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 4, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 137, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9972, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 104, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9973, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 162, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9974, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 137, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9975, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 518, 10, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9976, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 46, 88, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9977, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 174, 3, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9978, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 137, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9979, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 264, 18, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9980, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 2999, 245, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9981, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 7903, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9982, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 1217, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9983, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 124, 56, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9984, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 62, 12, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9985, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 107, 27, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9986, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 9, 11, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9987, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 90, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9988, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 387, 29, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9989, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 345, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9990, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 726, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9991, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 4, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9992, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 335, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9993, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 305, 38, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9994, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 677, 110, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9995, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 36, 3, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9996, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 483, 36, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9997, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 623, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9998, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 34, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (9999, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 5, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10000, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 46, 98, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10001, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 187, 19, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10002, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 14, 5, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10003, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '', 2111, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10004, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 9, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10005, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '市公安局', '', '', 166, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10006, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 335, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10007, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 356, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10008, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 173, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10009, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 104, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10010, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 124, 56, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10011, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 14, 16, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10012, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 34, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10013, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 726, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10014, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 23, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10015, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 31, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10016, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 13, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10017, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 236, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10018, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 196, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10019, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 8, 17, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10020, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 114, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10021, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 528, 15, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10022, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 200, 5, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10023, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 72, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10024, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 6, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10025, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 42, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10026, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 150, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10027, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 175, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10028, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 36, 3, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10029, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 234, 8, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10030, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 32, 10, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10031, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 40, 24, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10032, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A21', 200, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10033, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 162, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10034, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 120, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10035, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 53, 10, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10036, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '', '', '1A21', 166, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10037, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 5, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10038, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 137, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10039, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 1249, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10040, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 25, 17, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10041, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 25, 17, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10042, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 310, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10043, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 75, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10044, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 137, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10045, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 20, 3, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10046, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 4, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10047, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10048, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 1217, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10049, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 6, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10050, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 451, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10051, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 945, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10052, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 92, 5, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10053, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10054, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 210, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10055, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10056, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 13, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10057, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 41, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10058, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 583, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10059, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 319, 17, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10060, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 294, 21, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10061, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 649, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10062, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 212, 3, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10063, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 752, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10064, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 389, 15, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10065, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1936, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10066, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 2881, 134, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10067, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 3142, 111, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10068, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 7903, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10069, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 240, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10070, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 4, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10071, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 14, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10072, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 345, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10073, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '1D26', 2111, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10074, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 818, 8, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10075, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 681, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10076, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 566, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10077, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 107, 27, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10078, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 717, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10079, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 534, 12, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10080, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 483, 36, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10081, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 56, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10082, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 963, 8, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10083, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 240, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10084, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 49, 18, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10085, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 6, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10086, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 72, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10087, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 42, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10088, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 389, 15, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10089, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 752, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10090, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1936, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10091, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 175, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10092, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 2447, 27, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10093, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 150, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10094, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 1877, 28, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10095, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 180, 32, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10096, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 71, 27, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10097, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 40, 24, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10098, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 32, 10, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10099, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2846, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10100, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 120, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10101, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 6, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10102, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2299, 10, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10103, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 20, 3, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10104, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2880, 5, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10105, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 6, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10106, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10107, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 135, 33, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10108, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 13, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10109, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 348, 10, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10110, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10111, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 169, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10112, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 200, 11, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10113, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 3142, 111, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10114, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 2881, 134, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10115, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 124, 56, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10116, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 335, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10117, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 154, 19, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10118, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 133, 19, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10119, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 101, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10120, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 104, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10121, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 107, 27, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10122, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 92, 5, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10123, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 483, 36, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10124, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 41, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10125, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 356, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10126, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 36, 3, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10127, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 53, 10, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10128, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 173, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10129, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 25, 17, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10130, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 736, 12, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10131, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 71, 5, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10132, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 75, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10133, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 649, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10134, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 25, 17, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10135, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 687, 37, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10136, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 212, 3, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10137, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 681, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10138, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 136, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10139, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 539, 11, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10140, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 818, 8, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10141, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 355, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10142, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 534, 12, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10143, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 334, 12, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10144, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 717, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10145, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 279, 17, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10146, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 195, 17, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10147, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 451, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10148, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 566, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10149, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1180, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10150, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 945, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10151, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 583, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10152, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 210, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10153, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 723, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10154, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 137, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10155, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 271, 35, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10156, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 417, 32, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10157, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 34, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10158, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 8, 17, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10159, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 31, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10160, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 196, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10161, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 13, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10162, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 23, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10163, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 310, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10164, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 1536, 3, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10165, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 14, 16, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10166, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 7903, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10167, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 345, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10168, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 726, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10169, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 4, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10170, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 137, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10171, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 5, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10172, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 292, 5, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10173, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 266, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10174, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 428, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10175, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1878, 35, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10176, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1348, 47, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10177, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 426, 8, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10178, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1534, 34, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10179, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1469, 32, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10180, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 277, 18, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10181, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1874, 28, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10182, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 368, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10183, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1197, 35, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10184, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1904, 30, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10185, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1337, 29, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10186, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 1891, 39, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10187, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 451, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10188, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 566, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10189, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 356, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10190, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 5, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10191, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 717, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10192, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 534, 12, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10193, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 173, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10194, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 681, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10195, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 818, 8, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10196, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 13, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10197, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10198, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 75, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10199, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 25, 17, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10200, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 25, 17, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10201, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '1D26', 2111, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10202, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 53, 10, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10203, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 945, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10204, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 583, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10205, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 210, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10206, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 212, 3, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10207, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 649, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10208, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 483, 36, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10209, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 162, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10210, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A21', 200, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10211, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 752, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10212, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1936, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10213, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 389, 15, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10214, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 6, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10215, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10216, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 104, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10217, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 4, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (10218, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 14, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10219, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 14, 16, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10220, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 236, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10221, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 3142, 111, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10222, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 6, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10223, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 2881, 134, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10224, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 528, 15, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10225, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 124, 56, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10226, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 20, 3, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10227, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 31, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10228, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 200, 5, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10229, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 13, 13, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10230, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 234, 8, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10231, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 23, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10232, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 114, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10233, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 196, 14, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10234, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 8, 17, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10235, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 34, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10236, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 150, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10237, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 175, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10238, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 335, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10239, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 137, 9, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10240, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 36, 3, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10241, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 72, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10242, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 6, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10243, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 42, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10244, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '市公安局', '', '1A21', 166, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10245, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 4, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10246, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 294, 21, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10247, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 41, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10248, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 120, 7, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10249, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 92, 5, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10250, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 319, 17, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10251, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 107, 27, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10252, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 1217, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10253, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 1249, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10254, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 240, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10255, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 310, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10256, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 137, 6, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10257, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 40, 24, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10258, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 7903, 1, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10259, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 345, 4, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10260, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 32, 10, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10261, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 726, 2, 2023, 3, 28, '2024-08-05 13:56:07', NULL, NULL), (10262, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 29, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10263, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 14, 87, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10264, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 1264, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10265, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1437, 429, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10266, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 518, 13, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10267, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 177, 80, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10268, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 269, 52, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10269, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 110, 234, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10270, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 3208, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10271, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 373, 474, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10272, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 3, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10273, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 90, 97, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10274, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 181, 119, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10275, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 372, 475, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10276, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 242, 155, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10277, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 2138, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10278, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 90, 97, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10279, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 110, 234, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10280, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 14, 87, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10281, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1434, 430, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10282, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 181, 119, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10283, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 247, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10284, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10285, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 131, 11, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10286, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 82, 21, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10287, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 14, 87, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10288, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 93, 38, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10289, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 2187, 242, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10290, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 228, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10291, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 2138, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10292, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10293, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 146, 9, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10294, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 1230, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10295, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 118, 35, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10296, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 781, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10297, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 487, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10298, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 632, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10299, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 574, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10300, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 507, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10301, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 29, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10302, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 14, 12, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10303, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 56, 112, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10304, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 619, 6, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10305, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 45, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10306, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 665, 119, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10307, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 20, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10308, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 811, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10309, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 179, 39, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10310, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 1558, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10311, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 206, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10312, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 17, 16, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10313, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 11, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10314, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 175, 41, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10315, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 3, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 499, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 722, 18, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 394, 8, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 3208, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 423, 44, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 390, 29, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 510, 12, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 565, 29, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 622, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 456, 33, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 371, 37, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 566, 8, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 356, 23, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 716, 9, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 431, 56, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 727, 14, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 411, 42, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 233, 24, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 411, 11, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 215, 10, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 138, 14, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 292, 15, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 216, 19, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 92, 15, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 195, 16, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 333, 19, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 14, 9, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 6, 23, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 18, 12, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 10, 6, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 22, 17, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 196, 13, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 12, 13, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 89, 38, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 485, 31, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 154, 12, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 16, 13, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 149, 12, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 77, 12, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 89, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 44, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 474, 8, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 291, 23, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 559, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 171, 11, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1241, 12, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 119, 33, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 12, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 36, 23, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 143, 10, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 59, 24, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 1264, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 132, 32, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 118, 35, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 3, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 20, 8, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 29, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 49, 17, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 57, 8, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 187, 38, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 53, 19, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 61, 15, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 168, 42, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 20, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 811, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 367, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 55, 27, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 55, 22, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 507, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 26, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 6, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 86, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 30, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 2162, 133, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 13, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 18, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 23, 13, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 321, 16, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 9, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 26, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 113, 18, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 45, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 11, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 146, 9, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 4, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 93, 38, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 8, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 2218, 109, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 88, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 322, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 28, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 711, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 3066, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 381, 13, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 781, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 443, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 619, 6, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10413, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 574, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10414, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 1264, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10415, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 45, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10416, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 14, 87, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10417, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 619, 6, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10418, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 2187, 242, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10419, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 247, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10420, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 1230, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10421, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 93, 38, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10422, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 131, 11, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10423, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 118, 35, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10424, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 17, 16, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10425, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 3, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10426, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 11, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10427, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 175, 41, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10428, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 811, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10429, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 507, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10430, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 487, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10431, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 146, 9, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10432, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 179, 39, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10433, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 665, 119, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10434, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 3208, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10435, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 20, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10436, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 29, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10437, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 781, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10438, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 228, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10439, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 56, 112, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10440, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 1558, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10441, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 86, 20, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10442, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 14, 12, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10443, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 206, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10444, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 146, 9, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10445, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D22', 487, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10446, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 1558, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10447, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 93, 38, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10448, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 16, 13, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10449, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 29, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10450, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 507, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10451, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 12, 13, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10452, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 18, 12, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10453, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 22, 17, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10454, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 14, 9, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10455, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 166, 18, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10456, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 6, 23, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10457, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 9, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10458, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 183, 23, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10459, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 74, 10, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10460, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 8, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10461, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 4, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10462, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A23', 447, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10463, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 10, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10464, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 28, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10465, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 711, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10466, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 108, 9, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10467, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 3, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10468, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 55, 22, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10469, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 55, 27, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10470, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 86, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10471, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 247, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10472, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 49, 17, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10473, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 781, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10474, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 1264, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10475, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 45, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10476, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 20, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10477, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 61, 15, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10478, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 53, 19, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10479, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 57, 8, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10480, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 619, 6, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10481, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 6, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10482, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 26, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10483, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 26, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10484, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 1230, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 411, 11, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10486, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 499, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10487, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 12, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10488, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 13, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10489, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 9, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10490, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 722, 18, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10491, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 143, 10, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10492, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 18, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10493, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 394, 8, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10494, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 150, 19, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10495, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 207, 20, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10496, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 11, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10497, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 381, 13, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10498, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 443, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10499, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 3066, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10500, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 2218, 109, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10501, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 2162, 133, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10502, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 30, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10503, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 183, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10504, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 173, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10505, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A21', 285, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10506, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 811, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10507, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 566, 8, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10508, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 716, 9, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10509, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 727, 14, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10510, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 118, 35, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10511, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 510, 12, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10512, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 622, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10513, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 3208, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10514, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 23, 13, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10515, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 321, 16, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10516, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 30, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10517, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 11, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10518, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 113, 18, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10519, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 45, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10520, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 8, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10521, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 4, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10522, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 443, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10523, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 381, 13, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10524, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 3066, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10525, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 711, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10526, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 485, 31, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10527, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 28, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10528, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 333, 19, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10529, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 89, 38, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10530, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 36, 23, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10531, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 55, 27, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10532, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 55, 22, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10533, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 86, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10534, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 26, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10535, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 6, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10536, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 26, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10537, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 9, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10538, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 119, 33, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10539, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 18, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10540, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1241, 12, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10541, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 13, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10542, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 77, 12, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10543, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 149, 12, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10544, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 2162, 133, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10545, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 2218, 109, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10546, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 93, 38, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10547, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 146, 9, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10548, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 59, 24, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10549, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 132, 32, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10550, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 20, 8, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10551, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 118, 35, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10552, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 12, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10553, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 3208, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10554, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 143, 10, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10555, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 49, 17, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10556, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 61, 15, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10557, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 216, 19, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10558, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 57, 8, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10559, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 195, 16, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10560, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 92, 15, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10561, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 53, 19, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10562, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 215, 10, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10563, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 716, 9, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10564, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 196, 13, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10565, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 566, 8, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10566, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 292, 15, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10567, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 138, 14, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10568, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 622, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10569, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 510, 12, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10570, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 10, 6, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10571, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 3, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10572, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 171, 11, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10573, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 411, 11, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10574, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 727, 14, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10575, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 322, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10576, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 499, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10577, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 394, 8, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10578, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 722, 18, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10579, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 88, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10580, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 1264, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10581, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 187, 38, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10582, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 168, 42, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10583, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 29, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10584, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 6, 23, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10585, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 18, 12, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10586, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 14, 9, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10587, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 22, 17, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10588, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 12, 13, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10589, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 20, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10590, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 16, 13, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10591, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 367, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10592, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 811, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10593, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 507, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10594, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 619, 6, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10595, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 781, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10596, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 559, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10597, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 291, 23, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10598, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 154, 12, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10599, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 431, 56, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10600, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 356, 23, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10601, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 89, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10602, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 371, 37, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10603, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 456, 33, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10604, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 474, 8, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10605, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 565, 29, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10606, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 44, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10607, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 390, 29, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10608, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 423, 44, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10609, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 233, 24, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10610, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 411, 42, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10611, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 411, 11, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10612, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 727, 14, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10613, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 781, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10614, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 510, 12, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10615, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 622, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10616, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 716, 9, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10617, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 566, 8, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10618, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 18, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10619, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 13, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10620, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 57, 8, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10621, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 53, 19, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10622, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 61, 15, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10623, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 49, 17, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10624, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 499, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10625, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 394, 8, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10626, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 722, 18, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10627, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 3208, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10628, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 381, 13, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10629, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 3066, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10630, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 443, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10631, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D22', 487, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10632, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 10, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10633, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A23', 447, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10634, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 26, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (10635, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 9, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10636, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 11, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10637, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 183, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10638, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 173, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10639, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A21', 285, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10640, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 16, 13, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10641, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 166, 18, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10642, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 2162, 133, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10643, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 26, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10644, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 2218, 109, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10645, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 183, 23, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10646, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 93, 38, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10647, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 6, 5, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10648, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 18, 12, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10649, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 74, 10, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10650, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 108, 9, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10651, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 22, 17, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10652, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 12, 13, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10653, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 9, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10654, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 14, 9, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10655, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 6, 23, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10656, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 45, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10657, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 29, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10658, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 28, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10659, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 711, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10660, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 146, 9, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10661, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 247, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10662, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 1264, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10663, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 8, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10664, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 4, 2, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10665, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 207, 20, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10666, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 143, 10, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10667, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 86, 4, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10668, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 12, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10669, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 150, 19, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10670, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 118, 35, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10671, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 1230, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10672, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 20, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10673, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 30, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10674, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 1558, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10675, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 619, 6, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10676, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 55, 27, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10677, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 811, 3, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10678, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 55, 22, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10679, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 507, 7, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10680, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 3, 1, 2023, 3, 29, '2024-08-05 13:56:08', NULL, NULL), (10681, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 31, 102, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10682, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 349, 6, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10683, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 257, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10684, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 2486, 426, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10685, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1190, 11, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10686, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 213, 79, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10687, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 161, 196, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10688, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1003, 77, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10689, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 292, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10690, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 893, 381, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10691, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 156, 103, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10692, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 102, 89, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10693, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 889, 383, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10694, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 620, 177, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10695, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 292, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10696, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 102, 89, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10697, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 160, 197, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10698, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 31, 102, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10699, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2480, 427, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10700, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 156, 103, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10701, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 43, 14, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10702, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 26, 10, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10703, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 31, 102, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10704, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 145, 52, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10705, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 3868, 237, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10706, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 124, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10707, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 292, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10708, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 193, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10709, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 32, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10710, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 145, 40, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10711, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 987, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10712, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 257, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10713, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1476, 4, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10714, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 1823, 4, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10715, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 182, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10716, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 349, 6, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10717, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 58, 5, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10718, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 9, 6, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10719, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 97, 89, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10720, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 616, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10721, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 5, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10722, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 109, 8, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10723, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1077, 118, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10724, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 829, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10725, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 260, 38, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10726, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 153, 4, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10727, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 421, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10728, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 23, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10729, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 17, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10730, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 170, 41, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10731, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 115, 29, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 38, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 940, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 21, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 110, 23, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 87, 23, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 257, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 145, 40, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 108, 11, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 349, 6, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 70, 8, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 242, 39, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 83, 20, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 91, 16, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1092, 12, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 186, 40, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 292, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1409, 10, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 2272, 35, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 57, 10, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 829, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 393, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 271, 21, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1424, 15, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 509, 24, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 110, 26, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1271, 18, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 987, 5, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 120, 17, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1823, 4, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 850, 45, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1288, 42, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 824, 12, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1102, 12, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 10, 5, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 4, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 41, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 1521, 40, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 103, 16, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1268, 15, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 2647, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 63, 5, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 3368, 112, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 8, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 251, 14, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 890, 5, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 19, 4, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 59, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 88, 14, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 28, 8, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 21, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 90, 23, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 123, 10, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 128, 10, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 980, 20, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 24, 19, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 193, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 46, 18, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 66, 14, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 966, 10, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 10, 15, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 145, 52, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 43, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 90, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 21, 18, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 262, 21, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 4316, 125, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 17, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 866, 33, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 27, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 2906, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 340, 16, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 93, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1148, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 823, 12, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 987, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 27, 18, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 60, 12, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 5, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 90, 10, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 616, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 141, 5, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 351, 10, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1003, 23, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 2691, 16, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 205, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 8, 14, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 297, 13, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 141, 20, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10823, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1968, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10824, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 257, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10825, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 109, 8, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10826, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 31, 102, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10827, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 58, 5, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10828, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 616, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10829, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 182, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10830, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 3868, 237, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10831, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 32, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10832, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 145, 52, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10833, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 26, 10, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10834, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 145, 40, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10835, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 17, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10836, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 23, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10837, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 170, 41, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10838, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 829, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10839, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 1823, 4, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10840, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 5, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10841, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 193, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10842, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 260, 38, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10843, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1077, 118, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10844, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 292, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10845, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 987, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10846, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 349, 6, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10847, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 124, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10848, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 98, 88, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10849, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 421, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10850, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 43, 14, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10851, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 9, 6, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10852, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 153, 4, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10853, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 193, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10854, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 421, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10855, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 145, 52, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10856, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 27, 18, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10857, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 349, 6, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10858, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 182, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10859, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 1823, 4, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10860, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 21, 18, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10861, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 66, 14, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10862, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 10, 15, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10863, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 24, 19, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10864, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 191, 18, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10865, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 46, 18, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10866, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 3, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10867, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 153, 23, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10868, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 58, 5, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10869, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 43, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10870, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10871, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 124, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10872, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 2906, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10873, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 93, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10874, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 45, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10875, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 120, 17, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10876, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 110, 26, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10877, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 42, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10878, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 41, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10879, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 68, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10880, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 987, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10881, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 257, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10882, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 109, 8, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10883, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 91, 16, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10884, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 83, 20, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10885, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 70, 8, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10886, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 616, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10887, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 4, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10888, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 21, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10889, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 5, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10890, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 32, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10891, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 10, 5, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10892, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1268, 15, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10893, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 940, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10894, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 38, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10895, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10896, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1092, 12, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10897, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 19, 4, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10898, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 21, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10899, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 1409, 10, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10900, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 230, 17, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10901, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 285, 21, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10902, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 823, 12, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10903, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1148, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10904, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 4316, 125, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10905, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 3368, 112, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10906, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 104, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10907, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 202, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10908, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 829, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10909, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 987, 5, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10910, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 824, 12, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10911, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 145, 40, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10912, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1102, 12, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10913, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 393, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10914, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1424, 15, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10915, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 292, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10916, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 890, 5, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10917, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 251, 14, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 28, 8, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10919, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 257, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10920, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 123, 10, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10921, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 43, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10922, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10923, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 823, 12, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10924, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1148, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10925, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 93, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10926, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 866, 33, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10927, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 2906, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10928, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 980, 20, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10929, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 242, 39, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10930, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 2647, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10931, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 262, 21, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10932, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 186, 40, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10933, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 115, 29, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10934, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 110, 26, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10935, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 120, 17, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10936, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 41, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10937, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 10, 5, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10938, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 4, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10939, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 21, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10940, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10941, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 141, 20, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10942, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 349, 6, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10943, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 19, 4, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10944, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 297, 13, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10945, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 90, 10, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10946, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 60, 12, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10947, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 3368, 112, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10948, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 4316, 125, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10949, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 145, 52, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10950, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 193, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10951, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 110, 23, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10952, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 87, 23, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10953, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 108, 11, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10954, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 46, 18, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10955, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 145, 40, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10956, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 66, 14, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10957, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 292, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10958, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 38, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10959, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 21, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10960, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 24, 19, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10961, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 10, 15, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10962, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 21, 18, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10963, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 91, 16, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10964, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 88, 14, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10965, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 70, 8, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10966, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 128, 10, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10967, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 83, 20, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10968, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 90, 23, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10969, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 63, 5, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10970, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 824, 12, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10971, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 90, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10972, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 987, 5, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10973, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 59, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10974, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 8, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10975, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1424, 15, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10976, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 393, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10977, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 966, 10, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10978, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 27, 18, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10979, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 829, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10980, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1823, 4, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10981, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 5, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10982, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 616, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10983, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 987, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10984, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 8, 14, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10985, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1268, 15, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10986, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1102, 12, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10987, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 27, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10988, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 205, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10989, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 2691, 16, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10990, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1288, 42, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10991, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 940, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10992, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 340, 16, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10993, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1409, 10, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10994, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 850, 45, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10995, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 141, 5, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10996, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1092, 12, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10997, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1271, 18, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10998, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 509, 24, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (10999, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1003, 23, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11000, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 271, 21, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11001, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 57, 10, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11002, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 351, 10, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11003, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 17, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11004, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 2272, 35, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11005, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 103, 16, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11006, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 1521, 40, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11007, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1268, 15, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11008, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1102, 12, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11009, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 987, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11010, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 393, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11011, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1424, 15, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11012, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 824, 12, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11013, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 987, 5, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11014, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 19, 4, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11015, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 70, 8, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11016, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 83, 20, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11017, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 91, 16, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11018, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 940, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11019, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 1409, 10, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11020, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 182, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11021, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1092, 12, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11022, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 292, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11023, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 42, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11024, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 68, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11025, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 823, 12, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11026, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1148, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11027, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 124, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11028, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 21, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11029, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11030, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 104, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11031, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 202, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11032, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 27, 18, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11033, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 191, 18, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11034, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 3368, 112, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11035, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 10, 5, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11036, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 4316, 125, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11037, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 153, 23, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11038, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 145, 52, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11039, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 4, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11040, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 58, 5, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11041, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 66, 14, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11042, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 45, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11043, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 10, 15, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11044, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 21, 18, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11045, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 3, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11046, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 24, 19, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11047, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 46, 18, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11048, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 109, 8, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11049, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 349, 6, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (11050, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 2906, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11051, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 93, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11052, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 193, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11053, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 257, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11054, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 43, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11055, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11056, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 5, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11057, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 285, 21, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11058, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 21, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11059, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 41, 1, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11060, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 38, 3, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11061, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 230, 17, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11062, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 145, 40, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11063, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 32, 2, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11064, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 616, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11065, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 421, 9, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11066, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 110, 26, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11067, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 829, 7, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11068, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 120, 17, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11069, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 1823, 4, 2023, 3, 30, '2024-08-05 13:56:09', NULL, NULL), (11070, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 24, 3, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11071, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 114, 97, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11072, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 2071, 11, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11073, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 392, 120, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11074, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 21542, 1, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11075, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 6373, 40, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11076, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 173, 187, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11077, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1016, 430, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11078, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 86, 66, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11079, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 136, 129, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11080, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 2507, 485, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11081, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1012, 432, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11082, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 1935, 179, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11083, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 86, 66, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11084, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 173, 187, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11085, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 114, 97, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11086, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2507, 485, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11087, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 134, 131, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11088, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 42, 1, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11089, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 423, 25, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11090, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 154, 15, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11091, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 114, 97, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11092, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 127, 31, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11093, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 3458, 339, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11094, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 348, 2, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11095, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 742, 7, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11096, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 11509, 7, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11097, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 158, 24, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11098, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 493, 7, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11099, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 265, 2, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11100, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 10771, 2, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11101, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 656, 8, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11102, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 3510, 3, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11103, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 24, 3, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11104, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 9, 9, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11105, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 280, 9, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11106, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 1609, 2, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11107, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 127, 93, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11108, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1177, 4, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11109, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 91, 1, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11110, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 11, 4, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11111, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 355, 82, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11112, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 2114, 4, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11113, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 354, 80, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11114, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 6399, 3, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11115, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 10, 18, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11116, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 15, 3, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11117, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 467, 40, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 37, 13, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 306, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 164, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 157, 29, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 150, 11, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 21542, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 33, 19, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 158, 24, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 6, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 24, 3, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 53, 4, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 41, 10, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 517, 62, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 85, 24, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 50, 15, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 318, 10, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 259, 58, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3219, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 871, 20, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2114, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1318, 24, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 660, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 685, 21, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 42, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 315, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 979, 31, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 265, 2, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 140, 32, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 728, 29, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3510, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 491, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 505, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1223, 49, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 303, 10, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 513, 39, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 254, 6, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 11, 4, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 777, 34, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1315, 31, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 228, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 7, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 51, 14, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 3594, 194, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 6, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 9, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 30, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 105, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 8, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 12, 9, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 17, 6, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 21, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 181, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 7, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 293, 17, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 11, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 154, 22, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 8, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 215, 27, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 1395, 20, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 111, 11, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 742, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 123, 26, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 110, 15, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 29, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 121, 19, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 61, 16, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 127, 31, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 8, 2, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 51, 20, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 138, 13, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 286, 6, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 3276, 145, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 647, 35, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 7, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 593, 6, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 845, 2, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 262, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 287, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 493, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 423, 9, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 71, 13, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 91, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 312, 10, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1177, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 411, 26, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 38858, 6, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 709, 29, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 247, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 9976, 10, 2023, 3, 31, '2024-08-05 13:56:10', NULL, NULL), (11207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 217, 21, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 330, 30, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11209, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 656, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11210, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 21542, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11211, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 11, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11212, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 114, 97, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11213, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 280, 9, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11214, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1177, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11215, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 3458, 339, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11216, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 42, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11217, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 11509, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11218, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 127, 31, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11219, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 154, 15, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11220, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 158, 24, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11221, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3219, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11222, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 10, 18, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11223, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 15, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11224, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 467, 40, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11225, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 2114, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11226, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 3510, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11227, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 91, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11228, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 265, 2, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11229, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 742, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11230, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 354, 80, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11231, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 355, 82, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11232, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 24, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11233, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 493, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11234, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 348, 2, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11235, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 127, 93, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11236, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 6399, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11237, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 423, 25, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11238, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 9, 9, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11239, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 742, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11240, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D22', 265, 2, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11241, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 6399, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11242, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 127, 31, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11243, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 71, 13, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11244, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 24, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11245, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 3510, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11246, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 138, 13, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11247, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 110, 15, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11248, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 121, 19, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11249, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 111, 11, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11250, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 614, 23, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11251, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 123, 26, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11252, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 269, 17, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11253, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 445, 19, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11254, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 8, 2, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11255, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 29, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11256, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A23', 678, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11257, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 19, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11258, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 593, 6, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11259, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 845, 2, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11260, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 354, 6, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11261, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 491, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11262, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 140, 32, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11263, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 368, 6, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11264, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 105, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11265, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 53, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11266, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 493, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11267, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 21542, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11268, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 11, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11269, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 50, 15, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11270, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 85, 24, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11271, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 41, 10, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11272, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1177, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11273, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D26', 3219, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11274, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 7, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11275, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 91, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11276, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 11509, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11277, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 11, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11278, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 228, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11279, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 306, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11280, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 9, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11281, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 164, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11282, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 21, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11283, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 318, 10, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11284, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 8, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11285, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 150, 11, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11286, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 255, 41, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11287, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 459, 39, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11288, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 8, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11289, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 287, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11290, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 423, 9, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11291, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 262, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11292, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 3276, 145, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11293, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 3594, 194, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11294, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 42, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11295, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 2114, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11296, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 505, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11297, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 303, 10, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11298, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 254, 6, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11299, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 158, 24, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11300, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 660, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11301, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 315, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11302, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 105, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11303, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 181, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11304, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 6, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11305, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 8, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11306, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 293, 17, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11307, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 11, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11308, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 21542, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11309, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 29, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11310, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 8, 2, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11311, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 423, 9, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11312, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 287, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11313, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 262, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11314, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 845, 2, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11315, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 647, 35, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11316, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 593, 6, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11317, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 1395, 20, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11318, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 517, 62, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11319, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 7, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11320, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 51, 20, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11321, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 259, 58, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11322, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 37, 13, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11323, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 140, 32, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11324, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 491, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11325, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 11, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11326, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 7, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11327, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 21, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11328, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 24, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11329, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 330, 30, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11330, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 9976, 10, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11331, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 8, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11332, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 9, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11333, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 411, 26, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11334, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 312, 10, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11335, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 3594, 194, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11336, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 3276, 145, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11337, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 127, 31, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11338, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 742, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11339, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 157, 29, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11340, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 33, 19, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11341, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 6, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11342, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 123, 26, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11343, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 158, 24, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11344, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 110, 15, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11345, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 164, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11346, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 111, 11, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11347, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 150, 11, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11348, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 121, 19, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11349, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 138, 13, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11350, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 53, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11351, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 50, 15, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11352, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 17, 6, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11353, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 41, 10, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11354, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 215, 27, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11355, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 154, 22, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11356, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 85, 24, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11357, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 303, 10, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11358, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 51, 14, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11359, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 286, 6, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11360, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 505, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11361, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 12, 9, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11362, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 30, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11363, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 315, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11364, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 660, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11365, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 61, 16, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11366, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3219, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11367, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 71, 13, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11368, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 42, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11369, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 265, 2, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11370, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2114, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11371, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3510, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11372, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 91, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11373, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1177, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11374, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 493, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11375, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 217, 21, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11376, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 228, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11377, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 254, 6, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11378, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 247, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11379, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 7, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11380, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 306, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11381, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 513, 39, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11382, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1223, 49, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11383, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 318, 10, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11384, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 728, 29, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11385, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 979, 31, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11386, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 709, 29, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11387, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 685, 21, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11388, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 38858, 6, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11389, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1318, 24, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11390, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 871, 20, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11391, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1315, 31, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11392, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 777, 34, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11393, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 228, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11394, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 254, 6, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11395, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 493, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11396, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 660, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11397, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 315, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11398, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 303, 10, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11399, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 505, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11400, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 8, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11401, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 9, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11402, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 41, 10, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11403, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 85, 24, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11404, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 50, 15, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11405, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 53, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11406, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D26', 3219, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11407, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 306, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11408, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 318, 10, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11409, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 368, 6, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11410, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 105, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11411, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 287, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11412, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 262, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11413, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 423, 9, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11414, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D22', 265, 2, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11415, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 19, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11416, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A23', 678, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11417, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 7, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11418, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 21, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11419, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 8, 5, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11420, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 71, 13, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11421, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 614, 23, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11422, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 3594, 194, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11423, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 11, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11424, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 3276, 145, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11425, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 269, 17, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11426, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 127, 31, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11427, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 445, 19, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11428, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 110, 15, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11429, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 121, 19, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11430, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 354, 6, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11431, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 138, 13, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11432, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 111, 11, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11433, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 123, 26, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11434, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 11, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11435, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 24, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11436, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 593, 6, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11437, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 845, 2, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11438, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 742, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11439, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 21542, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11440, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 8, 2, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11441, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 29, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11442, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 91, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11443, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 459, 39, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11444, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 150, 11, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11445, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 164, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11446, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 255, 41, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11447, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 158, 24, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11448, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 11509, 7, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11449, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1177, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11450, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 6399, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11451, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 140, 32, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11452, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 42, 1, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11453, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 491, 8, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11454, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 2114, 4, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11455, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 3510, 3, 2023, 3, 31, '2024-08-05 13:56:11', NULL, NULL), (11456, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 488, 9, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11457, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 148, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11458, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 393, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11459, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 421, 52, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11460, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 320, 13, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11461, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1119, 83, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (11462, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 398, 55, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11463, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 488, 9, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11464, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 393, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11465, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 320, 13, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11466, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 29, 5, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11467, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 2, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11468, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1119, 83, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11469, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 323, 10, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11470, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 2, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11471, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1283, 66, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11472, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 148, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11473, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 2922, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11474, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 393, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11475, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 4, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11476, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 587, 14, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11477, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 497, 8, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11478, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 0, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11479, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 3, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11480, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 420, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 246, 12, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 458, 2, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1328, 40, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 47, 7, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1210, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 576, 6, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 30, 13, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 761, 2, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 761, 8, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 60, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 488, 9, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 148, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 582, 4, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 393, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 54, 9, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 1038, 14, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1214, 26, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11499, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 497, 8, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11500, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 587, 14, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11501, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 393, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11502, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 2922, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11503, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1283, 66, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11504, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 403, 8, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11505, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 148, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11506, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 3, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11507, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 420, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11508, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 148, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11509, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11510, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 453, 7, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11511, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 761, 2, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11512, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 420, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11513, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 458, 2, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11514, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 60, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11515, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 576, 6, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11516, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 393, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11517, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 582, 4, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11518, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1214, 26, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11519, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1328, 40, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11520, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 2922, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11521, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 497, 8, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11522, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 393, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11523, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 246, 12, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11524, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 148, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11525, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 761, 2, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11526, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11527, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 576, 6, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11528, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 60, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11529, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 761, 8, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11530, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 458, 2, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11531, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1328, 40, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11532, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1214, 26, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11533, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 488, 9, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11534, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 582, 4, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11535, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 30, 13, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11536, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 47, 7, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11537, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 54, 9, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11538, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 1038, 14, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11539, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1210, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11540, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 497, 8, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11541, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 393, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11542, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 60, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11543, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 453, 7, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11544, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 2922, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11545, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 420, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11546, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 458, 2, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11547, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1328, 40, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11548, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 576, 6, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11549, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1214, 26, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11550, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 761, 2, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11551, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 148, 1, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11552, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11553, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 582, 4, 2023, 4, 1, '2024-08-05 13:56:12', NULL, NULL), (11554, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 227, 3, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11555, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 6574, 3, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11556, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 10, 3, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11557, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 427, 2, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11558, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 172, 36, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11559, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 247, 10, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11560, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 3918, 102, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11561, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 172, 36, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11562, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 3944, 5, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11563, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 427, 2, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11564, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 247, 10, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11565, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 10, 3, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11566, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 227, 3, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11567, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 3568, 112, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11568, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 596, 3, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11569, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 6574, 3, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11570, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 483, 6, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11571, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 227, 3, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11572, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 6, 2, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11573, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 13, 2, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11574, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 3718, 107, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11575, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 559, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11576, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 1201, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11577, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 427, 2, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11578, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 26, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 4157, 46, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 3, 2, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 13, 2, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 24, 4, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 274, 9, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 4, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 931, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 62, 7, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 317, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 541, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 467, 10, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 227, 3, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 6590, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 26, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 6566, 2, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 98, 8, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 30, 7, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 427, 2, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 4051, 51, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11598, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 6574, 3, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11599, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 596, 3, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11600, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 227, 3, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11601, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 427, 2, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11602, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 559, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11603, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 4102, 97, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11604, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 1201, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11605, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 26, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11606, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 483, 6, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11607, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 13, 2, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11608, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 6, 2, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11609, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 1201, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11610, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 6, 2, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11611, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 317, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11612, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 541, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11613, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 227, 3, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11614, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 483, 6, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11615, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 931, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11616, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 427, 2, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11617, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 559, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11618, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 4051, 51, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11619, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 13, 2, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11620, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 4157, 46, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11621, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 6566, 2, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11622, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 26, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11623, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 6590, 1, 2023, 4, 2, '2024-08-05 13:56:12', NULL, NULL), (11624, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 427, 2, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11625, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 227, 3, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11626, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 3, 2, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11627, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 26, 1, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11628, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 541, 1, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11629, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 317, 1, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11630, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 931, 1, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11631, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 13, 2, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11632, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 467, 10, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11633, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 4157, 46, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11634, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 4051, 51, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11635, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 62, 7, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11636, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 6590, 1, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11637, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 24, 4, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11638, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 98, 8, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11639, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 30, 7, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11640, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 274, 9, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11641, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 4, 1, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11642, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 6566, 2, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11643, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 13, 2, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11644, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 6590, 1, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11645, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 6, 2, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11646, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 26, 1, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11647, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 427, 2, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11648, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 483, 6, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11649, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 541, 1, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11650, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 559, 1, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11651, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 6566, 2, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11652, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 227, 3, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11653, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 4157, 46, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11654, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 317, 1, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11655, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 931, 1, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11656, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 4051, 51, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11657, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 1201, 1, 2023, 4, 2, '2024-08-05 13:56:13', NULL, NULL), (11658, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 3, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11659, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 61, 138, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11660, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 224, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11661, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 2519, 671, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11662, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '', 2290, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11663, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1064, 16, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11664, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 371, 127, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11665, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 2682, 328, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11666, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 459, 60, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11667, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 549, 406, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11668, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 2239, 199, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11669, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 280, 147, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11670, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 171, 185, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11671, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 549, 406, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11672, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 430, 219, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11673, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1952, 173, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11674, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 847, 176, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11675, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 2666, 330, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11676, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 61, 138, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11677, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2519, 671, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11678, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 171, 185, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11679, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 73, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11680, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '', 2290, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11681, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 131, 3, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11682, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 7941, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11683, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 1646, 7, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11684, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 74, 24, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11685, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 61, 138, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11686, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 157, 68, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11687, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 3458, 459, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11688, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 233, 8, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11689, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 16, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11690, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 3079, 105, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11691, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1712, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11692, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 185, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11693, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 955, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11694, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 723, 38, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11695, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 231, 40, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11696, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 85, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11697, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 424, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11698, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 172, 18, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11699, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 56, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11700, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 436, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11701, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '', '', '', 423, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11702, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 3, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11703, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11704, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 155, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11705, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 212, 14, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11706, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 5757, 133, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11707, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1508, 29, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11708, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 5, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11709, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 105, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11710, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 599, 115, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11711, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 48, 10, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11712, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 387, 74, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11713, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 10, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11714, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 272, 3, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11715, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 132, 15, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11716, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 169, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11717, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 347, 54, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11718, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 181, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 537, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 168, 13, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 274, 7, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 65, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 73, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 231, 40, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 527, 10, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 587, 7, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 3079, 105, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 695, 21, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 743, 27, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 796, 11, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 756, 26, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 4119, 7, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 714, 33, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 403, 8, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 579, 33, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3650, 8, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 401, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 4534, 11, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 595, 27, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 604, 11, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 581, 33, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 614, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 1092, 26, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 582, 19, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 639, 14, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 32, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 108, 15, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 91, 19, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 147, 15, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 223, 47, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 231, 43, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 581, 24, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 59, 20, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 55, 23, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 58, 26, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 77, 26, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 166, 23, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 83, 8, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 307, 34, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 41, 21, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 790, 18, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1333, 9, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 71, 22, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 126, 16, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 107, 23, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 126, 7, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 218, 19, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 312, 21, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 996, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 84, 14, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 348, 10, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 125, 36, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 18, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 237, 39, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D14', 2290, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 1917, 6, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 301, 43, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 224, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 723, 38, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 264, 44, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 93, 13, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 3, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 6508, 24, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 1768, 14, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 438, 58, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 2511, 13, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 360, 6, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 7654, 22, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 310, 63, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 48, 10, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 7941, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 151, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 6964, 28, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 2013, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 186, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 155, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 6618, 27, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 139, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 3480, 252, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 221, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 3, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 16, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 182, 27, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 287, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 374, 32, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 222, 15, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 73, 7, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 105, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1712, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 252, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 16, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 157, 68, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 133, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 3431, 207, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 776, 8, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 66, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 806, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 610, 15, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 424, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 619, 18, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 5, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1508, 29, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11824, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 231, 40, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11825, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 224, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11826, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 212, 14, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11827, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1508, 29, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11828, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 3458, 459, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11829, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 131, 3, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11830, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 157, 68, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11831, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 723, 38, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11832, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 132, 15, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11833, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 5, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11834, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1712, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11835, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 599, 115, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11836, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 73, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11837, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 3079, 105, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11838, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '宜宾市政务服务和非公经济发展局', '', '', 281, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11839, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 74, 24, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11840, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '市公安局', '', '', 423, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11841, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 272, 3, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11842, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 436, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11843, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 105, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11844, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 61, 138, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11845, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 233, 8, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11846, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '', 2290, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11847, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 172, 18, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11848, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 7941, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11849, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 955, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11850, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 1646, 7, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11851, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 169, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11852, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 347, 54, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11853, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 85, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11854, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 48, 10, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11855, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 389, 73, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11856, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 3, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11857, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 424, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11858, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 16, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11859, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 185, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11860, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 5757, 133, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11861, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 10, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11862, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 155, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11863, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1712, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11864, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 181, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11865, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 168, 13, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11866, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 10, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11867, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 231, 40, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11868, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 157, 68, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11869, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 71, 22, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11870, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 3, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11871, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '', '', '1A21', 423, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11872, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 41, 21, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11873, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 58, 26, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11874, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 77, 26, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11875, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 59, 20, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11876, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 351, 25, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11877, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 360, 6, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11878, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 55, 23, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11879, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 162, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11880, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 339, 23, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11881, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 111, 13, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11882, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 133, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11883, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 16, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11884, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 294, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11885, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A23', 4, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11886, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 51, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11887, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 66, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11888, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 806, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11889, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A21', 5, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11890, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 17, 10, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11891, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 73, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11892, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 2013, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (11893, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 6964, 28, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11894, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 121, 8, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11895, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A21', 165, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11896, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 417, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11897, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 6618, 27, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11898, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 151, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11899, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 91, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11900, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 6508, 24, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11901, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 424, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11902, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 224, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11903, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 185, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11904, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D21', 281, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11905, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 105, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11906, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 7654, 22, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11907, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 2511, 13, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11908, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 1768, 14, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11909, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1508, 29, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11910, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 5, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11911, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 73, 7, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11912, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 155, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11913, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 955, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11914, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E29', 85, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11915, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 639, 14, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11916, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 537, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11917, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 18, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11918, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 3, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11919, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 287, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11920, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 527, 10, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11921, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 1917, 6, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11922, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 16, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11923, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 587, 7, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11924, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 294, 40, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11925, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 504, 33, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11926, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 289, 6, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11927, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 65, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11928, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 610, 15, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11929, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 619, 18, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11930, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 3431, 207, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11931, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 3480, 252, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11932, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 7941, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11933, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 139, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11934, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 179, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11935, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 6, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11936, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A21', 632, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11937, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 48, 10, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11938, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 403, 8, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11939, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 401, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11940, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 604, 11, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11941, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 723, 38, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11942, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 614, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11943, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 796, 11, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11944, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 3079, 105, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11945, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '1D14', 2290, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11946, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 182, 27, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11947, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 374, 32, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11948, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 139, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11949, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 221, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11950, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 222, 15, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11951, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 105, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11952, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 16, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11953, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 133, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11954, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 252, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11955, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 619, 18, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11956, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 610, 15, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11957, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 806, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11958, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 790, 18, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11959, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 66, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11960, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 581, 24, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11961, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 307, 34, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11962, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 237, 39, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11963, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 6964, 28, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11964, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 2013, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11965, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 4534, 11, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11966, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 6618, 27, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11967, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 155, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11968, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 4119, 7, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11969, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3650, 8, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11970, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 73, 7, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11971, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 287, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11972, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 125, 36, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11973, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 16, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11974, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 348, 10, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11975, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 107, 23, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11976, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 3, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11977, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 126, 16, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11978, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 3480, 252, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11979, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 3431, 207, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11980, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 157, 68, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11981, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1712, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11982, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 301, 43, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11983, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 264, 44, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11984, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 93, 13, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11985, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 231, 40, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11986, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 723, 38, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11987, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 18, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11988, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 3079, 105, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11989, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 181, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11990, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 1917, 6, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11991, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 73, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11992, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 6508, 24, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11993, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 168, 13, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11994, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 7654, 22, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11995, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 147, 15, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11996, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 1768, 14, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11997, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 231, 43, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11998, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 274, 7, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (11999, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 2511, 13, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12000, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 65, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12001, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 223, 47, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12002, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 32, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12003, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 604, 11, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12004, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 83, 8, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12005, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 401, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12006, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 403, 8, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12007, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 91, 19, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12008, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 108, 15, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12009, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 796, 11, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12010, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 166, 23, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12011, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 84, 14, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12012, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 639, 14, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12013, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 614, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12014, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 537, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12015, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 587, 7, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12016, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 527, 10, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12017, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 776, 8, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12018, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 224, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12019, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 438, 58, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12020, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 310, 63, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12021, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 360, 6, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12022, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 3, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12023, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '1D14', 2290, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12024, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 55, 23, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12025, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 58, 26, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12026, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 59, 20, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12027, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 77, 26, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12028, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 41, 21, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12029, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 71, 22, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12030, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 7941, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12031, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 151, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12032, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 48, 10, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12033, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 186, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12034, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 5, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12035, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1508, 29, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12036, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 424, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12037, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 996, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12038, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 312, 21, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12039, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1333, 9, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12040, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 581, 33, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12041, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 595, 27, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12042, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 579, 33, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12043, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 714, 33, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12044, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 218, 19, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12045, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 756, 26, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12046, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 126, 7, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12047, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 743, 27, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12048, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 695, 21, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12049, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 582, 19, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12050, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 1092, 26, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12051, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 639, 14, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12052, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 614, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12053, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 181, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12054, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 424, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12055, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 796, 11, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12056, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 403, 8, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12057, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 168, 13, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12058, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 604, 11, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12059, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 401, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12060, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 16, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12061, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 3, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12062, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 1768, 14, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12063, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 2511, 13, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12064, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 7654, 22, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12065, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 6508, 24, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12066, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 537, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12067, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 587, 7, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12068, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 527, 10, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12069, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 65, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12070, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 289, 6, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12071, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 3079, 105, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12072, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 121, 8, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12073, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 417, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12074, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A21', 165, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12075, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A21', 5, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12076, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 610, 15, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12077, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 619, 18, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12078, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 51, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12079, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A23', 4, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12080, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 73, 7, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12081, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 287, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12082, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 231, 40, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12083, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 179, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12084, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 6, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12085, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A21', 632, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12086, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 71, 22, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12087, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 351, 25, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12088, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 3480, 252, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12089, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 155, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12090, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 3431, 207, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12091, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 339, 23, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12092, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 360, 6, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12093, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 157, 68, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12094, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '1D14', 2290, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12095, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 111, 13, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12096, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 58, 26, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12097, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 17, 10, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12098, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 77, 26, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12099, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 41, 21, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12100, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 162, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12101, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 59, 20, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12102, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 55, 23, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12103, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 105, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12104, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 3, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12105, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 66, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12106, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 806, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12107, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1712, 12, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12108, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 151, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12109, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '宜宾市政务服务和非公经济发展局', '', '1D21', 281, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12110, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 224, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12111, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 91, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12112, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 73, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12113, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 133, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12114, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 16, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12115, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 294, 4, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12116, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 5, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12117, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 504, 33, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12118, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 1917, 6, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12119, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 6618, 27, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12120, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '市公安局', '', '1A21', 423, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12121, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 18, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12122, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 294, 40, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12123, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 185, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12124, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 723, 38, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12125, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 955, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12126, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 139, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12127, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 10, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12128, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1508, 29, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12129, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 6964, 28, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12130, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 2013, 5, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12131, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 7941, 2, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12132, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 48, 10, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12133, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E29', 85, 1, 2023, 4, 3, '2024-08-05 13:56:14', NULL, NULL), (12134, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 5, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12135, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 95, 149, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12136, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 7, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12137, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1778, 411, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12138, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1880, 15, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12139, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 478, 134, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12140, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 293, 359, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12141, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 797, 75, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12142, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 324, 359, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12143, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1118, 161, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12144, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 4, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12145, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 129, 104, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12146, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 252, 163, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12147, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 323, 360, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12148, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 646, 235, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12149, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 944, 138, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12150, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 481, 132, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12151, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 292, 360, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12152, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1769, 413, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12153, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 95, 149, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12154, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 252, 163, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12155, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 3854, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12156, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 51, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12157, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '', '', '', 31, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12158, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 8330, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12159, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '', 4, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12160, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 66, 25, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12161, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 9, 15, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12162, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 160, 46, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12163, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 95, 149, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12164, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 2840, 226, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12165, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 425, 22, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12166, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 27, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12167, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1457, 66, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12168, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 2409, 17, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12169, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1866, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12170, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 69, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12171, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 306, 30, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12172, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 154, 26, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12173, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2475, 14, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12174, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 186, 19, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12175, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 7, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12176, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 695, 7, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12177, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 820, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12178, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 406, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12179, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '', '', '', 1677, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12180, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 5, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12181, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 49, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12182, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 14, 13, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12183, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 169, 182, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12184, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 479, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12185, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 3739, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12186, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 203, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12187, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 352, 98, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12188, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 302, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12189, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 1061, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12190, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 498, 83, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12191, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 33, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12192, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 259, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12193, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 65, 19, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12194, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 126, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12195, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 445, 51, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12196, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 4, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 102, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 391, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 253, 12, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 352, 14, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 698, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 3854, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 154, 26, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 98, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 485, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 1457, 66, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 452, 21, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 463, 14, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 348, 8, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 263, 20, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 312, 24, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2023, 7, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2255, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 261, 12, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 329, 36, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 287, 30, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1533, 7, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 79, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 416, 35, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 251, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 228, 10, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 428, 29, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 434, 21, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 386, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 231, 13, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 354, 28, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 302, 16, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 297, 17, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 151, 40, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 142, 27, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 430, 27, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 130, 28, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 53, 25, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 78, 24, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 115, 24, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 386, 22, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 126, 27, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 243, 28, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 369, 13, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 656, 8, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 56, 21, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 32, 12, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 55, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1736, 20, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 359, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 373, 18, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 515, 14, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 491, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 214, 18, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 148, 20, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 8, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 101, 39, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 228, 27, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 9, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 66, 28, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 7, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 306, 30, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 4, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 178, 8, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 5, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 158, 25, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 179, 25, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 468, 51, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 320, 16, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 115, 23, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 169, 34, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 523, 67, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 302, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1061, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 8330, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 1506, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 130, 32, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 93, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 160, 24, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 16, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 3, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 309, 19, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 146, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 2792, 104, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 146, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 337, 27, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 59, 6, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 250, 15, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 16, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 201, 13, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 20, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 145, 17, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 254, 12, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 14, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 2731, 15, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 113, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 160, 46, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 236, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 23, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 2882, 122, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 57, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 170, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1089, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1097, 8, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2666, 13, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 323, 18, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 3739, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 479, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12304, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 154, 26, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12305, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 7, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12306, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 49, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12307, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 479, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12308, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 2840, 226, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12309, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 51, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12310, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 160, 46, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12311, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 306, 30, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12312, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 65, 19, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (12313, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 3739, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12314, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 2731, 15, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12315, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 352, 98, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12316, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 3854, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12317, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1457, 66, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12318, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 302, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12319, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 66, 25, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12320, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '市公安局', '', '', 1677, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12321, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 33, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12322, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 695, 7, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12323, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 203, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12324, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 425, 22, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12325, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 95, 149, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12326, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 208, 17, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12327, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 406, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12328, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 69, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12329, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 9, 15, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12330, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 4, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12331, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 445, 51, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12332, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 126, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12333, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1061, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12334, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 820, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12335, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 498, 83, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12336, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2666, 13, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12337, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 5, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12338, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 27, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12339, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '', 4, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12340, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1866, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12341, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 169, 182, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12342, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 259, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12343, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 14, 13, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12344, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 8330, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12345, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '市公安局', '', '', 31, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12346, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 8330, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12347, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 2731, 15, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12348, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 102, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12349, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 253, 12, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12350, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 259, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12351, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 154, 26, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12352, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 160, 46, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12353, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 56, 21, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12354, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 5, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12355, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 406, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12356, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 1506, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12357, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 135, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12358, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '', '', '1A21', 1677, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12359, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 126, 27, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12360, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 78, 24, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12361, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 115, 24, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12362, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 130, 28, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12363, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 352, 14, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12364, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 320, 16, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12365, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 53, 25, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12366, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 102, 8, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12367, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 602, 21, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12368, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 74, 7, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12369, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 33, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12370, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 236, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12371, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 113, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12372, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 27, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12373, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 170, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12374, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 1089, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12375, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 31, 10, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12376, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 3854, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12377, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 4, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12378, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 160, 24, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12379, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 130, 32, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12380, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 5, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12381, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A21', 93, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12382, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 309, 19, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12383, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 51, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12384, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 158, 25, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12385, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '', '', '1A21', 31, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12386, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2666, 13, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12387, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 7, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12388, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 1866, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12389, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 203, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12390, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 302, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12391, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 169, 34, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12392, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 115, 23, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12393, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 179, 25, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12394, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 479, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12395, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 3, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12396, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 3739, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12397, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 20, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12398, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 69, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12399, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 16, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12400, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 386, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12401, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 391, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12402, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 146, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12403, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 8, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12404, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 16, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12405, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 98, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12406, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 59, 6, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12407, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 485, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12408, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 9, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12409, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 487, 46, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12410, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 512, 37, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12411, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 236, 13, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12412, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 698, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12413, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 14, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12414, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1097, 8, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12415, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 323, 18, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12416, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '2E27', 4, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12417, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 2882, 122, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12418, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 2792, 104, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12419, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 146, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12420, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 33, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12421, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1061, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12422, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 261, 12, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12423, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 79, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12424, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 251, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12425, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 228, 10, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12426, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 306, 30, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12427, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 348, 8, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12428, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 1457, 66, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12429, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 250, 15, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12430, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 201, 13, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12431, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 146, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12432, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 337, 27, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12433, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 14, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12434, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 145, 17, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12435, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 254, 12, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12436, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 236, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12437, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 23, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12438, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 113, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12439, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 323, 18, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12440, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1097, 8, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12441, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1089, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12442, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 369, 13, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12443, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 170, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12444, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 430, 27, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12445, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 243, 28, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12446, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 101, 39, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12447, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 130, 32, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12448, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 160, 24, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12449, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1533, 7, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12450, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 309, 19, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12451, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 16, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12452, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2023, 7, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12453, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 3, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12454, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2255, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12455, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 20, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12456, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 16, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12457, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 148, 20, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12458, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 59, 6, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12459, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 214, 18, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12460, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 146, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12461, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 55, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12462, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 32, 12, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12463, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 2792, 104, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12464, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 2882, 122, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12465, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 160, 46, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12466, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 2731, 15, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12467, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 228, 27, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12468, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 66, 28, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12469, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 178, 8, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12470, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 306, 30, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12471, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 154, 26, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12472, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 8, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12473, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 1457, 66, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12474, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 102, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12475, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 9, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12476, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 3854, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12477, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 158, 25, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12478, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 253, 12, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12479, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 169, 34, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12480, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 297, 17, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12481, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 142, 27, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12482, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 179, 25, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12483, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 352, 14, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12484, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 698, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12485, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 115, 23, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12486, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 151, 40, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12487, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 231, 13, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12488, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 251, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12489, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 386, 22, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12490, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 79, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12491, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 302, 16, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12492, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 261, 12, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12493, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 354, 28, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12494, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 348, 8, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12495, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 4, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12496, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 386, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12497, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 228, 10, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12498, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 391, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12499, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 485, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12500, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 98, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12501, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 57, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12502, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 7, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12503, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 468, 51, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12504, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 523, 67, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12505, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 320, 16, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12506, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 5, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12507, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 53, 25, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12508, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 78, 24, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12509, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 130, 28, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12510, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 115, 24, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12511, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 126, 27, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12512, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 302, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12513, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 56, 21, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12514, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 1506, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12515, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1061, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12516, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 8330, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12517, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 93, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12518, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 3739, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12519, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 479, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12520, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2666, 13, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12521, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 491, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12522, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 515, 14, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12523, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 656, 8, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12524, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 416, 35, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12525, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 287, 30, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12526, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1736, 20, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12527, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 329, 36, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12528, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 312, 24, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12529, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 373, 18, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12530, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 263, 20, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12531, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 359, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12532, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 463, 14, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12533, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 452, 21, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12534, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 434, 21, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12535, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 428, 29, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12536, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 386, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12537, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 228, 10, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12538, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 102, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12539, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2666, 13, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12540, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 348, 8, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12541, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 261, 12, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12542, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 253, 12, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12543, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 251, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12544, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 79, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12545, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 59, 6, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12546, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 146, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12547, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 179, 25, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12548, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 115, 23, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12549, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 169, 34, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12550, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 158, 25, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12551, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 391, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12552, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 485, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12553, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 406, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12554, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 98, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12555, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 698, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12556, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 236, 13, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12557, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 1457, 66, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12558, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 5, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12559, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A21', 93, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12560, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1097, 8, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12561, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 323, 18, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12562, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 27, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12563, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 20, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12564, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 16, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12565, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 154, 26, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12566, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 33, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12567, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 14, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12568, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 352, 14, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12569, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 56, 21, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12570, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 2792, 104, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12571, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 16, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12572, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 2882, 122, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12573, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 602, 21, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12574, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 320, 16, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12575, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 160, 46, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12576, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 3, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12577, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 74, 7, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12578, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 78, 24, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12579, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 31, 10, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12580, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 115, 24, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12581, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 126, 27, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12582, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 102, 8, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12583, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 130, 28, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12584, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 53, 25, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12585, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 203, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12586, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 5, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12587, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 170, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12588, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 1089, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12589, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 2731, 15, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12590, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 7, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12591, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 51, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12592, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 3854, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12593, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 33, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12594, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 236, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12595, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 113, 5, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12596, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '市公安局', '', '1A21', 31, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12597, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 3739, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12598, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 512, 37, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12599, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 9, 11, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12600, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '2E27', 4, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12601, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 309, 19, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12602, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '市公安局', '', '1A21', 1677, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12603, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 8, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12604, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 487, 46, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12605, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 1866, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12606, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 306, 30, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12607, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 69, 3, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12608, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 302, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12609, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 146, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12610, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 259, 4, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12611, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 479, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12612, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 8330, 2, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12613, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 130, 32, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12614, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1061, 9, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12615, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 160, 24, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12616, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 135, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12617, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 1506, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12618, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 4, 1, 2023, 4, 4, '2024-08-05 13:56:15', NULL, NULL), (12619, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 262, 5, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12620, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 198, 32, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12621, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 75, 8, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12622, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 409, 21, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12623, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 186, 34, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12624, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 75, 8, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12625, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 187, 7, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12626, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 10, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12627, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 409, 21, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12628, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 136, 5, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12629, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 52, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12630, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 4, 4, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12631, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 11, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12632, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 10, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12633, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12634, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 527, 15, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12635, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12636, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 416, 3, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12637, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 0, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 81, 7, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 11, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 52, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 31, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 291, 2, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 20, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 27, 10, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 70, 8, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 5, 3, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 122, 3, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 416, 3, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 39, 2, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 527, 15, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 641, 8, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12653, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 136, 5, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12654, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 527, 15, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12655, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 11, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12656, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 52, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12657, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 416, 3, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12658, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 5, 3, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12659, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12660, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 5, 3, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12661, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 20, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12662, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 52, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12663, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 291, 2, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12664, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12665, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 527, 15, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12666, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 39, 2, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12667, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 11, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12668, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 416, 3, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12669, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 52, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12670, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 81, 7, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12671, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 11, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12672, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 416, 3, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12673, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 20, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12674, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12675, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 291, 2, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12676, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 5, 3, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12677, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 527, 15, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12678, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 70, 8, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12679, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 39, 2, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12680, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 27, 10, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12681, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 641, 8, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12682, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 122, 3, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12683, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 31, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12684, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 11, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12685, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 416, 3, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12686, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 5, 3, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12687, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 52, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12688, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 20, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12689, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 291, 2, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12690, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 527, 15, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12691, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 39, 2, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12692, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 1, 2023, 4, 5, '2024-08-05 13:56:16', NULL, NULL), (12693, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 45, 132, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12694, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 5, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12695, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 3445, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12696, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1996, 394, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12697, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 2223, 10, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12698, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 341, 103, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12699, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 811, 77, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12700, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 360, 321, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12701, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1011, 132, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12702, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 671, 432, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12703, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 218, 207, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12704, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 412, 105, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12705, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 671, 432, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12706, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 705, 204, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12707, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 696, 111, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12708, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 776, 128, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12709, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 355, 326, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12710, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 45, 132, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (12711, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1986, 396, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12712, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 218, 207, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12713, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 393, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12714, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '', 0, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12715, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12716, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 19157, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12717, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 99, 25, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12718, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 276, 12, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12719, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 45, 132, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12720, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 227, 43, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12721, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 3130, 201, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12722, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 489, 13, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12723, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 4, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12724, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1060, 52, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12725, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12726, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1246, 11, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12727, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1057, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12728, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 3403, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12729, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 188, 33, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12730, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 101, 23, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12731, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 309, 9, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12732, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 0, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12733, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 584, 20, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12734, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 3445, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12735, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1238, 11, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12736, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 187, 4, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12737, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 22, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12738, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 2, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12739, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 2463, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12740, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 4, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12741, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12742, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 214, 177, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12743, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1744, 19, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12744, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 838, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12745, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 402, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12746, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 946, 115, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12747, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 465, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12748, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 368, 54, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12749, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 5, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12750, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 14029, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12751, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 802, 14, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12752, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 28, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12753, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 310, 49, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12754, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 42, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12755, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 670, 17, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 626, 4, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 102, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 436, 8, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 655, 6, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 393, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 101, 23, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 743, 14, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1478, 6, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 1060, 52, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 656, 29, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 745, 25, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 563, 10, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 664, 20, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2910, 8, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1088, 27, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 759, 12, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 597, 33, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2719, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1218, 8, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2301, 6, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 856, 49, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 452, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 694, 33, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1481, 12, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 696, 41, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 828, 26, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 881, 18, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 84, 12, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 276, 21, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 194, 9, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 182, 13, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 252, 69, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 217, 55, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 997, 22, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 41, 22, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 60, 23, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 62, 17, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 28, 29, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 146, 15, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 37, 19, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 198, 25, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 758, 27, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 1592, 10, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 147, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 544, 19, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 49, 22, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 132, 16, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 36, 10, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 363, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 411, 18, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 766, 14, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 3707, 4, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 210, 13, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 3474, 6, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 103, 43, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 331, 31, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 248, 32, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 276, 12, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 3445, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 245, 31, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 188, 33, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 16, 8, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 5, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 264, 28, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 71, 19, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 305, 51, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 81, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 228, 46, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 186, 32, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 394, 49, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 465, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 19157, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 247, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 285, 29, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 224, 20, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 126, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4101, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 2572, 96, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 647, 4, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 411, 20, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 34, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 143, 14, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 9, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 311, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4220, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 242, 14, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 293, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 6, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1246, 11, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 42, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 52, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 233, 42, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 10, 4, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 3640, 105, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 7, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 17334, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1499, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1021, 6, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 765, 13, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 398, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1285, 13, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 838, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1744, 19, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12860, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 101, 23, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12861, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 3445, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12862, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 4, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12863, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1744, 19, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12864, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 3130, 201, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12865, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 233, 42, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12866, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 188, 33, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12867, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 802, 14, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12868, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 838, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12869, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1246, 11, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12870, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 946, 115, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12871, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 393, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12872, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1060, 52, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12873, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 99, 25, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12874, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 5, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12875, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1238, 11, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12876, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 402, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12877, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 489, 13, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12878, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 45, 132, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12879, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 584, 20, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12880, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 22, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12881, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 19157, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12882, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 3403, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12883, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 276, 12, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12884, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 28, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12885, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 310, 49, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12886, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 465, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12887, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 187, 4, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12888, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 368, 54, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12889, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 398, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12890, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 5, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12891, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 4, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12892, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1057, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12893, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 218, 174, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12894, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 14029, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12895, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 42, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12896, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 2463, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12897, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1246, 11, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12898, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 670, 17, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12899, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 102, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12900, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 14029, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12901, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 101, 23, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12902, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 233, 42, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12903, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 49, 22, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12904, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 5, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12905, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 22, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12906, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 247, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12907, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 126, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12908, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 37, 19, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12909, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 62, 17, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12910, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 28, 29, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12911, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 41, 22, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12912, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 254, 22, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12913, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 81, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12914, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 60, 23, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12915, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 4, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12916, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 391, 24, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12917, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 39, 9, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12918, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 10, 4, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12919, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 52, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12920, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A23', 4, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12921, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 1499, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12922, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 1021, 6, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12923, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 393, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12924, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 162, 13, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12925, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 224, 20, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12926, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 285, 29, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12927, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 4, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12928, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 264, 28, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12929, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 398, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12930, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 3445, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12931, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1057, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12932, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 402, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12933, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 186, 32, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12934, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 228, 46, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12935, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 71, 19, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12936, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1744, 19, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12937, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 838, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12938, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4220, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12939, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 3403, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12940, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4101, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12941, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 881, 18, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12942, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 626, 4, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12943, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 647, 4, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12944, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 9, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12945, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 743, 14, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12946, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 34, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12947, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 276, 12, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12948, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 1478, 6, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12949, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 398, 25, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12950, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 343, 29, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12951, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 436, 8, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12952, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 574, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12953, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 6, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12954, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 765, 13, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12955, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1285, 13, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12956, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 3640, 105, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12957, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 2572, 96, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12958, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 19157, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12959, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 3, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12960, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 7, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12961, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 465, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12962, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E29', 42, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12963, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 759, 12, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12964, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1218, 8, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12965, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 452, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12966, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1481, 12, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12967, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 188, 33, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12968, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 563, 10, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12969, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 1060, 52, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12970, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 143, 14, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12971, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 311, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12972, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 411, 20, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12973, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 6, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12974, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 242, 14, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12975, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 293, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12976, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 52, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12977, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 10, 4, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12978, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 42, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12979, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1285, 13, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12980, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 765, 13, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12981, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1021, 6, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12982, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 758, 27, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12983, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1499, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12984, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 997, 22, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12985, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 198, 25, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12986, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 331, 31, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12987, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 285, 29, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12988, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 224, 20, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12989, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2301, 6, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12990, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4101, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12991, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2910, 8, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12992, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2719, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12993, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4220, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12994, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 9, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12995, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 103, 43, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12996, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 34, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12997, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 3474, 6, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12998, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 647, 4, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (12999, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 36, 10, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13000, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 132, 16, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13001, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 2572, 96, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13002, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 3640, 105, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13003, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 233, 42, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13004, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1246, 11, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13005, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 248, 32, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13006, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 245, 31, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13007, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 16, 8, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13008, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 101, 23, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13009, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 188, 33, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13010, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 1060, 52, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13011, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 670, 17, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13012, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 276, 12, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13013, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 393, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13014, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 264, 28, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13015, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 102, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13016, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 186, 32, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13017, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 182, 13, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13018, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 436, 8, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13019, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 217, 55, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13020, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 71, 19, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13021, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 655, 6, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13022, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 252, 69, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13023, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 228, 46, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13024, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 84, 12, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13025, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 452, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13026, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 146, 15, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13027, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1218, 8, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13028, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 194, 9, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13029, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 759, 12, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13030, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 276, 21, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13031, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 563, 10, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13032, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 210, 13, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13033, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 881, 18, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13034, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1481, 12, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13035, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 17334, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13036, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 626, 4, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13037, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1478, 6, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13038, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 743, 14, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13039, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 7, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13040, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 3445, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13041, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 305, 51, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13042, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 394, 49, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13043, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 81, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13044, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 5, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13045, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 60, 23, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13046, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 62, 17, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13047, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 41, 22, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13048, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 28, 29, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13049, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 37, 19, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13050, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 49, 22, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13051, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 19157, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13052, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 247, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13053, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 465, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13054, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 126, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13055, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 838, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13056, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1744, 19, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13057, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 398, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13058, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 544, 19, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13059, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 3707, 4, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13060, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 766, 14, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13061, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 147, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13062, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 694, 33, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13063, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 1592, 10, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13064, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 856, 49, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13065, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 597, 33, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13066, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1088, 27, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13067, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 411, 18, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13068, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 664, 20, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13069, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 363, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13070, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 745, 25, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13071, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 656, 29, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13072, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 828, 26, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13073, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 696, 41, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13074, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 881, 18, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13075, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1481, 12, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13076, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 670, 17, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13077, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 398, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13078, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 563, 10, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13079, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 759, 12, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13080, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 102, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13081, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 452, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13082, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1218, 8, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13083, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 34, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13084, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 647, 4, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13085, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 71, 19, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13086, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 228, 46, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13087, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 186, 32, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13088, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 264, 28, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13089, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 626, 4, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13090, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 1478, 6, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13091, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 22, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13092, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 743, 14, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13093, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 574, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13094, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 436, 8, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13095, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 1060, 52, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13096, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 4, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13097, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 765, 13, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13098, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1285, 13, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13099, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A23', 4, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13100, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4220, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13101, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 9, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13102, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 101, 23, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13103, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 3, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13104, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 6, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13105, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 7, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13106, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 49, 22, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13107, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 254, 22, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13108, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 2572, 96, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13109, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4101, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13110, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 3640, 105, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13111, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 391, 24, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13112, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 81, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13113, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 233, 42, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13114, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 39, 9, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13115, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 62, 17, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13116, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 162, 13, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13117, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 28, 29, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13118, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 37, 19, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13119, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 4, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13120, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 41, 22, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13121, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 60, 23, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13122, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 402, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13123, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 5, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13124, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 1499, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13125, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 1021, 6, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13126, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1246, 11, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13127, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 3445, 7, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13128, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 393, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13129, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 10, 4, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13130, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 52, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (13131, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 838, 3, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13132, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 343, 29, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13133, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 276, 12, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13134, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1057, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13135, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 398, 25, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13136, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 188, 33, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13137, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 3403, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13138, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 14029, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13139, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1744, 19, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13140, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 285, 29, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13141, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 19157, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13142, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 465, 5, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13143, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 224, 20, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13144, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E29', 42, 1, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13145, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 126, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13146, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 247, 2, 2023, 4, 6, '2024-08-05 13:56:17', NULL, NULL), (13147, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 12, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13148, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 57, 130, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13149, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 3, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13150, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1568, 369, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13151, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 3238, 15, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13152, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 154, 102, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13153, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 668, 90, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13154, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 157, 306, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13155, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1317, 139, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13156, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 263, 379, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13157, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 800, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13158, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 172, 117, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13159, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 269, 241, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13160, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 261, 381, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13161, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 589, 212, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13162, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 521, 116, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13163, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 994, 144, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13164, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 156, 307, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13165, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 57, 130, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13166, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1568, 369, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13167, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 269, 241, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13168, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 98, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13169, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 53, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13170, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13171, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 248, 19, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13172, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 170, 15, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13173, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 140, 40, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13174, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 57, 130, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13175, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 3157, 146, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13176, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1051, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13177, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 20, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13178, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 761, 55, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13179, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 198, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13180, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 686, 9, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13181, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1670, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13182, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 10, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13183, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 174, 45, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13184, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 178, 25, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13185, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 7, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13186, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 47, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13187, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 0, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13188, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 90, 24, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13189, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 3, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13190, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 263, 11, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13191, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 1564, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13192, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 235, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13193, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 12, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13194, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 23, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13195, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 21, 10, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13196, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 114, 151, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13197, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 338, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13198, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 81, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13199, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 43, 3, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13200, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 750, 137, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13201, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 19235, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13202, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 565, 6, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13203, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 164, 54, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13204, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 9719, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13205, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 105, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13206, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 83, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13207, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 17, 26, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13208, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 143, 48, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13209, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 800, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 104, 13, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 325, 5, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 74, 11, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1814, 6, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 217, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 98, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 178, 25, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 814, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 823, 10, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 790, 53, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 219, 19, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 288, 31, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 804, 13, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 282, 21, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 4407, 9, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 252, 27, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 257, 28, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 681, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 4539, 9, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 845, 7, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 5276, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 320, 39, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 730, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 264, 41, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 562, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 376, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 206, 27, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 380, 12, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 73, 16, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 91, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 111, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 64, 13, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 1098, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 346, 72, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 399, 68, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 257, 29, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 73, 20, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 72, 24, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 121, 20, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 142, 16, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 32, 22, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 185, 19, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 144, 28, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 47, 20, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 165, 22, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 34, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 862, 11, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 1933, 12, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 8, 24, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 62, 12, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 341, 13, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 925, 18, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 238, 18, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 170, 20, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 309, 10, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 124, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 3246, 3, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 99, 25, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 183, 41, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 207, 12, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 22, 3, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 64, 22, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 3, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 62, 30, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 174, 45, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 800, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 54, 9, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 12, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 102, 23, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 123, 10, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 186, 30, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 114, 38, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 139, 11, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 116, 27, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 141, 61, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 9716, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 565, 6, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 53, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 99, 28, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1564, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 141, 22, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 25, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 88, 3, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 3580, 80, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 16, 7, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 27, 11, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 21, 6, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 52, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 15, 7, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 734, 19, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 43, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 17, 6, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 153, 7, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 6, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 686, 9, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 31, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 220, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 140, 40, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 64, 6, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 2644, 66, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 551, 13, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 881, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 235, 7, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 312, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1095, 12, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 47, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 828, 28, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 81, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 338, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13319, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 178, 25, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13320, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 3, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13321, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 23, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13322, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 338, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13323, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 3157, 146, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13324, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 53, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13325, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 140, 40, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13326, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 174, 45, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13327, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 17, 26, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13328, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 81, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13329, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 686, 9, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13330, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 750, 137, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13331, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 98, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13332, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 790, 53, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13333, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 19235, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13334, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 248, 19, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13335, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 105, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13336, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 263, 11, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13337, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 43, 3, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13338, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1051, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13339, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 57, 130, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13340, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 90, 24, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13341, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 235, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13342, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 10, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13343, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 170, 15, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13344, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 800, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13345, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 83, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13346, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 143, 48, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13347, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 7, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13348, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 565, 6, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13349, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 1564, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13350, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 164, 54, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13351, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 12, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13352, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 47, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13353, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 20, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13354, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1670, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13355, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 114, 151, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13356, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 9719, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13357, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 23, 9, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13358, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '', 198, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13359, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 686, 9, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13360, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 104, 13, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13361, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 74, 11, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13362, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 9719, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13363, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 178, 25, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13364, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 140, 40, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13365, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 8, 24, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13366, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 12, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13367, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 235, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13368, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 1564, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13369, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 47, 20, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13370, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 121, 20, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13371, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 32, 22, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13372, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 136, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13373, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 73, 20, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13374, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 139, 11, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13375, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 72, 24, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13376, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 150, 23, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13377, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 365, 11, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13378, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 76, 5, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13379, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 220, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13380, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 31, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13381, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 20, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13382, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 235, 7, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13383, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 312, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13384, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 88, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13385, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 98, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13386, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 800, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13387, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 141, 22, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13388, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 99, 28, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13389, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 23, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13390, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 88, 3, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13391, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 53, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13392, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 102, 23, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13393, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 47, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13394, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 3, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13395, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 1670, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13396, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 43, 3, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13397, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 19235, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13398, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 116, 27, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13399, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 114, 38, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13400, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 123, 10, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13401, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 338, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13402, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 81, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13403, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 17, 6, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13404, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 25, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13405, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 10, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13406, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 380, 12, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13407, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 325, 5, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13408, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 16, 7, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13409, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 207, 12, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13410, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 814, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13411, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 15, 7, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13412, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 22, 3, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13413, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 21, 6, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13414, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 823, 10, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13415, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 136, 38, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13416, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 231, 16, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13417, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1886, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13418, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 217, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13419, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 6, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13420, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1095, 12, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13421, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 828, 28, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13422, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E27', 7, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13423, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 2644, 66, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13424, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 3580, 80, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13425, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 5, 3, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13426, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 403, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13427, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 565, 6, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13428, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '1D26', 198, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13429, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 681, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13430, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 845, 7, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13431, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 730, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13432, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 174, 45, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13433, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 562, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13434, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 804, 13, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13435, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 790, 53, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13436, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 52, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13437, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 734, 19, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13438, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 27, 11, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13439, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 6, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13440, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 43, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13441, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 153, 7, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13442, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 220, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13443, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 64, 6, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13444, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 31, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13445, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 828, 28, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13446, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1095, 12, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13447, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 312, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13448, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 165, 22, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13449, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 235, 7, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13450, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 257, 29, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13451, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 144, 28, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13452, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 183, 41, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13453, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 99, 28, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13454, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 141, 22, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13455, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 5276, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13456, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 88, 3, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13457, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 25, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13458, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 4407, 9, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13459, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 4539, 9, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13460, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 17, 6, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13461, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 15, 7, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13462, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 99, 25, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13463, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 21, 6, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13464, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 3246, 3, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13465, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 16, 7, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13466, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 341, 13, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13467, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 62, 12, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13468, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 3580, 80, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13469, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 2644, 66, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13470, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 140, 40, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13471, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 686, 9, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13472, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 64, 22, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13473, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 62, 30, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13474, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 54, 9, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13475, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 174, 45, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13476, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 178, 25, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13477, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 207, 12, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13478, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 790, 53, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13479, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 22, 3, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13480, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 104, 13, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13481, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 98, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13482, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 102, 23, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13483, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 1098, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13484, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 116, 27, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13485, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 74, 11, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13486, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 64, 13, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13487, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1814, 6, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13488, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 123, 10, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13489, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 399, 68, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13490, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 217, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13491, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 114, 38, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13492, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 346, 72, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13493, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 73, 16, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13494, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 730, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13495, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 845, 7, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13496, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 185, 19, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13497, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 111, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13498, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 681, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13499, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 91, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13500, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 804, 13, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13501, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 142, 16, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13502, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 800, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13503, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 124, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13504, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 380, 12, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13505, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 562, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13506, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 881, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13507, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 325, 5, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13508, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 823, 10, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13509, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 814, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13510, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 551, 13, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13511, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 3, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13512, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 186, 30, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13513, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 141, 61, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13514, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 139, 11, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13515, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 12, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13516, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 72, 24, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13517, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 121, 20, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13518, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 73, 20, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13519, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 32, 22, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13520, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 47, 20, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13521, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 9716, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13522, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 8, 24, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13523, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 53, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13524, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 565, 6, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13525, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1564, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13526, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 81, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13527, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 338, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13528, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 47, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13529, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 1933, 12, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13530, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 309, 10, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13531, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 170, 20, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13532, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 862, 11, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13533, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 264, 41, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13534, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 34, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13535, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 320, 39, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13536, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 257, 28, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13537, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 252, 27, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13538, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 238, 18, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13539, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 282, 21, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13540, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 925, 18, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13541, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 288, 31, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13542, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 219, 19, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13543, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 206, 27, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13544, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 376, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13545, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 380, 12, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13546, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 562, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13547, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 104, 13, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13548, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 804, 13, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13549, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 47, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13550, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 681, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13551, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 730, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13552, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 74, 11, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13553, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 845, 7, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13554, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 21, 6, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13555, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 16, 7, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13556, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 123, 10, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (13557, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 114, 38, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13558, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 116, 27, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13559, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '1D26', 198, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13560, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 102, 23, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13561, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 325, 5, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13562, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 823, 10, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13563, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 235, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13564, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 814, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13565, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 217, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13566, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1886, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13567, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 790, 53, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13568, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 23, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13569, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1095, 12, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13570, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 828, 28, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13571, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 20, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13572, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 17, 6, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13573, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 15, 7, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13574, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 178, 25, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13575, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 5, 3, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13576, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 6, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13577, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 403, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13578, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 8, 24, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13579, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 136, 14, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13580, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 3580, 80, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13581, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 25, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13582, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 2644, 66, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13583, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 150, 23, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13584, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 140, 40, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13585, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 139, 11, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13586, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 365, 11, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13587, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 121, 20, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13588, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 88, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13589, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 32, 22, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13590, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 47, 20, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13591, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 73, 20, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13592, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 72, 24, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13593, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 43, 3, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13594, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 12, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13595, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 235, 7, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13596, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 312, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13597, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 686, 9, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13598, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 53, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13599, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 3, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13600, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 98, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13601, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 76, 5, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13602, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 220, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13603, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 31, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13604, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 81, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13605, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 231, 16, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13606, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 22, 3, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13607, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 88, 3, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13608, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 207, 12, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13609, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 136, 38, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13610, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 1670, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13611, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 174, 45, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13612, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 10, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13613, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 19235, 2, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13614, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 9719, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13615, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 338, 8, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13616, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 99, 28, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13617, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 565, 6, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13618, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 141, 22, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13619, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 1564, 4, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13620, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 800, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13621, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E27', 7, 1, 2023, 4, 7, '2024-08-05 13:56:19', NULL, NULL), (13622, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 50, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13623, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 266, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13624, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 201, 51, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13625, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 412, 11, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13626, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 111, 29, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13627, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 151, 68, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13628, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 50, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13629, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 378, 12, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13630, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 177, 3, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13631, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 5, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13632, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 111, 29, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13633, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 101, 9, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13634, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 50, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13635, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 4, 1, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13636, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 154, 15, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13637, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 0, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13638, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 5, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13639, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 3, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13640, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 136, 17, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13641, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 264, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13642, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 0, 3, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 8, 1, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 412, 11, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 136, 17, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 105, 15, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 4, 1, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 195, 13, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 76, 3, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 23, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 717, 3, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 112, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 163, 1, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 50, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 528, 1, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 206, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 316, 12, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 6, 6, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13660, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 50, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13661, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 101, 9, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13662, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 136, 17, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13663, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 4, 1, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13664, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 528, 1, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13665, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 578, 4, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13666, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 3, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13667, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13668, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 717, 3, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13669, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 112, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13670, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 76, 3, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13671, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 23, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13672, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 163, 1, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13673, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 4, 1, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13674, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 206, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13675, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 136, 17, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13676, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 528, 1, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13677, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 50, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13678, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 4, 1, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13679, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 412, 11, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13680, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 528, 1, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13681, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 112, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13682, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13683, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 23, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13684, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 6, 6, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13685, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 316, 12, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13686, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 76, 3, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13687, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 163, 1, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13688, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 136, 17, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13689, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 717, 3, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13690, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 206, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13691, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 50, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13692, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 195, 13, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13693, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 8, 1, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13694, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 105, 15, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13695, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 50, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13696, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 4, 1, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13697, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 528, 1, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13698, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 163, 1, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13699, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 112, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13700, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 717, 3, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13701, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 206, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13702, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 76, 3, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13703, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 136, 17, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13704, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 23, 2, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13705, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2023, 4, 8, '2024-08-05 13:56:22', NULL, NULL), (13706, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 4, 2, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13707, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 89, 5, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13708, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 31, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13709, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 960, 33, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13710, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 232, 10, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13711, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 169, 28, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13712, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 960, 33, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13713, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 89, 5, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13714, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 1, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13715, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 232, 10, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13716, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 31, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13717, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 4, 2, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13718, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 163, 29, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13719, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 32, 8, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13720, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 38, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13721, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 1639, 19, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13722, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13723, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 4, 2, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13724, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 259, 17, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13725, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 25, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13726, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 165, 2, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13727, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 31, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13728, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 1, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 11, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 232, 10, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 53, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 25, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 20, 1, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 31, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 79, 2, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1639, 19, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 4, 2, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 89, 5, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 15, 5, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 259, 17, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 3, 5, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 110, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13743, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 259, 17, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13744, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 38, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13745, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 31, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13746, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 32, 8, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13747, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 1639, 19, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13748, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 25, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13749, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 4, 2, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13750, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 165, 2, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13751, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 20, 1, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13752, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 79, 2, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13753, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 4, 2, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13754, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 165, 2, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13755, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 31, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13756, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 1639, 19, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13757, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 15, 5, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13758, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 259, 17, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13759, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 25, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13760, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 38, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13761, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 4, 2, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13762, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 232, 10, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13763, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 31, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13764, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 79, 2, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13765, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 20, 1, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13766, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 110, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13767, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 3, 5, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13768, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 25, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13769, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1639, 19, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13770, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 259, 17, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13771, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 15, 5, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13772, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 89, 5, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13773, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 53, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13774, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 11, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13775, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 25, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13776, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 38, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13777, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 1639, 19, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13778, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 4, 2, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13779, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 165, 2, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13780, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 20, 1, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13781, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 259, 17, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13782, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 79, 2, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13783, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 31, 3, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13784, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 15, 5, 2023, 4, 9, '2024-08-05 13:56:26', NULL, NULL), (13785, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 27, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13786, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 194, 202, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13787, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 3968, 5, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13788, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 699, 347, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13789, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 185, 6, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13790, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 785, 171, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13791, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 285, 68, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13792, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 711, 393, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13793, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 992, 166, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13794, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 2168, 489, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13795, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 146, 127, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13796, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 247, 206, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13797, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 2159, 491, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13798, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 661, 264, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13799, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 532, 136, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13800, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 698, 159, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13801, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 711, 393, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13802, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 194, 202, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13803, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 699, 347, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13804, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 247, 206, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13805, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 421, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13806, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 336, 3, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13807, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 26, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13808, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13809, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 58, 22, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13810, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 34, 25, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13811, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 194, 202, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13812, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 165, 61, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13813, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1316, 153, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13814, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 446, 11, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13815, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 14, 3, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13816, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 886, 51, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13817, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 364, 13, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13818, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 521, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13819, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 2719, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13820, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 182, 31, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13821, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 275, 32, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13822, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 7, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13823, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2542, 11, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13824, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 0, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13825, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 303, 38, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13826, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 3968, 5, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13827, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 50, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13828, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 40, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13829, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 50, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13830, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 27, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13831, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 37, 7, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13832, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 77, 7, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13833, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13834, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 877, 240, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13835, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2335, 9, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13836, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 92, 5, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13837, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 253, 103, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13838, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 0, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13839, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 0, 8, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13840, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 820, 124, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13841, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 638, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13842, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 312, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13843, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 43, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13844, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 19, 16, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13845, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 692, 47, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 179, 3, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 267, 20, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 344, 18, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 414, 10, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 601, 3, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 421, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 275, 32, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 119, 15, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 491, 9, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 886, 51, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 3828, 32, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 2140, 19, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 681, 10, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 2746, 35, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 273, 3, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2713, 8, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1991, 28, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 338, 12, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3216, 12, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 2239, 33, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3205, 10, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 117, 6, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 3423, 53, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 140, 5, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 3318, 49, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 246, 8, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 3032, 45, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1854, 35, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 148, 9, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 67, 17, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 34, 15, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 104, 16, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 204, 14, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 355, 73, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 393, 43, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 1892, 29, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 396, 36, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 100, 29, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 195, 28, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 73, 7, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 115, 33, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 82, 10, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 264, 33, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 159, 40, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1880, 26, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 501, 11, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 477, 15, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 178, 36, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 62, 16, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 25, 18, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 84, 4, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 173, 4, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 220, 16, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 100, 12, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 162, 6, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 802, 5, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 57, 11, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 237, 33, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 58, 15, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 156, 33, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 59, 7, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 172, 38, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 3968, 5, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 162, 37, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 182, 31, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 51, 16, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 27, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 681, 41, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 904, 37, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 763, 79, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 701, 13, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 993, 46, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 820, 79, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 26, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 810, 60, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 126, 4, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 581, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 980, 56, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1396, 79, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 21, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 207, 22, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 14, 4, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 65, 14, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 377, 15, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 32, 6, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 59, 13, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 4, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 85, 6, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 77, 7, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 364, 13, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 4, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 10, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 165, 61, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 43, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1230, 74, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 14, 3, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 50, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 82, 7, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2542, 11, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 152, 16, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2335, 9, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13947, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 275, 32, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13948, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 50, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13949, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 3968, 5, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13950, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 92, 5, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13951, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 446, 11, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13952, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 194, 202, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13953, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 37, 7, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13954, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 303, 38, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13955, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2335, 9, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13956, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 50, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13957, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1316, 153, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13958, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 336, 3, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13959, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 26, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13960, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 2719, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13961, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 165, 61, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13962, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 58, 22, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13963, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 182, 31, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13964, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 19, 16, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13965, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 43, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13966, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 692, 47, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13967, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 7, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13968, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 40, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13969, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 820, 124, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13970, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 364, 13, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13971, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 253, 103, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13972, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 421, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13973, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 886, 51, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13974, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2542, 11, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (13975, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 27, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13976, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 14, 3, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13977, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 521, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13978, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 877, 240, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13979, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 638, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13980, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 34, 25, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13981, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 77, 7, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13982, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 312, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13983, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 364, 13, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13984, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 267, 20, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13985, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 344, 18, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13986, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 638, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13987, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 275, 32, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13988, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 165, 61, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13989, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 178, 36, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13990, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 27, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13991, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 50, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13992, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 40, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13993, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 159, 40, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13994, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 195, 28, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13995, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 115, 33, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13996, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 702, 15, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13997, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 396, 36, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13998, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 701, 13, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (13999, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 100, 29, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14000, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 8, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14001, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 677, 19, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14002, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 32, 13, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14003, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 43, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14004, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A23', 9, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14005, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 25, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14006, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 50, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14007, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 421, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14008, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 41, 10, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14009, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 980, 56, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14010, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 810, 60, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14011, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 3, 4, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14012, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 81, 3, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14013, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 213, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14014, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 581, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14015, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 681, 41, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14016, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2542, 11, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14017, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 3968, 5, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14018, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 4, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14019, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1039, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14020, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 92, 5, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14021, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 993, 46, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14022, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 904, 37, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14023, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2335, 9, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14024, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 4, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14025, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 2719, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14026, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E29', 4, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14027, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 148, 9, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14028, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 179, 3, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14029, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 21, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14030, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 58, 15, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14031, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 119, 15, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14032, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 32, 6, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14033, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 14, 4, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14034, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 491, 9, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14035, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 59, 7, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14036, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 865, 60, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14037, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 777, 64, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14038, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 460, 9, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14039, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 382, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14040, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 77, 7, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14041, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 82, 7, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14042, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 152, 16, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14043, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E28', 10, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14044, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1230, 74, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14045, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1396, 79, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14046, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 26, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14047, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 312, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14048, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 338, 12, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14049, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 117, 6, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14050, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 140, 5, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14051, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 246, 8, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14052, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 182, 31, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14053, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 681, 10, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14054, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 273, 3, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14055, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 886, 51, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14056, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 65, 14, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14057, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 377, 15, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14058, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 207, 22, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14059, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 77, 7, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14060, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 59, 13, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14061, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 85, 6, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14062, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 10, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14063, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 43, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14064, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 4, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14065, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 152, 16, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14066, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 82, 7, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14067, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 50, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14068, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1880, 26, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14069, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 1892, 29, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14070, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 264, 33, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14071, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 156, 33, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14072, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 810, 60, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14073, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 980, 56, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14074, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3205, 10, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14075, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2713, 8, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14076, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3216, 12, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14077, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 4, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14078, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 32, 6, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14079, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 237, 33, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14080, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 14, 4, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14081, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 802, 5, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14082, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 21, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14083, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 25, 18, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14084, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 62, 16, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14085, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1396, 79, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14086, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1230, 74, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14087, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 165, 61, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14088, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 364, 13, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14089, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 172, 38, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14090, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 162, 37, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14091, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 51, 16, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14092, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 275, 32, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14093, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 182, 31, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14094, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 58, 15, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14095, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 886, 51, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14096, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 59, 7, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14097, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 267, 20, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14098, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 421, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14099, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 681, 41, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14100, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 344, 18, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14101, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 204, 14, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14102, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 414, 10, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14103, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 904, 37, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14104, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 393, 43, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14105, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 601, 3, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14106, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 993, 46, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14107, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 355, 73, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14108, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 67, 17, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14109, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 140, 5, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14110, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 82, 10, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14111, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 117, 6, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14112, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 104, 16, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14113, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 338, 12, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14114, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 34, 15, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14115, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 273, 3, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14116, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 681, 10, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14117, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 73, 7, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14118, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 57, 11, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14119, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 148, 9, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14120, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 246, 8, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14121, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 179, 3, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14122, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 491, 9, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14123, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 119, 15, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14124, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 14, 3, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14125, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 3968, 5, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14126, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 763, 79, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14127, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 820, 79, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14128, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 701, 13, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14129, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 27, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14130, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 100, 29, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14131, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 195, 28, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14132, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 396, 36, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14133, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 115, 33, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14134, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 159, 40, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14135, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 178, 36, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14136, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 26, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14137, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 126, 4, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14138, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 581, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14139, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2335, 9, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14140, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2542, 11, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14141, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 477, 15, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14142, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 162, 6, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14143, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 100, 12, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14144, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 501, 11, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14145, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 3318, 49, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14146, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 3423, 53, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14147, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 84, 4, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14148, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 2239, 33, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14149, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1991, 28, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14150, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 220, 16, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14151, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 2746, 35, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14152, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 173, 4, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14153, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 2140, 19, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14154, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 3828, 32, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14155, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1854, 35, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14156, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 3032, 45, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14157, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 148, 9, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14158, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 246, 8, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14159, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 267, 20, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14160, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2542, 11, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14161, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 681, 10, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14162, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 338, 12, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14163, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 273, 3, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14164, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 344, 18, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14165, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 140, 5, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14166, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 117, 6, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14167, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 14, 4, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14168, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 21, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14169, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 904, 37, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14170, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 993, 46, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14171, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 681, 41, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14172, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 179, 3, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14173, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 491, 9, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14174, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 50, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14175, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 119, 15, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14176, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 382, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14177, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 460, 9, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14178, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 886, 51, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14179, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 3, 4, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14180, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 81, 3, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14181, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 82, 7, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14182, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 152, 16, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14183, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 25, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14184, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A23', 9, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14185, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 4, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14186, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 32, 6, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14187, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 275, 32, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14188, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 77, 7, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14189, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 312, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14190, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 702, 15, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14191, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 178, 36, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14192, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1396, 79, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14193, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1230, 74, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14194, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 677, 19, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14195, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 701, 13, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14196, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 165, 61, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14197, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 32, 13, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14198, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 195, 28, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14199, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 115, 33, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14200, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 41, 10, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14201, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 159, 40, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14202, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 8, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14203, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 396, 36, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14204, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 100, 29, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14205, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 92, 5, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14206, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 27, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14207, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 50, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14208, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 364, 13, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14209, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 213, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14210, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 3968, 5, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14211, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 581, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14212, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 421, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14213, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 43, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14214, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 777, 64, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14215, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 59, 7, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14216, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1039, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14217, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 58, 15, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14218, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 865, 60, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14219, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 4, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14220, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 182, 31, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14221, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 2719, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14222, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 638, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14223, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2335, 9, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14224, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 810, 60, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14225, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 26, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14226, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 980, 56, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14227, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 40, 2, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14228, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E28', 10, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14229, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E29', 4, 1, 2023, 4, 10, '2024-08-05 13:56:30', NULL, NULL), (14230, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 6, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14231, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 46, 154, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14232, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 5075, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14233, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 972, 411, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14234, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1177, 13, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14235, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 562, 106, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14236, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 184, 335, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14237, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 390, 92, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14238, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 661, 116, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14239, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 429, 434, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14240, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 1828, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14241, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 243, 103, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14242, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 373, 227, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14243, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 429, 434, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14244, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 547, 216, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14245, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 485, 101, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14246, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 432, 122, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14247, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 208, 342, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14248, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 972, 411, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14249, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 46, 154, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14250, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 373, 227, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14251, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 316, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14252, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14253, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 49, 12, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14254, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 79, 26, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14255, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 329, 42, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14256, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 46, 154, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14257, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1463, 192, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14258, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 263, 10, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14259, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 331, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14260, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 585, 42, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14261, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 4828, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14262, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 689, 14, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14263, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 13021, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14264, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 205, 34, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14265, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 277, 20, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14266, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 4, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14267, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 132, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14268, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 561, 29, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14269, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 5075, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14270, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 115, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14271, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 555, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14272, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 69, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14273, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14274, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 6, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14275, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 220, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14276, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 445, 4, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14277, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 133, 198, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14278, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 130, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14279, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 4457, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14280, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 106, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14281, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 642, 148, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14282, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 1357, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14283, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 386, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14284, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 621, 73, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14285, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 10781, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14286, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 18, 14, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14287, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 254, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14288, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 432, 33, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14289, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 1828, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 1119, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 791, 17, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 236, 12, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 181, 7, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 454, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 277, 20, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 582, 15, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 585, 42, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 718, 8, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 274, 22, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 302, 51, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 785, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 382, 25, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 479, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2018, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 956, 20, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 970, 4, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 711, 16, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 300, 30, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2343, 5, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 611, 22, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 342, 35, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 696, 14, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 397, 46, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 588, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 378, 32, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 380, 29, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 501, 12, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 124, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 783, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 304, 22, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 135, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 163, 11, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 310, 80, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 328, 47, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 234, 24, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 51, 27, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 40, 35, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 27, 15, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 672, 16, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 56, 29, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 544, 16, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 48, 23, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 245, 33, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 145, 23, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 503, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 192, 23, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 45, 25, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 205, 20, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 8, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 507, 17, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 340, 10, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 290, 24, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 794, 8, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 769, 4, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 453, 19, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 7936, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 177, 29, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 34, 5, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 241, 30, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 200, 20, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 60, 7, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 5075, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 212, 32, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 205, 34, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 1828, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 355, 19, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 6, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 117, 27, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 674, 42, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 146, 37, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 393, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 158, 40, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 131, 31, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 504, 55, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3671, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 386, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 667, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 105, 35, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 324, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 143, 26, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1514, 101, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 19, 4, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 145, 17, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 17, 7, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 62, 13, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 326, 13, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 25, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 98, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 97, 12, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 220, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 689, 14, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 139, 4, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 904, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 329, 42, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 33, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1406, 91, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 108, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 115, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 608, 13, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 148, 8, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 555, 24, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 6685, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 130, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (14395, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 277, 20, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14396, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 5075, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14397, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 445, 4, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14398, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 130, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14399, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1463, 192, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14400, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 316, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14401, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 329, 42, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14402, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 205, 34, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14403, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 18, 14, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14404, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 6685, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14405, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 689, 14, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14406, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 642, 148, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14407, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 585, 42, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14408, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 1357, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14409, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 79, 26, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14410, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 115, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14411, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 106, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14412, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 263, 10, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14413, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 46, 154, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14414, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 561, 29, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14415, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 69, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14416, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 13021, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14417, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 49, 12, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14418, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 1828, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14419, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 254, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14420, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 432, 33, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14421, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 4, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14422, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 386, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14423, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 555, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14424, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 621, 73, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14425, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 148, 8, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14426, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 6, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14427, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 331, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14428, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 134, 196, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14429, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 10781, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14430, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 220, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14431, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '', 4828, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14432, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 689, 14, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14433, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 791, 17, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14434, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 236, 12, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14435, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 10781, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14436, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 277, 20, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14437, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 329, 42, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14438, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 45, 25, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14439, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 6, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14440, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 69, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14441, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 667, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14442, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 332, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14443, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 48, 23, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14444, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 27, 15, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14445, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 56, 29, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14446, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 522, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14447, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 51, 27, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14448, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 393, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14449, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 40, 35, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14450, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 6, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14451, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 402, 15, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14452, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 8, 8, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14453, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 63, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14454, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 904, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14455, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 139, 4, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14456, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A23', 331, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14457, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 115, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14458, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 124, 16, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14459, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 1828, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14460, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 143, 26, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14461, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 105, 35, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14462, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 4, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14463, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 592, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14464, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 316, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14465, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 117, 27, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14466, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 148, 8, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14467, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 5075, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14468, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 106, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14469, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 131, 31, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14470, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 1357, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14471, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 158, 40, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14472, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 146, 37, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14473, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 130, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14474, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 6685, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14475, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 25, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14476, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 13021, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14477, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 501, 12, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14478, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 1119, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14479, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 19, 4, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14480, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 34, 5, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14481, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14482, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 582, 15, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14483, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 17, 7, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14484, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 60, 7, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 718, 8, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14486, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 543, 40, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14487, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 716, 33, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14488, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 181, 7, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14489, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 454, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14490, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 220, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14491, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 608, 13, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14492, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 555, 24, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14493, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E27', 4, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14494, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1406, 91, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14495, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1514, 101, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14496, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 386, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14497, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '1D26', 4828, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14498, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 711, 16, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14499, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 611, 22, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14500, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 696, 14, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14501, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 205, 34, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14502, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 588, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14503, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 785, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14504, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 479, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14505, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 585, 42, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14506, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 62, 13, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14507, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 326, 13, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14508, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 145, 17, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14509, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 220, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14510, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 98, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14511, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 97, 12, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14512, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 904, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14513, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 33, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14514, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 139, 4, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14515, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 555, 24, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14516, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 608, 13, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14517, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 115, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14518, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 145, 23, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14519, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 234, 24, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14520, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 245, 33, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14521, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 241, 30, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14522, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 105, 35, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14523, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 143, 26, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14524, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2343, 5, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14525, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2018, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14526, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 970, 4, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14527, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 25, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14528, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14529, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 177, 29, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14530, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 17, 7, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14531, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 7936, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14532, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 19, 4, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14533, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 8, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14534, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 205, 20, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14535, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1514, 101, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14536, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1406, 91, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14537, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 329, 42, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14538, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 689, 14, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14539, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 200, 20, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14540, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 212, 32, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14541, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 355, 19, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14542, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 277, 20, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14543, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 205, 34, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14544, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 34, 5, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14545, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 585, 42, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14546, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 60, 7, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14547, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 791, 17, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14548, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 117, 27, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14549, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 163, 11, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14550, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 236, 12, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14551, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 131, 31, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14552, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 135, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14553, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 181, 7, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14554, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 328, 47, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14555, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 146, 37, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14556, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 454, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14557, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 158, 40, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14558, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 310, 80, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14559, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 696, 14, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14560, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 124, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14561, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 544, 16, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14562, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 611, 22, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14563, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 304, 22, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14564, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 711, 16, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14565, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 479, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14566, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 783, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14567, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 785, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14568, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 672, 16, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14569, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 1828, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14570, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 453, 19, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14571, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 501, 12, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14572, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 588, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14573, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 108, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14574, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 1119, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14575, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 718, 8, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14576, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 582, 15, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14577, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 5075, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14578, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 674, 42, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14579, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 504, 55, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14580, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 393, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14581, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 6, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14582, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 40, 35, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14583, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 27, 15, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14584, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 51, 27, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14585, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 56, 29, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14586, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 48, 23, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14587, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 45, 25, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14588, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3671, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14589, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 667, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14590, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 386, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14591, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 324, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14592, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 6685, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14593, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 130, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14594, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 148, 8, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14595, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 192, 23, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14596, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 769, 4, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14597, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 794, 8, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14598, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 503, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14599, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 397, 46, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14600, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 342, 35, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14601, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 507, 17, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14602, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 300, 30, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14603, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 956, 20, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14604, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 382, 25, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14605, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 290, 24, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14606, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 340, 10, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14607, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 302, 51, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14608, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 274, 22, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14609, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 380, 29, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14610, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 378, 32, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14611, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 501, 12, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14612, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 588, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14613, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 791, 17, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14614, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 148, 8, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14615, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 785, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14616, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 711, 16, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14617, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 479, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14618, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 236, 12, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14619, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 696, 14, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14620, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 611, 22, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14621, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 17, 7, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14622, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 19, 4, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14623, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 146, 37, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14624, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 158, 40, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14625, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 131, 31, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14626, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '宜宾市政务服务和非公经济发展局', '', '1D26', 4828, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14627, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 117, 27, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14628, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 1119, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14629, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 718, 8, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14630, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 69, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14631, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 582, 15, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14632, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 454, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14633, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 181, 7, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14634, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 585, 42, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14635, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 4, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14636, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 592, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14637, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 608, 13, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14638, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 555, 24, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14639, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A23', 331, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14640, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 25, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14641, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14642, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 277, 20, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14643, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 220, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14644, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 522, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14645, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 45, 25, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14646, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1514, 101, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14647, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1406, 91, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14648, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 402, 15, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14649, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 393, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14650, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 329, 42, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14651, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 8, 8, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14652, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 27, 15, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14653, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 124, 16, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14654, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 56, 29, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14655, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 48, 23, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14656, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 6, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14657, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 51, 27, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14658, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 40, 35, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14659, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 106, 9, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14660, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 6, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14661, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 115, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14662, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 689, 14, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14663, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 5075, 3, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14664, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 316, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14665, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 63, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14666, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 904, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14667, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 139, 4, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14668, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 6685, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14669, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 716, 33, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14670, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 60, 7, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14671, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 543, 40, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14672, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 34, 5, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14673, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 205, 34, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14674, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 13021, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14675, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 1357, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14676, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 10781, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14677, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 130, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14678, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 105, 35, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14679, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 386, 6, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14680, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 143, 26, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14681, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 332, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14682, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 667, 2, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14683, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 1828, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14684, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E27', 4, 1, 2023, 4, 11, '2024-08-05 13:56:34', NULL, NULL), (14685, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 273, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14686, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 79, 159, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14687, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 3, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14688, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1452, 418, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14689, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 859, 6, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14690, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 325, 120, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14691, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 647, 72, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14692, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 374, 299, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14693, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 590, 383, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14694, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 931, 123, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14695, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 68, 83, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14696, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 481, 262, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14697, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 590, 383, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14698, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 441, 207, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14699, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 544, 101, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14700, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 621, 105, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14701, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 373, 300, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14702, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 79, 159, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14703, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1452, 418, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14704, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 481, 262, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14705, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 268, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14706, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 171, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14707, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14708, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 183, 20, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14709, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 37, 17, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14710, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 295, 44, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14711, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 79, 159, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14712, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1218, 193, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14713, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 83, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14714, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 40, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14715, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 881, 55, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14716, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 466, 10, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14717, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 170, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14718, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 7770, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14719, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 52, 28, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14720, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 19, 16, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14721, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 5500, 10, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14722, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 222, 22, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14723, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 3, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14724, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1304, 6, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14725, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 323, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14726, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 84, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14727, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '', '', '', 6098, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14728, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 273, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14729, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 107, 4, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14730, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 5, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14731, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3359, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14732, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 149, 172, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14733, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1648, 12, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14734, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 271, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14735, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2327, 148, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14736, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 657, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14737, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 312, 82, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14738, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 21, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14739, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 3, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14740, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 127, 17, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14741, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 113, 6, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14742, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 352, 38, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14743, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 222, 20, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 2543, 8, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 225, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 121, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 132, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 268, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 19, 16, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2671, 16, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 881, 55, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1278, 6, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 528, 34, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 418, 27, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2945, 10, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 761, 29, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 482, 31, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2551, 7, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2706, 18, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 697, 25, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2599, 6, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 3132, 11, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 644, 43, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2903, 9, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 508, 21, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2936, 12, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1742, 16, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 599, 31, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 545, 30, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1805, 13, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 1013, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 33, 4, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 280, 19, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 535, 19, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 569, 18, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 985, 11, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 495, 79, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 494, 64, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 510, 15, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 157, 36, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 38, 29, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 68, 20, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 490, 23, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 30, 28, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 99, 22, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 327, 17, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 54, 21, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 565, 21, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1523, 4, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 118, 15, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 58, 24, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 71, 14, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 264, 12, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1258, 9, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 111, 4, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 335, 21, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 974, 7, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1094, 12, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (14800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 4208, 7, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 228, 8, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 662, 21, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 75, 24, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 60, 9, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 11, 8, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 21, 11, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 3, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 52, 28, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 67, 24, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 97, 20, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 273, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 145, 27, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 237, 31, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 240, 33, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 170, 5, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 130, 24, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 76, 24, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 368, 82, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3359, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 657, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 89, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 82, 36, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 874, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 212, 30, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 836, 83, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 32, 8, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 89, 16, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 441, 4, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 185, 10, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 233, 7, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 48, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 254, 11, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 177, 6, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 9, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 466, 10, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 21, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 295, 44, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 82, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 207, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1506, 110, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 23, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 8, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1411, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1250, 4, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 176, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2446, 19, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 6111, 9, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1544, 18, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1648, 12, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14852, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 19, 16, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14853, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1304, 6, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14854, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 3, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14855, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 271, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14856, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 83, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14857, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 79, 159, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14858, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 107, 4, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14859, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 222, 22, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14860, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1648, 12, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14861, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 84, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14862, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1218, 193, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14863, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 171, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14864, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 7770, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14865, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 295, 44, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14866, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 37, 17, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14867, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 52, 28, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14868, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3359, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14869, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 127, 17, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14870, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 113, 6, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14871, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 352, 38, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14872, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 657, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14873, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 323, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14874, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 466, 10, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14875, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 312, 82, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14876, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2327, 148, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14877, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 268, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14878, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 881, 55, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14879, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 273, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14880, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 6111, 9, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14881, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 40, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14882, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 170, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14883, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 149, 172, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14884, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 21, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14885, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 183, 20, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14886, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '市公安局', '', '', 6098, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14887, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 5, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14888, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 3, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14889, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 466, 10, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14890, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 222, 20, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14891, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 225, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14892, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 21, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14893, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 19, 16, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14894, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 295, 44, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14895, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 58, 24, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14896, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 273, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14897, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 84, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14898, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 48, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14899, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 874, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14900, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '', '', '1A21', 6098, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14901, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 99, 22, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14902, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 68, 20, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14903, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 30, 28, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14904, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 157, 36, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14905, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 259, 10, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14906, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 170, 5, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14907, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 38, 29, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14908, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 5, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14909, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 433, 23, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14910, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 342, 9, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14911, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 207, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14912, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 82, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14913, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 21, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14914, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A23', 5, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14915, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 75, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14916, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 1411, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14917, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 1250, 4, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14918, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 57, 10, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14919, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 268, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14920, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 212, 30, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14921, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 82, 36, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14922, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 6, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14923, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 208, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14924, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 171, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14925, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 145, 27, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14926, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 6111, 9, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14927, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 3, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14928, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 177, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14929, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 158, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14930, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 271, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14931, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 76, 24, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14932, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 130, 24, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14933, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 237, 31, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14934, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1648, 12, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14935, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D26', 3359, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14936, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14937, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 7770, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14938, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14939, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1805, 13, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14940, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 2543, 8, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14941, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 32, 8, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14942, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 60, 9, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14943, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 48, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14944, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2671, 16, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14945, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 441, 4, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14946, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 11, 8, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14947, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 1278, 6, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14948, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 343, 59, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14949, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 231, 23, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14950, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 11, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14951, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 119, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14952, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 9, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14953, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2446, 19, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14954, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1544, 18, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14955, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 176, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14956, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1506, 110, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14957, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 836, 83, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14958, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 3, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14959, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 657, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14960, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2706, 18, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14961, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 3132, 11, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14962, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2936, 12, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14963, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 52, 28, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14964, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1742, 16, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14965, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2945, 10, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14966, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 881, 55, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14967, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 185, 10, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14968, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 233, 7, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14969, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 89, 16, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14970, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 9, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14971, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 254, 11, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14972, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 177, 6, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14973, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 82, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14974, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 207, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14975, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 21, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14976, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1544, 18, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14977, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2446, 19, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14978, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 176, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14979, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1250, 4, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14980, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 565, 21, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14981, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1411, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14982, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 510, 15, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14983, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 1013, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14984, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 54, 21, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14985, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 75, 24, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14986, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 82, 36, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14987, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 212, 30, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14988, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2903, 9, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14989, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14990, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2551, 7, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14991, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2599, 6, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14992, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14993, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 48, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14994, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 662, 21, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14995, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 441, 4, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14996, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 4208, 7, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14997, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 32, 8, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14998, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 264, 12, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (14999, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 71, 14, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15000, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 836, 83, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15001, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1506, 110, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15002, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 295, 44, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15003, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 466, 10, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15004, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 21, 11, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15005, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 67, 24, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15006, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 97, 20, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15007, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 19, 16, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15008, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 52, 28, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15009, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 60, 9, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15010, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 881, 55, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15011, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 11, 8, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15012, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 222, 20, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15013, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 268, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15014, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 145, 27, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15015, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 985, 11, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15016, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 225, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15017, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 76, 24, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15018, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 569, 18, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15019, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 121, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15020, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 237, 31, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15021, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 494, 64, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15022, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 132, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15023, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 495, 79, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15024, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 130, 24, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15025, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 33, 4, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15026, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2936, 12, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15027, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 327, 17, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15028, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 3132, 11, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15029, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 535, 19, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15030, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2706, 18, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15031, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 280, 19, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15032, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2945, 10, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15033, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 490, 23, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15034, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 228, 8, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15035, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1805, 13, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15036, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1742, 16, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15037, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 8, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15038, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 2543, 8, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15039, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1278, 6, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15040, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2671, 16, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15041, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 23, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15042, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 3, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15043, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 240, 33, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15044, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 368, 82, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15045, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 170, 5, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15046, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 273, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15047, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 38, 29, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15048, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 68, 20, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15049, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 157, 36, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15050, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 30, 28, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15051, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 99, 22, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15052, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3359, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15053, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 58, 24, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15054, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 89, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15055, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 657, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15056, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 874, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15057, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1648, 12, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15058, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 6111, 9, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15059, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 118, 15, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15060, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1094, 12, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15061, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 974, 7, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15062, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 508, 21, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15063, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1523, 4, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15064, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 644, 43, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15065, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1258, 9, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15066, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 697, 25, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15067, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 482, 31, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15068, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 761, 29, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15069, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 335, 21, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15070, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 111, 4, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15071, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 418, 27, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15072, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 528, 34, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15073, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 545, 30, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15074, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 599, 31, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15075, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1805, 13, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15076, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1742, 16, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15077, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 222, 20, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15078, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2945, 10, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15079, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 6111, 9, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15080, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2706, 18, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15081, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 225, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15082, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2936, 12, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15083, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 3132, 11, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15084, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 441, 4, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15085, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 32, 8, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15086, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 237, 31, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15087, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 130, 24, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15088, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 76, 24, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15089, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 145, 27, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15090, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D26', 3359, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15091, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 2543, 8, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15092, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 1278, 6, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15093, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 84, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15094, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2671, 16, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15095, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 119, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15096, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 11, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15097, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 881, 55, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15098, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 6, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15099, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 208, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15100, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2446, 19, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15101, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 176, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15102, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1544, 18, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15103, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 75, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15104, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A23', 5, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15105, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15106, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 48, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15107, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 19, 16, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15108, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 3, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15109, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 9, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15110, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 58, 24, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15111, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 259, 10, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15112, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 836, 83, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15113, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15114, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1506, 110, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15115, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 433, 23, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15116, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 170, 5, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15117, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 295, 44, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15118, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 342, 9, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15119, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 68, 20, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15120, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 57, 10, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15121, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 30, 28, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15122, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 99, 22, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15123, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 5, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15124, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 157, 36, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15125, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 38, 29, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15126, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 271, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15127, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 273, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15128, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 1411, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15129, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 1250, 4, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15130, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 466, 10, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15131, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 171, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15132, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 3, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15133, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 268, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15134, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 207, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15135, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 82, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15136, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 21, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15137, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 231, 23, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15138, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 11, 8, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15139, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 158, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15140, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '市公安局', '', '1A21', 6098, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15141, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 60, 9, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15142, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 343, 59, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15143, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 177, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15144, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 52, 28, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15145, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 7770, 3, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15146, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 21, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15147, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1648, 12, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15148, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 82, 36, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15149, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 657, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15150, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 212, 30, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15151, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 874, 1, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15152, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 48, 2, 2023, 4, 12, '2024-08-05 13:56:37', NULL, NULL), (15153, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 6572, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15154, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 40, 146, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15155, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 30, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15156, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 634, 355, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15157, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1104, 15, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15158, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 215, 117, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15159, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 576, 79, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15160, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 226, 304, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15161, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1087, 114, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15162, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 429, 397, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15163, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 4, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15164, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 84, 84, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15165, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 611, 342, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15166, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 428, 398, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15167, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 507, 224, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15168, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 408, 92, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15169, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 857, 109, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15170, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 225, 306, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15171, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 634, 355, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15172, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 40, 146, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15173, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 611, 342, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15174, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 410, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15175, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15176, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '', 97, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15177, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 426, 25, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15178, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 334, 27, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15179, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 119, 34, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15180, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 40, 146, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15181, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 531, 151, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15182, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 2930, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15183, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 545, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15184, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 436, 49, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15185, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15186, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 255, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15187, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 38, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15188, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 166, 47, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15189, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 162, 14, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15190, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 16, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15191, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 904, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15192, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 319, 25, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15193, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 30, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15194, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 688, 13, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15195, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 1026, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15196, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 161, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15197, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 3286, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15198, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 305, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15199, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 23, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15200, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 274, 162, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15201, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 26, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15202, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 28, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15203, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 38, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15204, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1015, 127, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (15205, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 7082, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15206, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 551, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15207, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 204, 87, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15208, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 877, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15209, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 20, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15210, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 27, 20, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15211, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 245, 30, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15212, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 83, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15213, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 4, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 439, 15, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 940, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 139, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1970, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 27, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 162, 14, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 930, 15, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 581, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 436, 49, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 447, 38, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 556, 33, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 199, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 409, 27, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1565, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 4629, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 593, 29, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1196, 15, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 4238, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 419, 31, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 242, 21, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 997, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2979, 7, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1019, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 461, 49, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1150, 6, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 610, 14, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 939, 14, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 529, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 639, 20, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 338, 31, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 344, 22, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 143, 12, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 1068, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 790, 115, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 679, 101, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 498, 33, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 42, 24, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 34, 29, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 37, 23, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 546, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 50, 22, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 373, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 34, 16, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 37, 24, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 295, 23, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 301, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 273, 16, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 40, 24, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 56, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 466, 25, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 167, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 69, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1179, 28, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 87, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 369, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 838, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 315, 21, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 70, 27, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 396, 11, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 70, 28, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 292, 16, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 43, 14, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 30, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 17, 17, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 166, 47, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 4, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 220, 18, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 6572, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 334, 27, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 252, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 210, 49, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 80, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 221, 23, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 241, 22, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 220, 67, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 7082, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 551, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 263, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 282, 34, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3461, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 261, 28, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 29, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 313, 18, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 567, 71, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 40, 6, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 10, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 16, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 19, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 30, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 69, 7, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 16, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 72, 16, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 79, 6, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 255, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 101, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 80, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 119, 34, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 17, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 500, 80, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 49, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 18, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 696, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 675, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 813, 7, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1037, 18, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 904, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1137, 21, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 28, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 34, 6, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15324, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 162, 14, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15325, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 30, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15326, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 305, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15327, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 34, 6, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15328, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 531, 151, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15329, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 410, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15330, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 119, 34, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15331, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 166, 47, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15332, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 27, 20, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15333, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 28, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15334, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 255, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15335, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1015, 127, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15336, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 436, 49, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15337, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 7082, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15338, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 426, 25, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15339, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 688, 13, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15340, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 38, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15341, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 2930, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15342, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 40, 146, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15343, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 319, 25, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15344, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 161, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15345, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 334, 27, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15346, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 4, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15347, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 20, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15348, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 245, 30, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15349, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 16, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15350, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 551, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15351, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 1026, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15352, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 204, 87, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15353, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 904, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15354, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 6572, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15355, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 545, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15356, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '', 97, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15357, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 38, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15358, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 274, 162, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15359, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 877, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15360, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 83, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15361, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 23, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15362, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 255, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15363, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 439, 15, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15364, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 139, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15365, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 877, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15366, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 162, 14, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15367, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 119, 34, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15368, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 40, 24, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15369, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 6572, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15370, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 161, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15371, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 214, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15372, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 3461, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15373, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 37, 24, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15374, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 37, 23, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15375, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 50, 22, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15376, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 232, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15377, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 42, 24, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15378, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 80, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15379, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 34, 29, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15380, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 535, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15381, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 260, 20, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15382, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 512, 17, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15383, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 5, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15384, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 35, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15385, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A23', 20, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15386, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 21, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15387, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 696, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15388, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A21', 1594, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15389, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 675, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15390, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 70, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15391, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 4, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15392, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 261, 28, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15393, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 282, 34, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15394, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 417, 7, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15395, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 313, 18, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15396, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 44, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15397, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 410, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15398, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 334, 27, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15399, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 904, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15400, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 30, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15401, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 50, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15402, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 27, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15403, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 38, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15404, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 7082, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15405, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 241, 22, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15406, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 221, 23, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15407, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 252, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15408, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 34, 6, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15409, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 29, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15410, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 16, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15411, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 28, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15412, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15413, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 529, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15414, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 940, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15415, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 396, 11, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15416, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 40, 6, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15417, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 30, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15418, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 930, 15, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15419, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 292, 16, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15420, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 16, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15421, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 581, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15422, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 204, 47, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15423, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 205, 40, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15424, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 2930, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15425, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '2E29', 167, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15426, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1037, 18, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15427, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '2E28', 27, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15428, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1137, 21, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15429, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E27', 16, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15430, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 813, 7, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15431, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 500, 80, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15432, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 567, 71, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15433, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 551, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15434, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E27', 32, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15435, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E28', 134, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15436, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1196, 15, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15437, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 997, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15438, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1019, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15439, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1150, 6, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15440, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 166, 47, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15441, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 199, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15442, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1565, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15443, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 436, 49, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15444, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 19, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15445, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 69, 7, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15446, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 10, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15447, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 72, 16, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15448, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 79, 6, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15449, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 80, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15450, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 17, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15451, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 101, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15452, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1137, 21, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15453, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1037, 18, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15454, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 813, 7, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15455, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 675, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15456, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 295, 23, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15457, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 696, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15458, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 498, 33, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15459, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 34, 16, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15460, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 70, 28, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15461, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 282, 34, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15462, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 261, 28, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15463, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2979, 7, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15464, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 313, 18, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15465, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15466, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 4629, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15467, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 4238, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15468, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 29, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15469, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 16, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15470, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 30, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15471, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 70, 27, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15472, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 838, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15473, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 16, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15474, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 40, 6, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15475, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 466, 25, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15476, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 567, 71, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15477, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 56, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15478, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 500, 80, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15479, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 119, 34, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15480, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 255, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15481, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 43, 14, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15482, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 17, 17, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15483, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 220, 18, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15484, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 162, 14, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15485, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 166, 47, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15486, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 396, 11, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15487, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 436, 49, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15488, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 292, 16, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15489, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 439, 15, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15490, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 334, 27, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15491, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 1068, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15492, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 139, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15493, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 241, 22, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15494, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 143, 12, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15495, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 252, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15496, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1970, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15497, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 679, 101, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15498, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 27, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15499, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 221, 23, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15500, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 790, 115, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15501, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 639, 20, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15502, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1019, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15503, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 373, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15504, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 997, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15505, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1196, 15, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15506, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 344, 22, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15507, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 338, 31, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15508, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1565, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15509, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 199, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15510, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 546, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15511, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 4, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15512, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 315, 21, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15513, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 529, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15514, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1150, 6, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15515, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 18, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15516, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 940, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15517, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 581, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15518, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 930, 15, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15519, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 49, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15520, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 30, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15521, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 210, 49, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15522, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 220, 67, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15523, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 80, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15524, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 6572, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15525, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 34, 29, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15526, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 37, 23, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15527, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 42, 24, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15528, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 50, 22, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15529, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 37, 24, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15530, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 7082, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15531, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 40, 24, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15532, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 263, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15533, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 551, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15534, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3461, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15535, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 28, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15536, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 34, 6, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15537, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 904, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15538, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 273, 16, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15539, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 369, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15540, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 87, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15541, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 301, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15542, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 461, 49, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15543, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 242, 21, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15544, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 167, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15545, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 419, 31, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15546, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 593, 29, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15547, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 409, 27, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15548, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1179, 28, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15549, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 69, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15550, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 556, 33, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15551, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 447, 38, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15552, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 939, 14, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15553, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 610, 14, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15554, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 529, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15555, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1150, 6, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15556, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 439, 15, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15557, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 904, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15558, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 199, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15559, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1196, 15, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15560, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1565, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15561, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 139, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15562, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1019, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15563, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 997, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15564, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 16, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15565, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 40, 6, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15566, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 252, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15567, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 221, 23, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15568, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 241, 22, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15569, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 334, 27, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15570, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 940, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15571, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 581, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15572, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 161, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15573, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 930, 15, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15574, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 2930, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15575, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 436, 49, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15576, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 417, 7, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15577, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 44, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15578, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A21', 1594, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15579, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1037, 18, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15580, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 813, 7, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15581, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1137, 21, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15582, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 21, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15583, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A23', 20, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15584, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 16, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15585, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 30, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15586, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 162, 14, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15587, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 232, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15588, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 40, 24, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15589, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 567, 71, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15590, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15591, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 500, 80, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15592, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 260, 20, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15593, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 80, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15594, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 119, 34, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15595, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 29, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15596, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 512, 17, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15597, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 37, 23, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15598, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 70, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15599, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 50, 22, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15600, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 37, 24, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15601, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 535, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15602, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 42, 24, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15603, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 34, 29, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15604, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 38, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15605, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 6572, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15606, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 696, 8, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15607, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 675, 5, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15608, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 255, 10, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15609, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 410, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15610, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 30, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15611, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 5, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15612, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 35, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15613, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 28, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15614, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 205, 40, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15615, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 292, 16, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15616, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 313, 18, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15617, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 27, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15618, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 396, 11, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15619, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 204, 47, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15620, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 50, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (15621, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 166, 47, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15622, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 7082, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15623, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 877, 4, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15624, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 34, 6, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15625, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E28', 134, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15626, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 282, 34, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15627, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E27', 32, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15628, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 551, 9, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15629, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 261, 28, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15630, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 3461, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15631, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 214, 3, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15632, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 4, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15633, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E27', 16, 2, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15634, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '2E29', 167, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15635, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '2E28', 27, 1, 2023, 4, 13, '2024-08-05 13:56:37', NULL, NULL), (15636, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 45, 122, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15637, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 184, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15638, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 322, 94, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15639, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 28, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15640, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 185, 237, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15641, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 851, 76, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15642, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 724, 146, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15643, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1084, 368, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15644, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 350, 274, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15645, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 126, 110, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15646, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1454, 337, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15647, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1081, 369, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15648, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 514, 186, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15649, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 321, 124, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15650, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 604, 132, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15651, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 184, 238, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15652, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 45, 122, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15653, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1450, 338, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15654, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 350, 274, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15655, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 829, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15656, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 260, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15657, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15658, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 219, 16, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15659, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 57, 20, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15660, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 45, 122, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15661, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 243, 54, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15662, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 2018, 157, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15663, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 889, 7, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15664, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 11, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15665, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 312, 48, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15666, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 530, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15667, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 1023, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15668, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 40, 26, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15669, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 139, 44, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15670, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 882, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15671, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 455, 22, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15672, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 28, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15673, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 654, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15674, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 91, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15675, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 713, 6, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15676, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 148, 134, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15677, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 917, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15678, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 7, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15679, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 34, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15680, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1524, 101, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15681, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 17, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15682, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 326, 61, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15683, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 1334, 4, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15684, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 19, 4, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15685, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 85, 18, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15686, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 313, 33, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15687, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 406, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 1901, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 489, 13, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 460, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1060, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 829, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 139, 44, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1576, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1270, 7, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 312, 48, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1734, 39, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 957, 27, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1468, 21, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1694, 10, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 3289, 6, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1538, 32, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 50, 17, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1650, 4, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3956, 7, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1282, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2053, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1529, 42, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2289, 10, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1351, 34, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1447, 12, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 881, 34, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1702, 10, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 319, 29, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 226, 19, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 323, 91, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 498, 79, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 1495, 24, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 121, 15, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 34, 30, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 24, 21, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 33, 15, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 287, 24, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 201, 19, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 63, 20, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 46, 17, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1272, 27, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 415, 19, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 4698, 7, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 18, 21, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 60, 13, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 35, 11, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 14, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 505, 4, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 856, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 432, 28, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 411, 7, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 211, 13, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1517, 7, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 72, 23, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 232, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 133, 24, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 205, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 100, 26, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 202, 31, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 28, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 40, 26, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 58, 25, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 151, 24, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 198, 10, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 429, 52, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 173, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 141, 38, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 158, 31, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 190, 39, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 34, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 144, 15, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 334, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 186, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 109, 16, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 201, 4, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 2149, 84, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 5, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 25, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 33, 6, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 91, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 232, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 138, 11, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 24, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 14, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 34, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 530, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 5, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 63, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 248, 53, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 3, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1867, 73, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 14, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 105, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 654, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 893, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1253, 12, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 992, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1209, 15, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 7, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 917, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15789, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 139, 44, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15790, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 654, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15791, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 28, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15792, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 34, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15793, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 889, 7, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15794, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 45, 122, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15795, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 713, 6, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15796, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 917, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15797, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 455, 22, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15798, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 2018, 157, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15799, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 260, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15800, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 1023, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15801, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 248, 53, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15802, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 219, 16, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15803, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 40, 26, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15804, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 85, 18, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15805, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 19, 4, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15806, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 313, 33, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15807, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 34, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15808, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 7, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15809, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 530, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15810, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 326, 61, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15811, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1524, 101, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15812, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 829, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15813, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 312, 48, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15814, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 992, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15815, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 11, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15816, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 148, 134, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15817, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 1779, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15818, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 57, 20, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15819, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 91, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15820, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 530, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15821, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 406, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15822, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 489, 13, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15823, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 1779, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15824, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 139, 44, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15825, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 248, 53, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15826, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 18, 21, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15827, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 63, 20, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15828, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 24, 21, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15829, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 33, 15, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15830, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 423, 17, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15831, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 121, 15, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15832, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 173, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15833, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 34, 30, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15834, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 203, 13, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15835, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 41, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15836, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 3, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15837, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 63, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15838, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 5, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15839, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 11, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15840, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 654, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15841, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 829, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15842, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 70, 11, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15843, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 109, 16, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15844, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 144, 15, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15845, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 4, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15846, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A21', 1421, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15847, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 6, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15848, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 334, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15849, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 186, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15850, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 151, 24, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15851, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 992, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15852, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 28, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15853, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 34, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15854, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 158, 31, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15855, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 141, 38, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15856, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 198, 10, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15857, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 917, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15858, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 201, 4, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15859, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 7, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15860, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 24, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15861, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15862, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 1023, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15863, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1702, 10, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15864, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 1901, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15865, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 232, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15866, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 25, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15867, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 232, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15868, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1576, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15869, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 33, 6, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15870, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 205, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15871, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 1270, 7, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15872, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 184, 26, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15873, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 432, 35, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15874, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 460, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15875, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1060, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15876, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1253, 12, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15877, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1209, 15, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15878, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 893, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15879, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1867, 73, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15880, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 2149, 84, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15881, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 34, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15882, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1650, 4, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15883, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1282, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15884, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2289, 10, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15885, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1447, 12, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15886, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 40, 26, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15887, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1694, 10, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15888, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 312, 48, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15889, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 91, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15890, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 138, 11, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15891, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 5, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15892, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 14, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15893, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 34, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15894, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 63, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15895, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 3, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15896, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 5, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15897, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1209, 15, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15898, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1253, 12, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15899, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 893, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15900, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1272, 27, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15901, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 654, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15902, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 1495, 24, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15903, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 46, 17, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15904, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 133, 24, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15905, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 144, 15, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15906, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 109, 16, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15907, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2053, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15908, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15909, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 3289, 6, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15910, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 201, 4, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15911, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3956, 7, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15912, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 24, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15913, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 232, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15914, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 72, 23, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15915, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 33, 6, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15916, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1517, 7, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15917, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 35, 11, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15918, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 25, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15919, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 60, 13, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15920, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 2149, 84, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15921, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1867, 73, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15922, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 248, 53, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15923, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 530, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15924, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 100, 26, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15925, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 202, 31, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15926, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 58, 25, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15927, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 139, 44, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15928, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 40, 26, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15929, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 232, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15930, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 312, 48, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15931, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 406, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15932, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 205, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15933, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 829, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15934, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 151, 24, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15935, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 489, 13, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15936, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 158, 31, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15937, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 226, 19, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15938, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 460, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15939, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 198, 10, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15940, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 498, 79, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15941, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1060, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15942, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 323, 91, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15943, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 141, 38, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15944, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2289, 10, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15945, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 201, 19, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15946, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1282, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15947, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1650, 4, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15948, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 319, 29, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15949, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1694, 10, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15950, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 287, 24, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15951, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 211, 13, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15952, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1702, 10, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15953, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1447, 12, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15954, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 105, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15955, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 1901, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15956, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1270, 7, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15957, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1576, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15958, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 14, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15959, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 28, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15960, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 429, 52, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15961, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 190, 39, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15962, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 173, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15963, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 34, 30, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15964, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 24, 21, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15965, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 121, 15, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15966, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 33, 15, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15967, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 63, 20, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15968, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 18, 21, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15969, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 334, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15970, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 34, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15971, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 186, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15972, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 7, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15973, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 917, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15974, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 992, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15975, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 4698, 7, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15976, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 411, 7, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15977, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 432, 28, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15978, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 415, 19, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15979, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1351, 34, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15980, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1529, 42, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15981, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 50, 17, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15982, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 14, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15983, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1538, 32, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15984, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 856, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15985, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1468, 21, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15986, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 957, 27, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15987, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 505, 4, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15988, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1734, 39, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15989, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 881, 34, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15990, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1702, 10, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15991, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1447, 12, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15992, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 406, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15993, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 992, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15994, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1650, 4, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15995, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1694, 10, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15996, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 489, 13, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15997, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2289, 10, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15998, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1282, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (15999, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 33, 6, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16000, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 25, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16001, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 198, 10, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16002, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 141, 38, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16003, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 158, 31, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16004, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 151, 24, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16005, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 1901, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16006, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 1270, 7, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16007, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1576, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16008, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1060, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16009, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 460, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16010, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 312, 48, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16011, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 4, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16012, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 6, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16013, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A21', 1421, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16014, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1253, 12, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16015, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 893, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16016, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1209, 15, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16017, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 11, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16018, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 24, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16019, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 232, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16020, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 139, 44, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16021, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 423, 17, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16022, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 18, 21, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16023, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 2149, 84, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16024, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16025, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1867, 73, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16026, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 203, 13, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16027, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 173, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16028, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 248, 53, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16029, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 201, 4, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16030, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 41, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16031, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 24, 21, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16032, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 33, 15, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16033, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 70, 11, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16034, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 63, 20, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16035, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 121, 15, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16036, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 34, 30, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (16037, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 34, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16038, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 654, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16039, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 530, 5, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16040, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 334, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16041, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 28, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16042, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 829, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16043, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 186, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16044, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 3, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16045, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 63, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16046, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 5, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16047, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 7, 2, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16048, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 432, 35, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16049, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 205, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16050, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 232, 8, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16051, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 184, 26, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16052, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 40, 26, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16053, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 1023, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16054, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 917, 9, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16055, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 1779, 3, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16056, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 144, 15, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16057, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 34, 1, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16058, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 109, 16, 2023, 4, 14, '2024-08-05 13:56:38', NULL, NULL), (16059, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 477, 8, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16060, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 2049, 1, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16061, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 546, 20, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16062, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 506, 62, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16063, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 2, 2, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16064, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 292, 18, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16065, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 462, 34, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16066, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 506, 62, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16067, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 586, 10, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16068, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16069, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 292, 18, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16070, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 546, 20, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16071, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 9, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16072, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 462, 34, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16073, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 1207, 20, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16074, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 936, 10, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16075, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 9, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16076, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 364, 19, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16077, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 2, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16078, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 173, 9, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16079, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 1512, 2, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16080, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 622, 14, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16081, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 307, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16082, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2, 2, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16083, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 1201, 1, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16084, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 96, 1, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16085, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 647, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 208, 12, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 936, 10, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 249, 2, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 96, 1, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 564, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 10, 1, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 173, 9, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 88, 13, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 69, 11, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1178, 18, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 370, 3, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1433, 5, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 31, 8, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 414, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 477, 8, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 2, 2, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 2049, 1, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1143, 3, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 629, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 364, 19, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 121, 7, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16107, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 2, 2, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16108, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 307, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16109, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 622, 14, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16110, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 364, 19, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16111, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 1512, 2, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16112, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 936, 10, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16113, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 173, 9, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16114, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 1207, 20, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16115, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 96, 1, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16116, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 1201, 1, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16117, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 647, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16118, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A23', 1512, 2, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16119, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 1136, 16, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16120, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 1201, 1, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16121, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 2, 2, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16122, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 173, 9, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16123, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 936, 10, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16124, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1143, 3, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16125, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 96, 1, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16126, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 629, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16127, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 307, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16128, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 370, 3, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16129, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 414, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16130, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 647, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16131, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 1492, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16132, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 364, 19, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16133, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 2, 2, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16134, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 936, 10, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16135, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 208, 12, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16136, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 10, 1, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16137, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 173, 9, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16138, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 414, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16139, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 370, 3, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16140, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 96, 1, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16141, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1433, 5, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16142, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 2049, 1, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16143, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 31, 8, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16144, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 69, 11, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16145, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1178, 18, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16146, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 629, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16147, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 364, 19, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16148, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1143, 3, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16149, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 477, 8, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16150, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 88, 13, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16151, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 249, 2, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16152, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 121, 7, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16153, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 564, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16154, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 307, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16155, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 1492, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16156, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 1136, 16, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16157, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 414, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16158, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 936, 10, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16159, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 370, 3, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16160, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 173, 9, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16161, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A23', 1512, 2, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16162, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 96, 1, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16163, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 2, 2, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16164, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 1201, 1, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16165, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 647, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16166, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 629, 4, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16167, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 364, 19, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16168, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1143, 3, 2023, 4, 15, '2024-08-05 13:56:39', NULL, NULL), (16169, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 15, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16170, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 87, 119, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16171, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 13, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16172, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1081, 358, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16173, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 4832, 6, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16174, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 349, 126, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16175, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 272, 290, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16176, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 370, 71, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16177, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1337, 400, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16178, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 768, 113, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16179, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 994, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16180, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 112, 122, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16181, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 469, 405, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16182, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1333, 401, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16183, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 464, 216, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16184, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 261, 91, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16185, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 533, 144, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16186, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 271, 292, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16187, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 87, 119, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16188, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1081, 358, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16189, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 469, 405, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16190, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1056, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16191, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 232, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16192, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 3121, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16193, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 197, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16194, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 142, 35, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16195, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 493, 37, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16196, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 87, 119, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16197, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 446, 55, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16198, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1132, 169, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16199, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 306, 10, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16200, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 197, 36, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16201, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16202, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 683, 16, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16203, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 15, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16204, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 353, 3, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16205, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 96, 38, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16206, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 62, 21, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16207, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1671, 12, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16208, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 0, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16209, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 483, 21, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16210, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 10, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16211, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16212, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 97, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16213, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '', '', '', 476, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16214, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 15, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16215, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 13, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16216, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 82, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16217, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16218, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 139, 138, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16219, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 761, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16220, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 34, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16221, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1671, 95, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16222, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 25290, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16223, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 76, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16224, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 352, 81, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16225, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 466, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16226, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 40, 16, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16227, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 41, 10, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16228, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 343, 45, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16229, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 994, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 95, 8, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 1083, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 722, 13, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 95, 6, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 502, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1056, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 62, 21, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 3738, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 197, 36, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1669, 11, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1317, 35, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1928, 24, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 32, 18, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1455, 3, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 3231, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2694, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1898, 26, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1499, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1234, 31, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3165, 8, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 3521, 20, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2164, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1060, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1501, 47, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1385, 14, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1933, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 1695, 24, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1823, 28, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1256, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 150, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 265, 26, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 229, 20, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 256, 24, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 540, 42, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 544, 134, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 579, 113, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 2337, 23, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 41, 18, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 158, 25, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 32, 12, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 76, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 34, 23, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 183, 20, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 74, 27, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 271, 22, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1770, 31, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 176, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 114, 16, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 40, 21, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 192, 26, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 99, 14, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 143, 9, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 208, 6, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 624, 10, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 406, 20, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1331, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 205, 8, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 249, 18, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 158, 18, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 122, 33, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 519, 20, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 110, 36, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 461, 17, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 13, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 119, 35, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 96, 38, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 994, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 65, 13, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 15, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 77, 12, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 126, 11, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 429, 48, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 352, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 141, 30, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 100, 39, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 296, 74, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 25290, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 76, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3121, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 197, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 232, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 75, 17, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 119, 17, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 16, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 4, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 491, 11, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1146, 87, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 11, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 181, 12, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 579, 10, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 68, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 266, 11, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 24, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 480, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 34, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 4, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 683, 16, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 7, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 93, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 446, 55, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 7, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1118, 82, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 5, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 195, 3, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 124, 3, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 77, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1825, 10, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1671, 12, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1471, 16, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 761, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16340, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 62, 21, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16341, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 97, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16342, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 13, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16343, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 34, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16344, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 87, 119, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16345, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 306, 10, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16346, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 82, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16347, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 483, 21, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16348, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 761, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16349, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1132, 169, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16350, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 232, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16351, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 197, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16352, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 353, 3, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16353, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 446, 55, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16354, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 493, 37, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16355, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 96, 38, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16356, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 40, 16, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16357, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 994, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16358, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 41, 10, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16359, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 343, 45, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16360, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 76, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16361, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 683, 16, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16362, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 352, 81, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16363, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1671, 95, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16364, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1056, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16365, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 197, 36, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16366, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 25290, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16367, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 15, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16368, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1671, 12, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16369, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 15, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16370, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 140, 137, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16371, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 142, 35, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16372, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '市公安局', '', '', 476, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16373, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 13, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16374, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 3121, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16375, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 466, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16376, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 3121, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16377, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 683, 16, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16378, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 95, 8, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16379, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 722, 13, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16380, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 62, 21, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16381, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 446, 55, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16382, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 40, 21, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16383, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 15, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16384, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '', '', '1A21', 476, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16385, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 183, 20, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16386, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 32, 12, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16387, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 34, 23, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16388, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 275, 15, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16389, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 41, 18, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16390, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 352, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16391, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 158, 25, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16392, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 27, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16393, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 381, 26, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16394, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 92, 12, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16395, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 7, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16396, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 93, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16397, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 7, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16398, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 124, 3, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16399, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 77, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16400, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1056, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16401, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 198, 19, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16402, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 994, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16403, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 119, 17, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16404, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 75, 17, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16405, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 142, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16406, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 491, 11, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16407, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 58, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16408, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 232, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16409, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 77, 12, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16410, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1671, 12, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16411, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 13, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16412, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 15, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16413, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 34, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16414, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 25290, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16415, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 100, 39, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16416, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 141, 30, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16417, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 126, 11, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16418, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 761, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16419, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 4, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16420, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 24, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16421, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 16, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16422, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 353, 3, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16423, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1256, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16424, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 1083, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16425, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 11, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16426, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 519, 20, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16427, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 3738, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16428, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 68, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16429, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 461, 17, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16430, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 1669, 11, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16431, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 250, 48, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16432, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 499, 33, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16433, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 111, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16434, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 502, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16435, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 4, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16436, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1825, 10, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16437, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1471, 16, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16438, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1118, 82, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16439, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1146, 87, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16440, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 197, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16441, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 466, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16442, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 76, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16443, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1499, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16444, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1060, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16445, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1385, 14, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16446, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1933, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16447, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 96, 38, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16448, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1455, 3, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16449, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2694, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16450, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 197, 36, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16451, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 579, 10, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16452, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 266, 11, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16453, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 181, 12, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16454, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 4, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16455, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 480, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16456, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 34, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16457, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 93, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16458, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 7, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (16459, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 7, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16460, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1471, 16, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16461, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1825, 10, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16462, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 77, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16463, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1770, 31, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16464, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 2337, 23, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16465, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 124, 3, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16466, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 74, 27, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16467, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 122, 33, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16468, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 75, 17, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16469, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 119, 17, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16470, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2164, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16471, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 491, 11, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16472, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 16, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16473, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 3231, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16474, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 4, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16475, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3165, 8, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16476, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 24, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16477, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 68, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16478, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 158, 18, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16479, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 205, 8, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16480, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 11, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16481, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 99, 14, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16482, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 192, 26, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16483, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1146, 87, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16484, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1118, 82, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16485, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 446, 55, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16486, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 683, 16, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16487, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 110, 36, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16488, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 119, 35, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16489, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 65, 13, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16490, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 96, 38, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16491, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 62, 21, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16492, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 197, 36, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16493, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 519, 20, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16494, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 95, 8, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16495, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 461, 17, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16496, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1056, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16497, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 77, 12, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16498, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 540, 42, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16499, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 722, 13, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16500, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 100, 39, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16501, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 256, 24, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16502, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 95, 6, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16503, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 126, 11, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16504, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 579, 113, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16505, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 544, 134, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16506, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 141, 30, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16507, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 502, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16508, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 150, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16509, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1385, 14, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16510, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 271, 22, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16511, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1060, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16512, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1499, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16513, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 229, 20, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16514, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2694, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16515, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 265, 26, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16516, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1455, 3, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16517, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 76, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16518, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 994, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16519, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 249, 18, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16520, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1256, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16521, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1933, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16522, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 195, 3, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16523, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 1083, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16524, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1669, 11, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16525, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 3738, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16526, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 5, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16527, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 13, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16528, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 429, 48, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16529, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 296, 74, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16530, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 352, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16531, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 15, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16532, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 158, 25, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16533, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 32, 12, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16534, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 41, 18, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16535, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 34, 23, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16536, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 183, 20, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16537, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 25290, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16538, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 40, 21, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16539, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 197, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16540, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 232, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16541, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 76, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16542, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3121, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16543, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 761, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16544, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1671, 12, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16545, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 114, 16, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16546, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1331, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16547, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 406, 20, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16548, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 176, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16549, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1501, 47, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16550, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 3521, 20, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16551, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 143, 9, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16552, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1234, 31, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16553, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1898, 26, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16554, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 32, 18, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16555, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 624, 10, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16556, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 208, 6, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16557, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1928, 24, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16558, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1317, 35, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16559, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1823, 28, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16560, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 1695, 24, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16561, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1256, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16562, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1933, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16563, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 95, 8, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16564, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1455, 3, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16565, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1671, 12, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16566, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1499, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16567, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2694, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16568, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 722, 13, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16569, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1385, 14, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16570, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1060, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16571, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 11, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16572, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 126, 11, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16573, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 141, 30, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16574, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 100, 39, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16575, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 77, 12, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16576, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 1083, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16577, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 1669, 11, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16578, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 3738, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16579, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 502, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16580, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 111, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16581, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 197, 36, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16582, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 142, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16583, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 58, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16584, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1825, 10, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16585, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1471, 16, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16586, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 24, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16587, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 68, 7, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16588, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 62, 21, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16589, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 4, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16590, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 466, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16591, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 275, 15, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16592, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 40, 21, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16593, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1146, 87, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16594, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 16, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16595, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1118, 82, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16596, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 381, 26, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16597, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 352, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16598, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 446, 55, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16599, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 4, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16600, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 92, 12, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16601, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 32, 12, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16602, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 34, 23, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16603, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 198, 19, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16604, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 183, 20, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16605, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 27, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16606, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 41, 18, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16607, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 158, 25, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16608, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 34, 5, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16609, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 15, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16610, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 124, 3, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16611, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 77, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16612, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 683, 16, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16613, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 232, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16614, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 13, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16615, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1056, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16616, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 7, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16617, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 93, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16618, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 7, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16619, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 499, 33, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16620, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 461, 17, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16621, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 491, 11, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16622, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '市公安局', '', '1A21', 476, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16623, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 519, 20, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16624, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 250, 48, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16625, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 15, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16626, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 96, 38, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16627, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 353, 3, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16628, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 25290, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16629, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 761, 4, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16630, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 3121, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16631, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 75, 17, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16632, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 76, 2, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16633, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 197, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16634, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 119, 17, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16635, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 994, 1, 2023, 4, 17, '2024-08-05 13:56:41', NULL, NULL), (16636, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 2606, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16637, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 44, 112, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16638, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '', 36, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16639, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 160, 4, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16640, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 931, 299, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16641, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 299, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16642, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 134, 85, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16643, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 812, 52, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16644, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 327, 263, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16645, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 923, 112, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16646, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 630, 424, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16647, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 95, 76, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16648, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 398, 289, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16649, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 630, 424, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16650, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 408, 158, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16651, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 317, 94, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16652, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 833, 97, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16653, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 324, 265, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16654, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 44, 112, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16655, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 931, 299, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16656, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 398, 289, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16657, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1229, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16658, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 226, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16659, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '', 0, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16660, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16661, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 129, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16662, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 192, 23, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16663, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 44, 112, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16664, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 174, 33, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16665, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 916, 138, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16666, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 815, 11, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16667, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 177, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16668, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 262, 36, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16669, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 218, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16670, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 25, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16671, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 431, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16672, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 326, 46, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16673, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 203, 23, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16674, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 570, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16675, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 0, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16676, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 260, 21, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16677, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 128, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16678, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 36, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16679, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 945, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16680, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 278, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16681, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '', '', '', 6, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16682, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 2606, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16683, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 3, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16684, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 17, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16685, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 244, 140, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16686, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 632, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16687, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 1362, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16688, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1434, 96, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16689, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 441, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16690, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 138, 55, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16691, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 6, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16692, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 60, 18, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16693, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 104, 13, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16694, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 124, 31, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 474, 7, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 1417, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 154, 14, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 84, 9, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 2065, 4, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1229, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 203, 23, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 695, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1649, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 262, 36, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 820, 28, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 46, 21, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 40, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 698, 27, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 4006, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1703, 9, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1005, 38, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1247, 9, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 4695, 7, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 693, 35, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1145, 11, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3338, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 961, 36, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2538, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 780, 37, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 582, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 962, 25, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 791, 42, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1325, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 588, 18, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 355, 26, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 535, 26, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 744, 11, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 293, 91, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 300, 67, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 761, 28, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 14, 15, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 48, 28, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 7, 15, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 657, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 70, 19, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 431, 15, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 31, 28, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 108, 16, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 481, 25, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 6, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 462, 13, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 12, 19, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 282, 11, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 131, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 44, 4, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1231, 28, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 262, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 137, 9, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 556, 30, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 55, 24, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 39, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 142, 7, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 106, 28, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 160, 4, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 118, 24, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 326, 46, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 58, 19, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D11', 36, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 2606, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 143, 22, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 67, 16, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 114, 29, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 86, 24, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 186, 40, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 145, 56, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 441, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 294, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 158, 19, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 42, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 155, 9, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 30, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 5, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 1606, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 83, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 942, 62, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 17, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 1780, 9, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 84, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 79, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 103, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 49, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 349, 11, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 218, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 61, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 97, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 174, 33, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 212, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 894, 76, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 37, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 122, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 945, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1721, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 713, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1417, 13, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1362, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 632, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16797, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 203, 23, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16798, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 945, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16799, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 160, 4, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16800, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 815, 11, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16801, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 44, 112, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16802, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 3, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16803, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 632, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16804, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 260, 21, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16805, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 916, 138, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16806, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 226, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16807, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 431, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16808, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 174, 33, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16809, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 129, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16810, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 326, 46, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16811, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 60, 18, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16812, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 124, 31, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16813, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 104, 13, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16814, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 441, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16815, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 278, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16816, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '', 36, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16817, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 1362, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16818, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 218, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16819, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 140, 54, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16820, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1434, 96, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16821, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1229, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16822, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 262, 36, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16823, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 713, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16824, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 2606, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16825, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 177, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16826, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 25, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16827, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 244, 140, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16828, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 6, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16829, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 192, 23, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16830, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '市公安局', '', '', 6, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16831, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 17, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16832, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 218, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16833, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 474, 7, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16834, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 154, 14, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16835, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 6, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16836, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 203, 23, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16837, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 174, 33, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16838, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 12, 19, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16839, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 2606, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16840, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 278, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16841, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '', '', '1A21', 6, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16842, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 108, 16, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16843, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 7, 15, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16844, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 70, 19, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16845, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 102, 13, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16846, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 14, 15, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16847, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 48, 28, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16848, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 73, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16849, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 141, 18, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16850, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 137, 7, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16851, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 212, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16852, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 97, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16853, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 61, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16854, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 945, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16855, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 177, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16856, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1229, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16857, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 282, 11, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16858, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 155, 9, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16859, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 158, 19, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16860, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 3, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16861, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 1606, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16862, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 318, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16863, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 42, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16864, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 143, 22, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16865, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 713, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16866, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 160, 4, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16867, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 25, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16868, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 186, 40, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16869, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 86, 24, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16870, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 67, 16, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16871, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 632, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16872, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 5, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16873, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 1362, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16874, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 49, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16875, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 431, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16876, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 30, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16877, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1325, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (16878, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 1417, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16879, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 39, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16880, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 17, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16881, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 79, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16882, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 695, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16883, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 142, 7, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16884, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 1649, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16885, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 147, 38, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16886, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 125, 16, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16887, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 101, 7, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16888, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '1D11', 36, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16889, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 2065, 4, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16890, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1721, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16891, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1417, 13, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16892, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 894, 76, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16893, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 942, 62, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16894, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 83, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16895, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 441, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16896, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1247, 9, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16897, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1145, 11, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16898, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2538, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16899, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 582, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16900, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 326, 46, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16901, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 40, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16902, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1703, 9, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16903, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 262, 36, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16904, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 84, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16905, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 103, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16906, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 83, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16907, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 1780, 9, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16908, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 349, 11, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16909, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 97, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16910, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 212, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16911, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 61, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16912, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1417, 13, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16913, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1721, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16914, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 481, 25, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16915, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 945, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16916, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 761, 28, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16917, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 31, 28, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 158, 19, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16919, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 155, 9, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16920, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3338, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16921, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 1606, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16922, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 30, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16923, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 4006, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16924, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 5, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16925, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 4695, 7, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16926, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 49, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16927, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 79, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16928, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 55, 24, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16929, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 137, 9, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16930, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 17, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16931, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 131, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16932, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 942, 62, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16933, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 282, 11, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16934, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 894, 76, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16935, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 174, 33, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16936, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 218, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16937, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 106, 28, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16938, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 118, 24, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16939, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 58, 19, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16940, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 203, 23, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16941, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 326, 46, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16942, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 39, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16943, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 262, 36, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16944, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 142, 7, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16945, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 474, 7, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16946, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1229, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16947, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 143, 22, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16948, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 154, 14, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16949, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 186, 40, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16950, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 744, 11, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16951, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 67, 16, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16952, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 84, 9, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16953, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 300, 67, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16954, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 2065, 4, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16955, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 86, 24, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16956, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 293, 91, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16957, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 588, 18, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16958, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2538, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16959, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 431, 15, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16960, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1145, 11, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16961, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1247, 9, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16962, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 535, 26, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16963, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 355, 26, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16964, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1703, 9, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16965, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 40, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16966, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 657, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16967, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 556, 30, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16968, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1325, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16969, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 582, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16970, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 122, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16971, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 1417, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16972, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1649, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16973, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 695, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16974, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 37, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16975, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 160, 4, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16976, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 114, 29, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16977, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 145, 56, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16978, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 2606, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16979, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 48, 28, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16980, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 7, 15, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16981, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 14, 15, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16982, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 70, 19, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16983, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 108, 16, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16984, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 12, 19, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16985, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 294, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16986, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 441, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16987, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 42, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16988, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1362, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16989, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 632, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16990, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 713, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16991, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 462, 13, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16992, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 262, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16993, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 6, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16994, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 780, 37, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16995, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 961, 36, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16996, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 44, 4, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16997, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 693, 35, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16998, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1005, 38, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (16999, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1231, 28, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17000, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 698, 27, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17001, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 46, 21, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17002, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 820, 28, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17003, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 791, 42, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17004, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '1D11', 36, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17005, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 962, 25, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17006, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1325, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17007, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 582, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17008, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 474, 7, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17009, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 713, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17010, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 40, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17011, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1247, 9, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17012, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1703, 9, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17013, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 154, 14, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17014, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2538, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17015, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1145, 11, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17016, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 17, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17017, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 67, 16, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17018, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 86, 24, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17019, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 186, 40, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17020, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 143, 22, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17021, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 1417, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17022, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 1649, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17023, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 695, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17024, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 2065, 4, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17025, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 101, 7, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17026, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 262, 36, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17027, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 3, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17028, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1721, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17029, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1417, 13, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17030, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 177, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17031, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 49, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17032, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 79, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17033, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 203, 23, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17034, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 102, 13, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17035, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 12, 19, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17036, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 942, 62, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17037, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 30, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17038, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 894, 76, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17039, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 141, 18, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17040, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 174, 33, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17041, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 5, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17042, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 7, 15, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17043, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 137, 7, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17044, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 70, 19, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17045, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 282, 11, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17046, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 108, 16, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17047, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 73, 5, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17048, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 14, 15, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17049, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 48, 28, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17050, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 2606, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17051, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 945, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17052, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 218, 8, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17053, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 318, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17054, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 160, 4, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17055, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1229, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17056, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 42, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17057, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 212, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17058, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 97, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17059, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 61, 6, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17060, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 1362, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17061, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 125, 16, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17062, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 142, 7, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17063, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 1606, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17064, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '市公安局', '', '1A21', 6, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17065, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 39, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17066, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 147, 38, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17067, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 25, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17068, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 326, 46, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17069, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 431, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17070, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 83, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17071, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 6, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17072, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 632, 10, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17073, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 158, 19, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17074, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 441, 2, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17075, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 155, 9, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17076, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 278, 3, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17077, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '1D11', 36, 1, 2023, 4, 18, '2024-08-05 13:56:42', NULL, NULL), (17078, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 665, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17079, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 16, 78, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17080, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 700, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17081, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 537, 283, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17082, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 668, 15, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17083, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 258, 91, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17084, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 647, 80, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17085, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 367, 217, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17086, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 728, 114, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17087, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 151, 366, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17088, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 7, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17089, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 244, 213, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17090, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 301, 79, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17091, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 151, 367, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17092, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 448, 201, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17093, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 284, 84, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17094, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 761, 109, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17095, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 363, 219, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17096, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 16, 79, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17097, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 537, 283, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17098, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 244, 213, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17099, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 560, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17100, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 2538, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17101, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 163, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17102, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 20, 11, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17103, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 265, 39, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17104, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 16, 79, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17105, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 199, 47, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17106, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 739, 120, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17107, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 319, 16, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17108, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 1168, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17109, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 237, 26, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17110, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 707, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17111, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 13, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17112, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 8803, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17113, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 166, 36, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17114, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 440, 20, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17115, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 50, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17116, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 0, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17117, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 188, 20, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17118, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 700, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17119, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1321, 5, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17120, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 911, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17121, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17122, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 285, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17123, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 160, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17124, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 428, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17125, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 75, 108, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17126, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 4992, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17127, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 5, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17128, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 46, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17129, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 459, 89, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17130, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 1068, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17131, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 269, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17132, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 275, 45, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17133, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 1277, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17134, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 267, 8, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17135, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 21, 13, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17136, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 16, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17137, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 241, 46, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17138, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 7, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 315, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 196, 16, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 157, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 251, 11, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 339, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 440, 20, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 642, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 237, 26, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 590, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 80, 23, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 83, 27, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 95, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 90, 26, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 467, 10, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 3335, 10, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 191, 22, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 470, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 889, 11, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 56, 29, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 492, 14, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1780, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 88, 24, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 408, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 96, 26, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 645, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 78, 17, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 89, 32, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 598, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 406, 5, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 379, 13, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 237, 23, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 209, 24, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 465, 8, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 217, 82, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 252, 49, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 123, 13, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 8, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 39, 14, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 13, 11, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 7, 14, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 27, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 83, 27, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 85, 14, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 266, 5, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 163, 19, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 4, 15, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 336, 20, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 288, 26, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1302, 15, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 708, 28, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 795, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 201, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1208, 10, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 199, 14, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 40, 25, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 86, 20, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 15, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 26, 5, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 72, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 700, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 25, 15, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 166, 36, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 7, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 725, 23, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 665, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 58, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 118, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 378, 38, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 66, 28, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 262, 8, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 74, 26, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 157, 45, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 1068, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 269, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2538, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 163, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 527, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 79, 18, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 768, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 80, 13, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 28, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 33, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 115, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 672, 71, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 26, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 654, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 2212, 10, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 35, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 177, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 11, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 11, 8, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 46, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 618, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 707, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 18, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 199, 47, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 15, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 836, 49, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 465, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1321, 5, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 633, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 50, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 292, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 5, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 4992, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17244, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 440, 20, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17245, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 700, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17246, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 428, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17247, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 4992, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17248, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 739, 120, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17249, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 560, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17250, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 199, 47, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17251, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 166, 36, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17252, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 21, 13, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17253, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 5, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17254, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 707, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17255, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 459, 89, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17256, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 237, 26, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17257, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 1068, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17258, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 265, 39, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17259, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 267, 8, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17260, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1321, 5, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17261, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 46, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17262, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 319, 16, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17263, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 16, 78, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17264, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 188, 20, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17265, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 163, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17266, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 8803, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17267, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 20, 11, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17268, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 7, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17269, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 16, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17270, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 241, 46, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17271, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 269, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17272, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 911, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17273, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 275, 45, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17274, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 665, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17275, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 50, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17276, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 1168, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17277, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 13, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17278, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 76, 107, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17279, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 1277, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17280, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 160, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17281, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 2538, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17282, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 2538, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17283, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 707, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17284, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 196, 16, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17285, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 157, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17286, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 1277, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17287, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 440, 20, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17288, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 199, 47, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17289, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 4, 15, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17290, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 665, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17291, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 911, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17292, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 27, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (17293, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 13, 11, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17294, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 7, 14, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17295, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 8, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17296, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 351, 16, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17297, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 39, 14, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17298, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 262, 8, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17299, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 107, 5, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17300, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 154, 22, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17301, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 258, 20, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17302, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 15, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17303, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 18, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17304, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 1168, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17305, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 1321, 5, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17306, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 331, 14, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17307, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 7, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17308, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 80, 13, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17309, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 79, 18, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17310, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 160, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17311, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A21', 447, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17312, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 115, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17313, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 677, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17314, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 143, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17315, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 768, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17316, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 58, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17317, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 50, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17318, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 700, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17319, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 13, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17320, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 46, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17321, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 1068, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17322, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 74, 26, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17323, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 66, 28, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17324, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 118, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17325, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 4992, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17326, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 33, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17327, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 5, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17328, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 11, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17329, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 8803, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17330, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 28, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17331, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 598, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17332, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 315, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17333, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 26, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17334, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 15, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17335, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 642, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17336, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 35, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17337, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 26, 5, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17338, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 590, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17339, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 159, 23, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17340, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 397, 22, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17341, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 304, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17342, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 339, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17343, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 618, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17344, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 633, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17345, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 292, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17346, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 836, 49, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17347, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 672, 71, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17348, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 163, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17349, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 183, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17350, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A22', 279, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17351, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A21', 570, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17352, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 269, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17353, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 470, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17354, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 492, 14, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17355, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 408, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17356, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 645, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17357, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 166, 36, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17358, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 95, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17359, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 467, 10, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17360, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 237, 26, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17361, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 2212, 10, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17362, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 177, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17363, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 654, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17364, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 618, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17365, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 11, 8, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17366, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 46, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17367, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 15, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17368, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 18, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17369, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 292, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17370, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 633, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17371, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 85, 14, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17372, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1321, 5, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17373, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 123, 13, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17374, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 406, 5, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17375, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 83, 27, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17376, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 86, 20, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17377, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 79, 18, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17378, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 80, 13, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17379, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1780, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17380, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 115, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17381, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 28, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17382, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 3335, 10, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17383, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 33, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17384, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 889, 11, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17385, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 11, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17386, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 35, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17387, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 40, 25, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17388, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1208, 10, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17389, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 26, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17390, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 288, 26, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17391, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 336, 20, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17392, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 672, 71, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17393, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 836, 49, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17394, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 199, 47, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17395, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 707, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17396, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 72, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17397, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 25, 15, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17398, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 725, 23, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17399, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 440, 20, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17400, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 166, 36, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17401, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 237, 26, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17402, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 15, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17403, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 26, 5, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17404, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 196, 16, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17405, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 58, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17406, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 74, 26, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17407, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 157, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17408, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 465, 8, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17409, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 252, 49, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17410, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 118, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17411, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 251, 11, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17412, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 339, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17413, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 66, 28, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17414, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 217, 82, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17415, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 379, 13, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17416, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 408, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17417, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 492, 14, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17418, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 470, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17419, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 209, 24, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17420, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 467, 10, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17421, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 237, 23, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17422, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 95, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17423, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 7, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17424, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 199, 14, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17425, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 598, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17426, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 645, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17427, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 315, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17428, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 590, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17429, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 642, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17430, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 465, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17431, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 700, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17432, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 378, 38, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17433, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 157, 45, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17434, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 262, 8, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17435, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 665, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17436, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 39, 14, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17437, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 13, 11, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17438, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 8, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17439, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 7, 14, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17440, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 27, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17441, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 1068, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17442, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 4, 15, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17443, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 163, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17444, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 527, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17445, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 269, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17446, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2538, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17447, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 768, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17448, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 5, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17449, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 4992, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17450, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 50, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17451, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 163, 19, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17452, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 201, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17453, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 795, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17454, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 266, 5, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17455, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 96, 26, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17456, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 88, 24, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17457, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1302, 15, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17458, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 56, 29, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17459, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 191, 22, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17460, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 708, 28, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17461, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 90, 26, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17462, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 83, 27, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17463, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 80, 23, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17464, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 89, 32, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17465, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 78, 17, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17466, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 598, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17467, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 645, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17468, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 196, 16, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17469, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 50, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17470, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 95, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17471, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 470, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17472, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 467, 10, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17473, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 408, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17474, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 157, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17475, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 492, 14, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17476, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 26, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17477, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 118, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17478, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 66, 28, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17479, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 74, 26, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17480, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 58, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17481, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 315, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17482, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 590, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17483, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 642, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17484, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 339, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17485, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 304, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17486, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 237, 26, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17487, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 160, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17488, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 677, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17489, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A21', 447, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17490, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 633, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17491, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 292, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17492, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 1168, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17493, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 11, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17494, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 35, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17495, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 440, 20, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17496, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 183, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17497, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 618, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17498, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A22', 279, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17499, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A21', 570, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17500, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 4, 15, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17501, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 351, 16, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17502, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 672, 71, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17503, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 28, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17504, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 836, 49, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17505, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 154, 22, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17506, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 199, 47, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17507, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 262, 8, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17508, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 33, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17509, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 13, 11, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17510, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 258, 20, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17511, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 7, 14, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17512, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 331, 14, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17513, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 27, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17514, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 107, 5, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17515, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 8, 12, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17516, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 39, 14, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17517, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 46, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17518, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 665, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17519, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 1321, 5, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17520, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 707, 9, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17521, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 143, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17522, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 700, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17523, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 768, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17524, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 15, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17525, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 18, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17526, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 5, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17527, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 397, 22, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17528, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 26, 5, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17529, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 115, 3, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17530, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 15, 6, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17531, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 159, 23, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17532, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 13, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17533, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 166, 36, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17534, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 8803, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17535, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 1068, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17536, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 1277, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17537, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 4992, 7, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17538, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 2538, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17539, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 79, 18, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17540, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 163, 1, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17541, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 269, 4, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17542, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 80, 13, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17543, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 911, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17544, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 7, 2, 2023, 4, 19, '2024-08-05 13:56:43', NULL, NULL), (17545, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 7823, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17546, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 22, 95, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17547, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '', 8459, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17548, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 684, 286, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17549, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 652, 19, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17550, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 197, 77, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17551, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 853, 69, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17552, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 197, 236, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17553, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1713, 73, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17554, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 286, 386, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17555, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 308, 246, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17556, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 235, 71, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17557, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 285, 388, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17558, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 752, 179, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17559, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 581, 52, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17560, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1213, 92, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17561, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 196, 238, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17562, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 22, 95, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17563, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 684, 286, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17564, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 308, 246, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17565, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 6338, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17566, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 373, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17567, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 2557, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17568, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 4046, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17569, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 7, 14, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17570, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 318, 39, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17571, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 22, 95, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17572, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 572, 44, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17573, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 373, 121, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17574, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1250, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17575, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 268, 26, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17576, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 270, 13, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17577, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1042, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17578, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 24, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17579, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 168, 30, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17580, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 196, 8, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17581, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1631, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17582, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 0, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17583, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 50, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17584, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 8459, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17585, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 268, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17586, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 55, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17587, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 274, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17588, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 6258, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17589, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 60, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17590, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 482, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17591, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17592, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 122, 129, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17593, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1379, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17594, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17595, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 33, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17596, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1298, 93, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17597, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 475, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17598, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 253, 35, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17599, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 529, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17600, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 26, 12, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17601, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 9, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17602, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 150, 42, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17603, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 264, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 79, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 27, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 16, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 2124, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 6338, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 196, 8, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 370, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 592, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 268, 26, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 289, 17, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 173, 20, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 610, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 320, 24, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1024, 10, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 4700, 10, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 281, 33, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 645, 26, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1402, 15, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 5095, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1765, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 372, 22, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3057, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 902, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 276, 31, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1210, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 269, 31, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 137, 35, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2562, 12, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 5, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 426, 14, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 284, 19, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 214, 19, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 335, 14, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 39, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 362, 79, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 272, 77, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 266, 23, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 4, 19, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 26, 16, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 4, 14, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 7, 18, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 364, 11, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 47, 12, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 169, 24, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 257, 23, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 56, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 813, 19, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 56, 16, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 544, 20, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 241, 21, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 565, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 872, 35, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1081, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1797, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 164, 12, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 187, 10, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 183, 25, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 7, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 102, 21, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 101, 14, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 7, 11, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 134, 16, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 168, 30, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 28, 12, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D11', 8459, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 7823, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 103, 28, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 158, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 172, 38, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 121, 25, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 129, 11, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 88, 34, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 257, 28, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 475, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2557, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4046, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 85, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 299, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 123, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 170, 19, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 12, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 99, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 230, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 421, 52, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 46, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 28, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 136, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 41, 10, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 49, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 51, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 93, 8, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 270, 13, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 13, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 572, 44, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 6, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 338, 69, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1388, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 910, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 80, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 644, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 879, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1631, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1299, 16, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1379, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17710, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 196, 8, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17711, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 268, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17712, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 33, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (17713, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1250, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17714, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 22, 95, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17715, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 482, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17716, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1379, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17717, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 50, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17718, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 274, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17719, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 373, 121, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17720, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 373, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17721, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 4046, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17722, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 24, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17723, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 572, 44, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17724, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 7, 14, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17725, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 168, 30, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17726, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 26, 12, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17727, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 9, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17728, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 150, 42, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17729, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 475, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17730, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 55, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17731, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '', 8459, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17732, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 253, 35, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17733, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 270, 13, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17734, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1298, 93, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17735, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 6338, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17736, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 268, 26, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17737, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1631, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17738, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 7823, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17739, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1042, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17740, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 122, 129, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17741, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 318, 39, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17742, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 60, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17743, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 2557, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17744, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 529, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17745, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 2557, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17746, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 270, 13, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17747, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 79, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17748, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 27, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17749, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 196, 8, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17750, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 572, 44, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17751, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 56, 16, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17752, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 7823, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17753, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 274, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17754, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 57, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17755, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 52, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17756, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 47, 12, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17757, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 4, 14, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17758, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 7, 18, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17759, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 125, 17, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17760, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 4, 19, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17761, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 26, 16, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17762, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 129, 11, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17763, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 198, 14, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17764, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 230, 8, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17765, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 246, 18, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17766, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 6, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17767, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 13, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17768, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 80, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17769, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 644, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17770, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 6338, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17771, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 471, 13, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17772, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 170, 19, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17773, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 85, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17774, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A22', 211, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17775, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A21', 9, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17776, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 739, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17777, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 230, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17778, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 481, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17779, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 158, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17780, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 103, 28, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17781, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1631, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17782, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1042, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17783, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 33, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17784, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 88, 34, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17785, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 121, 25, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17786, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 158, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17787, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1379, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17788, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 99, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17789, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 49, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17790, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 12, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17791, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 24, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17792, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2562, 12, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17793, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 264, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17794, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 7, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17795, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 46, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17796, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17797, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 370, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17798, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 592, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17799, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 7, 11, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17800, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 317, 14, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17801, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 210, 21, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17802, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 16, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17803, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 2485, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17804, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '1D11', 8459, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17805, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 879, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17806, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1299, 16, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17807, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 338, 69, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17808, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 421, 52, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17809, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 4046, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17810, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 529, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17811, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 475, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17812, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1402, 15, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17813, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1765, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17814, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 902, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17815, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1210, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17816, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 168, 30, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17817, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 610, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17818, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1024, 10, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17819, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 268, 26, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17820, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 136, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17821, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 41, 10, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17822, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 28, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17823, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 51, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17824, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 93, 8, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17825, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 6, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17826, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 13, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17827, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1299, 16, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17828, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 879, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17829, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 644, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17830, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 257, 23, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17831, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 266, 23, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17832, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 80, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17833, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 5, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17834, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 169, 24, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17835, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 102, 21, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17836, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 85, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17837, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 170, 19, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17838, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3057, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17839, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 230, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17840, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 12, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17841, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 4700, 10, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17842, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 99, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17843, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 5095, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17844, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 49, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17845, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17846, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 183, 25, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17847, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 187, 10, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17848, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 46, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17849, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 241, 21, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17850, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 544, 20, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17851, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 421, 52, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17852, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 338, 69, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17853, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 572, 44, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17854, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 270, 13, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17855, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 101, 14, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17856, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 134, 16, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17857, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 28, 12, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17858, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 168, 30, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17859, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 196, 8, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17860, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 7, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17861, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 268, 26, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17862, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 79, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17863, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 7, 11, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17864, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 6338, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17865, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 103, 28, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17866, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 39, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17867, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 27, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17868, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 88, 34, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17869, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 335, 14, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17870, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 158, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17871, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 16, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17872, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 272, 77, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17873, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 2124, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17874, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 121, 25, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17875, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 362, 79, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17876, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 426, 14, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17877, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 902, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17878, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 364, 11, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17879, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1765, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17880, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 214, 19, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17881, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1402, 15, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17882, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 284, 19, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17883, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1024, 10, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17884, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 610, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17885, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 164, 12, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17886, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2562, 12, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17887, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1210, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17888, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 910, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17889, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 264, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17890, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 592, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17891, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 370, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17892, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1388, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17893, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 172, 38, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17894, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 257, 28, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17895, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 129, 11, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17896, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 7823, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17897, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 26, 16, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17898, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 4, 14, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17899, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 4, 19, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17900, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 7, 18, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17901, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 47, 12, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17902, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 56, 16, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17903, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4046, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17904, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 299, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17905, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 475, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17906, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2557, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17907, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 123, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17908, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1379, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17909, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1631, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17910, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 813, 19, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17911, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1797, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17912, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1081, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17913, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 56, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17914, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 276, 31, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17915, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 372, 22, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17916, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 645, 26, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17917, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 565, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17918, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 281, 33, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17919, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 872, 35, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17920, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 320, 24, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17921, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 173, 20, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17922, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 289, 17, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17923, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 137, 35, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17924, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '1D11', 8459, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17925, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 269, 31, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17926, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2562, 12, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17927, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1210, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17928, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 79, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17929, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 610, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17930, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1631, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17931, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1402, 15, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17932, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1024, 10, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17933, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 27, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17934, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 902, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17935, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1765, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17936, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 46, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17937, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 158, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17938, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 121, 25, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17939, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 88, 34, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17940, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 103, 28, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17941, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 264, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17942, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 592, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17943, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 274, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17944, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 370, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17945, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 2485, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17946, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 16, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17947, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 268, 26, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17948, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A22', 211, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17949, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 739, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17950, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A21', 9, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17951, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 879, 9, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17952, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1299, 16, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17953, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 49, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17954, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17955, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 196, 8, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17956, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 529, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17957, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 125, 17, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17958, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 56, 16, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17959, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 421, 52, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17960, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 12, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17961, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 338, 69, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17962, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 198, 14, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17963, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 129, 11, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17964, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 572, 44, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17965, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 99, 5, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17966, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 4, 14, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17967, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 246, 18, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17968, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 7, 18, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17969, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 471, 13, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17970, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 47, 12, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17971, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 230, 8, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17972, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 4, 19, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17973, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 26, 16, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17974, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 33, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17975, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 7823, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17976, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 80, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17977, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 644, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17978, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 270, 13, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17979, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 481, 4, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17980, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 158, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17981, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 6338, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17982, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 6, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17983, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 13, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17984, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 210, 21, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17985, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 7, 11, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17986, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 230, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17987, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1042, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17988, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 7, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17989, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 317, 14, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17990, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 168, 30, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17991, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 24, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17992, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1379, 6, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17993, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 2557, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17994, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 85, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17995, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 4046, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17996, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 475, 7, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17997, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 170, 19, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17998, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 52, 1, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (17999, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 57, 3, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (18000, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '1D11', 8459, 2, 2023, 4, 20, '2024-08-05 13:56:44', NULL, NULL), (18001, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 40, 110, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18002, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 3, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18003, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1017, 363, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18004, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 898, 9, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18005, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 152, 97, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18006, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1188, 82, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18007, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 100, 238, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18008, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 2529, 95, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18009, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 285, 439, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18010, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 4, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18011, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 619, 248, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18012, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 91, 84, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18013, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 284, 441, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18014, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 592, 203, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18015, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1474, 66, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18016, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1287, 117, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18017, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 99, 239, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18018, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 40, 110, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18019, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1014, 364, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18020, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 619, 248, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18021, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 541, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18022, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 1891, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18023, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 259, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18024, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 23, 10, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18025, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 363, 18, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18026, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 40, 110, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18027, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 141, 41, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18028, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 625, 130, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18029, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 7221, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18030, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 872, 38, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18031, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 7, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18032, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 207, 17, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18033, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 820, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18034, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 142, 33, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18035, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18036, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 276, 6, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18037, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 390, 15, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18038, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 3, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18039, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18040, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 421, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18041, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 14, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18042, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18043, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 4, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18044, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 345, 6, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18045, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 76, 132, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18046, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 207, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18047, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 21, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18048, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1838, 150, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18049, 1, '511500000000-0001', '宜宾市民中心', '贷款项目受理', '', '', '', 0, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18050, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 379, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18051, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 168, 59, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18052, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 2044, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18053, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 3, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18054, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 16, 7, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18055, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 53, 21, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18056, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 123, 39, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18057, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 4, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 390, 15, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 2484, 9, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 7221, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 541, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2072, 17, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 872, 38, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1820, 6, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 244, 25, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 227, 25, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1760, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 201, 16, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 4394, 13, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 275, 37, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2241, 12, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 4617, 10, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 249, 33, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1730, 13, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3969, 10, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1531, 10, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 240, 31, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 605, 30, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1968, 11, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1246, 17, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 388, 33, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 254, 35, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1602, 9, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 270, 19, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 142, 12, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 175, 23, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 86, 14, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 1069, 37, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 877, 67, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 680, 60, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 186, 15, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 10, 22, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 10, 20, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 12, 18, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 6, 16, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 228, 14, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 71, 32, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 281, 29, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 372, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 793, 7, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 25, 20, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 434, 36, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 254, 24, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 223, 15, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1638, 44, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 2078, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1297, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 138, 16, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 884, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 82, 30, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 31, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 81, 14, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 109, 25, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 15, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 142, 33, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 138, 20, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 3, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 4, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 20, 20, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (18120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 90, 19, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 57, 9, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 176, 55, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 51, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 70, 30, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 79, 31, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 123, 40, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 379, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 519, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 346, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 77, 28, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2664, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 66, 11, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 27, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 663, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 134, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 82, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 595, 75, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 99, 6, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 122, 6, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 9, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 208, 10, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 64, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 39, 14, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 12, 11, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 18, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 207, 17, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 6, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 141, 41, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 4, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 665, 55, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 194, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 3, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 67, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 775, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 2182, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1854, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 276, 6, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1824, 30, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 207, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18160, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 421, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18161, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 3, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18162, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 21, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18163, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 7221, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18164, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 40, 110, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18165, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '', 4, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18166, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 390, 15, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18167, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 207, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18168, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 14, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18169, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 625, 130, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18170, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 1891, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18171, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '', 820, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18172, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 141, 41, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18173, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 23, 10, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18174, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 142, 33, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18175, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 53, 21, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18176, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 4, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18177, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 16, 7, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18178, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 123, 39, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18179, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 379, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18180, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 171, 58, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18181, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 207, 17, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18182, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1838, 150, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18183, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 541, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18184, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 872, 38, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18185, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 276, 6, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18186, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 7, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18187, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 77, 131, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18188, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 2044, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18189, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 363, 18, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18190, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 345, 6, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18191, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 519, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18192, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 3, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18193, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 519, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18194, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 207, 17, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18195, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 390, 15, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18196, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 2044, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18197, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 141, 41, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18198, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 25, 20, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18199, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 14, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18200, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 228, 14, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18201, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 12, 18, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18202, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 6, 16, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18203, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 155, 23, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18204, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 10, 22, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18205, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 51, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18206, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 10, 20, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18207, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 80, 14, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18208, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 1001, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18209, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 56, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18210, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 4, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18211, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 6, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18212, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A23', 5, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18213, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 67, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18214, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A22', 10, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18215, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 775, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18216, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 541, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18217, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 325, 10, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18218, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 4, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18219, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 66, 11, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18220, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 77, 28, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18221, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '1A23', 4, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18222, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 134, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18223, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 346, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18224, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 2664, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18225, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 90, 19, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18226, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 276, 6, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18227, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 3, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18228, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 21, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18229, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 79, 31, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18230, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 70, 30, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18231, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 57, 9, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18232, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 207, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18233, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 663, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18234, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 12, 11, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18235, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '1A21', 820, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18236, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 27, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18237, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1602, 9, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18238, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 2484, 9, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18239, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 31, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18240, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 122, 6, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18241, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 64, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18242, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2072, 17, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18243, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 1820, 6, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18244, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 15, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18245, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 146, 26, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18246, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 191, 32, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18247, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 7221, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18248, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1854, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18249, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1824, 30, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18250, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 2182, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18251, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 665, 55, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18252, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 595, 75, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18253, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 82, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18254, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 3, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18255, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 379, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18256, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1730, 13, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18257, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1531, 10, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18258, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1968, 11, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18259, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 142, 33, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18260, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1246, 17, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18261, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1760, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18262, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2241, 12, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18263, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 872, 38, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18264, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 9, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18265, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 208, 10, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18266, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 82, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18267, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 99, 6, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18268, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 39, 14, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18269, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 18, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18270, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 4, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18271, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 6, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18272, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1824, 30, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18273, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1854, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18274, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 2182, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18275, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 775, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18276, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 281, 29, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18277, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 67, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18278, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 186, 15, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18279, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 71, 32, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18280, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 81, 14, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18281, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 77, 28, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18282, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 66, 11, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18283, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3969, 10, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18284, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 134, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18285, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 27, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18286, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 4394, 13, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18287, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 663, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18288, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 4617, 10, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18289, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 12, 11, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18290, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 64, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18291, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 82, 30, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18292, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 884, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18293, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 122, 6, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18294, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 254, 24, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18295, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 434, 36, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18296, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 595, 75, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18297, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 665, 55, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18298, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 141, 41, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18299, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 207, 17, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18300, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 109, 25, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18301, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 138, 20, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18302, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 20, 20, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18303, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 142, 33, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18304, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 31, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18305, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 872, 38, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18306, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 390, 15, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18307, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 15, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18308, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 541, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18309, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 90, 19, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18310, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 1069, 37, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18311, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 79, 31, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18312, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 86, 14, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18313, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 57, 9, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18314, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 680, 60, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18315, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 7221, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18316, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 877, 67, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18317, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 70, 30, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18318, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 270, 19, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18319, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1968, 11, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18320, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1531, 10, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18321, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 175, 23, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18322, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1730, 13, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18323, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 142, 12, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18324, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2241, 12, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18325, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1760, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18326, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 4, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18327, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 138, 16, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18328, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1602, 9, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18329, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1246, 17, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18330, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 3, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18331, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 2484, 9, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18332, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1820, 6, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18333, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2072, 17, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18334, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 194, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18335, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 3, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18336, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 176, 55, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18337, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 123, 40, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18338, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 51, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18339, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 10, 20, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18340, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 12, 18, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18341, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 10, 22, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18342, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 6, 16, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18343, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 228, 14, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18344, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 25, 20, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18345, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 346, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18346, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 379, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18347, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 519, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18348, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2664, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18349, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 207, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18350, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 276, 6, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18351, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 793, 7, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18352, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1297, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18353, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 2078, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18354, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 372, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18355, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 605, 30, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18356, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 240, 31, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18357, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 223, 15, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18358, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 249, 33, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18359, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 275, 37, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18360, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1638, 44, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18361, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 201, 16, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18362, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 227, 25, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18363, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 244, 25, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18364, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 254, 35, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18365, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 388, 33, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18366, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1602, 9, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18367, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1246, 17, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18368, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 390, 15, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18369, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 276, 6, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18370, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1760, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18371, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1730, 13, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18372, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2241, 12, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18373, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1968, 11, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18374, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1531, 10, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18375, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 122, 6, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18376, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 57, 9, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18377, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 70, 30, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18378, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 79, 31, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18379, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 90, 19, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18380, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 2484, 9, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18381, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 1820, 6, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18382, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 14, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18383, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2072, 17, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18384, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 7221, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18385, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 872, 38, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18386, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '市公安局', '', '1A23', 4, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18387, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1854, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18388, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 2182, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18389, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1824, 30, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18390, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A22', 10, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18391, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A23', 5, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18392, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 12, 11, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18393, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 64, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18394, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 3, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18395, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 155, 23, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18396, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 25, 20, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18397, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 595, 75, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18398, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 27, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18399, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 665, 55, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18400, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 80, 14, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18401, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 51, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18402, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 141, 41, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18403, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 663, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18404, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 56, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18405, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 12, 18, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18406, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 6, 16, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18407, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 325, 10, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18408, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 228, 14, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18409, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 1001, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18410, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 10, 22, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18411, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 10, 20, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18412, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 21, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18413, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 67, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18414, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 775, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18415, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 207, 17, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18416, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 346, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18417, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 3, 4, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18418, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 2664, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18419, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 541, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18420, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 4, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18421, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 6, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18422, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 191, 32, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18423, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 15, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18424, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 134, 3, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18425, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 31, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18426, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 146, 26, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18427, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 142, 33, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18428, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '市公安局', '', '1A21', 820, 2, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18429, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 82, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18430, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 2044, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18431, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 207, 8, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18432, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 519, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18433, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 77, 28, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18434, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 379, 5, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18435, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 66, 11, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18436, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 4, 1, 2023, 4, 21, '2024-08-05 13:56:45', NULL, NULL), (18437, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 24, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18438, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 738, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18439, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 124, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18440, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 14540, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18441, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 1125, 3, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18442, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 17, 5, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18443, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 3610, 110, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18444, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 812, 25, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18445, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 451, 48, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18446, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 3453, 115, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18447, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 5134, 3, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18448, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 17, 5, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18449, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 752, 27, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18450, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 844, 4, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18451, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 24, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18452, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 433, 50, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18453, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 68, 2, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18454, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 3316, 2, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18455, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18456, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 24, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18457, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 761, 22, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18458, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 41, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18459, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 1686, 2, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18460, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 0, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18461, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 325, 14, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18462, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 24, 10, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18463, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 124, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18464, 1, '511500000000-0001', '宜宾市民中心', '跨区域通办', '', '', '', 738, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18465, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 4, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18466, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 11, 4, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 510, 24, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 11, 4, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 34, 4, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 8055, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 41, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 17, 6, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 1686, 2, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 124, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 24, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 125, 3, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 4, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 454, 5, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 761, 22, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 738, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 55, 12, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 68, 2, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 16, 11, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 508, 4, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 387, 5, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 6127, 42, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 101, 2, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 4544, 29, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 14540, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 118, 10, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 3734, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18492, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 68, 2, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18493, 1, '511500000000-0001', '宜宾市民中心', '跨区域通办', '宜宾市政务服务和非公经济发展局', '', '', 738, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18494, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 325, 14, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18495, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 41, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18496, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 24, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18497, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 11, 4, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18498, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 761, 22, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18499, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 1686, 2, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18500, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 4, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18501, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 6633, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18502, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 24, 10, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18503, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 124, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18504, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 11, 4, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18505, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 17, 6, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18506, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 68, 2, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18507, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 6633, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18508, 1, '511500000000-0001', '宜宾市民中心', '跨区域通办', '', '', '1D26', 738, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18509, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 34, 4, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18510, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 125, 3, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18511, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E27', 4, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18512, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 1686, 2, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18513, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 41, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18514, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 508, 4, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18515, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 387, 5, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18516, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 24, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18517, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 101, 2, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18518, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 124, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18519, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 761, 22, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18520, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 24, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18521, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 1686, 2, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18522, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 11, 4, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18523, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 4, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18524, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 41, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18525, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 508, 4, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (18526, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 387, 5, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18527, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 68, 2, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18528, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 124, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18529, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 738, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18530, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 454, 5, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18531, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 510, 24, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18532, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 101, 2, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18533, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 17, 6, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18534, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 34, 4, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18535, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 3734, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18536, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 4544, 29, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18537, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 6127, 42, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18538, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 761, 22, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18539, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 125, 3, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18540, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 14540, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18541, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 16, 11, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18542, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 55, 12, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18543, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 8055, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18544, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 118, 10, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18545, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 41, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18546, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 24, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18547, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 6633, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18548, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 101, 2, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18549, 1, '511500000000-0001', '宜宾市民中心', '跨区域通办', '宜宾市政务服务和非公经济发展局', '', '1D26', 738, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18550, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 11, 4, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18551, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 508, 4, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18552, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 387, 5, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18553, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 68, 2, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18554, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E27', 4, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18555, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 17, 6, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18556, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 34, 4, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18557, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 1686, 2, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18558, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 124, 1, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18559, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 761, 22, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18560, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 125, 3, 2023, 4, 22, '2024-08-05 13:56:46', NULL, NULL), (18561, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 166, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18562, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 16, 51, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18563, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 400, 11, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18564, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 132, 39, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18565, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 199, 49, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18566, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 260, 146, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18567, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 142, 237, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18568, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 804, 84, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18569, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 137, 67, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18570, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 340, 120, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18571, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 203, 172, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18572, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 140, 239, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18573, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 180, 108, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18574, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 436, 59, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18575, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 542, 94, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18576, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 253, 150, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18577, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 16, 51, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18578, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 203, 172, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18579, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 337, 121, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18580, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 86, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18581, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 131, 4, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18582, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 21, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18583, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 390, 39, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18584, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 16, 51, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18585, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 151, 69, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18586, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 3567, 2, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18587, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 368, 29, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18588, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 487, 6, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18589, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 5494, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18590, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 87, 18, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18591, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 73, 14, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18592, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 4, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18593, 1, '511500000000-0001', '宜宾市民中心', '证件发放', '', '', '', 0, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18594, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1413, 10, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18595, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 133, 10, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18596, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '', 18, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18597, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 47, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18598, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 1643, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18599, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 33, 5, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18600, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 29, 8, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18601, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 73, 81, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18602, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 597, 12, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18603, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 1180, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18604, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 948, 3, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18605, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 137, 44, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18606, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 27, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18607, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 441, 5, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18608, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 90, 15, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18609, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 43, 2, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18610, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 15, 13, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18611, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 158, 24, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18612, 1, '511500000000-0001', '宜宾市民中心', '补换领牌证', '', '', '', 0, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18613, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 2, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 86, 3, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 196, 2, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 152, 7, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 3161, 4, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 86, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 73, 14, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 112, 7, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 209, 3, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 368, 29, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 59, 10, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 111, 12, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 17, 6, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 110, 21, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 178, 5, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 182, 18, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1987, 10, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 57, 15, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 166, 4, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1569, 9, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 388, 2, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 141, 11, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1116, 7, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 165, 4, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 141, 17, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 102, 3, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 123, 6, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 7, 8, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 148, 3, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 582, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 74, 9, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 57, 3, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 156, 6, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 472, 78, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 87, 8, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 4, 7, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 21, 10, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 20, 9, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 137, 10, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 10, 11, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 19, 3, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 24, 4, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 57, 20, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 89, 16, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 273, 5, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 280, 15, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 17, 10, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 316, 27, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 163, 24, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 104, 6, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 152, 15, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 29, 5, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 389, 3, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 129, 10, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 76, 11, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 224, 13, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 37, 19, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 21, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 70, 19, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 77, 19, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 92, 17, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 744, 7, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 166, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 73, 9, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 216, 2, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 140, 19, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 55, 26, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 41, 12, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 125, 20, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 27, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 441, 5, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 58, 15, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 433, 5, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 126, 16, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 29, 8, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 43, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 73, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 171, 37, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 11, 3, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 825, 5, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 199, 3, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 11, 3, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 3, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 5, 2, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 30, 4, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 33, 3, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 948, 3, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 487, 6, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 4, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 13, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 390, 39, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 129, 32, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 382, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 41, 2, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 47, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 84, 3, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2019, 7, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 69, 2, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1180, 1, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 597, 12, 2023, 4, 23, '2024-08-05 13:56:46', NULL, NULL), (18713, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 73, 14, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18714, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 47, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18715, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 948, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18716, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 3567, 2, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18717, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 16, 51, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18718, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 133, 10, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18719, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 597, 12, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18720, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 151, 69, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18721, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 131, 4, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18722, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 390, 39, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18723, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 21, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18724, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 92, 17, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18725, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 15, 13, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18726, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 43, 2, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18727, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 158, 24, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18728, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 4, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18729, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 441, 5, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18730, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 1643, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18731, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 1180, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18732, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 487, 6, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18733, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 90, 15, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18734, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 137, 44, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18735, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 86, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18736, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 368, 29, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18737, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 27, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18738, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 166, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18739, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2019, 7, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18740, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '', 18, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18741, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 5494, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18742, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 73, 81, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18743, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 29, 8, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18744, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 487, 6, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18745, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 86, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18746, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 152, 7, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18747, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 73, 14, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18748, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 390, 39, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18749, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 17, 10, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18750, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 166, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18751, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 1643, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18752, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 24, 4, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18753, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 20, 9, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18754, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 10, 11, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18755, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 4, 7, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18756, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 180, 11, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18757, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 21, 10, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18758, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 140, 13, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18759, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 13, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18760, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 47, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18761, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 86, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18762, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '2C03', 18, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18763, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 126, 16, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18764, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 58, 15, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18765, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 43, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18766, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 131, 4, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18767, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 73, 9, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18768, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2019, 7, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18769, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 5494, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18770, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 948, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18771, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 27, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18772, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 41, 12, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18773, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 55, 26, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18774, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 216, 2, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18775, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 597, 12, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18776, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 1180, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18777, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 30, 4, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18778, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 29, 8, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18779, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E29', 4, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18780, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 148, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18781, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 196, 2, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18782, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 11, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18783, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18784, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 112, 7, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18785, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 21, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18786, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 11, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18787, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 209, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18788, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 97, 7, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18789, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 84, 8, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18790, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 3567, 2, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18791, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 84, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18792, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 69, 2, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18793, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 129, 32, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18794, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 171, 37, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18795, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 73, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18796, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 441, 5, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18797, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 166, 4, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18798, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 388, 2, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18799, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 165, 4, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18800, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 92, 17, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18801, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 102, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18802, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 17, 6, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18803, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 178, 5, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18804, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 368, 29, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18805, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 199, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18806, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 5, 2, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18807, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 73, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18808, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 825, 5, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18809, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 33, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18810, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 948, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18811, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 13, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18812, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 4, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18813, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 69, 2, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18814, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 84, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18815, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 47, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18816, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 89, 16, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18817, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 87, 8, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18818, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 582, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18819, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 57, 20, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18820, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 37, 19, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18821, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 58, 15, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18822, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 126, 16, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18823, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1116, 7, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18824, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 43, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18825, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 29, 8, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18826, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1987, 10, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18827, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1569, 9, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18828, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 30, 4, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18829, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18830, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 224, 13, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18831, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 11, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18832, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 129, 10, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18833, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 11, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18834, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 163, 24, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18835, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 316, 27, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18836, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 171, 37, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18837, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 129, 32, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18838, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 390, 39, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18839, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 487, 6, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18840, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 70, 19, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18841, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 77, 19, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18842, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 744, 7, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18843, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 73, 14, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18844, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 92, 17, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18845, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 368, 29, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18846, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 21, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18847, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 86, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18848, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 86, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18849, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 73, 9, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18850, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 152, 7, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18851, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 41, 12, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18852, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 216, 2, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18853, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 3161, 4, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18854, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 472, 78, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18855, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 55, 26, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18856, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 74, 9, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18857, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 165, 4, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18858, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 19, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18859, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 388, 2, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18860, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 156, 6, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18861, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 166, 4, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18862, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 57, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18863, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 178, 5, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18864, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 17, 6, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18865, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 137, 10, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18866, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 76, 11, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18867, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 148, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18868, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 102, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18869, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 41, 2, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18870, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 196, 2, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18871, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 209, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18872, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 112, 7, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18873, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 382, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18874, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 140, 19, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18875, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 125, 20, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18876, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 166, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18877, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 21, 10, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18878, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 20, 9, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18879, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 4, 7, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18880, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 10, 11, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18881, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 24, 4, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18882, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 27, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18883, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 17, 10, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18884, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 441, 5, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18885, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 433, 5, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18886, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1180, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18887, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 597, 12, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18888, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2019, 7, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18889, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 280, 15, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18890, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 389, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18891, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 29, 5, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18892, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 273, 5, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18893, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 141, 17, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18894, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 141, 11, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18895, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 104, 6, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18896, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 57, 15, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18897, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 182, 18, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18898, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 152, 15, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18899, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 110, 21, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18900, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 111, 12, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18901, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 59, 10, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18902, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 7, 8, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18903, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 123, 6, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18904, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 148, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18905, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 102, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18906, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 86, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18907, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2019, 7, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18908, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 17, 6, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18909, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 166, 4, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18910, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 178, 5, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18911, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 165, 4, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18912, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 152, 7, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18913, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 388, 2, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18914, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 11, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18915, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '2C03', 18, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18916, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 11, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18917, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 216, 2, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18918, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 55, 26, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18919, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 41, 12, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18920, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 73, 9, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18921, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 196, 2, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18922, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 209, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18923, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 112, 7, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18924, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 3567, 2, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18925, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 368, 29, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18926, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 84, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18927, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 69, 2, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18928, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 30, 4, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18929, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18930, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 73, 14, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18931, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 17, 10, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18932, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 180, 11, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18933, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 171, 37, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18934, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 29, 8, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18935, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 129, 32, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18936, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 140, 13, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18937, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 390, 39, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18938, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 20, 9, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18939, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 10, 11, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18940, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 24, 4, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18941, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 4, 7, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18942, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 21, 10, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18943, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 948, 3, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (18944, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 166, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18945, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 47, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18946, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 487, 6, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18947, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 86, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18948, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 131, 4, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18949, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 13, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18950, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 1180, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18951, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 84, 8, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18952, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 21, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18953, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 43, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18954, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 97, 7, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18955, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 5494, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18956, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 92, 17, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18957, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 27, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18958, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 73, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18959, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 597, 12, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18960, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 58, 15, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18961, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 441, 5, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18962, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 126, 16, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18963, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 1643, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18964, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E29', 4, 1, 2023, 4, 23, '2024-08-05 13:56:47', NULL, NULL), (18965, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 190, 5, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18966, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 93, 98, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18967, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 3, 2, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18968, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 622, 321, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18969, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 762, 9, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18970, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 233, 116, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18971, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 481, 82, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18972, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 185, 273, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18973, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 904, 110, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18974, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 810, 403, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18975, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 292, 246, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18976, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 121, 126, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18977, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 799, 409, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18978, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 336, 221, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18979, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 258, 82, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18980, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 608, 154, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18981, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 185, 274, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18982, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 92, 99, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18983, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 622, 321, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18984, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 291, 247, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18985, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 1386, 1, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18986, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 44, 2, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18987, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 74, 12, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18988, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 92, 99, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18989, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 312, 46, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18990, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 749, 125, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18991, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 283, 13, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18992, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 355, 33, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18993, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18994, 1, '511500000000-0001', '宜宾市民中心', '特殊工种提前退休', '', '', '', 0, 1, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18995, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 616, 17, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18996, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 461, 1, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18997, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 142, 40, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18998, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 151, 16, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (18999, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1169, 15, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19000, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 153, 19, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19001, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 2, 3, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19002, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 157, 3, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19003, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 1632, 2, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19004, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 68, 3, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19005, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 159, 6, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19006, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 13, 10, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19007, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 249, 1, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19008, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 83, 129, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19009, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 622, 10, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19010, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 4, 4, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19011, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 85, 4, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19012, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 706, 114, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19013, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 78, 1, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19014, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 597, 3, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19015, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 230, 67, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19016, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 21, 16, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19017, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 190, 5, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19018, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 237, 49, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 1054, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 293, 9, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 28, 10, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 315, 13, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 34, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 151, 16, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1155, 11, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 949, 9, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 355, 33, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1052, 22, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1118, 39, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 185, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1258, 21, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 723, 11, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2828, 12, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1032, 23, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 387, 19, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2537, 6, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 790, 35, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 546, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1132, 49, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2915, 10, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 486, 6, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1052, 37, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 520, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 227, 21, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1091, 31, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 766, 7, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 237, 24, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 337, 18, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 176, 12, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 318, 82, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 373, 61, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 694, 17, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 150, 15, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 5, 21, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 54, 17, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 135, 17, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 235, 19, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 234, 6, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 88, 19, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 37, 12, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1123, 21, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 113, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 196, 14, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 64, 14, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 143, 21, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 265, 20, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 759, 22, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 468, 41, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 333, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 210, 26, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 217, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 126, 24, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 49, 4, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 147, 44, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 141, 35, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 86, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 3, 2, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 116, 26, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 146, 39, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 49, 17, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 190, 5, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 76, 19, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 248, 57, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 97, 13, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 44, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 78, 31, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 82, 22, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 222, 58, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 78, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 597, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 89, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 73, 25, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1550, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 108, 10, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 23, 4, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 7, 1, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 91, 9, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 249, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 39, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 686, 61, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 10, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 500, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 10, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 20, 10, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 380, 9, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 43, 6, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 22, 15, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 78, 7, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 6, 5, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 616, 17, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 475, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 312, 46, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 145, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 808, 64, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 11, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 6, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 76, 1, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 198, 2, 2023, 4, 24, '2024-08-05 13:56:47', NULL, NULL), (19120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 464, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 948, 15, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1169, 15, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 4, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 622, 10, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19125, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 151, 16, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19126, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 157, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19127, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 3, 2, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19128, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 85, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19129, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 93, 98, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19130, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 283, 13, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19131, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 622, 10, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19132, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 153, 19, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19133, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 749, 125, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19134, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 68, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19135, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 1386, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19136, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 312, 46, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19137, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 74, 12, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19138, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 146, 39, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19139, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 249, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19140, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 21, 16, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19141, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 190, 5, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19142, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 237, 49, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19143, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 597, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19144, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 1632, 2, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19145, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 4, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19146, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 616, 17, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19147, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 230, 67, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19148, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 706, 114, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19149, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 355, 33, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19150, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 78, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19151, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 190, 5, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19152, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1169, 15, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19153, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 461, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19154, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 83, 129, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19155, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 13, 10, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19156, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 89, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19157, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 89, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19158, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 616, 17, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19159, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 293, 9, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19160, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 28, 10, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19161, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 151, 16, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19162, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 312, 46, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19163, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 64, 14, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19164, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 190, 5, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19165, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 68, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19166, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 1632, 2, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19167, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 37, 12, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19168, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 54, 17, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19169, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 235, 19, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19170, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 278, 23, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19171, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 150, 15, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19172, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 5, 21, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19173, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 44, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19174, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 208, 25, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19175, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D13', 198, 2, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19176, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 145, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19177, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 475, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19178, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 76, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19179, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 108, 10, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19180, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 73, 25, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19181, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 91, 9, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19182, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 1386, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19183, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 76, 19, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19184, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1169, 15, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19185, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 3, 2, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19186, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 461, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19187, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 85, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19188, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 78, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19189, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 82, 22, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19190, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 78, 31, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19191, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 97, 13, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19192, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 622, 10, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19193, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 7, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19194, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 4, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19195, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 43, 6, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19196, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 23, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19197, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 249, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19198, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 766, 7, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19199, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 1054, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19200, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 49, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19201, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 10, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19202, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19203, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1155, 11, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19204, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 949, 9, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19205, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 10, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19206, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 86, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19207, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 233, 33, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19208, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 228, 34, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19209, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 303, 12, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19210, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 34, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19211, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 6, 5, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19212, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 464, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19213, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 948, 15, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19214, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 808, 64, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19215, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 686, 61, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19216, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 39, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19217, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 597, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19218, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 387, 19, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19219, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 546, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19220, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 486, 6, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19221, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 520, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19222, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 146, 39, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19223, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 185, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19224, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 723, 11, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19225, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 355, 33, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19226, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 20, 10, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19227, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 380, 9, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19228, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 39, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19229, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 500, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19230, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 6, 5, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19231, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 22, 15, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19232, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 78, 7, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19233, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 475, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19234, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 145, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19235, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 948, 15, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19236, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 464, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19237, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 198, 2, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19238, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 76, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19239, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1123, 21, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19240, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 694, 17, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19241, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 88, 19, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19242, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 147, 44, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19243, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 73, 25, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19244, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 108, 10, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19245, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2915, 10, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19246, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 91, 9, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19247, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 23, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19248, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2828, 12, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19249, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 7, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19250, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2537, 6, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19251, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 43, 6, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19252, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19253, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 126, 24, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19254, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 217, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19255, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 10, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19256, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 10, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19257, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 265, 20, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19258, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 686, 61, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19259, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 143, 21, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19260, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 808, 64, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19261, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 312, 46, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19262, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 616, 17, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19263, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 141, 35, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19264, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 116, 26, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19265, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 49, 17, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19266, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 151, 16, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19267, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 146, 39, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19268, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 49, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19269, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 355, 33, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19270, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 293, 9, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19271, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 86, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19272, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 76, 19, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19273, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 82, 22, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19274, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 28, 10, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19275, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 176, 12, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19276, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 373, 61, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19277, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 97, 13, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19278, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 315, 13, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19279, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 34, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19280, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 318, 82, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19281, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 78, 31, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19282, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 486, 6, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19283, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 234, 6, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19284, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 546, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19285, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 337, 18, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19286, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 387, 19, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19287, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 237, 24, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19288, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 723, 11, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19289, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 185, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19290, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 135, 17, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19291, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 210, 26, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19292, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 766, 7, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19293, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 520, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19294, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 6, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19295, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 1054, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19296, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 949, 9, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19297, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1155, 11, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19298, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 11, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19299, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 3, 2, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19300, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 248, 57, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19301, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 222, 58, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19302, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 44, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19303, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 190, 5, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19304, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 5, 21, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19305, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 54, 17, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19306, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 150, 15, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19307, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 235, 19, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19308, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 37, 12, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19309, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 249, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19310, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 78, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19311, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 64, 14, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19312, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 597, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19313, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 89, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19314, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1550, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19315, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 4, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19316, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 622, 10, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19317, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1169, 15, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19318, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 196, 14, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19319, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 333, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19320, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 113, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19321, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1052, 37, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19322, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1132, 49, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19323, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 759, 22, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19324, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 790, 35, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19325, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1032, 23, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19326, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 468, 41, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19327, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1258, 21, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19328, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1118, 39, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19329, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1052, 22, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19330, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1091, 31, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19331, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 227, 21, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19332, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 766, 7, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19333, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 520, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19334, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 293, 9, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19335, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 185, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19336, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1169, 15, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19337, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 387, 19, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19338, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 723, 11, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19339, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 486, 6, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19340, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 28, 10, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19341, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 546, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19342, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 10, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19343, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 10, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19344, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 97, 13, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19345, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 78, 31, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19346, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 82, 22, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19347, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 76, 19, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19348, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 1054, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19349, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 949, 9, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19350, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 249, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19351, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 68, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19352, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1155, 11, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19353, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 34, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19354, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 303, 12, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19355, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 355, 33, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19356, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 464, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19357, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 948, 15, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19358, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 43, 6, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19359, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (19360, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 151, 16, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19361, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 6, 5, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19362, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 64, 14, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19363, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 278, 23, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19364, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 686, 61, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19365, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 23, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19366, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 808, 64, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19367, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 208, 25, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19368, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 44, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19369, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 312, 46, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19370, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 7, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19371, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 54, 17, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19372, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 235, 19, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19373, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 37, 12, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19374, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 150, 15, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19375, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 5, 21, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19376, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 85, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19377, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 190, 5, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19378, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 76, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19379, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D13', 198, 2, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19380, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 616, 17, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19381, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 3, 2, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19382, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 1386, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19383, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 145, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19384, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 475, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19385, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 4, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19386, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 228, 34, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19387, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 86, 8, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19388, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 91, 9, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19389, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 49, 4, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19390, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 233, 33, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19391, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 461, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19392, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 146, 39, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19393, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 78, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19394, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 39, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19395, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 622, 10, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19396, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 89, 1, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19397, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 73, 25, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19398, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 597, 3, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19399, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 108, 10, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19400, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 1632, 2, 2023, 4, 24, '2024-08-05 13:56:48', NULL, NULL), (19401, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 13796, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19402, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 95, 122, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19403, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 1353, 4, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19404, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1103, 275, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19405, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 3628, 8, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19406, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 168, 121, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19407, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1630, 70, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19408, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 107, 230, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19409, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 581, 464, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19410, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 633, 102, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19411, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 311, 229, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19412, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 114, 96, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19413, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 581, 464, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19414, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 861, 212, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19415, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 276, 76, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19416, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 440, 124, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19417, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 107, 231, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19418, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 95, 123, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19419, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1084, 280, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19420, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 311, 229, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19421, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 3519, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19422, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 917, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19423, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 23210, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19424, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 78, 8, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19425, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 282, 49, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19426, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 95, 122, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19427, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1637, 81, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19428, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 250, 8, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19429, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 361, 29, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19430, 1, '511500000000-0001', '宜宾市民中心', '特殊工种提前退休', '', '', '', 0, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19431, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 449, 12, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19432, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 21, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19433, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 64, 29, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19434, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 56, 17, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19435, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 158, 15, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19436, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 0, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19437, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 211, 19, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19438, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 1353, 4, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19439, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19440, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 348, 5, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19441, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 1125, 4, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19442, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 6898, 2, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19443, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 13, 6, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19444, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 113, 130, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19445, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 582, 5, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19446, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 4, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19447, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1345, 107, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19448, 1, '511500000000-0001', '宜宾市民中心', '贷款项目受理', '', '', '', 0, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19449, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 132, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19450, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 179, 69, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19451, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 230, 26, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19452, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 144, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19453, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 153, 52, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19454, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 33, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19455, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 2, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 561, 5, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 225, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 199, 10, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 192, 7, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 339, 2, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 3519, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 56, 17, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2932, 10, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1679, 11, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 361, 29, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 710, 40, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 643, 32, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 852, 17, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 789, 28, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1427, 7, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 804, 37, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1174, 11, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1160, 16, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 665, 30, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1874, 7, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 919, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 745, 44, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1951, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1554, 10, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 818, 46, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1122, 5, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 584, 30, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 502, 27, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 743, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 530, 20, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 361, 15, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 249, 102, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 251, 66, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 965, 25, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 150, 18, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 4, 25, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 207, 16, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 666, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 134, 25, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 48, 28, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 475, 13, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 117, 18, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 323, 15, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 5, 2, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 457, 14, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 2, 20, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 461, 26, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 160, 18, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 386, 8, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 420, 2, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1717, 23, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 5309, 11, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 590, 10, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 77, 7, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 537, 12, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 49, 31, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 59, 2, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 99, 30, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 85, 6, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 106, 21, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 1353, 4, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 90, 21, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 64, 29, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 184, 14, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 13796, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 92, 16, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 132, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 184, 49, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 75, 32, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 157, 72, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 92, 21, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 132, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 23210, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 80, 26, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1355, 4, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 276, 17, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 21, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 109, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 144, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 2088, 58, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 23, 7, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 124, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 570, 10, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 18, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 10, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 44, 8, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 14, 6, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 42, 7, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 5, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 449, 12, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 282, 49, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 33, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 639, 18, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 141, 7, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 96, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 396, 2, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 316, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1768, 8, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 169, 14, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 4, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 582, 5, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19557, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 56, 17, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19558, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 348, 5, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19559, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 1353, 4, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19560, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 250, 8, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19561, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 95, 122, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19562, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 582, 5, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19563, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 211, 19, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19564, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1745, 76, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19565, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 917, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19566, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 23210, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19567, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 282, 49, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19568, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 78, 8, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19569, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 64, 29, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19570, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 230, 26, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19571, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 144, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19572, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 153, 52, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19573, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 132, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19574, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 1501, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19575, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 4, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19576, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 179, 69, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19577, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 449, 12, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19578, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1345, 107, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19579, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 3519, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19580, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 361, 29, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19581, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 13796, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19582, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 169, 14, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19583, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 21, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19584, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 113, 130, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19585, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 33, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19586, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 13, 6, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19587, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 449, 12, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19588, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 225, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19589, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 199, 10, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19590, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 56, 17, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19591, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 282, 49, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19592, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 2, 20, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19593, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 13796, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19594, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 1501, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19595, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 117, 18, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19596, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 207, 16, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19597, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 134, 25, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19598, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 150, 18, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19599, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 167, 29, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19600, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 4, 25, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19601, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 135, 23, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19602, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D13', 316, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19603, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 396, 2, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19604, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 3519, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19605, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 276, 17, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19606, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 80, 26, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19607, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 109, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19608, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 917, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19609, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 92, 16, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19610, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 169, 14, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19611, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 1353, 4, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19612, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 21, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19613, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 92, 21, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19614, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 75, 32, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19615, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 132, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19616, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 582, 5, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19617, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 21, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19618, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 14, 6, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19619, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 4, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19620, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 743, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19621, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 561, 5, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19622, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 59, 2, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19623, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 23, 7, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19624, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 10, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19625, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2932, 10, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19626, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 85, 6, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19627, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 570, 10, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19628, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 1679, 11, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19629, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 167, 49, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19630, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 208, 20, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19631, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 220, 6, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19632, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 339, 2, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19633, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 5, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19634, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1768, 8, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19635, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 639, 18, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19636, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 2088, 58, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19637, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 23210, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19638, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 144, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19639, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 132, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19640, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E27', 33, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19641, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1160, 16, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19642, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 919, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19643, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1554, 10, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19644, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1122, 5, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19645, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 64, 29, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19646, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 852, 17, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19647, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1427, 7, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19648, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 361, 29, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19649, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 18, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19650, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 44, 8, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19651, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 144, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19652, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 124, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19653, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 5, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19654, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 42, 7, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19655, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 33, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19656, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1768, 8, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19657, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 316, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19658, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 323, 15, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19659, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 396, 2, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19660, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 965, 25, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19661, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 48, 28, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19662, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 99, 30, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19663, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 80, 26, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19664, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 276, 17, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19665, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1951, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19666, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 109, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19667, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1174, 11, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19668, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 21, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19669, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1874, 7, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19670, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 14, 6, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19671, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 10, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19672, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 49, 31, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19673, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 570, 10, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19674, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 77, 7, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19675, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 23, 7, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19676, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 160, 18, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19677, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 461, 26, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19678, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 2088, 58, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19679, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 639, 18, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19680, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 282, 49, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19681, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 449, 12, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19682, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 106, 21, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19683, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 90, 21, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19684, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 184, 14, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19685, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 56, 17, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19686, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 64, 29, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19687, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 59, 2, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19688, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 361, 29, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19689, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 85, 6, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19690, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 225, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19691, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 3519, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19692, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 92, 16, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19693, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 199, 10, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19694, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 92, 21, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19695, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 132, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19696, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 192, 7, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19697, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 251, 66, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19698, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 339, 2, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19699, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 249, 102, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19700, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 75, 32, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19701, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1554, 10, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19702, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 919, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19703, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 475, 13, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19704, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 361, 15, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19705, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1160, 16, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19706, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1427, 7, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19707, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 530, 20, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19708, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 852, 17, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19709, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 666, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19710, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 537, 12, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19711, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 743, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19712, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1122, 5, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19713, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 96, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19714, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 561, 5, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19715, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1679, 11, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19716, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2932, 10, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19717, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 141, 7, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19718, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 1353, 4, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19719, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 184, 49, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19720, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 157, 72, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19721, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 13796, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19722, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 4, 25, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19723, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 207, 16, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19724, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 150, 18, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19725, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 134, 25, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19726, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 117, 18, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19727, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 2, 20, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19728, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 23210, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19729, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 132, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19730, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1355, 4, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19731, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 4, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19732, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 582, 5, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19733, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 169, 14, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19734, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 457, 14, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19735, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 590, 10, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19736, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 5309, 11, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19737, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 5, 2, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19738, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 818, 46, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19739, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 745, 44, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19740, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 386, 8, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19741, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 665, 30, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19742, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 804, 37, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19743, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1717, 23, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19744, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 789, 28, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19745, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 420, 2, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19746, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 643, 32, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19747, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 710, 40, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19748, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 502, 27, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19749, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 584, 30, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19750, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 743, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19751, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1122, 5, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19752, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 225, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19753, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 852, 17, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19754, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 169, 14, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19755, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1160, 16, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19756, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1427, 7, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19757, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 199, 10, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19758, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1554, 10, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19759, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 919, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19760, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 570, 10, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19761, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 23, 7, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19762, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 132, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19763, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 75, 32, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19764, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 92, 21, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19765, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 92, 16, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19766, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 561, 5, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19767, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 1679, 11, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19768, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2932, 10, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19769, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 339, 2, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19770, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 220, 6, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19771, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 361, 29, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19772, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1768, 8, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19773, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 14, 6, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19774, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 10, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (19775, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 56, 17, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19776, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 5, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19777, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 2, 20, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19778, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 167, 29, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19779, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 2088, 58, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19780, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 639, 18, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19781, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 135, 23, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19782, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 282, 49, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19783, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 21, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19784, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 207, 16, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19785, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 134, 25, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19786, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 117, 18, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19787, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 150, 18, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19788, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 4, 25, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19789, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 13796, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19790, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 396, 2, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19791, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D13', 316, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19792, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 449, 12, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19793, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 1353, 4, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19794, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 3519, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19795, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 917, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19796, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 4, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19797, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 208, 20, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19798, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 85, 6, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19799, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 109, 9, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19800, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 59, 2, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19801, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 167, 49, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19802, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 21, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19803, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 64, 29, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19804, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 144, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19805, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 582, 5, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19806, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 80, 26, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19807, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E27', 33, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19808, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 132, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19809, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 23210, 1, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19810, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 276, 17, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19811, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 1501, 3, 2023, 4, 25, '2024-08-05 13:56:49', NULL, NULL), (19812, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 18232, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19813, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 68, 110, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19814, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '', 21, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19815, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 187, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19816, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 4270, 373, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19817, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 654, 8, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19818, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 217, 92, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19819, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 406, 71, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19820, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 344, 213, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19821, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1037, 79, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19822, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 415, 440, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19823, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 205, 85, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19824, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 421, 245, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19825, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 409, 446, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19826, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 499, 183, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19827, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 585, 56, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19828, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 611, 109, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19829, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 342, 214, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19830, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 68, 110, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19831, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 4247, 375, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19832, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 419, 246, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19833, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 3637, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19834, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 77, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19835, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19836, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 15, 7, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19837, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 68, 110, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19838, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 185, 44, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19839, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 9491, 144, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19840, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 761, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19841, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 408, 28, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19842, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19843, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 896, 8, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19844, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1149, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19845, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 121, 23, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19846, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '', 218, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19847, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1091, 10, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19848, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1776, 21, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19849, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 94, 11, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19850, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 187, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19851, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 21, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19852, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 130, 9, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19853, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 1024, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19854, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 29, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19855, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 6077, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19856, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 137, 9, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19857, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 129, 97, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19858, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1841, 9, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19859, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 3, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19860, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 122, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19861, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1377, 151, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19862, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 521, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19863, 1, '511500000000-0001', '宜宾市民中心', '贷款项目受理', '', '', '', 0, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19864, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 191, 54, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19865, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 31, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19866, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 90, 18, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19867, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 254, 38, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 11, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 1420, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 103, 10, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 955, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 3637, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1091, 10, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1207, 21, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1392, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 408, 28, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 519, 37, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 534, 33, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 361, 32, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 413, 5, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 525, 28, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2085, 8, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 829, 14, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2619, 7, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2455, 9, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 603, 35, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 555, 41, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1738, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1429, 18, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1953, 14, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 411, 47, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1581, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 654, 21, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 525, 23, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 836, 11, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 112, 21, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 153, 13, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 241, 12, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 52, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 450, 84, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 612, 74, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 155, 10, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 39, 23, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 68, 24, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 258, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 15, 12, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 451, 15, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 181, 16, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 21, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 64, 30, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 444, 31, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 319, 9, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 89, 10, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 5, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 177, 18, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 332, 18, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 569, 10, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 512, 29, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 349, 13, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 483, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 231, 10, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 71, 26, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 20, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 460, 14, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 13, 5, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 156, 24, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 187, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 202, 24, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 121, 23, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 91, 15, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D11', 21, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 18232, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 96, 13, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 571, 9, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 289, 46, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 460, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 92, 26, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 59, 16, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 138, 45, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 521, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 57, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 787, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 114, 14, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 168, 7, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 29, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 255, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 8284, 71, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 18, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 46, 13, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 254, 5, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 29, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 41, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 116, 5, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 23, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 54, 18, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 75, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 896, 8, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 110, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 185, 44, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 60, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 10665, 73, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 42, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 164, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 147, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 145, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 3379, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1776, 21, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1062, 18, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 3, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1841, 9, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19971, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1091, 10, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19972, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 146, 8, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19973, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 187, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19974, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 122, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19975, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 761, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19976, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 68, 110, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19977, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 94, 11, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19978, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1841, 9, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19979, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 29, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19980, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 9491, 144, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19981, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 77, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19982, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 185, 44, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19983, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 15, 7, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19984, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 121, 23, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19985, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 90, 18, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19986, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 31, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19987, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 254, 38, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19988, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 521, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19989, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 1024, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19990, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '', 21, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19991, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 3, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19992, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 896, 8, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19993, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 191, 54, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19994, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1377, 151, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19995, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 3637, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19996, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 408, 28, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19997, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 18232, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19998, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1776, 21, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (19999, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '', 218, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20000, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 131, 96, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20001, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1149, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20002, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 137, 9, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20003, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 896, 8, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20004, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 11, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20005, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 103, 10, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20006, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1091, 10, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20007, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 185, 44, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20008, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 5, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20009, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 18232, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20010, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 29, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20011, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 1024, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20012, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 21, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20013, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 258, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20014, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 15, 12, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20015, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 39, 23, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20016, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 367, 20, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20017, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 460, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20018, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 68, 24, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20019, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 109, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20020, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 60, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20021, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D13', 145, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20022, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20023, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 147, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20024, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 3637, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20025, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 114, 14, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20026, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 57, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20027, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 255, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20028, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 77, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20029, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 96, 13, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20030, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1776, 21, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20031, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 187, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20032, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1149, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20033, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 122, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20034, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 59, 16, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20035, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 92, 26, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20036, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 571, 9, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20037, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1841, 9, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20038, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 29, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20039, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 3, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20040, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 23, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20041, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 168, 7, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20042, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 836, 11, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20043, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 1420, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20044, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 18, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20045, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 20, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20046, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 41, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20047, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1207, 21, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20048, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 13, 5, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20049, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 1392, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20050, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 254, 5, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20051, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 156, 28, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20052, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 228, 26, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20053, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '1D11', 21, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20054, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 761, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20055, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 3379, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20056, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1062, 18, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20057, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 10665, 73, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20058, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 8284, 71, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20059, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 521, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20060, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2619, 7, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20061, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1429, 18, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20062, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1953, 14, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20063, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 121, 23, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20064, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1581, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20065, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 413, 5, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20066, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 829, 14, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20067, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 408, 28, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20068, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '2E29', 218, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20069, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 29, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20070, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 116, 5, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20071, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 46, 13, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20072, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 54, 18, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20073, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 75, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20074, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 60, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20075, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 110, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20076, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1062, 18, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20077, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 3379, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20078, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 145, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20079, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 147, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20080, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 444, 31, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20081, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 155, 10, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20082, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 64, 30, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20083, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 460, 14, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20084, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 57, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20085, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 114, 14, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20086, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1738, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20087, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 255, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20088, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 168, 7, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20089, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2085, 8, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20090, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 29, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20091, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2455, 9, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20092, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 23, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20093, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 41, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20094, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 71, 26, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20095, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 254, 5, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20096, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 231, 10, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20097, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 18, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20098, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 332, 18, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20099, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 177, 18, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20100, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 8284, 71, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20101, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 10665, 73, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20102, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 185, 44, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20103, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 896, 8, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20104, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 156, 24, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20105, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 202, 24, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20106, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 91, 15, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20107, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1091, 10, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20108, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 121, 23, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20109, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 20, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20110, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 408, 28, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20111, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 11, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20112, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 13, 5, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20113, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 3637, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20114, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 96, 13, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20115, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 52, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20116, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 103, 10, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20117, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 59, 16, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20118, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 571, 9, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20119, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 612, 74, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20120, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 92, 26, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20121, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 450, 84, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20122, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 955, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20123, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 112, 21, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20124, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1953, 14, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20125, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 181, 16, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20126, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1429, 18, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20127, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2619, 7, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20128, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 241, 12, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20129, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 153, 13, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20130, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 829, 14, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20131, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 413, 5, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20132, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 451, 15, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20133, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 483, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20134, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 836, 11, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20135, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1581, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20136, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 164, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20137, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 1420, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20138, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1392, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20139, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1207, 21, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20140, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 42, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20141, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 187, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20142, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 289, 46, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20143, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 138, 45, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20144, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 460, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20145, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 18232, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20146, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 68, 24, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20147, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 258, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20148, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 39, 23, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20149, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 15, 12, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20150, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 21, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20151, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 5, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20152, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 521, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20153, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 787, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20154, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 3, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20155, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1841, 9, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20156, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1776, 21, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20157, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 89, 10, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20158, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 349, 13, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20159, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 319, 9, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20160, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 411, 47, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20161, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 555, 41, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20162, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 569, 10, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20163, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 603, 35, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20164, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 525, 28, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20165, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 512, 29, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20166, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 361, 32, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20167, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 534, 33, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20168, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 519, 37, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20169, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 525, 23, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20170, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '1D11', 21, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20171, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 654, 21, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20172, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 836, 11, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20173, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1581, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20174, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 11, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20175, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1776, 21, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20176, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 413, 5, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20177, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2619, 7, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20178, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 829, 14, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20179, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 103, 10, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20180, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1953, 14, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20181, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1429, 18, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20182, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 254, 5, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20183, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 18, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20184, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 571, 9, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20185, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 92, 26, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20186, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 59, 16, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20187, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 96, 13, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20188, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 1420, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20189, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 1392, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20190, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 29, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20191, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1207, 21, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (20192, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 761, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20193, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 408, 28, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20194, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 3379, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20195, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1062, 18, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20196, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 23, 6, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20197, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 41, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20198, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1091, 10, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20199, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 5, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20200, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 367, 20, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20201, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 8284, 71, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20202, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 168, 7, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20203, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 10665, 73, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20204, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 109, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20205, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 460, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20206, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 185, 44, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20207, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 29, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20208, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 258, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20209, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 15, 12, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20210, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 21, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20211, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 39, 23, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20212, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 68, 24, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20213, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 122, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20214, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 18232, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20215, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 147, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20216, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D13', 145, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20217, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 896, 8, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20218, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '2E29', 218, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20219, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 187, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20220, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 3637, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20221, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 77, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20222, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 60, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20223, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20224, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 3, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20225, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 228, 26, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20226, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 13, 5, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20227, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 255, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20228, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1149, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20229, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 20, 2, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20230, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 156, 28, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20231, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 121, 23, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20232, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1841, 9, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20233, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 57, 17, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20234, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 521, 4, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20235, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 114, 14, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20236, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 1024, 3, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20237, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '1D11', 21, 1, 2023, 4, 26, '2024-08-05 13:56:50', NULL, NULL), (20238, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 212, 115, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20239, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 6146, 10, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20240, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 137, 79, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20241, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 5, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20242, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 965, 56, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20243, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 294, 206, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20244, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 832, 79, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20245, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 738, 394, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20246, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 161, 84, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20247, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 365, 212, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20248, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 610, 334, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20249, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 731, 398, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20250, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 831, 152, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20251, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 626, 56, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20252, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 413, 107, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20253, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 293, 207, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20254, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 207, 118, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20255, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 610, 334, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20256, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 365, 212, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20257, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 2498, 6, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20258, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 5721, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20259, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20260, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '', 46, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20261, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 11, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20262, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 300, 51, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20263, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 208, 117, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20264, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 669, 145, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20265, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 656, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20266, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 0, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20267, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 312, 25, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20268, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 244, 5, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20269, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 2587, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20270, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 262, 26, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20271, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 7, 8, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20272, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 5, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20273, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2207, 11, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20274, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 559, 9, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20275, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 2, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20276, 1, '511500000000-0001', '宜宾市民中心', '核发检验合格标志', '', '', '', 0, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20277, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 179, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20278, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 8903, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20279, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 130, 5, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20280, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20281, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 159, 9, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20282, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 15248, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20283, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 82, 115, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20284, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 388, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20285, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 135, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20286, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 811, 109, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20287, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 132, 39, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20288, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 779, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20289, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 0, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20290, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 4, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20291, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 24, 17, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20292, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 138, 41, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 1620, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 703, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 57, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 498, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1298, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 2498, 6, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 7, 8, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1472, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 312, 25, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1100, 12, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1158, 31, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 615, 29, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 458, 9, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 623, 15, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1030, 44, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1104, 8, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 598, 8, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 577, 30, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1578, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 485, 6, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 962, 45, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1350, 8, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 841, 10, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 937, 37, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 816, 13, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1028, 34, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 926, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 115, 15, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 71, 25, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 7, 10, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 552, 23, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 514, 88, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 603, 22, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 811, 24, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 36, 17, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 273, 23, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 48, 19, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 118, 19, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 461, 21, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 73, 15, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 44, 10, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 184, 22, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 769, 23, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1094, 14, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 272, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 220, 13, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 115, 30, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 169, 21, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 419, 6, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 22, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 706, 24, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 4333, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 531, 31, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 7, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 149, 24, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 13, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 58, 14, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 5, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 226, 36, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 272, 25, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 120, 8, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 80, 14, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 165, 30, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 119, 10, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 78, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 53, 24, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 122, 46, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 60, 23, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 15248, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 779, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 99, 21, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 7312, 6, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 87, 14, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 229, 6, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 19, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 126, 9, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 613, 88, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 3131, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 16, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 20, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 39, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 345, 5, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 36, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 7, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 43, 11, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 132, 8, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 244, 5, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 13, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 300, 51, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 97, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 757, 57, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 12, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 103, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 258, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 75, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2207, 11, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 803, 20, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 388, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20391, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 7, 8, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20392, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 179, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20393, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 5, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20394, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 135, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20395, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 656, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20396, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 212, 115, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20397, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 388, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20398, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 559, 9, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20399, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 130, 5, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20400, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 669, 145, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20401, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 5721, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20402, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 300, 51, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20403, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 11, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20404, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 272, 25, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20405, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 15248, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20406, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 24, 17, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20407, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 4, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20408, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 141, 40, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20409, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 779, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20410, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 5, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20411, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 8903, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20412, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 244, 5, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20413, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 132, 39, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20414, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 811, 109, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20415, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 2498, 6, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20416, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 312, 25, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20417, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2207, 11, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20418, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '', 46, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20419, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 2587, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20420, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 82, 115, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20421, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 159, 9, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20422, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 244, 5, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20423, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 703, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20424, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 57, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20425, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 7, 8, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20426, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 300, 51, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20427, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 220, 13, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20428, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 130, 5, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20429, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 8903, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20430, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 184, 22, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20431, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 48, 19, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20432, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 461, 21, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20433, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 175, 14, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20434, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 36, 17, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20435, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 78, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20436, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 273, 23, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20437, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 129, 23, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20438, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D13', 62, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20439, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 4, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20440, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 103, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20441, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D14', 258, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20442, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 2498, 6, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20443, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 87, 14, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20444, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 99, 21, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20445, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 126, 9, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20446, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 5721, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20447, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 80, 14, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20448, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2207, 11, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20449, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 5, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20450, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 2587, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20451, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 135, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20452, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 60, 23, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20453, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 53, 24, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20454, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 119, 10, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20455, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 388, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20456, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D26', 15248, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20457, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 19, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20458, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 7, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20459, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 229, 6, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20460, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E29', 5, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20461, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 926, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20462, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D27', 1620, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20463, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 7, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20464, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 16, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20465, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1472, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20466, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 36, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20467, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 13, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20468, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 39, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20469, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D28', 1100, 12, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20470, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 115, 23, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20471, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 157, 16, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20472, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 498, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20473, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 868, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20474, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '2E29', 21, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20475, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 803, 20, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20476, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '2E27', 97, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20477, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 103, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20478, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 757, 57, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20479, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 613, 88, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20480, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 779, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20481, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 598, 8, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20482, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 485, 6, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20483, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 841, 10, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20484, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 272, 25, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 816, 13, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20486, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 458, 9, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20487, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 623, 15, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20488, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 312, 25, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20489, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 20, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20490, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 345, 5, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20491, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 3131, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20492, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 43, 11, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20493, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 132, 8, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20494, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 97, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20495, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 13, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20496, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 803, 20, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20497, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 75, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20498, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 258, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20499, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 769, 23, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20500, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 103, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20501, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 811, 24, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20502, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 73, 15, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20503, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 149, 24, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20504, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 99, 21, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20505, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 87, 14, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20506, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1350, 8, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20507, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 126, 9, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20508, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 229, 6, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20509, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1104, 8, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20510, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 19, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20511, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1578, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20512, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 7, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20513, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 36, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20514, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 531, 31, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20515, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 39, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20516, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 16, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20517, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 169, 21, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20518, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 115, 30, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20519, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 613, 88, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20520, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 757, 57, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20521, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 300, 51, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20522, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 244, 5, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20523, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 58, 14, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20524, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 226, 36, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20525, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 120, 8, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20526, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 7, 8, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20527, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 272, 25, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20528, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 7, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20529, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 312, 25, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20530, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 13, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20531, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 703, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20532, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 2498, 6, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20533, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 80, 14, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20534, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 552, 23, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20535, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 57, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20536, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 60, 23, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20537, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 7, 10, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20538, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 498, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20539, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 119, 10, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20540, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 603, 22, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20541, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 53, 24, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20542, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1298, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20543, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 514, 88, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20544, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 841, 10, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20545, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 44, 10, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20546, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 485, 6, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20547, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 71, 25, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20548, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 598, 8, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20549, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 115, 15, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20550, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 623, 15, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20551, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 458, 9, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20552, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 118, 19, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20553, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 926, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20554, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 816, 13, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20555, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 1620, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20556, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1100, 12, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20557, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1472, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20558, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 12, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20559, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 5, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20560, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 165, 30, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20561, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 122, 46, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20562, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 78, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20563, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 273, 23, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20564, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 48, 19, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20565, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 36, 17, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20566, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 461, 21, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20567, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 184, 22, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20568, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 15248, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20569, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 220, 13, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20570, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 779, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20571, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 7312, 6, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20572, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 388, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20573, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2207, 11, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20574, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 272, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20575, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 4333, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20576, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1094, 14, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20577, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 937, 37, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20578, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 962, 45, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20579, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 419, 6, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20580, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 577, 30, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20581, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1030, 44, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20582, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 706, 24, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20583, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 22, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20584, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 615, 29, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20585, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1158, 31, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20586, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1028, 34, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20587, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 926, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20588, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 816, 13, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20589, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 703, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20590, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2207, 11, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20591, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 458, 9, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20592, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 598, 8, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20593, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 623, 15, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20594, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 57, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20595, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 841, 10, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20596, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 485, 6, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20597, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 39, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20598, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 16, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20599, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 119, 10, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20600, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 53, 24, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20601, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 60, 23, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20602, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 80, 14, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20603, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D26', 15248, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20604, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D27', 1620, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (20605, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D28', 1100, 12, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20606, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 130, 5, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20607, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1472, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20608, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 868, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20609, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 498, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20610, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 312, 25, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20611, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 103, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20612, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 803, 20, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20613, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 7, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20614, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 36, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20615, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 7, 8, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20616, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 220, 13, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20617, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 175, 14, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20618, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 613, 88, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20619, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 229, 6, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20620, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 757, 57, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20621, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 129, 23, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20622, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 78, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20623, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 300, 51, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20624, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 19, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20625, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 48, 19, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20626, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 461, 21, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20627, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 184, 22, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20628, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 36, 17, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20629, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 273, 23, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20630, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 135, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20631, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 103, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20632, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D14', 258, 4, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20633, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D13', 62, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20634, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 244, 5, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20635, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 5, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20636, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 2498, 6, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20637, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 5721, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20638, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 4, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20639, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 157, 16, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20640, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 13, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20641, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '2E27', 97, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20642, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 126, 9, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20643, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 2587, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20644, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 7, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20645, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 115, 23, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20646, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 272, 25, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20647, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 388, 7, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20648, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 99, 21, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20649, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 779, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20650, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 87, 14, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20651, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 8903, 3, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20652, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E29', 5, 1, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20653, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '2E29', 21, 2, 2023, 4, 27, '2024-08-05 13:56:51', NULL, NULL), (20654, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 647, 3, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20655, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 31, 69, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20656, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 261, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20657, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1454, 312, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20658, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 403, 6, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20659, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 136, 84, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20660, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 273, 170, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20661, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 994, 50, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20662, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1199, 77, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20663, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1230, 443, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20664, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 114, 103, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20665, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 261, 244, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20666, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1227, 444, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20667, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 444, 148, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20668, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 881, 53, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20669, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 451, 127, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20670, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 271, 171, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20671, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 31, 69, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20672, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1449, 313, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20673, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 261, 244, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20674, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 2029, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20675, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 34, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20676, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20677, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 6, 6, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20678, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 1505, 43, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20679, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 31, 69, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20680, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 903, 136, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20681, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 4847, 6, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20682, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 385, 27, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20683, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1225, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20684, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 4276, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20685, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 89, 36, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20686, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 12, 11, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20687, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 314, 8, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20688, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 110, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20689, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 130, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20690, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 2101, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20691, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 1139, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20692, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 272, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20693, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 647, 3, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20694, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 2860, 5, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20695, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 67, 80, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20696, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2413, 8, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20697, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 5, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20698, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2222, 111, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20699, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 59, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20700, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 24, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20701, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 170, 35, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20702, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 16, 8, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20703, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 30, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20704, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 109, 50, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 110, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 4765, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 2029, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 12, 11, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1667, 4, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 385, 27, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1831, 46, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1548, 31, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 899, 4, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 2067, 30, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1865, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1882, 11, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1340, 34, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1753, 12, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2397, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1495, 52, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1907, 6, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1679, 9, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1361, 6, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1786, 16, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1496, 46, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1566, 11, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1352, 41, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2911, 9, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 478, 32, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 209, 10, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 493, 12, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 202, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 145, 82, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 131, 45, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 1506, 17, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 20, 11, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 53, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 23, 9, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 52, 12, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 319, 27, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 174, 11, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 509, 22, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 36, 10, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1214, 36, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 3024, 12, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 222, 5, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 2, 13, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 165, 29, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 145, 32, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 482, 6, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 369, 22, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 284, 4, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 166, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 206, 12, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 432, 20, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 9, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 90, 31, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 4, 4, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 143, 22, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 261, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 146, 32, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 89, 36, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E01', 21, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 70, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 647, 3, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 37, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 40, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 118, 32, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 65, 13, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 110, 10, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 155, 42, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 34, 15, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 59, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 24, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 72, 17, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 770, 3, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 24, 5, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 7141, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 5, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 254, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 882, 60, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 17, 4, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 5, 5, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 13, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 49, 8, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 31, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 16, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 72, 9, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 272, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 7, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1225, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 30, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 1541, 42, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 920, 76, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 20, 3, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 55, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 2101, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 5017, 5, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 7065, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2729, 5, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 358, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2684, 21, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 5, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2413, 8, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20805, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 12, 11, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20806, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 2101, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20807, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 261, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20808, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 4847, 6, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20809, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 31, 69, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20810, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2413, 8, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20811, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 110, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20812, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 272, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20813, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 903, 136, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20814, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 34, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20815, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 1541, 42, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20816, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 6, 6, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20817, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 89, 36, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20818, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 16, 8, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20819, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 30, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20820, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 109, 50, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20821, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 24, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20822, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 1139, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20823, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 5, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20824, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 175, 34, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20825, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1225, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20826, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2222, 111, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20827, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 2029, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20828, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 385, 27, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20829, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 59, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20830, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 358, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20831, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 647, 3, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20832, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 4276, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20833, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 67, 80, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20834, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 2860, 5, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20835, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1225, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20836, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 110, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20837, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 12, 11, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20838, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 1541, 42, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20839, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 2, 13, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20840, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 647, 3, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20841, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 272, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20842, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 1139, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20843, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 36, 10, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20844, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 23, 9, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20845, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 52, 12, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20846, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 20, 11, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20847, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 109, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20848, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 53, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20849, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 110, 10, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20850, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 108, 26, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20851, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 30, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20852, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 2101, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20853, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 2029, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20854, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 24, 5, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20855, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 72, 17, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20856, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 254, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20857, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 34, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20858, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 37, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20859, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 358, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20860, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 261, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20861, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 4276, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20862, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E01', 21, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20863, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 59, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20864, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 34, 15, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20865, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 65, 13, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20866, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 40, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20867, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2413, 8, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20868, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 5, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20869, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 5, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20870, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 16, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20871, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 7141, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20872, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2911, 9, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20873, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 17, 4, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20874, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 9, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20875, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1667, 4, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20876, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 13, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20877, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 4, 4, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20878, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 232, 16, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20879, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 124, 18, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20880, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 4847, 6, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20881, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 7, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20882, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2729, 5, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20883, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2684, 21, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20884, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 5017, 5, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20885, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 7065, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20886, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 920, 76, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20887, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 882, 60, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20888, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 24, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20889, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1753, 12, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20890, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1679, 9, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20891, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1786, 16, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20892, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1566, 11, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20893, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 89, 36, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20894, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 899, 4, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20895, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1865, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20896, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 385, 27, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20897, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 49, 8, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20898, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 31, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20899, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 5, 5, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20900, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 7, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20901, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 72, 9, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20902, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 272, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20903, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 30, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20904, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2684, 21, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20905, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2729, 5, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20906, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 7065, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20907, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 5017, 5, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20908, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1214, 36, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20909, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 1506, 17, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20910, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 2101, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20911, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 174, 11, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20912, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 90, 31, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20913, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 72, 17, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20914, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 24, 5, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20915, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1361, 6, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20916, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 254, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20917, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 7141, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20918, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1882, 11, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20919, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 5, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20920, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2397, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20921, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 16, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20922, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 432, 20, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20923, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 13, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20924, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 206, 12, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20925, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 17, 4, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20926, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 145, 32, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20927, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 165, 29, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20928, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 882, 60, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20929, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 920, 76, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20930, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 1541, 42, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20931, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1225, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20932, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 143, 22, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20933, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 146, 32, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20934, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 70, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20935, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 12, 11, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20936, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 89, 36, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20937, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E01', 21, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20938, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 9, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20939, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 385, 27, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20940, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 4, 4, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20941, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 110, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20942, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 2029, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20943, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 37, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20944, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 202, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20945, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 34, 15, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20946, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 493, 12, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20947, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 4765, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20948, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 40, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20949, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 131, 45, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20950, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 145, 82, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20951, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 65, 13, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20952, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1786, 16, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20953, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 509, 22, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20954, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1679, 9, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20955, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 209, 10, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20956, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1753, 12, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20957, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 478, 32, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20958, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1865, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20959, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 899, 4, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20960, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 319, 27, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20961, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2911, 9, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20962, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1566, 11, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20963, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 55, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20964, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1667, 4, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20965, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 20, 3, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20966, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 261, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20967, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 118, 32, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20968, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 155, 42, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20969, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 110, 10, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20970, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 647, 3, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20971, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 53, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20972, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 23, 9, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20973, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 20, 11, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20974, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 52, 12, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20975, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 36, 10, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20976, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 59, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20977, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 2, 13, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20978, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 24, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20979, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 770, 3, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20980, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 5, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20981, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2413, 8, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20982, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 358, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20983, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 222, 5, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20984, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 166, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20985, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 284, 4, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20986, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 3024, 12, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20987, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1496, 46, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20988, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1907, 6, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20989, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 482, 6, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20990, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1495, 52, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20991, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1340, 34, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20992, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 369, 22, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20993, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 2067, 30, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20994, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1548, 31, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20995, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1831, 46, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20996, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1352, 41, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20997, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2911, 9, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20998, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1566, 11, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (20999, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 110, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21000, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 358, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21001, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 899, 4, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21002, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1753, 12, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21003, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1865, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21004, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1786, 16, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21005, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1679, 9, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21006, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 13, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21007, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 17, 4, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21008, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E01', 21, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21009, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 40, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21010, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 65, 13, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21011, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 34, 15, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21012, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 37, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21013, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 272, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21014, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1667, 4, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21015, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 4847, 6, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21016, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 385, 27, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21017, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 5017, 5, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21018, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2729, 5, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (21019, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 7065, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21020, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2684, 21, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21021, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 16, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21022, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 12, 11, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21023, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 7, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21024, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 2, 13, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21025, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 109, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21026, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 882, 60, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21027, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 7141, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21028, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 920, 76, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21029, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 108, 26, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21030, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 110, 10, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21031, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 1541, 42, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21032, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 5, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21033, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 23, 9, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21034, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 52, 12, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21035, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 36, 10, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21036, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 20, 11, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21037, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 53, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21038, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 647, 3, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21039, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 2101, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21040, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1225, 14, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21041, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 261, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21042, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 34, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21043, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 2029, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21044, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 30, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21045, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 5, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21046, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 124, 18, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21047, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 4, 4, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21048, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 254, 7, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21049, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 9, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21050, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 232, 16, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21051, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 4276, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21052, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 89, 36, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21053, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 59, 1, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21054, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2413, 8, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21055, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 72, 17, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21056, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 24, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21057, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 24, 5, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21058, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 1139, 2, 2023, 4, 28, '2024-08-05 13:56:52', NULL, NULL), (21059, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 99, 6, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21060, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 431, 48, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21061, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 730, 17, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21062, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 320, 11, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21063, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 431, 48, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21064, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 689, 18, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21065, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 99, 6, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21066, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 5, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21067, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 320, 11, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21068, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 40, 5, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21069, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 138, 4, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21070, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 5, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21071, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 554, 6, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21072, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 22, 2, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 527, 15, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 5, 4, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 138, 4, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 3, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2256, 2, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 205, 8, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 32, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 30, 7, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 101, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 900, 19, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 931, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 40, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 22, 2, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 554, 6, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 24, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 85, 9, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21089, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 554, 6, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21090, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 138, 4, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21091, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 22, 2, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21092, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 40, 5, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21093, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 24, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21094, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 32, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21095, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 101, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21096, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 138, 4, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21097, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 40, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21098, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 3, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21099, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 554, 6, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21100, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 22, 2, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21101, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 138, 4, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21102, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 527, 15, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21103, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 24, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21104, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 22, 2, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21105, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 40, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21106, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 101, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21107, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 32, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21108, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 3, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21109, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 85, 9, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21110, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 931, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21111, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 900, 19, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21112, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 30, 7, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21113, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 554, 6, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21114, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 205, 8, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21115, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 5, 4, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21116, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2256, 2, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21117, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 22, 2, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21118, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 24, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21119, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 40, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21120, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 138, 4, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21121, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 3, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21122, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 554, 6, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21123, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 101, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21124, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 32, 1, 2023, 4, 29, '2024-08-05 13:56:53', NULL, NULL), (21125, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 7, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21126, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 1143, 5, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21127, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 133, 35, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21128, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 184, 9, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21129, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 89, 9, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21130, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 133, 35, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21131, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 184, 9, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21132, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 1143, 5, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21133, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 7, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21134, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 89, 9, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21135, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 38, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21136, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 7, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21137, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 16, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21138, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 106, 7, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21139, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 8, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21140, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 1900, 3, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 184, 9, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 16, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 12, 7, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 10, 3, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 5, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 8, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 6, 6, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 38, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 333, 10, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 359, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 7, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 1900, 3, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 106, 7, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 153, 3, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 71, 5, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21156, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 8, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21157, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 106, 7, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21158, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 1900, 3, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21159, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 38, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21160, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 16, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21161, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 7, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21162, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 8, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21163, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 38, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21164, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 7, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21165, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 16, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21166, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 106, 7, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21167, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 1900, 3, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21168, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 7, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21169, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 184, 9, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21170, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 5, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21171, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 8, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21172, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 1900, 3, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21173, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 38, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21174, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 71, 5, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21175, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 153, 3, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21176, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 16, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21177, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 359, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21178, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 333, 10, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21179, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 6, 6, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21180, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 106, 7, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21181, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 10, 3, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21182, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 12, 7, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21183, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 16, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21184, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 1900, 3, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21185, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 7, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21186, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 8, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21187, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 106, 7, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21188, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 38, 1, 2023, 4, 30, '2024-08-05 13:56:54', NULL, NULL), (21189, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 48, 2, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21190, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 61, 17, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21191, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 279, 6, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21192, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 3836, 12, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21193, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 55, 19, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21194, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 279, 6, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21195, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 48, 2, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21196, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 3541, 13, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21197, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 694, 8, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21198, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 8096, 5, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21199, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 75, 1, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 8096, 5, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 21, 1, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 279, 6, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 59, 1, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 26, 5, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 21, 2, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 75, 1, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1097, 5, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 183, 3, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 9, 5, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 12, 1, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 136, 2, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21212, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 8096, 5, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21213, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 75, 1, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21214, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 793, 7, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21215, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 12, 1, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21216, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 59, 1, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21217, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1097, 5, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21218, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 8096, 5, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21219, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 75, 1, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21220, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 21, 1, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21221, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 75, 1, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21222, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 12, 1, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21223, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 59, 1, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21224, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 136, 2, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21225, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 9, 5, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21226, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 26, 5, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21227, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 21, 2, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21228, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 8096, 5, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21229, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1097, 5, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21230, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 279, 6, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21231, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 183, 3, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21232, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 75, 1, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21233, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 12, 1, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21234, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 8096, 5, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21235, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 59, 1, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21236, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1097, 5, 2023, 5, 1, '2024-08-05 13:56:54', NULL, NULL), (21237, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 459, 7, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21238, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 276, 26, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21239, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 557, 14, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21240, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 187, 7, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21241, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 276, 26, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21242, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 557, 14, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21243, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 459, 7, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21244, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 187, 7, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21245, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 44, 2, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21246, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 639, 5, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21247, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 245, 5, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21248, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 10, 2, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 557, 14, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 639, 5, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 15, 1, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 74, 1, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 601, 11, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 8, 6, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 4, 2, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 85, 3, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 10, 2, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 245, 5, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 65, 4, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21260, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 245, 5, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21261, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 639, 5, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21262, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 10, 2, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21263, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 44, 2, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21264, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 74, 1, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21265, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 639, 5, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21266, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 15, 1, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21267, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 245, 5, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21268, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 10, 2, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21269, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 639, 5, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21270, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 74, 1, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21271, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 85, 3, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21272, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 557, 14, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21273, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 15, 1, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21274, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 4, 2, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21275, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 601, 11, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21276, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 8, 6, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21277, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 245, 5, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21278, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 10, 2, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21279, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 65, 4, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21280, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 639, 5, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21281, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 15, 1, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21282, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 245, 5, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21283, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 10, 2, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21284, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 74, 1, 2023, 5, 2, '2024-08-05 13:56:55', NULL, NULL), (21285, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 29, 4, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21286, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 56, 29, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21287, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 112, 6, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21288, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 48, 11, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21289, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 56, 29, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21290, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 112, 6, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21291, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 29, 4, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21292, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 38, 14, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21293, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 77, 3, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21294, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 35, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21295, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 0, 1, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21296, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21297, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 9, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21298, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 47, 6, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21299, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 24, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 11, 1, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 112, 6, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 35, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 9, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 104, 1, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 65, 1, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 64, 1, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 2, 3, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 118, 11, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 24, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 4, 5, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 47, 6, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 55, 5, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 5, 4, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21314, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 47, 6, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21315, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 35, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21316, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 24, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21317, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 77, 3, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21318, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 9, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21319, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 104, 1, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21320, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 65, 1, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21321, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 64, 1, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21322, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 35, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21323, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 9, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21324, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 47, 6, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21325, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 24, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21326, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 35, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21327, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 112, 6, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21328, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 24, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21329, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 65, 1, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21330, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 64, 1, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21331, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 104, 1, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21332, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 5, 4, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21333, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 9, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21334, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 55, 5, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21335, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 2, 3, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21336, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 118, 11, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21337, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 47, 6, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21338, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 11, 1, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21339, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 4, 5, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21340, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 24, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21341, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 35, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21342, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 104, 1, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21343, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 47, 6, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21344, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 65, 1, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21345, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 64, 1, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21346, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 9, 2, 2023, 5, 3, '2024-08-05 13:56:56', NULL, NULL), (21347, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 9659, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21348, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 29, 103, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21349, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '', 24, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21350, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 4, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21351, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 510, 288, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21352, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 575, 13, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21353, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 173, 95, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21354, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 482, 51, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21355, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 140, 253, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21356, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 528, 126, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21357, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 2332, 420, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21358, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 390, 94, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21359, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 211, 139, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21360, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 2133, 459, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21361, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 414, 164, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21362, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 485, 103, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21363, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 454, 117, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21364, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 139, 254, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21365, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 29, 103, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21366, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 506, 290, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21367, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 211, 139, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21368, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1199, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21369, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 87, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21370, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 1985, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21371, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 44, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21372, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 29, 103, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21373, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 727, 64, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21374, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 274, 114, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21375, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 429, 12, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21376, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 647, 53, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21377, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 3696, 10, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21378, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 117, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21379, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 86, 49, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21380, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 353, 20, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21381, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 33, 4, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21382, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 142, 12, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21383, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 4, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21384, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 24, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21385, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1413, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21386, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 8, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21387, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 6, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21388, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 9659, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21389, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 4, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21390, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 153, 124, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21391, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1046, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21392, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 212, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21393, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 6, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21394, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 229, 77, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21395, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 192, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21396, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 142, 68, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21397, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 3, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21398, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 317, 19, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21399, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 251, 27, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 178, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 106, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 385, 12, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 221, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1199, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 353, 20, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 146, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 647, 53, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 2835, 25, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 2097, 26, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 140, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 2268, 36, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 374, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 831, 11, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 3177, 44, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 616, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 2698, 29, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 781, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 528, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 449, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 2016, 17, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 265, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 2531, 34, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 386, 9, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 3039, 28, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 232, 4, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 75, 13, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 142, 11, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 211, 15, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 261, 48, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 5134, 31, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 16, 24, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 38, 18, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 21, 17, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 198, 22, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 61, 11, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 156, 17, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 10, 13, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (21438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 1391, 12, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 3836, 26, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 27, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 177, 10, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 38, 20, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 62, 21, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 145, 34, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 21, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 12, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 928, 17, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 402, 11, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 608, 4, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 319, 13, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 325, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 1257, 52, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 250, 32, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 12, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 56, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 328, 19, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 4, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 245, 35, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 86, 49, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2550, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D11', 24, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 9659, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 146, 19, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 220, 9, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 263, 20, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 150, 30, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 200, 9, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 138, 12, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 142, 66, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 192, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 1985, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 60, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 131, 27, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 68, 16, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 349, 10, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 237, 56, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 22, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 76, 19, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 73, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 638, 8, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 138, 21, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 124, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 35, 10, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 10, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 6, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 4620, 8, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 727, 64, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 309, 58, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 107, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 479, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1020, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 3376, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 177, 11, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 159, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 144, 9, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 33, 4, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 107, 11, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 212, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1046, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21502, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 353, 20, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21503, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1413, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21504, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 4, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21505, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 6, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21506, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 429, 12, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21507, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 29, 103, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21508, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1046, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21509, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 142, 12, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21510, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 6, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21511, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 274, 114, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21512, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 87, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21513, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 727, 64, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21514, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 44, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21515, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 86, 49, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21516, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 317, 19, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21517, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 3, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21518, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 251, 27, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21519, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 192, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21520, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 8, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21521, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '', 24, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21522, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 212, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21523, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 142, 68, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21524, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 4620, 8, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21525, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 229, 77, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21526, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1199, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21527, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 647, 53, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21528, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 33, 4, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21529, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 9659, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21530, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 117, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21531, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 155, 123, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21532, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 4, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21533, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 1985, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21534, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 1985, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21535, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 4620, 8, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21536, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 178, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21537, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 106, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21538, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 353, 20, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21539, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 727, 64, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21540, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 38, 20, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21541, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 9659, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21542, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 6, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21543, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 8, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21544, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 10, 13, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21545, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 21, 17, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21546, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 61, 11, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21547, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 824, 4, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21548, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 16, 24, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21549, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 38, 18, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21550, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 200, 9, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21551, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 120, 14, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21552, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21553, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 1020, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21554, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 3376, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21555, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1199, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21556, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 68, 16, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21557, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 131, 27, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21558, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 349, 10, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21559, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 87, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21560, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 146, 19, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21561, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 33, 4, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21562, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 4, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21563, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 128, 4, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21564, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 77, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21565, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 6, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21566, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 138, 12, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21567, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 150, 30, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21568, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 220, 9, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21569, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1046, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21570, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 212, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21571, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 10, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21572, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21573, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 232, 4, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21574, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 22, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21575, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 12, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21576, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 146, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21577, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 124, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21578, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 56, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21579, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 638, 8, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21580, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 148, 52, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21581, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 123, 16, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21582, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 514, 8, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21583, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '1D11', 24, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21584, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 257, 4, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21585, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 144, 9, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21586, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 107, 11, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21587, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 177, 11, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21588, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 159, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21589, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 309, 58, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21590, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 237, 56, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21591, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 192, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21592, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 616, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21593, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 528, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21594, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 265, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21595, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 386, 9, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21596, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 86, 49, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21597, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 140, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21598, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 374, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21599, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 647, 53, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21600, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 73, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21601, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 138, 21, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21602, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 76, 19, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21603, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 35, 10, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21604, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 6, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21605, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21606, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 107, 11, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21607, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 144, 9, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21608, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 159, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21609, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 177, 11, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21610, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 3836, 26, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21611, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 3376, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21612, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 5134, 31, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21613, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1020, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21614, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 1391, 12, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21615, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 250, 32, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21616, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 131, 27, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21617, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 68, 16, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21618, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 449, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21619, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 349, 10, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21620, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21621, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 831, 11, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21622, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 781, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21623, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 10, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21624, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 1257, 52, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21625, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 124, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21626, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 638, 8, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21627, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 325, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21628, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 22, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21629, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 145, 34, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21630, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 62, 21, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21631, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 237, 56, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21632, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 309, 58, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21633, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 727, 64, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21634, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 4620, 8, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21635, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 328, 19, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21636, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 245, 35, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21637, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2550, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21638, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 353, 20, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21639, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 86, 49, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21640, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 647, 53, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21641, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 12, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21642, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 56, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21643, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 178, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21644, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1199, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21645, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 146, 19, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21646, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 138, 12, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21647, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 106, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21648, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 220, 9, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21649, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 385, 12, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21650, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 221, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21651, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 261, 48, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21652, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 150, 30, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21653, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 75, 13, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21654, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 265, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21655, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 528, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21656, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 156, 17, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21657, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 616, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21658, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 211, 15, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21659, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 142, 11, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21660, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 374, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21661, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 140, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21662, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 198, 22, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21663, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 319, 13, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21664, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 232, 4, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21665, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 386, 9, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21666, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 479, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21667, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 146, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21668, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 107, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21669, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 4, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21670, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 263, 20, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21671, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 142, 66, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21672, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 200, 9, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21673, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 9659, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21674, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 38, 18, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21675, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 21, 17, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21676, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 16, 24, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21677, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 61, 11, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21678, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 10, 13, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21679, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 38, 20, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21680, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 60, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21681, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 192, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21682, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 1985, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21683, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 212, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21684, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1046, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21685, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 33, 4, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21686, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 177, 10, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21687, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 608, 4, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21688, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 402, 11, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21689, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 27, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21690, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 2531, 34, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21691, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 2016, 17, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21692, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 21, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21693, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 2698, 29, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21694, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 3177, 44, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21695, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 928, 17, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21696, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 2268, 36, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21697, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 12, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21698, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 2097, 26, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21699, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 2835, 25, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21700, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 3039, 28, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21701, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '1D11', 24, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21702, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 232, 4, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21703, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 386, 9, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21704, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 178, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21705, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 33, 4, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21706, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 140, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21707, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 616, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21708, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 374, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21709, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 106, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21710, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 265, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21711, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 528, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21712, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 638, 8, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21713, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 22, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21714, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 220, 9, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21715, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 150, 30, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21716, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 138, 12, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21717, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 146, 19, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21718, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 6, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21719, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 146, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21720, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 257, 4, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21721, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 514, 8, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21722, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 647, 53, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21723, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 177, 11, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21724, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 144, 9, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21725, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 159, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21726, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 107, 11, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21727, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 10, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21728, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 124, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21729, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 353, 20, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21730, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 824, 4, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21731, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 38, 20, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21732, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 237, 56, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21733, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21734, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 309, 58, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21735, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 120, 14, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21736, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 200, 9, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21737, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 727, 64, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21738, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 21, 17, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21739, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 61, 11, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21740, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 10, 13, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21741, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 16, 24, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21742, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 38, 18, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21743, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 6, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21744, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 9659, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21745, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 1020, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21746, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 3376, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21747, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 4620, 8, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21748, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 87, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21749, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 4, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21750, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1199, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21751, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21752, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 212, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21753, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 123, 16, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21754, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 56, 5, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21755, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 349, 10, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21756, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 77, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21757, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 148, 52, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21758, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 12, 2, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21759, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 128, 4, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21760, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 86, 49, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21761, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1046, 6, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21762, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 1985, 3, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21763, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 131, 27, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21764, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 192, 7, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21765, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 68, 16, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21766, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 8, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21767, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '1D11', 24, 1, 2023, 5, 4, '2024-08-05 13:56:58', NULL, NULL), (21768, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 7123, 6, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21769, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 104, 122, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21770, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 3, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21771, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 778, 324, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21772, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 618, 6, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21773, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 166, 111, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21774, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 734, 89, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21775, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 200, 329, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21776, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1256, 425, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21777, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 906, 101, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21778, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 155, 94, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21779, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 303, 159, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21780, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1256, 425, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21781, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 600, 217, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21782, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 300, 72, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21783, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 681, 124, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21784, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 200, 329, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21785, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 104, 122, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21786, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 776, 325, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21787, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 301, 160, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21788, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 2157, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21789, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 122, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21790, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 682, 2, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21791, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 104, 12, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21792, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 709, 46, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21793, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 104, 122, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21794, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 680, 120, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21795, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 63, 6, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21796, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 359, 36, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21797, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 5417, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21798, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 78, 43, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21799, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 88, 17, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21800, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 394, 18, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21801, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 0, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21802, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 389, 12, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21803, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 3, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21804, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 487, 10, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21805, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 7123, 6, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21806, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 23, 16, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21807, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 1818, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21808, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 160, 171, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21809, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 643, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21810, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 24, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21811, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 7306, 2, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21812, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 795, 105, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21813, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 135, 3, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21814, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 162, 84, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21815, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 57, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21816, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 26, 35, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21817, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 172, 28, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21818, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 578, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 10, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 10, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 171, 2, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 2157, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 88, 17, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 803, 13, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 359, 36, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1472, 32, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1621, 28, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 600, 7, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1287, 27, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 699, 7, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2798, 10, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1826, 49, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 493, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1379, 25, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2446, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 792, 6, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2029, 11, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1756, 53, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1102, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1261, 35, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 746, 14, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1496, 22, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 664, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 13, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 128, 16, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 268, 7, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 161, 18, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 102, 15, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 562, 60, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 1539, 17, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 65, 24, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 183, 27, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (21854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 52, 19, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 97, 19, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 59, 20, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 89, 7, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 494, 45, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 228, 12, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1665, 31, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1807, 12, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 152, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 66, 20, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 236, 28, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 177, 29, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 512, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 2712, 2, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 543, 29, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 452, 26, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 930, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 283, 3, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 213, 17, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 73, 33, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 90, 19, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 104, 12, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 3, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 265, 28, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 78, 43, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 245, 10, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 7123, 6, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 204, 33, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 150, 14, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 105, 34, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 58, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 119, 27, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 135, 31, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 210, 68, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 1818, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 135, 3, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 1365, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 119, 29, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 122, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 104, 18, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 13, 11, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 52, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 303, 19, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 666, 62, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 320, 10, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 28, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 30, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 72, 7, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 24, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 168, 20, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 21, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 72, 16, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 7306, 2, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 18, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 5417, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 65, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 709, 46, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 22, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 706, 57, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 138, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 597, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 376, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1044, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 911, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 980, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 673, 16, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 394, 18, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 24, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 643, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21923, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 88, 17, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21924, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 487, 10, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21925, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 3, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21926, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 7306, 2, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21927, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 63, 6, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21928, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 104, 122, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21929, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 389, 12, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21930, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 643, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21931, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 685, 119, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21932, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 122, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21933, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 709, 46, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21934, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 104, 12, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21935, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 78, 43, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21936, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 1818, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21937, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 26, 35, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21938, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 57, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21939, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 172, 28, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21940, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 135, 3, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21941, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 24, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21942, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 5417, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21943, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 164, 83, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21944, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 795, 105, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21945, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 2157, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21946, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 359, 36, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21947, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 7123, 6, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21948, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 394, 18, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21949, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 160, 171, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21950, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 23, 16, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21951, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 1365, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21952, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 1365, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21953, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 5417, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21954, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 578, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21955, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 10, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21956, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 88, 17, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21957, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 709, 46, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21958, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 66, 20, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21959, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 7123, 6, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21960, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 228, 12, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21961, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 52, 19, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21962, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 59, 20, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21963, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 50, 2, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21964, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 65, 24, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21965, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 58, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21966, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 183, 27, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21967, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 247, 17, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21968, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 22, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21969, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 65, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21970, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 597, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21971, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 376, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21972, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 2157, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21973, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 104, 18, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21974, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 119, 29, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21975, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 303, 19, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21976, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 122, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21977, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 204, 33, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21978, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 394, 18, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21979, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 3, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21980, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 7306, 2, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21981, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 135, 31, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21982, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 119, 27, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21983, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 150, 14, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21984, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 643, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21985, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D26', 1818, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21986, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 52, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21987, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 24, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21988, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 21, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21989, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 13, 11, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21990, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 664, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21991, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 28, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21992, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 24, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21993, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 803, 13, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21994, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 104, 12, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21995, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 30, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21996, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 198, 51, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21997, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 108, 32, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21998, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 10, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (21999, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 171, 2, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22000, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 18, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22001, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 980, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22002, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 673, 16, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22003, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1044, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22004, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 911, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22005, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 706, 57, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22006, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 666, 62, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22007, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 135, 3, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22008, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 493, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22009, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 792, 6, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22010, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1102, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22011, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 746, 14, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22012, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 78, 43, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22013, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 600, 7, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22014, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 699, 7, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22015, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 359, 36, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22016, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 72, 7, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22017, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 168, 20, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22018, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 320, 10, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22019, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 18, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22020, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 72, 16, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22021, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 7306, 2, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22022, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 22, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22023, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 65, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22024, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 673, 16, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22025, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 980, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22026, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 911, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22027, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1044, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22028, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1665, 31, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22029, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 376, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22030, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 1539, 17, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22031, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 597, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22032, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 13, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22033, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 494, 45, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22034, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 73, 33, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22035, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 119, 29, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22036, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 104, 18, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22037, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2029, 11, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22038, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 303, 19, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22039, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 13, 11, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22040, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2798, 10, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22041, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 52, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22042, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2446, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22043, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 21, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22044, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 24, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22045, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 283, 3, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22046, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 30, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22047, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 28, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22048, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 177, 29, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22049, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 236, 28, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22050, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 666, 62, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22051, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 706, 57, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22052, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 709, 46, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22053, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 5417, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22054, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 90, 19, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22055, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 265, 28, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22056, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 245, 10, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22057, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 88, 17, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22058, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 78, 43, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22059, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 359, 36, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22060, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 578, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22061, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 104, 12, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22062, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 2157, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22063, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 204, 33, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22064, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 10, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22065, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 135, 31, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22066, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 102, 15, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22067, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 10, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22068, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 150, 14, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22069, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 171, 2, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22070, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 562, 60, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22071, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 119, 27, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22072, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 128, 16, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22073, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1102, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22074, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 89, 7, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22075, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 792, 6, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22076, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 161, 18, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22077, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 493, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22078, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 268, 7, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22079, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 699, 7, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22080, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 600, 7, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22081, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 97, 19, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22082, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 213, 17, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22083, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 664, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22084, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 746, 14, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22085, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 803, 13, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22086, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 138, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22087, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 3, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22088, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 105, 34, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22089, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 210, 68, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22090, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 58, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22091, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 7123, 6, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22092, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 183, 27, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22093, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 52, 19, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22094, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 65, 24, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22095, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 59, 20, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22096, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 228, 12, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22097, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 1818, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22098, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 66, 20, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22099, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 135, 3, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22100, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 1365, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22101, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 122, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22102, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 24, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22103, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 643, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22104, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 394, 18, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22105, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 152, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22106, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 930, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22107, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 452, 26, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22108, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1807, 12, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22109, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1261, 35, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22110, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1756, 53, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22111, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 512, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22112, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1379, 25, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22113, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1826, 49, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22114, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 543, 29, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22115, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1287, 27, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22116, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 2712, 2, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22117, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1621, 28, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22118, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1472, 32, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22119, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1496, 22, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22120, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 664, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22121, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 746, 14, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22122, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 578, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22123, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 600, 7, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22124, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 394, 18, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22125, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 493, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22126, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 699, 7, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22127, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 10, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22128, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1102, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22129, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 792, 6, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22130, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 30, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22131, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 28, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22132, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 150, 14, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22133, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 119, 27, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22134, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 135, 31, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22135, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 204, 33, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22136, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D26', 1818, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22137, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 803, 13, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22138, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 171, 2, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22139, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 10, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22140, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 359, 36, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22141, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1044, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22142, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 980, 8, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22143, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 911, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22144, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 673, 16, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22145, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 21, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22146, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 24, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22147, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 88, 17, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22148, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 18, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22149, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 66, 20, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22150, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 50, 2, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22151, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 666, 62, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22152, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 13, 11, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22153, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 706, 57, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22154, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 247, 17, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22155, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 58, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22156, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 709, 46, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22157, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 52, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22158, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 52, 19, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22159, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 59, 20, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22160, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 228, 12, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22161, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 65, 24, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22162, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 183, 27, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22163, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 7306, 2, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22164, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 7123, 6, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22165, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 597, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22166, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 376, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22167, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 5417, 9, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22168, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 3, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22169, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 2157, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22170, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 122, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22171, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 22, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22172, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 65, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22173, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 24, 4, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22174, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 108, 32, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22175, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 104, 12, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22176, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 303, 19, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22177, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 198, 51, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22178, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 78, 43, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22179, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 643, 5, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22180, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 1365, 1, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22181, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 119, 29, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22182, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 135, 3, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22183, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 104, 18, 2023, 5, 5, '2024-08-05 13:56:59', NULL, NULL), (22184, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 234, 123, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22185, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 4946, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22186, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 307, 61, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22187, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 10, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22188, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 270, 72, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22189, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 341, 248, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22190, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 303, 112, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22191, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 95, 314, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22192, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 207, 44, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22193, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 360, 152, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22194, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 286, 261, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22195, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 95, 315, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22196, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 498, 146, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22197, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 322, 94, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22198, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 206, 62, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22199, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 340, 249, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22200, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 234, 123, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22201, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 286, 261, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22202, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 360, 152, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22203, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 2327, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22204, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 19489, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22205, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 74, 10, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22206, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 347, 34, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22207, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 234, 123, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22208, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 224, 114, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22209, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 345, 8, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22210, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 266, 38, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22211, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1860, 8, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22212, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 541, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22213, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 98, 18, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22214, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 127, 17, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22215, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2023, 9, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22216, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 242, 23, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22217, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 10, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22218, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 689, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22219, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 422, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22220, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 25, 6, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22221, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22222, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 238, 153, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22223, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 5117, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22224, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 578, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22225, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 48, 13, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22226, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 228, 76, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22227, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 13609, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22228, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 227, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22229, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 442, 34, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22230, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 9, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22231, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 9, 22, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22232, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 136, 27, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22233, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 287, 12, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 192, 11, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 546, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 382, 10, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 2327, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 127, 17, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 182, 9, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 266, 38, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 90, 21, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 93, 22, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 83, 6, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 87, 24, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 249, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 184, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 109, 13, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 60, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 268, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 109, 21, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 353, 6, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 302, 6, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 151, 30, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 105, 27, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 162, 10, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 170, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 63, 25, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 177, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 107, 14, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A17', 41, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 102, 18, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 141, 24, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 95, 18, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 727, 62, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 78, 21, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 44, 17, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 4, 21, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 28, 22, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 40, 9, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (22271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 605, 20, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 115, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 192, 22, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 122, 22, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 130, 9, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 89, 15, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 525, 21, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 84, 20, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 27, 26, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 44, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 57, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 428, 22, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 317, 10, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 494, 8, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 23, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 128, 34, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 38, 14, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 74, 10, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 10, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 98, 18, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 356, 23, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 38, 6, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 274, 32, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 498, 28, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 32, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 231, 43, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 193, 27, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 156, 30, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 13609, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 227, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 19489, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 422, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 171, 34, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 432, 9, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 8, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 5, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 410, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 222, 60, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 13, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 10, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 287, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 10, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 243, 12, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 8, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 23, 12, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 48, 13, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 119, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1860, 8, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 4, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 6, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 347, 34, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 24, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 226, 54, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 152, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 566, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 852, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 94, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 953, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 302, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2023, 9, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 254, 13, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 578, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 5117, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22335, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 127, 17, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22336, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 689, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22337, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 10, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22338, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 48, 13, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22339, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 345, 8, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22340, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 234, 123, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22341, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 5117, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22342, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 242, 23, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22343, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 224, 114, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22344, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 347, 34, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22345, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 74, 10, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22346, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 98, 18, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22347, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 9, 22, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22348, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 9, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22349, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 136, 27, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22350, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 227, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22351, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 422, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22352, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 578, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22353, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 442, 34, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22354, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1860, 8, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22355, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 228, 76, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22356, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 2327, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22357, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 266, 38, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22358, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 13609, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22359, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2023, 9, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22360, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 541, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22361, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 240, 152, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22362, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 25, 6, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22363, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 19489, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22364, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 19489, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22365, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1860, 8, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22366, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 287, 12, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22367, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 192, 11, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22368, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 127, 17, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22369, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 347, 34, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22370, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 525, 21, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22371, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 422, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22372, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 192, 22, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22373, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 28, 22, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22374, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 605, 20, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22375, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 196, 11, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22376, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 44, 17, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22377, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 32, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22378, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 4, 21, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22379, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 110, 13, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22380, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 24, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22381, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 6, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22382, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 4, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22383, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 566, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22384, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 852, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22385, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 2327, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22386, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 432, 9, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22387, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 171, 34, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22388, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 410, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22389, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 274, 32, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22390, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2023, 9, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22391, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 10, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22392, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 814, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22393, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 359, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22394, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 48, 13, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22395, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 13609, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22396, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 193, 27, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22397, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 231, 43, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22398, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 5117, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22399, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 5, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22400, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 578, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22401, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 8, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22402, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 8, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22403, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 177, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22404, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 10, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22405, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22406, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 182, 9, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22407, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 74, 10, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22408, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 10, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22409, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 191, 17, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22410, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 693, 17, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22411, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 10, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22412, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 392, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22413, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 119, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22414, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 302, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22415, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 254, 13, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22416, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 94, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22417, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 953, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22418, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 226, 54, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22419, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 222, 60, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22420, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 227, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22421, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 268, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22422, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 302, 6, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22423, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 162, 10, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22424, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 98, 18, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22425, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 170, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22426, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 83, 6, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22427, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 249, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22428, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 266, 38, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22429, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 287, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22430, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 243, 12, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22431, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 13, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22432, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 119, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22433, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 23, 12, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22434, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 48, 13, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22435, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 6, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22436, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 24, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22437, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 4, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22438, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 254, 13, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22439, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 302, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22440, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 953, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22441, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 94, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22442, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 122, 22, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22443, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 852, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22444, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 78, 21, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22445, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 566, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22446, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A17', 41, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22447, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 38, 14, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22448, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 171, 34, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22449, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 432, 9, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22450, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 353, 6, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22451, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 410, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22452, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 8, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22453, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 184, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22454, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 5, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22455, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 60, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22456, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 8, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22457, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 128, 34, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22458, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22459, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 23, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22460, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 10, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22461, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 10, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22462, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 27, 26, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22463, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 84, 20, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22464, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 222, 60, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22465, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 226, 54, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22466, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 347, 34, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22467, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1860, 8, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22468, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 356, 23, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22469, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 38, 6, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22470, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 127, 17, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22471, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 98, 18, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22472, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 266, 38, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22473, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 287, 12, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22474, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 74, 10, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22475, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 2327, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22476, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 274, 32, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22477, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 193, 27, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22478, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 192, 11, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22479, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 95, 18, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22480, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 546, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22481, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 382, 10, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22482, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 231, 43, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22483, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 727, 62, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22484, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 107, 14, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22485, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 162, 10, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22486, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 115, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22487, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 302, 6, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22488, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 141, 24, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22489, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 268, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22490, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 102, 18, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22491, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 249, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22492, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 83, 6, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22493, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 40, 9, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22494, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 177, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22495, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 170, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22496, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 152, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22497, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 182, 9, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22498, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 10, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22499, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 498, 28, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22500, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 156, 30, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22501, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 32, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22502, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 4, 21, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22503, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 28, 22, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22504, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 44, 17, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22505, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 605, 20, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22506, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 192, 22, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22507, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 13609, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22508, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 525, 21, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22509, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 422, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22510, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 227, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22511, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 19489, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22512, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 578, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22513, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 5117, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22514, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2023, 9, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22515, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 89, 15, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22516, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 494, 8, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22517, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 317, 10, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22518, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 130, 9, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22519, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 105, 27, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22520, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 151, 30, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22521, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 44, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22522, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 109, 21, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22523, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 109, 13, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22524, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 428, 22, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22525, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 87, 24, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22526, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 57, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22527, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 93, 22, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22528, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 90, 21, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22529, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 63, 25, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22530, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 177, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22531, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 170, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22532, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 287, 12, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22533, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 83, 6, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22534, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2023, 9, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22535, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 268, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22536, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 249, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22537, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 192, 11, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22538, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 162, 10, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22539, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 302, 6, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22540, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 10, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22541, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 10, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22542, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 231, 43, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22543, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 193, 27, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22544, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 274, 32, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22545, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 182, 9, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22546, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 392, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22547, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 10, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22548, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 266, 38, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22549, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 94, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22550, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 302, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22551, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 953, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22552, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 254, 13, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22553, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 8, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22554, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 5, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22555, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 127, 17, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22556, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 119, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22557, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 196, 11, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22558, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 525, 21, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22559, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 222, 60, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22560, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 8, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22561, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 226, 54, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22562, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 110, 13, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22563, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 32, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22564, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 347, 34, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22565, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 5, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22566, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 28, 22, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22567, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 605, 20, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22568, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 192, 22, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22569, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 44, 17, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22570, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 4, 21, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22571, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 48, 13, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22572, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 566, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22573, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 852, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22574, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1860, 8, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22575, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 10, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22576, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 2327, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22577, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 24, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22578, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 6, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22579, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 4, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22580, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 578, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22581, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 693, 17, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22582, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 74, 10, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22583, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 410, 7, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22584, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 359, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22585, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 191, 17, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22586, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 814, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22587, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 98, 18, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22588, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 13609, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22589, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 5117, 4, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22590, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 19489, 1, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22591, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 171, 34, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22592, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 227, 3, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22593, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 432, 9, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22594, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 422, 2, 2023, 5, 6, '2024-08-05 13:57:00', NULL, NULL), (22595, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 58, 4, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22596, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 1283, 8, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22597, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 14, 2, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22598, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 487, 73, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22599, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 583, 15, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22600, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 643, 37, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22601, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 487, 73, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22602, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 58, 4, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22603, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 7, 2, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22604, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 548, 16, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22605, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 933, 11, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22606, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22607, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 595, 40, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22608, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 47, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22609, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22610, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22611, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 433, 21, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22612, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 0, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22613, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 2514, 4, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22614, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 8685, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22615, 1, '511500000000-0001', '宜宾市民中心', '贷款核发', '', '', '', 0, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22616, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 499, 12, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22617, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 8, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22618, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 32, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22619, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 8, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22620, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 66, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22621, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 135, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22622, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 72, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22623, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 14, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 47, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 69, 2, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 5, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 138, 12, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 14, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 96, 2, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 8, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 13, 2, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 46, 12, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 6898, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 15, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 76, 10, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 800, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 465, 6, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 266, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 66, 12, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 713, 23, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 895, 8, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 8685, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 3352, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 58, 4, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 1410, 7, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 433, 21, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22647, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 66, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22648, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 8685, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22649, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 32, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22650, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 499, 12, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22651, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 14, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22652, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 433, 21, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22653, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 47, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22654, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 13, 2, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22655, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 3352, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22656, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 72, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22657, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 8, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22658, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 135, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22659, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 8685, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22660, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 14, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22661, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 47, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22662, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 8, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22663, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 32, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22664, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E26', 72, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22665, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 800, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22666, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 465, 6, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22667, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 266, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22668, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 13, 2, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22669, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E26', 66, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22670, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 135, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22671, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 433, 21, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22672, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 3352, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22673, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 13, 2, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22674, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 47, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22675, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 69, 2, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22676, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 138, 12, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22677, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 14, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22678, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 3352, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22679, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 15, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22680, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 266, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22681, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 800, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (22682, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 465, 6, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22683, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 8, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22684, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 895, 8, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22685, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 66, 12, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22686, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 713, 23, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22687, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 433, 21, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22688, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 76, 10, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22689, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 8685, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22690, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 46, 12, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22691, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 96, 2, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22692, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 5, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22693, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 1410, 7, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22694, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 6898, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22695, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 58, 4, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22696, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 47, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22697, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 32, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22698, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 13, 2, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22699, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 14, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22700, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 266, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22701, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 800, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22702, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 465, 6, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22703, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E26', 72, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22704, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 8, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22705, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 8685, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22706, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 3352, 3, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22707, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E26', 66, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22708, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 433, 21, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22709, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 135, 1, 2023, 5, 7, '2024-08-05 13:57:02', NULL, NULL), (22710, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 67, 114, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22711, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 7300, 8, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22712, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 103, 106, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22713, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 5, 3, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22714, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 713, 60, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22715, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 212, 269, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22716, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1285, 417, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22717, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1011, 112, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22718, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 360, 89, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22719, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 127, 136, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22720, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 489, 302, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22721, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1276, 420, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22722, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 600, 187, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22723, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 413, 87, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22724, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 960, 114, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22725, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 211, 271, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22726, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 67, 114, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22727, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 486, 304, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22728, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 127, 136, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22729, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1762, 3, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22730, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 77, 1, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22731, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 143, 17, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22732, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 67, 114, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22733, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 370, 65, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22734, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 322, 123, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22735, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1040, 4, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22736, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 381, 56, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22737, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22738, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 7228, 8, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22739, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 16, 1, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22740, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 74, 33, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22741, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 321, 13, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22742, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 466, 10, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22743, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 93, 10, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22744, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 5, 3, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22745, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 341, 8, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22746, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 229, 3, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22747, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 33, 1, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22748, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 4, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22749, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 3, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22750, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 560, 1, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22751, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 180, 142, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22752, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1935, 4, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22753, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 5, 1, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22754, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 100, 5, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22755, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 256, 91, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22756, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 117, 76, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22757, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 7135, 8, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22758, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 100, 4, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22759, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 32, 8, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22760, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 67, 30, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22761, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 487, 1, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 166, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 19, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 835, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1762, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 321, 13, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 108, 12, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 381, 56, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1811, 34, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1555, 45, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 23, 3, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1296, 15, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 248, 14, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1485, 20, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 3528, 9, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 427, 4, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1673, 39, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2709, 8, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 2149, 39, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 272, 9, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2990, 8, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 296, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1288, 36, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 25, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1070, 22, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 280, 6, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 27, 1, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 128, 8, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 112, 14, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 118, 13, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 235, 10, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 100, 31, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 133, 24, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 2045, 37, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 87, 16, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 72, 25, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 45, 20, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 42, 16, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 182, 16, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 47, 25, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 127, 21, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1389, 37, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1216, 10, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 155, 11, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 15, 16, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 83, 19, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 69, 21, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1387, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 389, 15, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 899, 16, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 586, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 81, 20, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 186, 27, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 180, 26, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 36, 3, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 493, 2, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 179, 13, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 5, 3, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 210, 24, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 74, 33, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 255, 11, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 68, 14, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 102, 22, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 148, 35, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 47, 4, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 73, 40, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 83, 67, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 94, 23, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 560, 1, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 19026, 3, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 294, 2, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 66, 20, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 88, 2, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 1401, 10, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 6, 2, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 4, 1, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 150, 13, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 301, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 299, 69, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 396, 9, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 55, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 38, 8, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 383, 19, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 28, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 121, 14, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 89, 6, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 8261, 7, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 12, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 77, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 370, 65, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 487, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 351, 54, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 584, 11, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 810, 15, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 389, 5, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 260, 3, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 613, 5, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 138, 2, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 228, 7, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 517, 9, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 281, 24, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 5, 1, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1935, 4, 2023, 5, 8, '2024-08-05 13:57:04', NULL, NULL), (22865, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 321, 13, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22866, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 341, 8, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22867, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 5, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22868, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 100, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22869, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1040, 4, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22870, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 67, 114, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22871, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1935, 4, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22872, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 93, 10, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22873, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 33, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22874, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 322, 123, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22875, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 77, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22876, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 370, 65, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22877, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 152, 16, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22878, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 74, 33, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22879, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 560, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22880, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 32, 8, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22881, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 100, 4, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22882, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 67, 30, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22883, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 19026, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22884, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 229, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22885, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 5, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22886, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 117, 76, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22887, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 8261, 7, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22888, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 256, 91, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22889, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1762, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22890, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 381, 56, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22891, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 517, 9, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22892, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 16, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22893, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 180, 142, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22894, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 487, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22895, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22896, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 8261, 7, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22897, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 166, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22898, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 19, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22899, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 321, 13, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22900, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 370, 65, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22901, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 15, 16, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22902, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 33, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22903, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 294, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22904, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 100, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22905, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 127, 21, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22906, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 45, 20, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22907, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 42, 16, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22908, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 87, 16, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22909, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 110, 6, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22910, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 47, 4, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22911, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 72, 25, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22912, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 59, 20, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22913, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 77, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22914, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 12, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22915, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 389, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22916, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 260, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22917, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1762, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22918, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 1401, 10, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22919, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 66, 20, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22920, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 150, 13, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22921, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 77, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22922, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 68, 14, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22923, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 517, 9, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22924, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 5, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22925, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 16, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22926, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 100, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22927, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 94, 23, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22928, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 73, 40, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22929, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 102, 22, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22930, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1935, 4, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22931, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 4, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22932, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D26', 560, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22933, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 5, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22934, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 28, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22935, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 6, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22936, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 280, 6, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22937, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 36, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22938, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22939, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 108, 12, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22940, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 179, 13, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22941, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 55, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22942, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 93, 47, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22943, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 156, 29, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22944, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1040, 4, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22945, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 228, 7, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22946, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 281, 24, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22947, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 613, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22948, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 138, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22949, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 351, 54, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22950, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 299, 69, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22951, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 301, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22952, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 19026, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22953, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E27', 487, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22954, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 427, 4, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22955, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 272, 9, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22956, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 296, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22957, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 25, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22958, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 74, 33, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22959, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 23, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22960, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 248, 14, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22961, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 381, 56, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22962, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 38, 8, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22963, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 383, 19, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22964, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 301, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22965, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 396, 9, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22966, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 121, 14, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22967, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 89, 6, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22968, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 77, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22969, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 487, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22970, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 12, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22971, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 281, 24, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22972, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 228, 7, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22973, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 138, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22974, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 613, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22975, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1389, 37, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22976, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 260, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22977, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 2045, 37, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22978, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 389, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22979, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 27, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22980, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 47, 25, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22981, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 180, 26, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22982, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 66, 20, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22983, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 1401, 10, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22984, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2990, 8, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22985, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 150, 13, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22986, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 6, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22987, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 3528, 9, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22988, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 4, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22989, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2709, 8, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22990, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 28, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22991, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22992, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 186, 27, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22993, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 55, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22994, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 69, 21, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22995, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 83, 19, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22996, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 299, 69, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22997, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 351, 54, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22998, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 370, 65, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (22999, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 8261, 7, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23000, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 493, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23001, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 210, 24, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23002, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 255, 11, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23003, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 321, 13, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23004, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 74, 33, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23005, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 36, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23006, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 381, 56, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23007, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 179, 13, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23008, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 166, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23009, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1762, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23010, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 68, 14, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23011, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 19, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23012, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 94, 23, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23013, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 235, 10, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23014, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 835, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23015, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 102, 22, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23016, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 133, 24, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23017, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 73, 40, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23018, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 100, 31, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23019, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 296, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23020, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 128, 8, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23021, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 272, 9, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23022, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 427, 4, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23023, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 118, 13, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23024, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 112, 14, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23025, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 248, 14, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23026, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 23, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23027, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 182, 16, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23028, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 81, 20, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23029, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 280, 6, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23030, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 25, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23031, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 810, 15, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23032, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 108, 12, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23033, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 584, 11, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23034, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 5, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23035, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 148, 35, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23036, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 83, 67, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23037, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 47, 4, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23038, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 72, 25, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23039, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 45, 20, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23040, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 87, 16, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23041, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 42, 16, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23042, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 127, 21, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23043, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 560, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23044, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 15, 16, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23045, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 294, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23046, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 19026, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23047, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 88, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23048, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 5, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23049, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1935, 4, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23050, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 517, 9, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23051, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 155, 11, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23052, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 586, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23053, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 899, 16, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23054, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1216, 10, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23055, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1288, 36, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23056, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 2149, 39, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23057, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1387, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23058, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1673, 39, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23059, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1485, 20, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23060, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 389, 15, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23061, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1296, 15, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23062, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1555, 45, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23063, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1811, 34, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23064, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1070, 22, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23065, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 280, 6, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23066, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 25, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23067, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 166, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23068, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 517, 9, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23069, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 23, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23070, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 427, 4, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23071, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 248, 14, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23072, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 296, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23073, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 19, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23074, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 272, 9, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23075, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 55, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23076, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 102, 22, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23077, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 73, 40, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23078, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 94, 23, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23079, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 68, 14, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23080, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D26', 560, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23081, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 33, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23082, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 108, 12, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23083, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1040, 4, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23084, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 381, 56, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23085, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 613, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23086, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 228, 7, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23087, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 138, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23088, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 281, 24, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23089, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 28, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23090, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23091, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 321, 13, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23092, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 15, 16, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23093, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 110, 6, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23094, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 299, 69, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23095, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 6, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23096, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 351, 54, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23097, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 59, 20, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23098, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 47, 4, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23099, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 370, 65, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23100, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 4, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (23101, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 45, 20, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23102, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 42, 16, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23103, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 127, 21, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23104, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 87, 16, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23105, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 72, 25, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23106, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 100, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23107, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 389, 5, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23108, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 260, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23109, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 8261, 7, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23110, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 5, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23111, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 77, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23112, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1762, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23113, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 77, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23114, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 12, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23115, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 5, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23116, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 156, 29, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23117, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 179, 13, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23118, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 150, 13, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23119, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 93, 47, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23120, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 36, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23121, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 16, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23122, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 74, 33, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23123, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 301, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23124, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1935, 4, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23125, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 66, 20, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23126, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E27', 487, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23127, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 19026, 3, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23128, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 1401, 10, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23129, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 100, 1, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23130, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 294, 2, 2023, 5, 8, '2024-08-05 13:57:05', NULL, NULL), (23131, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 66, 140, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (23132, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 222, 10, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (23133, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 196, 103, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (23134, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 514, 4, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (23135, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 311, 87, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (23136, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 4203, 233, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (23137, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1855, 398, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (23138, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 882, 103, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (23139, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 223, 181, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (23140, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 460, 90, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (23141, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 536, 305, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (23142, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1837, 402, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (23143, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 239, 216, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (23144, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 92, 76, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (23145, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1061, 118, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (23146, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 4150, 236, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (23147, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 66, 140, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (23148, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 529, 309, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23149, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 223, 181, 2023, 5, 9, '2024-08-05 13:57:08', NULL, NULL), (23150, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 777, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23151, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 378, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23152, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '', 0, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23153, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23154, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23155, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 6026, 13, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23156, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 66, 140, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23157, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 993, 46, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23158, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 182, 108, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23159, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 114, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23160, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 93, 46, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23161, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23162, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 3812, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23163, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 1058, 15, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23164, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 22, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23165, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 446, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23166, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 98, 14, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23167, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 514, 4, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23168, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 2, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23169, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 965, 13, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23170, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 18, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23171, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 5, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23172, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 2, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23173, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 183, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23174, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 6210, 139, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23175, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 802, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23176, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 16, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23177, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 374, 104, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23178, 1, '511500000000-0001', '宜宾市民中心', '贷款项目受理', '', '', '', 0, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23179, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 178, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23180, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 131, 61, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23181, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 24, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23182, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 35, 25, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23183, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 291, 42, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23184, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 7, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23185, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 2, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 55, 5, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 121, 9, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 114, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 777, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 22, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 277, 10, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 93, 46, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 2720, 22, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1832, 19, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 3265, 16, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 260, 4, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 376, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1650, 39, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2844, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 390, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 2283, 54, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3598, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 3574, 43, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3062, 8, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 502, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 2544, 45, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 406, 10, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 2215, 24, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 330, 13, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 340, 23, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 326, 26, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 297, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 126, 47, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 162, 33, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 2286, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 42, 28, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 82, 25, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 63, 20, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 87, 19, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 279, 15, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 39, 19, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 78, 30, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1860, 31, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 234, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 504, 17, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 82, 29, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 151, 16, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 31, 23, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 99, 9, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 92, 5, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 228, 27, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 207, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 647, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 6, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 199, 25, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 199, 29, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 9539, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 94, 27, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 1928, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 514, 4, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 59, 26, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 1058, 15, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E01', 13255, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2083, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 6636, 34, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 3159, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 391, 20, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 127, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 8969, 25, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 5930, 24, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 175, 38, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 127, 42, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 178, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 3456, 18, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 31, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1060, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 2965, 23, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 183, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 15036, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 160, 65, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 181, 15, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 45, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 38, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 367, 19, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 13, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 541, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 16, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 4159, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 5, 2, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 1015, 45, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 35, 2, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 214, 43, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 815, 20, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 775, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1123, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 194, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 351, 10, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 441, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 483, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 287, 13, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 446, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 802, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23283, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 22, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23284, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1045, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23285, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 514, 4, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23286, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 16, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23287, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 66, 140, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23288, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 114, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23289, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 98, 14, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23290, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 802, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23291, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 182, 108, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23292, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 378, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23293, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 1015, 45, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23294, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 6026, 13, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23295, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 1058, 15, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23296, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 35, 25, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23297, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 24, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23298, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 291, 42, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23299, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 178, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23300, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 18, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23301, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 4159, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23302, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 131, 61, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23303, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 374, 104, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23304, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 777, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23305, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 93, 46, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23306, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 446, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23307, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 6210, 139, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23308, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 7, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23309, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 183, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23310, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 4159, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23311, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 55, 5, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23312, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 121, 9, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23313, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 22, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23314, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 1015, 45, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23315, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 82, 29, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23316, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 18, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23317, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 39, 19, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23318, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 63, 20, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23319, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 87, 19, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23320, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 42, 28, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23321, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 588, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23322, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 127, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23323, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 82, 25, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23324, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 298, 13, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23325, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 99, 15, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23326, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 35, 2, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23327, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23328, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 1123, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23329, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 194, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23330, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 777, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23331, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 2965, 23, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23332, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 3456, 18, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23333, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 15036, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23334, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 38, 2, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23335, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 1060, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23336, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 6636, 34, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23337, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 446, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23338, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 514, 4, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23339, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E01', 13255, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23340, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 16, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23341, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 5930, 24, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23342, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 8969, 25, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23343, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 3159, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23344, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 802, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23345, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 183, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23346, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 13, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23347, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 330, 13, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23348, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 9539, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23349, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 277, 10, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23350, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 38, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23351, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 45, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23352, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 1928, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23353, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 111, 25, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23354, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 143, 27, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23355, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 150, 9, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23356, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 114, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23357, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 483, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23358, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 287, 13, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23359, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 351, 10, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23360, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 441, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23361, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 214, 43, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23362, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 160, 65, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23363, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 178, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23364, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E29', 7, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23365, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 390, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23366, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 502, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23367, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 1058, 15, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23368, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 406, 10, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23369, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 260, 4, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23370, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 376, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23371, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 93, 46, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23372, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 367, 19, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23373, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 181, 15, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23374, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 541, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23375, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 16, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23376, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 35, 2, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23377, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 5, 2, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23378, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 287, 13, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23379, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 483, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23380, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 441, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23381, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1860, 31, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23382, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 351, 10, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23383, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 194, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23384, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 2286, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23385, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1123, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23386, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 78, 30, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23387, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 94, 27, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23388, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 3456, 18, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23389, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 2965, 23, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23390, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3062, 8, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23391, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 15036, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23392, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2844, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23393, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 183, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23394, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3598, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23395, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 13, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23396, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 38, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23397, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 199, 29, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23398, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 6, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23399, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 45, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23400, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 31, 23, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23401, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 151, 16, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23402, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 160, 65, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23403, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 214, 43, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23404, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 1015, 45, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23405, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 4159, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23406, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 59, 26, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23407, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2083, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23408, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 22, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23409, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 1058, 15, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23410, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E01', 13255, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23411, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 9539, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23412, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 93, 46, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23413, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 55, 5, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23414, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 1928, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23415, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 777, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23416, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 6636, 34, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23417, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 121, 9, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23418, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 5930, 24, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23419, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 297, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23420, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 162, 33, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23421, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 114, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23422, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 3159, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23423, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 126, 47, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23424, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 8969, 25, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23425, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 502, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23426, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 326, 26, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23427, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 390, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23428, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 340, 23, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23429, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 376, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23430, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 260, 4, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23431, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 279, 15, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23432, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 199, 25, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23433, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 330, 13, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23434, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 406, 10, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23435, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 775, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23436, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 277, 10, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23437, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 815, 20, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23438, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 514, 4, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23439, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 391, 20, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23440, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 127, 42, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23441, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 175, 38, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23442, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 127, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23443, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 82, 25, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23444, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 63, 20, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23445, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 42, 28, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23446, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 87, 19, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23447, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 39, 19, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23448, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 82, 29, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23449, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 31, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23450, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 178, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23451, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1060, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23452, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 802, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23453, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 446, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23454, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 504, 17, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23455, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 647, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23456, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 207, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23457, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 234, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23458, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 2544, 45, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23459, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 3574, 43, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23460, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 99, 9, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23461, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 2283, 54, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23462, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1650, 39, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23463, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 3265, 16, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23464, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 228, 27, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23465, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 92, 5, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23466, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1832, 19, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23467, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 2720, 22, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23468, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 2215, 24, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23469, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 330, 13, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23470, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 406, 10, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23471, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 55, 5, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23472, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 260, 4, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23473, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 446, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23474, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 390, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23475, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 376, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23476, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 121, 9, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23477, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 502, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23478, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 45, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23479, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E01', 13255, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23480, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 3159, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23481, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 8969, 25, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23482, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 5930, 24, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23483, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 6636, 34, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23484, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 277, 10, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23485, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 114, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23486, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 93, 46, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23487, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 351, 10, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23488, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 483, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23489, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 441, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23490, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 287, 13, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23491, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 13, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23492, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 38, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23493, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 22, 12, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23494, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 82, 29, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23495, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 588, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23496, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 160, 65, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23497, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 99, 15, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23498, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 214, 43, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23499, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 298, 13, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23500, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 127, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23501, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 1015, 45, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23502, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 183, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23503, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 63, 20, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23504, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 87, 19, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23505, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 39, 19, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23506, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 42, 28, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23507, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 82, 25, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23508, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 16, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23509, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 1123, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23510, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 194, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23511, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 4159, 11, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23512, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 38, 2, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23513, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 514, 4, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23514, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 777, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (23515, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 1060, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23516, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 35, 2, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23517, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23518, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 150, 9, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23519, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 1928, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23520, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 15036, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23521, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 9539, 7, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23522, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 111, 25, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23523, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 143, 27, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23524, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 1058, 15, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23525, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 802, 3, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23526, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 3456, 18, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23527, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 178, 6, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23528, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 2965, 23, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23529, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E29', 7, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23530, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 18, 1, 2023, 5, 9, '2024-08-05 13:57:09', NULL, NULL), (23531, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 12884, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23532, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 40, 119, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23533, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '', 62, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23534, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 10936, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23535, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 869, 293, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23536, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 3406, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23537, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 571, 86, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23538, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 372, 82, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23539, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 219, 298, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23540, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 577, 380, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23541, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 813, 100, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23542, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 10668, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23543, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 529, 122, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23544, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 175, 124, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23545, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 574, 382, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23546, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 953, 189, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23547, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 369, 68, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23548, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 784, 154, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23549, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 219, 299, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23550, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 40, 119, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23551, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 869, 293, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23552, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 175, 124, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23553, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 106, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23554, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 2540, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23555, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 63, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23556, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '', 41, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23557, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 33, 3, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23558, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 11, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23559, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 40, 119, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23560, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 1161, 55, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23561, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 174, 81, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23562, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1722, 12, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23563, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 103, 28, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23564, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 5399, 10, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23565, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 332, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23566, 1, '511500000000-0001', '宜宾市民中心', '负责爆破作业项目许可', '', '', '', 0, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23567, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 85, 43, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23568, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 28, 15, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23569, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 2, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23570, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 858, 18, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23571, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 14277, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23572, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 62, 11, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23573, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 10936, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23574, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 62, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23575, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 604, 9, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23576, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 129, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23577, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 81, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23578, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 7362, 7, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23579, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 703, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23580, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 9895, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23581, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 171, 156, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23582, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 416, 7, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23583, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 844, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23584, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 49, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23585, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1114, 104, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23586, 1, '511500000000-0001', '宜宾市民中心', '贷款项目受理', '', '', '', 0, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23587, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 119, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23588, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 407, 58, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23589, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 0, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23590, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 67, 10, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23591, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 43, 34, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23592, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 851, 30, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23593, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 10668, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 95, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 34, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 4753, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 220, 9, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 106, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 28, 15, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 306, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 103, 28, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 474, 24, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 629, 31, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1457, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 567, 24, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1411, 11, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 813, 30, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1875, 12, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1316, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1916, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 729, 44, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1199, 7, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 874, 47, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1530, 12, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1136, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 740, 31, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 303, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 770, 21, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1312, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 291, 26, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 144, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 83, 25, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 66, 21, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 868, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 57, 23, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 22, 21, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 64, 18, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 17, 19, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 176, 21, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 138, 19, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 29, 13, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 659, 32, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 85, 7, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 434, 21, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 44, 25, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 68, 23, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 80, 20, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 463, 9, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 973, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 268, 17, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 228, 13, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 423, 10, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 116, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 243, 25, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 169, 21, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 12, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 155, 26, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 11, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 10936, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 85, 43, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 133, 22, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E01', 81, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 10668, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 4174, 7, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D11', 62, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 12884, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 111, 23, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 681, 39, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 75, 11, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 1450, 7, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 86, 33, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 92, 18, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 311, 40, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 9895, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 119, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 7170, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2540, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 111, 30, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 139, 20, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 703, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 605, 21, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 112, 3, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 175, 47, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 17, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 242, 15, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 183, 10, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 77, 10, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 413, 11, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 22, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 95, 10, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 49, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 102, 3, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 5399, 10, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 2, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 1161, 55, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 121, 3, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 173, 34, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 544, 31, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 318, 36, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 804, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 353, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1869, 12, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1285, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1309, 12, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 629, 20, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 858, 18, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 844, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 486, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23699, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 28, 15, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23700, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 10936, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23701, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 486, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23702, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 174, 81, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23703, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 2540, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23704, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 1161, 55, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23705, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 85, 43, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23706, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 9895, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23707, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 43, 34, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23708, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 844, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23709, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 14277, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23710, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 5399, 10, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23711, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1114, 104, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23712, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 106, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23713, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 103, 28, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23714, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '', 81, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23715, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 33, 3, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23716, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 604, 9, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23717, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 49, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23718, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1722, 12, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23719, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 40, 119, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23720, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 62, 11, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23721, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 129, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23722, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 63, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23723, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 11, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23724, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 10668, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23725, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 67, 10, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23726, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 880, 29, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23727, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 2, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23728, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 119, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23729, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '', 62, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23730, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 414, 57, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23731, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 12884, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23732, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 858, 18, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23733, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '', 41, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23734, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 332, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23735, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 171, 156, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23736, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 703, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23737, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 5399, 10, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23738, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 95, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23739, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 34, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23740, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D23', 14277, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23741, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 28, 15, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23742, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 1161, 55, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23743, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 44, 25, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23744, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 12884, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23745, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 129, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23746, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 29, 13, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23747, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 64, 18, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23748, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 17, 19, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23749, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 1202, 11, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23750, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 57, 23, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23751, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 1450, 7, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23752, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 22, 21, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23753, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A21', 38, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23754, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 195, 11, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23755, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 121, 3, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23756, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23757, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 804, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23758, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 353, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23759, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 30, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23760, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 106, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23761, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 10668, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23762, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 139, 20, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23763, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 111, 30, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23764, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 605, 21, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23765, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 2540, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23766, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 111, 23, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23767, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 858, 18, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23768, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 10936, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23769, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 332, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23770, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 49, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23771, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 92, 18, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23772, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 86, 33, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23773, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 75, 11, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23774, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 486, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23775, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D26', 9895, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23776, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 844, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23777, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 49, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23778, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 703, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23779, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '2E01', 81, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23780, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E29', 2, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23781, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1312, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23782, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 12, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23783, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 17, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23784, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 22, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23785, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 306, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23786, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 11, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23787, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 77, 10, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23788, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 355, 29, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23789, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 476, 28, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23790, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 4753, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23791, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '1D11', 62, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23792, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 206, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23793, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1309, 12, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23794, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 629, 20, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23795, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '2E26', 41, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23796, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1869, 12, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23797, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1285, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23798, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 173, 34, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23799, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 175, 47, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23800, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 63, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23801, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 148, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23802, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 119, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23803, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1316, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23804, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1199, 7, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23805, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1136, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23806, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 85, 43, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23807, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 303, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23808, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1457, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23809, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1411, 11, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23810, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 103, 28, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23811, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 183, 10, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23812, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 413, 11, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23813, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 112, 3, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23814, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 242, 15, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23815, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 95, 10, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23816, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 102, 3, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23817, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 121, 3, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23818, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 2, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23819, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 629, 20, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23820, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1309, 12, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23821, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1285, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23822, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1869, 12, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23823, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 659, 32, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23824, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 353, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23825, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 868, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23826, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 804, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23827, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 138, 19, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23828, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 155, 26, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23829, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 111, 30, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23830, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 139, 20, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23831, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1530, 12, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23832, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 605, 21, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23833, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 703, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23834, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1875, 12, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23835, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1916, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23836, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 49, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23837, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 169, 21, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23838, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 22, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23839, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 116, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23840, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 77, 10, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23841, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 17, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23842, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 80, 20, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23843, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 68, 23, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23844, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 175, 47, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23845, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 173, 34, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23846, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 1161, 55, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23847, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 5399, 10, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23848, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 133, 22, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23849, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 4174, 7, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23850, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 28, 15, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23851, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 85, 43, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23852, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E01', 81, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23853, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 12, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23854, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 103, 28, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23855, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 95, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23856, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 11, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23857, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 106, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23858, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 111, 23, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23859, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 34, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23860, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 92, 18, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23861, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 144, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23862, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 4753, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23863, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 66, 21, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23864, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 75, 11, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23865, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 220, 9, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23866, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 83, 25, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23867, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 86, 33, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23868, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1136, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23869, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1199, 7, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23870, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1316, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23871, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 291, 26, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23872, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1411, 11, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23873, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1457, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23874, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 176, 21, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23875, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 10668, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23876, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 243, 25, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23877, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1312, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23878, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 303, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23879, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 318, 36, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23880, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 306, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23881, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 544, 31, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23882, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 10936, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23883, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 681, 39, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23884, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 311, 40, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23885, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 1450, 7, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23886, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 12884, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23887, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 22, 21, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23888, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 64, 18, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23889, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 57, 23, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23890, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 17, 19, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23891, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 29, 13, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23892, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 9895, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23893, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 44, 25, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23894, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 7170, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23895, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2540, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23896, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 119, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23897, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 844, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23898, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 486, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23899, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 858, 18, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23900, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 434, 21, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23901, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 423, 10, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23902, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 228, 13, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23903, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 85, 7, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23904, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 740, 31, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23905, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 874, 47, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23906, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 463, 9, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23907, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 729, 44, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23908, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 813, 30, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23909, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 268, 17, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23910, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 567, 24, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23911, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 973, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23912, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 629, 31, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23913, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 474, 24, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23914, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 770, 21, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23915, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '1D11', 62, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23916, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1312, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23917, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 303, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23918, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 95, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23919, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1457, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23920, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 858, 18, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23921, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1316, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23922, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1411, 11, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23923, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 34, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23924, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1136, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23925, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1199, 7, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23926, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 77, 10, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23927, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 17, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23928, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 75, 11, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23929, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 86, 33, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23930, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 92, 18, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23931, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 111, 23, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23932, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D26', 9895, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (23933, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 129, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23934, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 306, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23935, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 206, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23936, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 4753, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23937, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 103, 28, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23938, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1869, 12, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23939, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1309, 12, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23940, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1285, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23941, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 629, 20, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23942, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D23', 14277, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23943, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 49, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23944, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 22, 8, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23945, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 28, 15, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23946, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 1202, 11, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23947, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 44, 25, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23948, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 175, 47, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23949, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 703, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23950, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 195, 11, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23951, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 173, 34, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23952, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 1450, 7, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23953, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 1161, 55, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23954, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 64, 18, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23955, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 30, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23956, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 17, 19, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23957, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 29, 13, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23958, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A21', 38, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23959, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 57, 23, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23960, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 22, 21, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23961, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 49, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23962, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 12884, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23963, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 804, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23964, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 353, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23965, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 5399, 10, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23966, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 2540, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23967, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 10936, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23968, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 106, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23969, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 121, 3, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23970, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23971, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 844, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23972, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 476, 28, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23973, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 11, 5, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23974, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '2E26', 41, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23975, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 605, 21, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23976, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 332, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23977, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 12, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23978, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 355, 29, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23979, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 85, 43, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23980, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '2E01', 81, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23981, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 148, 2, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23982, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 486, 6, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23983, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 111, 30, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23984, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 63, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23985, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 139, 20, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23986, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 119, 4, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23987, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 10668, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23988, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E29', 2, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23989, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '1D11', 62, 1, 2023, 5, 10, '2024-08-05 13:57:13', NULL, NULL), (23990, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 1743, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (23991, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 71, 125, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (23992, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '', 88, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (23993, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 88, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (23994, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 650, 250, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (23995, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 4938, 6, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (23996, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 320, 108, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (23997, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 3132, 152, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (23998, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 751, 74, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (23999, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 281, 396, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24000, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 690, 113, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24001, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 306, 60, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24002, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 363, 175, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24003, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 281, 396, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24004, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 612, 202, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24005, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 485, 90, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24006, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 627, 84, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24007, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 3132, 152, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24008, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 70, 126, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24009, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 650, 250, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24010, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 361, 176, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24011, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 7058, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24012, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 258, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24013, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 70, 126, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24014, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 567, 51, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24015, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 701, 88, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24016, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 729, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24017, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 544, 44, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24018, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24019, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 3817, 5, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24020, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 222, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24021, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 193, 14, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24022, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 331, 21, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24023, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 679, 11, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24024, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 418, 16, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24025, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 88, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24026, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 88, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24027, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 294, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24028, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 33, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24029, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 581, 6, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24030, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 55, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24031, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 6173, 74, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24032, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 308, 5, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24033, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 321, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24034, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 21, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24035, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 652, 77, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24036, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 699, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24037, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 327, 75, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24038, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 58, 3, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24039, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 24, 22, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24040, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 305, 33, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24041, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 592, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 283, 9, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 672, 9, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 331, 21, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 519, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 544, 44, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 214, 28, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 342, 24, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 149, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 211, 28, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1032, 6, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1355, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 622, 20, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 250, 3, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 339, 35, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1512, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 672, 13, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 402, 52, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1609, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 213, 27, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 449, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 348, 26, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 811, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 1197, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 289, 35, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 346, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 465, 84, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 278, 29, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 54, 21, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 52, 28, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 103, 21, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 249, 18, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 85, 16, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 293, 20, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 30, 16, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 150, 23, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 462, 24, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 362, 11, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 216, 14, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 97, 23, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 101, 20, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 102, 29, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1181, 5, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 208, 6, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1480, 21, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 675, 15, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 93, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 22, 3, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 211, 17, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 92, 27, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 97, 10, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 7, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 294, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 88, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 410, 42, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 193, 14, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 39, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D11', 88, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 1743, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 7706, 15, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 9049, 12, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 256, 21, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 364, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 5632, 14, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 362, 22, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 62, 9, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 325, 63, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 699, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 5030, 6, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 7058, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 6836, 18, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 67, 6, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 19, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 650, 45, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 24, 3, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 21, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 87, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 33, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 381, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 17, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 25, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 27, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 3817, 5, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 23, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 567, 51, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 75, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 755, 43, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 15, 3, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 6, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 294, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 939, 11, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 976, 5, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 512, 12, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 455, 12, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 679, 11, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 321, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 308, 5, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24139, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 331, 21, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24140, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 294, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24141, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 88, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24142, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 21, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24143, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 729, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24144, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 71, 125, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24145, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 418, 16, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24146, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 308, 5, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24147, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 33, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24148, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 701, 88, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24149, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 7058, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24150, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 567, 51, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24151, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 258, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24152, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 193, 14, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24153, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 24, 22, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24154, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 58, 3, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24155, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 305, 33, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24156, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 699, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24157, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '', 88, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24158, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 321, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24159, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 3817, 5, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24160, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 327, 75, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24161, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 652, 77, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24162, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 544, 44, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24163, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 1743, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24164, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 679, 11, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24165, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 222, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24166, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 6173, 74, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24167, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 55, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24168, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 3817, 5, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24169, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 592, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24170, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 283, 9, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24171, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 331, 21, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24172, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 567, 51, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24173, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 97, 23, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24174, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 1743, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24175, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 33, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24176, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 30, 16, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24177, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 103, 21, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24178, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 85, 16, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24179, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 265, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24180, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 54, 21, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24181, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 364, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24182, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 52, 28, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24183, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 307, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24184, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 317, 16, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24185, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 75, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24186, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 23, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24187, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 294, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24188, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 6836, 18, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24189, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 5030, 6, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24190, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 7058, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24191, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 7706, 15, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24192, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 679, 11, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24193, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 88, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24194, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 222, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24195, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 21, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24196, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 62, 9, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24197, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 5632, 14, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24198, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 9049, 12, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24199, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 308, 5, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24200, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 19, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24201, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 17, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24202, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 321, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24203, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 67, 6, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24204, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 811, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24205, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 24, 3, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24206, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 7, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24207, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 33, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24208, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 519, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24209, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 21, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24210, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 294, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24211, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 388, 15, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24212, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 328, 47, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24213, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 251, 13, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24214, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '1D11', 88, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24215, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 729, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24216, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 512, 12, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24217, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 455, 12, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24218, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 939, 11, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24219, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 976, 5, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24220, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 755, 43, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24221, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 650, 45, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24222, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 699, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24223, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 250, 3, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24224, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 672, 13, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24225, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 449, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24226, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 193, 14, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24227, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 149, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24228, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1032, 6, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24229, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 544, 44, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24230, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 87, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24231, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 381, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24232, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 25, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24233, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 27, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24234, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 23, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24235, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 75, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24236, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 455, 12, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24237, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 512, 12, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24238, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 976, 5, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24239, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 939, 11, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24240, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 462, 24, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24241, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 278, 29, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24242, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 294, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24243, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 1197, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24244, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 150, 23, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24245, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 97, 10, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24246, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 5030, 6, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24247, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 6836, 18, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24248, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1609, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24249, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 67, 6, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24250, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1355, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24251, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 19, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24252, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1512, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24253, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 17, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24254, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 33, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24255, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 92, 27, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24256, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 22, 3, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24257, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 21, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24258, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 24, 3, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24259, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 102, 29, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24260, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 101, 20, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24261, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 650, 45, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24262, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 755, 43, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24263, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 567, 51, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24264, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 3817, 5, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24265, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 410, 42, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24266, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 39, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24267, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 331, 21, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24268, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 193, 14, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24269, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 7, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24270, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 544, 44, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24271, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 592, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24272, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 294, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24273, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 7706, 15, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24274, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 346, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24275, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 283, 9, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24276, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 62, 9, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24277, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 9049, 12, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24278, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 672, 9, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24279, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 465, 84, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24280, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 5632, 14, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24281, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 293, 20, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24282, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 672, 13, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24283, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 289, 35, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24284, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 250, 3, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24285, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1032, 6, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24286, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 149, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24287, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 249, 18, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24288, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 211, 17, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24289, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 811, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24290, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 449, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24291, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 6, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24292, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 519, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24293, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 15, 3, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24294, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 88, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24295, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 256, 21, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24296, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 325, 63, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24297, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 362, 22, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24298, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 364, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24299, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 1743, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24300, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 52, 28, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24301, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 103, 21, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24302, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 54, 21, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24303, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 85, 16, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24304, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 30, 16, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24305, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 97, 23, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24306, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 7058, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24307, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 699, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24308, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 321, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24309, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 308, 5, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24310, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 679, 11, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24311, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 216, 14, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24312, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 93, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24313, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 675, 15, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24314, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 213, 27, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24315, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 362, 11, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24316, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 402, 52, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24317, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 339, 35, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24318, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1181, 5, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24319, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 622, 20, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24320, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1480, 21, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24321, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 211, 28, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24322, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 208, 6, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24323, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 342, 24, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24324, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 214, 28, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24325, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 348, 26, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24326, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '1D11', 88, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24327, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 811, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24328, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 449, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24329, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 592, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24330, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 149, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24331, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 679, 11, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24332, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 250, 3, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24333, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1032, 6, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24334, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 283, 9, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24335, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 672, 13, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24336, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 21, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24337, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 24, 3, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24338, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 9049, 12, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24339, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 5632, 14, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24340, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 62, 9, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24341, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 7706, 15, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24342, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 33, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24343, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 519, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24344, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 729, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (24345, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 544, 44, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24346, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 939, 11, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24347, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 512, 12, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24348, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 976, 5, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24349, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 455, 12, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24350, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 17, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24351, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 33, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24352, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 331, 21, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24353, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 265, 8, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24354, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 97, 23, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24355, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 650, 45, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24356, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 67, 6, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24357, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 317, 16, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24358, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 755, 43, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24359, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 307, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24360, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 364, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24361, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 567, 51, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24362, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 19, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24363, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 103, 21, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24364, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 85, 16, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24365, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 30, 16, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24366, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 54, 21, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24367, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 52, 28, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24368, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 21, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24369, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 1743, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24370, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 294, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24371, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 3817, 5, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24372, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 7058, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24373, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 88, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24374, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 75, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24375, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 23, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24376, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 321, 4, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24377, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 251, 13, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24378, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 294, 7, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24379, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 222, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24380, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 388, 15, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24381, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 7, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24382, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 328, 47, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24383, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 193, 14, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24384, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 308, 5, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24385, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 5030, 6, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24386, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 699, 2, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24387, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 6836, 18, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24388, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '1D11', 88, 1, 2023, 5, 11, '2024-08-05 13:57:17', NULL, NULL), (24389, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 7, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24390, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 357, 84, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24391, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 804, 305, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24392, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 2557, 16, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24393, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 264, 70, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24394, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1425, 52, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24395, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 591, 289, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24396, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 903, 109, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24397, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 481, 309, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24398, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 3100, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24399, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 388, 170, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24400, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 425, 68, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24401, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 477, 312, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24402, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 1020, 143, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24403, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 458, 86, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24404, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 897, 98, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24405, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 589, 290, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24406, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 357, 84, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24407, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 804, 305, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24408, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 388, 170, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24409, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 112, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24410, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 284, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24411, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 357, 84, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24412, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 212, 48, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24413, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 852, 135, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24414, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1198, 13, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24415, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 379, 48, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24416, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24417, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1103, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24418, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 172, 38, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24419, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 206, 16, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24420, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1283, 11, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24421, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 256, 9, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24422, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 704, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24423, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 543, 3, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24424, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 24, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24425, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 7, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24426, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24427, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 190, 9, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24428, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 5629, 3, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24429, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 825, 172, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24430, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 9, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24431, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 5, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24432, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 17, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24433, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1144, 90, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24434, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 19433, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24435, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 599, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24436, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 298, 43, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24437, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 45, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24438, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 334, 21, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24439, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 209, 27, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24440, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 3100, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 166, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 282, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1198, 13, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 206, 16, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 637, 9, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 379, 48, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 268, 20, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 568, 35, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 998, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 464, 31, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 651, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2176, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1271, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1056, 31, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2718, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 735, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2834, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 780, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 634, 28, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 248, 21, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1284, 13, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 992, 18, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1706, 10, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 15, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 513, 25, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A17', 24, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 12, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 209, 32, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 201, 27, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 490, 14, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 102, 11, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 139, 18, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 81, 15, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 475, 27, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 143, 14, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 542, 27, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 179, 19, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 43, 17, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 697, 22, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 3954, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 200, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 2818, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 260, 23, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 151, 24, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 953, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 775, 30, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 2814, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 9, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 436, 31, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 24, 18, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 271, 12, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 397, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 284, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 189, 31, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 172, 38, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 3100, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1859, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 7, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 869, 40, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 484, 24, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 1010, 32, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 264, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 482, 31, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 100, 25, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 204, 20, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 9080, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 599, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 18, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 752, 36, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 310, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 600, 21, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 208, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 42, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 1689, 12, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 456, 53, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 13, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 25, 14, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 123, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 730, 9, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 27, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 273, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 129, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 95, 12, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 19, 3, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1103, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 61, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 212, 48, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 8, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1108, 82, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 389, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 38, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 704, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 506, 10, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1374, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2764, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1283, 11, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 722, 13, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 5, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 9, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24540, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 206, 16, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24541, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 704, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24542, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 17, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24543, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1198, 13, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24544, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 357, 84, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24545, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 9, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24546, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 256, 9, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24547, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 24, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24548, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 852, 135, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24549, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 112, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24550, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 212, 48, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24551, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 284, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24552, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 172, 38, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24553, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 5629, 3, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24554, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 334, 21, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24555, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 3100, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24556, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 45, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24557, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 209, 27, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24558, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 599, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24559, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 543, 3, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24560, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 5, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24561, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1103, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24562, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 298, 43, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24563, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1144, 90, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24564, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 379, 48, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24565, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 19433, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24566, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 7, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24567, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1283, 11, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24568, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 825, 172, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24569, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 190, 9, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24570, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1103, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24571, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 166, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24572, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 282, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24573, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 206, 16, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24574, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 212, 48, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24575, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 2818, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24576, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 7, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24577, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 24, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24578, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 18, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24579, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 806, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24580, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 179, 19, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24581, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 81, 15, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24582, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 143, 14, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24583, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 241, 10, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24584, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 102, 11, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24585, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 264, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24586, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 139, 18, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24587, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 112, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24588, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 242, 9, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24589, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 8, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24590, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 61, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24591, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 704, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24592, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 3100, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24593, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 600, 21, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24594, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 752, 36, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24595, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 1689, 12, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24596, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 112, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24597, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 869, 40, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24598, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1283, 11, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24599, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 17, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24600, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 19433, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24601, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 482, 31, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24602, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 1010, 32, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24603, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 9, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24604, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 42, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24605, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D26', 5629, 3, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24606, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 5, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24607, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 129, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24608, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 208, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24609, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1706, 10, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24610, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 13, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24611, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 27, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24612, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 637, 9, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24613, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 730, 9, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24614, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 284, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24615, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 95, 18, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24616, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 172, 11, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24617, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 658, 14, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24618, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1198, 13, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24619, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2764, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24620, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 722, 13, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24621, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 506, 10, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24622, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1374, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24623, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1108, 82, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24624, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 456, 53, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24625, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 599, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24626, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 735, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24627, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 780, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24628, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1284, 13, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24629, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 172, 38, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24630, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 998, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24631, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1271, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24632, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 379, 48, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24633, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 123, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24634, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 273, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24635, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 25, 14, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24636, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 95, 12, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24637, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 19, 3, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24638, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 8, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24639, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 61, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24640, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 722, 13, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24641, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2764, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24642, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1374, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24643, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 697, 22, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24644, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 506, 10, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24645, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 490, 14, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24646, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 704, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24647, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A17', 24, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24648, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 15, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24649, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 43, 17, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24650, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 271, 12, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24651, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 752, 36, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24652, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 600, 21, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24653, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2834, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24654, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 1689, 12, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24655, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2176, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24656, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 208, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24657, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 42, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24658, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2718, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24659, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 129, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24660, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 27, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24661, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 24, 18, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24662, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 9, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24663, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 730, 9, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24664, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 13, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24665, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 151, 24, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24666, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 260, 23, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24667, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 456, 53, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24668, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1108, 82, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24669, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 212, 48, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24670, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1103, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24671, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 397, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24672, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 189, 31, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24673, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1859, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24674, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 172, 38, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24675, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 206, 16, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24676, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 379, 48, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24677, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 166, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24678, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 284, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24679, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 869, 40, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24680, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 282, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24681, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 12, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24682, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 201, 27, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24683, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 1010, 32, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24684, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1198, 13, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24685, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 209, 32, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24686, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 482, 31, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24687, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 513, 25, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24688, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 542, 27, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24689, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 780, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24690, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 735, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24691, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1271, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24692, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 998, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24693, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 475, 27, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24694, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 3100, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24695, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 436, 31, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24696, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1706, 10, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24697, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1284, 13, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24698, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 38, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24699, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 637, 9, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24700, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 389, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24701, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 484, 24, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24702, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 204, 20, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24703, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 100, 25, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24704, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 264, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24705, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 7, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24706, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 139, 18, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24707, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 81, 15, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24708, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 102, 11, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24709, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 143, 14, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24710, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 179, 19, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24711, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 2818, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24712, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 9080, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24713, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 18, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24714, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 599, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24715, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 310, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24716, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 5, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24717, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 9, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24718, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1283, 11, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24719, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 200, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24720, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 2814, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24721, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 775, 30, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24722, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 3954, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24723, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 248, 21, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24724, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 634, 28, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24725, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1056, 31, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24726, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 651, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24727, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 953, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24728, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 464, 31, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24729, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 568, 35, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24730, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 268, 20, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24731, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 992, 18, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24732, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1706, 10, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24733, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1284, 13, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24734, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 166, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24735, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1283, 11, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24736, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 998, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24737, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 735, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24738, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1271, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24739, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 282, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24740, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 780, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24741, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 730, 9, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24742, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 13, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24743, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 1010, 32, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24744, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 482, 31, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24745, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 869, 40, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24746, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D26', 5629, 3, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24747, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 24, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24748, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 637, 9, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24749, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1198, 13, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24750, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 379, 48, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24751, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 506, 10, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24752, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2764, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24753, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1374, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24754, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 722, 13, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24755, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 129, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24756, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 27, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (24757, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 206, 16, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24758, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 241, 10, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24759, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 2818, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24760, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 456, 53, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24761, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 208, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24762, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 242, 9, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24763, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1108, 82, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24764, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 112, 7, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24765, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 264, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24766, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 212, 48, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24767, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 42, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24768, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 81, 15, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24769, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 143, 14, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24770, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 179, 19, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24771, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 102, 11, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24772, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 139, 18, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24773, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 17, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24774, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 7, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24775, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 704, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24776, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1103, 6, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24777, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 112, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24778, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 8, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24779, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 61, 5, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24780, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 5, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24781, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 658, 14, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24782, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 284, 8, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24783, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 1689, 12, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24784, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 95, 18, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24785, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 172, 11, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24786, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 172, 38, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24787, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 19433, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24788, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 9, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24789, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 752, 36, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24790, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 599, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24791, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 600, 21, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24792, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 806, 2, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24793, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 18, 1, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24794, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 3100, 4, 2023, 5, 12, '2024-08-05 13:57:19', NULL, NULL), (24795, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 1435, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24796, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24797, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 22, 4, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24798, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24799, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 826, 64, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24800, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 244, 24, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24801, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 300, 42, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24802, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 789, 67, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24803, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24804, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24805, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 234, 25, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24806, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 22, 4, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24807, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 957, 3, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24808, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 274, 46, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24809, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 319, 17, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24810, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24811, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 4, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24812, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24813, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 957, 3, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24814, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 3, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24815, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24816, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 287, 25, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24817, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 41, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 287, 25, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 4, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 254, 23, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 57, 8, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 140, 5, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 1435, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 174, 9, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1880, 5, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 107, 9, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 475, 6, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1591, 24, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 253, 3, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 41, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 559, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 20, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 254, 9, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24837, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24838, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24839, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 339, 16, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24840, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 1435, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24841, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 287, 25, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24842, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 4, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24843, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 41, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24844, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24845, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 559, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24846, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24847, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 140, 5, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24848, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 475, 6, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24849, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 1435, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24850, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 253, 3, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24851, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 4, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24852, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24853, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 287, 25, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24854, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 41, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24855, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24856, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24857, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 4, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24858, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 41, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24859, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 559, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24860, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 475, 6, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24861, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 140, 5, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24862, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 254, 9, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24863, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 20, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24864, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24865, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1591, 24, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24866, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1880, 5, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24867, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 107, 9, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24868, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 287, 25, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24869, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 174, 9, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24870, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24871, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 253, 3, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24872, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 57, 8, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24873, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 1435, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24874, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 254, 23, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24875, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24876, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24877, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 3, 1, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24878, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 4, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24879, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 41, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24880, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 559, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24881, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 1435, 2, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24882, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 287, 25, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24883, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 475, 6, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24884, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 140, 5, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24885, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 253, 3, 2023, 5, 13, '2024-08-05 13:57:20', NULL, NULL), (24886, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 9266, 14, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24887, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 98, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24888, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 29, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24889, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 390, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24890, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 369, 49, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24891, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 253, 12, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24892, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 209, 11, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24893, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 341, 53, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24894, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 98, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24895, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 390, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24896, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 253, 12, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24897, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 29, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24898, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 8648, 15, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24899, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 177, 13, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24900, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 67, 2, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24901, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 98, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24902, 1, '511500000000-0001', '宜宾市民中心', '贷款项目受理', '', '', '', 0, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24903, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24904, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 8648, 15, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24905, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24906, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 241, 9, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24907, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 390, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24908, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 29, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 2567, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 253, 12, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 67, 2, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 69, 9, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 10703, 4, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 29, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 78, 5, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 458, 15, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 123, 4, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 177, 3, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 9335, 3, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 6827, 4, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 10533, 3, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 98, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 390, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 241, 9, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 550, 12, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24926, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 241, 9, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24927, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 98, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24928, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 67, 2, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24929, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 29, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24930, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 9266, 14, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24931, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 390, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24932, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 10533, 3, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24933, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 9335, 3, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24934, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 6827, 4, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24935, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 29, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24936, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 67, 2, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24937, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 390, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24938, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 10703, 4, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24939, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 241, 9, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24940, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 98, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24941, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 6827, 4, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24942, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 10533, 3, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24943, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 390, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24944, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 9335, 3, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24945, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 253, 12, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24946, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 29, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24947, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 67, 2, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24948, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 550, 12, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24949, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 177, 3, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24950, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 458, 15, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24951, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 123, 4, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24952, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 78, 5, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24953, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 241, 9, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24954, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 69, 9, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24955, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 10703, 4, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24956, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 2567, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24957, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 98, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24958, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 390, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24959, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 10533, 3, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24960, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 98, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24961, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 9335, 3, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24962, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 6827, 4, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24963, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 10703, 4, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24964, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 67, 2, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24965, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 241, 9, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24966, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 29, 1, 2023, 5, 14, '2024-08-05 13:57:20', NULL, NULL), (24967, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 345, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24968, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 182, 129, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24969, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 627, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24970, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 368, 270, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24971, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 262, 13, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24972, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 160, 125, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24973, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 715, 87, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24974, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 283, 316, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24975, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 2380, 443, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24976, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1149, 108, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24977, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 152, 98, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24978, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 641, 178, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24979, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 2364, 446, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24980, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 377, 239, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24981, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 326, 78, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24982, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 873, 130, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24983, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 280, 319, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24984, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 143, 165, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24985, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 368, 270, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24986, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 641, 178, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24987, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 43, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24988, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 346, 27, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24989, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 143, 164, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24990, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 126, 47, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24991, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 316, 119, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24992, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1196, 9, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24993, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 318, 40, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24994, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 2, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24995, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 901, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24996, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 82, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24997, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 283, 40, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24998, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '', 782, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (24999, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 42, 14, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25000, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1552, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25001, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 100, 11, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25002, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 627, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25003, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 144, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25004, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 187, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25005, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 345, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25006, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 52, 13, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25007, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 74, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25008, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 266, 179, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25009, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 70, 6, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25010, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 496, 2, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25011, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 33, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25012, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 612, 79, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25013, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 342, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25014, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 160, 85, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25015, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 24, 13, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25016, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 408, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25017, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 156, 41, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25018, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 308, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 21, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1353, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 63, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 43, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 42, 14, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 141, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 318, 40, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 2396, 26, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 3630, 30, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 996, 6, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 2606, 32, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1059, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2401, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 2595, 25, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 323, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3172, 12, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 2571, 41, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2760, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 3905, 43, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3649, 12, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 443, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 2948, 32, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 325, 9, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 3804, 49, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 310, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 66, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 873, 11, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 1806, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 673, 32, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 195, 28, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 310, 23, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 2666, 27, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 265, 18, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 242, 35, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 27, 20, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 824, 28, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 72, 17, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 754, 34, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 71, 18, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 184, 36, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 4150, 18, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 674, 11, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 77, 16, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 346, 21, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 290, 25, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 436, 35, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 791, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 3348, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 520, 18, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 524, 19, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 559, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 5, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 855, 19, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 254, 20, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 168, 27, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 408, 16, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 256, 11, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 172, 24, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 283, 40, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 141, 31, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 627, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 44, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 345, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 239, 26, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 239, 34, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 303, 30, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 194, 2, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 264, 42, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 210, 16, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 125, 41, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 131, 48, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 74, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 342, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 172, 2, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 228, 32, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 198, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 324, 31, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 58, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 7, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 451, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 356, 66, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 38, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 234, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 18, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 100, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 17, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 20, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 27, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 23, 13, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 33, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 52, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 901, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 126, 47, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 489, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 133, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 267, 53, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 18, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 250, 6, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 496, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 57, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 454, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 573, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 476, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2069, 6, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 444, 14, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 496, 2, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 70, 6, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25127, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 42, 14, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25128, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 144, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25129, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 627, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25130, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 33, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25131, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1345, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25132, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 182, 129, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25133, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 70, 6, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25134, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 100, 11, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25135, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 316, 119, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25136, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 126, 47, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25137, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 346, 27, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25138, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 283, 40, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25139, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 74, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25140, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 24, 13, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25141, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 156, 41, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25142, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 408, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25143, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 342, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25144, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 187, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25145, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 496, 2, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25146, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 901, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25147, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 162, 84, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25148, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 612, 79, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25149, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 43, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25150, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 318, 40, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25151, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2069, 6, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25152, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 345, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25153, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '', 782, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25154, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 82, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25155, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 267, 178, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25156, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 52, 13, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25157, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 901, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25158, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 308, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25159, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 21, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25160, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 42, 14, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25161, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 126, 47, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25162, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 346, 21, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25163, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 345, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25164, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 172, 2, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25165, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 198, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25166, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 71, 18, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25167, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 27, 20, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25168, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 72, 17, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25169, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 265, 18, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25170, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 131, 10, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25171, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 242, 35, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25172, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 194, 2, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25173, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 142, 18, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25174, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 194, 11, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25175, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 133, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25176, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 448, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25177, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 496, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25178, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 57, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25179, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 43, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25180, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 324, 31, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25181, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 228, 32, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25182, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 451, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (25183, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 239, 26, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25184, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2069, 6, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25185, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 627, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25186, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 82, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25187, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 33, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25188, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 210, 16, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25189, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 264, 42, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25190, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 303, 30, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25191, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 70, 6, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25192, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 7, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25193, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D26', 74, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25194, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 27, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25195, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 496, 2, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25196, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 58, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25197, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 310, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25198, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 38, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25199, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 408, 16, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25200, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 17, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25201, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 141, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25202, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 256, 11, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25203, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 18, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25204, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 112, 23, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25205, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 113, 37, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25206, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 285, 24, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25207, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 2115, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25208, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 63, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25209, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 52, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25210, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 476, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25211, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 444, 14, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25212, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 454, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25213, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 573, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25214, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 267, 53, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25215, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 356, 66, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25216, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 342, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25217, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 323, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25218, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2760, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25219, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 443, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25220, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 325, 9, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25221, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 283, 40, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25222, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 996, 6, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25223, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1059, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25224, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 318, 40, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25225, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '2E28', 782, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25226, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 100, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25227, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 20, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25228, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 234, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25229, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 52, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25230, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 23, 13, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25231, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 33, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25232, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 489, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25233, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 133, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25234, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 444, 14, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25235, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 476, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25236, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 573, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25237, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 454, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25238, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 4150, 18, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25239, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 57, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25240, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 2666, 27, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25241, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 496, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25242, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 66, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25243, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 184, 36, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25244, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 168, 27, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25245, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 228, 32, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25246, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 324, 31, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25247, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3649, 12, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25248, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 451, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25249, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 58, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25250, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2401, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25251, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 7, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25252, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3172, 12, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25253, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 27, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25254, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 17, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25255, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 254, 20, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25256, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 5, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25257, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 18, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25258, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 38, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25259, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 436, 35, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25260, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 356, 66, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25261, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 290, 25, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25262, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 267, 53, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25263, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 126, 47, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25264, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 901, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25265, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 172, 24, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25266, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 141, 31, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25267, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 44, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25268, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 42, 14, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25269, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 283, 40, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25270, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 408, 16, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25271, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 318, 40, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25272, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 308, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25273, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 256, 11, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25274, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 43, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25275, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 239, 26, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25276, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 210, 16, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25277, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 21, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25278, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1353, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25279, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 310, 23, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25280, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 303, 30, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25281, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 63, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25282, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 195, 28, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25283, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 264, 42, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25284, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 443, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25285, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 873, 11, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25286, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 754, 34, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25287, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2760, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25288, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 323, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25289, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 673, 32, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25290, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 1806, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25291, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1059, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25292, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 996, 6, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25293, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 824, 28, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25294, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 855, 19, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25295, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 310, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25296, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 325, 9, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25297, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 250, 6, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25298, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 141, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25299, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 18, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25300, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 627, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25301, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 239, 34, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25302, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 131, 48, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25303, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 125, 41, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25304, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 194, 2, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25305, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 345, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25306, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 242, 35, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25307, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 27, 20, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25308, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 265, 18, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25309, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 72, 17, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25310, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 71, 18, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25311, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 346, 21, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25312, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 74, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25313, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 172, 2, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25314, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 342, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25315, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 198, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25316, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 496, 2, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25317, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 70, 6, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25318, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2069, 6, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25319, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 77, 16, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25320, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 559, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25321, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 524, 19, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25322, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 674, 11, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25323, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 2948, 32, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25324, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 3905, 43, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25325, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 791, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25326, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 2571, 41, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25327, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 2595, 25, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25328, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 520, 18, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25329, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 2606, 32, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25330, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 3348, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25331, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 3630, 30, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25332, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 2396, 26, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25333, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 3804, 49, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25334, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 310, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25335, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 325, 9, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25336, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 308, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25337, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2069, 6, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25338, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 996, 6, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25339, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 323, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25340, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1059, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25341, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 443, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25342, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 21, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25343, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2760, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25344, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 18, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25345, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 38, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25346, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 303, 30, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25347, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 264, 42, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25348, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 210, 16, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25349, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 239, 26, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25350, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D26', 74, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25351, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 141, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25352, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 63, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25353, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 2115, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25354, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 318, 40, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25355, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 454, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25356, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 476, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25357, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 573, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25358, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 444, 14, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25359, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 27, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25360, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 17, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25361, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 42, 14, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25362, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 52, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25363, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 346, 21, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25364, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 131, 10, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25365, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 356, 66, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25366, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 58, 8, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25367, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 194, 11, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25368, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 267, 53, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25369, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 142, 18, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25370, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 194, 2, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25371, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 126, 47, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25372, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 7, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25373, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 27, 20, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25374, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 72, 17, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25375, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 71, 18, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25376, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 265, 18, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25377, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 242, 35, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25378, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 33, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25379, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 345, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25380, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 496, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25381, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 57, 4, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25382, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 901, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25383, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '2E28', 782, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25384, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 627, 5, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25385, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 43, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25386, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 133, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25387, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 448, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25388, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 496, 2, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25389, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 285, 24, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25390, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 256, 11, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25391, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 451, 1, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25392, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 112, 23, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25393, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 408, 16, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25394, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 82, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25395, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 113, 37, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25396, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 283, 40, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25397, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 70, 6, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25398, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 228, 32, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25399, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 342, 7, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25400, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 324, 31, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25401, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 198, 3, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25402, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 172, 2, 2023, 5, 15, '2024-08-05 13:57:21', NULL, NULL), (25403, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 175, 7, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25404, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 280, 89, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25405, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 195, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25406, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 803, 269, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25407, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 5944, 5, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25408, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 120, 102, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25409, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1095, 100, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25410, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 230, 203, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25411, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 680, 108, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25412, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1750, 429, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25413, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 309, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25414, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 84, 79, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25415, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 396, 178, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25416, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1742, 431, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25417, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 676, 228, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25418, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 201, 80, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25419, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 599, 107, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25420, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 230, 203, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25421, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 259, 96, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25422, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 800, 270, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25423, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 396, 178, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25424, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 727, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25425, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 264, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25426, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25427, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 78, 11, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25428, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 259, 96, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25429, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 119, 41, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25430, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 271, 105, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25431, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 498, 8, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25432, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 242, 35, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25433, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 2912, 11, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25434, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 5, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25435, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 127, 23, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25436, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 87, 23, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25437, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 198, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25438, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 25, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25439, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 12, 10, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25440, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 195, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25441, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25442, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 72, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25443, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 3176, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25444, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 29, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25445, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 175, 7, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25446, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 20, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25447, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 230, 116, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25448, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1026, 6, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25449, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 6, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25450, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 22, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25451, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1598, 94, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25452, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 11481, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25453, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 142, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25454, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 130, 63, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25455, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 33, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25456, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 15, 17, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25457, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 103, 39, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25458, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 309, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 25, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 9, 8, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 393, 7, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 415, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 727, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 87, 23, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 3452, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 242, 35, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1538, 38, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 2244, 32, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 616, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1760, 36, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2100, 8, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2100, 10, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 2051, 35, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2243, 6, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1973, 9, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1710, 49, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 2814, 22, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1913, 12, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1140, 6, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1679, 12, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1981, 37, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1543, 11, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1833, 28, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1268, 9, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 277, 13, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 587, 13, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 512, 32, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 176, 10, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 900, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 420, 48, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 47, 11, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 2288, 19, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 397, 14, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 23, 17, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 75, 12, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 194, 8, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 339, 13, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 468, 28, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 232, 17, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 107, 24, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 3644, 45, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 2759, 8, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 154, 16, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 606, 16, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 46, 15, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 104, 25, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 112, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 638, 10, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1188, 34, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1328, 20, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1402, 8, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 6, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 344, 14, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 84, 23, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 59, 24, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 99, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 44, 24, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 73, 9, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 195, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 37, 16, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 127, 23, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 309, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 290, 9, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 175, 7, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 102, 25, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 225, 10, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 222, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 194, 34, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 136, 29, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 112, 45, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 142, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 264, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 298, 33, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3176, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 220, 24, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 25, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 4, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 183, 15, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 22963, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 5, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 262, 53, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 568, 12, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 8, 7, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 26, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 20, 5, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 161, 17, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 25, 5, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 2912, 11, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 122, 40, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 143, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 280, 52, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 6, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 327, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 38, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 106, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1613, 7, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1796, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1431, 9, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 25, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1194, 15, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 6, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1026, 6, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25564, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 87, 23, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25565, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 72, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25566, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 195, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25567, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 22, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25568, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 498, 8, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25569, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 280, 89, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25570, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 12, 10, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25571, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1026, 6, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25572, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 29, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25573, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 271, 105, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25574, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 264, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25575, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 122, 40, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25576, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 78, 11, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25577, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 127, 23, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25578, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 15, 17, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25579, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 309, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25580, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 33, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25581, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 103, 39, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25582, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 198, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25583, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 142, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25584, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 3176, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25585, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 6, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25586, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 130, 63, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25587, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 2912, 11, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25588, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1598, 94, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25589, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 727, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25590, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 242, 35, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25591, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 22963, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25592, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 25, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25593, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 175, 7, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25594, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 5, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25595, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 230, 116, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25596, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 20, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (25597, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 2912, 11, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25598, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 25, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25599, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 9, 8, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25600, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 87, 23, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25601, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 122, 40, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25602, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 606, 16, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25603, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 175, 7, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25604, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 29, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25605, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 3176, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25606, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 232, 17, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25607, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 75, 12, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25608, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 339, 13, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25609, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 397, 14, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25610, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 121, 8, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25611, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 23, 17, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25612, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 222, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25613, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 87, 10, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25614, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 85, 18, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25615, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 88, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25616, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 38, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25617, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 106, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25618, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 727, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25619, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 309, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25620, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 220, 24, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25621, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 298, 33, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25622, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 183, 15, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25623, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 264, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25624, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 25, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25625, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 195, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25626, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 5, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25627, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 22, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25628, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 22963, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25629, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 194, 34, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25630, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 225, 10, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25631, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1026, 6, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25632, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 4, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25633, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25634, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 6, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25635, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 25, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25636, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1268, 9, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25637, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 8, 7, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25638, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 99, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25639, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 3452, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25640, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 20, 5, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25641, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 26, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25642, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 73, 9, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25643, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 162, 19, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25644, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 131, 27, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25645, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 94, 17, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25646, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 549, 5, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25647, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 415, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25648, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1431, 9, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25649, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1194, 15, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25650, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E27', 198, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25651, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1613, 7, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25652, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1796, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25653, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 280, 52, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25654, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 262, 53, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25655, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 5, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25656, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 142, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25657, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1973, 9, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25658, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1140, 6, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25659, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1679, 12, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25660, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1543, 11, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25661, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 127, 23, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25662, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 616, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25663, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2100, 8, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25664, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 242, 35, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25665, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 5, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25666, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 568, 12, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25667, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 161, 17, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25668, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 25, 5, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25669, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 143, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25670, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1194, 15, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25671, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1431, 9, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25672, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1796, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25673, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1613, 7, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25674, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 3644, 45, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25675, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 106, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25676, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 2288, 19, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25677, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 38, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25678, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 107, 24, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25679, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 59, 24, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25680, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 298, 33, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25681, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 220, 24, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25682, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1913, 12, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25683, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 183, 15, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25684, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 25, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25685, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2100, 10, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25686, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 4, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25687, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2243, 6, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25688, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25689, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 20, 5, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25690, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 84, 23, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25691, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 6, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25692, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 26, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25693, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 104, 25, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25694, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 8, 7, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25695, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 46, 15, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25696, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 262, 53, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25697, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 280, 52, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25698, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 122, 40, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25699, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 2912, 11, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25700, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 44, 24, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25701, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 37, 16, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25702, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 290, 9, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25703, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 87, 23, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25704, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 127, 23, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25705, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 99, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25706, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 242, 35, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25707, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 25, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25708, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 73, 9, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25709, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 727, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25710, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 900, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25711, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 9, 8, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25712, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 176, 10, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25713, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 393, 7, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25714, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 47, 11, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25715, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 225, 10, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25716, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 415, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25717, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 194, 34, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25718, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 420, 48, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25719, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 277, 13, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25720, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1679, 12, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25721, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 468, 28, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25722, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1140, 6, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25723, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 512, 32, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25724, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1973, 9, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25725, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 587, 13, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25726, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2100, 8, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25727, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 616, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25728, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 194, 8, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25729, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 309, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25730, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 344, 14, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25731, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1268, 9, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25732, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1543, 11, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25733, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 327, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25734, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 3452, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25735, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 6, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25736, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 195, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25737, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 102, 25, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25738, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 112, 45, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25739, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 136, 29, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25740, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 222, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25741, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 175, 7, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25742, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 23, 17, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25743, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 75, 12, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25744, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 397, 14, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25745, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 339, 13, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25746, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 232, 17, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25747, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 22963, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25748, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 606, 16, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25749, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 264, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25750, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 142, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25751, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3176, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25752, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 6, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25753, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1026, 6, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25754, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 25, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25755, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 154, 16, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25756, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1402, 8, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25757, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1328, 20, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25758, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 2759, 8, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25759, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1981, 37, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25760, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 2814, 22, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25761, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 112, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25762, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1710, 49, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25763, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 2051, 35, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25764, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1188, 34, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25765, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1760, 36, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25766, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 638, 10, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25767, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 2244, 32, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25768, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1538, 38, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25769, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1833, 28, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25770, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1268, 9, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25771, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1543, 11, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25772, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 25, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25773, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 616, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25774, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 25, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25775, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1973, 9, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25776, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2100, 8, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25777, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 9, 8, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25778, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1679, 12, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25779, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1140, 6, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25780, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 26, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25781, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 8, 7, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25782, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 225, 10, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25783, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 194, 34, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25784, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 29, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25785, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 3452, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25786, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 415, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25787, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 549, 5, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25788, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 242, 35, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25789, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1613, 7, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25790, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1431, 9, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25791, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1796, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25792, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1194, 15, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25793, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25794, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 20, 5, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25795, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 87, 23, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25796, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 606, 16, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25797, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 121, 8, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25798, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 262, 53, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25799, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 25, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25800, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 85, 18, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25801, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 280, 52, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25802, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 87, 10, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25803, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 222, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25804, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 122, 40, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25805, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 4, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25806, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 75, 12, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25807, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 339, 13, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25808, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 232, 17, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25809, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 397, 14, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25810, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 23, 17, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25811, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 22, 3, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25812, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 175, 7, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25813, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 38, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25814, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 106, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25815, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 2912, 11, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25816, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 264, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25817, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 195, 4, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25818, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 727, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25819, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 88, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25820, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 6, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25821, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 94, 17, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25822, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 73, 9, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25823, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 183, 15, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25824, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 99, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25825, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 162, 19, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25826, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 5, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25827, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 131, 27, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25828, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 127, 23, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25829, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 22963, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25830, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 5, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25831, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1026, 6, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25832, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 298, 33, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25833, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 142, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25834, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 220, 24, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25835, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 3176, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25836, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 309, 2, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25837, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E27', 198, 1, 2023, 5, 16, '2024-08-05 13:57:22', NULL, NULL), (25838, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 7, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25839, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 50, 108, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25840, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 389, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25841, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 498, 269, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25842, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '', 2782, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25843, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 494, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25844, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 203, 95, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25845, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 481, 82, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25846, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 426, 209, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25847, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 232, 103, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25848, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 689, 373, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25849, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 219, 80, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25850, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 107, 151, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25851, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 687, 374, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25852, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 340, 197, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25853, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 204, 82, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25854, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 239, 103, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25855, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 420, 212, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25856, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 50, 108, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25857, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 494, 271, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25858, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 107, 151, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25859, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 583, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25860, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '', 2782, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25861, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 678, 3, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25862, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25863, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 189, 12, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25864, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 50, 108, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25865, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 132, 32, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25866, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 241, 107, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25867, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 313, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25868, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 127, 44, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25869, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 124, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25870, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 387, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25871, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 121, 28, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25872, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '', 70, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25873, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 180, 19, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25874, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 805, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25875, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 483, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25876, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 389, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25877, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 642, 7, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25878, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 297, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25879, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 3, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25880, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 4, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25881, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 179, 112, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25882, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 4238, 12, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25883, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 112, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25884, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 897, 110, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25885, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 405, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25886, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 231, 54, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25887, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 140, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25888, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 16, 10, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25889, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 166, 41, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25890, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 950, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 17, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 111, 3, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 490, 6, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 583, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 180, 19, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1049, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 127, 44, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 943, 20, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 870, 32, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 739, 12, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 766, 32, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 904, 7, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 599, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 759, 19, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 746, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 285, 7, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1128, 31, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1103, 12, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 215, 10, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 845, 39, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 986, 9, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 737, 28, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 659, 31, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 651, 11, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 131, 10, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 59, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 112, 17, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 154, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 81, 28, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 75, 29, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 759, 36, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 30, 21, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 94, 19, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 49, 17, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 39, 16, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 140, 21, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 51, 17, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 147, 21, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 36, 17, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 778, 27, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 830, 7, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 41, 16, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 49, 18, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 188, 20, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 322, 25, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 78, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 184, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 719, 42, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 313, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 229, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 93, 16, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 44, 12, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 26, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 77, 23, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D14', 2782, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 34, 26, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 204, 11, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 367, 22, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 121, 28, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 389, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 439, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 7, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 257, 24, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 329, 14, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 366, 30, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 86, 25, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 123, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 115, 25, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 140, 32, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 405, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 940, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 159, 21, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 155, 25, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 226, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 3, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 48, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 236, 66, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 8, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 130, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 23, 3, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 312, 16, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 194, 7, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 16, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 8, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 112, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 124, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 338, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 112, 3, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 141, 30, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 248, 41, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1140, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 719, 6, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 178, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 848, 17, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 567, 6, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1442, 9, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 820, 11, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 805, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 4238, 12, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25992, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 180, 19, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25993, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 642, 7, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25994, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 389, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25995, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 112, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25996, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 357, 7, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25997, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 50, 108, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25998, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '', 2782, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (25999, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 483, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26000, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 4238, 12, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26001, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 241, 107, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26002, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 678, 3, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26003, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 141, 30, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26004, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 189, 12, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26005, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 121, 28, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26006, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 16, 10, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26007, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 140, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26008, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 166, 41, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26009, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 405, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26010, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 297, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26011, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 124, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26012, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 231, 54, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (26013, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 897, 110, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26014, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 583, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26015, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 127, 44, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26016, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 7, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26017, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 805, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26018, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '', 70, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26019, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 387, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26020, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 184, 109, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26021, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 4, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26022, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 124, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26023, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 950, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26024, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 17, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26025, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 180, 19, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26026, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 141, 30, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26027, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 49, 18, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26028, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 7, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26029, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 297, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26030, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 36, 17, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26031, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 49, 17, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26032, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 39, 16, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26033, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 30, 21, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26034, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 291, 9, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26035, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 123, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26036, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 94, 19, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26037, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 147, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26038, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 131, 19, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26039, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 112, 3, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26040, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 338, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26041, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 719, 6, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26042, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 178, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26043, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 583, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26044, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 155, 25, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26045, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 159, 21, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26046, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 940, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26047, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 155, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26048, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 257, 24, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26049, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 805, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26050, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 389, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26051, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 387, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26052, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 112, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26053, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 86, 25, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26054, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 329, 14, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26055, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 4238, 12, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26056, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 3, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26057, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 8, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26058, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26059, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 651, 11, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26060, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 8, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26061, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 26, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26062, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1049, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26063, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 16, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26064, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 23, 3, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26065, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 204, 11, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26066, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 107, 20, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26067, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 152, 13, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26068, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 399, 21, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26069, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 111, 3, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26070, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 542, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26071, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1442, 9, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26072, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 820, 11, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26073, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 848, 17, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26074, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 567, 6, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26075, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 248, 41, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26076, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 236, 66, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26077, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 27, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26078, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 405, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26079, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 746, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26080, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1103, 12, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26081, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 986, 9, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26082, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 121, 28, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26083, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 739, 12, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26084, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 904, 7, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26085, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 127, 44, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26086, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '1D14', 2782, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26087, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '2E26', 70, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26088, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 312, 16, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26089, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 194, 7, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26090, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 48, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26091, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 130, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26092, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 112, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26093, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 112, 3, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26094, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 338, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26095, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 820, 11, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26096, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1442, 9, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26097, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 567, 6, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26098, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 848, 17, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26099, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 778, 27, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26100, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 178, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26101, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 759, 36, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26102, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 719, 6, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26103, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 51, 17, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26104, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 77, 23, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26105, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 159, 21, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26106, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 155, 25, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26107, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 215, 10, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26108, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26109, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 599, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26110, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 3, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26111, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 285, 7, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26112, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 8, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26113, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 44, 12, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26114, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 16, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26115, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 229, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26116, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 23, 3, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26117, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 8, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26118, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 322, 25, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26119, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 188, 20, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26120, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 236, 66, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26121, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 248, 41, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26122, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 141, 30, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26123, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 124, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26124, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 34, 26, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26125, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 367, 22, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26126, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 439, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26127, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 121, 28, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26128, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 180, 19, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26129, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 26, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26130, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 127, 44, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26131, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 950, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26132, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 204, 11, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26133, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 583, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26134, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 257, 24, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26135, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 17, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26136, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 154, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26137, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 329, 14, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26138, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 111, 3, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26139, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 75, 29, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26140, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 86, 25, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26141, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 81, 28, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26142, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 490, 6, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26143, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 131, 10, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26144, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 986, 9, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26145, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 147, 21, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26146, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1103, 12, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26147, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 112, 17, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26148, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 746, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26149, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 59, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26150, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 904, 7, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26151, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 739, 12, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26152, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 140, 21, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26153, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 93, 16, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26154, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 651, 11, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26155, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1049, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26156, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1140, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26157, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 389, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26158, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 366, 30, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26159, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 140, 32, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26160, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 115, 25, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26161, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 123, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26162, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 7, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26163, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '1D14', 2782, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26164, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 94, 19, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26165, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 49, 17, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26166, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 30, 21, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26167, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 39, 16, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26168, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 36, 17, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26169, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 49, 18, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26170, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 940, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26171, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 405, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26172, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 226, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26173, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 4238, 12, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26174, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 805, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26175, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 41, 16, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26176, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 313, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26177, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 719, 42, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26178, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 830, 7, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26179, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 737, 28, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26180, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 845, 39, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26181, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 78, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26182, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1128, 31, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26183, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 759, 19, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26184, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 766, 32, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26185, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 184, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26186, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 870, 32, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26187, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 943, 20, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26188, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 659, 31, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26189, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 651, 11, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26190, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 950, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26191, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 805, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26192, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 739, 12, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26193, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 746, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26194, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 904, 7, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26195, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 17, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26196, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 986, 9, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26197, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1103, 12, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26198, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 23, 3, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26199, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 8, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26200, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 329, 14, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26201, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 86, 25, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26202, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 257, 24, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26203, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1049, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26204, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 542, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26205, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 111, 3, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26206, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 127, 44, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26207, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 848, 17, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26208, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1442, 9, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26209, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 567, 6, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26210, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 820, 11, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26211, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 8, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26212, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 16, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26213, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 180, 19, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26214, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 49, 18, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26215, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 291, 9, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26216, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 236, 66, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26217, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26218, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 248, 41, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26219, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 131, 19, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26220, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 147, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26221, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 123, 8, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26222, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 141, 30, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26223, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 3, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26224, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '1D14', 2782, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26225, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 49, 17, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26226, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 39, 16, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26227, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 36, 17, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26228, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 30, 21, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26229, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 94, 19, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26230, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 112, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26231, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 7, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26232, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '2E26', 70, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26233, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 719, 6, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26234, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 178, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26235, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 124, 5, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26236, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 940, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26237, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 389, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26238, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 583, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26239, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 155, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26240, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 112, 3, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26241, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 338, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26242, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 399, 21, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26243, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 204, 11, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26244, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 387, 2, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26245, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 26, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26246, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 107, 20, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26247, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 152, 13, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26248, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 121, 28, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26249, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 27, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26250, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 4238, 12, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26251, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 159, 21, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26252, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 155, 25, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26253, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 405, 4, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26254, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 297, 1, 2023, 5, 17, '2024-08-05 13:57:23', NULL, NULL), (26255, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 111, 56, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26256, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 8870, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26257, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 150, 34, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26258, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 845, 33, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26259, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 204, 115, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26260, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1386, 80, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26261, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 998, 406, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26262, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 8, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26263, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 537, 59, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26264, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 242, 138, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26265, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 2719, 271, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26266, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 993, 408, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26267, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 736, 81, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26268, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 518, 54, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26269, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1348, 85, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26270, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 202, 116, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26271, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 111, 56, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26272, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2699, 273, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26273, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 242, 138, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26274, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 19, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26275, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 37, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26276, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 150, 35, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26277, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 111, 56, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26278, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 781, 98, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26279, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 494, 9, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26280, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 836, 27, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26281, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 269, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26282, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 86, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26283, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 270, 17, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26284, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 74, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26285, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 682, 9, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26286, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 42, 10, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26287, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 0, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26288, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26289, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 465, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26290, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 13278, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26291, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26292, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 10, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26293, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26294, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 81, 58, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26295, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 131, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26296, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 1726, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26297, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 5236, 124, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26298, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 56, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26299, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 158, 24, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26300, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 339, 10, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26301, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 130, 10, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26302, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 8, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 20, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 56, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 495, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 411, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 19, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 74, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 3250, 15, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 836, 27, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1320, 34, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1472, 49, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 3625, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 764, 10, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 5289, 10, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2991, 7, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1252, 48, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1175, 24, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 3025, 10, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1644, 9, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 4401, 13, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2173, 7, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1272, 60, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1151, 35, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2764, 19, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 1432, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 882, 17, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 6467, 20, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 167, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 140, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 564, 18, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 216, 18, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 145, 9, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 122, 33, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 405, 25, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 956, 30, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 294, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 4, 11, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 162, 7, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 100, 13, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 89, 14, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 73, 11, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 136, 32, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 875, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1887, 9, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 7, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 95, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 181, 17, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 157, 33, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 29, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 431, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 684, 15, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 49, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 117, 16, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 1747, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 69, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 229, 22, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 4, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 27, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 407, 22, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 270, 17, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 8, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1743, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 62, 12, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 76, 7, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 127, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 75, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 77, 15, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 27, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 158, 17, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 171, 9, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 56, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 13278, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 72, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 86, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 10, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 156, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 816, 66, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 25, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 51, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 3, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 1355, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 18, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 275, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 32, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 1726, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 269, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 150, 35, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 755, 30, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 178, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1983, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 345, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 586, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 3731, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2149, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 9728, 28, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 767, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 131, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26400, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 74, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26401, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 465, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26402, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 1726, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26403, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 494, 9, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26404, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 111, 56, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26405, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 42, 10, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26406, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 131, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26407, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 797, 96, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26408, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 150, 35, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26409, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 37, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26410, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 270, 17, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26411, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 339, 10, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26412, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 8, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26413, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 130, 10, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26414, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 56, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26415, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 13278, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26416, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 269, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26417, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 158, 24, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26418, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 5236, 124, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26419, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 19, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26420, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 836, 27, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26421, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 767, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26422, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 86, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26423, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 81, 58, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26424, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 10, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26425, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 269, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (26426, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 20, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26427, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 56, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26428, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 74, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26429, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 150, 35, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26430, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 95, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26431, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 13278, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26432, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 73, 11, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26433, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 162, 7, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26434, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 100, 13, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26435, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 164, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26436, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 294, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26437, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 4, 11, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26438, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 75, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26439, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 164, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26440, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 131, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26441, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 345, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26442, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 586, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26443, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 19, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26444, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 8, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26445, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 86, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26446, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 72, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26447, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 156, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26448, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 62, 12, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26449, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 767, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26450, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 86, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26451, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 1726, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26452, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 27, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26453, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 77, 15, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26454, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 76, 7, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26455, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 131, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26456, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26457, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 10, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26458, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 6467, 20, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26459, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 69, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26460, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 25, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26461, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 3250, 15, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26462, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 275, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26463, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 1355, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26464, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 27, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26465, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 157, 14, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26466, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 183, 7, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26467, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 102, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26468, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 495, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26469, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 493, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26470, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2149, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26471, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 9728, 28, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26472, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 3731, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26473, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 755, 30, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26474, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 816, 66, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26475, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 56, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26476, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 3025, 10, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26477, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 4401, 13, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26478, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2764, 19, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26479, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 270, 17, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26480, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 3625, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26481, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2991, 7, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26482, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 836, 27, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26483, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 3, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26484, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 18, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26485, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 51, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26486, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 32, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26487, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 1726, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26488, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 9728, 28, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26489, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2149, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26490, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 3731, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26491, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 875, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26492, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 586, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26493, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 956, 30, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26494, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 345, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26495, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 140, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26496, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 136, 32, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26497, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 229, 22, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26498, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 72, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26499, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 86, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26500, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2173, 7, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26501, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 156, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26502, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 10, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26503, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 5289, 10, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26504, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1644, 9, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26505, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26506, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 1747, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26507, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 275, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26508, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 1355, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26509, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 25, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26510, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 157, 33, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26511, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 181, 17, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26512, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 816, 66, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26513, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 755, 30, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26514, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 150, 35, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26515, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 269, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26516, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 4, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26517, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 407, 22, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26518, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1743, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26519, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 74, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26520, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 270, 17, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26521, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 69, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26522, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 836, 27, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26523, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 20, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26524, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 27, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26525, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 19, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26526, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 62, 12, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26527, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 27, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26528, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 56, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26529, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 145, 9, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26530, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 495, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26531, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 76, 7, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26532, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 405, 25, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26533, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 411, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26534, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 122, 33, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26535, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 77, 15, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26536, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 167, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26537, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2764, 19, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26538, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 4401, 13, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26539, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 216, 18, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26540, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 3025, 10, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26541, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 564, 18, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26542, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2991, 7, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26543, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 3625, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26544, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 89, 14, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26545, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 8, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26546, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 117, 16, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26547, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 6467, 20, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26548, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1983, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26549, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 3250, 15, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26550, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 178, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26551, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 127, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26552, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 171, 9, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26553, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 158, 17, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26554, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 75, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26555, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 4, 11, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26556, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 162, 7, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26557, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 294, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26558, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 100, 13, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26559, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 73, 11, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26560, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 95, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26561, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 13278, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26562, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 56, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26563, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 131, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26564, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 767, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26565, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 7, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26566, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 49, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26567, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 684, 15, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26568, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1887, 9, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26569, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1151, 35, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26570, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1272, 60, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26571, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1175, 24, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26572, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 29, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26573, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1252, 48, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26574, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 764, 10, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26575, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 431, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26576, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1472, 49, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26577, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1320, 34, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26578, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 882, 17, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26579, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 1432, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26580, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 6467, 20, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26581, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 20, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26582, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 3625, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26583, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 767, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26584, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 3025, 10, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26585, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2991, 7, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26586, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 56, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26587, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2764, 19, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26588, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 4401, 13, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26589, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 1355, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26590, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 25, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26591, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 76, 7, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26592, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 77, 15, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26593, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 27, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26594, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 62, 12, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26595, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 3250, 15, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26596, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 493, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26597, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 495, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26598, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 836, 27, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26599, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2149, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26600, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 3731, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26601, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 9728, 28, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26602, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26603, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 275, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26604, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 74, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26605, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 164, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26606, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 95, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26607, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 816, 66, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26608, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 10, 5, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26609, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 131, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26610, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 755, 30, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26611, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 164, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26612, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 75, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26613, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 150, 35, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26614, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 162, 7, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26615, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 100, 13, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26616, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 73, 11, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26617, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 294, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26618, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 4, 11, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26619, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 1726, 4, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26620, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 345, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26621, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 586, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26622, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 269, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26623, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 19, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26624, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 102, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26625, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 27, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26626, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 156, 6, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26627, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 86, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26628, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 69, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26629, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 157, 14, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26630, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 183, 7, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26631, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 270, 17, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26632, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 131, 3, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26633, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 72, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26634, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 56, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26635, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 86, 8, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26636, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 13278, 2, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26637, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 8, 1, 2023, 5, 18, '2024-08-05 13:57:24', NULL, NULL), (26638, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 87, 84, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26639, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1068, 7, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26640, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 345, 47, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26641, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 214, 31, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26642, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 310, 195, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26643, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 642, 392, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26644, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 698, 74, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26645, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 160, 70, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26646, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 457, 144, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26647, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1078, 294, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26648, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 631, 399, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26649, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 353, 86, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26650, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 348, 49, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26651, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 449, 102, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26652, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 301, 201, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26653, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 86, 85, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26654, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1078, 294, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26655, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 457, 144, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26656, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26657, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 1331, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26658, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 357, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26659, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 86, 85, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26660, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 189, 39, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26661, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 556, 102, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26662, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 0, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26663, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 322, 36, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26664, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26665, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 76, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26666, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 154, 21, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26667, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 539, 9, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26668, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 131, 9, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26669, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 50, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26670, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 310, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26671, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 228, 4, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26672, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 851, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26673, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 71, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26674, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 168, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26675, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 196, 8, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26676, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 88, 114, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26677, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 5619, 7, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26678, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 92, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26679, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 34, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26680, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2009, 125, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26681, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 238, 39, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26682, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 1306, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26683, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 15, 19, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26684, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 40, 9, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26685, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 866, 8, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26686, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 310, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 539, 9, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2086, 7, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 322, 36, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 808, 39, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1003, 34, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2301, 9, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 639, 25, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 250, 11, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1318, 10, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2085, 17, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1600, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 791, 34, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1180, 6, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 901, 44, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1304, 11, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1248, 13, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 555, 39, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1492, 17, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 894, 33, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2140, 15, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 17, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 884, 10, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 223, 20, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 694, 26, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 570, 24, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 337, 51, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 927, 21, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 59, 14, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 86, 20, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 180, 14, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 14, 14, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 788, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 41, 15, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 96, 16, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 998, 25, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 69, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 19, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 90, 6, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 82, 18, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 99, 27, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 167, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 8, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 140, 17, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1221, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 181, 11, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 20, 10, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 17, 15, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 116, 18, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 124, 17, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 357, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 61, 20, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 154, 21, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E01', 168, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 441, 13, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 94, 11, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 106, 12, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 654, 8, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 72, 23, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 730, 11, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 96, 18, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 106, 28, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1306, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 50, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 482, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 99, 23, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2548, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 61, 12, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 223, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 150, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 108, 10, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 55, 4, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 508, 46, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 34, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 2, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 17, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 14, 10, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 12, 7, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 219, 10, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 57, 6, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 48, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 76, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 54, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 7, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 189, 39, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 28, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 596, 56, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 17, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 208, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 234, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2995, 9, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 3559, 6, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1816, 11, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 169, 7, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1900, 16, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 92, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 7866, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26784, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 539, 9, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26785, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 228, 4, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26786, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 34, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26787, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 87, 84, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26788, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 310, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26789, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 7866, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26790, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 71, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26791, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 556, 102, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26792, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 1331, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26793, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 189, 39, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26794, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 357, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26795, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 154, 21, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26796, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 15, 19, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26797, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 866, 8, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26798, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 40, 9, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26799, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1306, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26800, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 851, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26801, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 92, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26802, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 50, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26803, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 76, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26804, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 238, 39, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26805, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2009, 125, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26806, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 322, 36, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26807, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 169, 7, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26808, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '', 168, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26809, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 89, 113, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26810, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 196, 8, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26811, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 76, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26812, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 310, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26813, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D23', 50, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26814, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 539, 9, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26815, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 189, 39, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26816, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 90, 6, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26817, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 71, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26818, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 851, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26819, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 96, 16, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26820, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 180, 14, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26821, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 14, 14, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26822, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 1451, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26823, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 59, 14, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26824, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 86, 20, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26825, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 1309, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26826, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 33, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26827, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 28, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26828, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 7, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26829, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 54, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26830, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 208, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26831, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 234, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26832, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 61, 12, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26833, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 99, 23, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26834, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 55, 4, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26835, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 108, 10, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26836, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 114, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26837, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 2548, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26838, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 94, 11, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26839, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 169, 7, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26840, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 34, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26841, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 96, 18, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (26842, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 72, 23, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26843, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 106, 12, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26844, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 7866, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26845, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 150, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26846, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 92, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26847, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 223, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26848, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '2E01', 168, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26849, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2140, 15, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26850, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 34, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26851, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2086, 7, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26852, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 12, 7, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26853, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 357, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26854, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 14, 10, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26855, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 513, 8, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26856, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 115, 25, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26857, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 388, 6, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26858, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1816, 11, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26859, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1900, 16, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26860, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2995, 9, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26861, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 3559, 6, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26862, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 596, 56, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26863, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 508, 46, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26864, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1306, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26865, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1600, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26866, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1248, 13, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26867, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1492, 17, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26868, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 154, 21, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26869, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2301, 9, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26870, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2085, 17, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26871, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 322, 36, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26872, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 17, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26873, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 219, 10, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26874, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 2, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26875, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 57, 6, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26876, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 48, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26877, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 7, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26878, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 28, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26879, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 54, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26880, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1900, 16, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26881, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1816, 11, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26882, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 3559, 6, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26883, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2995, 9, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26884, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 998, 25, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26885, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 234, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26886, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 927, 21, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26887, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 208, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26888, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 17, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26889, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 41, 15, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26890, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 116, 18, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26891, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 99, 23, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26892, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 61, 12, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26893, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1304, 11, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26894, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 108, 10, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26895, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 55, 4, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26896, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 223, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26897, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1318, 10, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26898, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 150, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26899, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1180, 6, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26900, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 12, 7, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26901, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 17, 15, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26902, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 14, 10, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26903, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 20, 10, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26904, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 34, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26905, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 99, 27, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26906, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 82, 18, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26907, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 508, 46, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26908, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 596, 56, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26909, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 189, 39, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26910, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 76, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26911, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 124, 17, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26912, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 61, 20, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26913, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 441, 13, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26914, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 154, 21, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26915, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 539, 9, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26916, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E01', 168, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26917, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 322, 36, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 357, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26919, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 310, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26920, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 94, 11, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26921, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 96, 18, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26922, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 570, 24, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26923, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 106, 12, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26924, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 337, 51, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26925, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 72, 23, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26926, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 884, 10, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26927, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1492, 17, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26928, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 788, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26929, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1248, 13, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26930, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1600, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26931, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 694, 26, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26932, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 223, 20, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26933, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2085, 17, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26934, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2301, 9, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26935, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 181, 11, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26936, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2140, 15, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26937, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 17, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26938, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2086, 7, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26939, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 654, 8, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26940, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 106, 28, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26941, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 730, 11, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26942, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 86, 20, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26943, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 180, 14, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26944, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 59, 14, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26945, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 14, 14, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26946, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 96, 16, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26947, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 90, 6, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26948, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 50, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26949, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 482, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26950, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1306, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26951, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2548, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26952, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 92, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26953, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 7866, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26954, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 169, 7, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26955, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 19, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26956, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1221, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26957, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 140, 17, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26958, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 69, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26959, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 555, 39, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26960, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 901, 44, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26961, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 167, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26962, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 791, 34, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26963, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 250, 11, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26964, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 639, 25, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26965, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 8, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26966, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1003, 34, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26967, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 808, 39, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26968, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 894, 33, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26969, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2140, 15, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26970, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 310, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26971, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2301, 9, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26972, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 169, 7, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26973, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1600, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26974, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2085, 17, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26975, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1492, 17, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26976, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1248, 13, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26977, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 14, 10, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26978, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 34, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26979, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 106, 12, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26980, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 72, 23, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26981, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 96, 18, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26982, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 94, 11, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26983, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 71, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26984, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2086, 7, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26985, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 322, 36, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26986, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2995, 9, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26987, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1816, 11, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26988, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 3559, 6, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26989, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1900, 16, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26990, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D23', 50, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26991, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 12, 7, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26992, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 539, 9, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26993, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 1451, 2, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26994, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 90, 6, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26995, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 508, 46, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26996, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 223, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26997, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 33, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26998, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 596, 56, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (26999, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 1309, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27000, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 189, 39, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27001, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 150, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27002, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 180, 14, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27003, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 14, 14, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27004, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 96, 16, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27005, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 59, 14, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27006, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 86, 20, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27007, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 34, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27008, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 208, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27009, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 234, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27010, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 76, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27011, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 114, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27012, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 2548, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27013, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 28, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27014, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 7, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27015, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 54, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27016, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 92, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27017, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 388, 6, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27018, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 357, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27019, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 108, 10, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27020, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 55, 4, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27021, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 513, 8, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27022, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 115, 25, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27023, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 154, 21, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27024, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '2E01', 168, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27025, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 7866, 5, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27026, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 99, 23, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27027, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1306, 3, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27028, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 61, 12, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27029, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 851, 1, 2023, 5, 19, '2024-08-05 13:57:25', NULL, NULL), (27030, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 155, 4, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27031, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 196, 14, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27032, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1071, 78, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27033, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 172, 25, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27034, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1057, 79, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27035, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 124, 5, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27036, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 172, 25, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27037, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 196, 14, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27038, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 2, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27039, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 7, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27040, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 0, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27041, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 483, 4, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27042, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 205, 3, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27043, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 112, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27044, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 2, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27045, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 5, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27046, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 98, 7, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 112, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 244, 6, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 74, 14, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 483, 4, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 146, 18, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 215, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 9, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 98, 7, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 7, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 69, 12, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 2125, 38, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 105, 5, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 155, 4, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 42, 9, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27061, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 112, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27062, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 483, 4, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27063, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 205, 3, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27064, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 98, 7, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27065, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 7, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27066, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 5, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27067, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 483, 4, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27068, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 98, 7, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27069, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 5, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27070, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 112, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27071, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 7, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27072, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 205, 3, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27073, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 483, 4, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27074, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 112, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27075, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 244, 6, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27076, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 9, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27077, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 98, 7, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27078, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 7, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27079, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 2125, 38, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27080, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 69, 12, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27081, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 74, 14, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27082, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 105, 5, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27083, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 155, 4, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27084, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 42, 9, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27085, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 146, 18, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27086, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 215, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27087, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 112, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27088, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 205, 3, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27089, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 483, 4, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27090, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 7, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27091, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 5, 1, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27092, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 98, 7, 2023, 5, 20, '2024-08-05 13:57:26', NULL, NULL), (27093, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 95, 7, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27094, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 344, 49, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27095, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 477, 7, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27096, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 344, 49, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27097, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 477, 7, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27098, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 83, 8, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27099, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 41, 2, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27100, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 241, 2, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27101, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 47, 1, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27102, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 27, 2, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27103, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 0, 1, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 176, 3, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 15, 1, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 477, 7, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 6, 5, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 41, 2, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 73, 10, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 664, 22, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 27, 2, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 464, 3, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 10, 8, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27114, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 41, 2, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27115, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 27, 2, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27116, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 47, 1, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27117, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 241, 2, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27118, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 41, 2, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27119, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E26', 47, 1, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27120, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 27, 2, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27121, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 241, 2, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27122, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 41, 2, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27123, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 176, 3, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27124, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 664, 22, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27125, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 73, 10, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27126, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 6, 5, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27127, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 27, 2, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27128, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 15, 1, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27129, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 477, 7, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27130, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 464, 3, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27131, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 10, 8, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27132, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 41, 2, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27133, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 241, 2, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27134, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 27, 2, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27135, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E26', 47, 1, 2023, 5, 21, '2024-08-05 13:57:27', NULL, NULL), (27136, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 46, 110, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27137, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 1123, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27138, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 6, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27139, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 405, 306, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27140, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1041, 15, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27141, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 775, 130, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27142, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 405, 214, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27143, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1932, 84, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27144, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 3475, 438, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27145, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 960, 95, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27146, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 221, 139, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27147, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 56, 72, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27148, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 3475, 438, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27149, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 1189, 239, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27150, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 524, 66, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27151, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 583, 104, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27152, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 399, 217, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27153, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 46, 110, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27154, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 404, 307, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27155, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 218, 141, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27156, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 148, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27157, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27158, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 2742, 12, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27159, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 46, 110, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27160, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 209, 59, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27161, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 467, 136, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27162, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1753, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27163, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 236, 29, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27164, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 137, 7, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27165, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 93, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27166, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 263, 43, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27167, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 996, 13, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27168, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 991, 14, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27169, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 278, 14, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27170, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 6, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27171, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 802, 7, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27172, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 1086, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27173, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 516, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27174, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 1123, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27175, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 19, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27176, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 605, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27177, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 57, 90, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27178, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1397, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27179, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 534, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27180, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 299, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27181, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 505, 81, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27182, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 622, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27183, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 1204, 9, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27184, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 1067, 84, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27185, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 48, 17, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27186, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 213, 8, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27187, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 240, 46, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 278, 14, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 917, 8, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1776, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 996, 13, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 496, 9, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 244, 28, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 6596, 22, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 4412, 36, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 4695, 46, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 627, 7, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 211, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2570, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 3285, 29, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 5823, 42, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1326, 13, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 400, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 3318, 29, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1850, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 483, 9, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 4500, 45, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 3652, 47, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 349, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 249, 18, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 128, 16, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 218, 7, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 128, 13, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 431, 37, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 4867, 21, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 68, 18, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 74, 19, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 33, 17, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 120, 17, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 32, 20, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 49, 10, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 27, 18, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 167, 30, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 3870, 20, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 81, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 405, 10, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 41, 18, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 112, 18, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 84, 23, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 34, 8, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 446, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 2756, 37, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 3308, 13, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1362, 8, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 462, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 120, 21, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 94, 28, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 24, 13, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 31478, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 57, 19, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 130, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 6, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 73, 23, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 263, 43, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 93, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 1123, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 51, 12, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 1742, 44, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 62, 8, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 308, 10, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 55, 21, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 55, 13, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 231, 44, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 337, 32, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 1004, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1204, 9, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 336, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 51, 16, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (27259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1648, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 72, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 26, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 4, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 49, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 447, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 82, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 482, 66, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 8, 3, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 216, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 47, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 59, 8, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 124, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 52, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 12, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 335, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 160, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 290, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 326, 3, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 209, 59, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 48, 3, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 452, 70, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 10, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 49, 7, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1265, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 186, 3, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 443, 16, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 133, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 865, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1156, 12, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 541, 7, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 534, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1537, 10, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27292, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 996, 13, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27293, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 802, 7, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27294, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 6, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27295, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 299, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27296, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 46, 110, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27297, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1753, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27298, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 278, 14, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27299, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1537, 10, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27300, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 516, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27301, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 467, 136, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27302, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 148, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27303, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 209, 59, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27304, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 2742, 12, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27305, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 263, 43, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27306, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 605, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27307, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 48, 17, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27308, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 213, 8, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27309, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 240, 46, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27310, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1204, 9, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27311, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 1086, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27312, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 534, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27313, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 160, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27314, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 1067, 84, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27315, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 505, 81, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27316, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 244, 28, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27317, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 1245, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27318, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1156, 12, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27319, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 1123, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27320, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 93, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27321, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 57, 90, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27322, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 19, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27323, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 160, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27324, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 278, 14, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27325, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 996, 13, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27326, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 209, 59, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27327, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 41, 18, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27328, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 1123, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27329, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 516, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27330, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 524, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27331, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 1648, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27332, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 27, 18, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27333, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 33, 17, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27334, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 32, 20, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27335, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 394, 14, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27336, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 68, 18, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27337, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 308, 10, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27338, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 74, 19, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27339, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 105, 16, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27340, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 130, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27341, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 48, 3, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27342, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 326, 3, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27343, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 290, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27344, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 1265, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27345, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 186, 3, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27346, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 72, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27347, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 51, 16, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27348, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 82, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27349, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 49, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27350, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 148, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27351, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 51, 12, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27352, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1156, 12, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27353, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 6, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27354, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 93, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27355, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 299, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27356, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 1245, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27357, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 55, 13, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27358, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 55, 21, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27359, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 62, 8, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27360, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1537, 10, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27361, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D26', 763, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27362, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 4, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27363, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 534, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27364, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 52, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27365, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 26, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27366, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 447, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27367, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 349, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27368, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 8, 3, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27369, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 31478, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27370, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 496, 9, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27371, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 130, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27372, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 59, 8, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27373, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 303, 28, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27374, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 385, 26, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27375, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 2372, 30, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27376, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1742, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27377, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1776, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27378, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 865, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27379, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 541, 7, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27380, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 443, 16, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27381, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 133, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27382, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 452, 70, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27383, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 482, 66, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27384, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1204, 9, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27385, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 400, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27386, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 483, 9, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27387, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 263, 43, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27388, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 627, 7, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27389, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 211, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27390, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 244, 28, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27391, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 47, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27392, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 124, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27393, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 216, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27394, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 12, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27395, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 335, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27396, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 326, 3, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27397, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 48, 3, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27398, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 290, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27399, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 541, 7, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27400, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 865, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27401, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 133, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27402, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 443, 16, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27403, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 3870, 20, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27404, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 186, 3, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27405, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 4867, 21, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27406, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1265, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27407, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 167, 30, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27408, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 24, 13, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27409, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 51, 16, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27410, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 72, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27411, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1850, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27412, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 49, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27413, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 82, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27414, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 26, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27415, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2570, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27416, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 4, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27417, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1326, 13, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27418, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 52, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27419, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 94, 28, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27420, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 462, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27421, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 59, 8, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27422, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 8, 3, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27423, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 84, 23, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27424, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 112, 18, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27425, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 482, 66, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27426, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 452, 70, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27427, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 209, 59, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27428, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 160, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27429, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 57, 19, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27430, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 73, 23, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27431, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 93, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27432, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 996, 13, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27433, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 263, 43, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27434, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 31478, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27435, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 244, 28, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27436, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 130, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27437, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 278, 14, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27438, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 51, 12, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27439, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 55, 13, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27440, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 128, 13, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27441, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 62, 8, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27442, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 917, 8, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27443, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1776, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27444, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 431, 37, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27445, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 55, 21, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27446, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 249, 18, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27447, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 483, 9, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27448, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 49, 10, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27449, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 400, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27450, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 218, 7, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27451, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 211, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27452, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 128, 16, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27453, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 627, 7, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27454, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 120, 17, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27455, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 120, 21, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27456, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 349, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27457, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 49, 7, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27458, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 496, 9, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27459, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 10, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27460, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 6, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27461, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 1742, 44, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27462, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 337, 32, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27463, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 231, 44, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27464, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 308, 10, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27465, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 1123, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27466, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 74, 19, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27467, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 33, 17, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27468, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 68, 18, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27469, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 32, 20, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27470, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 27, 18, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27471, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 447, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27472, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 1004, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27473, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 41, 18, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27474, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 336, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27475, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1204, 9, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27476, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1648, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27477, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 534, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27478, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1537, 10, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27479, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1156, 12, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27480, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 405, 10, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27481, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1362, 8, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27482, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 3308, 13, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27483, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 81, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27484, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 4500, 45, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27485, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 3318, 29, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27486, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 34, 8, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27487, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 5823, 42, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27488, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 3285, 29, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27489, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 4695, 46, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27490, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 2756, 37, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27491, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 446, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27492, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 4412, 36, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27493, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 6596, 22, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27494, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 3652, 47, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27495, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 349, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27496, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 278, 14, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27497, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1156, 12, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27498, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 627, 7, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27499, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 211, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27500, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 483, 9, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27501, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 400, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27502, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 59, 8, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27503, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 8, 3, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27504, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 62, 8, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27505, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 55, 21, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27506, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 55, 13, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27507, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 51, 12, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27508, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D26', 763, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27509, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 447, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27510, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 516, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27511, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 496, 9, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27512, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1776, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27513, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1742, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27514, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 244, 28, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27515, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 443, 16, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27516, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 865, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27517, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 133, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27518, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 541, 7, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27519, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 52, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27520, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 996, 13, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27521, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 394, 14, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27522, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 41, 18, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27523, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 482, 66, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27524, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 26, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27525, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 130, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27526, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 452, 70, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27527, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 105, 16, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27528, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 308, 10, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27529, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 209, 59, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27530, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 4, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27531, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 33, 17, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27532, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 32, 20, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27533, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 27, 18, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27534, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 68, 18, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27535, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 74, 19, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27536, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 299, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27537, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 1123, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27538, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 1265, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27539, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 186, 3, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27540, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 160, 6, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27541, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 148, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27542, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 6, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27543, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 48, 3, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27544, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 326, 3, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27545, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 290, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27546, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 534, 2, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27547, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 2372, 30, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27548, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 130, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27549, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 49, 5, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27550, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 82, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27551, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 31478, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27552, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 303, 28, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27553, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 93, 4, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27554, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 385, 26, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27555, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 263, 43, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27556, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 1245, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27557, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1537, 10, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27558, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 51, 16, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27559, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1204, 9, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27560, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 72, 11, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27561, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 1648, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27562, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 524, 1, 2023, 5, 22, '2024-08-05 13:57:28', NULL, NULL), (27563, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 24, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27564, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 79, 114, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27565, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 1145, 4, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27566, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 425, 303, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27567, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '', 23, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27568, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 2238, 14, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27569, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 734, 79, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27570, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 327, 243, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27571, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 742, 87, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27572, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1174, 111, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27573, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1053, 390, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27574, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 480, 166, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27575, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 240, 65, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27576, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1048, 392, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27577, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 789, 201, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27578, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 377, 75, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27579, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1164, 101, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27580, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 326, 244, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27581, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 79, 114, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27582, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 425, 303, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27583, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 480, 166, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27584, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 417, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27585, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '', 23, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27586, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 1949, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27587, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 1283, 13, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27588, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 79, 114, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27589, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 92, 40, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27590, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 336, 117, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27591, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1377, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27592, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 271, 35, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27593, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 145, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27594, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 440, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27595, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 205, 28, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27596, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 80, 12, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27597, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1551, 15, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27598, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 438, 18, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27599, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 1145, 4, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27600, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 545, 9, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27601, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 2059, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27602, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 127, 4, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27603, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27604, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 24, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27605, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 4, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27606, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 5701, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27607, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 79, 118, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27608, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 996, 9, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27609, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 2392, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27610, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 148, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27611, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 778, 102, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27612, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 1300, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27613, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 216, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27614, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 443, 61, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27615, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 32, 30, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27616, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 323, 9, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27617, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 1105, 28, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27618, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 65, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27619, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 438, 18, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1712, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 72, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 417, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 80, 12, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 587, 11, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 271, 35, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 948, 32, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1117, 34, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 450, 21, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 495, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1907, 31, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 493, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2461, 14, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 608, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3024, 12, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1728, 44, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3125, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 939, 13, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1181, 29, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 871, 8, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1680, 39, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1105, 24, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 679, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 290, 15, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 437, 27, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 466, 23, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 949, 17, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 260, 42, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 263, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 1390, 22, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 172, 19, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 26, 18, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 77, 19, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 1397, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 38, 17, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 373, 13, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 74, 29, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 26, 21, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1145, 30, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 119, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 337, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 134, 20, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 110, 16, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 21, 20, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1022, 18, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1107, 29, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 500, 17, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 325, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (27669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 893, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 409, 13, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 24, 17, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 5116, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 247, 27, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D14', 23, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 133, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 1145, 4, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 29, 22, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 205, 28, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1290, 4, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 24, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 92, 9, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 81, 13, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 1785, 27, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 169, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 111, 28, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 64, 20, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 47, 21, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 311, 25, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 1300, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 216, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2023, 9, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 55, 28, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 79, 12, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 3, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 89, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 5701, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 53, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 348, 63, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 14, 8, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 253, 8, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 19, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 22, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 493, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 54, 12, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 106, 11, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 140, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 145, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 62, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 285, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 92, 40, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 571, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 321, 54, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 95, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 378, 7, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 150, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 742, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1054, 16, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1161, 7, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 806, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1551, 15, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 623, 15, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 2392, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 996, 9, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27725, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 80, 12, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27726, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 545, 9, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27727, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 1145, 4, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27728, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 148, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27729, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 79, 114, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27730, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1377, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27731, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '', 23, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27732, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 438, 18, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27733, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 996, 9, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27734, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 127, 4, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27735, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 336, 117, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27736, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 1949, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27737, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 92, 40, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27738, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 1283, 13, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27739, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 205, 28, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27740, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 5701, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27741, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 32, 30, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27742, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 1238, 25, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27743, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 323, 9, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27744, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 216, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27745, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 2059, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27746, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 2392, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27747, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 145, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27748, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 500, 54, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27749, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 778, 102, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27750, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 417, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27751, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 271, 35, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27752, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 1300, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27753, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1551, 15, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27754, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 24, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27755, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 440, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27756, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 79, 118, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27757, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 65, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27758, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 4, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27759, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 145, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27760, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 438, 18, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27761, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 80, 12, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27762, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 92, 40, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27763, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 134, 20, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27764, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 24, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27765, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 127, 4, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27766, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 2059, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27767, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 26, 21, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27768, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 77, 19, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27769, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 38, 17, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27770, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 172, 19, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27771, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 2918, 8, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27772, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 26, 18, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27773, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 169, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27774, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 69, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27775, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 1042, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27776, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 571, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27777, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 285, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27778, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 57, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27779, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 150, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27780, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 742, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27781, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 417, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27782, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 79, 12, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27783, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 55, 28, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27784, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 53, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27785, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 89, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27786, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 1949, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27787, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 92, 9, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27788, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1551, 15, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27789, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 1145, 4, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27790, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 440, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27791, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 148, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27792, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 1300, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27793, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 64, 20, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27794, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 111, 28, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27795, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 81, 13, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27796, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 996, 9, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27797, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 3, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27798, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 2392, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27799, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 54, 12, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27800, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 5701, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27801, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27802, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 679, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27803, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 5116, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27804, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 14, 8, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27805, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 587, 11, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27806, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 19, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27807, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 133, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27808, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 40, 16, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27809, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 80, 19, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27810, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 1308, 19, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27811, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 2030, 4, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27812, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 72, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27813, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 806, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27814, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 623, 15, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27815, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1054, 16, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27816, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1161, 7, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27817, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 321, 54, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27818, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 348, 63, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27819, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 216, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27820, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E29', 65, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27821, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 608, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27822, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 939, 13, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27823, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 871, 8, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27824, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 205, 28, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27825, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 495, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27826, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 493, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27827, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 271, 35, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27828, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '1D14', 23, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27829, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 22, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27830, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 493, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27831, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 253, 8, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27832, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 106, 11, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27833, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 140, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27834, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 285, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27835, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 571, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27836, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 62, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27837, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 623, 15, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27838, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 806, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27839, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1161, 7, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27840, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1054, 16, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27841, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1145, 30, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27842, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 742, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27843, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 1390, 22, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27844, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 150, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27845, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 74, 29, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27846, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 247, 27, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27847, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 55, 28, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27848, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 79, 12, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27849, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3125, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27850, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 89, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27851, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 53, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27852, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27853, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2461, 14, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27854, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 3, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27855, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3024, 12, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27856, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 54, 12, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27857, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 24, 17, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27858, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 893, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27859, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 19, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27860, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 21, 20, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27861, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 14, 8, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27862, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 110, 16, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27863, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 348, 63, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27864, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 321, 54, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27865, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 92, 40, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27866, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 145, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27867, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 29, 22, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27868, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1290, 4, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27869, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 80, 12, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27870, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 205, 28, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27871, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 5116, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27872, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 271, 35, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27873, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 133, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27874, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 438, 18, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27875, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 417, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27876, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 92, 9, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27877, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 64, 20, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27878, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 949, 17, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27879, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 81, 13, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27880, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 263, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27881, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1712, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27882, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 72, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27883, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 260, 42, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27884, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 111, 28, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27885, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 290, 15, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27886, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 871, 8, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27887, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 373, 13, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27888, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 939, 13, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27889, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 466, 23, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27890, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 608, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27891, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 437, 27, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27892, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 493, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27893, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 495, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27894, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 1397, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27895, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 409, 13, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27896, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 679, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27897, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 378, 7, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27898, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 587, 11, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27899, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 95, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27900, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 1145, 4, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27901, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 1785, 27, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27902, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 311, 25, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27903, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 47, 21, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27904, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 169, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27905, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 24, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27906, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '1D14', 23, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27907, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 26, 18, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27908, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 77, 19, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27909, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 172, 19, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27910, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 38, 17, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27911, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 26, 21, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27912, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 5701, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27913, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 1300, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27914, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 134, 20, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27915, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2023, 9, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27916, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 216, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27917, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 2392, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 996, 9, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27919, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1551, 15, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27920, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 337, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27921, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 325, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27922, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 500, 17, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27923, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 119, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27924, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1680, 39, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27925, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1181, 29, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27926, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1022, 18, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27927, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1728, 44, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27928, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1907, 31, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27929, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 450, 21, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27930, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1107, 29, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27931, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1117, 34, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27932, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 948, 32, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27933, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1105, 24, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27934, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 679, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27935, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 438, 18, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27936, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1551, 15, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27937, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 495, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27938, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 608, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27939, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 493, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27940, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 871, 8, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27941, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 939, 13, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27942, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 19, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27943, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 14, 8, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27944, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 81, 13, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27945, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 111, 28, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27946, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 64, 20, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27947, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 92, 9, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27948, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 5701, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27949, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 127, 4, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27950, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 587, 11, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27951, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 72, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27952, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 2030, 4, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27953, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 271, 35, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27954, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1054, 16, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27955, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 806, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27956, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1161, 7, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27957, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 623, 15, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27958, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 54, 12, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27959, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 80, 12, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27960, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 2918, 8, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27961, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 134, 20, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27962, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 348, 63, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27963, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27964, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 1042, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27965, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 321, 54, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27966, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 69, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27967, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 169, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27968, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 92, 40, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27969, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 3, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27970, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '1D14', 23, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27971, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 77, 19, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27972, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 38, 17, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27973, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 26, 21, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27974, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 172, 19, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27975, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 26, 18, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27976, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 148, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27977, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 24, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27978, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 150, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27979, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 742, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27980, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 145, 5, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27981, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 1949, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27982, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 1145, 4, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27983, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 417, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27984, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 571, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27985, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 285, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27986, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 57, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27987, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 2392, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27988, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 1308, 19, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27989, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 133, 10, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27990, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 89, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27991, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 53, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27992, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 5116, 3, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27993, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 40, 16, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27994, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 440, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27995, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 80, 19, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27996, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 205, 28, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27997, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 1300, 1, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27998, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 996, 9, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (27999, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 55, 28, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (28000, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 216, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (28001, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 79, 12, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (28002, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E29', 65, 2, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (28003, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 2059, 6, 2023, 5, 23, '2024-08-05 13:57:29', NULL, NULL), (28004, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 764, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28005, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 44, 91, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28006, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 3, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28007, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 604, 336, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28008, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 627, 22, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28009, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 346, 82, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28010, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 847, 86, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28011, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 150, 162, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28012, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 647, 95, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28013, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1303, 400, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28014, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 365, 55, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28015, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 606, 186, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28016, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1300, 401, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28017, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 597, 195, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28018, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 300, 63, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28019, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 720, 87, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28020, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 149, 163, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28021, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 44, 92, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28022, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 603, 337, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28023, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 606, 186, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28024, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 278, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28025, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28026, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 148, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28027, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 37, 12, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28028, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 44, 92, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28029, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 314, 52, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28030, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 471, 154, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28031, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 112, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28032, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 337, 35, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28033, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1217, 8, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28034, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 5, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28035, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 72, 23, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28036, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 255, 12, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28037, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 5, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28038, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1480, 9, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28039, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 378, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28040, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 3, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28041, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28042, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1091, 11, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28043, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 498, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28044, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 8, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28045, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 764, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28046, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 431, 11, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28047, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 43, 77, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28048, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 6, 4, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28049, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 7, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28050, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 89, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28051, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 999, 91, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28052, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 298, 53, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28053, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 647, 19, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28054, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 15, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28055, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 79, 21, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28056, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 433, 29, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 378, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 94, 6, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 278, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 255, 12, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 592, 10, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 337, 35, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1331, 37, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 796, 32, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 2412, 24, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1038, 9, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1620, 16, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1884, 33, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1360, 13, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1009, 4, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1289, 8, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1989, 44, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 790, 8, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1125, 11, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1567, 38, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1300, 6, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1391, 47, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (28078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1481, 20, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 882, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 449, 22, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 1042, 22, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 1059, 15, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 319, 32, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 433, 38, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 1127, 18, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 17, 17, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 41, 18, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 26, 14, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 361, 19, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 30, 13, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 123, 16, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 1246, 12, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 169, 22, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1753, 21, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 169, 8, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 257, 15, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 21, 13, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 92, 13, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 517, 21, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 85, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 131, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1528, 14, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1161, 32, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 918, 9, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 3, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 600, 26, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 394, 29, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 725, 22, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 77, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 8, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 3, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 141, 29, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 72, 23, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 764, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 24, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 282, 24, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 32, 23, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 149, 13, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 30, 15, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 437, 45, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 647, 19, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 52, 19, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 498, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 59, 8, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 141, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 1245, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 89, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 29, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 527, 93, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 14, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 3, 6, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 210, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 39, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 60, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 13, 9, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 48, 4, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 12, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1217, 8, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 33, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 320, 51, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 4, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 385, 61, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 17, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 7, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 791, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1616, 4, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 575, 11, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1456, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 991, 17, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1480, 9, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 7, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 9, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28154, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 255, 12, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28155, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1091, 11, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28156, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 3, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28157, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 89, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28158, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 112, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28159, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 44, 91, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28160, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 378, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28161, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 9, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28162, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 8, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28163, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 471, 154, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28164, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 320, 51, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28165, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 37, 12, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28166, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 72, 23, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28167, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 79, 21, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28168, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 15, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28169, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 433, 29, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28170, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 5, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28171, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 647, 19, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28172, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 498, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28173, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 7, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28174, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1217, 8, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28175, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 298, 53, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28176, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 999, 91, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28177, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 278, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28178, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 337, 35, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28179, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 764, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28180, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1480, 9, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28181, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 5, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28182, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 43, 77, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28183, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 148, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28184, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 431, 11, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28185, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1217, 8, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28186, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 378, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28187, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 255, 12, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28188, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 320, 51, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28189, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 21, 13, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28190, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 764, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28191, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 8, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28192, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 498, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28193, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 123, 16, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28194, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 26, 14, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28195, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 30, 13, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28196, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 38, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28197, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 17, 17, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28198, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 41, 18, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28199, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 149, 13, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28200, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 148, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28201, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 754, 14, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28202, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 3, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28203, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 33, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28204, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28205, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 791, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28206, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 1616, 4, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28207, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 278, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28208, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 59, 8, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28209, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 52, 19, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28210, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 29, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28211, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 89, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28212, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1480, 9, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28213, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 3, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28214, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 5, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28215, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 89, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28216, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 30, 15, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28217, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 32, 23, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28218, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 24, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28219, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 9, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28220, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 1245, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28221, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 7, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28222, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 13, 9, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28223, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 141, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28224, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 882, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28225, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 14, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28226, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 77, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28227, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 592, 10, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28228, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 8, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28229, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 210, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28230, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 293, 31, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28231, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 305, 22, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28232, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 112, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28233, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 12, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28234, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1456, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28235, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 991, 17, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28236, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E27', 5, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28237, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 575, 11, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28238, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 385, 61, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28239, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 527, 93, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28240, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 647, 19, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28241, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1009, 4, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28242, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1125, 11, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28243, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1300, 6, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28244, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 72, 23, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28245, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1038, 9, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28246, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1360, 13, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28247, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 337, 35, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28248, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 39, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28249, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 60, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28250, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 3, 6, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28251, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 12, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28252, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 48, 4, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28253, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 33, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28254, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 4, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28255, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28256, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 991, 17, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28257, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1456, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28258, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 575, 11, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28259, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1753, 21, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28260, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1616, 4, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28261, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 1127, 18, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28262, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 791, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28263, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 169, 22, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28264, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 725, 22, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28265, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 52, 19, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28266, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 59, 8, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28267, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 790, 8, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28268, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 89, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28269, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 29, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28270, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 141, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28271, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1620, 16, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28272, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 1245, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28273, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1289, 8, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28274, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 13, 9, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28275, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 394, 29, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28276, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 3, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28277, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 210, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28278, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 14, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28279, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 517, 21, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28280, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 92, 13, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28281, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 527, 93, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28282, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 385, 61, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28283, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 320, 51, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28284, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1217, 8, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28285, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 141, 29, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28286, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 255, 12, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28287, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 72, 23, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28288, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 337, 35, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28289, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 77, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28290, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 8, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28291, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 378, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28292, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 278, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28293, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 30, 15, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28294, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 319, 32, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28295, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 24, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28296, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 94, 6, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28297, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 32, 23, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28298, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 433, 38, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28299, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 449, 22, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28300, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1300, 6, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28301, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1125, 11, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28302, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 1246, 12, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28303, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1009, 4, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28304, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 1059, 15, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28305, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 1042, 22, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28306, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1360, 13, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28307, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1038, 9, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28308, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 361, 19, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28309, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 600, 26, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28310, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 882, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28311, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 7, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28312, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 592, 10, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28313, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 17, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28314, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 3, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28315, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 282, 24, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28316, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 437, 45, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28317, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 149, 13, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28318, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 764, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28319, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 41, 18, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28320, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 26, 14, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28321, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 17, 17, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28322, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 30, 13, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28323, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 123, 16, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28324, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 21, 13, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28325, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 647, 19, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28326, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 498, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28327, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 7, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28328, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 9, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28329, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1480, 9, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28330, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 257, 15, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28331, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 918, 9, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28332, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1161, 32, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28333, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 169, 8, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28334, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1391, 47, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28335, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1567, 38, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28336, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 85, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28337, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1989, 44, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28338, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1884, 33, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28339, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1528, 14, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28340, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 2412, 24, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28341, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 131, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28342, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 796, 32, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28343, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1331, 37, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28344, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1481, 20, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28345, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 882, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28346, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 378, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28347, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1480, 9, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28348, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1038, 9, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28349, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1009, 4, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28350, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1360, 13, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28351, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1300, 6, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28352, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1125, 11, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28353, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 210, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28354, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 14, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28355, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 24, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28356, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 32, 23, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28357, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 30, 15, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28358, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 8, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28359, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 592, 10, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28360, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 112, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28361, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 337, 35, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28362, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 575, 11, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28363, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1456, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28364, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 991, 17, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28365, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 13, 9, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28366, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 255, 12, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28367, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 12, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28368, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 38, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28369, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 21, 13, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28370, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 527, 93, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28371, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 141, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28372, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 754, 14, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28373, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 385, 61, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28374, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 149, 13, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28375, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 320, 51, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28376, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 1245, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28377, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 148, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28378, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 26, 14, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28379, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 30, 13, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28380, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 123, 16, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28381, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 17, 17, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28382, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 41, 18, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28383, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 89, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28384, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 764, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28385, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 791, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28386, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 1616, 4, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28387, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1217, 8, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28388, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 3, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28389, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 278, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28390, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 3, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28391, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 33, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28392, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28393, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 7, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28394, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 305, 22, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28395, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 8, 7, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28396, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 89, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28397, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 29, 2, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28398, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 77, 5, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28399, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 5, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28400, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 293, 31, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28401, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 72, 23, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28402, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 9, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28403, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 52, 19, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28404, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 647, 19, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28405, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 59, 8, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28406, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 498, 3, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28407, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E27', 5, 1, 2023, 5, 24, '2024-08-05 13:57:30', NULL, NULL), (28408, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 1608, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28409, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 42, 93, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28410, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '', 23, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28411, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 5, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28412, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1334, 332, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28413, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 139, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28414, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 439, 70, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28415, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 157, 209, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28416, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 809, 88, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28417, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 393, 425, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28418, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1033, 97, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28419, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 146, 80, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28420, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 463, 216, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28421, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 390, 428, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28422, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 616, 179, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28423, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 553, 65, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28424, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 661, 115, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28425, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 157, 209, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28426, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 41, 94, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28427, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1334, 332, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28428, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 463, 216, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28429, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 2, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28430, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 51, 8, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28431, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 41, 94, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28432, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 300, 45, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28433, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 442, 160, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28434, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 4947, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28435, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 222, 33, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28436, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28437, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 529, 9, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28438, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 225, 23, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28439, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '', 81, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28440, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 133, 21, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28441, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2883, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28442, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 183, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28443, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 5, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28444, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 23, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28445, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1494, 7, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28446, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 117, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28447, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 449, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28448, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 1608, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28449, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 58, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28450, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 47, 104, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28451, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 935, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28452, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 162, 8, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28453, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 3366, 102, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28454, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 516, 42, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28455, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 141, 12, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28456, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 28, 15, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28457, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 21, 9, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28458, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 323, 28, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 183, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 10345, 2, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1348, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 133, 21, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 3316, 18, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 222, 33, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 397, 40, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 544, 55, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 4426, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 365, 27, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2497, 11, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 574, 37, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1920, 16, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 7689, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 437, 43, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1973, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 758, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2170, 10, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 3178, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 3920, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 366, 39, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 160, 17, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 3308, 7, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 472, 22, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 379, 23, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 482, 33, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 1572, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 408, 56, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 73, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 454, 34, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 6, 11, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 18, 20, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 29, 12, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 551, 33, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 24, 17, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 536, 21, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 169, 15, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 284, 20, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (28497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 462, 37, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1088, 11, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 90, 17, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 9, 18, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 189, 10, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 66, 18, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 440, 2, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 158, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 823, 24, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1515, 23, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 262, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 5, 11, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 355, 22, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 133, 24, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 70, 20, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 76, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 26, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 87, 21, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 5, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 129, 23, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 225, 23, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 300, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D11', 23, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 1608, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 26, 11, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 56, 15, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 374, 27, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 262, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 44, 24, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 37, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 496, 40, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 141, 12, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 47, 20, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 117, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 45, 9, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 114, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 67, 7, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 76, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 79, 2, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 473, 78, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 6, 8, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 14, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 82, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 26, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 123, 10, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 27, 9, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 21, 2, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 272, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 529, 9, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 20, 8, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 40, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 300, 45, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 24, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 413, 82, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 265, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 484, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1182, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1728, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 3235, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 2332, 9, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2883, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2522, 14, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 935, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28561, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 133, 21, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28562, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1494, 7, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28563, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 5, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28564, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 162, 8, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28565, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 4947, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28566, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 42, 93, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28567, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 183, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28568, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 935, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28569, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 449, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28570, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 442, 160, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28571, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 300, 45, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28572, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 51, 8, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28573, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 225, 23, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28574, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 21, 9, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28575, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 28, 15, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28576, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 323, 28, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28577, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 141, 12, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28578, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 117, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28579, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '', 23, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28580, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 529, 9, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28581, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 516, 42, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28582, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 3366, 102, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28583, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 222, 33, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28584, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 1608, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28585, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2883, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28586, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '', 81, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28587, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 47, 104, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28588, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 58, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28589, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 529, 9, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28590, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 183, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28591, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 133, 21, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28592, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 300, 45, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28593, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 9, 18, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28594, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 1608, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28595, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 449, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28596, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 117, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28597, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 169, 15, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28598, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 29, 12, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28599, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 24, 17, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28600, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 6, 11, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28601, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 316, 12, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28602, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 18, 20, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28603, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 262, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28604, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 344, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28605, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 24, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28606, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 40, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28607, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 20, 8, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28608, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 1182, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28609, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 1728, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28610, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 45, 9, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28611, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 47, 20, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28612, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 76, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28613, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 67, 7, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28614, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 26, 11, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28615, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2883, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28616, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 5, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28617, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 162, 8, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28618, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 37, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28619, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 44, 24, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28620, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 56, 15, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28621, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 935, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28622, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 114, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28623, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 21, 2, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28624, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28625, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 3308, 7, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28626, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 14, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28627, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 76, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28628, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 3316, 18, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28629, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 26, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28630, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 26, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28631, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 570, 27, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28632, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 420, 15, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28633, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 10345, 2, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28634, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1348, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28635, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '1D11', 23, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28636, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2522, 14, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28637, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 3235, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28638, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 2332, 9, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28639, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 413, 82, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28640, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 473, 78, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28641, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 77, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28642, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 141, 12, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28643, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 7689, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28644, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 3178, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28645, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 3920, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28646, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 225, 23, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28647, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 4426, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28648, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2497, 11, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28649, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 222, 33, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28650, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '2E26', 81, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28651, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 82, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28652, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 123, 10, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28653, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 79, 2, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28654, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 6, 8, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28655, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 27, 9, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28656, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 272, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28657, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 40, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28658, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 24, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28659, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 20, 8, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28660, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2522, 14, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28661, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 2332, 9, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28662, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 3235, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28663, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 462, 37, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28664, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1728, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28665, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 454, 34, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28666, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1182, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28667, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 284, 20, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28668, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 70, 20, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28669, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 47, 20, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28670, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 45, 9, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28671, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2170, 10, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28672, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 67, 7, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28673, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 76, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28674, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28675, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1920, 16, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28676, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 114, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28677, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1973, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28678, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 21, 2, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28679, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 133, 24, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28680, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 5, 11, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28681, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 26, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28682, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 14, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28683, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 66, 18, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28684, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 189, 10, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28685, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 473, 78, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28686, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 413, 82, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28687, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 300, 45, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28688, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 529, 9, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28689, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 87, 21, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28690, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 129, 23, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28691, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 300, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28692, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 225, 23, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28693, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 133, 21, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28694, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 76, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28695, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 222, 33, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28696, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 26, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28697, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 183, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28698, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 26, 11, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28699, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 37, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28700, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 1572, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28701, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 73, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28702, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 56, 15, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28703, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 10345, 2, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28704, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1348, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28705, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 408, 56, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28706, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 44, 24, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28707, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 472, 22, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28708, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 3920, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28709, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 536, 21, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28710, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 3178, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28711, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 7689, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28712, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 482, 33, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28713, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2497, 11, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28714, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 379, 23, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28715, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 4426, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28716, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 551, 33, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28717, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 355, 22, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28718, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 3308, 7, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28719, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 484, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28720, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 3316, 18, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28721, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 265, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28722, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 5, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28723, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 374, 27, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28724, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 496, 40, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28725, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 262, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28726, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 1608, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28727, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 18, 20, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28728, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 29, 12, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28729, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 6, 11, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28730, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 24, 17, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28731, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 169, 15, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28732, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 9, 18, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28733, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 117, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28734, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 141, 12, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28735, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 935, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28736, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2883, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28737, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 90, 17, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28738, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 262, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28739, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1515, 23, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28740, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1088, 11, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28741, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 366, 39, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28742, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 758, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28743, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 440, 2, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28744, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 437, 43, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28745, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 574, 37, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28746, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 823, 24, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28747, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 365, 27, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28748, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 158, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28749, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 544, 55, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28750, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 397, 40, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28751, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 160, 17, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28752, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '1D11', 23, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28753, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 3308, 7, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28754, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 183, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28755, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2883, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28756, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 4426, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28757, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 7689, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28758, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2497, 11, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28759, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 3920, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28760, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 3178, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28761, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 26, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28762, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 14, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28763, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 56, 15, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28764, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 44, 24, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28765, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 37, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28766, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 26, 11, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28767, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 449, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28768, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 3316, 18, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28769, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1348, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28770, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 10345, 2, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28771, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 222, 33, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28772, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 3235, 6, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28773, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 2332, 9, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28774, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2522, 14, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28775, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 21, 2, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28776, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 133, 21, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28777, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 9, 18, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28778, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 316, 12, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28779, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 473, 78, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28780, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28781, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 344, 13, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28782, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 413, 82, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28783, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 262, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28784, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 300, 45, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28785, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 114, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28786, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 29, 12, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28787, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 24, 17, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28788, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 169, 15, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28789, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 6, 11, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28790, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 18, 20, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28791, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 162, 8, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28792, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 1608, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28793, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 1182, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28794, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '2E26', 81, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28795, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 1728, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28796, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 529, 9, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28797, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 5, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28798, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 24, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28799, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 40, 3, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28800, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 20, 8, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28801, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 420, 15, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28802, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 26, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28803, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 67, 7, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28804, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 76, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28805, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 76, 4, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28806, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 570, 27, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28807, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 225, 23, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28808, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 77, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28809, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 935, 5, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28810, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 47, 20, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28811, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 45, 9, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28812, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 141, 12, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28813, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 117, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28814, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '1D11', 23, 1, 2023, 5, 25, '2024-08-05 13:57:31', NULL, NULL), (28815, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 6428, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28816, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 31, 86, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28817, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 3, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28818, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1606, 400, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28819, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '', 1293, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28820, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 956, 10, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28821, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 240, 77, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28822, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1157, 69, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28823, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 71, 193, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28824, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 954, 103, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28825, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 771, 424, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28826, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 358, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28827, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 167, 67, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28828, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 450, 214, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28829, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 769, 425, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28830, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 690, 168, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28831, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 437, 70, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28832, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 789, 100, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28833, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 70, 195, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28834, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 31, 86, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28835, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1606, 400, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28836, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 450, 214, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28837, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1253, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28838, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 487, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28839, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '', 1293, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28840, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28841, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '', 163, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28842, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 15, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28843, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 270, 59, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28844, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 31, 86, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28845, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1417, 193, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28846, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1792, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28847, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 291, 37, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28848, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1849, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28849, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1542, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28850, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 91, 25, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28851, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 72, 14, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28852, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 179, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28853, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 390, 9, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28854, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 3, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28855, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 941, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28856, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 3214, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28857, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 19, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28858, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 66, 107, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28859, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 16, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28860, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 181, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28861, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2855, 119, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28862, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 222, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28863, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 1079, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28864, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 245, 45, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28865, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 9, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28866, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 12, 18, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28867, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 233, 32, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28868, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 358, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 390, 9, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 588, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1826, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1253, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 72, 14, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2520, 18, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 291, 37, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 665, 40, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1047, 38, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2832, 13, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 414, 12, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2251, 18, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1672, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 935, 41, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2602, 11, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1624, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1300, 28, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2024, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2362, 13, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1037, 53, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1291, 14, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 901, 36, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 6112, 9, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 971, 33, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 3706, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 3, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 472, 27, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 506, 35, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 590, 15, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 1637, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 254, 56, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 1151, 28, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 16, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 13, 17, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 37, 14, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 35, 14, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 752, 27, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 15, 10, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 204, 21, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 63, 17, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1139, 17, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 721, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 3369, 10, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 14, 16, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 165, 25, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 165, 31, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 22, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (28916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 5, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 491, 17, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1382, 23, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 374, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 5, 12, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 402, 29, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 9, 18, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 141, 32, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 15, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D14', 1293, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 3, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 129, 23, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 91, 25, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 358, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 502, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 6428, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 43, 12, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 71, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 317, 31, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 139, 10, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 75, 24, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 55, 21, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 202, 36, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1079, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 487, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 50, 19, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 110, 9, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 22, 5, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 5, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 95, 9, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 44, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 444, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 36, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1304, 113, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 161, 12, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 12, 5, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 22, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 11, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 21, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 30, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 35, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 181, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1849, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 35, 5, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 5, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 270, 59, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1575, 80, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 26, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 137, 5, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1734, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 827, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1018, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1687, 5, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 4027, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 179, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 4610, 16, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 32, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28974, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 72, 14, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28975, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 941, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28976, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 3, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28977, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 181, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28978, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1792, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28979, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 31, 86, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28980, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '', 1293, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28981, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 32, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28982, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 390, 9, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28983, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1417, 193, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28984, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 487, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28985, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 270, 59, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28986, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 15, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28987, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 91, 25, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28988, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 12, 18, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28989, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 358, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28990, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 9, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28991, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 233, 32, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28992, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1079, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28993, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 245, 45, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28994, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1849, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28995, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2855, 119, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28996, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1253, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28997, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 291, 37, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28998, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 444, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (28999, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 179, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29000, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 6428, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29001, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '', 163, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29002, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1542, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29003, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 66, 107, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29004, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 19, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29005, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1849, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29006, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 390, 9, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29007, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 72, 14, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29008, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 270, 59, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29009, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 14, 16, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29010, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 6428, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29011, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 63, 17, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29012, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 37, 14, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29013, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 35, 14, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29014, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 16, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29015, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 313, 12, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29016, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 139, 10, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29017, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 13, 17, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29018, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 233, 10, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29019, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 5, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29020, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29021, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 1734, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29022, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 827, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29023, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1253, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29024, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 358, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29025, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 110, 9, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29026, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 50, 19, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29027, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 44, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29028, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 95, 9, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29029, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 487, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29030, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 43, 12, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29031, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 179, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29032, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 3, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29033, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1542, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29034, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 181, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29035, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 55, 21, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29036, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 444, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29037, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 75, 24, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29038, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 71, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29039, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 32, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29040, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 5, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29041, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 30, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29042, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 22, 5, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29043, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 3706, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29044, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29045, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 11, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29046, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2520, 18, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29047, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 15, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29048, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 12, 5, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29049, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 190, 26, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29050, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 320, 19, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29051, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 588, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29052, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 2394, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29053, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '2E29', 163, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29054, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 4027, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29055, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 4610, 16, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29056, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1018, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29057, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1687, 5, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29058, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1575, 80, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29059, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1304, 113, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29060, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 36, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29061, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1079, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29062, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2602, 11, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29063, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2362, 13, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29064, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1291, 14, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29065, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 91, 25, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29066, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 6112, 9, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29067, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2832, 13, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29068, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1672, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29069, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 291, 37, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29070, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '1D14', 1293, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29071, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 22, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29072, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 21, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29073, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 36, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29074, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 161, 12, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29075, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 35, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29076, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 181, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29077, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 5, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29078, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 35, 5, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29079, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 4610, 16, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29080, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 4027, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29081, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1687, 5, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29082, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1139, 17, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29083, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1018, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29084, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 827, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29085, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 1151, 28, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29086, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1734, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29087, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 3, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29088, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 15, 10, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29089, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 141, 32, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29090, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 50, 19, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29091, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 110, 9, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29092, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2024, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29093, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 95, 9, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29094, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 44, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29095, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 22, 5, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29096, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2251, 18, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29097, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 5, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29098, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1624, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29099, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 30, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29100, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 11, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29101, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 9, 18, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29102, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 12, 5, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29103, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 5, 12, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29104, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29105, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 165, 31, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29106, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 165, 25, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29107, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1304, 113, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29108, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1575, 80, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29109, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 270, 59, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29110, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1849, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29111, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 129, 23, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29112, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 502, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29113, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 91, 25, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29114, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 72, 14, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29115, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 291, 37, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29116, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 15, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29117, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 390, 9, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29118, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1253, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29119, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 43, 12, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29120, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 55, 21, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29121, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 1637, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29122, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 588, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29123, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 71, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29124, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1826, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29125, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 254, 56, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29126, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 75, 24, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29127, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1291, 14, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29128, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 472, 27, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29129, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 204, 21, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29130, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2362, 13, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29131, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 590, 15, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29132, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2602, 11, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29133, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 506, 35, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29134, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1672, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29135, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2832, 13, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29136, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 752, 27, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29137, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 358, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29138, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 402, 29, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29139, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 3706, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29140, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 6112, 9, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29141, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 137, 5, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29142, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2520, 18, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29143, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 26, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29144, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 3, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29145, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 317, 31, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29146, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 202, 36, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29147, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 139, 10, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29148, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 6428, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29149, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '1D14', 1293, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29150, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 13, 17, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29151, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 37, 14, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29152, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 16, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29153, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 35, 14, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29154, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 63, 17, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29155, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 444, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29156, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 14, 16, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29157, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 487, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29158, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1079, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29159, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 32, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29160, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 179, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29161, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 3369, 10, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29162, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 374, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29163, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1382, 23, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29164, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 721, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29165, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 901, 36, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29166, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1037, 53, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29167, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 22, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29168, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1300, 28, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29169, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 935, 41, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29170, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 491, 17, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29171, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 414, 12, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29172, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 5, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29173, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1047, 38, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29174, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 665, 40, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29175, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 971, 33, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29176, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 3706, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29177, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 6112, 9, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29178, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 390, 9, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29179, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 179, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29180, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2832, 13, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29181, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2602, 11, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29182, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1672, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29183, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1291, 14, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29184, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2362, 13, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29185, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 12, 5, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29186, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29187, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 71, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29188, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 75, 24, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29189, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 55, 21, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29190, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 43, 12, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29191, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2520, 18, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29192, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 2394, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29193, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 588, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29194, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 291, 37, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29195, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1018, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29196, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 4027, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29197, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1687, 5, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29198, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 4610, 16, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29199, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 30, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29200, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 11, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29201, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 72, 14, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29202, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 14, 16, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29203, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 313, 12, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29204, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1304, 113, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29205, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 22, 5, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29206, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 233, 10, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29207, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1575, 80, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29208, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 139, 10, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29209, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 270, 59, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29210, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 5, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29211, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '1D14', 1293, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29212, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 37, 14, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29213, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 35, 14, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29214, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 63, 17, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29215, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 16, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29216, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 13, 17, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29217, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 181, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29218, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 6428, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29219, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 1734, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29220, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 827, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29221, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1849, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29222, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 487, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29223, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 3, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29224, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1253, 3, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29225, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 5, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29226, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29227, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 320, 19, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29228, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 15, 7, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29229, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 95, 9, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29230, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 44, 6, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29231, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1542, 4, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29232, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 190, 26, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29233, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 91, 25, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29234, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 36, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29235, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 444, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29236, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 32, 2, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29237, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 50, 19, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29238, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1079, 8, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29239, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 110, 9, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29240, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 358, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29241, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '2E29', 163, 1, 2023, 5, 26, '2024-08-05 13:57:32', NULL, NULL), (29242, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 307, 4, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29243, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 4827, 40, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29244, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 352, 82, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29245, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 427, 20, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29246, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 539, 55, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29247, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 348, 83, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29248, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 0, 2, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29249, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 7, 2, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29250, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 2800, 72, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29251, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 307, 4, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29252, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 511, 58, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29253, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 733, 26, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29254, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 0, 2, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29255, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29256, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 1, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29257, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 364, 29, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29258, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 14, 1, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29259, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 307, 4, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29260, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 1, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 7, 1, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 427, 20, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 364, 29, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 1, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 633, 5, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 14, 1, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 138, 15, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1137, 4, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 5162, 10, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 340, 5, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 401, 4, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 4874, 16, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 4881, 13, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1151, 7, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 21, 1, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 124, 16, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 766, 29, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 307, 4, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 114, 11, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 147, 9, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29281, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 364, 29, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29282, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 307, 4, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29283, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 763, 25, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29284, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 1, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29285, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 14, 1, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29286, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 1, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29287, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 307, 4, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29288, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 14, 1, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29289, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 401, 4, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29290, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1151, 7, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29291, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 633, 5, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29292, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1137, 4, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29293, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 340, 5, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29294, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 364, 29, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29295, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 427, 20, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29296, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 4881, 13, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29297, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 307, 4, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29298, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 14, 1, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29299, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 5162, 10, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29300, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 4874, 16, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29301, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1151, 7, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29302, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 401, 4, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29303, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1137, 4, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29304, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 340, 5, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29305, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 147, 9, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29306, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 633, 5, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29307, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 1, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29308, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 124, 16, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29309, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 766, 29, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29310, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 21, 1, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29311, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 364, 29, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29312, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 138, 15, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29313, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 7, 1, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29314, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 114, 11, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29315, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 1, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29316, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 14, 1, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29317, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 307, 4, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29318, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 633, 5, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29319, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 364, 29, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29320, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 401, 4, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29321, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1137, 4, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29322, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 340, 5, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (29323, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1151, 7, 2023, 5, 27, '2024-08-05 13:57:33', NULL, NULL), (29324, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 719, 3, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29325, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 9361, 6, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29326, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 504, 61, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29327, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 175, 13, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29328, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 451, 24, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29329, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 488, 63, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29330, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 719, 3, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29331, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 4, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29332, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 834, 70, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29333, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 1, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29334, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 417, 26, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29335, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 1, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29336, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 141, 11, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29337, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 1049, 2, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29338, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 1, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29339, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29340, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 714, 13, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29341, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 58, 1, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29342, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 3, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 175, 13, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 63, 11, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 198, 3, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 169, 5, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 240, 1, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 12583, 4, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 165, 2, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 123, 4, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 5591, 1, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 962, 24, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 719, 3, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 714, 13, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 491, 12, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 65, 2, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 25, 9, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29358, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 714, 13, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29359, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 1049, 2, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29360, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 141, 11, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29361, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 58, 1, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29362, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 65, 2, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29363, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 165, 2, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29364, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 123, 4, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29365, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 58, 1, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29366, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 198, 3, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29367, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 714, 13, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29368, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 1049, 2, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29369, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 175, 13, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29370, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 5591, 1, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29371, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 65, 2, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29372, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 240, 1, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29373, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 12583, 4, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29374, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 165, 2, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29375, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 123, 4, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29376, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 25, 9, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29377, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 198, 3, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29378, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 962, 24, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29379, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 714, 13, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29380, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 719, 3, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29381, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 169, 5, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29382, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 63, 11, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29383, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 491, 12, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29384, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 1049, 2, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29385, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 65, 2, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29386, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 58, 1, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29387, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 198, 3, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29388, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 714, 13, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29389, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 165, 2, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29390, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 123, 4, 2023, 5, 28, '2024-08-05 13:57:34', NULL, NULL), (29391, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 6, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29392, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 164, 97, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29393, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 9, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29394, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1132, 269, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29395, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1747, 21, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29396, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 2282, 202, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29397, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 409, 76, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29398, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 241, 178, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29399, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1951, 497, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29400, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 2734, 45, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29401, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 49, 80, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29402, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 348, 155, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29403, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1947, 498, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29404, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 1722, 307, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29405, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 3478, 24, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29406, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 385, 113, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29407, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 238, 180, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29408, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 162, 98, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29409, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1127, 270, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29410, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 348, 155, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29411, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29412, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 2059, 11, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29413, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 52, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29414, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29415, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29416, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 193, 13, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29417, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 162, 98, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29418, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 82, 44, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29419, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 124, 94, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29420, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 7, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29421, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 8220, 10, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29422, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 8017, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29423, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 117, 33, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29424, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 159, 8, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29425, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 103, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29426, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 0, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29427, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 9, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29428, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 494, 18, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29429, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 718, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29430, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 2, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29431, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 17, 6, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29432, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 56, 85, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29433, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 3254, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29434, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 7660, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29435, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2634, 94, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29436, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 7530, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29437, 1, '511500000000-0001', '宜宾市民中心', '贷款项目受理', '', '', '', 0, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29438, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 861, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29439, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 2303, 184, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29440, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 19, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29441, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 35, 16, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29442, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 2066, 18, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29443, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 8, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 6, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 159, 8, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2423, 19, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 20551, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 4794, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 2807, 45, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2089, 6, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 2117, 37, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2370, 7, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 2298, 37, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1275, 12, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2711, 12, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1453, 12, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 2804, 43, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 974, 7, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2628, 8, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 2339, 42, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2204, 7, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 2183, 39, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 8921, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 2481, 41, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2563, 8, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 135, 17, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 170, 14, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 263, 18, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 146, 11, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 320, 43, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 512, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 2945, 43, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 52, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 295, 21, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 7, 10, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 182, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 102, 17, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 1369, 12, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 346, 20, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 171, 26, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 2627, 39, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 718, 9, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 494, 14, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 13, 14, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 114, 27, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 128, 32, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 293, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 134, 6, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 319, 25, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 484, 12, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 319, 6, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 16, 10, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 238, 10, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 301, 31, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 153, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 36, 19, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 211, 9, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 33, 29, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 9, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 87, 24, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 121, 32, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 10, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 6, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 58, 9, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 55, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 2314, 162, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 74, 23, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 667, 7, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 40, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 1177, 25, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 6501, 8, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 861, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 52, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 51, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 1771, 14, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 45, 11, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 19, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 4, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 55, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 7530, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 69, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 89, 54, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 92, 9, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 77, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 28, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 56, 6, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 56, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 37, 6, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 126, 11, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 7660, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 8017, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 28, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 84, 43, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 3, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 170, 40, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 43, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 26, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 522, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 350, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2489, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1800, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 3039, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1985, 14, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 103, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 4339, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29548, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 159, 8, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29549, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 494, 18, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29550, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 9, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29551, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 7660, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29552, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 7, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29553, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 164, 97, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29554, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 4339, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29555, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 124, 94, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29556, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 2059, 11, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29557, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 52, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29558, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 84, 43, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29559, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 193, 13, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29560, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 121, 32, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29561, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 35, 16, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29562, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 19, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29563, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 2066, 18, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29564, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 861, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29565, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 718, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29566, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 8017, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29567, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 2303, 184, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29568, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2634, 94, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29569, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 20551, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29570, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 7530, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29571, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 6, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29572, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 103, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29573, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 56, 85, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29574, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 17, 6, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29575, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 8017, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29576, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 159, 8, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29577, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 84, 43, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29578, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 13, 14, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29579, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 6, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29580, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 718, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29581, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 346, 20, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29582, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 7, 10, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29583, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 102, 17, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29584, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 1729, 7, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29585, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 52, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29586, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 295, 21, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29587, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 667, 7, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29588, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 724, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29589, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 9483, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29590, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 3, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29591, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 28, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29592, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 522, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29593, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 350, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29594, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 45, 11, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29595, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 51, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29596, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 69, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29597, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 55, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29598, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 2059, 11, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29599, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 58, 9, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29600, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 103, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29601, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 9, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29602, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 7660, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29603, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 40, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29604, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 7530, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29605, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 74, 23, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29606, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 55, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29607, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 4339, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29608, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 4, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29609, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 37, 6, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29610, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 19, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29611, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2563, 8, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29612, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 153, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29613, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 77, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29614, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2423, 19, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29615, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29616, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 28, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29617, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 211, 9, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29618, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 1216, 23, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29619, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 5507, 6, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29620, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 2341, 155, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29621, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 8, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29622, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 6, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29623, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 3039, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29624, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1985, 14, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29625, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2489, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29626, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1800, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29627, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 170, 40, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29628, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 89, 54, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29629, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 52, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29630, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 861, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29631, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2711, 12, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29632, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2628, 8, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29633, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2204, 7, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29634, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 8921, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29635, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 121, 32, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29636, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2089, 6, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29637, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2370, 7, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29638, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 20551, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29639, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 56, 6, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29640, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 56, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29641, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 92, 9, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29642, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 126, 11, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29643, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 7660, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29644, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 3, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29645, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 28, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29646, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1985, 14, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29647, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 3039, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29648, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1800, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29649, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2489, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29650, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 2627, 39, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29651, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 350, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29652, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 2945, 43, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29653, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 522, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29654, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 171, 26, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29655, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 36, 19, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29656, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 51, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29657, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 45, 11, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29658, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 974, 7, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29659, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 55, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29660, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 69, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29661, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 19, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29662, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1275, 12, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29663, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 4, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29664, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1453, 12, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29665, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 37, 6, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29666, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29667, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 301, 31, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29668, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 16, 10, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29669, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 28, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29670, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 77, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29671, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 128, 32, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29672, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 114, 27, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29673, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 89, 54, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29674, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 170, 40, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29675, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 84, 43, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29676, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 8017, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29677, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 33, 29, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29678, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 87, 24, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29679, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 10, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29680, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 121, 32, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29681, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 159, 8, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29682, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 153, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29683, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 20551, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29684, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 211, 9, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29685, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 58, 9, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29686, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 40, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29687, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 146, 11, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29688, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 55, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29689, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 8, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29690, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 512, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29691, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 6, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29692, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 74, 23, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29693, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 320, 43, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29694, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 135, 17, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29695, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2204, 7, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29696, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 1369, 12, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29697, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2628, 8, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29698, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2711, 12, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29699, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 263, 18, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29700, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 170, 14, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29701, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2370, 7, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29702, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2089, 6, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29703, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 182, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29704, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 238, 10, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29705, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2563, 8, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29706, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 8921, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29707, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 26, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29708, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2423, 19, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29709, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 43, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29710, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 9, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29711, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 2314, 162, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29712, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 6501, 8, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29713, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 1177, 25, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29714, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 667, 7, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29715, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 6, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29716, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 295, 21, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29717, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 7, 10, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29718, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 52, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29719, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 102, 17, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29720, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 346, 20, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29721, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 7530, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29722, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 13, 14, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29723, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 52, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29724, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 1771, 14, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29725, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 861, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29726, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 4339, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29727, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 103, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29728, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 494, 14, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29729, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 319, 6, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29730, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 484, 12, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29731, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 718, 9, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29732, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 2183, 39, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29733, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 2339, 42, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29734, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 293, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29735, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 2804, 43, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29736, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 2298, 37, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29737, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 319, 25, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29738, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 2117, 37, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29739, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 134, 6, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29740, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 2807, 45, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29741, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 4794, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29742, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 2481, 41, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29743, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2563, 8, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29744, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 8921, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29745, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 103, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29746, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2089, 6, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29747, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2711, 12, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29748, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2370, 7, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (29749, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2204, 7, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29750, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2628, 8, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29751, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 28, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29752, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 77, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29753, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 55, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29754, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 74, 23, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29755, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 40, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29756, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 58, 9, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29757, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2423, 19, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29758, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 6, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29759, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 8, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29760, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 20551, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29761, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2489, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29762, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 3039, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29763, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1800, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29764, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1985, 14, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29765, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 37, 6, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29766, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29767, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 159, 8, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29768, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 1729, 7, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29769, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 13, 14, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29770, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 89, 54, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29771, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 19, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29772, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 9483, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29773, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 170, 40, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29774, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 724, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29775, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 667, 7, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29776, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 84, 43, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29777, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 4, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29778, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 7, 10, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29779, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 102, 17, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29780, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 346, 20, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29781, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 52, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29782, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 295, 21, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29783, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 7660, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29784, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 6, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29785, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 522, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29786, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 350, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29787, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 8017, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29788, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 2059, 11, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29789, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 9, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29790, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 3, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29791, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 28, 2, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29792, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 2341, 155, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29793, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 211, 9, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29794, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 55, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29795, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 69, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29796, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 153, 4, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29797, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 1216, 23, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29798, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 5507, 6, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29799, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 121, 32, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29800, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 7530, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29801, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 4339, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29802, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 51, 15, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29803, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 52, 1, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29804, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 861, 5, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29805, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 45, 11, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29806, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 718, 3, 2023, 5, 29, '2024-08-05 13:57:35', NULL, NULL), (29807, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 256, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29808, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 12, 78, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29809, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 9, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29810, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 959, 255, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29811, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 524, 21, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29812, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 517, 124, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29813, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 418, 92, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29814, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 124, 182, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29815, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1948, 447, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29816, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 2646, 40, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29817, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 112, 45, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29818, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 241, 155, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29819, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1944, 448, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29820, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 470, 242, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29821, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 2216, 31, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29822, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 586, 72, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29823, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 124, 182, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29824, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 12, 80, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29825, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 955, 256, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29826, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 239, 156, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29827, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 11064, 5, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29828, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 442, 5, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29829, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 2250, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29830, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29831, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 73, 9, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29832, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 12, 80, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29833, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 320, 52, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29834, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 162, 88, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29835, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1232, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29836, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 15, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29837, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1719, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29838, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 232, 30, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29839, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29840, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 25, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29841, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 2996, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29842, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 9, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29843, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29844, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1853, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29845, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 357, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29846, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 316, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29847, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 256, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29848, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 18, 5, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29849, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 56, 101, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29850, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 850, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29851, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 5, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29852, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2135, 88, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29853, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 441, 14, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29854, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 538, 106, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29855, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 41, 14, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29856, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 395, 18, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 2996, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 704, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 2288, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 13830, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 2, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2167, 5, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 2199, 41, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1399, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1812, 27, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2519, 16, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 2417, 31, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1530, 12, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2213, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1347, 7, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 2780, 52, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2152, 13, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1500, 17, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1170, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1805, 11, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1946, 36, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 3383, 49, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1709, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 85, 15, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 1330, 9, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 56, 14, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 46, 15, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 158, 36, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 420, 22, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 2596, 42, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 44, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 16, 16, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 11, 16, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 81, 15, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 9, 12, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 38, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 4, 16, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 141, 22, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 2580, 52, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 404, 9, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 371, 17, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 13, 14, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 61, 17, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 45, 25, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 191, 11, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 182, 13, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 641, 20, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 599, 17, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 203, 5, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 296, 21, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 18, 5, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 78, 31, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 143, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 37, 14, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 41, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 38, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 9, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 56, 14, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 232, 30, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 359, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 256, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 61, 10, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 28, 9, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 608, 82, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 514, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 45, 24, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 43, 12, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 343, 36, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 220, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 441, 14, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2250, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 45, 15, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 518, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 338, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 95, 15, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 22, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 4, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 65, 9, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 69, 7, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 183, 53, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 31, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 24, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 832, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 106, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 10, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 120, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 40, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 167, 10, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 316, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1719, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 320, 52, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 132, 35, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 10, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 534, 5, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1853, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2710, 11, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 273, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2104, 12, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 25, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 5, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 850, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29957, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 2, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29958, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1853, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29959, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 9, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29960, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1232, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29961, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 12, 78, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29962, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 2996, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29963, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 850, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29964, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 316, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29965, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 162, 88, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29966, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 442, 5, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29967, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 2250, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29968, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 320, 52, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29969, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 73, 9, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29970, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 232, 30, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29971, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 41, 14, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29972, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 395, 18, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29973, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 441, 14, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29974, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 357, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29975, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 5, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29976, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1719, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29977, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 538, 106, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29978, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2159, 87, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29979, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 13830, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29980, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 256, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29981, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 25, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29982, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 56, 101, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29983, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 18, 5, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29984, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1719, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29985, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 2996, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29986, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 2, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29987, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 320, 52, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29988, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 13, 14, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29989, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 256, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29990, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 316, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29991, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 357, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29992, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 4, 16, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29993, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 11, 16, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29994, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 9, 12, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29995, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 44, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29996, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 313, 10, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29997, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 16, 16, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29998, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 514, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (29999, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 491, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30000, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 1853, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30001, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 13830, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30002, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 95, 15, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30003, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 45, 15, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30004, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 69, 7, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30005, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 65, 9, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30006, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 518, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30007, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 328, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30008, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 61, 10, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30009, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 25, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30010, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 9, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30011, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 43, 12, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30012, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 45, 24, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30013, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 28, 9, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30014, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 850, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30015, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 4, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30016, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 40, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30017, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 5, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30018, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 22, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30019, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1709, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30020, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 31, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30021, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 143, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30022, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 10, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30023, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2167, 5, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30024, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 38, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30025, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 106, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30026, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 313, 30, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30027, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 220, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30028, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 649, 72, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30029, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 704, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30030, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 2288, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30031, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2104, 12, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30032, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2710, 11, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30033, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 273, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30034, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 132, 35, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30035, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 183, 53, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30036, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 2250, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30037, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 441, 14, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30038, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2213, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30039, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2152, 13, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30040, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1805, 11, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30041, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 232, 30, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30042, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1399, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30043, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2519, 16, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30044, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 832, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30045, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 120, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30046, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 24, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30047, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 167, 10, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30048, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 316, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30049, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2104, 12, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30050, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 273, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30051, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2710, 11, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30052, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 2580, 52, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30053, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 2596, 42, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30054, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1853, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30055, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 141, 22, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30056, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 37, 14, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30057, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 45, 15, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30058, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 95, 15, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30059, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1170, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30060, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 65, 9, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30061, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 69, 7, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30062, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 22, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30063, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1530, 12, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30064, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 4, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30065, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1347, 7, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30066, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 40, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30067, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 10, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30068, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 78, 31, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30069, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 18, 5, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30070, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 106, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30071, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 31, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30072, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 45, 25, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30073, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 61, 17, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30074, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 183, 53, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30075, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 132, 35, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30076, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 320, 52, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30077, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1719, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30078, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 41, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30079, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 56, 14, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30080, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 359, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30081, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 2, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30082, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 232, 30, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30083, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 143, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30084, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 38, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30085, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 13830, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30086, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 61, 10, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30087, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 2996, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30088, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 43, 12, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30089, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 46, 15, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30090, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 704, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30091, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 420, 22, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30092, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 28, 9, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30093, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 2288, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30094, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 158, 36, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30095, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 45, 24, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30096, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 85, 15, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30097, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1805, 11, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30098, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 38, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30099, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2152, 13, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30100, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2213, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30101, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 56, 14, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30102, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 1330, 9, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30103, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2519, 16, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30104, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1399, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30105, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 81, 15, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30106, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 296, 21, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30107, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1709, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30108, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 534, 5, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30109, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2167, 5, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30110, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 10, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30111, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 9, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30112, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 608, 82, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30113, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 220, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30114, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 343, 36, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30115, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 514, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30116, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 256, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30117, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 16, 16, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30118, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 11, 16, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30119, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 44, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30120, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 9, 12, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30121, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 4, 16, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30122, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 13, 14, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30123, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2250, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30124, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 518, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30125, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 441, 14, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30126, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 338, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30127, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 5, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30128, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 850, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30129, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 25, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30130, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 371, 17, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30131, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 203, 5, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30132, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 599, 17, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30133, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 404, 9, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30134, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1946, 36, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30135, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1500, 17, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30136, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 191, 11, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30137, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 2780, 52, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30138, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 2417, 31, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30139, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1812, 27, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30140, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 641, 20, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30141, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 182, 13, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30142, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 2199, 41, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30143, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 3383, 49, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30144, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1709, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30145, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1399, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30146, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 25, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30147, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2213, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30148, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2519, 16, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30149, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 2996, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30150, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1805, 11, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30151, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2152, 13, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30152, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 106, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30153, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 31, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30154, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 28, 9, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30155, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 45, 24, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30156, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 43, 12, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30157, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 61, 10, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30158, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 316, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30159, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2167, 5, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30160, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 2288, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30161, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 704, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (30162, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2710, 11, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30163, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 273, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30164, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2104, 12, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30165, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 40, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30166, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 10, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30167, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 2, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30168, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 13, 14, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30169, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 313, 10, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30170, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 183, 53, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30171, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 22, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30172, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 132, 35, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30173, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 491, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30174, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 320, 52, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30175, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 514, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30176, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 4, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30177, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 11, 16, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30178, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 9, 12, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30179, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 4, 16, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30180, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 44, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30181, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 16, 16, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30182, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 256, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30183, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 1853, 8, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30184, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1719, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30185, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 518, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30186, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 9, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30187, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 328, 2, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30188, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 13830, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30189, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 5, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30190, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 649, 72, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30191, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 38, 6, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30192, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 65, 9, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30193, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 69, 7, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30194, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 143, 3, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30195, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 313, 30, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30196, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 220, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30197, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 232, 30, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30198, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 850, 4, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30199, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 45, 15, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30200, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 2250, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30201, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 441, 14, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30202, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 95, 15, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30203, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 357, 1, 2023, 5, 30, '2024-08-05 13:57:36', NULL, NULL), (30204, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 82, 65, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30205, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 432, 13, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30206, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 481, 143, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30207, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 17, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30208, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 739, 65, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30209, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 901, 143, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30210, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 2606, 36, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30211, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 2610, 361, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30212, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 142, 111, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30213, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 119, 37, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30214, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 823, 203, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30215, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 2596, 363, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30216, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 526, 233, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30217, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 3048, 29, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30218, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 179, 55, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30219, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 901, 143, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30220, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 80, 66, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30221, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 823, 203, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30222, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 140, 113, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30223, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1467, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30224, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 1764, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30225, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 5, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30226, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 68, 7, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30227, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 80, 66, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30228, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 190, 32, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30229, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 399, 72, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30230, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 2014, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30231, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 11, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30232, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 357, 6, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30233, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 98, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30234, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 96, 19, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30235, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 8066, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30236, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 12, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30237, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 3256, 8, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30238, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 22, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30239, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 17, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30240, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30241, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 346, 6, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30242, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 409, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30243, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 4, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30244, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 26169, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30245, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 82, 77, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30246, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1171, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30247, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 47, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30248, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1641, 78, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30249, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 65, 7, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30250, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 531, 109, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30251, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 4, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30252, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 11, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30253, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 321, 34, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30254, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 48, 11, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 108, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 22, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 3, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 39, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 17, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 47, 11, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 96, 19, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 4, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 22, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1554, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1467, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 96, 5, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 32, 6, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 485, 31, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 323, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 8066, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 82, 21, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 556, 64, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 78, 16, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1531, 11, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 392, 39, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 2930, 26, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 65, 7, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 3552, 43, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2670, 12, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 2204, 34, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1417, 8, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 265, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 4248, 32, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 192, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1657, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 280, 6, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 234, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 451, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1195, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 66, 5, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 3493, 38, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1326, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 2454, 46, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 26169, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 85, 8, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 104, 16, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 3198, 39, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2293, 7, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 45, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 92, 13, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 351, 41, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 40, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 1221, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 111, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 136, 7, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 12, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 164, 5, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 619, 5, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 174, 8, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 139, 29, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 33, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 141, 13, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 4521, 27, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 61, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 27, 11, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 357, 6, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 4, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 33, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 94, 7, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 12, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 24, 12, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 190, 32, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 105, 14, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 63, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 9, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 463, 31, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1106, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 9, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 360, 5, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 274, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 512, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 474, 13, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1479, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1099, 17, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 289, 13, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 3256, 8, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 60, 19, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1171, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 35, 16, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1044, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 96, 6, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 494, 19, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1374, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 2346, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 170, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 110, 14, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 220, 34, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30350, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 8066, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30351, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 346, 6, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30352, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 17, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30353, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 47, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30354, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 82, 65, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30355, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 2014, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30356, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1171, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30357, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 22, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30358, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 4, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30359, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 399, 72, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30360, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 1764, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30361, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 190, 32, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30362, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 68, 7, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30363, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 96, 19, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30364, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 11, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30365, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 4, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30366, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 321, 34, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30367, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 12, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30368, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 65, 7, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30369, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 409, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30370, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 531, 109, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30371, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 357, 6, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30372, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1641, 78, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30373, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1467, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30374, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 3256, 8, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30375, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 98, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30376, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 82, 77, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30377, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 26169, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30378, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 357, 6, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30379, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 22, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30380, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 8066, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30381, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 190, 32, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30382, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 289, 13, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30383, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 4, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30384, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 192, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30385, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 626, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30386, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 9, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30387, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 33, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30388, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 24, 12, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30389, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 447, 6, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30390, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 61, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30391, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 323, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30392, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 27, 11, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30393, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 290, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30394, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 273, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30395, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 4, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30396, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 360, 5, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30397, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 274, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30398, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1467, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30399, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 66, 5, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30400, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 104, 16, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30401, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 85, 8, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30402, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 1764, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30403, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 96, 5, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30404, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 3256, 8, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30405, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 17, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30406, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 98, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30407, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 47, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30408, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 78, 16, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30409, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 82, 21, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30410, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 32, 6, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30411, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1171, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30412, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 26169, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30413, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2293, 7, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30414, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 40, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30415, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 108, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30416, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30417, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1531, 11, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30418, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 12, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30419, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 39, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30420, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 600, 55, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30421, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 433, 29, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30422, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 494, 25, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30423, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 22, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30424, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 3011, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30425, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1099, 17, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30426, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E28', 12, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30427, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1479, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30428, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 463, 31, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30429, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 351, 41, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30430, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 65, 7, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30431, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1657, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30432, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 234, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30433, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1326, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30434, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 96, 19, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30435, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2670, 12, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30436, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1417, 8, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30437, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 164, 5, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30438, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 1221, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30439, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 174, 8, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30440, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 17, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30441, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 33, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30442, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 12, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30443, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 4, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30444, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1099, 17, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30445, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1479, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30446, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 274, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30447, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 4521, 27, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30448, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 360, 5, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30449, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 485, 31, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30450, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 45, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30451, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 63, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30452, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 392, 39, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30453, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 556, 64, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30454, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 323, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30455, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 48, 11, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30456, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 66, 5, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30457, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 451, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30458, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 85, 8, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30459, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 104, 16, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30460, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 26169, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30461, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 265, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30462, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 280, 6, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30463, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30464, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 220, 34, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30465, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 170, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30466, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 12, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30467, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 40, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30468, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 35, 16, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30469, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 60, 19, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30470, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 351, 41, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30471, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 463, 31, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30472, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 190, 32, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30473, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 357, 6, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30474, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 3, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30475, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 47, 11, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30476, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 4, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30477, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 8066, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30478, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 27, 11, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30479, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 96, 19, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30480, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 33, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30481, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 108, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30482, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 61, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30483, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 39, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30484, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 24, 12, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30485, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 9, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30486, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1467, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30487, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 96, 5, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30488, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 22, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30489, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 78, 16, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30490, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 619, 5, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30491, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 141, 13, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30492, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 32, 6, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30493, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 22, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30494, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1554, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30495, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 139, 29, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30496, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 82, 21, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30497, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 92, 13, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30498, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1326, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30499, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 234, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30500, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 105, 14, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30501, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1657, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30502, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 136, 7, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30503, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 111, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30504, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1417, 8, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30505, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2670, 12, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30506, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 94, 7, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30507, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 289, 13, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30508, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 192, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30509, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 65, 7, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30510, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1195, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30511, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1171, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30512, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 3256, 8, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30513, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 110, 14, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30514, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2293, 7, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30515, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 474, 13, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30516, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 9, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30517, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 2346, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30518, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1374, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30519, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 512, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30520, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 2454, 46, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30521, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 3493, 38, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30522, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1044, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30523, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1531, 11, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30524, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 4248, 32, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30525, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 494, 19, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30526, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 2204, 34, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30527, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1106, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30528, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 96, 6, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30529, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 3552, 43, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30530, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 2930, 26, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30531, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 3198, 39, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30532, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2293, 7, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30533, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2670, 12, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30534, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 3256, 8, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30535, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1657, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30536, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1417, 8, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30537, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 22, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30538, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1326, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30539, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 234, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30540, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 12, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30541, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 40, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30542, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 32, 6, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30543, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 82, 21, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30544, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 78, 16, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30545, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 96, 5, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30546, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 4, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30547, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1531, 11, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30548, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 3011, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30549, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 22, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30550, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1479, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30551, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1099, 17, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30552, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30553, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 8066, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30554, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 447, 6, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30555, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 289, 13, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30556, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 351, 41, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30557, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 26169, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30558, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 273, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30559, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 463, 31, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30560, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 290, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30561, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 323, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30562, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 190, 32, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30563, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 33, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30564, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 24, 12, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30565, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 9, 10, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30566, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 61, 9, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30567, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 27, 11, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30568, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 47, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30569, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 360, 5, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30570, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 274, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30571, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 357, 6, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30572, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 17, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (30573, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 1764, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30574, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1467, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30575, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 4, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30576, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 494, 25, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30577, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 39, 4, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30578, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 85, 8, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30579, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 104, 16, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30580, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 98, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30581, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 600, 55, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30582, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 108, 3, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30583, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 433, 29, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30584, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 96, 19, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30585, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1171, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30586, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 65, 7, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30587, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 66, 5, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30588, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 626, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30589, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 192, 2, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30590, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E28', 12, 1, 2023, 5, 31, '2024-08-05 13:57:37', NULL, NULL), (30591, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 1782, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30592, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 133, 80, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30593, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 8, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30594, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 975, 280, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30595, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 556, 11, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30596, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 10379, 45, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30597, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 765, 43, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30598, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 210, 188, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30599, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1297, 99, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30600, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 173, 268, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30601, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 194, 140, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30602, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 389, 84, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30603, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 171, 271, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30604, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 4808, 106, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30605, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1192, 82, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30606, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 609, 104, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30607, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 210, 188, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30608, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 133, 80, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30609, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 975, 280, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30610, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 194, 140, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30611, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 185, 3, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30612, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30613, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30614, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 128, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30615, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 109, 33, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30616, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 133, 80, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30617, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 304, 96, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30618, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1359, 56, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30619, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1028, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30620, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 595, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30621, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 116, 28, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30622, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 863, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30623, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 10, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30624, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 563, 9, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30625, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 983, 15, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30626, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 8, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30627, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 708, 16, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30628, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 1782, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30629, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 73, 8, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30630, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 81, 89, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30631, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 655, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30632, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2016, 110, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30633, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 556, 11, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30634, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 10716, 33, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30635, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 14, 13, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30636, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 123, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30637, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 9451, 12, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 638, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 1672, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 7, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1184, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 556, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 863, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1370, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 1359, 56, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 125, 26, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2163, 17, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 34, 17, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 643, 22, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2599, 12, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1048, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2134, 14, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2632, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 48, 31, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 79, 17, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1999, 15, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1260, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1744, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 81, 27, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1019, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 94, 25, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 3245, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 187, 15, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 116, 14, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 81, 13, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 147, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 98, 19, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 161, 21, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 89, 8, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 79, 16, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 108, 12, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 17, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 265, 16, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 30, 13, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 267, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 218, 16, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 41, 14, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 281, 22, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 17, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 149, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 308, 13, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 389, 19, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 214, 29, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 582, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 1601, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 729, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1116, 17, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 78, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 8, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 365, 22, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 10, 9, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 280, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 284, 3, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 97, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 367, 34, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 8, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 482, 36, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 116, 28, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 188, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 1782, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 80, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 1029, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 8887, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 104, 23, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 122, 13, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 11398, 33, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 556, 11, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 75, 18, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 31, 8, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 83, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 51, 8, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 49, 9, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 345, 64, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 740, 19, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 13, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 63, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 17, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 82, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 320, 11, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 6, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1028, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 122, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 109, 33, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 16, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 222, 32, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 94, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 243, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 748, 15, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 122, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 705, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1223, 9, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 563, 9, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1910, 20, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 655, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30736, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 863, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30737, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 708, 16, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30738, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 8, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30739, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 133, 80, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30740, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 983, 15, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30741, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 655, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30742, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 304, 96, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30743, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 109, 33, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30744, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 128, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30745, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 116, 28, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30746, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 14, 13, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30747, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 123, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30748, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 9451, 12, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30749, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 556, 11, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30750, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 10, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30751, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1028, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30752, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 10716, 33, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30753, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2016, 110, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30754, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 556, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30755, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1359, 56, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30756, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 563, 9, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30757, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 1782, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30758, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 595, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30759, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 81, 89, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30760, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 73, 8, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30761, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1028, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30762, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 638, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30763, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 1672, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30764, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 863, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30765, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 109, 33, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30766, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 308, 13, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30767, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 1782, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30768, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 218, 16, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30769, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 17, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30770, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 30, 13, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30771, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 79, 16, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30772, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 8887, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30773, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 108, 12, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30774, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 12272, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30775, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 16, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30776, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 159, 3, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30777, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 748, 15, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30778, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 122, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30779, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 556, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30780, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 31, 8, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30781, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 75, 18, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30782, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 49, 9, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30783, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 51, 8, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30784, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 80, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30785, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 563, 9, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30786, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 8, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30787, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 7, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30788, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1184, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30789, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 122, 13, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30790, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 104, 23, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30791, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 655, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30792, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 83, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30793, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E29', 10, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30794, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 3245, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30795, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 280, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30796, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30797, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 17, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30798, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1370, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30799, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 13, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30800, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 97, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30801, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 11341, 31, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30802, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 1029, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30803, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 6, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30804, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2198, 17, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30805, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 705, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30806, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1336, 8, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30807, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 222, 32, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30808, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 345, 64, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30809, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 556, 11, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30810, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2134, 14, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30811, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2070, 14, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30812, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2018, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30813, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1190, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30814, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 116, 28, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30815, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2265, 16, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30816, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2599, 12, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30817, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 1359, 56, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30818, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 63, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30819, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 82, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30820, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 740, 19, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30821, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 6, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30822, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 320, 11, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30823, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 16, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30824, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 122, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30825, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1910, 20, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30826, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1223, 9, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30827, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 281, 22, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30828, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 705, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30829, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 122, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30830, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 89, 8, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30831, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 748, 15, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30832, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 41, 14, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30833, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 284, 3, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30834, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 75, 18, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30835, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 31, 8, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30836, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1260, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30837, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 51, 8, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30838, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 49, 9, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30839, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1048, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30840, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 83, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30841, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2632, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30842, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 17, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30843, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 10, 9, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30844, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 13, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30845, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 8, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30846, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30847, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 214, 29, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30848, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 345, 64, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30849, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 389, 19, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30850, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 222, 32, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30851, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 109, 33, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30852, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1028, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30853, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 367, 34, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30854, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 482, 36, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30855, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 188, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30856, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 863, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30857, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 116, 28, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30858, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 280, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30859, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 1359, 56, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30860, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 97, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30861, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 638, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30862, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 556, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30863, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 80, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30864, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 1672, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30865, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 122, 13, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30866, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 147, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30867, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 7, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30868, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 161, 21, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30869, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1184, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30870, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 104, 23, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30871, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 98, 19, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30872, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 187, 15, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30873, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1744, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30874, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 267, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30875, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1999, 15, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30876, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 81, 13, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30877, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2134, 14, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30878, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 116, 14, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30879, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2599, 12, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30880, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2163, 17, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30881, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 265, 16, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30882, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 365, 22, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30883, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 3245, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30884, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1019, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30885, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 243, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30886, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1370, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30887, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 94, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30888, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 8, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30889, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 1029, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30890, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 11398, 33, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30891, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 8887, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30892, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 1782, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30893, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 108, 12, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30894, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 17, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30895, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 79, 16, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30896, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 30, 13, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30897, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 218, 16, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30898, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 308, 13, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30899, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 556, 11, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30900, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 655, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30901, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 563, 9, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30902, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 149, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30903, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 78, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30904, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1116, 17, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30905, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 17, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30906, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 81, 27, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30907, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 79, 17, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30908, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 582, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30909, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 48, 31, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30910, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 643, 22, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30911, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 729, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30912, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 34, 17, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30913, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 1601, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30914, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 125, 26, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30915, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 94, 25, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30916, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 3245, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30917, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1190, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30918, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 638, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30919, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 563, 9, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30920, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2265, 16, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30921, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2134, 14, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30922, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2599, 12, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30923, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 1672, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30924, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2018, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30925, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2070, 14, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30926, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 13, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30927, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30928, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 104, 23, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30929, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 122, 13, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30930, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 80, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30931, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1370, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30932, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 1359, 56, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30933, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 705, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30934, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1336, 8, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30935, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2198, 17, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30936, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 17, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30937, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 863, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30938, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 6, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30939, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 308, 13, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30940, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 345, 64, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30941, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 222, 32, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30942, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 12272, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30943, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 8887, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30944, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 109, 33, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30945, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 83, 7, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30946, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 17, 10, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30947, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 30, 13, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30948, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 218, 16, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30949, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 79, 16, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30950, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 108, 12, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30951, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 1782, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30952, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 748, 15, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30953, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 122, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30954, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1028, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30955, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 8, 4, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30956, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 556, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30957, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 16, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30958, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 159, 3, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30959, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 1029, 2, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30960, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 97, 5, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30961, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 51, 8, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30962, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 49, 9, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30963, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1184, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30964, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 280, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30965, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 7, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30966, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 11341, 31, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30967, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 116, 28, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30968, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 655, 6, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30969, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 75, 18, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30970, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 31, 8, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30971, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 556, 11, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30972, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E29', 10, 1, 2023, 6, 1, '2024-08-05 13:57:38', NULL, NULL), (30973, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 777, 112, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30974, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 2460, 13, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30975, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 239, 90, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30976, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 2974, 59, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30977, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 258, 237, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30978, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 189, 362, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30979, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 726, 106, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30980, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 150, 74, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30981, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 1036, 159, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30982, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1660, 317, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30983, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 189, 363, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30984, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 1355, 169, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30985, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 428, 83, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30986, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 530, 99, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30987, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 255, 240, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30988, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 777, 112, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30989, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1660, 317, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30990, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 1029, 160, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30991, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 4825, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (30992, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 1061, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30993, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 7761, 3, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30994, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 31, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30995, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 185, 37, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30996, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 777, 112, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30997, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 195, 98, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30998, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1706, 6, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (30999, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 261, 50, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31000, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31001, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 842, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31002, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 201, 41, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31003, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 185, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31004, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1560, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31005, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 325, 19, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31006, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 987, 19, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31007, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 39, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31008, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31009, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 24, 10, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31010, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 105, 111, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31011, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 553, 8, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31012, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 1205, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31013, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 10, 5, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31014, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 3332, 142, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31015, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 849, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31016, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 224, 69, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31017, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 23, 5, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31018, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 23, 11, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31019, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 288, 21, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31020, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 2, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 325, 19, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 749, 2, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 2912, 3, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 4825, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 185, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2040, 16, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 261, 50, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 235, 33, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 281, 20, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2407, 14, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2596, 21, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 882, 18, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1770, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2621, 10, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 193, 42, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1630, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1803, 6, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 100, 28, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 10335, 19, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 236, 39, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1303, 8, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2153, 6, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 40, 22, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 40, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 68, 17, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 146, 17, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 26, 6, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 303, 31, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 350, 24, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 183, 23, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 850, 49, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 4, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 56, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 88, 16, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 7768, 18, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 60, 21, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 161, 33, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 426, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 1552, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 957, 46, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 88, 26, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 101, 35, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 162, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 399, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 419, 17, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 7998, 19, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 371, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 125, 5, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 114, 16, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 59, 17, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 48, 2, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 336, 19, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 81, 24, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 26, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 136, 18, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 207, 40, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 7, 8, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 61, 11, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 211, 26, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 94, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 69, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 154, 20, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 233, 31, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 267, 33, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 849, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 7761, 3, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 107, 16, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1061, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 145, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 46, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 9, 6, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 106, 8, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 63, 11, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 75, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 208, 53, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 15, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 40, 13, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 89, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 23, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 33, 3, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 724, 14, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 1585, 8, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 15, 6, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 842, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 12, 3, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 185, 37, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 2, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 180, 45, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 12, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 202, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 911, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1275, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1723, 10, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1578, 5, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2184, 5, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2405, 34, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1205, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 553, 8, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31119, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 185, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31120, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 987, 19, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31121, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 10, 5, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31122, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 2047, 5, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31123, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 777, 112, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31124, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 325, 19, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31125, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 553, 8, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31126, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 39, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31127, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 195, 98, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31128, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 1061, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31129, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 185, 37, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31130, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 31, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31131, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 207, 40, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31132, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 23, 11, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31133, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 23, 5, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31134, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 288, 21, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31135, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 849, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31136, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 1205, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31137, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 224, 69, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31138, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 842, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31139, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 3332, 142, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31140, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 4825, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31141, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 261, 50, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31142, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2184, 5, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31143, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 105, 111, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31144, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 24, 10, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31145, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 7761, 3, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31146, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 7761, 3, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31147, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 842, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31148, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 325, 19, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31149, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 185, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31150, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 185, 37, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31151, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 957, 46, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31152, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 39, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31153, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 88, 16, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31154, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 4, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31155, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 196, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31156, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 850, 49, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31157, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 295, 10, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31158, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 331, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31159, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 2, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31160, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 12, 3, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31161, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 911, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31162, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 1275, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31163, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 4825, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31164, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 145, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31165, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 107, 16, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31166, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 63, 11, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31167, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 106, 8, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31168, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 1061, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31169, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 61, 11, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31170, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2184, 5, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31171, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 10, 5, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31172, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 154, 20, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31173, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 69, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31174, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 94, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31175, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 553, 8, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31176, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 9, 6, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31177, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 1205, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31178, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 46, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31179, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 15, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31180, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 48, 2, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31181, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 33, 3, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31182, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2040, 16, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31183, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 26, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31184, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 23, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31185, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 203, 21, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31186, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 249, 26, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31187, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 213, 22, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31188, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 749, 2, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31189, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 2912, 3, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31190, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2405, 34, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31191, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1863, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31192, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1578, 5, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31193, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 180, 45, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31194, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 208, 53, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31195, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 75, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31196, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 849, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31197, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2621, 10, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31198, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 10335, 19, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31199, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1303, 8, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31200, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2153, 6, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31201, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 207, 40, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31202, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2407, 14, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31203, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2596, 21, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31204, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 261, 50, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31205, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 89, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31206, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 724, 14, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31207, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 75, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31208, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 40, 13, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31209, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 1585, 8, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31210, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 15, 6, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31211, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 2, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31212, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 12, 3, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31213, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2405, 34, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31214, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1578, 5, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31215, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1723, 10, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31216, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 161, 33, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31217, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1275, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31218, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 183, 23, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31219, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 911, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31220, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 60, 21, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31221, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 336, 19, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31222, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 107, 16, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31223, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 145, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31224, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1803, 6, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31225, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 106, 8, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31226, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 63, 11, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31227, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 46, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31228, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1770, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31229, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 9, 6, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31230, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1630, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31231, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 33, 3, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31232, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 59, 17, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31233, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 125, 5, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31234, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 23, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31235, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 15, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31236, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 101, 35, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31237, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 88, 26, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31238, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 208, 53, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31239, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 180, 45, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31240, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 185, 37, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31241, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 842, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31242, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 81, 24, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31243, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 136, 18, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31244, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 7, 8, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31245, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 185, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31246, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 207, 40, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31247, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 48, 2, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31248, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 261, 50, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31249, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 26, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31250, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 325, 19, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31251, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 4825, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31252, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 61, 11, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31253, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 154, 20, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31254, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 26, 6, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31255, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 749, 2, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31256, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 350, 24, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31257, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 94, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31258, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 2912, 3, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31259, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 303, 31, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31260, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 69, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31261, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 40, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31262, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1303, 8, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31263, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 7768, 18, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31264, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 10335, 19, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31265, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2621, 10, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31266, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 146, 17, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31267, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 68, 17, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31268, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2596, 21, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31269, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2407, 14, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31270, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 56, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31271, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 114, 16, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31272, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2153, 6, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31273, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 202, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31274, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2040, 16, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31275, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 12, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31276, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 211, 26, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31277, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 267, 33, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31278, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 233, 31, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31279, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 850, 49, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31280, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 4, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31281, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 88, 16, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31282, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 957, 46, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31283, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 849, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31284, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 7761, 3, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31285, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1061, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31286, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1205, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31287, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 553, 8, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31288, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2184, 5, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31289, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 1552, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31290, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 371, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31291, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 7998, 19, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31292, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 426, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31293, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 236, 39, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31294, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 100, 28, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31295, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 162, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31296, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 193, 42, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31297, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 882, 18, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31298, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 281, 20, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31299, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 419, 17, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31300, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 399, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31301, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 235, 33, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31302, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 40, 22, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31303, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2153, 6, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31304, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 325, 19, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31305, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2184, 5, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31306, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2407, 14, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31307, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2621, 10, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31308, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2596, 21, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31309, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1303, 8, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31310, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 10335, 19, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31311, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 23, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31312, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 15, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31313, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 94, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31314, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 69, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31315, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 154, 20, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31316, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 61, 11, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31317, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 39, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31318, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2040, 16, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31319, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 2912, 3, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31320, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 749, 2, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31321, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 261, 50, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31322, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1863, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31323, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1578, 5, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31324, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2405, 34, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31325, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 33, 3, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31326, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 185, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31327, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 196, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31328, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 957, 46, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31329, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 208, 53, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31330, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 46, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31331, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 331, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31332, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 180, 45, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31333, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 295, 10, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31334, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 185, 37, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31335, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 9, 6, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31336, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 4, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31337, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 88, 16, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31338, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 850, 49, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31339, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 10, 5, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31340, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 911, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31341, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 1275, 4, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31342, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 842, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31343, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 4825, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31344, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 1061, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31345, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 2, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31346, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 12, 3, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31347, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 1205, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31348, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 213, 22, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31349, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 26, 7, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31350, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 106, 8, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31351, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 63, 11, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31352, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 48, 2, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31353, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 203, 21, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31354, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 249, 26, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31355, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 207, 40, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31356, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 75, 1, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31357, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 553, 8, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31358, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 7761, 3, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31359, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 107, 16, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31360, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 849, 9, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31361, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 145, 15, 2023, 6, 2, '2024-08-05 13:57:39', NULL, NULL), (31362, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 947, 2, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31363, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 1026, 24, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31364, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 418, 75, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31365, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 907, 30, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31366, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 864, 25, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31367, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 418, 75, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31368, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 631, 3, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31369, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 864, 25, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31370, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 984, 25, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31371, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 1, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31372, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 907, 30, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31373, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2009, 12, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31374, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 195, 4, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31375, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 631, 3, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31376, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 1, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31377, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 1, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31378, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 183, 17, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31379, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1933, 3, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31380, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 1487, 11, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 864, 25, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 186, 13, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 280, 6, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 195, 4, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 726, 4, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 286, 5, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 669, 24, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1535, 5, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 109, 9, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 1455, 1, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 1487, 11, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 1933, 3, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 440, 1, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 6592, 3, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 255, 2, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 183, 17, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 64, 9, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 244, 13, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31400, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 183, 17, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31401, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 947, 2, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31402, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 195, 4, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31403, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 1487, 11, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31404, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2009, 12, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31405, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1933, 3, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31406, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 1, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31407, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 1933, 3, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31408, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 286, 5, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31409, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 195, 4, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (31410, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 726, 4, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31411, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31412, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 183, 17, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31413, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 6592, 3, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31414, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 440, 1, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31415, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 1455, 1, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31416, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 1487, 11, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31417, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 195, 4, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31418, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 864, 25, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31419, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 280, 6, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31420, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 1487, 11, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31421, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 1933, 3, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31422, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 286, 5, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31423, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31424, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 244, 13, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31425, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 726, 4, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31426, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 64, 9, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31427, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1535, 5, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31428, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 109, 9, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31429, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 669, 24, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31430, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 183, 17, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31431, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 1455, 1, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31432, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 6592, 3, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31433, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 186, 13, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31434, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 255, 2, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31435, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 440, 1, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31436, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 1455, 1, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31437, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 1487, 11, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31438, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 440, 1, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31439, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 195, 4, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31440, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 726, 4, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31441, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 183, 17, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31442, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 286, 5, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31443, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 1933, 3, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31444, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 6592, 3, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31445, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2023, 6, 3, '2024-08-05 13:57:40', NULL, NULL), (31446, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 8, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31447, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 40, 7, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31448, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 679, 67, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31449, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 242, 23, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31450, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 50, 15, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31451, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 659, 69, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31452, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 2, 3, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31453, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 242, 23, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31454, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 40, 7, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31455, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 2, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31456, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 44, 17, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31457, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 87, 4, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31458, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 24, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31459, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 2, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31460, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31461, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 29, 10, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31462, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 22, 3, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 10, 7, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 29, 10, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 24, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 22, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 64, 3, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 169, 7, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 253, 22, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 87, 2, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 3, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 41, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 220, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1125, 36, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 8, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 22, 3, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 803, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 13, 8, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 351, 8, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31480, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 29, 10, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31481, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 24, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31482, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 22, 3, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31483, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 87, 4, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31484, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 41, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 220, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31486, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 24, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31487, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 22, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31488, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 66, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31489, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 29, 10, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31490, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 22, 3, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31491, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 24, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31492, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 64, 3, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31493, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 22, 3, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31494, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 220, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31495, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 41, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31496, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 87, 2, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31497, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 351, 8, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31498, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 22, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31499, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 13, 8, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31500, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1125, 36, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31501, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 29, 10, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31502, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 8, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31503, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 169, 7, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31504, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 10, 7, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31505, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 803, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31506, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 253, 22, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31507, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 3, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31508, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 22, 3, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31509, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 24, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31510, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 22, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31511, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 29, 10, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31512, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 41, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31513, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 66, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31514, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 220, 1, 2023, 6, 4, '2024-08-05 13:57:41', NULL, NULL), (31515, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 224, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31516, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 112, 126, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31517, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 7, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31518, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 924, 266, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31519, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 824, 12, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31520, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 643, 140, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31521, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 657, 102, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31522, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 838, 289, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31523, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 2387, 480, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31524, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 625, 115, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31525, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 4, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31526, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 129, 177, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31527, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 240, 107, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31528, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 2377, 482, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31529, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 649, 258, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31530, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 456, 100, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31531, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 423, 123, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31532, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 830, 292, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31533, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 924, 266, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31534, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 112, 126, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31535, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 129, 177, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31536, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 629, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31537, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 777, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31538, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 28, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31539, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 202, 17, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31540, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 454, 58, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31541, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 112, 126, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31542, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1391, 106, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31543, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1381, 6, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31544, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 404, 61, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31545, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 778, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31546, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 856, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31547, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 141, 40, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31548, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 129, 7, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31549, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 3947, 13, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31550, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 409, 21, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31551, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 7, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31552, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 210, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31553, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '', 35, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31554, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 1845, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31555, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 224, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31556, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 20, 10, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31557, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 101, 151, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31558, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 456, 6, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31559, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 2, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31560, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 37, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31561, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 810, 85, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31562, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 1449, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31563, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 403, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31564, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 656, 112, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31565, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 11, 10, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31566, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 30101, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31567, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 593, 28, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31568, 1, '511500000000-0001', '宜宾市民中心', '驾驶证补证换证', '', '', '', 0, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31569, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 4, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 409, 21, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1197, 9, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 114, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 629, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 129, 7, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 771, 10, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 404, 61, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 3180, 35, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 2074, 30, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 324, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 3679, 35, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 671, 9, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 2530, 39, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1350, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 806, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 4103, 47, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1448, 6, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2715, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1067, 10, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 2508, 51, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1024, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 4198, 57, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 637, 7, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 36, 23, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 68, 17, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 196, 16, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 78, 10, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 239, 30, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 131, 24, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 2042, 34, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 23, 19, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 204, 23, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 98, 19, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 127, 22, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 98, 20, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 177, 14, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 116, 27, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 723, 56, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 2245, 26, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 9, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 358, 23, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 114, 18, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 255, 33, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 237, 33, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 660, 7, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 583, 9, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 584, 26, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 831, 31, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 2667, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 69, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 64, 21, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 27, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 123, 29, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 319, 31, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 240, 14, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 7, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 140, 32, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 141, 40, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 4, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 650, 11, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 224, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 85, 21, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 68, 13, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 589, 74, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 79, 39, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 83, 30, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 704, 66, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 403, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 28, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 50, 14, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1133, 6, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 257, 15, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 22, 7, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 19, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 152, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 1449, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 130, 16, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1376, 55, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 8, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 552, 12, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 105, 13, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 18, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 269, 9, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 18, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 320, 8, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 37, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 4, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 778, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 4, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 454, 58, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 50166, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1407, 51, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 161, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 210, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 969, 8, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1345, 8, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 578, 19, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 3947, 13, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 5, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 547, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31671, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 129, 7, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31672, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 210, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31673, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 7, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31674, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 37, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31675, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1381, 6, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31676, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 112, 126, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31677, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 409, 21, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31678, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 547, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31679, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1391, 106, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31680, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 777, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31681, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 28, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31682, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 454, 58, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31683, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 202, 17, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31684, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 141, 40, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31685, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 11, 10, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31686, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 4, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31687, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 30101, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31688, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 593, 28, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31689, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 403, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31690, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 1845, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31691, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 5, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31692, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 778, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31693, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 656, 112, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31694, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 810, 85, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31695, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 629, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31696, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 404, 61, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31697, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 1449, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31698, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 224, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31699, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 3947, 13, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31700, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '', 35, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31701, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 856, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31702, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 101, 151, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31703, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 20, 10, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31704, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 778, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31705, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 409, 21, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31706, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 129, 7, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31707, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 454, 58, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31708, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 114, 18, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31709, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 224, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31710, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 1845, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31711, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 116, 27, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31712, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 98, 19, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31713, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 98, 20, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31714, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 23, 19, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31715, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 534, 15, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31716, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 204, 23, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31717, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 662, 13, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31718, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 50166, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31719, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 4, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31720, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 210, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31721, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 629, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31722, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '2C03', 35, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31723, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 4, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31724, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 257, 15, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31725, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 50, 14, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31726, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 130, 16, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31727, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 152, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31728, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 777, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31729, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 85, 21, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31730, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 3947, 13, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31731, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 7, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31732, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 856, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31733, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 37, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31734, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 83, 30, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31735, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 1449, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31736, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 79, 39, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31737, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 68, 13, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31738, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 547, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31739, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 19, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31740, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 18, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31741, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 5, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31742, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 22, 7, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31743, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 8, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31744, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 27, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31745, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31746, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 771, 10, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31747, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 18, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31748, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 240, 14, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31749, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 714, 53, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31750, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 603, 59, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31751, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1635, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31752, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 114, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31753, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 4, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31754, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 578, 19, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31755, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 969, 8, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31756, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1345, 8, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31757, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1407, 51, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31758, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1376, 55, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31759, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 28, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31760, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 403, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31761, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 806, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31762, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1067, 10, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31763, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1024, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31764, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 637, 7, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31765, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 141, 40, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31766, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 324, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31767, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 671, 9, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31768, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 404, 61, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31769, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 105, 13, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31770, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 269, 9, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31771, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 552, 12, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31772, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 4, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31773, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 320, 8, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31774, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 37, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31775, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 50166, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31776, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 4, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31777, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 578, 19, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31778, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1345, 8, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31779, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 969, 8, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31780, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 2245, 26, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31781, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 2042, 34, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31782, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 210, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31783, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 723, 56, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31784, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 123, 29, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31785, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 50, 14, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31786, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 257, 15, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31787, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2715, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31788, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 152, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31789, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 130, 16, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31790, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 22, 7, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31791, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1350, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31792, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 19, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31793, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1448, 6, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31794, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 18, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31795, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31796, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 69, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31797, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 18, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31798, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 8, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31799, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 237, 33, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31800, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 255, 33, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31801, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1376, 55, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31802, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1407, 51, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31803, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 454, 58, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31804, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 778, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31805, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 319, 31, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31806, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 140, 32, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31807, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 650, 11, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31808, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 129, 7, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31809, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 141, 40, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31810, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 27, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31811, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 404, 61, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31812, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 409, 21, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31813, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 240, 14, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31814, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 629, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31815, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 85, 21, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31816, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 83, 30, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31817, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 78, 10, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31818, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 68, 13, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31819, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 131, 24, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31820, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1197, 9, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31821, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 114, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31822, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 239, 30, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31823, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 79, 39, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31824, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 36, 23, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31825, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1024, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31826, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 177, 14, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31827, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1067, 10, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31828, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 806, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31829, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 196, 16, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31830, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 68, 17, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31831, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 671, 9, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31832, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 324, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31833, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 127, 22, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31834, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 4, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31835, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 64, 21, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31836, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 637, 7, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (31837, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 161, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31838, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 771, 10, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31839, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 7, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31840, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 589, 74, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31841, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 704, 66, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31842, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 224, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31843, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 204, 23, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31844, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 98, 19, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31845, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 23, 19, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31846, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 98, 20, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31847, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 116, 27, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31848, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 1449, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31849, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 114, 18, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31850, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 28, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31851, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 403, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31852, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1133, 6, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31853, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 5, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31854, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 547, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31855, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 3947, 13, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31856, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 358, 23, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31857, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 2667, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31858, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 831, 31, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31859, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 9, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31860, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 4198, 57, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31861, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 2508, 51, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31862, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 660, 7, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31863, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 4103, 47, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31864, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 2530, 39, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31865, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 584, 26, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31866, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 3679, 35, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31867, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 583, 9, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31868, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 2074, 30, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31869, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 3180, 35, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31870, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 637, 7, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31871, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 409, 21, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31872, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 324, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31873, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 3947, 13, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31874, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 806, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31875, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 671, 9, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31876, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1024, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31877, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1067, 10, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31878, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 18, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31879, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '2C03', 35, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31880, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 8, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31881, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 68, 13, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31882, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 79, 39, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31883, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 83, 30, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31884, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 85, 21, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31885, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 771, 10, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31886, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 114, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31887, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1635, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31888, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 404, 61, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31889, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 969, 8, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31890, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1345, 8, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31891, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 578, 19, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31892, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 18, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31893, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31894, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 129, 7, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31895, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 4, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31896, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 534, 15, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31897, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 114, 18, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31898, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1376, 55, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31899, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 22, 7, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31900, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 662, 13, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31901, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1407, 51, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31902, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 454, 58, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31903, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 19, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31904, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 98, 19, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31905, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 98, 20, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31906, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 116, 27, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31907, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 23, 19, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31908, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 204, 23, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31909, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 37, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31910, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 224, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31911, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 210, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31912, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 778, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31913, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 7, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31914, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 777, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31915, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 629, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31916, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 50166, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31917, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 4, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31918, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 5, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31919, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 603, 59, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31920, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 240, 14, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31921, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 152, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31922, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 130, 16, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31923, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 27, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31924, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 856, 3, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31925, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 714, 53, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31926, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 141, 40, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31927, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 1449, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31928, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 547, 5, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31929, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 50, 14, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31930, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 403, 4, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31931, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 28, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31932, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 257, 15, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31933, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 1845, 2, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31934, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 4, 1, 2023, 6, 5, '2024-08-05 13:57:43', NULL, NULL), (31935, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 156, 123, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31936, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1427, 13, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31937, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 312, 79, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31938, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 3, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31939, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 321, 82, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31940, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 464, 233, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31941, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 538, 98, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31942, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 878, 435, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31943, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 344, 86, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31944, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 239, 157, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31945, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1180, 233, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31946, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 870, 439, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31947, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 384, 181, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31948, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 435, 89, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31949, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 436, 100, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31950, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 456, 237, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31951, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 156, 123, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31952, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1180, 233, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31953, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 239, 157, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31954, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 4, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31955, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 1966, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31956, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 5876, 11, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31957, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 156, 123, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31958, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 254, 42, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31959, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 131, 80, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31960, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 474, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31961, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 455, 51, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31962, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 19853, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31963, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 4339, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31964, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 258, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31965, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 44, 17, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31966, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 338, 7, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31967, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 390, 12, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31968, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 3, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31969, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 514, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31970, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 210, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31971, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31972, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 4, 4, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31973, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 124, 153, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31974, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 457, 6, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31975, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 5464, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31976, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 6, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31977, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2032, 94, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31978, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 872, 10, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31979, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 306, 50, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31980, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 2, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31981, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 76, 9, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31982, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 323, 29, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31983, 1, '511500000000-0001', '宜宾市民中心', '驾驶证补证换证', '', '', '', 0, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 390, 12, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1233, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 2545, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 44, 17, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1184, 15, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 455, 51, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1044, 26, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 860, 31, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1569, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1105, 36, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1055, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1154, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 685, 32, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2670, 10, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 719, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (31999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1385, 51, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2177, 9, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1063, 39, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1707, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2401, 4, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1450, 43, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2075, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 3268, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 171, 21, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 312, 18, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 114, 12, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 69, 9, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 125, 33, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 143, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 1127, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 266, 20, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 33, 21, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 198, 23, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 95, 22, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 110, 21, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 904, 18, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 146, 20, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 427, 51, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 884, 39, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 337, 6, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 216, 20, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 209, 17, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 137, 24, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 124, 36, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 402, 4, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 43, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 414, 31, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 351, 13, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 166, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 12, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 150, 34, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 278, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1548, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 7121, 9, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 3, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 159, 33, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 258, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E01', 210, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1331, 6, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 93, 17, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 706, 10, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 129, 18, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 125, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 117, 24, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 177, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 257, 28, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 261, 39, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1090, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 90, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1966, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 132, 18, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 3, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 98, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 151, 16, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 127, 48, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 8, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 130, 11, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 4, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 18, 4, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 1848, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 297, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 27, 10, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 6, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 19853, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 2, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 254, 42, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 138, 32, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1045, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 352, 7, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 514, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1759, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 2518, 9, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2083, 10, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 474, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 5464, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 457, 6, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32082, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 44, 17, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32083, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 514, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32084, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 3, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32085, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 6, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32086, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 474, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32087, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 156, 123, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32088, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 390, 12, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32089, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 457, 6, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32090, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 131, 80, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32091, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 1966, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32092, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 254, 42, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32093, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 5876, 11, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32094, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 258, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32095, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 76, 9, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32096, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 2, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32097, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 323, 29, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32098, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1090, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32099, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 5464, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32100, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 19853, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32101, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 306, 50, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32102, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2032, 94, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32103, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 455, 51, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32104, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 474, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32105, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '', 210, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32106, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 4339, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32107, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 126, 151, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32108, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 4, 4, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32109, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 19853, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32110, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 390, 12, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32111, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 44, 17, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32112, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 254, 42, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32113, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 209, 17, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32114, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 146, 20, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32115, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 198, 23, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32116, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 95, 22, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32117, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 689, 4, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32118, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 266, 20, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32119, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 125, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32120, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 33, 21, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32121, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 236, 9, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32122, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 304, 14, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32123, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 2, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32124, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 514, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32125, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 132, 18, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32126, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 90, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32127, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 151, 16, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32128, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 98, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32129, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 1966, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32130, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 93, 17, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32131, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 474, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32132, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 3, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32133, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 2457, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32134, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 6221, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32135, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 6, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32136, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 177, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32137, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 117, 24, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32138, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 129, 18, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32139, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 457, 6, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32140, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 3, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32141, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 297, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32142, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 5464, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32143, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32144, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '2E01', 210, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32145, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 3268, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32146, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 8, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32147, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 278, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32148, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32149, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1184, 15, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32150, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 18, 4, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32151, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 7121, 9, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32152, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 267, 19, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32153, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 236, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32154, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 717, 6, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32155, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 10, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32156, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 707, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32157, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2083, 10, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32158, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1759, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32159, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 2518, 9, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32160, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 138, 32, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32161, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 127, 48, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32162, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1090, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32163, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2670, 10, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32164, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2177, 9, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32165, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2401, 4, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32166, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2075, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32167, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 258, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32168, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1569, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32169, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1154, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32170, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 455, 51, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32171, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 4, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32172, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 1848, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32173, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 130, 11, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32174, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 27, 10, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32175, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 6, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32176, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 2, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32177, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2083, 10, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32178, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 2518, 9, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32179, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1759, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32180, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 884, 39, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32181, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 1127, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32182, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 514, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32183, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 427, 51, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32184, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 150, 34, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32185, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 90, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32186, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 132, 18, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32187, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1707, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32188, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 98, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32189, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 151, 16, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32190, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32191, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1055, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32192, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 3, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32193, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 719, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32194, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 297, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32195, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32196, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 18, 4, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32197, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 12, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32198, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 8, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32199, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 124, 36, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32200, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 137, 24, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32201, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 127, 48, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32202, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 138, 32, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32203, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 254, 42, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32204, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 19853, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32205, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1548, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32206, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 159, 33, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32207, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1331, 6, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32208, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 44, 17, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32209, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 258, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32210, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E01', 210, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32211, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 278, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32212, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 455, 51, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32213, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 390, 12, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32214, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 7121, 9, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32215, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 93, 17, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32216, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 177, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32217, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 69, 9, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32218, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1233, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32219, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 143, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32220, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 129, 18, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32221, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 2545, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32222, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 125, 33, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32223, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 117, 24, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32224, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2401, 4, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32225, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 171, 21, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32226, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 904, 18, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32227, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2177, 9, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32228, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 114, 12, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32229, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2670, 10, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32230, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 312, 18, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32231, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1154, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32232, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1569, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32233, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 110, 21, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32234, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 3268, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32235, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2075, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32236, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 352, 7, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32237, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1184, 15, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32238, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1045, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32239, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 3, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32240, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 706, 10, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32241, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 261, 39, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32242, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 257, 28, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32243, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 125, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32244, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 33, 21, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32245, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 198, 23, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32246, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 266, 20, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32247, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 95, 22, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32248, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 146, 20, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32249, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 209, 17, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32250, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1090, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32251, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1966, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32252, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 5464, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32253, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 457, 6, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (32254, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 474, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32255, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 216, 20, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32256, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 166, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32257, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 351, 13, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32258, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 337, 6, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32259, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1450, 43, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32260, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1063, 39, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32261, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 402, 4, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32262, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1385, 51, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32263, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 685, 32, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32264, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 414, 31, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32265, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1105, 36, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32266, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 43, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32267, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 860, 31, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32268, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1044, 26, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32269, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 3268, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32270, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2075, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32271, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 390, 12, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32272, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1569, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32273, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 474, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32274, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2670, 10, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32275, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1154, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32276, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2401, 4, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32277, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2177, 9, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32278, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 18, 4, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32279, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 8, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32280, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 129, 18, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32281, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 117, 24, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32282, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 177, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32283, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 93, 17, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32284, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1184, 15, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32285, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 707, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32286, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 10, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32287, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 455, 51, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32288, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1759, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32289, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 2518, 9, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32290, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2083, 10, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32291, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 297, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32292, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32293, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 44, 17, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32294, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 689, 4, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32295, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 209, 17, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32296, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 127, 48, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32297, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32298, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 304, 14, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32299, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 138, 32, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32300, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 236, 9, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32301, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 125, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32302, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 254, 42, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32303, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 3, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32304, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 198, 23, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32305, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 95, 22, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32306, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 146, 20, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32307, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 266, 20, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32308, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 33, 21, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32309, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 6, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32310, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 514, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32311, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 19853, 3, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32312, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 3, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32313, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 1966, 5, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32314, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 2, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32315, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 5464, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32316, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 717, 6, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32317, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 7121, 9, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32318, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 98, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32319, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 151, 16, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32320, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 6221, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32321, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 278, 2, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32322, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 267, 19, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32323, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 2457, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32324, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 236, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32325, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 258, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32326, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '2E01', 210, 1, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32327, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 457, 6, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32328, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 90, 25, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32329, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1090, 8, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32330, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 132, 18, 2023, 6, 6, '2024-08-05 13:57:45', NULL, NULL), (32331, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 18, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32332, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 55, 105, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32333, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1551, 219, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32334, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1795, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32335, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 519, 109, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32336, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 244, 76, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32337, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 308, 215, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32338, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 780, 90, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32339, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 145, 382, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32340, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 26, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32341, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 628, 102, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32342, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 297, 164, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32343, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 143, 386, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32344, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 450, 203, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32345, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 513, 74, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32346, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 816, 118, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32347, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 306, 216, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32348, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 54, 106, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32349, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1551, 219, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32350, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 297, 164, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32351, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 2718, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32352, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 42, 11, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32353, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32354, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 54, 106, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32355, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 159, 34, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32356, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 186, 73, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32357, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1227, 8, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32358, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 537, 39, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32359, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32360, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 976, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32361, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 231, 31, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32362, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 249, 13, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32363, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 4128, 7, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32364, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 283, 14, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32365, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 955, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32366, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 51, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32367, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 2233, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32368, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 18, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32369, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 170, 7, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32370, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 66, 119, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32371, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 529, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32372, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 2274, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32373, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 3244, 93, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32374, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 1972, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32375, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 1346, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32376, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 567, 58, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32377, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 25, 4, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32378, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 2, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32379, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 456, 52, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32380, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 26, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 283, 14, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 585, 47, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 178, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1221, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 12, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 231, 31, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 218, 42, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 26, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 4169, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1227, 8, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 18, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 125, 13, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 35, 15, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 563, 49, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 350, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 249, 13, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 71, 28, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 60, 17, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 4215, 13, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 487, 58, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 537, 39, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 106, 27, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1346, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 82, 29, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 5436, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 71, 30, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2294, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 300, 29, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1048, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 51, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2887, 11, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 50, 24, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3428, 6, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 156, 40, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1286, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 82, 14, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 115, 33, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2678, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 3168, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 84, 45, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2928, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 5, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 572, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 54, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 1972, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 18, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 4742, 3, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 267, 17, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 187, 36, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 16, 3, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 196, 6, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 273, 15, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 138, 7, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 198, 23, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 300, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 672, 13, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 54, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 66, 6, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 2247, 3, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 485, 34, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 12, 3, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 252, 32, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 136, 18, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 9, 19, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 62, 20, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 976, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 2, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 45, 18, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 188, 16, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 271, 26, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 159, 34, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 24, 17, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 155, 36, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 184, 37, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 164, 28, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 158, 3, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 955, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 83, 8, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 57, 17, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 3312, 12, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 3153, 4, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 7, 15, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 4128, 7, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 3315, 23, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 178, 30, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 529, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 179, 27, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 465, 4, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 139, 14, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 384, 28, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 471, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 262, 10, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 229, 16, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32474, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 249, 13, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32475, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 955, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32476, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 2274, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32477, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1227, 8, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32478, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 55, 105, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32479, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 529, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32480, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 283, 14, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32481, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 2233, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32482, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 186, 73, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32483, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 159, 34, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32484, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 42, 11, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32485, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 231, 31, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32486, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 25, 4, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32487, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 26, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32488, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 2, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32489, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 465, 51, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32490, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1346, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32491, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 51, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32492, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 567, 58, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32493, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 976, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32494, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 3244, 93, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32495, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 537, 39, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32496, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 1972, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32497, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 18, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32498, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 4128, 7, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32499, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 66, 118, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32500, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 170, 7, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32501, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 5436, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32502, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 5436, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32503, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 976, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32504, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 283, 14, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32505, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 249, 13, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32506, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 159, 34, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32507, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 7, 15, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32508, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 18, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32509, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 2233, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32510, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 51, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32511, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 24, 17, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32512, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 45, 18, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32513, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 188, 16, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32514, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 491, 21, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32515, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 9, 19, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32516, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 350, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32517, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 62, 20, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32518, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 453, 28, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32519, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 2, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32520, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 955, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32521, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 26, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32522, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 82, 14, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32523, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 50, 24, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32524, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 18, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32525, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 54, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32526, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 125, 13, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32527, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 4128, 7, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32528, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 2274, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32529, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 60, 17, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32530, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 1972, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32531, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 71, 28, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32532, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 35, 15, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32533, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 529, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32534, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 572, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32535, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 54, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32536, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 5, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32537, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 4742, 3, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32538, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 16, 3, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32539, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 178, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32540, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 4215, 13, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32541, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 12, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32542, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 519, 30, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32543, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 618, 28, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32544, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1227, 8, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32545, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 12, 3, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32546, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 3218, 22, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32547, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 3312, 12, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32548, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 3153, 4, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32549, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 184, 37, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32550, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 187, 36, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32551, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1346, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32552, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2887, 11, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32553, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2678, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32554, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 3168, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32555, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 231, 31, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32556, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2928, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32557, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2294, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32558, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 537, 39, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32559, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 138, 7, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32560, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 672, 13, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32561, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 196, 6, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32562, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 12, 3, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32563, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 66, 6, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32564, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 2247, 3, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32565, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 2, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32566, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 3315, 23, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32567, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 3153, 4, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32568, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 3312, 12, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32569, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 164, 28, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32570, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 136, 18, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32571, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 955, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32572, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 563, 49, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32573, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 155, 36, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32574, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 487, 58, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32575, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 350, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32576, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 585, 47, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32577, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 50, 24, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32578, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 82, 14, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32579, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1286, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32580, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 54, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32581, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 18, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32582, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 5, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32583, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1048, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32584, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 572, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32585, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3428, 6, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32586, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 54, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32587, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 18, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32588, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 262, 10, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32589, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 16, 3, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32590, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 179, 27, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32591, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 178, 30, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32592, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 187, 36, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32593, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 184, 37, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32594, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 159, 34, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32595, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 976, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32596, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1221, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32597, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 218, 42, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32598, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 4169, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32599, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 231, 31, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32600, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 62, 20, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32601, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 249, 13, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32602, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 45, 18, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32603, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 178, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32604, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 537, 39, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32605, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 12, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32606, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 283, 14, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32607, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 9, 19, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32608, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 188, 16, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32609, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 24, 17, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32610, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 125, 13, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32611, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 60, 17, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32612, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 300, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32613, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 35, 15, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32614, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 252, 32, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32615, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1227, 8, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32616, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 485, 34, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32617, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 71, 28, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32618, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 267, 17, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32619, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 3168, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32620, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2678, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32621, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 198, 23, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32622, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2887, 11, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32623, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 273, 15, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32624, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2294, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32625, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 271, 26, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32626, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 1972, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32627, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 7, 15, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32628, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 51, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32629, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1346, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32630, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 5436, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32631, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 26, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32632, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 529, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32633, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 4128, 7, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32634, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 229, 16, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32635, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 4742, 3, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32636, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2928, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32637, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 57, 17, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32638, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 158, 3, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32639, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 471, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32640, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 384, 28, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32641, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 83, 8, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32642, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 84, 45, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32643, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 115, 33, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32644, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 4215, 13, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32645, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 156, 40, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32646, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 300, 29, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32647, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 139, 14, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32648, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 71, 30, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32649, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 465, 4, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32650, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 82, 29, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32651, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 106, 27, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32652, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 4742, 3, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32653, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2928, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32654, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 283, 14, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32655, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 4128, 7, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32656, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2294, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32657, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2887, 11, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32658, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 3168, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32659, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2678, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32660, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 16, 3, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32661, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 35, 15, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32662, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 71, 28, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32663, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 60, 17, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32664, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 125, 13, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32665, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 2233, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32666, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 4215, 13, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32667, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1227, 8, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (32668, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 537, 39, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32669, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 3312, 12, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32670, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 3153, 4, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32671, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 3218, 22, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32672, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 54, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32673, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 249, 13, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32674, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 12, 3, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32675, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 7, 15, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32676, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 491, 21, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32677, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 187, 36, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32678, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 5, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32679, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 453, 28, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32680, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 184, 37, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32681, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 350, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32682, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 159, 34, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32683, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 572, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32684, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 45, 18, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32685, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 188, 16, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32686, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 24, 17, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32687, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 9, 19, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32688, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 62, 20, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32689, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 2274, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32690, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 18, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32691, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 955, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32692, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 976, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32693, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 2, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32694, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 618, 28, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32695, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 12, 9, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32696, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 54, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32697, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 18, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32698, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 178, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32699, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 519, 30, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32700, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 231, 31, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32701, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 1972, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32702, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 529, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32703, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 5436, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32704, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 50, 24, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32705, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1346, 5, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32706, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 82, 14, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32707, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 51, 1, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32708, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 26, 2, 2023, 6, 7, '2024-08-05 13:57:49', NULL, NULL), (32709, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 5, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32710, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 15, 99, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32711, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 424, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32712, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 747, 207, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32713, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 381, 16, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32714, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 378, 70, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32715, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 660, 55, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32716, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 192, 211, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32717, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 159, 420, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32718, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 806, 68, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32719, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 402, 95, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32720, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 265, 143, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32721, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 159, 420, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32722, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 475, 146, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32723, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 664, 55, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32724, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 523, 108, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32725, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 189, 214, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32726, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 15, 99, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32727, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 747, 207, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32728, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 265, 143, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32729, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 742, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32730, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 352, 8, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32731, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 75, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32732, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 109, 35, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32733, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 15, 99, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32734, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 115, 72, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32735, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 4612, 4, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32736, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 230, 29, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32737, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 835, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32738, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 236, 27, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32739, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 8, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32740, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 691, 8, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32741, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 759, 15, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32742, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 424, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32743, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 63, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32744, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 203, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32745, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 5, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32746, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32747, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 46, 10, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32748, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 110, 112, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32749, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1363, 10, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32750, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1443, 82, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32751, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 138, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32752, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 362, 4, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32753, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 341, 39, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32754, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 2330, 8, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32755, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 30, 4, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32756, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 424, 31, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32757, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 759, 15, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 2984, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 9497, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 8, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 591, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 230, 29, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 65, 23, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 113, 34, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1443, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 94, 24, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1443, 10, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 151, 41, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1273, 5, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1513, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 164, 44, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1082, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1318, 10, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 94, 33, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1724, 5, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 112, 45, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1715, 11, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1980, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1317, 5, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 86, 21, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 137, 17, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 231, 17, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 184, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 1320, 11, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 299, 25, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 206, 18, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 72, 23, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 3, 16, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 16, 18, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 21, 15, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 140, 15, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 4, 17, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 18, 18, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 52, 10, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 353, 54, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 78, 21, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 349, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 481, 8, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 31, 15, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 225, 31, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 192, 42, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 147, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 24, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1742, 8, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 421, 20, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1685, 4, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 151, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 25, 5, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 155, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 151, 39, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 62, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 424, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 236, 27, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 208, 40, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 227, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 5, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 98, 14, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 77, 13, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 530, 29, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 220, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 225, 24, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 177, 12, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 92, 18, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 313, 28, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 362, 4, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 352, 8, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 742, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 57, 19, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 203, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 62, 13, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 48, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 14, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 109, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 138, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 76, 5, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 98, 35, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 22, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 44, 12, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 18373, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 24, 4, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 90, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 56, 11, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 11, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 35, 8, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 125, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 835, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 113, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 109, 35, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 132, 37, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 357, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 3097, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 63, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1436, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 922, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1392, 14, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1363, 10, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32859, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 8, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32860, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 63, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32861, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 424, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32862, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 4612, 4, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32863, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 15, 99, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32864, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 759, 15, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32865, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1363, 10, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32866, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 115, 72, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32867, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 742, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32868, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 109, 35, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32869, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 75, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32870, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 236, 27, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32871, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 2330, 8, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32872, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 30, 4, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32873, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 424, 31, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32874, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 362, 4, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32875, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 203, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32876, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 835, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32877, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 341, 39, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32878, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1443, 82, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32879, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 230, 29, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32880, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 138, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32881, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 5, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32882, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 922, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32883, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 110, 112, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32884, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 46, 10, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32885, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 352, 8, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32886, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 835, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32887, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 352, 8, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32888, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 759, 15, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32889, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 8, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32890, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 109, 35, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32891, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 31, 15, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32892, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 5, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32893, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 203, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32894, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 18, 18, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32895, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 21, 15, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32896, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 4, 17, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32897, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 738, 11, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32898, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 3, 16, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32899, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 220, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32900, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 16, 18, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32901, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 191, 4, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32902, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 270, 15, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32903, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 113, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32904, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32905, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 63, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32906, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 62, 13, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32907, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 57, 19, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32908, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 76, 5, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32909, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 109, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32910, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 742, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32911, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 98, 14, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32912, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 922, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32913, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 424, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32914, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 92, 18, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32915, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 138, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32916, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 225, 24, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32917, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 77, 13, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32918, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1363, 10, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32919, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 14, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32920, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 11, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32921, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 48, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32922, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1317, 5, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32923, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 155, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32924, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 22, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32925, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 90, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32926, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 591, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32927, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 18373, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32928, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 62, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32929, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 169, 8, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32930, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 362, 13, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32931, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 403, 18, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32932, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 2984, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32933, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 9497, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32934, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 125, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32935, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1392, 14, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32936, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1436, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32937, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 132, 37, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32938, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 98, 35, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32939, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 362, 4, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32940, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1513, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32941, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1421, 9, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32942, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1715, 11, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32943, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 236, 27, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32944, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1980, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32945, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1443, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32946, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1443, 10, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32947, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 230, 29, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32948, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 24, 4, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32949, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 56, 11, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32950, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 44, 12, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32951, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 125, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32952, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 35, 8, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32953, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 113, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32954, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32955, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1392, 14, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32956, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1436, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32957, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 78, 21, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32958, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 63, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32959, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 72, 23, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32960, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 353, 54, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32961, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 151, 39, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32962, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 57, 19, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32963, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 62, 13, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32964, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1724, 5, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32965, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 109, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32966, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 76, 5, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32967, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 48, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32968, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1273, 5, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32969, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 14, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32970, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1082, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32971, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 11, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32972, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 90, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32973, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 18373, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32974, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 25, 5, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32975, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 22, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32976, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 192, 42, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32977, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 225, 31, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32978, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 98, 35, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32979, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 132, 37, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32980, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 109, 35, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32981, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 835, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32982, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 208, 40, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32983, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 227, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32984, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 236, 27, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32985, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 8, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32986, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 155, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32987, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 230, 29, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32988, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 62, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32989, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 759, 15, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32990, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 98, 14, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32991, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 1320, 11, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32992, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 92, 18, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32993, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 184, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32994, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 206, 18, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32995, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 77, 13, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32996, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 2984, 3, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32997, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 9497, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32998, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 299, 25, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (32999, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 225, 24, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33000, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 86, 21, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33001, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1715, 11, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33002, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1318, 10, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33003, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 52, 10, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33004, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 231, 17, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33005, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1513, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33006, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1443, 10, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33007, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 137, 17, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33008, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1443, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33009, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 140, 15, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33010, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 151, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33011, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1317, 5, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33012, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1980, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33013, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 3097, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33014, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 591, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33015, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 357, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33016, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 424, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33017, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 530, 29, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33018, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 313, 28, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33019, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 177, 12, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33020, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 220, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33021, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 5, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33022, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 16, 18, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33023, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 21, 15, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33024, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 3, 16, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33025, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 4, 17, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33026, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 18, 18, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33027, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 138, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33028, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 31, 15, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33029, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 742, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33030, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 362, 4, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33031, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 352, 8, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33032, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 203, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33033, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1363, 10, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33034, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 922, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33035, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 481, 8, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33036, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1685, 4, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33037, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 421, 20, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33038, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 349, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33039, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 112, 45, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33040, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 94, 33, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33041, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 147, 6, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33042, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 164, 44, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33043, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 151, 41, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33044, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1742, 8, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33045, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 94, 24, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33046, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 24, 2, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33047, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 113, 34, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33048, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 65, 23, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33049, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1317, 5, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33050, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1980, 6, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33051, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 759, 15, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33052, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 922, 6, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33053, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1443, 7, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33054, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1513, 7, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33055, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1443, 10, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33056, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1715, 11, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33057, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1421, 9, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33058, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 18373, 1, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33059, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 22, 3, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33060, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 77, 13, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33061, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 225, 24, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33062, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 92, 18, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33063, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 98, 14, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33064, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 591, 6, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33065, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 9497, 1, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33066, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 2984, 3, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33067, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 230, 29, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33068, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1436, 7, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33069, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1392, 14, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33070, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 11, 2, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33071, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 90, 2, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33072, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 8, 7, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33073, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 125, 1, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33074, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 31, 15, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33075, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 738, 11, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33076, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 98, 35, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33077, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 48, 6, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33078, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 132, 37, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33079, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 270, 15, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33080, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 191, 4, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33081, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 220, 1, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33082, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 109, 35, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33083, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 14, 3, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33084, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 21, 15, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (33085, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 4, 17, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33086, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 18, 18, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33087, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 3, 16, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33088, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 16, 18, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33089, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 5, 2, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33090, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 63, 3, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33091, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 835, 6, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33092, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 742, 2, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33093, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 424, 1, 2023, 6, 8, '2024-08-05 13:57:53', NULL, NULL), (33094, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 113, 1, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33095, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 3, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33096, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 403, 18, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33097, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 62, 6, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33098, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 109, 6, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33099, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 76, 5, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33100, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 155, 1, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33101, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 169, 8, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33102, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 362, 13, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33103, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 236, 27, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33104, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 138, 1, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33105, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1363, 10, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33106, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 352, 8, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33107, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 57, 19, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33108, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 362, 4, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33109, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 62, 13, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33110, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 203, 1, 2023, 6, 8, '2024-08-05 13:57:54', NULL, NULL), (33111, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 14, 82, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33112, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 84323, 3, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33113, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 86, 38, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33114, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 3, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33115, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 503, 26, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33116, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 1466, 168, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33117, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 191, 257, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33118, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 678, 51, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33119, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 161, 65, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33120, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 117, 105, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33121, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 2469, 158, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33122, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 190, 258, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33123, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 3639, 74, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33124, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 319, 41, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33125, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 426, 75, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33126, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 1441, 171, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33127, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 14, 82, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33128, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2469, 158, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33129, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 116, 106, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33130, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 2109, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33131, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 227, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33132, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 13624, 11, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33133, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 14, 82, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33134, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 170, 36, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33135, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 250, 44, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33136, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 788, 6, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33137, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 165, 17, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33138, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1078, 3, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33139, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 740, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33140, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 116, 26, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33141, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 34, 7, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33142, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 11545, 7, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33143, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 272, 9, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33144, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 3, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33145, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 84753, 3, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33146, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 376, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33147, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 12, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33148, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33149, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 15, 10, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33150, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 52, 89, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33151, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 921, 3, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33152, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 7, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33153, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1768, 64, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33154, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 252366, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33155, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 96, 26, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33156, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 16, 4, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33157, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 25, 3, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33158, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 64, 12, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 29, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 177, 25, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 272, 9, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 14984, 10, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 3, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 180, 27, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 116, 26, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 115, 10, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1041, 4, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 434, 3, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 2109, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 37, 15, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 42, 8, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 80, 11, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 34, 7, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 61, 22, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 42, 12, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1218, 4, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 109, 10, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 76, 17, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 165, 17, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 60, 12, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 252366, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 114, 26, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 227, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1206, 5, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 64, 13, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2306, 8, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 175, 32, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1876, 2, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2143, 5, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 50, 19, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 37, 23, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1315, 3, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 376, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 63, 6, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1716, 10, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 82, 18, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2765, 5, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 716, 8, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 37, 25, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1268, 4, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 21, 3, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 13, 6, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 127, 3, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 115, 2, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2505, 6, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 32, 11, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 183, 24, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 27, 9, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 665, 5, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 18, 4, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 64, 9, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 6, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 159, 3, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 158, 7, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 25, 3, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 9, 2, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 201, 26, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 6, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 184, 27, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 54, 11, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 6, 14, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1078, 3, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 4, 16, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 4, 2, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 19, 12, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 43, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 27, 5, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 22, 12, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 170, 36, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 13, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 440, 23, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 16, 14, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 36, 12, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 331, 20, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 866, 17, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 15, 3, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 137, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 84753, 3, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 1856, 5, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1428, 6, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 2124, 2, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 13470, 6, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1774, 11, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 21, 14, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 213, 19, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 921, 3, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 167, 37, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 89, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 43, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 217, 6, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 247, 8, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 64, 4, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 4, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 62, 5, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33255, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 34, 7, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33256, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 84753, 3, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33257, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 3, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33258, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 7, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33259, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 788, 6, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33260, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 14, 82, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33261, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 921, 3, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33262, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 272, 9, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33263, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 12, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33264, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 250, 44, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33265, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 170, 36, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33266, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 13624, 11, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33267, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 116, 26, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33268, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 25, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33269, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 16, 4, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33270, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 64, 12, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33271, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 252366, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33272, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 376, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33273, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1078, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33274, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 96, 26, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33275, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1768, 64, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33276, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 2109, 1, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33277, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 165, 17, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33278, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 13470, 6, 2023, 6, 9, '2024-08-05 13:57:57', NULL, NULL), (33279, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 740, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33280, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 54, 87, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33281, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 15, 10, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33282, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 227, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33283, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 227, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33284, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1078, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33285, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 272, 9, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33286, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 34, 7, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33287, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 170, 36, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33288, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 21, 14, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33289, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 12, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33290, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 376, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33291, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 16, 14, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33292, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 19, 12, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33293, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 22, 12, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33294, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 6, 14, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33295, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 55, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33296, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 4, 16, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33297, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 44, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33298, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 70, 8, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33299, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 13, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33300, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 43, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33301, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 4, 2, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33302, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D15', 84753, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33303, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 2109, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33304, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 63, 6, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33305, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 50, 19, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33306, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 115, 2, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33307, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 127, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33308, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 37, 15, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33309, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 13470, 6, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33310, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 3, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33311, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 740, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33312, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 7, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33313, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 42, 12, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33314, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 61, 22, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33315, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 42, 8, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33316, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 921, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33317, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 13, 6, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33318, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 25, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33319, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 21, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33320, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2505, 6, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33321, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 29, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33322, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1218, 4, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33323, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 14984, 10, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33324, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 116, 9, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33325, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 81, 9, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33326, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 90, 8, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33327, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1041, 4, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33328, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 282, 2, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33329, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 6, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33330, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1847, 10, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33331, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1656, 5, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33332, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 2124, 2, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33333, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 331, 20, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33334, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 183, 24, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33335, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 252366, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33336, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2143, 5, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33337, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1716, 10, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33338, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 819, 6, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33339, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1660, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33340, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 116, 26, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33341, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1206, 5, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33342, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2306, 8, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33343, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 165, 17, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33344, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 18, 4, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33345, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 159, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33346, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 665, 5, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33347, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 6, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33348, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 158, 7, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33349, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 9, 2, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33350, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 43, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33351, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 13, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33352, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 4, 2, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33353, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1774, 11, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33354, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 2124, 2, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33355, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1428, 6, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33356, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 866, 17, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33357, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 84753, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33358, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 54, 11, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33359, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 440, 23, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33360, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 177, 25, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33361, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 50, 19, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33362, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 63, 6, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33363, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2765, 5, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33364, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 127, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33365, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 115, 2, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33366, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 21, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33367, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1876, 2, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33368, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 13, 6, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33369, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1315, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33370, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 25, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33371, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 4, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33372, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 167, 37, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33373, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 213, 19, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33374, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 183, 24, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33375, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 331, 20, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33376, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 170, 36, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33377, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1078, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33378, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 180, 27, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33379, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 115, 10, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33380, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 34, 7, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33381, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 116, 26, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33382, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 29, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33383, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 165, 17, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33384, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 14984, 10, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33385, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 272, 9, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33386, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 2109, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33387, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 37, 15, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33388, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 42, 12, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33389, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 6, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33390, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 184, 27, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33391, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1041, 4, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33392, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 42, 8, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33393, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 434, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33394, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 201, 26, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33395, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 61, 22, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33396, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 32, 11, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33397, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 716, 8, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33398, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1716, 10, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33399, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 36, 12, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33400, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2143, 5, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33401, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 64, 9, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33402, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 27, 9, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33403, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2306, 8, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33404, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1206, 5, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33405, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 27, 5, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33406, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 62, 5, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33407, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2505, 6, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33408, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1268, 4, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33409, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 15, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33410, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1218, 4, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33411, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 3, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33412, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 80, 11, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33413, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 76, 17, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33414, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 109, 10, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33415, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 4, 16, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33416, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 19, 12, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33417, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 6, 14, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33418, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 22, 12, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33419, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 16, 14, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33420, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 21, 14, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33421, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 252366, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33422, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 227, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33423, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 376, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33424, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 921, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33425, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 13470, 6, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33426, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 1856, 5, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33427, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 64, 4, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33428, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 247, 8, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33429, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 137, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33430, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 37, 25, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33431, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 82, 18, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33432, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 89, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33433, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 37, 23, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33434, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 175, 32, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33435, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 217, 6, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33436, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 64, 13, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33437, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 43, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33438, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 114, 26, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33439, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 60, 12, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33440, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2505, 6, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33441, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1660, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33442, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 272, 9, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33443, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1206, 5, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33444, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 13470, 6, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33445, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2143, 5, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33446, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2306, 8, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33447, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 819, 6, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33448, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1716, 10, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33449, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 42, 8, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33450, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 61, 22, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33451, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 42, 12, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33452, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 37, 15, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33453, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 12, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33454, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1218, 4, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33455, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 282, 2, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33456, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1041, 4, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33457, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 165, 17, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33458, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1656, 5, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33459, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 2124, 2, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33460, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1847, 10, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33461, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 25, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33462, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 34, 7, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33463, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 6, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33464, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 21, 14, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33465, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 55, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33466, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 183, 24, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33467, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 21, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33468, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 70, 8, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33469, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 331, 20, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33470, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 44, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33471, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 170, 36, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33472, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 13, 6, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33473, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 19, 12, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33474, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 22, 12, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33475, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 16, 14, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33476, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 6, 14, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33477, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 4, 16, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33478, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 7, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33479, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D15', 84753, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33480, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1078, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33481, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 3, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33482, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 2109, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33483, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 13, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33484, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 43, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33485, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 4, 2, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33486, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 90, 8, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33487, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 14984, 10, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33488, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 127, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33489, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 115, 2, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33490, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 740, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33491, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 29, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33492, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 116, 9, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33493, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 81, 9, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33494, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 116, 26, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33495, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 921, 3, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33496, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 227, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33497, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 50, 19, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33498, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 252366, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33499, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 63, 6, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (33500, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 376, 1, 2023, 6, 9, '2024-08-05 13:57:58', NULL, NULL), (33501, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 13, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33502, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 560, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33503, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 392, 19, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33504, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 11, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33505, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 801, 91, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33506, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 2445, 44, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33507, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 2369, 49, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33508, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 801, 91, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33509, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 373, 3, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33510, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 11, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33511, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 2445, 44, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33512, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 373, 20, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33513, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 13, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33514, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2037, 57, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33515, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 0, 3, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33516, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 271, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33517, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 13, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33518, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 5, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33519, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 665, 23, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33520, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 152, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33521, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 463, 14, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33522, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 11, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33523, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 4144, 24, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33524, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 126, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33525, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 560, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33526, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 271, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 2146, 25, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1577, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 126, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 2839, 19, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 863, 8, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 71, 11, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 152, 17, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 11946, 7, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 193, 13, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1676, 8, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 890, 8, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1918, 27, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 152, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 560, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 13, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 463, 14, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 11, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 665, 23, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 120, 15, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33548, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 560, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33549, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 4144, 24, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33550, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 13, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33551, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 11, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33552, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 665, 23, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33553, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 271, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33554, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 126, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33555, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 463, 14, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33556, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 152, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33557, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33558, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 152, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33559, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 271, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33560, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33561, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 463, 14, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33562, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 560, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33563, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 13, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33564, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 11946, 7, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33565, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 823, 7, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33566, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 126, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33567, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1577, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33568, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 863, 8, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33569, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 11, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33570, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 665, 23, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33571, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 126, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33572, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 271, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33573, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 11, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33574, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 2146, 25, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33575, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 13, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33576, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 463, 14, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33577, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 152, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33578, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 890, 8, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33579, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 11946, 7, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33580, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 863, 8, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33581, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33582, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1577, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33583, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1918, 27, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33584, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1676, 8, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33585, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 665, 23, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33586, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 193, 13, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33587, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 152, 17, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33588, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 71, 11, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33589, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 2839, 19, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33590, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 560, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33591, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 120, 15, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33592, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 463, 14, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33593, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 11, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33594, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 13, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33595, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 271, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33596, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 560, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33597, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 126, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33598, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1577, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33599, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 863, 8, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33600, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 823, 7, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33601, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 11946, 7, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33602, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33603, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 152, 2, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33604, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 665, 23, 2023, 6, 10, '2024-08-05 13:58:02', NULL, NULL), (33605, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 2404, 1, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33606, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 94, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33607, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 598, 20, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33608, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 181, 57, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33609, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 598, 24, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33610, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 42, 16, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33611, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 177, 58, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33612, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 94, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33613, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 598, 24, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33614, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 598, 20, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33615, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 2404, 1, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33616, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 42, 16, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33617, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 54, 11, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33618, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 21, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33619, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 94, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33620, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 1528, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33621, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 2404, 1, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33622, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 15, 5, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33623, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 546, 9, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 648, 22, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 1528, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 564, 7, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 21, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 43, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 27, 1, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 77, 6, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 51, 7, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 82, 5, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 47, 16, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 377, 21, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 94, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 546, 9, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 31, 5, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 2404, 1, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 117, 7, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 15, 5, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33641, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 15, 5, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33642, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 1528, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33643, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 21, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33644, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 94, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33645, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 546, 9, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33646, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 54, 11, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33647, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 2404, 1, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33648, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 2404, 1, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33649, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 82, 5, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33650, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 21, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33651, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 27, 1, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33652, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 15, 5, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33653, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 31, 5, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33654, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 1528, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33655, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 546, 9, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33656, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 94, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33657, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 21, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33658, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 1528, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33659, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 564, 7, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33660, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 648, 22, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33661, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 2404, 1, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33662, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 546, 9, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33663, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 82, 5, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33664, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 27, 1, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33665, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 377, 21, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33666, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 15, 5, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33667, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 47, 16, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33668, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 94, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33669, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 31, 5, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33670, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 51, 7, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33671, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 77, 6, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33672, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 117, 7, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33673, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 43, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33674, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 94, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33675, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 1528, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33676, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 546, 9, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33677, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 2404, 1, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33678, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 21, 2, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33679, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 27, 1, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33680, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 15, 5, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33681, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 82, 5, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33682, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 31, 5, 2023, 6, 11, '2024-08-05 13:58:06', NULL, NULL), (33683, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 166, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33684, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 38, 119, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33685, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 706, 234, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33686, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 908, 12, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33687, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 290, 104, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33688, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 306, 52, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33689, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 320, 289, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33690, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1508, 471, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33691, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 2484, 98, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33692, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 8462, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33693, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 360, 121, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33694, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 65, 157, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33695, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1505, 472, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33696, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 380, 173, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33697, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 2522, 90, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33698, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 459, 131, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33699, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 317, 291, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33700, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 37, 120, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33701, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 706, 234, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33702, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 65, 157, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33703, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 115, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33704, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33705, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 463, 20, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33706, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 191, 43, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33707, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 37, 120, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33708, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 276, 98, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33709, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 17740, 11, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33710, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 487, 54, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33711, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1724, 9, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33712, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 404, 34, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33713, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 158, 7, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33714, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1996, 7, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33715, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 6, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33716, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 269, 15, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33717, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 993, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33718, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 753, 4, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33719, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 166, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33720, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 45, 13, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33721, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 227, 165, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33722, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2068, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33723, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 27, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33724, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 537, 71, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33725, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 1526, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33726, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 1058, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33727, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 247, 65, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33728, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 212, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33729, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 10147, 7, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33730, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 362, 39, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33731, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 8462, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 269, 15, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 32214, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 372, 5, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 115, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 184, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 226, 11, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 487, 54, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1634, 36, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 3096, 27, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 277, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1660, 31, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 496, 8, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2489, 4, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1783, 40, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 807, 7, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1412, 34, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1638, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1164, 12, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1094, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1724, 48, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 319, 4, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1726, 38, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 344, 12, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 2287, 29, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 81, 18, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 85, 15, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 26, 15, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 62, 25, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 114, 25, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 32, 24, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 3031, 20, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 38, 16, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 12, 28, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 46, 19, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 109, 18, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 61, 17, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 52, 12, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 25, 19, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 612, 50, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 2121, 26, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 126, 4, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 247, 9, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 13, 19, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 320, 44, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 305, 36, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 38, 4, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 38, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 250, 21, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 621, 10, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 756, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 51, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 126, 5, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 1481, 7, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 732, 7, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 375, 23, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 318, 13, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 280, 29, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 371, 48, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 404, 34, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 389, 9, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 8462, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 166, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 204, 31, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 187, 27, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 545, 40, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 266, 39, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 123, 31, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 176, 34, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 139, 33, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1058, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 6, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 480, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 288, 34, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 845, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 21, 8, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 83, 5, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 1526, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 257, 54, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 8, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 37, 12, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 14, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 57, 17, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 369, 8, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 178, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 35320, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 14, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 27, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1724, 9, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 191, 43, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 212, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 300, 44, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 492, 7, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 415, 5, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 993, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 301, 8, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 647, 9, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2795, 5, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2068, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33830, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 184, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33831, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 993, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33832, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 27, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33833, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 17740, 11, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33834, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 38, 119, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33835, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 269, 15, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33836, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2068, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33837, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 276, 98, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33838, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 191, 43, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33839, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 463, 20, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33840, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 404, 34, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33841, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 10147, 7, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33842, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 8462, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33843, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 212, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33844, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 362, 39, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33845, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1058, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33846, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 753, 4, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33847, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 6, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33848, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1724, 9, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33849, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 247, 65, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33850, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 537, 71, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33851, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 115, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33852, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 487, 54, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33853, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 1526, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33854, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 166, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33855, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2795, 5, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33856, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 227, 165, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33857, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 45, 13, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33858, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1724, 9, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33859, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 269, 15, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33860, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D23', 6, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33861, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 184, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33862, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 191, 43, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33863, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 13, 19, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33864, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 166, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33865, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 480, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33866, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 845, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33867, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 25, 19, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33868, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 46, 19, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33869, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 109, 18, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33870, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 686, 16, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33871, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 38, 16, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33872, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 12, 28, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33873, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 163, 13, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33874, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 102, 10, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33875, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 212, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33876, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 993, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33877, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 115, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33878, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 8462, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33879, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 288, 34, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33880, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 204, 31, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33881, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2795, 5, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33882, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 27, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33883, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 176, 34, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33884, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 1526, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33885, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 266, 39, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33886, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 187, 27, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33887, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2068, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33888, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 83, 5, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33889, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 35320, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33890, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 21, 8, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33891, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 8, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33892, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 732, 7, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33893, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 226, 11, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33894, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 178, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33895, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 14, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33896, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 318, 13, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33897, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 94, 18, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33898, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 155, 23, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33899, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 451, 24, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33900, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 32214, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33901, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 372, 5, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33902, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 647, 9, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33903, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 301, 8, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33904, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 300, 44, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33905, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 257, 54, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33906, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1058, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33907, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 807, 7, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33908, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1102, 11, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33909, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 319, 4, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33910, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 358, 10, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33911, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 404, 34, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33912, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 277, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33913, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 496, 8, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33914, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 487, 54, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33915, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 57, 17, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33916, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 369, 8, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33917, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 37, 12, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 14, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33919, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 27, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33920, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 212, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33921, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 647, 9, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33922, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 301, 8, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33923, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 2121, 26, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33924, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 3031, 20, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33925, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 993, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (33926, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 612, 50, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33927, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 375, 23, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33928, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 288, 34, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33929, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1094, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33930, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 21, 8, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33931, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2489, 4, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33932, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 83, 5, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33933, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1638, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33934, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 35320, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33935, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 1481, 7, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33936, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 178, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33937, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 14, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33938, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 126, 5, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33939, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 8, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33940, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 305, 36, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33941, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 320, 44, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33942, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 257, 54, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33943, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 300, 44, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33944, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 191, 43, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33945, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1724, 9, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33946, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 280, 29, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33947, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 371, 48, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33948, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 389, 9, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33949, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 184, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33950, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 404, 34, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33951, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 732, 7, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33952, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 487, 54, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33953, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 318, 13, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33954, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 269, 15, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33955, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 115, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33956, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 204, 31, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33957, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 176, 34, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33958, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 62, 25, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33959, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 32214, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33960, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 32, 24, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33961, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 187, 27, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33962, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 372, 5, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33963, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 114, 25, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33964, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 266, 39, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33965, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 319, 4, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33966, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 81, 18, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33967, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1164, 12, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33968, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 52, 12, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33969, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 807, 7, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33970, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 26, 15, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33971, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 496, 8, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33972, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 85, 15, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33973, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 277, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33974, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 61, 17, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33975, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 8462, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33976, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 51, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33977, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 344, 12, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33978, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 415, 5, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33979, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 226, 11, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33980, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 492, 7, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33981, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 545, 40, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33982, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 139, 33, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33983, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 123, 31, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33984, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 166, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33985, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 12, 28, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33986, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 46, 19, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33987, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 38, 16, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33988, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 109, 18, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33989, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 25, 19, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33990, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 1526, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33991, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 13, 19, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33992, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33993, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 480, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33994, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1058, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33995, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 845, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33996, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2068, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33997, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2795, 5, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33998, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 247, 9, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (33999, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 756, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34000, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 621, 10, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34001, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 126, 4, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34002, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1726, 38, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34003, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1724, 48, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34004, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 38, 4, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34005, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1412, 34, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34006, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1783, 40, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34007, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 250, 21, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34008, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1660, 31, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34009, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 38, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34010, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 3096, 27, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34011, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1634, 36, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34012, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 2287, 29, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34013, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 358, 10, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34014, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 269, 15, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34015, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2795, 5, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34016, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 277, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34017, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 807, 7, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34018, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 496, 8, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34019, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 319, 4, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34020, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1102, 11, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34021, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 14, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34022, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 8, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34023, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 187, 27, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34024, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 266, 39, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34025, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 176, 34, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34026, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 204, 31, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34027, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 226, 11, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34028, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 372, 5, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34029, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 32214, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34030, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 487, 54, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34031, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 301, 8, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34032, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 647, 9, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34033, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34034, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 35320, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34035, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 178, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34036, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 184, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34037, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 686, 16, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34038, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 13, 19, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34039, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 257, 54, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34040, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 21, 8, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34041, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 102, 10, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34042, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 300, 44, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34043, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 163, 13, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34044, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 191, 43, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34045, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 83, 5, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34046, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 46, 19, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34047, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 109, 18, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34048, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 25, 19, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34049, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 38, 16, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34050, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 12, 28, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34051, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 27, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34052, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 166, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34053, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 993, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34054, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1724, 9, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34055, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 115, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34056, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 212, 2, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34057, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 451, 24, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34058, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 318, 13, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34059, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 732, 7, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34060, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 94, 18, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34061, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 155, 23, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34062, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 404, 34, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34063, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 1526, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34064, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2068, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34065, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 288, 34, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34066, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1058, 6, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34067, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 845, 3, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34068, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 480, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34069, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 8462, 1, 2023, 6, 12, '2024-08-05 13:58:10', NULL, NULL), (34070, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 8904, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34071, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 600, 118, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34072, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 24, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34073, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1754, 250, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34074, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 2651, 9, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34075, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 200, 90, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34076, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 557, 71, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34077, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 291, 266, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34078, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1817, 66, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34079, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 570, 401, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34080, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 368, 50, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34081, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 495, 177, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34082, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 570, 401, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34083, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 511, 177, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34084, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 591, 58, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34085, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1794, 58, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34086, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 290, 267, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34087, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 600, 118, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34088, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1754, 250, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34089, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 492, 178, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34090, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 538, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34091, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 143, 12, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34092, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 600, 118, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34093, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 168, 46, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34094, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 271, 99, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34095, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1564, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34096, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 438, 33, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34097, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34098, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 970, 6, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34099, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 82, 34, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34100, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1148, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34101, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 3389, 12, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34102, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 586, 18, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34103, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 18, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34104, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 2818, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34105, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 513, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34106, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 4452, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34107, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 18, 10, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34108, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 19878, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34109, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 147, 146, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34110, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 959, 5, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34111, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34112, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 282, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34113, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 4239, 90, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34114, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 470, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34115, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 178, 63, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34116, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 102, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34117, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 7, 6, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34118, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 242, 28, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 586, 18, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1564, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1148, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 9333, 7, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 438, 33, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 361, 21, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 3047, 23, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 843, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 429, 24, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2124, 10, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 138, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 262, 29, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1674, 9, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 904, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 299, 35, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 27556, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2091, 12, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 243, 41, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2209, 6, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 277, 35, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1153, 11, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 2093, 32, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 11536, 11, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 782, 18, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 184, 13, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 4081, 13, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 125, 15, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 123, 49, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 62, 41, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 198, 15, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 50, 19, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 2997, 20, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 75, 14, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 123, 14, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 97, 22, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 77, 20, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 174, 20, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 308, 44, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 264, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 69, 7, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 224, 23, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 209, 33, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 150, 30, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 100, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 306, 8, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 782, 28, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 597, 17, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 671, 5, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 268, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 425, 14, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 223, 17, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 54, 23, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 207, 8, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 16, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 24, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 89, 14, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 82, 34, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 47, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 8904, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 198, 23, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 255, 28, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 117, 24, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 54, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 135, 33, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 207, 32, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 177, 28, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 144, 29, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 470, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 121, 21, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 99, 16, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 525, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 19, 8, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 533, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 19878, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 256, 59, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 89, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 90, 9, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 22, 8, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 128, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 328, 11, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 31, 10, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 282, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 14, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 970, 6, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 15, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 168, 46, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 7, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 295, 40, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1887, 7, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1256, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 2818, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2143, 7, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 14490, 5, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1620, 10, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 3389, 12, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 959, 5, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34216, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1148, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34217, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 2818, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34218, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 24, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34219, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 282, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34220, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1564, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34221, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 600, 118, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34222, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 959, 5, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34223, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 586, 18, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34224, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 271, 99, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34225, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 538, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34226, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 168, 46, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34227, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 143, 12, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34228, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 82, 34, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34229, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 19878, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34230, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 102, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34231, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 7, 6, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34232, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 250, 27, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34233, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 470, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34234, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 513, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34235, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 178, 63, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34236, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 970, 6, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34237, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 4239, 90, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34238, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 438, 33, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34239, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 8904, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34240, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 3389, 12, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34241, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 147, 146, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34242, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 18, 10, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34243, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 970, 6, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34244, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 586, 18, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34245, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1148, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34246, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 168, 46, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34247, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 224, 23, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34248, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 8904, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34249, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 513, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34250, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 77, 20, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34251, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 75, 14, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34252, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 97, 22, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34253, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 50, 19, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34254, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 334, 13, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34255, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 54, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34256, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 2997, 20, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34257, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 293, 6, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34258, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 86, 7, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34259, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 7, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34260, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 15, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34261, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34262, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D16', 2818, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34263, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 99, 16, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34264, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 121, 21, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34265, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 533, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34266, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 538, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34267, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 198, 23, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34268, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 3389, 12, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34269, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 24, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34270, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 282, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34271, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 177, 28, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34272, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 135, 33, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34273, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 117, 24, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34274, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 959, 5, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34275, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 19, 8, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34276, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 19878, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34277, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 11536, 11, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34278, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 89, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34279, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 207, 8, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34280, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 128, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34281, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 9333, 7, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34282, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 16, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34283, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 187, 26, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34284, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 162, 22, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34285, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 186, 15, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34286, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1564, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34287, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 14, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34288, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1620, 10, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34289, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2143, 7, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34290, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 14490, 5, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34291, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 295, 40, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34292, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 256, 59, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34293, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 470, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34294, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1674, 9, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34295, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2091, 12, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34296, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2209, 6, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34297, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1223, 10, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34298, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 82, 34, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34299, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 843, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34300, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1849, 9, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34301, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 438, 33, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34302, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 22, 8, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34303, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 328, 11, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34304, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 90, 9, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34305, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 14, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34306, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 31, 10, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34307, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 282, 3, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34308, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 15, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34309, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 7, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34310, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34311, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1620, 10, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34312, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 14490, 5, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34313, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2143, 7, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34314, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 308, 44, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34315, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 198, 15, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34316, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 2818, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34317, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 174, 20, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34318, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 54, 23, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34319, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 121, 21, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34320, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 99, 16, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34321, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 27556, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34322, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 533, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34323, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 138, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34324, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 19, 8, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34325, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 904, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34326, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 128, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34327, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 223, 17, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34328, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 268, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34329, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 89, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34330, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 150, 30, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34331, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 256, 59, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34332, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 209, 33, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34333, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 295, 40, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34334, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 168, 46, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34335, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 970, 6, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34336, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 89, 14, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34337, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 47, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34338, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 82, 34, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34339, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1148, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34340, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 438, 33, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (34341, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 207, 8, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34342, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 16, 4, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34343, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 586, 18, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34344, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 198, 23, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34345, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 177, 28, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34346, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 125, 15, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34347, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 62, 41, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34348, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 117, 24, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34349, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1564, 3, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34350, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 135, 33, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34351, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 123, 49, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34352, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2209, 6, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34353, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 782, 18, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34354, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2091, 12, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34355, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1674, 9, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34356, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 4081, 13, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34357, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 184, 13, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34358, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2124, 10, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34359, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 843, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34360, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 123, 14, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34361, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 425, 14, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34362, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 11536, 11, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34363, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1153, 11, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34364, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1256, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34365, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 9333, 7, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34366, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1887, 7, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34367, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 24, 3, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34368, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 255, 28, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34369, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 144, 29, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34370, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 207, 32, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34371, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 54, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34372, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 8904, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34373, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 2997, 20, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34374, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 75, 14, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34375, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 50, 19, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34376, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 97, 22, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34377, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 77, 20, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34378, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 19878, 1, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34379, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 224, 23, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34380, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 470, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34381, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 525, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34382, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 959, 5, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34383, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 3389, 12, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34384, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 69, 7, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34385, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 671, 5, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34386, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 597, 17, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34387, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 264, 4, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34388, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 277, 35, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34389, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 243, 41, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34390, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 100, 2, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34391, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 299, 35, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34392, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 262, 29, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34393, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 782, 28, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34394, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 429, 24, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34395, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 306, 8, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34396, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 3047, 23, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34397, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 361, 21, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34398, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 2093, 32, 2023, 6, 13, '2024-08-05 13:58:14', NULL, NULL), (34399, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 11536, 11, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34400, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1223, 10, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34401, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 586, 18, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34402, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 843, 4, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34403, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 3389, 12, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34404, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1674, 9, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34405, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1849, 9, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34406, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2209, 6, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34407, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2091, 12, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34408, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 89, 2, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34409, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 117, 24, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34410, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 135, 33, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34411, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 177, 28, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34412, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 198, 23, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34413, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 19878, 1, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34414, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 9333, 7, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34415, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1564, 3, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34416, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 438, 33, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34417, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2143, 7, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34418, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 14490, 5, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34419, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1620, 10, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34420, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 128, 1, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34421, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1148, 4, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34422, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 14, 2, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34423, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 224, 23, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34424, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 334, 13, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34425, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 256, 59, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34426, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 86, 7, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34427, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 295, 40, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34428, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 293, 6, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34429, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 54, 1, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34430, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 168, 46, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34431, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 19, 8, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34432, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 75, 14, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34433, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 97, 22, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34434, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 77, 20, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34435, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 50, 19, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34436, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 2997, 20, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34437, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 282, 3, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34438, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 8904, 1, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34439, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D16', 2818, 4, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34440, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 970, 6, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34441, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 24, 3, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34442, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 538, 2, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34443, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 7, 1, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34444, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 15, 2, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34445, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 3, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34446, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 186, 15, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34447, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 16, 4, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34448, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 533, 1, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34449, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 207, 8, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34450, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 187, 26, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34451, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 162, 22, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34452, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 82, 34, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34453, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 959, 5, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34454, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 121, 21, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34455, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 99, 16, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34456, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 470, 4, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34457, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 513, 2, 2023, 6, 13, '2024-08-05 13:58:15', NULL, NULL), (34458, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 77, 116, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34459, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 2714, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34460, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 355, 76, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34461, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 388, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34462, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 399, 73, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34463, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 237, 270, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34464, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 633, 77, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34465, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 223, 378, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34466, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 254, 71, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34467, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 854, 260, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34468, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 366, 194, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34469, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 222, 379, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34470, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 513, 169, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34471, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 610, 69, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34472, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 305, 81, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34473, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 236, 272, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34474, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 854, 260, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34475, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 77, 117, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34476, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 366, 194, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34477, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 52, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34478, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34479, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 174, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34480, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 783, 50, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34481, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 77, 117, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34482, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 224, 102, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34483, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 3648, 6, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34484, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 235, 36, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34485, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 585, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34486, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 0, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34487, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 113, 29, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34488, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 574, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34489, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 3029, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34490, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 8989, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34491, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 409, 16, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34492, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 388, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34493, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 146, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34494, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 1518, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34495, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 3, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34496, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34497, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 611, 8, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34498, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 121, 165, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34499, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 337, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34500, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34501, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 232, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34502, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1661, 95, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34503, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 1263, 7, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34504, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 309, 49, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34505, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 15, 6, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34506, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 12, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34507, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 440, 27, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34508, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 409, 16, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 21360, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 132, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 52, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 574, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1551, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 235, 36, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 241, 33, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 151, 17, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 253, 24, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1337, 7, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2216, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 229, 35, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1879, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 152, 23, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 774, 8, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 449, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1336, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 112, 26, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 273, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 89, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 132, 42, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1062, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 194, 25, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 3826, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 293, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 396, 5, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 305, 15, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 408, 16, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 367, 54, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 361, 52, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 50, 13, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 77, 19, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 12, 24, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 104, 19, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 71, 16, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 437, 18, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 356, 12, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 164, 17, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 46, 17, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 313, 24, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 264, 5, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 256, 16, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 159, 21, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 470, 48, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 272, 28, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 15, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 37, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 441, 25, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 291, 14, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 946, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 365, 12, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 6, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 77, 21, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 174, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 95, 31, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 388, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 172, 33, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 113, 29, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1886, 5, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 127, 23, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 353, 18, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 153, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 1926, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 117, 29, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 81, 54, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 344, 24, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 160, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 213, 31, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1263, 7, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 8989, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 1518, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 236, 22, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 99, 18, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 18, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 1204, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 68, 7, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 6, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 221, 57, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 72, 6, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 13, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 49, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 181, 6, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 16, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 18, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 186, 5, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 585, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 48, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 783, 50, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 19, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 227, 45, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 3, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 4, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1847, 8, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1398, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 3365, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2315, 16, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 337, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 185, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 134, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34610, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 574, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34611, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 146, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34612, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 388, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34613, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 232, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34614, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 4378, 5, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34615, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 77, 116, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34616, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 409, 16, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34617, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 337, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34618, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 3, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34619, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 224, 102, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34620, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 783, 50, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34621, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 174, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34622, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 113, 29, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34623, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 15, 6, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34624, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 12, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34625, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 440, 27, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34626, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1263, 7, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34627, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 1518, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34628, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 8989, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34629, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 585, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34630, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 309, 49, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34631, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1661, 95, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34632, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 52, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34633, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 235, 36, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34634, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 3365, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34635, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 121, 165, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34636, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 611, 8, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34637, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 585, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34638, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 409, 16, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34639, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D23', 8989, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34640, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 574, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34641, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 783, 50, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34642, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 159, 21, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34643, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 3, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34644, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 1518, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34645, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 46, 17, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34646, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 104, 19, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34647, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 71, 16, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34648, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 288, 8, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34649, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 77, 19, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34650, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 1926, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34651, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 12, 24, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34652, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 242, 6, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34653, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 234, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34654, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 19, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34655, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 48, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34656, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34657, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 134, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34658, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 52, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34659, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 99, 18, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34660, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 236, 22, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34661, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 68, 7, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34662, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 127, 23, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34663, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 3365, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34664, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 388, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34665, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 232, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34666, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 185, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34667, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 160, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34668, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 81, 54, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34669, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 117, 29, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34670, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 153, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34671, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 337, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34672, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 1204, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34673, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 16, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34674, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 18, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34675, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 3826, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34676, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 174, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34677, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1551, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34678, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 13, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34679, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 378, 18, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34680, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 203, 21, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34681, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 405, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34682, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 21360, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34683, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 132, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34684, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2315, 16, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34685, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1847, 8, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34686, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1398, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34687, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 227, 45, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34688, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 221, 57, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34689, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 6, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34690, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1263, 7, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34691, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 774, 8, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34692, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1336, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34693, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 89, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34694, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1062, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34695, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 113, 29, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34696, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1337, 7, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34697, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2216, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34698, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 235, 36, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34699, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 49, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34700, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 181, 6, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34701, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 6, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34702, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 72, 6, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34703, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 18, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34704, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 186, 5, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34705, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 48, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34706, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 19, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34707, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34708, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2315, 16, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34709, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1398, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34710, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 313, 24, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34711, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1847, 8, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34712, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 50, 13, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34713, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 134, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34714, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 185, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34715, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 164, 17, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34716, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 95, 31, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34717, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 236, 22, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34718, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 99, 18, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34719, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 273, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34720, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 68, 7, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34721, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 18, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34722, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1879, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34723, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 1204, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34724, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 449, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34725, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 16, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34726, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 77, 21, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34727, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 13, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34728, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 6, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34729, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 272, 28, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34730, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 221, 57, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34731, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 470, 48, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34732, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 227, 45, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34733, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 783, 50, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34734, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 585, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34735, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 172, 33, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34736, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1886, 5, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34737, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 574, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34738, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 113, 29, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34739, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 174, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34740, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 235, 36, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34741, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 409, 16, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34742, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 52, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34743, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 127, 23, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34744, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 81, 54, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34745, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 160, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34746, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 408, 16, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34747, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 21360, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34748, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 361, 52, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34749, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 153, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34750, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 132, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34751, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 117, 29, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34752, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 367, 54, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34753, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 89, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34754, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 293, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34755, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 356, 12, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34756, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1336, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (34757, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 774, 8, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34758, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 305, 15, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34759, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2216, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34760, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 396, 5, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34761, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1337, 7, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34762, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 437, 18, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34763, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 365, 12, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34764, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 3826, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34765, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1062, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34766, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 4, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34767, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1551, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34768, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 3, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34769, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 388, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34770, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 353, 18, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34771, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 213, 31, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34772, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 344, 24, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34773, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 1926, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34774, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 12, 24, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34775, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 104, 19, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34776, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 77, 19, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34777, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 71, 16, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34778, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 46, 17, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34779, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 159, 21, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34780, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 8989, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34781, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 1518, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34782, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1263, 7, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34783, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 337, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34784, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 3365, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34785, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 256, 16, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34786, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 946, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34787, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 291, 14, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34788, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 264, 5, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34789, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 132, 42, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34790, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 112, 26, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34791, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 15, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34792, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 152, 23, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34793, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 229, 35, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34794, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 441, 25, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34795, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 253, 24, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34796, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 37, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34797, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 151, 17, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34798, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 241, 33, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34799, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 194, 25, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34800, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 3826, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34801, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1062, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34802, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 409, 16, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34803, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 3365, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34804, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1337, 7, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34805, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 774, 8, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34806, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2216, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34807, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 89, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34808, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1336, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34809, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 13, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34810, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 153, 11, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34811, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 117, 29, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34812, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 81, 54, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34813, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 160, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34814, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 127, 23, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34815, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 3, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34816, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1551, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34817, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 132, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34818, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 21360, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34819, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 235, 36, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34820, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1847, 8, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34821, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1398, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34822, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2315, 16, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34823, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D23', 8989, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34824, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 16, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34825, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 574, 9, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34826, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 288, 8, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34827, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 159, 21, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34828, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 221, 57, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34829, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 18, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34830, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 234, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34831, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 227, 45, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34832, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 242, 6, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34833, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 1926, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34834, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 783, 50, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34835, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 1204, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34836, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 104, 19, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34837, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 71, 16, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34838, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 46, 17, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34839, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 77, 19, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34840, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 12, 24, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34841, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 232, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34842, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 185, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34843, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 134, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34844, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 585, 3, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34845, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 388, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34846, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 52, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34847, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 19, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34848, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 48, 1, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34849, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 4, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34850, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 405, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34851, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 68, 7, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34852, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 174, 10, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34853, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 378, 18, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34854, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 203, 21, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34855, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 113, 29, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34856, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 6, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34857, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 337, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34858, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 236, 22, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34859, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1263, 7, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34860, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 99, 18, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34861, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 1518, 2, 2023, 6, 14, '2024-08-05 13:58:16', NULL, NULL), (34862, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 3803, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34863, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 34, 81, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34864, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 411, 156, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34865, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1839, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34866, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 89, 66, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34867, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 2091, 42, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34868, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 1102, 167, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34869, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 605, 39, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34870, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 97, 300, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34871, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 4, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34872, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 812, 154, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34873, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 207, 135, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34874, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 97, 301, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34875, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 882, 121, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34876, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 590, 40, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34877, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 801, 156, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34878, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 1095, 168, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34879, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 34, 82, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34880, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 411, 156, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34881, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 207, 135, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34882, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 1391, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34883, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 3189, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34884, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 13972, 11, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34885, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 34, 82, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34886, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 680, 20, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34887, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 196, 68, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34888, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 356, 4, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34889, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 331, 16, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34890, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1550, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34891, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 57, 21, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34892, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 20, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34893, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 349, 6, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34894, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1198, 14, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34895, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34896, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 399, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34897, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 531, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34898, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 1901, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34899, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 15, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34900, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 67, 82, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34901, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 5205, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34902, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 21, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34903, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 577, 57, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34904, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 19, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34905, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 85, 44, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34906, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 2, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34907, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 11, 6, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34908, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 96, 22, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34909, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 4, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 76643, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1198, 14, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 45, 9, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 610, 7, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 306, 43, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 57, 21, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 4, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 17, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 20, 4, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 704, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 3803, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 84, 13, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 136, 14, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 60, 11, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 55, 18, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 20, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 99, 13, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 123, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 72, 25, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 79, 27, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 331, 16, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 34, 16, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 19, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 47, 22, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 6378, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 340, 4, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 83, 17, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 528, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 83, 29, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 58, 16, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 554, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 78, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1391, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 12, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 45, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 478, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 65, 18, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 75, 29, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 494, 7, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 12, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 21, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 61, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 30, 27, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 24, 17, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 185, 34, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 8, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 14, 9, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 133, 12, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 39, 12, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 54, 7, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 7, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 116, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 29, 7, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 367, 9, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 35, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 225, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 284, 28, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 35, 30, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 47, 16, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 18, 13, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 58, 14, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1550, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 2, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 62, 15, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 37, 13, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 37, 17, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 680, 20, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 2218, 7, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 7, 13, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 222, 20, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 206, 34, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 790, 26, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 96, 23, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1175, 74, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 7, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 610, 10, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 382, 7, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 848, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 419, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 11, 9, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1219, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 53, 24, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 5205, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 318, 27, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 55, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 269, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 868, 17, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 207, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (34999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 380, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 438, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 32241, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 22, 9, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 76, 24, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35004, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 20, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35005, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 399, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35006, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 21, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35007, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 475, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35008, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 34, 81, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35009, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1198, 14, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35010, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 5205, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35011, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 531, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35012, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 196, 68, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35013, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 1391, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35014, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 680, 20, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35015, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 13972, 11, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35016, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 57, 21, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35017, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 11, 6, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35018, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 4, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35019, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 2, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35020, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 96, 22, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35021, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 19, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35022, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1550, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35023, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 85, 44, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35024, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 577, 57, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35025, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 331, 16, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35026, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 3803, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35027, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 419, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35028, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 67, 82, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35029, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 15, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35030, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 6378, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35031, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 6378, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35032, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1550, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35033, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1198, 14, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35034, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 20, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35035, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 680, 20, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35036, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 11, 9, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35037, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 3803, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35038, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 531, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35039, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 7, 13, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35040, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 62, 15, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35041, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 37, 17, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35042, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 205, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35043, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 18, 13, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35044, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 58, 14, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35045, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 44, 7, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35046, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 79, 10, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35047, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 2, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35048, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 438, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35049, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 4, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35050, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 45, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35051, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 58, 16, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35052, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 61, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35053, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 1391, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35054, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 84, 13, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35055, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 419, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35056, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 21, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35057, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 380, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35058, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 99, 13, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35059, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 55, 18, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35060, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 60, 11, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35061, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 5205, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35062, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 21, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35063, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 35, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35064, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 12, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35065, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 76643, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35066, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 8, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35067, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 7, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35068, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 123, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35069, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35070, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 45, 9, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35071, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 83, 18, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35072, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 80, 17, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35073, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 98, 9, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35074, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 17, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35075, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 704, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35076, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1219, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35077, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 382, 7, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35078, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 848, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35079, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 206, 34, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35080, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 185, 34, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35081, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 19, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35082, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 554, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35083, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 478, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35084, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 57, 21, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35085, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 494, 7, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35086, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 340, 4, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35087, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 528, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35088, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 331, 16, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35089, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 54, 7, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35090, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 116, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35091, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 14, 9, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35092, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 367, 9, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35093, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 225, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35094, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 2, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35095, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1219, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35096, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 848, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35097, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 96, 23, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35098, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 382, 7, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35099, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 47, 16, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35100, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 438, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35101, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 136, 14, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35102, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 380, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35103, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 79, 27, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35104, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 222, 20, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35105, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 72, 25, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35106, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 58, 16, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35107, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 45, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35108, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 12, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35109, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 61, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35110, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 12, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35111, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 21, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35112, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 35, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35113, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 3803, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35114, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 7, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35115, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 76, 24, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35116, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35117, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 8, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35118, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 318, 27, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35119, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 53, 24, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35120, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 185, 34, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35121, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 206, 34, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35122, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 680, 20, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35123, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1550, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35124, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 610, 7, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35125, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 306, 43, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35126, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 20, 4, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35127, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 58, 14, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35128, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 20, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35129, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 57, 21, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35130, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 62, 15, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35131, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 76643, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35132, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 331, 16, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35133, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 18, 13, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35134, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 45, 9, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35135, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1198, 14, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35136, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 37, 17, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35137, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 7, 13, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35138, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 84, 13, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35139, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 99, 13, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35140, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 29, 7, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35141, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 17, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35142, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 60, 11, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35143, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 35, 30, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35144, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 55, 18, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35145, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 704, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35146, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 284, 28, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35147, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 24, 17, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35148, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 2218, 7, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35149, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 478, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35150, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 39, 12, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35151, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 554, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35152, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 133, 12, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35153, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 528, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35154, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 340, 4, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35155, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 37, 13, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35156, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 11, 9, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35157, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 19, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35158, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 6378, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35159, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 4, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35160, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1391, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35161, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 5205, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35162, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 419, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35163, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 22, 9, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35164, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 494, 7, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35165, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 610, 10, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35166, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 32241, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35167, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1175, 74, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35168, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 207, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35169, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 7, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35170, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 75, 29, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35171, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 65, 18, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35172, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 55, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35173, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 123, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (35174, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 78, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35175, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 83, 29, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35176, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 868, 17, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35177, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 83, 17, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35178, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 269, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35179, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 790, 26, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35180, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 47, 22, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35181, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 34, 16, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35182, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 30, 27, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35183, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 494, 7, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35184, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1198, 14, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35185, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 419, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35186, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 340, 4, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35187, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 554, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35188, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 528, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35189, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 478, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35190, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35191, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 8, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35192, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 60, 11, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35193, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 55, 18, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35194, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 99, 13, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35195, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 84, 13, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35196, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 531, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35197, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 123, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35198, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 704, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35199, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 17, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35200, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 331, 16, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35201, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 382, 7, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35202, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 848, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35203, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1219, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35204, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 35, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35205, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 7, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35206, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 20, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35207, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 205, 5, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35208, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 11, 9, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35209, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 185, 34, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35210, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 12, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35211, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 79, 10, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35212, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 206, 34, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35213, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 44, 7, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35214, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 680, 20, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35215, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 21, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35216, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 62, 15, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35217, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 37, 17, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35218, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 7, 13, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35219, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 18, 13, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35220, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 58, 14, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35221, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 21, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35222, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 3803, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35223, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 380, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35224, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 438, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35225, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1550, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35226, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 1391, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35227, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 2, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35228, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 98, 9, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35229, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 45, 9, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35230, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 61, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35231, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 76643, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35232, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 83, 18, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35233, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 80, 17, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35234, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 57, 21, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35235, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 5205, 3, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35236, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 6378, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35237, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 58, 16, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35238, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 45, 8, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35239, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 19, 2, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35240, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 4, 1, 2023, 6, 15, '2024-08-05 13:58:17', NULL, NULL), (35241, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 622, 107, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35242, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1585, 13, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35243, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 306, 58, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35244, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 611, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35245, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 828, 76, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35246, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 1319, 220, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35247, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 170, 383, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35248, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 624, 75, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35249, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 410, 98, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35250, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 199, 176, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35251, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1387, 233, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35252, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 169, 384, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35253, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 655, 161, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35254, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 624, 75, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35255, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 410, 98, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35256, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 1290, 225, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35257, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 622, 107, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35258, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1381, 234, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35259, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 199, 176, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35260, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 127, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35261, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 2039, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35262, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 128, 14, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35263, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 622, 107, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35264, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 639, 32, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35265, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1132, 86, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35266, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1886, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35267, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 539, 36, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35268, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 671, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35269, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 110, 20, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35270, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 8, 9, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35271, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 129, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35272, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1079, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35273, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 2037, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35274, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 286, 11, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35275, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 611, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35276, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 538, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35277, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 741, 6, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35278, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 432, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35279, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35280, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 128, 9, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35281, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 27, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35282, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 117, 126, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35283, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 690, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35284, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35285, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 504, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35286, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1982, 98, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35287, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 2473, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35288, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 254, 41, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35289, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 14, 6, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35290, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 13, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35291, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 430, 17, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35292, 1, '511500000000-0001', '宜宾市民中心', '邮寄业务', '', '', '', 0, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35293, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 286, 11, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 4421, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1041, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 8, 9, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2164, 19, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 539, 36, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 103, 19, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 165, 43, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 116, 24, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1313, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1984, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 82, 29, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1327, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1502, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 85, 21, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1026, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2361, 9, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 804, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 167, 32, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2728, 12, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 196, 36, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1537, 11, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 211, 38, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 4048, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 135, 23, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 256, 23, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 183, 16, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 174, 13, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 234, 36, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 236, 35, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 135, 24, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 454, 18, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 686, 20, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 521, 24, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 50, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 366, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 44, 12, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 822, 19, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 53, 22, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 500, 19, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 472, 14, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 1290, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 743, 22, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 247, 26, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 219, 36, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 349, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 210, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 674, 21, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1869, 15, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 764, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 13, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 186, 16, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 23, 12, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 131, 18, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 337, 19, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 128, 14, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 611, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 606, 48, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 110, 20, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 277, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 67, 10, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 101, 16, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 289, 11, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 167, 30, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 76, 12, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 258, 20, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 348, 27, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 27, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2473, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4078, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2037, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 145, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 123, 24, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1071, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 111, 24, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 20, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 274, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 62, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 119, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 47, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1132, 86, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 16, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 290, 10, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 15, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 92, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 7, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 50314, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 17, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 155, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 468, 6, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 5, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 671, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 4, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 129, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 639, 32, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 151, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 45, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 503, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2698, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2172, 12, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 690, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 538, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35396, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 8, 9, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35397, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 538, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35398, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 611, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35399, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 504, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35400, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1886, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35401, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 622, 107, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35402, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 286, 11, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35403, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 690, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35404, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 432, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35405, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1132, 86, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35406, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 127, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35407, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 639, 32, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35408, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 128, 14, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35409, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 110, 20, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35410, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 27, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35411, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 14, 6, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35412, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 13, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35413, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 430, 17, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35414, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 129, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35415, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 2473, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35416, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 889, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35417, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 2037, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35418, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 671, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35419, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 254, 41, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35420, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1982, 98, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35421, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 539, 36, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35422, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2698, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35423, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 118, 125, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35424, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 128, 9, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35425, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 4078, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35426, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 671, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35427, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 4078, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35428, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 286, 11, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35429, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D23', 2037, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35430, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 8, 9, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35431, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 639, 32, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35432, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 743, 22, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35433, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 432, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35434, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 145, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35435, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 1386, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35436, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 822, 19, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35437, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 521, 24, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35438, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 50, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35439, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 454, 18, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35440, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 518, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35441, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 686, 20, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35442, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 273, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35443, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 549, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35444, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 4, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35445, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 111, 24, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35446, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 123, 24, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35447, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 119, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35448, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 62, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35449, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 127, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35450, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 67, 10, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35451, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2698, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35452, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 611, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35453, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 504, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35454, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 538, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35455, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 76, 12, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35456, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 167, 30, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35457, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 101, 16, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35458, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 690, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35459, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D26', 27, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35460, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 274, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35461, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 17, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35462, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 20, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35463, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 4048, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35464, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 16, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35465, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 7, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35466, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2164, 19, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35467, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 15, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35468, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 128, 14, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35469, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 251, 13, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35470, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 278, 20, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35471, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 203, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35472, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 4421, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35473, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1041, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35474, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 5, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35475, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2172, 12, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35476, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E28', 129, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35477, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 503, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35478, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1132, 86, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35479, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 47, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35480, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 2473, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35481, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1502, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35482, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2361, 9, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35483, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2524, 11, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35484, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1537, 11, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35485, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 110, 20, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35486, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1313, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35487, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1984, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35488, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 539, 36, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35489, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 92, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35490, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 50314, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35491, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 47, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35492, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 290, 10, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35493, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 5, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35494, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 155, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35495, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 468, 6, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35496, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 129, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35497, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 4, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35498, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2172, 12, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35499, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 503, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35500, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 500, 19, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35501, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 135, 24, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35502, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 538, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35503, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 53, 22, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35504, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 131, 18, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35505, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 123, 24, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35506, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 111, 24, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35507, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 804, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35508, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 62, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35509, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 119, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35510, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 20, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35511, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1327, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35512, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 274, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35513, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1026, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35514, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 17, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35515, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 7, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35516, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 23, 12, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35517, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 13, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35518, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 15, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35519, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 16, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35520, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 219, 36, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35521, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 247, 26, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35522, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1132, 86, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35523, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 639, 32, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35524, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 671, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35525, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 337, 19, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35526, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 606, 48, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35527, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 277, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35528, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 8, 9, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35529, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 110, 20, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35530, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 539, 36, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35531, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 286, 11, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35532, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 128, 14, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35533, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 67, 10, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35534, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 76, 12, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35535, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 174, 13, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35536, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 4421, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35537, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 101, 16, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35538, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 236, 35, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35539, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1041, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35540, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 234, 36, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35541, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 167, 30, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35542, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 135, 23, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35543, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2728, 12, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35544, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 44, 12, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35545, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2361, 9, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35546, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 183, 16, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35547, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1502, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35548, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 256, 23, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35549, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1984, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35550, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1313, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35551, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 366, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35552, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 186, 16, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35553, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 4048, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35554, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1537, 11, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35555, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 45, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35556, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2164, 19, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35557, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 151, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35558, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 611, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35559, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 289, 11, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35560, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 348, 27, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35561, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 258, 20, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35562, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 686, 20, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35563, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 521, 24, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35564, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 454, 18, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35565, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 50, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35566, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 822, 19, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35567, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 27, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35568, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 743, 22, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35569, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2037, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35570, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 145, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35571, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2473, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35572, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4078, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35573, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1071, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35574, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 690, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35575, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2698, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35576, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 1290, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35577, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 764, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35578, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1869, 15, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35579, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 472, 14, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35580, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 196, 36, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35581, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 167, 32, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35582, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 349, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35583, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 85, 21, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35584, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 82, 29, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35585, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 674, 21, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35586, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 116, 24, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35587, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 210, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35588, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 165, 43, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35589, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 103, 19, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (35590, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 211, 38, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35591, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 4048, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35592, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1537, 11, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35593, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 286, 11, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35594, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2698, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35595, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1313, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35596, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1502, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35597, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1984, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35598, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2524, 11, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35599, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2361, 9, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35600, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 15, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35601, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 16, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35602, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 101, 16, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35603, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 167, 30, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35604, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 76, 12, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35605, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 67, 10, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35606, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D26', 27, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35607, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 432, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35608, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2164, 19, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35609, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1041, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35610, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 4421, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35611, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 539, 36, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35612, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 503, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35613, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2172, 12, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35614, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D23', 2037, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35615, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 17, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35616, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 7, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35617, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 8, 9, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35618, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 5, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35619, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 743, 22, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35620, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 518, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35621, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1132, 86, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35622, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 20, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35623, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 549, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35624, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 273, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35625, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 639, 32, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35626, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 274, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35627, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 521, 24, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35628, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 50, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35629, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 822, 19, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35630, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 454, 18, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35631, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 686, 20, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35632, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 504, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35633, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 538, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35634, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 671, 5, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35635, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 611, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35636, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 127, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35637, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 4, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35638, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 203, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35639, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 128, 14, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35640, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 62, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35641, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 119, 7, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35642, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 251, 13, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35643, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 278, 20, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35644, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 110, 20, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35645, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 47, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35646, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 690, 8, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35647, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 4078, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35648, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 123, 24, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35649, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 2473, 4, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35650, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 111, 24, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35651, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 1386, 3, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35652, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 145, 2, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35653, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E28', 129, 1, 2023, 6, 16, '2024-08-05 13:58:18', NULL, NULL), (35654, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 865, 5, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35655, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 1417, 9, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35656, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 14, 1, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35657, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1381, 86, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35658, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1255, 53, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35659, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 277, 27, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35660, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1335, 89, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35661, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 720, 6, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35662, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 14, 1, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35663, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1232, 54, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35664, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 1275, 10, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35665, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 8, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35666, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 250, 30, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35667, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 0, 1, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35668, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 4013, 3, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35669, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 8, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35670, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 282, 3, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35671, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 0, 1, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35672, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 164, 14, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35673, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 139, 4, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35674, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 897, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35675, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 226, 9, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35676, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 80, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35677, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 0, 1, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35678, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 865, 5, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35679, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 14, 1, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 4013, 3, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 164, 14, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1462, 22, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 110, 7, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1109, 31, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 80, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 252, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 10, 14, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 184, 6, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 470, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 2735, 43, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 865, 5, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 897, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 14, 1, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 139, 4, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 847, 1, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 8, 11, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 17, 11, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35698, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 14, 1, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35699, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 865, 5, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35700, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 897, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35701, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 226, 9, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35702, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 164, 14, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35703, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 847, 1, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35704, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 4013, 3, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35705, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 80, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35706, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 139, 4, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35707, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 897, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35708, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 14, 1, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35709, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 847, 1, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35710, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 4013, 3, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35711, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 139, 4, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35712, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 865, 5, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35713, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 118, 5, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35714, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 470, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35715, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 80, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35716, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 252, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35717, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 164, 14, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35718, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 14, 1, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35719, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 80, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35720, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 4013, 3, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35721, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 139, 4, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35722, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 470, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35723, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 184, 6, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35724, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 252, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35725, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 2735, 43, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35726, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 164, 14, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35727, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 10, 14, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35728, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 865, 5, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35729, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 847, 1, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35730, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 897, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35731, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 110, 7, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35732, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1462, 22, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35733, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1109, 31, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35734, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 8, 11, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35735, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 17, 11, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35736, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 865, 5, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35737, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 139, 4, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35738, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 470, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35739, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 4013, 3, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35740, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 80, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35741, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 252, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35742, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 118, 5, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35743, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 14, 1, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35744, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 897, 2, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35745, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 164, 14, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35746, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 847, 1, 2023, 6, 17, '2024-08-05 13:58:19', NULL, NULL), (35747, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 49, 1, 2023, 6, 18, '2024-08-05 13:58:20', NULL, NULL), (35748, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 164, 8, 2023, 6, 18, '2024-08-05 13:58:20', NULL, NULL), (35749, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 855, 78, 2023, 6, 18, '2024-08-05 13:58:20', NULL, NULL), (35750, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 105, 25, 2023, 6, 18, '2024-08-05 13:58:20', NULL, NULL), (35751, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 150, 5, 2023, 6, 18, '2024-08-05 13:58:20', NULL, NULL), (35752, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 844, 79, 2023, 6, 18, '2024-08-05 13:58:20', NULL, NULL), (35753, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 24, 2, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35754, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 105, 25, 2023, 6, 18, '2024-08-05 13:58:20', NULL, NULL), (35755, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 146, 9, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35756, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 62, 12, 2023, 6, 18, '2024-08-05 13:58:20', NULL, NULL), (35757, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 222, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35758, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 174, 3, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35759, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 0, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35760, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 49, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35761, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35762, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 32, 7, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35763, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 144, 6, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 98, 15, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 227, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 115, 10, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 66, 9, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 3, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 228, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 190, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 34, 6, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 222, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 144, 6, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 324, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1832, 23, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1104, 21, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 49, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 10, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 60, 8, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 12, 11, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35781, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 227, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35782, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 49, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35783, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 144, 6, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35784, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 174, 3, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35785, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 222, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35786, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 190, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35787, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 324, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35788, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 144, 6, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35789, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 222, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35790, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 10, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35791, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 227, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35792, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 49, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35793, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 98, 15, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35794, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 228, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35795, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 222, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35796, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 144, 6, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35797, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 190, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35798, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 324, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35799, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 3, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35800, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1104, 21, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35801, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1832, 23, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35802, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 227, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35803, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 34, 6, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35804, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 10, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35805, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 66, 9, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35806, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 115, 10, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35807, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 60, 8, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35808, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 12, 11, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35809, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 49, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35810, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 49, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35811, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 222, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35812, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 227, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35813, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 190, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35814, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 324, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35815, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 144, 6, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35816, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 10, 1, 2023, 6, 18, '2024-08-05 13:58:21', NULL, NULL), (35817, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 5147, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35818, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 584, 115, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35819, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 3, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35820, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 4147, 233, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35821, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 7450, 12, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35822, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 470, 190, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35823, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1133, 53, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35824, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 72, 211, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35825, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 988, 419, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35826, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 10680, 78, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35827, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 1127, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35828, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 241, 152, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35829, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 357, 134, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35830, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 986, 420, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35831, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 888, 276, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35832, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 10680, 78, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35833, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 354, 135, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35834, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 72, 211, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35835, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 584, 115, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35836, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 4129, 234, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35837, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 241, 152, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35838, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 257418, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35839, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 398, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35840, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 87468, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35841, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 45, 13, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35842, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 584, 115, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35843, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 1954, 52, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35844, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 694, 92, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35845, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 592, 7, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35846, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 157, 42, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35847, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35848, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 254, 7, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35849, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 2759, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35850, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 77, 37, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35851, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 5, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35852, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 40, 9, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35853, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 10, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35854, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 11, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35855, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 3, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35856, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 177753, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35857, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 238, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35858, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 5147, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35859, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 53, 8, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35860, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 42, 102, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35861, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 503, 9, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35862, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 7, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35863, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1233, 67, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35864, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 44, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35865, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 467, 154, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35866, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 30, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35867, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 441, 12, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35868, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 482, 36, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35869, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 1127, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 10, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 107, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1115, 6, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 257418, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 5, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 883, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 157, 42, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1484, 37, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 729, 26, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 936, 32, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2738, 10, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1327, 8, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1750, 25, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1035, 7, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1308, 52, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1643, 6, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 909, 14, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2003, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1796, 28, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1554, 32, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1288, 8, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1029, 32, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 4264, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 98, 17, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 172, 16, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 106, 11, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 406, 43, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 340, 32, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 705, 18, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 3412, 18, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 28, 21, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 52, 15, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 128, 6, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 104, 23, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 14, 11, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 23, 15, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 115, 23, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1725, 20, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 3614, 6, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 581, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 72, 23, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 179, 38, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 154, 29, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 26, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 19, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 467, 14, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 880, 24, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 2015, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 109, 16, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 165, 27, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 49, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 290, 32, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 270, 30, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 44, 10, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 3, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 292, 50, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 77, 37, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 1127, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 65, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 5147, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 44, 10, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 24, 12, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 483, 70, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 38, 20, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 35, 12, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 456, 55, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 468, 65, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 44, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 87468, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 11, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 48, 21, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 345, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 24, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 43, 16, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 44, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 62, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 77, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 58, 7, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 25, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 826, 74, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 27, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 22, 7, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 1389, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 19, 14, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 32, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 244, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 262, 6, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 7, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 296, 6, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 2, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 1954, 52, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 152, 18, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 61, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 814, 6, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 965, 11, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 941, 9, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 682, 11, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 40, 9, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 503, 9, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 98, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 355407, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35971, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 5, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35972, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 177753, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35973, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 3, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35974, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 7, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35975, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 584, 115, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35976, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 592, 7, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35977, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 10, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35978, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 503, 9, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35979, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 694, 92, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35980, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 398, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35981, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 1954, 52, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35982, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 45, 13, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35983, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 77, 37, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35984, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 441, 12, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35985, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 1127, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35986, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 30, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35987, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 482, 36, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35988, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 44, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35989, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 238, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35990, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 11, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35991, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 296, 6, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35992, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 467, 154, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35993, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1233, 67, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35994, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 257418, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35995, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 157, 42, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35996, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 5147, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35997, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 40, 9, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35998, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 2759, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (35999, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 42, 102, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36000, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 53, 8, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36001, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 87468, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36002, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 87468, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36003, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 296, 6, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (36004, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 10, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36005, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D23', 11, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36006, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 5, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36007, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 1954, 52, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36008, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 72, 23, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36009, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 5147, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36010, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 309, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36011, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 24, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36012, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 23, 15, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36013, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 52, 15, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36014, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 104, 23, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36015, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 3412, 18, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36016, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 595, 16, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36017, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 28, 21, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36018, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 413, 8, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36019, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 377, 12, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36020, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 61, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36021, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 2, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36022, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 355407, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36023, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 257418, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36024, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 1127, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36025, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 43, 16, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36026, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 48, 21, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36027, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 58, 7, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36028, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 77, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36029, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 398, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36030, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 44, 10, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36031, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 40, 9, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36032, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 3, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36033, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 2759, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36034, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 7, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36035, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 98, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36036, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 35, 12, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36037, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 38, 20, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36038, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 24, 12, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36039, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 503, 9, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36040, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 62, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36041, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 244, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36042, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 44, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36043, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 4264, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36044, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 27, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36045, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 49, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36046, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 883, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36047, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 32, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36048, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 44, 10, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36049, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 1389, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36050, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 464, 47, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36051, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 488, 53, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36052, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 449, 54, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36053, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 107, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36054, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 786, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36055, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 682, 11, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36056, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 941, 9, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36057, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 152, 18, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36058, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 826, 74, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36059, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 25, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36060, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 44, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36061, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1035, 7, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36062, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 909, 14, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36063, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1288, 8, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36064, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 77, 37, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36065, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1327, 8, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36066, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 157, 42, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36067, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 22, 7, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36068, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 19, 14, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36069, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 25, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36070, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 262, 6, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36071, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 7, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36072, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 61, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36073, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 2, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36074, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 682, 11, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36075, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 941, 9, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36076, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1725, 20, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36077, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 705, 18, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36078, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 355407, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36079, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 98, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36080, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 115, 23, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36081, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 290, 32, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36082, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 48, 21, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36083, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 43, 16, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36084, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2003, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36085, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 77, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36086, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 58, 7, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36087, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2738, 10, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36088, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 44, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36089, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 62, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36090, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1643, 6, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36091, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 244, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36092, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 165, 27, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36093, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 32, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36094, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 1389, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36095, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 27, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36096, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 154, 29, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36097, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 179, 38, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36098, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 826, 74, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36099, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 152, 18, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36100, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 1954, 52, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36101, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 296, 6, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36102, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 270, 30, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36103, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 292, 50, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36104, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 65, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36105, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 5, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36106, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 77, 37, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36107, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 49, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36108, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 157, 42, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36109, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 10, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36110, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 44, 10, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36111, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 257418, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36112, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 44, 10, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36113, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 35, 12, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36114, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 106, 11, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36115, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 107, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36116, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 340, 32, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36117, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 24, 12, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36118, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 38, 20, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36119, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 406, 43, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36120, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1115, 6, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36121, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 98, 17, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36122, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 909, 14, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36123, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 14, 11, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36124, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1035, 7, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36125, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 172, 16, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36126, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1327, 8, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36127, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 128, 6, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36128, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 1127, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36129, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 109, 16, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36130, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 4264, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36131, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1288, 8, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36132, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 965, 11, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36133, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 883, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36134, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 814, 6, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36135, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 3, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36136, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 483, 70, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36137, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 468, 65, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36138, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 456, 55, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36139, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 5147, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36140, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 28, 21, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36141, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 52, 15, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36142, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 3412, 18, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36143, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 104, 23, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36144, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 23, 15, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36145, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 72, 23, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36146, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 11, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36147, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 345, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36148, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 44, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36149, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 87468, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36150, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 24, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36151, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 503, 9, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36152, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 40, 9, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36153, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 581, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36154, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 2015, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36155, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 880, 24, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36156, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 3614, 6, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36157, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1554, 32, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36158, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1796, 28, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36159, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 26, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36160, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1308, 52, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36161, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1750, 25, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36162, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 467, 14, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36163, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 936, 32, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36164, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 19, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36165, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 729, 26, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36166, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1484, 37, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36167, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1029, 32, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36168, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 4264, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36169, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1288, 8, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36170, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 10, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36171, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 40, 9, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36172, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1035, 7, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36173, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1327, 8, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36174, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 909, 14, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36175, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 1389, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36176, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 27, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36177, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 24, 12, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36178, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 38, 20, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36179, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 35, 12, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36180, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 44, 10, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36181, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 883, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36182, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 786, 5, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36183, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 107, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36184, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 157, 42, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36185, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 941, 9, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36186, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 682, 11, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36187, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D23', 11, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36188, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 244, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36189, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 32, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36190, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 5, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36191, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 595, 16, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36192, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 72, 23, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36193, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 826, 74, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36194, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 44, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36195, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 152, 18, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36196, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 377, 12, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36197, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 413, 8, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36198, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 1954, 52, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36199, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 62, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36200, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 52, 15, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36201, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 104, 23, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36202, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 23, 15, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36203, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 3412, 18, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36204, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 28, 21, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36205, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 7, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36206, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 5147, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36207, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 98, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36208, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 355407, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36209, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 296, 6, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36210, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 398, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36211, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 3, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36212, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 257418, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36213, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 61, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36214, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 2, 2, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36215, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 449, 54, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36216, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 44, 10, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36217, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 77, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36218, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 58, 7, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36219, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 2759, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36220, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 49, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36221, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 464, 47, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36222, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 488, 53, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36223, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 77, 37, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36224, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 25, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36225, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 503, 9, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36226, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 87468, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36227, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 48, 21, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36228, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 44, 4, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36229, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 43, 16, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36230, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 24, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36231, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 309, 3, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36232, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 1127, 1, 2023, 6, 19, '2024-08-05 13:58:22', NULL, NULL), (36233, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 12, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36234, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 78, 111, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36235, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 2043, 7, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36236, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 264, 100, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36237, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 120, 189, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36238, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 807, 46, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36239, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 457, 361, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36240, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 517, 75, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36241, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 180, 157, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36242, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 209, 92, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36243, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 970, 209, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36244, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 456, 362, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36245, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 486, 160, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36246, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 517, 75, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36247, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 209, 92, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36248, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 119, 191, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36249, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 965, 210, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36250, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 75, 114, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36251, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 180, 157, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36252, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 103, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36253, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 60, 9, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36254, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 1015, 45, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36255, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 75, 114, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36256, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 179, 82, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36257, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1609, 11, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36258, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 158, 27, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36259, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 748, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36260, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 206, 23, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36261, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 5, 10, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36262, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 418, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36263, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 12825, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36264, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 362, 12, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36265, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 85, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36266, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 197, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36267, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 12, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36268, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 30, 7, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36269, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 61, 97, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36270, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1289, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36271, 1, '511500000000-0001', '宜宾市民中心', '归集业务', '', '', '', 0, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36272, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 35, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36273, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 935, 70, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36274, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 275, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36275, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 271, 65, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36276, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 14713, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36277, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 73, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36278, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 251, 35, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 362, 12, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 6948, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1075, 10, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 5, 10, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1190, 8, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 158, 27, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 610, 27, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 605, 24, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 765, 7, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 549, 46, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 701, 8, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 735, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 487, 18, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1027, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 739, 6, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 622, 30, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 580, 28, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 965, 8, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1006, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 355, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 542, 30, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 991, 7, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 576, 34, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 235, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 236, 16, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 234, 24, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 229, 13, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 231, 39, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 118, 25, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 525, 15, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 169, 17, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 33, 22, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 22, 18, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 101, 11, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 90, 21, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 30, 13, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 106, 16, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 90, 17, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 518, 22, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 3090, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 3988, 3, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 116, 20, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 182, 26, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 96, 23, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 109, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 51, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 382, 14, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 170, 11, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 433, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 11, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 93, 13, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 74, 20, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 176, 11, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 143, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 36, 7, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 138, 34, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 293, 36, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 216, 22, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 440, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 12, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 42, 14, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 77, 10, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 343, 21, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 66, 21, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 67, 15, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 204, 43, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 290, 36, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 275, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 12825, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 51, 12, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 103, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 66, 14, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 34, 6, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 6, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 8, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 72, 9, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 4, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 208, 39, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 154, 8, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 24514, 3, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 64, 12, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 144, 8, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 11, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 31, 8, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 68, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 748, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 118, 3, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 1015, 45, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 9, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 153, 43, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 17, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 40, 6, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1130, 12, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 983, 11, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 418, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1289, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 85, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36376, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 5, 10, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36377, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 85, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36378, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 35, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36379, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1609, 11, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36380, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 78, 111, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36381, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1289, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36382, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 362, 12, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36383, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 197, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36384, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 179, 82, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36385, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 103, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36386, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 1015, 45, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36387, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 60, 9, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36388, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 216, 22, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36389, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 14713, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36390, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 73, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36391, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 251, 35, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36392, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 275, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36393, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 12825, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36394, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 748, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36395, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 271, 65, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36396, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 949, 69, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36397, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 158, 27, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36398, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 12, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36399, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 418, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36400, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 62, 96, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36401, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 30, 7, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36402, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 748, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36403, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 362, 12, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36404, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D23', 12825, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36405, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 5, 10, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36406, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 1015, 45, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36407, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 116, 20, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36408, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 12, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36409, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 197, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36410, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 30, 13, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36411, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 22, 18, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36412, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 90, 21, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36413, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 330, 10, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36414, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 169, 17, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36415, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 33, 22, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36416, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 149, 14, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36417, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 308, 11, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36418, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 9, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (36419, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 118, 3, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36420, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 66, 14, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36421, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 51, 12, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36422, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 72, 9, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36423, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 8, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36424, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 103, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36425, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 42, 14, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36426, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 418, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36427, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 35, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36428, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 85, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36429, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 67, 15, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36430, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 66, 21, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36431, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 77, 10, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36432, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1289, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36433, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 6, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36434, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 11, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36435, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 34, 6, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36436, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 235, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36437, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 143, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36438, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1190, 8, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36439, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 24514, 3, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36440, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 36, 7, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36441, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 230, 29, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36442, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 282, 25, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36443, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 355, 11, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36444, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 6948, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36445, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1075, 10, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36446, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 983, 11, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36447, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1130, 12, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36448, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 153, 43, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36449, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 208, 39, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36450, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 4, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36451, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 275, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36452, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1027, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36453, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 965, 8, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36454, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 355, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36455, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 216, 22, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36456, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 991, 7, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36457, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 765, 7, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36458, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 701, 8, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36459, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 158, 27, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36460, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 64, 12, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36461, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 144, 8, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36462, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 4, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36463, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 154, 8, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36464, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 31, 8, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36465, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 68, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36466, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 9, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36467, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 118, 3, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36468, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 983, 11, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36469, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1130, 12, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36470, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 518, 22, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36471, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 525, 15, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36472, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 85, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36473, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 90, 17, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36474, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 176, 11, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36475, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 51, 12, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36476, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 66, 14, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36477, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1006, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36478, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 8, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36479, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 72, 9, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36480, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 34, 6, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36481, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 735, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36482, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 6, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36483, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 739, 6, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36484, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 11, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36485, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 74, 20, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36486, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 11, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36487, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 24514, 3, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36488, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 96, 23, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36489, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 182, 26, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36490, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 208, 39, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36491, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 153, 43, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36492, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 1015, 45, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36493, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 748, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36494, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 138, 34, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36495, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 293, 36, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36496, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 440, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36497, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 5, 10, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36498, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 216, 22, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36499, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 143, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36500, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 158, 27, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36501, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 36, 7, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36502, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 362, 12, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36503, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 42, 14, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36504, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 67, 15, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36505, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 229, 13, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36506, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 6948, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36507, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 77, 10, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36508, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 118, 25, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36509, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 66, 21, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36510, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 231, 39, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36511, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1075, 10, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36512, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 355, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36513, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 236, 16, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36514, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 106, 16, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36515, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 965, 8, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36516, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 234, 24, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36517, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1027, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36518, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 701, 8, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36519, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 765, 7, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36520, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 101, 11, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36521, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 93, 13, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36522, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 235, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36523, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 991, 7, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36524, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 40, 6, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36525, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1190, 8, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36526, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 17, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36527, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 343, 21, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36528, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 290, 36, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36529, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 204, 43, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36530, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 12, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36531, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 33, 22, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36532, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 22, 18, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36533, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 169, 17, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36534, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 90, 21, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36535, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 30, 13, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36536, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 116, 20, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36537, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 12825, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36538, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 103, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36539, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 275, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36540, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1289, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36541, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 418, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36542, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 3988, 3, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36543, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 433, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36544, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 170, 11, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36545, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 542, 30, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36546, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 3090, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36547, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 580, 28, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36548, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 109, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36549, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 622, 30, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36550, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 487, 18, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36551, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 382, 14, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36552, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 549, 46, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36553, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 51, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36554, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 605, 24, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36555, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 610, 27, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36556, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 576, 34, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36557, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 235, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36558, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 991, 7, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36559, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 362, 12, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36560, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 418, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36561, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 765, 7, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36562, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1027, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36563, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 701, 8, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36564, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 355, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36565, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 965, 8, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36566, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 24514, 3, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36567, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 77, 10, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36568, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 66, 21, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36569, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 67, 15, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36570, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 42, 14, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36571, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 197, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36572, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1190, 8, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36573, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1075, 10, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36574, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 6948, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36575, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 158, 27, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36576, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1130, 12, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36577, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 983, 11, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36578, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D23', 12825, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36579, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 11, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36580, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 5, 10, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36581, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 116, 20, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36582, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 330, 10, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36583, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 208, 39, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36584, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 34, 6, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36585, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 153, 43, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36586, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 308, 11, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36587, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 149, 14, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36588, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 1015, 45, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36589, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 6, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36590, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 22, 18, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36591, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 90, 21, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36592, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 30, 13, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36593, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 169, 17, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36594, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 33, 22, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36595, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 35, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36596, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 12, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36597, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 85, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36598, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 748, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36599, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 103, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36600, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 9, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36601, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 118, 3, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36602, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 355, 11, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36603, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 36, 7, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36604, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 8, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36605, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 72, 9, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36606, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 143, 2, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36607, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 230, 29, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36608, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 282, 25, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36609, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 216, 22, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36610, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 4, 1, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36611, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1289, 4, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36612, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 51, 12, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36613, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 275, 5, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36614, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 66, 14, 2023, 6, 20, '2024-08-05 13:58:23', NULL, NULL), (36615, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 90, 114, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36616, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 3999, 4, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36617, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 296, 60, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36618, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 728, 65, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36619, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 304, 156, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36620, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 178, 356, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36621, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 333, 50, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36622, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 416, 145, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36623, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 155, 112, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36624, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 3869, 229, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36625, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 177, 358, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36626, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 614, 132, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36627, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 333, 50, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36628, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 416, 145, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36629, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 302, 157, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36630, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 90, 114, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36631, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 3869, 229, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36632, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 153, 113, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36633, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 330, 9, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36634, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 332, 50, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36635, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 90, 114, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36636, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 190, 68, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36637, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1233, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36638, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 181, 20, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36639, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 363, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36640, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 4054, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36641, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 58, 25, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36642, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 5, 9, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36643, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2580, 5, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36644, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 266, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36645, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 58, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36646, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 266, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36647, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36648, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 10, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36649, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 85, 77, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36650, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 5070, 4, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36651, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 528, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36652, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 5198, 99, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36653, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 13955, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36654, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 887, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36655, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 348, 33, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36656, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 83306, 4, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36657, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 68, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36658, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 232, 27, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 266, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 424, 53, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 313, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 419, 17, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 332, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 58, 25, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 265, 57, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 379, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 532, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 3071, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 45, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 430, 13, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 36, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 61, 18, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 5, 9, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 46, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1443, 15, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 307, 23, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 212, 24, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 181, 20, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 124, 20, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 887, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 222, 26, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 217, 30, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1109, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 255, 17, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2251, 10, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 269, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1953, 12, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 255, 32, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 578, 5, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 70, 16, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 266, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 252, 18, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 49, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1874, 10, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 310, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 106, 4, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 95, 30, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2157, 13, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 10, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 516, 5, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 13955, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 61, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 153, 35, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 45289, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 51, 17, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 174, 40, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 134, 11, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 19, 5, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 333212, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 121, 15, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 83, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 106, 5, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 79, 16, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 58, 12, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 528, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 459, 15, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 166, 21, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 265, 20, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 52, 21, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 363, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 39, 22, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 96, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 47, 19, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 94, 10, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 170, 19, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 332, 50, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 13, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 83, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 184, 15, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 32, 23, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 213, 28, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 476, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 210, 16, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1299, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 4981, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 182, 6, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1013, 9, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 3226, 4, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2161, 13, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 81, 18, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 203, 31, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 169, 39, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 5070, 4, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 361, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 1102, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 499, 30, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 485, 9, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 58, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 569, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 66, 19, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36753, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 5, 9, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36754, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 58, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36755, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 528, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36756, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1233, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36757, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 90, 114, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36758, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 266, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36759, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 5070, 4, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36760, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 190, 68, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36761, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 332, 50, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36762, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 330, 9, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36763, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 58, 25, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36764, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 83306, 4, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36765, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 68, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36766, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 232, 27, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36767, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 887, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36768, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 266, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36769, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 363, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36770, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 348, 33, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36771, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 5198, 99, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36772, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 181, 20, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36773, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 13955, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36774, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 3226, 4, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36775, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 4054, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36776, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 85, 77, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36777, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 10, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36778, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 363, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36779, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 266, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36780, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 5, 9, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36781, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 332, 50, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36782, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 81, 18, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36783, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 266, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36784, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 184, 15, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36785, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 47, 19, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36786, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 170, 19, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36787, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 264, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36788, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 52, 21, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36789, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 39, 22, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36790, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 311, 11, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36791, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 91, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36792, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 13, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36793, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 96, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36794, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 49, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36795, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 70, 16, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36796, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 61, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36797, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 516, 5, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36798, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 45, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36799, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 3226, 4, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36800, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 4054, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36801, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 528, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36802, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 58, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36803, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 46, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36804, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 13955, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36805, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 61, 18, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36806, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 36, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36807, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 5070, 4, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36808, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36809, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 10, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36810, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 45289, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36811, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 313, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36812, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36813, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1443, 15, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36814, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 333212, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36815, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 332, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36816, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 302, 12, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36817, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 273, 16, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36818, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 697, 5, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36819, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 379, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36820, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 2088, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36821, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2161, 13, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36822, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1013, 9, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36823, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 213, 28, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36824, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 174, 40, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36825, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 887, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36826, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1953, 12, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36827, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1757, 9, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36828, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 106, 4, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36829, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 58, 25, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36830, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1957, 12, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36831, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1109, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36832, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2251, 10, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (36833, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 181, 20, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36834, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 83, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36835, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 106, 5, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36836, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 19, 5, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36837, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 58, 12, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36838, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 528, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36839, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 13, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36840, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 96, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36841, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2161, 13, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36842, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1013, 9, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36843, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 210, 16, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36844, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 265, 20, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36845, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 430, 13, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36846, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 58, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36847, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 212, 24, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36848, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 32, 23, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36849, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 307, 23, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36850, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 424, 53, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36851, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 70, 16, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36852, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 49, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36853, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 310, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36854, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 516, 5, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36855, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 61, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36856, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 10, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36857, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 269, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36858, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 578, 5, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36859, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36860, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36861, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 66, 19, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36862, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 333212, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36863, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 169, 39, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36864, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 203, 31, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36865, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 174, 40, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36866, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 213, 28, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36867, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 332, 50, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36868, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 363, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36869, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 419, 17, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36870, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 265, 57, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36871, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 532, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36872, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 39, 22, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36873, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 58, 25, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36874, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 5, 9, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36875, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 47, 19, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36876, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 181, 20, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36877, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 313, 1, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36878, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 266, 7, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36879, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 52, 21, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36880, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 332, 8, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36881, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 170, 19, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36882, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 184, 15, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36883, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 45, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36884, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 46, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36885, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 79, 16, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36886, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 379, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36887, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 36, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36888, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 166, 21, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36889, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 3071, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36890, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 459, 15, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36891, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 61, 18, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36892, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 106, 4, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36893, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 51, 17, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36894, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1874, 10, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36895, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 83, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36896, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1953, 12, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36897, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 121, 15, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36898, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2251, 10, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36899, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 134, 11, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36900, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1109, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36901, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 94, 10, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36902, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 13955, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36903, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 81, 18, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36904, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 887, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36905, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 266, 1, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36906, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 5070, 4, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36907, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 3226, 4, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36908, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 45289, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36909, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2157, 13, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36910, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 182, 6, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36911, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1299, 8, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36912, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 569, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36913, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 485, 9, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36914, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 4981, 3, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36915, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 95, 30, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36916, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 252, 18, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36917, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 361, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36918, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1443, 15, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36919, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 255, 32, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36920, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 255, 17, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36921, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 217, 30, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36922, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 499, 30, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36923, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 476, 2, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36924, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 1102, 7, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36925, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 222, 26, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36926, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 124, 20, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36927, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 153, 35, 2023, 6, 21, '2024-08-05 13:58:24', NULL, NULL), (36928, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 45289, 8, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36929, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1957, 12, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36930, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 266, 7, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36931, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 3226, 4, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36932, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1109, 7, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36933, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1953, 12, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36934, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2251, 10, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36935, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 106, 4, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36936, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1757, 9, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36937, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 333212, 1, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36938, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 36, 8, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36939, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 61, 18, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36940, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 46, 7, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36941, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 45, 8, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36942, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1443, 15, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36943, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 2088, 1, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36944, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 379, 1, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36945, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 181, 20, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36946, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1013, 9, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36947, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2161, 13, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36948, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 1, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36949, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 2, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36950, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 5, 9, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36951, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 264, 8, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36952, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 81, 18, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36953, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 174, 40, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36954, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 10, 3, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36955, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 91, 8, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36956, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 213, 28, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36957, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 311, 11, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36958, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 332, 50, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36959, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 47, 19, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36960, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 170, 19, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36961, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 184, 15, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36962, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 52, 21, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36963, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 39, 22, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36964, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 528, 2, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36965, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 58, 3, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36966, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 363, 3, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36967, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 13, 1, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36968, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 96, 2, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36969, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 697, 5, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36970, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 332, 8, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36971, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 516, 5, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36972, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 61, 7, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36973, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 4054, 1, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36974, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 302, 12, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36975, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 313, 1, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36976, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 273, 16, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36977, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 58, 25, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36978, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 13955, 1, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36979, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 5070, 4, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36980, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 70, 16, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36981, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 49, 8, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36982, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 887, 2, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36983, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 266, 1, 2023, 6, 21, '2024-08-05 13:58:25', NULL, NULL), (36984, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 839, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (36985, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 29, 6, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (36986, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 107, 31, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (36987, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 77, 6, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (36988, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 806, 20, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (36989, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 107, 31, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (36990, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 806, 20, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (36991, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 29, 6, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (36992, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 839, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (36993, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 77, 6, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (36994, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 9, 2, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (36995, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 82, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (36996, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 19, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (36997, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 839, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (36998, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 146, 3, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (36999, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37000, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 12, 3, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 296, 5, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 597, 11, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 34, 5, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 19, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 7, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 12, 3, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 37, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 839, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 82, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 57, 14, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 28, 5, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 30, 3, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 11, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 146, 3, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 2017, 4, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 525, 4, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37018, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 146, 3, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37019, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 19, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37020, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 9, 2, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37021, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 12, 3, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37022, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 82, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37023, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37024, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 839, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37025, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 19, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37026, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 7, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37027, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 12, 3, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37028, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37029, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 82, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37030, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 839, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37031, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 146, 3, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37032, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 11, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37033, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 19, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37034, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 296, 5, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37035, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 12, 3, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37036, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 37, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37037, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 82, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37038, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 525, 4, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37039, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 7, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37040, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37041, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 30, 3, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37042, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 57, 14, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37043, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 28, 5, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37044, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 146, 3, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37045, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 11, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37046, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 839, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37047, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 34, 5, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37048, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 2017, 4, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37049, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 597, 11, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37050, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37051, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 839, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37052, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 19, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37053, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 82, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37054, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 7, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37055, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 146, 3, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37056, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 12, 3, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37057, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 11, 1, 2023, 6, 22, '2024-08-05 13:58:26', NULL, NULL), (37058, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 56, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37059, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 288, 13, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37060, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 368, 39, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37061, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 892, 4, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37062, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 374, 28, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37063, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 368, 39, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37064, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 56, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37065, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 374, 28, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37066, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 268, 14, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37067, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 595, 6, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37068, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 4, 2, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37069, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 3029, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37070, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 159, 3, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37071, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 56, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37072, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 267, 2, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37073, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 202, 3, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37074, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 379, 7, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 267, 2, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 357, 5, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 202, 3, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A17', 10, 2, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 9, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 378, 23, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 159, 3, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 57, 7, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 8, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 6, 6, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 52, 6, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 898, 14, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 3029, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 56, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 443, 6, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 256, 4, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37091, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 3029, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37092, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 56, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37093, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 8, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37094, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 267, 2, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37095, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 159, 3, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37096, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 443, 6, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37097, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 202, 3, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37098, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 8, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37099, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 159, 3, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37100, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 267, 2, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37101, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 3029, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37102, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 56, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37103, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 443, 6, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37104, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 202, 3, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37105, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 159, 3, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37106, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 202, 3, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37107, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 357, 5, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37108, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 9, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37109, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 443, 6, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37110, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 8, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37111, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 256, 4, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37112, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 52, 6, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37113, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 898, 14, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37114, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 267, 2, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37115, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 6, 6, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37116, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 3029, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37117, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 57, 7, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37118, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A17', 10, 2, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37119, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 378, 23, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37120, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 56, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37121, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 443, 6, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37122, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 56, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37123, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 159, 3, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37124, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 267, 2, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37125, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 202, 3, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37126, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 8, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37127, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 3029, 1, 2023, 6, 23, '2024-08-05 13:58:27', NULL, NULL), (37128, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 287, 11, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37129, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 753, 45, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37130, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 497, 27, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37131, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 49, 5, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37132, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 721, 47, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37133, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 479, 28, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37134, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 287, 11, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37135, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 49, 5, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37136, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 67, 2, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37137, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 71, 5, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37138, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 36, 3, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37139, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 467, 6, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 418, 20, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 662, 3, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 71, 5, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 27, 3, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 27, 1, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 766, 4, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 108, 1, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 25, 9, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 35, 5, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1506, 22, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 467, 6, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 36, 3, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 47, 6, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37153, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 36, 3, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37154, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 71, 5, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37155, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 467, 6, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37156, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 67, 2, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37157, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 467, 6, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37158, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 108, 1, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37159, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 71, 5, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37160, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 27, 1, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37161, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 36, 3, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37162, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 71, 5, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37163, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 418, 20, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37164, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 467, 6, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37165, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 108, 1, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37166, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 47, 6, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37167, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 27, 1, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37168, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 35, 5, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37169, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1506, 22, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37170, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 25, 9, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37171, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 36, 3, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37172, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 27, 3, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37173, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 662, 3, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37174, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 766, 4, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37175, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 467, 6, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37176, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 71, 5, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37177, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 27, 1, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37178, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 108, 1, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37179, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 36, 3, 2023, 6, 24, '2024-08-05 13:58:28', NULL, NULL), (37180, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 78, 83, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37181, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '', 77, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37182, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 2069, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37183, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 747, 170, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37184, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 433, 11, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37185, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 251, 39, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37186, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 636, 48, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37187, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 118, 164, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37188, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 419, 66, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37189, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 151, 370, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37190, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 14988, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37191, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 964, 106, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37192, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 69, 115, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37193, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 151, 371, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37194, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 595, 108, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37195, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 413, 67, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37196, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 964, 106, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37197, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 118, 164, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37198, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 78, 83, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37199, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 743, 171, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37200, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 69, 115, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37201, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 159, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37202, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 1508, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37203, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37204, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 9, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37205, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 88, 32, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37206, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 72, 82, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37207, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 139, 63, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37208, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 107, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37209, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 171, 29, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37210, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1567, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37211, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 381, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37212, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 100, 28, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37213, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 34, 10, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37214, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1338, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37215, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 278, 11, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37216, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 2069, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37217, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 77, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37218, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 416, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37219, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 303, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37220, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 6, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37221, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 570, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37222, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 93, 79, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37223, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 78, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37224, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 87, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37225, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1358, 62, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37226, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 264, 32, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37227, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 436, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37228, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3222, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37229, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 3, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37230, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 197, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37231, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 7494, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 278, 11, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 10, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 185, 6, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 34, 10, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 246, 11, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 171, 29, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 133, 15, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 158, 23, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 71, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 220, 22, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 282, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (37243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 219, 19, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 3006, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 302, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 156, 33, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1541, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 187, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 187, 35, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 210, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 145, 36, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 208, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 211, 37, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 17436, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 57, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 55, 19, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 37, 10, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 486, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 64, 19, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 143, 14, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 80, 30, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 221, 10, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 15, 16, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 3, 14, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 8, 6, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 9, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 289, 17, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 14, 9, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 67, 15, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 77, 16, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 130, 25, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 846, 9, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 188, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 17, 15, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 77, 36, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 145, 42, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 6, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 259, 15, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 935, 16, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1561, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 41, 6, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 197, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 40, 18, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 20, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 320, 23, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 361, 25, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 6, 6, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 2069, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 328, 43, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 100, 28, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 591, 9, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 14988, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D11', 77, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 76, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 908, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 69, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 130, 16, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 44, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 129, 12, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 52, 19, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 436, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 1508, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 208, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 88, 20, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 60, 10, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 228, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 12, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 102, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 179, 6, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 138, 42, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 9, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 133, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 22475, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 46, 10, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 38, 6, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 19, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 20, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 87, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1567, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 91, 31, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 143, 21, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 32866, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 166, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 174, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 455, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 739, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1338, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 226, 9, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 78, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 416, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37334, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 34, 10, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37335, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 416, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37336, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 2069, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37337, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 87, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37338, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 107, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37339, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 72, 82, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37340, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 78, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37341, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 278, 11, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37342, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 139, 63, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37343, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 570, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37344, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 159, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37345, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 91, 31, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37346, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 9, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37347, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 100, 28, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37348, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3222, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37349, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 14988, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37350, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 3, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37351, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 197, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37352, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 436, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37353, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 303, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37354, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '', 77, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37355, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1567, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37356, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 264, 32, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37357, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1358, 62, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37358, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 171, 29, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37359, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1338, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37360, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 381, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37361, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 93, 79, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37362, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 6, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37363, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 1508, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37364, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 1508, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37365, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1567, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37366, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 278, 11, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37367, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 34, 10, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37368, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 91, 31, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37369, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 17, 15, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37370, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 303, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37371, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 31, 14, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37372, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 8, 6, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37373, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 289, 17, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37374, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 1053, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37375, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 15, 16, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37376, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 3, 14, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37377, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 61, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37378, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 41, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37379, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37380, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 14988, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37381, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E15', 570, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37382, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 60, 10, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37383, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 88, 20, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37384, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 179, 6, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37385, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 102, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37386, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 20, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37387, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 228, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37388, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 76, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37389, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1338, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37390, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 2069, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37391, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 381, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37392, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 87, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37393, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 416, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37394, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 44, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37395, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 130, 16, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37396, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 69, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37397, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 78, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37398, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 12, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37399, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 19, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37400, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37401, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 17436, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37402, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 20, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37403, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 9, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37404, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37405, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 246, 11, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37406, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 22475, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37407, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 6, 6, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37408, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 164, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37409, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 54, 17, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37410, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 888, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37411, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 10, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37412, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '1D11', 77, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37413, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 146, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37414, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 226, 9, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37415, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 174, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37416, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 455, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37417, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 739, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37418, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 143, 21, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37419, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 138, 42, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37420, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 436, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37421, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 302, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37422, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 187, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37423, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 210, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37424, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 208, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37425, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 100, 28, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37426, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 71, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37427, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 282, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37428, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 171, 29, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37429, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 46, 10, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37430, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 38, 6, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37431, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 133, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37432, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 20, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37433, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 87, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37434, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37435, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 226, 9, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37436, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 739, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37437, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 455, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37438, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 130, 25, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37439, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 221, 10, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37440, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 174, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37441, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 416, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37442, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 57, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37443, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 77, 16, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37444, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 320, 23, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37445, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 88, 20, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37446, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 60, 10, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37447, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1541, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37448, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 102, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37449, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 179, 6, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37450, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37451, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 3006, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37452, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 12, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37453, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 19, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37454, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37455, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 40, 18, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37456, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 22475, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37457, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 197, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37458, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 9, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37459, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 145, 42, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37460, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 77, 36, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37461, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 138, 42, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37462, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 143, 21, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37463, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 91, 31, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37464, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1567, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37465, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 361, 25, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37466, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 328, 43, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37467, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 591, 9, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37468, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 34, 10, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37469, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 100, 28, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37470, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 20, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37471, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 171, 29, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37472, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 6, 6, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37473, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 278, 11, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37474, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 76, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37475, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 44, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37476, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 64, 19, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37477, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 10, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37478, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 69, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37479, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 80, 30, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37480, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 143, 14, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37481, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 185, 6, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37482, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 130, 16, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37483, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 210, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37484, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 55, 19, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37485, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 14, 9, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37486, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 187, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37487, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 486, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37488, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 302, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37489, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 37, 10, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37490, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 282, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37491, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 71, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37492, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 9, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37493, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 14988, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37494, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 41, 6, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37495, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 17436, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37496, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 208, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37497, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 166, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37498, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 246, 11, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37499, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 32866, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37500, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 2069, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37501, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 908, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37502, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 52, 19, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37503, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 129, 12, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37504, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 3, 14, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37505, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 8, 6, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37506, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 15, 16, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37507, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 289, 17, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37508, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 67, 15, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37509, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 17, 15, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37510, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 208, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37511, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 436, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37512, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 1508, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37513, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 228, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37514, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 78, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37515, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1338, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37516, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 188, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37517, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1561, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37518, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 935, 16, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37519, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 846, 9, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37520, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 145, 36, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37521, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 187, 35, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37522, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 156, 33, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37523, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 219, 19, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37524, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 259, 15, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37525, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 220, 22, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37526, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 6, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37527, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 158, 23, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37528, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 133, 15, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37529, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 211, 37, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37530, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '1D11', 77, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37531, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 17436, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37532, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 208, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37533, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 278, 11, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37534, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 71, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37535, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1338, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37536, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 302, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37537, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 282, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37538, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 210, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37539, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 187, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37540, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 22475, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37541, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 9, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37542, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 69, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37543, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 130, 16, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37544, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 44, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37545, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 76, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37546, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 246, 11, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37547, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 146, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37548, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 10, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37549, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 171, 29, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37550, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 174, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37551, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 455, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37552, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 739, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37553, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 226, 9, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37554, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 19, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37555, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37556, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 34, 10, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37557, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E15', 570, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37558, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 1053, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37559, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 17, 15, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37560, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 138, 42, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37561, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37562, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 41, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37563, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 143, 21, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37564, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 61, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37565, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 91, 31, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37566, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 12, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37567, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 8, 6, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37568, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 289, 17, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37569, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 31, 14, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37570, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 15, 16, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37571, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 3, 14, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37572, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 87, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37573, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 416, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37574, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1567, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37575, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 20, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37576, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 2069, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37577, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 228, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37578, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37579, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 888, 7, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37580, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 6, 6, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37581, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 102, 4, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37582, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 179, 6, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37583, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 381, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37584, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 20, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37585, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 164, 8, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37586, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 54, 17, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37587, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 100, 28, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37588, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 78, 3, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37589, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 1508, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37590, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 88, 20, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37591, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 60, 10, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37592, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 436, 5, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37593, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 303, 2, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37594, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 14988, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37595, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '1D11', 77, 1, 2023, 6, 25, '2024-08-05 13:58:29', NULL, NULL), (37596, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 61, 122, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37597, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 2549, 10, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37598, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 697, 123, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37599, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 819, 67, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37600, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 379, 197, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37601, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1682, 473, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37602, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 753, 52, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37603, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 150, 135, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37604, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 510, 125, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37605, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 677, 250, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37606, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1682, 473, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37607, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 827, 201, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37608, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 739, 53, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37609, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 491, 130, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37610, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 379, 197, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37611, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 61, 122, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37612, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 674, 251, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37613, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 150, 135, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37614, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 39, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37615, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 48, 10, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37616, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 61, 122, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37617, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 237, 63, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37618, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1026, 82, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37619, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 128, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37620, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 201, 26, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37621, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37622, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1024, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37623, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 154, 31, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37624, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 997, 5, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37625, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 9098, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37626, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 449, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37627, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 4016, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37628, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 27, 7, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37629, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 584, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37630, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 7, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37631, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 2083, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37632, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 85, 100, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37633, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 4569, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37634, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 201, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37635, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 37, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37636, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 757, 84, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37637, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 3890, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37638, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 749, 72, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37639, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 33, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37640, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 25, 7, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37641, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 624, 51, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 449, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 120, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 145, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 997, 5, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 628, 16, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 201, 26, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 656, 15, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 2153, 37, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 511, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1479, 25, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1857, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 2532, 48, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 748, 5, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1421, 45, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 5058, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 874, 6, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (37658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 3038, 42, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1626, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1360, 32, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 696, 13, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 2999, 62, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 416, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 10, 14, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 170, 11, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 134, 11, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 164, 21, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 190, 21, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 104, 26, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 2283, 19, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 52, 28, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 37, 17, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 43, 17, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 45, 10, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 91, 19, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 436, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 38, 19, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 83, 21, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 2048, 35, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 716, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 175, 15, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 98, 22, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 110, 24, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 88, 41, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 485, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 12, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 979, 18, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 361, 21, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 7801, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 11, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 208, 13, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 134, 26, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 443, 30, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 32, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 52, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 467, 21, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 154, 31, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 590, 52, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 908, 10, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 96, 11, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 862, 55, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 92, 9, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 94, 25, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 461, 10, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 69, 16, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 582, 58, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3890, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4016, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 78, 14, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 584, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 83, 11, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 8, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 82, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 2083, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 80, 6, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 2, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1058, 76, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 15, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 101, 9, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 29, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 149, 11, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 73, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 39, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 11, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 307, 10, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 37, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1024, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 96, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 237, 63, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 617, 6, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 82, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 69, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 903, 12, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 659, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1033, 5, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 9098, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 601, 16, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 201, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 4569, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 27, 7, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37743, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 997, 5, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37744, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 27, 7, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37745, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 37, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37746, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 128, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37747, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 61, 122, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37748, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 4569, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37749, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 449, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37750, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1026, 82, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37751, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 237, 63, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37752, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 48, 10, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37753, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 154, 31, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37754, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 2083, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37755, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 25, 7, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37756, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 33, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37757, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 624, 51, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37758, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 3890, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37759, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 584, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37760, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 201, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37761, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 4016, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37762, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1024, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37763, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 749, 72, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37764, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 757, 84, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37765, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 201, 26, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37766, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 9098, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37767, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 85, 100, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37768, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 39, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37769, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 7, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37770, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1024, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37771, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 449, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37772, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D23', 4016, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37773, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 997, 5, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37774, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 237, 63, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37775, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 98, 22, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37776, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 584, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37777, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 38, 19, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37778, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 43, 17, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37779, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 91, 19, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37780, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 52, 28, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37781, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 794, 20, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37782, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 37, 17, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37783, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 461, 10, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37784, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 541, 21, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37785, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 96, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37786, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37787, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 39, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37788, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 83, 11, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37789, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 78, 14, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37790, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 80, 6, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37791, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 82, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37792, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 96, 11, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37793, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 9098, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37794, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 37, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37795, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 27, 7, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37796, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 69, 16, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37797, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 94, 25, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37798, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 92, 9, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37799, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 4569, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37800, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 8, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37801, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 201, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37802, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 11, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37803, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 2083, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37804, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37805, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 416, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37806, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 15, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37807, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 32, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37808, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 73, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37809, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 628, 16, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37810, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 29, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37811, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 52, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37812, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 605, 37, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37813, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 901, 35, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37814, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 120, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37815, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 145, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37816, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1033, 5, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37817, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 611, 14, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37818, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 903, 12, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37819, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 659, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37820, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 617, 6, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37821, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1058, 76, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37822, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 2, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37823, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 3890, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37824, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 748, 5, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37825, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 874, 6, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37826, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1626, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37827, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 154, 31, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37828, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 696, 13, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37829, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 335, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37830, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 201, 26, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37831, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 149, 11, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37832, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 39, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37833, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 2, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37834, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 101, 9, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37835, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 307, 10, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37836, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 37, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37837, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 96, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37838, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37839, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 601, 16, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37840, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1033, 5, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37841, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 659, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37842, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 903, 12, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37843, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 2048, 35, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37844, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 2283, 19, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37845, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 27, 7, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37846, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 83, 21, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37847, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 443, 30, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37848, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 78, 14, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37849, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 83, 11, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37850, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 5058, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37851, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 82, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37852, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 80, 6, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37853, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37854, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1857, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37855, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 8, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37856, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 11, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37857, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 73, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37858, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 134, 26, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37859, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 11, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37860, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 29, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37861, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 15, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37862, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 88, 41, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37863, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 110, 24, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37864, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1058, 76, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37865, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 617, 6, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37866, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 237, 63, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37867, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1024, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37868, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 467, 21, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37869, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 590, 52, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37870, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 908, 10, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37871, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 997, 5, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37872, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 154, 31, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37873, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 32, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37874, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 201, 26, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37875, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 449, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37876, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 52, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37877, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 96, 11, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37878, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 69, 16, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37879, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 164, 21, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37880, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 120, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37881, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 104, 26, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37882, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 92, 9, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37883, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 145, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37884, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 94, 25, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37885, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 190, 21, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37886, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1626, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37887, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 10, 14, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37888, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 436, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37889, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 874, 6, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37890, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 748, 5, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37891, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 134, 11, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37892, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 170, 11, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37893, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 511, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37894, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 45, 10, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37895, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 208, 13, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37896, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 416, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37897, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 696, 13, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37898, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 69, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37899, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 628, 16, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37900, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 82, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37901, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 862, 55, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37902, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 582, 58, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37903, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 461, 10, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37904, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 37, 17, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37905, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 43, 17, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37906, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 52, 28, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37907, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 91, 19, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37908, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 38, 19, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37909, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 2083, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37910, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 98, 22, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37911, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4016, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37912, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3890, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37913, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 584, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37914, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 201, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37915, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 4569, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37916, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 9098, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37917, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 175, 15, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37918, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 7801, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37919, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 361, 21, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37920, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 716, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37921, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1360, 32, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37922, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 3038, 42, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37923, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 485, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37924, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1421, 45, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37925, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 2532, 48, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37926, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 979, 18, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37927, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1479, 25, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37928, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 12, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37929, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 2153, 37, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37930, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 656, 15, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37931, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 2999, 62, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37932, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 416, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37933, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 696, 13, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37934, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 449, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37935, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 335, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37936, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 9098, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37937, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 748, 5, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37938, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1626, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37939, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 874, 6, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37940, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 29, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37941, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 15, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37942, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 92, 9, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37943, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 94, 25, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37944, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 69, 16, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37945, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 96, 11, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37946, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 2083, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37947, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 628, 16, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37948, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 145, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37949, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 120, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37950, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 201, 26, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37951, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 903, 12, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37952, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1033, 5, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37953, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 659, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37954, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 611, 14, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37955, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D23', 4016, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37956, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 11, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37957, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 73, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37958, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 997, 5, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37959, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 98, 22, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37960, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 794, 20, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37961, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1058, 76, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37962, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37963, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 541, 21, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37964, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 617, 6, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37965, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 237, 63, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37966, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 461, 10, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37967, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 8, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37968, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 43, 17, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37969, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 39, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37970, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 91, 19, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37971, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 38, 19, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37972, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 52, 28, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37973, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 37, 17, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37974, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 37, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37975, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 27, 7, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37976, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1024, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37977, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 96, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37978, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37979, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 201, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37980, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 901, 35, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37981, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 52, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37982, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 82, 8, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37983, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 80, 6, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37984, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 32, 2, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37985, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 605, 37, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37986, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 154, 31, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37987, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 2, 1, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37988, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 4569, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37989, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 78, 14, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37990, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 3890, 4, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37991, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 83, 11, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37992, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 584, 3, 2023, 6, 26, '2024-08-05 13:58:31', NULL, NULL), (37993, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 2389, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (37994, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 54, 91, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (37995, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 8, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (37996, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1613, 226, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (37997, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 834, 9, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (37998, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 179, 95, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (37999, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 829, 57, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38000, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 546, 190, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38001, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 736, 51, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38002, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 505, 421, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38003, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 220, 130, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38004, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 384, 105, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38005, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 504, 422, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38006, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 453, 169, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38007, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 712, 51, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38008, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 392, 106, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38009, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 537, 193, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38010, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 53, 92, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38011, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1613, 226, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38012, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 217, 132, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38013, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 646, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38014, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '', 0, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38015, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38016, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 580, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38017, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 137, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38018, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 130, 41, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38019, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 43, 90, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38020, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 218, 59, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38021, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 532, 6, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38022, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 195, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38023, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 284, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38024, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 186, 24, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38025, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 74, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38026, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 8550, 9, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38027, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 10, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38028, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 2460, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38029, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 8, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38030, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 858, 7, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38031, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 893, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38032, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 2389, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38033, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 202, 9, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38034, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 11, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38035, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 3, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38036, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 119, 94, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38037, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 607, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38038, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 46, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38039, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 3056, 111, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38040, 1, '511500000000-0001', '宜宾市民中心', '贷款项目受理', '', '', '', 0, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38041, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 1055, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38042, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 1387, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38043, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 168, 55, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38044, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38045, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 10, 6, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38046, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 195, 40, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 2460, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 147, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1303, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 74, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2086, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 195, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 673, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 672, 48, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2097, 10, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 600, 27, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 5940, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 515, 39, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1010, 7, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 3129, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 554, 37, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 595, 5, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 370, 32, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2588, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 526, 34, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2357, 14, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 579, 45, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 103, 9, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 90, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 252, 7, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 125, 14, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 290, 34, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 385, 22, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 848, 21, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (38075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 10, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 119, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 53, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 99, 11, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 99, 17, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 238, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 262, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 27, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 582, 29, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 540, 5, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 589, 14, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 12, 16, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 265, 20, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 123, 29, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 288, 6, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 132, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 597, 11, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1814, 14, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 698, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 70, 5, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 85, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 208, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 157, 7, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 456, 65, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 120, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 8, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 333, 25, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 195, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 195, 10, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 2389, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 54, 11, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 224, 32, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 99, 12, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 587, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 60, 24, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 116, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 189, 28, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 117, 34, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1387, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 10, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 772, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 245, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1011, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 66, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 361, 5, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 151, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 11, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 40, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 221, 49, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 34, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 99, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 77, 6, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 7, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 146, 7, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 46, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 284, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 130, 41, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 24, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 203, 10, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 9, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 94, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2402, 9, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 14563, 5, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2812, 10, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 10993, 7, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2068, 19, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 607, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 123, 5, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 2694, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38147, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 74, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38148, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 858, 7, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38149, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 8, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38150, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 46, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38151, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 532, 6, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38152, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 43, 89, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38153, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 2460, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38154, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 607, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38155, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 218, 59, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38156, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 3, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38157, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 646, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38158, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 130, 41, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38159, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 137, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38160, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 195, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38161, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 11, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38162, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38163, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 10, 6, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38164, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 195, 40, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38165, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1387, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38166, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 893, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38167, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 10, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38168, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 284, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38169, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 168, 55, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38170, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 3056, 111, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38171, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 195, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38172, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 10993, 7, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38173, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 2389, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38174, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 119, 94, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38175, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 1055, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38176, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 580, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38177, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 202, 9, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38178, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 284, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38179, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 2460, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38180, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D23', 10, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38181, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 74, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38182, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 130, 41, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38183, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 12, 16, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38184, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 2389, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38185, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 835, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38186, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 1011, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38187, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 27, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38188, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 53, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38189, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 39, 16, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38190, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 11, 14, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38191, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 194, 17, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38192, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 587, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38193, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 119, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38194, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 238, 9, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38195, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 580, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38196, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 136, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38197, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 24, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38198, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38199, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 2694, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38200, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 66, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38201, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 245, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38202, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E19', 3, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38203, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 40, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38204, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 151, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38205, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 646, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38206, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 54, 11, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38207, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 10993, 7, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38208, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 8, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38209, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 46, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38210, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 123, 5, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38211, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 116, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38212, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 60, 24, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38213, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 99, 12, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38214, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 607, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38215, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 361, 5, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38216, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 7, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38217, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 11, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38218, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38219, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E16', 1055, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38220, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 157, 7, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38221, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2086, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38222, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38223, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 120, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38224, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 166, 19, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38225, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 105, 21, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38226, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 257, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38227, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 147, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38228, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1303, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38229, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2812, 10, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38230, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2068, 19, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38231, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2402, 9, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38232, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 14563, 5, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38233, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 203, 10, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38234, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 221, 49, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38235, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1387, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38236, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 3129, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38237, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2588, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38238, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2357, 14, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38239, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 195, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38240, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2097, 10, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38241, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 5940, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38242, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 195, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38243, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 99, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38244, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 77, 6, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38245, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 34, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38246, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 146, 7, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38247, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 46, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38248, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 24, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38249, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38250, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2068, 19, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38251, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2812, 10, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38252, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 14563, 5, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38253, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2402, 9, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38254, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 582, 29, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38255, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 848, 21, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38256, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 2694, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38257, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 123, 5, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38258, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 262, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38259, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 456, 65, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38260, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 245, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38261, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 66, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38262, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 595, 5, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38263, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 151, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38264, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 40, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38265, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38266, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1010, 7, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38267, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 361, 5, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38268, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 7, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38269, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 208, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38270, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38271, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 85, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38272, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 123, 29, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38273, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 265, 20, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38274, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 221, 49, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38275, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 203, 10, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38276, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 130, 41, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38277, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 284, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38278, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 333, 25, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38279, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 195, 10, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38280, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 74, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38281, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 195, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38282, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 157, 7, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38283, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 195, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38284, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 2460, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38285, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 120, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38286, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 54, 11, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38287, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 116, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38288, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 125, 14, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38289, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 385, 22, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38290, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 147, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38291, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 99, 12, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38292, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1303, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38293, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 290, 34, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38294, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 60, 24, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38295, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 103, 9, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38296, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2588, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38297, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 238, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38298, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 252, 7, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38299, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 3129, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38300, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 5940, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38301, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 90, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38302, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2097, 10, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38303, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 99, 11, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38304, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 70, 5, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38305, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2357, 14, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38306, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 94, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38307, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2086, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38308, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 9, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38309, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 8, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38310, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 224, 32, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38311, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 117, 34, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38312, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 189, 28, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38313, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 587, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38314, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 2389, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38315, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 119, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38316, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 53, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38317, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 10, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38318, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 99, 17, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38319, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 27, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38320, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 11, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38321, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 12, 16, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38322, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 10, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38323, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 772, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38324, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1387, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38325, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1011, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38326, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 607, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38327, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 10993, 7, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38328, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 589, 14, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38329, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 698, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38330, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1814, 14, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38331, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 540, 5, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38332, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 526, 34, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38333, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 370, 32, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38334, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 288, 6, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38335, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 554, 37, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38336, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 515, 39, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38337, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 597, 11, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38338, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 600, 27, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38339, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 132, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38340, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 672, 48, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38341, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 673, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38342, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 579, 45, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38343, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2357, 14, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38344, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 2460, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38345, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 10993, 7, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38346, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2097, 10, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38347, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 3129, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38348, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 5940, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38349, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2588, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38350, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38351, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 99, 12, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38352, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 60, 24, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38353, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 116, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38354, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 54, 11, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38355, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 11, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38356, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2086, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38357, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1303, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38358, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 147, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38359, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 195, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38360, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2402, 9, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38361, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2812, 10, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38362, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 14563, 5, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38363, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2068, 19, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38364, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D23', 10, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38365, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E16', 1055, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38366, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 7, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38367, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E19', 3, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38368, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 74, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38369, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 12, 16, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38370, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 194, 17, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38371, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 221, 49, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38372, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38373, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 136, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38374, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 203, 10, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38375, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 238, 9, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38376, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 587, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38377, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 130, 41, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38378, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 361, 5, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38379, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 580, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38380, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 53, 13, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38381, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 39, 16, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38382, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 27, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38383, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 11, 14, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38384, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 119, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38385, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 46, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38386, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 2389, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38387, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 123, 5, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38388, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 2694, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38389, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 284, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38390, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 646, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38391, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 8, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38392, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 24, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38393, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 4, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38394, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 257, 15, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38395, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 120, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38396, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 151, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38397, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 40, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38398, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 157, 7, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38399, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 166, 19, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38400, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 105, 21, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38401, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 195, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38402, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 607, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38403, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 245, 23, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38404, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1387, 3, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38405, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 66, 8, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38406, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 1011, 1, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38407, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 835, 2, 2023, 6, 27, '2024-08-05 13:58:32', NULL, NULL), (38408, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 64, 111, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38409, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 42, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38410, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 620, 232, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38411, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 2167, 11, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38412, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 196, 76, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38413, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 249, 48, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38414, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 456, 187, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38415, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1279, 457, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38416, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 554, 58, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38417, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 4, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38418, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 164, 158, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38419, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 503, 113, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38420, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1267, 461, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38421, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 348, 146, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38422, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 554, 58, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38423, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 499, 114, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38424, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 451, 189, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38425, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 63, 112, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38426, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 620, 232, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38427, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 164, 158, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38428, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 300, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38429, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38430, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 65, 11, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38431, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 63, 112, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38432, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 111, 36, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38433, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 599, 87, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38434, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 553, 7, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38435, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 524, 27, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38436, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38437, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 515, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38438, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 411, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38439, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 229, 28, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38440, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 4, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38441, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 4629, 11, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38442, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 390, 10, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38443, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 42, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38444, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 53, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38445, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 486, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38446, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38447, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 301, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38448, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38449, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 74, 101, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38450, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1661, 9, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38451, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 2188, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38452, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 951, 89, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38453, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 0, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38454, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 4258, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38455, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 169, 57, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38456, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 0, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38457, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 23, 10, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38458, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 264, 20, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38459, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 4, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 390, 10, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 241, 35, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 191, 3, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 947, 7, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 17, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 42, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 382, 49, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 229, 28, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 4, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 772, 7, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 655, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 29, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 59, 13, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 47, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 189, 20, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 4, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 53, 22, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1068, 11, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 49, 14, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 257, 30, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 130, 26, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 524, 27, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 2674, 41, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4258, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1475, 42, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 416, 9, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1146, 26, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 2264, 26, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1498, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 877, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 998, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (38491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1252, 37, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 72, 16, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 198, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1265, 9, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1556, 34, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 123, 14, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1277, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1114, 14, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1822, 36, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 746, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 301, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 120, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1219, 50, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 130, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 890, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 41, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 590, 59, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 3, 6, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 91, 12, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 66, 14, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 153, 3, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 26, 15, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 74, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 143, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 13, 6, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 24, 9, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 2188, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 218, 43, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 261, 37, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 2213, 20, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 64, 15, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 515, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 82, 20, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 27, 13, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 17, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 97, 24, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 111, 36, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 24, 17, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 38, 11, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 194, 25, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 618, 28, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 764, 7, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 2525, 14, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1778, 7, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 786, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1140, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 67, 12, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 474, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 63, 22, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 4629, 11, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1008, 13, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 138, 39, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1661, 9, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 125, 39, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 33, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 425, 17, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 120, 15, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 15, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 544, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 206, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 223, 3, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 285, 13, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 116, 25, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38555, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 4, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38556, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 53, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38557, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 42, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38558, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 2188, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38559, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 553, 7, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38560, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 64, 111, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38561, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 390, 10, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38562, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1661, 9, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38563, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 599, 87, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38564, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 300, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38565, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 111, 36, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38566, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 65, 11, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38567, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 229, 28, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38568, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 23, 10, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38569, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 4, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38570, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 264, 20, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38571, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 4258, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38572, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 486, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38573, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 515, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38574, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 172, 56, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38575, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 951, 89, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38576, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 524, 27, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38577, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 4629, 11, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38578, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 411, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38579, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 75, 100, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38580, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 301, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38581, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 515, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38582, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 390, 10, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38583, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 4, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38584, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 111, 36, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38585, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 63, 22, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38586, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 877, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38587, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 96, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38588, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 24, 17, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38589, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 27, 13, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38590, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 97, 24, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38591, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 136, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38592, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 64, 15, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38593, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 82, 20, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38594, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 360, 10, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38595, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 176, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38596, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 206, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38597, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 4, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38598, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 123, 14, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38599, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 72, 16, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38600, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 130, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38601, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 120, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38602, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 300, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38603, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 59, 13, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38604, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 4629, 11, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38605, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 42, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38606, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 544, 3, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38607, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 15, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38608, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 2188, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38609, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 15, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38610, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 49, 14, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38611, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 53, 22, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38612, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 47, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38613, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1661, 9, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38614, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 13, 6, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38615, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 301, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38616, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 890, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38617, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38618, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 191, 3, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38619, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1068, 11, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38620, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 74, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38621, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 17, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38622, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 206, 20, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38623, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 110, 18, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38624, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 195, 18, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38625, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 943, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38626, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 33, 3, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38627, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1008, 13, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38628, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1140, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38629, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 474, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38630, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 618, 28, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38631, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 590, 59, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38632, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 4258, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38633, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 998, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38634, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1265, 9, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38635, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1114, 14, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38636, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 746, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38637, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 229, 28, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38638, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 416, 9, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38639, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 524, 27, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38640, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 153, 3, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38641, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 143, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38642, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 3, 6, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38643, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 24, 9, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38644, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 2188, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38645, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 42, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38646, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1008, 13, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38647, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 474, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38648, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1140, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38649, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 2525, 14, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38650, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 2213, 20, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38651, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 206, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38652, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 15, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38653, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 189, 20, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38654, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 130, 26, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38655, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 194, 25, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38656, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 257, 30, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38657, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 241, 35, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38658, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 72, 16, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38659, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 123, 14, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38660, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1277, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38661, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 120, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38662, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 130, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38663, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 301, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38664, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1498, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38665, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 13, 6, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38666, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 116, 25, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38667, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 74, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38668, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 223, 3, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38669, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38670, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 125, 39, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38671, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 138, 39, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38672, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 590, 59, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38673, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 618, 28, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38674, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 111, 36, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38675, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 515, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38676, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 947, 7, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38677, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 382, 49, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38678, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 655, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38679, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 4, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38680, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 82, 20, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38681, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 229, 28, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38682, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 27, 13, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38683, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 524, 27, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38684, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 191, 3, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38685, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 17, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38686, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 390, 10, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38687, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 64, 15, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38688, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 97, 24, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38689, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 24, 17, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38690, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 59, 13, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38691, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 49, 14, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38692, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 26, 15, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38693, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 47, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38694, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 261, 37, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38695, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 772, 7, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38696, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 29, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38697, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 218, 43, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38698, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 53, 22, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38699, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 41, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38700, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1114, 14, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38701, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1265, 9, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38702, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 38, 11, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38703, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 66, 14, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38704, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 998, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38705, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 91, 12, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38706, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 416, 9, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38707, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 17, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38708, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 63, 22, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38709, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 877, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38710, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4258, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38711, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 4, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38712, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 198, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38713, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1661, 9, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38714, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 4629, 11, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38715, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 285, 13, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38716, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 890, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38717, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 746, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38718, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 67, 12, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38719, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 544, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38720, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1778, 7, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38721, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 120, 15, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38722, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 786, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38723, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1822, 36, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38724, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1556, 34, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38725, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1068, 11, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38726, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1252, 37, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38727, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 2264, 26, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38728, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 425, 17, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38729, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1146, 26, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38730, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 33, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38731, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 764, 7, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38732, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1475, 42, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38733, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 2674, 41, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38734, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1219, 50, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38735, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 890, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38736, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 746, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38737, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 390, 10, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38738, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 4629, 11, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38739, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 416, 9, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38740, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 998, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38741, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1114, 14, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38742, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1265, 9, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38743, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38744, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 47, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38745, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 53, 22, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38746, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 49, 14, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38747, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 59, 13, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38748, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1068, 11, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38749, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 33, 3, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38750, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 943, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38751, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 524, 27, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38752, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1140, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38753, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 474, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38754, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1008, 13, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38755, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 13, 6, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38756, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 74, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38757, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 4, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38758, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 136, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38759, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 63, 22, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38760, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 590, 59, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38761, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 301, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38762, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 176, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38763, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 618, 28, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38764, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 360, 10, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38765, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 111, 36, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38766, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 27, 13, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38767, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 97, 24, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38768, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 24, 17, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38769, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 64, 15, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38770, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 82, 20, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38771, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 2188, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38772, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 15, 4, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38773, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 206, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38774, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 515, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38775, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 42, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38776, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 300, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38777, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 195, 18, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38778, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 17, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38779, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 120, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38780, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 130, 8, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38781, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 15, 1, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38782, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 206, 20, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38783, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 191, 3, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38784, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 544, 3, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38785, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 110, 18, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38786, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 229, 28, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38787, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1661, 9, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38788, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 72, 16, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38789, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 4258, 5, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38790, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 123, 14, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38791, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 96, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38792, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 877, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38793, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 4, 2, 2023, 6, 28, '2024-08-05 13:58:33', NULL, NULL), (38794, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 62, 95, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38795, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 765, 11, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38796, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 389, 72, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38797, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 133, 162, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38798, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 990, 82, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38799, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 29, 9, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38800, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 330, 419, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38801, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 120, 91, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38802, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 321, 216, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38803, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 442, 164, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38804, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 328, 422, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38805, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 700, 168, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38806, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 20, 13, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38807, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 120, 91, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38808, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 131, 165, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38809, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 62, 95, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38810, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 440, 165, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38811, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 320, 217, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38812, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 1634, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38813, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 64, 18, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38814, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 53, 29, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38815, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 62, 95, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38816, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 132, 55, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38817, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 16, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38818, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 4, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38819, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38820, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1103, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38821, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 159, 22, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38822, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 35, 6, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38823, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 241, 4, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38824, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 21, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38825, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1442, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38826, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 646, 5, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38827, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38828, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 6, 5, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38829, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 54, 85, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38830, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2649, 4, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38831, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 153, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38832, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 824, 68, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38833, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 10, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38834, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 393, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38835, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 350, 48, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38836, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 4, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38837, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 7, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38838, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 469, 24, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38839, 1, '511500000000-0001', '宜宾市民中心', '跨区域通办', '', '', '', 2744, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38840, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 21, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 121, 27, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 60, 8, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 68, 10, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 93, 17, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 166, 21, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 49, 30, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 414, 10, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 16, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 95, 15, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 29, 7, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 492, 27, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 35, 6, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 47, 15, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 265, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 46, 14, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 379, 26, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 259, 19, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 405, 26, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 393, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 386, 32, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1370, 7, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 415, 35, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 259, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 474, 25, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 1140, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 684, 10, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 49, 12, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 461, 25, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 481, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 668, 6, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 33, 13, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 398, 38, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 662, 6, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 340, 45, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 810, 6, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 7, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 109, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 921, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 59, 4, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 448, 46, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1085, 4, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 124, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 124, 34, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 3, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 3, 7, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 375, 22, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 47, 5, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 262, 27, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 43, 5, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 423, 22, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 3, 6, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 153, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 287, 73, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 294, 44, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 447, 22, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 70, 12, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 104, 19, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1103, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 19, 11, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 4, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 211, 12, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 55, 28, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 28, 18, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 525, 16, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 75, 18, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 146, 21, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 61, 19, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 14, 4, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 328, 28, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (38915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 143, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 2292, 7, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 865, 6, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 926, 15, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 610, 5, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1100, 6, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 241, 4, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 63, 17, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 758, 9, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 112, 23, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2649, 4, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 54, 33, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 165, 4, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 283, 5, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1128, 38, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 112, 9, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1327, 4, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 1442, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 74, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 88, 19, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38935, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 35, 6, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38936, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1442, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38937, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 153, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38938, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 62, 95, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38939, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 16, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38940, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2649, 4, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38941, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 21, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38942, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 132, 55, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38943, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 1634, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38944, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 55, 28, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38945, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 64, 18, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38946, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 166, 21, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38947, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 7, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38948, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 469, 24, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38949, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 4, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38950, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 393, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38951, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 646, 5, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38952, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1103, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38953, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 350, 48, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38954, 1, '511500000000-0001', '宜宾市民中心', '跨区域通办', '宜宾市政务服务和非公经济发展局', '', '', 2744, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38955, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 824, 68, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38956, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 10, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38957, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 241, 4, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38958, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 55, 83, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38959, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 6, 5, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38960, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1103, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38961, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 21, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38962, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 35, 6, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38963, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 55, 28, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38964, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 63, 17, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38965, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 893, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38966, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 481, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38967, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 75, 18, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38968, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 19, 11, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38969, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 28, 18, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38970, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 70, 12, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38971, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 503, 6, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38972, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 104, 19, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38973, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 528, 11, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38974, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 346, 7, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38975, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 4, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38976, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 1442, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38977, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 33, 13, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38978, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 49, 12, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38979, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 59, 4, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38980, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 109, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38981, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 1634, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38982, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 95, 15, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38983, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 241, 4, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38984, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 153, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38985, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 46, 14, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38986, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 10, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38987, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 47, 15, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38988, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 29, 7, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38989, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2649, 4, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38990, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 7, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38991, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 3, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38992, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38993, 1, '511500000000-0001', '宜宾市民中心', '跨区域通办', '', '', '1D27', 2744, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38994, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1085, 4, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38995, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 3, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38996, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 60, 8, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38997, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 265, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38998, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (38999, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 68, 10, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39000, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39001, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 269, 15, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39002, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 207, 12, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39003, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 488, 21, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39004, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 16, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39005, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1100, 6, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39006, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 758, 9, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39007, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 865, 6, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39008, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 610, 5, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39009, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 146, 21, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39010, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 124, 34, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39011, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 393, 2, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39012, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 684, 10, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39013, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 668, 6, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39014, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 662, 6, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39015, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 166, 21, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39016, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 810, 6, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39017, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1370, 7, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39018, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 259, 1, 2023, 6, 29, '2024-08-05 13:58:34', NULL, NULL), (39019, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 47, 5, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39020, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 43, 5, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39021, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 3, 7, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39022, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 3, 6, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39023, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 153, 2, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39024, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 4, 2, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39025, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 758, 9, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39026, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1100, 6, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39027, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 610, 5, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39028, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 865, 6, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39029, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 328, 28, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39030, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 447, 22, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39031, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 1442, 3, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39032, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 492, 27, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39033, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 124, 1, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39034, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 259, 19, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39035, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 61, 19, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39036, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 379, 26, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39037, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 121, 27, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39038, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 49, 12, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39039, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 33, 13, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39040, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 109, 3, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39041, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 59, 4, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39042, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 2, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39043, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 7, 3, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39044, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 3, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39045, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39046, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 88, 19, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39047, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 74, 2, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39048, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 2, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39049, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 3, 1, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39050, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 54, 33, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39051, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 124, 34, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39052, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 112, 23, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39053, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 146, 21, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39054, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 55, 28, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39055, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1103, 3, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39056, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 93, 17, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39057, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 49, 30, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39058, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 414, 10, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39059, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 35, 6, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39060, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 104, 19, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39061, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 166, 21, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39062, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 19, 11, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39063, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 60, 8, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39064, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 21, 1, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39065, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 70, 12, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39066, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 68, 10, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39067, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 28, 18, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39068, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 75, 18, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39069, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 95, 15, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39070, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 46, 14, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39071, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 423, 22, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39072, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 29, 7, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39073, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 294, 44, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39074, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 287, 73, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39075, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 47, 15, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39076, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 16, 2, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39077, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 662, 6, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39078, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 525, 16, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39079, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 668, 6, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39080, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 262, 27, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39081, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 684, 10, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39082, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 259, 1, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39083, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 375, 22, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39084, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1370, 7, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39085, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 211, 12, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39086, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 921, 3, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39087, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 63, 17, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39088, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 1140, 3, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39089, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 393, 2, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39090, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 481, 3, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39091, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2649, 4, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39092, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 241, 4, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39093, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1085, 4, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39094, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 810, 6, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39095, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 926, 15, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39096, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1327, 4, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39097, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 143, 3, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39098, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 112, 9, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39099, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 2292, 7, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39100, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 340, 45, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39101, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 398, 38, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39102, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 265, 2, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39103, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 165, 4, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39104, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 461, 25, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39105, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 474, 25, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39106, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1128, 38, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39107, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 415, 35, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39108, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 14, 4, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39109, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 283, 5, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39110, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 386, 32, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39111, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 405, 26, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39112, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 448, 46, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39113, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1085, 4, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39114, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 810, 6, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39115, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 21, 1, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39116, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 241, 4, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39117, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1370, 7, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39118, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 684, 10, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39119, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 259, 1, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39120, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 662, 6, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39121, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 668, 6, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39122, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 2, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39123, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 3, 1, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39124, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 29, 7, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39125, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 47, 15, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39126, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 46, 14, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39127, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 95, 15, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39128, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 265, 2, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39129, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 16, 2, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39130, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 865, 6, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39131, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1100, 6, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39132, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 610, 5, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39133, 1, '511500000000-0001', '宜宾市民中心', '跨区域通办', '宜宾市政务服务和非公经济发展局', '', '1D27', 2744, 1, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39134, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 758, 9, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39135, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 3, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39136, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39137, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 35, 6, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39138, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 63, 17, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39139, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 503, 6, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39140, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 124, 34, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39141, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 2, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39142, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 346, 7, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39143, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 146, 21, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39144, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 528, 11, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39145, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 55, 28, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39146, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 7, 3, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39147, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 19, 11, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39148, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 28, 18, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39149, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 75, 18, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39150, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 70, 12, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39151, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 104, 19, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39152, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 153, 2, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39153, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 1442, 3, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39154, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1103, 3, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39155, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 1634, 1, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39156, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 4, 2, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39157, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 488, 21, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39158, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 68, 10, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39159, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 109, 3, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39160, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 59, 4, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39161, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 60, 8, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39162, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 269, 15, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39163, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 207, 12, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39164, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 166, 21, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39165, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 10, 2, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39166, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2649, 4, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39167, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 49, 12, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39168, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 393, 2, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39169, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 33, 13, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39170, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 481, 3, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39171, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 893, 2, 2023, 6, 29, '2024-08-05 13:58:35', NULL, NULL), (39172, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 204, 68, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39173, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 249, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39174, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '', 419, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39175, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 562, 93, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39176, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 633, 57, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39177, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 305, 137, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39178, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 452, 433, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39179, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 222, 171, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39180, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 863, 115, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39181, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1243, 187, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39182, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 447, 438, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39183, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 550, 164, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39184, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39185, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 863, 115, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39186, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 301, 139, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39187, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 204, 68, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39188, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1243, 187, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39189, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 222, 171, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39190, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '', 0, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39191, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 169, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39192, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 148, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39193, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 116, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39194, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 71, 31, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39195, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 204, 68, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39196, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 141, 70, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39197, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 0, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39198, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39199, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 7008, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39200, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 282, 21, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39201, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 148, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39202, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 209, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39203, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 317, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39204, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 336, 3, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39205, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 17, 8, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39206, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 427, 76, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39207, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 690, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39208, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 4, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39209, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2716, 70, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39210, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 477, 57, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39211, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 2, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39212, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39213, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 696, 36, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 14, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 769, 50, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 167, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 282, 21, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1001, 51, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1317, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D11', 419, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 59, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 647, 38, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 601, 28, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 37, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1156, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 538, 25, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 618, 42, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 131, 13, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 456, 32, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 636, 39, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 148, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1938, 9, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 421, 37, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2111, 3, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 463, 34, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 185, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 207, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2201, 8, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 316, 15, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 63, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 290, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 542, 37, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2735, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 546, 9, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2153, 9, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 8, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 45, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 88, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 412, 46, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 132, 18, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 146, 33, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 58, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 4, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 62, 3, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 43, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 14, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 187, 14, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 391, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 3, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 7, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 4, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 313, 59, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 180, 35, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 433, 31, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 85, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 7008, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 3, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 12, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 265, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 229, 34, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 71, 31, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 249, 16, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 2, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 32, 29, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 406, 13, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 137, 37, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 103, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 419, 22, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 19, 3, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 76, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2995, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 3175, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 4115, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2718, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 45, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 222, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 3640, 14, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 706, 25, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 690, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 650, 53, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 470, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 250, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 272, 17, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 300, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 184, 19, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 324, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1797, 3, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 23, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 28, 8, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 35, 23, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39302, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 317, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39303, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 4, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39304, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 204, 68, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39305, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 690, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39306, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 141, 70, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39307, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 169, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39308, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 71, 31, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39309, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 116, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39310, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 282, 21, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39311, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39312, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 2, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39313, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 696, 36, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39314, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 336, 3, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39315, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '', 419, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39316, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 7008, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39317, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 477, 57, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39318, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2716, 70, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39319, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 222, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39320, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 427, 76, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39321, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 17, 8, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39322, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 148, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39323, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 7008, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39324, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 148, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39325, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 71, 31, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39326, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 45, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39327, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 336, 3, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (39328, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 406, 13, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39329, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 12, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39330, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 229, 34, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39331, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 821, 14, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39332, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 85, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39333, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 3, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39334, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 761, 17, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39335, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 130, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39336, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 2, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39337, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 324, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39338, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 63, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39339, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 207, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39340, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 88, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39341, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 185, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39342, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 154, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39343, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 59, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39344, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 222, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39345, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 4, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39346, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 300, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39347, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 538, 25, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39348, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 37, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39349, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 601, 28, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39350, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 690, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39351, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 45, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39352, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 3, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39353, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 8, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39354, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 14, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39355, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1156, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39356, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39357, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 167, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39358, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 521, 25, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39359, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 132, 8, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39360, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 546, 24, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39361, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '1D11', 419, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39362, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2718, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39363, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 3640, 14, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39364, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2995, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39365, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 4115, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39366, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 137, 37, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39367, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 146, 33, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39368, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2201, 8, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39369, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2735, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39370, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 282, 21, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39371, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2153, 9, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39372, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1938, 9, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39373, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2111, 3, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39374, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 43, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39375, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 14, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39376, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 4, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39377, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 7, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39378, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 4, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39379, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 2, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39380, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 3640, 14, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39381, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2718, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39382, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 4115, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39383, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2995, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39384, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 419, 22, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39385, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 433, 31, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39386, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 324, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39387, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 300, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39388, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 647, 38, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39389, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 131, 13, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39390, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 32, 29, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39391, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 618, 42, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39392, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 769, 50, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39393, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 207, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39394, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 63, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39395, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 88, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39396, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 8, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39397, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 45, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39398, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 3, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39399, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 35, 23, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39400, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39401, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 23, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39402, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 650, 53, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39403, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 146, 33, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39404, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 706, 25, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39405, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 137, 37, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39406, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 71, 31, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39407, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 7008, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39408, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1001, 51, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39409, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1317, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39410, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 282, 21, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39411, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 3, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39412, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 12, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39413, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 14, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39414, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 167, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39415, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 85, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39416, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 229, 34, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39417, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 406, 13, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39418, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 59, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39419, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 391, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39420, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 538, 25, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39421, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 187, 14, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39422, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 601, 28, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39423, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 180, 35, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39424, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 37, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39425, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 313, 59, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39426, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 132, 18, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39427, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2735, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39428, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 249, 16, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39429, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 62, 3, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39430, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2201, 8, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39431, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2111, 3, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39432, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 58, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39433, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1938, 9, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39434, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 265, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39435, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 45, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39436, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 185, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39437, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 148, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39438, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 290, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39439, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 690, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39440, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 222, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39441, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 28, 8, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39442, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2153, 9, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39443, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 3175, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39444, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1797, 3, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39445, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 19, 3, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39446, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 184, 19, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39447, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 76, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39448, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 546, 9, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39449, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 542, 37, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39450, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1156, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39451, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 470, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39452, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 316, 15, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39453, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 463, 34, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39454, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 272, 17, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39455, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 421, 37, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39456, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 250, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39457, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 103, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39458, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 636, 39, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39459, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 456, 32, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39460, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 412, 46, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39461, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '1D11', 419, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39462, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2153, 9, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39463, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 222, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39464, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1938, 9, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39465, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2201, 8, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39466, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2111, 3, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39467, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2735, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39468, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39469, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 601, 28, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39470, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 37, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39471, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 538, 25, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39472, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 59, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39473, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1156, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39474, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2995, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39475, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2718, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39476, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 4115, 7, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39477, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 3640, 14, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39478, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 3, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39479, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 821, 14, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39480, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 45, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39481, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 146, 33, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39482, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 8, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39483, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 130, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39484, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 137, 37, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39485, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 761, 17, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39486, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 71, 31, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39487, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 45, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39488, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 12, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39489, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 229, 34, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39490, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 406, 13, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39491, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 85, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39492, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 3, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39493, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 4, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39494, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 300, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39495, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 324, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39496, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 7008, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39497, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 185, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39498, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 154, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39499, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 2, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39500, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 546, 24, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39501, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 167, 4, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39502, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 88, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39503, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 521, 25, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39504, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 14, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39505, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 132, 8, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39506, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 282, 21, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39507, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 690, 2, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39508, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 148, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39509, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 207, 6, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39510, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 63, 5, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39511, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 336, 3, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39512, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '1D11', 419, 1, 2023, 6, 30, '2024-08-05 13:58:36', NULL, NULL), (39513, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 454, 1, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39514, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 75, 7, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39515, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 466, 77, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39516, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 322, 51, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39517, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 590, 37, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39518, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 466, 77, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39519, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 2, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39520, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 322, 51, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39521, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 75, 7, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39522, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 454, 1, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39523, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 590, 37, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39524, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 644, 21, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39525, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 45, 2, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39526, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 5, 1, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39527, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 454, 1, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39528, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 519, 16, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39529, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 2, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39530, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 108, 4, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 342, 30, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 5, 1, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 294, 21, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 45, 2, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1200, 2, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 508, 9, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 512, 3, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 221, 14, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 76, 16, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 867, 36, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 108, 4, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 717, 7, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 454, 1, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 30, 11, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 519, 16, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39546, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 519, 16, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39547, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 5, 1, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39548, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 45, 2, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39549, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 644, 21, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39550, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 108, 4, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39551, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 454, 1, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39552, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 454, 1, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39553, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1200, 2, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39554, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 508, 9, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39555, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 512, 3, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39556, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 45, 2, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39557, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 519, 16, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39558, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 717, 7, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39559, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 5, 1, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39560, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 108, 4, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39561, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 45, 2, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39562, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 5, 1, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39563, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 342, 30, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39564, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 454, 1, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39565, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 108, 4, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39566, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 508, 9, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39567, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 512, 3, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39568, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1200, 2, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39569, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 867, 36, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39570, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 76, 16, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39571, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 519, 16, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39572, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 221, 14, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39573, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 717, 7, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39574, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 294, 21, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39575, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 30, 11, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39576, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 5, 1, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39577, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 108, 4, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39578, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 454, 1, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39579, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 45, 2, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39580, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1200, 2, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39581, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 519, 16, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39582, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 508, 9, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39583, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 512, 3, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39584, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 717, 7, 2023, 7, 1, '2024-08-05 13:58:37', NULL, NULL), (39585, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 856, 6, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39586, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 148, 18, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39587, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 352, 42, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39588, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1652, 48, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39589, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 124, 11, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39590, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 352, 42, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39591, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 856, 6, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39592, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1525, 52, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39593, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 148, 18, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39594, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 105, 13, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39595, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 85, 4, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39596, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 63, 1, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39597, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 1528, 3, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39598, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39599, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 146, 7, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39600, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 185, 3, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39601, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 275, 9, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1504, 3, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 146, 7, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1661, 45, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 63, 1, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 40, 2, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 168, 1, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 21, 2, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 14, 6, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 23, 8, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 25, 11, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 503, 14, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 95, 1, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 968, 4, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 856, 6, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 275, 9, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 684, 5, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39618, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 146, 7, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39619, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 1528, 3, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39620, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 63, 1, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39621, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 275, 9, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39622, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 85, 4, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39623, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 185, 3, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39624, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 95, 1, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39625, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 63, 1, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39626, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 185, 3, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39627, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 40, 2, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39628, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 168, 1, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39629, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 146, 7, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39630, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 1528, 3, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39631, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 275, 9, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39632, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 63, 1, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39633, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 21, 2, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39634, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1504, 3, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39635, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 14, 6, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39636, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 275, 9, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39637, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 95, 1, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39638, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 168, 1, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39639, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 40, 2, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39640, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 968, 4, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39641, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 25, 11, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39642, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 503, 14, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39643, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 146, 7, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39644, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 23, 8, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39645, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 856, 6, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39646, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1661, 45, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39647, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 684, 5, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39648, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 1528, 3, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39649, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 275, 9, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39650, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 63, 1, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39651, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 185, 3, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39652, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 40, 2, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39653, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 146, 7, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39654, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 168, 1, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39655, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 95, 1, 2023, 7, 2, '2024-08-05 13:58:39', NULL, NULL), (39656, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 182, 147, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39657, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1238, 9, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39658, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 257, 115, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39659, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 9, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39660, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 287, 48, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39661, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 1029, 285, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39662, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1193, 121, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39663, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 501, 524, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39664, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 205, 215, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39665, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 375, 199, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39666, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1008, 267, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39667, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 501, 524, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39668, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 308, 177, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39669, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1183, 122, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39670, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 375, 199, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39671, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 1022, 287, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39672, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 182, 147, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39673, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1000, 269, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39674, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 205, 215, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39675, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 466, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39676, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 3818, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39677, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 161, 8, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39678, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 182, 147, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39679, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 316, 46, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39680, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 179, 94, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39681, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 332, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39682, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1671, 73, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39683, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39684, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 105, 6, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39685, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 325, 35, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39686, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 611, 15, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39687, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 916, 10, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39688, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 340, 16, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39689, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 9, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39690, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 6993, 8, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39691, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 961, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39692, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 30, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39693, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39694, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39695, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 636, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39696, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 381, 146, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39697, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1557, 17, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39698, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 67, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39699, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1642, 109, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39700, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 10, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39701, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 257, 64, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39702, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 2, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39703, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 5, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39704, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 258, 51, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39705, 1, '511500000000-0001', '宜宾市民中心', '跨区域通办', '', '', '', 8, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 199, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 764, 4, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 332, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 655, 14, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 1671, 73, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 602, 19, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 607, 41, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1707, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 434, 9, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 138, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 488, 37, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1367, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 443, 6, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 526, 32, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 4281, 5, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 610, 6, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 653, 28, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1828, 15, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 537, 48, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 688, 42, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2618, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 130, 21, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 138, 15, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 223, 9, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 271, 16, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 619, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 196, 63, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 222, 47, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 540, 27, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 140, 23, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 115, 24, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 194, 28, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 298, 13, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 275, 32, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 173, 15, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 216, 18, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 291, 57, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (39743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 542, 25, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 7, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 18, 13, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 120, 22, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 398, 55, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 542, 54, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 40, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 8, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 485, 23, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 406, 4, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 218, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 986, 8, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 148, 13, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 255, 42, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 442, 44, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 161, 8, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 371, 61, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 9, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 403, 65, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 325, 35, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 199, 23, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 155, 17, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 185, 25, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 88, 21, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 143, 4, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 256, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 225, 41, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 337, 45, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3818, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 713, 4, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 187, 19, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 583, 42, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 6, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 5, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 406, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 218, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 602, 32, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 168, 70, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 2, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 7655, 5, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 808, 23, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 5974, 22, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 86, 10, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 48, 6, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 105, 6, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 2, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 323, 45, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 212, 24, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 161, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 421, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1360, 10, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1871, 8, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1427, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1557, 7, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 916, 10, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1294, 28, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1557, 17, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 7992, 7, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39803, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 655, 14, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39804, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 7992, 7, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39805, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 9, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39806, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 67, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39807, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 332, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39808, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 182, 147, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39809, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 340, 16, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39810, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1557, 17, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39811, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 30, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39812, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 179, 94, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39813, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 466, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39814, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 323, 45, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39815, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 161, 8, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39816, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 325, 35, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39817, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 636, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39818, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 5, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39819, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 2, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39820, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 258, 51, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39821, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 961, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39822, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 105, 6, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39823, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 257, 64, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39824, 1, '511500000000-0001', '宜宾市民中心', '跨区域通办', '宜宾市政务服务和非公经济发展局', '', '', 8, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39825, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1642, 109, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39826, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1671, 73, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39827, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 10, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39828, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 916, 10, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39829, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 384, 145, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39830, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39831, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 3818, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39832, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 3818, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39833, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 105, 6, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39834, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 199, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39835, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 764, 4, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39836, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 655, 14, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39837, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 323, 45, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39838, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 120, 22, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39839, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 30, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39840, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 961, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39841, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 216, 18, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39842, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 194, 28, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39843, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 275, 32, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39844, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 140, 23, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39845, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 164, 14, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39846, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 115, 24, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39847, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 143, 4, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39848, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 194, 11, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39849, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 370, 22, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39850, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 2, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39851, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 7992, 7, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39852, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 583, 42, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39853, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 187, 19, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39854, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 602, 32, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39855, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 406, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39856, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 466, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39857, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 155, 17, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39858, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 916, 10, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39859, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 9, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39860, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 67, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39861, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 256, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39862, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 10, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39863, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 88, 21, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39864, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1557, 17, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39865, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 5, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39866, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39867, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 6, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39868, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 636, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39869, 1, '511500000000-0001', '宜宾市民中心', '跨区域通办', '', '', '1D27', 8, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39870, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2618, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39871, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 2, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39872, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 161, 8, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39873, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39874, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 236, 30, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39875, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 305, 23, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39876, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 211, 11, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39877, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 332, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39878, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1294, 28, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39879, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1360, 10, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39880, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1871, 8, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39881, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1427, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39882, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1557, 7, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39883, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 212, 24, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39884, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 168, 70, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39885, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1367, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39886, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 4281, 5, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39887, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1804, 14, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39888, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 325, 35, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39889, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1707, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39890, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 1671, 73, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39891, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 808, 23, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39892, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 5974, 22, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39893, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 7655, 5, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39894, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 86, 10, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39895, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 48, 6, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39896, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 2, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39897, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1294, 28, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39898, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1557, 7, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39899, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1427, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39900, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 542, 25, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39901, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1871, 8, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39902, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 540, 27, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39903, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1360, 10, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39904, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 7992, 7, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39905, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 291, 57, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39906, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 442, 44, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39907, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 187, 19, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39908, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 583, 42, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39909, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 610, 6, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39910, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 406, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39911, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 602, 32, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39912, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 6, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39913, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 138, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39914, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 5, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39915, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 443, 6, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39916, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39917, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 255, 42, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39918, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39919, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 986, 8, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39920, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 2, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39921, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 542, 54, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39922, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 168, 70, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39923, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 398, 55, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39924, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 212, 24, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39925, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 323, 45, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39926, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 105, 6, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39927, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 371, 61, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39928, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 403, 65, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39929, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 199, 23, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39930, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 655, 14, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39931, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 325, 35, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39932, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 161, 8, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39933, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 1671, 73, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39934, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 199, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39935, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 155, 17, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39936, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 764, 4, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39937, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 619, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39938, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 256, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39939, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 271, 16, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39940, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 222, 47, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39941, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 88, 21, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39942, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 332, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39943, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 196, 63, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39944, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 130, 21, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39945, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1828, 15, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39946, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 4281, 5, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39947, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 173, 15, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39948, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 223, 9, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39949, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1367, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39950, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 138, 15, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39951, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1707, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39952, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 298, 13, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39953, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 148, 13, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39954, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2618, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39955, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 421, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39956, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 161, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39957, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 9, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39958, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 185, 25, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39959, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 337, 45, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39960, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 225, 41, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39961, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 143, 4, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39962, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 115, 24, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39963, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 194, 28, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39964, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 140, 23, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39965, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 275, 32, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39966, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 216, 18, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39967, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 218, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39968, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 120, 22, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39969, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 713, 4, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39970, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3818, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39971, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1557, 17, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39972, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 916, 10, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39973, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 18, 13, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39974, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 218, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39975, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 406, 4, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39976, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 7, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39977, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 537, 48, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39978, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 653, 28, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39979, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 40, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39980, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 526, 32, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39981, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 488, 37, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39982, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 485, 23, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39983, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 434, 9, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39984, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 8, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39985, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 607, 41, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39986, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 602, 19, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39987, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 688, 42, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39988, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2618, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39989, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 199, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39990, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 916, 10, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39991, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1707, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39992, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1367, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39993, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 764, 4, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39994, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1804, 14, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39995, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 4281, 5, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39996, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39997, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 2, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39998, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 88, 21, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (39999, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 256, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40000, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 155, 17, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40001, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 636, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40002, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 30, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40003, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 332, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40004, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 1671, 73, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40005, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1360, 10, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40006, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1427, 12, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40007, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1871, 8, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40008, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1557, 7, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40009, 1, '511500000000-0001', '宜宾市民中心', '跨区域通办', '宜宾市政务服务和非公经济发展局', '', '1D27', 8, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40010, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1294, 28, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40011, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40012, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 655, 14, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40013, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 120, 22, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40014, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 164, 14, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40015, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 168, 70, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40016, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 6, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40017, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 370, 22, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40018, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 212, 24, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40019, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 194, 11, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40020, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 143, 4, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40021, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 323, 45, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40022, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 5, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40023, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 194, 28, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40024, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 275, 32, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40025, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 216, 18, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40026, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 140, 23, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40027, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 115, 24, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40028, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 67, 3, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40029, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 7992, 7, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40030, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 105, 6, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40031, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 466, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40032, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 9, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40033, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 2, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40034, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 211, 11, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40035, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 406, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40036, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 602, 32, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40037, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 161, 8, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40038, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 236, 30, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40039, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 305, 23, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40040, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 325, 35, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40041, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 10, 1, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40042, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1557, 17, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40043, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 3818, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40044, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 187, 19, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40045, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 583, 42, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40046, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 961, 2, 2023, 7, 3, '2024-08-05 13:58:40', NULL, NULL), (40047, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 68, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40048, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 95, 141, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40049, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 3, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40050, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1508, 277, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40051, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 842, 9, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40052, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 296, 82, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40053, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 412, 68, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40054, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 570, 282, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40055, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 767, 68, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40056, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 494, 436, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40057, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 510, 167, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40058, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 198, 202, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40059, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 490, 440, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40060, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 368, 163, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40061, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 745, 70, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40062, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 510, 167, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40063, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 570, 282, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40064, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1508, 277, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40065, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 95, 141, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40066, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 198, 202, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40067, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 53, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40068, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 405, 9, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40069, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 434, 50, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40070, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 95, 141, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40071, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 171, 95, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40072, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1296, 6, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40073, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 914, 36, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40074, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40075, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 342, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40076, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1645, 3, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40077, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 119, 34, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40078, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 38, 5, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40079, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 8834, 11, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40080, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 5, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40081, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 209, 13, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40082, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 3, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40083, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 405, 8, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40084, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 250, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40085, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 68, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40086, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 56, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40087, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 4, 6, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40088, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 4605, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40089, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 170, 131, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40090, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1144, 13, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40091, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 100, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40092, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 210, 5, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40093, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 3327, 113, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40094, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 605, 4, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40095, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 309, 52, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40096, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 179, 15, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40097, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 9, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40098, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 275, 30, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 244, 10, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 93, 3, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1676, 5, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 2165, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 38, 5, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 914, 36, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 492, 28, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 438, 26, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1432, 9, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 568, 34, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 245, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 553, 25, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 5709, 4, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 3203, 14, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 781, 4, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 372, 22, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 31, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 3064, 9, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 624, 33, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2890, 10, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 352, 37, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 6597, 6, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 369, 33, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 4008, 12, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 123, 17, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 156, 19, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 3, 5, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 186, 9, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 242, 49, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 245, 52, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 738, 17, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 53, 25, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 73, 24, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 138, 22, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 171, 20, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 150, 27, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 149, 18, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 122, 30, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 52, 22, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 192, 18, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 87, 6, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 433, 13, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 101, 21, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 646, 36, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 836, 70, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 253, 4, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 58, 3, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 253, 26, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1106, 12, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 212, 4, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 199, 13, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 69, 27, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 517, 49, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 405, 9, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 421, 35, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 3, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 612, 67, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 119, 34, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E01', 56, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 291, 14, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 68, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 192, 14, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 365, 20, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 162, 31, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 237, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 213, 18, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (40165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 153, 28, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 302, 42, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 605, 4, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 5, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 184, 3, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 103, 23, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 251, 19, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 5, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 10, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 391, 3, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 4605, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 149, 13, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 157, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 184, 49, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 20, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 415, 13, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 96, 11, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 539, 15, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 2, 4, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 13, 17, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 210, 5, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 342, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 157, 7, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 329, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 434, 50, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 183, 6, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 157, 46, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 14, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 7437, 5, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1339, 9, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2544, 6, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 3176, 6, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 8834, 11, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2940, 23, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 100, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1144, 13, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 713, 4, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 98, 4, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40205, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 38, 5, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40206, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 405, 8, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40207, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 3, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40208, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 210, 5, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40209, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1555, 5, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40210, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 95, 141, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40211, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1144, 13, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40212, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 209, 13, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40213, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 171, 95, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40214, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 53, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40215, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 434, 50, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40216, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 405, 9, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40217, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 119, 34, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40218, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 4605, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40219, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 7, 9, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40220, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 179, 15, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40221, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 275, 30, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40222, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 605, 4, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40223, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 250, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40224, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 100, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40225, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 5, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40226, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 342, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40227, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 309, 52, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40228, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 3327, 113, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40229, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 914, 36, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40230, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 68, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40231, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 8834, 11, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40232, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '', 56, 1, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40233, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 2467, 2, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40234, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 170, 131, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40235, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 4, 6, 2023, 7, 4, '2024-08-05 13:58:44', NULL, NULL), (40236, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 342, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40237, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 244, 10, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40238, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 93, 3, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40239, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D23', 5, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40240, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 38, 5, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40241, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 434, 50, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40242, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 101, 21, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40243, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 68, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40244, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 250, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40245, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 52, 22, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40246, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 138, 22, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40247, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 150, 27, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40248, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 306, 6, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40249, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 53, 25, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40250, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 73, 24, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40251, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 237, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40252, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 222, 6, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40253, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 288, 16, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40254, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 183, 6, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40255, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 329, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40256, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 157, 7, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40257, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 98, 4, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40258, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 251, 19, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40259, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 103, 23, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40260, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 149, 13, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40261, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 391, 3, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40262, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 53, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40263, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 192, 14, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40264, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 8834, 11, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40265, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 3, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40266, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 2467, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40267, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 210, 5, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40268, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 713, 4, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40269, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 153, 28, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40270, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 162, 31, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40271, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1144, 13, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40272, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 10, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40273, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 100, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40274, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 2, 4, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40275, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 4605, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40276, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 5, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40277, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '2E01', 56, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40278, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 4008, 12, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40279, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 20, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40280, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 405, 9, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40281, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40282, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40283, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 209, 12, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40284, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 311, 26, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40285, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 391, 14, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40286, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1149, 3, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40287, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 2165, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40288, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2940, 23, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40289, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 7437, 5, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40290, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1339, 9, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40291, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2544, 6, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40292, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 3176, 6, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40293, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 157, 46, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40294, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 184, 49, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40295, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 157, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40296, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 605, 4, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40297, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 3203, 14, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40298, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 3064, 9, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40299, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2890, 10, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40300, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 6597, 6, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40301, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 119, 34, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40302, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1432, 9, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40303, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 5709, 4, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40304, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 914, 36, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40305, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 96, 11, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40306, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 539, 15, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40307, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 157, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40308, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 415, 13, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40309, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 13, 17, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40310, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 210, 5, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40311, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 329, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40312, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 183, 6, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40313, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 157, 7, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40314, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2940, 23, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40315, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 3176, 6, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40316, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2544, 6, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40317, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 192, 18, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40318, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1339, 9, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40319, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 738, 17, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40320, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 7437, 5, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40321, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 98, 4, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40322, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 713, 4, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40323, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 122, 30, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40324, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 517, 49, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40325, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 103, 23, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40326, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 251, 19, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40327, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 31, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40328, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 391, 3, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40329, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 149, 13, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40330, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 245, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40331, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 5, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40332, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 10, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40333, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 781, 4, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40334, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 2, 4, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40335, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40336, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 69, 27, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40337, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40338, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 20, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40339, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 836, 70, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40340, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 646, 36, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40341, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 184, 49, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40342, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 157, 46, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40343, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 434, 50, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40344, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 342, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40345, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 421, 35, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40346, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 612, 67, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40347, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 291, 14, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40348, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 38, 5, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40349, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 119, 34, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40350, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E01', 56, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40351, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 914, 36, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40352, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 405, 9, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40353, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 244, 10, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40354, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 192, 14, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40355, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 93, 3, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40356, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 153, 28, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40357, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 186, 9, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40358, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 245, 52, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40359, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1676, 5, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40360, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 2165, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40361, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 242, 49, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40362, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 162, 31, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40363, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 123, 17, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40364, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2890, 10, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40365, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 149, 18, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40366, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 3064, 9, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40367, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 3, 5, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40368, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 3203, 14, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40369, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 156, 19, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40370, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 5709, 4, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40371, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1432, 9, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40372, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 171, 20, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40373, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 199, 13, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40374, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 4008, 12, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40375, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 6597, 6, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40376, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 14, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40377, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 3, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40378, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 365, 20, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40379, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 302, 42, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40380, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 213, 18, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40381, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 237, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40382, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 68, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40383, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 73, 24, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40384, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 138, 22, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40385, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 53, 25, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40386, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 150, 27, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40387, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 52, 22, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40388, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 4605, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40389, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 101, 21, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40390, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40391, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 184, 3, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40392, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 605, 4, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40393, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 100, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40394, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1144, 13, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40395, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 8834, 11, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40396, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 433, 13, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40397, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 212, 4, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40398, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1106, 12, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40399, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 87, 6, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40400, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 352, 37, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40401, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 624, 33, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40402, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 253, 4, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40403, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 372, 22, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40404, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 553, 25, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40405, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 568, 34, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40406, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 253, 26, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40407, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 58, 3, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40408, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 438, 26, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40409, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 492, 28, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40410, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 369, 33, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40411, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 4008, 12, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40412, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 6597, 6, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40413, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 244, 10, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40414, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 8834, 11, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40415, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1432, 9, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40416, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 3203, 14, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40417, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 5709, 4, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40418, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 93, 3, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40419, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2890, 10, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40420, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 3064, 9, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40421, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40422, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 20, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40423, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 162, 31, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40424, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 153, 28, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40425, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 192, 14, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40426, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 4605, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40427, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 2165, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40428, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1149, 3, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40429, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 914, 36, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40430, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 7437, 5, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40431, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2544, 6, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40432, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1339, 9, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40433, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 3176, 6, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40434, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2940, 23, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40435, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40436, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 2, 4, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40437, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40438, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 38, 5, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40439, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 306, 6, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40440, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 101, 21, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40441, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 184, 49, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40442, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 5, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40443, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 157, 46, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40444, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 288, 16, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40445, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 222, 6, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40446, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 434, 50, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40447, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 237, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40448, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 10, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40449, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 138, 22, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40450, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 150, 27, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40451, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 52, 22, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40452, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 53, 25, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40453, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 73, 24, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40454, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 210, 5, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40455, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 68, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40456, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 713, 4, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40457, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 98, 4, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40458, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 342, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40459, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 53, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40460, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 3, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40461, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 183, 6, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40462, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 329, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40463, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 157, 7, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40464, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 100, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40465, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 391, 14, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40466, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 391, 3, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40467, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 149, 13, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40468, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 209, 12, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40469, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 405, 9, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40470, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 2467, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40471, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 311, 26, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40472, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 119, 34, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40473, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '2E01', 56, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40474, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 157, 1, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40475, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1144, 13, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40476, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 103, 23, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40477, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 605, 4, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40478, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 251, 19, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40479, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 250, 2, 2023, 7, 4, '2024-08-05 13:58:45', NULL, NULL), (40480, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 166, 137, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40481, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 278, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40482, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 288, 88, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40483, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 449, 42, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40484, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 590, 238, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40485, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 636, 76, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40486, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 414, 414, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40487, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 204, 188, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40488, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 320, 181, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40489, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 361, 209, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40490, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 411, 417, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40491, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 330, 139, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40492, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 620, 78, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40493, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 320, 181, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40494, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 573, 245, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40495, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 164, 139, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40496, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 356, 212, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40497, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 203, 189, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40498, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 104, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40499, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 801, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40500, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 6, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40501, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 776, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40502, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 392, 16, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40503, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 122, 40, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40504, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 165, 138, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40505, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 107, 78, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40506, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 741, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40507, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 730, 51, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40508, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40509, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 114, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40510, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 93, 18, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40511, 1, '511500000000-0001', '宜宾市民中心', '工伤认定业务', '', '', '', 0, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40512, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 453, 9, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40513, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 19, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40514, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 4519, 15, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40515, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 307, 13, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40516, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 678, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40517, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 141, 8, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40518, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 268, 132, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40519, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2223, 10, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40520, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 1282, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40521, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 142, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40522, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 797, 72, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40523, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 21, 3, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40524, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 331, 58, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40525, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 351, 3, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40526, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 27, 10, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40527, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 199, 31, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40528, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 404, 7, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 193, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 331, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1151, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 104, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 453, 9, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 664, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 760, 49, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1146, 18, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 301, 20, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 611, 12, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 645, 22, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1204, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 586, 21, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 536, 24, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 941, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 603, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 698, 27, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 954, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 359, 32, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 409, 29, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1006, 7, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 53, 18, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 129, 16, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 268, 14, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 137, 11, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 267, 54, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 189, 41, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 466, 17, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 123, 22, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 127, 23, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 153, 24, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 132, 13, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 191, 25, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 311, 11, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 126, 26, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 203, 20, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 315, 24, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 683, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 161, 11, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 201, 23, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 296, 45, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 327, 79, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 37, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 5, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 229, 8, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 956, 10, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 385, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (40577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 291, 10, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 174, 30, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 347, 17, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 392, 16, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 234, 78, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 93, 18, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 247, 67, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1178, 13, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 469, 18, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 293, 33, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 304, 14, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 173, 12, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 229, 14, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 278, 41, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 21, 3, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 801, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 6, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 152, 25, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 280, 29, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 250, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 32, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 254, 30, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 539, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 105, 44, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 22, 8, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 49, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 3, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 59, 10, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 43, 10, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 54, 7, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 142, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 114, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 2, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 122, 40, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 19, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 525, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 109, 34, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 289, 3, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 323, 3, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 765, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1287, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 925, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 8474, 8, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 785, 12, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1282, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2223, 10, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 6, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 1015, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40626, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 453, 9, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40627, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 678, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40628, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 142, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40629, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 741, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40630, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 166, 137, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40631, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 307, 13, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40632, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2223, 10, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40633, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 107, 78, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40634, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 6, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40635, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 122, 40, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40636, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 392, 16, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40637, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 93, 18, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40638, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 27, 10, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40639, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 351, 3, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40640, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 205, 30, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40641, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 21, 3, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40642, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 19, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40643, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 1282, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40644, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 114, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40645, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 331, 58, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40646, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 819, 70, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40647, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 104, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40648, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 760, 49, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40649, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 8474, 8, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40650, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 268, 132, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40651, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 776, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40652, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 141, 8, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40653, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 801, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40654, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 801, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40655, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 114, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40656, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 404, 7, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40657, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 193, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40658, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 453, 9, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40659, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 122, 40, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40660, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 201, 23, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40661, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 203, 20, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40662, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 153, 24, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40663, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 191, 25, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40664, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 170, 7, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40665, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 123, 22, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40666, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 304, 14, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40667, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 127, 23, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40668, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 80, 9, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40669, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 525, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40670, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 2, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40671, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 1015, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40672, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 104, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40673, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 776, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40674, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 280, 29, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40675, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 152, 25, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40676, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 539, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40677, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 254, 30, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40678, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 469, 18, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40679, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 8474, 8, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40680, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 142, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40681, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 6, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40682, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 229, 14, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40683, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 173, 12, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40684, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2223, 10, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40685, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 32, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40686, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 1282, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40687, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 250, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40688, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1006, 7, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40689, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 49, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40690, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 392, 16, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40691, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40692, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 664, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40693, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 3, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40694, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 334, 32, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40695, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 327, 26, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40696, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 331, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40697, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1151, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40698, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 925, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40699, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 785, 12, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40700, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E28', 19, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40701, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 765, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40702, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1287, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40703, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 109, 34, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40704, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 105, 44, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40705, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 6, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40706, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 21, 3, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40707, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 941, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40708, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 603, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40709, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 954, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40710, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 93, 18, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40711, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 611, 12, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40712, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1204, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40713, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 760, 49, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40714, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 59, 10, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40715, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 43, 10, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40716, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 22, 8, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40717, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 54, 7, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40718, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 142, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40719, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 19, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40720, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 525, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40721, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 2, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40722, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 785, 12, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40723, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 925, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40724, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1287, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40725, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 765, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40726, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 315, 24, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40727, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 466, 17, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40728, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 1015, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40729, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 6, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40730, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 126, 26, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40731, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 347, 17, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40732, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 152, 25, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40733, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 280, 29, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40734, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 254, 30, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40735, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 539, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40736, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 250, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40737, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 32, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40738, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40739, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 174, 30, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40740, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 3, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40741, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 49, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40742, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 327, 79, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40743, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 105, 44, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40744, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 296, 45, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40745, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 109, 34, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40746, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 122, 40, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40747, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 114, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40748, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 234, 78, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40749, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 247, 67, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40750, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1178, 13, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40751, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 93, 18, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40752, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 453, 9, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40753, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 392, 16, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40754, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 760, 49, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40755, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 404, 7, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40756, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 104, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40757, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 469, 18, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40758, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 193, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40759, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 229, 14, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40760, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 137, 11, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40761, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 331, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40762, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 189, 41, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40763, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1151, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40764, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 173, 12, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40765, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 267, 54, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40766, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 954, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40767, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 53, 18, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40768, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 311, 11, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40769, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 603, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40770, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 268, 14, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40771, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 941, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40772, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1204, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40773, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 129, 16, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40774, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 611, 12, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40775, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 132, 13, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40776, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 291, 10, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40777, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1006, 7, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40778, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 323, 3, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40779, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 664, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40780, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 289, 3, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40781, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 293, 33, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40782, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 278, 41, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40783, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 304, 14, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40784, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 127, 23, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40785, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 153, 24, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40786, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 123, 22, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40787, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 191, 25, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40788, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 203, 20, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40789, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 201, 23, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40790, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40791, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 21, 3, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40792, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 801, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40793, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1282, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40794, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2223, 10, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40795, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 8474, 8, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40796, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 161, 11, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40797, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 385, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40798, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 956, 10, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40799, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 683, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40800, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 359, 32, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40801, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 698, 27, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40802, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 536, 24, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40803, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 37, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40804, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 586, 21, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40805, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 229, 8, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40806, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 645, 22, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40807, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 5, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40808, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 301, 20, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40809, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1146, 18, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40810, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 409, 29, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40811, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1006, 7, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40812, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 404, 7, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40813, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 8474, 8, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40814, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 611, 12, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40815, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 941, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40816, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1204, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40817, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 193, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40818, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 954, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40819, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 603, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40820, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 3, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40821, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 49, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40822, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 173, 12, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40823, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 229, 14, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40824, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 469, 18, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40825, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 664, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40826, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1151, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40827, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 331, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40828, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 760, 49, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40829, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 765, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40830, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 925, 6, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40831, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1287, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40832, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 785, 12, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40833, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40834, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 453, 9, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40835, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 170, 7, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40836, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 201, 23, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40837, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 105, 44, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40838, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 250, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40839, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 80, 9, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40840, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 109, 34, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40841, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 304, 14, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40842, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 122, 40, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40843, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 32, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40844, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 153, 24, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40845, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 776, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40846, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 191, 25, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40847, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 203, 20, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40848, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 123, 22, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40849, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 127, 23, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40850, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 142, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40851, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 6, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40852, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 1015, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40853, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 114, 5, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40854, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 104, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40855, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 525, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40856, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 2, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40857, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 1282, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40858, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 327, 26, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40859, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 254, 30, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40860, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 539, 4, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40861, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 392, 16, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40862, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 334, 32, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40863, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 93, 18, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40864, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2223, 10, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40865, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 801, 2, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40866, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 152, 25, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40867, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40868, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 21, 3, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40869, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 280, 29, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40870, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E28', 19, 1, 2023, 7, 5, '2024-08-05 13:58:49', NULL, NULL), (40871, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 123, 143, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40872, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 2997, 3, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40873, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 183, 67, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40874, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 3, 2, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40875, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 344, 230, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40876, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 377, 37, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40877, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1091, 69, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40878, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1041, 443, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40879, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1453, 197, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40880, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 149, 188, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40881, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 760, 230, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40882, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1039, 444, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40883, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 293, 120, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40884, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1031, 73, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40885, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1453, 197, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40886, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 342, 231, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40887, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 760, 230, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40888, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 123, 143, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40889, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 149, 188, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40890, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 745, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40891, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 4123, 2, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40892, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 215, 16, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40893, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 369, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40894, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 117, 40, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40895, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 123, 143, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40896, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 639, 87, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40897, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 380, 5, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40898, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1386, 50, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40899, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 192, 3, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40900, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 167, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40901, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 85, 25, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40902, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 4, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40903, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2505, 15, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40904, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 324, 12, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40905, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 3, 2, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40906, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 403, 6, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40907, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '', '', '', 0, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40908, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 4, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40909, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 102, 11, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40910, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 127, 119, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40911, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 4382, 4, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40912, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 12, 3, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40913, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1342, 83, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40914, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 0, 5, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40915, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 194, 44, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40916, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 11, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40917, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 6, 4, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40918, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 162, 23, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 215, 16, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 530, 7, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1263, 58, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 2105, 51, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 36, 5, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 85, 25, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 3, 2, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1382, 69, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 688, 12, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 345, 6, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 153, 23, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 273, 20, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 111, 33, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 81, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 167, 21, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 150, 31, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1462, 10, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 128, 25, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 1386, 50, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 232, 17, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 211, 16, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4123, 2, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 495, 24, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 465, 8, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 366, 34, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 745, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 63, 13, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1172, 9, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 320, 24, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 21, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 130, 19, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 471, 29, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1304, 9, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1145, 5, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 260, 34, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 5, 8, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 360, 3, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 375, 35, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1514, 7, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 4, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 69, 21, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 9, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 23, 22, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 28, 8, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 2, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 5, 9, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 60, 8, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 7, 3, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 366, 5, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 26, 10, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 5, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 6, 11, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 12, 3, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 313, 50, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 216, 40, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 219, 13, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 41, 25, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 192, 3, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 69, 26, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 2, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 259, 25, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 16, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 32, 17, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 76, 20, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 117, 40, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 25, 13, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 229, 24, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 639, 87, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 83, 35, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 280, 21, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 280, 7, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 104, 2, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 441, 7, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1419, 10, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 171, 8, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 2239, 4, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2083, 6, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 56, 23, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2505, 15, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1433, 13, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (40999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 2080, 37, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (41000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 4382, 4, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 3338, 86, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 1375, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 163, 7, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 329, 11, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 289, 5, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 972, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1125, 3, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 36, 7, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 2183, 4, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 56, 34, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41011, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 403, 6, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41012, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 3, 2, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41013, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 12, 3, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41014, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 380, 5, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41015, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 123, 143, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41016, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 4382, 4, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41017, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 324, 12, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41018, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 639, 87, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41019, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 745, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41020, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 117, 40, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41021, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 215, 16, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41022, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 85, 25, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41023, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 11, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41024, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 6, 4, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41025, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 162, 23, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41026, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 192, 3, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41027, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 194, 44, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41028, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1342, 83, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41029, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1386, 50, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41030, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2505, 15, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41031, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 167, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41032, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 127, 119, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41033, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 369, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41034, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 102, 11, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41035, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 4123, 2, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41036, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 4123, 2, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41037, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 192, 3, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41038, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 530, 7, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41039, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 36, 5, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41040, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 117, 40, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41041, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 56, 23, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41042, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 229, 24, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41043, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 259, 25, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41044, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 76, 20, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41045, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 41, 25, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41046, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 193, 10, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41047, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 69, 26, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41048, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 81, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41049, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 157, 7, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41050, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 123, 5, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41051, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 16, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41052, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 2, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41053, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 972, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41054, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 369, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41055, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 130, 19, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41056, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 63, 13, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41057, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 745, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41058, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 153, 23, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41059, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2505, 15, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41060, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 3, 2, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41061, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 167, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41062, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 12, 3, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41063, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 289, 5, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41064, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 150, 31, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41065, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 111, 33, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41066, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 4382, 4, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41067, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 360, 3, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41068, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 5, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41069, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 5, 8, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41070, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1514, 7, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41071, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 9, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41072, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 215, 16, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41073, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 7, 3, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41074, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1462, 10, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41075, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 2, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41076, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 172, 14, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41077, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 129, 20, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41078, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 354, 10, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41079, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 380, 5, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41080, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2083, 6, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41081, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1433, 13, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41082, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 104, 2, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41083, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1419, 10, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41084, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 2239, 4, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41085, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 639, 87, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41086, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 4, 1, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41087, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1172, 9, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41088, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1304, 9, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41089, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1145, 5, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41090, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 85, 25, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41091, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 465, 8, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41092, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 1386, 50, 2023, 7, 6, '2024-08-05 13:58:53', NULL, NULL), (41093, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 5, 9, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41094, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 366, 5, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41095, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 4, 1, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41096, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 28, 8, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41097, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 6, 11, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41098, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 12, 3, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41099, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 3, 2, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41100, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 16, 1, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41101, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 2, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41102, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1433, 13, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41103, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2083, 6, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41104, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 2239, 4, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41105, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1419, 10, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41106, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 280, 21, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41107, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 104, 2, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41108, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 219, 13, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41109, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 972, 1, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41110, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 273, 20, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41111, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 289, 5, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41112, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 128, 25, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41113, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 83, 35, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41114, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 167, 21, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41115, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 81, 1, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41116, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1263, 58, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41117, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 63, 13, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41118, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 130, 19, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41119, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 21, 1, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41120, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 5, 8, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41121, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 360, 3, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41122, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 5, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41123, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 7, 3, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41124, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 56, 34, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41125, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 2, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41126, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 2183, 4, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41127, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 9, 1, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41128, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 3338, 86, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41129, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 2080, 37, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41130, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 639, 87, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41131, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 117, 40, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41132, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 192, 3, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41133, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 2105, 51, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41134, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1382, 69, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41135, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 688, 12, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41136, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 85, 25, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41137, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 69, 26, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41138, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 259, 25, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41139, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 215, 16, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41140, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 1386, 50, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41141, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 41, 25, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41142, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 530, 7, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41143, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 76, 20, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41144, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 229, 24, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41145, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 153, 23, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41146, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 36, 5, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41147, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 150, 31, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41148, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 26, 10, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41149, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 216, 40, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41150, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 345, 6, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41151, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 313, 50, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41152, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 111, 33, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41153, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 69, 21, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41154, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1145, 5, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41155, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 25, 13, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41156, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1304, 9, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41157, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 60, 8, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41158, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1172, 9, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41159, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 23, 22, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41160, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 465, 8, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41161, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 32, 17, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41162, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 56, 23, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41163, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 745, 1, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41164, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4123, 2, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41165, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 4382, 4, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41166, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2505, 15, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41167, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 36, 7, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41168, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1514, 7, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41169, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 171, 8, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41170, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 280, 7, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41171, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1125, 3, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41172, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 329, 11, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41173, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 441, 7, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41174, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 260, 34, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41175, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 471, 29, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41176, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1462, 10, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41177, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 320, 24, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41178, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 366, 34, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41179, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 163, 7, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41180, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 495, 24, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41181, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 1375, 1, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41182, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 211, 16, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41183, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 232, 17, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41184, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 375, 35, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41185, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1514, 7, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41186, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 530, 7, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41187, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2505, 15, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41188, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 465, 8, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41189, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1172, 9, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41190, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1145, 5, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41191, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 36, 5, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41192, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1304, 9, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41193, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 2, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41194, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 9, 1, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41195, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 111, 33, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41196, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 150, 31, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41197, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 153, 23, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41198, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1462, 10, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41199, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 380, 5, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41200, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 1386, 50, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41201, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1419, 10, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41202, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 104, 2, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41203, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2083, 6, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41204, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 2239, 4, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41205, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1433, 13, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41206, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 5, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41207, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 7, 3, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41208, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 56, 23, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41209, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 193, 10, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41210, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 5, 8, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41211, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 123, 5, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41212, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 639, 87, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41213, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 157, 7, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41214, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 81, 1, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41215, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 117, 40, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41216, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 360, 3, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41217, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 259, 25, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41218, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 76, 20, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41219, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 369, 1, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41220, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 229, 24, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41221, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 41, 25, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41222, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 69, 26, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41223, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 12, 3, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41224, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 289, 5, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41225, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 972, 1, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41226, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 192, 3, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41227, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 745, 1, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41228, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 3, 2, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41229, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 16, 1, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41230, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 2, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41231, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 354, 10, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41232, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 167, 1, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41233, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 215, 16, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41234, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 172, 14, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41235, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 129, 20, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41236, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 85, 25, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41237, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 4, 1, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41238, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 4382, 4, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41239, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 4123, 2, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41240, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 63, 13, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41241, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 130, 19, 2023, 7, 6, '2024-08-05 13:58:54', NULL, NULL), (41242, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 5028, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41243, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 91, 166, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41244, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 5, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41245, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 878, 257, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41246, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '', 274, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41247, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 83, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41248, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 232, 66, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41249, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 651, 72, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41250, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 363, 243, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41251, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1463, 109, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41252, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 448, 468, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41253, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 145, 218, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41254, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 903, 208, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41255, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 447, 469, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41256, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 581, 152, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41257, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1411, 113, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41258, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 894, 210, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41259, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 358, 246, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41260, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 90, 167, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41261, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 875, 258, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41262, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 144, 219, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41263, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 4187, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41264, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '', 274, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41265, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 212, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41266, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 202, 12, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41267, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 157, 40, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41268, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 90, 167, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41269, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 415, 88, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41270, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1362, 16, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41271, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1482, 61, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41272, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41273, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 651, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41274, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 122, 23, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41275, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2818, 12, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41276, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 3340, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41277, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 317, 16, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41278, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 5, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41279, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 228, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41280, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 3, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41281, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 5028, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41282, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 19, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41283, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 7, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41284, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 410, 142, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41285, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1227, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41286, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1617, 109, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41287, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 62, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41288, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 66, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41289, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 215, 36, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41290, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 14, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41291, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 16, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41292, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 253, 30, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 393, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 219, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 2024, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 510, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 4187, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 4228, 8, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2083, 11, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 1482, 61, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 142, 4, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 273, 44, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1213, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 338, 20, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 290, 29, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 691, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1481, 14, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 220, 37, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 367, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1418, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 161, 28, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 289, 45, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 340, 32, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1835, 4, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 109, 26, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 49, 13, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 105, 19, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 112, 6, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 182, 55, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 181, 54, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 353, 24, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 114, 29, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 85, 28, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 89, 30, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 168, 20, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 95, 29, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 70, 10, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 73, 20, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 265, 25, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 198, 16, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 534, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 46, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 82, 30, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 998, 63, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 877, 72, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1885, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 59, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 606, 32, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 551, 13, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 396, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 48, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 103, 15, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 44, 28, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1030, 46, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 202, 12, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D14', 274, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 309, 53, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 5, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1090, 83, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 122, 23, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 717, 10, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 5028, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 48, 13, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 71, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 278, 25, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 298, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 585, 29, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 552, 38, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 233, 21, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 160, 18, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 66, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 212, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 80, 24, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 45, 11, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 8, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 58, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 977, 17, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 7, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 400, 44, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 20, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 60, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 51, 6, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 17, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 48, 8, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 35, 11, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 45, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 651, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 2, 4, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 33, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 161, 39, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 27, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 429, 44, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1662, 14, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1579, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 2041, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1700, 8, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1629, 15, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1082, 8, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1165, 10, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1927, 22, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 3340, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1227, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 81, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 412, 4, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41397, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 4228, 8, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41398, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 228, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41399, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 5, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41400, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 62, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41401, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 91, 166, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41402, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1362, 16, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41403, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '', 274, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41404, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 317, 16, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41405, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1227, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41406, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 3, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41407, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 415, 88, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41408, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 161, 39, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41409, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 202, 12, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41410, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 122, 23, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41411, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 7, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41412, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 14, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41413, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 253, 30, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41414, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 16, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41415, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 66, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41416, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 651, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41417, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 215, 36, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41418, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1617, 109, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (41419, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 4187, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41420, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1482, 61, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41421, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 5028, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41422, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 3340, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41423, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 413, 141, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41424, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 19, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41425, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 212, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41426, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 212, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41427, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 651, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41428, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 393, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41429, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 219, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41430, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 4228, 8, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41431, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 161, 39, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41432, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 82, 30, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41433, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 5028, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41434, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 3, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41435, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 73, 20, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41436, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 89, 30, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41437, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 95, 29, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41438, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 114, 29, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41439, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 300, 13, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41440, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 85, 28, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41441, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 298, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41442, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 207, 6, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41443, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 204, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41444, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 27, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41445, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 33, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41446, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 2, 4, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41447, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 412, 4, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41448, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 4187, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41449, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 45, 11, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41450, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 80, 24, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41451, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 977, 17, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41452, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 48, 13, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41453, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 3340, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41454, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 5, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41455, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 62, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41456, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 81, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41457, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 552, 38, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41458, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 585, 29, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41459, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 71, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41460, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1227, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41461, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 58, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41462, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41463, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 7, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41464, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 8, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41465, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1835, 4, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41466, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 60, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41467, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 202, 12, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41468, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41469, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2083, 11, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41470, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 244, 15, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41471, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 117, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41472, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 254, 12, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41473, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 2024, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41474, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 510, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41475, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1165, 10, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41476, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1927, 22, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41477, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 2041, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41478, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1700, 8, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41479, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1629, 15, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41480, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1082, 8, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41481, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 429, 44, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41482, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 400, 44, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41483, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 20, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41484, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 66, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1481, 14, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41486, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1418, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41487, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 122, 23, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41488, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1213, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41489, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 1482, 61, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41490, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '1D14', 274, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41491, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 17, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41492, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 48, 8, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41493, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 20, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41494, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 51, 6, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41495, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 35, 11, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41496, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 45, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41497, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 33, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41498, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 27, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41499, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 2, 4, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41500, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1927, 22, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41501, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1165, 10, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41502, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1082, 8, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41503, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1629, 15, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41504, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 198, 16, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41505, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1700, 8, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41506, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 353, 24, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41507, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 2041, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41508, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 412, 4, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41509, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 81, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41510, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 265, 25, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41511, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1030, 46, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41512, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 80, 24, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41513, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 45, 11, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41514, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 367, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41515, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 977, 17, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41516, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 8, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41517, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 58, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41518, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 691, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41519, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41520, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41521, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 44, 28, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41522, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 48, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41523, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 60, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41524, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 877, 72, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41525, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 998, 63, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41526, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 400, 44, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41527, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 429, 44, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41528, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 161, 39, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41529, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 651, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41530, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 309, 53, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41531, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1090, 83, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41532, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 717, 10, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41533, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 4228, 8, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41534, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 122, 23, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41535, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 202, 12, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41536, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 1482, 61, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41537, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 393, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41538, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 4187, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41539, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 48, 13, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41540, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 219, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41541, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 552, 38, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41542, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 112, 6, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41543, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 71, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41544, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 181, 54, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41545, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 2024, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41546, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 510, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41547, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 182, 55, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41548, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 585, 29, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41549, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 109, 26, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41550, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 70, 10, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41551, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1418, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41552, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1481, 14, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41553, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 105, 19, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41554, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 49, 13, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41555, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1213, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41556, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 168, 20, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41557, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 103, 15, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41558, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1835, 4, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41559, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1579, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41560, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2083, 11, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41561, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1662, 14, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41562, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 5, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41563, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 278, 25, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41564, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 160, 18, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41565, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 233, 21, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41566, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 298, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41567, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 5028, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41568, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '1D14', 274, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41569, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 85, 28, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41570, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 89, 30, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41571, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 114, 29, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41572, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 95, 29, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41573, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 73, 20, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41574, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 7, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41575, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 82, 30, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41576, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 66, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41577, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 212, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41578, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1227, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41579, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 3340, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41580, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 46, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41581, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 396, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41582, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 551, 13, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41583, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 534, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41584, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 289, 45, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41585, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 161, 28, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41586, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1885, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41587, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 220, 37, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41588, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 290, 29, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41589, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 606, 32, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41590, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 338, 20, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41591, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 59, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41592, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 273, 44, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41593, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 142, 4, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41594, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 340, 32, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41595, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1835, 4, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41596, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 393, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41597, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1213, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41598, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 3340, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41599, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1481, 14, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41600, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 219, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41601, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1418, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41602, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 60, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41603, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 71, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41604, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 585, 29, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41605, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 552, 38, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41606, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 48, 13, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41607, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 7, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41608, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 3, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41609, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2083, 11, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41610, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 510, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41611, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 2024, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41612, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 1482, 61, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41613, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 2041, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41614, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1629, 15, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41615, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1700, 8, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41616, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1165, 10, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41617, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1082, 8, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41618, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1927, 22, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41619, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41620, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41621, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 4228, 8, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41622, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 82, 30, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41623, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 300, 13, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41624, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 400, 44, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41625, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 8, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41626, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 429, 44, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41627, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 204, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41628, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 207, 6, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41629, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 161, 39, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41630, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 298, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41631, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 58, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41632, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '1D14', 274, 2, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41633, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 89, 30, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41634, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 95, 29, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41635, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 73, 20, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41636, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 114, 29, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41637, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 85, 28, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41638, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 62, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41639, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 5028, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41640, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 81, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41641, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 412, 4, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41642, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 651, 7, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41643, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 5, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41644, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 4187, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41645, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 27, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41646, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 33, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41647, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 2, 4, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41648, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 254, 12, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41649, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 977, 17, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41650, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 202, 12, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41651, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 244, 15, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41652, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 117, 9, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41653, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 122, 23, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41654, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 20, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41655, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1227, 5, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41656, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 212, 1, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41657, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 80, 24, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41658, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 66, 3, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41659, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 45, 11, 2023, 7, 7, '2024-08-05 13:58:58', NULL, NULL), (41660, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 1110, 3, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41661, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 57, 9, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41662, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 240, 133, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41663, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1028, 43, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41664, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 601, 36, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41665, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 238, 134, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41666, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 1110, 3, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41667, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 1, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41668, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1028, 43, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41669, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 57, 9, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41670, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 585, 37, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41671, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 189, 14, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41672, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 36, 3, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41673, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 1497, 2, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41674, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41675, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 1, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41676, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 904, 21, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41677, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 336, 1, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41678, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 1, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41679, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 67, 6, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 883, 21, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1047, 21, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 184, 23, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 36, 3, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 3666, 1, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 134, 18, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 164, 40, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 294, 6, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 47, 4, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 283, 2, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 418, 40, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 336, 1, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 1497, 2, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 67, 6, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 169, 12, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 904, 21, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 67, 2, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41698, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 904, 21, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41699, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 36, 3, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41700, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 1497, 2, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41701, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 67, 6, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41702, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 189, 14, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41703, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 1, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41704, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 336, 1, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41705, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 67, 2, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41706, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 294, 6, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41707, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 47, 4, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41708, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 36, 3, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41709, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 283, 2, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41710, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 336, 1, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41711, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41712, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 904, 21, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41713, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 1497, 2, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41714, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 67, 6, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41715, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 36, 3, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41716, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 883, 21, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41717, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 67, 6, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41718, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 67, 2, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41719, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 283, 2, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41720, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 47, 4, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41721, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 294, 6, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41722, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41723, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 418, 40, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41724, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 904, 21, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41725, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 164, 40, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41726, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 134, 18, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41727, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 184, 23, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41728, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1047, 21, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41729, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 169, 12, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41730, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 3666, 1, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41731, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 1497, 2, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41732, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 336, 1, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41733, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 67, 6, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41734, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 67, 2, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41735, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 283, 2, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41736, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 1497, 2, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41737, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 36, 3, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41738, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 294, 6, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41739, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 904, 21, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41740, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 336, 1, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41741, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 47, 4, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41742, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2023, 7, 8, '2024-08-05 13:59:02', NULL, NULL), (41743, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 885, 7, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41744, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 925, 73, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41745, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 48, 10, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41746, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 815, 42, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41747, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 823, 82, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41748, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 815, 42, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41749, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 885, 7, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41750, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 40, 12, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41751, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 11, 5, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41752, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 17, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41753, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41754, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 86, 5, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41755, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 65, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41756, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 1223, 5, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 86, 5, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 592, 17, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 17, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 443, 21, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 94, 13, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 12, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 5, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 64, 9, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 3713, 4, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 9, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 69, 12, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 14, 2, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 2077, 27, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1611, 4, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 65, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 292, 8, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 1223, 5, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41774, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 86, 5, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41775, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 17, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41776, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 11, 5, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41777, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 1223, 5, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41778, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 65, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41779, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 65, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41780, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 9, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41781, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 14, 2, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41782, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 12, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41783, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 5, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41784, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 17, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41785, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 86, 5, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41786, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 1223, 5, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41787, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 17, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41788, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 592, 17, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41789, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 1223, 5, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41790, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 65, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41791, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 14, 2, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41792, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 9, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41793, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 12, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41794, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 5, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41795, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1611, 4, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41796, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 86, 5, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41797, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 2077, 27, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41798, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 69, 12, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41799, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 64, 9, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41800, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 94, 13, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41801, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 443, 21, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41802, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 292, 8, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41803, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 3713, 4, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41804, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 1223, 5, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41805, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 17, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41806, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 12, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41807, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 5, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41808, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 86, 5, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41809, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 9, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41810, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 14, 2, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41811, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 65, 1, 2023, 7, 9, '2024-08-05 13:59:06', NULL, NULL), (41812, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 3693, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41813, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 195, 163, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41814, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 932, 203, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41815, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 251, 7, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41816, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 166, 106, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41817, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 259, 44, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41818, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 269, 304, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41819, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1721, 485, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41820, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1264, 96, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41821, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 682, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41822, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 516, 177, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41823, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 288, 186, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (41824, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1714, 487, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41825, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 242, 160, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41826, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1264, 96, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41827, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 510, 179, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41828, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 268, 305, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41829, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 195, 163, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41830, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 932, 203, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41831, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 286, 187, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41832, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 401, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41833, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '', 4, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41834, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 244, 10, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41835, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 130, 46, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41836, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 195, 163, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41837, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 335, 65, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41838, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 278, 6, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41839, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 794, 48, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41840, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 228, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41841, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 287, 41, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41842, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 13130, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41843, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 17, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41844, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1043, 7, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41845, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 192, 18, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41846, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 359, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41847, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 48, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41848, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 27, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41849, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 3693, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41850, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 22, 9, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41851, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 224, 151, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41852, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1224, 13, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41853, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 14, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41854, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2075, 77, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41855, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 54, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41856, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 171, 57, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41857, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 76, 9, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41858, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 9, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41859, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 159, 49, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41860, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 682, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 229, 10, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 145, 8, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 261, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 312, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 13130, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2927, 11, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 794, 48, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 2132, 36, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 2257, 16, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 2296, 39, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2827, 11, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 454, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1423, 5, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 3759, 39, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 2641, 31, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1530, 9, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1451, 10, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1568, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 2817, 27, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 799, 5, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1739, 34, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1398, 10, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 711, 8, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 4583, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 339, 7, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 396, 16, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 399, 16, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 445, 23, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 113, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 155, 44, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 88, 31, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 2469, 26, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 128, 34, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 171, 18, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 177, 30, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 433, 16, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 225, 31, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 370, 9, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 359, 46, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 293, 20, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 2240, 20, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 94, 7, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 52, 6, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 208, 30, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 853, 43, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1079, 83, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 8, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 12, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 229, 13, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 494, 11, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 499, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 193, 10, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 396, 20, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 334, 27, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 244, 10, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 747, 29, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 440, 58, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 717, 56, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 287, 41, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 682, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 39, 22, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 3693, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 261, 23, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 249, 25, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 117, 39, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 162, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 254, 27, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 131, 44, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 149, 33, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 54, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 401, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 48, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 280, 38, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 236, 21, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 5, 3, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 30, 5, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 252, 3, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 17, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 355, 36, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 279, 19, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 2, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 71, 13, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 309, 7, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 6, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 56, 19, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 17, 5, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 41, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 228, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 74, 7, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 77, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 130, 46, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 16, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 310, 29, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 219, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 277, 8, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1773, 7, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1778, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1633, 8, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1523, 7, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1217, 6, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1224, 13, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 359, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41964, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 13130, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41965, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 359, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41966, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 14, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41967, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 278, 6, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41968, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 195, 163, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41969, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 192, 18, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41970, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1224, 13, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41971, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 27, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41972, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 335, 65, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41973, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 130, 46, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41974, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 244, 10, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41975, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 287, 41, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41976, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 9, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41977, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 682, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41978, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 76, 9, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41979, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 159, 49, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41980, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 17, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41981, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 54, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41982, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 48, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41983, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 228, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41984, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 171, 57, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41985, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2075, 77, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41986, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 794, 48, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41987, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 3693, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41988, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1217, 6, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41989, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '', 4, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41990, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 224, 151, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41991, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 22, 9, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41992, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 401, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41993, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 401, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41994, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 228, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41995, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 229, 10, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41996, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 145, 8, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41997, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 13130, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41998, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 130, 46, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (41999, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 208, 30, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42000, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 3693, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42001, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 27, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42002, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 48, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42003, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 293, 20, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42004, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 177, 30, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42005, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 225, 31, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42006, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 128, 34, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42007, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 269, 11, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42008, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 171, 18, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42009, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 162, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42010, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 119, 22, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42011, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 132, 12, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42012, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 16, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42013, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 77, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42014, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 85, 6, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42015, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 682, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42016, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 236, 21, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42017, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 280, 38, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42018, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 252, 3, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42019, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 261, 23, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42020, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1217, 6, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42021, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 14, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42022, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 359, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42023, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 254, 27, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42024, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 117, 39, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42025, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1224, 13, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42026, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 30, 5, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42027, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 6, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42028, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 5, 3, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42029, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 4583, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42030, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 244, 10, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42031, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42032, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2927, 11, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42033, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 2, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42034, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 143, 22, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42035, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 159, 21, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42036, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 233, 14, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42037, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 261, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42038, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 312, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42039, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 41, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42040, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '2E29', 4, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42041, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1633, 8, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42042, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1523, 7, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42043, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E26', 17, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42044, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1773, 7, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42045, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1778, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42046, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 310, 29, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42047, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 355, 36, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42048, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 54, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42049, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1530, 9, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42050, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1568, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42051, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1398, 10, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42052, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 287, 41, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42053, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2827, 11, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42054, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 454, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42055, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 794, 48, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42056, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 71, 13, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42057, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 309, 7, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42058, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 17, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42059, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 279, 19, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42060, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 41, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42061, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 56, 19, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42062, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 17, 5, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42063, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 77, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42064, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 16, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42065, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 74, 7, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42066, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1523, 7, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42067, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1633, 8, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42068, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1778, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42069, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1773, 7, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42070, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 2240, 20, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42071, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 2469, 26, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42072, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 359, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42073, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 359, 46, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42074, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 747, 29, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42075, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 280, 38, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42076, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 236, 21, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42077, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 799, 5, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42078, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 252, 3, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42079, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 5, 3, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42080, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1423, 5, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42081, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 30, 5, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42082, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1451, 10, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42083, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 6, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42084, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42085, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 334, 27, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42086, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 2, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42087, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 193, 10, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42088, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1079, 83, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42089, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 853, 43, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42090, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 355, 36, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42091, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 310, 29, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42092, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 130, 46, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42093, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 228, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42094, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 440, 58, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42095, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 717, 56, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42096, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 39, 22, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42097, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 13130, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42098, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 287, 41, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42099, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 244, 10, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42100, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 794, 48, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42101, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 229, 10, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42102, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 261, 23, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42103, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 145, 8, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42104, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 113, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42105, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 254, 27, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42106, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 445, 23, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42107, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 261, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42108, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 88, 31, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42109, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 312, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42110, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 155, 44, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42111, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 117, 39, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42112, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 339, 7, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42113, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1398, 10, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42114, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 370, 9, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42115, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1568, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42116, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 399, 16, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42117, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1530, 9, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42118, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 454, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42119, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 396, 16, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42120, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2827, 11, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42121, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 433, 16, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42122, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 682, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42123, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 396, 20, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42124, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 4583, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42125, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 277, 8, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42126, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2927, 11, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42127, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 219, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42128, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 249, 25, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42129, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 149, 33, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42130, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 131, 44, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42131, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 162, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42132, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 3693, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42133, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 171, 18, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42134, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 177, 30, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42135, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 128, 34, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42136, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 225, 31, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42137, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 293, 20, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42138, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 208, 30, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42139, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 48, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42140, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 54, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42141, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 401, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42142, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1224, 13, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42143, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1217, 6, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42144, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 52, 6, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42145, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 499, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42146, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 494, 11, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42147, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 94, 7, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42148, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1739, 34, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42149, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 2817, 27, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42150, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 8, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42151, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 2641, 31, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42152, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 3759, 39, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42153, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 229, 13, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42154, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 2296, 39, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42155, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 12, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42156, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 2257, 16, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42157, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 2132, 36, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42158, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 711, 8, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42159, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 4583, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42160, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 229, 10, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42161, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1217, 6, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42162, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2827, 11, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42163, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1530, 9, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42164, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 454, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42165, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 145, 8, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42166, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1398, 10, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42167, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1568, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42168, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 2, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42169, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 117, 39, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42170, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 254, 27, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42171, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 261, 23, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42172, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 27, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42173, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2927, 11, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42174, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 312, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42175, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 261, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42176, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 794, 48, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42177, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1773, 7, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42178, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1633, 8, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42179, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1778, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42180, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1523, 7, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42181, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 6, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42182, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42183, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 13130, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42184, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 41, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42185, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 208, 30, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42186, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 269, 11, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42187, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 355, 36, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42188, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 5, 3, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42189, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 132, 12, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42190, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 310, 29, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42191, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 119, 22, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42192, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 130, 46, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42193, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 162, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42194, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 30, 5, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42195, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 177, 30, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42196, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 225, 31, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42197, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 293, 20, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42198, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 128, 34, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42199, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 171, 18, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42200, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 14, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42201, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 3693, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42202, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 359, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42203, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 228, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42204, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 16, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42205, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 77, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42206, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 85, 6, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42207, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 233, 14, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42208, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 252, 3, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42209, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 244, 10, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42210, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 143, 22, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42211, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 159, 21, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42212, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 287, 41, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42213, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1224, 13, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42214, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 401, 4, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42215, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 280, 38, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42216, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 236, 21, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42217, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 54, 2, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42218, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 48, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42219, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 682, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42220, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E26', 17, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42221, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '2E29', 4, 1, 2023, 7, 10, '2024-08-05 13:59:10', NULL, NULL), (42222, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 4, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42223, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 224, 175, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42224, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 710, 7, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42225, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 88, 56, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42226, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 291, 248, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42227, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 104, 41, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42228, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 629, 52, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42229, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 2123, 380, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42230, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 314, 189, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42231, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 252, 196, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42232, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 470, 198, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42233, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 2112, 382, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42234, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 133, 106, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42235, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 617, 53, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42236, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 312, 190, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42237, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 289, 249, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42238, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 220, 178, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42239, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 467, 199, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (42240, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 252, 196, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42241, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 37, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42242, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 2070, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42243, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 209, 16, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42244, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 220, 178, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42245, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 157, 43, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42246, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 191, 53, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42247, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 462, 7, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42248, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 531, 32, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42249, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42250, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 32, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42251, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 95, 24, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42252, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42253, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2555, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42254, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 961, 13, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42255, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 165, 9, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42256, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 55, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42257, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 222, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42258, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 4, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42259, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 99, 16, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42260, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 229, 133, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42261, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1894, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42262, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 13, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42263, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 886, 84, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42264, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 351, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42265, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 86, 39, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42266, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 51, 8, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42267, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 19, 7, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42268, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 91, 17, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42269, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 19, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 350, 55, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 248, 7, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 410, 70, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 1244, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 179, 9, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 257, 37, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 95, 24, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 45, 18, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 65, 4, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 991, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 4, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 226, 21, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 154, 18, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 248, 37, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 194, 26, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 976, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 73, 13, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 47, 25, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 531, 32, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 3079, 45, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 351, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 2772, 17, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2070, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 2383, 20, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 616, 7, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 3896, 30, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 43, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 913, 11, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1143, 16, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 214, 24, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 940, 8, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 3548, 21, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 180, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1051, 9, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1384, 20, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 102, 12, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 90, 4, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 300, 14, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 467, 8, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 351, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 22, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 341, 23, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 209, 40, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 74, 6, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 134, 16, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 265, 19, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 49, 9, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 58, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 331, 8, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 119, 11, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 33, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 5, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 83, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 244, 44, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 200, 45, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 6057, 28, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 185, 27, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 32, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 204, 36, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 131, 24, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 5, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 138, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 329, 37, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 182, 21, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 157, 43, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 35, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 704, 4, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 427, 23, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 191, 22, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 136, 13, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 126, 6, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 2525, 23, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 89, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 264, 7, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1458, 6, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 9, 12, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 695, 4, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1009, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2839, 9, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 618, 19, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 253, 29, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 343, 30, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1894, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 291, 34, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 6, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 129, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 111, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 89, 7, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 185, 8, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 11, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 146, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 340, 16, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 280, 28, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 1803, 37, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42365, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 165, 9, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42366, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 13, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42367, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 462, 7, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42368, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 224, 175, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42369, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1894, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42370, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 961, 13, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42371, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 222, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42372, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 191, 53, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42373, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 37, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42374, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 157, 43, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42375, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 209, 16, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42376, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 95, 24, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42377, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 19, 7, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42378, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 51, 8, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42379, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 91, 17, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42380, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 351, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42381, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 55, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42382, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 32, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42383, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 86, 39, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42384, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 886, 84, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42385, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 531, 32, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42386, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2839, 9, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42387, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 4, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42388, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 229, 133, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42389, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 99, 16, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42390, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 2070, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42391, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 2070, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42392, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 32, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42393, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 19, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42394, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 1244, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42395, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 157, 43, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42396, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 253, 29, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42397, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 4, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42398, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 222, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42399, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 55, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42400, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 191, 22, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42401, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 131, 24, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42402, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 329, 37, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42403, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 185, 27, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42404, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 166, 5, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42405, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 204, 36, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42406, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 115, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42407, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 49, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42408, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 35, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42409, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 138, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42410, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 5, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42411, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 11, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42412, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 180, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42413, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 214, 24, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42414, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 351, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42415, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 300, 14, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42416, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 37, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42417, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 226, 21, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42418, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2839, 9, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42419, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 13, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42420, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 185, 8, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42421, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 194, 26, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42422, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 248, 37, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42423, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1894, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42424, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 90, 4, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42425, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 5, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42426, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 102, 12, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42427, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 248, 7, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42428, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 58, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42429, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 976, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42430, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 179, 9, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42431, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 66, 11, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42432, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 47, 15, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42433, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 150, 13, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42434, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 65, 4, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42435, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 991, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42436, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1009, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42437, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 618, 19, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42438, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1458, 6, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42439, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 695, 4, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42440, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 136, 13, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42441, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 209, 40, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42442, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 22, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42443, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 351, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42444, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 913, 11, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42445, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 940, 8, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42446, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1051, 9, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42447, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 95, 24, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42448, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 616, 7, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42449, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 531, 32, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42450, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 49, 9, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42451, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 119, 11, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42452, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 22, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42453, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 74, 6, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42454, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 33, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42455, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 83, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42456, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 138, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42457, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 35, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42458, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 5, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42459, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 618, 19, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42460, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1009, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42461, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 695, 4, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42462, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1458, 6, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42463, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 2525, 23, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42464, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 6057, 28, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42465, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 11, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42466, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 154, 18, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42467, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 185, 8, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42468, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 47, 25, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42469, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 427, 23, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42470, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 73, 13, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42471, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 350, 55, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42472, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 214, 24, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42473, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 180, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42474, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 300, 14, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42475, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 351, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42476, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 102, 12, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42477, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 90, 4, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42478, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 5, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42479, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 58, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42480, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 4, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42481, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 1803, 37, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42482, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 280, 28, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42483, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 291, 34, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42484, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 343, 30, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42485, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 209, 40, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42486, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 136, 13, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42487, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 157, 43, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42488, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 32, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42489, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 410, 70, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42490, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 257, 37, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42491, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 45, 18, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42492, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 204, 36, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42493, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 95, 24, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42494, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 131, 24, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42495, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 531, 32, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42496, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 248, 7, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42497, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 19, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42498, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 185, 27, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42499, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 179, 9, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42500, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 329, 37, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42501, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 191, 22, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42502, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 226, 21, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42503, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 194, 26, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42504, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 1244, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42505, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 331, 8, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42506, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 65, 4, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42507, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 200, 45, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42508, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 991, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42509, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 244, 44, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42510, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 248, 37, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42511, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 341, 23, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42512, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1051, 9, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42513, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 704, 4, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42514, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 940, 8, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42515, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 913, 11, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42516, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 265, 19, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42517, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 134, 16, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42518, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 616, 7, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42519, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 182, 21, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42520, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 253, 29, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42521, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 43, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42522, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 351, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42523, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2070, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42524, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1894, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42525, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2839, 9, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42526, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 340, 16, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42527, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 9, 12, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42528, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 89, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42529, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 146, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42530, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 89, 7, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42531, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 264, 7, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42532, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1384, 20, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42533, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 3548, 21, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42534, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 6, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42535, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 976, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42536, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1143, 16, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42537, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 3896, 30, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42538, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 2383, 20, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42539, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 111, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42540, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 129, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42541, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 126, 6, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42542, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 2772, 17, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42543, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 3079, 45, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42544, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 467, 8, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42545, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 19, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42546, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2839, 9, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42547, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 616, 7, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42548, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 913, 11, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42549, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1051, 9, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42550, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 1244, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42551, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 940, 8, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42552, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 248, 37, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42553, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 194, 26, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42554, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 226, 21, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42555, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 222, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42556, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 976, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42557, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 991, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42558, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 65, 4, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42559, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 531, 32, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42560, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1458, 6, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42561, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1009, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42562, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 695, 4, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42563, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 618, 19, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42564, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 5, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42565, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 58, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42566, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 253, 29, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42567, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 166, 5, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42568, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 209, 40, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42569, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 102, 12, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42570, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 49, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42571, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 136, 13, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42572, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 115, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42573, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 157, 43, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42574, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 90, 4, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42575, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 131, 24, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42576, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 329, 37, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42577, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 191, 22, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42578, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 185, 27, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42579, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 204, 36, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42580, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 13, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42581, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 4, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42582, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 185, 8, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42583, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 11, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42584, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 32, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42585, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 37, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42586, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 35, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42587, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 138, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42588, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 5, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42589, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 150, 13, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42590, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 179, 9, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42591, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 300, 14, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42592, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 351, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42593, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 66, 11, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42594, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 248, 7, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42595, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 47, 15, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42596, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 95, 24, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42597, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 22, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42598, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1894, 3, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42599, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 2070, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42600, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 214, 24, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42601, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 351, 2, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42602, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 180, 10, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42603, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 55, 1, 2023, 7, 11, '2024-08-05 13:59:11', NULL, NULL), (42604, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 733, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42605, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 208, 175, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42606, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1232, 211, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42607, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 3452, 13, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42608, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 330, 87, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42609, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 418, 53, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42610, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 184, 205, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42611, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1874, 72, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42612, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 442, 514, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42613, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 4, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42614, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 155, 200, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42615, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 509, 155, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42616, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 442, 514, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42617, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 619, 157, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42618, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1874, 72, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42619, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 505, 156, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42620, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 181, 209, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42621, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 207, 176, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42622, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1221, 213, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42623, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 154, 201, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42624, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 724, 4, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42625, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 143, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42626, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 299, 11, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42627, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 207, 176, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42628, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 270, 45, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42629, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 718, 59, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42630, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1234, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42631, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1115, 36, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42632, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42633, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 3126, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42634, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 217, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42635, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 16116, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42636, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 166, 28, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42637, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 35, 4, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42638, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1675, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42639, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 451, 22, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42640, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 133, 7, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42641, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 1185, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42642, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 733, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42643, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 52, 7, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42644, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 19549, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42645, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 100, 114, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42646, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 64, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42647, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 104, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42648, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2171, 87, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42649, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 19799, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42650, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 262, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42651, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 366, 55, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42652, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 24, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42653, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 10, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42654, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 259, 33, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (42655, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 4, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 466, 8, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 442, 14, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 141, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 999, 4, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 35, 4, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1695, 13, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 1115, 36, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 718, 44, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 292, 34, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 937, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 518, 25, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 24441, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 581, 32, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 30138, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2059, 8, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 462, 34, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2046, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 514, 30, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 8667, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2963, 7, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 409, 42, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 246, 35, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 98, 18, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 67, 15, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 41, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 121, 20, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 296, 10, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 217, 49, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 147, 47, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 263, 31, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 102, 29, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 52, 29, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 308, 28, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 134, 12, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 313, 32, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 266, 21, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 119, 15, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 261, 25, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 499, 37, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 39, 7, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 276, 11, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 210, 32, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 426, 29, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 457, 58, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 365, 4, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 652, 23, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 316, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 269, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 169, 11, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 511, 36, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 301, 26, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 598, 47, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 348, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 80, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 559, 49, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 602, 27, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 166, 28, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 4, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 72, 22, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 733, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 93, 19, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 335, 29, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 78, 10, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 208, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 90, 18, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 118, 15, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 367, 22, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 308, 34, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 262, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 143, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 348, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 109, 20, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 934, 4, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 144, 11, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 2, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 10, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 115, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 19674, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 74, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 629, 32, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 3, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 8, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 186, 13, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 3, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 4, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 104, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 113, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 3126, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 8, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 276, 44, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 41, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 824, 27, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 416, 7, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 865, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 4125, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2220, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 2361, 8, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2069, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1675, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2596, 19, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 96, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 5, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 185, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42762, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 35, 4, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42763, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 16116, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42764, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 155, 6, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42765, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 104, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42766, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1234, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42767, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 208, 175, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42768, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 96, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42769, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 451, 22, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42770, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 718, 59, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42771, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 724, 4, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42772, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 143, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42773, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 276, 44, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42774, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 299, 11, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42775, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 166, 28, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42776, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 19549, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42777, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 10, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42778, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 4, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42779, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 24, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42780, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 267, 32, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42781, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 262, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42782, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 1185, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42783, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 3126, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42784, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 366, 55, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42785, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2171, 87, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42786, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1115, 36, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42787, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 19799, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42788, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1675, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42789, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 733, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42790, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 217, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42791, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 102, 111, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42792, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 52, 7, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42793, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 3126, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42794, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 466, 8, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42795, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 442, 14, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42796, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 35, 4, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42797, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 276, 44, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42798, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 210, 32, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42799, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 733, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42800, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 1185, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42801, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 261, 25, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42802, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 308, 28, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42803, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 313, 32, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42804, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 102, 29, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42805, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 279, 15, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42806, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 208, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42807, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 52, 29, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42808, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 236, 6, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42809, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 281, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42810, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 41, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42811, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 8, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42812, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 185, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42813, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 4, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42814, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 144, 11, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42815, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 109, 20, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42816, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 74, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42817, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 115, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42818, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 348, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42819, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 850, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42820, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 93, 19, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42821, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1675, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42822, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 217, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42823, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 104, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42824, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 5, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42825, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 118, 15, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42826, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 19799, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42827, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 90, 18, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42828, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 78, 10, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42829, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 96, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42830, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 10, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42831, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 4, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42832, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 2, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42833, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 19549, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42834, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42835, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 348, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42836, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42837, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1695, 13, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42838, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 80, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42839, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42840, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 416, 16, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42841, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 318, 25, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42842, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 395, 14, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42843, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 141, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42844, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1780, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42845, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 113, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42846, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2069, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42847, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2596, 19, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42848, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 4125, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42849, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2220, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42850, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 2361, 8, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42851, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 824, 27, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42852, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 629, 32, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42853, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 143, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42854, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 262, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42855, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 8667, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42856, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 24441, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42857, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 30138, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42858, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2059, 8, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42859, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2046, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42860, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2963, 7, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42861, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 166, 28, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42862, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 937, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42863, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 1115, 36, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42864, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 8, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42865, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 186, 13, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42866, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 3, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42867, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 113, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42868, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 3, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42869, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 104, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42870, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 8, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42871, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 41, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42872, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2596, 19, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42873, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2069, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42874, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 2361, 8, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42875, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2220, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42876, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 499, 37, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42877, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 4125, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42878, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 263, 31, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42879, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 185, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42880, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 5, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42881, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 266, 21, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42882, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 598, 47, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42883, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 109, 20, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42884, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 144, 11, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42885, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 8667, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42886, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 115, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42887, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 74, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42888, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 2, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42889, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 24441, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42890, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 10, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42891, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 30138, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42892, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 4, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42893, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 301, 26, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42894, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42895, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42896, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 511, 36, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42897, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42898, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 457, 58, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42899, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 426, 29, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42900, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 629, 32, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42901, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 824, 27, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42902, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 276, 44, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42903, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 3126, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42904, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 559, 49, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42905, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 602, 27, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42906, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 72, 22, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42907, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 35, 4, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42908, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 166, 28, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42909, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 1115, 36, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42910, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 348, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42911, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 80, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42912, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 466, 8, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42913, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 93, 19, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42914, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 296, 10, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42915, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 118, 15, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42916, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 442, 14, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42917, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 121, 20, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42918, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 141, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42919, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 147, 47, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42920, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 78, 10, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42921, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 999, 4, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42922, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 90, 18, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42923, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 217, 49, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42924, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2963, 7, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42925, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 98, 18, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42926, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2046, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42927, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 119, 15, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42928, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 41, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42929, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2059, 8, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42930, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 67, 15, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42931, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 937, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42932, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 134, 12, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42933, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 4, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42934, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 169, 11, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42935, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 865, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42936, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1695, 13, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42937, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 416, 7, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42938, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 335, 29, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42939, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 308, 34, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42940, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 367, 22, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42941, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 208, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42942, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 733, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42943, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 52, 29, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42944, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 308, 28, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42945, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 102, 29, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42946, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 313, 32, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42947, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 261, 25, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42948, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 19674, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42949, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 210, 32, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42950, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 143, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42951, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 348, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42952, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 262, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42953, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 934, 4, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42954, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 96, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42955, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1675, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42956, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 276, 11, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42957, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 269, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42958, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 316, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42959, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 39, 7, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42960, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 409, 42, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42961, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 514, 30, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42962, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 365, 4, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42963, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 462, 34, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42964, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 581, 32, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42965, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 652, 23, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42966, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 518, 25, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42967, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 292, 34, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42968, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 718, 44, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42969, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 246, 35, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42970, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 466, 8, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42971, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1675, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42972, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 937, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42973, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2059, 8, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42974, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2963, 7, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42975, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 442, 14, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42976, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2046, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42977, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42978, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42979, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 78, 10, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42980, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 90, 18, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42981, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 118, 15, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42982, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 93, 19, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42983, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 19549, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42984, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1695, 13, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42985, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1780, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42986, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 141, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42987, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 1115, 36, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42988, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2220, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42989, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 4125, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42990, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2069, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42991, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 2361, 8, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42992, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2596, 19, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42993, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 4, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42994, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42995, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 35, 4, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42996, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 113, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42997, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 210, 32, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42998, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 279, 15, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (42999, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 629, 32, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43000, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 2, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43001, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 281, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43002, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 824, 27, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43003, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 236, 6, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43004, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 208, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43005, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 276, 44, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43006, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 10, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43007, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 308, 28, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43008, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 313, 32, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43009, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 261, 25, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43010, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 102, 29, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43011, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 52, 29, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43012, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 104, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43013, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 733, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43014, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 5, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43015, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 185, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43016, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 3126, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43017, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 348, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43018, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 850, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43019, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 41, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43020, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 8, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43021, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 395, 14, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43022, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 80, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43023, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 115, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43024, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 74, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43025, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 217, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43026, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 416, 16, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43027, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 348, 9, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43028, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 318, 25, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43029, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 30138, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43030, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 166, 28, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43031, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 8667, 3, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43032, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 19799, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43033, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 96, 2, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43034, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 24441, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43035, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 109, 20, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43036, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 262, 5, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43037, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 143, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43038, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 144, 11, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43039, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 1185, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43040, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 4, 1, 2023, 7, 12, '2024-08-05 13:59:12', NULL, NULL), (43041, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 83, 146, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43042, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 836, 9, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43043, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 786, 85, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43044, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 7, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43045, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 542, 62, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43046, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 94, 201, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43047, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1305, 70, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43048, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 190, 522, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43049, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 361, 153, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43050, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 108, 145, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43051, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 268, 188, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43052, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 189, 524, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43053, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 666, 162, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43054, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1305, 70, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43055, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 361, 153, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43056, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 93, 202, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43057, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 83, 147, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43058, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 265, 190, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43059, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 108, 145, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43060, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 15, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43061, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 1307, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43062, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '', '', '', 0, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43063, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 2351, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43064, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 166, 11, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43065, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 83, 147, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43066, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 152, 46, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43067, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 155, 62, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (43068, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 360, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43069, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 444, 34, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43070, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43071, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 274, 3, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43072, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 6, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43073, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2666, 21, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43074, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 45, 19, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43075, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 9820, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43076, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 151, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43077, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 60, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43078, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1125, 8, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43079, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 7, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43080, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 371, 13, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43081, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 651, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43082, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 3, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43083, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 109, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43084, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 8, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43085, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43086, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 95, 125, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43087, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 231, 3, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43088, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 16, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43089, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 481, 58, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43090, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 0, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43091, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 752, 61, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43092, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 463, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43093, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 1466, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43094, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 26, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43095, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 873, 24, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 24, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 1282, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 289, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 15, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 9820, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 556, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 444, 34, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 88, 35, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 65, 36, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 592, 9, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 118, 26, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 3419, 9, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 59, 32, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 374, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 132, 41, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2793, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 81, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 124, 34, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1411, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 705, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 75, 37, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 41, 35, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 88, 18, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 58, 10, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 59, 13, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 163, 21, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 155, 33, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 126, 25, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 83, 28, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 42, 22, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 43, 27, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 138, 25, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 37, 10, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 134, 27, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 142, 36, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 45, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 88, 26, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 63, 26, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 421, 9, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 169, 10, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 36, 19, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 751, 35, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 356, 44, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 25, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 7, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 546, 23, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 349, 10, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1713, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 39, 10, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 307, 36, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 310, 41, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 256, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 276, 47, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 667, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 59, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 7, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 409, 69, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 45, 19, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E01', 109, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 282, 22, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 67, 14, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 42, 13, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 872, 19, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 195, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 65, 26, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 81, 22, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 616, 32, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 919, 33, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 463, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2351, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 60, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 479, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 37, 16, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2308, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 289, 17, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 5, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 101, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 75, 10, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 141, 34, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 28, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 83, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 37, 9, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 17, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 72, 9, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 16, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 274, 3, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 1466, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 155, 45, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 172, 28, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 447, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 12, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 958, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 645, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 183, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 573, 10, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 189, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 373, 12, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 231, 3, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 124, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 583, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43200, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 9820, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43201, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2666, 21, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43202, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 371, 13, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43203, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 7, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43204, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 16, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43205, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 360, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43206, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 83, 146, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43207, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1125, 8, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43208, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 231, 3, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43209, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 155, 62, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43210, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 1307, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43211, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 155, 45, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43212, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 166, 11, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43213, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 45, 19, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43214, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 26, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43215, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 1466, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43216, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 873, 24, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43217, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 463, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43218, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 651, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43219, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 60, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43220, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 274, 3, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43221, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 752, 61, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43222, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 481, 58, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43223, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 15, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43224, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 444, 34, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43225, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 189, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43226, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '', 109, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43227, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 6, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43228, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 95, 125, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43229, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 8, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43230, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 2351, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43231, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 2351, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43232, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 274, 3, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43233, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 24, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43234, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 1282, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43235, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D23', 60, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43236, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 9820, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43237, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 155, 45, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43238, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 36, 19, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43239, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 651, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43240, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 88, 26, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43241, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 138, 25, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43242, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 134, 27, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43243, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 2628, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43244, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 42, 22, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43245, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 195, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43246, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 43, 27, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43247, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 304, 9, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43248, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 1185, 13, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43249, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 1466, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43250, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 583, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43251, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 15, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43252, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 289, 17, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43253, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 37, 16, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43254, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 75, 10, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43255, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 101, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43256, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 307, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43257, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 2308, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43258, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 67, 14, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43259, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 189, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43260, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 7, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43261, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 6, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43262, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 16, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43263, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 124, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43264, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 81, 22, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43265, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 65, 26, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43266, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 42, 13, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43267, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 231, 3, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43268, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 5, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43269, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43270, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43271, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '2E01', 109, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43272, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43273, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 256, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43274, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43275, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 556, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43276, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 59, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43277, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 83, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43278, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 738, 23, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43279, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 747, 20, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43280, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 775, 18, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43281, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 360, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43282, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 573, 10, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43283, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 373, 12, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43284, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 958, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43285, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 645, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43286, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 183, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43287, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 172, 28, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43288, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 141, 34, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43289, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 463, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43290, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1411, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43291, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 3419, 9, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43292, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 2793, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43293, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 374, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43294, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 81, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43295, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 705, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43296, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 45, 19, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43297, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 592, 9, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43298, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 444, 34, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43299, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 37, 9, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43300, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 17, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43301, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 28, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43302, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 72, 9, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43303, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 16, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43304, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 1466, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43305, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 373, 12, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43306, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 573, 10, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43307, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 183, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43308, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 645, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43309, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 63, 26, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43310, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 83, 28, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43311, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 958, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43312, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 583, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43313, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 124, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43314, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 142, 36, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43315, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 276, 47, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43316, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 37, 16, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43317, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 289, 17, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43318, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1411, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43319, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 101, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43320, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 75, 10, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43321, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43322, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 3419, 9, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43323, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 5, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43324, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2793, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43325, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43326, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43327, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 310, 41, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43328, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 83, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43329, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 307, 36, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43330, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43331, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 356, 44, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43332, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 751, 35, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43333, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 141, 34, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43334, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 172, 28, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43335, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 155, 45, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43336, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 274, 3, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43337, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 667, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43338, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 409, 69, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43339, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 282, 22, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43340, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 9820, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43341, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 45, 19, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43342, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E01', 109, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43343, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 444, 34, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43344, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 256, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43345, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 24, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43346, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 59, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43347, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 15, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43348, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 67, 14, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43349, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 1282, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43350, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 81, 22, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43351, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 163, 21, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43352, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 42, 13, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43353, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 126, 25, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43354, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 289, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43355, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 155, 33, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43356, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 65, 26, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43357, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 88, 18, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43358, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 705, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43359, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 81, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43360, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 45, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43361, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 59, 13, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43362, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 374, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43363, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 58, 10, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43364, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 592, 9, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43365, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 37, 10, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43366, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 39, 10, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43367, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 12, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43368, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 556, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43369, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 447, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43370, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 7, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43371, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 872, 19, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43372, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 919, 33, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43373, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 616, 32, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43374, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 195, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43375, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 43, 27, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43376, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 138, 25, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43377, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 42, 22, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43378, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 134, 27, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43379, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 88, 26, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43380, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 36, 19, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43381, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 60, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43382, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 479, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43383, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 463, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43384, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2351, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43385, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2308, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43386, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 231, 3, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43387, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 189, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43388, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 169, 10, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43389, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1713, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43390, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 349, 10, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43391, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 421, 9, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43392, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 75, 37, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43393, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 124, 34, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43394, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 25, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43395, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 132, 41, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43396, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 59, 32, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43397, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 546, 23, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43398, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 118, 26, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43399, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 7, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43400, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 65, 36, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43401, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 88, 35, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43402, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 41, 35, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43403, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 24, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43404, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 189, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43405, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 592, 9, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43406, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 374, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43407, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 1282, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43408, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 705, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43409, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 81, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43410, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 83, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43411, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43412, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 42, 13, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43413, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 65, 26, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43414, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 81, 22, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43415, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 67, 14, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43416, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 556, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43417, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 360, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43418, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 444, 34, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43419, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 958, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43420, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 645, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43421, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 573, 10, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43422, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 183, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43423, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 373, 12, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43424, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D23', 60, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43425, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43426, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43427, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 9820, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43428, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 36, 19, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43429, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 2628, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43430, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 141, 34, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43431, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43432, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 1185, 13, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43433, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 172, 28, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43434, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 304, 9, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43435, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 195, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43436, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 155, 45, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43437, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 5, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43438, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 138, 25, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43439, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 134, 27, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43440, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 88, 26, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43441, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 42, 22, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43442, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 43, 27, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43443, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 16, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43444, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 124, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43445, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 583, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43446, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 274, 3, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43447, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 307, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43448, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 7, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43449, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 15, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43450, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 2308, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43451, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 1466, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43452, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 775, 18, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43453, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 59, 5, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43454, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 101, 7, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43455, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 75, 10, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43456, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 6, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43457, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 256, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43458, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 738, 23, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43459, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 747, 20, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43460, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 45, 19, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43461, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 2793, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43462, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1411, 6, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43463, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '2E01', 109, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43464, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 231, 3, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43465, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 3419, 9, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43466, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 2351, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43467, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 37, 16, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43468, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 289, 17, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43469, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 463, 4, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43470, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 651, 1, 2023, 7, 13, '2024-08-05 13:59:13', NULL, NULL), (43471, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 286, 168, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43472, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1683, 7, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43473, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 169, 114, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43474, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 8, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43475, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 823, 59, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43476, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 146, 267, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43477, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 542, 616, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43478, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 428, 77, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43479, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 222, 224, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43480, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 375, 177, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43481, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1019, 254, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (43482, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 535, 624, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43483, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 412, 193, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43484, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 423, 78, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43485, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 373, 178, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43486, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 146, 268, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43487, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 284, 169, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43488, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1015, 255, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43489, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 222, 224, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43490, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 559, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43491, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 19, 7, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43492, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 286, 168, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43493, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 289, 48, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43494, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 126, 87, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43495, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 267, 6, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43496, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 532, 35, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43497, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 224, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43498, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 480, 19, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43499, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 106, 37, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43500, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 170, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43501, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1265, 8, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43502, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 210, 14, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43503, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 8, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43504, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 66, 6, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43505, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 3153, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43506, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 411, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43507, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 2, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43508, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 255, 14, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43509, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 0, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43510, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 293, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43511, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 97, 152, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43512, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 295, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43513, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 103, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43514, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2351, 99, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43515, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 6526, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43516, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 131, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43517, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 170, 75, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43518, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 11, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43519, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 49, 8, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43520, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 166, 39, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43521, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 630, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 95, 11, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 267, 6, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 170, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 532, 35, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 337, 33, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 227, 48, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 290, 29, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1894, 8, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 3251, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 399, 6, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 363, 32, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2790, 14, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 565, 7, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 255, 51, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2676, 7, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 280, 28, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 552, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 261, 51, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2401, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 351, 36, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 4011, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 140, 18, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 22, 16, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 173, 21, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 49, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 419, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 300, 55, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 251, 59, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 268, 19, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 248, 33, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 269, 31, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 152, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 274, 36, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 121, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 247, 16, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 355, 35, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 57, 30, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 334, 40, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1067, 7, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 3680, 7, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 327, 24, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1095, 55, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1109, 66, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 219, 2, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 379, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 442, 18, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 286, 17, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 144, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 216, 12, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1288, 68, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 124, 30, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 294, 28, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 56, 2, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 4, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 446, 60, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 8, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 106, 37, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 434, 57, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 227, 29, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 92, 27, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 101, 17, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 196, 34, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 72, 27, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 90, 22, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 139, 38, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 173, 42, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 131, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 559, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 103, 24, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3153, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 136, 20, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 246, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 259, 10, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 120, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 88, 10, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3409, 2, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 124, 50, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 232, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 54, 11, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 93, 12, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 128, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 257, 2, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 224, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 10, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 289, 48, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 187, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 129, 37, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 80, 2, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 33, 2, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 25, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1888, 11, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2196, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1904, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1730, 8, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2390, 22, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1446, 7, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 295, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 79, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 4, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43625, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 170, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43626, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 506, 18, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43627, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 66, 6, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43628, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 8, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43629, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 103, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43630, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 267, 6, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43631, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 286, 168, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43632, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 210, 14, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43633, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 295, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43634, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 411, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43635, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 126, 87, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43636, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 289, 48, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43637, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 19, 7, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43638, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 106, 37, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43639, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 293, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43640, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 11, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43641, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 166, 39, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43642, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 49, 8, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43643, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 131, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43644, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 3153, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43645, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 170, 75, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43646, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 224, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43647, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2375, 98, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43648, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 532, 35, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43649, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 6526, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43650, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1446, 7, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43651, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 97, 152, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43652, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 255, 14, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43653, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 559, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43654, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 224, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43655, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 559, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43656, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 630, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43657, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 95, 11, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43658, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 170, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43659, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 289, 48, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43660, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 327, 24, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43661, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 411, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43662, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 3153, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43663, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 355, 35, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43664, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 152, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43665, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 274, 36, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43666, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 233, 15, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43667, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 248, 33, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43668, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 269, 31, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43669, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 109, 12, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43670, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 140, 12, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43671, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 80, 2, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43672, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 187, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43673, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 10, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43674, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 4, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43675, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 136, 20, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43676, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 103, 24, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43677, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 88, 10, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43678, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 120, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43679, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 92, 27, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43680, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1446, 7, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43681, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 8, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43682, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 103, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43683, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 79, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43684, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 90, 22, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43685, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 72, 27, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43686, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 6526, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43687, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 101, 17, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43688, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 295, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43689, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 259, 10, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43690, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43691, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 246, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43692, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 293, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43693, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 4011, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43694, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 56, 2, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43695, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43696, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43697, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 4, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43698, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 153, 26, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43699, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 187, 30, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43700, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 167, 19, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43701, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 267, 6, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43702, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1730, 8, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43703, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2390, 22, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43704, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1888, 11, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43705, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2196, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43706, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1904, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43707, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 129, 37, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43708, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 124, 50, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43709, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 131, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43710, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 552, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43711, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 399, 6, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43712, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 565, 7, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43713, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2790, 14, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43714, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 3105, 6, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43715, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2401, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43716, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 106, 37, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43717, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1894, 8, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43718, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 3251, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43719, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 532, 35, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43720, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 54, 11, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43721, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 93, 12, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43722, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 232, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43723, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 128, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43724, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 257, 2, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43725, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 187, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43726, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 80, 2, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43727, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 10, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43728, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2390, 22, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43729, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1730, 8, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43730, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1904, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43731, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2196, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43732, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 334, 40, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43733, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 268, 19, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43734, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1888, 11, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43735, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 4, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43736, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 79, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43737, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 57, 30, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43738, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 294, 28, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43739, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 103, 24, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43740, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 136, 20, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43741, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 552, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43742, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 120, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43743, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 88, 10, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43744, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 246, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43745, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 399, 6, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43746, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 259, 10, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43747, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 565, 7, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43748, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43749, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43750, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 124, 30, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43751, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43752, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1288, 68, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43753, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1109, 66, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43754, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1095, 55, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43755, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 124, 50, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43756, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 129, 37, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43757, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 289, 48, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43758, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 224, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43759, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 446, 60, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43760, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 434, 57, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43761, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 227, 29, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43762, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 170, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43763, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 106, 37, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43764, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 56, 2, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43765, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 532, 35, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43766, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 4, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43767, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 630, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43768, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 92, 27, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43769, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 95, 11, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43770, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 90, 22, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43771, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 419, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43772, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 49, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43773, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 101, 17, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43774, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 251, 59, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43775, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 267, 6, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43776, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 72, 27, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43777, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 300, 55, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43778, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 140, 18, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43779, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 247, 16, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43780, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2676, 7, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43781, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 173, 21, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43782, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2790, 14, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43783, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 3251, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43784, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 22, 16, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43785, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1894, 8, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43786, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 121, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43787, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 216, 12, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43788, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 4011, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43789, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2401, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43790, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 25, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43791, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 33, 2, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43792, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 8, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43793, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 196, 34, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43794, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 173, 42, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43795, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 139, 38, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43796, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 269, 31, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43797, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 152, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43798, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 248, 33, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43799, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 274, 36, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43800, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 355, 35, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43801, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3409, 2, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43802, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 327, 24, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43803, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 131, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43804, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 559, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43805, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3153, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43806, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 295, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43807, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1446, 7, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43808, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 3680, 7, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43809, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 144, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43810, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 286, 17, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43811, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1067, 7, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43812, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 261, 51, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43813, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 280, 28, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43814, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 219, 2, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43815, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 255, 51, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43816, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 363, 32, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43817, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 290, 29, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43818, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 442, 18, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43819, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 379, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43820, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 227, 48, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43821, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 337, 33, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43822, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 351, 36, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43823, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 4011, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43824, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2401, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43825, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 630, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43826, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1894, 8, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43827, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1446, 7, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43828, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2790, 14, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43829, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 3251, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43830, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 95, 11, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43831, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 3105, 6, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43832, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43833, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 101, 17, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43834, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 72, 27, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43835, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 90, 22, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43836, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 92, 27, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43837, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 293, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43838, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 411, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43839, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 267, 6, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43840, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 532, 35, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43841, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1888, 11, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43842, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2196, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43843, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1730, 8, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43844, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1904, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43845, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2390, 22, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43846, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43847, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43848, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 170, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43849, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 233, 15, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43850, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 327, 24, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43851, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 124, 50, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43852, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 246, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43853, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 140, 12, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43854, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 129, 37, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43855, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 109, 12, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43856, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 289, 48, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43857, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 259, 10, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43858, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 152, 9, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43859, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 274, 36, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43860, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 355, 35, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43861, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 248, 33, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43862, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 269, 31, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43863, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 103, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43864, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 79, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43865, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 4, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43866, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 224, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43867, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 8, 4, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43868, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 80, 2, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43869, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 187, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43870, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 10, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43871, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 167, 19, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43872, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 4, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43873, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 120, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43874, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 88, 10, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43875, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 153, 26, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43876, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 56, 2, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43877, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 187, 30, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43878, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 106, 37, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43879, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 565, 7, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43880, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 552, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43881, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 6526, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43882, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 295, 5, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43883, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 399, 6, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43884, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 559, 3, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43885, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 103, 24, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43886, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 131, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43887, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 136, 20, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43888, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 3153, 1, 2023, 7, 14, '2024-08-05 13:59:14', NULL, NULL), (43889, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 201, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43890, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 114, 7, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43891, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 326, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43892, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 2047, 101, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43893, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 386, 37, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43894, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 280, 26, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43895, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1846, 112, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (43896, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 326, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43897, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 366, 39, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43898, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 114, 7, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43899, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 201, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43900, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 270, 27, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43901, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 70, 7, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43902, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 187, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43903, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 201, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43904, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43905, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43906, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 377, 18, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43907, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 502, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43908, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 326, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43909, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 35, 3, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 377, 18, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 513, 5, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 187, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 61, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 387, 30, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 33, 2, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 57, 2, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 4, 2, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 502, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 5, 2, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 4164, 19, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 4141, 28, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 235, 16, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 201, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 35, 3, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 176, 2, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 326, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 146, 12, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 244, 16, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 227, 10, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43931, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 502, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43932, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 377, 18, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43933, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 187, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43934, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 35, 3, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43935, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 70, 7, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43936, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43937, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 201, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43938, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 326, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43939, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43940, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 502, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43941, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 5, 2, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43942, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 187, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43943, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 201, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43944, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 61, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43945, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 33, 2, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43946, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 326, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43947, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 176, 2, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43948, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 377, 18, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43949, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 35, 3, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43950, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 187, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43951, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 326, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43952, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 201, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43953, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 4, 2, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43954, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 502, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43955, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 35, 3, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43956, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 5, 2, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43957, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43958, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 33, 2, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43959, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 227, 10, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43960, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 61, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43961, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 244, 16, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43962, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 4141, 28, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43963, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 235, 16, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43964, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 4164, 19, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43965, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 377, 18, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43966, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 176, 2, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43967, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 513, 5, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43968, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 146, 12, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43969, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 387, 30, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43970, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 57, 2, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43971, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 35, 3, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43972, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 326, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43973, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 201, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43974, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 187, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43975, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 502, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43976, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 61, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43977, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 377, 18, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43978, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 33, 2, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43979, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 5, 2, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43980, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43981, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 176, 2, 2023, 7, 15, '2024-08-05 13:59:15', NULL, NULL), (43982, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 237, 6, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (43983, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1042, 134, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (43984, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 30, 5, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (43985, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 399, 47, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (43986, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1034, 135, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (43987, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 1, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (43988, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 391, 48, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (43989, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 203, 7, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (43990, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 1, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (43991, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 30, 5, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (43992, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 212, 3, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (43993, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 777, 1, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (43994, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 1, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (43995, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 1, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (43996, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 37, 4, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (43997, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 1, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (43998, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 1, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (43999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 397, 17, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 1, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 777, 1, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 400, 30, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 4, 2, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 212, 3, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 81, 13, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1787, 70, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 37, 4, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 126, 16, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 161, 19, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 520, 16, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44011, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 37, 4, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44012, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 777, 1, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44013, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 212, 3, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44014, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 1, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44015, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 212, 3, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44016, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 1, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44017, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 37, 4, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44018, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 777, 1, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44019, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 4, 2, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44020, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 212, 3, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44021, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 397, 17, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44022, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 777, 1, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44023, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 520, 16, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44024, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 161, 19, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44025, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 1, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44026, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 81, 13, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44027, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1787, 70, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44028, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 37, 4, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44029, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 400, 30, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44030, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 126, 16, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44031, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 1, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44032, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 777, 1, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44033, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 212, 3, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44034, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 37, 4, 2023, 7, 16, '2024-08-05 13:59:16', NULL, NULL), (44035, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 12405, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44036, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 212, 143, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44037, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 5, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44038, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 587, 225, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44039, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 4065, 9, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44040, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 1194, 129, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44041, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 688, 62, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44042, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 390, 267, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44043, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 748, 106, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44044, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 857, 566, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44045, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 616, 232, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44046, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 352, 241, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44047, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 855, 567, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44048, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 1217, 212, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44049, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 734, 108, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44050, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 616, 232, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44051, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 387, 269, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44052, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 576, 229, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44053, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 211, 144, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44054, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 352, 241, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44055, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 63, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44056, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 409, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44057, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 706, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44058, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 146, 14, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44059, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 546, 64, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44060, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 211, 144, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44061, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 153, 78, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44062, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 395, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44063, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 789, 42, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44064, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44065, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 433, 3, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44066, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1384, 25, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44067, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 185, 31, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44068, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 205, 18, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44069, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1256, 13, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44070, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 346, 18, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44071, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 5, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44072, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 3, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44073, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 115, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44074, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 8270, 3, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44075, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 13, 9, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44076, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44077, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 292, 144, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44078, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2618, 10, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44079, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 3, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44080, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1215, 69, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44081, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 8338, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44082, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 1183, 104, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44083, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 31, 10, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44084, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 9, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44085, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 1241, 25, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 513, 12, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 13, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 395, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 63, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 205, 18, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 809, 41, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 769, 51, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 832, 29, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 701, 7, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1074, 38, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 102, 10, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1219, 10, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2682, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1075, 42, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1899, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 968, 25, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1377, 8, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 736, 41, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 429, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 681, 36, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 296, 34, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 417, 32, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 370, 17, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 185, 16, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 440, 64, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 435, 47, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 1593, 8, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 190, 23, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 246, 32, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 182, 25, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 91, 20, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 230, 25, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 158, 11, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 60, 30, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 76, 14, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 757, 34, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 432, 5, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 255, 11, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 281, 24, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1053, 35, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1177, 67, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 7, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 23, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 276, 22, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 544, 12, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 2782, 9, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1161, 82, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 112, 37, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 576, 46, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 730, 90, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 146, 14, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 5, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 678, 68, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 185, 31, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 60, 22, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 12405, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 424, 30, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 359, 23, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 1544, 29, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 137, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 86, 12, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 1044, 48, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 1177, 50, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 8338, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 706, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 59, 14, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 409, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 264, 39, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 8, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 287, 14, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 452, 11, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 21, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 141, 46, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 13, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 126, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 459, 18, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 206, 11, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 2, 5, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 59, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 91, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 433, 3, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 16, 5, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 64, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 563, 62, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 40, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 169, 32, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1131, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 256, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 906, 9, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1145, 12, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1110, 8, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1534, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1052, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1152, 17, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1256, 13, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2618, 10, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 4, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44185, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 205, 18, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44186, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1442, 24, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44187, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 4, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44188, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 5, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44189, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 3, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44190, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 395, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44191, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 212, 143, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44192, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 346, 18, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44193, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2618, 10, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44194, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 115, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44195, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 153, 78, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44196, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 409, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44197, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 563, 62, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44198, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 146, 14, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44199, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 185, 31, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44200, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 9, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44201, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 31, 10, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44202, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 1241, 25, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44203, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 8338, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44204, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 433, 3, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44205, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 1183, 104, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44206, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1215, 69, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44207, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 63, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44208, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 809, 41, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44209, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 12405, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44210, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1256, 13, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44211, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 294, 143, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44212, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 13, 9, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44213, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 706, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44214, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 433, 3, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44215, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 706, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44216, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 513, 12, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44217, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 13, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44218, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 205, 18, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44219, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 563, 62, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44220, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 281, 24, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44221, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 12405, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44222, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 115, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44223, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 76, 14, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44224, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 182, 25, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44225, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 230, 25, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44226, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 1634, 5, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44227, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 190, 23, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44228, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 246, 32, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44229, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 137, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44230, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 1239, 8, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44231, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 1266, 10, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44232, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 40, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44233, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 64, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44234, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 16, 5, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44235, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 63, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44236, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 264, 39, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44237, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 59, 14, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44238, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 452, 11, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44239, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 287, 14, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44240, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 409, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44241, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 424, 30, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44242, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1256, 13, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44243, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 5, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44244, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 3, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44245, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 4, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44246, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 86, 12, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44247, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 359, 23, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44248, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2618, 10, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44249, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 2, 5, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44250, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 8, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44251, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 13, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44252, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44253, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44254, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 146, 14, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44255, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 1005, 40, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44256, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 1154, 40, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44257, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 1526, 24, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44258, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 395, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44259, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 91, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44260, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1052, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44261, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1152, 17, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44262, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 906, 9, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44263, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1145, 12, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44264, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1110, 8, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44265, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1534, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44266, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 169, 32, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44267, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 141, 46, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44268, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 21, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44269, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 8338, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44270, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1377, 8, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44271, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1219, 10, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44272, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1899, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44273, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2682, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44274, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 185, 31, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44275, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 701, 7, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44276, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 809, 41, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44277, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 126, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44278, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 459, 18, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44279, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 21, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44280, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 91, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44281, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 206, 11, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44282, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 59, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44283, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 64, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44284, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 40, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44285, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 16, 5, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44286, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1152, 17, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44287, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1052, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44288, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1534, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44289, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1110, 8, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44290, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 757, 34, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44291, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1145, 12, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44292, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 1593, 8, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44293, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 906, 9, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44294, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 4, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44295, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 60, 30, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44296, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 576, 46, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44297, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 59, 14, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44298, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 264, 39, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44299, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1377, 8, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44300, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 287, 14, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44301, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 452, 11, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44302, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1219, 10, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44303, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 8, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44304, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1899, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44305, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 2, 5, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44306, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44307, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 112, 37, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44308, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44309, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1161, 82, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44310, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 13, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44311, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1177, 67, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44312, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1053, 35, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44313, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 141, 46, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44314, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 169, 32, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44315, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 563, 62, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44316, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 433, 3, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44317, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 730, 90, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44318, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 678, 68, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44319, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 60, 22, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44320, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 205, 18, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44321, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 185, 31, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (44322, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 809, 41, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44323, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 513, 12, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44324, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 146, 14, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44325, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 63, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44326, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 424, 30, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44327, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 86, 12, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44328, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 13, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44329, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 185, 16, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44330, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 435, 47, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44331, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 359, 23, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44332, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 395, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44333, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 440, 64, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44334, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 296, 34, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44335, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 158, 11, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44336, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2682, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44337, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 370, 17, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44338, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 417, 32, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44339, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 701, 7, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44340, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 91, 20, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44341, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 256, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44342, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1131, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44343, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 5, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44344, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 1544, 29, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44345, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 1177, 50, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44346, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 1044, 48, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44347, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 137, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44348, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 12405, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44349, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 246, 32, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44350, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 182, 25, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44351, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 190, 23, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44352, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 230, 25, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44353, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 76, 14, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44354, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 281, 24, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44355, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 8338, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44356, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 706, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44357, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 409, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44358, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2618, 10, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44359, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1256, 13, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44360, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 255, 11, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44361, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 2782, 9, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44362, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 544, 12, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44363, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 432, 5, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44364, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 736, 41, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44365, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 968, 25, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44366, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 7, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44367, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1075, 42, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44368, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 102, 10, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44369, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 276, 22, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44370, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1074, 38, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44371, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 23, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44372, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 832, 29, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44373, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 769, 51, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44374, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 681, 36, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44375, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 429, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44376, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 513, 12, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44377, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 701, 7, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44378, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1256, 13, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44379, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2682, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44380, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 13, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44381, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44382, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 13, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44383, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 359, 23, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44384, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 86, 12, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44385, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 424, 30, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44386, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 115, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44387, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 395, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44388, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 809, 41, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44389, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 906, 9, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44390, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1110, 8, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44391, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1145, 12, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44392, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1052, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44393, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1534, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44394, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1152, 17, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44395, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 2, 5, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44396, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44397, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 205, 18, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44398, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 91, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44399, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 1634, 5, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44400, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 281, 24, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44401, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 141, 46, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44402, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 8, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44403, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 169, 32, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44404, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 1266, 10, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44405, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 1239, 8, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44406, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 563, 62, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44407, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 137, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44408, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 182, 25, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44409, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 230, 25, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44410, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 76, 14, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44411, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 190, 23, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44412, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 246, 32, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44413, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 3, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44414, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 12405, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44415, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 4, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44416, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 433, 3, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44417, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 5, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44418, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 409, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44419, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 63, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44420, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 40, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44421, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 64, 2, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44422, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 16, 5, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44423, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 1526, 24, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44424, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 146, 14, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44425, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 287, 14, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44426, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 452, 11, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44427, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 1005, 40, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44428, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 1154, 40, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44429, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1899, 6, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44430, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 185, 31, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44431, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1377, 8, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44432, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 21, 1, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44433, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2618, 10, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44434, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1219, 10, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44435, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 706, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44436, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 59, 14, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44437, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 8338, 4, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44438, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 264, 39, 2023, 7, 17, '2024-08-05 13:59:17', NULL, NULL), (44439, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 87, 123, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44440, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 54, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44441, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 893, 204, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44442, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '', 2724, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44443, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 545, 20, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44444, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 333, 103, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44445, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 757, 65, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44446, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 308, 204, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44447, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 576, 70, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44448, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 236, 450, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44449, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 99, 144, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44450, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 612, 182, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44451, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 236, 450, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44452, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 501, 194, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44453, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 568, 71, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44454, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 608, 183, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44455, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 308, 204, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44456, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 86, 124, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44457, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 880, 207, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44458, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 98, 145, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44459, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 276, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44460, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '', 2724, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44461, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 907, 9, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44462, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 22, 4, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44463, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 403, 50, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44464, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 87, 123, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44465, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 201, 54, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44466, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1669, 6, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44467, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 310, 40, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44468, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 4, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44469, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 43, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44470, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 38, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44471, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 4187, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44472, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 79, 32, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44473, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2311, 4, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44474, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2095, 17, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44475, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 234, 19, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44476, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 36, 3, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44477, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 139, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44478, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 348, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44479, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 27, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44480, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44481, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 9, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44482, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 242, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44483, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 107, 108, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44484, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1120, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44485, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 5, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44486, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1693, 89, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44487, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 226, 6, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44488, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 336, 73, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44489, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 34, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44490, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 2, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44491, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 327, 30, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 391, 11, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 18, 8, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1436, 7, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 2311, 4, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 318, 39, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 112, 39, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 82, 32, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 74, 29, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 94, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 4187, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 125, 32, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2348, 10, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 849, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 87, 21, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 18, 24, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 108, 24, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 69, 28, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 339, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 61, 18, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 16, 15, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 218, 6, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 219, 11, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 61, 25, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 191, 32, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 61, 14, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 38, 21, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 55, 20, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 161, 21, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 50, 17, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 46, 24, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 21, 9, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 228, 16, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 50, 34, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 68, 24, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 271, 12, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 87, 13, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 31, 21, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 676, 41, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 549, 53, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 248, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 3, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 381, 18, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 858, 13, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 8526, 3, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 41, 11, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 735, 34, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 18, 21, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 592, 59, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 524, 42, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D14', 2724, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 22, 4, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 54, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 79, 32, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 525, 53, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 585, 12, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 128, 27, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 129, 7, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 473, 16, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 28, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 303, 44, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 82, 17, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 319, 42, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 5, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 226, 6, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 907, 9, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 231, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 76, 30, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 438, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 117, 13, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 6, 7, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 162, 9, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 106, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 479, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 166, 22, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 3, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 2, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 42, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 467, 13, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 2, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 142, 7, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 12, 3, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 4, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 43, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 420, 48, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 34, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 224, 32, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 460, 8, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1985, 8, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1418, 12, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1742, 16, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1840, 14, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1611, 8, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2030, 8, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1781, 14, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2095, 17, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1120, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 139, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44590, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 2311, 4, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44591, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 4187, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44592, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 139, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44593, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 54, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44594, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 5, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44595, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1669, 6, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44596, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 87, 123, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44597, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '', 2724, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44598, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 234, 19, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44599, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1120, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44600, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 27, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44601, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 201, 54, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44602, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 276, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44603, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 420, 48, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44604, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 22, 4, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44605, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 79, 32, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44606, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 242, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44607, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 2, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44608, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 34, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44609, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 327, 30, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44610, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 226, 6, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44611, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 348, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44612, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 43, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44613, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 336, 73, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44614, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1693, 89, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44615, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 318, 39, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44616, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2095, 17, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44617, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 38, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44618, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 107, 108, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44619, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 9, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44620, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 907, 9, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44621, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 907, 9, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44622, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 43, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44623, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 391, 11, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44624, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 18, 8, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44625, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 2311, 4, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44626, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 420, 48, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44627, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 31, 21, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44628, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 27, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44629, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 348, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44630, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 228, 16, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44631, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 161, 21, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44632, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 46, 24, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44633, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 523, 3, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44634, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 38, 21, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44635, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 28, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44636, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 55, 20, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44637, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 357, 13, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44638, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 274, 13, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44639, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 34, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44640, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 117, 13, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44641, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 76, 30, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44642, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 106, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44643, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 162, 9, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44644, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 115, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44645, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 438, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44646, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 128, 27, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44647, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2095, 17, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44648, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 54, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44649, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 38, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44650, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 5, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44651, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 139, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44652, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 82, 17, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44653, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 129, 7, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44654, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1120, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44655, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D26', 5, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44656, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 2, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44657, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 479, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44658, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 6, 7, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44659, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 339, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44660, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 3, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44661, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44662, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 2, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44663, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 22, 4, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44664, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 280, 31, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44665, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 339, 29, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44666, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 461, 13, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44667, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1669, 6, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44668, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 4, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44669, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2030, 8, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44670, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1781, 14, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44671, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1418, 12, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44672, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1742, 16, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44673, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1840, 14, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44674, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1611, 8, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44675, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 224, 32, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44676, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 166, 22, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44677, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 226, 6, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44678, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 4187, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44679, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2604, 9, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44680, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 849, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44681, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 79, 32, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44682, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 94, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44683, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 318, 39, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44684, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '1D14', 2724, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44685, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 42, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44686, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 467, 13, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44687, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 4, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44688, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 142, 7, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44689, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 12, 3, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44690, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 34, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44691, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1781, 14, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44692, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2030, 8, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44693, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1611, 8, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44694, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 68, 24, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44695, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1840, 14, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44696, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 61, 14, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44697, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1742, 16, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44698, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1418, 12, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44699, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 139, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44700, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 50, 34, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44701, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 592, 59, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44702, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 76, 30, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44703, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 117, 13, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44704, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 162, 9, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44705, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 106, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44706, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 4187, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44707, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 6, 7, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44708, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 2, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44709, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44710, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 18, 21, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44711, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 2, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44712, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 735, 34, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44713, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 3, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44714, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 549, 53, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44715, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 676, 41, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44716, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 166, 22, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44717, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 224, 32, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44718, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 420, 48, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44719, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 43, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44720, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 524, 42, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44721, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 525, 53, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44722, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 585, 12, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44723, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 2311, 4, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44724, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 79, 32, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44725, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 318, 39, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44726, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 391, 11, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44727, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 22, 4, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44728, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 128, 27, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44729, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 18, 8, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44730, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 82, 17, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44731, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 219, 11, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44732, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 129, 7, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44733, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 191, 32, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44734, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1436, 7, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (44735, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 61, 25, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44736, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 61, 18, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44737, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 849, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44738, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 21, 9, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44739, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 218, 6, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44740, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2348, 10, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44741, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 16, 15, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44742, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 94, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44743, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 50, 17, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44744, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 41, 11, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44745, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 339, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44746, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1985, 8, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44747, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 460, 8, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44748, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 54, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44749, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 473, 16, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44750, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 319, 42, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44751, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 303, 44, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44752, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 28, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44753, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '1D14', 2724, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44754, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 55, 20, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44755, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 161, 21, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44756, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 38, 21, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44757, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 46, 24, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44758, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 228, 16, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44759, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 479, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44760, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44761, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 31, 21, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44762, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 231, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44763, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 226, 6, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44764, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 907, 9, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44765, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 438, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44766, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1120, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44767, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2095, 17, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44768, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 87, 13, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44769, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 8526, 3, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44770, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 858, 13, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44771, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 18, 24, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44772, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 271, 12, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44773, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 87, 21, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44774, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 248, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44775, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 125, 32, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44776, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 381, 18, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44777, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 74, 29, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44778, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 3, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44779, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 82, 32, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44780, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 112, 39, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44781, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 69, 28, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44782, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 108, 24, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44783, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 339, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44784, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 391, 11, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44785, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 94, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44786, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2095, 17, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44787, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2604, 9, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44788, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 18, 8, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44789, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 849, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44790, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 2, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44791, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 3, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44792, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 129, 7, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44793, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 82, 17, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44794, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 128, 27, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44795, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44796, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 479, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44797, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 27, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44798, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1669, 6, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44799, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 318, 39, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44800, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1418, 12, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44801, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1840, 14, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44802, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1742, 16, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44803, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2030, 8, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44804, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1611, 8, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44805, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1781, 14, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44806, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 2, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44807, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44808, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 2311, 4, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44809, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 4, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44810, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 523, 3, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44811, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 31, 21, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44812, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 166, 22, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44813, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 6, 7, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44814, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 274, 13, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44815, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 224, 32, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44816, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 357, 13, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44817, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 28, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44818, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 420, 48, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44819, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '1D14', 2724, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44820, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 161, 21, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44821, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 46, 24, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44822, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 228, 16, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44823, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 38, 21, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44824, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 55, 20, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44825, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 5, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44826, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 139, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44827, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 43, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44828, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 115, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44829, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 54, 2, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44830, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 438, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44831, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 34, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44832, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 461, 13, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44833, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 22, 4, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44834, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 162, 9, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44835, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 106, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44836, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 38, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44837, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 280, 31, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44838, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 339, 29, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44839, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 79, 32, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44840, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1120, 5, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44841, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 4187, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44842, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 907, 9, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44843, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 76, 30, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44844, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 226, 6, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44845, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 117, 13, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44846, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 348, 1, 2023, 7, 18, '2024-08-05 13:59:18', NULL, NULL), (44847, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 354, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44848, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 80, 150, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44849, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 7, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44850, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 557, 220, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44851, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 457, 26, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44852, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 138, 77, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44853, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 676, 68, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44854, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 268, 224, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44855, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 726, 65, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44856, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 410, 452, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44857, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 314, 167, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44858, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 135, 135, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44859, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 406, 457, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44860, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 393, 176, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44861, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 715, 66, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44862, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 314, 167, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44863, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 266, 226, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44864, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 554, 221, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44865, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 80, 150, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44866, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 135, 135, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44867, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 41, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44868, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 896, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44869, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 64, 12, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44870, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 786, 3, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44871, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 214, 43, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44872, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 80, 150, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44873, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 198, 81, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44874, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 215, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44875, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 661, 36, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44876, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 791, 3, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44877, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 503, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44878, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 97, 24, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44879, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2109, 8, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44880, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2811, 11, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44881, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 8, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44882, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 213, 9, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44883, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 7, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44884, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1248, 3, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44885, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '', 0, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44886, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 50, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44887, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 10, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44888, 1, '511500000000-0001', '宜宾市民中心', '金融机构营业场所', '', '', '', 0, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44889, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 354, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44890, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 6, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44891, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 74, 119, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44892, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1196, 12, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44893, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 6, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44894, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1097, 83, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44895, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 11, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44896, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 396, 6, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44897, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 134, 53, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44898, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 13, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44899, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 8, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44900, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 147, 24, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44901, 1, '511500000000-0001', '宜宾市民中心', '跨区域通办', '', '', '', 229, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44902, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 59, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 232, 8, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 215, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 2109, 8, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 661, 36, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 131, 28, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 125, 32, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 195, 27, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 756, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 996, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 102, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 178, 27, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1071, 3, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1064, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 52, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 127, 24, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 244, 33, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 180, 23, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 121, 35, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 128, 20, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 140, 18, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 201, 9, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 107, 6, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 105, 20, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 83, 24, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 207, 13, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 79, 28, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 87, 27, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 65, 23, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 74, 27, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 83, 19, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 262, 19, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 89, 22, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 24, 9, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 78, 20, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1520, 6, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 153, 16, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 85, 23, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 968, 73, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 893, 78, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 26, 4, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 486, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 758, 27, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 851, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1431, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 176, 17, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 30, 13, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 190, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 308, 27, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 420, 55, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 39, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 7, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 300, 53, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 97, 24, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 108, 21, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 354, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 67, 18, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 158, 23, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 90, 18, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 167, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 68, 25, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 186, 22, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 89, 31, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 396, 6, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 896, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 8, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 39, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 56, 24, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 55, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 78, 20, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 6, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 105, 9, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 120, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 117, 4, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 4, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 246, 30, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 6, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 52, 9, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 8, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 164, 12, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 2, 4, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 38, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 7, 3, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 791, 3, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 18, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 214, 43, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 40, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 170, 51, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 377, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 55, 4, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1153, 12, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1377, 11, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1375, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1029, 9, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (44999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1147, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 880, 12, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2811, 11, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1305, 11, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 1873, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45004, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 2109, 8, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45005, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 503, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45006, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1873, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45007, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 7, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45008, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 6, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45009, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 215, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45010, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 80, 150, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45011, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 213, 9, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45012, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1305, 11, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45013, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 10, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45014, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 198, 81, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45015, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 41, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45016, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 214, 43, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45017, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 64, 12, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45018, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 97, 24, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45019, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 8, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45020, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 13, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45021, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 147, 24, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45022, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 396, 6, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45023, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 50, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45024, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 8, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45025, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 791, 3, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45026, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 134, 53, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45027, 1, '511500000000-0001', '宜宾市民中心', '跨区域通办', '宜宾市政务服务和非公经济发展局', '', '', 229, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45028, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1097, 83, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45029, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 661, 36, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45030, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 11, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45031, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 354, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45032, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2811, 11, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45033, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 75, 118, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45034, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 2359, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45035, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 6, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45036, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 896, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45037, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 896, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45038, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 791, 3, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45039, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 59, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45040, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 232, 8, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45041, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D23', 8, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45042, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 2109, 8, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45043, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 214, 43, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45044, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 85, 23, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45045, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 354, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45046, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 10, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45047, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 50, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45048, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 89, 22, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45049, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 65, 23, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45050, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 74, 27, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45051, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 79, 28, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45052, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 130, 8, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45053, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 167, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45054, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 87, 27, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45055, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 195, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45056, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 73, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45057, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 2359, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45058, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 40, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45059, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 18, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45060, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45061, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 78, 20, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45062, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 56, 24, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45063, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 117, 4, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45064, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 105, 9, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45065, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 32, 3, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45066, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 55, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45067, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 67, 18, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45068, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2811, 11, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45069, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 7, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45070, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 6, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45071, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 1873, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45072, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 68, 25, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45073, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 11, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45074, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 90, 18, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45075, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1305, 11, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45076, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 6, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45077, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 2, 4, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45078, 1, '511500000000-0001', '宜宾市民中心', '跨区域通办', '', '', '1D27', 229, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45079, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 6, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45080, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 190, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45081, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 8, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45082, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45083, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 39, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45084, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 179, 12, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45085, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 92, 26, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45086, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 172, 15, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45087, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 215, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45088, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1147, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45089, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 880, 12, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45090, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1153, 12, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45091, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1377, 11, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45092, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1375, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45093, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1029, 9, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45094, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 170, 51, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45095, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 246, 30, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45096, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 4, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45097, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 396, 6, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45098, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 52, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45099, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 102, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45100, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1071, 3, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45101, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1064, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45102, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 97, 24, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45103, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 756, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45104, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 996, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45105, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 661, 36, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45106, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 52, 9, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45107, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 164, 12, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45108, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 4, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45109, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 38, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45110, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 7, 3, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45111, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 18, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45112, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 40, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45113, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45114, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 880, 12, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45115, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1147, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45116, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1029, 9, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45117, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1375, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45118, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 78, 20, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45119, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1377, 11, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45120, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 207, 13, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45121, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1153, 12, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45122, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 1873, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45123, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 24, 9, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45124, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 308, 27, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45125, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 56, 24, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45126, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 78, 20, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45127, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 52, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45128, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 105, 9, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45129, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 117, 4, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45130, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 102, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45131, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1071, 3, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45132, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 6, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45133, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 2, 4, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45134, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 8, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45135, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 30, 13, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45136, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45137, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 176, 17, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45138, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 6, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45139, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 893, 78, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45140, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 968, 73, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45141, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 246, 30, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45142, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 170, 51, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45143, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 214, 43, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45144, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 791, 3, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45145, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 420, 55, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45146, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 300, 53, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45147, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 108, 21, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45148, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 2109, 8, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45149, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 97, 24, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (45150, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 190, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45151, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 661, 36, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45152, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 59, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45153, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 39, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45154, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 67, 18, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45155, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 232, 8, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45156, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 68, 25, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45157, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 107, 6, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45158, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 83, 24, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45159, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 90, 18, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45160, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 105, 20, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45161, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 215, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45162, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 128, 20, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45163, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 262, 19, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45164, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1064, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45165, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 201, 9, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45166, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 140, 18, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45167, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 996, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45168, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 756, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45169, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 83, 19, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45170, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 55, 4, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45171, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 377, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45172, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 7, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45173, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 158, 23, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45174, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 89, 31, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45175, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 186, 22, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45176, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 167, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45177, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 354, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45178, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 87, 27, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45179, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 65, 23, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45180, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 79, 28, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45181, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 74, 27, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45182, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 89, 22, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45183, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 120, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45184, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 85, 23, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45185, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 8, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45186, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 39, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45187, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 396, 6, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45188, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 896, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45189, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 55, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45190, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1305, 11, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45191, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2811, 11, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45192, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 153, 16, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45193, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1431, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45194, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 851, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45195, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1520, 6, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45196, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 244, 33, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45197, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 127, 24, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45198, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 26, 4, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45199, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 178, 27, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45200, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 758, 27, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45201, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 195, 27, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45202, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 486, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45203, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 125, 32, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45204, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 131, 28, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45205, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 121, 35, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45206, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 180, 23, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45207, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 59, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45208, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2811, 11, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45209, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 756, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45210, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1064, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45211, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 996, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45212, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 232, 8, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45213, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45214, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 6, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45215, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 90, 18, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45216, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 68, 25, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45217, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 67, 18, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45218, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 10, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45219, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 215, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45220, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 661, 36, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45221, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1153, 12, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45222, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1375, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45223, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1377, 11, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45224, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1147, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45225, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1029, 9, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45226, 1, '511500000000-0001', '宜宾市民中心', '跨区域通办', '宜宾市政务服务和非公经济发展局', '', '1D27', 229, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45227, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 880, 12, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45228, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D23', 8, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45229, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 2, 4, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45230, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 8, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45231, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 2109, 8, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45232, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 130, 8, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45233, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 85, 23, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45234, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 246, 30, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45235, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 73, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45236, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 170, 51, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45237, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 195, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45238, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 167, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45239, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 214, 43, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45240, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 6, 7, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45241, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 65, 23, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45242, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 2359, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45243, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 74, 27, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45244, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 89, 22, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45245, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 79, 28, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45246, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 87, 27, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45247, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 6, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45248, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 354, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45249, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 1873, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45250, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 791, 3, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45251, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 32, 3, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45252, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 7, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45253, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 55, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45254, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 40, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45255, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 18, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45256, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 5, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45257, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 172, 15, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45258, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 39, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45259, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 105, 9, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45260, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 117, 4, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45261, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 190, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45262, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 179, 12, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45263, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 92, 26, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45264, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1071, 3, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45265, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 97, 24, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45266, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 52, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45267, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 11, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45268, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 4, 1, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45269, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1305, 11, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45270, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 102, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45271, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 896, 10, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45272, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 56, 24, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45273, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 396, 6, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45274, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 78, 20, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45275, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 50, 2, 2023, 7, 19, '2024-08-05 13:59:19', NULL, NULL), (45276, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 6, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45277, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 77, 121, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45278, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '', 16136, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45279, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1000, 247, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45280, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 843, 24, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45281, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 153, 61, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45282, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 749, 48, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45283, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 98, 188, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45284, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 357, 54, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45285, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 430, 507, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45286, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 73, 114, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45287, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 772, 137, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45288, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 428, 509, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45289, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 709, 138, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45290, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 357, 54, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45291, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 772, 137, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45292, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 97, 189, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45293, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 77, 121, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45294, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1000, 247, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45295, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 73, 114, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45296, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 499, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45297, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 6, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45298, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 6, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45299, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 10, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45300, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 6980, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45301, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 209, 53, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45302, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 77, 121, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45303, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 492, 85, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45304, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 51, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45305, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 479, 24, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45306, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45307, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 371, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45308, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 691, 10, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45309, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 58, 16, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45310, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 75, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45311, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 257, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45312, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 19, 10, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45313, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 16136, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45314, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 18, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45315, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 580, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45316, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 3, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45317, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 88, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45318, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 12, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45319, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 78, 96, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45320, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 182, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45321, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 857, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45322, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2011, 96, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45323, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 4783, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45324, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 665, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45325, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 164, 42, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45326, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45327, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 140, 10, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45328, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 131, 19, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 70, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 6, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 51, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 75, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 479, 24, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 35, 42, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 35, 44, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2128, 6, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 42, 28, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2343, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 52, 21, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 94, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1091, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2553, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 589, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 69, 24, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2424, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 35, 36, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 51, 32, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 53, 12, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 43, 16, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 122, 18, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 101, 12, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 37, 12, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 84, 17, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 40, 22, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 40, 17, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 80, 26, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 78, 21, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 74, 22, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 69, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 51, 22, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 101, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 41, 27, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 173, 12, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 77, 20, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 872, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 197, 11, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 46, 18, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 678, 82, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1528, 93, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 292, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 216, 6, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1207, 16, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1488, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1131, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 77, 25, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 58, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 985, 34, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 3, 6, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 926, 32, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 758, 44, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 58, 16, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 172, 18, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D11', 16136, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 6, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 70, 17, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 132, 12, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 93, 12, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 111, 18, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 149, 21, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 71, 15, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 166, 28, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 665, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 9, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 6, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 487, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 57, 17, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 621, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 74, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 108, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 43, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3192, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 96, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 219, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 560, 42, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 8, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 78, 13, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 107, 12, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 2, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 57, 13, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 857, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 7, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 371, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 11, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 209, 53, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 234, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 425, 43, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 890, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 6, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1847, 10, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1969, 11, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1887, 13, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1402, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1856, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 257, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1798, 20, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 182, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 22, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 4, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45432, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 75, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45433, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 691, 10, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45434, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 18, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45435, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 857, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45436, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 51, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45437, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 77, 121, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45438, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 19, 10, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45439, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 182, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45440, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 492, 85, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45441, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 499, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45442, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 6, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45443, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 209, 53, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45444, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 10, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45445, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 58, 16, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45446, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 12, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45447, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45448, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 131, 19, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45449, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 140, 10, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45450, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 665, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45451, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 580, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45452, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '', 16136, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45453, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 371, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45454, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 164, 42, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45455, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2011, 96, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45456, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 479, 24, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45457, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 4783, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45458, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 6, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45459, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 257, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45460, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 79, 95, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45461, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 6980, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45462, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 88, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45463, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 9, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45464, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 371, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45465, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 9, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45466, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 70, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45467, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 6, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45468, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 75, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45469, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 209, 53, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45470, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 46, 18, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45471, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 6, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45472, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 580, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45473, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 173, 12, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45474, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 74, 22, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45475, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 51, 22, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45476, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 50, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45477, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 80, 26, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45478, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 78, 21, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45479, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 156, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45480, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 136, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45481, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 6980, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45482, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 234, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45483, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 11, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45484, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45485, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 4, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45486, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 74, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45487, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 57, 17, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45488, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 96, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45489, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 43, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45490, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 450, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45491, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 621, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45492, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 70, 17, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45493, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 257, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45494, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 857, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45495, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 22, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45496, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 71, 15, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45497, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 4783, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45498, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 111, 18, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45499, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 93, 12, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45500, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 182, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45501, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 108, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45502, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 2, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45503, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 12, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45504, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 58, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45505, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 8, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45506, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45507, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45508, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 3, 6, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45509, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 145, 13, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45510, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 178, 20, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45511, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 159, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45512, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '1D11', 16136, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45513, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 51, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45514, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 7, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45515, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1856, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45516, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1798, 20, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45517, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1847, 10, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45518, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1969, 11, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45519, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1887, 13, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45520, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1402, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45521, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 425, 43, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45522, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 560, 42, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45523, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 6, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45524, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 219, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45525, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 665, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45526, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 589, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45527, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 94, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45528, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1091, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45529, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2553, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45530, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2424, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45531, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 58, 16, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45532, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2128, 6, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45533, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2343, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45534, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 479, 24, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45535, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 78, 13, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45536, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 107, 12, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45537, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 219, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45538, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 7, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45539, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 57, 13, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45540, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 857, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45541, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 11, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45542, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 234, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45543, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45544, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1798, 20, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45545, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1856, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45546, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1402, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45547, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1887, 13, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45548, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 77, 20, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45549, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1969, 11, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45550, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 40, 17, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45551, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1847, 10, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45552, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 4, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45553, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 22, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45554, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 41, 27, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45555, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 985, 34, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45556, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 57, 17, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45557, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 74, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45558, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 589, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45559, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 43, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45560, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 96, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45561, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 94, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (45562, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1091, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45563, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 108, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45564, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 2, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45565, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45566, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 77, 25, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45567, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45568, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1131, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45569, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 8, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45570, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1528, 93, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45571, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 678, 82, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45572, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 560, 42, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45573, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 425, 43, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45574, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 209, 53, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45575, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 371, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45576, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 926, 32, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45577, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 758, 44, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45578, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 172, 18, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45579, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 75, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45580, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 58, 16, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45581, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 58, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45582, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 479, 24, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45583, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 70, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45584, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 3, 6, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45585, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 70, 17, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45586, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 6, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45587, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 71, 15, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45588, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 37, 12, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45589, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 40, 22, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45590, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 93, 12, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45591, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 51, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45592, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 84, 17, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45593, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 111, 18, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45594, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2424, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45595, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 43, 16, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45596, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 101, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45597, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 101, 12, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45598, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2553, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45599, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 122, 18, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45600, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2343, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45601, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2128, 6, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45602, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 69, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45603, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 6, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45604, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 890, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45605, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 132, 12, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45606, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 166, 28, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45607, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 149, 21, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45608, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 6, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45609, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 78, 21, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45610, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 74, 22, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45611, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 80, 26, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45612, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 51, 22, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45613, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 173, 12, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45614, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3192, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45615, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 46, 18, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45616, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45617, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 487, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45618, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 665, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45619, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 9, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45620, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 621, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45621, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 182, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45622, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 257, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45623, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 197, 11, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45624, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1488, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45625, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1207, 16, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45626, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 872, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45627, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 35, 36, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45628, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 69, 24, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45629, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 292, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45630, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 52, 21, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45631, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 42, 28, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45632, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 216, 6, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45633, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 35, 44, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45634, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 35, 42, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45635, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 53, 12, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45636, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '1D11', 16136, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45637, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 51, 32, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45638, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 70, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45639, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 257, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45640, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2128, 6, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45641, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2553, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45642, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2343, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45643, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 6, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45644, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2424, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45645, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45646, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 8, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45647, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 93, 12, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45648, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 111, 18, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45649, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 71, 15, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45650, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 70, 17, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45651, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 12, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45652, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 51, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45653, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 479, 24, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45654, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1847, 10, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45655, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1887, 13, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45656, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1969, 11, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45657, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1856, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45658, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1402, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45659, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1798, 20, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45660, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 2, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45661, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45662, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 75, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45663, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 7, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45664, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 50, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45665, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 46, 18, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45666, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 560, 42, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45667, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 136, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45668, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 425, 43, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45669, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 156, 8, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45670, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 209, 53, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45671, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 108, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45672, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 74, 22, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45673, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 6980, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45674, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 51, 22, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45675, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 173, 12, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45676, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 80, 26, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45677, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 78, 21, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45678, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 857, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45679, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 6, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45680, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 22, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45681, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 4, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45682, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 371, 3, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45683, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 450, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45684, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 621, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45685, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 234, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45686, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 11, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45687, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45688, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 159, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45689, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 3, 6, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45690, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 43, 5, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45691, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 96, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45692, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 58, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45693, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 145, 13, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45694, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 178, 20, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45695, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1091, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45696, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 58, 16, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45697, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 589, 4, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45698, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 219, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45699, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 4783, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45700, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 182, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45701, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 94, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45702, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 9, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45703, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 57, 17, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45704, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 1, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45705, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 665, 9, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45706, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 74, 7, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45707, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 580, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45708, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '1D11', 16136, 2, 2023, 7, 20, '2024-08-05 13:59:20', NULL, NULL), (45709, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 8083, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45710, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 106, 97, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45711, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 5, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45712, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 454, 223, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45713, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 831, 16, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45714, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 174, 71, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45715, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 547, 42, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45716, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 114, 178, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45717, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 968, 73, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45718, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 545, 522, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45719, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 17416, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45720, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 148, 129, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45721, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 142, 147, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45722, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 544, 523, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45723, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 622, 147, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45724, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 968, 73, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45725, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 148, 129, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45726, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 111, 182, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45727, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 454, 223, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45728, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 104, 99, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45729, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 142, 147, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45730, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 5311, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45731, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 82, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45732, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 36, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45733, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 1218, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45734, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 377, 10, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45735, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 199, 34, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45736, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 104, 99, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45737, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 281, 99, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45738, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1190, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45739, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 688, 38, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45740, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 5, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45741, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 4194, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45742, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1938, 14, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45743, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 37, 20, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45744, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 324, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45745, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 734, 10, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45746, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 8899, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45747, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 87, 11, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45748, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 5, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45749, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 112, 17, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45750, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 66, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45751, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 226, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45752, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 8083, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45753, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 118, 10, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45754, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 12, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45755, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 47, 99, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45756, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 10, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45757, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45758, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 110, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45759, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1060, 61, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45760, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 43, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45761, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 1257, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45762, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 121, 44, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45763, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 8, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45764, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 10, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45765, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 260, 27, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45766, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 17416, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 166, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 21, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1690, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 5311, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 324, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 688, 38, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 24, 31, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 24, 30, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 27, 34, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1232, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 24, 12, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 689, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1945, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1887, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1079, 7, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 4, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1958, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 60, 27, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 995, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 30, 33, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 41, 25, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 34, 37, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 105, 15, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 164, 18, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 136, 21, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 152, 10, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 109, 32, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 147, 25, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 84, 20, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 62, 19, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 122, 12, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 99, 17, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 198, 13, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 225, 21, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 168, 13, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 58, 20, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 61, 12, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 114, 20, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1236, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 34, 16, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1342, 91, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1253, 90, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 221, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 200, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 677, 20, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 290, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 475, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1026, 33, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 160, 19, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 25, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 66, 27, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 126, 49, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 465, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 5, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 37, 20, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 206, 35, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 17416, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 35, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 8083, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 20, 7, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 41, 10, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 125, 18, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 1098, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 59, 15, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 37, 14, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 102, 22, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 127, 27, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1257, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 43, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 8899, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 82, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 59, 22, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 75, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 54, 16, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 187, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 101, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 54, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 32, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 29, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 267, 47, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 8, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 124, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 43, 7, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 96, 13, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 156, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 18, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 5, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 8, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 199, 34, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 295, 52, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 182, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 401, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1415, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1157, 9, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 679, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 680, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1952, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 734, 10, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 888, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 10, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 120, 14, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 77, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45872, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 324, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45873, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1938, 14, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45874, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 112, 17, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45875, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 5, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45876, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 110, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45877, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1190, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45878, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 106, 97, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45879, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 10, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45880, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 87, 11, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45881, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 226, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45882, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 281, 99, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45883, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 82, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45884, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 199, 34, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45885, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 377, 10, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45886, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 37, 20, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45887, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 12, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45888, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 10, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45889, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 17416, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45890, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 8, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45891, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 260, 27, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45892, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1257, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45893, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 66, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45894, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 8899, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45895, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 5, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45896, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 121, 44, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45897, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1060, 61, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45898, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 5311, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45899, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 688, 38, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45900, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 43, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45901, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 734, 10, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45902, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 8083, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45903, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 4194, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45904, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 48, 96, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45905, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 1218, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45906, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 118, 10, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45907, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 43, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45908, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 5, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45909, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 43, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45910, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 166, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45911, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 21, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45912, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D23', 8899, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45913, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 324, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45914, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 199, 34, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45915, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 34, 16, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45916, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 8083, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45917, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 226, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45918, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 66, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45919, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 61, 12, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45920, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 99, 17, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45921, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 225, 21, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45922, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 62, 19, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45923, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 81, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45924, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 1098, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45925, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 122, 12, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45926, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 123, 11, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45927, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 1210, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45928, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 118, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45929, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 8, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45930, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 77, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45931, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 1227, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45932, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 5311, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45933, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 17416, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45934, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 54, 16, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45935, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 59, 22, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45936, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 29, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45937, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 54, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45938, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 82, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45939, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 84, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45940, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 20, 7, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45941, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 734, 10, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45942, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 5, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45943, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 4194, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45944, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 110, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45945, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 120, 14, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45946, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 37, 14, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45947, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 43, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45948, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 59, 15, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45949, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 41, 10, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45950, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 10, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45951, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 101, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45952, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45953, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 187, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45954, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 12, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45955, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 8, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45956, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 25, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45957, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45958, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45959, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 465, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45960, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 80, 11, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45961, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 131, 19, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45962, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 138, 14, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45963, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1190, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45964, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 18, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45965, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1952, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45966, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 888, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45967, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1415, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45968, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1157, 9, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45969, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 679, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45970, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 680, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45971, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 295, 52, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45972, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 267, 47, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45973, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1257, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45974, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1958, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (45975, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1945, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45976, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1887, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45977, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1079, 7, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45978, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 4, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45979, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 995, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45980, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 37, 20, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45981, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1232, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45982, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 689, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45983, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 688, 38, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45984, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 124, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45985, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 43, 7, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45986, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 18, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45987, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 96, 13, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45988, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 156, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45989, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 8, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45990, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 888, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45991, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1952, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45992, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 680, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45993, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 679, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45994, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 114, 20, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45995, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1157, 9, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45996, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 84, 20, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45997, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1415, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45998, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 77, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (45999, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 120, 14, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46000, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 58, 20, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46001, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 66, 27, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46002, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 59, 22, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46003, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 54, 16, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46004, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1958, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46005, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 54, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46006, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 29, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46007, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 187, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46008, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1945, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46009, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 101, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46010, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1887, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46011, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46012, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46013, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 160, 19, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46014, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46015, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1026, 33, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46016, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 8, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46017, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1253, 90, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46018, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 267, 47, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46019, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1342, 91, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46020, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 295, 52, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46021, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 199, 34, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46022, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 5, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46023, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 126, 49, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46024, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 206, 35, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46025, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 35, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46026, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 324, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46027, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 37, 20, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46028, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 25, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46029, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 688, 38, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46030, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 166, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46031, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 465, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46032, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 5311, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46033, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 20, 7, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46034, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 21, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46035, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 37, 14, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46036, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 152, 10, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46037, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 41, 10, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46038, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 147, 25, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46039, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1690, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46040, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 109, 32, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46041, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 59, 15, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46042, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 995, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46043, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 105, 15, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46044, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 4, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46045, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 168, 13, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46046, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 136, 21, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46047, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1079, 7, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46048, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 164, 18, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46049, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 689, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46050, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1232, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46051, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 198, 13, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46052, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 17416, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46053, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 401, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46054, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 182, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46055, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 5, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46056, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 125, 18, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46057, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 127, 27, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46058, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 102, 22, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46059, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 1098, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46060, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 8083, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46061, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 122, 12, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46062, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 99, 17, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46063, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 62, 19, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46064, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 225, 21, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46065, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 61, 12, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46066, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 32, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46067, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 34, 16, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46068, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 8899, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46069, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 82, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46070, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1257, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46071, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 43, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46072, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 75, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46073, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 10, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46074, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 734, 10, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46075, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 475, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46076, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 290, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46077, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1236, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46078, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 30, 33, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46079, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 60, 27, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46080, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 221, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46081, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 24, 12, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46082, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 677, 20, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46083, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 27, 34, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46084, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 200, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46085, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 24, 30, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46086, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 24, 31, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46087, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 34, 37, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46088, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 41, 25, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46089, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 166, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46090, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 734, 10, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46091, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1232, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46092, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1079, 7, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46093, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 689, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46094, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 21, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46095, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 995, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46096, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 4, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46097, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46098, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 8, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46099, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 41, 10, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46100, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 59, 15, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46101, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 37, 14, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46102, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 20, 7, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46103, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 12, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46104, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 226, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46105, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1190, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46106, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 688, 38, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46107, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1415, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46108, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 679, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46109, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1157, 9, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46110, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1952, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46111, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 680, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46112, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 888, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46113, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D23', 8899, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46114, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46115, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46116, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 324, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46117, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 18, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46118, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 34, 16, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46119, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 81, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46120, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 267, 47, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46121, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 187, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46122, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 118, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46123, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 295, 52, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46124, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 123, 11, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46125, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 1098, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46126, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 199, 34, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46127, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 101, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46128, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 1210, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46129, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 99, 17, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46130, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 1227, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46131, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 225, 21, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46132, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 61, 12, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46133, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 62, 19, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46134, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 122, 12, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46135, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 110, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46136, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 8083, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46137, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 120, 14, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46138, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 77, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46139, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 5, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46140, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 82, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46141, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 5, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46142, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 84, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46143, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 5311, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46144, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 8, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46145, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 138, 14, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46146, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 465, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46147, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 54, 8, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46148, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 29, 4, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46149, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 4194, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46150, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 25, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46151, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 80, 11, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46152, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 131, 19, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46153, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 37, 20, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46154, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1887, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46155, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1958, 6, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46156, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 43, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46157, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 10, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46158, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1945, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46159, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 43, 5, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46160, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 59, 22, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46161, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1257, 3, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46162, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 54, 16, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46163, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 66, 1, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46164, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 17416, 2, 2023, 7, 21, '2024-08-05 13:59:21', NULL, NULL), (46165, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 58, 14, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46166, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 4, 3, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46167, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 2432, 97, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46168, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 574, 60, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46169, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 24, 11, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46170, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1933, 122, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46171, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 0, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46172, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1, 7, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46173, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 547, 63, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46174, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 54, 15, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46175, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46176, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 24, 11, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46177, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 55, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46178, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46179, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 3, 5, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46180, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 0, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46181, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 48, 4, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46182, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 3, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46183, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 65, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46184, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 49, 5, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46185, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 60, 5, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46186, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 0, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46187, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 4, 3, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46188, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46189, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 78, 2, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46190, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 40, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 8, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 597, 30, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 55, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 552, 30, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 60, 5, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 21, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 99, 10, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 48, 4, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 65, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 40, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 27, 3, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 4662, 20, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 29, 14, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 145, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 3941, 25, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 4, 3, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 78, 2, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 76, 10, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 66, 12, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 3, 5, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 8232, 5, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46213, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 4, 3, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46214, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 49, 5, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46215, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 65, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46216, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 40, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46217, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 3, 5, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46218, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 55, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46219, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 60, 5, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46220, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 48, 4, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46221, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46222, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 78, 2, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46223, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 78, 2, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46224, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 4, 3, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46225, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 48, 4, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46226, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 55, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46227, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46228, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 40, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46229, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 27, 3, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46230, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 60, 5, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46231, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 145, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46232, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 21, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46233, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 65, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46234, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 3, 5, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46235, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 4, 3, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46236, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 60, 5, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46237, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 55, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46238, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 597, 30, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46239, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 48, 4, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46240, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 65, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46241, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 40, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46242, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 78, 2, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46243, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 145, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46244, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 27, 3, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46245, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46246, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 21, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46247, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 8232, 5, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46248, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 3941, 25, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46249, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 4662, 20, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46250, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 29, 14, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46251, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 3, 5, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46252, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 99, 10, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46253, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 8, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46254, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 552, 30, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46255, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 66, 12, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46256, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 76, 10, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46257, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 145, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46258, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 55, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46259, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 65, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46260, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 60, 5, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46261, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 40, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46262, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 21, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46263, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 27, 3, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46264, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 48, 4, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46265, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 1, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46266, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 4, 3, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46267, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 78, 2, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46268, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 3, 5, 2023, 7, 22, '2024-08-05 13:59:22', NULL, NULL), (46269, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 201, 9, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46270, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1419, 99, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46271, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 36, 23, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46272, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 88, 7, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46273, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1114, 126, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46274, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 36, 23, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46275, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 201, 9, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46276, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46277, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 88, 7, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46278, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 595, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46279, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 68, 5, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46280, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 42, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46281, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 99, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46282, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46283, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 64, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46284, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 140, 2, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46285, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 237, 4, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 140, 2, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 99, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 31, 11, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 42, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 40, 12, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 46, 18, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 20, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 60, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 237, 4, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 329, 2, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 3, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 254, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 76, 11, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 3588, 20, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 3510, 18, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 70, 17, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 32, 2, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 176, 15, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46304, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 64, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46305, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 140, 2, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46306, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 99, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46307, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 42, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46308, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 237, 4, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46309, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 68, 5, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46310, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 595, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46311, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 3, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46312, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 254, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46313, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 42, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46314, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 237, 4, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46315, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 20, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46316, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 595, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46317, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 32, 2, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46318, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 99, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46319, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 140, 2, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46320, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 64, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46321, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 42, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46322, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 99, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46323, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 60, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46324, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 237, 4, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46325, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 329, 2, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46326, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 3, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46327, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 254, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46328, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 20, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46329, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 3510, 18, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46330, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 140, 2, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46331, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 76, 11, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46332, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 3588, 20, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46333, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 32, 2, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46334, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 46, 18, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46335, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 31, 11, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46336, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 40, 12, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46337, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 176, 15, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46338, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 70, 17, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46339, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 99, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46340, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 595, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46341, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 42, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46342, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 140, 2, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46343, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 20, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46344, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 3, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46345, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 254, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46346, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 64, 1, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46347, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 237, 4, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46348, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 32, 2, 2023, 7, 23, '2024-08-05 13:59:23', NULL, NULL), (46349, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 112, 104, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46350, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 804, 10, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46351, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '', 15267, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46352, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 123, 85, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46353, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 629, 60, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46354, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 69, 188, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46355, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 675, 42, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46356, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 624, 618, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46357, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 103, 111, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46358, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 766, 177, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46359, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 631, 264, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46360, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 624, 618, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46361, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 450, 159, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46362, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 675, 42, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46363, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 766, 177, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46364, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 67, 193, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46365, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 631, 264, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46366, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 110, 105, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46367, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 103, 111, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46368, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 567, 4, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46369, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 1422, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46370, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 150, 10, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46371, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 167, 53, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46372, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 110, 105, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46373, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 345, 88, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46374, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 369, 5, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (46375, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 161, 17, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46376, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46377, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1689, 8, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46378, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 24, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46379, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 3177, 6, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46380, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 100, 32, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46381, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 10, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46382, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 140, 4, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46383, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 426, 11, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46384, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 0, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46385, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 15267, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46386, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 7, 5, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46387, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 1245, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46388, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46389, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 75, 8, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46390, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 614, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46391, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 59, 96, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46392, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 332, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46393, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 4, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46394, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1093, 104, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46395, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 1029, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46396, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 127, 62, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46397, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 6, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46398, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 32, 6, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46399, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 113, 23, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 92, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 936, 44, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 188, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 426, 11, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 810, 51, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 881, 55, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 100, 32, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 81, 18, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D11', 15267, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 311, 6, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 51, 9, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 60, 14, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 147, 31, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 10, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 51, 18, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 86, 16, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 119, 19, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 161, 17, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 105, 35, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 615, 45, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1029, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 443, 46, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 567, 4, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 684, 31, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 951, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 879, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 781, 35, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1189, 21, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1642, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 59, 18, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 519, 49, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1950, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1245, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 4711, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 43, 15, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 399, 36, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1500, 9, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 410, 32, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 59, 5, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 102, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 113, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 548, 37, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 614, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 115, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 585, 40, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 282, 45, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 14, 6, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 86, 14, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 45, 11, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 12, 12, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 11, 6, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 121, 19, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 9, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 2, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 3, 8, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 224, 15, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 4, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 72, 29, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 31, 14, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 159, 19, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1689, 8, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 37, 5, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 75, 17, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 62, 16, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 167, 53, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 229, 24, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 141, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 5, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 141, 32, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 412, 43, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 61, 14, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 486, 6, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 69, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 940, 9, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 416, 6, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1135, 15, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1170, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 1313, 16, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 670, 8, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 852, 4, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 140, 4, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1069, 15, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 32, 16, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 728, 77, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 332, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1213, 71, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 176, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 169, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 389, 20, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 7, 5, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 369, 12, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 657, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 735, 59, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 72, 28, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46494, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 10, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46495, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3177, 6, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46496, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 7, 5, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46497, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 4, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46498, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 369, 5, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46499, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 112, 104, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46500, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 426, 11, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46501, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 332, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46502, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 345, 88, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46503, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 167, 53, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46504, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 167, 9, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46505, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 100, 32, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46506, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 614, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46507, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 6, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46508, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 113, 23, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46509, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 32, 6, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46510, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1029, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46511, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 1245, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46512, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '', 15267, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46513, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1689, 8, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46514, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 127, 62, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46515, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1093, 104, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46516, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 161, 17, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46517, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 140, 4, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46518, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 24, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46519, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 61, 93, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46520, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 1422, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46521, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 75, 8, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46522, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 567, 4, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46523, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 567, 4, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46524, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1689, 8, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46525, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 426, 11, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46526, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 10, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46527, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 167, 53, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46528, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 32, 16, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46529, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 1245, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46530, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 61, 14, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46531, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 75, 17, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46532, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 229, 24, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46533, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 189, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46534, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 31, 14, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46535, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 159, 19, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46536, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 88, 4, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46537, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 1422, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46538, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 77, 12, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46539, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 5, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46540, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 37, 5, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46541, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 43, 15, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46542, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 59, 18, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46543, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 115, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46544, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 113, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46545, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 51, 9, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46546, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 140, 4, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46547, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 24, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46548, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 4, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46549, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 7, 5, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46550, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 86, 16, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46551, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 51, 18, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46552, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 60, 14, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46553, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 332, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46554, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 102, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46555, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 2, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46556, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 614, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46557, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 59, 5, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46558, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 92, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46559, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 9, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46560, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 188, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46561, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 127, 15, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46562, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 120, 23, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46563, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 135, 24, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46564, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '1D11', 15267, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46565, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 369, 5, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46566, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 852, 4, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46567, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1069, 15, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46568, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 940, 9, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46569, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1135, 15, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46570, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1170, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46571, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 670, 8, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46572, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 412, 43, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46573, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 282, 45, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46574, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1029, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46575, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 4711, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46576, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1642, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46577, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1189, 21, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46578, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1950, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46579, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1500, 9, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46580, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 100, 32, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46581, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 951, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46582, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 879, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46583, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 161, 17, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46584, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 12, 12, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46585, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 11, 6, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46586, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 14, 6, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46587, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 3, 8, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46588, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 4, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46589, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 5, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46590, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 37, 5, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46591, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1069, 15, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46592, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 852, 4, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46593, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 670, 8, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46594, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1170, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46595, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1135, 15, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46596, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 940, 9, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46597, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 7, 5, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46598, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 147, 31, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46599, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 105, 35, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46600, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 141, 32, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46601, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 119, 19, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46602, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 936, 44, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46603, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 59, 18, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46604, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 43, 15, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46605, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 4711, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46606, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 113, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46607, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 115, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46608, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 59, 5, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46609, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 102, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46610, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1642, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46611, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 2, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46612, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 9, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46613, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 72, 28, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46614, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 735, 59, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46615, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1213, 71, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46616, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 728, 77, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46617, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 282, 45, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46618, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 412, 43, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46619, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 167, 53, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46620, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1689, 8, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46621, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 810, 51, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46622, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 881, 55, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46623, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 81, 18, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46624, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 159, 19, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46625, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 10, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46626, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 100, 32, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46627, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 75, 17, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46628, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 92, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46629, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 161, 17, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46630, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 188, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46631, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 31, 14, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46632, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 229, 24, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46633, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 61, 14, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46634, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 51, 9, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46635, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 426, 11, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46636, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 86, 16, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46637, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 121, 19, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46638, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 60, 14, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46639, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 72, 29, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46640, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 224, 15, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46641, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 311, 6, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46642, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 51, 18, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46643, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1500, 9, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46644, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1950, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46645, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 141, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46646, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 45, 11, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46647, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1189, 21, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46648, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 86, 14, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46649, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 879, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46650, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 951, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46651, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 62, 16, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46652, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 614, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46653, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 32, 16, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46654, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1029, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46655, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 567, 4, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46656, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1245, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46657, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 332, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46658, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 140, 4, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46659, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 1313, 16, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46660, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 657, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46661, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 69, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46662, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 369, 12, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46663, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 416, 6, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46664, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 410, 32, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46665, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 399, 36, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46666, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 176, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46667, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 519, 49, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46668, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 781, 35, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46669, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 684, 31, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46670, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 389, 20, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46671, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 169, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46672, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 486, 6, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46673, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 443, 46, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46674, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 615, 45, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46675, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 585, 40, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46676, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '1D11', 15267, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46677, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 548, 37, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46678, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 140, 4, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46679, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 951, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46680, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1189, 21, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46681, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 879, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46682, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1500, 9, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46683, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 426, 11, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46684, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1950, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46685, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 60, 14, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46686, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 51, 18, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46687, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 86, 16, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46688, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 51, 9, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46689, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 614, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46690, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 369, 5, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46691, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 161, 17, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46692, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 940, 9, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46693, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1170, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46694, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1135, 15, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46695, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 852, 4, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46696, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 670, 8, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46697, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1069, 15, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46698, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 2, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46699, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 9, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46700, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 10, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46701, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 189, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46702, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 32, 16, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46703, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 282, 45, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46704, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 59, 5, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46705, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 77, 12, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46706, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 412, 43, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46707, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 88, 4, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46708, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 167, 53, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46709, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 102, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46710, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 1422, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46711, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 75, 17, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46712, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 229, 24, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46713, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 61, 14, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46714, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 31, 14, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46715, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 159, 19, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46716, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 4, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46717, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 7, 5, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46718, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1689, 8, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46719, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 5, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46720, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 37, 5, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46721, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 135, 24, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46722, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 188, 7, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46723, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 113, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46724, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 115, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46725, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 24, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46726, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 92, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46727, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 127, 15, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46728, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 120, 23, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46729, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1642, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46730, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 100, 32, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46731, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 4711, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46732, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 332, 3, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46733, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 567, 4, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46734, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 59, 18, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46735, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1029, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46736, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 43, 15, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46737, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 1245, 2, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46738, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '1D11', 15267, 1, 2023, 7, 24, '2024-08-05 13:59:24', NULL, NULL), (46739, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 103, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46740, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 105, 83, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46741, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 625, 8, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46742, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 1824, 81, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46743, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 223, 34, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46744, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 633, 195, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46745, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1305, 66, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46746, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 301, 432, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46747, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 170, 111, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46748, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1441, 88, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46749, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1355, 227, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46750, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 301, 432, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46751, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 1216, 132, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46752, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1305, 66, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46753, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1394, 91, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46754, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 629, 196, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46755, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 105, 83, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46756, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1349, 228, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46757, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 170, 111, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46758, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 491, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46759, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 60, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46760, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 559, 45, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46761, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 105, 83, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46762, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 312, 81, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46763, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 2458, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46764, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1270, 26, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46765, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 853, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46766, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 303, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46767, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1339, 15, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46768, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 101, 25, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46769, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2049, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46770, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1253, 13, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46771, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 508, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46772, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 0, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46773, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 97, 6, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46774, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 1085, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46775, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 103, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46776, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 60, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46777, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46778, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 883, 100, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46779, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2790, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46780, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 3, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46781, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2844, 89, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46782, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 2199, 55, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46783, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 369, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46784, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 205, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46785, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46786, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 1031, 26, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46787, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 174, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 620, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 303, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (46791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 2458, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 2049, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 1270, 26, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 151, 18, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 86, 38, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 51, 28, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 521, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 992, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 44, 25, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1416, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1334, 8, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1565, 15, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 128, 22, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 7700, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1486, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 86, 28, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1357, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 71, 29, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1139, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 79, 22, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 127, 35, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 204, 17, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 115, 13, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 221, 17, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 258, 15, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 196, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 74, 19, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 96, 22, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 7, 17, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 248, 14, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 217, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 37, 6, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 36, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 380, 27, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 192, 15, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 27, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 167, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 550, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 112, 16, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 328, 35, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 438, 55, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 121, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 151, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 141, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 275, 11, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 161, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1700, 35, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 32, 13, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 113, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 796, 32, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 187, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 50, 10, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 299, 31, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 101, 25, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 90, 6, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 103, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 175, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 100, 16, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 3799, 37, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 450, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 1292, 24, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 210, 20, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 83, 13, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 110, 23, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 462, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 491, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 15, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 1727, 24, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2155, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 1345, 8, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 18, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 210, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 125, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 164, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 318, 43, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 3, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 4, 8, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 8, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 25, 8, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 3, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1138, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 271, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 7, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 559, 45, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 304, 38, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 11, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 10025, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 7451, 13, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1935, 11, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2373, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 2045, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1401, 6, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1905, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1357, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2790, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 138, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 55, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46890, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 2049, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46891, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1339, 15, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46892, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 97, 6, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46893, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 3, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46894, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 2458, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46895, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 105, 83, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46896, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2790, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46897, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 508, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46898, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 312, 81, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46899, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 559, 45, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46900, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 60, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46901, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 101, 25, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46902, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46903, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 205, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46904, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 1031, 26, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46905, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 462, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46906, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 1085, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46907, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1138, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46908, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 2199, 55, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46909, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2844, 89, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46910, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1270, 26, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46911, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 103, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46912, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1357, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46913, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 303, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46914, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 883, 100, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46915, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 60, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46916, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 491, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46917, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 491, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46918, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1138, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46919, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 174, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46920, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 620, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46921, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 2049, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46922, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 559, 45, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46923, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 112, 16, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46924, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 103, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46925, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 15, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46926, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 2155, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46927, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 27, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46928, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 217, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46929, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 36, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46930, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 7, 17, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46931, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 2487, 10, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46932, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 450, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46933, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 248, 14, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46934, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 204, 6, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46935, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 29, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46936, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 7, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46937, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 271, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46938, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 55, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46939, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 1345, 8, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46940, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 1727, 24, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46941, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 164, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46942, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 125, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46943, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 175, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46944, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1357, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46945, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 303, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46946, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 3, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46947, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 138, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46948, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 83, 13, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46949, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 1292, 24, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46950, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 100, 16, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46951, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2790, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46952, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 210, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46953, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46954, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 18, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46955, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 113, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46956, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 8, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46957, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 50, 10, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46958, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 212, 14, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46959, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 162, 14, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46960, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 4286, 27, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46961, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 2458, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46962, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1401, 6, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46963, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1905, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46964, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 7451, 13, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46965, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1935, 11, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46966, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2373, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46967, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 2045, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46968, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 304, 38, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46969, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 318, 43, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46970, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 462, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46971, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1486, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46972, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 992, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46973, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1334, 8, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46974, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1565, 15, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46975, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 7700, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46976, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1357, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46977, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1139, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46978, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 101, 25, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46979, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 521, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46980, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1416, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46981, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 1270, 26, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46982, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 4, 8, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46983, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 3, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46984, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 3, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46985, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 25, 8, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46986, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 3, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46987, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 7, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46988, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 271, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46989, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1905, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46990, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1401, 6, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46991, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 2045, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46992, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2373, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46993, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1935, 11, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46994, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 96, 22, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46995, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 7451, 13, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46996, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 55, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46997, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 138, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46998, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 380, 27, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (46999, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 796, 32, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47000, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 1727, 24, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47001, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 1345, 8, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47002, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1486, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47003, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 125, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47004, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 164, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47005, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 992, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47006, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 18, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47007, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 210, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47008, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1334, 8, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47009, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47010, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 32, 13, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47011, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 8, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47012, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1700, 35, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47013, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 438, 55, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47014, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 328, 35, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47015, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 318, 43, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47016, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 304, 38, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47017, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 559, 45, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47018, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1138, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47019, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 187, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47020, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 299, 31, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47021, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 90, 6, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47022, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 2049, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47023, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 101, 25, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47024, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 113, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47025, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 1270, 26, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47026, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 50, 10, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47027, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 174, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47028, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 175, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47029, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 620, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47030, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 83, 13, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47031, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 258, 15, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47032, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 303, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47033, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 74, 19, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47034, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 100, 16, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47035, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 2458, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47036, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 196, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47037, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 1292, 24, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47038, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 204, 17, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47039, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1357, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47040, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 192, 15, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47041, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 7700, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47042, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 221, 17, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47043, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1565, 15, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47044, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 115, 13, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47045, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1416, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47046, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 521, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47047, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 37, 6, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47048, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1139, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47049, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 10025, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47050, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 11, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47051, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 3799, 37, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47052, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 110, 23, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47053, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 210, 20, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47054, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 450, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47055, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 103, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47056, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 248, 14, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47057, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 217, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47058, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 7, 17, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47059, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 36, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47060, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 27, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47061, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 112, 16, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47062, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 15, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47063, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 462, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47064, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 491, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47065, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2155, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47066, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2790, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47067, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1357, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47068, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 550, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47069, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 161, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47070, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 275, 11, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47071, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 167, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47072, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 71, 29, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47073, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 86, 28, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47074, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 121, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47075, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 128, 22, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47076, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 44, 25, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47077, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 141, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47078, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 51, 28, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47079, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 151, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47080, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 86, 38, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47081, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 151, 18, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47082, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 127, 35, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47083, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 79, 22, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47084, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1139, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47085, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 174, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47086, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1357, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47087, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 521, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47088, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1565, 15, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47089, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1416, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47090, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 620, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47091, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1357, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47092, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 7700, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47093, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 100, 16, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47094, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 1292, 24, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47095, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 83, 13, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47096, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 175, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47097, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 2458, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47098, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 1270, 26, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47099, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 7451, 13, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47100, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2373, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47101, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1935, 11, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47102, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1401, 6, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47103, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 2045, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47104, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1905, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47105, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47106, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 8, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47107, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 2049, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47108, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 2487, 10, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47109, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 112, 16, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47110, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 318, 43, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47111, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 18, 7, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47112, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 29, 9, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47113, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 304, 38, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47114, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 204, 6, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47115, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 450, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47116, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 559, 45, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47117, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 210, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47118, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 217, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47119, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 36, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47120, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 27, 12, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47121, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 7, 17, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47122, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 248, 14, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47123, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 3, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47124, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 103, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47125, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 138, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47126, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 55, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47127, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1138, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47128, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 7, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47129, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 271, 3, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47130, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 4286, 27, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47131, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 50, 10, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47132, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 125, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47133, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 164, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47134, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 113, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47135, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 212, 14, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47136, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 303, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47137, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 162, 14, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47138, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1334, 8, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47139, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 101, 25, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47140, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1486, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47141, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2790, 5, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47142, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 992, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47143, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 491, 2, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47144, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 1727, 24, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47145, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 1345, 8, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47146, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 462, 4, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47147, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 2155, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47148, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 15, 1, 2023, 7, 25, '2024-08-05 13:59:25', NULL, NULL), (47149, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 17699, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47150, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 46, 88, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47151, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '', 14201, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47152, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 803, 225, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47153, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 265, 8, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47154, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 291, 79, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47155, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 560, 50, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47156, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 308, 198, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47157, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 232, 550, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47158, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1702, 57, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47159, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 338, 133, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47160, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 62, 132, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47161, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 232, 550, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47162, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 848, 142, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47163, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1645, 59, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47164, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 338, 133, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47165, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 305, 200, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47166, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 46, 88, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47167, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 803, 225, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47168, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 61, 133, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47169, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 272, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47170, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 487, 14, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47171, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 46, 88, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47172, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 237, 37, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47173, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 111, 80, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47174, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 14196, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47175, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 390, 26, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47176, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47177, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 137, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47178, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1936, 18, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47179, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 74, 22, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47180, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 10, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47181, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 6163, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47182, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1176, 8, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47183, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 0, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47184, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 14201, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47185, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 83, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47186, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 17699, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47187, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47188, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 67, 105, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47189, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1592, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47190, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 7, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47191, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1743, 93, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47192, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 9, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47193, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 342, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47194, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 305, 57, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47195, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47196, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 3, 6, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47197, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 254, 22, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1344, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 14196, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 14, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 390, 26, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 137, 30, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 94, 10, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 611, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 55, 32, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 512, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 50, 34, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (47208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1650, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 839, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 145, 28, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1559, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 6, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 96, 19, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2438, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 3332, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 42, 34, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1507, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 129, 36, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 67, 34, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 44, 14, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 64, 17, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 141, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 121, 12, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 24, 21, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 42, 23, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 166, 17, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 45, 17, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 12, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 30, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 75, 17, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 66, 18, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 35, 14, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 24, 12, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 156, 37, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 113, 43, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 2415, 6, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 262, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 76, 16, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 420, 50, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 422, 68, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 12, 2, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 9, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 410, 14, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 408, 11, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 294, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 826, 49, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 44, 29, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 539, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 126, 31, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 129, 36, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 518, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 133, 34, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 74, 22, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 18, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D11', 14201, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 17699, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 53, 15, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 55, 18, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 323, 38, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 80, 24, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 19, 6, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 261, 41, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 342, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 212, 2, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 69, 20, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 332, 2, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 59, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 4, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 108, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 9, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 120, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 125, 40, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 3, 14, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 8, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 17, 8, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 2, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 18, 8, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 7, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 12, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 137, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 6, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 237, 37, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 98, 40, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 727, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1916, 15, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1178, 20, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 2315, 19, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2478, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1917, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1961, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 6163, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1860, 8, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1592, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 122, 2, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 4, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47297, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 14, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47298, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1936, 18, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47299, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 83, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47300, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 7, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47301, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 14196, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47302, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 46, 88, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47303, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1344, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47304, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1592, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47305, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 111, 80, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47306, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 272, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47307, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 237, 37, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47308, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 524, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47309, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 74, 22, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47310, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47311, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 254, 22, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47312, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 3, 6, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47313, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 342, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47314, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '', 14201, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47315, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 305, 57, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47316, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 137, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47317, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1743, 93, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47318, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 390, 26, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47319, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 9, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47320, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 6163, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47321, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 17699, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47322, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 67, 105, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47323, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47324, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 137, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47325, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1344, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47326, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 14, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47327, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 237, 37, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47328, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 76, 16, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47329, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 17699, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47330, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 24, 12, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47331, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 30, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47332, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 75, 17, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47333, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 295, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47334, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 45, 17, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47335, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 12, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47336, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 195, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47337, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 6, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47338, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 4, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47339, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 59, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47340, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 69, 20, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47341, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 120, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47342, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 108, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47343, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 212, 2, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47344, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 332, 2, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47345, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 53, 15, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47346, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 6163, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47347, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 7, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47348, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 122, 2, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47349, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 19, 6, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47350, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 9, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47351, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 80, 24, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47352, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 55, 18, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47353, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1592, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47354, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 4, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47355, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47356, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 539, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47357, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 2, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47358, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 8, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47359, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 518, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47360, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 279, 32, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47361, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 338, 25, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47362, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 14196, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47363, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '1D11', 14201, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47364, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 12, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47365, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1961, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47366, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1860, 8, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47367, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1178, 20, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47368, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 2315, 19, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47369, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2478, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47370, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1917, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47371, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 98, 40, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47372, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 125, 40, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47373, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 342, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47374, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2438, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47375, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1650, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47376, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1559, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47377, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 839, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47378, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 6, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47379, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 3332, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47380, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1507, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47381, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 74, 22, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47382, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 611, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47383, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 512, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47384, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 390, 26, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47385, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 17, 8, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47386, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 3, 14, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47387, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 12, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47388, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 18, 8, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47389, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 7, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47390, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 6, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47391, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1860, 8, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47392, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1961, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47393, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1917, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47394, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2478, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47395, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 113, 43, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47396, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 2315, 19, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47397, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 166, 17, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47398, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1178, 20, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47399, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 4, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47400, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 122, 2, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47401, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 156, 37, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47402, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 126, 31, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47403, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 69, 20, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47404, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 59, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47405, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2438, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47406, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 108, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47407, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 120, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47408, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1650, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47409, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 4, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47410, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1559, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47411, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47412, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 2, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47413, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 44, 29, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47414, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 8, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47415, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 826, 49, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47416, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 422, 68, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47417, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 420, 50, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47418, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 125, 40, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47419, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 98, 40, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47420, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 237, 37, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47421, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 137, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47422, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 129, 36, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47423, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 133, 34, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47424, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 18, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47425, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 14, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47426, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 74, 22, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47427, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 539, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47428, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 390, 26, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47429, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1344, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47430, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 518, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47431, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 53, 15, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47432, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 19, 6, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47433, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 121, 12, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47434, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 14196, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47435, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 55, 18, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47436, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 42, 23, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47437, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 24, 21, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47438, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 80, 24, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47439, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 44, 14, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47440, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 3332, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47441, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 6, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47442, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 35, 14, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47443, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 839, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47444, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 141, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47445, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 512, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47446, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 64, 17, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47447, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 611, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47448, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 66, 18, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47449, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1507, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47450, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1916, 15, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47451, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 727, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47452, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 323, 38, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47453, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 261, 41, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47454, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 17699, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47455, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 12, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47456, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 30, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47457, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 45, 17, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47458, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 75, 17, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47459, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 24, 12, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47460, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 9, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47461, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 76, 16, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47462, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 212, 2, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47463, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 342, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47464, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 332, 2, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47465, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1592, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47466, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 6163, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47467, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 262, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47468, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 294, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47469, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 408, 11, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47470, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 2415, 6, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47471, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 42, 34, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47472, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 96, 19, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47473, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 12, 2, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47474, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 145, 28, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47475, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 50, 34, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47476, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 410, 14, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47477, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 55, 32, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47478, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 9, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47479, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 94, 10, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47480, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 137, 30, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47481, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 67, 34, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47482, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '1D11', 14201, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47483, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 129, 36, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47484, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1507, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47485, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1344, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47486, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 6163, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47487, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 611, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47488, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 839, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47489, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 512, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47490, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 3332, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47491, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 6, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47492, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 8, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47493, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 55, 18, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47494, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 80, 24, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47495, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 19, 6, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47496, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 53, 15, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47497, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 14196, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47498, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 390, 26, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47499, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1178, 20, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47500, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2478, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47501, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 2315, 19, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47502, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1961, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47503, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1917, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47504, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1860, 8, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47505, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47506, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 2, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47507, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 14, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47508, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 12, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47509, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 295, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47510, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 76, 16, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47511, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 125, 40, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47512, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 195, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47513, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 98, 40, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47514, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 237, 37, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47515, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 4, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47516, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 30, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47517, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 75, 17, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47518, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 24, 12, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47519, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 45, 17, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47520, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 12, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47521, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 7, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47522, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 17699, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47523, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 122, 2, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47524, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 4, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47525, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 137, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47526, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 212, 2, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47527, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 332, 2, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47528, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 6, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47529, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 338, 25, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47530, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 518, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47531, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 108, 5, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47532, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 120, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47533, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 539, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47534, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 279, 32, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47535, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 74, 22, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47536, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1559, 4, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47537, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2438, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47538, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 9, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47539, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1592, 9, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47540, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1650, 7, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47541, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 69, 20, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47542, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 342, 3, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47543, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 59, 13, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47544, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '1D11', 14201, 1, 2023, 7, 26, '2024-08-05 13:59:26', NULL, NULL), (47545, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 141, 99, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47546, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 493, 6, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47547, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 200, 71, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47548, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 513, 57, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47549, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 179, 192, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47550, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 389, 54, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47551, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 206, 522, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47552, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 354, 123, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47553, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 110, 134, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47554, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1177, 253, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47555, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 205, 525, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47556, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 334, 139, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47557, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 375, 56, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47558, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 338, 129, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47559, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 178, 193, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47560, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 141, 99, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47561, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1177, 253, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47562, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 110, 134, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47563, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 55, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47564, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 315, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47565, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 158, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47566, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 601, 45, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47567, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 141, 99, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47568, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 189, 83, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47569, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 29, 4, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47570, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 295, 30, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47571, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47572, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1114, 6, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47573, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 851, 7, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47574, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 117, 22, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47575, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 472, 4, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47576, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 156, 11, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47577, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 383, 11, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47578, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 0, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47579, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47580, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 311, 10, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47581, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 4, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47582, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47583, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 5, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47584, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 21, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47585, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 75, 103, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47586, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1342, 14, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47587, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 1381, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47588, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2378, 103, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47589, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 1785, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47590, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 782, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47591, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 231, 48, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47592, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 56, 6, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47593, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 63, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47594, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 135, 23, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 501, 36, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 421, 10, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 214, 34, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 158, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 551, 28, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 117, 22, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 11, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 29, 22, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 54, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 110, 17, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 94, 19, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 178, 14, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 472, 4, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 48, 18, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 50, 22, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 119, 23, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 295, 30, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 263, 34, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 16, 38, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 9, 20, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 782, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 315, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 30, 24, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1796, 7, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1212, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 29, 35, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1557, 9, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2658, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 926, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 64, 28, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 29, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2683, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 657, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (47628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 73, 18, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 59, 22, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2575, 9, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 25, 44, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 5, 5, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 53, 4, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 23, 37, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 903, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 128, 5, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 28, 25, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 547, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 180, 40, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 168, 23, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 15, 6, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 182, 21, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 20, 16, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 162, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 94, 15, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 2, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 168, 5, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 62, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 1381, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 48, 18, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 29, 26, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 45, 23, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 159, 19, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1114, 6, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 44, 20, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 2, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 271, 13, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 186, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 601, 45, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 48, 13, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 44, 16, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 167, 12, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 98, 33, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 124, 13, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 198, 43, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 717, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 56, 20, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 3740, 15, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 55, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 2144, 15, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 212, 12, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1303, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 2823, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1203, 5, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 235, 18, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2288, 11, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 156, 11, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 557, 34, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1342, 14, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 614, 69, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 10, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 4, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 837, 18, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 641, 16, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 378, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 46, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 239, 5, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 594, 53, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 65, 17, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47691, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 472, 4, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47692, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 851, 7, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47693, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 311, 10, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47694, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 1381, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47695, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 39, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47696, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 141, 99, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47697, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1342, 14, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47698, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 421, 10, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47699, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 189, 83, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47700, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 55, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47701, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 601, 45, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47702, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 158, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47703, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 117, 22, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47704, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 21, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47705, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 56, 6, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47706, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 63, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47707, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 135, 23, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47708, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 782, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47709, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 4, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47710, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1114, 6, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47711, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 231, 48, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47712, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2378, 103, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47713, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 295, 30, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47714, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 1785, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47715, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 156, 11, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47716, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 75, 103, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47717, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 5, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47718, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 315, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47719, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 315, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47720, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1114, 6, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47721, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 421, 10, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47722, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 472, 4, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47723, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 601, 45, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47724, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 235, 18, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47725, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 4, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47726, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 124, 13, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47727, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 271, 13, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47728, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 44, 16, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47729, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 123, 6, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47730, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 159, 19, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47731, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 44, 20, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47732, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 100, 6, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47733, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 161, 11, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47734, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 186, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47735, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 2, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47736, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 46, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47737, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 73, 18, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47738, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 128, 5, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47739, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 53, 4, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47740, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 55, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47741, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 110, 17, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47742, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 156, 11, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47743, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 1381, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47744, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 378, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47745, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 50, 22, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47746, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 1785, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47747, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 48, 18, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47748, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 94, 19, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47749, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1342, 14, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47750, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 5, 5, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47751, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 2, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47752, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D27', 21, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47753, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 162, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47754, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47755, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 158, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47756, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 126, 17, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47757, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 312, 23, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47758, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 220, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47759, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 11, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47760, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 54, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47761, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1203, 5, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47762, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2288, 11, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47763, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 3740, 15, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47764, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 2144, 15, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47765, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1303, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47766, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 2823, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47767, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 198, 43, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47768, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 180, 40, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47769, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 782, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47770, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 657, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47771, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1212, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47772, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 926, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47773, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2658, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47774, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2683, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47775, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2575, 9, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47776, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 117, 22, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47777, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1796, 7, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47778, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1557, 9, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47779, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 295, 30, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47780, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 20, 16, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47781, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 15, 6, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47782, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 62, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47783, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 1381, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47784, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 186, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47785, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 2, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47786, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2288, 11, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47787, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1203, 5, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47788, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 2823, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47789, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1303, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47790, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 56, 20, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47791, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 2144, 15, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47792, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 45, 23, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47793, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 3740, 15, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47794, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 46, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47795, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 378, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47796, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 98, 33, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47797, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 501, 36, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47798, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 73, 18, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47799, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 657, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47800, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 53, 4, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47801, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 128, 5, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47802, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1212, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47803, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 5, 5, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47804, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 926, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47805, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 2, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47806, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 65, 17, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47807, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 162, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47808, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47809, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 594, 53, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47810, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 614, 69, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47811, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 180, 40, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47812, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 557, 34, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47813, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 198, 43, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47814, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 601, 45, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47815, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1114, 6, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47816, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 214, 34, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47817, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 551, 28, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47818, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 29, 22, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47819, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 472, 4, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47820, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 117, 22, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47821, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 295, 30, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47822, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 421, 10, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47823, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 158, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47824, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 110, 17, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47825, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 168, 5, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47826, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 50, 22, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47827, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 94, 15, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47828, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 11, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47829, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 94, 19, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47830, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 29, 26, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47831, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 54, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47832, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 48, 18, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47833, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 48, 18, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47834, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 547, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47835, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2575, 9, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47836, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 167, 12, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47837, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2683, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47838, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 182, 21, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47839, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2658, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47840, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 168, 23, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47841, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1557, 9, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47842, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1796, 7, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47843, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 48, 13, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47844, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 717, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47845, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 178, 14, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47846, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 263, 34, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47847, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 119, 23, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47848, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 44, 20, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47849, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 271, 13, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47850, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 159, 19, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47851, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 44, 16, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47852, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 124, 13, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47853, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 903, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47854, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 235, 18, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47855, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 782, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47856, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 315, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47857, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 29, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47858, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1342, 14, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47859, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 156, 11, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47860, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 212, 12, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47861, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 239, 5, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47862, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 641, 16, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47863, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 55, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47864, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 25, 44, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47865, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 59, 22, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47866, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 10, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47867, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 64, 28, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47868, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 29, 35, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47869, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 837, 18, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47870, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 30, 24, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47871, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 9, 20, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47872, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 4, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47873, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 16, 38, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47874, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 28, 25, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47875, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 23, 37, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47876, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 421, 10, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47877, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 156, 11, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47878, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1796, 7, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47879, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2658, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47880, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1557, 9, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47881, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2575, 9, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47882, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2683, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47883, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47884, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 94, 19, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47885, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 48, 18, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47886, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 50, 22, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47887, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 110, 17, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47888, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D27', 21, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47889, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 54, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47890, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 11, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47891, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 295, 30, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47892, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 3740, 15, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47893, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1303, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47894, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 2144, 15, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47895, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1203, 5, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47896, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 2823, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47897, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2288, 11, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47898, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 2, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47899, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 162, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47900, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 472, 4, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47901, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 235, 18, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47902, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 123, 6, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47903, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 180, 40, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47904, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 161, 11, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47905, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 198, 43, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47906, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 100, 6, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47907, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 601, 45, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47908, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 5, 5, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47909, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 271, 13, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47910, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 44, 16, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47911, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 124, 13, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47912, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 159, 19, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47913, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 44, 20, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47914, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 1381, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47915, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 378, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47916, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 46, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47917, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1114, 6, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47918, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 55, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47919, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 186, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47920, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 2, 2, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47921, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 220, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47922, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 158, 8, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47923, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 53, 4, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47924, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 128, 5, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47925, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 126, 17, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47926, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 312, 23, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47927, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 117, 22, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47928, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 926, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47929, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 657, 3, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47930, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 1785, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47931, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1342, 14, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47932, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1212, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47933, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 315, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47934, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 782, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47935, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 73, 18, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47936, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 1, 2023, 7, 27, '2024-08-05 13:59:27', NULL, NULL), (47937, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 168, 109, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47938, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 464, 10, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47939, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 126, 62, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47940, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 186, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47941, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 671, 63, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47942, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 275, 219, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47943, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 940, 54, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47944, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 228, 545, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47945, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 107, 102, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47946, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 352, 176, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47947, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 965, 234, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47948, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 227, 546, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47949, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 391, 141, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47950, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 922, 55, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47951, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 352, 176, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47952, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 272, 221, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47953, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 168, 109, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47954, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 965, 234, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47955, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 107, 102, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47956, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 111, 3, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47957, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 57, 7, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47958, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47959, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 168, 109, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47960, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 172, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47961, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 136, 84, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47962, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 3371, 1, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47963, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 846, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47964, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 982, 5, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47965, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1336, 9, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47966, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 140, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47967, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1359, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47968, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 245, 8, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47969, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 410, 11, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47970, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 186, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47971, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 1, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47972, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 17, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47973, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 386, 8, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47974, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 60, 101, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47975, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2827, 10, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47976, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 84, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47977, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1944, 105, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47978, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 3383, 1, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47979, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 132, 7, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47980, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 138, 35, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47981, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 3, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47982, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 41, 6, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47983, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 110, 27, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 98, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 451, 10, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 275, 43, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 267, 50, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 41, 5, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 186, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 367, 50, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 140, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 3371, 1, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 553, 20, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 60, 17, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 307, 11, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 87, 6, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1359, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 67, 25, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (47999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 77, 20, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 63, 20, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 846, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 93, 31, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 148, 27, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 132, 7, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 190, 35, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 167, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1865, 6, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 133, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1849, 3, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 137, 33, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1379, 8, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1569, 5, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1184, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 170, 28, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 3586, 3, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 61, 20, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 106, 20, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1028, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2329, 14, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 153, 46, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 115, 6, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 1200, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 29, 8, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 147, 66, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 45, 3, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3383, 1, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 125, 31, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 117, 43, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 57, 11, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 435, 26, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 73, 22, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 145, 11, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 118, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 91, 19, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 243, 12, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 225, 23, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 84, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 66, 27, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 110, 24, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 144, 21, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 982, 5, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 34, 16, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 49, 20, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 115, 14, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (48047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 172, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 116, 16, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 116, 42, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 156, 41, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 633, 11, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 228, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1940, 13, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1533, 10, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1579, 11, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 854, 1, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2359, 12, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1650, 9, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2112, 12, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 467, 22, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1666, 13, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 245, 8, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 456, 51, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2827, 10, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 431, 56, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 368, 9, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 335, 9, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 99, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 17, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 599, 28, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 258, 3, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 403, 56, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48073, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1359, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48074, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1336, 9, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48075, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 17, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48076, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 186, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48077, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 84, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48078, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 3371, 1, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48079, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 168, 109, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48080, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 451, 10, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48081, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2827, 10, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48082, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 136, 84, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48083, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 172, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48084, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 57, 7, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48085, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 140, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48086, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 41, 6, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48087, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 3, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48088, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 110, 27, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48089, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 132, 7, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48090, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 982, 5, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48091, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 138, 35, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48092, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1944, 105, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48093, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 846, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48094, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 3383, 1, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48095, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 245, 8, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48096, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 61, 99, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48097, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 386, 8, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48098, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 167, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48099, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 982, 5, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48100, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 167, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48101, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 451, 10, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48102, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1359, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48103, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 172, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48104, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 467, 22, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48105, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 116, 16, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48106, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 49, 20, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48107, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 115, 14, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48108, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 172, 3, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48109, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 144, 21, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48110, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 34, 16, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48111, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 107, 7, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48112, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 100, 17, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48113, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48114, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 61, 20, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48115, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 45, 3, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48116, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 29, 8, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48117, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 60, 17, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48118, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 245, 8, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48119, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 186, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48120, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 84, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48121, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 17, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48122, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 63, 20, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48123, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 3383, 1, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48124, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 67, 25, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48125, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 87, 6, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48126, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2827, 10, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48127, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 1200, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48128, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48129, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 115, 6, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48130, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 98, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48131, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 41, 5, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48132, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 118, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48133, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 61, 13, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48134, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 83, 14, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48135, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 358, 8, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48136, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 3371, 1, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48137, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2112, 12, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48138, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1666, 13, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48139, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1940, 13, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48140, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1533, 10, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48141, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2359, 12, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48142, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1650, 9, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48143, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 156, 41, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48144, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 117, 43, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48145, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 132, 7, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48146, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1028, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48147, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1849, 3, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48148, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1184, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48149, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1569, 5, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48150, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 3586, 3, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48151, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2329, 14, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48152, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 140, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48153, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1865, 6, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48154, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1379, 8, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48155, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 846, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48156, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 145, 11, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48157, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 435, 26, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48158, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 243, 12, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48159, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 84, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48160, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 186, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48161, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48162, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1666, 13, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48163, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2112, 12, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48164, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1650, 9, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48165, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2359, 12, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48166, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1533, 10, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48167, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 110, 24, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48168, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1940, 13, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48169, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 307, 11, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48170, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 17, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48171, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 116, 42, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48172, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 93, 31, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48173, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 77, 20, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48174, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 275, 43, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48175, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 61, 20, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48176, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1028, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48177, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 29, 8, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48178, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 45, 3, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48179, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1849, 3, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48180, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 115, 6, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48181, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 1200, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48182, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1184, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48183, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48184, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 403, 56, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48185, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 118, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48186, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 431, 56, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48187, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 456, 51, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48188, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 117, 43, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48189, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 156, 41, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48190, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 172, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48191, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 982, 5, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48192, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 267, 50, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48193, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 367, 50, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48194, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 553, 20, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48195, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1359, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48196, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 34, 16, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48197, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 140, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48198, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 49, 20, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48199, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 98, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48200, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 846, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48201, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 41, 5, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48202, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 451, 10, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48203, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 144, 21, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48204, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 115, 14, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48205, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 116, 16, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48206, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 60, 17, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48207, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 225, 23, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48208, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 63, 20, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48209, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 91, 19, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48210, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 3371, 1, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48211, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 87, 6, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48212, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 66, 27, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48213, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 67, 25, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48214, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2329, 14, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48215, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 3586, 3, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48216, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1569, 5, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48217, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 73, 22, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48218, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 57, 11, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48219, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1379, 8, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48220, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1865, 6, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48221, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3383, 1, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48222, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 467, 22, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48223, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 132, 7, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48224, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 167, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48225, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2827, 10, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48226, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 245, 8, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48227, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 854, 1, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48228, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 258, 3, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48229, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 228, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48230, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 599, 28, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48231, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1579, 11, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48232, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 153, 46, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48233, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 106, 20, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48234, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 368, 9, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48235, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 170, 28, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48236, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 137, 33, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48237, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 99, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48238, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 133, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48239, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 633, 11, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48240, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 335, 9, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48241, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 190, 35, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48242, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 148, 27, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48243, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 125, 31, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48244, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 147, 66, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48245, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 451, 10, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48246, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 245, 8, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48247, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1865, 6, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48248, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1569, 5, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48249, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1379, 8, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48250, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2329, 14, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48251, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 3586, 3, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48252, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 118, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48253, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 87, 6, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48254, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 67, 25, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48255, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 63, 20, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48256, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 60, 17, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48257, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 3371, 1, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48258, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 846, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48259, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1940, 13, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48260, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2359, 12, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48261, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1533, 10, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48262, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2112, 12, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48263, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1650, 9, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48264, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1666, 13, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48265, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48266, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1359, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48267, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 172, 3, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48268, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 467, 22, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48269, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 117, 43, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48270, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 115, 6, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48271, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 100, 17, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48272, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 156, 41, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48273, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 107, 7, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48274, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 172, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48275, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 1200, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48276, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 49, 20, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48277, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 115, 14, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48278, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 116, 16, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48279, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 144, 21, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48280, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 34, 16, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48281, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 84, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48282, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 17, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48283, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 982, 5, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48284, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 186, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48285, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48286, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 358, 8, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48287, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 41, 5, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48288, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 29, 8, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48289, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 45, 3, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48290, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 98, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48291, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 61, 13, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48292, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 83, 14, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48293, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1184, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48294, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 140, 30, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48295, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1028, 4, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48296, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 3383, 1, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48297, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2827, 10, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48298, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1849, 3, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48299, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 167, 2, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48300, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 132, 7, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48301, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 61, 20, 2023, 7, 28, '2024-08-05 13:59:28', NULL, NULL), (48302, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 32, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48303, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1530, 147, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48304, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 238, 28, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48305, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 411, 16, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48306, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1530, 147, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48307, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 16, 2, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48308, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 3, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48309, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 238, 28, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48310, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 299, 22, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48311, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 778, 8, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48312, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 0, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48313, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 32, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48314, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48315, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 40, 9, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48316, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 3, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48317, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 0, 3, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 47, 14, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 940, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 284, 14, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 7, 10, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1997, 3, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 74, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 38, 2, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 259, 24, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 90, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 267, 31, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 3016, 67, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 32, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 40, 9, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 351, 10, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1485, 4, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48333, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 40, 9, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48334, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 32, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48335, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 890, 7, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48336, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 38, 2, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48337, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 90, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48338, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1997, 3, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48339, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 74, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48340, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 40, 9, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48341, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 32, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48342, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 47, 14, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48343, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 90, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48344, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 38, 2, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48345, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 74, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48346, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1997, 3, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48347, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 3016, 67, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48348, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 40, 9, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48349, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 267, 31, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48350, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 32, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48351, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 259, 24, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48352, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1485, 4, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48353, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 940, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48354, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 284, 14, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48355, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 7, 10, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48356, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 351, 10, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48357, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 32, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48358, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1997, 3, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48359, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 38, 2, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48360, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 74, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48361, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 40, 9, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48362, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 90, 1, 2023, 7, 29, '2024-08-05 13:59:29', NULL, NULL), (48363, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 27, 2, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48364, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1014, 106, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48365, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 187, 21, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48366, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 114, 14, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48367, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 995, 108, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48368, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 27, 2, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48369, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 187, 21, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48370, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 106, 15, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48371, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 98, 7, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48372, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 27, 2, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48373, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 5358, 1, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48374, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48375, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 1, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48376, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 148, 5, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 54, 7, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A18', 3, 4, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1724, 8, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 156, 2, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 6, 7, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 583, 6, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 8, 10, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 12, 2, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 128, 4, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 9, 9, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1513, 28, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1310, 39, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 27, 2, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 7, 8, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 148, 5, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 5, 1, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48394, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 148, 5, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48395, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 27, 2, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48396, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 98, 7, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48397, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 5358, 1, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48398, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 1, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48399, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48400, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 12, 2, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48401, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 117, 3, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48402, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 156, 2, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48403, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 5358, 1, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48404, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 148, 5, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48405, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 27, 2, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48406, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 54, 7, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48407, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 12, 2, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48408, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 128, 4, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48409, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48410, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 156, 2, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48411, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1310, 39, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48412, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1513, 28, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48413, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 9, 9, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48414, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 148, 5, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48415, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 8, 10, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48416, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 27, 2, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48417, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 5, 1, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48418, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A18', 3, 4, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48419, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1724, 8, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48420, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 7, 8, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48421, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 6, 7, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48422, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 583, 6, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48423, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 27, 2, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48424, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 5358, 1, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48425, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 156, 2, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48426, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 148, 5, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48427, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 12, 2, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48428, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 117, 3, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48429, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2023, 7, 30, '2024-08-05 13:59:30', NULL, NULL), (48430, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 145, 109, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48431, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 749, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48432, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 341, 103, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48433, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 4, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48434, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 139, 212, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48435, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 494, 48, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48436, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 160, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48437, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 2795, 633, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48438, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 61, 154, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48439, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1219, 185, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48440, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 572, 194, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48441, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 2795, 633, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48442, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 400, 162, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48443, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 120, 4, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48444, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1219, 185, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48445, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 138, 213, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48446, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 145, 109, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48447, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 572, 194, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48448, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 61, 154, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48449, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 531, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48450, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 307, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48451, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 8376, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48452, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 123, 10, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (48453, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 156, 35, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48454, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 145, 109, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48455, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 140, 78, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48456, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 4, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48457, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 92, 5, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48458, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 449, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48459, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 0, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48460, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 151, 28, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48461, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 27, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48462, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 3, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48463, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 263, 10, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48464, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 4, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48465, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 130, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48466, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 684, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48467, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 5, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48468, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 2488, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48469, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 139, 104, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48470, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 340, 9, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48471, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 7, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48472, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 106, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48473, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1321, 71, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48474, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 157, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48475, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 343, 76, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48476, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48477, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 4, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48478, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 335, 27, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 118, 4, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1211, 52, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 127, 6, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1323, 84, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1775, 24, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 151, 28, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 4, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 23, 11, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 449, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 224, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 134, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 304, 50, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 27, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 214, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 142, 24, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 190, 22, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 4, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 386, 50, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 2488, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 4979, 38, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 157, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 3416, 33, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 461, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 914, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1457, 4, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 2758, 40, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 356, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 970, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 144, 23, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 4286, 54, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 330, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1362, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 72, 20, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 4191, 54, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 932, 7, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 4035, 55, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 5, 4, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 7, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 226, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 3468, 56, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 64, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 39, 18, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 139, 41, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 28, 22, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 147, 12, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 54, 16, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 40, 11, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 97, 4, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 12, 11, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 156, 13, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 52, 9, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 80, 21, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 106, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 73, 30, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 3293, 30, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 85, 23, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 92, 5, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 273, 18, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 92, 24, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 10, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 156, 35, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 48, 16, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 76, 12, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 81, 22, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 190, 19, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 142, 37, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 484, 7, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 3536, 42, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 724, 7, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1501, 7, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 253, 4, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1507, 11, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 385, 15, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1363, 7, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1663, 9, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1427, 5, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1484, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 263, 10, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 138, 22, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 7, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1439, 58, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 383, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1211, 60, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 443, 7, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 695, 19, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 130, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 200, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1204, 56, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 297, 35, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48570, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 27, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48571, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 130, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48572, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 4, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48573, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 106, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48574, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 145, 109, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48575, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 383, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48576, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 140, 78, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48577, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 531, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48578, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 156, 35, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48579, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 123, 10, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48580, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 151, 28, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48581, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 2488, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48582, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48583, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 4, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48584, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 335, 27, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48585, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 157, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48586, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 3, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48587, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 684, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48588, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 7, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48589, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 92, 5, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48590, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 343, 76, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48591, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1321, 71, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48592, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 4, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48593, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 263, 10, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48594, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 449, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48595, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 139, 104, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48596, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 8376, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48597, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 5, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48598, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 461, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48599, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 461, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48600, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 92, 5, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48601, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 27, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48602, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 156, 35, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48603, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 138, 22, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48604, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 7, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48605, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 1362, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48606, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 190, 19, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48607, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 92, 24, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48608, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 10, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48609, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 332, 16, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48610, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 85, 23, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48611, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 214, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48612, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 273, 18, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48613, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 386, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48614, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 4, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48615, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 8376, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48616, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 72, 20, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48617, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 144, 23, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48618, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 64, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48619, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 226, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48620, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 531, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48621, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 224, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48622, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 263, 10, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48623, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 4, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48624, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 449, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48625, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 106, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48626, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 130, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48627, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 190, 22, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48628, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 142, 24, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48629, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 134, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48630, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 383, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48631, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 7, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48632, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D26', 2488, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48633, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48634, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 7, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48635, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 5, 4, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48636, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E29', 3, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48637, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 118, 4, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48638, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 127, 6, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48639, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 386, 42, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48640, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 291, 34, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48641, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1427, 5, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48642, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1484, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48643, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1501, 7, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48644, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1507, 11, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48645, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1363, 7, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48646, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1663, 9, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48647, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 142, 37, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48648, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 139, 41, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48649, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 157, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48650, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 970, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48651, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 330, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48652, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 932, 7, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48653, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 151, 28, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48654, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 914, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48655, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1457, 4, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48656, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 4, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48657, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 54, 16, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48658, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 97, 4, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48659, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 147, 12, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48660, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 52, 9, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48661, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 106, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48662, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 4, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48663, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48664, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1484, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48665, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1427, 5, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48666, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1663, 9, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48667, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1363, 7, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48668, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 3536, 42, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48669, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1507, 11, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48670, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 3293, 30, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48671, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1501, 7, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48672, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 304, 50, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48673, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 130, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48674, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 81, 22, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48675, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 386, 50, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48676, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 214, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48677, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1211, 52, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48678, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 144, 23, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48679, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 72, 20, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48680, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 226, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48681, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 64, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48682, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 5, 4, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48683, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 7, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48684, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48685, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 297, 35, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48686, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1204, 56, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48687, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1211, 60, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48688, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1439, 58, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48689, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 139, 41, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48690, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 142, 37, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48691, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 156, 35, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48692, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 92, 5, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48693, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1323, 84, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48694, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1775, 24, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48695, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 23, 11, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48696, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 27, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48697, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 151, 28, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48698, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 273, 18, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48699, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 92, 24, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48700, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 4, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48701, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 118, 4, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48702, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 127, 6, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48703, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 85, 23, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48704, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 10, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48705, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 190, 19, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48706, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 224, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48707, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 156, 13, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48708, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 190, 22, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48709, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 12, 11, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48710, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 73, 30, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48711, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 134, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48712, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 449, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48713, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 80, 21, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48714, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 142, 24, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48715, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 932, 7, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48716, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 39, 18, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48717, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 330, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48718, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 76, 12, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48719, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 970, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48720, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 40, 11, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48721, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1457, 4, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48722, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 28, 22, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48723, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 914, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48724, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 48, 16, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48725, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 2488, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48726, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 138, 22, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48727, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 356, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48728, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 157, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48729, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 461, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48730, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1362, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48731, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 7, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48732, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 383, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48733, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 263, 10, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48734, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 385, 15, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48735, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 200, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48736, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 724, 7, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48737, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 695, 19, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48738, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 253, 4, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48739, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 4035, 55, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48740, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 4191, 54, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48741, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 443, 7, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48742, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 4286, 54, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48743, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 2758, 40, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48744, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 484, 7, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48745, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 3416, 33, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48746, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 4979, 38, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48747, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 3468, 56, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48748, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 263, 10, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48749, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 914, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48750, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 970, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48751, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1457, 4, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48752, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 932, 7, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48753, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 330, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48754, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 134, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48755, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 142, 24, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48756, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 190, 22, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48757, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 224, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48758, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D26', 2488, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48759, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 4, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48760, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1501, 7, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48761, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1363, 7, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48762, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1507, 11, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48763, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1427, 5, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48764, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1663, 9, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48765, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1484, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48766, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48767, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 27, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48768, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 332, 16, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48769, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 138, 22, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48770, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 139, 41, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48771, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 5, 4, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48772, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 386, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48773, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 142, 37, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48774, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 156, 35, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48775, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 214, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48776, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 7, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48777, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 92, 24, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48778, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 8376, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48779, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 10, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48780, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 190, 19, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48781, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 85, 23, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48782, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 273, 18, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48783, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 106, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48784, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 130, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48785, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 92, 5, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48786, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 531, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48787, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 4, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48788, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 4, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48789, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 7, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48790, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 291, 34, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48791, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 127, 6, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48792, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 226, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48793, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 64, 3, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48794, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 449, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48795, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 118, 4, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48796, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 386, 42, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48797, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 151, 28, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48798, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 383, 8, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48799, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 461, 2, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48800, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 144, 23, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48801, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 157, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48802, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 72, 20, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48803, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 1362, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48804, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 7, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48805, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 7, 31, '2024-08-05 13:59:31', NULL, NULL), (48806, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 59, 109, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48807, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 2798, 9, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48808, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 162, 72, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48809, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 277, 223, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48810, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1377, 57, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48811, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 2006, 133, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48812, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 433, 476, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48813, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 438, 113, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48814, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 131, 131, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48815, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1156, 247, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48816, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 432, 477, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48817, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 806, 143, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48818, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 2006, 133, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48819, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 438, 113, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48820, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 273, 226, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48821, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 59, 109, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48822, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1156, 247, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48823, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 131, 131, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48824, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 779, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48825, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 1913, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48826, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 477, 11, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48827, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 483, 29, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48828, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 59, 109, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48829, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 511, 107, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48830, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 523, 11, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48831, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 2862, 80, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48832, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 94, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48833, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 888, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48834, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 664, 18, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48835, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 200, 26, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48836, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 334, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48837, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 362, 10, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48838, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1053, 16, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48839, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 3266, 13, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48840, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 119, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48841, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 60, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48842, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 3, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48843, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 6, 9, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48844, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 196, 108, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48845, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 937, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48846, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 8735, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48847, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1976, 88, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48848, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 7340, 3, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48849, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 162, 50, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48850, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 10, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48851, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 2, 6, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48852, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 162, 22, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 144, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1475, 11, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 314, 39, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 510, 10, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 722, 36, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 123, 5, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 285, 19, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 200, 26, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 351, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 304, 17, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 572, 11, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 196, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 232, 15, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 126, 21, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 206, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 334, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 368, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 146, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (48871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 2862, 80, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 160, 47, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 154, 29, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 7340, 3, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 134, 32, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 1913, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1459, 6, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 4674, 2, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1016, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 173, 18, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 204, 2, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1663, 6, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 445, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 195, 21, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 137, 17, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2270, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 437, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 201, 20, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 128, 38, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 282, 3, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1825, 11, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 125, 58, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1248, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 5, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 8, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 155, 32, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 240, 8, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 3320, 11, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 171, 28, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 609, 49, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 96, 18, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 94, 19, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 122, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 66, 12, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 225, 6, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 111, 12, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 429, 2, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 2, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 90, 8, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 4397, 2, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 33, 9, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 26, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 198, 28, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 54, 23, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 94, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 59, 13, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 10, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 58, 21, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 88, 8, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 483, 29, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 180, 16, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 187, 17, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 48, 21, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 81, 24, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 428, 58, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 629, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 135, 26, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 4, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 207, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 684, 5, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 818, 12, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1226, 12, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2862, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 362, 10, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 63, 23, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1242, 41, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 937, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 962, 68, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 2097, 8, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 2593, 12, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1622, 35, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 25, 2, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 11341, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1037, 45, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 34, 20, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48948, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 334, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48949, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 664, 18, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48950, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 3266, 13, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48951, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 8735, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48952, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 523, 11, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48953, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 59, 109, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48954, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 937, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48955, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1053, 16, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48956, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 60, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48957, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 511, 107, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48958, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 779, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48959, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 483, 29, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48960, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 477, 11, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48961, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 200, 26, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48962, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 2, 6, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48963, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 10, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48964, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 162, 22, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48965, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 7340, 3, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48966, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 119, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48967, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 94, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48968, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 162, 50, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48969, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1976, 88, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48970, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 2862, 80, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48971, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 362, 10, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48972, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 888, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48973, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 200, 106, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48974, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 6, 9, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48975, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 1913, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48976, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 1913, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48977, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 94, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48978, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1475, 11, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48979, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 123, 5, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48980, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 334, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48981, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 483, 29, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48982, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 63, 23, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48983, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 60, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48984, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 204, 2, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48985, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 34, 2, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48986, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 48, 21, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48987, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 58, 21, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48988, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 88, 8, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48989, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 54, 23, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48990, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 198, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48991, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 59, 13, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48992, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 368, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48993, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 93, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48994, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 10, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48995, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 11341, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48996, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 201, 20, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48997, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 195, 21, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48998, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 240, 8, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (48999, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 779, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49000, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 196, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49001, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 362, 10, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49002, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 888, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49003, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 8735, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49004, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 2593, 12, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49005, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 146, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49006, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 206, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49007, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 232, 15, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49008, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 937, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49009, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 8, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49010, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 2, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49011, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 5, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49012, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 3320, 11, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49013, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 144, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49014, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49015, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49016, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 510, 10, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49017, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 189, 33, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49018, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 109, 17, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49019, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 351, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49020, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 541, 10, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49021, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2862, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49022, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 818, 12, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49023, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1226, 12, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49024, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 428, 58, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49025, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 609, 49, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49026, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 7340, 3, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49027, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 437, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49028, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1016, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49029, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 445, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49030, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1663, 6, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49031, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2270, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49032, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1825, 11, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49033, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1248, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49034, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 200, 26, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49035, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1459, 6, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49036, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 4674, 2, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49037, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 2862, 80, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49038, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 66, 12, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49039, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 225, 6, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49040, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 96, 18, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49041, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 90, 8, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49042, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 4397, 2, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49043, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 10, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49044, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2862, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49045, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1226, 12, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49046, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 818, 12, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49047, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 135, 26, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49048, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 198, 28, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49049, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 11341, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49050, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 2593, 12, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49051, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 126, 21, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49052, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 81, 24, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49053, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 160, 47, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49054, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 368, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49055, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 314, 39, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49056, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 195, 21, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49057, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 201, 20, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49058, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 437, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49059, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 240, 8, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49060, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 5, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49061, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1016, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49062, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 8, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49063, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 445, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49064, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 2, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49065, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49066, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 34, 20, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49067, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49068, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1037, 45, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49069, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 962, 68, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49070, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1242, 41, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49071, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 609, 49, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49072, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 428, 58, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49073, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 483, 29, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49074, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 94, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49075, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 722, 36, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49076, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 285, 19, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49077, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 304, 17, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49078, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 59, 13, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49079, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 334, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49080, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 200, 26, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49081, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 58, 21, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49082, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 144, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49083, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 2862, 80, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49084, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1475, 11, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49085, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 510, 10, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49086, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 54, 23, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49087, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 88, 8, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49088, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 48, 21, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49089, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 196, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49090, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 429, 2, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49091, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 123, 5, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49092, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 146, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49093, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 111, 12, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49094, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 351, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49095, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 232, 15, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49096, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 26, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49097, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 33, 9, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49098, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 206, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49099, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 572, 11, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49100, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 171, 28, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49101, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1825, 11, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49102, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2270, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49103, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 187, 17, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49104, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 122, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49105, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1663, 6, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49106, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 4674, 2, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49107, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 94, 19, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49108, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1459, 6, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49109, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 180, 16, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49110, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 63, 23, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49111, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 204, 2, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49112, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 7340, 3, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49113, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 1913, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49114, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 282, 3, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49115, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 937, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49116, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 362, 10, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49117, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 3320, 11, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49118, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1248, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49119, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 684, 5, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49120, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 4, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49121, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 25, 2, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49122, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1622, 35, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49123, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 207, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49124, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 125, 58, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49125, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 128, 38, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49126, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 2097, 8, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49127, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 137, 17, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49128, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 173, 18, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49129, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 629, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49130, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 134, 32, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49131, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 154, 29, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49132, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 155, 32, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49133, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 3320, 11, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49134, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1248, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49135, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1475, 11, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49136, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 362, 10, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49137, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1459, 6, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49138, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1663, 6, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49139, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 4674, 2, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49140, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 123, 5, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49141, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1825, 11, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49142, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2270, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49143, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49144, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 232, 15, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49145, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 206, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49146, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 146, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49147, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 196, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49148, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 60, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49149, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 541, 10, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49150, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 351, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49151, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 2862, 80, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49152, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 818, 12, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49153, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2862, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49154, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1226, 12, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49155, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 2, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49156, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49157, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 334, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49158, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 198, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49159, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 63, 23, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49160, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 609, 49, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49161, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 5, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49162, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 93, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49163, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 428, 58, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49164, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 483, 29, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49165, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 368, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49166, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 8, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49167, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 58, 21, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49168, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 88, 8, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49169, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 48, 21, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49170, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 54, 23, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49171, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 59, 13, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49172, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 8735, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49173, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 2593, 12, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49174, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 11341, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49175, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 94, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49176, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 779, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49177, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 10, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49178, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 109, 17, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49179, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 510, 10, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49180, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 240, 8, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49181, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 888, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49182, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 144, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49183, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 189, 33, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49184, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 445, 4, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49185, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 200, 26, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49186, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 437, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49187, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 937, 14, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49188, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1016, 7, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49189, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 1913, 1, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49190, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 195, 21, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49191, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 7340, 3, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49192, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 201, 20, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49193, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 34, 2, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49194, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 204, 2, 2023, 8, 1, '2024-08-05 13:59:32', NULL, NULL), (49195, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 91, 127, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49196, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 510, 15, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49197, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 438, 103, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49198, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 381, 284, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49199, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 693, 49, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49200, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 742, 95, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49201, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 510, 442, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49202, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 283, 89, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49203, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 21, 100, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49204, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 721, 213, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49205, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 507, 444, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49206, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 510, 170, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49207, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 742, 95, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49208, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 283, 89, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49209, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 381, 284, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49210, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 91, 127, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49211, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 721, 213, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49212, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 21, 100, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49213, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1280, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49214, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 50, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49215, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 823, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49216, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 233, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49217, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 52, 14, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49218, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 91, 127, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49219, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 240, 33, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49220, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 695, 78, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49221, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 550, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49222, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 856, 55, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49223, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 671, 3, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49224, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1062, 16, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49225, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 173, 26, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49226, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 94, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49227, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 258, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49228, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 67, 9, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49229, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 0, 2, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49230, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 5, 5, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49231, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49232, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 9, 13, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49233, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 117, 164, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49234, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 8043, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49235, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 983, 91, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49236, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 1449, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49237, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 79, 3, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49238, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 462, 67, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49239, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 3, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49240, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 12, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49241, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 393, 36, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 404, 29, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 24, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 67, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 46, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 102, 5, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 259, 46, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 173, 26, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 111, 8, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 550, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1280, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 130, 28, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 114, 20, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 425, 51, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 94, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 72, 27, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 594, 5, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 166, 20, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 856, 55, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 435, 47, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 209, 25, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 79, 3, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 393, 21, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 823, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 567, 8, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 799, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1396, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 271, 27, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 50, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 371, 17, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1426, 9, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 859, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 122, 26, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 98, 17, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 863, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 402, 28, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1077, 12, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1024, 8, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 299, 43, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 797, 12, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 8, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 10, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 127, 8, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 369, 45, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 1449, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 117, 18, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1508, 9, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 55, 12, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 697, 37, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 37, 16, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 7, 17, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (49293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 35, 11, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 48, 2, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 37, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 7, 3, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 44, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 12, 12, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 14, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 3, 15, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 605, 17, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 85, 30, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 671, 3, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 94, 32, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 9, 2, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 86, 28, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 81, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 29, 14, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 240, 33, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 15, 2, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 17, 8, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 77, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 53, 18, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 694, 41, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 54, 2, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 519, 29, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 147, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 174, 9, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 362, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 952, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 847, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 782, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 530, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 258, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 114, 20, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 910, 79, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 8043, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 837, 70, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 331, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 5, 5, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1011, 26, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1607, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 23, 15, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 33, 23, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49337, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 94, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49338, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1062, 16, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49339, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 5, 5, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49340, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 91, 127, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49341, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 550, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49342, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 8043, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49343, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 67, 9, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49344, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 695, 78, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49345, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 50, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49346, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 240, 33, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49347, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 52, 14, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49348, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 173, 26, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49349, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 3, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49350, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 12, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49351, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 393, 36, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49352, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 79, 3, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49353, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 671, 3, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49354, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 462, 67, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49355, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 983, 91, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49356, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1280, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49357, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 856, 55, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49358, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 1449, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49359, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 258, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49360, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 117, 164, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49361, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 233, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49362, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 9, 13, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49363, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 823, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49364, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 671, 3, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49365, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 823, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49366, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 24, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49367, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 102, 5, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49368, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 94, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49369, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 240, 33, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49370, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 114, 20, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49371, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 77, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49372, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 86, 28, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49373, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 81, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49374, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 85, 30, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49375, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 379, 15, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49376, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 94, 32, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49377, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 594, 5, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49378, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 343, 16, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49379, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 15, 2, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49380, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 9, 2, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49381, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 233, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49382, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1280, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49383, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 98, 17, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49384, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 122, 26, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49385, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 117, 18, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49386, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 127, 8, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49387, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 50, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49388, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 130, 28, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49389, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 258, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49390, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 5, 5, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49391, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 166, 20, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49392, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 1449, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49393, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 72, 27, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49394, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 114, 20, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49395, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 8043, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49396, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 10, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49397, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49398, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 8, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49399, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1508, 9, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49400, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49401, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 67, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49402, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49403, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 46, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49404, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 482, 31, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49405, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 445, 36, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49406, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 550, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49407, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 782, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49408, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 530, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49409, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 952, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49410, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 847, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49411, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 694, 41, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49412, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 697, 37, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49413, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 79, 3, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49414, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 863, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49415, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1396, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49416, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 859, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49417, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1426, 9, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49418, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1077, 12, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49419, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1024, 8, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49420, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 173, 26, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49421, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 797, 12, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49422, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 567, 8, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49423, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 799, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49424, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 856, 55, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49425, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 35, 11, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49426, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 37, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49427, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 37, 16, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49428, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 12, 12, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49429, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 15, 2, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49430, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 9, 2, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49431, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 530, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49432, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 782, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49433, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 847, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49434, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 952, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49435, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 519, 29, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49436, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 605, 17, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49437, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 5, 5, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49438, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 425, 51, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49439, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 53, 18, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49440, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 435, 47, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49441, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 594, 5, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49442, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 404, 29, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49443, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 122, 26, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49444, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 98, 17, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49445, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 863, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49446, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 127, 8, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49447, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 117, 18, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49448, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 8, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49449, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1396, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49450, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 10, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49451, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 859, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49452, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49453, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 33, 23, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49454, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49455, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49456, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 837, 70, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49457, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 910, 79, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49458, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 697, 37, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49459, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 694, 41, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49460, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 240, 33, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49461, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 671, 3, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49462, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 259, 46, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49463, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 111, 8, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49464, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 94, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49465, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 173, 26, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49466, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 94, 32, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49467, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 86, 28, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49468, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 67, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49469, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 856, 55, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49470, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 46, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49471, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 85, 30, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49472, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 24, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49473, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 81, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49474, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 77, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49475, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1280, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49476, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 130, 28, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49477, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 44, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49478, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 102, 5, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49479, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 166, 20, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49480, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 7, 3, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49481, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 114, 20, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49482, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 3, 15, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49483, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 72, 27, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49484, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 14, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49485, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 550, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49486, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1024, 8, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49487, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 55, 12, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49488, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 17, 8, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49489, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1077, 12, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49490, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1426, 9, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49491, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 48, 2, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49492, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 799, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49493, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 7, 17, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49494, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 567, 8, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49495, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 29, 14, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49496, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 1449, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49497, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 114, 20, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49498, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 50, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49499, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 79, 3, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49500, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 823, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49501, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 8043, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49502, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 258, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49503, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 23, 15, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49504, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1508, 9, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49505, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 797, 12, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49506, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 362, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49507, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1607, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49508, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 147, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49509, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1011, 26, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49510, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 299, 43, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49511, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 174, 9, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49512, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 402, 28, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49513, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 371, 17, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49514, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 331, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49515, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 271, 27, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49516, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 54, 2, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49517, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 393, 21, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49518, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 209, 25, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49519, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 369, 45, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49520, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1508, 9, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49521, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 797, 12, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49522, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 24, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49523, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 567, 8, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49524, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 258, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49525, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1426, 9, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49526, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 799, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49527, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 102, 5, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49528, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1024, 8, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49529, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1077, 12, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49530, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49531, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49532, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 114, 20, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49533, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 72, 27, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49534, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 166, 20, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49535, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 130, 28, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49536, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 550, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49537, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 856, 55, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49538, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 952, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49539, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 782, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49540, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 847, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49541, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 530, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49542, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49543, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 94, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49544, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 114, 20, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49545, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 379, 15, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49546, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 697, 37, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49547, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 8, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49548, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 343, 16, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49549, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 694, 41, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49550, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 240, 33, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49551, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 594, 5, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49552, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 10, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49553, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 86, 28, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49554, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 233, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49555, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 81, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49556, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 77, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49557, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 85, 30, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49558, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 94, 32, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49559, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 5, 5, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49560, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 671, 3, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49561, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 50, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49562, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1280, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49563, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 15, 2, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49564, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 9, 2, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49565, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 445, 36, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49566, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 46, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49567, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 127, 8, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49568, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 117, 18, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49569, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 67, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49570, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 482, 31, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49571, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 173, 26, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49572, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 859, 4, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49573, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 863, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49574, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 1449, 1, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49575, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 8043, 10, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49576, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1396, 6, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49577, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 823, 7, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49578, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 122, 26, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49579, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 79, 3, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49580, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 98, 17, 2023, 8, 2, '2024-08-05 13:59:33', NULL, NULL), (49581, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 191, 122, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49582, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 2112, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49583, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 118, 71, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49584, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 2740, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49585, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 760, 65, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49586, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 317, 218, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49587, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 642, 80, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49588, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 684, 471, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49589, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 165, 131, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49590, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 500, 109, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49591, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1342, 235, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49592, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 684, 471, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49593, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 545, 151, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49594, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 634, 81, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49595, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 500, 109, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49596, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 317, 218, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49597, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1342, 235, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49598, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 191, 122, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49599, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 165, 131, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49600, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 968, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49601, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 398, 6, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49602, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 399, 14, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49603, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 1334, 51, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49604, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 191, 122, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49605, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 269, 89, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49606, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 535, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49607, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 342, 33, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49608, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49609, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 53, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49610, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1561, 19, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49611, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 287, 19, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49612, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 436, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49613, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 69, 5, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49614, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 107, 11, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49615, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 2740, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49616, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 178, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49617, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 16, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49618, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 370, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49619, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 197, 134, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49620, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 3250, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49621, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 5, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49622, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2621, 85, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49623, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 3124, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49624, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 13124, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49625, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 120, 47, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49626, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 4, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49627, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49628, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 114, 24, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49629, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 212, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 47, 7, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 231, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 622, 7, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 968, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 436, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 352, 32, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 663, 37, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 481, 45, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 481, 6, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2455, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 546, 10, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 542, 28, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 3996, 20, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 811, 6, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 551, 25, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1029, 5, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 347, 19, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 71, 20, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1663, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1084, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 579, 41, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 265, 25, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 152, 20, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 95, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 25, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 349, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 59, 21, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 66, 22, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 495, 39, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 219, 15, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 309, 25, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 159, 25, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 25, 10, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 214, 15, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 478, 11, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 123, 24, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 174, 18, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 572, 36, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 443, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 857, 17, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 83, 24, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1256, 67, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1226, 71, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 627, 7, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 529, 30, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 5306, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 70, 19, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 473, 6, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 456, 43, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 344, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 462, 38, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1203, 10, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 2740, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 287, 19, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 357, 11, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 171, 16, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 133, 17, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 152, 24, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 249, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 181, 27, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 81, 14, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 278, 28, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 104, 32, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 370, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 13124, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 362, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 127, 22, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 469, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 271, 19, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 52, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 117, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3124, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 182, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 264, 47, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 77, 10, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 38, 5, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 12, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 171, 5, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 22, 10, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 5, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 53, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 4, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 1334, 51, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 274, 42, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (49717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 3, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 227, 6, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 3107, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1876, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1045, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 6359, 12, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 69, 5, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 3250, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 178, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49726, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 436, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49727, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1561, 19, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49728, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 178, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49729, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 2740, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49730, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 5, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49731, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 535, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49732, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 191, 122, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49733, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 3250, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49734, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 107, 11, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49735, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 269, 89, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49736, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 398, 6, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49737, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 1334, 51, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49738, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 399, 14, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49739, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 287, 19, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49740, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 370, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49741, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49742, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 4, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49743, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 114, 24, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49744, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 13124, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49745, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 53, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49746, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 120, 47, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49747, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2621, 85, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49748, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 968, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49749, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 352, 32, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49750, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 3124, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49751, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 69, 5, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49752, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 197, 134, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49753, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 16, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49754, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 53, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49755, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 212, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49756, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 47, 7, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49757, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 436, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49758, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 1334, 51, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49759, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 83, 24, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49760, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 174, 18, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49761, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 159, 25, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49762, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 214, 15, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49763, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 147, 6, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49764, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 219, 15, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49765, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 249, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49766, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 309, 25, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49767, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 60, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49768, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 106, 13, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49769, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 4, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49770, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 968, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49771, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 271, 19, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49772, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 127, 22, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49773, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 182, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49774, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 117, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49775, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 362, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49776, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 469, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49777, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 171, 16, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49778, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 69, 5, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49779, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 2740, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49780, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 5, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49781, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 178, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49782, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 278, 28, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49783, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 3124, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49784, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 181, 27, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49785, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 133, 17, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49786, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 3250, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49787, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D26', 370, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49788, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 52, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49789, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49790, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49791, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 473, 6, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49792, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 344, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49793, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 12, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49794, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 89, 10, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49795, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 103, 19, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49796, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 154, 18, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49797, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 231, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49798, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 622, 7, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49799, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1045, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49800, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 6359, 12, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49801, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 3107, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49802, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1876, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49803, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 274, 42, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49804, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 264, 47, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49805, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 13124, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49806, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1029, 5, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49807, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2455, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49808, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 811, 6, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49809, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 3996, 20, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49810, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1663, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49811, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1084, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49812, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 287, 19, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49813, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 481, 6, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49814, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 546, 10, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49815, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 352, 32, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49816, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 38, 5, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49817, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 171, 5, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49818, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 77, 10, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49819, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 22, 10, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49820, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 5, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49821, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 4, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49822, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 6359, 12, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49823, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1045, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49824, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1876, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49825, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 3107, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49826, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 572, 36, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49827, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 495, 39, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49828, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 178, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49829, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 123, 24, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49830, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 456, 43, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49831, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 127, 22, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49832, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 271, 19, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49833, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1029, 5, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49834, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 117, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49835, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 182, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49836, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2455, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49837, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49838, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 811, 6, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49839, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 52, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49840, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49841, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 70, 19, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49842, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 12, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49843, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1226, 71, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49844, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 264, 47, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49845, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1256, 67, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49846, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 274, 42, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49847, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 1334, 51, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49848, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 53, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49849, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 462, 38, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49850, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1203, 10, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49851, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 357, 11, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49852, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 436, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49853, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 287, 19, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49854, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 473, 6, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49855, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 352, 32, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49856, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 344, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49857, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 212, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49858, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 968, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49859, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 171, 16, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49860, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 349, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49861, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 278, 28, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49862, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 47, 7, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49863, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 25, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49864, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 66, 22, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49865, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 231, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49866, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 133, 17, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49867, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 622, 7, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49868, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 59, 21, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49869, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 181, 27, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49870, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1663, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49871, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 265, 25, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49872, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 478, 11, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49873, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 3996, 20, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49874, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 95, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49875, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 152, 20, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49876, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 546, 10, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49877, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 481, 6, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49878, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 25, 10, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49879, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1084, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49880, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 227, 6, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49881, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 3, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49882, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 2740, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49883, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 152, 24, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49884, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 104, 32, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49885, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 81, 14, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49886, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 249, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49887, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 309, 25, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49888, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 159, 25, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49889, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 219, 15, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49890, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 214, 15, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49891, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 174, 18, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49892, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3124, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49893, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 370, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49894, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 83, 24, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49895, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 362, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49896, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 13124, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49897, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 469, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49898, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 3250, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49899, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 69, 5, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49900, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 857, 17, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49901, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 5306, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49902, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 529, 30, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49903, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 71, 20, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49904, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 443, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49905, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 347, 19, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49906, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 627, 7, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49907, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 551, 25, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49908, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 542, 28, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49909, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 481, 45, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49910, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 663, 37, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49911, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 579, 41, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49912, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1084, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49913, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 212, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49914, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 481, 6, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49915, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 69, 5, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49916, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 3996, 20, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49917, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 546, 10, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49918, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1663, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49919, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 47, 7, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49920, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 12, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49921, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 133, 17, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49922, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 181, 27, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49923, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 278, 28, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49924, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 171, 16, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49925, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D26', 370, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49926, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 622, 7, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49927, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 231, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49928, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 352, 32, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49929, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 3107, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49930, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1045, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49931, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1876, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49932, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 6359, 12, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49933, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49934, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 436, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49935, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 147, 6, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49936, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 83, 24, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49937, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 264, 47, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49938, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49939, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 274, 42, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49940, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 106, 13, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49941, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 60, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49942, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 249, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49943, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 1334, 51, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49944, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 52, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49945, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 159, 25, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49946, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 214, 15, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49947, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 174, 18, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49948, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 219, 15, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49949, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 309, 25, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49950, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 5, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49951, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 178, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49952, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 53, 3, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49953, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 362, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49954, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 2740, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49955, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 469, 2, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49956, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 968, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49957, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 4, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49958, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 154, 18, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49959, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 344, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49960, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 117, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49961, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 182, 4, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49962, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 89, 10, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49963, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 473, 6, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49964, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 103, 19, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49965, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 811, 6, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49966, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 287, 19, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49967, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1029, 5, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49968, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 3124, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49969, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 3250, 9, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49970, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2455, 8, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49971, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 127, 22, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49972, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 13124, 1, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49973, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 271, 19, 2023, 8, 3, '2024-08-05 13:59:35', NULL, NULL), (49974, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 242, 115, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49975, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1261, 10, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49976, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 226, 77, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49977, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 431, 40, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49978, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 262, 288, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49979, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 879, 464, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49980, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 528, 62, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49981, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 749, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49982, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 67, 134, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49983, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 476, 132, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49984, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1268, 222, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49985, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 878, 465, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49986, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 364, 134, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49987, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 496, 66, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49988, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 476, 132, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49989, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 262, 288, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49990, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 242, 115, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49991, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1268, 222, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49992, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 67, 134, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49993, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 1960, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49994, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 229, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49995, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 63, 8, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49996, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 242, 115, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49997, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 245, 41, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49998, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 422, 74, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (49999, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1403, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50000, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 357, 41, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50001, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 144, 5, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50002, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1189, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50003, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 862, 8, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50004, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 559, 36, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50005, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1173, 6, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50006, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 212, 11, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50007, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 19, 8, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50008, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50009, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 300, 8, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50010, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 55, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50011, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50012, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 161, 10, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50013, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 161, 155, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50014, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1859, 9, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50015, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 425, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50016, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 74, 6, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50017, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2577, 92, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50018, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 2245, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50019, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 953, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50020, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 246, 48, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50021, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 20, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50022, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 4, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50023, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 192, 29, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50024, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 749, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 15, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 133, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 395, 42, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 21, 6, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 40, 6, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 469, 53, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 598, 4, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 559, 36, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 749, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 124, 16, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1331, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 152, 27, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 123, 25, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 255, 20, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 3520, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 131, 23, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 287, 27, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 202, 21, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 152, 30, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 357, 41, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 509, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 361, 33, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 953, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 249, 49, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 229, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1143, 5, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 843, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 507, 34, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1803, 19, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 1198, 5, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 219, 31, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 208, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 307, 21, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1907, 15, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 270, 24, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1317, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 131, 28, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 3020, 7, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 237, 39, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2055, 7, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 212, 7, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 42, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 637, 31, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3981, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 152, 9, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 426, 38, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 82, 20, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 162, 9, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 56, 18, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 159, 10, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 20, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 412, 8, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 32, 11, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 45, 19, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 90, 22, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 74, 6, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 83, 28, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 42, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 399, 19, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 243, 23, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 144, 5, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 158, 24, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 4, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 297, 25, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 144, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 60, 14, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 245, 41, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 36, 12, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 250, 19, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 417, 36, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 103, 22, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 572, 7, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 398, 40, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1297, 10, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1956, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 482, 5, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 174, 6, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2630, 9, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 4443, 15, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 3069, 12, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 212, 11, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 270, 22, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 3795, 40, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 425, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1859, 9, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1766, 71, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 74, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 558, 23, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 54, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 236, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 448, 5, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1421, 12, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 165, 29, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50118, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 3520, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50119, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 862, 8, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50120, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 300, 8, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50121, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 74, 6, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50122, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1403, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50123, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 242, 115, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50124, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 19, 8, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50125, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1859, 9, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50126, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 422, 74, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50127, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 1960, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50128, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 245, 41, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50129, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 63, 8, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50130, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 559, 36, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50131, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 20, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (50132, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 749, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50133, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 4, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50134, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 192, 29, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50135, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 953, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50136, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 55, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50137, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 425, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50138, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 144, 5, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50139, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 246, 48, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50140, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2577, 92, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50141, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 357, 41, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50142, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 2245, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50143, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 212, 11, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50144, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1189, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50145, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 161, 155, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50146, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 161, 10, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50147, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 229, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50148, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 229, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50149, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 144, 5, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50150, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 15, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50151, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 21, 6, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50152, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 3520, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50153, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 245, 41, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50154, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 270, 22, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50155, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 55, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50156, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 250, 19, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50157, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 297, 25, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50158, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 144, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50159, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 177, 7, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50160, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 243, 23, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50161, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 158, 24, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50162, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 213, 11, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50163, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 180, 11, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50164, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 4, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50165, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 448, 5, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50166, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 749, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50167, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 131, 28, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50168, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 219, 31, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50169, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 1960, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50170, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 152, 27, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50171, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 212, 11, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50172, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1189, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50173, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 74, 6, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50174, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 54, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50175, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 509, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50176, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 202, 21, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50177, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 3981, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50178, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 131, 23, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50179, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 123, 25, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50180, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1859, 9, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50181, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 42, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50182, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 425, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50183, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 212, 7, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50184, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 133, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50185, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 20, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50186, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 40, 6, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50187, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 337, 16, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50188, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 135, 19, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50189, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 296, 13, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50190, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1403, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50191, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 3069, 12, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50192, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1956, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50193, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2630, 9, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50194, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 4443, 15, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50195, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 417, 36, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50196, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 426, 38, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50197, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 953, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50198, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1317, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50199, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 843, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50200, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 208, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50201, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1907, 15, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50202, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 3020, 7, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50203, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 559, 36, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50204, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2055, 7, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50205, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1143, 5, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50206, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1803, 19, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50207, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 357, 41, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50208, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 159, 10, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50209, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 412, 8, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50210, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 162, 9, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50211, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 90, 22, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50212, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 74, 6, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50213, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 4, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50214, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 3069, 12, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50215, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 4443, 15, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50216, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2630, 9, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50217, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 398, 40, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50218, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1956, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50219, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 399, 19, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50220, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 448, 5, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50221, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 54, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50222, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 255, 20, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50223, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 152, 30, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50224, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 103, 22, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50225, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 287, 27, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50226, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 395, 42, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50227, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 219, 31, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50228, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 131, 28, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50229, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1317, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50230, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 212, 7, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50231, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 843, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50232, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 42, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50233, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 208, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50234, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 20, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50235, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 165, 29, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50236, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1421, 12, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50237, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1766, 71, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50238, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 3795, 40, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50239, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 426, 38, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50240, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 417, 36, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50241, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 245, 41, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50242, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 144, 5, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50243, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 469, 53, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50244, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 598, 4, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50245, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 124, 16, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50246, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 559, 36, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50247, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 158, 24, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50248, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 3520, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50249, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 297, 25, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50250, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 133, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50251, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 357, 41, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50252, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 15, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50253, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 40, 6, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50254, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 243, 23, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50255, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 144, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50256, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 250, 19, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50257, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 152, 27, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50258, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 21, 6, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50259, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 45, 19, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50260, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 202, 21, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50261, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 32, 11, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50262, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 42, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50263, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 123, 25, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50264, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1331, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50265, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 83, 28, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50266, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 131, 23, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50267, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 152, 9, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50268, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 3020, 7, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50269, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 36, 12, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50270, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 56, 18, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50271, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1907, 15, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50272, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 82, 20, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50273, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1803, 19, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50274, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1143, 5, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50275, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 60, 14, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50276, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3981, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50277, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 509, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50278, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 270, 22, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50279, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 1198, 5, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50280, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 953, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50281, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 229, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50282, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 749, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50283, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 425, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50284, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1859, 9, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50285, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 212, 11, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50286, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2055, 7, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50287, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 174, 6, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50288, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 236, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50289, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1297, 10, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50290, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 558, 23, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50291, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 482, 5, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50292, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 237, 39, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50293, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 270, 24, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50294, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 74, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50295, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 307, 21, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50296, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 507, 34, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50297, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 572, 7, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50298, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 249, 49, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50299, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 361, 33, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50300, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 637, 31, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50301, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2055, 7, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50302, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 15, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50303, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1143, 5, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50304, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 212, 11, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50305, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1907, 15, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50306, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1803, 19, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50307, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 21, 6, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50308, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 3020, 7, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50309, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 123, 25, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50310, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 131, 23, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50311, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 202, 21, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50312, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 152, 27, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50313, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1403, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50314, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 357, 41, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50315, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2630, 9, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50316, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1956, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50317, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 3069, 12, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50318, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 4443, 15, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50319, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 20, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50320, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 3520, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50321, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 177, 7, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50322, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 270, 22, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50323, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 426, 38, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50324, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 212, 7, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50325, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 180, 11, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50326, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 417, 36, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50327, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 213, 11, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50328, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 245, 41, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50329, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 42, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50330, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 297, 25, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50331, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 144, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50332, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 250, 19, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50333, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 243, 23, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50334, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 158, 24, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50335, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 74, 6, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50336, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 54, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50337, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 448, 5, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50338, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 144, 5, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50339, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 1960, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50340, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 4, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50341, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 425, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50342, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 296, 13, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50343, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 40, 6, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50344, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1189, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50345, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 133, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50346, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 337, 16, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50347, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 135, 19, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50348, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 559, 36, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50349, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 208, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50350, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1317, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50351, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 509, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50352, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 3981, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50353, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1859, 9, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50354, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 843, 3, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50355, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 229, 1, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50356, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 219, 31, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50357, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 953, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50358, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 131, 28, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50359, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 55, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50360, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 749, 2, 2023, 8, 4, '2024-08-05 13:59:37', NULL, NULL), (50361, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 320, 3, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50362, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 47, 7, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50363, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 903, 109, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50364, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 167, 19, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50365, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 290, 17, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50366, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 895, 110, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50367, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 320, 3, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50368, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 2, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50369, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 159, 20, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50370, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 41, 8, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50371, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 259, 19, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50372, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 408, 9, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50373, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 44, 2, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50374, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 423, 2, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50375, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50376, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 156, 8, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50377, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 115, 1, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50378, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 0, 1, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50379, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 48, 5, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50380, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 2, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50381, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 0, 1, 2023, 8, 5, '2024-08-05 13:59:40', NULL, NULL), (50382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 183, 6, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 156, 8, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 160, 13, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 44, 2, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 497, 3, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 155, 21, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 461, 1, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 494, 2, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 2334, 11, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 216, 18, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1761, 35, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 245, 3, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 423, 2, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 115, 1, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 48, 5, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 176, 15, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 150, 9, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50399, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 423, 2, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50400, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 408, 9, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50401, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 156, 8, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50402, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 44, 2, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50403, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 48, 5, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50404, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 115, 1, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50405, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 461, 1, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50406, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 494, 2, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50407, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 44, 2, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50408, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 245, 3, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50409, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 115, 1, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50410, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 497, 3, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50411, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 156, 8, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50412, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 48, 5, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50413, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 423, 2, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50414, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 44, 2, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50415, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 183, 6, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50416, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 48, 5, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50417, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 245, 3, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50418, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 494, 2, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50419, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 461, 1, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50420, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 150, 9, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50421, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 176, 15, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50422, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 497, 3, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50423, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 216, 18, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50424, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1761, 35, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50425, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 2334, 11, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50426, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 156, 8, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50427, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 423, 2, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50428, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 155, 21, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50429, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 160, 13, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50430, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 115, 1, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50431, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 423, 2, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50432, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 48, 5, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50433, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 245, 3, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50434, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 44, 2, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50435, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 497, 3, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50436, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 156, 8, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50437, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 461, 1, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50438, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 115, 1, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50439, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 494, 2, 2023, 8, 5, '2024-08-05 13:59:41', NULL, NULL), (50440, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 771, 10, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50441, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 595, 67, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50442, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 668, 5, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50443, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 194, 10, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50444, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 570, 70, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50445, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 0, 1, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50446, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 668, 5, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50447, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 771, 10, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50448, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 194, 10, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50449, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 239, 6, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50450, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 217, 1, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50451, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 0, 1, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50452, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 127, 4, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50453, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 663, 3, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50454, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 1021, 3, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 668, 5, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 127, 4, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 815, 3, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 7, 1, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 217, 1, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 151, 1, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 238, 2, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 74, 9, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 401, 2, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1262, 20, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1115, 10, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 111, 8, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 663, 3, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 1021, 3, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 103, 11, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 89, 9, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50471, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 127, 4, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50472, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 217, 1, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50473, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 1021, 3, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50474, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 239, 6, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50475, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 663, 3, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50476, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 663, 3, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50477, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 401, 2, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50478, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 217, 1, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50479, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 7, 1, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50480, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 151, 1, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50481, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 238, 2, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50482, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 127, 4, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50483, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 1021, 3, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50484, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 217, 1, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50485, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 815, 3, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50486, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 668, 5, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50487, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 663, 3, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50488, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 1021, 3, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50489, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 401, 2, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50490, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 238, 2, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50491, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 89, 9, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50492, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 7, 1, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50493, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 151, 1, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50494, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 103, 11, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50495, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1115, 10, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50496, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 111, 8, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50497, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1262, 20, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50498, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 127, 4, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50499, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 74, 9, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50500, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 1021, 3, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50501, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 217, 1, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50502, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 7, 1, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50503, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 151, 1, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50504, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 127, 4, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50505, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 663, 3, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50506, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 238, 2, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50507, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 401, 2, 2023, 8, 6, '2024-08-05 13:59:44', NULL, NULL), (50508, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 695, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50509, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 93, 168, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50510, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 8, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50511, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 366, 227, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50512, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 2556, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50513, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 132, 87, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50514, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 241, 304, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50515, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 441, 51, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50516, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 398, 67, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50517, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1405, 598, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50518, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 95, 169, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50519, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 257, 151, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50520, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1402, 599, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50521, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 364, 165, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50522, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 398, 67, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50523, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 257, 151, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50524, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 241, 304, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50525, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 92, 170, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50526, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 366, 227, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50527, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 95, 169, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50528, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 397, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50529, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '', 0, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50530, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 385, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50531, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50532, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 457, 13, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50533, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 336, 48, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50534, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 92, 169, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50535, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 202, 90, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50536, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 815, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50537, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 464, 45, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (50538, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50539, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 5364, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50540, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 17, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50541, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 243, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50542, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 128, 30, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50543, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 57, 7, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50544, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 144, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50545, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 70, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50546, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 8, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50547, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 243, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50548, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 167, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50549, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 25, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50550, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 695, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50551, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 11, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50552, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50553, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 169, 175, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50554, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1536, 17, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50555, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 306, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50556, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 368, 71, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50557, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 0, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50558, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 133, 57, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50559, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 9082, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50560, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 9, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50561, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 146, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50562, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 130, 30, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50563, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 6, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 115, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 3, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 480, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 722, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 57, 7, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 540, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 464, 45, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1426, 27, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1011, 26, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 129, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1373, 30, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 2278, 24, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 237, 9, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 185, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 114, 6, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 244, 6, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 310, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 169, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1331, 40, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 261, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 483, 6, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1091, 46, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 369, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 1038, 36, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1599, 42, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 79, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 187, 9, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 49, 22, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 93, 15, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 85, 20, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 98, 21, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 66, 23, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 1570, 27, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 71, 31, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 64, 27, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 65, 21, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 158, 24, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 184, 36, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 102, 12, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 96, 32, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 80, 22, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1381, 40, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 245, 7, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 161, 7, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 63, 31, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 2126, 82, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1779, 71, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 394, 6, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 233, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 444, 25, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 5016, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 73, 23, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 2340, 28, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 91, 41, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 93, 17, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 252, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 548, 9, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 311, 58, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 8, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 128, 30, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 340, 47, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 42, 16, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 695, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 206, 21, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 171, 23, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 102, 16, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 185, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 136, 43, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 173, 32, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 94, 24, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 130, 38, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 9082, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 577, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 358, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 154, 31, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 54, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 151, 23, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 5, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 18, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 498, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 367, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 199, 47, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 8, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 24, 7, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 86, 9, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 220, 12, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 34, 15, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 259, 6, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 5364, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 5, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 15, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 336, 48, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 225, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 205, 43, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 233, 11, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 7, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 414, 10, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 276, 11, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 648, 10, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 144, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1536, 17, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 341, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 145, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50669, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 57, 7, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50670, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 243, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50671, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 243, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50672, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 8, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50673, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 306, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50674, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 815, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50675, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 93, 168, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50676, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 70, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50677, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1536, 17, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50678, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 25, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50679, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 202, 90, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50680, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 397, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50681, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 336, 48, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50682, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 457, 13, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50683, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 128, 30, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50684, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 9, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50685, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 146, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50686, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 130, 30, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50687, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 9082, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50688, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 167, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50689, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 5364, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50690, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 133, 57, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50691, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 368, 71, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50692, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 464, 45, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50693, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 144, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50694, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 695, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50695, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 17, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50696, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 169, 175, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50697, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 6, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50698, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 11, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50699, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 577, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50700, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 5364, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50701, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 577, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50702, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 115, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50703, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 3, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50704, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 57, 7, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50705, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 336, 48, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50706, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 63, 31, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50707, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 695, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50708, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 25, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50709, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 167, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50710, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 80, 22, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50711, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 65, 21, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50712, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 184, 36, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50713, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 182, 9, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50714, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 71, 31, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50715, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 185, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50716, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 64, 27, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50717, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 75, 6, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50718, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 111, 13, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50719, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 225, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50720, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 20, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50721, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 4, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50722, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 145, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50723, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 151, 23, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50724, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 154, 31, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50725, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 367, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50726, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 498, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50727, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 740, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50728, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 54, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50729, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 206, 21, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50730, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 144, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50731, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 8, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50732, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 17, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50733, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 306, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50734, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 341, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50735, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 173, 32, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50736, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 136, 43, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50737, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 102, 16, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50738, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1536, 17, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50739, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 18, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50740, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 5, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50741, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 79, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50742, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 8, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50743, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 252, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50744, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50745, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 540, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50746, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50747, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 548, 9, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50748, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 100, 18, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50749, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 140, 25, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50750, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 164, 14, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50751, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 480, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50752, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 898, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50753, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 648, 10, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50754, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 414, 10, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50755, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 276, 11, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50756, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 205, 43, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50757, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 199, 47, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50758, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 9082, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50759, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E28', 6, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50760, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E29', 6, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50761, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 169, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50762, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 185, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50763, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 310, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50764, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 244, 6, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50765, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 261, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50766, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 483, 6, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50767, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 128, 30, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50768, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 369, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50769, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 129, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50770, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 243, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50771, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 464, 45, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50772, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 86, 9, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50773, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 220, 12, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50774, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 24, 7, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50775, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 34, 15, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50776, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 259, 6, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50777, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 15, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50778, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 225, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50779, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 5, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50780, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 648, 10, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50781, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 276, 11, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50782, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 414, 10, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50783, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1381, 40, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50784, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 1570, 27, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50785, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 145, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50786, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 341, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50787, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 96, 32, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50788, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 93, 17, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50789, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 154, 31, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50790, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 151, 23, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50791, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 169, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50792, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 498, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50793, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 367, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50794, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 185, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50795, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 5, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50796, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 18, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50797, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 310, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50798, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50799, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 91, 41, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50800, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50801, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 2340, 28, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50802, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 8, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50803, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1779, 71, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50804, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 2126, 82, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50805, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 199, 47, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50806, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 205, 43, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50807, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 336, 48, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50808, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 5364, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50809, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 311, 58, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50810, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 340, 47, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50811, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 42, 16, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50812, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 128, 30, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50813, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 57, 7, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50814, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 252, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50815, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 464, 45, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50816, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 115, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50817, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 548, 9, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50818, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 206, 21, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50819, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 3, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50820, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 173, 32, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50821, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 85, 20, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50822, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 480, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50823, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 66, 23, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50824, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 102, 16, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50825, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 98, 21, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50826, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 722, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50827, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 136, 43, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50828, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 187, 9, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50829, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 483, 6, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50830, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 102, 12, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50831, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 261, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50832, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 93, 15, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50833, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 244, 6, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50834, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 237, 9, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50835, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 49, 22, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50836, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 129, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50837, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 158, 24, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50838, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 73, 23, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50839, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 79, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50840, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 369, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50841, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 7, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50842, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 540, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50843, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 233, 11, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50844, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 8, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50845, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 171, 23, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50846, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 130, 38, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50847, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 94, 24, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50848, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 185, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50849, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 695, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50850, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 64, 27, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50851, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 65, 21, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50852, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 71, 31, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50853, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 184, 36, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50854, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 80, 22, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50855, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 63, 31, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50856, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 358, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50857, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 9082, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50858, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 577, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50859, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 54, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50860, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1536, 17, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50861, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 144, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50862, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 161, 7, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50863, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 5016, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50864, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 245, 7, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50865, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1091, 46, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50866, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1331, 40, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50867, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 114, 6, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50868, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 394, 6, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50869, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 2278, 24, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50870, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 444, 25, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50871, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1373, 30, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50872, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 233, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50873, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1011, 26, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50874, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1426, 27, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50875, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1599, 42, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50876, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 1038, 36, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50877, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 79, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50878, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 369, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50879, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 115, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50880, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 129, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50881, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 144, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50882, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 244, 6, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50883, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 243, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50884, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 3, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50885, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 483, 6, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50886, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 261, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50887, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50888, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 8, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50889, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 102, 16, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50890, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 136, 43, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50891, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 173, 32, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50892, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 206, 21, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50893, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 25, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50894, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 540, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50895, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 898, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50896, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 480, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50897, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 464, 45, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50898, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 414, 10, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50899, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 648, 10, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50900, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 276, 11, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50901, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 3, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50902, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 57, 7, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50903, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 182, 9, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50904, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 63, 31, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50905, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 199, 47, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50906, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 5, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50907, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 111, 13, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50908, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 205, 43, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50909, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 75, 6, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50910, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 185, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50911, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 336, 48, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50912, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 18, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50913, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 65, 21, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50914, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 184, 36, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50915, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 80, 22, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50916, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 71, 31, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50917, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 64, 27, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50918, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 306, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50919, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 695, 8, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50920, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 341, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50921, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 145, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50922, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 5364, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50923, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 740, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50924, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 8, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50925, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 54, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50926, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 225, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50927, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 20, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50928, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 4, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50929, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 164, 14, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50930, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 548, 9, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50931, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 498, 5, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50932, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 367, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50933, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 17, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50934, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 252, 4, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50935, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 100, 18, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50936, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 140, 25, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50937, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 128, 30, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50938, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 310, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50939, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 169, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50940, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1536, 17, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50941, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 185, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50942, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 577, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50943, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E28', 6, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50944, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 154, 31, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50945, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 151, 23, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50946, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 9082, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50947, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E29', 6, 1, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50948, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 167, 2, 2023, 8, 7, '2024-08-05 13:59:48', NULL, NULL), (50949, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 4786, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50950, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 189, 139, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50951, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 109, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50952, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 375, 229, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50953, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 2002, 12, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (50954, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 209, 68, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50955, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 924, 42, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50956, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 210, 279, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50957, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 382, 68, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50958, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 205, 519, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50959, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 71, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50960, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 26, 132, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50961, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 292, 128, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50962, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 205, 519, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50963, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 695, 132, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50964, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 382, 68, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50965, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 292, 128, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50966, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 210, 279, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50967, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 189, 139, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50968, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 374, 230, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50969, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 26, 132, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50970, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 2996, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50971, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 4819, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50972, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 1358, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50973, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 355, 14, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50974, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 196, 41, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50975, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 189, 139, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50976, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 412, 93, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50977, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 634, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50978, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 371, 39, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50979, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50980, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 206, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50981, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 856, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50982, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 275, 33, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50983, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 392, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50984, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 231, 9, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50985, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 98, 13, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50986, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 109, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50987, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 203, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50988, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 168, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50989, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 3590, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50990, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 277, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50991, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 151, 159, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50992, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1371, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50993, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 83, 10, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50994, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 499, 75, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50995, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 0, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50996, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 284, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50997, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 217, 42, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50998, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 147, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (50999, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 15, 10, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51000, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 194, 26, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51001, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 71, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 135, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 67, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 4, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 950, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 392, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 371, 39, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 72, 24, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 79, 36, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 9, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 74, 11, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 998, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 556, 14, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 152, 21, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 767, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 504, 11, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 191, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 695, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 589, 11, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 214, 32, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 460, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 56, 36, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 500, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 92, 41, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 131, 31, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 730, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 27, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 4, 18, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 8, 14, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 4, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 52, 11, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 67, 17, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 39, 22, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 111, 25, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 234, 23, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 134, 24, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 125, 24, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 12, 12, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 90, 23, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 15, 11, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 66, 37, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 233, 22, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 87, 41, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 2705, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 540, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 327, 23, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 485, 43, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 365, 60, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 77, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 89, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 797, 23, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 14, 15, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 547, 49, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 71, 27, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 1032, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 330, 47, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 242, 12, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 250, 31, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 109, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 302, 30, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 275, 33, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 71, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 176, 12, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 4786, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 134, 27, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 244, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 180, 23, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 127, 27, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 130, 28, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 247, 37, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 113, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 284, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4819, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 163, 35, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1111, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 202, 28, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 277, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 123, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 125, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 429, 52, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 6, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 30, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 18, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 57, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 104, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 253, 11, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 83, 10, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 206, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 7, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 196, 41, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 176, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 391, 41, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 492, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 12, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 518, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 193, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 489, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 231, 9, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1371, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 55, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 252, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51103, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 392, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51104, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 856, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51105, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 203, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51106, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 109, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51107, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 83, 10, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51108, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 634, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51109, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 189, 139, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51110, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1371, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51111, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 98, 13, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51112, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 412, 93, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51113, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 2996, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51114, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 196, 41, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51115, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 355, 14, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51116, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 275, 33, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51117, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 15, 10, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51118, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 71, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51119, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 147, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51120, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 194, 26, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51121, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 284, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51122, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 168, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51123, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 206, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51124, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 217, 42, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51125, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 499, 75, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51126, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 371, 39, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51127, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 4786, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51128, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 231, 9, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51129, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 151, 159, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51130, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 1358, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51131, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 277, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51132, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 4819, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51133, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 4819, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51134, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 206, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51135, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 135, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51136, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 67, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51137, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 392, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51138, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 196, 41, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51139, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 327, 23, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51140, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 4786, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51141, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 168, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51142, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 233, 22, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51143, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 125, 24, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51144, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 90, 23, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51145, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 206, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51146, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 234, 23, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51147, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 134, 24, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51148, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 243, 12, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51149, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 1358, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51150, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 113, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51151, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 176, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51152, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 7, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51153, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 252, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51154, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 71, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51155, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 202, 28, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51156, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 163, 35, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51157, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 125, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51158, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 123, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51159, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 2996, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51160, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 134, 27, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51161, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 231, 9, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51162, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 109, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51163, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 83, 10, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51164, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 55, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51165, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 130, 28, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51166, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 127, 27, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51167, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 244, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51168, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1371, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51169, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 277, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51170, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 730, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51171, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 1032, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51172, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 30, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51173, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51174, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 242, 12, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51175, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 18, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51176, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 249, 25, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51177, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 170, 17, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51178, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 4, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51179, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 950, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51180, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 489, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51181, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 518, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51182, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 193, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51183, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 391, 41, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51184, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 429, 52, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51185, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 284, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51186, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 695, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51187, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 998, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51188, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 767, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51189, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 504, 11, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51190, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 589, 11, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51191, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 460, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51192, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 500, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51193, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 275, 33, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51194, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 9, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51195, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 556, 14, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51196, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 371, 39, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51197, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 57, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51198, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 104, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51199, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 6, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51200, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 253, 11, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51201, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 83, 10, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51202, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 7, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51203, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 176, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51204, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 489, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51205, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 193, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51206, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 518, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51207, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 87, 41, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51208, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 111, 25, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51209, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 252, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51210, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 55, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51211, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 66, 37, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51212, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 330, 47, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51213, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 163, 35, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51214, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 202, 28, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51215, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 695, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51216, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 123, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51217, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 125, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51218, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 998, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51219, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 767, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51220, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 277, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51221, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51222, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 71, 27, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51223, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 18, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51224, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 547, 49, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51225, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 30, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51226, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 365, 60, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51227, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 485, 43, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51228, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 429, 52, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51229, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 391, 41, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51230, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 196, 41, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51231, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 206, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51232, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 250, 31, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51233, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 302, 30, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51234, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 176, 12, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51235, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 392, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51236, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 275, 33, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51237, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 1032, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51238, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 371, 39, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51239, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 242, 12, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51240, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 135, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51241, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 134, 27, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51242, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 67, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51243, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 130, 28, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51244, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 52, 11, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51245, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 4, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51246, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 4, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51247, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 244, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51248, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 39, 22, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51249, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 950, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51250, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 127, 27, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51251, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 67, 17, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51252, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 27, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51253, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 460, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51254, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 15, 11, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51255, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 589, 11, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51256, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 504, 11, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51257, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 8, 14, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51258, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 556, 14, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51259, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 4, 18, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51260, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 9, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51261, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 12, 12, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51262, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 71, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51263, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 14, 15, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51264, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 730, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51265, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 500, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51266, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 12, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51267, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 492, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51268, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 109, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51269, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 180, 23, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51270, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 113, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51271, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 247, 37, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51272, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 4786, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51273, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 134, 24, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51274, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 125, 24, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51275, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 234, 23, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51276, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 90, 23, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51277, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 233, 22, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51278, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 327, 23, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51279, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 284, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51280, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4819, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51281, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1111, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51282, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1371, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51283, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 231, 9, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51284, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 540, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51285, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 2705, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51286, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 56, 36, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51287, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 214, 32, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51288, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 77, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51289, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 191, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51290, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 152, 21, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51291, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 797, 23, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51292, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 74, 11, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51293, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 89, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51294, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 79, 36, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51295, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 72, 24, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51296, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 131, 31, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51297, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 92, 41, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51298, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 730, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51299, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 500, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51300, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 135, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51301, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 9, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51302, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 231, 9, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51303, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 504, 11, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51304, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 556, 14, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51305, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 67, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51306, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 460, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51307, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 589, 11, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51308, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 18, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51309, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 30, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51310, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 244, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51311, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 127, 27, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51312, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 130, 28, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51313, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 134, 27, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51314, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 950, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51315, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 4, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51316, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 371, 39, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51317, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 518, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51318, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 489, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51319, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 193, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51320, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51321, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 392, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51322, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 327, 23, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51323, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 206, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51324, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 429, 52, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51325, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 113, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51326, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 391, 41, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51327, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 243, 12, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51328, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 196, 41, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51329, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 277, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51330, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 1358, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51331, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 125, 24, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51332, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 90, 23, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51333, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 233, 22, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51334, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 234, 23, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51335, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 134, 24, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51336, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 83, 10, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51337, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 4786, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51338, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 55, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51339, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 252, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51340, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 206, 6, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51341, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 109, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51342, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 2996, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51343, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 176, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51344, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 7, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51345, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 170, 17, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51346, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 242, 12, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51347, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 123, 7, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51348, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 125, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51349, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 1032, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51350, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 249, 25, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51351, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 767, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51352, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 275, 33, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51353, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 695, 1, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51354, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1371, 8, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51355, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 998, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51356, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 4819, 4, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51357, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 163, 35, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51358, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 284, 5, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51359, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 202, 28, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51360, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 168, 2, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51361, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 71, 3, 2023, 8, 8, '2024-08-05 13:59:52', NULL, NULL), (51362, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 76, 106, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51363, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 2005, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51364, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 500, 180, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51365, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '', 23758, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51366, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 3132, 9, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51367, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 310, 45, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51368, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 485, 49, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51369, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 231, 249, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51370, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 219, 438, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51371, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 664, 79, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51372, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 305, 99, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51373, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 55, 149, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (51374, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 219, 438, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51375, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 836, 112, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51376, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 664, 79, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51377, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 305, 99, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51378, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 231, 249, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51379, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 500, 180, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51380, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 76, 106, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51381, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 55, 149, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51382, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 3317, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51383, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '', 23758, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51384, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 3342, 5, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51385, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 376, 11, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51386, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 225, 35, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51387, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 76, 106, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51388, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 152, 68, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51389, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 862, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51390, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 426, 40, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51391, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 187, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51392, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 5362, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51393, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1456, 7, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51394, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 109, 27, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51395, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 132, 12, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51396, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 342, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51397, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 317, 13, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51398, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 2005, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51399, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 78, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51400, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51401, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 61, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51402, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 6, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51403, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51404, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 54, 132, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51405, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2157, 17, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51406, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 229, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51407, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1047, 68, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51408, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 986, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51409, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 397, 31, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51410, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 2390, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51411, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 13, 5, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51412, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51413, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 120, 14, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51414, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 11, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 501, 6, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 159, 7, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1359, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 3864, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 132, 12, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 426, 40, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 131, 33, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 49, 17, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 89, 25, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 408, 7, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 35, 17, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2256, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1330, 14, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 115, 8, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 491, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 188, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 116, 16, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1084, 10, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 75, 35, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1206, 6, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 63, 25, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 81, 41, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 846, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 38, 11, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 29, 19, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 66, 10, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 87, 11, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 72, 15, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 41, 25, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 83, 23, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 53, 15, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 36, 13, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 37, 23, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 17, 18, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 62, 14, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 50, 15, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 38, 12, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 40, 20, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 102, 26, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 47, 32, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 868, 8, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 203, 14, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 288, 17, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 604, 52, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 505, 43, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 4, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 36, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 629, 22, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 51, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 536, 34, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 30, 9, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 65, 19, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 414, 35, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 405, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D14', 23758, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 91, 24, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 370, 9, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 2005, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 428, 29, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 109, 27, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E01', 61, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 104, 8, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 62, 23, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 51, 19, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 581, 11, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 54, 32, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 332, 19, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 62, 25, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 84, 15, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 986, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2390, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4178, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 25, 16, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 39, 5, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3317, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 6, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 56, 8, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 93, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 140, 36, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 6, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 178, 15, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 12, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 106, 7, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 89, 11, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 11, 13, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 229, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 187, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 7, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 8, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 225, 35, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 41, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 165, 32, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 135, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 2, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 988, 10, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 983, 8, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1090, 12, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 342, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2157, 17, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 3, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 303, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51517, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 132, 12, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51518, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1456, 7, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51519, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 78, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51520, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 2005, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51521, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 229, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51522, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 862, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51523, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 76, 106, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51524, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '', 23758, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51525, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 317, 13, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51526, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2157, 17, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51527, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 152, 68, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51528, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 3317, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51529, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 225, 35, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51530, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 376, 11, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51531, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 109, 27, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51532, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 7, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51533, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 13, 5, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51534, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 120, 14, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51535, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 2390, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51536, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 187, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51537, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 397, 31, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51538, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1047, 68, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51539, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 426, 40, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51540, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 986, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51541, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 342, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51542, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '', 61, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51543, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 54, 132, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51544, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 5362, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51545, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 11, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51546, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 6, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51547, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 4178, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51548, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 187, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51549, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 4178, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51550, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 501, 6, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51551, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 159, 7, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51552, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 132, 12, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51553, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 225, 35, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51554, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 288, 17, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51555, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 40, 20, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51556, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 17, 18, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51557, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 50, 15, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51558, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 213, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51559, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 36, 13, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51560, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 37, 23, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51561, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 186, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51562, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 42, 7, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51563, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 41, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51564, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 6, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51565, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 7, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51566, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 303, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51567, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 39, 5, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51568, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 25, 16, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51569, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 93, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51570, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 56, 8, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51571, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 3317, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51572, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 62, 23, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51573, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 342, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51574, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 2005, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51575, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 4043, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51576, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 6021, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51577, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 229, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51578, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 3, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51579, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 986, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51580, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 62, 25, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51581, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 54, 32, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51582, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 51, 19, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51583, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2157, 17, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51584, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 6, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51585, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '2E01', 61, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51586, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 846, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51587, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 6, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51588, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 405, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51589, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51590, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 12, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51591, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 370, 9, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51592, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 372, 15, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51593, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 121, 8, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51594, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 719, 8, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51595, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 17, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51596, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1707, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51597, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1090, 12, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51598, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 988, 10, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51599, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 983, 8, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51600, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 165, 32, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51601, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 140, 36, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51602, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 2390, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51603, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E28', 11, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51604, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 188, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51605, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2256, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51606, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 491, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51607, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1330, 14, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51608, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1084, 10, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51609, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1206, 6, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51610, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 109, 27, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51611, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 408, 7, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51612, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 426, 40, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51613, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '', '', '1D14', 23758, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51614, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 106, 7, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51615, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 89, 11, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51616, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 178, 15, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51617, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 11, 13, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51618, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 229, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51619, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 8, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51620, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 41, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51621, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 7, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51622, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1090, 12, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51623, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 983, 8, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51624, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 988, 10, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51625, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 47, 32, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51626, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 53, 15, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51627, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 303, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51628, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 3, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51629, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 102, 26, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51630, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 414, 35, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51631, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 25, 16, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51632, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 39, 5, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51633, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 188, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51634, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 56, 8, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51635, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 93, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51636, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2256, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51637, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 6, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51638, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 491, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51639, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51640, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 65, 19, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51641, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 536, 34, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51642, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 12, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51643, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 6, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51644, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 505, 43, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51645, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 140, 36, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51646, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 604, 52, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51647, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 165, 32, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51648, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 225, 35, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51649, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 187, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51650, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 91, 24, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51651, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 428, 29, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51652, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 104, 8, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51653, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 132, 12, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51654, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 109, 27, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51655, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E01', 61, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51656, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 405, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51657, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 426, 40, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51658, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 501, 6, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51659, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 370, 9, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51660, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 62, 23, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51661, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 72, 15, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51662, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 159, 7, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51663, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 62, 25, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51664, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 87, 11, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51665, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1359, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51666, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 51, 19, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51667, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 83, 23, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51668, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 54, 32, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51669, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 41, 25, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51670, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 3864, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51671, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 38, 11, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51672, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 38, 12, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51673, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1084, 10, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51674, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 66, 10, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51675, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1330, 14, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51676, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 29, 19, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51677, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 408, 7, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51678, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 62, 14, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51679, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 30, 9, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51680, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 846, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51681, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1206, 6, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51682, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 2, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51683, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 135, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51684, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 2005, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51685, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 581, 11, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51686, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 84, 15, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51687, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 332, 19, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51688, 1, '511500000000-0001', '宜宾市民中心', '', '111', '', '1D14', 23758, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51689, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 37, 23, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51690, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 17, 18, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51691, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 36, 13, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51692, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 50, 15, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51693, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 40, 20, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51694, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 986, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51695, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 288, 17, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51696, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2390, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51697, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4178, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51698, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3317, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51699, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2157, 17, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51700, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 342, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51701, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 203, 14, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51702, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 51, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51703, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 868, 8, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51704, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 75, 35, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51705, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 116, 16, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51706, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 4, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51707, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 115, 8, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51708, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 35, 17, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51709, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 629, 22, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51710, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 89, 25, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51711, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 49, 17, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51712, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 36, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51713, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 131, 33, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51714, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 81, 41, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51715, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 63, 25, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51716, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 846, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51717, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1206, 6, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51718, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 501, 6, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51719, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 342, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51720, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 408, 7, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51721, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1330, 14, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51722, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 159, 7, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51723, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1084, 10, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51724, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 12, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51725, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 6, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51726, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 51, 19, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51727, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 54, 32, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51728, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 62, 25, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51729, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 62, 23, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51730, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1707, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51731, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 17, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51732, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 426, 40, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51733, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 988, 10, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51734, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1090, 12, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51735, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 983, 8, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51736, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51737, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 132, 12, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51738, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 213, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51739, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 288, 17, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51740, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 140, 36, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51741, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 42, 7, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51742, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 165, 32, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51743, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 186, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51744, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 225, 35, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51745, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 6, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51746, 1, '511500000000-0001', '宜宾市民中心', '气象、生态业务', '111', '', '1D14', 23758, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51747, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 17, 18, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51748, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 50, 15, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51749, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 40, 20, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51750, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 36, 13, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51751, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 37, 23, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51752, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 229, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51753, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 3, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51754, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 303, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51755, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 187, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51756, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 2005, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51757, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 3317, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51758, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 41, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51759, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 6, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51760, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 7, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51761, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 719, 8, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51762, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 370, 9, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51763, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 56, 8, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51764, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 93, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51765, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 6021, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51766, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 372, 15, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51767, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 405, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51768, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 4043, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51769, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 121, 8, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51770, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 109, 27, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51771, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 491, 2, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51772, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 188, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51773, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 986, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51774, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '2E01', 61, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51775, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2157, 17, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51776, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2256, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51777, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 4178, 4, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51778, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E28', 11, 1, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51779, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 25, 16, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51780, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 39, 5, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51781, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 2390, 3, 2023, 8, 9, '2024-08-05 13:59:56', NULL, NULL), (51782, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 941, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51783, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 119, 122, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51784, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1011, 13, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51785, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 135, 47, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51786, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1405, 60, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51787, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 254, 244, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51788, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 821, 83, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51789, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 240, 441, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51790, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 554, 99, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51791, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 35, 105, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51792, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1069, 226, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (51793, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 239, 442, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51794, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 807, 132, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51795, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 801, 85, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51796, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 554, 99, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51797, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 253, 245, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51798, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 118, 123, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51799, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1060, 228, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51800, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 35, 107, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51801, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 28, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51802, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 1149, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51803, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 40, 8, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51804, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 220, 37, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51805, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 118, 123, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51806, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 244, 77, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51807, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 942, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51808, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 878, 33, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51809, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 220, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51810, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 2616, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51811, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 438, 14, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51812, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 296, 20, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51813, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1466, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51814, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 415, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51815, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 144, 17, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51816, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 320, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51817, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 91, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51818, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 941, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51819, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 27, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51820, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 98, 149, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51821, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2930, 12, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51822, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 264, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51823, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2241, 94, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51824, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 0, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51825, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 719, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51826, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 104, 29, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51827, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51828, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 230, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51829, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 185, 18, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 383, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 14, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 2083, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1018, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1466, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1990, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 935, 31, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 19, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 334, 16, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1851, 8, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 159, 22, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 230, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 115, 22, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2962, 15, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 530, 5, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 89, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 700, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 171, 37, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1244, 14, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 109, 37, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2542, 12, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 110, 38, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 138, 34, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2981, 13, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 15, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 19, 15, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 31, 10, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 3, 5, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 65, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 39, 13, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 34, 15, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 112, 34, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 165, 19, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 154, 19, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 210, 19, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 20, 9, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 40, 22, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 83, 14, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 70, 20, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 61, 18, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 196, 31, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 16, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 236, 8, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 94, 23, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 537, 39, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 504, 43, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 21, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 180, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1946, 42, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 25, 17, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 637, 30, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 49, 26, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 596, 45, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 174, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 21, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 630, 36, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 296, 20, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 198, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 941, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 105, 22, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 196, 5, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 91, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 99, 31, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 350, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 115, 15, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 132, 28, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 127, 26, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1259, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 1149, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 28, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 75, 28, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 48, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 27, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 67, 9, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 173, 8, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 254, 45, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 20, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 16, 8, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 7, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 4, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 6, 9, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 229, 5, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 440, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 185, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 281, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 226, 36, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 265, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 230, 32, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 529, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 7, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 2008, 10, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2074, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 415, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2930, 12, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 385, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 207, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51928, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1466, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51929, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 438, 14, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51930, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 320, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51931, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 264, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51932, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 942, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51933, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 119, 122, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51934, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2930, 12, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51935, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 144, 17, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51936, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 91, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51937, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 244, 77, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51938, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 28, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51939, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 226, 36, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51940, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 40, 8, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51941, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 296, 20, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51942, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51943, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 230, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51944, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 185, 18, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51945, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1259, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51946, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 440, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51947, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 104, 29, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51948, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2241, 94, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51949, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 935, 31, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51950, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 941, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51951, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 415, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51952, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 2616, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51953, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 99, 148, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51954, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 27, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51955, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 1149, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51956, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 440, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51957, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 1149, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51958, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 383, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51959, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 14, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51960, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1466, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51961, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 226, 36, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51962, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 94, 23, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51963, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 941, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51964, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 91, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51965, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 70, 20, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51966, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 210, 19, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51967, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 40, 22, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51968, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 324, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51969, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 165, 19, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51970, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 154, 19, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51971, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 350, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51972, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 146, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51973, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 165, 8, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51974, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 265, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51975, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 281, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51976, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 185, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51977, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 207, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51978, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 48, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51979, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 75, 28, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51980, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 173, 8, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51981, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 67, 9, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51982, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 28, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51983, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 105, 22, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51984, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 415, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51985, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 3495, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51986, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 860, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51987, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 264, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51988, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 385, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51989, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 132, 28, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51990, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 99, 31, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51991, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 91, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51992, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2930, 12, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51993, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 27, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51994, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51995, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2981, 13, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51996, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 174, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51997, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51998, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1990, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (51999, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 7, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52000, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 21, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52001, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 88, 8, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52002, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 110, 18, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52003, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 111, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52004, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 672, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52005, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1050, 5, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52006, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2074, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52007, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 2008, 10, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52008, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 230, 32, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52009, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 254, 45, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52010, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1259, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52011, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 700, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52012, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 230, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52013, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 530, 5, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52014, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2962, 15, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52015, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1244, 14, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52016, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2542, 12, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52017, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 296, 20, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52018, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1851, 8, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52019, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 935, 31, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52020, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 16, 8, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52021, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 4, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52022, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 20, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52023, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 6, 9, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52024, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 229, 5, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52025, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 281, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52026, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 265, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52027, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 185, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52028, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2074, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52029, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 2008, 10, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52030, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 196, 31, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52031, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 112, 34, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52032, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 207, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52033, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 385, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52034, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 61, 18, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52035, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 596, 45, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52036, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 75, 28, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52037, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 48, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52038, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 700, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52039, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 67, 9, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52040, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 173, 8, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52041, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 230, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52042, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 27, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52043, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 530, 5, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52044, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52045, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52046, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 49, 26, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52047, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 7, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52048, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 637, 30, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52049, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 504, 43, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52050, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 537, 39, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52051, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 254, 45, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52052, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 230, 32, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52053, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 226, 36, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52054, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 440, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52055, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 630, 36, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52056, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 198, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52057, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1466, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52058, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 296, 20, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52059, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 174, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52060, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 935, 31, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52061, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 21, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52062, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 383, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52063, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 105, 22, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52064, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 65, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52065, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 14, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52066, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 132, 28, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52067, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 3, 5, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52068, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 34, 15, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52069, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 2083, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52070, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 91, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52071, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1018, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52072, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 39, 13, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52073, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 99, 31, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52074, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 15, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52075, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 83, 14, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52076, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1244, 14, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52077, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 31, 10, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52078, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2962, 15, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52079, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 19, 15, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52080, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1851, 8, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52081, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 20, 9, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52082, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 25, 17, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52083, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2981, 13, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52084, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2542, 12, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52085, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 7, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52086, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1990, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52087, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 529, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52088, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 196, 5, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52089, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 127, 26, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52090, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 115, 15, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52091, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 350, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52092, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 941, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52093, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 154, 19, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52094, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 210, 19, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52095, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 165, 19, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52096, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 40, 22, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52097, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 70, 20, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52098, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 94, 23, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52099, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 28, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52100, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1259, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52101, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 1149, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52102, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2930, 12, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52103, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 415, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52104, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 236, 8, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52105, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 16, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52106, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 109, 37, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52107, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 171, 37, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52108, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 21, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52109, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 89, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52110, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 115, 22, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52111, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1946, 42, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52112, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 159, 22, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52113, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 180, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52114, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 334, 16, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52115, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 19, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52116, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 138, 34, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52117, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 110, 38, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52118, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2981, 13, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52119, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2542, 12, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52120, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 383, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52121, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 415, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52122, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1851, 8, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52123, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2962, 15, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52124, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 14, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52125, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1244, 14, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52126, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 7, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52127, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 91, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52128, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 99, 31, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52129, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 132, 28, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52130, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 105, 22, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52131, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 91, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52132, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1990, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52133, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1050, 5, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52134, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 672, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52135, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 935, 31, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52136, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2074, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52137, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 2008, 10, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52138, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52139, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52140, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1466, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52141, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 324, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52142, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 94, 23, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52143, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 254, 45, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52144, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 165, 8, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52145, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 230, 32, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52146, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 146, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52147, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 226, 36, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52148, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 350, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52149, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 27, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52150, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 210, 19, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52151, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 40, 22, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52152, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 70, 20, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52153, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 165, 19, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52154, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 154, 19, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52155, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 264, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52156, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 941, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52157, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 385, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52158, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 207, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52159, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 440, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52160, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 28, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52161, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 265, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52162, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 281, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52163, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 185, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52164, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 111, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52165, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 21, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52166, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 67, 9, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52167, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 173, 8, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52168, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 860, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52169, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 88, 8, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52170, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 174, 1, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52171, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 3495, 2, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52172, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 110, 18, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52173, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 296, 20, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52174, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 530, 5, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52175, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 700, 3, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52176, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2930, 12, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52177, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 230, 6, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52178, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 1149, 7, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52179, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 75, 28, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52180, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1259, 4, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52181, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 48, 11, 2023, 8, 10, '2024-08-05 13:59:58', NULL, NULL), (52182, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 7, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52183, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 214, 139, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52184, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 12, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52185, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 532, 226, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52186, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 442, 14, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52187, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 237, 54, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52188, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 236, 45, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52189, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 162, 251, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52190, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 247, 473, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52191, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 685, 71, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52192, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 53, 128, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52193, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 322, 84, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52194, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 247, 473, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52195, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 247, 120, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52196, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 685, 71, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52197, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 322, 84, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52198, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 162, 251, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52199, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 211, 141, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52200, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 532, 226, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52201, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 53, 128, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52202, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 121, 2, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52203, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 47, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52204, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 98, 9, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52205, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 211, 141, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52206, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 117, 30, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52207, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 422, 81, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52208, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 588, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (52209, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 914, 35, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52210, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 101, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52211, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1766, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52212, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 943, 11, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52213, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 75, 19, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52214, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 117, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52215, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2048, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52216, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 104, 14, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52217, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 12, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52218, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 784, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52219, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 7, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52220, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 165, 12, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52221, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 99, 162, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52222, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 121, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52223, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1052, 72, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52224, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 0, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52225, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 720, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52226, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 207, 32, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52227, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 221, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52228, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 27, 33, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52229, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 279, 22, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 13, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 173, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 892, 2, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 778, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 117, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1013, 12, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 914, 35, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 286, 39, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 136, 25, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 647, 5, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 167, 35, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 631, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 181, 29, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1311, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 220, 21, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1195, 11, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 811, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1098, 17, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 210, 35, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1143, 10, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 281, 49, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 193, 16, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 819, 2, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 33, 11, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 66, 16, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 52, 16, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 104, 12, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 23, 13, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 46, 14, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 169, 23, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 182, 36, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 245, 33, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 49, 12, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 219, 26, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 89, 13, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 275, 26, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 82, 35, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 298, 24, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 51, 9, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 82, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 125, 18, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 402, 47, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 331, 45, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 16, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 8, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 429, 22, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 21, 2, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 29, 21, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 640, 17, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 119, 33, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 280, 31, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 6, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 98, 9, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 12, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 75, 19, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 334, 36, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 867, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 7, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 112, 23, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 101, 23, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 205, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 97, 35, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 99, 29, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 258, 22, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 224, 28, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 720, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 47, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 78, 33, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 59, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 184, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 121, 12, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 220, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 138, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 292, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 82, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 491, 23, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 42, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 9, 9, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 46, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 176, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 32, 9, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 189, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 11, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 26, 10, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 101, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 221, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 117, 30, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 395, 58, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 131, 9, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 5, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 2316, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 917, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 959, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2048, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 121, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 889, 2, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 743, 5, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52327, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 117, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52328, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 943, 11, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52329, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 784, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52330, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 12, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52331, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 588, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52332, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 214, 139, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52333, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 104, 14, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52334, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 121, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52335, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 422, 81, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52336, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 121, 2, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52337, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 117, 30, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52338, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 98, 9, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52339, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 75, 19, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52340, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 27, 33, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52341, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 221, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52342, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 279, 22, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52343, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 720, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52344, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 101, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52345, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 207, 32, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52346, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1052, 72, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52347, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 914, 35, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52348, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 7, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52349, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2048, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52350, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1766, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52351, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 99, 162, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52352, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 165, 12, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52353, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 47, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52354, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 47, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52355, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 101, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52356, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 13, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52357, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 173, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52358, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 117, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52359, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 117, 30, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52360, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 125, 18, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52361, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 7, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52362, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 275, 26, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52363, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 245, 33, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52364, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 219, 26, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52365, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 182, 36, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52366, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 214, 2, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52367, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 231, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52368, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 322, 12, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52369, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 221, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52370, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 743, 5, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52371, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 121, 12, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52372, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 78, 33, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52373, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 82, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52374, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 292, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52375, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 59, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52376, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 184, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52377, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 112, 23, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52378, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2048, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52379, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 12, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52380, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 1766, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52381, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 889, 2, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52382, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 99, 29, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52383, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 97, 35, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52384, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 101, 23, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52385, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 121, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52386, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 138, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52387, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 11, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52388, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 220, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52389, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 819, 2, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52390, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 42, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52391, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1013, 12, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52392, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 32, 9, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52393, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 46, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52394, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 98, 9, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52395, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 273, 14, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52396, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 151, 16, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52397, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 196, 2, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52398, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 18, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52399, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 778, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52400, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 959, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52401, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 2316, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52402, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 917, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52403, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 395, 58, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52404, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 491, 23, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52405, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 720, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52406, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 811, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52407, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 631, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52408, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1311, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52409, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1195, 11, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52410, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1098, 17, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52411, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 75, 19, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52412, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1143, 10, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52413, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 647, 5, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52414, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 914, 35, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52415, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 176, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52416, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 189, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52417, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 9, 9, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52418, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 26, 10, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52419, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 221, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52420, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 959, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52421, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 917, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52422, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 298, 24, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52423, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 2316, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52424, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 169, 23, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52425, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 743, 5, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52426, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 889, 2, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52427, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 82, 35, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52428, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 280, 31, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52429, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 78, 33, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52430, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 121, 12, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52431, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 811, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52432, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 292, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52433, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 82, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52434, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 631, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52435, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 220, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52436, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1311, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52437, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 138, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52438, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 11, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52439, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 32, 9, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52440, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 119, 33, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52441, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 46, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52442, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 640, 17, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52443, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 42, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52444, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 331, 45, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52445, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 402, 47, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52446, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 491, 23, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52447, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 395, 58, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52448, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 117, 30, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52449, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 101, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52450, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 6, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52451, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 334, 36, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52452, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 867, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52453, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 117, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52454, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 75, 19, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52455, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 914, 35, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52456, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 13, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52457, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 98, 9, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52458, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 112, 23, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52459, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 104, 12, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52460, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 173, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52461, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 99, 29, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52462, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 52, 16, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52463, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 892, 2, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52464, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 101, 23, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52465, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 46, 14, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52466, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 778, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52467, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 97, 35, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52468, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 23, 13, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52469, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 89, 13, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52470, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1098, 17, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52471, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 66, 16, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52472, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1195, 11, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52473, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 33, 11, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52474, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 647, 5, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52475, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 49, 12, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52476, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 29, 21, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52477, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 819, 2, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52478, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1143, 10, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52479, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 5, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52480, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1013, 12, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52481, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 131, 9, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52482, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 12, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52483, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 205, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52484, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 224, 28, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52485, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 258, 22, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52486, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 7, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52487, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 245, 33, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52488, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 182, 36, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52489, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 219, 26, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52490, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 275, 26, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52491, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 125, 18, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52492, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 59, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52493, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 720, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52494, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 47, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52495, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 184, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52496, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 121, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52497, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2048, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52498, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 82, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52499, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 21, 2, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52500, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 51, 9, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52501, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 210, 35, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52502, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 16, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52503, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 220, 21, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52504, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 181, 29, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52505, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 429, 22, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52506, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 167, 35, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52507, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 8, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52508, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 136, 25, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52509, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 286, 39, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52510, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 193, 16, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52511, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 281, 49, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52512, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 819, 2, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52513, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1143, 10, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52514, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 13, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52515, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 647, 5, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52516, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2048, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52517, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1195, 11, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52518, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 173, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52519, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1098, 17, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52520, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 46, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52521, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 42, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52522, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 101, 23, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52523, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 97, 35, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52524, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 99, 29, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52525, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 112, 23, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52526, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1013, 12, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52527, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 778, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52528, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 18, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52529, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 914, 35, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52530, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 2316, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52531, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 959, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52532, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 917, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52533, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 11, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52534, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 32, 9, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52535, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 117, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52536, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 125, 18, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52537, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 214, 2, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52538, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 491, 23, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52539, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 220, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52540, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 322, 12, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52541, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 395, 58, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52542, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 231, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52543, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 117, 30, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52544, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 138, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52545, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 245, 33, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52546, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 219, 26, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52547, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 275, 26, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52548, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 182, 36, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52549, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 7, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52550, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 889, 2, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52551, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 743, 5, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52552, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 101, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52553, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 59, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52554, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 12, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52555, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 184, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52556, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 221, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52557, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 196, 2, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52558, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 98, 9, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52559, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 292, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52560, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 82, 6, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52561, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 273, 14, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52562, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 1766, 1, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52563, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 151, 16, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52564, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1311, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52565, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 75, 19, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52566, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 811, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52567, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 121, 7, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52568, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 631, 3, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52569, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 47, 4, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52570, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 78, 33, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52571, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 121, 12, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52572, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 720, 8, 2023, 8, 11, '2024-08-05 13:59:59', NULL, NULL), (52573, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 574, 79, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52574, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 36, 23, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52575, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 45, 11, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52576, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 560, 81, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52577, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 30, 28, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52578, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 45, 11, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52579, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 48, 3, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52580, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 16, 1, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52581, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 55, 6, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 57, 10, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 21, 13, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 53, 2, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 16, 1, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 42, 1, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 115, 16, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1024, 12, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1177, 24, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 131, 7, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 116, 16, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 55, 6, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 4, 1, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 57, 4, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52595, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 55, 6, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52596, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 48, 3, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52597, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 16, 1, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52598, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 4, 1, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52599, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 42, 1, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52600, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 98, 1, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52601, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 16, 1, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52602, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 55, 6, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52603, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 4, 1, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52604, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 42, 1, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52605, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 16, 1, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52606, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 53, 2, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52607, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 57, 4, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52608, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1177, 24, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52609, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1024, 12, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52610, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 55, 6, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52611, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 115, 16, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52612, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 57, 10, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52613, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 131, 7, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52614, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 116, 16, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52615, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 21, 13, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52616, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 4, 1, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52617, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 98, 1, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52618, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 42, 1, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52619, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 55, 6, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52620, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 16, 1, 2023, 8, 12, '2024-08-05 14:00:00', NULL, NULL), (52621, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 1098, 7, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52622, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 225, 57, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52623, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 210, 8, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52624, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 91, 18, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (52625, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 217, 59, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52626, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 1, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52627, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 187, 9, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52628, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 1098, 7, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52629, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 82, 20, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52630, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 122, 9, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52631, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 24, 3, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52632, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52633, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 60, 9, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52634, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1053, 1, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52635, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 2186, 3, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52636, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 1, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 295, 2, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 24, 3, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 182, 6, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 122, 2, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 88, 13, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 161, 5, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 460, 15, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 388, 2, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 1053, 1, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 23, 2, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 2186, 3, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 51, 5, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 60, 9, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 165, 10, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 174, 12, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52652, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 60, 9, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52653, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 24, 3, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52654, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 2186, 3, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52655, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 122, 9, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52656, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1053, 1, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52657, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 1053, 1, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52658, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 122, 2, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52659, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 161, 5, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52660, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 24, 3, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52661, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 23, 2, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52662, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 60, 9, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52663, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 2186, 3, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52664, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 24, 3, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52665, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 2186, 3, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52666, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 1053, 1, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52667, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 161, 5, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52668, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 122, 2, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52669, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 174, 12, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52670, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 388, 2, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52671, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 460, 15, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52672, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 60, 9, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52673, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 23, 2, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52674, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 88, 13, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52675, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 295, 2, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52676, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 51, 5, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52677, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 182, 6, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52678, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 165, 10, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52679, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 2186, 3, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52680, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 24, 3, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52681, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 122, 2, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52682, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 60, 9, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52683, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 161, 5, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52684, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 1053, 1, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52685, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 23, 2, 2023, 8, 13, '2024-08-05 14:00:01', NULL, NULL), (52686, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 4397, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52687, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 135, 117, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52688, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '', 99, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52689, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 71, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52690, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 706, 210, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52691, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 357, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52692, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 90, 75, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52693, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 790, 54, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52694, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 180, 268, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52695, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 715, 507, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52696, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 407, 70, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52697, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 1060, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52698, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 247, 111, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52699, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 68, 161, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52700, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 714, 508, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52701, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 488, 144, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52702, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 407, 70, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52703, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 247, 111, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52704, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 178, 271, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52705, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 133, 119, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52706, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 706, 210, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52707, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 68, 161, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52708, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 77, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52709, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 254, 15, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52710, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 146, 39, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52711, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 133, 119, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52712, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1035, 91, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52713, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 178, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52714, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 507, 38, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52715, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 2311, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52716, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 586, 12, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52717, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 98, 25, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52718, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 224, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52719, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 663, 9, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52720, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 19, 10, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52721, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 71, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52722, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 99, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52723, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 2269, 12, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52724, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 288, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52725, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 4397, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52726, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 269, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52727, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 189, 169, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52728, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 225, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52729, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 4, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52730, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 324, 50, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52731, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 671, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52732, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 91, 58, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52733, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 9, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52734, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 19, 16, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52735, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 90, 17, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52736, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 1060, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 10, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 23, 7, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 8, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 221, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 224, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 507, 38, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1219, 41, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 474, 25, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 471, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1459, 47, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 343, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 255, 9, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 546, 27, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 251, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 895, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1057, 29, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 435, 6, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 521, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 225, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 228, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 789, 30, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 544, 47, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 537, 7, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 18, 17, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 57, 19, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 74, 10, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 77, 12, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 88, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 101, 17, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 81, 23, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 900, 30, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 59, 22, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 269, 17, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 147, 19, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 55, 21, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 86, 26, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 81, 18, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 486, 49, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 63, 9, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1045, 34, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 78, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 87, 11, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 182, 24, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 217, 64, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 282, 55, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 735, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 986, 11, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1219, 23, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 163, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 436, 14, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 64, 16, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 1050, 15, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 213, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 61, 17, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 168, 39, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 269, 11, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 71, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 157, 27, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 98, 25, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 1060, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 791, 11, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D11', 99, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 4397, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 172, 24, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 212, 24, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 68, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 122, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 215, 37, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 82, 24, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 136, 28, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 98, 41, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 671, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 77, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 188, 27, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 288, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 170, 12, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 352, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 323, 7, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 194, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1019, 42, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 46, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 60, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 28, 11, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 7, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 100, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 6, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 28, 17, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 4, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 19, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 2311, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 127, 33, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 248, 6, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 22, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1049, 49, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 14, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 524, 13, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 193, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 746, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 225, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 2546, 7, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 1881, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52840, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 224, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52841, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 586, 12, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52842, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 2269, 12, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52843, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 71, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52844, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 4, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52845, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 178, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52846, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 135, 117, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52847, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 19, 10, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52848, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 225, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52849, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1035, 91, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52850, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 77, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52851, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 146, 39, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52852, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 254, 15, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52853, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 98, 25, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52854, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 19, 16, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52855, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 1060, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52856, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 9, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52857, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 90, 17, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52858, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 671, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52859, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 288, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52860, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '', 99, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52861, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 2311, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52862, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 91, 58, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52863, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 324, 50, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52864, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 507, 38, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52865, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 4397, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52866, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 746, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52867, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 191, 167, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52868, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 269, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52869, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 2311, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52870, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 10, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52871, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 23, 7, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52872, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 224, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52873, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 248, 6, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52874, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 127, 33, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52875, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 182, 24, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52876, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 4397, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52877, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 288, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52878, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 63, 9, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52879, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 147, 19, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52880, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 86, 26, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52881, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 59, 22, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52882, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 122, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52883, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 269, 17, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52884, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 85, 7, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52885, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 86, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52886, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 22, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52887, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52888, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 1881, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52889, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 1060, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52890, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 170, 12, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52891, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 188, 27, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52892, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 194, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52893, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 323, 7, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52894, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 77, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52895, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 172, 24, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52896, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 746, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52897, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 71, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52898, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 4, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52899, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 2546, 7, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52900, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 136, 28, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52901, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 215, 37, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52902, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 212, 24, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52903, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 225, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52904, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 352, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52905, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 6, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52906, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 537, 7, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52907, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 213, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52908, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 60, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52909, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 7, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52910, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52911, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 269, 11, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52912, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 81, 17, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52913, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 101, 33, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52914, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 68, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52915, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 8, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52916, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '1D11', 99, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52917, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 221, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52918, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 19, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52919, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 193, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52920, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1049, 49, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52921, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1019, 42, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52922, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 671, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52923, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 521, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52924, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 343, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52925, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 895, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52926, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 251, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52927, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 435, 6, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52928, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 225, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52929, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 228, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52930, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 98, 25, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52931, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 471, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52932, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 255, 9, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52933, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 507, 38, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52934, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 28, 11, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52935, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 100, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52936, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 46, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52937, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 19, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52938, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 28, 17, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52939, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 4, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52940, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 22, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52941, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52942, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 193, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52943, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1045, 34, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52944, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 900, 30, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52945, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 1881, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52946, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 2546, 7, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52947, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 486, 49, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52948, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 61, 17, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52949, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 188, 27, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52950, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 170, 12, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52951, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 521, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52952, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 323, 7, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52953, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 194, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52954, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 343, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52955, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 352, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52956, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 895, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52957, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 6, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52958, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 1050, 15, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52959, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 7, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52960, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 436, 14, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52961, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52962, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 60, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52963, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 282, 55, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52964, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 217, 64, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52965, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1019, 42, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52966, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1049, 49, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52967, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 248, 6, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52968, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 127, 33, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52969, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 2311, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52970, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 168, 39, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52971, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 157, 27, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52972, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 791, 11, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52973, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 224, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52974, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 98, 25, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52975, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 213, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52976, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 507, 38, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52977, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 10, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52978, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 269, 11, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52979, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 172, 24, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52980, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 23, 7, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52981, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 88, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52982, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 136, 28, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52983, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 77, 12, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52984, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 8, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52985, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 81, 23, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52986, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 212, 24, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52987, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 221, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52988, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 101, 17, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52989, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 215, 37, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52990, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 225, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52991, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 18, 17, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52992, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 435, 6, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52993, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 81, 18, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52994, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 74, 10, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52995, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 251, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52996, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 57, 19, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52997, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 255, 9, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52998, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 471, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (52999, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 55, 21, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53000, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 1060, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53001, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 64, 16, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53002, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 537, 7, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53003, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 228, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53004, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 524, 13, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53005, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 14, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53006, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 71, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53007, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 68, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53008, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 98, 41, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53009, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 82, 24, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53010, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 122, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53011, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 4397, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53012, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 269, 17, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53013, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 147, 19, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53014, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 59, 22, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53015, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 86, 26, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53016, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 63, 9, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53017, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 182, 24, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53018, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 77, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53019, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 671, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53020, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 288, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53021, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 225, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53022, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 746, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53023, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 87, 11, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53024, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 163, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53025, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1219, 23, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53026, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 78, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53027, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 735, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53028, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1057, 29, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53029, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 546, 27, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53030, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 986, 11, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53031, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1459, 47, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53032, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 474, 25, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53033, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1219, 41, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53034, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 544, 47, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53035, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 789, 30, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53036, 1, '511500000000-0001', '宜宾市民中心', '', '市发展改革委', '', '1D11', 99, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53037, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 537, 7, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53038, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 228, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53039, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 10, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53040, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 471, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53041, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 746, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53042, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 251, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53043, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 255, 9, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53044, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 23, 7, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53045, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 225, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53046, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 435, 6, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53047, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53048, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 60, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53049, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 212, 24, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53050, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 215, 37, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53051, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 136, 28, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (53052, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 172, 24, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53053, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 221, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53054, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 8, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53055, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 507, 38, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53056, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 193, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53057, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 6, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53058, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 7, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53059, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 224, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53060, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 19, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53061, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 182, 24, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53062, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1019, 42, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53063, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 127, 33, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53064, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 86, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53065, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1049, 49, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53066, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 85, 7, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53067, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 122, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53068, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 248, 6, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53069, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 352, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53070, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 147, 19, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53071, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 86, 26, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53072, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 63, 9, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53073, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 59, 22, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53074, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 269, 17, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53075, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 4, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53076, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 4397, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53077, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 2546, 7, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53078, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 1881, 5, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53079, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 2311, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53080, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 77, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53081, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 71, 3, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53082, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 22, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53083, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53084, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 68, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53085, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 269, 11, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53086, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 323, 7, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53087, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 194, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53088, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 213, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53089, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 81, 17, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53090, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 101, 33, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53091, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 98, 25, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53092, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 895, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53093, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 521, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53094, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 225, 8, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53095, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 343, 4, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53096, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 188, 27, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53097, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 671, 2, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53098, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 170, 12, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53099, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 288, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53100, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 1060, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53101, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '市发展改革委', '', '1D11', 99, 1, 2023, 8, 14, '2024-08-05 14:00:01', NULL, NULL), (53102, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 8, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53103, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 90, 113, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53104, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 212, 11, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53105, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 101, 37, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53106, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 131, 227, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53107, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 235, 43, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53108, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 801, 74, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53109, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 540, 425, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53110, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 151, 68, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53111, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 135, 113, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53112, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 985, 195, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53113, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 538, 426, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53114, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 168, 96, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53115, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 801, 74, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53116, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 149, 69, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53117, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 131, 228, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53118, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 89, 115, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53119, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 985, 195, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53120, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 135, 113, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53121, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 368, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53122, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 123, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53123, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 5, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53124, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 43, 12, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53125, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 89, 115, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53126, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 216, 43, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53127, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 595, 68, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53128, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 523, 8, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53129, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 772, 34, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53130, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 486, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53131, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 573, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53132, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1391, 8, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53133, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 113, 25, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53134, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1265, 12, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53135, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 228, 9, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53136, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 137, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53137, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 473, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53138, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 375, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53139, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 8, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53140, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 387, 6, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53141, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53142, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 147, 147, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53143, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 8, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53144, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 16, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53145, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2096, 66, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53146, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 74, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53147, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 94, 19, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53148, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53149, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 112, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53150, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 108, 18, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53151, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 137, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 391, 4, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 628, 6, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1265, 12, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 772, 34, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 603, 34, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 596, 21, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1315, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 728, 39, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2094, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1355, 14, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 845, 21, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1498, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 449, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 564, 35, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1316, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 4038, 11, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1647, 8, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 615, 43, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 628, 35, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2794, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 19, 9, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 314, 12, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 229, 9, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 77, 6, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 173, 7, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 117, 21, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 60, 14, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 826, 28, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 42, 16, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 63, 21, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 96, 22, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 121, 13, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 140, 21, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 137, 7, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 58, 16, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 391, 19, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 451, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 38, 8, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 130, 17, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 361, 34, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 504, 54, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 136, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 60, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 287, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 126, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 727, 6, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 290, 22, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 119, 15, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 139, 40, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 57, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 44, 17, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 74, 20, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 32, 7, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 352, 14, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 113, 25, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 339, 7, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 8, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 173, 19, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 89, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 139, 17, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 90, 25, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 260, 29, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 65, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 120, 22, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 74, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 123, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 5, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 286, 4, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 98, 19, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 717, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 102, 16, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 464, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 36, 9, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 198, 12, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 222, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 685, 24, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 5, 11, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 7, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 2, 7, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 7, 6, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 39, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 16, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 3, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 486, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 216, 43, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 546, 44, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 16, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 129, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1491, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 228, 9, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 4, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 10, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 312, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 797, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53249, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1265, 12, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53250, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1391, 8, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53251, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 473, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53252, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 16, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53253, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 90, 113, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53254, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 523, 8, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53255, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 8, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53256, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 137, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53257, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 595, 68, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53258, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 368, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53259, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 5, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53260, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 216, 43, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53261, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 43, 12, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53262, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 113, 25, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53263, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53264, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 112, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53265, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 108, 18, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53266, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 74, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53267, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 375, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53268, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 486, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53269, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 94, 19, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53270, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2096, 66, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53271, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 772, 34, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53272, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 8, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53273, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 228, 9, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53274, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 573, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53275, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 148, 146, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53276, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 387, 6, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53277, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 123, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53278, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 123, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53279, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 486, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53280, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 137, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53281, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1265, 12, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53282, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 216, 43, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53283, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 130, 17, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53284, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 8, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53285, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 204, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53286, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 717, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53287, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 58, 16, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53288, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 96, 22, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53289, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 140, 21, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53290, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 130, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53291, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 42, 16, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53292, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 63, 21, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53293, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 39, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53294, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 136, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53295, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53296, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 797, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53297, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 102, 16, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53298, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 98, 19, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53299, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 198, 12, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53300, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 36, 9, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53301, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 368, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53302, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 173, 19, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53303, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 228, 9, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53304, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 573, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53305, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 16, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53306, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 312, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53307, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 260, 29, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53308, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 90, 25, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53309, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 139, 17, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53310, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 10, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53311, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 464, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53312, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 7, 6, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53313, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 4, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53314, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2794, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53315, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 57, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53316, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53317, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 7, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53318, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 32, 7, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53319, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 92, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53320, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 106, 12, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53321, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 27, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53322, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 209, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53323, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 628, 6, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53324, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 3, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53325, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1491, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53326, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 546, 44, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53327, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 685, 24, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53328, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 5, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53329, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 222, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53330, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 74, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53331, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1316, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53332, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2094, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53333, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 449, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53334, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1498, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53335, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 4038, 11, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53336, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 113, 25, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53337, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1647, 8, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53338, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1315, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53339, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1355, 14, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53340, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 772, 34, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53341, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 2, 7, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53342, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 222, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53343, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 5, 11, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53344, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 3, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53345, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 39, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53346, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 16, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53347, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53348, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1491, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53349, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 391, 19, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53350, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 826, 28, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53351, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 797, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53352, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 312, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53353, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 44, 17, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53354, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 98, 19, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53355, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 102, 16, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53356, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1316, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53357, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 36, 9, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53358, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 198, 12, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53359, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2094, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53360, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 464, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53361, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 449, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53362, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 7, 6, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53363, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53364, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 139, 40, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53365, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 7, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53366, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 290, 22, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53367, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 504, 54, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53368, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 361, 34, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53369, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 685, 24, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53370, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 546, 44, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53371, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 216, 43, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53372, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 486, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53373, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 74, 20, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53374, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 352, 14, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53375, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 339, 7, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53376, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1265, 12, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53377, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 113, 25, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53378, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 57, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53379, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 772, 34, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53380, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 32, 7, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53381, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 173, 19, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53382, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 173, 7, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53383, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 260, 29, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53384, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 137, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53385, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 77, 6, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53386, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 60, 14, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53387, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 139, 17, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53388, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 391, 4, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53389, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 628, 6, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53390, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 117, 21, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53391, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 90, 25, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53392, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 4038, 11, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53393, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 19, 9, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53394, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 137, 7, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53395, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 229, 9, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53396, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1498, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53397, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 314, 12, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53398, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1355, 14, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53399, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1315, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53400, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 121, 13, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53401, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 119, 15, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53402, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2794, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53403, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1647, 8, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53404, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 129, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53405, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 16, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53406, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 89, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53407, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 120, 22, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53408, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 65, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53409, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 8, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53410, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 63, 21, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53411, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 96, 22, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53412, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 42, 16, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53413, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 140, 21, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53414, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 58, 16, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53415, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 130, 17, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53416, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53417, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 286, 4, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53418, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 74, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53419, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 123, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53420, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 717, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53421, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 4, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53422, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 10, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53423, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 228, 9, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53424, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 38, 8, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53425, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 727, 6, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53426, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 126, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53427, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 451, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53428, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 136, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53429, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 564, 35, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53430, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 845, 21, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53431, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 287, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53432, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 728, 39, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53433, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 60, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53434, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 596, 21, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53435, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 603, 34, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53436, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 628, 35, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53437, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 615, 43, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53438, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2794, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53439, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1647, 8, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53440, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1315, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53441, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 228, 9, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53442, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1498, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53443, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1355, 14, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53444, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 4038, 11, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53445, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 137, 10, 2023, 8, 15, '2024-08-05 14:00:04', NULL, NULL), (53446, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 7, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53447, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 139, 17, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53448, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 90, 25, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53449, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 260, 29, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53450, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 173, 19, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53451, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 628, 6, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53452, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 209, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53453, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 772, 34, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53454, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1491, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53455, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 7, 6, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53456, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53457, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1265, 12, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53458, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 3, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53459, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 130, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53460, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 130, 17, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53461, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 685, 24, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53462, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 216, 43, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53463, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 136, 10, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53464, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 546, 44, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (53465, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 39, 5, 2023, 8, 15, '2024-08-05 14:00:04', NULL, NULL), (53466, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 464, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53467, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 96, 22, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53468, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 140, 21, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53469, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 58, 16, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53470, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 42, 16, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53471, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 63, 21, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53472, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 16, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53473, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 8, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53474, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 312, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53475, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 797, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53476, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 486, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53477, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 368, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53478, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53479, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 27, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53480, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 32, 7, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53481, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 36, 9, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53482, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 198, 12, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53483, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 57, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53484, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 92, 5, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53485, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 573, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53486, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 106, 12, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53487, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 449, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53488, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 113, 25, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53489, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1316, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53490, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 222, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53491, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 10, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53492, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 4, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53493, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2094, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53494, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 123, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53495, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 98, 19, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53496, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 74, 3, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53497, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53498, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 102, 16, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53499, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 717, 1, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53500, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 204, 2, 2023, 8, 15, '2024-08-05 14:00:03', NULL, NULL), (53501, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 4620, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53502, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 68, 112, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53503, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 58, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53504, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 122, 40, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53505, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 619, 60, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53506, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 152, 207, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53507, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 412, 70, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53508, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 247, 399, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53509, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 71, 100, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53510, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 60, 62, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53511, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 769, 187, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53512, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 246, 400, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53513, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 453, 103, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53514, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 412, 70, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53515, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 60, 62, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53516, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 152, 207, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53517, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 769, 187, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53518, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 68, 112, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53519, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 71, 100, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53520, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 342, 16, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53521, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 124, 34, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53522, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 68, 112, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53523, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 190, 59, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53524, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 82, 4, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53525, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 541, 31, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53526, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 403, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53527, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 112, 2, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53528, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 520, 12, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53529, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 77, 20, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53530, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 635, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53531, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 8, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53532, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 98, 15, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53533, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53534, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 3560, 7, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53535, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 4620, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53536, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 64, 5, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53537, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 110, 112, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53538, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 385, 9, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53539, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 54, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53540, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1323, 77, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53541, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 58, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53542, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 70, 13, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53543, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 19, 5, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53544, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 54, 7, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53545, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 148, 27, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 297, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 259, 5, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 32, 14, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 17, 10, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 388, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 19, 21, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 77, 20, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 60, 11, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 11, 9, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 57, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 127, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 4620, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 84, 12, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 67, 15, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 187, 16, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 26, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 635, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 119, 28, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 113, 25, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 541, 31, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 81, 23, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 164, 19, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 58, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 119, 13, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 664, 5, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 147, 41, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 359, 30, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 676, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1281, 11, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 63, 16, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1242, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 466, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 166, 29, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 475, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1445, 14, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 157, 13, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1344, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1549, 11, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 78, 4, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 350, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 189, 27, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 148, 40, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1600, 12, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 12, 13, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 217, 27, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 45, 13, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 822, 9, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 27, 7, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 12, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 110, 12, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 62, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 176, 2, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 4, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 36, 17, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 128, 7, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 136, 18, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 54, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 10, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 388, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 78, 16, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 79, 18, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 403, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 39, 19, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 49, 19, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 124, 34, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 25, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 126, 22, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 36, 15, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 19, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 36, 4, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 115, 25, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 166, 32, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 46, 16, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 321, 4, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 234, 38, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 278, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 450, 5, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 333, 16, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 916, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 8, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 59, 18, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 568, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 439, 50, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 20, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 418, 36, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 90, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 189, 2, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 571, 23, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 838, 5, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 3759, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 3560, 7, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 633, 17, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 24, 11, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 22, 18, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53641, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 635, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53642, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 520, 12, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53643, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 3560, 7, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53644, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 54, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53645, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 82, 4, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53646, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 68, 112, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53647, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 385, 9, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53648, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 98, 15, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53649, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 190, 59, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53650, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 124, 34, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53651, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 342, 16, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53652, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 77, 20, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53653, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 54, 7, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53654, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 19, 5, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53655, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 148, 27, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53656, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 58, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53657, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 403, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53658, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 70, 13, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53659, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1323, 77, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53660, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 541, 31, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53661, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 4620, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53662, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 8, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53663, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 112, 2, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53664, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 110, 112, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53665, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 64, 5, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53666, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 403, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53667, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 259, 5, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53668, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 17, 10, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53669, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 635, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53670, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 124, 34, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53671, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 59, 18, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53672, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 4620, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53673, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 46, 16, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53674, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 49, 19, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53675, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 126, 22, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53676, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 312, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53677, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 79, 18, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53678, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 26, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53679, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 39, 19, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53680, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 81, 18, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53681, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 19, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53682, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 25, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53683, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53684, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 3560, 7, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53685, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 157, 13, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53686, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 63, 16, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53687, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 350, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53688, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 84, 12, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53689, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 8, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53690, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 112, 2, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53691, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 54, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53692, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 113, 25, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53693, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 119, 28, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53694, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 67, 15, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53695, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 20, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53696, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 78, 4, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53697, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 4, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53698, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 568, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53699, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1600, 12, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53700, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 297, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53701, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 176, 2, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53702, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 12, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53703, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 388, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53704, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 82, 5, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53705, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 63, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53706, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 57, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53707, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 159, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53708, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 10, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53709, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 916, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53710, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 166, 32, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53711, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 217, 27, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53712, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 58, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53713, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 475, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53714, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 676, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53715, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 466, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53716, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1242, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53717, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1445, 14, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53718, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1344, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53719, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 77, 20, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53720, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1549, 11, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53721, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 664, 5, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53722, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1281, 11, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53723, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 541, 31, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53724, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 27, 7, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53725, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 822, 9, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53726, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 10, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53727, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 36, 17, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53728, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 54, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53729, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 25, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53730, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 19, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53731, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53732, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 916, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53733, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 234, 38, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53734, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 78, 16, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53735, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 3560, 7, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53736, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 187, 16, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53737, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 115, 25, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53738, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 81, 23, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53739, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 26, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53740, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 32, 14, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53741, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 63, 16, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53742, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 157, 13, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53743, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 475, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53744, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 350, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53745, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 676, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53746, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 78, 4, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53747, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 466, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53748, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 4, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53749, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 4620, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53750, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 22, 18, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53751, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 176, 2, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53752, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 12, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53753, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 633, 17, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53754, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 418, 36, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53755, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 439, 50, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53756, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 217, 27, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53757, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 166, 32, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53758, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 124, 34, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53759, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 403, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53760, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 19, 21, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53761, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 60, 11, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53762, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 11, 9, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53763, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 635, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53764, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 77, 20, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53765, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 39, 19, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53766, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 49, 19, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53767, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 297, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53768, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 541, 31, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53769, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 388, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53770, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 259, 5, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53771, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 79, 18, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53772, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 126, 22, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53773, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 46, 16, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53774, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 84, 12, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53775, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 17, 10, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53776, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 113, 25, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53777, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 128, 7, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53778, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 62, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53779, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 388, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53780, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 67, 15, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53781, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 57, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53782, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 127, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53783, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 136, 18, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53784, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 119, 28, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53785, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1344, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53786, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 12, 13, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53787, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 36, 4, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53788, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1445, 14, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53789, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 110, 12, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53790, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1242, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53791, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 45, 13, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53792, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1281, 11, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53793, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 664, 5, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53794, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 36, 15, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53795, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 59, 18, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53796, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 58, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53797, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 568, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53798, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 20, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53799, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 8, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53800, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 24, 11, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53801, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1600, 12, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53802, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1549, 11, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53803, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 333, 16, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53804, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 3759, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53805, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 278, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53806, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 838, 5, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53807, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 450, 5, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53808, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 90, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53809, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 166, 29, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53810, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 359, 30, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53811, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 571, 23, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53812, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 147, 41, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53813, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 189, 2, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53814, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 321, 4, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53815, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 119, 13, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53816, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 164, 19, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53817, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 148, 40, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53818, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 189, 27, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53819, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1600, 12, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53820, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1549, 11, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53821, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 259, 5, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53822, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 8, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53823, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 664, 5, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53824, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1242, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53825, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1281, 11, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53826, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 17, 10, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53827, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1344, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53828, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1445, 14, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53829, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 12, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53830, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 67, 15, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53831, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 119, 28, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53832, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 113, 25, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53833, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 84, 12, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53834, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 159, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53835, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 57, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53836, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 541, 31, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53837, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 916, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53838, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 4, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53839, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 176, 2, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53840, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 635, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53841, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 10, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53842, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 312, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53843, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 59, 18, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53844, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 217, 27, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53845, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 124, 34, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53846, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 81, 18, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53847, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 166, 32, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53848, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 26, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53849, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 78, 4, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53850, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 49, 19, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53851, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 126, 22, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53852, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 46, 16, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53853, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 79, 18, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53854, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 39, 19, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53855, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 54, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53856, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 4620, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53857, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 3560, 7, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53858, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 403, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53859, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 19, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53860, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 25, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53861, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53862, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 63, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53863, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 388, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53864, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 350, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53865, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 112, 2, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53866, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 297, 8, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53867, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 82, 5, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53868, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 77, 20, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53869, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 466, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53870, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 475, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53871, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 20, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53872, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 568, 6, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53873, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 676, 3, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53874, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 63, 16, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53875, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 58, 1, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL), (53876, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 157, 13, 2023, 8, 16, '2024-08-05 14:00:04', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (53877, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 155, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53878, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 597, 89, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53879, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 4, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53880, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 534, 181, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53881, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 803, 9, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53882, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 278, 29, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53883, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 324, 54, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53884, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 165, 240, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53885, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 270, 481, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53886, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 874, 61, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53887, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 75, 110, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53888, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 118, 102, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53889, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 270, 481, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53890, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 347, 95, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53891, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 874, 61, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53892, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 118, 102, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53893, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 164, 242, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53894, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 534, 181, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53895, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 597, 89, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53896, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 75, 110, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53897, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 5, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53898, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 2013, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53899, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 4, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53900, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 50, 12, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53901, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 126, 25, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53902, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 597, 89, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53903, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 366, 70, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53904, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 189, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53905, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1212, 29, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53906, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53907, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 58, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53908, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 486, 6, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53909, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 113, 18, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53910, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1108, 10, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53911, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 400, 13, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53912, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 291, 11, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53913, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 4, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53914, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 964, 6, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53915, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 748, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53916, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 224, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53917, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 155, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53918, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 311, 7, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53919, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 169, 143, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53920, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 296, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53921, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 1869, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53922, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 186, 4, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53923, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 869, 71, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53924, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 145, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53925, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 402, 6, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53926, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 46, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53927, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 49, 7, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53928, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 246, 23, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53929, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 448, 7, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 17, 4, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 234, 4, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 7, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1108, 10, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 1212, 29, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 278, 31, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 331, 21, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 755, 6, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 304, 57, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 196, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 839, 12, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 249, 29, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 945, 13, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 299, 28, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1108, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 115, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1410, 8, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 962, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 889, 6, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 237, 27, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 270, 39, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 390, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 63, 16, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 46, 15, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 66, 11, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 15, 10, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 371, 8, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 100, 23, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 361, 30, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 111, 16, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 1002, 14, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 763, 15, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 4, 7, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 575, 16, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 20, 8, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 123, 33, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 110, 10, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 350, 42, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 28, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 126, 13, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 866, 18, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 252, 40, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 327, 62, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 2164, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 18, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 324, 18, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 574, 9, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 75, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 22, 12, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 109, 42, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 27, 4, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 85, 19, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 62, 8, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 60, 33, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 4, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 113, 18, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 226, 34, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 50, 12, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 155, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 179, 20, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 178, 22, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 165, 14, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 152, 27, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 174, 29, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 384, 15, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 145, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2013, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (53999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 5, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 214, 22, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 748, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 124, 23, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 54, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 424, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 77, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 352, 32, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 32, 10, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 3, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 64, 8, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 143, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 12, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 59, 14, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 202, 7, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 6, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 58, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 18, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 126, 25, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 32, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 53, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 379, 38, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 30, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 32, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 742, 18, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 433, 12, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1869, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 296, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 964, 6, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54028, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1108, 10, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54029, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 486, 6, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54030, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 964, 6, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54031, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 4, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54032, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 186, 4, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54033, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 189, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54034, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 597, 89, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54035, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 291, 11, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54036, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 296, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54037, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 224, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54038, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 366, 70, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54039, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 5, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54040, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 4, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54041, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 126, 25, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54042, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 50, 12, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54043, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 113, 18, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54044, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 49, 7, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54045, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 46, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54046, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 246, 23, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54047, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 145, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54048, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 748, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54049, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 1869, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54050, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 58, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54051, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 402, 6, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54052, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 869, 71, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54053, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1212, 29, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54054, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 155, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54055, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 433, 12, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54056, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 169, 143, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54057, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 311, 7, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54058, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 2013, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54059, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 58, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54060, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 2013, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54061, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 448, 7, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54062, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 17, 4, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54063, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1108, 10, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54064, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 126, 25, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54065, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 866, 18, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54066, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 155, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54067, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 224, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54068, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 748, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54069, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 110, 10, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54070, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 763, 15, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54071, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 575, 16, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54072, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 174, 13, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54073, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 111, 16, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54074, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 1002, 14, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54075, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 339, 10, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54076, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 53, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54077, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 32, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54078, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 18, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54079, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 964, 6, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54080, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 124, 23, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54081, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 214, 22, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54082, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 5, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54083, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 179, 20, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54084, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 433, 12, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54085, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 4, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54086, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 186, 4, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54087, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 174, 29, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54088, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 152, 27, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54089, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 178, 22, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54090, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 296, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54091, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 424, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54092, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 1869, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54093, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 12, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54094, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 54, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54095, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 390, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54096, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 27, 4, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54097, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 143, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54098, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 62, 8, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54099, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 474, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54100, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 41, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54101, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 234, 4, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54102, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 7, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54103, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 6, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54104, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 742, 18, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54105, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 379, 38, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54106, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 352, 32, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54107, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 4, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54108, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 77, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54109, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 145, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54110, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 115, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54111, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 196, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54112, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1108, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54113, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 945, 13, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54114, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1410, 8, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54115, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 962, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54116, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 113, 18, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54117, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 889, 6, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54118, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 755, 6, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54119, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 839, 12, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54120, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 1212, 29, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54121, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 3, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54122, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 64, 8, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54123, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 77, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54124, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 32, 10, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54125, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 6, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54126, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 59, 14, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54127, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 202, 7, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54128, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 32, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54129, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 53, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54130, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 18, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54131, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 742, 18, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54132, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 350, 42, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54133, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 361, 30, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54134, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 964, 6, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54135, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 123, 33, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54136, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 85, 19, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54137, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 214, 22, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54138, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 124, 23, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54139, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 115, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54140, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 196, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54141, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 54, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54142, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 424, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54143, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1108, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54144, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 12, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54145, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 109, 42, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54146, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 143, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54147, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 327, 62, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54148, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 252, 40, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54149, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 352, 32, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54150, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 379, 38, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54151, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 126, 25, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54152, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 58, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54153, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 60, 33, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54154, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 226, 34, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54155, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 50, 12, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54156, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 113, 18, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54157, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1108, 10, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54158, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 27, 4, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54159, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 1212, 29, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54160, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 448, 7, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54161, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 62, 8, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54162, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 179, 20, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54163, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 371, 8, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54164, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 17, 4, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54165, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 174, 29, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54166, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 15, 10, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54167, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 234, 4, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54168, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 178, 22, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54169, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 7, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54170, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 152, 27, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54171, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 100, 23, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54172, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 962, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54173, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 63, 16, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54174, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1410, 8, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54175, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 20, 8, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54176, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 945, 13, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54177, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 66, 11, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54178, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 46, 15, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54179, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 839, 12, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54180, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 755, 6, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54181, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 4, 7, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54182, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 22, 12, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54183, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 390, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54184, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 889, 6, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54185, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 32, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54186, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 30, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54187, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 4, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54188, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 165, 14, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54189, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 384, 15, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54190, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 155, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54191, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 1002, 14, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54192, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 763, 15, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54193, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 111, 16, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54194, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 575, 16, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54195, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 110, 10, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54196, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 866, 18, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54197, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54198, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54199, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 145, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54200, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2013, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54201, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 748, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54202, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1869, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54203, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 296, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54204, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 433, 12, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54205, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 126, 13, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54206, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 75, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54207, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 574, 9, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54208, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 28, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54209, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 2164, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54210, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 299, 28, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54211, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 249, 29, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54212, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 324, 18, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54213, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 304, 57, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54214, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 18, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54215, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 331, 21, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54216, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 278, 31, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54217, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 270, 39, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54218, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 237, 27, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54219, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 390, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54220, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 889, 6, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54221, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 448, 7, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54222, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 433, 12, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54223, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 755, 6, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54224, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 945, 13, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54225, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 839, 12, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54226, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 962, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54227, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 17, 4, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54228, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1410, 8, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54229, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 178, 22, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54230, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 152, 27, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54231, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 174, 29, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54232, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 179, 20, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54233, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 224, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54234, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 7, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54235, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 234, 4, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54236, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 1212, 29, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54237, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 742, 18, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54238, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 12, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54239, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 143, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54240, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1108, 10, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54241, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 6, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54242, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 174, 13, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54243, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 866, 18, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54244, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 352, 32, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54245, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 54, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54246, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 126, 25, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54247, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 339, 10, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54248, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 379, 38, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54249, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 424, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54250, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 763, 15, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54251, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 575, 16, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54252, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 110, 10, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54253, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 111, 16, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54254, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 1002, 14, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54255, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 186, 4, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54256, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 155, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54257, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 964, 6, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54258, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 58, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54259, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54260, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 4, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54261, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 53, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54262, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 32, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54263, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 18, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54264, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 1869, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54265, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 41, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54266, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 62, 8, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54267, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 27, 4, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54268, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 474, 5, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54269, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 113, 18, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54270, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1108, 2, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54271, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 115, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54272, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 77, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54273, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 296, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54274, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 196, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54275, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 2013, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54276, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 214, 22, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54277, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54278, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 145, 3, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54279, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 124, 23, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54280, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 748, 1, 2023, 8, 17, '2024-08-05 14:00:05', NULL, NULL), (54281, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 245, 92, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54282, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 842, 8, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54283, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 203, 37, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54284, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 47, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54285, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 946, 38, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54286, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 108, 190, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54287, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1159, 73, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54288, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 305, 456, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54289, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 180, 84, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54290, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 63, 115, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (54291, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1150, 243, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54292, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 303, 459, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54293, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 584, 86, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54294, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1159, 73, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54295, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 178, 85, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54296, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 107, 191, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54297, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1150, 243, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54298, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 242, 93, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54299, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 63, 115, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54300, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 16, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54301, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 6, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54302, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 358, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54303, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 22, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54304, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 1211, 45, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54305, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 242, 93, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54306, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 908, 82, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54307, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 2365, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54308, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 963, 38, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54309, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54310, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 325, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54311, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1688, 21, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54312, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 230, 24, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54313, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1505, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54314, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 884, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54315, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 4435, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54316, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 15, 8, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54317, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 47, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54318, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 534, 8, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54319, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 831, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54320, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54321, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 12, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54322, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 59, 99, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54323, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 198, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54324, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 166, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54325, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1594, 91, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54326, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 134, 7, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54327, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 132, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54328, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 5, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54329, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54330, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 219, 30, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 21, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 239, 20, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 120, 27, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 13, 6, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 22, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 47, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 147, 26, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 230, 24, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 598, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 7, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 3151, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 63, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 775, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 83, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1505, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 53, 23, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 135, 13, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 76, 15, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 963, 38, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 133, 20, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 279, 21, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 132, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 206, 24, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 358, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 583, 7, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 202, 49, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2220, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1720, 6, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1288, 10, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 293, 24, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1517, 7, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1565, 10, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 831, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 43, 16, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 204, 22, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 16, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 44, 17, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1814, 8, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1057, 10, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 3167, 7, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1882, 13, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 12, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 400, 23, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 194, 42, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1156, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 854, 36, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 64, 11, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 61, 16, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 84, 21, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 45, 17, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 163, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 32, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 86, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 166, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 53, 12, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 5, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 269, 39, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 101, 16, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 325, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 105, 19, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 5, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 1211, 45, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 439, 13, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 70, 15, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 209, 16, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 6, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 88, 15, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 951, 46, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 30, 26, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 142, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 12, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 283, 31, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 140, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 4835, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1671, 31, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 482, 11, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1105, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 564, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 494, 60, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 198, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 522, 74, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 14, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 247, 13, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 450, 7, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 105, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 534, 8, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 54, 16, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 57, 21, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54423, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1505, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54424, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1688, 21, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54425, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 534, 8, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54426, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 47, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54427, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 166, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54428, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 2365, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54429, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 245, 92, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54430, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 15, 8, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54431, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 198, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54432, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 908, 82, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54433, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 16, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54434, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '', 6, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54435, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 1211, 45, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54436, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 22, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54437, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 230, 24, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54438, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54439, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 5, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54440, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 219, 30, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54441, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 132, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54442, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 831, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54443, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 4435, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54444, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 134, 7, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54445, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 325, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54446, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1594, 91, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54447, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 963, 38, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54448, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1105, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54449, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 59, 99, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54450, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 12, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54451, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 358, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54452, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 325, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54453, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 358, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54454, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 21, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54455, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 13, 6, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54456, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D23', 4435, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54457, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1505, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54458, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 1211, 45, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54459, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 564, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54460, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 831, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54461, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 142, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54462, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 439, 13, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54463, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 209, 16, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54464, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 101, 16, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54465, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 775, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54466, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 105, 19, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54467, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 150, 10, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54468, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 122, 16, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54469, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 6, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54470, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 5, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54471, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 534, 8, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54472, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 44, 17, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54473, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 43, 16, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54474, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 16, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54475, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 63, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54476, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1105, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54477, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 47, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54478, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 166, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54479, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 76, 15, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54480, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 53, 23, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54481, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 83, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54482, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 198, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54483, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 12, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54484, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1156, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54486, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54487, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54488, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54489, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 22, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54490, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 82, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54491, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 174, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54492, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 7, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54493, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 3151, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54494, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1671, 31, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54495, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 951, 46, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54496, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 854, 36, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54497, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D23', 6, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54498, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 132, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54499, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1814, 8, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54500, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1720, 6, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54501, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1517, 7, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54502, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1565, 10, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54503, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1057, 10, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54504, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 3167, 7, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54505, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 230, 24, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54506, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1882, 13, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54507, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 583, 7, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54508, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1288, 10, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54509, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 963, 38, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54510, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 163, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54511, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 61, 16, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54512, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 86, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54513, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 47, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54514, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 166, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54515, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 6, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54516, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 5, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54517, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1671, 31, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54518, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 283, 31, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54519, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 269, 39, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54520, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 534, 8, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54521, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 775, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54522, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 133, 20, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54523, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 30, 26, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54524, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 135, 13, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54525, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 239, 20, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54526, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 43, 16, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54527, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 44, 17, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54528, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1814, 8, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54529, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1720, 6, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54530, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1517, 7, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54531, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 12, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54532, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54533, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54534, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 57, 21, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54535, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54536, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54537, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 522, 74, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54538, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 494, 60, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54539, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 854, 36, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54540, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 951, 46, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54541, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 1211, 45, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54542, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 325, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54543, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 120, 27, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54544, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 147, 26, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54545, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 598, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54546, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1505, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54547, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 105, 19, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54548, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 230, 24, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54549, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 439, 13, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54550, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 963, 38, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54551, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 21, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54552, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 101, 16, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54553, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 22, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54554, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 209, 16, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54555, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 142, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54556, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 63, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54557, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 32, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54558, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 13, 6, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54559, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 76, 15, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54560, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 45, 17, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54561, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 5, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54562, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 7, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54563, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 83, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54564, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 3151, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54565, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 53, 12, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54566, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 53, 23, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54567, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 3167, 7, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54568, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 88, 15, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54569, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1057, 10, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54570, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1565, 10, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54571, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 84, 21, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54572, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 64, 11, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54573, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1288, 10, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54574, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 583, 7, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54575, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 70, 15, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54576, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 564, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54577, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2220, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54578, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 831, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54579, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 132, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54580, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 358, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54581, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 16, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54582, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 198, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54583, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1105, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54584, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 54, 16, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54585, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1156, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54586, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1882, 13, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54587, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 482, 11, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54588, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 140, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54589, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 105, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54590, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 450, 7, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54591, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 4835, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54592, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 204, 22, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54593, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 293, 24, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54594, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 247, 13, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54595, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 202, 49, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54596, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 14, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54597, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 12, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54598, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 206, 24, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54599, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 279, 21, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54600, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 194, 42, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54601, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 400, 23, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54602, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1156, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54603, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1882, 13, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54604, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 21, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54605, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1105, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54606, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 583, 7, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54607, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1565, 10, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54608, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1288, 10, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54609, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 3167, 7, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54610, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 13, 6, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54611, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1057, 10, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54612, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54613, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54614, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 83, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54615, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 53, 23, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54616, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 76, 15, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54617, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 63, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54618, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 3151, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54619, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 7, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54620, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 963, 38, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54621, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1671, 31, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54622, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D23', 4435, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54623, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54624, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54625, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1505, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54626, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 775, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54627, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 564, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54628, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 854, 36, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54629, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 1211, 45, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54630, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 122, 16, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54631, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 951, 46, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54632, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 150, 10, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54633, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 12, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54634, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 439, 13, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54635, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 209, 16, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54636, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 142, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54637, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 101, 16, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54638, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 105, 19, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54639, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 166, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54640, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 534, 8, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54641, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 325, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54642, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 47, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54643, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 16, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54644, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 6, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54645, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 5, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54646, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 22, 14, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54647, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 82, 3, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54648, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 174, 4, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54649, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1517, 7, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54650, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 230, 24, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54651, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1814, 8, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54652, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 198, 5, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54653, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1720, 6, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54654, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 358, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54655, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 43, 16, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54656, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 132, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54657, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 1, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54658, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 44, 17, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54659, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 831, 2, 2023, 8, 18, '2024-08-05 14:00:06', NULL, NULL), (54660, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 1713, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54661, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 242, 4, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54662, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 135, 8, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54663, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 211, 84, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54664, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 46, 14, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54665, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1025, 14, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54666, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 204, 87, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54667, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 193, 5, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54668, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54669, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 46, 14, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54670, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 120, 9, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54671, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 1713, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54672, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1025, 14, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54673, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 702, 6, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54674, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 83, 5, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54675, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 138, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54676, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 271, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54677, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 1713, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54678, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54679, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 3287, 3, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54680, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 277, 3, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54681, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 120, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54682, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54683, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 53, 6, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 271, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 18, 10, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 39, 21, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 750, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 104, 4, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 7, 4, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 74, 4, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 4, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 455, 3, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 81, 3, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 692, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 429, 8, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 285, 28, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 1713, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 242, 4, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 120, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 17, 9, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 649, 8, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 3287, 3, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54705, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 138, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54706, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 702, 6, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (54707, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 1713, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54708, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 3287, 3, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54709, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 271, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54710, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 104, 4, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54711, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 120, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54712, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54713, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 277, 3, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54714, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54715, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 271, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54716, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 120, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54717, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 138, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54718, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 666, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54719, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 41, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54720, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 692, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54721, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 104, 4, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54722, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 1713, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54723, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 277, 3, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54724, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1457, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54725, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 3287, 3, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54726, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 104, 4, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54727, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 271, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54728, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 1713, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54729, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 53, 6, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54730, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 4, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54731, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 120, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54732, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 81, 3, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54733, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 692, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54734, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54735, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 455, 3, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54736, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 750, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54737, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 285, 28, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54738, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 429, 8, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54739, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 3287, 3, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54740, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 242, 4, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54741, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 39, 21, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54742, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 18, 10, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54743, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 649, 8, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54744, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 7, 4, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54745, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 74, 4, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54746, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 17, 9, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54747, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 138, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54748, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 120, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54749, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 271, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54750, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 1713, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54751, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 104, 4, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54752, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1457, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54753, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 666, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54754, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 41, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54755, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 692, 2, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54756, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54757, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 277, 3, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54758, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 3287, 3, 2023, 8, 19, '2024-08-05 14:00:07', NULL, NULL), (54759, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 743, 10, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54760, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 852, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54761, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 385, 69, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54762, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 119, 5, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54763, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 22, 11, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54764, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 374, 71, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54765, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 852, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54766, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 20, 12, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54767, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 743, 10, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54768, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 5, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54769, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 119, 5, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54770, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 194, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54771, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 289, 2, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54772, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 57, 2, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54773, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 5, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54774, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 3, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54775, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 21, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54776, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 1185, 6, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54777, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 852, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 76, 6, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 852, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 6, 3, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 28, 8, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 93, 16, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 2, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 429, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 57, 2, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 12, 2, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 21, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 194, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 149, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 708, 28, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 1346, 4, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 861, 2, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 244, 10, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 258, 9, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54795, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 21, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54796, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 852, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54797, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 57, 2, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54798, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 289, 2, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54799, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 1185, 6, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54800, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 194, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54801, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 3, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54802, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 852, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54803, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 21, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54804, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 149, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54805, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 57, 2, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54806, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 429, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54807, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 6, 3, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54808, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 194, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54809, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 861, 2, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54810, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 1346, 4, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54811, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 57, 2, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54812, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 852, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54813, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 21, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54814, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 194, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54815, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 861, 2, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54816, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 1346, 4, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54817, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 149, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54818, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 429, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54819, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 6, 3, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54820, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 708, 28, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54821, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 93, 16, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54822, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 28, 8, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54823, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 76, 6, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54824, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 2, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54825, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 258, 9, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54826, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 12, 2, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54827, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 244, 10, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54828, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 6, 3, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54829, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 1346, 4, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54830, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 861, 2, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54831, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 149, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54832, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 194, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54833, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 57, 2, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54834, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 852, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54835, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 429, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54836, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 21, 1, 2023, 8, 20, '2024-08-05 14:00:08', NULL, NULL), (54837, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 63, 117, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54838, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 44, 13, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54839, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 240, 39, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54840, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 8860, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54841, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 370, 50, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54842, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 136, 266, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54843, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 814, 91, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54844, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 838, 580, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54845, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 51, 83, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54846, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 220, 133, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54847, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 3269, 174, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54848, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 838, 580, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54849, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 633, 115, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54850, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 797, 93, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54851, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 217, 135, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54852, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 136, 266, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54853, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 63, 117, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54854, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 3269, 174, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54855, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 51, 83, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54856, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54857, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 6, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54858, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 63, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54859, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 4988, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54860, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 196, 11, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54861, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 63, 117, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54862, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 196, 44, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54863, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 8999, 61, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54864, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 862, 13, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54865, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 666, 32, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54866, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 768, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54867, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 139, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54868, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1628, 20, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54869, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 110, 40, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54870, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 618, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54871, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 178, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54872, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 219, 18, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54873, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 8860, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54874, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 552, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54875, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 8, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54876, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54877, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54878, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 82, 136, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54879, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 640, 11, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54880, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 2087, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54881, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 1652, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54882, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 128, 58, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54883, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 97, 16, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54884, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 43, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54885, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 194, 9, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54886, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54887, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 340, 23, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 111, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 261, 13, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 873, 13, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 618, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 666, 32, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 692, 24, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 941, 25, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 39, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 956, 45, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 68, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1366, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 722, 39, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 52, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1508, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 869, 28, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 104, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1994, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 100, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 730, 53, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 339, 10, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 1002, 31, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 746, 62, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 103, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 40, 14, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 3, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 51, 9, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 135, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 17, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 5, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 4, 10, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 1024, 27, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 30, 19, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 46, 19, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 27, 21, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 105, 11, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 195, 21, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 172, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 31, 18, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 145, 27, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1118, 33, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 579, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 131, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 40, 19, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1070, 54, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1039, 102, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 70, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 103, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 514, 10, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 468, 16, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 93, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 18, 11, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 78, 30, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 161, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 184, 60, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 257, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 8860, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 110, 40, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 229, 50, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 285, 19, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 76, 19, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 100, 17, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 571, 12, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 68, 29, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 80, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 91, 25, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 98, 20, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 50, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 63, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 6, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 68, 23, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 8, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 105, 18, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 15, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 62, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 245, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 13510, 38, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 9, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 61, 12, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 27, 10, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 148, 10, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 42, 10, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 1652, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 768, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 370, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 196, 44, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 20, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 42, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1547, 23, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 469, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 4, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 107, 11, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 59, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 119, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 178, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1061, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 460, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 552, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54988, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 618, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54989, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1628, 20, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54990, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 552, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54991, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 8860, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54992, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 1652, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54993, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 934, 12, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54994, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 63, 117, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54995, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 219, 18, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54996, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 640, 11, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54997, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 8999, 61, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54998, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 6, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (54999, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 196, 44, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55000, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 196, 11, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55001, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 110, 40, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55002, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55003, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 194, 9, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55004, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 340, 23, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55005, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 50, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55006, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 8, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55007, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 2087, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55008, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 768, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55009, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 97, 16, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55010, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 128, 58, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55011, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 666, 32, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55012, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 178, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55013, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 139, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55014, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 82, 136, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55015, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 4988, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55016, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55017, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 63, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55018, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 768, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55019, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 63, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55020, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 111, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55021, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 261, 13, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55022, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 618, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55023, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 196, 44, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55024, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 40, 19, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55025, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 8, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55026, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 31, 18, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55027, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 27, 21, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55028, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 195, 21, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55029, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 1215, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55030, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 30, 19, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55031, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 46, 19, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55032, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 113, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55033, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 4988, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55034, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 93, 14, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55035, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 42, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55036, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 20, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55037, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 370, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55038, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 552, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55039, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 105, 18, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55040, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 68, 23, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55041, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 62, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55042, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 6, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55043, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 76, 19, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55044, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 178, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55045, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 8860, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55046, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 139, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55047, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 1652, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55048, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 91, 25, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55049, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 68, 29, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55050, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 100, 17, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55051, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 460, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55052, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 15, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55053, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 2087, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55054, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55055, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55056, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 855, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55057, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 103, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55058, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 9, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55059, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 161, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55060, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55061, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 257, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55062, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 36, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55063, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 110, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55064, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 111, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55065, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 934, 12, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55066, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 119, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55067, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 107, 11, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55068, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 59, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55069, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1547, 23, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55070, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 13510, 38, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55071, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 245, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55072, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 50, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55073, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1994, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55074, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1366, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55075, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1508, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55076, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 52, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55077, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 104, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55078, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 100, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55079, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 110, 40, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55080, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 339, 10, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55081, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 39, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55082, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 68, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55083, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 666, 32, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55084, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 27, 10, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55085, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 148, 10, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55086, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 245, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55087, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 61, 12, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55088, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 42, 10, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55089, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 1652, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55090, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 20, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55091, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 42, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55092, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 370, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55093, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 119, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55094, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 59, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55095, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 107, 11, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55096, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1118, 33, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55097, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 1024, 27, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55098, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 552, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55099, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 145, 27, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55100, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 68, 23, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55101, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 105, 18, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55102, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1994, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55103, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 62, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55104, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55105, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1366, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55106, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 15, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55107, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1508, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55108, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55109, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 78, 30, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55110, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55111, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 9, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55112, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1039, 102, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55113, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1070, 54, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55114, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 13510, 38, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55115, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1547, 23, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55116, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 196, 44, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55117, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 768, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55118, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 184, 60, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55119, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 229, 50, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55120, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 285, 19, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55121, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 110, 40, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55122, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 618, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55123, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 161, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55124, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 666, 32, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55125, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 111, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55126, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 257, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55127, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 76, 19, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55128, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 17, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (55129, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 261, 13, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55130, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 91, 25, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55131, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 135, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55132, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 100, 17, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55133, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 4, 10, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55134, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 873, 13, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55135, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 5, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55136, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 68, 29, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55137, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 40, 14, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55138, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 100, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55139, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 172, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55140, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 104, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55141, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 52, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55142, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 51, 9, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55143, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 3, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55144, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 68, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55145, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 39, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55146, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 105, 11, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55147, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 18, 11, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55148, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 103, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55149, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 339, 10, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55150, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 4, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55151, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 469, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55152, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 8860, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55153, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 571, 12, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55154, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 98, 20, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55155, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 80, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55156, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 46, 19, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55157, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 27, 21, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55158, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 30, 19, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55159, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 195, 21, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55160, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 31, 18, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55161, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 40, 19, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55162, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55163, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 50, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55164, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 63, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55165, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 8, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55166, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1061, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55167, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 460, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55168, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 178, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55169, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 131, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55170, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 93, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55171, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 468, 16, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55172, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 579, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55173, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 730, 53, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55174, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 70, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55175, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 869, 28, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55176, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 722, 39, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55177, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 514, 10, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55178, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 956, 45, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55179, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 103, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55180, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 941, 25, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55181, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 692, 24, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55182, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 746, 62, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55183, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 1002, 31, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55184, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 103, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55185, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 339, 10, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55186, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 111, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55187, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 39, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55188, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 178, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55189, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 52, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55190, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 68, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55191, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 261, 13, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55192, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 100, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55193, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 104, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55194, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55195, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 9, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55196, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 100, 17, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55197, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 68, 29, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55198, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 91, 25, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55199, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 76, 19, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55200, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 934, 12, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55201, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 666, 32, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55202, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 107, 11, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55203, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 119, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55204, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 59, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55205, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55206, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 618, 8, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55207, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 1215, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55208, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 40, 19, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55209, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 13510, 38, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55210, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55211, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 196, 44, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55212, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 93, 14, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55213, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1547, 23, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55214, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 113, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55215, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 15, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55216, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 4988, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55217, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 27, 21, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55218, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 195, 21, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55219, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 31, 18, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55220, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 30, 19, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55221, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 46, 19, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55222, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 1652, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55223, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 552, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55224, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 768, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55225, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55226, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 8860, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55227, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 42, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55228, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 20, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55229, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 370, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55230, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 2087, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55231, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 111, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55232, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 257, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55233, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 62, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55234, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 36, 3, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55235, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 161, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55236, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 139, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55237, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 110, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55238, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 110, 40, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55239, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1508, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55240, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1994, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55241, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 245, 2, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55242, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 460, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55243, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 855, 5, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55244, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1366, 7, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55245, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 63, 4, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55246, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 68, 23, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55247, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 50, 6, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55248, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 105, 18, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55249, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 8, 1, 2023, 8, 21, '2024-08-05 14:00:09', NULL, NULL), (55250, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 1198, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55251, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 220, 114, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55252, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 299, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55253, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 556, 216, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55254, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 402, 10, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55255, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 46, 23, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55256, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 322, 66, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55257, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 136, 211, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55258, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 803, 75, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55259, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 363, 475, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55260, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 227, 103, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55261, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 31, 109, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55262, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 361, 477, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55263, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 265, 105, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55264, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 803, 75, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55265, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 227, 103, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55266, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 133, 215, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55267, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 220, 114, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55268, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 556, 216, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55269, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 31, 109, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55270, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 4, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55271, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 524, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55272, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 866, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55273, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 139, 9, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55274, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 219, 37, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55275, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 220, 114, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55276, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 960, 99, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55277, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 608, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55278, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 766, 43, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55279, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55280, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 249, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55281, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 721, 13, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55282, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 355, 27, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55283, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 95, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55284, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 287, 9, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55285, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1498, 10, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55286, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 299, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55287, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 217, 7, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55288, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 10, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55289, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 599, 2, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55290, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 765, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55291, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 65, 113, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55292, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 4, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55293, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 7, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55294, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 221, 64, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55295, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 0, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55296, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 28, 2, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55297, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 498, 7, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55298, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55299, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 29, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55300, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 48, 21, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 2678, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 317, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 608, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 95, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 766, 43, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 479, 38, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 123, 19, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 153, 8, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 664, 40, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 193, 10, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 631, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 481, 23, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 308, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 824, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 415, 22, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 249, 7, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 698, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 267, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 495, 43, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 159, 9, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 367, 41, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 453, 45, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 346, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 33, 12, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 47, 12, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 14, 13, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 47, 13, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 69, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 6, 10, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 22, 9, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 245, 19, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 524, 19, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 138, 21, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 33, 8, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 106, 20, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 8, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 30, 27, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 225, 17, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 500, 26, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 397, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 267, 11, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 88, 18, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 262, 48, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 263, 78, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 364, 8, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 112, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 304, 18, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 412, 13, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 339, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 30, 20, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 51, 25, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 139, 9, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 166, 48, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 299, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 339, 45, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 355, 27, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 27, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 1198, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 68, 17, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 69, 17, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 75, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 49, 24, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 41, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 67, 14, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 42, 16, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 498, 7, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 524, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 7, 2, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 76, 22, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 65, 13, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 638, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 69, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 63, 2, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 927, 55, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 5, 10, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 28, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 278, 10, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 2, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 11, 15, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 2035, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 249, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 8, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 219, 37, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 26, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1002, 44, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 15, 2, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 8, 2, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 206, 10, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 275, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 293, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 431, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 7, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 4, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 233, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 177, 2, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55398, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 95, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55399, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 721, 13, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55400, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 217, 7, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55401, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 299, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55402, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 608, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55403, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 220, 114, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55404, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1498, 10, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55405, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 4, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55406, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 960, 99, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55407, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 4, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55408, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 219, 37, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55409, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 139, 9, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55410, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 355, 27, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55411, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55412, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 29, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55413, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 48, 21, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55414, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 498, 7, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55415, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 10, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55416, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 7, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55417, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 28, 2, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55418, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 249, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55419, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 221, 64, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55420, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 766, 43, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55421, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 1198, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55422, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 431, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55423, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 65, 113, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55424, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 866, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55425, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 765, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55426, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 524, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55427, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 524, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55428, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 249, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55429, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 2678, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55430, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 317, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55431, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 95, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55432, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 219, 37, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55433, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 88, 18, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55434, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 1198, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55435, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 10, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55436, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 225, 17, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55437, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 138, 21, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55438, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 106, 20, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55439, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 75, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55440, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 245, 19, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55441, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 524, 19, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55442, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 45, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55443, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 866, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55444, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 43, 15, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55445, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 26, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55446, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 8, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55447, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 177, 2, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55448, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 65, 13, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55449, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 76, 22, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55450, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 69, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55451, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 4, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55452, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 68, 17, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55453, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 431, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55454, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 299, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55455, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 233, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55456, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 67, 14, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55457, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 49, 24, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55458, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 69, 17, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55459, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 4, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55460, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 638, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55461, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 2, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55462, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 7, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55463, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55464, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 346, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55465, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55466, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 139, 9, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55467, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 32, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55468, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 25, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55469, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 608, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55470, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 2035, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55471, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 293, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55472, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 206, 10, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55473, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 275, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55474, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1002, 44, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55475, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 927, 55, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55476, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 63, 2, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55477, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 498, 7, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55478, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 698, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55479, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 631, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55480, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 824, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55481, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 308, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55482, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 249, 7, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55483, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 267, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55484, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 159, 9, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55485, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 355, 27, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55486, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 153, 8, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55487, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 193, 10, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55488, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 766, 43, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55489, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 28, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55490, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 278, 10, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55491, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 63, 2, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55492, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 5, 10, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55493, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 2035, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55494, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 11, 15, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55495, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 26, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55496, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 8, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55497, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 293, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55498, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 275, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55499, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 206, 10, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55500, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 500, 26, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55501, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 177, 2, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55502, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 233, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55503, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 30, 27, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55504, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 76, 22, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55505, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 65, 13, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55506, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 698, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55507, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 69, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55508, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55509, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 631, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55510, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 638, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55511, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 824, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55512, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 2, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55513, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 51, 25, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55514, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55515, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 263, 78, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55516, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 262, 48, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55517, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 927, 55, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55518, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1002, 44, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55519, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 219, 37, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55520, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 249, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55521, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 166, 48, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55522, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 339, 45, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55523, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 27, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55524, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 95, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55525, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 355, 27, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55526, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 766, 43, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55527, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 2678, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55528, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 139, 9, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55529, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 68, 17, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55530, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 69, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55531, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 317, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55532, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 67, 14, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55533, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 47, 13, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55534, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 69, 17, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55535, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 608, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55536, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 22, 9, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55537, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 6, 10, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55538, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 49, 24, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55539, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 267, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55540, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 33, 12, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55541, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 8, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55542, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 249, 7, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55543, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 308, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55544, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 14, 13, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55545, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 193, 10, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (55546, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 47, 12, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55547, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 153, 8, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55548, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 33, 8, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55549, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 30, 20, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55550, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 346, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55551, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 159, 9, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55552, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 8, 2, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55553, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 15, 2, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55554, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 299, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55555, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 75, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55556, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 42, 16, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55557, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 41, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55558, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 1198, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55559, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 524, 19, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55560, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 138, 21, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55561, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 245, 19, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55562, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 106, 20, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55563, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 225, 17, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55564, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 88, 18, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55565, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 7, 2, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55566, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 498, 7, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55567, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 524, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55568, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 7, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55569, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 4, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55570, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 431, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55571, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 267, 11, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55572, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 339, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55573, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 412, 13, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55574, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 397, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55575, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 495, 43, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55576, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 364, 8, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55577, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 415, 22, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55578, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 481, 23, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55579, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 304, 18, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55580, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 664, 40, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55581, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 112, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55582, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 123, 19, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55583, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 479, 38, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55584, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 453, 45, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55585, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 367, 41, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55586, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 346, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55587, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 159, 9, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55588, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 2678, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55589, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 153, 8, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55590, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 431, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55591, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 308, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55592, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 193, 10, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55593, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 267, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55594, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 317, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55595, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 249, 7, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55596, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55597, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 69, 17, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55598, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 49, 24, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55599, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 67, 14, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55600, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 68, 17, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55601, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 608, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55602, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 766, 43, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55603, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 206, 10, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55604, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 293, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55605, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 275, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55606, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 2, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55607, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 95, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55608, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 2035, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55609, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 88, 18, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55610, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 75, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55611, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 927, 55, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55612, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55613, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 219, 37, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55614, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 43, 15, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55615, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1002, 44, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55616, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 45, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55617, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 638, 4, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55618, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 866, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55619, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 138, 21, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55620, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 106, 20, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55621, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 225, 17, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55622, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 245, 19, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55623, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 524, 19, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55624, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 1198, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55625, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 233, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55626, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 177, 2, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55627, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 249, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55628, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55629, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 299, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55630, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 26, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55631, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 8, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55632, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 7, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55633, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 139, 9, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55634, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 69, 6, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55635, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 32, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55636, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 25, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55637, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 824, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55638, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 355, 27, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55639, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 698, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55640, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 63, 2, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55641, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 4, 3, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55642, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 631, 5, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55643, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 524, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55644, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 76, 22, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55645, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 498, 7, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55646, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 65, 13, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55647, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 10, 1, 2023, 8, 22, '2024-08-05 14:00:10', NULL, NULL), (55648, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 69, 112, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55649, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 856, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55650, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 77, 32, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55651, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 881, 40, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55652, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 186, 182, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55653, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 437, 58, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55654, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 183, 476, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55655, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 139, 120, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55656, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 201, 102, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55657, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 236, 230, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55658, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 182, 478, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55659, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 501, 82, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55660, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 423, 60, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55661, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 199, 103, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55662, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 181, 187, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55663, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 68, 114, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55664, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 236, 230, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55665, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 139, 120, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55666, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 2450, 1, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55667, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 233, 16, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55668, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 146, 32, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55669, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 68, 114, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55670, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 278, 106, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55671, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 6, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55672, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 525, 27, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55673, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55674, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 255, 7, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55675, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 505, 17, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55676, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 118, 22, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55677, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 328, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55678, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 511, 10, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55679, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 103, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55680, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 427, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55681, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 5, 1, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55682, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55683, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1149, 9, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55684, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 84, 89, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55685, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 290, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55686, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 44, 1, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55687, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 5, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55688, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 220, 74, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55689, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 0, 1, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55690, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 486, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55691, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 75, 12, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55692, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 5, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55693, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55694, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 79, 20, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55695, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 0, 1, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 28, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 126, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 141, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 297, 10, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 147, 48, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 133, 39, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 118, 22, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 11, 10, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 13, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 46, 15, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 64, 10, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 65, 11, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 328, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 32, 21, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 88, 9, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 41, 14, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 525, 27, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 80, 13, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 96, 20, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 486, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 101, 30, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 135, 9, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 78, 43, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 413, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 262, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 224, 17, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 1227, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 100, 15, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 281, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 86, 15, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 734, 7, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 225, 7, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 206, 10, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 275, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 124, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 124, 45, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 215, 14, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3445, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 7, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 77, 24, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 409, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 78, 41, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 232, 9, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 283, 63, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 199, 23, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 163, 9, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 7, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 2, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 203, 21, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 59, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 105, 7, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 128, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 96, 9, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 5, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 17, 17, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 16, 13, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 153, 25, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 86, 19, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 20, 17, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 255, 7, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 5, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 146, 32, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 81, 18, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 170, 17, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 64, 19, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 58, 16, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 113, 22, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 271, 43, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 4, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 75, 35, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 2713, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 216, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 263, 11, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 212, 8, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 249, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 198, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 511, 10, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 32, 17, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 40, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 434, 54, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 457, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 372, 82, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 6322, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 206, 1, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 851, 16, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 345, 7, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 427, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1887, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 186, 19, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 60, 29, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55787, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 328, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55788, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 505, 17, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55789, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 427, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55790, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 5, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55791, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 13, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55792, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 69, 112, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55793, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 103, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55794, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 290, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55795, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 278, 106, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55796, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 2450, 1, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55797, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 146, 32, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55798, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 233, 16, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55799, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 118, 22, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55800, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55801, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 5, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55802, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 79, 20, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55803, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 486, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55804, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 5, 1, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55805, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 44, 1, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55806, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 75, 12, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55807, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 255, 7, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55808, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 220, 74, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55809, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 525, 27, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55810, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 511, 10, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55811, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 84, 89, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55812, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 2069, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55813, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 255, 7, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55814, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 28, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55815, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 141, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55816, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 328, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55817, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 146, 32, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55818, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 32, 17, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55819, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 5, 1, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55820, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 113, 22, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55821, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 81, 18, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55822, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 64, 19, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55823, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 67, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55824, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 86, 19, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55825, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 20, 17, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55826, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 54, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55827, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 100, 9, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55828, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 5, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55829, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 206, 10, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55830, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 100, 15, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55831, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 409, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55832, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 2450, 1, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55833, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 46, 15, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55834, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 511, 10, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55835, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 5, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55836, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 427, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55837, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 41, 14, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55838, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 32, 21, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55839, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 65, 11, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55840, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 457, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55841, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 7, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55842, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55843, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 44, 1, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55844, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3445, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55845, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 39, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55846, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 232, 9, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55847, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 126, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55848, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 7, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55849, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 297, 10, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55850, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 131, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55851, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 33, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55852, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 60, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55853, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 13, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55854, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 198, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55855, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 263, 11, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55856, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 249, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55857, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 271, 43, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55858, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 283, 63, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55859, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 486, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55860, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 275, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55861, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 413, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55862, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 734, 7, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55863, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 281, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55864, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 225, 7, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55865, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 124, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55866, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 215, 14, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55867, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 118, 22, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55868, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 135, 9, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55869, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 262, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55870, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 525, 27, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55871, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 2, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55872, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 105, 7, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55873, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 163, 9, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55874, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 96, 9, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55875, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 5, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55876, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 5, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55877, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 198, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55878, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 249, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55879, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 263, 11, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55880, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 75, 35, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55881, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 153, 25, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55882, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 64, 10, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55883, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 427, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55884, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 58, 16, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55885, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 80, 13, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55886, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 88, 9, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55887, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 100, 15, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55888, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 206, 10, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55889, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 275, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55890, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 409, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55891, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 413, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55892, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3445, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55893, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 7, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55894, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 734, 7, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55895, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55896, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 60, 29, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55897, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 7, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55898, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 372, 82, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55899, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 434, 54, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55900, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 283, 63, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55901, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 271, 43, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55902, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 146, 32, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55903, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 255, 7, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55904, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 147, 48, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55905, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 133, 39, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55906, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 11, 10, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55907, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 328, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55908, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 20, 17, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55909, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 118, 22, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55910, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 81, 18, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55911, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 126, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55912, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 525, 27, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55913, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 28, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55914, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 297, 10, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55915, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 86, 19, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55916, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 64, 19, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55917, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 113, 22, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 46, 15, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55919, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 128, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55920, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 141, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55921, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 41, 14, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55922, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 59, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55923, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 65, 11, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55924, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 13, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55925, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 16, 13, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55926, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 32, 21, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55927, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 17, 17, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55928, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 124, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55929, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 225, 7, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55930, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 203, 21, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55931, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 281, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55932, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 199, 23, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55933, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 262, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55934, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 135, 9, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55935, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 170, 17, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55936, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 32, 17, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55937, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 1227, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55938, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 486, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55939, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 40, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55940, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 457, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55941, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 511, 10, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55942, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 186, 19, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55943, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 232, 9, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55944, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 215, 14, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55945, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 212, 8, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55946, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 2713, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55947, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1887, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55948, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 345, 7, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55949, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 216, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55950, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 124, 45, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55951, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 6322, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55952, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 86, 15, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55953, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 224, 17, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55954, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 851, 16, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55955, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 78, 43, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55956, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 4, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55957, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 206, 1, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55958, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 101, 30, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55959, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 96, 20, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55960, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 78, 41, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55961, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 77, 24, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55962, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 232, 9, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (55963, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 215, 14, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55964, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 28, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55965, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 511, 10, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55966, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 135, 9, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55967, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 281, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55968, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 262, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55969, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 141, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55970, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 124, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55971, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 225, 7, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55972, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 7, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55973, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 65, 11, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55974, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 32, 21, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55975, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 41, 14, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55976, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 46, 15, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55977, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 13, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55978, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 525, 27, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55979, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 263, 11, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55980, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 198, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55981, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 249, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55982, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55983, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 328, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55984, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 67, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55985, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 32, 17, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55986, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 283, 63, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55987, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3445, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55988, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 146, 32, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55989, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 100, 9, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55990, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 271, 43, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55991, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 54, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55992, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 7, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55993, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 81, 18, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55994, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 64, 19, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55995, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 113, 22, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55996, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 86, 19, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55997, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 20, 17, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55998, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 5, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (55999, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 427, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56000, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 255, 7, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56001, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 2450, 1, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56002, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 5, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56003, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 44, 1, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56004, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 60, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56005, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 297, 10, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56006, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 409, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56007, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 126, 6, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56008, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 131, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56009, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 33, 4, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56010, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 734, 7, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56011, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 118, 22, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56012, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 275, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56013, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 457, 3, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56014, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 39, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56015, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 413, 5, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56016, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 100, 15, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56017, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 486, 2, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56018, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 206, 10, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56019, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 1, 2023, 8, 23, '2024-08-05 14:00:11', NULL, NULL), (56020, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 56, 113, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56021, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1391, 5, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56022, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 766, 19, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56023, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 5, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56024, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 669, 51, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56025, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 138, 228, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56026, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1551, 87, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56027, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 283, 470, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56028, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 304, 90, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56029, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 114, 122, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56030, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 280, 215, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56031, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 282, 472, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56032, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 670, 83, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56033, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1551, 87, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56034, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 304, 90, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56035, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 136, 230, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56036, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 56, 113, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56037, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 280, 215, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56038, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 114, 122, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56039, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 755, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56040, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 6, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56041, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 3362, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56042, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 186, 18, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56043, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 56, 113, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56044, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 239, 42, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56045, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 221, 89, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56046, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1244, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56047, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 2368, 49, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56048, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 550, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56049, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 490, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56050, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 855, 13, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56051, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 85, 29, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56052, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 27, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56053, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 510, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56054, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 78, 12, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56055, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 5, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56056, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 321, 9, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56057, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 60, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56058, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 28, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56059, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56060, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 184, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56061, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56062, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 70, 121, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56063, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 428, 9, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56064, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 3864, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56065, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 5, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56066, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 381, 68, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56067, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 0, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56068, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 2409, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56069, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 112, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56070, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56071, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 8, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56072, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 458, 16, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 94, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 55, 5, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 992, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 755, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 27, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 2368, 49, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 269, 29, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 91, 33, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 968, 5, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 336, 37, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 388, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 242, 28, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 141, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1223, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 583, 16, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 322, 11, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 266, 5, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 566, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 264, 47, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 306, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 235, 32, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 216, 44, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 299, 10, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 3, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 86, 24, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 113, 13, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 75, 19, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 163, 12, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 257, 16, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 4, 5, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 371, 18, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 16, 16, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 34, 20, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 139, 20, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 153, 11, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 44, 20, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 59, 19, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 28, 23, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 209, 37, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 485, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 111, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 31, 18, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 585, 47, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 386, 53, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 175, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 174, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 645, 13, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1150, 9, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1213, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 67, 18, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 53, 26, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 329, 29, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 172, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 190, 14, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 382, 39, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 5, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 85, 29, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 21, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E01', 28, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 168, 14, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 101, 17, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 41, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 61, 15, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 3231, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 54, 30, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 38, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 69, 16, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 781, 10, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 112, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3362, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 6, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 82, 22, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 98, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 366, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 58, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 33, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 199, 35, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 371, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 149, 17, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 7, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 258, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 82, 10, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 32, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 550, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 9, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 239, 42, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 8, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 235, 54, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 136, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 8, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 230, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 445, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 331, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1021, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 876, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 357, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 361, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 3, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56173, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 27, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56174, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 855, 13, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56175, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 321, 9, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56176, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 5, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56177, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 5, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56178, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1244, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56179, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 56, 113, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56180, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 428, 9, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56181, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 78, 12, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56182, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 60, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56183, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 221, 89, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56184, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 6, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56185, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 239, 42, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56186, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 186, 18, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56187, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 85, 29, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56188, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56189, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 8, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56190, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 458, 16, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56191, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 112, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56192, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 3864, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56193, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 550, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56194, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 2409, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56195, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 381, 68, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56196, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 755, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56197, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 2368, 49, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56198, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1021, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56199, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '', 28, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56200, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 490, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56201, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 70, 121, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56202, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 184, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56203, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 3362, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56204, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 550, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56205, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 3362, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56206, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 94, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56207, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 55, 5, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56208, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 27, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56209, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 239, 42, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56210, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 31, 18, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56211, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 60, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56212, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 59, 19, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56213, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 139, 20, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56214, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 44, 20, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56215, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 44, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56216, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 16, 16, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56217, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 3231, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56218, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 34, 20, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56219, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 31, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56220, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 74, 9, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56221, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 8, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56222, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 9, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56223, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 3, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56224, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 755, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56225, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 98, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56226, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 82, 22, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56227, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 33, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56228, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 58, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56229, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 6, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56230, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 101, 17, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56231, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1021, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56232, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 5, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56233, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 490, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56234, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 5, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56235, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 361, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56236, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 69, 16, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56237, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 54, 30, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56238, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 61, 15, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56239, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 357, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56240, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 366, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56241, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 3864, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56242, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56243, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56244, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '2E01', 28, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56245, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 299, 10, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56246, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 449, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56247, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 172, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56248, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 7, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56249, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 190, 14, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56250, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 52, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56251, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 7141, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56252, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 35, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56253, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1244, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56254, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 331, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56255, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 230, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56256, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 445, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56257, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 235, 54, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56258, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 199, 35, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56259, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 112, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56260, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 266, 5, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56261, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1223, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56262, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 141, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56263, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 322, 11, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56264, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 566, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56265, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 85, 29, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56266, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 306, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56267, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 968, 5, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56268, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 388, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56269, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 2368, 49, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56270, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 149, 17, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56271, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 258, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56272, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 371, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56273, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 82, 10, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56274, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 32, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56275, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 8, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56276, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 9, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56277, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 331, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56278, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 445, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56279, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 230, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56280, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 209, 37, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56281, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 371, 18, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56282, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 3, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56283, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 361, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56284, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 28, 23, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56285, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 329, 29, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56286, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 82, 22, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56287, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 98, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56288, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 266, 5, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56289, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 58, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56290, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 33, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56291, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56292, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 366, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56293, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1223, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56294, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56295, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 7, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56296, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 53, 26, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56297, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 386, 53, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56298, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 585, 47, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56299, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 199, 35, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56300, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 235, 54, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56301, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 239, 42, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56302, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 550, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56303, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 382, 39, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56304, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 21, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56305, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 168, 14, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56306, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 27, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56307, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 85, 29, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56308, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E01', 28, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56309, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 172, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56310, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 2368, 49, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56311, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 190, 14, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56312, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 94, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56313, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 755, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56314, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 101, 17, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56315, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 163, 12, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56316, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 55, 5, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56317, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 69, 16, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56318, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 75, 19, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56319, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 61, 15, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56320, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 992, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56321, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 4, 5, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56322, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 54, 30, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56323, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 257, 16, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56324, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 3, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56325, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 566, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56326, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 322, 11, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56327, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 113, 13, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56328, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 141, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56329, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 86, 24, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56330, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 388, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56331, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 968, 5, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56332, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 153, 11, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56333, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 67, 18, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56334, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 299, 10, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56335, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 306, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56336, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 8, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56337, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 136, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56338, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 5, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56339, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 41, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56340, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 781, 10, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56341, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 38, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56342, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 3231, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56343, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 34, 20, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56344, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 139, 20, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56345, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 16, 16, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56346, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 44, 20, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56347, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 59, 19, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56348, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 31, 18, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56349, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56350, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 112, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56351, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3362, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56352, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 876, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56353, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 357, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56354, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1021, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56355, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 111, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56356, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1213, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56357, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1150, 9, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56358, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 485, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56359, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 264, 47, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56360, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 175, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56361, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 583, 16, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56362, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 242, 28, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56363, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 645, 13, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56364, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 336, 37, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56365, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 174, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56366, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 91, 33, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56367, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 269, 29, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56368, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 216, 44, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56369, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 235, 32, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56370, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 299, 10, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56371, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 306, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56372, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 94, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56373, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1021, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56374, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 968, 5, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56375, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 141, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56376, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 388, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56377, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 55, 5, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (56378, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 566, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56379, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 322, 11, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56380, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 61, 15, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56381, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 54, 30, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56382, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 69, 16, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56383, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 101, 17, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56384, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 60, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56385, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1244, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56386, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 2368, 49, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56387, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 230, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56388, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 331, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56389, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 445, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56390, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56391, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 7, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56392, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 27, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56393, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 44, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56394, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 31, 18, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56395, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 199, 35, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56396, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56397, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 239, 42, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56398, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 74, 9, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56399, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 235, 54, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56400, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 31, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56401, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 3231, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56402, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 366, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56403, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 139, 20, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56404, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 44, 20, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56405, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 59, 19, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56406, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 16, 16, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56407, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 34, 20, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56408, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 5, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56409, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 361, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56410, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 3, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56411, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 550, 3, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56412, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56413, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 5, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56414, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 755, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56415, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 8, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56416, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 9, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56417, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 3864, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56418, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 35, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56419, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 190, 14, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56420, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 58, 6, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56421, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 33, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56422, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 52, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56423, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 172, 4, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56424, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 7141, 1, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56425, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 490, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56426, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 85, 29, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56427, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1223, 8, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56428, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 266, 5, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56429, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '2E01', 28, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56430, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 357, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56431, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 449, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56432, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 3362, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56433, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 82, 22, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56434, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 112, 2, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56435, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 98, 7, 2023, 8, 24, '2024-08-05 14:00:12', NULL, NULL), (56436, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 3065, 6, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56437, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 89, 122, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56438, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 768, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56439, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 172, 30, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56440, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1136, 51, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56441, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 88, 201, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56442, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 150, 503, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56443, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 420, 50, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56444, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 145, 138, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56445, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 278, 100, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56446, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 363, 209, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56447, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 150, 504, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56448, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 905, 96, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56449, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 420, 50, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56450, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 275, 101, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56451, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 87, 203, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56452, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 363, 209, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56453, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 89, 122, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56454, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 145, 138, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56455, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 946, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56456, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 89, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56457, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 141, 15, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56458, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 459, 39, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56459, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 89, 122, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56460, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 364, 70, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56461, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1710, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56462, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 204, 19, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56463, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 430, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56464, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 518, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56465, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 829, 10, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56466, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 153, 19, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56467, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 12, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56468, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 202, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56469, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 316, 12, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56470, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 0, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56471, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 30, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56472, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 6, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56473, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 2627, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56474, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 10, 10, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56475, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 51, 106, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56476, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 255, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56477, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 35, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56478, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 4, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56479, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 383, 80, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56480, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 1129, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56481, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 218, 6, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56482, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 2, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56483, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 12, 14, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56484, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 160, 24, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 316, 12, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 289, 33, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 154, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 302, 49, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 135, 10, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 153, 19, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 994, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 41, 10, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 3065, 6, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 91, 18, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 108, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 87, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 12, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 24, 22, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 34, 16, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 204, 19, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 179, 27, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 150, 27, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1129, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 134, 25, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 89, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 329, 6, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 115, 39, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 294, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 199, 28, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 845, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 633, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 41, 17, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 437, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 135, 38, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 572, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 923, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 388, 15, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 70, 14, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 319, 6, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 136, 33, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 419, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 2, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 6, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 26, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 107, 35, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 46, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 178, 55, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 552, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 2, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 358, 21, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 65, 19, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 54, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 46, 14, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 51, 12, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 596, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 203, 22, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 216, 11, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 44, 13, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 21, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 4, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 249, 29, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 68, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 199, 22, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 63, 19, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 64, 17, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 430, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 2, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 75, 17, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 459, 39, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 117, 24, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 63, 21, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 3, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 4, 11, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 366, 49, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 120, 23, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 313, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 141, 44, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 427, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 266, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 154, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 3273, 9, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 325, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 625, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 231, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 129, 25, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 89, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 198, 50, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 292, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 165, 65, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 476, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 719, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 950, 14, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 30, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 58, 9, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 2020, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 69, 18, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 122, 31, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56580, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 12, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56581, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 829, 10, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56582, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 30, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56583, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 4, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56584, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1710, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56585, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 89, 122, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56586, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 255, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56587, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 316, 12, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56588, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 364, 70, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56589, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 946, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56590, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 459, 39, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56591, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 141, 15, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56592, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 153, 19, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56593, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 12, 14, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56594, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 2, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56595, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 160, 24, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56596, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1129, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56597, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 6, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56598, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 35, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56599, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 218, 6, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56600, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 430, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56601, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 383, 80, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56602, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 204, 19, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56603, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 3065, 6, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56604, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 231, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56605, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 518, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56606, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 51, 106, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56607, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 11, 9, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56608, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 89, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56609, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 89, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56610, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 430, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56611, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 316, 12, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56612, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 12, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56613, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 459, 39, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56614, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 129, 25, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56615, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 3065, 6, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56616, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 6, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56617, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 120, 23, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56618, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 75, 17, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56619, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 63, 21, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56620, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 63, 19, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56621, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 130, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56622, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 64, 17, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56623, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 163, 22, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56624, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 3, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56625, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 2, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56626, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 70, 14, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56627, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 41, 17, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56628, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 46, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56629, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 26, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56630, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 946, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56631, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 91, 18, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56632, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 231, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56633, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 518, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56634, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 4, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56635, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 30, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56636, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 34, 16, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56637, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 24, 22, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56638, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 87, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56639, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 292, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56640, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 6, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56641, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 35, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56642, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 21, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56643, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 2, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56644, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 144, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56645, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 552, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56646, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 154, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56647, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56648, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56649, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 135, 10, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56650, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 249, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56651, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 63, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56652, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1710, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56653, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 68, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56654, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 625, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56655, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 154, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56656, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 325, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56657, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 366, 49, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56658, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 358, 21, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56659, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1129, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56660, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 923, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56661, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 845, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56662, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 572, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56663, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 437, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56664, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 388, 15, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56665, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 319, 6, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56666, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 153, 19, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56667, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 419, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56668, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 329, 6, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56669, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 294, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56670, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 204, 19, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56671, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 51, 12, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56672, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 596, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56673, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 54, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56674, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 68, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56675, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 44, 13, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56676, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 4, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56677, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 3, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56678, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 2, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56679, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 625, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56680, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 325, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56681, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 154, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56682, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 141, 44, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56683, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 199, 22, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56684, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 30, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56685, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 108, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56686, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 4, 11, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56687, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 179, 27, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56688, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 289, 33, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56689, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 41, 17, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56690, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 70, 14, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56691, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 923, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56692, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 26, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56693, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 46, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56694, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 2, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56695, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 845, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56696, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 6, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56697, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 572, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56698, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 21, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56699, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 3065, 6, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56700, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56701, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 122, 31, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56702, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56703, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 165, 65, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56704, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 198, 50, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56705, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 358, 21, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56706, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 366, 49, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56707, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 459, 39, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56708, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 430, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56709, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 302, 49, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56710, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 41, 10, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56711, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 153, 19, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56712, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 12, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56713, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 64, 17, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56714, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 75, 17, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56715, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 204, 19, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56716, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 154, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56717, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 63, 19, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56718, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 316, 12, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56719, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 135, 10, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56720, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 63, 21, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56721, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 120, 23, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56722, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 91, 18, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56723, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 216, 11, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56724, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 34, 16, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56725, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 203, 22, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56726, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 994, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56727, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 87, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56728, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 249, 29, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56729, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 24, 22, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56730, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 319, 6, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56731, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 2, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56732, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 388, 15, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56733, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 46, 14, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56734, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 437, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56735, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 65, 19, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56736, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 294, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56737, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 329, 6, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56738, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 117, 24, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56739, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 129, 25, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56740, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 633, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56741, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1129, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56742, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 89, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56743, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 89, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56744, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 292, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56745, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 231, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56746, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 69, 18, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56747, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 552, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56748, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 419, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56749, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 3273, 9, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56750, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 2020, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56751, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 427, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56752, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 58, 9, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56753, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 266, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56754, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 136, 33, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56755, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 476, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56756, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 135, 38, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56757, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 199, 28, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56758, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 950, 14, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56759, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 115, 39, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56760, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 313, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56761, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 719, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56762, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 134, 25, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56763, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 150, 27, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56764, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 178, 55, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56765, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 107, 35, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56766, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 552, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56767, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 419, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56768, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 316, 12, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56769, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 231, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56770, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 329, 6, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56771, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 437, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56772, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 294, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56773, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 319, 6, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56774, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 388, 15, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56775, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56776, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 87, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56777, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 24, 22, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56778, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 34, 16, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56779, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 91, 18, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56780, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1710, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56781, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 204, 19, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56782, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 154, 8, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56783, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 625, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56784, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 325, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56785, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 21, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56786, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56787, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 12, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56788, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 68, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (56789, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 130, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56790, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 129, 25, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56791, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 358, 21, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56792, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 2, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56793, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 459, 39, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56794, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 163, 22, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56795, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 366, 49, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56796, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 6, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56797, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 75, 17, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56798, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 63, 21, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56799, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 120, 23, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56800, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 63, 19, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56801, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 64, 17, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56802, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 4, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56803, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 3065, 6, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56804, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 30, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56805, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 430, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56806, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 946, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56807, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 3, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56808, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 2, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56809, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 35, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56810, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 63, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56811, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 135, 10, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56812, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 26, 7, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56813, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 46, 4, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56814, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 154, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56815, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 518, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56816, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 249, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56817, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 153, 19, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56818, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 572, 2, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56819, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 923, 5, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56820, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 292, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56821, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 144, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56822, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 845, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56823, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 89, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56824, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 41, 17, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56825, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1129, 3, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56826, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 70, 14, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56827, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 1, 2023, 8, 25, '2024-08-05 14:00:13', NULL, NULL), (56828, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 368, 2, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56829, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 1422, 4, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56830, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 38, 11, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56831, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 451, 87, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56832, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 144, 12, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56833, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 441, 89, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56834, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 1138, 5, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56835, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 144, 12, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56836, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 35, 12, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56837, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 368, 2, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56838, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 21, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56839, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 0, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56840, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 2329, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56841, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 39, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56842, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 368, 2, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56843, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 1120, 3, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56844, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 0, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56845, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 40, 9, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 128, 7, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 39, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 167, 5, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 21, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 281, 10, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 40, 9, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 649, 24, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 290, 25, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 25, 7, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1027, 12, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 1120, 3, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 368, 2, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 2329, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 7, 2, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 152, 7, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56861, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 39, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56862, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 21, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56863, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 2329, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56864, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 40, 9, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56865, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 368, 2, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56866, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 1120, 3, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56867, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 368, 2, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56868, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 21, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56869, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 1120, 3, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56870, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 40, 9, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56871, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 39, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56872, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 2329, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56873, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 21, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56874, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 128, 7, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56875, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 39, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56876, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 368, 2, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56877, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 40, 9, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56878, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 152, 7, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56879, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 25, 7, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56880, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1027, 12, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56881, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 649, 24, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56882, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 290, 25, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56883, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 281, 10, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56884, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 167, 5, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56885, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 7, 2, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56886, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 2329, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56887, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 1120, 3, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56888, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 39, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56889, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 368, 2, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56890, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 2329, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56891, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 21, 1, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56892, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 1120, 3, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56893, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 40, 9, 2023, 8, 26, '2024-08-05 14:00:14', NULL, NULL), (56894, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 131, 12, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56895, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 281, 65, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56896, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 128, 13, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56897, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 277, 66, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56898, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 128, 13, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56899, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 131, 12, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56900, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 45, 2, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56901, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 30, 1, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56902, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 143, 8, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 87, 9, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 353, 2, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 45, 2, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 89, 2, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 312, 1, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 143, 8, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 97, 10, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 112, 8, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 427, 36, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 61, 7, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 148, 4, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 30, 1, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56915, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 45, 2, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56916, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 143, 8, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56917, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 30, 1, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56918, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E28', 30, 1, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56919, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 45, 2, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56920, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 143, 8, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56921, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 45, 2, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56922, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 312, 1, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56923, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 87, 9, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56924, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 148, 4, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56925, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 427, 36, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56926, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 61, 7, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56927, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 143, 8, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56928, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 112, 8, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56929, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 97, 10, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56930, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 353, 2, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56931, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 30, 1, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56932, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 89, 2, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56933, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 45, 2, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56934, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E28', 30, 1, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56935, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 143, 8, 2023, 8, 27, '2024-08-05 14:00:15', NULL, NULL), (56936, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 47, 133, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56937, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 3811, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56938, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 410, 231, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56939, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1008, 13, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56940, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 302, 53, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56941, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 266, 51, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56942, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 178, 283, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56943, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1481, 54, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56944, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 470, 604, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56945, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 563, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56946, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 111, 137, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56947, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 583, 126, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56948, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 469, 605, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56949, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 441, 124, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56950, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1481, 54, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56951, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 583, 126, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56952, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 178, 283, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56953, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 47, 133, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56954, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 408, 232, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56955, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 111, 137, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56956, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 261, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56957, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 80, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56958, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 157, 27, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56959, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 47, 133, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56960, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 219, 47, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56961, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 263, 87, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56962, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 582, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56963, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 298, 30, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56964, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 106, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56965, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 679, 37, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56966, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 6664, 10, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56967, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 218, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56968, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 240, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56969, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 3811, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56970, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 765, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56971, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 21, 4, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56972, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56973, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 138, 12, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56974, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 78, 131, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56975, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 73, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56976, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 1574, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56977, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 64, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56978, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 740, 77, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56979, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 0, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56980, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 3066, 4, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56981, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 385, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56982, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 4, 6, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56983, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 20, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56984, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 280, 42, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56985, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 563, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 240, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 582, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 6664, 10, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 298, 30, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 415, 39, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 357, 24, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 638, 7, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 401, 45, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 587, 8, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 418, 37, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 310, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 309, 13, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 990, 7, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (56999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 388, 50, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1138, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 319, 61, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 633, 7, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 416, 49, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 387, 6, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 17, 18, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 39, 14, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 106, 17, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 327, 10, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 125, 28, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 521, 10, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 49, 24, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 20, 23, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 64, 22, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 21, 14, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 38, 24, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 1037, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 211, 23, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 65, 22, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 298, 33, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 312, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 111, 8, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 48, 18, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 728, 66, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 617, 86, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 99, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 99, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 349, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 364, 15, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 226, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 48, 13, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 479, 86, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 610, 36, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 118, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 679, 56, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 184, 16, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 720, 18, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 3811, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 679, 37, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 563, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 30, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 63, 22, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 252, 9, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 67, 12, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 248, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 70, 29, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 310, 14, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 89, 21, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 350, 19, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3066, 4, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 80, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 136, 4, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 92, 24, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 31, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 68, 14, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 254, 6, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 21, 6, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 167, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 90, 8, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 4, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 297, 36, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 6, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 90, 9, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 69, 19, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 17, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 144, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 22, 9, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 85, 13, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 64, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 106, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 219, 47, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 5, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 3, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 240, 51, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 28, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1002, 6, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 581, 12, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 968, 15, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 218, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 540, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 107, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 954, 4, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 6, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57083, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 6664, 10, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57084, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 765, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57085, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 3811, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57086, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 64, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57087, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 582, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57088, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 47, 133, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57089, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 240, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57090, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 73, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57091, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 263, 87, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57092, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 261, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57093, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 219, 47, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57094, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 157, 27, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57095, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 679, 37, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57096, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 20, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57097, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 563, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57098, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 4, 6, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57099, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 280, 42, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57100, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 3066, 4, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57101, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 21, 4, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57102, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 1574, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57103, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 106, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57104, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 385, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57105, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 750, 76, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57106, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 298, 30, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57107, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 218, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57108, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 78, 131, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57109, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 138, 12, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57110, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 80, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57111, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 106, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57112, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 80, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57113, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 240, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57114, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 6664, 10, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57115, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 219, 47, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57116, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 48, 18, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57117, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 11, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57118, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 31, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57119, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 65, 22, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57120, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 64, 22, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57121, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 38, 24, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57122, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 137, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57123, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 49, 24, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57124, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 248, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57125, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 20, 23, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57126, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 354, 12, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57127, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 293, 14, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57128, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 3, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57129, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 5, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57130, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 6, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57131, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 563, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57132, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 68, 14, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57133, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 92, 24, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57134, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 90, 8, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57135, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 167, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57136, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 261, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57137, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 63, 22, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57138, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 218, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57139, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 3811, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57140, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 64, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57141, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 954, 4, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57142, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 89, 21, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57143, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 70, 29, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57144, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 67, 12, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57145, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 107, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57146, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 21, 6, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57147, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 1574, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57148, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 22, 9, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57149, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 254, 6, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57150, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 23, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57151, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 387, 6, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57152, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 6, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57153, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 118, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57154, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 17, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57155, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 184, 16, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57156, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 47, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57157, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 511, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57158, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 397, 4, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57159, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 582, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57160, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 968, 15, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57161, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1002, 6, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57162, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 581, 12, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57163, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 240, 51, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57164, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 297, 36, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57165, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 4, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57166, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 3066, 4, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57167, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 310, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57168, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 990, 7, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57169, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1138, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57170, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 633, 7, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57171, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 679, 37, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57172, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 638, 7, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57173, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 587, 8, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57174, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 298, 30, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57175, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 69, 19, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57176, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 144, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57177, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 4, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57178, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 90, 9, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57179, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 85, 13, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57180, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 64, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57181, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 5, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57182, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 3, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57183, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 968, 15, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57184, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 581, 12, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57185, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1002, 6, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57186, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 298, 33, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57187, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 521, 10, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57188, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 6, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57189, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 954, 4, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57190, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 1037, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57191, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 610, 36, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57192, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 92, 24, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57193, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 68, 14, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57194, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 167, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57195, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 90, 8, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57196, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 254, 6, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57197, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 21, 6, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57198, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 22, 9, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57199, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 17, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57200, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 479, 86, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57201, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 6, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57202, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 617, 86, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57203, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 297, 36, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57204, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 728, 66, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57205, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 240, 51, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57206, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 219, 47, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57207, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 106, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57208, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 679, 56, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57209, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 720, 18, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57210, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 30, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57211, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 6664, 10, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57212, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 679, 37, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57213, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 298, 30, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (57214, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 118, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57215, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 240, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57216, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 184, 16, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57217, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 63, 22, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57218, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 327, 10, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57219, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 89, 21, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57220, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 106, 17, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57221, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 67, 12, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57222, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 582, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57223, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 125, 28, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57224, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 70, 29, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57225, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1138, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57226, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 17, 18, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57227, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 990, 7, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57228, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 211, 23, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57229, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 310, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57230, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 39, 14, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57231, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 587, 8, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57232, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 638, 7, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57233, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 21, 14, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57234, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 563, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57235, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 48, 13, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57236, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 387, 6, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57237, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 633, 7, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57238, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 28, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57239, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 3811, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57240, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 252, 9, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57241, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 350, 19, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57242, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 310, 14, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57243, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 248, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57244, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 20, 23, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57245, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 64, 22, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57246, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 49, 24, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57247, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 38, 24, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57248, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 65, 22, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57249, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 48, 18, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57250, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 136, 4, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57251, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3066, 4, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57252, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 80, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57253, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 31, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57254, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 540, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57255, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 107, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57256, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 218, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57257, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 111, 8, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57258, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 226, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57259, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 364, 15, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57260, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 312, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57261, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 319, 61, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57262, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 388, 50, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57263, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 99, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57264, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 309, 13, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57265, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 418, 37, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57266, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 349, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57267, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 401, 45, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57268, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 99, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57269, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 357, 24, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57270, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 415, 39, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57271, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 416, 49, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57272, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 387, 6, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57273, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 633, 7, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57274, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 240, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57275, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 218, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57276, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 638, 7, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57277, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 310, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57278, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 587, 8, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57279, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1138, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57280, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 990, 7, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57281, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 6, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57282, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 67, 12, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57283, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 70, 29, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57284, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 89, 21, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57285, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 63, 22, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57286, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 582, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57287, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 298, 30, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57288, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1002, 6, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57289, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 968, 15, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57290, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 581, 12, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57291, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 22, 9, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57292, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 17, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57293, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 6664, 10, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57294, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 137, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57295, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 48, 18, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57296, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 297, 36, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57297, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 254, 6, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57298, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 219, 47, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57299, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 293, 14, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57300, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 240, 51, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57301, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 354, 12, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57302, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 248, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57303, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 21, 6, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57304, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 64, 22, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57305, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 38, 24, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57306, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 65, 22, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57307, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 49, 24, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57308, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 20, 23, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57309, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 64, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57310, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 954, 4, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57311, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 6, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57312, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 106, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57313, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 261, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57314, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 3811, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57315, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 3, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57316, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 5, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57317, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 1574, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57318, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 397, 4, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57319, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 184, 16, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57320, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 167, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57321, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 90, 8, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57322, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 47, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57323, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 118, 11, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57324, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 511, 5, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57325, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 679, 37, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57326, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 4, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57327, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 107, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57328, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 23, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57329, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 80, 3, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57330, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 92, 24, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57331, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 3066, 4, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57332, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 68, 14, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57333, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 31, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57334, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 11, 2, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57335, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 563, 1, 2023, 8, 28, '2024-08-05 14:00:16', NULL, NULL), (57336, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 30, 104, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57337, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 503, 11, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57338, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 345, 39, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57339, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 4, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57340, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 114, 248, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57341, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 454, 70, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57342, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 309, 544, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57343, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 375, 77, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57344, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 46, 110, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57345, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 760, 228, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57346, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 308, 546, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57347, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 406, 125, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57348, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 375, 77, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57349, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 114, 248, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57350, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 30, 104, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57351, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 760, 228, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57352, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 46, 110, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57353, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 162, 3, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57354, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 363, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57355, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 476, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57356, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 12, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57357, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 116, 20, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57358, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 30, 104, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57359, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 198, 40, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57360, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 314, 81, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57361, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57362, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 173, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57363, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 128, 126, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57364, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 95, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57365, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 284, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57366, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 11, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57367, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1439, 96, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57368, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 95, 33, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57369, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 813, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57370, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 204, 13, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57371, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 9, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57372, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 3, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57373, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 415, 26, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57374, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 6, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57375, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 4, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 173, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 238, 18, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 260, 33, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 85, 13, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 482, 13, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 4, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 95, 33, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 300, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 88, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 79, 10, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 247, 16, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 1380, 3, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 93, 23, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 155, 27, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 220, 14, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 378, 6, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 235, 31, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1017, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 138, 22, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 476, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1125, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 223, 39, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 242, 18, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1998, 12, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 254, 19, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 148, 21, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 102, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 128, 18, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 204, 43, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2189, 14, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1467, 11, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 238, 55, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 915, 8, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 212, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 160, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 190, 22, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 217, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 237, 56, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 927, 10, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 10, 16, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 254, 39, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 3, 10, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 14, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 154, 8, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 11, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 57, 9, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 114, 8, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 3, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 102, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 119, 17, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 11, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 43, 13, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 4, 8, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 15, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 155, 16, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 17, 21, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 95, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 50, 21, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 4, 3, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 30, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 198, 40, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 11, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 87, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 12, 16, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 22, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 48, 16, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 37, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 32, 23, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 370, 42, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 11, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 187, 31, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1537, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 145, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1378, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 89, 9, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1062, 14, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1875, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 6, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 18, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 581, 53, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 284, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 624, 57, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 116, 6, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 205, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 760, 14, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 678, 21, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 68, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 658, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 421, 8, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 676, 33, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 43, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 113, 26, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57468, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 363, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57469, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 4, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57470, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 11, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57471, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 30, 104, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57472, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 284, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57473, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 314, 81, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57474, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 162, 3, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57475, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 198, 40, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57476, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 116, 20, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57477, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 95, 33, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57478, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 3, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57479, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 9, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57480, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 415, 26, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57481, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1017, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57482, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 12, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57483, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 95, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57484, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 204, 13, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1439, 96, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57486, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 6, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57487, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 128, 126, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57488, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 173, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57489, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 476, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57490, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 95, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57491, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 476, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57492, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 198, 40, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57493, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 18, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57494, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 12, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57495, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 48, 16, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57496, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 30, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57497, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 12, 16, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57498, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 224, 11, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57499, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 17, 21, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57500, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 1380, 3, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57501, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 50, 21, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57502, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 345, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57503, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 353, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57504, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 22, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57505, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 11, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57506, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 4, 3, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57507, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 658, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57508, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 128, 18, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57509, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 148, 21, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57510, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 217, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57511, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 160, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57512, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 162, 3, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57513, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 88, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57514, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 6, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57515, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 4, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57516, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 11, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57517, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 68, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57518, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 155, 27, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57519, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 93, 23, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57520, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 79, 10, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57521, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 284, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57522, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 3, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57523, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 212, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57524, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 927, 10, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57525, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 173, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57526, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 85, 13, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57527, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 95, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57528, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 504, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57529, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 298, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57530, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 15, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57531, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1875, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57532, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1378, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57533, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1062, 14, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57534, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 370, 42, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57535, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 254, 39, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57536, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1017, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57537, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2189, 14, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57538, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1467, 11, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57539, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 95, 33, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57540, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 915, 8, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57541, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1125, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57542, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1998, 12, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57543, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 154, 8, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57544, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 114, 8, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57545, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 14, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57546, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 15, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57547, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 119, 17, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57548, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 4, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57549, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 11, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57550, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 11, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57551, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 22, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57552, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 4, 3, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57553, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1875, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57554, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1062, 14, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57555, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1378, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57556, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 187, 31, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57557, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 155, 16, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57558, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 658, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57559, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 247, 16, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57560, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 68, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57561, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 378, 6, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57562, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 32, 23, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57563, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 220, 14, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57564, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 1380, 3, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57565, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 238, 18, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57566, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 148, 21, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57567, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 128, 18, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57568, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 160, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57569, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 217, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57570, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 212, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57571, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 6, 3, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57572, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 113, 26, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57573, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 676, 33, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57574, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 624, 57, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57575, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 581, 53, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57576, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 254, 39, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57577, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 370, 42, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57578, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 198, 40, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57579, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 95, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57580, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 260, 33, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57581, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 482, 13, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57582, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 300, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57583, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 50, 21, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57584, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 95, 33, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57585, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 30, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57586, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 173, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57587, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 85, 13, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57588, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 17, 21, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57589, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 12, 16, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57590, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 48, 16, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57591, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 88, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57592, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 155, 27, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57593, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 102, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57594, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 57, 9, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57595, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 4, 8, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57596, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 79, 10, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57597, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 93, 23, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57598, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 43, 13, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57599, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 10, 16, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57600, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1467, 11, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57601, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 37, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57602, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2189, 14, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57603, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 11, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57604, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1998, 12, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57605, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 3, 10, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57606, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1125, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57607, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 87, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57608, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 18, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57609, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1017, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57610, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 476, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57611, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 102, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57612, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 284, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57613, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 6, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57614, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 43, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57615, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 927, 10, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57616, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 915, 8, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57617, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 89, 9, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57618, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 421, 8, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57619, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1537, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57620, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 678, 21, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57621, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 145, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57622, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 238, 55, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57623, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 204, 43, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57624, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 116, 6, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57625, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 254, 19, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57626, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 242, 18, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57627, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 760, 14, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57628, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 223, 39, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57629, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 11, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57630, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 205, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (57631, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 138, 22, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57632, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 235, 31, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57633, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 237, 56, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57634, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 190, 22, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57635, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 927, 10, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57636, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 915, 8, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57637, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 6, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57638, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1125, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57639, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1998, 12, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57640, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1467, 11, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57641, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2189, 14, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57642, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 79, 10, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57643, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 93, 23, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57644, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 155, 27, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57645, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 88, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57646, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1378, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57647, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1875, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57648, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1062, 14, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57649, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 6, 3, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57650, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 15, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57651, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 224, 11, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57652, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 18, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57653, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 254, 39, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57654, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 212, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57655, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 198, 40, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57656, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 353, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57657, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 370, 42, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57658, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 345, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57659, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 1380, 3, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57660, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 30, 15, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57661, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 12, 16, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57662, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 48, 16, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57663, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 17, 21, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57664, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 50, 21, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57665, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 11, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57666, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 68, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57667, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 658, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57668, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 95, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57669, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 4, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57670, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 162, 3, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57671, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 22, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57672, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 11, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57673, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 4, 3, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57674, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 298, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57675, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 85, 13, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57676, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 160, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57677, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 217, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57678, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 173, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57679, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 95, 7, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57680, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 504, 1, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57681, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 95, 33, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57682, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 284, 5, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57683, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 476, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57684, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 148, 21, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57685, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1017, 4, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57686, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 128, 18, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57687, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 12, 2, 2023, 8, 29, '2024-08-05 14:00:17', NULL, NULL), (57688, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 235, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57689, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 52, 90, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57690, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 6, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57691, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 886, 233, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57692, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1513, 11, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57693, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 143, 51, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57694, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 317, 57, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57695, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 94, 177, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57696, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 421, 10, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57697, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 164, 477, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57698, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 196, 92, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57699, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 45, 109, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57700, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 163, 479, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57701, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 341, 126, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57702, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 383, 11, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57703, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 196, 92, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57704, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 94, 177, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57705, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 52, 90, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57706, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 886, 233, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57707, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 45, 109, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57708, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 168, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57709, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 479, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57710, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 58, 9, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57711, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 200, 49, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57712, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 52, 90, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57713, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 176, 76, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57714, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1722, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57715, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 78, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57716, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 769, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57717, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 383, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57718, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 134, 20, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57719, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 16, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57720, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 14, 6, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57721, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 0, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57722, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 6, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57723, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57724, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 541, 5, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57725, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 235, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57726, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57727, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 1886, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57728, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 41, 91, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57729, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 497, 13, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57730, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 14, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57731, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2087, 85, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57732, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 5663, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57733, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 133, 21, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57734, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 413, 6, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57735, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 8, 14, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57736, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 4, 7, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57737, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 150, 30, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 295, 29, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 65, 8, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 7, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 165, 46, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 6, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 134, 20, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 30, 7, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1276, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 168, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 235, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 42, 13, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 166, 25, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 33, 11, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 16, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 33, 15, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 45, 17, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 78, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 121, 26, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 1886, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 72, 27, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 413, 6, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 54, 16, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 479, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2178, 13, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 93, 25, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1337, 9, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 44, 25, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 25, 12, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 52, 17, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1856, 5, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 99, 25, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 61, 12, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2141, 9, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 80, 38, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1404, 9, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 5, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 37, 6, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 38, 26, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 5663, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 64, 5, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 76, 37, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 466, 7, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 33, 14, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 153, 32, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 4, 7, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 11, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 63, 21, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 48, 11, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 13, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 4, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 530, 5, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 10, 10, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 70, 16, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 40, 11, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 14, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 41, 24, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 97, 16, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 21, 17, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 769, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 22, 18, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 200, 49, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 39, 14, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 217, 12, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 5, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 33, 13, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 193, 44, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 47, 13, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 65, 34, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 142, 6, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 75, 28, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 208, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 173, 7, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2376, 11, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 353, 13, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 2859, 18, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 3745, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 14, 6, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 13, 16, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 247, 8, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 352, 47, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 898, 5, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 448, 69, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 50, 5, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 103, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 409, 17, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 488, 8, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 827, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 112, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 241, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 404, 19, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 28, 28, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57832, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 16, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57833, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 541, 5, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57834, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 6, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57835, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 14, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57836, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1722, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57837, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 52, 90, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57838, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 497, 13, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57839, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 176, 76, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57840, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 200, 49, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57841, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 58, 9, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57842, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 134, 20, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57843, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 1886, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57844, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 8, 14, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57845, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 4, 7, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57846, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 150, 30, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57847, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 413, 6, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57848, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 769, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57849, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 133, 21, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57850, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2087, 85, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57851, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 168, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57852, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 78, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57853, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 5663, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57854, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 14, 6, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57855, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 235, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57856, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 383, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57857, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 41, 91, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57858, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57859, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 479, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57860, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 479, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57861, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 769, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57862, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 16, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57863, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 200, 49, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57864, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 13, 16, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57865, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 235, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57866, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 47, 13, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57867, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 39, 14, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57868, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 217, 12, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57869, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 191, 15, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57870, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 21, 17, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57871, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 22, 18, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57872, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 109, 15, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57873, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 5, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57874, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57875, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 112, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57876, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 168, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57877, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 61, 12, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57878, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 25, 12, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57879, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 64, 5, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57880, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 37, 6, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57881, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 42, 13, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57882, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 14, 6, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57883, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 6, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57884, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 383, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57885, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 14, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57886, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 827, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57887, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 45, 17, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57888, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 5663, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57889, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 33, 15, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57890, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 33, 11, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57891, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 898, 5, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57892, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D26', 1886, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57893, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57894, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 5, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57895, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 466, 7, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57896, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 247, 8, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57897, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 11, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57898, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 65, 8, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57899, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57900, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 7, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57901, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 13, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57902, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 137, 11, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57903, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 128, 10, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57904, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1722, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57905, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 3745, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57906, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2376, 11, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57907, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 2859, 18, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57908, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 193, 44, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57909, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 153, 32, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57910, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 413, 6, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57911, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1856, 5, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57912, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2141, 9, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57913, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 134, 20, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57914, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1404, 9, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57915, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2178, 13, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57916, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1337, 9, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57917, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 78, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 4, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57919, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 530, 5, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57920, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 4, 7, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57921, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 40, 11, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57922, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 6, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57923, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 14, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57924, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 5, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57925, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57926, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 3745, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57927, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 2859, 18, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57928, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2376, 11, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57929, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 75, 28, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57930, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 97, 16, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57931, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 112, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57932, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 827, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57933, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 166, 25, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57934, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 121, 26, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57935, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 65, 34, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57936, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 295, 29, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57937, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 25, 12, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57938, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 61, 12, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57939, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 37, 6, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57940, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 64, 5, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57941, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 5, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57942, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57943, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57944, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 235, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57945, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 28, 28, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57946, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 404, 19, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57947, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 13, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57948, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 11, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57949, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 448, 69, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57950, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 352, 47, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57951, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 153, 32, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57952, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 193, 44, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57953, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 200, 49, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57954, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 769, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57955, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 165, 46, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57956, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 30, 7, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57957, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 16, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57958, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 134, 20, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57959, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 22, 18, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57960, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 39, 14, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57961, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 78, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57962, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 65, 8, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57963, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 7, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57964, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 21, 17, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57965, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 217, 12, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57966, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 47, 13, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57967, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 168, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57968, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 42, 13, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57969, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 70, 16, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57970, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 45, 17, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57971, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 10, 10, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57972, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 33, 11, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57973, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 33, 15, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57974, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1276, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57975, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 41, 24, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57976, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 33, 14, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57977, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2141, 9, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57978, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1856, 5, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57979, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 33, 13, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57980, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 48, 11, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57981, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 63, 21, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57982, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1337, 9, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57983, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2178, 13, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57984, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 5663, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57985, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 1886, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57986, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 13, 16, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57987, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 413, 6, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57988, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 479, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57989, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 247, 8, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57990, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 898, 5, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57991, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 14, 6, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57992, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 466, 7, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57993, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1404, 9, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57994, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 353, 13, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57995, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 241, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57996, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 208, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57997, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 488, 8, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57998, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 173, 7, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (57999, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 80, 38, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58000, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 99, 25, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58001, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 50, 5, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58002, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 52, 17, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58003, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 44, 25, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58004, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 409, 17, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58005, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 93, 25, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58006, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 103, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58007, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 142, 6, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58008, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 54, 16, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58009, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 72, 27, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58010, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 76, 37, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58011, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 38, 26, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58012, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 466, 7, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58013, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1404, 9, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58014, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 14, 6, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58015, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2178, 13, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58016, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1337, 9, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58017, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2141, 9, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58018, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1856, 5, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58019, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 13, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58020, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 11, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58021, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 33, 11, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58022, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 33, 15, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58023, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 45, 17, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58024, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 42, 13, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58025, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D26', 1886, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58026, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1722, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58027, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 78, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58028, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2376, 11, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58029, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 3745, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58030, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 2859, 18, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58031, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58032, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58033, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 16, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58034, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 191, 15, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58035, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 13, 16, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58036, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 153, 32, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58037, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 5, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58038, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 200, 49, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58039, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 193, 44, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58040, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 109, 15, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58041, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 39, 14, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (58042, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 217, 12, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58043, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 47, 13, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58044, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 21, 17, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58045, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 22, 18, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58046, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 14, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58047, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 235, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58048, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 827, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58049, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 112, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58050, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 769, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58051, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 6, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58052, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 168, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58053, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 5, 3, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58054, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 4, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58055, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 128, 10, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58056, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 7, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58057, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 37, 6, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58058, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 64, 5, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58059, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 383, 1, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58060, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 65, 8, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58061, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 137, 11, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58062, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 134, 20, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58063, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 5663, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58064, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 898, 5, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58065, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 247, 8, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58066, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 479, 2, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58067, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 25, 12, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58068, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 413, 6, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58069, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 61, 12, 2023, 8, 30, '2024-08-05 14:00:18', NULL, NULL), (58070, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 55, 69, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58071, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 324, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58072, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 184, 49, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58073, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 5, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58074, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 423, 29, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58075, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 195, 179, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58076, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 285, 464, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58077, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 92, 96, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58078, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 493, 81, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58079, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 482, 189, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58080, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 285, 464, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58081, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 265, 89, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58082, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 493, 81, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58083, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 195, 179, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58084, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 482, 189, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58085, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 55, 69, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58086, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 92, 96, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58087, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 6, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58088, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 460, 9, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58089, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 862, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58090, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 183, 9, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58091, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 246, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58092, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 195, 35, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58093, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 55, 69, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58094, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 518, 67, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58095, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58096, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 7, 8, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58097, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 126, 88, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58098, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 300, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58099, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 349, 12, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58100, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 715, 62, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58101, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 133, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58102, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 466, 24, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58103, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 43, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58104, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 162, 27, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58105, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 12, 13, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58106, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 24, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58107, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 211, 22, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58108, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 554, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58109, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 5, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 387, 30, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 18, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 204, 8, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 282, 38, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 5, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 466, 24, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 350, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 42, 15, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 229, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 206, 11, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 33, 11, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 215, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 117, 16, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 135, 23, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 223, 21, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 168, 30, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 43, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 134, 26, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 862, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 775, 11, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 197, 30, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 217, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 78, 18, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 9, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 594, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 283, 9, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 180, 12, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 165, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 157, 37, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 106, 18, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 640, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 628, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 6, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 8, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 93, 20, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 187, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 91, 46, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 722, 13, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 139, 20, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 77, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 38, 15, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 24, 8, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 288, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 3, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 12, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 137, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 106, 8, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 9, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 297, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 16, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 110, 13, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 173, 12, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 133, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 29, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 149, 16, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 114, 24, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 120, 16, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 300, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 11, 12, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 4, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 59, 12, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 195, 35, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 41, 11, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 16, 12, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 2, 4, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 14, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 116, 19, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 3, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 679, 47, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 48, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 86, 39, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 3767, 4, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 5080, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 936, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 62, 6, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 734, 9, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 867, 8, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 554, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 42, 13, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 698, 67, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 363, 6, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 403, 44, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 335, 6, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 246, 4, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 7, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 398, 13, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 220, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 199, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 106, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 535, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 862, 31, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 10, 9, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 129, 21, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58204, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 460, 9, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58205, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 5, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58206, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 133, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58207, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 55, 69, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58208, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 349, 12, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58209, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 518, 67, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58210, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 6, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58211, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 195, 35, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58212, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 183, 9, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58213, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 466, 24, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58214, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 12, 13, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58215, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 24, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58216, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 211, 22, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58217, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 43, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58218, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 246, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58219, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 300, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58220, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 162, 27, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58221, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 715, 62, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58222, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 554, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58223, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 126, 88, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58224, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 7, 8, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58225, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 862, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58226, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 300, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58227, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 862, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58228, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 195, 35, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58229, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 42, 13, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58230, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 246, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58231, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 14, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58232, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 59, 12, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58233, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 41, 11, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58234, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 259, 4, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58235, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 120, 16, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58236, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 215, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58237, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 11, 12, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58238, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 82, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58239, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 249, 12, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58240, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 3, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58241, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 4, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58242, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 535, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58243, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 106, 18, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58244, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 283, 9, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58245, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 187, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58246, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 9, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58247, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D21', 4, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58248, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 42, 15, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58249, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 554, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58250, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 5, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58251, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 133, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58252, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 199, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58253, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 135, 23, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58254, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 33, 11, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58255, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 229, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58256, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 335, 6, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58257, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 8, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58258, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 16, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58259, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 6, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58260, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 722, 13, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58261, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 363, 6, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58262, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58263, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 18, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58264, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 9, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58265, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 204, 8, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58266, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 12, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58267, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 133, 11, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58268, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 188, 9, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58269, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 176, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58270, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 29, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58271, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 867, 8, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58272, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 936, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58273, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 734, 9, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58274, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 679, 47, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58275, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 139, 20, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58276, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 77, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58277, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 43, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58278, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 594, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58279, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 640, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58280, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 466, 24, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58281, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 628, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58282, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 775, 11, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58283, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 217, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58284, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 3, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58285, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 77, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58286, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 288, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58287, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 29, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58288, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 110, 13, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58289, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 5, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58290, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 133, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58291, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 3, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58292, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 4, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58293, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 867, 8, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58294, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 734, 9, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58295, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 936, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58296, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 86, 39, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58297, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 114, 24, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58298, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 535, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58299, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 206, 11, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58300, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 199, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58301, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 116, 19, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58302, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 223, 21, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58303, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 117, 16, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58304, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 215, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58305, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 387, 30, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58306, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 283, 9, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58307, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 106, 18, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58308, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 187, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58309, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 6, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58310, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 8, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58311, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 16, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58312, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 9, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58313, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 129, 21, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58314, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 862, 31, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58315, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 12, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58316, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58317, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 403, 44, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58318, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 139, 20, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58319, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 698, 67, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58320, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 679, 47, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58321, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 195, 35, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58322, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 300, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58323, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 282, 38, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58324, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 350, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58325, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 466, 24, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58326, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 11, 12, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58327, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 59, 12, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58328, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 18, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58329, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 204, 8, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58330, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 120, 16, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58331, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 41, 11, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58332, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 14, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58333, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 42, 15, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58334, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 297, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58335, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 135, 23, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58336, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 106, 8, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58337, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 229, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58338, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 149, 16, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58339, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 33, 11, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58340, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 173, 12, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58341, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 640, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58342, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 38, 15, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58343, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 2, 4, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58344, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 137, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58345, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 594, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58346, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 217, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58347, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 24, 8, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58348, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 775, 11, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58349, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 16, 12, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58350, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 42, 13, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58351, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 9, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58352, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 43, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58353, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 862, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58354, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 165, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58355, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 363, 6, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58356, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 335, 6, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58357, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 554, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58358, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 10, 9, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58359, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 722, 13, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58360, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 628, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58361, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 62, 6, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58362, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 3767, 4, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58363, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 106, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58364, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 220, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58365, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 5080, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58366, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 157, 37, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58367, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 246, 4, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58368, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 180, 12, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58369, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 78, 18, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58370, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 398, 13, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58371, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 197, 30, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58372, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 7, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58373, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 48, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58374, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 134, 26, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58375, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 168, 30, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58376, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 91, 46, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58377, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 93, 20, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58378, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 722, 13, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58379, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 628, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58380, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 554, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58381, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 775, 11, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58382, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 594, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58383, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 217, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58384, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 640, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58385, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 12, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58386, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58387, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 229, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58388, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 33, 11, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58389, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 135, 23, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58390, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 42, 15, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58391, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 936, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58392, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 867, 8, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58393, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 734, 9, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58394, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 16, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58395, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 9, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58396, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 29, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58397, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 42, 13, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58398, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 259, 4, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58399, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 139, 20, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58400, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 6, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58401, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 195, 35, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58402, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 249, 12, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58403, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 679, 47, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58404, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 82, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58405, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 215, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58406, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 8, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58407, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 59, 12, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58408, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 41, 11, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58409, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 14, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58410, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 120, 16, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58411, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 11, 12, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58412, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 133, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58413, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 199, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58414, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 535, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58415, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 300, 3, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58416, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 9, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58417, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 5, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58418, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58419, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 3, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58420, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 4, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58421, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 176, 7, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58422, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 204, 8, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58423, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 187, 5, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58424, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 133, 11, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58425, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 18, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58426, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 188, 9, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58427, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 466, 24, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58428, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 77, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58429, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 335, 6, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58430, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 363, 6, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58431, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 862, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58432, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 283, 9, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58433, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 43, 1, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58434, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 106, 18, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58435, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 246, 2, 2023, 8, 31, '2024-08-05 14:00:20', NULL, NULL), (58436, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 115, 116, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58437, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 226, 14, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58438, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 389, 42, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58439, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1032, 49, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58440, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 276, 270, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58441, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1304, 93, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58442, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 60, 407, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58443, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '', 5369, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58444, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 111, 115, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58445, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 290, 78, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58446, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 509, 214, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58447, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 60, 408, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58448, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 640, 118, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58449, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1304, 93, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58450, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 290, 78, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58451, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 276, 270, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58452, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 115, 116, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58453, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 509, 214, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58454, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 111, 115, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (58455, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 2170, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58456, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 12, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58457, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 626, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58458, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 186, 17, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58459, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 115, 116, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58460, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 304, 32, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58461, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 419, 78, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58462, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 581, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58463, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1797, 56, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58464, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 569, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58465, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1403, 9, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58466, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 202, 21, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58467, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 128, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58468, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 508, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58469, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 164, 17, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58470, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 150, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58471, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 0, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58472, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 288, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58473, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 209, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58474, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58475, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58476, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 235, 137, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58477, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 528, 11, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58478, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 135, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58479, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 150, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58480, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 765, 80, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58481, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 27, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58482, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 216, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58483, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 523, 22, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58484, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 29, 10, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58485, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 12, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58486, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 242, 20, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58487, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '', 5369, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 186, 11, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 123, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 581, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 2170, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 128, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 1797, 56, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 77, 33, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 81, 27, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 616, 9, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 42, 22, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1584, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 609, 15, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 31, 36, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1874, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 637, 13, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 74, 25, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 50, 20, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 751, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1313, 8, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 37, 31, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 716, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 50, 37, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 21, 27, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 900, 11, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 123, 20, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 132, 12, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 96, 20, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 34, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 15, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 16, 10, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 80, 18, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 177, 22, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 71, 18, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 91, 21, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 81, 19, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 44, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 21, 22, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 179, 28, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 128, 19, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 105, 20, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 111, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 2572, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 135, 17, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 135, 32, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 90, 13, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 163, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 30, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 833, 26, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 988, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 3191, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 83, 14, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 110, 12, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 23, 30, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 301, 28, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 178, 9, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 262, 35, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 195, 8, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 202, 21, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D12', 5369, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 484, 8, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 292, 13, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 560, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 640, 18, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 204, 26, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 1006, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 55, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 189, 23, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 94, 17, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 216, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 626, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 150, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 10, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 233, 27, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 413, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 167, 26, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 7, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 447, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 27, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 242, 11, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 134, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 521, 54, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 6, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 528, 13, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 311, 16, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 671, 10, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 9, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 356, 19, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 150, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 569, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 21, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 304, 32, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 190, 24, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 3, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 96, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 308, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 560, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 547, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1051, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 508, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 438, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 536, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 47, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 409, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58594, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 128, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58595, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1403, 9, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58596, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 288, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58597, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 150, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58598, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 581, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58599, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 115, 116, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58600, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 164, 17, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58601, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 528, 11, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58602, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 419, 78, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58603, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 12, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58604, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 304, 32, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58605, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 186, 17, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58606, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 202, 21, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58607, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 12, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58608, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '', 5369, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58609, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 29, 10, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58610, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 242, 20, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58611, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 216, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58612, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 209, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58613, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 135, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58614, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '', 150, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58615, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 523, 22, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58616, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 569, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58617, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 765, 80, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58618, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 2170, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58619, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1797, 56, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58620, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 27, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58621, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 508, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58622, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 235, 137, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58623, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58624, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 626, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58625, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 626, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58626, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 569, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58627, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 186, 11, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58628, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 123, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58629, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D23', 150, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58630, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 128, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58631, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 304, 32, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58632, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 135, 17, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58633, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 6, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58634, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 413, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58635, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 128, 19, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58636, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 91, 21, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58637, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 81, 19, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58638, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 230, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58639, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 177, 22, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58640, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 1006, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58641, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 71, 18, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58642, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 72, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58643, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 37, 10, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58644, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 3, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58645, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 21, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58646, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 409, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58647, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 2170, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58648, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '', '', '1D12', 5369, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58649, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 167, 26, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58650, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 233, 27, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58651, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 242, 11, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58652, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 447, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58653, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 12, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58654, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 292, 13, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58655, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 508, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58656, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 150, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58657, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 47, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58658, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 189, 23, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58659, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D27', 27, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58660, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 204, 26, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58661, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 560, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58662, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 536, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58663, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 7, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58664, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 135, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58665, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 9, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58666, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58667, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 900, 11, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58668, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 514, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58669, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 6, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58670, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 178, 9, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58671, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58672, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58673, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 195, 8, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58674, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 50, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58675, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 175, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58676, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 845, 12, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58677, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 581, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58678, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1051, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58679, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 560, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58680, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 547, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58681, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 190, 24, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58682, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 521, 54, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58683, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 134, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58684, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 216, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58685, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 751, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58686, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1584, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58687, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1874, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58688, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 637, 13, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58689, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1313, 8, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58690, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 202, 21, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58691, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 716, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58692, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 616, 9, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58693, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 609, 15, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58694, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 1797, 56, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58695, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 311, 16, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58696, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 671, 10, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58697, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 134, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58698, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 528, 13, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58699, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 356, 19, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58700, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 150, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58701, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 3, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58702, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 21, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58703, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1051, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58704, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 547, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58705, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 105, 20, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58706, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 80, 18, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58707, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 560, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58708, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 409, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58709, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 47, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58710, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 21, 22, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58711, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 301, 28, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58712, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 233, 27, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58713, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 167, 26, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58714, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 751, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58715, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 447, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58716, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 242, 11, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58717, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58718, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1584, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58719, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 7, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58720, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1874, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58721, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 9, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58722, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58723, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 23, 30, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58724, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 83, 14, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58725, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58726, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 6, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58727, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 90, 13, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58728, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 135, 32, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58729, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 521, 54, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58730, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 190, 24, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58731, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 304, 32, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58732, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 569, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58733, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 262, 35, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58734, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 484, 8, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58735, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 128, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58736, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 202, 21, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58737, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 1797, 56, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58738, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 178, 9, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58739, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 195, 8, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58740, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 186, 11, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58741, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 2170, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58742, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 292, 13, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58743, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 123, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58744, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 34, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58745, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 189, 23, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58746, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 96, 20, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58747, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 560, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58748, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 16, 10, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58749, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 581, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58750, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 15, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58751, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 204, 26, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58752, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1313, 8, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58753, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 179, 28, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58754, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 132, 12, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58755, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 637, 13, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58756, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 123, 20, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58757, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 609, 15, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58758, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 616, 9, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58759, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 44, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58760, 1, '511500000000-0001', '宜宾市民中心', '', '水利、人防', '', '1D12', 5369, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58761, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 110, 12, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58762, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 900, 11, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58763, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 716, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58764, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 308, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58765, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 96, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58766, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 640, 18, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58767, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 94, 17, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58768, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 55, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58769, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 1006, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58770, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 71, 18, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58771, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 91, 21, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58772, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 177, 22, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58773, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 81, 19, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58774, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 128, 19, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58775, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 27, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58776, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 135, 17, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58777, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 150, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58778, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 10, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58779, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 216, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58780, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 626, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58781, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 413, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58782, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 438, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58783, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 536, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58784, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 508, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58785, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 2572, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58786, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 3191, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58787, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 988, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58788, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 111, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58789, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 37, 31, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58790, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 50, 20, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58791, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 163, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58792, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 74, 25, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58793, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 31, 36, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58794, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 833, 26, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58795, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 42, 22, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58796, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 30, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58797, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 81, 27, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58798, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 77, 33, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58799, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 21, 27, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58800, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 50, 37, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58801, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 900, 11, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58802, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 716, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58803, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 186, 11, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58804, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 508, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58805, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 616, 9, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58806, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 637, 13, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58807, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 609, 15, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58808, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 123, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58809, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1313, 8, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58810, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58811, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 6, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58812, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 560, 5, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58813, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 204, 26, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58814, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 189, 23, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58815, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 292, 13, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58816, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 581, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58817, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 1797, 56, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58818, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 560, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58819, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1051, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58820, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 547, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58821, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '宜宾市政务服务和非公经济发展局', '', '1D23', 150, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58822, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 9, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58823, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58824, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 128, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58825, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 230, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58826, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 135, 17, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58827, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 521, 54, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58828, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58829, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 304, 32, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58830, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 37, 10, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58831, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 190, 24, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58832, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 72, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58833, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 1006, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58834, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 7, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58835, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 91, 21, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58836, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 81, 19, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58837, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 128, 19, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58838, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 177, 22, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58839, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 71, 18, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58840, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 150, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58841, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 47, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58842, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 409, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58843, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 569, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58844, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 12, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58845, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 2170, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58846, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 3, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58847, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 21, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58848, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 135, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58849, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 845, 12, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58850, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 195, 8, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58851, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 447, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58852, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 242, 11, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58853, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 50, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58854, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 178, 9, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58855, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 175, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58856, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1874, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58857, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 202, 21, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58858, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 751, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58859, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D27', 27, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58860, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 134, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58861, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 536, 7, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58862, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 514, 4, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58863, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1584, 3, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58864, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 626, 2, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58865, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 233, 27, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58866, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 216, 6, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58867, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 167, 26, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58868, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 413, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58869, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL), (58870, 1, '511500000000-0001', '宜宾市民中心', '人防、水利业务', '水利、人防', '', '1D12', 5369, 1, 2023, 9, 1, '2024-08-05 14:00:21', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (58871, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 1831, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58872, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 75, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58873, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 369, 15, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58874, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 3136, 63, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58875, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 596, 21, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58876, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 429, 39, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58877, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 2949, 67, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58878, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 75, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58879, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 568, 22, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58880, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 369, 15, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58881, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 1831, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58882, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 389, 43, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58883, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 2140, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58884, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 1831, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58885, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 4, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58886, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 624, 20, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58887, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 340, 7, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58888, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 251, 16, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58889, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 270, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58890, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 147, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58891, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 79, 2, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58892, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 24, 2, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58893, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 39, 2, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58894, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 10, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58895, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 44, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 596, 21, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 624, 20, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 2140, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 5864, 16, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 270, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 489, 4, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 24, 2, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 277, 7, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 336, 2, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 38, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 10, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1302, 36, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 75, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 340, 7, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 67, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 1831, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 6246, 9, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 65, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58914, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 147, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58915, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 251, 16, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58916, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 1831, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58917, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 10, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58918, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 624, 20, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58919, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 2140, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58920, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 270, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58921, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 340, 7, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58922, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 44, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58923, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 24, 2, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58924, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 79, 2, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58925, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 39, 2, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58926, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 79, 2, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58927, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E27', 44, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58928, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 65, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58929, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 10, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58930, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 1831, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58931, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 38, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58932, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 270, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58933, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 39, 2, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58934, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 592, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58935, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 277, 7, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58936, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 2140, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58937, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 624, 20, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58938, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 24, 2, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58939, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 340, 7, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58940, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 147, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58941, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 270, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58942, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 2140, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58943, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 596, 21, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58944, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 1831, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58945, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 10, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58946, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 340, 7, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58947, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 67, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58948, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 65, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58949, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 38, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58950, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 489, 4, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58951, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 24, 2, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58952, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 277, 7, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58953, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 624, 20, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58954, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1302, 36, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58955, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 75, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58956, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 336, 2, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58957, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 5864, 16, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58958, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 6246, 9, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58959, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 24, 2, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58960, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 147, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58961, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 2140, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58962, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 340, 7, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58963, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 65, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58964, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 1831, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58965, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 79, 2, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58966, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 270, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58967, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 39, 2, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58968, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 10, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58969, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 592, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58970, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 624, 20, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58971, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 277, 7, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58972, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 38, 3, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58973, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E27', 44, 1, 2023, 9, 2, '2024-08-05 14:00:22', NULL, NULL), (58974, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 550, 11, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58975, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 209, 68, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58976, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 82, 7, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58977, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 206, 69, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58978, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 0, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58979, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 505, 12, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58980, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 82, 7, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58981, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 85, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58982, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 0, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58983, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 791, 2, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58984, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 19, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58985, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 72, 4, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58986, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 624, 7, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58987, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 29, 14, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 791, 2, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 85, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 237, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 77, 8, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 45, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 5, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 452, 27, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 624, 7, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 19, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 72, 4, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (58999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 40, 11, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 68, 8, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59001, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 72, 4, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59002, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 791, 2, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59003, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 85, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59004, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 624, 7, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59005, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 19, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59006, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 19, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59007, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 624, 7, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59008, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 85, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59009, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 72, 4, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59010, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 791, 2, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59011, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 85, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59012, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 791, 2, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59013, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 624, 7, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59014, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 19, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59015, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 5, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59016, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 45, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59017, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 237, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59018, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 68, 8, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59019, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 452, 27, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59020, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 72, 4, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59021, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 77, 8, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59022, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 29, 14, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59023, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 40, 11, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59024, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 791, 2, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59025, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 624, 7, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59026, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 19, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59027, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 85, 1, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59028, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 72, 4, 2023, 9, 3, '2024-08-05 14:00:24', NULL, NULL), (59029, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '', 8947, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59030, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 136, 165, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59031, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 7, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59032, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 241, 274, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59033, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 133, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59034, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 236, 96, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59035, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 265, 48, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59036, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 353, 341, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59037, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 485, 98, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59038, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 630, 549, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59039, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 110, 128, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59040, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 250, 79, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59041, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 628, 550, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59042, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 379, 166, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59043, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 475, 100, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59044, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 250, 79, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59045, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 345, 349, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59046, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 136, 165, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59047, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 240, 276, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59048, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 110, 128, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59049, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 20, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59050, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 53, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59051, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 123, 14, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59052, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 136, 165, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59053, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 267, 50, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59054, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 250, 109, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59055, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1913, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59056, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 330, 54, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59057, 1, '511500000000-0001', '宜宾市民中心', '川渝通办、省内通办、跨区域通办', '', '', '', 0, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59058, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 371, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59059, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1339, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59060, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 249, 10, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59061, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 619, 35, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59062, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 993, 11, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59063, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 304, 10, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59064, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 158, 17, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59065, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 7, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59066, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 212, 8, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59067, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 198, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59068, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 8947, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59069, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 6, 6, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59070, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59071, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 306, 174, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59072, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 927, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59073, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 1636, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59074, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 153, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59075, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 249, 88, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59076, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 0, 11, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59077, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 198, 34, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59078, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 15, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59079, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 56, 18, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59080, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 256, 62, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59081, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 3, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 29, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 198, 13, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1698, 8, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1214, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 330, 54, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 546, 48, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 309, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 656, 36, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 151, 12, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 262, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 532, 17, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 261, 12, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 116, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 493, 59, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 319, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 48, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 527, 55, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 445, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 469, 43, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 112, 8, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 582, 52, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 368, 17, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 313, 7, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 145, 21, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 122, 11, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 133, 16, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 64, 12, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 132, 10, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 93, 16, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 63, 16, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 497, 42, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 45, 31, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 57, 32, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 46, 20, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 118, 26, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 189, 13, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 435, 29, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 1207, 76, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 27, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 13, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 95, 27, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 213, 35, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 235, 39, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 83, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 8, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 419, 28, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 139, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 38, 13, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 1427, 30, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 252, 34, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 189, 8, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 36, 6, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 130, 26, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 9, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 7, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 619, 35, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 181, 13, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D10', 8947, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 273, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 279, 22, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 360, 40, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 165, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 324, 32, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 175, 25, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 151, 24, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 121, 29, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 53, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 15, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 318, 24, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 292, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 369, 28, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 5, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 7, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 339, 12, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 374, 23, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 101, 6, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 265, 61, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 264, 26, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 459, 22, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 270, 15, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 8, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 458, 15, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 153, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 464, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 6, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 267, 50, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 74, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 28, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 230, 48, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1087, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 188, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 453, 7, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 410, 7, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 262, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1524, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1282, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 36, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 144, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 279, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59184, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1214, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59185, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 249, 10, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59186, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 212, 8, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59187, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 7, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59188, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 153, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59189, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1913, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59190, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 136, 165, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59191, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 158, 17, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59192, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 927, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59193, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 250, 109, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59194, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '', 20, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59195, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 267, 50, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59196, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 123, 14, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59197, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 619, 35, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59198, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 15, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59199, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 56, 18, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59200, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 256, 62, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59201, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '', 198, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59202, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 1636, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59203, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 464, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59204, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 198, 34, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59205, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 249, 88, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59206, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 330, 54, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59207, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '', 8947, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59208, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1524, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59209, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1339, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59210, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 306, 174, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59211, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 3, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59212, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 6, 6, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59213, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '', 53, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59214, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '1D24', 53, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59215, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 464, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59216, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 29, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59217, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 198, 13, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59218, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1214, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59219, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 267, 50, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59220, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 95, 27, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59221, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '1D10', 8947, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59222, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D22', 10, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59223, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D21', 292, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59224, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 435, 29, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59225, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 46, 20, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59226, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 118, 26, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59227, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 45, 31, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59228, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 417, 28, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59229, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 165, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59230, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 57, 32, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59231, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D17', 160, 13, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59232, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D16', 95, 19, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59233, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 41, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59234, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 74, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59235, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 6, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59236, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 279, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59237, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 369, 28, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59238, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 318, 24, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59239, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 374, 23, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59240, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 339, 12, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59241, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D22', 20, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59242, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 273, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59243, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1524, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59244, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 7, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59245, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 1339, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59246, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 153, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59247, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 144, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59248, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 151, 24, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59249, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 324, 32, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59250, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 279, 22, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59251, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 36, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59252, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 7, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59253, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 1636, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59254, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 8, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59255, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 5, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59256, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 313, 7, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59257, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1181, 7, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59258, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59259, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 189, 8, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59260, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59261, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59262, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 36, 6, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59263, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 192, 12, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59264, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D16', 170, 10, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59265, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 227, 12, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59266, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1913, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59267, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 262, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59268, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 188, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59269, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 453, 7, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59270, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 410, 7, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59271, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 230, 48, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59272, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 265, 61, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59273, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 101, 6, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59274, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E27', 3, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59275, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 319, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59276, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 262, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59277, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 116, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59278, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 261, 12, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59279, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 48, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59280, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 445, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59281, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 112, 8, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59282, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 619, 35, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59283, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 309, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59284, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 151, 12, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59285, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 330, 54, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59286, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 459, 22, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59287, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 270, 15, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59288, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 101, 6, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59289, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 264, 26, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59290, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 458, 15, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59291, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 153, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59292, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 74, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59293, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 28, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59294, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 6, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59295, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 262, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59296, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 410, 7, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59297, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 453, 7, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59298, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 497, 42, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (59299, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 188, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59300, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 279, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59301, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 144, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59302, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 1207, 76, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59303, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 252, 34, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59304, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 318, 24, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59305, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 369, 28, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59306, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 319, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59307, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 339, 12, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59308, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 374, 23, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59309, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 262, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59310, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 5, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59311, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 7, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59312, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 116, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59313, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 8, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59314, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59315, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 1427, 30, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59316, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59317, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59318, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 235, 39, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59319, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 213, 35, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59320, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 265, 61, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59321, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 230, 48, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59322, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 267, 50, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59323, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 464, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59324, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 130, 26, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59325, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 9, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59326, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 181, 13, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59327, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1214, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59328, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 619, 35, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59329, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 330, 54, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59330, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 189, 8, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59331, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 29, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59332, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 36, 6, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59333, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 273, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59334, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 132, 10, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59335, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 198, 13, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59336, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 151, 24, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59337, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 64, 12, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59338, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 279, 22, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59339, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1698, 8, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59340, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 63, 16, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59341, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 93, 16, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59342, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 324, 32, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59343, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 445, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59344, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 145, 21, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59345, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 189, 13, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59346, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 48, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59347, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 261, 12, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59348, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 133, 16, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59349, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 122, 11, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59350, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 151, 12, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59351, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 309, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59352, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 38, 13, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59353, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 313, 7, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59354, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 112, 8, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59355, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1087, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59356, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 7, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59357, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 360, 40, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59358, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 121, 29, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59359, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 175, 25, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59360, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 165, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59361, 1, '511500000000-0001', '宜宾市民中心', '', '市住建局', '', '1D10', 8947, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59362, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 57, 32, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59363, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 46, 20, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59364, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 45, 31, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59365, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 118, 26, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59366, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 435, 29, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59367, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 95, 27, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59368, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 15, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59369, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 53, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59370, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 292, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59371, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1282, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59372, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 36, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59373, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1524, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59374, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 13, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59375, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 139, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59376, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 27, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59377, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 469, 43, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59378, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 527, 55, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59379, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 83, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59380, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 493, 59, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59381, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 532, 17, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59382, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 419, 28, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59383, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 656, 36, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59384, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 8, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59385, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 546, 48, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59386, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 368, 17, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59387, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 582, 52, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59388, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 313, 7, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59389, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 112, 8, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59390, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 29, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59391, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 309, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59392, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1524, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59393, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 261, 12, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59394, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 151, 12, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59395, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 445, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59396, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 198, 13, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59397, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 48, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59398, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59399, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59400, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 279, 22, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59401, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 324, 32, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59402, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 151, 24, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59403, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 273, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59404, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1913, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59405, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 330, 54, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59406, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 188, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59407, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 453, 7, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59408, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 262, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59409, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 410, 7, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59410, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 8, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59411, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59412, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1214, 9, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59413, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 95, 27, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59414, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 417, 28, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59415, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 265, 61, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59416, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 5, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59417, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 267, 50, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59418, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D16', 95, 19, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59419, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 230, 48, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59420, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D17', 160, 13, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59421, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 165, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59422, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 7, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59423, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 46, 20, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59424, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 118, 26, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59425, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 435, 29, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59426, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 45, 31, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59427, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 57, 32, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59428, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 153, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59429, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '市住建局', '', '1D10', 8947, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59430, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 144, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59431, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 279, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59432, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 464, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59433, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '宜宾市政务服务和非公经济发展局', '', '1D22', 20, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59434, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 7, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59435, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 41, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59436, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 74, 4, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59437, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 6, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59438, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 1636, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59439, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 227, 12, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59440, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 36, 6, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59441, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 339, 12, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59442, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 374, 23, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59443, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 192, 12, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59444, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 189, 8, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59445, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 1339, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59446, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D16', 170, 10, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59447, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 116, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59448, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 619, 35, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59449, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 319, 3, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59450, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 101, 6, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59451, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 36, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59452, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1181, 7, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59453, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 262, 5, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59454, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '宜宾市政务服务和非公经济发展局', '', '1D24', 53, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59455, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 318, 24, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59456, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E27', 3, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59457, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 369, 28, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59458, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D21', 292, 2, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59459, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '宜宾市政务服务和非公经济发展局', '', '1D22', 10, 1, 2023, 9, 4, '2024-08-05 14:00:28', NULL, NULL), (59460, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 180, 100, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59461, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 3542, 14, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59462, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 13, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59463, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 506, 27, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59464, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 416, 222, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59465, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 648, 293, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59466, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1219, 47, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59467, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 73, 71, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59468, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 591, 47, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59469, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 933, 181, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59470, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 646, 294, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59471, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 1406, 45, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59472, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1170, 49, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59473, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 578, 48, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59474, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 403, 229, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59475, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 180, 100, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59476, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 923, 183, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59477, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 73, 71, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59478, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 89, 14, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59479, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 180, 100, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59480, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 669, 34, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59481, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 978, 81, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59482, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 0, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59483, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 326, 26, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59484, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 5, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59485, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 3437, 11, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59486, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 941, 26, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59487, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 331, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59488, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 0, 7, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59489, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1254, 8, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59490, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 13, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59491, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 460, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59492, 1, '511500000000-0001', '宜宾市民中心', '涉及二手房交易', '', '', '', 0, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59493, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59494, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 8, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59495, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 293, 126, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59496, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1955, 12, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59497, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 59, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59498, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1154, 56, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59499, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 0, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59500, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 3691, 8, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59501, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 11, 8, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59502, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59503, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 3345, 6, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 184, 6, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 139, 18, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1999, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 12, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 358, 19, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 18, 8, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 13, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 941, 26, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1527, 6, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 188, 20, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 218, 14, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 3610, 7, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 496, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 3872, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 195, 15, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 2481, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 338, 20, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 326, 26, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 318, 26, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2578, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 643, 19, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 955, 9, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 6531, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 202, 28, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1852, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1761, 4, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 556, 22, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 133, 21, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2792, 4, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 297, 19, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 196, 13, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 856, 7, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 648, 32, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1398, 10, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 8, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 326, 7, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 429, 33, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 801, 16, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 879, 11, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 421, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 16, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 27, 7, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1418, 51, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 19, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 371, 10, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 20, 9, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 117, 4, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 76, 13, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 292, 4, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 160, 6, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 62, 11, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 59, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 34, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 4, 8, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 728, 19, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 102, 15, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 5, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 78, 16, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 4, 4, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 121, 13, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 669, 34, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 8, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 164, 14, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 583, 17, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 25, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 3, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 98, 19, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 1151, 48, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 228, 30, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 4397, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 254, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 426, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 795, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 652, 8, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2157, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 917, 6, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 805, 8, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 93, 20, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1704, 18, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1378, 7, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2762, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 91, 18, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 426, 4, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 137, 9, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 105, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 696, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 51, 6, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59594, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 496, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59595, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3437, 11, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59596, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 460, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59597, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 13, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59598, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 59, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59599, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 180, 100, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59600, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1254, 8, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59601, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1955, 12, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59602, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 978, 81, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59603, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 669, 34, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59604, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 89, 14, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59605, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 941, 26, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59606, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59607, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 11, 8, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59608, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 3345, 6, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59609, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 5, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59610, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 3691, 8, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59611, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1175, 55, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59612, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 326, 26, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59613, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 293, 126, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59614, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 8, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59615, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 5, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59616, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1999, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59617, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 12, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59618, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 496, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59619, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 669, 34, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59620, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 93, 20, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59621, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 98, 19, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59622, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 121, 13, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59623, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 583, 17, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59624, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 706, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59625, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 102, 15, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59626, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 78, 16, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59627, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 3872, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59628, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 25, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59629, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 8, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59630, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 4, 4, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59631, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 696, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59632, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 196, 13, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59633, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 133, 21, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59634, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 801, 16, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59635, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 326, 7, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59636, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 188, 20, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59637, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 13, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59638, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 59, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59639, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 105, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59640, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 338, 20, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59641, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 195, 15, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59642, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 218, 14, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59643, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2762, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59644, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59645, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 8, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59646, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 421, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59647, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1378, 7, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59648, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 184, 6, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59649, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59650, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59651, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 18, 8, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59652, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D17', 2481, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59653, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 4094, 6, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59654, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 426, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59655, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 795, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59656, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2157, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59657, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 805, 8, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59658, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 228, 30, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59659, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1418, 51, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59660, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 16, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59661, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2792, 4, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59662, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 6531, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59663, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1761, 4, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59664, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1852, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59665, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 856, 7, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59666, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1398, 10, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59667, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 941, 26, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59668, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2578, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59669, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 955, 9, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59670, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 326, 26, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59671, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 117, 4, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59672, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 292, 4, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59673, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 16, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59674, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 371, 10, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59675, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 62, 11, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59676, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 59, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59677, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 13, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59678, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 8, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59679, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 25, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59680, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 4, 4, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59681, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 805, 8, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59682, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2157, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59683, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 795, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59684, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 728, 19, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59685, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 426, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59686, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 696, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59687, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 3610, 7, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59688, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 105, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59689, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 1151, 48, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59690, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 2481, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59691, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 3872, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59692, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 139, 18, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59693, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 133, 21, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59694, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 196, 13, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59695, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2792, 4, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59696, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 326, 7, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59697, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 801, 16, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59698, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 8, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59699, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 6531, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59700, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1761, 4, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59701, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59702, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59703, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59704, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 91, 18, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59705, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1704, 18, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59706, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1418, 51, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59707, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 228, 30, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59708, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 669, 34, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59709, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 5, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59710, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 358, 19, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59711, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1527, 6, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59712, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 496, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59713, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 78, 16, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59714, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 941, 26, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59715, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 121, 13, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (59716, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 184, 6, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59717, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 326, 26, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59718, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 102, 15, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59719, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 18, 8, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59720, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1999, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59721, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 583, 17, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59722, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 98, 19, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59723, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 188, 20, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59724, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 160, 6, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59725, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 12, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59726, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 338, 20, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59727, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 76, 13, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59728, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 218, 14, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59729, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 4, 8, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59730, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 34, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59731, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 195, 15, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59732, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 856, 7, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59733, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 27, 7, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59734, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 3, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59735, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 20, 9, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59736, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1852, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59737, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 19, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59738, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 955, 9, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59739, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2578, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59740, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 164, 14, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59741, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 93, 20, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59742, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1378, 7, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59743, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2762, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59744, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 51, 6, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59745, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 421, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59746, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1398, 10, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59747, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 917, 6, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59748, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 254, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59749, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 652, 8, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59750, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 648, 32, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59751, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 297, 19, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59752, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 556, 22, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59753, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 202, 28, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59754, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 137, 9, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59755, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 643, 19, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59756, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 426, 4, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59757, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 4397, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59758, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 318, 26, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59759, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 879, 11, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59760, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 429, 33, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59761, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 421, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59762, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1398, 10, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59763, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1999, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59764, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2578, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59765, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1852, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59766, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 955, 9, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59767, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 856, 7, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59768, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 12, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59769, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59770, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 218, 14, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59771, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 195, 15, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59772, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 338, 20, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59773, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 188, 20, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59774, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 326, 26, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59775, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 426, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59776, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2157, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59777, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 795, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59778, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 805, 8, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59779, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59780, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59781, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 496, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59782, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 706, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59783, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 93, 20, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59784, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1418, 51, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59785, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 8, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59786, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 669, 34, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59787, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 228, 30, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59788, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 3872, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59789, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 121, 13, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59790, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 583, 17, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59791, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 98, 19, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59792, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 102, 15, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59793, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 78, 16, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59794, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 59, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59795, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 105, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59796, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 696, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59797, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 5, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59798, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 13, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59799, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 25, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59800, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 8, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59801, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 4, 4, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59802, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 4094, 6, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59803, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 18, 8, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59804, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 326, 7, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59805, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 801, 16, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59806, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D17', 2481, 2, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59807, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 184, 6, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59808, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1761, 4, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59809, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 941, 26, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59810, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2792, 4, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59811, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 16, 1, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59812, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2762, 5, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59813, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1378, 7, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59814, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 6531, 3, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59815, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 133, 21, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59816, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 196, 13, 2023, 9, 5, '2024-08-05 14:00:32', NULL, NULL), (59817, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 160, 130, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59818, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 547, 9, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59819, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 393, 66, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59820, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '', 12, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59821, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 725, 67, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59822, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 198, 281, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59823, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1369, 66, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59824, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 399, 410, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59825, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 76, 63, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59826, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 60, 109, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59827, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 348, 248, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59828, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 398, 411, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59829, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 533, 149, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59830, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1369, 66, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59831, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 75, 64, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59832, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 194, 286, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59833, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 160, 130, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59834, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 348, 248, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59835, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 59, 110, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59836, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 2024, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59837, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 131, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59838, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 25, 12, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59839, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 237, 46, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59840, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 160, 130, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59841, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 251, 97, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59842, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 7407, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59843, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 551, 33, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59844, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 7, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59845, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 15347, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59846, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 186, 5, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59847, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 140, 30, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59848, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 715, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59849, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2612, 10, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59850, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 0, 5, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59851, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 14, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59852, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '', 6, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59853, 1, '511500000000-0001', '宜宾市民中心', '发改、自规业务', '', '', '', 0, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59854, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 168, 5, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59855, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 13, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59856, 1, '511500000000-0001', '宜宾市民中心', '住建业务', '', '', '', 0, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59857, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 3, 6, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59858, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 18, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59859, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 217, 161, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59860, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 427, 12, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59861, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 1753, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59862, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 17, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59863, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 535, 94, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59864, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '', 26, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59865, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '', 1365, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59866, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 359, 31, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59867, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 33, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59868, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59869, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 313, 11, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59870, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 287, 30, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 32, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 7, 9, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 10881, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1452, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 2612, 10, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 551, 33, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 363, 51, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 607, 31, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 572, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 222, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 307, 12, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 454, 34, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 41, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 557, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 320, 30, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 445, 36, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 720, 9, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 352, 41, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 518, 8, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 420, 36, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 475, 6, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 37, 10, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 23, 8, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 68, 19, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 10, 11, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 83, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 159, 10, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 36, 17, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 513, 45, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 151, 19, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 163, 27, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 142, 25, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 40, 12, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 153, 24, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 110, 17, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 514, 55, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 622, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 143, 14, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 247, 18, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 104, 21, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 76, 30, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 109, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1059, 36, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 5, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 86, 18, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D15', 131, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 90, 25, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 25, 6, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 70, 28, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 25, 6, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D13', 12, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 140, 30, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 23, 7, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 229, 21, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 210, 24, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 367, 34, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 268, 27, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 225, 31, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 2024, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 228, 23, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 13, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 29, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1365, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 24, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 128, 21, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 164, 15, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 16, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 5, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 6, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 715, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 427, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 167, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 12, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 227, 45, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 132, 20, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 98, 10, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 11, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 97, 6, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 150, 10, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 17, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 7, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 304, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 237, 46, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 647, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 315, 5, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 272, 52, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 173, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 71, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 583, 7, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 625, 12, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 538, 12, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 196, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1031, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 305, 9, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 168, 5, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59967, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 2612, 10, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59968, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 186, 5, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59969, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 168, 5, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59970, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '市交通运输局', '', '', 2024, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59971, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '', 12, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59972, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 17, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59973, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 7407, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59974, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 160, 130, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59975, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 14, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59976, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 427, 12, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59977, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 251, 97, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59978, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 237, 46, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59979, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 25, 12, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59980, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 140, 30, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59981, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 18, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59982, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 7, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59983, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '市交通运输局', '', '', 13, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59984, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 313, 11, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59985, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 287, 30, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59986, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '', 1365, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59987, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 1753, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59988, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 7, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59989, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 359, 31, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59990, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 535, 94, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59991, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 33, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59992, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 551, 33, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59993, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '', 26, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59994, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 715, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59995, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '市交通运输局', '', '', 131, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59996, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 15347, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59997, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 217, 161, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59998, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 3, 6, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (59999, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 7, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60000, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 32, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60001, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 7, 9, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60002, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 33, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60003, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 2612, 10, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60004, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 237, 46, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60005, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 247, 18, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60006, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 110, 17, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60007, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 142, 25, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60008, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 153, 24, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60009, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 151, 19, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60010, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 333, 10, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60011, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 163, 27, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60012, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 264, 20, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60013, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D16', 13, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60014, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 315, 5, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60015, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 647, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60016, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 304, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60017, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D17', 2024, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60018, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 168, 5, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60019, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 164, 15, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60020, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 128, 21, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60021, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 167, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60022, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 427, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60023, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 229, 21, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60024, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '', '', '1D13', 12, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60025, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 15347, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60026, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 17, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60027, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '', '', '1D26', 26, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60028, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 228, 23, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60029, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 225, 31, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60030, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 210, 24, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60031, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 305, 9, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60032, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 6, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60033, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60034, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 1753, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60035, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 5, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60036, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 475, 6, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60037, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 791, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60038, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 25, 6, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60039, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D15', 131, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60040, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 11, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60041, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 25, 6, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60042, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 381, 24, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60043, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D18', 281, 7, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60044, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 9392, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60045, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1452, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60046, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 196, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60047, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 583, 7, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60048, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 625, 12, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60049, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 538, 12, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60050, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 24, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60051, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 272, 52, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60052, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 227, 45, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60053, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 16, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60054, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 12, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60055, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 715, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60056, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '', '', '1D25', 1365, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60057, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 222, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60058, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 41, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60059, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 557, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60060, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 720, 9, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60061, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 518, 8, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60062, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 140, 30, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60063, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 572, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60064, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 307, 12, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60065, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 551, 33, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60066, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 98, 10, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60067, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 97, 6, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60068, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 12, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60069, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 132, 20, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60070, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 150, 10, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60071, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 17, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60072, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 647, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60073, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 315, 5, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60074, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 304, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60075, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 196, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60076, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 538, 12, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60077, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 625, 12, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60078, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 513, 45, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60079, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 583, 7, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60080, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 168, 5, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60081, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 514, 55, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60082, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 90, 25, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60083, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 128, 21, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60084, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 164, 15, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60085, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 427, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60086, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 167, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60087, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 222, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60088, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 5, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60089, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 41, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60090, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 6, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60091, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60092, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 11, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60093, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 76, 30, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60094, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 104, 21, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60095, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 227, 45, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60096, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 272, 52, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60097, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 237, 46, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60098, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 7, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60099, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 70, 28, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60100, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 23, 7, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60101, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 2612, 10, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60102, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 140, 30, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60103, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 551, 33, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60104, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 25, 6, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60105, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 25, 6, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60106, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 32, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60107, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 229, 21, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60108, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 83, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60109, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 7, 9, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60110, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 228, 23, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60111, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 10, 11, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60112, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 10881, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60113, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 36, 17, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60114, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 210, 24, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60115, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1452, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60116, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 159, 10, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60117, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 225, 31, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60118, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 720, 9, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60119, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 37, 10, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60120, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 68, 19, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60121, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 557, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60122, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 307, 12, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60123, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 23, 8, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60124, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 572, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60125, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 40, 12, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60126, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 86, 18, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60127, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 475, 6, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60128, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 518, 8, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60129, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 71, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60130, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 173, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60131, 1, '511500000000-0001', '宜宾市民中心', '', '应急、消防', '', '1D13', 12, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60132, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 367, 34, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60133, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D15', 131, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60134, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 13, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (60135, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 2024, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60136, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 268, 27, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60137, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 163, 27, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60138, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 142, 25, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60139, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 151, 19, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60140, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 153, 24, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60141, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 110, 17, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60142, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 29, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60143, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 247, 18, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60144, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 715, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60145, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1365, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60146, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 24, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60147, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 16, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60148, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1031, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60149, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 305, 9, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60150, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 143, 14, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60151, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 5, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60152, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 352, 41, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60153, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 622, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60154, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 445, 36, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60155, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 109, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60156, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 320, 30, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60157, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 454, 34, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60158, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1059, 36, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60159, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 607, 31, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60160, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 363, 51, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60161, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 420, 36, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60162, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 475, 6, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60163, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 518, 8, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60164, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 32, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60165, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 572, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60166, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '市交通运输局', '', '1D16', 13, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60167, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 557, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60168, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 307, 12, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60169, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 720, 9, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60170, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 7, 9, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60171, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 210, 24, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60172, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 225, 31, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60173, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 228, 23, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60174, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 229, 21, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60175, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 24, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60176, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 16, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60177, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1452, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60178, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 9392, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60179, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 551, 33, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60180, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 583, 7, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60181, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 715, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60182, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 625, 12, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60183, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 196, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60184, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 538, 12, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60185, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60186, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 11, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60187, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 2612, 10, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60188, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '市交通运输局', '', '1D15', 131, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60189, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 247, 18, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60190, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 333, 10, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60191, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 227, 45, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60192, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 5, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60193, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 237, 46, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60194, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 272, 52, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60195, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 264, 20, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60196, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 6, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60197, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 142, 25, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60198, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 153, 24, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60199, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 110, 17, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60200, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 151, 19, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60201, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 163, 27, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60202, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 17, 2, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60203, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 168, 5, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60204, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 7, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60205, 1, '511500000000-0001', '宜宾市民中心', '消防、应急业务', '应急、消防', '', '1D13', 12, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60206, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 315, 5, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60207, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 647, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60208, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 304, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60209, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 1753, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60210, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '市交通运输局', '', '1D17', 2024, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60211, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 381, 24, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60212, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 25, 6, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60213, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 427, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60214, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 167, 13, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60215, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 25, 6, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60216, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D18', 281, 7, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60217, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 15347, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60218, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 41, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60219, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 140, 30, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60220, 1, '511500000000-0001', '宜宾市民中心', '一件事一次办', '宜宾市政务服务和非公经济发展局', '', '1D26', 26, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60221, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 12, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60222, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 305, 9, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60223, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 791, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60224, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 222, 4, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60225, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 128, 21, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60226, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 164, 15, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60227, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫健业务', '宜宾市政务服务和非公经济发展局', '', '1D25', 1365, 3, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60228, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 33, 1, 2023, 9, 6, '2024-08-05 14:00:36', NULL, NULL), (60229, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 29, 128, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60230, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 15, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60231, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 415, 49, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60232, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 667, 58, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60233, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 340, 302, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60234, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 400, 424, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60235, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 447, 55, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60236, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 501, 63, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60237, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 165, 111, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60238, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 445, 222, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60239, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 399, 425, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60240, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 497, 119, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60241, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 447, 55, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60242, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 471, 67, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60243, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 339, 303, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60244, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 29, 128, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60245, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 445, 222, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60246, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 165, 111, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60247, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 7151, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60248, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 347, 16, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60249, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 29, 128, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60250, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 334, 43, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60251, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 433, 93, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60252, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 52, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60253, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 295, 20, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60254, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 439, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60255, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 132, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60256, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1260, 12, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60257, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 206, 28, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60258, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60259, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 298, 8, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60260, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 5076, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60261, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 80, 11, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60262, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 212, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60263, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 626, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60264, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 15, 9, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60265, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 122, 175, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60266, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1773, 12, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60267, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 333, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60268, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 588, 69, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60269, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 126, 27, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60270, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 15, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60271, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 5, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60272, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 8, 7, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60273, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 132, 20, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 26, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 92, 9, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 72, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 298, 8, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 295, 20, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 673, 13, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 381, 48, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 370, 30, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 258, 7, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 414, 11, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 461, 35, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1182, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1094, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1217, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 439, 30, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 452, 38, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1448, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 260, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 465, 46, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 997, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 481, 54, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 435, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 121, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 261, 23, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 222, 17, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 250, 7, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 8, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 4, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 4, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 29, 22, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 18, 21, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 41, 19, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 197, 21, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 25, 19, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 25, 25, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 435, 50, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 341, 9, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 557, 12, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 39, 22, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 118, 37, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 132, 29, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 50, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 99, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1010, 28, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 86, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 120, 16, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 541, 14, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D15', 7151, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 478, 25, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 231, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 529, 25, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 542, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1180, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 206, 28, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 294, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 130, 35, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 198, 16, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 107, 17, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 92, 31, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 94, 34, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 84, 30, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 15, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 19, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 11, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 113, 18, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 9, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 125, 24, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 16, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 1870, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 451, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 159, 12, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 5, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 448, 36, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 304, 14, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 2, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 203, 19, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 38, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 736, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 152, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 333, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 439, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 6, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 334, 43, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 3, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 2, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 423, 57, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 916, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 31, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 540, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 567, 7, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 717, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 695, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 5076, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 845, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2082, 9, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 281, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 5, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60374, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 298, 8, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60375, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1260, 12, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60376, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 212, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60377, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 333, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60378, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 52, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60379, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 29, 128, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60380, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 80, 11, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60381, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1773, 12, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60382, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 433, 93, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60383, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 334, 43, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60384, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 347, 16, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60385, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 206, 28, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60386, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 15, 9, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60387, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 8, 7, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60388, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 5, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60389, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 132, 20, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60390, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 126, 27, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60391, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 439, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60392, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 588, 69, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60393, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 15, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60394, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 295, 20, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60395, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 5076, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60396, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 132, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60397, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '市交通运输局', '', '', 7151, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60398, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 122, 175, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60399, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 626, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60400, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 439, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60401, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 26, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60402, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 92, 9, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60403, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 15, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60404, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 298, 8, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60405, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 334, 43, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60406, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 39, 22, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60407, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 25, 25, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60408, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 41, 19, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60409, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 25, 19, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60410, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 29, 22, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60411, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 207, 8, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60412, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 18, 21, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60413, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 82, 12, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60414, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 2, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60415, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 3, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60416, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 6, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60417, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 5, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60418, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 125, 24, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60419, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 113, 18, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60420, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 159, 12, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60421, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 451, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60422, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 130, 35, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60423, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 5076, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60424, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 132, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60425, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 333, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60426, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 281, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60427, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 84, 30, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60428, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 94, 34, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60429, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 107, 17, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60430, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2082, 9, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60431, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 1870, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60432, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60433, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60434, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 435, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60435, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 845, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60436, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60437, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 231, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60438, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D15', 7151, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60439, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 38, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60440, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 2, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60441, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 542, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60442, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 190, 8, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60443, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D18', 99, 19, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60444, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 52, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60445, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 695, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60446, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 540, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60447, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 567, 7, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60448, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 717, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60449, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 11, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60450, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 9, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60451, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 19, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60452, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 423, 57, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60453, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 448, 36, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60454, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 16, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60455, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 5, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60456, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1448, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60457, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1182, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60458, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1217, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60459, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1094, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60460, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 260, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60461, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 206, 28, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60462, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 997, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60463, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 258, 7, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60464, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 414, 11, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60465, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 295, 20, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60466, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 203, 19, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60467, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 736, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60468, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 5, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60469, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 304, 14, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60470, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 152, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60471, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 333, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60472, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 3, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60473, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 2, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60474, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 6, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60475, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 695, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60476, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 717, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60477, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 567, 7, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60478, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 540, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60479, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 5, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60480, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 281, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60481, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 435, 50, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60482, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 478, 25, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60483, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 113, 18, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60484, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 125, 24, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60485, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1448, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60486, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 451, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60487, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 159, 12, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60488, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60489, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1182, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60490, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 1870, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60491, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1217, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60492, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60493, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 541, 14, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60494, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 38, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60495, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 2, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60496, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60497, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 132, 29, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60498, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 118, 37, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60499, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 448, 36, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60500, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 423, 57, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60501, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 334, 43, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60502, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 439, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60503, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 529, 25, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60504, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1180, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60505, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 294, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60506, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 298, 8, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60507, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 206, 28, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60508, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 295, 20, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60509, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 231, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60510, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 26, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60511, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 542, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60512, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 130, 35, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60513, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 8, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60514, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 92, 9, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60515, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 84, 30, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60516, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 250, 7, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60517, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 72, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60518, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 4, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60519, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 107, 17, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60520, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 4, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60521, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 94, 34, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60522, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 121, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60523, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 260, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60524, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 222, 17, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60525, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1094, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60526, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 261, 23, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60527, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 414, 11, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60528, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 258, 7, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60529, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 197, 21, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60530, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 120, 16, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60531, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 435, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60532, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 997, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60533, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 31, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60534, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 916, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60535, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 198, 16, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60536, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D15', 7151, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60537, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 92, 31, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60538, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 18, 21, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60539, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 41, 19, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60540, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 29, 22, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60541, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 25, 19, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60542, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 25, 25, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60543, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 15, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60544, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 39, 22, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60545, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 11, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60546, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 19, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60547, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60548, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 16, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60549, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 845, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60550, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2082, 9, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (60551, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 5076, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60552, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 557, 12, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60553, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 86, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60554, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 341, 9, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60555, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 465, 46, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60556, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 452, 38, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60557, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 50, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60558, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 439, 30, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60559, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 461, 35, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60560, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1010, 28, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60561, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 370, 30, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60562, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 99, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60563, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 381, 48, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60564, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 673, 13, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60565, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 481, 54, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60566, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 435, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60567, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 997, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60568, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 26, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60569, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 5076, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60570, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 258, 7, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60571, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1094, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60572, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 414, 11, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60573, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 260, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60574, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 92, 9, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60575, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 2, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60576, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60577, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 107, 17, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60578, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 94, 34, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60579, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 84, 30, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60580, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 130, 35, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60581, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 19, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60582, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 11, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60583, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 16, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60584, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60585, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 52, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60586, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 295, 20, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60587, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 540, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60588, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 567, 7, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60589, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 695, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60590, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 717, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60591, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60592, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 38, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60593, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 298, 8, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60594, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '市交通运输局', '', '1D15', 7151, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60595, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 39, 22, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60596, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 207, 8, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60597, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 448, 36, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60598, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60599, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 334, 43, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60600, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 423, 57, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60601, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 82, 12, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60602, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 1870, 2, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60603, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 41, 19, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60604, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 25, 19, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60605, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 25, 25, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60606, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 29, 22, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60607, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 18, 21, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60608, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 333, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60609, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 281, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60610, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 5, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60611, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 439, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60612, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 2, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60613, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 3, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60614, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 6, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60615, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 190, 8, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60616, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 542, 6, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60617, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 451, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60618, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 159, 12, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60619, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 231, 10, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60620, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D18', 99, 19, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60621, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 132, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60622, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 206, 28, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60623, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1217, 4, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60624, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1448, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60625, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 5, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60626, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2082, 9, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60627, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 845, 3, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60628, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1182, 5, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60629, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 113, 18, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60630, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 125, 24, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60631, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 15, 1, 2023, 9, 7, '2024-08-05 14:00:40', NULL, NULL), (60632, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 94, 103, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60633, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 38, 12, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60634, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 163, 32, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60635, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 920, 67, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60636, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 361, 259, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60637, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 771, 82, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60638, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 545, 402, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60639, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 287, 77, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60640, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 102, 123, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60641, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 751, 232, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60642, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 542, 404, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60643, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 543, 124, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60644, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 771, 82, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60645, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 267, 83, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60646, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 361, 259, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60647, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 85, 114, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60648, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 751, 232, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60649, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 101, 124, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60650, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 247, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60651, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 0, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60652, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 157, 14, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60653, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 169, 39, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60654, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 85, 114, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60655, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 818, 104, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60656, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1109, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60657, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 409, 38, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60658, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 399, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60659, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 7505, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60660, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 759, 17, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60661, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 139, 19, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60662, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 8, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60663, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 591, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60664, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 325, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60665, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1147, 15, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60666, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 275, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60667, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 18, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60668, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 639, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60669, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 29, 5, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60670, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 5, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60671, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 476, 162, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60672, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 79, 6, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60673, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 166, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60674, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1085, 74, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60675, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 193, 16, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60676, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 54, 8, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60677, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 11, 9, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60678, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 74, 10, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60679, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 124, 13, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60680, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 3, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 2143, 8, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 241, 9, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 86, 32, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 7, 5, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 8, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 129, 27, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 139, 19, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1909, 8, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 378, 9, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 604, 39, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 242, 16, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 175, 11, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 591, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 154, 18, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 224, 23, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 170, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 521, 36, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 409, 38, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 41, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 93, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 696, 41, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1350, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 867, 41, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 485, 6, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1307, 10, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 655, 39, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 916, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1118, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 461, 19, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 580, 33, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 9, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 540, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 606, 28, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 754, 39, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1163, 10, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 684, 37, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 674, 10, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 53, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 76, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 46, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 16, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 465, 35, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 906, 5, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 5, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 727, 44, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 29, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 113, 12, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 155, 10, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 130, 20, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 233, 16, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 163, 10, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 365, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 121, 8, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 7, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 261, 5, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 73, 14, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 81, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 58, 18, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 110, 24, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 86, 19, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 399, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 169, 39, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 157, 17, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 59, 8, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 133, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 88, 17, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 135, 13, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 39, 13, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 332, 41, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 885, 60, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1563, 8, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 663, 21, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 3, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 478, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 287, 13, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1443, 14, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 2935, 11, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 860, 5, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 884, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 325, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 29, 17, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 23, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 197, 28, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 106, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 126, 35, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 177, 11, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 562, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 829, 23, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 275, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 329, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 103, 24, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 251, 6, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60777, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 591, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60778, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 759, 17, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60779, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 275, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60780, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '市交通运输局', '', '', 247, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60781, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 166, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60782, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1109, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60783, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 94, 103, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60784, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1147, 15, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60785, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 79, 6, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60786, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 639, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60787, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 818, 104, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60788, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 169, 39, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60789, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 157, 14, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60790, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 139, 19, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60791, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 5, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60792, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 11, 9, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60793, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '市交通运输局', '', '', 18, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60794, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 124, 13, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60795, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 74, 10, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60796, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 193, 16, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60797, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 399, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60798, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1085, 74, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60799, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 54, 8, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60800, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 409, 38, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60801, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 325, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60802, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 7505, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60803, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 476, 162, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60804, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 3, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60805, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 29, 5, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60806, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 399, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60807, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 2143, 8, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60808, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 8, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60809, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 93, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60810, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 16, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60811, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 591, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60812, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 169, 39, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60813, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 29, 17, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60814, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 639, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60815, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 39, 13, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60816, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 157, 17, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60817, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 135, 13, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60818, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 150, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60819, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 110, 24, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60820, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 112, 9, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60821, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 86, 19, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60822, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D17', 18, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60823, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 133, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60824, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 67, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60825, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D17', 247, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60826, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 606, 28, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60827, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 461, 19, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60828, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 76, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60829, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 604, 39, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60830, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 325, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60831, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 7505, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60832, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 166, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60833, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 275, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60834, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 521, 36, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60835, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 224, 23, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60836, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 242, 16, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60837, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 106, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60838, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 53, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60839, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 7, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60840, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60841, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 23, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60842, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 906, 5, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60843, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 29, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60844, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 241, 9, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60845, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60846, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60847, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 7, 5, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60848, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 189, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60849, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D18', 197, 9, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60850, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1109, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60851, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 81, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60852, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 884, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60853, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 478, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60854, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1443, 14, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60855, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 860, 5, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60856, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 9, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60857, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 885, 60, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60858, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 727, 44, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60859, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60860, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 5, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60861, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E29', 3, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60862, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 540, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60863, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 485, 6, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60864, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1118, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60865, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 916, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60866, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1163, 10, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60867, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 139, 19, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60868, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 674, 10, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60869, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1350, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60870, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1307, 10, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60871, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 409, 38, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60872, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 233, 16, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60873, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 365, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60874, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 5, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60875, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 155, 10, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60876, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 81, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60877, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 261, 5, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60878, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 133, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60879, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 59, 8, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60880, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 884, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60881, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 860, 5, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60882, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 663, 21, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60883, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1443, 14, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60884, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 478, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60885, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 275, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60886, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 175, 11, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60887, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 332, 41, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60888, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 170, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60889, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 154, 18, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60890, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 86, 32, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60891, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 461, 19, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60892, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 606, 28, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60893, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 540, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60894, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 76, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60895, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60896, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 485, 6, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60897, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 53, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60898, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1118, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60899, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 7, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60900, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 251, 6, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60901, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60902, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60903, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 29, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60904, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 126, 35, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60905, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 197, 28, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60906, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 727, 44, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60907, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 885, 60, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60908, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 169, 39, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60909, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 399, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60910, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 129, 27, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60911, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 378, 9, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60912, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 591, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60913, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 86, 19, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60914, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 139, 19, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60915, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 157, 17, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60916, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 241, 9, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60917, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 409, 38, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 7, 5, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60919, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 2143, 8, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60920, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 110, 24, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60921, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 135, 13, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60922, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 39, 13, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60923, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 604, 39, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60924, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 121, 8, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60925, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 8, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60926, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 521, 36, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60927, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 163, 10, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60928, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1909, 8, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60929, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 242, 16, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60930, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 58, 18, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60931, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 73, 14, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60932, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 224, 23, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60933, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1163, 10, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60934, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 130, 20, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60935, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 916, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60936, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 113, 12, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60937, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1307, 10, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60938, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1350, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60939, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 88, 17, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60940, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 16, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60941, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 93, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60942, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 29, 17, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60943, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60944, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60945, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 23, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60946, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 106, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60947, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 325, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60948, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 103, 24, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60949, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 906, 5, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60950, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 674, 10, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60951, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 2935, 11, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60952, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 3, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60953, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 329, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60954, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 287, 13, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60955, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 684, 37, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60956, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 754, 39, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60957, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 177, 11, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60958, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 580, 33, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60959, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 655, 39, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60960, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 829, 23, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60961, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 867, 41, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60962, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 562, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60963, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1563, 8, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60964, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 696, 41, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60965, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 41, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (60966, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 465, 35, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60967, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 46, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60968, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 906, 5, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60969, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 674, 10, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60970, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '市交通运输局', '', '1D17', 18, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60971, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 2143, 8, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60972, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 325, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60973, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1350, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60974, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 916, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60975, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1307, 10, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60976, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1163, 10, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60977, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 8, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60978, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60979, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 29, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60980, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 242, 16, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60981, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 224, 23, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60982, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 521, 36, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60983, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 604, 39, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60984, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60985, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60986, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 639, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60987, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1109, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60988, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 409, 38, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60989, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 478, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60990, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1443, 14, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60991, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 884, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60992, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 860, 5, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60993, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 7, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60994, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60995, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 591, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60996, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 81, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60997, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 29, 17, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60998, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 150, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (60999, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 727, 44, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61000, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 3, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61001, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 169, 39, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61002, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 885, 60, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61003, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 112, 9, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61004, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 53, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61005, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 157, 17, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61006, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 135, 13, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61007, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 39, 13, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61008, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 110, 24, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61009, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 86, 19, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61010, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 166, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61011, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 275, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61012, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 399, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61013, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 133, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61014, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 67, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61015, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '市交通运输局', '', '1D17', 247, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61016, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 189, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61017, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 7, 5, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61018, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 76, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61019, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 241, 9, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61020, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D18', 197, 9, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61021, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 7505, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61022, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1118, 7, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61023, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 139, 19, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61024, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 540, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61025, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 5, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61026, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 106, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61027, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 23, 2, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61028, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 485, 6, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61029, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 461, 19, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61030, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 606, 28, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61031, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61032, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 16, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61033, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 93, 4, 2023, 9, 8, '2024-08-05 14:00:44', NULL, NULL), (61034, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 4214, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61035, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 253, 11, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61036, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 511, 81, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61037, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1223, 25, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61038, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 371, 27, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61039, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 498, 83, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61040, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 0, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61041, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1223, 25, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61042, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 253, 11, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61043, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 4214, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61044, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 371, 27, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61045, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 398, 11, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61046, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 142, 3, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61047, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 306, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61048, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 4214, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61049, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61050, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 376, 15, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61051, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 21, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61052, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 339, 6, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61053, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 0, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 989, 20, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 2162, 5, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 7, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 306, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 15, 3, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 142, 3, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E01', 21, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 44, 14, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1457, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 21, 11, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1099, 36, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 353, 3, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 339, 6, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 454, 4, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 4214, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 42, 11, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 376, 15, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 56, 9, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61072, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 376, 15, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61073, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '', 21, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61074, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 306, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61075, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 142, 3, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61076, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 339, 6, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61077, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 398, 11, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61078, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 7, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61079, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 4214, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61080, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '2E01', 21, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61081, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 4214, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61082, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1457, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61083, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 142, 3, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61084, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 353, 3, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61085, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 15, 3, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61086, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 7, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61087, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 454, 4, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61088, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 376, 15, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61089, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 306, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61090, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 339, 6, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61091, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 142, 3, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61092, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E01', 21, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61093, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 306, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61094, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 989, 20, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61095, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 4214, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61096, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 339, 6, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61097, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 353, 3, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61098, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1457, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61099, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 15, 3, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61100, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 56, 9, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61101, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 7, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61102, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1099, 36, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61103, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 21, 11, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61104, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 376, 15, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61105, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 454, 4, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61106, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 44, 14, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61107, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 2162, 5, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61108, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 42, 11, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61109, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 7, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61110, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 306, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61111, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 339, 6, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61112, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 353, 3, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61113, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 4214, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61114, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 142, 3, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61115, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '2E01', 21, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61116, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 15, 3, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61117, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 376, 15, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61118, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1457, 1, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61119, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 454, 4, 2023, 9, 9, '2024-08-05 14:00:44', NULL, NULL), (61120, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 566, 10, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61121, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 213, 58, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61122, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 23, 1, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61123, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1134, 10, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61124, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 256, 16, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61125, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 213, 58, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61126, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61127, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 756, 15, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61128, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 566, 10, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61129, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 1, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61130, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 215, 19, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61131, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 23, 1, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61132, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 0, 1, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61133, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 98, 6, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61134, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 159, 3, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61135, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 1, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61136, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 3, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61137, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 18, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61138, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 434, 8, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61139, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 129, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61140, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 1, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61141, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 986, 5, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1134, 10, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 434, 8, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 18, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 159, 3, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 14, 1, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 23, 1, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 12, 1, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 157, 12, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 76, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 41, 7, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 206, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 331, 19, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 129, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 986, 5, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 271, 10, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 115, 10, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61158, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 98, 6, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61159, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 434, 8, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61160, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 159, 3, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61161, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 986, 5, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61162, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 129, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61163, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 18, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61164, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 129, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61165, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 12, 1, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61166, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 76, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61167, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 206, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61168, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 159, 3, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61169, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 14, 1, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61170, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 18, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61171, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 434, 8, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61172, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 986, 5, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61173, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 159, 3, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61174, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1134, 10, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61175, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 23, 1, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61176, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 129, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61177, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 986, 5, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61178, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 206, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61179, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 76, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61180, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 12, 1, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61181, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 14, 1, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61182, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 18, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61183, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 115, 10, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61184, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 331, 19, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61185, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 434, 8, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61186, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 41, 7, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61187, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 157, 12, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61188, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 271, 10, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61189, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 18, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61190, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 986, 5, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61191, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 159, 3, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61192, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 434, 8, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61193, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 12, 1, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61194, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 14, 1, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61195, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 206, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61196, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 76, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61197, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 129, 2, 2023, 9, 10, '2024-08-05 14:00:45', NULL, NULL), (61198, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 130, 162, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61199, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 487, 51, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61200, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 595, 59, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61201, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 649, 44, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61202, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 331, 373, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61203, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 451, 499, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61204, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 507, 92, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61205, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 375, 71, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61206, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 39, 116, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61207, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1418, 252, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61208, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 450, 500, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61209, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 571, 155, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61210, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 507, 92, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61211, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 375, 71, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61212, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 331, 373, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61213, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 130, 162, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61214, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1418, 252, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61215, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 39, 116, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61216, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 53, 15, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61217, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 320, 58, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61218, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 130, 162, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61219, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 2821, 107, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61220, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 420, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61221, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 431, 38, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61222, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 199, 5, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61223, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 891, 13, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61224, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 372, 40, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61225, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 2275, 8, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61226, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 670, 18, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61227, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 81, 11, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61228, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 5, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61229, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 261, 19, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61230, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 33, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61231, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61232, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 6, 22, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61233, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 148, 189, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61234, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1146, 17, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61235, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 16, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61236, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 482, 74, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61237, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 588, 35, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61238, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 309, 21, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61239, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61240, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 97, 11, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61241, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 631, 23, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 295, 10, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 225, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 632, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 350, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 670, 18, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 431, 38, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 641, 51, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 460, 32, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 336, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 672, 22, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 321, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 889, 5, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 471, 30, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 801, 39, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 336, 12, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1099, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 4005, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 640, 33, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 684, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 880, 10, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 425, 43, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 325, 16, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 523, 30, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 10, 10, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 24, 13, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 120, 13, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 15, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 47, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 45, 19, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 13, 19, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 160, 32, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 93, 35, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 132, 24, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 13, 10, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 76, 27, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 151, 46, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 196, 19, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 673, 38, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 7, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 612, 11, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 149, 25, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 271, 48, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 163, 35, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 2911, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 985, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 452, 20, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 19, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 393, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 55, 17, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 189, 45, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D15', 5, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 328, 29, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 69, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 29, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 290, 31, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 372, 40, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 860, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 152, 27, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 739, 13, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 167, 26, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 101, 39, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 567, 45, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 152, 38, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 10, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 12, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 6, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 8, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 116, 20, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 137, 28, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 5, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 357, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 2275, 8, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 226, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 359, 18, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 162, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 3197, 56, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 632, 27, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 961, 27, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 8, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 670, 22, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 87, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 16, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 199, 5, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 320, 58, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 120, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 7, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 2408, 51, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 527, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 529, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 535, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 247, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 572, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 81, 11, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 2077, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 98, 8, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 5, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 62, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61344, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 670, 18, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61345, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '市交通运输局', '', '', 5, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61346, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 891, 13, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61347, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 33, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61348, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 16, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61349, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 420, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61350, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 130, 162, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61351, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1146, 17, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61352, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 261, 19, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61353, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 2821, 107, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61354, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 320, 58, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61355, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 53, 15, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61356, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 372, 40, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61357, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 6, 22, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61358, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61359, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 631, 23, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61360, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 97, 11, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61361, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 199, 5, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61362, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 588, 35, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61363, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 482, 74, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61364, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 309, 21, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61365, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 431, 38, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61366, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 81, 11, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61367, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 2275, 8, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61368, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 148, 189, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61369, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61370, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 199, 5, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61371, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 295, 10, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61372, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 225, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61373, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 10, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61374, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 359, 18, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61375, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 670, 18, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61376, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 320, 58, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61377, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 149, 25, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61378, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 196, 19, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61379, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 132, 24, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61380, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 76, 27, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (61381, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 975, 5, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61382, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 160, 32, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61383, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 536, 18, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61384, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 93, 35, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61385, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 7, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61386, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 120, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61387, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 62, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61388, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 137, 28, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61389, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 116, 20, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61390, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 226, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61391, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 357, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61392, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 152, 27, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61393, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 81, 11, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61394, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 16, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61395, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 5, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61396, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 152, 38, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61397, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 101, 39, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61398, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 167, 26, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61399, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 98, 8, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61400, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61401, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61402, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 5, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61403, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 2077, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61404, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 69, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61405, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 8, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61406, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 29, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61407, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61408, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 591, 8, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61409, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D18', 587, 27, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61410, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 632, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61411, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 350, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61412, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 572, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61413, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 529, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61414, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 535, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61415, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 247, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61416, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 8, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61417, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61418, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 12, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61419, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 2408, 51, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61420, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 6, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61421, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 3197, 56, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61422, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61423, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 162, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61424, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 2275, 8, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61425, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D15', 5, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61426, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 684, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61427, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 889, 5, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61428, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1099, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61429, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 336, 12, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61430, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 4005, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61431, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 880, 10, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61432, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 325, 16, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61433, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 372, 40, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61434, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 336, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61435, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 321, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61436, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 431, 38, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61437, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 961, 27, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61438, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 670, 22, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61439, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 162, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61440, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 632, 27, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61441, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 87, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61442, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 16, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61443, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 7, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61444, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 120, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61445, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 572, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61446, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 247, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61447, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 673, 38, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61448, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 535, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61449, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 529, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61450, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 62, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61451, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 5, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61452, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 151, 46, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61453, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 328, 29, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61454, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 116, 20, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61455, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 137, 28, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61456, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 684, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61457, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 357, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61458, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 226, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61459, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 5, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61460, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 889, 5, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61461, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1099, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61462, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61463, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 8, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61464, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 189, 45, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61465, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 393, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61466, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61467, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 163, 35, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61468, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 271, 48, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61469, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 3197, 56, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61470, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 2408, 51, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61471, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 320, 58, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61472, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 199, 5, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61473, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 290, 31, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61474, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 860, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61475, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 670, 18, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61476, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 372, 40, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61477, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 69, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61478, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 431, 38, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61479, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 29, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61480, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 295, 10, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61481, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 152, 27, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61482, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 47, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61483, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 225, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61484, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 152, 38, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61485, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 15, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61486, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 632, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61487, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 13, 19, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61488, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 167, 26, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61489, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 101, 39, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61490, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 45, 19, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61491, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 350, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61492, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 880, 10, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61493, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 10, 10, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61494, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 4005, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61495, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 120, 13, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61496, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 336, 12, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61497, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 24, 13, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61498, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 321, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61499, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 336, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61500, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 13, 10, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61501, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 55, 17, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61502, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 325, 16, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61503, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 527, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61504, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 739, 13, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61505, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D15', 5, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61506, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 567, 45, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61507, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 93, 35, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61508, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 132, 24, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61509, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 160, 32, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61510, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 76, 27, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61511, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 196, 19, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61512, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 359, 18, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61513, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 10, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61514, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 149, 25, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61515, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 2275, 8, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61516, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61517, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 8, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61518, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61519, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 12, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61520, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61521, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61522, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 2077, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61523, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 98, 8, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61524, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 81, 11, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61525, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 612, 11, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61526, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 19, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61527, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 452, 20, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61528, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 7, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61529, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 425, 43, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61530, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 640, 33, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61531, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 2911, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61532, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 801, 39, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61533, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 471, 30, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61534, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 985, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61535, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 672, 22, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61536, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 460, 32, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61537, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 641, 51, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61538, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 523, 30, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61539, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 325, 16, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61540, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 295, 10, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61541, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 336, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61542, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 81, 11, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61543, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 336, 12, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61544, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 321, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61545, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 880, 10, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61546, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 225, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61547, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 4005, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61548, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61549, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 167, 26, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61550, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 101, 39, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61551, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 152, 38, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61552, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 152, 27, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61553, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 12, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61554, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61555, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 8, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61556, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61557, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61558, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61559, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '市交通运输局', '', '1D15', 5, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61560, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 350, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61561, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 632, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61562, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 431, 38, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61563, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 529, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61564, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 2275, 8, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61565, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 535, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61566, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 572, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61567, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 247, 7, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61568, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61569, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 8, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61570, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 670, 18, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61571, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 975, 5, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61572, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 149, 25, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61573, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 3197, 56, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61574, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 5, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61575, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 320, 58, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61576, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 2408, 51, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61577, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 536, 18, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61578, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 132, 24, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61579, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 76, 27, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61580, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 196, 19, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61581, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 160, 32, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61582, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 93, 35, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61583, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 16, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61584, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 5, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61585, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 62, 1, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61586, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 199, 5, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61587, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 7, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61588, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 120, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61589, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 591, 8, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61590, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 29, 6, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61591, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 357, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61592, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 226, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61593, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 69, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61594, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D18', 587, 27, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61595, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 372, 40, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61596, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1099, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61597, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 684, 4, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61598, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 162, 2, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61599, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 98, 8, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61600, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 2077, 9, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61601, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 889, 5, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61602, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 116, 20, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61603, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 137, 28, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61604, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 359, 18, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61605, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 10, 3, 2023, 9, 11, '2024-08-05 14:00:46', NULL, NULL), (61606, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 107, 158, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61607, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 72, 60, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61608, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 525, 32, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61609, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 518, 68, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61610, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 187, 312, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61611, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 627, 89, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61612, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 112, 430, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61613, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 75, 144, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61614, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 259, 79, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61615, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 713, 236, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61616, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 111, 431, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61617, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 352, 160, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61618, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 627, 89, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61619, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 259, 79, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61620, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 186, 314, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61621, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 106, 159, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61622, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 713, 236, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61623, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 75, 144, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61624, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 174, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61625, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 2817, 2, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61626, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 199, 19, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61627, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 203, 37, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61628, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 106, 159, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61629, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 192, 76, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61630, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 281, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61631, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 391, 41, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61632, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 97, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61633, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 4, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61634, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1598, 20, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61635, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 182, 39, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61636, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 82, 11, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61637, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 551, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61638, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 0, 2, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61639, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 111, 13, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61640, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 191, 14, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61641, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 4, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61642, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 7, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61643, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 47, 33, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61644, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 147, 179, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61645, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 701, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61646, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 125, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61647, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1430, 100, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61648, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 398, 19, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61649, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 118, 16, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61650, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61651, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 175, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61652, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 454, 6, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61653, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 115, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 59, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 127, 10, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 227, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 251, 2, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 551, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 391, 41, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 116, 32, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 100, 44, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 91, 30, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1318, 11, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1201, 15, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 133, 27, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1783, 7, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1529, 14, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2057, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 199, 29, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1149, 8, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 220, 29, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2062, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 117, 48, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 532, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 102, 38, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2042, 12, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 63, 20, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 58, 12, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 65, 23, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 37, 13, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 79, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 97, 16, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 120, 24, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 42, 27, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 68, 30, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 99, 28, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 106, 14, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 41, 22, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 89, 19, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 52, 23, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 158, 37, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1461, 12, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 216, 13, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 260, 32, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 59, 36, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 64, 29, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 205, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 19, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 471, 14, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 325, 19, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 253, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 5, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 22, 13, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 37, 25, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D15', 2817, 2, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 320, 10, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 294, 33, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 65, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 279, 33, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 182, 39, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 9, 6, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 158, 34, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 103, 16, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 292, 12, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 521, 13, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 158, 30, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 174, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 161, 41, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 5, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 83, 13, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 342, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 4, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 158, 31, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 112, 27, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 14, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 6, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 7, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 82, 11, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 118, 16, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 69, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 200, 38, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 139, 12, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 518, 16, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 187, 18, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 115, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 95, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 97, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 81, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 203, 37, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 184, 38, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 245, 2, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 299, 2, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 173, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1445, 14, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1435, 10, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 283, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2015, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 580, 6, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 943, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 226, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 130, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61756, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 551, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61757, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1598, 20, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61758, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 191, 14, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61759, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '市交通运输局', '', '', 174, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61760, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 125, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61761, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 281, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61762, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 107, 158, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61763, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 111, 13, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61764, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 701, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61765, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 4, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61766, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 192, 76, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61767, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 203, 37, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61768, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 199, 19, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61769, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 182, 39, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61770, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 47, 33, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61771, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61772, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 454, 6, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61773, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 175, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61774, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 97, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61775, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 398, 19, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61776, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1430, 100, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61777, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 118, 16, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61778, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 391, 41, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61779, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 82, 11, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61780, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '市交通运输局', '', '', 2817, 2, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61781, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 4, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61782, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 147, 179, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61783, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 115, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61784, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 7, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61785, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 97, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61786, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 59, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61787, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 127, 10, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61788, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 118, 16, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61789, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 551, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61790, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 203, 37, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61791, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 260, 32, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61792, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 4, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (61793, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 89, 19, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61794, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 99, 28, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61795, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 41, 22, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61796, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 42, 27, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61797, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 452, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61798, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 457, 2, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61799, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 68, 30, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61800, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 375, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61801, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 81, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61802, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D17', 174, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61803, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 130, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61804, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 112, 27, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61805, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 158, 31, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61806, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 158, 34, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61807, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 4, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61808, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 125, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61809, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 226, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61810, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 161, 41, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61811, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 158, 30, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61812, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 103, 16, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61813, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 943, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61814, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 7, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61815, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 5, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61816, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61817, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61818, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2042, 12, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61819, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 580, 6, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61820, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 320, 10, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61821, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D15', 2817, 2, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61822, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61823, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 65, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61824, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61825, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 213, 8, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61826, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D18', 533, 11, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61827, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 227, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61828, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 498, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61829, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2015, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61830, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1445, 14, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61831, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1435, 10, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61832, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 283, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61833, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 4, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61834, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 14, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61835, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 83, 13, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61836, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 184, 38, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61837, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 200, 38, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61838, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 342, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61839, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 6, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61840, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 69, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61841, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 82, 11, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61842, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E27', 115, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61843, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1149, 8, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61844, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1783, 7, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61845, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 2057, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61846, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1529, 14, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61847, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2062, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61848, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 532, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61849, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 182, 39, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61850, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1318, 11, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61851, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1201, 15, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61852, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 391, 41, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61853, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 518, 16, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61854, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 187, 18, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61855, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 69, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61856, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 139, 12, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61857, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 115, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61858, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 95, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61859, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 245, 2, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61860, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 81, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61861, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2015, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61862, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 283, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61863, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 158, 37, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61864, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1435, 10, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61865, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1445, 14, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61866, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 130, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61867, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 226, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61868, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 52, 23, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61869, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 294, 33, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61870, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 158, 31, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61871, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 112, 27, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61872, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1149, 8, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61873, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61874, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1783, 7, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61875, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 7, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61876, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2057, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61877, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61878, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61879, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 37, 25, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61880, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 5, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61881, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61882, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 64, 29, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61883, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 59, 36, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61884, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 200, 38, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61885, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 184, 38, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61886, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 203, 37, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61887, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 97, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61888, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 279, 33, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61889, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 9, 6, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61890, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 551, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61891, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 182, 39, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61892, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 320, 10, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61893, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 391, 41, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61894, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 59, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61895, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 65, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61896, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 158, 34, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61897, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 79, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61898, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 127, 10, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61899, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 161, 41, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61900, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 37, 13, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61901, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 103, 16, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61902, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 227, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61903, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 120, 24, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61904, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 251, 2, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61905, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 97, 16, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61906, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 158, 30, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61907, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2062, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61908, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 63, 20, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61909, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 65, 23, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61910, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1529, 14, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61911, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 58, 12, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61912, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1201, 15, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61913, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1318, 11, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61914, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 106, 14, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61915, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 22, 13, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61916, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2042, 12, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61917, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 532, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61918, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 173, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61919, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 299, 2, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61920, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 292, 12, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61921, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D15', 2817, 2, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61922, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 174, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61923, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 521, 13, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61924, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 68, 30, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61925, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 99, 28, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61926, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 42, 27, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61927, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 41, 22, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61928, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 89, 19, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61929, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 118, 16, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61930, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 260, 32, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61931, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 82, 11, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61932, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 342, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61933, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61934, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 5, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61935, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 83, 13, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61936, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 14, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61937, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 6, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61938, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 580, 6, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61939, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 943, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61940, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 216, 13, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61941, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 253, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61942, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 325, 19, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61943, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1461, 12, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61944, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 117, 48, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61945, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 220, 29, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61946, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 205, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61947, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 199, 29, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61948, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 133, 27, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61949, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 471, 14, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61950, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 91, 30, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61951, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 19, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61952, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 100, 44, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61953, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 116, 32, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61954, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 102, 38, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61955, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2042, 12, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61956, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 532, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61957, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 59, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61958, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1318, 11, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61959, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1529, 14, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61960, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1201, 15, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61961, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2062, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61962, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 127, 10, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61963, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61964, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 103, 16, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61965, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 158, 30, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61966, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 161, 41, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61967, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 158, 34, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61968, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 83, 13, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61969, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 5, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61970, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61971, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 342, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61972, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 6, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61973, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 14, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61974, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 4, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61975, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 498, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61976, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 227, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61977, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 391, 41, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61978, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1445, 14, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61979, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 82, 11, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61980, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1435, 10, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61981, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2015, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61982, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 283, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61983, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61984, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61985, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 551, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61986, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '市交通运输局', '', '1D15', 2817, 2, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61987, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 260, 32, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61988, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 452, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61989, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 200, 38, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61990, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61991, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 203, 37, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61992, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 184, 38, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61993, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 457, 2, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61994, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 7, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61995, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 99, 28, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61996, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 41, 22, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61997, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 89, 19, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61998, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 42, 27, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (61999, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 68, 30, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62000, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 125, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62001, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 226, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62002, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 130, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62003, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 97, 4, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62004, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 375, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62005, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 81, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62006, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 213, 8, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62007, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '市交通运输局', '', '1D17', 174, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62008, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 65, 9, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62009, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 4, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62010, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 320, 10, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62011, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D18', 533, 11, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62012, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 2057, 5, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62013, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 182, 39, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62014, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1149, 8, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62015, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 69, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62016, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 943, 3, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62017, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 580, 6, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62018, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1783, 7, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62019, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 158, 31, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62020, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E27', 115, 1, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62021, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 112, 27, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62022, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 118, 16, 2023, 9, 12, '2024-08-05 14:00:47', NULL, NULL), (62023, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 109, 145, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62024, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 223, 52, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62025, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 721, 22, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62026, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1236, 73, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62027, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 106, 326, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62028, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 103, 391, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62029, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 543, 69, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62030, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 135, 135, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62031, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 457, 75, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62032, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 491, 243, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62033, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 103, 393, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62034, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 795, 148, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62035, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 543, 69, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62036, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 457, 75, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62037, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 106, 326, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62038, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 109, 145, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62039, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 489, 244, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62040, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 135, 135, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62041, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 8973, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62042, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 4297, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62043, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 201, 13, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62044, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 173, 46, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62045, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 109, 145, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62046, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 435, 96, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62047, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 869, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62048, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 487, 39, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62049, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 71, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62050, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 682, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62051, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 28, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62052, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 137, 30, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62053, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 567, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62054, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 43, 7, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62055, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 253, 11, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62056, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 0, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62057, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 213, 12, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62058, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 251, 9, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62059, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 1293, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62060, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 126, 7, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62061, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 114, 32, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62062, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 91, 200, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62063, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 312, 8, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62064, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 806, 83, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62065, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 259, 15, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62066, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 228, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62067, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62068, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 68, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62069, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 521, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 331, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 155, 8, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 10, 3, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1309, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 8973, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 43, 7, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 487, 39, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 112, 43, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 134, 34, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 798, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 117, 22, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 14, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 348, 12, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 51, 20, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1031, 9, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 42, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 122, 22, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 8, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 881, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 83, 42, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 965, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 70, 28, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 69, 25, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 346, 8, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 144, 30, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 217, 13, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 185, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 19, 13, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 297, 11, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 37, 19, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 23, 16, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 111, 21, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 86, 25, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 148, 25, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 209, 15, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 75, 22, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 107, 22, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 95, 22, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 89, 30, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 2982, 9, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 157, 12, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 122, 30, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 57, 20, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 76, 24, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 527, 7, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 490, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1437, 16, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1388, 18, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1124, 7, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 191, 8, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 146, 21, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 238, 28, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 152, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 503, 33, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 205, 12, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 509, 32, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 137, 30, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 143, 9, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 116, 24, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 372, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 105, 31, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 294, 14, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 90, 32, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 3295, 3, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 67, 27, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 7, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 444, 8, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 94, 31, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 79, 23, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 3, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 16, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 400, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 87, 15, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 567, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 563, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 87, 17, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 26, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 537, 41, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 7, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 68, 15, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 59, 9, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 147, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 26, 17, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 71, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 106, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 173, 46, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 12, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 52, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 360, 55, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 101, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 820, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1171, 11, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 835, 7, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 965, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 253, 11, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 300, 3, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 319, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 247, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 319, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62176, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 43, 7, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62177, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 28, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62178, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 283, 8, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62179, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '市交通运输局', '', '', 4297, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62180, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 869, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62181, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 109, 145, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62182, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 213, 12, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62183, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 312, 8, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62184, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 435, 96, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62185, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 173, 46, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62186, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 201, 13, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62187, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 137, 30, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62188, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 114, 32, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62189, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62190, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '市交通运输局', '', '', 1293, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62191, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 521, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62192, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 68, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62193, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 259, 15, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62194, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 71, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62195, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 806, 83, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62196, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 8973, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62197, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 228, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62198, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 487, 39, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62199, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 253, 11, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62200, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 567, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62201, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 682, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62202, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 91, 200, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62203, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 126, 7, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62204, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 71, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62205, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 331, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (62206, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 155, 8, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62207, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62208, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 563, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62209, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 43, 7, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62210, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 173, 46, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62211, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 122, 30, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62212, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 107, 22, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62213, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 148, 25, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62214, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 75, 22, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62215, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 553, 3, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62216, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 111, 21, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62217, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 425, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62218, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 86, 25, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62219, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D17', 1293, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62220, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 52, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62221, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 12, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62222, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 106, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62223, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D17', 4297, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62224, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 319, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62225, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 8973, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62226, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 79, 23, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62227, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 94, 31, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62228, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 87, 17, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62229, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 87, 15, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62230, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 116, 24, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62231, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 253, 11, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62232, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 6, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62233, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1358, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62234, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 247, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62235, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 67, 27, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62236, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 90, 32, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62237, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 105, 31, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62238, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 319, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62239, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 400, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62240, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62241, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62242, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 16, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62243, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 346, 8, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62244, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 300, 3, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62245, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 152, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62246, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 7, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62247, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62248, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62249, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 205, 12, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62250, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 102, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62251, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D18', 283, 13, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62252, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 12, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62253, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1297, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62254, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 965, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62255, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 820, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62256, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1171, 11, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62257, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 835, 7, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62258, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 444, 8, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62259, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 3, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62260, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 7, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62261, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 360, 55, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62262, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 4, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62263, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 537, 41, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62264, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62265, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 26, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62266, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 567, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62267, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 14, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62268, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 42, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62269, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1031, 9, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62270, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 881, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62271, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 965, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62272, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 137, 30, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62273, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 798, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62274, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 348, 12, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62275, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 487, 39, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62276, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 59, 9, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62277, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 147, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62278, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 26, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62279, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 68, 15, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62280, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 26, 17, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62281, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 12, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62282, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 52, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62283, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 106, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62284, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 965, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62285, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 835, 7, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62286, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 89, 30, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62287, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1171, 11, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62288, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 820, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62289, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 319, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62290, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 247, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62291, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 95, 22, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62292, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 503, 33, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62293, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 94, 31, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62294, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 79, 23, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62295, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 87, 15, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62296, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 87, 17, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62297, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 14, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62298, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 16, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62299, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 400, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62300, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 42, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62301, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62302, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62303, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 238, 28, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62304, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62305, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 146, 21, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62306, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 7, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62307, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 76, 24, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62308, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 57, 20, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62309, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 537, 41, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62310, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 360, 55, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62311, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 173, 46, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62312, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 71, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62313, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 509, 32, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62314, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 143, 9, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62315, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 43, 7, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62316, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 137, 30, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62317, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 152, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62318, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 487, 39, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62319, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 331, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62320, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 205, 12, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62321, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 8973, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62322, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 116, 24, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62323, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 155, 8, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62324, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 297, 11, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62325, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 67, 27, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62326, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 19, 13, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62327, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 10, 3, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62328, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 105, 31, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62329, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 23, 16, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62330, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1309, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62331, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 37, 19, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62332, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 90, 32, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62333, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 881, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62334, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 144, 30, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62335, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 185, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62336, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1031, 9, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62337, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 348, 12, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62338, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 217, 13, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62339, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 798, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62340, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 209, 15, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62341, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 191, 8, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62342, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 346, 8, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62343, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 965, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62344, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 101, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62345, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 372, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62346, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 3295, 3, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62347, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 294, 14, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62348, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 86, 25, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62349, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 148, 25, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62350, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 111, 21, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62351, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 75, 22, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62352, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 107, 22, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62353, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 563, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62354, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62355, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 122, 30, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62356, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 567, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62357, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62358, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 444, 8, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62359, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62360, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 7, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62361, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 3, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62362, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62363, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 300, 3, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62364, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 319, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62365, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 253, 11, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62366, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 157, 12, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62367, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1124, 7, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62368, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1388, 18, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62369, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 2982, 9, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62370, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 83, 42, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62371, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 8, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62372, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 527, 7, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62373, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 122, 22, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62374, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 51, 20, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62375, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1437, 16, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62376, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 117, 22, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62377, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 490, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62378, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 134, 34, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62379, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 112, 43, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62380, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 69, 25, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62381, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 70, 28, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62382, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 346, 8, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62383, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 965, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62384, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '市交通运输局', '', '1D17', 1293, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62385, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 331, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62386, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 253, 11, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62387, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 798, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62388, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1031, 9, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62389, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 348, 12, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62390, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 155, 8, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62391, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 881, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62392, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62393, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 7, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62394, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 105, 31, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62395, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 90, 32, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62396, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 67, 27, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62397, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 116, 24, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62398, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 7, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62399, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62400, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 444, 8, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62401, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62402, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62403, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 3, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62404, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1297, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62405, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 12, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62406, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 487, 39, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62407, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 820, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62408, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 567, 10, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62409, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1171, 11, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62410, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 965, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62411, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 835, 7, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62412, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62413, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62414, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 43, 7, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62415, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 553, 3, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62416, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 122, 30, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62417, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 537, 41, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62418, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 16, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62419, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 173, 46, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62420, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 360, 55, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62421, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 425, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62422, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 400, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62423, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 148, 25, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62424, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 75, 22, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62425, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 107, 22, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62426, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 111, 21, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62427, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 86, 25, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62428, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 247, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62429, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 319, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62430, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 71, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62431, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 8973, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62432, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 52, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62433, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 12, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62434, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 106, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62435, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 102, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62436, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '市交通运输局', '', '1D17', 4297, 2, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62437, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 205, 12, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62438, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 87, 15, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62439, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 87, 17, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62440, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1358, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62441, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 152, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62442, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D18', 283, 13, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62443, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 6, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62444, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 42, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62445, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 137, 30, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62446, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 26, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62447, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 319, 5, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62448, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 300, 3, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62449, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 14, 1, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62450, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 94, 31, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62451, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 79, 23, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62452, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 563, 4, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62453, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 6, 2023, 9, 13, '2024-08-05 14:00:48', NULL, NULL), (62454, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 35, 123, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62455, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 35, 28, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62456, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 577, 13, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62457, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 799, 74, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62458, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 203, 288, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62459, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 245, 45, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62460, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 66, 398, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62461, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 87, 146, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62462, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 221, 80, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62463, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 527, 216, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62464, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 66, 401, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62465, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 588, 115, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62466, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 245, 45, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62467, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 221, 80, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62468, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 203, 289, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62469, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 35, 123, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62470, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 527, 216, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62471, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 87, 146, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62472, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 8, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62473, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 58, 14, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62474, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 35, 123, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62475, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 315, 50, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62476, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 358, 80, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62477, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 331, 10, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62478, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 208, 22, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62479, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 207, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62480, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 80, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62481, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 271, 31, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62482, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 166, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62483, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 752, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62484, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 372, 8, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62485, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 5, 8, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62486, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 474, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62487, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 376, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62488, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62489, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 252, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62490, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 7, 21, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62491, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 179, 167, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62492, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 868, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62493, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 52, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62494, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 366, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62495, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 898, 74, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62496, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 411, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62497, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 4, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62498, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 7, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62499, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62500, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 786, 7, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 9, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 3, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 213, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 409, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 752, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 208, 22, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 60, 39, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 67, 34, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 64, 33, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1306, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 891, 14, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 47, 20, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 80, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1043, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 84, 26, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 62, 33, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 720, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 71, 43, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 843, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 97, 26, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 52, 20, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1091, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 42, 17, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 83, 17, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 166, 19, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 88, 12, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 147, 16, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 25, 15, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 14, 19, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 21, 21, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 43, 18, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 46, 21, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 121, 11, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 22, 26, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 57, 20, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 95, 31, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 86, 23, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 159, 8, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 136, 12, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 26, 17, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 26, 15, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 60, 19, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 472, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 106, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 338, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1424, 34, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 638, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 102, 20, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 27, 10, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 46, 26, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D15', 8, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 228, 32, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 123, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 33, 10, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 240, 32, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 271, 31, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 243, 10, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 159, 30, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 791, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 164, 23, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 624, 7, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 126, 25, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 376, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 125, 27, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 21, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 4, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 182, 20, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 5, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 326, 25, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 223, 7, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 352, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 166, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 120, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 4, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 236, 8, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 387, 41, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 188, 13, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 68, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 178, 7, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 12, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 52, 11, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 366, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 207, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 6, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 315, 50, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 9, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 328, 39, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 41, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 84, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 933, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 722, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 763, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 743, 7, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 372, 8, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 980, 8, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 9, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 474, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62603, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 752, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62604, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 80, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62605, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 474, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62606, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 366, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62607, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 331, 10, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62608, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 35, 123, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62609, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 5, 8, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62610, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 868, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62611, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 358, 80, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62612, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 315, 50, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62613, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 58, 14, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62614, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 271, 31, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62615, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 7, 21, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62616, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 7, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62617, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '市交通运输局', '', '', 376, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62618, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 786, 7, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62619, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 7, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (62620, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 52, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62621, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 411, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62622, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 207, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62623, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 898, 74, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62624, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 4, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62625, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 208, 22, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62626, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 372, 8, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62627, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 166, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62628, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '市交通运输局', '', '', 8, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62629, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 179, 167, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62630, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 252, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62631, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 207, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62632, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 9, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62633, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 3, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62634, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 4, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62635, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 752, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62636, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 315, 50, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62637, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 26, 17, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62638, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 57, 20, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62639, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 46, 21, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62640, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 22, 26, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62641, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 791, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62642, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 21, 21, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62643, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 783, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62644, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 43, 18, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62645, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D17', 376, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62646, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 9, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62647, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 6, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62648, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 326, 25, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62649, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 182, 20, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62650, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 236, 8, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62651, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 120, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62652, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 159, 30, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62653, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 372, 8, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62654, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 366, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62655, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 474, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62656, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 125, 27, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62657, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 126, 25, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62658, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 164, 23, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62659, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 9, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62660, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 352, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62661, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 52, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62662, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 12, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62663, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62664, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 223, 7, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62665, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1113, 7, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62666, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1091, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62667, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 123, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62668, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D15', 8, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62669, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62670, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62671, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 33, 10, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62672, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D18', 411, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62673, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 213, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62674, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 409, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62675, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 743, 7, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62676, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 933, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62677, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 722, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62678, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 763, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62679, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 4, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62680, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 5, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62681, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 21, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62682, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 328, 39, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62683, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62684, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 387, 41, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62685, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62686, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 166, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62687, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 80, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62688, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1043, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62689, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 720, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62690, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 843, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62691, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 271, 31, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62692, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1306, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62693, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 891, 14, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62694, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 208, 22, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62695, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 68, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62696, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 178, 7, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62697, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 188, 13, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62698, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 52, 11, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62699, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 366, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62700, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 9, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62701, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 6, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62702, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 743, 7, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62703, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 763, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62704, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 86, 23, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62705, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 722, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62706, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 933, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62707, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 474, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62708, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 95, 31, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62709, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 228, 32, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62710, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 182, 20, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62711, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 326, 25, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62712, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 120, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62713, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 236, 8, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62714, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 223, 7, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62715, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 80, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62716, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 352, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62717, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 12, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62718, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62719, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 46, 26, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62720, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62721, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 27, 10, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62722, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 60, 19, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62723, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 26, 15, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62724, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 387, 41, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62725, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 328, 39, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62726, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 315, 50, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62727, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 207, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62728, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 240, 32, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62729, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 243, 10, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62730, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 752, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62731, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 271, 31, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62732, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 208, 22, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62733, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 123, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62734, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 9, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62735, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 33, 10, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62736, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 159, 30, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62737, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 3, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62738, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 147, 16, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62739, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 125, 27, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62740, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 88, 12, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62741, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 213, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62742, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 164, 23, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62743, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 14, 19, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62744, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 25, 15, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62745, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 409, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62746, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 126, 25, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62747, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 720, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62748, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 42, 17, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62749, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 166, 19, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62750, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1043, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62751, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 891, 14, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62752, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 83, 17, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62753, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1306, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62754, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 121, 11, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62755, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 102, 20, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62756, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1091, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62757, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 843, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62758, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 84, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62759, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 41, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62760, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 791, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62761, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D15', 8, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62762, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 376, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62763, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 624, 7, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62764, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 43, 18, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62765, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 46, 21, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62766, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 21, 21, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62767, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 22, 26, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62768, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 57, 20, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62769, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62770, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 26, 17, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62771, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 166, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62772, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62773, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62774, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62775, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 21, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62776, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62777, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62778, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 980, 8, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62779, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 9, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62780, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 372, 8, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62781, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 136, 12, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62782, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 638, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62783, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1424, 34, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62784, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 159, 8, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62785, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 71, 43, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62786, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 62, 33, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62787, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 472, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62788, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 84, 26, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62789, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 47, 20, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62790, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 338, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62791, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 64, 33, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62792, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 106, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62793, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 67, 34, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62794, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 60, 39, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62795, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 52, 20, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62796, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 97, 26, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62797, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1091, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62798, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 843, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62799, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '市交通运输局', '', '1D17', 376, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62800, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 9, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62801, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 372, 8, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62802, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1306, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62803, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1043, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62804, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 891, 14, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62805, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 720, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62806, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 3, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62807, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62808, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 164, 23, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62809, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 126, 25, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62810, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 125, 27, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62811, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 159, 30, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62812, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 21, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62813, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62814, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62815, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62816, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62817, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62818, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 409, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62819, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 213, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62820, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 208, 22, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62821, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 933, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62822, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 166, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62823, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 722, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62824, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 743, 7, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62825, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 763, 6, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62826, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 12, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62827, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62828, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 752, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62829, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '市交通运输局', '', '1D15', 8, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62830, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 791, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62831, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 26, 17, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62832, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 387, 41, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62833, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 223, 7, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62834, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 315, 50, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62835, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 328, 39, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62836, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 783, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62837, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 352, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62838, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 46, 21, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62839, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 22, 26, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62840, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 57, 20, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62841, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 21, 21, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62842, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 43, 18, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62843, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 366, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62844, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 474, 5, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62845, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 207, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62846, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 9, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62847, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 6, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62848, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 52, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62849, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 33, 10, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62850, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 120, 9, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62851, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 236, 8, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62852, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 123, 4, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62853, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D18', 411, 3, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62854, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 80, 1, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62855, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 271, 31, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62856, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 9, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62857, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1113, 7, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62858, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 182, 20, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62859, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 326, 25, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62860, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 2, 2023, 9, 14, '2024-08-05 14:00:49', NULL, NULL), (62861, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 175, 140, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62862, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 514, 29, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62863, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 884, 15, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62864, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 689, 57, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62865, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 160, 282, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62866, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 144, 401, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62867, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 450, 78, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62868, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 223, 162, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62869, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 172, 83, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62870, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1254, 266, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62871, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 144, 402, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62872, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 643, 105, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62873, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 450, 78, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62874, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 172, 83, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62875, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 152, 296, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62876, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 175, 140, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62877, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1254, 266, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62878, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 223, 162, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62879, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 25, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62880, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 650, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62881, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 125, 19, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62882, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 175, 140, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62883, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 408, 41, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62884, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 351, 95, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62885, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 620, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62886, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 371, 33, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62887, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 313, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62888, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 50, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62889, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 975, 16, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62890, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 133, 30, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62891, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 341, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62892, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 358, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62893, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 123, 18, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62894, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '', 834, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62895, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 122, 16, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62896, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 38, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62897, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 420, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62898, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62899, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 4, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62900, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 5, 22, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62901, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 138, 165, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62902, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 641, 7, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62903, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2469, 114, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62904, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 993, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62905, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 1306, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62906, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 4482, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62907, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62908, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 32, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62909, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 820, 8, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 132, 7, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 115, 9, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 765, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 405, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 25, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 358, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 371, 33, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 136, 42, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 51, 9, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 188, 22, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2667, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1813, 9, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 136, 28, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 885, 8, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2312, 16, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 306, 15, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1120, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 163, 11, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1012, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1939, 11, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 136, 44, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1916, 12, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 185, 50, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 151, 34, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1568, 9, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 238, 8, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 338, 16, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 259, 36, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 197, 14, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 167, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 127, 23, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 163, 29, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 214, 19, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 134, 29, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 233, 26, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 180, 26, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 225, 12, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 92, 15, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 130, 22, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 141, 24, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 968, 13, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 3032, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 177, 25, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 87, 27, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 81, 31, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 418, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 185, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 576, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 486, 23, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 235, 9, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 276, 21, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 128, 10, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 140, 32, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D15', 696, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 137, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 137, 35, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 120, 14, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 124, 34, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 133, 30, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 425, 10, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 149, 20, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 127, 18, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 1010, 7, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 852, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 145, 34, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 128, 32, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4482, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 8, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 16, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 5, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 124, 28, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 153, 12, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 7, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 341, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 110, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 161, 16, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 152, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 417, 31, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 80, 11, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 9, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 25, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 186, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 42, 14, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 911, 7, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (62999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 313, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 6, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 408, 41, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 4, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 18, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 320, 64, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 131, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 579, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 4187, 13, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1706, 13, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 3345, 17, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2528, 8, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 445, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 324, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 767, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 56, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 4, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63016, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 358, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63017, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '市交通运输局', '', '', 834, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63018, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 975, 16, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63019, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 38, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63020, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 993, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63021, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 620, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63022, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 175, 140, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63023, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 641, 7, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63024, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 122, 16, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63025, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 420, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63026, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 351, 95, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63027, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 408, 41, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63028, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 125, 19, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63029, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 133, 30, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63030, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 5, 22, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63031, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63032, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 820, 8, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63033, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 32, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (63034, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 1306, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63035, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 313, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63036, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2469, 114, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63037, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 25, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63038, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 4482, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63039, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 371, 33, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63040, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 445, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63041, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 341, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63042, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 50, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63043, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '市交通运输局', '', '', 650, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63044, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 138, 165, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63045, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 4, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63046, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 313, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63047, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 132, 7, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63048, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 115, 9, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63049, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4482, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63050, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 358, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63051, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 408, 41, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63052, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 177, 25, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63053, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 420, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63054, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 92, 15, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63055, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 233, 26, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63056, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 180, 26, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63057, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 788, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63058, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 214, 19, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63059, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 852, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63060, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 134, 29, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63061, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 18, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63062, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 4, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63063, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 6, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63064, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 4, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63065, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 25, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63066, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 153, 12, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63067, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 124, 28, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63068, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 161, 16, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63069, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 110, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63070, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 149, 20, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63071, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 445, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63072, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 50, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63073, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 993, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63074, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 56, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63075, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 128, 32, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63076, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 145, 34, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63077, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 127, 18, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63078, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 767, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63079, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 8, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63080, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63081, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63082, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 324, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63083, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1568, 9, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63084, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63085, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 137, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63086, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D15', 650, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63087, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 120, 14, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63088, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 9, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63089, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 1306, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63090, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 765, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63091, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 524, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63092, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2528, 8, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63093, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 4187, 13, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63094, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1706, 13, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63095, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 3345, 17, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63096, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 5, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63097, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63098, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63099, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 320, 64, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63100, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 16, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63101, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 417, 31, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63102, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 7, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63103, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 152, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63104, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 341, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63105, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '', '', '1D15', 834, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63106, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1012, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63107, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 885, 8, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63108, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1120, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63109, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2312, 16, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63110, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1939, 11, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63111, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 133, 30, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63112, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1916, 12, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63113, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2667, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63114, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1813, 9, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63115, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 371, 33, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63116, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 25, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63117, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 186, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63118, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 152, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63119, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 80, 11, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63120, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 42, 14, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63121, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 911, 7, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63122, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 4, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63123, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 18, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63124, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 6, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63125, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2528, 8, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63126, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 3345, 17, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63127, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 141, 24, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63128, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1706, 13, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63129, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 4187, 13, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63130, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 4, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63131, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 56, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63132, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 130, 22, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63133, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 137, 35, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63134, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 124, 28, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63135, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 153, 12, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63136, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1012, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63137, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 110, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63138, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 161, 16, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63139, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63140, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 885, 8, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63141, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1120, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63142, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63143, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 140, 32, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63144, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 9, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63145, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 128, 10, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63146, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63147, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 81, 31, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63148, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 87, 27, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63149, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 417, 31, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63150, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 320, 64, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63151, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 408, 41, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63152, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 313, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63153, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 124, 34, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63154, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 425, 10, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63155, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 358, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63156, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 133, 30, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63157, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 137, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63158, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 371, 33, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63159, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 120, 14, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63160, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 132, 7, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63161, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 25, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63162, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 149, 20, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63163, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 167, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63164, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 115, 9, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63165, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 128, 32, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63166, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 197, 14, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63167, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 765, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63168, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 127, 18, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63169, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 163, 29, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63170, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 405, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63171, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 127, 23, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63172, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 145, 34, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63173, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 238, 8, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63174, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1939, 11, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63175, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 259, 36, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63176, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2312, 16, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63177, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 338, 16, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63178, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1813, 9, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63179, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2667, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63180, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 225, 12, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63181, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 276, 21, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63182, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1568, 9, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63183, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1916, 12, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63184, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 579, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63185, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 131, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63186, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 1010, 7, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63187, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D15', 696, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63188, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 852, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63189, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 134, 29, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63190, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 233, 26, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63191, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 214, 19, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63192, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 180, 26, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63193, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 92, 15, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63194, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4482, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63195, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 177, 25, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63196, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 341, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63197, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 16, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63198, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63199, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 8, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63200, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63201, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63202, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63203, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 324, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63204, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 767, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63205, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 445, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63206, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 3032, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63207, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 235, 9, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63208, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 486, 23, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63209, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 968, 13, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63210, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 136, 44, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63211, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 163, 11, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63212, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 418, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63213, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 306, 15, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63214, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 136, 28, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63215, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 576, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63216, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 188, 22, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63217, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 51, 9, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63218, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 185, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63219, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 136, 42, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63220, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 151, 34, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63221, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 185, 50, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63222, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1568, 9, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63223, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1916, 12, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63224, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 132, 7, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63225, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 445, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63226, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2667, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63227, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2312, 16, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63228, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1813, 9, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63229, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 115, 9, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63230, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1939, 11, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63231, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 9, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63232, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63233, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 127, 18, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63234, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 145, 34, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63235, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 128, 32, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63236, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 149, 20, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63237, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63238, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 8, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63239, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63240, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 16, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63241, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63242, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63243, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 420, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63244, 1, '511500000000-0001', '宜宾市民中心', '公路涉路施工许可', '市交通运输局', '', '1D15', 834, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63245, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 524, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63246, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 765, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63247, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 371, 33, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63248, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 4187, 13, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63249, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 341, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63250, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1706, 13, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63251, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2528, 8, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63252, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 3345, 17, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63253, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63254, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 358, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63255, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '市交通运输局', '', '1D15', 650, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63256, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 177, 25, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63257, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 788, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63258, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 417, 31, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63259, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63260, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 408, 41, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63261, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 320, 64, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63262, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 852, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63263, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 233, 26, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63264, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 180, 26, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63265, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 92, 15, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63266, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 214, 19, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63267, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 134, 29, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63268, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 993, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63269, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 56, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63270, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 4, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63271, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 313, 6, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63272, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 25, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63273, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 18, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63274, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 4, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63275, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 6, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63276, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 1306, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63277, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 120, 14, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63278, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 110, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63279, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 161, 16, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63280, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 50, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63281, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 137, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63282, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 133, 30, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63283, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1120, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63284, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1012, 4, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63285, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 152, 1, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63286, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 767, 5, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63287, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 324, 2, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63288, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 885, 8, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63289, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 124, 28, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63290, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 153, 12, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63291, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4482, 3, 2023, 9, 15, '2024-08-05 14:00:50', NULL, NULL), (63292, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 5, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63293, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 297, 8, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63294, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 156, 62, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63295, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 871, 30, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63296, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 474, 29, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63297, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 154, 63, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63298, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 5, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63299, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 653, 40, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63300, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 264, 9, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63301, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 6, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63302, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 443, 31, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63303, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 801, 13, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63304, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 154, 5, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63305, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 655, 2, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63306, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 5, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63307, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63308, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 6, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63309, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63310, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 222, 15, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63311, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 301, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63312, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63313, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 0, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 655, 2, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 894, 5, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 71, 14, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 867, 25, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 154, 5, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 840, 7, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 72, 7, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 710, 3, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 800, 3, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 301, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 237, 25, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 93, 11, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 5, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 222, 15, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 251, 5, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63330, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 801, 13, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63331, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 5, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63332, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 301, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63333, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 222, 15, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63334, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 655, 2, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63335, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 154, 5, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63336, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63337, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 5, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63338, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 301, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63339, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 800, 3, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63340, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 154, 5, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63341, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 840, 7, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63342, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 710, 3, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63343, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 655, 2, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63344, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63345, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 222, 15, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63346, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 154, 5, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63347, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 655, 2, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63348, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 894, 5, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63349, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 301, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63350, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 800, 3, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63351, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63352, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 710, 3, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63353, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 840, 7, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63354, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 237, 25, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63355, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 222, 15, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63356, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 5, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63357, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 72, 7, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63358, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 867, 25, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63359, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 71, 14, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63360, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 251, 5, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63361, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 93, 11, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63362, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 655, 2, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63363, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 154, 5, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63364, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 301, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63365, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 840, 7, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63366, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 800, 3, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63367, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 5, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63368, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 222, 15, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63369, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 710, 3, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63370, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2023, 9, 16, '2024-08-05 14:00:51', NULL, NULL), (63371, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 1274, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63372, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 446, 12, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63373, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 329, 53, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63374, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 42, 7, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63375, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1402, 34, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63376, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 323, 54, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63377, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1402, 34, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63378, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 412, 13, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63379, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 42, 7, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63380, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 424, 3, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63381, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 4, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63382, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 97, 3, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63383, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 424, 3, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63384, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 50, 4, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63385, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 8, 2, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63386, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 716, 7, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63387, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 35, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 10, 11, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 940, 28, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 20, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 97, 3, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 73, 6, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 3560, 6, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 17, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 35, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 70, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 655, 8, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 592, 16, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 4, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 140, 8, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 716, 7, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 50, 4, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 272, 4, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 1274, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63405, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 35, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63406, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 4, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63407, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 1274, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63408, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 17, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63409, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 50, 4, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63410, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 97, 3, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63411, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 716, 7, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63412, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 35, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63413, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 17, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63414, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 1274, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63415, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 97, 3, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63416, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 4, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63417, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 50, 4, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63418, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 716, 7, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63419, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 97, 3, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63420, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 940, 28, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63421, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 35, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63422, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 17, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63423, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 1274, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63424, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 716, 7, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63425, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 70, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63426, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 20, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63427, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 592, 16, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63428, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 655, 8, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63429, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 50, 4, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63430, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 4, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63431, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 73, 6, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (63432, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 10, 11, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63433, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 272, 4, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63434, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 140, 8, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63435, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 3560, 6, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63436, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 716, 7, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63437, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 1274, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63438, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 97, 3, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63439, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 17, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63440, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 50, 4, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63441, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 4, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63442, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 35, 1, 2023, 9, 17, '2024-08-05 14:00:52', NULL, NULL), (63443, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 141, 145, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63444, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 95, 55, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63445, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 936, 46, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63446, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 667, 50, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63447, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 135, 253, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63448, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 229, 454, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63449, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 345, 62, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63450, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 119, 115, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63451, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 763, 98, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63452, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 985, 235, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63453, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 229, 455, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63454, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 541, 151, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63455, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 345, 62, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63456, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 692, 108, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63457, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 134, 254, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63458, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 141, 145, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63459, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 985, 235, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63460, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 119, 115, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63461, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 711, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63462, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 1080, 5, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63463, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 5530, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63464, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 18, 11, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63465, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 179, 43, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63466, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 141, 145, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63467, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1748, 106, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63468, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 260, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63469, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 442, 27, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63470, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 755, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63471, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 368, 10, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63472, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 69, 30, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63473, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1392, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63474, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 379, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63475, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 229, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63476, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 15, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63477, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 215, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63478, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 230, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63479, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 140, 5, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63480, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 20, 46, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63481, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 110, 139, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63482, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 456, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63483, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 2263, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63484, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 472, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 469, 67, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63486, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 726, 32, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63487, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 26, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63488, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 132, 5, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63489, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63490, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 1239, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63491, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 3, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 12, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 16, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 7, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 310, 5, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 711, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 379, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 442, 27, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 353, 26, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 291, 40, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 306, 27, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 376, 12, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 239, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 379, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 145, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 905, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 299, 20, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 315, 38, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 653, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 478, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 256, 46, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 225, 10, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 275, 44, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 184, 22, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 371, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 135, 25, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 47, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 382, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 187, 12, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 199, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 43, 11, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 20, 14, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 326, 39, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 144, 27, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 82, 29, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 140, 25, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 136, 17, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 198, 22, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 73, 39, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 186, 18, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 36, 15, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 254, 12, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 58, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 123, 24, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 25, 10, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 109, 24, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 988, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1595, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 815, 18, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 29, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 111, 17, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 85, 22, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 122, 30, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D15', 5530, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 69, 2, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 233, 34, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 7, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 580, 40, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 69, 30, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 3574, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 93, 20, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 500, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 116, 16, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 900, 31, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 98, 26, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 939, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 138, 21, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 11, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 7, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 9, 10, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 11, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 71, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 115, 20, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 11, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 105, 25, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 6, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 174, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1392, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 29, 5, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 128, 10, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 75, 2, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1943, 52, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 333, 12, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 22, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 7, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 2, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 5, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 51, 13, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 472, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 755, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 5, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 179, 43, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 499, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1561, 54, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1046, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 801, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 454, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 468, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 453, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 886, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 229, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1294, 2, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 473, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 71, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 645, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63599, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 379, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63600, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 368, 10, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63601, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 215, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63602, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '市交通运输局', '', '', 1080, 5, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63603, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 472, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63604, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 260, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63605, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 141, 145, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63606, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 15, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63607, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 456, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63608, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1748, 106, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63609, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 179, 43, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63610, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 18, 11, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63611, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 69, 30, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63612, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 20, 46, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63613, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63614, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '市交通运输局', '', '', 230, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63615, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 132, 5, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63616, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 1239, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63617, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 2263, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63618, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 755, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63619, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 726, 32, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63620, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 469, 67, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63621, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 711, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63622, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 26, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63623, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 442, 27, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63624, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 229, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63625, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1392, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63626, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '市交通运输局', '', '', 5530, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63627, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 111, 138, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63628, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 3, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63629, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 140, 5, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63630, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 755, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63631, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 12, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63632, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 16, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63633, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 11, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63634, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 29, 5, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63635, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 379, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63636, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 179, 43, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63637, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 123, 24, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63638, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 186, 18, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63639, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 140, 25, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63640, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 198, 22, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63641, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 144, 27, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63642, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 1239, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63643, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 82, 29, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63644, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D17', 230, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63645, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 499, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63646, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 6, 2, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63647, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 645, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63648, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D17', 1080, 5, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63649, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 711, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63650, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 105, 25, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63651, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 115, 20, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63652, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 128, 10, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63653, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 93, 20, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63654, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 229, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63655, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 472, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63656, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 71, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63657, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 138, 21, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63658, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 98, 26, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63659, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 116, 16, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63660, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 473, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63661, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 174, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63662, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 2263, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63663, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63664, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 7, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63665, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63666, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 371, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63667, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 326, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63668, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63669, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 69, 2, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63670, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D15', 5530, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63671, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 2, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63672, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 7, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63673, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 7, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63674, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 500, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63675, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D18', 801, 24, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63676, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 7, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63677, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 310, 5, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63678, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 886, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63679, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 454, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63680, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 468, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63681, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 453, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63682, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 71, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63683, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 11, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63684, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 9, 10, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63685, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1561, 54, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63686, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 11, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63687, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1943, 52, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63688, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 6, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63689, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 75, 2, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63690, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1392, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63691, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E29', 3, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63692, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 653, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63693, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 379, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63694, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 145, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63695, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 905, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63696, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 478, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63697, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 69, 30, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63698, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 225, 10, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63699, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 239, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63700, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 442, 27, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63701, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 22, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63702, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 5, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63703, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 75, 2, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63704, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 333, 12, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63705, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 51, 13, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63706, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 472, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63707, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 499, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63708, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 5, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63709, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 886, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63710, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 453, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63711, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 36, 15, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63712, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 468, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63713, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 326, 39, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63714, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 454, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63715, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 645, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63716, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 71, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63717, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 73, 39, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63718, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 233, 34, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63719, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 115, 20, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63720, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 105, 25, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63721, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 653, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63722, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 128, 10, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63723, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63724, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 379, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63725, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 174, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63726, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 145, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63727, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63728, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 2, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63729, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 122, 30, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63730, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 7, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63731, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 85, 22, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63732, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63733, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 109, 24, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63734, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 25, 10, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63735, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1943, 52, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63736, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1561, 54, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63737, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 179, 43, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63738, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 755, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63739, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 580, 40, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63740, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 3574, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63741, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 69, 30, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63742, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 379, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63743, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 69, 2, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63744, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 442, 27, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63745, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 7, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63746, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 12, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63747, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 711, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63748, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 93, 20, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63749, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 199, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63750, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 16, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63751, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 138, 21, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63752, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 187, 12, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63753, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 7, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63754, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 20, 14, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63755, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 116, 16, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63756, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 43, 11, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63757, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 310, 5, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63758, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 98, 26, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63759, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 478, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63760, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 135, 25, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63761, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 382, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63762, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 905, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63763, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 47, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63764, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 239, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63765, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 136, 17, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63766, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 111, 17, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63767, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 371, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63768, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 225, 10, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63769, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 801, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63770, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1046, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63771, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 500, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63772, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D15', 5530, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63773, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 939, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63774, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 900, 31, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63775, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 82, 29, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63776, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 140, 25, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63777, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 144, 27, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63778, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 198, 22, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63779, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 186, 18, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63780, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 29, 5, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63781, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 11, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63782, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 123, 24, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63783, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1392, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63784, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 11, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63785, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 71, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63786, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 7, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63787, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 9, 10, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63788, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 11, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63789, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63790, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1294, 2, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63791, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 473, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63792, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 229, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63793, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 58, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63794, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 29, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63795, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 815, 18, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63796, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 254, 12, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63797, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 256, 46, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63798, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 315, 38, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63799, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 988, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63800, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 299, 20, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63801, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 376, 12, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63802, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1595, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63803, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 306, 27, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63804, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 291, 40, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63805, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 353, 26, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63806, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 184, 22, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63807, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 275, 44, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63808, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 371, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63809, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 225, 10, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63810, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '市交通运输局', '', '1D17', 230, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63811, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 12, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63812, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 229, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63813, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 905, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63814, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 239, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63815, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 478, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63816, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 16, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63817, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 7, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63818, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63819, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 116, 16, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63820, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 98, 26, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63821, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 138, 21, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63822, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 93, 20, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63823, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 9, 10, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63824, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 7, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63825, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 71, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63826, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 11, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63827, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 6, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63828, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 11, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63829, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 310, 5, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63830, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 7, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63831, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 442, 27, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63832, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 454, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63833, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1392, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63834, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 468, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63835, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 886, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63836, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 453, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63837, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63838, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 2, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63839, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 379, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63840, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '市交通运输局', '', '1D15', 5530, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63841, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 123, 24, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63842, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1943, 52, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63843, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63844, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 179, 43, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63845, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1561, 54, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63846, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 1239, 7, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63847, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 174, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (63848, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 140, 25, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63849, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 198, 22, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63850, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 186, 18, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63851, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 144, 27, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63852, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 82, 29, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63853, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 472, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63854, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 71, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63855, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 645, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63856, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 755, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63857, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 711, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63858, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 499, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63859, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 6, 2, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63860, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 2263, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63861, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 500, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63862, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '市交通运输局', '', '1D17', 1080, 5, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63863, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 7, 9, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63864, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 128, 10, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63865, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 69, 2, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63866, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D18', 801, 24, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63867, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 69, 30, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63868, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 145, 4, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63869, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 653, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63870, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 75, 2, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63871, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 473, 8, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63872, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 326, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63873, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 379, 3, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63874, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 115, 20, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63875, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 105, 25, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63876, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63877, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 29, 5, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63878, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 11, 1, 2023, 9, 18, '2024-08-05 14:00:53', NULL, NULL), (63879, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 56, 107, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63880, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 7, 30, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63881, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 276, 48, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63882, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 2902, 59, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63883, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 104, 238, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63884, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 610, 75, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63885, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 77, 412, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63886, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 65, 126, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63887, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 633, 94, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63888, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 615, 229, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63889, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 77, 412, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63890, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 1348, 137, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63891, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 610, 75, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63892, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 626, 95, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63893, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 104, 238, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63894, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 56, 107, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63895, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 615, 229, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63896, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 65, 126, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63897, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 66, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63898, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '', 9, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63899, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 87, 11, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63900, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 56, 107, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63901, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 281, 47, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63902, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 567, 100, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63903, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 274, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63904, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 546, 32, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63905, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 709, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63906, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 936, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63907, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1003, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63908, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 110, 26, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63909, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 39, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63910, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 5, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63911, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 709, 21, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63912, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 82, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63913, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '', 174, 4, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63914, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 1430, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63915, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 4, 4, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63916, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 7, 25, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63917, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 88, 128, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63918, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 336, 8, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63919, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 86, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63920, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 934, 69, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63921, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 322, 38, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63922, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 4, 5, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63923, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 3, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63924, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63925, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 131, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1443, 8, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 257, 13, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 235, 4, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 486, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 39, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 546, 32, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 92, 23, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 68, 35, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 85, 29, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1407, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 722, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 108, 19, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 690, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 951, 17, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 83, 31, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 911, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 83, 23, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 883, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 52, 31, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1290, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 50, 35, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 105, 11, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 492, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 47, 21, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 99, 11, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 75, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 150, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 81, 14, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 72, 18, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 27, 20, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 101, 24, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 16, 15, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 28, 21, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 62, 15, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 65, 15, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 12, 22, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 36, 14, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 70, 30, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 91, 21, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 13, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 599, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 173, 20, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 44, 20, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 65, 25, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1273, 10, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 813, 8, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 5380, 27, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 431, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 92, 22, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 51, 14, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 80, 33, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D15', 9, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 455, 40, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 117, 8, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 8, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 433, 39, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 110, 26, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2212, 10, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 94, 20, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D19', 108, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 85, 16, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 363, 32, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 78, 24, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 147, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 74, 25, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D16', 10, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 6, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 95, 23, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 73, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (63999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 20, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 6, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 4, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 135, 11, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 675, 44, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 219, 10, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 27, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 182, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 63, 21, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 278, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 709, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 281, 47, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 481, 56, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 3, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 573, 4, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1316, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 912, 4, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1255, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 786, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 5, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 811, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 51, 5, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 82, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64027, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 39, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64028, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1003, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64029, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 82, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64030, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '市交通运输局', '', '', 66, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64031, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 86, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64032, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 274, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64033, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 56, 107, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64034, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 336, 8, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64035, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 709, 21, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64036, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 1430, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64037, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 567, 100, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64038, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 281, 47, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64039, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 87, 11, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64040, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 110, 26, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64041, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 7, 25, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64042, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64043, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '市交通运输局', '', '', 174, 4, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64044, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 131, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64045, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 3, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64046, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 322, 38, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64047, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 709, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64048, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 934, 69, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64049, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 4, 5, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64050, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 546, 32, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64051, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 5, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64052, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 936, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64053, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '市交通运输局', '', '', 9, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64054, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 88, 128, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64055, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 4, 4, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64056, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 709, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64057, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1443, 8, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64058, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 257, 13, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64059, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 6, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64060, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 4, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64061, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 39, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64062, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 281, 47, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64063, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 173, 20, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64064, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 1430, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64065, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 36, 14, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64066, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 62, 15, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64067, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 12, 22, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64068, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D19', 131, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64069, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 16, 15, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64070, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 28, 21, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64071, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D17', 228, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64072, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '', '', '1D16', 10, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64073, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64074, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 82, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64075, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D17', 66, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64076, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 73, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64077, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 95, 23, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64078, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 135, 11, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64079, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 94, 20, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64080, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 5, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64081, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 936, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64082, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 86, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64083, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 74, 25, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64084, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 78, 24, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64085, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 85, 16, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64086, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 51, 5, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64087, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 6, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64088, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64089, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64090, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64091, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 811, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64092, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 492, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64093, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 117, 8, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64094, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '', '', '1D15', 9, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64095, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64096, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 8, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64097, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64098, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D19', 105, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64099, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D18', 363, 32, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64100, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 235, 4, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64101, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 306, 5, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64102, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 786, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64103, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1316, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64104, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 912, 4, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64105, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1255, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64106, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64107, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64108, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 481, 56, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64109, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64110, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 675, 44, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64111, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 20, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64112, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 911, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64113, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1407, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64114, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 690, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64115, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 951, 17, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64116, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 883, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64117, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 110, 26, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64118, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1290, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64119, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 722, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64120, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 546, 32, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64121, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 27, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64122, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 182, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64123, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 219, 10, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64124, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 63, 21, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64125, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 278, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64126, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64127, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 786, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64128, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1255, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64129, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 91, 21, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64130, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 912, 4, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64131, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 101, 24, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64132, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1316, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64133, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 82, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64134, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 70, 30, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64135, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 455, 40, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64136, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 95, 23, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64137, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 73, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64138, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 911, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64139, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 135, 11, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64140, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64141, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1407, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64142, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 6, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64143, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 690, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64144, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64145, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64146, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 80, 33, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64147, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 92, 22, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64148, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64149, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 65, 25, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64150, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 44, 20, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64151, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 675, 44, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64152, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 481, 56, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64153, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 281, 47, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64154, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 709, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64155, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 433, 39, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64156, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2212, 10, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64157, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 39, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64158, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 110, 26, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64159, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 546, 32, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64160, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 117, 8, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64161, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 8, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64162, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1443, 8, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64163, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 94, 20, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64164, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 81, 14, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64165, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 74, 25, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64166, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 257, 13, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64167, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 150, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64168, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 27, 20, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64169, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 235, 4, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64170, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 85, 16, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64171, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 72, 18, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64172, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 486, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64173, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 78, 24, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64174, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 47, 21, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64175, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 883, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64176, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 75, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64177, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 951, 17, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64178, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 99, 11, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64179, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 722, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64180, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 65, 15, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64181, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 51, 14, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64182, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 492, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64183, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1290, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64184, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 573, 4, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64185, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 3, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64186, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D19', 108, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64187, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D15', 9, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64188, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D16', 10, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64189, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 147, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64190, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 363, 32, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64191, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 28, 21, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64192, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 62, 15, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64193, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 16, 15, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64194, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 12, 22, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64195, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 36, 14, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64196, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64197, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 6, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64198, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 173, 20, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64199, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64200, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64201, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64202, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64203, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 20, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64204, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 811, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64205, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 51, 5, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64206, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 5, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64207, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 599, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64208, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 431, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64209, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 5380, 27, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64210, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 13, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64211, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 52, 31, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64212, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 83, 23, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64213, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1273, 10, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64214, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 83, 31, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64215, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 108, 19, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64216, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 813, 8, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64217, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 85, 29, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64218, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 68, 35, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64219, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 92, 23, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64220, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 105, 11, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64221, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 50, 35, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64222, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 492, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64223, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1290, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64224, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '市交通运输局', '', '1D17', 228, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64225, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1443, 8, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64226, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 5, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64227, 1, '511500000000-0001', '宜宾市民中心', '道路运输车辆年度审验', '市交通运输局', '', '1D16', 10, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64228, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 951, 17, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64229, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 722, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64230, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 883, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64231, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 257, 13, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64232, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64233, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 85, 16, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64234, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 78, 24, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64235, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 74, 25, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64236, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 94, 20, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64237, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64238, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64239, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64240, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64241, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 20, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64242, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 1430, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64243, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 306, 5, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64244, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 235, 4, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64245, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 546, 32, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64246, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1316, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64247, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 912, 4, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64248, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 786, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64249, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1255, 7, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64250, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64251, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64252, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 39, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64253, 1, '511500000000-0001', '宜宾市民中心', '普通公路涉路施工许可、超限运输许可、市航务业务', '市交通运输局', '', '1D15', 9, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64254, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D19', 131, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64255, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 173, 20, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64256, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 675, 44, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64257, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64258, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 281, 47, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64259, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 481, 56, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (64260, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 6, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64261, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 62, 15, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64262, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 12, 22, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64263, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 36, 14, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64264, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 16, 15, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64265, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 28, 21, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64266, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 86, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64267, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 82, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64268, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 709, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64269, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64270, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '市交通运输局', '', '1D17', 66, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64271, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D19', 105, 6, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64272, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 8, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64273, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 135, 11, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64274, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 936, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64275, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 117, 8, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64276, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D18', 363, 32, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64277, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 110, 26, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64278, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 690, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64279, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 911, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64280, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 51, 5, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64281, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 811, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64282, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1407, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64283, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 95, 23, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64284, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 73, 9, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64285, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 3, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64286, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 6, 2, 2023, 9, 19, '2024-08-05 14:00:54', NULL, NULL), (64287, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 96, 94, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64288, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 110, 39, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64289, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '', 365, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64290, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 804, 50, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64291, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 114, 196, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64292, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 417, 60, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64293, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 94, 363, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64294, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 375, 75, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64295, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 116, 135, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64296, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 476, 213, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64297, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 93, 365, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64298, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 477, 97, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64299, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 417, 60, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64300, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 375, 75, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64301, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 114, 196, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64302, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 96, 94, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64303, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 476, 213, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64304, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 116, 135, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64305, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1851, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64306, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 17, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64307, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 136, 10, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64308, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 133, 30, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64309, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 96, 94, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64310, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 333, 86, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64311, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 446, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64312, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 347, 32, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64313, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 704, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64314, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1386, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64315, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 107, 18, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64316, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 378, 11, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64317, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 168, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64318, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 401, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64319, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 276, 12, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64320, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 16, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64321, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 136, 10, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64322, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 24, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64323, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 58, 101, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64324, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 381, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64325, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 18, 2, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64326, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 462, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64327, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 774, 83, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64328, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 65, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64329, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 6, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64330, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 11, 8, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64331, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 81, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64332, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 581, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64333, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 50, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 361, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 191, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 446, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1851, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 168, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 347, 32, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 100, 32, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 109, 30, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 117, 9, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 568, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 972, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 76, 31, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1659, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 771, 14, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 126, 35, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 52, 20, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 604, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 75, 34, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 672, 11, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 137, 21, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 75, 17, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 825, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 47, 19, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 14, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 135, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 102, 12, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 131, 13, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 81, 9, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 166, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 132, 18, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 37, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 53, 18, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 259, 14, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 100, 22, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 150, 18, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 55, 13, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 18, 27, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 81, 23, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 231, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 641, 11, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 30, 15, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 202, 18, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 153, 13, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 251, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 799, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 982, 15, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1790, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 130, 10, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 173, 23, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 13, 25, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 109, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 331, 28, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 148, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 251, 17, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 107, 18, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 535, 13, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 55, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 51, 17, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D18', 452, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 38, 27, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D17', 17, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 74, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 9, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 65, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 157, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 2, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 57, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 256, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 520, 8, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 163, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 24, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 6, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 27, 2, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 285, 38, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 321, 12, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 51, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 120, 2, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 576, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 33, 12, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 462, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 704, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 7, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 133, 30, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 20, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 371, 48, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 497, 12, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 344, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 726, 9, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1085, 10, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 637, 10, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 721, 9, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 401, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 18, 2, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 381, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 42, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 10, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64436, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 168, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64437, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1386, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64438, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 16, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64439, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '市交通运输局', '', '', 17, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64440, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 462, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64441, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 446, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64442, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 96, 94, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64443, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 381, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64444, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 276, 12, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64445, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 333, 86, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64446, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 133, 30, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64447, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 136, 10, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64448, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 107, 18, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64449, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 24, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64450, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 81, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64451, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 11, 8, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64452, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '', 581, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64453, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 18, 2, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64454, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '', 65, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64455, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 704, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64456, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 774, 83, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64457, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1851, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64458, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 6, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64459, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 347, 32, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64460, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 401, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64461, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 520, 8, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64462, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 58, 101, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64463, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 50, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64464, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 136, 10, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64465, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 704, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64466, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 361, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64467, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 191, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64468, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 9, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64469, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 6, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64470, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 168, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64471, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 133, 30, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64472, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 30, 15, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64473, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 55, 13, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64474, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 259, 14, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64475, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 150, 18, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64476, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 37, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64477, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 53, 18, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64478, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '1D18', 581, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64479, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 20, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64480, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 7, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64481, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '1D17', 17, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64482, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 10, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64483, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1851, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64484, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 157, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64485, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 65, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64486, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 24, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64487, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 163, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64488, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 55, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64489, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 401, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64490, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 462, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64491, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 42, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64492, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 74, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64493, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 38, 27, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64494, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 51, 17, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64495, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 381, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64496, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 256, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64497, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64498, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 18, 2, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64499, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 57, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64500, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 825, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64501, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 109, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64502, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 120, 2, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64503, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 148, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64504, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64505, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '1D18', 65, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64506, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 446, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64507, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 721, 9, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64508, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 726, 9, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64509, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1085, 10, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64510, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 637, 10, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64511, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64512, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64513, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64514, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 371, 48, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64515, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64516, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 285, 38, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64517, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 2, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64518, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 5, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64519, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 520, 8, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64520, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 568, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64521, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1659, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64522, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E26', 50, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64523, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 771, 14, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64524, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 604, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64525, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 107, 18, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64526, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 672, 11, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64527, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 972, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64528, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 347, 32, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64529, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 51, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64530, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 576, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64531, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 27, 2, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64532, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 321, 12, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64533, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 33, 12, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64534, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 462, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64535, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 20, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64536, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 7, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64537, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 721, 9, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64538, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 637, 10, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64539, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 81, 23, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64540, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 132, 18, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64541, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1085, 10, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64542, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 726, 9, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64543, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 10, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64544, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 42, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64545, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 18, 27, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64546, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 331, 28, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64547, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 65, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64548, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 157, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64549, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 163, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64550, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 24, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64551, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 568, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64552, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 57, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64553, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 256, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64554, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1659, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64555, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 13, 25, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64556, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 120, 2, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64557, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 130, 10, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64558, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64559, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 153, 13, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64560, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 202, 18, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64561, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 285, 38, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64562, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 371, 48, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64563, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 133, 30, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64564, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 704, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64565, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 251, 17, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64566, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 535, 13, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64567, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 168, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64568, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 107, 18, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64569, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 109, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64570, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 347, 32, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64571, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 148, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64572, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 361, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64573, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1851, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64574, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 55, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64575, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 191, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64576, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 74, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64577, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 131, 13, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64578, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 102, 12, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64579, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 51, 17, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64580, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 166, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64581, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 446, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64582, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 81, 9, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64583, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 38, 27, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64584, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 604, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64585, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 47, 19, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64586, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 135, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64587, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 771, 14, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64588, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 14, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64589, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 972, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64590, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 100, 22, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64591, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 173, 23, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64592, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 825, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64593, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 672, 11, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64594, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 344, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64595, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 497, 12, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64596, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D17', 17, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64597, 1, '511500000000-0001', '宜宾市民中心', '', '市交通运输局', '', '1D18', 452, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64598, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 53, 18, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64599, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 259, 14, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64600, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 37, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64601, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 150, 18, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64602, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 55, 13, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64603, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 6, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64604, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 9, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64605, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 30, 15, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64606, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 520, 8, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64607, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64608, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64609, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64610, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64611, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64612, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64613, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 18, 2, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64614, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 381, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64615, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 401, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64616, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 641, 11, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64617, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1790, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64618, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 982, 15, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64619, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 231, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64620, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 75, 34, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64621, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 52, 20, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64622, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 251, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64623, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 126, 35, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64624, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 76, 31, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64625, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 799, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64626, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 117, 9, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64627, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 109, 30, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64628, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 100, 32, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64629, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 75, 17, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64630, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 137, 21, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64631, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 825, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64632, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 672, 11, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64633, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 361, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64634, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 401, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64635, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 771, 14, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64636, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 972, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64637, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 604, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64638, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 191, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64639, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64640, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 51, 17, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64641, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 38, 27, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64642, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 74, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64643, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 55, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64644, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64645, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64646, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64647, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64648, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64649, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64650, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 446, 5, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64651, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 347, 32, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64652, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 726, 9, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64653, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 520, 8, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64654, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1085, 10, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64655, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 721, 9, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64656, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 637, 10, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64657, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 120, 2, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64658, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 168, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64659, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 30, 15, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64660, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 285, 38, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64661, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 133, 30, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64662, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 57, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64663, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 371, 48, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64664, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '市交通运输局', '', '1D18', 581, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64665, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 256, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64666, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 259, 14, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64667, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 150, 18, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64668, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 55, 13, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64669, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 37, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64670, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 53, 18, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64671, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 462, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64672, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 42, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64673, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 10, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (64674, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 704, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64675, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1851, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64676, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 20, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64677, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 7, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64678, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 18, 2, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64679, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '市交通运输局', '', '1D17', 17, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64680, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 148, 7, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64681, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 163, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64682, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 24, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64683, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 109, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64684, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '市交通运输局', '', '1D18', 65, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64685, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1659, 3, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64686, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 107, 18, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64687, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 5, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64688, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 381, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64689, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 568, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64690, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E26', 50, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64691, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 65, 16, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64692, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 157, 4, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64693, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 6, 6, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64694, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 9, 1, 2023, 9, 20, '2024-08-05 14:00:55', NULL, NULL), (64695, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 26, 99, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64696, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 389, 64, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64697, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1048, 52, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64698, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 183, 223, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64699, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 363, 42, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64700, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 226, 439, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64701, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 120, 121, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64702, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 893, 121, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64703, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 591, 252, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64704, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 225, 440, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64705, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 673, 118, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64706, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 363, 42, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64707, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 865, 125, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64708, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 183, 223, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64709, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 25, 100, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64710, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 591, 252, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64711, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 120, 121, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64712, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 47, 9, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64713, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 119, 43, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64714, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 25, 100, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64715, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 363, 104, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64716, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 425, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64717, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 295, 21, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64718, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 295, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64719, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 863, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64720, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 162, 29, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64721, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 770, 16, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64722, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 8, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64723, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 13144, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64724, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 312, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64725, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 253, 9, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64726, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 4, 4, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64727, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 9, 44, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64728, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 107, 121, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64729, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 72, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64730, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 1701, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64731, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 317, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64732, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1272, 80, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64733, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 2434, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64734, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 31, 8, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64735, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 9, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64736, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 4, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 446, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 289, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 99, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 490, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 8, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 295, 21, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 258, 52, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 262, 31, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 376, 14, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 179, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1192, 14, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 306, 35, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 8, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1574, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 254, 34, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3939, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 117, 24, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1036, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 298, 39, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1113, 11, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 232, 30, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 675, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 132, 23, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 399, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 95, 14, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 146, 26, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 61, 4, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 6, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 30, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 319, 31, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 19, 16, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 60, 13, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 10, 18, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 165, 12, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 13, 17, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 37, 18, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 74, 27, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 342, 34, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 934, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 235, 8, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 24, 17, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 87, 25, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 80, 19, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 2422, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 687, 10, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 448, 13, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 429, 4, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 83, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 92, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 103, 29, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 39, 4, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 285, 39, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 54, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 326, 43, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 870, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 162, 29, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 670, 9, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 65, 20, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 67, 12, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 36, 27, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 45, 21, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 5, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 20, 11, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 12, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 57, 19, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 577, 13, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 16, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 8, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 7, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 62, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 821, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 6079, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 36, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 431, 55, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 130, 9, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 17, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 10, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 295, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 32, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 317, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 295, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 119, 43, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 38, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 14, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 286, 49, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 521, 9, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 4242, 16, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 495, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1513, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1263, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1457, 13, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1203, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 963, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 13144, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 538, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 248, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 256, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64840, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 8, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64841, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 863, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64842, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 253, 9, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64843, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 317, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64844, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 425, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64845, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 26, 99, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64846, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 312, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64847, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 72, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64848, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 363, 104, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64849, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 119, 43, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64850, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 47, 9, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64851, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 162, 29, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64852, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 9, 44, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64853, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 9, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64854, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 31, 8, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64855, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 1701, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64856, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 295, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64857, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1272, 80, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64858, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 2434, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64859, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 295, 21, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64860, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 13144, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64861, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 821, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64862, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 107, 121, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64863, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 4, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64864, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 4, 4, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64865, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 295, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64866, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 446, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64867, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 289, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64868, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 5, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64869, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 6079, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64870, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 8, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64871, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 119, 43, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64872, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 24, 17, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64873, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 37, 18, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64874, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 10, 18, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64875, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 13, 17, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64876, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 19, 16, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64877, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 60, 13, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64878, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 14, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64879, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 38, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64880, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64881, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 256, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64882, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 577, 13, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64883, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 57, 19, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64884, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 36, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64885, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 62, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64886, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 65, 20, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64887, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 13144, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64888, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 317, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64889, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 248, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64890, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 45, 21, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64891, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 36, 27, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64892, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 67, 12, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64893, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 7, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64894, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 1701, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64895, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64896, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 20, 11, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64897, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64898, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 675, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64899, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 72, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64900, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 39, 4, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64901, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 10, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64902, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64903, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 54, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64904, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 99, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64905, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 490, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64906, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1203, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64907, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 963, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64908, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 495, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64909, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1513, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64910, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1263, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64911, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1457, 13, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64912, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 12, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64913, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 16, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64914, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 286, 49, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64915, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64916, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 4, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64917, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 431, 55, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64918, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 8, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64919, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 821, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64920, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 3939, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64921, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E29', 4, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64922, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 179, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64923, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 8, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64924, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1574, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64925, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1036, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64926, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1113, 11, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64927, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 162, 29, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64928, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1192, 14, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64929, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 295, 21, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64930, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 17, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64931, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 295, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64932, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 130, 9, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64933, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 32, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64934, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 317, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64935, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 38, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64936, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 14, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64937, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64938, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 963, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64939, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1203, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64940, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1457, 13, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64941, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1263, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64942, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 342, 34, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64943, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1513, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64944, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 319, 31, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64945, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 495, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64946, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 256, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64947, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 248, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64948, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 74, 27, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64949, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 285, 39, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64950, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 57, 19, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64951, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 577, 13, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64952, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3939, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64953, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 62, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64954, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 36, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64955, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64956, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 179, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64957, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 8, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64958, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 7, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64959, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64960, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 10, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64961, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 103, 29, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64962, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64963, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 92, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64964, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 80, 19, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64965, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 431, 55, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64966, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 87, 25, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64967, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 286, 49, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64968, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 119, 43, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64969, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 295, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64970, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 326, 43, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64971, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 870, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64972, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 670, 9, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64973, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 8, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64974, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 162, 29, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64975, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 39, 4, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64976, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 295, 21, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64977, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 446, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64978, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 54, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64979, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 65, 20, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64980, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 61, 4, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64981, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 289, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64982, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 45, 21, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64983, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 146, 26, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64984, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 99, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64985, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 67, 12, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64986, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 30, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64987, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 490, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64988, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 6, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64989, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 36, 27, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64990, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1036, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64991, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 132, 23, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64992, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 95, 14, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64993, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1574, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64994, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 399, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64995, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1192, 14, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64996, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 165, 12, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64997, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 83, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64998, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 675, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (64999, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1113, 11, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65000, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 4242, 16, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65001, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 521, 9, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65002, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 60, 13, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65003, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 10, 18, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65004, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 19, 16, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65005, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 13, 17, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65006, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 37, 18, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65007, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 6079, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65008, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65009, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 24, 17, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65010, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 821, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65011, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65012, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 12, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65013, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 20, 11, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65014, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65015, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 16, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65016, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 8, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65017, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 538, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65018, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 13144, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65019, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 235, 8, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65020, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 429, 4, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65021, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 448, 13, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65022, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 934, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65023, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 298, 39, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65024, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 117, 24, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65025, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 2422, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65026, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 254, 34, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65027, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 306, 35, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65028, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 687, 10, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65029, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 376, 14, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65030, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 262, 31, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65031, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 258, 52, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65032, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 232, 30, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65033, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 675, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65034, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1113, 11, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65035, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 446, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65036, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 13144, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65037, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1574, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65038, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1192, 14, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65039, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1036, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65040, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 289, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65041, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65042, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 67, 12, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65043, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 36, 27, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65044, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 45, 21, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65045, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 65, 20, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65046, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65047, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 20, 11, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65048, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 12, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65049, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65050, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 8, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65051, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 16, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65052, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 490, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65053, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 99, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65054, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 295, 21, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65055, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 495, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65056, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1263, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65057, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 821, 15, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65058, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1513, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65059, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1203, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65060, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1457, 13, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65061, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 963, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65062, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65063, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 10, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65064, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 8, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65065, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 24, 17, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65066, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 431, 55, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65067, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65068, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 119, 43, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65069, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 286, 49, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65070, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 7, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65071, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 10, 18, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65072, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 13, 17, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65073, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 37, 18, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65074, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 19, 16, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65075, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 60, 13, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65076, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 317, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65077, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 248, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65078, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 256, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65079, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 295, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65080, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 14, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65081, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 38, 6, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65082, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65083, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 1701, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65084, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 54, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65085, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 62, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (65086, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 36, 7, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65087, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 39, 4, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65088, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 8, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65089, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 162, 29, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65090, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 3939, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65091, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 72, 5, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65092, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 179, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65093, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 57, 19, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65094, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 577, 13, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65095, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E29', 4, 1, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65096, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 6079, 2, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65097, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 3, 2023, 9, 21, '2024-08-05 14:00:56', NULL, NULL), (65098, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 46, 116, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65099, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 382, 48, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65100, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 753, 38, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65101, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 253, 240, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65102, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 507, 49, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65103, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 185, 352, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65104, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 466, 89, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65105, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 139, 106, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65106, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 718, 229, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65107, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 184, 353, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65108, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 534, 88, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65109, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 497, 50, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65110, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 351, 118, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65111, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 252, 241, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65112, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 46, 116, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65113, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 718, 229, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65114, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 139, 106, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65115, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1926, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65116, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 1079, 15, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65117, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 46, 116, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65118, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 318, 43, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65119, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 618, 88, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65120, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 407, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65121, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 492, 19, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65122, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1127, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65123, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 2854, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65124, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 627, 11, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65125, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 257, 30, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65126, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 972, 18, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65127, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 704, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65128, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 829, 10, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65129, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 40, 12, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65130, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 476, 8, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65131, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 8, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65132, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 107, 117, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65133, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 34, 24, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65134, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1722, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65135, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65136, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 308, 5, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65137, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1097, 79, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65138, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 5, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65139, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 7, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65140, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 178, 7, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 106, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 17, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1019, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1926, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1056, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 492, 19, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 153, 36, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 221, 38, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 148, 23, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 498, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1171, 12, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 186, 41, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 84, 14, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 277, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 532, 12, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1539, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 332, 17, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1139, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1173, 11, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 140, 32, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1468, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 196, 19, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 2, 7, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 226, 14, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 101, 18, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 170, 18, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 66, 17, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 177, 26, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 72, 22, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 43, 17, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 26, 23, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 156, 12, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 42, 18, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 58, 19, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 256, 31, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 195, 35, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 49, 7, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 318, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 33, 17, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 133, 21, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 178, 17, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 374, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1128, 12, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 252, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 2134, 5, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 4, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 178, 21, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 265, 31, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 943, 11, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 292, 40, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 1455, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 257, 30, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1969, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 71, 21, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 176, 15, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 78, 21, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 164, 16, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 7, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 76, 21, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 99, 13, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 47, 7, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 112, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 7, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 8, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 76, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 972, 18, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 124, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 5, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 616, 42, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 4, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 81, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 596, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 31, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 208, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 8, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 93, 16, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 308, 5, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1127, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 5, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 318, 43, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 24, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 2, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 621, 46, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 690, 10, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1705, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 931, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1376, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1490, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1191, 8, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1129, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 829, 10, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1756, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1689, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 502, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 399, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65239, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1056, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65240, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 627, 11, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65241, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 476, 8, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65242, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 308, 5, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65243, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 407, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65244, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 46, 116, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65245, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 40, 12, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65246, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1722, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65247, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 618, 88, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65248, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 318, 43, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65249, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 1079, 15, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65250, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 257, 30, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65251, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 34, 24, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65252, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 178, 7, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65253, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 7, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65254, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1127, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65255, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1097, 79, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65256, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1926, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65257, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 5, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65258, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 492, 19, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65259, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 829, 10, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65260, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 972, 18, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65261, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 2854, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65262, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 107, 117, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65263, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 8, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65264, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1127, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65265, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 106, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65266, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 17, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65267, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 5, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65268, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1056, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65269, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 318, 43, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65270, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 33, 17, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65271, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 58, 19, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65272, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 26, 23, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65273, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 42, 18, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65274, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 72, 22, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65275, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 43, 17, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65276, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 2, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65277, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 24, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65278, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 5, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65279, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 399, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65280, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1926, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65281, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 99, 13, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65282, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 76, 21, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65283, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 124, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65284, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 76, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65285, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 71, 21, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65286, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 829, 10, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65287, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 2854, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65288, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 308, 5, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65289, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 502, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65290, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 164, 16, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65291, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 78, 21, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65292, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 176, 15, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65293, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1689, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65294, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 8, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65295, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 8, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65296, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 7, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65297, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 7, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65298, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1756, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65299, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1468, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65300, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65301, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 943, 11, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65302, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 31, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65303, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 596, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65304, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 1455, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65305, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 407, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65306, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1129, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65307, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 931, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65308, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1376, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65309, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1490, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65310, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1191, 8, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65311, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65312, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 47, 7, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65313, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65314, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 621, 46, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65315, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 616, 42, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65316, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 112, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65317, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 972, 18, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65318, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1539, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65319, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 498, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65320, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 277, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65321, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 532, 12, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65322, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1139, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65323, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1173, 11, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65324, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 257, 30, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65325, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1171, 12, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65326, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 492, 19, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65327, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 81, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65328, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 208, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65329, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 4, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65330, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 93, 16, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65331, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 308, 5, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65332, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 24, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65333, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 2, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65334, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 5, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65335, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1129, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65336, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1191, 8, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65337, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1490, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65338, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 195, 35, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65339, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1376, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65340, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 177, 26, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65341, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 931, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65342, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 399, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65343, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 502, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65344, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 256, 31, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65345, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 265, 31, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65346, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 76, 21, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65347, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 99, 13, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65348, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1539, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65349, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 76, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65350, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 124, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65351, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 7, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65352, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 498, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65353, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 8, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65354, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 277, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65355, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 8, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65356, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 31, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65357, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 596, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65358, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 178, 21, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65359, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65360, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 178, 17, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65361, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 133, 21, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65362, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 616, 42, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65363, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 621, 46, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65364, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 318, 43, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65365, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1127, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65366, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 292, 40, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65367, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1969, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65368, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1056, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65369, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 257, 30, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65370, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 492, 19, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65371, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 943, 11, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65372, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 1455, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65373, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 106, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65374, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1926, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65375, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 71, 21, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65376, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 170, 18, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65377, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 17, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65378, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 164, 16, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65379, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 101, 18, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65380, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 176, 15, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65381, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1019, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65382, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 66, 17, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65383, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 78, 21, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65384, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 196, 19, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65385, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1139, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65386, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 226, 14, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65387, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 532, 12, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65388, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 2, 7, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65389, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1171, 12, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65390, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 156, 12, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65391, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 4, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65392, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1468, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65393, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1173, 11, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65394, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1705, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65395, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 690, 10, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65396, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 43, 17, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65397, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 26, 23, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65398, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 72, 22, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65399, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 42, 18, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65400, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 58, 19, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65401, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 5, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65402, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 33, 17, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65403, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 972, 18, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65404, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65405, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 7, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65406, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65407, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 47, 7, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65408, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 112, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65409, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1756, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65410, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1689, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65411, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 829, 10, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65412, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 318, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65413, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 2134, 5, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65414, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 252, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65415, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 49, 7, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65416, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 332, 17, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65417, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 84, 14, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65418, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 374, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65419, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 186, 41, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65420, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1128, 12, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65421, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 148, 23, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65422, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 221, 38, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65423, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 153, 36, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65424, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 140, 32, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65425, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1468, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65426, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1173, 11, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65427, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 106, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65428, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 829, 10, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65429, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 532, 12, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65430, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1171, 12, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65431, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 17, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65432, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1139, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65433, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 596, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65434, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65435, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 176, 15, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65436, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 78, 21, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65437, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 164, 16, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65438, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 71, 21, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65439, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65440, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 7, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65441, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65442, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 112, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65443, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 47, 7, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65444, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 407, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65445, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 492, 19, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65446, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 931, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65447, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1490, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65448, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1376, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65449, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 972, 18, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65450, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1129, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65451, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1191, 8, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65452, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 8, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65453, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 31, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65454, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1056, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65455, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 33, 17, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65456, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 616, 42, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65457, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 7, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65458, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 318, 43, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65459, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 621, 46, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65460, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 8, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65461, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 26, 23, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65462, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 42, 18, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65463, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 58, 19, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65464, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 72, 22, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65465, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 43, 17, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65466, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 308, 5, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65467, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 502, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65468, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 399, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65469, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1127, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65470, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1926, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65471, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 2, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65472, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 24, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65473, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 5, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65474, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 1455, 4, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65475, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 76, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65476, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 124, 9, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65477, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 2854, 1, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65478, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 943, 11, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65479, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 277, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65480, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 257, 30, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65481, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1539, 2, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65482, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1689, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65483, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1756, 3, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65484, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 498, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65485, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 76, 21, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65486, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 99, 13, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65487, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 5, 6, 2023, 9, 22, '2024-08-05 14:00:57', NULL, NULL), (65488, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 534, 11, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65489, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 306, 63, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65490, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 190, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65491, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 327, 55, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65492, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 211, 91, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65493, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 0, 2, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65494, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 47, 12, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65495, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 534, 11, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65496, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (65497, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 281, 64, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65498, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 216, 17, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65499, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 0, 1, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65500, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 25, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65501, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 5513, 1, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65502, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 7, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65503, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65504, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 546, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65505, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 363, 35, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65506, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 21, 5, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65507, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 2, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65508, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 0, 1, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 190, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 363, 35, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 546, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 5513, 1, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 95, 2, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 61, 16, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 25, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 102, 12, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 263, 9, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 980, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 143, 5, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 75, 18, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 2878, 4, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 194, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 21, 5, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 127, 10, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65525, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 216, 17, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65526, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 363, 35, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65527, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 5513, 1, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65528, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 25, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65529, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 21, 5, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65530, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 546, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65531, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 263, 9, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65532, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 143, 5, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65533, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 25, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65534, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 194, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65535, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 546, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65536, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 5513, 1, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65537, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 363, 35, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65538, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 21, 5, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65539, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 25, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65540, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 5513, 1, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65541, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 95, 2, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65542, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 190, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65543, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 21, 5, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65544, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 194, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65545, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 143, 5, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65546, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 263, 9, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65547, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 546, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65548, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 2878, 4, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65549, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 980, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65550, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 363, 35, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65551, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 75, 18, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65552, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 102, 12, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65553, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 61, 16, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65554, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 127, 10, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65555, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 546, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65556, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 5513, 1, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65557, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 21, 5, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65558, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 194, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65559, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 25, 3, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65560, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 363, 35, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65561, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 143, 5, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65562, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 263, 9, 2023, 9, 23, '2024-08-05 14:00:58', NULL, NULL), (65563, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 46, 3, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65564, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 36, 2, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65565, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 21, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65566, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1294, 23, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65567, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 108, 2, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65568, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 17, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65569, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 157, 2, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65570, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1294, 23, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65571, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 14, 5, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65572, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 21, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65573, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 157, 2, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65574, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 72, 3, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65575, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 46, 3, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65576, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 17, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65577, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 21, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65578, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 108, 2, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65579, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 2, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65580, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 7, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65581, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 46, 3, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65582, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 32, 2, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65583, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 0, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 157, 2, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 137, 7, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 17, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 111, 2, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 21, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 65, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 46, 3, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 3797, 4, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 100, 2, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1649, 8, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 108, 2, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 7, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65596, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 21, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65597, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 108, 2, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65598, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 65, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65599, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 7, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65600, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 46, 3, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65601, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 7, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65602, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 21, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65603, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 65, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65604, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 46, 3, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65605, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 108, 2, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65606, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 65, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65607, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 157, 2, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65608, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1649, 8, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65609, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 3797, 4, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65610, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 100, 2, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65611, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 7, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65612, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 108, 2, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65613, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 46, 3, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65614, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 111, 2, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65615, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 137, 7, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65616, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 17, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65617, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 21, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65618, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 21, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65619, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 46, 3, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65620, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 7, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65621, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 65, 1, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65622, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 108, 2, 2023, 9, 24, '2024-08-05 14:00:59', NULL, NULL), (65623, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 96, 130, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65624, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 549, 78, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65625, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 395, 49, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65626, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 137, 253, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65627, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 500, 83, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65628, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 687, 448, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65629, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 188, 125, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65630, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 763, 90, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65631, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 516, 278, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65632, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 687, 448, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65633, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 441, 141, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65634, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 500, 83, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65635, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 747, 92, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65636, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 135, 257, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65637, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 96, 131, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65638, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 516, 278, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65639, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 188, 125, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65640, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 181, 28, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65641, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 96, 131, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65642, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 264, 50, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65643, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 483, 109, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65644, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 246, 7, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65645, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 259, 28, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65646, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 707, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65647, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 19, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65648, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1511, 16, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65649, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 155, 26, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65650, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 72, 24, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65651, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 537, 13, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65652, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 63, 7, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65653, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 72, 18, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65654, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 216, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65655, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 48, 7, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65656, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 46, 46, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65657, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 156, 119, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65658, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 480, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65659, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 245, 2, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65660, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 65, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65661, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 743, 93, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65662, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 1770, 22, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65663, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 11, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65664, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 26, 8, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 27, 5, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 89, 13, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 93, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 343, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 537, 13, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 259, 28, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 871, 61, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1100, 18, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 695, 15, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 819, 30, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1302, 5, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 617, 13, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 887, 26, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1203, 5, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 598, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 885, 43, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1942, 6, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 945, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 971, 50, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 571, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 634, 15, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 599, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 242, 17, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 192, 16, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 233, 24, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 269, 20, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 11, 14, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 17, 14, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 841, 50, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 90, 26, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 95, 22, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 208, 8, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 246, 20, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 104, 30, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 61, 23, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 44, 18, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1028, 39, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 2611, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 8, 6, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 90, 21, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 14, 21, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 114, 36, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 189, 5, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 35, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 322, 15, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 150, 10, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 249, 6, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 144, 22, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 41, 19, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 396, 39, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 235, 12, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 140, 16, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 318, 31, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 155, 26, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 4195, 7, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 129, 17, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 125, 7, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 134, 36, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 159, 28, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 1964, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 41, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 48, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 32, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 38, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 201, 17, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 58, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 180, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 10, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 98, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 170, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 175, 10, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 1636, 13, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 211, 10, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 486, 53, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 6, 16, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 2, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 21, 10, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 60, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 25, 8, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 36, 17, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 8, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 65, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 707, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 14, 2, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 264, 50, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 12, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 3, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 481, 56, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 578, 6, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1504, 7, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 802, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 552, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 815, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 565, 8, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1633, 8, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 147, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 481, 10, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 4, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 316, 6, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 17, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65765, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 537, 13, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65766, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1511, 16, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65767, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 216, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65768, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 65, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65769, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 246, 7, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65770, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 96, 130, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65771, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 72, 18, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65772, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 480, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65773, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 483, 109, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65774, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 264, 50, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65775, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 181, 28, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65776, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 155, 26, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65777, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 46, 46, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65778, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 26, 8, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65779, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 11, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65780, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 245, 2, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65781, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 707, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65782, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 743, 93, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65783, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 1770, 22, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65784, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 259, 28, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65785, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 147, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65786, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 175, 10, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65787, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 19, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65788, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 156, 119, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65789, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 48, 7, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65790, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 707, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65791, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 27, 5, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65792, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 89, 13, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65793, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 1964, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65794, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 1636, 13, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65795, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 537, 13, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65796, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 264, 50, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65797, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 90, 21, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65798, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 61, 23, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65799, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 208, 8, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65800, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 104, 30, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65801, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 90, 26, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65802, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 95, 22, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65803, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 3, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65804, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 12, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65805, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 14, 2, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65806, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 17, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65807, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 201, 17, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65808, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 211, 10, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65809, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 170, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65810, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 129, 17, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65811, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 147, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65812, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 19, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65813, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 65, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65814, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 316, 6, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65815, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 159, 28, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65816, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 134, 36, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65817, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 125, 7, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65818, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 4, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65819, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 98, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65820, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 245, 2, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65821, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 41, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65822, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 8, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65823, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 10, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65824, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 599, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65825, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 540, 8, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65826, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 235, 12, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65827, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 60, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65828, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 2, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65829, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 140, 16, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65830, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 117, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65831, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 343, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65832, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1633, 8, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65833, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 802, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65834, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 552, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65835, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 815, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65836, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 565, 8, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65837, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 38, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65838, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 58, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65839, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 48, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65840, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 481, 56, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65841, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 32, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65842, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 486, 53, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65843, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 180, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65844, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 175, 10, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65845, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1942, 6, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65846, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1302, 5, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65847, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1203, 5, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65848, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 598, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65849, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 945, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65850, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 571, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65851, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 155, 26, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65852, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 695, 15, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65853, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 617, 13, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65854, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 259, 28, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65855, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 21, 10, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65856, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 25, 8, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65857, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 6, 16, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65858, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 36, 17, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65859, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 65, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65860, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 12, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65861, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 3, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65862, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 14, 2, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65863, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1633, 8, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65864, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 565, 8, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65865, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 815, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65866, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1028, 39, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65867, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 841, 50, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65868, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 552, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65869, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 802, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65870, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 17, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65871, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 316, 6, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65872, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 44, 18, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65873, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 396, 39, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65874, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 201, 17, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65875, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1942, 6, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65876, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 170, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65877, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 211, 10, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65878, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 10, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65879, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1302, 5, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65880, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1203, 5, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65881, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 98, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65882, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 8, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65883, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 60, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65884, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 41, 19, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65885, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 2, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65886, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 144, 22, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65887, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 114, 36, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65888, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 14, 21, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65889, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 486, 53, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65890, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 481, 56, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65891, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 264, 50, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65892, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 707, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65893, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 318, 31, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65894, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 4195, 7, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65895, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 155, 26, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65896, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 537, 13, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65897, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 259, 28, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65898, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 235, 12, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65899, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 27, 5, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65900, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 140, 16, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65901, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 129, 17, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65902, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 89, 13, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65903, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 269, 20, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65904, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 159, 28, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65905, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 233, 24, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65906, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 125, 7, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65907, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 17, 14, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65908, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 93, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65909, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 343, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65910, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 11, 14, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65911, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 134, 36, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65912, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 945, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65913, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 192, 16, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65914, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 598, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65915, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 242, 17, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65916, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 617, 13, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65917, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 695, 15, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65918, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 246, 20, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65919, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 599, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65920, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 571, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65921, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1504, 7, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65922, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 578, 6, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65923, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 95, 22, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65924, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 208, 8, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (65925, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 90, 26, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65926, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 104, 30, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65927, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 61, 23, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65928, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 1636, 13, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65929, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 1964, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65930, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 90, 21, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65931, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 175, 10, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65932, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 32, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65933, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 38, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65934, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 41, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65935, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 48, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65936, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 58, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65937, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 180, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65938, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 481, 10, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65939, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 4, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65940, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 147, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65941, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 8, 6, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65942, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 249, 6, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65943, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 150, 10, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65944, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 2611, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65945, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 971, 50, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65946, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 189, 5, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65947, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 885, 43, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65948, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 887, 26, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65949, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 322, 15, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65950, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 819, 30, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65951, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 35, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65952, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1100, 18, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65953, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 871, 61, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65954, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 634, 15, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65955, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 599, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65956, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 571, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65957, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 27, 5, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65958, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 147, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65959, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 695, 15, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65960, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 598, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65961, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 617, 13, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65962, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 89, 13, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65963, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 945, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65964, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 2, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65965, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 125, 7, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65966, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 134, 36, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65967, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 159, 28, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65968, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 129, 17, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65969, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 48, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65970, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 41, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65971, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 38, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65972, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 32, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65973, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 180, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65974, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 58, 11, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65975, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 343, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65976, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 117, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65977, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 259, 28, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65978, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 802, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65979, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 815, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65980, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 175, 10, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65981, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 552, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65982, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1633, 8, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65983, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 565, 8, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65984, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 8, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65985, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 60, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65986, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 537, 13, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65987, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 90, 21, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65988, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 486, 53, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65989, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 10, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65990, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 264, 50, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65991, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 481, 56, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65992, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 98, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65993, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 208, 8, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65994, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 104, 30, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65995, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 61, 23, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65996, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 90, 26, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65997, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 95, 22, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65998, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 65, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (65999, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 316, 6, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66000, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 17, 3, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66001, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 707, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66002, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 3, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66003, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 12, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66004, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 14, 2, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66005, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 245, 2, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66006, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 140, 16, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66007, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 170, 4, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66008, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 211, 10, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66009, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 235, 12, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66010, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 19, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66011, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1203, 5, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66012, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 155, 26, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66013, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1942, 6, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66014, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 4, 1, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66015, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 540, 8, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66016, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1302, 5, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66017, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 201, 17, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66018, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 1636, 13, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66019, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 1964, 9, 2023, 9, 25, '2024-08-05 14:01:00', NULL, NULL), (66020, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 59, 116, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66021, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 120, 64, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66022, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1408, 51, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66023, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 238, 275, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66024, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 114, 427, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66025, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 874, 66, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66026, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 146, 109, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66027, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 757, 89, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66028, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 492, 217, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66029, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 114, 428, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66030, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 691, 115, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66031, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 874, 66, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66032, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 757, 89, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66033, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 238, 275, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66034, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 59, 116, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66035, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 488, 219, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66036, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 146, 109, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66037, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1945, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66038, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 56, 11, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66039, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 59, 116, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66040, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 250, 38, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66041, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 410, 100, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66042, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 145, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66043, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 190, 26, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66044, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 4, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66045, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 177, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66046, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2787, 16, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66047, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 166, 33, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66048, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 373, 19, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66049, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 606, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66050, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 5, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66051, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 832, 20, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66052, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 98, 8, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66053, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 977, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66054, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 32, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66055, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 589, 10, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66056, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 12, 31, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66057, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 202, 145, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66058, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 398, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66059, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 22, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66060, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 257, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66061, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 734, 70, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66062, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 13, 14, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66063, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 18, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66064, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66065, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 4, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 187, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 9, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 392, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 74, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 224, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1945, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 606, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 115, 19, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 87, 44, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 95, 12, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 918, 10, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 86, 16, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 663, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 149, 28, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 3183, 8, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1876, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 72, 40, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 151, 33, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2392, 8, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 769, 12, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 153, 39, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 599, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 107, 40, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 97, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 396, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 92, 22, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 146, 12, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 177, 16, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 73, 10, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 144, 11, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 28, 12, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 20, 13, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 118, 28, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 50, 27, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 64, 22, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 37, 9, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 498, 13, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 79, 18, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 80, 23, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 146, 27, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 101, 30, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 39, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 324, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 27, 17, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 41, 16, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 229, 21, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 721, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 376, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 412, 8, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 710, 15, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 5483, 9, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 46, 14, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 93, 33, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 51, 8, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 236, 32, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 69, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 211, 31, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 166, 33, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2097, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 211, 25, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 225, 20, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 171, 29, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 191, 33, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 18, 9, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 74, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 5, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 170, 20, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 101, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 914, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 407, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 373, 19, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 249, 16, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 4, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 78, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 436, 58, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 54, 10, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 132, 9, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 114, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 2, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 154, 11, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 200, 8, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 9, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 256, 37, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 3, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 374, 42, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1810, 14, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 2490, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 806, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 819, 14, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 696, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 369, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 667, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 832, 20, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 377, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 126, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 977, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66168, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 606, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66169, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2787, 16, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66170, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 977, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66171, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 257, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66172, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 145, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66173, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 59, 116, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66174, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 398, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66175, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 98, 8, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66176, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 32, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66177, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 410, 100, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66178, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 256, 37, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66179, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 56, 11, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66180, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 166, 33, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66181, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 12, 31, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66182, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66183, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 18, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66184, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 5, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66185, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 22, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66186, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 9, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66187, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 734, 70, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66188, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1945, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66189, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 13, 14, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66190, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 190, 26, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66191, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 832, 20, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66192, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 373, 19, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66193, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 177, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66194, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 202, 145, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66195, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 4, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66196, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 589, 10, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66197, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 9, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66198, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 187, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66199, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 9, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66200, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 18, 9, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66201, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 4, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66202, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 606, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66203, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 256, 37, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66204, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 27, 17, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66205, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 32, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66206, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 80, 23, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66207, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 37, 9, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66208, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 79, 18, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66209, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 50, 27, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66210, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 64, 22, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66211, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 3, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66212, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66213, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1945, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66214, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 170, 20, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66215, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 249, 16, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66216, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 407, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66217, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 211, 25, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66218, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 832, 20, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66219, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 177, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66220, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 257, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66221, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 977, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66222, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 191, 33, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66223, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 171, 29, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66224, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 225, 20, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66225, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 126, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66226, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 914, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66227, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 22, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66228, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 2, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66229, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66230, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 101, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66231, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E29', 5, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66232, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 466, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66233, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 396, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66234, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66235, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 51, 8, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66236, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 69, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66237, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 40, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66238, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 224, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66239, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 667, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66240, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 806, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66241, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 819, 14, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66242, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 696, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66243, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 369, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66244, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66245, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66246, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 74, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66247, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 374, 42, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66248, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 5, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66249, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 436, 58, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66250, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66251, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 78, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66252, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 373, 19, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66253, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E29', 4, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66254, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2392, 8, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66255, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 3183, 8, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66256, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1876, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66257, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 769, 12, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66258, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 599, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66259, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 166, 33, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66260, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 392, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66261, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 918, 10, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66262, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 663, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66263, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 115, 19, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66264, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 132, 9, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66265, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 114, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66266, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 78, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66267, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 54, 10, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66268, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 154, 11, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66269, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 200, 8, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66270, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 3, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66271, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66272, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 667, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66273, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 369, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66274, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 696, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66275, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 101, 30, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66276, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 819, 14, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66277, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 118, 28, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66278, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 806, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66279, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 977, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66280, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 146, 27, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66281, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 236, 32, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66282, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 170, 20, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66283, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2392, 8, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66284, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 407, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66285, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 249, 16, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66286, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 101, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66287, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 3183, 8, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66288, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 914, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66289, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 2, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66290, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 93, 33, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66291, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 46, 14, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66292, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66293, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 229, 21, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66294, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 41, 16, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66295, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 436, 58, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66296, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 374, 42, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66297, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 256, 37, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66298, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 9, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66299, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 211, 31, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66300, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2097, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66301, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 606, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66302, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 166, 33, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66303, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 51, 8, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66304, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 115, 19, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66305, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 187, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66306, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 69, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66307, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1945, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66308, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 211, 25, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66309, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 144, 11, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66310, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 9, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66311, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 191, 33, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66312, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 392, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66313, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 73, 10, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66314, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 74, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66315, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 20, 13, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66316, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 225, 20, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66317, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 28, 12, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66318, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 224, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66319, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 171, 29, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66320, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 92, 22, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66321, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 769, 12, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66322, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 177, 16, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66323, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1876, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66324, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 146, 12, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66325, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 663, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66326, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 918, 10, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66327, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 498, 13, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66328, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 396, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66329, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 599, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66330, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 2490, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66331, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1810, 14, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66332, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 64, 22, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66333, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 37, 9, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66334, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 50, 27, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66335, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 79, 18, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66336, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 80, 23, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66337, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (66338, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 18, 9, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66339, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 27, 17, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66340, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 373, 19, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66341, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66342, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66343, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66344, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 74, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66345, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66346, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66347, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 377, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66348, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 126, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66349, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 832, 20, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66350, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 324, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66351, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 5483, 9, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66352, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 710, 15, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66353, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 39, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66354, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 153, 39, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66355, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 151, 33, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66356, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 721, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66357, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 72, 40, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66358, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 149, 28, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66359, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 412, 8, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66360, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 86, 16, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66361, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 376, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66362, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 95, 12, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66363, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 87, 44, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66364, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 97, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66365, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 107, 40, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66366, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 396, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66367, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 599, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66368, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 187, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66369, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 832, 20, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66370, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 918, 10, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66371, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1876, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66372, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 663, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66373, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 9, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66374, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 769, 12, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66375, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66376, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 225, 20, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66377, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 171, 29, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66378, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 191, 33, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66379, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 211, 25, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66380, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 74, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66381, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66382, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66383, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66384, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66385, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66386, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 32, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66387, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 224, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66388, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 40, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66389, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 115, 19, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66390, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 392, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66391, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 806, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66392, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 696, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66393, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 819, 14, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66394, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 373, 19, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66395, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 667, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66396, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 369, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66397, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 2, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66398, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 606, 7, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66399, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 27, 17, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66400, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 436, 58, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66401, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 101, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66402, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 256, 37, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66403, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 374, 42, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66404, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 914, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66405, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 37, 9, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66406, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 79, 18, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66407, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 80, 23, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66408, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 50, 27, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66409, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 64, 22, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66410, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 257, 6, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66411, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 977, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66412, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 9, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66413, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1945, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66414, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 3, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66415, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66416, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 22, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66417, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 69, 3, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66418, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 407, 2, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66419, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 249, 16, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66420, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 51, 8, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66421, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 177, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66422, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 166, 33, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66423, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2392, 8, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66424, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 78, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66425, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 126, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66426, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 466, 4, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66427, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 3183, 8, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66428, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 170, 20, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66429, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E29', 4, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66430, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E29', 5, 1, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66431, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 5, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66432, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 18, 9, 2023, 9, 26, '2024-08-05 14:01:01', NULL, NULL), (66433, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 251, 117, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66434, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 252, 57, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66435, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 894, 62, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66436, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 173, 244, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66437, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 245, 50, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66438, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 267, 455, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66439, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 679, 83, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66440, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 124, 131, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66441, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 832, 274, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66442, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 267, 456, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66443, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 587, 119, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66444, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 245, 50, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66445, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 679, 83, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66446, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 173, 244, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66447, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 251, 117, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66448, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 826, 276, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66449, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 124, 131, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66450, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 64, 8, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66451, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 155, 36, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66452, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 251, 117, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66453, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 474, 124, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66454, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 304, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66455, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 150, 37, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66456, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 364, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66457, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 42, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66458, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2165, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66459, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 476, 29, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66460, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 644, 15, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66461, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 68, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66462, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 289, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66463, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 301, 4, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66464, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1106, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66465, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 313, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66466, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 33, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66467, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 118, 128, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66468, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 36, 30, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66469, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 235, 9, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66470, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1556, 99, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66471, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 383, 10, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66472, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 303, 12, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66473, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 11, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66474, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 3, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 600, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 3, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 16, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 239, 4, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 68, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 161, 34, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 356, 42, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 330, 17, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 246, 16, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1642, 12, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 367, 28, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2130, 14, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2165, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 288, 46, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 501, 21, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 333, 47, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 849, 9, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1574, 10, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 364, 57, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 179, 8, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1641, 18, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 134, 20, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 127, 14, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 110, 17, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 138, 14, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 194, 20, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 82, 18, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 83, 15, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 278, 34, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 156, 21, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 91, 19, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 160, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 90, 10, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 90, 23, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 156, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 20, 19, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 633, 30, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 350, 35, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 455, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 137, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 125, 17, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 43, 16, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 32, 28, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 41, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 22, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1141, 18, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1484, 20, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 262, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 45, 26, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 32, 15, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 382, 48, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 72, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 5, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 283, 14, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 476, 29, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1332, 12, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 109, 15, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 140, 20, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 102, 36, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 121, 28, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 26, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 40, 6, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 119, 17, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 13, 9, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 54, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 90, 6, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 33, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 142, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 644, 15, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 135, 10, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 396, 9, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 450, 54, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 90, 11, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 172, 6, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 22, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 109, 9, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 98, 15, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 372, 12, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 455, 4, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 155, 36, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 2, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 5, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 6, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 493, 70, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1278, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 4538, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1441, 8, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1298, 13, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1479, 8, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1899, 6, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 289, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 11, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 300, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 659, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 2221, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66574, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 68, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66575, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2165, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66576, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1106, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66577, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 383, 10, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66578, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 304, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66579, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 251, 117, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66580, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 301, 4, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66581, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 235, 9, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66582, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 313, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66583, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 474, 124, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66584, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 155, 36, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66585, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 64, 8, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66586, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 476, 29, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66587, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 36, 30, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66588, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 11, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66589, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 3, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66590, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 455, 4, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66591, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1572, 98, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66592, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 303, 12, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66593, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 150, 37, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66594, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 289, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66595, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 644, 15, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66596, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 42, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66597, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 118, 128, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66598, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 33, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66599, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 455, 4, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66600, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 600, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66601, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 3, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66602, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 26, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66603, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 396, 9, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66604, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 68, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66605, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 155, 36, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66606, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 125, 17, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66607, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 313, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66608, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 633, 30, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66609, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 160, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66610, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 90, 23, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66611, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 156, 21, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66612, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 91, 19, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66613, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 6, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66614, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 5, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66615, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 2, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66616, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 2221, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66617, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 119, 17, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66618, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 135, 10, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66619, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 142, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66620, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 109, 15, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66621, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 289, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66622, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 42, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66623, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 383, 10, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66624, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 659, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66625, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 121, 28, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66626, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 102, 36, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66627, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 140, 20, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66628, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 300, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66629, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 33, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66630, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66631, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66632, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 11, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66633, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1641, 18, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66634, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 72, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66635, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 22, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66636, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66637, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 5, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66638, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 304, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66639, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1899, 6, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66640, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1441, 8, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66641, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1298, 13, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66642, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1479, 8, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66643, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 13, 9, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66644, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 54, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66645, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66646, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 493, 70, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66647, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 450, 54, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66648, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 40, 6, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66649, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 90, 6, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66650, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 644, 15, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66651, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 2165, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66652, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 849, 9, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66653, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 476, 29, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66654, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1574, 10, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66655, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 16, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66656, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1642, 12, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66657, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2130, 14, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66658, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 161, 34, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66659, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 172, 6, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66660, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 109, 9, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66661, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 90, 11, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66662, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 98, 15, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66663, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 372, 12, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66664, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 5, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66665, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 6, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66666, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 2, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66667, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1899, 6, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66668, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1479, 8, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66669, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 350, 35, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66670, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1298, 13, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66671, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 278, 34, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66672, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1441, 8, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66673, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 2221, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66674, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 659, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66675, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 20, 19, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66676, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 382, 48, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66677, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 119, 17, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66678, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 142, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66679, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 135, 10, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66680, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 33, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66681, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2165, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66682, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66683, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 22, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66684, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 32, 15, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66685, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66686, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 45, 26, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66687, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 32, 28, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66688, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 450, 54, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66689, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 43, 16, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66690, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 493, 70, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66691, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 155, 36, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66692, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 455, 4, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66693, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 283, 14, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66694, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1332, 12, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66695, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 68, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66696, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 476, 29, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66697, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 72, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66698, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 161, 34, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66699, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 600, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66700, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 5, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66701, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 109, 15, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66702, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 194, 20, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66703, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 3, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66704, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 121, 28, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66705, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 16, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66706, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 138, 14, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66707, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 140, 20, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66708, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 83, 15, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66709, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 239, 4, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66710, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 82, 18, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66711, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 102, 36, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66712, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 134, 20, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66713, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 849, 9, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66714, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 156, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66715, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 110, 17, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66716, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 127, 14, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66717, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2130, 14, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66718, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1642, 12, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66719, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 90, 10, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66720, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1641, 18, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66721, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1574, 10, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66722, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 4538, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66723, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1278, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66724, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 91, 19, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66725, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 160, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66726, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 156, 21, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66727, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 90, 23, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66728, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 633, 30, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66729, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 396, 9, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66730, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 26, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66731, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 125, 17, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66732, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 644, 15, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66733, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 40, 6, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66734, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 13, 9, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66735, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66736, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66737, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 54, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66738, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 90, 6, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66739, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 11, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66740, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 300, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66741, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 289, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66742, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 137, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66743, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 262, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66744, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1484, 20, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66745, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 455, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66746, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 333, 47, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66747, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 501, 21, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66748, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 41, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66749, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 288, 46, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (66750, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 367, 28, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66751, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1141, 18, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66752, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 246, 16, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66753, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 22, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66754, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 330, 17, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66755, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 356, 42, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66756, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 179, 8, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66757, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 364, 57, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66758, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1641, 18, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66759, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1574, 10, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66760, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 600, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66761, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 289, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66762, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1642, 12, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66763, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2130, 14, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66764, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 3, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66765, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 849, 9, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66766, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66767, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 140, 20, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66768, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 102, 36, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66769, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 121, 28, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66770, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 109, 15, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66771, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66772, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66773, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 13, 9, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66774, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 40, 6, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66775, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 90, 6, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66776, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 54, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66777, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 313, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66778, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 304, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66779, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 161, 34, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66780, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 16, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66781, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1441, 8, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66782, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 644, 15, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66783, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1298, 13, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66784, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1899, 6, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66785, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1479, 8, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66786, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66787, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 22, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66788, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 68, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66789, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 125, 17, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66790, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 450, 54, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66791, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 155, 36, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66792, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 493, 70, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66793, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 33, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66794, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 160, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66795, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 90, 23, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66796, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 633, 30, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66797, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 156, 21, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66798, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 91, 19, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66799, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 383, 10, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66800, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 659, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66801, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 2221, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66802, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 455, 4, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66803, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 6, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66804, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 5, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66805, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 2, 5, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66806, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 5, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66807, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 142, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66808, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 135, 10, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66809, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 42, 1, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66810, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 72, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66811, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 476, 29, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66812, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 2165, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66813, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 300, 7, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66814, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 11, 2, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66815, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 119, 17, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66816, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 396, 9, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66817, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 26, 3, 2023, 9, 27, '2024-08-05 14:01:02', NULL, NULL), (66818, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 130, 106, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66819, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 140, 50, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66820, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 556, 31, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66821, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 215, 190, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66822, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 395, 45, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66823, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 130, 443, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66824, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 192, 97, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66825, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1368, 84, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66826, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1553, 239, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66827, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 130, 443, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66828, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 300, 81, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66829, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 395, 45, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66830, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1321, 87, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66831, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 213, 192, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66832, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 130, 106, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66833, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1553, 239, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66834, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 192, 97, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66835, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 513, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66836, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 61, 10, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66837, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 87, 36, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66838, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 130, 106, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66839, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1327, 86, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66840, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 169, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66841, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 122, 22, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66842, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 909, 9, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66843, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 309, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66844, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 144, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66845, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 261, 24, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66846, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 360, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66847, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 5, 4, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66848, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2748, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66849, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 2455, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66850, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 319, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66851, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 67, 13, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66852, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 7, 27, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66853, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 111, 99, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66854, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 541, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66855, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66856, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 577, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66857, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2587, 94, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66858, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 152, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66859, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66860, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 54, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 2455, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 421, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 225, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 513, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 5, 4, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 10, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 108, 32, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 155, 26, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 29, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 630, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 285, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2410, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 165, 30, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 3547, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 70, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 199, 27, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 794, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 53, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 138, 13, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2535, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 106, 39, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1798, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 149, 40, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 113, 32, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2802, 12, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 188, 13, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 112, 12, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 155, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 90, 11, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 283, 11, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 275, 13, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 393, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 115, 15, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 57, 20, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 62, 18, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 52, 10, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 98, 14, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 16, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 5, 20, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 261, 10, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 17, 22, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 34, 12, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 4, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 273, 4, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 522, 20, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 125, 36, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 221, 49, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 252, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 89, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 502, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 156, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1478, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 111, 44, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 89, 20, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 350, 33, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 210, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 24, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 186, 33, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 261, 24, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 7903, 12, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 137, 13, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 66, 14, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 77, 28, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 150, 22, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 44, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 5, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 11, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 5, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 46, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 14, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 8, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 141, 10, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 61, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 72, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 360, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 223, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 797, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 5, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1294, 46, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 24, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 75, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 26, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 35, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 577, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 909, 9, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 223, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 87, 36, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 38, 4, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 2, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1364, 40, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 281, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 504, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 6296, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 2354, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 3340, 9, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2631, 9, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2748, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 650, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 319, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66964, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 5, 4, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66965, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 144, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66966, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 319, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66967, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 577, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66968, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 169, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66969, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 130, 106, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66970, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 2455, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66971, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 650, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66972, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1327, 86, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66973, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 87, 36, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66974, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 61, 10, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66975, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 261, 24, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66976, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 7, 27, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66977, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66978, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 54, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66979, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 909, 9, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66980, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2587, 94, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66981, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 513, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66982, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 152, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66983, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 122, 22, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66984, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2748, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66985, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 360, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66986, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 309, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66987, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 111, 99, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66988, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 67, 13, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66989, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 909, 9, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66990, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 2455, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66991, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 44, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66992, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 797, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66993, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 5, 4, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66994, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 87, 36, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66995, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 522, 20, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66996, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 17, 22, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66997, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 52, 10, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66998, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 16, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (66999, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 57, 20, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67000, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 62, 18, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67001, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 2, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67002, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 38, 4, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67003, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 223, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67004, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 513, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67005, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 141, 10, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67006, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 46, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67007, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 223, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67008, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 137, 13, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67009, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2748, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67010, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 309, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67011, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 577, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67012, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 319, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67013, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 150, 22, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67014, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 77, 28, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67015, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 66, 14, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67016, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 650, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67017, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 72, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67018, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67019, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 5, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67020, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 61, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67021, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2802, 12, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67022, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67023, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 210, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67024, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 24, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67025, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67026, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 169, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67027, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2631, 9, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67028, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 6296, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67029, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 2354, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67030, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 3340, 9, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67031, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 14, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67032, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 8, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67033, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 11, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67034, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1364, 40, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67035, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 5, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67036, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1294, 46, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67037, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67038, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 5, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67039, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 360, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67040, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 53, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67041, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 285, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67042, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 70, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67043, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 3547, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67044, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 794, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67045, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2535, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67046, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 261, 24, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67047, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1798, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67048, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 421, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67049, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 630, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67050, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2410, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67051, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 10, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67052, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 75, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67053, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 26, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67054, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 5, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67055, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 24, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67056, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 35, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67057, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 577, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67058, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 38, 4, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67059, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 2, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67060, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 223, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67061, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2631, 9, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67062, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 3340, 9, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67063, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 34, 12, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67064, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 2354, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67065, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 115, 15, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67066, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 6296, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67067, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 319, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67068, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 5, 20, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67069, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 350, 33, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67070, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 46, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67071, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 141, 10, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67072, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 53, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67073, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 223, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67074, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 61, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67075, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 285, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67076, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 70, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67077, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 72, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67078, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67079, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 89, 20, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67080, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67081, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 111, 44, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67082, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67083, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 221, 49, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67084, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1294, 46, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67085, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 125, 36, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67086, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1364, 40, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67087, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 87, 36, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67088, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 909, 9, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67089, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 186, 33, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67090, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 7903, 12, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67091, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 5, 4, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67092, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 261, 24, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67093, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 10, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67094, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 210, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67095, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 24, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67096, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 2455, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67097, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 513, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67098, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 137, 13, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67099, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 283, 11, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67100, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 150, 22, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67101, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 421, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67102, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 90, 11, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67103, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 393, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67104, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 66, 14, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67105, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 275, 13, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67106, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 77, 28, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67107, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 225, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67108, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 188, 13, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67109, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2535, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67110, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 794, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67111, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 261, 10, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67112, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 155, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67113, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 3547, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67114, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 112, 12, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67115, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2410, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67116, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 630, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67117, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 98, 14, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67118, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2802, 12, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67119, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1798, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67120, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 504, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67121, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 281, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67122, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 62, 18, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67123, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 52, 10, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67124, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 57, 20, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67125, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 16, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67126, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 17, 22, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67127, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 797, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67128, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 44, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67129, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 522, 20, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67130, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 360, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67131, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67132, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 14, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67133, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 5, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67134, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 11, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67135, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 8, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67136, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67137, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 650, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67138, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2748, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67139, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 273, 4, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67140, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1478, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67141, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 156, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67142, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 4, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67143, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 106, 39, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67144, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 138, 13, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67145, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 252, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67146, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 199, 27, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67147, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 165, 30, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67148, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 29, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67149, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 502, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67150, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 89, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67151, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 155, 26, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67152, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 108, 32, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67153, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 113, 32, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67154, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 149, 40, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67155, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2802, 12, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67156, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1798, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67157, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 2455, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67158, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 630, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67159, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2748, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67160, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 3547, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67161, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2410, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67162, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2535, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (67163, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 794, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67164, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67165, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67166, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 66, 14, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67167, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 77, 28, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67168, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 150, 22, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67169, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 137, 13, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67170, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 11, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67171, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 5, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67172, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 14, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67173, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67174, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67175, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 8, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67176, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 169, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67177, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 10, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67178, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 421, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67179, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 6296, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67180, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 360, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67181, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 2354, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67182, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2631, 9, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67183, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 3340, 9, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67184, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67185, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 5, 4, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67186, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 522, 20, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67187, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1294, 46, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67188, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 61, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67189, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 87, 36, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67190, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1364, 40, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67191, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 72, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67192, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 52, 10, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67193, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 16, 16, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67194, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 17, 22, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67195, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 57, 20, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67196, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 62, 18, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67197, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 577, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67198, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 319, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67199, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 909, 9, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67200, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 513, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67201, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 2, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67202, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 38, 4, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67203, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 223, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67204, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 24, 8, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67205, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 223, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67206, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 309, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67207, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 210, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67208, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 70, 2, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67209, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 261, 24, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67210, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 53, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67211, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 5, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67212, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 650, 5, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67213, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 285, 3, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67214, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 46, 7, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67215, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 141, 10, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67216, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 797, 1, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67217, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 44, 6, 2023, 9, 28, '2024-08-05 14:01:03', NULL, NULL), (67218, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 41, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67219, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 10, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67220, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 298, 27, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67221, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1465, 75, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67222, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 337, 13, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67223, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1408, 78, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67224, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 10, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67225, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 287, 28, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67226, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 41, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67227, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 292, 15, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67228, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 94, 4, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67229, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 350, 17, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67230, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67231, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 41, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67232, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 446, 9, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67233, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 10, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67234, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 211, 10, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67235, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 0, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 350, 17, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 31, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 269, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 35, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 211, 10, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 10, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 79, 12, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 2846, 36, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 43, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 201, 13, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 41, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 417, 7, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 446, 9, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 134, 7, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67250, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 446, 9, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67251, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 350, 17, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67252, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 10, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67253, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 211, 10, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67254, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 94, 4, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67255, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 41, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67256, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 41, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67257, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 269, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67258, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 35, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67259, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 350, 17, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67260, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 211, 10, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67261, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 31, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67262, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 43, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67263, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 446, 9, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67264, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 10, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67265, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 350, 17, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67266, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 10, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67267, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 41, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67268, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 211, 10, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67269, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 35, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67270, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 269, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67271, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 31, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67272, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 134, 7, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67273, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 79, 12, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67274, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 2846, 36, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67275, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 446, 9, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67276, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 43, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67277, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 417, 7, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67278, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 201, 13, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67279, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 41, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67280, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 350, 17, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67281, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 269, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67282, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 31, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67283, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 446, 9, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67284, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 10, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67285, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 35, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67286, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 211, 10, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67287, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 43, 1, 2023, 10, 3, '2024-08-05 14:01:08', NULL, NULL), (67288, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 757, 16, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67289, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 343, 67, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67290, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 355, 11, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67291, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 241, 16, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67292, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 333, 69, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67293, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 227, 17, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67294, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 757, 16, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67295, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 279, 14, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67296, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 342, 6, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67297, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 637, 9, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67298, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 3, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67299, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 370, 5, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67300, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 16, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67301, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1559, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67302, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 268, 4, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 370, 5, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 241, 16, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 161, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 637, 9, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 3738, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 268, 4, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1559, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 16, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 395, 18, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 520, 26, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 445, 4, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 129, 10, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 53, 8, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 115, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 131, 5, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67318, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1559, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67319, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 370, 5, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67320, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 16, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67321, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 637, 9, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67322, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 342, 6, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67323, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 268, 4, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67324, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 115, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67325, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1559, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67326, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 637, 9, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67327, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 161, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67328, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 268, 4, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67329, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 445, 4, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67330, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 370, 5, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67331, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 16, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67332, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 637, 9, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67333, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 3738, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67334, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 241, 16, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67335, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 268, 4, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67336, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1559, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67337, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 16, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67338, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 115, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67339, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 161, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67340, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 131, 5, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67341, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 395, 18, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67342, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 520, 26, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67343, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 370, 5, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67344, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 445, 4, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67345, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 53, 8, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67346, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 129, 10, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67347, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 115, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67348, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 637, 9, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67349, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 161, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67350, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1559, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67351, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 370, 5, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67352, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 16, 1, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67353, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 268, 4, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67354, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 445, 4, 2023, 10, 4, '2024-08-05 14:01:10', NULL, NULL), (67355, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 7623, 2, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67356, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 278, 8, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67357, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 504, 27, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67358, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 299, 9, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67359, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 286, 6, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67360, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 425, 32, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67361, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 269, 10, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67362, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 278, 8, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67363, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 7623, 2, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67364, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 286, 6, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67365, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 7, 1, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67366, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 650, 3, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67367, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 7623, 2, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67368, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 40, 2, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67369, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 342, 5, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67370, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 65, 3, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 299, 9, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 650, 3, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 82, 4, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 52, 8, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 7623, 2, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 3, 1, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 939, 9, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 7, 1, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 65, 3, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 40, 2, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 342, 5, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 884, 5, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67383, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 342, 5, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67384, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 650, 3, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67385, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 65, 3, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67386, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 7, 1, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67387, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 7623, 2, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67388, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 40, 2, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67389, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 40, 2, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67390, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 650, 3, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67391, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 7, 1, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67392, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 342, 5, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67393, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 7623, 2, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67394, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 65, 3, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67395, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 650, 3, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67396, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 299, 9, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67397, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 40, 2, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67398, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 65, 3, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67399, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 7, 1, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67400, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 884, 5, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67401, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 939, 9, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67402, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 3, 1, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67403, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 342, 5, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67404, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 52, 8, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67405, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 7623, 2, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67406, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 82, 4, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67407, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 7623, 2, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67408, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 650, 3, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67409, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 65, 3, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67410, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 342, 5, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67411, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 7, 1, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67412, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 40, 2, 2023, 10, 5, '2024-08-05 14:01:14', NULL, NULL), (67413, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 1494, 4, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67414, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 179, 51, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67415, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 40, 6, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67416, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1612, 25, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67417, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 175, 52, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67418, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 1, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67419, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1612, 25, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67420, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 1494, 4, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67421, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 40, 6, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67422, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 0, 1, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67423, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 7, 1, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67424, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 88, 2, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67425, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 40, 6, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67426, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 5795, 1, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1612, 25, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 7, 1, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 19, 8, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 62, 2, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 5, 8, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 314, 28, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 6, 4, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 5795, 1, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 88, 2, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 3, 1, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 40, 6, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67438, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 40, 6, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67439, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 7, 1, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67440, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 5795, 1, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67441, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 88, 2, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67442, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 5795, 1, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67443, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 88, 2, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67444, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 7, 1, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67445, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 40, 6, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67446, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 7, 1, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67447, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1612, 25, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67448, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 6, 4, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67449, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 314, 28, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67450, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 5, 8, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67451, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 40, 6, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67452, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 62, 2, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67453, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 5795, 1, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67454, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 19, 8, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67455, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 88, 2, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67456, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 3, 1, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67457, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 7, 1, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67458, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 40, 6, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67459, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 5795, 1, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67460, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 88, 2, 2023, 10, 6, '2024-08-05 14:01:18', NULL, NULL), (67461, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 178, 167, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67462, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 449, 38, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67463, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 218, 44, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67464, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 287, 345, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67465, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 263, 570, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67466, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 390, 73, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67467, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1279, 133, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67468, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 73, 154, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67469, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 2165, 309, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67470, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 263, 570, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67471, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 325, 82, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67472, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 374, 76, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67473, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1279, 133, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67474, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 287, 345, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67475, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 177, 168, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67476, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2165, 309, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67477, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 73, 154, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67478, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 94, 16, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67479, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 177, 168, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67480, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 242, 39, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67481, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 2637, 195, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67482, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 348, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67483, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 167, 40, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67484, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1267, 9, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67485, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 310, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67486, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1393, 13, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67487, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 246, 48, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67488, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 199, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67489, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67490, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 9, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67491, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 55, 11, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67492, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 247, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67493, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 219, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67494, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 174, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67495, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 9, 25, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67496, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 348, 172, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67497, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 691, 11, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67498, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 94, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67499, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2414, 55, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67500, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 2579, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67501, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67502, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 39, 10, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 132, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 12, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 183, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 402, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 215, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 164, 33, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 221, 32, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 245, 41, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 263, 30, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2392, 11, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 376, 40, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 853, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 672, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 215, 32, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1237, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 262, 34, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2225, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2700, 9, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 201, 47, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 6028, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 162, 40, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 305, 28, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 604, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 79, 15, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 50, 12, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 108, 19, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 57, 22, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 99, 13, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 60, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 30, 19, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 349, 12, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 140, 35, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 116, 32, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 223, 30, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 100, 16, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 153, 22, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 77, 18, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 220, 28, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 345, 43, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 286, 37, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 9, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 10, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 249, 20, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 141, 33, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 288, 38, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 22, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 5, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 523, 11, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 346, 9, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 117, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 241, 36, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 71, 16, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 333, 47, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 61, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1331, 66, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 109, 11, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1244, 54, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 246, 48, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2173, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 247, 21, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 239, 29, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 217, 27, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 278, 34, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 7, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 6, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 11, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 314, 28, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 6, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 582, 27, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 18, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 8, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 507, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 199, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3094, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 1324, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (67580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 43, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 2636, 113, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 296, 19, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 170, 17, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 182, 16, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 216, 22, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 125, 8, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1267, 9, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 5, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 242, 39, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 19, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 233, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 2639, 82, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 835, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 200, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 2415, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 2648, 8, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1317, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2150, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 9, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 209, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 872, 8, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 247, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67605, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1393, 13, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67606, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 247, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67607, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 94, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67608, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 348, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67609, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 178, 167, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67610, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 691, 11, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67611, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 55, 11, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67612, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 219, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67613, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 2637, 195, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67614, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 242, 39, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67615, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 94, 16, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67616, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 246, 48, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67617, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 9, 25, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67618, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67619, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 39, 10, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67620, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1267, 9, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67621, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2414, 55, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67622, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 2579, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67623, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 167, 40, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67624, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 9, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67625, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 199, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67626, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 310, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67627, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 348, 172, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67628, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 174, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67629, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1267, 9, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67630, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 132, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67631, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 12, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67632, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 7, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67633, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3094, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67634, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 242, 39, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67635, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 249, 20, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67636, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 219, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67637, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 220, 28, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67638, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 223, 30, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67639, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 153, 22, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67640, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 140, 35, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67641, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 116, 32, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67642, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 233, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67643, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 19, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67644, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 5, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67645, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 582, 27, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67646, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 314, 28, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67647, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 1324, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67648, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 247, 21, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67649, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 9, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67650, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 310, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67651, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 94, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67652, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 247, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67653, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 278, 34, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67654, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 217, 27, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67655, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 239, 29, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67656, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 872, 8, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67657, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 507, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67658, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 6, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67659, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67660, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 8, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67661, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 209, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67662, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 604, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67663, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 61, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67664, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67665, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 109, 11, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67666, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 402, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67667, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 26, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67668, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2150, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67669, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 2415, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67670, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 2648, 8, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67671, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1317, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67672, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67673, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 6, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67674, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67675, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 2639, 82, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67676, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 11, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67677, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 2636, 113, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67678, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 18, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67679, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 43, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67680, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 199, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67681, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2225, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67682, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 853, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67683, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1237, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67684, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 672, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67685, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2700, 9, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67686, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 6028, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67687, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 246, 48, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67688, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 183, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67689, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2392, 11, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67690, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 164, 33, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67691, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 170, 17, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67692, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 182, 16, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67693, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 43, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67694, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 296, 19, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67695, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 216, 22, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67696, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 125, 8, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67697, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 19, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67698, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 233, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67699, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 5, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67700, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2150, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67701, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1317, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67702, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 286, 37, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67703, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 349, 12, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67704, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 2648, 8, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67705, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 2415, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67706, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 247, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67707, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 345, 43, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67708, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1331, 66, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67709, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 314, 28, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67710, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 582, 27, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67711, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2225, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67712, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 1324, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67713, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 8, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67714, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 853, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67715, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 507, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67716, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1237, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67717, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67718, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 333, 47, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67719, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67720, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 241, 36, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67721, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 288, 38, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67722, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 141, 33, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67723, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 2636, 113, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67724, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 2639, 82, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67725, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 242, 39, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67726, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1267, 9, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67727, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1244, 54, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67728, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2173, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67729, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 246, 48, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67730, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 61, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67731, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 164, 33, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67732, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 109, 11, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67733, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 132, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67734, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 247, 21, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67735, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 12, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67736, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 99, 13, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67737, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 278, 34, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67738, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 57, 22, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67739, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 183, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67740, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 30, 19, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67741, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 239, 29, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67742, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 402, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67743, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 215, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67744, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 60, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67745, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 217, 27, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67746, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 79, 15, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67747, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2700, 9, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67748, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 77, 18, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67749, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 672, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67750, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 108, 19, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67751, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 50, 12, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67752, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2392, 11, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67753, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 100, 16, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67754, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 71, 16, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67755, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 604, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67756, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 6028, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67757, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 200, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67758, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 835, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67759, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 116, 32, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67760, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 223, 30, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67761, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 140, 35, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67762, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 153, 22, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67763, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 220, 28, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67764, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3094, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67765, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 7, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67766, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 249, 20, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67767, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 199, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67768, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 11, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67769, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67770, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 6, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67771, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67772, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67773, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 18, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67774, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 209, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67775, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 872, 8, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67776, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 9, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67777, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 10, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67778, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 117, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67779, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 346, 9, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67780, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 9, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67781, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 201, 47, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67782, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 262, 34, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67783, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 22, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67784, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 215, 32, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67785, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 376, 40, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67786, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 523, 11, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67787, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 263, 30, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67788, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 5, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67789, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 245, 41, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67790, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 221, 32, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67791, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 305, 28, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67792, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 162, 40, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67793, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 604, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67794, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 6028, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67795, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 132, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67796, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 9, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67797, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 672, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67798, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2392, 11, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67799, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 12, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67800, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2700, 9, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67801, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67802, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 239, 29, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67803, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 217, 27, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67804, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 278, 34, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67805, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 247, 21, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67806, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67807, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 6, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67808, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67809, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 11, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67810, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 18, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67811, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67812, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 219, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67813, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 26, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67814, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 402, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67815, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 164, 33, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67816, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 183, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67817, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 2415, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67818, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 199, 7, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67819, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 2648, 8, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67820, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2150, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67821, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1317, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67822, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67823, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 249, 20, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67824, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 2636, 113, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67825, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 8, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67826, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 242, 39, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67827, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 2639, 82, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67828, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 507, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67829, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 223, 30, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67830, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 153, 22, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67831, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 220, 28, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67832, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 140, 35, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67833, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 116, 32, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67834, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 94, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67835, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 247, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67836, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1267, 9, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67837, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 233, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67838, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 19, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67839, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 5, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67840, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 109, 11, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67841, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 1324, 6, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67842, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 310, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67843, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 61, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67844, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 246, 48, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67845, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1237, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67846, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2225, 4, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67847, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 43, 2, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67848, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 872, 8, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67849, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 209, 3, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67850, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 853, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67851, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 314, 28, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67852, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 582, 27, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67853, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3094, 5, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67854, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 7, 1, 2023, 10, 7, '2024-08-05 14:01:22', NULL, NULL), (67855, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 131, 165, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67856, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 164, 48, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67857, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 324, 43, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67858, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 241, 336, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67859, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 376, 104, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67860, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 281, 473, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67861, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 284, 332, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67862, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 454, 83, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67863, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1988, 426, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67864, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 281, 473, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67865, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 239, 91, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67866, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 376, 104, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67867, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 454, 83, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67868, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 240, 337, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67869, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 131, 165, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67870, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1988, 426, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67871, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 284, 332, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67872, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1091, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67873, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 118, 12, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67874, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 429, 63, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67875, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 131, 165, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67876, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 2637, 260, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67877, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 338, 10, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67878, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 318, 48, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67879, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 106, 9, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67880, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 8, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67881, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 902, 16, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67882, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 171, 29, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67883, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '', 3, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67884, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 470, 11, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67885, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 273, 12, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67886, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 901, 4, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67887, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 105, 16, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67888, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 240, 7, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67889, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 97, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67890, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 37, 31, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67891, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 129, 181, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67892, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1625, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67893, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67894, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 50, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67895, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1663, 79, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67896, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 259, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67897, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 28, 12, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67898, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 19, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 122, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 89, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 113, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 6, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 421, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1091, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 273, 12, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 360, 40, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 304, 24, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 345, 31, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 367, 2, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 276, 33, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1236, 9, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 126, 11, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 996, 5, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1726, 9, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 794, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 391, 35, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 131, 21, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 885, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2239, 10, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 356, 49, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2152, 10, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 377, 35, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 455, 24, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2017, 5, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 222, 32, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 321, 24, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 289, 28, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 350, 48, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 371, 38, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 144, 34, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 66, 24, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 496, 24, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 89, 31, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 94, 20, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 69, 24, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 336, 32, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 360, 30, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 101, 30, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 334, 37, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 189, 35, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 441, 28, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 10, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 87, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 58, 28, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 105, 25, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 63, 28, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 28, 4, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 59, 2, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 479, 15, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 500, 11, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 230, 2, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 294, 37, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 79, 32, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 232, 38, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 168, 39, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 69, 2, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 128, 10, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 338, 36, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 171, 29, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 3024, 5, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 144, 31, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 157, 21, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 116, 45, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 120, 29, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 4, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 7, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 63, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 160, 30, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 77, 9, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 83, 25, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 5, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 116, 5, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 5, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 470, 11, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 259, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 118, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 2830, 123, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 3, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 804, 14, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 194, 20, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 46, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 507, 24, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 315, 19, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 50, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 106, 9, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 7, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 429, 63, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 39, 5, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 2463, 137, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 3343, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 238, 2, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1489, 16, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1130, 10, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1864, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (67998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 901, 4, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (67999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 13, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1855, 7, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 92, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 1127, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68003, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 273, 12, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68004, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 902, 16, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68005, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 240, 7, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68006, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 50, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68007, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 338, 10, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68008, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 131, 165, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68009, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1625, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68010, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 105, 16, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68011, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 2637, 260, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68012, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 429, 63, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68013, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 118, 12, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68014, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 171, 29, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68015, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 37, 31, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68016, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 19, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68017, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 28, 12, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68018, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 106, 9, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68019, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1663, 79, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68020, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1091, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68021, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 259, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68022, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 318, 48, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68023, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 901, 4, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68024, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 470, 11, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68025, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '', 3, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68026, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 8, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68027, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 129, 181, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68028, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 97, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68029, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 106, 9, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68030, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 122, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68031, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 89, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68032, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 259, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68033, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 273, 12, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68034, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 429, 63, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68035, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 58, 28, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68036, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 101, 30, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68037, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 69, 24, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68038, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 336, 32, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68039, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 89, 31, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68040, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 94, 20, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68041, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 39, 5, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68042, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68043, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 1127, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68044, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1091, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68045, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 83, 25, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68046, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 160, 30, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68047, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 144, 31, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68048, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 901, 4, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68049, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 8, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68050, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 50, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68051, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 92, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68052, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 120, 29, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68053, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 116, 45, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68054, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 157, 21, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68055, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1855, 7, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68056, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 5, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68057, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68058, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68059, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 116, 5, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68060, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 13, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68061, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2017, 5, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68062, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 3, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68063, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 69, 2, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68064, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68065, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 128, 10, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68066, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 46, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68067, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 6, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68068, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 480, 7, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68069, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1864, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68070, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1489, 16, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68071, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1130, 10, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68072, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 63, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68073, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 77, 9, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68074, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 4, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68075, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 2463, 137, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68076, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 7, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68077, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 2830, 123, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68078, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 5, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68079, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 118, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68080, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 470, 11, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68081, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 885, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68082, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 996, 5, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68083, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 794, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68084, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1726, 9, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68085, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2239, 10, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68086, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 171, 29, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68087, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2152, 10, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68088, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 113, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68089, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 367, 2, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68090, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1236, 9, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68091, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 360, 40, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68092, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '2E29', 3, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68093, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 194, 20, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68094, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 507, 24, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68095, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 118, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68096, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 804, 14, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68097, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 315, 19, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68098, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 50, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68099, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 39, 5, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68100, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 7, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68101, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1864, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68102, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1130, 10, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68103, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 441, 28, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68104, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1489, 16, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68105, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 496, 24, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68106, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 1127, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68107, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 92, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68108, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 189, 35, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68109, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 168, 39, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68110, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 160, 30, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68111, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 83, 25, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68112, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 885, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68113, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 116, 5, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68114, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 996, 5, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68115, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 5, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68116, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 794, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68117, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68118, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68119, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 232, 38, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68120, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 79, 32, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68121, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 46, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68122, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 3, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68123, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 63, 28, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68124, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 105, 25, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68125, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 2830, 123, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68126, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 2463, 137, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68127, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 429, 63, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68128, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 106, 9, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68129, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 338, 36, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68130, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 3024, 5, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68131, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 273, 12, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68132, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 171, 29, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68133, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 360, 40, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68134, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 69, 2, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68135, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 128, 10, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68136, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 122, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68137, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1091, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68138, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 144, 31, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68139, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 371, 38, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68140, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 120, 29, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68141, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 89, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68142, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 113, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68143, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 350, 48, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68144, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 6, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68145, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 66, 24, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68146, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 157, 21, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68147, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 144, 34, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68148, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 421, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68149, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 116, 45, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68150, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2239, 10, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68151, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 222, 32, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68152, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 334, 37, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68153, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 289, 28, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68154, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1726, 9, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68155, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1236, 9, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68156, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 321, 24, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68157, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 367, 2, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68158, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 360, 30, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68159, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 294, 37, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68160, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2017, 5, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68161, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2152, 10, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68162, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 238, 2, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68163, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 3343, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68164, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 94, 20, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68165, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 69, 24, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68166, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 89, 31, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68167, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 336, 32, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68168, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 101, 30, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68169, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 259, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68170, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 58, 28, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68171, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 470, 11, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68172, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68173, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 63, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68174, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68175, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 4, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68176, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 77, 9, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68177, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68178, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 13, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68179, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1855, 7, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68180, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 901, 4, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68181, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 87, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68182, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 230, 2, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68183, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 500, 11, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68184, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 10, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68185, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 356, 49, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68186, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 131, 21, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68187, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 28, 4, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68188, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 391, 35, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68189, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 126, 11, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68190, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 479, 15, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68191, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 276, 33, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68192, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 59, 2, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68193, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 345, 31, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68194, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 304, 24, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68195, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 455, 24, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68196, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 377, 35, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68197, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2017, 5, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68198, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2152, 10, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68199, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 122, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68200, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 901, 4, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68201, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 367, 2, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68202, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1726, 9, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68203, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1236, 9, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68204, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2239, 10, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68205, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 89, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68206, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 46, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68207, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 3, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68208, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 157, 21, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68209, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 116, 45, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68210, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 120, 29, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68211, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 144, 31, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68212, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 4, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68213, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68214, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 63, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68215, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68216, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68217, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 77, 9, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68218, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 480, 7, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68219, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 6, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68220, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 360, 40, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68221, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 113, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68222, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 470, 11, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68223, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1489, 16, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68224, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1864, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68225, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1130, 10, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68226, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68227, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68228, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 273, 12, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68229, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 58, 28, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68230, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 2830, 123, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68231, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 116, 5, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68232, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 429, 63, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68233, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 2463, 137, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68234, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 5, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68235, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 69, 24, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68236, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 336, 32, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68237, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 101, 30, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68238, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 89, 31, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68239, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 94, 20, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68240, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 50, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68241, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 92, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68242, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 1127, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68243, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 106, 9, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68244, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '2E29', 3, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68245, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1091, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68246, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 39, 5, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68247, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68248, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 128, 10, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68249, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 8, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68250, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 69, 2, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68251, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 171, 29, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68252, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 794, 3, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68253, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 885, 8, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68254, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 118, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68255, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1855, 7, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68256, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 13, 1, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68257, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 996, 5, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68258, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 160, 30, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68259, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 83, 25, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68260, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 259, 6, 2023, 10, 8, '2024-08-05 14:01:26', NULL, NULL), (68261, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 338, 169, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68262, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 215, 69, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68263, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 650, 36, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68264, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 226, 323, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68265, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 578, 86, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68266, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 141, 516, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68267, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 245, 215, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68268, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 446, 86, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68269, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1298, 315, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68270, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 141, 518, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68271, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 364, 105, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68272, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 571, 87, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68273, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 436, 88, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68274, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 226, 323, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68275, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 338, 169, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68276, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1298, 315, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68277, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 245, 215, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68278, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 1, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68279, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 253, 19, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68280, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 340, 58, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68281, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 338, 169, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68282, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1682, 164, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68283, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 534, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68284, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 103, 37, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68285, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 3, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68286, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 168, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68287, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1185, 17, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68288, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 345, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68289, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 681, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68290, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2878, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68291, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 538, 8, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68292, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 90, 15, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68293, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 152, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68294, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 170, 1, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68295, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1089, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68296, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 37, 51, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68297, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 117, 176, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68298, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 790, 9, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68299, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 9, 1, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68300, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 353, 6, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68301, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1504, 75, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68302, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 775, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68303, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 181, 6, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68304, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 12, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 93, 6, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 87, 9, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 116, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 63, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 665, 6, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 2878, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1623, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 97, 26, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 153, 41, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 155, 41, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 168, 55, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 924, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1204, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 221, 35, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2692, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1449, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 148, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 895, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 179, 54, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1659, 8, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 135, 41, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1459, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 147, 18, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 153, 29, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 924, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 245, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 188, 14, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 179, 16, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 418, 26, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 121, 20, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 18, 18, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 121, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 204, 16, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 402, 30, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 340, 35, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 256, 28, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 415, 28, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 409, 26, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 73, 29, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 183, 31, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 190, 24, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 13, 1, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 14, 6, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 436, 29, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 140, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 40, 29, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 522, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 309, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1150, 9, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 704, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 990, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 29, 22, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 229, 35, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 95, 27, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 221, 33, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 342, 10, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 154, 9, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 365, 35, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 345, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 694, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 127, 30, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 124, 24, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 76, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 104, 28, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 59, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 40, 8, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 30, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 107, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 40, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 130, 30, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 26, 10, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 144, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 18, 13, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 65, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 1771, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 681, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 1311, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1619, 89, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 469, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 7, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 86, 17, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 449, 20, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 8, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 51, 12, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 327, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 3, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 21, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 340, 58, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 784, 1, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 87, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1757, 75, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1079, 15, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 610, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 2190, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1166, 10, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1876, 9, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 538, 8, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 18, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 885, 8, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 152, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68407, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 2878, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68408, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1185, 17, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68409, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 152, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68410, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 353, 6, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (68411, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 534, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68412, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 338, 169, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68413, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 90, 15, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68414, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 790, 9, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68415, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 170, 1, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68416, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1682, 164, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68417, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 340, 58, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68418, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 253, 19, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68419, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 345, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68420, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 37, 51, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68421, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 7, 12, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68422, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 181, 6, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68423, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 9, 1, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68424, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 3, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68425, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1504, 75, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68426, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 775, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68427, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 103, 37, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68428, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 538, 8, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68429, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 681, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68430, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 168, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68431, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 117, 176, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68432, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1089, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68433, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 3, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68434, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 93, 6, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68435, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 87, 9, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68436, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 59, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68437, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 1311, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68438, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 2878, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68439, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 340, 58, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68440, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 436, 29, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68441, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 170, 1, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68442, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 183, 31, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68443, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 340, 35, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68444, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 415, 28, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68445, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 204, 16, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68446, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 402, 30, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68447, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 87, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68448, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 784, 1, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68449, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 21, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68450, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 144, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68451, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 130, 30, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68452, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 127, 30, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68453, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 538, 8, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68454, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 168, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68455, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 353, 6, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68456, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 152, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68457, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 104, 28, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68458, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 76, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68459, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 124, 24, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68460, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 885, 8, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68461, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 1771, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68462, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 9, 1, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68463, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 8, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68464, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 40, 8, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68465, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 65, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68466, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 28, 1, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68467, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 924, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68468, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68469, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 342, 10, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68470, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68471, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1623, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68472, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 154, 9, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68473, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 7, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68474, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 63, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68475, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1162, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68476, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1876, 9, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68477, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 610, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68478, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 2190, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68479, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1166, 10, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68480, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 40, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68481, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 26, 10, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68482, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 30, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68483, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1757, 75, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68484, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 107, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68485, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1619, 89, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68486, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 18, 13, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68487, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 681, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68488, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 895, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68489, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1204, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68490, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1449, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68491, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2692, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68492, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1659, 8, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68493, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 345, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68494, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1459, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68495, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 116, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68496, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 924, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68497, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 97, 26, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68498, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 86, 17, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68499, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 449, 20, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68500, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 469, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68501, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 51, 12, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68502, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 327, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68503, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 784, 1, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68504, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 87, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68505, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 21, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68506, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1876, 9, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68507, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1166, 10, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68508, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 190, 24, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68509, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 2190, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68510, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 121, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68511, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 610, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68512, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 152, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68513, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 73, 29, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68514, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 221, 33, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68515, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 130, 30, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68516, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 144, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68517, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 895, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68518, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 65, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68519, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1204, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68520, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 1771, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68521, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1449, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68522, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 8, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68523, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68524, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 95, 27, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68525, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 29, 22, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68526, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 7, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68527, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68528, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 40, 29, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68529, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 140, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68530, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1619, 89, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68531, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1757, 75, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68532, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 340, 58, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68533, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 3, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68534, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 365, 35, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68535, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 694, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68536, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 345, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68537, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 2878, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68538, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 97, 26, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68539, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 342, 10, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68540, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 93, 6, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68541, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 154, 9, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68542, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 127, 30, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68543, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 87, 9, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68544, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 418, 26, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68545, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 104, 28, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68546, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 179, 16, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68547, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 116, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68548, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 63, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68549, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 124, 24, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68550, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 18, 18, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68551, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 121, 20, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68552, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 665, 6, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68553, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 76, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68554, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 245, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68555, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1659, 8, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68556, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 409, 26, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68557, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2692, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68558, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 188, 14, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68559, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 924, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68560, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 256, 28, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68561, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 229, 35, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68562, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 924, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68563, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1459, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68564, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1623, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68565, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1079, 15, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68566, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 402, 30, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68567, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 340, 35, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68568, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 204, 16, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68569, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 415, 28, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68570, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 183, 31, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68571, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 1311, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68572, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 59, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68573, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 436, 29, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68574, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 681, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68575, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 107, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68576, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 40, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68577, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 40, 8, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68578, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 30, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68579, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 26, 10, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68580, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 18, 13, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68581, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 18, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68582, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 885, 8, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68583, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 538, 8, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68584, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 14, 6, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68585, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 990, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68586, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 704, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68587, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 13, 1, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68588, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 135, 41, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68589, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 179, 54, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68590, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 522, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68591, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 148, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68592, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 221, 35, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68593, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1150, 9, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68594, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 168, 55, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68595, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 309, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68596, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 155, 41, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68597, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 153, 41, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68598, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 153, 29, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68599, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 147, 18, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68600, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 924, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68601, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1459, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68602, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 93, 6, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68603, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 538, 8, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68604, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2692, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68605, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 924, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68606, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 87, 9, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68607, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1659, 8, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68608, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 7, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68609, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68610, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 124, 24, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68611, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 76, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68612, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 104, 28, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68613, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 127, 30, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68614, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 30, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68615, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 40, 8, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68616, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 40, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68617, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 107, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68618, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 18, 13, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68619, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 26, 10, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68620, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 170, 1, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68621, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1623, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68622, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1162, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68623, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 63, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68624, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 97, 26, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68625, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 116, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68626, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 610, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68627, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 681, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68628, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 2190, 11, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68629, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1876, 9, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68630, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1166, 10, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68631, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 8, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68632, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68633, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 2878, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68634, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 436, 29, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68635, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1619, 89, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68636, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 65, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68637, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 340, 58, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68638, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1757, 75, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68639, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 1771, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68640, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 340, 35, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68641, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 415, 28, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68642, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 183, 31, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68643, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 204, 16, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68644, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 402, 30, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68645, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 353, 6, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68646, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 152, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68647, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 3, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68648, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 87, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68649, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 784, 1, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68650, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 21, 2, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68651, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 9, 1, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68652, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 154, 9, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68653, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 168, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68654, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 342, 10, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68655, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 345, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68656, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1449, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68657, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 895, 5, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68658, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 885, 8, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68659, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 28, 1, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68660, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1204, 7, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68661, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 130, 30, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68662, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 144, 32, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68663, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 1311, 4, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68664, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 59, 3, 2023, 10, 9, '2024-08-05 14:01:30', NULL, NULL), (68665, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 269, 179, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68666, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 143, 69, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68667, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 283, 67, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68668, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 182, 383, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68669, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 193, 492, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68670, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1080, 73, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68671, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 234, 219, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68672, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 298, 63, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68673, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 866, 251, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68674, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 193, 492, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68675, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 210, 137, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68676, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1080, 73, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68677, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 284, 66, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68678, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 181, 385, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68679, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 269, 179, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68680, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 860, 253, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68681, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 234, 219, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68682, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 432, 11, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68683, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 269, 179, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68684, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 257, 58, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68685, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1218, 132, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68686, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 306, 7, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68687, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 114, 33, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68688, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 7, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68689, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1470, 13, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68690, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 149, 48, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68691, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 198, 10, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68692, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 7037, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68693, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 368, 12, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68694, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 830, 14, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68695, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 611, 7, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68696, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 34, 10, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68697, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 5, 45, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68698, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 138, 205, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68699, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 940, 10, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68700, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68701, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 28, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68702, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 749, 50, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68703, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 546, 14, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68704, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 161, 11, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68705, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 116, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 1115, 10, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 104, 7, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 4, 1, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 356, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 7037, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 601, 8, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 117, 26, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 110, 34, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 105, 36, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 215, 44, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 721, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1706, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 271, 25, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 504, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1280, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 259, 30, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1366, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 272, 45, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 792, 10, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 204, 45, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1505, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 87, 23, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 271, 33, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 280, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 249, 20, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 265, 21, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 439, 14, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 357, 22, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 121, 36, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 75, 33, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 161, 16, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 281, 24, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 335, 34, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 286, 30, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 266, 27, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 274, 33, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 287, 22, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 250, 26, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 208, 33, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 168, 28, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 158, 9, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 68, 8, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 223, 25, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 175, 33, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 195, 27, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 5, 1, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 269, 8, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 243, 20, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 398, 20, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 2034, 1, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 262, 24, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 39, 22, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 205, 25, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 379, 29, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 625, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 200, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 324, 23, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 149, 48, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 40, 7, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 124, 34, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 138, 41, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 170, 26, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 101, 25, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 6, 1, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 9, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 17, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 4, 9, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 144, 30, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 5, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 182, 31, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 12, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 54, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 88, 13, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 198, 10, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 114, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 588, 13, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 421, 2, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1282, 62, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 143, 24, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 211, 17, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 1, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 222, 9, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 205, 22, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 28, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 7, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 266, 56, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 209, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 50, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1162, 70, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 15, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 672, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 796, 9, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 527, 2, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 368, 12, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1635, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 478, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 367, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 935, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68808, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 7037, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68809, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1470, 13, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68810, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 611, 7, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68811, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 28, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68812, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 269, 179, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68813, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 306, 7, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68814, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 830, 14, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68815, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 940, 10, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68816, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1218, 132, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68817, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 266, 56, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68818, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 432, 11, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68819, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 149, 48, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68820, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 5, 45, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (68821, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68822, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 161, 11, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68823, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 7, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68824, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 749, 50, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68825, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 546, 14, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68826, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 114, 33, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68827, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 368, 12, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68828, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 198, 10, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68829, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 139, 204, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68830, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 34, 10, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68831, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 7, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68832, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 116, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68833, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 1115, 10, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68834, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 6, 1, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68835, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 588, 13, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68836, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 7037, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68837, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 266, 56, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68838, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 223, 25, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68839, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 208, 33, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68840, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 286, 30, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68841, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 274, 33, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68842, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 281, 24, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68843, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 335, 34, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68844, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 50, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68845, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 209, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68846, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 935, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68847, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 182, 31, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68848, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 144, 30, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68849, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 114, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68850, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 88, 13, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68851, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 124, 34, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68852, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 368, 12, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68853, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 28, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68854, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 367, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68855, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 101, 25, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68856, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 170, 26, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68857, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 138, 41, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68858, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 478, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68859, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 54, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68860, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 9, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68861, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68862, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68863, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 280, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68864, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1635, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68865, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 625, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68866, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 601, 8, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68867, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 200, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68868, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 1, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68869, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 4, 1, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68870, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 356, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68871, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 527, 2, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68872, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 672, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68873, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 796, 9, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68874, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 4, 9, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68875, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 5, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68876, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 17, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68877, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1162, 70, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68878, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68879, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1282, 62, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68880, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 12, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68881, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 421, 2, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68882, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 198, 10, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68883, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1366, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68884, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1706, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68885, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1280, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68886, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 504, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68887, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 792, 10, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68888, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1505, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68889, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 149, 48, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68890, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 104, 7, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68891, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 721, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68892, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 117, 26, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68893, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 211, 17, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68894, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 222, 9, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68895, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 421, 2, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68896, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 143, 24, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68897, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 205, 22, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68898, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 28, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68899, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 209, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68900, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 50, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68901, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 527, 2, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68902, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 796, 9, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68903, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 168, 28, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68904, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 672, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68905, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 161, 16, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68906, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 935, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68907, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 367, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68908, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 250, 26, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68909, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 379, 29, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68910, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 144, 30, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68911, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 182, 31, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68912, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1366, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68913, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 88, 13, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68914, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 114, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68915, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68916, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1706, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68917, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 54, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68918, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1280, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68919, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68920, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 205, 25, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68921, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 1, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68922, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 39, 22, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68923, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 195, 27, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68924, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 175, 33, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68925, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1282, 62, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68926, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1162, 70, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68927, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 266, 56, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68928, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 7, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68929, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 324, 23, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68930, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 40, 7, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68931, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 7037, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68932, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 149, 48, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68933, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 625, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68934, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 117, 26, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68935, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 200, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68936, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 116, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68937, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 124, 34, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68938, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 1115, 10, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68939, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 357, 22, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68940, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 101, 25, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68941, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 439, 14, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68942, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 104, 7, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68943, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 4, 1, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68944, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 75, 33, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68945, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 138, 41, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68946, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 121, 36, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68947, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 170, 26, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68948, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 356, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68949, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 792, 10, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68950, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 287, 22, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68951, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 504, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68952, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 265, 21, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68953, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 721, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68954, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 249, 20, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68955, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 266, 27, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68956, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 262, 24, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68957, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 280, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68958, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1505, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68959, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 601, 8, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68960, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 15, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68961, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 335, 34, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68962, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 286, 30, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68963, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 281, 24, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68964, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 274, 33, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68965, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 208, 33, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68966, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 588, 13, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68967, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 6, 1, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68968, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 223, 25, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68969, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 198, 10, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68970, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68971, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 9, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68972, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 9, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68973, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 17, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68974, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68975, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 12, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68976, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1635, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68977, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 478, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68978, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 368, 12, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68979, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 68, 8, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68980, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 2034, 1, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68981, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 398, 20, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68982, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 158, 9, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68983, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 204, 45, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68984, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 272, 45, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68985, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 5, 1, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68986, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 259, 30, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68987, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 271, 25, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68988, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 243, 20, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68989, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 215, 44, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68990, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 269, 8, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68991, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 105, 36, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68992, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 110, 34, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68993, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 271, 33, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68994, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 87, 23, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68995, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 280, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68996, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1505, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68997, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 116, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68998, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 368, 12, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (68999, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 504, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69000, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 721, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69001, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 1115, 10, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69002, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 792, 10, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69003, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 1, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69004, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 138, 41, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69005, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 170, 26, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69006, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 101, 25, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69007, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 124, 34, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69008, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 17, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69009, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 9, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69010, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 9, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69011, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69012, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 12, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69013, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69014, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 601, 8, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69015, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 356, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69016, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 4, 1, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69017, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 117, 26, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69018, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 104, 7, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69019, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 198, 10, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69020, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 672, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69021, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 527, 2, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69022, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 796, 9, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69023, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69024, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 7037, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69025, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 223, 25, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69026, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1282, 62, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69027, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69028, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 266, 56, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69029, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1162, 70, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69030, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 54, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69031, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 286, 30, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69032, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 274, 33, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69033, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 208, 33, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69034, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 281, 24, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69035, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 335, 34, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69036, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 28, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69037, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 367, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69038, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 935, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69039, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 7, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69040, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 50, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69041, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 209, 3, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69042, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 200, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69043, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 88, 13, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69044, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 114, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69045, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 625, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69046, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1280, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69047, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 149, 48, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69048, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1366, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69049, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 421, 2, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69050, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 478, 6, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69051, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1635, 4, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69052, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1706, 5, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69053, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 144, 30, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69054, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 182, 31, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69055, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 588, 13, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69056, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 6, 1, 2023, 10, 10, '2024-08-05 14:01:30', NULL, NULL), (69057, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 184, 169, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69058, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 457, 45, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69059, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 342, 67, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69060, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 217, 384, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69061, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 477, 88, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69062, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 114, 449, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69063, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 154, 90, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69064, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 110, 189, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69065, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 848, 243, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69066, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 114, 449, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69067, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 388, 112, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69068, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 477, 88, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69069, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 154, 90, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69070, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 216, 385, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69071, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 184, 169, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69072, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 848, 243, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69073, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 110, 189, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69074, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 930, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69075, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 136, 14, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69076, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 377, 48, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69077, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 184, 169, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69078, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 938, 101, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69079, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 271, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69080, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 3, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69081, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 276, 30, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69082, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 117, 213, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69083, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 118, 36, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69084, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 226, 5, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69085, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2406, 10, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69086, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 235, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69087, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1123, 77, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69088, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 824, 11, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69089, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 276, 48, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69090, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 846, 10, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69091, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 160, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69092, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 762, 5, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69093, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 18, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69094, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 100, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69095, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 356, 7, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69096, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 6, 1, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69097, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 945, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 364, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 1111, 21, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 142, 13, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 271, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 160, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1199, 11, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 105, 23, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 100, 48, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 218, 34, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 55, 43, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1299, 13, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1081, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 123, 23, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1034, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 153, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 907, 10, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 200, 18, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 409, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1289, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 126, 46, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1025, 9, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 73, 12, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 75, 30, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1001, 13, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 75, 19, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 257, 21, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 67, 25, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 93, 17, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 146, 30, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 120, 31, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 160, 23, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 225, 29, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 159, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 198, 29, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 100, 17, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 120, 25, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 34, 14, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 116, 37, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 207, 30, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 160, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 699, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 738, 11, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 185, 29, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 59, 38, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 51, 19, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 322, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 80, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 208, 21, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 171, 13, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 99, 2, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 93, 11, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 33, 15, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 36, 13, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 122, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 111, 30, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 155, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 89, 44, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 276, 48, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 863, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 127, 36, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 140, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 129, 22, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 131, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 2, 1, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 5, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 912, 9, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 60, 22, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 87, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 846, 10, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 125, 29, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 953, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 123, 23, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 12, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 993, 50, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 108, 19, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 155, 15, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 32, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 342, 16, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 2, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 193, 24, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 235, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 226, 5, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 377, 48, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 77, 2, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 153, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 885, 51, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 441, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 101, 5, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1712, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1777, 1, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 878, 9, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 356, 7, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2406, 10, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 1028, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 736, 2, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69199, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 160, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69200, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 824, 11, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69201, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 930, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69202, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 235, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69203, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 271, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69204, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 184, 169, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69205, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 945, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69206, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2406, 10, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69207, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 938, 101, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69208, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 377, 48, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69209, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 136, 14, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69210, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 276, 48, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69211, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 276, 30, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69212, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 18, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69213, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 100, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69214, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 226, 5, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69215, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1123, 77, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69216, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 762, 5, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69217, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 118, 36, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69218, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 356, 7, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69219, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 846, 10, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69220, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 117, 213, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69221, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 6, 1, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69222, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 4, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69223, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 226, 5, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69224, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 364, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69225, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 1111, 21, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69226, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 2, 1, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69227, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 953, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69228, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 160, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69229, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 377, 48, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69230, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 185, 29, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (69231, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 207, 30, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69232, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 198, 29, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69233, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 120, 25, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69234, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 225, 29, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69235, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 159, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69236, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 153, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69237, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 77, 2, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69238, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 736, 2, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69239, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 87, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69240, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 60, 22, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69241, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 123, 23, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69242, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 125, 29, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69243, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 127, 36, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69244, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 356, 7, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69245, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 235, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69246, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 1028, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69247, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 131, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69248, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 129, 22, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69249, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 140, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69250, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2406, 10, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69251, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 2, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69252, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 5, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69253, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69254, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1001, 13, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69255, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 122, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69256, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 32, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69257, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1199, 11, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69258, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69259, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 155, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69260, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 271, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69261, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1712, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69262, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1777, 1, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69263, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 878, 9, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69264, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69265, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69266, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 912, 9, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69267, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 885, 51, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69268, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 4, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69269, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 993, 50, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69270, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69271, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 16, 2, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69272, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 846, 10, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69273, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 409, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69274, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1081, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69275, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1034, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69276, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E26', 6, 1, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69277, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 907, 10, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69278, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1289, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69279, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 276, 48, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69280, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1025, 9, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69281, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 142, 13, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69282, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1299, 13, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69283, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 105, 23, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69284, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 155, 15, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69285, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 342, 16, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69286, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 12, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69287, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 108, 19, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69288, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 193, 24, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69289, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 235, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69290, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 77, 2, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69291, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 153, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69292, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 878, 9, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69293, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 160, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69294, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1777, 1, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69295, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 160, 23, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69296, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1712, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69297, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 736, 2, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69298, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 1028, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69299, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 116, 37, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69300, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 111, 30, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69301, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 60, 22, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69302, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 87, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69303, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 409, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69304, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 125, 29, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69305, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 123, 23, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69306, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69307, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1081, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69308, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1034, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69309, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 2, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69310, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 32, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69311, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 36, 13, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69312, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 93, 11, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69313, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69314, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 51, 19, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69315, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 59, 38, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69316, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 993, 50, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69317, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 885, 51, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69318, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 377, 48, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69319, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 226, 5, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69320, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 89, 44, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69321, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 863, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69322, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 160, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69323, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 276, 48, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69324, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 122, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69325, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 105, 23, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69326, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 155, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69327, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 364, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69328, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 127, 36, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69329, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 1111, 21, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69330, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 131, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69331, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 93, 17, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69332, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 142, 13, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69333, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 120, 31, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69334, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 140, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69335, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 146, 30, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69336, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 271, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69337, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 129, 22, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69338, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1289, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69339, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 75, 19, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69340, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 34, 14, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69341, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 907, 10, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69342, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 67, 25, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69343, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 257, 21, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69344, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1299, 13, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69345, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 100, 17, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69346, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 33, 15, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69347, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1001, 13, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69348, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1025, 9, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69349, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 101, 5, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69350, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1199, 11, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69351, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 441, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69352, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 159, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69353, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 198, 29, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69354, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 225, 29, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69355, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 120, 25, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69356, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 207, 30, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69357, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 953, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69358, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 1, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69359, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 185, 29, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69360, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 846, 10, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69361, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69362, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69363, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 5, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69364, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 912, 9, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69365, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69366, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69367, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2406, 10, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69368, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 356, 7, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69369, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 738, 11, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69370, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 99, 2, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69371, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 171, 13, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69372, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 699, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69373, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 126, 46, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69374, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 200, 18, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69375, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 322, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69376, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 153, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69377, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 123, 23, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69378, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 208, 21, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69379, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 55, 43, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69380, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 80, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69381, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 218, 34, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69382, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 100, 48, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69383, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 75, 30, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69384, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 73, 12, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69385, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1001, 13, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69386, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1025, 9, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69387, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 364, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69388, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 356, 7, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69389, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1299, 13, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69390, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1289, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69391, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 1111, 21, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69392, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 907, 10, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69393, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69394, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 140, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69395, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 129, 22, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69396, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 131, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69397, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 127, 36, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69398, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 912, 9, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69399, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 5, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69400, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69401, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69402, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69403, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69404, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1199, 11, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69405, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 271, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69406, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 105, 23, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69407, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 142, 13, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69408, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1712, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69409, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1777, 1, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69410, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 846, 10, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69411, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 878, 9, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69412, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 2, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69413, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 32, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69414, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 160, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69415, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 185, 29, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69416, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 993, 50, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69417, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69418, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 377, 48, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69419, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 885, 51, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69420, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 198, 29, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69421, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 120, 25, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69422, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 207, 30, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69423, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 225, 29, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69424, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 159, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69425, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 235, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69426, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 1028, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69427, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 736, 2, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69428, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 226, 5, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69429, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 153, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69430, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 77, 2, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69431, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 155, 6, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69432, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 125, 29, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69433, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 123, 23, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69434, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 122, 8, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69435, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1034, 3, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69436, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 276, 48, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69437, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 409, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69438, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 16, 2, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69439, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2406, 10, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69440, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1081, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69441, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E26', 6, 1, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69442, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 60, 22, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69443, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 87, 27, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69444, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 953, 4, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69445, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 1, 2023, 10, 11, '2024-08-05 14:01:31', NULL, NULL), (69446, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 166, 120, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69447, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 179, 42, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69448, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 556, 55, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69449, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 155, 348, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69450, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 147, 416, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69451, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 357, 72, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69452, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 697, 60, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69453, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 100, 189, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69454, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 752, 266, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69455, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 147, 417, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69456, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 385, 99, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69457, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 357, 72, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69458, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 697, 60, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69459, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 153, 351, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69460, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 140, 142, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69461, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 752, 266, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69462, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 99, 190, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69463, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 314, 14, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69464, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 140, 142, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69465, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 276, 74, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69466, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 665, 102, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69467, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 309, 5, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69468, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 271, 29, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69469, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 569, 7, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69470, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 322, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69471, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 789, 10, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69472, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 168, 46, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69473, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 399, 10, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69474, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 194, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69475, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 57, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69476, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 330, 21, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69477, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 534, 9, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69478, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 92, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69479, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 200, 5, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69480, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 5, 24, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69481, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 126, 207, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69482, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 719, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69483, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 121, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69484, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1514, 68, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69485, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 339, 10, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69486, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 8, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69487, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 50, 10, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 409, 11, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 244, 10, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 203, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 88, 4, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 757, 2, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 194, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1051, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 288, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 28, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 24, 36, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 116, 45, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 548, 7, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 582, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 152, 26, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 74, 22, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1009, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 361, 17, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 96, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1919, 16, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 95, 33, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1796, 9, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1943, 11, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 170, 14, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 54, 29, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1225, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 147, 18, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 73, 13, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 108, 29, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 125, 15, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 179, 18, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 33, 17, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 17, 20, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 105, 19, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 133, 24, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 79, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 398, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 151, 16, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 140, 13, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 100, 27, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 159, 11, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 360, 37, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1236, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 229, 13, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 85, 26, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 77, 26, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 76, 25, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 2450, 5, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 21, 2, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 209, 13, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 228, 12, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 607, 4, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 67, 16, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 147, 29, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 349, 35, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 418, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 780, 40, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 176, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 601, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 869, 9, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 168, 46, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 46, 4, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 116, 26, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 126, 26, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 214, 39, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 91, 24, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 10, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 10, 5, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 5, 4, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 5, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 98, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 119, 21, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 991, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 499, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 103, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 89, 25, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 375, 9, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 276, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 651, 49, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 6, 2, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 95, 17, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 320, 7, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 8, 2, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 233, 9, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 10, 2, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 203, 10, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 113, 11, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 569, 7, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 276, 74, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 53, 4, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 3, 5, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 678, 53, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 208, 4, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 787, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1489, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 65, 7, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 719, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 566, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 276, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69589, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 194, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69590, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 789, 10, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69591, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 534, 9, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69592, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 121, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69593, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 309, 5, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69594, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 166, 120, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69595, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 719, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69596, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 330, 21, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69597, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 92, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69598, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 665, 102, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69599, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 276, 74, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69600, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 314, 14, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69601, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 168, 46, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69602, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 5, 24, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69603, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 8, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69604, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 50, 10, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69605, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 569, 7, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69606, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1514, 68, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69607, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 339, 10, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69608, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 271, 29, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69609, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 65, 7, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69610, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 499, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69611, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 322, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69612, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 126, 207, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69613, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 250, 4, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69614, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 569, 7, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69615, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 409, 11, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69616, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 244, 10, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69617, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 10, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69618, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 375, 9, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69619, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 194, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69620, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 276, 74, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69621, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 85, 26, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69622, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 92, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69623, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 159, 11, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69624, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 398, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69625, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 140, 13, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69626, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 133, 24, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69627, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 79, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69628, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 3, 5, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69629, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 53, 4, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69630, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 276, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69631, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 119, 21, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69632, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 98, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69633, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 89, 25, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69634, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 103, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69635, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 116, 26, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69636, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 65, 7, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69637, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 322, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69638, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 121, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69639, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 566, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69640, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 91, 24, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69641, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 214, 39, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69642, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 126, 26, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (69643, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 719, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69644, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 991, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69645, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69646, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 10, 2, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69647, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69648, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1225, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69649, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 6, 2, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69650, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 418, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69651, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1051, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69652, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 176, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69653, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 8, 2, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69654, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 10, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69655, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 757, 2, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69656, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 787, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69657, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1489, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69658, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 5, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69659, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 10, 5, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69660, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 678, 53, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69661, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 5, 4, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69662, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 651, 49, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69663, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69664, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 276, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69665, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 499, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69666, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 96, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69667, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 582, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69668, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1009, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69669, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1919, 16, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69670, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1796, 9, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69671, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 168, 46, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69672, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1943, 11, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69673, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 203, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69674, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 548, 7, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69675, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 288, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69676, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 320, 7, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69677, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 233, 9, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69678, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 276, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69679, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 95, 17, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69680, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 203, 10, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69681, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 113, 11, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69682, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 53, 4, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69683, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 3, 5, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69684, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1489, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69685, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 105, 19, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69686, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 787, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69687, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 276, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69688, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 566, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69689, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 360, 37, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69690, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 780, 40, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69691, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 98, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69692, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 119, 21, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69693, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 96, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69694, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 103, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69695, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 89, 25, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69696, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69697, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 582, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69698, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 991, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69699, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1009, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69700, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 10, 2, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69701, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 349, 35, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69702, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 8, 2, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69703, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 147, 29, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69704, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 6, 2, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69705, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 76, 25, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69706, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 77, 26, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69707, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 651, 49, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69708, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 678, 53, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69709, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 276, 74, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69710, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 569, 7, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69711, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 601, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69712, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 869, 9, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69713, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 46, 4, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69714, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 194, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69715, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 168, 46, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69716, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 418, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69717, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 288, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69718, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 176, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69719, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 409, 11, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69720, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 116, 26, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69721, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 179, 18, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69722, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 244, 10, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69723, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 91, 24, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69724, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 203, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69725, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 125, 15, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69726, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 88, 4, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69727, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 17, 20, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69728, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 126, 26, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69729, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 33, 17, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69730, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 757, 2, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69731, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 214, 39, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69732, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 147, 18, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69733, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1796, 9, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69734, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 100, 27, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69735, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1919, 16, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69736, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 108, 29, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69737, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 73, 13, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69738, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 548, 7, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69739, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 151, 16, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69740, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 67, 16, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69741, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1225, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69742, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1943, 11, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69743, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1051, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69744, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 208, 4, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69745, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 79, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69746, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 398, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69747, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 133, 24, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69748, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 140, 13, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69749, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 159, 11, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69750, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 375, 9, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69751, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 10, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69752, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 85, 26, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69753, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 499, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69754, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 4, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69755, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69756, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69757, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 10, 5, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69758, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69759, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 719, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69760, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 65, 7, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69761, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 229, 13, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69762, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 607, 4, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69763, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 228, 12, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69764, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1236, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69765, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 95, 33, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69766, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 361, 17, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69767, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 2450, 5, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69768, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 74, 22, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69769, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 152, 26, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69770, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 209, 13, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69771, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 116, 45, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69772, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 21, 2, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69773, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 24, 36, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69774, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 28, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69775, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 54, 29, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69776, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 170, 14, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69777, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1225, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69778, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1943, 11, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69779, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 409, 11, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69780, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 65, 7, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69781, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 548, 7, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69782, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 244, 10, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69783, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1796, 9, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69784, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1919, 16, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69785, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 8, 2, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69786, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 6, 2, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69787, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 126, 26, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69788, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 214, 39, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69789, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 91, 24, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69790, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 116, 26, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69791, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 10, 5, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69792, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69793, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69794, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 4, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69795, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69796, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 92, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69797, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1051, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69798, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 757, 2, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69799, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 10, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69800, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 288, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69801, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 203, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69802, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 787, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69803, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 499, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69804, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1489, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69805, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 10, 2, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69806, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 194, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69807, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 85, 26, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69808, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 651, 49, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69809, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69810, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 276, 74, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69811, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 678, 53, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69812, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 991, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69813, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 398, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69814, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 140, 13, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69815, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 159, 11, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69816, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 133, 24, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69817, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 79, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69818, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 121, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69819, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 566, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69820, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 276, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69821, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 569, 7, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69822, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 3, 5, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69823, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 53, 4, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69824, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 176, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69825, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 103, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69826, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 89, 25, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69827, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 418, 8, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69828, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 322, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69829, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 168, 46, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69830, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1009, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69831, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 96, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69832, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 276, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69833, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 719, 6, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69834, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 582, 3, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69835, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 98, 23, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69836, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 119, 21, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69837, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 375, 9, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69838, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 10, 1, 2023, 10, 12, '2024-08-05 14:01:32', NULL, NULL), (69839, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 228, 169, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69840, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 44, 54, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69841, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 484, 52, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69842, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 136, 306, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69843, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 322, 68, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69844, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 193, 379, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69845, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1630, 68, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69846, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 278, 181, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69847, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1036, 264, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69848, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 192, 380, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69849, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 237, 116, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69850, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 322, 68, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69851, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1584, 70, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69852, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 136, 307, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69853, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 228, 169, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69854, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1036, 264, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69855, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 278, 181, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69856, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 102, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69857, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 228, 169, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69858, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 333, 35, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69859, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1213, 127, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69860, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1473, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69861, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 145, 35, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69862, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 28, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69863, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 417, 5, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69864, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 140, 31, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69865, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 237, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69866, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 11, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69867, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 39, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69868, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 325, 18, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69869, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 696, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69870, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 45, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69871, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 76, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69872, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 5, 33, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69873, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 121, 173, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69874, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 662, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69875, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 104, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69876, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1191, 84, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69877, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 74, 17, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69878, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69879, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 228, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 420, 5, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 289, 13, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 96, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1473, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 11, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1057, 10, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 151, 31, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 186, 27, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 345, 42, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 191, 35, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 836, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1438, 13, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 198, 21, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 157, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1876, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 173, 30, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 467, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1101, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 296, 26, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1035, 12, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 185, 31, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1275, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 220, 26, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1162, 12, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 378, 37, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 240, 15, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 337, 19, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 346, 16, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 345, 18, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 24, 18, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 61, 24, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 348, 26, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 191, 30, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 175, 27, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 136, 29, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 282, 28, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 412, 29, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 344, 20, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 71, 24, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 714, 17, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 5, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 165, 26, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 73, 18, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 95, 32, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 32, 3, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 101, 3, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 334, 18, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 220, 3, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 852, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 410, 14, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 109, 20, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 52, 21, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 201, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 99, 14, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 46, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 203, 14, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 140, 31, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 4097, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 141, 30, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 81, 10, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 107, 37, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 143, 26, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 10, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 3, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 7, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 5, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 116, 23, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 12, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 90, 14, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 5, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 90, 5, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 102, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 237, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 83, 15, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 152, 21, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1347, 81, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 6, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 78, 18, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 72, 16, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 102, 8, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 8, 3, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 92, 10, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 92, 5, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 28, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 333, 35, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 25, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 345, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 978, 46, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 3543, 24, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 435, 12, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 649, 8, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1218, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 39, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 662, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 1204, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 87, 5, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69979, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 11, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69980, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 417, 5, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69981, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 696, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69982, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 104, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69983, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1473, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69984, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 228, 169, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69985, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 662, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69986, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 325, 18, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69987, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 45, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69988, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1213, 127, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69989, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 333, 35, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69990, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 102, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69991, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 140, 31, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69992, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 5, 33, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69993, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69994, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 228, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69995, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 28, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69996, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1191, 84, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69997, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 74, 17, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69998, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 145, 35, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (69999, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 39, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70000, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 237, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70001, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 122, 172, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70002, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 76, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70003, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 28, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70004, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 420, 5, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70005, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 289, 13, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70006, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70007, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 83, 15, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70008, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 11, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70009, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 333, 35, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70010, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 165, 26, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70011, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 45, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70012, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 412, 29, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70013, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 136, 29, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70014, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 282, 28, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70015, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 191, 30, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70016, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 175, 27, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70017, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 345, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70018, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 25, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70019, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 87, 5, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70020, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 90, 14, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70021, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 116, 23, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70022, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 152, 21, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70023, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 102, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70024, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 141, 30, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70025, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 39, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70026, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 104, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70027, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 1204, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70028, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 143, 26, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70029, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 107, 37, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70030, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 81, 10, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70031, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 662, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70032, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 90, 5, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70033, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 10, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70034, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 5, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70035, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1162, 12, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70036, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 6, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70037, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 201, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70038, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 8, 3, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70039, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1057, 10, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70040, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70041, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 46, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70042, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1473, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70043, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 649, 8, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70044, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1218, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70045, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 5, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70046, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 12, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70047, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 3, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70048, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 978, 46, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70049, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 7, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70050, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1347, 81, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70051, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (70052, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 237, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70053, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 467, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70054, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 836, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70055, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 157, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70056, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1876, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70057, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1101, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70058, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1035, 12, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70059, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 140, 31, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70060, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1275, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70061, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 96, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70062, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1438, 13, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70063, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 151, 31, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70064, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 72, 16, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70065, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 102, 8, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70066, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 78, 18, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70067, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 92, 10, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70068, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 92, 5, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70069, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 25, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70070, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 345, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70071, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1218, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70072, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 348, 26, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70073, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 649, 8, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70074, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 87, 5, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70075, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 1204, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70076, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 71, 24, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70077, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 99, 14, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70078, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 116, 23, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70079, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 90, 14, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70080, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 467, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70081, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 102, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70082, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 152, 21, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70083, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 836, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70084, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 5, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70085, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 157, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70086, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 90, 5, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70087, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 8, 3, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70088, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 52, 21, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70089, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70090, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 109, 20, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70091, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 6, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70092, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 95, 32, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70093, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 73, 18, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70094, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1347, 81, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70095, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 978, 46, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70096, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 333, 35, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70097, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 28, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70098, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 203, 14, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70099, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 4097, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70100, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 11, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70101, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 140, 31, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70102, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 201, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70103, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 151, 31, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70104, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 46, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70105, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 420, 5, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70106, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 141, 30, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70107, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 345, 18, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70108, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 143, 26, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70109, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 289, 13, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70110, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 96, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70111, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 346, 16, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70112, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 81, 10, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70113, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 61, 24, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70114, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1473, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70115, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 24, 18, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70116, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 107, 37, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70117, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1035, 12, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70118, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 378, 37, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70119, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1101, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70120, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 344, 20, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70121, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1876, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70122, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 337, 19, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70123, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 240, 15, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70124, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1438, 13, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70125, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 410, 14, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70126, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1162, 12, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70127, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1275, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70128, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 435, 12, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70129, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1057, 10, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70130, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 3543, 24, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70131, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 175, 27, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70132, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 136, 29, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70133, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 191, 30, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70134, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 282, 28, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70135, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 412, 29, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70136, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 83, 15, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70137, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70138, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 165, 26, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70139, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 237, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70140, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70141, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70142, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 10, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70143, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 3, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70144, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 12, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70145, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70146, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 662, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70147, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 39, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70148, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 5, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70149, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 852, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70150, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 220, 3, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70151, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 714, 17, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70152, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 185, 31, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70153, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 296, 26, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70154, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 32, 3, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70155, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 173, 30, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70156, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 198, 21, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70157, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 334, 18, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70158, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 191, 35, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70159, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 101, 3, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70160, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 345, 42, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70161, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 186, 27, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70162, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 220, 26, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70163, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1162, 12, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70164, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1275, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70165, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 420, 5, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70166, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 39, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70167, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1876, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70168, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1438, 13, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70169, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1035, 12, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70170, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 289, 13, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70171, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1101, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70172, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70173, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 6, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70174, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 81, 10, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70175, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 107, 37, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70176, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 143, 26, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70177, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 141, 30, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70178, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 3, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70179, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 10, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70180, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70181, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70182, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70183, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 12, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70184, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 45, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70185, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1057, 10, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70186, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1473, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70187, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 151, 31, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70188, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 96, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70189, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 649, 8, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70190, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 237, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70191, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1218, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70192, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 8, 3, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70193, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 11, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70194, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 165, 26, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70195, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1347, 81, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70196, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 5, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70197, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 333, 35, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70198, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 978, 46, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70199, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 90, 5, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70200, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 136, 29, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70201, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 282, 28, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70202, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 412, 29, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70203, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 191, 30, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70204, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 175, 27, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70205, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 104, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70206, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 1204, 6, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70207, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 87, 5, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70208, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 28, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70209, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 345, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70210, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 25, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70211, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 46, 7, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70212, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 102, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70213, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 152, 21, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70214, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 201, 4, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70215, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 157, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70216, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 140, 31, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70217, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 467, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70218, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 662, 11, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70219, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 836, 1, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70220, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 116, 23, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70221, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 90, 14, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70222, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 83, 15, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70223, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 2, 2023, 10, 13, '2024-08-05 14:01:33', NULL, NULL), (70224, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 299, 17, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70225, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 374, 82, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70226, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 764, 9, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70227, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 3852, 18, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70228, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 370, 83, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70229, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 688, 10, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70230, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 299, 17, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70231, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2774, 25, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70232, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 465, 7, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70233, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 166, 6, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70234, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 5, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70235, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 17, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70236, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 5506, 12, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70237, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 371, 11, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 676, 8, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 75, 14, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 17, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1929, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 166, 6, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 305, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1472, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 185, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 209, 3, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 32, 13, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 780, 17, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1143, 11, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 415, 7, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 295, 4, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 127, 12, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 138, 10, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 6607, 10, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 214, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 97, 5, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70257, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 6607, 10, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70258, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 166, 6, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70259, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 371, 11, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70260, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 465, 7, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70261, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 17, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70262, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 214, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70263, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 209, 3, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70264, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 166, 6, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70265, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1929, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70266, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 305, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70267, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 185, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70268, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 17, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70269, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 6607, 10, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70270, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 295, 4, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70271, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 415, 7, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70272, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 166, 6, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70273, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 676, 8, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70274, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 295, 4, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70275, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 415, 7, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70276, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 214, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70277, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 209, 3, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70278, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 185, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70279, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1929, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70280, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 305, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70281, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 97, 5, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70282, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 17, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70283, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1143, 11, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70284, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 780, 17, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70285, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 6607, 10, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70286, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 32, 13, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70287, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 75, 14, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70288, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 138, 10, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70289, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1472, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70290, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 127, 12, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70291, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 17, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70292, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 415, 7, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70293, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 295, 4, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70294, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 214, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70295, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 166, 6, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70296, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1929, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70297, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 305, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70298, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 6607, 10, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70299, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 185, 1, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70300, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 209, 3, 2023, 10, 14, '2024-08-05 14:01:34', NULL, NULL), (70301, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 130, 11, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70302, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 865, 72, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70303, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 570, 10, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70304, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 96, 5, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70305, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 865, 72, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70306, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 439, 13, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70307, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 130, 11, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70308, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 1, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70309, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 68, 7, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70310, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 38, 3, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70311, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 332, 3, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70312, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 118, 2, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70313, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 1, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70314, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 183, 2, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70315, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 2, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70316, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 33, 6, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 570, 10, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 60, 12, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 118, 2, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 183, 2, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 332, 3, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 11, 1, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 52, 2, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 71, 7, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 2272, 24, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 514, 12, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 9, 5, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 33, 6, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 27, 12, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70330, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 118, 2, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70331, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 332, 3, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70332, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 33, 6, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70333, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 38, 3, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70334, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 183, 2, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70335, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 52, 2, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70336, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 332, 3, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70337, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 11, 1, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70338, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 183, 2, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70339, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 118, 2, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70340, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 33, 6, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70341, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 332, 3, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70342, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 570, 10, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70343, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 118, 2, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70344, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 33, 6, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70345, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 52, 2, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70346, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 11, 1, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70347, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 183, 2, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70348, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 514, 12, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70349, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 2272, 24, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70350, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 71, 7, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70351, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 60, 12, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70352, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 27, 12, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70353, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 9, 5, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70354, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 183, 2, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70355, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 118, 2, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70356, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 33, 6, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70357, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 332, 3, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70358, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 11, 1, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70359, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 52, 2, 2023, 10, 15, '2024-08-05 14:01:35', NULL, NULL), (70360, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 157, 193, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70361, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 182, 89, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70362, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 477, 78, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70363, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 138, 338, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70364, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 192, 470, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70365, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 277, 83, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70366, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 197, 72, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70367, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 95, 178, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70368, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1580, 291, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70369, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 191, 471, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70370, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 305, 175, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70371, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 271, 85, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70372, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 197, 72, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70373, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 138, 338, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70374, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 157, 193, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70375, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1580, 291, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70376, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 95, 178, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70377, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 281, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70378, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 417, 23, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70379, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 157, 193, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70380, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 196, 48, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70381, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 2435, 143, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70382, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 350, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70383, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 188, 38, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70384, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 2135, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70385, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1671, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70386, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 743, 9, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70387, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 214, 52, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70388, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 611, 8, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70389, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 135, 12, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70390, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 341, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70391, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 196, 18, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70392, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 299, 13, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70393, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 12, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70394, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 107, 54, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70395, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 47, 155, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70396, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 412, 9, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70397, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 29, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70398, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1109, 77, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70399, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 189, 29, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70400, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70401, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 65, 12, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 498, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 110, 14, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 339, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 4, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 628, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 281, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 147, 11, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1123, 12, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 159, 30, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 190, 38, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 195, 33, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 189, 29, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 104, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1143, 13, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 180, 26, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1637, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 305, 32, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1235, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1730, 11, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 203, 23, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 716, 2, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1012, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 283, 53, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 538, 9, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 177, 25, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 153, 30, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 536, 8, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 145, 19, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 59, 12, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 109, 19, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 150, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 34, 15, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 86, 29, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 40, 24, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 358, 20, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 115, 31, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 123, 32, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 250, 37, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 65, 21, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 170, 34, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 126, 24, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 131, 25, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 23, 13, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 273, 34, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1098, 12, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 831, 16, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 135, 35, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 109, 29, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 97, 28, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 120, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 147, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 231, 18, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 240, 22, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 222, 8, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 123, 33, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 46, 24, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 222, 40, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 313, 13, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 552, 10, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 172, 23, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 214, 52, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (70463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 181, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 88, 21, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 43, 14, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 37, 30, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 39, 21, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 172, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 264, 15, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 6, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 52, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 28, 21, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 88, 11, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 9, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 47, 25, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 44, 10, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 35, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 815, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 68, 10, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 38, 13, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 192, 25, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 81, 5, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 2414, 82, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 8, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 281, 21, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 2, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 88, 24, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 218, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 105, 22, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 29, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 2135, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 152, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 196, 48, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 39, 2, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 37, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 2465, 61, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 199, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 8, 2, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1363, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1049, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 341, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 412, 9, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 340, 10, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 163, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70507, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 147, 11, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70508, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 743, 9, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70509, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 299, 13, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70510, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 29, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70511, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 350, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70512, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 157, 193, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70513, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 196, 18, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70514, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 412, 9, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70515, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 2435, 143, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70516, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 196, 48, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70517, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 417, 23, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70518, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 214, 52, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70519, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 107, 54, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70520, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70521, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 65, 12, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70522, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 2135, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70523, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1109, 77, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70524, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 281, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70525, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 189, 29, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70526, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 193, 37, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70527, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 341, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70528, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 815, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70529, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1671, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70530, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 47, 155, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70531, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 12, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70532, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 2135, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70533, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 498, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70534, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 110, 14, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70535, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 172, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70536, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 192, 25, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70537, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 147, 11, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70538, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 196, 48, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70539, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 135, 35, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70540, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 126, 24, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70541, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 250, 37, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70542, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 170, 34, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70543, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 115, 31, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70544, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 123, 32, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70545, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 37, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70546, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 39, 2, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70547, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 152, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70548, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 163, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70549, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 281, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70550, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 47, 25, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70551, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 28, 21, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70552, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 38, 13, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70553, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 68, 10, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70554, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 88, 21, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70555, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 341, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70556, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1671, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70557, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 29, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70558, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 340, 10, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70559, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 39, 21, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70560, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 37, 30, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70561, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 43, 14, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70562, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 412, 9, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70563, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 35, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70564, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 264, 15, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70565, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70566, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 536, 8, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70567, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 8, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70568, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 313, 13, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70569, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70570, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1123, 12, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70571, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 2, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70572, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 552, 10, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70573, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 4, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70574, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 419, 5, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70575, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1363, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70576, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1049, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70577, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 88, 11, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70578, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 9, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70579, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 6, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70580, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 2465, 61, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70581, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 52, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70582, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 2414, 82, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70583, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 44, 10, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70584, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 81, 5, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70585, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 815, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70586, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 716, 2, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70587, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 104, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70588, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1235, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70589, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1637, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70590, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1730, 11, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70591, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1012, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70592, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 538, 9, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70593, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 214, 52, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70594, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 339, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70595, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1143, 13, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70596, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 159, 30, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70597, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 88, 24, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70598, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 218, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70599, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 81, 5, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70600, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 281, 21, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70601, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 105, 22, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70602, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 29, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70603, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 39, 2, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70604, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 37, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70605, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 152, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70606, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1049, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70607, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 273, 34, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70608, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 358, 20, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70609, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1363, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70610, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 163, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70611, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 340, 10, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70612, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 23, 13, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70613, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 222, 40, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70614, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 28, 21, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70615, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 47, 25, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70616, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 716, 2, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70617, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 68, 10, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70618, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 38, 13, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70619, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70620, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 104, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70621, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 35, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70622, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1235, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70623, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70624, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 46, 24, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70625, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 2, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70626, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 123, 33, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70627, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 8, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70628, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 97, 28, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70629, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 109, 29, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70630, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 2414, 82, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70631, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 2465, 61, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70632, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 196, 48, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70633, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 2135, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70634, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 172, 23, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70635, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 181, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70636, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 214, 52, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70637, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 147, 11, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70638, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 159, 30, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70639, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 313, 13, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70640, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 498, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70641, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 552, 10, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70642, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 281, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70643, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 88, 21, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70644, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 34, 15, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70645, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 110, 14, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70646, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 39, 21, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70647, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 339, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70648, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 150, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70649, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 4, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70650, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 43, 14, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70651, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 40, 24, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70652, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 628, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70653, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 86, 29, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70654, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 37, 30, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70655, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1012, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70656, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 145, 19, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70657, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 131, 25, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70658, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1730, 11, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70659, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1637, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70660, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 109, 19, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70661, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 59, 12, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70662, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1143, 13, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70663, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 65, 21, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70664, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 222, 8, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70665, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 536, 8, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70666, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 538, 9, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70667, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 8, 2, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70668, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1123, 12, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70669, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 199, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70670, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 123, 32, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70671, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 250, 37, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70672, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 115, 31, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70673, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 170, 34, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70674, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 126, 24, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70675, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 192, 25, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70676, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 135, 35, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70677, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 172, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70678, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 815, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70679, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 52, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70680, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 88, 11, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70681, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 264, 15, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70682, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70683, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70684, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 44, 10, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70685, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 412, 9, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70686, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 341, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70687, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 831, 16, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70688, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 240, 22, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70689, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1098, 12, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70690, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 283, 53, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70691, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 203, 23, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70692, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 120, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70693, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 305, 32, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70694, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 180, 26, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70695, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 231, 18, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70696, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 189, 29, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70697, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 147, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70698, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 195, 33, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70699, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 190, 38, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70700, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 153, 30, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70701, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 177, 25, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70702, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 536, 8, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70703, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 538, 9, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70704, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 498, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70705, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 341, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70706, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1637, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70707, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1143, 13, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70708, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1012, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70709, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 110, 14, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70710, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1730, 11, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70711, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 2, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70712, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 8, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70713, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 43, 14, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70714, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 37, 30, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70715, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 39, 21, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70716, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 88, 21, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70717, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70718, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 264, 15, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70719, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 88, 11, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70720, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 52, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70721, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 44, 10, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70722, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70723, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1123, 12, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70724, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 419, 5, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70725, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 4, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70726, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 159, 30, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70727, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 339, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70728, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1363, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70729, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 815, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70730, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1049, 7, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70731, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70732, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 147, 11, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70733, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 135, 35, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70734, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 2414, 82, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70735, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70736, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 196, 48, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70737, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 2465, 61, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70738, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 35, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70739, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 250, 37, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70740, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 170, 34, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70741, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 126, 24, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70742, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 115, 31, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70743, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 123, 32, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70744, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 29, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70745, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 340, 10, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70746, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 163, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70747, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 2135, 6, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70748, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 281, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70749, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 37, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70750, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 39, 2, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70751, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 152, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70752, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 552, 10, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70753, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 68, 10, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70754, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 38, 13, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70755, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1671, 1, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70756, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 313, 13, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70757, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 214, 52, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70758, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1235, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70759, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 716, 2, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70760, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 81, 5, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70761, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 412, 9, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70762, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 104, 3, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70763, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 28, 21, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70764, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 47, 25, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70765, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 192, 25, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70766, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 172, 4, 2023, 10, 16, '2024-08-05 14:01:36', NULL, NULL), (70767, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 123, 169, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70768, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 80, 55, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70769, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 449, 57, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70770, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 515, 360, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70771, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 547, 84, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70772, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 56, 429, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70773, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1395, 116, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70774, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 218, 211, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70775, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1218, 287, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70776, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 56, 430, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70777, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 268, 112, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70778, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 547, 84, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70779, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1395, 116, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70780, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 511, 363, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70781, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 123, 169, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70782, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1218, 287, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70783, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 218, 211, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70784, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 318, 44, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70785, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 123, 169, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70786, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 1124, 46, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70787, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1418, 138, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70788, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1226, 8, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70789, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 92, 30, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70790, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 112, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70791, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1150, 3, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70792, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 828, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70793, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 252, 55, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70794, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 389, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70795, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 382, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70796, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 6675, 15, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70797, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 794, 21, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70798, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 211, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70799, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 27, 9, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70800, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 8, 33, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70801, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 109, 164, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70802, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2397, 12, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70803, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 3, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70804, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 90, 4, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70805, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1178, 86, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70806, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 130, 17, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70807, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 10, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70808, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 462, 8, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1479, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 40, 10, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 73, 6, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1205, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 382, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1300, 12, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 96, 24, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 62, 19, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 63, 30, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 55, 30, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 960, 21, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1332, 4, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 36, 24, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 61, 23, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 601, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1387, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 388, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 99, 27, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1307, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 34, 49, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1213, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 36, 26, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 74, 23, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1319, 7, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 155, 18, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 271, 13, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 182, 23, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 206, 18, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 287, 21, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 170, 58, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 317, 12, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 34, 21, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 71, 26, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 304, 27, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 79, 32, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 111, 23, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 67, 26, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 378, 20, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 42, 26, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 96, 29, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 76, 27, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1487, 9, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 106, 10, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 126, 29, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 37, 26, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 51, 27, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 243, 4, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 22, 4, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 323, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 311, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 608, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 399, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 97, 24, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 52, 27, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 249, 40, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 417, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 149, 32, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 271, 30, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 252, 55, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 11, 6, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 75, 17, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 82, 20, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 35, 31, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 44, 20, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 21, 3, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 4, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (70875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 9, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 7, 8, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 9, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 74, 26, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 413, 19, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 12, 6, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 6, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 72, 3, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 77, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 389, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 154, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 123, 17, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 7, 1, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1417, 68, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 8, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 72, 9, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 10, 1, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 62, 16, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 11, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 306, 9, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 150, 15, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 90, 4, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 112, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 1440, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 1124, 46, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 24, 3, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 367, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1418, 70, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 4087, 19, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 3651, 19, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1218, 8, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 867, 8, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 6675, 15, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2397, 12, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 211, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70912, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 382, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70913, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 828, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70914, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 211, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70915, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 90, 4, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70916, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1226, 8, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70917, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 123, 169, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70918, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2397, 12, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70919, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 794, 21, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70920, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1418, 138, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70921, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 1124, 46, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70922, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 318, 44, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70923, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 252, 55, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70924, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 8, 33, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70925, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 10, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70926, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 462, 8, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70927, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 112, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70928, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1178, 86, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70929, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 130, 17, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70930, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 92, 30, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70931, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 6675, 15, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70932, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 389, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70933, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1150, 3, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70934, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 109, 164, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70935, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 27, 9, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70936, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 112, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70937, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1479, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70938, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 40, 10, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70939, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 21, 3, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70940, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 154, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70941, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 382, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70942, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 1124, 46, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70943, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 126, 29, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70944, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 96, 29, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70945, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 79, 32, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70946, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 67, 26, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70947, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 71, 26, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70948, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 304, 27, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70949, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 367, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70950, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 24, 3, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70951, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 1440, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70952, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 413, 19, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70953, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 74, 26, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70954, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 123, 17, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70955, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 77, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70956, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 75, 17, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70957, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 6675, 15, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70958, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1150, 3, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70959, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 90, 4, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70960, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 211, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70961, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 44, 20, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70962, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 35, 31, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70963, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 82, 20, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70964, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2397, 12, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70965, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 72, 3, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70966, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70967, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 4, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70968, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 6, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70969, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1319, 7, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70970, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 8, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70971, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 417, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70972, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 11, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70973, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1300, 12, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70974, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 10, 1, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70975, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 271, 30, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70976, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1226, 8, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70977, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1218, 8, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70978, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 867, 8, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70979, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 9, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70980, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70981, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 9, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70982, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1418, 70, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70983, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 7, 8, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70984, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1417, 68, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70985, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 12, 6, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70986, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 7, 1, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70987, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 389, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70988, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 388, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70989, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1332, 4, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70990, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 601, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70991, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1387, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70992, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1307, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70993, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1213, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70994, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 252, 55, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70995, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 73, 6, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70996, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 960, 21, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70997, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 96, 24, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70998, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 62, 16, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (70999, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 306, 9, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71000, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 7, 1, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71001, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 72, 9, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71002, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 150, 15, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71003, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 90, 4, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71004, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 24, 3, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71005, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 367, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71006, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 1440, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71007, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 867, 8, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71008, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 76, 27, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71009, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 34, 21, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71010, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1218, 8, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71011, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 211, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71012, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 42, 26, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71013, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 249, 40, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71014, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 74, 26, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71015, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 413, 19, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71016, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 388, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71017, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 77, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71018, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 123, 17, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71019, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 6, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71020, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1332, 4, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71021, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 72, 3, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71022, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 601, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71023, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71024, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 11, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71025, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 52, 27, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71026, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 10, 1, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71027, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 97, 24, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71028, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 8, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71029, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 51, 27, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71030, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 37, 26, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71031, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1417, 68, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71032, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1418, 70, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71033, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 1124, 46, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71034, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 112, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71035, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 149, 32, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71036, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 11, 6, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71037, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 382, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71038, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 252, 55, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71039, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 96, 24, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71040, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 417, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71041, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1479, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71042, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 271, 30, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71043, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 75, 17, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71044, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 40, 10, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71045, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 44, 20, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71046, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 287, 21, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71047, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 73, 6, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71048, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 206, 18, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71049, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 317, 12, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71050, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 82, 20, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71051, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1205, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71052, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 170, 58, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71053, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 35, 31, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71054, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 155, 18, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71055, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1307, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71056, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1387, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71057, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 378, 20, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71058, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 182, 23, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71059, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 960, 21, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71060, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 271, 13, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71061, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 111, 23, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71062, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 399, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71063, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1319, 7, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71064, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1213, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71065, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 3651, 19, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71066, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1300, 12, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71067, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 4087, 19, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71068, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 304, 27, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71069, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 79, 32, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71070, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 71, 26, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71071, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 67, 26, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71072, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 96, 29, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71073, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 154, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71074, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 21, 3, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71075, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 126, 29, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71076, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 389, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71077, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 8, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71078, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 9, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71079, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 4, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71080, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 9, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71081, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71082, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 12, 6, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71083, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2397, 12, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71084, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 6675, 15, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71085, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 106, 10, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71086, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 608, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71087, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 311, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71088, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 34, 49, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71089, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1487, 9, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71090, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 99, 27, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71091, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 243, 4, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71092, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 61, 23, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71093, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 36, 24, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71094, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 55, 30, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71095, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 323, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71096, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 22, 4, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71097, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 63, 30, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71098, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 62, 19, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71099, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 74, 23, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71100, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 36, 26, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71101, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1319, 7, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71102, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1213, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71103, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1479, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71104, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 6675, 15, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71105, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 960, 21, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71106, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 40, 10, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71107, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1307, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71108, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1387, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71109, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 10, 1, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71110, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 8, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71111, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 82, 20, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71112, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 35, 31, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71113, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 44, 20, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71114, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 75, 17, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71115, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 9, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71116, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 4, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71117, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 9, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71118, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 8, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71119, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 12, 6, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71120, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71121, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1300, 12, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71122, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1226, 8, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71123, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 96, 24, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71124, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 73, 6, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71125, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1218, 8, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71126, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 389, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71127, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 867, 8, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71128, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71129, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 11, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71130, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 382, 11, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71131, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 126, 29, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71132, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1417, 68, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71133, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 6, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71134, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 1124, 46, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71135, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1418, 70, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71136, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 72, 3, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71137, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 79, 32, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71138, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 67, 26, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71139, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 96, 29, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71140, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 71, 26, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71141, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 304, 27, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71142, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 90, 4, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71143, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 211, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71144, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 112, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71145, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 367, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71146, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 24, 3, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71147, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 1440, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71148, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 271, 30, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71149, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 77, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71150, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 123, 17, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71151, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1150, 3, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71152, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 417, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71153, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 601, 5, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71154, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 252, 55, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71155, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 388, 2, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71156, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 7, 1, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71157, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2397, 12, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71158, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1332, 4, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71159, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 74, 26, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71160, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 413, 19, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71161, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 154, 14, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71162, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 21, 3, 2023, 10, 17, '2024-08-05 14:01:37', NULL, NULL), (71163, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 162, 151, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71164, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 154, 40, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71165, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 373, 41, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71166, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 118, 292, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71167, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 601, 80, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71168, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 72, 399, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71169, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 352, 72, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71170, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 120, 186, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71171, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 937, 286, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71172, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 72, 400, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71173, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 259, 83, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71174, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 601, 80, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71175, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 352, 72, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71176, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 118, 292, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71177, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 162, 151, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71178, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 934, 287, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71179, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 120, 186, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71180, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 226, 42, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71181, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 162, 151, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71182, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 366, 74, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71183, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 707, 120, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71184, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 185, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71185, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 432, 44, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71186, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 7, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71187, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1309, 12, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71188, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 109, 26, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71189, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 850, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71190, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 8, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71191, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 220, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71192, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1015, 12, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71193, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 656, 11, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71194, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 130, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71195, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 6, 32, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71196, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 76, 155, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71197, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 493, 2, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71198, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 300, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71199, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1934, 77, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71200, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 686, 5, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71201, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 8, 2, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71202, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 67, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71203, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 493, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 503, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 1271, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 432, 15, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 20, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 218, 5, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 8, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1784, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 432, 29, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 10, 23, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 84, 39, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 71, 12, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1847, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 824, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 124, 30, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 3101, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1301, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 121, 22, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1153, 7, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1703, 5, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 100, 24, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2172, 12, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 77, 37, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1605, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 118, 17, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 92, 31, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1358, 7, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 127, 18, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 107, 13, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 192, 22, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 222, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 77, 24, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 118, 49, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 53, 39, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 609, 24, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 91, 26, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 74, 29, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 106, 18, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 96, 23, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 130, 16, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 83, 27, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 6, 19, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 115, 21, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 97, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 197, 5, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 42, 22, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 25, 21, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 27, 24, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 102, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 48, 2, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 585, 9, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 536, 15, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 21, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 92, 23, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 61, 15, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 45, 25, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 96, 26, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 288, 18, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 179, 24, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 176, 24, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 109, 26, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 8, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 95, 18, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 73, 18, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 95, 29, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 82, 37, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 5, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 22, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 63, 17, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 7, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2, 7, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 75, 16, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 2, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 385, 2, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 850, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 45, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 856, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 29, 12, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 5, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 655, 66, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 44, 9, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 13, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 15, 14, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (71290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 285, 11, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 48, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 300, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 7, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 366, 74, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 176, 5, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 11, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 769, 54, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 970, 11, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 991, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 3060, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1819, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1744, 16, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 220, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 981, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 5, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 794, 9, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 69, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71308, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 8, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71309, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1309, 12, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71310, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 722, 10, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71311, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 300, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71312, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 185, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71313, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 162, 151, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71314, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 493, 2, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71315, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1015, 12, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71316, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 707, 120, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71317, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 366, 74, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71318, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 226, 42, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71319, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 109, 26, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71320, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 6, 32, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71321, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 8, 2, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71322, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 67, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71323, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 7, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71324, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1934, 77, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71325, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 686, 5, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71326, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 432, 44, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71327, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 220, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71328, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 850, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71329, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 76, 155, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71330, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 493, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71331, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 130, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71332, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 7, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71333, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 503, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71334, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 1271, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71335, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 5, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71336, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 856, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71337, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 8, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71338, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 366, 74, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71339, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 42, 22, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71340, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 83, 27, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71341, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 74, 29, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71342, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 96, 23, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71343, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 609, 24, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71344, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 91, 26, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71345, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 11, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71346, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 97, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71347, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 69, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71348, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 75, 16, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71349, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 63, 17, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71350, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 29, 12, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71351, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 45, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71352, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 95, 18, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71353, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 220, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71354, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 300, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71355, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 794, 9, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71356, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 82, 37, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71357, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 95, 29, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71358, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 73, 18, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71359, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 5, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71360, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 385, 2, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71361, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 22, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71362, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71363, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 981, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71364, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1358, 7, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71365, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 288, 18, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71366, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71367, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1784, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71368, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 13, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71369, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 179, 24, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71370, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 20, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71371, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 218, 5, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71372, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 3060, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71373, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1819, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71374, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1744, 16, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71375, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 7, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71376, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 2, 7, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71377, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71378, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 769, 54, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71379, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71380, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 655, 66, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71381, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 2, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71382, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 5, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71383, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 850, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71384, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E28', 493, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71385, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1703, 5, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71386, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 824, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71387, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1301, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71388, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 3101, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71389, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1153, 7, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71390, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2172, 12, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71391, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 109, 26, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71392, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1605, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71393, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 432, 15, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71394, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1847, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71395, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 432, 29, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71396, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 15, 14, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71397, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 285, 11, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71398, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 5, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71399, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 44, 9, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71400, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 48, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71401, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 300, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71402, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 176, 5, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71403, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 11, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71404, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1744, 16, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71405, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1819, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71406, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 115, 21, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71407, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 53, 39, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71408, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 3060, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71409, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 69, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71410, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 794, 9, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71411, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 6, 19, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71412, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 96, 26, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71413, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 63, 17, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71414, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 75, 16, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71415, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1703, 5, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71416, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 45, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71417, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 29, 12, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71418, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71419, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 824, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71420, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 385, 2, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71421, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1301, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71422, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71423, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 45, 25, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71424, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 13, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71425, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 61, 15, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71426, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 27, 24, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71427, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 25, 21, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71428, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 655, 66, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71429, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 769, 54, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71430, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 366, 74, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71431, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 7, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71432, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 176, 24, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71433, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 8, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71434, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 109, 26, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71435, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 8, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71436, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 288, 18, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71437, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 432, 29, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71438, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 503, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71439, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 179, 24, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71440, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 95, 18, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71441, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 1271, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71442, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 82, 37, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71443, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 77, 24, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71444, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 222, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71445, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 432, 15, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71446, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 20, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71447, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 73, 18, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71448, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 118, 49, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71449, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 218, 5, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71450, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 95, 29, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71451, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2172, 12, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71452, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 127, 18, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71453, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 130, 16, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71454, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1153, 7, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71455, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 3101, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71456, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 192, 22, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71457, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 107, 13, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71458, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1847, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71459, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 106, 18, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71460, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 92, 23, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71461, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1358, 7, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71462, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1605, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71463, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 991, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71464, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1784, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71465, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 970, 11, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71466, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 91, 26, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71467, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 74, 29, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71468, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 609, 24, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71469, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 96, 23, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71470, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 83, 27, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71471, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 856, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71472, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71473, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 42, 22, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71474, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 850, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71475, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71476, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 7, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71477, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 22, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71478, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71479, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 7, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71480, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71481, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 981, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71482, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 5, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71483, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 220, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71484, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 197, 5, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71485, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 21, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71486, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 536, 15, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71487, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 97, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71488, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 77, 37, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71489, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 100, 24, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71490, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 102, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71491, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 121, 22, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71492, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 124, 30, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71493, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 585, 9, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71494, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 71, 12, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71495, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 48, 2, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71496, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 84, 39, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71497, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 10, 23, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71498, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 92, 31, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71499, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 118, 17, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71500, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1358, 7, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71501, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1605, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71502, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 503, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71503, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 220, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71504, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 3101, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71505, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1847, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71506, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2172, 12, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71507, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 1271, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71508, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1153, 7, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71509, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 13, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71510, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 73, 18, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71511, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 95, 29, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71512, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 82, 37, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71513, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 95, 18, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71514, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71515, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 22, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71516, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 7, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71517, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71518, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71519, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 7, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71520, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1784, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71521, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 218, 5, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71522, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 20, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71523, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 432, 29, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71524, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 432, 15, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71525, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 3060, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71526, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1819, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71527, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 850, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71528, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1744, 16, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71529, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71530, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 8, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71531, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 42, 22, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71532, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 655, 66, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71533, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71534, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 366, 74, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71535, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 769, 54, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71536, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 385, 2, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71537, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 74, 29, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71538, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 96, 23, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71539, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 83, 27, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71540, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 609, 24, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71541, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 91, 26, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71542, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 300, 6, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71543, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 794, 9, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71544, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 69, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71545, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 7, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71546, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 11, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71547, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 97, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71548, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 179, 24, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71549, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 45, 8, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71550, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 29, 12, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71551, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 288, 18, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71552, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 109, 26, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71553, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1301, 3, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71554, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1703, 5, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71555, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 5, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71556, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 5, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71557, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 981, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71558, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 824, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71559, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E28', 493, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71560, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 63, 17, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71561, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 75, 16, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71562, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 856, 4, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71563, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 1, 2023, 10, 18, '2024-08-05 14:01:38', NULL, NULL), (71564, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 66, 125, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71565, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 31, 62, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71566, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 188, 249, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71567, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1098, 55, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71568, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 264, 67, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71569, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 83, 418, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71570, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1513, 104, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71571, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 171, 217, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71572, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 723, 239, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71573, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 82, 420, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71574, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 533, 117, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71575, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 264, 67, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71576, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1513, 104, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71577, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 187, 250, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71578, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 66, 125, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71579, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 723, 239, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71580, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 171, 217, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71581, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 890, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71582, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 455, 38, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71583, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 66, 125, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71584, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 317, 39, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71585, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 628, 105, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71586, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 478, 2, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71587, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 67, 28, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71588, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 362, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71589, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 576, 16, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71590, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 203, 24, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71591, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 37, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71592, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 143, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71593, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 403, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71594, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 298, 12, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71595, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1199, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71596, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 39, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71597, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1270, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71598, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 4, 45, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71599, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 58, 128, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71600, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 524, 10, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71601, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 216, 6, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71602, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1116, 76, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71603, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 107, 16, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71604, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 18, 9, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71605, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 255, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 847, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 23, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 50, 10, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 478, 2, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 890, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 143, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1186, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 77, 18, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 31, 5, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 53, 46, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 90, 34, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 597, 9, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1286, 12, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 70, 34, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 877, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 90, 25, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 303, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1137, 14, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 67, 34, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 839, 10, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 115, 45, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 921, 9, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 42, 11, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 72, 47, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 920, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 167, 28, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 143, 16, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 74, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 149, 19, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 359, 19, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 159, 42, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 112, 37, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 26, 20, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 23, 17, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 194, 23, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 30, 25, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 194, 18, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 61, 21, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 233, 14, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 45, 18, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 226, 17, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 115, 22, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 845, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 5, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 29, 21, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 25, 20, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 14, 18, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 512, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 328, 5, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1346, 22, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 477, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 7636, 2, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 142, 16, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 35, 12, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 177, 28, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 627, 16, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 416, 48, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 330, 22, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 203, 24, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1968, 5, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 59, 21, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 64, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 66, 31, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 74, 29, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 2, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 13, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 9, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 11, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 42, 21, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 34, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 6, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 38, 6, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 37, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 26, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 121, 14, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 660, 53, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 5, 6, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 17, 2, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 2, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 53, 11, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 29, 5, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 75, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 2, 2, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 15, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 190, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 1270, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 362, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 317, 39, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 300, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 228, 5, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 596, 52, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 2861, 21, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 2250, 30, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1284, 10, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1377, 10, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 577, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (71704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 403, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 689, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 506, 9, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 1300, 6, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 593, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71709, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 143, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71710, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 576, 16, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71711, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1199, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71712, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 216, 6, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71713, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 478, 2, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71714, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 66, 125, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71715, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 298, 12, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71716, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 524, 10, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71717, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 39, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71718, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 628, 105, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71719, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 317, 39, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71720, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 455, 38, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71721, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 203, 24, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71722, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 4, 45, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71723, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 18, 9, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71724, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 255, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71725, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 362, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71726, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1116, 76, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71727, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 890, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71728, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 107, 16, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71729, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 67, 28, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71730, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 403, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71731, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 37, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71732, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 58, 127, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71733, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1270, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71734, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 362, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71735, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 847, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71736, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 23, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71737, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 2, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71738, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 121, 14, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71739, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 143, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71740, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 317, 39, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71741, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 29, 21, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71742, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 39, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71743, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 45, 18, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71744, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 30, 25, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71745, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 61, 21, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71746, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 23, 17, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71747, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 194, 23, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71748, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 228, 5, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71749, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 300, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71750, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 593, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71751, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 890, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71752, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 34, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71753, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 42, 21, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71754, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 26, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71755, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 38, 6, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71756, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 59, 21, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71757, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 403, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71758, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 216, 6, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71759, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 1300, 6, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71760, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 74, 29, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71761, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 66, 31, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71762, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 64, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71763, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 506, 9, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71764, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 15, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71765, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71766, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 689, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71767, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 920, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71768, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 627, 16, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71769, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 17, 2, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71770, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1186, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71771, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 75, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71772, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 2, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71773, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 330, 22, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71774, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 478, 2, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71775, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 1270, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71776, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 577, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71777, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1284, 10, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71778, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1377, 10, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71779, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 11, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71780, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 6, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71781, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 13, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71782, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 596, 52, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71783, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 9, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71784, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 660, 53, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71785, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71786, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 37, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71787, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 303, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71788, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 597, 9, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71789, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 877, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71790, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1137, 14, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71791, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 839, 10, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71792, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 203, 24, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71793, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 921, 9, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71794, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 50, 10, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71795, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1286, 12, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71796, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 77, 18, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71797, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 53, 11, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71798, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 29, 5, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71799, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 5, 6, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71800, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 1270, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71801, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 2, 2, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71802, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 190, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71803, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 300, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71804, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 228, 5, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71805, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 577, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71806, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1377, 10, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71807, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 115, 22, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71808, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 26, 20, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71809, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1284, 10, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71810, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 593, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71811, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 1300, 6, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71812, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 226, 17, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71813, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 42, 21, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71814, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 34, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71815, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 303, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71816, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 38, 6, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71817, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 26, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71818, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 597, 9, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71819, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 877, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71820, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 15, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71821, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 177, 28, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71822, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 75, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71823, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 2, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71824, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 35, 12, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71825, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 17, 2, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71826, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 14, 18, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71827, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 25, 20, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71828, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 660, 53, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71829, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 596, 52, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71830, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 317, 39, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71831, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 362, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71832, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 416, 48, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71833, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1968, 5, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71834, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 203, 24, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71835, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 143, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71836, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 627, 16, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71837, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 77, 18, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71838, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 847, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71839, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 330, 22, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71840, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 890, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71841, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 59, 21, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71842, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 359, 19, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71843, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 23, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71844, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 74, 29, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71845, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 50, 10, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71846, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 149, 19, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71847, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 64, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71848, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 112, 37, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71849, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 478, 2, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71850, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 159, 42, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71851, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 66, 31, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71852, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 839, 10, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71853, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 167, 28, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71854, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1137, 14, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71855, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 233, 14, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71856, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 74, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71857, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1286, 12, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71858, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 143, 16, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71859, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 194, 18, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71860, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 142, 16, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71861, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 920, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71862, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 921, 9, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71863, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 2250, 30, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71864, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1186, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71865, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 2861, 21, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71866, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 194, 23, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71867, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 30, 25, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71868, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 23, 17, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71869, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 61, 21, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71870, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 45, 18, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71871, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 121, 14, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71872, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 2, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71873, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 29, 21, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71874, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 37, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71875, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 9, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71876, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 11, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71877, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71878, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 13, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71879, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 6, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71880, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71881, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 689, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71882, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 506, 9, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71883, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 403, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71884, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 5, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71885, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 7636, 2, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71886, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 477, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71887, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 845, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71888, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 115, 45, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71889, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 67, 34, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71890, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 90, 25, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71891, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 512, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71892, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 70, 34, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71893, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1346, 22, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71894, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 90, 34, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71895, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 328, 5, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71896, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 53, 46, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71897, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 31, 5, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71898, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 72, 47, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71899, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 42, 11, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71900, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 920, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71901, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 921, 9, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71902, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 847, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71903, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 403, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71904, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1286, 12, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71905, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 839, 10, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71906, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 23, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71907, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1137, 14, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71908, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 2, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71909, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 17, 2, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71910, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 64, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71911, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 66, 31, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71912, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 74, 29, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71913, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 59, 21, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71914, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 13, 7, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71915, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71916, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 11, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71917, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 9, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71918, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71919, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 6, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71920, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 39, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71921, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1186, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71922, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 478, 2, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71923, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 77, 18, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71924, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 50, 10, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71925, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1284, 10, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71926, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 37, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71927, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 577, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71928, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1377, 10, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71929, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 15, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71930, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 75, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71931, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 143, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71932, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 1270, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71933, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 29, 21, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71934, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 660, 53, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71935, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 317, 39, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71936, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 596, 52, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71937, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 30, 25, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71938, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 61, 21, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71939, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 45, 18, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71940, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 23, 17, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71941, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 194, 23, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71942, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 216, 6, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71943, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 1300, 6, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71944, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 593, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71945, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 362, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71946, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 890, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71947, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 228, 5, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71948, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 300, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71949, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 330, 22, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71950, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 38, 6, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71951, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 26, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71952, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 627, 16, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71953, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 877, 3, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71954, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 203, 24, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71955, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 303, 4, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71956, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 506, 9, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71957, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 689, 1, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71958, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 597, 9, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71959, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 42, 21, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71960, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 34, 8, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71961, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 121, 14, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71962, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 2, 2023, 10, 19, '2024-08-05 14:01:39', NULL, NULL), (71963, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 46, 128, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71964, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 2811, 34, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71965, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1550, 52, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71966, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 167, 281, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71967, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 689, 54, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71968, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 469, 420, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71969, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1125, 111, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71970, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 136, 210, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71971, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1065, 238, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71972, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 469, 420, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71973, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 1894, 93, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71974, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 689, 54, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71975, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1125, 111, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71976, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 165, 283, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71977, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 46, 128, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71978, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1065, 238, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71979, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 135, 211, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71980, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 196, 25, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71981, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 46, 128, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71982, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 101, 42, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71983, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 969, 110, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71984, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1562, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71985, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 279, 30, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71986, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 760, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71987, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 225, 41, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71988, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1267, 9, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71989, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 644, 7, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71990, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 300, 15, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71991, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1823, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71992, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 882, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71993, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 8, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71994, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 208, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71995, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 20, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71996, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 82, 123, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71997, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 529, 9, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71998, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 1227, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (71999, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 195, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72000, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1750, 80, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72001, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 12013, 7, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72002, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72003, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 154, 9, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1823, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 313, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1562, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 644, 7, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1195, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 262, 20, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 667, 53, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 615, 30, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1500, 11, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 585, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 456, 31, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 563, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 604, 42, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1678, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2234, 9, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 468, 39, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1609, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 624, 47, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1705, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 509, 32, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 641, 37, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2100, 12, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 143, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 212, 24, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 177, 20, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 160, 13, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 99, 37, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 111, 29, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 110, 11, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 25, 28, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 44, 19, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 21, 21, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 117, 25, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 155, 18, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 220, 19, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 131, 16, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 40, 22, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 332, 12, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1552, 13, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 2177, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 14, 20, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 102, 33, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 166, 19, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 108, 4, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 1395, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 145, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 579, 18, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 4845, 8, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 5, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 119, 29, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 24, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 239, 36, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 196, 11, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 196, 14, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 153, 33, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 225, 41, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E01', 8, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1199, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 76, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 69, 12, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 72, 16, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 108, 22, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 16819, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 8, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 4, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 73, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 119, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 272, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 223, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 54, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1267, 9, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 59, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 998, 52, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 312, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 95, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 201, 7, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 161, 8, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 8, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 195, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 4, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 101, 42, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 354, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 54, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 944, 58, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 3179, 19, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 2359, 20, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1873, 11, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 714, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1814, 9, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 321, 14, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 848, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 492, 7, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 882, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72102, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 644, 7, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72103, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 760, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72104, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 882, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72105, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 195, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72106, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1562, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72107, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 46, 128, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72108, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1823, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72109, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 529, 9, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72110, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 969, 110, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72111, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 101, 42, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72112, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 196, 25, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (72113, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 225, 41, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72114, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 20, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72115, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72116, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 154, 9, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72117, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 1227, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72118, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1750, 80, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72119, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 16819, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72120, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 279, 30, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72121, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 321, 14, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72122, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '', 8, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72123, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1267, 9, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72124, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 82, 123, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72125, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 208, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72126, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1823, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72127, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 16819, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72128, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 644, 7, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72129, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 101, 42, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72130, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 14, 20, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72131, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 40, 22, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72132, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 21, 21, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72133, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 155, 18, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72134, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 25, 28, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72135, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 44, 19, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72136, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 54, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72137, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 354, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72138, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 119, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72139, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 73, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72140, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 59, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72141, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 54, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72142, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 76, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72143, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 321, 14, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72144, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 195, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72145, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 882, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72146, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 108, 22, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72147, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 72, 16, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72148, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 69, 12, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72149, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 492, 7, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72150, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 223, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72151, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 1227, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72152, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 8, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72153, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72154, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 272, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72155, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '2E01', 8, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72156, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 658, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72157, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2100, 12, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72158, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 196, 11, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72159, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1195, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72160, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72161, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 196, 14, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72162, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1562, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72163, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 4, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72164, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1814, 9, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72165, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1873, 11, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72166, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 714, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72167, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 4, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72168, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 2, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72169, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 8, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72170, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 944, 58, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72171, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72172, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 998, 52, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72173, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72174, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1267, 9, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72175, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1678, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72176, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 585, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72177, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 563, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72178, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2234, 9, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72179, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1609, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72180, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 225, 41, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72181, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1705, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72182, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 313, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72183, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1500, 11, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72184, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 262, 20, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72185, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 95, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72186, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 201, 7, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72187, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 312, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72188, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 4, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72189, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 161, 8, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72190, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 195, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72191, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 354, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72192, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 54, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72193, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1814, 9, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72194, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 714, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72195, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 332, 12, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72196, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 110, 11, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72197, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1873, 11, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72198, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 882, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72199, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 220, 19, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72200, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 239, 36, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72201, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 73, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72202, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 119, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72203, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1678, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72204, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 54, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72205, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 59, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72206, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 272, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72207, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 585, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72208, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 223, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72209, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 563, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72210, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 8, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72211, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 24, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72212, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 5, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72213, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72214, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 166, 19, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72215, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 102, 33, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72216, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 998, 52, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72217, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 944, 58, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72218, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 101, 42, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72219, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 153, 33, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72220, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1199, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72221, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 225, 41, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72222, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 644, 7, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72223, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E01', 8, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72224, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 196, 11, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72225, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 262, 20, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72226, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 196, 14, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72227, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1823, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72228, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 76, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72229, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 160, 13, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72230, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 108, 22, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72231, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 313, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72232, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 177, 20, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72233, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 69, 12, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72234, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 111, 29, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72235, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1562, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72236, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 99, 37, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72237, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 72, 16, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72238, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1609, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72239, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2234, 9, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72240, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 131, 16, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72241, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 212, 24, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72242, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1500, 11, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72243, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 143, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72244, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 117, 25, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72245, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 119, 29, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72246, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2100, 12, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72247, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1705, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72248, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 2359, 20, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72249, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1195, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72250, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 3179, 19, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72251, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 44, 19, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72252, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 21, 21, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72253, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 25, 28, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72254, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 155, 18, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72255, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 40, 22, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72256, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 16819, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72257, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 14, 20, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72258, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1267, 9, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72259, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72260, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72261, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72262, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 8, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72263, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72264, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72265, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 848, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72266, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 492, 7, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72267, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 321, 14, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72268, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 2177, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72269, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 4845, 8, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72270, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 579, 18, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72271, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1552, 13, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72272, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 624, 47, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72273, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 468, 39, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72274, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 108, 4, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72275, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 604, 42, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72276, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 456, 31, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72277, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 145, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72278, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 615, 30, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72279, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 1395, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72280, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 667, 53, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72281, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 641, 37, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72282, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 509, 32, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72283, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2100, 12, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72284, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1705, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72285, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1823, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72286, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 321, 14, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72287, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1500, 11, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72288, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1609, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72289, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2234, 9, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72290, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72291, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 69, 12, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72292, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 72, 16, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72293, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 108, 22, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72294, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 76, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72295, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 8, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72296, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72297, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72298, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72299, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72300, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72301, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1195, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72302, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1562, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72303, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 262, 20, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72304, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 313, 10, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72305, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1873, 11, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72306, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1267, 9, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72307, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1814, 9, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72308, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 714, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72309, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 8, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72310, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 644, 7, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72311, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 4, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72312, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 14, 20, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72313, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 998, 52, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72314, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 272, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72315, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 101, 42, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72316, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 944, 58, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72317, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 223, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72318, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 21, 21, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72319, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 155, 18, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72320, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 40, 22, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72321, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 25, 28, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72322, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 44, 19, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72323, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 195, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72324, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 882, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72325, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 54, 6, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72326, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 354, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72327, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 1227, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72328, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 196, 14, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72329, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 54, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72330, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 59, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72331, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 196, 11, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72332, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 225, 41, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72333, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 563, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72334, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1678, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72335, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '2E01', 8, 1, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72336, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 492, 7, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72337, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 658, 2, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72338, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 585, 3, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72339, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 73, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72340, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 119, 17, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72341, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 16819, 5, 2023, 10, 20, '2024-08-05 14:01:40', NULL, NULL), (72342, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 114, 16, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72343, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 119, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72344, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 224, 89, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72345, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 18, 3, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72346, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 128, 26, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72347, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 222, 90, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72348, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 0, 2, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72349, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 119, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72350, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 3, 15, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72351, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 108, 17, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72352, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72353, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 119, 28, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72354, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 71, 7, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72355, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 142, 5, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72356, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72357, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 188, 3, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72358, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72359, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 0, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72360, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72361, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 150, 19, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72362, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 119, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72363, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 91, 6, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 188, 3, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 18, 3, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 150, 19, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 100, 21, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 237, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 142, 5, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 39, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 112, 13, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 6, 2, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 91, 6, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 15, 2, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 64, 3, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 437, 36, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 119, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 41, 5, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 33, 14, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72380, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 71, 7, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72381, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 119, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72382, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 150, 19, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72383, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 188, 3, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72384, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 142, 5, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72385, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 91, 6, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72386, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 15, 2, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72387, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 64, 3, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72388, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 142, 5, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72389, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 237, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72390, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 91, 6, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72391, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 39, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72392, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 188, 3, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72393, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 119, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72394, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 150, 19, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72395, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 142, 5, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72396, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 188, 3, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72397, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 119, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72398, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 18, 3, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72399, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 6, 2, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72400, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 91, 6, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72401, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 64, 3, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72402, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 15, 2, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72403, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 39, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72404, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 237, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72405, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 437, 36, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72406, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 150, 19, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72407, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 112, 13, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72408, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 100, 21, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72409, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 41, 5, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72410, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 33, 14, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72411, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 119, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72412, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 64, 3, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72413, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 188, 3, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72414, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 142, 5, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72415, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 237, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72416, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 150, 19, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72417, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 39, 1, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72418, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 15, 2, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72419, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 91, 6, 2023, 10, 21, '2024-08-05 14:01:41', NULL, NULL), (72420, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 230, 15, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72421, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 91, 41, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72422, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 324, 15, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72423, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 372, 6, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72424, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 91, 41, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72425, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 372, 6, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72426, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 230, 15, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72427, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 324, 15, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72428, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 39, 6, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72429, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 45, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72430, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 514, 9, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72431, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 36, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72432, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 264, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72433, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 238, 8, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72434, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 859, 1, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 514, 9, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 372, 6, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 95, 7, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 45, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 95, 1, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 79, 6, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 36, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 13, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 859, 1, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 62, 4, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 264, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 69, 1, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 238, 8, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 28, 3, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 66, 8, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 24, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 133, 13, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72452, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 36, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72453, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 514, 9, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72454, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 859, 1, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72455, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 45, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72456, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 238, 8, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72457, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 39, 6, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72458, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 264, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72459, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 264, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72460, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 859, 1, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72461, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 24, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72462, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 36, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72463, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 13, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72464, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 45, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72465, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 95, 1, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72466, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 69, 1, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72467, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 514, 9, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72468, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 238, 8, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72469, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 45, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72470, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 372, 6, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72471, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 859, 1, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72472, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 36, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72473, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 238, 8, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72474, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 24, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72475, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 264, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72476, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 13, 2, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72477, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 95, 1, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72478, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 133, 13, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72479, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 62, 4, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72480, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 514, 9, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72481, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 69, 1, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72482, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 79, 6, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72483, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 95, 7, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72484, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 28, 3, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72485, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 66, 8, 2023, 10, 22, '2024-08-05 14:01:41', NULL, NULL), (72486, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 238, 8, 2023, 10, 22, '2024-08-05 14:01:42', NULL, NULL), (72487, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 24, 2, 2023, 10, 22, '2024-08-05 14:01:42', NULL, NULL), (72488, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 45, 2, 2023, 10, 22, '2024-08-05 14:01:42', NULL, NULL), (72489, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 36, 2, 2023, 10, 22, '2024-08-05 14:01:42', NULL, NULL), (72490, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 514, 9, 2023, 10, 22, '2024-08-05 14:01:42', NULL, NULL), (72491, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 95, 1, 2023, 10, 22, '2024-08-05 14:01:42', NULL, NULL), (72492, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 13, 2, 2023, 10, 22, '2024-08-05 14:01:42', NULL, NULL), (72493, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 264, 2, 2023, 10, 22, '2024-08-05 14:01:42', NULL, NULL), (72494, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 69, 1, 2023, 10, 22, '2024-08-05 14:01:42', NULL, NULL), (72495, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 859, 1, 2023, 10, 22, '2024-08-05 14:01:42', NULL, NULL), (72496, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 94, 140, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72497, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 163, 63, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72498, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 284, 40, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72499, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 222, 296, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72500, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 669, 61, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72501, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 173, 506, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72502, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 339, 294, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72503, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 447, 102, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72504, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 937, 235, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72505, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 172, 508, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72506, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 208, 104, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72507, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 669, 61, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72508, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 447, 102, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72509, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 219, 299, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72510, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 94, 140, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (72511, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 933, 236, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72512, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 339, 294, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72513, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 368, 10, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72514, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 398, 39, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72515, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 94, 140, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72516, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 380, 49, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72517, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1413, 99, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72518, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1279, 7, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72519, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 8, 7, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72520, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 239, 25, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72521, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 11, 43, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72522, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 61, 130, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72523, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 111, 3, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72524, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1580, 11, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72525, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 183, 6, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72526, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1119, 6, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72527, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 825, 70, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72528, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 181, 46, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72529, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 561, 10, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72530, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 917, 8, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72531, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 382, 11, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72532, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 98, 4, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72533, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 5, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72534, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 469, 9, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72535, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 786, 15, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 323, 3, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 902, 12, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 465, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1279, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 917, 8, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 152, 18, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 233, 26, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 110, 28, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1459, 8, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 10, 1, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 243, 32, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1735, 2, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 771, 11, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 192, 39, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 726, 1, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1079, 3, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 160, 46, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1081, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 181, 40, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 794, 10, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 239, 38, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 249, 39, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 969, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 868, 10, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 337, 21, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 408, 39, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 313, 21, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 452, 11, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 259, 54, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 173, 60, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 159, 21, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 95, 19, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 14, 23, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 28, 26, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 559, 23, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 35, 25, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 401, 27, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 56, 25, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 79, 25, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 338, 40, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 536, 6, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 23, 4, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 364, 22, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 115, 40, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 69, 42, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 73, 4, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 234, 4, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 303, 5, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 331, 14, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 227, 3, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 29, 21, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 304, 28, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 88, 29, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 240, 42, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 342, 20, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 458, 19, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 436, 45, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 181, 46, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 342, 8, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 55, 17, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 52, 14, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 45, 27, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 71, 18, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 2, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 10, 11, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 24, 4, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 12, 6, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 8, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 66, 22, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 5, 5, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 78, 18, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 17, 9, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 11, 4, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 5, 3, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 624, 9, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 63, 14, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 466, 9, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 180, 2, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1294, 55, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 128, 15, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 454, 13, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 151, 19, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 5, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 183, 6, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 111, 3, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 388, 48, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 34, 1, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1561, 44, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1888, 7, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 537, 9, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 290, 1, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 592, 6, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 783, 7, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 134, 3, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 603, 7, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1580, 11, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 368, 10, 2023, 10, 23, '2024-08-05 14:01:42', NULL, NULL), (72633, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 917, 8, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72634, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1119, 6, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72635, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 368, 10, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72636, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 183, 6, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72637, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1279, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72638, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 94, 140, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72639, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 786, 15, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72640, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1580, 11, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72641, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1413, 99, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72642, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 388, 48, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72643, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 398, 39, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72644, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 181, 46, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72645, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 11, 43, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72646, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 5, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72647, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 131, 3, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72648, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 111, 3, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72649, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 825, 70, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72650, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 382, 11, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72651, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 239, 25, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72652, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 603, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72653, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 624, 9, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72654, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 61, 130, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72655, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 8, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72656, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 111, 3, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72657, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 323, 3, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72658, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 902, 12, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72659, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 2, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72660, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 466, 9, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72661, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 917, 8, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72662, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 388, 48, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72663, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 364, 22, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72664, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 56, 25, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72665, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 28, 26, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72666, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 35, 25, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72667, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 95, 19, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72668, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 14, 23, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72669, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 34, 1, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72670, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 78, 18, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72671, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 66, 22, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72672, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 63, 14, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72673, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 55, 17, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72674, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 603, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72675, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 183, 6, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72676, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 368, 10, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72677, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 71, 18, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72678, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 45, 27, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72679, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 52, 14, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72680, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 5, 3, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72681, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 5, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72682, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 10, 11, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72683, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 11, 4, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72684, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 969, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72685, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1580, 11, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72686, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 342, 20, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72687, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 458, 19, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72688, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1279, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72689, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 783, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72690, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 134, 3, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72691, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 537, 9, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72692, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 290, 1, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72693, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 592, 6, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72694, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 8, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72695, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 5, 5, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72696, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 24, 4, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72697, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1561, 44, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72698, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 12, 6, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72699, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1294, 55, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72700, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 17, 9, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72701, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 180, 2, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72702, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 624, 9, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72703, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1079, 3, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72704, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 10, 1, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72705, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1735, 2, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72706, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 771, 11, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72707, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 726, 1, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72708, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1081, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72709, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 181, 46, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72710, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 794, 10, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72711, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 465, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72712, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1459, 8, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72713, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 152, 18, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72714, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 454, 13, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72715, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 151, 19, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72716, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 180, 2, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72717, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 128, 15, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72718, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 183, 6, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72719, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 34, 1, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72720, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 134, 3, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72721, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 783, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72722, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 592, 6, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72723, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 290, 1, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72724, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 338, 40, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72725, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 537, 9, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72726, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 159, 21, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72727, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 368, 10, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72728, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 79, 25, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72729, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 240, 42, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72730, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 66, 22, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72731, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 78, 18, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72732, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1079, 3, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72733, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 63, 14, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72734, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 11, 4, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72735, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 10, 1, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72736, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 5, 3, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72737, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1735, 2, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72738, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 5, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72739, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 88, 29, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72740, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 29, 21, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72741, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 69, 42, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72742, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 115, 40, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72743, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1294, 55, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72744, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1561, 44, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72745, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 388, 48, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72746, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 111, 3, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72747, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 436, 45, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72748, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 342, 8, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72749, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 917, 8, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72750, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 181, 46, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72751, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 152, 18, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72752, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 342, 20, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72753, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 458, 19, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72754, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 323, 3, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72755, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 55, 17, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72756, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 452, 11, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72757, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 902, 12, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72758, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 71, 18, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72759, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 465, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72760, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 313, 21, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72761, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 173, 60, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72762, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 52, 14, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72763, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1279, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72764, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 259, 54, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72765, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 45, 27, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72766, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1081, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72767, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 868, 10, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72768, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 726, 1, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72769, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 401, 27, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72770, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 408, 39, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72771, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 771, 11, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72772, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1459, 8, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72773, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 337, 21, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72774, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 559, 23, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72775, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 304, 28, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72776, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 969, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72777, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 794, 10, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72778, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1888, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72779, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 14, 23, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72780, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 28, 26, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72781, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 95, 19, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72782, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 35, 25, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72783, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 56, 25, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72784, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 466, 9, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72785, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 2, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72786, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 364, 22, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72787, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 624, 9, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72788, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 12, 6, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72789, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 8, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72790, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 10, 11, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72791, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 24, 4, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72792, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 5, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72793, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 17, 9, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72794, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1580, 11, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72795, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 603, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72796, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 23, 4, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72797, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 227, 3, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72798, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 331, 14, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72799, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 536, 6, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72800, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 181, 40, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72801, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 160, 46, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72802, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 73, 4, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72803, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 192, 39, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72804, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 243, 32, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72805, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 303, 5, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72806, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 110, 28, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72807, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 234, 4, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72808, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 233, 26, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72809, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 249, 39, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72810, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 239, 38, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72811, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 969, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72812, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 794, 10, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72813, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 323, 3, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72814, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 603, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72815, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 771, 11, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72816, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1459, 8, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72817, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1081, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72818, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 902, 12, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72819, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 726, 1, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72820, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 52, 14, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72821, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 45, 27, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72822, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 71, 18, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72823, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 55, 17, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72824, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 24, 4, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72825, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 10, 11, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72826, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 8, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72827, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 12, 6, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72828, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 17, 9, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72829, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 5, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72830, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1279, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72831, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 152, 18, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72832, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 465, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72833, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 290, 1, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72834, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 624, 9, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72835, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 537, 9, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72836, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 783, 7, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72837, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 592, 6, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72838, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 134, 3, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72839, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 5, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72840, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 917, 8, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72841, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 364, 22, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72842, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1294, 55, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72843, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 11, 4, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72844, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 388, 48, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72845, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1561, 44, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72846, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 5, 3, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72847, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 28, 26, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72848, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 35, 25, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72849, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 56, 25, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72850, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 95, 19, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72851, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 14, 23, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72852, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 183, 6, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72853, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 368, 10, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72854, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 111, 3, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72855, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 34, 1, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72856, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 458, 19, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72857, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 63, 14, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72858, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 342, 20, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72859, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1735, 2, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72860, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 181, 46, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72861, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1079, 3, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72862, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 180, 2, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72863, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1580, 11, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72864, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 10, 1, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72865, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 66, 22, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72866, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 78, 18, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72867, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 466, 9, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72868, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 2, 2023, 10, 23, '2024-08-05 14:01:43', NULL, NULL), (72869, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 134, 155, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72870, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 192, 62, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72871, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1065, 50, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72872, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 150, 311, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72873, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 196, 55, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72874, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 179, 468, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72875, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 627, 93, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72876, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 253, 198, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72877, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 613, 268, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72878, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 179, 469, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72879, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 562, 116, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72880, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 196, 55, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72881, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 627, 93, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72882, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 147, 318, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72883, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 134, 155, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72884, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 610, 269, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72885, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 253, 198, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72886, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 213, 37, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72887, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 181, 47, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72888, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 134, 155, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72889, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 220, 91, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72890, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 496, 5, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72891, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 76, 29, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72892, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 934, 7, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72893, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 148, 1, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72894, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 789, 2, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72895, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 209, 46, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72896, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 473, 7, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72897, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 302, 6, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72898, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 160, 8, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72899, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 212, 12, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72900, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 118, 8, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72901, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 67, 1, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72902, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 30, 6, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72903, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 9, 35, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72904, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 55, 156, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72905, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 574, 8, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72906, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 686, 2, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72907, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 224, 8, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72908, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1209, 106, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72909, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 361, 23, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72910, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 10, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72911, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 120, 4, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 465, 4, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 85, 8, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 40, 8, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 438, 6, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 302, 6, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 935, 5, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 89, 21, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 214, 38, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 178, 30, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1298, 1, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1102, 8, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 301, 38, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1207, 12, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (72925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 281, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 251, 36, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 249, 33, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1279, 10, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 146, 45, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1177, 20, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 200, 44, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 223, 33, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1350, 11, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 262, 8, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 315, 17, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 216, 17, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 286, 29, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 248, 25, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 345, 36, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 117, 8, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 252, 29, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 100, 19, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 113, 32, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 97, 17, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 151, 25, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 226, 35, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 36, 24, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 353, 9, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 117, 21, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 220, 34, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 8445, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 119, 7, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 106, 31, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 10, 21, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 58, 29, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 41, 3, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 284, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 676, 14, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 357, 13, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 650, 5, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 177, 24, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 32, 19, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 47, 15, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 268, 44, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 177, 14, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 196, 28, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 236, 23, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 209, 46, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1045, 6, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 38, 15, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 70, 22, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 62, 39, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 54, 27, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 458, 13, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 9, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 22, 7, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 3, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 14, 7, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 43, 20, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 2, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 61, 19, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 7, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 40, 4, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 5, 1, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 828, 4, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 44, 14, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 234, 10, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 221, 45, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 6, 3, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 93, 12, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 478, 16, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 3, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 152, 14, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 4, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 207, 9, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 14, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (72997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 934, 7, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 181, 47, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (72999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 193, 2, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (73000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 47, 2, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (73001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 220, 46, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (73002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 2320, 15, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (73003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1037, 13, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (73004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1285, 17, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (73005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1364, 10, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (73006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1280, 1, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (73007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 878, 6, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (73008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 175, 4, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (73009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 156, 6, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (73010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 5, 1, 2023, 10, 24, '2024-08-05 14:01:43', NULL, NULL), (73011, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 302, 6, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73012, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 789, 2, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73013, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 135, 7, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73014, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 224, 8, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73015, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 496, 5, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73016, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 134, 155, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73017, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 212, 12, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73018, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 574, 8, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73019, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 67, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73020, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 220, 91, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73021, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 181, 47, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73022, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 213, 37, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73023, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 209, 46, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73024, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 9, 35, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73025, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 10, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73026, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 120, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73027, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 686, 2, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73028, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 934, 7, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73029, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1209, 106, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73030, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 361, 23, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73031, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 76, 29, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73032, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1280, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73033, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 828, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73034, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 148, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73035, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 55, 156, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73036, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 30, 6, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73037, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 934, 7, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73038, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 465, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73039, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 85, 8, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73040, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 458, 13, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73041, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 234, 10, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73042, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 302, 6, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73043, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 181, 47, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73044, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 106, 31, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73045, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 67, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73046, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 117, 21, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73047, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 97, 17, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73048, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 226, 35, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73049, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 100, 19, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73050, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 113, 32, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73051, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 47, 2, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73052, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 193, 2, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73053, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 5, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73054, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 61, 19, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73055, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 43, 20, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73056, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 44, 14, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73057, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 38, 15, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73058, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1280, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73059, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 148, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73060, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 224, 8, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73061, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 156, 6, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73062, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 54, 27, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73063, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 62, 39, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73064, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 70, 22, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73065, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 175, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73066, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 5, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73067, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 9, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73068, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 686, 2, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73069, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73070, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 40, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73071, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1350, 11, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73072, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 974, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73073, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 6, 3, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73074, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 177, 14, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73075, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 935, 5, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73076, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 3, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73077, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 236, 23, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73078, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 496, 5, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73079, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 14, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73080, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1364, 10, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73081, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1037, 13, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73082, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1285, 17, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73083, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 14, 7, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73084, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 2, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73085, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 22, 7, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73086, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 220, 46, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73087, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 4, 3, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73088, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 221, 45, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73089, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 7, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73090, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 828, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73091, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1298, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73092, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 281, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73093, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1207, 12, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73094, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1279, 10, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73095, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 209, 46, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73096, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1177, 20, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73097, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 40, 8, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73098, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1102, 8, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73099, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 89, 21, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73100, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 478, 16, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73101, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 152, 14, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73102, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 93, 12, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73103, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 14, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73104, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 207, 9, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73105, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 193, 2, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73106, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 47, 2, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73107, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1364, 10, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73108, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1285, 17, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73109, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 220, 34, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73110, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1037, 13, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73111, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 252, 29, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73112, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 5, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73113, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 156, 6, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73114, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 36, 24, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73115, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 268, 44, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73116, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 43, 20, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73117, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 61, 19, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73118, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 44, 14, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73119, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 40, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73120, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1298, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73121, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 5, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73122, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 281, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73123, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73124, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 3, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73125, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 47, 15, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73126, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 32, 19, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73127, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 6, 3, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73128, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 58, 29, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73129, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 10, 21, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73130, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 221, 45, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73131, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 220, 46, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73132, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 181, 47, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73133, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 934, 7, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73134, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 196, 28, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73135, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1045, 6, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73136, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 302, 6, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73137, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 209, 46, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73138, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 89, 21, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73139, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 177, 14, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73140, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 465, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73141, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 236, 23, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73142, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 38, 15, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73143, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 54, 27, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73144, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 85, 8, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73145, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 248, 25, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73146, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 40, 8, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73147, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 286, 29, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73148, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 70, 22, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73149, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 117, 8, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73150, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 438, 6, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73151, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 345, 36, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73152, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 62, 39, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73153, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 262, 8, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73154, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1279, 10, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73155, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 353, 9, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73156, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1207, 12, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73157, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 216, 17, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73158, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 315, 17, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73159, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1102, 8, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73160, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 151, 25, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73161, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 177, 24, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73162, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1350, 11, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73163, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1177, 20, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73164, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 935, 5, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73165, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 2320, 15, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73166, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 113, 32, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73167, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 97, 17, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73168, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 100, 19, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73169, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 226, 35, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73170, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 117, 21, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73171, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 234, 10, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73172, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 458, 13, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73173, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 106, 31, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73174, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 828, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73175, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 3, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73176, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 14, 7, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73177, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 9, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73178, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 22, 7, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73179, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 2, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73180, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 7, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73181, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 878, 6, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73182, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 175, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73183, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1280, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73184, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 119, 7, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73185, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 650, 5, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73186, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 357, 13, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73187, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 8445, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73188, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 146, 45, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73189, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 249, 33, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73190, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 41, 3, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73191, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 251, 36, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73192, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 301, 38, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73193, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 676, 14, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73194, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 178, 30, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73195, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 284, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73196, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 214, 38, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73197, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 223, 33, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73198, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 200, 44, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73199, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1350, 11, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73200, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1177, 20, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73201, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 465, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73202, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1280, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73203, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1207, 12, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73204, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1102, 8, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73205, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1279, 10, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73206, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 85, 8, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73207, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 6, 3, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73208, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 70, 22, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73209, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 62, 39, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73210, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 54, 27, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73211, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 38, 15, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73212, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 22, 7, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73213, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 9, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73214, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 14, 7, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73215, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 3, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73216, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 7, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73217, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 2, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73218, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 67, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73219, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 935, 5, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73220, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 496, 5, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73221, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 89, 21, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73222, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 40, 8, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73223, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 828, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73224, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1037, 13, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73225, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1364, 10, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73226, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1285, 17, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73227, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73228, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 3, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73229, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 302, 6, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73230, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 14, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73231, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 106, 31, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73232, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 221, 45, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73233, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 40, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73234, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 181, 47, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73235, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 220, 46, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73236, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 5, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73237, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 97, 17, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73238, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 226, 35, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73239, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 117, 21, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73240, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 100, 19, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73241, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 113, 32, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73242, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 224, 8, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73243, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 156, 6, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73244, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 5, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73245, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 934, 7, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73246, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 47, 2, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73247, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 193, 2, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73248, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 686, 2, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73249, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 236, 23, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73250, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 44, 14, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73251, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 148, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73252, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 177, 14, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73253, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 209, 46, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73254, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 281, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73255, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 175, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73256, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 974, 4, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73257, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1298, 1, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73258, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 43, 20, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73259, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 61, 19, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73260, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 234, 10, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73261, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 458, 13, 2023, 10, 24, '2024-08-05 14:01:44', NULL, NULL), (73262, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 111, 118, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73263, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 55, 36, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73264, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 543, 51, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73265, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 734, 283, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73266, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 542, 45, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73267, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 62, 345, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73268, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 133, 63, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73269, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 59, 163, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73270, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 629, 238, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73271, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 61, 346, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73272, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 341, 87, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73273, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 542, 45, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73274, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 131, 64, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73275, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 734, 283, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73276, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 111, 118, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73277, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 629, 238, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73278, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 59, 163, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73279, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 352, 31, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73280, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 111, 118, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73281, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 506, 57, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73282, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 200, 82, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73283, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 185, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73284, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 584, 22, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73285, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 573, 4, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73286, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 167, 7, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73287, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 229, 36, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73288, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 527, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73289, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 617, 7, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73290, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 17046, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73291, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 813, 7, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73292, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 4, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73293, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 119, 8, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73294, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 6, 24, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73295, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 107, 127, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73296, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1517, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73297, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 30, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73298, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 147, 12, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73299, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1184, 86, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73300, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 78, 10, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73301, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 370, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73302, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 43, 8, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 2837, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 3, 5, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 752, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 185, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 617, 7, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1242, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 521, 16, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 36, 24, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 68, 23, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1198, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 205, 4, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 88, 22, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 154, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1209, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 64, 20, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 99, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 56, 41, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1234, 10, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 30, 31, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 833, 17, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 41, 27, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 48, 36, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1307, 10, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 79, 18, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 113, 7, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 57, 19, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 60, 12, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 73, 24, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 39, 28, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 13, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 231, 20, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 63, 24, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 151, 19, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 54, 21, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 64, 18, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 54, 11, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 103, 18, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (73340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 46, 14, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 57, 29, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 736, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 70, 11, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 56, 19, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 48, 20, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 21, 21, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 45, 3, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 33, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 169, 10, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 918, 17, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1684, 3, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 46, 23, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 102, 13, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 292, 15, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 104, 29, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 222, 14, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 132, 31, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 460, 17, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 229, 36, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 420, 3, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 92, 23, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 118, 16, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 88, 24, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 105, 17, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 5, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 8, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 5, 3, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 7, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 5, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 139, 18, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 96, 18, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 12, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 24, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 405, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 527, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 132, 11, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 96, 8, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 186, 33, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 3, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 8, 11, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 70, 8, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 76, 11, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 162, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 4, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 20, 11, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 147, 12, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 573, 4, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 506, 57, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 577, 5, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 112, 4, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 209, 49, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 2192, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1039, 8, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1046, 11, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 17046, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 2863, 3, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 728, 7, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 4, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73400, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 617, 7, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73401, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 167, 7, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73402, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 4, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73403, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 147, 12, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73404, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 185, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73405, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 111, 118, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73406, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 813, 7, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73407, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1517, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73408, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 200, 82, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73409, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 506, 57, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73410, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 352, 31, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73411, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 229, 36, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73412, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 6, 24, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73413, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 43, 8, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73414, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 370, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73415, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 30, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73416, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 573, 4, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73417, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1184, 86, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73418, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 78, 10, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73419, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 584, 22, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73420, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 17046, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73421, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 527, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73422, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 107, 127, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73423, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 119, 8, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73424, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 573, 4, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73425, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 2837, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73426, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 3, 5, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73427, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 5, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73428, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 96, 8, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73429, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 617, 7, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73430, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 506, 57, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73431, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 56, 19, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73432, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 103, 18, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73433, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 151, 19, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73434, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 64, 18, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73435, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 231, 20, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73436, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 63, 24, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73437, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 112, 4, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73438, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 577, 5, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73439, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 96, 18, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73440, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 139, 18, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73441, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 132, 11, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73442, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 92, 23, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73443, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 17046, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73444, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 147, 12, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73445, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 4, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73446, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 105, 17, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73447, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 88, 24, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73448, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 118, 16, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73449, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 728, 7, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73450, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 405, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73451, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 30, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73452, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 4, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73453, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 8, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73454, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 24, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73455, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 4280, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73456, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1307, 10, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73457, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 3, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73458, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 222, 14, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73459, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1242, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73460, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 162, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73461, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 460, 17, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73462, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 185, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73463, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1046, 11, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73464, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 2192, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73465, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1039, 8, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73466, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 5, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73467, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73468, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 5, 3, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73469, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 209, 49, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73470, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 7, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73471, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 186, 33, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73472, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 12, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73473, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 527, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73474, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 99, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73475, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 205, 4, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73476, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 154, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73477, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1209, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73478, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1234, 10, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73479, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 229, 36, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73480, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 833, 17, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73481, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 752, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73482, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1198, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73483, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 521, 16, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73484, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 70, 8, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73485, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 76, 11, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73486, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 8, 11, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73487, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 20, 11, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73488, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 147, 12, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73489, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 577, 5, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73490, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 112, 4, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73491, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1046, 11, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73492, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1039, 8, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73493, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 57, 29, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73494, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 13, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73495, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 2192, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73496, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 4, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73497, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 46, 14, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73498, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 104, 29, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73499, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 139, 18, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73500, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 96, 18, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73501, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 99, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73502, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 132, 11, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73503, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 24, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73504, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 205, 4, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73505, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 405, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73506, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 154, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73507, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 4, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73508, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 292, 15, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73509, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 162, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73510, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 102, 13, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73511, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 3, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73512, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 21, 21, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73513, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 186, 33, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73514, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 48, 20, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73515, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 209, 49, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73516, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 506, 57, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73517, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 573, 4, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73518, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 132, 31, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73519, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 420, 3, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73520, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 617, 7, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73521, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 229, 36, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73522, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 521, 16, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73523, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 222, 14, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73524, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 2837, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73525, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 460, 17, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73526, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 92, 23, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73527, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 3, 5, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73528, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 60, 12, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73529, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 105, 17, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73530, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 57, 19, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73531, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 752, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73532, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 39, 28, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73533, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 118, 16, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73534, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 185, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73535, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 73, 24, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73536, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 88, 24, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73537, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1234, 10, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73538, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 54, 11, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73539, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 113, 7, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73540, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1209, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73541, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 79, 18, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73542, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1198, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73543, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 54, 21, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73544, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 46, 23, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73545, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1307, 10, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73546, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 833, 17, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73547, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1242, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73548, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 63, 24, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73549, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 151, 19, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73550, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 231, 20, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73551, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 64, 18, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73552, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 103, 18, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73553, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 96, 8, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73554, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73555, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 56, 19, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73556, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 527, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73557, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73558, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 5, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73559, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 8, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73560, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 5, 3, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73561, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73562, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 12, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73563, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 2863, 3, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73564, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 728, 7, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73565, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 17046, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73566, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 70, 11, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73567, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1684, 3, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73568, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 918, 17, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73569, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 736, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73570, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 30, 31, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73571, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 56, 41, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73572, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 45, 3, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73573, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 64, 20, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73574, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 88, 22, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73575, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 169, 10, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73576, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 68, 23, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73577, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 33, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73578, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 36, 24, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73579, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 48, 36, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73580, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 41, 27, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73581, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1307, 10, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73582, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 833, 17, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73583, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 2837, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73584, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 17046, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73585, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1209, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73586, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1198, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73587, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 3, 5, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73588, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1234, 10, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73589, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 3, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73590, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 118, 16, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73591, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 88, 24, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73592, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 105, 17, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73593, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 92, 23, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73594, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 5, 3, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73595, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 8, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73596, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 5, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73597, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73598, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 12, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73599, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73600, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1242, 9, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73601, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 185, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73602, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 521, 16, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73603, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 752, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73604, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 527, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73605, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 2192, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73606, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1046, 11, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73607, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1039, 8, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73608, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 4, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73609, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 162, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73610, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 617, 7, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73611, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 56, 19, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73612, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 186, 33, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73613, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 24, 6, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73614, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 506, 57, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73615, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 209, 49, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73616, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 405, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73617, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 151, 19, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73618, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 64, 18, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73619, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 103, 18, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73620, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 231, 20, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73621, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 63, 24, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73622, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 147, 12, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73623, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 4, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73624, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 573, 4, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73625, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 112, 4, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73626, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 577, 5, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73627, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 30, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73628, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 460, 17, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73629, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 132, 11, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73630, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 222, 14, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73631, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 154, 1, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73632, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 229, 36, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73633, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 99, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73634, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 728, 7, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73635, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 4280, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73636, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 205, 4, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73637, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 139, 18, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73638, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 96, 18, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73639, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 96, 8, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73640, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 2, 2023, 10, 25, '2024-08-05 14:01:45', NULL, NULL), (73641, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 148, 111, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73642, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 156, 38, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73643, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 651, 70, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73644, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 249, 281, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73645, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 299, 49, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73646, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 109, 412, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73647, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 535, 60, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73648, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 118, 139, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73649, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1066, 200, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73650, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 108, 414, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73651, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 468, 110, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73652, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 299, 49, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73653, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 535, 60, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73654, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 249, 281, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73655, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 148, 111, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73656, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1060, 201, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73657, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 118, 139, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73658, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 293, 33, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73659, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 176, 33, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73660, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 148, 111, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73661, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 899, 71, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73662, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1068, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73663, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 239, 21, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73664, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 7811, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73665, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 430, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73666, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 496, 8, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73667, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 172, 30, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73668, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1801, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73669, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 5, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73670, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 193, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73671, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 114, 12, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73672, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 165, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73673, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 41, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73674, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 296, 10, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73675, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 16, 25, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73676, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 78, 127, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73677, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 783, 9, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73678, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 2684, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73679, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 86, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73680, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1130, 85, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73681, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 11, 10, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73682, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 307, 8, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73683, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 19, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 136, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 91, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 191, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 903, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 225, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 5, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1399, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 254, 16, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 109, 33, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 113, 32, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 117, 32, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 550, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 954, 13, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1078, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1351, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 147, 30, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 103, 40, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 71, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1192, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 127, 40, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1013, 10, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 108, 27, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 119, 26, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 914, 8, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 59, 12, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 49, 10, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 35, 17, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 351, 12, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 201, 37, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 36, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 232, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 163, 17, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 146, 24, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 34, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 102, 26, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 101, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 153, 15, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 173, 28, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 157, 27, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1258, 9, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 453, 12, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 134, 15, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 35, 16, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 91, 26, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1025, 10, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 800, 7, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 311, 12, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 508, 18, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 25, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 50, 23, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 44, 21, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 32, 20, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 192, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 106, 34, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 367, 19, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 540, 20, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 172, 30, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E01', 41, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 3965, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 38, 17, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 37, 12, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 58, 25, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 60, 22, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 20, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 34, 7, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 19, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 7, 7, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 45, 20, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 5, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 225, 20, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 6, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 33, 7, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1801, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (73757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 37, 8, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 6, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 107, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 960, 26, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 8, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 84, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 257, 15, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 24, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 858, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 693, 18, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 86, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 908, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 7811, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 1411, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 176, 33, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 6, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 173, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 863, 45, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 2447, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1415, 10, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 593, 7, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1192, 12, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 193, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 2082, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 233, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 247, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73783, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 5, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73784, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 496, 8, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73785, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 247, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73786, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 86, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73787, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1068, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73788, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 148, 111, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73789, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 114, 12, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73790, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 783, 9, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73791, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 899, 71, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73792, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 176, 33, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73793, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 293, 33, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73794, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 172, 30, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73795, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 16, 25, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73796, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 19, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73797, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 307, 8, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73798, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 2684, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73799, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 7811, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73800, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1130, 85, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73801, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 11, 10, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73802, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 239, 21, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73803, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 193, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73804, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '', 41, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73805, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1801, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73806, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 430, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73807, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 78, 127, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73808, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 296, 10, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73809, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 7811, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73810, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 136, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73811, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 91, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73812, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 20, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73813, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 6, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73814, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 5, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73815, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 176, 33, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73816, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 134, 15, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73817, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 153, 15, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73818, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 146, 24, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73819, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 102, 26, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73820, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 232, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73821, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 163, 17, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73822, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 173, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73823, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 6, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73824, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 1411, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73825, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 225, 20, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73826, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 45, 20, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73827, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 107, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73828, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 37, 8, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73829, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 38, 17, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73830, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 193, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73831, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 739, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73832, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 225, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73833, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 86, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73834, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 247, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73835, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 60, 22, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73836, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 58, 25, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73837, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 37, 12, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73838, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 233, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73839, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 33, 7, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73840, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 2684, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73841, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 34, 7, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73842, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '2E01', 41, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73843, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1882, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73844, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 914, 8, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73845, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 192, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73846, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 8, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73847, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 24, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73848, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1399, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73849, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 367, 19, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73850, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1068, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73851, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 908, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73852, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1192, 12, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73853, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1415, 10, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73854, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 593, 7, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73855, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 7, 7, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73856, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 5, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73857, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 19, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73858, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 863, 45, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73859, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 960, 26, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73860, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 6, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73861, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1801, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73862, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 71, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73863, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 550, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73864, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1078, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73865, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1351, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73866, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1192, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73867, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 172, 30, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73868, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1013, 10, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73869, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 191, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73870, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 954, 13, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73871, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 254, 16, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73872, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 257, 15, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73873, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 858, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73874, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 84, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73875, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 908, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73876, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 693, 18, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73877, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 86, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73878, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 6, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73879, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 173, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73880, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 1411, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73881, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1192, 12, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73882, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 593, 7, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73883, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 157, 27, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73884, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 36, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73885, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1415, 10, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73886, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 247, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73887, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 173, 28, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73888, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 106, 34, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73889, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 45, 20, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73890, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 225, 20, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73891, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 71, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73892, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 37, 8, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73893, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 107, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73894, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 550, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73895, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1078, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73896, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 33, 7, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73897, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 24, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73898, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 32, 20, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73899, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 44, 21, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73900, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 91, 26, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73901, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 8, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73902, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 35, 16, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73903, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 960, 26, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73904, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 863, 45, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73905, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 176, 33, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73906, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 7811, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73907, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 540, 20, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73908, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 3965, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73909, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 5, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73910, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 172, 30, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73911, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E01', 41, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73912, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 192, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73913, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 254, 16, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73914, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 136, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73915, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 367, 19, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73916, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 38, 17, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73917, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 91, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73918, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 351, 12, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73919, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 60, 22, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73920, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 191, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73921, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 35, 17, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73922, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 37, 12, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73923, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 903, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73924, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 225, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73925, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 201, 37, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73926, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 58, 25, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73927, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1192, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73928, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 101, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73929, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 49, 10, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73930, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1351, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73931, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 59, 12, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73932, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 954, 13, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73933, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 34, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73934, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 50, 23, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73935, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 914, 8, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73936, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1013, 10, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73937, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1399, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73938, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 2447, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73939, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 163, 17, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73940, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 146, 24, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73941, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 232, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73942, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 102, 26, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73943, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 153, 15, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73944, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 6, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73945, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 20, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73946, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 134, 15, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73947, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1801, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73948, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 7, 7, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73949, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 34, 7, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73950, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 19, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73951, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73952, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73953, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 2082, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73954, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 233, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73955, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 193, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73956, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 453, 12, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73957, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 25, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73958, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 508, 18, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73959, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1258, 9, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73960, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 127, 40, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73961, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 103, 40, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73962, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1025, 10, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73963, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 147, 30, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73964, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 117, 32, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73965, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 311, 12, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73966, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 113, 32, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73967, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 800, 7, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73968, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 109, 33, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73969, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 119, 26, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73970, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 108, 27, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73971, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 914, 8, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73972, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1013, 10, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73973, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 136, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73974, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 193, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73975, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1351, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73976, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 954, 13, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73977, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 91, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73978, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1192, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73979, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 8, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73980, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 37, 12, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73981, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 58, 25, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73982, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 60, 22, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73983, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 38, 17, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73984, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 19, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73985, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 34, 7, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73986, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 7, 7, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73987, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73988, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73989, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1399, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73990, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1068, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73991, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 254, 16, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73992, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 191, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73993, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1801, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73994, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1415, 10, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73995, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1192, 12, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73996, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 593, 7, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73997, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 24, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73998, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 5, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (73999, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 908, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74000, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 134, 15, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74001, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 960, 26, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74002, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 176, 33, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74003, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 863, 45, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74004, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 33, 7, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74005, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 146, 24, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74006, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 102, 26, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74007, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 153, 15, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74008, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 232, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74009, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 163, 17, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74010, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 86, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74011, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 247, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74012, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 7811, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74013, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 173, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74014, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 6, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74015, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 1411, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74016, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 2684, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74017, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 367, 19, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74018, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 37, 8, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74019, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 107, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74020, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 225, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74021, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 192, 14, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74022, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 739, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74023, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1078, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74024, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 172, 30, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74025, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 71, 2, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74026, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '2E01', 41, 1, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74027, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 233, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74028, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1882, 3, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74029, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 550, 5, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74030, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 45, 20, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74031, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 225, 20, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74032, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 6, 6, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74033, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 20, 4, 2023, 10, 26, '2024-08-05 14:01:46', NULL, NULL), (74034, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 223, 148, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74035, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 106, 64, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74036, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 479, 48, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74037, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 285, 336, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74038, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 179, 389, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74039, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 900, 58, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74040, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 246, 152, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74041, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 250, 76, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74042, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 837, 301, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74043, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 179, 389, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74044, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 263, 113, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74045, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 900, 58, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74046, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 232, 82, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74047, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 285, 336, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74048, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 215, 153, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74049, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 837, 301, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74050, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 246, 152, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74051, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1649, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74052, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 390, 24, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74053, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 215, 153, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74054, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 100, 45, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74055, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 671, 137, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74056, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 892, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74057, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 183, 30, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74058, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 2803, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74059, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1726, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74060, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2059, 9, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74061, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 279, 36, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74062, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 473, 11, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74063, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 6228, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74064, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 809, 15, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74065, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 242, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74066, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 245, 14, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74067, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 22, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74068, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 58, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74069, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 6, 37, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74070, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 206, 176, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74071, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1745, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74072, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 256, 5, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74073, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1410, 92, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74074, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 78, 17, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74075, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 191, 5, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74076, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 5, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 83, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 295, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 215, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 947, 3, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1860, 5, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1649, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 6228, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 792, 12, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 172, 22, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 178, 30, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 176, 31, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1229, 12, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2107, 3, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 281, 40, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1716, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1669, 9, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 269, 46, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2194, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2648, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 185, 36, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1362, 13, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 254, 36, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 237, 40, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1407, 9, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 288, 21, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 260, 23, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 273, 26, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 387, 20, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 119, 17, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 107, 22, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 82, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 231, 21, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 205, 28, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 236, 27, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 157, 24, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 67, 11, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 646, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 334, 29, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 201, 33, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 856, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 1581, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 133, 19, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 50, 23, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 16, 18, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 54, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 145, 5, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 411, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 102, 11, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 365, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 19, 19, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 133, 17, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 6, 16, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 293, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 108, 46, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 166, 19, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 430, 17, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 279, 36, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 395, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 363, 35, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 28, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 53, 22, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 291, 47, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 39, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 8, 5, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 5, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 5, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 235, 31, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 11, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 39, 17, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 6, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 33, 3, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 68, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 42, 13, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 520, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 27, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 91, 13, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 613, 54, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 158, 21, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 9, 3, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 2, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 144, 30, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 217, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 2803, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 172, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 100, 45, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 49, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 283, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 709, 83, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1048, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1320, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2437, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 942, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (74171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1035, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 809, 15, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 310, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2104, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 275, 12, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 63, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74177, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 6228, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74178, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2059, 9, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74179, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 245, 14, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74180, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 256, 5, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74181, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 892, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74182, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 223, 148, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74183, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1745, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74184, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 242, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74185, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 22, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74186, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 671, 137, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74187, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 100, 45, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74188, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 390, 24, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74189, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 279, 36, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74190, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 6, 37, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74191, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 5, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74192, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 191, 5, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74193, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 2803, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74194, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1410, 92, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74195, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1649, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74196, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 78, 17, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74197, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 183, 30, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74198, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 809, 15, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74199, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 520, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74200, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 206, 176, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74201, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1726, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74202, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 58, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74203, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 2803, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74204, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 83, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74205, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 295, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74206, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 39, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74207, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 91, 13, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74208, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 6228, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74209, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 100, 45, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74210, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 133, 19, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74211, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 22, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74212, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 334, 29, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74213, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 236, 27, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74214, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 157, 24, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74215, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 231, 21, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74216, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 205, 28, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74217, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 283, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74218, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 49, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74219, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 172, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74220, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 63, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74221, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1649, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74222, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 39, 17, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74223, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 235, 31, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74224, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 27, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74225, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 42, 13, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74226, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 363, 35, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74227, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 809, 15, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74228, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 1305, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74229, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1937, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74230, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 256, 5, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74231, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 275, 12, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74232, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 291, 47, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74233, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 53, 22, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74234, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 28, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74235, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2104, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74236, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 68, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74237, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74238, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74239, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 33, 3, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74240, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 310, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74241, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1407, 9, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74242, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 293, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74243, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 2, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74244, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 792, 12, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74245, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 430, 17, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74246, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 232, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74247, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1552, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74248, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1035, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74249, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1320, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74250, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2437, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74251, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 942, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74252, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 5, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74253, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 11, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74254, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 8, 5, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74255, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 709, 83, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74256, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 5, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74257, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 613, 54, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74258, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 6, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74259, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 520, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74260, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2194, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74261, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2107, 3, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74262, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1716, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74263, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1669, 9, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74264, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2648, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74265, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1362, 13, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74266, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 279, 36, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74267, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 215, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74268, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1229, 12, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74269, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 172, 22, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74270, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 9, 3, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74271, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 158, 21, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74272, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 144, 30, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74273, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 217, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74274, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 49, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74275, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 283, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74276, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 172, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74277, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1035, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74278, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 942, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74279, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2437, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74280, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 201, 33, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74281, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 82, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74282, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1320, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74283, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 63, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74284, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 275, 12, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74285, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 67, 11, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74286, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 108, 46, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74287, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 235, 31, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74288, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 39, 17, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74289, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2194, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74290, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 42, 13, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74291, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 27, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74292, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 33, 3, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74293, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2107, 3, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74294, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 68, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74295, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1716, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74296, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74297, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 2, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74298, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 6, 16, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74299, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 19, 19, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74300, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 16, 18, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74301, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 50, 23, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74302, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 613, 54, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74303, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 709, 83, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74304, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 100, 45, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74305, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 2803, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74306, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 166, 19, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74307, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 395, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74308, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 6228, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74309, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 279, 36, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74310, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 172, 22, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74311, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 293, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74312, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 83, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74313, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 430, 17, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74314, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1649, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74315, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 363, 35, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74316, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 295, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74317, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 387, 20, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74318, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 291, 47, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74319, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 215, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74320, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 273, 26, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74321, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 28, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74322, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 107, 22, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74323, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 947, 3, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74324, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 119, 17, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74325, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 53, 22, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74326, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1860, 5, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74327, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2648, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74328, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 646, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74329, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1669, 9, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74330, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 260, 23, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74331, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 288, 21, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74332, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1229, 12, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74333, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 133, 17, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74334, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1407, 9, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74335, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1362, 13, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74336, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 792, 12, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74337, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1048, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74338, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 205, 28, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74339, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 236, 27, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74340, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 231, 21, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74341, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 157, 24, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74342, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 334, 29, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74343, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 91, 13, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74344, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 39, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74345, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 133, 19, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74346, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 520, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74347, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74348, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74349, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74350, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 8, 5, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74351, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 11, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74352, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74353, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 310, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74354, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2104, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74355, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 809, 15, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74356, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 1581, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74357, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 365, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74358, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 102, 11, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74359, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 856, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74360, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 185, 36, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74361, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 269, 46, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74362, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 54, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74363, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 281, 40, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74364, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 411, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74365, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 176, 31, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74366, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 145, 5, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74367, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 178, 30, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74368, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 237, 40, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74369, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 254, 36, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74370, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1407, 9, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74371, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1362, 13, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74372, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 83, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74373, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 809, 15, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74374, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1669, 9, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74375, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1229, 12, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74376, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 295, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74377, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2648, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74378, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 28, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74379, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 53, 22, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74380, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 291, 47, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74381, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 363, 35, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74382, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 8, 5, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74383, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74384, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74385, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74386, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74387, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 11, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74388, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 22, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74389, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 792, 12, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74390, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1552, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74391, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 232, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74392, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 172, 22, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74393, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 215, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74394, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2437, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74395, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1320, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74396, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 520, 10, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74397, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1035, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74398, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 942, 6, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74399, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74400, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 2, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74401, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 6228, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74402, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 133, 19, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74403, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 613, 54, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74404, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 33, 3, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74405, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 100, 45, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74406, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 709, 83, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74407, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 68, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74408, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 236, 27, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74409, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 157, 24, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74410, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 334, 29, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74411, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 231, 21, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74412, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 205, 28, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74413, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 256, 5, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74414, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 275, 12, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74415, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 63, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74416, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 2803, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74417, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1649, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74418, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 283, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74419, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 49, 1, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74420, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 172, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74421, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 430, 17, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74422, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 42, 13, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74423, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 27, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74424, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1937, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74425, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 293, 7, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74426, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 1305, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74427, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1716, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74428, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 279, 36, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74429, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2194, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74430, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2104, 8, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74431, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 310, 2, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74432, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2107, 3, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74433, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 235, 31, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74434, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 39, 17, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74435, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 91, 13, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74436, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 39, 4, 2023, 10, 27, '2024-08-05 14:01:47', NULL, NULL), (74437, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 211, 80, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74438, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 323, 15, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74439, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 423, 19, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74440, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 211, 80, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74441, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 323, 15, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74442, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 423, 19, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74443, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 569, 11, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74444, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 221, 8, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 323, 15, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 438, 6, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 811, 3, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 421, 9, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 39, 15, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 54, 13, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 441, 24, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 50, 11, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 83, 8, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 600, 2, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 221, 8, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74456, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 221, 8, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74457, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 569, 11, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74458, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 811, 3, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74459, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 438, 6, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74460, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 221, 8, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74461, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 600, 2, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74462, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 811, 3, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74463, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 438, 6, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74464, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 83, 8, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74465, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 323, 15, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74466, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 50, 11, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74467, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 54, 13, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74468, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 441, 24, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74469, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 421, 9, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74470, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 39, 15, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74471, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 221, 8, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74472, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 600, 2, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74473, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 438, 6, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74474, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 221, 8, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74475, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 811, 3, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74476, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 600, 2, 2023, 10, 28, '2024-08-05 14:01:48', NULL, NULL), (74477, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 537, 57, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74478, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 2213, 2, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74479, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 187, 12, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74480, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 528, 58, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74481, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 0, 1, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74482, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 2213, 2, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74483, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 3, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74484, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 173, 13, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 189, 5, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74486, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74487, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74488, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 3, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74489, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 186, 7, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 2213, 2, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 329, 1, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 162, 2, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 213, 9, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 208, 10, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 421, 18, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 147, 2, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 336, 14, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 2389, 6, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 186, 7, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74500, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 186, 7, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74501, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 189, 5, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74502, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 162, 2, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74503, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 147, 2, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74504, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 329, 1, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74505, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 186, 7, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74506, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 162, 2, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74507, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 2389, 6, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74508, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 2213, 2, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74509, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 329, 1, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74510, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 336, 14, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74511, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 208, 10, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74512, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 421, 18, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74513, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 213, 9, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74514, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 186, 7, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74515, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 147, 2, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74516, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 147, 2, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74517, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 329, 1, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74518, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 186, 7, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74519, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 162, 2, 2023, 10, 29, '2024-08-05 14:01:49', NULL, NULL), (74520, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 333, 177, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74521, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 89, 55, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74522, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 303, 45, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74523, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 185, 317, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74524, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 38, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74525, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 214, 465, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74526, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 160, 176, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74527, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 256, 101, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74528, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 320, 226, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74529, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 214, 465, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74530, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 183, 101, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74531, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 38, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74532, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 256, 101, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74533, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 184, 319, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74534, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 333, 177, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74535, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 320, 226, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74536, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 160, 176, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74537, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 189, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74538, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 252, 33, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74539, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 173, 33, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74540, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 333, 177, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74541, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 258, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74542, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 366, 116, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74543, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 83, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74544, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 46, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74545, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 80, 173, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74546, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 61, 35, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74547, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 223, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74548, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 503, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74549, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 19695, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74550, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 207, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74551, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 348, 62, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74552, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 201, 32, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74553, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 441, 6, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74554, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 35, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74555, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 8, 15, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74556, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74557, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 143, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74558, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 61, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 336, 48, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 292, 16, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 194, 43, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 214, 17, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 201, 32, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 26, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 88, 30, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (74566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 85, 16, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 79, 39, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 35, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 81, 20, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 255, 12, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 46, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 18, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 177, 35, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 118, 15, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 6, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 335, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 309, 34, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 271, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 65, 25, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 415, 31, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 495, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 66, 22, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 314, 48, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 310, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 6, 9, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 231, 53, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 346, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 94, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 529, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 94, 9, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 161, 37, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 100, 12, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 6, 13, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 200, 35, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 361, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 260, 24, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 390, 49, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 124, 11, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 25, 10, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 190, 26, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 172, 18, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 120, 14, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 280, 17, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 66, 22, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 213, 9, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 56, 21, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 5, 14, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 233, 30, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 159, 30, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 223, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 210, 27, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 92, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 173, 33, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 616, 32, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 157, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 73, 14, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 294, 33, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 3, 12, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 81, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 153, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 215, 25, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 349, 67, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 123, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 247, 33, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 381, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 218, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 470, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 507, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 272, 6, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 483, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 853, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 457, 30, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 102, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 7452, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 97, 20, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 26, 25, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 172, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 184, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 97, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 336, 19, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 182, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 15, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 312, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 305, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 203, 24, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 15, 16, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 245, 41, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74654, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 35, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74655, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 189, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74656, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 207, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74657, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 333, 177, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74658, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 503, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74659, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 258, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74660, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 366, 116, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74661, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 173, 33, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74662, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 252, 33, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74663, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 201, 32, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74664, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 61, 35, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74665, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74666, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 143, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74667, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 19695, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74668, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 223, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74669, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 348, 62, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74670, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 8, 15, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74671, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 46, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74672, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 102, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74673, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 529, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74674, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 80, 173, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74675, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 83, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74676, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 223, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74677, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 18, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74678, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 6, 13, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74679, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 35, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74680, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 173, 33, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74681, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 457, 30, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74682, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 258, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74683, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 215, 25, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74684, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 616, 32, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74685, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 294, 33, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74686, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 159, 30, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74687, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 210, 27, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74688, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 153, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74689, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 157, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74690, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 92, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74691, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 305, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74692, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 66, 22, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74693, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 65, 25, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74694, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 100, 12, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74695, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 94, 9, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74696, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 88, 30, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74697, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 102, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74698, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 207, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74699, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 15, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74700, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 81, 20, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74701, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 79, 39, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74702, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 85, 16, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74703, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 172, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74704, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 94, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74705, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74706, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 19695, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74707, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74708, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1331, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74709, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 361, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74710, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 292, 16, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74711, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74712, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 255, 12, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74713, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74714, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 214, 17, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74715, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 483, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74716, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 853, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74717, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 470, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74718, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 272, 6, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74719, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74720, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 495, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74721, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 6, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74722, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 349, 67, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74723, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 4, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74724, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 390, 49, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74725, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 6, 9, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74726, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 529, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74727, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 271, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74728, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 310, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74729, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 346, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74730, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 201, 32, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74731, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 335, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74732, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 46, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74733, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 120, 14, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74734, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 25, 10, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74735, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 66, 22, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74736, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 213, 9, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74737, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 157, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74738, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 153, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74739, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 92, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74740, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 853, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74741, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 483, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74742, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 272, 6, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74743, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 247, 33, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74744, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 470, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74745, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 233, 30, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74746, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 305, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74747, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 15, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74748, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 3, 12, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74749, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 336, 48, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74750, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 65, 25, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74751, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 66, 22, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74752, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 94, 9, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74753, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 100, 12, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74754, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74755, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 94, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74756, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74757, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 245, 41, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74758, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74759, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 15, 16, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74760, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 26, 25, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74761, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 97, 20, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74762, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 390, 49, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74763, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 349, 67, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74764, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 173, 33, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74765, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 223, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74766, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 194, 43, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74767, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 26, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74768, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 35, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74769, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 210, 27, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74770, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 201, 32, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74771, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 616, 32, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74772, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 46, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74773, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 292, 16, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74774, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 159, 30, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74775, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 214, 17, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74776, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 294, 33, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74777, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 215, 25, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74778, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 88, 30, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74779, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 81, 20, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74780, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 280, 17, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74781, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 172, 18, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74782, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 85, 16, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74783, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 5, 14, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74784, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 79, 39, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74785, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 56, 21, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74786, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 310, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74787, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 260, 24, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74788, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 81, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74789, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 271, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74790, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 190, 26, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74791, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 124, 11, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74792, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 335, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74793, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 73, 14, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74794, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 6, 13, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74795, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 18, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74796, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 457, 30, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74797, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 529, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74798, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74799, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74800, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74801, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 6, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74802, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 495, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74803, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 9, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74804, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 7452, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74805, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 172, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74806, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 102, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74807, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 203, 24, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74808, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 361, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74809, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 346, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74810, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 507, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74811, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 312, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74812, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 381, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74813, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 182, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74814, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 218, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74815, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 231, 53, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74816, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 314, 48, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74817, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 184, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74818, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 255, 12, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74819, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 415, 31, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74820, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 309, 34, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74821, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 118, 15, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74822, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 336, 19, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74823, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 97, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74824, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 123, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74825, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 177, 35, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74826, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 200, 35, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74827, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 161, 37, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74828, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 361, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74829, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 346, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74830, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 102, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74831, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 271, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74832, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 335, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74833, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 310, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74834, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74835, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 85, 16, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74836, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 79, 39, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74837, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 81, 20, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74838, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 88, 30, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74839, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 6, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74840, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74841, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74842, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74843, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 9, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74844, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 495, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74845, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 258, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74846, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 255, 12, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74847, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 46, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74848, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 470, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74849, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 529, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74850, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 483, 4, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74851, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 272, 6, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74852, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 853, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74853, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74854, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 35, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74855, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 457, 30, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74856, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 390, 49, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74857, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 173, 33, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74858, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74859, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 349, 67, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74860, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 94, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74861, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 616, 32, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74862, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 294, 33, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74863, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 215, 25, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74864, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 159, 30, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74865, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 210, 27, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74866, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 207, 8, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74867, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 15, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74868, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 305, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74869, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 223, 7, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74870, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 153, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74871, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 157, 3, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74872, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 92, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74873, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 19695, 1, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74874, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 214, 17, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74875, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 94, 9, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74876, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 100, 12, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74877, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 292, 16, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74878, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 201, 32, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74879, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 172, 5, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74880, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1331, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74881, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 65, 25, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74882, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 66, 22, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74883, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 6, 13, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74884, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 18, 2, 2023, 10, 30, '2024-08-05 14:01:50', NULL, NULL), (74885, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 321, 149, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74886, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 96, 90, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74887, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 609, 80, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74888, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 210, 272, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74889, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 2407, 22, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74890, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 520, 479, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74891, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 54, 163, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74892, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 288, 87, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74893, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 770, 306, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74894, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 519, 480, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74895, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 335, 171, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74896, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 2206, 24, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74897, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 276, 91, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74898, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 207, 276, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74899, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 321, 149, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74900, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 765, 308, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74901, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 54, 163, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74902, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 775, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74903, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 127, 25, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74904, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 321, 149, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74905, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 310, 51, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74906, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 1016, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74907, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 807, 153, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74908, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 172, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74909, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 202, 5, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74910, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 28, 60, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74911, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1573, 9, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74912, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 78, 137, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74913, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 535, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74914, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 747, 5, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74915, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 261, 9, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74916, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1043, 85, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74917, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 370, 42, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74918, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 552, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74919, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 112, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74920, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 126, 24, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74921, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 127, 6, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74922, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 8, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74923, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2465, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74924, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 5405, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 3906, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 354, 34, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 128, 10, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 11105, 2, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 126, 15, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 263, 47, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 370, 42, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 191, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 172, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 53, 26, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 63, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 112, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 49, 27, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 67, 22, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 869, 17, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 1770, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 2, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 9, 9, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 530, 38, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 19, 9, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 894, 56, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 18, 10, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 966, 10, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 776, 42, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 753, 31, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 47, 18, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 6, 11, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1377, 13, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 51, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 197, 24, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 752, 39, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1240, 13, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 62, 13, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 537, 46, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1361, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 202, 5, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 177, 16, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 38, 12, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 552, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 151, 20, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 569, 37, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1051, 12, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 52, 21, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 805, 64, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 21, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 23, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 50, 12, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 19, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 46, 16, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 7, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 73, 10, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 29, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 84, 13, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 35, 17, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 336, 10, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 81, 14, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 73, 27, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 597, 13, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 342, 33, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 188, 21, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 535, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (74987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 64, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 874, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 323, 49, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 36, 20, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 165, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 301, 35, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 43, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 54, 12, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 332, 26, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 808, 89, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 37, 28, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 63, 2, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (74999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 747, 43, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 2, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 900, 6, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 844, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 177, 12, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 458, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 258, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 5753, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 245, 26, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 30, 27, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 51, 20, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 747, 5, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 206, 5, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 639, 27, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 767, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 771, 25, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 784, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 723, 5, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 55, 30, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 24, 21, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 36, 13, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75020, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 112, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75021, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 775, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75022, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 261, 9, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75023, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 172, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75024, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 321, 149, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75025, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 6305, 6, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75026, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 747, 5, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75027, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 1016, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75028, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 807, 153, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75029, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 323, 49, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75030, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 127, 25, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75031, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 370, 42, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75032, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 28, 60, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75033, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 8, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75034, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 127, 6, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75035, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 535, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75036, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1043, 85, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75037, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 132, 23, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75038, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1770, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75039, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 5753, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75040, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 552, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75041, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 78, 137, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75042, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 202, 5, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75043, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 535, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75044, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 3906, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75045, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 11105, 2, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75046, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 2, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75047, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 151, 20, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75048, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 112, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75049, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 323, 49, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75050, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 245, 26, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75051, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 1016, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75052, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 332, 26, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75053, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 874, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75054, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 301, 35, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75055, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 342, 33, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75056, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 188, 21, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75057, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 43, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75058, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 165, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75059, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 64, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75060, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 784, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75061, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 197, 24, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75062, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 47, 18, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75063, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 38, 12, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75064, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 53, 26, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75065, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 5753, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75066, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 261, 9, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75067, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 767, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75068, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 67, 22, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75069, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 49, 27, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75070, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 63, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75071, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 747, 5, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75072, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 202, 5, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75073, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 9, 9, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75074, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75075, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1051, 12, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75076, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 23, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75077, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 128, 10, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75078, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 7, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75079, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 869, 17, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75080, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 126, 15, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75081, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 172, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75082, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 258, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75083, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 844, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75084, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 458, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75085, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 6, 11, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75086, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 51, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75087, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 19, 9, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75088, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 808, 89, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75089, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 18, 10, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75090, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 805, 64, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75091, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 62, 13, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75092, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 552, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75093, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1377, 13, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75094, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1240, 13, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75095, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1361, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75096, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 370, 42, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75097, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 966, 10, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75098, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 1770, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75099, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 19, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75100, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 73, 10, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75101, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 21, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75102, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 35, 17, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75103, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 336, 10, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75104, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 165, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75105, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 43, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75106, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 64, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75107, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 258, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75108, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 458, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75109, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 747, 43, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75110, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 844, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75111, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 597, 13, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75112, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 784, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75113, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 767, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75114, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 37, 28, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75115, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 354, 34, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75116, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 47, 18, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75117, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 197, 24, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75118, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 38, 12, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75119, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 202, 5, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75120, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75121, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 7, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75122, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 36, 13, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75123, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 55, 30, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75124, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 23, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75125, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 51, 20, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75126, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 30, 27, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75127, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 805, 64, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75128, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 808, 89, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75129, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 323, 49, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75130, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 535, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75131, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 263, 47, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75132, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 191, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75133, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 112, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75134, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 188, 21, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75135, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 370, 42, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75136, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 874, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75137, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 1770, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75138, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 128, 10, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75139, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 3906, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75140, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 126, 15, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75141, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 342, 33, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75142, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 301, 35, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75143, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 332, 26, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75144, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 53, 26, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75145, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 11105, 2, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75146, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 67, 22, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75147, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 84, 13, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75148, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 29, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75149, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 63, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75150, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 73, 27, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75151, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 81, 14, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75152, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 172, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75153, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 49, 27, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75154, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1240, 13, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75155, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 52, 21, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75156, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 54, 12, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75157, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 46, 16, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75158, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1377, 13, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75159, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 50, 12, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75160, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 966, 10, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75161, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 36, 20, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75162, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 151, 20, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75163, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75164, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 245, 26, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75165, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 552, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75166, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 18, 10, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75167, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 11, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75168, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 9, 9, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75169, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 19, 9, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75170, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 51, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75171, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 62, 13, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75172, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 747, 5, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75173, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 5753, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75174, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 24, 21, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75175, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1051, 12, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75176, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1361, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75177, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 177, 12, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75178, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 2, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75179, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 723, 5, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75180, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 771, 25, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75181, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 900, 6, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75182, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 537, 46, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75183, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 752, 39, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75184, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 206, 5, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75185, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 753, 31, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75186, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 869, 17, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75187, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 776, 42, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75188, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 639, 27, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75189, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 894, 56, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75190, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 63, 2, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75191, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 530, 38, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75192, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 569, 37, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75193, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 177, 16, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75194, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1051, 12, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75195, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1361, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75196, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 3906, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75197, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 5753, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75198, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1377, 13, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75199, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 966, 10, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75200, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 11105, 2, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75201, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1240, 13, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75202, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 23, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75203, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 63, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75204, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 49, 27, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75205, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 67, 22, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75206, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 53, 26, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75207, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 19, 9, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75208, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 9, 9, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75209, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 11, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75210, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 18, 10, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75211, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 62, 13, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75212, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 51, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75213, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 1016, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75214, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 869, 17, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75215, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 172, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75216, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 1770, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75217, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 844, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75218, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 552, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75219, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 258, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75220, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 458, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75221, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75222, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 7, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75223, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 112, 7, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75224, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 245, 26, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75225, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 805, 64, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75226, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 323, 49, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75227, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 808, 89, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75228, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 202, 5, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75229, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 874, 8, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75230, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 301, 35, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75231, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 332, 26, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75232, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 342, 33, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75233, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 188, 21, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75234, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 261, 9, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75235, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 767, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75236, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 784, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75237, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 535, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75238, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 43, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75239, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 165, 4, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75240, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 64, 1, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75241, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 126, 15, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75242, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 38, 12, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75243, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 128, 10, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75244, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 370, 42, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75245, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 747, 5, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75246, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 47, 18, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75247, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 197, 24, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75248, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 151, 20, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75249, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 3, 2023, 10, 31, '2024-08-05 14:01:51', NULL, NULL), (75250, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 359, 152, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75251, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 206, 98, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75252, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 644, 60, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75253, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 430, 362, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75254, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 352, 97, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75255, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 67, 435, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75256, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 98, 134, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75257, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 431, 61, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75258, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 833, 301, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75259, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 67, 435, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75260, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 368, 160, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75261, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 345, 99, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75262, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 424, 62, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75263, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 429, 363, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75264, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 347, 157, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75265, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 830, 302, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75266, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 98, 134, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75267, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 2, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75268, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 215, 29, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75269, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 347, 157, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75270, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 333, 53, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75271, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1247, 156, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75272, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 2033, 2, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75273, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 260, 57, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75274, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 590, 6, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75275, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 185, 2, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75276, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 398, 11, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75277, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 430, 34, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75278, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 434, 18, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75279, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 587, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75280, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 840, 6, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75281, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 328, 16, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75282, 1, '511500000000-0001', '宜宾市民中心', '查封业务', '', '', '', 0, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75283, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 391, 6, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75284, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 211, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75285, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 252, 11, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75286, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 171, 61, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75287, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 159, 159, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75288, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1449, 13, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75289, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 12, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75290, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 473, 69, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75291, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 91, 21, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75292, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 152, 14, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75293, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 11, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 661, 7, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 68, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 215, 12, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 14, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1474, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 587, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 840, 7, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 272, 45, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 50, 34, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 253, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 59, 38, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 304, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 51, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 47, 19, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 654, 10, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 80, 29, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 923, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 66, 28, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 160, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 38, 39, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 251, 8, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 679, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 60, 22, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 45, 25, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 306, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 107, 19, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 140, 17, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 173, 23, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 47, 15, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 39, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 68, 14, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 3, 12, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 56, 21, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 768, 42, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 107, 5, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 254, 30, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 159, 24, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 15, 10, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 172, 13, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 249, 28, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 55, 31, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 225, 10, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 316, 12, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 145, 23, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 64, 39, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 59, 42, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 41, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1034, 22, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 908, 10, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 218, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 42, 12, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 167, 46, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 53, 12, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 219, 10, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 289, 37, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 641, 18, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 214, 19, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 430, 34, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 527, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 141, 30, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 133, 26, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 128, 32, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 138, 18, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 8, 5, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 55, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 819, 11, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 6, 8, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 11, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 137, 18, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 305, 21, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 25, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 45, 13, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 244, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 298, 6, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 239, 6, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 434, 18, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 83, 8, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 117, 16, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1270, 78, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 2, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 1013, 14, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 699, 21, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 1240, 25, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 7, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 624, 33, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 62, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 5, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 590, 6, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 187, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 333, 53, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 135, 8, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 164, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1224, 78, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 966, 2, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 255, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1008, 5, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 404, 17, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 2901, 2, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1185, 11, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 95, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 450, 5, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75397, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 587, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75398, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 398, 11, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75399, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 391, 6, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75400, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 12, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75401, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 2033, 2, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75402, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 359, 152, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75403, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1449, 13, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75404, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 328, 16, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (75405, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 211, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75406, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1247, 156, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75407, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 333, 53, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75408, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 215, 29, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75409, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 430, 34, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75410, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 177, 59, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75411, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 11, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75412, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 152, 14, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75413, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 590, 6, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75414, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 473, 69, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75415, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 91, 21, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75416, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 260, 57, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75417, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1008, 5, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75418, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 434, 18, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75419, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 185, 2, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75420, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 159, 159, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75421, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 252, 11, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75422, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 590, 6, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75423, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 661, 7, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75424, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 68, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75425, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 8, 5, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75426, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 117, 16, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75427, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 587, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75428, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 333, 53, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75429, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 145, 23, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75430, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 211, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75431, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 249, 28, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75432, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 254, 30, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75433, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 159, 24, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75434, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 768, 42, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75435, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 107, 5, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75436, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 164, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75437, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 135, 8, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75438, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 187, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75439, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 450, 5, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75440, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 305, 21, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75441, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 137, 18, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75442, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 83, 8, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75443, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 239, 6, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75444, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 141, 30, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75445, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1008, 5, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75446, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 14, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75447, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 356, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75448, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 12, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75449, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 95, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75450, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 138, 18, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75451, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 128, 32, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75452, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 133, 26, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75453, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1185, 11, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75454, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 298, 6, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75455, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 55, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75456, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 7, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75457, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 244, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75458, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 2901, 2, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75459, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 306, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75460, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 2, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75461, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 219, 10, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75462, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75463, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 840, 7, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75464, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75465, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 214, 19, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75466, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 2033, 2, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75467, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 5, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75468, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 404, 17, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75469, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 255, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75470, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 11, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75471, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 25, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75472, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 819, 11, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75473, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1224, 78, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75474, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 6, 8, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75475, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1270, 78, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75476, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 45, 13, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75477, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 434, 18, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75478, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 160, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75479, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 51, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75480, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 923, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75481, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 654, 10, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75482, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 251, 8, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75483, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 430, 34, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75484, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 679, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75485, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 215, 12, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75486, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 253, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75487, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 304, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75488, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 272, 45, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75489, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 699, 21, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75490, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 1240, 25, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75491, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 1013, 14, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75492, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 5, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75493, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 624, 33, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75494, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 62, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75495, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 135, 8, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75496, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 164, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75497, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 187, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75498, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 404, 17, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75499, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 255, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75500, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 55, 31, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75501, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 56, 21, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75502, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 450, 5, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75503, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 95, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75504, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 15, 10, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75505, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 289, 37, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75506, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 137, 18, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75507, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 305, 21, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75508, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 160, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75509, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 239, 6, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75510, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 83, 8, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75511, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 244, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75512, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 51, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75513, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 298, 6, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75514, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 923, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75515, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 7, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75516, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75517, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 53, 12, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75518, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75519, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 167, 46, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75520, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 2, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75521, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 59, 42, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75522, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1270, 78, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75523, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 64, 39, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75524, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1224, 78, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75525, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 333, 53, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75526, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 590, 6, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75527, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 641, 18, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75528, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 527, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75529, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 587, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75530, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 430, 34, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75531, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 219, 10, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75532, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 272, 45, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75533, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 661, 7, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75534, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 214, 19, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75535, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 141, 30, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75536, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 39, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75537, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 138, 18, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75538, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 68, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75539, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 215, 12, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75540, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 47, 15, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75541, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 14, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75542, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 3, 12, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75543, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 133, 26, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75544, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 68, 14, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75545, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1474, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75546, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 128, 32, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75547, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 107, 19, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75548, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 251, 8, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75549, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 172, 13, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75550, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 173, 23, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75551, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 654, 10, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75552, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 304, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75553, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 140, 17, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75554, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 253, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75555, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 42, 12, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75556, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 306, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75557, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 679, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75558, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 840, 7, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75559, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 966, 2, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75560, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 107, 5, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75561, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 254, 30, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75562, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 768, 42, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75563, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 159, 24, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75564, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 249, 28, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75565, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 117, 16, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75566, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 8, 5, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75567, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 145, 23, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75568, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 434, 18, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75569, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 8, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75570, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 11, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75571, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 55, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75572, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 819, 11, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75573, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 25, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75574, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 45, 13, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75575, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 2901, 2, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75576, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1185, 11, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75577, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1008, 5, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75578, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 316, 12, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75579, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 218, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75580, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 908, 10, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75581, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 225, 10, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75582, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 38, 39, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75583, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 66, 28, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75584, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 41, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75585, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 80, 29, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75586, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 47, 19, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75587, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1034, 22, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75588, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 59, 38, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75589, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 50, 34, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75590, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 45, 25, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75591, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 60, 22, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75592, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 306, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75593, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 679, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75594, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 661, 7, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75595, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1008, 5, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75596, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 253, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75597, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 654, 10, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75598, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 304, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75599, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 68, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75600, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 251, 8, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75601, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75602, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 2, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75603, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 133, 26, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75604, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 128, 32, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75605, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 138, 18, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75606, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 141, 30, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75607, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 819, 11, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75608, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 55, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75609, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 11, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75610, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 8, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75611, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 45, 13, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75612, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 25, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75613, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 211, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75614, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 840, 7, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75615, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 2033, 2, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75616, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 272, 45, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75617, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 215, 12, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75618, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 434, 18, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75619, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 255, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75620, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 404, 17, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75621, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 7, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75622, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75623, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 587, 9, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75624, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 5, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75625, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 145, 23, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75626, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1270, 78, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75627, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 244, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75628, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 333, 53, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75629, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1224, 78, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75630, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 298, 6, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75631, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 254, 30, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75632, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 159, 24, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75633, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 249, 28, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75634, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 768, 42, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75635, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 107, 5, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75636, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 12, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75637, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 95, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75638, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 450, 5, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75639, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 590, 6, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75640, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 164, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75641, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 135, 8, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75642, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 187, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75643, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 214, 19, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75644, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 239, 6, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75645, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 83, 8, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75646, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 356, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75647, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 219, 10, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75648, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 14, 1, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75649, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 430, 34, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75650, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 923, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75651, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 160, 3, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75652, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1185, 11, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75653, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 2901, 2, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75654, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 51, 4, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75655, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 137, 18, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75656, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 305, 21, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75657, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 117, 16, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75658, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 8, 5, 2023, 11, 1, '2024-08-05 14:01:52', NULL, NULL), (75659, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 252, 153, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75660, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 49, 66, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75661, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 668, 53, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75662, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 273, 323, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75663, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 836, 97, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75664, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 87, 469, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75665, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 23, 102, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75666, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 278, 62, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75667, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 924, 287, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75668, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 87, 470, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75669, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 322, 120, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75670, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 819, 99, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75671, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 265, 65, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75672, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 268, 329, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75673, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 252, 153, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75674, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 924, 287, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75675, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 23, 102, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75676, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75677, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 317, 29, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75678, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 253, 152, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75679, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 271, 48, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75680, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1067, 146, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75681, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1439, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75682, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 389, 53, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75683, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 236, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75684, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 583, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75685, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2508, 15, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75686, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 183, 39, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75687, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 116, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75688, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 138, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75689, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 0, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75690, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 789, 12, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75691, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 371, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75692, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 8, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75693, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75694, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 460, 11, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75695, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 14, 43, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75696, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 146, 150, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75697, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 527, 6, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75698, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 822, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75699, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1234, 76, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75700, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 133, 8, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75701, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 18, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75702, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 115, 18, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75703, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 8, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75704, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 184, 13, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 822, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 742, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 381, 24, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1060, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1134, 10, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 138, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 828, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 410, 28, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 99, 28, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 806, 6, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 57, 35, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1250, 9, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 60, 20, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2866, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1571, 15, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2471, 6, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 200, 30, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2266, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 65, 35, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1302, 11, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 49, 48, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1440, 10, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 65, 26, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 43, 42, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 21, 15, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 3, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 36, 14, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 29, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 75, 6, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 11, 15, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 7, 8, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 76, 25, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 340, 25, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 261, 26, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 126, 28, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 22, 14, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 84, 21, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 24, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 244, 19, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 116, 47, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 178, 38, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 606, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 78, 6, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 391, 34, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 46, 28, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 47, 28, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 50, 3, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 23, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 518, 22, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1441, 13, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 535, 3, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 16, 13, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 88, 24, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 130, 15, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 261, 13, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 161, 29, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 238, 25, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 362, 16, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 183, 39, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 252, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 161, 28, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 121, 18, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 144, 38, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 178, 20, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 23, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 11, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 7, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 30, 9, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 130, 22, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 150, 21, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 19, 11, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 166, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 628, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 82, 3, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 116, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 141, 14, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 3, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1055, 66, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 3, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 537, 11, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 367, 17, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 768, 21, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 556, 15, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 119, 9, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 236, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 249, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 271, 48, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 9, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 229, 6, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1078, 80, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 13, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 2669, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1089, 18, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 871, 3, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 438, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 4, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 737, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75806, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 138, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75807, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2508, 15, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75808, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 371, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75809, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 133, 8, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75810, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 253, 152, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75811, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1439, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75812, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 527, 6, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75813, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 789, 12, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75814, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 8, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75815, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1067, 146, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75816, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 271, 48, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (75817, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 317, 29, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75818, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 183, 39, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75819, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 14, 43, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75820, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 8, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75821, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 184, 13, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75822, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 822, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75823, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 236, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75824, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1234, 76, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75825, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 115, 18, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75826, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 397, 52, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75827, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 116, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75828, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 583, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75829, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 146, 150, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75830, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 18, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75831, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 460, 11, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75832, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 236, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75833, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 822, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75834, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 742, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75835, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 23, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75836, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 141, 14, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75837, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 138, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75838, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 271, 48, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75839, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 391, 34, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75840, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 8, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75841, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 244, 19, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75842, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 126, 28, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75843, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 84, 21, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75844, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 340, 25, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75845, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 270, 25, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75846, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 229, 6, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75847, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 9, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75848, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 249, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75849, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 737, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75850, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 150, 21, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75851, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 130, 22, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75852, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 82, 3, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75853, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 161, 28, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75854, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 1060, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75855, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 424, 3, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75856, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 133, 8, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75857, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 4, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75858, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 178, 20, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75859, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 144, 38, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75860, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 121, 18, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75861, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 438, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75862, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 628, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75863, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75864, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75865, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 822, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75866, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 166, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75867, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 971, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75868, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 3, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75869, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 261, 13, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75870, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75871, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 828, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75872, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75873, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 362, 16, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75874, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1439, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75875, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1089, 18, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75876, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 30, 9, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75877, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 11, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75878, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1078, 80, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75879, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 7, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75880, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1055, 66, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75881, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 19, 11, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75882, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 3, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75883, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 116, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75884, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2266, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75885, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2866, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75886, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 2471, 6, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75887, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1571, 15, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75888, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E18', 18, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75889, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1302, 11, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75890, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 183, 39, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75891, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1440, 10, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75892, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 381, 24, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75893, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 806, 6, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75894, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1250, 9, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75895, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 410, 28, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75896, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 367, 17, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75897, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 768, 21, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75898, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 3, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75899, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 537, 11, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75900, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 556, 15, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75901, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 119, 9, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75902, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 9, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75903, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 229, 6, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75904, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 249, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75905, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1089, 18, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75906, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 178, 38, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75907, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 76, 25, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75908, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 737, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75909, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 4, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75910, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 116, 47, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75911, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 161, 29, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75912, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 130, 22, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75913, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 150, 21, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75914, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2266, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75915, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 82, 3, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75916, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 166, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75917, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2866, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 628, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75919, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2471, 6, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75920, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75921, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75922, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 130, 15, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75923, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75924, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 88, 24, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75925, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 3, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75926, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 47, 28, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75927, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 46, 28, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75928, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1055, 66, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75929, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1078, 80, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75930, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 271, 48, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75931, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 236, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75932, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 238, 25, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75933, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 252, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75934, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 138, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75935, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 183, 39, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75936, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 261, 13, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75937, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 410, 28, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75938, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 362, 16, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75939, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 822, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75940, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 161, 28, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75941, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 75, 6, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75942, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 178, 20, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75943, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 742, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75944, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 29, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75945, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 381, 24, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75946, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 7, 8, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75947, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 121, 18, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75948, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1060, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75949, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 11, 15, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75950, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 144, 38, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75951, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1134, 10, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75952, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 21, 15, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75953, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1302, 11, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75954, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 24, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75955, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 36, 14, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75956, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1571, 15, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75957, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 3, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75958, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1250, 9, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75959, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 806, 6, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75960, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 22, 14, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75961, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 16, 13, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75962, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1440, 10, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75963, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 2669, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75964, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 828, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75965, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 13, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75966, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 261, 26, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75967, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 126, 28, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75968, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 340, 25, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75969, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 84, 21, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75970, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 244, 19, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75971, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 141, 14, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75972, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 23, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75973, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 391, 34, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75974, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 116, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75975, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75976, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 30, 9, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75977, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75978, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 11, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75979, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 19, 11, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75980, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 871, 3, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75981, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 438, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75982, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 78, 6, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75983, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 535, 3, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75984, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1441, 13, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75985, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 606, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75986, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 49, 48, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75987, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 65, 35, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75988, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 50, 3, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75989, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 200, 30, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75990, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 60, 20, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75991, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 518, 22, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75992, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 57, 35, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75993, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 23, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75994, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 99, 28, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75995, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 43, 42, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75996, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 65, 26, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75997, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1440, 10, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75998, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 822, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (75999, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 806, 6, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76000, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1571, 15, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76001, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1250, 9, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76002, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1302, 11, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76003, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 742, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76004, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76005, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 3, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76006, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 121, 18, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76007, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 144, 38, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76008, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 178, 20, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76009, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 161, 28, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76010, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 11, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76011, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76012, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 30, 9, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76013, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76014, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 19, 11, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76015, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 8, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76016, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 828, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76017, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1439, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76018, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 410, 28, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76019, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 381, 24, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76020, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 116, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76021, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1089, 18, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76022, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76023, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76024, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 138, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76025, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 391, 34, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76026, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1055, 66, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76027, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 271, 48, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76028, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 166, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76029, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1078, 80, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76030, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 628, 7, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76031, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 126, 28, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76032, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 84, 21, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76033, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 244, 19, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76034, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 340, 25, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76035, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 270, 25, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76036, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 133, 8, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76037, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 4, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76038, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 737, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76039, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 236, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76040, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E18', 18, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76041, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 229, 6, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76042, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 9, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76043, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 249, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76044, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 822, 2, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76045, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 362, 16, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76046, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 82, 3, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76047, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 424, 3, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76048, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 261, 13, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76049, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 1060, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76050, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 183, 39, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76051, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 2471, 6, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76052, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2266, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76053, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 3, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76054, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 438, 5, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76055, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 971, 1, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76056, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2866, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76057, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 130, 22, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76058, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 150, 21, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76059, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 141, 14, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76060, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 23, 4, 2023, 11, 2, '2024-08-05 14:01:53', NULL, NULL), (76061, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 118, 156, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76062, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 39, 58, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76063, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 399, 47, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76064, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 138, 289, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76065, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 80, 407, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76066, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 436, 98, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76067, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1049, 76, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76068, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 127, 152, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76069, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1143, 290, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76070, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 80, 408, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76071, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 186, 113, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76072, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 436, 98, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76073, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1049, 76, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76074, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 133, 299, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76075, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1143, 290, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76076, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 118, 156, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76077, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 127, 152, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76078, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 74, 28, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76079, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 343, 41, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76080, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 118, 156, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76081, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 719, 125, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76082, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 570, 7, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76083, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 314, 52, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76084, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 594, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76085, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1126, 17, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76086, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 103, 35, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76087, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 177, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76088, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 83, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76089, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 439, 10, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76090, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 192, 13, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76091, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1229, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76092, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 100, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76093, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 327, 13, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76094, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 136, 153, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76095, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 23, 38, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76096, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 227, 8, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76097, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76098, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 22, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76099, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2112, 100, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76100, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 50, 17, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76101, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 127, 7, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76102, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 6, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 108, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 208, 11, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 457, 14, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 431, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 756, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 83, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1696, 13, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 261, 38, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 88, 25, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1321, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 85, 25, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2200, 13, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 134, 20, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 971, 7, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2733, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 94, 17, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1165, 5, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 98, 31, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1303, 5, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2488, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 48, 49, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1901, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 84, 26, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 48, 39, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 138, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 89, 13, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 142, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 36, 8, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 62, 14, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 209, 17, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 244, 23, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 126, 23, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 92, 30, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 91, 22, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 69, 26, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 117, 21, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 239, 33, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 116, 5, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 72, 20, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 95, 44, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 133, 28, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 291, 6, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 1364, 6, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 100, 25, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 26, 30, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 56, 31, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 62, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 26, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 359, 20, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 115, 6, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 194, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 27, 21, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 59, 19, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 492, 27, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 48, 11, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 518, 26, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 91, 17, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1705, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 103, 35, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 6588, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 120, 20, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 165, 10, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 126, 39, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 157, 37, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 73, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 6, 7, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 50, 6, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 86, 28, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 36, 10, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 16, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 119, 12, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 100, 10, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 1085, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 312, 7, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 177, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 43, 13, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 192, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 749, 48, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 3, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 6, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 11, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 26, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 24, 7, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 98, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 42, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 594, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 16, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 343, 41, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 252, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 60, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 699, 77, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 275, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2093, 20, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 4397, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 42, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 339, 5, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 105, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 1369, 8, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76204, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 83, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76205, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1126, 17, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76206, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1229, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76207, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 22, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76208, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 570, 7, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76209, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 118, 156, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76210, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 227, 8, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76211, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 192, 13, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76212, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 100, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76213, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 719, 125, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76214, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 343, 41, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76215, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 74, 28, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76216, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 103, 35, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76217, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 23, 38, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76218, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 6, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76219, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 127, 7, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76220, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 594, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76221, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2112, 100, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76222, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 50, 17, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76223, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 314, 52, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76224, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 4397, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76225, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 177, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76226, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 136, 153, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76227, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 327, 13, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (76228, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 594, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76229, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 108, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76230, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 208, 11, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76231, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 73, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76232, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 43, 13, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76233, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 83, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76234, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 343, 41, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76235, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 100, 25, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76236, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 100, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76237, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 72, 20, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76238, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 69, 26, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76239, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 239, 33, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76240, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 92, 30, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76241, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 91, 22, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76242, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 60, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76243, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 252, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76244, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 16, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76245, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 1369, 8, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76246, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 119, 12, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76247, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 86, 28, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76248, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 312, 7, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76249, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 120, 20, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76250, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 4397, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76251, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 22, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76252, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 105, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76253, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 157, 37, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76254, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 126, 39, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76255, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 165, 10, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76256, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 339, 5, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76257, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 1085, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76258, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76259, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 100, 10, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76260, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 42, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76261, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 3, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76262, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 48, 11, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76263, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76264, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1696, 13, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76265, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 11, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76266, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 91, 17, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76267, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 431, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76268, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 756, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76269, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2093, 20, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76270, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 36, 10, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76271, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 16, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76272, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 6, 7, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76273, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 699, 77, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76274, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 50, 6, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76275, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 749, 48, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76276, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76277, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 192, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76278, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 177, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76279, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1303, 5, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76280, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 971, 7, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76281, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1165, 5, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76282, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2733, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76283, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2488, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76284, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 103, 35, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76285, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1901, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76286, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 457, 14, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76287, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1321, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76288, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2200, 13, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76289, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 261, 38, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76290, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 26, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76291, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 24, 7, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76292, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 192, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76293, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 6, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76294, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 98, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76295, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 42, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76296, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 252, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76297, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 60, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76298, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 16, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76299, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2093, 20, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76300, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 133, 28, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76301, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 126, 23, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76302, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 1369, 8, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76303, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 105, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76304, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 95, 44, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76305, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 492, 27, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76306, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 86, 28, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76307, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 119, 12, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76308, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1303, 5, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76309, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 312, 7, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76310, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 100, 10, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76311, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 971, 7, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76312, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 1085, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76313, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1165, 5, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76314, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76315, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 11, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76316, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 59, 19, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76317, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 3, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76318, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 56, 31, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76319, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 26, 30, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76320, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 749, 48, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76321, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 699, 77, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76322, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 343, 41, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76323, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 594, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76324, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 518, 26, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76325, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1705, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76326, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 6588, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76327, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 83, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76328, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 103, 35, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76329, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 48, 11, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76330, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 261, 38, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76331, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 108, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76332, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 91, 17, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76333, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 120, 20, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76334, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 62, 14, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76335, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 157, 37, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76336, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 208, 11, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76337, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 457, 14, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76338, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 36, 8, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76339, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 165, 10, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76340, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 244, 23, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76341, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 431, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76342, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 756, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76343, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 126, 39, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76344, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 209, 17, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76345, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 138, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76346, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2488, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76347, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 116, 5, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76348, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2733, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76349, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 142, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76350, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 89, 13, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76351, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2200, 13, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76352, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1321, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76353, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 117, 21, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76354, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 27, 21, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76355, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1901, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76356, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 275, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76357, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1696, 13, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76358, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 91, 22, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76359, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 69, 26, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76360, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 92, 30, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76361, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 239, 33, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76362, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 72, 20, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76363, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 43, 13, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76364, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 73, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76365, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 100, 25, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76366, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 177, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76367, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 50, 6, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76368, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 36, 10, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76369, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76370, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 7, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76371, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 16, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76372, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76373, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 42, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76374, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 339, 5, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76375, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 4397, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76376, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 1364, 6, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76377, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 194, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76378, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 115, 6, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76379, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 291, 6, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76380, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 48, 49, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76381, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 98, 31, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76382, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 62, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76383, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 94, 17, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76384, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 134, 20, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76385, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 359, 20, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76386, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 85, 25, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76387, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 26, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76388, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 88, 25, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76389, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 48, 39, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76390, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 84, 26, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76391, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1901, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76392, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 108, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76393, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1321, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76394, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 4397, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76395, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2733, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76396, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2200, 13, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76397, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2488, 15, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76398, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 208, 11, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76399, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 11, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76400, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 3, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76401, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 165, 10, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76402, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 126, 39, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76403, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 157, 37, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76404, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 120, 20, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76405, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 7, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76406, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76407, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 36, 10, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76408, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 50, 6, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76409, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76410, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 16, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76411, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 100, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76412, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1696, 13, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76413, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 756, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76414, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 431, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76415, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 261, 38, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76416, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 457, 14, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76417, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 177, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76418, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2093, 20, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76419, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76420, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 83, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76421, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 100, 25, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76422, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 749, 48, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76423, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 100, 10, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76424, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 343, 41, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76425, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 699, 77, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76426, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 1085, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76427, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 69, 26, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76428, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 239, 33, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76429, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 72, 20, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76430, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 92, 30, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76431, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 91, 22, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76432, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 22, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76433, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 105, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76434, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 1369, 8, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76435, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 594, 9, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76436, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 60, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76437, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 252, 2, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76438, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 16, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76439, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 91, 17, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76440, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 312, 7, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76441, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 48, 11, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76442, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 103, 35, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76443, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1165, 5, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76444, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1303, 5, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76445, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 192, 1, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76446, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 339, 5, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76447, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 42, 3, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76448, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 971, 7, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76449, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 86, 28, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76450, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 119, 12, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76451, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 43, 13, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76452, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 73, 4, 2023, 11, 3, '2024-08-05 14:01:55', NULL, NULL), (76453, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 512, 83, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76454, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 619, 21, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76455, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 306, 34, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76456, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 512, 83, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76457, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 0, 1, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76458, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 619, 21, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76459, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 306, 34, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76460, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 282, 15, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76461, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 2170, 2, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76462, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 123, 15, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76463, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 2, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76464, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 619, 21, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 427, 4, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 201, 4, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 77, 14, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 106, 1, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 2, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 176, 15, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 114, 15, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 268, 6, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1042, 33, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 2170, 2, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 11, 4, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 123, 15, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1302, 2, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76479, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 123, 15, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76480, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 2170, 2, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76481, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 282, 15, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76482, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 2, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76483, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 2, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76484, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 2170, 2, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 268, 6, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76486, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 427, 4, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76487, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 201, 4, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76488, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 106, 1, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76489, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 123, 15, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76490, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 619, 21, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76491, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 268, 6, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76492, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 2, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76493, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 106, 1, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76494, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 427, 4, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76495, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1302, 2, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76496, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 201, 4, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76497, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1042, 33, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76498, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 123, 15, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76499, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 114, 15, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76500, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 176, 15, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76501, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 2170, 2, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76502, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 77, 14, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76503, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 11, 4, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76504, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 268, 6, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76505, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 427, 4, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76506, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 201, 4, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76507, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 2170, 2, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76508, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 106, 1, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76509, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 123, 15, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76510, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 2, 2023, 11, 4, '2024-08-05 14:01:57', NULL, NULL), (76511, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 281, 5, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76512, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 27, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76513, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 298, 39, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76514, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 10, 2, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76515, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 51, 6, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76516, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 298, 39, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76517, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 27, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76518, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 3, 6, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76519, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 234, 6, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76520, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 51, 6, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76521, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 32, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76522, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 122, 2, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76523, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 55, 5, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76524, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 628, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76525, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 0, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76526, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 27, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76527, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 266, 2, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 10, 2, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 122, 2, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 27, 5, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 266, 2, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 38, 6, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 628, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 42, 5, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 32, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 470, 12, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 27, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 52, 6, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 55, 5, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1024, 5, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76541, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 628, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76542, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 55, 5, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76543, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 122, 2, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76544, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 266, 2, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76545, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 32, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76546, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 27, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76547, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 628, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76548, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 32, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76549, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 122, 2, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76550, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 266, 2, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76551, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 27, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76552, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 55, 5, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76553, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 122, 2, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76554, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 27, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76555, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 10, 2, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76556, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 266, 2, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76557, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 628, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76558, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 32, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76559, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1024, 5, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76560, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 470, 12, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76561, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 55, 5, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76562, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 42, 5, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76563, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 38, 6, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76564, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 27, 5, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76565, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 52, 6, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76566, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 27, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76567, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 122, 2, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76568, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 628, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76569, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 55, 5, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76570, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 32, 1, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76571, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 266, 2, 2023, 11, 5, '2024-08-05 14:02:01', NULL, NULL), (76572, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 182, 227, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76573, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 126, 124, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76574, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 349, 82, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76575, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 238, 413, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76576, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 783, 104, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76577, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 636, 470, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76578, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 184, 179, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76579, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 514, 103, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76580, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 884, 311, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76581, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 635, 471, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76582, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 215, 206, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76583, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 783, 104, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76584, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 504, 105, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76585, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 235, 419, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76586, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 182, 227, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76587, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 884, 311, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76588, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 184, 179, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76589, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1868, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76590, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 401, 32, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76591, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 182, 227, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76592, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 285, 58, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76593, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1616, 145, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76594, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 870, 9, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76595, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 472, 53, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76596, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 226, 9, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76597, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1717, 1, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76598, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1649, 19, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76599, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 165, 50, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76600, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 375, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76601, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 561, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76602, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 3946, 9, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76603, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 512, 14, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76604, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 368, 11, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76605, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 243, 1, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76606, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76607, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 78, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76608, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 18, 80, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76609, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 117, 243, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76610, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 584, 10, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76611, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 87, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76612, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 226, 79, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76613, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 318, 41, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76614, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 9, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76615, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 188, 8, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 440, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 566, 8, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 519, 21, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 6, 1, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1060, 9, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1868, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 561, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 108, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 441, 32, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 690, 31, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 135, 10, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 843, 29, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 276, 11, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1114, 29, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2278, 9, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 195, 12, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (76632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 635, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 989, 40, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1531, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 798, 48, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 213, 7, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 876, 45, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 229, 10, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 801, 52, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 685, 16, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 148, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 125, 19, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 210, 11, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 295, 29, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 234, 17, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 177, 12, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 96, 20, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 48, 22, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 725, 34, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 199, 47, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 191, 29, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 163, 41, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 219, 25, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 189, 47, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 287, 12, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 112, 28, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 21, 24, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 543, 32, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 313, 12, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 22, 8, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 219, 35, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 97, 34, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 103, 19, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 264, 10, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 213, 7, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 439, 32, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 508, 11, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 472, 2, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 142, 12, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 115, 24, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 38, 13, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 327, 19, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 463, 57, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 509, 13, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 516, 37, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 165, 50, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1077, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 105, 37, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 128, 37, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 127, 43, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 126, 41, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3, 1, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 30, 11, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 28, 11, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 16, 20, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 129, 30, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 12, 13, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 86, 35, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 18, 19, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 31, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 125, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 375, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 120, 18, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 326, 40, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 2656, 25, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 7, 2, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 148, 16, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 55, 14, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 8, 2, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 111, 8, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 2, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 65, 14, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 109, 7, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 226, 9, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 285, 58, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 268, 4, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 108, 4, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1399, 120, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 510, 4, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 383, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 307, 12, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 5073, 7, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 761, 7, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 172, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 109, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 583, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76719, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 561, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76720, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1649, 19, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76721, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 368, 11, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76722, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 87, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76723, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 870, 9, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76724, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 182, 227, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76725, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 512, 14, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76726, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 584, 10, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76727, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 243, 1, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76728, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1616, 145, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76729, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 285, 58, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76730, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 401, 32, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76731, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 165, 50, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76732, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 18, 80, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76733, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 9, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76734, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 188, 8, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76735, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 226, 9, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76736, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 226, 79, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76737, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1868, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76738, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 318, 41, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76739, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 472, 53, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76740, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 5073, 7, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76741, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 375, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76742, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1717, 1, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76743, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 118, 241, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76744, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 78, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76745, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 226, 9, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76746, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 440, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76747, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 566, 8, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76748, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3, 1, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76749, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 326, 40, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76750, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 561, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76751, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 285, 58, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76752, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 219, 35, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76753, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 243, 1, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76754, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 112, 28, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76755, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 163, 41, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76756, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 189, 47, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76757, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 199, 47, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76758, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 191, 29, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76759, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 108, 4, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76760, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 268, 4, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76761, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 583, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76762, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1868, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76763, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 86, 35, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76764, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 129, 30, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76765, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 120, 18, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76766, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 105, 37, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76767, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 5073, 7, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76768, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1717, 1, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76769, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 87, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76770, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 109, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76771, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 126, 41, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76772, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 127, 43, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76773, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 128, 37, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76774, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 172, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76775, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 125, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76776, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 2, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76777, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 30, 11, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76778, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 31, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76779, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 761, 7, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76780, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 148, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76781, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 7, 2, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76782, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 327, 19, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76783, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 8, 2, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76784, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 108, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76785, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76786, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 509, 13, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76787, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 6, 1, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76788, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 978, 8, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76789, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 307, 12, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76790, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 383, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76791, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 16, 20, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76792, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 12, 13, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76793, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 28, 11, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76794, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1399, 120, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76795, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76796, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 2656, 25, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76797, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 18, 19, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76798, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 375, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76799, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1531, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76800, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2278, 9, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76801, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 635, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76802, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 195, 12, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76803, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 213, 7, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76804, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 165, 50, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76805, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 229, 10, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76806, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 519, 21, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76807, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 135, 10, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76808, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 276, 11, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76809, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 441, 32, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76810, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 55, 14, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76811, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 111, 8, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76812, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 148, 16, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76813, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 65, 14, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76814, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 109, 7, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76815, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 268, 4, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76816, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 108, 4, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76817, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 307, 12, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76818, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 543, 32, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76819, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 725, 34, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76820, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 383, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76821, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 583, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76822, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 109, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76823, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 21, 24, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76824, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 463, 57, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76825, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 129, 30, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76826, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 86, 35, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76827, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1531, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76828, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 120, 18, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76829, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 31, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76830, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2278, 9, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76831, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 125, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76832, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 635, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76833, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 2, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76834, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 8, 2, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76835, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 38, 13, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76836, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76837, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 115, 24, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76838, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 7, 2, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76839, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 103, 19, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76840, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 2656, 25, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76841, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 97, 34, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76842, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1399, 120, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76843, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 285, 58, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76844, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 226, 9, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76845, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 516, 37, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76846, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1077, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76847, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 165, 50, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76848, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 561, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76849, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 327, 19, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76850, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 441, 32, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76851, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 509, 13, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76852, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 440, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76853, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1868, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76854, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 105, 37, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76855, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 566, 8, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76856, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 177, 12, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76857, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 126, 41, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76858, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 234, 17, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76859, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 519, 21, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76860, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 48, 22, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76861, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 128, 37, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76862, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 6, 1, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76863, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1060, 9, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76864, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 96, 20, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76865, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 127, 43, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76866, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 213, 7, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76867, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 125, 19, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76868, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 287, 12, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76869, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 195, 12, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76870, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 295, 29, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76871, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 276, 11, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76872, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 210, 11, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76873, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 135, 10, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76874, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 219, 25, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76875, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 142, 12, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76876, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 148, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76877, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 229, 10, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76878, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 108, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76879, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 510, 4, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76880, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 191, 29, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76881, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 163, 41, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76882, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 199, 47, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76883, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 189, 47, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76884, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 112, 28, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76885, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 326, 40, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76886, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 1, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76887, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 219, 35, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76888, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 375, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76889, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76890, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 16, 20, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76891, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 30, 11, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76892, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 28, 11, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76893, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 12, 13, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76894, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 18, 19, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76895, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 761, 7, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76896, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 172, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76897, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 5073, 7, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76898, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 22, 8, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76899, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 472, 2, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76900, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 508, 11, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76901, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 313, 12, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76902, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 876, 45, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76903, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 798, 48, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76904, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 264, 10, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76905, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 989, 40, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76906, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1114, 29, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76907, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 439, 32, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76908, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 843, 29, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76909, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 213, 7, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76910, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 690, 31, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76911, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 685, 16, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76912, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 801, 52, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76913, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 148, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76914, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 229, 10, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76915, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 440, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76916, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 5073, 7, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76917, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 135, 10, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76918, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 195, 12, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76919, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 276, 11, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76920, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 213, 7, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76921, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 566, 8, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76922, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76923, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 7, 2, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76924, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 128, 37, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76925, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 127, 43, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76926, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 126, 41, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76927, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 105, 37, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76928, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 28, 11, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76929, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 30, 11, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76930, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 16, 20, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76931, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76932, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 18, 19, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76933, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 12, 13, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76934, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 243, 1, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76935, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 108, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76936, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 978, 8, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76937, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 6, 1, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76938, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 441, 32, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76939, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 519, 21, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76940, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 383, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76941, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 375, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76942, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 307, 12, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76943, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 2, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76944, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 8, 2, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76945, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 561, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76946, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 219, 35, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76947, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 2656, 25, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76948, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 31, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76949, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 285, 58, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76950, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1399, 120, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76951, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 125, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76952, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 163, 41, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76953, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 189, 47, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76954, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 112, 28, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76955, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 199, 47, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76956, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 191, 29, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76957, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 87, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76958, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 109, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76959, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 583, 6, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76960, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 226, 9, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76961, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1868, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76962, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 108, 4, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76963, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 268, 4, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76964, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 509, 13, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76965, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 120, 18, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76966, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1717, 1, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76967, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 327, 19, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76968, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 165, 50, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76969, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 635, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76970, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1531, 5, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76971, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 172, 3, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76972, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 761, 7, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76973, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2278, 9, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76974, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 129, 30, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76975, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 86, 35, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76976, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 326, 40, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76977, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 1, 2023, 11, 6, '2024-08-05 14:02:05', NULL, NULL), (76978, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 161, 207, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76979, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 176, 68, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76980, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 351, 62, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76981, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 194, 342, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76982, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 719, 80, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76983, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 156, 487, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76984, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 782, 89, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76985, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 225, 180, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76986, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 406, 240, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76987, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 155, 489, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76988, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 257, 131, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76989, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 719, 80, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76990, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 782, 89, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76991, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 194, 342, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76992, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 161, 207, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76993, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 406, 240, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76994, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 225, 180, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76995, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 415, 22, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76996, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 170, 36, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76997, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 161, 207, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76998, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 441, 109, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (76999, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 444, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77000, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 360, 39, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77001, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 382, 14, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77002, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 2304, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77003, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1838, 17, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77004, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 157, 41, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77005, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1332, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77006, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 578, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77007, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2289, 10, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77008, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 209, 12, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77009, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 7, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77010, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 3, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77011, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 7, 4, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77012, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 24, 43, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77013, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 97, 207, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77014, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 92, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77015, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 559, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77016, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 60, 6, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77017, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 527, 72, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77018, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 90, 18, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77019, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 187, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77020, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 6, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 659, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 119, 10, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 360, 16, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 975, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 578, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 57, 4, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 361, 23, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 173, 38, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 271, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 217, 26, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 356, 11, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 199, 35, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1563, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 265, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2353, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 195, 38, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 196, 39, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1710, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1134, 9, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 172, 43, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 567, 9, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 117, 58, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1023, 4, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 267, 21, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 209, 9, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (77046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 248, 16, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 273, 12, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 300, 17, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 133, 25, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 80, 28, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 214, 41, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 118, 37, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 121, 38, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 137, 32, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 285, 13, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 339, 38, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 273, 15, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 125, 30, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 101, 45, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 210, 40, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1693, 6, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 62, 10, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 108, 32, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 32, 30, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 38, 19, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 572, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 210, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 227, 28, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 113, 10, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 114, 35, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 301, 24, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 483, 15, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 782, 48, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 269, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 782, 35, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 157, 41, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 9, 4, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 109, 34, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 93, 36, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 94, 41, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 104, 36, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 6, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 78, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 8, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 6, 6, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 97, 37, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 42, 8, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 85, 23, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 5, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 13, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1332, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 101, 16, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 435, 54, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 255, 14, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 83, 9, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 45, 11, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 106, 6, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 52, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 382, 14, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 431, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 170, 36, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 65, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 447, 55, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 2331, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 696, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 106, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 448, 17, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2289, 10, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 196, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 123, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 7, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77117, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 578, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77118, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1838, 17, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77119, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 7, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77120, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 60, 6, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77121, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 444, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77122, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 161, 207, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77123, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 92, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77124, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 209, 12, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77125, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 3, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77126, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 441, 109, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77127, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 170, 36, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77128, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 415, 22, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77129, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 157, 41, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77130, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 24, 43, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77131, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 6, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77132, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 187, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77133, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 559, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77134, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 382, 14, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77135, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 527, 72, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77136, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 90, 18, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77137, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 360, 39, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77138, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2289, 10, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77139, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1332, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77140, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 2304, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77141, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 97, 207, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77142, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 7, 4, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77143, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 382, 14, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77144, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 659, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77145, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 119, 10, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77146, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77147, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 101, 16, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77148, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 578, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77149, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 170, 36, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77150, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 108, 32, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77151, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 3, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77152, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 125, 30, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77153, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 137, 32, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77154, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 339, 38, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77155, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 118, 37, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77156, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 121, 38, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77157, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 65, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77158, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 431, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77159, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 7, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77160, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 85, 23, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77161, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 97, 37, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77162, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 109, 34, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77163, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2289, 10, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77164, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 2304, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77165, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 60, 6, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77166, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 104, 36, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77167, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 94, 41, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77168, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 93, 36, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77169, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 123, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77170, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 13, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77171, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 559, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77172, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 6, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77173, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77174, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 5, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77175, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 15, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77176, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1023, 4, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77177, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 483, 15, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77178, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77179, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 57, 4, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77180, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 269, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77181, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77182, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 444, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77183, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 448, 17, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77184, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 696, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77185, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 106, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77186, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 6, 6, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77187, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 42, 8, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77188, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 78, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77189, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 447, 55, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77190, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 8, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77191, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 435, 54, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77192, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77193, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1332, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77194, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1710, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77195, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1563, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77196, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 2353, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77197, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 265, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77198, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1134, 9, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77199, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 567, 9, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77200, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 157, 41, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77201, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 360, 16, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77202, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 271, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77203, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 356, 11, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77204, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 361, 23, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77205, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 83, 9, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77206, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 45, 11, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77207, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 255, 14, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77208, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 106, 6, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77209, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 52, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77210, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 65, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77211, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 431, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77212, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 448, 17, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77213, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 106, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77214, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 210, 40, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77215, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 214, 41, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77216, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 696, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77217, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 7, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77218, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 101, 45, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77219, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 782, 48, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77220, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 97, 37, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77221, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 85, 23, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77222, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1710, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77223, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 5, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77224, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1563, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77225, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 13, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77226, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2353, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77227, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77228, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77229, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 114, 35, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77230, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77231, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 38, 19, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77232, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 32, 30, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77233, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 435, 54, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77234, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 447, 55, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77235, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 170, 36, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77236, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 382, 14, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77237, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 782, 35, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77238, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 9, 4, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77239, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 578, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77240, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 157, 41, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77241, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 361, 23, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77242, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 483, 15, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77243, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 269, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77244, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 659, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77245, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 109, 34, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77246, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 300, 17, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77247, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 119, 10, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77248, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 104, 36, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77249, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 360, 16, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77250, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 273, 12, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77251, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 80, 28, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77252, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 93, 36, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77253, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 133, 25, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77254, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 975, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77255, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 94, 41, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77256, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1134, 9, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77257, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 267, 21, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77258, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 273, 15, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77259, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 248, 16, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77260, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 265, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77261, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 209, 9, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77262, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 356, 11, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77263, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 271, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77264, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 285, 13, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77265, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 301, 24, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77266, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1023, 4, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77267, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 567, 9, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77268, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 57, 4, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77269, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 2331, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77270, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 121, 38, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77271, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 137, 32, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77272, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 118, 37, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77273, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 339, 38, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77274, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 125, 30, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77275, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 101, 16, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77276, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77277, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 108, 32, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77278, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1332, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77279, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 8, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77280, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 6, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77281, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 6, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77282, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 78, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77283, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 42, 8, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77284, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77285, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 196, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77286, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 123, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77287, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2289, 10, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77288, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 62, 10, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77289, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 113, 10, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77290, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1693, 6, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77291, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 172, 43, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77292, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 196, 39, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77293, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 572, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77294, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 195, 38, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77295, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 199, 35, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77296, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 227, 28, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77297, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 217, 26, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77298, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 210, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77299, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 173, 38, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77300, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 117, 58, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77301, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1023, 4, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77302, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 567, 9, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77303, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 659, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77304, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 271, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77305, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2289, 10, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77306, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 265, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77307, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 356, 11, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77308, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1134, 9, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77309, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 119, 10, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77310, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77311, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 93, 36, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77312, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 94, 41, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77313, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 104, 36, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77314, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 109, 34, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77315, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 78, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77316, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 6, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77317, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 6, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77318, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 8, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77319, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77320, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 42, 8, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77321, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 3, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77322, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 57, 4, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77323, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 444, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77324, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 361, 23, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77325, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 360, 16, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77326, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 696, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77327, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1332, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77328, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 106, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77329, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 448, 17, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77330, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77331, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77332, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 578, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77333, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 108, 32, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77334, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 435, 54, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77335, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 170, 36, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77336, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 5, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77337, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 447, 55, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77338, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 13, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77339, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 137, 32, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77340, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 339, 38, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77341, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 125, 30, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77342, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 118, 37, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77343, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 121, 38, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77344, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 60, 6, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77345, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 7, 3, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77346, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 382, 14, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77347, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 65, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77348, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 431, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77349, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 559, 1, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77350, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 269, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77351, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 2304, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77352, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 483, 15, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77353, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 2353, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77354, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 157, 41, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77355, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1710, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77356, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 123, 5, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77357, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 15, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77358, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1563, 7, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77359, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 97, 37, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77360, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 85, 23, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77361, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 101, 16, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77362, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 2, 2023, 11, 7, '2024-08-05 14:02:09', NULL, NULL), (77363, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 155, 164, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77364, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 228, 66, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77365, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 469, 57, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77366, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 222, 376, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77367, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 478, 83, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77368, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 93, 346, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77369, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 343, 235, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77370, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 71, 149, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77371, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 755, 48, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77372, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 93, 347, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77373, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 337, 124, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77374, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 478, 83, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77375, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 755, 48, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77376, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 221, 378, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77377, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 341, 237, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77378, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 155, 164, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77379, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 71, 149, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77380, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 154, 28, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77381, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 461, 41, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77382, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 155, 164, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77383, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 290, 112, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77384, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 590, 7, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77385, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 167, 31, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77386, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 135, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77387, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1426, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77388, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1435, 15, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77389, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 126, 33, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77390, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1615, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77391, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 53, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77392, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 47, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77393, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1342, 10, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77394, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 204, 21, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77395, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1088, 9, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77396, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 680, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77397, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 272, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77398, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 37, 49, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77399, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 199, 226, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77400, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 311, 13, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77401, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 279, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77402, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 296, 63, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77403, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 35, 9, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77404, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77405, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 113, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 153, 7, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 229, 14, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 219, 4, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 98, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 924, 9, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 53, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 268, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 159, 27, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 125, 37, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 181, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 105, 23, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 430, 12, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1319, 4, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 136, 17, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 270, 7, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1231, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 133, 33, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1683, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 83, 20, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 375, 4, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 76, 36, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 284, 9, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 60, 38, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 335, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 92, 22, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 72, 11, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 111, 17, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 72, 15, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 49, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 41, 12, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 3, 20, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 163, 38, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 175, 15, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 170, 42, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 140, 26, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 87, 11, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 163, 25, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 86, 20, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 152, 24, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 37, 16, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 109, 22, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 31, 4, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 342, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 132, 32, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 27, 20, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 57, 15, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 789, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 494, 23, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 413, 17, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 863, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 87, 16, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 67, 18, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 3, 13, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 174, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 22, 23, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 147, 20, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 33, 19, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 126, 33, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (77464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 26938, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 185, 47, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 295, 34, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 164, 42, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 205, 53, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 5, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 38, 9, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 57, 11, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 13, 10, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 44, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 126, 26, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 32, 11, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 217, 24, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 407, 2, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1615, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 39, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 4, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 333, 54, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 114, 10, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 2, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 168, 14, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 9, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 98, 10, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 234, 18, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 337, 7, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 135, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 485, 39, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 130, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 109, 2, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 251, 58, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1637, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 121, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 251, 13, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1677, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 153, 4, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 382, 9, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 1548, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 858, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77504, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 53, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77505, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1435, 15, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77506, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1088, 9, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77507, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 279, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77508, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 590, 7, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77509, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 155, 164, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77510, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 311, 13, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77511, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 204, 21, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77512, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 680, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77513, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 290, 112, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77514, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 485, 39, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77515, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 154, 28, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77516, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 126, 33, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77517, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 37, 49, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77518, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77519, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 113, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77520, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 47, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77521, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 135, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77522, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 296, 63, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77523, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 35, 9, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77524, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 167, 31, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77525, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1677, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77526, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1615, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77527, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1426, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77528, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 199, 226, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77529, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 272, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77530, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 135, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77531, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 153, 7, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77532, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 229, 14, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77533, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 5, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77534, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 39, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77535, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 53, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77536, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 485, 39, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77537, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 132, 32, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77538, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 680, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77539, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 152, 24, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77540, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 140, 26, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77541, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 163, 25, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77542, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 175, 15, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77543, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 170, 42, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77544, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 109, 2, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77545, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 171, 2, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77546, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 858, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77547, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 217, 24, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77548, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 126, 26, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77549, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 185, 47, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77550, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1677, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77551, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1426, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77552, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 279, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77553, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 1548, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77554, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 205, 53, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77555, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 164, 42, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77556, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 295, 34, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77557, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 382, 9, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77558, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 407, 2, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77559, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 38, 9, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77560, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77561, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 153, 4, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77562, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 335, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77563, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77564, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 174, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77565, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 9, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77566, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 268, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77567, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 2, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77568, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 147, 20, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77569, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 98, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77570, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 672, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77571, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 251, 13, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77572, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 121, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77573, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E28', 47, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77574, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 44, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77575, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 32, 11, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77576, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 57, 11, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77577, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 251, 58, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77578, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 333, 54, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77579, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 13, 10, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77580, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 4, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77581, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1615, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77582, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1683, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77583, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1319, 4, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77584, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1231, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77585, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 270, 7, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77586, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 375, 4, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77587, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 284, 9, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77588, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 126, 33, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77589, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 219, 4, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77590, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 181, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77591, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 430, 12, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77592, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 159, 27, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77593, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 168, 14, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77594, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 98, 10, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77595, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 4, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77596, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 114, 10, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77597, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 234, 18, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77598, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 337, 7, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77599, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 130, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77600, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 109, 2, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77601, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 251, 13, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77602, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 109, 22, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77603, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 163, 38, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77604, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 121, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77605, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 858, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77606, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 1548, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77607, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 37, 16, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77608, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 22, 23, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77609, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 126, 26, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77610, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 217, 24, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77611, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1683, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77612, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77613, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1319, 4, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77614, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 407, 2, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77615, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1231, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77616, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 9, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77617, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 3, 13, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77618, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 2, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77619, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 67, 18, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77620, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77621, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 57, 15, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77622, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 333, 54, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77623, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 27, 20, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77624, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 251, 58, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77625, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 485, 39, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77626, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 135, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77627, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 33, 19, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77628, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 26938, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77629, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 53, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77630, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 126, 33, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77631, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 174, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77632, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 159, 27, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77633, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 153, 7, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77634, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 147, 20, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77635, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 185, 47, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77636, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 49, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77637, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 229, 14, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77638, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 205, 53, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77639, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 219, 4, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77640, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 72, 15, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77641, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 3, 20, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77642, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 98, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77643, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 295, 34, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77644, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 41, 12, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77645, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 164, 42, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77646, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 924, 9, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77647, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 92, 22, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77648, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 375, 4, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77649, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 86, 20, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77650, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 270, 7, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77651, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 111, 17, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77652, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 430, 12, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77653, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 72, 11, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77654, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 181, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77655, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 87, 11, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77656, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 87, 16, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77657, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 335, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77658, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 284, 9, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77659, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 268, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77660, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1637, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77661, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 170, 42, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77662, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 140, 26, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77663, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 175, 15, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77664, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 163, 25, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77665, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 152, 24, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77666, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 39, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77667, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77668, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 132, 32, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77669, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1615, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77670, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 13, 10, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77671, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 44, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77672, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 38, 9, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77673, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 57, 11, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77674, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 32, 11, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77675, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 153, 4, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77676, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 382, 9, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77677, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1677, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77678, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 342, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77679, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 863, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77680, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 413, 17, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77681, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 31, 4, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77682, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 76, 36, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77683, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 83, 20, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77684, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 133, 33, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77685, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 136, 17, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77686, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 494, 23, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77687, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 105, 23, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77688, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 789, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77689, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 125, 37, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77690, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 60, 38, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77691, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 335, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77692, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 284, 9, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77693, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 153, 7, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77694, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 181, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77695, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1677, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77696, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 270, 7, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77697, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 430, 12, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77698, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 229, 14, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77699, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 375, 4, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77700, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 2, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77701, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77702, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 295, 34, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77703, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 164, 42, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77704, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 205, 53, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77705, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 185, 47, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77706, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 57, 11, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77707, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 38, 9, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77708, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 44, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77709, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 13, 10, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77710, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 32, 11, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77711, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 680, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77712, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 268, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77713, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 672, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77714, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 98, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77715, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 159, 27, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77716, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 219, 4, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77717, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 121, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77718, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1615, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77719, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 251, 13, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77720, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 9, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77721, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 53, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77722, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 132, 32, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77723, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 333, 54, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77724, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77725, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 485, 39, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77726, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 251, 58, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77727, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 407, 2, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77728, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 140, 26, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77729, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 163, 25, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77730, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 152, 24, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77731, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 175, 15, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77732, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 170, 42, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77733, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 279, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77734, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 1548, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77735, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 858, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77736, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 135, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77737, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 109, 2, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77738, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 171, 2, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77739, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 147, 20, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77740, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1426, 3, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77741, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 174, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77742, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1231, 5, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77743, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 126, 33, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77744, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1683, 6, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77745, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 4, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77746, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 382, 9, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77747, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 153, 4, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77748, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1319, 4, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77749, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 126, 26, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77750, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 217, 24, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77751, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E28', 47, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77752, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 39, 8, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77753, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 1, 2023, 11, 8, '2024-08-05 14:02:13', NULL, NULL), (77754, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 146, 170, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77755, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 194, 52, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77756, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 862, 13, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77757, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 492, 312, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77758, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 625, 76, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77759, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 92, 390, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77760, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 823, 62, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77761, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 161, 158, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77762, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 739, 283, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77763, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 209, 334, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77764, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 207, 133, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77765, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 625, 76, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77766, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 800, 71, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77767, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 238, 295, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77768, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 146, 170, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77769, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 736, 286, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77770, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 377, 163, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77771, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 87, 15, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77772, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 338, 46, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77773, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 146, 170, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77774, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 435, 135, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77775, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1425, 7, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77776, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 200, 28, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77777, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 229, 10, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77778, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1820, 2, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77779, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1074, 17, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77780, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 266, 40, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77781, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 478, 7, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77782, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 204, 7, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77783, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 9323, 11, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77784, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 574, 15, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77785, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1364, 8, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77786, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 1052, 1, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77787, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 53, 8, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77788, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 140, 182, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77789, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 96, 29, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77790, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 223, 7, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77791, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 5014, 1, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77792, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 212, 4, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77793, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1641, 74, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77794, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 220, 18, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77795, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 29, 6, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77796, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 14, 10, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 137, 6, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 574, 15, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 185, 29, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 54, 9, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 146, 20, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 266, 40, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 183, 7, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2813, 3, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1512, 9, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 129, 23, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 164, 30, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 204, 7, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 186, 44, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1263, 7, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 117, 36, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 205, 21, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 5, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 4, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 67, 26, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1260, 3, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 90, 27, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 231, 5, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 53, 7, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1224, 7, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1043, 10, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 65, 37, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 618, 3, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1612, 19, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 37, 19, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 71, 7, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 116, 29, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 123, 6, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 153, 30, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 79, 32, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1120, 7, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1443, 5, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 75, 43, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2356, 19, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 49, 6, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 65, 2, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 669, 5, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 303, 13, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 94, 32, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1236, 6, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 3, 1, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 303, 14, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 431, 55, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 2, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 150, 12, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 91, 11, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 307, 20, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 9, 5, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 252, 13, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 28, 3, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 149, 16, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 26, 7, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 3, 6, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 171, 17, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 380, 5, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 61, 19, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 17, 16, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 98, 23, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 55, 28, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 77, 27, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 229, 10, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 338, 46, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 351, 38, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 198, 12, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 11, 3, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 102, 30, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 69, 2, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 123, 10, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 72, 29, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 101, 25, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 438, 80, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 3431, 10, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 90, 30, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1675, 5, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1293, 3, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 103, 22, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 9323, 11, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 2143, 3, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 282, 23, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 29, 5, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 76, 19, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (77882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 34, 1, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 1672, 6, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 811, 9, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 442, 2, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 136, 22, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 54, 19, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 64, 21, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77889, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 204, 7, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77890, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1074, 17, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77891, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1364, 8, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77892, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 212, 4, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77893, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1425, 7, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77894, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 146, 170, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77895, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 574, 15, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77896, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 223, 7, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77897, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 1052, 1, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77898, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 435, 135, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77899, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 338, 46, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77900, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 87, 15, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77901, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 266, 40, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77902, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 96, 29, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77903, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 14, 10, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77904, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 29, 6, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77905, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 5014, 1, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77906, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 229, 10, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77907, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1641, 74, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77908, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 220, 18, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77909, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 200, 28, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77910, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 9323, 11, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77911, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 669, 5, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77912, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1820, 2, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77913, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 140, 182, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77914, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 53, 8, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77915, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 229, 10, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77916, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 574, 15, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77917, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77918, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 303, 13, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77919, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 204, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77920, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 338, 46, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77921, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 103, 22, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77922, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 1052, 1, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77923, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 101, 25, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77924, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 351, 38, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77925, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 102, 30, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77926, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 55, 28, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77927, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 77, 27, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77928, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 69, 2, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77929, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 11, 3, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77930, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 442, 2, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77931, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 153, 30, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77932, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 37, 19, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77933, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 129, 23, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77934, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 9323, 11, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77935, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1820, 2, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77936, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 212, 4, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77937, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 1672, 6, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77938, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 117, 36, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77939, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 186, 44, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77940, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 164, 30, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77941, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 29, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77942, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 65, 2, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77943, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 5014, 1, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77944, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 4, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77945, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 49, 6, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77946, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1236, 6, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77947, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 708, 2, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77948, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 137, 6, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77949, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 2, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77950, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1263, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77951, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 28, 3, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77952, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 9, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77953, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 54, 9, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77954, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1425, 7, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77955, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1675, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77956, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 71, 7, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77957, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 123, 6, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77958, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 438, 80, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77959, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 231, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77960, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 53, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77961, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 431, 55, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77962, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 3, 1, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77963, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 669, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77964, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1120, 7, 2023, 11, 9, '2024-08-05 14:02:13', NULL, NULL), (77965, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1224, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77966, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 618, 3, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77967, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1612, 19, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77968, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1443, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77969, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 266, 40, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77970, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2356, 19, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77971, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 183, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77972, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1260, 3, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77973, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1043, 10, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77974, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 205, 21, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77975, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 252, 13, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77976, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 26, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77977, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 3, 1, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77978, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 91, 11, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77979, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 3, 6, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77980, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 380, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77981, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 11, 3, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77982, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 69, 2, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77983, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 90, 30, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77984, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 98, 23, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77985, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1675, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77986, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 442, 2, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77987, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 1672, 6, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77988, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 72, 29, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77989, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 185, 29, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77990, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 37, 19, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77991, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 153, 30, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77992, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1120, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77993, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 49, 6, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77994, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1224, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77995, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 65, 2, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77996, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 618, 3, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77997, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 64, 21, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77998, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 28, 3, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (77999, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 9, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78000, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 54, 19, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78001, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 2, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78002, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 76, 19, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78003, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 431, 55, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78004, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 282, 23, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78005, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 438, 80, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78006, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 338, 46, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78007, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 229, 10, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78008, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 146, 20, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78009, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2813, 3, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78010, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 204, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78011, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 266, 40, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78012, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 77, 27, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78013, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 351, 38, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78014, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 137, 6, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78015, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 205, 21, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78016, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 574, 15, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78017, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 54, 9, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78018, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 55, 28, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78019, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 102, 30, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78020, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 101, 25, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78021, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 129, 23, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78022, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 171, 17, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78023, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 117, 36, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78024, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 149, 16, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78025, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 183, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78026, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 17, 16, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78027, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 164, 30, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78028, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1512, 9, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78029, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 186, 44, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78030, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 61, 19, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78031, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 303, 14, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78032, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1443, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78033, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 123, 10, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78034, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 307, 20, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78035, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1612, 19, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78036, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 150, 12, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78037, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1043, 10, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78038, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1260, 3, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78039, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 198, 12, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78040, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 303, 13, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78041, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78042, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 103, 22, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78043, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 669, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78044, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 53, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78045, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 71, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78046, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 4, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78047, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 231, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78048, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 123, 6, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78049, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 2143, 3, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78050, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 29, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78051, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 9323, 11, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78052, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 136, 22, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78053, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1236, 6, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78054, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2356, 19, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78055, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 811, 9, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78056, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1293, 3, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78057, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 75, 43, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78058, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 79, 32, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78059, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1263, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78060, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 116, 29, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78061, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 65, 37, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78062, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 90, 27, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78063, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 34, 1, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78064, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 3431, 10, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78065, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 67, 26, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78066, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 94, 32, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78067, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1236, 6, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78068, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 351, 38, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78069, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 102, 30, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78070, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2356, 19, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78071, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 101, 25, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78072, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 55, 28, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78073, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 77, 27, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78074, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 212, 4, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78075, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 574, 15, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78076, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 9323, 11, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78077, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1260, 3, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78078, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1612, 19, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78079, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1043, 10, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78080, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1443, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78081, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 1672, 6, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78082, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 442, 2, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78083, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 9, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78084, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 2, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78085, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 229, 10, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78086, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 164, 30, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78087, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 186, 44, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78088, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 117, 36, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78089, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 129, 23, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78090, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 69, 2, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78091, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 11, 3, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78092, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 231, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78093, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 4, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78094, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 71, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78095, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 53, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78096, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 123, 6, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78097, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 1052, 1, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78098, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1263, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78099, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 5014, 1, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78100, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1425, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78101, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 54, 9, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78102, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1820, 2, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78103, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 205, 21, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78104, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 183, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78105, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 137, 6, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78106, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 618, 3, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78107, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 266, 40, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78108, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1675, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78109, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1120, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78110, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 3, 1, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78111, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 669, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78112, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 29, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78113, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 708, 2, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78114, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1224, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78115, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 37, 19, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78116, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 153, 30, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78117, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 28, 3, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78118, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 204, 7, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78119, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 103, 22, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78120, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 431, 55, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78121, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 49, 6, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78122, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 338, 46, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78123, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 438, 80, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78124, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 303, 13, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78125, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 5, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78126, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 65, 2, 2023, 11, 9, '2024-08-05 14:02:14', NULL, NULL), (78127, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 124, 189, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78128, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 160, 88, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78129, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1576, 50, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78130, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 220, 334, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78131, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 939, 90, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78132, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 70, 364, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78133, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 85, 126, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78134, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 331, 90, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78135, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1563, 316, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78136, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 61, 296, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78137, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 471, 212, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78138, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1047, 93, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78139, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 336, 94, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78140, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 165, 320, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78141, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 135, 192, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78142, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1558, 319, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78143, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 91, 127, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78144, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 193, 26, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78145, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 367, 57, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78146, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 124, 189, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78147, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1370, 129, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78148, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 622, 7, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78149, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 501, 46, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78150, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 239, 3, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78151, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 2851, 1, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78152, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2132, 20, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78153, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 291, 42, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78154, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 441, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78155, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1176, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78156, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1874, 10, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78157, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 248, 9, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78158, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 325, 7, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78159, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 750, 2, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78160, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 36, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78161, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 4, 57, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78162, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 106, 184, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78163, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 329, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78164, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 260, 2, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78165, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 560, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78166, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2765, 106, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78167, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 447, 27, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78168, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 158, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78169, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 29, 14, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 248, 9, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 587, 17, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 900, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1176, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 956, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 466, 28, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 70, 31, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 37, 16, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 3586, 15, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1947, 21, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 36, 23, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2310, 9, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 3352, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1927, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 145, 29, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 71, 33, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2038, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 25, 50, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2302, 11, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2651, 12, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 73, 34, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2908, 10, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 124, 11, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 84, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 83, 12, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 88, 17, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 114, 15, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 53, 30, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 54, 12, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 110, 24, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 126, 36, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 108, 38, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 78, 15, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 91, 34, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 31, 13, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 180, 32, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 58, 26, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 5313, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 2154, 11, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 130, 25, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 81, 22, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 68, 24, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 245, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 1098, 2, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1167, 14, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 645, 14, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 96, 20, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 172, 29, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 28, 22, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 193, 12, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 119, 35, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 206, 37, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 193, 14, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 291, 42, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 957, 10, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 78, 29, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 93, 11, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 85, 27, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 154, 46, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 238, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 9, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 14, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 7, 7, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 6, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 107, 23, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 79, 33, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 11, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 11, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 162, 1, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 29, 1, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 441, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 122, 14, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 494, 22, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 104, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1185, 60, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 30, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 124, 21, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 28, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 293, 19, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 29, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 291, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 623, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 239, 3, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 367, 57, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 152, 2, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 275, 2, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1530, 69, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1057, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 4544, 10, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2678, 7, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2615, 16, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 411, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 171, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 379, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 3, 1, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78266, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1176, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78267, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2132, 20, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78268, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 325, 7, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78269, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 560, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78270, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 622, 7, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78271, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 124, 189, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78272, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 329, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78273, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 248, 9, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78274, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 750, 2, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78275, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1370, 129, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78276, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 367, 57, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78277, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 193, 26, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78278, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 291, 42, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78279, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 4, 57, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78280, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 29, 14, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78281, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 158, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78282, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 260, 2, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78283, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 239, 3, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78284, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2765, 106, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78285, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 447, 27, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78286, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 512, 45, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78287, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2678, 7, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78288, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 441, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78289, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 2851, 1, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78290, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 106, 184, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (78291, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 36, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78292, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 239, 3, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78293, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 248, 9, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78294, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 238, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78295, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 494, 22, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78296, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1176, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78297, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 367, 57, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78298, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 130, 25, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78299, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 750, 2, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78300, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 180, 32, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78301, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 108, 38, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78302, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 91, 34, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78303, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 110, 24, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78304, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 126, 36, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78305, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 275, 2, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78306, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 152, 2, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78307, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 3, 1, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78308, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 79, 33, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78309, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 107, 23, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78310, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 122, 14, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78311, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 29, 1, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78312, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 78, 29, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78313, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2678, 7, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78314, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 2851, 1, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78315, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 560, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78316, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 379, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78317, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 154, 46, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78318, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 85, 27, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78319, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 93, 11, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78320, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 171, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78321, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 162, 1, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78322, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 260, 2, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78323, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 9, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78324, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 11, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78325, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 487, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78326, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2908, 10, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78327, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 30, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78328, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 193, 12, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78329, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 956, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78330, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 29, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78331, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 28, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78332, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 193, 14, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78333, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 622, 7, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78334, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2615, 16, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78335, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 4544, 10, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78336, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 6, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78337, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 11, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78338, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 14, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78339, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1530, 69, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78340, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 7, 7, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78341, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1185, 60, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78342, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78343, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 104, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78344, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 441, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78345, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2038, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78346, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2310, 9, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78347, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1927, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78348, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 3352, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78349, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2302, 11, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78350, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 291, 42, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78351, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2651, 12, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78352, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 587, 17, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78353, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 3586, 15, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78354, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1947, 21, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78355, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 466, 28, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78356, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 293, 19, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78357, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 291, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78358, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 104, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78359, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 124, 21, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78360, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 623, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78361, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 152, 2, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78362, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 275, 2, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78363, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2615, 16, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78364, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 58, 26, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78365, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 54, 12, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78366, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 4544, 10, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78367, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 3, 1, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78368, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 379, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78369, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 31, 13, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78370, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 119, 35, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78371, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 107, 23, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78372, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 79, 33, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78373, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2038, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78374, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 29, 1, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78375, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 122, 14, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78376, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 11, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78377, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2310, 9, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78378, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 162, 1, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78379, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1927, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78380, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 28, 22, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78381, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 29, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78382, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 28, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78383, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 172, 29, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78384, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 30, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78385, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 68, 24, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78386, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 81, 22, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78387, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1185, 60, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78388, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1530, 69, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78389, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 367, 57, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78390, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 239, 3, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78391, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 206, 37, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78392, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 957, 10, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78393, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1176, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78394, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 291, 42, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78395, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 193, 12, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78396, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 466, 28, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78397, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 193, 14, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78398, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 248, 9, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78399, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 78, 29, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78400, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 114, 15, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78401, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 154, 46, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78402, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 587, 17, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78403, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 88, 17, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78404, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 93, 11, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78405, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 900, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78406, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 53, 30, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78407, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 85, 27, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78408, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 124, 11, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78409, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2302, 11, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78410, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 83, 12, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78411, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 3352, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78412, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 84, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78413, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1947, 21, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78414, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 3586, 15, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78415, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 78, 15, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78416, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 96, 20, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78417, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2908, 10, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78418, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2651, 12, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78419, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 956, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78420, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1057, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78421, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 126, 36, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78422, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 108, 38, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78423, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 110, 24, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78424, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 91, 34, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78425, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 180, 32, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78426, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 494, 22, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78427, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 238, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78428, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 130, 25, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78429, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 441, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78430, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 7, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78431, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78432, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 9, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78433, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 14, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78434, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 11, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78435, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78436, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 411, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78437, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 171, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78438, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2678, 7, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78439, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 2154, 11, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78440, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 645, 14, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78441, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 5313, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78442, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 25, 50, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78443, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 71, 33, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78444, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 245, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78445, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 145, 29, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78446, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 36, 23, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78447, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1167, 14, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78448, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 37, 16, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78449, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 1098, 2, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78450, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 70, 31, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78451, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 73, 34, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78452, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2908, 10, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78453, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2651, 12, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78454, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 248, 9, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78455, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2678, 7, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78456, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 3586, 15, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78457, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 3352, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78458, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1947, 21, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78459, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2302, 11, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78460, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 28, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78461, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 30, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78462, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 93, 11, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78463, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 85, 27, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78464, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 154, 46, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78465, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 78, 29, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78466, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 14, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78467, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 9, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78468, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78469, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 7, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78470, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78471, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 11, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78472, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 750, 2, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78473, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 956, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78474, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 622, 7, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78475, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 466, 28, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78476, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 587, 17, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78477, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 4544, 10, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78478, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 441, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78479, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2615, 16, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78480, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 29, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78481, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1176, 8, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78482, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 130, 25, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78483, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1185, 60, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78484, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 11, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78485, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 367, 57, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78486, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1530, 69, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78487, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 162, 1, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78488, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 108, 38, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78489, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 91, 34, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78490, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 180, 32, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78491, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 110, 24, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78492, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 126, 36, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78493, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 560, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78494, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 379, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78495, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 3, 1, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78496, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 239, 3, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78497, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 275, 2, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78498, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 152, 2, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78499, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 260, 2, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78500, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 193, 14, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78501, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 29, 1, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78502, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 122, 14, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78503, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 2851, 1, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78504, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 193, 12, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78505, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 291, 42, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78506, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1927, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78507, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2038, 6, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78508, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 104, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78509, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 171, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78510, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 487, 4, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78511, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2310, 9, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78512, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 107, 23, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78513, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 79, 33, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78514, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 494, 22, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78515, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 238, 5, 2023, 11, 10, '2024-08-05 14:02:14', NULL, NULL), (78516, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 136, 3, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78517, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 4, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78518, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 606, 19, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78519, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 154, 67, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78520, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 422, 8, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78521, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 22, 10, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78522, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 68, 33, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78523, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 213, 38, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78524, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78525, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 422, 8, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78526, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 606, 19, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78527, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 136, 3, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78528, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 19, 12, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78529, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 7, 6, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78530, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 38, 4, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78531, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 0, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78532, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 136, 3, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78533, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78534, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 170, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78535, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 37, 5, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78536, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 7927, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78537, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 4, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78538, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78539, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 251, 13, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 14, 6, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 38, 4, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1234, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 35, 3, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 4, 2, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 136, 3, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 8, 2, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 7927, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 180, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 226, 35, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 18, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 251, 13, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 170, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 37, 5, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 39, 9, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 166, 9, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 2056, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 29, 10, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78559, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 8, 5, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78560, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 136, 3, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78561, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 7927, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78562, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 37, 5, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78563, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 38, 4, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78564, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 4, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78565, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 251, 13, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78566, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 170, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78567, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 170, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78568, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 7927, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78569, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 4, 2, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78570, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 8, 2, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78571, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 38, 4, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78572, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 136, 3, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78573, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 37, 5, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78574, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 18, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78575, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 251, 13, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78576, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78577, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 38, 4, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78578, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 14, 6, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78579, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78580, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 7927, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78581, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 251, 13, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78582, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 170, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78583, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 8, 2, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78584, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 4, 2, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78585, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 29, 10, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78586, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 226, 35, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78587, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 180, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78588, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 37, 5, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78589, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 18, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78590, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 136, 3, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78591, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 35, 3, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78592, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 2056, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78593, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 39, 9, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78594, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 166, 9, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78595, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1234, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78596, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 251, 13, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78597, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 170, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78598, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 136, 3, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78599, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 38, 4, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78600, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 7927, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78601, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 4, 2, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78602, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 37, 5, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78603, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78604, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 8, 2, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78605, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 18, 1, 2023, 11, 11, '2024-08-05 14:02:15', NULL, NULL), (78606, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 1332, 2, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78607, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 425, 8, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78608, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 69, 37, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78609, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1055, 15, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78610, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 322, 14, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78611, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 32, 22, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78612, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 108, 17, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78613, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1055, 15, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78614, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 425, 8, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78615, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 1332, 2, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78616, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 322, 14, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78617, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 48, 6, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78618, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 238, 3, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78619, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 10, 1, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78620, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 1332, 2, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78621, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 549, 7, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78622, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 670, 4, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1055, 15, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 549, 7, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 10, 1, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 238, 3, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 196, 2, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 46, 5, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 1332, 2, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 204, 1, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 108, 17, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 670, 4, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 19, 4, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 9, 2, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 56, 7, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 12, 6, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78637, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 549, 7, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78638, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 10, 1, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78639, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 238, 3, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78640, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 670, 4, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78641, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 48, 6, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78642, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 1332, 2, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78643, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 670, 4, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78644, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 204, 1, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78645, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 238, 3, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78646, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 10, 1, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78647, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 1332, 2, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78648, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 19, 4, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78649, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 10, 1, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78650, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 549, 7, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78651, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 238, 3, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78652, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1055, 15, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78653, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 10, 1, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78654, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 670, 4, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78655, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 204, 1, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78656, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 196, 2, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78657, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 12, 6, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78658, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 108, 17, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78659, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 549, 7, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78660, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 19, 4, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78661, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 1332, 2, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78662, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 46, 5, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78663, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 9, 2, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78664, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 56, 7, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78665, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 10, 1, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78666, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 204, 1, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78667, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 670, 4, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78668, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 1332, 2, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78669, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 238, 3, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78670, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 549, 7, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78671, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 10, 1, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78672, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 19, 4, 2023, 11, 12, '2024-08-05 14:02:16', NULL, NULL), (78673, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 191, 233, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78674, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 149, 141, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78675, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 285, 64, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78676, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 190, 366, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78677, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 625, 82, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78678, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 157, 456, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78679, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 281, 231, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78680, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 283, 93, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78681, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1057, 353, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78682, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 202, 378, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78683, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 159, 286, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78684, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 625, 82, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78685, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 278, 103, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78686, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 131, 355, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78687, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 189, 235, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78688, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1064, 359, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78689, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 281, 234, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (78690, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 198, 1, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78691, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 40, 16, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78692, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 191, 233, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78693, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 153, 65, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78694, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1784, 183, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78695, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 610, 4, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78696, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 277, 41, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78697, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 244, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78698, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 733, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78699, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1911, 17, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78700, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 183, 40, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78701, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 257, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78702, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 343, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78703, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 498, 11, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78704, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 55, 10, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78705, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 327, 12, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78706, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 4, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78707, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 350, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78708, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 113, 228, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78709, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 141, 95, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78710, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2371, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78711, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 35, 4, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78712, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 401, 77, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78713, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '', '', '', 175, 20, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78714, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 143, 37, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78715, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 316, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78716, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 11, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 168, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 7, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 303, 19, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 663, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 198, 1, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 343, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 438, 11, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 254, 22, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 128, 41, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 423, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 192, 48, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 394, 16, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1877, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 221, 42, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 343, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2112, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 243, 32, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1756, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 158, 28, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 548, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 166, 56, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 507, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 147, 24, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 444, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 285, 38, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 406, 17, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 189, 19, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 308, 19, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 239, 14, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 207, 57, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 165, 36, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 126, 40, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 136, 36, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 179, 42, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 259, 22, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 186, 39, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 447, 12, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 80, 20, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 187, 34, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 261, 31, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 243, 11, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 252, 12, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 319, 42, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 97, 33, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 42, 19, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 113, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 6888, 1, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 145, 24, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 82, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 200, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 347, 33, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 64, 30, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 88, 16, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 65, 8, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 313, 52, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 16, 8, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 215, 34, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 183, 40, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 511, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 102, 32, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 84, 19, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 73, 49, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 116, 39, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 11, 10, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 50, 13, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 64, 14, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 131, 23, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 92, 31, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 245, 34, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 149, 16, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 332, 19, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 350, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 66, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 257, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 73, 15, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 143, 37, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 610, 4, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1663, 87, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 7, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 44, 11, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 14, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 9, 12, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 281, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 4, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 41, 13, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 25, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 285, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 131, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 156, 64, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 49, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1893, 96, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 71, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 685, 8, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 316, 18, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 7022, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 46, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 340, 10, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 260, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78816, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '宜宾市市场监管局', '', '', 218, 16, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78817, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 343, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78818, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1911, 17, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78819, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 327, 12, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78820, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 35, 4, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78821, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 610, 4, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78822, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 191, 233, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78823, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2371, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78824, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 55, 10, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78825, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 4, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78826, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1784, 183, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78827, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 156, 64, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78828, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 40, 16, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78829, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 183, 40, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78830, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 141, 95, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78831, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 11, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78832, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 316, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78833, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 285, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78834, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 401, 77, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78835, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 198, 1, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78836, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 143, 37, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78837, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 277, 41, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78838, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 685, 8, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78839, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 257, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78840, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 733, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78841, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 114, 226, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78842, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 350, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78843, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 285, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78844, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 168, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78845, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 7, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78846, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 143, 37, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78847, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 343, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78848, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 156, 64, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78849, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 319, 42, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78850, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 4, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78851, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 187, 34, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78852, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 179, 42, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78853, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 186, 39, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78854, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 126, 40, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78855, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 136, 36, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78856, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 49, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78857, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 131, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78858, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 260, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78859, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 198, 1, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78860, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 245, 34, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78861, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 92, 31, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78862, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 73, 15, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78863, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 66, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78864, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 102, 32, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78865, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '', '', '1D02', 194, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78866, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '', '', '1D03', 331, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78867, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 685, 8, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78868, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '', '', '1D09', 113, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78869, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '', '', '1D05', 104, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78870, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 733, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78871, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 35, 4, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78872, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 340, 10, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78873, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 116, 39, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78874, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 73, 49, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78875, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 84, 19, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78876, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 46, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78877, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 350, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78878, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 11, 10, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78879, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 4, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78880, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 7022, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78881, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 444, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78882, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 65, 8, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78883, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 7, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78884, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78885, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 438, 11, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78886, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 14, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78887, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 16, 8, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78888, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 610, 4, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78889, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 316, 18, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78890, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 131, 23, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78891, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 149, 16, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78892, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 50, 13, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78893, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1893, 96, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78894, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 64, 14, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78895, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1663, 87, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78896, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 332, 19, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78897, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 610, 4, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78898, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 257, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78899, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1756, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78900, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1877, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78901, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 2112, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78902, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 343, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78903, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 548, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78904, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 507, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78905, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 183, 40, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78906, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 303, 19, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78907, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 423, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78908, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 394, 16, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78909, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 254, 22, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78910, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 9, 12, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78911, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 281, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78912, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 610, 4, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78913, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 44, 11, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78914, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 41, 13, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78915, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 25, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78916, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 49, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78917, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 131, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78918, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 316, 18, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78919, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 261, 31, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78920, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 165, 36, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78921, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 260, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78922, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 340, 10, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78923, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 80, 20, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78924, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 313, 52, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78925, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 92, 31, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78926, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 245, 34, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78927, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1756, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78928, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 66, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78929, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 73, 15, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78930, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1877, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78931, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 350, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78932, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2112, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78933, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 4, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78934, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78935, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 88, 16, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78936, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 14, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78937, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 64, 30, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78938, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 7, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78939, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 42, 19, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78940, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 97, 33, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78941, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1663, 87, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78942, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1893, 96, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78943, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 156, 64, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78944, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 285, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78945, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 215, 34, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78946, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 511, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78947, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 343, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78948, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 183, 40, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78949, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 65, 8, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78950, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 254, 22, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78951, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 168, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78952, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 16, 8, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78953, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 198, 1, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78954, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 102, 32, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78955, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 7, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78956, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 239, 14, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78957, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 116, 39, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78958, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 303, 19, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78959, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 308, 19, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78960, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 84, 19, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78961, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 663, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78962, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 207, 57, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78963, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 73, 49, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78964, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 548, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78965, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 285, 38, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78966, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 447, 12, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78967, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 343, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78968, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 189, 19, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78969, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 406, 17, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78970, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 394, 16, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78971, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 423, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78972, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 259, 22, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78973, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 347, 33, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78974, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 444, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78975, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 507, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78976, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 71, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78977, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 438, 11, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78978, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 136, 36, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78979, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 179, 42, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78980, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 126, 40, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78981, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 186, 39, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78982, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 187, 34, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78983, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 143, 37, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78984, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 319, 42, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78985, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 257, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78986, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 64, 14, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78987, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 131, 23, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78988, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 11, 10, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78989, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 50, 13, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78990, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 149, 16, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78991, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 332, 19, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78992, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 7022, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78993, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 46, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78994, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 685, 8, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78995, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 252, 12, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78996, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 200, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78997, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 82, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78998, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 243, 11, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (78999, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 166, 56, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79000, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 158, 28, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79001, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 113, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79002, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 243, 32, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79003, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 221, 42, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79004, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 145, 24, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79005, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 192, 48, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79006, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 6888, 1, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79007, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 128, 41, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79008, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 147, 24, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79009, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '宜宾市市场监管局', '', '1D09', 113, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79010, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 444, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79011, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 507, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79012, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 168, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79013, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 423, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79014, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 685, 8, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79015, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 343, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79016, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 394, 16, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79017, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 548, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79018, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 7, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79019, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '宜宾市市场监管局', '', '1D02', 194, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79020, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '宜宾市市场监管局', '', '1D03', 331, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79021, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '宜宾市市场监管局', '', '1D05', 104, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79022, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 14, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79023, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 7, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79024, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 84, 19, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79025, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 73, 49, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79026, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 116, 39, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79027, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 102, 32, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79028, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 50, 13, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79029, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 11, 10, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79030, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 131, 23, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79031, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 64, 14, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79032, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 332, 19, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79033, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 149, 16, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79034, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 4, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79035, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 438, 11, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79036, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 610, 4, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79037, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 254, 22, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79038, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 303, 19, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79039, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 257, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79040, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 316, 18, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79041, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 4, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79042, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79043, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 343, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79044, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 319, 42, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79045, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1663, 87, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79046, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 156, 64, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79047, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1893, 96, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79048, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 350, 9, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79049, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 179, 42, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79050, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 186, 39, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79051, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 187, 34, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79052, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 126, 40, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79053, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 136, 36, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79054, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 35, 4, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79055, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 340, 10, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79056, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 260, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79057, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 285, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79058, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 198, 1, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79059, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 49, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79060, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 131, 2, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79061, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 16, 8, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79062, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 66, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79063, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 73, 15, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79064, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 733, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79065, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 65, 8, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79066, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 183, 40, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79067, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 2112, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79068, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1756, 5, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79069, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 610, 4, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79070, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 46, 6, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79071, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 7022, 3, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79072, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1877, 7, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79073, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 92, 31, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79074, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 245, 34, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79075, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 143, 37, 2023, 11, 13, '2024-08-05 14:02:17', NULL, NULL), (79076, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 211, 193, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79077, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 211, 92, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79078, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 776, 59, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79079, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 180, 322, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79080, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 566, 65, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79081, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 128, 421, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79082, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 3390, 81, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79083, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 95, 195, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79084, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 272, 281, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79085, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 148, 348, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79086, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 260, 227, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79087, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 556, 67, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79088, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 3053, 93, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79089, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 177, 314, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79090, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 206, 197, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79091, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 273, 284, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79092, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 94, 197, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79093, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79094, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 319, 29, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79095, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 211, 193, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79096, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 145, 56, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79097, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 222, 121, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79098, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 488, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79099, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 0, 1, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (79100, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 591, 31, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79101, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 110, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79102, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1076, 13, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79103, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 219, 32, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79104, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 777, 12, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79105, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 106, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79106, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 48, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79107, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 4, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79108, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 223, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79109, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 122, 1, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79110, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79111, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 5, 58, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79112, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 149, 196, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79113, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 269, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79114, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 89, 3, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79115, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 481, 82, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79116, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 428, 23, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79117, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '', '', '', 776, 59, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79118, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 10, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79119, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 132, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 5, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 166, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 260, 27, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 3, 6, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 172, 27, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 378, 21, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 591, 13, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 219, 32, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 488, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 136, 27, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 186, 31, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 106, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 158, 34, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 319, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 140, 33, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 591, 18, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 5, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 144, 27, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 5, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 261, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 168, 43, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 143, 38, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1339, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 597, 12, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 664, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 6, 12, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 497, 3, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 154, 24, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 113, 31, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 5, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1190, 6, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 180, 43, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 130, 35, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 673, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 13, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 153, 50, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 370, 12, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 5, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 848, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 198, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 111, 41, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 86, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 517, 19, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 502, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 128, 26, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 244, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 202, 57, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 64, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 395, 17, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 9, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 143, 23, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 84, 16, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 259, 6, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 96, 21, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 63, 12, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 97, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 67, 37, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 136, 26, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 339, 27, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 110, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 203, 33, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 203, 36, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 145, 56, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 85, 26, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 199, 34, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 20, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 9, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 94, 16, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 168, 31, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 239, 64, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 3973, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 13702, 16, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 575, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 172, 32, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 195, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 465, 15, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 30, 21, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 269, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 70, 32, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1021, 3, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 622, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 895, 23, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 226, 1, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 684, 26, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 223, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 84, 19, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 15, 23, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 164, 44, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79213, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '宜宾市市场监管局', '', '', 776, 59, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79214, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 106, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79215, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1076, 13, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79216, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 223, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79217, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 89, 3, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79218, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 488, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79219, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 211, 193, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79220, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 4, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79221, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 269, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79222, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 122, 1, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79223, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 222, 121, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79224, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 145, 56, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79225, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 319, 29, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79226, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 219, 32, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79227, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 5, 58, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79228, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 10, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79229, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 132, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79230, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 110, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79231, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 481, 82, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79232, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 428, 23, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79233, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 591, 31, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79234, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 195, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79235, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 848, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79236, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 149, 196, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79237, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79238, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 110, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79239, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 5, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79240, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 3, 6, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79241, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 5, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79242, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 517, 19, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79243, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 106, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79244, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 145, 56, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79245, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 172, 32, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79246, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 122, 1, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79247, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 168, 31, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79248, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 203, 36, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79249, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 199, 34, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79250, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 339, 27, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79251, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 203, 33, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79252, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 20, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79253, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 223, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79254, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 130, 35, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79255, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 154, 24, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79256, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 86, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79257, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 198, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79258, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 136, 27, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79259, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 195, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79260, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '', '', '1D08', 622, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79261, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '', '', '1D09', 1021, 3, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79262, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '', '', '1D06', 684, 26, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79263, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '', '', '1D07', 895, 23, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79264, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 89, 3, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79265, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 226, 1, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79266, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 140, 33, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79267, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 158, 34, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79268, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 186, 31, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79269, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 269, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79270, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 5, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79271, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79272, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79273, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 502, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79274, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79275, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 166, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79276, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 319, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79277, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79278, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 378, 21, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79279, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 488, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79280, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 465, 15, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79281, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 575, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79282, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 6, 12, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79283, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 5, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79284, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 5, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79285, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 239, 64, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79286, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 4, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79287, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 202, 57, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79288, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 13, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79289, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 244, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79290, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 848, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79291, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1190, 6, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79292, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1339, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79293, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 497, 3, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79294, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 664, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79295, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 673, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79296, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 219, 32, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79297, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 370, 12, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79298, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 591, 13, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79299, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 261, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79300, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 597, 12, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79301, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 591, 18, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79302, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 9, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79303, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 259, 6, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79304, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 244, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79305, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 395, 17, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79306, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 63, 12, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79307, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 97, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79308, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 20, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79309, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 465, 15, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79310, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 136, 26, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79311, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 575, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79312, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 223, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79313, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 226, 1, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79314, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 9, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79315, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 260, 27, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79316, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 154, 24, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79317, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 130, 35, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79318, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1190, 6, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79319, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 198, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79320, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 86, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79321, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1339, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79322, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 5, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79323, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 497, 3, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79324, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79325, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 164, 44, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79326, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79327, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 15, 23, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79328, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79329, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 70, 32, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79330, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 30, 21, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79331, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 202, 57, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79332, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 239, 64, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79333, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 145, 56, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79334, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 110, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79335, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 172, 27, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79336, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 106, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79337, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 203, 33, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79338, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 219, 32, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79339, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 203, 36, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79340, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 166, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79341, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 591, 18, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79342, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 5, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79343, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 378, 21, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79344, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 339, 27, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79345, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 199, 34, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79346, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 168, 31, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79347, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 136, 27, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79348, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 3, 6, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79349, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 96, 21, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79350, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 140, 33, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79351, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 591, 13, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79352, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 84, 16, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79353, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 186, 31, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79354, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 488, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79355, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 67, 37, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79356, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 158, 34, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79357, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 673, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79358, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 128, 26, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79359, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 94, 16, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79360, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 143, 23, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79361, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 664, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79362, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 64, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79363, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 597, 12, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79364, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 261, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79365, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 85, 26, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79366, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 517, 19, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79367, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79368, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 172, 32, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79369, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 848, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79370, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79371, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 12, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79372, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79373, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 5, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79374, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79375, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 13, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79376, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 269, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79377, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 195, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79378, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 84, 19, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79379, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 502, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79380, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 370, 12, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79381, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 13702, 16, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79382, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 684, 26, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79383, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 153, 50, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79384, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 180, 43, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79385, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1021, 3, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79386, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 319, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79387, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 113, 31, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79388, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 143, 38, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79389, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 895, 23, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79390, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 168, 43, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79391, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 622, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79392, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 3973, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79393, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 144, 27, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79394, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 111, 41, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79395, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '宜宾市市场监管局', '', '1D08', 622, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79396, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '宜宾市市场监管局', '', '1D09', 1021, 3, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79397, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 502, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79398, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 370, 12, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79399, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 5, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79400, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 195, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79401, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 261, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79402, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 664, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79403, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 597, 12, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79404, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 673, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79405, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 3, 6, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79406, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '宜宾市市场监管局', '', '1D06', 684, 26, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79407, 1, '511500000000-0001', '宜宾市民中心', '企业服务', '宜宾市市场监管局', '', '1D07', 895, 23, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79408, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79409, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79410, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 186, 31, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79411, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 158, 34, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79412, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 140, 33, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79413, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 136, 27, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79414, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 5, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79415, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79416, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 12, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79417, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79418, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 13, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79419, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79420, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 122, 1, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79421, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 319, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79422, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 488, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79423, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 591, 18, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79424, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 591, 13, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79425, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 575, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79426, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 848, 11, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79427, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 465, 15, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79428, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79429, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 106, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79430, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 172, 32, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79431, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 202, 57, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79432, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 145, 56, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79433, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 239, 64, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79434, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 5, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79435, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 203, 36, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79436, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 199, 34, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79437, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 168, 31, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79438, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 339, 27, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79439, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 203, 33, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79440, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 89, 3, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79441, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 226, 1, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79442, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 223, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79443, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 110, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79444, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 20, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79445, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 378, 21, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79446, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 198, 5, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79447, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 86, 7, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79448, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 166, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79449, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 219, 32, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79450, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 497, 3, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79451, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1190, 6, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79452, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 244, 2, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79453, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 269, 8, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79454, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1339, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79455, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 154, 24, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79456, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 130, 35, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79457, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 517, 19, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79458, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 4, 2023, 11, 14, '2024-08-05 14:02:18', NULL, NULL), (79459, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 119, 135, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79460, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 242, 54, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79461, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 702, 56, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79462, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 283, 269, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79463, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 286, 50, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79464, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 105, 360, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79465, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 272, 149, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79466, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 629, 50, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79467, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 196, 217, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79468, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 113, 319, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79469, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 338, 149, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79470, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 280, 51, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79471, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 406, 86, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79472, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 275, 271, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79473, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 128, 138, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79474, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 195, 218, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79475, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 270, 150, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79476, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 976, 30, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79477, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 119, 135, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79478, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 179, 49, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79479, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 250, 91, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79480, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1068, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79481, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 44, 23, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79482, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 20, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79483, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 722, 3, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79484, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 816, 8, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79485, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 120, 42, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79486, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 585, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79487, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 307, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79488, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 3212, 7, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79489, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 90, 10, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79490, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 129, 3, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79491, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 3, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79492, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79493, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 78, 147, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79494, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 234, 39, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79495, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 721, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79496, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 6, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79497, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 165, 64, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79498, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 44, 9, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79499, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 155, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79500, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 215, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 1273, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 364, 30, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 7, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 765, 15, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 891, 17, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 86, 9, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 120, 42, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 5341, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1075, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 89, 29, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (79512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 55, 9, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 307, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 69, 27, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 70, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 85, 33, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 17, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 2, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 78, 35, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 7, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 150, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 174, 37, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1369, 3, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 154, 11, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 101, 21, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 133, 8, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 545, 3, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 85, 19, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 420, 11, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 124, 32, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 636, 7, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 62, 18, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 395, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 129, 25, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 9, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 247, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 89, 50, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 163, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 14, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 585, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 118, 54, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 106, 10, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 49, 8, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 143, 8, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 79, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 266, 23, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 219, 44, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 380, 12, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 55, 8, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 282, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 36, 8, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 12, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 239, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 404, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 236, 12, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 57, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 4, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 159, 27, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 165, 29, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 339, 24, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 20, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 80, 21, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 90, 24, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 179, 49, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 455, 16, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 299, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 57, 20, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 23, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 307, 17, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 65, 23, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 279, 47, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 9, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1520, 13, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 163, 11, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 65, 23, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 225, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 22486, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 40, 18, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 721, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 35, 20, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 27, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 7, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 882, 17, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 171, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 158, 10, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 46, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 388, 3, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 13, 7, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 206, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 65, 32, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79596, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 307, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79597, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 816, 8, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79598, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 129, 3, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79599, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 6, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79600, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1068, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79601, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 119, 135, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79602, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 721, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79603, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 90, 10, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79604, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 3, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79605, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 250, 91, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79606, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 179, 49, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79607, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 1010, 29, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79608, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 120, 42, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79609, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 234, 39, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79610, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79611, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 155, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79612, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 20, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79613, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 165, 64, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79614, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 44, 9, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79615, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 44, 23, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79616, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 22486, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79617, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 585, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79618, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1083, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79619, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 80, 145, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79620, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79621, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 20, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79622, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 215, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79623, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 7, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79624, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 2, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79625, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 49, 8, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79626, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 307, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79627, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 179, 49, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79628, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 65, 23, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79629, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 3, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79630, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 65, 23, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79631, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 90, 24, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79632, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 57, 20, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79633, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 339, 24, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79634, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 80, 21, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79635, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 23, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79636, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 299, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79637, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 46, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79638, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 62, 18, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79639, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 85, 19, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79640, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 106, 10, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79641, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 89, 29, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79642, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 22486, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79643, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1083, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79644, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 6, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79645, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 171, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79646, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 85, 33, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79647, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 69, 27, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79648, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 55, 9, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79649, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 721, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79650, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 14, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79651, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79652, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79653, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79654, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 143, 8, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79655, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79656, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 1273, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79657, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 70, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79658, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 12, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79659, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 765, 15, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79660, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1068, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79661, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 225, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79662, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 420, 11, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79663, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 636, 7, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79664, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 7, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79665, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 279, 47, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79666, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79667, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 219, 44, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79668, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 9, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79669, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 79, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79670, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 585, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79671, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 395, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79672, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1369, 3, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79673, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 545, 3, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79674, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 133, 8, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79675, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 247, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79676, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 163, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79677, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 120, 42, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79678, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 86, 9, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79679, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 150, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79680, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 154, 11, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79681, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 17, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79682, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 36, 8, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79683, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 404, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79684, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 79, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79685, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 55, 8, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79686, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 57, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79687, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 4, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79688, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 299, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79689, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 23, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79690, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 225, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79691, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 165, 29, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79692, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 46, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79693, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 171, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79694, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 364, 30, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79695, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 85, 19, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79696, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 62, 18, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79697, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 395, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79698, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 106, 10, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79699, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1369, 3, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79700, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79701, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 14, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79702, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 545, 3, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79703, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79704, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 65, 32, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79705, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 13, 7, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79706, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 12, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79707, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79708, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 35, 20, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79709, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 40, 18, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79710, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 219, 44, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79711, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 279, 47, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79712, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 179, 49, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79713, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 20, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79714, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 891, 17, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79715, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 5341, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79716, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 307, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79717, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 80, 21, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79718, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 120, 42, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79719, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 90, 24, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79720, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 1273, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79721, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 17, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79722, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 215, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79723, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 339, 24, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79724, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 765, 15, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79725, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 57, 20, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79726, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 65, 23, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79727, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 89, 29, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79728, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 7, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79729, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 236, 12, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79730, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 85, 33, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79731, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 239, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79732, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 86, 9, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79733, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 55, 9, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79734, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 159, 27, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79735, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1075, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79736, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 69, 27, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79737, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 247, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79738, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 266, 23, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79739, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 307, 17, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79740, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 282, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79741, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 133, 8, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79742, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 380, 12, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79743, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 154, 11, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79744, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 150, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79745, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 455, 16, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79746, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 49, 8, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79747, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79748, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 65, 23, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79749, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 585, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79750, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79751, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 420, 11, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79752, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79753, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 7, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79754, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 636, 7, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79755, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 9, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79756, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 721, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79757, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 22486, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79758, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 206, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79759, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 143, 8, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79760, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 163, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79761, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 163, 11, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79762, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 9, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79763, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 388, 3, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79764, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 158, 10, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79765, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1520, 13, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79766, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 89, 50, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79767, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 129, 25, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79768, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 27, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79769, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 70, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79770, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 124, 32, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79771, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 101, 21, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79772, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 882, 17, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79773, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 174, 37, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79774, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 7, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79775, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 78, 35, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79776, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 118, 54, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79777, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 143, 8, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79778, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 163, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79779, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 215, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79780, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 150, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79781, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 22486, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79782, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 133, 8, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79783, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 154, 11, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79784, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 7, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79785, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 247, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79786, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 12, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79787, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79788, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 55, 9, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79789, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 69, 27, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79790, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 85, 33, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79791, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 89, 29, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79792, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 7, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79793, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79794, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 420, 11, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79795, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79796, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 9, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79797, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 636, 7, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79798, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 3, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79799, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 70, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79800, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1068, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79801, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 17, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79802, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 86, 9, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79803, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 585, 6, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79804, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 225, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79805, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79806, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 307, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79807, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 65, 23, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79808, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 219, 44, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79809, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79810, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 179, 49, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79811, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 279, 47, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79812, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 14, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79813, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 90, 24, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79814, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 57, 20, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79815, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 65, 23, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79816, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 339, 24, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79817, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 80, 21, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79818, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 6, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79819, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 171, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79820, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 46, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79821, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 20, 5, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79822, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 23, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79823, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 299, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79824, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 765, 15, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79825, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 106, 10, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79826, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1083, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79827, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 1273, 14, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79828, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 545, 3, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79829, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 120, 42, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79830, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 395, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79831, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 79, 2, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79832, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 721, 4, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79833, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1369, 3, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79834, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 85, 19, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79835, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 62, 18, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79836, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 49, 8, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79837, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 1, 2023, 11, 15, '2024-08-05 14:02:19', NULL, NULL), (79838, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 109, 124, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79839, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 130, 54, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79840, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 330, 85, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79841, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 233, 275, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79842, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 190, 58, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79843, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 130, 403, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79844, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 225, 128, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79845, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1021, 66, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79846, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 432, 230, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79847, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 149, 331, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79848, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 226, 217, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79849, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 232, 59, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79850, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1035, 71, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79851, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 162, 265, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79852, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 117, 125, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79853, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 430, 231, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79854, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 224, 129, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79855, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 377, 17, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79856, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 109, 124, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79857, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 425, 51, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79858, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 436, 102, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79859, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 435, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79860, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 25, 27, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79861, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1368, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79862, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 417, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79863, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 528, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79864, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 197, 32, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79865, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1222, 5, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79866, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 193, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79867, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2795, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79868, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 256, 12, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79869, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 201, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79870, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 27, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79871, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 10, 41, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79872, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 123, 166, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79873, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 257, 6, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79874, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 2689, 1, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79875, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 579, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79876, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 432, 65, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79877, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 61, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79878, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 302, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79879, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 28, 6, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 140, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 415, 15, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 198, 33, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 86, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 314, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 153, 23, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 37, 9, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 203, 31, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2461, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 426, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 147, 16, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 113, 26, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 193, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 124, 32, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 134, 26, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 256, 12, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 18, 18, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 6, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 70, 25, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 36, 20, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 27, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 643, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 339, 11, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 102, 25, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 5, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 749, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 82, 28, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 418, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 120, 30, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 634, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 14, 21, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 88, 47, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 139, 20, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 970, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 7, 5, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 71, 55, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 512, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 31, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 25, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1222, 5, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 123, 39, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 143, 18, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 61, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 303, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 159, 23, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 489, 44, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 323, 14, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 266, 15, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (79929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 11, 9, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 287, 18, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 28, 6, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 274, 10, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 228, 22, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 51, 10, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 145, 17, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 579, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 55, 21, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 96, 28, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1368, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 108, 21, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 89, 1, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 113, 21, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 434, 50, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 374, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 299, 9, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 147, 18, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 117, 17, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 395, 58, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 121, 34, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 13356, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 261, 11, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 236, 20, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 355, 16, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2795, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 82, 19, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1054, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 300, 32, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 5, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 45, 29, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 114, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 751, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 195, 26, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 291, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 180, 17, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 111, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1946, 5, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 167, 15, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 62, 17, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 471, 29, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79970, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 193, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79971, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 528, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79972, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 201, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79973, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 579, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79974, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 435, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79975, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 109, 124, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79976, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 257, 6, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79977, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 256, 12, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79978, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 436, 102, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79979, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 434, 50, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79980, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 377, 17, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79981, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 203, 31, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79982, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 10, 41, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79983, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 28, 6, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79984, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 302, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79985, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 2689, 1, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79986, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1368, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79987, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 432, 65, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79988, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 61, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79989, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 25, 27, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79990, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2795, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79991, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1222, 5, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79992, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 417, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79993, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 123, 166, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79994, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 27, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79995, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1368, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79996, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 140, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79997, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 5, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79998, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 314, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (79999, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 25, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80000, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 2689, 1, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80001, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 6, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80002, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 61, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80003, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 31, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80004, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 509, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80005, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 303, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80006, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 193, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80007, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 434, 50, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80008, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 415, 15, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80009, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 256, 12, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80010, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 82, 19, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80011, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 86, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80012, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 28, 6, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80013, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 435, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80014, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 117, 17, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80015, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 355, 16, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80016, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 113, 21, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80017, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 147, 18, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80018, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 96, 28, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80019, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 108, 21, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80020, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 5, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80021, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 14, 21, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80022, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 395, 58, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80023, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80024, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 489, 44, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80025, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 7, 5, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80026, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 374, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80027, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 89, 1, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80028, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 111, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80029, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1222, 5, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80030, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 139, 20, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80031, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 82, 28, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80032, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 143, 18, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80033, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 147, 16, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80034, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 634, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80035, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 643, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80036, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 418, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80037, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2795, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80038, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 749, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80039, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 970, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80040, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 203, 31, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80041, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 512, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80042, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 37, 9, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80043, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 27, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80044, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 417, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80045, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 339, 11, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80046, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 579, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80047, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 18, 18, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80048, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 291, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80049, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 134, 26, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80050, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 124, 32, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80051, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 113, 26, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80052, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 11, 9, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80053, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 266, 15, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80054, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 51, 10, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80055, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 579, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80056, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 374, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80057, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 89, 1, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80058, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 355, 16, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80059, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 121, 34, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80060, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 55, 21, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80061, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 111, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80062, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 291, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80063, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 198, 33, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80064, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 82, 28, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80065, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 139, 20, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80066, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 634, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80067, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 143, 18, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80068, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 31, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80069, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 643, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80070, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 25, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80071, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 418, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80072, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 471, 29, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80073, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 28, 6, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80074, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 62, 17, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80075, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 45, 29, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80076, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 300, 32, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80077, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 489, 44, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80078, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 395, 58, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80079, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 434, 50, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80080, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1368, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80081, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 153, 23, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80082, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2461, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80083, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 193, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80084, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 108, 21, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80085, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 203, 31, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80086, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 113, 21, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80087, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 415, 15, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80088, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 18, 18, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80089, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 86, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80090, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 140, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80091, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 96, 28, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80092, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 147, 18, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80093, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 117, 17, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80094, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 147, 16, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80095, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 134, 26, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80096, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 228, 22, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80097, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 314, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80098, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 37, 9, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80099, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 274, 10, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80100, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 113, 26, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80101, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 145, 17, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80102, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 426, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80103, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 124, 32, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80104, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 970, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80105, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 159, 23, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80106, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 287, 18, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80107, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 749, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80108, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 323, 14, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80109, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 339, 11, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80110, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 27, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80111, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 299, 9, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80112, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 61, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80113, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 82, 19, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80114, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1222, 5, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80115, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80116, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80117, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 6, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80118, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 14, 21, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80119, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 5, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80120, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1054, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80121, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 5, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80122, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2795, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80123, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 167, 15, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80124, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 303, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80125, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 512, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80126, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 236, 20, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80127, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1946, 5, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80128, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 13356, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80129, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 180, 17, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80130, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 261, 11, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80131, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 71, 55, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80132, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 88, 47, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80133, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 256, 12, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80134, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 114, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80135, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 120, 30, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80136, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 102, 25, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80137, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 36, 20, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80138, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 195, 26, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80139, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 751, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80140, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 70, 25, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80141, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 123, 39, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80142, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 303, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80143, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 113, 21, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80144, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 147, 18, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80145, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 512, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80146, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 117, 17, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80147, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 96, 28, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80148, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 108, 21, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80149, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 579, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80150, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 140, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80151, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 27, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80152, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2795, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80153, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 749, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80154, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 339, 11, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80155, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 970, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80156, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 314, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80157, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 291, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80158, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 111, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80159, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 28, 6, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80160, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1368, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80161, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 113, 26, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80162, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 124, 32, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80163, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 134, 26, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80164, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 147, 16, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80165, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 374, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80166, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 89, 1, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80167, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 6, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80168, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80169, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80170, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 5, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80171, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 14, 21, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80172, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 256, 12, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80173, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 2689, 1, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80174, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 435, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80175, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 86, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80176, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 143, 18, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80177, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 417, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80178, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 18, 18, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80179, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 37, 9, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80180, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 415, 15, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80181, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 418, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80182, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 203, 31, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80183, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 634, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80184, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1222, 5, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80185, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 5, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80186, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 509, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80187, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 355, 16, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80188, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 643, 2, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80189, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 82, 28, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80190, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 139, 20, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80191, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 193, 7, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80192, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 82, 19, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80193, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 489, 44, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80194, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 31, 3, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80195, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 434, 50, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80196, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 61, 8, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80197, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 395, 58, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80198, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 25, 4, 2023, 11, 16, '2024-08-05 14:02:20', NULL, NULL), (80199, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 418, 146, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80200, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 222, 82, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80201, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 495, 58, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80202, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 290, 257, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80203, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 487, 53, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80204, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 80, 369, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80205, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 343, 164, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80206, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 558, 76, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80207, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 347, 200, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80208, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 86, 300, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80209, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 189, 211, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80210, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 477, 55, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80211, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 857, 89, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80212, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 204, 243, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80213, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 343, 203, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80214, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 417, 149, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80215, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 341, 165, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80216, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 152, 1, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80217, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 253, 16, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80218, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 124, 42, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80219, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 418, 146, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80220, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 353, 77, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80221, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1542, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80222, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 318, 29, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80223, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1154, 7, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80224, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 858, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80225, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 67, 31, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80226, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1427, 10, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80227, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 413, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80228, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2022, 16, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80229, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 19, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80230, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 838, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80231, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 69, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80232, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 134, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80233, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 47, 65, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80234, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 131, 123, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80235, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 68, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80236, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 136, 8, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80237, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 417, 56, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80238, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 96, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80239, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 196, 7, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80240, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 39, 12, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 14, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 74, 40, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 17, 5, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 361, 11, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 24, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 87, 30, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 493, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 69, 30, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 3901, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1542, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 152, 1, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 118, 20, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 148, 15, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 413, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 112, 23, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 149, 32, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 290, 25, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 153, 13, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 46, 30, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 37, 12, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 87, 29, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 327, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 11, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1082, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 55, 17, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 366, 10, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 6, 10, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 130, 15, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 898, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 745, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 94, 31, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 30, 1, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 132, 17, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 20, 17, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 63, 35, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 753, 5, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 408, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 28, 7, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 59, 54, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 455, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 127, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 146, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1784, 8, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 89, 23, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 96, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 472, 5, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 393, 27, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 486, 18, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 509, 11, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 90, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 424, 8, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 474, 14, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 550, 23, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 341, 31, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 379, 11, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 47, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 137, 11, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 253, 16, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 118, 11, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 52, 23, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 159, 22, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 405, 32, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1154, 7, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 503, 31, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 124, 42, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 448, 31, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 297, 7, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 275, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 463, 35, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 482, 7, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 138, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 313, 59, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 56, 26, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 10614, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 550, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 128, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 32, 10, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2311, 14, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 254, 13, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 48, 27, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 103, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 73, 22, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 670, 13, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 610, 28, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 1207, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 82, 1, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 101, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 115, 5, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 316, 26, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 169, 25, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 79, 28, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80334, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 413, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80335, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 858, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80336, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 838, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80337, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 136, 8, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80338, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1542, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80339, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 418, 146, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80340, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 19, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80341, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 103, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80342, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 69, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80343, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 353, 77, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80344, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 124, 42, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80345, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 253, 16, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (80346, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 69, 30, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80347, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 47, 65, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80348, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 39, 12, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80349, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 196, 7, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80350, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1154, 7, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80351, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 417, 56, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80352, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 152, 1, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80353, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 96, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80354, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 318, 29, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80355, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2311, 14, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80356, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1784, 8, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80357, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 132, 122, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80358, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 134, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80359, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1154, 7, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80360, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 14, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80361, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 24, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80362, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 96, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80363, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 413, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80364, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 124, 42, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80365, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 32, 10, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80366, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 69, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80367, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 463, 35, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80368, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 448, 31, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80369, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 297, 7, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80370, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 405, 32, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80371, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 503, 31, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80372, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 138, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80373, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 275, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80374, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 101, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80375, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 152, 1, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80376, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 132, 17, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80377, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 130, 15, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80378, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 118, 20, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80379, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2311, 14, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80380, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 136, 8, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80381, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 1207, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80382, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 149, 32, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80383, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 112, 23, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80384, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 148, 15, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80385, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 103, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80386, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 146, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80387, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80388, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 153, 13, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80389, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 127, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80390, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 472, 5, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80391, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 17, 5, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80392, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 90, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80393, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 47, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80394, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 361, 11, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80395, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80396, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1542, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80397, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 254, 13, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80398, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 6, 10, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80399, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 20, 17, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80400, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 37, 12, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80401, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 313, 59, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80402, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 11, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80403, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 486, 18, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80404, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 28, 7, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80405, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1784, 8, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80406, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 753, 5, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80407, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1082, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80408, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 898, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80409, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 745, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80410, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 30, 1, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80411, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 408, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80412, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 69, 30, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80413, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 455, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80414, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 493, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80415, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 327, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80416, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 366, 10, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80417, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 290, 25, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80418, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 474, 14, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80419, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 379, 11, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80420, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 424, 8, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80421, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 137, 11, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80422, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 118, 11, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80423, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 275, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80424, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 138, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80425, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 254, 13, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80426, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 56, 26, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80427, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 159, 22, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80428, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 101, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80429, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 1207, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80430, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 74, 40, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80431, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 130, 15, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80432, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 132, 17, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80433, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 753, 5, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80434, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 127, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80435, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1082, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80436, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 146, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80437, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 898, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80438, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80439, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 79, 28, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80440, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 47, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80441, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80442, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 169, 25, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80443, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 90, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80444, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 73, 22, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80445, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 48, 27, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80446, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 486, 18, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80447, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 313, 59, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80448, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 124, 42, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80449, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1154, 7, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80450, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 87, 30, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80451, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 3901, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80452, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 413, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80453, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 503, 31, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80454, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 69, 30, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80455, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 448, 31, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80456, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 17, 5, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80457, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 290, 25, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80458, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 361, 11, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80459, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 14, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80460, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 405, 32, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80461, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 297, 7, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80462, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 463, 35, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80463, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 152, 1, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80464, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 118, 20, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80465, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 24, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80466, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 253, 16, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80467, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 149, 32, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80468, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 493, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80469, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 341, 31, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80470, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 148, 15, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80471, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1542, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80472, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 52, 23, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80473, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 112, 23, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80474, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 408, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80475, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 393, 27, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80476, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 30, 1, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80477, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 482, 7, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80478, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 550, 23, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80479, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 745, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80480, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 509, 11, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80481, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 366, 10, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80482, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 327, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80483, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 96, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80484, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 32, 10, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80485, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1784, 8, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80486, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 11, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80487, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 10, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80488, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 153, 13, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80489, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 37, 12, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80490, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 20, 17, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80491, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 28, 7, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80492, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 103, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80493, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2311, 14, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80494, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 316, 26, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80495, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 472, 5, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80496, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 455, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80497, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 128, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80498, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 10614, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80499, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 115, 5, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80500, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 82, 1, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80501, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 550, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80502, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 59, 54, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80503, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 63, 35, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80504, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 670, 13, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80505, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 94, 31, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80506, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 55, 17, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80507, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 87, 29, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80508, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 610, 28, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80509, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 46, 30, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80510, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 89, 23, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80511, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 472, 5, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80512, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 455, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80513, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 14, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80514, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2311, 14, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80515, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 327, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80516, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 745, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80517, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 366, 10, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80518, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 24, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80519, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 408, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80520, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 30, 1, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80521, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80522, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 90, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80523, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 148, 15, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80524, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 112, 23, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80525, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 149, 32, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80526, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 118, 20, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80527, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 37, 12, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80528, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 153, 13, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80529, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 10, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80530, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 11, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80531, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 28, 7, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80532, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 20, 17, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80533, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 69, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80534, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1542, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80535, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 290, 25, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80536, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 493, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80537, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1784, 8, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80538, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 254, 13, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80539, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80540, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 47, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80541, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 413, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80542, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 32, 10, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80543, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 486, 18, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80544, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 127, 6, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80545, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 124, 42, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80546, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 313, 59, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80547, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 146, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80548, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 448, 31, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80549, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 297, 7, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80550, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 463, 35, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80551, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 405, 32, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80552, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 503, 31, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80553, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 136, 8, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80554, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 1207, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80555, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 101, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80556, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1154, 7, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80557, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 152, 1, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80558, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 138, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80559, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 275, 3, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80560, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 361, 11, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80561, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 17, 5, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80562, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 898, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80563, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 69, 30, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80564, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 753, 5, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80565, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 103, 4, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80566, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1082, 2, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80567, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 130, 15, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80568, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 132, 17, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80569, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 96, 9, 2023, 11, 17, '2024-08-05 14:02:21', NULL, NULL), (80570, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 2034, 1, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80571, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 936, 7, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80572, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 316, 85, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80573, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 261, 13, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80574, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 536, 43, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80575, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 128, 52, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80576, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 634, 35, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80577, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 242, 14, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80578, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 819, 8, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80579, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 491, 47, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80580, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 447, 21, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80581, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 6, 1, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80582, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 1741, 2, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80583, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 2034, 1, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80584, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 3, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80585, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 0, 1, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80586, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 622, 22, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80587, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 767, 4, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80588, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 0, 1, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 1741, 2, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 622, 22, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 261, 13, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 71, 14, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 6, 1, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 337, 6, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 594, 10, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 42, 13, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 284, 5, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 611, 33, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 767, 4, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 58, 8, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 2034, 1, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 274, 17, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80603, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 622, 22, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80604, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 1741, 2, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80605, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 6, 1, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80606, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 767, 4, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80607, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 447, 21, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80608, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 2034, 1, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80609, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 2034, 1, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80610, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 594, 10, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80611, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 284, 5, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80612, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 6, 1, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80613, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 337, 6, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80614, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 1741, 2, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80615, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 622, 22, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80616, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 767, 4, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80617, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 6, 1, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80618, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 1741, 2, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80619, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 767, 4, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80620, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 284, 5, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80621, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 594, 10, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80622, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 337, 6, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80623, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 611, 33, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80624, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 42, 13, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80625, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 622, 22, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80626, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 2034, 1, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80627, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 71, 14, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80628, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 261, 13, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80629, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 274, 17, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80630, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 58, 8, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80631, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 767, 4, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80632, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 1741, 2, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80633, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 6, 1, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80634, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 337, 6, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80635, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 622, 22, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80636, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 2034, 1, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80637, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 284, 5, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80638, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 594, 10, 2023, 11, 18, '2024-08-05 14:02:22', NULL, NULL), (80639, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 6, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80640, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 609, 11, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80641, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 115, 56, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80642, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 254, 25, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80643, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 113, 57, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80644, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 6, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80645, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 0, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80646, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 609, 11, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80647, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80648, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 244, 26, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80649, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 89, 11, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80650, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 55, 4, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80651, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80652, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 535, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80653, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80654, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 358, 15, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80655, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 3, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80656, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 6, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80657, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 1189, 5, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 384, 14, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 535, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 68, 11, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 6, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 55, 4, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 130, 3, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 3, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 340, 3, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 65, 4, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 31, 13, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 108, 3, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 147, 17, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 1189, 5, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 84, 5, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 196, 7, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80674, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 384, 14, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80675, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 535, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80676, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 55, 4, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80677, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 6, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80678, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 1189, 5, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80679, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 89, 11, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80680, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 3, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80681, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80682, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 65, 4, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80683, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 55, 4, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80684, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 108, 3, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80685, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 130, 3, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80686, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 3, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80687, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 6, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80688, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 535, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80689, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 384, 14, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80690, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 1189, 5, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80691, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 55, 4, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80692, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 535, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80693, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 1189, 5, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80694, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80695, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 108, 3, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80696, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 65, 4, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80697, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 3, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80698, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 130, 3, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80699, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 147, 17, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80700, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 340, 3, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80701, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 31, 13, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80702, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 384, 14, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80703, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 68, 11, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80704, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 196, 7, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80705, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 84, 5, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80706, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80707, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 535, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80708, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 1189, 5, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80709, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 108, 3, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80710, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 55, 4, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80711, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80712, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 130, 3, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80713, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 384, 14, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80714, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80715, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 3, 1, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80716, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 65, 4, 2023, 11, 19, '2024-08-05 14:02:23', NULL, NULL), (80717, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 208, 205, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80718, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 120, 79, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80719, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 425, 63, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80720, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 200, 361, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80721, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 475, 65, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80722, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 252, 487, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80723, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 575, 105, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80724, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 185, 133, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80725, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 316, 232, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80726, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 268, 496, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80727, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 261, 117, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80728, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 480, 66, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80729, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 485, 139, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80730, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 167, 341, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80731, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 205, 208, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80732, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 310, 238, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80733, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 202, 135, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80734, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1572, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80735, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 168, 19, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80736, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 207, 206, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80737, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 149, 47, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80738, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 462, 95, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80739, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 66, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80740, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 498, 37, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (80741, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1643, 8, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80742, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 2079, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80743, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 637, 6, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80744, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 350, 46, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80745, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 402, 12, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80746, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 280, 5, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80747, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1748, 8, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80748, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 250, 14, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80749, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 13, 5, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80750, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 4, 8, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80751, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 68, 199, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80752, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 50, 53, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80753, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 298, 5, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80754, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 3542, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80755, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 261, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80756, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 133, 69, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80757, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 111, 18, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80758, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 9, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80759, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 297, 12, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 250, 14, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 1068, 16, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 66, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 2079, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1572, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 280, 5, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 80, 13, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 63, 21, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 215, 38, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 330, 8, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 329, 47, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 63, 13, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 677, 2, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 339, 25, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 66, 2, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 566, 2, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 418, 42, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 142, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 667, 2, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 256, 50, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 65, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 263, 61, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 134, 10, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 302, 54, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 122, 9, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 278, 24, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 99, 9, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 83, 6, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 149, 13, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 197, 15, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 82, 29, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 275, 26, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 142, 31, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 233, 40, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 467, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 175, 40, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 4, 10, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 343, 16, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 168, 44, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 346, 52, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 465, 10, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 14, 7, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 306, 24, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 60, 26, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 63, 29, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 855, 4, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 469, 23, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 413, 19, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 170, 20, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 42, 15, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 155, 38, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 394, 49, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 234, 4, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 151, 15, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 623, 39, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1028, 16, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 350, 46, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 337, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 63, 28, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 87, 23, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 45, 33, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 65, 29, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 112, 11, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 404, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 8, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 5, 9, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 66, 30, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 8, 6, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 60, 37, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 5, 13, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 7, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 5, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 439, 11, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 133, 15, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 113, 19, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 437, 48, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 3, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 115, 18, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 71, 14, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 4, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 315, 15, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 125, 14, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 261, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1643, 8, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 152, 46, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 227, 7, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 395, 5, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 487, 47, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1216, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1998, 7, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 63, 9, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1614, 7, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 822, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 7, 4, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 39, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80858, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 280, 5, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80859, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 637, 6, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80860, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 13, 5, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80861, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 261, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80862, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 66, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80863, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 208, 205, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80864, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 250, 14, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80865, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 298, 5, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80866, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 462, 95, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80867, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 152, 46, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80868, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 168, 19, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80869, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 350, 46, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80870, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 53, 50, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80871, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 9, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80872, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 297, 12, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80873, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 3542, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80874, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1643, 8, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80875, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 133, 69, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80876, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1572, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80877, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 111, 18, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80878, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 498, 37, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80879, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1998, 7, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80880, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 439, 11, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80881, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 2079, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80882, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 68, 199, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80883, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 4, 8, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80884, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1643, 8, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80885, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 250, 14, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80886, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80887, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 133, 15, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80888, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 280, 5, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80889, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 152, 46, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80890, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 306, 24, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80891, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 168, 44, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80892, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 233, 40, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80893, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 175, 40, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80894, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 275, 26, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80895, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 142, 31, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80896, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 395, 5, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80897, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 227, 7, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80898, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 39, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80899, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1572, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80900, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 60, 37, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80901, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 66, 30, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80902, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 113, 19, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80903, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 63, 28, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80904, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1998, 7, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80905, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 2079, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80906, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 261, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80907, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 7, 4, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80908, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 65, 29, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80909, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 45, 33, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80910, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 87, 23, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80911, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 822, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80912, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 5, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80913, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80914, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 3542, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80915, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 112, 11, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80916, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 7, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80917, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 122, 9, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80918, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 167, 4, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80919, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 3, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80920, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 234, 4, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80921, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 4, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80922, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 80, 13, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80923, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80924, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 151, 15, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80925, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 66, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80926, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 63, 9, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80927, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1216, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80928, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 5, 9, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80929, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 8, 6, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80930, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 404, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80931, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 487, 47, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80932, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 4, 8, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80933, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 437, 48, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80934, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 5, 13, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80935, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 439, 11, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80936, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 667, 2, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80937, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 677, 2, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80938, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 566, 2, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80939, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 66, 2, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80940, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 142, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80941, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 65, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80942, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 350, 46, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80943, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 134, 10, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80944, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 1068, 16, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80945, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 330, 8, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80946, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 63, 13, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80947, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 63, 21, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80948, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 71, 14, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80949, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 315, 15, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80950, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 115, 18, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80951, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 125, 14, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80952, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 261, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80953, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 227, 7, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80954, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 395, 5, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80955, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 63, 9, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80956, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 346, 52, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80957, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1216, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80958, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 39, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80959, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 7, 4, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80960, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 4, 10, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80961, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 394, 49, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80962, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 66, 30, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80963, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 60, 37, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80964, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 667, 2, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80965, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 113, 19, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80966, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 7, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80967, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 677, 2, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80968, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 5, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80969, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 566, 2, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80970, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80971, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 4, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80972, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 155, 38, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80973, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80974, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 42, 15, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80975, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 3, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80976, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 63, 29, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80977, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 437, 48, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80978, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 60, 26, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80979, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 487, 47, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80980, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 152, 46, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80981, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1643, 8, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80982, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 623, 39, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80983, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1028, 16, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80984, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 337, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80985, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 280, 5, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80986, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 350, 46, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80987, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 234, 4, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80988, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 63, 21, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80989, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 151, 15, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80990, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1572, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80991, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 63, 28, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80992, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 65, 29, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80993, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 250, 14, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80994, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 197, 15, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80995, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 1068, 16, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80996, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 149, 13, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80997, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 66, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80998, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 87, 23, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (80999, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 2079, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81000, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 45, 33, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81001, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 82, 29, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81002, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 278, 24, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81003, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 65, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81004, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 142, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81005, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 343, 16, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81006, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 83, 6, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81007, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 66, 2, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81008, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 99, 9, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81009, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 63, 13, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81010, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 330, 8, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81011, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 467, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81012, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 170, 20, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81013, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 122, 9, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81014, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 134, 10, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81015, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 80, 13, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81016, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 142, 31, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81017, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 233, 40, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81018, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 275, 26, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81019, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 175, 40, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81020, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 168, 44, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81021, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 133, 15, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81022, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81023, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 306, 24, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81024, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 439, 11, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81025, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 8, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81026, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 9, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81027, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 112, 11, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81028, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 404, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81029, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 8, 6, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81030, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 13, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81031, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1614, 7, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81032, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 822, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81033, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1998, 7, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81034, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 14, 7, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81035, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 413, 19, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81036, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 465, 10, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81037, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 263, 61, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81038, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 256, 50, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81039, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 855, 4, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81040, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 418, 42, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81041, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 339, 25, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81042, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 469, 23, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81043, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 329, 47, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81044, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 215, 38, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81045, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 302, 54, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81046, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 122, 9, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81047, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 134, 10, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81048, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1998, 7, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81049, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 330, 8, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81050, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 66, 2, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81051, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 63, 13, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81052, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 65, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81053, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 250, 14, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81054, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 142, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81055, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81056, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 3, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81057, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 87, 23, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81058, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 45, 33, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81059, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 65, 29, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81060, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 63, 28, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81061, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 404, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81062, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 112, 11, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81063, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 9, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81064, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 8, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81065, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 13, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81066, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 8, 6, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81067, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 80, 13, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81068, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 66, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81069, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 63, 21, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81070, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 1068, 16, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81071, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1216, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81072, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 439, 11, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81073, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 63, 9, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81074, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81075, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 4, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81076, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 280, 5, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81077, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 306, 24, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81078, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 437, 48, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81079, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 7, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81080, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 152, 46, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81081, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 487, 47, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81082, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 5, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81083, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 233, 40, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81084, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 175, 40, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81085, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 168, 44, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81086, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 275, 26, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81087, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 142, 31, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81088, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 261, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81089, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 7, 4, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81090, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 39, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81091, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1643, 8, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81092, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1572, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81093, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 395, 5, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81094, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 227, 7, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81095, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 3542, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81096, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 151, 15, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81097, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 113, 19, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81098, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 2079, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81099, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 234, 4, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81100, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 566, 2, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81101, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 350, 46, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81102, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 667, 2, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81103, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 822, 1, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81104, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 167, 4, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81105, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 677, 2, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81106, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 66, 30, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81107, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 60, 37, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81108, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 133, 15, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81109, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 3, 2023, 11, 20, '2024-08-05 14:02:24', NULL, NULL), (81110, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 205, 178, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81111, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 52, 79, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81112, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 920, 68, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81113, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 315, 327, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81114, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 304, 65, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81115, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 96, 408, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81116, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 206, 79, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81117, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 293, 166, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81118, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 567, 238, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81119, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 163, 422, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81120, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 581, 112, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81121, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 327, 68, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81122, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 145, 114, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81123, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 169, 300, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81124, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 273, 180, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81125, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 562, 240, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81126, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 320, 179, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81127, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 43, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81128, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 462, 27, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81129, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 205, 178, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81130, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 522, 40, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81131, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 874, 104, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81132, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 206, 41, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81133, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 106, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81134, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1358, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81135, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 20, 3, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81136, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 308, 48, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81137, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 160, 8, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81138, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 631, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81139, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2702, 17, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81140, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 454, 12, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81141, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 214, 6, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81142, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 420, 18, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81143, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 13, 41, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81144, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 69, 153, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81145, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 493, 10, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81146, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 281, 75, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81147, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 353, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81148, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 77, 30, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81149, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 6, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81150, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 330, 9, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (81151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 454, 12, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 287, 14, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1358, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 43, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 631, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 306, 11, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 164, 27, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 70, 39, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 254, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 104, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 119, 16, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 9, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 81, 23, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 34, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 93, 35, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 17, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 628, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 81, 39, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 420, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 70, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 358, 5, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 117, 44, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 106, 34, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 196, 10, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 333, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 264, 16, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 465, 24, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 126, 17, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 321, 27, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 105, 23, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 106, 27, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 184, 28, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 163, 31, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 268, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 344, 27, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 137, 29, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 262, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 143, 23, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 301, 2, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 133, 8, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 230, 28, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 37, 18, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 134, 29, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 166, 2, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 815, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1538, 22, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1010, 22, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 156, 8, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 92, 20, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 26, 11, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 187, 38, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 107, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 462, 27, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 308, 48, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 492, 5, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 59, 24, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 81, 21, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 58, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 39, 18, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 25, 9, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 25, 9, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 2, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 6, 15, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 84, 28, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 102, 17, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 6, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 23, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 50, 5, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 562, 13, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 160, 8, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 99, 21, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 78, 10, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 958, 33, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 11, 9, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 43, 9, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 12, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 71, 12, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 3, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 12, 11, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 353, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 106, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 522, 40, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 180, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 124, 2, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 667, 3, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 836, 71, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 821, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 376, 5, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 230, 10, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2702, 17, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 702, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 355, 6, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 121, 3, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 307, 3, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81248, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 631, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81249, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 20, 3, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81250, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 214, 6, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81251, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 353, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81252, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 205, 178, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81253, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 454, 12, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81254, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 493, 10, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81255, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 874, 104, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81256, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 522, 40, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81257, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 462, 27, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81258, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 308, 48, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81259, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 13, 41, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81260, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 6, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81261, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 330, 9, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81262, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 106, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81263, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 281, 75, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81264, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 43, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81265, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 77, 30, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81266, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 206, 41, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81267, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2702, 17, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81268, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 160, 8, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81269, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1358, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81270, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 70, 150, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81271, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 420, 18, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81272, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 106, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81273, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 454, 12, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81274, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 25, 9, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81275, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 99, 21, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81276, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 631, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81277, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 522, 40, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81278, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 230, 28, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81279, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 262, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81280, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 163, 31, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81281, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 268, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81282, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 106, 27, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81283, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 184, 28, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81284, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 667, 3, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81285, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 124, 2, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81286, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 180, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81287, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 307, 3, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81288, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 43, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81289, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 102, 17, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81290, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 84, 28, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81291, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 78, 10, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81292, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 59, 24, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81293, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2702, 17, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81294, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1358, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81295, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 353, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81296, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 121, 3, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81297, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 39, 18, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81298, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 58, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81299, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 81, 21, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81300, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 355, 6, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81301, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 562, 13, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81302, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 3, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81303, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 25, 9, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81304, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 50, 5, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81305, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 196, 10, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81306, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 702, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81307, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81308, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 12, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81309, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 306, 11, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81310, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81311, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 462, 27, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81312, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 230, 10, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81313, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 376, 5, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81314, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 6, 15, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81315, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 6, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81316, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81317, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 836, 71, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81318, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 2, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81319, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 958, 33, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81320, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 23, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81321, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 160, 8, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81322, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 17, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81323, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 9, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81324, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 34, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81325, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 628, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81326, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 420, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81327, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 358, 5, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81328, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 308, 48, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81329, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 287, 14, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81330, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 254, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81331, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 119, 16, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81332, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 164, 27, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81333, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 43, 9, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81334, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 71, 12, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81335, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 11, 9, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81336, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 12, 11, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81337, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 353, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81338, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 124, 2, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81339, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 667, 3, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81340, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 180, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81341, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 230, 10, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81342, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 143, 23, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81343, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 376, 5, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81344, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 307, 3, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81345, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 121, 3, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81346, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 137, 29, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81347, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 187, 38, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81348, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 84, 28, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81349, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 102, 17, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81350, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 17, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81351, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 78, 10, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81352, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 50, 5, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81353, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 9, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81354, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 562, 13, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81355, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 34, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81356, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 3, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81357, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 26, 11, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81358, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 12, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81359, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81360, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 92, 20, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81361, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81362, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 134, 29, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81363, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 958, 33, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81364, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 37, 18, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81365, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 836, 71, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81366, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 522, 40, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81367, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 106, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81368, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 107, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81369, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 492, 5, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81370, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 631, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81371, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 308, 48, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81372, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 164, 27, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81373, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 462, 27, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81374, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 43, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81375, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 59, 24, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81376, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 454, 12, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81377, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 321, 27, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81378, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 39, 18, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81379, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 287, 14, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81380, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 126, 17, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81381, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 81, 21, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81382, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1358, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81383, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 105, 23, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81384, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 58, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81385, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 420, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81386, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 333, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81387, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 628, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81388, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 344, 27, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81389, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 465, 24, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81390, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 264, 16, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81391, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 119, 16, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81392, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 254, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81393, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 196, 10, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81394, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 358, 5, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81395, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 306, 11, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81396, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 821, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81397, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 184, 28, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81398, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 163, 31, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81399, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 106, 27, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81400, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 268, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81401, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 262, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81402, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 99, 21, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81403, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 25, 9, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81404, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 230, 28, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81405, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 160, 8, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81406, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 2, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81407, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 15, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81408, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 25, 9, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81409, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81410, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81411, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 23, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81412, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 702, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81413, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 355, 6, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81414, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2702, 17, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81415, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 133, 8, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81416, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 156, 8, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81417, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1010, 22, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81418, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 301, 2, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81419, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 70, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81420, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 81, 39, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81421, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 166, 2, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81422, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 93, 35, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81423, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 81, 23, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81424, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1538, 22, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81425, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 104, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81426, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 815, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81427, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 70, 39, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81428, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 106, 34, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81429, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 117, 44, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81430, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 196, 10, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81431, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 358, 5, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81432, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 254, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81433, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2702, 17, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81434, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 119, 16, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81435, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 420, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81436, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 454, 12, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81437, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 628, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81438, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81439, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81440, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 81, 21, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81441, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 58, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81442, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 39, 18, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81443, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 59, 24, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81444, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81445, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 25, 9, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81446, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 15, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81447, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 2, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81448, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 23, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81449, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81450, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 306, 11, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81451, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 164, 27, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81452, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 287, 14, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81453, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 376, 5, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81454, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 160, 8, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81455, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 230, 10, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81456, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 3, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81457, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 12, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81458, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 631, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81459, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 230, 28, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81460, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 958, 33, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81461, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 50, 5, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81462, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 522, 40, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81463, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 836, 71, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81464, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 562, 13, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81465, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 163, 31, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81466, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 268, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81467, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 262, 32, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81468, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 106, 27, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81469, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 184, 28, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81470, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 353, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81471, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 121, 3, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81472, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 307, 3, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81473, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 106, 7, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81474, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 43, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81475, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 667, 3, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81476, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 124, 2, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81477, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 180, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81478, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 462, 27, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81479, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 78, 10, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81480, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1358, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81481, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 34, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81482, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 308, 48, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81483, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 17, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81484, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 355, 6, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81485, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 702, 4, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81486, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 9, 1, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81487, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 84, 28, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81488, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 102, 17, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81489, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 99, 21, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81490, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 25, 9, 2023, 11, 21, '2024-08-05 14:02:25', NULL, NULL), (81491, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 85, 170, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81492, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 180, 56, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81493, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 693, 66, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81494, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 778, 320, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81495, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 115, 421, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81496, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 694, 65, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81497, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 559, 62, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81498, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 241, 174, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81499, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 189, 259, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81500, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 335, 429, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81501, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 443, 111, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81502, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 677, 67, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81503, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 175, 53, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81504, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 206, 292, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81505, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 155, 178, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81506, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 308, 265, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81507, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 464, 201, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81508, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 2717, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81509, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 112, 24, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81510, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 85, 171, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81511, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 69, 58, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81512, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 239, 110, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81513, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1668, 3, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81514, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 155, 36, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81515, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 291, 8, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81516, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 6, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81517, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 419, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81518, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 190, 41, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81519, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1019, 5, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81520, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 101, 7, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81521, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 11455, 19, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81522, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 2601, 11, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81523, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 97, 9, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81524, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 579, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81525, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 126, 7, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81526, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 77, 45, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81527, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 70, 159, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81528, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 130, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81529, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 93, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81530, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 224, 69, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81531, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 255, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81532, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 8, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81533, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 139, 9, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 2601, 11, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 140, 9, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1252, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 2717, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 101, 7, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 230, 10, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 159, 27, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 152, 43, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 243, 8, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 154, 24, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 133, 7, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 370, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 120, 29, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 357, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 181, 31, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 299, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 112, 28, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 530, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 445, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 96, 59, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 189, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 221, 34, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 107, 30, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 290, 7, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 273, 28, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 155, 24, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 309, 28, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 134, 7, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 366, 30, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 152, 28, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 135, 40, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 88, 20, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (81566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 67, 30, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 65, 25, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 200, 29, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 70, 25, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 80, 27, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 159, 24, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 352, 5, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 337, 10, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 67, 30, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 55, 30, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 45, 24, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 923, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 177, 3, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 826, 27, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 863, 16, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 307, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 24, 17, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 18, 21, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 72, 22, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 29, 8, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 54, 18, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 154, 16, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 60, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 190, 41, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 49, 21, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 85, 20, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 62, 25, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 45, 23, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 255, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 5, 10, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 304, 11, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 12, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 63, 35, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 5, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 123, 25, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 13, 3, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 211, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1019, 5, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 55, 10, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 219, 50, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 34, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 14, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 59, 11, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 3, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 85, 17, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 59, 13, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 385, 10, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 291, 8, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 82, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 70, 57, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 201, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 148, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 256, 60, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1598, 20, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 234, 5, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 164, 18, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 11455, 19, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 10, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 249, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 97, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 97, 3, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81630, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 101, 7, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81631, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 419, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81632, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 97, 9, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81633, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 93, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81634, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1668, 3, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81635, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 85, 170, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81636, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 130, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81637, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 2601, 11, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81638, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 579, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81639, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 239, 110, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81640, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 70, 57, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81641, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 112, 24, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81642, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 190, 41, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81643, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 77, 45, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81644, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 8, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81645, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 139, 9, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81646, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 291, 8, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81647, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 224, 69, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81648, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 2717, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81649, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 255, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81650, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 155, 36, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81651, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 11455, 19, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81652, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1019, 5, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81653, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 6, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81654, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 70, 159, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81655, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 126, 7, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81656, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 291, 8, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81657, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 2601, 11, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81658, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 255, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81659, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 101, 7, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81660, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 70, 57, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81661, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 67, 30, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81662, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 579, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81663, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 70, 25, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81664, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 67, 30, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81665, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 65, 25, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81666, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 135, 40, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81667, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 88, 20, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81668, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 148, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81669, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 201, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81670, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 82, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81671, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 97, 3, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81672, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 2717, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81673, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 123, 25, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81674, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 63, 35, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81675, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 55, 10, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81676, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 49, 21, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81677, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 11455, 19, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81678, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 6, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81679, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 93, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81680, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 97, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81681, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 45, 23, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81682, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 62, 25, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81683, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 85, 20, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81684, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 249, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81685, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 211, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81686, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81687, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 13, 3, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81688, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 10, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81689, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 290, 7, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81690, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 29, 8, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81691, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 14, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81692, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 3, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81693, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 230, 10, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81694, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81695, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 154, 16, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81696, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1668, 3, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81697, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 164, 18, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81698, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 234, 5, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81699, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 12, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81700, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 5, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81701, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 5, 10, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81702, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 256, 60, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81703, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 304, 11, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81704, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 219, 50, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81705, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81706, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1019, 5, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81707, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 530, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81708, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 370, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81709, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 357, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81710, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 299, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81711, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 445, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81712, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 190, 41, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81713, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 189, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81714, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 140, 9, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81715, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 243, 8, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81716, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 133, 7, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81717, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 159, 27, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81718, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 59, 11, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81719, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 85, 17, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81720, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 34, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81721, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 59, 13, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81722, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 385, 10, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81723, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 201, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81724, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 148, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81725, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 82, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81726, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 164, 18, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81727, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 159, 24, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81728, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 234, 5, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81729, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 97, 3, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81730, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 97, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81731, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 80, 27, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81732, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 72, 22, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81733, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 63, 35, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81734, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 123, 25, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81735, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 530, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81736, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 55, 10, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81737, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 13, 3, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81738, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 370, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81739, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 357, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81740, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 211, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81741, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 3, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81742, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 18, 21, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81743, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 24, 17, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81744, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81745, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 14, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81746, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 45, 24, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81747, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 55, 30, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81748, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 219, 50, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81749, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 256, 60, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81750, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 70, 57, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81751, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 291, 8, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81752, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 54, 18, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81753, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 60, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81754, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 101, 7, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81755, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 190, 41, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81756, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 29, 8, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81757, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 159, 27, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81758, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 154, 16, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81759, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 2717, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81760, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 49, 21, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81761, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 2601, 11, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81762, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 45, 23, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81763, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 366, 30, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81764, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 140, 9, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81765, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 134, 7, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81766, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 85, 20, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81767, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 152, 28, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81768, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1252, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81769, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 62, 25, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81770, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 445, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81771, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 273, 28, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81772, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 200, 29, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81773, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 299, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81774, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 309, 28, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81775, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 155, 24, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81776, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 133, 7, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81777, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 243, 8, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81778, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 290, 7, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81779, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 189, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81780, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 230, 10, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81781, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1598, 20, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81782, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 88, 20, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81783, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 67, 30, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81784, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 135, 40, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81785, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 65, 25, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81786, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 70, 25, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81787, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 67, 30, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81788, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 255, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81789, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1019, 5, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81790, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 304, 11, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81791, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 12, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81792, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81793, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 5, 10, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81794, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81795, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81796, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 10, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81797, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 249, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81798, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 11455, 19, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81799, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 337, 10, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81800, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 307, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81801, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 863, 16, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81802, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 352, 5, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81803, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 96, 59, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81804, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 112, 28, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81805, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 923, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81806, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 181, 31, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81807, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 120, 29, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81808, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 826, 27, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81809, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 154, 24, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81810, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 177, 3, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81811, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 152, 43, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81812, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 107, 30, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81813, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 221, 34, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81814, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 290, 7, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81815, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 189, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81816, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 11455, 19, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81817, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 243, 8, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81818, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 133, 7, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81819, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 445, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81820, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 2601, 11, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81821, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 299, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81822, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81823, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 14, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81824, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 85, 20, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81825, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 62, 25, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81826, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 45, 23, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81827, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 49, 21, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81828, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 5, 10, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81829, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81830, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 12, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81831, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 304, 11, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81832, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81833, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81834, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 579, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81835, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 230, 10, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81836, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1668, 3, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81837, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 159, 27, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81838, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 140, 9, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81839, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1019, 5, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81840, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 234, 5, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81841, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 164, 18, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81842, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 3, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81843, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 101, 7, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81844, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 67, 30, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81845, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 219, 50, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81846, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 13, 3, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81847, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 70, 57, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81848, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 256, 60, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81849, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 211, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81850, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 67, 30, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81851, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 65, 25, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81852, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 70, 25, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81853, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 135, 40, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81854, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 88, 20, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81855, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 93, 4, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81856, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 97, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81857, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 97, 3, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81858, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 291, 8, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81859, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 2717, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81860, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 148, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81861, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 201, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81862, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 82, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81863, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 154, 16, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81864, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 55, 10, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81865, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 6, 1, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81866, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 29, 8, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81867, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 357, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81868, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 190, 41, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81869, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 530, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81870, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 249, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81871, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 10, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81872, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 370, 2, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81873, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 63, 35, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81874, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 123, 25, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81875, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 255, 6, 2023, 11, 22, '2024-08-05 14:02:26', NULL, NULL), (81876, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 104, 145, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81877, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 109, 54, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81878, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 540, 60, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81879, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 134, 297, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81880, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 257, 46, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81881, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 129, 416, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81882, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 91, 149, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81883, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 295, 59, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81884, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 717, 261, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81885, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 132, 420, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81886, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 333, 103, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81887, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 251, 51, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81888, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 299, 71, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81889, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 121, 279, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81890, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 706, 267, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81891, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 104, 148, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81892, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 100, 154, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81893, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1233, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81894, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 122, 20, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81895, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 282, 34, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81896, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 103, 146, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81897, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 393, 103, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81898, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 766, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81899, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 91, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81900, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 212, 10, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81901, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 337, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81902, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 136, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81903, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1270, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81904, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 395, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81905, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 11, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81906, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 309, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81907, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 23, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81908, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 57, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81909, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 125, 11, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81910, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 37, 42, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81911, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 89, 166, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81912, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 848, 12, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81913, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 29, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81914, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 307, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81915, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1309, 103, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81916, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 178, 10, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81917, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 254, 8, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81918, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81919, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 425, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 309, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 353, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 766, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1233, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 395, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 916, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 17, 19, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 139, 45, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 491, 11, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 165, 26, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1065, 14, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 174, 26, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 949, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 34, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 140, 29, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1666, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 28, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 164, 64, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2043, 7, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 96, 58, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1019, 13, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 167, 42, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1371, 18, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 98, 22, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 105, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 107, 14, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 93, 14, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 157, 20, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 40, 28, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 93, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 63, 23, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 142, 21, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 37, 8, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 91, 18, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 70, 22, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 174, 29, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 75, 36, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 232, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 844, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 249, 13, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 54, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 31, 21, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 18, 12, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 21, 4, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 31, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 740, 25, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 647, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 159, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 9, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 127, 16, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 64, 24, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 209, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 406, 36, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 104, 22, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 93, 15, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 136, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 60, 30, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 75, 29, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 98, 35, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 121, 26, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (81980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 8, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 132, 8, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 40, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 7, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 4, 4, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 78, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 115, 16, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 9, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 20, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 252, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1270, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 97, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 220, 8, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 413, 37, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 3, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 31, 8, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 145, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (81999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 205, 11, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 8, 15, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 157, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 212, 10, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 368, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 282, 34, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 371, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 83, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 382, 66, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 465, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1350, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 17, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1990, 16, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 828, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 558, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 42, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 4, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82018, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 395, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82019, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 337, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82020, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 23, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82021, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 307, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82022, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 766, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82023, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 104, 145, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82024, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 309, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82025, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 848, 12, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82026, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 57, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82027, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 393, 103, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82028, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 282, 34, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82029, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 122, 20, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82030, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 136, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82031, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 37, 42, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82032, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82033, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 254, 8, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82034, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 29, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82035, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 212, 10, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82036, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1309, 103, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82037, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1233, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82038, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 178, 10, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82039, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 98, 25, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82040, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 17, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82041, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1270, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82042, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 89, 166, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82043, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 425, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82044, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 125, 11, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82045, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 212, 10, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82046, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 309, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82047, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 8, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82048, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 220, 8, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82049, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 395, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82050, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 282, 34, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82051, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 54, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82052, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 57, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82053, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 174, 29, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82054, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 142, 21, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82055, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 91, 18, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82056, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 93, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82057, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 63, 23, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82058, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 83, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82059, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 371, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82060, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 354, 4, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82061, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 4, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82062, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1233, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82063, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 115, 16, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82064, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 78, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82065, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 97, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82066, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 60, 30, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82067, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 17, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82068, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 307, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82069, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 42, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82070, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 121, 26, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82071, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 98, 35, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82072, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 75, 29, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82073, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 558, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82074, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 252, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82075, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82076, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 29, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82077, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 132, 8, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82078, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 20, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82079, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1371, 18, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82080, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1056, 7, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82081, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 3, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82082, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 209, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82083, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82084, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 916, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82085, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82086, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 93, 15, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82087, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 766, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82088, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1990, 16, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82089, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1350, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82090, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 4, 4, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82091, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82092, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 40, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82093, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 382, 66, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82094, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 4, 7, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82095, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 413, 37, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82096, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 9, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82097, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1270, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82098, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E29', 425, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82099, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 28, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82100, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 949, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82101, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 34, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82102, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1666, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82103, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2043, 7, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82104, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 136, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82105, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1019, 13, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82106, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 353, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82107, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 491, 11, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82108, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1065, 14, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82109, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 17, 19, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82110, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 145, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82111, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 205, 11, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82112, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 31, 8, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82113, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 8, 15, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82114, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 157, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82115, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 371, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82116, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 83, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82117, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 368, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82118, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1990, 16, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82119, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 232, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82120, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1350, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82121, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 4, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82122, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 42, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82123, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 75, 36, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82124, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 406, 36, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82125, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 78, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82126, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 115, 16, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82127, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 28, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82128, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 97, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82129, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 20, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82130, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 949, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82131, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 252, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82132, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 34, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82133, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82134, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82135, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 64, 24, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82136, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 9, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82137, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82138, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 3, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82139, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 18, 12, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82140, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 413, 37, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82141, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 31, 21, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82142, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 382, 66, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82143, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 282, 34, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82144, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 212, 10, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82145, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 104, 22, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82146, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 395, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82147, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 136, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82148, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 209, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82149, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 17, 19, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82150, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 93, 15, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82151, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1233, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82152, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 60, 30, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82153, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 157, 20, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82154, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 309, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82155, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 121, 26, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82156, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 353, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82157, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 93, 14, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82158, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 75, 29, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82159, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 40, 28, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82160, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 766, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82161, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 98, 35, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82162, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2043, 7, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82163, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 98, 22, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82164, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1666, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82165, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 70, 22, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82166, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 107, 14, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82167, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1065, 14, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82168, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 105, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82169, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 491, 11, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82170, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 37, 8, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82171, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 127, 16, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82172, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1371, 18, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82173, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1019, 13, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82174, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 916, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82175, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 465, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82176, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 63, 23, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82177, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 142, 21, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82178, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 93, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82179, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 91, 18, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82180, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 174, 29, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82181, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 220, 8, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82182, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 8, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82183, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 54, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82184, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1270, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82185, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 7, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82186, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 4, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82187, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 132, 8, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82188, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 40, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82189, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82190, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 9, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82191, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 828, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82192, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 558, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82193, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 17, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82194, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 249, 13, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82195, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 159, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82196, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 647, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82197, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 844, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82198, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 96, 58, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82199, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 164, 64, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82200, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 21, 4, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82201, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 140, 29, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82202, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 174, 26, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82203, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 740, 25, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82204, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 165, 26, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82205, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 31, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82206, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 139, 45, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82207, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 167, 42, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82208, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1371, 18, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82209, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1019, 13, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82210, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 17, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82211, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 491, 11, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82212, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1065, 14, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82213, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2043, 7, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82214, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 309, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82215, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1666, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82216, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82217, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 3, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82218, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 75, 29, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82219, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 98, 35, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82220, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 121, 26, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82221, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 60, 30, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82222, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 40, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82223, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 132, 8, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82224, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 4, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82225, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 7, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82226, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 9, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82227, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82228, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 57, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82229, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 916, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82230, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 766, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82231, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 17, 19, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82232, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 353, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82233, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1270, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82234, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1350, 9, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82235, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1990, 16, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82236, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82237, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82238, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 395, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82239, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 54, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82240, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 413, 37, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82241, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 20, 6, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82242, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 282, 34, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82243, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 382, 66, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82244, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 252, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82245, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 142, 21, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82246, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 91, 18, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82247, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 174, 29, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82248, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 93, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82249, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 63, 23, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82250, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 307, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82251, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 42, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82252, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 4, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82253, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 212, 10, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82254, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1233, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82255, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 83, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82256, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 371, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82257, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 354, 4, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82258, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 29, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82259, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 93, 15, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82260, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 97, 3, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82261, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 209, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82262, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 34, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82263, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 136, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82264, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 28, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82265, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 558, 5, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82266, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1056, 7, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82267, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 949, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82268, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 78, 27, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82269, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 115, 16, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82270, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E29', 425, 1, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82271, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 220, 8, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82272, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 8, 2, 2023, 11, 23, '2024-08-05 14:02:27', NULL, NULL), (82273, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 192, 163, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82274, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 90, 78, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82275, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 207, 290, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82276, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1122, 40, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82277, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 381, 59, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82278, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 286, 419, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82279, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 305, 130, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82280, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 113, 46, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82281, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 470, 248, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82282, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 309, 427, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82283, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 505, 94, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82284, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 366, 62, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82285, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 135, 86, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82286, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 167, 273, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82287, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 191, 164, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82288, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 466, 250, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82289, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 286, 139, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82290, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 296, 43, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82291, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 192, 163, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82292, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 190, 56, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82293, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 225, 93, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82294, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1030, 3, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82295, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 164, 33, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82296, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 433, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82297, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 25, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82298, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 466, 10, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82299, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 226, 41, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82300, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82301, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 885, 5, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82302, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2614, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82303, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 539, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82304, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 93, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82305, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 21, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82306, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 6, 6, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82307, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 49, 53, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82308, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 81, 142, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82309, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 7, 2, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82310, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82311, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 38, 2, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82312, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1061, 79, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82313, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 176, 25, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82314, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 9, 12, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82315, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 100, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 119, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 61, 22, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 693, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 13, 18, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 343, 34, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 112, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 168, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 226, 41, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 3192, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 779, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 58, 23, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 139, 20, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 79, 27, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 885, 5, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 38, 30, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 798, 12, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 164, 26, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 92, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 33, 6, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 18, 14, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 409, 43, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 93, 8, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1061, 10, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 443, 23, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 23, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 121, 3, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 510, 2, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 70, 13, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 98, 21, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 397, 52, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 50, 11, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 655, 5, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1215, 8, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 97, 21, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 333, 32, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1095, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 243, 42, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 701, 10, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 10, 2, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 304, 56, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 222, 19, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 355, 29, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 959, 11, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 49, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 256, 23, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 219, 44, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 43, 12, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 238, 5, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 18, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 356, 17, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 10, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 304, 21, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 408, 22, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 19, 11, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 32, 3, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 60, 19, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 194, 30, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 433, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 166, 30, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 146, 39, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 128, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 190, 56, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 86, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 201, 10, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 571, 11, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 291, 17, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 134, 27, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 299, 27, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 230, 49, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 9, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 410, 30, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1429, 5, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 391, 3, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (82392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 3635, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1383, 14, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 174, 27, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2614, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 96, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 79, 17, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 7, 2, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 137, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 11, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 697, 13, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 114, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 723, 11, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 686, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 64, 3, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 96, 44, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 47, 14, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82408, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 885, 5, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82409, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 466, 10, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82410, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 93, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82411, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 38, 2, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82412, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1030, 3, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82413, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 192, 163, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82414, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 7, 2, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82415, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 693, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82416, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 21, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82417, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 225, 93, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82418, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 190, 56, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82419, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 296, 43, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82420, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 226, 41, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82421, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 49, 53, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82422, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 9, 12, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82423, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 100, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82424, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 433, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82425, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1061, 79, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82426, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 176, 25, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82427, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 164, 33, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82428, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2614, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82429, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 25, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82430, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 81, 142, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82431, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 6, 6, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82432, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 433, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82433, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 693, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82434, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 33, 6, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82435, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 222, 19, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82436, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 885, 5, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82437, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 190, 56, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82438, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 174, 27, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82439, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 21, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82440, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 299, 27, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82441, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 146, 39, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82442, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 201, 10, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82443, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 194, 30, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82444, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 166, 30, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82445, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 86, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82446, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 128, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82447, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 64, 3, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82448, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 97, 21, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82449, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 98, 21, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82450, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 58, 23, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82451, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2614, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82452, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 25, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82453, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 38, 2, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82454, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 114, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82455, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 38, 30, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82456, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 79, 27, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82457, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 139, 20, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82458, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 7, 2, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82459, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 10, 2, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82460, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82461, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 18, 14, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82462, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82463, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 959, 11, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82464, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 119, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82465, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82466, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 798, 12, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82467, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 18, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82468, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 343, 34, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82469, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1030, 3, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82470, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1383, 14, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82471, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1429, 5, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82472, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 70, 13, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82473, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 50, 11, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82474, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 93, 8, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82475, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 230, 49, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82476, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 23, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82477, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 219, 44, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82478, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 49, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82479, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 655, 5, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82480, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 121, 3, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82481, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 510, 2, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82482, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1215, 8, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82483, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1095, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82484, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 701, 10, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82485, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 226, 41, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82486, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 168, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82487, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1061, 10, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82488, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 164, 26, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82489, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 238, 5, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82490, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 10, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82491, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 49, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82492, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 43, 12, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82493, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 19, 11, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82494, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 32, 3, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82495, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 86, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82496, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 128, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82497, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1383, 14, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82498, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 410, 30, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82499, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1429, 5, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82500, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 64, 3, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82501, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 114, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82502, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 134, 27, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82503, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 61, 22, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82504, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 98, 21, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82505, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 97, 21, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82506, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 655, 5, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82507, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82508, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 121, 3, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82509, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 10, 2, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82510, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 510, 2, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82511, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82512, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82513, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 47, 14, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82514, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 96, 44, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82515, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 18, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82516, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 79, 17, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82517, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 96, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82518, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 219, 44, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82519, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 230, 49, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82520, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 190, 56, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82521, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 433, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82522, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 13, 18, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82523, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 112, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82524, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 3192, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82525, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 166, 30, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82526, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 226, 41, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82527, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 885, 5, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82528, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 146, 39, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82529, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 119, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82530, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 164, 26, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82531, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 194, 30, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82532, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 343, 34, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82533, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 201, 10, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82534, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 299, 27, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82535, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 58, 23, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82536, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 408, 22, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82537, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 693, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82538, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 38, 30, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82539, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 168, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82540, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 304, 21, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82541, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 139, 20, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82542, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 779, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82543, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 79, 27, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82544, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 60, 19, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82545, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1095, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82546, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 256, 23, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82547, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 291, 17, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82548, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1215, 8, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82549, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 356, 17, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82550, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1061, 10, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82551, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 571, 11, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82552, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 222, 19, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82553, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 174, 27, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82554, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 33, 6, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82555, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 23, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82556, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 70, 13, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82557, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 18, 14, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82558, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 93, 8, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82559, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 50, 11, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82560, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 7, 2, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82561, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2614, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82562, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 959, 11, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82563, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 701, 10, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82564, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 3635, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82565, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 686, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82566, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 723, 11, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82567, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 391, 3, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82568, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 243, 42, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82569, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 333, 32, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82570, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 798, 12, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82571, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 137, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82572, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 397, 52, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82573, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 697, 13, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82574, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 443, 23, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82575, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 11, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82576, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 9, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82577, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 409, 43, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82578, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 92, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82579, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 355, 29, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82580, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 304, 56, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82581, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 959, 11, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82582, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 701, 10, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82583, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1061, 10, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82584, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2614, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82585, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1095, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82586, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 693, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82587, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1215, 8, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82588, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 18, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82589, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 139, 20, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82590, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 79, 27, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82591, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 38, 30, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82592, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 58, 23, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82593, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 93, 8, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82594, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 18, 14, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82595, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 70, 13, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82596, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 23, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82597, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 50, 11, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82598, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 21, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82599, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 798, 12, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82600, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1030, 3, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82601, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 164, 26, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82602, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 168, 7, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82603, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1429, 5, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82604, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1383, 14, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82605, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82606, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82607, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 885, 5, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82608, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 174, 27, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82609, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 219, 44, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82610, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82611, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 190, 56, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82612, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 230, 49, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82613, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 10, 2, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82614, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 146, 39, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82615, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 201, 10, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82616, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 299, 27, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82617, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 194, 30, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82618, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 166, 30, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82619, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 38, 2, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82620, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 114, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82621, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 64, 3, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82622, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 433, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82623, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 86, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82624, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 128, 4, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82625, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 343, 34, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82626, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 25, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82627, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 119, 9, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82628, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 510, 2, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82629, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 226, 41, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82630, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 655, 5, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82631, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 49, 1, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82632, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 7, 2, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82633, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 121, 3, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82634, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 98, 21, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82635, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 97, 21, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82636, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 222, 19, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82637, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 33, 6, 2023, 11, 24, '2024-08-05 14:02:28', NULL, NULL), (82638, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 4, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82639, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 467, 66, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82640, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 502, 26, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82641, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 87, 21, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82642, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 440, 70, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82643, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 483, 27, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82644, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 2, 2, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82645, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 87, 21, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82646, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 28, 7, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82647, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 4, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82648, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 0, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82649, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 14, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82650, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 125, 13, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 502, 26, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 4, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 14, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 62, 2, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 66, 9, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 19, 2, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 16, 2, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 464, 21, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 13, 10, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1762, 11, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 7, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 71, 3, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 125, 13, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 56, 11, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 139, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82666, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 125, 13, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82667, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 4, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82668, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 28, 7, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82669, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 14, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82670, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 19, 2, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82671, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 16, 2, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82672, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 4, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82673, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 7, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82674, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 62, 2, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82675, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 14, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82676, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 125, 13, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82677, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 4, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82678, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 502, 26, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82679, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 7, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82680, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 16, 2, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82681, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 19, 2, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82682, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 14, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82683, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 62, 2, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82684, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 139, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82685, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1762, 11, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82686, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 464, 21, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82687, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 13, 10, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82688, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 125, 13, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82689, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 66, 9, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82690, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 71, 3, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82691, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 56, 11, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82692, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 7, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82693, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 4, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82694, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 62, 2, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82695, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 125, 13, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82696, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 16, 2, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82697, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 19, 2, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82698, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 14, 1, 2023, 11, 25, '2024-08-05 14:02:29', NULL, NULL), (82699, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 4, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82700, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 948, 9, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82701, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 150, 46, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82702, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 69, 6, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82703, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 193, 16, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82704, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 140, 49, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82705, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 4, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82706, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 69, 6, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82707, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 948, 9, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82708, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 193, 16, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82709, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 58, 4, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82710, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 461, 3, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82711, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 125, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82712, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 238, 12, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82713, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 0, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82714, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 4, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82715, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 1405, 5, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 2, 3, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 238, 12, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 125, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 90, 2, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 461, 3, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 136, 3, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 4, 4, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 47, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 4, 8, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 12, 5, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 259, 26, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 4, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 1405, 5, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 16, 3, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82731, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 238, 12, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82732, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 125, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82733, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 461, 3, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82734, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 4, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82735, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 1405, 5, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82736, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 58, 4, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82737, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 47, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82738, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 461, 3, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82739, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 90, 2, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82740, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 4, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82741, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 4, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82742, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 125, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82743, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 238, 12, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82744, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 1405, 5, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82745, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 461, 3, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82746, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 2, 3, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82747, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 125, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82748, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 1405, 5, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82749, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 47, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82750, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 16, 3, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82751, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 90, 2, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82752, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 12, 5, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82753, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 259, 26, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82754, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 4, 8, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82755, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 238, 12, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82756, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 4, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82757, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 4, 4, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82758, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82759, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 136, 3, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82760, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 125, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82761, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 1405, 5, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82762, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 461, 3, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82763, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 90, 2, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82764, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 238, 12, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82765, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82766, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 47, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82767, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 4, 1, 2023, 11, 26, '2024-08-05 14:02:30', NULL, NULL), (82768, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 290, 180, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82769, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 91, 93, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82770, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 181, 350, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82771, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 467, 71, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82772, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 297, 63, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82773, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 986, 524, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82774, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 508, 158, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82775, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 562, 258, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82776, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1018, 103, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82777, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 978, 532, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82778, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 285, 136, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82779, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 296, 65, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82780, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 801, 130, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82781, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 153, 319, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82782, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 287, 186, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82783, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 547, 268, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82784, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 541, 170, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82785, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 234, 27, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82786, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 290, 180, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82787, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 641, 77, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82788, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 478, 87, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (82789, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 43, 3, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82790, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 51, 29, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82791, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 205, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82792, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 819, 3, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82793, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 908, 14, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82794, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 221, 39, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82795, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 398, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82796, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 147, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82797, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 757, 19, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82798, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 120, 4, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82799, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 673, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82800, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 283, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82801, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 44, 12, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82802, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 121, 176, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82803, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 60, 62, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82804, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 289, 11, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82805, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 664, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82806, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 359, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82807, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 642, 75, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82808, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 138, 29, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82809, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 12, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82810, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 185, 12, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82811, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '', '', '', 0, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 237, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 4, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 97, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 497, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 101, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 147, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 750, 15, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 30, 20, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 396, 20, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 1619, 33, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 632, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 2379, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 374, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1038, 8, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1294, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1432, 40, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 624, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 303, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 968, 69, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1011, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1523, 46, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 910, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 901, 48, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1443, 61, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 527, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 512, 22, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 544, 20, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 472, 25, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 636, 36, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 1176, 3, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 106, 22, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 957, 32, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 407, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 251, 30, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 239, 37, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 206, 32, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 589, 30, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 263, 33, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 217, 28, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1480, 45, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1152, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 471, 18, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 435, 38, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 85, 29, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 122, 27, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 569, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 221, 4, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 371, 17, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 214, 18, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 502, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 3, 8, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 138, 31, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 112, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 757, 45, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 306, 17, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 971, 42, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 2451, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 221, 39, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 106, 40, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 142, 23, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 140, 30, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 159, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 16, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 43, 8, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 50, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 90, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 121, 36, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 115, 15, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 113, 34, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 13, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 62, 6, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 26, 6, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 398, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 130, 11, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 131, 22, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 24, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 479, 42, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 60, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 197, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 51, 14, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 4, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 17, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 84, 18, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 333, 3, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 205, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 641, 77, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 344, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 9, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 95, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 478, 45, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1555, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 601, 4, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 763, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 389, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 757, 19, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 462, 6, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 247, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 285, 4, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 1190, 3, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82912, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 147, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82913, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 908, 14, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82914, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 673, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82915, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 359, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82916, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 43, 3, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82917, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 290, 180, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82918, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 120, 4, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82919, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 289, 11, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82920, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 283, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82921, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 478, 87, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82922, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 641, 77, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82923, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 234, 27, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82924, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 221, 39, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82925, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 60, 62, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82926, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 12, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82927, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 185, 12, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82928, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 664, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82929, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 205, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82930, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 642, 75, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82931, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 138, 29, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82932, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 51, 29, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82933, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 757, 19, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82934, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 398, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82935, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 819, 3, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82936, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 123, 174, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82937, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 44, 12, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82938, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 205, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82939, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 237, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82940, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 4, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82941, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 159, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82942, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 131, 22, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82943, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 147, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82944, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 641, 77, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82945, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 435, 38, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82946, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 283, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82947, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 263, 33, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82948, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 239, 37, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82949, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 206, 32, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82950, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 407, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82951, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 251, 30, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82952, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 95, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82953, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 9, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82954, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 344, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82955, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 1190, 3, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82956, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 113, 34, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82957, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 121, 36, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82958, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 130, 11, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82959, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 106, 40, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82960, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 757, 19, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82961, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 819, 3, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82962, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 359, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82963, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 285, 4, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82964, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 140, 30, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82965, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 142, 23, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82966, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 247, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82967, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 26, 6, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82968, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 664, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82969, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 16, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82970, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82971, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 62, 6, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82972, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 527, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82973, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 362, 4, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82974, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 60, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82975, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 112, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82976, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 4, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82977, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 750, 15, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82978, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 306, 17, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82979, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 14, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82980, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 101, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82981, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 389, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82982, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 763, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82983, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 90, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82984, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 115, 15, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82985, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 478, 45, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82986, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 43, 8, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82987, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 50, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82988, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 479, 42, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82989, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 13, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82990, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 24, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82991, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 398, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82992, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 624, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82993, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1038, 8, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82994, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1294, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82995, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 303, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82996, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1011, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82997, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 221, 39, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82998, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 910, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (82999, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 97, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83000, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 632, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83001, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 374, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83002, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 30, 20, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83003, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 51, 14, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83004, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 17, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83005, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 24, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83006, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 197, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83007, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 84, 18, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83008, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 333, 3, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83009, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 9, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83010, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 95, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83011, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 344, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83012, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 389, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83013, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1480, 45, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83014, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 763, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83015, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 957, 32, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83016, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 1190, 3, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83017, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 285, 4, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83018, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 217, 28, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83019, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 757, 45, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83020, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 121, 36, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83021, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 113, 34, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83022, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 624, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83023, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 130, 11, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83024, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 62, 6, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83025, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1038, 8, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83026, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1294, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83027, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 26, 6, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83028, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83029, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 4, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83030, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 138, 31, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83031, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 3, 8, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83032, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 60, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83033, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 122, 27, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83034, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 85, 29, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83035, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 479, 42, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83036, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 478, 45, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83037, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 641, 77, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83038, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 205, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83039, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 971, 42, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83040, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 2451, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83041, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 221, 39, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83042, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 147, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83043, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 112, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83044, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 30, 20, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83045, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 237, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83046, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 306, 17, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83047, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 106, 40, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83048, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 4, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83049, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 1176, 3, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83050, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 140, 30, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83051, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 97, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83052, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 636, 36, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83053, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 142, 23, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83054, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 497, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83055, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 101, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83056, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 106, 22, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83057, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1011, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83058, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 512, 22, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83059, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 589, 30, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83060, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 303, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83061, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 472, 25, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83062, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 374, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83063, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 544, 20, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83064, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 632, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83065, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 527, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83066, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 910, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83067, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 601, 4, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83068, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 750, 15, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83069, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1555, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83070, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 251, 30, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83071, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 239, 37, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83072, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 407, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83073, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 206, 32, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83074, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 263, 33, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83075, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 131, 22, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83076, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 159, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83077, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 435, 38, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83078, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 398, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83079, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 50, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83080, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 90, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83081, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 16, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83082, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 43, 8, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83083, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 115, 15, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83084, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 13, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83085, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 462, 6, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83086, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 247, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83087, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 757, 19, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83088, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 471, 18, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83089, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 502, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83090, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 214, 18, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83091, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1152, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83092, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1523, 46, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83093, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 968, 69, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83094, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 569, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83095, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1432, 40, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83096, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 2379, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83097, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 1619, 33, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83098, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 371, 17, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83099, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 396, 20, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83100, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 221, 4, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83101, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1443, 61, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83102, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 901, 48, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83103, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 527, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83104, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 910, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83105, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 237, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83106, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 632, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83107, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 757, 19, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83108, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 374, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83109, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 4, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83110, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1011, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83111, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 303, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83112, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 60, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83113, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 142, 23, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83114, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 140, 30, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83115, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 106, 40, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83116, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 43, 8, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83117, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 16, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83118, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 90, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83119, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 50, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83120, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 13, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83121, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 115, 15, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83122, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 283, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83123, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 750, 15, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83124, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 101, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83125, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 14, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83126, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 30, 20, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83127, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 97, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83128, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 763, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83129, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 398, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83130, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 389, 9, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83131, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83132, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 4, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83133, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 147, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83134, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 435, 38, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83135, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 479, 42, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83136, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 62, 6, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83137, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 641, 77, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83138, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 478, 45, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83139, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 26, 6, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83140, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 239, 37, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83141, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 206, 32, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83142, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 263, 33, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83143, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 407, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83144, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 251, 30, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83145, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 359, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83146, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 285, 4, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83147, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 1190, 3, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83148, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 205, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83149, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 95, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83150, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 9, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83151, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 344, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83152, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 664, 2, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83153, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 306, 17, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83154, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 130, 11, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83155, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 112, 10, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83156, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 819, 3, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83157, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1294, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83158, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 221, 39, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83159, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 624, 5, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83160, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 24, 1, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83161, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 247, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83162, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 362, 4, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83163, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1038, 8, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83164, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 121, 36, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83165, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 113, 34, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83166, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 131, 22, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83167, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 159, 7, 2023, 11, 27, '2024-08-05 14:02:31', NULL, NULL), (83168, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 228, 144, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83169, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 217, 66, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83170, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 577, 59, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83171, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 187, 298, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83172, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 495, 64, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83173, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 590, 488, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83174, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 244, 182, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83175, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 517, 74, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83176, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 617, 247, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83177, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 582, 499, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83178, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 332, 104, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83179, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 488, 65, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83180, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 566, 96, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83181, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 151, 270, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83182, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 226, 148, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83183, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 619, 255, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83184, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 256, 190, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83185, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 323, 21, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83186, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 228, 144, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83187, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 208, 55, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83188, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 879, 90, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83189, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 754, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83190, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 109, 27, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83191, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 389, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83192, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 4034, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83193, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 917, 18, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83194, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 196, 44, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83195, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1285, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83196, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 572, 7, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83197, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1525, 11, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83198, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 69, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (83199, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 44, 10, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83200, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83201, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83202, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 12, 44, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83203, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 107, 146, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83204, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 229, 15, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83205, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 9, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83206, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 21, 2, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83207, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 763, 78, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83208, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 408, 18, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83209, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 10, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83210, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 135, 7, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 4, 2, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 102, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 116, 11, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1301, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 572, 7, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 753, 8, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 104, 16, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 571, 25, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 379, 11, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 610, 43, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 849, 14, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1025, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 802, 7, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 586, 45, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 656, 48, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 724, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 947, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1072, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 753, 76, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 994, 10, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 736, 55, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1383, 17, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1224, 3, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 313, 31, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 304, 14, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 276, 26, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 187, 14, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 288, 28, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 35, 24, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 786, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 890, 50, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 141, 19, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 167, 21, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 199, 28, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 275, 31, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 254, 15, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 91, 19, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 280, 18, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 550, 28, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 28, 3, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 409, 16, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 278, 27, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 80, 37, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 112, 20, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 4028, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 1886, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 193, 15, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 322, 19, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 376, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 82, 7, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 245, 29, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 64, 18, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 573, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 585, 31, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 478, 38, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 222, 15, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 196, 44, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 127, 24, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 116, 26, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 95, 27, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 96, 19, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 628, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 37, 10, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 3, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 6, 10, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 6, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 127, 21, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 8, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 73, 16, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 8, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 7, 2, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1607, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 345, 14, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 104, 13, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 840, 38, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 97, 17, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 7, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 41, 12, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 2, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 97, 8, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 62, 8, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 21, 2, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 486, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 128, 3, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 208, 55, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 240, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 106, 3, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 908, 52, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 397, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 974, 7, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 479, 13, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1525, 11, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 295, 11, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 42, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 77, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 11, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83309, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 572, 7, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83310, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 917, 18, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83311, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 44, 10, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83312, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 21, 2, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83313, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 754, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83314, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 228, 144, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83315, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 69, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83316, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 229, 15, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83317, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 879, 90, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83318, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 208, 55, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83319, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 323, 21, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83320, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 196, 44, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83321, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 12, 44, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83322, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 10, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83323, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 135, 7, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83324, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 9, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83325, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 486, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83326, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 763, 78, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83327, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 408, 18, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83328, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 109, 27, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83329, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1525, 11, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83330, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1607, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83331, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 4034, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83332, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 107, 146, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83333, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83334, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 486, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83335, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 4, 2, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83336, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 102, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83337, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 628, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83338, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 345, 14, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83339, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 572, 7, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83340, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 208, 55, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83341, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 278, 27, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83342, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 280, 18, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83343, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 199, 28, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83344, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 275, 31, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83345, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 141, 19, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83346, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 167, 21, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83347, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 106, 3, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83348, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 240, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83349, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 128, 3, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83350, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 11, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83351, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 73, 16, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83352, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 127, 21, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83353, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 104, 13, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83354, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 127, 24, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83355, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1525, 11, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83356, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 4034, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83357, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 21, 2, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83358, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 77, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83359, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 96, 19, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83360, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 95, 27, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83361, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 116, 26, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83362, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 42, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83363, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 7, 2, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83364, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 9, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83365, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83366, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 37, 10, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83367, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83368, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1224, 3, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83369, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 323, 10, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83370, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 573, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83371, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 2, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83372, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 753, 8, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83373, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 7, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83374, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 222, 15, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83375, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 754, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83376, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 479, 13, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83377, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 974, 7, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83378, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 6, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83379, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 8, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83380, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 3, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83381, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 908, 52, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83382, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 6, 10, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83383, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 840, 38, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83384, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 8, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83385, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1607, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83386, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 947, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83387, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1025, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83388, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 802, 7, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83389, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 724, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83390, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1072, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83391, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 196, 44, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83392, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 994, 10, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83393, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 116, 11, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83394, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 379, 11, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83395, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 849, 14, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83396, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 104, 16, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83397, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 41, 12, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83398, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 97, 8, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83399, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 97, 17, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83400, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 62, 8, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83401, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 21, 2, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83402, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 240, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83403, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 106, 3, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83404, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 128, 3, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83405, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 479, 13, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83406, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 550, 28, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83407, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 974, 7, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83408, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 890, 50, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83409, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 11, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83410, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 77, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83411, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 91, 19, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83412, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 585, 31, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83413, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 127, 21, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83414, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 73, 16, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83415, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 947, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83416, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 104, 13, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83417, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83418, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1025, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83419, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 7, 2, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83420, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 802, 7, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83421, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83422, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 2, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83423, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 64, 18, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83424, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 82, 7, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83425, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 7, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83426, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 112, 20, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83427, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 80, 37, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83428, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 840, 38, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83429, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 908, 52, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83430, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 208, 55, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83431, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 486, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83432, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 478, 38, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83433, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 572, 7, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83434, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 196, 44, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83435, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 104, 16, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83436, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 573, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83437, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 4, 2, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83438, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 222, 15, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83439, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 127, 24, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83440, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 102, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83441, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 288, 28, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83442, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 96, 19, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83443, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 187, 14, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83444, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 116, 11, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83445, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 786, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83446, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 116, 26, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83447, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 35, 24, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83448, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1301, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83449, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 95, 27, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83450, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1072, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83451, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 313, 31, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83452, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 254, 15, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83453, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 724, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83454, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 276, 26, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83455, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 849, 14, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83456, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 304, 14, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83457, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 379, 11, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83458, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 245, 29, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83459, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1224, 3, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83460, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 994, 10, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83461, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 397, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83462, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 753, 8, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83463, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 167, 21, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83464, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 199, 28, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83465, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 141, 19, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83466, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 275, 31, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83467, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 280, 18, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83468, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 345, 14, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83469, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 628, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83470, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 278, 27, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83471, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1607, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83472, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 10, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83473, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83474, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 37, 10, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83475, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 3, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83476, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 8, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83477, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 8, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83478, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 295, 11, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83479, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 42, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83480, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1525, 11, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83481, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 409, 16, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83482, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 376, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83483, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 322, 19, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83484, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 28, 3, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83485, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 753, 76, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83486, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 656, 48, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83487, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 4028, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83488, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 586, 45, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83489, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 193, 15, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83490, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 610, 43, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83491, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 1886, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83492, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 571, 25, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83493, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1383, 17, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83494, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 736, 55, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83495, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1224, 3, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83496, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 994, 10, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83497, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 4, 2, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83498, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1525, 11, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83499, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 379, 11, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83500, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 849, 14, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83501, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 102, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83502, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1072, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83503, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 724, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83504, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 7, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83505, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 116, 26, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83506, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 95, 27, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83507, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 96, 19, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83508, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 127, 24, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83509, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 3, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83510, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 37, 10, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83511, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83512, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 10, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83513, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 8, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83514, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 8, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83515, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 753, 8, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83516, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 754, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83517, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 104, 16, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83518, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 116, 11, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83519, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 974, 7, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83520, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1607, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83521, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 479, 13, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83522, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83523, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 2, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83524, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 572, 7, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83525, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 278, 27, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83526, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 840, 38, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83527, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83528, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 208, 55, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83529, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 908, 52, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83530, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 7, 2, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83531, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 199, 28, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83532, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 275, 31, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83533, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 280, 18, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83534, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 141, 19, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83535, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 167, 21, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83536, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 21, 2, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83537, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 77, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83538, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 11, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83539, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 486, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83540, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 106, 3, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83541, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 240, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83542, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 128, 3, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83543, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 9, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83544, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 222, 15, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83545, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 104, 13, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83546, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 4034, 1, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83547, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 573, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83548, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 196, 44, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83549, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 802, 7, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83550, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 947, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83551, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 42, 5, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83552, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 323, 10, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83553, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1025, 6, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83554, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 127, 21, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83555, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 73, 16, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83556, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 345, 14, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83557, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 628, 4, 2023, 11, 28, '2024-08-05 14:02:32', NULL, NULL), (83558, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 158, 144, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83559, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 69, 49, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83560, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 228, 45, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83561, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 172, 257, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83562, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 61, 7, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83563, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 245, 509, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83564, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 212, 62, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83565, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 267, 147, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83566, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 625, 238, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83567, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 267, 513, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83568, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 127, 83, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83569, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 61, 7, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83570, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 144, 68, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83571, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 106, 241, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83572, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 189, 151, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83573, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 601, 248, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83574, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 299, 154, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83575, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 138, 5, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83576, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 129, 27, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83577, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 158, 144, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83578, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 161, 54, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83579, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 57, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83580, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 421, 89, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83581, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 8, 6, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83582, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 94, 1, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83583, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 76, 133, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83584, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 8, 38, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83585, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 136, 5, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83586, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 444, 7, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83587, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 157, 10, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83588, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 102, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83589, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1177, 84, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83590, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 152, 29, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83591, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 9, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83592, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 281, 11, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83593, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 10, 4, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83594, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 88, 7, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83595, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1939, 10, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 84, 11, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 109, 36, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 132, 21, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 161, 16, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 152, 29, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 173, 17, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 67, 17, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 9, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 56, 30, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1052, 8, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 81, 22, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 94, 1, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 10, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 258, 37, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (83611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 10, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 832, 6, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 230, 26, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 734, 9, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 15, 12, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 47, 20, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 102, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 5, 5, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 243, 53, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 104, 1, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 681, 12, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 342, 50, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 76, 18, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 6, 5, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 7, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 259, 62, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1278, 9, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 8, 6, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 299, 47, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 56, 6, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 383, 8, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 328, 49, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 764, 11, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 661, 1, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 300, 32, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 121, 9, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 298, 22, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 12, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 339, 19, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 105, 4, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 372, 17, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 77, 7, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 8, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 148, 11, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 257, 26, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 140, 12, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 205, 32, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 344, 42, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 153, 31, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 160, 27, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 444, 7, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 141, 4, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 122, 22, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 161, 54, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 10, 1, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 128, 13, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 148, 34, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 22, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 258, 17, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 187, 33, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 196, 27, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 489, 57, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 196, 33, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1282, 5, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 247, 5, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 2431, 11, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 200, 7, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 249, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1848, 13, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1939, 10, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 252, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 133, 33, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 59, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 25, 29, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 46, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 66, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 357, 19, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 4, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 55, 6, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 82, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 227, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 16, 5, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 66, 10, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83684, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 9, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83685, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 102, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83686, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 138, 5, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83687, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 157, 10, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83688, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 158, 144, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83689, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 136, 5, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83690, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 57, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83691, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 421, 89, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83692, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 161, 54, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83693, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 129, 27, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83694, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 152, 29, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83695, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 8, 38, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83696, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 10, 4, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83697, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 88, 7, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83698, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 444, 7, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83699, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1251, 79, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83700, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 281, 11, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83701, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 94, 1, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83702, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1939, 10, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83703, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 78, 130, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83704, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 8, 6, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83705, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 444, 7, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83706, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 59, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83707, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 10, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83708, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 8, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83709, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 383, 8, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83710, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83711, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 8, 6, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83712, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 252, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83713, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 764, 11, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83714, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 9, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83715, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 161, 54, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83716, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 84, 11, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83717, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 249, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83718, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1052, 8, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83719, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 12, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83720, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 161, 16, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83721, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 57, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83722, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 196, 27, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83723, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1848, 13, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83724, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 122, 22, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83725, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 148, 34, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83726, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 153, 31, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83727, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 160, 27, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83728, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 2431, 11, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83729, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 5, 5, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83730, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 6, 5, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83731, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 10, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83732, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 489, 57, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83733, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 300, 32, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83734, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 15, 12, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83735, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 7, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83736, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 22, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83737, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 10, 1, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83738, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 141, 4, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83739, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 227, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83740, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 76, 18, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83741, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 47, 20, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83742, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 56, 6, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83743, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 173, 17, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83744, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 104, 1, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83745, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 102, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83746, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1939, 10, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83747, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 681, 12, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83748, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 152, 29, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83749, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1278, 9, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83750, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 832, 6, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83751, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 734, 9, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83752, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 94, 1, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83753, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 157, 10, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83754, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 4, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83755, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 81, 22, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83756, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 56, 30, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83757, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 67, 17, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83758, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 105, 4, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83759, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 77, 7, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83760, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 121, 9, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83761, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 148, 11, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83762, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 140, 12, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83763, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 10, 1, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83764, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 22, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83765, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 141, 4, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83766, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1848, 13, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83767, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 196, 33, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83768, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 2431, 11, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83769, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 344, 42, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83770, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 227, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83771, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 4, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83772, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 187, 33, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83773, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 109, 36, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83774, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 47, 20, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83775, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 76, 18, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83776, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 104, 1, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83777, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 56, 6, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83778, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 8, 6, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83779, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 102, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83780, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 8, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83781, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 66, 10, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83782, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 12, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83783, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 16, 5, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83784, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 25, 29, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83785, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 300, 32, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83786, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 133, 33, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83787, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 489, 57, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83788, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 161, 54, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83789, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 444, 7, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83790, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 132, 21, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83791, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 160, 27, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83792, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 152, 29, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83793, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 9, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83794, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 122, 22, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83795, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 94, 1, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83796, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 84, 11, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83797, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 161, 16, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83798, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 153, 31, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83799, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 148, 34, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83800, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 196, 27, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83801, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 173, 17, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83802, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 81, 22, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83803, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 257, 26, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83804, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 372, 17, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83805, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 67, 17, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83806, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 205, 32, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83807, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 56, 30, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83808, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 661, 1, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83809, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 258, 17, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83810, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 681, 12, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83811, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 339, 19, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83812, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 734, 9, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83813, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 298, 22, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83814, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 832, 6, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83815, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 128, 13, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83816, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 383, 8, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83817, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 249, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83818, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 10, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83819, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 15, 12, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83820, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 5, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83821, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83822, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 10, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83823, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 5, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83824, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83825, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 252, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83826, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 59, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83827, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1939, 10, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83828, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 764, 11, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83829, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1278, 9, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83830, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 200, 7, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83831, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 82, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83832, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1282, 5, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83833, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 55, 6, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83834, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 247, 5, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83835, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 259, 62, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83836, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 342, 50, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83837, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 46, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83838, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1052, 8, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83839, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 243, 53, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83840, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 357, 19, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83841, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 230, 26, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83842, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 66, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83843, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 258, 37, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83844, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 328, 49, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83845, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 299, 47, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83846, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 122, 22, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83847, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 764, 11, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83848, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1278, 9, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83849, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 148, 34, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83850, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 196, 27, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83851, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 153, 31, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83852, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 160, 27, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83853, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 157, 10, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83854, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1939, 10, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83855, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 832, 6, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83856, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 734, 9, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83857, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 681, 12, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83858, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 4, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83859, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 227, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83860, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 12, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83861, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 444, 7, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83862, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 67, 17, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83863, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 56, 30, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83864, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 81, 22, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83865, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 173, 17, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83866, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 22, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83867, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 10, 1, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83868, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 141, 4, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83869, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 10, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83870, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83871, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 5, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83872, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 15, 12, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83873, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83874, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 5, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83875, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 57, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83876, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1052, 8, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83877, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 161, 16, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83878, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 56, 6, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83879, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 94, 1, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83880, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 84, 11, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83881, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 152, 29, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83882, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 102, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83883, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 104, 1, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83884, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 2431, 11, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83885, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 59, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83886, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 252, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83887, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1848, 13, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83888, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 47, 20, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83889, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 76, 18, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83890, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 8, 2, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83891, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 9, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83892, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 249, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83893, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 300, 32, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83894, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 8, 6, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83895, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 161, 54, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83896, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 383, 8, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83897, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 489, 57, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83898, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 10, 3, 2023, 11, 29, '2024-08-05 14:02:33', NULL, NULL), (83899, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 203, 71, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83900, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1251, 29, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83901, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 380, 29, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83902, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 156, 140, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83903, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1807, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83904, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 112, 281, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83905, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 511, 42, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83906, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 393, 79, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83907, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 808, 164, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83908, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 112, 283, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83909, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 308, 47, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83910, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1355, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83911, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1053, 54, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83912, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 101, 136, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83913, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 200, 72, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83914, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 796, 173, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83915, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 382, 82, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83916, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 532, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83917, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 206, 16, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83918, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 203, 71, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83919, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 135, 32, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83920, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 176, 52, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83921, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 4, 6, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83922, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83923, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 35, 17, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83924, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 84, 75, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83925, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1966, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83926, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 167, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83927, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 74, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83928, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1540, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83929, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1623, 72, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83930, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 151, 24, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83931, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 789, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83932, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 0, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83933, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 2685, 13, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83934, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 165, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83935, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 14, 6, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83936, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 3, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83937, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 2340, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 2340, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 222, 9, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 45, 15, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 820, 25, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 186, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 158, 23, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 96, 6, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 54, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 59, 20, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1600, 9, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 104, 8, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 2516, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 64, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 87, 22, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 40, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 160, 23, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1603, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 28, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1062, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1430, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 48, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 161, 22, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 86, 16, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 64, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1954, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2019, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 124, 23, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 98, 13, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2512, 6, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 82, 29, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1933, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 9, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 789, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 107, 19, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 4323, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 105, 27, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 267, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1869, 5, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 654, 17, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 167, 27, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 107, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 3, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 134, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 25, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 29, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 830, 6, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 81, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 8, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 415, 16, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 3, 6, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 74, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 86, 20, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 185, 21, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 153, 8, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 63, 12, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 167, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 165, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 342, 18, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (83999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 135, 32, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 218, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 1224, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 242, 13, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 61, 19, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 185, 25, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 150, 24, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 142, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 397, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1651, 5, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 109, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 98, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 7, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1077, 9, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 73, 14, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 689, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2392, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 38, 12, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1211, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 134, 8, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 43, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 61, 5, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 847, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 777, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 266, 14, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 172, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 56, 19, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84026, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1540, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84027, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 532, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84028, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 74, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84029, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 203, 71, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84030, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 2340, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84031, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1966, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84032, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 176, 52, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (84033, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 135, 32, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84034, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 206, 16, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84035, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 158, 23, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84036, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 35, 17, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84037, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 14, 6, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84038, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 165, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84039, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 167, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84040, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1719, 68, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84041, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 3173, 11, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84042, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 7, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84043, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 789, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84044, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 84, 75, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84045, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 5, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84046, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 167, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84047, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 2340, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84048, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2392, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84049, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 9, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84050, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 2516, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84051, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 64, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84052, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 4323, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84053, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 8, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84054, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84055, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 689, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84056, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1869, 5, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84057, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 135, 32, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84058, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 222, 9, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84059, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84060, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 98, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84061, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1600, 9, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84062, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 29, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84063, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 186, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84064, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 242, 13, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84065, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1077, 9, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84066, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 342, 18, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84067, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 218, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84068, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 153, 8, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84069, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1651, 5, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84070, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 63, 12, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84071, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 48, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84072, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 64, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84073, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 40, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84074, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 185, 25, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84075, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 28, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84076, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 167, 27, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84077, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84078, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 165, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84079, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 777, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84080, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 789, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84081, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 98, 13, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84082, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 86, 16, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84083, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 267, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84084, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 96, 6, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84085, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2019, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84086, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1062, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84087, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 7, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84088, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1954, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84089, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2512, 6, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84090, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1933, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84091, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 158, 23, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84092, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1603, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84093, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1430, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84094, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 74, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84095, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 43, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84096, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 104, 8, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84097, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 59, 20, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84098, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 54, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84099, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 25, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84100, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 81, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84101, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 3, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84102, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 3, 6, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84103, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 74, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84104, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 165, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84105, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1077, 9, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84106, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 150, 24, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84107, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1651, 5, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84108, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 185, 21, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84109, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 777, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84110, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 43, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84111, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 61, 19, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84112, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 45, 15, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84113, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 86, 16, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84114, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 98, 13, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84115, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2019, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84116, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 267, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84117, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84118, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1062, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84119, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 9, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84120, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 8, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84121, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84122, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 56, 19, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84123, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 29, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84124, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 172, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84125, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 38, 12, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84126, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 73, 14, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84127, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 167, 27, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84128, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 185, 25, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84129, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 135, 32, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84130, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 167, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84131, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 820, 25, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84132, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 63, 12, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84133, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 158, 23, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84134, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 342, 18, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84135, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 222, 9, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84136, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 2340, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84137, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 153, 8, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84138, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 186, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84139, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 218, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84140, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 242, 13, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84141, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 96, 6, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84142, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 415, 16, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84143, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 104, 8, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84144, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 830, 6, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84145, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 54, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84146, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 86, 20, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84147, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 59, 20, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84148, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2512, 6, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84149, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 654, 17, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84150, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 1224, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84151, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1954, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84152, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 134, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84153, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 107, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84154, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1430, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84155, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1603, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84156, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 4323, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84157, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 2516, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84158, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 98, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84159, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 789, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84160, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 28, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84161, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 48, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84162, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 64, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84163, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 40, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84164, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 64, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84165, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84166, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 689, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84167, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2392, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84168, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 7, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84169, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 266, 14, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84170, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1869, 5, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84171, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1933, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84172, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 109, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84173, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 142, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84174, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 847, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84175, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 61, 5, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84176, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 397, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84177, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 82, 29, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84178, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 124, 23, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84179, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1211, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84180, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1600, 9, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84181, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 161, 22, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84182, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 134, 8, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84183, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 160, 23, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84184, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 87, 22, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84185, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 105, 27, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84186, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 107, 19, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84187, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 342, 18, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84188, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1869, 5, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84189, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1933, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84190, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 218, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84191, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 242, 13, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84192, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 153, 8, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84193, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 63, 12, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84194, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 74, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84195, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 2340, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84196, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 7, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84197, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1603, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84198, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1430, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84199, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2512, 6, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84200, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1954, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84201, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 43, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84202, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 777, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84203, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 29, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84204, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 167, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84205, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 54, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84206, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 59, 20, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84207, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 104, 8, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84208, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 96, 6, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84209, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 165, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84210, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 40, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84211, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 64, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84212, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 48, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84213, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 28, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84214, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84215, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 64, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84216, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1600, 9, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84217, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 186, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84218, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 267, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84219, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 222, 9, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84220, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 158, 23, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84221, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2019, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84222, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1651, 5, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84223, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 789, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84224, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2392, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84225, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 689, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84226, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1077, 9, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84227, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1062, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84228, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 86, 16, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84229, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 98, 13, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84230, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 8, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84231, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 1, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84232, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 98, 10, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84233, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 167, 27, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84234, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 3, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84235, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 135, 32, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84236, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 4323, 4, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84237, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 185, 25, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84238, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 2516, 7, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84239, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 9, 2, 2023, 11, 30, '2024-08-05 14:02:34', NULL, NULL), (84240, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 392, 152, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84241, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 294, 32, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84242, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 279, 48, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84243, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 242, 316, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84244, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1100, 125, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84245, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 73, 385, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84246, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 215, 83, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84247, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 271, 64, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84248, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1192, 284, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84249, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 107, 406, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84250, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 189, 73, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84251, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1076, 130, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84252, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 278, 68, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84253, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 185, 287, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84254, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1181, 291, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84255, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 380, 157, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84256, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 282, 92, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84257, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 4249, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84258, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '', 18, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84259, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 184, 23, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84260, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 342, 47, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84261, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 387, 154, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84262, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 762, 106, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84263, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 6791, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84264, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 0, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84265, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 407, 78, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84266, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 3552, 8, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84267, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 7401, 2, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84268, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 758, 16, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84269, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 233, 35, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84270, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1845, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84271, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 540, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84272, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 799, 9, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84273, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 281, 14, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84274, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 47, 8, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84275, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 366, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84276, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 7, 23, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84277, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 98, 163, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84278, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1481, 16, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84279, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 108, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84280, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1952, 109, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84281, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 10, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84282, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 19, 9, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84283, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 97, 19, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 302, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 272, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 441, 39, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 6893, 12, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 4249, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 540, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1226, 13, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 384, 38, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 41, 33, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 60, 28, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 3212, 20, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1022, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 917, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 69, 32, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 46, 32, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1521, 13, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 424, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 37, 40, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1533, 8, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 54, 23, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 79, 23, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2049, 11, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 245, 16, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 282, 13, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 293, 19, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 464, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 51, 11, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 100, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 42, 24, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 201, 24, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 408, 27, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 868, 23, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 329, 23, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 48, 8, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 189, 25, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 124, 22, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 59, 28, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 431, 8, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 239, 12, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 382, 30, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 30, 14, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 116, 18, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 26, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 51, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 276, 15, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 87, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1102, 2, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 98, 37, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 174, 31, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 110, 22, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 149, 12, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 222, 11, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 198, 35, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 233, 35, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 134, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 92, 24, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 72, 31, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 104, 30, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 11, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 6, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 10, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 8, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 101, 24, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 7, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 103, 36, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 168, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 630, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1845, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 9, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 139, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 47, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 745, 41, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 3, 2, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 214, 12, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 372, 16, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 349, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 49, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 176, 8, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 108, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 4060, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 57, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 342, 47, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 132, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 115, 9, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 774, 65, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1140, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 2193, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1513, 9, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 788, 2, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 168, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1028, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2037, 20, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1309, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1585, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 8, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 87, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84383, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 540, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84384, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 758, 16, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84385, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 47, 8, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84386, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 108, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84387, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 6791, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84388, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 392, 152, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84389, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 281, 14, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84390, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1481, 16, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84391, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 762, 106, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84392, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 342, 47, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84393, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 184, 23, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84394, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 233, 35, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84395, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 7, 23, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84396, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 19, 9, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84397, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 97, 19, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84398, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 4060, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84399, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1989, 107, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84400, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 4249, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84401, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 10, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84402, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 412, 77, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84403, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1028, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84404, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '', 18, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84405, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1845, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84406, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 7401, 2, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84407, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 99, 162, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84408, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 366, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84409, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 4060, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84410, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 302, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84411, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 272, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84412, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 11, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84413, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 9, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84414, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 540, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84415, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 342, 47, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84416, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 382, 30, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84417, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 189, 25, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84418, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 868, 23, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84419, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 329, 23, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84420, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 201, 24, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84421, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 408, 27, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84422, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 127, 8, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84423, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 132, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84424, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 57, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84425, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 87, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84426, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 4249, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84427, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 103, 36, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84428, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 101, 24, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84429, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 139, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84430, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 134, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84431, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1028, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84432, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 7401, 2, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84433, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 108, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84434, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 8, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84435, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 104, 30, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84436, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 72, 31, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84437, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 92, 24, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84438, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1585, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84439, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 630, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84440, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 49, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84441, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 6, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84442, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 168, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84443, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1309, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84444, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2049, 11, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (84445, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 3, 2, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84446, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 149, 12, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84447, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84448, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1226, 13, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84449, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84450, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 222, 11, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84451, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 6791, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84452, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 168, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84453, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2037, 20, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84454, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '2E27', 18, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84455, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 2193, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84456, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1513, 9, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84457, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 788, 2, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84458, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 7, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84459, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 10, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84460, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 774, 65, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84461, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 8, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84462, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 745, 41, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84463, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84464, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 47, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84465, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1845, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84466, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 424, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84467, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1022, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84468, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 917, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84469, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1521, 13, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84470, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1533, 8, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84471, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 233, 35, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84472, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 441, 39, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84473, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 3212, 20, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84474, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 384, 38, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84475, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 372, 16, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84476, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 349, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84477, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 47, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84478, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 214, 12, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84479, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 176, 8, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84480, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 108, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84481, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 132, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84482, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 115, 9, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84483, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 57, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84484, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2037, 20, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84485, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 168, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84486, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 788, 2, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84487, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 59, 28, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84488, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1513, 9, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84489, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 42, 24, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84490, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 2193, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84491, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 87, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84492, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 8, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84493, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 124, 22, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84494, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 110, 22, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84495, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 101, 24, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84496, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 103, 36, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84497, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 424, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84498, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 139, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84499, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 168, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84500, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1022, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84501, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 630, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84502, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 917, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84503, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 49, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84504, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84505, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 174, 31, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84506, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84507, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 98, 37, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84508, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 3, 2, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84509, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 116, 18, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84510, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 30, 14, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84511, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 745, 41, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84512, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 774, 65, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84513, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 342, 47, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84514, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 4060, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84515, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 198, 35, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84516, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 233, 35, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84517, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 540, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84518, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 149, 12, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84519, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 384, 38, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84520, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 302, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84521, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 222, 11, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84522, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 4249, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84523, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 134, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84524, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 272, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84525, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 51, 11, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84526, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 104, 30, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84527, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 464, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84528, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 441, 39, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84529, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 92, 24, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84530, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 6893, 12, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84531, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 100, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84532, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 72, 31, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84533, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 245, 16, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84534, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 48, 8, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84535, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1521, 13, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84536, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 293, 19, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84537, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 3212, 20, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84538, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 282, 13, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84539, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2049, 11, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84540, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1533, 8, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84541, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1140, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84542, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1226, 13, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84543, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 408, 27, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84544, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 868, 23, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84545, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 201, 24, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84546, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 329, 23, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84547, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 189, 25, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84548, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 9, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84549, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 11, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84550, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 382, 30, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84551, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1845, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84552, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 8, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84553, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 6, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84554, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 10, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84555, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 7, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84556, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84557, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1309, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84558, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1585, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84559, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1028, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84560, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 239, 12, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84561, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1102, 2, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84562, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 87, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84563, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 431, 8, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84564, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 37, 40, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84565, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 46, 32, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84566, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 26, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84567, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 69, 32, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84568, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 60, 28, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84569, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 276, 15, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84570, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 51, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84571, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 41, 33, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84572, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 79, 23, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84573, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 54, 23, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84574, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2049, 11, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84575, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1533, 8, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84576, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 302, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84577, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1028, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84578, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 3212, 20, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84579, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 272, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84580, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1521, 13, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84581, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84582, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 3, 2, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84583, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 92, 24, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84584, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 72, 31, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84585, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 104, 30, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84586, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 134, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84587, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 10, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84588, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 6, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84589, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 8, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84590, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84591, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 7, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84592, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1226, 13, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84593, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 6791, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84594, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 384, 38, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84595, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 441, 39, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84596, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 2193, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84597, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1845, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84598, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1513, 9, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84599, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 168, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84600, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 788, 2, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84601, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2037, 20, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84602, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 49, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84603, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84604, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 540, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84605, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 382, 30, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84606, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 745, 41, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84607, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 168, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84608, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 342, 47, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84609, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 774, 65, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84610, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 630, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84611, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 868, 23, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84612, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 329, 23, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84613, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 189, 25, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84614, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 201, 24, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84615, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 408, 27, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84616, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 108, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84617, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 8, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84618, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 87, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84619, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 4060, 7, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84620, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 4249, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84621, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 127, 8, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84622, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 132, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84623, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 57, 5, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84624, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 222, 11, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84625, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '2E27', 18, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84626, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 139, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84627, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 149, 12, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84628, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 7401, 2, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84629, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 233, 35, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84630, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 917, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84631, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 424, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84632, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 47, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84633, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1585, 10, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84634, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1309, 6, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84635, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1022, 4, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84636, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 101, 24, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84637, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 103, 36, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84638, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 9, 1, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84639, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 11, 3, 2023, 12, 1, '2024-08-05 14:02:35', NULL, NULL), (84640, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 644, 3, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84641, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 245, 12, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84642, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 395, 74, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84643, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 15, 4, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84644, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 206, 29, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84645, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 395, 74, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84646, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 3, 17, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84647, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 173, 17, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84648, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 644, 3, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84649, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 206, 29, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84650, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 21, 9, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84651, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 195, 9, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84652, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 1181, 1, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84653, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 644, 3, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84654, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 305, 19, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84655, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 5, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 1181, 1, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 15, 4, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 3, 2, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 195, 9, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 30, 6, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 24, 12, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 5, 1, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 768, 36, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 63, 8, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 27, 1, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2, 3, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 644, 3, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 305, 19, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 41, 6, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 48, 11, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84671, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 305, 19, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84672, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 1181, 1, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84673, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 195, 9, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84674, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 21, 9, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84675, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 644, 3, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84676, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 644, 3, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84677, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 35, 5, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84678, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 195, 9, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84679, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 5, 1, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84680, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2, 3, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84681, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 305, 19, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84682, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 1181, 1, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84683, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 195, 9, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84684, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 1181, 1, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84685, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 3, 2, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84686, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 644, 3, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84687, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 5, 1, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84688, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 30, 6, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84689, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 48, 11, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84690, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 768, 36, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84691, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 63, 8, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84692, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 305, 19, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84693, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 24, 12, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84694, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2, 3, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84695, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 15, 4, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84696, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 41, 6, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84697, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 27, 1, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84698, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 1181, 1, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84699, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 5, 1, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84700, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 644, 3, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84701, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 195, 9, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84702, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 305, 19, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84703, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 35, 5, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84704, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2, 3, 2023, 12, 2, '2024-08-05 14:02:37', NULL, NULL), (84705, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 2087, 11, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84706, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 225, 48, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84707, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 196, 19, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84708, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 930, 10, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84709, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 216, 50, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84710, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 930, 10, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84711, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 1765, 13, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84712, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 177, 21, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84713, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 116, 9, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84714, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 58, 6, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84715, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 223, 12, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84716, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 3767, 6, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 267, 10, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 930, 10, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 70, 5, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 139, 4, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 6, 1, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 168, 2, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 67, 11, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 3767, 6, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 1015, 8, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 13, 6, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 74, 2, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 53, 10, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 103, 13, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84730, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 267, 10, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84731, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 70, 5, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84732, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 116, 9, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84733, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 3767, 6, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84734, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 74, 2, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84735, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 168, 2, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84736, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 70, 5, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84737, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 139, 4, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84738, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 6, 1, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84739, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 267, 10, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84740, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 3767, 6, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84741, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 70, 5, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84742, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 930, 10, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84743, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 3767, 6, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84744, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 74, 2, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84745, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 168, 2, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84746, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 6, 1, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84747, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 139, 4, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84748, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 53, 10, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84749, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 103, 13, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84750, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 267, 10, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84751, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 67, 11, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84752, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 1015, 8, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84753, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 13, 6, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84754, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 3767, 6, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84755, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 74, 2, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84756, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 70, 5, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84757, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 139, 4, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84758, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 267, 10, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84759, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 6, 1, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84760, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 168, 2, 2023, 12, 3, '2024-08-05 14:02:38', NULL, NULL), (84761, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 354, 230, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84762, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 204, 96, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84763, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 366, 82, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84764, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 285, 487, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84765, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 376, 609, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84766, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 508, 127, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84767, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 210, 134, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84768, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 566, 126, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84769, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 268, 198, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84770, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 372, 627, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84771, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 209, 154, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84772, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 508, 127, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84773, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 539, 145, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84774, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 278, 461, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84775, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 348, 234, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84776, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 275, 203, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84777, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 283, 150, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84778, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 480, 40, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84779, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 354, 230, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84780, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 381, 50, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84781, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 229, 79, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84782, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 449, 4, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84783, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 545, 64, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84784, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 15, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84785, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 442, 3, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84786, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 510, 16, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84787, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 673, 60, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84788, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 3842, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84789, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 367, 16, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84790, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 547, 10, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84791, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 521, 24, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84792, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 990, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84793, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 25, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84794, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 184, 3, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84795, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 31, 72, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84796, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 172, 268, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84797, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 265, 17, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84798, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 49, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84799, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 478, 7, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84800, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 230, 60, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84801, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 423, 23, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84802, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 9, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84803, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 216, 11, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 834, 13, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 152, 11, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 700, 15, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 446, 7, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 367, 16, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 95, 8, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 497, 49, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 474, 56, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 445, 33, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 103, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 579, 66, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1045, 5, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 393, 28, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 211, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 336, 5, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 275, 7, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 498, 55, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 321, 53, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 233, 9, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 492, 53, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 446, 28, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 106, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 293, 16, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 216, 21, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 189, 5, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 160, 16, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 200, 26, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 224, 36, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 423, 14, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 370, 32, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 357, 42, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 342, 45, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 345, 40, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 109, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 298, 35, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 168, 44, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 632, 47, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 421, 8, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 81, 13, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 417, 36, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 52, 40, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 62, 31, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 368, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 308, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 474, 33, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 400, 17, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 122, 3, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 154, 13, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 57, 24, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 186, 37, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (84854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 463, 53, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 608, 19, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 575, 61, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 364, 21, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 619, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 684, 59, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 175, 31, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 154, 38, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 166, 43, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 158, 50, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 69, 3, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 31, 8, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 5, 9, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 24, 24, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 6, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 162, 33, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 89, 14, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 212, 40, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 5, 10, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 184, 3, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 3842, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 178, 33, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 476, 20, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 294, 7, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 208, 40, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 238, 18, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 229, 20, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 15, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 275, 18, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 182, 17, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 421, 8, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 15, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 204, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 381, 50, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 52, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 30, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 257, 38, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 623, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1462, 5, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 206, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 346, 7, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 41, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 342, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 912, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 273, 12, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 63, 3, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 276, 16, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 990, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84904, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 367, 16, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84905, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 510, 16, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84906, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 990, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84907, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 478, 7, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84908, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 449, 4, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84909, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 354, 230, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84910, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 521, 24, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84911, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 265, 17, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84912, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 25, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84913, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 232, 78, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84914, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 381, 50, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84915, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 480, 40, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84916, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 684, 59, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84917, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 31, 71, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84918, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 9, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84919, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 216, 11, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84920, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 49, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84921, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 15, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84922, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 230, 60, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84923, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 423, 23, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84924, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 545, 64, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84925, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 912, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84926, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 3842, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84927, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 442, 3, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84928, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 172, 268, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84929, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 184, 3, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84930, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 15, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84931, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 834, 13, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84932, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 152, 11, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84933, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 69, 3, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84934, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 476, 20, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84935, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 367, 16, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84936, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 381, 50, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84937, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 417, 36, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84938, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 25, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84939, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 298, 35, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84940, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 342, 45, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84941, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 345, 40, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84942, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 370, 32, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84943, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 357, 42, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84944, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 30, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84945, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 52, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84946, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 204, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84947, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 990, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84948, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 212, 40, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84949, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 162, 33, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84950, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 178, 33, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84951, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 175, 31, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84952, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 912, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84953, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 442, 3, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84954, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 478, 7, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84955, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 158, 50, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84956, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 166, 43, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84957, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 154, 38, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84958, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 276, 16, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84959, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 184, 3, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84960, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84961, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 49, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84962, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 31, 8, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84963, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 92, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84964, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 106, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84965, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 608, 19, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84966, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 15, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84967, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 95, 8, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84968, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84969, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 364, 21, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84970, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 449, 4, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84971, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 273, 12, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84972, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 206, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84973, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 346, 7, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84974, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 41, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84975, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 342, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84976, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 6, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84977, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 89, 14, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84978, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 5, 9, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84979, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 257, 38, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84980, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 24, 24, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84981, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 208, 40, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84982, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 5, 10, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84983, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 294, 7, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84984, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 3842, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84985, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 336, 5, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84986, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1045, 5, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84987, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 211, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84988, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 275, 7, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84989, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 233, 9, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84990, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 684, 59, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84991, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 700, 15, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84992, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 103, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84993, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 497, 49, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84994, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 229, 20, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84995, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 275, 18, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84996, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 294, 7, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84997, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 238, 18, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84998, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 182, 17, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (84999, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 421, 8, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85000, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 52, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85001, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 30, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85002, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 204, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85003, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 273, 12, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85004, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 342, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85005, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 41, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85006, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 632, 47, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85007, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 346, 7, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85008, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 423, 14, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85009, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 206, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85010, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 990, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85011, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 168, 44, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85012, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 463, 53, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85013, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 162, 33, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85014, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 212, 40, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85015, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 336, 5, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85016, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 178, 33, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85017, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1045, 5, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85018, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 184, 3, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85019, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 211, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85020, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 6, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85021, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 15, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85022, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 186, 37, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85023, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85024, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 57, 24, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85025, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 62, 31, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85026, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 52, 40, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85027, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 208, 40, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85028, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 257, 38, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85029, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 381, 50, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85030, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 15, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85031, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 575, 61, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85032, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 619, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85033, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 367, 16, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85034, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 684, 59, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85035, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 608, 19, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85036, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 497, 49, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85037, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 834, 13, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85038, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 364, 21, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85039, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 175, 31, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85040, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 152, 11, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85041, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 200, 26, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85042, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 158, 50, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85043, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 160, 16, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85044, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 700, 15, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85045, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 154, 38, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85046, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 446, 7, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85047, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 224, 36, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85048, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 166, 43, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85049, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 293, 16, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85050, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 109, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85051, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 275, 7, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85052, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 189, 5, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85053, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 103, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85054, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 216, 21, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85055, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 154, 13, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85056, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 106, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85057, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 233, 9, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85058, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1462, 5, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85059, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 95, 8, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85060, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 623, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85061, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 357, 42, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85062, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 342, 45, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85063, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 370, 32, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85064, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 345, 40, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85065, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 298, 35, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85066, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 476, 20, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85067, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 69, 3, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85068, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 417, 36, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85069, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 3842, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85070, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 24, 24, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85071, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85072, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 31, 8, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85073, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 5, 9, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85074, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 89, 14, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85075, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 10, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85076, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 63, 3, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85077, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 276, 16, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85078, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 912, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85079, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 81, 13, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85080, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 122, 3, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85081, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 400, 17, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85082, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 421, 8, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85083, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 321, 53, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85084, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 498, 55, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85085, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 393, 28, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85086, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 368, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85087, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 579, 66, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85088, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 474, 33, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85089, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 445, 33, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85090, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 308, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85091, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 474, 56, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85092, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 446, 28, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85093, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 492, 53, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85094, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 106, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85095, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 233, 9, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85096, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 834, 13, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85097, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 912, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85098, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 103, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85099, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 152, 11, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85100, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 275, 7, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85101, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85102, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 154, 38, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85103, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 166, 43, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85104, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 158, 50, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85105, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 175, 31, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85106, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 5, 9, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85107, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 31, 8, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85108, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85109, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 24, 24, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85110, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 10, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85111, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 89, 14, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85112, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 25, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85113, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 95, 8, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85114, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 449, 4, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85115, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 497, 49, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85116, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 700, 15, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85117, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 206, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85118, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 41, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85119, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 3842, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85120, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 346, 7, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85121, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 342, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85122, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 273, 12, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85123, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 6, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85124, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 15, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85125, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 367, 16, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85126, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 417, 36, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85127, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 208, 40, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85128, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 381, 50, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85129, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 257, 38, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85130, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 184, 3, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85131, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 342, 45, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85132, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 345, 40, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85133, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 298, 35, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85134, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 370, 32, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85135, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 357, 42, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85136, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 478, 7, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85137, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 990, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85138, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 15, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85139, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 30, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85140, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 52, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85141, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 204, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85142, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 49, 2, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85143, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 364, 21, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85144, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 178, 33, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85145, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 442, 3, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85146, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 608, 19, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85147, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 211, 6, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85148, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 684, 59, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85149, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 336, 5, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85150, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 294, 7, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85151, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 276, 16, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85152, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 92, 1, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85153, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1045, 5, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85154, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 162, 33, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85155, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 212, 40, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85156, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 476, 20, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85157, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 69, 3, 2023, 12, 4, '2024-08-05 14:02:41', NULL, NULL), (85158, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 256, 219, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85159, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 299, 70, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85160, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 786, 60, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85161, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 209, 463, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85162, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 228, 503, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85163, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 583, 88, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85164, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 187, 72, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85165, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 366, 165, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85166, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 367, 215, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85167, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 226, 509, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85168, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 434, 114, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85169, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 578, 89, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85170, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 324, 87, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85171, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 208, 447, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85172, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 256, 219, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85173, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 355, 227, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85174, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 380, 170, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85175, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 363, 40, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85176, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 256, 219, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85177, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 245, 53, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85178, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 203, 69, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85179, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1101, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85180, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 360, 50, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85181, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 2661, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85182, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1407, 2, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85183, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1149, 14, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85184, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 391, 53, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85185, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1034, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85186, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1046, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85187, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 244, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85188, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 39, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85189, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 179, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85190, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 70, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85191, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 24, 5, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85192, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 44, 53, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85193, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 125, 277, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85194, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1089, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85195, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 297, 5, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85196, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 351, 75, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85197, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 1104, 14, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85198, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 19, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85199, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 151, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 166, 2, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 3, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 187, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 883, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1259, 8, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1046, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 94, 13, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 398, 41, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 250, 38, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 213, 31, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 252, 10, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 296, 43, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1079, 5, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1476, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 250, 30, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 612, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 285, 36, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 664, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 236, 56, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 462, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 371, 54, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 281, 36, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 553, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 257, 29, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 343, 11, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 395, 18, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 467, 11, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 318, 20, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 479, 49, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 97, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 240, 17, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 227, 41, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 208, 37, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 233, 33, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 386, 45, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 260, 11, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 27, 21, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 249, 29, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 300, 40, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1064, 5, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 181, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 201, 34, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 165, 19, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 100, 20, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 57, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 378, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 379, 13, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1426, 23, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 275, 15, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 69, 31, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 32, 31, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 162, 32, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 406, 21, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 120, 37, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 315, 19, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 391, 53, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 207, 39, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 108, 48, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 109, 36, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 103, 50, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 1377, 5, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 30, 8, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 33, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 121, 12, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 22, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 126, 46, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 10, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 98, 43, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 14, 10, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (85269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 51, 2, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 6, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1034, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 167, 14, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 953, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 81, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 241, 33, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 12, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 485, 14, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 12, 2, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 6, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 321, 16, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 27, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 118, 21, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 259, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 2661, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 44, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 245, 53, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 329, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 167, 36, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 697, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1571, 2, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 483, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 482, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 268, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 244, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 435, 10, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 5029, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 432, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 154, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 227, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85300, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1046, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85301, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1149, 14, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85302, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 179, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85303, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 297, 5, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85304, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1101, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85305, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 256, 219, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85306, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 39, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85307, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1089, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85308, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 70, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85309, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 203, 69, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85310, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 245, 53, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85311, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 363, 40, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85312, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 391, 53, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85313, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 44, 53, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85314, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 19, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85315, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 151, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85316, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 2661, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85317, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 381, 69, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85318, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 1104, 14, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85319, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 360, 50, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85320, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 244, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85321, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1034, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85322, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1407, 2, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85323, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 126, 276, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85324, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 24, 5, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85325, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 2661, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85326, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 166, 2, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85327, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 3, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85328, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 1377, 5, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85329, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 953, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85330, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1046, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85331, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 245, 53, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85332, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 201, 34, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85333, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 70, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85334, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 249, 29, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85335, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 233, 33, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85336, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 386, 45, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85337, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 227, 41, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85338, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 208, 37, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85339, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 329, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85340, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 44, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85341, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 227, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85342, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 98, 43, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85343, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 126, 46, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85344, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 167, 14, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85345, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 207, 39, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85346, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 244, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85347, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 1239, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85348, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1575, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85349, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 297, 5, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85350, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 154, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85351, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 103, 50, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85352, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 109, 36, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85353, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 108, 48, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85354, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 432, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85355, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 6, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85356, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 30, 8, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85357, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 27, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85358, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 51, 2, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85359, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 5029, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85360, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 553, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85361, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 12, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85362, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 406, 21, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85363, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 94, 13, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85364, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 12, 2, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85365, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 315, 19, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85366, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 706, 2, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85367, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1214, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85368, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 435, 10, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85369, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 483, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85370, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 482, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85371, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 268, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85372, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 22, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85373, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 10, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85374, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 33, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85375, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 167, 36, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85376, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 121, 12, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85377, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 241, 33, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85378, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 14, 10, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85379, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 81, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85380, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1034, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85381, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 612, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85382, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1079, 5, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85383, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1476, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85384, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 664, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85385, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 462, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85386, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 391, 53, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85387, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 187, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85388, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 252, 10, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85389, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 398, 41, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85390, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 6, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85391, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 321, 16, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85392, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 81, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85393, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 485, 14, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85394, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 118, 21, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85395, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 259, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85396, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 329, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85397, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 44, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85398, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 435, 10, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85399, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 268, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85400, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 300, 40, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85401, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 482, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85402, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 240, 17, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85403, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 483, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85404, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 227, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85405, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 154, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85406, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 27, 21, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85407, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 162, 32, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85408, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 126, 46, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85409, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 98, 43, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85410, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 612, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85411, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 167, 14, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85412, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 51, 2, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85413, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1079, 5, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85414, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 6, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85415, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1476, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85416, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 27, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85417, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 32, 31, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85418, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 12, 2, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85419, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 69, 31, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85420, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 12, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85421, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 100, 20, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85422, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 165, 19, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85423, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 241, 33, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85424, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 167, 36, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85425, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 245, 53, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85426, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 2661, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85427, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 120, 37, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85428, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 391, 53, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85429, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1046, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85430, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 406, 21, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85431, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 398, 41, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85432, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 166, 2, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85433, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 315, 19, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85434, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 207, 39, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85435, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 3, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85436, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 318, 20, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85437, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 103, 50, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85438, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 467, 11, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85439, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 187, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85440, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 883, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85441, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 97, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85442, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 108, 48, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85443, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1259, 8, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85444, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 479, 49, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85445, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 109, 36, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85446, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 257, 29, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85447, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 260, 11, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85448, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 664, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85449, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 395, 18, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85450, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 343, 11, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85451, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 252, 10, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85452, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 275, 15, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85453, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 553, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85454, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 462, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85455, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1571, 2, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85456, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 94, 13, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85457, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 697, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85458, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 208, 37, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85459, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 233, 33, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85460, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 227, 41, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85461, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 386, 45, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85462, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 249, 29, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85463, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 953, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85464, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 1377, 5, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85465, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 201, 34, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85466, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1034, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85467, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 121, 12, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85468, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 22, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85469, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 30, 8, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85470, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 33, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85471, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 10, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85472, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 14, 10, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85473, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 5029, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85474, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 432, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85475, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 244, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85476, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 181, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85477, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1426, 23, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85478, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1064, 5, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85479, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 236, 56, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85480, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 285, 36, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85481, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 57, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85482, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 250, 30, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85483, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 296, 43, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85484, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 379, 13, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85485, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 213, 31, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85486, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 378, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85487, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 250, 38, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85488, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 281, 36, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85489, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 371, 54, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85490, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 553, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85491, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 462, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85492, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 166, 2, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85493, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 244, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85494, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 252, 10, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85495, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 3, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85496, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 664, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85497, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 12, 2, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85498, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 12, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85499, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 108, 48, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85500, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 109, 36, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85501, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 103, 50, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85502, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 207, 39, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85503, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 33, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85504, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 30, 8, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85505, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 22, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85506, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 121, 12, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85507, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 14, 10, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85508, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 10, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85509, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 70, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85510, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 94, 13, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85511, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1214, 7, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85512, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 706, 2, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85513, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 398, 41, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85514, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 187, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85515, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 483, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85516, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 482, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85517, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1034, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85518, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 268, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85519, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 435, 10, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85520, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 27, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85521, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1046, 4, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85522, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 201, 34, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85523, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 241, 33, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85524, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 51, 2, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85525, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 245, 53, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85526, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 167, 36, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85527, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 6, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85528, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 233, 33, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85529, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 386, 45, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85530, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 249, 29, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85531, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 227, 41, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85532, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 208, 37, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85533, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 297, 5, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85534, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 154, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85535, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 227, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85536, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 2661, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85537, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 329, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85538, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 44, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85539, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 315, 19, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85540, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 167, 14, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85541, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1575, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85542, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 406, 21, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85543, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 1239, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85544, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1476, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85545, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 391, 53, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85546, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 612, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85547, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 81, 3, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85548, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 432, 6, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85549, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 5029, 1, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85550, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1079, 5, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85551, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 126, 46, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85552, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 98, 43, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85553, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 953, 9, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85554, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 1377, 5, 2023, 12, 5, '2024-08-05 14:02:45', NULL, NULL), (85555, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 166, 276, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85556, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 178, 56, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85557, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1117, 100, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85558, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 221, 419, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85559, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 848, 85, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85560, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 75, 420, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85561, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 3600, 100, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85562, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 313, 150, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85563, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 194, 180, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85564, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 94, 435, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85565, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 896, 129, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85566, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 848, 85, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85567, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 282, 94, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85568, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 171, 386, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85569, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 189, 185, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85570, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 211, 285, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85571, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 1787, 218, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85572, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 182, 37, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85573, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 139, 35, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85574, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 166, 276, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85575, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 178, 74, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85576, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 710, 9, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85577, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 912, 43, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85578, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 629, 7, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85579, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 4993, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85580, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1132, 8, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85581, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 416, 44, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85582, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 24, 3, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85583, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 163, 11, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85584, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1466, 13, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85585, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 474, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85586, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 293, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85587, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85588, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85589, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 81, 27, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85590, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 136, 236, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85591, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 364, 13, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85592, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 845, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85593, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 363, 10, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85594, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 182, 60, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85595, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 285, 27, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85596, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 3, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85597, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 168, 13, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 734, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 288, 7, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 204, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 710, 9, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 4993, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 163, 11, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 258, 8, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 1186, 31, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 88, 54, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 91, 28, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1653, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 29, 10, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 70, 35, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 59, 23, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 779, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1315, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 74, 34, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 203, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 56, 38, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 220, 8, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 91, 17, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 114, 26, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 217, 6, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 320, 9, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 139, 17, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 193, 13, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 180, 18, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 535, 19, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 340, 34, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 712, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 85, 32, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 149, 38, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 196, 42, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 159, 53, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 415, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 152, 50, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 365, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 41, 22, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 155, 47, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 95, 31, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1381, 18, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 1565, 22, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 189, 46, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 26, 20, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 101, 25, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 361, 9, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 18, 1, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1125, 38, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 458, 11, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1374, 1, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 43, 11, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 283, 22, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 49, 24, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 459, 34, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 162, 15, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 195, 22, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 117, 26, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 416, 44, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 151, 16, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 104, 43, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 128, 49, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 163, 51, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 249, 7, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 301, 7, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 10, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 4, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 143, 36, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 140, 22, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 3, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 6, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 24, 3, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 314, 19, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 128, 19, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 375, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 149, 42, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 1, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 69, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 111, 15, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 5, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 115, 15, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 363, 10, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 881, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 60, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (85685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 143, 34, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 100, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 35, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 217, 32, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 13810, 11, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 6531, 29, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 238, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 493, 1, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 150, 11, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1588, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 450, 9, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 396, 6, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 589, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 145, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85699, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 163, 11, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85700, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1132, 8, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85701, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 367, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85702, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 363, 10, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85703, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 710, 9, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85704, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 166, 276, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85705, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 474, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85706, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 364, 13, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85707, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 178, 74, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85708, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 143, 34, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85709, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 182, 37, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85710, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 416, 44, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85711, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 81, 27, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85712, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 3, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85713, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 168, 13, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85714, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 845, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85715, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 881, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85716, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 182, 60, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85717, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 296, 26, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85718, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 912, 43, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85719, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1588, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85720, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 24, 3, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85721, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 4993, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85722, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 136, 236, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85723, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85724, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 881, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85725, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 734, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85726, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 288, 7, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85727, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 249, 7, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85728, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 314, 19, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85729, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 163, 11, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85730, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 143, 34, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85731, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 189, 46, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85732, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 155, 47, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85733, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 159, 53, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85734, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 152, 50, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85735, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 149, 38, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85736, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 196, 42, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85737, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 35, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85738, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 100, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85739, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 60, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85740, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 145, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85741, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 140, 22, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85742, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 143, 36, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85743, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 128, 19, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85744, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 151, 16, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85745, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1588, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85746, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 4993, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85747, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 363, 10, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85748, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 589, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85749, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 163, 51, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85750, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 128, 49, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85751, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 104, 43, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85752, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 396, 6, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85753, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 6, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85754, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85755, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 845, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85756, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85757, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 3, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85758, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 337, 7, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85759, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 217, 6, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85760, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 1, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85761, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 162, 15, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85762, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 258, 8, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85763, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 195, 22, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85764, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 710, 9, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85765, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 150, 11, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85766, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 238, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85767, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 493, 1, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85768, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 4, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85769, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85770, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 301, 7, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85771, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 217, 32, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85772, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 10, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85773, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 149, 42, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85774, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85775, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 375, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85776, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 24, 3, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85777, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1315, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85778, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1653, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85779, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 779, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85780, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 203, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85781, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 416, 44, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85782, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 220, 8, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85783, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 204, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85784, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 29, 10, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85785, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 1186, 31, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85786, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 111, 15, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85787, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 5, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85788, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 375, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85789, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 69, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85790, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 115, 15, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85791, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 363, 10, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85792, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 100, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85793, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 35, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85794, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 60, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85795, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 150, 11, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85796, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 493, 1, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85797, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 95, 31, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85798, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 238, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85799, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 85, 32, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85800, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 145, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85801, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 589, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85802, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 41, 22, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85803, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 459, 34, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85804, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 143, 36, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85805, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 140, 22, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85806, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1315, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85807, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 128, 19, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85808, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 3, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85809, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1653, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85810, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 6, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85811, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 779, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85812, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85813, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 49, 24, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85814, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 43, 11, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85815, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 1, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85816, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 101, 25, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85817, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 26, 20, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85818, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 149, 42, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85819, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 217, 32, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85820, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 143, 34, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85821, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 881, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85822, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 117, 26, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85823, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 163, 11, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85824, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 416, 44, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85825, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 1186, 31, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85826, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 162, 15, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85827, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 734, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85828, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 195, 22, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85829, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 151, 16, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85830, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 288, 7, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85831, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 535, 19, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85832, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 163, 51, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85833, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 204, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85834, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 180, 18, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85835, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 710, 9, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85836, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 712, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85837, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 104, 43, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85838, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 4993, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85839, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 340, 34, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85840, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 128, 49, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85841, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 320, 9, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85842, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 365, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85843, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 203, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85844, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 193, 13, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85845, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 139, 17, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85846, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 29, 10, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85847, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 415, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85848, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 283, 22, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85849, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 217, 6, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85850, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 220, 8, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85851, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 6531, 29, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85852, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 258, 8, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85853, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 13810, 11, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85854, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 196, 42, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85855, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 159, 53, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85856, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 149, 38, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85857, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 152, 50, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85858, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 155, 47, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85859, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 314, 19, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85860, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 249, 7, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85861, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 189, 46, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85862, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 24, 3, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85863, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 10, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85864, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85865, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85866, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 301, 7, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85867, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85868, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85869, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 450, 9, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85870, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 396, 6, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85871, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1588, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85872, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 1565, 22, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85873, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1374, 1, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85874, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 458, 11, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85875, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1381, 18, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85876, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 56, 38, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85877, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 74, 34, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85878, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 59, 23, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85879, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 361, 9, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85880, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 70, 35, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85881, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1125, 38, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85882, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 91, 28, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85883, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 18, 1, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85884, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 88, 54, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85885, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 114, 26, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85886, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 91, 17, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85887, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 217, 6, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85888, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 220, 8, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85889, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 734, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85890, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1588, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85891, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 29, 10, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85892, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 288, 7, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85893, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 203, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85894, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 1, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85895, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 104, 43, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85896, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 128, 49, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85897, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 163, 51, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85898, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 151, 16, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85899, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 301, 7, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85900, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85901, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85902, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 10, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85903, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85904, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85905, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 258, 8, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85906, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 710, 9, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85907, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 1186, 31, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85908, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 204, 12, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85909, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 24, 3, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85910, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 238, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85911, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 493, 1, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85912, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 150, 11, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85913, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85914, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 163, 11, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85915, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 189, 46, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85916, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 149, 42, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85917, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 3, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85918, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 143, 34, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85919, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 217, 32, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85920, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 6, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85921, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 159, 53, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85922, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 152, 50, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85923, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 155, 47, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85924, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 149, 38, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85925, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 196, 42, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85926, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 363, 10, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85927, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 589, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85928, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 145, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85929, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 881, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85930, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 35, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85931, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 100, 5, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85932, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 60, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85933, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 845, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85934, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 195, 22, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85935, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 128, 19, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85936, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 4993, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85937, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 162, 15, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85938, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 416, 44, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85939, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 779, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85940, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1315, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85941, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 375, 4, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85942, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 396, 6, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85943, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 337, 7, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85944, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1653, 2, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85945, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 143, 36, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85946, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 140, 22, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85947, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 314, 19, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85948, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 249, 7, 2023, 12, 6, '2024-08-05 14:02:49', NULL, NULL), (85949, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 248, 208, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85950, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 677, 40, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85951, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 890, 75, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85952, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 212, 415, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85953, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1392, 80, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85954, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 229, 466, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85955, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 3524, 149, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85956, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 364, 144, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85957, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 343, 228, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85958, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 235, 475, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85959, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 635, 106, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85960, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1375, 81, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85961, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 553, 66, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85962, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 146, 383, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85963, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 245, 214, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85964, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 391, 239, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85965, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 2296, 252, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85966, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '', 168, 1, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85967, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 191, 30, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85968, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 245, 210, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85969, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 542, 53, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85970, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 245, 85, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85971, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 184, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85972, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 539, 38, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85973, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 802, 6, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85974, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 725, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85975, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1942, 11, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85976, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 236, 53, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85977, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1477, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85978, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 4077, 13, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85979, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1868, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85980, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1100, 13, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85981, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 169, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85982, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 5, 3, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85983, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 290, 8, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85984, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 114, 216, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85985, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 29, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85986, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 343, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85987, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 5, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85988, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 329, 67, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85989, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 2402, 10, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85990, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 25, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85991, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 464, 20, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 2488, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 266, 7, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 773, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 147, 1, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 408, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 4077, 13, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 258, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (85999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 467, 29, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 308, 1, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 230, 36, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 241, 36, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2400, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 298, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 339, 40, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1968, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 227, 31, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 959, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 175, 11, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 200, 53, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 251, 48, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 198, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 229, 32, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 457, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 350, 21, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 162, 20, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 778, 8, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 228, 19, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 344, 25, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 588, 37, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 337, 22, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 208, 26, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 173, 41, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 155, 33, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 219, 34, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 486, 45, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 42, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 354, 51, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 50, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 209, 24, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 159, 29, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 85, 30, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 136, 27, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 15, 1, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 207, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1534, 34, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 916, 7, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 845, 3, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 66, 14, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 274, 18, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 69, 29, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 247, 30, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 164, 18, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 230, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 88, 24, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 236, 53, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 110, 35, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 157, 35, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 100, 35, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 135, 49, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3063, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 5, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 3, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 83, 30, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 5, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 87, 20, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 3, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 290, 8, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1477, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 2353, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 102, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 513, 7, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 242, 39, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 74, 11, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 79, 19, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 27, 3, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 214, 13, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 35, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 91, 18, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 5, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 802, 6, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 555, 6, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 552, 52, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 354, 6, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 202, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 247, 46, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 5280, 35, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 5513, 60, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 744, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 480, 10, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 554, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1868, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 319, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 401, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 314, 8, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 246, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 108, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86091, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 4077, 13, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86092, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1942, 11, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86093, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 169, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86094, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 5, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86095, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 184, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86096, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 248, 208, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86097, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1192, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86098, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 343, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86099, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 245, 85, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (86100, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 5, 3, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86101, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 552, 52, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86102, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 191, 30, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86103, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 236, 53, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86104, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 29, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86105, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 25, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86106, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 464, 20, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86107, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 802, 6, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86108, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 329, 67, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86109, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 2669, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86110, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 539, 38, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86111, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1868, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86112, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '', 168, 1, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86113, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1477, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86114, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 725, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86115, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 115, 213, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86116, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 290, 8, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86117, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 802, 6, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86118, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 2488, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86119, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 266, 7, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86120, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3063, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86121, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 2353, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86122, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 4077, 13, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86123, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 552, 52, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86124, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 159, 29, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86125, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 5, 3, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86126, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 486, 45, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86127, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 155, 33, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86128, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 219, 34, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86129, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 208, 26, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86130, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 173, 41, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86131, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 202, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86132, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 391, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86133, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 555, 6, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86134, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 108, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86135, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 87, 20, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86136, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 83, 30, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86137, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 102, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86138, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 110, 35, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86139, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1868, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86140, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 147, 1, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86141, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1304, 1, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86142, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 5, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86143, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 246, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86144, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 135, 49, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86145, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 100, 35, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86146, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 157, 35, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86147, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 314, 8, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86148, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 290, 8, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86149, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86150, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 35, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86151, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 457, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86152, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 401, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86153, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 164, 18, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86154, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 27, 3, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86155, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 258, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86156, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86157, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 230, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86158, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 184, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86159, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '2E28', 168, 1, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86160, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 319, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86161, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 744, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86162, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 480, 10, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86163, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 554, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86164, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86165, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 5, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86166, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 5, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86167, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 247, 46, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86168, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 242, 39, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86169, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 3, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86170, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 3, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86171, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 513, 7, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86172, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1477, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86173, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 959, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86174, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2400, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86175, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1968, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86176, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 175, 11, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86177, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 198, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86178, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 236, 53, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86179, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 773, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86180, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 298, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86181, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 467, 29, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86182, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 79, 19, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86183, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 214, 13, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86184, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 513, 7, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86185, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 74, 11, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86186, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 91, 18, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86187, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 5, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86188, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 354, 6, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86189, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 202, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86190, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 555, 6, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86191, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 319, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86192, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 554, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86193, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 354, 51, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86194, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 480, 10, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86195, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 337, 22, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86196, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 744, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86197, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 108, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86198, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 246, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86199, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 42, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86200, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 247, 30, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86201, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 83, 30, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86202, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 87, 20, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86203, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 959, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86204, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 102, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86205, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2400, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86206, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1968, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86207, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 290, 8, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86208, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 35, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86209, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 27, 3, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86210, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 69, 29, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86211, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86212, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 274, 18, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86213, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 136, 27, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86214, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 85, 30, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86215, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 242, 39, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86216, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 247, 46, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86217, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 552, 52, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86218, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 802, 6, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86219, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 88, 24, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86220, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 4077, 13, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86221, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 236, 53, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86222, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 467, 29, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86223, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 164, 18, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86224, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 2488, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86225, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 230, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86226, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 110, 35, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86227, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 344, 25, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86228, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 135, 49, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86229, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 266, 7, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86230, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 773, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86231, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 228, 19, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86232, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 157, 35, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86233, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 147, 1, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86234, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 408, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86235, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 588, 37, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86236, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 100, 35, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86237, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 350, 21, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86238, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 175, 11, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86239, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 778, 8, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86240, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 162, 20, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86241, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 298, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86242, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 66, 14, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86243, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 457, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86244, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 198, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86245, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 5513, 60, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86246, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 258, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86247, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 5280, 35, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86248, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 173, 41, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86249, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 155, 33, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86250, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 208, 26, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86251, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 219, 34, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86252, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 486, 45, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86253, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 2353, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86254, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3063, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86255, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 159, 29, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86256, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1477, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86257, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 3, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86258, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86259, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86260, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 5, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86261, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86262, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 3, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86263, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 401, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86264, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 314, 8, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86265, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1868, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86266, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 209, 24, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86267, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 845, 3, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86268, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 916, 7, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86269, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 50, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86270, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 251, 48, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86271, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 200, 53, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86272, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 15, 1, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86273, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 227, 31, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86274, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 339, 40, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86275, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1534, 34, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86276, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 241, 36, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86277, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 207, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86278, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 230, 36, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86279, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 308, 1, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86280, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 229, 32, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86281, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 457, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86282, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 198, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86283, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 2488, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86284, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1868, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86285, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 298, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86286, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 266, 7, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86287, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 175, 11, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86288, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86289, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 157, 35, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86290, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 100, 35, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86291, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 135, 49, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86292, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 110, 35, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86293, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 5, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86294, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86295, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86296, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 3, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86297, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 3, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86298, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86299, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 5, 3, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86300, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 258, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86301, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 184, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86302, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 467, 29, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86303, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 773, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86304, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 744, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86305, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1477, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86306, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 480, 10, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86307, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 554, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86308, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 319, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86309, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 35, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86310, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 27, 3, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86311, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 4077, 13, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86312, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 159, 29, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86313, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 242, 39, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86314, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 552, 52, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86315, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 247, 46, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86316, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 290, 8, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86317, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 155, 33, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86318, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 219, 34, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86319, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 486, 45, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86320, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 208, 26, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86321, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 173, 41, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86322, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 5, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86323, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 246, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86324, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 108, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86325, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 802, 6, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86326, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 202, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86327, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 391, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86328, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 555, 6, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86329, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 230, 12, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86330, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 102, 9, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86331, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1304, 1, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86332, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 164, 18, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86333, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 147, 1, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86334, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1968, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86335, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 236, 53, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86336, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 959, 2, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86337, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 513, 7, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86338, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 314, 8, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86339, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 401, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86340, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2400, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86341, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 83, 30, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86342, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 87, 20, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86343, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 2353, 5, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86344, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 3063, 4, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86345, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '2E28', 168, 1, 2023, 12, 7, '2024-08-05 14:02:53', NULL, NULL), (86346, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 221, 264, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86347, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 210, 65, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86348, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 706, 48, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86349, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 159, 335, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86350, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 439, 109, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86351, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 90, 418, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86352, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 11592, 50, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86353, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 266, 151, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86354, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 480, 252, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86355, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 97, 432, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86356, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 372, 94, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86357, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 435, 110, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86358, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 604, 22, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86359, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 142, 316, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86360, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 220, 266, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86361, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 481, 253, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86362, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 3025, 205, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86363, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86364, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 49, 21, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86365, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 221, 264, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86366, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 186, 53, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86367, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 660, 110, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86368, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 333, 5, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86369, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 352, 57, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86370, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 573, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86371, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 212, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86372, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 238, 17, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86373, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 314, 44, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86374, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1118, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86375, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '', 605, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86376, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 661, 13, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86377, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 417, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86378, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 867, 15, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86379, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 133, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86380, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 3, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86381, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 34, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86382, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 8, 44, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86383, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 127, 193, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86384, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 669, 5, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86385, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 6, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86386, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 497, 67, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86387, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 91, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86388, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 197, 9, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86389, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 72, 5, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 52, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 325, 5, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 1137, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 45, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 314, 44, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 603, 18, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 104, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 331, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 159, 38, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 151, 37, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 108, 27, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 661, 13, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 301, 9, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 102, 41, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 237, 39, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 6, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 119, 28, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 11, 13, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 121, 23, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 263, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 9, 5, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 228, 13, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 105, 35, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 5, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 338, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 119, 29, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 76, 35, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 9, 9, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 117, 20, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 201, 9, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 201, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 74, 40, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 6, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 64, 36, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 477, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 34, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1118, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 104, 26, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 91, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 73, 17, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 279, 7, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 68, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 692, 51, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 209, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 337, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 43, 9, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 347, 12, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 77, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 333, 21, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 9, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 229, 24, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 12, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 124, 23, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 142, 29, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 5, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 352, 42, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 71, 21, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 266, 38, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 573, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 233, 45, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 331, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 180, 41, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 186, 53, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 199, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 222, 41, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 358, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 182, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 256, 37, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 87, 20, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 633, 59, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 9831, 20, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 120, 34, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 12767, 30, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1919, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1612, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 326, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 1550, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 590, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 417, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 192, 62, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 801, 13, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 355, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 86, 25, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 748, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 80, 24, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 89, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 654, 26, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 594, 12, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 146, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 82, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 4, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 30, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 84, 24, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 79, 30, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86485, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 661, 13, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86486, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 238, 17, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86487, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 133, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86488, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 6, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86489, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 333, 5, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86490, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 221, 264, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86491, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 867, 15, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86492, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 669, 5, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86493, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 3, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86494, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 660, 110, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86495, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 186, 53, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86496, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 49, 21, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86497, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 314, 44, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86498, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 8, 43, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86499, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 72, 5, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86500, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 197, 9, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86501, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 573, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86502, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 497, 67, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86503, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 91, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86504, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 352, 57, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86505, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 417, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86506, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1118, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86507, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '', 605, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (86508, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 212, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86509, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 128, 192, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86510, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 34, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86511, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 573, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86512, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 325, 5, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86513, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 1137, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86514, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 91, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86515, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 661, 13, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86516, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 186, 53, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86517, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 192, 62, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86518, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 3, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86519, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 256, 37, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86520, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 180, 41, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86521, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 222, 41, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86522, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 266, 38, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86523, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 233, 45, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86524, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 182, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86525, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 199, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86526, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 331, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86527, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 4, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86528, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 117, 20, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86529, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 119, 29, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86530, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 159, 38, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86531, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 417, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86532, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 212, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86533, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 6, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86534, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 146, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86535, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 102, 41, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86536, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 108, 27, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86537, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 151, 37, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86538, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 748, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86539, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 34, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86540, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 6, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86541, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86542, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 355, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86543, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 279, 7, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86544, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 337, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86545, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 52, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86546, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 9, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86547, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 301, 9, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86548, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 45, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86549, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 104, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86550, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 390, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86551, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 801, 13, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86552, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1919, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86553, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 326, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86554, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 590, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86555, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 5, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86556, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 9, 9, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86557, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 11, 13, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86558, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 633, 59, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86559, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 9, 5, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86560, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 692, 51, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86561, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 6, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86562, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 11, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86563, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1118, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86564, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 201, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86565, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 228, 13, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86566, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 338, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86567, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 201, 9, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86568, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 314, 44, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86569, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 477, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86570, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 603, 18, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86571, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 263, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86572, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 237, 39, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86573, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '2E26', 605, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86574, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 77, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86575, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 12, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86576, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 209, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86577, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 43, 9, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86578, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 124, 23, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86579, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 5, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86580, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 199, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86581, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 182, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86582, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 331, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86583, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 801, 13, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86584, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 590, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86585, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 120, 34, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86586, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 326, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86587, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 71, 21, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86588, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1919, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86589, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 4, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86590, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 146, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86591, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 87, 20, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86592, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 119, 29, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86593, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 117, 20, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86594, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 201, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86595, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 228, 13, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86596, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 338, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86597, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 34, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86598, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86599, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 9, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86600, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 79, 30, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86601, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 84, 24, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86602, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 337, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86603, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 80, 24, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86604, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 86, 25, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86605, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 692, 51, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86606, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 633, 59, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86607, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 186, 53, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86608, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 573, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86609, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 233, 45, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86610, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 314, 44, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86611, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 661, 13, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86612, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 180, 41, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86613, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 52, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86614, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 237, 39, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86615, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 45, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86616, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 325, 5, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86617, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 266, 38, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86618, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 222, 41, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86619, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 256, 37, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86620, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 159, 38, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86621, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 1137, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86622, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 142, 29, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86623, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 102, 41, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86624, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 229, 24, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86625, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 603, 18, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86626, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 104, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86627, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 151, 37, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86628, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 331, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86629, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 108, 27, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86630, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 352, 42, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86631, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 68, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86632, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 358, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86633, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 201, 9, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86634, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 333, 21, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86635, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 263, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86636, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 347, 12, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86637, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 91, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86638, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 192, 62, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86639, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1118, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86640, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 9, 5, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86641, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86642, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 6, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86643, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 11, 13, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86644, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 9, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86645, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86646, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 355, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86647, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 748, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86648, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 417, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86649, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 30, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86650, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 279, 7, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86651, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 477, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86652, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 1550, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86653, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 82, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86654, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 12767, 30, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86655, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 594, 12, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86656, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1612, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86657, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 64, 36, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86658, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 74, 40, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86659, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 89, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86660, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 301, 9, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86661, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 76, 35, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86662, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 105, 35, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86663, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 654, 26, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86664, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 121, 23, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86665, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 9831, 20, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86666, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 119, 28, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86667, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 73, 17, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86668, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 104, 26, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86669, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 279, 7, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86670, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 477, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86671, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 325, 5, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86672, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 417, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86673, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 263, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86674, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 1137, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86675, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 201, 9, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86676, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 337, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86677, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 151, 37, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86678, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 108, 27, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86679, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 102, 41, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86680, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 159, 38, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86681, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 11, 13, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86682, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 6, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86683, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86684, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 9, 5, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86685, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86686, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 9, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86687, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 3, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86688, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 301, 9, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86689, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 390, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86690, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 104, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86691, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 237, 39, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86692, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 603, 18, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86693, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1919, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86694, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1118, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86695, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 326, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86696, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 590, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86697, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 801, 13, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86698, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86699, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 9, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86700, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 661, 13, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86701, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 192, 62, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86702, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 692, 51, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86703, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 186, 53, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86704, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 633, 59, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86705, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 34, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86706, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 180, 41, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86707, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 222, 41, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86708, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 256, 37, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86709, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 266, 38, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86710, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 233, 45, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86711, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 6, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86712, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '2E26', 605, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86713, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 146, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86714, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 4, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86715, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 573, 6, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86716, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 182, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86717, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 199, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86718, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 331, 3, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86719, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 45, 10, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86720, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 212, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86721, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 52, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86722, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 314, 44, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86723, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 338, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86724, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 201, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86725, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 11, 2, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86726, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 748, 4, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86727, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 355, 1, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86728, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 228, 13, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86729, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 119, 29, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86730, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 117, 20, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86731, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 91, 11, 2023, 12, 8, '2024-08-05 14:02:57', NULL, NULL), (86732, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 149, 39, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86733, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 402, 21, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86734, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 76, 11, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86735, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 138, 42, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86736, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 0, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86737, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 2, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86738, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 272, 31, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86739, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86740, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 65, 13, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86741, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 68, 4, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86742, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86743, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86744, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86745, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 81, 7, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86746, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 2, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 402, 21, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 81, 7, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 96, 13, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 70, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 53, 8, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 11, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 8, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 733, 4, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 184, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 67, 5, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 159, 5, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 16, 4, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86759, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 81, 7, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86760, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 68, 4, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86761, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 11, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86762, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 8, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86763, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 184, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86764, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 70, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86765, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 81, 7, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86766, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 402, 21, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86767, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 184, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86768, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 11, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86769, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 8, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86770, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 16, 4, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86771, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 159, 5, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86772, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 70, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86773, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 733, 4, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86774, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 81, 7, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86775, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 53, 8, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86776, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 96, 13, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86777, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 67, 5, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86778, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 184, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86779, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 81, 7, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86780, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 70, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86781, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 11, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86782, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 8, 1, 2023, 12, 9, '2024-08-05 14:02:58', NULL, NULL), (86783, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 263, 61, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86784, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 863, 25, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86785, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 51, 12, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86786, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 259, 62, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86787, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 863, 25, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86788, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 0, 1, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86789, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 47, 13, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86790, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 31, 6, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86791, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 0, 1, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86792, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 56, 5, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86793, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 1, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 806, 19, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1042, 6, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 60, 10, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 149, 1, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 8, 2, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 3, 2, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 14, 2, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 78, 2, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 225, 31, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 111, 9, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 56, 5, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 827, 9, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86806, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 56, 5, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86807, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 31, 6, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86808, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 14, 2, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86809, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 78, 2, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86810, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 3, 2, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86811, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 56, 5, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86812, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 806, 19, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86813, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 78, 2, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86814, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 14, 2, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86815, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 3, 2, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86816, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 827, 9, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86817, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 149, 1, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86818, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 225, 31, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86819, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 56, 5, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86820, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 8, 2, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86821, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 60, 10, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86822, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1042, 6, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86823, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 111, 9, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86824, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 14, 2, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86825, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 3, 2, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86826, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 56, 5, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86827, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 78, 2, 2023, 12, 10, '2024-08-05 14:02:59', NULL, NULL), (86828, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 366, 260, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86829, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 49, 74, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86830, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 328, 61, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86831, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 266, 485, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86832, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1227, 77, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86833, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 615, 477, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86834, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 329, 153, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86835, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 259, 91, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86836, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 589, 241, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86837, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 609, 484, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86838, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 193, 118, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86839, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1227, 77, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86840, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 237, 112, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86841, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 257, 463, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86842, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 369, 263, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86843, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 580, 250, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86844, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 335, 154, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86845, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 2059, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86846, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 599, 55, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86847, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 366, 260, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86848, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 435, 46, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86849, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 608, 106, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86850, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 194, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86851, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 777, 26, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86852, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 522, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86853, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 870, 12, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86854, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 250, 50, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86855, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1241, 11, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86856, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 743, 13, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86857, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 2143, 22, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86858, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 38, 4, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86859, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 4, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86860, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86861, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 235, 11, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86862, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 17, 55, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86863, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 192, 241, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86864, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 214, 9, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86865, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 1516, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86866, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 88, 4, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86867, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 732, 77, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86868, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 142, 19, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86869, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 6, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86870, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 202, 10, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 2143, 22, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 325, 44, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 573, 28, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 197, 47, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 627, 27, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 255, 49, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 1071, 8, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 194, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 2059, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 209, 55, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 184, 43, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1241, 11, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 177, 37, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 732, 12, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 187, 32, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 647, 18, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1798, 9, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 240, 7, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 577, 35, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 10, 13, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 473, 27, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1626, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 20, 18, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 903, 10, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1033, 38, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 31, 6, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 583, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 195, 44, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 657, 44, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 855, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 8, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 192, 30, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 776, 15, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 748, 39, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 15, 13, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 690, 58, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 384, 7, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 227, 3, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 238, 8, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 2009, 4, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 84, 12, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 791, 20, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 674, 9, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 210, 6, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 18, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (86916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 543, 45, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 333, 21, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 260, 22, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 10, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 305, 15, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 266, 33, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 334, 24, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 193, 22, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 7, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 29, 14, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 438, 14, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 71, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 316, 49, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 692, 28, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 280, 50, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 522, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 246, 41, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 135, 3, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 269, 48, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 435, 46, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 293, 25, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 250, 34, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 458, 4, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 361, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 515, 12, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 292, 35, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 657, 61, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 873, 44, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 921, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 122, 4, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 134, 14, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 588, 13, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 960, 9, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 758, 52, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 743, 13, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 684, 4, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 44, 39, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 118, 6, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 37, 26, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1137, 3, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 610, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 275, 14, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 48, 3, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 349, 22, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 693, 3, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 8, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 76, 19, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 421, 35, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86966, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1241, 11, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86967, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 870, 12, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86968, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 38, 4, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86969, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 88, 4, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86970, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 194, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86971, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 366, 260, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86972, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 2143, 22, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86973, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 214, 9, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86974, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 4, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86975, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 608, 106, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86976, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 435, 46, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86977, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 599, 55, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86978, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 255, 49, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86979, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 17, 55, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86980, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 6, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86981, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 202, 10, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86982, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 1516, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86983, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 522, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86984, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 732, 77, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86985, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 2059, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86986, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 142, 19, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86987, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 777, 26, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86988, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 743, 13, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86989, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 192, 241, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86990, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 235, 11, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86991, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 522, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86992, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 2143, 22, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86993, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 240, 7, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86994, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 84, 12, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86995, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1241, 11, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86996, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 435, 46, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86997, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 758, 52, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86998, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 4, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (86999, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 292, 35, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87000, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 269, 48, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87001, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 250, 34, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87002, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 280, 50, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87003, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 246, 41, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87004, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 361, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87005, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 135, 3, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87006, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 8, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87007, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 2059, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87008, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 192, 30, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87009, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 195, 44, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87010, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 209, 55, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87011, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 743, 13, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87012, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 88, 4, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87013, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 48, 3, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87014, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 187, 32, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87015, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 177, 37, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87016, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 184, 43, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87017, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 118, 6, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87018, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 238, 8, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87019, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 1516, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87020, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 7, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87021, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 227, 3, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87022, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 407, 3, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87023, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 674, 9, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87024, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87025, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 573, 28, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87026, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87027, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 732, 12, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87028, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 10, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87029, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 627, 27, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87030, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 194, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87031, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 960, 9, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87032, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 921, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87033, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 588, 13, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87034, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 31, 6, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87035, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 8, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87036, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 10, 13, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87037, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 657, 61, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87038, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 20, 18, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87039, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 543, 45, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87040, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 15, 13, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87041, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 210, 6, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87042, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 855, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87043, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1626, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87044, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 583, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87045, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 776, 15, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87046, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 384, 7, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87047, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 255, 49, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87048, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 1071, 8, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87049, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 903, 10, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87050, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 647, 18, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87051, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 266, 33, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87052, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 193, 22, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87053, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 210, 6, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87054, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 260, 22, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87055, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 29, 14, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87056, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 71, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87057, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 361, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87058, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 135, 3, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87059, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 960, 9, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87060, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 588, 13, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87061, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 873, 44, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87062, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 692, 28, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87063, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 921, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87064, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 8, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87065, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 48, 3, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87066, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 515, 12, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87067, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 325, 44, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87068, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 195, 44, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87069, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 192, 30, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87070, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 855, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87071, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1626, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87072, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 227, 3, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87073, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 238, 8, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87074, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 583, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87075, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 7, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87076, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87077, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 421, 35, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87078, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 10, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87079, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 76, 19, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87080, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87081, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 37, 26, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87082, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 44, 39, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87083, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 543, 45, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87084, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 657, 61, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87085, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 435, 46, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87086, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 522, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87087, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 197, 47, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87088, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1241, 11, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87089, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 255, 49, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87090, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 246, 41, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87091, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 269, 48, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87092, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 647, 18, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87093, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 573, 28, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87094, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 2143, 22, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87095, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 627, 27, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87096, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 280, 50, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87097, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 250, 34, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87098, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 292, 35, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87099, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 2059, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87100, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 209, 55, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87101, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 438, 14, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87102, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 187, 32, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87103, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 334, 24, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87104, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 1071, 8, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87105, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 184, 43, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87106, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 194, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87107, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 316, 49, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87108, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 177, 37, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87109, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 18, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87110, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 458, 4, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87111, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 776, 15, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87112, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 305, 15, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87113, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 333, 21, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87114, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 903, 10, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87115, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 293, 25, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87116, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 84, 12, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87117, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 240, 7, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87118, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 758, 52, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87119, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 20, 18, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87120, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 31, 6, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87121, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 10, 13, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87122, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 8, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87123, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 15, 13, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87124, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 684, 4, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87125, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 118, 6, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87126, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 743, 13, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87127, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 674, 9, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87128, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 384, 7, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87129, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 134, 14, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87130, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 693, 3, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87131, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 349, 22, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87132, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 122, 4, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87133, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 690, 58, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87134, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 748, 39, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87135, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1137, 3, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87136, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 732, 12, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87137, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 657, 44, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87138, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1033, 38, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87139, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 275, 14, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87140, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 473, 27, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87141, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 610, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87142, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 577, 35, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87143, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1798, 9, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87144, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 791, 20, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87145, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 2009, 4, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87146, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 674, 9, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87147, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 384, 7, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87148, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 2143, 22, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87149, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 743, 13, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87150, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 903, 10, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87151, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 776, 15, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87152, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 10, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87153, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87154, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 184, 43, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87155, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 177, 37, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87156, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 187, 32, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87157, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 209, 55, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87158, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 10, 13, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87159, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 31, 6, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87160, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 20, 18, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87161, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 15, 13, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87162, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 8, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87163, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 4, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87164, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 732, 12, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87165, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 194, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87166, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 647, 18, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87167, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 1071, 8, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87168, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 921, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87169, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 588, 13, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87170, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 960, 9, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87171, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 7, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87172, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87173, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1241, 11, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87174, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 758, 52, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87175, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 543, 45, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87176, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 227, 3, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87177, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 435, 46, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87178, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 657, 61, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87179, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 238, 8, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87180, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 269, 48, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87181, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 250, 34, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87182, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 292, 35, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87183, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 280, 50, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87184, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 246, 41, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87185, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 88, 4, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87186, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 48, 3, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87187, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 8, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87188, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 522, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87189, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 2059, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87190, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 361, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87191, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 135, 3, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87192, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 1516, 1, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87193, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 627, 27, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87194, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 573, 28, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87195, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 583, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87196, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 255, 49, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87197, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 855, 5, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87198, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 210, 6, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87199, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 118, 6, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87200, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 407, 3, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87201, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1626, 2, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87202, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 195, 44, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87203, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 192, 30, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87204, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 84, 12, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87205, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 240, 7, 2023, 12, 11, '2024-08-05 14:03:00', NULL, NULL), (87206, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 386, 300, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87207, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 195, 35, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87208, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 869, 69, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87209, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 299, 463, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87210, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 371, 80, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87211, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 373, 418, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87212, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 190, 163, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87213, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 536, 107, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87214, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 621, 273, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87215, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 375, 430, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87216, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 689, 93, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87217, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 367, 81, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87218, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 478, 118, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87219, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 282, 438, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87220, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 614, 279, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87221, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 394, 311, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87222, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 212, 170, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87223, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 65, 1, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87224, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 543, 34, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87225, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 128, 46, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87226, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 386, 300, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87227, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 898, 133, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87228, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 157, 6, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87229, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 428, 43, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87230, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1115, 8, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87231, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 765, 12, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87232, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 310, 44, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87233, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87234, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 78, 10, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87235, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 792, 10, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87236, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 38, 9, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87237, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 29, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87238, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 244, 3, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87239, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 161, 10, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87240, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 0, 1, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87241, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 193, 21, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87242, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 209, 261, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87243, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 346, 16, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87244, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 489, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87245, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 467, 75, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87246, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 184, 15, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87247, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 6, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87248, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 195, 10, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 116, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 15, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 278, 14, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 189, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 65, 1, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 78, 10, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 311, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 500, 29, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 2080, 9, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 389, 29, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 175, 28, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 736, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 283, 9, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 405, 32, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 740, 3, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 368, 42, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 820, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 459, 37, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 603, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 482, 62, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 532, 11, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 1362, 8, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 94, 18, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 363, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 170, 24, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 163, 19, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 130, 16, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 153, 11, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 369, 9, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 242, 35, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 357, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 502, 22, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 296, 51, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 285, 35, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 324, 42, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 172, 17, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 324, 62, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 259, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 133, 26, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 715, 56, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 378, 35, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 508, 8, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 107, 8, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 314, 54, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 86, 18, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 35, 18, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 3436, 3, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 132, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1125, 30, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 597, 18, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 138, 26, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 13, 18, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 188, 16, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 697, 19, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 647, 46, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 348, 15, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 427, 56, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 310, 44, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 210, 51, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 246, 47, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 192, 51, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 211, 45, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 6, 3, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 991, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 8, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 143, 30, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 36, 1, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 164, 23, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 7, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 63, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 272, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 385, 13, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 250, 11, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 882, 69, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 334, 22, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 445, 46, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 14, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 462, 6, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 415, 10, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1115, 8, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (87332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 299, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 128, 46, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 90, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 915, 64, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 739, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 607, 11, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 541, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 304, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1321, 6, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 485, 14, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 43, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 484, 11, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 21, 3, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 41, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87346, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 78, 10, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87347, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 765, 12, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87348, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 29, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87349, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 489, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87350, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 189, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87351, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 386, 300, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87352, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 38, 9, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87353, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 346, 16, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87354, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 244, 3, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87355, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 898, 133, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87356, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 128, 46, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87357, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 543, 34, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87358, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 310, 44, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87359, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 193, 21, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87360, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 7, 6, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87361, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 195, 10, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87362, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1115, 8, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87363, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 467, 75, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87364, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 65, 1, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87365, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 198, 14, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87366, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 428, 43, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87367, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1321, 6, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87368, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 210, 260, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87369, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 179, 9, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87370, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1115, 8, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87371, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 116, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87372, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 15, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87373, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 6, 3, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87374, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 250, 11, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87375, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 78, 10, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87376, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 128, 46, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87377, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 314, 54, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87378, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 244, 3, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87379, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 715, 56, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87380, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 324, 42, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87381, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 324, 62, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87382, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 296, 51, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87383, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 285, 35, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87384, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 90, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87385, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 299, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87386, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 41, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87387, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 65, 1, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87388, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 164, 23, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87389, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 143, 30, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87390, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 385, 13, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87391, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 210, 51, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87392, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1321, 6, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87393, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 489, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87394, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 21, 3, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87395, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 211, 45, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87396, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 192, 51, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87397, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 246, 47, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87398, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 484, 11, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87399, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 272, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87400, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87401, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87402, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 63, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87403, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 43, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87404, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 363, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87405, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 697, 19, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87406, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 14, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87407, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 311, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87408, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87409, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 348, 15, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87410, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 189, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87411, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 485, 14, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87412, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 607, 11, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87413, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 541, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87414, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 304, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87415, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 36, 1, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87416, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 991, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87417, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 915, 64, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87418, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 8, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87419, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 882, 69, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87420, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 7, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87421, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 820, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87422, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 736, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87423, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 740, 3, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87424, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 603, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87425, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 310, 44, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87426, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 532, 11, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87427, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 278, 14, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87428, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 283, 9, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87429, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 500, 29, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87430, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 445, 46, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87431, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 462, 6, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87432, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 334, 22, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87433, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 415, 10, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87434, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 90, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87435, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 299, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87436, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 485, 14, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87437, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 304, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87438, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 378, 35, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87439, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 541, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87440, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 502, 22, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87441, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 607, 11, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87442, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 41, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87443, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 21, 3, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87444, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 133, 26, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87445, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 647, 46, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87446, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 143, 30, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87447, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 164, 23, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87448, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 820, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87449, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 385, 13, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87450, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 63, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87451, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 736, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87452, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 272, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87453, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 740, 3, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87454, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87455, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 14, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87456, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 188, 16, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87457, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87458, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 13, 18, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87459, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 35, 18, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87460, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 86, 18, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87461, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 882, 69, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87462, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 915, 64, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87463, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 128, 46, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87464, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1115, 8, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87465, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 427, 56, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87466, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 310, 44, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87467, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 78, 10, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87468, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 697, 19, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87469, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 500, 29, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87470, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 116, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87471, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 348, 15, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87472, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 65, 1, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87473, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 210, 51, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87474, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 15, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87475, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 369, 9, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87476, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 211, 45, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87477, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 278, 14, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87478, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 153, 11, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87479, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 357, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87480, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 246, 47, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87481, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 242, 35, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87482, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 189, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87483, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 192, 51, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87484, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 170, 24, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87485, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 259, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87486, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 603, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87487, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 130, 16, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87488, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 163, 19, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87489, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 283, 9, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87490, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 172, 17, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87491, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 138, 26, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87492, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 363, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87493, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 532, 11, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87494, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 311, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87495, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 739, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87496, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 285, 35, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87497, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 324, 42, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87498, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 296, 51, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87499, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 324, 62, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87500, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 715, 56, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87501, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 250, 11, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87502, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 6, 3, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87503, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 314, 54, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87504, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 8, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87505, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87506, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 991, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87507, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 36, 1, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87508, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87509, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 43, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87510, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 484, 11, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87511, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1321, 6, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87512, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 107, 8, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87513, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 597, 18, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87514, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 508, 8, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87515, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 482, 62, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87516, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 459, 37, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87517, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 3436, 3, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87518, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 368, 42, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87519, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 405, 32, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87520, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 175, 28, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87521, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1125, 30, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87522, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 132, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87523, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 389, 29, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87524, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 2080, 9, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87525, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 94, 18, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87526, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 1362, 8, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87527, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 363, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87528, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 532, 11, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87529, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 116, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87530, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1321, 6, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87531, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 283, 9, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87532, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 15, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87533, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 603, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87534, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87535, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 246, 47, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87536, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 192, 51, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87537, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 211, 45, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87538, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 210, 51, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87539, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 991, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87540, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87541, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 8, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87542, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87543, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 36, 1, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87544, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 244, 3, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87545, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 311, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87546, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 189, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87547, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 500, 29, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87548, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 278, 14, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87549, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 607, 11, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87550, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 541, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87551, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 304, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87552, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 485, 14, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87553, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87554, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 14, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87555, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 78, 10, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87556, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 314, 54, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87557, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 882, 69, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87558, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 63, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87559, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 128, 46, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87560, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 915, 64, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87561, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 272, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87562, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 324, 42, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87563, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 324, 62, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87564, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 715, 56, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87565, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 296, 51, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87566, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 285, 35, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87567, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 489, 7, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87568, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 21, 3, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87569, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 41, 2, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87570, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1115, 8, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87571, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 65, 1, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87572, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 90, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87573, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 299, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87574, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 348, 15, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87575, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 385, 13, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87576, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 697, 19, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87577, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 310, 44, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87578, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 740, 3, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87579, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 820, 4, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87580, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 484, 11, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87581, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 43, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87582, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 736, 5, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87583, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 143, 30, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87584, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 164, 23, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87585, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 250, 11, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87586, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 6, 3, 2023, 12, 12, '2024-08-05 14:03:01', NULL, NULL), (87587, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 449, 227, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87588, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 216, 45, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87589, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 314, 361, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87590, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 969, 37, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87591, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 721, 56, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87592, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 121, 364, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87593, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 224, 73, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87594, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 225, 176, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87595, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 621, 229, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87596, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 146, 369, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87597, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 624, 74, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87598, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 708, 58, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87599, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 218, 78, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87600, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 281, 352, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87601, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 618, 230, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87602, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 448, 233, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87603, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 220, 180, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87604, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87605, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 555, 37, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87606, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 268, 41, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87607, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 447, 228, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87608, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 568, 115, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87609, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1637, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87610, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 308, 36, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87611, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 8963, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87612, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 3010, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87613, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1398, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87614, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 455, 43, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87615, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 233, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87616, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1808, 7, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87617, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2154, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87618, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 28, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87619, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 290, 9, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87620, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 1206, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87621, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 232, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87622, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 173, 190, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87623, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 250, 36, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87624, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 752, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87625, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 40, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87626, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 655, 55, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87627, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 4, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87628, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 48, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87629, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 912, 8, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 3, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 365, 35, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 636, 15, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 34, 4, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 499, 22, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 106, 33, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 221, 22, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 455, 43, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 4, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 2461, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 196, 46, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 202, 48, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1808, 7, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 98, 31, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 19, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 165, 33, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 443, 14, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 382, 11, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 131, 39, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 111, 21, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 502, 8, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1633, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 274, 8, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 121, 19, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 7, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 204, 42, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 184, 31, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 8, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 409, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2560, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 131, 37, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 172, 4, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 93, 54, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 833, 11, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 232, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 233, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 4, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 106, 21, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 953, 4, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 139, 9, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 530, 46, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 148, 21, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 136, 13, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 172, 16, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 144, 15, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 87, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 54, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 321, 15, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 290, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 378, 26, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 429, 9, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 283, 43, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 494, 11, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 95, 16, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 615, 48, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 8963, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 373, 38, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 268, 41, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 974, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 560, 43, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 727, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 109, 26, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 365, 29, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 223, 12, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 310, 35, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 594, 69, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 19, 15, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 37, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 189, 20, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 2, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 790, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 17, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1136, 8, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 258, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 509, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2154, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 426, 10, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 371, 34, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 16, 7, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 752, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 78, 23, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 3509, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 509, 22, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 54, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 539, 4, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 895, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 408, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 165, 25, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 71, 22, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 163, 28, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87724, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1808, 7, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87725, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1398, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87726, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 290, 9, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87727, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 40, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87728, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1637, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87729, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 449, 227, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87730, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 28, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87731, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 752, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87732, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 1206, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87733, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 568, 115, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87734, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 268, 41, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87735, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 555, 37, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87736, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 455, 43, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87737, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 250, 36, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87738, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 48, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87739, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 912, 8, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87740, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 8963, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87741, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 655, 55, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (87742, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 4, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87743, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 308, 36, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87744, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2154, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87745, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 233, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87746, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 3010, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87747, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 174, 189, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87748, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 232, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87749, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 8963, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87750, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 3, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87751, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 34, 4, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87752, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 4, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87753, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1808, 7, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87754, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 268, 41, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87755, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 371, 34, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87756, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 1206, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87757, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 310, 35, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87758, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 560, 43, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87759, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 365, 29, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87760, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 615, 48, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87761, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 373, 38, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87762, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 727, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87763, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 974, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87764, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 408, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87765, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 184, 31, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87766, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 196, 46, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87767, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2154, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87768, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 3010, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87769, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 40, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87770, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 54, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87771, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 165, 33, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87772, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 98, 31, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87773, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 202, 48, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87774, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 752, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87775, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 232, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87776, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87777, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 382, 11, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87778, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 953, 4, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87779, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87780, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 636, 15, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87781, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 19, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87782, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 54, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87783, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 499, 22, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87784, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 87, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87785, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1637, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87786, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 426, 10, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87787, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 790, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87788, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1136, 8, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87789, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 509, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87790, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 7, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87791, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 8, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87792, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 502, 8, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87793, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 594, 69, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87794, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 4, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87795, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 530, 46, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87796, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 172, 4, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87797, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 233, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87798, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2560, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87799, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1633, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87800, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 3, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87801, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 409, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87802, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 833, 11, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87803, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 455, 43, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87804, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 221, 22, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87805, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 274, 8, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87806, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 443, 14, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87807, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 144, 15, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87808, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 148, 21, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87809, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 378, 26, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87810, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 429, 9, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87811, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 727, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87812, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 974, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87813, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 426, 10, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87814, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 509, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87815, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 189, 20, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87816, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1136, 8, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87817, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 95, 16, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87818, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 790, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87819, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 408, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87820, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 54, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87821, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 19, 15, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87822, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 365, 35, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87823, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 184, 31, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87824, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2560, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87825, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1633, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87826, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 232, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87827, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87828, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87829, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 54, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87830, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 163, 28, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87831, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 87, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87832, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 71, 22, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87833, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87834, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 78, 23, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87835, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 16, 7, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87836, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 530, 46, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87837, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 594, 69, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87838, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 268, 41, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87839, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 8963, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87840, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 106, 33, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87841, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 4, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87842, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 373, 38, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87843, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1808, 7, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87844, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 455, 43, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87845, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 560, 43, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87846, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 443, 14, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87847, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 636, 15, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87848, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 3, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87849, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 499, 22, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87850, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 615, 48, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87851, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 365, 29, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87852, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 310, 35, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87853, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 196, 46, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87854, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 34, 4, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87855, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 290, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87856, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 165, 33, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87857, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 221, 22, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87858, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 321, 15, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87859, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 494, 11, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87860, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 202, 48, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87861, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 2461, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87862, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 98, 31, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87863, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 283, 43, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87864, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 139, 9, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87865, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 409, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87866, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 223, 12, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87867, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 172, 16, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87868, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 274, 8, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87869, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 136, 13, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87870, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 109, 26, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87871, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87872, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 371, 34, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87873, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 233, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87874, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87875, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 7, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87876, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 382, 11, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87877, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 502, 8, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87878, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 8, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87879, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 172, 4, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87880, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 752, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87881, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2154, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87882, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 165, 25, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87883, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 953, 4, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87884, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 833, 11, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87885, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 258, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87886, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 2, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87887, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 895, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87888, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 539, 4, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87889, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 17, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87890, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 93, 54, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87891, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 131, 37, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87892, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 19, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87893, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 204, 42, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87894, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 121, 19, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87895, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 111, 21, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87896, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 509, 22, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87897, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 37, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87898, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 3509, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87899, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 131, 39, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87900, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 106, 21, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87901, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 953, 4, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87902, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 833, 11, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87903, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 3, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87904, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2154, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87905, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 274, 8, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87906, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 34, 4, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87907, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 409, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87908, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 87, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87909, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87910, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 202, 48, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87911, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 98, 31, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87912, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 165, 33, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87913, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 196, 46, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87914, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 502, 8, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87915, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 382, 11, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87916, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 7, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87917, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87918, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 172, 4, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87919, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 8, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87920, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 1206, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87921, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 19, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87922, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1637, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87923, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 443, 14, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87924, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 221, 22, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87925, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 790, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87926, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 233, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87927, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1136, 8, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87928, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 509, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87929, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 426, 10, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87930, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87931, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 54, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87932, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1808, 7, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87933, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 371, 34, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87934, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 530, 46, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87935, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 268, 41, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87936, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 594, 69, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87937, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 232, 5, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87938, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 560, 43, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87939, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 365, 29, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87940, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 310, 35, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87941, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 615, 48, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87942, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 373, 38, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87943, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 40, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87944, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 54, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87945, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 408, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87946, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 8963, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87947, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 727, 2, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87948, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 974, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87949, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 499, 22, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87950, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 3010, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87951, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 636, 15, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87952, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 3, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87953, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 455, 43, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87954, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2560, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87955, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 752, 3, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87956, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1633, 1, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87957, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 184, 31, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87958, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 6, 2023, 12, 13, '2024-08-05 14:03:02', NULL, NULL), (87959, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 284, 208, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87960, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 18, 39, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87961, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 341, 41, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87962, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 332, 404, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87963, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 486, 58, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87964, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 152, 419, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87965, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 627, 92, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87966, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 635, 192, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87967, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 250, 213, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87968, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 175, 427, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87969, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 217, 76, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87970, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 475, 60, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87971, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 551, 97, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87972, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 285, 390, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87973, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 250, 214, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87974, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 306, 210, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87975, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 659, 198, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87976, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 338, 44, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87977, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 318, 51, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87978, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 284, 208, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87979, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 102, 85, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87980, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 378, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87981, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 452, 43, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87982, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 16, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87983, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2920, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87984, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 318, 40, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87985, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87986, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 3667, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87987, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 435, 9, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87988, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 87, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87989, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 103, 6, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87990, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 489, 6, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87991, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 4, 33, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87992, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 228, 227, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87993, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 201, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87994, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 8138, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87995, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 404, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87996, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 423, 66, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87997, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 80, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87998, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 967, 9, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (87999, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 9, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 558, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 673, 35, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 570, 8, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 2, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 407, 43, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 286, 36, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 927, 11, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 318, 40, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 486, 26, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 378, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 213, 44, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 253, 46, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 2, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 323, 27, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 295, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 185, 45, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 425, 16, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 11, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 137, 41, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 660, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 193, 37, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2920, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 11, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 374, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 138, 24, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 225, 34, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 13, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 229, 48, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 5, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 580, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 200, 48, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 183, 56, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 526, 13, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 748, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 231, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 161, 16, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 257, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 205, 26, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 366, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 1117, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 85, 36, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 498, 18, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 72, 20, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 95, 14, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 10, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 799, 19, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 7, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 1068, 9, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 48, 8, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 725, 19, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 165, 17, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 331, 53, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 224, 10, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 116, 20, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 351, 29, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 16, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 250, 35, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 318, 51, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 258, 42, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 767, 26, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 256, 38, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 764, 25, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 56, 22, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 115, 49, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 967, 9, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 429, 34, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 2151, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 207, 38, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 612, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 18, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 190, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 217, 6, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 510, 8, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 3667, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 253, 11, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 170, 30, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 20, 20, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 4135, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 26, 15, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 337, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 923, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 216, 6, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 346, 13, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 87, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 490, 12, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 29, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 722, 20, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 47, 18, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 77, 20, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88092, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 2, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88093, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2920, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88094, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 87, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88095, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 404, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88096, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 378, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88097, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 284, 208, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88098, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 435, 9, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88099, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 201, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88100, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 102, 85, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88101, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 103, 6, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88102, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 318, 51, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88103, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 338, 44, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88104, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 318, 40, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88105, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 4, 33, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88106, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 9, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88107, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 967, 9, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88108, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 8138, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88109, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 16, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88110, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 423, 66, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88111, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 93, 6, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88112, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 463, 42, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88113, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 3667, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88114, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 229, 226, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88115, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 489, 6, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88116, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 16, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88117, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 558, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88118, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 2, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88119, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 11, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88120, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 257, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88121, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 2, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88122, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 318, 51, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88123, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 170, 30, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88124, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 103, 6, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88125, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 429, 34, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88126, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 258, 42, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88127, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 256, 38, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88128, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 351, 29, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88129, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 250, 35, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88130, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 967, 9, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88131, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 229, 48, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88132, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 161, 16, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88133, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 213, 44, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88134, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 3667, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88135, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 404, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88136, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 87, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88137, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 185, 45, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88138, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 323, 27, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88139, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 253, 46, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88140, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 337, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88141, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 231, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88142, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 8138, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88143, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88144, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 748, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88145, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 366, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88146, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 133, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88147, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 570, 8, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88148, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 7, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88149, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 295, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88150, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 10, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (88151, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 286, 36, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88152, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 378, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88153, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 253, 11, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88154, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 612, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88155, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 190, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88156, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 510, 8, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88157, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 13, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88158, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 5, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88159, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88160, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 115, 49, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88161, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 11, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88162, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 85, 36, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88163, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88164, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2920, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88165, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 580, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88166, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 526, 13, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88167, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 318, 40, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88168, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 486, 26, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88169, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 660, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88170, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 374, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88171, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 425, 16, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88172, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 95, 14, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88173, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 48, 8, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88174, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 72, 20, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88175, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 165, 17, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88176, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 224, 10, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88177, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 967, 9, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88178, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 253, 11, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88179, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 510, 8, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88180, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 207, 38, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88181, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 190, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88182, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 116, 20, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88183, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 612, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88184, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 87, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88185, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 56, 22, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88186, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 673, 35, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88187, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 229, 48, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88188, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 161, 16, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88189, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2920, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88190, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 748, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88191, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 231, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88192, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 7, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88193, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 77, 20, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88194, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 10, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88195, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 47, 18, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88196, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 26, 15, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88197, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 85, 36, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88198, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 20, 20, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88199, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 115, 49, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88200, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 318, 51, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88201, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 16, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88202, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 407, 43, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88203, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 927, 11, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88204, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 2, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88205, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 250, 35, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88206, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 318, 40, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88207, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 258, 42, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88208, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 570, 8, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88209, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 425, 16, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88210, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 558, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88211, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 351, 29, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88212, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 286, 36, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88213, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 256, 38, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88214, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 429, 34, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88215, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 213, 44, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88216, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 725, 19, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88217, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 2, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88218, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 185, 45, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88219, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 1068, 9, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88220, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 486, 26, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88221, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 253, 46, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88222, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 378, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88223, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 331, 53, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88224, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 323, 27, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88225, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 1117, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88226, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 580, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88227, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 764, 25, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88228, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 799, 19, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88229, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 374, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88230, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 498, 18, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88231, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 660, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88232, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 767, 26, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88233, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 257, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88234, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 170, 30, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88235, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 11, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88236, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 11, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88237, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 13, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88238, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88239, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88240, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88241, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88242, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 4135, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88243, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 337, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88244, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 3667, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88245, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 722, 20, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88246, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 366, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88247, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 526, 13, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88248, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 217, 6, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88249, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 29, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88250, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 490, 12, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88251, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 18, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88252, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 183, 56, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88253, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 200, 48, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88254, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 923, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88255, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 225, 34, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88256, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 295, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88257, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 138, 24, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88258, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 346, 13, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88259, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 193, 37, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88260, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 2151, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88261, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 216, 6, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88262, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 137, 41, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88263, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 205, 26, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88264, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 366, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88265, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 526, 13, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88266, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 558, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88267, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 660, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88268, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 3667, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88269, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 374, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88270, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 2, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88271, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 580, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88272, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 10, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88273, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 253, 46, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88274, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 323, 27, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88275, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 185, 45, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88276, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 213, 44, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88277, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88278, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88279, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 13, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88280, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 11, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88281, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88282, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88283, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 103, 6, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88284, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 295, 7, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88285, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 378, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88286, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 425, 16, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88287, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 486, 26, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88288, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 612, 5, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88289, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 190, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88290, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 510, 8, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88291, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 253, 11, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88292, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 7, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88293, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 2, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88294, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 170, 30, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88295, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 85, 36, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88296, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 748, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88297, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 318, 51, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88298, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 115, 49, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88299, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 231, 3, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88300, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 258, 42, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88301, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 256, 38, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88302, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 429, 34, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88303, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 351, 29, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88304, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 250, 35, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88305, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 404, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88306, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 87, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88307, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 16, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88308, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 967, 9, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88309, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 8138, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88310, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 286, 36, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88311, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 161, 16, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88312, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 570, 8, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88313, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 318, 40, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88314, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 337, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88315, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 133, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88316, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2920, 1, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88317, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 229, 48, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88318, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 257, 2, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88319, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 11, 4, 2023, 12, 14, '2024-08-05 14:03:03', NULL, NULL), (88320, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 327, 207, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88321, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 56, 28, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88322, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 298, 289, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88323, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 596, 28, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88324, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 587, 78, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88325, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 243, 338, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88326, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 207, 93, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88327, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 704, 204, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88328, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 641, 215, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88329, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 255, 347, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88330, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 254, 66, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88331, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 587, 78, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88332, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 267, 99, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88333, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 179, 274, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88334, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 325, 208, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88335, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 702, 225, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88336, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 687, 212, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88337, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '', '', '', 0, 1, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88338, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 234, 24, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88339, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 325, 208, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88340, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 233, 42, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88341, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 321, 85, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88342, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 2187, 5, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88343, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 0, 1, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88344, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 241, 38, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88345, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 409, 3, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88346, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1501, 5, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88347, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1199, 11, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88348, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 115, 33, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88349, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 301, 3, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88350, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 3837, 7, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88351, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 258, 16, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88352, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 104, 3, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88353, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 6, 2, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88354, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 5, 22, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88355, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 144, 162, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88356, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 621, 6, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88357, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88358, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 110, 7, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88359, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1196, 83, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88360, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 245, 6, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88361, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 1119, 12, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88362, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 3, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 354, 4, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 156, 39, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 374, 5, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 226, 12, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 254, 52, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 198, 19, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 272, 20, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 115, 33, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1844, 10, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 101, 37, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 129, 36, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 301, 3, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1131, 7, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 253, 39, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 206, 18, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 23, 1, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 2, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 342, 29, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 4, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 276, 37, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1157, 4, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 197, 20, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 5, 6, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1020, 8, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 9, 2, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1422, 4, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 97, 35, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 350, 30, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 6, 4, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1300, 11, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 960, 3, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 281, 46, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 4, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 351, 33, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 8, 1, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 5, 1, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 114, 14, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 423, 25, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 290, 5, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1844, 11, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 638, 24, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 285, 40, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 23, 11, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 553, 20, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 707, 11, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 607, 13, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 837, 11, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 2, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 628, 32, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 48, 13, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 128, 6, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 640, 51, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 188, 11, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 296, 44, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 409, 3, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 202, 25, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 304, 38, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 233, 42, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 995, 11, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 341, 30, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 808, 15, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 1119, 12, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 29, 21, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 521, 34, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 354, 45, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 3, 2, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 239, 33, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 819, 9, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1785, 4, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1987, 2, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 860, 14, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 280, 36, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 3837, 7, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1484, 17, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 35, 15, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 746, 5, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 15, 12, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 91, 2, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 198, 4, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 158, 6, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 732, 10, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 147, 2, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 104, 3, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 47, 13, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 842, 29, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 58, 13, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88452, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 301, 3, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88453, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1199, 11, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88454, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 104, 3, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88455, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 128, 6, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88456, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 2187, 5, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88457, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 327, 207, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88458, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 258, 16, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88459, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 746, 5, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88460, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 321, 85, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88461, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 233, 42, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88462, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 234, 24, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88463, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 115, 33, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88464, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 5, 22, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88465, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 3, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88466, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 1119, 12, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88467, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 409, 3, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88468, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1257, 79, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88469, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 245, 6, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88470, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 241, 38, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88471, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 3837, 7, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88472, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1501, 5, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88473, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 144, 161, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88474, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 6, 2, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88475, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 409, 3, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88476, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 354, 4, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88477, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 226, 12, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88478, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 23, 1, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88479, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 290, 5, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88480, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 301, 3, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88481, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 233, 42, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88482, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 280, 36, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88483, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 521, 34, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88484, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 304, 38, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88485, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 341, 30, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88486, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 296, 44, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88487, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 202, 25, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88488, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 1119, 12, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88489, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 104, 3, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88490, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 97, 35, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88491, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 114, 14, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88492, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 101, 37, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88493, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 3837, 7, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88494, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1501, 5, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88495, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 128, 6, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88496, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 253, 39, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88497, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 129, 36, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88498, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 746, 5, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88499, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 5, 1, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88500, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 2, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88501, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88502, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 8, 1, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88503, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1844, 11, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88504, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 374, 5, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88505, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1131, 7, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88506, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88507, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88508, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 198, 19, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88509, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 2187, 5, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88510, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1484, 17, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88511, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 819, 9, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88512, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1987, 2, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88513, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 860, 14, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88514, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 9, 2, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88515, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 6, 4, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88516, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 4, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88517, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 354, 45, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88518, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 5, 6, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88519, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 285, 40, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88520, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 4, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88521, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 960, 3, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88522, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1157, 4, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88523, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1422, 4, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88524, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1300, 11, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88525, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 115, 33, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88526, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 272, 20, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88527, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1020, 8, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88528, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 206, 18, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88529, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 607, 13, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88530, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 3, 2, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88531, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 23, 11, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88532, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 48, 13, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88533, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 128, 6, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88534, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 1119, 12, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88535, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1484, 17, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88536, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 860, 14, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88537, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1987, 2, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88538, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 239, 33, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88539, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 188, 11, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88540, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 819, 9, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88541, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 104, 3, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88542, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 29, 21, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88543, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 156, 39, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88544, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 97, 35, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88545, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 960, 3, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88546, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 114, 14, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88547, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 8, 1, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88548, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1157, 4, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88549, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 5, 1, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88550, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1422, 4, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88551, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88552, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88553, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 58, 13, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88554, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88555, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 47, 13, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88556, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 15, 12, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88557, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 35, 15, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88558, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 285, 40, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88559, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 354, 45, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (88560, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 233, 42, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88561, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 409, 3, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88562, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 254, 52, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88563, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 301, 3, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88564, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 202, 25, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88565, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 115, 33, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88566, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 304, 38, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88567, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 206, 18, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88568, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 374, 5, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88569, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 354, 4, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88570, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 296, 44, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88571, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 198, 19, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88572, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 341, 30, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88573, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 521, 34, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88574, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 101, 37, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88575, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 226, 12, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88576, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 628, 32, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88577, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 253, 39, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88578, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 837, 11, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88579, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 272, 20, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88580, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 129, 36, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88581, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1844, 10, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88582, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 640, 51, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88583, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 638, 24, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88584, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 808, 15, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88585, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1300, 11, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88586, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 707, 11, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88587, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 553, 20, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88588, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1020, 8, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88589, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 995, 11, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88590, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 290, 5, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88591, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 23, 1, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88592, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 280, 36, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88593, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 6, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88594, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 9, 2, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88595, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 2, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88596, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 4, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88597, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 4, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88598, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 4, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88599, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 746, 5, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88600, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 3837, 7, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88601, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 842, 29, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88602, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1844, 11, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88603, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 147, 2, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88604, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 732, 10, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88605, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1785, 4, 2023, 12, 15, '2024-08-05 14:03:03', NULL, NULL), (88606, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 351, 33, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88607, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 281, 46, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88608, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 91, 2, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88609, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1131, 7, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88610, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 350, 30, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88611, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 197, 20, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88612, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 158, 6, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88613, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 276, 37, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88614, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 3, 2, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88615, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 198, 4, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88616, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 342, 29, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88617, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 423, 25, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88618, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1844, 11, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88619, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 354, 4, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88620, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 3837, 7, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88621, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1020, 8, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88622, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 226, 12, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88623, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1300, 11, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88624, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88625, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 129, 36, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88626, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 253, 39, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88627, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 101, 37, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88628, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 4, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88629, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 2, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88630, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 9, 2, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88631, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 6, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88632, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 4, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88633, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 4, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88634, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1131, 7, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88635, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 2187, 5, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88636, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 206, 18, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88637, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 272, 20, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88638, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 819, 9, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88639, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1987, 2, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88640, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 860, 14, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88641, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1484, 17, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88642, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88643, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88644, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 301, 3, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88645, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 280, 36, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88646, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 285, 40, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88647, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 8, 1, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88648, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 233, 42, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88649, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 354, 45, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88650, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 5, 1, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88651, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 304, 38, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88652, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 341, 30, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88653, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 521, 34, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88654, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 296, 44, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88655, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 202, 25, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88656, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 128, 6, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88657, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 104, 3, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88658, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 409, 3, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88659, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 1119, 12, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88660, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 198, 19, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88661, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 114, 14, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88662, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1501, 5, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88663, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 374, 5, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88664, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 115, 33, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88665, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1422, 4, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88666, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 960, 3, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88667, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 746, 5, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88668, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1157, 4, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88669, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 97, 35, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88670, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 290, 5, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88671, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 23, 1, 2023, 12, 15, '2024-08-05 14:03:04', NULL, NULL), (88672, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 6791, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88673, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 173, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88674, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 66, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88675, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 218, 19, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88676, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 36, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88677, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 52, 40, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88678, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 26, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88679, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 520, 39, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88680, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 490, 26, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88681, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 50, 42, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88682, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 119, 4, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88683, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 36, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88684, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 520, 39, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88685, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 218, 19, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88686, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 6791, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88687, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 472, 27, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88688, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 26, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88689, 1, '511500000000-0001', '宜宾市民中心', '金库安全防范设施建设方案审批及工程验收', '', '', '', 0, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88690, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 463, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88691, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88692, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 6791, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88693, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 304, 14, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88694, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 66, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88695, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 173, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88696, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 188, 10, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88697, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 771, 11, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88698, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 190, 7, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88699, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 7, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88700, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 567, 32, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 304, 7, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 463, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 66, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 190, 7, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 326, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 352, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 10, 7, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 6791, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 17, 12, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1019, 7, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 173, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 26, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 13, 6, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 122, 12, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 7, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 188, 10, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 66, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 91, 3, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 304, 14, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88722, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 7, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88723, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 771, 11, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88724, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 6791, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88725, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 66, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88726, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 304, 14, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88727, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 463, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88728, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 190, 7, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88729, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 173, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88730, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 188, 10, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88731, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88732, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 7, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88733, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1019, 7, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88734, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 190, 7, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88735, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 326, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88736, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 352, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88737, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 66, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88738, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 6791, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88739, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 304, 14, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88740, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 463, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88741, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88742, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 173, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88743, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 188, 10, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88744, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 190, 7, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88745, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 7, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88746, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 66, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88747, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 173, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88748, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 463, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88749, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 567, 32, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88750, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 26, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88751, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 188, 10, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88752, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 66, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88753, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1019, 7, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88754, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 352, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88755, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88756, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 326, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88757, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 13, 6, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88758, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 122, 12, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88759, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 17, 12, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88760, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 304, 14, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88761, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 10, 7, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88762, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 6791, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88763, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 304, 7, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88764, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 91, 3, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88765, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88766, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 7, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88767, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 463, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88768, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 188, 10, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88769, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 66, 1, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88770, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 190, 7, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88771, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 6791, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88772, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 326, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88773, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 352, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88774, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 304, 14, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88775, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 173, 2, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88776, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1019, 7, 2023, 12, 16, '2024-08-05 14:03:04', NULL, NULL), (88777, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 6888, 6, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88778, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 133, 3, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88779, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 74, 36, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88780, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 373, 15, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88781, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 66, 40, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88782, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 0, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88783, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 99, 4, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88784, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 6888, 6, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88785, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 350, 16, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88786, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 15, 4, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88787, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88788, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 0, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88789, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 6888, 6, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88790, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88791, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 2142, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88792, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 139, 9, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88793, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 133, 3, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 139, 9, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 5, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 38, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 96, 9, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 2142, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 128, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 9, 5, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 43, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 7, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 11, 5, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 89, 12, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 20311, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 180, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 239, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 212, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 7, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 15, 3, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 289, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88812, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 139, 9, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88813, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 133, 3, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88814, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 15, 4, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88815, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 2142, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88816, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 6888, 6, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88817, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 180, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88818, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 2142, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88819, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 43, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88820, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 212, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88821, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 7, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88822, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 20311, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88823, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 239, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88824, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 38, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88825, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 5, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88826, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 128, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88827, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 7, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88828, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 139, 9, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88829, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 239, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88830, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 212, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88831, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 20311, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88832, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 38, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88833, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 180, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88834, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 7, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88835, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 43, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88836, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 2142, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88837, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 5, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88838, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 289, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88839, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 11, 5, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88840, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 89, 12, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88841, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 139, 9, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88842, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 9, 5, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88843, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 96, 9, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88844, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 7, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88845, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 128, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88846, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 15, 3, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88847, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 212, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88848, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 180, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88849, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 20311, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88850, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 239, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88851, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 128, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88852, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 139, 9, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88853, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 5, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88854, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 7, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88855, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 43, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88856, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 38, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88857, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 2142, 2, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88858, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 7, 1, 2023, 12, 17, '2024-08-05 14:03:05', NULL, NULL), (88859, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 255, 217, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88860, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 52, 60, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88861, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 523, 38, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88862, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 332, 365, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88863, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 433, 71, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88864, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 239, 471, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88865, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 464, 161, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88866, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 430, 79, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88867, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 706, 188, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88868, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 269, 477, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88869, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 444, 91, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88870, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 427, 72, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88871, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 301, 86, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88872, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 199, 345, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88873, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 697, 194, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88874, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 313, 224, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88875, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 503, 169, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88876, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 143, 36, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88877, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 127, 37, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88878, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 253, 219, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88879, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 981, 93, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88880, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 851, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88881, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 183, 30, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88882, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 6, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88883, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 814, 16, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88884, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 169, 41, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88885, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 970, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88886, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 3574, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88887, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 82, 13, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88888, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 61, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88889, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 28, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88890, 1, '511500000000-0001', '宜宾市民中心', '涉及二手房交易', '', '', '', 0, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88891, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 2461, 10, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88892, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 56, 49, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88893, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 106, 187, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88894, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 393, 10, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88895, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 16513, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88896, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 260, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88897, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 732, 50, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88898, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 36, 11, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88899, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 14, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88900, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 422, 12, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 134, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 50, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 190, 14, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 851, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 970, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 341, 9, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 177, 16, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 396, 34, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 213, 30, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 203, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 347, 43, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 789, 6, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 459, 6, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 954, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 300, 45, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 272, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 302, 43, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 705, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1062, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 244, 58, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 271, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 141, 30, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 482, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 1048, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 340, 14, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 517, 13, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 427, 24, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 466, 26, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 411, 40, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 41, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 273, 33, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 270, 35, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 212, 41, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 247, 34, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 753, 14, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 265, 38, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 830, 12, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 282, 42, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 73, 17, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 298, 45, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1700, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 235, 9, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 256, 27, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 246, 24, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 67, 17, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 31, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 526, 12, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 279, 10, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 911, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 55, 19, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 211, 13, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 39, 33, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 152, 20, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 318, 45, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 373, 30, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 132, 16, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 169, 41, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 118, 31, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 106, 30, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 101, 42, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 102, 48, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 39, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 5, 9, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 150, 12, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 42, 12, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 4, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 95, 33, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 43, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 7, 7, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 2073, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 614, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 226, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 34, 6, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (88974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 553, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 966, 48, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 152, 16, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 18, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 57, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 13, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 124, 6, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 175, 36, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 167, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 6931, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 6, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 435, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 127, 37, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 333, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 997, 45, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 2798, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 74, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 965, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 280, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 3986, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 9531, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 16513, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 393, 10, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 61, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (88999, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 970, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89000, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 814, 16, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89001, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 61, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89002, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 260, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89003, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 851, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89004, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 255, 217, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89005, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 82, 13, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89006, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 393, 10, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89007, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 28, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89008, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 981, 93, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89009, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 127, 37, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89010, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 143, 36, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89011, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 169, 41, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89012, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 56, 49, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89013, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 14, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89014, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 422, 12, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89015, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 16513, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89016, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 6, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89017, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 732, 50, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89018, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 36, 11, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89019, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 183, 30, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89020, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 9531, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89021, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 106, 187, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89022, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 2461, 10, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89023, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 6, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89024, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 134, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89025, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 50, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89026, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 39, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89027, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 34, 6, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89028, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 970, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89029, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 127, 37, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89030, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 256, 27, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89031, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 28, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89032, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 282, 42, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89033, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 247, 34, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89034, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 265, 38, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89035, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 270, 35, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89036, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 212, 41, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89037, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 333, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89038, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 435, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89039, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 61, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89040, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 95, 33, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89041, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 226, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89042, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 118, 31, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89043, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 9531, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89044, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 260, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89045, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 102, 48, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89046, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 101, 42, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89047, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 106, 30, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89048, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 393, 10, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89049, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 614, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89050, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 5, 9, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89051, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89052, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 16513, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89053, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 2073, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89054, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 482, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89055, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 152, 20, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89056, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 13, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89057, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 341, 9, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89058, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 18, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89059, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 132, 16, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89060, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 851, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89061, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 6931, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89062, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 3986, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89063, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 965, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89064, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 280, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89065, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 4, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89066, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 43, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89067, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 150, 12, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89068, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 997, 45, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89069, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 42, 12, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89070, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 966, 48, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89071, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 7, 7, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89072, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 553, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89073, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 705, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89074, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 789, 6, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89075, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 954, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89076, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 459, 6, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89077, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 272, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89078, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1062, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89079, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 271, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89080, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 169, 41, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89081, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 190, 14, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89082, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 203, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89083, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 177, 16, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89084, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 57, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89085, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 124, 6, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89086, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 553, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89087, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 152, 16, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89088, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 6931, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89089, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 175, 36, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89090, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 167, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89091, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 333, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89092, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 435, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89093, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 3986, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89094, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 280, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89095, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 298, 45, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89096, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 273, 33, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89097, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 965, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89098, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 61, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89099, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 73, 17, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89100, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 318, 45, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89101, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 95, 33, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89102, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 705, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89103, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 226, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89104, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 2073, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89105, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 789, 6, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89106, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 614, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89107, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 954, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89108, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89109, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 13, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89110, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 39, 33, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89111, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 55, 19, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89112, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 18, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89113, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 67, 17, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89114, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 246, 24, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89115, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 966, 48, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89116, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 997, 45, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89117, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 127, 37, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89118, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 6, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89119, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 373, 30, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89120, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 169, 41, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89121, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 970, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89122, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 177, 16, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89123, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 152, 20, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89124, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 134, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89125, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 132, 16, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89126, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 118, 31, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89127, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 466, 26, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89128, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 50, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89129, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 102, 48, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89130, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 427, 24, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89131, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 190, 14, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89132, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 41, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89133, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 106, 30, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89134, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 411, 40, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89135, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 851, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89136, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 101, 42, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89137, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 1048, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89138, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1062, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89139, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 830, 12, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89140, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 272, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89141, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 517, 13, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89142, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 459, 6, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89143, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 340, 14, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89144, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 203, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89145, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 753, 14, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89146, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 211, 13, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89147, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 482, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89148, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 271, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89149, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 74, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89150, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 341, 9, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89151, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 2798, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89152, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 212, 41, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89153, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 247, 34, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89154, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 270, 35, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89155, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 265, 38, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89156, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 282, 42, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89157, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 34, 6, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89158, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 39, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89159, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 256, 27, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89160, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 42, 12, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89161, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89162, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 5, 9, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89163, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 150, 12, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89164, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 43, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89165, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 7, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89166, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 16513, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89167, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 393, 10, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89168, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 9531, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89169, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 235, 9, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89170, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 911, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89171, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 279, 10, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89172, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1700, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89173, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 244, 58, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89174, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 302, 43, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89175, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 300, 45, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89176, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 347, 43, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89177, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 526, 12, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89178, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 213, 30, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89179, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 31, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89180, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 396, 34, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89181, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 141, 30, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89182, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 482, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89183, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 271, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89184, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 134, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89185, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 9531, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89186, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 459, 6, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89187, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 203, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89188, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1062, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89189, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 50, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89190, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 272, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89191, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 18, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89192, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 106, 30, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89193, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 101, 42, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89194, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 102, 48, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89195, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 118, 31, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89196, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 150, 12, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89197, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 5, 9, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89198, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89199, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 42, 12, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89200, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 7, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89201, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 43, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89202, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 28, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89203, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 341, 9, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89204, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 851, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89205, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 177, 16, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89206, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 190, 14, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89207, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 965, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89208, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 280, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89209, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 3986, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89210, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89211, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 13, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89212, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 970, 8, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89213, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 6931, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89214, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 256, 27, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89215, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 966, 48, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89216, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 127, 37, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89217, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 2073, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89218, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 997, 45, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89219, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 614, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89220, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 247, 34, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89221, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 265, 38, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89222, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 282, 42, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89223, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 270, 35, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89224, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 212, 41, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89225, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 260, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89226, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 61, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89227, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 6, 2, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89228, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 333, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89229, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 435, 4, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89230, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 16513, 1, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89231, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 132, 16, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89232, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 226, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89233, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 152, 20, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89234, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 954, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89235, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 169, 41, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89236, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 705, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89237, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 553, 3, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89238, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 393, 10, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89239, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 789, 6, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89240, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 95, 33, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89241, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 34, 6, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89242, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 39, 5, 2023, 12, 18, '2024-08-05 14:03:06', NULL, NULL), (89243, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 280, 188, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89244, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 353, 41, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89245, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 261, 280, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89246, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 445, 51, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89247, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 610, 78, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89248, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 182, 368, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89249, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 402, 176, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89250, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 411, 61, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89251, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 456, 241, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89252, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 194, 375, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89253, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 421, 83, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89254, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 632, 80, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89255, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 381, 73, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89256, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 195, 250, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89257, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 483, 253, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89258, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 278, 189, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89259, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 398, 184, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89260, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '', 207, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89261, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 53, 15, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89262, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 154, 42, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89263, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 280, 188, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89264, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 356, 115, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89265, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 8, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89266, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 515, 42, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89267, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 221, 6, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89268, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 326, 3, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89269, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1149, 14, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89270, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 147, 34, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89271, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1004, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89272, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 862, 6, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89273, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2002, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89274, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 311, 12, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89275, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 455, 6, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89276, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 267, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89277, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 808, 8, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89278, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 399, 30, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89279, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 151, 139, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89280, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 167, 8, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89281, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 665, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89282, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 973, 60, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89283, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 337, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89284, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 51, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89285, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 12, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89286, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 472, 18, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89287, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 122, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 14, 3, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 410, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 317, 12, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 52, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 311, 3, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 862, 6, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1040, 12, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 595, 30, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 264, 40, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 228, 16, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1247, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1563, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 173, 32, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1027, 7, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1048, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 220, 31, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 816, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 226, 34, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 211, 44, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 637, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 225, 23, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 912, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 491, 18, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 254, 18, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 376, 31, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 299, 20, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 344, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 441, 44, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 1527, 3, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 276, 25, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 264, 30, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 298, 27, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 189, 29, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 407, 37, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 50, 17, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 443, 8, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 291, 33, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 234, 28, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 978, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 123, 12, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 201, 32, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 58, 17, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 47, 16, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 10, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 343, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 479, 16, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 401, 13, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1035, 3, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 36, 13, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 364, 24, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 53, 32, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 46, 7, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 429, 48, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 58, 8, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 374, 12, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 147, 34, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 164, 29, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 116, 36, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 106, 17, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 178, 26, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 7, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 7, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 1262, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 181, 31, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 135, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 85, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 97, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 2009, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 56, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 134, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 434, 52, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 410, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 47, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 12, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 7, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 74, 16, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 6, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 325, 12, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 1998, 3, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 221, 6, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 498, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 154, 42, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 387, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 477, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 291, 63, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 14, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 858, 7, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2224, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1058, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 336, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 189, 7, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 292, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 780, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89385, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 862, 6, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89386, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1149, 14, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89387, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 455, 6, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (89388, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 337, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89389, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 8, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89390, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 280, 188, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89391, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 311, 12, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89392, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 167, 8, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89393, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 267, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89394, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 356, 115, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89395, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 154, 42, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89396, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 53, 15, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89397, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 147, 34, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89398, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 399, 30, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89399, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 12, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89400, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 472, 18, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89401, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 665, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89402, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 221, 6, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89403, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 973, 60, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89404, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 51, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89405, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 515, 42, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89406, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2224, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89407, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '', 207, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89408, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 2009, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89409, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 326, 3, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89410, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 151, 139, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89411, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 122, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89412, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 808, 8, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89413, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 221, 6, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89414, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 14, 3, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89415, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 410, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89416, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 7, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89417, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 56, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89418, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 862, 6, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89419, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 154, 42, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89420, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 201, 32, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89421, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 267, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89422, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 291, 33, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89423, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 189, 29, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89424, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 407, 37, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89425, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 264, 30, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89426, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 298, 27, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89427, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 556, 8, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89428, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 387, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89429, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 498, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89430, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 780, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89431, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 181, 31, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89432, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 164, 29, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89433, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2224, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89434, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 52, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89435, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 463, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89436, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 337, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89437, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 292, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89438, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 178, 26, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89439, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 106, 17, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89440, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 116, 36, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89441, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 189, 7, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89442, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 97, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89443, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 665, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89444, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 7, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89445, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 6, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89446, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 85, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89447, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 8, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89448, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 912, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89449, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 46, 7, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89450, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 12, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89451, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1040, 12, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89452, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 58, 8, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89453, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89454, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 8, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89455, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 1998, 3, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89456, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1058, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89457, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '2E27', 207, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89458, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 858, 7, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89459, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 1262, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89460, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89461, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89462, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 291, 63, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89463, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89464, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 434, 52, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89465, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 135, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89466, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 134, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89467, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 2009, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89468, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E27', 122, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89469, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 816, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89470, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1563, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89471, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1048, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89472, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1027, 7, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89473, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 147, 34, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89474, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 637, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89475, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 317, 12, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89476, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1247, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89477, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 595, 30, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89478, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 47, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89479, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 3, 7, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89480, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 134, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89481, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 410, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89482, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 1998, 3, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89483, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 74, 16, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89484, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 325, 12, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89485, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 387, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89486, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 477, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89487, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 498, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89488, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1058, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89489, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 858, 7, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89490, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 234, 28, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89491, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 276, 25, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89492, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 780, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89493, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 292, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89494, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 50, 17, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89495, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 429, 48, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89496, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 181, 31, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89497, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 816, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89498, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 85, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89499, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1563, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89500, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 97, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89501, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1048, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89502, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 6, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89503, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 12, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89504, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 53, 32, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89505, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 36, 13, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89506, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89507, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 47, 16, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89508, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 58, 17, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89509, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 434, 52, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89510, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 291, 63, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89511, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 154, 42, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89512, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 221, 6, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89513, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 374, 12, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89514, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 147, 34, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89515, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 862, 6, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89516, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 46, 7, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89517, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 595, 30, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89518, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 58, 8, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89519, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 14, 3, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89520, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 164, 29, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89521, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 344, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89522, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 410, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89523, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 178, 26, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89524, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 299, 20, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89525, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 317, 12, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89526, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 52, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89527, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 1527, 3, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89528, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 116, 36, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89529, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 311, 3, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89530, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 441, 44, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89531, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 106, 17, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89532, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 491, 18, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89533, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 443, 8, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89534, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1027, 7, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89535, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 376, 31, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89536, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1247, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89537, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 254, 18, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89538, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 364, 24, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89539, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 912, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89540, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 637, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89541, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1040, 12, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89542, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 14, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89543, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 298, 27, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89544, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 189, 29, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89545, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 264, 30, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89546, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 407, 37, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89547, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 291, 33, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89548, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 56, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89549, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 7, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89550, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 201, 32, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89551, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 2009, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89552, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89553, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 1262, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89554, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 7, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89555, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89556, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89557, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 135, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89558, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 336, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89559, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 189, 7, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89560, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2224, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89561, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 123, 12, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89562, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1035, 3, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89563, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 401, 13, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89564, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 978, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89565, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 211, 44, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89566, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 226, 34, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89567, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 10, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89568, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 220, 31, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89569, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 173, 32, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89570, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 479, 16, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89571, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 228, 16, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89572, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 343, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89573, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 264, 40, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89574, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 225, 23, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89575, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 912, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89576, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 637, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89577, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 14, 3, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89578, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2224, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89579, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1027, 7, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89580, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1247, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89581, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 410, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89582, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89583, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 116, 36, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89584, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 106, 17, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89585, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 178, 26, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89586, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 164, 29, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89587, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89588, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 7, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89589, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 1262, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89590, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89591, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 135, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89592, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89593, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 267, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89594, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1040, 12, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89595, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 8, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89596, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 595, 30, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89597, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 317, 12, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89598, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 2009, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89599, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 858, 7, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89600, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1058, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89601, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 6, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89602, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 12, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89603, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 862, 6, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89604, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 1998, 3, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89605, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 201, 32, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89606, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 434, 52, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89607, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 85, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89608, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 154, 42, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89609, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 291, 63, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89610, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 97, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89611, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 189, 29, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89612, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 407, 37, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89613, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 291, 33, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89614, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 264, 30, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89615, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 298, 27, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89616, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 337, 10, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89617, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 292, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89618, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 780, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89619, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 221, 6, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89620, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 556, 8, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89621, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 387, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89622, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 498, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89623, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 665, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89624, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 58, 8, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89625, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '2E27', 207, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89626, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 463, 2, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89627, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 46, 7, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89628, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 52, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89629, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 147, 34, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89630, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1048, 4, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89631, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 816, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89632, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 134, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89633, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 189, 7, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89634, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 8, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89635, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1563, 5, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89636, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 181, 31, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89637, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E27', 122, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89638, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 56, 9, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89639, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 7, 1, 2023, 12, 19, '2024-08-05 14:03:07', NULL, NULL), (89640, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 374, 179, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89641, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 446, 39, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89642, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 696, 273, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89643, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 633, 53, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89644, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 207, 295, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89645, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1126, 79, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89646, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 677, 162, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89647, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 4291, 55, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89648, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1115, 199, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89649, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 268, 298, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89650, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 543, 90, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89651, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1328, 82, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89652, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 3892, 65, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89653, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 328, 260, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89654, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1137, 201, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89655, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 439, 181, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89656, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 825, 171, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89657, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1700, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89658, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 320, 24, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89659, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 1050, 35, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89660, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 374, 179, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89661, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 318, 86, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89662, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1911, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89663, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 740, 34, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89664, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 943, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89665, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 3589, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89666, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1579, 15, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89667, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 120, 40, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89668, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 69, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89669, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 8069, 11, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89670, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 776, 16, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89671, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 2026, 5, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89672, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 1371, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89673, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1777, 8, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89674, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 180, 127, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89675, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 369, 32, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89676, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 798, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89677, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 18916, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89678, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 793, 14, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89679, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2233, 64, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89680, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 696, 8, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89681, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 188, 5, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89682, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 1244, 8, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 776, 16, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 107, 5, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 176, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 3614, 7, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1700, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 69, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 564, 5, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 849, 29, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 528, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 202, 28, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 227, 22, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1660, 9, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 191, 29, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2136, 8, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 82, 22, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 3348, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1252, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 529, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 183, 42, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 4000, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 155, 35, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1129, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 487, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 301, 26, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 3628, 16, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 179, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 727, 20, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 587, 18, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 726, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 531, 11, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 576, 43, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 176, 26, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 313, 28, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 336, 15, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 362, 29, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 935, 14, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 339, 36, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 159, 7, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 841, 20, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 342, 32, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 139, 5, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 682, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 226, 10, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 500, 39, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 197, 8, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 542, 11, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1647, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 763, 23, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 713, 9, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 390, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 190, 15, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 773, 24, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 218, 15, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 305, 16, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 198, 9, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 349, 8, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 5008, 45, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 120, 40, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 254, 35, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 176, 15, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 165, 30, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 151, 13, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 474, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2466, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 151, 11, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 128, 10, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 370, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 113, 20, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 164, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 46, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 2425, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 157, 14, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 1036, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 757, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 367, 40, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 27, 9, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 28, 10, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 173, 5, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 466, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 80, 16, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 1269, 12, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 6941, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 943, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 171, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 1050, 35, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 865, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 3185, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 276, 46, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 8853, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 2523, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 8069, 11, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1375, 17, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 18916, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 798, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 2875, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 1814, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89781, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 69, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89782, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1579, 15, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89783, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 2026, 5, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89784, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 1111, 10, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89785, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1911, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89786, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 374, 179, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89787, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 776, 16, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89788, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 798, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89789, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 2057, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89790, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 318, 86, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89791, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 1050, 35, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89792, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 320, 24, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89793, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 120, 40, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89794, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 369, 32, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (89795, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 188, 5, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89796, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 1244, 8, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89797, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 18916, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89798, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 943, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89799, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2233, 64, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89800, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1700, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89801, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 795, 7, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89802, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 740, 34, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89803, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 8069, 11, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89804, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 3589, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89805, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 180, 127, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89806, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 3554, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89807, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 943, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89808, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 776, 16, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89809, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 474, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89810, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 1036, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89811, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 69, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89812, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 1050, 35, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89813, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 500, 39, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89814, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 2057, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89815, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 342, 32, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89816, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 362, 29, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89817, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 339, 36, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89818, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 313, 28, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89819, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 336, 15, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89820, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 3185, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89821, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 865, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89822, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 171, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89823, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 1814, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89824, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1700, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89825, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 113, 20, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89826, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 157, 14, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89827, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 254, 35, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89828, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 8069, 11, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89829, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 26, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89830, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 4777, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89831, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 1111, 10, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89832, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 2875, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89833, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 151, 13, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89834, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 165, 30, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89835, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 176, 15, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89836, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 798, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89837, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89838, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2466, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89839, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 18916, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89840, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 2425, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89841, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 3628, 16, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89842, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 305, 16, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89843, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 466, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89844, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 564, 5, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89845, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89846, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 349, 8, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89847, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 252, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89848, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 2741, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89849, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 6941, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89850, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1375, 17, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89851, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 2523, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89852, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 370, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89853, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 164, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89854, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 276, 46, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89855, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 151, 11, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89856, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 128, 10, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89857, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 367, 40, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89858, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 46, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89859, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 757, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89860, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 529, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89861, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2136, 8, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89862, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1252, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89863, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 3348, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89864, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 4000, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89865, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1129, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89866, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 120, 40, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89867, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 107, 5, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89868, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1660, 9, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89869, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 849, 29, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89870, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 28, 10, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89871, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 173, 5, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89872, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 757, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89873, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 27, 9, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89874, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 6941, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89875, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 80, 16, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89876, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 1269, 12, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89877, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 865, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89878, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 3185, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89879, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 171, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89880, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1375, 17, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89881, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 2523, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89882, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 139, 5, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89883, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 176, 26, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89884, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 1814, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89885, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 2875, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89886, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 159, 7, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89887, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 198, 9, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89888, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 113, 20, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89889, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 529, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89890, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 157, 14, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89891, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 2425, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89892, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2136, 8, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89893, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1252, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89894, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 6, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89895, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 466, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89896, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 218, 15, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89897, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89898, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 190, 15, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89899, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 542, 11, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89900, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 197, 8, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89901, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 367, 40, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89902, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 276, 46, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89903, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 1050, 35, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89904, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 943, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89905, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 5008, 45, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89906, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 69, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89907, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 120, 40, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89908, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 305, 16, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89909, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 849, 29, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89910, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 349, 8, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89911, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1700, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89912, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 254, 35, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89913, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 776, 16, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89914, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 531, 11, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89915, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 151, 13, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89916, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 107, 5, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89917, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 726, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89918, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 176, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89919, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 176, 15, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89920, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 3614, 7, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89921, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 576, 43, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89922, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 165, 30, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89923, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 4000, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89924, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 179, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89925, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 841, 20, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89926, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 3348, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89927, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 587, 18, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89928, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1660, 9, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89929, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 727, 20, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89930, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 935, 14, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89931, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 773, 24, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89932, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 3628, 16, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89933, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1129, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89934, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 564, 5, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89935, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 8853, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89936, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 336, 15, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89937, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 362, 29, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89938, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 313, 28, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89939, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 339, 36, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89940, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 342, 32, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89941, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 1036, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89942, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 474, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89943, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 500, 39, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89944, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 128, 10, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89945, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 370, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89946, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2466, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89947, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 151, 11, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89948, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 164, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89949, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 46, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89950, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 18916, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89951, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 798, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89952, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 8069, 11, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89953, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 226, 10, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89954, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 390, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89955, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 713, 9, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89956, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 682, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89957, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 155, 35, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89958, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 183, 42, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89959, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 82, 22, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89960, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1647, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89961, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 191, 29, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89962, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 227, 22, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89963, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 763, 23, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89964, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 202, 28, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89965, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 528, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89966, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 301, 26, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89967, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 487, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89968, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 3628, 16, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89969, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1129, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89970, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 8069, 11, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89971, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 3348, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89972, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1660, 9, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89973, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 776, 16, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89974, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 4000, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89975, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89976, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 176, 15, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89977, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 165, 30, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89978, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 151, 13, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89979, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 254, 35, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89980, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 151, 11, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89981, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2466, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89982, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 370, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89983, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 128, 10, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89984, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 46, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89985, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 164, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89986, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 2057, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89987, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 564, 5, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89988, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 2741, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89989, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 252, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89990, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 849, 29, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89991, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 107, 5, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89992, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 2523, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89993, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1375, 17, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89994, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 6, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89995, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 466, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89996, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 69, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89997, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 6941, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89998, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 500, 39, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (89999, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 367, 40, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90000, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 1050, 35, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90001, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 2425, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90002, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 276, 46, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90003, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 362, 29, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90004, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 339, 36, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90005, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 342, 32, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90006, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 313, 28, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90007, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 336, 15, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90008, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 1111, 10, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90009, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 2875, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90010, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 1814, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90011, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 943, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90012, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1700, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90013, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 3185, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90014, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 865, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90015, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 171, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90016, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 18916, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90017, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 349, 8, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90018, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 157, 14, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90019, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 4777, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90020, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 305, 16, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90021, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 26, 1, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90022, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1252, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90023, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 120, 40, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90024, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 529, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90025, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 757, 2, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90026, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 798, 6, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90027, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2136, 8, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90028, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 113, 20, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90029, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 1036, 4, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90030, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 474, 3, 2023, 12, 20, '2024-08-05 14:03:08', NULL, NULL), (90031, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 534, 162, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90032, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 324, 58, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90033, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 329, 31, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90034, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 181, 295, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90035, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 95, 381, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90036, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 638, 62, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90037, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 514, 67, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90038, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 123, 158, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90039, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 667, 232, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90040, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 98, 386, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90041, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 153, 86, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90042, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 602, 68, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90043, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 511, 76, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90044, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 153, 272, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90045, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 525, 165, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90046, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 672, 237, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90047, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 213, 165, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90048, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 15143, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90049, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 161, 39, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90050, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 534, 162, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90051, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 98, 23, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90052, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 672, 127, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90053, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 181, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90054, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 238, 27, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90055, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 654, 7, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90056, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 779, 18, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90057, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 188, 29, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90058, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90059, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '', 0, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90060, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 438, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90061, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 825, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90062, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 164, 10, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90063, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 537, 11, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90064, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 129, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90065, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 5931, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90066, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 60, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90067, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 4, 51, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90068, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 124, 145, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90069, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 597, 14, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90070, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 620, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90071, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 201, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90072, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 946, 60, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90073, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 2653, 7, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90074, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90075, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 128, 11, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 164, 10, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 136, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 257, 2, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 31, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 15143, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 438, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 692, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 267, 21, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 100, 30, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 73, 29, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 726, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1473, 13, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 163, 26, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1018, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 69, 35, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 790, 5, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 125, 43, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 952, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 57, 46, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 748, 15, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 43, 26, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 286, 2, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 173, 15, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 97, 10, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 59, 12, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 65, 25, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 288, 14, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 147, 33, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 44, 22, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 380, 25, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 362, 22, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 321, 34, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 168, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 558, 29, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 118, 18, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 59, 20, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 495, 23, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 117, 26, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 46, 5, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 287, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 1055, 29, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 90, 13, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 131, 20, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 359, 2, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 648, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 312, 10, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 444, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 18, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 48, 22, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 144, 18, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 145, 27, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 237, 40, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 126, 15, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 410, 26, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 182, 24, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 188, 29, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E01', 5931, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 104, 26, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 82, 15, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 74, 25, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 96, 31, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 16, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 15, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 6, 7, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 10, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 215, 35, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 5, 7, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 7, 2, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 166, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 258, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 78, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 4630, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 52, 5, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 621, 62, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 17, 14, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 138, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 2, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 5, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 99, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 183, 12, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 654, 7, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 364, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 98, 23, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 354, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 109, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 720, 65, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 14310, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1763, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 582, 5, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 825, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 868, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 310, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 791, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 663, 5, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 648, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90175, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 438, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90176, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 825, 17, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90177, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 656, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90178, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 201, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90179, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 181, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90180, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 534, 162, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90181, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 164, 10, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90182, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 597, 14, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90183, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 129, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90184, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 672, 127, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90185, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 98, 23, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90186, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 161, 39, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90187, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 188, 29, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90188, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 4, 51, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90189, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90190, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 128, 11, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90191, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 620, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90192, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 654, 7, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90193, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 946, 60, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90194, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 15143, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90195, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 2653, 7, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90196, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 238, 27, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90197, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 825, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90198, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '', 5931, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90199, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 124, 145, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90200, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 60, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90201, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 654, 7, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (90202, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 164, 10, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90203, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 16, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90204, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 4630, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90205, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 438, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90206, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 98, 23, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90207, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 1055, 29, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90208, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 129, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90209, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 495, 23, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90210, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 321, 34, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90211, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 558, 29, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90212, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 380, 25, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90213, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 362, 22, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90214, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 109, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90215, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 354, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90216, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 364, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90217, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 648, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90218, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 15143, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90219, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 215, 35, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90220, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 78, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90221, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 258, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90222, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 104, 26, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90223, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 825, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90224, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 201, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90225, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 663, 5, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90226, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 96, 31, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90227, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 74, 25, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90228, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 82, 15, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90229, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 791, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90230, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 166, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90231, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 620, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90232, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90233, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 15, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90234, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 7, 2, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90235, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '2E01', 5931, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90236, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 248, 5, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90237, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 286, 2, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90238, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 126, 15, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90239, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 2, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90240, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 692, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90241, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90242, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 182, 24, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90243, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 257, 2, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90244, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 31, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90245, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 868, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90246, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1763, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90247, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 582, 5, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90248, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90249, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90250, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 6, 7, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90251, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 720, 65, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90252, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 10, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90253, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 621, 62, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90254, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 5, 7, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90255, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 52, 5, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90256, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 952, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90257, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 726, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90258, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 790, 5, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90259, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1018, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90260, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 188, 29, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90261, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 748, 15, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90262, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 136, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90263, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1473, 13, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90264, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 267, 21, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90265, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 138, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90266, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 3, 5, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90267, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 52, 5, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90268, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 17, 14, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90269, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 99, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90270, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 183, 12, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90271, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 354, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90272, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 109, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90273, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 364, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90274, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 868, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90275, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 582, 5, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90276, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 117, 26, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90277, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 44, 22, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90278, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1763, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90279, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 648, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90280, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 663, 5, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90281, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 59, 20, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90282, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 237, 40, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90283, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 215, 35, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90284, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 952, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90285, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 258, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90286, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 78, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90287, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 7, 2, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90288, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 726, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90289, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 166, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90290, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 790, 5, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90291, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90292, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 2, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90293, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 145, 27, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90294, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90295, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 144, 18, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90296, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 131, 20, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90297, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 90, 13, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90298, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 621, 62, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90299, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 720, 65, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90300, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 98, 23, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90301, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 654, 7, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90302, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 410, 26, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90303, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 438, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90304, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 188, 29, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90305, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E01', 5931, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90306, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 267, 21, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90307, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 126, 15, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90308, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 182, 24, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90309, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 15143, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90310, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 104, 26, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90311, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 164, 10, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90312, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 288, 14, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90313, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 96, 31, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90314, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 136, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90315, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 65, 25, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90316, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 257, 2, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90317, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 82, 15, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90318, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 147, 33, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90319, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 74, 25, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90320, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 31, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90321, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 173, 15, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90322, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 118, 18, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90323, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 59, 12, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90324, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1018, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90325, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 97, 10, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90326, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1473, 13, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90327, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 168, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90328, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 48, 22, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90329, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 286, 2, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90330, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 748, 15, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90331, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 692, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90332, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 14310, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90333, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 362, 22, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90334, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 321, 34, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90335, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 380, 25, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90336, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 558, 29, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90337, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 495, 23, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90338, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 4630, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90339, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 16, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90340, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 1055, 29, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90341, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 10, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90342, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90343, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 15, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90344, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 7, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90345, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90346, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 7, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90347, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 310, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90348, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 791, 9, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90349, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 825, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90350, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 287, 3, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90351, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 18, 1, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90352, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 444, 6, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90353, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 57, 46, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90354, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 46, 5, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90355, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 125, 43, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90356, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 359, 2, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90357, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 69, 35, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90358, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 163, 26, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90359, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 312, 10, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90360, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 73, 29, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90361, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 648, 4, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90362, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 100, 30, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90363, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 43, 26, 2023, 12, 21, '2024-08-05 14:03:09', NULL, NULL), (90364, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 286, 2, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90365, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 748, 15, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90366, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 825, 3, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90367, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1018, 9, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90368, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1473, 13, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90369, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 164, 10, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90370, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 1, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90371, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 82, 15, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90372, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 74, 25, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90373, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 96, 31, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90374, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 104, 26, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90375, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 7, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90376, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 15, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90377, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 6, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90378, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 10, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90379, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 7, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90380, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 6, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90381, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 129, 3, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90382, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 692, 6, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90383, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 31, 1, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90384, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 257, 2, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90385, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 267, 21, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90386, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 136, 6, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90387, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1763, 1, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90388, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 582, 5, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90389, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 868, 9, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90390, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 3, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90391, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 2, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90392, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 438, 4, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90393, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 1055, 29, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90394, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 621, 62, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90395, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 7, 2, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90396, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 98, 23, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90397, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 720, 65, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90398, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 166, 1, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90399, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 321, 34, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90400, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 558, 29, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90401, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 495, 23, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90402, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 380, 25, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90403, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 362, 22, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90404, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 201, 9, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90405, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 663, 5, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90406, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 648, 4, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90407, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 654, 7, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90408, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 15143, 1, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90409, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 109, 4, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90410, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 354, 1, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90411, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 364, 1, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90412, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 620, 1, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90413, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 182, 24, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90414, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 258, 4, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90415, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 78, 9, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90416, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 126, 15, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90417, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 188, 29, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90418, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 790, 5, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90419, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 952, 6, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90420, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '市人力资源社会保障局', '', '2E01', 5931, 1, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90421, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 52, 5, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90422, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 791, 9, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90423, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 248, 5, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90424, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 726, 6, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90425, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 215, 35, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90426, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 4630, 4, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90427, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 16, 3, 2023, 12, 21, '2024-08-05 14:03:10', NULL, NULL), (90428, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 384, 155, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90429, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 230, 29, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90430, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 295, 30, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90431, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 447, 236, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90432, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 455, 56, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90433, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 105, 358, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90434, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 219, 260, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90435, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 175, 58, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90436, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 2346, 303, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90437, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 108, 366, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90438, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 133, 67, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90439, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 443, 58, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90440, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 249, 64, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90441, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 257, 213, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90442, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 493, 158, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90443, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2332, 309, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90444, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 291, 268, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90445, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 139, 20, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90446, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 428, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90447, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 381, 156, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90448, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 2607, 198, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90449, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1291, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90450, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 455, 33, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90451, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 2037, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90452, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 641, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90453, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 170, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90454, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 4957, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90455, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 114, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90456, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 6801, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90457, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 188, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90458, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 687, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90459, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 496, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90460, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 2236, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90461, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 162, 103, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90462, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 2, 22, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90463, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 6, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90464, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 1255, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90465, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2534, 67, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90466, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 236, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90467, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 329, 11, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90468, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 1043, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 188, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 278, 13, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1937, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 114, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 958, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 570, 20, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 184, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 96, 30, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 124, 24, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 107, 35, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 853, 4, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1459, 9, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 4295, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 415, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 157, 31, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 149, 48, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 245, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 113, 38, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1107, 11, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 91, 25, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2495, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 223, 21, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 165, 19, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 176, 36, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 212, 30, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 268, 44, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 335, 32, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 692, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 129, 26, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 397, 14, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 395, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 291, 17, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 222, 14, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 217, 34, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 121, 31, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 14, 16, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 628, 42, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 142, 19, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 596, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 737, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 219, 21, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 5, 12, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 30, 16, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 49, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 7, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 197, 11, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 366, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 192, 4, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 168, 30, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 42, 11, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 69, 26, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 171, 14, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 85, 31, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 66, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 268, 25, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 170, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 118, 9, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 144, 14, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 163, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 248, 25, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 318, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 4, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 93, 19, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 2236, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 4957, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 139, 9, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 203, 5, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 401, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 2295, 90, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 12, 4, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 1458, 5, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 22, 10, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 185, 12, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 108, 20, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 16, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 1086, 9, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 2037, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 184, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 428, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 424, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 127, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 2867, 108, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 414, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 899, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 3082, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 6801, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 4521, 18, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 8, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 6, 5, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 251, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 1559, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90565, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 114, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90566, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 641, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90567, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 687, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90568, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 1255, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90569, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1937, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90570, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 384, 155, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90571, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 188, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90572, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 6, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90573, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 496, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90574, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 2607, 198, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90575, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 428, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90576, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 139, 20, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90577, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 170, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90578, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 21, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90579, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 1217, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90580, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 329, 11, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90581, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 2037, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90582, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2534, 67, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90583, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 236, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90584, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 455, 33, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90585, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 6801, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90586, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 4957, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90587, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 162, 103, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90588, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 2236, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90589, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 2037, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90590, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 188, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90591, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 318, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90592, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 203, 5, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90593, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 114, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90594, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 428, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90595, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 219, 21, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90596, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 496, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90597, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 628, 42, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90598, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 291, 17, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90599, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 217, 34, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90600, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 397, 14, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90601, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 395, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90602, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 127, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90603, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 424, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90604, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 184, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90605, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 1559, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90606, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 93, 19, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90607, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 139, 9, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90608, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 118, 9, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90609, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 6801, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90610, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 1255, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (90611, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 251, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90612, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 248, 25, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90613, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 163, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90614, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 144, 14, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90615, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 6, 5, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90616, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90617, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 16, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90618, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 2236, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90619, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 8, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90620, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2495, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90621, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 171, 14, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90622, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 958, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90623, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 1458, 5, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90624, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 66, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90625, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1937, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90626, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 4521, 18, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90627, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 899, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90628, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 3082, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90629, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 4, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90630, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 2, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90631, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90632, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 2867, 108, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90633, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 4, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90634, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 2295, 90, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90635, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90636, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 401, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90637, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 4957, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90638, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 245, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90639, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 853, 4, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90640, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 415, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90641, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 4295, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90642, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 170, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90643, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1107, 11, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90644, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 278, 13, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90645, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1459, 9, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90646, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 570, 20, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90647, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 22, 10, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90648, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 185, 12, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90649, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 401, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90650, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 12, 4, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90651, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 108, 20, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90652, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 1086, 9, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90653, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 424, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90654, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 127, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90655, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 184, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90656, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 4521, 18, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90657, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 3082, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90658, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 142, 19, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90659, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 899, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90660, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 129, 26, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90661, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 1559, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90662, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 251, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90663, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 14, 16, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90664, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 85, 31, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90665, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 93, 19, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90666, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 245, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90667, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 139, 9, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90668, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 2236, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90669, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 853, 4, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90670, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 415, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90671, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 16, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90672, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 69, 26, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90673, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 1458, 5, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90674, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 42, 11, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90675, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 30, 16, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90676, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 5, 12, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90677, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 2295, 90, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90678, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 2867, 108, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90679, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 428, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90680, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 2037, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90681, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 268, 25, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90682, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 114, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90683, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 170, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90684, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 171, 14, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90685, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 570, 20, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90686, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 66, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90687, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 118, 9, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90688, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 188, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90689, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 268, 44, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90690, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 248, 25, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90691, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 212, 30, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90692, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 278, 13, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90693, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 144, 14, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90694, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 692, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90695, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1937, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90696, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 163, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90697, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 335, 32, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90698, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 223, 21, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90699, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 121, 31, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90700, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 4295, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90701, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 176, 36, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90702, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 165, 19, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90703, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1459, 9, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90704, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 222, 14, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90705, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 168, 30, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90706, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2495, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90707, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1107, 11, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90708, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 958, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90709, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 414, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90710, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 395, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90711, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 291, 17, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90712, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 397, 14, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90713, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 217, 34, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90714, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 628, 42, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90715, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 203, 5, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90716, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 318, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90717, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 219, 21, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90718, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 4957, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90719, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90720, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 4, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90721, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90722, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90723, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90724, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90725, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 8, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90726, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 6, 5, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90727, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 6801, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90728, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 737, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90729, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 192, 4, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90730, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 366, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90731, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 596, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90732, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 113, 38, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90733, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 149, 48, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90734, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 49, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90735, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 157, 31, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90736, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 107, 35, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90737, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 197, 11, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90738, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 124, 24, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90739, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 7, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90740, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 96, 30, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90741, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 184, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90742, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 91, 25, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90743, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2495, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90744, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1107, 11, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90745, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 6801, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90746, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 4295, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90747, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1459, 9, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90748, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 188, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90749, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 1458, 5, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90750, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 144, 14, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90751, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 163, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90752, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 248, 25, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90753, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 118, 9, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90754, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90755, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90756, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 4, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90757, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90758, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90759, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90760, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 496, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90761, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 958, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90762, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1937, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90763, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 570, 20, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90764, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 278, 13, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90765, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 4957, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90766, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 899, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90767, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 3082, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90768, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 4521, 18, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90769, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 16, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90770, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 114, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90771, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 219, 21, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90772, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 2295, 90, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90773, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 2236, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90774, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 428, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90775, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 2867, 108, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90776, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 291, 17, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90777, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 217, 34, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90778, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 628, 42, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90779, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 397, 14, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90780, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 395, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90781, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 1255, 7, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90782, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 251, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90783, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 1559, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90784, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 2037, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90785, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 127, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90786, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 424, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90787, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 184, 3, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90788, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 66, 6, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90789, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 139, 9, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90790, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 171, 14, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90791, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 415, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90792, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 170, 27, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90793, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 245, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90794, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 401, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90795, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 6, 5, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90796, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 8, 1, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90797, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 853, 4, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90798, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 93, 19, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90799, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 203, 5, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90800, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 318, 2, 2023, 12, 22, '2024-08-05 14:03:11', NULL, NULL), (90801, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 1255, 3, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90802, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 98, 3, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90803, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 465, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90804, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 401, 67, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90805, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 6, 7, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90806, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 455, 34, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90807, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 935, 34, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90808, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 395, 68, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90809, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 465, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90810, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 442, 35, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90811, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 73, 4, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90812, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 1255, 3, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90813, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 775, 41, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90814, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 6, 7, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90815, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 110, 4, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90816, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 69, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90817, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 0, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90818, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 1255, 3, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90819, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 7, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90820, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1044, 30, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90821, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 112, 2, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90822, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 465, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 358, 8, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 485, 26, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 69, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 57, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 4, 2, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 87, 14, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 11, 3, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 74, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 155, 2, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 800, 30, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 112, 2, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 1255, 3, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 22, 4, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 2, 2, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 465, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1044, 30, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 75, 9, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 90, 10, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90841, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1044, 30, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90842, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 69, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90843, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 112, 2, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90844, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 110, 4, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90845, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 1255, 3, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90846, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 465, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90847, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 1255, 3, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90848, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 74, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90849, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 155, 2, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90850, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 69, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90851, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 57, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90852, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 465, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90853, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1044, 30, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90854, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 112, 2, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90855, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 69, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90856, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 465, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90857, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 358, 8, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90858, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 1255, 3, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90859, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 112, 2, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90860, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 11, 3, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90861, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 155, 2, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90862, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 74, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90863, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 2, 2, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90864, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 4, 2, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90865, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 57, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90866, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 90, 10, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90867, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 800, 30, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90868, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1044, 30, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90869, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 87, 14, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90870, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 485, 26, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90871, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 22, 4, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90872, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 75, 9, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90873, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 112, 2, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90874, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 465, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90875, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 1255, 3, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90876, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 69, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90877, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 57, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90878, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1044, 30, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90879, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 155, 2, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90880, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 74, 1, 2023, 12, 23, '2024-08-05 14:03:12', NULL, NULL), (90881, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 114, 9, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90882, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 153, 16, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90883, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 140, 42, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90884, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 7, 5, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90885, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 953, 15, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90886, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 71, 23, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90887, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 133, 45, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90888, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 953, 15, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90889, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 168, 14, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90890, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 114, 9, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90891, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 60, 27, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90892, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 7, 5, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90893, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 11, 4, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90894, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 78, 6, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90895, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 3, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90896, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 114, 9, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90897, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 23, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90898, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 8, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90899, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 88, 18, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90900, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 74, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90901, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 235, 8, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90902, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 0, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 48, 2, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 88, 18, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 8, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 953, 15, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 8, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 78, 6, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 6, 4, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 31, 5, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 10, 3, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 31, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 131, 17, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 546, 6, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 166, 6, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 235, 8, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 4, 3, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 9, 3, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 29, 6, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 8, 5, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90921, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 74, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90922, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 11, 4, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90923, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 114, 9, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90924, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 88, 18, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90925, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 78, 6, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90926, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 235, 8, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90927, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 8, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90928, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 23, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90929, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 31, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90930, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 78, 6, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90931, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 166, 6, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90932, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E26', 74, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90933, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 10, 3, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90934, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 4, 3, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90935, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 8, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90936, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 88, 18, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90937, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 23, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90938, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 235, 8, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90939, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 78, 6, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90940, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 48, 2, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90941, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 166, 6, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90942, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 235, 8, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90943, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 31, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90944, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 6, 4, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90945, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 8, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90946, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 8, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90947, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 8, 5, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90948, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 546, 6, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90949, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 88, 18, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90950, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 131, 17, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90951, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 4, 3, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90952, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 10, 3, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90953, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 31, 5, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90954, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 953, 15, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90955, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 9, 3, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90956, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 29, 6, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90957, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 8, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90958, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 235, 8, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90959, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E26', 74, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90960, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 166, 6, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90961, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 78, 6, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90962, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 10, 3, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90963, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 88, 18, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90964, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 23, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90965, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 31, 1, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90966, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 4, 3, 2023, 12, 24, '2024-08-05 14:03:13', NULL, NULL), (90967, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 767, 217, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90968, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 24, 51, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90969, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1051, 64, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90970, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 231, 366, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90971, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 461, 66, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90972, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 443, 480, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90973, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 304, 308, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90974, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 346, 72, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90975, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 4209, 466, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90976, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 442, 490, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90977, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 638, 106, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90978, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 458, 68, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90979, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 281, 78, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90980, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 202, 333, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90981, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 759, 220, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90982, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 4104, 480, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90983, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 316, 319, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90984, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 5670, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90985, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 243, 34, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90986, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 479, 45, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90987, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 767, 217, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90988, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 5506, 319, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90989, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1551, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90990, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 349, 37, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90991, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 570, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90992, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 642, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90993, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 793, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90994, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 165, 53, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90995, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90996, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 294, 11, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90997, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1563, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90998, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 15, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (90999, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 239, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91000, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 451, 5, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91001, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 2494, 4, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91002, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 167, 176, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91003, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 4, 40, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91004, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 417, 16, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91005, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 1239, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91006, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 421, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91007, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1988, 91, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91008, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 96, 11, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91009, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 4, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91010, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 347, 15, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 15, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 396, 12, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (91013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1053, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1346, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 5670, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 294, 11, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1934, 17, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 326, 25, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 514, 29, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2038, 16, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 524, 24, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1478, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 391, 30, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 377, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 798, 4, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 425, 38, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1194, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1889, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 507, 52, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 486, 54, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1555, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 422, 48, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 337, 30, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1964, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 298, 36, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 361, 28, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 366, 37, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 222, 40, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 293, 42, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 235, 28, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 161, 18, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 399, 24, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 660, 31, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 878, 20, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 693, 35, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 285, 19, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 696, 52, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 667, 20, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 662, 49, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 934, 41, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 574, 48, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 855, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 2128, 13, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 778, 38, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 85, 22, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 115, 21, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 4869, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 34, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 28, 15, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 81, 13, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 164, 7, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 32, 11, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 249, 40, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 360, 29, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 287, 15, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 209, 19, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 296, 35, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 165, 53, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 274, 24, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 137, 21, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 116, 43, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 118, 18, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 10, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 6, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 7, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 111, 40, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3322, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 9, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 541, 7, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 200, 23, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 115, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 134, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 5598, 148, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 32, 11, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 172, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 60, 11, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 9, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 146, 23, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 435, 11, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1140, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 446, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 479, 45, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 177, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 488, 4, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 5427, 171, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 718, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 489, 7, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 5673, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1302, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 2480, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1563, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1823, 15, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 512, 10, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 504, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 228, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 249, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91112, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 294, 11, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91113, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 793, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91114, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 239, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91115, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 421, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91116, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1551, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91117, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 767, 217, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91118, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 417, 16, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91119, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 15, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91120, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 451, 5, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91121, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 5506, 319, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91122, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 479, 45, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91123, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 243, 34, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91124, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 165, 53, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91125, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 4, 40, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91126, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 4, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91127, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 371, 14, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91128, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 1239, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91129, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1140, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91130, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1988, 91, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91131, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 5670, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91132, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 96, 11, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91133, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 349, 37, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91134, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1563, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91135, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 642, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91136, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 167, 176, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91137, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 2494, 4, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91138, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1140, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91139, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 15, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91140, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 10, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91141, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 115, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91142, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 294, 11, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91143, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 479, 45, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91144, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 778, 38, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91145, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 451, 5, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91146, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 934, 41, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91147, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 693, 35, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91148, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 696, 52, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91149, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 660, 31, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91150, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 878, 20, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91151, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 488, 4, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91152, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 177, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91153, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 446, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91154, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 249, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91155, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 5670, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91156, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 111, 40, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91157, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 200, 23, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91158, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 541, 7, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91159, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 274, 24, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91160, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1563, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91161, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 642, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91162, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 421, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91163, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 228, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91164, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 118, 18, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91165, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 116, 43, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91166, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 137, 21, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91167, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 504, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91168, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 9, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91169, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 1239, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91170, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91171, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 9, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91172, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3322, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91173, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 330, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91174, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1964, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91175, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 287, 15, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91176, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1934, 17, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91177, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91178, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 209, 19, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91179, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1053, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91180, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 2050, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91181, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1823, 15, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91182, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 5673, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91183, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1302, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91184, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 2480, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91185, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 7, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91186, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 1, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91187, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 6, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91188, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 5427, 171, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91189, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 5598, 148, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91190, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91191, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91192, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 134, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91193, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1194, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91194, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 377, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91195, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 798, 4, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91196, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1889, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91197, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1555, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91198, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 165, 53, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91199, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 396, 12, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91200, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2038, 16, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91201, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1478, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91202, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 326, 25, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91203, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 172, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91204, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 60, 11, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91205, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 134, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91206, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 32, 11, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91207, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 146, 23, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91208, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 435, 11, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91209, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 177, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91210, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 488, 4, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91211, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 446, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91212, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1823, 15, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91213, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 2480, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91214, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1302, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91215, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 574, 48, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91216, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 399, 24, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91217, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 5673, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91218, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 249, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91219, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 228, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91220, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 662, 49, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91221, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 360, 29, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91222, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 111, 40, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91223, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1194, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91224, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 541, 7, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91225, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 200, 23, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91226, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3322, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91227, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 377, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91228, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 798, 4, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91229, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 9, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91230, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 9, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91231, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91232, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 32, 11, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91233, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 115, 21, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91234, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 85, 22, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91235, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 5598, 148, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91236, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 5427, 171, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91237, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 479, 45, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91238, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1140, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91239, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 296, 35, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91240, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 294, 11, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91241, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 165, 53, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91242, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 326, 25, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91243, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 287, 15, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91244, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 209, 19, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91245, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 5670, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91246, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 274, 24, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91247, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 293, 42, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91248, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 118, 18, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91249, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 15, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91250, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 396, 12, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91251, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 222, 40, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91252, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1053, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91253, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 161, 18, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91254, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 137, 21, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91255, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1346, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91256, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 235, 28, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91257, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 116, 43, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91258, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 298, 36, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91259, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 667, 20, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91260, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1889, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91261, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 366, 37, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91262, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 361, 28, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91263, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1478, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91264, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2038, 16, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91265, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 285, 19, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91266, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 249, 40, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91267, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1964, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91268, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1555, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91269, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 489, 7, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91270, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1934, 17, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91271, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 718, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91272, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 878, 20, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91273, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 693, 35, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91274, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 660, 31, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91275, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 696, 52, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91276, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 934, 41, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91277, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 115, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91278, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 10, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91279, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 778, 38, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91280, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91281, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 7, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91282, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91283, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91284, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91285, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91286, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 512, 10, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91287, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 504, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91288, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1563, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91289, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 2128, 13, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91290, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 164, 7, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91291, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 81, 13, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91292, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 855, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91293, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 486, 54, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91294, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 507, 52, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91295, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 4869, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91296, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 425, 38, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91297, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 391, 30, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91298, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 28, 15, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91299, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 524, 24, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91300, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 34, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91301, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 514, 29, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91302, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 337, 30, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91303, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 422, 48, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91304, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1964, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91305, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1555, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91306, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1563, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91307, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2038, 16, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91308, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1478, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91309, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 15, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91310, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1889, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91311, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91312, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 137, 21, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91313, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 116, 43, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91314, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 118, 18, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91315, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 274, 24, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91316, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91317, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91318, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 7, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91319, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91320, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91321, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 1, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91322, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 451, 5, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91323, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1934, 17, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91324, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 2050, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91325, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1053, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91326, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 326, 25, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91327, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 396, 12, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91328, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 5673, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91329, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1302, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91330, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 2480, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91331, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1823, 15, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91332, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 9, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91333, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 294, 11, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91334, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 778, 38, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91335, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 5598, 148, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91336, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3322, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91337, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 479, 45, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91338, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 5427, 171, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91339, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 9, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91340, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 693, 35, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91341, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 696, 52, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91342, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 934, 41, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91343, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 660, 31, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91344, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 878, 20, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91345, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 421, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91346, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 228, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91347, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 249, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91348, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1140, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91349, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 5670, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91350, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 488, 4, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91351, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 177, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91352, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 446, 6, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91353, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 1239, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91354, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 209, 19, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91355, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 541, 7, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91356, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 200, 23, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91357, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 642, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91358, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 287, 15, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91359, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 798, 4, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91360, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 165, 53, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91361, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1194, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91362, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 134, 3, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91363, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 504, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91364, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 330, 8, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91365, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 377, 1, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91366, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 111, 40, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91367, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 115, 9, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91368, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 10, 2, 2023, 12, 25, '2024-08-05 14:03:14', NULL, NULL), (91369, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 756, 191, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91370, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 70, 51, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91371, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 372, 272, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91372, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 430, 68, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91373, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 510, 67, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91374, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 174, 462, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91375, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 312, 68, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91376, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 607, 301, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91377, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 3486, 472, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91378, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 181, 466, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91379, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 293, 120, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91380, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 501, 69, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91381, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 291, 69, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91382, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 312, 252, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91383, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 745, 194, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91384, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 3455, 479, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91385, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 612, 311, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91386, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 4586, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91387, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 102, 30, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91388, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 752, 192, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91389, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 414, 50, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91390, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 4770, 313, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91391, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1325, 7, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91392, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 246, 37, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91393, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 2221, 5, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91394, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1260, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91395, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 878, 5, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91396, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 203, 34, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91397, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91398, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 399, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91399, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1850, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91400, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 138, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91401, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1573, 14, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91402, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 119, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91403, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91404, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 4624, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91405, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 126, 131, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91406, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 47, 47, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91407, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 953, 9, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91408, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 11056, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91409, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 1937, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91410, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1172, 84, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91411, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 277, 5, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91412, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 19, 7, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91413, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 96, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 164, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 129, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 234, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1827, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1357, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 4586, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 399, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1402, 18, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 250, 26, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 205, 32, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (91424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1189, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 79, 27, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1162, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1099, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 150, 42, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 185, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 211, 36, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 765, 7, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 150, 43, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1430, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 184, 42, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1153, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 215, 33, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 242, 20, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1040, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 588, 30, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 472, 18, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 821, 33, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 824, 21, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 437, 37, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 553, 53, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 217, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 175, 35, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 704, 26, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 616, 23, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 801, 32, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 795, 41, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 722, 16, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 567, 31, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 893, 35, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 208, 41, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 232, 35, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 167, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 116, 14, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 658, 34, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 174, 34, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 68, 22, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 264, 7, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 1157, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 621, 25, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 212, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 288, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 70, 20, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 691, 51, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 86, 15, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 249, 28, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 119, 15, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 316, 33, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 652, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 203, 34, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 157, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 181, 27, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 93, 38, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 122, 30, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 345, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 138, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 19, 12, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 142, 19, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 14, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 48, 15, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4624, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 76, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 5, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 63, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 4777, 195, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 532, 14, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 89, 9, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 60, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 114, 5, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 54, 14, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 1677, 7, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 2221, 5, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 125, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 414, 50, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 101, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 4759, 118, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 488, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 524, 3, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1087, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1850, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1357, 12, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 5532, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1072, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 1895, 10, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 768, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91511, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 399, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91512, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 878, 5, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91513, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1573, 14, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91514, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 1937, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91515, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1546, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91516, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 756, 191, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91517, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 953, 9, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91518, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 138, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91519, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 119, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91520, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 4770, 313, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91521, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 414, 50, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91522, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 102, 30, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91523, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 203, 34, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91524, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 48, 46, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91525, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 19, 7, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91526, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 96, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91527, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 11056, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91528, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 2221, 5, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91529, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1186, 83, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91530, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 4586, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91531, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 277, 5, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91532, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 246, 37, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91533, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1850, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91534, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1260, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91535, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 126, 131, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91536, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 4624, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91537, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 2221, 5, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91538, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 164, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91539, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 129, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91540, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 345, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91541, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 5, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91542, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 399, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91543, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 414, 50, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91544, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 658, 34, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91545, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 119, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91546, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 893, 35, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91547, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 801, 32, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91548, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 795, 41, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91549, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 704, 26, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91550, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 616, 23, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91551, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 101, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91552, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 125, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91553, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 768, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91554, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 4586, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91555, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 142, 19, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91556, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 76, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91557, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 157, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91558, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1850, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91559, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1260, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91560, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 1937, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91561, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 1895, 10, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91562, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 122, 30, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91563, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 93, 38, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91564, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 181, 27, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91565, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1072, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91566, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 11056, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91567, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91568, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4624, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91569, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 9, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91570, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1040, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91571, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 86, 15, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91572, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 60, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91573, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1402, 18, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91574, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91575, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 119, 15, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91576, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1827, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91577, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1405, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91578, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1357, 12, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91579, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1087, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91580, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 14, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91581, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 138, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91582, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 4759, 118, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91583, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 19, 12, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91584, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 4777, 195, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91585, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 48, 15, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91586, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 63, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91587, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1430, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91588, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1162, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91589, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 185, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91590, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 765, 7, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91591, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 203, 34, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91592, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1153, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91593, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 234, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91594, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1189, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91595, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1099, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91596, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 250, 26, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91597, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 89, 9, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91598, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 114, 5, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91599, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 63, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91600, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 532, 14, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91601, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 54, 14, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91602, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 1677, 7, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91603, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 101, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91604, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 125, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91605, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1357, 12, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91606, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1087, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91607, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 232, 35, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91608, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 175, 35, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91609, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 768, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91610, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 1895, 10, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91611, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 208, 41, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91612, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 249, 28, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91613, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 142, 19, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91614, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1430, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91615, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 76, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91616, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4624, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91617, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1162, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91618, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 185, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91619, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91620, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 60, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91621, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91622, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 70, 20, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91623, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 68, 22, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91624, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 174, 34, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91625, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 4777, 195, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91626, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 4759, 118, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91627, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 414, 50, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91628, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 2221, 5, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91629, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 316, 33, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91630, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 652, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91631, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 399, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91632, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 203, 34, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91633, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 86, 15, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91634, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 250, 26, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91635, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 164, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91636, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 119, 15, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91637, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 4586, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91638, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 157, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91639, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 122, 30, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91640, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 437, 37, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91641, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 129, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91642, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 234, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91643, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 824, 21, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91644, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1827, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91645, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 217, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91646, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 181, 27, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91647, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1357, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91648, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 93, 38, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91649, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 553, 53, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91650, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 588, 30, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91651, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 567, 31, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91652, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 765, 7, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91653, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 821, 33, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91654, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1099, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91655, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 472, 18, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91656, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1189, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91657, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 722, 16, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91658, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 691, 51, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91659, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1040, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91660, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1153, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91661, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 524, 3, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91662, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1402, 18, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91663, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 488, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91664, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 616, 23, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91665, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 801, 32, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91666, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 704, 26, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91667, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 795, 41, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91668, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 893, 35, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91669, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 5, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91670, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 345, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91671, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 658, 34, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91672, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 19, 12, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91673, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 138, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91674, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 14, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91675, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 48, 15, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91676, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 5532, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91677, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1072, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91678, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1850, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91679, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 116, 14, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91680, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 288, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91681, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 212, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91682, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 167, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91683, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 184, 42, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91684, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 150, 43, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91685, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 264, 7, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91686, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 211, 36, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91687, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 150, 42, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91688, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 621, 25, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91689, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 79, 27, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91690, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 1157, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91691, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 205, 32, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91692, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 242, 20, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91693, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 215, 33, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91694, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1040, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91695, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1153, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91696, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 164, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91697, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1189, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91698, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1850, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91699, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1099, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91700, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 129, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91701, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 765, 7, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91702, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91703, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 181, 27, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91704, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 93, 38, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91705, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 122, 30, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91706, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 157, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91707, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 138, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91708, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 19, 12, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91709, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 48, 15, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91710, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 14, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91711, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 119, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91712, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1402, 18, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91713, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1405, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91714, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1827, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91715, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 250, 26, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91716, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 234, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91717, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1087, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91718, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1357, 12, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91719, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91720, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 60, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91721, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 399, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91722, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 658, 34, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91723, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 4777, 195, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91724, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4624, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91725, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 414, 50, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91726, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 4759, 118, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91727, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 801, 32, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91728, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 795, 41, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91729, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 893, 35, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91730, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 704, 26, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91731, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 616, 23, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91732, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 1937, 6, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91733, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 1895, 10, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91734, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 768, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91735, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 2221, 5, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91736, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 4586, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91737, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 101, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91738, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 125, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91739, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 11056, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91740, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 119, 15, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91741, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 76, 11, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91742, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1260, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91743, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 86, 15, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91744, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 203, 34, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91745, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 185, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91746, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1430, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91747, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 63, 2, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91748, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1072, 8, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91749, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 9, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91750, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1162, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91751, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 142, 19, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91752, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 5, 1, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91753, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 345, 4, 2023, 12, 26, '2024-08-05 14:03:15', NULL, NULL), (91754, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 269, 159, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91755, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 141, 44, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91756, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1043, 78, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91757, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 475, 272, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91758, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 516, 66, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91759, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 365, 426, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91760, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 167, 58, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91761, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 906, 321, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91762, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 2848, 484, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91763, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 383, 439, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91764, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 708, 119, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91765, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 507, 69, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91766, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 172, 63, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91767, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 433, 238, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91768, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 276, 160, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91769, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2817, 491, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91770, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 902, 331, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91771, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 26, 19, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91772, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 260, 50, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91773, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 269, 159, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91774, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 3546, 337, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91775, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 9902, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91776, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 299, 36, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91777, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 7, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91778, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 2902, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91779, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 881, 4, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91780, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 225, 33, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91781, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91782, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 26, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91783, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 882, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91784, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 74, 12, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91785, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 274, 7, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91786, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 3, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91787, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5841, 9, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91788, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 124, 132, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91789, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 30, 38, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91790, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1226, 11, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91791, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 5, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91792, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2076, 81, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91793, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 724, 7, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91794, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 116, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91795, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 8, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 9, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 23, 9, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 71, 25, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 29, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 135, 28, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 87, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 407, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 225, 33, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 4652, 4, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 148, 27, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 115, 21, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 26, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 104, 24, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2300, 8, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 90, 19, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 238, 23, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 986, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 39, 7, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 389, 45, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 52, 9, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2471, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 409, 46, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 8, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1613, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 375, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 55, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 110, 26, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 386, 46, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1500, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2681, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 150, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 105, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 469, 33, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1371, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 6, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 349, 49, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1647, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 1754, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 7885, 6, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 573, 49, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 704, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 189, 15, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 302, 29, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1813, 12, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (91840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 810, 23, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 3717, 186, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 767, 20, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 1253, 17, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 912, 18, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 21, 5, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 5, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 1584, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 317, 15, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 990, 101, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 103, 16, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 1076, 47, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 4, 5, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 989, 46, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 476, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 163, 14, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 7, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 325, 28, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 20, 4, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 286, 32, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 260, 50, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 713, 20, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 222, 28, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 180, 6, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 239, 31, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 1070, 4, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 331, 30, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 3336, 151, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 828, 5, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 417, 42, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 2700, 9, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 373, 9, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 224, 27, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 882, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2156, 14, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 4, 18, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 142, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1334, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 40, 19, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 443, 9, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 263, 4, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 952, 14, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 273, 5, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1102, 31, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 279, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 573, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 3, 6, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 777, 27, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91890, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 26, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91891, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 881, 4, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91892, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 274, 7, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91893, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 5, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91894, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 9902, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91895, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 269, 159, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91896, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 74, 12, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91897, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1226, 11, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91898, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 3, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91899, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 3546, 337, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91900, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 260, 50, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91901, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 26, 19, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91902, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 225, 33, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91903, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 30, 38, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91904, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 8, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91905, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 116, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91906, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 7, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91907, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2076, 81, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91908, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 845, 6, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91909, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 299, 36, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91910, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 882, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91911, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 2902, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91912, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 124, 132, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91913, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5841, 9, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91914, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 7, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91915, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 9, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91916, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 87, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91917, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 986, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91918, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 704, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91919, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 26, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91920, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 260, 50, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91921, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 224, 27, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91922, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 3, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91923, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 331, 30, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91924, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 286, 32, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91925, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 222, 28, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91926, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 163, 14, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91927, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 325, 28, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91928, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 180, 6, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91929, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 20, 4, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91930, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 279, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91931, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 110, 26, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91932, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 189, 15, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91933, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 148, 27, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91934, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 882, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91935, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 2902, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91936, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 5, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91937, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 273, 5, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91938, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 90, 19, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91939, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 104, 24, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91940, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 115, 21, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91941, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1334, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91942, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 7885, 6, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91943, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91944, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 39, 7, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91945, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 1754, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91946, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1813, 12, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91947, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 142, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91948, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 23, 9, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91949, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91950, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2300, 8, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91951, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 29, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91952, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 5, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91953, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 9902, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91954, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2156, 14, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91955, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 55, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91956, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 105, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91957, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 52, 9, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91958, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 3336, 151, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91959, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 8, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91960, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 3717, 186, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91961, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 6, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91962, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 150, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91963, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 375, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91964, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1500, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91965, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2681, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91966, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1371, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91967, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1647, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91968, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 225, 33, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91969, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 407, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91970, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2471, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91971, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1613, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91972, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 238, 23, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91973, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 21, 5, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91974, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 1584, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91975, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 1253, 17, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91976, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 103, 16, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91977, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 4, 5, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91978, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 180, 6, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91979, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 20, 4, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91980, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2156, 14, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91981, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 417, 42, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91982, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 476, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91983, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 279, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91984, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 273, 5, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91985, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 239, 31, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91986, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 71, 25, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91987, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 110, 26, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91988, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 150, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91989, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 189, 15, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91990, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 375, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91991, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 1754, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91992, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 7885, 6, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91993, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1500, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91994, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 6, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91995, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91996, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 3, 6, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91997, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 5, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91998, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 40, 19, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (91999, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 4, 18, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92000, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 3717, 186, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92001, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 3336, 151, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92002, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 260, 50, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92003, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 7, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92004, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 135, 28, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92005, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 325, 28, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92006, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 26, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92007, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 225, 33, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92008, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 286, 32, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92009, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 238, 23, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92010, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 23, 9, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92011, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 9, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92012, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 29, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92013, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 163, 14, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92014, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 222, 28, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92015, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 331, 30, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92016, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 148, 27, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92017, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 990, 101, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92018, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 90, 19, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92019, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 87, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92020, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 407, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92021, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 317, 15, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92022, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 115, 21, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92023, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 989, 46, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92024, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 4652, 4, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92025, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 104, 24, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92026, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 1076, 47, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92027, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1371, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92028, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 810, 23, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92029, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2681, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92030, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 1070, 4, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92031, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 912, 18, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92032, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1613, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92033, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 767, 20, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92034, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2471, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92035, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 713, 20, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92036, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 704, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92037, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 986, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92038, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 224, 27, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92039, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 8, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92040, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 55, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92041, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 39, 7, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92042, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 52, 9, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92043, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 105, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92044, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92045, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 142, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92046, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1334, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92047, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 882, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92048, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 777, 27, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92049, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1813, 12, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92050, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1647, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92051, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 373, 9, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92052, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 573, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92053, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1102, 31, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92054, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 2700, 9, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92055, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 349, 49, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92056, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 469, 33, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92057, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 443, 9, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92058, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2300, 8, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92059, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 386, 46, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92060, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 952, 14, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92061, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 409, 46, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92062, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 828, 5, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92063, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 263, 4, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92064, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 389, 45, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92065, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 302, 29, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92066, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 573, 49, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92067, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1813, 12, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92068, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1647, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92069, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 9, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92070, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2471, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92071, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 882, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92072, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1613, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92073, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1371, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92074, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 87, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92075, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2681, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92076, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 5, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92077, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 115, 21, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92078, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 104, 24, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92079, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 90, 19, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92080, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 148, 27, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92081, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 52, 9, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92082, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 39, 7, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92083, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 55, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92084, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 8, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92085, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92086, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 105, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92087, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 3, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92088, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2300, 8, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92089, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 9902, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92090, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 238, 23, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92091, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 407, 13, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92092, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2156, 14, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92093, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 6, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92094, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92095, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 26, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92096, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 224, 27, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92097, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 3717, 186, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92098, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 1754, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92099, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 260, 50, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92100, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 3336, 151, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92101, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 7885, 6, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92102, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 286, 32, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92103, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 222, 28, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92104, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 331, 30, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92105, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 163, 14, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92106, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 325, 28, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92107, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 5, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92108, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 273, 5, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92109, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 279, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92110, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 7, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92111, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 180, 6, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92112, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 20, 4, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92113, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 29, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92114, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 189, 15, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92115, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 2902, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92116, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 23, 9, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92117, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 225, 33, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92118, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1500, 2, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92119, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 150, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92120, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1334, 10, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92121, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 142, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92122, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 375, 1, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92123, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 110, 26, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92124, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 704, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92125, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 986, 3, 2023, 12, 27, '2024-08-05 14:03:16', NULL, NULL), (92126, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 320, 152, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92127, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 246, 60, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92128, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1073, 66, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92129, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 735, 267, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92130, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 640, 84, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92131, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 719, 459, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92132, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 367, 56, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92133, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 992, 291, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92134, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1533, 439, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92135, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 780, 469, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92136, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 674, 107, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92137, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 633, 85, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92138, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 444, 77, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92139, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 480, 241, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92140, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 317, 157, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92141, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1597, 447, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92142, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 982, 296, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92143, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 158, 23, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92144, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 313, 155, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92145, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 910, 65, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92146, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1933, 266, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92147, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1470, 6, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92148, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 610, 46, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92149, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 3532, 5, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92150, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1757, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92151, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 118, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92152, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 185, 27, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92153, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 6323, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92154, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 76, 7, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92155, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 7136, 16, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92156, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 590, 18, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92157, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 524, 12, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92158, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 469, 8, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92159, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 15, 39, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92160, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 400, 141, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92161, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 286, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92162, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 264, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92163, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 882, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92164, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 890, 85, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92165, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 394, 20, 2023, 12, 28, '2024-08-05 14:03:17', NULL, NULL), (92166, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 13, 6, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92167, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 383, 15, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 111, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 353, 20, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 216, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 67, 9, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 727, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 274, 33, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 3384, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 582, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 185, 27, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1960, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1250, 5, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 132, 12, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 340, 20, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 76, 7, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 453, 29, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 414, 37, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1125, 15, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 623, 32, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 1890, 10, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 352, 12, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 14, 10, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 857, 51, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 15, 11, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 767, 30, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 861, 10, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 10, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 468, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 78, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 81, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 384, 37, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 254, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1036, 46, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 902, 6, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 61, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 943, 12, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 931, 45, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 853, 44, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1186, 9, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 748, 5, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 6323, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 940, 49, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 457, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 802, 27, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1241, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 477, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 736, 9, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1956, 119, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 14, 6, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 1041, 23, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 14, 5, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 1253, 27, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 8, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 1242, 36, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 7, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 154, 22, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 1007, 73, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 882, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 707, 29, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 1306, 30, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 973, 39, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 256, 31, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 255, 29, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 3532, 5, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 276, 15, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 910, 65, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 819, 25, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 438, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 454, 28, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 330, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 355, 11, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 351, 22, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 122, 56, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1914, 147, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 527, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 2115, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 208, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 624, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 321, 27, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 698, 15, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 8156, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 264, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 11, 25, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 286, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 177, 25, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 552, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1248, 30, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 750, 19, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (92258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 598, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 375, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 754, 31, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 6, 12, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92262, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 76, 7, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92263, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 118, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92264, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 524, 12, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92265, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 882, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92266, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1470, 6, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92267, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 320, 152, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92268, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 286, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92269, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 590, 18, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92270, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1933, 266, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92271, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 910, 65, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92272, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 158, 23, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92273, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 185, 27, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92274, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 15, 39, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92275, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 13, 6, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92276, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 383, 15, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92277, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 264, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92278, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 3532, 5, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92279, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 890, 85, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92280, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 394, 20, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92281, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 610, 46, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92282, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 8156, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92283, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 6323, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92284, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1757, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92285, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 400, 141, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92286, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 469, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92287, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 3532, 5, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92288, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 111, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92289, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 727, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92290, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 352, 12, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92291, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 457, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92292, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 76, 7, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92293, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 910, 65, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92294, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 321, 27, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92295, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 351, 22, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92296, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 276, 15, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92297, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 454, 28, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92298, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 256, 31, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92299, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 255, 29, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92300, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 355, 11, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92301, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 438, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92302, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 375, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92303, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 902, 6, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92304, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 384, 37, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92305, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 132, 12, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92306, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 8156, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92307, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 2912, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92308, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1180, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92309, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 882, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92310, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 598, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92311, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 414, 37, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92312, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 453, 29, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92313, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 340, 20, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92314, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 286, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92315, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 748, 5, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92316, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 7, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92317, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 264, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92318, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 14, 10, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92319, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92320, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1241, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92321, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 216, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92322, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1125, 15, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92323, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 14, 5, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92324, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 67, 9, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92325, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1643, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92326, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1297, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92327, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 698, 15, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92328, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 624, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92329, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 81, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92330, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92331, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 15, 11, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92332, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1914, 147, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92333, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 10, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92334, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1956, 119, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92335, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92336, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 477, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92337, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 6323, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92338, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 61, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92339, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 78, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92340, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 254, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92341, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 943, 12, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92342, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1186, 9, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92343, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 185, 27, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92344, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 582, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92345, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 861, 10, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92346, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 468, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92347, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 623, 32, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92348, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 8, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92349, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 477, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92350, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 14, 6, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92351, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 154, 22, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92352, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 882, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92353, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 438, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92354, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 355, 11, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92355, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 698, 15, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92356, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 624, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92357, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 973, 39, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92358, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 375, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92359, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 598, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92360, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 122, 56, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92361, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 353, 20, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92362, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 384, 37, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92363, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 902, 6, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92364, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 61, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92365, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92366, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 78, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92367, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 748, 5, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92368, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 254, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92369, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 7, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92370, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 14, 5, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92371, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 6, 12, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92372, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 177, 25, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92373, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 11, 25, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92374, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1956, 119, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92375, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1914, 147, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92376, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 910, 65, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92377, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 3532, 5, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92378, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 274, 33, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92379, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 3384, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92380, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 76, 7, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92381, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 255, 29, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92382, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 185, 27, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92383, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 276, 15, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92384, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 623, 32, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92385, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 216, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92386, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 111, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92387, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 67, 9, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92388, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 256, 31, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92389, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 454, 28, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92390, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 351, 22, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92391, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 132, 12, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92392, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 727, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92393, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 414, 37, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92394, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 1007, 73, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92395, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 582, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92396, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 1242, 36, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92397, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1960, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92398, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 1306, 30, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92399, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 340, 20, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92400, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1250, 5, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92401, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 453, 29, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92402, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 707, 29, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92403, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 736, 9, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92404, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 330, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92405, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 943, 12, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92406, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 1253, 27, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92407, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 1041, 23, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92408, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 468, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92409, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 861, 10, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92410, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 819, 25, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92411, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 457, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92412, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 352, 12, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92413, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 321, 27, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92414, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 6323, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92415, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 10, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92416, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 81, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92417, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 14, 10, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92418, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 15, 11, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92419, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92420, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92421, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 264, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92422, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 286, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92423, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 8156, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92424, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 754, 31, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92425, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1241, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92426, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1186, 9, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92427, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 208, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92428, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 750, 19, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92429, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 2115, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92430, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 853, 44, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92431, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 931, 45, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92432, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 552, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92433, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1125, 15, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92434, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1036, 46, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92435, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1248, 30, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92436, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 767, 30, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92437, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 527, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92438, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 857, 51, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92439, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 1890, 10, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92440, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 802, 27, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92441, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 940, 49, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92442, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1241, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92443, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1186, 9, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92444, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 111, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92445, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 861, 10, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92446, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 8156, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92447, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 468, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92448, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 727, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92449, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 943, 12, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92450, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 14, 5, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92451, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 340, 20, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92452, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 453, 29, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92453, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 414, 37, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92454, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 132, 12, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92455, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 15, 11, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92456, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 14, 10, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92457, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 81, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92458, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 10, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92459, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92460, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92461, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1125, 15, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92462, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1297, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92463, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1643, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92464, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 623, 32, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92465, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 582, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92466, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 624, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92467, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 6323, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92468, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 698, 15, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92469, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 7, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92470, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 76, 7, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92471, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 321, 27, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92472, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1956, 119, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92473, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92474, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 910, 65, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92475, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1914, 147, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92476, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 748, 5, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92477, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 276, 15, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92478, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 454, 28, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92479, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 351, 22, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92480, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 256, 31, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92481, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 255, 29, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92482, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 882, 3, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92483, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 598, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92484, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 375, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92485, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 3532, 5, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92486, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 355, 11, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92487, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 438, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92488, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 264, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92489, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 67, 9, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92490, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1180, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92491, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 216, 14, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92492, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 2912, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92493, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 185, 27, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92494, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 254, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92495, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 61, 1, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92496, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 477, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92497, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 286, 4, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92498, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 78, 2, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92499, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 384, 37, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92500, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 902, 6, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92501, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 457, 8, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92502, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 352, 12, 2023, 12, 28, '2024-08-05 14:03:18', NULL, NULL), (92503, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 1194, 38, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92504, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 269, 54, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92505, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 369, 70, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92506, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1009, 61, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92507, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 2518, 16, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92508, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1315, 461, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92509, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 500, 215, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92510, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 428, 86, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92511, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 3247, 385, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92512, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1306, 464, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92513, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 714, 99, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92514, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1612, 25, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92515, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 378, 109, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92516, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 247, 104, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92517, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 1031, 44, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92518, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 3189, 392, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92519, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 500, 217, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92520, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 50, 8, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92521, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 615, 53, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92522, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 1080, 42, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92523, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 3951, 217, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92524, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 17, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92525, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 946, 12, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92526, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 717, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92527, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 0, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92528, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1911, 3, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92529, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 292, 38, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92530, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92531, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 3863, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92532, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 0, 7, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92533, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '', 0, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92534, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 102, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92535, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92536, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 2860, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92537, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 34, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92538, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 271, 34, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92539, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 5, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92540, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 28, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92541, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 5, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92542, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 3390, 105, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92543, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 253, 21, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92544, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 33, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92545, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92546, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '', '', '', 0, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 74, 5, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 483, 53, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 10, 3, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 322, 32, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 8822, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 292, 38, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 34, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 3863, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 3398, 17, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 506, 5, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 2317, 21, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 108, 10, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 218, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1422, 44, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 240, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2588, 9, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 7, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2564, 5, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2863, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 1566, 49, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 806, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 24, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2631, 13, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 1806, 34, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 4244, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 278, 13, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 1911, 54, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2926, 22, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 187, 3, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 10880, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 1625, 28, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 385, 11, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 1763, 34, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 3468, 11, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 629, 30, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 3534, 92, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 248, 9, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 452, 17, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 2, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 555, 40, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 3, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 628, 29, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 558, 14, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 82, 7, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 2, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 296, 22, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 5, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 376, 11, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 2016, 29, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 566, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 717, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 860, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 33, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 467, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 615, 53, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 446, 8, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 1059, 11, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 438, 8, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 1709, 16, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 185, 43, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 4327, 123, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 1637, 35, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 924, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1712, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 6609, 7, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 15, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 507, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 3923, 18, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 28, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 314, 40, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 5, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 239, 36, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 255, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 363, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 866, 12, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 979, 30, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1280, 8, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 102, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 417, 36, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 236, 14, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92628, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 3863, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92629, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1911, 3, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92630, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 102, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92631, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 5, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92632, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 34, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92633, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 1194, 38, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92634, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 5, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92635, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 3987, 215, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92636, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 615, 53, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92637, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 50, 8, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92638, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 292, 38, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92639, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 279, 33, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92640, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92641, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 33, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92642, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 28, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92643, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 717, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92644, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 3423, 104, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92645, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 253, 21, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92646, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1892, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92647, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 2860, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92648, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 717, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92649, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 5, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92650, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 10880, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92651, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 108, 10, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92652, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 218, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92653, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 28, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92654, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 2, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92655, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 385, 11, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92656, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 187, 3, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92657, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 3468, 11, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92658, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 3863, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92659, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 615, 53, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92660, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 74, 5, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92661, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 3, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (92662, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 507, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92663, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 3398, 17, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92664, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 2, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92665, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 10, 3, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92666, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 34, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92667, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 1709, 16, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92668, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 3923, 18, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92669, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 467, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92670, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 1059, 11, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92671, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 566, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92672, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 860, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92673, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 6609, 7, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92674, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 806, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92675, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 24, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92676, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 240, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92677, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 4327, 123, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92678, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92679, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 3534, 92, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92680, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 278, 13, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92681, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 33, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92682, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 102, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92683, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 7, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92684, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 2863, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92685, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2631, 13, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92686, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 4244, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92687, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 292, 38, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92688, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2926, 22, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92689, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 8822, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92690, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2588, 9, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92691, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2564, 5, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92692, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 5, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92693, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 506, 5, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92694, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 248, 9, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92695, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 82, 7, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92696, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 5, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92697, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 33, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92698, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 3923, 18, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92699, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 6609, 7, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92700, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 1637, 35, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92701, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 2016, 29, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92702, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 102, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92703, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 185, 43, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92704, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 483, 53, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92705, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 7, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92706, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 187, 3, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92707, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2863, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92708, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 10880, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92709, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 2, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92710, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 3, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92711, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 2, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92712, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 236, 14, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92713, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 239, 36, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92714, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 314, 40, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92715, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 3534, 92, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92716, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 4327, 123, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92717, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 615, 53, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92718, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 717, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92719, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 322, 32, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92720, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 292, 38, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92721, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 3863, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92722, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 860, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92723, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 467, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92724, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 74, 5, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92725, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 506, 5, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92726, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 10, 3, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92727, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 566, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92728, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 1059, 11, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92729, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 1709, 16, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92730, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 558, 14, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92731, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 628, 29, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92732, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 8822, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92733, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 376, 11, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92734, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 34, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92735, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 296, 22, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92736, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 4244, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92737, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 629, 30, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92738, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 438, 8, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92739, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2631, 13, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92740, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 555, 40, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92741, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 452, 17, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92742, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2564, 5, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92743, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2588, 9, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92744, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 446, 8, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92745, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 385, 11, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92746, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 507, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92747, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 108, 10, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92748, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92749, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 806, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92750, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 218, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92751, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 240, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92752, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 24, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92753, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 278, 13, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92754, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 28, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92755, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 5, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92756, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 417, 36, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92757, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 3468, 11, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92758, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2926, 22, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92759, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 15, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92760, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 924, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92761, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1280, 8, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92762, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 979, 30, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92763, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1712, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92764, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 1911, 54, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92765, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 1806, 34, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92766, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 255, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92767, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 3398, 17, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92768, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 1566, 49, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92769, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 866, 12, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92770, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 363, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92771, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1422, 44, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92772, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 2317, 21, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92773, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 1763, 34, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92774, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 1625, 28, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92775, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 3468, 11, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92776, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 467, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92777, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2926, 22, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92778, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 1059, 11, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92779, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 1709, 16, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92780, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 566, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92781, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 860, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92782, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 5, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92783, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2588, 9, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92784, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2564, 5, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92785, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 4244, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92786, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2631, 13, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92787, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 102, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92788, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 2, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92789, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 717, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92790, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 33, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92791, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 240, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92792, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 218, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92793, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 806, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92794, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92795, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 278, 13, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92796, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 24, 4, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92797, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 3398, 17, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92798, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 28, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92799, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 34, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92800, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 10, 3, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92801, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 506, 5, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92802, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 8822, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92803, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 74, 5, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92804, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 2863, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92805, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 292, 38, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92806, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 6609, 7, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92807, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 5, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92808, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 7, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92809, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 3923, 18, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92810, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 2, 2, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92811, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 3, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92812, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 3863, 6, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92813, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 507, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92814, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 3534, 92, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92815, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 187, 3, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92816, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 615, 53, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92817, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 385, 11, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92818, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 4327, 123, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92819, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 108, 10, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92820, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 10880, 1, 2023, 12, 29, '2024-08-05 14:03:19', NULL, NULL), (92821, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 6, 1, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92822, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 205, 34, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92823, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1456, 38, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92824, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 253, 26, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92825, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 184, 38, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92826, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 6, 1, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92827, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1456, 38, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92828, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 0, 1, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92829, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 212, 31, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92830, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 590, 4, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92831, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 4, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92832, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 2, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92833, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 200, 21, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92834, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 6, 1, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92835, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 1, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1131, 23, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 210, 20, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 6, 1, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 8, 5, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1954, 15, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 7, 2, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 65, 12, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 32, 1, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 62, 1, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 409, 15, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 766, 3, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 6, 1, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92848, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 210, 20, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92849, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 6, 1, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92850, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 590, 4, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92851, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 7, 2, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92852, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 6, 1, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92853, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 62, 1, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92854, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 7, 2, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92855, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 766, 3, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92856, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 210, 20, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92857, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 62, 1, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92858, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1131, 23, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92859, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 7, 2, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92860, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 6, 1, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92861, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 409, 15, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92862, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 210, 20, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92863, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 32, 1, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92864, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 65, 12, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92865, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 766, 3, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92866, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 8, 5, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92867, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1954, 15, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92868, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 6, 1, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92869, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 210, 20, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92870, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 6, 1, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92871, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 62, 1, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92872, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 766, 3, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92873, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 7, 2, 2023, 12, 30, '2024-08-05 14:03:20', NULL, NULL), (92874, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 7595, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92875, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 129, 3, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92876, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 475, 28, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92877, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 503, 24, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92878, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 192, 8, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92879, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 443, 30, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92880, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 503, 24, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92881, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 97, 4, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92882, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 7595, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92883, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 170, 9, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92884, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 467, 2, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92885, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 129, 3, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92886, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92887, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 7595, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92888, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92889, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 119, 5, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92890, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 503, 24, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 9, 4, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 129, 3, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 77, 6, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 627, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 165, 3, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 308, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 757, 12, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 7595, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 119, 5, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 1075, 3, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92903, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 119, 5, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92904, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 129, 3, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92905, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 467, 2, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92906, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92907, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 7595, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92908, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92909, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 7595, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92910, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 627, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92911, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 308, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92912, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 129, 3, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92913, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 119, 5, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92914, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 129, 3, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92915, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 503, 24, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92916, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 7595, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92917, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 627, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92918, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 308, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92919, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92920, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 1075, 3, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92921, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 757, 12, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92922, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 165, 3, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92923, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 119, 5, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92924, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 77, 6, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92925, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 9, 4, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92926, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 7595, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92927, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 129, 3, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92928, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 119, 5, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92929, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 627, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92930, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 308, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92931, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2023, 12, 31, '2024-08-05 14:03:21', NULL, NULL), (92932, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 6, 1, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92933, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 65, 3, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92934, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 306, 22, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92935, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 4, 2, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92936, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 44, 6, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92937, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 260, 26, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92938, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 6, 1, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92939, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 19, 7, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92940, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 0, 2, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92941, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 37, 8, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92942, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92943, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92944, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 65, 3, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92945, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 44, 6, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92946, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 0, 1, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92947, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 6, 1, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92948, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 1, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 4, 2, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 28, 4, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 6, 1, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 269, 5, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 136, 4, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 174, 6, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 1229, 3, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 65, 3, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 44, 6, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92958, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 44, 6, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92959, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 6, 1, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92960, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 65, 3, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92961, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 65, 3, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92962, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 6, 1, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92963, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 44, 6, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92964, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 4, 2, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92965, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 1229, 3, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92966, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 174, 6, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92967, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 136, 4, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92968, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 44, 6, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92969, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 269, 5, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92970, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 28, 4, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92971, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 1, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92972, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 65, 3, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92973, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 65, 3, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92974, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 1, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92975, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 44, 6, 2024, 1, 1, '2024-08-05 14:03:23', NULL, NULL), (92976, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 160, 105, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92977, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 121, 36, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92978, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 645, 40, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92979, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 205, 245, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92980, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1629, 122, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92981, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 84, 382, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92982, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 992, 149, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92983, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 138, 151, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92984, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1350, 271, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92985, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 84, 392, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92986, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 354, 73, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92987, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1592, 125, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92988, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 672, 161, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92989, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 194, 229, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92990, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 156, 108, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92991, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1339, 275, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92992, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 374, 178, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92993, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 95, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92994, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 174, 7, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92995, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 1272, 41, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92996, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 157, 107, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92997, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1633, 143, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92998, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 604, 6, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (92999, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1551, 74, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93000, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 9, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93001, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 96, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93002, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 3388, 19, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93003, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 89, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93004, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 827, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93005, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1204, 12, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93006, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 247, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93007, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 133, 9, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93008, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1129, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93009, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 3, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93010, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 0, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93011, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 108, 10, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93012, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 190, 111, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93013, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 27, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93014, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 482, 8, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93015, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 477, 9, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93016, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 980, 77, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93017, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 14, 10, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93018, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 6, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93019, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 111, 9, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 262, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 37, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 1265, 18, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 434, 9, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 95, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1204, 12, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1166, 12, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 1643, 56, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 185, 39, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 107, 16, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 75, 29, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1250, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2039, 10, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1690, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 5499, 8, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 63, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1391, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 89, 30, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 980, 6, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 66, 28, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 962, 13, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 70, 45, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 47, 34, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 907, 11, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 178, 32, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 202, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 133, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 112, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 115, 29, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 118, 13, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 76, 25, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 145, 10, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 108, 15, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 200, 27, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 125, 14, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 31, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 148, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 171, 13, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 74, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 491, 7, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 855, 6, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 190, 19, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 61, 21, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 106, 17, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 19, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 766, 13, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 629, 8, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 442, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 78, 21, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 120, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 113, 17, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 32, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 627, 66, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (93073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 530, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 692, 71, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 89, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1883, 7, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 322, 23, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 157, 9, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 206, 29, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 119, 14, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 6, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 86, 16, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 7, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 17, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 27, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 145, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 2067, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 177, 18, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 18, 8, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1727, 94, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 413, 6, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 119, 27, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 216, 15, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 316, 19, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 359, 12, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 253, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 9, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 21, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 1272, 41, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 123, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 142, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1455, 49, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 8834, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 730, 10, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 247, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 714, 13, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 856, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 322, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 3110, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 469, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93116, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1204, 12, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93117, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3577, 18, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93118, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1129, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93119, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 477, 9, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93120, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 604, 6, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93121, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 160, 105, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93122, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 149, 8, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93123, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 550, 7, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93124, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 3, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93125, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1633, 143, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93126, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 1272, 41, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93127, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 174, 7, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93128, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 89, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93129, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 26, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93130, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 6, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93131, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 111, 9, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93132, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 9, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93133, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 993, 76, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93134, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 95, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93135, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 18, 8, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93136, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1551, 74, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93137, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 247, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93138, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 2067, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93139, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 96, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93140, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 193, 109, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93141, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 108, 10, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93142, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 9, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93143, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 262, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93144, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 37, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93145, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 18, 8, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93146, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1204, 12, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93147, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 1272, 41, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93148, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 190, 19, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93149, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 3, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93150, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 148, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93151, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 200, 27, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93152, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 125, 14, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93153, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 145, 10, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93154, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 108, 15, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93155, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 142, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93156, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 123, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93157, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 21, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93158, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 469, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93159, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 95, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93160, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 86, 16, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93161, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 177, 18, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93162, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 322, 23, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93163, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 247, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93164, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 96, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93165, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 477, 9, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93166, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 3110, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93167, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 119, 14, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93168, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 206, 29, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93169, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 157, 9, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93170, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 322, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93171, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 145, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93172, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 6, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93173, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93174, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 27, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93175, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 856, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93176, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 907, 11, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93177, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 32, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93178, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1166, 12, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93179, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 530, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93180, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93181, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 604, 6, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93182, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 253, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93183, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 714, 13, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93184, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 730, 10, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93185, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 7, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93186, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 2, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93187, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93188, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1455, 49, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93189, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93190, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1727, 94, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93191, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 17, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93192, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 2067, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93193, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2039, 10, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93194, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 5499, 8, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93195, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1690, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93196, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1391, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93197, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 980, 6, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93198, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 962, 13, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93199, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 89, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93200, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 1265, 18, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93201, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1250, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93202, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 1643, 56, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93203, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 119, 27, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93204, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 216, 15, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93205, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 413, 6, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93206, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 253, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93207, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 316, 19, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93208, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 359, 12, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93209, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 123, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93210, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 142, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93211, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 21, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93212, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 714, 13, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93213, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 730, 10, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93214, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 74, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93215, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 76, 25, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93216, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 469, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93217, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 3110, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93218, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 31, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93219, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 627, 66, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93220, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 86, 16, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93221, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 177, 18, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93222, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 27, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93223, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2039, 10, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93224, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 145, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93225, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 5499, 8, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93226, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93227, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 113, 17, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93228, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93229, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 78, 21, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93230, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 106, 17, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93231, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 61, 21, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93232, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1727, 94, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93233, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1455, 49, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93234, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 1272, 41, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93235, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 9, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93236, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 692, 71, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93237, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1883, 7, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93238, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1204, 12, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93239, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 89, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93240, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 32, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93241, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 1643, 56, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93242, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 530, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93243, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 262, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93244, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 95, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93245, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 322, 23, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93246, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 37, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93247, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 119, 14, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93248, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 112, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93249, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 133, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93250, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 1265, 18, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93251, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 118, 13, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93252, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 157, 9, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93253, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 115, 29, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93254, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 206, 29, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93255, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 434, 9, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93256, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 980, 6, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93257, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1391, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93258, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 171, 13, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93259, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1690, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93260, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 202, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93261, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 178, 32, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93262, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1250, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93263, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 120, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93264, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 907, 11, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93265, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 962, 13, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93266, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1166, 12, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93267, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 8834, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93268, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 108, 15, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93269, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 200, 27, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93270, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 145, 10, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93271, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 125, 14, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93272, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 148, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93273, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 18, 8, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93274, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 190, 19, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93275, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 2067, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93276, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93277, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 7, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93278, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 6, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93279, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93280, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93281, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 17, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93282, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 856, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93283, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 322, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93284, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 247, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93285, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 855, 6, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93286, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 442, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93287, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 629, 8, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93288, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 491, 7, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93289, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 66, 28, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93290, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 89, 30, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93291, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 63, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93292, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 75, 29, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93293, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 766, 13, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93294, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 107, 16, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93295, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 19, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93296, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 185, 39, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93297, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 47, 34, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93298, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 70, 45, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93299, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 907, 11, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93300, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 962, 13, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93301, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 262, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93302, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 247, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93303, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1690, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93304, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1250, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93305, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 37, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93306, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 980, 6, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93307, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1391, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93308, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93309, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 157, 9, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93310, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 206, 29, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93311, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 119, 14, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93312, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 322, 23, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93313, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93314, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 6, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93315, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 7, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93316, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93317, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 17, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93318, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93319, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 3, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93320, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1166, 12, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93321, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 604, 6, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93322, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 1643, 56, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93323, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 1265, 18, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93324, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 730, 10, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93325, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 2067, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93326, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 714, 13, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93327, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93328, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1204, 12, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93329, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 253, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93330, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 190, 19, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93331, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1727, 94, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93332, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 27, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93333, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 1272, 41, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93334, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1455, 49, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93335, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 145, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93336, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 200, 27, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93337, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 125, 14, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93338, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 148, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93339, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 145, 10, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93340, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 108, 15, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93341, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 477, 9, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93342, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 3110, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93343, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 469, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93344, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 9, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93345, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 95, 1, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93346, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 142, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93347, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 123, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93348, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 21, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93349, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 530, 2, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93350, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 177, 18, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93351, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 96, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93352, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 32, 5, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93353, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 5499, 8, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93354, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 89, 20, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93355, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 322, 4, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93356, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 856, 3, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93357, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2039, 10, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93358, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 86, 16, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93359, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 18, 8, 2024, 1, 2, '2024-08-05 14:03:25', NULL, NULL), (93360, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 322, 135, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93361, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 234, 31, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93362, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 668, 52, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93363, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 166, 264, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93364, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 923, 127, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93365, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 53, 369, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93366, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 844, 84, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93367, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 115, 141, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93368, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 700, 275, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93369, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 54, 375, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93370, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 496, 71, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93371, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 904, 130, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93372, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 664, 116, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93373, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 167, 249, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93374, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 318, 137, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93375, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 676, 286, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93376, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 123, 143, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93377, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 370, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93378, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 55, 17, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93379, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 322, 135, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93380, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 954, 47, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93381, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 527, 118, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93382, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 988, 10, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93383, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 923, 78, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93384, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 352, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93385, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1211, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93386, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1316, 15, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93387, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 52, 31, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93388, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 8, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93389, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2060, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93390, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 85, 6, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93391, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 210, 18, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93392, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 107, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93393, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 6, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93394, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93395, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 128, 8, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93396, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 2, 18, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93397, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 163, 128, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93398, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 54, 13, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93399, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 1847, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93400, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 869, 96, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93401, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 515, 14, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93402, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93403, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 143, 9, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 193, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 217, 13, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 932, 21, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1206, 8, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 483, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 370, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 2060, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 883, 11, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 936, 56, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 49, 28, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 73, 16, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 48, 23, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1399, 9, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 928, 9, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1192, 6, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 51, 15, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 693, 10, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 40, 35, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1278, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 44, 30, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 876, 17, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 35, 32, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 62, 27, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 742, 9, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 122, 14, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 109, 26, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 105, 12, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 112, 24, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 178, 15, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 21, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 64, 16, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 63, 23, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 194, 24, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 184, 16, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 203, 21, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 36, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 639, 29, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 283, 11, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 105, 20, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 277, 24, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 46, 35, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 2290, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 346, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 308, 21, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 19, 22, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 106, 16, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 304, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 140, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 457, 9, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 913, 18, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 207, 9, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 51, 12, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 25, 26, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 91, 21, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 515, 19, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 36, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 644, 60, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 68, 10, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 53, 30, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 5280, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 81, 12, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 151, 24, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 180, 30, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 236, 22, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 6, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 158, 17, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 122, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 168, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 554, 13, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 135, 22, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 573, 45, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 239, 17, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 2, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 43, 13, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 2, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 294, 6, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 77, 17, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 1540, 6, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 440, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 206, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 954, 47, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 123, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 148, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 498, 73, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1366, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1051, 14, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (93495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 752, 21, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 257, 2, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 57, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 60, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 107, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93500, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 2060, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93501, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1316, 15, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93502, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 107, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93503, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 1847, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93504, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 988, 10, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93505, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 322, 135, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93506, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 210, 18, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93507, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 58, 12, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93508, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 6, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93509, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 527, 118, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93510, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 954, 47, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93511, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 55, 17, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93512, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 53, 30, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93513, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 2, 18, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93514, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93515, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 143, 9, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93516, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 440, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93517, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 869, 96, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93518, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 370, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93519, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 554, 13, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93520, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 935, 77, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93521, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 257, 2, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93522, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1211, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93523, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 164, 127, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93524, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 128, 8, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93525, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 440, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93526, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 193, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93527, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 217, 13, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93528, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 554, 13, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93529, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 2060, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93530, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 954, 47, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93531, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 308, 21, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93532, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 6, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93533, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 277, 24, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93534, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 203, 21, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93535, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 639, 29, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93536, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 194, 24, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93537, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 184, 16, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93538, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 148, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93539, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 123, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93540, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 206, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93541, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 107, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93542, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 370, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93543, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 158, 17, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93544, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 135, 22, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93545, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 81, 12, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93546, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 257, 2, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93547, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 1211, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93548, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 1847, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93549, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 236, 22, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93550, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 180, 30, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93551, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 151, 24, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93552, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 60, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93553, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 168, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93554, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93555, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93556, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 122, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93557, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 57, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93558, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 742, 9, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93559, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 36, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93560, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 2, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93561, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 883, 11, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93562, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 2, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93563, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 68, 10, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93564, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1205, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93565, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 483, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93566, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 752, 21, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93567, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1051, 14, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93568, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93569, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93570, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 498, 73, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93571, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 6, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93572, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 573, 45, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93573, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93574, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1399, 9, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93575, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1192, 6, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93576, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 928, 9, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93577, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 693, 10, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93578, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1278, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93579, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 53, 30, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93580, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 876, 17, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93581, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 932, 21, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93582, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 936, 56, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93583, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 43, 13, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93584, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 294, 6, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93585, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 239, 17, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93586, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 77, 17, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93587, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 1540, 6, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93588, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 123, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93589, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 148, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93590, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 206, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93591, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 752, 21, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93592, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1051, 14, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93593, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 46, 35, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93594, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 63, 23, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93595, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 107, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93596, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 105, 20, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93597, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 515, 19, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93598, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 158, 17, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93599, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 135, 22, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93600, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 122, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93601, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1399, 9, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93602, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 168, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93603, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1192, 6, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93604, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 6, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93605, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 2, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93606, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 91, 21, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93607, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 2, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93608, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 25, 26, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93609, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 106, 16, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93610, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 19, 22, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93611, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 573, 45, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93612, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 498, 73, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93613, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 954, 47, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93614, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 440, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93615, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 644, 60, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93616, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 5280, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93617, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 2060, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93618, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 53, 30, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93619, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 36, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93620, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 936, 56, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93621, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 193, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93622, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 68, 10, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93623, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 370, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93624, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 81, 12, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93625, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 178, 15, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93626, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 236, 22, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93627, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 217, 13, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93628, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 112, 24, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93629, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 932, 21, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93630, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 64, 16, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93631, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1206, 8, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93632, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 151, 24, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93633, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 21, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93634, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 180, 30, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93635, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 483, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93636, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1278, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93637, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 122, 14, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93638, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 693, 10, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93639, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 283, 11, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93640, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 105, 12, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93641, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 928, 9, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93642, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 109, 26, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93643, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 36, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93644, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 51, 12, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93645, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 742, 9, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93646, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 876, 17, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93647, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 883, 11, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93648, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1366, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93649, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 184, 16, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93650, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 203, 21, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93651, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 194, 24, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93652, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 639, 29, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93653, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 277, 24, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93654, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 554, 13, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93655, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 308, 21, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93656, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 6, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93657, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93658, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93659, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93660, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93661, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 57, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93662, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 60, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93663, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 257, 2, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93664, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 346, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93665, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 207, 9, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93666, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 913, 18, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93667, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 2290, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93668, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 44, 30, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93669, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 40, 35, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93670, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 304, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93671, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 51, 15, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93672, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 48, 23, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93673, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 457, 9, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93674, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 73, 16, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93675, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 140, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93676, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 49, 28, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93677, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 62, 27, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93678, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 35, 32, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93679, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 742, 9, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93680, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 876, 17, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93681, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 193, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93682, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 257, 2, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93683, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 928, 9, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93684, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1278, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93685, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 217, 13, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93686, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 693, 10, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93687, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 2, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93688, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 151, 24, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93689, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 180, 30, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93690, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 236, 22, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93691, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 81, 12, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93692, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93693, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93694, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93695, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 6, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93696, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93697, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 6, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93698, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 883, 11, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93699, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 483, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93700, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1205, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93701, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 936, 56, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93702, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 932, 21, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93703, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1051, 14, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93704, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 752, 21, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93705, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 6, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93706, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 2, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93707, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 2060, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93708, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 308, 21, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93709, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 573, 45, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93710, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 122, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93711, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 954, 47, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93712, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 498, 73, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93713, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 168, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93714, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 203, 21, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93715, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 639, 29, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93716, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 277, 24, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93717, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 194, 24, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93718, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 184, 16, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93719, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 1847, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93720, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 107, 3, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93721, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 440, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93722, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 370, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93723, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 148, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93724, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 123, 4, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93725, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 206, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93726, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 68, 10, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93727, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 135, 22, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93728, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 36, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93729, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 1211, 1, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93730, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 53, 30, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93731, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1192, 6, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93732, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 60, 7, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93733, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 57, 5, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93734, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1399, 9, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93735, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 158, 17, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93736, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 554, 13, 2024, 1, 3, '2024-08-05 14:03:29', NULL, NULL), (93737, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 326, 117, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93738, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 276, 36, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93739, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1163, 63, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93740, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 846, 307, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93741, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 766, 98, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93742, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 147, 426, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93743, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 683, 93, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93744, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 183, 163, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93745, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 828, 309, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93746, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 223, 435, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93747, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 1120, 98, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93748, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 748, 102, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93749, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 640, 106, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93750, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 364, 282, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93751, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 343, 120, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93752, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 949, 315, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93753, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 440, 169, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93754, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 94, 21, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93755, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 326, 117, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93756, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 550, 50, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93757, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 699, 126, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93758, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1152, 5, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93759, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 475, 51, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93760, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 330, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93761, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 252, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93762, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2302, 17, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93763, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 151, 41, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93764, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 7, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93765, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 346, 14, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93766, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 11836, 15, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93767, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 39, 9, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93768, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 60, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93769, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 555, 13, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93770, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 322, 30, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93771, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 358, 143, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93772, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 969, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93773, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 5, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93774, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1207, 113, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93775, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 47, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93776, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 148, 11, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93777, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 183, 10, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 109, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 5, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 362, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1087, 5, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 360, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 346, 14, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 880, 16, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 523, 38, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 298, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 260, 13, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2971, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 99, 31, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2060, 7, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1143, 11, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2472, 10, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 256, 30, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1086, 13, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 134, 43, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 125, 42, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1080, 9, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1375, 13, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 72, 33, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 155, 35, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1309, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 237, 7, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 241, 29, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 164, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 156, 17, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 183, 38, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 122, 11, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 258, 29, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 228, 17, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 372, 25, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 197, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 209, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 323, 25, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 201, 16, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 313, 29, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 168, 45, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 119, 34, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1406, 8, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 71, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 446, 15, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 37, 16, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 117, 28, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 279, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 67, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1815, 13, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1534, 22, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 367, 9, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 120, 21, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 33, 15, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 132, 20, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 72, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 129, 45, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 124, 9, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 111, 37, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 151, 41, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 5356, 10, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 355, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 191, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 338, 25, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 212, 29, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 13, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 7, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 1600, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 270, 30, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 8, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2, 4, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 821, 8, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 648, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 581, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 54, 5, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 630, 34, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 256, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 638, 59, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 54, 21, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 7, 5, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 14, 14, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 56, 4, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 10, 4, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 780, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 32, 15, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 5, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 330, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 200, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 550, 50, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 91, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 226, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 754, 67, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 9, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1057, 24, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 602, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1646, 19, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 12681, 14, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1033, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 904, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 60, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93878, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 346, 14, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93879, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2302, 17, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93880, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 60, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93881, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 5, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93882, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1152, 5, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93883, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 326, 117, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93884, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 39, 9, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93885, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 969, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93886, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 699, 126, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93887, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 550, 50, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93888, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 94, 21, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93889, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 151, 41, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93890, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 322, 30, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93891, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 148, 11, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93892, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 183, 10, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93893, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 330, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93894, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1207, 113, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93895, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 47, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93896, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 484, 50, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93897, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 12681, 14, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93898, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 252, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93899, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 358, 143, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93900, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 802, 9, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93901, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 330, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93902, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 109, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93903, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 5, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93904, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 13, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93905, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 54, 5, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93906, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 346, 14, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93907, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 550, 50, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93908, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 446, 15, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (93909, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 313, 29, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93910, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 197, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93911, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 323, 25, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93912, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 228, 17, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93913, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 372, 25, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93914, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 226, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93915, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 91, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93916, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 200, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93917, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 60, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93918, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 270, 30, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93919, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 630, 34, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93920, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 581, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93921, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 355, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93922, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 12681, 14, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93923, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 500, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93924, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 129, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93925, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 5, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93926, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 212, 29, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93927, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 338, 25, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93928, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 191, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93929, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 904, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93930, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 648, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93931, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 780, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93932, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 7, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93933, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 821, 8, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93934, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1309, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93935, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1033, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93936, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 72, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93937, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 880, 16, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93938, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 10, 4, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93939, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 124, 9, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93940, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 7, 5, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93941, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1234, 4, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93942, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 824, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93943, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1646, 19, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93944, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1057, 24, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93945, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 602, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93946, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 8, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93947, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 2, 4, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93948, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 1600, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93949, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 754, 67, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93950, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93951, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 638, 59, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93952, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93953, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 256, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93954, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2060, 7, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93955, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 2472, 10, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93956, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1143, 11, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93957, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1086, 13, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93958, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1080, 9, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93959, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1375, 13, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93960, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 151, 41, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93961, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 362, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93962, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2971, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93963, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 523, 38, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93964, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 14, 14, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93965, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 56, 4, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93966, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 256, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93967, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 54, 21, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93968, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 32, 15, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93969, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 5, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93970, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 91, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93971, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 226, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93972, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 200, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93973, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1646, 19, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93974, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 602, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93975, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1057, 24, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93976, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 119, 34, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93977, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 258, 29, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93978, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 60, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93979, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 168, 45, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93980, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 129, 45, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93981, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 270, 30, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93982, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 581, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93983, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 630, 34, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93984, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 821, 8, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93985, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2060, 7, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93986, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 648, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93987, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2472, 10, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93988, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 780, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93989, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 10, 4, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93990, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 132, 20, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93991, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 7, 5, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93992, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 33, 15, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93993, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 117, 28, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93994, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 37, 16, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93995, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 638, 59, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93996, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 754, 67, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93997, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 550, 50, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93998, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 330, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (93999, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 111, 37, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94000, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 5356, 10, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94001, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 346, 14, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94002, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 151, 41, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94003, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 72, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94004, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 523, 38, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94005, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 124, 9, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94006, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 109, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94007, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 355, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94008, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 5, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94009, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 156, 17, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94010, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 212, 29, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94011, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 164, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94012, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 362, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94013, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 122, 11, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94014, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1087, 5, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94015, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 191, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94016, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 360, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94017, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 338, 25, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94018, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 183, 38, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94019, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 237, 7, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94020, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1080, 9, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94021, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 201, 16, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94022, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1086, 13, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94023, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1143, 11, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94024, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 241, 29, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94025, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2971, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94026, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 209, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94027, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 120, 21, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94028, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1309, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94029, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1375, 13, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94030, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 880, 16, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94031, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 9, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94032, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 372, 25, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94033, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 197, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94034, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 228, 17, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94035, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 323, 25, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94036, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 313, 29, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94037, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 54, 5, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94038, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 13, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94039, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 446, 15, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94040, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94041, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 8, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94042, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 7, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94043, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 1600, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94044, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 4, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94045, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94046, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1033, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94047, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 904, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94048, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 12681, 14, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94049, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 71, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94050, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 367, 9, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94051, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1534, 22, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94052, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1406, 8, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94053, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 125, 42, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94054, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 134, 43, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94055, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 279, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94056, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 256, 30, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94057, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 99, 31, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94058, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1815, 13, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94059, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 260, 13, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94060, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 298, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94061, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 67, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94062, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 155, 35, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94063, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 72, 33, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94064, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1309, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94065, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1375, 13, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94066, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 109, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94067, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 12681, 14, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94068, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1143, 11, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94069, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2971, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94070, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 5, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94071, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1080, 9, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94072, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1086, 13, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94073, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 7, 5, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94074, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 191, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94075, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 338, 25, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94076, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 212, 29, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94077, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 355, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94078, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 1600, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94079, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 7, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94080, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 8, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94081, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94082, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94083, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 4, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94084, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 880, 16, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94085, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 824, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94086, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1234, 4, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94087, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 523, 38, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94088, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 362, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94089, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1057, 24, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94090, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 602, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94091, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1646, 19, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94092, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 780, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94093, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 10, 4, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94094, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 346, 14, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94095, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 446, 15, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94096, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 638, 59, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94097, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 821, 8, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94098, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 550, 50, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94099, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 754, 67, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94100, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 648, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94101, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 197, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94102, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 323, 25, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94103, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 313, 29, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94104, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 228, 17, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94105, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 372, 25, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94106, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 5, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94107, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 60, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94108, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 330, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94109, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 226, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94110, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 91, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94111, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 200, 3, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94112, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 124, 9, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94113, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 581, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94114, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 630, 34, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94115, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 129, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94116, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 72, 12, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94117, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 500, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94118, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 2472, 10, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94119, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 151, 41, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94120, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 256, 2, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94121, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 904, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94122, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1033, 6, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94123, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2060, 7, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94124, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 270, 30, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94125, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 54, 5, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94126, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 13, 1, 2024, 1, 4, '2024-08-05 14:03:33', NULL, NULL), (94127, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 367, 121, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94128, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 136, 44, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94129, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 908, 64, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94130, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 477, 276, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94131, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 749, 111, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94132, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 204, 396, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94133, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 397, 129, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94134, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 49, 165, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94135, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1569, 280, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94136, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 248, 406, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94137, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 615, 96, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94138, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 735, 113, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94139, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 224, 135, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94140, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 266, 253, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94141, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 358, 124, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94142, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1624, 288, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94143, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 281, 178, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94144, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94145, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 60, 22, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94146, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 1760, 58, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94147, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 364, 122, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94148, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1031, 109, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94149, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 710, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94150, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 533, 49, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94151, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 681, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94152, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1432, 8, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94153, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2019, 15, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94154, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 178, 24, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94155, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 2, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94156, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 208, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94157, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 5661, 11, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94158, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 414, 21, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94159, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '', 326, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94160, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 196, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94161, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 24, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94162, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 370, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94163, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 29, 30, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94164, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 345, 144, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94165, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 211, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94166, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 32, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94167, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 65, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94168, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2202, 101, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94169, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 367, 14, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94170, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 133, 6, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94171, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 55, 7, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 204, 60, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 69, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 546, 8, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 333, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 214, 56, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 47, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 509, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 178, 24, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 10, 2, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 715, 6, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1380, 8, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 348, 23, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 223, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 208, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 352, 28, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1421, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 365, 38, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 553, 38, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 672, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 235, 33, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 9, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2112, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 342, 53, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 8, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2080, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1879, 6, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 195, 26, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 351, 42, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 394, 24, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1813, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 194, 4, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2511, 12, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 173, 30, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1550, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 370, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 236, 40, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 253, 12, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 343, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 186, 48, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1604, 4, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 23, 2, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 47, 17, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 990, 45, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 25, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 224, 15, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 45, 21, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 77, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 373, 2, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 432, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 60, 30, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 75, 18, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 17, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 113, 16, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 49, 8, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 45, 22, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 24, 17, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 166, 6, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 425, 23, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 681, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 245, 24, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 77, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 1760, 58, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 390, 17, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 89, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 111, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 427, 33, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 17, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 228, 34, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 286, 15, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1060, 64, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 2446, 11, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 131, 32, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 663, 7, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 1474, 6, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2730, 35, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 421, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2012, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 5661, 11, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 234, 7, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 96, 32, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 147, 2, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 20, 20, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1121, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 508, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 782, 25, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 476, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 991, 12, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 477, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 126, 4, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 26, 18, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 25, 20, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94267, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 208, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94268, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2019, 15, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94269, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 196, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94270, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 65, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94271, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 710, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94272, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 367, 121, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94273, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 238, 8, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94274, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 414, 21, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94275, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 24, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94276, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1031, 109, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94277, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 1760, 58, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94278, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 60, 22, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94279, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 178, 24, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94280, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 29, 30, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94281, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 133, 6, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94282, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 55, 7, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94283, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 32, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94284, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 681, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94285, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2202, 101, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94286, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 367, 14, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94287, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 544, 48, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94288, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 5661, 11, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94289, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '', 326, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94290, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1432, 8, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94291, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 345, 144, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94292, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 370, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94293, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 681, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94294, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 546, 8, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94295, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 333, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94296, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 672, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94297, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 343, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94298, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 208, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94299, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 1760, 58, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94300, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 421, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94301, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 24, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94302, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 286, 15, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94303, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 390, 17, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94304, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 427, 33, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94305, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 425, 23, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94306, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 245, 24, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94307, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 17, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94308, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 89, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94309, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 77, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94310, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 126, 4, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94311, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '2C02', 326, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94312, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 351, 42, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94313, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 253, 12, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94314, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 348, 23, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94315, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 5661, 11, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94316, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 1064, 4, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94317, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1799, 4, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94318, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 65, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94319, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 476, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94320, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 365, 38, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94321, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 352, 28, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94322, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 223, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94323, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 147, 2, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (94324, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 32, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94325, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94326, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 17, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94327, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 370, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94328, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 268, 6, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94329, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1604, 4, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94330, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 69, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94331, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 373, 2, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94332, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1421, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94333, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94334, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 47, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94335, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 17, 2, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94336, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1173, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94337, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2012, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94338, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2730, 35, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94339, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 8, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94340, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 194, 4, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94341, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 9, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94342, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1060, 64, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94343, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94344, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 990, 45, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94345, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94346, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 23, 2, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94347, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2112, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94348, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1879, 6, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94349, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2080, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94350, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1813, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94351, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2511, 12, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94352, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 178, 24, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94353, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1550, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94354, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 509, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94355, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 553, 38, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94356, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 77, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94357, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 432, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94358, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 23, 2, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94359, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 224, 15, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94360, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 113, 16, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94361, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 49, 8, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94362, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 89, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94363, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 17, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94364, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 77, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94365, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2012, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94366, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2730, 35, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94367, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 131, 32, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94368, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 166, 6, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94369, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 126, 4, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94370, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 476, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94371, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 228, 34, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94372, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 204, 60, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94373, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 351, 42, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94374, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 253, 12, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94375, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 370, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94376, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2112, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94377, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1879, 6, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94378, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 17, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94379, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 373, 2, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94380, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94381, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 26, 18, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94382, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 20, 20, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94383, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 990, 45, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94384, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 96, 32, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94385, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1060, 64, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94386, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 1760, 58, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94387, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 681, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94388, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 214, 56, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94389, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 10, 2, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94390, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 208, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94391, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 178, 24, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94392, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 245, 24, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94393, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 390, 17, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94394, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 553, 38, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94395, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 69, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94396, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 47, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94397, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 546, 8, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94398, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 425, 23, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94399, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 427, 33, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94400, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 286, 15, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94401, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 348, 23, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94402, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 75, 18, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94403, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 333, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94404, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 365, 38, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94405, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 509, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94406, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 60, 30, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94407, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 24, 17, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94408, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 715, 6, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94409, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 223, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94410, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1380, 8, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94411, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 45, 22, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94412, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 352, 28, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94413, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2511, 12, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94414, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 47, 17, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94415, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1813, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94416, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 45, 21, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94417, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2080, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94418, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 25, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94419, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 111, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94420, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 343, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94421, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 672, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94422, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 421, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94423, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94424, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 8, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94425, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94426, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 9, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94427, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 194, 4, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94428, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94429, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 234, 7, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94430, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 147, 2, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94431, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 5661, 11, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94432, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 25, 20, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94433, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1604, 4, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94434, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1550, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94435, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 1474, 6, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94436, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 477, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94437, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 991, 12, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94438, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 663, 7, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94439, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 173, 30, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94440, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 394, 24, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94441, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1421, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94442, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1121, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94443, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 195, 26, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94444, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 342, 53, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94445, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 782, 25, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94446, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 508, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94447, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 2446, 11, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94448, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 235, 33, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94449, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 186, 48, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94450, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 236, 40, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94451, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1604, 4, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94452, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1550, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94453, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 546, 8, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94454, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 5661, 11, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94455, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2080, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94456, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 333, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94457, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2511, 12, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94458, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1813, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94459, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94460, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '2C02', 326, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94461, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 223, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94462, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 352, 28, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94463, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 365, 38, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94464, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 348, 23, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94465, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 9, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94466, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94467, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 8, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94468, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94469, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94470, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 194, 4, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94471, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 24, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94472, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1421, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94473, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1173, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94474, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 17, 2, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94475, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 553, 38, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94476, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 509, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94477, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2730, 35, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94478, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2012, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94479, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 17, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94480, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 373, 2, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94481, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 208, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94482, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 421, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94483, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 990, 45, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94484, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 370, 10, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94485, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 1760, 58, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94486, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1060, 64, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94487, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 390, 17, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94488, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 427, 33, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94489, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 286, 15, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94490, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 425, 23, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94491, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 245, 24, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94492, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 65, 5, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94493, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 476, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94494, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 126, 4, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94495, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 681, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94496, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 17, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94497, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 89, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94498, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 77, 3, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94499, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 32, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94500, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 47, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94501, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 253, 12, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94502, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1799, 4, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94503, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 69, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94504, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 1064, 4, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94505, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1879, 6, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94506, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 178, 24, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94507, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 23, 2, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94508, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 147, 2, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94509, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 268, 6, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94510, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2112, 9, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94511, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 351, 42, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94512, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 343, 13, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94513, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 672, 1, 2024, 1, 5, '2024-08-05 14:03:37', NULL, NULL), (94514, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 4, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94515, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 172, 5, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94516, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 397, 75, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94517, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1070, 51, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94518, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 454, 26, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94519, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 387, 77, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94520, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 4, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94521, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 791, 69, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94522, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 172, 5, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94523, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 381, 31, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94524, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 395, 13, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94525, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 0, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94526, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 22, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94527, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94528, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 3, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94529, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 516, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94530, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 513, 12, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94531, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 210, 4, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94532, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 0, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1070, 51, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 513, 12, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 12, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 516, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 22, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 398, 5, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1667, 3, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 92, 2, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 106, 16, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 590, 5, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 665, 32, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 68, 7, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 4, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 210, 4, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 83, 12, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 70, 5, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94549, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 395, 13, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94550, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 513, 12, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94551, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 22, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94552, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 210, 4, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94553, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 516, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94554, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 398, 5, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94555, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 92, 2, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94556, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 590, 5, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94557, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 22, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94558, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 12, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94559, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 516, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94560, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 513, 12, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94561, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 210, 4, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94562, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 22, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94563, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1070, 51, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94564, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 210, 4, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94565, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 590, 5, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94566, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 92, 2, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94567, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 398, 5, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94568, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 12, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94569, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 516, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94570, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 4, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94571, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 665, 32, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94572, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 68, 7, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94573, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1667, 3, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94574, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 513, 12, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94575, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 106, 16, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94576, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 70, 5, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94577, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 83, 12, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94578, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 516, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94579, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 210, 4, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94580, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 590, 5, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94581, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 22, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94582, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 12, 1, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94583, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 513, 12, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94584, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 92, 2, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94585, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 398, 5, 2024, 1, 6, '2024-08-05 14:03:41', NULL, NULL), (94586, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 4012, 2, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94587, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 380, 37, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94588, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 66, 7, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94589, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 2162, 36, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94590, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 360, 39, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94591, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1526, 51, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94592, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 58, 8, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94593, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 4012, 2, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94594, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94595, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94596, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 4012, 2, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94597, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 66, 7, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94598, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 0, 1, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 66, 7, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 2162, 36, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 12, 5, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1062, 7, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 12, 4, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 358, 13, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 16, 5, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 4012, 2, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 594, 3, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94608, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 66, 7, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94609, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 4012, 2, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94610, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 4012, 2, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94611, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 66, 7, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94612, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 2162, 36, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94613, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 358, 13, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94614, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1062, 7, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94615, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 12, 4, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94616, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 12, 5, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94617, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 66, 7, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94618, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 4012, 2, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94619, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 594, 3, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94620, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 16, 5, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94621, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 4012, 2, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94622, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 66, 7, 2024, 1, 7, '2024-08-05 14:03:45', NULL, NULL), (94623, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 405, 186, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94624, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 54, 54, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94625, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 558, 72, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94626, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 189, 332, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94627, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 122, 466, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94628, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 653, 115, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94629, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 106, 192, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94630, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 561, 134, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94631, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1341, 281, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94632, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 125, 471, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94633, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 364, 114, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94634, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 644, 120, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94635, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 470, 163, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94636, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 168, 298, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94637, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 404, 190, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94638, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1306, 290, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94639, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 125, 200, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94640, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94641, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 162, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94642, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 106, 19, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94643, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 403, 187, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94644, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 1161, 74, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94645, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1599, 112, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94646, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 365, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94647, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 376, 57, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94648, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1337, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94649, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1190, 6, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94650, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1491, 13, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94651, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 115, 42, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94652, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 2, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94653, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 646, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94654, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 270, 8, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94655, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 831, 18, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94656, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 9, 4, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94657, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 19, 39, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94658, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 115, 140, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94659, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 96, 8, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94660, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 97, 5, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94661, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1254, 86, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94662, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 148, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94663, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 6, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94664, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 424, 24, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 854, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 1074, 2, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 556, 26, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 421, 5, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 948, 8, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 646, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1175, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 224, 31, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 141, 26, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 133, 27, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 144, 38, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1454, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1049, 9, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1533, 6, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 162, 38, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 140, 41, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 983, 9, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1421, 10, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 187, 45, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1663, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 64, 28, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 135, 46, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1420, 11, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 129, 21, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 78, 16, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 117, 33, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 84, 11, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 139, 16, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 139, 25, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 31, 25, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 166, 20, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 259, 41, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 222, 27, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 372, 20, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 139, 12, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 331, 38, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 100, 13, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 506, 31, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 88, 25, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 143, 34, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 402, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 412, 16, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 795, 29, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 58, 26, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 26, 24, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 98, 5, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 40, 4, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 718, 14, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 801, 25, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 34, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 105, 20, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 47, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 77, 33, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 728, 56, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 97, 10, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 117, 9, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 386, 61, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 644, 11, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 115, 42, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 484, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 95, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 129, 30, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 135, 35, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 125, 21, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 10, 14, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 8, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 9, 2, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 91, 5, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 125, 21, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 5, 8, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 10, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 49, 18, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 148, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 480, 8, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1766, 52, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (94741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 601, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 146, 23, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 446, 12, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 4, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 253, 33, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 97, 5, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 4, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1337, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 414, 5, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 1161, 74, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 486, 8, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 130, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1454, 60, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 764, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1025, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 308, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1117, 10, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 88, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 97, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94762, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 646, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94763, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1491, 13, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94764, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 97, 5, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94765, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 365, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94766, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 405, 186, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94767, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 96, 8, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94768, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 879, 17, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94769, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1599, 112, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94770, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 1161, 74, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94771, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 106, 19, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94772, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 115, 42, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94773, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 19, 39, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94774, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 6, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94775, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 424, 24, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94776, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1337, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94777, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1254, 86, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94778, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 148, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94779, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 376, 57, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94780, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 308, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94781, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1190, 6, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94782, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 115, 140, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94783, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 162, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94784, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 9, 4, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94785, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1337, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94786, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 854, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94787, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 1074, 2, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94788, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 148, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94789, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 646, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94790, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 1161, 74, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94791, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 795, 29, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94792, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 506, 31, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94793, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 372, 20, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94794, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 331, 38, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94795, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 259, 41, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94796, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 222, 27, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94797, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 130, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94798, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 486, 8, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94799, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 414, 5, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94800, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 162, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94801, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 125, 21, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94802, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 49, 18, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94803, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 95, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94804, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 308, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94805, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 124, 2, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94806, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1723, 4, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94807, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 97, 5, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94808, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 125, 21, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94809, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 135, 35, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94810, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 129, 30, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94811, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 97, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94812, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 10, 14, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94813, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 4, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94814, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 10, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94815, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 88, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94816, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1420, 11, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94817, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 97, 10, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94818, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94819, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1175, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94820, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94821, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 117, 9, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94822, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 620, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94823, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 174, 4, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94824, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 4, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94825, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1117, 10, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94826, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1025, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94827, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 91, 5, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94828, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94829, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 8, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94830, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1454, 60, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94831, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 9, 2, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94832, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1766, 52, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94833, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 5, 8, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94834, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 480, 8, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94835, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1454, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94836, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1533, 6, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94837, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1049, 9, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94838, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 983, 9, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94839, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1421, 10, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94840, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1663, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94841, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 115, 42, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94842, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 556, 26, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94843, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 224, 31, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94844, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 146, 23, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94845, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 446, 12, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94846, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 480, 8, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94847, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 601, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94848, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 4, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94849, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 253, 33, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94850, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 97, 5, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94851, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 486, 8, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94852, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 130, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94853, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 414, 5, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94854, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1117, 10, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94855, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1025, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94856, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 143, 34, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94857, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 166, 20, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94858, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 88, 25, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94859, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 728, 56, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94860, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 125, 21, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94861, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 49, 18, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94862, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 10, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94863, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1454, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94864, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1533, 6, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94865, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 4, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94866, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94867, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 77, 33, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94868, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94869, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 47, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94870, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 26, 24, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94871, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 58, 26, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94872, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1766, 52, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94873, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1454, 60, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94874, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 1161, 74, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94875, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1337, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94876, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 386, 61, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94877, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 644, 11, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94878, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 484, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94879, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 646, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94880, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 115, 42, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94881, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 224, 31, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94882, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 97, 10, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94883, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 854, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94884, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 117, 9, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94885, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 95, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94886, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 1074, 2, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94887, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 139, 16, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94888, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 125, 21, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94889, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 84, 11, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94890, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 556, 26, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94891, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 421, 5, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94892, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 31, 25, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94893, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 129, 30, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94894, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 948, 8, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94895, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 139, 25, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94896, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 135, 35, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94897, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 129, 21, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94898, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1421, 10, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94899, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 100, 13, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94900, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 983, 9, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94901, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 117, 33, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94902, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1049, 9, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94903, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 78, 16, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94904, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 139, 12, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94905, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 105, 20, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94906, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1420, 11, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94907, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1663, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94908, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 764, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94909, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1175, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94910, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 222, 27, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94911, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 372, 20, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94912, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 259, 41, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94913, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 331, 38, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94914, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 506, 31, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94915, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 148, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94916, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 795, 29, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94917, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 9, 2, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94918, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 91, 5, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94919, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 10, 14, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94920, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 8, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94921, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94922, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 8, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94923, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 88, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94924, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 97, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94925, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 308, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94926, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 412, 16, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94927, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 34, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94928, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 801, 25, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94929, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 402, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94930, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 187, 45, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94931, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 140, 41, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94932, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 98, 5, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94933, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 162, 38, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94934, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 144, 38, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94935, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 718, 14, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94936, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 133, 27, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94937, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 40, 4, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94938, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 141, 26, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94939, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 135, 46, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94940, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 64, 28, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94941, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1420, 11, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94942, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1663, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94943, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 854, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94944, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 308, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94945, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1049, 9, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94946, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 1074, 2, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94947, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1421, 10, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94948, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 983, 9, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94949, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94950, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 129, 30, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94951, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 135, 35, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94952, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 125, 21, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94953, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 95, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94954, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 8, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94955, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 10, 14, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94956, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 91, 5, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94957, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 9, 2, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94958, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 8, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94959, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94960, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1175, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94961, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 174, 4, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94962, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 620, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94963, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 224, 31, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94964, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 556, 26, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94965, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1025, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94966, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1117, 10, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94967, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 4, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94968, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94969, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 646, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94970, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 4, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94971, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 795, 29, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94972, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1766, 52, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94973, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 10, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94974, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 1161, 74, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94975, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1454, 60, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94976, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 372, 20, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94977, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 162, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94978, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 331, 38, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94979, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 506, 31, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94980, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 259, 41, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94981, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 222, 27, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94982, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 97, 5, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94983, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1337, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94984, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 130, 3, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94985, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 486, 8, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94986, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 414, 5, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94987, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 117, 9, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94988, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 49, 18, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94989, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1723, 4, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94990, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 97, 10, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94991, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 124, 2, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94992, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1533, 6, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94993, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 115, 42, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94994, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 480, 8, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94995, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 97, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94996, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 88, 1, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94997, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1454, 7, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94998, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 125, 21, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (94999, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 148, 15, 2024, 1, 8, '2024-08-05 14:03:49', NULL, NULL), (95000, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 228, 122, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95001, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 124, 57, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95002, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 476, 62, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95003, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 152, 287, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95004, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 717, 97, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95005, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 53, 388, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95006, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 532, 144, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95007, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 470, 196, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95008, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 279, 205, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95009, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 55, 400, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95010, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 326, 109, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95011, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 702, 99, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95012, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 485, 158, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95013, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 148, 266, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95014, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 226, 123, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95015, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 275, 209, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95016, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 465, 205, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95017, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1880, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95018, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 84, 23, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95019, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 228, 122, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95020, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 280, 53, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95021, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 193, 75, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95022, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 961, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95023, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 509, 48, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95024, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 720, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95025, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 0, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95026, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1972, 16, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95027, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 110, 22, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95028, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95029, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 177, 15, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95030, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 461, 9, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95031, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 274, 12, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95032, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 85, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95033, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 451, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95034, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 4, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95035, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 138, 43, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95036, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 113, 142, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95037, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 390, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95038, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 91, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95039, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 219, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95040, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 370, 67, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95041, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 78, 14, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95042, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 5, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95043, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 103, 13, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 524, 6, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 623, 64, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 75, 12, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 25, 6, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 94, 11, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 450, 72, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 845, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 453, 14, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 110, 22, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 13, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1910, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1880, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 59, 18, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 93, 29, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 177, 15, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 148, 32, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 155, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 131, 28, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 531, 34, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 12, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 231, 11, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 50, 28, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 476, 7, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 35, 23, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 10, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2301, 7, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 27, 23, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 12, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 113, 20, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1716, 9, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 490, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 63, 16, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 25, 27, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 283, 9, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 22, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 491, 6, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 33, 36, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 515, 8, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 37, 26, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 83, 13, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 114, 15, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 31, 33, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 267, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 61, 6, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 181, 30, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 672, 16, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 49, 20, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 472, 21, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 129, 6, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 459, 15, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 31, 24, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 335, 8, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 522, 40, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 370, 50, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 48, 27, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 136, 19, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 720, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 144, 20, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 99, 18, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 149, 3, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 280, 53, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 76, 20, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 459, 11, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 132, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 51, 26, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 498, 26, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 160, 22, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 201, 45, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 886, 3, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 27, 39, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 11, 3, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 336, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 113, 10, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 399, 17, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 593, 7, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 340, 14, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 673, 23, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 150, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 51, 15, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 450, 3, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 250, 29, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 537, 8, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 1086, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 685, 24, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 66, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 402, 10, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 104, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 35, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 40, 20, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 545, 33, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 12, 20, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95139, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 177, 15, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95140, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1972, 16, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95141, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 85, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95142, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 219, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95143, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 961, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95144, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 228, 122, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95145, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 390, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95146, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 274, 12, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95147, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 451, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95148, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 193, 75, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95149, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 280, 53, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95150, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 84, 23, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95151, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 110, 22, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95152, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 138, 43, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95153, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 5, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95154, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 103, 13, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95155, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 91, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95156, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 720, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (95157, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 376, 66, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95158, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1880, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95159, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 78, 14, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95160, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 509, 48, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95161, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 593, 7, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95162, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 113, 142, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95163, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 4, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95164, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 720, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95165, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 524, 6, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95166, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 25, 6, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95167, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 12, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95168, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 83, 13, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95169, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 177, 15, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95170, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 280, 53, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95171, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 673, 23, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95172, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 451, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95173, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 160, 22, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95174, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 99, 18, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95175, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 76, 20, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95176, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 136, 19, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95177, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 144, 20, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95178, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 132, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95179, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 149, 3, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95180, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 104, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95181, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1880, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95182, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 113, 20, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95183, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 114, 15, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95184, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 59, 18, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95185, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 593, 7, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95186, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 219, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95187, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 66, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95188, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 131, 28, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95189, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 148, 32, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95190, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 93, 29, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95191, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 450, 3, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95192, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 91, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95193, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95194, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 231, 11, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95195, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95196, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 209, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95197, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 267, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95198, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 75, 12, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95199, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95200, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 155, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95201, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 94, 11, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95202, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 13, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95203, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1910, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95204, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 340, 14, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95205, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 399, 17, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95206, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 12, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95207, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95208, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 476, 7, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95209, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 201, 45, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95210, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 10, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95211, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 181, 30, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95212, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 22, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95213, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 61, 6, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95214, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2301, 7, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95215, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1716, 9, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95216, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 490, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95217, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 283, 9, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95218, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 491, 6, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95219, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 110, 22, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95220, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 515, 8, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95221, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 453, 14, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95222, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 531, 34, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95223, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 49, 20, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95224, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 129, 6, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95225, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 61, 6, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95226, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 672, 16, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95227, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 31, 24, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95228, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 335, 8, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95229, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 132, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95230, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 149, 3, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95231, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 340, 14, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95232, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 399, 17, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95233, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 27, 39, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95234, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 48, 27, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95235, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 104, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95236, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 66, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95237, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 51, 26, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95238, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 623, 64, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95239, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 113, 20, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95240, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 114, 15, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95241, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95242, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2301, 7, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95243, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1716, 9, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95244, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95245, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95246, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 12, 20, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95247, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 40, 20, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95248, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 250, 29, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95249, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 51, 15, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95250, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 181, 30, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95251, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 201, 45, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95252, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 280, 53, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95253, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 720, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95254, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 450, 72, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95255, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 845, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95256, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 144, 20, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95257, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 177, 15, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95258, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 110, 22, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95259, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 99, 18, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95260, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 75, 12, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95261, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 531, 34, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95262, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 524, 6, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95263, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 94, 11, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95264, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 136, 19, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95265, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 76, 20, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95266, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 160, 22, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95267, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1880, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95268, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 59, 18, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95269, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 25, 6, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95270, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 459, 15, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95271, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 131, 28, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95272, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 453, 14, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95273, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 472, 21, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95274, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 13, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95275, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 370, 50, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95276, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 93, 29, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95277, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1910, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95278, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 522, 40, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95279, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 148, 32, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95280, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 491, 6, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95281, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 498, 26, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95282, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 283, 9, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95283, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 490, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95284, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 459, 11, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95285, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 83, 13, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95286, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 12, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95287, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 673, 23, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95288, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 10, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95289, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 12, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95290, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 231, 11, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95291, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 476, 7, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95292, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95293, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 22, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95294, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 150, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95295, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 450, 3, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95296, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 593, 7, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95297, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 545, 33, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95298, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 267, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95299, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 515, 8, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95300, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 113, 10, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95301, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 11, 3, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95302, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 35, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95303, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 402, 10, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95304, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 336, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95305, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 33, 36, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95306, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 25, 27, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95307, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 537, 8, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95308, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 155, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95309, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 63, 16, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95310, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 27, 23, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95311, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 685, 24, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95312, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 35, 23, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95313, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 1086, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95314, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 886, 3, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95315, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 50, 28, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95316, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 31, 33, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95317, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 37, 26, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95318, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 267, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95319, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 515, 8, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95320, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 524, 6, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95321, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 593, 7, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95322, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 490, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95323, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 25, 6, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95324, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 491, 6, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95325, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 283, 9, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95326, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 93, 29, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95327, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 148, 32, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95328, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 131, 28, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95329, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 59, 18, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95330, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 476, 7, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95331, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 231, 11, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95332, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 12, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95333, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 10, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95334, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 22, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95335, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95336, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 451, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95337, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 155, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95338, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1910, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95339, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 13, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95340, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 531, 34, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95341, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 453, 14, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95342, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 399, 17, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95343, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 340, 14, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95344, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95345, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95346, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 177, 15, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95347, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 673, 23, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95348, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 181, 30, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95349, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95350, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 280, 53, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95351, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 201, 45, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95352, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 99, 18, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95353, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 76, 20, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95354, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 160, 22, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95355, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 136, 19, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95356, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 144, 20, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95357, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 219, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95358, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 66, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95359, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 104, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95360, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 720, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95361, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1880, 2, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95362, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 132, 4, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95363, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 149, 3, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95364, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 91, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95365, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 94, 11, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95366, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 114, 15, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95367, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 75, 12, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95368, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 110, 22, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95369, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1716, 9, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95370, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 61, 6, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95371, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 450, 3, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95372, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 209, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95373, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2301, 7, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95374, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 113, 20, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95375, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 83, 13, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95376, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 12, 1, 2024, 1, 9, '2024-08-05 14:03:50', NULL, NULL), (95377, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 181, 137, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95378, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 8, 24, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95379, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1399, 34, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95380, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 262, 272, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95381, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1031, 71, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95382, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 26, 299, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95383, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 993, 101, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95384, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 248, 143, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95385, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 338, 215, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95386, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 31, 304, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95387, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 755, 63, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95388, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 990, 74, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95389, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 872, 106, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95390, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 271, 250, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95391, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 178, 143, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95392, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 330, 221, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95393, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 296, 151, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95394, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 844, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95395, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 163, 14, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95396, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 180, 138, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95397, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 291, 48, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95398, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 216, 68, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95399, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1911, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95400, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 203, 35, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95401, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 428, 7, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95402, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 41, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95403, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 3206, 17, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95404, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 181, 25, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95405, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 978, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95406, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 330, 10, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95407, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 111, 11, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95408, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 3, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95409, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 101, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95410, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 589, 8, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95411, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 2, 17, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95412, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 270, 135, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95413, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 31, 4, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95414, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 7, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95415, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 472, 87, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95416, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 24, 7, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95417, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 4, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95418, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 36, 12, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 58, 8, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 177, 5, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 604, 56, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 303, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 56, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 486, 36, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 182, 15, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 181, 25, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1013, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 10222, 4, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1874, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1688, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 424, 25, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 106, 13, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 978, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 228, 39, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 565, 20, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 324, 31, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 220, 20, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 14, 31, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 18, 13, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 3873, 9, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 28, 12, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 352, 4, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 1, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 205, 27, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2456, 8, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 54, 11, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 16, 7, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 309, 9, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 34, 18, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 519, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 639, 9, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 11, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 2326, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 23, 30, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 44, 29, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 24, 7, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 519, 10, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 9, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 175, 18, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 175, 34, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 147, 8, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 754, 18, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 228, 18, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 14, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 65, 21, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 1798, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 250, 13, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 44, 20, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 503, 18, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 38, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 147, 24, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 12, 21, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 99, 24, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 428, 7, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 397, 18, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 61, 5, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 154, 27, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 291, 48, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 29, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 338, 11, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 114, 27, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 14, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 254, 14, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 10, 14, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 252, 17, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 256, 34, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1899, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 17, 33, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1207, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 354, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 375, 15, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 421, 14, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 159, 24, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 330, 10, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 29, 16, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 19, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 16, 26, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 35, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 7, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 14, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1808, 23, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1885, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 3, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 64, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 15, 19, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 209, 19, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 69, 19, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95514, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 978, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95515, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3206, 17, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95516, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 3, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95517, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 7, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95518, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1911, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95519, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 181, 137, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95520, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 111, 11, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95521, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 31, 4, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95522, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 101, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95523, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 216, 68, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95524, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 291, 48, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95525, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 163, 14, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95526, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 181, 25, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95527, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 2, 17, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95528, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 4, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95529, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 36, 12, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95530, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 428, 7, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95531, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 472, 87, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95532, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1688, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95533, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 24, 7, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95534, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 203, 35, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95535, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 330, 10, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95536, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 41, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95537, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 270, 135, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95538, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 589, 8, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95539, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 428, 7, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95540, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 177, 5, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95541, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 56, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95542, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 24, 7, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95543, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 978, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95544, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 291, 48, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95545, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 159, 24, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95546, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 101, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95547, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 252, 17, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95548, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 154, 27, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95549, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 114, 27, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95550, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 99, 24, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95551, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 397, 18, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95552, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 14, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95553, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 29, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95554, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 61, 5, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95555, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1688, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95556, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 205, 27, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95557, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 424, 25, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95558, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 330, 10, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95559, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 41, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95560, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 7, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95561, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 3, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95562, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 324, 31, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95563, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 228, 39, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95564, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 106, 13, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95565, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 35, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95566, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 2326, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95567, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95568, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95569, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 11, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95570, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 19, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (95571, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 519, 10, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95572, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 58, 8, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95573, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95574, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 565, 20, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95575, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 14, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95576, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 303, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95577, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1986, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95578, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1874, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95579, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 421, 14, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95580, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 375, 15, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95581, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 1, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95582, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 2, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95583, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95584, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 256, 34, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95585, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95586, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 175, 34, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95587, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 9, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95588, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 3873, 9, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95589, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 2456, 8, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95590, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 352, 4, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95591, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 309, 9, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95592, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 519, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95593, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 639, 9, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95594, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 181, 25, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95595, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 182, 15, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95596, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 220, 20, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95597, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 65, 21, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95598, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 1798, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95599, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 9, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95600, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 754, 18, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95601, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 44, 20, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95602, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 38, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95603, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 29, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95604, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 14, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95605, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 61, 5, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95606, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 421, 14, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95607, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 375, 15, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95608, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 17, 33, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95609, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 12, 21, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95610, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 3, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95611, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 10, 14, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95612, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 604, 56, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95613, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 205, 27, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95614, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 11, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95615, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 3873, 9, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95616, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 2326, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95617, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2456, 8, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95618, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95619, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95620, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 69, 19, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95621, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 15, 19, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95622, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 14, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95623, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 16, 26, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95624, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 29, 16, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95625, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 175, 34, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95626, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 256, 34, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95627, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 291, 48, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95628, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 428, 7, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95629, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 486, 36, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95630, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 10222, 4, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95631, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 978, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95632, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 397, 18, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95633, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 181, 25, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95634, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 154, 27, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95635, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 58, 8, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95636, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 220, 20, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95637, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 303, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95638, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 99, 24, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95639, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 177, 5, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95640, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 114, 27, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95641, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 252, 17, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95642, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1688, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95643, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 424, 25, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95644, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 56, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95645, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 250, 13, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95646, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 324, 31, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95647, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 182, 15, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95648, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 106, 13, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95649, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1013, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95650, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 147, 24, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95651, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1874, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95652, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 503, 18, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95653, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 228, 39, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95654, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 519, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95655, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 175, 18, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95656, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 254, 14, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95657, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 309, 9, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95658, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 352, 4, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95659, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 228, 18, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95660, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 147, 8, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95661, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 338, 11, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95662, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 24, 7, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95663, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 159, 24, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95664, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95665, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 1, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95666, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95667, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95668, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95669, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 19, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95670, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 35, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95671, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 330, 10, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95672, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 209, 19, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95673, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 519, 10, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95674, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 639, 9, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95675, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1207, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95676, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 64, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95677, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1885, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95678, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 354, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95679, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 34, 18, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95680, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 16, 7, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95681, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 7, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95682, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 565, 20, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95683, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 54, 11, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95684, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 28, 12, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95685, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 18, 13, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95686, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1808, 23, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95687, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 14, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95688, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1899, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95689, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 14, 31, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95690, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 44, 29, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95691, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 23, 30, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95692, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 519, 10, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95693, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 639, 9, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95694, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 177, 5, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95695, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 330, 10, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95696, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 352, 4, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95697, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 56, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95698, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 519, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95699, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 309, 9, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95700, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 14, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95701, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 106, 13, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95702, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 228, 39, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95703, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 324, 31, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95704, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 424, 25, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95705, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95706, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95707, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 1, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95708, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95709, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95710, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 101, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95711, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 565, 20, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95712, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1874, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95713, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1986, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95714, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 220, 20, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95715, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 182, 15, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95716, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 375, 15, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95717, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 421, 14, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95718, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95719, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95720, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 978, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95721, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 159, 24, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95722, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 175, 34, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95723, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 11, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95724, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 291, 48, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95725, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 256, 34, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95726, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 2326, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95727, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 154, 27, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95728, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 114, 27, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95729, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 252, 17, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95730, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 99, 24, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95731, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 397, 18, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95732, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 7, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95733, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 3, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95734, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 428, 7, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95735, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1688, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95736, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 14, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95737, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 29, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95738, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 61, 5, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95739, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 303, 6, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95740, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 58, 8, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95741, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 41, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95742, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 181, 25, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95743, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 2456, 8, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95744, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 9, 2, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95745, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 35, 3, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95746, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 19, 1, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95747, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 3873, 9, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95748, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 205, 27, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95749, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 24, 7, 2024, 1, 10, '2024-08-05 14:03:51', NULL, NULL), (95750, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 230, 119, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95751, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 170, 39, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95752, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 355, 235, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95753, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 278, 29, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95754, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 318, 63, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95755, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 95, 320, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95756, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 329, 185, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95757, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 475, 102, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95758, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 2233, 227, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95759, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 108, 328, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95760, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 181, 59, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95761, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 313, 64, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95762, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 454, 117, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95763, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 258, 221, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95764, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 224, 123, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95765, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2249, 232, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95766, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 350, 190, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95767, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 101, 9, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95768, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 219, 38, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95769, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 226, 121, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95770, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 221, 82, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95771, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 938, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95772, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 103, 32, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95773, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 2304, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95774, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 987, 14, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95775, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 143, 29, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95776, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 5, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95777, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 6, 5, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95778, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 3612, 8, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95779, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 178, 11, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95780, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 505, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95781, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 31, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95782, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 2, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95783, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 21, 28, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95784, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 290, 118, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95785, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 245, 6, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95786, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 507, 8, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95787, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 5105, 93, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95788, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 551, 11, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95789, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 59, 8, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95790, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 10, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 388, 5, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 4, 6, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 183, 8, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 938, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 6, 5, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1065, 7, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 77, 24, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 35, 29, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 148, 19, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 83, 22, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 86, 21, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 815, 8, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 71, 20, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1215, 6, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 3828, 11, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 7270, 18, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 132, 27, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 128, 21, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 7039, 10, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 5512, 13, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 108, 22, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 104, 18, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2741, 6, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 283, 25, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 168, 10, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 372, 28, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 663, 10, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 90, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 289, 22, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 183, 36, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 157, 15, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 117, 21, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 169, 16, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 341, 24, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 406, 13, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 228, 21, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 376, 17, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 44, 21, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 360, 17, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 91, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 48, 5, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 157, 20, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 86, 16, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 121, 22, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 645, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 3307, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 199, 10, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 137, 5, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 90, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 502, 20, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 66, 19, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 89, 28, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 4, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 309, 46, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 203, 48, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 113, 8, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 143, 29, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 4619, 5, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 475, 34, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 303, 19, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 211, 20, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 221, 19, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 13, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 175, 18, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 174, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 2, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 117, 7, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 551, 11, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 2, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 277, 43, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 386, 17, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 117, 11, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 167, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 12, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 45, 15, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 458, 9, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 3, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 2304, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 27, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 219, 38, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 106, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 43, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 159, 39, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 458, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 5932, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 3840, 10, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 5264, 14, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 4128, 7, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 350, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 193, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 164, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 847, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95889, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 6, 5, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95890, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 987, 14, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95891, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 505, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95892, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 580, 7, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95893, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 938, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95894, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 230, 119, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95895, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 245, 6, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95896, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 178, 11, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95897, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 31, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95898, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 221, 82, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95899, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 219, 38, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95900, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 101, 9, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95901, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 143, 29, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95902, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 21, 28, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95903, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 10, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95904, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 59, 8, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95905, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 2304, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95906, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 5105, 93, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95907, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 551, 11, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95908, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 103, 32, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95909, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 4128, 7, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95910, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 293, 117, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95911, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 2, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95912, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 2304, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95913, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 388, 5, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95914, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 4, 6, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95915, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 551, 11, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95916, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 6, 5, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95917, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 219, 38, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95918, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 157, 20, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95919, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 31, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95920, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 360, 17, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95921, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 341, 24, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95922, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 228, 21, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95923, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 117, 21, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95924, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 169, 16, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95925, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 43, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95926, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 106, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95927, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 27, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95928, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 847, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95929, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 175, 18, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95930, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 117, 7, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95931, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 475, 34, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95932, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 4128, 7, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95933, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 580, 7, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95934, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 164, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95935, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 221, 19, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95936, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 211, 20, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95937, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 303, 19, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95938, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 193, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95939, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95940, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95941, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 2, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95942, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 350, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95943, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2741, 6, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95944, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 4, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95945, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 12, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95946, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1065, 7, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95947, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95948, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 113, 8, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95949, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 938, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95950, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 3, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95951, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 5264, 14, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95952, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 5932, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95953, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 3840, 10, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95954, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 13, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95955, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95956, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95957, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 159, 39, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95958, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95959, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 277, 43, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95960, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 174, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95961, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 2, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95962, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 815, 8, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95963, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1215, 6, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95964, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 3828, 11, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95965, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 7270, 18, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95966, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 7039, 10, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95967, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 5512, 13, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95968, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 143, 29, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95969, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 183, 8, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95970, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 77, 24, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95971, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 117, 11, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95972, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 167, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95973, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 2, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95974, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 386, 17, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95975, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 3, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95976, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 45, 15, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95977, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 458, 9, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95978, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 106, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95979, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 43, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95980, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 27, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95981, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 5264, 14, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (95982, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 3840, 10, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95983, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 5932, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95984, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 157, 15, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95985, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 847, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95986, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 164, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95987, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 44, 21, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95988, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 309, 46, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95989, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 175, 18, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95990, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 117, 7, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95991, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 2, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95992, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 815, 8, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95993, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1215, 6, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95994, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95995, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 12, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95996, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 89, 28, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95997, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95998, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 66, 19, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (95999, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 121, 22, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96000, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 86, 16, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96001, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 277, 43, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96002, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 159, 39, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96003, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 219, 38, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96004, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 2304, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96005, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 203, 48, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96006, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 4619, 5, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96007, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 6, 5, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96008, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 143, 29, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96009, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 4, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96010, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 77, 24, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96011, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 113, 8, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96012, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 388, 5, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96013, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 475, 34, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96014, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 90, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96015, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 4, 6, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96016, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 221, 19, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96017, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 663, 10, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96018, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 183, 8, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96019, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 303, 19, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96020, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 183, 36, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96021, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 211, 20, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96022, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 938, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96023, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 289, 22, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96024, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 283, 25, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96025, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 7039, 10, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96026, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 376, 17, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96027, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 7270, 18, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96028, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 372, 28, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96029, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 3828, 11, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96030, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 168, 10, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96031, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 406, 13, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96032, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 502, 20, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96033, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2741, 6, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96034, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 5512, 13, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96035, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 458, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96036, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1065, 7, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96037, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 169, 16, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96038, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 341, 24, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96039, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 117, 21, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96040, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 228, 21, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96041, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 360, 17, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96042, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 551, 11, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96043, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 157, 20, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96044, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96045, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 13, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96046, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96047, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96048, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96049, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 174, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96050, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 350, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96051, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 193, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96052, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 4128, 7, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96053, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 48, 5, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96054, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 90, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96055, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 137, 5, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96056, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 91, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96057, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 128, 21, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96058, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 132, 27, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96059, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 71, 20, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96060, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 645, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96061, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 86, 21, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96062, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 199, 10, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96063, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 83, 22, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96064, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 3307, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96065, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 148, 19, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96066, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 35, 29, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96067, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 104, 18, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96068, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 108, 22, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96069, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2741, 6, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96070, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 5512, 13, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96071, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 388, 5, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96072, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 4128, 7, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96073, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 3828, 11, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96074, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 4, 6, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96075, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 7039, 10, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96076, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 7270, 18, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96077, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96078, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 303, 19, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96079, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 211, 20, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96080, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 221, 19, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96081, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 475, 34, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96082, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96083, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96084, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 13, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96085, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96086, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 174, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96087, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96088, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 31, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96089, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1065, 7, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96090, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 938, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96091, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 77, 24, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96092, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 183, 8, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96093, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 3840, 10, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96094, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 5932, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96095, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 5264, 14, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96096, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96097, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 12, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96098, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 6, 5, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96099, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 3, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96100, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 157, 20, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96101, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 277, 43, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96102, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 2, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96103, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 219, 38, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96104, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 159, 39, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96105, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 341, 24, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96106, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 228, 21, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96107, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 360, 17, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96108, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 117, 21, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96109, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 169, 16, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96110, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 580, 7, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96111, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 164, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96112, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 847, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96113, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 2304, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96114, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 43, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96115, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 106, 3, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96116, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 27, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96117, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 113, 8, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96118, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 117, 7, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96119, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 4, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96120, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1215, 6, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96121, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 143, 29, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96122, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 2, 1, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96123, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 193, 4, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96124, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 350, 2, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96125, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 815, 8, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96126, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 175, 18, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96127, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 551, 11, 2024, 1, 11, '2024-08-05 14:03:52', NULL, NULL), (96128, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 257, 95, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96129, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 20, 42, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96130, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 579, 38, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96131, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 321, 220, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96132, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 149, 349, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96133, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1133, 85, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96134, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 764, 273, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96135, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 300, 150, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96136, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 737, 281, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96137, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 149, 351, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96138, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 302, 73, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96139, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1109, 87, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96140, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 282, 166, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96141, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 309, 211, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96142, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 249, 98, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96143, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 727, 285, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96144, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 756, 281, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96145, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96146, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 67, 10, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96147, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 291, 57, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96148, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 254, 96, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96149, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 254, 110, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96150, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1823, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96151, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 281, 46, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96152, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1575, 9, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96153, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 3643, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96154, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 3837, 16, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96155, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 223, 19, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96156, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 5, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96157, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 99, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96158, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 824, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96159, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 493, 10, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96160, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 411, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96161, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 38, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96162, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1216, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96163, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 30, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96164, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 244, 121, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96165, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 588, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96166, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 36, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96167, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1482, 99, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96168, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 64, 12, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96169, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 87, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96170, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 10, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 2439, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 6, 8, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 133, 12, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 2601, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 2799, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 99, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1009, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 333, 34, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 219, 43, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 296, 18, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 235, 9, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 97, 19, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 4842, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3056, 9, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1513, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 140, 47, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2372, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 209, 34, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1867, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 151, 24, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1800, 9, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 255, 16, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 120, 9, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1343, 12, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 806, 38, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 950, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 709, 29, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 1141, 17, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 871, 30, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 645, 72, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 161, 18, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 50, 10, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 391, 25, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 777, 20, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 259, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 364, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 842, 23, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 9, 6, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 247, 22, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 5287, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 194, 16, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 51, 33, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 61, 18, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 66, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 18, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 383, 25, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 204, 6, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 180, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 27, 24, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 590, 31, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 76, 27, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 367, 63, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 21, 5, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 112, 5, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 261, 64, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 299, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 223, 19, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 46, 5, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 262, 25, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 302, 21, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 72, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 210, 21, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 6, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 249, 20, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 20, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 2, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 1120, 12, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 2364, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 313, 20, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 64, 12, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 114, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 230, 45, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 731, 11, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 145, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 612, 5, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 32, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 127, 15, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 36, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1575, 9, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 7, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 301, 55, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 115, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 270, 65, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 195, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 243, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1127, 10, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1525, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1099, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1044, 15, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1555, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 105, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 411, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96267, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 99, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96268, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3837, 16, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96269, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 411, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96270, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 36, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96271, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1823, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96272, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 257, 95, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96273, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 493, 10, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96274, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 588, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96275, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 38, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96276, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 254, 110, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96277, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 301, 55, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96278, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 67, 10, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96279, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 223, 19, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96280, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 30, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96281, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 10, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96282, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 87, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96283, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1575, 9, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96284, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1482, 99, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96285, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 64, 12, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96286, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 281, 46, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96287, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1099, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96288, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 3643, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96289, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 246, 120, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96290, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1216, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96291, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1575, 9, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96292, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 2439, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96293, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 6, 8, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96294, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 64, 12, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96295, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 99, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96296, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 301, 55, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96297, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 194, 16, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96298, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 38, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96299, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 364, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96300, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 391, 25, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96301, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 259, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96302, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 161, 18, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96303, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 50, 10, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96304, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 115, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96305, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 7, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96306, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 411, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96307, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 249, 20, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96308, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 313, 20, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96309, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 262, 25, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96310, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1099, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96311, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 46, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96312, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 5442, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96313, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 36, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96314, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 210, 21, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96315, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 72, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96316, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 302, 21, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96317, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 105, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96318, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 2364, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96319, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96320, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96321, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 1120, 12, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96322, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1555, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96323, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1343, 12, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96324, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 21, 5, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96325, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 32, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96326, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1009, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96327, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 112, 5, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96328, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 5157, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96329, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 156, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96330, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1044, 15, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96331, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1127, 10, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96332, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1525, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96333, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96334, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 20, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96335, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96336, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 270, 65, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96337, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 6, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96338, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 230, 45, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96339, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 2, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96340, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 114, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96341, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 4842, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96342, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 3056, 9, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96343, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1513, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96344, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2372, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96345, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1867, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96346, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 223, 19, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96347, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1800, 9, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96348, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 133, 12, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96349, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 333, 34, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96350, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 145, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96351, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 612, 5, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96352, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 114, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96353, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 731, 11, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96354, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 127, 15, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96355, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 36, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96356, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 115, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96357, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 7, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96358, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1044, 15, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96359, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1525, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96360, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 247, 22, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96361, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1127, 10, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96362, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 411, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96363, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 9, 6, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96364, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 367, 63, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96365, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 249, 20, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96366, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 313, 20, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96367, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 1120, 12, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96368, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 4842, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96369, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 2364, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96370, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3056, 9, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96371, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96372, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 32, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96373, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 76, 27, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96374, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 27, 24, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96375, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 61, 18, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96376, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 51, 33, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96377, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 230, 45, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96378, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 270, 65, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96379, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 301, 55, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96380, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1575, 9, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96381, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 261, 64, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96382, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 299, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96383, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 46, 5, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96384, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 99, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96385, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 223, 19, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96386, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 333, 34, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96387, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 21, 5, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96388, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 2439, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96389, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 112, 5, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96390, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 262, 25, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96391, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 6, 8, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96392, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 871, 30, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96393, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 210, 21, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96394, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 133, 12, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96395, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 1141, 17, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (96396, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 2601, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96397, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 302, 21, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96398, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 72, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96399, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 2799, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96400, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 645, 72, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96401, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1867, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96402, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 806, 38, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96403, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 842, 23, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96404, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2372, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96405, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 709, 29, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96406, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1513, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96407, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 950, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96408, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 777, 20, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96409, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 590, 31, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96410, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1343, 12, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96411, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1800, 9, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96412, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 243, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96413, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1009, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96414, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 195, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96415, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 50, 10, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96416, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 391, 25, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96417, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 161, 18, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96418, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 259, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96419, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 364, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96420, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 64, 12, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96421, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 194, 16, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96422, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96423, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96424, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96425, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96426, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 20, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96427, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96428, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1555, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96429, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 105, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96430, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1099, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96431, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 180, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96432, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 204, 6, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96433, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 5287, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96434, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 151, 24, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96435, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 209, 34, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96436, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 66, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96437, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 140, 47, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96438, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 97, 19, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96439, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 235, 9, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96440, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 383, 25, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96441, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 18, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96442, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 296, 18, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96443, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 219, 43, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96444, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 120, 9, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96445, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 255, 16, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96446, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1343, 12, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96447, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1800, 9, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96448, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 2439, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96449, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1099, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96450, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1513, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96451, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 6, 8, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96452, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1867, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96453, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2372, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96454, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 302, 21, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96455, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 72, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96456, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 210, 21, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96457, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 262, 25, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96458, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96459, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96460, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96461, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96462, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96463, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 20, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96464, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 38, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96465, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1009, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96466, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 156, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96467, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 5157, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96468, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 333, 34, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96469, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 133, 12, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96470, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1525, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96471, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1127, 10, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96472, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1044, 15, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96473, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96474, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 32, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96475, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 99, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96476, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 194, 16, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96477, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 230, 45, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96478, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 1120, 12, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96479, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 301, 55, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96480, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 270, 65, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96481, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 2364, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96482, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 391, 25, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96483, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 259, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96484, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 364, 13, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96485, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 161, 18, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96486, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 50, 10, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96487, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 36, 3, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96488, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 411, 4, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96489, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1575, 9, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96490, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 115, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96491, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 7, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96492, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 112, 5, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96493, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 313, 20, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96494, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 5442, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96495, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 21, 5, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96496, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 46, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96497, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 223, 19, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96498, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 3056, 9, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96499, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 114, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96500, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 105, 2, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96501, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1555, 1, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96502, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 4842, 7, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96503, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 249, 20, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96504, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 64, 12, 2024, 1, 12, '2024-08-05 14:03:53', NULL, NULL), (96505, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 3761, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96506, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 56, 11, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96507, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 261, 65, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96508, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1364, 36, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96509, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1404, 77, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96510, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 257, 66, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96511, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 0, 2, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96512, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1404, 77, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96513, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 56, 11, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96514, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 3761, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96515, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1327, 37, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96516, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2071, 16, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96517, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 90, 3, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96518, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 3761, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96519, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 3300, 2, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96520, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 520, 18, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96521, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 28, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96522, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 2, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96523, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 46, 7, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96524, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 0, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 953, 31, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 3, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 28, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1708, 46, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 90, 3, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 386, 6, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 46, 7, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2089, 4, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 326, 33, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2156, 3, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 22, 3, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 3761, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 3300, 2, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1545, 4, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 208, 8, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 250, 4, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 551, 17, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 104, 11, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2426, 5, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96544, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 28, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96545, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 520, 18, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96546, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 3300, 2, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96547, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 90, 3, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96548, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 46, 7, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96549, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2071, 16, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96550, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 3761, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96551, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2426, 5, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96552, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 3300, 2, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96553, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2089, 4, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96554, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 90, 3, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96555, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2156, 3, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96556, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 3761, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96557, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E26', 28, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96558, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 46, 7, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96559, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 551, 17, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96560, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1545, 4, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96561, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 3, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96562, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 90, 3, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96563, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 28, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96564, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 3761, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96565, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 953, 31, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96566, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 46, 7, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96567, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2426, 5, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96568, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2156, 3, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96569, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2089, 4, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96570, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 22, 3, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96571, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 3, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96572, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 326, 33, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96573, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 551, 17, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96574, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1545, 4, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96575, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 3300, 2, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96576, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 386, 6, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96577, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1708, 46, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96578, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 250, 4, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96579, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 104, 11, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96580, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 208, 8, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96581, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2426, 5, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96582, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E26', 28, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96583, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2156, 3, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96584, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 3761, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96585, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 90, 3, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96586, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 3, 1, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96587, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 3300, 2, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96588, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 551, 17, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96589, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2089, 4, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96590, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 46, 7, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96591, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1545, 4, 2024, 1, 13, '2024-08-05 14:03:54', NULL, NULL), (96592, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 87, 5, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96593, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 17, 3, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96594, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 589, 31, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96595, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 278, 7, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96596, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 703, 61, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96597, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 571, 32, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96598, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 703, 61, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96599, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 17, 3, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96600, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 162, 12, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96601, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 87, 5, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96602, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 75, 4, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96603, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 22, 2, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96604, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 5, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96605, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 87, 5, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96606, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 548, 3, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96607, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 9, 1, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 548, 3, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 733, 32, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 671, 29, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 31, 1, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 182, 2, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 99, 2, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 22, 2, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 71, 1, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 453, 2, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 406, 3, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 87, 5, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 1532, 7, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 9, 1, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 137, 3, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 332, 14, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96623, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 548, 3, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96624, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 22, 2, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96625, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 75, 4, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96626, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 9, 1, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96627, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 87, 5, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96628, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 22, 2, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96629, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 87, 5, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96630, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 31, 1, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96631, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 99, 2, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96632, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 71, 1, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96633, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 548, 3, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96634, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 9, 1, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96635, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 22, 2, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96636, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 733, 32, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96637, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 87, 5, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96638, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 9, 1, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96639, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 71, 1, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96640, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 31, 1, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96641, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 99, 2, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96642, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 332, 14, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96643, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 406, 3, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96644, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 548, 3, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96645, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 453, 2, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96646, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 182, 2, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96647, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 671, 29, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96648, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 137, 3, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96649, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 1532, 7, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96650, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 9, 1, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96651, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 87, 5, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96652, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 22, 2, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96653, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 31, 1, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96654, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 548, 3, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96655, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 99, 2, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96656, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 71, 1, 2024, 1, 14, '2024-08-05 14:03:55', NULL, NULL), (96657, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 205, 136, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96658, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 174, 55, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96659, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1029, 44, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96660, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 202, 270, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96661, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1022, 78, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96662, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 706, 431, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96663, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 684, 135, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96664, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 959, 360, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96665, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 482, 251, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96666, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 702, 433, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96667, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 554, 99, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96668, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1009, 79, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96669, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 646, 143, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96670, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 199, 274, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96671, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 205, 136, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96672, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 482, 251, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96673, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 959, 360, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96674, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 113, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96675, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 205, 136, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96676, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 253, 69, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96677, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 226, 90, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96678, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 2491, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96679, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 293, 35, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96680, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 115, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96681, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 871, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96682, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2008, 15, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96683, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 173, 37, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96684, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2083, 13, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96685, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 644, 5, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96686, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 275, 11, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96687, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 9, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96688, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 693, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96689, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 695, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96690, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 96, 45, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96691, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 130, 123, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96692, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2811, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96693, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 920, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96694, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 182, 4, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96695, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1089, 76, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96696, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 525, 10, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96697, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 55, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96698, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 12, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 725, 4, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 21, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 349, 12, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 177, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 2953, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 2083, 13, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1300, 15, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 264, 23, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 968, 32, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 1143, 21, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 885, 35, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1369, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 1243, 27, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 958, 8, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2434, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 657, 40, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 759, 8, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1063, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 698, 29, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 710, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 1205, 43, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 857, 17, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 936, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 1190, 4, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 881, 33, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 863, 44, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 994, 21, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 1180, 45, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 929, 48, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 875, 84, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 255, 21, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 156, 27, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 84, 22, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 1081, 21, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 259, 22, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 1096, 8, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 872, 31, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 309, 24, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 658, 37, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 4685, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 327, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 169, 20, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 91, 41, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 192, 52, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 136, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 351, 4, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 669, 14, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 395, 7, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 266, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 218, 10, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 1089, 29, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 581, 39, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 507, 54, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 140, 7, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 20, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 655, 74, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 173, 37, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2359, 7, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 174, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 124, 15, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 151, 30, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 145, 28, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 11, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 139, 8, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 55, 7, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 16, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 114, 24, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 445, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 211, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 1009, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 69, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 85, 15, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 745, 7, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 229, 37, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 373, 20, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 123, 15, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 177, 13, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 51, 31, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 352, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 115, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 66, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 253, 69, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 50, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 56, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 223, 53, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1669, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1541, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 644, 5, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 932, 12, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1840, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2811, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 9, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96795, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 2083, 13, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96796, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2008, 15, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96797, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 9, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96798, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 182, 4, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96799, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 2491, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96800, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 205, 136, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96801, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 302, 10, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96802, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2811, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96803, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 693, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96804, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 226, 90, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96805, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 253, 69, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96806, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 113, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96807, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 173, 37, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96808, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 96, 45, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96809, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 12, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96810, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 55, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96811, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 1840, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96812, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 115, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (96813, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1089, 76, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96814, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 525, 10, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96815, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 293, 35, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96816, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 644, 5, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96817, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 871, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96818, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 132, 121, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96819, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 695, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96820, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 115, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96821, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 725, 4, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96822, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 21, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96823, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 11, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96824, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 745, 7, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96825, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 2083, 13, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96826, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 253, 69, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96827, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 169, 20, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96828, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 693, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96829, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 309, 24, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96830, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 84, 22, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96831, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 259, 22, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96832, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 255, 21, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96833, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 156, 27, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96834, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 56, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96835, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 50, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96836, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 66, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96837, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 9, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96838, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 114, 24, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96839, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 85, 15, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96840, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 174, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96841, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 644, 5, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96842, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 322, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96843, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1420, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96844, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 182, 4, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96845, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 145, 28, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96846, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 151, 30, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96847, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 124, 15, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96848, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2811, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96849, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 69, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96850, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 139, 8, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96851, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 1840, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96852, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96853, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 1009, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96854, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 936, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96855, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 140, 7, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96856, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96857, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1300, 15, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96858, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 20, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96859, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96860, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 33, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96861, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 3720, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96862, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 932, 12, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96863, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1669, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96864, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1541, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96865, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 16, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96866, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 445, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96867, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 55, 7, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96868, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 223, 53, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96869, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96870, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 229, 37, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96871, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 211, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96872, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1369, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96873, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 2434, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96874, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 958, 8, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96875, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 759, 8, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96876, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1063, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96877, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 710, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96878, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 173, 37, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96879, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 349, 12, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96880, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 264, 23, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96881, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 123, 15, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96882, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 177, 13, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96883, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 373, 20, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96884, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 51, 31, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96885, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 352, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96886, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 50, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96887, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 56, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96888, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 66, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96889, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 932, 12, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96890, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1541, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96891, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 658, 37, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96892, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1669, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96893, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 9, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96894, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 1096, 8, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96895, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 507, 54, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96896, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 114, 24, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96897, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 85, 15, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96898, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 1009, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96899, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1369, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96900, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 69, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96901, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2434, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96902, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96903, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96904, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 581, 39, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96905, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96906, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 218, 10, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96907, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 192, 52, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96908, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 91, 41, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96909, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 229, 37, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96910, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 223, 53, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96911, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 253, 69, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96912, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 115, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96913, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 655, 74, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96914, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2359, 7, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96915, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 2083, 13, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96916, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 173, 37, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96917, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 264, 23, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 140, 7, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96919, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 725, 4, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96920, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 20, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96921, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 174, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96922, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 21, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96923, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 145, 28, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96924, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 1180, 45, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96925, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 994, 21, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96926, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 349, 12, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96927, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 177, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96928, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 124, 15, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96929, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 875, 84, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96930, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 2953, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96931, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 929, 48, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96932, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 151, 30, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96933, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 1190, 4, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96934, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1063, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96935, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 872, 31, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96936, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 759, 8, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96937, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 958, 8, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96938, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 863, 44, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96939, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 881, 33, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96940, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 1081, 21, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96941, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 1089, 29, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96942, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 936, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96943, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 710, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96944, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1300, 15, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96945, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 156, 27, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96946, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 84, 22, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96947, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 255, 21, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96948, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 259, 22, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96949, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 309, 24, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96950, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 745, 7, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96951, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 169, 20, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96952, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 11, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96953, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96954, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 16, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96955, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 139, 8, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96956, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 55, 7, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96957, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 445, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96958, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 211, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96959, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1840, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96960, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2811, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96961, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 644, 5, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96962, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 327, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96963, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 266, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96964, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 395, 7, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96965, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 4685, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96966, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 698, 29, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96967, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 136, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96968, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 657, 40, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96969, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 1243, 27, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96970, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 885, 35, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96971, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 669, 14, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96972, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 351, 4, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96973, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 1143, 21, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96974, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 968, 32, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96975, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 857, 17, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96976, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 1205, 43, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96977, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 936, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96978, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 710, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96979, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 725, 4, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96980, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 644, 5, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96981, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 958, 8, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96982, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 21, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96983, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1063, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96984, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 759, 8, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96985, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96986, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 124, 15, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96987, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 151, 30, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96988, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 145, 28, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96989, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 174, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96990, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 55, 7, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96991, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 139, 8, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96992, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 16, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96993, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96994, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 211, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96995, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 445, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96996, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 693, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96997, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1300, 15, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96998, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 3720, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (96999, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 33, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97000, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 264, 23, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97001, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 349, 12, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97002, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1669, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97003, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1541, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97004, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 932, 12, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97005, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97006, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97007, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 2083, 13, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97008, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 169, 20, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97009, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 229, 37, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97010, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 1009, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97011, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 253, 69, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97012, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 223, 53, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97013, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 69, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97014, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 84, 22, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97015, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 259, 22, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97016, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 309, 24, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97017, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 255, 21, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97018, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 156, 27, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97019, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 182, 4, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97020, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 9, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97021, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 115, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97022, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 56, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97023, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 50, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97024, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 66, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97025, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 1840, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97026, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 20, 2, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97027, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 85, 15, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97028, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1420, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97029, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 140, 7, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97030, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 322, 1, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97031, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 2434, 9, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97032, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 173, 37, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97033, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2811, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97034, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1369, 6, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97035, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 114, 24, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97036, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 745, 7, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97037, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 11, 3, 2024, 1, 15, '2024-08-05 14:03:56', NULL, NULL), (97038, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 456, 142, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97039, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 35, 34, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97040, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 901, 46, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97041, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 189, 218, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97042, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 259, 326, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97043, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 803, 92, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97044, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 661, 125, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97045, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 464, 222, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97046, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1023, 315, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97047, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 259, 326, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97048, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 490, 87, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97049, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 803, 92, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97050, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 661, 125, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97051, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 189, 218, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97052, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 456, 142, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97053, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1023, 315, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97054, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 464, 222, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97055, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 935, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97056, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 41, 12, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97057, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 388, 64, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97058, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 456, 142, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97059, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1099, 87, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97060, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1011, 7, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97061, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 445, 37, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97062, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 313, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97063, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1795, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97064, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1930, 17, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97065, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 91, 18, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97066, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97067, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 754, 15, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97068, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1007, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97069, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 194, 13, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97070, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 983, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97071, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 694, 6, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97072, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 2, 26, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97073, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 194, 108, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97074, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 758, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97075, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 24, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97076, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1359, 145, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97077, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 126, 9, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97078, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 36, 11, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97079, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 9, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 401, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 101, 9, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 406, 16, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 404, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1532, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 935, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 754, 15, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1290, 21, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 475, 21, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 106, 29, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 349, 15, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 235, 10, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 207, 26, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2489, 9, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1511, 15, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 356, 33, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 787, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1815, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 877, 11, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1882, 11, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 230, 32, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1139, 20, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 212, 33, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 297, 34, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1461, 16, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 473, 20, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 493, 20, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 555, 30, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 665, 28, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 396, 20, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 372, 26, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 276, 34, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 389, 36, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 366, 31, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 839, 24, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 501, 9, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 411, 31, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 7, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 494, 12, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 326, 20, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 241, 17, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 94, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 383, 10, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 188, 21, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 207, 23, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 72, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 933, 18, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 2012, 10, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 87, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 330, 13, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 482, 23, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 411, 37, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 11, 7, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 493, 63, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 82, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 513, 49, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1387, 6, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 91, 18, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2851, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 78, 14, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 668, 21, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 138, 27, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 49, 18, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 42, 18, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 1, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 923, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 579, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 52, 9, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 8, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 142, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 29, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 964, 41, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 56, 11, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 199, 6, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 12, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 85, 13, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 6, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 12, 17, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 24, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 313, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 28, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 388, 64, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 57, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1220, 46, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 2217, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1212, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1223, 16, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1540, 27, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1007, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 758, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 1692, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 275, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97178, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 754, 15, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97179, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1930, 17, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97180, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 983, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97181, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 24, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97182, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1011, 7, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97183, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 456, 142, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97184, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 758, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97185, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 194, 13, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97186, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1099, 87, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97187, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 388, 64, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97188, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 41, 12, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97189, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 91, 18, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97190, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 2, 26, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97191, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 9, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97192, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 36, 11, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97193, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 313, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97194, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1359, 145, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97195, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 935, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97196, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 142, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97197, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 445, 37, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97198, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1007, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97199, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1795, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97200, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 194, 108, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97201, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 694, 6, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97202, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 313, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97203, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 401, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97204, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 101, 9, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97205, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 142, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97206, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 754, 15, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97207, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 388, 64, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97208, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 326, 20, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97209, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 839, 24, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97210, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 411, 31, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97211, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 389, 36, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97212, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 366, 31, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97213, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 57, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97214, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 28, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97215, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 275, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97216, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 935, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97217, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 42, 18, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97218, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 8, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97219, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 52, 9, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97220, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 78, 14, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97221, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1007, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97222, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1795, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97223, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 24, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97224, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 1692, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (97225, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 49, 18, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97226, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 138, 27, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97227, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 668, 21, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97228, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 758, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97229, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 579, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97230, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 6, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97231, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97232, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 923, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97233, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1461, 16, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97234, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 11, 7, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97235, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97236, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1290, 21, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97237, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 82, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97238, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 12, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97239, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 404, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97240, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1467, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97241, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1540, 27, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97242, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1212, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97243, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1223, 16, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97244, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97245, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 2, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97246, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97247, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1220, 46, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97248, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97249, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 964, 41, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97250, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 1, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97251, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 29, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97252, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1815, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97253, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2489, 9, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97254, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 787, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97255, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1511, 15, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97256, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 877, 11, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97257, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1882, 11, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97258, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 91, 18, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97259, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1139, 20, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97260, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 406, 16, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97261, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 475, 21, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97262, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 199, 6, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97263, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 85, 13, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97264, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 29, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97265, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 56, 11, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97266, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 12, 17, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97267, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 24, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97268, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 57, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97269, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 28, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97270, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1540, 27, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97271, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1223, 16, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97272, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 241, 17, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97273, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1212, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97274, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 275, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97275, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 1692, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97276, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 7, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97277, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 493, 63, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97278, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 42, 18, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97279, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1815, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97280, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 52, 9, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97281, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 8, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97282, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 923, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97283, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2489, 9, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97284, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 579, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97285, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 787, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97286, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 6, 6, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97287, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 411, 37, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97288, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97289, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 330, 13, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97290, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 12, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97291, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 207, 23, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97292, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 188, 21, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97293, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 964, 41, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97294, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1220, 46, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97295, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 388, 64, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97296, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 313, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97297, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 513, 49, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97298, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1387, 6, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97299, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2851, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97300, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 754, 15, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97301, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 91, 18, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97302, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 11, 7, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97303, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 475, 21, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97304, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 401, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97305, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 82, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97306, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 935, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97307, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 78, 14, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97308, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 396, 20, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97309, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 101, 9, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97310, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 49, 18, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97311, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 406, 16, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97312, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 665, 28, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97313, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 276, 34, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97314, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 404, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97315, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 668, 21, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97316, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1532, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97317, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 138, 27, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97318, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 372, 26, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97319, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1882, 11, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97320, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 473, 20, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97321, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 494, 12, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97322, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 877, 11, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97323, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 555, 30, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97324, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1511, 15, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97325, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 493, 20, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97326, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 501, 9, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97327, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 482, 23, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97328, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1461, 16, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97329, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1139, 20, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97330, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1290, 21, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97331, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 2217, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97332, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 366, 31, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97333, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 839, 24, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97334, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 389, 36, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97335, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 411, 31, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97336, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 326, 20, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97337, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 142, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97338, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97339, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97340, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97341, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97342, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97343, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 1, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97344, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 758, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97345, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1007, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97346, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 383, 10, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97347, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 87, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97348, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 2012, 10, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97349, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 94, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97350, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 230, 32, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97351, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 356, 33, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97352, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 207, 26, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97353, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 235, 10, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97354, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 933, 18, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97355, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 72, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97356, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 349, 15, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97357, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 106, 29, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97358, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 297, 34, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97359, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 212, 33, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97360, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1461, 16, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97361, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1139, 20, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97362, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 401, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97363, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1007, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97364, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1511, 15, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97365, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1882, 11, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97366, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 101, 9, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97367, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 877, 11, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97368, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 12, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97369, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 668, 21, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97370, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 138, 27, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97371, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 49, 18, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97372, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 78, 14, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97373, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97374, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97375, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97376, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97377, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 1, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97378, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97379, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1290, 21, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97380, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1467, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97381, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 404, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97382, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 475, 21, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97383, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 406, 16, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97384, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1212, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97385, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1223, 16, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97386, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1540, 27, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97387, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 6, 6, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97388, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97389, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 754, 15, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97390, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 964, 41, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97391, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 923, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97392, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 388, 64, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97393, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1220, 46, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97394, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 579, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97395, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 839, 24, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97396, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 411, 31, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97397, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 326, 20, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97398, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 389, 36, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97399, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 366, 31, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97400, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 24, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97401, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 1692, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97402, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 275, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97403, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 313, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97404, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 935, 2, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97405, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 57, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97406, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 28, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97407, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 82, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97408, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 52, 9, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97409, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 8, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97410, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1795, 1, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97411, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 11, 7, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97412, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 91, 18, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97413, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 787, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97414, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1815, 4, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97415, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 29, 5, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97416, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 758, 3, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97417, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2489, 9, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97418, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 42, 18, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97419, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 142, 8, 2024, 1, 16, '2024-08-05 14:03:57', NULL, NULL), (97420, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 170, 126, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97421, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 690, 40, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97422, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 470, 36, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97423, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 221, 266, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97424, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 658, 55, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97425, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 263, 332, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97426, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 240, 179, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97427, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 471, 108, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97428, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 660, 228, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97429, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 262, 333, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97430, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 524, 85, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97431, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 658, 55, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97432, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 458, 111, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97433, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 220, 267, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97434, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 170, 126, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97435, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 660, 228, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97436, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 240, 179, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97437, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 328, 12, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97438, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 294, 54, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97439, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 170, 126, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97440, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 431, 83, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97441, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 70, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97442, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 371, 28, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97443, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 635, 5, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97444, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 921, 14, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97445, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 338, 24, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97446, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 3925, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97447, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1770, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97448, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1175, 9, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97449, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 370, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97450, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 339, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97451, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 63, 3, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97452, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 2757, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97453, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 34, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97454, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 100, 131, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97455, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 268, 19, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97456, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 737, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97457, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 166, 8, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97458, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1160, 82, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97459, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 492, 8, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97460, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 61, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97461, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 608, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 138, 44, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 48, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 765, 52, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 370, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 544, 12, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 352, 23, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 132, 5, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 70, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 107, 19, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 110, 17, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1770, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 86, 26, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 96, 29, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 817, 14, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 242, 16, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 787, 5, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 217, 32, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 251, 20, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 8, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 158, 23, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1090, 11, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 220, 15, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 314, 24, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1025, 10, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 96, 18, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 13, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 6, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1476, 10, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 302, 3, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 5, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1243, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 274, 36, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 734, 9, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 1506, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 4009, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 111, 22, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 23555, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 222, 28, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 185, 35, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1395, 13, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 226, 22, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 6, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 413, 40, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 268, 13, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 39, 8, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 284, 27, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 40, 9, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 224, 7, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 105, 17, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 7, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 288, 16, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 76, 15, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 262, 25, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 138, 11, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 85, 26, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 243, 26, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 635, 5, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 121, 17, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 84, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 294, 54, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 68, 18, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 329, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 77, 24, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 45, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 95, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 312, 22, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 73, 18, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 447, 43, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 613, 7, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 227, 17, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1367, 7, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 81, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 986, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 215, 10, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1495, 9, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 378, 23, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1175, 9, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 496, 3, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 55, 36, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 282, 18, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 103, 15, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 7, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 23, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1008, 12, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 449, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 339, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 137, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 215, 17, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 38, 11, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 840, 36, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97556, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1770, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97557, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 921, 14, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97558, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 339, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97559, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 166, 8, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97560, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 70, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97561, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 170, 126, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97562, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 370, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97563, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 268, 19, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97564, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 63, 3, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97565, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 431, 83, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97566, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 294, 54, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97567, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 328, 12, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97568, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 352, 23, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97569, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 34, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97570, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97571, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 61, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97572, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 737, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97573, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 635, 5, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97574, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1160, 82, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97575, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 787, 5, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97576, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 371, 28, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97577, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1175, 9, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97578, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 23555, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97579, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 100, 131, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97580, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 2757, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97581, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 635, 5, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97582, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 370, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97583, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 787, 5, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97584, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1770, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97585, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 294, 54, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97586, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 378, 23, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97587, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 63, 3, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97588, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 73, 18, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97589, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 68, 18, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97590, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 77, 24, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97591, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 243, 26, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97592, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 121, 17, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97593, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 95, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97594, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 84, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97595, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 339, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97596, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 96, 18, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97597, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 111, 22, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97598, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 107, 19, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97599, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1175, 9, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97600, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 166, 8, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97601, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 96, 29, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97602, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 86, 26, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97603, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 110, 17, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97604, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 282, 18, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97605, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 4009, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97606, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 7, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97607, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 737, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97608, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97609, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 1506, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97610, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 14, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97611, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1395, 13, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97612, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 608, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97613, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97614, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 817, 14, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97615, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 48, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97616, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 70, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97617, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1495, 9, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97618, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1367, 7, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97619, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 986, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97620, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 13, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97621, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 6, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97622, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 8, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97623, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 447, 43, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97624, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97625, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 413, 40, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97626, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 5, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97627, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 6, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97628, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 23555, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97629, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 302, 3, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97630, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1090, 11, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97631, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1025, 10, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97632, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1476, 10, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97633, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1243, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97634, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 352, 23, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (97635, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 734, 9, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97636, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 544, 12, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97637, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 242, 16, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97638, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 40, 9, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97639, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 105, 17, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97640, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 6, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97641, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 39, 8, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97642, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 76, 15, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97643, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 138, 11, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97644, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 95, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97645, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 84, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97646, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1495, 9, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97647, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 986, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97648, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 227, 17, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97649, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1367, 7, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97650, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 339, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97651, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 45, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97652, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 138, 44, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97653, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 96, 18, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97654, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 302, 3, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97655, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 111, 22, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97656, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 1506, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97657, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1090, 11, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97658, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 4009, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97659, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 7, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97660, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97661, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 840, 36, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97662, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 38, 11, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97663, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 103, 15, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97664, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 413, 40, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97665, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 55, 36, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97666, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 447, 43, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97667, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 294, 54, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97668, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 635, 5, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97669, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 765, 52, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97670, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 132, 5, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97671, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1770, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97672, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 352, 23, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97673, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 121, 17, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97674, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 68, 18, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97675, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 608, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97676, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 242, 16, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97677, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 48, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97678, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 243, 26, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97679, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 77, 24, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97680, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 73, 18, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97681, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 107, 19, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97682, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 370, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97683, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 288, 16, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97684, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 96, 29, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97685, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 224, 7, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97686, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 544, 12, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97687, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 110, 17, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97688, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 85, 26, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97689, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 70, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97690, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 262, 25, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97691, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 86, 26, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97692, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 226, 22, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97693, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1243, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97694, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1476, 10, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97695, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 312, 22, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97696, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 284, 27, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97697, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1025, 10, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97698, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 268, 13, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97699, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 329, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97700, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 378, 23, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97701, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 787, 5, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97702, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 23555, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97703, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97704, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 13, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97705, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97706, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 8, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97707, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97708, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 5, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97709, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 496, 3, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97710, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 282, 18, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97711, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1175, 9, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97712, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 215, 17, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97713, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1395, 13, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97714, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 734, 9, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97715, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 215, 10, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97716, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 137, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97717, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 449, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97718, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 81, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97719, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 274, 36, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97720, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 7, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97721, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 314, 24, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97722, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 817, 14, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97723, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 220, 15, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97724, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1008, 12, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97725, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 158, 23, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97726, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 23, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97727, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 613, 7, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97728, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 251, 20, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97729, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 217, 32, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97730, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 185, 35, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97731, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 222, 28, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97732, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1395, 13, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97733, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 734, 9, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97734, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1175, 9, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97735, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1025, 10, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97736, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 370, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97737, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1243, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97738, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1476, 10, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97739, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 110, 17, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97740, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 86, 26, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97741, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 96, 29, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97742, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 107, 19, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97743, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 8, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97744, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97745, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 13, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97746, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 4, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97747, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 5, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97748, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97749, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 63, 3, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97750, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 817, 14, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97751, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 70, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97752, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 242, 16, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97753, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 544, 12, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97754, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1367, 7, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97755, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 986, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97756, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 23555, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97757, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1495, 9, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97758, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 7, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97759, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97760, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1770, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97761, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 378, 23, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97762, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 413, 40, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97763, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 1506, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97764, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 294, 54, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97765, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 447, 43, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97766, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 4009, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97767, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 68, 18, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97768, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 77, 24, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97769, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 73, 18, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97770, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 243, 26, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97771, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 121, 17, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97772, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 166, 8, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97773, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 339, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97774, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 635, 5, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97775, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 95, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97776, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 84, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97777, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 737, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97778, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 48, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97779, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 111, 22, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97780, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 608, 6, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97781, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 352, 23, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97782, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 302, 3, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97783, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 6, 2, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97784, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 282, 18, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97785, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 14, 1, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97786, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1090, 11, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97787, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 96, 18, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97788, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 787, 5, 2024, 1, 17, '2024-08-05 14:03:58', NULL, NULL), (97789, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 36, 89, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97790, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 49, 39, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97791, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 638, 32, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97792, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 301, 179, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97793, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 230, 399, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97794, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 558, 72, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97795, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 154, 158, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97796, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 554, 114, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97797, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 2114, 228, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97798, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 230, 399, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97799, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 306, 73, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97800, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 558, 72, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97801, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 544, 116, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97802, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 296, 182, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97803, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 36, 89, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97804, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2114, 228, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97805, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 154, 158, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97806, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 767, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97807, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 568, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97808, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 36, 89, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97809, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 357, 53, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97810, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 281, 64, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97811, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 904, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97812, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 99, 30, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97813, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 40, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97814, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 10, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97815, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1390, 19, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97816, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 96, 19, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97817, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 750, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97818, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1569, 8, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97819, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 32, 9, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97820, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1008, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97821, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 410, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97822, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 33, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97823, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 109, 78, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97824, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 70, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97825, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97826, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 2521, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97827, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 4475, 99, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97828, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 302, 6, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97829, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 54, 8, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97830, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 8, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 101, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 12, 7, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 103, 8, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 808, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 602, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 767, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 750, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 4231, 17, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 98, 22, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 221, 48, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 175, 33, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 144, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 4207, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 156, 40, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1183, 10, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 3015, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 263, 38, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1621, 9, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 187, 26, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 3773, 16, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 230, 38, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 211, 32, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 5053, 10, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 61, 13, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 148, 11, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 276, 18, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 111, 6, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 231, 8, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 148, 25, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 86, 31, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 9, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 38, 15, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 90, 18, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 396, 10, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 28, 19, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 593, 17, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 111, 17, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 15, 11, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 192, 22, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 143, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 111, 7, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 14, 14, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 42, 22, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 36, 22, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 943, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1289, 9, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 205, 10, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1904, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 17, 13, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 117, 19, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 579, 36, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 106, 55, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 568, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 409, 54, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 96, 19, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 336, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 131, 7, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 132, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 33, 14, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 89, 17, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 520, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 11, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 5, 8, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 111, 13, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 5, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 410, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 68, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 873, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 85, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 39, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 269, 25, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 375, 11, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 56, 14, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 646, 6, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 32, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 2521, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 40, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 3, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 357, 53, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 40, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 92, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 288, 39, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 11508, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 5138, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 3630, 9, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 3042, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1793, 7, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 6296, 18, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 70, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 342, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 1674, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97928, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 750, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97929, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1390, 19, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97930, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1008, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97931, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 2521, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97932, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 904, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97933, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 36, 89, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97934, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 32, 9, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97935, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 70, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97936, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 281, 64, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97937, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 357, 53, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97938, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 568, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97939, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 96, 19, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97940, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 33, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97941, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 8, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97942, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 54, 8, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97943, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 40, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97944, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 4475, 99, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97945, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 767, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97946, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 302, 6, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97947, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 99, 30, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97948, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1793, 7, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97949, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 10, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97950, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 110, 77, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97951, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 410, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97952, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 40, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97953, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 101, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97954, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 12, 7, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97955, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 520, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97956, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 85, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97957, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 750, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97958, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 357, 53, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97959, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 14, 14, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97960, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 15, 11, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97961, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 90, 18, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97962, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 28, 19, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97963, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 9, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97964, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 38, 15, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97965, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 92, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97966, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 40, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97967, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 3, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97968, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 1674, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97969, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 767, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97970, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 111, 13, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97971, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 873, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97972, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 68, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97973, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 131, 7, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97974, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1793, 7, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97975, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 10, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97976, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 2521, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97977, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 342, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97978, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 89, 17, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97979, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 33, 14, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97980, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 132, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97981, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 70, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97982, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 410, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97983, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97984, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97985, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 5053, 10, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97986, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97987, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 4231, 17, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97988, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97989, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 568, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97990, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1207, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97991, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 602, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97992, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 6296, 18, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97993, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 5138, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97994, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 3630, 9, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97995, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 3042, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97996, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 5, 8, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97997, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 5, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97998, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (97999, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 288, 39, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98000, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 11, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98001, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 269, 25, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98002, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98003, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 39, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98004, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1621, 9, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98005, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1183, 10, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98006, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 3015, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98007, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 96, 19, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98008, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 3773, 16, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98009, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 103, 8, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98010, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 4207, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98011, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 98, 22, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98012, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 56, 14, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98013, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 646, 6, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98014, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 39, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98015, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 375, 11, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98016, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 32, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98017, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 2521, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98018, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 40, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98019, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 92, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98020, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 3, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98021, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 6296, 18, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98022, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 3042, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98023, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 3630, 9, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98024, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 192, 22, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98025, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 5138, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98026, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 1674, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98027, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 342, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98028, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 593, 17, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98029, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 106, 55, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98030, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 111, 13, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98031, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1621, 9, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98032, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 68, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98033, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 873, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98034, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1183, 10, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98035, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 410, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98036, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98037, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98038, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 579, 36, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98039, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98040, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 17, 13, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98041, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 36, 22, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98042, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 42, 22, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98043, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 269, 25, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98044, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 288, 39, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98045, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 357, 53, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98046, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 40, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98047, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 409, 54, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98048, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 336, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98049, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 750, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (98050, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 96, 19, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98051, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 98, 22, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98052, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 568, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98053, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 101, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98054, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 767, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98055, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 131, 7, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98056, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 231, 8, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98057, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 89, 17, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98058, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 12, 7, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98059, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 103, 8, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98060, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 111, 6, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98061, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 808, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98062, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 86, 31, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98063, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 132, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98064, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 602, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98065, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 148, 25, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98066, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 33, 14, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98067, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 61, 13, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98068, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 111, 17, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98069, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 276, 18, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98070, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 3015, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98071, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 4207, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98072, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 148, 11, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98073, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 396, 10, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98074, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 117, 19, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98075, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 5053, 10, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98076, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 3773, 16, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98077, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 4231, 17, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98078, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 11508, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98079, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 38, 15, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98080, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 90, 18, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98081, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 9, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98082, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 28, 19, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98083, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 15, 11, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98084, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 85, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98085, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 520, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98086, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 14, 14, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98087, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 11, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98088, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 8, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98089, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98090, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98091, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98092, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98093, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 70, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98094, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1793, 7, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98095, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 111, 7, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98096, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1904, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98097, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 205, 10, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98098, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 143, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98099, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 187, 26, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98100, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 943, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98101, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 263, 38, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98102, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 156, 40, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98103, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1289, 9, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98104, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 144, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98105, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 175, 33, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98106, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 221, 48, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98107, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 211, 32, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98108, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 230, 38, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98109, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 5053, 10, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98110, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 3773, 16, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98111, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 101, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98112, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1793, 7, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98113, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 3015, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98114, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 4207, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98115, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 12, 7, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98116, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98117, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 132, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98118, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 33, 14, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98119, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 89, 17, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98120, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 131, 7, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98121, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98122, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98123, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 8, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98124, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 11, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98125, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98126, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98127, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 4231, 17, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98128, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 602, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98129, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1207, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98130, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 98, 22, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98131, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 103, 8, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98132, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 5138, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98133, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 3630, 9, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98134, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 3042, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98135, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 6296, 18, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98136, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98137, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98138, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 750, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98139, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 14, 14, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98140, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 269, 25, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98141, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 357, 53, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98142, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 288, 39, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98143, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 410, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98144, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 90, 18, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98145, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 28, 19, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98146, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 15, 11, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98147, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 9, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98148, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 38, 15, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98149, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 2521, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98150, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 342, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98151, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 1674, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98152, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 40, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98153, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 767, 5, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98154, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 92, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98155, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 40, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98156, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 3, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98157, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 568, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98158, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 68, 12, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98159, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 873, 2, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98160, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 10, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98161, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 96, 19, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98162, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1621, 9, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98163, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 39, 1, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98164, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 70, 4, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98165, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1183, 10, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98166, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 111, 13, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98167, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 85, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98168, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 520, 3, 2024, 1, 18, '2024-08-05 14:03:59', NULL, NULL), (98169, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 122, 87, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98170, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 150, 61, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98171, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 556, 47, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98172, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 205, 171, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98173, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 123, 352, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98174, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 597, 60, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98175, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 301, 160, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98176, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 840, 150, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98177, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1444, 274, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98178, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 122, 354, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98179, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 312, 113, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98180, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 587, 61, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98181, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 840, 150, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98182, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 201, 175, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98183, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 122, 87, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98184, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1444, 274, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98185, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 301, 160, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98186, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 38, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98187, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98188, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 25, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98189, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 122, 87, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98190, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 464, 48, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98191, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 401, 96, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98192, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 717, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98193, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 207, 31, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98194, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 820, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98195, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 3717, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98196, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1602, 15, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98197, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 98, 18, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98198, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98199, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 18, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98200, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1261, 10, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98201, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 18, 9, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98202, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 852, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98203, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 419, 5, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98204, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 9, 45, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98205, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 85, 88, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98206, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1066, 4, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98207, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 158, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98208, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2813, 117, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98209, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 546, 16, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98210, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 96, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98211, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 96, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 10, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 20, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 237, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1717, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 38, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 18, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 3223, 13, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 200, 25, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 81, 32, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 58, 28, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 76, 30, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 74, 24, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1611, 8, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2982, 23, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 56, 47, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1420, 4, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2733, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2838, 15, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 67, 26, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2332, 14, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 133, 26, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 64, 24, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2376, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 769, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 128, 9, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 394, 18, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 206, 23, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 444, 15, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 255, 19, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 61, 23, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 178, 15, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 189, 12, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 101, 15, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 58, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 101, 16, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 420, 19, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 147, 16, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 82, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 94, 18, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 915, 12, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 13, 13, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 73, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 490, 43, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 52, 4, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 7, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 213, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 813, 16, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 74, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 62, 17, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 318, 17, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 29, 25, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 820, 83, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 25, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 721, 51, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1615, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 98, 18, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1569, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 59, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 78, 20, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 85, 19, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 91, 12, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 18, 5, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 18, 9, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 8, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 130, 18, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 7, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 6, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 694, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 50, 10, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 546, 16, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 45, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 341, 44, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 91, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 324, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 114, 4, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 598, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 34, 14, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 4, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 158, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 820, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 464, 48, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 213, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 91, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 452, 52, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 67, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 4269, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2107, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1577, 8, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2464, 23, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 6, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1419, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 7, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 1274, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98308, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 18, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98309, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1717, 14, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98310, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 852, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98311, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 158, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98312, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 717, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98313, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 122, 87, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98314, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1066, 4, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98315, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 18, 9, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98316, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 401, 96, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98317, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 464, 48, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98318, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 25, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98319, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 98, 18, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98320, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 9, 45, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98321, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 96, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98322, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 96, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98323, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 820, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98324, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2813, 117, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98325, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 38, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98326, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 546, 16, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98327, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 207, 31, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98328, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1577, 8, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98329, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 3717, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98330, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 87, 86, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98331, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 419, 5, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98332, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 820, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98333, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 10, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98334, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 20, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98335, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 546, 16, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98336, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 18, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98337, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 464, 48, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98338, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 13, 13, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98339, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 147, 16, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98340, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 101, 15, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98341, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 101, 16, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98342, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 178, 15, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98343, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 189, 12, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98344, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 91, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98345, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 213, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98346, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 1274, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98347, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 38, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98348, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 130, 18, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98349, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 50, 10, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98350, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 59, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98351, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1577, 8, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98352, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 3717, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98353, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 158, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98354, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 7, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98355, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 91, 12, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98356, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 85, 19, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98357, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 78, 20, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98358, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1419, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98359, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 694, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98360, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98361, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 4, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98362, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 6, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98363, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 6, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98364, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2376, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98365, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98366, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 3223, 13, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98367, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 324, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98368, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 25, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98369, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 717, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98370, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2464, 23, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98371, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 4269, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98372, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2107, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98373, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 8, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98374, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 2, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98375, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 18, 5, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98376, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 452, 52, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98377, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 18, 9, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98378, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 341, 44, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98379, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 7, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98380, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 45, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98381, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2733, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98382, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1611, 8, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98383, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1420, 4, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98384, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2982, 23, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98385, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2838, 15, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98386, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 98, 18, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98387, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2332, 14, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98388, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 237, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98389, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 200, 25, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98390, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 114, 4, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98391, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 598, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98392, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 45, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98393, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 91, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98394, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 34, 14, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98395, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 158, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98396, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 213, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98397, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 91, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98398, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2464, 23, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98399, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2107, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98400, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 94, 18, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98401, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 4269, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98402, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 1274, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98403, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 7, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98404, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 82, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98405, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 820, 83, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98406, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 130, 18, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98407, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2733, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98408, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 50, 10, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98409, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 6, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98410, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1611, 8, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98411, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 694, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98412, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1420, 4, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98413, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 6, 4, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98414, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98415, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 29, 25, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98416, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 324, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98417, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 62, 17, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98418, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 490, 43, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98419, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 73, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98420, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 341, 44, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98421, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 452, 52, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98422, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 464, 48, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98423, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 820, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98424, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 721, 51, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98425, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1615, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98426, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1569, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98427, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 18, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98428, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 98, 18, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98429, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 200, 25, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98430, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 10, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98431, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 25, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98432, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 38, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98433, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 59, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98434, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 444, 15, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98435, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 20, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98436, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 91, 12, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98437, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 206, 23, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98438, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 237, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98439, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 78, 20, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98440, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 61, 23, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98441, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1717, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98442, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 255, 19, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98443, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 85, 19, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98444, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 769, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98445, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 420, 19, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98446, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2838, 15, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98447, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 394, 18, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98448, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2982, 23, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98449, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 128, 9, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98450, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 58, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98451, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 318, 17, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98452, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2376, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98453, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2332, 14, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98454, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 3223, 13, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98455, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 67, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98456, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 189, 12, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98457, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 101, 15, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98458, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 178, 15, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98459, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 101, 16, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98460, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 147, 16, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98461, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 546, 16, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98462, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 13, 13, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98463, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 18, 9, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (98464, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 8, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98465, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98466, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 18, 5, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98467, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98468, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98469, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 6, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98470, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1419, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98471, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1577, 8, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98472, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 915, 12, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98473, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 74, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98474, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 813, 16, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98475, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 67, 26, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98476, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 52, 4, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98477, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 56, 47, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98478, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 74, 24, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98479, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 213, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98480, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 76, 30, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98481, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 7, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98482, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 58, 28, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98483, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 81, 32, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98484, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 64, 24, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98485, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 133, 26, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98486, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2376, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98487, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2332, 14, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98488, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 10, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98489, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1577, 8, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98490, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2982, 23, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98491, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 20, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98492, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2838, 15, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98493, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 324, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98494, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 78, 20, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98495, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 85, 19, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98496, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 91, 12, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98497, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 59, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98498, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 18, 5, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98499, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98500, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 8, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98501, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 18, 9, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98502, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98503, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98504, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 3223, 13, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98505, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 717, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98506, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 200, 25, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98507, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 237, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98508, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 4269, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98509, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2107, 11, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98510, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2464, 23, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98511, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 6, 4, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98512, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98513, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 18, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98514, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 13, 13, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98515, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 341, 44, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98516, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 6, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98517, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 464, 48, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98518, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 452, 52, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98519, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 694, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98520, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 101, 15, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98521, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 101, 16, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98522, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 147, 16, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98523, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 178, 15, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98524, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 189, 12, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98525, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 158, 6, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98526, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 7, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98527, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 1274, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98528, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 820, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98529, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 38, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98530, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 91, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98531, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 213, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98532, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 25, 7, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98533, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 50, 10, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98534, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 3717, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98535, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 98, 18, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98536, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1420, 4, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98537, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2733, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98538, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 45, 2, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98539, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1419, 3, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98540, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 6, 1, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98541, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1611, 8, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98542, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 130, 18, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98543, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 546, 16, 2024, 1, 19, '2024-08-05 14:04:00', NULL, NULL), (98544, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 7, 1, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98545, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 84, 4, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98546, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 180, 82, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98547, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 167, 64, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98548, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1171, 37, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98549, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 24, 62, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98550, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 169, 87, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98551, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 159, 67, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98552, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 56, 6, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98553, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 7, 1, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98554, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 963, 45, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98555, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 24, 62, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98556, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2004, 19, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98557, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 84, 4, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98558, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 7, 1, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98559, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 8, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98560, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 3, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98561, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 349, 15, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98562, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 2, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 119, 30, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 125, 11, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 156, 16, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 28, 16, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 84, 4, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 257, 18, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2263, 4, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 15, 14, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 30, 12, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 116, 16, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1921, 4, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 3, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 20, 14, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2227, 8, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 173, 8, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 294, 26, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 7, 1, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 36, 6, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 349, 15, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 481, 2, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1177, 3, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 47, 12, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 133, 7, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98586, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 349, 15, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98587, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 84, 4, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98588, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2004, 19, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98589, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 3, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98590, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 7, 1, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98591, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 3, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98592, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1177, 3, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98593, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2227, 8, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98594, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 84, 4, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98595, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 7, 1, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98596, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2263, 4, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98597, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1921, 4, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98598, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 349, 15, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98599, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 84, 4, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98600, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 7, 1, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98601, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 119, 30, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98602, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 20, 14, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98603, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 30, 12, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98604, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1177, 3, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98605, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 36, 6, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98606, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2227, 8, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98607, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 3, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98608, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 15, 14, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98609, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 133, 7, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98610, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1921, 4, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98611, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 28, 16, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98612, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 481, 2, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98613, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2263, 4, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98614, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 47, 12, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98615, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 294, 26, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98616, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 173, 8, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98617, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 349, 15, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98618, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 116, 16, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98619, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 156, 16, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98620, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 125, 11, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98621, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 257, 18, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98622, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1177, 3, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98623, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 7, 1, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98624, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 84, 4, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98625, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2263, 4, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98626, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1921, 4, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98627, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2227, 8, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98628, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 3, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98629, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 349, 15, 2024, 1, 20, '2024-08-05 14:04:01', NULL, NULL), (98630, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 39, 4, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98631, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 131, 39, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98632, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 349, 16, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98633, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 12, 40, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98634, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 528, 30, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98635, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 131, 39, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98636, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 192, 29, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98637, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 39, 4, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98638, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 495, 32, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98639, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 12, 40, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98640, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 21, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98641, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 823, 14, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98642, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 71, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98643, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98644, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 10, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98645, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 288, 15, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98646, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 33, 2, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 390, 4, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 288, 15, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 142, 10, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 2, 9, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 71, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1300, 2, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 9, 8, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 81, 3, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 10, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 3, 4, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 2, 2, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 21, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 27, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 40, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 17, 7, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 692, 5, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 7, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 2, 7, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 10, 4, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 8, 7, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 849, 3, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 5, 2, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 996, 4, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 229, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 762, 2, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 224, 16, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 149, 8, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98674, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 288, 15, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98675, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 71, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98676, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 33, 2, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98677, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 823, 14, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98678, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 21, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98679, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 10, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98680, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 10, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98681, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 692, 5, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98682, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 27, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98683, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 996, 4, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98684, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 71, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98685, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 762, 2, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98686, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 849, 3, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98687, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 21, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98688, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 288, 15, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98689, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 40, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98690, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 71, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98691, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 21, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98692, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 27, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98693, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 3, 4, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98694, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 81, 3, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98695, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 2, 2, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98696, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 40, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98697, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 2, 7, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98698, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 996, 4, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98699, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 9, 8, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98700, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 2, 9, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98701, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 10, 4, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98702, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 849, 3, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98703, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 17, 7, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98704, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 7, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98705, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 390, 4, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98706, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 762, 2, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98707, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 10, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98708, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 149, 8, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98709, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 224, 16, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98710, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 229, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98711, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 288, 15, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98712, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 692, 5, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98713, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 5, 2, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98714, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 142, 10, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98715, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 8, 7, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98716, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1300, 2, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98717, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 762, 2, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98718, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 71, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98719, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 21, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98720, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 849, 3, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98721, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 996, 4, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98722, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 10, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98723, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 40, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98724, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 27, 1, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98725, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 288, 15, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98726, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 692, 5, 2024, 1, 21, '2024-08-05 14:04:02', NULL, NULL), (98727, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 178, 109, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98728, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 11, 41, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98729, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 433, 46, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98730, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 129, 213, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98731, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 679, 74, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98732, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 190, 437, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98733, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 251, 171, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98734, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 833, 141, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98735, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 445, 241, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98736, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 187, 443, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98737, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 214, 95, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98738, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 670, 75, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98739, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 827, 142, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98740, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 129, 213, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98741, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 178, 109, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98742, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 437, 245, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98743, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 251, 171, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98744, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 285, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98745, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 159, 16, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98746, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 178, 109, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98747, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 185, 58, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98748, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 306, 83, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98749, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 581, 5, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98750, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 110, 37, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98751, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 538, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98752, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 518, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98753, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2763, 14, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98754, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 58, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98755, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98756, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 237, 7, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98757, 1, '511500000000-0001', '宜宾市民中心', '普通护照', '', '', '', 0, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98758, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1041, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98759, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 110, 7, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98760, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 789, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98761, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 672, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98762, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 10, 4, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98763, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 9, 29, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98764, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 79, 107, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98765, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 848, 4, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98766, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 16, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98767, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 876, 77, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98768, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 14, 12, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98769, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 49, 8, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98770, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 22, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 3, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 153, 5, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 50, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 507, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 588, 5, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 285, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 237, 7, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 865, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 136, 26, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 214, 42, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 152, 30, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 174, 35, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 292, 23, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 193, 25, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1055, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2758, 8, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2771, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 211, 68, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 794, 8, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1323, 12, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 63, 20, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 735, 8, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 296, 30, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 283, 30, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 639, 8, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 249, 24, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 175, 9, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 273, 36, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 347, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 296, 30, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 404, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 160, 27, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 227, 18, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 236, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 351, 24, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 143, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 66, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 243, 16, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 22, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 296, 27, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 222, 23, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 567, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 88, 9, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 52, 18, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 35, 22, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 125, 33, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 809, 9, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 176, 5, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 473, 14, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 266, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 618, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 48, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 214, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 23, 18, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 219, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 876, 53, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 60, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 845, 75, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 984, 7, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 58, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 35, 14, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 72, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 91, 36, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 65, 9, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 20, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 17, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 5, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 4, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 55, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 6, 5, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 9, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 11, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 10, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 121, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 12, 9, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 64, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 356, 42, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 111, 18, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 93, 15, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 7, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 20, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 8, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 107, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 672, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 538, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 30, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 199, 54, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 80, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 26, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 255, 41, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 171, 4, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 22, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 622, 4, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 704, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1041, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 743, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 42, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1100, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 1259, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 555, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98873, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 237, 7, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98874, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2763, 14, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98875, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 789, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98876, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 581, 5, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98877, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 178, 109, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98878, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 128, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98879, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 848, 4, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98880, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 672, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98881, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 306, 83, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98882, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 199, 54, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98883, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 159, 16, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98884, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 58, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98885, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 9, 29, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (98886, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 22, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98887, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 49, 8, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98888, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 16, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98889, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 538, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98890, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 876, 77, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98891, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 285, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98892, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 14, 12, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98893, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 110, 37, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98894, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1041, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98895, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 518, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98896, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 79, 107, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98897, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 10, 4, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98898, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 538, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98899, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 3, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98900, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 153, 5, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98901, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 20, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98902, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 12, 9, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98903, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 237, 7, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98904, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 199, 54, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98905, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 52, 18, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98906, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 672, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98907, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 22, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98908, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 351, 24, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98909, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 66, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98910, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 227, 18, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98911, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 236, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98912, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 26, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98913, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 80, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98914, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 30, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98915, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 555, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98916, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 285, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98917, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 55, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98918, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 121, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98919, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 35, 14, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98920, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1041, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98921, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 381, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98922, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 587, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98923, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 1259, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98924, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 65, 9, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98925, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 91, 36, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98926, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 72, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98927, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1100, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98928, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 10, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98929, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 16, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98930, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 17, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98931, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98932, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 11, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98933, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 93, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98934, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 639, 8, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98935, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 219, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98936, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 865, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98937, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 8, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98938, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 60, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98939, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 7, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98940, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 571, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98941, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 588, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98942, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 743, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98943, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 622, 4, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98944, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 704, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98945, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 4, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98946, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 6, 5, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98947, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 5, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98948, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 255, 41, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98949, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98950, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 356, 42, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98951, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 9, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98952, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 64, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98953, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2771, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98954, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 2758, 8, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98955, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1055, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98956, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 794, 8, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98957, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1323, 12, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98958, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 58, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98959, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 735, 8, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98960, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 50, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98961, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 136, 26, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98962, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 93, 15, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98963, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 20, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98964, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 64, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98965, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 111, 18, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98966, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 107, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98967, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 672, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98968, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 80, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98969, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 26, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98970, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 30, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98971, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 743, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98972, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 704, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98973, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 222, 23, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98974, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 622, 4, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98975, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 555, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98976, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 1259, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98977, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 296, 27, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98978, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 876, 53, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98979, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 55, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98980, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2771, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98981, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 121, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98982, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 11, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98983, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 10, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98984, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2758, 8, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98985, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98986, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 23, 18, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98987, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 8, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98988, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 48, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98989, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 7, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98990, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 125, 33, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98991, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 35, 22, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98992, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 356, 42, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98993, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 255, 41, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98994, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 199, 54, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98995, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 538, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98996, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 845, 75, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98997, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 984, 7, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98998, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 237, 7, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (98999, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 58, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99000, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 219, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99001, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 136, 26, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99002, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 3, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99003, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 60, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99004, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 285, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99005, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 35, 14, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99006, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 153, 5, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99007, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 296, 30, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99008, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 65, 9, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99009, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 347, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99010, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 50, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99011, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 507, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99012, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 160, 27, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99013, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 72, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99014, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 588, 5, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99015, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 404, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99016, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 91, 36, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99017, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 249, 24, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99018, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1323, 12, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99019, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 243, 16, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99020, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 794, 8, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99021, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 273, 36, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99022, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1055, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99023, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 175, 9, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99024, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 143, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99025, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 214, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99026, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 639, 8, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99027, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 735, 8, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99028, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 22, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99029, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 865, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99030, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 171, 4, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99031, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 236, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99032, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 351, 24, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99033, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 227, 18, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99034, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 66, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99035, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 22, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99036, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 12, 9, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99037, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 20, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99038, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 52, 18, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99039, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99040, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 4, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99041, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 17, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99042, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 5, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99043, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 5, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99044, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 9, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99045, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 42, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99046, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1100, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99047, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1041, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99048, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 88, 9, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99049, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 618, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99050, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 266, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99051, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 567, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99052, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 63, 20, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99053, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 211, 68, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99054, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 809, 9, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99055, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 193, 25, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99056, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 292, 23, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99057, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 174, 35, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99058, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 473, 14, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99059, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 176, 5, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99060, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 152, 30, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99061, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 214, 42, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99062, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 283, 30, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99063, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 296, 30, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99064, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 639, 8, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99065, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 735, 8, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99066, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 3, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99067, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1041, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99068, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1055, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99069, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 153, 5, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99070, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1323, 12, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99071, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 794, 8, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99072, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 7, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99073, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 72, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99074, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 91, 36, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99075, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 65, 9, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99076, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 35, 14, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99077, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 5, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99078, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 17, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99079, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 4, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99080, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99081, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 9, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99082, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 5, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99083, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 672, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99084, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 865, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99085, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 588, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99086, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 571, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99087, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 136, 26, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99088, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 50, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99089, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 622, 4, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99090, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 704, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99091, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 743, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99092, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99093, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 8, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99094, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 237, 7, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99095, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 52, 18, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99096, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 356, 42, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99097, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 11, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99098, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 199, 54, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99099, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 255, 41, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99100, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 10, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99101, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 351, 24, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99102, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 66, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99103, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 22, 11, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99104, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 227, 18, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99105, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 236, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99106, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 1259, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99107, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 555, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99108, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 538, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99109, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 285, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99110, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 26, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99111, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 80, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99112, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 30, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99113, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 16, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99114, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 60, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99115, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 121, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99116, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 587, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99117, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 219, 10, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99118, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 381, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99119, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 58, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99120, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 2758, 8, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99121, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2771, 6, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99122, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 64, 2, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99123, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1100, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99124, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 93, 1, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99125, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 55, 19, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99126, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 12, 9, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99127, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 20, 3, 2024, 1, 22, '2024-08-05 14:04:03', NULL, NULL), (99128, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 104, 105, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99129, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 42, 39, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99130, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 313, 34, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99131, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 178, 197, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99132, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 134, 362, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99133, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 861, 68, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99134, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 213, 149, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99135, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 468, 141, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99136, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 319, 254, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99137, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 133, 366, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99138, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 164, 75, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99139, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 861, 68, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99140, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 464, 142, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99141, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 178, 197, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99142, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 104, 105, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99143, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 319, 254, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99144, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 213, 149, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99145, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 623, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99146, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 28, 10, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99147, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 104, 105, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99148, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 220, 49, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99149, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 184, 99, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99150, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 582, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99151, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 215, 29, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99152, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 618, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99153, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 3903, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99154, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2135, 12, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99155, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 83, 15, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99156, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99157, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 644, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99158, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1987, 7, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99159, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 187, 8, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99160, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 17, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99161, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 443, 2, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99162, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 575, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99163, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 79, 93, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99164, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 16, 25, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99165, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 92, 6, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99166, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 7, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99167, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 146, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99168, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 544, 91, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99169, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 88, 14, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99170, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 10, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99171, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 54, 9, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 371, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 4, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 333, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 3239, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 623, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 644, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 469, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 118, 16, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 134, 34, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 79, 28, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 77, 16, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 292, 17, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 149, 27, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 490, 14, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2332, 10, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 160, 32, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 533, 12, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1153, 2, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 462, 7, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 94, 29, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 905, 11, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 175, 21, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 40, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 508, 10, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 42, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 231, 8, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 296, 23, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 202, 20, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 309, 8, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 195, 25, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 46, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 70, 15, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 46, 14, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 76, 20, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 147, 12, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 14, 17, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 334, 15, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 62, 17, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 26, 22, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 171, 18, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 106, 8, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 291, 22, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 122, 29, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 192, 37, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 187, 2, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 984, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 379, 14, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 6, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 158, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 249, 19, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 197, 21, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 25, 20, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 48, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 418, 63, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 8, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 374, 60, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1033, 6, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 83, 15, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 105, 15, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 65, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 90, 19, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 82, 10, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 6, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 79, 12, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 90, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 7, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 6, 2, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 954, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 58, 24, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 111, 11, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 4, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 191, 44, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 116, 8, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 136, 11, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 7, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 287, 11, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 89, 15, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 245, 6, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 618, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 26, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 220, 49, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 101, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 38, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 179, 55, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1428, 2, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 815, 10, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 900, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 207, 7, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1987, 7, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 498, 12, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 92, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 64, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 17, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99271, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 644, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99272, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2135, 12, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99273, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 17, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99274, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 146, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99275, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 582, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99276, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 104, 105, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99277, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 92, 6, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99278, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 187, 8, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99279, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 443, 2, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99280, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 184, 99, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99281, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 220, 49, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99282, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 28, 10, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99283, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 83, 15, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99284, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 16, 25, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99285, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 10, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99286, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 54, 9, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99287, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 7, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99288, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 618, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99289, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 544, 91, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99290, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 623, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99291, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 88, 14, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99292, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 215, 29, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99293, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1987, 7, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99294, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 3903, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99295, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 79, 93, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99296, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 575, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (99297, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 618, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99298, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 371, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99299, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 4, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99300, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99301, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 111, 11, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99302, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 644, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99303, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 220, 49, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99304, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 291, 22, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99305, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 443, 2, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99306, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 62, 17, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99307, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 76, 20, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99308, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 14, 17, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99309, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 70, 15, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99310, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 46, 14, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99311, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 38, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99312, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 101, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99313, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 26, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99314, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 623, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99315, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 79, 12, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99316, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 58, 24, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99317, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 105, 15, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99318, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1987, 7, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99319, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 3903, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99320, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 146, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99321, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 17, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99322, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 82, 10, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99323, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 90, 19, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99324, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 65, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99325, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 64, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99326, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 954, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99327, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 7, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99328, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99329, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99330, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 6, 2, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99331, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 120, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99332, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 508, 10, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99333, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 48, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99334, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99335, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 469, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99336, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 8, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99337, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 7, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99338, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 582, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99339, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 498, 12, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99340, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 900, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99341, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 207, 7, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99342, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 6, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99343, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 90, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99344, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99345, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 179, 55, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99346, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99347, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 191, 44, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99348, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 7, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99349, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 4, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99350, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1153, 2, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99351, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 2332, 10, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99352, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 490, 14, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99353, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 533, 12, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99354, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 462, 7, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99355, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 83, 15, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99356, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 905, 11, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99357, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 333, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99358, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 118, 16, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99359, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 136, 11, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99360, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 287, 11, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99361, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 4, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99362, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 116, 8, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99363, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 89, 15, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99364, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 245, 6, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99365, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 101, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99366, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 38, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99367, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 26, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99368, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 498, 12, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99369, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 207, 7, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99370, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 171, 18, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99371, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 900, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99372, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 17, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99373, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 26, 22, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99374, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 418, 63, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99375, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 79, 12, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99376, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1153, 2, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99377, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 58, 24, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99378, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 6, 2, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99379, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 954, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99380, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2332, 10, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99381, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 6, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99382, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99383, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 25, 20, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99384, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 7, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99385, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 249, 19, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99386, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 192, 37, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99387, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 122, 29, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99388, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 191, 44, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99389, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 179, 55, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99390, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 220, 49, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99391, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 618, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99392, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 374, 60, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99393, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1033, 6, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99394, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 644, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99395, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 83, 15, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99396, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 48, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99397, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 118, 16, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99398, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 8, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99399, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 371, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99400, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 623, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99401, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 105, 15, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99402, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 309, 8, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99403, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 4, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99404, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 82, 10, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99405, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 202, 20, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99406, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 333, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99407, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 46, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99408, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 65, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99409, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 3239, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99410, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 195, 25, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99411, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 90, 19, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99412, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 42, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99413, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 462, 7, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99414, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 334, 15, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99415, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 533, 12, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99416, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 296, 23, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99417, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 490, 14, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99418, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 231, 8, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99419, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 147, 12, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99420, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 197, 21, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99421, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 508, 10, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99422, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 905, 11, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99423, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 815, 10, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99424, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 469, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99425, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1428, 2, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99426, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 46, 14, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99427, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 76, 20, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99428, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 70, 15, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99429, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 14, 17, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99430, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 62, 17, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99431, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 111, 11, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99432, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99433, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 291, 22, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99434, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99435, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 6, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99436, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99437, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99438, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 90, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99439, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99440, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 92, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99441, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 64, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99442, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1987, 7, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99443, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 106, 8, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99444, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 158, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99445, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 6, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99446, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 94, 29, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99447, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 160, 32, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99448, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 187, 2, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99449, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 149, 27, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99450, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 292, 17, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99451, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 379, 14, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99452, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 77, 16, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99453, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 984, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99454, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 79, 28, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99455, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 134, 34, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99456, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 40, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99457, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 175, 21, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99458, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 508, 10, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99459, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 905, 11, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99460, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 371, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99461, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1987, 7, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99462, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 490, 14, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99463, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 4, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99464, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 462, 7, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99465, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 533, 12, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99466, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 7, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99467, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 65, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99468, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 90, 19, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99469, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 82, 10, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99470, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 105, 15, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99471, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99472, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99473, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 6, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99474, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99475, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99476, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 90, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99477, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 443, 2, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99478, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 469, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99479, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 582, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99480, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 118, 16, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99481, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 333, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99482, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 900, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99483, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 207, 7, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99484, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 498, 12, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99485, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 6, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99486, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99487, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 644, 13, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99488, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 291, 22, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99489, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 191, 44, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99490, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 6, 2, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99491, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 220, 49, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99492, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 179, 55, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99493, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 954, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99494, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 76, 20, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99495, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 14, 17, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99496, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 62, 17, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99497, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 70, 15, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99498, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 46, 14, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99499, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 146, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99500, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 17, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99501, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 618, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99502, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 623, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99503, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 38, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99504, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 101, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99505, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 26, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99506, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 7, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99507, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 8, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99508, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 58, 24, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99509, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 3903, 4, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99510, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 48, 5, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99511, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 83, 15, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99512, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 2332, 10, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99513, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1153, 2, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99514, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 4, 1, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99515, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 64, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99516, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 120, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99517, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 79, 12, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99518, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 111, 11, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99519, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 3, 2024, 1, 23, '2024-08-05 14:04:04', NULL, NULL), (99520, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 115, 85, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99521, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 25, 35, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99522, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 273, 176, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99523, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 381, 42, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99524, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 96, 279, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99525, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1029, 58, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99526, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 653, 106, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99527, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 356, 144, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99528, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 748, 234, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99529, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 95, 281, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99530, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 216, 78, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99531, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1011, 59, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99532, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 653, 106, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99533, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 273, 176, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99534, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 115, 85, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99535, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 748, 234, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99536, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 356, 144, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99537, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 69, 1, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99538, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99539, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 626, 8, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99540, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 115, 85, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99541, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 377, 45, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99542, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 412, 76, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99543, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 253, 34, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99544, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 694, 4, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99545, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1483, 1, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99546, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 3655, 13, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99547, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 113, 24, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99548, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99549, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 584, 3, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99550, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1434, 10, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99551, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 35, 7, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99552, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 312, 3, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99553, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1758, 7, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99554, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 118, 77, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99555, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 2, 26, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99556, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 80, 6, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99557, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 71, 2, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99558, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 8, 2, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99559, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1204, 103, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99560, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 92, 9, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99561, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 6, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99562, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 134, 11, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 190, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 12, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 167, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1483, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 69, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 584, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1430, 14, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 276, 27, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 93, 21, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 83, 34, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 39, 16, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1803, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 83, 20, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 951, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 143, 14, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3918, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 163, 26, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 965, 18, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3348, 6, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 144, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1430, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1204, 9, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 116, 34, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 106, 20, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1533, 16, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 299, 20, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 560, 25, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 561, 6, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 405, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 311, 35, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 165, 24, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 55, 12, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 251, 17, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 240, 12, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 274, 8, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 8, 17, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 59, 12, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 596, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 73, 13, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 96, 19, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 477, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 43, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 63, 14, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 56, 17, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 61, 22, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1527, 6, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 160, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 69, 15, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1846, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 132, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 71, 6, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 339, 14, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 100, 11, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 11, 3, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 685, 35, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 994, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 645, 68, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 113, 24, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 7, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 97, 13, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 50, 4, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 71, 14, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 137, 5, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 34, 2, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1, 4, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 1, 5, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 9, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 128, 17, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 1, 6, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 635, 4, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 2059, 2, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 157, 24, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 108, 7, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 6, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 336, 18, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 20, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 9, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 38, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 331, 4, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 4, 12, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 190, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 5649, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 694, 4, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 208, 3, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 377, 45, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 105, 4, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 143, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 436, 58, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 698, 2, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1539, 2, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1128, 15, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1434, 10, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 976, 18, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 49, 3, 2024, 1, 24, '2024-08-05 14:04:05', NULL, NULL), (99660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 95, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99661, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 584, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99662, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3655, 13, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99663, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 8, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99664, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 115, 85, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99665, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 80, 6, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99666, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 41, 6, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99667, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 312, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99668, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 412, 76, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99669, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 377, 45, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99670, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 626, 8, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99671, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 113, 24, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99672, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 2, 26, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99673, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 6, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99674, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 134, 11, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99675, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 71, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99676, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 694, 4, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99677, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1204, 103, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99678, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 69, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99679, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 92, 9, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99680, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 253, 34, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99681, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1434, 10, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99682, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1483, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99683, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 118, 77, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99684, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1758, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99685, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 694, 4, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99686, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 190, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99687, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 12, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99688, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 34, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99689, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 108, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99690, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 584, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99691, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 377, 45, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99692, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 63, 14, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99693, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 312, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99694, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 73, 13, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99695, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 240, 12, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99696, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 8, 17, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99697, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 55, 12, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99698, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 251, 17, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99699, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 143, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99700, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 105, 4, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99701, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 208, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99702, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 69, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99703, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 128, 17, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99704, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 157, 24, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99705, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 97, 13, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99706, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1434, 10, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99707, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1483, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99708, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 8, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99709, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 137, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (99710, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 71, 14, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99711, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 50, 4, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99712, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 95, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99713, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 2059, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99714, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 71, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99715, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99716, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 1, 4, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99717, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 635, 4, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99718, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 6, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99719, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1533, 16, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99720, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 11, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99721, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99722, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1430, 14, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99723, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 9, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99724, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 994, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99725, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 5649, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99726, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 976, 18, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99727, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1539, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99728, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1128, 15, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99729, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 1, 6, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99730, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 2, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99731, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 1, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99732, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 436, 58, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99733, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 9, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99734, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 336, 18, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99735, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 6, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99736, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 3348, 6, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99737, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 3918, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99738, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 951, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99739, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 965, 18, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99740, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1430, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99741, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 113, 24, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99742, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1204, 9, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99743, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 167, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99744, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 1803, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99745, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 276, 27, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99746, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 38, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99747, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 331, 4, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99748, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 6, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99749, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 20, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99750, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 5649, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99751, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 4, 12, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99752, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 190, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99753, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 105, 4, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99754, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 143, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99755, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 208, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99756, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 976, 18, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99757, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1128, 15, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99758, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 96, 19, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99759, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1539, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99760, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 59, 12, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99761, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 685, 35, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99762, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 128, 17, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99763, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3348, 6, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99764, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 157, 24, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99765, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 635, 4, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99766, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 2059, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99767, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3918, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99768, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99769, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99770, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 100, 11, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99771, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 71, 6, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99772, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 9, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99773, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 61, 22, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99774, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 56, 17, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99775, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 336, 18, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99776, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 436, 58, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99777, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 377, 45, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99778, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 694, 4, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99779, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 645, 68, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99780, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 7, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99781, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 584, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99782, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 113, 24, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99783, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 11, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99784, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 276, 27, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99785, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 190, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99786, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 994, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99787, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 69, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99788, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 97, 13, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99789, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 405, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99790, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 12, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99791, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 137, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99792, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 167, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99793, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 561, 6, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99794, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 50, 4, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99795, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 165, 24, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99796, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1483, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99797, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 71, 14, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99798, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 311, 35, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99799, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 299, 20, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99800, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1430, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99801, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 596, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99802, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 965, 18, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99803, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 951, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99804, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 560, 25, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99805, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1803, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99806, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 274, 8, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99807, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 339, 14, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99808, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1533, 16, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99809, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1204, 9, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99810, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1430, 14, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99811, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 698, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99812, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 251, 17, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99813, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 240, 12, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99814, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 55, 12, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99815, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 8, 17, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99816, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 73, 13, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99817, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 108, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99818, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 34, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99819, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 63, 14, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99820, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 9, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99821, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 1, 6, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99822, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1, 4, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99823, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 1, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99824, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99825, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 49, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99826, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 95, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99827, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1434, 10, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99828, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 43, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99829, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 132, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99830, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1846, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99831, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 477, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99832, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 144, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99833, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 163, 26, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99834, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1527, 6, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99835, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 143, 14, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99836, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 83, 20, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99837, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 39, 16, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99838, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 69, 15, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99839, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 160, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99840, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 83, 34, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99841, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 93, 21, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99842, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 106, 20, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99843, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 116, 34, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99844, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1533, 16, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99845, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1204, 9, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99846, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 190, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99847, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1434, 10, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99848, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 951, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99849, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 1803, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99850, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 12, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99851, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1430, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99852, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 965, 18, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99853, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 9, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99854, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 50, 4, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99855, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 71, 14, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99856, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 137, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99857, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 97, 13, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99858, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 1, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99859, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 1, 4, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99860, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 1, 6, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99861, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 9, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99862, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99863, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 312, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99864, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1430, 14, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99865, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 276, 27, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99866, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 167, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99867, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1539, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99868, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1128, 15, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99869, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 976, 18, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99870, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99871, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99872, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 584, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99873, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 5649, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99874, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 63, 14, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99875, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 336, 18, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99876, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 635, 4, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99877, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 377, 45, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99878, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 436, 58, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99879, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 2059, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99880, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 240, 12, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99881, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 8, 17, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99882, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 73, 13, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99883, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 55, 12, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99884, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 251, 17, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99885, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 8, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99886, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 694, 4, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99887, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 69, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99888, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 143, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99889, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 105, 4, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99890, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 208, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99891, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 71, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99892, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 994, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99893, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 157, 24, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99894, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1483, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99895, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 11, 3, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99896, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 113, 24, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99897, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 3918, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99898, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 3348, 6, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99899, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 6, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99900, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 95, 5, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99901, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 6, 1, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99902, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 128, 17, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99903, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 108, 7, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99904, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 34, 2, 2024, 1, 24, '2024-08-05 14:04:06', NULL, NULL), (99905, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 45, 93, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99906, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 32, 32, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99907, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 235, 33, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99908, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 437, 225, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99909, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 742, 62, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99910, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 70, 357, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99911, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 543, 145, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99912, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 658, 145, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99913, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 882, 226, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99914, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 70, 357, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99915, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 131, 67, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99916, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 730, 63, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99917, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 539, 146, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99918, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 423, 232, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99919, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 45, 93, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99920, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 882, 226, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99921, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 654, 146, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99922, 1, '511500000000-0001', '宜宾市民中心', '司法行政、法律援助', '', '', '', 0, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99923, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 51, 16, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99924, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 45, 93, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99925, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 424, 52, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99926, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 275, 69, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99927, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 598, 6, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99928, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 334, 34, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99929, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 187, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99930, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1547, 9, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99931, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 99, 20, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99932, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99933, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2332, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99934, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 4230, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99935, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 114, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99936, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 23, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99937, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 1493, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99938, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 34, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99939, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 36, 27, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99940, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 222, 121, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99941, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 10, 3, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99942, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 951, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99943, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1623, 97, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99944, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 12, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99945, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99946, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 68, 10, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 4, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 13, 8, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 477, 80, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 158, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 496, 62, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 102, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1020, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 571, 6, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 99, 20, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 598, 6, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 212, 28, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 226, 12, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 2332, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 174, 22, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 196, 23, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1459, 10, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 2070, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 283, 28, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 63, 24, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 1, 3, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 47, 32, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 18, 18, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 47, 28, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 73, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1497, 14, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 207, 28, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 31, 22, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1784, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1758, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1696, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 1, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1598, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 75, 46, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1192, 9, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 42, 3, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 8, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 90, 21, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 12, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 43, 25, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1621, 9, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 752, 20, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 255, 29, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 465, 6, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 58, 11, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 621, 30, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 289, 14, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 207, 9, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 112, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (99999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 847, 28, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 49, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 1132, 3, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 551, 18, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 43, 15, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 187, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 55, 16, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 37, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 36, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 424, 52, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 2433, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 47, 14, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 95, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 22, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 21, 20, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 43, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 57, 19, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 289, 40, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 39, 29, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 4374, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 2037, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 117, 3, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 82, 6, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1788, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 29, 16, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1715, 24, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 4230, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 86, 36, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 10, 3, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 203, 35, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 58, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 1037, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 150, 16, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 42, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 14, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 147, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 5, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 139, 10, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 635, 27, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 6, 11, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100040, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 2332, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100041, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1740, 8, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100042, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 23, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100043, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 951, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100044, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 598, 6, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100045, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 45, 93, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100046, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 114, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100047, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 10, 3, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100048, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 1493, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100049, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 275, 69, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100050, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 424, 52, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100051, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 54, 15, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100052, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 99, 20, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100053, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 36, 27, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100054, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100055, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 68, 10, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100056, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 187, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100057, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1623, 97, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100058, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 12, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100059, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 334, 34, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100060, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 4230, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100061, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 234, 115, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100062, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 34, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100063, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 187, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100064, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 4, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100065, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 158, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100066, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 12, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100067, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 2332, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100068, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 424, 52, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100069, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 29, 16, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100070, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 1493, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100071, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 57, 19, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100072, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 36, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100073, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 47, 14, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100074, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 43, 15, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100075, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 55, 16, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100076, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 43, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100077, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 95, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100078, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 37, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100079, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 5, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100080, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 207, 28, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100081, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 212, 28, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100082, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 4230, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100083, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 951, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100084, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 42, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100085, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 2070, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100086, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 196, 23, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100087, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 174, 22, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100088, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 226, 12, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100089, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 10, 3, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100090, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 8, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100091, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100092, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 1, 3, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100093, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 42, 3, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100094, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1621, 9, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100095, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 13, 8, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100096, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100097, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1459, 10, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100098, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 102, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100099, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 598, 6, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100100, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1715, 24, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100101, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 2037, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100102, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1788, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100103, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 73, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100104, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100105, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100106, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 289, 40, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100107, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100108, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 255, 29, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100109, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 1, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100110, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1696, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100111, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1784, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100112, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1497, 14, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100113, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1758, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100114, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1598, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100115, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 99, 20, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100116, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1192, 9, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100117, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 571, 6, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100118, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 283, 28, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (100119, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 289, 14, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100120, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 207, 9, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100121, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 465, 6, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100122, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 49, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100123, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 1132, 3, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100124, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 95, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100125, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 43, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100126, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 37, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100127, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1715, 24, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100128, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1788, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100129, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 39, 29, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100130, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 2037, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100131, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 5, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100132, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 42, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100133, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 21, 20, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100134, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 477, 80, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100135, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 207, 28, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100136, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1696, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100137, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 42, 3, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100138, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 8, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100139, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1784, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100140, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100141, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100142, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 6, 11, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100143, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 139, 10, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100144, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 203, 35, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100145, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 86, 36, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100146, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 255, 29, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100147, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 289, 40, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100148, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 424, 52, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100149, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 187, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100150, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 496, 62, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100151, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1020, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100152, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 2332, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100153, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 55, 16, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100154, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 99, 20, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100155, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 36, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100156, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 283, 28, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100157, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 13, 8, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100158, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 43, 15, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100159, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 4, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100160, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 102, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100161, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 47, 14, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100162, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 57, 19, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100163, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 212, 28, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100164, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 158, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100165, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 847, 28, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100166, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 196, 23, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100167, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 2070, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100168, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 571, 6, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100169, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 112, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100170, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 226, 12, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100171, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 598, 6, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100172, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 551, 18, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100173, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 174, 22, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100174, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1598, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100175, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 752, 20, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100176, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 22, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100177, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1758, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100178, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 621, 30, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100179, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1497, 14, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100180, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 58, 11, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100181, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 2433, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100182, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 12, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100183, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 29, 16, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100184, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100185, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 73, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100186, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 1, 3, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100187, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100188, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100189, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 1, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100190, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 10, 3, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100191, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 4230, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100192, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 635, 27, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100193, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1621, 9, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100194, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1192, 9, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100195, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 82, 6, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100196, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 147, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100197, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 4374, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100198, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 14, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100199, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 117, 3, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100200, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 75, 46, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100201, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 58, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100202, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 31, 22, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100203, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1459, 10, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100204, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 47, 28, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100205, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 18, 18, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100206, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 150, 16, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100207, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 1037, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100208, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 47, 32, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100209, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 63, 24, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100210, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 43, 25, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100211, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 90, 21, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100212, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1621, 9, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100213, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1192, 9, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100214, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 4, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100215, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 4230, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100216, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1497, 14, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100217, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 158, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100218, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1598, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100219, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1758, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100220, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 226, 12, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100221, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 174, 22, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100222, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 196, 23, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100223, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 2070, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100224, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 212, 28, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100225, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100226, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 1, 3, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100227, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 73, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100228, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100229, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 1, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100230, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100231, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 1493, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100232, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1459, 10, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100233, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 598, 6, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100234, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 283, 28, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100235, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 571, 6, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100236, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 2037, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100237, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1788, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100238, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1715, 24, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100239, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100240, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100241, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 2332, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100242, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 29, 16, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100243, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 255, 29, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100244, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 42, 3, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100245, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 424, 52, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100246, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 289, 40, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100247, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 8, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100248, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 36, 13, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100249, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 47, 14, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100250, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 57, 19, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100251, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 43, 15, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100252, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 55, 16, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100253, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 951, 2, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100254, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 42, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100255, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 5, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100256, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 187, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100257, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 43, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100258, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 95, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100259, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 37, 1, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100260, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 102, 7, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100261, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 13, 8, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100262, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 99, 20, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100263, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1784, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100264, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1696, 4, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100265, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 10, 3, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100266, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 207, 28, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100267, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 12, 5, 2024, 1, 25, '2024-08-05 14:04:07', NULL, NULL), (100268, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 48, 96, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100269, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 69, 31, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100270, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 417, 33, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100271, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 184, 156, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100272, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 860, 52, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100273, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 174, 367, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100274, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 331, 157, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100275, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 485, 171, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100276, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 489, 228, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100277, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 174, 368, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100278, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 224, 71, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100279, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 799, 56, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100280, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 483, 172, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100281, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 176, 163, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100282, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 48, 96, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100283, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 489, 228, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100284, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 331, 157, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100285, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 330, 15, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100286, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 48, 96, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100287, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 654, 36, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100288, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 198, 88, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100289, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 228, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100290, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 369, 28, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100291, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 11, 2, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100292, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2254, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100293, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 206, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100294, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100295, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 335, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100296, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 586, 10, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100297, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 71, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100298, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1147, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100299, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 139, 2, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100300, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100301, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 20, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100302, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 71, 67, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100303, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1503, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100304, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 23, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100305, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 759, 85, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100306, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 189, 11, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100307, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 29, 12, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100308, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 314, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 6, 2, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 431, 84, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 330, 15, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 427, 61, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 114, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 455, 24, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 406, 10, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 206, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 228, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 93, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 70, 8, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 335, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 66, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 789, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 46, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 349, 18, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 337, 9, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 132, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 182, 22, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 219, 28, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 62, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 968, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 147, 34, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3154, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 369, 28, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 703, 15, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3158, 6, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 786, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 125, 37, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 614, 10, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 5, 6, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 6, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 140, 13, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 189, 11, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 220, 22, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 798, 9, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 350, 22, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 183, 36, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 421, 23, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 61, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 304, 33, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 3, 8, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 73, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 350, 22, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 4, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 21, 8, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 9, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 266, 22, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 62, 6, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 315, 35, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 45, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 11, 2, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 31, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 647, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 44, 18, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 654, 36, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 33, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 379, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 44, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 48, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 207, 52, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 140, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 184, 26, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 4909, 2, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 664, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 377, 6, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 1257, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 921, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1954, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 685, 12, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 105, 12, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 186, 44, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1503, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 181, 25, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 664, 6, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 592, 2, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 493, 8, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 1431, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 101, 6, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 13, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 130, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 115, 28, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 13, 18, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100399, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 335, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100400, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3156, 10, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100401, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1147, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100402, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 23, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100403, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 48, 96, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100404, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 228, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100405, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1503, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100406, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 71, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100407, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 139, 2, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100408, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 198, 88, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100409, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 654, 36, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100410, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 330, 15, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100411, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 206, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100412, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 20, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100413, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 29, 12, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100414, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 314, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100415, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 11, 2, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100416, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 759, 85, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100417, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 189, 11, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100418, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 369, 28, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100419, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1954, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100420, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 71, 67, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100421, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100422, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 11, 2, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100423, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 6, 2, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100424, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1503, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100425, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 114, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100426, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 6, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100427, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100428, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 9, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100429, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 189, 11, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100430, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 5, 6, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100431, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 798, 9, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100432, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 335, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100433, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 654, 36, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100434, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 330, 15, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100435, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100436, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 105, 12, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100437, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 789, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100438, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 73, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100439, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 139, 2, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100440, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 228, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100441, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 48, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100442, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 685, 12, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100443, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 44, 18, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100444, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 33, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100445, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 664, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100446, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 45, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100447, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 31, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100448, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 921, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100449, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100450, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100451, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100452, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 207, 52, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100453, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100454, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 183, 36, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100455, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100456, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 140, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100457, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 379, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100458, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 647, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100459, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 13, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100460, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 62, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100461, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 93, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100462, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 3158, 6, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100463, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 3154, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100464, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1954, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100465, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 968, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100466, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 703, 15, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100467, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 786, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100468, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 206, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100469, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 614, 10, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100470, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 406, 10, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100471, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 23, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100472, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 349, 18, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100473, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 1431, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100474, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 46, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100475, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 66, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100476, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 70, 8, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100477, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 3, 8, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100478, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 4, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100479, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 61, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100480, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 21, 8, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100481, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 62, 6, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100482, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 379, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100483, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 140, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100484, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 647, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100485, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 685, 12, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100486, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 921, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100487, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 184, 26, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100488, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 664, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100489, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 13, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100490, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 1431, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100491, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 44, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100492, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 431, 84, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100493, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 62, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100494, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3158, 6, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100495, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 5, 6, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100496, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 6, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100497, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3154, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100498, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 9, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100499, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100500, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 13, 18, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100501, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 115, 28, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100502, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 73, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100503, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 181, 25, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100504, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 186, 44, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100505, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 183, 36, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100506, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 207, 52, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100507, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 654, 36, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100508, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 11, 2, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100509, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 427, 61, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100510, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 455, 24, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100511, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 335, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100512, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 206, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100513, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 31, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100514, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 44, 18, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100515, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 349, 18, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100516, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 330, 15, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100517, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 6, 2, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100518, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 45, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100519, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 33, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100520, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 48, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100521, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 93, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100522, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 266, 22, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100523, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 46, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100524, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 114, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100525, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 406, 10, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100526, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 350, 22, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100527, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 70, 8, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100528, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 315, 35, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100529, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 66, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100530, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 228, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (100531, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 786, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100532, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 350, 22, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100533, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 703, 15, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100534, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 304, 33, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100535, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 968, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100536, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 421, 23, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100537, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 189, 11, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100538, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 105, 12, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100539, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100540, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100541, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100542, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100543, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100544, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100545, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1503, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100546, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1954, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100547, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 798, 9, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100548, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 614, 10, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100549, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 1257, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100550, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 4909, 2, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100551, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 130, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100552, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 101, 6, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100553, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 377, 6, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100554, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 125, 37, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100555, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 369, 28, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100556, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 664, 6, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100557, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 789, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100558, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 147, 34, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100559, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 219, 28, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100560, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 182, 22, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100561, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 493, 8, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100562, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 592, 2, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100563, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 132, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100564, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 337, 9, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100565, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 220, 22, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100566, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 140, 13, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100567, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 798, 9, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100568, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 44, 18, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100569, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 33, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100570, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 614, 10, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100571, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 48, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100572, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 45, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100573, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 31, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100574, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 23, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100575, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 6, 2, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100576, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1954, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100577, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 968, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100578, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 786, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100579, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 114, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100580, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 703, 15, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100581, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 1431, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100582, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 13, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100583, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 73, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100584, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 11, 2, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100585, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 70, 8, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100586, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 66, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100587, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 46, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100588, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 93, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100589, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 140, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100590, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 379, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100591, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 647, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100592, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100593, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100594, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100595, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100596, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100597, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100598, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 139, 2, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100599, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 789, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100600, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 228, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100601, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 349, 18, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100602, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 406, 10, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100603, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 330, 15, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100604, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 664, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100605, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 206, 19, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100606, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 3154, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100607, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 3158, 6, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100608, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 921, 7, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100609, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1503, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100610, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 685, 12, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100611, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 62, 14, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100612, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 9, 5, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100613, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 3, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100614, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 335, 4, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100615, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 105, 12, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100616, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 183, 36, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100617, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 5, 6, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100618, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 654, 36, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100619, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 189, 11, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100620, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 207, 52, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100621, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 6, 1, 2024, 1, 26, '2024-08-05 14:04:08', NULL, NULL), (100622, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 9, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100623, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 2150, 5, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100624, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 648, 60, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100625, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 463, 57, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100626, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 458, 13, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100627, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 648, 60, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100628, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100629, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 463, 57, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100630, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 2150, 5, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100631, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 4, 2, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100632, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 397, 15, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100633, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 0, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100634, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 566, 6, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100635, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 364, 2, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100636, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100637, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 4, 2, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100638, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 366, 7, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100639, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 3341, 3, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100640, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 0, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 466, 33, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 458, 24, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 42, 6, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 364, 2, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 32, 11, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 11, 5, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 9, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 381, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 135, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 786, 24, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 827, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 3341, 3, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 809, 3, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 9, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 1580, 12, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 366, 7, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 4, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100658, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 366, 7, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100659, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 364, 2, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100660, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 3341, 3, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100661, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 566, 6, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100662, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 9, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100663, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 9, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100664, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 9, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100665, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 135, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100666, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 827, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100667, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 364, 2, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100668, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 809, 3, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100669, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 366, 7, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100670, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 3341, 3, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100671, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 364, 2, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100672, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 466, 33, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100673, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 9, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100674, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 3341, 3, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100675, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 827, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100676, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 135, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100677, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 9, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100678, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 4, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100679, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 786, 24, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100680, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 381, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100681, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 11, 5, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100682, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 366, 7, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100683, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 809, 3, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100684, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 32, 11, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100685, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 42, 6, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100686, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 458, 24, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100687, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 1580, 12, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100688, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 3341, 3, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100689, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 827, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100690, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 9, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100691, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 364, 2, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100692, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 366, 7, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100693, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 135, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100694, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 9, 1, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100695, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 809, 3, 2024, 1, 27, '2024-08-05 14:04:09', NULL, NULL), (100696, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 8, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100697, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 132, 8, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100698, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 260, 47, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100699, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 116, 40, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100700, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 50, 9, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100701, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 235, 52, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100702, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 101, 46, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100703, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 106, 10, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100704, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 8, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100705, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 45, 10, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100706, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 292, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100707, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 83, 3, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100708, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 96, 4, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100709, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100710, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 8, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100711, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100712, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 40, 5, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100713, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 61, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100714, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 2, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 86, 19, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 138, 10, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 7, 10, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 5, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 161, 2, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 147, 11, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 96, 4, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 122, 2, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 16, 9, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 292, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 6, 6, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 705, 3, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 438, 10, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 8, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 61, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 963, 3, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 40, 5, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 434, 6, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100734, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 40, 5, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100735, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 96, 4, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100736, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 83, 3, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100737, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 61, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100738, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 292, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100739, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100740, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 8, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100741, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 61, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100742, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 96, 4, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100743, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 8, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100744, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 5, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100745, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 122, 2, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100746, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 292, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100747, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100748, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 40, 5, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100749, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 161, 2, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100750, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 96, 4, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100751, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 8, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100752, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 86, 19, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100753, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 292, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100754, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 61, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100755, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100756, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 122, 2, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100757, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 5, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100758, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 434, 6, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100759, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 438, 10, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100760, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 705, 3, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100761, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 6, 6, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100762, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 40, 5, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100763, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 16, 9, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100764, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 7, 10, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100765, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 138, 10, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100766, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 963, 3, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100767, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 147, 11, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100768, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 8, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100769, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 292, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100770, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 96, 4, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100771, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 5, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100772, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 61, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100773, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 122, 2, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100774, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 40, 5, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100775, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 1, 2024, 1, 28, '2024-08-05 14:04:10', NULL, NULL), (100776, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 191, 100, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100777, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 5, 46, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100778, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 396, 42, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100779, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 488, 188, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100780, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1264, 15, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100781, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 260, 518, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100782, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1137, 179, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100783, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 327, 221, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100784, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 747, 271, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100785, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 259, 519, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100786, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 181, 93, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100787, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 903, 21, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100788, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1125, 181, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100789, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 488, 188, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100790, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 189, 101, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100791, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 739, 274, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100792, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 327, 221, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100793, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100794, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 358, 9, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100795, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 189, 101, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100796, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 256, 48, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100797, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 689, 104, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100798, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 0, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100799, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1375, 12, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100800, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 60, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100801, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 0, 4, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100802, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 352, 28, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100803, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 5, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100804, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 820, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100805, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 6301, 9, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100806, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 13, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100807, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 10, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100808, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 132, 15, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100809, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 4, 40, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100810, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 91, 90, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100811, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2458, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100812, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 92, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100813, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1136, 104, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100814, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 10, 6, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100815, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 300, 5, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100816, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 24, 11, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1060, 73, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 380, 7, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1113, 91, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 282, 2, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1311, 8, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 352, 28, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2515, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 101, 15, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 42, 16, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 820, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 62, 24, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 193, 16, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1030, 14, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 1375, 12, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 16, 2, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 168, 28, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 7, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 215, 45, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 5, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 178, 32, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 752, 5, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 208, 37, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 8, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 600, 10, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 12, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 64, 16, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 170, 36, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 16, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 192, 37, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1099, 14, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 8, 5, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1117, 12, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 215, 43, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1404, 13, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 21, 9, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 297, 6, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 117, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 216, 32, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 8, 4, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 48, 14, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 903, 8, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 296, 40, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 774, 46, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 488, 20, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 153, 9, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 252, 39, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 114, 2, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 34, 7, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 7, 4, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 458, 11, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 81, 7, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 369, 22, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 79, 9, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 10, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 457, 22, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 100, 33, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 189, 15, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 60, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 246, 19, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 43, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 80, 11, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 256, 48, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 888, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 452, 6, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 146, 19, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 190, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 636, 12, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 117, 26, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 257, 22, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 632, 57, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1709, 4, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 243, 24, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 562, 2, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 81, 8, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1398, 11, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 6301, 9, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 159, 14, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1434, 17, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1866, 4, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 584, 55, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 605, 43, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 143, 2, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 36, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 684, 18, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 366, 5, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 7, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 32, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 68, 6, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 255, 16, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 128, 35, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 172, 31, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100908, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 820, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100909, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 19, 2, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100910, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 191, 100, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100911, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2458, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100912, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 10, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100913, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 695, 103, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100914, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 256, 48, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100915, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 358, 9, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100916, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 352, 28, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100917, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 4, 40, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100918, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 24, 11, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100919, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 300, 5, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100920, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 92, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100921, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 60, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100922, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1136, 104, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100923, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 10, 6, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100924, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1375, 12, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100925, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 6301, 9, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100926, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 91, 90, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100927, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 132, 15, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100928, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 60, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100929, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 16, 2, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100930, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 8, 4, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100931, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 820, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100932, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 256, 48, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100933, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 159, 14, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100934, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 10, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100935, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 257, 22, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100936, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 80, 11, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100937, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 146, 19, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100938, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 189, 15, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100939, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 246, 19, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100940, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 190, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100941, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 888, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100942, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 43, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100943, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 32, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100944, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 64, 16, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100945, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 117, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (100946, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 101, 15, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100947, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 6301, 9, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100948, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 7, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100949, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 193, 16, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100950, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 62, 24, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100951, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 42, 16, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100952, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 297, 6, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100953, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 92, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100954, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 7, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100955, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 21, 9, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100956, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 2458, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100957, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 903, 8, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100958, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 380, 7, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100959, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 7, 4, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100960, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1030, 14, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100961, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 282, 2, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100962, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 34, 7, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100963, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1434, 17, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100964, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1398, 11, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100965, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 12, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100966, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 16, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100967, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 5, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100968, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 632, 57, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100969, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 8, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100970, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 774, 46, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100971, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 8, 5, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100972, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 600, 10, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100973, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1099, 14, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100974, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1117, 12, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100975, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1404, 13, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100976, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 352, 28, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100977, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 752, 5, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100978, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 1375, 12, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100979, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 114, 2, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100980, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 81, 7, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100981, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 153, 9, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100982, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 79, 9, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100983, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 10, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100984, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 888, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100985, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 190, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100986, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 43, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100987, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1434, 17, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100988, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 243, 24, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100989, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1398, 11, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100990, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 32, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100991, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 7, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100992, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 117, 26, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100993, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1060, 73, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100994, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 64, 16, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100995, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 117, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100996, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 21, 9, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100997, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 297, 6, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100998, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 7, 4, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (100999, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 172, 31, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101000, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 128, 35, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101001, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 34, 7, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101002, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 605, 43, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101003, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 774, 46, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101004, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 584, 55, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101005, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 632, 57, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101006, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 256, 48, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101007, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 60, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101008, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1113, 91, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101009, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1311, 8, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101010, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2515, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101011, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 820, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101012, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 352, 28, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101013, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 246, 19, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101014, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 80, 11, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101015, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 1375, 12, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101016, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 380, 7, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101017, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 189, 15, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101018, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 282, 2, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101019, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 146, 19, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101020, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 257, 22, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101021, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 101, 15, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101022, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 369, 22, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101023, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 193, 16, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101024, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 458, 11, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101025, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 100, 33, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101026, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 42, 16, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101027, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 457, 22, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101028, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 62, 24, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101029, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1117, 12, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101030, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 296, 40, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101031, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 636, 12, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101032, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1099, 14, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101033, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 600, 10, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101034, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 252, 39, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101035, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 752, 5, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101036, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 488, 20, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101037, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 452, 6, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101038, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 8, 4, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101039, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 16, 2, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101040, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 159, 14, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101041, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 8, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101042, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 12, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101043, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 7, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101044, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 5, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101045, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 16, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101046, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 8, 5, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101047, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1866, 4, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101048, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 6301, 9, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101049, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 255, 16, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101050, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 903, 8, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101051, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1404, 13, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101052, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 81, 8, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101053, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 68, 6, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101054, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 366, 5, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101055, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 562, 2, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101056, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 215, 43, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101057, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 192, 37, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101058, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 143, 2, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101059, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1030, 14, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101060, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 170, 36, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101061, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 208, 37, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101062, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 684, 18, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101063, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 178, 32, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101064, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 36, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101065, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1709, 4, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101066, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 215, 45, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101067, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 168, 28, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101068, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 48, 14, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101069, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 216, 32, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101070, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 903, 8, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101071, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1404, 13, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101072, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 6301, 9, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101073, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 600, 10, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101074, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 752, 5, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101075, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1117, 12, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101076, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1099, 14, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101077, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 34, 7, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101078, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 42, 16, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101079, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 62, 24, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101080, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 193, 16, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101081, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 101, 15, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101082, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 5, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101083, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 7, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101084, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 12, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101085, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 8, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101086, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 8, 5, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101087, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 16, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101088, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 10, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101089, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1030, 14, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101090, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 1375, 12, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101091, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1398, 11, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101092, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1434, 17, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101093, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 7, 4, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101094, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 820, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101095, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 159, 14, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101096, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 774, 46, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101097, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 21, 9, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101098, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 256, 48, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101099, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 632, 57, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101100, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 297, 6, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101101, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 80, 11, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101102, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 146, 19, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101103, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 257, 22, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101104, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 189, 15, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101105, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 246, 19, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101106, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 7, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101107, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 32, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101108, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 60, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101109, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 190, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101110, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 888, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101111, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 43, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101112, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 92, 1, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101113, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 282, 2, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101114, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 117, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101115, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 380, 7, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101116, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 352, 28, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101117, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 2458, 3, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101118, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 64, 16, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101119, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 8, 4, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101120, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 16, 2, 2024, 1, 29, '2024-08-05 14:04:11', NULL, NULL), (101121, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 140, 97, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101122, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 55, 57, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101123, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 209, 36, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101124, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 140, 166, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101125, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 129, 399, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101126, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 569, 142, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101127, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 354, 210, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101128, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1528, 222, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101129, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 128, 400, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101130, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 110, 97, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101131, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101132, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 550, 147, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101133, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 139, 167, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101134, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 140, 97, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101135, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1528, 222, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101136, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 354, 210, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101137, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 213, 4, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101138, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 366, 7, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101139, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 140, 97, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101140, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 310, 35, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101141, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 5, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101142, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 380, 70, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101143, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 34, 4, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101144, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101145, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 2, 45, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101146, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 122, 93, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101147, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 307, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101148, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 8029, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101149, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101150, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 0, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101151, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 6, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101152, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2508, 104, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101153, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 221, 20, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101154, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 380, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101155, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 209, 11, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101156, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 262, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101157, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 4, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101158, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 223, 4, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 10, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 510, 54, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 426, 6, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 605, 86, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 663, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 221, 20, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 84, 24, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 180, 14, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 44, 25, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 71, 8, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2335, 16, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 107, 27, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 8, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 82, 35, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 47, 12, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 8, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 8, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2240, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 66, 29, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 4, 9, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 128, 28, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2243, 9, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 282, 17, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 6, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 118, 33, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2296, 13, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 2, 6, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2748, 10, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 142, 46, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 3125, 15, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 42, 3, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 10, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 65, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 761, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 129, 30, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 114, 24, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 209, 11, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2257, 10, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 472, 12, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 379, 37, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 430, 7, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 41, 10, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 160, 4, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 416, 35, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 78, 7, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 307, 27, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 26, 7, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 356, 23, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 6, 3, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 362, 21, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 385, 40, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 228, 17, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 147, 14, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 8029, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 262, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 72, 19, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 310, 35, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 128, 17, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 226, 18, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 241, 13, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 42, 13, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 112, 12, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 380, 33, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 84, 20, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 139, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2212, 11, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 206, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 223, 4, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2731, 15, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 156, 18, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 251, 44, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 307, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 185, 44, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 251, 4, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 229, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 200, 9, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 210, 14, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 56, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 370, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 10, 3, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 320, 14, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 99, 11, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101243, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 213, 4, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101244, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 6, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101245, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 140, 97, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101246, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 307, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101247, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 5, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101248, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 380, 70, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101249, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 310, 35, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101250, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 366, 7, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101251, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 221, 20, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101252, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 2, 45, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101253, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 4, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101254, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 262, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101255, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 8029, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101256, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2508, 104, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101257, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 209, 11, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101258, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 223, 4, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101259, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 761, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101260, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 122, 93, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101261, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 34, 4, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101262, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 8029, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101263, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 307, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101264, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 10, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101265, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 8, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101266, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 209, 11, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101267, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 42, 3, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101268, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2257, 10, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101269, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 310, 35, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101270, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 10, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101271, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101272, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 156, 18, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101273, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2335, 16, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101274, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101275, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 426, 6, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101276, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 5, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101277, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 112, 12, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101278, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2731, 15, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101279, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 72, 19, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101280, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 128, 17, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101281, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 228, 17, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101282, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 147, 14, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101283, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2212, 11, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101284, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 4, 9, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101285, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 6, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101286, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 8, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101287, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 380, 33, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101288, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 8, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101289, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 379, 37, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101290, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 2, 6, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101291, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 262, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101292, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 370, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101293, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 761, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101294, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 282, 17, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101295, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 65, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101296, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 84, 24, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101297, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 223, 4, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101298, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2243, 9, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101299, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2296, 13, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101300, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2748, 10, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101301, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 3125, 15, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101302, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 221, 20, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101303, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2240, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101304, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 6, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101305, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 56, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101306, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 71, 8, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101307, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 44, 25, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101308, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 180, 14, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101309, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 160, 4, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101310, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 78, 7, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101311, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 41, 10, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101312, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 26, 7, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101313, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 6, 3, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101314, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 262, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101315, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2731, 15, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101316, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2212, 11, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101317, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 84, 20, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101318, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 370, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101319, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 56, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101320, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 42, 13, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101321, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 510, 54, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101322, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 282, 17, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101323, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 65, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101324, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 42, 3, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101325, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 10, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101326, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101327, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 99, 11, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101328, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 10, 3, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101329, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101330, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 185, 44, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101331, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 251, 44, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101332, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 379, 37, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101333, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 380, 33, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101334, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 310, 35, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101335, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 8029, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101336, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 605, 86, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101337, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 663, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101338, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 147, 14, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101339, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 221, 20, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101340, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 72, 19, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101341, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 10, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101342, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 426, 6, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101343, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 228, 17, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101344, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 128, 17, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101345, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 112, 12, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101346, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 84, 24, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101347, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 71, 8, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101348, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 356, 23, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101349, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 307, 27, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101350, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 385, 40, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101351, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 180, 14, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101352, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 362, 21, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101353, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 44, 25, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101354, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 472, 12, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101355, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2748, 10, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101356, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 241, 13, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (101357, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2296, 13, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101358, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 416, 35, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101359, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2243, 9, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101360, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2240, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101361, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 430, 7, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101362, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 226, 18, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101363, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 209, 11, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101364, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 156, 18, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101365, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 761, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101366, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 8, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101367, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 9, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101368, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 8, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101369, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 8, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101370, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 6, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101371, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 6, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101372, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 307, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101373, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 223, 4, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101374, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 320, 14, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101375, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2257, 10, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101376, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 3125, 15, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101377, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 206, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101378, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 210, 14, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101379, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 139, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101380, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 142, 46, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101381, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 118, 33, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101382, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 251, 4, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101383, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2335, 16, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101384, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 128, 28, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101385, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 66, 29, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101386, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 200, 9, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101387, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 47, 12, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101388, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 229, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101389, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 82, 35, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101390, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 107, 27, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101391, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 114, 24, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101392, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 129, 30, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101393, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 72, 19, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101394, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2257, 10, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101395, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 3125, 15, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101396, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 128, 17, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101397, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 112, 12, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101398, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 228, 17, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101399, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 147, 14, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101400, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 6, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101401, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 223, 4, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101402, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2243, 9, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101403, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2240, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101404, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2748, 10, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101405, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2296, 13, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101406, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 56, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101407, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 370, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101408, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101409, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 8029, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101410, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 180, 14, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101411, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 44, 25, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101412, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 71, 8, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101413, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 84, 24, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101414, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 262, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101415, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 8, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101416, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 8, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101417, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 9, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101418, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 8, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101419, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 6, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101420, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 6, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101421, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 5, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101422, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2335, 16, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101423, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 426, 6, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101424, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 65, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101425, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 10, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101426, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 221, 20, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101427, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2212, 11, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101428, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 761, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101429, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 307, 5, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101430, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2731, 15, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101431, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 282, 17, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101432, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 2, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101433, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 156, 18, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101434, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 379, 37, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101435, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 42, 3, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101436, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 310, 35, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101437, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 209, 11, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101438, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 380, 33, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101439, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 10, 1, 2024, 1, 30, '2024-08-05 14:04:12', NULL, NULL), (101440, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 146, 86, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101441, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 172, 32, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101442, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 385, 31, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101443, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 121, 131, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101444, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 6, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101445, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 84, 358, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101446, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 433, 108, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101447, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 156, 147, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101448, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 392, 203, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101449, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 83, 360, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101450, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 264, 66, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101451, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1, 7, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101452, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 429, 109, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101453, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 121, 131, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101454, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 144, 87, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101455, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 392, 203, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101456, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 156, 147, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101457, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 576, 5, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101458, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 470, 13, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101459, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 144, 87, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101460, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 205, 40, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101461, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 172, 70, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101462, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 43, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101463, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 4, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101464, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 9, 24, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101465, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 58, 52, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101466, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 627, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101467, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 339, 10, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101468, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 0, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101469, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 691, 79, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101470, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 56, 20, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101471, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 6, 4, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101472, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 9, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101473, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 751, 7, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101474, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 6, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101475, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 97, 7, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101476, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 12, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101477, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 3, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 570, 52, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 470, 13, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 252, 54, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 3, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 56, 20, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 53, 7, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 51, 11, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 9, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 72, 10, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 50, 9, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 659, 16, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 40, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 57, 24, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 35, 27, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 5, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 29, 23, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 444, 10, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 60, 30, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 61, 11, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 10, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 663, 9, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 65, 13, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 49, 22, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 477, 7, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1417, 4, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 57, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 33, 24, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 791, 13, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 59, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 36, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 28, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 24, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 58, 29, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 1035, 5, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 97, 16, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 698, 12, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 285, 20, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 168, 38, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 100, 4, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 130, 19, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 2, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 12, 6, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 9, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 98, 9, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 148, 24, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 2, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 3, 4, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 364, 9, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 101, 19, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 83, 22, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 44, 14, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 627, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 166, 14, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 77, 11, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 8, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 205, 40, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 32, 18, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 234, 6, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 21, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 208, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 43, 18, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 103, 9, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 105, 15, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 176, 32, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1790, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 62, 27, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 18, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 506, 8, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 751, 8, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 472, 14, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 12, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 309, 6, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 123, 17, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 384, 4, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 232, 45, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 70, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 147, 4, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 332, 7, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 1244, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 563, 7, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 795, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 130, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 95, 19, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 124, 21, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 77, 24, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101566, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 9, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101567, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 576, 5, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101568, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 146, 86, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101569, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 3, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101570, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 339, 10, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101571, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 172, 70, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101572, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 205, 40, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101573, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 470, 13, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101574, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 56, 20, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101575, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 9, 24, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101576, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 6, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101577, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 97, 7, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101578, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 627, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101579, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 691, 79, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101580, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 751, 7, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101581, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 12, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101582, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 24, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101583, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 58, 52, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101584, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 43, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101585, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 627, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101586, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 3, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101587, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 384, 4, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101588, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 36, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101589, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 40, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101590, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 2, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101591, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 1035, 5, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101592, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101593, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 59, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101594, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 698, 12, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101595, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 309, 6, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101596, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 9, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101597, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 205, 40, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101598, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 9, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101599, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 472, 14, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101600, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 659, 16, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101601, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 2, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101602, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 470, 13, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101603, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 105, 15, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101604, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 77, 11, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101605, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 32, 18, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101606, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 44, 14, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101607, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 166, 14, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101608, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 751, 8, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101609, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 10, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101610, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 2, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101611, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 5, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101612, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 176, 32, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101613, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101614, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 168, 38, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101615, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 57, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101616, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 208, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101617, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 21, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101618, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 8, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101619, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 130, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101620, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 24, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101621, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 65, 13, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101622, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 28, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101623, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 53, 7, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101624, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 12, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101625, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 663, 9, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101626, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 477, 7, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101627, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 1417, 4, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101628, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 56, 20, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101629, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 791, 13, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101630, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 444, 10, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101631, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 1244, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101632, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 50, 9, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101633, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 72, 10, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101634, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 51, 11, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101635, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 12, 6, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101636, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 98, 9, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101637, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 100, 4, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101638, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 3, 4, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101639, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 21, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101640, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 208, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101641, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 8, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101642, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 751, 8, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101643, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 62, 27, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101644, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 130, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101645, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 1244, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101646, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 43, 18, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101647, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 570, 52, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101648, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 65, 13, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101649, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 28, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101650, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 59, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101651, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 36, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101652, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 2, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101653, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 9, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101654, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 77, 24, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101655, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 2, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101656, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 124, 21, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101657, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 232, 45, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101658, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 123, 17, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101659, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 168, 38, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101660, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 176, 32, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101661, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 205, 40, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101662, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 627, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101663, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 252, 54, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101664, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 9, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101665, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 56, 20, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101666, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 166, 14, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101667, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 77, 11, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101668, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 470, 13, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101669, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 44, 14, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101670, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 32, 18, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101671, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 105, 15, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101672, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 53, 7, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101673, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 364, 9, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101674, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 3, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101675, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 50, 9, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101676, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 148, 24, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101677, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 51, 11, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101678, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 83, 22, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101679, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 101, 19, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101680, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 72, 10, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101681, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1417, 4, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101682, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 285, 20, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101683, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 103, 9, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101684, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 477, 7, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101685, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 663, 9, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101686, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 444, 10, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101687, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 130, 19, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101688, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 234, 6, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101689, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 1035, 5, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101690, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 472, 14, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101691, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 40, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101692, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 24, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101693, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101694, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 10, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101695, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101696, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 5, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101697, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101698, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 57, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101699, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 309, 6, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101700, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 384, 4, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101701, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 12, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101702, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 95, 19, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101703, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 698, 12, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101704, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 791, 13, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101705, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 506, 8, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101706, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 795, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101707, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 563, 7, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101708, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 18, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101709, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 33, 24, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101710, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 49, 22, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101711, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 70, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101712, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 61, 11, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101713, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 659, 16, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101714, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 60, 30, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101715, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 332, 7, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101716, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 29, 23, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101717, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 147, 4, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101718, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1790, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101719, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 35, 27, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101720, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 57, 24, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101721, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 97, 16, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101722, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 58, 29, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101723, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 698, 12, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101724, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 77, 11, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101725, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 32, 18, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101726, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 791, 13, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101727, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 105, 15, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101728, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 44, 14, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101729, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 166, 14, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101730, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 12, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101731, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 663, 9, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101732, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 444, 10, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101733, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 1417, 4, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101734, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 3, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101735, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 477, 7, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101736, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 1244, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101737, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 130, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101738, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 2, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101739, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 627, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101740, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 51, 11, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101741, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 72, 10, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101742, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 50, 9, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101743, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 53, 7, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101744, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 208, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101745, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 21, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101746, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 8, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101747, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 5, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101748, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101749, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 10, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101750, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101751, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 57, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101752, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101753, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 659, 16, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101754, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 470, 13, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101755, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 28, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101756, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 56, 20, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101757, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 751, 8, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101758, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 24, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101759, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 384, 4, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101760, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 309, 6, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101761, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 65, 13, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101762, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 2, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101763, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 9, 3, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (101764, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 9, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101765, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 472, 14, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101766, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 168, 38, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101767, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 59, 1, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101768, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 205, 40, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101769, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 1035, 5, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101770, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 176, 32, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101771, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 40, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101772, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 36, 2, 2024, 1, 31, '2024-08-05 14:04:13', NULL, NULL), (101773, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 114, 94, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101774, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 150, 35, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101775, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 442, 39, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101776, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 211, 228, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101777, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 701, 125, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101778, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 75, 396, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101779, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1074, 166, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101780, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 421, 145, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101781, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 804, 249, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101782, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 75, 397, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101783, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 271, 83, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101784, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 685, 128, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101785, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1067, 167, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101786, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 208, 231, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101787, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 114, 94, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101788, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 804, 249, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101789, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 421, 145, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101790, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 103, 13, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101791, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 114, 94, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101792, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 721, 43, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101793, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 872, 104, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101794, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 143, 4, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101795, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 589, 87, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101796, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 181, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101797, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1174, 6, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101798, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1647, 16, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101799, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 194, 25, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101800, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 7, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101801, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101802, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 5, 4, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101803, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 178, 14, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101804, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1419, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101805, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 38, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101806, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 67, 6, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101807, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 22, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101808, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 64, 83, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101809, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 349, 18, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101810, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 4, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101811, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 824, 93, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101812, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 397, 13, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101813, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 9, 5, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101814, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 124, 17, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101815, 1, '511500000000-0001', '宜宾市民中心', '驾驶证补证换证', '', '', '', 0, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 939, 45, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 183, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 126, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 66, 5, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1084, 72, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 172, 6, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 194, 25, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 741, 30, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1184, 49, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 204, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 926, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 111, 17, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 63, 7, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 62, 25, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 54, 16, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 625, 13, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 509, 57, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 245, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 30, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 4, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 18, 43, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 4, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 35, 15, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 849, 12, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 30, 21, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 31, 18, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 4, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 19, 25, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1683, 12, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2049, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 723, 7, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 16, 20, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 12, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 6, 14, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 768, 11, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 79, 5, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 9, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 41, 26, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 18, 34, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 443, 10, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 743, 10, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 339, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 525, 21, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 873, 54, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 481, 21, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 652, 17, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 12, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 328, 12, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 660, 15, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 313, 23, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 382, 5, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 160, 18, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 21, 2, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 375, 34, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 112, 20, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 181, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 17, 12, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 23, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 88, 14, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 721, 43, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 475, 7, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 165, 2, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 276, 18, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 390, 15, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 37, 35, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 78, 9, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 74, 20, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 870, 50, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 25, 19, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 685, 5, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1193, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 762, 4, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1005, 9, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1216, 9, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 10, 2, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 57, 10, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 821, 17, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 424, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 260, 38, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 203, 38, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 289, 10, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 808, 5, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 514, 6, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 40, 4, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 108, 11, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 1419, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 357, 6, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 137, 25, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 468, 19, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 61, 35, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101909, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1757, 15, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101910, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1419, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101911, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 4, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101912, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 190, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101913, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 114, 94, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101914, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 178, 14, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101915, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 349, 18, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101916, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 38, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101917, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 872, 104, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101918, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 721, 43, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101919, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 103, 13, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101920, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 194, 25, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101921, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 22, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101922, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 9, 5, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101923, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 124, 17, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101924, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 181, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101925, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 824, 93, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101926, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 397, 13, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101927, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 589, 87, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101928, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 10, 2, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101929, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1174, 6, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101930, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 64, 83, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101931, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 67, 6, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101932, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 181, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101933, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 183, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101934, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 172, 6, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101935, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 245, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101936, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 443, 10, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101937, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 721, 43, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101938, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 57, 10, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101939, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 38, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101940, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 74, 20, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101941, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 88, 14, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101942, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 276, 18, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101943, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 112, 20, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101944, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 17, 12, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101945, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 78, 9, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101946, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 165, 2, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101947, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 23, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101948, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 1419, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101949, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 31, 18, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101950, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 111, 17, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101951, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 10, 2, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101952, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1174, 6, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101953, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 4, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101954, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 54, 16, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101955, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 62, 25, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101956, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 63, 7, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101957, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 289, 10, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101958, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 9, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101959, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 4, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101960, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101961, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 79, 5, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101962, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 424, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101963, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 743, 10, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101964, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 126, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101965, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101966, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 625, 13, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101967, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 66, 5, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101968, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 12, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101969, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 204, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101970, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 184, 2, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101971, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1216, 9, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101972, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 821, 17, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101973, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 685, 5, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101974, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1005, 9, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101975, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 4, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101976, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 4, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101977, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 870, 50, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101978, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101979, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 873, 54, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101980, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 12, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101981, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 339, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101982, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2049, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101983, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1683, 12, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101984, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 723, 7, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101985, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 194, 25, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101986, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 768, 11, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101987, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 741, 30, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101988, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 849, 12, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101989, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 509, 57, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101990, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 328, 12, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101991, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 660, 15, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101992, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 339, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101993, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 652, 17, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101994, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 160, 18, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101995, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 21, 2, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101996, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 165, 2, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101997, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 78, 9, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101998, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 23, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (101999, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 821, 17, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102000, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1216, 9, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102001, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1005, 9, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102002, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 25, 19, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102003, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 685, 5, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102004, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 1419, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102005, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 37, 35, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102006, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 939, 45, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102007, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 31, 18, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102008, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2049, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102009, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 79, 5, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102010, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 9, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102011, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1683, 12, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102012, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102013, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102014, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 61, 35, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102015, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 12, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102016, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 137, 25, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102017, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 203, 38, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102018, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 260, 38, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102019, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 873, 54, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102020, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 870, 50, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102021, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 721, 43, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102022, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 181, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102023, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1084, 72, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102024, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1184, 49, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102025, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 194, 25, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102026, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 17, 12, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102027, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 88, 14, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102028, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 126, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102029, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 509, 57, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102030, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 66, 5, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102031, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 183, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102032, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 112, 20, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102033, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 276, 18, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102034, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 74, 20, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102035, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 111, 17, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102036, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 382, 5, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102037, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 54, 16, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102038, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 172, 6, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102039, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 741, 30, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102040, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 313, 23, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102041, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 204, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102042, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 63, 7, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102043, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 375, 34, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102044, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 926, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102045, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 62, 25, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102046, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 525, 21, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102047, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 390, 15, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102048, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 723, 7, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102049, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 481, 21, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102050, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 849, 12, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102051, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 475, 7, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102052, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 443, 10, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102053, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 57, 10, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102054, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 245, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102055, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102056, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102057, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 4, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102058, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 4, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102059, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 12, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102060, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 424, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102061, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 289, 10, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102062, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 10, 2, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102063, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 468, 19, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102064, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 743, 10, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102065, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 768, 11, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102066, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 762, 4, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102067, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 357, 6, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102068, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 108, 11, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102069, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1193, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102070, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 6, 14, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102071, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 16, 20, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102072, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 808, 5, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102073, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 625, 13, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102074, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 19, 25, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102075, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 30, 21, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102076, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 40, 4, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102077, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 35, 15, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102078, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 514, 6, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102079, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 18, 43, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102080, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 30, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102081, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 18, 34, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102082, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 41, 26, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102083, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 743, 10, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102084, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 768, 11, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102085, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 183, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102086, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 10, 2, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102087, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 849, 12, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102088, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 172, 6, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102089, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 723, 7, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102090, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 12, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102091, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 63, 7, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102092, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 62, 25, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102093, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 54, 16, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102094, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 111, 17, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102095, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 4, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102096, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 4, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102097, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102098, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102099, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 12, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102100, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 38, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102101, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 625, 13, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102102, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 184, 2, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102103, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 204, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102104, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 509, 57, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102105, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 741, 30, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102106, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 685, 5, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102107, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1005, 9, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102108, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1216, 9, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102109, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 821, 17, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102110, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102111, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102112, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 57, 10, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102113, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 873, 54, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102114, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 79, 5, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102115, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 721, 43, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102116, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 870, 50, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102117, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 9, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102118, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 88, 14, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102119, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 276, 18, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102120, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 74, 20, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102121, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 112, 20, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102122, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 17, 12, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102123, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 4, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102124, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 1419, 1, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102125, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 181, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102126, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 78, 9, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102127, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 165, 2, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102128, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 23, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102129, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 66, 5, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102130, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1174, 6, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102131, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 126, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102132, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 194, 25, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102133, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1683, 12, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102134, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2049, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102135, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 339, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102136, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 289, 10, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102137, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 424, 8, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102138, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 31, 18, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102139, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 443, 10, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102140, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 245, 3, 2024, 2, 1, '2024-08-05 14:04:15', NULL, NULL), (102141, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 367, 103, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102142, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 134, 33, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102143, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 426, 27, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102144, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 302, 214, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102145, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 152, 354, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102146, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1027, 93, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102147, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 137, 147, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102148, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 823, 132, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102149, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 255, 178, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102150, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 151, 355, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102151, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 256, 62, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102152, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1016, 94, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102153, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 793, 137, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102154, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 302, 214, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102155, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 367, 103, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102156, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 255, 178, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102157, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 137, 147, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102158, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 130, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102159, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 266, 40, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102160, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 367, 103, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102161, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 116, 70, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102162, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 910, 6, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102163, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 538, 63, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102164, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 517, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102165, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 305, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102166, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 3273, 17, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102167, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 236, 28, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102168, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102169, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102170, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1492, 8, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102171, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 26, 6, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102172, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 17, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102173, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1485, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102174, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 23, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102175, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 154, 98, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102176, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1136, 5, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (102177, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 48, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102178, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 433, 59, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102179, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 435, 10, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102180, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 147, 13, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102181, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 13, 7, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 38, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 616, 36, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 103, 4, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 20, 4, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1121, 49, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 151, 5, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 711, 42, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 236, 28, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 589, 23, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 652, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 953, 4, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 115, 19, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 171, 10, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 98, 27, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 516, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 151, 8, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 509, 40, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 2, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 38, 27, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 141, 43, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 15, 5, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 6, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 190, 5, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 37, 25, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 7, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 214, 34, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 27, 40, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3558, 7, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 645, 11, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 35, 23, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3074, 10, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 5, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 42, 29, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 409, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 2128, 6, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 26, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 18, 23, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 19, 23, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 483, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 370, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 102, 4, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 72, 18, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 112, 29, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 120, 13, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 111, 15, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 7, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 135, 4, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 361, 8, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 122, 21, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 35, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 266, 14, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 151, 19, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 36, 5, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 199, 40, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 548, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 289, 19, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 517, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 497, 24, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 107, 16, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 249, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 266, 40, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 42, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 172, 5, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 614, 11, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 160, 6, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 166, 34, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 78, 11, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 118, 41, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 325, 17, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 327, 5, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 271, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 388, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 527, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 1426, 4, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 396, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 399, 16, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 335, 10, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1492, 8, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 851, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 755, 27, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1326, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 527, 24, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 62, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 22, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 187, 7, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 374, 6, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 290, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 133, 13, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 110, 18, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 74, 18, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102276, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3273, 17, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102277, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 48, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102278, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 910, 6, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102279, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 367, 103, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102280, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 26, 6, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102281, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1136, 5, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102282, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 17, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102283, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 116, 70, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102284, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 266, 40, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102285, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 130, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102286, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 236, 28, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102287, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 23, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102288, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 13, 7, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102289, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 147, 13, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102290, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 517, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102291, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 433, 59, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102292, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 435, 10, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102293, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 538, 63, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102294, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1492, 8, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102295, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 305, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102296, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 154, 98, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102297, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1485, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102298, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 517, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102299, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 38, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102300, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 20, 4, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102301, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 2, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102302, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 483, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102303, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 266, 40, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102304, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 399, 16, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102305, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 17, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102306, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 325, 17, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102307, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 107, 16, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102308, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 614, 11, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102309, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 289, 19, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102310, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 497, 24, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102311, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 160, 6, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102312, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 42, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102313, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 249, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102314, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 214, 34, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102315, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 115, 19, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102316, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1492, 8, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102317, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 305, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102318, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 48, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102319, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 151, 8, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102320, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 98, 27, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102321, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 171, 10, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102322, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1326, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102323, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 26, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102324, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102325, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102326, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 2128, 6, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102327, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 851, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102328, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 370, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102329, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 103, 4, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102330, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 516, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102331, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 35, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102332, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 7, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102333, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 151, 5, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102334, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 652, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102335, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1169, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102336, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 548, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102337, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 396, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102338, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 335, 10, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102339, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 271, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102340, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 527, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102341, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 7, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102342, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 2, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102343, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 6, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102344, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 118, 41, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102345, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102346, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 112, 29, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102347, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 5, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102348, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 102, 4, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102349, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 3074, 10, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102350, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 3558, 7, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102351, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 645, 11, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102352, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 236, 28, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102353, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 409, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102354, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 589, 23, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102355, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 190, 5, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102356, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 509, 40, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102357, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 135, 4, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102358, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 361, 8, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102359, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 102, 4, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102360, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 120, 13, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102361, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 548, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102362, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 266, 14, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102363, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 36, 5, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102364, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 42, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102365, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 160, 6, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102366, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 249, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102367, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 335, 10, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102368, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 396, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102369, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 527, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102370, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 271, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102371, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 166, 34, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102372, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 616, 36, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102373, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 214, 34, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102374, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3074, 10, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102375, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 2128, 6, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102376, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 26, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102377, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3558, 7, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102378, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102379, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 35, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102380, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 74, 18, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102381, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 7, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102382, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 133, 13, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102383, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 527, 24, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102384, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 755, 27, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102385, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 112, 29, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102386, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 118, 41, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102387, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 266, 40, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102388, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 517, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102389, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1121, 49, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102390, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 711, 42, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102391, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 497, 24, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102392, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 236, 28, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102393, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 107, 16, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102394, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 509, 40, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102395, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 103, 4, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102396, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 38, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102397, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 289, 19, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102398, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 151, 5, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102399, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 614, 11, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102400, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 325, 17, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102401, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 115, 19, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102402, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 20, 4, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102403, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 151, 19, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102404, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 151, 8, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102405, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 122, 21, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102406, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 589, 23, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102407, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 652, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102408, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 171, 10, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102409, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 953, 4, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102410, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 199, 40, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102411, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 98, 27, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102412, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 72, 18, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102413, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 645, 11, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102414, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 78, 11, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102415, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 111, 15, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102416, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 190, 5, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102417, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 172, 5, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102418, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 483, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102419, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102420, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 399, 16, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102421, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102422, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 7, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102423, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102424, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 6, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102425, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102426, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102427, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 851, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102428, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1326, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102429, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1492, 8, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102430, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 110, 18, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102431, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 370, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102432, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 409, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102433, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 1426, 4, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102434, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 290, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102435, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 374, 6, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102436, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 388, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102437, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 42, 29, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102438, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 35, 23, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102439, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 516, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102440, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 62, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102441, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 27, 40, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102442, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 37, 25, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102443, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 15, 5, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102444, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 187, 7, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102445, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 22, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102446, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 327, 5, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102447, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 141, 43, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102448, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 38, 27, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102449, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 19, 23, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102450, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 18, 23, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102451, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 370, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102452, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 409, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102453, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 38, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102454, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1492, 8, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102455, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 190, 5, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102456, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 20, 4, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102457, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 645, 11, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102458, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 7, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102459, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 171, 10, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102460, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 98, 27, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102461, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 151, 8, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102462, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 115, 19, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102463, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 6, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102464, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102465, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 7, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102466, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102467, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102468, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102469, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 17, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102470, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 516, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102471, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1169, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102472, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 652, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102473, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 509, 40, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102474, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 589, 23, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102475, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 271, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102476, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 527, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102477, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 396, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102478, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 335, 10, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102479, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102480, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 35, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102481, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 548, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102482, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 399, 16, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102483, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 112, 29, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102484, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 266, 40, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102485, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 2128, 6, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102486, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 118, 41, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102487, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 26, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102488, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 107, 16, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102489, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 614, 11, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102490, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 325, 17, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102491, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 289, 19, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102492, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 497, 24, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102493, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 48, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102494, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 517, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102495, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 160, 6, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102496, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 42, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102497, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 249, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102498, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 151, 5, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102499, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 305, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102500, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 103, 4, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102501, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 236, 28, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102502, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 3558, 7, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102503, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 3074, 10, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102504, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 102, 4, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102505, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1326, 3, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102506, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 851, 2, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102507, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 214, 34, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102508, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 483, 9, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102509, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 1, 2024, 2, 2, '2024-08-05 14:04:17', NULL, NULL), (102510, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 9, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102511, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 654, 9, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102512, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 195, 61, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102513, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 82, 21, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102514, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 523, 32, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102515, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 192, 62, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102516, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102517, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 82, 21, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102518, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 654, 9, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102519, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 9, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102520, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 452, 37, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102521, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 58, 13, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102522, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 79, 6, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102523, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 14, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102524, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 9, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102525, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102526, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102527, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 936, 17, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102528, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102529, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 2696, 2, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102530, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 0, 3, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 87, 5, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 14, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 96, 9, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 79, 6, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 62, 7, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 56, 7, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 75, 10, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 51, 6, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 103, 3, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 19, 3, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 210, 2, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 37, 13, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 314, 23, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 70, 2, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 9, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 438, 6, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E16', 2696, 2, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 936, 17, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102550, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 58, 13, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102551, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 9, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102552, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 936, 17, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102553, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 14, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102554, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 79, 6, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102555, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 2696, 2, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102556, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102557, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 9, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102558, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 49, 5, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102559, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 103, 3, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102560, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 19, 3, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102561, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 79, 6, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102562, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 70, 2, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102563, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 936, 17, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102564, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 14, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102565, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102566, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E16', 2696, 2, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102567, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 79, 6, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102568, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 14, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102569, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 87, 5, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102570, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 9, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102571, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E16', 2696, 2, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102572, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 70, 2, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102573, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 19, 3, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102574, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 51, 6, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102575, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 103, 3, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102576, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102577, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 314, 23, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102578, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 210, 2, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102579, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 37, 13, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102580, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 936, 17, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102581, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 75, 10, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102582, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 56, 7, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102583, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 96, 9, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102584, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 62, 7, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102585, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 438, 6, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102586, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102587, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 14, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102588, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E16', 2696, 2, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102589, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 70, 2, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (102590, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 9, 1, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102591, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 79, 6, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102592, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 936, 17, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102593, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 19, 3, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102594, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 49, 5, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102595, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 103, 3, 2024, 2, 3, '2024-08-05 14:04:21', NULL, NULL), (102596, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 66, 47, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102597, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 5, 13, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102598, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 276, 26, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102599, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 405, 135, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102600, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 27, 225, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102601, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1077, 53, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102602, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 170, 81, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102603, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1124, 83, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102604, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 192, 102, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102605, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 27, 226, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102606, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 151, 48, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102607, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1057, 54, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102608, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1111, 84, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102609, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 405, 135, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102610, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 190, 103, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102611, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 64, 48, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102612, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 170, 81, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102613, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 172, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102614, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 69, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102615, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 246, 25, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102616, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 64, 48, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102617, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 41, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102618, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 49, 36, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102619, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 268, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102620, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 22, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102621, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 10, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102622, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 71, 55, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102623, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 164, 28, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102624, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 189, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102625, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 68, 6, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102626, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 326, 33, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102627, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 3214, 16, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102628, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 130, 29, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102629, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 3, 8, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102630, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 4, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102631, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 6, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102632, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 74, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102633, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 37, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102634, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 8028, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102635, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 3, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 26, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 4, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1503, 53, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 113, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 2, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 454, 30, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 130, 29, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 192, 8, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 315, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 125, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 61, 13, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 45, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 4, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 99, 18, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 91, 11, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 645, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 161, 19, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 12, 23, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 4, 8, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 3, 10, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 2, 13, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 278, 9, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3826, 9, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 5, 14, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 16, 9, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 401, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 3, 10, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2427, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 6, 9, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 340, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 8, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 26, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 27, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 6, 22, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 6, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 15, 16, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 160, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 142, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 217, 19, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 46, 23, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 7, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 348, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 187, 8, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 60, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 114, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 346, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 141, 20, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 184, 9, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 157, 16, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 64, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 28, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 58, 10, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 169, 13, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 189, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 13, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 2, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 246, 25, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 75, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 95, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 18, 8, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 57, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 11, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 55, 13, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 94, 14, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 3, 16, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 227, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 11, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 411, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 8028, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 201, 8, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 12, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 47, 22, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 100, 19, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 36, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 70, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 96, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 63, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 613, 9, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 455, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 171, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 367, 6, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 7, 11, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 48, 18, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102724, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 4, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102725, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3214, 16, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102726, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 259, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102727, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 68, 6, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102728, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 268, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102729, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 66, 47, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102730, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 3, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102731, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 41, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102732, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 49, 36, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102733, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 246, 25, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102734, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 69, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102735, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 130, 29, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102736, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 10, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102737, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 37, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102738, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 74, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102739, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 189, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102740, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 326, 33, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102741, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 6, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102742, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 170, 27, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102743, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 8028, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102744, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 27, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102745, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 71, 55, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102746, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 22, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102747, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 189, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102748, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 4, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102749, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 2, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102750, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 26, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102751, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102752, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 6, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102753, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102754, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 8, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102755, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 160, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102756, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 4, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102757, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 246, 25, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102758, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 26, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102759, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 645, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102760, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 12, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102761, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 113, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102762, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 60, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102763, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 41, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102764, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 315, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102765, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 125, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102766, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 28, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102767, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 11, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102768, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 201, 8, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102769, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 75, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102770, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 18, 8, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102771, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 169, 13, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102772, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 13, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102773, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 411, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102774, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102775, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102776, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 55, 13, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102777, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102778, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 46, 23, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102779, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 142, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102780, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 57, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102781, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 95, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102782, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 2, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102783, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 455, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102784, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 27, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102785, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 16, 9, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102786, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 61, 13, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102787, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2427, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102788, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 3826, 9, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102789, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 8028, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102790, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 401, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102791, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 340, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102792, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 130, 29, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102793, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 192, 8, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102794, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 278, 9, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102795, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 68, 6, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102796, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 161, 19, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102797, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 63, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102798, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 91, 11, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102799, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 99, 18, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102800, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 45, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102801, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 114, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102802, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 346, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102803, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 142, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102804, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 348, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102805, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 28, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102806, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 184, 9, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102807, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 64, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102808, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 95, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102809, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 57, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102810, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 2, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102811, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 201, 8, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102812, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 411, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102813, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 3, 16, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102814, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 455, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102815, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 63, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102816, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 94, 14, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102817, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1503, 53, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102818, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 16, 9, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102819, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2427, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102820, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 8, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102821, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 26, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102822, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3826, 9, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102823, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102824, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 48, 18, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102825, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 7, 11, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102826, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 60, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102827, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 100, 19, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102828, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 47, 22, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102829, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 46, 23, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102830, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 55, 13, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102831, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 246, 25, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102832, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 189, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102833, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 454, 30, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102834, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 4, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102835, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 13, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102836, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 130, 29, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102837, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 75, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102838, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 26, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102839, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 161, 19, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102840, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 113, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102841, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 4, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102842, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 169, 13, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102843, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 18, 8, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102844, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 11, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102845, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 61, 13, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102846, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 2, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102847, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 91, 11, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102848, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 157, 16, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102849, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 141, 20, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102850, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 192, 8, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102851, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 45, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102852, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 58, 10, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102853, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 315, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102854, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 125, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102855, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 99, 18, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102856, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 217, 19, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102857, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 401, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102858, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 187, 8, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102859, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 7, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102860, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 278, 9, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102861, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 6, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102862, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 12, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102863, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 27, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102864, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102865, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102866, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102867, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102868, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 8028, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102869, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 367, 6, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102870, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 160, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102871, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 340, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102872, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 11, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102873, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 171, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102874, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 613, 9, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102875, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 227, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102876, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 6, 9, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102877, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 3, 10, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102878, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 36, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102879, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 645, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102880, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 5, 14, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102881, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 2, 13, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102882, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 96, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102883, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 3, 10, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102884, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 70, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102885, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 4, 8, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102886, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 12, 23, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102887, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 15, 16, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102888, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 6, 22, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102889, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 160, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102890, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 75, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102891, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 340, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102892, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 18, 8, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102893, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 11, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102894, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 169, 13, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102895, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 13, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102896, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 68, 6, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102897, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 4, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102898, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 8028, 5, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102899, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 278, 9, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102900, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 2, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102901, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 401, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102902, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 63, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102903, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 455, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102904, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 60, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102905, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 189, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102906, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 45, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102907, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 99, 18, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102908, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 91, 11, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102909, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 61, 13, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102910, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 57, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102911, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 95, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102912, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 2, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102913, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102914, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102915, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102916, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102917, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 41, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102918, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 645, 4, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102919, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 125, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102920, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 113, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102921, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 315, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102922, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 161, 19, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102923, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 192, 8, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102924, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 26, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102925, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 3826, 9, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102926, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 130, 29, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102927, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2427, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102928, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 411, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102929, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 27, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102930, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 142, 1, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102931, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 201, 8, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102932, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 16, 9, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102933, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102934, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 4, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102935, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 28, 3, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102936, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 12, 7, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102937, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 46, 23, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102938, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 8, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102939, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 246, 25, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102940, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 6, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102941, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 55, 13, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102942, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 26, 2, 2024, 2, 4, '2024-08-05 14:04:24', NULL, NULL), (102943, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 85, 90, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102944, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 51, 29, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102945, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 208, 35, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102946, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 256, 212, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102947, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 488, 74, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102948, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 156, 486, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102949, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1086, 142, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102950, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 111, 120, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102951, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 295, 216, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102952, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 155, 488, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102953, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 129, 68, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102954, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 481, 75, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102955, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1086, 142, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102956, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 255, 213, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102957, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 85, 90, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102958, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 293, 218, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102959, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 111, 120, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102960, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 82, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102961, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 129, 31, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102962, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 85, 90, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102963, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 235, 98, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102964, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 946, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102965, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 138, 45, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102966, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 399, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102967, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 920, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102968, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1291, 13, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102969, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 142, 24, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102970, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102971, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1964, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102972, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 19, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102973, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 100, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102974, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 329, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102975, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 847, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102976, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 18, 8, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102977, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 140, 101, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102978, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 2, 26, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102979, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 135, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102980, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 16142, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102981, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 1139, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102982, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 440, 78, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102983, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 287, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102984, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102985, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 226, 8, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102986, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 123, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 204, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 22, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 175, 17, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 635, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 980, 6, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1964, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 564, 11, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 119, 27, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 108, 36, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 215, 24, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 76, 25, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 274, 9, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (102999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 88, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1529, 8, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 206, 50, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 511, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 271, 37, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 910, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 206, 50, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 396, 14, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 111, 35, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 101, 34, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (103009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 295, 6, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 105, 22, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 195, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 82, 23, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 125, 27, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 140, 23, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 89, 22, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 57, 21, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 106, 13, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 156, 12, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 101, 15, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 91, 29, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 59, 15, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 218, 28, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 373, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 34, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 60, 14, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 220, 33, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 123, 40, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 688, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 242, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 93, 9, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 191, 8, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 134, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 100, 29, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 88, 29, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 864, 47, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 82, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 961, 41, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1001, 46, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 142, 24, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 11834, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 203, 19, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 44, 8, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 86, 30, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 202, 31, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 60, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 1, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 6, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 88, 12, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 25, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 6, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 344, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 202, 42, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 64, 10, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 2, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 111, 16, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 466, 10, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 49, 11, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 1074, 9, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 4, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 399, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 499, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 133, 30, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 17, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 84, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 260, 56, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1114, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 361, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 269, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 660, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 399, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 19, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 523, 12, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 5569, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 36, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 414, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 410, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103083, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1964, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103084, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1291, 13, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103085, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 412, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103086, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 1139, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103087, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 946, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103088, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 85, 90, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103089, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 135, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103090, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 100, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103091, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 847, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103092, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 235, 98, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103093, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 133, 30, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103094, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 82, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103095, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 142, 24, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103096, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 2, 24, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103097, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103098, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 226, 8, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103099, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 16142, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103100, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 399, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103101, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 440, 78, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103102, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 287, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103103, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 141, 44, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103104, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 19, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103105, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 920, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103106, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 141, 100, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103107, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 123, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103108, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 18, 8, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103109, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 399, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103110, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 204, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103111, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 22, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103112, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 60, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103113, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 344, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103114, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1964, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103115, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 133, 30, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103116, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 60, 14, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103117, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 847, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103118, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 59, 15, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103119, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 156, 12, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103120, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 101, 15, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103121, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 57, 21, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103122, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 106, 13, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103123, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 74, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103124, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 17, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103125, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 499, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103126, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 410, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103127, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 88, 12, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103128, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 203, 19, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103129, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 19, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103130, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 635, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103131, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1015, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103132, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 1139, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103133, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 414, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103134, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 202, 31, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103135, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 86, 30, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103136, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 44, 8, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103137, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 36, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103138, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 6, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103139, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103140, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103141, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 16142, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103142, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 25, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103143, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 282, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103144, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 295, 6, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103145, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103146, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 564, 11, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103147, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 2, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103148, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 82, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103149, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 946, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103150, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 4, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103151, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 399, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103152, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 523, 12, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103153, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 269, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103154, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 660, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103155, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103156, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103157, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 1, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103158, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 260, 56, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103159, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 6, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103160, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 202, 42, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103161, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103162, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E27', 123, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103163, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 910, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103164, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1529, 8, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103165, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 511, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103166, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 396, 14, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103167, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 142, 24, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103168, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 175, 17, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103169, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 274, 9, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103170, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 119, 27, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103171, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 111, 16, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103172, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 466, 10, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103173, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 64, 10, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103174, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 4, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103175, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 49, 11, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103176, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 1074, 9, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103177, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 17, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103178, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 84, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103179, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 499, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103180, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 523, 12, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103181, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 399, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103182, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 660, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103183, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 218, 28, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103184, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 269, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103185, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 410, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103186, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 414, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103187, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 91, 29, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103188, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 864, 47, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103189, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 88, 12, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103190, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 910, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103191, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 25, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103192, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 6, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103193, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1529, 8, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103194, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103195, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103196, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 88, 29, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103197, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 2, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103198, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 100, 29, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103199, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 123, 40, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103200, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 220, 33, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103201, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 202, 42, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103202, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 260, 56, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103203, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 133, 30, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103204, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 399, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103205, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 961, 41, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103206, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1001, 46, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103207, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 11834, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103208, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1964, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103209, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 142, 24, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103210, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 119, 27, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103211, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 82, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103212, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 204, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103213, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 203, 19, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103214, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 22, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103215, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 202, 31, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103216, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 140, 23, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103217, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 175, 17, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103218, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 125, 27, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103219, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 635, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103220, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 44, 8, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103221, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 89, 22, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103222, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 980, 6, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103223, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 86, 30, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103224, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 105, 22, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103225, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 511, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103226, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 82, 23, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103227, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 195, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103228, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 274, 9, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103229, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 295, 6, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103230, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 396, 14, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103231, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 361, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103232, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 564, 11, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103233, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1114, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103234, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 106, 13, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103235, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 156, 12, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103236, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 57, 21, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103237, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 101, 15, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103238, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 59, 15, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103239, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 344, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103240, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 60, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103241, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 60, 14, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103242, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 6, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103243, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103244, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103245, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 1, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103246, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103247, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103248, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 5569, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103249, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 36, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103250, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 19, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103251, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 34, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103252, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 134, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103253, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 191, 8, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103254, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 373, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103255, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 206, 50, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103256, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 271, 37, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103257, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 688, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103258, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 206, 50, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103259, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 88, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103260, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 93, 9, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103261, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 76, 25, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103262, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 242, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103263, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 215, 24, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103264, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 108, 36, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103265, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 101, 34, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103266, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 111, 35, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103267, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 295, 6, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103268, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 396, 14, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103269, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 204, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103270, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 19, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103271, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 274, 9, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103272, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 22, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103273, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 511, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103274, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 2, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103275, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 44, 8, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103276, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 86, 30, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103277, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 202, 31, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103278, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 203, 19, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103279, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 1, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103280, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103281, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103282, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 6, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103283, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103284, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103285, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 847, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103286, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 564, 11, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103287, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 946, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103288, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 119, 27, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103289, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 175, 17, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103290, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 269, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103291, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 660, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103292, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 399, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103293, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 523, 12, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103294, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103295, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103296, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1964, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103297, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 4, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103298, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 60, 14, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103299, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 202, 42, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103300, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 25, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103301, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 133, 30, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103302, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 260, 56, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103303, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 6, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103304, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 156, 12, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103305, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 101, 15, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103306, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 59, 15, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103307, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 57, 21, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103308, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 106, 13, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103309, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 1139, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103310, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 414, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103311, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 410, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103312, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 399, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103313, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 74, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103314, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 17, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103315, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 499, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103316, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 16142, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103317, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 82, 7, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103318, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1015, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103319, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 635, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103320, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 142, 24, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103321, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1529, 8, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103322, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 910, 5, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103323, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 36, 3, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103324, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 282, 2, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103325, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 88, 12, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103326, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E27', 123, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103327, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 344, 4, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103328, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 60, 1, 2024, 2, 5, '2024-08-05 14:04:28', NULL, NULL), (103329, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 93, 109, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103330, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 5, 25, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103331, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1258, 13, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103332, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 195, 176, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103333, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 316, 57, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103334, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 80, 354, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103335, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 74, 108, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103336, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 566, 109, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103337, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 283, 225, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103338, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 80, 354, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103339, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 393, 42, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103340, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 300, 60, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103341, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 566, 109, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103342, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 195, 176, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103343, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 93, 109, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103344, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 283, 225, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103345, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 74, 108, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103346, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 261, 6, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103347, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 221, 34, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103348, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 93, 109, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103349, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 172, 95, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103350, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 188, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103351, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 129, 36, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103352, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 106, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103353, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 3, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103354, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1054, 12, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103355, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 245, 22, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103356, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103357, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103358, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1019, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103359, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 24, 5, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103360, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 4, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103361, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 493, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103362, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 411, 4, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103363, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 6, 23, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103364, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 142, 89, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103365, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 6, 4, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103366, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 559, 8, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103367, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 456, 87, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103368, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 2, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103369, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 5, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103370, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 216, 5, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 4, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 335, 22, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 38, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 543, 39, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 261, 6, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 135, 10, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 245, 22, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 670, 45, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 144, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 140, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 79, 12, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 230, 19, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 148, 25, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 146, 13, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 100, 15, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 127, 26, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 78, 29, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 8, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 18, 27, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 44, 11, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 18, 5, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 27, 16, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 385, 13, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1271, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 65, 34, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 116, 18, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 5, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 13, 27, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 982, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 443, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 2, 4, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 52, 19, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 838, 7, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 525, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 56, 31, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 2, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 26, 25, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 342, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 84, 15, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 156, 40, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 77, 11, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 139, 14, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 109, 17, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 139, 12, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 50, 19, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 172, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 42, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 147, 6, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 65, 27, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 551, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 69, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 6, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (103428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 81, 20, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 106, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 88, 15, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 221, 34, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 76, 23, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 221, 4, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 64, 13, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 131, 7, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 77, 20, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 197, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 183, 55, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 101, 25, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 28, 18, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1015, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 588, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 3340, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 15, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 627, 7, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 670, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1019, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 373, 11, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 169, 18, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 6, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 137, 17, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 6, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 132, 34, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 21, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1361, 4, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 5, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1877, 4, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 4, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 15, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 161, 23, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 291, 18, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103462, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1054, 12, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103463, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 4, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103464, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 559, 8, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103465, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 188, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103466, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 93, 109, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103467, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 24, 5, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103468, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 6, 4, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103469, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 493, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103470, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 172, 95, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103471, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 221, 34, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103472, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 261, 6, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103473, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 245, 22, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103474, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 6, 23, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103475, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 5, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103476, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 216, 5, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103477, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 106, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103478, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 456, 87, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103479, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 2, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103480, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 129, 36, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103481, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1019, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103482, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 3, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103483, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 142, 89, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103484, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 411, 4, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103485, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 106, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103486, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 4, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103487, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 38, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103488, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 6, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103489, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103490, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 525, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103491, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 2, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103492, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 8, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103493, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103494, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 6, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103495, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 342, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103496, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 221, 34, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103497, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103498, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 169, 18, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103499, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 146, 13, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103500, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 261, 6, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103501, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 493, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103502, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 285, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103503, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 140, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103504, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 69, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103505, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 77, 20, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103506, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 670, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103507, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 373, 11, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103508, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 76, 23, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103509, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 64, 13, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103510, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 81, 20, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103511, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 588, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103512, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 88, 15, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103513, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 627, 7, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103514, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103515, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 5, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103516, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 183, 55, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103517, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 18, 5, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103518, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103519, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 156, 40, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103520, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 2, 4, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103521, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 197, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103522, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 221, 4, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103523, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 4, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103524, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 116, 18, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103525, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 79, 12, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103526, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 982, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103527, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1271, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103528, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1019, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103529, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 443, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103530, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 245, 22, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103531, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 838, 7, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103532, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 135, 10, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103533, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 3, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103534, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 385, 13, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103535, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 127, 26, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103536, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 559, 8, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103537, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 5, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103538, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 100, 15, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103539, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 148, 25, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103540, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 230, 19, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103541, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 139, 12, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103542, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 172, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103543, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 139, 14, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103544, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 69, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103545, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 147, 6, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103546, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 551, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103547, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 197, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103548, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 221, 4, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103549, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 373, 11, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103550, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 670, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103551, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 627, 7, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103552, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 28, 18, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103553, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 588, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103554, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 4, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103555, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 5, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103556, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 101, 25, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103557, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 335, 22, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103558, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 116, 18, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103559, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 982, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103560, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1271, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103561, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 525, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103562, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 6, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103563, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103564, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 291, 18, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103565, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 161, 23, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103566, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 132, 34, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103567, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 137, 17, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103568, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 156, 40, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103569, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 183, 55, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103570, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 221, 34, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103571, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 106, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103572, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 543, 39, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103573, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 670, 45, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103574, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 245, 22, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103575, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 88, 15, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103576, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 76, 23, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103577, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 127, 26, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103578, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 4, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103579, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 261, 6, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103580, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 81, 20, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103581, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 64, 13, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103582, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 77, 20, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103583, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 79, 12, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103584, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 38, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103585, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 42, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103586, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 100, 15, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103587, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 135, 10, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103588, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 50, 19, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103589, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 230, 19, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103590, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 144, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103591, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 6, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103592, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 65, 27, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103593, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 140, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103594, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 148, 25, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103595, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 84, 15, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103596, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 131, 7, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103597, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 443, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103598, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 109, 17, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103599, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 77, 11, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103600, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 385, 13, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103601, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 2, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103602, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103603, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 169, 18, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103604, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103605, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103606, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 8, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103607, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 18, 5, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103608, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103609, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 4, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103610, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 6, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103611, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 6, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103612, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1019, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103613, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 342, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103614, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 838, 7, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103615, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 15, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103616, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 15, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103617, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1015, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103618, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1877, 4, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103619, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 3340, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103620, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 52, 19, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103621, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 13, 27, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103622, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 21, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103623, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 65, 34, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103624, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 146, 13, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103625, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 27, 16, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103626, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1361, 4, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103627, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 44, 11, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103628, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 18, 27, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103629, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 78, 29, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103630, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 26, 25, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103631, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 56, 31, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103632, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 342, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103633, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 76, 23, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103634, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 64, 13, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103635, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 838, 7, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103636, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 77, 20, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103637, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 81, 20, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103638, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 88, 15, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103639, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 559, 8, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103640, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 4, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103641, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1019, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103642, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 385, 13, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103643, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 38, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103644, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 443, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103645, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 5, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103646, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 4, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103647, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 106, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103648, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 230, 19, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103649, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 148, 25, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103650, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 100, 15, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103651, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 79, 12, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103652, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 197, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103653, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 221, 4, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103654, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 18, 5, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103655, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 8, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103656, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103657, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103658, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 4, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103659, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103660, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 493, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103661, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 146, 13, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103662, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 140, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103663, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 285, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103664, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 261, 6, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103665, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 127, 26, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103666, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 135, 10, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103667, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 3, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103668, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1271, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103669, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 245, 22, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103670, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 588, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103671, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 982, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103672, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 627, 7, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103673, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 670, 9, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103674, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 6, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103675, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 6, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103676, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 373, 11, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103677, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 116, 18, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103678, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 6, 2, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103679, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103680, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 69, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103681, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 169, 18, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103682, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 156, 40, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103683, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 221, 34, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103684, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 2, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103685, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 183, 55, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103686, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 1, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103687, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 525, 3, 2024, 2, 6, '2024-08-05 14:04:32', NULL, NULL), (103688, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 61, 65, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103689, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 157, 21, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103690, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 170, 111, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103691, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 791, 23, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103692, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1056, 58, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103693, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 17, 244, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103694, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 262, 84, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103695, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 530, 128, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103696, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 605, 147, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103697, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 17, 245, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103698, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 457, 47, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103699, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1056, 58, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103700, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 526, 129, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103701, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 166, 114, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103702, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 61, 65, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103703, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 605, 147, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103704, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 262, 84, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103705, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 339, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103706, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 43, 4, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103707, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 283, 21, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103708, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 61, 65, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103709, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 35, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103710, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 54, 48, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103711, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 827, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103712, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 15, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103713, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 47, 54, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103714, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 15, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103715, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 162, 28, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103716, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 555, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103717, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 2145, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103718, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1105, 71, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103719, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 3613, 14, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103720, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 306, 15, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103721, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103722, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 27, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103723, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 540, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103724, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 90, 5, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103725, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 54, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103726, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 86, 5, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103727, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 5, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 55, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 869, 50, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 5, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 6, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 5, 5, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 357, 39, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 249, 37, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 306, 15, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 79, 9, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 55, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1963, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 63, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 32, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 27, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 39, 16, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1506, 4, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 44, 16, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 201, 19, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 18, 23, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 3, 9, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 34, 11, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 867, 17, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 5, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 60, 12, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3073, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 30, 17, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1040, 10, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 3, 21, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3760, 11, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 2, 15, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 6, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 837, 8, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 5, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 25, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 37, 26, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 540, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 2, 26, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 6, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 119, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 24, 24, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 900, 11, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 297, 21, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 34, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 153, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 4, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 7, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 167, 20, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 56, 10, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 261, 19, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 35, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 353, 21, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 37, 9, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 555, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 124, 18, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 59, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 18, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 283, 21, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 32, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 66, 13, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 19, 28, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 83, 24, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 18, 7, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 465, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 19, 17, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 839, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 5, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1824, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 355, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 791, 9, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1114, 7, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 144, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 28, 12, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1711, 15, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 10, 17, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 36, 14, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 65, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1002, 12, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 8, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 310, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 629, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 369, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 13, 20, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103815, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 27, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103816, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3613, 14, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103817, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 339, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103818, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 827, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103819, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 61, 65, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103820, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 5, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103821, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 35, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103822, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 54, 48, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103823, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 283, 21, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103824, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 43, 4, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103825, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 306, 15, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103826, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 15, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103827, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 54, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103828, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 90, 5, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103829, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 555, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103830, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1105, 71, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103831, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 540, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103832, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 162, 28, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103833, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 144, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103834, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 2145, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103835, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 48, 53, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103836, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 15, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103837, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 555, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103838, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 5, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103839, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 5, 5, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103840, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 25, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103841, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103842, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103843, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 540, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (103844, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 5, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103845, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 27, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103846, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 283, 21, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103847, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 55, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103848, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1506, 4, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103849, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 7, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103850, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 28, 12, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103851, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 6, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103852, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 153, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103853, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 35, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103854, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 55, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103855, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1599, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103856, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1114, 7, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103857, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 18, 7, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103858, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1711, 15, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103859, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 18, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103860, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 66, 13, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103861, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 5, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103862, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 37, 9, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103863, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 124, 18, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103864, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 791, 9, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103865, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103866, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103867, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103868, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 83, 24, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103869, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 24, 24, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103870, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 5, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103871, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 6, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103872, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 119, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103873, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 32, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103874, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 59, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103875, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 369, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103876, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 60, 12, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103877, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 63, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103878, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 3760, 11, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103879, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 3073, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103880, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 144, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103881, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1040, 10, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103882, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 837, 8, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103883, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 306, 15, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103884, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 79, 9, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103885, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 2145, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103886, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 867, 17, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103887, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 201, 19, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103888, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 310, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103889, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 44, 16, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103890, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 39, 16, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103891, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 32, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103892, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 34, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103893, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 4, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103894, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 119, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103895, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 900, 11, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103896, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 56, 10, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103897, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 35, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103898, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 32, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103899, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 59, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103900, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1711, 15, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103901, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1114, 7, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103902, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 791, 9, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103903, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 19, 17, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103904, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 5, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103905, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 369, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103906, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 310, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103907, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 19, 28, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103908, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 869, 50, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103909, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 60, 12, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103910, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3760, 11, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103911, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 5, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103912, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 25, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103913, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3073, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103914, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103915, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 7, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103916, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 13, 20, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103917, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 153, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103918, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 36, 14, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103919, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 10, 17, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103920, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 24, 24, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103921, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 83, 24, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103922, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 283, 21, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103923, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 555, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103924, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 357, 39, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103925, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 249, 37, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103926, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 27, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103927, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 124, 18, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103928, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 306, 15, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103929, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 18, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103930, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 55, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103931, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 201, 19, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103932, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 6, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103933, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 37, 9, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103934, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 5, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103935, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 66, 13, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103936, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 18, 7, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103937, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 63, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103938, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 5, 5, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103939, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 261, 19, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103940, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 44, 16, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103941, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 167, 20, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103942, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 79, 9, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103943, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 32, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103944, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 55, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103945, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 39, 16, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103946, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1963, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103947, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 353, 21, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103948, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 6, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103949, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1040, 10, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103950, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 297, 21, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103951, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 867, 17, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103952, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 540, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103953, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 28, 12, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103954, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 5, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103955, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103956, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103957, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103958, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103959, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103960, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 144, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103961, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 837, 8, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103962, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 355, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103963, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 839, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103964, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 629, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103965, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 8, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103966, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 2, 15, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103967, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1824, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103968, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 3, 21, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103969, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1506, 4, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103970, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 30, 17, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103971, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1002, 12, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103972, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 34, 11, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103973, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 465, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103974, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 3, 9, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103975, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 65, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103976, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 18, 23, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103977, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 2, 26, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103978, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 37, 26, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103979, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 18, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103980, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 837, 8, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103981, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 66, 13, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103982, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 18, 7, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103983, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 37, 9, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103984, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 124, 18, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103985, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 5, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103986, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 144, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103987, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 867, 17, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103988, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 5, 5, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103989, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1040, 10, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103990, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 310, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103991, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 369, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103992, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 153, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103993, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 555, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103994, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 32, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103995, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 39, 16, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103996, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 44, 16, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103997, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 63, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103998, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 32, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (103999, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 59, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104000, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104001, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104002, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104003, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 5, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104004, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104005, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104006, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 35, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104007, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1506, 4, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104008, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1599, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104009, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 55, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104010, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 6, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104011, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 2145, 2, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104012, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 201, 19, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104013, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 79, 9, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104014, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 55, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104015, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 5, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104016, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 306, 15, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104017, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 3073, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104018, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 3760, 11, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104019, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 791, 9, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104020, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 119, 3, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104021, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1114, 7, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104022, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1711, 15, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104023, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 60, 12, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104024, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104025, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 7, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104026, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 27, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104027, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 28, 12, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104028, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 24, 24, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104029, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 5, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104030, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 283, 21, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104031, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 540, 6, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104032, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 83, 24, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104033, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 25, 1, 2024, 2, 7, '2024-08-05 14:04:36', NULL, NULL), (104034, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 11, 39, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104035, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 5, 16, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104036, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1205, 11, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104037, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 54, 87, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104038, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1373, 51, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104039, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 38, 207, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104040, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 97, 86, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104041, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 351, 57, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104042, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 200, 104, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104043, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 38, 210, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104044, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 430, 31, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104045, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1346, 52, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104046, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 96, 87, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104047, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 54, 88, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104048, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 11, 39, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104049, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 198, 105, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104050, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 351, 57, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104051, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 408, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104052, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 299, 3, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104053, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 11, 39, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104054, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 249, 18, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104055, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 70, 46, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104056, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1910, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104057, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 7, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104058, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 13, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104059, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 30, 42, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104060, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 57, 27, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104061, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 8, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104062, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 13, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104063, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 4, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104064, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 328, 40, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104065, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 3331, 16, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104066, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 41, 17, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104067, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 5441, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104068, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '', '', '', 0, 3, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104069, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 15, 3, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104070, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 99, 3, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104071, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 17, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104072, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 19, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104073, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '', '', '', 0, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 146, 33, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 447, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 19, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 5, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 31, 23, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 47, 28, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 41, 17, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 37, 10, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1280, 3, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 5, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 408, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 29, 7, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 42, 8, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 5441, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 29, 10, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 31, 9, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 218, 7, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 69, 17, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 11, 24, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 4, 17, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 5, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 38, 9, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 29, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 354, 5, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 16, 22, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 21, 8, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 7, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1646, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 27, 16, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 126, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 4825, 9, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 2, 4, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 172, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 7, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 19, 18, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 36, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 5, 7, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 212, 3, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 368, 21, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 86, 28, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 247, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 292, 18, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 3, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 3, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 3, 8, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 4, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 31, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 6, 10, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 90, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 4, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 249, 18, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 159, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 4, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 48, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 390, 18, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 45, 18, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 6, 5, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 109, 18, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 11, 16, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 743, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 397, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1117, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 8, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 349, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 596, 4, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 35, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 19, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 319, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 8, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 67, 11, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 21, 15, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 6, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 2706, 4, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 3, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 89, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 96, 28, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104153, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 5441, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104154, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3553, 15, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104155, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 4, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104156, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1910, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104157, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 11, 39, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104158, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 8, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104159, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 19, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104160, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 70, 46, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104161, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 249, 18, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104162, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 299, 3, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104163, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 41, 17, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104164, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 13, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104165, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 99, 3, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104166, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 328, 40, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104167, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 408, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104168, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 15, 3, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104169, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 57, 27, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104170, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 35, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104171, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 13, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104172, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 30, 42, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104173, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 7, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104174, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 19, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104175, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104176, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 36, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104177, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 7, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104178, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 8, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104179, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 212, 3, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104180, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 5441, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104181, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 249, 18, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104182, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 447, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104183, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 19, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104184, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 218, 7, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104185, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 5, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104186, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1910, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104187, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 596, 4, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104188, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 6, 5, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104189, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 319, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104190, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 4, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104191, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 4, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104192, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 397, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104193, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 31, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104194, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 6, 10, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104195, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 349, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104196, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 7, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104197, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104198, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 5, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104199, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 45, 18, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104200, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 4, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104201, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 86, 28, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104202, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 2, 4, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104203, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 48, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104204, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 159, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104205, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 90, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104206, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 408, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104207, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 21, 8, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104208, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 29, 7, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104209, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 4825, 9, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104210, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1646, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104211, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 35, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104212, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 126, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104213, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 172, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104214, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 41, 17, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104215, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 37, 10, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104216, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 21, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104217, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 5, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104218, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 354, 5, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104219, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 4, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104220, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 69, 17, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104221, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 31, 9, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104222, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 29, 10, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104223, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 42, 8, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104224, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 3, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104225, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 3, 3, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104226, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 247, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104227, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 3, 8, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104228, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 4, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104229, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 159, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104230, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 48, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104231, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 90, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104232, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 319, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104233, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 596, 4, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104234, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 11, 16, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104235, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 349, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104236, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 397, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104237, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 109, 18, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104238, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 146, 33, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104239, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 21, 8, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104240, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 4825, 9, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104241, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 7, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104242, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1646, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104243, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 96, 28, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104244, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 21, 15, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104245, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 67, 11, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104246, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 86, 28, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104247, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 45, 18, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104248, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 249, 18, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104249, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 31, 23, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104250, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 47, 28, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104251, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 5441, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104252, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 41, 17, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104253, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 6, 10, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104254, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 4, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104255, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 447, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104256, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 69, 17, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104257, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 5, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (104258, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 31, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104259, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 4, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104260, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 6, 5, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104261, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 408, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104262, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 29, 7, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104263, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 19, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104264, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 31, 9, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104265, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 37, 10, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104266, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1280, 3, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104267, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 42, 8, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104268, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 5, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104269, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 29, 10, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104270, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 368, 21, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104271, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 390, 18, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104272, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 126, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104273, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 354, 5, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104274, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 292, 18, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104275, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 36, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104276, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104277, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 19, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104278, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104279, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 7, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104280, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 5, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104281, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104282, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 4, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104283, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 8, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104284, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 35, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104285, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 212, 3, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104286, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 172, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104287, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 8, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104288, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 743, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104289, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 89, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104290, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 3, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104291, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1117, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104292, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 27, 16, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104293, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 16, 22, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104294, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 6, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104295, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 218, 7, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104296, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 29, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104297, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 2706, 4, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104298, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 38, 9, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104299, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 4, 17, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104300, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 11, 24, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104301, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 5, 7, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104302, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 19, 18, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104303, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 4, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104304, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 212, 3, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104305, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 172, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104306, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 4, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104307, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 6, 5, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104308, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 31, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104309, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 6, 10, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104310, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 4, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104311, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 35, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104312, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 354, 5, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104313, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 19, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104314, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 126, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104315, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 42, 8, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104316, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 29, 10, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104317, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 31, 9, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104318, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 408, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104319, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 29, 7, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104320, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 48, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104321, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 159, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104322, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 90, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104323, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 5, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104324, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 7, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104325, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104326, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 4, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104327, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104328, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 218, 7, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104329, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1910, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104330, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 5, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104331, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 5, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104332, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 69, 17, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104333, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 37, 10, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104334, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 447, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104335, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 21, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104336, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 41, 17, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104337, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 397, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104338, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1646, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104339, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 4825, 9, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104340, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 349, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104341, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 596, 4, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104342, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 8, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104343, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 319, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104344, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 21, 8, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104345, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 5441, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104346, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 19, 6, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104347, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 86, 28, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104348, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 7, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104349, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 249, 18, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104350, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 36, 1, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104351, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 45, 18, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104352, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 2, 2024, 2, 8, '2024-08-05 14:04:37', NULL, NULL), (104353, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 275, 6, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104354, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 615, 12, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104355, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1177, 7, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104356, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 468, 66, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104357, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 76, 11, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104358, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1978, 7, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104359, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 158, 22, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104360, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 468, 66, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104361, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1177, 7, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104362, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 577, 24, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104363, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 527, 14, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104364, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 275, 6, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104365, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 158, 22, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104366, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 76, 11, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104367, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 281, 4, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104368, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 8214, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104369, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 7, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104370, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 603, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104371, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 275, 6, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104372, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 586, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104373, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104374, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 43, 14, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104375, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 3, 5, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104376, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 675, 10, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104377, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 11, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 2, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 603, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1176, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 15, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 7, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 864, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 11, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 72, 7, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 13, 4, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 249, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 586, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 83, 4, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 526, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 467, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 23, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 3, 5, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 50, 12, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 1265, 17, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 4294, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 121, 11, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 39, 13, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 95, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 22, 9, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 8214, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 453, 6, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 493, 4, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 5957, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 439, 6, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104407, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 8214, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104408, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 281, 4, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104409, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 275, 6, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104410, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 3, 5, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104411, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 43, 14, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104412, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 586, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104413, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 603, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104414, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 7, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104415, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 11, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104416, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 844, 8, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104417, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104418, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104419, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 586, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104420, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 603, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104421, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 467, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104422, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 5957, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104423, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 13, 4, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104424, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 8214, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104425, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 23, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104426, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 7, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104427, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 526, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104428, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 11, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104429, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 95, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104430, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 3, 5, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104431, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 50, 12, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104432, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 2, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104433, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 249, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104434, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 7, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104435, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 603, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104436, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 3, 5, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104437, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 15, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104438, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 526, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104439, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 23, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104440, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 13, 4, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104441, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 72, 7, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104442, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 11, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104443, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 249, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104444, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 95, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104445, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 121, 11, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104446, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 83, 4, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104447, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 1265, 17, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104448, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1176, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104449, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 8214, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104450, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 5957, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104451, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104452, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 439, 6, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104453, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 493, 4, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104454, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 2, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104455, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 453, 6, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104456, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 50, 12, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104457, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 467, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104458, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 586, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104459, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 22, 9, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104460, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 4294, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104461, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 39, 13, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104462, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 864, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104463, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 5957, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104464, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 3, 5, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104465, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 526, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104466, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 23, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104467, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 603, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104468, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 11, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104469, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 7, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104470, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 8214, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104471, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 95, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104472, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104473, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 249, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104474, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 13, 4, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104475, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 2, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104476, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 586, 3, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104477, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 50, 12, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104478, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 467, 2, 2024, 2, 9, '2024-08-05 14:04:38', NULL, NULL), (104479, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 0, 1, 2024, 2, 12, '2024-08-05 14:04:41', NULL, NULL), (104480, 1, '511500000000-0001', '宜宾市民中心', '涉及二手房交易', '', '', '', 0, 1, 2024, 2, 12, '2024-08-05 14:04:41', NULL, NULL), (104481, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 29, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104482, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 197, 5, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104483, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 29, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104484, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 228, 28, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104485, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1174, 18, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104486, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 144, 6, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104487, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 199, 32, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104488, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 29, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104489, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 813, 26, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104490, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 164, 6, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104491, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 29, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104492, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 144, 6, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104493, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 0, 2, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104494, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 0, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104495, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 161, 5, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104496, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 247, 3, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104497, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '', 29, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104498, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 0, 2, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104499, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 29, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104500, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '', '', '', 0, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104501, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 124, 2, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104502, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 59, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104503, 1, '511500000000-0001', '宜宾市民中心', '1E医保大厅业务', '', '', '', 0, 3, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 660, 4, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 10, 6, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 346, 5, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 247, 3, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 221, 6, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 126, 2, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 29, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 9175, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 96, 4, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 490, 12, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 274, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 29, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 124, 2, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 5, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 10, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 59, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 3132, 2, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 277, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 10, 5, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104523, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 59, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104524, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '', 29, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104525, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 247, 3, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104526, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 161, 5, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104527, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 29, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104528, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 124, 2, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104529, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 124, 2, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104530, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '2C03', 29, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104531, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 277, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104532, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 247, 3, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104533, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 274, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104534, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 29, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104535, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 126, 2, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104536, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 5, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104537, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 59, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104538, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 247, 3, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104539, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 29, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104540, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 660, 4, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104541, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 29, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104542, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 277, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104543, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 124, 2, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104544, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 274, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104545, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 10, 5, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104546, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 126, 2, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104547, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 490, 12, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104548, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 96, 4, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104549, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 59, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104550, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 5, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104551, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 3132, 2, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104552, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 346, 5, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104553, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 10, 6, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104554, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 221, 6, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104555, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 10, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104556, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 9175, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104557, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '2C03', 29, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104558, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 277, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104559, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 274, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104560, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 124, 2, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104561, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 29, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104562, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 247, 3, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104563, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 126, 2, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104564, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 59, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104565, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 5, 1, 2024, 2, 14, '2024-08-05 14:04:42', NULL, NULL), (104566, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 608, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104567, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 278, 25, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104568, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 2111, 14, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104569, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 68, 5, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104570, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 240, 29, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104571, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1847, 16, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104572, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 101, 6, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104573, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 57, 6, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104574, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 608, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104575, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 4163, 4, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104576, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 122, 2, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104577, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 0, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104578, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104579, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 32, 3, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104580, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104581, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 0, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104582, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 0, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104583, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 1075, 12, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 17, 4, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 940, 6, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1211, 6, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 228, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 608, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 49, 7, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 896, 7, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 5, 3, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 32, 3, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 17, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 8327, 2, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 66, 4, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104596, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 1075, 12, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104597, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 122, 2, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104598, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 608, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104599, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 32, 3, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104600, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 8327, 2, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104601, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 17, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104602, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 1211, 6, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104603, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 940, 6, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104604, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 8327, 2, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104605, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 228, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104606, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 608, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104607, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 32, 3, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104608, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 940, 6, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104609, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 608, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104610, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 17, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104611, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 66, 4, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104612, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 228, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104613, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 896, 7, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104614, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 32, 3, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104615, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 49, 7, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104616, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 8327, 2, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104617, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 17, 4, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104618, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1211, 6, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104619, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 5, 3, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104620, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 8327, 2, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104621, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 17, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104622, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 608, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104623, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 940, 6, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104624, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 228, 1, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104625, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 1211, 6, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104626, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 32, 3, 2024, 2, 15, '2024-08-05 14:04:43', NULL, NULL), (104627, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 107, 46, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104628, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 25, 8, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104629, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 97, 8, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104630, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 105, 47, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104631, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 0, 2, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104632, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 18, 11, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104633, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 86, 9, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104634, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 3, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104635, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 119, 2, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104636, 1, '511500000000-0001', '宜宾市民中心', '普通护照', '', '', '', 0, 1, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104637, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 0, 1, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104638, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 90, 6, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104639, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 0, 1, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104640, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 25, 8, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 37, 5, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 33, 4, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 4, 3, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 184, 1, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 64, 1, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 59, 1, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 54, 1, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 320, 14, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 9, 5, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 9, 11, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 5, 10, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 90, 6, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104653, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 25, 8, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104654, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 90, 6, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104655, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 119, 2, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104656, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 37, 5, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104657, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 4, 3, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104658, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 54, 1, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104659, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 184, 1, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104660, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 90, 6, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104661, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 54, 1, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104662, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 184, 1, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104663, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 320, 14, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104664, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 59, 1, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (104665, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 90, 6, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104666, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 64, 1, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104667, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 33, 4, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104668, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 37, 5, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104669, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 4, 3, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104670, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 9, 11, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104671, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 5, 10, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104672, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 9, 5, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104673, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 37, 5, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104674, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 4, 3, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104675, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 184, 1, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104676, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 90, 6, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104677, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 54, 1, 2024, 2, 16, '2024-08-05 14:04:44', NULL, NULL), (104678, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 11, 1, 2024, 2, 17, '2024-08-05 14:04:45', NULL, NULL), (104679, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 5, 2, 2024, 2, 17, '2024-08-05 14:04:45', NULL, NULL), (104680, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 1, 2024, 2, 17, '2024-08-05 14:04:45', NULL, NULL), (104681, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 1, 2024, 2, 17, '2024-08-05 14:04:45', NULL, NULL), (104682, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 11, 1, 2024, 2, 17, '2024-08-05 14:04:45', NULL, NULL), (104683, 1, '511500000000-0001', '宜宾市民中心', '1E医保大厅业务', '', '', '', 0, 1, 2024, 2, 17, '2024-08-05 14:04:45', NULL, NULL), (104684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 11, 1, 2024, 2, 17, '2024-08-05 14:04:45', NULL, NULL), (104685, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 11, 1, 2024, 2, 17, '2024-08-05 14:04:45', NULL, NULL), (104686, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 11, 1, 2024, 2, 17, '2024-08-05 14:04:45', NULL, NULL), (104687, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 11, 1, 2024, 2, 17, '2024-08-05 14:04:45', NULL, NULL), (104688, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 11, 1, 2024, 2, 17, '2024-08-05 14:04:45', NULL, NULL), (104689, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 166, 83, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104690, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 5, 35, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104691, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 734, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104692, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 155, 205, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104693, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 742, 50, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104694, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 235, 495, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104695, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1776, 165, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104696, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 47, 95, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104697, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 262, 199, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104698, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 233, 499, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104699, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 197, 53, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104700, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 700, 53, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104701, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1665, 176, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104702, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 155, 205, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104703, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 166, 83, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104704, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 257, 203, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104705, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 47, 95, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104706, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 976, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104707, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104708, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 50, 10, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104709, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 166, 83, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104710, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 394, 46, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104711, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 258, 86, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104712, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 14, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104713, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 117, 22, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104714, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 184, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104715, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 2328, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104716, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 1201, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104717, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1721, 16, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104718, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 305, 35, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104719, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104720, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 54, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104721, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '', '', '', 428, 24, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104722, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 830, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104723, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 55, 9, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104724, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 19, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104725, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 2173, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104726, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 46, 86, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104727, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104728, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 60, 110, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104729, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 4, 27, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104730, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 109, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104731, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 1725, 165, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104732, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 15, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104733, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 163, 55, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104734, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 9, 8, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104735, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 78, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104736, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 8, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 34, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 50, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1499, 48, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 51, 3, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 4, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1937, 62, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 103, 8, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1922, 45, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 305, 35, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1171, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 976, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 71, 22, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 66, 24, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 67, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 62, 29, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 52, 17, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 97, 6, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 125, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 10, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 21, 29, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 9, 32, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 6, 9, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 27, 17, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 7, 6, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 157, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 9, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 13, 24, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 42, 18, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2164, 9, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 104, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1611, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 28, 29, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 5, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 23, 27, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 161, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 5, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 49, 20, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 9, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 10, 28, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 118, 3, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 1223, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 181, 40, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 105, 10, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 76, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 7, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 11, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 1114, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 7, 3, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 58, 15, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 6, 12, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 10, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 29, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 15, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 36, 21, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 36, 12, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 181, 16, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 184, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 139, 13, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 80, 3, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 142, 16, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 394, 46, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 28, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 128, 13, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 29, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 127, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 172, 13, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 325, 46, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 204, 99, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1682, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 18, 18, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 473, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 168, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 17, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 42, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 237, 8, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 35, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 243, 12, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 830, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 237, 12, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 95, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 652, 45, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 124, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 604, 53, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 7, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 103, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1631, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 2173, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 768, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 39, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 57, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 538, 47, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 257, 18, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104832, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 1779, 160, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104833, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 67, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104834, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '宜宾市市场监管局', '', '', 734, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104835, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1967, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104836, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 2173, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104837, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 15, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104838, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 14, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104839, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 166, 83, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104840, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 109, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104841, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 19, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104842, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 258, 86, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104843, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 394, 46, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104844, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 50, 10, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104845, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 305, 35, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104846, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 4, 27, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104847, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 8, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104848, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 46, 86, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104849, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 78, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104850, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 1682, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104851, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 184, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104852, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 163, 55, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104853, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 976, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104854, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 9, 8, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104855, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 117, 22, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104856, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 830, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104857, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 55, 9, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104858, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 2328, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104859, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 60, 110, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104860, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104861, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 184, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104862, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 34, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104863, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 4, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104864, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 10, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104865, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 9, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104866, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 67, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104867, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 394, 46, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104868, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 243, 12, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104869, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 172, 13, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104870, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 142, 16, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104871, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 128, 13, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104872, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 181, 16, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104873, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 139, 13, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104874, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 127, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104875, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 28, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104876, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 80, 3, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104877, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 976, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104878, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B01', 64, 6, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104879, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B02', 37, 3, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104880, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 42, 18, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104881, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 71, 22, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104882, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 830, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104883, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 2328, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104884, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 15, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104885, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 2173, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104886, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 52, 17, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104887, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 62, 29, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104888, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 66, 24, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104889, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 124, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104890, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104891, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 10, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104892, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 29, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104893, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 5, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104894, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 58, 15, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104895, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 76, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104896, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 95, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104897, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 118, 3, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104898, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 36, 18, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104899, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 1937, 62, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104900, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 1922, 45, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104901, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 29, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104902, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 8, 6, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104903, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 1499, 48, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104904, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 50, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104905, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 97, 6, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104906, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 7, 3, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104907, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 51, 3, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104908, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 7, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104909, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 1223, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104910, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 14, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104911, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 35, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104912, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 57, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104913, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 237, 12, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104914, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 168, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104915, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 237, 8, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104916, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 9, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104917, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104918, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104919, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 325, 46, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104920, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 7, 6, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104921, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 181, 40, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104922, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 5, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104923, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '', '', '1D03', 17, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104924, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '', '', '1D02', 42, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104925, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '', '', '1D05', 39, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104926, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '', '', '1D04', 473, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104927, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '', '', '1D07', 1631, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104928, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '', '', '1D06', 768, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104929, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '', '', '1D09', 7, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104930, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '', '', '1D08', 103, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104931, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 1682, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104932, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1611, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104933, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 2164, 9, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104934, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 104, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104935, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 161, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104936, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 305, 35, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104937, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 103, 8, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104938, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 157, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104939, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 125, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104940, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 11, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104941, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 1114, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104942, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 105, 10, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104943, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 6, 12, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104944, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 15, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104945, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 28, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104946, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 127, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104947, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 80, 3, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104948, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 237, 12, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104949, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 35, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104950, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 1223, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104951, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 18, 18, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104952, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 237, 8, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104953, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 168, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104954, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 2173, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104955, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 204, 99, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104956, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1499, 48, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104957, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 42, 18, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104958, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1611, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104959, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 5, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104960, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2164, 9, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104961, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 10, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104962, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 257, 18, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104963, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 7, 3, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104964, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 7, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104965, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 538, 47, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104966, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 604, 53, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104967, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 652, 45, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104968, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 181, 40, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104969, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 325, 46, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104970, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 394, 46, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104971, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 184, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104972, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1937, 62, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104973, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1922, 45, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104974, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 139, 13, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104975, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 67, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104976, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 305, 35, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104977, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 142, 16, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104978, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 50, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104979, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 125, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104980, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 34, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104981, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 51, 3, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104982, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 181, 16, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104983, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 128, 13, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104984, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 172, 13, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104985, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 976, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104986, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 71, 22, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104987, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 52, 17, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104988, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 4, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104989, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 29, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104990, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 103, 8, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104991, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 58, 15, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104992, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 36, 12, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104993, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 66, 24, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104994, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1171, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104995, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 36, 21, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104996, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 62, 29, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104997, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 104, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104998, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 76, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (104999, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 157, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105000, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 29, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105001, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 9, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105002, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 10, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105003, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 243, 12, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105004, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 6, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105005, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 9, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105006, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105007, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105008, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105009, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105010, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 95, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105011, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 124, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105012, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 830, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105013, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 57, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105014, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 118, 3, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105015, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 161, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105016, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 42, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105017, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 39, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105018, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 768, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105019, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 17, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105020, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 23, 27, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105021, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 473, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105022, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 28, 29, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105023, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 7, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105024, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 97, 6, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105025, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 13, 24, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105026, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 27, 17, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105027, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1631, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105028, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 6, 9, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105029, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 103, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105030, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1682, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105031, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 9, 32, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105032, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 21, 29, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105033, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 10, 28, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105034, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 49, 20, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105035, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 1223, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105036, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 118, 3, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105037, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 161, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105038, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 1937, 62, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105039, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 34, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105040, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 1499, 48, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105041, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 830, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105042, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 1922, 45, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105043, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 157, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105044, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 4, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105045, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 104, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105046, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 7, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105047, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 66, 24, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105048, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 62, 29, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105049, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 52, 17, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105050, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 71, 22, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105051, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105052, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105053, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 9, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105054, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 6, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105055, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105056, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105057, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 97, 6, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105058, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 14, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105059, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 125, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105060, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 103, 8, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105061, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 168, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105062, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 237, 8, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105063, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 35, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105064, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 237, 12, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105065, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 57, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105066, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 10, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105067, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 7, 3, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105068, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 67, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105069, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 76, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105070, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 29, 14, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105071, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 243, 12, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105072, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 181, 40, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105073, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 5, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105074, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 394, 46, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105075, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 325, 46, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105076, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 58, 15, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105077, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 29, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105078, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 36, 18, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105079, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 8, 6, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (105080, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 142, 16, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105081, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 128, 13, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105082, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 172, 13, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105083, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 181, 16, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105084, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 139, 13, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105085, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 15, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105086, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 2173, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105087, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 184, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105088, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 976, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105089, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 127, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105090, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 28, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105091, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 80, 3, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105092, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 51, 3, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105093, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '宜宾市市场监管局', '', '1D05', 39, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105094, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 2328, 2, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105095, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '宜宾市市场监管局', '', '1D04', 473, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105096, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '宜宾市市场监管局', '', '1D03', 17, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105097, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '宜宾市市场监管局', '', '1D02', 42, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105098, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '宜宾市市场监管局', '', '1D09', 7, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105099, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 50, 7, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105100, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '宜宾市市场监管局', '', '1D08', 103, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105101, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '宜宾市市场监管局', '', '1D07', 1631, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105102, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '宜宾市市场监管局', '', '1D06', 768, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105103, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 2164, 9, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105104, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 305, 35, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105105, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1611, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105106, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 124, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105107, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 95, 1, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105108, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 42, 18, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105109, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 1682, 5, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105110, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B01', 64, 6, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105111, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B02', 37, 3, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105112, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 9, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105113, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 10, 4, 2024, 2, 18, '2024-08-05 14:04:46', NULL, NULL), (105114, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 102, 132, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105115, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 42, 38, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105116, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 806, 24, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105117, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 202, 266, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105118, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 942, 68, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105119, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 214, 548, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105120, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 172, 147, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105121, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1858, 165, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105122, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 368, 203, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105123, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 212, 552, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105124, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 327, 64, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105125, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 942, 68, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105126, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1752, 175, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105127, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 200, 268, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105128, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 102, 132, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105129, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 359, 208, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105130, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 170, 149, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105131, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 3380, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105132, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105133, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 13, 18, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105134, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 103, 129, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105135, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 320, 39, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105136, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 421, 108, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105137, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 610, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105138, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 98, 32, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105139, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 645, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105140, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 1208, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105141, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1889, 13, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105142, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 217, 29, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105143, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '', 55, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105144, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2733, 8, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105145, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '', '', '', 195, 22, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105146, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 885, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105147, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 172, 23, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105148, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 3, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105149, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 172, 124, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105150, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 57, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105151, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 318, 9, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105152, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 127, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105153, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 7, 35, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105154, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 174, 133, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105155, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 477, 7, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105156, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 325, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105157, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 1822, 165, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105158, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 18, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105159, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 277, 57, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105160, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 69, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105161, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 460, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105162, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 104, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105163, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 474, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 2277, 37, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 22, 7, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 7, 11, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 3, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1621, 59, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 93, 11, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1801, 67, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 217, 29, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 273, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 880, 4, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 3380, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 103, 19, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 169, 37, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 2733, 8, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 139, 27, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 133, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 258, 27, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 101, 21, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 54, 22, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 74, 44, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 7, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 41, 21, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 50, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 64, 27, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1529, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 183, 23, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 53, 24, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 4, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 96, 37, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 380, 11, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2198, 7, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 35, 32, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 17, 10, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 103, 8, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 423, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 137, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 54, 23, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 460, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 81, 33, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 171, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 93, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 365, 43, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 331, 19, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 939, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 164, 24, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 16, 13, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 153, 20, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 157, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 269, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 10, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 275, 14, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 38, 4, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 212, 32, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 48, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 147, 22, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 80, 25, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 154, 19, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 73, 4, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 82, 26, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 337, 37, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 124, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 45, 19, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 185, 18, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 301, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 171, 13, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 217, 21, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 465, 64, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 3022, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 105, 32, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 10, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 783, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 143, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 585, 9, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 364, 8, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 48, 22, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 142, 14, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 885, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 628, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 148, 44, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 75, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 132, 47, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 2195, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 402, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 862, 10, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 105, 13, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 127, 41, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 671, 115, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105254, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 1844, 163, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105255, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 2733, 8, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105256, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '宜宾市市场监管局', '', '', 307, 14, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105257, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1889, 13, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105258, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 18, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105259, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 610, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105260, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 103, 129, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105261, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 477, 7, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105262, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 3, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105263, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 57, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105264, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 425, 107, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105265, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 127, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105266, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 337, 37, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105267, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 13, 18, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105268, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 217, 29, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105269, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 7, 35, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105270, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 474, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105271, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 172, 124, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105272, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 3022, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105273, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 104, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105274, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 325, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105275, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 277, 57, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105276, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 3380, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105277, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 460, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105278, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 98, 32, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105279, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 885, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105280, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 172, 23, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105281, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '', 55, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105282, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 645, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105283, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 174, 133, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105284, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 69, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105285, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 318, 9, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105286, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 3, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105287, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 460, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105288, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 2733, 8, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105289, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 337, 37, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105290, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 48, 22, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105291, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 57, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105292, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 233, 19, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105293, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 80, 25, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105294, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 45, 19, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105295, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 80, 25, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105296, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 154, 19, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105297, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 231, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105298, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 73, 4, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105299, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 3380, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105300, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B01', 67, 10, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105301, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B02', 253, 13, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105302, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 183, 23, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105303, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E17', 127, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105304, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 103, 19, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105305, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 885, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105306, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 805, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105307, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 485, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105308, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 18, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105309, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 258, 27, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105310, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 139, 27, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105311, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 169, 37, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105312, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 75, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105313, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 137, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105314, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105315, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 325, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105316, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 10, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105317, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 171, 13, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105318, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 185, 18, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105319, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 423, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105320, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 153, 20, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105321, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 164, 24, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105322, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 171, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105323, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E15', 69, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105324, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 780, 4, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105325, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 185, 19, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105326, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 1621, 59, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105327, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 269, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105328, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 1801, 67, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105329, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 214, 12, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105330, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 2277, 37, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105331, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 22, 7, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105332, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 133, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105333, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 939, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105334, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 7, 11, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105335, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 8, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105336, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1012, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105337, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 48, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105338, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 364, 8, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105339, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 105, 13, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105340, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 142, 14, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105341, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 10, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105342, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 585, 9, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105343, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 4, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105344, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105345, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 7, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105346, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 465, 64, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105347, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105348, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 365, 43, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105349, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 17, 10, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105350, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '', '', '1D03', 325, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105351, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '', '', '1D07', 402, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105352, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '', '', '1D06', 246, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105353, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 3022, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105354, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2198, 7, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105355, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1529, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105356, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 380, 11, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105357, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 103, 8, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105358, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 217, 29, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105359, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 93, 11, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105360, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 50, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105361, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 101, 21, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105362, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '2E26', 93, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105363, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '2E28', 18, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105364, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 16, 13, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105365, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 157, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105366, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 93, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105367, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 331, 19, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105368, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 48, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105369, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 275, 14, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105370, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 38, 4, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105371, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 124, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105372, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 73, 4, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105373, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 142, 14, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105374, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 364, 8, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105375, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 585, 9, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105376, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 105, 32, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105377, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 10, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105378, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 301, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105379, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 2277, 37, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105380, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 183, 23, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105381, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2198, 7, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105382, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 423, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105383, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 137, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105384, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1529, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105385, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 10, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105386, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 671, 115, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105387, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 939, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105388, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 127, 41, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105389, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 132, 47, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105390, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 148, 44, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105391, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 365, 43, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105392, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 465, 64, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105393, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 337, 37, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105394, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1621, 59, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105395, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1801, 67, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105396, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 2733, 8, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105397, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 154, 19, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105398, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 217, 29, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105399, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 82, 26, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105400, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 101, 21, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105401, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 22, 7, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105402, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 7, 11, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105403, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 80, 25, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105404, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 45, 19, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105405, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 217, 21, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105406, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 3380, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105407, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 103, 19, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105408, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 269, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105409, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 3, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105410, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 258, 27, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105411, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 93, 11, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105412, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 153, 20, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105413, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 273, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105414, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 147, 22, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105415, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 169, 37, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105416, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 880, 4, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105417, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 212, 32, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105418, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 139, 27, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105419, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 171, 13, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105420, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 380, 11, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105421, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 164, 24, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105422, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 50, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105423, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 185, 18, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105424, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 460, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105425, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 48, 22, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105426, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105427, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 4, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105428, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105429, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 7, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105430, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105431, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 17, 10, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105432, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 628, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105433, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 75, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105434, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 885, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105435, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 105, 13, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105436, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 171, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105437, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 103, 8, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105438, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 143, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105439, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 862, 10, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105440, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 783, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105441, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 35, 32, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105442, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 96, 37, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105443, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 2195, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105444, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 133, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105445, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 53, 24, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105446, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 64, 27, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105447, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 402, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105448, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 41, 21, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105449, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 3022, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105450, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 74, 44, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105451, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 54, 22, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105452, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 81, 33, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105453, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 54, 23, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105454, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 171, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105455, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 103, 8, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105456, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 1621, 59, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105457, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 2277, 37, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105458, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 885, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105459, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 1801, 67, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105460, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 50, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105461, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 3, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105462, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 380, 11, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105463, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 939, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105464, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 169, 37, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105465, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 139, 27, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105466, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 258, 27, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105467, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 103, 19, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105468, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 7, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105469, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105470, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 4, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105471, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105472, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 17, 10, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105473, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105474, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 57, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105475, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 133, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105476, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1012, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105477, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 8, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105478, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 101, 21, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105479, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 93, 11, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105480, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 10, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105481, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 585, 9, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105482, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 364, 8, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105483, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 142, 14, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105484, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 105, 13, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105485, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 10, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105486, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E15', 69, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105487, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 171, 13, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105488, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 2733, 8, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (105489, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 48, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105490, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E17', 127, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105491, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 164, 24, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105492, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 185, 18, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105493, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 48, 22, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105494, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 365, 43, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105495, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 423, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105496, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 337, 37, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105497, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 465, 64, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105498, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 137, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105499, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 153, 20, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105500, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 269, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105501, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 185, 19, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105502, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 214, 12, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105503, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 80, 25, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105504, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 45, 19, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105505, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 233, 19, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105506, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 80, 25, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105507, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 154, 19, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105508, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 18, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105509, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '2E26', 93, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105510, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '2E28', 18, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105511, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 3380, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105512, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 231, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105513, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 73, 4, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105514, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 325, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105515, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 7, 11, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105516, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 485, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105517, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '宜宾市市场监管局', '', '1D03', 325, 5, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105518, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 22, 7, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105519, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '宜宾市市场监管局', '', '1D07', 402, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105520, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 805, 1, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105521, 1, '511500000000-0001', '宜宾市民中心', '市场监管综合业务', '宜宾市市场监管局', '', '1D06', 246, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105522, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1529, 6, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105523, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 217, 29, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105524, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2198, 7, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105525, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 75, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105526, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 780, 4, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105527, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 183, 23, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105528, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 3022, 2, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105529, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B01', 67, 10, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105530, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B02', 253, 13, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105531, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 460, 3, 2024, 2, 19, '2024-08-05 14:04:47', NULL, NULL), (105532, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 159, 89, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105533, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 39, 40, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105534, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 717, 42, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105535, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 177, 217, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105536, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 191, 590, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105537, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1550, 58, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105538, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 242, 148, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105539, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1269, 191, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105540, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 327, 173, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105541, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 190, 592, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105542, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 368, 86, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105543, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1405, 64, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105544, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1256, 193, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105545, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 176, 218, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105546, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 157, 90, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105547, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 320, 177, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105548, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 242, 148, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105549, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 84, 3, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105550, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105551, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 421, 12, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105552, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 159, 89, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105553, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 434, 33, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105554, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 217, 81, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105555, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 36, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105556, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 336, 26, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105557, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 41, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105558, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 99, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105559, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 3, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105560, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 5487, 14, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105561, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 91, 29, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105562, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105563, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 635, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105564, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1508, 11, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105565, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 332, 26, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105566, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 4, 9, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105567, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 56, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105568, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 222, 122, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105569, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 125, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105570, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 185, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105571, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 55, 102, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105572, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 6, 37, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105573, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 464, 8, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105574, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 960, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105575, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 1262, 192, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105576, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 5, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105577, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 470, 52, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105578, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 12, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105579, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 448, 3, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105580, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 88, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105581, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 940, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 5, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1238, 76, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 2, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 50, 7, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1199, 64, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1459, 49, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 91, 29, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 243, 9, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 52, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 71, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 253, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 70, 20, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 57, 15, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 953, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 54, 26, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 59, 24, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 384, 17, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 167, 42, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 22, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 194, 61, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 8, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 172, 32, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 7, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 640, 11, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 267, 44, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 31, 17, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 11, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 9901, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 170, 52, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 55, 20, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 308, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2487, 7, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 2, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 31, 12, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 769, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 154, 3, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 231, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 198, 32, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 448, 3, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 114, 36, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 523, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 224, 48, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 80, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 8, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 45, 10, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 237, 35, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 61, 13, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 12, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 50, 14, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 208, 21, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 45, 3, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 191, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 358, 29, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 57, 15, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 179, 18, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 41, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 125, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 452, 10, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 448, 32, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 70, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 244, 17, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 29, 18, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 86, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 272, 14, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 131, 20, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 108, 108, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 221, 31, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 4, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 218, 30, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 3, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 354, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 90, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 73, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 1209, 8, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 254, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 89, 14, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 559, 13, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1659, 10, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 663, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 363, 36, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 339, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 354, 52, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 313, 9, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 791, 20, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 56, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 546, 3, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 239, 21, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 179, 33, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105673, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 1282, 189, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105674, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 953, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105675, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 5909, 13, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105676, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 56, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105677, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 5, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105678, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 45, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105679, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 161, 88, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105680, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 464, 8, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105681, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 4, 9, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105682, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 125, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105683, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 223, 79, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105684, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 448, 32, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105685, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 421, 12, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105686, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 91, 29, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105687, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 6, 37, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105688, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 7, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105689, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 222, 122, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105690, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 3, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105691, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 88, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105692, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 960, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105693, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 41, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105694, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 470, 52, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105695, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 253, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105696, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 448, 3, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105697, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 336, 26, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105698, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1659, 10, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105699, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 332, 26, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105700, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 99, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105701, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 55, 102, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105702, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 12, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105703, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 185, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105704, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 41, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105705, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 5, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105706, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 2, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105707, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 448, 3, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105708, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 953, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105709, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 448, 32, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105710, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 89, 14, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105711, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 125, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105712, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 272, 14, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105713, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 452, 10, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105714, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 29, 18, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105715, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 57, 15, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105716, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 189, 17, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105717, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 86, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105718, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 70, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105719, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 125, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105720, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 56, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105721, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 253, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105722, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B01', 366, 21, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105723, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B02', 191, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105724, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 31, 17, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105725, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 70, 20, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105726, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1659, 10, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105727, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 99, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105728, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 5, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105729, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 59, 24, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105730, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 54, 26, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105731, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 57, 15, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105732, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 339, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105733, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 231, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105734, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 960, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105735, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 12, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105736, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 22, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105737, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 131, 20, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105738, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 244, 17, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105739, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 154, 3, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105740, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 237, 35, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105741, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 589, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105742, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 523, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105743, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 1199, 64, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105744, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 1459, 49, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105745, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 208, 21, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105746, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 336, 8, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105747, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 1238, 76, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105748, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 940, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105749, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105750, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 50, 7, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105751, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 8, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105752, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 36, 3, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105753, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 71, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105754, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 254, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105755, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 559, 13, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105756, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 239, 21, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105757, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 354, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105758, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 73, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105759, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 11, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105760, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105761, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 8, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105762, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 221, 31, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105763, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 7, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105764, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 224, 48, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105765, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 2, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105766, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 3, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105767, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 4, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105768, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2487, 7, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105769, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 9901, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105770, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E18', 12, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105771, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 308, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105772, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 91, 29, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105773, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 769, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105774, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 243, 9, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105775, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 640, 11, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105776, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 384, 17, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105777, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 45, 10, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105778, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 61, 13, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105779, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 80, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105780, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 50, 14, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105781, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 45, 3, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105782, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 70, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105783, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 86, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105784, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 125, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105785, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 559, 13, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105786, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 254, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105787, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 73, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105788, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 218, 30, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105789, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 354, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105790, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 56, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105791, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 108, 108, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105792, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1238, 76, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105793, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 31, 17, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105794, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2487, 7, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105795, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 154, 3, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105796, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 231, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105797, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 9901, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105798, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 12, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105799, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105800, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 8, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105801, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 179, 33, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105802, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 354, 52, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105803, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 363, 36, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105804, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 224, 48, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105805, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 221, 31, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105806, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 448, 32, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105807, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 41, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105808, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1199, 64, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105809, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1459, 49, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105810, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 953, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105811, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 179, 18, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105812, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 91, 29, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105813, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 452, 10, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105814, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 940, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105815, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 384, 17, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105816, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 50, 7, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105817, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 57, 15, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105818, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 5, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105819, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 29, 18, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105820, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 272, 14, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105821, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 253, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105822, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 70, 20, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105823, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 2, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105824, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 59, 24, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105825, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 208, 21, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105826, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 243, 9, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105827, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 52, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105828, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 358, 29, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105829, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 57, 15, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105830, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 71, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105831, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 54, 26, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105832, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 191, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105833, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 131, 20, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105834, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 308, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105835, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 237, 35, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105836, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 640, 11, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105837, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 244, 17, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105838, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 448, 3, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105839, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 89, 14, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105840, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 7, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105841, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 11, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105842, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 22, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105843, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 8, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105844, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105845, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105846, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 663, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105847, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 339, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105848, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1659, 10, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105849, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 239, 21, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105850, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 523, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105851, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 769, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105852, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 1209, 8, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105853, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 3, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105854, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 546, 3, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105855, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 791, 20, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105856, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 90, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105857, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 31, 12, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105858, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 55, 20, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105859, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 170, 52, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105860, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 267, 44, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105861, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 313, 9, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105862, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 172, 32, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105863, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 4, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105864, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 194, 61, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105865, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 167, 42, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105866, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 114, 36, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105867, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 198, 32, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105868, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 523, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105869, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 769, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105870, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 1199, 64, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105871, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 5, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105872, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 1238, 76, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105873, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1659, 10, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105874, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 1459, 49, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105875, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 640, 11, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105876, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 2, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105877, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 308, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105878, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 8, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105879, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 57, 15, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105880, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 54, 26, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105881, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 59, 24, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105882, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 70, 20, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105883, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 8, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105884, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 22, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105885, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 11, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105886, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 7, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105887, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105888, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105889, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 125, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105890, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 71, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105891, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 36, 3, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105892, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 384, 17, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105893, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 243, 9, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105894, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 354, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105895, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 73, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105896, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 254, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105897, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 559, 13, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105898, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 239, 21, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (105899, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 12, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105900, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105901, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 131, 20, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105902, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 953, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105903, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 237, 35, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105904, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 244, 17, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105905, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 89, 14, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105906, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 224, 48, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105907, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 154, 3, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105908, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 448, 32, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105909, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 221, 31, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105910, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 231, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105911, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 208, 21, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105912, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 336, 8, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105913, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 452, 10, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105914, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 29, 18, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105915, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 272, 14, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105916, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 57, 15, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105917, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 189, 17, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105918, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 5, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105919, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 56, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105920, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E18', 12, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105921, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 41, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105922, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 253, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105923, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 86, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105924, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 70, 2, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105925, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 125, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105926, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 960, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105927, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 50, 7, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105928, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 940, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105929, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 99, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105930, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 91, 29, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105931, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 9901, 6, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105932, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2487, 7, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105933, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 339, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105934, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 589, 4, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105935, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 31, 17, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105936, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 3, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105937, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 4, 1, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105938, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B01', 366, 21, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105939, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B02', 191, 5, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105940, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 448, 3, 2024, 2, 20, '2024-08-05 14:04:48', NULL, NULL), (105941, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 135, 80, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105942, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 281, 40, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105943, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 444, 26, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105944, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 316, 208, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105945, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 800, 57, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105946, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 115, 466, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105947, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 981, 171, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105948, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 128, 117, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105949, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 197, 182, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105950, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 114, 467, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105951, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 336, 70, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105952, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 800, 57, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105953, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 971, 172, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105954, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 316, 208, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105955, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 135, 80, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105956, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 197, 182, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105957, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 127, 118, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105958, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 5, 2, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105959, 1, '511500000000-0001', '宜宾市民中心', '道路运输经营许可、道路运输证核发、换补', '', '', '', 0, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105960, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 307, 15, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105961, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 95, 40, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105962, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 139, 78, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105963, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 161, 77, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105964, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 219, 27, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105965, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 268, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105966, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 295, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105967, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 29, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105968, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2442, 12, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105969, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 264, 27, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105970, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105971, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 972, 9, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105972, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 331, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105973, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 152, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105974, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 170, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105975, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 14, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105976, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 126, 115, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105977, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 188, 6, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105978, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 7, 35, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105979, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 270, 94, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105980, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 656, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105981, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 986, 170, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105982, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 328, 56, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105983, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 87, 4, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105984, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 9, 2, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105985, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 2197, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105986, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 2, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105987, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 342, 9, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 170, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 883, 69, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 204, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 424, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1071, 51, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1064, 49, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 296, 11, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 264, 27, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 295, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 11, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 427, 23, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (105999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 374, 14, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 972, 9, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 157, 19, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 230, 23, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 166, 16, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 24, 30, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 9, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 36, 38, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 53, 21, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 7, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 361, 10, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 98, 22, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 134, 15, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 42, 31, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1675, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 22, 6, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 31, 31, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2991, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 9, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 80, 28, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 262, 11, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 4, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 100, 19, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 2197, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 51, 36, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 314, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 481, 4, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 120, 21, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 183, 45, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 414, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 115, 21, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 336, 11, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 2, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 678, 11, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 147, 21, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 122, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 255, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 87, 4, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 372, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 228, 2, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 51, 15, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 268, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 335, 12, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 85, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 95, 40, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 246, 15, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 346, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 48, 15, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 98, 12, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 30, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 139, 16, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 78, 12, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 129, 32, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 200, 98, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 29, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 571, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 81, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 110, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 188, 11, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 480, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 331, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 64, 11, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 265, 6, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 414, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 164, 40, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 166, 32, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 690, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 116, 2, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 51, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 735, 14, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 4, 2, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 36, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 131, 16, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 209, 40, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106075, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 992, 169, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106076, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 972, 9, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106077, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2442, 12, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106078, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 14, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106079, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 87, 4, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106080, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 139, 78, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106081, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 170, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106082, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 656, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106083, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 161, 77, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106084, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 95, 40, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106085, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 307, 15, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106086, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 264, 27, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106087, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 7, 35, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106088, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 11, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106089, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 2, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106090, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 126, 115, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106091, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 29, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106092, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 342, 9, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106093, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 268, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106094, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 328, 56, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106095, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 2197, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106096, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 219, 27, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106097, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 331, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106098, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 228, 2, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106099, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 295, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106100, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 270, 94, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106101, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 9, 2, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106102, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 188, 6, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106103, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 268, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106104, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 170, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106105, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 690, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106106, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 4, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106107, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 2197, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106108, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 9, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106109, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 139, 16, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106110, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 98, 12, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106111, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 120, 21, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106112, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 147, 21, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106113, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 115, 21, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106114, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 414, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106115, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 314, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106116, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 1071, 51, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106117, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 122, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106118, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 1064, 49, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106119, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 972, 9, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106120, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 883, 69, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106121, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 95, 40, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106122, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 204, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106123, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 2, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106124, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 77, 9, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106125, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 424, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106126, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 372, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106127, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 480, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106128, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 78, 12, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106129, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 265, 6, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106130, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 131, 16, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106131, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 246, 15, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106132, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 48, 15, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106133, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 51, 15, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106134, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 571, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106135, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 335, 12, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106136, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 188, 11, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106137, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106138, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 22, 6, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106139, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106140, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 129, 32, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106141, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 7, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106142, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 183, 45, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106143, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 9, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106144, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 481, 4, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106145, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 30, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106146, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 346, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106147, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 85, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106148, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 36, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106149, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B01', 228, 2, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106150, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 29, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106151, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 134, 15, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106152, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 11, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106153, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 427, 23, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106154, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2991, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106155, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1675, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106156, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E20', 9, 2, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106157, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 331, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106158, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 262, 11, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106159, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 264, 27, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106160, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 296, 11, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106161, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 295, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106162, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 361, 10, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106163, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 166, 16, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106164, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 87, 4, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106165, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 4, 2, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106166, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 230, 23, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106167, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 157, 19, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106168, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 374, 14, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106169, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 336, 11, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106170, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 678, 11, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106171, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 481, 4, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106172, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 414, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106173, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 372, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106174, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 255, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106175, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 87, 4, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106176, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 346, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106177, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 30, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106178, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 85, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106179, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 265, 6, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106180, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 480, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106181, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 188, 11, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106182, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 571, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106183, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 36, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106184, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 4, 2, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106185, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 200, 98, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106186, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 883, 69, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106187, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 134, 15, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106188, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2991, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106189, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 4, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106190, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1675, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106191, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 2, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106192, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 209, 40, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106193, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 166, 32, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106194, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 183, 45, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106195, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 164, 40, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106196, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 129, 32, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106197, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 95, 40, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106198, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 268, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106199, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1071, 51, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106200, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1064, 49, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106201, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 11, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106202, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 972, 9, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106203, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 335, 12, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106204, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 264, 27, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106205, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 246, 15, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106206, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 166, 16, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106207, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 204, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106208, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 170, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106209, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 424, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106210, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 51, 15, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106211, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 48, 15, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106212, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 78, 12, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106213, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 427, 23, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106214, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 122, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106215, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 230, 23, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106216, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 296, 11, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106217, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 147, 21, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106218, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 374, 14, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106219, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 295, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106220, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 228, 2, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106221, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 157, 19, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106222, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 120, 21, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106223, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 139, 16, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106224, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 115, 21, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106225, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 361, 10, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106226, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 98, 12, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106227, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 2197, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106228, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 64, 11, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106229, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106230, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106231, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 9, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106232, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106233, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 22, 6, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106234, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 9, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106235, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 414, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106236, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 690, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106237, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 331, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106238, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 131, 16, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106239, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 314, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106240, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 262, 11, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106241, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 110, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106242, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 29, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106243, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 81, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106244, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 80, 28, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106245, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 31, 31, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106246, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 116, 2, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106247, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 42, 31, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106248, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 98, 22, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106249, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 735, 14, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106250, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 53, 21, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106251, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 51, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106252, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 36, 38, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106253, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 24, 30, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106254, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 51, 36, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106255, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 100, 19, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106256, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 11, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106257, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 314, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106258, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 246, 15, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106259, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 262, 11, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106260, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 48, 15, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106261, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 78, 12, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106262, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 51, 15, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106263, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 335, 12, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106264, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 1071, 51, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106265, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 87, 4, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106266, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 170, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106267, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 883, 69, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106268, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 331, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106269, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 1064, 49, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106270, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 361, 10, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106271, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 4, 2, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106272, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 36, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106273, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 268, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106274, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 374, 14, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106275, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 157, 19, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106276, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 230, 23, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106277, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 427, 23, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106278, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 30, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106279, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 346, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106280, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 85, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106281, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106282, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 9, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106283, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106284, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106285, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E20', 9, 2, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106286, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 9, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106287, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 22, 6, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106288, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 424, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106289, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 166, 16, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106290, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 296, 11, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106291, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 204, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106292, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 295, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106293, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 571, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106294, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 264, 27, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106295, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1675, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106296, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2991, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106297, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 188, 11, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106298, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 481, 4, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106299, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 480, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106300, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 690, 7, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106301, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 414, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106302, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 265, 6, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106303, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 131, 16, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106304, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 134, 15, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106305, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 2, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (106306, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 139, 16, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106307, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 120, 21, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106308, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 972, 9, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106309, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 29, 1, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106310, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 372, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106311, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 115, 21, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106312, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 98, 12, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106313, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B01', 228, 2, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106314, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 77, 9, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106315, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 183, 45, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106316, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 95, 40, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106317, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 2197, 5, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106318, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 129, 32, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106319, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 4, 3, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106320, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 147, 21, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106321, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 122, 8, 2024, 2, 21, '2024-08-05 14:04:49', NULL, NULL), (106322, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 59, 104, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106323, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 214, 34, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106324, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 597, 41, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106325, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 372, 190, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106326, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 966, 47, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106327, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 82, 454, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106328, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 589, 113, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106329, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 794, 176, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106330, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 438, 179, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106331, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 82, 456, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106332, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 407, 78, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106333, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 966, 47, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106334, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 794, 176, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106335, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 372, 190, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106336, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 59, 104, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106337, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 438, 179, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106338, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 589, 113, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106339, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 84, 9, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106340, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 59, 104, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106341, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 405, 39, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106342, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 490, 81, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106343, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1235, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106344, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 89, 22, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106345, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 12, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106346, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 130, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106347, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 5, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106348, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 3318, 11, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106349, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 353, 18, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106350, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 112, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106351, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2057, 10, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106352, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 18441, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106353, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 76, 7, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106354, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 35, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106355, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 267, 111, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106356, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 9, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106357, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1583, 12, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106358, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 29, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106359, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 221, 89, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106360, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 13, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106361, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 58, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106362, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 799, 175, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106363, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 102, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106364, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 462, 49, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106365, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 1683, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106366, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 29, 8, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106367, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 148, 6, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 12, 3, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 76, 7, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 718, 60, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 722, 57, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 120, 6, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 353, 18, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 117, 9, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 958, 58, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 463, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1527, 3, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 328, 15, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 185, 23, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 135, 22, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 261, 29, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 70, 13, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 21, 30, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 26, 25, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 85, 8, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 6, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 29, 34, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 323, 12, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3871, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 10, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 48, 34, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 454, 9, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 38, 33, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2858, 6, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 5, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 36, 33, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 970, 8, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 1683, 8, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 1384, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 451, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 71, 17, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 1683, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 47, 30, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 271, 23, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 259, 41, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 451, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 23, 11, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 58, 10, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 71, 3, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 371, 16, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 247, 8, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 24, 8, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 178, 17, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 71, 3, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 18441, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 25, 17, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 12, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 46, 15, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 75, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 39, 23, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 405, 39, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 297, 21, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 62, 14, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 294, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 225, 7, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 81, 16, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 726, 40, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 144, 80, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 5, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 32, 21, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 1038, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 158, 6, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 210, 8, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 661, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 103, 19, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2057, 10, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 87, 7, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 28, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 142, 37, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 162, 44, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 6, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 117, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 183, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 856, 15, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 859, 10, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 406, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 35, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 229, 25, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 112, 28, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106454, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 799, 175, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106455, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3318, 11, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106456, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 35, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106457, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 102, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106458, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1235, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106459, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 59, 104, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106460, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 76, 7, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106461, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 13, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106462, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 9, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106463, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 490, 81, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106464, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 405, 39, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106465, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 84, 9, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106466, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 353, 18, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106467, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 29, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106468, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 29, 8, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106469, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 267, 111, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106470, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 5, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106471, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 148, 6, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106472, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 58, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106473, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 12, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106474, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 462, 49, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106475, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 1683, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106476, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 89, 22, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106477, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2057, 10, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106478, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 18441, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106479, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 451, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106480, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 130, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106481, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 221, 89, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106482, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1583, 12, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106483, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 12, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106484, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 76, 7, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106485, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 6, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106486, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 1384, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106487, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106488, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 58, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106489, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106490, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 1683, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106491, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 225, 7, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106492, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 297, 21, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106493, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 1683, 8, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106494, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 451, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106495, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 271, 23, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106496, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 371, 16, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106497, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 18, 3, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106498, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 722, 57, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106499, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 178, 17, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106500, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 958, 58, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106501, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 718, 60, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106502, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 405, 39, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106503, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 12, 3, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106504, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 71, 3, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106505, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 103, 19, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106506, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 120, 6, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106507, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 9, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106508, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 615, 3, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106509, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 2164, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106510, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 661, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106511, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 81, 16, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106512, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 229, 25, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106513, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 87, 7, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106514, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 39, 23, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106515, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 62, 14, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106516, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 1038, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106517, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 25, 17, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106518, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 46, 15, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106519, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 158, 6, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106520, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 10, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106521, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106522, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106523, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 726, 40, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106524, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 6, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106525, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 259, 41, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106526, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 5, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106527, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 294, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106528, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 75, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106529, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 35, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106530, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 451, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106531, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 5, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106532, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B02', 18441, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106533, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 328, 15, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106534, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2858, 6, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106535, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 3871, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106536, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2057, 10, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106537, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 454, 9, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106538, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 353, 18, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106539, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 970, 8, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106540, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 117, 9, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106541, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 6, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106542, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 254, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106543, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 323, 12, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106544, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 102, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106545, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 70, 13, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106546, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 261, 29, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106547, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 135, 22, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106548, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 185, 23, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106549, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 58, 10, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106550, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 247, 8, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106551, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 23, 11, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106552, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 24, 8, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106553, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 71, 3, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106554, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 294, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106555, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 75, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106556, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 87, 7, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106557, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 661, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106558, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 158, 6, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106559, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 32, 21, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106560, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 1038, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106561, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 35, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106562, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 144, 80, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106563, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 718, 60, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106564, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2858, 6, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106565, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 1683, 8, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106566, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 1384, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106567, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3871, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106568, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106569, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 71, 3, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106570, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 112, 28, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106571, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 162, 44, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106572, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 142, 37, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106573, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 259, 41, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106574, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 726, 40, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106575, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 405, 39, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106576, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 12, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106577, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 722, 57, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106578, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 958, 58, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106579, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 353, 18, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106580, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 46, 15, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106581, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 39, 23, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106582, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 12, 3, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106583, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 70, 13, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106584, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 76, 7, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106585, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 25, 17, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106586, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 120, 6, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106587, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 62, 14, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106588, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 81, 16, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106589, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 328, 15, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106590, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 178, 17, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106591, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 261, 29, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106592, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 117, 9, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106593, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 371, 16, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106594, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 185, 23, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106595, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 463, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106596, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 18441, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106597, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1527, 3, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106598, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 135, 22, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106599, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 271, 23, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106600, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 454, 9, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106601, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 225, 7, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106602, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 451, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106603, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 323, 12, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106604, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 297, 21, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106605, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 1683, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106606, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 103, 19, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106607, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 451, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106608, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 6, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106609, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 10, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106610, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106611, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106612, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106613, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106614, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 28, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106615, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 6, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106616, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2057, 10, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106617, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 229, 25, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106618, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 970, 8, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106619, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 210, 8, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106620, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 406, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106621, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 859, 10, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106622, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 36, 33, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106623, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 38, 33, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106624, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 117, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106625, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 48, 34, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106626, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 29, 34, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106627, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 856, 15, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106628, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 85, 8, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106629, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 183, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106630, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 5, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106631, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 26, 25, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106632, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 21, 30, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106633, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 47, 30, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106634, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 71, 17, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106635, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 39, 23, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106636, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 62, 14, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106637, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 970, 8, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106638, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 81, 16, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106639, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 25, 17, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106640, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 46, 15, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106641, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 102, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106642, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 722, 57, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106643, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 76, 7, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106644, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 718, 60, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106645, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2057, 10, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106646, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 958, 58, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106647, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 323, 12, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106648, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 454, 9, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106649, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 35, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106650, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 12, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106651, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 185, 23, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106652, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 135, 22, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106653, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 261, 29, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106654, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 328, 15, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106655, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 294, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106656, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 75, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106657, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106658, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106659, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 10, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106660, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 6, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106661, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106662, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106663, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 9, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106664, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 58, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106665, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 2164, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106666, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 615, 3, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106667, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 120, 6, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106668, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 254, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106669, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 70, 13, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106670, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 117, 9, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106671, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 12, 3, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106672, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 6, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106673, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 1038, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106674, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 353, 18, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106675, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 3871, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106676, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2858, 6, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106677, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 158, 6, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106678, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 451, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106679, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 661, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106680, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 6, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106681, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 18, 3, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106682, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 87, 7, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106683, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 229, 25, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106684, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 5, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106685, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 71, 3, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106686, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 225, 7, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106687, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 271, 23, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106688, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 451, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106689, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 5, 1, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106690, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 297, 21, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106691, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B02', 18441, 2, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106692, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 103, 19, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106693, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 259, 41, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106694, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 1683, 8, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106695, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 405, 39, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106696, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 1683, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106697, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 726, 40, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106698, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 1384, 4, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106699, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 371, 16, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106700, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 178, 17, 2024, 2, 22, '2024-08-05 14:04:50', NULL, NULL), (106701, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 73, 92, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106702, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 3, 23, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106703, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 554, 41, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106704, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 319, 170, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106705, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 254, 437, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106706, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 882, 60, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106707, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 504, 178, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106708, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 420, 121, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106709, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 449, 191, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106710, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 247, 449, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106711, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 330, 69, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106712, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 840, 63, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106713, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 504, 178, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106714, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 316, 172, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (106715, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 449, 191, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106716, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 71, 94, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106717, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 420, 121, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106718, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 447, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106719, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 3, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106720, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 114, 13, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106721, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 438, 37, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106722, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 71, 94, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106723, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 393, 67, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106724, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 961, 7, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106725, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 267, 23, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106726, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 70, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106727, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 263, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106728, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 18, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106729, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 987, 12, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106730, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 190, 26, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106731, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106732, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1079, 7, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106733, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 659, 7, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106734, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 1755, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106735, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 2179, 9, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106736, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '', 48, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106737, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 156, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106738, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 398, 119, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106739, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 255, 3, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106740, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 6, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106741, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 19, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106742, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 355, 81, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106743, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 807, 8, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106744, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106745, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 510, 176, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106746, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 3303, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106747, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 543, 76, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106748, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 2, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106749, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 430, 3, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106750, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 71, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 3269, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 114, 13, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 401, 69, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 693, 56, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 476, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 455, 51, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 190, 26, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 3, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1223, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 351, 7, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 447, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 219, 13, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 132, 13, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1079, 7, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 486, 28, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 201, 16, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 208, 18, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 148, 22, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 344, 44, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 338, 19, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 454, 19, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 396, 29, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 670, 11, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 294, 23, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 3, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 456, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 759, 13, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 381, 30, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1518, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 531, 30, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 477, 10, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 6, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 441, 20, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 153, 28, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 621, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 389, 25, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 393, 67, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 613, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 24, 7, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 14, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 8, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 1277, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 7, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 431, 32, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 4, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 487, 18, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 402, 24, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 1474, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 239, 20, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 21, 16, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 70, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 81, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 438, 37, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 39, 17, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 361, 18, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 27, 17, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 65, 3, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 31, 10, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 135, 61, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 32, 12, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 18, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 828, 8, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 838, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 185, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 134, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 14, 12, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 769, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 602, 10, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1815, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 151, 32, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 471, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 218, 48, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 1168, 10, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 263, 16, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 263, 7, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 264, 3, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 156, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 91, 39, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106835, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 510, 176, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106836, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1079, 7, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106837, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 987, 12, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106838, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 156, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106839, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 3303, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106840, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 961, 7, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106841, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 73, 92, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106842, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 3269, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106843, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 807, 8, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106844, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 255, 3, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106845, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 393, 67, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106846, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 438, 37, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106847, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 114, 13, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106848, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 190, 26, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106849, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 19, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106850, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 3, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106851, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 430, 3, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106852, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 398, 119, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106853, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 18, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106854, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 71, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106855, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 70, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106856, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 543, 76, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106857, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 447, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106858, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 3, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106859, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 267, 23, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106860, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 769, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106861, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 1755, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106862, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '', 48, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106863, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 263, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106864, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 355, 81, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106865, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 6, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106866, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 70, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106867, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 3269, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106868, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 471, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106869, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 6, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106870, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106871, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106872, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106873, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 361, 18, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106874, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 613, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106875, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 389, 25, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106876, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 431, 32, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106877, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1815, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106878, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 621, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106879, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 279, 22, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106880, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 693, 56, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106881, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 455, 51, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106882, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 487, 18, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106883, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1079, 7, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106884, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 401, 69, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106885, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 438, 37, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106886, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 114, 13, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106887, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 1277, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106888, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 14, 12, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106889, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 8, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106890, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 255, 3, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106891, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1613, 3, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106892, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 471, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106893, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 31, 10, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106894, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 134, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106895, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 602, 10, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106896, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 39, 17, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106897, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 27, 17, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106898, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 239, 20, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106899, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 828, 8, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106900, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 21, 16, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106901, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 185, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106902, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 3, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106903, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106904, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106905, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 393, 67, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106906, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106907, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 65, 3, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106908, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 81, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106909, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 156, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106910, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 447, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106911, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '2C03', 51, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106912, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '2C02', 46, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106913, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 18, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106914, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B02', 1755, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106915, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 670, 11, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106916, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 3, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106917, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 219, 13, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106918, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1518, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106919, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 456, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106920, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 769, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106921, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 759, 13, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106922, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 477, 10, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106923, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 190, 26, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106924, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 476, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106925, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 263, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106926, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 454, 19, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106927, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 208, 18, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106928, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 3303, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106929, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 201, 16, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106930, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 486, 28, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106931, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 132, 13, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106932, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 14, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106933, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 7, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106934, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 24, 7, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106935, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 4, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106936, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 1474, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106937, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 65, 3, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106938, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 81, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106939, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 602, 10, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106940, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 134, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106941, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 185, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106942, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 32, 12, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106943, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 828, 8, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106944, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 156, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106945, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 135, 61, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106946, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 401, 69, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106947, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 670, 11, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106948, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1518, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106949, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 6, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106950, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 456, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106951, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 6, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106952, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 1277, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106953, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 8, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106954, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 91, 39, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106955, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 218, 48, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106956, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 151, 32, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106957, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 393, 67, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106958, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 438, 37, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106959, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 70, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106960, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 693, 56, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106961, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 455, 51, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106962, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 3, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106963, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1079, 7, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106964, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 21, 16, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106965, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 190, 26, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106966, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 39, 17, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106967, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 208, 18, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106968, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 114, 13, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106969, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 3269, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106970, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 239, 20, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106971, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 27, 17, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106972, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 31, 10, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106973, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 447, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106974, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 219, 13, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106975, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 201, 16, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106976, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 487, 18, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106977, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 476, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106978, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 431, 32, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106979, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1223, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106980, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 132, 13, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106981, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 351, 7, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106982, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 402, 24, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106983, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 486, 28, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106984, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 389, 25, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106985, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 759, 13, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106986, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 613, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106987, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 454, 19, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106988, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 361, 18, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106989, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106990, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 14, 12, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106991, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106992, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 3, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106993, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106994, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106995, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106996, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1815, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106997, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 471, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106998, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 769, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (106999, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 621, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107000, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 477, 10, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107001, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 838, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107002, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 18, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107003, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 264, 3, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107004, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 263, 7, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107005, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 531, 30, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107006, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 381, 30, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107007, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 294, 23, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107008, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 396, 29, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107009, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 263, 16, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107010, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 338, 19, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107011, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 1168, 10, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107012, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 344, 44, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107013, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 148, 22, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107014, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 153, 28, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107015, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 441, 20, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107016, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 3, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107017, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 621, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107018, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 39, 17, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107019, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 477, 10, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107020, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 27, 17, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107021, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 31, 10, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107022, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 239, 20, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107023, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 21, 16, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107024, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 3303, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107025, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 693, 56, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107026, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 3269, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107027, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 401, 69, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107028, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 769, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107029, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 455, 51, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107030, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 454, 19, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107031, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 759, 13, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107032, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 156, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107033, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '2C03', 51, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107034, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 8, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107035, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '2C02', 46, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107036, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 70, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107037, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 132, 13, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107038, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 486, 28, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107039, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 201, 16, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107040, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 447, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107041, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 219, 13, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107042, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 65, 3, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107043, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 81, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107044, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107045, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107046, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 3, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107047, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107048, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107049, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 255, 3, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107050, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 471, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107051, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1613, 3, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107052, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 263, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107053, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 208, 18, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107054, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 476, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107055, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 114, 13, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107056, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 828, 8, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107057, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 190, 26, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107058, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 456, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107059, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1518, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107060, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 185, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107061, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 134, 5, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107062, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 471, 6, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107063, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1815, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107064, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 602, 10, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107065, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 670, 11, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107066, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 6, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107067, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 1277, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107068, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1079, 7, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107069, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 389, 25, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107070, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 613, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107071, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 18, 1, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107072, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 361, 18, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107073, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B02', 1755, 2, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107074, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 14, 12, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107075, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 393, 67, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107076, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 438, 37, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107077, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107078, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 6, 4, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107079, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 431, 32, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107080, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 487, 18, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107081, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 279, 22, 2024, 2, 23, '2024-08-05 14:04:51', NULL, NULL), (107082, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 18, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107083, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 431, 63, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107084, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 169, 11, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107085, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 151, 20, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107086, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 424, 64, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107087, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 0, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107088, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107089, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 151, 20, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107090, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 18, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107091, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 169, 11, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107092, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 122, 4, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107093, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 18, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107094, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107095, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 196, 7, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107096, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107097, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 151, 20, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 10, 7, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 341, 8, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 18, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 43, 5, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 43, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 274, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 134, 6, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1437, 12, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 105, 9, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 68, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 550, 11, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 196, 7, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 121, 15, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 106, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 29, 10, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107113, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 151, 20, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107114, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 196, 7, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107115, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 18, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107116, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 122, 4, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107117, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 106, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107118, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 341, 8, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107119, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 43, 5, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107120, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 10, 7, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107121, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 68, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107122, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 18, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107123, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 43, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107124, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 274, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107125, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 196, 7, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (107126, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 18, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107127, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 10, 7, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107128, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 106, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107129, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 68, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107130, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 274, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107131, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 29, 10, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107132, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 43, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107133, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 550, 11, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107134, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1437, 12, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107135, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 105, 9, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107136, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 196, 7, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107137, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 134, 6, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107138, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 341, 8, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107139, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 121, 15, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107140, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 43, 5, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107141, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 106, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107142, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 68, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107143, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 18, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107144, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 341, 8, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107145, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 10, 7, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107146, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 43, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107147, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 43, 5, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107148, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 274, 1, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107149, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 196, 7, 2024, 2, 24, '2024-08-05 14:04:52', NULL, NULL), (107150, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 408, 8, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107151, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 471, 57, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107152, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 8, 5, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107153, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 356, 6, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107154, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 463, 58, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107155, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 3, 11, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107156, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 408, 8, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107157, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107158, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 267, 8, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107159, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 2, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107160, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 4, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107161, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1250, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107162, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 253, 4, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107163, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 1534, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107164, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107165, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107166, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 178, 5, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107167, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 240, 3, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107168, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 8, 5, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 12, 3, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 3, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 1534, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 253, 4, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 195, 6, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1250, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 152, 7, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 893, 27, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 240, 3, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 178, 5, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 3, 4, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 39, 13, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107182, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 8, 5, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107183, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 178, 5, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107184, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 1534, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107185, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 253, 4, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107186, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 240, 3, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107187, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1250, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107188, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 3, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107189, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 1, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107190, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 12, 3, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107191, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1250, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107192, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 253, 4, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107193, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 178, 5, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107194, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 1534, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107195, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 240, 3, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107196, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 253, 4, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107197, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 12, 3, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107198, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 1534, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107199, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 240, 3, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107200, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1250, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107201, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 39, 13, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107202, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 3, 4, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107203, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 893, 27, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107204, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 152, 7, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107205, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 178, 5, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107206, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 195, 6, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107207, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 3, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107208, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107209, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 1534, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107210, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 240, 3, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107211, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 3, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107212, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 253, 4, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107213, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 12, 3, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107214, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 1, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107215, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 178, 5, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107216, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1250, 1, 2024, 2, 25, '2024-08-05 14:04:53', NULL, NULL), (107217, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 182, 127, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107218, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 135, 87, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107219, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 471, 65, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107220, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 204, 264, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107221, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 570, 544, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107222, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1071, 61, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107223, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 764, 191, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107224, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 339, 123, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107225, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 212, 157, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107226, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 568, 546, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107227, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 273, 155, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107228, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1071, 61, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107229, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 752, 194, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107230, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 204, 264, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107231, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 209, 159, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107232, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 182, 127, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107233, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 339, 123, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107234, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 641, 15, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107235, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 10255, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107236, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 46, 15, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107237, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 232, 45, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107238, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 183, 126, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107239, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 176, 68, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107240, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 380, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107241, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 120, 30, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107242, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 4, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107243, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 254, 9, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107244, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1229, 11, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107245, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 161, 30, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107246, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107247, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 3035, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107248, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1227, 9, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107249, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 32, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107250, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 127, 9, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107251, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 672, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107252, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 342, 122, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107253, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 14, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107254, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 287, 6, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107255, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 61, 77, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107256, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 228, 113, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107257, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 491, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107258, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 789, 170, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107259, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 190, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107260, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 237, 43, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107261, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 6, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107262, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 704, 10, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107263, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107264, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 175, 11, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107265, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 81, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 283, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 3, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 99, 8, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1130, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 5, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 10255, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 3035, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 183, 7, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 128, 22, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 629, 37, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 718, 37, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 628, 20, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 347, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 581, 31, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1007, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 601, 64, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 380, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1414, 6, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 707, 37, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 638, 56, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 522, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 575, 31, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 669, 38, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 248, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 335, 24, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 886, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 421, 19, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 291, 20, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 355, 16, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 196, 20, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 95, 19, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 196, 24, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 238, 11, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 167, 22, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 662, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 180, 18, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 681, 56, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 697, 20, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 256, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 210, 12, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 238, 24, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 128, 30, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 97, 22, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 357, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 161, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 654, 35, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 366, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 210, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 301, 29, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 92, 27, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 678, 38, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 46, 14, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 714, 70, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 49, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 936, 58, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 433, 21, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 161, 30, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 641, 15, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 321, 28, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 143, 12, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 197, 31, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 240, 29, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 1354, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 5, 18, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 17, 17, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 44, 23, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 154, 13, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 261, 7, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 145, 10, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 147, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 474, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 270, 6, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 1036, 20, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 54, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 141, 35, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 26, 26, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 147, 16, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 93, 10, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 49, 15, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 115, 7, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 5, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 4, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 23, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 232, 45, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 356, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 185, 6, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 228, 31, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 480, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 122, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 226, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 101, 9, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 283, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1227, 9, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 131, 7, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 782, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 54, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 672, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107365, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 793, 169, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107366, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 3035, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107367, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1229, 11, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107368, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 672, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107369, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 190, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107370, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 380, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107371, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 183, 126, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107372, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 127, 9, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107373, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 491, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107374, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 14, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107375, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 182, 66, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107376, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 232, 45, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107377, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 46, 15, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107378, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 161, 30, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107379, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 61, 77, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107380, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 641, 15, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107381, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107382, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 342, 122, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107383, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 175, 11, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107384, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 327, 7, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107385, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 4, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107386, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 237, 43, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107387, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 10255, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107388, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 704, 10, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107389, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 120, 30, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107390, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1227, 9, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107391, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 32, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107392, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 228, 113, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107393, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 81, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107394, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 6, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107395, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 287, 6, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107396, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 4, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107397, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 283, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107398, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 3, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107399, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 1354, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107400, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 270, 6, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107401, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 3035, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107402, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 232, 45, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107403, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 238, 24, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107404, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 14, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107405, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 180, 18, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107406, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 196, 24, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107407, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 167, 22, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107408, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 196, 20, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107409, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 100, 18, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107410, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 206, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107411, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 356, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107412, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 23, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107413, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 672, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107414, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 10255, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107415, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B01', 32, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107416, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 154, 13, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107417, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 641, 15, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107418, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 321, 28, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107419, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1227, 9, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107420, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 190, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107421, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 240, 29, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107422, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 197, 31, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107423, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 143, 12, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107424, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 54, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107425, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 474, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107426, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107427, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 5, 18, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107428, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 662, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107429, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 147, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107430, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 238, 11, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107431, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 886, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107432, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 335, 24, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107433, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 421, 19, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107434, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 291, 20, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107435, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 248, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107436, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 936, 58, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107437, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 782, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107438, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 433, 21, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107439, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 376, 15, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107440, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 714, 70, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107441, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 46, 14, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107442, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 183, 7, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107443, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 49, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107444, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1130, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107445, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 5, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107446, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 1036, 20, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107447, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 5, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107448, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 283, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107449, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 301, 29, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107450, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 131, 7, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107451, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 226, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107452, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 101, 9, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107453, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107454, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 261, 7, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107455, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 17, 17, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107456, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 228, 31, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107457, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 44, 23, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107458, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 141, 35, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107459, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 145, 10, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107460, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 54, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107461, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 122, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107462, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 480, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107463, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E27', 81, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107464, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1414, 6, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107465, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1007, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107466, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E18', 6, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107467, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 380, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107468, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 522, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107469, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 161, 30, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107470, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 99, 8, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107471, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 347, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107472, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 128, 22, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107473, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 147, 16, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107474, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 93, 10, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107475, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 54, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107476, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 26, 26, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107477, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 5, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107478, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 49, 15, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107479, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 115, 7, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107480, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 356, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107481, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 185, 6, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107482, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 23, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107483, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 131, 7, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107484, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 283, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107485, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 101, 9, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107486, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 1036, 20, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107487, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 697, 20, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107488, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 226, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107489, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 672, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107490, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 681, 56, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107491, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 714, 70, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107492, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 154, 13, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107493, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1414, 6, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107494, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 147, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107495, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 474, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107496, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1007, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107497, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107498, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 678, 38, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107499, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 92, 27, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107500, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 97, 22, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107501, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 128, 30, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107502, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 141, 35, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107503, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 228, 31, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107504, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 232, 45, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107505, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 4, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107506, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 936, 58, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107507, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 433, 21, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107508, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 641, 15, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107509, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 3035, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107510, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 161, 30, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107511, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 46, 14, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107512, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 128, 22, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107513, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 49, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107514, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 283, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107515, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 10255, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107516, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 321, 28, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107517, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 3, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107518, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 240, 29, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107519, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 99, 8, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107520, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1130, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107521, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 355, 16, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107522, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 143, 12, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107523, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 5, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107524, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 291, 20, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107525, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 197, 31, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107526, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 335, 24, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107527, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 662, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107528, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 380, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107529, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 421, 19, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107530, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 886, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107531, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 347, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107532, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 238, 11, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107533, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 301, 29, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107534, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 248, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107535, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 522, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107536, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 122, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107537, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 183, 7, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107538, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 480, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107539, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 95, 19, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107540, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 196, 24, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107541, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 196, 20, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107542, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 167, 22, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107543, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 180, 18, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107544, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 270, 6, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107545, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 1354, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107546, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 238, 24, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107547, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 44, 23, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107548, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107549, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 5, 18, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107550, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 17, 17, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (107551, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 261, 7, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107552, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 145, 10, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107553, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 782, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107554, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 54, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107555, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1227, 9, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107556, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 210, 12, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107557, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 210, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107558, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 366, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107559, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 256, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107560, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 638, 56, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107561, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 707, 37, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107562, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 357, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107563, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 601, 64, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107564, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 581, 31, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107565, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 628, 20, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107566, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 654, 35, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107567, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 161, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107568, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 718, 37, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107569, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 629, 37, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107570, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 669, 38, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107571, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 575, 31, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107572, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 641, 15, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107573, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 248, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107574, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 1036, 20, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107575, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 522, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107576, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 936, 58, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107577, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 283, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107578, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 714, 70, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107579, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1227, 9, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107580, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 433, 21, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107581, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 347, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107582, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 3, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107583, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 380, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107584, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 143, 12, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107585, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 197, 31, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107586, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 240, 29, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107587, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 321, 28, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107588, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 17, 17, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107589, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 5, 18, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107590, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107591, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 44, 23, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107592, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 145, 10, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107593, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 261, 7, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107594, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 14, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107595, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 183, 7, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107596, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 5, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107597, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1130, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107598, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 128, 22, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107599, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 99, 8, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107600, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 226, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107601, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 101, 9, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107602, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 283, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107603, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 131, 7, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107604, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 301, 29, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107605, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107606, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 662, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107607, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 3035, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107608, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 335, 24, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107609, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 5, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107610, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 886, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107611, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 421, 19, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107612, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 238, 11, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107613, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 238, 24, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107614, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 141, 35, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107615, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 147, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107616, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 232, 45, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107617, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 228, 31, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107618, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 474, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107619, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 291, 20, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107620, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 376, 15, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107621, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 196, 24, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107622, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 167, 22, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107623, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 180, 18, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107624, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 196, 20, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107625, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 100, 18, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107626, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 190, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107627, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 672, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107628, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 4, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107629, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E18', 6, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107630, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 10255, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107631, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 206, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107632, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 356, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107633, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 23, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107634, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 49, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107635, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 46, 14, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107636, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1007, 5, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107637, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 161, 30, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107638, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1414, 6, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107639, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 54, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107640, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 54, 2, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107641, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 782, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107642, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 154, 13, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107643, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E27', 81, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107644, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 122, 3, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107645, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 480, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107646, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B01', 32, 1, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107647, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 270, 6, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107648, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 1354, 4, 2024, 2, 26, '2024-08-05 14:04:54', NULL, NULL), (107649, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 89, 118, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107650, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 162, 59, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107651, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 546, 41, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107652, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 160, 226, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107653, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 795, 56, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107654, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 307, 534, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107655, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 315, 164, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107656, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 813, 139, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107657, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 192, 177, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107658, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 306, 535, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107659, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 301, 106, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107660, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 742, 60, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107661, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 807, 140, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107662, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 160, 226, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107663, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 192, 177, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107664, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 89, 118, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107665, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 315, 164, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107666, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 5151, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107667, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 608, 6, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107668, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 77, 10, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107669, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 230, 46, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107670, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 89, 118, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107671, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 73, 64, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107672, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 147, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107673, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 262, 27, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107674, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 45, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107675, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 37, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107676, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 384, 6, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107677, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1653, 17, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107678, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 212, 27, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107679, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107680, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 745, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107681, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 481, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107682, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 302, 20, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107683, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 113, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107684, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 624, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107685, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 317, 144, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107686, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 59, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107687, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 233, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107688, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 126, 54, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107689, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 80, 105, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107690, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1004, 12, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107691, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 837, 128, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107692, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 304, 59, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107693, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 35, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107694, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 552, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107695, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 126, 11, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107696, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 10, 3, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 25, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 201, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 265, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 37, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 147, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 5151, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 745, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 499, 11, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 261, 20, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 348, 39, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 237, 34, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 396, 43, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 104, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 397, 33, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2196, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 413, 39, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 296, 25, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2109, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 110, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 369, 61, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 511, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 229, 25, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 356, 52, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 211, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 308, 25, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 253, 24, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 333, 24, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 445, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 272, 30, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 291, 13, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 97, 20, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 174, 26, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 16, 17, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 50, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 94, 21, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 296, 17, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 46, 15, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 326, 39, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 378, 34, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 303, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 361, 10, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 56, 19, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 147, 18, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 208, 26, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 306, 3, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 654, 19, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 113, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1329, 3, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 107, 17, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 440, 22, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 129, 49, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 62, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 804, 54, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 87, 6, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 829, 28, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 977, 36, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 212, 27, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 729, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 82, 21, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 51, 22, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 71, 31, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 90, 19, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 13, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 9, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 476, 14, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 12, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 140, 12, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 9, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 123, 6, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 552, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 525, 10, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 46, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 66, 30, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 9, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 10, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 96, 9, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 81, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 10, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 52, 19, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 42, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 566, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 45, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 171, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 230, 46, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 333, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 92, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 78, 34, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 679, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 236, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 227, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 434, 6, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 481, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 327, 12, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1386, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 469, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 624, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107794, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 837, 128, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107795, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 745, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107796, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2162, 13, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107797, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 624, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107798, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 35, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107799, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 147, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107800, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 89, 118, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107801, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 113, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107802, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1004, 12, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107803, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 59, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107804, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 73, 64, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107805, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 230, 46, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107806, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 77, 10, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107807, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 212, 27, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107808, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 126, 54, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107809, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 729, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107810, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 10, 3, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107811, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 317, 144, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107812, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 384, 6, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107813, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 126, 11, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107814, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 45, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107815, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 304, 59, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107816, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 5151, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107817, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 552, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107818, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 262, 27, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107819, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 481, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107820, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 302, 20, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107821, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 37, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107822, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 80, 105, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107823, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 233, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107824, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 45, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107825, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 25, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107826, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 201, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107827, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 552, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107828, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 745, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107829, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 230, 46, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107830, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 56, 19, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107831, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 59, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107832, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 46, 15, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107833, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 16, 17, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107834, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 94, 21, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107835, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 97, 20, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107836, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 174, 26, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107837, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 92, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107838, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 333, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107839, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 171, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107840, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 624, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107841, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 5151, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107842, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B01', 188, 10, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107843, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B02', 415, 10, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107844, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 140, 12, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107845, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 729, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107846, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 82, 21, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107847, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 481, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107848, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 37, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107849, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 35, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107850, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 90, 19, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107851, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 71, 31, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107852, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 51, 22, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107853, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 469, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107854, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 123, 6, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107855, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 13, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107856, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 10, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107857, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 296, 17, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107858, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 50, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107859, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 308, 25, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107860, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 333, 24, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107861, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 253, 24, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107862, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1386, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107863, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 829, 28, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107864, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 211, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107865, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 201, 20, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107866, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 445, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107867, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 977, 36, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107868, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 633, 3, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107869, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 804, 54, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107870, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 62, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107871, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 499, 11, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107872, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 10, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107873, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 87, 6, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107874, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 147, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107875, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 525, 10, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107876, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 566, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107877, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 440, 22, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107878, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 327, 12, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107879, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 227, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107880, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 434, 6, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107881, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 12, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107882, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 9, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107883, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 9, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107884, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 78, 34, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107885, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 476, 14, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107886, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 66, 30, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107887, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107888, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 46, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107889, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 236, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107890, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 679, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107891, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2109, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107892, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 2196, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107893, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 110, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107894, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 511, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107895, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 212, 27, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107896, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 265, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107897, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 104, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107898, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 261, 20, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107899, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 96, 9, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107900, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 81, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107901, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 46, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107902, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 9, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107903, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 566, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107904, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 52, 19, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107905, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 42, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107906, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 333, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107907, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 92, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107908, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 171, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107909, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 327, 12, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107910, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 525, 10, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107911, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 434, 6, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107912, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 378, 34, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107913, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 227, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107914, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 624, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107915, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 326, 39, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107916, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 804, 54, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107917, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 140, 12, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107918, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2109, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107919, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 123, 6, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107920, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2196, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107921, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 10, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107922, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 129, 49, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107923, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 10, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107924, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 107, 17, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107925, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 208, 26, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107926, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 147, 18, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107927, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 66, 30, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107928, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 78, 34, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107929, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 230, 46, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107930, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 45, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107931, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 829, 28, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107932, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 977, 36, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107933, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 729, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107934, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 745, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107935, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 212, 27, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107936, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 62, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107937, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 261, 20, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107938, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 25, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107939, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 87, 6, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107940, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 5151, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107941, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 82, 21, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107942, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 445, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107943, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 201, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107944, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 90, 19, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107945, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 265, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107946, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 333, 24, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107947, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 37, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107948, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 291, 13, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107949, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 51, 22, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107950, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 147, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107951, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 71, 31, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107952, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 272, 30, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107953, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 296, 17, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107954, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 110, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107955, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 253, 24, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107956, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 104, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107957, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 308, 25, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107958, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 50, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107959, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 440, 22, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107960, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 211, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (107961, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 511, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107962, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 236, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107963, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 499, 11, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107964, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 679, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107965, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 174, 26, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107966, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 16, 17, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107967, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 97, 20, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107968, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 94, 21, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107969, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 46, 15, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107970, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 552, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107971, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 56, 19, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107972, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 476, 14, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107973, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 12, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107974, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 13, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107975, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 9, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107976, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107977, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107978, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1386, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107979, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 469, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107980, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 481, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107981, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 361, 10, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107982, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1329, 3, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107983, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 113, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107984, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 303, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107985, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 369, 61, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107986, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 296, 25, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107987, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 306, 3, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107988, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 413, 39, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107989, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 397, 33, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107990, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 654, 19, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107991, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 396, 43, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107992, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 237, 34, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107993, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 348, 39, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107994, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 356, 52, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107995, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 229, 25, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107996, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 729, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107997, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 525, 10, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107998, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 211, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (107999, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 511, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108000, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 829, 28, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108001, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 25, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108002, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 804, 54, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108003, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 481, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108004, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 977, 36, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108005, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 104, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108006, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 201, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108007, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 110, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108008, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 10, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108009, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 51, 22, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108010, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 71, 31, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108011, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 90, 19, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108012, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 82, 21, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108013, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 9, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108014, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 13, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108015, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 12, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108016, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 476, 14, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108017, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108018, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108019, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 59, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108020, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 499, 11, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108021, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 147, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108022, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 261, 20, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108023, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 265, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108024, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 227, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108025, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 434, 6, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108026, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 327, 12, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108027, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 440, 22, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108028, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 10, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108029, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 296, 17, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108030, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 745, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108031, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 566, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108032, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 308, 25, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108033, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 253, 24, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108034, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 50, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108035, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 56, 19, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108036, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 66, 30, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108037, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 230, 46, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108038, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 78, 34, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108039, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 123, 6, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108040, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 333, 24, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108041, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 445, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108042, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 201, 20, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108043, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 633, 3, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108044, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 16, 17, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108045, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 94, 21, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108046, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 46, 15, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108047, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 97, 20, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108048, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 174, 26, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108049, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 35, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108050, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 624, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108051, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 45, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108052, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 5151, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108053, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 92, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108054, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 333, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108055, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 171, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108056, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 87, 6, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108057, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 62, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108058, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 37, 1, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108059, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 2196, 8, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108060, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 212, 27, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108061, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2109, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108062, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 46, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108063, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 469, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108064, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1386, 7, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108065, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 140, 12, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108066, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 236, 4, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108067, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 679, 2, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108068, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B01', 188, 10, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108069, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B02', 415, 10, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108070, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 552, 5, 2024, 2, 27, '2024-08-05 14:04:55', NULL, NULL), (108071, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 121, 112, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108072, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 3, 32, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108073, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 845, 45, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108074, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 270, 208, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108075, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 365, 474, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108076, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 838, 61, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108077, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 527, 118, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108078, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 153, 120, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108079, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 462, 220, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108080, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 365, 474, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108081, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 483, 79, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108082, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 824, 62, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108083, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 518, 120, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108084, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 269, 209, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108085, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 121, 112, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108086, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 462, 220, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108087, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 153, 120, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108088, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 60, 10, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108089, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 3273, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108090, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 35, 9, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108091, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 121, 112, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108092, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 142, 50, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108093, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 456, 92, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108094, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 274, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108095, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 276, 24, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108096, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 121, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108097, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1590, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108098, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 137, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108099, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1793, 20, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108100, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 528, 30, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108101, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108102, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 296, 9, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108103, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 845, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108104, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 173, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108105, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 3, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108106, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 49, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108107, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 150, 104, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108108, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 1610, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108109, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 155, 9, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108110, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 25, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108111, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 86, 102, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108112, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 285, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108113, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 580, 105, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108114, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 513, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108115, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 625, 69, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108116, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 4, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108117, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 2247, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108118, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 173, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 3, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 474, 6, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1030, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 209, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 3273, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 333, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 516, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 210, 18, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 454, 30, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 375, 39, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 500, 30, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 655, 11, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1320, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 436, 31, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2136, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 507, 23, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 655, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 545, 37, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1809, 11, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 435, 47, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 737, 6, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 408, 53, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 398, 44, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 695, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 153, 11, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 65, 20, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 164, 21, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 98, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 275, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 208, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 276, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 9, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 14, 21, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 9, 17, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 24, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 5, 13, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 81, 9, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 549, 23, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 139, 32, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 497, 29, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 6096, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 244, 14, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 12, 22, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 36, 19, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 60, 27, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 196, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 558, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 784, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1016, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1216, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 27, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 72, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 130, 26, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 8, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 429, 40, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 48, 6, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 621, 46, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 893, 17, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 528, 30, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 60, 10, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 144, 27, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 57, 24, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 56, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 80, 23, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 5, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 6, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 8, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 65, 12, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 95, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 125, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 522, 50, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 3, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 6, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 8976, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 1323, 9, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 352, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 1061, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 544, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 121, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 63, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 142, 50, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 382, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 26, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 377, 42, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 137, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D16', 328, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 692, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 746, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 965, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 533, 14, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 5, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 495, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 49, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108219, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 592, 103, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108220, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 333, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108221, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1793, 20, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108222, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 49, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108223, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 513, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108224, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 274, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108225, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 121, 112, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108226, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 3, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108227, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 285, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108228, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 1610, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108229, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 456, 92, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108230, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 142, 50, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108231, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 35, 9, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108232, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 528, 30, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108233, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 25, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108234, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 60, 10, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108235, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 2247, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108236, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 150, 104, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108237, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 137, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108238, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 173, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108239, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 121, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108240, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 625, 69, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108241, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 3273, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108242, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 4, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108243, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 276, 24, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108244, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 965, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108245, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 173, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108246, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1590, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108247, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 86, 102, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108248, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 155, 9, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108249, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 121, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108250, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 3, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108251, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 5, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108252, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108253, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 333, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108254, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 142, 50, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108255, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 12, 22, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108256, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 1610, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108257, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 549, 23, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108258, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 9, 17, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108259, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 5, 13, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108260, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 9, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108261, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 14, 21, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108262, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 26, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108263, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 382, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108264, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 63, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108265, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 3273, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108266, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B01', 92, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108267, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 65, 12, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108268, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B02', 254, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108269, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 60, 10, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108270, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 144, 27, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108271, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 965, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108272, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 1590, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108273, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 513, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108274, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 49, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108275, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 80, 23, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108276, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 56, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108277, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 57, 24, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108278, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 495, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108279, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 125, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108280, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108281, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 6, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108282, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 81, 9, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108283, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 24, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108284, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 95, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108285, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 65, 20, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108286, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 153, 11, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108287, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 98, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108288, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 164, 21, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108289, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 163, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108290, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 5, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108291, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 695, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108292, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 621, 46, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108293, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 893, 17, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108294, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 275, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108295, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 459, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108296, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 429, 40, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108297, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 8, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108298, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 8976, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108299, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 516, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108300, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108301, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 48, 6, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108302, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 471, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108303, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 209, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108304, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 544, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108305, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 746, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108306, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 72, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108307, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 533, 14, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108308, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D16', 328, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108309, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 692, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108310, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108311, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108312, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 8, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108313, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 377, 42, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108314, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108315, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 522, 50, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108316, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108317, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 137, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108318, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1809, 11, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108319, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1320, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108320, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 2136, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108321, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 655, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108322, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 737, 6, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108323, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 528, 30, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108324, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 474, 6, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108325, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 655, 11, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108326, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 210, 18, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108327, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 6, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108328, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 1323, 9, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108329, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 3, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108330, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 544, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108331, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 352, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108332, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 1061, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108333, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 382, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108334, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 26, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108335, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 63, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108336, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 533, 14, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108337, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 746, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108338, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 692, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108339, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 497, 29, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108340, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D16', 328, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108341, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 49, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108342, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 139, 32, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108343, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 429, 40, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108344, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 65, 12, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108345, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1809, 11, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108346, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 95, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108347, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1320, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108348, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2136, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108349, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 125, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108350, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108351, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 8976, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108352, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 130, 26, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108353, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 27, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108354, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108355, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 60, 27, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108356, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 36, 19, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108357, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 522, 50, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108358, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 377, 42, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108359, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 142, 50, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108360, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 121, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108361, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 621, 46, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108362, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 893, 17, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108363, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 60, 10, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108364, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 528, 30, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108365, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 333, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108366, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 8, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108367, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 210, 18, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108368, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 48, 6, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108369, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 3273, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108370, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 144, 27, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108371, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 3, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (108372, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 80, 23, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108373, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 275, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108374, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 98, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108375, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 474, 6, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108376, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1030, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108377, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 57, 24, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108378, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 276, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108379, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 209, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108380, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 56, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108381, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 208, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108382, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 153, 11, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108383, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 81, 9, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108384, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 655, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108385, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 164, 21, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108386, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 655, 11, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108387, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 65, 20, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108388, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 24, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108389, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 72, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108390, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 695, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108391, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 737, 6, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108392, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 137, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108393, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 516, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108394, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 14, 21, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108395, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 9, 17, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108396, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 9, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108397, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 5, 13, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108398, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 549, 23, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108399, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108400, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108401, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 12, 22, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108402, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108403, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108404, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 6, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108405, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 8, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108406, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108407, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108408, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 5, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108409, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 495, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108410, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 965, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108411, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 244, 14, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108412, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1216, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108413, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1016, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108414, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 6096, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108415, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 435, 47, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108416, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 545, 37, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108417, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 196, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108418, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 507, 23, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108419, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 436, 31, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108420, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 784, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108421, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 500, 30, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108422, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 558, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108423, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 375, 39, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108424, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 454, 30, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108425, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 398, 44, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108426, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 408, 53, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108427, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 695, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108428, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 60, 10, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108429, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 737, 6, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108430, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 621, 46, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108431, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 429, 40, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108432, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 965, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108433, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 893, 17, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108434, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 655, 11, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108435, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 3, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108436, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 655, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108437, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108438, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 57, 24, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108439, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 56, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108440, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 80, 23, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108441, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 144, 27, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108442, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 8, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108443, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 6, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108444, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108445, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108446, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108447, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108448, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 1610, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108449, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 516, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108450, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 209, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108451, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 471, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108452, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 210, 18, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108453, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 474, 6, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108454, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D16', 328, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108455, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 692, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108456, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 746, 7, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108457, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 533, 14, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108458, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 72, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108459, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108460, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 8976, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108461, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 81, 9, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108462, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 153, 11, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108463, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 333, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108464, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 544, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108465, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 65, 20, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108466, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 164, 21, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108467, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 24, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108468, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 12, 22, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108469, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 522, 50, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108470, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 95, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108471, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 142, 50, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108472, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 377, 42, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108473, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 125, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108474, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 98, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108475, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 275, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108476, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 163, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108477, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 459, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108478, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 9, 17, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108479, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 5, 13, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108480, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 549, 23, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108481, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 9, 16, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108482, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 14, 21, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108483, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 513, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108484, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 49, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108485, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 121, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108486, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 3273, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108487, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 26, 2, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108488, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 382, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108489, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 63, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108490, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 48, 6, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108491, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 8, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108492, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 1590, 1, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108493, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 2136, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108494, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 528, 30, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108495, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1809, 11, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108496, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 495, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108497, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 5, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108498, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1320, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108499, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 65, 12, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108500, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 137, 5, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108501, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B01', 92, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108502, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B02', 254, 8, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108503, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 4, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108504, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 3, 2024, 2, 28, '2024-08-05 14:04:56', NULL, NULL), (108505, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 143, 105, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108506, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 58, 42, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108507, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 618, 27, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108508, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 195, 173, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108509, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 2360, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108510, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 262, 461, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108511, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1129, 127, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108512, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 25, 104, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108513, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 354, 189, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108514, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 261, 463, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108515, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 265, 72, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108516, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1573, 15, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108517, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1129, 127, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108518, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 192, 175, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108519, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 143, 105, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108520, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 352, 190, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108521, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 25, 104, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108522, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 2376, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108523, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 35, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108524, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 144, 104, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108525, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 198, 36, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108526, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 195, 72, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108527, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 6953, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108528, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1212, 8, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108529, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 261, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108530, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 0, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108531, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 148, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108532, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 547, 30, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108533, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108534, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108535, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 97, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108536, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 89, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108537, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 7, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108538, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 18, 94, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108539, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 23, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108540, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 98, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108541, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 70, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108542, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 10, 36, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108543, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 101, 86, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108544, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 278, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108545, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 1038, 115, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108546, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 14, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108547, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 637, 70, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108548, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 345, 6, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108549, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 2, 6, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108550, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 133, 8, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1708, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 814, 49, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 35, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 1212, 8, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1114, 56, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 547, 30, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 12282, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2376, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1625, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 123, 18, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 103, 15, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 82, 21, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 84, 15, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 696, 6, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 8, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 701, 20, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 127, 24, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 651, 31, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 561, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 103, 28, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 56, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 14, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 122, 16, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 415, 41, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 595, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 127, 41, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 2, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 338, 42, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 516, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 173, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 23, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 453, 31, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 413, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 81, 39, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 619, 6, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 25, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 177, 34, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 20, 14, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 93, 9, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 2, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 17, 15, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 194, 8, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 5, 11, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 2, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 533, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 58, 17, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 16, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 45, 8, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 118, 17, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 261, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 133, 17, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 120, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 232, 17, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 198, 36, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 3, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 78, 19, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 180, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 214, 21, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 22, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 84, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 212, 38, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 211, 52, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 148, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 104, 23, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 308, 7, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 731, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 611, 6, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 121, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 704, 14, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 61, 14, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 432, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 105, 24, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 102, 29, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 125, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 912, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 2297, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 165, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 4, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 138, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 29, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 10, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 217, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 11, 13, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 234, 34, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108639, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 1038, 115, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108640, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 7, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108641, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 14, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108642, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 6953, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108643, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 144, 104, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108644, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 278, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108645, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 23, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108646, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 195, 72, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108647, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 70, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108648, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 198, 36, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108649, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 35, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108650, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 547, 30, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108651, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 10, 36, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108652, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 2376, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108653, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 2, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108654, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 18, 94, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108655, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 148, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108656, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 133, 8, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108657, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 261, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108658, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 637, 70, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108659, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 345, 6, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108660, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1212, 8, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108661, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 121, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108662, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 89, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108663, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 102, 85, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108664, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 98, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108665, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 261, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108666, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 8, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108667, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 413, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108668, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 198, 36, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108669, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 61, 14, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108670, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 23, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108671, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 214, 21, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108672, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 232, 17, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108673, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 78, 18, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108674, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 118, 17, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108675, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 133, 17, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108676, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 84, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108677, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 180, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108678, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 120, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108679, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 10, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108680, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B01', 52, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108681, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B02', 113, 6, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108682, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 122, 16, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108683, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 2376, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108684, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E16', 70, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108685, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 123, 18, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108686, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 121, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108687, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 14, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108688, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 4, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108689, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 84, 15, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108690, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 82, 21, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108691, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 103, 15, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108692, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 125, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108693, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 23, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108694, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 2, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108695, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108696, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 22, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108697, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 3, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108698, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 173, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108699, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 20, 14, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108700, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 25, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108701, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 5, 11, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108702, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 17, 15, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108703, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 28, 11, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108704, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 432, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108705, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 619, 6, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108706, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 814, 49, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108707, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 1114, 56, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108708, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 38, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108709, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 1708, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108710, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108711, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 696, 6, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108712, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 2, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108713, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 35, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108714, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 12282, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108715, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1625, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108716, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 611, 6, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108717, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 11, 13, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108718, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 704, 14, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108719, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 731, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108720, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 14, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108721, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108722, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108723, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 212, 38, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108724, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 177, 34, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108725, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 56, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108726, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 2, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108727, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 148, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108728, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 595, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108729, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 516, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108730, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 547, 30, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108731, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 1212, 8, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108732, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 561, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108733, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 194, 8, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108734, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 93, 9, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108735, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 533, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108736, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 16, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108737, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 180, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108738, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 84, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108739, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 120, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108740, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 704, 14, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108741, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 611, 6, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108742, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 731, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108743, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 104, 23, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108744, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 10, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108745, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 4, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108746, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 211, 52, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108747, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1708, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108748, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 122, 16, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108749, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 173, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108750, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 23, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108751, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 2, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108752, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108753, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 234, 34, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108754, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 217, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108755, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 2, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108756, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 102, 29, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108757, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 105, 24, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108758, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 177, 34, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108759, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 212, 38, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108760, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 198, 36, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108761, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 261, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108762, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 814, 49, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108763, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1114, 56, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108764, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2376, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108765, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 133, 17, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108766, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 547, 30, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108767, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 232, 17, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108768, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 118, 17, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108769, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 35, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108770, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 78, 19, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108771, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 214, 21, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108772, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 123, 18, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108773, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 84, 15, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108774, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 1212, 8, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108775, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 5, 11, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108776, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 12282, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108777, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 103, 15, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108778, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 45, 8, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108779, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1625, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108780, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 58, 17, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108781, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 82, 21, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (108782, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 25, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108783, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 22, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108784, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 595, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108785, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 17, 15, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108786, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 561, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108787, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 20, 14, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108788, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 3, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108789, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 413, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108790, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 8, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108791, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 61, 14, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108792, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 56, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108793, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 14, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108794, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108795, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108796, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108797, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108798, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 432, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108799, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 125, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108800, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 121, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108801, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 11, 13, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108802, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 619, 6, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108803, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 516, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108804, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 308, 7, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108805, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 29, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108806, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 138, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108807, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 338, 42, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108808, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 127, 41, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108809, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 912, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108810, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 415, 41, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108811, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 696, 6, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108812, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 103, 28, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108813, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 165, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108814, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 651, 31, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108815, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 148, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108816, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 2297, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108817, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 127, 24, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108818, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 701, 20, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108819, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 81, 39, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108820, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 453, 31, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108821, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 2376, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108822, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 619, 6, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108823, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 516, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108824, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 814, 49, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108825, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 1708, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108826, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 121, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108827, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 1114, 56, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108828, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 561, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108829, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 595, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108830, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 2, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108831, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 103, 15, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108832, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 82, 21, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108833, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 84, 15, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108834, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 123, 18, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108835, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108836, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108837, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 14, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108838, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 56, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108839, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108840, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108841, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 23, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108842, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 696, 6, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108843, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1625, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108844, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 12282, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108845, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 1212, 8, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108846, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 731, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108847, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 611, 6, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108848, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 704, 14, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108849, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 11, 13, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108850, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 2, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108851, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108852, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 22, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108853, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 25, 10, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108854, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 20, 14, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108855, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E16', 70, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108856, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 17, 15, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108857, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 3, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108858, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 61, 14, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108859, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 177, 34, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108860, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 173, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108861, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 198, 36, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108862, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 212, 38, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108863, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 23, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108864, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 5, 11, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108865, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 28, 11, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108866, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 38, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108867, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 232, 17, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108868, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 78, 18, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108869, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 214, 21, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108870, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 118, 17, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108871, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 133, 17, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108872, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 14, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108873, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 4, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108874, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 10, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108875, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 261, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108876, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 84, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108877, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 180, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108878, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 120, 3, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108879, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 35, 12, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108880, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 547, 30, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108881, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 125, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108882, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 432, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108883, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 122, 16, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108884, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 148, 2, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108885, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B01', 52, 4, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108886, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B02', 113, 6, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108887, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 413, 5, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108888, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 8, 1, 2024, 2, 29, '2024-08-05 14:04:57', NULL, NULL), (108889, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 192, 92, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108890, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 88, 57, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108891, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1523, 37, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108892, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 181, 219, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108893, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 511, 97, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108894, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 50, 382, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108895, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1634, 132, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108896, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 244, 138, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108897, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 386, 192, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108898, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 50, 383, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108899, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 632, 97, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108900, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 428, 116, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108901, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1609, 134, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108902, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 181, 219, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108903, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 192, 92, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108904, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 386, 192, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108905, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 244, 138, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108906, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 3088, 10, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108907, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 48, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108908, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 131, 37, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108909, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 194, 91, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108910, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 219, 77, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108911, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 347, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108912, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 361, 66, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108913, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 386, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108914, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 1011, 2, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108915, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1059, 21, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108916, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 158, 21, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108917, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1742, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108918, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 13, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108919, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 691, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108920, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 278, 12, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108921, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 121, 9, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108922, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 458, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108923, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 241, 126, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108924, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 59, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108925, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 32, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108926, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 49, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108927, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 194, 106, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108928, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 598, 12, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108929, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 1498, 122, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108930, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 10, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108931, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 714, 71, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108932, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 5, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108933, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 446, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108934, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108935, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 79, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 2257, 13, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 155, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 5, 4, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 2, 2, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1149, 53, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 136, 2, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1651, 56, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 353, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 158, 21, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 404, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 3860, 8, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 183, 31, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 203, 23, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 196, 35, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 936, 10, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 115, 11, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 364, 52, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 57, 11, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 15, 27, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 17, 28, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2057, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 11, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 10, 34, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 347, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 4, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 787, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 27, 39, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 10, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1835, 8, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 647, 12, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 28, 30, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 6, 4, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 17, 21, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 803, 13, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 32, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1742, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 11, 31, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 446, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 19, 28, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 192, 5, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 4, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 354, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 200, 46, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 60, 8, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 124, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 152, 27, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 69, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 271, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 13, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 648, 2, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 8, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 9, 18, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 34, 2, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 257, 28, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 188, 21, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 25, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 386, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 207, 17, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 144, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (108999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 126, 17, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 131, 37, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 475, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 550, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 133, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 285, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 118, 13, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 63, 21, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 248, 31, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1982, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 22, 19, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 40, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 2848, 2, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D15', 1339, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 709, 9, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 4634, 9, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 846, 5, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 86, 15, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 537, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 691, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 97, 15, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 808, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 203, 39, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 304, 5, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 855, 4, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 69, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 244, 17, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 361, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 228, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 458, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 53, 20, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 107, 19, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109031, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 1498, 122, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109032, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1390, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109033, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 458, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109034, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 10, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109035, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 404, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109036, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 194, 91, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109037, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 121, 9, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109038, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 598, 12, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109039, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 59, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109040, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 219, 77, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109041, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 131, 37, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109042, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 48, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109043, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 158, 21, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109044, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 49, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109045, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 3860, 8, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109046, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109047, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 241, 126, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109048, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 1011, 2, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109049, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 79, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109050, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 386, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109051, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 714, 71, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109052, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 446, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109053, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 361, 66, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109054, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 691, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109055, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 278, 12, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109056, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1742, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109057, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 194, 106, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109058, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 5, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109059, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 32, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109060, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 386, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109061, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 155, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109062, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 2, 2, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109063, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 446, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109064, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 131, 37, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109065, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 86, 15, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109066, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 59, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109067, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 118, 13, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109068, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 126, 17, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109069, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 550, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109070, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 25, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109071, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 220, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109072, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 133, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109073, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 144, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109074, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 458, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109075, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B01', 456, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109076, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 347, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109077, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B02', 218, 9, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109078, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 3860, 8, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109079, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 183, 31, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109080, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 691, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109081, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 10, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109082, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 115, 11, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109083, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 196, 35, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109084, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 203, 23, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109085, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 304, 5, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109086, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 8, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109087, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109088, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 285, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109089, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 475, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109090, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 32, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109091, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 60, 8, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109092, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 354, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109093, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 271, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109094, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 152, 27, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109095, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 275, 19, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109096, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 1149, 53, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109097, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 192, 5, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109098, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 808, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109099, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 648, 2, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109100, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 1651, 56, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109101, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 2257, 13, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109102, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 144, 18, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109103, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 5, 4, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109104, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109105, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 936, 10, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109106, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109107, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 136, 2, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109108, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 404, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109109, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 846, 5, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109110, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 537, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109111, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D15', 1339, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109112, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 709, 9, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109113, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 4, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109114, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 10, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109115, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109116, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 248, 31, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109117, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 11, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109118, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 200, 46, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109119, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 6, 4, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109120, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 4, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109121, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1742, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109122, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 40, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109123, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 1982, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109124, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1835, 8, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109125, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2057, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109126, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 787, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109127, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E18', 5, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109128, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 647, 12, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109129, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 803, 13, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109130, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 158, 21, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109131, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 353, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109132, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 364, 52, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109133, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 69, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109134, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 13, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109135, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 4, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109136, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 124, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109137, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 9, 18, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109138, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 34, 2, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109139, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 133, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109140, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 144, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109141, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 537, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109142, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 846, 5, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109143, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 709, 9, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109144, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 22, 19, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109145, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D15', 1339, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109146, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 458, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109147, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 63, 21, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109148, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 2257, 13, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109149, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 347, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109150, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1835, 8, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109151, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2057, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109152, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 32, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109153, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 787, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109154, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 8, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109155, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109156, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 107, 19, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109157, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 53, 20, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109158, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109159, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 203, 39, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109160, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 97, 15, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109161, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 200, 46, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109162, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 248, 31, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109163, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 131, 37, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109164, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 386, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109165, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1149, 53, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109166, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1651, 56, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109167, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 3860, 8, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109168, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 207, 17, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109169, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 158, 21, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109170, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 126, 17, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109171, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 5, 4, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109172, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 364, 52, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109173, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 155, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109174, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 25, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109175, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 136, 2, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109176, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 550, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109177, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 118, 13, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109178, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 183, 31, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109179, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 2, 2, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109180, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 648, 2, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109181, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 115, 11, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109182, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 271, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109183, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 353, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109184, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 203, 23, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109185, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 404, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109186, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 188, 21, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109187, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 257, 28, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109188, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 196, 35, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109189, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 354, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109190, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 285, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109191, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 647, 12, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109192, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 152, 27, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109193, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 60, 8, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109194, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 475, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109195, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 446, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (109196, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 86, 15, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109197, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1742, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109198, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 11, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109199, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 4, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109200, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109201, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109202, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 10, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109203, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 4, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109204, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 808, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109205, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 304, 5, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109206, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 691, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109207, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 192, 5, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109208, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 803, 13, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109209, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 4634, 9, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109210, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 228, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109211, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 40, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109212, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 361, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109213, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 2848, 2, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109214, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 17, 21, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109215, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 28, 30, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109216, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 855, 4, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109217, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 936, 10, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109218, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 27, 39, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109219, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 10, 34, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109220, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 17, 28, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109221, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 244, 17, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109222, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 69, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109223, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1982, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109224, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 15, 27, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109225, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 57, 11, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109226, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 19, 28, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109227, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 11, 31, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109228, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 3860, 8, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109229, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 192, 5, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109230, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 803, 13, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109231, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 1149, 53, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109232, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 2257, 13, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109233, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 155, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109234, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 691, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109235, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 1651, 56, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109236, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 2, 2, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109237, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 647, 12, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109238, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109239, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 203, 23, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109240, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 196, 35, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109241, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 115, 11, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109242, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 183, 31, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109243, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109244, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109245, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 4, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109246, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 11, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109247, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 4, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109248, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 10, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109249, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 59, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109250, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 936, 10, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109251, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 404, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109252, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 364, 52, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109253, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 353, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109254, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 709, 9, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109255, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1742, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109256, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D15', 1339, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109257, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 846, 5, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109258, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 537, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109259, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 8, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109260, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109261, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 285, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109262, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 354, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109263, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 60, 8, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109264, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 152, 27, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109265, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 475, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109266, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 86, 15, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109267, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 200, 46, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109268, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 32, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109269, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 131, 37, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109270, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 248, 31, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109271, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 271, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109272, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 648, 2, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109273, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 275, 19, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109274, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 144, 18, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109275, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 126, 17, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109276, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 550, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109277, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 118, 13, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109278, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 25, 14, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109279, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 220, 16, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109280, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 10, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109281, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 458, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109282, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 386, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109283, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E18', 5, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109284, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 133, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109285, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 144, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109286, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 136, 2, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109287, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 5, 4, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109288, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 787, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109289, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 158, 21, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109290, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1835, 8, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109291, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 4, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109292, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 304, 5, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109293, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 808, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109294, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2057, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109295, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 347, 6, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109296, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 40, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109297, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 1982, 1, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109298, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B01', 456, 3, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109299, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B02', 218, 9, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109300, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 446, 7, 2024, 3, 1, '2024-08-05 14:04:58', NULL, NULL), (109301, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 27, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109302, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 6, 2, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109303, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 244, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109304, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 626, 88, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109305, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 314, 17, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109306, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 301, 23, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109307, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 612, 90, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109308, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 4, 3, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109309, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 232, 23, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109310, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 81, 3, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109311, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 27, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109312, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 266, 26, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109313, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 3, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109314, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 335, 10, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109315, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 244, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109316, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109317, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 8, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109318, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 3, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109319, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 27, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109320, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 275, 13, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109321, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 4, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109322, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 2, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109323, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 267, 20, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 183, 13, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 244, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 314, 17, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 153, 24, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 337, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 335, 9, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1235, 2, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1181, 38, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 27, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 210, 8, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 8, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 13, 3, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 275, 13, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109338, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 314, 17, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109339, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 335, 10, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109340, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 8, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109341, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 27, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109342, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 275, 13, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109343, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 244, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109344, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 4, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109345, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 8, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109346, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 314, 17, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109347, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 335, 9, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109348, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 27, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109349, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 244, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109350, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 337, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109351, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 275, 13, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109352, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109353, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 244, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109354, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 27, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109355, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109356, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 335, 9, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109357, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 337, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109358, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1181, 38, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109359, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1235, 2, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109360, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 275, 13, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109361, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 8, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109362, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 153, 24, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109363, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 183, 13, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109364, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 13, 3, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109365, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 314, 17, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109366, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 210, 8, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109367, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 27, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109368, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 244, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109369, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 314, 17, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109370, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 337, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109371, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 8, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109372, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 275, 13, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109373, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 1, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109374, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 335, 9, 2024, 3, 2, '2024-08-05 14:04:59', NULL, NULL), (109375, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 86, 1, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109376, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 831, 8, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109377, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 276, 31, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109378, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 258, 27, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109379, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 99, 3, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109380, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 267, 32, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109381, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 28, 3, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109382, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 258, 27, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109383, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 739, 9, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109384, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 1, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109385, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 74, 4, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109386, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 290, 1, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109387, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 1274, 5, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109388, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 1, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109389, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 1, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109390, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 3, 2, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109391, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 94, 3, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109392, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 1, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109393, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 258, 27, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 3, 2, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 15, 2, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 162, 13, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 1274, 5, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 348, 14, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 6, 10, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 554, 15, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 290, 1, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 62, 2, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 94, 3, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 86, 1, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 13, 2, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109406, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 258, 27, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109407, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 3, 2, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109408, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 1274, 5, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109409, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 290, 1, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109410, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 94, 3, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109411, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 94, 3, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109412, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 162, 13, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109413, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 348, 14, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109414, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 1274, 5, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109415, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 290, 1, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109416, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 3, 2, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109417, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 1274, 5, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109418, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 62, 2, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109419, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 86, 1, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109420, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 554, 15, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109421, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 3, 2, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109422, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 6, 10, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109423, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 15, 2, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109424, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 162, 13, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109425, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 348, 14, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109426, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 13, 2, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109427, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 94, 3, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109428, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 290, 1, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109429, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 290, 1, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109430, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 1274, 5, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109431, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 162, 13, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109432, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 3, 2, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109433, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 348, 14, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109434, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 94, 3, 2024, 3, 3, '2024-08-05 14:05:00', NULL, NULL), (109435, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 228, 124, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109436, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 256, 95, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109437, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 333, 42, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109438, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 274, 324, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109439, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 901, 103, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109440, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 680, 532, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109441, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1825, 141, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109442, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 485, 148, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109443, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 367, 216, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109444, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 679, 533, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109445, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 276, 139, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109446, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 836, 111, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109447, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1727, 149, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109448, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 273, 325, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109449, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 228, 124, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109450, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 364, 218, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109451, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 485, 148, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109452, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 7710, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109453, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 6, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109454, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 251, 20, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109455, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 113, 52, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109456, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 232, 122, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109457, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 242, 80, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109458, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 219, 9, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109459, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 428, 67, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109460, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 191, 4, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109461, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 282, 5, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109462, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2054, 14, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109463, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 145, 27, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109464, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1252, 3, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109465, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2054, 12, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109466, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 163, 8, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109467, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 127, 8, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109468, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 57, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109469, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 485, 148, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109470, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 120, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109471, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 10, 7, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109472, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 51, 84, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109473, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 376, 164, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109474, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 987, 11, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109475, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 1855, 138, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109476, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 272, 5, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109477, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 694, 76, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109478, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 8, 2, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109479, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 1812, 9, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109480, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 95, 11, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109481, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 107, 4, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109482, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 197, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 16, 2, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 164, 6, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 303, 28, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 247, 8, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 7710, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 4108, 6, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 373, 10, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 531, 38, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 489, 29, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 393, 49, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1803, 6, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 611, 33, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 13, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 482, 53, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 188, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 949, 7, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1904, 3, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 494, 48, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 790, 7, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 490, 50, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2286, 10, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 414, 2, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 670, 21, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 648, 10, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 646, 29, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 444, 36, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 999, 8, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 518, 21, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 463, 19, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 533, 27, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 612, 22, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 375, 9, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 143, 20, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 589, 34, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 75, 21, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 245, 12, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 53, 18, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 666, 15, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 85, 17, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 2748, 32, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 459, 35, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 235, 5, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 62, 11, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 106, 14, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 92, 17, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 76, 44, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 21, 2, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 37, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 284, 14, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 900, 9, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 45, 8, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 343, 23, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 1593, 48, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 2794, 14, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1750, 59, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 251, 20, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1920, 59, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 145, 27, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 284, 45, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 366, 27, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 344, 56, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 553, 32, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 5103, 3, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 17, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 12, 15, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 241, 16, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 17, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 8, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 11, 11, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 10, 4, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 10, 3, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 531, 4, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1878, 2, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 166, 6, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 77, 4, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 67, 2, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 232, 42, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 51, 20, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 26, 18, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 141, 3, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 114, 9, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 32, 23, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 247, 6, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 191, 4, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 547, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 113, 52, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 82, 3, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 54, 6, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 260, 37, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 66, 2, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 426, 3, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 370, 9, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 386, 5, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 186, 7, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 497, 11, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 844, 5, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1107, 6, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 57, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109582, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 1882, 136, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109583, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 4108, 6, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109584, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2054, 14, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109585, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 57, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109586, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 272, 5, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109587, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 247, 8, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109588, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 232, 122, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109589, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 127, 8, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109590, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 987, 11, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109591, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 120, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109592, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 245, 79, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109593, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 113, 52, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109594, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 251, 20, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109595, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 145, 27, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109596, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 51, 84, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109597, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 107, 4, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109598, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 485, 148, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109599, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 95, 11, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109600, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 282, 5, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109601, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 191, 4, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109602, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 694, 76, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109603, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 7710, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109604, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 1812, 9, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109605, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 434, 66, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109606, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 186, 7, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109607, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1878, 2, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109608, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 376, 164, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109609, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 197, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109610, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 8, 2, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109611, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 10, 7, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (109612, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 191, 4, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109613, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 16, 2, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109614, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 164, 6, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109615, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 5103, 3, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109616, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 166, 6, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109617, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 4108, 6, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109618, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 113, 52, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109619, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 106, 14, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109620, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 120, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109621, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 85, 17, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109622, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 75, 21, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109623, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 53, 18, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109624, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 150, 19, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109625, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 606, 33, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109626, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 54, 6, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109627, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 24, 2, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109628, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 547, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109629, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 57, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109630, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 7710, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109631, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 531, 4, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109632, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 284, 45, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109633, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 186, 7, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109634, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 272, 5, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109635, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 553, 32, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109636, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 344, 56, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109637, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 366, 27, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109638, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1107, 6, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109639, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 10, 3, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109640, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109641, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 17, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109642, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 666, 15, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109643, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 10, 4, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109644, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 245, 12, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109645, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 518, 21, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109646, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 533, 27, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109647, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 463, 19, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109648, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 999, 8, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109649, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 612, 22, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109650, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 844, 5, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109651, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 1750, 59, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109652, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 1920, 59, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109653, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 2794, 14, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109654, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 375, 9, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109655, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 373, 10, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109656, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 251, 20, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109657, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 141, 3, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109658, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 247, 8, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109659, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 77, 4, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109660, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 386, 5, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109661, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 343, 23, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109662, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 497, 11, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109663, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 370, 9, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109664, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 17, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109665, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 8, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109666, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 12, 15, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109667, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 260, 37, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109668, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 241, 16, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109669, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 232, 42, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109670, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 11, 11, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109671, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 67, 2, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109672, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1878, 2, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109673, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 426, 3, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109674, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 66, 2, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109675, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E28', 197, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109676, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2286, 10, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109677, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 188, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109678, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1904, 3, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109679, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E19', 5, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109680, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 949, 7, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109681, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 790, 7, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109682, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E18', 11, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109683, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 414, 2, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109684, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 648, 10, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109685, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 145, 27, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109686, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 303, 28, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109687, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1803, 6, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109688, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 13, 1, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109689, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 531, 38, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109690, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 26, 18, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109691, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 114, 9, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109692, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 67, 2, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109693, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 51, 20, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109694, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 32, 23, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109695, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 247, 6, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109696, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 82, 3, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109697, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 54, 6, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109698, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 547, 1, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109699, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 497, 11, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109700, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 386, 5, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109701, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 370, 9, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109702, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 77, 4, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109703, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 459, 35, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109704, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 57, 1, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109705, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 2748, 32, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109706, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 2794, 14, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109707, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2286, 10, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109708, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 531, 4, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109709, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 10, 4, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109710, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 188, 1, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109711, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 10, 3, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109712, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1904, 3, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109713, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109714, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 1593, 48, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109715, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 45, 8, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109716, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 141, 3, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109717, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 76, 44, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109718, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 92, 17, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109719, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 232, 42, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109720, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 260, 37, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109721, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 113, 52, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109722, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 191, 4, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109723, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1750, 59, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109724, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1920, 59, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109725, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 4108, 6, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109726, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 145, 27, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109727, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 531, 38, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109728, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 16, 2, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109729, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 251, 20, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109730, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 7710, 1, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109731, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 284, 45, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109732, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 164, 6, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109733, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 553, 32, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109734, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 533, 27, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109735, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 303, 28, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109736, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 247, 8, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109737, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 375, 9, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109738, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 366, 27, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109739, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 612, 22, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109740, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 344, 56, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109741, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 414, 2, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109742, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 666, 15, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109743, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 790, 7, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109744, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 949, 7, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109745, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 463, 19, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109746, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 13, 1, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109747, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 518, 21, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109748, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1803, 6, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109749, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 245, 12, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109750, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 343, 23, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109751, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 999, 8, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109752, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 648, 10, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109753, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 426, 3, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109754, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 373, 10, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109755, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 66, 2, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109756, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 589, 34, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109757, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 75, 21, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109758, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 143, 20, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109759, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 53, 18, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109760, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 85, 17, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109761, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 166, 6, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109762, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 5103, 3, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109763, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 106, 14, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109764, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1878, 2, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109765, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 241, 16, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109766, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 17, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109767, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 17, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109768, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 12, 15, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109769, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 8, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109770, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 11, 11, 2024, 3, 4, '2024-08-05 14:05:01', NULL, NULL), (109771, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 844, 5, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109772, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1107, 6, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109773, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 186, 7, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109774, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 62, 11, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109775, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 900, 9, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109776, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 235, 5, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109777, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 670, 21, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109778, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 490, 50, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109779, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 21, 2, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109780, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 494, 48, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109781, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 482, 53, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109782, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 284, 14, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109783, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 611, 33, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109784, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 37, 1, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109785, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 393, 49, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109786, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 489, 29, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109787, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 444, 36, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109788, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 646, 29, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109789, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 999, 8, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109790, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 77, 4, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109791, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 648, 10, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109792, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 1750, 59, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109793, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 16, 2, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109794, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 2794, 14, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109795, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1803, 6, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109796, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 186, 7, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109797, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 1920, 59, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109798, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 949, 7, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109799, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 13, 1, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109800, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 414, 2, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109801, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 164, 6, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109802, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 790, 7, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109803, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 141, 3, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109804, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 366, 27, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109805, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 344, 56, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109806, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 553, 32, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109807, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 284, 45, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109808, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 12, 15, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109809, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 17, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109810, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 17, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109811, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 241, 16, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109812, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 11, 11, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109813, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 8, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109814, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 120, 1, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109815, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 373, 10, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109816, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 247, 8, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109817, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 531, 38, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109818, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 303, 28, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109819, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 370, 9, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109820, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1878, 2, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109821, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 386, 5, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109822, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 497, 11, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109823, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 343, 23, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109824, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109825, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 666, 15, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109826, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 4108, 6, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109827, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 518, 21, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109828, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 463, 19, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109829, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 245, 12, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109830, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 106, 14, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109831, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 232, 42, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109832, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 10, 4, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109833, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 113, 52, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109834, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 260, 37, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109835, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 10, 3, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109836, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 533, 27, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109837, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 612, 22, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109838, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 375, 9, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109839, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 75, 21, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109840, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 53, 18, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109841, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 85, 17, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109842, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 150, 19, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109843, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 606, 33, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109844, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 272, 5, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109845, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 57, 1, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109846, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E18', 11, 1, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109847, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 191, 4, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109848, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E19', 5, 1, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109849, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 7710, 1, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109850, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 54, 6, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109851, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 24, 2, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109852, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 547, 1, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109853, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 251, 20, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109854, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 531, 4, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109855, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 145, 27, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109856, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1904, 3, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109857, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2286, 10, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109858, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 67, 2, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109859, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1107, 6, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109860, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 844, 5, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109861, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 188, 1, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109862, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E28', 197, 1, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109863, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 426, 3, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109864, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 66, 2, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109865, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 166, 6, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109866, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 5103, 3, 2024, 3, 4, '2024-08-05 14:05:02', NULL, NULL), (109867, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 59, 92, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109868, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 7, 40, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109869, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 204, 32, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109870, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 234, 229, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109871, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 708, 81, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109872, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 358, 502, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109873, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 86, 127, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109874, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 898, 141, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109875, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 220, 203, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109876, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 358, 502, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109877, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 83, 82, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109878, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 690, 83, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109879, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 898, 141, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109880, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 231, 232, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109881, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 59, 92, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109882, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 220, 203, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109883, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 86, 127, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109884, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 6489, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109885, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 92, 10, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109886, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 61, 89, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109887, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 139, 48, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109888, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 92, 74, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109889, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1156, 4, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109890, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 322, 53, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109891, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 112, 6, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109892, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 362, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109893, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 57, 4, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109894, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2174, 16, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109895, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 218, 30, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109896, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1, 11, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109897, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109898, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 418, 9, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109899, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 15, 7, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109900, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 86, 127, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109901, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 1, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109902, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 8, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109903, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 4, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109904, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 7, 36, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109905, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 310, 117, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109906, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 241, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109907, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 532, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109908, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 711, 132, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109909, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 99, 7, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109910, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 430, 71, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109911, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 11, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109912, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 7, 3, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109913, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 107, 9, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109914, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 15, 4, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 46, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1293, 16, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 92, 10, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 3, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 641, 44, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 620, 35, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 357, 22, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 218, 30, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 6489, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 891, 6, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 294, 33, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 318, 41, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 335, 28, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 279, 15, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 321, 12, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 298, 31, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 520, 22, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 5, 3, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 98, 32, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 280, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 10, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 42, 29, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 5, 9, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2794, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 459, 41, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 5, 8, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 570, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2038, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 230, 31, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 32, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 442, 4, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2125, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 158, 36, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 9, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 641, 26, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 349, 7, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 12, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 21, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 654, 37, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 7, 3, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 180, 37, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 411, 10, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 629, 37, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 151, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 129, 19, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 85, 48, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 88, 11, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 45, 15, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 24, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 92, 16, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 69, 9, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 82, 6, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 54, 12, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 326, 7, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 8, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 35, 14, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 87, 8, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 66, 19, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 59, 15, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 30, 14, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 112, 6, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 88, 14, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 105, 4, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 16, 10, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 139, 48, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 132, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 20, 19, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 10, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 55, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 477, 54, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 151, 20, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 104, 26, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 9, 3, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 311, 41, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 201, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 51, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 402, 12, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 88, 8, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 537, 7, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 578, 16, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 17, 15, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 411, 3, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (109999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 172, 27, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 162, 39, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 167, 3, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 26, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 555, 4, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 189, 9, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 249, 7, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 229, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 64, 19, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 710, 49, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110009, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 711, 132, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110010, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2319, 15, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110011, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 99, 7, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110012, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1156, 4, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110013, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 61, 89, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110014, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 15, 7, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110015, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 241, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110016, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 3, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110017, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 92, 74, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110018, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 4, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110019, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 139, 48, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110020, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 92, 10, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110021, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 218, 30, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110022, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 7, 36, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110023, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 6489, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110024, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 15, 4, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (110025, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 86, 127, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110026, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 107, 9, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110027, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 57, 4, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110028, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 532, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110029, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 112, 6, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110030, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 430, 71, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110031, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 7, 3, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110032, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 322, 53, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110033, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 537, 7, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110034, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 21, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110035, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 362, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110036, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 310, 117, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110037, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 11, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110038, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 8, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110039, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 112, 6, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110040, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 46, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110041, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 3, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110042, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 7, 3, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110043, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 139, 48, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110044, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 18, 14, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110045, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 3, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110046, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 151, 20, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110047, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 16, 10, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110048, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 20, 19, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110049, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 32, 13, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110050, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 93, 13, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110051, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 55, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110052, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 132, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110053, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 105, 4, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110054, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 6489, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110055, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 294, 33, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110056, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 537, 7, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110057, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 362, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110058, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 99, 7, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110059, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 279, 15, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110060, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 335, 28, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110061, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 318, 41, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110062, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 167, 3, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110063, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 12, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110064, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 5, 3, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110065, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 532, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110066, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 8, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110067, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110068, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 10, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110069, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 45, 15, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110070, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 129, 19, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110071, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 54, 12, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110072, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 92, 16, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110073, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 411, 10, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110074, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 66, 19, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110075, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 351, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110076, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 641, 44, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110077, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 326, 7, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110078, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 620, 35, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110079, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 59, 15, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110080, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 1293, 16, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110081, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110082, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 321, 12, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110083, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 92, 10, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110084, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 24, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110085, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1156, 4, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110086, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 629, 37, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110087, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 578, 16, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110088, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 64, 19, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110089, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E20', 4, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110090, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 402, 12, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110091, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 5, 8, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110092, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 32, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110093, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 10, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110094, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 104, 26, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110095, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 5, 9, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110096, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 85, 48, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110097, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 9, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110098, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 151, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110099, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 21, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110100, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 201, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110101, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 9, 3, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110102, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2125, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110103, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2794, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110104, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 2038, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110105, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E19', 5, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110106, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 570, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110107, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E18', 18, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110108, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 442, 4, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110109, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 349, 7, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110110, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 218, 30, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110111, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 357, 22, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110112, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 280, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110113, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 298, 31, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110114, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 69, 9, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110115, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 82, 6, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110116, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 151, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110117, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 88, 11, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110118, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 35, 14, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110119, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 87, 8, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110120, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 132, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110121, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 55, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110122, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 105, 4, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110123, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 578, 16, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110124, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 402, 12, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110125, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 629, 37, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110126, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 311, 41, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110127, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 477, 54, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110128, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1293, 16, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110129, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2125, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110130, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110131, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2794, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110132, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 12, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110133, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2038, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110134, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 8, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110135, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110136, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 710, 49, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110137, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 229, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110138, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 24, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110139, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 162, 39, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110140, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 172, 27, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110141, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 85, 48, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110142, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 104, 26, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110143, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 139, 48, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110144, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 112, 6, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110145, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 641, 44, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110146, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 620, 35, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110147, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 6489, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110148, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 88, 14, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110149, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 218, 30, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110150, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 16, 10, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110151, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 298, 31, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110152, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 46, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110153, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 92, 10, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110154, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 30, 14, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110155, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 20, 19, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110156, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 151, 20, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110157, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 294, 33, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110158, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 326, 7, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110159, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 3, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110160, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 279, 15, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110161, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 54, 12, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110162, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 357, 22, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110163, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 59, 15, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110164, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 891, 6, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110165, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 318, 41, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110166, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 66, 19, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110167, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 335, 28, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110168, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 129, 19, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110169, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 442, 4, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110170, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 92, 16, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110171, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 570, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110172, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 45, 15, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110173, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 280, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110174, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 10, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110175, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 7, 3, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110176, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 17, 15, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110177, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 21, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110178, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 9, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110179, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 8, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110180, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 5, 3, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110181, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 10, 5, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110182, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 32, 2, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110183, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 9, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110184, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 411, 3, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110185, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 167, 3, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110186, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 537, 7, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110187, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 64, 19, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110188, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 411, 10, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110189, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 349, 7, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110190, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 88, 8, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110191, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 201, 1, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110192, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 249, 7, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110193, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 51, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110194, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 641, 26, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110195, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 158, 36, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110196, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 26, 2, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110197, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 321, 12, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110198, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 230, 31, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110199, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 459, 41, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110200, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 189, 9, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110201, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 42, 29, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110202, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 555, 4, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110203, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 9, 3, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110204, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 98, 32, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110205, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 520, 22, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110206, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 180, 37, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110207, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 654, 37, 2024, 3, 5, '2024-08-05 14:05:03', NULL, NULL), (110208, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 6489, 5, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110209, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 411, 10, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110210, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 629, 37, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110211, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 349, 7, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110212, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 641, 44, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110213, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 46, 2, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110214, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 1293, 16, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110215, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 280, 5, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110216, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 537, 7, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110217, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 620, 35, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110218, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 570, 5, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110219, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 3, 5, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110220, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 442, 4, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110221, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 24, 2, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110222, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 318, 41, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110223, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 335, 28, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110224, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 279, 15, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110225, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 294, 33, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110226, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 10, 5, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110227, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 5, 3, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110228, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 8, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110229, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 9, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110230, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 9, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110231, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 32, 2, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110232, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 3, 1, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110233, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 321, 12, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110234, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1156, 4, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110235, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 298, 31, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110236, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 357, 22, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110237, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 402, 12, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110238, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 21, 1, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110239, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 578, 16, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110240, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 64, 19, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110241, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E20', 4, 1, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110242, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 8, 1, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110243, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110244, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 129, 19, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110245, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 45, 15, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110246, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 92, 16, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110247, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 10, 5, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110248, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 18, 14, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110249, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 85, 48, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110250, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 1, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110251, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 139, 48, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110252, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 104, 26, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110253, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 12, 1, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110254, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 54, 12, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110255, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 326, 7, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110256, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 66, 19, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110257, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 59, 15, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110258, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 16, 10, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110259, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 20, 19, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110260, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 151, 20, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110261, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 32, 13, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110262, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 93, 13, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110263, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 99, 7, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110264, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E18', 18, 1, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110265, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 112, 6, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110266, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E19', 5, 1, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110267, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 55, 2, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110268, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 132, 1, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110269, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 105, 4, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110270, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 532, 1, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110271, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 92, 10, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110272, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 362, 2, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110273, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 2038, 5, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110274, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 218, 30, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110275, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2125, 5, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110276, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 151, 2, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110277, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 167, 3, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110278, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 351, 2, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110279, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2794, 5, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110280, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 201, 1, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110281, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 9, 3, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110282, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 7, 3, 2024, 3, 5, '2024-08-05 14:05:04', NULL, NULL), (110283, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 77, 114, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110284, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 137, 54, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110285, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 386, 47, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110286, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 216, 212, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110287, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 67, 428, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110288, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 648, 87, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110289, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1104, 137, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110290, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 124, 131, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110291, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 434, 238, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110292, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 67, 429, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110293, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 232, 110, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110294, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 620, 91, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110295, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1104, 137, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110296, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 216, 212, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110297, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 434, 238, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110298, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 77, 115, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110299, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 124, 131, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110300, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 1525, 9, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110301, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 176, 10, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110302, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 86, 50, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110303, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 71, 113, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110304, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 282, 87, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110305, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 848, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110306, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 331, 45, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110307, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1025, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110308, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 724, 2, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110309, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 8085, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110310, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1472, 21, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110311, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 173, 23, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110312, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 9, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110313, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110314, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 16, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110315, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 248, 13, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110316, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 4, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110317, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 124, 131, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110318, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 12, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110319, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 3606, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110320, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 774, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110321, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 24, 42, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110322, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 199, 114, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110323, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 242, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110324, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 1019, 127, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110325, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 793, 86, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110326, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 205, 4, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110327, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 4, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110328, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 532, 12, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110329, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 8, 8, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110330, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 71, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1925, 10, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 376, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 99, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 948, 51, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 176, 10, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 173, 23, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1093, 49, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 400, 21, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1525, 9, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 923, 8, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 234, 40, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 201, 33, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 180, 22, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 144, 19, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 919, 14, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 271, 24, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 134, 19, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 8, 8, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1525, 2, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 10, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 33, 32, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1771, 4, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 24, 10, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 49, 44, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 21, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1156, 5, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1031, 10, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 48, 39, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1929, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 969, 9, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 61, 43, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 84, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 46, 36, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 826, 12, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 5375, 2, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 69, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 97, 31, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 532, 12, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 67, 39, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1120, 5, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 486, 17, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 178, 18, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 253, 51, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 58, 14, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 137, 13, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 141, 20, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 88, 9, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 7, 2, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 75, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 37, 11, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 14, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 167, 4, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 126, 24, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 167, 5, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 141, 14, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 37, 16, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1025, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 161, 26, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 85, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 86, 50, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 50, 18, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 127, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 69, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 22, 20, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 96, 8, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 58, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 62, 36, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 322, 36, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 72, 16, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 8085, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 34, 27, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 605, 15, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 202, 12, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 465, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 16, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 85, 18, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 587, 17, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 352, 4, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 115, 23, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 21, 2, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 87, 21, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 494, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 222, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 531, 18, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 4, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 412, 12, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 78, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 117, 26, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 93, 38, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110422, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 1019, 127, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110423, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1472, 21, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110424, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 4, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110425, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 205, 4, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110426, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 989, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110427, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 72, 112, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110428, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 242, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110429, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 248, 13, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110430, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 12, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110431, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 282, 87, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110432, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 774, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110433, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 86, 50, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110434, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 176, 10, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110435, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 173, 23, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110436, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 24, 42, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (110437, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 1525, 9, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110438, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 8, 8, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110439, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 124, 131, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110440, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 8085, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110441, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 71, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110442, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1025, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110443, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 793, 86, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110444, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 532, 12, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110445, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 331, 45, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110446, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 16, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110447, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 724, 2, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110448, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 199, 114, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110449, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 4, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110450, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 3606, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110451, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 1025, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110452, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 376, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110453, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 99, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110454, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 532, 12, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110455, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 86, 50, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110456, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 85, 18, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110457, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 12, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110458, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 77, 15, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110459, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 50, 18, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110460, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 22, 20, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110461, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 37, 16, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110462, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 136, 25, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110463, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 58, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110464, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 69, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110465, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 85, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110466, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E18', 774, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110467, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 1525, 9, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110468, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 234, 40, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110469, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 16, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110470, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 724, 2, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110471, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 205, 4, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110472, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 4, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110473, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 144, 19, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110474, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 180, 22, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110475, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 201, 33, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110476, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 21, 2, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110477, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 69, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110478, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 14, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110479, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 8, 8, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110480, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 96, 8, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110481, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 127, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110482, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 5375, 2, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110483, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 58, 14, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110484, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 178, 18, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110485, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 75, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110486, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 141, 20, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110487, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1120, 5, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110488, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 126, 24, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110489, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E15', 4, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110490, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 352, 4, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110491, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 948, 51, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110492, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 1093, 49, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110493, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 1925, 10, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110494, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 141, 14, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110495, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 7, 2, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110496, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 919, 14, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110497, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110498, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 176, 10, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110499, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 989, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110500, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 486, 17, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110501, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 465, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110502, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 117, 26, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110503, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 587, 17, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110504, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 605, 15, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110505, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 21, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110506, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110507, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 10, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110508, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 322, 36, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110509, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 24, 10, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110510, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 253, 51, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110511, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 84, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110512, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 8085, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110513, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1929, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110514, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1771, 4, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110515, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1031, 10, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110516, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1156, 5, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110517, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 969, 9, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110518, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 173, 23, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110519, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 826, 12, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110520, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 400, 21, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110521, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1525, 2, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110522, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 271, 24, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110523, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 88, 9, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110524, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 37, 11, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110525, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 137, 13, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110526, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 167, 4, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110527, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 167, 5, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110528, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 69, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110529, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 58, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110530, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 85, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110531, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 587, 17, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110532, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 465, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110533, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 486, 17, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110534, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 605, 15, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110535, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 34, 27, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110536, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 4, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110537, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 62, 36, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110538, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1925, 10, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110539, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1929, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110540, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1771, 4, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110541, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 5375, 2, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110542, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 69, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110543, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1031, 10, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110544, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 14, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110545, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 7, 2, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110546, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 93, 38, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110547, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110548, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 87, 21, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110549, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 115, 23, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110550, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 253, 51, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110551, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 322, 36, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110552, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 86, 50, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110553, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1025, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110554, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 948, 51, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110555, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1093, 49, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110556, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1525, 9, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110557, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 173, 23, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110558, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 161, 26, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110559, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 50, 18, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110560, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 271, 24, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110561, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 37, 16, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110562, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 376, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110563, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 176, 10, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110564, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 22, 20, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110565, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 72, 16, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110566, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 234, 40, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110567, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 99, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110568, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 144, 19, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110569, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 75, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110570, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 400, 21, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110571, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 141, 14, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110572, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 923, 8, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110573, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 201, 33, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110574, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 126, 24, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110575, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 180, 22, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110576, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 178, 18, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110577, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 96, 8, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110578, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 969, 9, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110579, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1156, 5, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110580, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 141, 20, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110581, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 58, 14, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110582, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1525, 2, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110583, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 127, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110584, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 532, 12, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110585, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 85, 18, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110586, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 24, 10, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110587, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 21, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110588, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 8, 8, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110589, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 10, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110590, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110591, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 84, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110592, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 352, 4, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110593, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 21, 2, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110594, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 16, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110595, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 117, 26, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110596, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1120, 5, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110597, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 826, 12, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110598, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 202, 12, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110599, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 78, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110600, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 412, 12, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110601, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 46, 36, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110602, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 61, 43, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110603, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 494, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110604, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 919, 14, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110605, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 48, 39, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110606, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 49, 44, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110607, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 33, 32, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110608, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 531, 18, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110609, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 8085, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110610, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 222, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110611, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 134, 19, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110612, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 67, 39, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110613, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 97, 31, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110614, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1120, 5, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110615, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 486, 17, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110616, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 1525, 9, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110617, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 826, 12, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110618, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 948, 51, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110619, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 1925, 10, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110620, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 376, 7, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110621, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1525, 2, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110622, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 16, 7, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110623, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 1093, 49, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110624, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1156, 5, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110625, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 99, 6, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110626, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 969, 9, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110627, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110628, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 201, 33, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110629, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 180, 22, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110630, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 144, 19, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110631, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 234, 40, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110632, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 10, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110633, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 8, 8, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110634, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 21, 7, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110635, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 24, 10, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110636, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 84, 6, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110637, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110638, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 12, 1, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110639, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 919, 14, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110640, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 989, 6, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110641, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 271, 24, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110642, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 400, 21, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110643, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 605, 15, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110644, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 465, 7, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110645, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 587, 17, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110646, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 117, 26, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110647, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 14, 3, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110648, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 7, 2, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110649, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E15', 4, 1, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110650, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 96, 8, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110651, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E18', 774, 1, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110652, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 178, 18, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110653, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 58, 14, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110654, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 141, 20, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110655, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 127, 1, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110656, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 85, 18, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110657, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 253, 51, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110658, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 5375, 2, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110659, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 86, 50, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110660, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 322, 36, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110661, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 69, 1, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110662, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 75, 6, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110663, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 126, 24, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110664, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 141, 14, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110665, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 50, 18, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110666, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 22, 20, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110667, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 77, 15, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110668, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 37, 16, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110669, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 136, 25, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110670, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 205, 4, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110671, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 4, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110672, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 1025, 6, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110673, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 58, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110674, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 69, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110675, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 85, 3, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110676, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 176, 10, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110677, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 724, 2, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110678, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 173, 23, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110679, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1031, 10, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110680, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1929, 7, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110681, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 21, 2, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110682, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 352, 4, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110683, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1771, 4, 2024, 3, 6, '2024-08-05 14:05:08', NULL, NULL), (110684, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 8085, 1, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110685, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 532, 12, 2024, 3, 6, '2024-08-05 14:05:07', NULL, NULL), (110686, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 33, 101, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110687, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 48, 52, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110688, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 373, 46, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110689, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 157, 216, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110690, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 48, 383, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110691, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1010, 74, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110692, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1114, 118, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110693, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 111, 129, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110694, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 169, 161, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110695, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 48, 383, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110696, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 192, 102, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110697, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 958, 78, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110698, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1096, 120, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110699, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 156, 217, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110700, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 33, 101, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110701, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 168, 162, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110702, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 111, 129, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110703, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 1843, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110704, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 189, 11, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110705, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 33, 100, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110706, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 108, 45, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110707, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 124, 56, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110708, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 2133, 5, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110709, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 508, 42, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110710, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 140, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110711, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 3, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110712, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1994, 21, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110713, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 91, 19, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110714, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110715, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110716, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 463, 12, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110717, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 47, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110718, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 141, 6, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110719, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 180, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110720, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 111, 128, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110721, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 84, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110722, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 72, 10, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110723, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 36, 50, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110724, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 123, 105, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110725, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 723, 5, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110726, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 1115, 113, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110727, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 85, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110728, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 292, 49, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110729, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 9, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110730, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 332, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110731, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 127, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110732, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 38, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110733, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 167, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 175, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 70, 8, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 506, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 107, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1172, 39, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1249, 37, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 428, 23, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 91, 19, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1843, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 2133, 5, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 151, 28, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 99, 23, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 109, 30, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 99, 22, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 16, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 604, 19, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 332, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 19, 13, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 30, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 67, 11, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 6, 33, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 286, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 12, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 17, 49, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1795, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 462, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 166, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 98, 9, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1366, 6, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 12, 43, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 5, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 991, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 22, 35, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2409, 11, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 5, 10, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 25, 23, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 102, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 72, 10, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 26, 22, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 15, 35, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 278, 6, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 919, 37, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 105, 20, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 470, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 124, 39, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 78, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 86, 13, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 113, 23, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 280, 12, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 227, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 7, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 101, 14, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 163, 8, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 16, 11, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 7, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 111, 16, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 85, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 31, 15, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 9, 10, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 140, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 27, 17, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 137, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 31, 17, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 111, 44, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 12, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 187, 6, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 34, 17, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 26, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 175, 14, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 47, 25, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 44, 30, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 125, 17, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 9, 29, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 7, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1357, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 109, 14, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 89, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 181, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 31, 15, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 182, 8, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 463, 12, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 6, 9, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 757, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 674, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 300, 33, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 48, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 74, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 453, 13, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 52, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 205, 9, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 2059, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 309, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 122, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 129, 14, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 91, 26, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110829, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 1115, 113, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110830, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1994, 21, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110831, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 180, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110832, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 85, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110833, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 2133, 5, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110834, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 33, 100, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110835, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 141, 6, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110836, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 723, 5, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110837, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 84, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110838, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 124, 56, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110839, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 111, 44, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110840, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 189, 11, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110841, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 91, 19, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110842, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 36, 50, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110843, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 1843, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110844, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 38, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110845, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 111, 128, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110846, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 148, 6, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110847, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 7, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110848, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 140, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (110849, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 292, 49, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110850, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 332, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110851, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 508, 42, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110852, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 463, 12, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110853, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 47, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110854, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 123, 105, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110855, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 9, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110856, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 167, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110857, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 72, 10, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110858, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 140, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110859, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 175, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110860, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 107, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110861, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 332, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110862, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 111, 44, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110863, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 31, 15, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110864, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 84, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110865, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 49, 24, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110866, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 31, 17, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110867, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 34, 17, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110868, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 9, 10, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110869, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 27, 17, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110870, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 26, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110871, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 12, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110872, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 128, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110873, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 309, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110874, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B01', 47, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110875, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 462, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110876, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 1843, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110877, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 151, 28, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110878, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 463, 12, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110879, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 85, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110880, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 52, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110881, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 99, 22, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110882, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 109, 30, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110883, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 99, 23, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110884, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 674, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110885, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 30, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110886, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 7, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110887, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 175, 14, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110888, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 187, 6, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110889, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 72, 10, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110890, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 78, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110891, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 105, 20, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110892, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 101, 14, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110893, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 113, 23, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110894, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E15', 9, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110895, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 111, 16, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110896, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 278, 6, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110897, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 1172, 39, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110898, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 757, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110899, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 1249, 37, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110900, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 30, 14, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110901, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 70, 8, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110902, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 7, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110903, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 16, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110904, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 506, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110905, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 227, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110906, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 2133, 5, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110907, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 919, 37, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110908, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 181, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110909, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 129, 14, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110910, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 182, 8, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110911, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 89, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110912, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 98, 9, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110913, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 5, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110914, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 67, 11, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110915, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 125, 17, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110916, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 12, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110917, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 124, 39, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110918, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 5, 10, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110919, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 470, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110920, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 7, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110921, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E29', 167, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110922, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2409, 11, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110923, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1795, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110924, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1366, 6, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110925, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 166, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110926, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 991, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110927, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 102, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110928, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 91, 19, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110929, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 428, 23, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110930, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 286, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110931, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 604, 19, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110932, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 280, 12, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110933, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 163, 8, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110934, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 470, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110935, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 86, 13, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110936, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 16, 11, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110937, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 85, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110938, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 12, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110939, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 26, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110940, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 137, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110941, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 182, 8, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110942, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 181, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110943, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 9, 29, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110944, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 919, 37, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110945, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 89, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110946, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 309, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110947, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 52, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110948, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 44, 30, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110949, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 462, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110950, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2409, 11, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110951, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 72, 10, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110952, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1795, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110953, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1366, 6, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110954, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 7, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110955, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 7, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110956, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 91, 26, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110957, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 122, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110958, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 227, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110959, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 300, 33, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110960, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 6, 9, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110961, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 124, 39, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110962, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 125, 17, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110963, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 111, 44, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110964, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 140, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110965, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1172, 39, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110966, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1249, 37, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110967, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1843, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110968, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 27, 17, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110969, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 91, 19, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110970, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 31, 17, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110971, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 70, 8, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110972, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 604, 19, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110973, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 506, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110974, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 175, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110975, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 9, 10, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110976, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 34, 17, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110977, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 47, 25, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110978, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 151, 28, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110979, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 107, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110980, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 99, 22, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110981, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 101, 14, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110982, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 428, 23, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110983, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 31, 15, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110984, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 2133, 5, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110985, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 99, 23, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110986, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 111, 16, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110987, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 109, 30, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110988, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 105, 20, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110989, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 175, 14, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110990, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 991, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110991, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 113, 23, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110992, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 166, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110993, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 78, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110994, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 286, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110995, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 187, 6, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110996, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 332, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110997, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 31, 15, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110998, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 12, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (110999, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 98, 9, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111000, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 30, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111001, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 67, 11, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111002, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 5, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111003, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 10, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111004, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 757, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111005, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 674, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111006, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 463, 12, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111007, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 129, 14, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111008, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 278, 6, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111009, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 102, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111010, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 109, 14, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111011, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 2059, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111012, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 205, 9, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111013, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1357, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111014, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 25, 23, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111015, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 22, 35, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111016, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 48, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111017, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 16, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111018, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 12, 43, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111019, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 17, 49, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111020, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 453, 13, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111021, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 6, 33, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111022, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 74, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111023, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 7, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111024, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 19, 13, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111025, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 15, 35, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111026, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 26, 22, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111027, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 278, 6, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111028, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 1843, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111029, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 919, 37, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111030, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 102, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111031, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 1172, 39, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111032, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 175, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111033, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 286, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111034, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 463, 12, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111035, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 1249, 37, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111036, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 166, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111037, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 107, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111038, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 991, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111039, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 227, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111040, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 99, 23, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111041, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 109, 30, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111042, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 99, 22, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111043, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 151, 28, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111044, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 67, 11, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111045, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 30, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111046, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 98, 9, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111047, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 12, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111048, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 10, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111049, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 5, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111050, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 84, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111051, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 16, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111052, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 2133, 5, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111053, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 604, 19, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111054, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 428, 23, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111055, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 89, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111056, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 181, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111057, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 182, 8, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111058, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 129, 14, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111059, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 7, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111060, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 7, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111061, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E15', 9, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111062, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 175, 14, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111063, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 105, 20, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111064, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 78, 7, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111065, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 113, 23, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111066, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 187, 6, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111067, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 31, 15, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111068, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 124, 39, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111069, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 72, 10, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111070, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 111, 44, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111071, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 125, 17, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111072, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 101, 14, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111073, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 111, 16, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111074, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 30, 14, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111075, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 31, 17, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111076, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 34, 17, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111077, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 49, 24, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111078, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 9, 10, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111079, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 27, 17, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111080, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 85, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111081, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 52, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111082, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 309, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111083, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 140, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111084, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 26, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111085, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 12, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111086, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 128, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111087, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 506, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111088, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 70, 8, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111089, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1366, 6, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111090, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 91, 19, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111091, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2409, 11, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111092, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 470, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111093, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 674, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111094, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 757, 3, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111095, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1795, 4, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111096, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 462, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111097, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E29', 167, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111098, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 7, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111099, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B01', 47, 1, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111100, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 332, 2, 2024, 3, 7, '2024-08-05 14:05:11', NULL, NULL), (111101, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 32, 69, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111102, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 79, 42, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111103, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 368, 23, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111104, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 1071, 133, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111105, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1431, 62, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111106, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 281, 366, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111107, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 83, 94, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111108, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 545, 144, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111109, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 520, 210, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111110, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 280, 368, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111111, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 173, 68, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111112, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1285, 69, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111113, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 545, 144, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111114, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 1032, 138, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111115, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 32, 69, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111116, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 515, 212, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111117, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 83, 94, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111118, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 4, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111119, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 345, 10, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111120, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 95, 40, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111121, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 32, 69, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111122, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 645, 83, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111123, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 4309, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111124, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 410, 34, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111125, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 140, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111126, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 17055, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111127, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 178, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111128, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1860, 17, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111129, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 167, 16, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111130, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 9, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111131, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111132, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 217, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111133, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 46, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111134, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 496, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111135, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 83, 94, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111136, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 0, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111137, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 0, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111138, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 90, 36, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111139, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 689, 67, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111140, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1572, 4, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111141, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 547, 143, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111142, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 6362, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111143, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 640, 77, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111144, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 7, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111145, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 106, 7, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111146, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 1336, 7, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 13, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 820, 45, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 68, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 345, 10, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 484, 51, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 167, 16, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 392, 20, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 356, 47, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 7152, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 668, 41, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 721, 26, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 513, 13, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 435, 14, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 9, 4, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 27, 15, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 112, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 13, 24, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2060, 7, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 106, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2284, 9, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 13, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 10, 36, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 9, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 687, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1870, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 24, 34, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 223, 8, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 574, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 556, 10, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 23, 31, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 7, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 15, 15, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 461, 13, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 18, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 29, 15, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 20, 20, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 453, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 104, 18, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 701, 50, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 119, 11, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 2595, 26, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 181, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 89, 14, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 186, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 48, 13, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 6362, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 77, 14, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 64, 16, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 29, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 45, 17, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 140, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 95, 40, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 30, 16, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 76, 8, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 1336, 7, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 17, 12, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 6, 9, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 32, 24, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 579, 32, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 178, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 20, 33, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1502, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 405, 8, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 91, 8, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 566, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 217, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 57, 9, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 479, 12, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 861, 56, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1164, 41, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2096, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 17, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 256, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 529, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 744, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 92, 22, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111225, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 547, 143, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111226, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1860, 17, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111227, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 744, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111228, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 6362, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111229, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 5171, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111230, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 32, 69, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111231, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2096, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111232, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 46, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111233, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 653, 82, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111234, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 95, 40, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111235, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 345, 10, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111236, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 167, 16, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111237, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 90, 36, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111238, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 106, 7, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111239, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 83, 94, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111240, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 178, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111241, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 1336, 7, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111242, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 140, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111243, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 640, 77, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111244, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 7, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111245, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 410, 34, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111246, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 217, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111247, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 18, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111248, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 17055, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111249, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 689, 67, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111250, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 140, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111251, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 13, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111252, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2096, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111253, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 68, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111254, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 9, 4, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111255, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111256, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 112, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111257, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (111258, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 76, 8, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111259, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 119, 11, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111260, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 104, 18, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111261, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 48, 13, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111262, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 89, 14, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111263, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 484, 51, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111264, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 453, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111265, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 77, 14, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111266, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 356, 47, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111267, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 64, 16, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111268, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 820, 45, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111269, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 95, 40, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111270, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 186, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111271, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 57, 9, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111272, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 513, 13, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111273, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 181, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111274, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 345, 10, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111275, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 5171, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111276, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 6, 9, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111277, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 566, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111278, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 479, 12, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111279, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 30, 16, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111280, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 17, 12, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111281, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 29, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111282, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 45, 17, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111283, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 405, 8, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111284, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 9, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111285, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 223, 8, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111286, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 106, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111287, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 579, 32, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111288, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 13, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111289, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 701, 50, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111290, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 7, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111291, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 1336, 7, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111292, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 744, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111293, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 18, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111294, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 178, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111295, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 668, 41, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111296, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 574, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111297, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2284, 9, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111298, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1870, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111299, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 217, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111300, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 687, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111301, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 556, 10, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111302, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 167, 16, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111303, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 461, 13, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111304, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 392, 20, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111305, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 17055, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111306, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2060, 7, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111307, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 6362, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111308, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 435, 14, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111309, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 721, 26, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111310, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 2595, 26, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111311, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 6362, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111312, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 1336, 7, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111313, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 479, 12, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111314, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 566, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111315, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 405, 8, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111316, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 20, 33, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111317, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 744, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111318, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 32, 24, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111319, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 820, 45, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111320, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 574, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111321, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2284, 9, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111322, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1870, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111323, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111324, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 186, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111325, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 92, 22, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111326, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 181, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111327, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1164, 41, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111328, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 861, 56, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111329, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 701, 50, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111330, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 579, 32, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111331, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 95, 40, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111332, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 140, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111333, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 484, 51, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111334, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 356, 47, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111335, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 167, 16, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111336, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 45, 17, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111337, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 30, 16, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111338, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 435, 14, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111339, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 29, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111340, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 13, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111341, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 345, 10, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111342, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 17, 12, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111343, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 6, 9, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111344, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 668, 41, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111345, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 68, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111346, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 48, 13, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111347, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 392, 20, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111348, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 64, 16, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111349, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 7152, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111350, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 721, 26, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111351, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 77, 14, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111352, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 104, 18, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111353, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 556, 10, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111354, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 89, 14, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111355, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 687, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111356, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 119, 11, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111357, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2060, 7, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111358, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 76, 8, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111359, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111360, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 9, 4, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111361, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 57, 9, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111362, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 18, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111363, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 13, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111364, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 9, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111365, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 112, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111366, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 106, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111367, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 223, 8, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111368, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111369, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2096, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111370, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 217, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111371, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 453, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111372, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 461, 13, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111373, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 91, 8, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111374, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 529, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111375, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1502, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111376, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 15, 15, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111377, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 23, 31, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111378, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 17, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111379, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 513, 13, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111380, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 24, 34, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111381, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 10, 36, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111382, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 256, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111383, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 13, 24, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111384, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 178, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111385, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 27, 15, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111386, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 20, 20, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111387, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 29, 15, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111388, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 453, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111389, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 30, 16, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111390, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 461, 13, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111391, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 17, 12, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111392, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 6, 9, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111393, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 29, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111394, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 45, 17, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111395, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 6362, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111396, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 484, 51, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111397, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 13, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111398, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 820, 45, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111399, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 217, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111400, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2060, 7, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111401, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 356, 47, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111402, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 687, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111403, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 68, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111404, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 556, 10, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111405, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 744, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111406, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 181, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111407, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 140, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111408, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 721, 26, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111409, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 668, 41, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111410, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 1336, 7, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111411, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 106, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111412, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 112, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111413, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 9, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111414, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 13, 6, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111415, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111416, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 223, 8, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111417, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 513, 13, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111418, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 5171, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111419, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 345, 10, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111420, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 435, 14, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111421, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 392, 20, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111422, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 17055, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111423, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 167, 16, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111424, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1870, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111425, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 574, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111426, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 405, 8, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111427, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 18, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111428, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 566, 5, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111429, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2096, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111430, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2284, 9, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111431, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 479, 12, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111432, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111433, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 186, 2, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111434, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 104, 18, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111435, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 119, 11, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111436, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 178, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111437, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 89, 14, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111438, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 76, 8, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111439, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 57, 9, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111440, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 701, 50, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111441, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 95, 40, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111442, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 1, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111443, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 579, 32, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111444, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 9, 4, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111445, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 48, 13, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111446, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 77, 14, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111447, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 64, 16, 2024, 3, 8, '2024-08-05 14:05:15', NULL, NULL), (111448, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 25, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111449, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1138, 77, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111450, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 317, 27, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111451, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 316, 18, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111452, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1109, 79, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111453, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 25, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111454, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 306, 28, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111455, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 284, 20, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111456, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111457, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 60, 5, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111458, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111459, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 94, 11, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111460, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4278, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111461, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 25, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111462, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 317, 27, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 268, 18, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 94, 11, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 416, 9, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 16, 7, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 94, 3, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 25, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 52, 9, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4278, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 28, 2, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 14, 9, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 38, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1843, 47, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 65, 5, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111476, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 317, 27, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111477, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 94, 11, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111478, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 25, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111479, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 60, 5, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111480, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4278, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111481, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4278, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111482, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 416, 9, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111483, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 268, 18, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111484, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 28, 2, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 38, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111486, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 104, 2, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111487, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 25, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111488, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 94, 11, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111489, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 268, 18, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111490, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 38, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111491, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 28, 2, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111492, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4278, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111493, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 94, 3, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111494, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1843, 47, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111495, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 94, 11, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111496, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 14, 9, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111497, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 52, 9, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111498, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 16, 7, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111499, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 25, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111500, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 416, 9, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111501, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 65, 5, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111502, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 38, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111503, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 268, 18, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111504, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 104, 2, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111505, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 94, 11, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111506, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 416, 9, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111507, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 25, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111508, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 28, 2, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111509, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4278, 1, 2024, 3, 9, '2024-08-05 14:05:19', NULL, NULL), (111510, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 9, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111511, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 535, 10, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111512, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 506, 44, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111513, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 124, 16, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111514, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 506, 44, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111515, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 0, 18, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111516, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 535, 10, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111517, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 9, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111518, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 99, 20, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111519, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111520, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 102, 4, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111521, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 2, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111522, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 117, 3, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111523, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 3, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111524, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 9, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111525, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 131, 12, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111526, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 754, 5, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111527, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 0, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111528, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 0, 15, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 20, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 131, 12, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 617, 2, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 117, 3, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 35, 3, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 47, 12, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 144, 2, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 111, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 871, 24, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 9, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 11, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 754, 5, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 168, 4, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111542, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 131, 12, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111543, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 117, 3, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111544, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 102, 4, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111545, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 754, 5, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111546, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 9, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111547, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 144, 2, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111548, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 111, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111549, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 117, 3, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111550, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 9, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111551, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 11, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111552, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 131, 12, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111553, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 754, 5, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111554, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 117, 3, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111555, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 617, 2, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111556, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 9, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111557, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 754, 5, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111558, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 111, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111559, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 144, 2, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111560, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 871, 24, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111561, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 131, 12, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111562, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 11, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111563, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 47, 12, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111564, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 35, 3, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111565, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 20, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111566, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 168, 4, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111567, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 754, 5, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111568, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 9, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111569, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 117, 3, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111570, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 131, 12, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111571, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 111, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111572, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 144, 2, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111573, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 11, 1, 2024, 3, 10, '2024-08-05 14:05:22', NULL, NULL), (111574, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 255, 136, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111575, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 107, 61, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111576, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 535, 41, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111577, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 239, 292, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111578, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 635, 90, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111579, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 162, 535, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111580, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 208, 151, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111581, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 579, 181, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111582, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 413, 202, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111583, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 161, 537, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111584, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 252, 113, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111585, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 635, 90, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111586, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 579, 181, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111587, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 238, 293, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111588, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 255, 136, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111589, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 413, 202, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111590, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 208, 151, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111591, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 198, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111592, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 1423, 10, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111593, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 116, 16, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111594, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 249, 134, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111595, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 172, 50, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111596, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 434, 75, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111597, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 786, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111598, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 525, 47, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111599, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 9, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111600, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 21, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111601, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 55, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111602, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1286, 12, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111603, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 369, 32, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111604, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 9, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111605, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '', 419, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111606, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 573, 13, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111607, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 222, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111608, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 559, 8, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111609, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 84, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111610, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 208, 151, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111611, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 124, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111612, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 42, 50, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111613, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 169, 122, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111614, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1361, 8, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111615, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 535, 169, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111616, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 85, 8, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111617, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 626, 67, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111618, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 640, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111619, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 404, 11, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111620, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 10, 7, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111621, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 218, 12, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111622, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 399, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 596, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 447, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 385, 18, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 663, 5, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 480, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 198, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 573, 13, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 194, 9, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 611, 29, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 252, 26, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 180, 43, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 912, 7, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 201, 50, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 729, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 168, 49, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 783, 8, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1503, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 230, 56, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1142, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 161, 36, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1240, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 149, 27, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 101, 5, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 329, 11, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 177, 44, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 26, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 200, 23, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 332, 17, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 252, 28, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 221, 19, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 221, 22, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 233, 21, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 332, 29, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 217, 28, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 89, 10, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 184, 23, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 281, 18, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 123, 12, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 105, 43, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 114, 40, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 78, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 280, 17, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 90, 40, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (111666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 148, 25, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 64, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 1440, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 488, 23, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 195, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1308, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 133, 20, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 182, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 64, 39, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 827, 7, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 25, 10, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 268, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 566, 50, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 369, 32, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 525, 60, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1423, 10, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 166, 17, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 215, 23, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 79, 40, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 258, 20, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 45, 11, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 8, 10, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 249, 17, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 50, 17, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 55, 12, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 14, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 346, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 51, 5, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 633, 7, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 479, 52, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 140, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 366, 37, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 209, 23, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 15, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 109, 21, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 548, 18, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 8, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 92, 21, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 85, 8, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 9, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 229, 8, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 172, 50, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 393, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 501, 38, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 78, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 33, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 131, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1685, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 486, 5, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 727, 14, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 296, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 613, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1809, 5, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 5, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 164, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111723, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 535, 169, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111724, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 573, 13, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111725, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1286, 12, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111726, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 84, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111727, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 85, 8, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111728, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 786, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111729, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 249, 134, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111730, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 559, 8, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111731, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1361, 8, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111732, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 434, 75, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111733, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 172, 50, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111734, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 116, 16, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111735, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 369, 32, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111736, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 42, 50, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111737, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 1423, 10, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111738, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 10, 7, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111739, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 208, 151, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111740, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 55, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111741, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 218, 12, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111742, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 9, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111743, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 626, 67, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111744, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 198, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111745, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 404, 11, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111746, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 525, 47, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111747, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 296, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111748, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '', 419, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111749, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 21, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111750, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 169, 122, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111751, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 640, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111752, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 399, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111753, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 124, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111754, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 9, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111755, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 596, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111756, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 447, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111757, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111758, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 633, 7, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111759, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 573, 13, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111760, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 172, 50, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111761, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 272, 16, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111762, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 281, 18, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111763, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 217, 28, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111764, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 184, 23, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111765, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 233, 21, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111766, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 313, 28, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111767, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 390, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111768, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 202, 7, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111769, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 164, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111770, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 198, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111771, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 249, 17, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111772, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 1423, 10, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111773, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 51, 5, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111774, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 166, 17, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111775, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 296, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111776, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 21, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111777, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 85, 8, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111778, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 5, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111779, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 258, 20, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111780, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 79, 40, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111781, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 215, 23, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111782, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1809, 5, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111783, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 346, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111784, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 8, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111785, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 123, 12, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111786, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 14, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111787, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 89, 10, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111788, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 200, 23, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111789, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 252, 28, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111790, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 332, 17, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111791, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 613, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111792, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 26, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111793, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 221, 19, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111794, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 566, 50, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111795, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 525, 60, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111796, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 827, 7, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111797, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 221, 22, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111798, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 25, 10, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111799, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111800, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 194, 9, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111801, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 15, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111802, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 268, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111803, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1092, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111804, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 480, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111805, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 479, 52, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111806, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 486, 5, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111807, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 727, 14, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111808, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 133, 20, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111809, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 131, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111810, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 1685, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111811, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 50, 17, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111812, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 55, 12, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111813, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 45, 11, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111814, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 501, 38, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111815, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 8, 10, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111816, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 366, 37, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111817, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 140, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111818, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 33, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111819, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 78, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111820, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E28', 399, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111821, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1240, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111822, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 729, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111823, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1503, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111824, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E20', 405, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111825, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 783, 8, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111826, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E18', 875, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111827, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1142, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111828, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 369, 32, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111829, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 101, 5, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111830, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 385, 18, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111831, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 912, 7, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111832, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 611, 29, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111833, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '2E29', 419, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111834, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 109, 21, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111835, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 548, 18, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111836, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 140, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111837, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 209, 23, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111838, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 92, 21, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111839, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 85, 8, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111840, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 393, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111841, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 229, 8, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111842, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 727, 14, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111843, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 486, 5, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111844, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1685, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111845, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 131, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111846, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 479, 52, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111847, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 114, 40, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111848, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 164, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111849, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 5, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111850, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 105, 43, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111851, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 827, 7, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111852, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 249, 17, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111853, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1240, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111854, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 51, 5, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111855, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 14, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111856, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 729, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111857, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 346, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111858, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1503, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111859, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 8, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111860, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111861, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 64, 39, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111862, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 15, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111863, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 182, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111864, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 148, 25, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111865, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 90, 40, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111866, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 366, 37, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111867, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 501, 38, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111868, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 172, 50, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111869, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 9, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111870, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 566, 50, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111871, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 525, 60, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111872, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1423, 10, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111873, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 573, 13, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111874, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 369, 32, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111875, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 25, 10, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111876, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 611, 29, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111877, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 596, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111878, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 268, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111879, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 198, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111880, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 166, 17, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111881, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 447, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111882, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 258, 20, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111883, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 385, 18, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111884, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 252, 28, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111885, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 663, 5, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111886, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 221, 22, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111887, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 215, 23, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111888, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 480, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111889, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 221, 19, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111890, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 79, 40, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111891, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 123, 12, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111892, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1142, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111893, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 783, 8, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111894, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 332, 17, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111895, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 200, 23, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111896, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 912, 7, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111897, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 89, 10, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111898, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 133, 20, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111899, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 26, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111900, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 101, 5, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111901, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 33, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111902, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 194, 9, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111903, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 78, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111904, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 332, 29, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111905, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 217, 28, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111906, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 233, 21, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111907, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 184, 23, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111908, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 281, 18, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111909, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 633, 7, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111910, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 280, 17, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111911, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111912, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 8, 10, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111913, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 50, 17, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111914, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 45, 11, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111915, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 55, 12, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111916, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 613, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111917, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1809, 5, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 296, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111919, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 78, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111920, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1308, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111921, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 195, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111922, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 149, 27, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111923, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 161, 36, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111924, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 64, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111925, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 230, 56, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111926, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 168, 49, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111927, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 488, 23, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111928, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 201, 50, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111929, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 1440, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111930, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 180, 43, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111931, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 252, 26, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111932, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 177, 44, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111933, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 329, 11, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111934, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 26, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111935, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 1423, 10, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111936, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 479, 52, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111937, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 101, 5, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111938, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 566, 50, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111939, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 596, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111940, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 827, 7, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111941, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 912, 7, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111942, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 296, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111943, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 525, 60, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111944, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 783, 8, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111945, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 447, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111946, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1142, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111947, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 15, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111948, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 215, 23, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111949, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 79, 40, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111950, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 258, 20, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111951, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 166, 17, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111952, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 45, 11, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111953, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 50, 17, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111954, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 8, 10, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111955, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 55, 12, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111956, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 194, 9, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111957, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 480, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111958, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1092, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111959, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 611, 29, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111960, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 385, 18, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111961, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 131, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111962, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 486, 5, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111963, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 1685, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111964, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 727, 14, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111965, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 133, 20, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111966, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 8, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111967, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111968, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 123, 12, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111969, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 573, 13, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111970, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 200, 23, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111971, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 332, 17, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111972, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 89, 10, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111973, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 272, 16, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111974, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 366, 37, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111975, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 14, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111976, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 172, 50, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111977, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 501, 38, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111978, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 346, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111979, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 252, 28, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111980, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 221, 19, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111981, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 221, 22, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111982, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 217, 28, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111983, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 184, 23, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111984, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 281, 18, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111985, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 233, 21, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111986, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 313, 28, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111987, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 85, 8, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111988, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 5, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111989, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 164, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111990, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E18', 875, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111991, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 9, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111992, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '2E29', 419, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111993, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 198, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111994, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 390, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111995, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 202, 7, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111996, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E20', 405, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111997, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 268, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111998, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 51, 5, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (111999, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 25, 10, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (112000, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 21, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (112001, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 369, 32, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (112002, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1503, 6, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (112003, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1240, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (112004, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 140, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (112005, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1809, 5, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (112006, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 613, 3, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (112007, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 729, 2, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (112008, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E28', 399, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (112009, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 249, 17, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (112010, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 33, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (112011, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 78, 1, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (112012, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 633, 7, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (112013, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 4, 2024, 3, 11, '2024-08-05 14:05:23', NULL, NULL), (112014, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 203, 92, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112015, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 110, 59, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112016, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 493, 50, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112017, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 256, 242, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112018, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1060, 74, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112019, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 119, 418, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112020, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 46, 117, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112021, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 198, 126, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112022, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1109, 223, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112023, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 119, 420, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112024, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 264, 118, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112025, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1032, 76, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112026, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 198, 126, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112027, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 251, 247, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112028, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 203, 92, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112029, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1109, 223, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112030, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 46, 117, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112031, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 10357, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112032, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 7873, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112033, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 52, 24, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112034, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 203, 92, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112035, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 388, 54, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112036, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 868, 78, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112037, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 107, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112038, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 0, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112039, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 436, 29, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112040, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 975, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112041, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 711, 5, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112042, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 9, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112043, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1577, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112044, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 199, 29, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112045, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 2, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112046, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1336, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112047, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 431, 12, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112048, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 500, 13, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112049, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 969, 8, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112050, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 46, 117, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112051, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 7, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112052, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112053, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 3, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112054, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 199, 109, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112055, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 97, 53, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112056, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1925, 8, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112057, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 1737, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112058, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 77, 120, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112059, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 295, 5, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112060, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2014, 73, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112061, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 275, 5, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112062, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 189, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112063, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112064, 1, '511500000000-0001', '宜宾市民中心', '从业资格证核发、换补', '', '', '', 0, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 155, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 604, 10, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 382, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 637, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 56, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (112070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 20714, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1336, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2259, 8, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 488, 15, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 322, 17, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 52, 43, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 56, 33, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 581, 5, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 105, 29, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1967, 8, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 3612, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 187, 37, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1357, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1963, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 80, 33, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 240, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1860, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 212, 25, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 71, 43, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1957, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 35, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 22, 11, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 23, 13, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 49, 8, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 186, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 50, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 40, 19, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 430, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 83, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 158, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 269, 17, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 7, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 45, 11, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 96, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 46, 36, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 200, 32, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 625, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 55, 5, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 147, 15, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 227, 25, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 38, 19, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 138, 8, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 2513, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 202, 22, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 358, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 29, 5, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 40, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 52, 27, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 37, 17, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 50, 26, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 54, 23, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 87, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 199, 29, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 124, 40, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 7873, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 223, 25, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 202, 22, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 161, 27, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 159, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 5, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 33, 10, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 45, 9, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 251, 19, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 226, 9, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 21, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 117, 19, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 14, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 1355, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 56, 31, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 2, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 800, 45, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 38, 11, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 102, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 219, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 2, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 138, 9, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 212, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 975, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 360, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 388, 54, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 20, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 32, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 961, 33, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 4, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 14, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1195, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 2189, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 431, 12, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2183, 11, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 2165, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1364, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 4253, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 500, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112166, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 77, 120, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112167, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1336, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112168, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1682, 15, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112169, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 969, 8, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112170, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 295, 5, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112171, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 107, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112172, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 203, 92, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112173, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1925, 8, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112174, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 500, 13, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112175, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 7, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112176, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 868, 78, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112177, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 388, 54, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112178, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 52, 24, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112179, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 199, 29, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112180, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 97, 53, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112181, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 7873, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112182, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112183, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 46, 117, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112184, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 189, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112185, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 9, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112186, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 1737, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112187, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 975, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112188, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2014, 73, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112189, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 20714, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112190, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 275, 5, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112191, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 436, 29, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112192, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 431, 12, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112193, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 14, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112194, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 711, 5, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112195, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 199, 109, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112196, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 3, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112197, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 975, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112198, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 155, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112199, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 604, 10, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112200, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 5, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112201, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 1355, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112202, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1336, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112203, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 388, 54, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112204, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 147, 15, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112205, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 7, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112206, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 96, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112207, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 158, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112208, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 269, 17, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112209, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 430, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112210, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 83, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112211, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 32, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112212, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 20, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112213, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 360, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112214, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 500, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112215, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 20714, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112216, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 251, 19, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112217, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 7873, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112218, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 223, 25, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112219, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 431, 12, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112220, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 1177, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112221, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 14, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112222, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 295, 5, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112223, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 4253, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112224, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 159, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112225, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 161, 27, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112226, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 202, 22, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112227, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1364, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112228, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 1737, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112229, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 2, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112230, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 45, 11, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112231, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 3, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112232, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 7, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112233, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 22, 11, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112234, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 35, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112235, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 49, 8, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112236, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 23, 13, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112237, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 2486, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112238, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 50, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112239, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1957, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112240, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 54, 23, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112241, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 186, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112242, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 124, 40, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112243, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 40, 19, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112244, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 50, 26, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112245, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 37, 17, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112246, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2259, 8, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112247, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112248, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112249, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 87, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112250, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 97, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112251, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 140, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112252, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 56, 31, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112253, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 40, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112254, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2183, 11, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112255, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1195, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112256, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 2189, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112257, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 226, 9, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112258, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 21, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112259, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 33, 10, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112260, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 961, 33, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112261, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 45, 9, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112262, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 800, 45, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112263, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 117, 19, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112264, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 2, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112265, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 14, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112266, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 14, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112267, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 4, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112268, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1357, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112269, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1967, 8, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112270, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 3612, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112271, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1963, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112272, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 199, 29, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112273, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1860, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112274, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 382, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112275, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 581, 5, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112276, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 488, 15, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112277, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 102, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112278, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 219, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112279, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 2, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112280, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 38, 11, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112281, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 138, 9, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112282, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 212, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112283, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 20, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112284, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 32, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112285, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 360, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112286, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2183, 11, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112287, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 2189, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112288, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 56, 31, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112289, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1195, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112290, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 200, 32, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112291, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 500, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112292, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 4253, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112293, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 46, 36, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112294, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 50, 26, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112295, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 251, 19, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112296, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1357, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112297, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112298, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1967, 8, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112299, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 2, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112300, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112301, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 52, 27, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112302, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112303, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 29, 5, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112304, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 38, 19, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112305, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 227, 25, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112306, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 800, 45, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112307, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 961, 33, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112308, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 388, 54, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112309, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 975, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112310, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 54, 23, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112311, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 124, 40, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112312, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 7873, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112313, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 199, 29, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112314, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1336, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112315, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 37, 17, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112316, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 488, 15, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112317, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 155, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112318, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 87, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112319, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 20714, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112320, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 223, 25, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112321, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 186, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112322, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 159, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112323, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 604, 10, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112324, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 49, 8, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112325, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 382, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112326, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 40, 19, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112327, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 637, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112328, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 202, 22, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112329, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 56, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112330, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 50, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112331, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 161, 27, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112332, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 35, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112333, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 45, 11, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112334, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1963, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112335, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 23, 13, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112336, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 3612, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112337, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 22, 11, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112338, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 581, 5, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112339, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 7, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112340, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 40, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112341, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1957, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112342, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1860, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112343, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 14, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112344, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2259, 8, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112345, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 4, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112346, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 83, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112347, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 158, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112348, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 430, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112349, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 269, 17, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112350, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 96, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112351, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 1355, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112352, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112353, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 147, 15, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112354, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 14, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112355, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 45, 9, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112356, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 226, 9, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112357, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 33, 10, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112358, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 21, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112359, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 117, 19, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112360, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 2165, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112361, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1364, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112362, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 431, 12, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112363, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 55, 5, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112364, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 358, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112365, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 625, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112366, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 240, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112367, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 80, 33, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112368, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 138, 8, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112369, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 187, 37, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112370, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 105, 29, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112371, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 202, 22, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112372, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 56, 33, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112373, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 2513, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112374, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 52, 43, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112375, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 322, 17, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112376, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 71, 43, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112377, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 212, 25, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112378, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 7873, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112379, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1957, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112380, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 56, 31, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112381, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1860, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112382, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 54, 23, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112383, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 155, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112384, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 50, 26, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112385, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 431, 12, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112386, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 581, 5, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112387, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 124, 40, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112388, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 3612, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112389, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 604, 10, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112390, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1963, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112391, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112392, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 202, 22, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112393, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 161, 27, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112394, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 159, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112395, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 223, 25, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112396, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 33, 10, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112397, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 226, 9, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112398, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 45, 9, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112399, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 117, 19, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112400, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 21, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112401, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 7, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112402, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2259, 8, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112403, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 140, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112404, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 97, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112405, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 488, 15, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112406, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 382, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112407, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1195, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112408, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 14, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112409, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 2189, 6, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112410, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2183, 11, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112411, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 40, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112412, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 2, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112413, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112414, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 45, 11, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112415, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 35, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112416, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1336, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112417, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 22, 11, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112418, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 23, 13, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112419, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 7, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112420, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 147, 15, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112421, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 800, 45, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112422, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 3, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112423, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 388, 54, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112424, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 961, 33, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112425, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 49, 8, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112426, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 186, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112427, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 50, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112428, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 40, 19, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112429, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 158, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112430, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 269, 17, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112431, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 96, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112432, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 430, 16, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112433, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 83, 14, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112434, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 295, 5, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112435, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 4253, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112436, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 500, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112437, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 975, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112438, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 20714, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112439, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 32, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112440, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 20, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112441, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 360, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112442, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 1737, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112443, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 87, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112444, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 14, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112445, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 37, 17, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112446, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 1177, 3, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112447, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 199, 29, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112448, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1967, 8, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112449, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1357, 7, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112450, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 2, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112451, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1364, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112452, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 2486, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112453, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 251, 19, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112454, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 14, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112455, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 4, 2, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112456, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 1355, 1, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112457, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 4, 2024, 3, 12, '2024-08-05 14:05:24', NULL, NULL), (112458, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 87, 105, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112459, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 75, 40, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112460, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 558, 58, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112461, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 302, 246, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112462, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 574, 59, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112463, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 45, 419, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112464, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 127, 153, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112465, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 277, 128, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112466, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 680, 246, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112467, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 47, 421, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112468, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 340, 104, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112469, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 574, 59, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112470, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 277, 128, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112471, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 299, 249, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112472, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 87, 105, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112473, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 678, 246, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112474, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 127, 153, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112475, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 41, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112476, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 48, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112477, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 88, 104, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112478, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 181, 51, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (112479, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 161, 82, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112480, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 249, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112481, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 532, 32, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112482, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 655, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112483, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 229, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112484, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 1780, 13, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112485, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1159, 13, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112486, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 169, 25, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112487, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112488, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 27, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112489, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 430, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112490, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 174, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112491, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 30, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112492, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 128, 152, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112493, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 5, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112494, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1088, 7, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112495, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 5, 35, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112496, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 211, 120, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112497, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1387, 11, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112498, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 31, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112499, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 109, 111, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112500, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 86, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112501, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1401, 101, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112502, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 5, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112503, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 565, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112504, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 124, 7, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112505, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112506, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '', '', '', 18, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 287, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 3, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 793, 17, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 66, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 330, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 27, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 986, 14, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 236, 15, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 123, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 28, 36, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1019, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 31, 31, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 18, 32, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1633, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1308, 7, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 16, 48, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1723, 9, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 986, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 11, 41, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 43, 19, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1625, 17, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 50, 17, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 18, 29, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1508, 19, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 59, 14, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 191, 8, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 107, 14, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 79, 19, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 148, 24, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 151, 20, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A11', 76, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 47, 18, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 178, 24, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 36, 20, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 26, 13, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 209, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 188, 15, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 46, 17, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 55, 26, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 10, 33, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 137, 20, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 25, 16, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 124, 50, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 84, 9, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 304, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 970, 27, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 396, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 167, 26, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 174, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 85, 38, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 125, 21, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 57, 8, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 11, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 118, 32, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 169, 25, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 83, 28, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 41, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 280, 40, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 178, 18, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 266, 22, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 126, 25, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 9, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 5, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 9, 11, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 165, 11, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 1327, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 491, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 127, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 1398, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 113, 30, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 132, 35, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 953, 14, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 7, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 123, 20, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 79, 23, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 70, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 655, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 227, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 181, 51, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 113, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 24, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 187, 46, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1561, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1917, 8, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1045, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1817, 8, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1460, 12, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 430, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 671, 9, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 3082, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 30, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 30, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112604, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 109, 111, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112605, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 27, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112606, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1159, 13, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112607, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 30, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112608, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 86, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112609, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 249, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112610, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 88, 104, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112611, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1387, 11, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112612, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 174, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112613, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 5, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112614, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 163, 81, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112615, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 181, 51, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112616, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 48, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112617, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 169, 25, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112618, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '市税务局', '', '', 18, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112619, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 5, 35, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112620, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 41, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112621, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112622, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 128, 152, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112623, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 124, 7, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112624, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 1780, 13, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112625, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 31, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112626, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 655, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112627, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1401, 101, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112628, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 565, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112629, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 532, 32, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112630, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 430, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112631, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 229, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112632, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 217, 117, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112633, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 5, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112634, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1088, 7, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112635, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 655, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112636, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 287, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112637, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 3, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112638, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 9, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112639, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 1398, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112640, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 27, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112641, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 181, 51, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112642, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 25, 16, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112643, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 5, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112644, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 46, 17, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112645, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 36, 20, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112646, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 209, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112647, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 50, 17, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112648, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 178, 24, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112649, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 24, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112650, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 113, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112651, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 227, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112652, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 30, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112653, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 165, 11, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112654, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 41, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112655, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 127, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112656, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 280, 40, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112657, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 430, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112658, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 229, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112659, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 86, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112660, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 30, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112661, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 126, 25, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112662, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 266, 22, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112663, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 178, 18, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112664, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 3082, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112665, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 491, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112666, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 31, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112667, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112668, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 188, 15, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112669, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 1327, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112670, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 26, 13, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112671, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 191, 8, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112672, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 59, 14, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112673, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 79, 19, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112674, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 107, 14, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112675, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1508, 19, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112676, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 752, 8, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112677, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 148, 24, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112678, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 118, 32, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112679, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 83, 28, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112680, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 158, 19, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112681, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 125, 21, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112682, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 57, 8, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112683, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112684, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 986, 14, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112685, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 7, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112686, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 11, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112687, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 66, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112688, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 432, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112689, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 113, 30, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112690, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '', '', '2B01', 18, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112691, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1817, 8, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112692, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 167, 26, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112693, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1460, 12, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112694, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1045, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112695, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 9, 11, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112696, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112697, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112698, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 187, 46, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112699, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 5, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112700, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 132, 35, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112701, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112702, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 1917, 8, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112703, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 1561, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112704, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 986, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112705, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1308, 7, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112706, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1633, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112707, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E19', 5, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112708, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1723, 9, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112709, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 169, 25, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112710, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1625, 17, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112711, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 793, 17, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112712, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1019, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112713, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 236, 15, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112714, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 123, 20, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112715, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 953, 14, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112716, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 79, 23, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112717, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 70, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112718, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 113, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112719, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 24, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112720, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 227, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112721, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1460, 12, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112722, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1817, 8, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112723, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1045, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112724, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 113, 30, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112725, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 10, 33, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112726, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A11', 76, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112727, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 30, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112728, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 30, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112729, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 55, 26, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112730, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 125, 21, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112731, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 165, 11, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112732, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 986, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112733, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 127, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112734, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 1327, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112735, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 491, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112736, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1308, 7, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112737, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112738, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112739, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 85, 38, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112740, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 7, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112741, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 174, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112742, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 84, 9, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112743, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 124, 50, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112744, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 132, 35, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112745, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 187, 46, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112746, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 181, 51, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112747, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 655, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112748, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 118, 32, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112749, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 83, 28, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112750, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 41, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112751, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 27, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112752, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 169, 25, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112753, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 236, 15, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112754, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 57, 8, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112755, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 287, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112756, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 11, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112757, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 280, 40, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112758, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 126, 25, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112759, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 3, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112760, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 793, 17, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112761, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 79, 19, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112762, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 66, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112763, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 151, 20, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112764, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 178, 18, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112765, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 266, 22, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112766, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 148, 24, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112767, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 330, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112768, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 59, 14, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112769, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1723, 9, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112770, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 188, 15, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112771, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1633, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112772, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 107, 14, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112773, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 191, 8, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112774, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1019, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112775, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 26, 13, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112776, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 167, 26, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112777, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1508, 19, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112778, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1625, 17, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112779, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1917, 8, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112780, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 986, 14, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112781, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1561, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112782, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 178, 24, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112783, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 36, 20, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112784, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 47, 18, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112785, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 209, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112786, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 46, 17, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112787, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 1398, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112788, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 9, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112789, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 25, 16, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112790, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112791, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 9, 11, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112792, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112793, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112794, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112795, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 671, 9, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112796, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 3082, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112797, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 430, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112798, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 137, 20, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112799, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 396, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112800, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 43, 19, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112801, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 11, 41, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112802, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 304, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112803, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 16, 48, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112804, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 18, 32, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112805, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 970, 27, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112806, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 31, 31, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112807, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 28, 36, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112808, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 123, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112809, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 18, 29, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112810, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 50, 17, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112811, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1508, 19, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112812, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 113, 30, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112813, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 41, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112814, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1625, 17, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112815, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 118, 32, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112816, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 287, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112817, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 125, 21, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112818, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1019, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112819, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 430, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112820, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 83, 28, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112821, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1633, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112822, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 3, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112823, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1723, 9, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112824, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 7, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112825, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 178, 18, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112826, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 266, 22, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112827, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 126, 25, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112828, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 280, 40, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112829, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112830, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 9, 11, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112831, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112832, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112833, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112834, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 5, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112835, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 986, 14, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112836, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 432, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112837, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 66, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112838, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 236, 15, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112839, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 793, 17, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112840, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1045, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112841, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '市税务局', '', '2B01', 18, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112842, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1817, 8, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112843, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1460, 12, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112844, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 167, 26, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112845, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112846, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112847, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 188, 15, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112848, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 27, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112849, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 59, 14, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112850, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 191, 8, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112851, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 107, 14, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112852, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 26, 13, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112853, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 25, 16, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112854, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 132, 35, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112855, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 1327, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112856, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 181, 51, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112857, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 187, 46, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112858, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 491, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112859, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 79, 19, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112860, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 148, 24, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112861, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 158, 19, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112862, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 36, 20, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112863, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 209, 10, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112864, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 46, 17, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112865, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 50, 17, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112866, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 178, 24, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112867, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 86, 4, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112868, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 30, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112869, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 30, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112870, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 655, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112871, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E19', 5, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112872, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 24, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112873, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 113, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112874, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 227, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112875, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 31, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112876, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 11, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112877, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 127, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112878, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 229, 1, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112879, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 57, 8, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112880, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 169, 25, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112881, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1308, 7, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112882, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 986, 6, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112883, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 3082, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112884, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 752, 8, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112885, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 165, 11, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112886, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 1917, 8, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112887, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 1561, 5, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112888, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 1398, 2, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (112889, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 9, 3, 2024, 3, 13, '2024-08-05 14:05:25', NULL, NULL), (112890, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 73, 85, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112891, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 29, 39, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112892, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 505, 48, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112893, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 258, 208, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112894, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 392, 62, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112895, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 32, 384, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112896, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 66, 136, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112897, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 261, 95, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112898, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 458, 206, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112899, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 32, 384, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112900, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 272, 93, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112901, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 386, 63, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112902, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 258, 96, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112903, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 258, 208, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112904, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 73, 85, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112905, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 458, 206, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112906, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 66, 136, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112907, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 1016, 5, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112908, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 61, 18, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112909, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 74, 84, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112910, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 233, 50, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112911, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 244, 66, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112912, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 229, 7, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112913, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 305, 33, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112914, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 9, 3, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112915, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 33, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112916, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 723, 4, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112917, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 868, 11, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112918, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 100, 25, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112919, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 6, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112920, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 6, 4, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112921, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 839, 8, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112922, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 180, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112923, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 432, 7, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112924, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 505, 5, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112925, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 65, 135, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112926, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 6, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112927, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 3769, 2, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112928, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 29, 37, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112929, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 263, 79, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112930, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 448, 8, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112931, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 3212, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112932, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 193, 87, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112933, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 294, 5, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112934, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 791, 81, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112935, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 6, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112936, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 22, 2, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112937, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112938, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 41, 14, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 942, 3, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 49, 4, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 329, 15, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 20, 2, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 266, 6, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 6, 4, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 752, 9, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 284, 18, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 35, 17, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 24, 39, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 790, 8, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 14, 28, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 18, 35, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 602, 4, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 868, 6, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 9, 45, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1190, 6, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1102, 9, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 18, 22, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 2, 8, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 831, 12, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 51, 16, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 12, 29, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 824, 7, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 3, 5, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 84, 16, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 57, 16, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 20, 14, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 19, 5, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 118, 20, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 91, 25, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 99, 16, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 42, 16, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 37, 15, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 96, 7, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 19, 21, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 14, 3, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 78, 8, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 66, 32, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 17, 29, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 82, 3, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 121, 9, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 213, 14, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 77, 28, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 59, 26, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 282, 6, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 423, 3, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 975, 17, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 335, 10, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 20, 20, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 55, 30, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 204, 22, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 31, 10, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 97, 8, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 190, 31, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 196, 13, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 100, 25, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1270, 4, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 220, 26, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 348, 27, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (112999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 162, 11, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 165, 12, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 7, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 6, 8, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 49, 5, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 41, 9, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 48, 8, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 7237, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 302, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 642, 3, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 22, 2, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 186, 21, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 114, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 248, 45, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 135, 14, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 30, 15, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 140, 6, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 253, 12, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 246, 6, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 9, 3, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 30, 3, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 233, 50, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 43, 6, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 29, 4, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 234, 21, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1309, 2, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 137, 2, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 606, 11, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 728, 5, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 839, 8, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 702, 14, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1130, 6, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 7, 3, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 20, 2, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 829, 3, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113035, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 193, 87, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113036, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 6, 4, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113037, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 955, 10, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113038, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 505, 5, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113039, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 294, 5, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113040, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 229, 7, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113041, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 74, 84, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113042, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 432, 7, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113043, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 448, 8, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113044, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 6, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113045, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 244, 66, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113046, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 233, 50, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113047, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 61, 18, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113048, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 100, 25, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113049, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 29, 37, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113050, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 1270, 4, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113051, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113052, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 65, 135, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113053, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 723, 4, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113054, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 41, 14, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113055, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 3212, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113056, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 9, 3, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113057, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 791, 81, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113058, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 22, 2, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113059, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 305, 33, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113060, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 839, 8, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113061, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 180, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113062, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 33, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113063, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 263, 79, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113064, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 6, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113065, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 3769, 2, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113066, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 9, 3, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113067, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 942, 3, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113068, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 49, 4, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113069, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 22, 2, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113070, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 6, 4, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113071, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 233, 50, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113072, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 213, 14, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113073, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 6, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113074, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 14, 3, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113075, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 37, 15, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113076, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 19, 20, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113077, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 99, 16, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113078, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 42, 16, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113079, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 29, 4, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113080, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 43, 6, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113081, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 30, 3, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113082, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 829, 3, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113083, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B02', 180, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113084, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 1270, 4, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113085, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 642, 3, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113086, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 220, 26, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113087, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 839, 8, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113088, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 33, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113089, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 294, 5, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113090, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 20, 2, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113091, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 165, 12, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113092, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 162, 11, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113093, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 348, 27, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113094, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 7, 3, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113095, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 302, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113096, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113097, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 3212, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113098, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 78, 8, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113099, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 7237, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113100, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 96, 7, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113101, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 84, 16, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113102, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 3, 5, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113103, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 20, 14, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113104, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 57, 16, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113105, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 713, 5, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113106, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 115, 19, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113107, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 190, 31, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113108, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 824, 7, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113109, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 19, 5, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113110, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 196, 13, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113111, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 91, 25, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113112, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E16', 6, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113113, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 204, 22, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113114, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 31, 10, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113115, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 752, 9, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113116, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 97, 8, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113117, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 7, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113118, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 266, 6, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113119, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 186, 21, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113120, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 728, 5, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113121, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 20, 20, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113122, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 702, 14, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113123, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 606, 11, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113124, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 49, 5, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113125, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 41, 9, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113126, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 7, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113127, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 234, 21, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113128, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 6, 8, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113129, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 248, 45, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113130, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 48, 8, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113131, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 114, 1, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113132, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 137, 2, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113133, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 1309, 2, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113134, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1190, 6, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113135, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 602, 4, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113136, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 868, 6, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113137, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1102, 9, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113138, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 831, 12, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113139, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 100, 25, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113140, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 329, 15, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113141, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 790, 8, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113142, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 284, 18, 2024, 3, 14, '2024-08-05 14:05:25', NULL, NULL), (113143, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 30, 15, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113144, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 140, 6, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113145, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 114, 1, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113146, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 135, 14, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113147, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 253, 12, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113148, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 246, 6, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113149, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 43, 6, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113150, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 29, 4, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113151, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 30, 3, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113152, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 702, 14, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113153, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 728, 5, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113154, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 186, 21, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113155, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 606, 11, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113156, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 17, 29, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113157, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 829, 3, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113158, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 20, 2, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113159, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 66, 32, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113160, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 204, 22, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113161, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1190, 6, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113162, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 642, 3, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113163, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 7237, 1, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113164, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 602, 4, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113165, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 302, 1, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113166, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 1, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113167, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 55, 30, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113168, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 59, 26, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113169, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 77, 28, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113170, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 248, 45, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113171, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 234, 21, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113172, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 233, 50, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113173, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 9, 3, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113174, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 190, 31, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113175, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 196, 13, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113176, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1270, 4, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113177, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 6, 4, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113178, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 100, 25, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113179, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 31, 10, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113180, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 284, 18, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113181, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 942, 3, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113182, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 97, 8, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113183, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 220, 26, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113184, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 49, 4, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113185, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 165, 12, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113186, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 19, 5, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113187, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 329, 15, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113188, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 20, 14, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113189, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 91, 25, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113190, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 20, 2, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113191, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 348, 27, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113192, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 266, 6, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113193, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 118, 20, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113194, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 162, 11, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113195, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 3, 5, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113196, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 78, 8, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113197, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1102, 9, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113198, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 57, 16, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113199, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 868, 6, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113200, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 84, 16, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113201, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 790, 8, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113202, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 96, 7, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113203, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 20, 20, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113204, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 824, 7, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113205, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 831, 12, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113206, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 137, 2, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113207, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 752, 9, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113208, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1309, 2, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113209, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 42, 16, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113210, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 37, 15, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113211, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 99, 16, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113212, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 19, 21, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113213, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 14, 3, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113214, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 22, 2, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113215, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 213, 14, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113216, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 8, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113217, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 49, 5, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113218, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 7, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113219, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 41, 9, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113220, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 48, 8, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113221, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1130, 6, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113222, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 7, 3, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113223, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 839, 8, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113224, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 121, 9, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113225, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 335, 10, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113226, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 82, 3, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113227, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 2, 8, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113228, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 18, 22, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113229, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 282, 6, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113230, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 9, 45, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113231, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 18, 35, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113232, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 975, 17, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113233, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 14, 28, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113234, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 423, 3, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113235, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 24, 39, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113236, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 35, 17, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113237, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 12, 29, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113238, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 51, 16, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113239, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 1270, 4, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113240, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 186, 21, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113241, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 824, 7, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113242, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 831, 12, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113243, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 190, 31, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113244, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 942, 3, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113245, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 204, 22, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113246, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 839, 8, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113247, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 790, 8, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113248, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 196, 13, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113249, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 868, 6, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113250, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 49, 4, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113251, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1102, 9, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113252, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 348, 27, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113253, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 162, 11, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113254, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 165, 12, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113255, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 220, 26, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113256, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 7, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113257, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 49, 5, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113258, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 8, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113259, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 48, 8, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113260, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 41, 9, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113261, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 6, 1, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113262, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 752, 9, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113263, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 266, 6, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113264, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 7, 1, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113265, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 284, 18, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113266, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 329, 15, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113267, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 606, 11, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113268, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 728, 5, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113269, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 702, 14, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113270, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 20, 20, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113271, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E16', 6, 1, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113272, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 1, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113273, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 78, 8, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113274, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 6, 4, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113275, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 3, 5, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113276, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 84, 16, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113277, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 57, 16, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113278, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 96, 7, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113279, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 213, 14, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113280, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 248, 45, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113281, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 7237, 1, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113282, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 233, 50, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113283, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 234, 21, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113284, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 302, 1, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113285, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 20, 14, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113286, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 19, 5, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113287, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 115, 19, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113288, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 91, 25, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113289, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 37, 15, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113290, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 19, 20, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113291, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 14, 3, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113292, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 99, 16, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113293, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 42, 16, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113294, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 294, 5, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113295, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 20, 2, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113296, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 829, 3, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113297, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 9, 3, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113298, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 29, 4, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113299, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 43, 6, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113300, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 30, 3, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113301, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 3212, 1, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113302, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 97, 8, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113303, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 642, 3, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (113304, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 31, 10, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113305, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 33, 1, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113306, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 602, 4, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113307, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 100, 25, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113308, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1190, 6, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113309, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 114, 1, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113310, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 7, 3, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113311, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 713, 5, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113312, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 137, 2, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113313, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 1309, 2, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113314, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B02', 180, 1, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113315, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 22, 2, 2024, 3, 14, '2024-08-05 14:05:26', NULL, NULL), (113316, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 84, 82, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113317, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 15, 47, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113318, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 404, 40, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113319, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 263, 197, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113320, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 886, 68, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113321, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 49, 430, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113322, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 434, 119, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113323, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 238, 158, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113324, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 992, 254, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113325, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 49, 430, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113326, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 184, 92, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113327, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 861, 70, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113328, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 434, 119, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113329, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 263, 197, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113330, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 992, 254, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113331, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 84, 82, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113332, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 238, 158, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113333, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113334, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 5441, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113335, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 62, 9, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113336, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 107, 54, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113337, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 84, 82, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113338, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 194, 78, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113339, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 594, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113340, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 454, 34, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113341, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 120, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113342, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 792, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113343, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 257, 1, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113344, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1799, 18, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113345, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 188, 21, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113346, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 5, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113347, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1290, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113348, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 904, 8, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113349, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 439, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113350, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 310, 5, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113351, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 238, 158, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113352, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1144, 5, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113353, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 15, 46, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113354, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 171, 91, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113355, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1227, 8, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113356, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 305, 115, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113357, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 9, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113358, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2141, 107, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113359, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 39, 1, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113360, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 8, 6, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113361, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 100, 10, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 309, 23, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 49, 6, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 439, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 387, 30, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 89, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 454, 34, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 243, 34, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 188, 21, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 5441, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 424, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 855, 5, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 168, 30, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 173, 19, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1290, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 185, 19, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2471, 13, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 203, 17, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 35, 26, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 7, 8, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 15, 32, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1281, 10, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 25, 5, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 57, 29, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 5, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 33, 33, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2677, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 934, 9, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 25, 15, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 52, 36, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 10, 10, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 41, 6, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2664, 9, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 9, 46, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 58, 12, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1323, 16, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 322, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 2378, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 48, 20, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 39, 1, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 43, 29, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2813, 20, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 289, 28, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 384, 30, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 180, 47, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 72, 15, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 158, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 182, 8, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 304, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 12, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 154, 22, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 288, 11, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 135, 9, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 1, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 9, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 264, 20, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 186, 21, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 74, 17, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 70, 11, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 120, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 149, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 107, 54, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 79, 17, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 64, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 89, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 53, 28, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 368, 18, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 45, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 214, 31, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 94, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 257, 1, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 17, 32, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1347, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 3590, 12, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 614, 7, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1943, 8, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 760, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 904, 8, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 145, 9, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1457, 6, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 102, 44, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 538, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 138, 27, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 176, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 102, 7, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 387, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 437, 6, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 403, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 43, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 249, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 89, 11, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 88, 18, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 19, 25, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113456, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 305, 115, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113457, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1290, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113458, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1799, 18, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113459, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 310, 5, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113460, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 9, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113461, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 594, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113462, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 84, 82, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113463, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1227, 8, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113464, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 439, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113465, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 194, 78, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113466, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 107, 54, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113467, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 62, 9, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113468, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 188, 21, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113469, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 15, 46, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113470, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 5441, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113471, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 8, 6, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113472, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 238, 158, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113473, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 257, 1, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113474, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 100, 10, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113475, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 120, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113476, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2141, 107, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113477, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 39, 1, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113478, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 454, 34, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113479, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 904, 8, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113480, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 792, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113481, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 171, 91, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113482, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1144, 5, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113483, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 120, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113484, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 439, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113485, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 39, 1, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113486, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1290, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113487, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 107, 54, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113488, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 145, 9, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113489, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 94, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113490, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 79, 17, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113491, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 64, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113492, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 74, 17, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113493, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 70, 11, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113494, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 45, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113495, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 89, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113496, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 149, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113497, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 249, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113498, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 41, 6, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113499, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 5441, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113500, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 168, 30, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113501, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 904, 8, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113502, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 1174, 1, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113503, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 665, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113504, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 9, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113505, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 403, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113506, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 203, 17, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113507, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 185, 19, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113508, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 173, 19, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113509, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 538, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113510, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 2378, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113511, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 7, 8, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113512, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 1, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113513, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 368, 18, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113514, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 322, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113515, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 72, 15, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113516, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 384, 30, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113517, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 154, 22, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113518, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 304, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113519, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2813, 20, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113520, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 387, 30, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113521, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1457, 6, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113522, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 264, 20, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113523, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 243, 34, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113524, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 309, 23, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113525, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 186, 21, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113526, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 49, 6, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113527, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 12, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113528, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2471, 13, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113529, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113530, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 89, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113531, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 49, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113532, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1139, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113533, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 289, 28, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113534, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 1943, 8, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113535, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 760, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113536, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 88, 18, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113537, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 3590, 12, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113538, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 25, 15, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113539, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 10, 10, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113540, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 25, 5, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113541, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 214, 31, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113542, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 4, 5, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113543, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 180, 47, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113544, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113545, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 257, 1, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113546, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2664, 9, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113547, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 934, 9, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113548, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2677, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113549, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 188, 21, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113550, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1323, 16, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113551, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 454, 34, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113552, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1281, 10, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113553, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 182, 8, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113554, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 288, 11, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113555, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 158, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113556, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 135, 9, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113557, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 9, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113558, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 89, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113559, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 45, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113560, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 149, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113561, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 760, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113562, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1943, 8, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113563, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 289, 28, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113564, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 3590, 12, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113565, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 17, 32, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113566, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 249, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113567, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 403, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113568, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 53, 28, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113569, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 309, 23, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113570, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 41, 6, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113571, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2664, 9, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113572, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 322, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113573, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 2378, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113574, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 934, 9, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113575, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 1, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113576, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 12, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113577, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 19, 25, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113578, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113579, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 89, 11, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113580, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 138, 27, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113581, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 180, 47, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113582, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 102, 44, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113583, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 214, 31, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113584, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 107, 54, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113585, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 120, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113586, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 387, 30, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113587, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 243, 34, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113588, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 5441, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113589, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 70, 11, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113590, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1290, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113591, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 188, 21, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113592, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 79, 17, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113593, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 49, 6, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113594, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 89, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113595, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 74, 17, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113596, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 439, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113597, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 64, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113598, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 94, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113599, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 168, 30, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113600, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 203, 17, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113601, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 454, 34, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113602, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 154, 22, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113603, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 186, 21, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113604, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 173, 19, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113605, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 424, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113606, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 855, 5, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113607, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 264, 20, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113608, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 185, 19, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113609, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 384, 30, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113610, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 368, 18, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113611, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2677, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113612, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 304, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113613, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 72, 15, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113614, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1281, 10, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113615, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 39, 1, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113616, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 145, 9, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113617, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 5, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113618, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 25, 15, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113619, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 7, 8, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113620, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 25, 5, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113621, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 10, 10, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113622, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113623, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1457, 6, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113624, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 538, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113625, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 904, 8, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113626, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 88, 18, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113627, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2813, 20, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113628, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1323, 16, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113629, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 614, 7, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113630, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 43, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113631, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 437, 6, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113632, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1347, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113633, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 58, 12, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113634, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 9, 46, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113635, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 176, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113636, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2471, 13, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113637, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 52, 36, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113638, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 33, 33, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113639, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 387, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113640, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 57, 29, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113641, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 257, 1, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113642, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 102, 7, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113643, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 15, 32, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113644, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 35, 26, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113645, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 43, 29, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113646, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 48, 20, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113647, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2813, 20, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113648, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 289, 28, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113649, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 5441, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113650, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1323, 16, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113651, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 387, 30, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113652, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 309, 23, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113653, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 439, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113654, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1281, 10, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113655, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 904, 8, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113656, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 243, 34, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113657, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2677, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113658, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113659, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 173, 19, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113660, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 185, 19, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113661, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 203, 17, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113662, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 168, 30, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113663, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 25, 5, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113664, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 7, 8, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113665, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 25, 15, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113666, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 5, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113667, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113668, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 10, 10, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113669, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2471, 13, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113670, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1139, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113671, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 49, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113672, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 454, 34, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113673, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 3590, 12, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113674, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 1943, 8, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113675, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 760, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113676, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 88, 18, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113677, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 1, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113678, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 12, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113679, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 368, 18, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113680, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1290, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113681, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 384, 30, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113682, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 72, 15, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113683, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 304, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113684, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 145, 9, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113685, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 180, 47, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113686, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 322, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113687, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 107, 54, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113688, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 214, 31, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113689, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 2378, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113690, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 154, 22, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113691, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 264, 20, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113692, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 186, 21, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113693, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 79, 17, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113694, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 64, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113695, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 94, 14, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113696, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 74, 17, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113697, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 70, 11, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113698, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 9, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113699, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 403, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113700, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 249, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113701, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 120, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113702, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 45, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113703, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 89, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113704, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 149, 4, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113705, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 89, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113706, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 665, 3, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113707, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 49, 6, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113708, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 1174, 1, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113709, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 188, 21, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113710, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 934, 9, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113711, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2664, 9, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113712, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 538, 2, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113713, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1457, 6, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (113714, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 41, 6, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113715, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 257, 1, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113716, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 39, 1, 2024, 3, 15, '2024-08-05 14:05:26', NULL, NULL), (113717, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 1740, 3, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113718, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 374, 5, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113719, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1286, 119, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113720, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1171, 30, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113721, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 64, 1, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113722, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1276, 120, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113723, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1134, 31, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113724, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 312, 6, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113725, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 1740, 3, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113726, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 64, 1, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113727, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 64, 1, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113728, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 395, 3, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113729, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 1740, 3, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113730, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 343, 2, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113731, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 1, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113732, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 0, 1, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113733, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 1134, 31, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1171, 30, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 395, 3, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 64, 1, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 2675, 17, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 166, 13, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 2028, 31, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 343, 2, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 1740, 3, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 66, 26, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 2829, 13, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 288, 12, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 89, 7, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113746, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 1171, 30, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113747, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 395, 3, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113748, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 64, 1, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113749, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 1740, 3, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113750, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 343, 2, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113751, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 343, 2, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113752, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 1171, 30, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113753, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 1740, 3, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113754, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 395, 3, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113755, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 64, 1, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113756, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 395, 3, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113757, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 1740, 3, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113758, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 343, 2, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113759, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 89, 7, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113760, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 2829, 13, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113761, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 64, 1, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113762, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 288, 12, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113763, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 2028, 31, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113764, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 2675, 17, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113765, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 166, 13, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113766, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1171, 30, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113767, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 66, 26, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113768, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 1740, 3, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113769, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 343, 2, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113770, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 395, 3, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113771, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 1171, 30, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113772, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 64, 1, 2024, 3, 16, '2024-08-05 14:05:27', NULL, NULL), (113773, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 13, 3, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113774, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1317, 74, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113775, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1327, 1, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113776, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 263, 31, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113777, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1299, 75, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113778, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 254, 32, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113779, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 13, 3, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113780, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1327, 1, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113781, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1327, 1, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113782, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 6, 1, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113783, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 16, 2, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113784, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 254, 32, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 123, 6, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 6, 1, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 296, 25, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 16, 2, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 10, 3, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 2693, 7, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1327, 1, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 2311, 33, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 11, 13, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 60, 7, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1352, 1, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 40, 10, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113797, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 263, 31, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113798, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 6, 1, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113799, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 1327, 1, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113800, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 16, 2, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113801, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 123, 6, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113802, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 296, 25, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113803, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 1327, 1, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113804, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 6, 1, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113805, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 16, 2, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113806, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 6, 1, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113807, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 16, 2, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113808, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1327, 1, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113809, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 40, 10, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113810, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 60, 7, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113811, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1352, 1, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113812, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 2311, 33, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113813, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 10, 3, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113814, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 2693, 7, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113815, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 123, 6, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113816, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 11, 13, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113817, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 296, 25, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113818, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 1327, 1, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113819, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 6, 1, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113820, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 123, 6, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113821, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 296, 25, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113822, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 16, 2, 2024, 3, 17, '2024-08-05 14:05:28', NULL, NULL), (113823, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 101, 103, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113824, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 10, 59, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113825, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 102, 33, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113826, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 247, 194, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113827, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 844, 97, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113828, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 119, 514, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113829, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 238, 156, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113830, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 282, 130, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113831, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1160, 260, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113832, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 119, 514, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113833, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 40, 99, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113834, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 844, 97, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113835, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 279, 131, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113836, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 247, 194, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113837, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 100, 104, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113838, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1160, 260, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113839, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 238, 156, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113840, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 986, 7, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113841, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 6, 21, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113842, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 102, 102, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113843, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 287, 60, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113844, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 675, 98, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113845, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 118, 4, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113846, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 441, 42, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113847, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 11, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113848, 1, '511500000000-0001', '宜宾市民中心', '收费', '', '', '', 0, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113849, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1207, 4, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113850, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 18, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113851, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 3103, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113852, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 114, 26, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113853, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 6, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113854, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 295, 16, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113855, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2159, 10, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113856, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 423, 16, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113857, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1349, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113858, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 238, 156, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113859, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 11, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113860, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 14, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113861, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 9, 51, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113862, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 138, 72, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113863, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 229, 12, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113864, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 243, 122, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113865, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 51, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113866, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2460, 86, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113867, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 12, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113868, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 16, 9, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113869, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 6, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113870, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 74, 6, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113871, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 43, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 713, 9, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 49, 7, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 174, 6, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 122, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 986, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 295, 16, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 3258, 34, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 486, 36, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 72, 29, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 68, 33, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1851, 4, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 56, 26, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 50, 53, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3121, 12, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1651, 11, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 26, 52, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3031, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 660, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 84, 57, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 58, 28, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 121, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 39, 48, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1528, 8, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 290, 26, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 266, 17, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 223, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 161, 11, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 130, 7, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 237, 28, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 278, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 71, 17, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 65, 20, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 415, 11, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 100, 20, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 599, 17, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 251, 17, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 45, 13, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 66, 26, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 23, 10, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 64, 18, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 115, 34, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 77, 17, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 28, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 6, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 161, 10, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 164, 9, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 150, 24, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 90, 19, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 375, 60, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 190, 27, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 3, 16, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 16, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 242, 25, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 340, 36, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 114, 26, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 986, 7, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 192, 21, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 93, 8, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 124, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 130, 18, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 20, 11, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 5, 12, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 41, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 9, 12, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 105, 9, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 7, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 9, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 34, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 23, 6, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 184, 34, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 32, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 616, 75, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 6, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 4, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 23, 9, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 701, 12, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 104, 11, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 31, 6, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 11, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 165, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 287, 60, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 43, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 867, 23, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 24, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 18, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1609, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2960, 10, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2159, 10, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1985, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 272, 10, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 11, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 1349, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113968, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 243, 122, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113969, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 295, 16, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113970, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3103, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113971, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1349, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113972, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 51, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113973, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 118, 4, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113974, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 103, 101, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113975, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 423, 16, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113976, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 229, 12, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113977, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 11, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113978, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 675, 98, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113979, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 287, 60, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113980, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 6, 21, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113981, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 114, 26, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113982, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 9, 51, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113983, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 986, 7, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113984, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 6, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113985, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 238, 156, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113986, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 18, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113987, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 74, 6, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113988, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 11, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113989, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2460, 86, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113990, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 18, 8, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113991, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 441, 42, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113992, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2159, 10, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113993, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1207, 4, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113994, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 138, 72, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113995, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 12, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113996, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 43, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113997, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 14, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113998, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 11, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (113999, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 713, 9, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114000, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 49, 7, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114001, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114002, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 23, 6, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114003, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 295, 16, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114004, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 287, 60, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114005, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 64, 18, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114006, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 11, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114007, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 45, 13, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114008, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 65, 20, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114009, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 105, 19, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114010, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 278, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114011, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 74, 16, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114012, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 24, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114013, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 165, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114014, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 1349, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114015, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 105, 9, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114016, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 41, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114017, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 986, 7, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114018, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 192, 21, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114019, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2159, 10, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114020, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 86, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114021, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1580, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114022, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 51, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114023, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 130, 18, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114024, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 124, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114025, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 93, 8, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114026, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 11, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114027, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 34, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114028, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114029, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 251, 17, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114030, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 415, 11, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114031, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114032, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 266, 17, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114033, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 290, 26, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114034, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 161, 11, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114035, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 223, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114036, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 1528, 8, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114037, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 242, 25, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114038, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 272, 10, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114039, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 130, 7, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114040, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 340, 36, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114041, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E16', 5, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114042, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 190, 27, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114043, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 237, 28, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114044, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 3, 16, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114045, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114046, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 3258, 34, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114047, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 4, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114048, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 16, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114049, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 141, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114050, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 184, 34, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114051, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 95, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114052, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2960, 10, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114053, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1985, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114054, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 150, 24, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114055, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 1609, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114056, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 9, 12, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114057, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 7, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114058, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 867, 23, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114059, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 20, 11, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114060, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 5, 12, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114061, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 616, 75, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114062, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 9, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114063, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 32, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114064, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 18, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114065, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E28', 43, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114066, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 3031, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114067, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 3121, 12, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114068, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 1651, 11, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114069, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E18', 19, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114070, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 660, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114071, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 114, 26, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114072, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 174, 6, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114073, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1851, 4, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114074, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 486, 36, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114075, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 23, 9, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114076, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 701, 12, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114077, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 32, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114078, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 6, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114079, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 104, 11, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114080, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 31, 6, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114081, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 43, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114082, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 24, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114083, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 165, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114084, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1985, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114085, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2960, 10, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114086, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1609, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114087, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 184, 34, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114088, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 66, 26, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114089, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 1349, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114090, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 599, 17, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114091, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 190, 27, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114092, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 41, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114093, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 105, 9, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114094, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3031, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114095, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114096, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 34, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114097, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3121, 12, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114098, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 6, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114099, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114100, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 375, 60, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114101, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 4, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114102, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 90, 19, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114103, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 77, 17, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114104, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 115, 34, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114105, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 616, 75, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114106, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 867, 23, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114107, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 287, 60, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114108, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 11, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114109, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 242, 25, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114110, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 340, 36, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114111, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 986, 7, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114112, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 295, 16, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114113, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 114, 26, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114114, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 486, 36, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114115, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 3, 16, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114116, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 713, 9, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114117, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 16, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114118, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 192, 21, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114119, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 130, 7, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114120, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 49, 7, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114121, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 130, 18, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114122, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 174, 6, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114123, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 161, 11, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114124, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 122, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114125, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 93, 8, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114126, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 237, 28, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114127, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 124, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114128, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 986, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114129, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 290, 26, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114130, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 660, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114131, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 251, 17, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114132, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 223, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114133, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1651, 11, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114134, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 266, 17, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114135, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1851, 4, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114136, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 415, 11, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114137, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 150, 24, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114138, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1528, 8, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114139, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 3258, 34, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114140, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 18, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114141, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 71, 17, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (114142, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 65, 20, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114143, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 278, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114144, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 100, 20, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114145, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 45, 13, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114146, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 23, 6, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114147, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114148, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 64, 18, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114149, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 12, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114150, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 9, 12, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114151, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 20, 11, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114152, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 7, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114153, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 9, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114154, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 272, 10, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114155, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 11, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114156, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2159, 10, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114157, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 23, 10, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114158, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 164, 9, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114159, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 58, 28, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114160, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 84, 57, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114161, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 28, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114162, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 26, 52, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114163, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 50, 53, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114164, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 161, 10, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114165, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 56, 26, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114166, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 6, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114167, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 68, 33, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114168, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 72, 29, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114169, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 39, 48, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114170, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 121, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114171, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 1528, 8, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114172, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 184, 34, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114173, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 986, 7, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114174, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 242, 25, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114175, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 713, 9, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114176, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 190, 27, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114177, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2159, 10, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114178, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1851, 4, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114179, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 340, 36, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114180, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 1651, 11, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114181, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 49, 7, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114182, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 660, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114183, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 4, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114184, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 93, 8, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114185, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 124, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114186, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 130, 18, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114187, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 192, 21, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114188, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 20, 11, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114189, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 9, 12, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114190, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 12, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114191, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 9, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114192, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 7, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114193, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 11, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114194, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 3258, 34, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114195, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 95, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114196, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 141, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114197, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 486, 36, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114198, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 174, 6, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114199, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 1609, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114200, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2960, 10, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114201, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1985, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114202, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 150, 24, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114203, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E16', 5, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114204, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 6, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114205, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114206, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 251, 17, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114207, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 295, 16, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114208, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 290, 26, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114209, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 266, 17, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114210, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 223, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114211, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 415, 11, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114212, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 64, 18, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114213, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 616, 75, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114214, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114215, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 287, 60, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114216, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 867, 23, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114217, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 34, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114218, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 161, 11, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114219, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 130, 7, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114220, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 237, 28, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114221, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 65, 20, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114222, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 105, 19, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114223, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 45, 13, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114224, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 278, 15, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114225, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 74, 16, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114226, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 51, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114227, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 1349, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114228, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E18', 19, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114229, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 11, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114230, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 24, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114231, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 165, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114232, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 16, 5, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114233, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1580, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114234, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 3, 16, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114235, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 86, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114236, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 3121, 12, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114237, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 114, 26, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114238, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 3031, 3, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114239, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 32, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114240, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 11, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114241, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 272, 10, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114242, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 41, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114243, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E28', 43, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114244, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 105, 9, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114245, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 18, 1, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114246, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 23, 6, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114247, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 2, 2024, 3, 18, '2024-08-05 14:05:29', NULL, NULL), (114248, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 98, 79, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114249, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 1032, 59, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114250, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 225, 37, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114251, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 211, 187, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114252, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 389, 73, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114253, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 77, 412, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114254, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 105, 119, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114255, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 337, 114, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114256, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1861, 262, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114257, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 76, 413, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114258, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 721, 96, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114259, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 384, 74, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114260, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 337, 114, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114261, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 210, 188, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114262, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 98, 79, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114263, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1840, 265, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114264, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 105, 119, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114265, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 318, 12, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114266, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 98, 79, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114267, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 185, 57, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114268, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 385, 78, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114269, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 796, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114270, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 339, 43, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114271, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 558, 5, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114272, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 94, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114273, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 1304, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114274, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1002, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114275, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 154, 19, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114276, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 18284, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114277, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 53, 9, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114278, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 208, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114279, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 229, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114280, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 6, 7, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114281, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 73, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114282, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 105, 119, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114283, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 1507, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114284, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 41, 47, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114285, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 196, 86, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114286, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 8, 6, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114287, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 9, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114288, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 233, 103, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114289, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 4071, 109, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114290, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 412, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114291, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 255, 7, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114292, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 56, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114293, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 8, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114294, 1, '511500000000-0001', '宜宾市民中心', '发票代开业务', '', '', '', 0, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 5, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 7, 5, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 297, 18, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1351, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 289, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 53, 9, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 3446, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 370, 25, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 48, 22, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 39, 20, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 5239, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 39, 32, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 30, 39, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2505, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1268, 6, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 39, 41, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 603, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 5443, 17, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 35, 27, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 28, 21, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 3810, 24, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 40, 26, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 17, 28, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2915, 7, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 71, 12, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 99, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 135, 19, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 206, 9, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 85, 20, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 104, 16, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 37, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 18, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 231, 12, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 76, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 16, 16, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 124, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 271, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 79, 31, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 55, 34, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 190, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 41, 12, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 339, 41, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 154, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 184, 6, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 184, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 275, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 304, 6, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 149, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 91, 14, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 72, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 62, 26, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 318, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 179, 19, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 318, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 224, 31, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 330, 25, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 154, 19, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 255, 15, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 221, 16, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 178, 24, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 159, 18, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 12, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 58, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 83, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 229, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 12, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 5, 6, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 175, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 15, 7, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 11435, 5, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 353, 5, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 195, 28, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 327, 43, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 493, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 12, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 44, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 9, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 250, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 105, 19, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 631, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 697, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 119, 6, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 185, 57, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 9, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 11, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 457, 35, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1430, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 52, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2861, 9, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 3909, 9, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 229, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 5322, 14, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 16, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 5, 5, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 20, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 137, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114392, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 233, 103, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114393, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 53, 9, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114394, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1002, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114395, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 98, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114396, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 412, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114397, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1062, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114398, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 98, 79, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114399, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 6, 7, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114400, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 8, 6, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114401, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 1507, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114402, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 385, 78, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114403, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 185, 57, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114404, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 318, 12, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114405, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 154, 19, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114406, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 41, 47, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114407, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 8, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114408, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 105, 119, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114409, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 56, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114410, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 1304, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114411, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 208, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114412, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 9, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114413, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 697, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114414, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 4071, 109, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114415, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 255, 7, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114416, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 339, 43, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114417, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 229, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114418, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 18284, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114419, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 94, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114420, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 196, 86, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114421, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 697, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114422, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 5, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114423, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 7, 5, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114424, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 12, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114425, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 353, 5, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114426, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 53, 9, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114427, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 185, 57, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114428, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 41, 12, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114429, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 1507, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114430, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 271, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114431, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 231, 12, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114432, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 16, 16, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114433, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 37, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114434, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 18, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114435, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 11, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114436, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 9, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114437, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 102, 5, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114438, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 137, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114439, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 175, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114440, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 229, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114441, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 255, 15, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114442, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 229, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114443, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 94, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114444, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 412, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114445, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 20, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114446, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 159, 18, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114447, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 178, 24, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114448, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 221, 16, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114449, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 5, 5, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114450, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 9, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114451, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114452, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 124, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114453, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 76, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114454, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 71, 12, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114455, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 135, 19, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114456, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E29', 208, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114457, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 99, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114458, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 85, 20, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114459, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 24, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114460, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2915, 7, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114461, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 224, 31, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114462, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 206, 9, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114463, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 330, 25, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114464, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 104, 16, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114465, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 179, 19, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114466, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 318, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114467, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 9, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114468, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 3446, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114469, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 12, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114470, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 318, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114471, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1351, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114472, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 484, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114473, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 195, 28, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114474, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 3909, 9, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114475, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 72, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114476, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 5322, 14, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114477, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2861, 9, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114478, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 12, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114479, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 5, 6, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114480, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 58, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114481, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 457, 35, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114482, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 83, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114483, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 327, 43, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114484, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 15, 7, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114485, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 18284, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114486, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 52, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114487, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 1430, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114488, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 603, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114489, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1268, 6, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114490, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2505, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114491, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 5443, 17, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114492, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 154, 19, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114493, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 3810, 24, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114494, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 297, 18, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114495, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 5239, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114496, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 370, 25, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114497, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 44, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114498, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 250, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114499, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 493, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114500, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 105, 19, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114501, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 631, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114502, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 9, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114503, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 11, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114504, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 119, 6, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114505, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 5322, 14, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114506, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 3909, 9, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114507, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 195, 28, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114508, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2861, 9, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114509, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 55, 34, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114510, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 137, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114511, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 20, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114512, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 79, 31, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114513, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 179, 19, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114514, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 229, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114515, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 175, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114516, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 603, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114517, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1268, 6, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114518, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114519, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 9, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114520, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 62, 26, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114521, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 91, 14, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114522, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 12, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114523, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 154, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114524, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 339, 41, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114525, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 327, 43, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114526, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 457, 35, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114527, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 185, 57, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114528, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 697, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114529, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 224, 31, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114530, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 330, 25, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114531, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 53, 9, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114532, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 154, 19, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114533, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 318, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114534, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 370, 25, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114535, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 5, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114536, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 318, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114537, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 255, 15, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114538, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 206, 9, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114539, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 7, 5, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114540, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 159, 18, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114541, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 135, 19, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114542, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 297, 18, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114543, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1351, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114544, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 104, 16, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114545, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 221, 16, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114546, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 85, 20, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114547, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 289, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114548, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 178, 24, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114549, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 124, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114550, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 5443, 17, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114551, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 99, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (114552, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2505, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114553, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 71, 12, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114554, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 5239, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114555, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 76, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114556, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 72, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114557, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2915, 7, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114558, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 3810, 24, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114559, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 52, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114560, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 3446, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114561, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1430, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114562, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 18, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114563, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 231, 12, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114564, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 37, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114565, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 16, 16, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114566, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 271, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114567, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 353, 5, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114568, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 41, 12, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114569, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 12, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114570, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 11435, 5, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114571, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 83, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114572, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 12, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114573, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 58, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114574, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 6, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114575, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 15, 7, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114576, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 16, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114577, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 5, 5, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114578, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 229, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114579, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 190, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114580, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 149, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114581, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 304, 6, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114582, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 28, 21, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114583, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 35, 27, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114584, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 184, 6, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114585, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 39, 41, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114586, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 30, 39, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114587, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 275, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114588, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 39, 32, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114589, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 184, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114590, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 39, 20, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114591, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 48, 22, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114592, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 17, 28, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114593, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 40, 26, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114594, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2915, 7, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114595, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 195, 28, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114596, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 3810, 24, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114597, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 224, 31, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114598, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 5, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114599, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 179, 19, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114600, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 229, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114601, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 5239, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114602, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 330, 25, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114603, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2505, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114604, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 7, 5, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114605, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 5443, 17, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114606, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 12, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114607, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 221, 16, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114608, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 178, 24, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114609, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 159, 18, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114610, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 255, 15, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114611, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 58, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114612, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 12, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114613, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 83, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114614, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 15, 7, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114615, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 6, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114616, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 1507, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114617, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 3446, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114618, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 484, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114619, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1351, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114620, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 370, 25, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114621, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 297, 18, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114622, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2861, 9, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114623, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 18284, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114624, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 3909, 9, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114625, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 5322, 14, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114626, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 72, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114627, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114628, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 9, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114629, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 124, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114630, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 53, 9, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114631, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 71, 12, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114632, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 99, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114633, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 76, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114634, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 41, 12, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114635, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 327, 43, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114636, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 185, 57, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114637, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 457, 35, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114638, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 135, 19, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114639, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 206, 9, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114640, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 85, 20, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114641, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 104, 16, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114642, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 231, 12, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114643, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 16, 16, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114644, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 271, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114645, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 37, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114646, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 18, 13, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114647, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 412, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114648, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 20, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114649, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 137, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114650, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 697, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114651, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 11, 3, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114652, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 9, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114653, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 102, 5, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114654, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 9, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114655, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 318, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114656, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 94, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114657, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 318, 8, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114658, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 154, 19, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114659, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1268, 6, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114660, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 603, 4, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114661, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 5, 5, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114662, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 24, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114663, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 229, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114664, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 175, 11, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114665, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 52, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114666, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 1430, 10, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114667, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E29', 208, 1, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114668, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 353, 5, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114669, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 12, 2, 2024, 3, 19, '2024-08-05 14:05:30', NULL, NULL), (114670, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 188, 106, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114671, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 24, 33, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114672, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 204, 176, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114673, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 470, 41, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114674, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 710, 70, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114675, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 54, 365, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114676, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 139, 89, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114677, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 206, 146, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114678, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1328, 235, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114679, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 54, 367, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114680, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 254, 79, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114681, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 690, 72, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114682, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 138, 90, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114683, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 203, 177, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114684, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 188, 106, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114685, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1328, 235, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114686, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 206, 146, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114687, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 2012, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114688, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 138, 16, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114689, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 165, 38, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114690, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 189, 105, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114691, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 180, 69, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114692, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 432, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114693, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 167, 36, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114694, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 10, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114695, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2093, 10, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114696, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 19, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114697, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 5, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114698, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1839, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114699, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1563, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114700, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 569, 12, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114701, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 243, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114702, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 206, 146, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114703, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 6, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114704, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 249, 79, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114705, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 11, 31, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114706, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 526, 11, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114707, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 117, 89, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114708, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 279, 5, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114709, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2520, 116, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114710, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 37, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114711, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 226, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114712, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 72, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114713, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1646, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 41, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 199, 18, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 449, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 429, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1839, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2787, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 136, 18, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 62, 13, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 16, 26, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 22, 15, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1922, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 18, 40, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1871, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2736, 17, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 8, 45, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2609, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 3688, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 25, 27, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 66, 16, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2124, 15, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 26, 24, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 36, 32, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2924, 11, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 239, 9, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 208, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 174, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 116, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 279, 11, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 178, 24, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 313, 20, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 200, 19, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 181, 15, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 95, 16, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 308, 25, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 188, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 211, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 224, 15, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 36, 21, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 7, 19, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 256, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 51, 16, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 112, 31, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 178, 21, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 23, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 1623, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 734, 18, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 269, 8, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 129, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 348, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 170, 20, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 28, 21, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 60, 9, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 90, 22, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 238, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 103, 26, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 191, 28, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 19, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2012, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 473, 19, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 85, 8, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 114, 19, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 243, 23, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 226, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 7, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 6, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 44, 5, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 225, 10, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 8, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 5, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 6, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 34, 12, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 197, 45, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 5, 18, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 17, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 249, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 26, 13, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 279, 5, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 11, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 10, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 50, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 165, 38, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 64, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 103, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 148, 24, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2452, 25, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 3735, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2344, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1627, 18, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 389, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 766, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 35, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 312, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114810, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 118, 88, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114811, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1839, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114812, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2093, 10, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114813, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 243, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114814, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 279, 5, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114815, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 189, 105, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114816, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 432, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114817, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 683, 10, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114818, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 526, 11, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114819, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 180, 69, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114820, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 165, 38, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114821, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 138, 16, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114822, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 19, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114823, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 11, 31, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114824, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 2012, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114825, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114826, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 206, 146, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114827, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 72, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114828, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 10, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114829, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2520, 116, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114830, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 226, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114831, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 167, 36, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114832, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2344, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114833, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 249, 79, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114834, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 37, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114835, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 6, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114836, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 10, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114837, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1646, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114838, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 41, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114839, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 226, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114840, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1839, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114841, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 165, 38, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114842, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 52, 15, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114843, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 224, 15, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114844, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 95, 16, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114845, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 308, 25, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114846, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 200, 19, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114847, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 181, 15, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114848, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 103, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114849, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 64, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114850, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 50, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114851, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 312, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114852, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 225, 10, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114853, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 2012, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114854, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 473, 19, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114855, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2344, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114856, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 279, 5, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114857, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 35, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114858, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 243, 23, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114859, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 114, 19, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114860, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 85, 8, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114861, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 766, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114862, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 6, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114863, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114864, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 211, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114865, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 5, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114866, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 188, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114867, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 208, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114868, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 239, 9, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114869, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 116, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114870, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 174, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114871, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 389, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114872, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 103, 26, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114873, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 178, 24, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114874, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2924, 11, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114875, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 279, 11, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114876, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 191, 28, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114877, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 313, 20, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114878, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 90, 22, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114879, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 60, 9, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114880, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114881, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2787, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114882, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 238, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114883, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 449, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114884, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 34, 12, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114885, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 429, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114886, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E20', 11, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114887, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 3735, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114888, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 1627, 18, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114889, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 170, 20, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114890, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 2452, 25, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114891, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 6, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114892, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 44, 5, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114893, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114894, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 148, 24, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114895, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 7, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114896, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 197, 45, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114897, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 8, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114898, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2609, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114899, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1871, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114900, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E20', 37, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114901, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2736, 17, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114902, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 3688, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114903, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 19, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114904, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2124, 15, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114905, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 199, 18, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114906, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1922, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114907, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 136, 18, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114908, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 17, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114909, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 249, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114910, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 5, 18, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114911, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 11, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114912, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 26, 13, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114913, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 279, 5, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114914, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 64, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114915, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 103, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114916, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 50, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114917, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1627, 18, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114918, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 3735, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114919, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 7, 19, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114920, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2452, 25, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114921, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 34, 12, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114922, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 312, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114923, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 35, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114924, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 36, 21, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114925, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 90, 22, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114926, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 225, 10, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114927, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2609, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114928, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 5, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114929, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 6, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114930, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1871, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114931, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114932, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114933, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 28, 21, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114934, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 348, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114935, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 178, 21, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114936, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 112, 31, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114937, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 197, 45, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114938, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 148, 24, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114939, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 165, 38, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114940, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 10, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114941, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 103, 26, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114942, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 191, 28, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114943, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2012, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114944, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 19, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114945, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1839, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114946, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 60, 9, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114947, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 136, 18, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114948, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1646, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114949, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 238, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114950, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 473, 19, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114951, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 279, 11, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114952, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 41, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114953, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 243, 23, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114954, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 199, 18, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114955, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 116, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114956, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 449, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114957, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 313, 20, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114958, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 85, 8, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114959, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 178, 24, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114960, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 114, 19, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114961, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 429, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114962, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 239, 9, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (114963, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 211, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114964, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 3688, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114965, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 174, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114966, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2736, 17, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114967, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 208, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114968, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1922, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114969, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 188, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114970, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 170, 20, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114971, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2924, 11, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114972, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2124, 15, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114973, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2787, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114974, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 181, 15, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114975, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 95, 16, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114976, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 200, 19, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114977, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 308, 25, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114978, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 224, 15, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114979, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 51, 16, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114980, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 226, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114981, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114982, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114983, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114984, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 44, 5, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114985, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 8, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114986, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 389, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114987, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 766, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114988, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2344, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114989, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 256, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114990, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 129, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114991, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 269, 8, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114992, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 66, 16, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114993, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 25, 27, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114994, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 23, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114995, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 8, 45, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114996, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 18, 40, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114997, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 734, 18, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114998, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 22, 15, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (114999, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 1623, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115000, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 16, 26, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115001, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 62, 13, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115002, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 36, 32, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115003, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 26, 24, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115004, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 2012, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115005, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 34, 12, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115006, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2924, 11, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115007, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2124, 15, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115008, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 103, 26, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115009, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1646, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115010, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 90, 22, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115011, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2344, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115012, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1922, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115013, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 191, 28, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115014, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2736, 17, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115015, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 41, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115016, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 3688, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115017, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 85, 8, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115018, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 114, 19, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115019, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 243, 23, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115020, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 473, 19, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115021, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115022, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115023, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115024, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 8, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115025, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 44, 5, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115026, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2787, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115027, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 429, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115028, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 449, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115029, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 136, 18, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115030, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 199, 18, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115031, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 2452, 25, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115032, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 3735, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115033, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 1627, 18, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115034, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 170, 20, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115035, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115036, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115037, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 211, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115038, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 239, 9, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115039, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1839, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115040, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E20', 11, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115041, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 208, 6, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115042, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 174, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115043, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 188, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115044, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 52, 15, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115045, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 197, 45, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115046, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 5, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115047, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 165, 38, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115048, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 148, 24, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115049, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 6, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115050, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 116, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115051, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 279, 11, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115052, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 178, 24, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115053, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 313, 20, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115054, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 95, 16, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115055, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 308, 25, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115056, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 224, 15, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115057, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 200, 19, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115058, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 181, 15, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115059, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 279, 5, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115060, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 35, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115061, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 312, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115062, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 10, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115063, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 103, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115064, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 64, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115065, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 50, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115066, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E20', 37, 1, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115067, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 238, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115068, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 60, 9, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115069, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 19, 14, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115070, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1871, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115071, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2609, 3, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115072, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 766, 4, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115073, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 389, 7, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115074, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 225, 10, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115075, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 226, 2, 2024, 3, 20, '2024-08-05 14:05:31', NULL, NULL), (115076, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 28, 79, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115077, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 60, 39, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115078, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 206, 162, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115079, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 950, 44, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115080, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 553, 78, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115081, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 43, 380, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115082, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 204, 94, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115083, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 405, 133, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115084, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 848, 247, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115085, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 43, 382, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115086, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 496, 89, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115087, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 553, 78, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115088, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 204, 94, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115089, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 201, 166, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115090, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 28, 80, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115091, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 806, 260, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115092, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 390, 138, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115093, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 100, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115094, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 24, 6, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115095, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 28, 80, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115096, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 145, 59, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115097, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 364, 98, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115098, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 679, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115099, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 612, 35, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115100, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 233, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115101, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 92, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115102, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 916, 16, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115103, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 106, 27, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115104, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 191, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115105, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 476, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115106, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 12, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115107, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 174, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115108, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 84, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115109, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 393, 137, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115110, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 1942, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115111, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115112, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 517, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115113, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 119, 82, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115114, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 67, 34, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115115, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2194, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115116, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 211, 88, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115117, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 1372, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115118, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 1756, 94, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115119, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 12, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115120, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 7, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115121, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 84, 12, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 345, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 21, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 145, 32, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 32, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 4, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 229, 32, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 277, 24, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 756, 25, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 106, 27, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 295, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 100, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 520, 6, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 111, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 191, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 80, 15, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1428, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 88, 28, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 254, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 20, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 32, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 9, 32, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 145, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1429, 7, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 35, 19, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 10, 39, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 46, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 226, 8, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 691, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2190, 12, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 13, 43, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 43, 7, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 178, 16, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 46, 9, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1019, 11, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 16, 28, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 87, 18, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 6, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 485, 8, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 688, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 4, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 24, 25, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 7, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 19, 18, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 721, 6, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 77, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 255, 25, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 345, 47, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 173, 6, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 158, 9, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 62, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 78, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 285, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 561, 6, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 124, 9, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 1515, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 287, 20, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 451, 9, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 17, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 80, 15, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 71, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 17, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 145, 59, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 233, 12, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 7, 16, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 99, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 1093, 20, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 21, 12, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 94, 32, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 381, 51, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 13, 20, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 92, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 2967, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 3000, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2128, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 476, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2879, 16, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 20, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 111, 33, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2194, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 69, 26, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 89, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 105, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 433, 11, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 168, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1163, 21, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 238, 19, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 224, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 69, 33, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115213, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 211, 88, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115214, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 191, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115215, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 916, 16, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115216, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 168, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115217, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 1372, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115218, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 679, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115219, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 28, 79, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115220, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2194, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115221, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 174, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115222, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 1942, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115223, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 364, 98, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115224, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 145, 59, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115225, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 24, 6, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115226, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 106, 27, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115227, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 67, 34, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115228, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 100, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115229, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 7, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115230, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 408, 132, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115231, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 92, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115232, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 84, 12, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115233, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2014, 82, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115234, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 12, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115235, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 612, 35, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115236, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 476, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115237, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 12, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115238, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 233, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115239, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 122, 80, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115240, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 517, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115241, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 345, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115242, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 4, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115243, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 20, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115244, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 7, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115245, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 191, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115246, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 145, 59, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115247, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 20, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115248, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 1942, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115249, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 21, 12, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115250, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 17, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115251, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 7, 16, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115252, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 17, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115253, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 80, 15, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115254, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 99, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115255, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 71, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115256, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 178, 16, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115257, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B02', 12, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115258, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 226, 8, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115259, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 100, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115260, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 476, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115261, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 295, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115262, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 202, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115263, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 1372, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115264, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 168, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115265, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 88, 28, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115266, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 80, 15, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115267, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 111, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115268, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2194, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115269, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E18', 4, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115270, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115271, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 1093, 20, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115272, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 688, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115273, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 233, 12, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115274, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 255, 25, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115275, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 285, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115276, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 158, 9, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115277, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 301, 19, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115278, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 721, 6, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115279, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 229, 32, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115280, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 561, 6, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115281, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 277, 24, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115282, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 451, 9, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115283, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 145, 32, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115284, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 21, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115285, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115286, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1428, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115287, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115288, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 32, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115289, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 679, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115290, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2128, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115291, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 238, 19, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115292, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 2879, 16, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115293, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 3000, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115294, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 43, 7, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115295, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 46, 9, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115296, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 145, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115297, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 381, 51, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115298, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 46, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115299, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 345, 47, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115300, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 6, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115301, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E26', 77, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115302, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 92, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115303, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1019, 11, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115304, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 691, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115305, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2190, 12, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115306, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 106, 27, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115307, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 485, 8, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115308, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 756, 25, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115309, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1429, 7, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115310, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 254, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115311, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 62, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115312, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 78, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115313, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 77, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115314, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 173, 6, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115315, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 124, 9, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115316, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 1515, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115317, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 99, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115318, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 71, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115319, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2879, 16, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115320, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2128, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115321, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 13, 20, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115322, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 3000, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115323, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 168, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115324, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 94, 32, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115325, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 145, 32, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115326, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 226, 8, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115327, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 178, 16, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115328, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1019, 11, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115329, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 688, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115330, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 4, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115331, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 691, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115332, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115333, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115334, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 69, 33, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115335, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115336, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 224, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115337, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 69, 26, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115338, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 111, 33, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115339, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 345, 47, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115340, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 381, 51, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115341, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 145, 59, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115342, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 229, 32, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115343, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 277, 24, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115344, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 100, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115345, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 191, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115346, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 106, 27, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115347, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 80, 15, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115348, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 17, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115349, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 21, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115350, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 254, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115351, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 32, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115352, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 345, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115353, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 17, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115354, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 7, 16, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115355, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 21, 12, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115356, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 561, 6, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115357, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 4, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115358, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 88, 28, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115359, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 756, 25, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115360, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 285, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115361, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 451, 9, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115362, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 295, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115363, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 111, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115364, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 520, 6, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115365, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 287, 20, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115366, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 80, 15, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115367, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 255, 25, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115368, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 1093, 20, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115369, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 158, 9, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115370, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2190, 12, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115371, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1429, 7, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115372, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 233, 12, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115373, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 7, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115374, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 20, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115375, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 20, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (115376, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 46, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115377, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 43, 7, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115378, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 145, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115379, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 46, 9, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115380, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 6, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115381, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2194, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115382, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 476, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115383, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 238, 19, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115384, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 721, 6, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115385, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 485, 8, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115386, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 2967, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115387, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 92, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115388, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1163, 21, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115389, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 87, 18, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115390, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 16, 28, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115391, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 89, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115392, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1428, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115393, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 13, 43, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115394, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 10, 39, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115395, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 433, 11, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115396, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 35, 19, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115397, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 105, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115398, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 9, 32, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115399, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 32, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115400, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 19, 18, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115401, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 24, 25, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115402, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 721, 6, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115403, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 100, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115404, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 485, 8, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115405, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 229, 32, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115406, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 345, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115407, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 145, 32, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115408, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 476, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115409, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1429, 7, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115410, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 277, 24, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115411, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2190, 12, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115412, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 4, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115413, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115414, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 111, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115415, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 80, 15, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115416, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 88, 28, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115417, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 145, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115418, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 43, 7, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115419, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 46, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115420, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 6, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115421, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 46, 9, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115422, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 1942, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115423, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1428, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115424, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 679, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115425, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 254, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115426, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 756, 25, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115427, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 3000, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115428, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2128, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115429, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 2879, 16, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115430, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 238, 19, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115431, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115432, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115433, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 1093, 20, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115434, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 191, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115435, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 255, 25, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115436, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 158, 9, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115437, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 233, 12, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115438, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 20, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115439, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 345, 47, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115440, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 688, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115441, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 145, 59, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115442, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 381, 51, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115443, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E18', 4, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115444, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 285, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115445, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 561, 6, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115446, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 301, 19, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115447, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 451, 9, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115448, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 17, 13, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115449, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 7, 16, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115450, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 21, 12, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115451, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 17, 10, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115452, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 80, 15, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115453, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 1372, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115454, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 168, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115455, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 99, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115456, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 71, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115457, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 32, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115458, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 202, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115459, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 21, 4, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115460, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 295, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115461, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 691, 5, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115462, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 106, 27, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115463, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1019, 11, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115464, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E26', 77, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115465, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2194, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115466, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 226, 8, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115467, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 178, 16, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115468, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 92, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115469, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B02', 12, 1, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115470, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 7, 3, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115471, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 20, 2, 2024, 3, 21, '2024-08-05 14:05:32', NULL, NULL), (115472, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 177, 73, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115473, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 34, 43, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115474, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 421, 48, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115475, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 157, 146, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115476, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 588, 54, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115477, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 90, 394, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115478, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 133, 123, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115479, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 264, 108, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115480, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 3005, 292, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115481, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 89, 399, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115482, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 236, 92, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115483, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 567, 56, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115484, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 264, 108, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115485, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 153, 149, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115486, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 177, 73, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115487, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 3005, 292, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115488, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 133, 123, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115489, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 577, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115490, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 19, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115491, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 145, 71, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115492, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 99, 58, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115493, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1083, 91, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115494, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 254, 11, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115495, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 581, 34, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115496, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 287, 4, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115497, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1806, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115498, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 4, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115499, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 59, 17, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115500, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115501, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115502, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 685, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115503, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 835, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115504, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 98, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115505, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 133, 123, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115506, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 665, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115507, 1, '511500000000-0001', '宜宾市民中心', '户籍证明', '', '', '', 0, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115508, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 3, 4, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115509, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 145, 54, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115510, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 7, 34, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115511, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 281, 7, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115512, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 266, 107, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115513, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 258, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115514, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 5983, 129, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115515, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 1297, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115516, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 134, 9, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115517, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 133, 7, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115518, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 8, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115519, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 198, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 4, 8, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 206, 29, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 81, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 835, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 271, 22, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 456, 26, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 59, 17, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 254, 11, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 577, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 111, 14, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 178, 18, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 54, 7, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 581, 34, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 14, 3, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 139, 22, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 51, 32, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 6856, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 72, 29, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 6, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 70, 44, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 20, 25, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 180, 15, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1806, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 5143, 23, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 9, 9, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 10, 5, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 6147, 8, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 80, 50, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 7921, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 5, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 30, 18, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 5990, 19, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 3, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 141, 14, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 194, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 83, 26, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 4949, 15, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 157, 30, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 102, 17, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1173, 43, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 113, 9, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 238, 15, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 9, 3, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 84, 12, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 15, 8, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 160, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 193, 27, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 4, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 9, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 81, 14, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 113, 16, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 763, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 90, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 378, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 287, 4, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 6, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 95, 4, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 34, 11, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 99, 58, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 184, 8, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 244, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 181, 18, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 175, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 131, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 44, 19, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 210, 16, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1001, 48, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 4, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 60, 33, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 74, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 91, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 5699, 13, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 5500, 12, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 176, 12, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 685, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 7104, 27, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 22, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 93, 33, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 324, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 317, 24, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 788, 5, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 18, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 532, 18, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 514, 11, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 49, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 98, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 163, 15, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 104, 18, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 36, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115609, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 266, 107, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115610, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1806, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115611, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 98, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115612, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 258, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115613, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 254, 11, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115614, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 145, 71, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115615, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 835, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115616, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 281, 7, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115617, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 665, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115618, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1083, 91, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115619, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 99, 58, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115620, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 19, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115621, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 59, 17, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115622, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 7, 34, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115623, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 8, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115624, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 133, 123, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115625, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 133, 7, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115626, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 4, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115627, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 287, 4, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115628, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 5983, 129, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115629, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 577, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115630, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 134, 9, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115631, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 581, 34, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115632, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 685, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115633, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 145, 54, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115634, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 198, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115635, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 1297, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115636, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 4, 3, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115637, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 287, 4, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115638, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 835, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115639, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 14, 3, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115640, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 194, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115641, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 99, 58, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115642, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 176, 12, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115643, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E23', 215, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115644, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E21', 1116, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115645, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 53, 15, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115646, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 34, 11, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115647, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 190, 17, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115648, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 378, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115649, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 6, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115650, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 131, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115651, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 244, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115652, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 61, 3, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115653, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 98, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115654, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 577, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115655, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 180, 15, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115656, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 685, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115657, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E21', 411, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115658, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E23', 106, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115659, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 54, 7, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115660, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 178, 18, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115661, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 111, 14, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115662, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 324, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115663, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 9, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115664, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 175, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115665, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 184, 8, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115666, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E19', 4, 3, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115667, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 113, 9, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115668, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 102, 17, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115669, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 193, 27, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115670, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 84, 12, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115671, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E15', 2566, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115672, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 113, 16, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115673, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 4949, 15, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115674, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 271, 22, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115675, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 22, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115676, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 456, 26, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115677, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 90, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115678, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E16', 29, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115679, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 206, 29, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115680, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 4, 8, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115681, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 4, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115682, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 9, 3, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115683, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 81, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115684, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 254, 11, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115685, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 157, 30, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115686, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 5500, 12, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115687, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 104, 18, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115688, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 7104, 27, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115689, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 5699, 13, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115690, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 9, 9, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115691, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 10, 5, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115692, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1001, 48, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115693, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 6, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115694, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1173, 43, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115695, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 5, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115696, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 4, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115697, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E29', 198, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115698, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1806, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115699, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 5143, 23, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115700, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 6147, 8, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115701, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 7921, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115702, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 59, 17, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115703, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 5990, 19, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115704, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 6856, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115705, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 581, 34, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115706, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 15, 8, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115707, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 160, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115708, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 238, 15, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115709, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 81, 14, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115710, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 763, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115711, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 244, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115712, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 131, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115713, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 95, 4, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115714, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 7104, 27, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115715, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 5500, 12, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115716, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 157, 30, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115717, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 5699, 13, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115718, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 60, 33, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115719, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 98, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115720, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 44, 19, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115721, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 206, 29, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115722, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 180, 15, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115723, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 3, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115724, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1806, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115725, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 9, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115726, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 36, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115727, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 4, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115728, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 9, 3, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115729, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 163, 15, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115730, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 317, 24, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115731, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 93, 33, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115732, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1173, 43, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115733, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1001, 48, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115734, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 99, 58, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115735, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 287, 4, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115736, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 271, 22, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115737, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 456, 26, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115738, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 59, 17, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115739, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 6, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115740, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 34, 11, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115741, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 4, 8, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115742, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 581, 34, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115743, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 81, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115744, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 378, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115745, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 181, 18, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115746, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 210, 16, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115747, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 577, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115748, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 835, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115749, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 54, 7, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115750, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 193, 27, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115751, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 90, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115752, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 111, 14, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115753, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 113, 16, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115754, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 254, 11, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115755, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 178, 18, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115756, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 7921, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115757, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 102, 17, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115758, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 175, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115759, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 6147, 8, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115760, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 84, 12, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115761, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 5143, 23, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115762, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 113, 9, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115763, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 6856, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115764, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 184, 8, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115765, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 194, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115766, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 176, 12, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115767, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 14, 3, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115768, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115769, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 9, 9, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115770, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 10, 5, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115771, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115772, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 22, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115773, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 324, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115774, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 685, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115775, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 104, 18, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115776, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 4949, 15, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115777, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 5990, 19, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115778, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 91, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115779, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 49, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115780, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 514, 11, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115781, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 74, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115782, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 30, 18, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115783, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 80, 50, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115784, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 20, 25, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115785, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 788, 5, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (115786, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 70, 44, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115787, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 532, 18, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115788, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 72, 29, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115789, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 18, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115790, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 4, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115791, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 51, 32, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115792, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 139, 22, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115793, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 83, 26, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115794, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 141, 14, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115795, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 157, 30, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115796, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 4949, 15, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115797, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 5990, 19, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115798, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 271, 22, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115799, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 206, 29, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115800, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 685, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115801, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 6856, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115802, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 456, 26, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115803, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 5143, 23, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115804, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 835, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115805, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 7921, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115806, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 6147, 8, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115807, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 9, 3, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115808, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 111, 14, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115809, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 178, 18, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115810, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 54, 7, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115811, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 9, 9, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115812, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115813, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115814, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 10, 5, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115815, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E21', 1116, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115816, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E23', 215, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115817, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 254, 11, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115818, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 581, 34, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115819, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 5699, 13, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115820, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 5500, 12, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115821, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 7104, 27, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115822, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 104, 18, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115823, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E16', 29, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115824, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 9, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115825, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E15', 2566, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115826, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 4, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115827, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 175, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115828, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 102, 17, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115829, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 113, 9, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115830, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 84, 12, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115831, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 184, 8, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115832, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 176, 12, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115833, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1173, 43, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115834, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E19', 4, 3, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115835, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 99, 58, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115836, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1001, 48, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115837, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 193, 27, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115838, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 113, 16, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115839, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 90, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115840, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 34, 11, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115841, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 190, 17, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115842, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 53, 15, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115843, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E23', 106, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115844, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 378, 10, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115845, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 6, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115846, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E21', 411, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115847, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 98, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115848, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 287, 4, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115849, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 577, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115850, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 131, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115851, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 244, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115852, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 61, 3, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115853, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 81, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115854, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 4, 8, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115855, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1806, 2, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115856, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 59, 17, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115857, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 324, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115858, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 22, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115859, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 180, 15, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115860, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E29', 198, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115861, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 4, 1, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115862, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 194, 6, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115863, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 14, 3, 2024, 3, 22, '2024-08-05 14:05:33', NULL, NULL), (115864, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 1559, 3, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115865, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 1734, 5, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115866, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1612, 98, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115867, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 863, 24, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115868, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 309, 39, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115869, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1596, 99, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115870, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 3, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115871, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 294, 41, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115872, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 1734, 5, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115873, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 1169, 4, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115874, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 740, 28, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115875, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 0, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115876, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 4952, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115877, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 1169, 4, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115878, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115879, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 2123, 8, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115880, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 0, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115881, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 1755, 2, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115882, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 0, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115883, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 294, 41, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115884, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 0, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115885, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 233, 16, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115886, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 19, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115887, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115888, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 189, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 2123, 8, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 82, 10, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 4952, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 226, 19, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 19, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 388, 20, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 146, 9, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 123, 13, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 181, 3, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 242, 6, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 2330, 20, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 450, 3, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 3002, 35, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 8, 2, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 4661, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 1755, 2, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 189, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 95, 4, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 238, 11, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115908, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 309, 39, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115909, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 233, 16, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115910, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 1559, 3, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115911, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 2123, 8, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115912, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 4952, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115913, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 19, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115914, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 1755, 2, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115915, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 189, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115916, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 189, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115917, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 95, 4, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115918, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 226, 19, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115919, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 388, 20, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115920, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 4952, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115921, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 181, 3, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115922, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 242, 6, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115923, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 8, 2, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115924, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 19, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115925, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 4661, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115926, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 450, 3, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115927, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 2123, 8, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115928, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 1755, 2, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115929, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 19, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115930, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 8, 2, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115931, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 4952, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115932, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 4661, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115933, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 1755, 2, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115934, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 189, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115935, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 95, 4, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115936, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 450, 3, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115937, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 181, 3, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115938, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 242, 6, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115939, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 238, 11, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115940, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 3002, 35, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115941, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 2123, 8, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115942, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 2330, 20, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115943, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 123, 13, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115944, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 146, 9, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115945, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 82, 10, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115946, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 226, 19, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115947, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 388, 20, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115948, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 4952, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115949, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 8, 2, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115950, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 95, 4, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115951, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 4661, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115952, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 450, 3, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115953, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 19, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115954, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 226, 19, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115955, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 388, 20, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115956, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 181, 3, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115957, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 242, 6, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115958, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 1755, 2, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115959, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 189, 1, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115960, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 2123, 8, 2024, 3, 23, '2024-08-05 14:05:34', NULL, NULL), (115961, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 754, 2, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115962, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 959, 3, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115963, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 2818, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115964, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 657, 59, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115965, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 263, 27, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115966, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 345, 29, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115967, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 646, 60, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115968, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1409, 2, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115969, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 263, 27, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115970, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 959, 3, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115971, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 754, 2, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115972, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 294, 34, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115973, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 530, 12, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115974, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 11, 2, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115975, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 754, 2, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115976, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 5, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115977, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 215, 17, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115978, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 2854, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115979, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1409, 2, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115980, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 263, 27, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 180, 12, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 332, 15, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 11, 2, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 393, 3, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 178, 12, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 35, 7, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 427, 3, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 30, 6, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 433, 2, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 757, 4, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 779, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1329, 27, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 2854, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 730, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 2818, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 215, 17, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 47, 7, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115998, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 263, 27, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (115999, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 215, 17, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116000, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 11, 2, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116001, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 2854, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116002, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 530, 12, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116003, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 754, 2, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116004, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 2818, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116005, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 2854, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116006, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 332, 15, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116007, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 178, 12, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116008, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 757, 4, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116009, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 11, 2, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116010, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 730, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116011, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 393, 3, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116012, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 427, 3, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116013, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 433, 2, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116014, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 2818, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116015, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 779, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116016, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 215, 17, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116017, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 11, 2, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116018, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 2818, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116019, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 730, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116020, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 2854, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116021, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 757, 4, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116022, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 433, 2, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116023, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 47, 7, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116024, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 393, 3, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116025, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 427, 3, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116026, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1329, 27, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116027, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 215, 17, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116028, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 30, 6, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116029, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 779, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116030, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 35, 7, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116031, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 180, 12, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116032, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 332, 15, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116033, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 178, 12, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116034, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 2818, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116035, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 2854, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116036, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 730, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116037, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 11, 2, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116038, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 779, 1, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116039, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 332, 15, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116040, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 393, 3, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116041, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 427, 3, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116042, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 178, 12, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116043, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 433, 2, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116044, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 215, 17, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116045, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 757, 4, 2024, 3, 24, '2024-08-05 14:05:35', NULL, NULL), (116046, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 172, 98, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116047, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 69, 68, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116048, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 510, 46, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116049, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 267, 211, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116050, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 518, 79, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116051, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 219, 578, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116052, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 242, 132, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116053, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1452, 122, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116054, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1799, 284, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116055, 1, '511500000000-0001', '宜宾市民中心', '', '', '退役军人大厅', '', 128, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116056, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 219, 578, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116057, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 225, 125, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116058, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 518, 79, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116059, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1452, 122, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116060, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 267, 211, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116061, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 172, 98, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116062, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1799, 284, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116063, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 241, 132, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116064, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 3785, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116065, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 19420, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116066, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '', 55, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116067, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 16786, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116068, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 88, 18, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116069, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 266, 73, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116070, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 172, 98, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116071, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1650, 83, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116072, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 684, 4, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116073, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 239, 29, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116074, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 496, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116075, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 781, 2, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116076, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 555, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116077, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1912, 12, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116078, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 152, 26, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116079, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 4, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116080, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 159, 18, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116081, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 636, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116082, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 10, 13, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116083, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 240, 133, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116084, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 52, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116085, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 470, 5, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116086, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 385, 83, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116087, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 19, 52, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116088, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 285, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116089, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 167, 107, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116090, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 114, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116091, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 3030, 116, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116092, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 196, 19, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116093, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116094, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 94, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 14, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 7, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 303, 14, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 716, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 3785, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 159, 18, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2581, 20, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 179, 15, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 222, 50, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 171, 61, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2834, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 170, 56, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 157, 48, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 3027, 13, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1975, 3, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 203, 69, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 165, 41, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2929, 10, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1892, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 119, 28, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 3433, 22, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 185, 21, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 151, 26, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2561, 5, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 152, 15, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 263, 19, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 167, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 333, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 382, 14, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 167, 17, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 221, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 85, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 249, 17, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 238, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 283, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 38, 17, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 261, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 146, 20, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 218, 38, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 111, 31, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 180, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 325, 12, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 732, 36, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 190, 28, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1331, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 174, 3, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 478, 10, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 426, 17, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 200, 19, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 469, 13, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 211, 32, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 65, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 175, 28, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 166, 13, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 107, 10, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 152, 26, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 160, 37, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 19420, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 356, 27, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 548, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 376, 38, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 161, 10, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 13, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 470, 5, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 6, 14, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 5, 4, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 349, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 16, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 81, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 22, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 2, 2, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 354, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 168, 29, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 176, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1832, 34, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 329, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 34, 2, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 2, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 85, 13, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 3, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 63, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 3, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 496, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 12, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 266, 73, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 129, 4, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 47, 2, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1525, 49, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 440, 2, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 601, 5, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 3300, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2133, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 636, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 3503, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 234, 3, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 317, 5, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116192, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 167, 107, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116193, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 159, 18, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116194, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1912, 12, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116195, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 114, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116196, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 684, 4, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116197, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 172, 98, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116198, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 10, 13, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116199, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 285, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116200, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 52, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116201, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1650, 83, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (116202, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 266, 73, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116203, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 88, 18, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116204, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 152, 26, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116205, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 19, 52, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116206, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 19420, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116207, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116208, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 242, 132, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116209, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 555, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116210, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 94, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116211, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 496, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116212, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 3030, 116, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116213, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 3785, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116214, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 233, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116215, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 239, 29, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116216, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 636, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116217, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '', 55, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116218, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 781, 2, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116219, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 385, 83, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116220, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 16786, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116221, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 470, 5, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116222, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D09', 496, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116223, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 14, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116224, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 7, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116225, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 161, 10, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116226, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 354, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116227, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 159, 18, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116228, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D08', 266, 73, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116229, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 325, 12, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116230, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E23', 52, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116231, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 146, 20, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116232, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 238, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116233, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 38, 17, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116234, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 85, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116235, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 249, 17, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116236, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 40, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116237, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 129, 4, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116238, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 12, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116239, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 3785, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116240, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 16786, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116241, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 349, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116242, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 19420, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116243, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 356, 27, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116244, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 636, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116245, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 781, 2, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116246, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E23', 114, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116247, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 376, 38, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116248, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 548, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116249, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 470, 5, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116250, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 317, 5, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116251, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 13, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116252, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 3, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116253, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 261, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116254, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 283, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116255, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 263, 19, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116256, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 152, 15, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116257, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 333, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116258, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 167, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116259, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 234, 3, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116260, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 166, 13, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116261, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 167, 17, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116262, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2561, 5, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116263, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 382, 14, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116264, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 160, 37, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116265, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 221, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116266, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 175, 28, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116267, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 65, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116268, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 2, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116269, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2581, 20, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116270, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 107, 10, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116271, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116272, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 684, 4, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116273, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 168, 29, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116274, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 2133, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116275, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 200, 19, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116276, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 3503, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116277, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '2E27', 55, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116278, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 3300, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116279, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 16, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116280, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 81, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116281, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 6, 14, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116282, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D06', 1525, 49, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116283, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 5, 4, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116284, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1832, 34, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116285, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 22, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116286, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 601, 5, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116287, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 440, 2, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116288, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1892, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116289, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1975, 3, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116290, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 3027, 13, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116291, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2929, 10, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116292, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 152, 26, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116293, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 3433, 22, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116294, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 303, 14, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116295, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2834, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116296, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 179, 15, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116297, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 34, 2, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116298, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 85, 13, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116299, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 176, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116300, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 329, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116301, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 63, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116302, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 3, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116303, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 129, 4, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116304, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 47, 2, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116305, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 12, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116306, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 3503, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116307, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2133, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116308, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 3300, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116309, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 168, 29, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116310, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 111, 31, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116311, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 218, 38, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116312, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 470, 5, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116313, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 175, 28, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116314, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 349, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116315, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1892, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116316, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 2, 2, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116317, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1975, 3, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116318, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 6, 3, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116319, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 2, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116320, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 211, 32, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116321, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116322, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 469, 13, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116323, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 190, 28, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116324, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 732, 36, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116325, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1832, 34, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116326, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1525, 49, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116327, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 266, 73, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116328, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 496, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116329, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 166, 13, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116330, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 160, 37, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116331, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 19420, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116332, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 152, 26, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116333, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 159, 18, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116334, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 179, 15, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116335, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 65, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116336, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 107, 10, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116337, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 14, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116338, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 3785, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116339, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 356, 27, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116340, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 382, 14, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116341, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 7, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116342, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 376, 38, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116343, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 333, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116344, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 303, 14, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116345, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 221, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116346, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 548, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116347, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 716, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116348, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 167, 17, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116349, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 152, 15, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116350, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 261, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116351, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2929, 10, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116352, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 167, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116353, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 3027, 13, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116354, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 263, 19, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116355, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2834, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116356, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 283, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116357, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 200, 19, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116358, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2561, 5, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116359, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 3433, 22, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116360, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 601, 5, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116361, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2581, 20, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116362, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 440, 2, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116363, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 249, 17, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116364, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 238, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116365, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 85, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116366, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 38, 17, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116367, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 146, 20, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116368, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 354, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116369, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 161, 10, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116370, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 325, 12, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116371, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 4, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116372, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 16, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116373, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 13, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116374, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 14, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116375, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 81, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116376, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 22, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116377, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 234, 3, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116378, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 317, 5, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116379, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 636, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116380, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 180, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116381, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 426, 17, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116382, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 119, 28, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116383, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 165, 41, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116384, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1331, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116385, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 203, 69, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116386, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 157, 48, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116387, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 478, 10, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116388, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 170, 56, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116389, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 174, 3, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116390, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 171, 61, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116391, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 222, 50, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116392, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 151, 26, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116393, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 185, 21, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116394, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 19420, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116395, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2561, 5, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116396, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 168, 29, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116397, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 3433, 22, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116398, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 166, 13, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116399, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 14, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116400, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 175, 28, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116401, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 636, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116402, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2834, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116403, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 160, 37, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116404, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 3027, 13, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116405, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 7, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116406, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2929, 10, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116407, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116408, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 548, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116409, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 376, 38, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116410, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 356, 27, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116411, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 14, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116412, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 13, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116413, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 16, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116414, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 4, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116415, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 22, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116416, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 81, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116417, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E23', 52, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116418, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2581, 20, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116419, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 684, 4, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116420, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 179, 15, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116421, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 303, 14, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116422, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 3300, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116423, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 2133, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116424, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 3503, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116425, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 200, 19, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116426, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 6, 3, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116427, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 2, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116428, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 261, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116429, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 152, 15, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116430, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 159, 18, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116431, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 263, 19, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116432, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 167, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116433, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 283, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116434, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 325, 12, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116435, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1832, 34, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116436, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D08', 266, 73, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116437, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D06', 1525, 49, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116438, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 333, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116439, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 382, 14, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116440, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 167, 17, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116441, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 221, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116442, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 470, 5, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116443, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 238, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116444, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 16786, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116445, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 38, 17, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116446, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 146, 20, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116447, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E23', 114, 7, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116448, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 85, 16, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116449, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 249, 17, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116450, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D09', 496, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116451, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 3785, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116452, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 40, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116453, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 129, 4, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116454, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 12, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116455, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 107, 10, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116456, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '2E27', 55, 1, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116457, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 781, 2, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116458, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 65, 8, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116459, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 152, 26, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116460, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1975, 3, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116461, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1892, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116462, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 317, 5, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116463, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 234, 3, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116464, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 349, 9, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116465, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 601, 5, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116466, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 440, 2, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116467, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 354, 6, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116468, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 161, 10, 2024, 3, 25, '2024-08-05 14:05:36', NULL, NULL), (116469, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 80, 86, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116470, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 25, 36, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116471, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 383, 50, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116472, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 231, 189, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116473, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 536, 58, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116474, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 82, 395, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116475, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 596, 148, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116476, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 123, 95, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116477, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 2955, 175, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116478, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 82, 395, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116479, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 213, 94, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116480, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 527, 59, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116481, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 123, 95, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116482, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 222, 197, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116483, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 80, 86, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116484, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2955, 175, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116485, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 596, 148, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116486, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 975, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116487, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 812, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116488, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 110, 13, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116489, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 81, 85, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116490, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 280, 37, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116491, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 254, 32, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116492, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 53, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116493, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 269, 32, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116494, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 84, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116495, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 4663, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116496, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 221, 6, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116497, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1132, 13, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116498, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 132, 23, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116499, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 7, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116500, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 11, 5, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116501, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 485, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116502, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1096, 7, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116503, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 249, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116504, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 596, 148, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116505, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 0, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116506, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 400, 10, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116507, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 17, 34, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116508, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 227, 74, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116509, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 630, 6, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116510, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 1244, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116511, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 84, 85, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116512, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 0, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116513, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 4928, 100, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116514, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 5, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116515, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 167, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116516, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116517, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 166, 11, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 332, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 3, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 336, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 9, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 2380, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 975, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 11, 5, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 5972, 15, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 194, 15, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 67, 25, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 38, 34, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 42, 32, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 5271, 8, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 5605, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 107, 29, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 45, 38, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 3929, 20, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1592, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 6088, 12, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1044, 8, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 57, 43, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 62, 23, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 3483, 11, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 96, 21, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 61, 30, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 4013, 6, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 662, 18, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 591, 11, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 645, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 625, 21, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 609, 16, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 659, 23, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 56, 14, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 13, 10, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 30, 16, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 121, 16, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 671, 5, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 614, 21, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 70, 20, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 116, 15, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 86, 21, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 257, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 76, 10, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 123, 15, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 186, 27, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 147, 29, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 244, 5, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 176, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 501, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 568, 13, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 459, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 73, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 286, 16, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 143, 20, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 94, 11, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 101, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 195, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 120, 23, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 90, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 132, 23, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 812, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 317, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 124, 7, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 209, 8, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 251, 26, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 25, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 400, 10, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 14, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 56, 7, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 8, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 152, 13, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 19, 5, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 154, 6, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 188, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 310, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 41, 28, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 111, 6, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 254, 32, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 50, 6, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 84, 9, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 7, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 81, 8, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 9, 6, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 6, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 264, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 104, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 280, 37, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 84, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 211, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 214, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 227, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 10300, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (116613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 5692, 9, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1096, 7, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 4704, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 424, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 938, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116618, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 84, 85, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116619, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 11, 5, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116620, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1227, 12, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116621, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 53, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116622, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 81, 85, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116623, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 630, 6, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116624, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 249, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116625, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 254, 32, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116626, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 280, 37, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116627, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 110, 13, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116628, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 132, 23, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116629, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 17, 34, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116630, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 812, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116631, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116632, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 596, 148, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116633, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 166, 11, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116634, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 221, 6, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116635, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 485, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116636, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 1244, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116637, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 84, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116638, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 4928, 100, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116639, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 975, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116640, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 167, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116641, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 269, 32, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116642, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1096, 7, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116643, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 4663, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116644, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 230, 73, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116645, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 5, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116646, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 400, 10, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116647, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 332, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116648, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 3, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116649, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 25, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116650, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 84, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116651, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 310, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116652, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 11, 5, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116653, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 280, 37, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116654, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 123, 15, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116655, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 116, 15, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116656, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 30, 16, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116657, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 121, 16, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116658, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 60, 13, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116659, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 13, 10, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116660, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 211, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116661, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 104, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116662, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 191, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116663, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 975, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116664, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 152, 13, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116665, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 812, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116666, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E17', 188, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116667, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 317, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116668, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1096, 7, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116669, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 4663, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116670, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 251, 26, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116671, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 209, 8, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116672, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 124, 7, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116673, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 400, 10, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116674, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 938, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116675, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 1244, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116676, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 14, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116677, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 7, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116678, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 614, 21, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116679, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 671, 5, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116680, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 591, 11, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116681, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 662, 18, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116682, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 625, 21, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116683, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E29', 485, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116684, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 645, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116685, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 659, 23, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116686, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 15, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116687, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 120, 23, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116688, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 4013, 6, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116689, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 609, 16, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116690, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 90, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116691, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 101, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116692, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 94, 11, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116693, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116694, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 5972, 15, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116695, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 195, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116696, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 9, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116697, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 97, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116698, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 41, 28, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116699, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 5692, 9, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116700, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 4641, 16, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116701, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 286, 16, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116702, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 10300, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116703, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 8, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116704, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116705, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 56, 7, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116706, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 4, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116707, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 254, 32, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116708, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 19, 5, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116709, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 227, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116710, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 214, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116711, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1044, 8, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116712, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1592, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116713, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E19', 5, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116714, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 3929, 20, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116715, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 6088, 12, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116716, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 132, 23, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116717, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 3483, 11, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116718, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 336, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116719, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 5271, 8, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116720, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 5605, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116721, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 194, 15, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116722, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 84, 9, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116723, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 111, 6, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116724, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 50, 6, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116725, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 6, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116726, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 81, 8, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116727, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 9, 6, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116728, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 104, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116729, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 211, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116730, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 264, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116731, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 4704, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116732, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 5692, 9, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116733, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 10300, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116734, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 41, 28, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116735, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 86, 21, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116736, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 70, 20, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116737, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 400, 10, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116738, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 101, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116739, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 152, 13, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116740, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1044, 8, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116741, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 188, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116742, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 154, 6, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116743, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1592, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116744, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 7, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116745, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116746, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 143, 20, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116747, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 73, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116748, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 147, 29, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116749, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 254, 32, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116750, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 186, 27, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116751, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 84, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116752, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 280, 37, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116753, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 120, 23, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116754, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 90, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116755, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 812, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116756, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 11, 5, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116757, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 132, 23, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116758, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 94, 11, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116759, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 194, 15, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116760, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 332, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116761, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 195, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116762, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 975, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116763, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 317, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116764, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 609, 16, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116765, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 3, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116766, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 251, 26, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116767, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 625, 21, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116768, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 336, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116769, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 9, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116770, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 124, 7, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116771, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 2380, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116772, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 659, 23, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116773, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 209, 8, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116774, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 662, 18, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116775, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 614, 21, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116776, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 6088, 12, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116777, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 645, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116778, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 3929, 20, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116779, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 5605, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116780, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 591, 11, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116781, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 5271, 8, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116782, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 671, 5, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116783, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 286, 16, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116784, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 4013, 6, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116785, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 3483, 11, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116786, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 227, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116787, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 5972, 15, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116788, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 214, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116789, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 13, 10, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116790, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 30, 16, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116791, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 56, 14, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116792, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 121, 16, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116793, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 116, 15, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116794, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 310, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116795, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 25, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116796, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 123, 15, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116797, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116798, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 8, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116799, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 14, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116800, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 56, 7, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116801, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116802, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 19, 5, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116803, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 424, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116804, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 938, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116805, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1096, 7, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116806, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 76, 10, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116807, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 459, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116808, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 568, 13, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116809, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 257, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116810, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 62, 23, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116811, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 57, 43, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116812, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 244, 5, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116813, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 45, 38, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116814, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 107, 29, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116815, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 501, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116816, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 42, 32, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116817, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 176, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116818, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 38, 34, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116819, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 67, 25, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116820, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 61, 30, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116821, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 96, 21, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116822, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 4013, 6, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116823, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 41, 28, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116824, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 812, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116825, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 3483, 11, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116826, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 120, 23, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116827, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 332, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116828, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 101, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116829, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1096, 7, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116830, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 5271, 8, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116831, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 90, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116832, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 3929, 20, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116833, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 5605, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116834, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 3, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116835, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 6088, 12, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116836, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 124, 7, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116837, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 209, 8, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116838, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 251, 26, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116839, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 317, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116840, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 56, 7, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116841, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 14, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116842, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 8, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116843, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116844, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 19, 5, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116845, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116846, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 5972, 15, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116847, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 97, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116848, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 9, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116849, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 194, 15, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116850, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 336, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116851, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 10300, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116852, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 5692, 9, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116853, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 4641, 16, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116854, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 286, 16, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116855, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 7, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116856, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116857, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 614, 21, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116858, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 662, 18, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116859, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 11, 5, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116860, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 591, 11, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116861, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 645, 17, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116862, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 671, 5, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116863, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 123, 15, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116864, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 254, 32, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116865, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 280, 37, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116866, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 625, 21, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116867, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 609, 16, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116868, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 659, 23, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116869, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 400, 10, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116870, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 30, 16, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116871, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 121, 16, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116872, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 116, 15, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116873, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 60, 13, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116874, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 13, 10, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116875, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E19', 5, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116876, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 84, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116877, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 975, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116878, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 211, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116879, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 104, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116880, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 191, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116881, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 1244, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116882, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 195, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116883, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E17', 188, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116884, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 4663, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116885, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 94, 11, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116886, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 132, 23, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116887, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1592, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116888, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1044, 8, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116889, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 938, 4, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116890, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 15, 2, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116891, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 152, 13, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116892, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 227, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116893, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 214, 3, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116894, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E29', 485, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116895, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 310, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116896, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 25, 1, 2024, 3, 26, '2024-08-05 14:05:37', NULL, NULL), (116897, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 101, 77, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116898, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 41, 41, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116899, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 370, 37, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116900, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 292, 170, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116901, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 431, 47, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116902, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 90, 434, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116903, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 95, 64, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116904, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 88, 118, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116905, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 2921, 166, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116906, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 90, 434, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116907, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 192, 80, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116908, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 431, 47, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116909, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 94, 65, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116910, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 292, 170, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116911, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 101, 77, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116912, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2903, 167, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116913, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 88, 118, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116914, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116915, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 29, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116916, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 101, 77, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116917, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 158, 27, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116918, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 141, 27, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116919, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 68, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116920, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 237, 23, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116921, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 485, 3, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116922, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 524, 6, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116923, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1457, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116924, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 62, 19, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116925, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116926, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 20, 6, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116927, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 503, 13, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116928, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 9, 7, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116929, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 0, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116930, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 88, 118, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116931, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 858, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116932, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 439, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116933, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 38, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116934, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 395, 78, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116935, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 18, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116936, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 15, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116937, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 51, 58, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116938, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 723, 7, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116939, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 4432, 105, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116940, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 512, 3, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116941, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 68, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116942, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 3, 3, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 18, 8, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 47, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 75, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 14, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 107, 14, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 62, 19, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 40, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 164, 8, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 68, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 505, 26, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 247, 24, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 108, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 20, 6, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 93, 8, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 4899, 13, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 275, 15, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 110, 24, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 46, 24, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 439, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 7, 5, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 47, 32, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1571, 3, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 87, 31, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 5097, 19, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 75, 50, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 660, 16, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2, 6, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 4127, 12, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1457, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 125, 25, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 68, 32, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 8, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 5225, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 9, 6, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 740, 8, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 105, 31, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 767, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 45, 28, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 4846, 14, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 19, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 60, 18, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 141, 27, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 27, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 175, 14, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 116, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 5, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 125, 20, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 5, 7, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 32, 15, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (116999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 2, 7, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 86, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 51, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 245, 13, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 7, 12, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 72, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 12, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 183, 18, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 158, 27, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 76, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 485, 3, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 64, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 60, 33, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 46, 12, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 356, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 102, 24, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 607, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 339, 9, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 3655, 7, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 3097, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 4447, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 11, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 503, 13, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 84, 32, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (117023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 10, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 47, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 119, 22, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 12, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 50, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 332, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 500, 6, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1890, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 46, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 217, 5, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 165, 41, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117034, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 51, 58, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117035, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 20, 6, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117036, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1457, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117037, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 723, 7, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117038, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 68, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117039, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 101, 77, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117040, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 9, 7, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117041, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 18, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117042, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 858, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117043, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 141, 27, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117044, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 158, 27, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117045, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 29, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117046, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 62, 19, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117047, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 38, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117048, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117049, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 88, 118, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117050, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 524, 6, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117051, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 68, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117052, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 15, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117053, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 485, 3, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117054, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 4432, 105, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117055, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 512, 3, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117056, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 237, 23, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117057, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 503, 13, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117058, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 395, 78, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117059, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 439, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117060, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 3, 3, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117061, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 14, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117062, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117063, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 767, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117064, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 485, 3, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117065, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 20, 6, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117066, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 158, 27, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117067, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 11, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117068, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 46, 12, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117069, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 7, 12, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117070, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 183, 18, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117071, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 51, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117072, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 245, 13, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117073, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 64, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117074, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 72, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117075, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 723, 7, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117076, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 660, 16, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117077, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 505, 26, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117078, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 503, 13, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117079, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 858, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117080, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 93, 8, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117081, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 108, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117082, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 247, 24, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117083, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 439, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117084, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 47, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117085, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 15, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117086, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117087, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 76, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117088, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 12, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117089, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 175, 14, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117090, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 60, 18, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117091, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 125, 20, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117092, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 116, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117093, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 86, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117094, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 4846, 14, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117095, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 107, 14, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117096, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 9, 3, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117097, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 32, 15, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117098, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 40, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117099, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 47, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117100, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 18, 8, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117101, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117102, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 4899, 13, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117103, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 75, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117104, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117105, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 68, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117106, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 19, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117107, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 3097, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117108, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 46, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117109, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 4447, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117110, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 3562, 6, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117111, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117112, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 2, 6, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117113, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 7, 5, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117114, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117115, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 141, 27, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117116, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 8, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117117, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 607, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117118, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 356, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117119, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1457, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117120, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 5097, 19, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117121, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 4127, 12, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117122, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 62, 19, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117123, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 5175, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117124, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 164, 8, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117125, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1571, 3, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117126, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 275, 15, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117127, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 5, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117128, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 27, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117129, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 5, 7, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117130, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 2, 7, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117131, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 72, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117132, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 64, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117133, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 4447, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117134, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 3097, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117135, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 3655, 7, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117136, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 19, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117137, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 102, 24, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117138, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 60, 33, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117139, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 47, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117140, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 439, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117141, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 660, 16, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117142, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1457, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117143, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 740, 8, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117144, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 9, 6, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117145, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117146, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 165, 41, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117147, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117148, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 217, 5, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117149, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 119, 22, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117150, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 84, 32, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117151, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 141, 27, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117152, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 485, 3, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117153, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 158, 27, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117154, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 107, 14, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117155, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 40, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117156, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 245, 13, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117157, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 62, 19, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117158, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 20, 6, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117159, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 7, 12, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117160, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 18, 8, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117161, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 275, 15, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117162, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 75, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117163, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 3, 3, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117164, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 51, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117165, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 183, 18, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117166, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 46, 12, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117167, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 505, 26, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117168, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 93, 8, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117169, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 14, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117170, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 32, 15, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117171, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 125, 20, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117172, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 164, 8, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117173, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 247, 24, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117174, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 68, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117175, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 108, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117176, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 86, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117177, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 60, 18, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117178, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 76, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117179, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 4127, 12, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117180, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 5097, 19, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117181, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 116, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117182, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 175, 14, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117183, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1571, 3, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117184, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 12, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117185, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 767, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117186, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117187, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 11, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117188, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117189, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117190, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117191, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 7, 5, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117192, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 6, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117193, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 8, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117194, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 10, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117195, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 47, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117196, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 503, 13, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117197, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 46, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117198, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 4846, 14, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117199, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 5225, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117200, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 339, 9, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117201, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1890, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117202, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 607, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117203, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 500, 6, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117204, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 68, 32, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117205, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 125, 25, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117206, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 12, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117207, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 4899, 13, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117208, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 75, 50, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117209, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 87, 31, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117210, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 332, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117211, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 47, 32, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117212, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 356, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117213, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 50, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117214, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 46, 24, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117215, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 110, 24, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117216, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 45, 28, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117217, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 105, 31, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117218, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 19, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117219, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 4846, 14, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117220, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 5175, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117221, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 107, 14, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117222, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 3, 3, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117223, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 47, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117224, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1571, 3, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117225, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 503, 13, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117226, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 40, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117227, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 5097, 19, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117228, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 14, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117229, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 4127, 12, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117230, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117231, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 247, 24, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117232, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 108, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117233, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 93, 8, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117234, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 505, 26, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117235, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 7, 5, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117236, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117237, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117238, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117239, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 8, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117240, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 6, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117241, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 4899, 13, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117242, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 68, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117243, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 275, 15, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117244, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 164, 8, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117245, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 3562, 6, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117246, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 3097, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117247, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 4447, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117248, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 46, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117249, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117250, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 76, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117251, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 60, 18, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117252, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 20, 6, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117253, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 175, 14, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117254, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 116, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117255, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 12, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117256, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 11, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117257, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 141, 27, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117258, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 158, 27, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117259, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 125, 20, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117260, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 32, 15, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117261, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 86, 17, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117262, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 439, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117263, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 7, 12, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117264, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 183, 18, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117265, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 46, 12, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117266, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 51, 11, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117267, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 245, 13, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117268, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 485, 3, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117269, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 723, 7, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117270, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 64, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117271, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 72, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117272, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 15, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117273, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 75, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117274, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 18, 8, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117275, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 62, 19, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117276, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1457, 10, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117277, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 858, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117278, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 47, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117279, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 9, 3, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117280, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 660, 16, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117281, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 607, 4, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117282, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 356, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117283, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 767, 2, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117284, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 1, 2024, 3, 27, '2024-08-05 14:05:38', NULL, NULL), (117285, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 57, 93, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117286, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 569, 42, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117287, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 618, 31, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117288, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 250, 172, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117289, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 645, 62, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117290, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 58, 400, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117291, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 205, 101, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117292, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 580, 135, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117293, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 3822, 186, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117294, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 58, 402, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117295, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 574, 75, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117296, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 635, 63, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117297, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 199, 104, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117298, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 246, 175, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117299, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 57, 93, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117300, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 3822, 186, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117301, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 580, 135, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117302, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117303, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117304, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 38, 10, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117305, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 184, 14, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117306, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 57, 93, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117307, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 119, 20, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117308, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 771, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117309, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 87, 22, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117310, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 907, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117311, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 496, 3, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117312, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 387, 5, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117313, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1761, 10, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117314, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 95, 19, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117315, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 7101, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117316, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 686, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117317, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1546, 15, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117318, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 662, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117319, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 580, 135, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117320, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 53, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117321, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 389, 7, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117322, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 233, 31, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117323, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 81, 62, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117324, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 719, 10, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117325, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 1117, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117326, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 193, 97, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117327, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 36, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117328, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 5063, 138, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117329, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 275, 9, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117330, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 39, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117331, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 6, 7, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 740, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 426, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 188, 25, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 112, 3, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 100, 18, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 137, 13, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 228, 27, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 787, 5, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 619, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 52, 19, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 252, 3, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 686, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 84, 17, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 4506, 20, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 86, 21, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 14, 9, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 187, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 69, 24, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 389, 7, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 23, 45, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 1188, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 42, 32, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 7327, 5, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 21, 27, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 5, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 55, 42, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 4954, 14, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 3, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1761, 10, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 43, 41, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 4602, 14, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 88, 23, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 4998, 18, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 43, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 7101, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 44, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 60, 31, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 286, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 25, 30, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 4699, 16, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 179, 44, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 536, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 5, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 119, 20, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 14, 5, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 713, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 15, 3, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 720, 19, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 63, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 425, 13, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 27, 5, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 829, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 495, 25, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 25, 14, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 596, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 98, 15, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 60, 16, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 24, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 20, 17, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 90, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 569, 9, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 184, 14, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 33, 15, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 20, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 389, 21, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 907, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 39, 13, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 126, 21, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 641, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 36, 20, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 324, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 91, 10, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 5503, 10, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 5821, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 5942, 18, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 88, 17, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 4296, 15, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1546, 15, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 122, 24, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1438, 5, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 186, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 29, 19, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 2188, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 150, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 655, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1064, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 747, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 153, 21, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117426, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 195, 96, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117427, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 686, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117428, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1761, 10, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117429, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 36, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117430, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 771, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117431, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 57, 93, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117432, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 662, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117433, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 719, 10, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117434, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 119, 20, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (117435, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 53, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117436, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 184, 14, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117437, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 38, 10, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117438, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 100, 18, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117439, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 233, 31, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117440, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117441, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 580, 135, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117442, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 39, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117443, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 387, 5, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117444, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 1117, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117445, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 907, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117446, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 5063, 138, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117447, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 275, 9, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117448, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 87, 22, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117449, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1546, 15, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117450, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 7101, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117451, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 496, 3, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117452, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 83, 60, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117453, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 389, 7, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117454, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 740, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117455, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 426, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117456, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 187, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117457, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 286, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117458, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 907, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117459, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 686, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117460, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 184, 14, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117461, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 88, 17, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117462, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 39, 13, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117463, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 20, 17, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117464, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 33, 15, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117465, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 98, 15, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117466, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 60, 16, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117467, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 20, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117468, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 90, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117469, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 24, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117470, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 36, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117471, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 52, 19, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117472, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1546, 15, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117473, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 628, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117474, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 232, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117475, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 53, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117476, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 86, 21, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117477, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 84, 17, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117478, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 252, 3, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117479, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 389, 7, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117480, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 186, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117481, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 1117, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117482, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117483, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117484, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 389, 21, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117485, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 569, 9, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117486, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 713, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117487, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 536, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117488, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 425, 13, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117489, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 720, 19, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117490, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 495, 25, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117491, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 188, 25, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117492, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1518, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117493, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 4699, 16, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117494, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 228, 27, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117495, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 829, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117496, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 596, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117497, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 6, 7, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117498, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 4506, 20, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117499, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117500, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 112, 3, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117501, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 893, 3, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117502, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 697, 5, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117503, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 179, 44, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117504, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 5942, 18, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117505, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 747, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117506, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 4296, 15, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117507, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 5503, 10, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117508, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 5821, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117509, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 5, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117510, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 3, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117511, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 1188, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117512, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117513, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 119, 20, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117514, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117515, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 7101, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117516, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 324, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117517, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 641, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117518, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1761, 10, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117519, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 4954, 14, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117520, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 4602, 14, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117521, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 100, 18, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117522, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 4998, 18, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117523, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 137, 13, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117524, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 7327, 5, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117525, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 14, 9, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117526, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 15, 3, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117527, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 63, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117528, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 5, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117529, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 14, 5, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117530, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 27, 5, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117531, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 25, 14, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117532, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 90, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117533, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 20, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117534, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 24, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117535, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 4296, 15, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117536, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 5942, 18, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117537, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 5821, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117538, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 179, 44, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117539, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 5503, 10, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117540, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 36, 20, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117541, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 126, 21, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117542, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 389, 7, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117543, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1761, 10, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117544, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 44, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117545, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 43, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117546, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117547, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 153, 21, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117548, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117549, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 29, 19, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117550, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 119, 20, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117551, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 122, 24, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117552, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 907, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117553, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 184, 14, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117554, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 188, 25, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117555, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 228, 27, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117556, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 100, 18, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117557, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 686, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117558, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 60, 16, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117559, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 20, 17, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117560, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 6, 7, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117561, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 14, 9, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117562, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 740, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117563, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 98, 15, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117564, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 112, 3, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117565, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 33, 15, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117566, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 39, 13, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117567, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 52, 19, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117568, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 426, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117569, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 829, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117570, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 86, 21, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117571, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 137, 13, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117572, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 425, 13, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117573, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 787, 5, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117574, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 596, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117575, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 252, 3, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117576, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 619, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117577, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 495, 25, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117578, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 84, 17, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117579, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 536, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117580, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 389, 21, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117581, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 4602, 14, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117582, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 720, 19, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117583, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 4954, 14, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117584, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 713, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117585, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 7327, 5, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117586, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 569, 9, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117587, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 286, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117588, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 187, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117589, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 88, 17, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117590, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 7101, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117591, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117592, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117593, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117594, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 1188, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117595, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 3, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117596, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117597, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1438, 5, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117598, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 186, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117599, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1546, 15, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117600, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 747, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117601, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 4699, 16, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117602, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 4998, 18, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117603, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 91, 10, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117604, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 324, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117605, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1064, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117606, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 88, 23, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117607, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 43, 41, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117608, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 2188, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117609, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 55, 42, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117610, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 4506, 20, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117611, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 21, 27, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117612, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 655, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117613, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 42, 32, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117614, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 150, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117615, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 641, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117616, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 23, 45, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117617, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 69, 24, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117618, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 25, 30, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117619, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 60, 31, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117620, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 179, 44, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117621, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 4699, 16, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117622, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 4998, 18, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117623, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 188, 25, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117624, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 740, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117625, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1546, 15, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117626, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 7327, 5, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117627, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 228, 27, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117628, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 4954, 14, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117629, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 426, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117630, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 4602, 14, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117631, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117632, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 252, 3, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117633, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 84, 17, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117634, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 86, 21, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117635, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 52, 19, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117636, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 1188, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117637, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117638, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117639, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117640, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117641, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 3, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117642, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 4506, 20, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117643, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 697, 5, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117644, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 893, 3, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117645, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 14, 9, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117646, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 137, 13, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117647, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 5503, 10, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117648, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 7101, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117649, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 5942, 18, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117650, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 5821, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117651, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 4296, 15, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117652, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 747, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117653, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117654, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 389, 21, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117655, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 536, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117656, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 686, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117657, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 713, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117658, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 720, 19, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117659, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 569, 9, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117660, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 88, 17, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117661, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 119, 20, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117662, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 184, 14, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117663, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 425, 13, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117664, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 829, 11, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117665, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 495, 25, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117666, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 389, 7, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117667, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 596, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117668, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 20, 17, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117669, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 33, 15, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117670, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 39, 13, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117671, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 98, 15, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117672, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 60, 16, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117673, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 907, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117674, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 36, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117675, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 20, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117676, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 90, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117677, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 24, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117678, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 1117, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117679, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 112, 3, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117680, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 232, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117681, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 6, 7, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117682, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 628, 2, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117683, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 100, 18, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117684, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1761, 10, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117685, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 53, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117686, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 186, 6, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117687, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1518, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117688, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 324, 4, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117689, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 641, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117690, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 286, 8, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117691, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 187, 1, 2024, 3, 28, '2024-08-05 14:05:39', NULL, NULL), (117692, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 109, 122, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117693, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 118, 50, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117694, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1525, 35, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117695, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 418, 230, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117696, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 12250, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117697, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 65, 450, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117698, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 242, 84, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117699, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 1053, 134, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117700, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 3776, 167, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117701, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 64, 451, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117702, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 617, 96, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117703, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1113, 11, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117704, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 242, 84, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117705, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 412, 233, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117706, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 109, 122, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117707, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 3709, 170, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117708, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 1053, 134, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117709, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 861, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117710, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 766, 33, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117711, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 110, 121, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117712, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 196, 30, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117713, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 115, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117714, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1750, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117715, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 41, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117716, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 0, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117717, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 384, 3, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117718, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 71, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117719, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 5, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117720, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 3, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117721, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1464, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117722, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 0, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117723, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 1053, 134, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117724, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 250, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117725, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 317, 12, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117726, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 52, 44, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117727, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 425, 92, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117728, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 572, 15, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117729, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 221, 79, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117730, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 141, 8, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117731, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 5867, 105, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117732, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 55, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117733, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 598, 6, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117734, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 44, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117735, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 74, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 165, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 348, 18, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 1267, 15, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 243, 27, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 71, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 155, 19, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 861, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 495, 43, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 361, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 452, 19, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 262, 17, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 4360, 12, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 12250, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 337, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 77, 31, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 317, 12, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 87, 32, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 9669, 3, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 5, 8, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 84, 46, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 8, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 56, 32, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 6835, 14, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 350, 6, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 57, 48, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 3519, 15, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 449, 5, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 5, 5, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 66, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 10, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 60, 48, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 6163, 13, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 60, 5, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 153, 9, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 108, 25, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 728, 4, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 38, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 274, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 3, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 115, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 972, 24, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 111, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 30, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 475, 11, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 16, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 1253, 19, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 9, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 49, 6, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 13, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 1130, 15, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 67, 4, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 27, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 1082, 25, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 86, 21, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 27, 21, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 26, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 15, 18, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 245, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 64, 4, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 392, 21, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 196, 30, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 2039, 14, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 26, 28, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 41, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 68, 22, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 91, 5, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 566, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 54, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 22, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 481, 11, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 9915, 11, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 3104, 4, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 3996, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1464, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 50, 19, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 6534, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 81, 30, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 210, 6, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1047, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 41, 33, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 564, 3, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 45, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 286, 11, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 99, 3, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 8568, 5, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 1222, 11, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 104, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 50, 21, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117826, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 221, 79, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117827, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 141, 8, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117828, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 110, 121, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117829, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 661, 13, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117830, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 250, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117831, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 115, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117832, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 196, 30, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117833, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 766, 33, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117834, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 71, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117835, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 52, 44, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117836, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 861, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117837, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 44, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117838, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 1053, 134, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117839, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 384, 3, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117840, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 74, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117841, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 41, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117842, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 5924, 104, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (117843, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 598, 6, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117844, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 12250, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117845, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1464, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117846, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 430, 91, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117847, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 55, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117848, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 317, 12, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117849, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 337, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117850, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 728, 4, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117851, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 41, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117852, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 196, 30, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117853, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 50, 18, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117854, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 68, 22, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117855, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 15, 18, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117856, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 392, 21, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117857, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 86, 21, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117858, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 27, 21, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117859, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 91, 5, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117860, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 64, 4, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117861, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 26, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117862, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 141, 8, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117863, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 449, 5, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117864, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 861, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117865, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 495, 43, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117866, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1464, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117867, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 250, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117868, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 262, 17, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117869, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 452, 19, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117870, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 361, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117871, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 317, 12, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117872, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1047, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117873, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 49, 6, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117874, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117875, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 2039, 14, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117876, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 245, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117877, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 30, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117878, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 972, 24, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117879, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 1253, 19, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117880, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 475, 11, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117881, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 67, 4, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117882, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 243, 27, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117883, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 210, 6, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117884, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 155, 19, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117885, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 1130, 15, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117886, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 165, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117887, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 1082, 25, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117888, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 348, 18, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117889, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 9, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117890, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 4360, 12, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117891, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 1267, 15, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117892, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 274, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117893, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 3996, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117894, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 1222, 11, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117895, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 6577, 22, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117896, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D14', 9915, 11, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117897, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D13', 3104, 4, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117898, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 350, 6, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117899, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 5, 5, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117900, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 5, 8, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117901, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 8, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117902, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 115, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117903, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 10, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117904, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 22, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117905, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 566, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117906, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E20', 55, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117907, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 3519, 15, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117908, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 71, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117909, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 6163, 13, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117910, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 9669, 3, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117911, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 6835, 14, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117912, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 12250, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117913, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 16, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117914, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 3, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117915, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 3, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117916, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 111, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117917, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 13, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 27, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117919, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 64, 4, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117920, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 91, 5, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117921, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 26, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117922, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 6534, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117923, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 3996, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117924, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 3104, 4, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117925, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 9915, 11, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117926, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 274, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117927, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 54, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117928, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 26, 28, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117929, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 165, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117930, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 317, 12, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117931, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 449, 5, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117932, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 153, 9, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117933, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 60, 5, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117934, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 49, 6, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117935, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 9, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117936, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 50, 21, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117937, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 104, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117938, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 41, 33, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117939, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 115, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117940, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 81, 30, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117941, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 41, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117942, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 196, 30, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117943, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 243, 27, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117944, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 155, 19, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117945, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 861, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117946, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 71, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117947, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 27, 21, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117948, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 15, 18, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117949, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 12250, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117950, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 348, 18, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117951, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 1267, 15, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117952, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 86, 21, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117953, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 392, 21, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117954, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 68, 22, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117955, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 495, 43, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117956, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 262, 17, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117957, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 1130, 15, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117958, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 1253, 19, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117959, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 1082, 25, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117960, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 361, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117961, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 67, 4, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117962, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 452, 19, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117963, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 972, 24, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117964, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 2039, 14, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117965, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 475, 11, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117966, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 3519, 15, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117967, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 30, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117968, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 6835, 14, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117969, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 9669, 3, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117970, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 245, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117971, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 728, 4, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117972, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 337, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117973, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 50, 19, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117974, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 8, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117975, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 350, 6, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117976, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117977, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 5, 8, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117978, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 5, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117979, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 10, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117980, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 210, 6, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117981, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1047, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117982, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1464, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117983, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 1222, 11, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117984, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 6163, 13, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117985, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 481, 11, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117986, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 22, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117987, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 8568, 5, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117988, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 99, 3, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117989, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 60, 48, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117990, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 66, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117991, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 564, 3, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117992, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 4360, 12, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117993, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 57, 48, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117994, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 56, 32, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117995, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 286, 11, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117996, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 84, 46, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117997, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 566, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117998, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 45, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (117999, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 87, 32, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118000, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 77, 31, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118001, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 38, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118002, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 108, 25, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118003, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 861, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118004, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 274, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118005, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 6163, 13, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118006, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 243, 27, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118007, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 165, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118008, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1464, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118009, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 9669, 3, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118010, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 155, 19, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118011, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 3519, 15, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118012, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 6835, 14, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118013, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 361, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118014, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 452, 19, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118015, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 262, 17, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118016, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 495, 43, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118017, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 5, 8, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118018, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118019, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 350, 6, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118020, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 8, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118021, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 10, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118022, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 5, 5, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118023, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 4360, 12, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118024, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 12250, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118025, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D14', 9915, 11, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118026, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 3996, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118027, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D13', 3104, 4, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118028, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 6577, 22, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118029, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 1222, 11, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118030, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 49, 6, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118031, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 9, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118032, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 2039, 14, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118033, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 972, 24, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118034, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 30, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118035, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 475, 11, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118036, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 245, 10, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118037, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 50, 18, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118038, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 115, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118039, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 196, 30, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118040, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 1253, 19, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118041, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 1130, 15, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118042, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 67, 4, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118043, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 1082, 25, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118044, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 317, 12, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118045, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 15, 18, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118046, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 392, 21, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118047, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 68, 22, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118048, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 86, 21, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118049, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 27, 21, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118050, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 41, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118051, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 141, 8, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118052, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 91, 5, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118053, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 64, 4, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118054, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 26, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118055, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E20', 55, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118056, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 1267, 15, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118057, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 348, 18, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118058, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 71, 23, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118059, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 250, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118060, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1047, 7, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118061, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 210, 6, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118062, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 449, 5, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118063, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 22, 1, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118064, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 566, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118065, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 728, 4, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118066, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 337, 2, 2024, 3, 29, '2024-08-05 14:05:40', NULL, NULL), (118067, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 3155, 2, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118068, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 770, 98, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118069, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 558, 19, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118070, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 248, 28, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118071, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 763, 99, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118072, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 558, 19, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118073, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 3155, 2, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118074, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 1, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118075, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 231, 30, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118076, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 291, 16, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118077, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 1, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118078, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 0, 2, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118079, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 206, 11, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118080, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 3155, 2, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118081, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 558, 19, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 567, 11, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 206, 11, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 547, 8, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 416, 3, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 174, 11, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 386, 4, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 111, 7, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 56, 12, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1462, 16, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 367, 3, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1800, 26, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 3155, 2, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 87, 24, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 70, 9, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118096, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 558, 19, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118097, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 206, 11, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118098, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 3155, 2, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118099, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 291, 16, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118100, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 547, 8, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118101, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 567, 11, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118102, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 128, 6, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118103, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 367, 3, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118104, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 416, 3, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118105, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 386, 4, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118106, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 206, 11, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118107, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 3155, 2, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118108, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 567, 11, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118109, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 3155, 2, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118110, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 367, 3, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118111, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 111, 7, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118112, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 386, 4, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118113, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 416, 3, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118114, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1800, 26, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118115, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 206, 11, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118116, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1462, 16, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118117, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 56, 12, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118118, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 174, 11, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118119, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 547, 8, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118120, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 70, 9, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118121, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 87, 24, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118122, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 3155, 2, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118123, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 367, 3, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118124, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 547, 8, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118125, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 567, 11, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118126, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 206, 11, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118127, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 416, 3, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118128, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 386, 4, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118129, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 128, 6, 2024, 3, 30, '2024-08-05 14:05:41', NULL, NULL), (118130, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 367, 7, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118131, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 538, 38, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118132, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 40, 11, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118133, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 693, 6, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118134, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 511, 40, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118135, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 0, 3, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118136, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 34, 13, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118137, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 367, 7, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118138, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 693, 6, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118139, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 1, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118140, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 1, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118141, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 202, 3, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118142, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 359, 3, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118143, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 373, 4, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118144, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 0, 1, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118145, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 1185, 3, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118146, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 40, 11, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D05', 1185, 3, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 373, 4, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 69, 6, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 359, 3, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 6, 5, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 20, 3, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 5, 4, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 275, 1, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1429, 4, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 855, 17, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 6, 6, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 165, 2, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 23, 4, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118160, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 40, 11, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118161, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '', 1185, 3, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118162, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 373, 4, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118163, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 359, 3, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118164, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 202, 3, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118165, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 69, 6, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118166, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 6, 5, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118167, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 275, 1, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118168, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 359, 3, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118169, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 373, 4, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118170, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 165, 2, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118171, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '2D05', 1185, 3, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118172, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 359, 3, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118173, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 373, 4, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118174, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 275, 1, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118175, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 855, 17, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118176, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D05', 1185, 3, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118177, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1429, 4, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118178, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 5, 4, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118179, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 165, 2, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118180, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 20, 3, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118181, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 69, 6, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118182, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 23, 4, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118183, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 6, 5, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118184, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 6, 6, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118185, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 373, 4, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118186, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 359, 3, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118187, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 69, 6, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118188, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '不动产登记中心', '', '2D05', 1185, 3, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118189, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 6, 5, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118190, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 275, 1, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118191, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 165, 2, 2024, 3, 31, '2024-08-05 14:05:42', NULL, NULL), (118192, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 69, 123, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118193, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 407, 59, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118194, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 957, 53, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118195, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 499, 256, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118196, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1447, 139, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118197, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 157, 465, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118198, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 152, 134, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118199, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 612, 104, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118200, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 2065, 132, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118201, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 156, 467, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118202, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 656, 114, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118203, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1447, 139, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118204, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 601, 106, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118205, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 499, 256, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118206, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2004, 136, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118207, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 69, 123, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118208, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 152, 134, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118209, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 8, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118210, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 1189, 41, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118211, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 170, 33, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118212, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 70, 122, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118213, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 4, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118214, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 557, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118215, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1882, 84, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118216, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 270, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118217, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 706, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118218, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2085, 16, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118219, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 76, 20, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118220, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 2331, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118221, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 92, 22, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118222, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1564, 8, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118223, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 333, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118224, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 233, 26, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118225, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 152, 134, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118226, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1325, 11, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118227, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 186, 45, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118228, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 473, 94, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118229, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 226, 8, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118230, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 8, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118231, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 618, 103, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118232, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 70, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118233, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 3883, 67, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118234, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 27, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118235, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 184, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118236, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118237, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 153, 13, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 238, 23, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 333, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 38, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 2080, 52, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 6, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 657, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 92, 22, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 4909, 19, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 266, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (118247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 1561, 32, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 215, 25, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 211, 35, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 3345, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 118, 30, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 160, 28, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 535, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 3329, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 228, 45, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2763, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 152, 40, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2085, 16, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 9645, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 165, 29, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 297, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 148, 54, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 149, 20, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 3135, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 167, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 137, 15, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 156, 14, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 62, 13, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 197, 11, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 153, 18, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 181, 22, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 74, 20, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 95, 25, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 34, 17, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 107, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 54, 21, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 309, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 71, 19, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 57, 25, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 207, 30, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 8727, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 70, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 78, 21, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 144, 34, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 137, 24, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 64, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 100, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1001, 21, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 862, 13, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1486, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 93, 20, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 118, 19, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 71, 27, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 580, 21, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 1058, 18, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 787, 26, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 1291, 23, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 502, 22, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 76, 20, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 24, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 346, 22, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 433, 35, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 558, 19, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 50, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 1325, 11, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 185, 17, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 562, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 221, 13, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 651, 11, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 197, 12, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 199, 5, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 70, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 2797, 5, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 251, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 587, 34, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 10, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 26, 12, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 10, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 77, 8, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 7, 8, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 3, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 15, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 2, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 107, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 170, 33, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 193, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 270, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 4642, 8, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1564, 8, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 3231, 11, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 152, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 254, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118335, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 618, 103, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118336, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 92, 22, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118337, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2085, 16, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118338, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 233, 26, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118339, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 70, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118340, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 557, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118341, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 70, 122, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118342, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 226, 8, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118343, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 333, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118344, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 170, 33, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118345, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 1189, 41, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118346, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 76, 20, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118347, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 186, 45, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118348, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 24, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118349, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 7, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118350, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 152, 134, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118351, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 153, 13, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118352, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 8, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118353, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 270, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118354, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 3883, 67, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118355, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 184, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118356, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1882, 84, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118357, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1564, 8, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118358, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 2797, 5, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118359, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 706, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118360, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 473, 94, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118361, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 27, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118362, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1325, 11, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118363, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 333, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118364, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 50, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118365, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 270, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118366, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 251, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118367, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 92, 22, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118368, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 170, 33, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118369, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 80, 20, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118370, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 71, 19, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118371, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 34, 17, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118372, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 54, 21, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118373, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 74, 20, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118374, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 95, 25, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118375, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 193, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118376, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 107, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118377, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 70, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118378, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 651, 11, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118379, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 562, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118380, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 24, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118381, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 346, 22, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118382, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D28', 266, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118383, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D27', 238, 23, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118384, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 38, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118385, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1564, 8, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118386, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 706, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118387, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 558, 19, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118388, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 433, 35, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118389, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 1325, 11, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118390, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 254, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118391, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 8, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118392, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118393, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 185, 17, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118394, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 309, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118395, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 107, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118396, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 137, 15, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118397, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 167, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118398, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 62, 13, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118399, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 156, 14, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118400, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 210, 5, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118401, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 153, 18, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118402, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 787, 26, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118403, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 3135, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118404, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 197, 11, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118405, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 502, 22, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118406, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 580, 21, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118407, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 181, 22, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118408, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 1058, 18, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118409, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 4909, 19, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118410, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 10, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118411, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 1291, 23, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118412, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 6, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118413, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 649, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118414, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 587, 34, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118415, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D12', 4642, 8, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118416, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 93, 20, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118417, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D11', 3231, 11, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118418, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 221, 13, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118419, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118420, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 197, 12, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118421, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 2797, 5, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118422, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2085, 16, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118423, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E20', 27, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118424, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 3329, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118425, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2763, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118426, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 9645, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118427, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 297, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118428, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 76, 20, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118429, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 2080, 52, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118430, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 3345, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118431, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 535, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118432, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 1561, 32, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118433, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 77, 8, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118434, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 7, 8, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118435, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 10, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118436, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 26, 12, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118437, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 2, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118438, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 3, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118439, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 15, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118440, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 193, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118441, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 107, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118442, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 3231, 11, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118443, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 4642, 8, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118444, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 587, 34, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118445, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 207, 30, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118446, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 57, 25, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118447, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 1325, 11, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118448, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 580, 21, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118449, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 562, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118450, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 651, 11, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118451, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2085, 16, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118452, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 70, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118453, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 199, 5, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118454, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 6, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118455, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 71, 27, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118456, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 10, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118457, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 118, 19, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118458, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 137, 24, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118459, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 144, 34, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118460, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 270, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118461, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 170, 33, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118462, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 787, 26, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118463, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 502, 22, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118464, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 24, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118465, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 92, 22, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118466, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 76, 20, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118467, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 1058, 18, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118468, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 1561, 32, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118469, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 333, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118470, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 1291, 23, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118471, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 346, 22, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118472, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 197, 11, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118473, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 558, 19, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118474, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 62, 13, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118475, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 2080, 52, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118476, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 6, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118477, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 181, 22, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118478, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 433, 35, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118479, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 153, 18, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118480, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 657, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118481, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 9645, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118482, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 167, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118483, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 309, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118484, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2763, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118485, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 3329, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118486, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 156, 14, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118487, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 137, 15, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118488, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 535, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118489, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 3345, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118490, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 107, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118491, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 93, 20, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118492, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 3135, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118493, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 297, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118494, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 38, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118495, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 238, 23, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118496, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 266, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118497, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 4909, 19, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118498, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 95, 25, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118499, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 34, 17, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118500, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 74, 20, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118501, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 54, 21, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118502, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 71, 19, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118503, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 251, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118504, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 50, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118505, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 78, 21, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118506, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 2797, 5, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118507, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 221, 13, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118508, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 185, 17, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118509, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118510, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 197, 12, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118511, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 152, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118512, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 254, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118513, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1564, 8, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118514, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 70, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118515, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1486, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118516, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 862, 13, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118517, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 8727, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118518, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 165, 29, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118519, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 152, 40, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118520, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 64, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118521, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 228, 45, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118522, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 160, 28, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118523, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1001, 21, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118524, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 118, 30, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118525, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 100, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118526, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 211, 35, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118527, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 215, 25, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118528, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 149, 20, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118529, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 148, 54, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118530, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 24, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118531, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 587, 34, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118532, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 3135, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118533, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 297, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118534, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 787, 26, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118535, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 580, 21, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118536, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 333, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118537, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 3345, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118538, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1564, 8, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118539, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 502, 22, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118540, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 3329, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118541, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 535, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118542, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 9645, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118543, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2763, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118544, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 10, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118545, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 433, 35, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118546, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 558, 19, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118547, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 346, 22, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118548, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 185, 17, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118549, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 221, 13, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118550, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 197, 12, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118551, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118552, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 4909, 19, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118553, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 649, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118554, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 6, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118555, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 1561, 32, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118556, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 2080, 52, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118557, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 2797, 5, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118558, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D12', 4642, 8, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118559, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D11', 3231, 11, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118560, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 93, 20, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118561, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 6, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118562, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 309, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118563, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 167, 9, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118564, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 92, 22, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118565, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 137, 15, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118566, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 156, 14, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118567, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 107, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118568, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 80, 20, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118569, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 170, 33, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118570, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 62, 13, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118571, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 197, 11, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118572, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 153, 18, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118573, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 1325, 11, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118574, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 181, 22, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118575, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 34, 17, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118576, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 54, 21, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118577, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 71, 19, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118578, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 74, 20, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118579, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 95, 25, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118580, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 270, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118581, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 70, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118582, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 193, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118583, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 107, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118584, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E20', 27, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118585, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D27', 238, 23, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118586, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 38, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118587, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D28', 266, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118588, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 8, 2, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118589, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 1291, 23, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118590, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 706, 1, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118591, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 1058, 18, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118592, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 76, 20, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118593, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2085, 16, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118594, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 254, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118595, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 210, 5, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118596, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 562, 7, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118597, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 651, 11, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118598, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 251, 6, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118599, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 50, 3, 2024, 4, 1, '2024-08-05 14:05:43', NULL, NULL), (118600, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 43, 71, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118601, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 62, 57, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118602, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1061, 38, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118603, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 198, 204, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118604, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 52, 333, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118605, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1265, 88, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118606, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 955, 147, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118607, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 240, 118, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118608, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1950, 146, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118609, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 52, 333, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118610, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 438, 100, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118611, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1265, 88, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118612, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 240, 118, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118613, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 197, 206, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118614, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 42, 72, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118615, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1950, 146, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118616, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 955, 147, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118617, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 3443, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118618, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 49, 16, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118619, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 164, 38, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118620, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 42, 72, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118621, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 2075, 3, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118622, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 884, 53, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118623, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 76, 3, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118624, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 13, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118625, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2773, 15, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118626, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 72, 22, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118627, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 2, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118628, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '', 183, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118629, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1458, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118630, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 773, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118631, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 445, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118632, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 241, 26, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118633, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 955, 147, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118634, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 1790, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118635, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 508, 7, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118636, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 276, 81, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118637, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 55, 45, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118638, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 65, 3, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118639, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 242, 117, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118640, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 43, 4, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118641, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 3487, 78, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118642, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 91, 12, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118643, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 11, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118644, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 208, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 445, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 194, 24, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 20, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 112, 31, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 241, 26, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 96, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 434, 37, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 935, 32, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 72, 22, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 469, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 2879, 2, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 3443, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 191, 22, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 322, 30, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1458, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 308, 25, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2709, 16, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 807, 21, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 102, 22, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 122, 8, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 41, 30, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (118666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 711, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 50, 13, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 6, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 112, 28, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2884, 7, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 190, 7, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 75, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 3927, 9, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 27, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 20, 33, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 3843, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 71, 13, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 248, 3, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 29, 7, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 66, 9, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 4973, 15, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2773, 15, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 17, 9, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 3083, 12, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 61, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 3786, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 113, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 393, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 59, 26, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 29, 4, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 38, 32, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2443, 8, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 167, 25, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 1222, 21, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 95, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 1068, 17, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 99, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 1912, 2, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 11, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 77, 8, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 965, 26, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 52, 9, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 4, 8, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 789, 14, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 3, 4, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 806, 23, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 4, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 19, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 61, 11, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 193, 7, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 40, 14, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 1133, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 164, 38, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 20, 16, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 229, 4, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 76, 3, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 730, 11, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 25, 19, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 73, 11, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 13, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 44, 27, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 18489, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 569, 11, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 56, 9, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 773, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 172, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 58, 18, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 12, 2, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 59, 22, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 47, 7, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 104, 2, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 889, 16, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 786, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 34, 19, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 869, 28, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 16, 32, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118737, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 242, 117, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118738, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1458, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118739, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2773, 15, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118740, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 241, 26, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118741, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 43, 4, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118742, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 43, 71, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118743, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 2075, 3, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118744, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 65, 3, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118745, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 445, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118746, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 1790, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118747, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 164, 38, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118748, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 49, 16, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118749, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 72, 22, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118750, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 55, 45, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118751, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 11, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118752, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 955, 147, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118753, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 13, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118754, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 208, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118755, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 76, 3, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118756, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 3487, 78, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118757, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 3443, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118758, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 91, 12, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118759, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 884, 53, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118760, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 773, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118761, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '', 183, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118762, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 276, 81, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118763, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 711, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118764, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 445, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118765, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 122, 8, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118766, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 76, 3, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118767, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 29, 4, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118768, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1458, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118769, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 164, 38, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118770, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 56, 9, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118771, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 73, 11, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118772, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 40, 14, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118773, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 20, 16, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118774, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 19, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118775, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 61, 11, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118776, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 229, 4, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118777, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 194, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118778, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 3443, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118779, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 43, 4, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118780, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 248, 3, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118781, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 27, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118782, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 191, 22, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118783, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 241, 26, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118784, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 773, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118785, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 1790, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118786, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 308, 25, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118787, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 322, 30, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118788, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 711, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118789, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 12, 2, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118790, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 50, 13, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118791, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 730, 11, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118792, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 1133, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118793, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 1068, 17, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118794, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 1222, 21, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118795, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 965, 26, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118796, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 1912, 2, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118797, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 172, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118798, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 112, 31, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118799, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 806, 23, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118800, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2443, 8, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118801, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 789, 14, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118802, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 434, 37, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118803, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 194, 24, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118804, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 20, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118805, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2709, 16, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118806, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 11, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118807, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 96, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118808, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 469, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118809, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 2879, 2, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118810, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 167, 25, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118811, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 869, 28, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118812, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 71, 13, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118813, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 29, 7, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118814, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 6, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118815, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 75, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118816, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 61, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118817, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 13, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118818, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2773, 15, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118819, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 3843, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118820, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 4973, 15, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118821, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 3083, 12, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118822, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 3786, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118823, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 72, 22, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118824, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 935, 32, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118825, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 2884, 7, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118826, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 3927, 9, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118827, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 807, 21, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118828, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '2E29', 183, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118829, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 77, 8, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118830, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 52, 9, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118831, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 95, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118832, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 99, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118833, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 4, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118834, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 4, 8, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118835, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 3, 4, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118836, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 229, 4, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118837, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 193, 7, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118838, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 167, 25, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118839, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 44, 27, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118840, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 25, 19, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118841, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 194, 24, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118842, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 711, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118843, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 27, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118844, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 248, 3, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118845, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2773, 15, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118846, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 393, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118847, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 113, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118848, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 16, 32, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118849, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 34, 19, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118850, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 11, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118851, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 59, 22, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118852, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 58, 18, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118853, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 76, 3, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118854, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 164, 38, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118855, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 112, 31, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118856, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 434, 37, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118857, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1458, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118858, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 61, 11, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118859, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 72, 22, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118860, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 40, 14, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118861, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 807, 21, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118862, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 20, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118863, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 445, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118864, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 19, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118865, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 96, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118866, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 20, 16, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118867, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 73, 11, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118868, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 3443, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118869, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 191, 22, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118870, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 308, 25, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118871, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 789, 14, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118872, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 965, 26, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118873, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 935, 32, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118874, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 469, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118875, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 322, 30, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118876, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 2879, 2, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118877, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 806, 23, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118878, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 3083, 12, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118879, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 1222, 21, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118880, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 730, 11, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118881, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 4973, 15, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118882, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 1912, 2, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118883, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 3843, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118884, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 3927, 9, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118885, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 1068, 17, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118886, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2884, 7, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118887, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 1133, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118888, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 29, 4, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118889, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 122, 8, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118890, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 56, 9, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118891, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 75, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118892, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 71, 13, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118893, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 50, 13, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118894, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118895, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 29, 7, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118896, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 61, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118897, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 172, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118898, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 12, 2, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118899, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 773, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118900, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 869, 28, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118901, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2443, 8, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118902, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 3786, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118903, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 569, 11, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118904, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 241, 26, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118905, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 786, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118906, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 18489, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118907, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 17, 9, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118908, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 66, 9, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118909, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2709, 16, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118910, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 20, 33, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118911, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 47, 7, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118912, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 190, 7, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118913, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 112, 28, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118914, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 889, 16, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118915, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 13, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118916, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 104, 2, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118917, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 41, 30, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118918, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 102, 22, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118919, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 38, 32, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118920, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 59, 26, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118921, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 167, 25, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118922, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2443, 8, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118923, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 3786, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118924, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 112, 31, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118925, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 445, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118926, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 194, 24, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118927, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 773, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118928, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 2884, 7, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118929, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 434, 37, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118930, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 3843, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118931, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 3927, 9, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118932, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 3083, 12, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118933, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 4973, 15, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118934, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 11, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118935, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 322, 30, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118936, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 308, 25, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118937, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 191, 22, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118938, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118939, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 50, 13, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118940, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 71, 13, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118941, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 75, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118942, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 61, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118943, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 29, 7, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118944, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2709, 16, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118945, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 2879, 2, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118946, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 469, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118947, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 807, 21, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118948, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 935, 32, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118949, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 869, 28, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118950, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 730, 11, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118951, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1458, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118952, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 1222, 21, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118953, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 1068, 17, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118954, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 1912, 2, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118955, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 1133, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118956, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 56, 9, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118957, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 164, 38, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118958, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 965, 26, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118959, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 789, 14, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118960, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 806, 23, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118961, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 711, 5, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118962, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 40, 14, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118963, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 20, 16, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118964, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 73, 11, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118965, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 19, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118966, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 61, 11, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118967, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 76, 3, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118968, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '2E29', 183, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118969, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 43, 4, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118970, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 3443, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118971, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 229, 4, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118972, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 194, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118973, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 241, 26, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118974, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 96, 6, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118975, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 20, 10, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118976, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 72, 22, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118977, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2773, 15, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118978, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 1790, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118979, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 12, 2, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118980, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 172, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118981, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 27, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118982, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 248, 3, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118983, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 13, 1, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118984, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 29, 4, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118985, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 122, 8, 2024, 4, 2, '2024-08-05 14:05:44', NULL, NULL), (118986, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 12, 100, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (118987, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 15, 30, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (118988, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 959, 41, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (118989, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 336, 205, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (118990, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 965, 109, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (118991, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 62, 370, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (118992, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 377, 121, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (118993, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 1269, 159, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (118994, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 4487, 171, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (118995, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 62, 372, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (118996, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 491, 81, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (118997, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 965, 109, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (118998, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 377, 121, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (118999, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 334, 206, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119000, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 4461, 172, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119001, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 12, 101, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119002, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 1261, 160, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119003, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 162, 14, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119004, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 218, 31, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119005, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 12, 101, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119006, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119007, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 414, 7, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119008, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 841, 62, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119009, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 367, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119010, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 42, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119011, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 787, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119012, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2424, 14, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119013, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 141, 14, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119014, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 9, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119015, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 272, 16, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119016, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1024, 8, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119017, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1219, 8, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119018, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '', 2013, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119019, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 182, 26, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119020, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 1259, 157, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119021, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 24, 2, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119022, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1003, 9, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119023, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 7, 22, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119024, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 311, 92, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119025, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 620, 10, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119026, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 367, 118, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119027, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 575, 7, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119028, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 7296, 100, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119029, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 35, 8, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119030, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 626, 7, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119031, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 93, 7, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119032, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '', '', '', 1374, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1307, 9, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 312, 23, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 158, 13, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 212, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 182, 26, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 281, 29, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 141, 14, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 548, 32, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 718, 33, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 824, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 94, 5, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 332, 30, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 213, 11, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 272, 16, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 6534, 21, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 323, 44, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 981, 29, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 5, 5, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 14, 19, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 56, 27, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 1003, 9, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 2, 31, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 8861, 9, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 7605, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 46, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 38, 33, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 397, 2, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 11, 25, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 7, 7, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2211, 6, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 6, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 66, 19, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 337, 4, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 7962, 25, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2424, 14, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 5, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 13, 16, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 7894, 20, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 7577, 11, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 114, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 453, 9, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 14, 34, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 85, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 44, 23, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 6752, 9, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 306, 34, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 3, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 1507, 34, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 942, 21, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 121, 9, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 630, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 20, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (119087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 78, 7, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 765, 25, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 885, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 112, 11, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 1638, 17, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 2, 5, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 198, 4, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 1300, 35, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 12, 17, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 7, 18, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 897, 4, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 13, 16, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 450, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 218, 31, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 23, 16, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 367, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 264, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 9, 26, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 1478, 25, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 6, 15, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 787, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 209, 11, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 136, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 12, 18, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1024, 8, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 536, 9, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 167, 33, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1368, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 138, 33, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 509, 7, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 7, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1046, 19, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 734, 7, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 2578, 4, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 135, 28, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 27, 12, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119125, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 367, 118, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119126, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 272, 16, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119127, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2424, 14, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119128, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 182, 26, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119129, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 575, 7, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119130, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 414, 7, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119131, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 12, 100, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119132, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1219, 8, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119133, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 620, 10, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119134, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 24, 2, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119135, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 218, 31, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119136, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 162, 14, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119137, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 141, 14, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119138, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '市税务局', '', '', 2061, 2, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119139, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 7, 22, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119140, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 93, 7, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119141, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 1259, 157, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119142, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 787, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119143, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 626, 7, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119144, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 367, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119145, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 7296, 100, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119146, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 35, 8, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119147, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 841, 62, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119148, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1024, 8, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119149, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '', 2013, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119150, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 42, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119151, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 315, 91, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119152, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1003, 9, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119153, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1219, 8, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119154, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 5, 5, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119155, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 367, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119156, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 85, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119157, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 272, 16, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119158, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 218, 31, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119159, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 12, 18, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119160, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 6, 15, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119161, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 13, 16, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119162, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 23, 16, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119163, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 12, 17, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119164, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 7, 18, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119165, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 264, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119166, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 897, 4, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119167, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '2C06', 2013, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119168, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 575, 7, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119169, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 337, 4, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119170, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 397, 2, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119171, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 332, 30, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119172, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 182, 26, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119173, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1024, 8, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119174, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 42, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119175, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 24, 2, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119176, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 323, 44, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119177, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 213, 11, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119178, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 1003, 9, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119179, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1368, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119180, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119181, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119182, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 1478, 25, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119183, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 450, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119184, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 942, 21, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119185, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 1507, 34, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119186, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 765, 25, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119187, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 1595, 16, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119188, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 536, 9, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119189, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 6752, 9, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119190, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 281, 29, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119191, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 885, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119192, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 548, 32, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119193, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 312, 23, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119194, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 1285, 34, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119195, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 158, 13, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119196, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119197, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 6534, 21, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119198, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 630, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119199, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 212, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119200, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 824, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119201, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 107, 4, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119202, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 306, 34, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119203, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '', '', '2B02', 2324, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119204, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '', '', '2B01', 1798, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119205, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 7, 7, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119206, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 6, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119207, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119208, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 46, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119209, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 5, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119210, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 787, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119211, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2424, 14, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119212, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2211, 6, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119213, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 8312, 21, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119214, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 7894, 20, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119215, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 141, 14, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119216, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 7577, 11, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119217, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 718, 33, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119218, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 8861, 9, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119219, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 7605, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119220, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 981, 29, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119221, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 20, 3, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119222, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 78, 7, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119223, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 3, 1, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119224, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 121, 9, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119225, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 198, 4, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119226, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 112, 11, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119227, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 2, 5, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119228, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 264, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119229, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 897, 4, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119230, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 209, 11, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119231, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 306, 34, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119232, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 9, 26, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119233, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 312, 23, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119234, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 1003, 9, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119235, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 397, 2, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119236, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 337, 4, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119237, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2424, 14, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119238, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 453, 9, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119239, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 114, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119240, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119241, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 3, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119242, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 27, 12, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119243, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 630, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119244, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 135, 28, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119245, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 138, 33, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119246, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 167, 33, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119247, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 367, 3, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119248, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 218, 31, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119249, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 281, 29, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119250, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 548, 32, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119251, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 272, 16, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119252, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 141, 14, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119253, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 7, 18, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119254, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 13, 16, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119255, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 158, 13, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119256, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 981, 29, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119257, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 212, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119258, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 12, 17, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119259, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1307, 9, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119260, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 23, 16, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119261, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 6, 15, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119262, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 332, 30, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119263, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 885, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119264, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 323, 44, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119265, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 718, 33, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119266, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 765, 25, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119267, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 824, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119268, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 1300, 35, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119269, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 213, 11, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119270, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 1638, 17, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119271, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 94, 5, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119272, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 1507, 34, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119273, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 7894, 20, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119274, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 1478, 25, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119275, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 7962, 25, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119276, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2211, 6, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119277, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 7605, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119278, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 942, 21, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119279, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 8861, 9, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119280, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 450, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119281, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 85, 3, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119282, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 5, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119283, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 12, 18, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119284, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 46, 1, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119285, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 7, 7, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119286, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119287, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 3, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119288, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 3, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119289, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 5, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119290, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 536, 9, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119291, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1368, 1, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119292, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1024, 8, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119293, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 6752, 9, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119294, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 7577, 11, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119295, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 136, 3, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119296, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 2578, 4, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119297, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 734, 7, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119298, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 182, 26, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119299, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 13, 16, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119300, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 66, 19, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119301, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 509, 7, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119302, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 11, 25, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119303, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 6534, 21, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119304, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 38, 33, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119305, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1046, 19, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119306, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 2, 31, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119307, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 7, 1, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119308, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 787, 3, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119309, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 56, 27, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119310, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 14, 19, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119311, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 44, 23, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119312, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 14, 34, 2024, 4, 3, '2024-08-05 14:05:45', NULL, NULL), (119313, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 6752, 9, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119314, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 306, 34, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119315, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 7577, 11, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119316, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 281, 29, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119317, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1219, 8, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119318, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 312, 23, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119319, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 8861, 9, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119320, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1024, 8, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119321, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 548, 32, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119322, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2211, 6, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119323, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 7605, 3, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119324, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 7894, 20, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119325, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 8312, 21, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119326, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 630, 1, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119327, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 213, 11, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119328, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 323, 44, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119329, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 332, 30, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119330, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '2C06', 2013, 1, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119331, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 3, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119332, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 3, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119333, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 7, 7, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119334, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 46, 1, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119335, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 5, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119336, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 3, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119337, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 6534, 21, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119338, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 107, 4, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119339, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 824, 3, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119340, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 981, 29, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119341, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 718, 33, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119342, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '市税务局', '', '2B02', 2324, 1, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119343, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '市税务局', '', '2B01', 1798, 1, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119344, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119345, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 3, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119346, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 1478, 25, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119347, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 272, 16, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119348, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 1507, 34, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119349, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 942, 21, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119350, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 450, 1, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119351, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 12, 18, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119352, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 218, 31, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119353, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 765, 25, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119354, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 885, 1, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119355, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 1595, 16, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119356, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 1285, 34, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119357, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 1003, 9, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119358, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 13, 16, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119359, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 23, 16, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119360, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 6, 15, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119361, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 12, 17, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119362, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 7, 18, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119363, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 367, 3, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119364, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 575, 7, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119365, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 264, 3, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119366, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 897, 4, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119367, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 182, 26, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119368, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 212, 1, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119369, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 42, 1, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119370, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 158, 13, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119371, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 141, 14, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119372, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2424, 14, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119373, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 24, 2, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119374, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1368, 1, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119375, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 536, 9, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119376, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 397, 2, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119377, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 337, 4, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119378, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 787, 3, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119379, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 85, 3, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119380, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 5, 2024, 4, 3, '2024-08-05 14:05:46', NULL, NULL), (119381, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 24, 1, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119382, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 110, 44, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119383, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 66, 15, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119384, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 454, 7, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119385, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 110, 44, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119386, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 24, 1, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119387, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 66, 15, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119388, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 454, 7, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119389, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 454, 7, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119390, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 24, 1, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119391, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 66, 15, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 58, 2, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 68, 13, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 45, 16, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 87, 2, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 659, 1, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 640, 2, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 534, 2, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 200, 8, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 40, 9, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 123, 6, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 24, 1, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 285, 5, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119404, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 66, 15, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119405, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 454, 7, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119406, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 24, 1, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119407, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 659, 1, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119408, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 640, 2, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119409, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 534, 2, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119410, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 87, 2, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119411, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 24, 1, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119412, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 68, 13, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119413, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 58, 2, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119414, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 640, 2, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119415, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 659, 1, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119416, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 24, 1, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119417, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 58, 2, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119418, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 40, 9, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119419, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 87, 2, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119420, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 200, 8, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119421, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 45, 16, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119422, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 68, 13, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119423, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 285, 5, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119424, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 123, 6, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119425, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 534, 2, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119426, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 68, 13, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119427, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 58, 2, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119428, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 87, 2, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119429, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 640, 2, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119430, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 659, 1, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119431, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 24, 1, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119432, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 534, 2, 2024, 4, 4, '2024-08-05 14:05:47', NULL, NULL), (119433, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 26, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119434, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 402, 53, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119435, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 4, 2, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119436, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 262, 6, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119437, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 388, 55, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119438, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 0, 11, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119439, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 13, 2, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119440, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119441, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 262, 6, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119442, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119443, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 262, 6, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119444, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 26, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119445, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119446, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119447, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 0, 10, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 4, 2, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 26, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 83, 8, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 23, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 290, 2, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 150, 3, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 415, 2, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 676, 22, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 139, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 80, 5, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 2, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 352, 14, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119460, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 4, 2, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119461, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 26, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119462, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 262, 6, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119463, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 4, 2, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119464, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 290, 2, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119465, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 415, 2, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119466, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 139, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119467, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 23, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119468, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 26, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119469, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 26, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119470, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 139, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119471, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 415, 2, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119472, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 290, 2, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119473, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 23, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119474, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 352, 14, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119475, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 676, 22, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119476, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 150, 3, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119477, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 83, 8, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119478, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 4, 2, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119479, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 2, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119480, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 80, 5, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119481, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 26, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119482, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 139, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119483, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 4, 2, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119484, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 23, 1, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 415, 2, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119486, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 290, 2, 2024, 4, 5, '2024-08-05 14:05:49', NULL, NULL), (119487, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 475, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119488, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 603, 3, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119489, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 258, 41, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119490, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 820, 6, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119491, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 187, 2, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119492, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 252, 42, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119493, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 615, 8, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (119494, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 361, 5, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119495, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 125, 3, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119496, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 475, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119497, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 187, 2, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119498, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 1798, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119499, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 6, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119500, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 475, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119501, 1, '511500000000-0001', '宜宾市民中心', '涉及二手房交易', '', '', '', 0, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119502, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119503, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 0, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119504, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 615, 8, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 6, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 820, 6, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 1798, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 2, 3, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 475, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 5, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 133, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 531, 15, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 50, 8, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 120, 7, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 242, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 171, 8, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119517, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 820, 6, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119518, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 6, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119519, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 1798, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119520, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 187, 2, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119521, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 475, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119522, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 242, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119523, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 820, 6, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119524, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 133, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119525, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 1798, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119526, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 475, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119527, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 6, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119528, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 1798, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119529, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 6, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119530, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 5, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119531, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 242, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119532, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 133, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119533, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 171, 8, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119534, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 531, 15, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119535, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 475, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119536, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 2, 3, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119537, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 120, 7, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119538, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 820, 6, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119539, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 50, 8, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119540, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 6, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119541, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 242, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119542, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 1798, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119543, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 475, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119544, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 820, 6, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119545, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 133, 1, 2024, 4, 6, '2024-08-05 14:05:53', NULL, NULL), (119546, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 36, 80, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119547, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 60, 44, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119548, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 148, 165, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119549, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 831, 27, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119550, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 641, 72, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119551, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 127, 404, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119552, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 101, 104, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119553, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 658, 92, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119554, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1401, 137, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119555, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 127, 404, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119556, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 334, 75, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119557, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 639, 73, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119558, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 658, 92, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119559, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 148, 165, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119560, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 36, 80, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119561, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1401, 137, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119562, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 97, 104, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119563, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 9, 1, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119564, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '', 28, 1, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119565, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 80, 10, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119566, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 36, 80, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119567, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 242, 26, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119568, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 100, 7, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119569, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 643, 36, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119570, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 275, 3, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119571, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 28246, 1, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119572, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1528, 12, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119573, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 101, 19, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119574, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '', 23, 1, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119575, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 3, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119576, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 210, 9, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119577, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2165, 2, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119578, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 238, 1, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119579, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 263, 8, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119580, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 101, 19, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119581, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 99, 104, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119582, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 13, 1, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119583, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1003, 3, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119584, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 155, 78, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119585, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 65, 33, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119586, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 338, 3, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119587, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 101, 1, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119588, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 359, 90, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119589, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 38, 3, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119590, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 2078, 88, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119591, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 43, 11, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119592, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 29, 2, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119593, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 10, 1, 2024, 4, 7, '2024-08-05 14:05:56', NULL, NULL), (119594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 263, 8, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 107, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 391, 24, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 17, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 101, 19, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 363, 23, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 672, 22, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 419, 23, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 101, 19, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 9, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 100, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 155, 20, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 112, 18, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 128, 5, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 210, 9, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 188, 30, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1064, 14, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 597, 14, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 67, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 166, 27, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 1003, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 115, 37, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 121, 8, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 142, 44, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1320, 12, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 40, 2, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2262, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 223, 24, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 4, 9, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2895, 6, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 71, 28, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 148, 5, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 73, 5, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1646, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1528, 12, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 94, 17, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2156, 16, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 185, 23, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 79, 9, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2163, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 31, 4, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 126, 25, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 4, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 75, 24, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 3644, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 245, 20, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 17, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 3, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 6, 6, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 11, 5, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 167, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 5, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 10, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 97, 20, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 126, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 6, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 81, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 79, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 59, 16, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 17, 6, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 21, 8, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 12, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 42, 6, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 32, 2, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 229, 4, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 89, 24, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 242, 26, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 22, 2, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 82, 10, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 6, 16, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 275, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 40, 34, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 28246, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 131, 20, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 704, 5, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 4, 15, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2165, 2, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 101, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 128, 31, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 338, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 165, 32, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 380, 5, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1121, 14, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 443, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 88, 20, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 302, 8, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 80, 30, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119681, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 359, 90, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119682, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 210, 9, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119683, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1528, 12, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119684, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 101, 19, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119685, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 38, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119686, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 100, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119687, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 36, 80, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119688, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 338, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119689, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 263, 8, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119690, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 13, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119691, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 242, 26, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119692, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 80, 10, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119693, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 101, 19, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119694, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 65, 33, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119695, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 9, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119696, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 10, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119697, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 100, 103, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119698, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 29, 2, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119699, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 28246, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119700, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 101, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119701, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 275, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119702, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 2078, 88, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119703, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 43, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119704, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 643, 36, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119705, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2165, 2, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119706, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '', 28, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119707, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 238, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119708, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '', 23, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119709, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 155, 78, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119710, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1003, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119711, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 1003, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119712, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 263, 8, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119713, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 338, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119714, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 67, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119715, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 101, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119716, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 4, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119717, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 275, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119718, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 82, 10, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119719, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 229, 4, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119720, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 3, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119721, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 97, 20, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119722, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 167, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119723, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 81, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119724, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 363, 23, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119725, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 3644, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119726, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 126, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119727, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 419, 23, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119728, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 47, 15, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119729, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 391, 24, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119730, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 210, 9, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119731, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 242, 26, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119732, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 107, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119733, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 10, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119734, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 4, 15, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119735, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 1064, 14, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119736, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 17, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119737, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 100, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119738, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 245, 20, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119739, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 6, 16, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119740, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 88, 20, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119741, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '2E27', 28, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119742, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 42, 6, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119743, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 89, 24, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119744, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 21, 8, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119745, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 12, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119746, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 4, 9, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119747, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 73, 5, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119748, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 121, 8, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119749, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 40, 2, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119750, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 79, 9, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119751, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 17, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119752, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 42, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119753, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 38, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119754, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B01', 238, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119755, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 148, 5, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119756, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 28246, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119757, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 9, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119758, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 155, 20, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119759, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1528, 12, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119760, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 101, 19, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119761, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2165, 2, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119762, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2895, 6, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119763, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 1646, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119764, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 2156, 16, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119765, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2163, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119766, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 101, 19, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119767, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 672, 22, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119768, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 1320, 12, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119769, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 13, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119770, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2262, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119771, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 597, 14, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119772, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 188, 30, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119773, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 128, 5, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119774, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '2E29', 23, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119775, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 112, 18, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119776, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 11, 5, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119777, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 5, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119778, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 17, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119779, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 6, 6, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119780, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 17, 6, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119781, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 6, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119782, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 79, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119783, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 22, 2, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119784, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 32, 2, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119785, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 245, 20, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119786, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 131, 20, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119787, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 40, 34, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119788, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 1003, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119789, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 391, 24, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119790, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 148, 5, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119791, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1528, 12, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119792, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 31, 4, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119793, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 10, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119794, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 80, 30, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119795, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 302, 8, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119796, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 165, 32, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119797, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 128, 31, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119798, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 275, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119799, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 242, 26, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119800, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 363, 23, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119801, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 419, 23, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119802, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 9, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119803, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 12, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119804, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 101, 19, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119805, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 210, 9, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119806, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 42, 6, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119807, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 107, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119808, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 597, 14, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119809, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 17, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119810, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 263, 8, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119811, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 21, 8, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119812, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 89, 24, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119813, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 6, 16, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119814, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 155, 20, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119815, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 126, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119816, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 188, 30, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119817, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 97, 20, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119818, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 672, 22, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119819, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 112, 18, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119820, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 59, 16, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119821, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 81, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119822, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 100, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119823, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 128, 5, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119824, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2156, 16, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119825, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 82, 10, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119826, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1646, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119827, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 167, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119828, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2895, 6, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119829, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 3, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119830, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2262, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119831, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1320, 12, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119832, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 229, 4, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119833, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 4, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119834, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 4, 15, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119835, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 67, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119836, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 40, 2, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119837, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 9, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119838, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 121, 8, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119839, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 73, 5, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119840, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 79, 9, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119841, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 101, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119842, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 338, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119843, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2165, 2, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119844, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 88, 20, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119845, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 3644, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119846, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2163, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119847, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 704, 5, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119848, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 101, 19, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119849, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 443, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119850, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 185, 23, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119851, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 94, 17, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119852, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 380, 5, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119853, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1064, 14, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119854, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 71, 28, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119855, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 223, 24, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119856, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1121, 14, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119857, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 142, 44, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119858, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 28246, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119859, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 115, 37, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119860, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 166, 27, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119861, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 75, 24, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119862, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 126, 25, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119863, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 42, 6, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119864, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 9, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119865, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 245, 20, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119866, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 3644, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119867, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2163, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119868, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 89, 24, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119869, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 6, 16, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119870, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 21, 8, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119871, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 12, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119872, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 363, 23, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119873, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 263, 8, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119874, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 391, 24, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119875, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2165, 2, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119876, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 1320, 12, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119877, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 419, 23, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119878, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2895, 6, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119879, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2262, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119880, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 2156, 16, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119881, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 1646, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119882, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 112, 18, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119883, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 128, 5, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119884, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 275, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119885, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 188, 30, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119886, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '2E29', 23, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119887, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 38, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119888, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 155, 20, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119889, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 17, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119890, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 42, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119891, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 121, 8, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119892, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 9, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119893, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 40, 2, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119894, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 79, 9, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119895, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 73, 5, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119896, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 101, 19, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119897, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 1064, 14, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119898, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 101, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119899, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 100, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119900, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 17, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119901, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '2E27', 28, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119902, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 597, 14, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119903, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 672, 22, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119904, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 107, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119905, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 101, 19, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119906, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1528, 12, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119907, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 13, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119908, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 338, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119909, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 88, 20, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119910, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 148, 5, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119911, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 10, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119912, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 82, 10, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (119913, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 210, 9, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119914, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 3, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119915, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 167, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119916, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 28246, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119917, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 229, 4, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119918, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B01', 238, 1, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119919, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 4, 15, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119920, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 4, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119921, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 242, 26, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119922, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 67, 7, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119923, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 97, 20, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119924, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 126, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119925, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 81, 11, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119926, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 1003, 3, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119927, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 47, 15, 2024, 4, 7, '2024-08-05 14:05:57', NULL, NULL), (119928, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 108, 131, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119929, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 12, 75, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119930, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 516, 60, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119931, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 208, 266, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119932, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1500, 89, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119933, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 84, 465, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119934, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 166, 84, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119935, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 733, 186, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119936, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 3701, 170, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119937, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 84, 465, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119938, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 220, 145, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119939, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1483, 90, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119940, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 162, 86, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119941, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 206, 268, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119942, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 3679, 171, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119943, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 108, 131, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119944, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 733, 186, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119945, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 2, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119946, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 79, 22, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119947, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 134, 27, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119948, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 108, 130, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119949, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 428, 4, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119950, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 980, 45, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119951, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1154, 3, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119952, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 20, 2, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119953, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 4687, 14, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119954, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 94, 26, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119955, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 4, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119956, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 677, 13, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119957, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1055, 10, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119958, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 948, 14, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119959, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 206, 21, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119960, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 733, 186, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119961, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 55, 2, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119962, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 503, 4, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119963, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 11, 58, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119964, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 156, 108, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119965, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 349, 15, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119966, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 169, 82, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119967, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 301, 7, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119968, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 5418, 114, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119969, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 78, 1, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119970, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 14, 17, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119971, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 108, 8, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119972, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 6, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 43, 13, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 195, 6, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 948, 14, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 206, 21, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 131, 9, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 166, 33, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 172, 26, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 1062, 27, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 94, 26, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 428, 4, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 113, 26, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 168, 23, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 677, 13, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 117, 22, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 6407, 32, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 184, 21, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 858, 18, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 5, 9, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 84, 26, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 503, 4, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 11, 7, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 92, 42, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 8, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 124, 36, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 3337, 7, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (119998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 5922, 11, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (119999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 31, 5, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 76, 28, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 12, 21, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 4801, 16, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 99, 48, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 4, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 226, 16, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 5891, 11, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 5047, 13, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 64, 31, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 3923, 13, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 9, 13, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 115, 25, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 5563, 15, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 246, 9, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 88, 31, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 24, 8, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 42, 26, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 5343, 9, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 164, 17, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 12, 8, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 34, 13, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 491, 20, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 19, 1, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 70, 6, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 994, 10, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 3, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 102, 8, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 712, 7, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 8, 2, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 175, 10, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 216, 8, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 720, 38, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 674, 12, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 697, 36, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 187, 19, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 85, 26, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 118, 4, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 84, 20, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 946, 16, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 30, 27, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 134, 27, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 98, 4, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1731, 2, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 654, 31, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 275, 18, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 60, 33, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 36, 18, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 20, 2, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 608, 5, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 389, 10, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1055, 10, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 42, 21, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 107, 36, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 469, 7, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 81, 27, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 278, 7, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1300, 9, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 483, 4, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 325, 32, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 850, 28, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 62, 12, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 76, 46, 2024, 4, 8, '2024-08-05 14:06:00', NULL, NULL), (120062, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 169, 82, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120063, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 677, 13, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120064, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 5047, 13, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120065, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 206, 21, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120066, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 301, 7, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120067, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 428, 4, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120068, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 108, 130, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120069, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 948, 14, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120070, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 374, 14, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120071, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 55, 2, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120072, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 134, 27, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120073, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 79, 22, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120074, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 94, 26, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120075, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 11, 58, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120076, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 7, 6, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120077, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 733, 186, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120078, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 108, 8, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120079, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 20, 2, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120080, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1731, 2, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120081, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 5418, 114, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120082, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 14, 17, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120083, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 980, 45, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120084, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1055, 10, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120085, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 156, 108, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120086, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 78, 1, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120087, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 503, 4, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120088, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 948, 14, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120089, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 5, 9, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120090, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 24, 8, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120091, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 1731, 2, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120092, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 677, 13, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120093, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 134, 27, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120094, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 42, 21, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120095, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 275, 18, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120096, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 84, 20, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120097, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 30, 27, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120098, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 193, 18, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120099, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 85, 26, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120100, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 98, 4, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120101, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 118, 4, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120102, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 301, 7, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120103, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 226, 16, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120104, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 113, 26, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120105, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 206, 21, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120106, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1055, 10, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120107, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 55, 2, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120108, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 184, 21, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120109, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 117, 22, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120110, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 168, 23, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120111, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 503, 4, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120112, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 278, 7, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120113, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 8, 2, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120114, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 11, 7, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120115, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 654, 31, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120116, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 946, 16, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120117, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 994, 10, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120118, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 491, 20, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120119, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 5343, 9, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120120, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 166, 33, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120121, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 720, 38, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120122, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 469, 7, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120123, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 712, 7, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120124, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 172, 26, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120125, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 195, 6, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120126, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 697, 36, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120127, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 43, 13, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120128, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 3, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120129, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 6407, 32, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120130, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 131, 9, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120131, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 19, 1, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120132, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 428, 4, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120133, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 164, 17, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120134, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 850, 28, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120135, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 12, 21, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120136, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 4, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120137, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 8, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120138, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 31, 5, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120139, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 9, 13, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120140, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 20, 2, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120141, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 5047, 13, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120142, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E19', 78, 1, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120143, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 4801, 16, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120144, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 5891, 11, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120145, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 3923, 13, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120146, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 5563, 15, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120147, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 94, 26, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120148, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 1062, 27, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120149, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 3337, 7, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120150, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 5922, 11, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120151, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 858, 18, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120152, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 70, 6, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120153, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 102, 8, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120154, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 12, 8, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120155, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 34, 13, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120156, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 674, 12, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120157, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 175, 10, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120158, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 216, 8, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120159, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 98, 4, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120160, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 118, 4, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120161, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 164, 17, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120162, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 36, 18, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120163, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 60, 33, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120164, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 195, 6, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120165, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 503, 4, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120166, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 226, 16, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120167, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 5047, 13, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120168, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 246, 9, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120169, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 8, 2, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120170, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 3, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120171, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 76, 46, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120172, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 19, 1, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120173, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 62, 12, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120174, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 81, 27, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120175, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 107, 36, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120176, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1731, 2, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120177, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 134, 27, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120178, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 166, 33, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120179, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 172, 26, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120180, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 85, 26, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120181, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 677, 13, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120182, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 94, 26, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120183, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 84, 20, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120184, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 43, 13, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120185, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 858, 18, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120186, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 187, 19, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120187, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 131, 9, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120188, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 948, 14, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120189, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 30, 27, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120190, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 275, 18, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120191, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 113, 26, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120192, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 712, 7, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120193, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 184, 21, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120194, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 994, 10, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120195, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 1062, 27, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120196, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 697, 36, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120197, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 168, 23, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120198, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 428, 4, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120199, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 117, 22, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120200, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 720, 38, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120201, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 3923, 13, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120202, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 654, 31, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120203, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 5891, 11, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120204, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 491, 20, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120205, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 4801, 16, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120206, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 5922, 11, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120207, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 3337, 7, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120208, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 946, 16, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120209, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 24, 8, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120210, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 42, 21, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120211, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 9, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120212, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 31, 5, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120213, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 12, 21, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120214, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 11, 7, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120215, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 8, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120216, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 4, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120217, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 9, 13, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120218, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 469, 7, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120219, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 278, 7, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120220, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1055, 10, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120221, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 850, 28, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120222, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 5343, 9, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120223, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 5563, 15, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120224, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 389, 10, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120225, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 20, 2, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120226, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 206, 21, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120227, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 325, 32, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120228, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 608, 5, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120229, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 115, 25, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120230, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 64, 31, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120231, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1300, 9, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120232, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 6407, 32, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120233, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 99, 48, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120234, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 76, 28, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120235, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 483, 4, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120236, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 124, 36, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120237, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 92, 42, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120238, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 84, 26, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120239, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 42, 26, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120240, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 88, 31, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120241, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 164, 17, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120242, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 5343, 9, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120243, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 5563, 15, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120244, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 166, 33, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120245, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 195, 6, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120246, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 948, 14, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120247, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1055, 10, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120248, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 3337, 7, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120249, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 172, 26, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120250, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 4801, 16, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120251, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 5922, 11, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120252, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 3923, 13, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120253, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 5891, 11, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120254, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 19, 1, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120255, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 168, 23, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120256, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 117, 22, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120257, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 184, 21, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120258, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 113, 26, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120259, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 8, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120260, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 11, 7, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120261, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 12, 21, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120262, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 31, 5, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120263, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 9, 13, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120264, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 4, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120265, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 6407, 32, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120266, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 428, 4, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120267, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 858, 18, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120268, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 1062, 27, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120269, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 850, 28, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120270, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 8, 2, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120271, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 3, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120272, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 654, 31, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120273, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 677, 13, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120274, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 491, 20, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120275, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 946, 16, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120276, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 42, 21, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120277, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 134, 27, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120278, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 994, 10, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120279, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 712, 7, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120280, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 720, 38, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120281, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 503, 4, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120282, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 697, 36, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120283, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 84, 20, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120284, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 30, 27, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120285, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 275, 18, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120286, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 193, 18, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120287, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 85, 26, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120288, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E19', 78, 1, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120289, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 1731, 2, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120290, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 301, 7, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120291, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 98, 4, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120292, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 118, 4, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120293, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 206, 21, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120294, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 131, 9, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120295, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 43, 13, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120296, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 94, 26, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120297, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 5047, 13, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120298, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 55, 2, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120299, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 278, 7, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120300, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 469, 7, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120301, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 226, 16, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120302, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 20, 2, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120303, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 24, 8, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120304, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 9, 2024, 4, 8, '2024-08-05 14:06:01', NULL, NULL), (120305, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 72, 79, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120306, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 702, 52, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120307, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 457, 198, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120308, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 747, 38, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120309, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1436, 91, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120310, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 56, 427, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120311, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 343, 164, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120312, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 106, 79, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120313, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 2425, 152, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120314, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 56, 427, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120315, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 725, 93, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120316, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1436, 91, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120317, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 106, 79, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120318, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 455, 199, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120319, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 131, 80, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120320, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2331, 155, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120321, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 343, 164, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120322, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 5, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120323, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 37, 10, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120324, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 125, 29, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120325, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 72, 79, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120326, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1794, 7, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (120327, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 650, 39, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120328, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 105, 3, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120329, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 40, 2, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120330, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 311, 7, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120331, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 3471, 18, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120332, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 144, 28, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120333, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 4120, 8, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120334, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 691, 15, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120335, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 3586, 13, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120336, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1984, 10, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120337, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 162, 20, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120338, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 343, 164, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120339, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 26, 2, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120340, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 672, 7, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120341, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 92, 38, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120342, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 201, 74, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120343, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2678, 6, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120344, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 87, 71, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120345, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 228, 8, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120346, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 3420, 104, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120347, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 7, 6, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120348, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120349, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 14, 4, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 37, 6, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1984, 10, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 37, 4, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 162, 20, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 78, 23, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 144, 28, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 706, 26, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 108, 25, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 2527, 3, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 5, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 843, 6, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 201, 34, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 172, 22, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 691, 15, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 527, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2286, 16, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 538, 13, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 72, 33, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 22, 7, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 672, 7, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 33, 28, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 200, 8, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 5105, 12, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 66, 37, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 5, 2, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 3983, 11, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 54, 30, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 41, 4, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 98, 12, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2836, 12, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 41, 35, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 272, 13, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 4, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 3670, 8, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3471, 18, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 58, 29, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 5227, 20, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 112, 5, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 118, 31, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2189, 10, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 187, 10, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 4120, 8, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 32, 25, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 7, 5, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 35, 23, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2487, 12, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 73, 23, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 22, 6, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 7, 7, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 334, 20, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 13, 2, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 4, 6, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 200, 29, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 29, 6, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 387, 28, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 342, 23, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 15, 6, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 297, 21, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 114, 13, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 19, 10, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 68, 17, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 201, 13, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 15, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 13, 2, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 183, 4, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 135, 27, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 9, 11, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 17, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 105, 3, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 41, 31, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 289, 18, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 77, 17, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 51, 34, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 311, 7, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 21, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 346, 4, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 27, 11, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 3586, 13, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 6272, 2, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 42, 28, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 881, 4, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 88, 20, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 805, 8, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 538, 16, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 454, 3, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1762, 6, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 611, 21, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 22, 7, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 58, 36, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120441, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 87, 71, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120442, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 691, 15, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120443, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3471, 18, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120444, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 162, 20, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120445, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 228, 8, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120446, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1794, 7, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120447, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 72, 79, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120448, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2678, 6, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120449, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1984, 10, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120450, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 26, 2, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120451, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 135, 27, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120452, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 37, 10, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120453, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 144, 28, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120454, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 92, 38, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120455, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 5, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120456, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120457, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 343, 164, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120458, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 14, 4, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120459, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 311, 7, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120460, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 105, 3, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120461, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 3556, 100, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120462, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 7, 6, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120463, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 650, 39, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120464, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 3586, 13, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120465, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 4120, 8, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120466, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 40, 2, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120467, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 201, 74, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120468, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 672, 7, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120469, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1984, 10, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120470, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120471, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 7, 5, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120472, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 105, 3, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120473, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 691, 15, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120474, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 135, 27, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120475, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 27, 11, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120476, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 77, 17, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120477, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 201, 13, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120478, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 9, 11, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120479, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 19, 10, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120480, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 68, 17, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120481, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 17, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120482, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 13, 2, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120483, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 15, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120484, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 228, 8, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120485, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 272, 13, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120486, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 41, 4, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120487, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 5, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120488, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 201, 34, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120489, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 162, 20, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120490, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 3586, 13, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120491, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 8, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120492, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 26, 2, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120493, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 72, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120494, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 527, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120495, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 172, 22, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120496, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 672, 7, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120497, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 881, 4, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120498, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 22, 7, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120499, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 289, 18, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120500, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 183, 4, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120501, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 200, 29, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120502, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 334, 20, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120503, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 6272, 2, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120504, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 342, 23, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120505, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 78, 23, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120506, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2487, 12, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120507, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 387, 28, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120508, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 108, 25, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120509, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 297, 21, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120510, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 37, 6, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120511, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2286, 16, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120512, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 1, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120513, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 37, 4, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120514, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 3787, 2, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120515, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 997, 5, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120516, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 73, 23, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120517, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 611, 21, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120518, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 98, 12, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120519, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 4, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120520, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 200, 8, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120521, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 5, 2, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120522, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 112, 5, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120523, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 4120, 8, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120524, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 311, 7, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120525, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 3471, 18, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120526, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 2578, 11, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120527, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 3670, 8, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120528, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 5227, 20, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120529, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 144, 28, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120530, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2189, 10, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120531, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 706, 26, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120532, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 5105, 12, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120533, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 3983, 11, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120534, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 538, 13, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120535, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 13, 2, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120536, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 4, 6, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120537, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 22, 6, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120538, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 7, 7, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120539, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 114, 13, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120540, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 29, 6, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120541, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 15, 6, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120542, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 13, 2, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120543, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 17, 1, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120544, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 15, 1, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120545, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 73, 23, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120546, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 51, 34, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120547, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 41, 31, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120548, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 672, 7, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120549, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 41, 4, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120550, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 272, 13, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120551, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3471, 18, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120552, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 187, 10, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120553, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 58, 36, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120554, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 1, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120555, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 22, 7, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120556, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 88, 20, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120557, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 42, 28, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120558, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 105, 3, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120559, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 135, 27, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120560, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 78, 23, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120561, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 108, 25, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120562, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 5, 1, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120563, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 68, 17, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120564, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 144, 28, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120565, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 691, 15, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120566, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 201, 13, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120567, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 538, 13, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120568, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 37, 6, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120569, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 37, 4, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120570, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1984, 10, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120571, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 19, 10, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120572, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 9, 11, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120573, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 77, 17, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120574, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 201, 34, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120575, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 387, 28, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120576, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 706, 26, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120577, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 200, 29, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120578, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 2527, 3, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120579, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 297, 21, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120580, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 172, 22, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120581, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 843, 6, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120582, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 342, 23, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120583, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 527, 1, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120584, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 5227, 20, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120585, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 3670, 8, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120586, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 289, 18, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120587, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 334, 20, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120588, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2836, 12, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120589, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 3983, 11, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120590, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 5105, 12, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120591, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 183, 4, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120592, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 7, 5, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120593, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 1, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120594, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 27, 11, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120595, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 4120, 8, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120596, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 2, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120597, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 98, 12, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120598, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 22, 7, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120599, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 200, 8, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120600, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 4, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120601, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 112, 5, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120602, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 6272, 2, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120603, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 881, 4, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120604, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 3586, 13, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120605, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 611, 21, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120606, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2487, 12, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120607, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2189, 10, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120608, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 346, 4, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120609, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1762, 6, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120610, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 311, 7, 2024, 4, 9, '2024-08-05 14:06:04', NULL, NULL), (120611, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 162, 20, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120612, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 454, 3, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120613, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 21, 1, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120614, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 118, 31, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120615, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 58, 29, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120616, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 805, 8, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120617, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2286, 16, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120618, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 41, 35, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120619, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 54, 30, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120620, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 538, 16, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120621, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 66, 37, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120622, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 33, 28, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120623, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 72, 33, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120624, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 35, 23, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120625, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 32, 25, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120626, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 5, 1, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120627, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 73, 23, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120628, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2487, 12, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120629, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2189, 10, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120630, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 78, 23, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120631, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1984, 10, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120632, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 3586, 13, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120633, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 5105, 12, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120634, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 108, 25, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120635, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 2578, 11, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120636, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 3983, 11, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120637, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 5227, 20, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120638, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 3670, 8, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120639, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 1, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120640, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 172, 22, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120641, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 527, 1, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120642, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 201, 34, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120643, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 200, 8, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120644, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 22, 7, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120645, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 98, 12, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120646, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 2, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120647, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 112, 5, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120648, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 4, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120649, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2286, 16, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120650, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 997, 5, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120651, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 3787, 2, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120652, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 538, 13, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120653, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 706, 26, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120654, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 4120, 8, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120655, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 611, 21, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120656, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 289, 18, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120657, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 691, 15, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120658, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 334, 20, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120659, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 183, 4, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120660, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 27, 11, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120661, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 135, 27, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120662, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 200, 29, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120663, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 387, 28, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120664, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 342, 23, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120665, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 297, 21, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120666, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 672, 7, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120667, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 201, 13, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120668, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 9, 11, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120669, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 77, 17, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120670, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 19, 10, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120671, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 68, 17, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120672, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 105, 3, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120673, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 228, 8, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120674, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 17, 1, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120675, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 13, 2, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120676, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 15, 1, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120677, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 162, 20, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120678, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 37, 4, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120679, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 72, 1, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120680, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 37, 6, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120681, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 8, 1, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120682, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 144, 28, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120683, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 3471, 18, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120684, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 26, 2, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120685, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 881, 4, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120686, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 6272, 2, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120687, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 41, 4, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120688, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 272, 13, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120689, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 311, 7, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120690, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 7, 5, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120691, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 1, 2024, 4, 9, '2024-08-05 14:06:05', NULL, NULL), (120692, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 42, 79, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120693, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 16, 27, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120694, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1753, 29, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120695, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 168, 209, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120696, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 725, 80, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120697, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 37, 350, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120698, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 252, 96, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120699, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 451, 154, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120700, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 3259, 158, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120701, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 37, 352, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120702, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 789, 65, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120703, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 725, 80, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120704, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 252, 96, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120705, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 166, 211, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120706, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 42, 79, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120707, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 2959, 174, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120708, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 451, 154, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120709, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120710, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 24, 17, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120711, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 42, 79, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120712, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 202, 36, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120713, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 376, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120714, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 332, 35, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120715, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 141, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120716, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 2271, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120717, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1425, 12, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120718, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 198, 21, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120719, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 8, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120720, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 950, 13, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120721, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 514, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120722, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 929, 17, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120723, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 189, 22, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120724, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 451, 154, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120725, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 89, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120726, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 34, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120727, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 20, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120728, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 119, 81, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120729, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 46, 5, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120730, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 4498, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120731, 1, '511500000000-0001', '宜宾市民中心', '川渝通办业务', '', '', '', 3, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120732, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 187, 93, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120733, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 94, 6, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120734, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 4700, 107, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120735, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '', 29, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120736, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 55, 7, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120737, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120738, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 228, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 133, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 929, 17, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 27, 13, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 15, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (120743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 198, 21, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 199, 38, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 198, 21, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 212, 36, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 273, 19, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 15, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 556, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 91, 22, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 190, 15, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 40, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 950, 13, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 127, 31, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 6798, 28, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 402, 16, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 29, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 34, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 29, 43, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 6, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 4832, 11, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 57, 25, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 21, 23, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 4978, 14, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 6, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 99, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 21, 35, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 5975, 9, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 6, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 85, 6, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1425, 12, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 3329, 7, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 22, 28, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 48, 25, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 3151, 13, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 83, 10, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 38, 27, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 75, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 23, 24, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 4778, 15, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 108, 15, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 16, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 5, 10, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 306, 31, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 313, 21, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 16, 12, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 1156, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 6, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 99, 8, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 447, 18, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 566, 32, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 305, 19, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 604, 20, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 98, 9, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 9, 15, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 14, 14, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 35, 11, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 1946, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 243, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 30, 13, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 227, 32, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 139, 14, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 105, 12, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 141, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 33, 25, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 213, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 39, 27, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 2271, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 191, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 294, 8, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 23, 12, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 514, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 3016, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 62, 21, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 44, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 121, 9, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 9374, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 166, 5, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 58, 7, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 4591, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 9, 12, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 601, 18, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 52, 26, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120829, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 187, 93, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120830, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 950, 13, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120831, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1425, 12, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120832, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 198, 21, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120833, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 94, 6, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120834, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 376, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120835, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 42, 79, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120836, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 929, 17, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120837, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 46, 5, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120838, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 89, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120839, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 227, 32, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120840, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 24, 17, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120841, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 198, 21, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120842, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 20, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120843, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120844, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 451, 154, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120845, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 2271, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120846, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 228, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120847, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 4498, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120848, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 141, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120849, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 5184, 97, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120850, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 55, 7, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120851, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 332, 35, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120852, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 514, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120853, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 121, 80, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120854, 1, '511500000000-0001', '宜宾市民中心', '川渝通办业务', '市人力资源社会保障局', '', '', 3, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120855, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '', 29, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120856, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 34, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120857, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 929, 17, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120858, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 29, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120859, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 75, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120860, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 141, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120861, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '', '', '1A21', 29, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120862, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 950, 13, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120863, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 227, 32, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120864, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 23, 12, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120865, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 139, 14, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120866, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 35, 11, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120867, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 30, 13, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120868, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 9, 15, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120869, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 14, 14, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120870, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 213, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120871, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 243, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120872, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 94, 6, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120873, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 85, 6, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120874, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 99, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120875, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 91, 22, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120876, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 198, 21, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120877, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 514, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120878, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 89, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120879, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 127, 31, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120880, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 40, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120881, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 190, 15, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120882, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 34, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120883, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 44, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120884, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120885, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 4498, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120886, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 105, 12, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120887, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 1946, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120888, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 306, 31, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120889, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 1156, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120890, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 313, 21, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120891, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 53, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120892, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 566, 32, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120893, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 199, 38, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120894, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 4778, 15, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120895, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 212, 36, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120896, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 447, 18, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120897, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 133, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120898, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 604, 20, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120899, 1, '511500000000-0001', '宜宾市民中心', '川渝通办业务', '', '', '2E17', 3, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120900, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 27, 13, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120901, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120902, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 6798, 28, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120903, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 15, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120904, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120905, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 15, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120906, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 556, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120907, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 108, 15, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120908, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 601, 18, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120909, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 6, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120910, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 6, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120911, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 6, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120912, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120913, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120914, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 2271, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120915, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1425, 12, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120916, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 5975, 9, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120917, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 3329, 7, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120918, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 198, 21, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120919, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 3151, 13, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120920, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 273, 19, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120921, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 4832, 11, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120922, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 4978, 14, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120923, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 402, 16, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120924, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 16, 12, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120925, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 6, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120926, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 16, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120927, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 5, 10, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120928, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 98, 9, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120929, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 99, 8, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120930, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 305, 19, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120931, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 243, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120932, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 213, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120933, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 108, 15, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120934, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 39, 27, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120935, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 33, 25, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120936, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 133, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120937, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 34, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120938, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 99, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120939, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 85, 6, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120940, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1425, 12, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120941, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 83, 10, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120942, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120943, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 52, 26, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120944, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 9, 12, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120945, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120946, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 121, 9, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120947, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 62, 21, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120948, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 141, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120949, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 227, 32, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120950, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 199, 38, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120951, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 212, 36, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120952, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 198, 21, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120953, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 14, 14, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120954, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 950, 13, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120955, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 35, 11, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120956, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 402, 16, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120957, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 27, 13, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120958, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 15, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120959, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 929, 17, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120960, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 9, 15, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120961, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 30, 13, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120962, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 139, 14, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120963, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 91, 22, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120964, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 447, 18, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120965, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 127, 31, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120966, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 1156, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120967, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 273, 19, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120968, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 190, 15, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120969, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 604, 20, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120970, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 15, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120971, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 556, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120972, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 40, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120973, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 566, 32, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120974, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 105, 12, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120975, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 3329, 7, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120976, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 313, 21, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120977, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 5975, 9, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120978, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 306, 31, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120979, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 4978, 14, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120980, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 4832, 11, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120981, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 1946, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120982, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 75, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120983, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 29, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120984, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 23, 12, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120985, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120986, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 6, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120987, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120988, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 6, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120989, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120990, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120991, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 3016, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120992, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 44, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120993, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 514, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120994, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 601, 18, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120995, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 4778, 15, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120996, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 3151, 13, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120997, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 294, 8, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120998, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 2271, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (120999, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 4591, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121000, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 58, 7, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121001, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 198, 21, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121002, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 191, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121003, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 48, 25, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121004, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 22, 28, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121005, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 9374, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121006, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 21, 35, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121007, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 6798, 28, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121008, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 21, 23, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121009, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 166, 5, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121010, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 57, 25, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121011, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 29, 43, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121012, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 23, 24, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121013, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 38, 27, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121014, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 108, 15, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121015, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 4778, 15, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121016, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 3151, 13, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121017, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 199, 38, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121018, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 133, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121019, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 929, 17, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121020, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 514, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121021, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 4832, 11, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121022, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 212, 36, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121023, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 5975, 9, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121024, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 4978, 14, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121025, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 3329, 7, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121026, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121027, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 190, 15, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121028, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 40, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121029, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 127, 31, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121030, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 91, 22, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121031, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 6, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121032, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121033, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 6, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121034, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121035, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121036, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121037, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 6798, 28, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121038, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 556, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121039, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 15, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121040, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 402, 16, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121041, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 273, 19, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121042, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 601, 18, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121043, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121044, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 105, 12, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121045, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 950, 13, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121046, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 306, 31, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121047, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 313, 21, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121048, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 1946, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121049, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 23, 12, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121050, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 227, 32, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121051, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 1156, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121052, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 447, 18, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121053, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 566, 32, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121054, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 604, 20, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121055, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 34, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121056, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 35, 11, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121057, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 30, 13, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121058, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 139, 14, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121059, 1, '511500000000-0001', '宜宾市民中心', '川渝通办业务', '市人力资源社会保障局', '', '2E17', 3, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121060, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 9, 15, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121061, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 14, 14, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121062, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 141, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121063, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 94, 6, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121064, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 213, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121065, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 243, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121066, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 198, 21, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121067, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 4498, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121068, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 15, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121069, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 27, 13, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121070, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 198, 21, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121071, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1425, 12, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121072, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 89, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121073, 1, '511500000000-0001', '宜宾市民中心', '保安服务公司设立许可', '市公安局', '', '1A21', 29, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121074, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 44, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121075, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 53, 1, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121076, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 99, 2, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121077, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 85, 6, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121078, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 2271, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121079, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 75, 4, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121080, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 29, 3, 2024, 4, 10, '2024-08-05 14:06:08', NULL, NULL), (121081, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 83, 89, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121082, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 36, 43, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121083, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 392, 25, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121084, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 127, 181, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121085, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 913, 88, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121086, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 72, 414, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121087, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 127, 91, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121088, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 755, 191, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121089, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 4143, 161, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121090, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 72, 414, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121091, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 137, 83, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121092, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 903, 89, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121093, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 127, 91, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121094, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 127, 181, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121095, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 83, 89, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121096, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 4092, 163, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121097, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 755, 191, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121098, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 32, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121099, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 84, 87, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121100, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 160, 27, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121101, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 283, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121102, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 600, 42, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121103, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 2344, 3, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121104, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 0, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121105, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 155, 4, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121106, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2570, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121107, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 42, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121108, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121109, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1197, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121110, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 921, 8, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121111, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 314, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121112, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 320, 33, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121113, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 755, 191, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121114, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 174, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121115, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 135, 8, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121116, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 3, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121117, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 7, 30, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121118, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 63, 79, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121119, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 688, 6, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121120, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 24, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121121, 1, '511500000000-0001', '宜宾市民中心', '川渝通办业务', '', '', '', 346, 3, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121122, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 126, 87, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121123, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 129, 7, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121124, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 6826, 93, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121125, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 3, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121126, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 103, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121127, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 4, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121128, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 25, 4, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 72, 17, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 11, 7, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 314, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 56, 6, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 124, 28, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 320, 33, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 711, 23, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 42, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 131, 22, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 283, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 52, 17, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 62, 20, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1197, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 68, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 4429, 16, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 76, 16, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 466, 19, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 52, 6, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 44, 22, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 135, 8, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 54, 27, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 1, 5, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 4096, 4, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 57, 31, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 1, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 8357, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 34, 34, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 7, 4, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 12, 14, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 5761, 10, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 69, 37, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (121161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 97, 4, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 6, 3, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2570, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 9682, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 21, 20, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 6, 5, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 6780, 12, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 47, 19, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 7125, 12, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E18', 29, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 208, 10, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 49, 29, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 147, 7, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 32, 25, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 5714, 10, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 171, 20, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 12, 5, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 78, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 4, 10, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 785, 32, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 813, 25, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 135, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 1103, 7, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 2, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 7, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 161, 8, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 752, 12, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 188, 3, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 706, 31, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 639, 33, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 8, 8, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 78, 15, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 236, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 24, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 51, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 914, 11, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 26, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 18, 15, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 166, 26, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 26, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 2344, 3, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 37, 16, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 925, 6, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 202, 49, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 199, 3, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 50, 23, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 25, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 99, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 941, 5, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 33, 12, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 921, 8, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1970, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 49, 26, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 43, 5, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 62, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 631, 6, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 97, 5, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 92, 8, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 49, 20, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 725, 32, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 120, 34, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121224, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 126, 87, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121225, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1197, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121226, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2570, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121227, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 320, 33, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121228, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 129, 7, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121229, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 283, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121230, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 84, 87, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121231, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 314, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121232, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 688, 6, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121233, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 174, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121234, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 3, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121235, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 166, 26, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121236, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 32, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121237, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 42, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121238, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 7, 30, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121239, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 4, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121240, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 755, 191, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121241, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 155, 4, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121242, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 25, 4, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121243, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 24, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121244, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 2344, 3, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121245, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 6826, 93, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121246, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 103, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121247, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 600, 42, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121248, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 921, 8, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121249, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 63, 79, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121250, 1, '511500000000-0001', '宜宾市民中心', '川渝通办业务', '市人力资源社会保障局', '', '', 346, 3, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121251, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 3, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121252, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 135, 8, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121253, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 314, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121254, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 52, 6, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121255, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 2344, 3, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121256, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 147, 7, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121257, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1197, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121258, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 166, 26, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121259, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 33, 12, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121260, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 40, 15, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121261, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 51, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121262, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 19, 14, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121263, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 78, 15, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121264, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 236, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121265, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 26, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121266, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 26, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121267, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 24, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121268, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 129, 7, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121269, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 97, 4, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121270, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 7, 4, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121271, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E16', 3, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121272, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 52, 17, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121273, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 320, 33, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121274, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 921, 8, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121275, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 174, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121276, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 76, 16, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121277, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 68, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121278, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 62, 20, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121279, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 135, 8, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121280, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 43, 5, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121281, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 24, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121282, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121283, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 7, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121284, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 925, 6, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121285, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 914, 11, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121286, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 785, 32, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121287, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 78, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121288, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 1103, 7, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121289, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 813, 25, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121290, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 3916, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121291, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 706, 31, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121292, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E15', 3, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121293, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 124, 28, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121294, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 5714, 10, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121295, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 131, 22, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121296, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 752, 12, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121297, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 72, 17, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121298, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 639, 33, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121299, 1, '511500000000-0001', '宜宾市民中心', '川渝通办业务', '', '', '2E17', 504, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121300, 1, '511500000000-0001', '宜宾市民中心', '川渝通办业务', '', '', '2E18', 29, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121301, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 11, 7, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121302, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121303, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 4429, 16, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121304, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121305, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 56, 6, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121306, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 171, 20, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121307, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 283, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121308, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 725, 32, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121309, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 12, 14, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121310, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 6, 3, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121311, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 1, 5, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121312, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 1, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121313, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 6, 5, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121314, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 25, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121315, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 199, 3, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121316, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2570, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121317, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 5743, 9, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121318, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 9682, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121319, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 6780, 12, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121320, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 42, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121321, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 7376, 11, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121322, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 711, 23, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121323, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 4096, 4, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121324, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 8357, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121325, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 466, 19, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121326, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 135, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121327, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 2, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121328, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 12, 5, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121329, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 4, 10, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121330, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 8, 8, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121331, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 161, 8, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121332, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 188, 3, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121333, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 26, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121334, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 26, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121335, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 24, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121336, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 171, 20, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121337, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 50, 23, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121338, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 202, 49, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121339, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 72, 17, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121340, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 135, 8, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121341, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 7, 4, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121342, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 97, 4, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121343, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2570, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121344, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 208, 10, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121345, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E18', 29, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121346, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 7, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121347, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121348, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 120, 34, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121349, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121350, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 49, 20, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121351, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 62, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121352, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 49, 26, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121353, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 2344, 3, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121354, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 166, 26, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121355, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 124, 28, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121356, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 131, 22, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121357, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 42, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121358, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 236, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121359, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1197, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121360, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 51, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121361, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 11, 7, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121362, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 466, 19, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121363, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 314, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121364, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 56, 6, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121365, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 78, 15, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121366, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 18, 15, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121367, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 37, 16, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121368, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 52, 17, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121369, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 752, 12, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121370, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 76, 16, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121371, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 1103, 7, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121372, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 711, 23, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121373, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 62, 20, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121374, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 639, 33, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121375, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 283, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121376, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 706, 31, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121377, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 68, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121378, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 78, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121379, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 6780, 12, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121380, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 925, 6, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121381, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 9682, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121382, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 813, 25, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121383, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 5761, 10, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121384, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 785, 32, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121385, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 8357, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121386, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 4096, 4, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121387, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 914, 11, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121388, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 147, 7, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121389, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 52, 6, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121390, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 33, 12, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121391, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 1, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121392, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 12, 14, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121393, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121394, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 1, 5, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121395, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 3, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121396, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 5, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121397, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1970, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121398, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 43, 5, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121399, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 921, 8, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121400, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 725, 32, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121401, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 5714, 10, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121402, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 7125, 12, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121403, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 941, 5, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121404, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 25, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121405, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 92, 8, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121406, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 320, 33, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121407, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 99, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121408, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 47, 19, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121409, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 21, 20, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121410, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 631, 6, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121411, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 4429, 16, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121412, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 69, 37, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121413, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 34, 34, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121414, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 97, 5, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121415, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 57, 31, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121416, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 199, 3, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121417, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 54, 27, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121418, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 44, 22, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121419, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 32, 25, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121420, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 49, 29, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121421, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 171, 20, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121422, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 5714, 10, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121423, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 7376, 11, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121424, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 124, 28, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121425, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 72, 17, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121426, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 314, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121427, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 921, 8, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121428, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 4096, 4, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121429, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 131, 22, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121430, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 5743, 9, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121431, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 8357, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121432, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 6780, 12, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121433, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 9682, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121434, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121435, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 62, 20, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121436, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 68, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121437, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 76, 16, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121438, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 52, 17, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121439, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 1, 5, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121440, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121441, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 12, 14, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121442, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 1, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121443, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 5, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121444, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 3, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121445, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 4429, 16, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121446, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 283, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121447, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 466, 19, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121448, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 711, 23, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121449, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 725, 32, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121450, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 7, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121451, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121452, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E15', 3, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121453, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 925, 6, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121454, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 78, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121455, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1197, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121456, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 785, 32, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121457, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E16', 3, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121458, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 813, 25, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121459, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 914, 11, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121460, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 33, 12, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121461, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 166, 26, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121462, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 1103, 7, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121463, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 752, 12, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121464, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 706, 31, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121465, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 639, 33, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121466, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 135, 8, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121467, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 51, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121468, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 19, 14, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121469, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 40, 15, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121470, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 78, 15, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121471, 1, '511500000000-0001', '宜宾市民中心', '川渝通办业务', '市人力资源社会保障局', '', '2E17', 504, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121472, 1, '511500000000-0001', '宜宾市民中心', '川渝通办业务', '市人力资源社会保障局', '', '2E18', 29, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121473, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 236, 18, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121474, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 2344, 3, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121475, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 129, 7, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121476, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 26, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121477, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 26, 2, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121478, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 24, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121479, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 320, 33, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121480, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 24, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121481, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 56, 6, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121482, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 11, 7, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121483, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 42, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121484, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2570, 13, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121485, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 174, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121486, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 43, 5, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121487, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 3916, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121488, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 7, 4, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121489, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 97, 4, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121490, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 25, 1, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121491, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 199, 3, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121492, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 147, 7, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121493, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 52, 6, 2024, 4, 11, '2024-08-05 14:06:09', NULL, NULL), (121494, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 64, 91, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121495, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 180, 52, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121496, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 684, 48, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121497, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 121, 171, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121498, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1525, 126, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121499, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 63, 394, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121500, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 651, 189, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121501, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 130, 100, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121502, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1896, 145, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121503, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 63, 395, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121504, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 406, 104, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121505, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1512, 127, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121506, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 127, 102, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121507, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 121, 172, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121508, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 64, 91, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121509, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1883, 146, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121510, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 651, 189, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121511, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 310, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121512, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121513, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 35, 12, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121514, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 409, 26, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121515, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 65, 90, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121516, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121517, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 844, 8, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121518, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 2131, 63, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121519, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 162, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121520, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 821, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121521, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 491, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121522, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1459, 27, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121523, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 172, 26, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121524, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1145, 6, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121525, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 499, 14, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121526, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 164, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121527, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 213, 10, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121528, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 175, 31, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121529, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 651, 189, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121530, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 1033, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121531, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 503, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121532, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 25, 40, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121533, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 103, 68, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121534, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 531, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121535, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 111, 95, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121536, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 4, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121537, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '', 3192, 81, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121538, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 2, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121539, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 215, 7, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121540, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 8, 6, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121541, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 32, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D27', 303, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 213, 10, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 22, 9, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 118, 7, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 77, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 122, 32, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 171, 30, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 2042, 36, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 105, 28, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 172, 26, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 784, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 845, 9, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 465, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 68, 17, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 499, 14, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 62, 20, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2845, 6, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 191, 19, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 2251, 27, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 289, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 64, 30, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 503, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 41, 8, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 55, 22, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 52, 6, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 3525, 7, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 84, 32, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2659, 11, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 46, 35, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 135, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (121572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 4, 14, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 3882, 9, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 36, 35, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 42, 7, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 77, 11, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2948, 10, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 67, 30, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1459, 27, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 3688, 18, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 69, 29, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2836, 8, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 61, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1375, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 347, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 66, 24, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 32, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 43, 36, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2841, 12, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 102, 28, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 810, 31, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 9, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 9, 9, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 655, 30, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 473, 21, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 11, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 4, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 705, 22, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 12, 9, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 60, 10, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 577, 13, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 739, 28, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 99, 9, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 2, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 18, 11, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 171, 12, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 41, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 25, 13, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 98, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 409, 26, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 12, 16, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 1250, 8, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 162, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 79, 34, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 23, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 146, 21, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 75, 14, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 491, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1367, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 236, 9, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 205, 4, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 4, 18, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 41, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 61, 28, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 858, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 72, 12, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 511, 11, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 888, 23, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 642, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 108, 23, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 436, 33, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 15, 10, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121635, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 111, 95, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121636, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 499, 14, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121637, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1459, 27, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121638, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 175, 31, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121639, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 4, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121640, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 844, 8, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121641, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 65, 90, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121642, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 531, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121643, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 213, 10, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121644, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 1033, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121645, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 409, 26, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121646, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 35, 12, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121647, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 172, 26, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121648, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 25, 40, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121649, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 8, 6, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121650, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 651, 189, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121651, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 491, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121652, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 32, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121653, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 162, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121654, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '', 3192, 81, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121655, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 465, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121656, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 215, 7, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121657, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 2131, 63, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121658, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 205, 4, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121659, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1375, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121660, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 821, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121661, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 103, 68, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121662, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 2, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121663, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 503, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121664, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 213, 10, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121665, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 289, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121666, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 162, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121667, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 32, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121668, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 499, 14, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121669, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 409, 26, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121670, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 4, 18, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121671, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 146, 21, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121672, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 26, 12, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121673, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 12, 16, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121674, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 18, 11, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121675, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 171, 12, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121676, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 23, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121677, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 41, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121678, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 465, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121679, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 4, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121680, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 77, 11, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121681, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 135, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121682, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D27', 303, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121683, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 171, 30, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121684, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 205, 4, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121685, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 821, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121686, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 1033, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121687, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 191, 19, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121688, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 62, 20, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121689, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 68, 17, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121690, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 503, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121691, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 858, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121692, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 41, 8, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121693, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 1250, 8, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121694, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 98, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121695, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 655, 30, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121696, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 810, 31, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121697, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 705, 22, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121698, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 473, 21, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121699, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 739, 28, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121700, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 41, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121701, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 122, 32, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121702, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D30', 2841, 12, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121703, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 577, 13, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121704, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 105, 28, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121705, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E17', 2, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121706, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 118, 7, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121707, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 22, 9, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121708, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121709, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D29', 2845, 6, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121710, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 77, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121711, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 11, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121712, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 784, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121713, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 852, 7, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121714, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 102, 28, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121715, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 436, 33, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121716, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 4, 14, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121717, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 42, 7, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121718, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 52, 6, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121719, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121720, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1375, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121721, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 491, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121722, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1459, 27, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121723, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D34', 3882, 9, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121724, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D33', 2948, 10, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121725, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D32', 3688, 18, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121726, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D31', 2836, 8, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121727, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 172, 26, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121728, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 2042, 36, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121729, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D36', 3525, 7, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121730, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '', '', '2D35', 2659, 11, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121731, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 2251, 27, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121732, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 4, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121733, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 12, 9, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121734, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 9, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121735, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 9, 9, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121736, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 2, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121737, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 60, 10, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121738, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 99, 9, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121739, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 23, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121740, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 41, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121741, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 102, 28, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121742, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 75, 14, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121743, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 79, 34, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121744, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 503, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121745, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 118, 7, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121746, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 135, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121747, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 77, 11, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121748, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1459, 27, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121749, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 347, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121750, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 61, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121751, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121752, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 15, 10, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121753, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 11, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121754, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 108, 23, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121755, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 72, 12, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121756, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 61, 28, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121757, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 162, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121758, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 409, 26, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121759, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 122, 32, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121760, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 105, 28, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121761, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 499, 14, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121762, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 171, 12, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121763, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 172, 26, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121764, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 25, 13, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121765, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 22, 9, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121766, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 2251, 27, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121767, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 77, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121768, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 213, 10, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121769, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 18, 11, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121770, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 12, 16, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121771, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 146, 21, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121772, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 465, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121773, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 577, 13, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121774, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 191, 19, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121775, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 705, 22, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121776, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 2042, 36, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121777, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 784, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121778, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 68, 17, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121779, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 739, 28, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121780, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 845, 9, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121781, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 62, 20, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121782, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 810, 31, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121783, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 3688, 18, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121784, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 1250, 8, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121785, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2948, 10, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121786, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 473, 21, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121787, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 3882, 9, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121788, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 655, 30, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121789, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2659, 11, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121790, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 3525, 7, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121791, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 98, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121792, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 32, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121793, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 289, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121794, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 4, 18, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121795, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1375, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121796, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 14, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121797, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 41, 8, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121798, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 52, 6, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121799, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 42, 7, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121800, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121801, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 41, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121802, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 858, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121803, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 205, 4, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121804, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 436, 33, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121805, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2841, 12, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121806, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2836, 8, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121807, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 236, 9, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121808, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 491, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121809, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 171, 30, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121810, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 642, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121811, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D27', 303, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121812, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1367, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121813, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 69, 29, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121814, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 67, 30, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121815, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 511, 11, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121816, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2845, 6, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121817, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 36, 35, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121818, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 46, 35, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121819, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 888, 23, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121820, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 84, 32, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121821, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 55, 22, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121822, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 64, 30, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121823, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 43, 36, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121824, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 66, 24, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121825, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 102, 28, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121826, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D30', 2841, 12, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121827, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D31', 2836, 8, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121828, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 122, 32, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121829, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 213, 10, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121830, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 118, 7, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121831, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 205, 4, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121832, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D36', 3525, 7, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121833, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 105, 28, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121834, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D34', 3882, 9, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121835, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D35', 2659, 11, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121836, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D32', 3688, 18, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121837, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D33', 2948, 10, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121838, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 11, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121839, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 68, 17, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121840, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 62, 20, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121841, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 191, 19, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121842, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 52, 6, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121843, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 41, 8, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121844, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 14, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121845, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121846, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 42, 7, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121847, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理）', '不动产登记中心', '', '2D29', 2845, 6, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121848, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 852, 7, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121849, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 784, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121850, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 2251, 27, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121851, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 2042, 36, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121852, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1375, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121853, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 436, 33, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121854, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E17', 2, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121855, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121856, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 1250, 8, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121857, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 499, 14, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121858, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 810, 31, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121859, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 655, 30, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121860, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 473, 21, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121861, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 98, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121862, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 4, 18, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121863, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 409, 26, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121864, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 705, 22, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121865, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 577, 13, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121866, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 739, 28, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121867, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 503, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121868, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 26, 12, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121869, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 12, 16, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121870, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 146, 21, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121871, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 18, 11, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121872, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 171, 12, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121873, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 162, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121874, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 4, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121875, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 465, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121876, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 23, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121877, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 41, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121878, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D27', 303, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121879, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 171, 30, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121880, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 77, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121881, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 821, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121882, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 22, 9, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121883, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 172, 26, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121884, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1459, 27, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121885, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 1033, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121886, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 858, 3, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121887, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 41, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121888, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 135, 1, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121889, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 77, 11, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121890, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 491, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121891, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 32, 2, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121892, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 289, 5, 2024, 4, 12, '2024-08-05 14:06:10', NULL, NULL), (121893, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 5, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121894, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 751, 7, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121895, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 360, 107, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121896, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 852, 43, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121897, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 112, 14, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121898, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 357, 108, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121899, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 0, 2, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121900, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 852, 43, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121901, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 751, 7, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121902, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 5, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121903, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 112, 14, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121904, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 171, 2, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121905, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 56, 7, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121906, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 2, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121907, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 2435, 2, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121908, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 5, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121909, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 28, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121910, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121911, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 197, 6, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121912, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 852, 43, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 56, 7, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 2435, 2, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 890, 22, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 171, 2, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 812, 21, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 12, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 74, 10, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 4, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 37, 20, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 18, 10, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 509, 14, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 313, 2, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 337, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 687, 31, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 28, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 73, 3, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 5, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 384, 22, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121932, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 852, 43, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121933, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 2435, 2, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121934, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 171, 2, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121935, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 56, 7, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121936, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 197, 6, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121937, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121938, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 5, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121939, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 28, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121940, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 28, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121941, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 56, 7, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121942, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 890, 22, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121943, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 812, 21, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121944, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 5, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121945, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 73, 3, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121946, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 171, 2, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121947, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 337, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121948, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 313, 2, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121949, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121950, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 2435, 2, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121951, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 171, 2, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121952, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 12, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121953, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 2435, 2, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121954, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 4, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121955, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 5, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121956, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 28, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121957, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 337, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121958, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 313, 2, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121959, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 384, 22, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121960, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121961, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 56, 7, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121962, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 687, 31, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121963, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 509, 14, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121964, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 18, 10, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121965, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 73, 3, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121966, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 37, 20, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121967, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 74, 10, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121968, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 890, 22, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121969, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 812, 21, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121970, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121971, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 73, 3, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121972, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 2435, 2, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121973, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 5, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121974, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 313, 2, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121975, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 337, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121976, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 28, 1, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121977, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 171, 2, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121978, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 890, 22, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121979, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 812, 21, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (121980, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 56, 7, 2024, 4, 13, '2024-08-05 14:06:11', NULL, NULL), (121981, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 196, 3, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (121982, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 191, 38, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (121983, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 208, 12, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (121984, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 43, 10, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (121985, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 186, 39, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (121986, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 208, 12, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (121987, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 118, 5, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (121988, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 43, 10, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (121989, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 5, 2, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (121990, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 7, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (121991, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 51, 4, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (121992, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 0, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (121993, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 54, 4, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (121994, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 194, 3, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (121995, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 208, 12, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (121996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 287, 8, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (121997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 5, 2, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (121998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 48, 4, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (121999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 7, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 12, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 26, 3, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 3, 6, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 68, 2, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 5, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 19, 3, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 60, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 173, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 298, 15, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 10, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 291, 2, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 27, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 240, 11, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122013, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 208, 12, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122014, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 5, 2, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122015, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 7, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122016, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 54, 4, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122017, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 291, 2, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122018, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 51, 4, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122019, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 5, 2, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122020, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 48, 4, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122021, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 287, 8, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122022, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 7, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122023, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 68, 2, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122024, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 12, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122025, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 60, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122026, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 27, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122027, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 173, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122028, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 5, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122029, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 10, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122030, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 291, 2, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122031, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 7, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122032, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 287, 8, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122033, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 291, 2, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122034, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 27, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122035, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 60, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122036, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 173, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122037, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 68, 2, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122038, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 5, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122039, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 240, 11, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122040, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 12, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122041, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 5, 2, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122042, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 298, 15, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122043, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 19, 3, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122044, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 3, 6, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122045, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 26, 3, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122046, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 10, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122047, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 48, 4, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122048, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 68, 2, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122049, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 60, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122050, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 291, 2, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122051, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 12, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122052, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 5, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122053, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 173, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122054, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 27, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122055, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 10, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122056, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 48, 4, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122057, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 7, 1, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122058, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 287, 8, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122059, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 5, 2, 2024, 4, 14, '2024-08-05 14:06:11', NULL, NULL), (122060, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 77, 91, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122061, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 276, 71, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122062, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 535, 50, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122063, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 129, 213, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122064, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 691, 80, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122065, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 244, 470, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122066, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 218, 95, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122067, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 797, 171, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122068, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 727, 161, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122069, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 241, 475, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122070, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 356, 130, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122071, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 686, 81, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122072, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 209, 99, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122073, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 126, 214, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122074, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 713, 164, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122075, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 80, 92, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122076, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 793, 172, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122077, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 15, 9, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122078, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 244, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122079, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 34, 13, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122080, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 55, 16, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122081, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 153, 30, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122082, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 77, 90, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122083, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122084, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 553, 7, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122085, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 90, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122086, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 376, 38, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122087, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 77, 6, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122088, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122089, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1940, 16, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122090, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 52, 18, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122091, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1510, 11, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122092, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 331, 17, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122093, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 341, 10, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122094, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 646, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122095, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 142, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122096, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 378, 27, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122097, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 798, 170, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122098, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 267, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122099, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 977, 44, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122100, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 82, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122101, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 3, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122102, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 111, 75, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122103, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 20, 39, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122104, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 416, 11, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122105, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 349, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122106, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 216, 91, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122107, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 135, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122108, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 299, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122109, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1225, 48, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122110, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 0, 5, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122111, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 101, 22, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122112, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 8, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122113, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 75, 7, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 3, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 142, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 70, 11, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 22, 5, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 383, 33, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 378, 27, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 457, 22, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 136, 32, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 52, 18, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 244, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 436, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 710, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 120, 18, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 100, 15, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 163, 12, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 331, 17, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 90, 27, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 778, 8, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 281, 15, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 54, 10, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 420, 24, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 82, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 32, 7, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 200, 36, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1303, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 228, 22, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 47, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 293, 48, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 824, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 128, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 25, 16, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 377, 59, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 66, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1131, 6, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 304, 40, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1940, 16, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 6, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 8, 8, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1024, 10, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 336, 32, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1081, 6, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 117, 8, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1510, 11, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 201, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 186, 18, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 347, 34, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 153, 11, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 951, 5, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 122, 22, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 2, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 1067, 22, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 125, 10, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 51, 8, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 845, 29, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 746, 16, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 13, 13, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 817, 27, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 219, 10, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 523, 21, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 141, 12, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 180, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 734, 30, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 67, 20, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1429, 14, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 108, 15, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 42, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 128, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 67, 20, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 153, 30, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 28, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 93, 5, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 76, 29, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 86, 17, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 284, 31, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 46, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 309, 12, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1307, 17, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 64, 19, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 341, 10, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 322, 7, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 974, 17, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 54, 23, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 504, 6, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 52, 28, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 438, 5, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 674, 25, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 564, 7, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 818, 26, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 95, 20, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 88, 26, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122208, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 216, 91, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122209, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 34, 13, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122210, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 331, 17, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122211, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 90, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122212, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1940, 16, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122213, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 299, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122214, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 378, 27, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122215, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1225, 48, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122216, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 135, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122217, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 553, 7, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122218, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 77, 90, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122219, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 142, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122220, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 416, 11, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122221, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 267, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122222, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 3, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122223, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 153, 30, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122224, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 55, 16, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122225, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 52, 18, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122226, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 20, 39, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122227, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 244, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122228, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 8, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122229, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 798, 170, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122230, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 75, 7, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122231, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 349, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122232, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 93, 5, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122233, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 106, 21, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122234, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 386, 37, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122235, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 341, 10, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122236, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 646, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122237, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1510, 11, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122238, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 15, 9, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122239, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1000, 43, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122240, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 111, 75, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122241, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 82, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122242, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 142, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122243, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 54, 10, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122244, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 93, 5, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122245, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 153, 11, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122246, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 331, 17, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122247, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 153, 30, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122248, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 64, 19, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122249, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 91, 16, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122250, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 67, 20, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122251, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 67, 20, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122252, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 108, 15, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122253, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 28, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122254, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 128, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122255, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 42, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122256, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 135, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122257, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 824, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122258, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B01', 646, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122259, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E15', 3, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122260, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 66, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122261, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 1303, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122262, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 128, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122263, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 244, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122264, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 951, 5, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122265, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 1081, 6, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122266, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 1024, 10, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122267, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 1131, 6, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122268, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1429, 14, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122269, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 120, 18, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122270, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 378, 27, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122271, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 341, 10, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122272, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 778, 8, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122273, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1307, 17, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122274, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 267, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122275, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 974, 17, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122276, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 61, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122277, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 90, 27, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122278, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E20', 537, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122279, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 163, 12, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122280, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 100, 15, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122281, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 82, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122282, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 504, 6, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122283, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 349, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122284, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122285, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 32, 7, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122286, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 1067, 22, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122287, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 746, 16, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122288, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 845, 29, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122289, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 311, 5, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122290, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 523, 21, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122291, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 383, 33, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122292, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 817, 27, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122293, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 136, 32, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122294, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 90, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122295, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 3, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122296, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 737, 29, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122297, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 70, 11, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122298, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122299, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122300, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 22, 5, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122301, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 436, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122302, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 710, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122303, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 122, 22, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122304, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 818, 26, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122305, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 25, 16, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122306, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 6, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122307, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122308, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 47, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122309, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 8, 8, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122310, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1510, 11, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122311, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 8, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122312, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 93, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122313, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 19, 8, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122314, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 2, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122315, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 9, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122316, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 57, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122317, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1940, 16, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122318, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 52, 18, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122319, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 457, 22, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122320, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 17, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122321, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 281, 15, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122322, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 51, 8, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122323, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 13, 13, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122324, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 2, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122325, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 125, 10, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122326, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 180, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122327, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 219, 10, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122328, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 141, 12, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122329, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 128, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122330, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 28, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122331, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 42, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122332, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 974, 17, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122333, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1307, 17, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122334, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 122, 22, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122335, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 284, 31, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122336, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 76, 29, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122337, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 3, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122338, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 82, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122339, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 128, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122340, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 66, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122341, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1940, 16, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122342, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 201, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122343, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 117, 8, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122344, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122345, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122346, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 88, 26, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122347, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122348, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 95, 20, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122349, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 52, 28, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122350, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 54, 23, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122351, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 93, 5, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122352, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 153, 30, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122353, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1429, 14, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122354, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 383, 33, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122355, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 136, 32, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122356, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 244, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122357, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 108, 15, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122358, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 331, 17, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122359, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 52, 18, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122360, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 281, 15, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122361, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 70, 11, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122362, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 142, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122363, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 22, 5, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122364, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 67, 20, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122365, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 67, 20, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122366, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 86, 17, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122367, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 120, 18, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122368, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 90, 27, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122369, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 817, 27, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122370, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 746, 16, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122371, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 457, 22, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122372, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 436, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122373, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 734, 30, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122374, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 100, 15, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122375, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 710, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122376, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 523, 21, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122377, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 163, 12, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122378, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 1067, 22, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122379, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1024, 10, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122380, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1131, 6, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122381, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 824, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122382, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 845, 29, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122383, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1303, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122384, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 153, 11, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122385, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 64, 19, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122386, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 54, 10, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122387, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1510, 11, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122388, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 47, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122389, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 25, 16, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122390, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 32, 7, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122391, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122392, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122393, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 8, 8, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122394, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 322, 7, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122395, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 504, 6, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122396, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 341, 10, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122397, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 818, 26, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122398, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 951, 5, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122399, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1081, 6, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122400, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 309, 12, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (122401, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 564, 7, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122402, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 378, 27, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122403, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 46, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122404, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 336, 32, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122405, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 304, 40, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122406, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 438, 5, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122407, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 778, 8, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122408, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 377, 59, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122409, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 293, 48, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122410, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 674, 25, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122411, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 228, 22, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122412, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 200, 36, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122413, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 420, 24, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122414, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 347, 34, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122415, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 186, 18, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122416, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 244, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122417, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 122, 22, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122418, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 383, 33, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122419, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 3, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122420, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 142, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122421, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 341, 10, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122422, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 136, 32, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122423, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122424, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 2, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122425, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 100, 15, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122426, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 163, 12, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122427, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 90, 27, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122428, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 1303, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122429, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 824, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122430, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 1131, 6, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122431, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 1024, 10, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122432, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 1081, 6, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122433, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 120, 18, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122434, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 951, 5, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122435, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122436, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 32, 7, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122437, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 25, 16, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122438, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 47, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122439, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 8, 8, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122440, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122441, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 9, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122442, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 57, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122443, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 710, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122444, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 436, 4, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122445, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1307, 17, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122446, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 974, 17, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122447, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 281, 15, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122448, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 457, 22, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122449, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 61, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122450, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E20', 537, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122451, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1510, 11, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122452, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 17, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122453, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 818, 26, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122454, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122455, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122456, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 1067, 22, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122457, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 331, 17, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122458, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 845, 29, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122459, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E15', 3, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122460, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1429, 14, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122461, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 64, 19, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122462, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 153, 30, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122463, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 746, 16, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122464, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 817, 27, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122465, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 523, 21, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122466, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 737, 29, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122467, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 82, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122468, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 19, 8, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122469, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 93, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122470, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 67, 20, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122471, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 91, 16, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122472, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 67, 20, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122473, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 108, 15, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122474, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 8, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122475, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 93, 5, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122476, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 135, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122477, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 28, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122478, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 128, 3, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122479, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 42, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122480, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 90, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122481, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 378, 27, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122482, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 349, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122483, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 778, 8, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122484, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 22, 5, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122485, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 70, 11, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122486, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 52, 18, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122487, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1940, 16, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122488, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 267, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122489, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 504, 6, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122490, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 311, 5, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122491, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 128, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122492, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 66, 2, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122493, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B01', 646, 1, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122494, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 153, 11, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122495, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 54, 10, 2024, 4, 15, '2024-08-05 14:06:12', NULL, NULL), (122496, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 89, 78, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122497, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 109, 65, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122498, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 807, 42, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122499, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 350, 192, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122500, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 924, 76, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122501, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 67, 390, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122502, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 335, 171, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122503, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 211, 82, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122504, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1296, 155, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122505, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 67, 391, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122506, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 353, 116, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122507, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 912, 77, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122508, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 199, 87, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122509, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 366, 193, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122510, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 88, 79, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122511, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1273, 155, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122512, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 333, 172, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122513, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 5, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122514, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 15, 20, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122515, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 25, 23, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122516, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 5, 9, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122517, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 89, 78, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122518, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 461, 36, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122519, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 698, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122520, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 1025, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122521, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 545, 40, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122522, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 96, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122523, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 408, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122524, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122525, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2121, 14, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122526, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 267, 26, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122527, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 106, 4, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122528, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 276, 10, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122529, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 165, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122530, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 25, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122531, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1507, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122532, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 202, 15, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122533, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 334, 171, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122534, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 165, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122535, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 2377, 43, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122536, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 279, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122537, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 79, 39, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122538, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 669, 80, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122539, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 216, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122540, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 213, 81, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122541, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 113, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122542, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1539, 51, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122543, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 148, 24, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122544, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122545, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 71, 10, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1507, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 5, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 202, 15, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 165, 29, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 7, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 323, 29, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 592, 22, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 267, 26, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 5, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 650, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 672, 13, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 414, 20, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 550, 12, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 276, 10, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 344, 12, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2207, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 549, 16, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 101, 22, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 59, 23, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 279, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 83, 28, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 66, 32, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2123, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 1118, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 13, 40, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1817, 9, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 1486, 15, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 25, 15, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 89, 35, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 435, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 67, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2121, 14, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 69, 32, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 7, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2820, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 72, 26, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2505, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 213, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 128, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 71, 17, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 672, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 41, 27, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 3226, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 136, 23, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 173, 24, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 6, 10, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 15, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 137, 13, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 509, 16, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 8, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 60, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 2, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 2, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 328, 29, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 136, 9, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 335, 33, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 19, 4, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 351, 24, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 108, 14, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1278, 21, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 76, 14, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 111, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 70, 11, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 71, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 773, 4, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 94, 19, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 461, 36, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 666, 12, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 58, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 77, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 58, 24, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 96, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 88, 21, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 619, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 299, 15, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 165, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 96, 13, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2083, 20, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1113, 9, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 314, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 72, 32, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 142, 4, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 101, 27, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 629, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1221, 21, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 192, 16, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 76, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 78, 20, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122638, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 213, 81, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122639, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 25, 23, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122640, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 276, 10, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122641, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 1025, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122642, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2121, 14, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122643, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 202, 15, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122644, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1570, 50, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122645, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 113, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122646, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 698, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122647, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 89, 78, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122648, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1507, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122649, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 216, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122650, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 165, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122651, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 461, 36, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122652, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 5, 9, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122653, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 267, 26, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122654, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 79, 39, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122655, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 5, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122656, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122657, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 336, 170, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122658, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 71, 10, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122659, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 96, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122660, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 148, 24, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122661, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 574, 38, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122662, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 165, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122663, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 25, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122664, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 213, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122665, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 15, 20, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122666, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 2377, 43, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122667, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 408, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122668, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 669, 80, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122669, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 279, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122670, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1507, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122671, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 101, 22, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122672, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 672, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122673, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 96, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122674, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 276, 10, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122675, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 461, 36, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122676, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 96, 13, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122677, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 77, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122678, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 70, 11, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122679, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 94, 19, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122680, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 108, 14, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122681, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 76, 14, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122682, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 58, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122683, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 71, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122684, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 111, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122685, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 113, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122686, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1817, 9, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122687, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 435, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122688, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 2123, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122689, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 1486, 15, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122690, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B02', 25, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122691, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 5, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122692, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 3226, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122693, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 2505, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122694, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 2820, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122695, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1278, 21, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122696, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 672, 13, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122697, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 202, 15, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122698, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 165, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122699, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 2207, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122700, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 2083, 20, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122701, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 165, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122702, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 408, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122703, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1113, 9, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122704, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 344, 12, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122705, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 550, 12, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122706, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 414, 20, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122707, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 279, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122708, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 142, 4, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122709, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122710, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 2, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122711, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 666, 12, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122712, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 773, 4, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122713, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 173, 24, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122714, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 509, 16, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122715, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 137, 13, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122716, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 165, 29, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122717, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 344, 32, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122718, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 314, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122719, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 323, 29, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122720, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 328, 29, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122721, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 1025, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122722, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 351, 24, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122723, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 5, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122724, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 8, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122725, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122726, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 7, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122727, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 698, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122728, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 136, 23, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122729, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 192, 16, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122730, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 25, 15, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122731, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 67, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122732, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122733, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 1118, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122734, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 7, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122735, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 213, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122736, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 6, 10, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122737, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 15, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122738, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 60, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122739, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 19, 4, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122740, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 25, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122741, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 2, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122742, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2121, 14, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122743, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 267, 26, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122744, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 592, 22, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122745, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 4, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122746, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 549, 16, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122747, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 15, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122748, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 60, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122749, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 6, 10, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122750, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 19, 4, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122751, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 2, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122752, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 136, 9, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122753, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 71, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122754, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 58, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122755, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 111, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122756, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1113, 9, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122757, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2083, 20, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122758, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 136, 23, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122759, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 88, 21, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122760, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 58, 24, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122761, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 279, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122762, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 1486, 15, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122763, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 435, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122764, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2121, 14, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122765, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 128, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122766, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122767, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 2, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122768, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 8, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122769, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 78, 20, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122770, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122771, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 76, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122772, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 101, 27, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122773, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 72, 32, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122774, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 96, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122775, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 461, 36, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122776, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1278, 21, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122777, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 165, 29, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122778, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 323, 29, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122779, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 5, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122780, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 276, 10, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122781, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 76, 14, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122782, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 267, 26, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122783, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 70, 11, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122784, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 5, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122785, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 549, 16, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122786, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1507, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122787, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 7, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122788, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 108, 14, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122789, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 94, 19, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122790, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 77, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122791, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 672, 13, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122792, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 328, 29, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122793, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 344, 12, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122794, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 509, 16, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122795, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 592, 22, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122796, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 414, 20, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122797, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 351, 24, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122798, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 550, 12, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122799, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 650, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122800, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 335, 33, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122801, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 173, 24, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122802, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2820, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122803, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 666, 12, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122804, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1817, 9, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122805, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 137, 13, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122806, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2123, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122807, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 773, 4, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122808, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 672, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (122809, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 101, 22, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122810, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 96, 13, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122811, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 213, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122812, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 1118, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122813, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 25, 15, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122814, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122815, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122816, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 67, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122817, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122818, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 314, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122819, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 142, 4, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122820, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 165, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122821, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 192, 16, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122822, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 3226, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122823, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2505, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122824, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 299, 15, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122825, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 202, 15, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122826, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 619, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122827, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 72, 26, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122828, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 69, 32, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122829, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 629, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122830, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2207, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122831, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 89, 35, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122832, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 13, 40, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122833, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1221, 21, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122834, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 66, 32, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122835, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 83, 28, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122836, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 59, 23, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122837, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 41, 27, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122838, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 71, 17, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122839, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 5, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122840, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 136, 23, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122841, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 165, 29, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122842, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1507, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122843, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 165, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122844, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 323, 29, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122845, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122846, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 19, 4, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122847, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 414, 20, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122848, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 550, 12, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122849, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 344, 12, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122850, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 2123, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122851, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1817, 9, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122852, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 2820, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122853, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 2505, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122854, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 672, 13, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122855, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 3226, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122856, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122857, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122858, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 25, 15, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122859, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 1118, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122860, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122861, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 67, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122862, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 25, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122863, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 2, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122864, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 698, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122865, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 2083, 20, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122866, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1113, 9, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122867, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 549, 16, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122868, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 592, 22, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122869, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 213, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122870, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 4, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122871, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 192, 16, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122872, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 2, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122873, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 8, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122874, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 666, 12, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122875, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 276, 10, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122876, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 173, 24, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122877, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 137, 13, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122878, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 773, 4, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122879, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1278, 21, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122880, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 96, 13, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122881, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 461, 36, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122882, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 509, 16, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122883, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 328, 29, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122884, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 344, 32, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122885, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 279, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122886, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 351, 24, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122887, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 60, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122888, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 15, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122889, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 70, 11, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122890, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 94, 19, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122891, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 77, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122892, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 108, 14, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122893, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 76, 14, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122894, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 6, 10, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122895, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 96, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122896, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 113, 5, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122897, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 58, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122898, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 71, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122899, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 111, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122900, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 1025, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122901, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 202, 15, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122902, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 2207, 7, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122903, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 7, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122904, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 408, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122905, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 5, 6, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122906, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 267, 26, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122907, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2121, 14, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122908, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 165, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122909, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 142, 4, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122910, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 314, 3, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122911, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 1486, 15, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122912, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 435, 8, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122913, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B02', 25, 1, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122914, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 672, 2, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122915, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 101, 22, 2024, 4, 16, '2024-08-05 14:06:13', NULL, NULL), (122916, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 54, 86, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122917, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 441, 51, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122918, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1109, 59, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122919, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 259, 201, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122920, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 538, 69, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122921, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 70, 357, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122922, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 567, 208, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122923, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 139, 84, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122924, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1871, 145, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122925, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 70, 358, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122926, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 758, 116, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122927, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 530, 70, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122928, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 128, 91, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122929, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 258, 202, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122930, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1858, 146, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122931, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 54, 86, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122932, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 567, 208, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122933, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 100, 35, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122934, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 250, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122935, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 43, 21, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122936, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 96, 15, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122937, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 54, 86, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122938, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122939, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 178, 7, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122940, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 0, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122941, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 146, 27, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122942, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 4, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122943, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 264, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122944, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 7, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122945, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1142, 13, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122946, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 133, 26, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122947, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 5433, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122948, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 991, 11, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122949, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 426, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122950, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 566, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122951, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 114, 22, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122952, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 566, 206, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122953, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 5567, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122954, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 2735, 42, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122955, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 348, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122956, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 19, 34, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122957, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 216, 84, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122958, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 598, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122959, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 139, 84, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122960, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 1107, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122961, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 2720, 56, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122962, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 9, 14, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122963, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 88, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122964, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122965, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '', '', '', 689, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 73, 8, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 566, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 250, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 114, 22, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 178, 30, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 200, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 149, 24, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 133, 26, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 430, 3, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 97, 5, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 240, 26, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 116, 20, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 991, 11, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 261, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2520, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 257, 18, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 102, 15, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 42, 15, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 5, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 348, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 27, 5, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 61, 29, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2203, 7, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 43, 21, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 382, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 106, 29, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 340, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 3172, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 4, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 55, 35, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 83, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1142, 13, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (122999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 5, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 39, 27, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 11, 7, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 3557, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 50, 19, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2443, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 97, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 2222, 8, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 7244, 3, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 28, 16, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 18, 21, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 20, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2071, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 99, 22, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 560, 28, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 6, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 26, 5, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 185, 13, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 563, 22, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 14, 3, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 102, 7, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 2, 7, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 486, 21, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 803, 17, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 194, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 494, 33, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 74, 8, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 4, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 3, 11, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 2821, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 102, 5, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 57, 18, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 17, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 896, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 96, 15, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 176, 15, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 4, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 666, 35, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 19, 19, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 95, 38, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 82, 17, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 103, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 3351, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 569, 3, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2410, 25, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 50, 11, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1059, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 88, 23, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 2810, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 138, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 102, 23, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 523, 15, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1422, 28, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1893, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 5462, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 535, 30, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 110, 20, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 97, 24, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123058, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 139, 84, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123059, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 991, 11, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123060, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 43, 21, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123061, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1142, 13, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123062, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 114, 22, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123063, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 2720, 56, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123064, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 1107, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123065, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 208, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123066, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 54, 86, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123067, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 566, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123068, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 598, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123069, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 5567, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123070, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 96, 15, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123071, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 250, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123072, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 133, 26, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123073, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '市税务局', '', '', 689, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123074, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 19, 34, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123075, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 7, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123076, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 566, 206, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123077, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 88, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123078, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 4, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123079, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 9, 14, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123080, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 146, 27, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123081, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 569, 3, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123082, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 7244, 3, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123083, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 2735, 42, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123084, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 100, 35, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123085, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 264, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123086, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 216, 84, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123087, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 348, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123088, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 566, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123089, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 5, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123090, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 4, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123091, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 20, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123092, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 991, 11, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123093, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 96, 15, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123094, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 50, 11, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123095, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 19, 19, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123096, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 57, 18, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123097, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 176, 15, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123098, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 4, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123099, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 3, 11, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123100, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 17, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123101, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 102, 5, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123102, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 1107, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123103, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 3172, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123104, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 83, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123105, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 2203, 7, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123106, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 340, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123107, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 2071, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123108, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 2443, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123109, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 3557, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123110, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 2821, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123111, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 240, 26, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123112, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 114, 22, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123113, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 569, 3, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123114, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 2520, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123115, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 2410, 25, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123116, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 3351, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123117, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 450, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123118, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 79, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123119, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 5567, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123120, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 2810, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123121, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 257, 18, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123122, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 261, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123123, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 116, 20, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123124, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 348, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123125, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 138, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123126, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 27, 5, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123127, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 666, 35, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123128, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 896, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123129, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 560, 28, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123130, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 563, 22, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123131, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 185, 13, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123132, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 804, 16, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123133, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1059, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123134, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 178, 30, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123135, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 149, 24, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123136, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 486, 21, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123137, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 73, 8, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123138, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 491, 32, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123139, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 250, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123140, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 14, 3, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123141, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123142, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 421, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123143, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 99, 22, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123144, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 102, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123145, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '', '', '2B02', 795, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123146, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '', '', '2B01', 583, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123147, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 535, 30, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123148, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 4, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123149, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 5, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123150, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123151, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 382, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123152, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 11, 7, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123153, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 7244, 3, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123154, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 6, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123155, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 26, 5, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123156, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 102, 7, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123157, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 74, 8, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123158, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 194, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123159, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 2, 7, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123160, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1142, 13, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123161, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 133, 26, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123162, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 200, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123163, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 97, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123164, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 102, 15, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123165, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 26, 5, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123166, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 102, 7, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123167, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 6, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123168, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 74, 8, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123169, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 2, 7, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123170, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 194, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123171, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 17, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123172, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 102, 5, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123173, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 2810, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123174, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2410, 25, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123175, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 3351, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123176, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 82, 17, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123177, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 99, 22, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123178, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 95, 38, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123179, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 348, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123180, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 73, 8, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123181, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 340, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123182, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 83, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123183, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1142, 13, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123184, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 2222, 8, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123185, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 97, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123186, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 14, 3, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123187, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 97, 24, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123188, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123189, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 110, 20, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123190, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 102, 23, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123191, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 88, 23, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123192, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 4, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123193, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 96, 15, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123194, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 2821, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123195, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 178, 30, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123196, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 149, 24, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123197, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 3, 11, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123198, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 991, 11, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123199, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 133, 26, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123200, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 57, 18, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123201, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 102, 15, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123202, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 250, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123203, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 566, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123204, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 4, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123205, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 176, 15, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123206, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 19, 19, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123207, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 240, 26, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123208, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 486, 21, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123209, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 257, 18, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123210, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 200, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123211, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 563, 22, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123212, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 430, 3, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123213, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 116, 20, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123214, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 494, 33, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123215, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 803, 17, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123216, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 97, 5, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (123217, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 261, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123218, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 3557, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123219, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 560, 28, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123220, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 666, 35, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123221, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 185, 13, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123222, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 3172, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123223, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2203, 7, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123224, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 896, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123225, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 20, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123226, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123227, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 50, 11, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123228, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 7244, 3, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123229, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 382, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123230, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123231, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 27, 5, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123232, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123233, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 5, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123234, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 11, 7, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123235, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1059, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123236, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 138, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123237, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 569, 3, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123238, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 535, 30, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123239, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2071, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123240, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2443, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123241, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 103, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123242, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 5462, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123243, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1893, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123244, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 114, 22, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123245, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 50, 19, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123246, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 39, 27, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123247, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2520, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123248, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 523, 15, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123249, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 55, 35, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123250, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 106, 29, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123251, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1422, 28, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123252, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 43, 21, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123253, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 61, 29, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123254, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 42, 15, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123255, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 18, 21, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123256, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 28, 16, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123257, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 99, 22, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123258, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 178, 30, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123259, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 73, 8, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123260, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 566, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123261, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 569, 3, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123262, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 149, 24, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123263, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123264, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 74, 8, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123265, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 116, 20, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123266, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 261, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123267, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 2203, 7, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123268, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 257, 18, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123269, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 3172, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123270, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 3557, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123271, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 240, 26, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123272, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 2443, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123273, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 2071, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123274, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123275, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 27, 5, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123276, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123277, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 382, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123278, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 11, 7, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123279, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 5, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123280, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 194, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123281, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 2, 7, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123282, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 102, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123283, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 421, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123284, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 2410, 25, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123285, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 2810, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123286, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 3351, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123287, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 102, 15, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123288, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 200, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123289, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '市税务局', '', '2B02', 795, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123290, 1, '511500000000-0001', '宜宾市民中心', '交纳契税、登记费', '市税务局', '', '2B01', 583, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123291, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 7244, 3, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123292, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 97, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123293, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 535, 30, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123294, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 14, 3, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123295, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 666, 35, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123296, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 991, 11, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123297, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 560, 28, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123298, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 185, 13, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123299, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 896, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123300, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 2821, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123301, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 50, 11, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123302, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 96, 15, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123303, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 563, 22, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123304, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 486, 21, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123305, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 804, 16, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123306, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 348, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123307, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 491, 32, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123308, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 102, 7, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123309, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 26, 5, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123310, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 57, 18, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123311, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 176, 15, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123312, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 19, 19, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123313, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 4, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123314, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 3, 11, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123315, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 6, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123316, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 4, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123317, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 1107, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123318, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 17, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123319, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 102, 5, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123320, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 114, 22, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123321, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 2520, 9, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123322, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 79, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123323, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 250, 12, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123324, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 450, 1, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123325, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 133, 26, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123326, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1142, 13, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123327, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 5567, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123328, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 138, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123329, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1059, 2, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123330, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 340, 6, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123331, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 83, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123332, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 20, 4, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123333, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 10, 2024, 4, 17, '2024-08-05 14:06:14', NULL, NULL), (123334, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 8, 73, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123335, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 67, 41, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123336, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 821, 38, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123337, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 176, 179, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123338, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 605, 84, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123339, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 94, 374, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123340, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 72, 70, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123341, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 610, 250, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123342, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1050, 135, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123343, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 94, 374, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123344, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 386, 88, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123345, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 605, 84, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123346, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 71, 71, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123347, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 176, 179, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123348, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 8, 74, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123349, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1043, 136, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123350, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 610, 250, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123351, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 173, 23, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123352, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 102, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123353, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 34, 22, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123354, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 8, 74, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123355, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 264, 20, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123356, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 460, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123357, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 4014, 2, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123358, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 403, 41, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123359, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 118, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123360, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 20, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123361, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1667, 17, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123362, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 73, 17, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123363, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123364, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 206, 9, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123365, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 275, 6, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123366, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 61, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123367, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 190, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123368, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 372, 25, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123369, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 612, 249, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123370, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 37, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123371, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1413, 37, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123372, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 49, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123373, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 146, 82, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123374, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 6, 35, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123375, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 386, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123376, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 67, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123377, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 71, 71, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123378, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 22, 2, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123379, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 3, 2, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123380, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1585, 47, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123381, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 318, 8, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123382, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 63, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123383, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 126, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 58, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 190, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 7, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 372, 25, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 48, 22, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 135, 14, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 431, 23, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 73, 17, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1251, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 153, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 129, 20, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 97, 25, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 206, 9, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 215, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1644, 11, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 236, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 368, 18, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 63, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 17, 17, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 10, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 49, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 32, 31, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1304, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 22, 25, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 66, 17, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 144, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1285, 6, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 4, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 18, 39, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 152, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 21, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 40, 24, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1667, 17, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 48, 19, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1419, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1343, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 27, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 45, 30, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 742, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 30, 21, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1129, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 64, 22, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 5, 6, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 621, 19, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 10, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 605, 36, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 50, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 799, 15, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 63, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 2, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 257, 15, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 523, 40, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 899, 9, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 598, 35, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 728, 42, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 20, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 5, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 5, 15, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1529, 20, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 20, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 26, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 383, 18, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 88, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 3, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 264, 20, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 30, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 765, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 8, 10, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 118, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 358, 20, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 56, 27, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 37, 2, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 245, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 275, 6, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 3, 11, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1147, 14, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 127, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 120, 26, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 2322, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 67, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 710, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 228, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1074, 27, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 548, 32, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 23, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 281, 53, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123473, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 72, 70, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123474, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 206, 9, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123475, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 34, 22, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123476, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 4014, 2, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123477, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1667, 17, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123478, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 3, 2, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123479, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 372, 25, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123480, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1619, 46, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123481, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 22, 2, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123482, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 460, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123483, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 8, 73, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123484, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 190, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123485, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 386, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123486, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 37, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123487, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 264, 20, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123488, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 102, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123489, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 73, 17, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123490, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 7, 33, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123491, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123492, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 612, 249, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123493, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 63, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123494, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 67, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123495, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 118, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123496, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 318, 8, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123497, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 403, 41, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123498, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 275, 6, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123499, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 61, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123500, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1413, 37, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123501, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 173, 23, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123502, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 20, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123503, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 146, 82, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123504, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 49, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123505, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 190, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123506, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 63, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123507, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 742, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123508, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 118, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123509, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 206, 9, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123510, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 264, 20, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123511, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 3, 11, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123512, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 8, 10, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123513, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 26, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123514, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 3, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123515, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 5, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123516, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 5, 15, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123517, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 30, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123518, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 88, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123519, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 20, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123520, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 22, 2, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123521, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1285, 6, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123522, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 152, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123523, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 1304, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123524, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B02', 61, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123525, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 144, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123526, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 1129, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123527, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 1343, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123528, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 1419, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123529, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1529, 20, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123530, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 129, 20, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123531, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 372, 25, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123532, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 275, 6, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123533, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 1644, 11, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123534, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1147, 14, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123535, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 20, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123536, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 37, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123537, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 2322, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123538, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 3, 2, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123539, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 236, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123540, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 215, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123541, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 97, 25, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123542, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 49, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123543, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 710, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123544, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 2, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123545, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 67, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123546, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 10, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123547, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 765, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123548, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 383, 18, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123549, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 621, 19, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123550, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 799, 15, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123551, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 605, 36, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123552, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 143, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123553, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 614, 34, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123554, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 48, 22, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123555, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 135, 14, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123556, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 523, 40, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123557, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 4014, 2, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123558, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 58, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123559, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 728, 42, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123560, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 126, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123561, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 7, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123562, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123563, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1251, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123564, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 197, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123565, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 64, 22, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123566, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 548, 32, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123567, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 4, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123568, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 21, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123569, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123570, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 5, 6, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123571, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 10, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123572, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 50, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123573, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 63, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123574, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 20, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123575, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 9, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123576, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 296, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123577, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1667, 17, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123578, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 73, 17, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123579, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 431, 23, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123580, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 368, 18, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123581, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 50, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123582, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 63, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123583, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 5, 6, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123584, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 10, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123585, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 20, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123586, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 257, 15, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123587, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 899, 9, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123588, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 88, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123589, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 30, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123590, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 20, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123591, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 2322, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123592, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1147, 14, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123593, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 64, 22, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123594, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 56, 27, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123595, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 358, 20, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123596, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 58, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123597, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 49, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123598, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 144, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123599, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 152, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123600, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1667, 17, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123601, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 27, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123602, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 2, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123603, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 281, 53, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123604, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123605, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 23, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123606, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 67, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123607, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 120, 26, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123608, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 118, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123609, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 264, 20, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123610, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1529, 20, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123611, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 48, 22, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123612, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 135, 14, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123613, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 206, 9, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123614, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 5, 15, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123615, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 73, 17, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123616, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 26, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123617, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 126, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123618, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 368, 18, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123619, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 7, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123620, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 190, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123621, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 5, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123622, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 3, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123623, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 8, 10, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123624, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 129, 20, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123625, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 236, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (123626, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 523, 40, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123627, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 799, 15, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123628, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 431, 23, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123629, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1251, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123630, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 97, 25, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123631, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 728, 42, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123632, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 153, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123633, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 598, 35, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123634, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 215, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123635, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 621, 19, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123636, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1419, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123637, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 765, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123638, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 605, 36, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123639, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1285, 6, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123640, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1304, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123641, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 383, 18, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123642, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 742, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123643, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 63, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123644, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 3, 11, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123645, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123646, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 10, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123647, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 21, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123648, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123649, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 127, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123650, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 710, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123651, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 275, 6, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123652, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 548, 32, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123653, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1129, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123654, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1343, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123655, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 245, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123656, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 372, 25, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123657, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 48, 19, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123658, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 37, 2, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123659, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 40, 24, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123660, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 228, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123661, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1644, 11, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123662, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 18, 39, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123663, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 66, 17, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123664, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1074, 27, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123665, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 22, 25, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123666, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 32, 31, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123667, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 17, 17, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123668, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 30, 21, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123669, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 45, 30, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123670, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 64, 22, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123671, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 48, 22, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123672, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 58, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123673, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 190, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123674, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 275, 6, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123675, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 135, 14, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123676, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123677, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 20, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123678, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 97, 25, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123679, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 215, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123680, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 1304, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123681, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 236, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123682, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1285, 6, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123683, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 1419, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123684, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 1343, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123685, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 129, 20, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123686, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 1129, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123687, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 10, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123688, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123689, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123690, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 21, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123691, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 9, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123692, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 296, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123693, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 197, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123694, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1251, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123695, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1147, 14, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123696, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 2322, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123697, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 368, 18, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123698, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 431, 23, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123699, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 3, 2, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123700, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 548, 32, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123701, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 2, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123702, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 765, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123703, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 206, 9, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123704, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 621, 19, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123705, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 605, 36, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123706, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 383, 18, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123707, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1529, 20, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123708, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 3, 11, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123709, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 264, 20, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123710, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 799, 15, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123711, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 523, 40, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123712, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 614, 34, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123713, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 49, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123714, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 728, 42, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123715, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 63, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123716, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 50, 7, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123717, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 26, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123718, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 3, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123719, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 8, 10, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123720, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 5, 13, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123721, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 5, 15, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123722, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 10, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123723, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 5, 6, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123724, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 118, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123725, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 22, 2, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123726, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 30, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123727, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 88, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123728, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 20, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123729, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 4014, 2, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123730, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 372, 25, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123731, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 67, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123732, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 1644, 11, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123733, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 7, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123734, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 20, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123735, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 126, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123736, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 73, 17, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123737, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1667, 17, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123738, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 37, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123739, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 710, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123740, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 143, 4, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123741, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 144, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123742, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 152, 12, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123743, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B02', 61, 1, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123744, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 742, 3, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123745, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 63, 5, 2024, 4, 18, '2024-08-05 14:06:15', NULL, NULL), (123746, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 32, 88, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123747, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 76, 47, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123748, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1992, 44, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123749, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 114, 162, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123750, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1022, 78, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123751, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 321, 420, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123752, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 1154, 174, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123753, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 128, 71, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123754, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1336, 161, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123755, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 321, 420, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123756, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 981, 93, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123757, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1022, 78, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123758, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 126, 72, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123759, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 113, 163, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123760, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 32, 88, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123761, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1336, 161, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123762, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 1154, 174, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123763, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 10, 22, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123764, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 82, 14, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123765, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 6, 15, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123766, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 341, 20, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123767, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 32, 88, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123768, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 93, 5, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123769, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 623, 39, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123770, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 3, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123771, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 31, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123772, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123773, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2518, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123774, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 129, 15, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123775, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123776, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 895, 12, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123777, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 557, 5, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123778, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 339, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123779, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 382, 32, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123780, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 1154, 174, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123781, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 626, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123782, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1882, 37, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123783, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 659, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123784, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 63, 38, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123785, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 74, 67, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123786, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 7, 5, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123787, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 128, 71, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123788, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 287, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123789, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 75, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123790, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1944, 65, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123791, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 131, 9, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123792, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 130, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123793, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 10, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 94, 12, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 78, 18, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 339, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 115, 18, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 7, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 382, 32, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 169, 10, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 129, 15, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 607, 22, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 128, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 60, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 54, 5, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 94, 9, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 81, 16, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 895, 12, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 419, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 68, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 644, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 147, 8, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 557, 29, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 24, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 659, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 462, 33, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2263, 5, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 275, 36, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 17, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 63, 9, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1963, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 451, 47, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 72, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1705, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2518, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 215, 7, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 345, 28, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2725, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 56, 12, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 435, 30, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2069, 7, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 400, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 407, 31, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 2, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 272, 31, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2948, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 158, 25, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 8, 3, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 1087, 30, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 5, 7, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 3, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 10, 3, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 1367, 23, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 1294, 23, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 38, 9, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 23, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 991, 28, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 2, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 2, 9, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 749, 13, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 33, 19, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 38, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 25, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 15, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 1291, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 341, 20, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 3, 8, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 3, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 153, 5, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 1159, 21, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 11, 12, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 80, 31, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 528, 26, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 12751, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2265, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 200, 8, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1881, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 696, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 65, 15, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2138, 14, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 7, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1753, 29, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 142, 32, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 7, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 69, 24, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 669, 8, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 1824, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 3045, 7, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1433, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 1241, 25, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 111, 22, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 191, 20, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123886, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 128, 71, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123887, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 895, 12, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123888, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 6, 15, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123889, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2518, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123890, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 75, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123891, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 382, 32, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123892, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1944, 65, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123893, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 287, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123894, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 32, 88, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123895, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 93, 5, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123896, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 7, 5, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123897, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 339, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123898, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 626, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123899, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 341, 20, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123900, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 82, 14, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123901, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 129, 15, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123902, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 63, 38, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123903, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 10, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123904, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 1154, 174, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123905, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 130, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123906, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 3, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123907, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 131, 9, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123908, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 623, 39, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123909, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 696, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123910, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1882, 37, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123911, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 10, 22, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123912, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 31, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123913, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 74, 67, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123914, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 659, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123915, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 339, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123916, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 147, 8, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123917, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 3, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123918, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 2, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123919, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 895, 12, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123920, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 341, 20, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123921, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 65, 15, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123922, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 11, 12, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123923, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 25, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123924, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 3, 8, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123925, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 33, 19, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123926, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 38, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123927, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 153, 5, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123928, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 15, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123929, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 287, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123930, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1963, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123931, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 72, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123932, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 2263, 5, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123933, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 63, 9, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123934, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 2948, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123935, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 2069, 7, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123936, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 2725, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123937, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 1705, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123938, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 54, 5, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123939, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 382, 32, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123940, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 696, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123941, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 419, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123942, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D14', 2265, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123943, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 2138, 14, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123944, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1881, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123945, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 31, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123946, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 626, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123947, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1753, 29, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123948, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 147, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123949, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 68, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123950, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E20', 4, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123951, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 81, 16, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123952, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 94, 9, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123953, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 659, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123954, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 7, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123955, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 24, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123956, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 23, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123957, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 1159, 21, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123958, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 1291, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123959, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 1087, 30, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123960, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 1367, 23, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123961, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 7, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123962, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 115, 18, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123963, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 991, 28, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123964, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 169, 10, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123965, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 1294, 23, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123966, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 78, 18, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123967, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 749, 13, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123968, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 94, 12, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123969, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123970, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 7, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123971, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 3, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123972, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 128, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123973, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 158, 25, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123974, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 70, 3, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123975, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 1241, 25, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123976, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123977, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 215, 7, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123978, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 17, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123979, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 56, 12, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123980, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 8, 3, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123981, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 5, 7, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123982, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 10, 3, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123983, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 3, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123984, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 2, 8, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123985, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 2, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123986, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 25, 8, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123987, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2518, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123988, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 129, 15, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123989, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 607, 22, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123990, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 644, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123991, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 10, 3, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123992, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 3, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123993, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 8, 3, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123994, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 5, 7, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123995, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 2, 9, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123996, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 38, 9, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123997, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 2, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123998, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 15, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (123999, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 153, 5, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124000, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1753, 29, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124001, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2138, 14, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124002, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1881, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124003, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2265, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124004, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 158, 25, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124005, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 528, 26, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124006, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 80, 31, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124007, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 659, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124008, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 78, 18, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124009, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 63, 9, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124010, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 72, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124011, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2518, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124012, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 400, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124013, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 23, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124014, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124015, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 191, 20, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124016, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 3, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124017, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 111, 22, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124018, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 69, 24, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124019, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 142, 32, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124020, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 3, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124021, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 341, 20, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124022, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 115, 18, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124023, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 169, 10, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124024, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 38, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124025, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 895, 12, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124026, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 129, 15, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124027, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 25, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124028, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 94, 12, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124029, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 644, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124030, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 33, 19, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124031, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 7, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124032, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 339, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124033, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 3, 8, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124034, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 11, 12, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124035, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 54, 5, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (124036, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 1294, 23, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124037, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 68, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124038, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 1367, 23, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124039, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 607, 22, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124040, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 128, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124041, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 94, 9, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124042, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 749, 13, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124043, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 81, 16, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124044, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 991, 28, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124045, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 60, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124046, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2725, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124047, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 1087, 30, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124048, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 1159, 21, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124049, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1705, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124050, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1963, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124051, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2263, 5, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124052, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 1291, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124053, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 2, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124054, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 147, 8, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124055, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 65, 15, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124056, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 17, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124057, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124058, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 24, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124059, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 215, 7, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124060, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 56, 12, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124061, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 7, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124062, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 7, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124063, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 696, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124064, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 1241, 25, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124065, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2948, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124066, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2069, 7, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124067, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 200, 8, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124068, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1433, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124069, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 3045, 7, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124070, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 382, 32, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124071, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 12751, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124072, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 435, 30, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124073, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 345, 28, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124074, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 669, 8, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124075, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 419, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124076, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 451, 47, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124077, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 1824, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124078, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 275, 36, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124079, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 462, 33, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124080, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 557, 29, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124081, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 272, 31, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124082, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 407, 31, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124083, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 158, 25, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124084, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 115, 18, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124085, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 78, 18, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124086, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 339, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124087, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 696, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124088, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 169, 10, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124089, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 3, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124090, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 2, 8, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124091, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 94, 9, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124092, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 81, 16, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124093, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 2263, 5, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124094, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 68, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124095, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1963, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124096, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 1705, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124097, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 2725, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124098, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 54, 5, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124099, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 2069, 7, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124100, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 2948, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124101, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 24, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124102, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124103, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 17, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124104, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 56, 12, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124105, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 215, 7, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124106, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 2, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124107, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 25, 8, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124108, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D14', 2265, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124109, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 70, 3, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124110, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 128, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124111, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 2138, 14, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124112, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1753, 29, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124113, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1881, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124114, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 644, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124115, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 607, 22, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124116, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 147, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124117, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E20', 4, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124118, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 1241, 25, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124119, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 23, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124120, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124121, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 1159, 21, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124122, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 895, 12, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124123, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 1087, 30, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124124, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 1291, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124125, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 65, 15, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124126, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 341, 20, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124127, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 1367, 23, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124128, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 1294, 23, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124129, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 991, 28, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124130, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 659, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124131, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 749, 13, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124132, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 3, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124133, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 10, 3, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124134, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 25, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124135, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 3, 8, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124136, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 11, 12, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124137, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 33, 19, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124138, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 38, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124139, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 5, 7, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124140, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 8, 3, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124141, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 3, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124142, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 287, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124143, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 153, 5, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124144, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 15, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124145, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 382, 32, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124146, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 419, 6, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124147, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 7, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124148, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 31, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124149, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 94, 12, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124150, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 129, 15, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124151, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2518, 17, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124152, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 626, 2, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124153, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 7, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124154, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 7, 4, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124155, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 63, 9, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124156, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 72, 11, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124157, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 2, 1, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124158, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 147, 8, 2024, 4, 19, '2024-08-05 14:06:16', NULL, NULL), (124159, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 108, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124160, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 40, 2, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124161, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 436, 36, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124162, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 698, 42, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124163, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 692, 15, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124164, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 413, 38, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124165, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 681, 43, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124166, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 27, 3, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124167, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 108, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124168, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 611, 17, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124169, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 0, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124170, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 10510, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124171, 1, '511500000000-0001', '宜宾市民中心', '查封、登记业务', '', '', '', 0, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124172, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124173, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 369, 3, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124174, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 40, 2, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124175, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 108, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124176, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 773, 12, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124177, 1, '511500000000-0001', '宜宾市民中心', '查封业务', '', '', '', 0, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124178, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 458, 41, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 369, 3, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 348, 27, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 40, 2, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 670, 14, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 10510, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 108, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 648, 3, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 316, 18, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2098, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 556, 18, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 955, 3, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 474, 5, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124191, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 458, 41, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124192, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 369, 3, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124193, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 40, 2, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124194, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 773, 12, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124195, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 10510, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124196, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 108, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124197, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 369, 3, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124198, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 348, 27, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124199, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 670, 14, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124200, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 955, 3, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124201, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 40, 2, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124202, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 474, 5, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124203, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 10510, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124204, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 2098, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124205, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 108, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124206, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 648, 3, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124207, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 40, 2, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124208, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 474, 5, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124209, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2098, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124210, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 648, 3, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124211, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 369, 3, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124212, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 556, 18, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124213, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 316, 18, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124214, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 955, 3, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124215, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 108, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124216, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 348, 27, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124217, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 670, 14, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124218, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 10510, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124219, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 955, 3, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124220, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 10510, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124221, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 648, 3, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124222, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 2098, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124223, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 474, 5, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124224, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 40, 2, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124225, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 108, 1, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124226, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 348, 27, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124227, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 670, 14, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124228, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 369, 3, 2024, 4, 20, '2024-08-05 14:06:17', NULL, NULL), (124229, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 454, 2, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124230, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 456, 3, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124231, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1154, 33, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124232, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 322, 6, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124233, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 324, 37, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124234, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1002, 38, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124235, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 324, 37, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124236, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 342, 4, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124237, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 454, 2, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124238, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 276, 7, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124239, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 670, 2, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124240, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 0, 1, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124241, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 0, 1, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124242, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 454, 2, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124243, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 322, 6, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124244, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 29, 1, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124245, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 324, 37, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 220, 12, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 2, 1, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 670, 2, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 390, 24, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 479, 1, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 329, 3, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 2216, 4, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1008, 29, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 29, 1, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 234, 2, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 454, 2, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124257, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 324, 37, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124258, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 670, 2, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124259, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 322, 6, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124260, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 29, 1, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124261, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 454, 2, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124262, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 2, 1, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124263, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 390, 24, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124264, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 220, 12, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124265, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 234, 2, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124266, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 454, 2, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124267, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 670, 2, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124268, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 479, 1, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124269, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 329, 3, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124270, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 29, 1, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124271, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 329, 3, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124272, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 670, 2, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124273, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 220, 12, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124274, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 479, 1, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124275, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1008, 29, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124276, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 454, 2, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124277, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 2216, 4, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124278, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 234, 2, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124279, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 2, 1, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124280, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 390, 24, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124281, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 29, 1, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124282, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 234, 2, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124283, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 29, 1, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124284, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 479, 1, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124285, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 454, 2, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124286, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 329, 3, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124287, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 2, 1, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124288, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 670, 2, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124289, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 220, 12, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124290, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 390, 24, 2024, 4, 21, '2024-08-05 14:06:18', NULL, NULL), (124291, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 79, 94, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124292, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 61, 71, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124293, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 260, 31, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124294, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 168, 207, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124295, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1220, 92, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124296, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 164, 462, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124297, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 488, 154, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124298, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 108, 113, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124299, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 813, 122, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124300, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 164, 462, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124301, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 114, 108, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124302, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1220, 92, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124303, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 107, 114, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124304, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 168, 207, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124305, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 79, 94, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124306, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 799, 124, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124307, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 488, 154, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124308, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 55, 30, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124309, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 107, 18, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124310, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 115, 17, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124311, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 655, 17, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124312, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 80, 93, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124313, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 314, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124314, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1035, 46, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124315, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 923, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124316, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 597, 2, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124317, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 183, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124318, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2868, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124319, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 40, 21, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124320, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124321, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 876, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124322, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1823, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124323, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 270, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124324, 1, '511500000000-0001', '宜宾市民中心', '查封业务', '', '', '', 5615, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124325, 1, '511500000000-0001', '宜宾市民中心', '查封、登记业务', '', '', '', 7318, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124326, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 99, 19, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124327, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 488, 154, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124328, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 597, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124329, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1595, 39, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124330, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 52, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124331, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 83, 72, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124332, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 34, 51, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124333, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 437, 18, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124334, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 104, 110, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124335, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 178, 2, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124336, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 11, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124337, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 239, 30, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124338, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 130, 20, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124339, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 9, 13, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124340, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 224, 17, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 270, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 99, 19, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 1203, 25, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 384, 8, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 876, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1430, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 836, 21, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 140, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 158, 39, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2531, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 152, 39, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1155, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 159, 49, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1250, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 260, 37, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1900, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2868, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 167, 38, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 179, 42, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1430, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 149, 24, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 194, 27, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1568, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 701, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 375, 23, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 267, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 440, 26, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 554, 20, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 548, 32, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 110, 25, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 32, 19, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 59, 20, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 67, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 264, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 127, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 550, 19, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 75, 46, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 240, 37, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 20, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 106, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 98, 17, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 153, 31, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 150, 26, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 17, 2, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 31, 2, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 533, 10, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 207, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 134, 10, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 3, 8, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 99, 12, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 118, 20, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 121, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 95, 26, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 57, 30, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 40, 21, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 71, 10, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 63, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 63, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 96, 23, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 6, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 52, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 113, 11, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 22, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 6, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 127, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 8, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 129, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 23, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 477, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 231, 11, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 149, 33, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 3, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 118, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 192, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 30, 2, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 43, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 35, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 102, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 59, 12, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D08', 7318, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 252, 12, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 156, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 696, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 923, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 61, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 224, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 320, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 294, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1823, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 153, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 867, 8, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 294, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 478, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124438, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 105, 109, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124439, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 876, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124440, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 115, 17, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124441, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2868, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124442, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 99, 19, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124443, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 247, 29, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124444, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 178, 2, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124445, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 314, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124446, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 80, 93, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124447, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 270, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124448, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 437, 18, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124449, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 597, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124450, 1, '511500000000-0001', '宜宾市民中心', '查封、登记业务', '不动产登记中心', '', '', 7318, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (124451, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 696, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124452, 1, '511500000000-0001', '宜宾市民中心', '查封业务', '不动产登记中心', '', '', 5615, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124453, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 107, 18, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124454, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 40, 21, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124455, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 34, 51, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124456, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 9, 13, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124457, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 488, 154, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124458, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 183, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124459, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 224, 17, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124460, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 923, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124461, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 130, 20, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124462, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1035, 46, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124463, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1823, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124464, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 55, 30, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124465, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1595, 39, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124466, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 597, 2, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124467, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 83, 72, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124468, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 11, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124469, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 52, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124470, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 270, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124471, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 6, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124472, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 923, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124473, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 231, 11, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124474, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 876, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124475, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 696, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124476, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 98, 17, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124477, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 127, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124478, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 61, 19, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124479, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 67, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124480, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 110, 25, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124481, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 32, 19, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124482, 1, '511500000000-0001', '宜宾市民中心', '查封、登记业务', '', '', '2D08', 7318, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124483, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 156, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124484, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 252, 12, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124485, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 178, 2, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124486, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1250, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124487, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 1155, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124488, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 129, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124489, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 2531, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124490, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 127, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124491, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 1568, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124492, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 1430, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124493, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 1900, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124494, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 71, 10, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124495, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 99, 19, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124496, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1823, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124497, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 1430, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124498, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D14', 320, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124499, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 153, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124500, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 294, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124501, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 597, 2, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124502, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 597, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124503, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 188, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124504, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 96, 23, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124505, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 63, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124506, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 63, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124507, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 52, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124508, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 478, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124509, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124510, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 113, 11, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124511, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 550, 19, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124512, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 264, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124513, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 701, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124514, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 267, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124515, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 375, 23, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124516, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 95, 26, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124517, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 554, 20, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124518, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 294, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124519, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 57, 30, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124520, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 440, 26, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124521, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E17', 11, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124522, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 548, 32, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124523, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 118, 20, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124524, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 99, 12, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124525, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 30, 2, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124526, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124527, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 121, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124528, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 314, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124529, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 149, 33, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124530, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 6, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124531, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 8, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124532, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124533, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 22, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124534, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 23, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124535, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 3, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124536, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 118, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124537, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 192, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124538, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 43, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124539, 1, '511500000000-0001', '宜宾市民中心', '查封业务', '', '', '2D10', 5615, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124540, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 224, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124541, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 61, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124542, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 59, 12, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124543, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 102, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124544, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 35, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124545, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2868, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124546, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 40, 21, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124547, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 1203, 25, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124548, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 3, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124549, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 836, 21, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124550, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 192, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124551, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 43, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124552, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 3, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124553, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 118, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124554, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 59, 12, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124555, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 35, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124556, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 102, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124557, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 156, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124558, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 252, 12, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124559, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 867, 8, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124560, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 153, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124561, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 294, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124562, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 320, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124563, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 149, 33, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124564, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 240, 37, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124565, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 75, 46, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124566, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 52, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124567, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 118, 20, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124568, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 127, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124569, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 129, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124570, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2868, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124571, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 477, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124572, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124573, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124574, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 30, 2, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124575, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 3, 8, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124576, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124577, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 134, 10, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124578, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 150, 26, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124579, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 153, 31, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124580, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 923, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124581, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 696, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124582, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D08', 7318, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124583, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 95, 26, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124584, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 57, 30, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124585, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 40, 21, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124586, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 876, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124587, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 99, 12, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124588, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 836, 21, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124589, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 270, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124590, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 121, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124591, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 71, 10, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124592, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 96, 23, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124593, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 440, 26, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124594, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 267, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124595, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 1203, 25, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124596, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 63, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124597, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 548, 32, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124598, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 384, 8, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124599, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 63, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124600, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 554, 20, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124601, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 701, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124602, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1900, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124603, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 550, 19, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124604, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 375, 23, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124605, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1250, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124606, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1155, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124607, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2531, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124608, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 264, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124609, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1568, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124610, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1430, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124611, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 224, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124612, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 99, 19, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124613, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1430, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124614, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 61, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124615, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 32, 19, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124616, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 59, 20, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124617, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 110, 25, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124618, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 67, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124619, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 127, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124620, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 231, 11, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124621, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 98, 17, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124622, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 6, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124623, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 22, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124624, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124625, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 113, 11, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124626, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124627, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 8, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124628, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 23, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124629, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 294, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124630, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 478, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124631, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1823, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124632, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 106, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124633, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 207, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124634, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 20, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124635, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 179, 42, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124636, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 167, 38, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124637, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 17, 2, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124638, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 260, 37, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124639, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 159, 49, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124640, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 533, 10, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124641, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 152, 39, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124642, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 31, 2, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124643, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 158, 39, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124644, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 140, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124645, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 194, 27, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124646, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 149, 24, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124647, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 149, 33, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124648, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 95, 26, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124649, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 270, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124650, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 118, 20, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124651, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1823, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124652, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 57, 30, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124653, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124654, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 59, 12, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124655, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 63, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124656, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 63, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124657, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 96, 23, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124658, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 2531, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124659, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 1155, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124660, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1250, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124661, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 1900, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124662, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 71, 10, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124663, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 1430, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124664, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 1568, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124665, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124666, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 113, 11, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124667, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 6, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124668, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 22, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124669, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 23, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124670, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 8, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124671, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 102, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124672, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 35, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124673, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D14', 320, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124674, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 314, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124675, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 153, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124676, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 188, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124677, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 294, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124678, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 836, 21, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124679, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 1203, 25, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124680, 1, '511500000000-0001', '宜宾市民中心', '查封业务', '不动产登记中心', '', '2D10', 5615, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124681, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 3, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124682, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E17', 11, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124683, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124684, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 30, 2, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124685, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 550, 19, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124686, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 701, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124687, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 876, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124688, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 375, 23, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124689, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 264, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124690, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 98, 17, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124691, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 696, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124692, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 267, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124693, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 440, 26, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124694, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 554, 20, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124695, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 52, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124696, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 548, 32, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124697, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 43, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124698, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 192, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124699, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 61, 19, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124700, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 67, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124701, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 127, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124702, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 110, 25, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124703, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 32, 19, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124704, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 118, 7, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124705, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 3, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124706, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 923, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124707, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 178, 2, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124708, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 156, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124709, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 252, 12, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124710, 1, '511500000000-0001', '宜宾市民中心', '查封、登记业务', '不动产登记中心', '', '2D08', 7318, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124711, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 99, 19, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124712, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 1430, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124713, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 121, 6, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124714, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 597, 2, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124715, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 99, 12, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124716, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 40, 21, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124717, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2868, 16, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124718, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 597, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124719, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 478, 14, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124720, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 294, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124721, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 127, 5, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124722, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 129, 4, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124723, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 224, 3, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124724, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 61, 1, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124725, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 231, 11, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124726, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 6, 9, 2024, 4, 22, '2024-08-05 14:06:19', NULL, NULL), (124727, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 11, 65, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124728, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 56, 79, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124729, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1038, 68, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124730, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 202, 150, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124731, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 868, 71, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124732, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 235, 434, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124733, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 159, 91, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124734, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 225, 129, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124735, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 524, 121, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124736, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 234, 435, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124737, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 503, 149, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124738, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 868, 71, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124739, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 155, 93, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124740, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 202, 150, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124741, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 11, 65, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124742, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 524, 121, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124743, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 223, 130, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124744, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 1, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124745, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 54, 25, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124746, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 19, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124747, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 42, 16, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124748, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 11, 64, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124749, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 129, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124750, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 386, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124751, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 280, 33, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124752, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 21, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124753, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 182, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124754, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 1257, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124755, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2732, 17, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124756, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 355, 19, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124757, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 446, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124758, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 32, 22, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124759, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 117, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124760, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 404, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124761, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 19, 146, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124762, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 481, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124763, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 370, 19, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124764, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 223, 130, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124765, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 6, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124766, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 630, 28, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124767, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 478, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124768, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 36, 66, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124769, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 49, 59, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124770, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1445, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124771, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 3843, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124772, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 82, 84, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124773, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 6, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124774, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 6, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124775, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 27, 38, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124776, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 754, 49, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124777, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 24, 10, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124778, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 214, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124779, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 8, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 481, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 370, 19, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 139, 16, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 357, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 117, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1029, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 413, 17, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 410, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 316, 33, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 615, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 230, 34, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 516, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 368, 40, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 740, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 306, 57, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 404, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2732, 17, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 222, 35, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 299, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 405, 32, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 495, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 268, 25, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 219, 17, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 979, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 196, 16, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 54, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 293, 15, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 250, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 449, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 174, 15, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 225, 32, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 12, 15, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 12, 14, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 14, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 182, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 19, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 334, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 28, 33, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 9, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 226, 22, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1597, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 184, 8, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 6, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 122, 26, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 89, 28, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1630, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 1740, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 208, 19, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 400, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 2405, 11, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 186, 11, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 243, 23, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 54, 28, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 19, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 57, 18, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 54, 21, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 179, 23, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 355, 19, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 4, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 25, 11, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 40, 16, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 30, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 110, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 24, 10, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 478, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 57, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 51, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 83, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 19, 21, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 62, 14, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 35, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 42, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 22, 11, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 54, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 595, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 6, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 28, 22, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 2, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 4, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (124859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 2, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 158, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 51, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 53, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 59, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 214, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 129, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 21, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1257, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 972, 19, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 600, 10, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 404, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 670, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 3899, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 559, 8, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1027, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124878, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 82, 84, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124879, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 19, 146, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124880, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 28, 37, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124881, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 117, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124882, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 42, 16, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124883, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2732, 17, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124884, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 370, 19, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124885, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 754, 49, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124886, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 6, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124887, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 11, 64, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124888, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 386, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124889, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1445, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124890, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 481, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124891, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 6, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124892, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 129, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124893, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 19, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124894, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 355, 19, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124895, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 36, 66, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124896, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 4, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124897, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 8, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124898, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 225, 129, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124899, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 32, 22, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124900, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 214, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124901, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 1257, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124902, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 3843, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124903, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 21, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124904, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 24, 10, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124905, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 280, 33, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124906, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 404, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124907, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 595, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124908, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 630, 28, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124909, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 54, 25, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124910, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 182, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124911, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 49, 59, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124912, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 6, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124913, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 478, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124914, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 481, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124915, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 24, 10, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124916, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 21, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124917, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 32, 23, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124918, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 117, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124919, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 21, 14, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124920, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 129, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124921, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 6, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124922, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 9, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124923, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 14, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124924, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 19, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124925, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 12, 15, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124926, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 12, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124927, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 214, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124928, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 6, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124929, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 7, 11, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124930, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 740, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124931, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 516, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124932, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 35, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124933, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 615, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124934, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 62, 14, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124935, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 979, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124936, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 4, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124937, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 495, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124938, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 299, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124939, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 404, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124940, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 25, 11, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124941, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 370, 19, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124942, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 30, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124943, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 88, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124944, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 28, 8, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124945, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 404, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124946, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 1029, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124947, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 22, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124948, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D14', 972, 19, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124949, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 670, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124950, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 600, 10, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124951, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 6, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124952, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 182, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124953, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 559, 8, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124954, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 12, 14, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124955, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 20, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124956, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 47, 10, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124957, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 7, 10, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124958, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 12, 22, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124959, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 36, 30, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124960, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 110, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124961, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 11, 18, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124962, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 30, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124963, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 10, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124964, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 40, 16, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124965, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 478, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124966, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1027, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124967, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 3843, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124968, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 57, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124969, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124970, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 334, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124971, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 182, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124972, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 54, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124973, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 196, 16, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124974, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 250, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124975, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 293, 15, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124976, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 3955, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124977, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 174, 15, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124978, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 54, 21, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124979, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 449, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124980, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 179, 23, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124981, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 225, 32, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124982, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 57, 18, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124983, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 19, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124984, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124985, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 2, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124986, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 28, 22, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124987, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 386, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124988, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 243, 23, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124989, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 19, 21, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124990, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 42, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124991, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 51, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124992, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 83, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124993, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 22, 11, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124994, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 595, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124995, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 2, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124996, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 4, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124997, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 158, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124998, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 3, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (124999, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 1257, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125000, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 59, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125001, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 53, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125002, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 51, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125003, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2732, 17, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125004, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E18', 6, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125005, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 355, 19, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125006, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 139, 16, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125007, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 54, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125008, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 413, 17, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125009, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 158, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125010, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 3, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125011, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 2, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125012, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 4, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125013, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 59, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125014, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 51, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125015, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 53, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125016, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 214, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125017, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 559, 8, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125018, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 670, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125019, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 600, 10, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125020, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 226, 22, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125021, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 28, 22, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125022, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 972, 19, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125023, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 28, 33, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125024, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 478, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125025, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 57, 18, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125026, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 62, 14, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125027, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 35, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125028, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2732, 17, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125029, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 6, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125030, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 54, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125031, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 6, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125032, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125033, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 54, 28, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125034, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 2, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125035, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 186, 11, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125036, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 89, 28, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125037, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 122, 26, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125038, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 21, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125039, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 129, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125040, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 54, 21, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125041, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 179, 23, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125042, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 4, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125043, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 117, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125044, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 355, 19, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125045, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 19, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125046, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 413, 17, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125047, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 481, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125048, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 25, 11, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125049, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 449, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125050, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 110, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125051, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 250, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125052, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 139, 16, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125053, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 40, 16, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125054, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 225, 32, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125055, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 30, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125056, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 174, 15, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125057, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 357, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125058, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 196, 16, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125059, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 299, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125060, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 334, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125061, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 404, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125062, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 740, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125063, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 293, 15, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125064, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 54, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125065, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 516, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125066, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 615, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125067, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 182, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125068, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 243, 23, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125069, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 979, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125070, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 495, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125071, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1257, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125072, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 370, 19, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125073, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1029, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125074, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 12, 14, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125075, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 14, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125076, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 12, 15, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125077, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 19, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125078, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 9, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125079, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 6, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125080, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 24, 10, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125081, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 595, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125082, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 83, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125083, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 19, 21, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125084, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 57, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125085, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 51, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125086, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 42, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125087, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 22, 11, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125088, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 3899, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125089, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1027, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125090, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 404, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125091, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 184, 8, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125092, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 2405, 11, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125093, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 400, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125094, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1597, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125095, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 405, 32, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125096, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 222, 35, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125097, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1630, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125098, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 306, 57, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125099, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 368, 40, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125100, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 208, 19, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125101, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 230, 34, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125102, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 1740, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125103, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 316, 33, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125104, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 410, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125105, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 219, 17, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125106, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 268, 25, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125107, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 28, 22, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125108, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 4, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125109, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 54, 21, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125110, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 481, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125111, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 57, 18, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125112, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 404, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125113, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 179, 23, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125114, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 2, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125115, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 59, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125116, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 40, 16, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125117, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 30, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125118, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 110, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125119, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 615, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125120, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 516, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125121, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 740, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125122, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 404, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125123, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 299, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125124, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 25, 11, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125125, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 495, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125126, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 979, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125127, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 51, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125128, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 57, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125129, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 19, 21, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125130, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 83, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125131, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 22, 11, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125132, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 42, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125133, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 53, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125134, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 51, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125135, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D14', 972, 19, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125136, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 386, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125137, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 670, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125138, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 559, 8, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125139, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 600, 10, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125140, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 413, 17, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125141, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 139, 16, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125142, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 595, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125143, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 88, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125144, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 28, 8, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125145, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 30, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125146, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 54, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125147, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 243, 23, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125148, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 6, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125149, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125150, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 334, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125151, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 196, 16, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125152, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 117, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125153, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 54, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125154, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 293, 15, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125155, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 182, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125156, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 6, 12, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125157, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 129, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125158, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 250, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125159, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 449, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125160, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 174, 15, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125161, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 478, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125162, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 225, 32, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125163, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 3, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125164, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 158, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125165, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 14, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125166, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 19, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125167, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 9, 7, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125168, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 21, 14, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125169, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 12, 15, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125170, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 12, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125171, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 4, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125172, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 2, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125173, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E18', 6, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125174, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 21, 4, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125175, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 6, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125176, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 214, 9, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125177, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 370, 19, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125178, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 3843, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125179, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 1029, 3, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125180, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 7, 11, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125181, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 182, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125182, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 19, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125183, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 355, 19, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125184, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2732, 17, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125185, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 7, 10, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125186, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 6, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125187, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1027, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125188, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 3955, 1, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125189, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 36, 30, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125190, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 11, 18, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125191, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 22, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125192, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 12, 22, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125193, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 20, 5, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125194, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 62, 14, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125195, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 47, 10, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125196, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 35, 2, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125197, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 10, 13, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125198, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 12, 14, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125199, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 1257, 6, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125200, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 32, 23, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125201, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 24, 10, 2024, 4, 23, '2024-08-05 14:06:20', NULL, NULL), (125202, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 158, 93, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125203, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 14, 51, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125204, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 923, 42, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125205, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 243, 175, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125206, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 958, 85, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125207, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 368, 503, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125208, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 598, 104, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125209, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 1081, 159, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125210, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1161, 126, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125211, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 367, 504, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125212, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 411, 96, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125213, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 958, 85, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125214, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 598, 104, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125215, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 243, 175, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125216, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 158, 93, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125217, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1143, 128, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125218, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 1074, 160, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125219, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 28, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125220, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 203, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125221, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 49, 12, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125222, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 890, 15, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125223, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 398, 19, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125224, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 160, 92, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125225, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1152, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125226, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 11, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125227, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 356, 44, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125228, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 614, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125229, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1446, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125230, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 340, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125231, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 3411, 15, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125232, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 437, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125233, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125234, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 343, 13, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125235, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 526, 95, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125236, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1150, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125237, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 362, 334, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125238, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 796, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125239, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '', 523, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125240, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 392, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125241, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 1074, 160, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125242, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 807, 33, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125243, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 139, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125244, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 3, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125245, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 85, 66, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125246, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 16, 37, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125247, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 9, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125248, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 608, 100, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125249, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 20, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125250, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 122, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125251, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 2182, 46, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125252, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 189, 75, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125253, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 6, 14, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (125254, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 112, 10, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125255, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 62, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 62, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 614, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 890, 15, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 584, 32, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 392, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 771, 29, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 292, 24, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 437, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1250, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 203, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 49, 11, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 160, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 343, 13, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 79, 14, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 999, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 42, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 433, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 7, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 317, 38, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 139, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 354, 29, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 363, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 166, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2657, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 395, 46, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2004, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 27, 11, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 20, 12, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 317, 42, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 53, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 214, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 70, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3527, 13, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 327, 36, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 934, 7, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 391, 37, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 178, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 2, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 20, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 328, 28, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 6, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 492, 30, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 671, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 589, 33, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 88, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 1075, 23, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 7, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 1447, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 31, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 1118, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 232, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 1587, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 54, 5, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 1074, 19, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 19, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 1009, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 41, 16, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 56, 16, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 402, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 137, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 69, 19, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 70, 7, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 1077, 22, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 445, 17, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 15, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 992, 12, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 614, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 43, 11, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 175, 40, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 340, 23, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 340, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 28784, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 307, 11, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 2129, 18, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2321, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1150, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 175, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2313, 10, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 2005, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 455, 41, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 9, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 440, 34, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 15, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 5, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 293, 18, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 30, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 297, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 1015, 23, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 816, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 211, 34, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125351, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 608, 100, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125352, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 191, 74, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125353, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 362, 334, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125354, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 343, 13, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125355, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 49, 12, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125356, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 11, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125357, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3411, 15, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125358, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 122, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125359, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 392, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125360, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 2182, 46, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125361, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 20, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125362, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1152, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125363, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 160, 92, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125364, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 796, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125365, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 9, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125366, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 3, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125367, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 445, 17, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125368, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 890, 15, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125369, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 437, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125370, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 16, 37, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125371, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 62, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125372, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 1081, 159, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125373, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 526, 95, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125374, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 112, 10, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125375, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 340, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125376, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 614, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125377, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 203, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125378, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 6, 14, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125379, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 356, 44, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125380, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1150, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125381, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '', 523, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125382, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 807, 33, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125383, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 28, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125384, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1446, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125385, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 85, 66, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125386, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 139, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125387, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 796, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125388, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 7, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125389, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 6, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125390, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 614, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125391, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 175, 40, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125392, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 343, 13, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125393, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 211, 34, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125394, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 445, 17, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125395, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 175, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125396, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 43, 11, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125397, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 69, 19, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125398, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 70, 7, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125399, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 56, 16, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125400, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 423, 19, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125401, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 15, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125402, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 137, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125403, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '2C06', 523, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125404, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 203, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125405, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 20, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125406, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 340, 23, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125407, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 2004, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125408, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 53, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125409, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 166, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125410, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 27, 11, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125411, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E18', 3, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125412, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 671, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125413, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 178, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125414, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 934, 7, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125415, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 214, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125416, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 49, 11, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125417, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 392, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125418, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 440, 34, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125419, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 816, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125420, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 455, 41, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125421, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1150, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125422, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 999, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125423, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D14', 2129, 18, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125424, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 391, 37, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125425, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 2313, 10, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125426, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 2321, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125427, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1446, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125428, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 2005, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125429, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 354, 29, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125430, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 317, 38, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125431, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 492, 30, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125432, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 328, 28, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125433, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 327, 36, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125434, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 42, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125435, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 317, 42, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125436, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E20', 122, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125437, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 79, 14, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125438, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 395, 46, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125439, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 363, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125440, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 160, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125441, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 139, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125442, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 9, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125443, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125444, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125445, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 992, 12, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125446, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 1077, 22, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125447, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 1447, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125448, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 1075, 23, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125449, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 1587, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125450, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 1118, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125451, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 1074, 19, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125452, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 584, 32, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125453, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 771, 29, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125454, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 62, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125455, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 11, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125456, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 1009, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125457, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 890, 15, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125458, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125459, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 232, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125460, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1152, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125461, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 589, 33, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125462, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 1015, 23, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125463, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 20, 12, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125464, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 70, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125465, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125466, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125467, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 88, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125468, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 7, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125469, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 31, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125470, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 54, 5, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125471, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 340, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125472, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 36, 15, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125473, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 20, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125474, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 3527, 13, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125475, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 2657, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125476, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 437, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125477, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 292, 24, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125478, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 2, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125479, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 433, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125480, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 31, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125481, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 54, 5, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125482, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 88, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125483, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 7, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125484, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 41, 16, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125485, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 19, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125486, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 15, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125487, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 137, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125488, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 2005, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125489, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2313, 10, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125490, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2321, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125491, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 2129, 18, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125492, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 589, 33, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125493, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 340, 23, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125494, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 175, 40, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125495, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 62, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125496, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 139, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125497, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 27, 11, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125498, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 53, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125499, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3527, 13, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125500, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 20, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125501, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2657, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125502, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 2, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125503, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125504, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125505, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 211, 34, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125506, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 232, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125507, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 816, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125508, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 440, 34, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125509, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 455, 41, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125510, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 614, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125511, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 445, 17, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125512, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 584, 32, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125513, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 771, 29, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125514, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 402, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125515, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 343, 13, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125516, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 437, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125517, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 69, 19, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125518, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 433, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125519, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 890, 15, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125520, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 614, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125521, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 56, 16, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125522, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 70, 7, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125523, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 43, 11, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125524, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 203, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125525, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 49, 11, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125526, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 42, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125527, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 1587, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125528, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 292, 24, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125529, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 1009, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125530, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 160, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125531, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1250, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125532, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 1074, 19, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125533, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 79, 14, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125534, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 1075, 23, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125535, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 934, 7, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125536, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 992, 12, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125537, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 214, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125538, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2004, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125539, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 1118, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125540, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 1447, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125541, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 166, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125542, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 1077, 22, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125543, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 6, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125544, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 175, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125545, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 7, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125546, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 20, 12, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125547, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125548, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125549, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 70, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125550, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125551, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 9, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125552, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1150, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125553, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 1015, 23, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125554, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 671, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125555, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 178, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125556, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 307, 11, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125557, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 297, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125558, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 340, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125559, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 30, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125560, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 392, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125561, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 28784, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125562, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 391, 37, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125563, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 327, 36, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125564, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 15, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125565, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 999, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125566, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 317, 42, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125567, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 395, 46, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125568, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 363, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125569, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 293, 18, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125570, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 5, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125571, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 354, 29, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125572, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 317, 38, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125573, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 492, 30, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125574, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 328, 28, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125575, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 589, 33, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125576, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 584, 32, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125577, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 62, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125578, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 796, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125579, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1150, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125580, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 771, 29, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125581, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 232, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125582, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 36, 15, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125583, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 160, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125584, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 79, 14, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125585, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 166, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125586, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 42, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125587, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 2004, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125588, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 214, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125589, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 934, 7, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125590, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 178, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125591, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 49, 11, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125592, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 671, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125593, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '2C06', 523, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125594, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125595, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125596, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 20, 12, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125597, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125598, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 70, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125599, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 20, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125600, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D14', 2129, 18, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125601, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1152, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125602, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 2313, 10, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125603, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 2005, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125604, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 2321, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125605, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 433, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125606, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 292, 24, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125607, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E20', 122, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125608, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 816, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125609, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 455, 41, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125610, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 2, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125611, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 440, 34, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125612, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 1015, 23, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125613, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125614, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125615, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 992, 12, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125616, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E18', 3, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125617, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 343, 13, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125618, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 1075, 23, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125619, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 1447, 9, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125620, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 1118, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125621, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 1077, 22, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125622, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 175, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125623, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 445, 17, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125624, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 1587, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125625, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 1074, 19, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125626, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 139, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125627, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 1009, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125628, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 54, 5, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125629, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 31, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125630, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 69, 19, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125631, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 70, 7, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125632, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 43, 11, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125633, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 211, 34, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125634, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 56, 16, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125635, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 423, 19, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125636, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 7, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125637, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 88, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125638, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 614, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125639, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 20, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125640, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 203, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125641, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 15, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125642, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 137, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125643, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 11, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125644, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 392, 20, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125645, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 999, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125646, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 340, 23, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125647, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1446, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125648, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 890, 15, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125649, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 437, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125650, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 3527, 13, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125651, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 328, 28, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125652, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 9, 3, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125653, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 2657, 2, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125654, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 317, 42, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125655, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 395, 46, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125656, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 391, 37, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125657, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 327, 36, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125658, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 27, 11, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125659, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 317, 38, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (125660, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 53, 1, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125661, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 492, 30, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125662, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 363, 25, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125663, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 354, 29, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125664, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 340, 4, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125665, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 175, 40, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125666, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 6, 6, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125667, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 7, 8, 2024, 4, 24, '2024-08-05 14:06:21', NULL, NULL), (125668, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 41, 79, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125669, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 40, 55, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125670, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 152, 35, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125671, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 323, 151, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125672, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 550, 65, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125673, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 84, 377, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125674, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 629, 137, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125675, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 529, 97, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125676, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 423, 109, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125677, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 84, 378, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125678, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 80, 94, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125679, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 550, 65, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125680, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 529, 97, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125681, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 323, 151, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125682, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 41, 79, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125683, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 423, 109, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125684, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 629, 137, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125685, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 780, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125686, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 4, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125687, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 14, 20, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125688, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 27, 13, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125689, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 232, 9, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125690, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 41, 79, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125691, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 459, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125692, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 31, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125693, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 6, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125694, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 93, 27, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125695, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 7, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125696, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 131, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125697, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 263, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125698, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1271, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125699, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 379, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125700, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125701, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 860, 10, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125702, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 181, 81, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125703, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 117, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125704, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2629, 8, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125705, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 32, 231, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125706, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 907, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125707, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 159, 10, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125708, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 629, 137, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125709, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 188, 27, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125710, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 3053, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125711, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 52, 70, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125712, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 10, 41, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125713, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 32, 2, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125714, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 552, 90, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125715, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 46, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125716, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 633, 52, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125717, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 145, 66, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125718, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 126, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125719, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 88, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125720, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 907, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 159, 10, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 14, 12, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 88, 7, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 780, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 860, 10, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 138, 7, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 157, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 48, 23, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 39, 40, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 186, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 61, 18, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 6, 22, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1323, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 167, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 243, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 23, 35, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 175, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 12, 27, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1256, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 48, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 284, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 33, 22, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 52, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 163, 2, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 688, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 730, 18, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 1260, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 382, 18, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 797, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 239, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 15, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 8, 13, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 14, 20, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 478, 18, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 219, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 937, 7, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 7, 10, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 149, 30, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 13, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 284, 2, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 153, 10, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 12, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 229, 29, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 181, 30, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 10, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 12, 2, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 138, 16, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 247, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 726, 26, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 118, 22, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 142, 36, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 105, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 485, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 403, 21, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 379, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 650, 40, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 4, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 53, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 74, 16, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 37, 16, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 57, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 159, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 8, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 3053, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 40, 7, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 43, 12, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 12, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 35, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 5, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 46, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 5, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 525, 29, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 4, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 9, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 73, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 2, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 13, 7, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 32, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 2, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 95, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 459, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 87, 2, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 7, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 263, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 578, 19, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 182, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 732, 12, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2629, 8, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 628, 13, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 17, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1066, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 47, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125819, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 552, 90, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125820, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 145, 66, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125821, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 32, 230, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125822, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 860, 10, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125823, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 27, 13, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125824, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 6, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125825, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1271, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125826, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 159, 10, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125827, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 633, 52, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125828, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 46, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125829, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 31, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125830, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 41, 79, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125831, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 907, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125832, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 32, 2, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125833, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 459, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125834, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 232, 9, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125835, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 379, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125836, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 10, 41, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125837, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 4, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125838, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125839, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 629, 137, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125840, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 181, 81, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125841, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 88, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125842, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 263, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125843, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 117, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125844, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 7, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125845, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 780, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125846, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 126, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125847, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 93, 27, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125848, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2629, 8, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125849, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 14, 20, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125850, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 188, 27, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125851, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 52, 70, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125852, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 131, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125853, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 3053, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125854, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 907, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125855, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 159, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125856, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 5, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125857, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 7, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125858, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 149, 30, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125859, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 860, 10, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125860, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 142, 36, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125861, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 459, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125862, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 12, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125863, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 7, 10, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125864, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 14, 20, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125865, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 219, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125866, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 15, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125867, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 8, 13, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125868, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 58, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125869, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 95, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125870, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 780, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125871, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 46, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125872, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 13, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125873, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 243, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125874, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 167, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125875, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 186, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125876, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 35, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125877, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 43, 12, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125878, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 4, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125879, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 163, 2, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125880, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 284, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125881, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 175, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125882, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 53, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125883, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 159, 10, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125884, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 181, 30, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125885, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 118, 22, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125886, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 229, 29, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125887, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2629, 8, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125888, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 182, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125889, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 138, 7, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125890, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 48, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125891, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D14', 578, 19, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125892, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 628, 13, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125893, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 732, 12, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125894, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1066, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125895, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 131, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125896, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 39, 40, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125897, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 48, 23, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125898, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 52, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125899, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 33, 22, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125900, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 12, 27, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125901, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 57, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125902, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 23, 35, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125903, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 6, 22, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125904, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 37, 16, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125905, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 74, 16, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125906, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 61, 18, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125907, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 3053, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125908, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 47, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125909, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 8, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125910, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 2, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125911, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 937, 7, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125912, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 478, 18, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125913, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 688, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125914, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 1260, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125915, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 730, 18, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125916, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 797, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125917, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 403, 21, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125918, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 17, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125919, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 382, 18, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125920, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 650, 40, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125921, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 239, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125922, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 105, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125923, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125924, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 485, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125925, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 31, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125926, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 525, 29, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125927, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 726, 26, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125928, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E27', 117, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125929, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E19', 6, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125930, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 12, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125931, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125932, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 40, 7, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125933, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125934, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 5, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125935, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 4, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125936, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 9, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125937, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 73, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125938, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 3, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125939, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 263, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125940, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 2, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125941, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 32, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125942, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 13, 7, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125943, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1256, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125944, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1323, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125945, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 379, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125946, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 14, 12, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125947, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 2, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125948, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 157, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125949, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 73, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125950, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 3, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125951, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 4, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125952, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 9, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125953, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 2, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125954, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 13, 7, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125955, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 32, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125956, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 87, 2, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125957, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 95, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125958, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1066, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125959, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 628, 13, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125960, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 732, 12, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125961, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 182, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125962, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 13, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125963, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 525, 29, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125964, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 578, 19, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125965, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 149, 30, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125966, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 3053, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125967, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 43, 12, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125968, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 35, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125969, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1256, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125970, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 46, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125971, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125972, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1323, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125973, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 6, 2, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125974, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 142, 36, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125975, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125976, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 118, 22, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125977, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 181, 30, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125978, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 229, 29, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125979, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 7, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125980, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 459, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125981, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 403, 21, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125982, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 650, 40, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125983, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 4, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125984, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 379, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125985, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 860, 10, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125986, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 105, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125987, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 157, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125988, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 907, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125989, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 485, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125990, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 780, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125991, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 53, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125992, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 382, 18, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125993, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 57, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125994, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 1260, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125995, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 14, 12, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125996, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 74, 16, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125997, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 239, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125998, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 797, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (125999, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 37, 16, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126000, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 88, 7, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126001, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 688, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126002, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 284, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126003, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 937, 7, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126004, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 175, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126005, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 243, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126006, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 730, 18, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126007, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 167, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126008, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 186, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126009, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 478, 18, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126010, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 726, 26, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126011, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 163, 2, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126012, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 263, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126013, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 159, 10, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126014, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 138, 7, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126015, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 8, 13, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126016, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 14, 20, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126017, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 15, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126018, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 219, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126019, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 7, 10, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126020, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 5, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126021, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 12, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126022, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 159, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126023, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126024, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 12, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126025, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 8, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126026, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 40, 7, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126027, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126028, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126029, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 17, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126030, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 47, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126031, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2629, 8, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126032, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 153, 10, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126033, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 247, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126034, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 284, 2, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126035, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 48, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126036, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 12, 27, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126037, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 10, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126038, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 23, 35, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126039, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 6, 22, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126040, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 138, 16, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126041, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 61, 18, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126042, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 12, 2, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126043, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 39, 40, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126044, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 48, 23, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126045, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 52, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126046, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 33, 22, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126047, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 4, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126048, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 525, 29, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126049, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 403, 21, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126050, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 907, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126051, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2629, 8, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126052, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 650, 40, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126053, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126054, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 2, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126055, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 74, 16, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126056, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 37, 16, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126057, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 186, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126058, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 57, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126059, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 167, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126060, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 243, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126061, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 175, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126062, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 284, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126063, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 53, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126064, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 163, 2, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126065, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 40, 7, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126066, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 8, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126067, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 12, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126068, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126069, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126070, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126071, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 32, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126072, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 13, 7, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126073, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D14', 578, 19, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126074, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 31, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126075, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 628, 13, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (126076, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1066, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126077, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 182, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126078, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 732, 12, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126079, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 157, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126080, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 14, 12, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126081, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 118, 22, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126082, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 229, 29, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126083, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 2, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126084, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 181, 30, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126085, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 726, 26, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126086, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 6, 2, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126087, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 937, 7, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126088, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 688, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126089, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 860, 10, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126090, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 730, 18, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126091, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 478, 18, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126092, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 12, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126093, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 459, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126094, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 1260, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126095, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 382, 18, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126096, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 797, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126097, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 239, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126098, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 3053, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126099, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 3, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126100, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 73, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126101, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 14, 20, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126102, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 219, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126103, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 7, 10, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126104, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 142, 36, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126105, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 15, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126106, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 8, 13, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126107, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E19', 6, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126108, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 9, 5, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126109, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 4, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126110, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 7, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126111, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 46, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126112, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 780, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126113, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 58, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126114, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 95, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126115, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 159, 10, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126116, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 138, 7, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126117, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 485, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126118, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 13, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126119, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 131, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126120, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 105, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126121, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 379, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126122, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1256, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126123, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 33, 22, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126124, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 47, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126125, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 17, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126126, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1323, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126127, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 23, 35, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126128, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 6, 22, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126129, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 48, 15, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126130, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 12, 27, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126131, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 43, 12, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126132, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 48, 23, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126133, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 35, 4, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126134, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 52, 14, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126135, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 61, 18, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126136, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 39, 40, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126137, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 263, 6, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126138, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 149, 30, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126139, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E27', 117, 1, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126140, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 5, 3, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126141, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 159, 11, 2024, 4, 25, '2024-08-05 14:06:22', NULL, NULL), (126142, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 100, 87, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126143, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 256, 40, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126144, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 724, 57, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126145, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 112, 170, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126146, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 857, 75, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126147, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 158, 451, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126148, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 638, 132, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126149, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 360, 99, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126150, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 375, 101, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126151, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 158, 453, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126152, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 477, 108, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126153, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 846, 76, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126154, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 356, 100, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126155, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 112, 170, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126156, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 100, 87, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126157, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 375, 101, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126158, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 638, 132, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126159, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 7798, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126160, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 18, 29, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126161, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 211, 14, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126162, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 39, 13, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126163, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 919, 11, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126164, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 101, 86, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126165, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1052, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126166, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 7, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126167, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 256, 30, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126168, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 661, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126169, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1731, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126170, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 709, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126171, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1587, 20, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126172, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 58, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126173, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126174, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1287, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126175, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 334, 97, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126176, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1338, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126177, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 119, 303, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126178, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 281, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126179, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 147, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126180, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 638, 132, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126181, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 259, 28, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126182, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 59, 5, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126183, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 160, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126184, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 68, 35, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126185, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 50, 63, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126186, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 222, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126187, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 42, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126188, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 32, 94, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126189, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 6, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126190, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 8, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126191, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 418, 36, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126192, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 58, 53, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126193, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 1572, 5, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126194, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 10, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126195, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 21, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 281, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 147, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 361, 18, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1361, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1287, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 242, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 98, 12, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 122, 38, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 95, 40, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 106, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 131, 32, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 252, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 3473, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 110, 36, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 97, 46, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 229, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1487, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 151, 31, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 209, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 155, 16, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 642, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 103, 26, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 105, 18, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 330, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 688, 31, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 1105, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 227, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 774, 22, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 26, 12, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 12, 12, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 28, 17, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 273, 17, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 155, 15, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 725, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 14, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 49, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 171, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 31, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 447, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 254, 21, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 295, 39, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 358, 40, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 500, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 419, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 176, 12, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 899, 16, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1802, 9, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 617, 23, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 365, 18, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 66, 33, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 248, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 36, 17, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 183, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 45, 24, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 58, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 25, 23, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 7798, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 26, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 34, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 36, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 78, 13, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 2, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 57, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 160, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 39, 13, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 81, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 23, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 178, 5, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 78, 11, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 31, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 50, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 2618, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 27, 29, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 4, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 95, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 22, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 33, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 5, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 16, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 18, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 5, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 919, 11, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 37, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 661, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 709, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 514, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 505, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 544, 5, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1338, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 244, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 67, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 322, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 368, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126292, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 33, 93, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126293, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 60, 52, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126294, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 119, 302, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126295, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1287, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126296, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 39, 13, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126297, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 7, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126298, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1587, 20, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126299, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 147, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126300, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 418, 36, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126301, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 6, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126302, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1202, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126303, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 101, 86, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126304, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 281, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126305, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 222, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126306, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 59, 5, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126307, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 919, 11, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126308, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 211, 14, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126309, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 58, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126310, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 68, 35, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126311, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 7798, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126312, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 10, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126313, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 638, 132, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126314, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 334, 97, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126315, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 709, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126316, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 21, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126317, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 42, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126318, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 661, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126319, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 1572, 5, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126320, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 256, 30, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126321, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1338, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126322, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 259, 28, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126323, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 18, 29, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126324, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1731, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126325, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 50, 63, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126326, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 8, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126327, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 160, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126328, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 281, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126329, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 2, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126330, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 2618, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126331, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 661, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126332, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 49, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126333, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1287, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126334, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 919, 11, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126335, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 66, 33, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126336, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 254, 21, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126337, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 14, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126338, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 29, 16, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126339, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 155, 15, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126340, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 26, 12, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126341, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 12, 12, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126342, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 37, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126343, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 5, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126344, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 6, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126345, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 171, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126346, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 252, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126347, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 23, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126348, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 106, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126349, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 81, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126350, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 330, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126351, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 7798, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126352, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 642, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126353, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 209, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126354, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 229, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126355, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 26, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126356, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 147, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126357, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 358, 40, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126358, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 365, 18, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126359, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 295, 39, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126360, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1338, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126361, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 242, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126362, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 505, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126363, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D14', 514, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126364, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 155, 16, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126365, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 244, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126366, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 544, 5, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126367, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1731, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126368, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 59, 5, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126369, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 322, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126370, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 95, 40, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126371, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 122, 38, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126372, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 105, 18, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126373, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 103, 26, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126374, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 151, 31, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126375, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 78, 13, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126376, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 97, 46, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126377, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 36, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126378, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 110, 36, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126379, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 34, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126380, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 131, 32, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126381, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 160, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126382, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 368, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126383, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 57, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126384, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126385, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 42, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126386, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 725, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126387, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 273, 17, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126388, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 1105, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126389, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 688, 31, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126390, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 227, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126391, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 75, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126392, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 45, 24, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126393, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 25, 23, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126394, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E17', 8, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126395, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 8, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126396, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 36, 17, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126397, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 774, 22, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126398, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 248, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126399, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 22, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126400, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126401, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 183, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126402, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1202, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126403, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 27, 29, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126404, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 617, 23, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126405, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E19', 7, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126406, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 39, 13, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126407, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 178, 5, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126408, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126409, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 78, 11, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126410, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 4, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126411, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 95, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126412, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 33, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126413, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 709, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126414, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 18, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126415, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 17, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126416, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 5, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126417, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1487, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126418, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 3473, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126419, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 58, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126420, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 361, 18, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126421, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 35, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126422, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 98, 12, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126423, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 95, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126424, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 33, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126425, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 4, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126426, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 18, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126427, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 5, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126428, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 16, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126429, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 37, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126430, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 5, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126431, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 322, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126432, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 244, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126433, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 544, 5, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126434, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 505, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126435, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 27, 29, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126436, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 514, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126437, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 171, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126438, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 49, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126439, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 36, 17, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126440, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 160, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126441, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 81, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126442, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 23, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126443, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1487, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126444, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 50, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126445, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 3473, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126446, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 31, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126447, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126448, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 22, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126449, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 66, 33, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126450, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126451, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 365, 18, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126452, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 358, 40, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126453, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 295, 39, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126454, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 661, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126455, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 919, 11, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126456, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 45, 24, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126457, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 25, 23, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126458, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 7798, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126459, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1287, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126460, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 58, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126461, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 248, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126462, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 98, 12, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126463, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 281, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126464, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 183, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126465, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 26, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126466, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 78, 13, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126467, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 361, 18, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126468, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 34, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126469, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 774, 22, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126470, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 36, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126471, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1361, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126472, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 209, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126473, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 688, 31, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126474, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 229, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126475, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 725, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126476, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 227, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126477, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 1105, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126478, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 252, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126479, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 106, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126480, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 273, 17, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126481, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 617, 23, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126482, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 330, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126483, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 642, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126484, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 709, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126485, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 147, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126486, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 242, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126487, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 12, 12, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126488, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 28, 17, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126489, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 26, 12, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (126490, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 155, 15, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126491, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 14, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126492, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 2618, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126493, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126494, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 254, 21, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126495, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 39, 13, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126496, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 57, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126497, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126498, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 178, 5, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126499, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 78, 11, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126500, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 67, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126501, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 368, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126502, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1338, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126503, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 447, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126504, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1802, 9, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126505, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 899, 16, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126506, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 31, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126507, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 155, 16, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126508, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 151, 31, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126509, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 500, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126510, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 97, 46, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126511, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 110, 36, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126512, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 176, 12, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126513, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 131, 32, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126514, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 419, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126515, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 95, 40, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126516, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 122, 38, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126517, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 105, 18, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126518, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 103, 26, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126519, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 27, 29, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126520, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 7798, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126521, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 45, 24, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126522, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 281, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126523, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 36, 17, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126524, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1338, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126525, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 25, 23, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126526, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126527, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 18, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126528, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 34, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126529, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 36, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126530, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 78, 13, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126531, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 106, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126532, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 252, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126533, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 229, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126534, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 209, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126535, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 26, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126536, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 642, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126537, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 330, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126538, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126539, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 57, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126540, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 39, 13, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126541, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 78, 11, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126542, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 178, 5, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126543, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 17, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126544, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 5, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126545, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D14', 514, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126546, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1202, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126547, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 244, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126548, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 322, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126549, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 505, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126550, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 544, 5, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126551, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 98, 12, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126552, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 361, 18, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126553, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 365, 18, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126554, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 295, 39, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126555, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 35, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126556, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 358, 40, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126557, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 617, 23, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126558, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E17', 8, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126559, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126560, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 22, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126561, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 725, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126562, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1287, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126563, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 688, 31, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126564, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 1105, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126565, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 227, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126566, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 273, 17, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126567, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 254, 21, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126568, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 919, 11, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126569, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 774, 22, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126570, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 160, 7, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126571, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 33, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126572, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 95, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126573, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 29, 16, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126574, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 155, 15, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126575, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 14, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126576, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 66, 33, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126577, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 26, 12, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126578, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 12, 12, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126579, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E19', 7, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126580, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 4, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126581, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 661, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126582, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 6, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126583, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 37, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126584, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 5, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126585, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 8, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126586, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 147, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126587, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 42, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126588, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 242, 4, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126589, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 183, 8, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126590, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 171, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126591, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1731, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126592, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 248, 6, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126593, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 58, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126594, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1487, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126595, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 59, 5, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126596, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 103, 26, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126597, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 368, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126598, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 75, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126599, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 3473, 1, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126600, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 97, 46, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126601, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 110, 36, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126602, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 155, 16, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126603, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 151, 31, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126604, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 81, 10, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126605, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 122, 38, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126606, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 23, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126607, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 105, 18, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126608, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 131, 32, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126609, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 95, 40, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126610, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 709, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126611, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 49, 19, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126612, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 2618, 3, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126613, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 2, 2024, 4, 26, '2024-08-05 14:06:23', NULL, NULL), (126614, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 279, 4, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126615, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 2541, 110, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126616, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 320, 38, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126617, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 639, 20, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126618, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 2518, 111, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126619, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 0, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126620, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 312, 39, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126621, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 223, 5, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126622, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 2, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126623, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 639, 20, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126624, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 5, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126625, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 608, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126626, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 2, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126627, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 303, 11, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126628, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126629, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 320, 38, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126630, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126631, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 169, 3, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126632, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 54, 9, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126633, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1350, 7, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126634, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 4092, 68, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126635, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 0, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126636, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126637, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 25, 34, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 5, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 424, 19, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 608, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 11, 11, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 169, 3, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 397, 2, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 216, 19, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 29, 15, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1350, 7, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 35, 8, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 614, 4, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 4294, 27, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 12, 2, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 3904, 23, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 20, 3, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 4265, 17, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 54, 9, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126656, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 320, 38, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126657, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 54, 9, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126658, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 25, 34, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126659, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 5, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126660, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1350, 7, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126661, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 608, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126662, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 169, 3, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126663, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 303, 11, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126664, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126665, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 4153, 67, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126666, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 5, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126667, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 3904, 23, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126668, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 4265, 17, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126669, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 424, 19, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126670, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 216, 19, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126671, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 4294, 27, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126672, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 54, 9, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126673, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 20, 3, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126674, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 169, 3, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126675, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 35, 8, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126676, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1350, 7, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126677, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 397, 2, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126678, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 11, 11, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126679, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 12, 2, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126680, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 614, 4, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126681, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126682, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 608, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126683, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 29, 15, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126684, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 169, 3, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126685, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 608, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126686, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 12, 2, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126687, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 614, 4, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126688, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1350, 7, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126689, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 54, 9, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126690, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 4265, 17, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126691, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126692, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 397, 2, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126693, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 5, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126694, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 3904, 23, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126695, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 35, 8, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126696, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 4294, 27, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126697, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 20, 3, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126698, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 29, 15, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126699, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 11, 11, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126700, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 424, 19, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126701, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 216, 19, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126702, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126703, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 20, 3, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126704, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 608, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126705, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1350, 7, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126706, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 397, 2, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126707, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 614, 4, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126708, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 12, 2, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126709, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 54, 9, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126710, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 169, 3, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126711, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 424, 19, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126712, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 216, 19, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126713, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 4265, 17, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126714, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 4294, 27, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126715, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 3904, 23, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126716, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 29, 15, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126717, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 5, 1, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126718, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 35, 8, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126719, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 11, 11, 2024, 4, 27, '2024-08-05 14:06:24', NULL, NULL), (126720, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 57, 57, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126721, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 138, 34, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126722, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 215, 23, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126723, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 245, 123, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126724, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 857, 79, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126725, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 160, 377, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126726, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 17, 42, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126727, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 148, 115, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126728, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1288, 99, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126729, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 159, 379, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126730, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 166, 58, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126731, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 857, 79, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126732, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 15, 45, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126733, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 243, 124, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126734, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 57, 57, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126735, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1275, 100, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126736, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 148, 115, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126737, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126738, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 46, 15, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126739, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 20, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126740, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 68, 7, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126741, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 57, 57, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126742, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 108, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126743, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126744, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 2337, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126745, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 733, 36, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126746, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 5, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126747, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 18, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126748, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1370, 19, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126749, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 29, 15, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126750, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126751, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 203, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126752, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 411, 77, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126753, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1466, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126754, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 189, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126755, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 100, 252, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126756, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 177, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126757, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 205, 16, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126758, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 148, 114, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126759, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 320, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126760, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1895, 38, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126761, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1616, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126762, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 54, 54, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126763, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 24, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126764, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2762, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126765, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 17, 40, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126766, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 37, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126767, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1761, 29, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126768, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 68, 50, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126769, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 460, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126770, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126771, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 60, 7, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 177, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 205, 16, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 464, 14, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 2337, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 203, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2837, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 904, 22, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 175, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 87, 35, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2189, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 92, 26, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 1316, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2766, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 71, 34, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1306, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 61, 32, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 65, 19, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1455, 9, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1384, 15, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2256, 12, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 122, 22, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1259, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 102, 35, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 140, 20, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1227, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 167, 16, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 100, 14, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 174, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 298, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 266, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B01', 39, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 9, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 13, 9, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 13, 12, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 331, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 92, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 151, 25, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 24, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 77, 24, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 179, 17, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 14, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 5, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 273, 19, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 246, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 268, 37, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 68, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 42, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 281, 12, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 11, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1209, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 141, 16, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 790, 21, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 62, 25, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 30, 6, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 15, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 11, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 16, 12, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 24, 14, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 29, 15, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 49, 15, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 45, 12, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 73, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 1616, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 9, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 55, 16, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 9, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 42, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 131, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 917, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 2, 6, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 4, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 3, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 162, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 49, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 60, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 53, 7, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 7, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 72, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 39, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 26, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 108, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 226, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 5, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 18, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1261, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 468, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1466, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1217, 7, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 2894, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 5688, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 812, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126869, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 17, 40, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126870, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 70, 49, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126871, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 100, 251, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126872, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 203, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126873, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 68, 7, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126874, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1370, 19, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126875, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 205, 16, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126876, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1761, 29, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126877, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 37, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126878, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 2337, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126879, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 57, 57, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126880, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2762, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126881, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 177, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126882, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 320, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126883, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 108, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126884, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 22, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126885, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 29, 15, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126886, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 24, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126887, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126888, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 148, 114, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126889, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 411, 77, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126890, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 18, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126891, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 60, 7, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126892, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 5, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126893, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 460, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126894, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 733, 36, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126895, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1466, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126896, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 189, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (126897, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 46, 15, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126898, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1895, 38, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126899, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 54, 54, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126900, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1616, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126901, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 177, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126902, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126903, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 5, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126904, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 917, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126905, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 77, 24, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126906, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 203, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126907, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 108, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126908, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 62, 25, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126909, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 5, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126910, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 24, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126911, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 13, 12, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126912, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 331, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126913, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 9, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126914, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B11', 189, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126915, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 13, 9, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126916, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 226, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126917, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 26, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126918, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 39, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126919, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 37, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126920, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 179, 17, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126921, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1306, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126922, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 2766, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126923, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 42, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126924, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 2189, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126925, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 55, 16, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126926, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 1227, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126927, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 1259, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126928, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 2256, 12, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126929, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 1455, 9, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126930, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 72, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126931, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 49, 15, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126932, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 205, 16, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126933, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 268, 37, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126934, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 790, 21, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126935, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 273, 19, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126936, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1466, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126937, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 2837, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126938, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 468, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126939, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D14', 1261, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126940, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 122, 22, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126941, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1217, 7, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126942, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 2894, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126943, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 320, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126944, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 87, 35, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126945, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 175, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126946, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 140, 20, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126947, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 102, 35, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126948, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 65, 19, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126949, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 73, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126950, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 61, 32, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126951, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 45, 12, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126952, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 71, 34, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126953, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 92, 26, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126954, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 1616, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126955, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 812, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126956, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126957, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 151, 25, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126958, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 92, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126959, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 100, 14, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126960, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 167, 16, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126961, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 298, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126962, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 174, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126963, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 5688, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126964, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 16, 12, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126965, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 266, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126966, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 24, 14, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126967, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B01', 39, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126968, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 15, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126969, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 30, 6, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126970, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126971, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126972, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 11, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126973, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 2337, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126974, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 2, 6, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126975, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 254, 7, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126976, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 141, 16, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126977, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 9, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126978, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 9, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126979, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126980, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126981, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 4, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126982, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 3, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126983, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 162, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126984, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 49, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126985, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 18, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126986, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 7, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126987, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 53, 7, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126988, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 60, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126989, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1384, 15, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126990, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C14', 1316, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126991, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 29, 15, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126992, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 464, 14, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126993, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 904, 22, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126994, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 162, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126995, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 49, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126996, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 4, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126997, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 3, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126998, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 7, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (126999, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 60, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127000, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 53, 7, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127001, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 26, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127002, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 226, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127003, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 39, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127004, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 2894, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127005, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1217, 7, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127006, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 468, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127007, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 2, 6, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127008, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1261, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127009, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 179, 17, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127010, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 77, 24, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127011, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 15, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127012, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 1616, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127013, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 55, 16, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127014, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 42, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127015, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1384, 15, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127016, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 131, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127017, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 1316, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127018, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127019, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 62, 25, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127020, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127021, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 790, 21, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127022, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 268, 37, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127023, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 273, 19, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127024, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 5, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127025, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 108, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127026, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 72, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127027, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 16, 12, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127028, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 24, 14, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127029, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 203, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127030, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 29, 15, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127031, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 30, 6, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127032, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 904, 22, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127033, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 11, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127034, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 177, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127035, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 49, 15, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127036, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 266, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127037, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 73, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127038, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 298, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127039, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 464, 14, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127040, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B01', 39, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127041, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 2337, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127042, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 45, 12, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127043, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 167, 16, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127044, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2256, 12, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127045, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1455, 9, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127046, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 151, 25, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127047, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1306, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127048, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 174, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127049, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 100, 14, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127050, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2766, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127051, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2189, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127052, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 92, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127053, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 141, 16, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127054, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 246, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127055, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1227, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127056, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1259, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127057, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 18, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127058, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 205, 16, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127059, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2837, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127060, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 13, 9, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127061, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 13, 12, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127062, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 9, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127063, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 331, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127064, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 24, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127065, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 917, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127066, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127067, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 5, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127068, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 9, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127069, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127070, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127071, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127072, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127073, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 5688, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127074, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 812, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127075, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1466, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127076, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 14, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127077, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1209, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127078, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 11, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127079, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 122, 22, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127080, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 65, 19, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127081, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 68, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127082, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 61, 32, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127083, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 71, 34, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127084, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 281, 12, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127085, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 92, 26, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127086, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 42, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127087, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 87, 35, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127088, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 175, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127089, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 140, 20, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127090, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 102, 35, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127091, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 2, 6, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127092, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B11', 189, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127093, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 16, 12, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127094, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 15, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127095, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 177, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127096, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1466, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127097, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 24, 14, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127098, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127099, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 7, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127100, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 45, 12, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127101, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 2189, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127102, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 73, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127103, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 2766, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127104, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1306, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127105, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 1455, 9, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127106, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 2256, 12, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127107, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 1259, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127108, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 49, 15, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127109, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 1227, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127110, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127111, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127112, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 9, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127113, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127114, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127115, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 53, 7, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127116, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 60, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127117, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D14', 1261, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127118, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 2337, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127119, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1217, 7, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127120, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 2894, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127121, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 468, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127122, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 904, 22, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127123, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 464, 14, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127124, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 790, 21, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127125, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 273, 19, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127126, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 268, 37, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127127, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 254, 7, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127128, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 141, 16, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127129, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127130, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 151, 25, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127131, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 167, 16, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127132, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 203, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127133, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 100, 14, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127134, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 174, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127135, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 92, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127136, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 72, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127137, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 5, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127138, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 108, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127139, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 298, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127140, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 266, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127141, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B01', 39, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127142, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 1616, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127143, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 49, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127144, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 162, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127145, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 13, 12, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127146, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 331, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127147, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 24, 8, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127148, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 62, 25, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127149, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 9, 10, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127150, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 13, 9, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127151, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 3, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127152, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 4, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127153, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 5, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127154, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 37, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127155, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 226, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127156, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 26, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127157, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 39, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127158, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 205, 16, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127159, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 2837, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127160, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 11, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127161, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 179, 17, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127162, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 30, 6, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127163, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 29, 15, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127164, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1384, 15, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127165, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 320, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127166, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 102, 35, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127167, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 812, 3, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127168, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 5688, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127169, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C14', 1316, 4, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127170, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 61, 32, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127171, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 71, 34, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127172, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 122, 22, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127173, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 65, 19, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127174, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 55, 16, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127175, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 175, 11, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127176, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 42, 1, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127177, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 140, 20, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127178, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 92, 26, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127179, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 87, 35, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127180, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 18, 2, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127181, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 77, 24, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127182, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 917, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127183, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 5, 2024, 4, 28, '2024-08-05 14:06:25', NULL, NULL), (127184, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 67, 81, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127185, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 147, 50, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127186, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 641, 51, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127187, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 256, 176, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127188, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 147, 458, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127189, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 399, 72, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127190, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 355, 135, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127191, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 847, 149, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127192, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 146, 459, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127193, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 392, 102, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127194, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127195, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 394, 73, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127196, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 256, 176, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127197, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 67, 81, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127198, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 847, 149, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127199, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 355, 135, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127200, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 4, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127201, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 28, 22, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127202, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127203, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 138, 13, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127204, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 56, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127205, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 228, 15, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127206, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 68, 80, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127207, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 312, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127208, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127209, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 290, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127210, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127211, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 0, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127212, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 85, 18, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127213, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1611, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127214, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 149, 69, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127215, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2852, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127216, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 157, 353, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127217, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 302, 21, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127218, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 355, 135, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127219, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 41, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127220, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 856, 40, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127221, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 363, 6, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127222, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 83, 41, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127223, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 81, 70, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127224, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 634, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127225, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 405, 71, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127226, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 36, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127227, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 37, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127228, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 36, 36, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127229, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1285, 62, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127230, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 90, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127231, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 189, 6, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127232, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 159, 11, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 395, 18, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 68, 10, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 243, 17, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 372, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 302, 21, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 804, 17, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 85, 18, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 4, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 99, 13, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 75, 16, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 53, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 951, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 103, 18, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 90, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 251, 22, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 74, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 363, 6, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 204, 37, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 680, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 60, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 137, 36, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1281, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 115, 36, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1240, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 96, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 65, 13, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 128, 46, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 36, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 389, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 29, 6, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 199, 38, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 144, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 771, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 158, 29, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 728, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 22, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 3222, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 38, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 132, 41, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 159, 38, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 677, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 202, 19, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 285, 23, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 136, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 348, 15, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 83, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 317, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 37, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 569, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 86, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 4, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 12, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 545, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 56, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 89, 6, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 3, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 78, 10, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 78, 14, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1324, 14, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 55, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 24, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 28, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 31, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 228, 15, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 223, 11, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 425, 26, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 290, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 74, 20, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 235, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 35, 24, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 131, 30, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 194, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 74, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (127306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1083, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1634, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1240, 10, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2852, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 85, 13, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1290, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 8, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1100, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 172, 23, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 305, 27, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 842, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 81, 25, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1525, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 404, 21, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 732, 10, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 688, 6, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 378, 22, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 206, 21, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 40, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127325, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 405, 71, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127326, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 36, 36, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127327, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 157, 353, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127328, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 56, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127329, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 312, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127330, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 302, 21, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127331, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1285, 62, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127332, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 36, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127333, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 68, 80, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127334, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 634, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127335, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 41, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127336, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 228, 15, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127337, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 138, 13, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127338, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 85, 18, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127339, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 83, 41, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127340, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 4, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127341, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 189, 6, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127342, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 355, 135, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127343, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 149, 69, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127344, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 159, 11, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127345, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 290, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127346, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 90, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127347, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2852, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127348, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 3222, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127349, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 28, 22, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127350, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 856, 40, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127351, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 81, 70, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127352, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 37, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127353, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 363, 6, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127354, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 90, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127355, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 290, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127356, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 35, 24, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127357, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 228, 15, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127358, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 40, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127359, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 85, 13, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127360, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 74, 20, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127361, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 56, 11, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127362, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 28, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127363, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 78, 10, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127364, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 78, 14, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127365, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 235, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127366, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 31, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127367, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 24, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127368, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 36, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127369, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 131, 30, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127370, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1240, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127371, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 1281, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127372, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 36, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127373, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 680, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127374, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 65, 13, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127375, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 4, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127376, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 677, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127377, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 728, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127378, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 771, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127379, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 389, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127380, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1324, 14, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127381, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 99, 13, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127382, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 302, 21, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127383, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 81, 25, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127384, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 206, 21, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127385, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 172, 23, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127386, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2852, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127387, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 951, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127388, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1634, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127389, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D14', 1083, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127390, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 158, 29, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127391, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1290, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127392, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1240, 10, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127393, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 41, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127394, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1100, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127395, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 204, 37, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127396, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 251, 22, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127397, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 159, 38, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127398, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 132, 41, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127399, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 199, 38, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127400, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 103, 18, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127401, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 128, 46, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127402, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 53, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127403, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 115, 36, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127404, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 75, 16, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127405, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 137, 36, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127406, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 363, 6, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127407, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 842, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127408, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 12, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127409, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 74, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127410, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 425, 26, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127411, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 223, 11, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127412, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 348, 15, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127413, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 285, 23, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127414, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 569, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127415, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 243, 17, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127416, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 8, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127417, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 804, 17, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127418, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 545, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127419, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E17', 37, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127420, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 312, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127421, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 395, 18, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127422, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 68, 10, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127423, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 86, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127424, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 317, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127425, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 372, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127426, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 202, 19, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127427, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 305, 27, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127428, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 378, 22, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127429, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 96, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127430, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 29, 6, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127431, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 60, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127432, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 144, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127433, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 3222, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127434, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 136, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127435, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 83, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127436, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 37, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127437, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 4, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127438, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 3, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127439, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 44, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127440, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 56, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127441, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 85, 18, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127442, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 22, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127443, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 37, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127444, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 4, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127445, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 136, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127446, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 83, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127447, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 3, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127448, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 56, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127449, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 89, 6, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127450, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 31, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127451, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 235, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127452, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 24, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127453, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1100, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127454, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1290, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127455, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1240, 10, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127456, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1634, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127457, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 202, 19, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127458, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1083, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127459, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 131, 30, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127460, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 35, 24, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127461, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 395, 18, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127462, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 363, 6, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127463, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 65, 13, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127464, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 36, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127465, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 38, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127466, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 22, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127467, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 12, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127468, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 86, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127469, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 40, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127470, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 317, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127471, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 206, 21, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127472, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 81, 25, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127473, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 172, 23, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127474, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 290, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127475, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 228, 15, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127476, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1324, 14, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127477, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 243, 17, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127478, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 804, 17, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127479, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 4, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127480, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 85, 18, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127481, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 78, 14, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127482, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 55, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127483, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 68, 10, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127484, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 372, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127485, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 78, 10, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127486, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 28, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127487, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 74, 20, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127488, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 99, 13, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127489, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 545, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127490, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 103, 18, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127491, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 569, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127492, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 75, 16, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127493, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 53, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127494, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 285, 23, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127495, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 771, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127496, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 425, 26, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127497, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 389, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127498, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1240, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127499, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 348, 15, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127500, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1281, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127501, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 680, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127502, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 223, 11, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127503, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 90, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127504, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 85, 13, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127505, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 3222, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127506, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 96, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127507, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 74, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127508, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 60, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127509, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 29, 6, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127510, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 144, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127511, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 8, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127512, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 842, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127513, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2852, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127514, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 378, 22, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127515, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 305, 27, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127516, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 677, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127517, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 728, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127518, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 74, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127519, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 688, 6, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127520, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 302, 21, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127521, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 732, 10, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127522, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 194, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127523, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 158, 29, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127524, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 199, 38, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127525, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 951, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127526, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 1525, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127527, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 128, 46, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127528, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 115, 36, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127529, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 404, 21, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127530, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 137, 36, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127531, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 204, 37, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127532, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 251, 22, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127533, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 159, 38, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127534, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 132, 41, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127535, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 202, 19, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127536, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 4, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127537, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 243, 17, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127538, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 395, 18, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127539, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2852, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127540, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 804, 17, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127541, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 317, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127542, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 3, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127543, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 75, 16, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127544, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 53, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127545, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 680, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127546, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 103, 18, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127547, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 1281, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127548, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1240, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127549, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 389, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127550, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 771, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127551, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 728, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127552, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 99, 13, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127553, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 677, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127554, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 60, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127555, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 74, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127556, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 96, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127557, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 144, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127558, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 29, 6, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127559, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 44, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127560, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 56, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127561, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D14', 1083, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127562, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1290, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127563, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1100, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127564, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1634, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127565, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1240, 10, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127566, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 3222, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127567, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 206, 21, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127568, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 172, 23, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127569, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 22, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127570, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 81, 25, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127571, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 305, 27, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127572, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 378, 22, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127573, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E17', 37, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127574, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 12, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127575, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 86, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127576, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 425, 26, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127577, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 285, 23, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127578, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 348, 15, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127579, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 223, 11, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127580, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1324, 14, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127581, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 85, 13, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127582, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 228, 15, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127583, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 569, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127584, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 545, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127585, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 363, 6, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127586, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 4, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127587, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 37, 4, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127588, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 56, 11, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127589, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 28, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127590, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 74, 20, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127591, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 40, 12, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127592, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 78, 10, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127593, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 78, 14, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127594, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 83, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127595, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 136, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127596, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 290, 5, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127597, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 36, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127598, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 235, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127599, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 31, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127600, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 24, 2, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127601, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 312, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127602, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 302, 21, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127603, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 951, 7, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127604, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 372, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127605, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 131, 30, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127606, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 68, 10, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127607, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 85, 18, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127608, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 41, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127609, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 132, 41, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127610, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 842, 9, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127611, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 8, 3, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127612, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 128, 46, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127613, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 115, 36, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127614, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 158, 29, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127615, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 199, 38, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127616, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 65, 13, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127617, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 251, 22, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127618, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 36, 1, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127619, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 159, 38, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127620, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 137, 36, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127621, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 204, 37, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127622, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 35, 24, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127623, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 90, 8, 2024, 4, 29, '2024-08-05 14:06:26', NULL, NULL), (127624, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 116, 81, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127625, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 144, 33, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127626, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 422, 132, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127627, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 298, 42, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127628, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 387, 437, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127629, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 732, 100, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127630, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 266, 139, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127631, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 371, 93, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127632, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 387, 437, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127633, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 211, 82, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127634, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 3, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127635, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 266, 139, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127636, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 419, 133, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127637, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 116, 81, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127638, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 363, 95, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127639, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 732, 100, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127640, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 191, 22, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127641, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 24, 3, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127642, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 44, 12, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127643, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 96, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127644, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 118, 80, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127645, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 0, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127646, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 555, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127647, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127648, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1430, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127649, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 0, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127650, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 59, 12, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127651, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127652, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 1208, 100, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127653, 1, '511500000000-0001', '宜宾市民中心', '普通护照', '', '', '', 0, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127654, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 980, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127655, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 157, 295, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127656, 1, '511500000000-0001', '宜宾市民中心', '查封业务', '', '', '', 0, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127657, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 455, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127658, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 732, 100, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127659, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 271, 21, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127660, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1941, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127661, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 86, 53, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127662, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 92, 25, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127663, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2847, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127664, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 7857, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127665, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 266, 139, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127666, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 41, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127667, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 3, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127668, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 4, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127669, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 491, 40, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127670, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 42, 42, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127671, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 308, 8, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127672, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 3, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127673, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 105, 9, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 318, 36, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 43, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 455, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 316, 35, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 45, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 341, 33, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 59, 12, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 85, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 94, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 153, 9, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 142, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 56, 9, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 400, 6, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 219, 30, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 1941, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 153, 32, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 11, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 239, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 169, 29, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 254, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 84, 23, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 359, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 57, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 149, 41, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 49, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 686, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 119, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 110, 31, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 86, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 42, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 197, 30, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (127707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 385, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 433, 6, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 41, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 148, 28, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 30, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 163, 20, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 413, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 93, 35, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 35, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 666, 22, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 4, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 680, 10, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 580, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 1076, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 9, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 677, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 336, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 5, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 36, 10, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 64, 19, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 308, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 79, 12, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 37, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 257, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 125, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 107, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 96, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1430, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 516, 20, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 125, 3, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 106, 12, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 54, 22, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 169, 31, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 756, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 748, 9, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 97, 8, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 413, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 447, 10, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 361, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 94, 13, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 980, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 15715, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 522, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 341, 9, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 1454, 8, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2847, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1010, 54, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 4, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 102, 3, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 405, 13, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 410, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 359, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 426, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1708, 37, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 29, 20, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127763, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 266, 139, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127764, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 42, 42, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127765, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 157, 295, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127766, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 24, 3, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127767, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 555, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127768, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 4, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127769, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 455, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127770, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 491, 40, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127771, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 41, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127772, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 118, 80, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127773, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2847, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127774, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 96, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127775, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 44, 12, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127776, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 59, 12, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127777, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 92, 25, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127778, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 3, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127779, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 732, 100, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127780, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 1208, 100, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127781, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 105, 9, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127782, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 15715, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127783, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1430, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127784, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 308, 8, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127785, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 980, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127786, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 271, 21, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127787, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 191, 22, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127788, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 86, 53, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127789, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 3, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127790, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1941, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127791, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 400, 6, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127792, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 30, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127793, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 1430, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127794, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 54, 22, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127795, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 29, 20, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127796, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 96, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127797, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 94, 13, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127798, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 106, 12, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127799, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 277, 13, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127800, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 107, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127801, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 64, 19, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127802, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 79, 12, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127803, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 125, 3, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127804, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 125, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127805, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 37, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127806, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 41, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127807, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 169, 31, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127808, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 359, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127809, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 49, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127810, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 239, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127811, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 57, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127812, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 413, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127813, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 385, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127814, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 86, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127815, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 686, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127816, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 308, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127817, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 85, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127818, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 455, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127819, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 1010, 54, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127820, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 1708, 37, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127821, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 341, 9, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127822, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 980, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127823, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 413, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127824, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 142, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127825, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D14', 748, 9, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127826, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 197, 30, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127827, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 361, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127828, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 447, 10, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127829, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 522, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127830, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 153, 32, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127831, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 219, 30, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127832, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 163, 20, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127833, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 148, 28, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127834, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 4, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127835, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 110, 31, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127836, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 56, 9, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127837, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 149, 41, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127838, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 84, 23, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127839, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 153, 9, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127840, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 94, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127841, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 169, 29, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127842, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 1941, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127843, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2847, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127844, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 9, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127845, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127846, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 15715, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127847, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 516, 20, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127848, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 680, 10, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127849, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 666, 22, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127850, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 1076, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127851, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 580, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127852, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 316, 35, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127853, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 677, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127854, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 341, 33, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127855, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E17', 3, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127856, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 6, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127857, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 318, 36, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127858, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 43, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127859, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127860, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 45, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127861, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 93, 35, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127862, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 1454, 8, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127863, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 426, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127864, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E19', 1104, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127865, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127866, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 119, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127867, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 11, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127868, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 254, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127869, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 42, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127870, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 35, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127871, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 4, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127872, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 36, 10, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127873, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 5, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127874, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 391, 6, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127875, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 59, 12, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127876, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 299, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127877, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 35, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127878, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 4, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127879, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 36, 10, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127880, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 336, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127881, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 5, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127882, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 125, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127883, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 125, 3, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127884, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 37, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127885, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 522, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127886, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 361, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127887, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 447, 10, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127888, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 413, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127889, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 748, 9, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127890, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 93, 35, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127891, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 169, 31, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127892, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 54, 22, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127893, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 1941, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127894, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 318, 36, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127895, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 57, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127896, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 49, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127897, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 41, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127898, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 433, 6, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127899, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 9, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127900, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 29, 20, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127901, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127902, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1708, 37, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127903, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1010, 54, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127904, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 341, 9, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127905, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1430, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127906, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 96, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127907, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 308, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127908, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 316, 35, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127909, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 341, 33, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127910, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 79, 12, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127911, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 59, 12, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127912, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 257, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127913, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 43, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127914, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 64, 19, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127915, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 45, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127916, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 107, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127917, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 106, 12, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 85, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127919, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 677, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127920, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 56, 9, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127921, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 1076, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127922, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 94, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127923, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 153, 9, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127924, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 666, 22, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127925, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 86, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127926, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 516, 20, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127927, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 686, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127928, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 580, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127929, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 359, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127930, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 680, 10, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127931, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 239, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127932, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 30, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127933, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 94, 13, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127934, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 400, 6, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127935, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 254, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127936, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127937, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127938, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 11, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127939, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 119, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127940, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 42, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127941, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 15715, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127942, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2847, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127943, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 980, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127944, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 426, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127945, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 1454, 8, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127946, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 413, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127947, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 385, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127948, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 97, 8, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127949, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 359, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127950, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 455, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127951, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 410, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127952, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 756, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127953, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 197, 30, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127954, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 110, 31, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127955, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 4, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127956, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 142, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127957, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 149, 41, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127958, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 84, 23, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127959, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 405, 13, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127960, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 169, 29, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127961, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 102, 3, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127962, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 153, 32, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127963, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 219, 30, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127964, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 163, 20, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127965, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 148, 28, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127966, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 93, 35, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127967, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 316, 35, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127968, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 318, 36, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127969, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 980, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127970, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 341, 33, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127971, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127972, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 36, 10, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127973, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 94, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127974, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 153, 9, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127975, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 239, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127976, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 56, 9, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127977, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 359, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127978, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 686, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127979, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 86, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127980, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 385, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127981, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 85, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127982, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 413, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127983, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 11, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127984, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127985, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127986, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 254, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127987, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 42, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127988, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 119, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127989, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 5, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127990, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 391, 6, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127991, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D14', 748, 9, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127992, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 361, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127993, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 522, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127994, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 413, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127995, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 447, 10, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127996, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 4, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127997, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 1708, 37, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127998, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 341, 9, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (127999, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 299, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128000, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 1010, 54, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128001, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 1454, 8, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128002, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 426, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128003, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E17', 3, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128004, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 9, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128005, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 516, 20, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128006, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 666, 22, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128007, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 680, 10, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128008, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 580, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128009, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 308, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128010, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 94, 13, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128011, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 96, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128012, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 1076, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128013, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 677, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128014, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 1941, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128015, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 277, 13, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128016, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 107, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128017, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 106, 12, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128018, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 29, 20, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128019, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 64, 19, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128020, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 79, 12, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128021, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E19', 1104, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128022, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 4, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128023, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 35, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128024, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 1430, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128025, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 41, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128026, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 125, 3, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128027, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 125, 4, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128028, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 37, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128029, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 6, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128030, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 455, 14, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128031, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 15715, 1, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128032, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 142, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128033, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 45, 5, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128034, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 169, 31, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128035, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 43, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128036, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 59, 12, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128037, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 148, 28, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128038, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2847, 7, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128039, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 149, 41, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128040, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 84, 23, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128041, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 197, 30, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128042, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 110, 31, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128043, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 57, 11, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128044, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 219, 30, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128045, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 49, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128046, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 163, 20, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128047, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 169, 29, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128048, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 153, 32, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128049, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 54, 22, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128050, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 30, 2, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128051, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 400, 6, 2024, 4, 30, '2024-08-05 14:06:27', NULL, NULL), (128052, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 958, 3, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128053, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 892, 52, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128054, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 478, 2, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128055, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 443, 34, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128056, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 892, 52, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128057, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 430, 35, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128058, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 958, 3, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128059, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 1, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128060, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 478, 2, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128061, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 1, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128062, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 6, 1, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128063, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 1435, 2, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128064, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 1247, 36, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128065, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 199, 7, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128066, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 1, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128067, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 478, 2, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128068, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 11, 9, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128069, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 443, 34, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 18, 3, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 372, 18, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 1435, 2, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 523, 16, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 6, 1, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 478, 2, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 7, 4, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1247, 36, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 199, 7, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 10, 2, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128080, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 443, 34, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128081, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 199, 7, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128082, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 11, 9, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128083, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 6, 1, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128084, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 1435, 2, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128085, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 478, 2, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128086, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 1247, 36, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128087, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 199, 7, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128088, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 1435, 2, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128089, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 7, 4, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128090, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 18, 3, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128091, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 10, 2, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128092, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 478, 2, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128093, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 1247, 36, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128094, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 372, 18, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128095, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 6, 1, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128096, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 523, 16, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128097, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 1435, 2, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128098, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 478, 2, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128099, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 199, 7, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128100, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1247, 36, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128101, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 6, 1, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128102, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 7, 4, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128103, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 18, 3, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128104, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 372, 18, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128105, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 10, 2, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128106, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 523, 16, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128107, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 1435, 2, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128108, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 372, 18, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128109, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 523, 16, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (128110, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 1247, 36, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128111, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 478, 2, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128112, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 7, 4, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128113, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 18, 3, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128114, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 10, 2, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128115, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 199, 7, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128116, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 6, 1, 2024, 5, 1, '2024-08-05 14:06:28', NULL, NULL), (128117, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 2819, 2, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128118, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 663, 44, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128119, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 367, 2, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128120, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 2190, 14, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128121, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 648, 45, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128122, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 2190, 14, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128123, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 245, 3, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128124, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 2819, 2, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128125, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 7263, 3, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128126, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 0, 1, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128127, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 365, 8, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128128, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 966, 27, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128129, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 2819, 2, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128130, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 367, 2, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128131, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 16, 10, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128132, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 807, 11, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 212, 4, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 3, 2, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1147, 7, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 7263, 3, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 5611, 1, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 20, 1, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 18, 4, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 715, 1, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 966, 27, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 27, 1, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 22, 4, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 417, 7, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128145, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 807, 11, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128146, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 417, 7, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128147, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 16, 10, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128148, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 367, 2, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128149, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 7263, 3, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128150, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 2819, 2, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128151, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 966, 27, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128152, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 966, 27, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128153, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 1147, 7, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128154, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 212, 4, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128155, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 27, 1, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128156, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 417, 7, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128157, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 18, 4, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128158, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 7263, 3, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128159, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 3, 2, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128160, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 715, 1, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128161, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 20, 1, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128162, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 22, 4, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128163, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 5611, 1, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128164, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 212, 4, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128165, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 27, 1, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128166, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 715, 1, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128167, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 20, 1, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128168, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 417, 7, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128169, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 966, 27, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128170, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 18, 4, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128171, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 5611, 1, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128172, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 3, 2, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128173, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1147, 7, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128174, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 22, 4, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128175, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 7263, 3, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128176, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 7263, 3, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128177, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 27, 1, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128178, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 20, 1, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128179, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 715, 1, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128180, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 417, 7, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128181, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 5611, 1, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128182, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 212, 4, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128183, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 1147, 7, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128184, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 966, 27, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128185, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 18, 4, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128186, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 3, 2, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128187, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 22, 4, 2024, 5, 2, '2024-08-05 14:06:29', NULL, NULL), (128188, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 7, 2, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128189, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 648, 5, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128190, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 335, 37, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128191, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 111, 13, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128192, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 41, 5, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128193, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 335, 37, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128194, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 111, 13, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128195, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 463, 7, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128196, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 7, 2, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128197, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 41, 5, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128198, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 876, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128199, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 15, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128200, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 15, 2, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128201, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 0, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128202, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 783, 3, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128203, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 445, 26, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128204, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 7, 2, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128205, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 41, 5, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128206, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128207, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 91, 9, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128208, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 111, 13, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 167, 8, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 22, 5, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 783, 3, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 15, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 27, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 155, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 3, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 88, 7, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 67, 2, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 445, 26, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 44, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 876, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 46, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 7, 2, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 15, 2, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128224, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 111, 13, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128225, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 15, 2, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128226, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 91, 9, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128227, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 783, 3, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128228, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 15, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128229, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 41, 5, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128230, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 876, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128231, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 7, 2, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128232, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 445, 26, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128233, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 445, 26, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128234, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 22, 5, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128235, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 167, 8, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128236, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 15, 2, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128237, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 7, 2, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128238, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 876, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128239, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 44, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128240, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 88, 7, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128241, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 15, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128242, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 27, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128243, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 46, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128244, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 67, 2, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128245, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 783, 3, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128246, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 3, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128247, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 155, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128248, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 15, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128249, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 167, 8, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128250, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 783, 3, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128251, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 7, 2, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128252, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 876, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128253, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 67, 2, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128254, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 3, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128255, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 15, 2, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128256, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 27, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128257, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 445, 26, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128258, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 88, 7, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128259, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 155, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128260, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 44, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128261, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 22, 5, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128262, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 46, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128263, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 44, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128264, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 783, 3, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128265, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 27, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128266, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 876, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128267, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 3, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128268, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 7, 2, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128269, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 67, 2, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128270, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 15, 2, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128271, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 22, 5, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128272, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 15, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128273, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 167, 8, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128274, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 445, 26, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128275, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 88, 7, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128276, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 155, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128277, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 46, 1, 2024, 5, 3, '2024-08-05 14:06:30', NULL, NULL), (128278, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 543, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128279, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 18, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128280, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 248, 42, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128281, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 5, 2, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128282, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 533, 21, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128283, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 248, 42, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128284, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 509, 22, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128285, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 18, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128286, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 543, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128287, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 5, 2, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128288, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128289, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 18, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128290, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 120, 8, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128291, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 431, 20, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128292, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 543, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128293, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 5, 2, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128294, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 60, 14, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128295, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 533, 21, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 5, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 628, 14, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 18, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 344, 7, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 68, 5, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 6, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 431, 20, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 543, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 4, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 62, 8, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 231, 4, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 9, 4, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128308, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 533, 21, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128309, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 120, 8, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128310, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 60, 14, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128311, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 18, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128312, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 5, 2, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128313, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 543, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128314, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 431, 20, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128315, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 231, 4, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128316, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 431, 20, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128317, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 628, 14, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128318, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 344, 7, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128319, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 9, 4, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128320, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 4, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128321, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 18, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128322, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 543, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128323, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 5, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128324, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 6, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128325, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 62, 8, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128326, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 68, 5, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128327, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 18, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128328, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 543, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128329, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 6, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128330, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 9, 4, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128331, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 431, 20, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128332, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 4, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128333, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 68, 5, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128334, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 628, 14, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128335, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 5, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128336, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 231, 4, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128337, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 344, 7, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128338, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 62, 8, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128339, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 4, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128340, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 231, 4, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128341, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 6, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128342, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 9, 4, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128343, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 543, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128344, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 628, 14, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128345, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 18, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128346, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 62, 8, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128347, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 344, 7, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128348, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 431, 20, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128349, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 5, 1, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128350, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 68, 5, 2024, 5, 4, '2024-08-05 14:06:31', NULL, NULL), (128351, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 4, 2, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128352, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 187, 38, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128353, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 32, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128354, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 668, 12, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128355, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 187, 38, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128356, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 616, 13, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128357, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 2, 3, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128358, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 32, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128359, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128360, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 6, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128361, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 54, 5, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128362, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 377, 16, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128363, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 32, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128364, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 2, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128365, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128366, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 48, 17, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128367, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 668, 12, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 101, 2, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 668, 12, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 6, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 13, 9, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 32, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 377, 16, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 2, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 81, 6, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 54, 5, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128377, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 668, 12, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128378, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 54, 5, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128379, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 48, 17, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128380, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 32, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128381, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 6, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128382, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 377, 16, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128383, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 2, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128384, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 2, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128385, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 6, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128386, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 32, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128387, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 101, 2, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128388, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 54, 5, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128389, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 377, 16, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128390, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 81, 6, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128391, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 668, 12, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128392, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 13, 9, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128393, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 6, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128394, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 377, 16, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128395, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 13, 9, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128396, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 2, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128397, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 668, 12, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128398, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 101, 2, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128399, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 54, 5, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128400, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 81, 6, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128401, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 32, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128402, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 668, 12, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128403, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 6, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128404, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 81, 6, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128405, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 54, 5, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128406, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 377, 16, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128407, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 32, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128408, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 101, 2, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128409, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 2, 1, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128410, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 13, 9, 2024, 5, 5, '2024-08-05 14:06:33', NULL, NULL), (128411, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 118, 103, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128412, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 148, 86, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128413, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 476, 37, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128414, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 230, 239, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128415, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1727, 160, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128416, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 234, 556, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128417, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 94, 99, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128418, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 97, 101, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128419, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 411, 83, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128420, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 232, 559, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128421, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 247, 123, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128422, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1717, 161, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128423, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 96, 102, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128424, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 229, 240, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128425, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 117, 104, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128426, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 406, 84, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128427, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 94, 99, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128428, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 611, 4, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128429, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 21, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128430, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 57, 41, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128431, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 71, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128432, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 766, 15, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128433, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 117, 104, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128434, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 553, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128435, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 271, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128436, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 2416, 99, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128437, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 38, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128438, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 832, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128439, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 652, 4, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128440, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 571, 18, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128441, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 219, 38, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128442, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 577, 25, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128443, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 273, 113, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128444, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1301, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128445, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 73, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128446, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 230, 352, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128447, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 598, 7, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128448, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1261, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128449, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 95, 97, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128450, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 150, 26, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128451, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 955, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128452, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 143, 61, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128453, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 245, 79, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128454, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 265, 11, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128455, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 50, 94, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128456, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 62, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128457, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 461, 32, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128458, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 194, 94, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128459, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 160, 25, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128460, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 91, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128461, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 11, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 598, 7, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 1261, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 2257, 53, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 684, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 718, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 601, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 26, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 2599, 46, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 157, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 243, 42, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 315, 4, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 216, 30, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 93, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 289, 37, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 18, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 213, 46, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 75, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 571, 18, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 143, 48, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 61, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 318, 37, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 451, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 264, 31, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 225, 32, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 332, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 113, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 92, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 125, 19, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 101, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 69, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 114, 13, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 90, 21, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 149, 17, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 69, 20, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 64, 15, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 58, 7, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 322, 14, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 177, 40, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 245, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 345, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 47, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 57, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 320, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 291, 42, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 9, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 714, 13, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 755, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 89, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 49, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 237, 46, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 211, 53, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 45, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 38, 11, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 38, 28, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 142, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 69, 19, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 219, 38, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 815, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 274, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 254, 25, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 307, 4, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 224, 25, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 230, 17, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 955, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 5, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 7, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 11, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 319, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 71, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 249, 7, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 19, 15, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 69, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 62, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 12, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 52, 31, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 21, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 64, 15, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (128540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 39, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 102, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 25, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 8, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 4, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 60, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 12, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 643, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 109, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 79, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 766, 15, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 86, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 38, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 652, 4, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 415, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 298, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1301, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 345, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 417, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 239, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128560, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 50, 94, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128561, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 196, 93, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128562, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 230, 351, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128563, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 601, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128564, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 57, 41, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128565, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 271, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128566, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 571, 18, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128567, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1261, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128568, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 461, 32, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128569, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 62, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128570, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 118, 103, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128571, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 553, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128572, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 598, 7, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128573, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 292, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128574, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 766, 15, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128575, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 71, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128576, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 219, 38, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128577, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 143, 61, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128578, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 815, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128579, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 13, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128580, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 95, 97, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128581, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 275, 112, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128582, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 652, 4, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128583, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 91, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128584, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 38, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128585, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 160, 25, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128586, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 2416, 99, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128587, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1301, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128588, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 73, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128589, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 150, 26, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128590, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 21, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128591, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 832, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128592, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 245, 79, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128593, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 955, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128594, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 598, 7, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128595, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 230, 17, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128596, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 12, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128597, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 38, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128598, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 177, 40, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128599, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 601, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128600, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 766, 15, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128601, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 211, 53, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128602, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 57, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128603, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 322, 14, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128604, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 69, 20, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128605, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 64, 15, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128606, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 90, 21, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128607, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 149, 17, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128608, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 86, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128609, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 79, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128610, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 109, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128611, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 62, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128612, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 245, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128613, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 18, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128614, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 93, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128615, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 249, 7, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128616, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 315, 4, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128617, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 11, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128618, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B02', 73, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128619, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 332, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128620, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 815, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128621, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 451, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128622, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 61, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128623, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 75, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128624, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 643, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128625, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 274, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128626, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D26', 1261, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128627, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 291, 42, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128628, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 237, 46, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128629, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 320, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128630, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1301, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128631, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 26, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128632, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 298, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128633, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D14', 415, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128634, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 318, 37, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128635, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 737, 4, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128636, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1023, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128637, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 417, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128638, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 243, 42, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128639, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 157, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128640, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 225, 32, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128641, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 264, 31, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128642, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 143, 48, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128643, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 224, 25, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128644, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 213, 46, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128645, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 307, 4, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128646, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 289, 37, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128647, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 254, 25, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128648, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 216, 30, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128649, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 955, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128650, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 239, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128651, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 8, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128652, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 5, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128653, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 58, 7, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128654, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 92, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128655, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 113, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128656, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 101, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128657, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 125, 19, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128658, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 38, 28, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128659, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 121, 11, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128660, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 345, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128661, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 69, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128662, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 69, 19, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128663, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 45, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128664, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 271, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128665, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 38, 11, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128666, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 25, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128667, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128668, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 142, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128669, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 642, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128670, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 52, 31, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128671, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 110, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128672, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 49, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128673, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 319, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128674, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 71, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128675, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 7, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128676, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 19, 15, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128677, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 21, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128678, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 64, 15, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128679, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 39, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128680, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 102, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128681, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 652, 4, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128682, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 12, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128683, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 7, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128684, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 4, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128685, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 571, 18, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128686, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 219, 38, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128687, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 2257, 53, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128688, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 69, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128689, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 2599, 46, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128690, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 39, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128691, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 102, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128692, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 21, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128693, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 64, 15, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128694, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 12, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128695, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 4, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128696, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 60, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128697, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 79, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128698, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 86, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128699, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 109, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128700, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 417, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128701, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 298, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128702, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 52, 31, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128703, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 415, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128704, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 245, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128705, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 177, 40, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128706, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 45, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128707, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 955, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128708, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 11, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128709, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 249, 7, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128710, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 571, 18, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128711, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 62, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128712, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 69, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128713, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 8, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128714, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 25, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128715, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 211, 53, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128716, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128717, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 237, 46, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128718, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 291, 42, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128719, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 320, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128720, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 38, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128721, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 766, 15, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128722, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 643, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128723, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 38, 28, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128724, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 69, 19, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128725, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 815, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128726, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 601, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128727, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 219, 38, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128728, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 2599, 46, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128729, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 38, 11, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128730, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 598, 7, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128731, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 142, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128732, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 274, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128733, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 69, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128734, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 224, 25, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128735, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 101, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128736, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 2257, 53, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128737, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 254, 25, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128738, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 684, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128739, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 307, 4, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128740, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 114, 13, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128741, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 718, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128742, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 113, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128743, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 61, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128744, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 58, 7, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128745, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 75, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128746, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 18, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128747, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 125, 19, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128748, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 93, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128749, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 92, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128750, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 315, 4, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128751, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 49, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128752, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 332, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128753, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 451, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128754, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 652, 4, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128755, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 1261, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128756, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 26, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128757, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 149, 17, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128758, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 69, 20, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128759, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 90, 21, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128760, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 64, 15, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128761, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 322, 14, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128762, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 12, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128763, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 57, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128764, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 230, 17, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128765, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 319, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128766, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 5, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128767, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 7, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128768, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 71, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128769, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 19, 15, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128770, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 345, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128771, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 239, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128772, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1301, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128773, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 47, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128774, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 89, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128775, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 755, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128776, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 345, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128777, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 318, 37, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128778, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 143, 48, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128779, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 9, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128780, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 213, 46, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128781, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 289, 37, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128782, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 714, 13, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128783, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 216, 30, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128784, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 243, 42, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128785, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 157, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128786, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 225, 32, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128787, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 264, 31, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128788, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 815, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128789, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 52, 31, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128790, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 38, 28, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128791, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 598, 7, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128792, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 45, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128793, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1301, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128794, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 69, 19, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128795, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128796, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 12, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128797, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 254, 25, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128798, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 307, 4, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128799, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 315, 4, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128800, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 224, 25, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128801, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 93, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128802, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 18, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128803, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 75, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128804, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 61, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128805, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 451, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128806, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 274, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128807, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 332, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128808, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 7, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128809, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 5, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128810, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 319, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128811, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 19, 15, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128812, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 71, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128813, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 7, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128814, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 4, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128815, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D14', 415, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128816, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 110, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128817, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 642, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128818, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 417, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128819, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 298, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128820, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 2599, 46, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128821, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 2257, 53, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128822, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 237, 46, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128823, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 320, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128824, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 69, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128825, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 291, 42, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128826, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 49, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128827, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 8, 1, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128828, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 25, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128829, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 58, 7, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128830, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 113, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128831, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 601, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128832, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 92, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128833, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 125, 19, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128834, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 643, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128835, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 57, 16, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128836, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 766, 15, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128837, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 101, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128838, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 69, 9, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128839, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 121, 11, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128840, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 955, 6, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128841, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 102, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128842, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 39, 10, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128843, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 69, 20, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128844, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 64, 15, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128845, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 322, 14, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128846, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 211, 53, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128847, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 90, 21, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128848, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 149, 17, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128849, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 64, 15, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128850, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 21, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128851, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 38, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128852, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 62, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128853, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 86, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128854, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 79, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128855, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 109, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128856, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 271, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128857, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D26', 1261, 3, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128858, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 26, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128859, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 142, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128860, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 245, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128861, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1023, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128862, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 38, 11, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128863, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 737, 4, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128864, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 219, 38, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128865, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 571, 18, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128866, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 264, 31, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128867, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 239, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128868, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 345, 5, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128869, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 213, 46, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128870, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 289, 37, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128871, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 318, 37, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128872, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 143, 48, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128873, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 11, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128874, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 157, 24, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128875, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 249, 7, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128876, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 225, 32, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128877, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 216, 30, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128878, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 243, 42, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128879, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 652, 4, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128880, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 177, 40, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128881, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B02', 73, 2, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128882, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 12, 8, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128883, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 230, 17, 2024, 5, 6, '2024-08-05 14:06:34', NULL, NULL), (128884, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 46, 113, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128885, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 89, 84, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128886, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 509, 64, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128887, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 126, 222, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128888, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1030, 124, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128889, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 100, 496, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128890, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 188, 115, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128891, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 688, 69, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128892, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 432, 126, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128893, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 100, 496, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128894, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 269, 149, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128895, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1021, 125, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128896, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 669, 71, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128897, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 126, 222, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128898, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 46, 113, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128899, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 432, 126, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128900, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 188, 115, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128901, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 89, 20, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128902, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 10184, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128903, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 84, 21, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128904, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 33, 22, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128905, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 46, 112, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128906, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 203, 11, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128907, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1983, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128908, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 48, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128909, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 997, 68, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128910, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 118, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128911, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 27, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128912, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2051, 17, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128913, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 80, 19, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128914, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 539, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128915, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 656, 26, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128916, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 104, 75, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128917, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1215, 6, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128918, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 50, 324, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128919, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 332, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128920, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 325, 21, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128921, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 188, 115, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128922, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 89, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128923, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 360, 36, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128924, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 124, 9, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128925, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 90, 96, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128926, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 46, 67, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128927, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 170, 6, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128928, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 106, 63, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128929, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 203, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128930, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 4, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128931, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 623, 51, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128932, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 264, 97, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128933, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 144, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128934, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 195, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128935, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 70, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 332, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (128937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 1026, 41, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1983, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D20', 366, 18, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 656, 26, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 372, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 990, 26, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 53, 18, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 40, 36, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 116, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 47, 39, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 41, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 61, 26, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 308, 6, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2032, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 34, 49, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 694, 6, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2060, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 75, 28, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 502, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 75, 27, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 118, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 70, 29, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 33, 39, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 14, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 185, 20, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 77, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 222, 24, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 119, 13, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 30, 9, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 382, 14, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 58, 22, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 22, 18, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 51, 24, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 195, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 49, 15, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 135, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 33, 15, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 260, 50, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 35, 33, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 910, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 59, 6, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 53, 19, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 58, 17, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 147, 29, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 405, 22, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 2676, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 126, 19, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 224, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 878, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 231, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 87, 29, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 267, 47, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 77, 18, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 74, 16, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 118, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 165, 17, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 80, 19, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 86, 23, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 20368, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 105, 17, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 85, 23, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 67, 16, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (128999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 143, 20, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 124, 9, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 19, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 65, 11, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 141, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 28, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 53, 14, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 69, 13, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 74, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 5, 14, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 539, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 190, 9, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 244, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 97, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 4, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 27, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 60, 10, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 23, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 247, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 5, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 15, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 197, 9, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 4, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 499, 11, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 296, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 200, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 203, 11, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 118, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 54, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 11, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 33, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 871, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 618, 11, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 472, 9, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1215, 6, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 317, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 599, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 96, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 81, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129042, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 106, 63, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129043, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 264, 97, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129044, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 50, 324, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129045, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 656, 26, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129046, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 33, 22, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129047, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 48, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129048, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2051, 17, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129049, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 325, 21, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129050, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 623, 51, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129051, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 203, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129052, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1983, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129053, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 46, 112, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129054, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 332, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129055, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 170, 6, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129056, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 89, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129057, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 203, 11, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129058, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 84, 21, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129059, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 80, 19, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129060, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 46, 67, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129061, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 20368, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129062, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 70, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129063, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 188, 115, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129064, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 104, 75, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129065, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 195, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129066, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 27, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129067, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 118, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129068, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 144, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129069, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1012, 67, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129070, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1215, 6, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129071, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 539, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129072, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 89, 20, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129073, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 360, 36, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129074, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 90, 96, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129075, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 4, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129076, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 124, 9, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129077, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 332, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129078, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129079, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 118, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129080, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 244, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129081, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 260, 50, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129082, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 656, 26, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129083, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 203, 11, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129084, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 267, 47, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129085, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 53, 19, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129086, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 33, 15, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129087, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 51, 24, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129088, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 49, 15, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129089, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 58, 22, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129090, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 23, 17, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129091, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 54, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129092, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 200, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129093, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 296, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129094, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 81, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129095, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 203, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129096, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 35, 33, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129097, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 308, 6, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129098, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 41, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129099, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 74, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129100, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 116, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129101, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 28, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129102, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 14, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129103, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 20368, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129104, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 118, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129105, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 502, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129106, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 694, 6, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129107, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 499, 11, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129108, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 105, 17, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129109, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 147, 29, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129110, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 87, 29, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129111, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D20', 366, 18, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129112, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 58, 17, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129113, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1215, 6, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129114, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 372, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129115, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 618, 11, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129116, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D14', 871, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129117, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 75, 27, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129118, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 472, 9, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129119, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 89, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129120, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 599, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129121, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 40, 36, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129122, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 53, 18, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129123, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 33, 39, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129124, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 70, 29, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129125, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 75, 28, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129126, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 143, 20, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129127, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 34, 49, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129128, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 67, 16, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129129, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 61, 26, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129130, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 85, 23, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129131, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 47, 39, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129132, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 124, 9, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129133, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 96, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129134, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129135, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 19, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129136, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 135, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129137, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 195, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129138, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 77, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129139, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 185, 20, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129140, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 119, 13, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129141, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 222, 24, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129142, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 165, 17, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129143, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 317, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129144, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 382, 14, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129145, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 30, 9, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129146, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 86, 23, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129147, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 48, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129148, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 77, 18, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129149, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 27, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129150, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 74, 16, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129151, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129152, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 118, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129153, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 247, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129154, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1983, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129155, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 97, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129156, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 231, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129157, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 53, 14, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129158, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 69, 13, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129159, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 65, 11, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129160, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 141, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129161, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 5, 14, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129162, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 539, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129163, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 4, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129164, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 60, 10, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129165, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 23, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129166, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 5, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129167, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 33, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129168, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 11, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129169, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 4, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129170, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 239, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129171, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 15, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129172, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2060, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129173, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 2032, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129174, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E18', 4, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129175, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 80, 19, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129176, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 1026, 41, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129177, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 4, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129178, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 990, 26, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129179, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 23, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129180, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 5, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129181, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 4, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129182, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 60, 10, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129183, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 4, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129184, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 15, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129185, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 197, 9, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129186, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 200, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129187, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 54, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129188, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 296, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129189, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D20', 366, 18, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129190, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 599, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129191, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 472, 9, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129192, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 618, 11, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129193, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 97, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129194, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 871, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129195, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 35, 33, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129196, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 81, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129197, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 260, 50, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129198, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 77, 18, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129199, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 124, 9, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129200, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 28, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129201, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 74, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129202, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2060, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129203, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 190, 9, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129204, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129205, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2032, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129206, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129207, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129208, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 267, 47, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129209, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 247, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129210, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 87, 29, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129211, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 27, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129212, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 147, 29, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129213, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 58, 17, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129214, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 118, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129215, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 203, 11, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129216, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 499, 11, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129217, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 165, 17, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129218, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 86, 23, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129219, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 20368, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129220, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 656, 26, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129221, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 80, 19, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129222, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 74, 16, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129223, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 990, 26, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129224, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 118, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129225, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 332, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129226, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 105, 17, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129227, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 30, 9, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129228, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 143, 20, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129229, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 119, 13, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129230, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 1026, 41, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129231, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 85, 23, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129232, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1983, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129233, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 67, 16, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129234, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 382, 14, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129235, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 502, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129236, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 185, 20, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129237, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 694, 6, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129238, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 135, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129239, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 222, 24, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129240, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 308, 6, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129241, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 77, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129242, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 41, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129243, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 116, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129244, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 195, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129245, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 231, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129246, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 14, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129247, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 118, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129248, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 33, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129249, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 372, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129250, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 11, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129251, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 22, 18, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129252, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 51, 24, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129253, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 58, 22, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129254, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 49, 15, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129255, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 33, 15, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129256, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 244, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129257, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129258, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 53, 19, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129259, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 539, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129260, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 141, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129261, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 53, 14, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129262, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 19, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129263, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 65, 11, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129264, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 69, 13, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129265, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 14, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129266, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 317, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129267, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 96, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129268, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1215, 6, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129269, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 59, 6, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129270, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 878, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129271, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 224, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129272, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 910, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129273, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 75, 27, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129274, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 75, 28, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129275, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 405, 22, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129276, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 34, 49, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129277, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 61, 26, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129278, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 126, 19, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129279, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 47, 39, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129280, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 2676, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129281, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 40, 36, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129282, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 53, 18, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129283, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 33, 39, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129284, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 70, 29, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129285, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 20368, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129286, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 97, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129287, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 165, 17, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129288, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 332, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129289, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 77, 18, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129290, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1215, 6, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129291, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 86, 23, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129292, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 247, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129293, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 27, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129294, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 4, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129295, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 85, 23, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129296, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 67, 16, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129297, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 143, 20, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129298, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 116, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129299, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 41, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129300, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 308, 6, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129301, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 694, 6, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129302, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 502, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129303, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 118, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129304, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 105, 17, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129305, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 14, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129306, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 65, 11, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129307, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 19, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129308, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 53, 14, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129309, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 141, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129310, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 14, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129311, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 69, 13, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129312, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 239, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129313, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 15, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129314, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D14', 871, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129315, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1983, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129316, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 472, 9, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129317, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 599, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129318, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 618, 11, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129319, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 990, 26, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129320, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 1026, 41, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129321, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 539, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129322, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 87, 29, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129323, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 58, 17, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129324, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 4, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129325, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 147, 29, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129326, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 231, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129327, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129328, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129329, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 135, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129330, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 656, 26, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129331, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 185, 20, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129332, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 77, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129333, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 222, 24, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129334, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 195, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129335, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 499, 11, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129336, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 53, 19, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129337, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 203, 11, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129338, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 119, 13, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129339, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 30, 9, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129340, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 382, 14, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129341, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 124, 9, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129342, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 5, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129343, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 23, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129344, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 51, 24, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129345, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 49, 15, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129346, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 33, 15, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129347, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 267, 47, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129348, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 58, 22, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129349, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 23, 17, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129350, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 81, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (129351, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 60, 10, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129352, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 4, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129353, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E18', 4, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129354, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 118, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129355, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 203, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129356, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 54, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129357, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 200, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129358, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 296, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129359, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 48, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129360, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D20', 366, 18, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129361, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 372, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129362, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 118, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129363, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 35, 33, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129364, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 74, 16, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129365, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 80, 19, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129366, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 2032, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129367, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2060, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129368, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 89, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129369, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 70, 29, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129370, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 96, 4, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129371, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 317, 2, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129372, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 34, 49, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129373, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 61, 26, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129374, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 75, 27, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129375, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 75, 28, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129376, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 28, 12, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129377, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 53, 18, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129378, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 74, 8, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129379, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 33, 39, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129380, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 47, 39, 2024, 5, 7, '2024-08-05 14:06:39', NULL, NULL), (129381, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 40, 36, 2024, 5, 7, '2024-08-05 14:06:39', NULL, NULL), (129382, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 33, 3, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129383, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 11, 1, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129384, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 260, 50, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129385, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 244, 7, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129386, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 5, 2024, 5, 7, '2024-08-05 14:06:38', NULL, NULL), (129387, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 78, 90, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129388, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 4, 32, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129389, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 200, 35, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129390, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 222, 162, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129391, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 873, 85, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129392, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 78, 376, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129393, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 91, 84, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129394, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 87, 60, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129395, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 370, 107, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129396, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 77, 382, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129397, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 92, 78, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129398, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 816, 91, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129399, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 87, 60, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129400, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 222, 162, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129401, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 78, 90, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129402, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 363, 109, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129403, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 91, 84, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129404, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 40, 18, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129405, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 71, 20, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129406, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 343, 14, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129407, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 259, 12, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129408, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 78, 89, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129409, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 1040, 50, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129410, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1028, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129411, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 1477, 3, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129412, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 930, 14, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129413, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 14, 8, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129414, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129415, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 157, 16, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129416, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 88, 69, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129417, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 552, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129418, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 71, 263, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129419, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 467, 10, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129420, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 206, 20, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129421, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 91, 84, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129422, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 276, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129423, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 223, 39, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129424, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 2405, 7, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129425, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 4, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129426, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 4, 30, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129427, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 50, 68, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129428, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 143, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129429, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 14, 57, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129430, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 258, 6, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129431, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 91, 49, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129432, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 622, 38, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129433, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 5, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129434, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 178, 6, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 58, 7, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 467, 10, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 56, 5, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 503, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 15, 15, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 4, 17, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 14, 8, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 1224, 21, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1028, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D20', 225, 17, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 66, 15, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 59, 12, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 51, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 180, 14, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 24, 14, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 154, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 1051, 25, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 6, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 2405, 7, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 109, 32, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 346, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 107, 20, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 267, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 39, 26, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 472, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 11, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 38, 12, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1096, 3, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 82, 37, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 13, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 181, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 973, 10, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 80, 6, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 57, 39, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 5, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 129, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 56, 33, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 168, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 262, 8, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 103, 20, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 7, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 54, 30, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 232, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 5, 18, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 225, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 79, 6, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 15, 5, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 19, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 79, 10, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 52, 7, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 3, 3, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 117, 13, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 87, 7, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 80, 13, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 13, 8, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 105, 17, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 34, 16, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 614, 12, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 111, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 88, 19, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 226, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 259, 12, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 90, 14, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 56, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 100, 8, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 31, 13, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 54, 24, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 3306, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 63, 22, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 563, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 140, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 783, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 153, 8, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 552, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 58, 16, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 417, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 214, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 102, 27, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 853, 11, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 120, 3, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 170, 16, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 55, 20, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 175, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 71, 11, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 26, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 631, 3, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 630, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 240, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 54, 13, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 107, 21, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 127, 25, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129528, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 14, 57, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129529, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 91, 49, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129530, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 73, 259, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129531, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 180, 14, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129532, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 71, 20, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129533, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1002, 13, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129534, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 206, 20, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129535, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 657, 36, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129536, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 258, 6, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129537, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 78, 89, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129538, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 467, 10, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129539, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 143, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129540, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 276, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129541, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 4, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129542, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 259, 12, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129543, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 343, 14, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129544, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 14, 8, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129545, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 4, 30, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129546, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 91, 84, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129547, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 90, 68, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129548, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 178, 6, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129549, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 1477, 3, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129550, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 5, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129551, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 1130, 46, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129552, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 552, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129553, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 223, 39, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129554, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 40, 18, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129555, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1028, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129556, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 50, 68, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129557, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 2405, 7, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129558, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 467, 10, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129559, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129560, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 7, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129561, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 54, 24, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129562, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 180, 14, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129563, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 259, 12, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129564, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 127, 25, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129565, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 62, 15, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129566, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 100, 8, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129567, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 88, 19, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129568, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 90, 14, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129569, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 105, 17, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129570, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 34, 16, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129571, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 56, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129572, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 226, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129573, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 111, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129574, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 240, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129575, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 258, 6, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129576, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 63, 22, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129577, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 472, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129578, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 267, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129579, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 346, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129580, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 80, 6, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129581, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 38, 12, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129582, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 232, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129583, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 168, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129584, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 129, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129585, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 181, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129586, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 614, 12, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129587, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 66, 15, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129588, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 55, 20, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129589, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 107, 21, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129590, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D20', 225, 17, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129591, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 102, 27, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129592, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 552, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129593, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 154, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129594, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D14', 783, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129595, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 56, 33, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129596, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 417, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129597, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 276, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129598, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1028, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129599, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 853, 11, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129600, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 109, 32, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129601, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 54, 30, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129602, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 26, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129603, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 103, 20, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129604, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 57, 39, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129605, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 24, 14, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129606, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 82, 37, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129607, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 51, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129608, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 39, 26, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129609, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 59, 12, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129610, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 107, 20, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129611, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 2405, 7, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129612, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 120, 3, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129613, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 6, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129614, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 31, 13, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129615, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 79, 6, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129616, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 79, 10, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129617, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 80, 13, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129618, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 214, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129619, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 15, 15, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129620, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 117, 13, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129621, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 4, 17, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129622, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 58, 7, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129623, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 56, 5, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129624, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 503, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129625, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 5, 18, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129626, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 170, 16, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129627, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 54, 13, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129628, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E20', 4, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129629, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 11, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129630, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 13, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129631, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129632, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 5, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129633, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 225, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129634, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 15, 5, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129635, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 19, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129636, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 52, 7, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129637, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 563, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129638, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 3306, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129639, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 13, 8, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129640, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 87, 7, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129641, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 3, 3, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129642, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 973, 10, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129643, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1096, 3, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129644, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 14, 8, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129645, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 1224, 21, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129646, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 1051, 25, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129647, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 19, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129648, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 52, 7, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129649, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 225, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129650, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 15, 5, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129651, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 13, 8, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129652, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 3, 3, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129653, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 87, 7, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129654, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 226, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129655, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 56, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129656, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 111, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129657, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D20', 225, 17, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129658, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 853, 11, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129659, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 417, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129660, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 783, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129661, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 63, 22, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129662, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 5, 18, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129663, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 240, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129664, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 26, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129665, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 54, 24, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129666, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 58, 7, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129667, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 2405, 7, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129668, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 38, 12, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129669, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 80, 6, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129670, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 973, 10, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129671, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 262, 8, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129672, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1096, 3, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129673, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 127, 25, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129674, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 107, 21, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129675, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 55, 20, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129676, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 102, 27, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129677, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 259, 12, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129678, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 614, 12, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129679, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 15, 15, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129680, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 4, 17, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129681, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 34, 16, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129682, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 180, 14, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129683, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 14, 8, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129684, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 88, 19, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129685, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 56, 5, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129686, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 1051, 25, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129687, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 503, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129688, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 467, 10, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129689, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 105, 17, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129690, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 90, 14, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129691, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 100, 8, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129692, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 66, 15, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129693, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 117, 13, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129694, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 24, 14, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129695, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 1224, 21, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129696, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 59, 12, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129697, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 51, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129698, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1028, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129699, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 80, 13, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129700, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 79, 6, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129701, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 129, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129702, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 31, 13, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129703, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 181, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129704, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 472, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129705, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 79, 10, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129706, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 267, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129707, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 346, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129708, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 7, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129709, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129710, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 58, 16, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129711, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 11, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129712, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 6, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129713, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129714, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 13, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129715, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 5, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129716, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 214, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129717, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 120, 3, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129718, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 552, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129719, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 54, 13, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129720, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 170, 16, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129721, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 232, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129722, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 168, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129723, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 153, 8, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129724, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 630, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129725, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 563, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129726, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 631, 3, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129727, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 140, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129728, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 56, 33, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129729, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 57, 39, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129730, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 175, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129731, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 154, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129732, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 82, 37, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129733, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 39, 26, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129734, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 71, 11, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129735, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 107, 20, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129736, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 3306, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129737, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 109, 32, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129738, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 54, 30, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129739, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 103, 20, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129740, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 5, 18, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129741, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 15, 15, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129742, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 58, 7, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129743, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 467, 10, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129744, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 552, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129745, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 4, 17, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129746, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 13, 8, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129747, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 59, 12, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129748, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 51, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129749, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 346, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129750, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 24, 14, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129751, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 267, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129752, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 472, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129753, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 181, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129754, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 129, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129755, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 168, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129756, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 66, 15, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129757, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 232, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129758, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129759, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 6, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129760, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 11, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129761, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 5, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129762, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 13, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129763, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 87, 7, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129764, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 3, 3, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129765, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D14', 783, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (129766, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 417, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129767, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 853, 11, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129768, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 1051, 25, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129769, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 1224, 21, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129770, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 107, 21, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129771, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 102, 27, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129772, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 55, 20, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129773, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 170, 16, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129774, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 54, 13, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129775, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E20', 4, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129776, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 31, 13, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129777, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 180, 14, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129778, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 79, 6, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129779, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 79, 10, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129780, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 614, 12, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129781, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 62, 15, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129782, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 259, 12, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129783, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 117, 13, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129784, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 80, 13, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129785, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 2405, 7, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129786, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 52, 7, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129787, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 19, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129788, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 88, 19, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129789, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 90, 14, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129790, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 100, 8, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129791, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 127, 25, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129792, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 105, 17, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129793, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 34, 16, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129794, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 26, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129795, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 240, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129796, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 15, 5, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129797, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 225, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129798, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 258, 6, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129799, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 56, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129800, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 226, 4, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129801, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 111, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129802, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D20', 225, 17, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129803, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 154, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129804, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 503, 9, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129805, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 63, 22, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129806, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1028, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129807, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 56, 5, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129808, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 14, 8, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129809, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1096, 3, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129810, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 973, 10, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129811, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 276, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129812, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 103, 20, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129813, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 120, 3, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129814, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 214, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129815, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 82, 37, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129816, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 39, 26, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129817, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 56, 33, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129818, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 57, 39, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129819, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 38, 12, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129820, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 54, 30, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129821, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 80, 6, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129822, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 107, 20, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129823, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 109, 32, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129824, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 563, 2, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129825, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 3306, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129826, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 54, 24, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129827, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 7, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129828, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 1, 2024, 5, 8, '2024-08-05 14:06:42', NULL, NULL), (129829, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 44, 73, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129830, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 16, 56, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129831, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 286, 29, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129832, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 207, 208, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129833, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 991, 71, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129834, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 91, 454, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129835, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 86, 79, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129836, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 97, 113, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129837, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 719, 165, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129838, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 91, 455, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129839, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 108, 85, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129840, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 991, 71, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129841, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 86, 79, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129842, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 203, 212, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129843, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 44, 74, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129844, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 719, 165, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129845, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 97, 113, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129846, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 54, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129847, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 259, 22, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129848, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 35, 17, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129849, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 52, 20, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129850, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 44, 74, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129851, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 225, 16, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129852, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 349, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129853, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 855, 32, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129854, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 957, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129855, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 148, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129856, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1828, 17, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129857, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 224, 23, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129858, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 225, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129859, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 47, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129860, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 179, 82, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129861, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 345, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129862, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 274, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129863, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 69, 314, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129864, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 991, 9, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129865, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 217, 31, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129866, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 97, 113, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129867, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1246, 43, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129868, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1161, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129869, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 14, 47, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129870, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 231, 91, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129871, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 161, 11, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129872, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 4, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129873, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 85, 71, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129874, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 234, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129875, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 2, 2, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129876, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 85, 59, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129877, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 829, 66, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129878, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 4, 8, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129879, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 51, 12, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129880, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 9, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 991, 9, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D26', 3073, 2, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 1068, 19, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 450, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 47, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 277, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 543, 13, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 72, 32, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 61, 24, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 479, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 81, 33, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1517, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 112, 30, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1301, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1670, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 62, 54, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 957, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1893, 12, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 46, 41, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1247, 8, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 74, 26, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 583, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 37, 17, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 60, 30, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2312, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 126, 19, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 27, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 81, 15, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 78, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 121, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 71, 15, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 62, 13, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 9, 9, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 62, 16, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 41, 14, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 125, 30, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 122, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 68, 11, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 79, 27, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 59, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 254, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 4, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 128, 26, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 135, 17, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 179, 33, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 294, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 288, 13, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 287, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 695, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 54, 16, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 238, 23, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 44, 28, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 21, 9, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 31, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 52, 8, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 118, 26, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 100, 15, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 234, 22, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 54, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 203, 26, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 198, 22, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 184, 28, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 41, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 1161, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 6, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 21, 18, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 663, 8, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 191, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 234, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 225, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 4, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 59, 20, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 30, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 38, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 93, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 12, 2, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 40, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 350, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 249, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 167, 12, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 646, 16, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 46, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 195, 2, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 225, 16, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 63, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 148, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 905, 15, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 860, 19, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 274, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 938, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 887, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 112, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 203, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 191, 27, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 391, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129983, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 85, 71, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129984, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 86, 58, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129985, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 69, 314, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129986, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 47, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129987, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 52, 20, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129988, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1828, 17, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129989, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 2, 2, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129990, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 217, 31, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129991, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 829, 66, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129992, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 234, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129993, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 44, 73, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129994, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 349, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129995, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 991, 9, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129996, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 177, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129997, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 225, 16, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129998, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 35, 17, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (129999, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 234, 22, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130000, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 14, 47, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130001, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 54, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130002, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 9, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130003, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 97, 113, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130004, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 179, 82, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130005, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 51, 12, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130006, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 148, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130007, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '', 345, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130008, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 4, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130009, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 4, 8, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130010, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 855, 32, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130011, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 274, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130012, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 225, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130013, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 259, 22, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130014, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1246, 43, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130015, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 957, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130016, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 236, 89, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130017, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1161, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130018, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 991, 9, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130019, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130020, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 4, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130021, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 125, 30, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130022, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 47, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130023, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 44, 28, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130024, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 225, 16, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130025, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 4, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130026, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 68, 11, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130027, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 62, 16, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130028, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 41, 14, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130029, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 62, 13, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130030, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 9, 9, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130031, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 63, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130032, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 46, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130033, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 46, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130034, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 391, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130035, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 234, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130036, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 79, 27, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130037, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1301, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130038, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 1517, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130039, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 191, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130040, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 479, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130041, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 663, 8, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130042, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 54, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130043, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 2312, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130044, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 583, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130045, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 1247, 8, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130046, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 957, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130047, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 646, 16, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130048, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 203, 26, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130049, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 179, 33, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130050, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 238, 23, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130051, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 128, 26, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130052, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 274, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130053, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 277, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130054, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 905, 15, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130055, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 74, 26, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130056, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 938, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130057, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 860, 19, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130058, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 957, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130059, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D26', 3073, 2, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130060, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 887, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130061, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 61, 24, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130062, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 72, 32, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130063, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 60, 30, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130064, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 37, 17, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130065, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 191, 27, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130066, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 2, 2, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130067, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 46, 41, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130068, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 184, 28, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130069, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 62, 54, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130070, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 112, 30, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130071, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 198, 22, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130072, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 81, 33, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130073, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 1161, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130074, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 203, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130075, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 4, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130076, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130077, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 41, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130078, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 122, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130079, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 27, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130080, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 126, 19, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130081, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 78, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130082, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 81, 15, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130083, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 71, 15, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130084, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 139, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130085, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 118, 26, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130086, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 100, 15, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130087, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 121, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130088, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 31, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130089, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130090, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 21, 9, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130091, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 12, 2, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130092, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130093, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 52, 8, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130094, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 59, 20, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130095, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 349, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130096, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 135, 17, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130097, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 54, 16, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130098, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E28', 345, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130099, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 21, 18, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130100, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130101, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130102, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 6, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130103, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130104, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 225, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130105, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 30, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130106, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 38, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130107, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 93, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130108, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 40, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130109, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 148, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130110, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 167, 12, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130111, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 249, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130112, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 490, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130113, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1893, 12, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130114, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1670, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130115, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 234, 22, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130116, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 1068, 19, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130117, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 543, 13, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130118, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 93, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130119, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 40, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130120, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 30, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130121, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 38, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130122, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 167, 12, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130123, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 350, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130124, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 249, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130125, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 195, 2, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130126, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 63, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130127, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 46, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130128, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 887, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130129, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 938, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130130, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 860, 19, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130131, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 905, 15, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130132, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 59, 20, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130133, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 79, 27, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130134, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 391, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130135, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 191, 27, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130136, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 125, 30, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130137, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 31, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130138, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 1161, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130139, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 663, 8, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130140, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 191, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130141, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1893, 12, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130142, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 234, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130143, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1670, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130144, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130145, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 12, 2, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130146, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 44, 28, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130147, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130148, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 238, 23, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130149, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130150, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 179, 33, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130151, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 128, 26, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130152, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 225, 16, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130153, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 646, 16, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130154, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 118, 26, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130155, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 100, 15, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130156, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 54, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130157, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 47, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130158, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 234, 22, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130159, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 21, 9, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130160, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 543, 13, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130161, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 991, 9, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130162, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 52, 8, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130163, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 203, 26, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130164, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 121, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130165, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 184, 28, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130166, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 78, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130167, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 1068, 19, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130168, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 198, 22, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130169, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 71, 15, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130170, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 450, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130171, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 126, 19, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130172, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1247, 8, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130173, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 957, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130174, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 122, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130175, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1301, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130176, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 81, 15, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130177, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 27, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130178, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1517, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130179, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 479, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130180, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 54, 16, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130181, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 135, 17, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130182, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2312, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130183, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 583, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130184, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 148, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (130185, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D26', 3073, 2, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130186, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 277, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130187, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 9, 9, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130188, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 62, 16, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130189, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 62, 13, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130190, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 41, 14, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130191, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 68, 11, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130192, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130193, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 4, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130194, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130195, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 225, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130196, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130197, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 21, 18, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130198, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 41, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130199, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130200, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130201, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130202, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 112, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130203, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 203, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130204, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 274, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130205, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 254, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130206, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 695, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130207, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 287, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130208, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 59, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130209, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 74, 26, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130210, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 46, 41, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130211, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 294, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130212, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 62, 54, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130213, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 112, 30, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130214, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 288, 13, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130215, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 81, 33, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130216, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 61, 24, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130217, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 72, 32, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130218, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 60, 30, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130219, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 37, 17, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130220, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 54, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130221, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 59, 20, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130222, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 118, 26, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130223, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 991, 9, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130224, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 31, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130225, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 274, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130226, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 100, 15, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130227, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130228, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130229, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 167, 12, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130230, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 198, 22, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130231, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 479, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130232, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 184, 28, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130233, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 1517, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130234, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1301, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130235, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 957, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130236, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 1247, 8, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130237, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 583, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130238, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 203, 26, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130239, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 2312, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130240, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130241, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 41, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130242, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 21, 18, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130243, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130244, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130245, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130246, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 249, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130247, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 490, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130248, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 349, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130249, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 938, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130250, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 887, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130251, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 905, 15, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130252, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 860, 19, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130253, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 543, 13, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130254, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 1068, 19, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130255, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 2, 2, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130256, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 225, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130257, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 238, 23, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130258, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 128, 26, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130259, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 179, 33, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130260, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 135, 17, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130261, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 54, 16, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130262, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130263, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 12, 2, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130264, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 122, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130265, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 126, 19, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130266, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 47, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130267, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 27, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130268, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 81, 15, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130269, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 646, 16, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130270, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 4, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130271, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 225, 16, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130272, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 78, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130273, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 121, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130274, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 71, 15, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130275, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 1161, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130276, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 40, 10, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130277, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 93, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130278, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 62, 16, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130279, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 41, 14, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130280, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 68, 11, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130281, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 44, 28, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130282, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 62, 13, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130283, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 9, 9, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130284, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 191, 27, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130285, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 391, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130286, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 38, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130287, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 30, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130288, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 234, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130289, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 63, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130290, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 46, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130291, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 46, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130292, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 4, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130293, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 277, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130294, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 52, 8, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130295, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 79, 27, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130296, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D26', 3073, 2, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130297, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 957, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130298, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 21, 9, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130299, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1670, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130300, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 234, 22, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130301, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1893, 12, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130302, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 37, 17, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130303, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 203, 6, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130304, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 139, 4, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130305, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 62, 54, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130306, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 112, 30, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130307, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 74, 26, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130308, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 46, 41, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130309, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 663, 8, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130310, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 72, 32, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130311, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 191, 5, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130312, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 60, 30, 2024, 5, 9, '2024-08-05 14:06:47', NULL, NULL), (130313, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 81, 33, 2024, 5, 9, '2024-08-05 14:06:47', NULL, NULL), (130314, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 61, 24, 2024, 5, 9, '2024-08-05 14:06:47', NULL, NULL), (130315, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 148, 3, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130316, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 125, 30, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130317, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '市人力资源社会保障局', '', '2E28', 345, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130318, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 1, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130319, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 7, 2024, 5, 9, '2024-08-05 14:06:46', NULL, NULL), (130320, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 10, 80, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130321, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 23, 42, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130322, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 687, 50, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130323, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 241, 189, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130324, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 749, 86, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130325, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 93, 440, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130326, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 518, 167, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130327, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 396, 112, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130328, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1276, 144, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130329, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 93, 440, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130330, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 384, 92, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130331, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 749, 86, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130332, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 396, 112, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130333, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 235, 194, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130334, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 9, 81, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130335, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1267, 145, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130336, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 518, 167, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130337, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1166, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130338, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 8112, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130339, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 53, 18, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130340, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 39, 22, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130341, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 68, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130342, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 108, 10, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130343, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 10, 80, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130344, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 329, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130345, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 601, 39, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130346, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 117, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130347, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1684, 18, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130348, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 391, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130349, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 43, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130350, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 162, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130351, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 124, 79, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130352, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1435, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130353, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 88, 287, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130354, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 400, 13, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130355, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 196, 26, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130356, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 518, 167, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130357, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1747, 53, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130358, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 383, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130359, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 28, 30, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130360, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 152, 80, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130361, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 542, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130362, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 2337, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130363, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 109, 101, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130364, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 295, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130365, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 3, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130366, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1666, 51, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130367, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 78, 74, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130368, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 10, 11, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130369, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 11, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130370, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 106, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 400, 13, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 609, 17, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 328, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 330, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1166, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 162, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1102, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 2248, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 595, 22, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 82, 28, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 98, 44, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1277, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 121, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1908, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 136, 38, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1420, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 34, 34, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1964, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1816, 12, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 39, 30, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1861, 11, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 134, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 269, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 183, 27, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 11, 29, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 3014, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 530, 21, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 649, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 697, 27, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 510, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 439, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 533, 21, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 3, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 3, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 7, 14, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 661, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 19, 13, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 381, 21, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 23, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 61, 37, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 84, 26, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 7085, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 122, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 10, 14, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 104, 28, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 362, 18, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 147, 31, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 262, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 342, 20, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 895, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1858, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 460, 23, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 115, 20, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 94, 37, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 86, 22, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 33, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 111, 23, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 120, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 117, 31, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 391, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 8112, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 140, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 145, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 26, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 127, 17, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 11, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 1341, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 57, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 5, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 24, 8, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 7, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 306, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 36, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 82, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 43, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 295, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 10, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 119, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 92, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 20, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 9, 8, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 29, 8, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 62, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 2, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 5, 3, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1620, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 50, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 108, 10, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 180, 3, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 40, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 149, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1707, 12, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1561, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1435, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1812, 17, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1232, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 625, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 196, 26, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130472, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 109, 101, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130473, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 78, 74, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130474, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 88, 287, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130475, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 39, 22, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130476, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 162, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130477, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1684, 18, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130478, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 196, 26, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130479, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1699, 50, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130480, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 295, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130481, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 329, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130482, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 10, 79, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130483, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 400, 13, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130484, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 542, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130485, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 108, 10, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130486, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 68, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130487, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 391, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130488, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 28, 30, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130489, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 8112, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130490, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 11, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130491, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 518, 167, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130492, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 124, 79, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130493, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 117, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130494, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 106, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130495, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 2337, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130496, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1166, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130497, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 10, 11, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130498, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 601, 39, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130499, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1435, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130500, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 43, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130501, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1747, 53, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130502, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 53, 18, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130503, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 152, 80, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130504, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 3, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130505, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1341, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130506, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 400, 13, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130507, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 11, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130508, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 10, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130509, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 61, 37, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130510, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 162, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130511, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 108, 10, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130512, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 94, 37, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130513, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 10, 14, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130514, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 23, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130515, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 7, 14, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130516, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 20, 12, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130517, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 3, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130518, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 3, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130519, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 180, 3, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130520, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 50, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130521, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1166, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130522, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 295, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130523, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 84, 26, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130524, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1964, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130525, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 1908, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130526, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 1277, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130527, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 306, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130528, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 8112, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130529, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 3014, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130530, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 269, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130531, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 1861, 11, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130532, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1620, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130533, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 140, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130534, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 147, 31, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130535, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 115, 20, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130536, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 104, 28, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130537, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1435, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130538, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 2248, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130539, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 1102, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130540, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1707, 12, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130541, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 134, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130542, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1561, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130543, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1812, 17, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130544, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 98, 44, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130545, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 82, 28, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130546, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 11, 29, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130547, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 196, 26, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130548, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 183, 27, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130549, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 39, 30, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130550, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 127, 17, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130551, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 34, 34, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130552, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 26, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130553, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 136, 38, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130554, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 145, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130555, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 121, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130556, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 1341, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130557, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 625, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130558, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 2337, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130559, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130560, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130561, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 381, 21, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130562, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 661, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130563, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 649, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130564, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 530, 21, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130565, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 510, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130566, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 697, 27, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130567, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 533, 21, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130568, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 111, 23, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130569, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 128, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130570, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 439, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130571, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 117, 31, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130572, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E16', 3, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130573, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 86, 22, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130574, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 20, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130575, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 33, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130576, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130577, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 120, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130578, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 328, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130579, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 330, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130580, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 119, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130581, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 362, 18, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130582, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 460, 23, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130583, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 24, 8, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130584, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 7, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130585, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 57, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130586, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 5, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130587, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 36, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130588, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 43, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130589, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 92, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130590, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 9, 8, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130591, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 29, 8, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (130592, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 149, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130593, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 40, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130594, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 5, 3, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130595, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 2, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130596, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 62, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130597, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1816, 12, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130598, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1420, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130599, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 391, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130600, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 609, 17, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130601, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 82, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130602, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 595, 22, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130603, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 29, 8, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130604, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 92, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130605, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 9, 8, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130606, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 5, 3, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130607, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 62, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130608, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 2, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130609, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 180, 3, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130610, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 50, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130611, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1812, 17, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130612, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1561, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130613, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1707, 12, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130614, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 119, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130615, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 84, 26, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130616, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 196, 26, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130617, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 61, 37, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130618, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 1341, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130619, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 86, 22, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130620, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 306, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130621, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1816, 12, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130622, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 295, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130623, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 82, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130624, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1420, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130625, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130626, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 94, 37, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130627, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130628, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 115, 20, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130629, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 20, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130630, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 147, 31, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130631, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 104, 28, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130632, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 108, 10, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130633, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1620, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130634, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 111, 23, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130635, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 117, 31, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130636, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 8112, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130637, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 391, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130638, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 162, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130639, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 33, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130640, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 595, 22, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130641, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 400, 13, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130642, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 120, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130643, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1166, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130644, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 140, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130645, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 439, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130646, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 127, 17, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130647, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 510, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130648, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 609, 17, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130649, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 328, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130650, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 145, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130651, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 330, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130652, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 26, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130653, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 533, 21, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130654, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1861, 11, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130655, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 530, 21, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130656, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 381, 21, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130657, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 697, 27, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130658, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1964, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130659, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 649, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130660, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1908, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130661, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1277, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130662, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 661, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130663, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 460, 23, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130664, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 362, 18, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130665, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 3014, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130666, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 269, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130667, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 149, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130668, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 2248, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130669, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1102, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130670, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 40, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130671, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 3, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130672, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 7, 14, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130673, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 3, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130674, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 19, 13, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130675, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 23, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130676, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 10, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130677, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 10, 14, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130678, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 11, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130679, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 43, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130680, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130681, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 24, 8, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130682, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130683, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 57, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130684, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 7, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130685, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 36, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130686, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1232, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130687, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 625, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130688, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1435, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130689, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 122, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130690, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1858, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130691, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 895, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130692, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 7085, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130693, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 134, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130694, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 39, 30, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130695, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 262, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130696, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 34, 34, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130697, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 136, 38, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130698, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 342, 20, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130699, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 121, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130700, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 98, 44, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130701, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 82, 28, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130702, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 11, 29, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130703, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 183, 27, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130704, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 8112, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130705, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 119, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130706, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 111, 23, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130707, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 86, 22, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130708, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 400, 13, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130709, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1435, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130710, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 117, 31, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130711, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130712, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 20, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130713, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 5, 3, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130714, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 145, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130715, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 26, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130716, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 1277, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130717, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 127, 17, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130718, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 1908, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130719, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1964, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130720, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 1861, 11, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130721, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 269, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130722, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 140, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130723, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 3014, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130724, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 57, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130725, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130726, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 24, 8, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130727, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130728, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 36, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130729, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 7, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130730, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 2, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130731, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 62, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130732, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 330, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130733, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 328, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130734, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1812, 17, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130735, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1707, 12, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130736, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1561, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130737, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 595, 22, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130738, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 609, 17, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130739, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 43, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130740, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 115, 20, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130741, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 104, 28, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130742, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 82, 7, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130743, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 147, 31, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130744, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 362, 18, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130745, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 460, 23, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130746, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E16', 3, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130747, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130748, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 381, 21, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130749, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 530, 21, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130750, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 162, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130751, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 649, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130752, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 697, 27, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130753, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 661, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130754, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1620, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130755, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 10, 14, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130756, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 108, 10, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130757, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 510, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130758, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 439, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130759, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 533, 21, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130760, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 1341, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130761, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 29, 8, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130762, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 7, 14, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130763, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 20, 12, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130764, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 23, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130765, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 94, 37, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130766, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 3, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130767, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 3, 15, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130768, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 196, 26, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130769, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 9, 8, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130770, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 92, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130771, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 295, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130772, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1166, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130773, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 180, 3, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130774, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 50, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130775, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 2337, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130776, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 1102, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130777, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 2248, 4, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130778, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 120, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130779, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 84, 26, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130780, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 33, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130781, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1420, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130782, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 391, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130783, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1816, 12, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130784, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 183, 27, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130785, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 625, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130786, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 128, 1, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130787, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 34, 34, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130788, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 136, 38, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130789, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 134, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130790, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 39, 30, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130791, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 82, 28, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130792, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 11, 29, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130793, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 306, 9, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130794, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 121, 25, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130795, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 98, 44, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130796, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 149, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130797, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 40, 2, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130798, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 61, 37, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130799, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 10, 6, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130800, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 11, 5, 2024, 5, 10, '2024-08-05 14:06:50', NULL, NULL), (130801, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 14, 55, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130802, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 27, 31, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130803, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1552, 26, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130804, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 108, 125, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130805, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1465, 58, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130806, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 54, 311, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130807, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 37, 61, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130808, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 262, 102, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130809, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 231, 104, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130810, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 53, 314, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130811, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 686, 60, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130812, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1465, 58, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130813, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 37, 61, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130814, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 108, 125, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130815, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 14, 55, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130816, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 231, 104, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130817, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 262, 102, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130818, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 527, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130819, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 135, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130820, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 18, 12, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130821, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 53, 15, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130822, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 14, 54, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130823, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 276, 14, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130824, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 118, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130825, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 70, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130826, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 143, 19, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130827, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 3, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130828, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 7, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130829, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 3677, 22, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130830, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 71, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130831, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 202, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130832, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 104, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130833, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 131, 67, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130834, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 307, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130835, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 20, 191, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130836, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 63, 9, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130837, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 154, 18, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130838, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 262, 102, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130839, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 127, 23, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130840, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 539, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130841, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 49, 49, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130842, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 17, 24, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130843, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 7, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130844, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 29, 60, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130845, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 559, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130846, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 3, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130847, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 353, 38, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130848, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 71, 57, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130849, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 6, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130850, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 150, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130851, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 107, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 63, 9, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 198, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 8, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 228, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 104, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 21, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 4, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 69, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 7, 18, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 31, 20, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 77, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 18, 15, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 35, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 19, 13, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 133, 3, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3575, 9, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 35, 40, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 303, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 19, 24, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3748, 13, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 220, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 17, 21, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 48, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 26, 15, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 3, 6, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 314, 14, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 278, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 238, 24, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 201, 16, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 284, 22, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 2, 9, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 3, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 12, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 277, 15, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 8, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 24, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 44, 25, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 2, 17, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 8555, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 41, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 199, 12, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 111, 28, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 373, 7, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 228, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 297, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 33, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 24, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 122, 27, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 98, 30, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 6, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 40, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 40, 17, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 68, 7, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 71, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 22, 17, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 527, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 73, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 60, 7, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 26, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 65, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 4, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 8, 3, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 3, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 539, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 71, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 16, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 80, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 3, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 2, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 2, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 202, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 559, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 40, 16, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 91, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 5, 6, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 98, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 161, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 20, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 19, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 266, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 95, 3, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 123, 6, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 435, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 150, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 276, 14, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 3, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 420, 7, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 332, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 307, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 247, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 7, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 165, 9, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 155, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 48, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130948, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 29, 60, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130949, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 73, 55, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130950, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 20, 189, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130951, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 104, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130952, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 18, 12, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130953, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 70, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130954, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3677, 22, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130955, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 154, 18, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130956, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 353, 38, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130957, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 559, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130958, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 14, 54, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130959, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 118, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130960, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 7, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130961, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 63, 9, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130962, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 276, 14, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130963, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 53, 15, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130964, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 71, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130965, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 17, 24, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130966, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 527, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130967, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 107, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130968, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 262, 102, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130969, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 131, 67, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130970, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 150, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130971, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 3, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130972, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 6, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130973, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 143, 19, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130974, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 307, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130975, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 202, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130976, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 127, 23, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130977, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 135, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130978, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 7, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130979, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 49, 49, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130980, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 3, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130981, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 539, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130982, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 63, 9, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130983, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 8, 3, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130984, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 3, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130985, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130986, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 44, 25, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130987, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 104, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130988, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 276, 14, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130989, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 98, 30, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130990, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 41, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130991, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 24, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130992, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 13, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130993, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 8, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130994, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 2, 9, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130995, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 3, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130996, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 150, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130997, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 48, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130998, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 559, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (130999, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 2, 17, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131000, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 133, 3, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131001, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 35, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (131002, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 80, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131003, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 77, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131004, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 16, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131005, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 527, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131006, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 48, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131007, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 220, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131008, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 303, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131009, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 435, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131010, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 73, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131011, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 111, 28, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131012, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 122, 27, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131013, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 199, 12, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131014, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 307, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131015, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 4, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131016, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 21, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131017, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 420, 7, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131018, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 17, 21, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131019, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 332, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131020, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 7, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131021, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 247, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131022, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 31, 20, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131023, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 7, 18, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131024, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 165, 9, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131025, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 3, 6, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131026, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 26, 15, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131027, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 155, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131028, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 4, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131029, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 19, 24, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131030, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 65, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131031, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 35, 40, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131032, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 26, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131033, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 19, 13, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131034, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 60, 7, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131035, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 18, 15, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131036, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 539, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131037, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 7, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131038, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 3, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131039, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 277, 15, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131040, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 278, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131041, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 314, 14, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131042, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 238, 24, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131043, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 40, 17, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131044, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 284, 22, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131045, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 22, 17, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131046, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 201, 16, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131047, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E17', 3, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131048, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 70, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131049, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 6, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131050, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 98, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131051, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 40, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131052, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 20, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131053, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 161, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131054, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 68, 7, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131055, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 9, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131056, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 228, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131057, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 40, 16, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131058, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131059, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 3, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131060, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 71, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131061, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 2, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131062, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 202, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131063, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 91, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131064, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 5, 6, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131065, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 19, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131066, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 123, 6, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131067, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 108, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131068, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 266, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131069, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 3748, 13, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131070, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 3575, 9, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131071, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 71, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131072, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 198, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131073, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 2, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131074, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 69, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131075, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 19, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131076, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 91, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131077, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 5, 6, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131078, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 123, 6, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131079, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 266, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131080, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 95, 3, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131081, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 150, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131082, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 247, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131083, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 332, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131084, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 420, 7, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131085, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 2, 17, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131086, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 40, 16, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131087, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 48, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131088, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 155, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131089, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 165, 9, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131090, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 44, 25, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131091, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 6, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131092, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 539, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131093, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 16, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131094, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 80, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131095, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3748, 13, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131096, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 559, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131097, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 2, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131098, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3575, 9, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131099, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 20, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131100, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 98, 30, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131101, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 161, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131102, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 122, 27, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131103, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 111, 28, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131104, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 98, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131105, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 199, 12, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131106, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 3, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131107, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 276, 14, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131108, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 435, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131109, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 40, 17, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131110, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 22, 17, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131111, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 527, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131112, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 104, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131113, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 71, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131114, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 69, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131115, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 40, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131116, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 63, 9, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131117, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 68, 7, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131118, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 73, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131119, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 65, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131120, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 201, 16, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131121, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 4, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131122, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 198, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131123, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 8, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131124, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 60, 7, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131125, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 26, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131126, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 228, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131127, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 284, 22, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131128, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 220, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131129, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 314, 14, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131130, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 303, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131131, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 133, 3, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131132, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 238, 24, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131133, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 278, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131134, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 35, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131135, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 77, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131136, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 277, 15, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131137, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 48, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131138, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 4, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131139, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 21, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131140, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 3, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131141, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 12, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131142, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 2, 9, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131143, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 8, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131144, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 24, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131145, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131146, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 41, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131147, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 8, 3, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131148, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 202, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131149, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131150, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 3, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131151, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 71, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131152, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 3, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131153, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131154, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 7, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131155, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 307, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131156, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 8555, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131157, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 24, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131158, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 33, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131159, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 17, 21, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131160, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 19, 24, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131161, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 373, 7, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131162, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 35, 40, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131163, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 19, 13, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131164, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 297, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131165, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 18, 15, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131166, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 228, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131167, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 31, 20, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131168, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 7, 18, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131169, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 3, 6, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131170, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 26, 15, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131171, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 527, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131172, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 40, 16, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131173, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 40, 17, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131174, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 6, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131175, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 63, 9, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131176, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 307, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131177, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 22, 17, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131178, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 161, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131179, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 98, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131180, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 123, 6, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131181, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 60, 7, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131182, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 26, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131183, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 65, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131184, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 77, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131185, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 4, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131186, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 35, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131187, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 133, 3, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131188, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 303, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131189, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 220, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131190, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 73, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131191, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 48, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131192, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 71, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131193, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 3, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131194, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131195, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131196, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 3, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131197, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 108, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131198, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 266, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131199, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 228, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131200, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 9, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131201, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 247, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131202, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 420, 7, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131203, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 332, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131204, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 69, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131205, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 198, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131206, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 202, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131207, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 122, 27, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131208, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 199, 12, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131209, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 2, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131210, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 111, 28, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131211, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E17', 3, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131212, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 20, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131213, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 104, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131214, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 314, 14, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131215, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 278, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131216, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 238, 24, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131217, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 277, 15, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131218, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 435, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131219, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 41, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131220, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 276, 14, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131221, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 201, 16, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131222, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 284, 22, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131223, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 539, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131224, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 19, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131225, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 165, 9, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131226, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 13, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131227, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 8, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131228, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 24, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131229, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 98, 30, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131230, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 2, 9, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131231, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 3, 11, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131232, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 155, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131233, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 48, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131234, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 5, 6, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131235, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 91, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131236, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 3, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131237, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 559, 4, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131238, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 150, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131239, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 70, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131240, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 21, 5, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131241, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 4, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131242, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 68, 7, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131243, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 2, 17, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131244, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 40, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131245, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 7, 1, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131246, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 71, 10, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131247, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 3575, 9, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131248, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 3748, 13, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131249, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 26, 15, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131250, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 7, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131251, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 35, 40, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131252, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 19, 13, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131253, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 17, 21, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131254, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 19, 24, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131255, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 16, 8, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131256, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 7, 18, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131257, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 80, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131258, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 3, 6, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131259, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 18, 15, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131260, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 31, 20, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131261, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 44, 25, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131262, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 2, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131263, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 8, 3, 2024, 5, 11, '2024-08-05 14:06:53', NULL, NULL), (131264, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 401, 7, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131265, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1274, 70, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131266, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 15, 6, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131267, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 409, 33, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131268, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1274, 70, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131269, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131270, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 409, 33, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131271, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 401, 7, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131272, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 15, 6, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131273, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 202, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131274, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 21, 2, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131275, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 46, 5, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131276, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 2257, 39, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131277, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 204, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131278, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 12, 4, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131279, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 480, 5, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131280, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131281, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 36, 26, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131282, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 409, 33, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 409, 33, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 202, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 10, 2, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 18, 10, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 19, 9, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 4, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 84, 7, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 24, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 2257, 39, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 480, 5, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 21, 2, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 204, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 57, 4, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 3, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131297, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 409, 33, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131298, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 46, 5, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131299, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 36, 26, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131300, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 202, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131301, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 12, 4, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131302, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 21, 2, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131303, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 480, 5, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131304, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 2257, 39, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131305, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 204, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131306, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 204, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131307, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 57, 4, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131308, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 2257, 39, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131309, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 409, 33, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131310, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 3, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131311, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 202, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131312, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 10, 2, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131313, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 24, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131314, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 21, 2, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131315, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 4, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131316, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 84, 7, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131317, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 19, 9, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131318, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 18, 10, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131319, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 480, 5, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131320, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 202, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131321, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 204, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131322, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 480, 5, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131323, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 24, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131324, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 4, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131325, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 3, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131326, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 10, 2, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131327, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 2257, 39, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131328, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 84, 7, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131329, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 19, 9, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131330, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 21, 2, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131331, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 18, 10, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131332, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 409, 33, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131333, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 57, 4, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131334, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 480, 5, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131335, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 21, 2, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131336, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 10, 2, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131337, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 57, 4, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131338, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 4, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131339, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 24, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131340, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 204, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131341, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 3, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131342, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 202, 1, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131343, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 409, 33, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131344, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 2257, 39, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131345, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 19, 9, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131346, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 18, 10, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131347, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 84, 7, 2024, 5, 12, '2024-08-05 14:06:54', NULL, NULL), (131348, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 115, 133, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131349, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 276, 76, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131350, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 781, 57, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131351, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 155, 220, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131352, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1276, 86, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131353, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 77, 493, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131354, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 97, 102, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131355, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 294, 138, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131356, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 325, 151, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131357, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 76, 495, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131358, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 492, 133, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131359, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1276, 86, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131360, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 90, 109, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131361, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 155, 220, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131362, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 115, 133, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131363, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 324, 151, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131364, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 294, 138, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131365, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 243, 5, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131366, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 155, 24, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131367, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 95, 18, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131368, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 196, 37, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131369, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 242, 19, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131370, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 116, 132, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131371, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 963, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131372, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 405, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131373, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 815, 40, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131374, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 495, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131375, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 7, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131376, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 5, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131377, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 3225, 20, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131378, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 260, 22, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131379, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 886, 19, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131380, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 102, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131381, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 138, 81, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131382, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 125, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131383, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 48, 327, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131384, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1450, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131385, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 311, 31, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131386, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 294, 138, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131387, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 352, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131388, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 353, 44, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131389, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 11, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131390, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 3, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131391, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 88, 44, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131392, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 73, 81, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131393, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 705, 6, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131394, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 265, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131395, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 87, 99, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131396, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 181, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131397, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 345, 44, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131398, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 126, 86, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131399, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 19, 13, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131400, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 16, 6, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (131401, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 128, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 728, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 2895, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 731, 17, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 11, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1121, 6, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 102, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 603, 12, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 876, 23, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 160, 5, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 50, 25, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 66, 31, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 76, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 36, 31, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 50, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 65, 55, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 691, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 3632, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 33, 44, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 297, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 23, 44, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3007, 13, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 15, 25, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 312, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 157, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 65, 14, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 95, 31, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 256, 16, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 723, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 305, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 284, 23, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 191, 28, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 74, 26, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 70, 19, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 241, 14, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 108, 21, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 197, 13, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 115, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 134, 50, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 42, 26, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 200, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 149, 11, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 115, 24, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 102, 23, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 279, 30, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 160, 24, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 3424, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 8, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 419, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 675, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 464, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 300, 26, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 146, 34, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 116, 36, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 65, 30, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 63, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 116, 24, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 121, 10, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 260, 22, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 51, 20, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 405, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 120, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 68, 21, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 68, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 96, 18, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 6, 6, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 5, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 11, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 294, 10, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 20, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 51, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 36, 12, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 35, 6, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 20, 5, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 292, 6, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 886, 19, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 198, 10, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 30, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 115, 25, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 136, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 152, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 54, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 131, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 10, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 256, 18, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 197, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 190, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 105, 10, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 314, 13, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 127, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 242, 19, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 126, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 135, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 495, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 256, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 510, 16, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 125, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1108, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 125, 5, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 292, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 313, 29, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 295, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131505, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 87, 99, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131506, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 48, 326, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131507, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 126, 86, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131508, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 102, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131509, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 196, 37, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131510, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 405, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131511, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3225, 20, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131512, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 311, 31, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131513, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 353, 43, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131514, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 181, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131515, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 963, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131516, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 116, 132, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131517, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 705, 6, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131518, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1450, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131519, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 352, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131520, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 3, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131521, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 242, 19, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131522, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 95, 18, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131523, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 260, 22, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131524, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 88, 44, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131525, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 405, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131526, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 16, 6, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131527, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 294, 138, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131528, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 138, 81, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131529, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 128, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131530, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 265, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131531, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 495, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131532, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 19, 13, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131533, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 815, 40, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131534, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 125, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131535, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 886, 19, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131536, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 155, 24, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131537, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 353, 44, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131538, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 7, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131539, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 73, 81, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131540, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 11, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131541, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 728, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131542, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 2895, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131543, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 6, 6, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131544, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 495, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131545, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 30, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131546, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 134, 50, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131547, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 102, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131548, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 242, 19, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131549, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 116, 36, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131550, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 115, 24, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131551, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 115, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131552, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 70, 19, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131553, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 108, 21, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131554, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 198, 27, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131555, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 74, 26, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131556, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 135, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131557, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 126, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131558, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 127, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131559, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 181, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131560, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 42, 26, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131561, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 691, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131562, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 50, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131563, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 76, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131564, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 35, 6, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131565, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 36, 12, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131566, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 405, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131567, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E19', 3, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131568, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 157, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131569, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 312, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131570, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 297, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131571, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 314, 13, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131572, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 120, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131573, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 160, 24, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131574, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 146, 34, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131575, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 102, 23, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131576, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 125, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131577, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 160, 5, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131578, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 256, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131579, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 603, 12, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131580, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 15, 25, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131581, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 510, 16, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131582, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 7, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131583, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 352, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131584, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 125, 5, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131585, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 66, 31, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131586, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 50, 25, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131587, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 313, 29, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131588, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 95, 31, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131589, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 295, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131590, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 65, 14, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131591, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 23, 44, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131592, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 96, 18, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131593, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 33, 44, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131594, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 68, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131595, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 65, 55, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131596, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 68, 21, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131597, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 36, 31, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131598, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 11, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131599, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 292, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131600, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 265, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131601, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 5, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131602, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 197, 13, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131603, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 241, 14, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131604, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 723, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131605, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 256, 16, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131606, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1530, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131607, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 284, 23, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131608, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 116, 24, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131609, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 305, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131610, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 51, 20, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131611, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 485, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131612, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 65, 30, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131613, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131614, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 63, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131615, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 10, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131616, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 54, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131617, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 121, 10, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131618, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 16, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131619, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1121, 6, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131620, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 115, 25, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131621, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 279, 30, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131622, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 300, 26, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131623, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E19', 366, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131624, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 51, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131625, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 20, 5, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131626, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 294, 10, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131627, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 20, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131628, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131629, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 886, 19, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131630, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 136, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131631, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 152, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131632, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 131, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131633, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 256, 18, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131634, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 105, 10, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131635, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 43, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131636, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 197, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131637, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 3007, 13, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131638, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 3632, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131639, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 260, 22, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131640, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 731, 17, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131641, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 255, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131642, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 876, 23, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131643, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 131, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131644, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 256, 18, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131645, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 136, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131646, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 152, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131647, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 105, 10, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131648, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 197, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131649, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 190, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131650, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 126, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131651, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 135, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131652, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 127, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131653, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 125, 5, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131654, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 510, 16, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131655, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 256, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131656, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 115, 25, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131657, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 42, 26, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131658, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 295, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131659, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 313, 29, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131660, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 134, 50, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131661, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 65, 30, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131662, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 11, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131663, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 36, 12, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131664, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 35, 6, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131665, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3007, 13, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131666, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 198, 10, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131667, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 292, 6, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131668, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 3632, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131669, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 10, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131670, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 116, 36, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131671, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 54, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131672, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 146, 34, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131673, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131674, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 160, 24, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131675, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 102, 23, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131676, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 495, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131677, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 242, 19, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131678, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 314, 13, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131679, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 116, 24, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131680, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 51, 20, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131681, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 405, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131682, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 260, 22, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131683, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 102, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131684, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 876, 23, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131685, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 63, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131686, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 728, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131687, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 121, 10, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131688, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 120, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131689, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 2895, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131690, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 305, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131691, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 96, 18, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131692, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 723, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131693, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 731, 17, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131694, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 11, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131695, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 68, 21, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131696, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1121, 6, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131697, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 284, 23, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131698, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 68, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131699, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 312, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131700, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 297, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131701, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 197, 13, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131702, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 691, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131703, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 256, 16, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131704, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 50, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131705, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 76, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131706, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 241, 14, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131707, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 300, 26, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131708, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 279, 30, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131709, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 157, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131710, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 160, 5, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131711, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 603, 12, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131712, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 74, 26, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131713, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 70, 19, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131714, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 191, 28, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131715, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 108, 21, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131716, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 115, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131717, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 30, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131718, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 6, 6, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131719, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 115, 24, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131720, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 886, 19, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131721, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 20, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131722, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 51, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131723, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 5, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131724, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 294, 10, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131725, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 20, 5, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131726, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131727, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1108, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131728, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 292, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131729, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 125, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131730, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 149, 11, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131731, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 464, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131732, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 675, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131733, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 200, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131734, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 15, 25, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131735, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 23, 44, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131736, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 3424, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131737, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 33, 44, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131738, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 65, 55, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131739, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 419, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131740, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 36, 31, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131741, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 8, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131742, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 66, 31, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131743, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 50, 25, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131744, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 95, 31, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131745, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 65, 14, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131746, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 405, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131747, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 115, 25, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131748, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 116, 24, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131749, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 728, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131750, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 65, 30, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131751, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 125, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131752, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 51, 20, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131753, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 2895, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131754, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 54, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131755, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131756, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 105, 10, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131757, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 68, 21, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131758, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 68, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131759, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 76, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131760, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 96, 18, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131761, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 50, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131762, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 691, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131763, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 297, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131764, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 312, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131765, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 157, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131766, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 120, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131767, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 294, 10, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131768, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 5, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131769, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 51, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131770, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 20, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131771, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131772, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 20, 5, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131773, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 43, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131774, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 197, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131775, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1121, 6, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131776, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 16, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131777, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 125, 5, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131778, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 256, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131779, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 510, 16, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131780, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 876, 23, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131781, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 731, 17, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131782, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 886, 19, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131783, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 146, 34, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131784, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 102, 23, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131785, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 255, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131786, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 160, 24, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131787, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 279, 30, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131788, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 300, 26, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131789, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 10, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131790, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E19', 3, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131791, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 197, 13, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131792, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 102, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131793, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 256, 16, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131794, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 241, 14, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131795, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 314, 13, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131796, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 115, 24, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131797, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 242, 19, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131798, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 723, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131799, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 305, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131800, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 284, 23, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131801, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 11, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131802, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 256, 18, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131803, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 131, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131804, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 313, 29, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131805, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 70, 19, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131806, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 108, 21, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131807, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 115, 15, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131808, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 116, 36, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131809, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 198, 27, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131810, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 74, 26, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (131811, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E19', 366, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131812, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 295, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131813, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 152, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131814, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 136, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131815, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 495, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131816, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 181, 9, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131817, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 135, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131818, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 126, 3, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131819, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 127, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131820, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 485, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131821, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 265, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131822, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 603, 12, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131823, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 121, 10, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131824, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 160, 5, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131825, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 42, 26, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131826, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 63, 8, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131827, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 7, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131828, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 260, 22, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131829, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 3632, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131830, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 3007, 13, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131831, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 352, 1, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131832, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 65, 14, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131833, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 292, 4, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131834, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1530, 2, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131835, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 33, 44, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131836, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 65, 55, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131837, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 15, 25, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131838, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 23, 44, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131839, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 36, 12, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131840, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 50, 25, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131841, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 35, 6, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131842, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 95, 31, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131843, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 36, 31, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131844, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 66, 31, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131845, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 134, 50, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131846, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 30, 7, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131847, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 6, 6, 2024, 5, 13, '2024-08-05 14:06:55', NULL, NULL), (131848, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 64, 110, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131849, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 47, 76, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131850, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 332, 66, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131851, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 158, 202, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131852, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1080, 84, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131853, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 165, 483, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131854, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 215, 136, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131855, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 263, 89, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131856, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1236, 190, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131857, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 165, 483, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131858, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 178, 143, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131859, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1080, 84, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131860, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 260, 90, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131861, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 158, 202, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131862, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 64, 110, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131863, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1223, 192, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131864, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 215, 136, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131865, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 69, 25, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131866, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 129, 20, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131867, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 37, 22, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131868, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 177, 10, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131869, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 64, 110, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131870, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 86, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131871, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 196, 36, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131872, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 41, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131873, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 3655, 21, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131874, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 107, 19, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131875, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 159, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131876, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 72, 13, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131877, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 97, 62, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131878, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1079, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131879, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 187, 353, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131880, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 618, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131881, 1, '511500000000-0001', '宜宾市民中心', '查封业务', '', '', '', 86, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131882, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 197, 18, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131883, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 215, 136, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131884, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 5, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131885, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1516, 43, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131886, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 371, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131887, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 8, 49, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131888, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 55, 84, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131889, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 796, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131890, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 1381, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131891, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 260, 90, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131892, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 637, 8, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131893, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1479, 111, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131894, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 114, 68, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131895, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 99, 18, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131896, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 9, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131897, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 33, 6, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 631, 8, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 515, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 215, 15, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 31, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 262, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 72, 13, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 975, 5, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1940, 6, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 182, 21, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 212, 44, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1178, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 207, 43, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 205, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 168, 59, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 4689, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2458, 5, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3412, 17, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 231, 51, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1726, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 163, 28, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1367, 6, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 196, 35, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 126, 51, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1463, 5, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 178, 11, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 218, 13, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 278, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 181, 20, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 301, 24, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 24, 22, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 49, 22, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 9, 16, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 156, 16, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 79, 15, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 261, 14, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 57, 11, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 109, 37, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 195, 42, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 522, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 260, 14, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 22, 21, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 125, 19, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 131, 10, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 84, 23, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 252, 8, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 338, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 375, 18, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 195, 12, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 610, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 301, 24, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 84, 20, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 120, 31, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 100, 24, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 82, 13, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 217, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 67, 13, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 923, 18, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 107, 19, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 53, 17, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 38, 14, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 65, 11, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 62, 18, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 24, 8, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 371, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 12, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 16, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 57, 20, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 49, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2, 5, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 22, 11, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 52, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 567, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 159, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 159, 10, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 103, 34, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 95, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 33, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 27, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 7, 2, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 69, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 6, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 2, 6, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 51, 14, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 114, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1482, 15, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 9, 2, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 27, 2, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 177, 10, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 64, 2, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1880, 18, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1588, 23, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 553, 20, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1079, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1381, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1781, 34, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 796, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 208, 17, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 4, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131998, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 263, 89, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (131999, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 114, 68, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132000, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 187, 353, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132001, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 72, 13, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132002, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 37, 22, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132003, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3655, 21, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132004, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 197, 18, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132005, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1506, 109, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132006, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 637, 8, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132007, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 86, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132008, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 64, 110, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132009, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 618, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132010, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 796, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132011, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 5, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132012, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 177, 10, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132013, 1, '511500000000-0001', '宜宾市民中心', '查封业务', '不动产登记中心', '', '', 86, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132014, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 129, 20, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132015, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 107, 19, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132016, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 8, 49, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132017, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 9, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132018, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 215, 136, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132019, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 97, 62, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132020, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 33, 6, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132021, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 1381, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132022, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 99, 18, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132023, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 196, 36, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132024, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1079, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132025, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 159, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132026, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 69, 25, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132027, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1516, 43, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132028, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 41, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132029, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 55, 84, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132030, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 371, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132031, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 631, 8, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132032, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 515, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132033, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 24, 8, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132034, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 159, 10, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132035, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 109, 37, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132036, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 72, 13, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132037, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 120, 31, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132038, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 177, 10, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132039, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 22, 21, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132040, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 261, 14, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132041, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 9, 16, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132042, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 79, 15, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132043, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 24, 22, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132044, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 49, 22, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132045, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 64, 2, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132046, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 27, 2, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132047, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 9, 2, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132048, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 4, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132049, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 637, 8, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132050, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 195, 42, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132051, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 2458, 5, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132052, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 205, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132053, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 49, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132054, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 1178, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132055, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 57, 20, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132056, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 1463, 5, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132057, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 1367, 6, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132058, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 1726, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132059, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1482, 15, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132060, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 53, 17, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132061, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 84, 23, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132062, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 84, 20, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132063, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 125, 19, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132064, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1079, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132065, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 1940, 6, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132066, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 975, 5, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132067, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1880, 18, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132068, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 163, 28, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132069, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 553, 20, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132070, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1588, 23, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132071, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 41, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132072, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 5, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132073, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1833, 33, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132074, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 212, 44, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132075, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 208, 17, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132076, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 126, 51, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132077, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 196, 35, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132078, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 231, 51, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132079, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 62, 18, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132080, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 65, 11, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132081, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 168, 59, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132082, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 38, 14, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132083, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 207, 43, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132084, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 371, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132085, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 796, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132086, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132087, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 1381, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132088, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 57, 11, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132089, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 156, 16, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132090, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 178, 11, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132091, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 278, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132092, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 218, 13, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132093, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 301, 24, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132094, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 67, 13, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132095, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 181, 20, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132096, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 923, 18, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132097, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 100, 24, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132098, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 33, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132099, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 82, 13, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132100, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 6, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132101, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 7, 2, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132102, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 217, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132103, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 28, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132104, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 262, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132105, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 103, 34, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132106, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 131, 10, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132107, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 301, 24, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132108, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 16, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132109, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 2, 5, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132110, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132111, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 12, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132112, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 22, 11, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132113, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 159, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132114, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 95, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132115, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 27, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132116, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 69, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132117, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 2, 6, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132118, 1, '511500000000-0001', '宜宾市民中心', '查封业务', '', '', '2D10', 86, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132119, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 114, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132120, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 51, 14, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132121, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 3412, 17, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132122, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 4689, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132123, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 107, 19, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132124, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 215, 15, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132125, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 52, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132126, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 182, 21, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132127, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 69, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132128, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 2, 6, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132129, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 95, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132130, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 27, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132131, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 51, 14, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132132, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 114, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132133, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 27, 2, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132134, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 64, 2, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132135, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 9, 2, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132136, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1781, 34, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132137, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 553, 20, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132138, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1588, 23, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132139, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1880, 18, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132140, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 103, 34, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132141, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 195, 42, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132142, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 4, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132143, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 208, 17, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132144, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 109, 37, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132145, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 100, 24, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132146, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 371, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132147, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 57, 20, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132148, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 49, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132149, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3412, 17, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132150, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 567, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132151, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 52, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132152, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 4689, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132153, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 6, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132154, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 120, 31, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132155, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 7, 2, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132156, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 84, 20, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132157, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 33, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132158, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 84, 23, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132159, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 125, 19, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132160, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 177, 10, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132161, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1482, 15, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132162, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 67, 13, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132163, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 923, 18, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132164, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 72, 13, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132165, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 107, 19, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132166, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 82, 13, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132167, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 182, 21, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132168, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 631, 8, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132169, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 217, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132170, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 53, 17, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132171, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 515, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132172, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 181, 20, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132173, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 62, 18, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132174, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 278, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132175, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 215, 15, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132176, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 31, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132177, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 38, 14, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132178, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 262, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132179, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 301, 24, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132180, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 65, 11, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132181, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1726, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132182, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 57, 11, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132183, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 218, 13, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132184, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2458, 5, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132185, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 178, 11, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132186, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 205, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132187, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1178, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132188, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 156, 16, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132189, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 301, 24, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132190, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 131, 10, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132191, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1463, 5, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132192, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1367, 6, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132193, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1940, 6, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132194, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 975, 5, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132195, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 49, 22, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132196, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 9, 16, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132197, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 24, 22, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132198, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 79, 15, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132199, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 261, 14, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132200, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 159, 10, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132201, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 24, 8, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132202, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 22, 21, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132203, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 159, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132204, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 12, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132205, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 16, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132206, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132207, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132208, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 5, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132209, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 22, 11, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132210, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1381, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132211, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 796, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132212, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1079, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132213, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 260, 14, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132214, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 610, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132215, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 195, 12, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132216, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 522, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132217, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 163, 28, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132218, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 231, 51, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132219, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 252, 8, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132220, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 168, 59, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132221, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 375, 18, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132222, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 207, 43, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132223, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 338, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132224, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 212, 44, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132225, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 126, 51, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132226, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 196, 35, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132227, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 103, 34, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132228, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 67, 13, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (132229, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 631, 8, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132230, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 100, 24, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132231, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1079, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132232, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 923, 18, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132233, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 515, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132234, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 7, 2, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132235, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 33, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132236, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 38, 14, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132237, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 65, 11, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132238, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 1178, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132239, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 62, 18, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132240, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 205, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132241, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 2458, 5, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132242, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 1726, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132243, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 1367, 6, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132244, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 53, 17, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132245, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 1463, 5, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132246, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132247, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132248, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 16, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132249, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 12, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132250, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 22, 11, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132251, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 5, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132252, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 114, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132253, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 51, 14, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132254, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 262, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132255, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 28, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132256, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 553, 20, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132257, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1833, 33, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132258, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1880, 18, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132259, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1588, 23, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132260, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 182, 21, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132261, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 215, 15, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132262, 1, '511500000000-0001', '宜宾市民中心', '查封业务', '不动产登记中心', '', '2D10', 86, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132263, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 159, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132264, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 84, 20, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132265, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 125, 19, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132266, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 84, 23, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132267, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 52, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132268, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 131, 10, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132269, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 301, 24, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132270, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 6, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132271, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 57, 11, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132272, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 72, 13, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132273, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 178, 11, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132274, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 218, 13, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132275, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 156, 16, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132276, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1482, 15, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132277, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 22, 21, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132278, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 177, 10, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132279, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 278, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132280, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 181, 20, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132281, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 301, 24, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132282, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 371, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132283, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 2, 6, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132284, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 69, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132285, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 208, 17, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132286, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 9, 16, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132287, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 79, 15, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132288, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 261, 14, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132289, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 120, 31, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132290, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 24, 22, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132291, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 49, 22, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132292, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 4, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132293, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 27, 9, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132294, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 95, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132295, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 637, 8, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132296, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 64, 2, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132297, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 27, 2, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132298, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 9, 2, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132299, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 1381, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132300, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 975, 5, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132301, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 217, 7, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132302, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 1940, 6, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132303, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 195, 42, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132304, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 82, 13, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132305, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 41, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132306, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 4689, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132307, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 107, 19, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132308, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 3412, 17, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132309, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 5, 1, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132310, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 196, 35, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132311, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 796, 3, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132312, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 168, 59, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132313, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 163, 28, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132314, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 231, 51, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132315, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 212, 44, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132316, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 57, 20, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132317, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 49, 4, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132318, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 126, 51, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132319, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 207, 43, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132320, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 109, 37, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132321, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 159, 10, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132322, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 24, 8, 2024, 5, 14, '2024-08-05 14:06:56', NULL, NULL), (132323, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 58, 103, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132324, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 45, 84, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132325, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 644, 67, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132326, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 108, 210, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132327, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 703, 69, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132328, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 216, 403, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132329, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 518, 60, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132330, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 134, 131, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132331, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 582, 135, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132332, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 215, 405, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132333, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 309, 152, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132334, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 703, 69, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132335, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 478, 65, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132336, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 108, 210, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132337, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 58, 103, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132338, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 582, 135, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132339, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 134, 131, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132340, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 12, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132341, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 17284, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132342, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 17, 31, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132343, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '', 103, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132344, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 32, 21, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132345, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 60, 12, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132346, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 58, 102, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132347, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 268, 23, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132348, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1816, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132349, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 112, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132350, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 284, 33, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132351, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 873, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132352, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132353, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1543, 19, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132354, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 195, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132355, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 139, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132356, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 170, 9, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132357, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 118, 58, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132358, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 96, 12, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132359, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 239, 287, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132360, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 919, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132361, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 12, 8, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132362, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 134, 131, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132363, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 350, 35, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132364, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 31, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132365, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 11, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132366, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 59, 89, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132367, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 46, 72, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132368, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 147, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132369, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 8961, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132370, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 234, 59, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132371, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 69, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132372, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 10, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132373, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 952, 62, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132374, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 193, 60, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132375, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 6, 10, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132376, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 19, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132377, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 112, 7, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1128, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 80, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 311, 18, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1816, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 12, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 170, 9, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 470, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 253, 15, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 321, 34, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 145, 7, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 222, 36, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 101, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 213, 51, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 608, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 841, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 422, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1731, 15, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 228, 48, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 202, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 275, 32, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 206, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 259, 27, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 162, 38, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 653, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 103, 21, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 213, 11, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 149, 18, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 130, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 206, 9, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 514, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 24, 22, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 179, 17, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 18, 19, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 140, 9, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 58, 15, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 38, 14, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 71, 19, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 187, 35, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 291, 20, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 4231, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 310, 14, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 42, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 82, 17, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 209, 10, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 148, 22, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 39, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 302, 8, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 341, 19, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1157, 10, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 758, 13, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 76, 17, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 117, 19, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 210, 24, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 7, 7, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 633, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 136, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 73, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 195, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 17284, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 45, 13, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 52, 15, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 65, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 85, 18, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 5, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 58, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 31, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 9, 17, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 37, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 33, 14, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 53, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 44, 11, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 66, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 74, 24, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 77, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 69, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 209, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 7, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 93, 27, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 34, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 60, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 19, 7, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 2, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 28, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 6, 17, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 50, 11, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 14, 8, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 756, 10, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 90, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 149, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 268, 23, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 17, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 873, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1043, 10, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1022, 11, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 96, 12, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 686, 12, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1135, 19, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 8961, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 147, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 12, 8, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132479, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 234, 59, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132480, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 197, 59, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132481, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 240, 286, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132482, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 170, 9, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132483, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 32, 21, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132484, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 112, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132485, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1543, 19, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132486, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 12, 8, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132487, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 10, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132488, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 952, 62, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132489, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 69, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132490, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1816, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132491, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 58, 102, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132492, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 147, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132493, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 919, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132494, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 11, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132495, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 268, 23, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132496, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 60, 12, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132497, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 195, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132498, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 46, 72, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132499, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 17284, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132500, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 19, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132501, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 134, 131, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132502, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 118, 58, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132503, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 112, 7, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132504, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 8961, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132505, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 873, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132506, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 12, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132507, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 6, 10, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132508, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 284, 33, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132509, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 96, 12, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132510, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '', 103, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132511, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 209, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132512, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 350, 35, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132513, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 17, 31, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132514, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 59, 89, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132515, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 31, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132516, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1128, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132517, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 80, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132518, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 5, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132519, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 873, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132520, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 7, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132521, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 187, 35, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132522, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 170, 9, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132523, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 210, 24, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132524, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 268, 23, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132525, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 42, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132526, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 38, 14, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132527, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 18, 18, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132528, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 58, 15, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132529, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 24, 22, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132530, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 179, 17, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132531, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 17, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132532, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 165, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132533, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 90, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132534, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 12, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132535, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 69, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132536, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 291, 20, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132537, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 608, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132538, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 101, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132539, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 44, 11, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132540, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 145, 7, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132541, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 53, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132542, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 653, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132543, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 17284, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132544, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 206, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132545, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 202, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132546, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E17', 11, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132547, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 422, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132548, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 756, 10, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132549, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 45, 13, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132550, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 148, 22, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132551, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 117, 19, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132552, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 82, 17, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132553, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 96, 12, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132554, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 470, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132555, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1043, 10, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132556, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 275, 32, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132557, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 686, 12, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132558, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1022, 11, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132559, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1135, 19, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132560, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 321, 34, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132561, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 12, 8, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132562, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 162, 38, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132563, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 259, 27, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132564, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 3, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132565, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 228, 48, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132566, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 85, 18, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132567, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 65, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132568, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E20', 15, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132569, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 213, 51, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132570, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 52, 15, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132571, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 222, 36, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132572, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 31, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132573, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 147, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132574, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 58, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132575, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 28, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132576, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 8961, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132577, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 71, 19, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132578, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 140, 9, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132579, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 213, 11, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132580, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 103, 21, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132581, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 130, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132582, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 149, 18, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132583, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 514, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132584, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 633, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132585, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 73, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132586, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 206, 9, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132587, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 93, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132588, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 7, 7, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132589, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 2, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132590, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 136, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132591, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 1816, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132592, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 93, 27, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132593, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 209, 10, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132594, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '', '', '2E28', 103, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132595, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 76, 17, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132596, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E19', 125, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132597, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 33, 14, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132598, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 66, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132599, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 9, 17, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132600, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 37, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132601, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 74, 24, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132602, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 209, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132603, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 34, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132604, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 60, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132605, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 19, 7, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132606, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 3, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132607, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 13, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132608, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 40, 9, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132609, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 7, 15, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132610, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1731, 15, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132611, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 841, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132612, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 195, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132613, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 311, 18, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132614, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 5, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132615, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 253, 15, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132616, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 19, 7, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132617, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 3, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132618, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 34, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132619, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 60, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132620, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 14, 8, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132621, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 6, 17, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132622, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 50, 11, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132623, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 149, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132624, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 17, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132625, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 90, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132626, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1135, 19, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132627, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 686, 12, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132628, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1022, 11, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132629, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1043, 10, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132630, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 93, 27, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132631, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 291, 20, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132632, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 12, 8, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132633, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 187, 35, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (132634, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 31, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132635, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 53, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132636, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 44, 11, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132637, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1731, 15, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132638, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 69, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132639, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 77, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132640, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 841, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132641, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 28, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132642, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 210, 24, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132643, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 2, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132644, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 117, 19, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132645, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 148, 22, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132646, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 82, 17, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132647, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 873, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132648, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 268, 23, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132649, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 756, 10, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132650, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 633, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132651, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 73, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132652, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 17284, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132653, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 170, 9, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132654, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 195, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132655, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 253, 15, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132656, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 7, 7, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132657, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1128, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132658, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 136, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132659, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 12, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132660, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 45, 13, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132661, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 80, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132662, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 206, 9, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132663, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 85, 18, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132664, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 130, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132665, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 311, 18, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132666, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1816, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132667, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 52, 15, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132668, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 514, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132669, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 65, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132670, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 103, 21, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132671, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 202, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132672, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 422, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132673, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 71, 19, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132674, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 608, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132675, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 149, 18, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132676, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 101, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132677, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 213, 11, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132678, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 145, 7, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132679, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 140, 9, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132680, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 76, 17, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132681, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 209, 10, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132682, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 653, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132683, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 206, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132684, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 470, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132685, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 179, 17, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132686, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 18, 19, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132687, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 24, 22, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132688, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 58, 15, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132689, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 38, 14, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132690, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 7, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132691, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132692, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 42, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132693, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 209, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132694, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 37, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132695, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 33, 14, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132696, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 58, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132697, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 9, 17, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132698, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 66, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132699, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 74, 24, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132700, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 8961, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132701, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 147, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132702, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 96, 12, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132703, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 310, 14, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132704, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 758, 13, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132705, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1157, 10, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132706, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 4231, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132707, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 275, 32, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132708, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 228, 48, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132709, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 39, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132710, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 213, 51, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132711, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 341, 19, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132712, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 222, 36, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132713, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 302, 8, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132714, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 321, 34, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132715, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 162, 38, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132716, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 259, 27, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132717, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 17284, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132718, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 93, 27, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132719, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 633, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132720, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1128, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132721, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 96, 12, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132722, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 73, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132723, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 80, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132724, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 2, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132725, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 13, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132726, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 52, 15, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132727, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 65, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132728, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 145, 7, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132729, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 85, 18, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132730, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 101, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132731, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 608, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132732, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 422, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132733, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 202, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132734, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 45, 13, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132735, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 206, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132736, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 653, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132737, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 9, 17, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132738, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 58, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132739, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 33, 14, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132740, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 37, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132741, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 74, 24, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132742, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 66, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132743, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 40, 9, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132744, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 7, 15, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132745, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 1816, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132746, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 686, 12, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132747, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1135, 19, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132748, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1043, 10, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132749, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1022, 11, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132750, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 253, 15, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132751, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 311, 18, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132752, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 3, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132753, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E20', 15, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132754, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 209, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132755, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 117, 19, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132756, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 82, 17, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132757, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 5, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132758, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 148, 22, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132759, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 209, 10, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132760, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 76, 17, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132761, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 28, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132762, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 71, 19, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132763, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 103, 21, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132764, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 170, 9, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132765, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E17', 11, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132766, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 213, 11, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132767, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 149, 18, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132768, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 140, 9, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132769, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 756, 10, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132770, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 42, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132771, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 268, 23, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132772, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 130, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132773, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 206, 9, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132774, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 514, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132775, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 31, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132776, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 3, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132777, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 19, 7, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132778, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 12, 8, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132779, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 18, 18, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132780, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 58, 15, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132781, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 38, 14, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132782, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 210, 24, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132783, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 24, 22, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132784, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 179, 17, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132785, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E19', 125, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132786, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 60, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132787, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 34, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132788, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 873, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132789, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 69, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132790, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 12, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132791, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 17, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132792, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 165, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132793, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 90, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132794, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 93, 2, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132795, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 8961, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132796, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 470, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132797, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 136, 5, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132798, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 291, 20, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132799, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 7, 7, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132800, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 195, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132801, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 841, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132802, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1731, 15, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132803, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 259, 27, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132804, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 147, 3, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132805, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 213, 51, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132806, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 275, 32, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132807, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 228, 48, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132808, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 321, 34, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132809, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 53, 16, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132810, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 44, 11, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132811, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 162, 38, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132812, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 222, 36, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132813, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 187, 35, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132814, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 7, 4, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132815, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 6, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132816, 1, '511500000000-0001', '宜宾市民中心', '个人历史欠费核销', '市人力资源社会保障局', '', '2E28', 103, 1, 2024, 5, 15, '2024-08-05 14:06:57', NULL, NULL), (132817, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 75, 81, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132818, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 29, 55, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132819, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 193, 29, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132820, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 106, 169, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132821, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1034, 69, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132822, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 85, 391, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132823, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 462, 115, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132824, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 304, 62, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132825, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 658, 139, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132826, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 85, 392, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132827, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 80, 90, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132828, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1005, 71, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132829, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 294, 64, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132830, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 106, 170, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132831, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 75, 81, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132832, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 653, 140, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132833, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 462, 115, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132834, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 2503, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132835, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 30, 27, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132836, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 16, 17, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132837, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 61, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132838, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 122, 16, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132839, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 75, 81, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132840, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 755, 7, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132841, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 257, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132842, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 56, 30, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132843, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 463, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132844, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 474, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132845, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132846, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1928, 23, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132847, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 119, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132848, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 99, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132849, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2641, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132850, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 62, 56, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132851, 1, '511500000000-0001', '宜宾市民中心', '普通护照', '', '', '', 0, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132852, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 574, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132853, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 1192, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132854, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 59, 270, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132855, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1278, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132856, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 228, 22, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132857, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 449, 113, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132858, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 229, 26, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132859, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 4, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132860, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 29, 49, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132861, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 106, 74, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132862, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 161, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132863, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 2565, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132864, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 268, 61, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132865, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 21, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132866, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 29, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132867, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 212, 65, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132868, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1216, 63, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132869, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 4, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132870, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 13, 9, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132871, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 50, 10, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1278, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 64, 18, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 212, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1227, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 4403, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 167, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 43, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 48, 29, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 43, 32, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 292, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 64, 37, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 327, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 59, 41, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1968, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 76, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 316, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1924, 21, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 53, 35, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 181, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 95, 15, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 91, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 95, 13, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 51, 37, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 391, 23, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 622, 8, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 497, 17, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 390, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 718, 19, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 45, 13, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 12, 19, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 26, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 776, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 220, 13, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 205, 33, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 173, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 239, 8, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 66, 31, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 175, 9, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 11, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 43, 17, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 98, 16, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 211, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 30, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 23, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1483, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 418, 21, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 51, 23, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 219, 32, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 39, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 164, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 80, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 473, 24, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 119, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2503, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 147, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 87, 17, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 134, 20, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 4, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 31, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 67, 9, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 61, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 8, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 89, 15, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 26, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 115, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 99, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 21, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 122, 26, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 31, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 18, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 27, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 18, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 11, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 11, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 43, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 12, 8, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 23, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1273, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 41, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 84, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 122, 16, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 49, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 463, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1378, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1063, 15, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 574, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1237, 13, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 2565, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1285, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 161, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 230, 21, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 188, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132969, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 268, 61, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132970, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 212, 65, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132971, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 59, 270, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132972, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 4403, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132973, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 16, 17, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132974, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 257, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132975, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1928, 23, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132976, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 29, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132977, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 228, 22, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132978, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1236, 62, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132979, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 21, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132980, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 755, 7, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132981, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 75, 81, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132982, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 161, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132983, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1278, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132984, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 122, 16, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132985, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 61, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132986, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 119, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132987, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 29, 49, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132988, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 2503, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132989, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 13, 9, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132990, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 449, 113, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132991, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 62, 56, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132992, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 50, 10, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132993, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 2565, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132994, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 463, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132995, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 4, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132996, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 56, 30, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132997, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 574, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132998, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 1192, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (132999, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 99, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133000, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 229, 26, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133001, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 30, 27, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133002, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 474, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133003, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 108, 73, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133004, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 4, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133005, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1278, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133006, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133007, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 463, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133008, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 205, 33, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133009, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 4403, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133010, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 122, 16, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133011, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 219, 32, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133012, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 11, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133013, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 239, 8, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133014, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 26, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133015, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 220, 13, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133016, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 45, 13, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133017, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 12, 19, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133018, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 49, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133019, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 84, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133020, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 41, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133021, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 188, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133022, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 21, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133023, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 66, 31, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133024, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 76, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133025, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 327, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133026, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 292, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133027, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 89, 15, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133028, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B02', 1192, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133029, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 67, 9, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133030, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 2503, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133031, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 91, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133032, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 181, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133033, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 316, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133034, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1273, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133035, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 98, 16, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133036, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 51, 23, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133037, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 43, 17, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133038, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 574, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133039, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 167, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (133040, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1378, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133041, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 95, 15, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133042, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1237, 13, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133043, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1063, 15, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133044, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 474, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133045, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1285, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133046, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 43, 32, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133047, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 48, 29, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133048, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 230, 21, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133049, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 51, 37, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133050, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 95, 13, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133051, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 29, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133052, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 53, 35, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133053, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 134, 20, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133054, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 87, 17, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133055, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 59, 41, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133056, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 147, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133057, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 64, 37, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133058, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 4, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133059, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 161, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133060, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 11, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133061, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133062, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 2565, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133063, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 173, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133064, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 776, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133065, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 622, 8, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133066, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 391, 23, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133067, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 390, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133068, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 497, 17, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133069, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 164, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133070, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 663, 17, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133071, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 473, 24, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133072, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 18, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133073, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 39, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133074, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 11, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133075, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133076, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 80, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133077, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 212, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133078, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1478, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133079, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 122, 26, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133080, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 418, 21, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133081, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E19', 257, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133082, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 61, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133083, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 8, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133084, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133085, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 31, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133086, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 26, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133087, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 99, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133088, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 31, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133089, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 27, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133090, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 18, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133091, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 3, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133092, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 23, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133093, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 12, 8, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133094, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 45, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133095, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1924, 21, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133096, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1968, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133097, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 119, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133098, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 64, 18, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133099, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 21, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133100, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 43, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133101, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 18, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133102, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 3, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133103, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 31, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133104, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 27, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133105, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 23, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133106, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 43, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133107, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 12, 8, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133108, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 84, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133109, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 49, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133110, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 41, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133111, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1285, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133112, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1237, 13, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133113, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1063, 15, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133114, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1378, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133115, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 122, 26, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133116, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 66, 31, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133117, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 188, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133118, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 230, 21, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133119, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 205, 33, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133120, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 4, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133121, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 67, 9, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133122, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 89, 15, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133123, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1924, 21, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133124, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 21, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133125, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 115, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133126, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1968, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133127, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 11, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133128, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 11, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133129, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 219, 32, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133130, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133131, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 51, 23, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133132, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 18, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133133, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 98, 16, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133134, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 43, 17, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133135, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 463, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133136, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 122, 16, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133137, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1273, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133138, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 164, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133139, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 473, 24, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133140, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2503, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133141, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 4403, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133142, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 119, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133143, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 43, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133144, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 39, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133145, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1278, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133146, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 80, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133147, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 134, 20, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133148, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 390, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133149, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 64, 18, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133150, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 212, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133151, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 147, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133152, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1227, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133153, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 718, 19, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133154, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 87, 17, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133155, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 391, 23, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133156, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 181, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133157, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 316, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133158, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 173, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133159, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 497, 17, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133160, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 76, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133161, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 622, 8, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133162, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 327, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133163, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 292, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133164, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 776, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133165, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 418, 21, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133166, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 91, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133167, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 167, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133168, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 12, 19, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133169, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 26, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133170, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 45, 13, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133171, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 220, 13, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133172, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 239, 8, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133173, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133174, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 11, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133175, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 99, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133176, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 31, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133177, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 61, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133178, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133179, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133180, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 8, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133181, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 26, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133182, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 2565, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133183, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 161, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133184, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 574, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133185, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 175, 9, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133186, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1483, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133187, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 23, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133188, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 95, 15, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133189, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 53, 35, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133190, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 211, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133191, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 59, 41, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133192, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 30, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133193, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 64, 37, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133194, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 43, 32, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133195, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 48, 29, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133196, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 51, 37, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133197, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 95, 13, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133198, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 2503, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133199, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 122, 26, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133200, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 164, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133201, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1278, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133202, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 574, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133203, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 473, 24, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133204, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133205, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 18, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133206, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 23, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133207, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 147, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133208, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 87, 17, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133209, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 292, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133210, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 134, 20, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133211, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 327, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133212, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 76, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133213, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 316, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133214, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 181, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133215, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 91, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133216, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133217, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133218, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 61, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133219, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 31, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133220, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 26, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133221, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 8, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133222, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 12, 8, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133223, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 45, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133224, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1478, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133225, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 212, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133226, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1237, 13, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133227, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1285, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133228, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1378, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133229, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1063, 15, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133230, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 43, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133231, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 64, 18, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133232, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 29, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133233, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 99, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133234, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 51, 23, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133235, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 43, 17, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133236, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 21, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133237, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 98, 16, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133238, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 418, 21, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133239, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 11, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133240, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 11, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133241, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 173, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133242, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 4403, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133243, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 391, 23, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133244, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 622, 8, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133245, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 497, 17, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133246, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 776, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133247, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1273, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133248, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 11, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133249, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 122, 16, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133250, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 390, 11, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133251, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 663, 17, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133252, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 4, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133253, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 3, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133254, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 18, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133255, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 230, 21, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133256, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 26, 14, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133257, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 220, 13, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133258, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 239, 8, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133259, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 219, 32, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133260, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 45, 13, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133261, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 12, 19, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133262, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E19', 257, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133263, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 188, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133264, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 27, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133265, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 31, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133266, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 463, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133267, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 21, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133268, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 49, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133269, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 84, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133270, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 41, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133271, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 2565, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133272, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 167, 3, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133273, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 80, 6, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133274, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 66, 31, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133275, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 474, 1, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133276, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 39, 5, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133277, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1968, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133278, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 119, 12, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133279, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1924, 21, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133280, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 95, 13, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133281, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 161, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133282, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 59, 41, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133283, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 95, 15, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133284, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 53, 35, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133285, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 67, 9, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133286, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 48, 29, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133287, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 89, 15, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133288, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 51, 37, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133289, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 64, 37, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133290, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 43, 32, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133291, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 205, 33, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133292, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B02', 1192, 2, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133293, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 4, 2024, 5, 16, '2024-08-05 14:06:58', NULL, NULL), (133294, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 65, 82, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133295, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 66, 58, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133296, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1084, 37, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133297, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 133, 161, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133298, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1253, 82, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133299, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 67, 395, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133300, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 1119, 152, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133301, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 539, 95, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133302, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1094, 169, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133303, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 65, 397, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133304, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 458, 96, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133305, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1253, 82, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133306, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 512, 100, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133307, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 132, 162, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133308, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 65, 82, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133309, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1089, 170, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133310, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 1119, 152, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133311, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 7, 20, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133312, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 1883, 6, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133313, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 35, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133314, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 168, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133315, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 65, 9, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133316, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 15, 20, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133317, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 81, 26, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133318, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 63, 81, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133319, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1727, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133320, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 216, 38, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133321, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 77, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133322, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1038, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133323, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 467, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133324, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133325, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 3306, 22, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133326, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 19, 15, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133327, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 2674, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133328, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 2437, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133329, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 362, 6, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133330, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 160, 70, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133331, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 19, 6, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133332, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 47, 275, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133333, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1053, 10, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133334, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 115, 21, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133335, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 1119, 152, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133336, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 260, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133337, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 578, 36, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133338, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 96, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133339, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 223, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133340, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 7, 38, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133341, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 83, 69, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133342, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '', 0, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133343, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 35, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133344, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 5591, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133345, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 444, 90, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133346, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 288, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133347, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 18, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133348, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1991, 78, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133349, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 42, 53, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133350, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 49, 19, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133351, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133352, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 168, 9, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1053, 10, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 287, 21, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 366, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 3820, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 362, 6, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 128, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 47, 39, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 47, 33, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 738, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 26, 34, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 317, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 61, 31, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 4324, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 729, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 223, 6, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 22, 24, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3079, 18, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 213, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 720, 10, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 570, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 82, 19, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 41, 50, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 702, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 1286, 31, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 991, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 1226, 21, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 893, 31, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 1186, 27, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 48, 10, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 45, 16, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 57, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 57, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 124, 15, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 57, 27, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 48, 41, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 168, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 2918, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 51, 16, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 90, 19, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 186, 24, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 1121, 25, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 489, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 1088, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 98, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1370, 12, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1062, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 194, 26, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 27, 25, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 97, 14, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 35, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1059, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 89, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 19, 15, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 377, 26, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2260, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 26, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 91, 21, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 83, 18, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 89, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 75, 12, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 96, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 10, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 112, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 23, 7, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 19, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 2674, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 281, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 4, 7, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 327, 33, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 53, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 5, 7, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 46, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 2, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 2, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 7, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 2308, 18, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 204, 6, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 96, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 81, 26, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1038, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 2097, 12, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1668, 20, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 23, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2246, 12, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 5591, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1767, 16, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 35, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 126, 19, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 7, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133449, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 444, 90, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133450, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 43, 52, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133451, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 47, 274, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133452, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 362, 6, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (133453, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 15, 20, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133454, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 3306, 22, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133455, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 18, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133456, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 115, 21, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133457, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1991, 78, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133458, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 288, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133459, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1727, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133460, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 63, 81, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133461, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 35, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133462, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1053, 10, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133463, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 260, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133464, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 223, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133465, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 81, 26, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133466, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 65, 9, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133467, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 19, 15, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133468, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 7, 38, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133469, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 2260, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133470, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133471, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 1119, 152, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133472, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 2437, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133473, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 162, 69, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133474, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 168, 9, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133475, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 35, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133476, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 5591, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133477, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 77, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133478, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1038, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133479, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 49, 19, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133480, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 216, 38, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133481, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 23, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133482, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 168, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133483, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 2674, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133484, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 7, 20, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 578, 36, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133486, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 467, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133487, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 83, 69, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133488, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 96, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133489, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1053, 10, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133490, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 75, 12, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133491, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 4, 7, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133492, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 1038, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133493, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 57, 27, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133494, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 362, 6, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133495, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 81, 26, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133496, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 27, 25, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133497, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 51, 16, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133498, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 116, 14, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133499, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 57, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133500, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 57, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133501, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 48, 10, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133502, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 45, 16, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133503, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 77, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133504, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 96, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133505, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 204, 6, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133506, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 288, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133507, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 48, 41, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133508, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 729, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133509, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E15', 223, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133510, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 317, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133511, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 738, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133512, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 112, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133513, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 702, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133514, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 2260, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133515, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 570, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133516, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 720, 10, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133517, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 223, 6, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133518, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 2308, 18, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133519, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 26, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133520, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 186, 24, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133521, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 194, 26, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133522, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 90, 19, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133523, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 23, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133524, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 2097, 12, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133525, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 213, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133526, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 2246, 12, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133527, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1668, 20, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133528, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 467, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133529, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 260, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133530, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1767, 16, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133531, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 47, 33, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133532, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 47, 39, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133533, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 126, 19, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133534, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 41, 50, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133535, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 7, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133536, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 82, 19, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133537, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 22, 24, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133538, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 89, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133539, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E20', 18, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133540, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 83, 18, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133541, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 61, 31, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133542, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 91, 21, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133543, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 26, 34, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133544, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 96, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133545, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 35, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133546, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133547, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133548, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 5591, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133549, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 991, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133550, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 1286, 31, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133551, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 1226, 21, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133552, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 1059, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133553, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 1186, 27, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133554, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 893, 31, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133555, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 377, 26, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133556, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 97, 14, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133557, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 35, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133558, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 35, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133559, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133560, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133561, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 89, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133562, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 332, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133563, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 3820, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133564, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 327, 33, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133565, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 1121, 25, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133566, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 10, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133567, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 23, 7, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133568, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133569, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133570, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 2674, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133571, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 168, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133572, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 53, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133573, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 5, 7, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133574, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 46, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133575, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 3, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133576, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 2437, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133577, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 2, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133578, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 2, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133579, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 2, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133580, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 3079, 18, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133581, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 4324, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133582, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 19, 15, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133583, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 287, 21, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133584, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 19, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133585, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 128, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133586, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 46, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133587, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 3, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133588, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 53, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133589, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 5, 7, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133590, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 7, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133591, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 2, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133592, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 2, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133593, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 96, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133594, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 204, 6, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133595, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1767, 16, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133596, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2246, 12, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133597, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1668, 20, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133598, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 2097, 12, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133599, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 327, 33, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133600, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 48, 41, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133601, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 7, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133602, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 126, 19, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133603, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 57, 27, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133604, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 97, 14, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133605, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 96, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133606, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 112, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133607, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3079, 18, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133608, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 281, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133609, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 19, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133610, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 4324, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133611, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133612, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133613, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 27, 25, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133614, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133615, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 194, 26, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133616, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 186, 24, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133617, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 90, 19, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133618, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1038, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133619, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 81, 26, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133620, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 2308, 18, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133621, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1059, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133622, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 377, 26, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133623, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2260, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133624, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 362, 6, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133625, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 19, 15, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133626, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 35, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133627, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 128, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133628, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1053, 10, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133629, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 89, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133630, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 26, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133631, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 893, 31, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133632, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 89, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133633, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 1226, 21, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133634, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 287, 21, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133635, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 91, 21, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133636, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 366, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133637, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 3820, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133638, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 1186, 27, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133639, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 83, 18, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133640, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 1286, 31, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133641, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 720, 10, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133642, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 223, 6, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133643, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 729, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133644, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 991, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133645, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 317, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133646, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 738, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133647, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 1121, 25, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133648, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 702, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133649, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 570, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133650, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 45, 16, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133651, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 57, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133652, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 48, 10, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133653, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 57, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133654, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 124, 15, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133655, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 7, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133656, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 51, 16, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133657, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 75, 12, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133658, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 2674, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133659, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 10, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133660, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133661, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133662, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 23, 7, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133663, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133664, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 5591, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133665, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 35, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133666, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 23, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133667, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 2918, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133668, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1062, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133669, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1370, 12, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133670, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 168, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133671, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 213, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133672, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 22, 24, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133673, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 489, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133674, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 61, 31, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133675, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 98, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133676, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 26, 34, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133677, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 47, 33, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133678, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 1088, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133679, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 47, 39, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133680, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 41, 50, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133681, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 82, 19, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133682, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 327, 33, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133683, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 2260, 5, 2024, 5, 17, '2024-08-05 14:06:59', NULL, NULL), (133684, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 1059, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133685, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 97, 14, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133686, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1053, 10, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133687, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 23, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133688, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 377, 26, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133689, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133690, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 2, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133691, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 91, 21, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133692, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 83, 18, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133693, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 738, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133694, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 89, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133695, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 317, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133696, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 729, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133697, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 223, 6, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133698, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 720, 10, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133699, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 26, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133700, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 570, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133701, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 702, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133702, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133703, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 5, 2024, 5, 17, '2024-08-05 14:06:59', NULL, NULL), (133704, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 10, 2024, 5, 17, '2024-08-05 14:06:59', NULL, NULL), (133705, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 8, 2024, 5, 17, '2024-08-05 14:06:59', NULL, NULL), (133706, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 23, 7, 2024, 5, 17, '2024-08-05 14:06:59', NULL, NULL), (133707, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 2, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133708, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 2, 5, 2024, 5, 17, '2024-08-05 14:06:59', NULL, NULL), (133709, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 3820, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133710, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 332, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133711, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 2246, 12, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133712, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1767, 16, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133713, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 168, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133714, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 2097, 12, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133715, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1668, 20, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133716, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 128, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133717, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 287, 21, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133718, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E20', 18, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133719, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 2674, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133720, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 194, 26, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133721, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 90, 19, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133722, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 186, 24, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133723, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 19, 5, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133724, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 1121, 25, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133725, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 2437, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133726, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133727, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133728, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 362, 6, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133729, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 1286, 31, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133730, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 991, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133731, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E15', 223, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133732, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 2308, 18, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133733, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 51, 16, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133734, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 81, 26, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133735, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 1226, 21, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133736, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 893, 31, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133737, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 1186, 27, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133738, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 96, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133739, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 3, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133740, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 46, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133741, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 126, 19, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133742, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 57, 17, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133743, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 57, 8, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133744, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 116, 14, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133745, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 27, 25, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133746, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 48, 10, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133747, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 45, 16, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133748, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 7, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133749, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 5, 7, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133750, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 53, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133751, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 1038, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133752, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 288, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133753, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 96, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133754, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 204, 6, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133755, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 5591, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133756, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 89, 5, 2024, 5, 17, '2024-08-05 14:06:59', NULL, NULL), (133757, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 48, 41, 2024, 5, 17, '2024-08-05 14:06:59', NULL, NULL), (133758, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 35, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133759, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 467, 1, 2024, 5, 17, '2024-08-05 14:06:59', NULL, NULL), (133760, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 4324, 4, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133761, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 19, 15, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133762, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 3079, 18, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133763, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 260, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133764, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 82, 19, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133765, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 35, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133766, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 61, 31, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133767, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 213, 3, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133768, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 77, 2, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133769, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 22, 24, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133770, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 47, 39, 2024, 5, 17, '2024-08-05 14:06:59', NULL, NULL), (133771, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 112, 5, 2024, 5, 17, '2024-08-05 14:06:59', NULL, NULL), (133772, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 41, 50, 2024, 5, 17, '2024-08-05 14:06:59', NULL, NULL), (133773, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 26, 34, 2024, 5, 17, '2024-08-05 14:06:59', NULL, NULL), (133774, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 47, 33, 2024, 5, 17, '2024-08-05 14:06:59', NULL, NULL), (133775, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 57, 27, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133776, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 7, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133777, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D07', 35, 1, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133778, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 75, 12, 2024, 5, 17, '2024-08-05 14:06:58', NULL, NULL), (133779, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 4, 4, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133780, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 691, 8, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133781, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1091, 106, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133782, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 390, 28, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133783, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 101, 9, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133784, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1091, 106, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133785, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 390, 28, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133786, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 614, 9, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133787, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 4, 4, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133788, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 91, 10, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133789, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 0, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133790, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 126, 5, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133791, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 371, 2, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133792, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 4, 4, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133793, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 16, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133794, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 271, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133795, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 390, 28, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133796, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 1325, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133797, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 19, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133798, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 0, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133799, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 1835, 61, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133800, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 233, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133801, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 87, 42, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 391, 11, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 371, 2, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 105, 18, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 233, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 389, 17, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 4, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 1325, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1579, 23, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 9, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1904, 31, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 4, 2, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 271, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 35, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 126, 5, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 5, 2, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 52, 17, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 2373, 7, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 125, 7, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 19, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133821, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 390, 28, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133822, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 19, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133823, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 87, 42, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133824, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 126, 5, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133825, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 4, 4, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133826, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 371, 2, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133827, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 16, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133828, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 1325, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133829, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 271, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133830, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 233, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133831, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 1835, 61, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133832, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 126, 5, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133833, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 1904, 31, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133834, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 2373, 7, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133835, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 389, 17, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133836, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 1579, 23, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133837, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 391, 11, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133838, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 5, 2, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133839, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 19, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133840, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 125, 7, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133841, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 35, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (133842, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 4, 2, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133843, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 1325, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133844, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 4, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133845, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 105, 18, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133846, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 9, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133847, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 52, 17, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133848, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 233, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133849, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 371, 2, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133850, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 271, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133851, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 1325, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133852, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 391, 11, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133853, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 371, 2, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133854, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 4, 2, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133855, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 5, 2, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133856, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 271, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133857, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 9, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133858, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 19, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133859, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 2373, 7, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133860, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 233, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133861, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 4, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133862, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 125, 7, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133863, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1904, 31, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133864, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1579, 23, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133865, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 126, 5, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133866, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 35, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133867, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 105, 18, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133868, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 389, 17, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133869, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 52, 17, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133870, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 233, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133871, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 35, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133872, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 371, 2, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133873, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 125, 7, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133874, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 271, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133875, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 4, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133876, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 4, 2, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133877, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 5, 2, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133878, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 9, 1, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133879, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 19, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133880, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 1325, 3, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133881, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 391, 11, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133882, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 389, 17, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133883, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 2373, 7, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133884, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 1579, 23, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133885, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 1904, 31, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133886, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 126, 5, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133887, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 52, 17, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133888, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 105, 18, 2024, 5, 18, '2024-08-05 14:06:59', NULL, NULL), (133889, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 2793, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133890, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 182, 5, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133891, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1278, 79, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133892, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 737, 33, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133893, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 27, 3, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133894, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1262, 80, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133895, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 0, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133896, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 737, 33, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133897, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 182, 5, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133898, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 2793, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133899, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 27, 3, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133900, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 39, 2, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133901, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 224, 3, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133902, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 28, 5, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133903, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 1896, 53, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133904, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 2793, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133905, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 3, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133906, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 0, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133907, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 119, 2, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133908, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 15, 22, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133909, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 737, 33, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 755, 16, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 24, 6, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 720, 17, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 224, 3, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 15, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1772, 25, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 2007, 28, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 39, 2, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 2793, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 224, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 5, 11, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 3, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 32, 4, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 28, 5, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133924, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 737, 33, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133925, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 28, 5, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133926, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 15, 21, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133927, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 39, 2, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133928, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 3, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133929, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 224, 3, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133930, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 119, 2, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133931, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 2793, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133932, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 1896, 53, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133933, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 2007, 28, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133934, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 720, 17, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133935, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 1772, 25, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133936, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 755, 16, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133937, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 2793, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133938, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 28, 5, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133939, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 32, 4, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133940, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 224, 3, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133941, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 15, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133942, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 3, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133943, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 24, 6, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133944, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 5, 11, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133945, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 39, 2, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133946, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 224, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133947, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 224, 3, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133948, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 755, 16, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133949, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 15, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133950, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 2793, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133951, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 224, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133952, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 3, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133953, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 28, 5, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133954, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 32, 4, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133955, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 2007, 28, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133956, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1772, 25, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133957, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 39, 2, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133958, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 24, 6, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133959, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 720, 17, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133960, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 5, 11, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133961, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 32, 4, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133962, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 224, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133963, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 2793, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133964, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 3, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133965, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 28, 5, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133966, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 224, 3, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133967, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 755, 16, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133968, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 720, 17, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133969, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 1772, 25, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133970, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 2007, 28, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133971, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 39, 2, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133972, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 15, 1, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133973, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 5, 11, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133974, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 24, 6, 2024, 5, 19, '2024-08-05 14:07:00', NULL, NULL), (133975, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 17, 91, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133976, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 270, 76, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133977, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 686, 49, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133978, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 224, 208, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133979, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1018, 99, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133980, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 297, 518, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133981, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 766, 116, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133982, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 220, 128, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133983, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 501, 123, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133984, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 297, 519, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133985, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 433, 125, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133986, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 998, 101, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133987, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 759, 117, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133988, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 224, 208, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133989, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 17, 91, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133990, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 497, 124, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133991, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 220, 128, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133992, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 20499, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133993, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 351, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133994, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 46, 33, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133995, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 85, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133996, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 99, 22, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133997, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133998, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 11, 10, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (133999, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 168, 14, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134000, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 211, 35, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134001, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 17, 90, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134002, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 645, 10, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134003, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 3, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134004, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 838, 42, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134005, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 94, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134006, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 748, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134007, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 556, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134008, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 922, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134009, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1585, 14, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134010, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 143, 28, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134011, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1396, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134012, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 574, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134013, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1113, 21, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134014, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 431, 94, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134015, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1166, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134016, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 264, 359, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134017, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1248, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134018, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 512, 11, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134019, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 237, 23, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134020, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 220, 128, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134021, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 152, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134022, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1449, 30, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134023, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 667, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134024, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 280, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134025, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 116, 82, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134026, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 174, 57, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134027, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '', 22342, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134028, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 234, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134029, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 5328, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134030, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 195, 107, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134031, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 80, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134032, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 3, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134033, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 8, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134034, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 69, 23, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134035, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 288, 65, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134036, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 68, 12, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134037, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 8, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134038, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 185, 10, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1248, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 808, 19, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 296, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 1056, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 351, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 1113, 21, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 542, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 862, 23, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 303, 51, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 222, 35, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 481, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 278, 35, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1792, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 321, 51, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1871, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1435, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 202, 51, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2321, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2599, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 330, 34, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2340, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 264, 22, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 309, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 287, 28, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 218, 28, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 297, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 369, 8, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 204, 14, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 311, 18, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 98, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 190, 18, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 18, 15, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 10, 19, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 16, 18, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 19, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 5, 13, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 108, 15, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 42, 11, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 204, 26, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 170, 24, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 512, 11, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 95, 13, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 104, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 19, 15, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 374, 27, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 289, 24, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 473, 35, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 11187, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 52, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 151, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 574, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 280, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 194, 23, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 433, 32, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 344, 39, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 3, 8, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 99, 23, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 41, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 302, 28, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 142, 24, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 143, 28, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 20499, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 76, 13, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 139, 18, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 86, 14, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 120, 17, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 94, 10, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 667, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 92, 13, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 340, 17, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 121, 10, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 216, 8, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 56, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 174, 8, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 40, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 135, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1396, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 94, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 68, 12, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 210, 32, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 95, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 122, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 228, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 5, 11, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 37, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 26, 10, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 147, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 299, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 33, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 217, 34, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 124, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 748, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1076, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 31, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 58, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 25, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1166, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 5328, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 125, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 234, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 248, 22, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 5, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134144, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 195, 107, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134145, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 264, 359, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134146, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1113, 21, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134147, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 168, 14, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134148, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1707, 13, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134149, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 69, 23, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134150, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 234, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134151, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 217, 34, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134152, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 143, 28, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134153, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 174, 57, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134154, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 8, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134155, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 574, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134156, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 5328, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134157, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 748, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134158, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 351, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134159, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 68, 12, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134160, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 838, 42, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134161, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 46, 33, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134162, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1449, 30, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134163, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 8, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134164, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 512, 11, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134165, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 288, 65, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134166, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 3, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134167, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 3, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134168, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 237, 23, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134169, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 80, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134170, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '宜宾市市场监管局', '', '', 22342, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134171, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 716, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134172, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 17, 90, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134173, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 280, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134174, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1248, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134175, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 152, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134176, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 11, 10, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134177, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 20499, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134178, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 220, 128, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134179, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 431, 94, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134180, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 1076, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134181, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 185, 10, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134182, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 85, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134183, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 94, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134184, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1166, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134185, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 99, 22, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134186, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1396, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134187, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 556, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134188, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 116, 82, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134189, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 667, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134190, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1248, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134191, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 68, 12, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134192, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 748, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134193, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 204, 26, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134194, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 1113, 21, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134195, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 217, 34, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134196, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 344, 39, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134197, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 19, 15, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134198, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 42, 11, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134199, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 16, 18, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134200, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 5, 12, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134201, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 18, 15, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134202, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 10, 19, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134203, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 43, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134204, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 178, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134205, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 32, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134206, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 124, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134207, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 33, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134208, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 299, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134209, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 5, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134210, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '1D09', 22342, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134211, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 351, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134212, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 80, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134213, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 170, 24, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134214, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1871, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134215, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 1792, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134216, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 56, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134217, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 481, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134218, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 216, 8, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134219, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 20499, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134220, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 297, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134221, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 309, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134222, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 2340, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134223, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 2599, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134224, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 147, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134225, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 76, 13, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134226, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 473, 35, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134227, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 433, 32, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134228, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 374, 27, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134229, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1166, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134230, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 31, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134231, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 542, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134232, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 264, 22, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134233, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 25, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134234, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 58, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134235, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 407, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134236, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 125, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134237, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 856, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134238, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 152, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134239, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 222, 35, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134240, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 303, 51, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134241, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 248, 22, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134242, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 218, 28, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134243, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 287, 28, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134244, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 94, 10, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134245, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 330, 34, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134246, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 120, 17, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134247, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 202, 51, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134248, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E20', 3, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134249, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 86, 14, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134250, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 321, 51, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134251, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 139, 18, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134252, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 278, 35, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134253, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 667, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134254, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 234, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134255, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134256, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 5328, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134257, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 92, 13, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134258, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 108, 15, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134259, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 19, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134260, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 204, 14, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134261, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 369, 8, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134262, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 98, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134263, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 311, 18, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (134264, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 302, 28, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134265, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 190, 18, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134266, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 142, 24, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134267, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 3, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134268, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 99, 23, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134269, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E16', 8, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134270, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 512, 11, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134271, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 99, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134272, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D08', 72, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134273, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 3, 8, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134274, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134275, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134276, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 41, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134277, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 241, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134278, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 1097, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134279, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 210, 32, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134280, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 289, 24, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134281, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 194, 23, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134282, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 174, 8, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134283, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 340, 17, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134284, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 121, 10, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134285, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 40, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134286, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1396, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134287, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 95, 13, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134288, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 95, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134289, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 122, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134290, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 280, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134291, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 104, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134292, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 228, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134293, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 1076, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134294, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 574, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134295, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 28, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134296, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 43, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134297, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 5, 11, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134298, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2321, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134299, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1435, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134300, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 143, 28, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134301, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 808, 19, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134302, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 135, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134303, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 862, 23, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134304, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 228, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134305, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 95, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134306, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 122, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134307, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 26, 10, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134308, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 5, 11, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134309, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 37, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134310, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 33, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134311, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 124, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134312, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 299, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134313, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 125, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134314, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 25, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134315, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 58, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134316, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 31, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134317, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 210, 32, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134318, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 170, 24, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134319, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 5, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134320, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 248, 22, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134321, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 204, 26, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134322, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 99, 23, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134323, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 667, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134324, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 216, 8, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134325, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 56, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134326, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2321, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134327, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 94, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134328, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 135, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134329, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1435, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134330, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134331, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134332, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 344, 39, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134333, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134334, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 433, 32, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134335, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 473, 35, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134336, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 374, 27, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134337, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 748, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134338, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 217, 34, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134339, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 147, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134340, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 302, 28, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134341, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 142, 24, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134342, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 20499, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134343, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 1113, 21, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134344, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 143, 28, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134345, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 3, 8, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134346, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 862, 23, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134347, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1248, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134348, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 41, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134349, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 351, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134350, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 76, 13, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134351, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 190, 18, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134352, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 120, 17, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134353, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 98, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134354, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 94, 10, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134355, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 808, 19, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134356, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 296, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134357, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 139, 18, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134358, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 86, 14, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134359, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 1056, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134360, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 369, 8, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134361, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2340, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134362, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 108, 15, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134363, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2599, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134364, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1871, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134365, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 311, 18, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134366, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 204, 14, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134367, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1792, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134368, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 481, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134369, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 19, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134370, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 194, 23, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134371, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 289, 24, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134372, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 297, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134373, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 309, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134374, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1076, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134375, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 542, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134376, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 10, 19, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134377, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 16, 18, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134378, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 18, 15, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134379, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 5, 13, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134380, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 42, 11, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134381, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 68, 12, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134382, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 19, 15, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134383, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1396, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134384, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 121, 10, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134385, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 92, 13, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134386, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 340, 17, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134387, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 174, 8, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134388, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 40, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134389, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 5328, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134390, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 234, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134391, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1166, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134392, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 104, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134393, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 280, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134394, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 574, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134395, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 95, 13, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134396, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 264, 22, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134397, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 512, 11, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134398, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 330, 34, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134399, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 11187, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134400, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 202, 51, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134401, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 321, 51, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134402, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 151, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134403, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 278, 35, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134404, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 52, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134405, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 222, 35, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134406, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 303, 51, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134407, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 218, 28, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134408, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 287, 28, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134409, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 20499, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134410, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 210, 32, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134411, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 302, 28, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134412, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1248, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134413, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 99, 23, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134414, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1166, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134415, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 142, 24, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134416, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134417, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 28, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134418, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 139, 18, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134419, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 86, 14, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134420, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 481, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134421, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 120, 17, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134422, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 1792, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134423, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 94, 10, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134424, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1871, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134425, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 2599, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134426, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 2340, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134427, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 76, 13, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134428, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 309, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134429, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 297, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134430, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 340, 17, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134431, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 92, 13, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134432, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 121, 10, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134433, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 40, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134434, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 174, 8, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134435, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 43, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134436, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 5, 11, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134437, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 104, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134438, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 1097, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134439, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 241, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134440, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 25, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134441, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 125, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134442, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 31, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134443, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 95, 13, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134444, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 58, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134445, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 862, 23, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134446, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 808, 19, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134447, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E20', 3, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134448, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1396, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134449, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 433, 32, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134450, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 374, 27, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134451, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 135, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134452, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 473, 35, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134453, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 289, 24, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134454, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 194, 23, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134455, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E16', 8, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134456, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134457, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 574, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134458, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134459, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 108, 15, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134460, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 1113, 21, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134461, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 369, 8, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134462, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 204, 14, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134463, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 311, 18, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134464, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 19, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134465, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 147, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134466, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 19, 15, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134467, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 217, 34, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134468, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 98, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134469, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 190, 18, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134470, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 667, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134471, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 228, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134472, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 248, 22, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134473, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 16, 18, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134474, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 5, 12, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134475, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 280, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134476, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 42, 11, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134477, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 344, 39, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134478, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 18, 15, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134479, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 10, 19, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134480, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 5, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134481, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 122, 3, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134482, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 95, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134483, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 748, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134484, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 80, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134485, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 351, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134486, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 124, 5, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134487, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 33, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134488, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 299, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134489, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 512, 11, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134490, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 3, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134491, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 5328, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134492, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 542, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134493, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 41, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134494, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 170, 24, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134495, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 856, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134496, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 3, 8, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134497, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 407, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134498, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1435, 9, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134499, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 143, 28, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134500, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2321, 4, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134501, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 152, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134502, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 287, 28, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134503, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 32, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134504, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 234, 7, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134505, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 202, 51, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134506, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 321, 51, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134507, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 43, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134508, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 264, 22, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134509, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 178, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134510, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 330, 34, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134511, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 216, 8, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134512, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 303, 51, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134513, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 56, 2, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134514, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 218, 28, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134515, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 278, 35, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134516, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 222, 35, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134517, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 1076, 6, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134518, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '宜宾市市场监管局', '', '1D09', 22342, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134519, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 204, 26, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134520, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 68, 12, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134521, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D08', 72, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134522, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D07', 99, 1, 2024, 5, 20, '2024-08-05 14:07:01', NULL, NULL), (134523, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 65, 85, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134524, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 90, 64, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134525, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 225, 46, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134526, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 267, 174, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134527, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1658, 49, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134528, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 108, 424, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134529, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 775, 135, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134530, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 257, 66, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134531, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 345, 151, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134532, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 108, 424, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134533, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 145, 111, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134534, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1658, 49, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134535, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 253, 67, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134536, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 264, 176, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134537, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 65, 85, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134538, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 345, 151, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134539, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 775, 135, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134540, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 4, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134541, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 310, 23, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134542, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 14, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134543, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 207, 27, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134544, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 18, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134545, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 87, 15, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134546, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 65, 85, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134547, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 267, 21, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134548, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 89, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134549, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 753, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134550, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 138, 19, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134551, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 147, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134552, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 384, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134553, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 2778, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134554, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 4646, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134555, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 2225, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134556, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 405, 20, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134557, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 370, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134558, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 4518, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134559, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 100, 62, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134560, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 218, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134561, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 106, 304, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134562, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 921, 11, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134563, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 286, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134564, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '', 419, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134565, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 136, 19, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134566, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 775, 135, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134567, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 555, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134568, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 275, 34, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134569, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134570, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1487, 8, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134571, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 339, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134572, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 72, 49, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134573, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 135, 65, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134574, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 329, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134575, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 61, 60, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134576, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 757, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134577, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 2, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134578, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 504, 64, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134579, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 128, 58, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134580, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 3, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134581, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134582, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 136, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134583, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 26, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 844, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 224, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 2106, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 4518, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 251, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 43, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 95, 27, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 140, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 90, 38, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 367, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 109, 49, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 552, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 89, 51, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 282, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 4646, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 98, 38, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 230, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 133, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 166, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 129, 34, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 115, 39, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 166, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 1705, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 688, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 752, 20, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 861, 14, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 560, 23, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 40, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 9, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 48, 19, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 872, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 37, 15, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 536, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 220, 14, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 165, 33, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 146, 15, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 286, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 242, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 165, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 43, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 50, 26, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 1012, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 179, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 5, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 6, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 220, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 339, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 902, 18, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 123, 27, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 79, 25, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 21, 11, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 24, 8, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 50, 15, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 8, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 105, 16, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 405, 20, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 4, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 46, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 138, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 239, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 156, 16, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 68, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 1487, 8, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 31, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 67, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 7, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 82, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 259, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 90, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 127, 11, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 18, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 656, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 370, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 57, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 239, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 7, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 20, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 112, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 53, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 622, 8, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 447, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 189, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 656, 18, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 213, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 81, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 267, 21, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (134674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 384, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 70, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 2225, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 303, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 466, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 218, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 550, 11, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 489, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 329, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 136, 19, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134684, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 62, 59, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134685, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 128, 58, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134686, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 106, 304, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134687, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 4518, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134688, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 87, 15, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134689, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 753, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134690, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 4646, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134691, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 2, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134692, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 136, 19, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134693, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 504, 64, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134694, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 757, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134695, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 89, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134696, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 65, 85, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134697, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 339, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134698, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 329, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134699, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 921, 11, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134700, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 555, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134701, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 267, 21, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134702, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 18, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134703, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 405, 20, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134704, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 72, 49, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134705, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 4, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134706, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134707, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 775, 135, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134708, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 100, 62, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134709, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 2225, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134710, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 136, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134711, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 14, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134712, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 384, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134713, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 147, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134714, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 3, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134715, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 138, 19, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134716, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 218, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134717, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '', 419, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134718, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 215, 26, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134719, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 370, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134720, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 310, 23, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134721, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 275, 34, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134722, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 2778, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134723, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 137, 64, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134724, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 26, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134725, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1487, 8, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134726, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 286, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134727, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 921, 11, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134728, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134729, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 384, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134730, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134731, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 165, 33, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134732, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 4518, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134733, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 79, 25, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134734, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 267, 21, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134735, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 43, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134736, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 220, 14, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134737, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 48, 19, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134738, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 37, 15, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134739, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 40, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134740, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 9, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134741, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 6, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134742, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 289, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134743, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 5, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134744, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 92, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134745, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 81, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134746, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 213, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134747, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '2C06', 419, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134748, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 757, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134749, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 146, 15, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134750, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 552, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134751, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 367, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134752, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 259, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134753, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 140, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134754, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 82, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134755, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 4, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134756, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 166, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134757, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 166, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134758, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 230, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134759, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 282, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134760, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 656, 18, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134761, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 46, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134762, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 179, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134763, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 123, 27, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134764, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 50, 26, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134765, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 218, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134766, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 303, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134767, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 251, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134768, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 133, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134769, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 550, 11, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134770, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 466, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134771, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 555, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134772, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 2778, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134773, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 489, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134774, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 95, 27, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134775, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 136, 19, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134776, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 115, 39, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134777, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 129, 34, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134778, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 2, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134779, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 68, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134780, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 98, 38, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134781, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 156, 16, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134782, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 89, 51, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134783, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 239, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134784, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 109, 49, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134785, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 138, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134786, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 90, 38, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134787, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 1487, 8, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134788, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 329, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134789, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 31, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134790, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 536, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134791, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 872, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134792, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 688, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134793, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 1705, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134794, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 752, 20, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134795, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 50, 15, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134796, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 560, 23, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134797, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 105, 16, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134798, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 861, 14, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134799, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 1461, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134800, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 21, 11, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134801, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 286, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134802, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 14, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134803, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 7, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134804, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 24, 8, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134805, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134806, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134807, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 8, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134808, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 89, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134809, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 57, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134810, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 1012, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134811, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 902, 18, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134812, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E19', 45, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134813, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 90, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134814, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 67, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134815, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 7, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134816, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 127, 11, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134817, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 370, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134818, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 239, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134819, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 242, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134820, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 20, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134821, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 339, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134822, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 165, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134823, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 112, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134824, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 53, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134825, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 2225, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134826, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 189, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134827, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 194, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134828, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 710, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134829, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E27', 26, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134830, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 4646, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134831, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 405, 20, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134832, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 224, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134833, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 12, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134834, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 43, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134835, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 112, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134836, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 53, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134837, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 239, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134838, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 20, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134839, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 189, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134840, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 622, 8, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134841, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 447, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134842, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 81, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134843, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 70, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134844, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 213, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134845, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 489, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134846, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 550, 11, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134847, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 466, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134848, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 303, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134849, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 57, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134850, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 146, 15, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134851, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 136, 19, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134852, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 165, 33, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134853, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 1487, 8, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134854, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 21, 11, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134855, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 82, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134856, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 259, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134857, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 4646, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134858, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 656, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134859, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 18, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134860, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134861, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 79, 25, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134862, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134863, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 123, 27, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134864, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 7, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134865, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 179, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134866, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 50, 26, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134867, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 384, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134868, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 267, 21, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134869, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 656, 18, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134870, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 50, 15, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134871, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 105, 16, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134872, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 4, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134873, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 405, 20, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134874, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 4518, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134875, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 24, 8, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134876, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 43, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134877, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 844, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134878, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 8, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134879, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 46, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134880, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 156, 16, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134881, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 861, 14, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134882, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 224, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134883, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 68, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134884, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 138, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134885, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 239, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134886, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 2106, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134887, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 560, 23, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134888, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 1705, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134889, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 230, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134890, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 536, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134891, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 282, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134892, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 552, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134893, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 752, 20, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134894, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 367, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134895, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 688, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134896, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 140, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134897, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 872, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134898, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 902, 18, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134899, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 1012, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134900, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 166, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134901, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 166, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134902, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 2225, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134903, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 251, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134904, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 9, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134905, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 48, 19, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134906, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 40, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134907, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 37, 15, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134908, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 220, 14, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134909, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134910, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 43, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134911, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134912, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 370, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134913, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134914, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 31, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134915, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 67, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134916, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 90, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134917, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 127, 11, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 329, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134919, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 218, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134920, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 165, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134921, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 339, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134922, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 242, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134923, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 133, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134924, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 286, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134925, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 98, 38, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134926, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 5, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134927, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 89, 51, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134928, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 109, 49, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134929, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 220, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134930, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 90, 38, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134931, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 6, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134932, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 95, 27, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134933, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 115, 39, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134934, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 129, 34, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134935, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 4, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134936, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 57, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134937, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 50, 15, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134938, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 921, 11, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134939, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 21, 11, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134940, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 218, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134941, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 105, 16, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134942, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134943, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 7, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134944, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 189, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134945, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 138, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134946, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 239, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134947, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 156, 16, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134948, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 140, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134949, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 367, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134950, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 68, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134951, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 552, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134952, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 282, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134953, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 230, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134954, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 46, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134955, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 166, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134956, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 166, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134957, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '2C06', 419, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134958, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 67, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134959, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 31, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134960, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 7, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134961, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 127, 11, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134962, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 90, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134963, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 194, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134964, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 710, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134965, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 165, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134966, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 89, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134967, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 550, 11, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134968, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 489, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134969, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 242, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134970, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 303, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134971, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 466, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134972, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 43, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134973, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 224, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134974, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 2, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134975, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 370, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134976, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 123, 27, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134977, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 50, 26, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134978, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 12, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134979, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 179, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134980, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 1012, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134981, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 902, 18, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134982, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134983, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 536, 12, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134984, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 1705, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134985, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 4518, 9, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134986, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 688, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134987, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 752, 20, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134988, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 872, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134989, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 656, 18, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134990, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 43, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134991, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 267, 21, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134992, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 861, 14, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134993, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 560, 23, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134994, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 1487, 8, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134995, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 53, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134996, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 112, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134997, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 136, 19, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134998, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 48, 19, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (134999, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 37, 15, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135000, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 339, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135001, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 220, 14, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135002, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 79, 25, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135003, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 40, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135004, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 9, 17, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135005, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E19', 45, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135006, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 20, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135007, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 239, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135008, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 384, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135009, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 757, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135010, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 92, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135011, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 81, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135012, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 286, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135013, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 213, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135014, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 1461, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135015, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 251, 7, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135016, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 8, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135017, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 146, 15, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135018, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 2778, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135019, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 24, 8, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135020, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 405, 20, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135021, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 4646, 4, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135022, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 555, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135023, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 129, 34, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135024, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 329, 5, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135025, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 5, 2, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135026, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 89, 51, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135027, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 109, 49, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135028, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 6, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135029, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 133, 13, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135030, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 289, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135031, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 98, 38, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135032, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 82, 10, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135033, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 259, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135034, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E27', 26, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135035, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 115, 39, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135036, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 90, 38, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135037, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 95, 27, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135038, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 2225, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135039, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 165, 33, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135040, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 3, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135041, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D07', 14, 1, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135042, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 6, 2024, 5, 21, '2024-08-05 14:07:02', NULL, NULL), (135043, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 29, 77, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135044, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 131, 94, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135045, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 413, 44, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135046, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 98, 157, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135047, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 343, 53, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135048, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 58, 405, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135049, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 543, 118, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135050, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 110, 83, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135051, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 254, 142, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135052, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 58, 407, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135053, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 218, 140, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135054, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 337, 54, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135055, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 110, 83, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135056, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 98, 157, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135057, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 29, 78, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135058, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 254, 142, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135059, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 543, 118, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135060, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 107, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135061, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 12, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (135062, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 4, 16, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135063, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 19, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135064, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 496, 27, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135065, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 92, 8, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135066, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 25, 11, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135067, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 113, 13, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135068, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 30, 75, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135069, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 217, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135070, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 1803, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135071, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 409, 30, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135072, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 11, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135073, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 7, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135074, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 1122, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135075, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 840, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135076, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 34, 19, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135077, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 76, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135078, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 21, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135079, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 85, 10, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135080, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 152, 58, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135081, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 44, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135082, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 26, 293, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135083, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 173, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135084, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 105, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135085, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 575, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135086, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 543, 118, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135087, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 33, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135088, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 195, 46, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135089, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 3429, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135090, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 95, 77, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135091, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 145, 81, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135092, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 452, 8, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135093, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 46, 76, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135094, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 23, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135095, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 2, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135096, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 271, 56, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135097, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 126, 55, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135098, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 11, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135099, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135100, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 58, 11, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 105, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 296, 17, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 217, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 107, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 142, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 150, 11, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 557, 13, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 27, 27, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 17, 26, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 31, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 52, 30, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 136, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 46, 27, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 351, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 28, 42, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 174, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 840, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 18, 24, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 194, 8, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 5, 24, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 271, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 31, 23, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 25, 35, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 508, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 579, 14, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 477, 16, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 74, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 543, 17, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 37, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 6, 15, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 33, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 934, 13, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 45, 10, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 21, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 11, 10, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 63, 23, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 11, 35, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 173, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 401, 21, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 829, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 42, 15, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 126, 19, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 538, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 174, 21, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 6, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 28, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 10, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 31, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 3429, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 637, 26, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 155, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 177, 31, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 54, 14, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 4, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 240, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 44, 20, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 28, 16, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 34, 19, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 12, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 200, 15, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 81, 14, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 67, 12, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 73, 16, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 43, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 15, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 142, 20, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 36, 12, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 313, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 66, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 72, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 83, 22, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 116, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 602, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 76, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 28, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 5, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 54, 26, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 7, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 23, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 7, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 51, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 2, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 6, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 3, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 2, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 229, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 95, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 69, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 113, 13, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 25, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 7, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1122, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 336, 12, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 290, 13, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 44, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 186, 8, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 355, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 271, 14, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 466, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 575, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135202, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 46, 76, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135203, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 129, 54, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135204, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 26, 293, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135205, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 142, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135206, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 25, 11, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135207, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 1803, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135208, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 840, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135209, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 575, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135210, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 271, 56, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135211, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 23, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135212, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 217, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135213, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 30, 75, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135214, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 3429, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135215, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 105, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135216, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 452, 8, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135217, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 33, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135218, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 113, 13, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135219, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 92, 8, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135220, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 34, 19, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135221, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 145, 81, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135222, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 12, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135223, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135224, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 543, 118, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135225, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 31, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135226, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 152, 58, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135227, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 1122, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135228, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 58, 11, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135229, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 19, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135230, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 7, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135231, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 11, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135232, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 107, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135233, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 11, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135234, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 409, 30, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135235, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 44, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135236, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 496, 27, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135237, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 76, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135238, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 195, 46, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135239, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 4, 16, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135240, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 95, 77, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135241, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 2, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135242, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 173, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135243, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 105, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135244, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 15, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135245, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 5, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135246, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 7, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135247, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 63, 23, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135248, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C09', 142, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135249, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 113, 13, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135250, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 177, 31, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135251, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 42, 15, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135252, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 12, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135253, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 33, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135254, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 45, 10, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135255, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 39, 17, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135256, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 6, 15, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135257, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 28, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135258, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 8, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135259, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 6, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135260, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 25, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135261, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 69, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135262, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 95, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135263, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 107, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135264, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 23, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135265, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 11, 35, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135266, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 351, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135267, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 136, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135268, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 72, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135269, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 31, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135270, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 66, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135271, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 12, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135272, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 508, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135273, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 271, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135274, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 194, 8, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135275, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 174, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135276, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 229, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135277, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 200, 15, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135278, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 174, 21, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135279, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 155, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135280, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 126, 19, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135281, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 44, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135282, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 336, 12, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135283, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 150, 11, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135284, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 5, 24, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135285, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 186, 8, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135286, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 290, 13, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135287, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 33, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135288, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 271, 14, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135289, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 17, 26, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135290, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 27, 27, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135291, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 575, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135292, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 25, 35, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135293, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 31, 23, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135294, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 43, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135295, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 18, 24, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135296, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 73, 16, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135297, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 28, 42, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135298, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 67, 12, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135299, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 46, 27, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135300, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 81, 14, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135301, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 52, 30, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135302, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 466, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135303, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 142, 20, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135304, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 21, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135305, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 934, 13, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135306, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 579, 14, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135307, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 477, 16, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135308, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E15', 2, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135309, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 355, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135310, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 543, 17, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135311, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 44, 20, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135312, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 28, 16, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135313, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 74, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135314, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 54, 14, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135315, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 173, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135316, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 19, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135317, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 7, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135318, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 4, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135319, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135320, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 7, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135321, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 240, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135322, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 217, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135323, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 54, 26, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135324, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 538, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135325, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 637, 26, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135326, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E19', 1803, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135327, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 83, 22, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135328, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 36, 12, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135329, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 313, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135330, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 116, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135331, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 76, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135332, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 401, 21, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135333, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 23, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135334, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 3429, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135335, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 829, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135336, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 51, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135337, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 2, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135338, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 31, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135339, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 1122, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135340, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 2, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135341, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 3, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135342, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 6, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135343, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 840, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135344, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E19', 3, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135345, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 34, 19, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135346, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 296, 17, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135347, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 2, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135348, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 557, 13, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135349, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 51, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135350, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 2, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135351, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 23, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135352, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 2, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135353, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 6, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135354, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 3, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135355, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 69, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135356, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 25, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135357, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 95, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135358, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 271, 14, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135359, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 186, 8, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135360, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 290, 13, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135361, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 336, 12, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135362, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 54, 26, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135363, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 11, 35, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135364, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 575, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135365, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 63, 23, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135366, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 54, 14, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135367, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 66, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135368, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 72, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135369, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 840, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135370, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 28, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135371, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 602, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135372, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135373, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 177, 31, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135374, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 7, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135375, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 155, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135376, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 7, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135377, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 174, 21, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135378, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 126, 19, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135379, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 7, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135380, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 113, 13, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135381, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 229, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135382, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 44, 20, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135383, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 28, 16, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135384, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 12, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135385, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 142, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135386, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 34, 19, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135387, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 557, 13, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135388, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 4, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135389, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 240, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135390, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 105, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135391, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 107, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135392, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 200, 15, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135393, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 73, 16, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135394, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 74, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135395, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 296, 17, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135396, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 43, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135397, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 217, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135398, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 81, 14, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135399, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 543, 17, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135400, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 67, 12, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135401, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 194, 8, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135402, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 21, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135403, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 174, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135404, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 477, 16, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135405, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 351, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135406, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 136, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135407, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 579, 14, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135408, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 31, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135409, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 934, 13, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135410, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 637, 26, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135411, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 538, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135412, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 508, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135413, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 271, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135414, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1122, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135415, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 150, 11, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135416, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 6, 15, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135417, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 33, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135418, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 37, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135419, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 45, 10, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135420, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 11, 10, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135421, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 5, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135422, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 15, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135423, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 42, 15, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135424, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 76, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135425, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 313, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135426, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 142, 20, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135427, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 36, 12, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135428, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 83, 22, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135429, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 116, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135430, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 355, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135431, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 466, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135432, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 44, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135433, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 829, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135434, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 3429, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135435, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 31, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135436, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 401, 21, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135437, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 5, 24, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135438, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 173, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135439, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 18, 24, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135440, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 6, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135441, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 28, 42, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135442, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 46, 27, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135443, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 10, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135444, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 52, 30, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135445, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 28, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135446, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 17, 26, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135447, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 27, 27, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135448, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 25, 35, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135449, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 31, 23, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135450, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 12, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135451, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 54, 26, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135452, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 44, 20, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135453, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 105, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135454, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 54, 14, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135455, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 44, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135456, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 28, 16, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135457, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 7, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135458, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 7, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135459, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 2, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135460, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 81, 14, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135461, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 67, 12, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135462, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 31, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135463, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 73, 16, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135464, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 136, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135465, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 43, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135466, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 351, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135467, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 174, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135468, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 194, 8, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135469, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 271, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135470, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 200, 15, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135471, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 508, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135472, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 36, 12, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135473, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 142, 20, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135474, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 313, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135475, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 116, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135476, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 83, 22, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135477, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 3, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (135478, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 6, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135479, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 829, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135480, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 217, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135481, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 186, 8, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135482, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 271, 14, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135483, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 401, 21, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135484, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 336, 12, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 290, 13, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135486, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 557, 13, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135487, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 296, 17, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135488, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 76, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135489, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 155, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135490, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 126, 19, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135491, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 2, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135492, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 174, 21, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135493, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 538, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135494, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 637, 26, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135495, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 31, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135496, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E15', 2, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135497, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135498, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 21, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135499, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C09', 142, 6, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135500, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 579, 14, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135501, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 477, 16, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135502, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 934, 13, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135503, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 229, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135504, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 42, 15, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135505, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 113, 13, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135506, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 74, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135507, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 543, 17, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135508, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 2, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135509, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 51, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135510, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 575, 18, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135511, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 33, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135512, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 45, 10, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135513, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 3429, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135514, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 12, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135515, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 177, 31, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135516, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 39, 17, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135517, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 6, 15, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135518, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E19', 1803, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135519, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 23, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135520, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E19', 3, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135521, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 7, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135522, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 23, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135523, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 107, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135524, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 25, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135525, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 69, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135526, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 95, 2, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135527, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 173, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135528, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 150, 11, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135529, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 240, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135530, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 11, 35, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135531, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 4, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135532, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 34, 19, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135533, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 840, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135534, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 33, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135535, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 31, 23, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135536, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 6, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135537, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 466, 7, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135538, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 355, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135539, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 28, 42, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135540, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 46, 27, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135541, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 28, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135542, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 5, 24, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135543, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 8, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135544, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 18, 24, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135545, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 66, 9, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135546, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 27, 27, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135547, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 72, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135548, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 25, 35, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135549, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 52, 30, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135550, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 17, 26, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135551, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 1122, 5, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135552, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 63, 23, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135553, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 5, 3, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135554, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D07', 19, 1, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135555, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 15, 4, 2024, 5, 22, '2024-08-05 14:07:03', NULL, NULL), (135556, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 119, 68, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135557, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 108, 45, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135558, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 495, 100, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135559, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 100, 133, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135560, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 298, 39, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135561, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 84, 389, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135562, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 225, 126, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135563, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 997, 69, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135564, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1021, 161, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135565, 1, '511500000000-0001', '宜宾市民中心', '', '', '象鼻街道', '', 0, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135566, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 83, 394, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135567, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 372, 146, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135568, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 298, 39, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135569, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 997, 69, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135570, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 97, 136, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135571, 1, '511500000000-0001', '宜宾市民中心', '', '', '综合服务大厅', '', 0, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135572, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 119, 68, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135573, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1021, 161, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135574, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 222, 128, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135575, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 79, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135576, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 140, 24, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135577, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 12991, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135578, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 91, 3, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135579, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 677, 46, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135580, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 69, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135581, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 41, 19, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135582, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 121, 67, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135583, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 590, 12, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135584, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 17, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135585, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 1184, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135586, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 225, 26, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135587, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 256, 23, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135588, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1050, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135589, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 405, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135590, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 272, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135591, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 56, 20, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135592, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 292, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135593, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 311, 3, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135594, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 14, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135595, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 159, 53, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135596, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 426, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135597, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 58, 286, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135598, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 343, 17, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135599, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 821, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135600, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 594, 19, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135601, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 225, 126, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135602, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 441, 37, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135603, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 33, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135604, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 677, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135605, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 78, 32, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135606, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 49, 43, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135607, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 653, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135608, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 60, 64, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135609, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 115, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135610, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 4, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135611, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1512, 83, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135612, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 156, 50, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135613, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 4, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135614, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 6, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135615, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 105, 6, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 812, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 350, 9, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 130, 9, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 221, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 405, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 79, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 103, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 273, 13, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 253, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 62, 35, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 55, 32, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 145, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1034, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 49, 38, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 468, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 62, 42, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 8, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 653, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 69, 31, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 52, 3, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 53, 30, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 179, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 59, 14, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 47, 30, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2153, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 256, 9, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 152, 23, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 170, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 149, 22, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 104, 12, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 247, 14, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 3, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 482, 7, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 64, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 169, 20, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 3, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 184, 13, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 64, 34, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 343, 17, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 672, 32, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 688, 14, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 221, 12, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 123, 17, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 294, 25, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 64, 21, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 134, 9, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 116, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 345, 13, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 311, 3, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 677, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 269, 16, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 332, 15, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 147, 30, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 20, 10, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 69, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 27, 20, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 23, 19, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 56, 20, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 12991, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 63, 10, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 42, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 41, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 63, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 42, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 10, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 33, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 28, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 177, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 39, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 75, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 134, 9, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 115, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 292, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 179, 15, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 3, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 57, 6, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 55, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 9, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 20, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 118, 16, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 312, 7, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 245, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1493, 29, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 111, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 211, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 590, 12, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 100, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1050, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1684, 20, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1343, 21, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 426, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1562, 13, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 653, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 594, 19, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135712, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 60, 64, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135713, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 156, 50, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135714, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 58, 286, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135715, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 41, 19, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135716, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 1184, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135717, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 272, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135718, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 594, 19, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135719, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1512, 83, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135720, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 115, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135721, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 17, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135722, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 121, 67, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135723, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 677, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135724, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 821, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135725, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 653, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135726, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 590, 12, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135727, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 69, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135728, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 56, 20, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135729, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 78, 32, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135730, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 12991, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135731, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 6, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135732, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 225, 126, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135733, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 311, 3, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135734, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 159, 53, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135735, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 127, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135736, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 91, 3, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135737, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1050, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135738, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 256, 23, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135739, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 79, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135740, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 4, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135741, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 225, 26, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135742, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 426, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135743, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 677, 46, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135744, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 292, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135745, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 140, 24, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135746, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 441, 37, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135747, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 405, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135748, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 49, 43, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135749, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 4, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135750, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 343, 17, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135751, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 33, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135752, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1005, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135753, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 85, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135754, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135755, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 1050, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135756, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 169, 20, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135757, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 590, 12, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135758, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 147, 30, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135759, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 221, 12, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135760, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 3, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135761, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 3, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135762, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 64, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135763, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 113, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135764, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 247, 14, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135765, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 154, 3, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135766, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 345, 13, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135767, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 134, 7, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135768, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 100, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135769, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 211, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135770, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 111, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135771, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 79, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135772, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 115, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135773, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 64, 34, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135774, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 468, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135775, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 1034, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135776, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 145, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135777, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 39, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135778, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 2153, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135779, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 12991, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135780, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 179, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135781, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 52, 3, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135782, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 653, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135783, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1493, 29, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135784, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 63, 10, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135785, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 64, 21, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135786, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 332, 15, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135787, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 123, 17, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135788, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 426, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135789, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 273, 13, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135790, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1684, 20, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135791, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 53, 30, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135792, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1343, 21, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135793, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 405, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135794, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1562, 13, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135795, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 55, 32, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135796, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 62, 35, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135797, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 594, 19, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135798, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 47, 30, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135799, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 59, 14, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135800, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 42, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135801, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 69, 31, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135802, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 63, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135803, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 62, 42, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135804, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 41, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135805, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 49, 38, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135806, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 42, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135807, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 33, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135808, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 653, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135809, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 10, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135810, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 184, 13, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135811, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 482, 7, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135812, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 256, 9, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135813, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 152, 23, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135814, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 27, 20, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135815, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 149, 22, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135816, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 170, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135817, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 23, 19, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135818, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 1184, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135819, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 20, 10, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135820, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D09', 135, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135821, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 343, 17, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135822, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D08', 4, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135823, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 3, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135824, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 69, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135825, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 9, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135826, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135827, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 17, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135828, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 179, 15, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135829, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 294, 25, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135830, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 269, 16, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135831, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 75, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135832, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 28, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135833, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 177, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135834, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 134, 9, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135835, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C05', 523, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135836, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 292, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135837, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 672, 32, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135838, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C06', 39, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135839, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 57, 6, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135840, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 677, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135841, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 3, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135842, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 688, 14, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135843, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 55, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135844, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 20, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135845, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 311, 3, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135846, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C12', 8, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135847, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 245, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135848, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 166, 6, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135849, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 118, 16, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135850, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E19', 4, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135851, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 56, 20, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135852, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 144, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135853, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C03', 221, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135854, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 203, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135855, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 253, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135856, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C05', 336, 6, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135857, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 55, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135858, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 20, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135859, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 57, 6, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135860, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 245, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135861, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 118, 16, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135862, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 312, 7, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135863, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 211, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135864, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 100, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135865, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 111, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135866, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1562, 13, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135867, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1343, 21, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135868, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1684, 20, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135869, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 179, 15, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135870, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 64, 34, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135871, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 594, 19, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135872, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 169, 20, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135873, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 20, 10, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135874, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 33, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135875, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 39, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135876, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 8, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135877, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 115, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135878, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 9, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135879, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 147, 30, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135880, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135881, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 332, 15, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135882, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 3, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135883, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 64, 21, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135884, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 123, 17, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135885, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1050, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135886, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 590, 12, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135887, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1493, 29, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135888, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 27, 20, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (135889, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 23, 19, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135890, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 12991, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135891, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 56, 20, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135892, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 103, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135893, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 253, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135894, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 69, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135895, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 812, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135896, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 79, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135897, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 63, 10, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135898, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 350, 9, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135899, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 170, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135900, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 63, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135901, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 130, 9, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135902, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 42, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135903, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 221, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135904, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 42, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135905, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 405, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135906, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 149, 22, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135907, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 41, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135908, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 52, 3, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135909, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 184, 13, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135910, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 653, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135911, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 152, 23, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135912, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 468, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135913, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 256, 9, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135914, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1034, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135915, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 145, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135916, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 482, 7, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135917, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 269, 16, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135918, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 294, 25, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135919, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2153, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135920, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 179, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135921, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 273, 13, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135922, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 247, 14, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135923, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 3, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135924, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 104, 12, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135925, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 64, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135926, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 3, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135927, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135928, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 221, 12, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135929, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 292, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135930, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 177, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135931, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 10, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135932, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 28, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135933, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 75, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135934, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 134, 9, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135935, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 653, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135936, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 426, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135937, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 688, 14, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135938, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 677, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135939, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 311, 3, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135940, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 672, 32, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135941, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 53, 30, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135942, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 343, 17, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135943, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 69, 31, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135944, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 134, 9, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135945, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 62, 42, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135946, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 49, 38, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135947, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 345, 13, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135948, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 116, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135949, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 55, 32, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135950, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 62, 35, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135951, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 47, 30, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135952, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 59, 14, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135953, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 179, 15, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135954, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 12991, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135955, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 27, 20, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135956, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 20, 10, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135957, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1005, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135958, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 426, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135959, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 23, 19, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135960, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 85, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135961, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135962, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 3, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135963, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 245, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135964, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 42, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135965, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 41, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135966, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 63, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135967, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 145, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135968, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 1034, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135969, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 42, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135970, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 468, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135971, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 653, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135972, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 52, 3, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135973, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 63, 10, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135974, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 179, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135975, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 2153, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135976, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 28, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135977, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 10, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135978, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 177, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135979, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 134, 9, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135980, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 75, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135981, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 166, 6, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135982, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 118, 16, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135983, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 17, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135984, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 688, 14, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135985, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1562, 13, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135986, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 672, 32, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135987, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1684, 20, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135988, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 203, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135989, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1343, 21, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135990, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 253, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135991, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C05', 336, 6, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135992, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 144, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135993, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C03', 221, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135994, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 292, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135995, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 332, 15, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135996, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 123, 17, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135997, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 64, 21, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135998, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 294, 25, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (135999, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 269, 16, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136000, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 311, 3, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136001, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 9, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136002, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 184, 13, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136003, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 256, 9, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136004, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 152, 23, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136005, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 482, 7, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136006, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1493, 29, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136007, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 221, 12, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136008, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 590, 12, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136009, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 170, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136010, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 149, 22, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136011, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 33, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136012, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 20, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136013, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 55, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136014, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 594, 19, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136015, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 3, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136016, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 64, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136017, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 677, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136018, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 3, 8, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136019, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 147, 30, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136020, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 113, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136021, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 247, 14, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136022, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 57, 6, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136023, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E19', 4, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136024, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 1050, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136025, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 115, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136026, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 79, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136027, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 100, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136028, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 211, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136029, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 111, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136030, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 343, 17, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136031, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C12', 8, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136032, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 1184, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136033, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 273, 13, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136034, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 64, 34, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136035, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 405, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136036, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 69, 11, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136037, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 56, 20, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136038, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 59, 14, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136039, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 134, 7, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136040, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 653, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136041, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 62, 42, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136042, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 49, 38, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136043, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 154, 3, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136044, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 53, 30, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136045, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 345, 13, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136046, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 69, 31, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136047, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 39, 4, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136048, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 62, 35, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136049, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 47, 30, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136050, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 55, 32, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136051, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 169, 20, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136052, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C06', 39, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136053, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C05', 523, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136054, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D08', 4, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136055, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 3, 1, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136056, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 5, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136057, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D09', 135, 2, 2024, 5, 23, '2024-08-05 14:07:04', NULL, NULL), (136058, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 160, 93, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136059, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 39, 40, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136060, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 580, 53, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136061, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 206, 160, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136062, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 814, 74, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136063, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 110, 420, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136064, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 313, 137, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136065, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 99, 77, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136066, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1426, 170, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136067, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 120, 425, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136068, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 340, 95, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136069, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 683, 72, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136070, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 99, 77, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136071, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 227, 161, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136072, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 160, 93, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136073, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1424, 172, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136074, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 313, 137, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136075, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 6, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136076, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 57, 23, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136077, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 409, 21, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136078, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 293, 15, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136079, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 101, 11, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136080, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 160, 93, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136081, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 288, 18, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136082, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 4, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136083, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 1709, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136084, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 302, 35, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136085, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 8, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136086, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 297, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136087, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 96, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136088, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 861, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136089, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 88, 11, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136090, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 153, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136091, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 328, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136092, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 1240, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136093, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2230, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136094, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 153, 74, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136095, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 508, 9, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136096, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 107, 307, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136097, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1505, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136098, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 722, 22, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136099, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 521, 19, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136100, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 313, 137, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136101, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1916, 52, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136102, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 927, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136103, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 28, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136104, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 52, 22, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136105, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 161, 68, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136106, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 149, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136107, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 47, 69, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136108, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 135, 9, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136109, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 48, 42, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136110, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1716, 74, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136111, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 4, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136112, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 8, 7, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136113, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 167, 7, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1975, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 952, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 126, 14, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 16, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 96, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2733, 8, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 65, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 142, 18, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 94, 46, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 101, 26, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1225, 4, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 93, 34, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1188, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 120, 26, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1858, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 958, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 98, 33, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2973, 4, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 183, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 137, 29, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1213, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 101, 27, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 8, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2978, 8, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 156, 25, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 97, 35, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 3694, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 340, 12, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 257, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 690, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 236, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 342, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 152, 14, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 120, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 175, 20, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 175, 19, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 245, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 63, 12, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 319, 15, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 137, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 94, 25, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 794, 20, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 513, 12, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 270, 9, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 143, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 189, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 173, 32, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 401, 21, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 8, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1240, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 28, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 286, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 108, 24, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 43, 29, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 35, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 293, 15, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 51, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 153, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 55, 15, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 6, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 144, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 154, 20, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 121, 8, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 32, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 927, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 105, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 63, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 195, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 6, 4, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 232, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 37, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 111, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 328, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 135, 9, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 5, 12, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 47, 24, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 25, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 129, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 71, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 7, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 63, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 23, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 279, 8, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 47, 7, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1834, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 246, 4, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 305, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 297, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 63, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 861, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1736, 20, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1524, 21, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 508, 9, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1935, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 149, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 521, 19, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136213, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 47, 69, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136214, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 49, 41, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136215, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 107, 306, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136216, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 2230, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136217, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 101, 11, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136218, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 1709, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136219, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 97, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136220, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 521, 19, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136221, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1740, 73, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136222, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 135, 9, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136223, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 4, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136224, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 160, 93, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136225, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 28, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136226, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1505, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136227, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 149, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136228, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 305, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136229, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 293, 15, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136230, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 153, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136231, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 52, 22, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136232, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 6, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136233, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 8, 7, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136234, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 313, 137, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136235, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 1240, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136236, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 155, 73, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136237, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 861, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136238, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 167, 7, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136239, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 297, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136240, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 8, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136241, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 4, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136242, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 302, 35, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136243, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 508, 9, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136244, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 409, 21, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136245, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 328, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136246, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 57, 23, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136247, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1916, 52, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136248, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 161, 68, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136249, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 96, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136250, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 794, 20, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136251, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 927, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136252, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1980, 7, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136253, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 952, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136254, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136255, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 297, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136256, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 5, 12, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136257, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 63, 12, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136258, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 43, 29, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136259, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 305, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136260, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 143, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136261, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C13', 2230, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136262, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 137, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136263, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 175, 20, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136264, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 245, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136265, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 152, 14, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136266, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 120, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136267, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 8, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136268, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 63, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136269, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 246, 4, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136270, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 135, 9, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136271, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 94, 25, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136272, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 958, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136273, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 1188, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136274, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 232, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136275, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 1225, 4, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136276, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 195, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136277, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 3694, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136278, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 6, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136279, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 2978, 8, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136280, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 1213, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136281, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 2973, 4, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136282, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1834, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136283, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 144, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136284, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 173, 32, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136285, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 108, 24, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136286, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 189, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136287, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 508, 9, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136288, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1736, 20, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136289, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 2733, 8, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136290, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 101, 27, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136291, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1524, 21, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136292, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 96, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (136293, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1935, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136294, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 101, 26, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136295, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 94, 46, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136296, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 521, 19, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136297, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 97, 35, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136298, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 156, 25, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136299, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 32, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136300, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 137, 29, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136301, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 98, 33, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136302, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 121, 8, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136303, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 120, 26, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136304, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 154, 20, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136305, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 93, 34, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136306, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 927, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136307, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 149, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136308, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136309, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 319, 15, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136310, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 175, 19, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136311, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 340, 12, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136312, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 690, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136313, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 257, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136314, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 51, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136315, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 342, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136316, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 55, 15, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136317, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 236, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136318, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 1709, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136319, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 35, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136320, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 794, 20, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136321, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 25, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136322, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 293, 15, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136323, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 7, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136324, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136325, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 4, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136326, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 47, 24, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136327, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 401, 21, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136328, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 286, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136329, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 6, 4, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136330, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 105, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136331, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 63, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136332, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 37, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136333, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C03', 13, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136334, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 328, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136335, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 18, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136336, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C07', 152, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136337, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 513, 12, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136338, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 129, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136339, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 28, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136340, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 270, 9, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136341, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 71, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136342, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 63, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136343, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 8, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136344, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 861, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136345, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 1240, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136346, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 632, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136347, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 47, 7, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136348, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 75, 7, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136349, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 23, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136350, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C07', 5, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136351, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 183, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136352, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 50, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136353, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 153, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136354, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 157, 11, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136355, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C03', 19, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136356, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 111, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136357, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 65, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136358, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 149, 14, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136359, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 1963, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136360, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 71, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136361, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 63, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136362, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 129, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136363, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 47, 7, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136364, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 23, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136365, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 279, 8, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136366, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 246, 4, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136367, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 63, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136368, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1935, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136369, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1524, 21, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136370, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1736, 20, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136371, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 47, 24, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136372, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 94, 25, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136373, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 521, 19, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136374, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 63, 12, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136375, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 35, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136376, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 927, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136377, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 195, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136378, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 232, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136379, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 183, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136380, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 8, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136381, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 135, 9, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136382, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 111, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136383, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1858, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136384, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136385, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 7, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136386, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 43, 29, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136387, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136388, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 108, 24, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136389, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 25, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136390, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 173, 32, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136391, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 189, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136392, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 297, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136393, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 305, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136394, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1834, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136395, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 51, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136396, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 55, 15, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136397, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 6, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136398, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 153, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136399, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 65, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136400, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 142, 18, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136401, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 293, 15, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136402, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1975, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136403, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 144, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136404, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 952, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136405, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 236, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136406, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 690, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136407, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 32, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136408, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 126, 14, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136409, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 16, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136410, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 154, 20, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136411, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 342, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136412, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 96, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136413, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 121, 8, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136414, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1213, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136415, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2973, 4, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136416, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 319, 15, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136417, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 257, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136418, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 958, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136419, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1188, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136420, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 340, 12, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136421, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1225, 4, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136422, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 175, 19, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136423, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 286, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136424, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 401, 21, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136425, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 3694, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136426, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2978, 8, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136427, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 861, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136428, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2733, 8, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136429, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 120, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136430, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 175, 20, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136431, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 152, 14, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136432, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 245, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136433, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 137, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136434, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 5, 12, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136435, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136436, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 143, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136437, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 328, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136438, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 63, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136439, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 105, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136440, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 4, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136441, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 37, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136442, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 149, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136443, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 508, 9, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136444, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 270, 9, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136445, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 28, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136446, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 1240, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136447, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 513, 12, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136448, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 101, 27, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136449, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 794, 20, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136450, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 137, 29, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136451, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 98, 33, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136452, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 120, 26, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136453, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 8, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136454, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 93, 34, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136455, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 101, 26, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136456, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 94, 46, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136457, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 97, 35, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136458, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 156, 25, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136459, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 6, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136460, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 47, 24, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136461, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 51, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136462, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1980, 7, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136463, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 35, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136464, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 508, 9, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136465, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 55, 15, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136466, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 952, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136467, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136468, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 25, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136469, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 47, 7, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136470, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 154, 20, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136471, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 121, 8, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136472, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 1225, 4, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136473, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 1188, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136474, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 32, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136475, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 958, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136476, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 2973, 4, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136477, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 1213, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136478, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 144, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136479, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 2978, 8, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136480, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 3694, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136481, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 105, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136482, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 63, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136483, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 37, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136484, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 4, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136485, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 75, 7, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136486, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 23, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136487, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 4, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136488, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 270, 9, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136489, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1935, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136490, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1736, 20, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136491, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 513, 12, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136492, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 65, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136493, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1524, 21, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136494, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 149, 14, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136495, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C06', 1963, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136496, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 157, 11, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136497, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C03', 19, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136498, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 328, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136499, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 108, 24, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136500, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 189, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136501, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 111, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136502, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 173, 32, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136503, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 401, 21, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136504, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 286, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136505, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136506, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 1240, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136507, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 7, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136508, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 319, 15, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136509, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 340, 12, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136510, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 257, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136511, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 175, 19, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136512, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1834, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136513, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 143, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136514, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 305, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136515, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C13', 2230, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136516, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 690, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136517, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 236, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136518, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 342, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136519, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 927, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136520, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 63, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136521, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 71, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136522, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 521, 19, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136523, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 175, 20, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136524, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 245, 13, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136525, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 28, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136526, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 137, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136527, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 43, 29, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136528, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 152, 14, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136529, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 120, 17, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136530, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 129, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136531, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 297, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136532, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 135, 9, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136533, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 63, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136534, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 632, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136535, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 246, 4, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136536, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 794, 20, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136537, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 1709, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136538, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 8, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136539, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C07', 5, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136540, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 2733, 8, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136541, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 94, 25, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136542, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 96, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136543, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 293, 15, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136544, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 153, 10, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136545, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 50, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136546, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 183, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136547, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 156, 25, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136548, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 149, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136549, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 98, 33, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136550, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 120, 26, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136551, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 101, 27, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136552, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 8, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136553, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 137, 29, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136554, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 195, 16, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136555, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 94, 46, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136556, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 232, 6, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136557, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 97, 35, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136558, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 93, 34, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136559, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 101, 26, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136560, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 861, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136561, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 63, 12, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136562, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 5, 12, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136563, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C04', 18, 2, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136564, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C03', 13, 1, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136565, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 5, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136566, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C07', 152, 3, 2024, 5, 24, '2024-08-05 14:07:05', NULL, NULL), (136567, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 730, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136568, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 30, 5, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136569, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 37, 1, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136570, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 291, 108, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136571, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 678, 34, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136572, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1482, 19, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136573, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 288, 109, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136574, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 0, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136575, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 37, 1, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136576, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 678, 34, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136577, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 25, 6, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136578, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 730, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136579, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1482, 19, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136580, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 0, 1, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136581, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 97, 3, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136582, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 730, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136583, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1975, 14, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136584, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 43, 3, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136585, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 37, 1, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136586, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 678, 34, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136587, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 10, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136588, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 42, 8, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136589, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 531, 50, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136590, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 0, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136591, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 109, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136592, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 88, 51, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 63, 33, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 618, 24, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 10, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 823, 10, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 160, 9, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 109, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 122, 8, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1858, 5, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 604, 20, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2312, 3, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 483, 30, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 43, 3, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 730, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 97, 3, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 37, 1, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2264, 4, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 42, 8, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1182, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136611, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 678, 34, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136612, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 90, 50, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136613, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 42, 8, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136614, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 97, 3, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136615, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 730, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136616, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 37, 1, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136617, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 10, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136618, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1975, 14, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136619, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 43, 3, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136620, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 109, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136621, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 531, 50, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136622, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 43, 3, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136623, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 109, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136624, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 42, 8, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136625, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 483, 30, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136626, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 618, 24, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136627, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 823, 10, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136628, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 604, 20, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136629, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 2264, 4, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136630, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 10, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136631, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 730, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136632, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 37, 1, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136633, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 1182, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136634, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 63, 33, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136635, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 2312, 3, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136636, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 97, 3, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136637, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 1858, 5, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136638, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 122, 8, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136639, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 160, 9, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136640, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 10, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136641, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 37, 1, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136642, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 730, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136643, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 43, 3, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136644, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1182, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136645, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2312, 3, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136646, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1858, 5, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136647, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 109, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136648, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 483, 30, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136649, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 604, 20, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136650, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 122, 8, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136651, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2264, 4, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136652, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 160, 9, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136653, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 97, 3, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136654, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 618, 24, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136655, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 63, 33, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136656, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 823, 10, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136657, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 42, 8, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136658, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 2264, 4, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136659, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 97, 3, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136660, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 37, 1, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136661, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 42, 8, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136662, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 1858, 5, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136663, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 2312, 3, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136664, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 43, 3, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136665, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 1182, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136666, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 730, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136667, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 10, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136668, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 618, 24, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136669, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 823, 10, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136670, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 604, 20, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136671, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 483, 30, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136672, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 122, 8, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136673, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 160, 9, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136674, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 63, 33, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136675, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 109, 2, 2024, 5, 25, '2024-08-05 14:07:06', NULL, NULL), (136676, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 5, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136677, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 331, 4, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136678, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 93, 49, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136679, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 937, 8, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136680, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 5067, 24, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136681, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 93, 49, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136682, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 4864, 25, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136683, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 264, 5, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136684, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 5, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136685, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 937, 8, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136686, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136687, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 528, 2, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136688, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 1248, 6, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (136689, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 233, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136690, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 100, 27, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136691, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 19, 8, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136692, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 5, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136693, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 7, 2, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136694, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 0, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136695, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 35, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136696, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 121, 14, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136697, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 5067, 24, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 233, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 126, 11, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 5269, 12, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 4865, 12, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 528, 2, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 9, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 293, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 11, 2, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 5, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 35, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 91, 15, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 5, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 113, 12, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 1248, 6, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 19, 8, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136713, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 5067, 24, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136714, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 121, 14, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136715, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 19, 8, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136716, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 233, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136717, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 528, 2, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136718, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 7, 2, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136719, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 1248, 6, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136720, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 35, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136721, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 5, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136722, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 100, 27, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136723, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 113, 12, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136724, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 19, 8, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136725, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 4865, 12, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136726, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 91, 15, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136727, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 5269, 12, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136728, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 528, 2, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136729, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 9, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136730, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 35, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136731, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 233, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136732, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 5, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136733, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 126, 11, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136734, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 5, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136735, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 1248, 6, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136736, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 11, 2, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136737, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 293, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136738, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 528, 2, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136739, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 233, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136740, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 5269, 12, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136741, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 35, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136742, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 5, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136743, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 9, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136744, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 113, 12, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136745, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 91, 15, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136746, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 1248, 6, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136747, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 11, 2, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136748, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 5, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136749, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 293, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136750, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 126, 11, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136751, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 4865, 12, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136752, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 19, 8, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136753, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 9, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136754, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 19, 8, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136755, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 5, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136756, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 233, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136757, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 5, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136758, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 528, 2, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136759, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 4865, 12, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136760, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 5269, 12, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136761, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 91, 15, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136762, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 113, 12, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136763, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 11, 2, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136764, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 293, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136765, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 1248, 6, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136766, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 126, 11, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136767, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 35, 1, 2024, 5, 26, '2024-08-05 14:07:07', NULL, NULL), (136768, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 68, 86, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136769, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 11, 82, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136770, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 204, 54, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136771, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 134, 175, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136772, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 455, 60, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136773, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 572, 548, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136774, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 376, 91, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136775, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 259, 133, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136776, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 513, 119, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136777, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 572, 548, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136778, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 88, 136, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136779, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 441, 62, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136780, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 353, 97, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136781, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 132, 177, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136782, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 68, 86, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136783, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 513, 119, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136784, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 259, 133, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136785, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 4, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136786, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136787, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 37, 30, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136788, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 260, 27, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136789, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 166, 8, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136790, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 22, 16, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136791, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 268, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136792, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 68, 86, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136793, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 83, 8, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136794, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 11, 24, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136795, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 38, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136796, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1637, 5, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136797, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 7043, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136798, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 5, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136799, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 162, 5, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136800, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 122, 24, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136801, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 75, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136802, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 569, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136803, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 301, 6, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136804, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 186, 88, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136805, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 376, 9, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136806, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 727, 390, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136807, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 144, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136808, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 457, 9, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136809, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 380, 21, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136810, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 259, 133, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136811, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 900, 34, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136812, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136813, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1140, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136814, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 99, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136815, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 9, 69, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136816, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 65, 64, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136817, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 438, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136818, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 376, 91, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136819, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 165, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136820, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 3, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136821, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 278, 33, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136822, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 194, 70, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136823, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 7, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136824, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136825, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 328, 15, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 326, 8, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 1507, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 33, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 7043, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 4, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 142, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 763, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 12, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 634, 29, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 643, 40, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 678, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 765, 52, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1027, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 934, 47, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 584, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 949, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 888, 43, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 801, 6, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 158, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 628, 39, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 826, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 659, 28, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 12, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1049, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 519, 28, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 808, 39, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1605, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 246, 18, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 177, 25, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 271, 23, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 6, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 2, 17, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 3, 17, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 237, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 97, 11, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 62, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 323, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 228, 33, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 633, 45, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 144, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 153, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 358, 14, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 116, 16, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 204, 31, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 338, 18, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 176, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 27, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 41, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 43, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 301, 6, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 99, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 319, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 175, 38, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 163, 37, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 342, 26, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 166, 8, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 453, 38, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 307, 24, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 122, 24, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 4, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 83, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 83, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 35, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 68, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 79, 5, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 1140, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 9, 9, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 15, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 28, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 14, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 85, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 25, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 15, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 165, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 75, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 8, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 354, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 55, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 43, 5, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 5, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 2, 6, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 75, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 3, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 31, 11, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 305, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 44, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 268, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1637, 5, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 432, 11, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 307, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 212, 6, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 376, 9, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 231, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 329, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 438, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 380, 21, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136928, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 380, 90, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136929, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 194, 70, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136930, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 727, 390, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136931, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 616, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136932, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 22, 16, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136933, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 162, 5, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136934, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 3, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136935, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 380, 21, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136936, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 278, 33, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136937, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 165, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136938, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 83, 8, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136939, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 68, 86, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136940, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 99, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136941, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 438, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136942, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 457, 9, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136943, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 268, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136944, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 166, 8, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136945, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 122, 24, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136946, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 9, 69, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136947, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 4, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136948, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136949, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 259, 133, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136950, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 301, 6, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136951, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 186, 88, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136952, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 328, 15, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136953, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 38, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136954, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1637, 5, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136955, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 7, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136956, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 11, 24, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136957, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 376, 9, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136958, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 260, 27, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136959, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 75, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136960, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 37, 30, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136961, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 900, 34, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136962, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 7043, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136963, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 66, 63, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136964, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1140, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136965, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 144, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136966, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 326, 8, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136967, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 1507, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136968, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136969, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 8, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136970, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 1637, 5, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136971, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 228, 33, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136972, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 268, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136973, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 163, 37, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136974, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 116, 16, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136975, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C13', 616, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136976, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 62, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136977, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 3, 17, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136978, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 237, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136979, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 6, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136980, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 2, 17, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136981, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 41, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136982, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 43, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136983, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 27, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136984, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 432, 11, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136985, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 44, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136986, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 165, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136987, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 633, 45, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136988, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 949, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136989, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 1027, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136990, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 85, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136991, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 678, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136992, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 28, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136993, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 4, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136994, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 1605, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136995, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 1049, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136996, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 826, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136997, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 801, 6, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136998, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 305, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (136999, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 83, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137000, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 176, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137001, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 175, 38, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137002, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 204, 31, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137003, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 376, 9, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137004, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 763, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137005, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 307, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137006, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 659, 28, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137007, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 231, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137008, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 212, 6, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137009, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 7043, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137010, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 329, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137011, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 643, 40, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137012, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 634, 29, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137013, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 808, 39, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137014, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 380, 21, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137015, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 519, 28, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137016, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 3, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137017, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 79, 5, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137018, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 628, 39, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137019, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 68, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137020, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 888, 43, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137021, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 35, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137022, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 934, 47, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137023, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 83, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137024, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 765, 52, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137025, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 1140, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137026, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 438, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137027, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137028, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 9, 9, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137029, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 323, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137030, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 97, 11, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137031, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 177, 25, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137032, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 246, 18, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137033, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 453, 38, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137034, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 271, 23, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137035, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 307, 24, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137036, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 342, 26, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137037, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 144, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137038, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137039, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 166, 8, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137040, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137041, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137042, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 88, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137043, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 354, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137044, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 338, 18, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137045, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 319, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137046, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 14, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137047, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 25, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137048, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 15, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137049, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 4, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137050, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 15, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137051, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C13', 201, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137052, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C12', 88, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137053, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 4, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137054, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 75, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137055, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C10', 13, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137056, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C07', 4, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137057, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 153, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137058, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 55, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137059, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 43, 5, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137060, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 99, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137061, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 416, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137062, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 358, 14, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137063, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 5, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137064, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 2, 6, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137065, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 11, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137066, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 301, 6, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137067, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 31, 11, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137068, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 3, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137069, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 83, 9, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137070, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 194, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137071, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 122, 24, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137072, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 10, 8, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137073, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 5, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137074, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 13, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137075, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 4, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137076, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 5, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137077, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 2, 6, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137078, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 55, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137079, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 43, 5, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137080, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 31, 11, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137081, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 75, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137082, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 3, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137083, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 432, 11, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137084, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 44, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137085, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 329, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137086, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 231, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137087, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 212, 6, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137088, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 307, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137089, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 354, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137090, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 633, 45, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137091, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 380, 21, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137092, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 228, 33, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137093, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 1140, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137094, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 342, 26, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137095, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 28, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137096, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 85, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137097, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 158, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137098, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 12, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137099, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 165, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137100, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 584, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137101, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137102, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137103, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 163, 37, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137104, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137105, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 175, 38, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137106, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137107, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 176, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137108, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 204, 31, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137109, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1637, 5, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137110, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 268, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137111, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 305, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137112, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 453, 38, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (137113, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 307, 24, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137114, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 4, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137115, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 4, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137116, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 122, 24, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137117, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 142, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137118, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 166, 8, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137119, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 12, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137120, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 326, 8, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137121, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 83, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137122, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 1507, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137123, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 271, 23, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137124, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 68, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137125, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 177, 25, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137126, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 33, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137127, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 79, 5, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137128, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 83, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137129, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 7043, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137130, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 35, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137131, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 826, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137132, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 801, 6, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137133, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 323, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137134, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 949, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137135, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 246, 18, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137136, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1027, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137137, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 678, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137138, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 97, 11, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137139, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 319, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137140, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 338, 18, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137141, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1605, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137142, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1049, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137143, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 763, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137144, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 2, 17, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137145, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 3, 17, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137146, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 6, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137147, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 237, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137148, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 62, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137149, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 8, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137150, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137151, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 116, 16, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137152, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 75, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137153, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137154, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 14, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137155, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 9, 9, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137156, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 15, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137157, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 25, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137158, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 15, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137159, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 438, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137160, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 376, 9, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137161, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 358, 14, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137162, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 99, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137163, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 301, 6, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137164, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 153, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137165, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 659, 28, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137166, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 144, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137167, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 628, 39, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137168, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 27, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137169, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 888, 43, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137170, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 934, 47, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137171, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 43, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137172, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 765, 52, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137173, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 41, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137174, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 643, 40, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137175, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 634, 29, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137176, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 808, 39, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137177, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 519, 28, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137178, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 4, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137179, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 354, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137180, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 453, 38, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137181, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 342, 26, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137182, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 326, 8, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137183, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 376, 9, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137184, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 307, 24, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137185, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 1507, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137186, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137187, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137188, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 31, 11, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137189, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 83, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137190, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 35, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137191, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 68, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137192, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 678, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137193, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 1027, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137194, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 79, 5, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137195, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 949, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137196, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 801, 6, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137197, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 826, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137198, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 83, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137199, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 1049, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137200, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 1605, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137201, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 15, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137202, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 9, 9, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137203, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 14, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137204, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137205, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 15, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137206, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 25, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137207, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 3, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137208, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 83, 9, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137209, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 88, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137210, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 358, 14, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137211, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 231, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137212, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 329, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137213, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 4, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137214, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 153, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137215, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 307, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137216, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 5, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137217, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 212, 6, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137218, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 13, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137219, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 10, 8, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137220, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 3, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137221, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 75, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137222, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 175, 38, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137223, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 204, 31, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137224, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 176, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137225, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 338, 18, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137226, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 319, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137227, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137228, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 301, 6, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137229, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137230, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 323, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137231, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 246, 18, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137232, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 97, 11, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137233, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 305, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137234, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 116, 16, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137235, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 268, 19, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137236, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C13', 616, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137237, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 177, 25, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137238, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 271, 23, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137239, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 1140, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137240, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 2, 6, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137241, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 5, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137242, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 380, 21, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137243, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 3, 17, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137244, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 237, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137245, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 99, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137246, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 62, 13, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137247, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 163, 37, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137248, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 6, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137249, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 2, 17, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137250, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 43, 5, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137251, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 55, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137252, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C13', 201, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137253, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 1637, 5, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137254, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C12', 88, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137255, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C10', 13, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137256, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 165, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137257, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 432, 11, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137258, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 44, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137259, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 144, 12, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137260, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 11, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137261, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 763, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137262, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 633, 45, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137263, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 7043, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137264, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 166, 8, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137265, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 122, 24, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137266, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 194, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137267, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 519, 28, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137268, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 27, 2, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137269, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 438, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137270, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 888, 43, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137271, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 934, 47, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137272, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 41, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137273, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 659, 28, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137274, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 43, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137275, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 628, 39, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137276, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 28, 10, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137277, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 634, 29, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137278, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 85, 4, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137279, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 808, 39, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137280, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 765, 52, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137281, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 643, 40, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137282, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 228, 33, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137283, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 8, 7, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137284, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C04', 4, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137285, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 416, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137286, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 3, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137287, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C07', 4, 1, 2024, 5, 27, '2024-08-05 14:07:08', NULL, NULL), (137288, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 82, 55, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137289, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 38, 69, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137290, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 386, 67, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137291, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 168, 99, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137292, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 307, 44, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137293, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 77, 439, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137294, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 294, 103, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137295, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 892, 68, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137296, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 638, 142, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137297, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 77, 440, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137298, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 209, 136, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137299, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 307, 44, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137300, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 867, 70, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137301, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 163, 102, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137302, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 82, 55, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137303, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 636, 142, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137304, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 294, 103, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137305, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 1064, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137306, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 9591, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137307, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 75, 10, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137308, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 257, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137309, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 775, 26, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137310, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 80, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137311, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 24, 15, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137312, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 58, 12, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137313, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 82, 55, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137314, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 912, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137315, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 1311, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137316, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 144, 25, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137317, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 109, 23, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137318, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 7, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137319, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 32, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137320, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137321, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 362, 14, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137322, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 329, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137323, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 380, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137324, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 83, 46, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137325, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 187, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137326, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 205, 7, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137327, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 85, 344, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137328, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 728, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137329, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 30, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137330, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 339, 17, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137331, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 294, 103, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137332, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 15, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137333, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 987, 41, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137334, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 3, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137335, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 494, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137336, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 61, 37, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137337, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 23, 58, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137338, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 606, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137339, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 202, 63, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137340, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 950, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137341, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 0, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137342, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 14, 49, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137343, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 657, 66, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137344, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 3, 7, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137345, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 99, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137346, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 49, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 963, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 336, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 141, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 998, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 1064, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 57, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 335, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 850, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 74, 9, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 77, 34, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 59, 53, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 756, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 55, 29, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1198, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 78, 34, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 667, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 187, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 77, 39, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1608, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 175, 37, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 816, 7, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 69, 22, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 639, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 276, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 138, 32, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 36, 37, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1756, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 128, 14, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 325, 10, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 327, 15, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 308, 7, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 133, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 6, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 3, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 172, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 494, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 364, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 391, 21, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 5, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 13, 23, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 91, 27, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 30, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 843, 19, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 590, 7, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 3, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 47, 13, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 346, 14, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 104, 15, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 98, 9, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 141, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 117, 10, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 380, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 494, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 159, 12, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 90, 18, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 16, 26, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 53, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 26, 16, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 188, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 198, 25, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 336, 22, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 362, 14, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 9591, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 38, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 50, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 23, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 80, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 140, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 3, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 7, 13, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 37, 9, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 30, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 34, 22, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 12, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 78, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 9, 9, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 329, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 716, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 30, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 39, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 9, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 23, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 8, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 112, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 22, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 330, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 219, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 636, 17, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 19, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 279, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 58, 12, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 7, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 582, 12, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 706, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 239, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 566, 10, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1805, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 810, 15, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 7, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 339, 17, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137450, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 202, 63, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137451, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 14, 49, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137452, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 85, 344, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137453, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 187, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137454, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 24, 15, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137455, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 1311, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137456, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 32, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137457, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 339, 17, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137458, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 667, 65, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137459, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 950, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137460, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 912, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137461, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 82, 55, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137462, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 494, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137463, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 728, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137464, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 606, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137465, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 15, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137466, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 58, 12, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137467, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 80, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137468, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 362, 14, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137469, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 23, 58, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137470, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 9591, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137471, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 49, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137472, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 294, 103, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137473, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 380, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137474, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 83, 46, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137475, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 149, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137476, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 257, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137477, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 7, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137478, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 109, 23, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137479, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 1064, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137480, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 3, 7, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137481, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 144, 25, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137482, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 239, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137483, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 775, 26, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137484, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 329, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 987, 41, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137486, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 75, 10, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137487, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 61, 37, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137488, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 3, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137489, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 30, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137490, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 963, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137491, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 336, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137492, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137493, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137494, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 7, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137495, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 13, 23, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137496, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 58, 12, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137497, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 16, 26, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137498, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 3, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137499, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C13', 187, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137500, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 5, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137501, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 172, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137502, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 494, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137503, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 6, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137504, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 3, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137505, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 141, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137506, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 101, 9, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137507, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 98, 9, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137508, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 279, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137509, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 19, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137510, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 1064, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137511, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 950, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137512, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 91, 27, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137513, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 667, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137514, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 1198, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137515, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 78, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137516, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 756, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137517, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 30, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (137518, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 9591, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137519, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 1756, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137520, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 639, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137521, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 816, 7, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137522, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 1608, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137523, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 636, 17, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137524, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 38, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137525, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 104, 15, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137526, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 90, 18, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137527, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 47, 13, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137528, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 239, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137529, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 582, 12, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137530, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 850, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137531, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 69, 22, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137532, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 566, 10, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137533, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 706, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137534, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 15, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137535, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 810, 15, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137536, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 59, 53, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137537, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 77, 34, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137538, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 339, 17, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137539, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 36, 37, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137540, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 138, 32, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137541, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 140, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137542, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 175, 37, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137543, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 80, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137544, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 77, 39, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137545, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 23, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137546, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 78, 34, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137547, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 50, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137548, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 55, 29, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137549, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 3, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137550, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 7, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137551, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 112, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137552, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 7, 13, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137553, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 391, 21, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137554, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 364, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137555, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 325, 10, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137556, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 128, 14, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137557, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 308, 7, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137558, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 327, 15, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137559, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1805, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137560, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 198, 25, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137561, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 336, 22, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137562, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 133, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137563, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 1311, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137564, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 26, 16, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137565, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 30, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137566, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 257, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137567, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137568, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 53, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137569, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 188, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137570, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 9, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137571, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C02', 998, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137572, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 346, 14, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137573, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 159, 12, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137574, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 34, 22, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137575, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 12, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137576, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 37, 9, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137577, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 9, 9, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137578, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 4, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137579, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 329, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137580, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 30, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137581, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 843, 19, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137582, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 39, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137583, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 494, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137584, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 590, 7, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137585, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 23, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137586, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 8, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137587, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 493, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137588, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 380, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137589, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 219, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137590, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 3, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137591, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 22, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137592, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 826, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137593, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C10', 60, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137594, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 362, 14, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137595, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 154, 10, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137596, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 212, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137597, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 74, 9, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137598, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 57, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137599, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 23, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137600, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 8, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137601, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 30, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137602, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 39, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137603, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 219, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137604, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 22, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137605, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 330, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137606, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 279, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137607, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 19, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137608, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 810, 15, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137609, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 566, 10, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137610, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 706, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137611, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 582, 12, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137612, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 91, 27, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137613, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 339, 17, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137614, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 13, 23, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137615, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 3, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137616, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 26, 16, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137617, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 30, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137618, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 78, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137619, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 276, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137620, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 716, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137621, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 187, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137622, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 112, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137623, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 16, 26, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137624, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 90, 18, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137625, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 9, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137626, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137627, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 104, 15, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137628, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 47, 13, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137629, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 7, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137630, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 58, 12, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137631, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 636, 17, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137632, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 198, 25, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137633, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 336, 22, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137634, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 9591, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137635, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 57, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137636, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 362, 14, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137637, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 335, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137638, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 53, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137639, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 74, 9, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137640, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 963, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137641, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 188, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137642, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 1064, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137643, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 38, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137644, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 336, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137645, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 80, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137646, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 133, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137647, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 308, 7, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137648, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 140, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137649, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 141, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137650, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 50, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137651, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 998, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137652, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 23, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137653, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 128, 14, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137654, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 816, 7, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137655, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 391, 21, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137656, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1608, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137657, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 327, 15, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137658, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 667, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137659, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 325, 10, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137660, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1198, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137661, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 756, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137662, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 364, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137663, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 159, 12, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137664, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 346, 14, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137665, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1756, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137666, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 639, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137667, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 850, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137668, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 3, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137669, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 172, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137670, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 6, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137671, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 494, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137672, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 5, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137673, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137674, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 3, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137675, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137676, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 329, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137677, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 34, 22, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137678, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 7, 13, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137679, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 37, 9, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137680, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 12, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137681, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 9, 9, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137682, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 1805, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137683, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 7, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137684, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 239, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137685, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 590, 7, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137686, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 494, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137687, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 380, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137688, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 843, 19, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137689, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 69, 22, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137690, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 30, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137691, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 175, 37, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137692, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 98, 9, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137693, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 77, 39, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137694, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 78, 34, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137695, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 117, 10, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137696, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 55, 29, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137697, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 141, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137698, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 59, 53, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137699, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 77, 34, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137700, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 36, 37, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137701, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 138, 32, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137702, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 9591, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137703, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 198, 25, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137704, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 963, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137705, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 26, 16, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137706, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 239, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137707, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 336, 22, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137708, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 336, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137709, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 9, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137710, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137711, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 219, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137712, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 50, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137713, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 23, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137714, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 80, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137715, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 756, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137716, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 1198, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137717, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 140, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137718, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 667, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137719, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 1608, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137720, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 816, 7, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137721, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 38, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137722, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 639, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137723, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 1756, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137724, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 37, 9, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137725, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 7, 13, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137726, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 34, 22, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137727, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 9, 9, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137728, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 12, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137729, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 3, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137730, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 22, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137731, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 590, 7, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137732, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C02', 998, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137733, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 566, 10, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137734, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 810, 15, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137735, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 57, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137736, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 843, 19, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137737, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 582, 12, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137738, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 212, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137739, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 706, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137740, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 74, 9, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137741, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 154, 10, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137742, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 329, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137743, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 90, 18, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137744, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 47, 13, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137745, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 104, 15, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137746, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 346, 14, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137747, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 159, 12, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137748, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 112, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137749, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 380, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137750, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 391, 21, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137751, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 128, 14, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137752, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 325, 10, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137753, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 327, 15, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137754, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 364, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137755, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 636, 17, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137756, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 3, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137757, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 58, 12, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137758, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C13', 187, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137759, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 308, 7, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137760, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 133, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137761, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 3, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137762, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 8, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137763, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 23, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137764, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 339, 17, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137765, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 172, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137766, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 494, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137767, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 494, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137768, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 5, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137769, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 16, 26, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137770, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 6, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137771, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 3, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137772, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 39, 6, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137773, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 30, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137774, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 7, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137775, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 950, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137776, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 1064, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137777, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 279, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137778, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 19, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137779, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 30, 11, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137780, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 1311, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137781, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 493, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137782, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C08', 826, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137783, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 850, 8, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137784, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 188, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137785, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 91, 27, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137786, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 53, 4, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137787, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 362, 14, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137788, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 15, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137789, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 138, 32, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137790, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C10', 60, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137791, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 98, 9, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137792, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 7, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137793, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 1805, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137794, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 77, 39, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137795, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 78, 34, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137796, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 141, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137797, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 69, 22, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137798, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 101, 9, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137799, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 175, 37, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137800, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 30, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137801, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 77, 34, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137802, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 78, 3, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137803, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 36, 37, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137804, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 55, 29, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137805, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 59, 53, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137806, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 13, 23, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137807, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 2, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137808, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C04', 4, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137809, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D07', 257, 1, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137810, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 5, 2024, 5, 28, '2024-08-05 14:07:09', NULL, NULL), (137811, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 6, 62, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137812, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 41, 77, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137813, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 585, 55, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137814, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 84, 130, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137815, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1285, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137816, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 70, 446, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137817, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 643, 47, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137818, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 356, 124, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137819, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 661, 114, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137820, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 70, 447, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137821, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 267, 132, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137822, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1028, 15, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137823, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 581, 52, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137824, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 83, 131, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137825, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 6, 62, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137826, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 661, 114, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137827, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 356, 124, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137828, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137829, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 42, 13, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137830, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 8, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137831, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 160, 24, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137832, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 115, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137833, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 24, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137834, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 350, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137835, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 6, 62, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137836, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 231, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137837, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 176, 13, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137838, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 4617, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137839, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137840, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 139, 21, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137841, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 67, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137842, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 4077, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137843, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 11, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137844, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 56, 72, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137845, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 145, 7, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137846, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 73, 313, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137847, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 1760, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137848, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 124, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137849, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 70, 16, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137850, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 356, 124, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137851, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 612, 27, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137852, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 190, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137853, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 205, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137854, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 42, 70, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137855, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 55, 46, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137856, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 851, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137857, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 616, 49, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137858, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 28, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137859, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 70, 62, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137860, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 954, 59, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137861, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 12, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137862, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 8, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137863, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 47, 10, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137864, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '', '', '', 9, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 124, 11, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 101, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 18, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 667, 22, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 568, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 139, 21, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 4617, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 39, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 51, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 789, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 43, 6, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 586, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 175, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 33, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 333, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 13, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 68, 24, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 190, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 8, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 74, 37, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 13, 7, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 654, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 72, 32, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 113, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 92, 37, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 43, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 176, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1270, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 46, 30, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 61, 45, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 59, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 58, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 452, 6, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 86, 32, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 37, 16, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 862, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 58, 28, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 16, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 182, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 62, 8, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 67, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 35, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 109, 19, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 12, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 56, 29, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 708, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 629, 22, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 6, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 323, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 13, 6, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 381, 20, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 408, 14, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 195, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 488, 11, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 2, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (137923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 457, 20, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 3, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 14, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 10, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 9, 13, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 933, 15, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 85, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 7, 11, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 44, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 350, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 2, 10, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 251, 18, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 13, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 2, 7, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 324, 17, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 69, 36, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 66, 30, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 1760, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 144, 13, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 178, 11, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 760, 15, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 3, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 145, 7, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1067, 15, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 28, 24, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1063, 14, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 35, 18, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 851, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 131, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 27, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 202, 8, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 70, 16, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 4077, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 205, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 225, 15, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 90, 30, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 75, 25, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137960, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 643, 47, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137961, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 71, 61, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137962, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 73, 313, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137963, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 46, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137964, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 24, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137965, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 70, 16, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137966, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 954, 59, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137967, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 35, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137968, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 6, 62, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137969, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 205, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137970, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 124, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137971, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 851, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137972, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 350, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137973, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 115, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137974, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 139, 21, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137975, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 42, 70, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137976, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 8, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137977, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 356, 124, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137978, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 4077, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137979, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 56, 72, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137980, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 47, 10, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137981, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 8, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137982, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 176, 13, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137983, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 12, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137984, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 231, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137985, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 145, 7, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137986, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 160, 24, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137987, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 67, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137988, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 42, 13, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137989, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 612, 27, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137990, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 4617, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137991, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 55, 46, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137992, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 190, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137993, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 1760, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137994, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '宜宾市政务服务和非公经济发展局', '', '', 9, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137995, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 124, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137996, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 13, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137997, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 12, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137998, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 69, 36, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (137999, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 350, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138000, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 75, 25, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138001, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 3, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138002, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C13', 46, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138003, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 2, 7, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138004, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 7, 11, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138005, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 2, 10, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138006, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 10, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138007, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 9, 13, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138008, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 27, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138009, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 230, 7, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138010, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 131, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138011, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 13, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138012, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 44, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138013, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 85, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138014, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 35, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138015, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 66, 30, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138016, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1270, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138017, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 59, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138018, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 654, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138019, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 43, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138020, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 708, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138021, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 182, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138022, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 862, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138023, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 452, 6, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138024, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 933, 15, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138025, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 39, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138026, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 35, 18, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138027, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 90, 30, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138028, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 28, 24, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138029, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 145, 7, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138030, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 333, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138031, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 760, 15, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138032, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 586, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138033, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 58, 28, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138034, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1067, 15, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138035, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 4617, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138036, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1063, 14, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138037, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 74, 37, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138038, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 68, 24, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138039, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 70, 16, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138040, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 56, 29, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138041, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 109, 19, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138042, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 33, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138043, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 86, 32, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138044, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 175, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138045, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 61, 45, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138046, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 43, 6, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138047, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 92, 37, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138048, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 51, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138049, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 72, 32, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138050, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 190, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138051, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 851, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138052, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138053, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 8, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138054, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 324, 17, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138055, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 251, 18, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138056, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 381, 20, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138057, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 323, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138058, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 488, 11, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138059, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 408, 14, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138060, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 667, 22, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138061, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 568, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138062, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 457, 20, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138063, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 1760, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138064, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 8, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138065, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 124, 11, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138066, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138067, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 18, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138068, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138069, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 629, 22, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138070, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '', '', '1D22', 9, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138071, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 225, 15, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138072, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 47, 29, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138073, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 58, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138074, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 13, 7, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138075, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 113, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138076, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 37, 16, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138077, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 67, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138078, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 144, 13, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138079, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 6, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138080, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 13, 6, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138081, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 205, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138082, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 178, 11, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138083, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 195, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138084, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 2, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138085, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 16, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138086, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 4077, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138087, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 306, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138088, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 14, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138089, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 3, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138090, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 139, 21, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138091, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 62, 8, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138092, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 30, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138093, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 789, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138094, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 195, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138095, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 2, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138096, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 6, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138097, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 13, 6, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138098, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 14, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138099, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 3, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138100, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 44, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138101, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 13, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138102, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 85, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138103, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1063, 14, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138104, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1067, 15, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138105, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 760, 15, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138106, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 629, 22, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138107, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 66, 30, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138108, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 70, 16, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138109, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 69, 36, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138110, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 190, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138111, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 43, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138112, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 59, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138113, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 16, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138114, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 35, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138115, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 62, 8, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138116, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 176, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138117, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138118, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 75, 25, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138119, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138120, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138121, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 90, 30, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138122, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 35, 18, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138123, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 28, 24, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138124, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 350, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138125, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 933, 15, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138126, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 667, 22, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138127, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 568, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138128, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 789, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138129, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 139, 21, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138130, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 9, 13, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138131, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 7, 11, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138132, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 124, 11, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138133, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 18, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138134, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 10, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138135, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 101, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138136, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 2, 10, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138137, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 2, 7, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138138, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 39, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138139, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 457, 20, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138140, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 175, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138141, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 33, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138142, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 488, 11, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138143, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 51, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138144, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 43, 6, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138145, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 4617, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138146, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 323, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138147, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 862, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138148, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 452, 6, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138149, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 324, 17, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138150, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1270, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138151, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 408, 14, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138152, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 381, 20, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138153, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 654, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138154, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 251, 18, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138155, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 12, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138156, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 13, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138157, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 3, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138158, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 67, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138159, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 113, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138160, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 46, 30, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138161, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 8, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138162, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 13, 7, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138163, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 58, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138164, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 37, 16, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138165, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 851, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138166, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 145, 7, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138167, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 225, 15, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138168, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 708, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138169, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 182, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138170, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 178, 11, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138171, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 205, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138172, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 4077, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138173, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 144, 13, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138174, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 58, 28, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138175, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 333, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138176, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 1760, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138177, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 86, 32, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138178, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 131, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138179, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 586, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138180, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 61, 45, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138181, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 92, 37, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138182, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 202, 8, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138183, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 72, 32, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138184, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 27, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138185, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 74, 37, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138186, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 68, 24, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138187, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 56, 29, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138188, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 109, 19, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138189, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 629, 22, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138190, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 667, 22, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138191, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 124, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138192, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 145, 7, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138193, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 568, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138194, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138195, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 14, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138196, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 51, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138197, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 43, 6, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138198, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 654, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138199, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 175, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138200, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 33, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138201, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1270, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138202, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 452, 6, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138203, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 862, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138204, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '宜宾市政务服务和非公经济发展局', '', '1D22', 9, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138205, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 39, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138206, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 182, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138207, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 708, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138208, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 13, 7, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138209, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 8, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138210, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 47, 29, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138211, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 113, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138212, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 37, 16, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138213, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 58, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138214, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 3, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138215, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 178, 11, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138216, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1067, 15, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138217, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1063, 14, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138218, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 789, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138219, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 144, 13, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138220, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 760, 15, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138221, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C06', 30, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138222, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 67, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138223, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 90, 30, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138224, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 28, 24, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138225, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 62, 8, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138226, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 35, 18, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138227, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 225, 15, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138228, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138229, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 4077, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138230, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138231, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 324, 17, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138232, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 323, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138233, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 381, 20, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138234, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 408, 14, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138235, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 251, 18, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138236, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 933, 15, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138237, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 3, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138238, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 350, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138239, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C13', 46, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138240, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 488, 11, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138241, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 457, 20, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138242, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 190, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138243, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 2, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138244, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 195, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138245, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 70, 16, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138246, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 7, 11, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138247, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 2, 10, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138248, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 205, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138249, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 2, 7, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138250, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 75, 25, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138251, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 10, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138252, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 9, 13, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138253, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 13, 6, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138254, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 6, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138255, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 35, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138256, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 13, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138257, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 44, 4, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138258, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 306, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138259, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 85, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138260, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 1760, 12, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138261, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 16, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138262, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 586, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138263, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 18, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138264, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 333, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138265, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 66, 30, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138266, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 4617, 3, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138267, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 124, 11, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138268, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 139, 21, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138269, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 109, 19, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138270, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 131, 5, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138271, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 851, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138272, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 61, 45, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138273, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 92, 37, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138274, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 27, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138275, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 58, 28, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138276, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 230, 7, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138277, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 86, 32, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138278, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 43, 9, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138279, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 68, 24, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138280, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 59, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138281, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 56, 29, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138282, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 72, 32, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138283, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 74, 37, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138284, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 69, 36, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138285, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 12, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138286, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D07', 8, 1, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138287, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 13, 2, 2024, 5, 29, '2024-08-05 14:07:10', NULL, NULL), (138288, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 48, 84, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138289, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 28, 62, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138290, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 305, 56, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138291, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 163, 144, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138292, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 12683, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138293, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 48, 437, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138294, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 915, 128, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138295, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 378, 79, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138296, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 808, 185, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138297, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 47, 441, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138298, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 158, 119, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138299, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 12683, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138300, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 360, 83, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138301, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 162, 148, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138302, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 48, 84, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138303, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 804, 186, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138304, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 915, 128, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138305, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 15555, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138306, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 14, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138307, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 459, 32, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138308, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 74, 7, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138309, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 357, 11, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138310, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 48, 83, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138311, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 343, 20, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138312, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 0, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138313, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 175, 8, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138314, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 104, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138315, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138316, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 446, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138317, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 18, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138318, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 26, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (138319, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 12401, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138320, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 63, 72, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138321, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 167, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138322, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 35, 310, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138323, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 12965, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138324, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 64, 15, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138325, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 213, 25, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138326, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 915, 128, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138327, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 11, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138328, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 836, 41, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138329, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 307, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138330, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 99, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138331, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 17, 42, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138332, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 71, 67, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138333, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 329, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138334, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 183, 78, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138335, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 197, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138336, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 2, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138337, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1155, 89, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138338, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 97, 61, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138339, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 53, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138340, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 12, 10, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138341, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 206, 11, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 12965, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 432, 9, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 79, 16, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 322, 22, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 20, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 446, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 333, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 15555, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 81, 16, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 59, 8, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 423, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 86, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 20, 8, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 929, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 89, 11, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 18, 35, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 55, 7, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 307, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 39, 50, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1319, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 19, 12, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 44, 26, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 14, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 49, 33, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 12401, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 928, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 76, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 11, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 31, 54, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 78, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 27, 29, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 705, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 512, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 2, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 39, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 620, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 37, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 150, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 69, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 28, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 8, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1263, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 123, 35, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 712, 12, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 156, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 24, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 1013, 12, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 4, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 7, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 17, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 784, 20, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 1062, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 10, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 32, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 4, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 3, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 39, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 31, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1278, 26, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 15, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 3, 11, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 169, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 818, 20, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 161, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 361, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 104, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 322, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 38, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 994, 21, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 103, 32, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 19, 29, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 64, 15, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 573, 23, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 167, 9, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1184, 20, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 806, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 209, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 3, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1074, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 28, 25, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1128, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 982, 26, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 439, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 113, 22, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 8, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 221, 24, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 230, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 26, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 19, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 67, 20, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 90, 29, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138436, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 183, 78, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138437, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 97, 61, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138438, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 35, 309, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138439, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 12401, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138440, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 74, 7, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138441, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 2, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138442, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 213, 25, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138443, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1155, 89, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138444, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 197, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138445, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 48, 83, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138446, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 12965, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138447, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 439, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138448, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 11, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138449, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 99, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138450, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 361, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138451, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 357, 11, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138452, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 446, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138453, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 17, 42, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138454, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 15555, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138455, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 12, 10, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138456, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 915, 128, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138457, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 26, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138458, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 67, 67, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138459, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 206, 11, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138460, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 104, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138461, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 175, 8, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138462, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 53, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138463, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 209, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138464, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 459, 32, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138465, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 37, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138466, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 14, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138467, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 836, 41, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138468, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 71, 67, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138469, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 307, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138470, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 64, 15, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138471, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 12965, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138472, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 89, 11, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138473, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 104, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138474, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 8, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138475, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 103, 32, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138476, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 361, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138477, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 90, 29, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138478, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 3, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138479, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C13', 12401, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138480, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 34, 13, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138481, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 3, 11, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138482, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 169, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138483, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 39, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138484, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 31, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138485, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 8, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138486, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 230, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138487, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 322, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138488, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 161, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138489, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 15, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138490, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 19, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138491, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 197, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138492, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 19, 29, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138493, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 928, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138494, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E15', 99, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138495, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 1319, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138496, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 78, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138497, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 76, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138498, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 15555, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138499, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 1263, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138500, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 620, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138501, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 512, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138502, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 705, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138503, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1278, 26, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138504, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 81, 16, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138505, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 113, 22, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138506, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 67, 20, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138507, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 28, 25, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138508, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 209, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138509, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 929, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138510, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 423, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138511, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1184, 20, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138512, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 39, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138513, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1074, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138514, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 806, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138515, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 11, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138516, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1128, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138517, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 39, 50, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138518, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 18, 35, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138519, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 221, 24, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138520, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 28, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138521, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 69, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138522, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 2, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138523, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 20, 8, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138524, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 27, 29, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138525, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 86, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138526, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 31, 54, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138527, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 59, 8, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138528, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 49, 33, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138529, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 44, 26, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138530, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 307, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138531, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 439, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138532, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 10, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138533, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 55, 7, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138534, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 994, 21, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138535, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 818, 20, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138536, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 1013, 12, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138537, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 712, 12, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138538, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 1062, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138539, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 784, 20, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138540, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 322, 22, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138541, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 333, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138542, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 79, 16, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138543, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 64, 15, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138544, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 24, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138545, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 432, 9, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138546, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138547, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 7, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138548, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 20, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138549, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 123, 35, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138550, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 982, 26, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138551, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 11, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138552, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 2, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138553, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 19, 12, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138554, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 14, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138555, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 2, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138556, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 37, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138557, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 156, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138558, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 573, 23, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138559, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 4, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138560, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 167, 9, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138561, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 17, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138562, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 26, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138563, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 3, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138564, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 4, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138565, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 40, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138566, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 446, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138567, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 3, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138568, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 17, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138569, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 156, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138570, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 4, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138571, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 3, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138572, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 32, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138573, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 4, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138574, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 161, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138575, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 322, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138576, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 15, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138577, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1128, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138578, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1074, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138579, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 806, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138580, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1184, 20, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138581, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 123, 35, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138582, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 19, 29, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138583, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 19, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138584, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 221, 24, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138585, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 103, 32, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138586, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 79, 16, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138587, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 307, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138588, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 76, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138589, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 78, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138590, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 150, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138591, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138592, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 12401, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138593, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 10, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138594, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138595, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 90, 29, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138596, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 7, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138597, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 67, 20, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138598, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 24, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138599, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 113, 22, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138600, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 28, 25, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138601, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 104, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138602, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 361, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138603, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1278, 26, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138604, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 322, 22, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138605, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 333, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138606, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 15555, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138607, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 446, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138608, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 31, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138609, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 3, 11, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138610, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 432, 9, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138611, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 12965, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138612, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 20, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138613, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 39, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138614, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 169, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138615, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 38, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138616, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 81, 16, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138617, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 86, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138618, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 20, 8, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138619, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 1062, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138620, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 59, 8, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138621, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 712, 12, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138622, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 512, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138623, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 994, 21, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138624, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 705, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138625, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 928, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138626, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 784, 20, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138627, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 1013, 12, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138628, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1319, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138629, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 818, 20, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138630, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 8, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138631, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 3, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138632, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 89, 11, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138633, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 37, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138634, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 14, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138635, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 11, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138636, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 55, 7, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138637, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 19, 12, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138638, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138639, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138640, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 439, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138641, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 209, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138642, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 982, 26, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138643, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1263, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138644, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 620, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138645, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 167, 9, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138646, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 26, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138647, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 573, 23, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138648, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 39, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138649, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 64, 15, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138650, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 929, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138651, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 27, 29, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138652, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 423, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138653, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 31, 54, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138654, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 49, 33, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138655, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 230, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138656, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 44, 26, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138657, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 8, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138658, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 39, 50, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138659, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 18, 35, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138660, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 28, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138661, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 69, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138662, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 15555, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138663, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 123, 35, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138664, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 322, 22, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138665, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 12965, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138666, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 79, 16, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138667, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 209, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138668, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 333, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138669, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 7, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138670, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 24, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138671, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 3, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138672, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 59, 8, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138673, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 1319, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138674, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 86, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138675, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 20, 8, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138676, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 928, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138677, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 705, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138678, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 512, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138679, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 620, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138680, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 81, 16, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138681, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 1263, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138682, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 19, 12, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138683, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 55, 7, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138684, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 11, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138685, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 14, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138686, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138687, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138688, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 4, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138689, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 40, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138690, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 167, 9, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138691, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1074, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138692, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1128, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138693, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 573, 23, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138694, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1184, 20, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138695, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 806, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138696, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 2, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138697, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 37, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138698, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 67, 20, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138699, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 28, 25, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138700, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 3, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138701, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 113, 22, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138702, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 982, 26, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138703, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 10, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138704, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 26, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138705, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138706, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 994, 21, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138707, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 712, 12, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138708, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 1013, 12, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138709, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 784, 20, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138710, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E15', 99, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138711, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 818, 20, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138712, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1278, 26, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138713, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 3, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138714, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 361, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138715, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C13', 12401, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138716, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 1062, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138717, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 307, 5, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138718, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 17, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138719, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 221, 24, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138720, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 3, 11, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138721, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 169, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138722, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 34, 13, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138723, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 90, 29, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138724, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 39, 14, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138725, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 31, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (138726, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 19, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138727, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 4, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138728, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 156, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138729, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 104, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138730, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 197, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138731, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 322, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138732, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 161, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138733, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 15, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138734, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 64, 15, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138735, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 423, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138736, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 20, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138737, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 929, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138738, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 19, 29, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138739, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 432, 9, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138740, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 446, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138741, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 11, 1, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138742, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 69, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138743, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 439, 3, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138744, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 31, 54, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138745, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 49, 33, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138746, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 8, 2, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138747, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 39, 19, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138748, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 230, 6, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138749, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 27, 29, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138750, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 76, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138751, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 18, 35, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138752, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 78, 4, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138753, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 28, 17, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138754, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 44, 26, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138755, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 39, 50, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138756, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 103, 32, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138757, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 8, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138758, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 89, 11, 2024, 5, 30, '2024-08-05 14:07:11', NULL, NULL), (138759, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 50, 54, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138760, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 101, 64, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138761, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1692, 52, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138762, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 196, 150, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138763, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 570, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138764, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 144, 369, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138765, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 212, 121, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138766, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 472, 96, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138767, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 979, 130, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138768, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 143, 371, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138769, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 814, 116, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138770, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 499, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138771, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 472, 96, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138772, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 194, 151, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138773, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 50, 54, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138774, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 979, 130, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138775, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 212, 121, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138776, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 83, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138777, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 80, 15, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138778, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 355, 30, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138779, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 380, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138780, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 369, 16, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138781, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 158, 9, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138782, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 53, 51, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138783, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 905, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138784, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 6, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138785, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 154, 19, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138786, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 318, 17, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138787, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 31, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138788, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 161, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138789, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 355, 79, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138790, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 87, 5, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138791, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 93, 254, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138792, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 6901, 11, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138793, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 24, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138794, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 14, 12, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138795, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 212, 121, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138796, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '', '', '', 9, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138797, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 29, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138798, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 719, 35, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138799, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 586, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138800, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 4, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138801, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 342, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138802, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 33, 29, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138803, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 103, 56, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138804, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 297, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138805, 1, '511500000000-0001', '宜宾市民中心', '司法鉴定机构延续登记', '', '', '', 3, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138806, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 476, 95, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138807, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 137, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138808, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 10, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138809, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 2, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138810, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 40, 38, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138811, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1477, 68, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138812, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 4, 10, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138813, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138814, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 162, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138815, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '', '', '', 7, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138816, 1, '511500000000-0001', '宜宾市民中心', '律师执业许可', '', '', '', 7, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 24, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 6, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 3596, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 702, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 163, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 140, 24, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 93, 37, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 597, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 104, 25, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 89, 37, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 323, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 968, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 66, 35, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 15, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 527, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 101, 17, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 514, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 67, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1193, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 110, 18, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 83, 25, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1069, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 73, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 218, 12, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 257, 20, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 144, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 182, 17, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 528, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 23, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 2, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 3, 10, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 270, 16, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 236, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 90, 15, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 55, 24, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 36, 5, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 86, 23, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 6901, 11, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 236, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 445, 17, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 57, 11, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 537, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 207, 18, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 414, 34, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 8, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 5, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 5, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 31, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 342, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 454, 5, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 275, 37, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 15, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 313, 25, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 380, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 638, 42, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 154, 19, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 683, 15, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 83, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 71, 14, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 188, 12, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 65, 11, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 68, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 5, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 586, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 36, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 5, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 98, 9, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 12, 16, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 214, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 70, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 20, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 116, 5, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 318, 17, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 4, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 27, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 601, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 105, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 198, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 15, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 174, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1519, 23, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 199, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 50, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 158, 9, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 162, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1932, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1520, 15, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1406, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 87, 5, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1241, 19, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 297, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 14, 12, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138915, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 476, 95, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138916, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 41, 37, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138917, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 93, 254, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138918, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 323, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138919, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 369, 16, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138920, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 10, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138921, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 14, 12, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138922, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1477, 68, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138923, 1, '511500000000-0001', '宜宾市民中心', '律师执业许可', '宜宾市政务服务和非公经济发展局', '', '', 7, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138924, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 137, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138925, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 53, 51, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138926, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 342, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138927, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 297, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138928, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 24, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138929, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 29, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138930, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 4, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138931, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 158, 9, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138932, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '宜宾市政务服务和非公经济发展局', '', '', 9, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138933, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 380, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138934, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 154, 19, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138935, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 33, 29, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138936, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 83, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138937, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138938, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 212, 121, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138939, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 31, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138940, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 359, 78, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138941, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 162, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138942, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 6, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138943, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 4, 10, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138944, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 905, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138945, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 87, 5, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138946, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 355, 30, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138947, 1, '511500000000-0001', '宜宾市民中心', '司法鉴定机构延续登记', '宜宾市政务服务和非公经济发展局', '', '', 3, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138948, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 318, 17, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138949, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 719, 35, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138950, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 80, 15, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138951, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 104, 55, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138952, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 2, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138953, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 6901, 11, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138954, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 586, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138955, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '宜宾市政务服务和非公经济发展局', '', '', 7, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138956, 1, '511500000000-0001', '宜宾市民中心', '律师执业许可', '', '', '1D22', 3, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138957, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 24, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138958, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 5, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138959, 1, '511500000000-0001', '宜宾市民中心', '律师执业许可', '', '', '1D25', 11, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138960, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 4, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138961, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 55, 24, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138962, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 158, 9, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138963, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 15, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138964, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 63, 10, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138965, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C13', 323, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138966, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 44, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138967, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 3, 10, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138968, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 275, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138969, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 23, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138970, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 2, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138971, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 5, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138972, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 5, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138973, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 8, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138974, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 162, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138975, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 50, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138976, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 199, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138977, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 137, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138978, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 86, 23, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138979, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 968, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138980, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E15', 4, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138981, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 214, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138982, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 597, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138983, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 98, 9, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138984, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 83, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138985, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 1069, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138986, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 1193, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138987, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 514, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138988, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 527, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138989, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1519, 23, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138990, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 71, 14, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138991, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 414, 34, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138992, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 275, 37, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138993, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '', '', '1D22', 5, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138994, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 537, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138995, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '', '', '1D20', 21, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138996, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 87, 5, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138997, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 163, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138998, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '', '', '1D25', 2, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (138999, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 702, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139000, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1932, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139001, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 67, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139002, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1406, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139003, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1520, 15, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139004, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 29, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139005, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1241, 19, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139006, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 93, 37, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139007, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 140, 24, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139008, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 14, 12, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139009, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 83, 25, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139010, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 110, 18, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139011, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 68, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139012, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 101, 17, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139013, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 65, 11, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139014, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 66, 35, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139015, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E20', 10, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139016, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 188, 12, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139017, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 89, 37, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139018, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 104, 25, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139019, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 586, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139020, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 297, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139021, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139022, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139023, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 90, 15, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139024, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 270, 16, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139025, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 218, 12, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139026, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 73, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139027, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 144, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139028, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 257, 20, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139029, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 528, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139030, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 638, 42, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139031, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 182, 17, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139032, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 683, 15, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139033, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 313, 25, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139034, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E16', 3, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139035, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 6901, 11, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139036, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139037, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 380, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139038, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139039, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139040, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '', '', '1D24', 11, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139041, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 27, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139042, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '', '', '1D22', 3, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139043, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 207, 18, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139044, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 454, 5, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139045, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 15, 12, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139046, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139047, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 41, 5, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139048, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 5, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139049, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 77, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139050, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 318, 17, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139051, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 236, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139052, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 601, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139053, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 342, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139054, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 445, 17, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139055, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 105, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139056, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 198, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139057, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 31, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139058, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C12', 15, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139059, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 207, 5, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139060, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 15, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139061, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E20', 2, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139062, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 154, 19, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139063, 1, '511500000000-0001', '宜宾市民中心', '司法鉴定机构延续登记', '', '', '1D22', 3, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139064, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 6, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139065, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 20, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139066, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C02', 3596, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139067, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 105, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139068, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 198, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139069, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 601, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139070, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 174, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139071, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 15, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139072, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 50, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139073, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 162, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139074, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 199, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139075, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1241, 19, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139076, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1406, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139077, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1520, 15, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139078, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1932, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139079, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 27, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139080, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 86, 23, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139081, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 14, 12, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139082, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 55, 24, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139083, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 586, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139084, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 313, 25, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139085, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 98, 9, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139086, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 214, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139087, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 15, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139088, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 116, 5, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139089, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 20, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139090, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 323, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139091, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139092, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139093, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 15, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139094, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139095, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 275, 37, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139096, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139097, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 414, 34, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139098, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 537, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139099, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 158, 9, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139100, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1519, 23, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139101, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 638, 42, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139102, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 683, 15, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139103, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 83, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139104, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 154, 19, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139105, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 380, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139106, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 24, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139107, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 71, 14, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139108, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 182, 17, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139109, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 65, 11, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139110, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 144, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139111, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 6, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139112, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 68, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139113, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 528, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139114, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 3596, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139115, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 188, 12, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139116, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 73, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139117, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 514, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139118, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 90, 15, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139119, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 527, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139120, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 257, 20, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139121, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 968, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139122, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 218, 12, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139123, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 597, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139124, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 270, 16, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139125, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 454, 5, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139126, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 207, 18, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139127, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1069, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139128, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1193, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139129, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 163, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139130, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 702, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139131, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 2, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139132, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 3, 10, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139133, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 23, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139134, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 236, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139135, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 36, 5, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139136, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139137, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139138, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 57, 11, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139139, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 318, 17, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139140, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139141, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 12, 16, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139142, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (139143, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 36, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139144, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139145, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 70, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139146, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 297, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139147, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 87, 5, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139148, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 445, 17, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139149, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 342, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139150, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 31, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139151, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 236, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139152, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 67, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139153, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 6901, 11, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139154, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 101, 17, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139155, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 8, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139156, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 66, 35, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139157, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 89, 37, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139158, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 5, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139159, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 104, 25, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139160, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 5, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139161, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 93, 37, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139162, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 140, 24, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139163, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 83, 25, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139164, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 110, 18, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139165, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 83, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139166, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 27, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139167, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 638, 42, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139168, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 313, 25, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139169, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 24, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139170, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 87, 5, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139171, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 683, 15, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139172, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139173, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139174, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 207, 5, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139175, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 188, 12, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139176, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 65, 11, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139177, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 597, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139178, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 68, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139179, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 968, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139180, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 527, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139181, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 514, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139182, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139183, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 1193, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139184, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 71, 14, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139185, 1, '511500000000-0001', '宜宾市民中心', '司法鉴定机构延续登记', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139186, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 1069, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139187, 1, '511500000000-0001', '宜宾市民中心', '律师执业许可', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139188, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 41, 5, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139189, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139190, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 15, 12, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139191, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139192, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 77, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139193, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139194, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 15, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139195, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 445, 17, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139196, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1406, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139197, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1241, 19, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139198, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 236, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139199, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1932, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139200, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1520, 15, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139201, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 6, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139202, 1, '511500000000-0001', '宜宾市民中心', '律师执业许可', '宜宾市政务服务和非公经济发展局', '', '1D25', 11, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139203, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C02', 3596, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139204, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E20', 10, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139205, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 318, 17, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139206, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 275, 37, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139207, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 537, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139208, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 20, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139209, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 414, 34, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139210, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 207, 18, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139211, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 454, 5, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139212, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E16', 3, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139213, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139214, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 31, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139215, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139216, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 90, 15, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139217, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 73, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139218, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 218, 12, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139219, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 257, 20, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139220, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E15', 4, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139221, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 270, 16, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139222, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1519, 23, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139223, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 63, 10, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139224, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 158, 9, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139225, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C13', 323, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139226, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 144, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139227, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 182, 17, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139228, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 528, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139229, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 586, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139230, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 198, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139231, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 105, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139232, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 14, 12, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139233, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 3, 10, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139234, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 275, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139235, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 342, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139236, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 44, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139237, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 15, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139238, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 23, 8, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139239, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 2, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139240, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 601, 7, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139241, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 137, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139242, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 162, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139243, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 50, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139244, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C12', 15, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139245, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 199, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139246, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 6901, 11, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139247, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E20', 2, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139248, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '宜宾市政务服务和非公经济发展局', '', '1D22', 5, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139249, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '宜宾市政务服务和非公经济发展局', '', '1D20', 21, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139250, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 702, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139251, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 163, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139252, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 86, 23, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139253, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139254, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 380, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139255, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 154, 19, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139256, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 29, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139257, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 110, 18, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139258, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '宜宾市政务服务和非公经济发展局', '', '1D24', 11, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139259, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 8, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139260, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 297, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139261, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 66, 35, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139262, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 89, 37, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139263, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 5, 3, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139264, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 67, 13, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139265, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 5, 1, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139266, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 101, 17, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139267, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 98, 9, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139268, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 140, 24, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139269, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 214, 2, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139270, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 83, 25, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139271, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 104, 25, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139272, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 93, 37, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139273, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 55, 24, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139274, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 6, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139275, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 4, 2024, 5, 31, '2024-08-05 14:07:12', NULL, NULL), (139276, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 11, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139277, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 221, 5, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139278, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 409, 81, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139279, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 102, 8, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139280, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 765, 38, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139281, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 409, 81, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139282, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 5, 2, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139283, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 765, 38, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139284, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 184, 6, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139285, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139286, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 102, 8, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139287, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 14, 3, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139288, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 176, 3, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139289, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 19, 4, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139290, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 531, 2, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139291, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 585, 53, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139292, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139293, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 58, 5, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139294, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139295, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 5, 2, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139296, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 85, 24, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139297, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 765, 38, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 531, 2, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 119, 8, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 14, 3, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 11, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 47, 2, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 473, 13, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 14, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 165, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 908, 6, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 16, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 553, 21, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 176, 3, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 31, 8, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 19, 4, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 107, 8, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 536, 26, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 916, 25, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139315, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 765, 38, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139316, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 19, 4, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139317, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 85, 24, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139318, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 531, 2, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139319, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 14, 3, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139320, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 58, 5, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139321, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 176, 3, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139322, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 11, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139323, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 585, 53, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139324, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 916, 25, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139325, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 19, 4, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139326, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 553, 21, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139327, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 536, 26, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139328, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 473, 13, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139329, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 908, 6, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139330, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 14, 3, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139331, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 14, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139332, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 47, 2, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139333, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 531, 2, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139334, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 119, 8, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139335, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 16, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139336, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 11, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139337, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 176, 3, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139338, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 107, 8, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139339, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 165, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139340, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 31, 8, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139341, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 14, 3, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139342, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 531, 2, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139343, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 16, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139344, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 165, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139345, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 14, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139346, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 47, 2, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139347, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 536, 26, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139348, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 916, 25, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139349, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 553, 21, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139350, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 908, 6, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139351, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 176, 3, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139352, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 119, 8, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139353, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 19, 4, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139354, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 107, 8, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139355, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 473, 13, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139356, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 31, 8, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139357, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 11, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139358, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 176, 3, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139359, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 47, 2, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139360, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 19, 4, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139361, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 14, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139362, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 916, 25, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139363, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 165, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139364, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 16, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139365, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 531, 2, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139366, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 14, 3, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139367, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 11, 1, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139368, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 31, 8, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139369, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 473, 13, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139370, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 536, 26, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139371, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 908, 6, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139372, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 553, 21, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139373, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 107, 8, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139374, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 119, 8, 2024, 6, 1, '2024-08-05 14:07:13', NULL, NULL), (139375, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 184, 2, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139376, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 394, 46, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139377, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 468, 32, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139378, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 8, 4, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139379, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 394, 46, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139380, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 468, 32, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139381, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 184, 2, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139382, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 8, 4, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139383, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 6, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139384, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 184, 2, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139385, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 227, 23, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139386, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 1888, 6, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139387, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 19, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139388, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 5, 2, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139389, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 91, 17, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139390, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 468, 32, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 532, 16, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 9, 7, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 405, 16, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 184, 2, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 19, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 4, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 6, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 322, 14, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 6, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 96, 6, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 1888, 6, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 229, 4, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 80, 9, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139404, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 468, 32, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139405, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 1888, 6, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139406, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 91, 17, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139407, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 6, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139408, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 5, 2, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139409, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 184, 2, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139410, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 19, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139411, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 227, 23, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139412, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 322, 14, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139413, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 1888, 6, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139414, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 80, 9, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139415, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 532, 16, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139416, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 405, 16, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139417, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 184, 2, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139418, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 9, 7, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139419, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 6, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139420, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 19, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139421, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 4, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139422, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 229, 4, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139423, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 6, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139424, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 96, 6, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139425, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 4, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139426, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 184, 2, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139427, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 19, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139428, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 80, 9, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139429, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 322, 14, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139430, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 6, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139431, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 9, 7, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139432, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 532, 16, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139433, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 405, 16, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139434, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 1888, 6, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139435, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 229, 4, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139436, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 96, 6, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139437, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 6, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139438, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 1888, 6, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139439, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 4, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139440, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 6, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139441, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 532, 16, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139442, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 184, 2, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139443, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 96, 6, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139444, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 405, 16, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139445, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 80, 9, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139446, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 322, 14, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139447, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 6, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139448, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 229, 4, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139449, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 19, 1, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139450, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 9, 7, 2024, 6, 2, '2024-08-05 14:07:14', NULL, NULL), (139451, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 25, 83, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139452, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 119, 83, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139453, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 283, 38, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139454, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 337, 223, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139455, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1194, 103, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139456, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 310, 451, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139457, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 245, 112, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139458, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1044, 94, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139459, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 789, 132, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139460, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 309, 452, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139461, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 169, 122, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139462, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1171, 105, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139463, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1044, 94, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139464, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 336, 224, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139465, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 25, 83, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139466, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 789, 132, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139467, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 245, 112, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139468, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 530, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139469, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 5, 19, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139470, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 14077, 5, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139471, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 52, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139472, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 343, 14, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139473, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 97, 15, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139474, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 60, 34, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139475, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 25, 82, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139476, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 242, 10, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139477, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 573, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139478, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 881, 6, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139479, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 778, 68, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139480, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 97, 10, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139481, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 357, 5, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139482, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 2952, 3, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139483, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1207, 11, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139484, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 223, 27, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139485, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 210, 5, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139486, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 129, 2, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139487, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2904, 11, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139488, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 154, 70, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139489, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 35, 5, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139490, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 101, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139491, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 381, 316, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139492, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 25, 9, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139493, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1824, 13, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139494, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 207, 20, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139495, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 247, 111, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139496, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 6, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139497, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1022, 38, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139498, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 952, 4, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139499, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 948, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139500, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 149, 84, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139501, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 120, 69, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139502, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '', 1955, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139503, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2840, 14, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139504, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 219, 86, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139505, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '', '', '', 1567, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139506, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 545, 6, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139507, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 3, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139508, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 41, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139509, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1115, 51, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139510, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 133, 66, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139511, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 59, 9, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139512, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 8, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139513, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 88, 8, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1824, 13, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 1067, 17, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 966, 11, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 194, 4, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 530, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 109, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1212, 12, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 803, 12, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 856, 25, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 424, 50, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 434, 17, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1057, 5, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 837, 4, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 406, 38, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 867, 3, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2470, 14, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 283, 60, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1175, 4, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 251, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 403, 36, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 807, 4, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 317, 44, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 726, 3, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 421, 38, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 451, 33, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 880, 7, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 292, 27, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 274, 14, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 250, 11, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (139543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 167, 9, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 154, 7, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 23, 19, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 30, 16, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 8, 11, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 29, 9, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 279, 21, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 159, 12, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 39, 13, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 144, 39, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 25, 9, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 637, 4, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 348, 11, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 22, 15, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 178, 15, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 195, 27, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 101, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 471, 6, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 44, 3, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 8, 2, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 129, 2, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 948, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 257, 10, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 103, 28, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 121, 26, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 331, 7, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 38, 11, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 262, 4, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 124, 23, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 132, 25, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 223, 27, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 14077, 5, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 110, 23, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 223, 7, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 168, 19, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 60, 10, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 3, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 952, 4, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 134, 22, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 121, 2, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 231, 9, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 142, 27, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 163, 16, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 117, 9, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 41, 6, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 826, 6, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 546, 6, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 210, 5, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 59, 9, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 336, 31, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 70, 12, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 6, 3, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 80, 13, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 10, 3, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 108, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 7, 8, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 2, 3, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 49, 7, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 7, 10, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1223, 13, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 60, 2, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 155, 3, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 242, 10, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 41, 3, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 357, 5, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 2952, 3, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1775, 11, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 901, 10, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 420, 7, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 35, 5, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 949, 10, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2840, 14, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 218, 19, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 5, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139619, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 219, 86, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139620, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 381, 316, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139621, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 2904, 11, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139622, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 60, 34, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139623, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1207, 11, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139624, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1115, 51, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139625, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2840, 14, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139626, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 242, 10, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139627, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 223, 27, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139628, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 120, 69, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139629, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 7, 8, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139630, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 129, 2, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139631, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 357, 5, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139632, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 530, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139633, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 59, 9, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139634, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '宜宾市市场监管局', '', '', 1567, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139635, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 802, 66, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139636, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 101, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139637, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 5, 19, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139638, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1022, 38, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139639, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 41, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139640, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 25, 9, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139641, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 135, 65, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139642, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 881, 6, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139643, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 3, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139644, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 207, 20, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139645, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 654, 5, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139646, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '宜宾市市场监管局', '', '', 1955, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139647, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 573, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139648, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 25, 82, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139649, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 948, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139650, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1824, 13, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139651, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 6, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139652, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 97, 15, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139653, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 14077, 5, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139654, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 247, 111, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139655, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 154, 70, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139656, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 88, 8, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139657, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 2952, 3, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139658, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 52, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139659, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 108, 9, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139660, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 35, 5, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139661, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 343, 14, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139662, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 210, 5, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139663, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 149, 84, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139664, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 952, 4, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139665, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1824, 13, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139666, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 59, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139667, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 357, 5, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139668, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 144, 39, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139669, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 242, 10, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139670, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 121, 26, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139671, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 22, 15, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139672, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C13', 2904, 11, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139673, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 38, 12, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139674, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 8, 11, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139675, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 29, 9, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139676, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 23, 19, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139677, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B11', 101, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139678, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 30, 16, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139679, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 44, 3, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139680, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 8, 2, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139681, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 206, 4, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139682, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 41, 3, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139683, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 155, 3, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139684, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 60, 2, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139685, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 5, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139686, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '1D09', 1955, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139687, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 530, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139688, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 654, 5, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139689, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 867, 3, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139690, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 837, 4, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139691, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 163, 16, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139692, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 1057, 5, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139693, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 231, 9, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139694, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 880, 7, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139695, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 14077, 5, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139696, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 726, 3, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139697, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 1175, 4, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139698, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1223, 13, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139699, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 110, 23, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139700, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 195, 27, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139701, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 103, 28, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139702, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 178, 15, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139703, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 35, 5, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139704, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 1212, 12, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139705, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1775, 11, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139706, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 317, 44, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139707, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 420, 7, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139708, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 901, 10, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139709, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 6, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139710, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 949, 10, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139711, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 424, 50, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139712, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 451, 33, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139713, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 218, 19, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139714, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 421, 38, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139715, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 60, 10, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139716, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 403, 36, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139717, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 168, 19, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139718, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 283, 60, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139719, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E20', 3, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139720, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 223, 7, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139721, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 406, 38, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139722, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 434, 17, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139723, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 952, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139724, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2840, 14, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139725, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139726, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139727, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 159, 12, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139728, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 279, 21, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139729, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 274, 14, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139730, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 292, 27, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139731, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 250, 11, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139732, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 154, 7, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139733, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E15', 41, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139734, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 124, 23, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139735, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 167, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139736, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 132, 25, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139737, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 113, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139738, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 331, 7, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139739, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D09', 52, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139740, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 25, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139741, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 6, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139742, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 38, 11, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139743, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139744, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 10, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139745, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 262, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139746, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 573, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139747, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 336, 31, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139748, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '', '', '1D03', 1567, 1, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139749, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 257, 10, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139750, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E19', 1650, 3, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139751, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 142, 27, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139752, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 117, 9, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139753, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 134, 22, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139754, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 121, 2, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139755, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 41, 6, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139756, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C03', 1036, 2, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139757, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 2016, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139758, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 210, 5, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139759, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C07', 5, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139760, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 327, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139761, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 70, 12, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139762, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 80, 13, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139763, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 948, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139764, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 348, 11, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139765, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 1987, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139766, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 108, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139767, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 7, 8, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139768, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 129, 2, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139769, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 2952, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139770, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 877, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139771, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C12', 251, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139772, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 8, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139773, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 2, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139774, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 2, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139775, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C11', 807, 4, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139776, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 223, 27, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139777, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 1036, 15, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139778, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 2, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139779, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C03', 950, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139780, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C02', 194, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139781, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 408, 9, 2024, 6, 3, '2024-08-05 14:07:15', NULL, NULL), (139782, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 891, 24, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139783, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 109, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139784, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 108, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139785, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 7, 8, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139786, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 70, 12, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139787, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 80, 13, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139788, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 7, 10, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139789, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 2, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139790, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 49, 7, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139791, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 155, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139792, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 41, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139793, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 60, 2, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139794, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 949, 10, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139795, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 420, 7, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139796, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 901, 10, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139797, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1775, 11, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139798, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 336, 31, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139799, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 5, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139800, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 218, 19, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139801, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 144, 39, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139802, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 952, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139803, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 331, 7, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139804, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 231, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139805, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 163, 16, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139806, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 251, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139807, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 807, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139808, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 546, 6, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139809, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 826, 6, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139810, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2470, 14, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139811, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139812, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139813, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 121, 26, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139814, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 10, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139815, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 103, 28, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139816, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 6, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139817, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 195, 27, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139818, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 178, 15, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139819, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 357, 5, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139820, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 242, 10, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139821, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1223, 13, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139822, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 124, 23, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139823, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 132, 25, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139824, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 14077, 5, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139825, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 109, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139826, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 223, 27, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139827, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 803, 12, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139828, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 38, 11, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139829, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 856, 25, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139830, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 262, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139831, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1824, 13, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139832, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 530, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139833, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 110, 23, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139834, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 167, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139835, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 168, 19, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139836, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 60, 10, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139837, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 1067, 17, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139838, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 966, 11, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139839, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 154, 7, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139840, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 194, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139841, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 223, 7, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139842, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 292, 27, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139843, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 159, 12, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139844, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1175, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139845, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 250, 11, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139846, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 867, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139847, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 274, 14, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139848, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 837, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139849, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1057, 5, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139850, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 279, 21, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139851, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 257, 10, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139852, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 101, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139853, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 880, 7, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139854, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 726, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139855, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 2952, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139856, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1212, 12, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139857, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 30, 16, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139858, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 8, 11, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139859, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 23, 19, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139860, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 29, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139861, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 39, 13, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139862, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 59, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139863, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 22, 15, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139864, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 210, 5, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139865, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 121, 2, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139866, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 142, 27, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139867, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139868, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 134, 22, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139869, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 117, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139870, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 41, 6, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139871, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2840, 14, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139872, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 35, 5, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139873, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 348, 11, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139874, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 948, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139875, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 129, 2, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139876, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 637, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139877, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 317, 44, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139878, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 25, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139879, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 403, 36, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139880, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 471, 6, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139881, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 283, 60, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139882, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 406, 38, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139883, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 8, 2, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139884, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 434, 17, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139885, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 44, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139886, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 424, 50, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139887, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 451, 33, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139888, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 421, 38, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139889, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 336, 31, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139890, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 14077, 5, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139891, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B11', 101, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139892, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 124, 23, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139893, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 331, 7, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139894, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1824, 13, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139895, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 35, 5, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139896, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 132, 25, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139897, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 10, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139898, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 6, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139899, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 8, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139900, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 223, 7, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139901, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 168, 19, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139902, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 1057, 5, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139903, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 837, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139904, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 60, 10, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139905, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 867, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139906, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 1175, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139907, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 726, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139908, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 110, 23, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139909, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 880, 7, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139910, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 134, 22, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139911, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139912, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 142, 27, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139913, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 121, 2, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139914, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 41, 6, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139915, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 117, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139916, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 2, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139917, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 2, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139918, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 573, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139919, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 348, 11, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139920, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 420, 7, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139921, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 949, 10, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139922, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 327, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139923, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 109, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139924, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1775, 11, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139925, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 408, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139926, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 901, 10, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139927, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 891, 24, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139928, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 1036, 15, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139929, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C03', 950, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139930, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C02', 194, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139931, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E20', 3, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139932, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 210, 5, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139933, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 103, 28, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139934, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 178, 15, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139935, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 2, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139936, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 195, 27, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139937, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 257, 10, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139938, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '宜宾市市场监管局', '', '1D03', 1567, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139939, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139940, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 129, 2, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139941, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139942, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E15', 41, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139943, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 159, 12, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139944, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 292, 27, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139945, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 274, 14, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139946, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 250, 11, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139947, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 279, 21, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139948, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1223, 13, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (139949, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 22, 15, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139950, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 242, 10, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139951, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C13', 2904, 11, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139952, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 167, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139953, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 154, 7, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139954, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 952, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139955, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 7, 8, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139956, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 108, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139957, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 218, 19, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139958, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 8, 11, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139959, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 29, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139960, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 38, 12, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139961, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 948, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139962, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 121, 26, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139963, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 23, 19, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139964, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 30, 16, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139965, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E19', 1650, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139966, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 5, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139967, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 80, 13, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139968, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 70, 12, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139969, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 357, 5, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139970, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 654, 5, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139971, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 530, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139972, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 41, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139973, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 155, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139974, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 877, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139975, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 60, 2, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139976, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 25, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139977, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C12', 251, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139978, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 113, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139979, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 1212, 12, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139980, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 262, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139981, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 38, 11, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139982, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 223, 27, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139983, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 6, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139984, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C11', 807, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139985, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 421, 38, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139986, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 206, 4, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139987, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2840, 14, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139988, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 283, 60, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139989, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 406, 38, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139990, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 44, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139991, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 317, 44, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139992, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 8, 2, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139993, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 403, 36, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139994, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 231, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139995, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 163, 16, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139996, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 451, 33, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139997, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 434, 17, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139998, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 424, 50, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (139999, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 2952, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (140000, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '宜宾市市场监管局', '', '1D09', 1955, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (140001, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 144, 39, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (140002, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 59, 9, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (140003, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C04', 2016, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (140004, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C03', 1036, 2, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (140005, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 1987, 3, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (140006, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C07', 5, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (140007, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D09', 52, 1, 2024, 6, 3, '2024-08-05 14:07:16', NULL, NULL), (140008, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 56, 71, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140009, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 119, 69, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140010, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 767, 39, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140011, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 210, 145, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140012, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 658, 86, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140013, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 78, 385, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140014, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 94, 76, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140015, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 159, 108, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140016, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 366, 111, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140017, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 78, 387, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140018, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 353, 108, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140019, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 651, 87, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140020, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 89, 80, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140021, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 209, 146, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140022, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 56, 71, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140023, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 366, 111, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140024, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 159, 108, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140025, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 77, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140026, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140027, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 4, 15, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140028, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 54, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140029, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 713, 20, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140030, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 185, 12, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140031, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 9, 17, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140032, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 56, 71, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140033, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 119, 13, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140034, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 291, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140035, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 6, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140036, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 425, 52, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140037, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 2065, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140038, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 556, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140039, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 2007, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140040, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 42, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140041, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 873, 13, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140042, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 85, 15, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140043, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 707, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140044, 1, '511500000000-0001', '宜宾市民中心', '律师执业变更许可', '', '', '', 4, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140045, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1413, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140046, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 87, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140047, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 132, 68, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140048, 1, '511500000000-0001', '宜宾市民中心', '律师执业注销许可', '', '', '', 4, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140049, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 14, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140050, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 67, 270, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140051, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 421, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140052, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 986, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140053, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 97, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140054, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 159, 108, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140055, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 4, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140056, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 470, 33, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140057, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140058, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1916, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140059, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 1205, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140060, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 40, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140061, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 150, 56, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140062, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '', '', '', 3, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140063, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 22, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140064, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 96, 74, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140065, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 50, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140066, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 609, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140067, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 62, 49, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140068, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 542, 36, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140069, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 79, 13, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140070, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 31, 6, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140071, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 7, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140072, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '', '', '', 11, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140073, 1, '511500000000-0001', '宜宾市民中心', '律师执业许可', '', '', '', 4, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 626, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 3598, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 513, 14, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1266, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C02', 695, 12, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 77, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 320, 11, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 399, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 796, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 434, 19, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 62, 30, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 447, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 75, 27, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 343, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 66, 32, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1031, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1274, 8, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 84, 48, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1273, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 356, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 62, 33, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 180, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 42, 35, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 180, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 70, 34, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 76, 30, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 419, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 263, 11, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 127, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 252, 11, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 24, 11, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B02', 107, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 59, 12, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 62, 14, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 11, 13, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 98, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 45, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 221, 8, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 69, 27, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 126, 14, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 421, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 684, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 743, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 11, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 147, 31, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 135, 13, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 124, 19, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 2065, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 54, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 87, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1205, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 202, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 116, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 56, 21, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 219, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 94, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 16, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 63, 16, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 137, 21, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 85, 15, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 170, 19, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 330, 6, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 52, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 108, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 8, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 1916, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 7, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 4, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 6, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 184, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 118, 7, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 6, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 707, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 41, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 124, 8, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 80, 19, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 11, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 11, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 5, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 9, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 89, 7, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 6, 6, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 3, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 299, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 9, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 10, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 119, 13, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 75, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 556, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 42, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 775, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 514, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 14, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 556, 8, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 22, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 97, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140176, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 96, 74, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140177, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 68, 269, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140178, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1413, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140179, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 9, 17, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140180, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 873, 13, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140181, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 542, 36, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140182, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 22, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140183, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 119, 13, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140184, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 85, 15, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140185, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 40, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140186, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 7, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140187, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 87, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140188, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 556, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140189, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 77, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140190, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 79, 13, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140191, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 425, 52, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140192, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 470, 33, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140193, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 4, 15, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140194, 1, '511500000000-0001', '宜宾市民中心', '律师执业注销许可', '宜宾市政务服务和非公经济发展局', '', '', 4, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140195, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 421, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140196, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 63, 48, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140197, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 6, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140198, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 609, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140199, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 97, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140200, 1, '511500000000-0001', '宜宾市民中心', '律师执业许可', '宜宾市政务服务和非公经济发展局', '', '', 4, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140201, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 50, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140202, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 388, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140203, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 56, 71, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140204, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 1205, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140205, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 986, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140206, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 4, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140207, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 185, 12, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140208, 1, '511500000000-0001', '宜宾市民中心', '律师执业变更许可', '宜宾市政务服务和非公经济发展局', '', '', 4, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140209, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 159, 108, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140210, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 132, 68, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140211, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 31, 6, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140212, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 42, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140213, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 54, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140214, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '宜宾市政务服务和非公经济发展局', '', '', 3, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140215, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 2065, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140216, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 14, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140217, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 713, 20, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140218, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 707, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140219, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 2007, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140220, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 150, 56, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140221, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1916, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140222, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '宜宾市政务服务和非公经济发展局', '', '', 11, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140223, 1, '511500000000-0001', '宜宾市民中心', '律师执业许可', '', '', '1D21', 4, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140224, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 659, 8, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140225, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 3598, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140226, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 8, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140227, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 124, 8, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140228, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 556, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140229, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 69, 27, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140230, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 56, 21, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140231, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 119, 13, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140232, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 11, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140233, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C13', 1413, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140234, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 126, 14, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140235, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 11, 13, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140236, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 45, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140237, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 59, 12, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140238, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 62, 14, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140239, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 2065, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140240, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 75, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140241, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 10, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140242, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 9, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140243, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 77, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140244, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 50, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140245, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1031, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140246, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 343, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140247, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 118, 7, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140248, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 447, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140249, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 184, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140250, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 419, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140251, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 180, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140252, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 180, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140253, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 356, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140254, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 299, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140255, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 170, 19, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140256, 1, '511500000000-0001', '宜宾市民中心', '律师执业变更许可', '', '', '1D22', 4, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140257, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 124, 19, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140258, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 116, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140259, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 147, 31, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140260, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 14, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140261, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 796, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140262, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 775, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140263, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 42, 35, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140264, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 514, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140265, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 2765, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140266, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C02', 1628, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140267, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 4, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140268, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 556, 8, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140269, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 62, 30, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140270, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 97, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140271, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 76, 30, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140272, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 70, 34, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140273, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 609, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140274, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 108, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140275, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 62, 33, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140276, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 52, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140277, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 84, 48, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140278, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 330, 6, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140279, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 66, 32, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140280, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 75, 27, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140281, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 1916, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140282, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 22, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140283, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140284, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 221, 8, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140285, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 98, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140286, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 263, 11, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140287, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 252, 11, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140288, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 127, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140289, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B02', 107, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140290, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 63, 16, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140291, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 24, 11, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140292, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 137, 21, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140293, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 6, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140294, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 94, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140295, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 421, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140296, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 54, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140297, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 219, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140298, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140299, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 9, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140300, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140301, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 16, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140302, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '', '', '1D25', 11, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140303, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 576, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140304, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 80, 19, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140305, 1, '511500000000-0001', '宜宾市民中心', '律师执业注销许可', '', '', '1D22', 4, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140306, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 135, 13, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140307, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 202, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140308, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 16, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140309, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140310, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 4, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140311, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 6, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140312, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140313, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C02', 1029, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140314, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 599, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140315, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 707, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140316, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C07', 375, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140317, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 11, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140318, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 684, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140319, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C06', 493, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140320, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 11, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140321, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 1205, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140322, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 241, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140323, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 743, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140324, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 5, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140325, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 3, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140326, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '', '', '1D25', 3, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140327, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 42, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140328, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 87, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140329, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 28, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140330, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '', '', '1D20', 3, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140331, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 3, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140332, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 6, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140333, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 3, 6, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140334, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C07', 13, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140335, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1273, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140336, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1552, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140337, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 85, 15, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140338, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 470, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140339, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 3, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140340, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C03', 517, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140341, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C02', 451, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140342, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 452, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140343, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 463, 17, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140344, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 320, 11, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140345, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 5, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140346, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 3, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140347, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 11, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140348, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 11, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140349, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 3, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140350, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 89, 7, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140351, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 6, 6, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140352, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 10, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140353, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 75, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140354, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 9, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140355, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 556, 8, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140356, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 514, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140357, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 775, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140358, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 80, 19, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140359, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 97, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140360, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 69, 27, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140361, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 1916, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140362, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 94, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140363, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 184, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140364, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 118, 7, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (140365, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1273, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140366, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 41, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140367, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140368, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1274, 8, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140369, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 9, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140370, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 56, 21, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140371, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140372, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 116, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140373, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140374, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 124, 19, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140375, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 147, 31, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140376, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 556, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140377, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 119, 13, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140378, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 299, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140379, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 63, 16, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140380, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 137, 21, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140381, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 320, 11, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140382, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 85, 15, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140383, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 399, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140384, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 219, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140385, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 434, 19, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140386, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 16, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140387, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 626, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140388, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 77, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140389, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 170, 19, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140390, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 3598, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140391, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 24, 11, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140392, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 52, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140393, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 513, 14, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140394, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 252, 11, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140395, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 108, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140396, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1266, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140397, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 330, 6, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140398, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B02', 107, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140399, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C02', 695, 12, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140400, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 180, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140401, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 263, 11, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140402, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 221, 8, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140403, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 356, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140404, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1031, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140405, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 127, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140406, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 343, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140407, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 447, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140408, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 98, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140409, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 202, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140410, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 135, 13, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140411, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 419, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140412, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 180, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140413, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 42, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140414, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 796, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140415, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 62, 14, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140416, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 11, 13, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140417, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 59, 12, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140418, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 45, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140419, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 126, 14, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140420, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 124, 8, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140421, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 8, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140422, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 11, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140423, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 707, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140424, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140425, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140426, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 7, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140427, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140428, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 6, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140429, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140430, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 22, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140431, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 14, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140432, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 743, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140433, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1205, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140434, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 87, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140435, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 684, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140436, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 42, 35, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140437, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 421, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140438, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 62, 33, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140439, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 2065, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140440, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 84, 48, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140441, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 66, 32, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140442, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 54, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140443, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 75, 27, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140444, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 62, 30, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140445, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 76, 30, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140446, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 70, 34, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140447, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 80, 19, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140448, 1, '511500000000-0001', '宜宾市民中心', '律师执业注销许可', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140449, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 63, 16, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140450, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 659, 8, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140451, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 94, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140452, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 14, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140453, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 137, 21, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140454, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 3598, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140455, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140456, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 3, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140457, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140458, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 330, 6, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140459, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 52, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140460, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 447, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140461, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 343, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140462, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 108, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140463, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1031, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140464, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 356, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140465, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 180, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140466, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 170, 19, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140467, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 180, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140468, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 419, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140469, 1, '511500000000-0001', '宜宾市民中心', '律师执业许可', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140470, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 4, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140471, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140472, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 16, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140473, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 6, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140474, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140475, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140476, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 6, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140477, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 3, 6, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140478, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 576, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140479, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 743, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140480, 1, '511500000000-0001', '宜宾市民中心', '律师执业变更许可', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140481, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 556, 8, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140482, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 684, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140483, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 775, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140484, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 320, 11, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 514, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140486, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 452, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140487, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 463, 17, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140488, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 470, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140489, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C03', 517, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140490, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C02', 451, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140491, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 609, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140492, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 707, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140493, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 116, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140494, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 147, 31, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140495, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 3, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140496, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 124, 19, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140497, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 135, 13, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140498, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 202, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140499, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 87, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140500, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 9, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140501, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 221, 8, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140502, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 263, 11, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140503, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 127, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140504, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 98, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140505, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 299, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140506, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 11, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140507, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 119, 13, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140508, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C13', 1413, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140509, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 252, 11, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140510, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 24, 11, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140511, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B02', 107, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140512, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 1916, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140513, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 3, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140514, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 5, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140515, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 97, 18, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140516, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 11, 13, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140517, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 45, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140518, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 1205, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140519, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 126, 14, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140520, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 56, 21, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140521, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 59, 12, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140522, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 62, 14, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140523, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 11, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140524, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 11, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140525, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 556, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140526, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 50, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140527, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 77, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140528, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 75, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140529, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 28, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140530, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 10, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140531, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 9, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140532, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 421, 9, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140533, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 6, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140534, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C07', 13, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140535, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 16, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140536, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 796, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140537, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C02', 1628, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140538, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 219, 10, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140539, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 2765, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140540, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 85, 15, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140541, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1552, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140542, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1273, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140543, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 4, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140544, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 70, 34, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140545, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 22, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140546, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 2065, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140547, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '宜宾市政务服务和非公经济发展局', '', '1D25', 11, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140548, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 84, 48, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140549, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 66, 32, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140550, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 42, 35, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140551, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 62, 33, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140552, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 184, 4, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140553, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 118, 7, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140554, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 76, 30, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140555, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 75, 27, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140556, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 62, 30, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140557, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 42, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140558, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 69, 27, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140559, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140560, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140561, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C02', 1029, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140562, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C06', 493, 2, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140563, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 124, 8, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140564, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C04', 599, 3, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140565, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D07', 54, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140566, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 8, 5, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140567, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 241, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140568, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C07', 375, 1, 2024, 6, 4, '2024-08-05 14:07:17', NULL, NULL), (140569, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 20, 97, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140570, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 46, 55, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140571, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 319, 58, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140572, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 222, 166, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140573, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 587, 73, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140574, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 147, 438, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140575, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 214, 119, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140576, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 376, 101, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140577, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 206, 88, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140578, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 147, 438, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140579, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 183, 115, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140580, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 587, 73, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140581, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 204, 89, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140582, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 222, 166, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140583, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 376, 101, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140584, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 20, 97, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140585, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 214, 119, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140586, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 845, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140587, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 29, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140588, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 28, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140589, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 228, 27, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140590, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 19, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140591, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 15, 26, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140592, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 598, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140593, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 20, 97, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140594, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 25, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140595, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 164, 37, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140596, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 86, 14, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140597, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1008, 6, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140598, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1470, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140599, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 725, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140600, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 338, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140601, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 98, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140602, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 306, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140603, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 1141, 14, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140604, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 66, 64, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140605, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 309, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140606, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 171, 310, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140607, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 670, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140608, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 767, 11, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140609, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 12, 14, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140610, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 214, 119, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140611, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 3, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140612, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 184, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140613, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 74, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140614, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 868, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140615, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 48, 44, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140616, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 185, 65, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140617, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1707, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140618, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 107, 76, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140619, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 493, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140620, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 469, 36, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140621, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 109, 64, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140622, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 3, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140623, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 74, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140624, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 682, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 579, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 267, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 49, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 71, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 977, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 97, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 511, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 74, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 184, 28, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 125, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 203, 33, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 208, 44, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 208, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1092, 20, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 153, 49, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1528, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 151, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 130, 46, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 293, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 166, 41, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 21, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 137, 32, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 199, 37, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 644, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 215, 17, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 148, 17, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 13, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 5, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 30, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 310, 25, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 32, 18, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 28, 11, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 139, 16, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 94, 34, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 767, 11, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 76, 16, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 494, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 21, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 48, 20, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 247, 27, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 101, 30, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 43, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 79, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 98, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 237, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1737, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 16, 14, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 155, 17, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 126, 30, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 10, 6, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 19, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 39, 24, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 34, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 338, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 845, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 65, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 154, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 200, 20, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 56, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 2, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 88, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 24, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 17, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E12', 64, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 13, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 615, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 476, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 2, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 98, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 411, 6, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 6, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 240, 27, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 24, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 5, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 31, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 13, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 18, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 97, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 26, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 377, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 73, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 598, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 95, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 24, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1008, 6, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 828, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 506, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 482, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 309, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 497, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1707, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 13, 13, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 4, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140725, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 107, 76, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140726, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 109, 64, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140727, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 171, 310, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140728, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 1141, 14, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140729, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 15, 26, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140730, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1470, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140731, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 12, 14, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140732, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 469, 36, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140733, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 493, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140734, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 25, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140735, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 20, 97, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140736, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 1737, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140737, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 670, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140738, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1707, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140739, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 3, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140740, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 598, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140741, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 19, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140742, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 338, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140743, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 48, 44, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140744, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 845, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140745, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140746, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 214, 119, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140747, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 306, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140748, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 66, 64, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140749, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 828, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140750, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 74, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140751, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 28, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140752, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1008, 6, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140753, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 86, 14, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140754, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 3, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140755, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 164, 37, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140756, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 309, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140757, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 237, 26, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140758, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 98, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140759, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 184, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140760, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 29, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140761, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 185, 65, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140762, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 74, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140763, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 767, 11, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140764, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 682, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140765, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 579, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140766, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 2, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140767, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 1008, 6, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140768, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 6, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140769, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 94, 34, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (140770, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 598, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140771, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 126, 30, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140772, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 21, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140773, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C13', 1141, 14, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140774, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 28, 11, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140775, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 30, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140776, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 32, 18, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140777, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 13, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140778, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 5, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140779, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 98, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140780, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 106, 6, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140781, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 43, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140782, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 24, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140783, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 95, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140784, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 73, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140785, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 4, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140786, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 493, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140787, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 208, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140788, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 615, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140789, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 125, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140790, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 644, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140791, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 845, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140792, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 21, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140793, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 293, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140794, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 151, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140795, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 377, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140796, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 65, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140797, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 101, 30, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140798, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 16, 14, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140799, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 48, 20, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140800, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 309, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140801, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 511, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140802, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 97, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140803, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 506, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140804, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 166, 41, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140805, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 482, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140806, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 3, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140807, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 497, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140808, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 184, 28, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140809, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 13, 13, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140810, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 199, 37, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140811, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 137, 32, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140812, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 56, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140813, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 130, 46, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140814, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 200, 20, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140815, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 153, 49, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140816, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 154, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140817, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 208, 44, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140818, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 203, 33, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140819, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 88, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140820, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 24, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140821, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1707, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140822, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140823, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140824, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 139, 16, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140825, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 310, 25, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140826, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 215, 17, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140827, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 148, 17, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140828, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 39, 24, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140829, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 34, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140830, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E12', 64, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140831, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 10, 6, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140832, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 767, 11, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140833, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 53, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140834, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D08', 5, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140835, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 19, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140836, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D06', 28, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140837, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140838, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140839, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 35, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140840, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 240, 27, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140841, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 247, 27, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140842, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 155, 17, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140843, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 13, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140844, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 476, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140845, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 17, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140846, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140847, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 2, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140848, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 1312, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140849, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 98, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140850, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 24, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140851, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 76, 16, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140852, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 5, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140853, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 1737, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140854, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 1685, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140855, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 494, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140856, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 31, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140857, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 13, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140858, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 828, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140859, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 306, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140860, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 30, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140861, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 26, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140862, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 97, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140863, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C09', 6, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140864, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 18, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140865, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1528, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140866, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1452, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140867, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 338, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140868, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 119, 11, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140869, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C03', 49, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140870, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 3, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140871, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 801, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140872, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 74, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140873, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 79, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140874, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 31, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140875, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 13, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140876, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 24, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140877, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 5, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140878, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 26, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140879, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 18, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140880, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 97, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140881, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 95, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140882, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 24, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140883, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 73, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140884, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 497, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140885, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 482, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140886, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 506, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140887, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 240, 27, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140888, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 4, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140889, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 13, 13, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140890, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 94, 34, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140891, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 24, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140892, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E12', 64, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140893, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 88, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140894, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 10, 6, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140895, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 615, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140896, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1528, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140897, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 411, 6, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140898, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140899, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1092, 20, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140900, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140901, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140902, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 126, 30, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140903, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 16, 14, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140904, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140905, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 101, 30, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140906, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 48, 20, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140907, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1008, 6, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140908, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 598, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140909, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 377, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140910, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 39, 24, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140911, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 34, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140912, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 845, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140913, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 71, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140914, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 338, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140915, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 977, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140916, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 19, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140917, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 74, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140918, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 682, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140919, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 65, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140920, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 579, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140921, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 200, 20, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140922, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 148, 17, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140923, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 267, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140924, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 56, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140925, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 49, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140926, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 154, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140927, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 293, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140928, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 215, 17, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140929, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 151, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140930, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 139, 16, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140931, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 208, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140932, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 125, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140933, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 310, 25, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140934, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 155, 17, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140935, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 247, 27, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140936, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 644, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140937, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 21, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140938, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 828, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140939, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 511, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140940, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 97, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140941, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 5, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140942, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 30, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140943, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 13, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140944, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 32, 18, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140945, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 28, 11, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140946, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 6, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140947, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140948, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 21, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140949, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 98, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140950, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140951, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 13, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140952, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140953, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 17, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140954, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 476, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140955, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140956, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1707, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140957, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 309, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140958, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 494, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140959, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1737, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140960, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 237, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140961, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 76, 16, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140962, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 166, 41, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140963, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 767, 11, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140964, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 130, 46, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140965, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 43, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140966, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 153, 49, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140967, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 208, 44, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140968, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 98, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140969, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 203, 33, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140970, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 79, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140971, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 184, 28, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140972, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 199, 37, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140973, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 137, 32, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140974, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 845, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140975, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 240, 27, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140976, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 39, 24, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140977, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 682, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140978, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 10, 6, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140979, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 309, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140980, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 34, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140981, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 579, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140982, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140983, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 26, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140984, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 154, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140985, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 125, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140986, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 200, 20, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140987, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 56, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140988, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 208, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140989, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 151, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140990, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 293, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140991, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 21, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140992, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 65, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140993, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 644, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140994, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 17, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140995, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140996, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 13, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140997, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140998, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (140999, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 476, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141000, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 97, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141001, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 18, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141002, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 35, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141003, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 494, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141004, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 497, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141005, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 79, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141006, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 506, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141007, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 76, 16, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141008, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 801, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141009, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 482, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141010, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 74, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141011, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 119, 11, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141012, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C03', 49, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141013, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 98, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141014, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 16, 14, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141015, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 48, 20, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141016, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 3, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141017, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 101, 30, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141018, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 247, 27, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141019, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 155, 17, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141020, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141021, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 306, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141022, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141023, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 139, 16, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141024, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 215, 17, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141025, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 310, 25, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141026, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 377, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141027, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 21, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141028, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 598, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141029, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C13', 1141, 14, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141030, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 148, 17, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141031, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E12', 64, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141032, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 24, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141033, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 88, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141034, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 13, 8, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141035, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 31, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141036, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 13, 13, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141037, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 30, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141038, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 32, 18, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141039, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 1737, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141040, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 28, 11, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141041, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 126, 30, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141042, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 13, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141043, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 5, 19, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141044, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 4, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141045, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 5, 9, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141046, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 24, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141047, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 1008, 6, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141048, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 493, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141049, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 24, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141050, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 30, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141051, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 95, 5, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141052, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 73, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141053, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 767, 11, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141054, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C09', 6, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141055, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 97, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141056, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 511, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141057, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 19, 10, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141058, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1452, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141059, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 338, 15, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141060, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1528, 3, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141061, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 3, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141062, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 137, 32, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141063, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 43, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141064, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1707, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141065, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 153, 49, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141066, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 208, 44, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141067, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 98, 4, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141068, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 166, 41, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141069, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 106, 6, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141070, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 130, 46, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141071, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 615, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141072, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 199, 37, 2024, 6, 5, '2024-08-05 14:07:19', NULL, NULL), (141073, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 203, 33, 2024, 6, 5, '2024-08-05 14:07:19', NULL, NULL), (141074, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 184, 28, 2024, 6, 5, '2024-08-05 14:07:19', NULL, NULL), (141075, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 828, 7, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141076, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 94, 34, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141077, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 6, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141078, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C04', 1312, 2, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141079, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D08', 5, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141080, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D07', 53, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141081, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 1685, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141082, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D06', 28, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141083, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 1, 2024, 6, 5, '2024-08-05 14:07:18', NULL, NULL), (141084, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 22, 98, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141085, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 56, 42, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141086, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 256, 41, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141087, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 443, 161, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141088, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 125, 58, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141089, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 100, 421, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141090, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 224, 49, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141091, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 119, 107, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141092, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 801, 129, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141093, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 99, 422, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141094, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 155, 83, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141095, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 125, 58, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141096, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 220, 50, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141097, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 429, 166, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141098, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 22, 98, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141099, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 789, 131, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141100, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 119, 107, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141101, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 4, 1, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141102, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 3, 14, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141103, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 317, 15, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141104, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 130, 12, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141105, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 82, 19, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141106, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 317, 29, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141107, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 22, 98, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141108, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 2, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141109, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 652, 2, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141110, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 4, 2, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141111, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 89, 35, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141112, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 310, 10, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141113, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 574, 1, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141114, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 1114, 5, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141115, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 173, 3, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141116, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 146, 22, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141117, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 433, 5, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141118, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 168, 10, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141119, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 129, 76, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141120, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2567, 10, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141121, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 95, 276, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141122, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 78, 8, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141123, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 165, 13, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141124, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 151, 15, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141125, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 119, 107, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141126, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 922, 26, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141127, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 968, 4, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141128, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 157, 3, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141129, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 415, 70, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141130, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 6, 27, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141131, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 631, 6, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141132, 1, '511500000000-0001', '宜宾市民中心', '司法鉴定机构延续登记', '', '', '', 4, 1, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141133, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 123, 44, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141134, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 949, 2, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141135, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1270, 53, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141136, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 85, 70, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141137, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 4, 9, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141138, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 5, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141139, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 114, 5, 2024, 6, 6, '2024-08-05 14:07:21', NULL, NULL), (141140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 113, 8, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C05', 46, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 151, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 112, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2323, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 320, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 56, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 53, 15, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 70, 20, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 64, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 104, 35, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 107, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 92, 30, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 239, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 168, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 72, 53, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 16, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 92, 33, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 268, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 89, 27, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1486, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 142, 41, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 87, 37, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 161, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 76, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 82, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 133, 15, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 82, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 126, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 19, 16, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (141170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 18, 21, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 22, 18, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 98, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 32, 11, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 79, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 29, 16, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 89, 35, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 165, 13, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 173, 8, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 483, 7, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 19, 16, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 351, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 122, 23, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 77, 18, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 155, 24, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 348, 7, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 223, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 157, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 108, 17, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 119, 28, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 82, 35, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 30, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 82, 17, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 130, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 169, 19, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 230, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 4, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 245, 22, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 430, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 284, 24, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 111, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 9, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 1224, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 200, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 2, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 1376, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 4, 11, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 154, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 9, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 949, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 433, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 4, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 88, 14, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 181, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 3, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 43, 7, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 251, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 8, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 3, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 4, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 4, 8, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1357, 15, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 169, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 317, 29, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 574, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 33, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1392, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1221, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1218, 14, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 2567, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1274, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 757, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 24, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 661, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141237, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 123, 44, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141238, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 85, 70, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141239, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 95, 276, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141240, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 168, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141241, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 82, 19, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141242, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 4, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141243, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 173, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141244, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 151, 15, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141245, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1270, 53, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141246, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 949, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141247, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 652, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141248, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 22, 98, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141249, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 157, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141250, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 757, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141251, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 78, 8, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141252, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 317, 29, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141253, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 130, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141254, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 169, 19, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141255, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 6, 27, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141256, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 4, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141257, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141258, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 119, 107, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141259, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 131, 75, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141260, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 1392, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141261, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 114, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141262, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 574, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141263, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 310, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141264, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 4, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141265, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 89, 35, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141266, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 2567, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141267, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 317, 15, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141268, 1, '511500000000-0001', '宜宾市民中心', '司法鉴定机构延续登记', '宜宾市政务服务和非公经济发展局', '', '', 4, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141269, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 433, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141270, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 3, 14, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141271, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 922, 26, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141272, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 421, 69, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141273, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 968, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141274, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 165, 13, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141275, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 82, 7, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141276, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C05', 46, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141277, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141278, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 574, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141279, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 4, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141280, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 89, 35, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141281, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 317, 29, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141282, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 82, 35, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141283, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 19, 16, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141284, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C13', 168, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141285, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 29, 16, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141286, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 22, 18, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141287, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 32, 11, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141288, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 19, 16, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141289, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 18, 21, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141290, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 223, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141291, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 348, 7, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141292, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 33, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141293, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 169, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141294, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 949, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141295, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 239, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141296, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 107, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141297, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 154, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141298, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 64, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141299, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 1376, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141300, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 4, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141301, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 161, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141302, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 1486, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141303, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 268, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141304, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1357, 15, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141305, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 245, 22, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141306, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 155, 24, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141307, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 119, 28, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141308, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 122, 23, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141309, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 2567, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141310, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 56, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141311, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 2323, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141312, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1221, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141313, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 89, 27, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141314, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1218, 14, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141315, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1274, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141316, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 70, 20, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141317, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 24, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141318, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 87, 37, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141319, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 661, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141320, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 142, 41, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141321, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 111, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141322, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 92, 33, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141323, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 284, 24, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141324, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 72, 53, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141325, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 430, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141326, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 92, 30, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141327, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 104, 35, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141328, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 1224, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141329, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 200, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141330, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 757, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141331, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 10, 8, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141332, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 79, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141333, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 98, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141334, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 82, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141335, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 76, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141336, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 82, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141337, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 133, 15, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141338, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 82, 17, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141339, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 126, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141340, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 230, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141341, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 30, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141342, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 4, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141343, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 165, 13, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141344, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 3, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141345, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 8, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141346, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141347, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 130, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141348, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C06', 329, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141349, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 975, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141350, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 88, 14, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141351, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 77, 18, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141352, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 351, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141353, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 108, 17, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141354, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 4, 11, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141355, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 9, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141356, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 2, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141357, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 433, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141358, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C07', 8, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141359, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 173, 8, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141360, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 181, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141361, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 43, 7, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141362, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C09', 497, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141363, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 157, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141364, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 483, 7, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141365, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 251, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141366, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 3, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141367, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 1392, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141368, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 4, 8, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141369, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 3, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141370, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 3, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141371, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 16, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141372, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 169, 19, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141373, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 59, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141374, 1, '511500000000-0001', '宜宾市民中心', '司法鉴定机构延续登记', '', '', '1D25', 4, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141375, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 320, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141376, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 56, 14, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141377, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 64, 8, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141378, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 251, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141379, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 3, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141380, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 181, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141381, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 43, 7, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141382, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 4, 8, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141383, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 3, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141384, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 4, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141385, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 33, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141386, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 169, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141387, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1274, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141388, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1218, 14, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141389, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1221, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141390, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 88, 14, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141391, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 661, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141392, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 24, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141393, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 89, 35, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141394, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 200, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141395, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 1224, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141396, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 30, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141397, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 1376, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141398, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 154, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141399, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 16, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141400, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 949, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141401, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 168, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141402, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 8, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141403, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 82, 35, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141404, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141405, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 119, 28, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141406, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 3, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141407, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 155, 24, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141408, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 122, 23, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141409, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 574, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141410, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 317, 29, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141411, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1357, 15, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141412, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 82, 17, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141413, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 230, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141414, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 4, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141415, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 169, 19, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141416, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 112, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141417, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 320, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141418, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 53, 15, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141419, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 113, 8, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141420, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 130, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141421, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 245, 22, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141422, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C05', 46, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141423, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 284, 24, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141424, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 126, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141425, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 111, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141426, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 151, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141427, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 82, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141428, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 430, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141429, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 268, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141430, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 76, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141431, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 79, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141432, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 133, 15, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141433, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 239, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141434, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 82, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141435, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 107, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141436, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 64, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141437, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 98, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141438, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 108, 17, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141439, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 77, 18, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141440, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B12', 351, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141441, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 161, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141442, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1486, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141443, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1392, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141444, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 56, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141445, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2323, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141446, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 18, 21, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141447, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 22, 18, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141448, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 19, 16, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141449, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 32, 11, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141450, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 29, 16, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141451, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141452, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141453, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 19, 16, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141454, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 433, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141455, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 11, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141456, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 9, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141457, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141458, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141459, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 757, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141460, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 2567, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141461, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 483, 7, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141462, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 157, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141463, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 173, 8, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141464, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 89, 27, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141465, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 165, 13, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141466, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 92, 33, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141467, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 348, 7, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141468, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 72, 53, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141469, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 92, 30, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141470, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 104, 35, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141471, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 223, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141472, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 70, 20, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141473, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 87, 37, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141474, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 142, 41, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141475, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 4, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141476, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 88, 14, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141477, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 82, 17, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141478, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 82, 7, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141479, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 30, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141480, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 2567, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141481, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 230, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141482, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C05', 46, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141483, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141484, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 3, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141485, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 4, 8, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141486, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 430, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141487, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 284, 24, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141488, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 64, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141489, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 111, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141490, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 107, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141491, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 239, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141492, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 268, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141493, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 245, 22, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141494, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 1486, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141495, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 161, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141496, 1, '511500000000-0001', '宜宾市民中心', '司法鉴定机构延续登记', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141497, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 2, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141498, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 10, 8, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141499, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 11, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141500, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141501, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 3, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141502, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 3, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141503, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 975, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141504, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 483, 7, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141505, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1274, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141506, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 173, 8, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141507, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 64, 8, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141508, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1221, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141509, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 320, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141510, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1218, 14, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141511, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 56, 14, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141512, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 59, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141513, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 433, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141514, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 119, 28, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141515, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 122, 23, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141516, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 155, 24, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141517, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 77, 18, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141518, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 108, 17, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141519, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B12', 351, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141520, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 8, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141521, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 79, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141522, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 76, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141523, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 82, 9, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141524, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 133, 15, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141525, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 98, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141526, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1357, 15, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141527, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 19, 16, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141528, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 317, 29, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141529, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C13', 168, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141530, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 82, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141531, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 126, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141532, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 200, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141533, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 1224, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141534, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 3, 6, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141535, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 251, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141536, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 24, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141537, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 22, 18, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141538, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 32, 11, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141539, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 157, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141540, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 29, 16, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141541, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 82, 35, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141542, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 19, 16, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141543, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 18, 21, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141544, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 661, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141545, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 43, 7, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141546, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 181, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141547, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 574, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141548, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 949, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141549, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 33, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141550, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 165, 13, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141551, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 169, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141552, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 4, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141553, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C06', 329, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141554, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 2323, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141555, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 56, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141556, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 130, 12, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141557, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 169, 19, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141558, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 16, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141559, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 142, 41, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141560, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 348, 7, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141561, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 757, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141562, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 72, 53, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141563, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 92, 30, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141564, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 223, 3, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141565, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 89, 27, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141566, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 92, 33, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141567, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 1376, 10, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141568, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 154, 2, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141569, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 87, 37, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141570, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 104, 35, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141571, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 70, 20, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141572, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 1392, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141573, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 89, 35, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (141574, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 4, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141575, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C09', 497, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141576, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 5, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141577, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C07', 8, 1, 2024, 6, 6, '2024-08-05 14:07:22', NULL, NULL), (141578, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 50, 81, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141579, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 157, 64, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141580, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 615, 30, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141581, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 125, 113, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141582, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 869, 74, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141583, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 151, 429, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141584, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 485, 71, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141585, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1258, 126, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141586, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 363, 112, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141587, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 151, 430, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141588, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 274, 104, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141589, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 869, 74, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141590, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 485, 71, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141591, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 125, 113, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141592, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1258, 126, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141593, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 50, 81, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141594, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 363, 112, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141595, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 9, 13, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141596, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 545, 17, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141597, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 50, 7, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141598, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 56, 14, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141599, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 139, 18, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141600, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 50, 81, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141601, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 241, 4, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141602, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 221, 38, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141603, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 18, 7, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141604, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 586, 3, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141605, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 2529, 2, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141606, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 3513, 3, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141607, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 801, 8, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141608, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 156, 13, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141609, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 293, 6, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141610, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 427, 3, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141611, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 3145, 7, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141612, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 188, 86, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141613, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 613, 8, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141614, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 156, 284, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141615, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 262, 10, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141616, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1430, 15, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141617, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 12, 8, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141618, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 363, 112, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141619, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1310, 39, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141620, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 7, 1, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141621, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 1718, 3, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141622, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 105, 52, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141623, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 84, 46, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141624, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 310, 4, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141625, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 351, 68, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141626, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 74, 3, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141627, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 76, 60, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141628, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1944, 53, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141629, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 479, 6, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141630, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 145, 4, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141631, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 5, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 294, 8, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 456, 15, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1205, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 404, 17, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 737, 7, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 95, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 1584, 13, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 943, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 160, 24, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 46, 1, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 173, 35, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 4260, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2233, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 190, 32, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2121, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 1736, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 110, 60, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 169, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 745, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 211, 36, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1642, 5, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 140, 29, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 7, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1079, 7, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 138, 39, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 161, 29, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1326, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 637, 6, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 296, 16, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 646, 4, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 582, 13, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 33, 15, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 19, 20, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 38, 14, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 372, 8, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 227, 10, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 13, 10, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 92, 46, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 354, 22, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 1314, 2, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 240, 11, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 1326, 5, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 19, 12, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 253, 22, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 445, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 202, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 139, 38, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 26, 1, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 17, 6, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 641, 2, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1718, 3, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 230, 21, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 212, 25, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 21, 14, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 58, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 7, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 378, 29, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 156, 13, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 314, 25, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 103, 15, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 74, 12, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 21, 9, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 717, 4, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 441, 9, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 7, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 17, 17, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 134, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 54, 10, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 108, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 138, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 10, 12, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 31, 1, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 74, 3, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 293, 6, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 4, 2, 2024, 6, 7, '2024-08-05 14:07:25', NULL, NULL), (141707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 361, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 84, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 6, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 87, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 4, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 39, 7, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 3, 5, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 5, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 13, 5, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1713, 10, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 242, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 69, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 139, 18, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 26, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 586, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 3513, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 2216, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2113, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 613, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1684, 15, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 310, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 12, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141730, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 351, 68, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141731, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 76, 60, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141732, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 156, 284, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141733, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 3145, 7, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141734, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 56, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141735, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 801, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141736, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 12, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141737, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1944, 53, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141738, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 74, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141739, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 241, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141740, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 50, 81, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141741, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 1718, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141742, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 310, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141743, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1430, 15, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141744, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 139, 18, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141745, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 50, 7, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141746, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 156, 13, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141747, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 105, 52, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141748, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 5, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141749, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 363, 112, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141750, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 641, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141751, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 190, 85, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141752, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 3513, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141753, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 145, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141754, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 18, 7, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141755, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 586, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141756, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 479, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141757, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 221, 38, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141758, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 613, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141759, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 579, 16, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141760, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 293, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141761, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1310, 39, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141762, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 9, 13, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141763, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 2529, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141764, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 84, 46, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141765, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 7, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141766, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 1314, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141767, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 332, 7, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141768, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 717, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141769, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 4, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141770, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 586, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141771, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 2390, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141772, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 92, 46, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141773, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 21, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141774, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 139, 18, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141775, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 19, 12, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141776, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C13', 1659, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141777, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 4260, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141778, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 13, 10, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141779, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 38, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141780, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 227, 10, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141781, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 33, 15, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141782, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 19, 20, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141783, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 17, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141784, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 26, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141785, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 26, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141786, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 69, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141787, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 242, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141788, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 74, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141789, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 2121, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141790, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 2233, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141791, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 138, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141792, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 46, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141793, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 108, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141794, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 1326, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141795, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 1079, 7, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141796, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 1642, 5, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141797, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 745, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141798, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1713, 10, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141799, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 103, 15, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141800, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 139, 38, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141801, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 212, 25, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141802, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 253, 22, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141803, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 613, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141804, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 943, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141805, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 737, 7, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141806, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 2216, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141807, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 140, 29, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141808, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 2529, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141809, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 2113, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141810, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1684, 15, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141811, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 160, 24, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141812, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 12, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141813, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 161, 29, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141814, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 138, 39, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141815, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 21, 9, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141816, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 211, 36, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141817, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 74, 12, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141818, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 110, 60, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141819, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 190, 32, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141820, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 173, 35, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141821, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 7, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141822, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 310, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141823, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 441, 9, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141824, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 354, 22, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141825, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 372, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141826, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 296, 16, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141827, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 637, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141828, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 646, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141829, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 378, 29, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141830, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 582, 13, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141831, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 314, 25, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141832, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 1314, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141833, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 58, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141834, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 6, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141835, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 7, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141836, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141837, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 213, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141838, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 361, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141839, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 202, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141840, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 445, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141841, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 230, 21, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141842, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 54, 10, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141843, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 17, 17, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141844, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 134, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141845, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 10, 12, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141846, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C03', 2147, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141847, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 74, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141848, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 293, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141849, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C07', 1377, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141850, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 240, 11, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141851, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 84, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141852, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 87, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141853, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C09', 172, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141854, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 1718, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141855, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 1326, 5, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141856, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 4, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141857, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 39, 7, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141858, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 7, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141859, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 3513, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141860, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 641, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141861, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C12', 1, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141862, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 13, 5, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141863, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 5, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141864, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 3, 5, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141865, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 326, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141866, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 225, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141867, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C13', 1968, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141868, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 156, 13, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141869, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 119, 9, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141870, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C03', 264, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141871, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 31, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141872, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 49, 5, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141873, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C07', 23, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141874, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 28, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141875, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 419, 16, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141876, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 4, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141877, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 39, 7, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141878, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 84, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141879, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 87, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141880, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 13, 5, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141881, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 3, 5, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141882, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 5, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141883, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 69, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141884, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 26, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141885, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 242, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141886, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1684, 15, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141887, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2113, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141888, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 2216, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141889, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 361, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141890, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 12, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141891, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 92, 46, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141892, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 7, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141893, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 108, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141894, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 138, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141895, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 169, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141896, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 7, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141897, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 74, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141898, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 4260, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141899, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 31, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141900, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 1736, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141901, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 21, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141902, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141903, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 212, 25, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141904, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 6, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141905, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 139, 38, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141906, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 253, 22, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141907, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 586, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141908, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 139, 18, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141909, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1713, 10, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141910, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 378, 29, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141911, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 314, 25, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141912, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 156, 13, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141913, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 404, 17, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141914, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 95, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141915, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 58, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141916, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 1584, 13, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141917, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 7, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141918, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 294, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141919, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 103, 15, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141920, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 582, 13, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141921, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 74, 12, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141922, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 646, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141923, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 21, 9, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141924, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 456, 15, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141925, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1205, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141926, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 637, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141927, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1642, 5, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141928, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 354, 22, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141929, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 745, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141930, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2121, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141931, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 296, 16, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141932, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2233, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141933, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 46, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141934, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 372, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141935, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 230, 21, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141936, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 202, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141937, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1326, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141938, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B12', 445, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141939, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1079, 7, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141940, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 3513, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141941, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 943, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141942, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 737, 7, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141943, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 19, 20, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141944, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 38, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141945, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 33, 15, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141946, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 227, 10, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141947, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 13, 10, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141948, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141949, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 717, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141950, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 19, 12, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141951, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 293, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141952, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 134, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141953, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 54, 10, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141954, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 441, 9, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141955, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 17, 17, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141956, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 10, 12, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141957, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 310, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141958, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 613, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141959, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 1326, 5, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141960, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1718, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141961, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 641, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141962, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 240, 11, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141963, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 140, 29, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141964, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 1314, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141965, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 211, 36, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141966, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 26, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141967, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 110, 60, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141968, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 190, 32, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141969, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 17, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141970, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 173, 35, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141971, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 160, 24, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141972, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 161, 29, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141973, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 138, 39, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141974, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 361, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141975, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 2390, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141976, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 378, 29, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141977, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 332, 7, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141978, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 613, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141979, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 314, 25, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141980, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141981, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 13, 5, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141982, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 6, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141983, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 46, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141984, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 74, 12, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141985, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 21, 9, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141986, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 2233, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141987, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 2121, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141988, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 745, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141989, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 1642, 5, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141990, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 103, 15, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141991, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 1079, 7, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141992, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 1326, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141993, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 17, 17, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141994, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 441, 9, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (141995, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 54, 10, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141996, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 134, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141997, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 10, 12, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141998, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 5, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (141999, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 3, 5, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142000, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 213, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142001, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 1326, 5, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142002, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1684, 15, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142003, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 240, 11, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142004, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 2216, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142005, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 419, 16, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142006, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 4260, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142007, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 2113, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142008, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 49, 5, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142009, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C07', 23, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142010, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C06', 28, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142011, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 119, 9, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142012, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C03', 264, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142013, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 293, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142014, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 212, 25, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142015, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 253, 22, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142016, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 31, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142017, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 139, 38, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142018, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 202, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142019, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 230, 21, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142020, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 641, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142021, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B12', 445, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142022, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 354, 22, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142023, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 637, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142024, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 296, 16, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142025, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 372, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142026, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1713, 10, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142027, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 19, 12, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142028, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 139, 18, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142029, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C13', 1659, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142030, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 646, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142031, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 582, 13, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142032, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 7, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142033, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 39, 7, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142034, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 4, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142035, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 12, 8, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142036, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 38, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142037, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 227, 10, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142038, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 13, 10, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142039, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 1718, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142040, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 21, 14, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142041, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 33, 15, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142042, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 19, 20, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142043, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 87, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142044, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 84, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142045, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 586, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142046, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 74, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142047, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 26, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142048, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 69, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142049, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 242, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142050, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C12', 1, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142051, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 1314, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142052, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 7, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142053, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C08', 326, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142054, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 737, 7, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142055, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 7, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142056, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 943, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142057, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 58, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142058, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 2529, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142059, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C13', 1968, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142060, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 156, 13, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142061, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 225, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142062, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 138, 39, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142063, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 26, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142064, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 310, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142065, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 110, 60, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142066, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 190, 32, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142067, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 140, 29, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142068, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 17, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142069, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 211, 36, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142070, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 108, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142071, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 138, 6, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142072, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 161, 29, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142073, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 173, 35, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142074, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 160, 24, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142075, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 3513, 3, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142076, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 92, 46, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142077, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 2, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142078, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C04', 74, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142079, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C03', 2147, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142080, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C09', 172, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142081, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 717, 4, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142082, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C07', 1377, 1, 2024, 6, 7, '2024-08-05 14:07:26', NULL, NULL), (142083, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 193, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142084, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 132, 80, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142085, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 796, 38, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142086, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 459, 5, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142087, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 131, 81, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142088, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 796, 38, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142089, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 193, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142090, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 459, 5, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142091, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 193, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142092, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 18, 8, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142093, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 68, 2, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142094, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 240, 35, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142095, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 459, 5, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142096, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 53, 36, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142097, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 796, 38, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 193, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 846, 18, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 751, 20, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 12, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 35, 9, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 70, 13, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1952, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 48, 14, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 214, 23, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 324, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 4, 2, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 278, 13, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 18, 8, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142111, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 796, 38, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142112, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 18, 8, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142113, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 53, 36, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142114, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 193, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142115, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 459, 5, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142116, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 137, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142117, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 240, 35, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142118, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 217, 22, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142119, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 278, 13, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142120, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 846, 18, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142121, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 751, 20, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142122, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 18, 8, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142123, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 4, 2, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142124, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 48, 14, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142125, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 12, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142126, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 137, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142127, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 193, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142128, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 324, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142129, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 1952, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142130, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 70, 13, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142131, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 35, 9, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142132, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 193, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142133, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 324, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142134, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1952, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142135, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 18, 8, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142136, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 12, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142137, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 278, 13, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142138, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 214, 23, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142139, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 48, 14, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142140, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 70, 13, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142141, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 4, 2, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142142, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 35, 9, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142143, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 846, 18, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142144, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 751, 20, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142145, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 4, 2, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142146, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 12, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142147, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 137, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142148, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 1952, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142149, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 324, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142150, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 193, 1, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142151, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 18, 8, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142152, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 846, 18, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142153, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 751, 20, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142154, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 278, 13, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142155, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 217, 22, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142156, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 35, 9, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142157, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 48, 14, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142158, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 70, 13, 2024, 6, 8, '2024-08-05 14:07:29', NULL, NULL), (142159, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 361, 6, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142160, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 13, 2, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142161, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 301, 61, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142162, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 20, 2, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142163, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 407, 17, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142164, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 301, 61, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142165, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 407, 17, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142166, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 9, 3, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142167, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 361, 6, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142168, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 20, 2, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142169, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 4008, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142170, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 13, 2, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142171, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 0, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142172, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 98, 6, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142173, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 408, 42, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142174, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 372, 5, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142175, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142176, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 37, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142177, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 308, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142178, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 50, 13, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142179, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 182, 16, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 212, 8, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 27, 7, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 13, 2, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 3, 2, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 151, 8, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 4008, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 113, 4, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 433, 4, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 37, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 535, 18, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 314, 24, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 219, 2, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 98, 6, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142194, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 182, 16, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142195, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 98, 6, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142196, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 50, 13, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142197, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 308, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142198, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 13, 2, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142199, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 37, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142200, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 4008, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142201, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142202, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 372, 5, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142203, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 408, 42, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142204, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142205, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 314, 24, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142206, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 535, 18, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142207, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 151, 8, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142208, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 212, 8, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142209, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 98, 6, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142210, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 13, 2, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142211, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 130, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142212, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 4008, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142213, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E19', 308, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142214, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 27, 7, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142215, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 433, 4, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142216, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 37, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142217, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 113, 4, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142218, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 3, 2, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142219, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 13, 2, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142220, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 219, 2, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142221, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 212, 8, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142222, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 37, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142223, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142224, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 98, 6, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142225, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 314, 24, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142226, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 535, 18, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142227, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 113, 4, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142228, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 433, 4, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142229, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 3, 2, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142230, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 27, 7, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142231, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 151, 8, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142232, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 4008, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142233, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E19', 308, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142234, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 4008, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142235, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 37, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142236, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 98, 6, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142237, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 130, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142238, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 13, 2, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142239, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 433, 4, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142240, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 212, 8, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142241, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 151, 8, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142242, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 535, 18, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142243, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 314, 24, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142244, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 113, 4, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142245, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 27, 7, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142246, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 1, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142247, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 3, 2, 2024, 6, 9, '2024-08-05 14:07:33', NULL, NULL), (142248, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 19, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142249, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 3, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142250, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 61, 17, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142251, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 202, 4, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142252, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 82, 7, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142253, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 61, 17, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142254, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 47, 12, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142255, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 1, 2, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142256, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 9, 2, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142257, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 202, 4, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142258, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 268, 3, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142259, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 7, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142260, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 3, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142261, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 109, 9, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142262, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 9, 2, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142263, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142264, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142265, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 7, 7, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142266, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 47, 12, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 5, 4, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 7, 4, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 181, 3, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 9, 2, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 14, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 19, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 133, 2, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 102, 7, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 7, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 268, 3, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142279, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 82, 7, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142280, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 7, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142281, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 7, 7, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142282, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 3, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142283, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 268, 3, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142284, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142285, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 19, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142286, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 109, 9, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142287, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 102, 7, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142288, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 7, 4, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142289, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 181, 3, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142290, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 133, 2, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142291, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 3, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142292, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 7, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142293, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 5, 4, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142294, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 19, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142295, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142296, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 268, 3, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142297, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 14, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142298, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 9, 2, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142299, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 3, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142300, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 7, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142301, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142302, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 102, 7, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142303, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 133, 2, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142304, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 14, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142305, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 19, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142306, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 268, 3, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142307, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 9, 2, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142308, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 5, 4, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142309, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 7, 4, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142310, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 181, 3, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142311, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 3, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142312, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 268, 3, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142313, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 7, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142314, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 19, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142315, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 7, 4, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142316, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 181, 3, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142317, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 133, 2, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142318, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 102, 7, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142319, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 14, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142320, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 5, 4, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142321, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 9, 2, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142322, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2024, 6, 10, '2024-08-05 14:07:37', NULL, NULL), (142323, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 46, 86, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142324, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 22, 44, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142325, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 212, 36, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142326, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 119, 156, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142327, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 227, 82, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142328, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 318, 562, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142329, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 380, 110, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142330, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 139, 117, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142331, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 364, 132, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142332, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 318, 562, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142333, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 95, 91, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142334, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 221, 84, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142335, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 360, 116, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142336, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 118, 157, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142337, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 45, 88, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142338, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 359, 134, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142339, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 139, 117, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142340, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 15, 26, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142341, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 217, 15, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142342, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 223, 27, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142343, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 69, 14, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142344, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 45, 88, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142345, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 286, 25, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142346, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 171, 4, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142347, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 219, 46, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142348, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 65, 13, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142349, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 378, 3, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142350, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 163, 5, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142351, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 6, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142352, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 666, 8, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142353, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 136, 12, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142354, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '', 52, 1, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142355, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 30, 12, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142356, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 118, 12, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142357, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 869, 144, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142358, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 59, 7, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142359, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 110, 335, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142360, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 442, 8, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142361, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 29, 9, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142362, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 91, 19, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142363, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 139, 117, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142364, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 234, 29, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142365, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 3, 4, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142366, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 16, 37, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142367, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 156, 50, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142368, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 221, 4, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142369, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 380, 110, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142370, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 32, 6, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142371, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 4, 1, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142372, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 637, 49, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142373, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 199, 83, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142374, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 5, 6, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142375, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 9, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142376, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 26, 5, 2024, 6, 11, '2024-08-05 14:07:40', NULL, NULL), (142377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 121, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 193, 18, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 312, 11, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 62, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 369, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 454, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 3, 7, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 186, 29, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 78, 43, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 36, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 70, 33, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 84, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 128, 11, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 149, 42, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 512, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 108, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 106, 45, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 214, 6, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 768, 6, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 106, 39, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 521, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 305, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 117, 44, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 212, 12, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 249, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (142402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 131, 33, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 49, 27, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 248, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 56, 16, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 249, 14, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 126, 16, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 146, 16, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 7, 17, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 9, 14, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 257, 13, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 18, 14, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 308, 11, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 7, 15, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 42, 9, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 202, 52, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 442, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 106, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 441, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 3, 13, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 947, 50, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 93, 19, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 845, 46, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 47, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 166, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 17, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 125, 16, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 810, 48, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 194, 31, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 248, 22, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 353, 27, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 113, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 549, 22, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 136, 12, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 324, 20, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 180, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 148, 17, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 229, 7, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 167, 9, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 50, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 6, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 22, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 3, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 31, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 12, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 9, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 32, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 73, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 6, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 80, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 368, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 92, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 4, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 335, 41, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 3, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 67, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 6, 6, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 3, 7, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 14, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 2, 9, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 682, 14, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 33, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 10, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 297, 24, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 378, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 35, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 515, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 684, 11, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 339, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 59, 7, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 695, 12, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 221, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 87, 18, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 156, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142478, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 380, 110, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142479, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 199, 83, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142480, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 110, 335, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142481, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 69, 14, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142482, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 128, 11, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142483, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 666, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142484, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 4, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142485, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 91, 19, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142486, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 637, 49, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142487, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 38, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142488, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 171, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142489, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 46, 86, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142490, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 221, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142491, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 29, 9, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142492, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 297, 24, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142493, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 223, 27, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142494, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 136, 12, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142495, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 16, 37, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142496, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 9, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142497, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 139, 117, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142498, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 869, 144, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142499, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 26, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142500, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 378, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142501, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 65, 13, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142502, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 5, 6, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142503, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 219, 46, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142504, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 59, 7, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142505, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 217, 15, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142506, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 368, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142507, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '', 52, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142508, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 15, 26, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142509, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 243, 28, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142510, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 156, 50, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142511, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 203, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142512, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 442, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142513, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 3, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142514, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 121, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142515, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 6, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142516, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 4, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142517, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 3, 7, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142518, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 378, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142519, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 202, 52, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142520, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 194, 31, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142521, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 297, 24, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142522, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 3, 13, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142523, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 128, 11, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142524, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 7, 15, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142525, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 257, 13, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142526, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 18, 14, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142527, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 7, 17, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142528, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 9, 14, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142529, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 166, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142530, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 17, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142531, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 47, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142532, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 35, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142533, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 10, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142534, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 15, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142535, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 156, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142536, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 38, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142537, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 512, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142538, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 84, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142539, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 73, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142540, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 36, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142541, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 248, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142542, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 249, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142543, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 521, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142544, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 214, 6, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142545, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 682, 14, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142546, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 180, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142547, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 845, 46, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142548, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 810, 48, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142549, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 947, 50, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142550, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 59, 7, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142551, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 454, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142552, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 515, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142553, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 62, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142554, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 117, 44, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142555, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 339, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142556, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 684, 11, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142557, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 203, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142558, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 695, 12, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142559, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 78, 43, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142560, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 186, 29, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142561, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 87, 18, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142562, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 49, 27, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142563, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 131, 33, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142564, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 50, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142565, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 106, 39, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142566, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 167, 9, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142567, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 106, 45, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142568, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 229, 7, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142569, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E20', 4, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142570, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 149, 42, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142571, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 148, 17, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142572, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 70, 33, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142573, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 3, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142574, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 221, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142575, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 22, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142576, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142577, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 42, 9, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142578, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 308, 11, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142579, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 56, 16, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142580, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 126, 16, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142581, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 249, 14, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142582, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 549, 22, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142583, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 146, 16, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142584, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 324, 20, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142585, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 353, 27, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142586, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 442, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142587, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 3, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142588, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 248, 22, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142589, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142590, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142591, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 113, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142592, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 171, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142593, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 335, 41, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142594, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 93, 19, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142595, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 125, 16, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142596, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 9, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142597, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 32, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142598, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 31, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142599, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 12, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142600, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 6, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142601, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 368, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142602, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 106, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142603, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 441, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142604, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 420, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142605, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 67, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142606, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 6, 6, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142607, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 212, 12, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142608, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 108, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142609, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 2, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142610, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 14, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142611, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 3, 7, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142612, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 768, 6, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142613, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C11', 305, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142614, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E17', 146, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142615, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 136, 12, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142616, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 198, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142617, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 80, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142618, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 353, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142619, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '2E29', 52, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142620, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 312, 11, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142621, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 67, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142622, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 6, 6, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142623, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 2, 9, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142624, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 3, 7, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142625, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 14, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142626, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 10, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142627, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 35, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142628, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 33, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142629, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 695, 12, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142630, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 339, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142631, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 684, 11, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142632, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 515, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142633, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 335, 41, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142634, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 156, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142635, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 87, 18, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142636, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 202, 52, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142637, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 3, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142638, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 353, 27, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142639, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 73, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142640, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 768, 6, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142641, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 305, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142642, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 212, 12, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142643, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 92, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142644, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 80, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142645, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 128, 11, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142646, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 108, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142647, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142648, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142649, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 194, 31, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142650, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142651, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 810, 48, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142652, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 3, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142653, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 845, 46, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142654, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 947, 50, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142655, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 378, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142656, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 297, 24, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142657, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 682, 14, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142658, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 549, 22, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142659, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 324, 20, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142660, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 136, 12, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142661, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 312, 11, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142662, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 369, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142663, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 3, 7, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142664, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 248, 22, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142665, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 113, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142666, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 121, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142667, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 180, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142668, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 146, 16, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142669, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 167, 9, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142670, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 50, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142671, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 126, 16, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142672, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 193, 18, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142673, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 148, 17, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142674, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 229, 7, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142675, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 56, 16, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142676, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 521, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142677, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 214, 6, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142678, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 42, 9, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142679, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 512, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142680, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 249, 14, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142681, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 84, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142682, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 36, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142683, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 308, 11, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142684, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 125, 16, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142685, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 93, 19, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142686, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 248, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142687, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 249, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142688, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 454, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142689, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 62, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142690, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 9, 14, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142691, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 257, 13, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142692, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 7, 17, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142693, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 18, 14, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142694, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 7, 15, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142695, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142696, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 6, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142697, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 3, 13, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142698, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 368, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142699, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 12, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142700, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 9, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142701, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 22, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142702, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 31, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142703, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 32, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142704, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142705, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 221, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142706, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 59, 7, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142707, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 441, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142708, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 106, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142709, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 117, 44, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142710, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 442, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142711, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 106, 39, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142712, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 47, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142713, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 106, 45, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142714, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 149, 42, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142715, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 17, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142716, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 70, 33, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142717, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 166, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142718, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 78, 43, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142719, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 186, 29, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142720, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 49, 27, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142721, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 131, 33, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142722, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 335, 41, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142723, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 3, 7, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142724, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 549, 22, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142725, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 353, 27, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142726, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 121, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142727, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 59, 7, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142728, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 324, 20, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142729, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142730, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 3, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142731, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 2, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142732, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 148, 17, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142733, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 229, 7, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142734, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 36, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142735, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 167, 9, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142736, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 50, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142737, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 84, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142738, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 512, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142739, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 214, 6, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142740, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 521, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142741, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 180, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142742, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 249, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142743, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 248, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142744, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 31, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142745, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 22, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142746, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 9, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142747, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 12, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142748, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142749, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 32, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142750, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 14, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142751, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 3, 7, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142752, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 171, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142753, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 441, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142754, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 339, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142755, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 695, 12, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142756, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 106, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142757, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 515, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142758, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 312, 11, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142759, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 353, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142760, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 684, 11, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142761, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 128, 11, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142762, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 198, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142763, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E20', 4, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142764, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 368, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142765, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 810, 48, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142766, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 947, 50, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142767, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 80, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142768, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 845, 46, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142769, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 93, 19, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142770, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 125, 16, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142771, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142772, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142773, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 42, 9, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142774, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 56, 16, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142775, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 249, 14, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142776, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 308, 11, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142777, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 682, 14, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142778, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 3, 13, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142779, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 297, 24, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142780, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 126, 16, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142781, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 146, 16, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142782, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 3, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142783, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 6, 6, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142784, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 67, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142785, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 87, 18, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142786, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 257, 13, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142787, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 18, 14, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142788, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 7, 15, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142789, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 194, 31, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142790, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 7, 17, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142791, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 9, 14, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142792, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 156, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142793, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 378, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142794, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '2E29', 52, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142795, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 38, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142796, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 35, 3, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142797, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 10, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142798, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 108, 10, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142799, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 442, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142800, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 15, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142801, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 212, 12, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142802, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 62, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (142803, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 454, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142804, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 113, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142805, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 248, 22, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142806, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 203, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142807, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 136, 12, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142808, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 768, 6, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142809, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C11', 305, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142810, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 131, 33, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142811, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 47, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142812, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 221, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142813, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 106, 45, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142814, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 149, 42, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142815, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 166, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142816, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 117, 44, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142817, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 17, 8, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142818, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 106, 39, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142819, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 186, 29, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142820, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 73, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142821, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 49, 27, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142822, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 70, 33, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142823, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 78, 43, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142824, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 202, 52, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142825, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 2, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142826, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 6, 4, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142827, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 420, 1, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142828, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E17', 146, 5, 2024, 6, 11, '2024-08-05 14:07:41', NULL, NULL), (142829, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 184, 135, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142830, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 107, 40, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142831, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 285, 58, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142832, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 186, 204, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142833, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 105, 74, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142834, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 431, 515, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142835, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 392, 139, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142836, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 396, 94, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142837, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 682, 161, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142838, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 431, 515, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142839, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 193, 108, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142840, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 105, 74, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142841, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 388, 96, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142842, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 186, 204, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142843, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 184, 135, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142844, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 682, 161, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142845, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 392, 139, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142846, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 4702, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142847, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 88, 23, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142848, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 184, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142849, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 406, 29, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142850, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 12, 15, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142851, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 32, 25, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142852, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 181, 17, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142853, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 184, 135, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142854, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 55, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142855, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 3, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142856, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 37, 41, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142857, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 53, 8, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142858, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1564, 5, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142859, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 12, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142860, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142861, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 175, 5, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142862, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 251, 27, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142863, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 10, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142864, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 211, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142865, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 192, 105, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142866, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 15, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142867, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 481, 328, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142868, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 249, 14, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142869, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 229, 14, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142870, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 323, 25, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142871, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 392, 139, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142872, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '', '', '', 4, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142873, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 289, 32, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142874, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 63, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142875, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 32, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142876, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 20, 32, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142877, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 73, 78, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142878, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '', '', '', 13, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142879, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 14, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142880, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 15356, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142881, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 205, 90, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142882, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 682, 8, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142883, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 36, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142884, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1118, 73, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142885, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 537, 82, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142886, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 606, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142887, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142888, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 111, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 131, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 12, 16, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 6, 10, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 69, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 157, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 104, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 237, 13, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 304, 29, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 491, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 310, 5, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 490, 25, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 344, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 211, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 430, 29, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 90, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 6, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 505, 50, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 284, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 431, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 494, 45, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 276, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 446, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 645, 58, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 25, 8, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 23, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 283, 31, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 509, 37, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 395, 27, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 519, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 361, 18, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 8, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 386, 16, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 86, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 205, 29, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 147, 17, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 516, 19, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 362, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 65, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 161, 17, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 600, 43, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 249, 14, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 476, 20, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 252, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 121, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 138, 33, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 524, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 192, 46, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 10, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 173, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 113, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 32, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 246, 14, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 263, 26, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 468, 39, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 138, 17, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 15, 19, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 86, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 384, 13, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 176, 30, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 251, 27, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 4702, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 89, 15, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 65, 19, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 109, 11, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 64, 15, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 46, 10, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 835, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 126, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 521, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 26, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E12', 67, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 25, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 4, 16, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 1, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 83, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 207, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 497, 11, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 148, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 194, 30, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 17, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 10, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 21, 5, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 18, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 6, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 74, 10, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1176, 21, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 129, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 102, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 181, 17, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 95, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1564, 5, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1096, 15, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1057, 13, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 15, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 31, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 15356, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1161, 23, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 14, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 340, 22, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 200, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142994, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 205, 90, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142995, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 537, 82, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142996, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 481, 328, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142997, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 211, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142998, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 12, 15, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (142999, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 3, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143000, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 175, 5, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143001, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 36, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143002, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 323, 25, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143003, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1118, 73, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143004, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 682, 8, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143005, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 55, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143006, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 184, 135, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143007, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 32, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143008, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 14, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143009, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 229, 14, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143010, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 181, 17, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143011, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '宜宾市政务服务和非公经济发展局', '', '', 4, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143012, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 32, 25, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143013, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 251, 27, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143014, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 20, 32, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143015, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 4702, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143016, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 7, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143017, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 392, 139, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143018, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 192, 105, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143019, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 111, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143020, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 184, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143021, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 15356, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143022, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '宜宾市政务服务和非公经济发展局', '', '', 13, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143023, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 53, 8, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143024, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1564, 5, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143025, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 606, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143026, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 37, 41, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143027, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 15, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143028, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 406, 29, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143029, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 289, 32, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143030, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 88, 23, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143031, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 12, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143032, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 73, 78, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143033, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 63, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143034, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 249, 14, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143035, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 131, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143036, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 835, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143037, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 148, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143038, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 237, 13, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143039, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 1564, 5, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143040, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 600, 43, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143041, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 181, 17, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143042, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 468, 39, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143043, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 121, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143044, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 211, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143045, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 161, 17, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143046, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 147, 17, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143047, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 362, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143048, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 86, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143049, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 205, 29, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143050, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 173, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143051, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 13, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143052, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 13, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143053, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 95, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143054, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 102, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143055, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 129, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143056, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 200, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143057, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 682, 8, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143058, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 90, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143059, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 344, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143060, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 310, 5, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143061, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 83, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143062, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 25, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143063, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 4702, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143064, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 23, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143065, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 446, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143066, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 431, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143067, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1176, 21, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143068, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 89, 15, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143069, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 192, 46, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143070, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 263, 26, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143071, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 138, 33, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143072, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 15, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143073, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 104, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143074, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '', '', '1D25', 4, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143075, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 157, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143076, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1096, 15, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143077, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 645, 58, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143078, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 31, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143079, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 12, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143080, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1057, 13, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143081, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1161, 23, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143082, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 491, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143083, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 304, 29, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143084, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 340, 22, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143085, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 509, 37, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143086, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 283, 31, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143087, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 46, 10, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143088, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 494, 45, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143089, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 64, 15, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143090, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 505, 50, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143091, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E20', 36, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143092, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 109, 11, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143093, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 430, 29, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143094, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 65, 19, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143095, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 490, 25, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143096, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 126, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143097, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 26, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143098, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 14, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143099, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 15356, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143100, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143101, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143102, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 65, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143103, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 516, 19, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143104, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 519, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143105, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 395, 27, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143106, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 8, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143107, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 361, 18, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143108, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 384, 13, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143109, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 386, 16, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143110, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 176, 30, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143111, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E12', 67, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143112, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 138, 17, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143113, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 3, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143114, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D09', 3, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143115, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 249, 14, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143116, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 245, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143117, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 17, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143118, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 15, 19, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143119, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143120, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 86, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143121, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143122, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 14, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143123, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 194, 30, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143124, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 524, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143125, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 246, 14, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143126, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 4, 16, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143127, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 1, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143128, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 521, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143129, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143130, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C11', 32, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143131, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 2, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143132, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 476, 20, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143133, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 32, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143134, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 15, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143135, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 252, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143136, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 10, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143137, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 21, 5, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143138, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C11', 348, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143139, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 25, 8, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143140, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '', '', '1D25', 13, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143141, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 6, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143142, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 78, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143143, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 6, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143144, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 18, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143145, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 160, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143146, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 284, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143147, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C11', 289, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143148, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E17', 4, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143149, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 251, 27, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143150, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 13, 12, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143151, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 207, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143152, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 33, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143153, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 6, 10, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143154, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 10, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143155, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 21, 5, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143156, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 74, 10, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143157, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 18, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143158, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 6, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143159, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 102, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143160, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 95, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143161, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 129, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143162, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1161, 23, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143163, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 31, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143164, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1057, 13, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143165, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1096, 15, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143166, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 194, 30, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143167, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 200, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143168, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 340, 22, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143169, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 600, 43, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143170, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 26, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143171, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E12', 67, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143172, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 138, 17, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143173, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 126, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143174, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 25, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143175, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 83, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143176, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 284, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143177, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 276, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143178, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 25, 8, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143179, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 497, 11, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143180, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 211, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143181, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 207, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143182, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 6, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143183, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143184, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143185, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 468, 39, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143186, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143187, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 263, 26, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143188, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 17, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143189, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 192, 46, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143190, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 138, 33, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143191, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1564, 5, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143192, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 181, 17, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143193, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1176, 21, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143194, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 384, 13, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143195, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 176, 30, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143196, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 4702, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143197, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 6, 10, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143198, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 251, 27, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143199, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 69, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143200, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 237, 13, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143201, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 15, 19, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143202, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 86, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143203, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 131, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143204, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 89, 15, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143205, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 386, 16, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143206, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 64, 15, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143207, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 46, 10, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143208, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 8, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143209, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 12, 16, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143210, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 65, 19, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143211, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 109, 11, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143212, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 446, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143213, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 395, 27, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143214, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 65, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143215, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 431, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143216, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 90, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143217, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 361, 18, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143218, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 344, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143219, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 519, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143220, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 310, 5, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143221, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 516, 19, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143222, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 246, 14, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (143223, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 524, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143224, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 23, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143225, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 104, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143226, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 157, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143227, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 205, 29, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143228, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 147, 17, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143229, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 86, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143230, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 362, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143231, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 161, 17, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143232, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 148, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143233, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 835, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143234, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 121, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143235, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 16, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143236, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143237, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 521, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143238, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 1, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143239, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143240, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 15356, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143241, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 14, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143242, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 15, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143243, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 252, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143244, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 32, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143245, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 476, 20, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143246, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 645, 58, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143247, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 249, 14, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143248, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 494, 45, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143249, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 10, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143250, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 505, 50, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143251, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 430, 29, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143252, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 113, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143253, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 490, 25, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143254, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 173, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143255, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 491, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143256, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 304, 29, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143257, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 509, 37, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143258, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 283, 31, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143259, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 194, 30, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143260, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 4702, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143261, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 384, 13, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143262, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 237, 13, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143263, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 131, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143264, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 138, 17, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143265, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 15, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143266, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 176, 30, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143267, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143268, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 17, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143269, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 78, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143270, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 65, 19, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143271, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 109, 11, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143272, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 310, 5, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143273, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 64, 15, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143274, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 46, 10, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143275, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 344, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143276, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 90, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143277, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 431, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143278, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 446, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143279, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 23, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143280, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 89, 15, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143281, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 521, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143282, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143283, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 4, 16, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143284, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143285, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 1, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143286, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 6, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143287, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 18, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143288, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 14, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143289, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 252, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143290, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 31, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143291, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1161, 23, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143292, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 476, 20, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143293, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 6, 10, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143294, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1096, 15, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143295, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 33, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143296, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 211, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143297, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1057, 13, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143298, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 13, 12, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143299, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E20', 36, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143300, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 263, 26, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143301, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 138, 33, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143302, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 207, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143303, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 192, 46, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143304, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 524, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143305, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 246, 14, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143306, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143307, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143308, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 65, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143309, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 395, 27, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143310, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 519, 9, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143311, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 361, 18, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143312, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 516, 19, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143313, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1176, 21, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143314, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 121, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143315, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 181, 17, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143316, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 8, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143317, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E12', 67, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143318, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 386, 16, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143319, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 26, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143320, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 126, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143321, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 21, 5, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143322, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 10, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143323, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 340, 22, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143324, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 147, 17, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143325, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 362, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143326, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 32, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143327, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 161, 17, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143328, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 468, 39, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143329, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 86, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143330, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 205, 29, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143331, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 200, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143332, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C11', 32, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143333, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 1564, 5, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143334, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 682, 8, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143335, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 95, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143336, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 102, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143337, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 6, 7, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143338, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 129, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143339, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 249, 14, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143340, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C11', 348, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143341, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 3, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143342, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 25, 8, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143343, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C08', 160, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143344, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 15356, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143345, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 157, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143346, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 86, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143347, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 104, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143348, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143349, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 15, 19, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143350, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 12, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143351, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 251, 27, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143352, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 284, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143353, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C11', 289, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143354, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 283, 31, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143355, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 13, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143356, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 14, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143357, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 505, 50, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143358, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 430, 29, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143359, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 173, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143360, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 645, 58, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143361, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 13, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143362, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 494, 45, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143363, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 25, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143364, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 304, 29, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143365, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 83, 6, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143366, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 509, 37, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143367, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 490, 25, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143368, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 491, 24, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143369, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 600, 43, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143370, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '宜宾市政务服务和非公经济发展局', '', '1D25', 13, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143371, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 148, 2, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143372, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C04', 2, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143373, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D07', 245, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143374, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 15, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143375, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 835, 4, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143376, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E17', 4, 3, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143377, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D09', 3, 1, 2024, 6, 12, '2024-08-05 14:07:42', NULL, NULL), (143378, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 35, 105, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143379, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 16, 34, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143380, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 308, 51, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143381, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 128, 204, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143382, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 138, 72, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143383, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 246, 527, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143384, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 482, 97, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143385, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 754, 165, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143386, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1276, 129, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143387, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 246, 528, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143388, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 169, 96, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143389, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 138, 72, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143390, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 463, 101, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143391, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 127, 206, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143392, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 35, 105, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143393, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1267, 130, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143394, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 754, 165, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143395, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 2982, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143396, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 15, 31, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143397, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 4, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143398, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 525, 19, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143399, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 4, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143400, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 6, 20, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143401, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 35, 104, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143402, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 171, 17, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143403, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 77, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143404, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 255, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143405, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 123, 43, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143406, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 164, 20, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143407, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 212, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143408, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 417, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143409, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143410, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 223, 17, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143411, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143412, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 190, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143413, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 23, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143414, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 268, 106, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143415, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 910, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143416, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 2208, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143417, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 233, 324, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143418, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 129, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143419, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 159, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143420, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 155, 14, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143421, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 746, 164, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143422, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 5, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143423, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 923, 29, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143424, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 123, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143425, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 371, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143426, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 18, 28, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143427, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 101, 89, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143428, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 149, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143429, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 374, 93, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143430, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 786, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143431, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 3, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143432, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 3, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143433, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 2166, 61, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143434, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 265, 98, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143435, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 6, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143436, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143437, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 67, 12, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 31, 13, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 1236, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 43, 8, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 168, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1183, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 1367, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 159, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 196, 25, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 785, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 176, 32, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 611, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 23, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 200, 36, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 567, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 8, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 190, 49, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 33, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 150, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 258, 43, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 386, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2912, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 362, 38, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 30, 11, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 863, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 219, 40, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 294, 27, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 337, 16, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 515, 13, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 828, 24, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 684, 21, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 805, 12, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 41, 26, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 32, 15, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 37, 16, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 872, 24, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 41, 18, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 699, 30, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 31, 16, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 297, 46, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 200, 34, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 129, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 660, 15, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 23, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 18, 14, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 287, 19, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 1166, 8, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 281, 41, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 262, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 105, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 103, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 190, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 371, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 1017, 17, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 248, 46, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 241, 51, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 4, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 22, 18, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 6, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 728, 24, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 715, 22, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 223, 17, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2982, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 62, 16, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 122, 30, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 82, 22, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 136, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 54, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 5, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 123, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 21, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 315, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 16, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 10, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 182, 8, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 1, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 53, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 563, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 6, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 43, 29, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 6, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 3, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 8, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 6, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 15, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 6, 8, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 22, 13, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 11, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 10, 8, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1853, 20, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 36, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 91, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 171, 17, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 212, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 89, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 2517, 12, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2354, 14, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1092, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 2279, 14, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 149, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 155, 14, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143542, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 374, 93, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143543, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 268, 97, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143544, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 233, 324, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143545, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 23, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143546, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 6, 20, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143547, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 255, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143548, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 417, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143549, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 3, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143550, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 155, 14, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143551, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 2202, 60, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143552, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 786, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143553, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 77, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143554, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 35, 104, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143555, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 371, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143556, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 159, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143557, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 149, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143558, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 5, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143559, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 171, 17, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143560, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 4, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143561, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 223, 17, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143562, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 18, 28, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143563, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 2982, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143564, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 7, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143565, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 746, 164, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143566, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 190, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143567, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 268, 106, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143568, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 67, 12, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143569, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 4, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143570, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 212, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143571, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 164, 20, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143572, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 6, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143573, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 123, 43, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143574, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1092, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143575, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 2208, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143576, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 554, 18, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143577, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 15, 31, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143578, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 923, 29, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143579, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 102, 88, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143580, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 3, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143581, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 123, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143582, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 129, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143583, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 5, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143584, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 212, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143585, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 159, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143586, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 6, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143587, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 297, 46, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143588, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 171, 17, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143589, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 241, 51, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143590, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 18, 14, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143591, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 23, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143592, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 31, 16, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143593, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 37, 16, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143594, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 41, 18, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143595, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 42, 25, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143596, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B11', 2208, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143597, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 32, 15, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143598, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 105, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143599, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 103, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143600, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 305, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143601, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 89, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143602, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 91, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143603, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 36, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143604, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 786, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143605, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 200, 34, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143606, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 567, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143607, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 611, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143608, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 182, 8, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143609, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 785, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143610, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 16, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143611, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 1, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143612, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 2982, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143613, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 863, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143614, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 2912, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143615, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 150, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143616, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1853, 20, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143617, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 62, 16, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143618, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 281, 41, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143619, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 248, 46, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143620, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 287, 19, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143621, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1092, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143622, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 1367, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143623, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 2517, 12, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143624, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 1183, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (143625, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 362, 38, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143626, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 2354, 14, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143627, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 5, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143628, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 2279, 14, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143629, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 196, 25, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143630, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 155, 14, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143631, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 294, 27, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143632, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 219, 40, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143633, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 3, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143634, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 54, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143635, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 258, 43, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143636, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 136, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143637, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 190, 49, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143638, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 82, 22, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143639, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 200, 36, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143640, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 122, 30, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143641, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 176, 32, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143642, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 123, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143643, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 149, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143644, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143645, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143646, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 699, 30, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143647, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 872, 24, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143648, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 515, 13, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143649, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 337, 16, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143650, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 684, 21, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143651, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 828, 24, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143652, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 728, 24, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143653, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 805, 12, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143654, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 715, 22, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143655, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 22, 18, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143656, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D09', 4, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143657, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 129, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143658, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 3, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143659, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 4, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143660, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 15, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143661, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 6, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143662, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 17, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143663, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 43, 29, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143664, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 1017, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143665, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 1017, 17, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143666, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E19', 255, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143667, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 10, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143668, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143669, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 21, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143670, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 315, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143671, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 1, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143672, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 660, 15, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143673, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 6, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143674, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 8, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143675, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 371, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143676, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 376, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143677, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 23, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143678, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 6, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143679, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 6, 8, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143680, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C11', 150, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143681, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 30, 11, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143682, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 190, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143683, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 8, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143684, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 10, 8, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143685, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 11, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143686, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C09', 122, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143687, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 24, 12, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143688, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 116, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143689, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 33, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143690, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C11', 700, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143691, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E17', 9, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143692, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E19', 3, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143693, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 223, 17, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143694, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 34, 11, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143695, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C03', 1236, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143696, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 3, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143697, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 13, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143698, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 31, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143699, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 6, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143700, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 6, 8, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143701, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 6, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143702, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 8, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143703, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 10, 8, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143704, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 22, 13, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143705, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 11, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143706, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 91, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143707, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 89, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143708, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 36, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143709, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 2279, 14, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143710, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2354, 14, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143711, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 2517, 12, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143712, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 43, 29, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143713, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 200, 34, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143714, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 155, 14, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143715, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 297, 46, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143716, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 22, 18, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143717, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 123, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143718, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 16, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143719, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 182, 8, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143720, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 33, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143721, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 386, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143722, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 30, 11, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143723, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 563, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143724, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 53, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143725, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 23, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143726, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 8, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143727, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143728, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 15, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143729, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 241, 51, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143730, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 248, 46, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143731, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 3, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143732, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 281, 41, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143733, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 287, 19, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143734, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 212, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143735, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 171, 17, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143736, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1853, 20, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143737, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 728, 24, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143738, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 715, 22, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143739, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2982, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143740, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 43, 8, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143741, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 223, 17, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143742, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 168, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143743, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 4, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143744, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 159, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143745, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 6, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143746, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 62, 16, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143747, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 136, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143748, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 805, 12, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143749, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 684, 21, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143750, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 54, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143751, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 31, 13, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143752, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 1236, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143753, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 122, 30, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143754, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 82, 22, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143755, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2912, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143756, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 337, 16, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143757, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 150, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143758, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 699, 30, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143759, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 567, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143760, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 828, 24, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143761, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 515, 13, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143762, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 611, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143763, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 785, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143764, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 872, 24, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143765, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 1017, 17, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143766, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 1166, 8, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143767, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143768, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 863, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143769, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 1367, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143770, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1183, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143771, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 32, 15, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143772, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 37, 16, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143773, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 41, 26, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143774, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 41, 18, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143775, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 31, 16, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143776, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 6, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143777, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 18, 14, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143778, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143779, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 315, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143780, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 10, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143781, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143782, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 21, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143783, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143784, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 1, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143785, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 149, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143786, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1092, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143787, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 23, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143788, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 371, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143789, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 190, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143790, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 660, 15, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143791, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 362, 38, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143792, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 129, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143793, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 258, 43, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143794, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 262, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143795, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 190, 49, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143796, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 200, 36, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143797, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 103, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143798, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 176, 32, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143799, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 105, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143800, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 196, 25, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143801, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 294, 27, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143802, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 219, 40, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143803, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 2982, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143804, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 43, 29, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143805, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B11', 2208, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143806, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 728, 24, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143807, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 159, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143808, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 22, 18, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143809, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1092, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143810, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 715, 22, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143811, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 3, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143812, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 10, 8, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143813, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 122, 30, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143814, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 82, 22, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143815, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 136, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143816, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 785, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143817, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 611, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143818, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 54, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143819, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 567, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143820, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 150, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143821, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 2912, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143822, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 62, 16, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143823, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 863, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143824, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 1, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143825, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 21, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143826, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143827, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 10, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143828, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 315, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143829, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 1, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143830, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143831, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 11, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143832, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 24, 12, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143833, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 17, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143834, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 23, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143835, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 2279, 14, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143836, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 660, 15, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143837, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 2517, 12, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143838, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 31, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143839, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 13, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143840, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 2354, 14, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143841, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 23, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143842, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 34, 11, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143843, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C03', 1236, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143844, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 3, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143845, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 248, 46, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143846, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 287, 19, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143847, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 3, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143848, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 281, 41, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143849, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 1017, 7, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143850, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 1017, 17, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143851, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143852, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 190, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143853, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 15, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143854, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 699, 30, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143855, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 337, 16, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143856, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 515, 13, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143857, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 828, 24, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143858, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 872, 24, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143859, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1853, 20, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143860, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 18, 14, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143861, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 171, 17, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143862, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 684, 21, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143863, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 805, 12, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143864, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 123, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143865, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 6, 8, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143866, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 6, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143867, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 155, 14, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143868, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 37, 16, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143869, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 41, 18, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143870, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 371, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143871, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 31, 16, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143872, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 241, 51, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143873, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 42, 25, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143874, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 32, 15, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143875, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E19', 255, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143876, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 8, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143877, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 6, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143878, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E19', 3, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143879, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 212, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143880, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 786, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143881, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 89, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143882, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 91, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143883, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 8, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143884, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 129, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143885, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 36, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143886, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C11', 150, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143887, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 30, 11, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143888, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C08', 116, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143889, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C09', 122, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143890, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 1183, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143891, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 6, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143892, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 1367, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143893, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 200, 34, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143894, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 4, 5, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143895, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 223, 17, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143896, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 33, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143897, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 5, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143898, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C11', 700, 3, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143899, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 219, 40, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143900, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 305, 6, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143901, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 149, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143902, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 190, 49, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143903, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 200, 36, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143904, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 105, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143905, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 362, 38, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143906, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 103, 10, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143907, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 258, 43, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143908, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 16, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143909, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 196, 25, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143910, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 182, 8, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143911, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 294, 27, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143912, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 176, 32, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143913, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 297, 46, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143914, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 6, 4, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143915, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 376, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143916, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 2, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143917, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E17', 9, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143918, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D09', 4, 1, 2024, 6, 13, '2024-08-05 14:07:43', NULL, NULL), (143919, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 52, 89, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143920, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 80, 43, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143921, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 708, 32, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143922, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 204, 168, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143923, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 342, 70, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143924, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 251, 504, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143925, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 168, 121, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143926, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 662, 106, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143927, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1253, 176, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143928, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 250, 506, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143929, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 233, 112, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143930, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 342, 70, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143931, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 621, 113, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143932, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 204, 168, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143933, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 52, 89, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143934, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1253, 176, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143935, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 166, 122, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143936, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 4603, 2, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143937, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 40, 23, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143938, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 28, 2, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143939, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 260, 14, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143940, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 10, 13, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143941, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 73, 10, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143942, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 54, 87, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143943, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 77, 22, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143944, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 472, 5, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143945, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 177, 39, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143946, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 277, 10, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143947, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 770, 6, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143948, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 3, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143949, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 963, 12, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143950, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 110, 25, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143951, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 31, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143952, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 82, 2, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143953, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 205, 7, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143954, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 190, 119, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143955, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 997, 5, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143956, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 259, 321, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143957, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 2010, 7, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143958, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 272, 6, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143959, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '', 25, 1, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143960, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 126, 25, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143961, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 166, 122, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143962, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 625, 41, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143963, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 893, 10, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143964, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 651, 3, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143965, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 111, 30, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143966, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 131, 64, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143967, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1052, 4, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143968, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 565, 108, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143969, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 934, 2, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143970, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 3, 2, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143971, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 2539, 73, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143972, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 319, 66, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143973, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 6, 13, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143974, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 111, 12, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143975, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 18, 9, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 393, 2, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 223, 19, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 227, 13, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 450, 3, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 475, 2, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 130, 3, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 174, 5, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 365, 32, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 436, 6, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 306, 34, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1022, 6, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 205, 7, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 160, 39, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 133, 4, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 568, 4, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 282, 47, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1015, 4, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1317, 7, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 223, 37, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 665, 7, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 691, 2, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (143997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 145, 29, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (143998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 172, 9, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (143999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 374, 7, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 249, 37, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 247, 31, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1520, 1, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 41, 2, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 122, 16, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 500, 1, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 164, 12, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 185, 10, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 6, 19, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 4, 18, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 292, 14, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 3, 13, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 152, 20, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 167, 20, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 22, 11, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 253, 28, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 357, 34, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 4691, 3, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 302, 12, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 8, 2, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 8, 14, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 296, 28, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 137, 15, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 131, 48, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 218, 6, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 724, 2, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 19, 4, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 164, 1, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 977, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (144029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 220, 25, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 187, 43, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 377, 37, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 258, 16, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 87, 8, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 773, 25, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 18, 2, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 590, 23, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 110, 25, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 4603, 2, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 143, 14, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 67, 12, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 73, 10, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 66, 15, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 26, 6, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 5, 6, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 1542, 4, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 238, 10, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 70, 5, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 3, 5, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 40, 1, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E12', 2748, 1, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 723, 5, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 66, 8, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 2, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 36, 2, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 10, 4, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 153, 2, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 934, 2, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 8, 7, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 599, 40, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 4, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 8, 5, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 20, 3, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 34, 4, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 7, 5, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 30, 9, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 3, 6, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 54, 6, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 2884, 18, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 175, 6, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 38, 3, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 77, 22, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 770, 6, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 58, 3, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 95, 4, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2975, 19, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 10, 2, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 997, 5, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 2550, 30, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1052, 4, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 131, 24, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 7, 1, 2024, 6, 14, '2024-08-05 14:07:43', NULL, NULL), (144083, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 586, 104, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144084, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 324, 65, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144085, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 260, 320, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144086, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 10, 13, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144087, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 205, 7, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144088, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 963, 12, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144089, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 126, 25, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144090, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 2539, 73, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144091, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 934, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144092, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 472, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144093, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 54, 87, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144094, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 977, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144095, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1052, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144096, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 272, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144097, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 77, 22, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144098, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 73, 10, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144099, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 110, 25, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144100, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 111, 30, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144101, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 4603, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144102, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 18, 9, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144103, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 168, 121, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144104, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 164, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144105, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 190, 119, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144106, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 111, 12, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144107, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 28, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144108, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 770, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144109, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 277, 10, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144110, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 6, 13, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144111, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 177, 39, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144112, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 997, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144113, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '', 25, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144114, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 260, 14, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144115, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 625, 41, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144116, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 40, 23, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144117, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 131, 64, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144118, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 3, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144119, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 4691, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144120, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 893, 10, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144121, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 762, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144122, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 5, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144123, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 770, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144124, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 174, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144125, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 8, 7, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144126, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 253, 28, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144127, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 77, 22, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144128, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 377, 37, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144129, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 8, 14, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144130, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 205, 7, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144131, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 22, 11, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144132, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 292, 14, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144133, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 4, 12, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144134, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 7, 18, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144135, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 4, 18, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144136, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 724, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144137, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 11, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144138, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 218, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144139, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 58, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144140, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 38, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144141, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 175, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144142, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '2C06', 25, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144143, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 934, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144144, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 357, 34, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144145, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 568, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144146, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 1022, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144147, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 36, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144148, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 436, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144149, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 723, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144150, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 4603, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144151, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 1520, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144152, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 374, 7, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144153, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 665, 7, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144154, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 1015, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144155, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 2884, 18, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144156, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 143, 14, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144157, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 131, 48, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144158, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 187, 43, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144159, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 296, 28, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144160, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 997, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144161, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 130, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144162, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 95, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144163, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 450, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144164, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 145, 29, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144165, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 10, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144166, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 2975, 19, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144167, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 2550, 30, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144168, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 365, 32, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144169, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 131, 24, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144170, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 247, 31, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144171, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 7, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144172, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 249, 37, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144173, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 26, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144174, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 223, 37, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144175, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 66, 15, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144176, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 282, 47, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144177, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 73, 10, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144178, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 160, 39, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144179, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 67, 12, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144180, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 306, 34, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144181, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 1542, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144182, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 3, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144183, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1052, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144184, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 238, 10, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144185, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 167, 20, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144186, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 152, 20, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144187, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 122, 16, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144188, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 41, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144189, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 164, 12, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144190, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 500, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144191, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 773, 25, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144192, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 590, 23, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144193, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 185, 10, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144194, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E12', 2748, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144195, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 258, 16, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144196, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E16', 3, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144197, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 4691, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144198, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 28, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144199, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144200, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 87, 8, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144201, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144202, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 18, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144203, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 34, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144204, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 472, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144205, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 599, 40, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144206, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 137, 15, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144207, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 220, 25, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144208, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 66, 8, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144209, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144210, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 70, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144211, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 40, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144212, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 10, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144213, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 302, 12, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144214, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 8, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144215, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 977, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144216, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C09', 2, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144217, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 8, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144218, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 475, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144219, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 20, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144220, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 7, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144221, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 172, 9, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144222, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 164, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144223, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 133, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144224, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 54, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144225, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 3, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144226, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 30, 9, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144227, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1317, 7, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144228, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C11', 691, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144229, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E19', 3, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144230, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 110, 25, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144231, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 135, 14, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144232, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 153, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144233, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 246, 12, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144234, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 20, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144235, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 7, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144236, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 8, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144237, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 54, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144238, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 30, 9, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144239, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 3, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144240, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 38, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144241, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 58, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144242, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 175, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144243, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 2550, 30, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144244, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 10, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144245, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2975, 19, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144246, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 95, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144247, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 599, 40, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144248, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 357, 34, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144249, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 7, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144250, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 131, 24, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144251, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 253, 28, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144252, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 3, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144253, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E12', 2748, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144254, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 1542, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144255, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 258, 16, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144256, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 723, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144257, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 36, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144258, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1317, 7, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144259, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 691, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144260, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 172, 9, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144261, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 934, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144262, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 205, 7, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144263, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 153, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144264, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 133, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144265, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144266, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 377, 37, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144267, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 34, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144268, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 187, 43, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144269, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144270, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 131, 48, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144271, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 296, 28, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144272, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 770, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144273, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 77, 22, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144274, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 2884, 18, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144275, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 773, 25, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144276, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 590, 23, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144277, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 4603, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144278, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 227, 13, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144279, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 110, 25, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144280, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 475, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144281, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 87, 8, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144282, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 174, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144283, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 393, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144284, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 18, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144285, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 143, 14, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144286, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 66, 15, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144287, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 185, 10, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144288, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 26, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144289, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 164, 12, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144290, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 223, 19, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144291, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 67, 12, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144292, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 73, 10, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144293, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 41, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144294, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 665, 7, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144295, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1015, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144296, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 167, 20, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144297, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 500, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144298, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 568, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144299, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1022, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144300, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 122, 16, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144301, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 436, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144302, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 152, 20, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144303, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 220, 25, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144304, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 137, 15, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144305, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1520, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144306, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 374, 7, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144307, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 130, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144308, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 450, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144309, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 4, 18, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144310, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 292, 14, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144311, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 6, 19, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144312, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 3, 13, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144313, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 22, 11, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144314, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 8, 7, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144315, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 8, 14, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144316, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144317, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 40, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144318, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 66, 8, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144319, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 238, 10, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144320, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 70, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144321, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144322, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 10, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144323, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1052, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144324, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 997, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144325, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 8, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144326, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 977, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144327, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 164, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144328, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 302, 12, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144329, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 145, 29, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144330, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 4691, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144331, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 223, 37, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144332, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 218, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144333, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 282, 47, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144334, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 160, 39, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144335, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 19, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144336, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 306, 34, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144337, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 724, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144338, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 365, 32, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144339, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 247, 31, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144340, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 249, 37, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144341, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 4603, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144342, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 599, 40, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144343, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 773, 25, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144344, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 174, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144345, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 762, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144346, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 258, 16, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144347, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 997, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144348, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 590, 23, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144349, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 34, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144350, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144351, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 54, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144352, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 67, 12, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144353, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 73, 10, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144354, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 66, 15, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144355, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 436, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144356, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 1022, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144357, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 26, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144358, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 568, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144359, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 1015, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144360, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 665, 7, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144361, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 143, 14, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144362, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 374, 7, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144363, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 1520, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144364, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '2C06', 25, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144365, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 70, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144366, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 238, 10, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144367, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 66, 8, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144368, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 40, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144369, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 10, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144370, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144371, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 3, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144372, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 30, 9, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144373, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 472, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144374, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 8, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144375, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 10, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144376, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 2550, 30, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144377, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 95, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144378, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 246, 12, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144379, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 302, 12, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144380, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 2975, 19, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144381, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 205, 7, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144382, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 135, 14, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144383, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 187, 43, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144384, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 296, 28, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144385, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 153, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144386, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 131, 48, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144387, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 137, 15, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144388, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 220, 25, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144389, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E16', 3, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144390, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 164, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144391, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144392, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 167, 20, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144393, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 41, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144394, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 122, 16, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144395, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 500, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144396, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 152, 20, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144397, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 2884, 18, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144398, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 8, 14, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144399, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 77, 22, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144400, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 164, 12, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144401, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E12', 2748, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144402, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 185, 10, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144403, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 3, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144404, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 1542, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144405, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 7, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144406, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 20, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144407, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 131, 24, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144408, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 292, 14, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144409, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 4, 12, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144410, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 977, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144411, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 22, 11, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144412, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 377, 37, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144413, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 7, 18, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144414, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 4, 18, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144415, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 7, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144416, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 8, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144417, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E19', 3, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144418, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 770, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144419, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 934, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144420, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 58, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144421, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 38, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144422, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 133, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144423, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 4691, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144424, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 175, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144425, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 172, 9, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144426, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 450, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (144427, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 130, 3, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144428, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 18, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144429, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 357, 34, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144430, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 87, 8, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144431, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 110, 25, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144432, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1317, 7, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144433, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C11', 691, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144434, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 249, 37, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144435, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1052, 4, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144436, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 218, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144437, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 282, 47, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144438, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 160, 39, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144439, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 724, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144440, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 145, 29, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144441, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 11, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144442, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 223, 37, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144443, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 723, 5, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144444, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 365, 32, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144445, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 36, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144446, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 247, 31, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144447, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 306, 34, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144448, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 253, 28, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144449, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 8, 7, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144450, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C09', 2, 1, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144451, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D07', 28, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144452, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 475, 2, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144453, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 5, 6, 2024, 6, 14, '2024-08-05 14:07:44', NULL, NULL), (144454, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 67, 2, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144455, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1384, 115, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144456, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 2246, 57, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144457, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 122, 10, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144458, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1384, 115, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144459, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 2246, 57, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144460, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 44, 3, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144461, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 0, 2, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144462, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 122, 10, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144463, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 0, 1, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144464, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 7, 3, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144465, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 67, 2, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144466, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 261, 12, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144467, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 2184, 71, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144468, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 0, 2, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144469, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 1, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144470, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 199, 6, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144471, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 32, 32, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144472, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 2246, 57, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 2231, 28, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 1, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 2260, 29, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 67, 2, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 155, 1, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 14, 13, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 3190, 10, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 131, 2, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 2016, 30, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 374, 1, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 7, 3, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 36, 9, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 203, 2, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 261, 12, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 54, 10, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 2021, 31, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144489, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 2246, 57, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144490, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 261, 12, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144491, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 32, 32, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144492, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 7, 3, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144493, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 67, 2, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144494, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 199, 6, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144495, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 1, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144496, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 2184, 71, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144497, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 261, 12, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144498, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 2016, 30, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144499, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 2021, 31, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144500, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 2231, 28, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144501, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 3190, 10, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144502, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 2260, 29, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144503, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 54, 10, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144504, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 203, 2, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144505, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 67, 2, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144506, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 155, 1, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144507, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 374, 1, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144508, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 7, 3, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144509, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 131, 2, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144510, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 1, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144511, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 36, 9, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144512, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 14, 13, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144513, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 67, 2, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144514, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 374, 1, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144515, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 131, 2, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144516, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 155, 1, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144517, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 1, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144518, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 54, 10, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144519, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 2021, 31, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144520, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 2016, 30, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144521, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 3190, 10, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144522, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 14, 13, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144523, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 203, 2, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144524, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 7, 3, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144525, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 2231, 28, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144526, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 2260, 29, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144527, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 261, 12, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144528, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 36, 9, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144529, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 1, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144530, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 203, 2, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144531, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 54, 10, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144532, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 7, 3, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144533, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 261, 12, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144534, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 155, 1, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144535, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 131, 2, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144536, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 374, 1, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144537, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 67, 2, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144538, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 2231, 28, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144539, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 36, 9, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144540, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 2260, 29, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144541, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 2021, 31, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144542, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 3190, 10, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144543, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 2016, 30, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144544, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 14, 13, 2024, 6, 15, '2024-08-05 14:07:44', NULL, NULL), (144545, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 142, 2, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144546, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 237, 67, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144547, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 215, 3, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144548, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 2327, 60, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144549, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 234, 67, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144550, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 2255, 62, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144551, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 142, 2, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144552, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 215, 3, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144553, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 142, 2, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144554, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 61, 13, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144555, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 402, 29, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144556, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 215, 3, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144557, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 131, 26, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144558, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 2289, 61, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 2551, 30, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 142, 2, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 2103, 30, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 5, 1, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 75, 9, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 526, 1, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 407, 15, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 119, 10, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 61, 13, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 114, 1, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 397, 14, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 258, 6, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144571, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 2327, 60, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144572, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 61, 13, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144573, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 137, 25, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144574, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 142, 2, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144575, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 215, 3, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144576, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 402, 29, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144577, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 61, 13, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144578, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 407, 15, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144579, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 397, 14, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144580, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 2551, 30, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144581, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 2103, 30, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144582, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 258, 6, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144583, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 142, 2, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144584, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 5, 1, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144585, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 114, 1, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144586, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 526, 1, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144587, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 119, 10, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144588, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 75, 9, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144589, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 142, 2, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144590, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 114, 1, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144591, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 526, 1, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144592, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 5, 1, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144593, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 397, 14, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144594, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 258, 6, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144595, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 407, 15, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144596, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 75, 9, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144597, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 2551, 30, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144598, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 61, 13, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144599, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 2103, 30, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144600, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 119, 10, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144601, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 258, 6, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144602, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 5, 1, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144603, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 61, 13, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144604, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 526, 1, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144605, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 114, 1, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144606, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 142, 2, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144607, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 2551, 30, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144608, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 119, 10, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144609, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 2103, 30, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144610, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 397, 14, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144611, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 407, 15, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144612, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 75, 9, 2024, 6, 16, '2024-08-05 14:07:45', NULL, NULL), (144613, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 92, 75, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144614, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 9, 68, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144615, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 713, 55, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144616, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 242, 137, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144617, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 118, 60, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144618, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 413, 637, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144619, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 344, 139, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144620, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 678, 117, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144621, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 613, 142, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144622, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 412, 638, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144623, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 284, 140, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144624, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 116, 61, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144625, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 667, 119, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144626, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 242, 137, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144627, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 92, 75, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144628, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 613, 142, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144629, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 342, 140, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144630, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 50, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144631, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 136, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144632, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 814, 28, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144633, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 147, 16, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144634, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 42, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144635, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 92, 75, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144636, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 174, 17, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144637, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 9, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144638, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 148, 37, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144639, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 147, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144640, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 4, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144641, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 375, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144642, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 1324, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144643, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 156, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144644, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 334, 23, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144645, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 17, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144646, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 8578, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144647, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 16, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144648, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 345, 134, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144649, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 5, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144650, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 0, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144651, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 473, 417, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144652, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 394, 14, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144653, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 8, 8, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144654, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 137, 17, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144655, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 344, 139, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144656, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 429, 44, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144657, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 3221, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144658, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 286, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144659, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 72, 57, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144660, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 10, 58, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144661, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '', 12, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144662, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 108, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144663, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 632, 113, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144664, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 50, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144665, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1185, 53, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144666, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 225, 87, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144667, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 3, 10, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144668, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 10, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144669, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 197, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 210, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 128, 11, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 231, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 663, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 423, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 294, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 8, 8, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 579, 38, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 600, 51, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 371, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 298, 37, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 16, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 649, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 418, 55, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 83, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 75, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 510, 47, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 471, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 39, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 413, 35, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 359, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 335, 38, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 56, 7, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 473, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 472, 35, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 567, 42, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 339, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 386, 29, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 251, 13, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 449, 26, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 255, 17, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 265, 11, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 2, 16, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 31, 14, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 19, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 274, 11, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 365, 27, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 38, 10, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 188, 46, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 491, 39, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 394, 14, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 915, 24, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 210, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 7, 13, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 296, 34, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 372, 45, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 34, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 372, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 4, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 8578, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 286, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 353, 21, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 353, 55, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 273, 40, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 572, 28, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 205, 11, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1118, 15, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 20, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 578, 33, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 334, 23, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 53, 10, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 85, 8, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 30, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 141, 13, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 45, 10, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 3221, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 15, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 44, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 21, 21, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 59, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 8, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 12, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 4, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 50, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 529, 37, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 19, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 8, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 108, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 87, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 109, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 45, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1397, 21, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 233, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 174, 17, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 4, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 19, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1986, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1296, 13, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 767, 11, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1026, 8, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 5, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 108, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 137, 17, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144771, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 632, 113, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144772, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 228, 86, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144773, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 473, 417, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144774, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 16, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144775, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 42, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144776, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 156, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144777, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 137, 17, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144778, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1185, 53, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144779, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 50, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144780, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '宜宾市市场监管局', '', '', 12, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144781, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 9, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144782, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 92, 75, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144783, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 286, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144784, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 108, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144785, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 8, 8, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144786, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 174, 17, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144787, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 147, 16, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144788, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 334, 23, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144789, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 10, 58, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144790, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 10, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144791, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 344, 139, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144792, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 8578, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144793, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 345, 134, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144794, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 1986, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144795, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 197, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144796, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 136, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144797, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 147, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144798, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 4, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144799, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 3, 10, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144800, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 152, 36, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144801, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 5, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144802, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 814, 28, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144803, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 429, 44, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144804, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 50, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144805, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 375, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144806, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 72, 57, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144807, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 3221, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144808, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 394, 14, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144809, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144810, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 4, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144811, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 8, 8, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144812, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144813, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 188, 46, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144814, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 273, 40, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144815, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 174, 17, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144816, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 7, 13, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144817, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 16, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144818, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 38, 10, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144819, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 31, 14, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144820, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 274, 11, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144821, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 265, 11, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144822, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 2, 16, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144823, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 608, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144824, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 4, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144825, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 42, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144826, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 19, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144827, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 233, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144828, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '1D09', 12, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144829, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 50, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144830, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 491, 39, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144831, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 83, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144832, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 649, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144833, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 59, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144834, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 371, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144835, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 44, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144836, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 339, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144837, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 473, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144838, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 359, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144839, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 471, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144840, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1397, 21, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144841, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 53, 10, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144842, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 372, 45, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144843, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 353, 55, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144844, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 296, 34, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (144845, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 5, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144846, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 294, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144847, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 423, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144848, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1296, 13, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144849, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 335, 38, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144850, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1026, 8, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144851, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 375, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144852, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 767, 11, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144853, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 600, 51, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144854, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 579, 38, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144855, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 137, 17, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144856, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 567, 42, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144857, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 472, 35, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144858, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 413, 35, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144859, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 45, 10, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144860, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 141, 13, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144861, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 510, 47, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144862, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 30, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144863, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 418, 55, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144864, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 85, 8, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144865, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 298, 37, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144866, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 3221, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144867, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 108, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144868, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144869, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 15, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144870, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 365, 27, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144871, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 19, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144872, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 251, 13, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144873, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 386, 29, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144874, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 449, 26, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144875, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 1118, 15, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144876, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 578, 33, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144877, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 255, 17, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144878, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 572, 28, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144879, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 394, 14, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144880, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D08', 136, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144881, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144882, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 205, 11, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144883, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144884, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 20, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144885, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144886, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 9, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144887, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 529, 37, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144888, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 353, 21, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144889, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 21, 21, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144890, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 8, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144891, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144892, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144893, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 12, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144894, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 19, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144895, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 915, 24, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144896, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 8, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144897, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 286, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144898, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 508, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144899, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 210, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144900, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 108, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144901, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 56, 7, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144902, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 8578, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144903, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 1986, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144904, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 75, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144905, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 45, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144906, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 109, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144907, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 87, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144908, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 39, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144909, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 334, 23, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144910, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 81, 8, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144911, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 4, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144912, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 740, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144913, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 210, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144914, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 231, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144915, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 108, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144916, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 19, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144917, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 8, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 45, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144919, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 87, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144920, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 109, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144921, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 19, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144922, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 233, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144923, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1026, 8, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144924, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 767, 11, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144925, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1296, 13, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144926, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 529, 37, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144927, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 491, 39, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144928, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 137, 17, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144929, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 188, 46, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144930, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 3221, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144931, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 572, 28, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144932, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 44, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144933, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 59, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144934, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 39, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144935, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 56, 7, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144936, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 50, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144937, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 4, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144938, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 16, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144939, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 75, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144940, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 6, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144941, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144942, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 273, 40, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144943, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144944, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 353, 55, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144945, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144946, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 372, 45, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144947, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 296, 34, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144948, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 4, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144949, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 174, 17, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144950, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1397, 21, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144951, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1118, 15, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144952, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 578, 33, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144953, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 231, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144954, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 334, 23, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144955, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 663, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144956, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 8, 8, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144957, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 205, 11, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144958, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 210, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144959, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 20, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144960, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 53, 10, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144961, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 141, 13, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144962, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 255, 17, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144963, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 128, 11, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144964, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 45, 10, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144965, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 85, 8, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144966, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 30, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144967, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 359, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144968, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 386, 29, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144969, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 471, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144970, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 365, 27, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144971, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 449, 26, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144972, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 83, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144973, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 251, 13, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144974, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 649, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144975, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 371, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144976, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 19, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144977, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 353, 21, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144978, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 339, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144979, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 473, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144980, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1986, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144981, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 294, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144982, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 423, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144983, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 2, 16, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144984, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 31, 14, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144985, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 265, 11, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144986, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 274, 11, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144987, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 38, 10, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144988, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144989, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144990, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 7, 13, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144991, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144992, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 21, 21, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144993, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 15, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144994, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144995, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 8, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144996, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 12, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144997, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 108, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144998, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 5, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (144999, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 210, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145000, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 286, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145001, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 8578, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145002, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 915, 24, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145003, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 335, 38, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145004, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 394, 14, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145005, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 413, 35, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145006, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 34, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145007, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 510, 47, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145008, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 418, 55, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145009, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 4, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145010, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 298, 37, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145011, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 372, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145012, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 600, 51, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145013, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 579, 38, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145014, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 567, 42, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145015, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 472, 35, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145016, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 529, 37, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145017, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 1118, 15, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145018, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 8, 8, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145019, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 572, 28, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145020, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 5, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145021, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 578, 33, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145022, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145023, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145024, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 45, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145025, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 85, 8, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145026, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 30, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145027, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 141, 13, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145028, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 371, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145029, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 649, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145030, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 45, 10, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145031, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 83, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145032, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 471, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145033, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 359, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145034, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 53, 10, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145035, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 473, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145036, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 339, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145037, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145038, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 15, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145039, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 21, 21, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145040, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145041, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 12, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145042, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 8, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145043, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 109, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145044, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 87, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145045, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 9, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145046, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 210, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145047, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1026, 8, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145048, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 915, 24, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145049, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1296, 13, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145050, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 231, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145051, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 740, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145052, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 16, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145053, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 767, 11, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145054, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C06', 210, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145055, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 81, 8, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145056, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 353, 55, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145057, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 296, 34, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145058, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 4, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145059, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 372, 45, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145060, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 353, 21, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145061, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 8578, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145062, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 6, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145063, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145064, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 365, 27, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145065, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 386, 29, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145066, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 251, 13, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145067, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 449, 26, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145068, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 19, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145069, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1397, 21, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145070, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 7, 13, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145071, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 174, 17, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145072, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 255, 17, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145073, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 3221, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145074, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 108, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145075, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 137, 17, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145076, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 31, 14, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145077, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 274, 11, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145078, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 286, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145079, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 38, 10, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145080, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 273, 40, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145081, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 265, 11, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145082, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 2, 16, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145083, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 8, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145084, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 19, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145085, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 4, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145086, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 50, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145087, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 19, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145088, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 75, 9, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145089, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 233, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145090, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 394, 14, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145091, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 56, 7, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145092, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 423, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145093, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 20, 5, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145094, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 294, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145095, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 491, 39, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145096, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 205, 11, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145097, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 375, 2, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145098, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 334, 23, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145099, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 39, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145100, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 472, 35, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145101, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 42, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145102, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 108, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145103, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 510, 47, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145104, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 418, 55, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145105, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 608, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145106, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 335, 38, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145107, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 4, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145108, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 413, 35, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145109, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 44, 3, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145110, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 579, 38, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145111, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 59, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145112, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 567, 42, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145113, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 298, 37, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145114, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 600, 51, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145115, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 1986, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145116, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '宜宾市市场监管局', '', '1D09', 12, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145117, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 188, 46, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145118, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 6, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145119, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D08', 136, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145120, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 508, 1, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145121, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 4, 2024, 6, 17, '2024-08-05 14:07:46', NULL, NULL), (145122, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 27, 104, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145123, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 39, 59, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145124, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 240, 36, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145125, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 112, 207, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145126, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 476, 61, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145127, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 122, 478, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145128, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 400, 111, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145129, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 391, 122, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145130, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 795, 141, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145131, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 122, 478, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145132, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 102, 107, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145133, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 476, 61, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145134, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 397, 112, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145135, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 111, 208, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145136, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 27, 105, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145137, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 795, 141, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145138, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 391, 122, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145139, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 1313, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145140, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 82, 27, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145141, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 7, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145142, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 250, 20, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145143, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 51, 28, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145144, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 5, 10, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145145, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 101, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145146, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 27, 104, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145147, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 568, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145148, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 4, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145149, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 182, 30, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145150, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 15, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145151, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 8, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145152, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 19, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145153, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 3, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145154, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 44, 8, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145155, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 200, 24, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145156, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '', '', '', 3, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145157, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 10, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145158, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 237, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145159, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 76, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145160, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 282, 106, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145161, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1335, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145162, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 61, 302, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145163, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 225, 10, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145164, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 321, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145165, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '', 18691, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145166, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 107, 13, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145167, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 391, 122, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145168, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1460, 39, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145169, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 3, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145170, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 0, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145171, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 10, 53, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145172, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 81, 87, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145173, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 458, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145174, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145175, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 394, 106, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145176, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 16, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145177, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 828, 63, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145178, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 139, 70, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145179, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 349, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145180, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145181, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 120, 14, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 6721, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 235, 10, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 190, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 288, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1064, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 97, 8, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 811, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 67, 17, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 93, 34, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 2574, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 40, 37, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 76, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 784, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 50, 53, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 59, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 924, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 56, 49, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1890, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 56, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 100, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1241, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 47, 27, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 241, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2208, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 80, 24, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 106, 14, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1287, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 201, 10, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 507, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 319, 24, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 465, 19, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 240, 18, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 61, 17, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 29, 25, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 14, 20, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 417, 12, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 18, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 637, 8, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 31, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 115, 35, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 38, 32, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 321, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 242, 18, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 316, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 8, 16, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 344, 31, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 238, 37, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 7, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 19, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 18, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 237, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 462, 20, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 273, 38, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 162, 35, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 246, 23, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 5, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 5, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 668, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 207, 24, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 200, 24, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 1313, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 70, 16, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 85, 21, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 65, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 103, 13, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 42, 8, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 2, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 3, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 5, 13, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 3, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 6, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (145253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 15, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 115, 12, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 24, 14, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 64, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 2, 14, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 25, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 435, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 496, 48, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 45, 8, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 6, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 112, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 11, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 98, 12, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 10, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 99, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 758, 13, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 126, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 31, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 101, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 8, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 130, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 4, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 825, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 953, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 590, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1335, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 992, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 458, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 107, 13, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145286, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 394, 106, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145287, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 139, 70, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145288, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 61, 302, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145289, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 76, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145290, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 51, 28, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145291, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 4, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145292, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 44, 8, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145293, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 107, 13, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145294, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 828, 63, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145295, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 568, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145296, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 27, 103, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145297, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 225, 10, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145298, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 458, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145299, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 101, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145300, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 5, 10, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145301, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 200, 24, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145302, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 10, 53, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145303, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 1313, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145304, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145305, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 391, 122, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145306, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 237, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145307, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 282, 106, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145308, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 4, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145309, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 120, 14, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145310, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 7, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145311, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 15, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145312, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 8, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145313, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 349, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145314, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 182, 30, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145315, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '宜宾市政务服务和非公经济发展局', '', '', 3, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145316, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1335, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145317, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '', 18691, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145318, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 250, 20, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145319, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1460, 39, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145320, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 82, 27, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145321, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 19, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145322, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 81, 87, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145323, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 16, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145324, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 3, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145325, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 321, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145326, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 736, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145327, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 2, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145328, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 97, 8, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145329, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 435, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145330, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 8, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145331, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 115, 35, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145332, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 101, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145333, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 162, 35, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145334, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 8, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145335, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 76, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145336, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 31, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145337, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 14, 20, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145338, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 18, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145339, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 61, 17, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145340, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 29, 25, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145341, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 19, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145342, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 18, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145343, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 8, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145344, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 130, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145345, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 31, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145346, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 126, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145347, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '2C06', 18691, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145348, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 38, 32, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145349, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 924, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145350, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 784, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145351, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 64, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145352, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 2574, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145353, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 115, 12, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145354, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 1313, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145355, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 1287, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145356, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 2208, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145357, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 1241, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145358, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 1890, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145359, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 758, 13, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145360, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 70, 16, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145361, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 238, 37, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145362, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 273, 38, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145363, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 344, 31, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145364, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1335, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145365, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 811, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145366, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 825, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145367, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 1064, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145368, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 47, 27, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145369, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 590, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145370, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 19, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145371, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 953, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145372, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 992, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145373, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 93, 34, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145374, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 67, 17, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145375, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 107, 13, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145376, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 106, 14, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145377, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 80, 24, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145378, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 42, 8, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145379, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 100, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145380, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 56, 49, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145381, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 103, 13, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145382, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 65, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145383, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 50, 53, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145384, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 85, 21, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145385, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 40, 37, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145386, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 3, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145387, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 3, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145388, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 458, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145389, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145390, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 5, 12, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145391, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 637, 8, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145392, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 417, 12, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145393, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 507, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145394, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 201, 10, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145395, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 465, 19, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145396, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 319, 24, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145397, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 668, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145398, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 207, 24, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145399, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 240, 18, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145400, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 4, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145401, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 246, 23, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145402, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D09', 7, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145403, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 321, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145404, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145405, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 5, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145406, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 11, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145407, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145408, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 5, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145409, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 568, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145410, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 496, 48, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145411, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 462, 20, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145412, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E19', 6, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145413, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 24, 14, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145414, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145415, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 6, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145416, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 15, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145417, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '', '', '1D25', 3, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145418, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 2, 14, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145419, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 242, 18, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145420, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 45, 8, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145421, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 6, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145422, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 7, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145423, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 316, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145424, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 112, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145425, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 241, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145426, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 4, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145427, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 237, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145428, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 59, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145429, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 99, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145430, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 15, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145431, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 98, 12, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145432, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 56, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145433, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E20', 16, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145434, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 200, 24, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145435, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 122, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145436, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 35, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145437, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 569, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145438, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 190, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145439, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 112, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145440, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 45, 8, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145441, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 6, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145442, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 99, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145443, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 98, 12, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145444, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 10, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145445, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 31, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145446, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 130, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145447, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 126, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145448, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 992, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145449, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 590, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145450, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 953, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145451, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 825, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145452, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 496, 48, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145453, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 38, 32, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145454, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 107, 13, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145455, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 115, 35, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145456, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 3, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145457, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 3, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145458, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 246, 23, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145459, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 115, 12, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145460, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 64, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145461, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 56, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145462, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 241, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145463, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 76, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145464, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 25, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145465, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 59, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145466, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145467, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 11, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145468, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 162, 35, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145469, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145470, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 273, 38, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145471, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145472, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 238, 37, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145473, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 344, 31, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145474, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 8, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145475, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 101, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145476, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 758, 13, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145477, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 668, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145478, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 207, 24, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145479, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 1313, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145480, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 190, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145481, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 200, 24, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145482, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 288, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145483, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 97, 8, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145484, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 5, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145485, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 5, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145486, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 6721, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145487, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 70, 16, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145488, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 240, 18, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145489, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 103, 13, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145490, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 465, 19, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145491, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 235, 10, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145492, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 42, 8, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145493, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 85, 21, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145494, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 65, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145495, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 201, 10, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145496, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1241, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145497, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1890, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145498, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 637, 8, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145499, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 924, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145500, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 319, 24, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145501, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 784, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145502, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 507, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145503, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 2574, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145504, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 417, 12, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145505, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 462, 20, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145506, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1287, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145507, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2208, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145508, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 4, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145509, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 811, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145510, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1064, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145511, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 29, 25, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145512, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 14, 20, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145513, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 61, 17, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145514, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 18, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145515, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 31, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145516, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 435, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145517, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145518, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 8, 16, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145519, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 15, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145520, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 24, 14, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145521, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 5, 13, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145522, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145523, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145524, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 14, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145525, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 458, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145526, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1335, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145527, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 316, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145528, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 237, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145529, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 242, 18, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145530, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 47, 27, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145531, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 321, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145532, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 100, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145533, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 7, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145534, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 56, 49, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145535, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 50, 53, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145536, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 18, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145537, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 40, 37, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145538, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 19, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145539, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 93, 34, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145540, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 67, 17, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145541, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 106, 14, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145542, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 80, 24, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145543, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 1313, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145544, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 496, 48, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145545, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 97, 8, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145546, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 668, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145547, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 246, 23, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145548, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 736, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145549, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1335, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145550, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 207, 24, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145551, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145552, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145553, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 99, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145554, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 85, 21, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145555, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 65, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145556, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 2574, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145557, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 103, 13, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145558, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 784, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145559, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 42, 8, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145560, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 924, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145561, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 1890, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145562, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 1241, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145563, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 70, 16, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145564, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 2208, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145565, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 1287, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145566, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '2C06', 18691, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145567, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145568, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 5, 12, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145569, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 24, 14, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145570, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 15, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145571, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 14, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145572, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145573, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 15, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145574, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 98, 12, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145575, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 568, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145576, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 316, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145577, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 590, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145578, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 992, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145579, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 242, 18, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145580, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 825, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145581, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 190, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145582, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 569, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145583, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 76, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145584, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 953, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145585, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 122, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145586, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 273, 38, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145587, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 344, 31, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145588, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 238, 37, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145589, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 35, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145590, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 462, 20, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145591, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145592, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 237, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145593, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 11, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145594, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 637, 8, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145595, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 201, 10, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145596, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 507, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145597, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 319, 24, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145598, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 417, 12, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145599, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 758, 13, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145600, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 8, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145601, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 101, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145602, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 465, 19, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145603, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 240, 18, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145604, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 3, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145605, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 3, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145606, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 112, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145607, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 107, 13, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145608, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 14, 20, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145609, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 18, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145610, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 31, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145611, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 162, 35, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145612, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 61, 17, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145613, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 29, 25, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145614, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E19', 6, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145615, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 6, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145616, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 45, 8, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145617, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 8, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145618, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 130, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145619, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 31, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145620, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 59, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145621, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 126, 11, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145622, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 321, 9, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145623, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 4, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145624, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 241, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145625, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E20', 16, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145626, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 1064, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145627, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 5, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145628, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 811, 5, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145629, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 38, 32, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145630, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 5, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145631, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 19, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145632, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 200, 24, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145633, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 56, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145634, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145635, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 80, 24, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145636, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 8, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145637, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 458, 7, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145638, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 56, 49, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145639, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 50, 53, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145640, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 19, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145641, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 47, 27, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145642, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 18, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145643, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 100, 15, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145644, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 115, 12, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (145645, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 67, 17, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145646, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 64, 6, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145647, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 106, 14, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145648, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 40, 37, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145649, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 93, 34, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145650, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 4, 3, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145651, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 115, 35, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145652, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 435, 4, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145653, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 7, 2, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145654, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145655, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D09', 7, 1, 2024, 6, 18, '2024-08-05 14:07:47', NULL, NULL), (145656, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 94, 98, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145657, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 348, 35, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145658, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 390, 46, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145659, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 176, 187, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145660, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 207, 60, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145661, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 162, 471, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145662, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 499, 119, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145663, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 553, 152, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145664, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1105, 116, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145665, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 162, 471, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145666, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 261, 115, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145667, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 207, 60, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145668, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 499, 119, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145669, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 174, 189, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145670, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 94, 98, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145671, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1105, 116, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145672, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 553, 152, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145673, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 2226, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145674, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 57, 28, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145675, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 346, 25, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145676, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 84, 12, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145677, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 66, 23, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145678, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 94, 98, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145679, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 296, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145680, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 110, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145681, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 71, 36, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145682, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 56, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145683, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 18, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145684, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1172, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145685, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 409, 5, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145686, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 1872, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145687, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 154, 27, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145688, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '', '', '', 3, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145689, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 326, 37, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145690, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 427, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145691, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 254, 6, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145692, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 329, 87, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145693, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1992, 6, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145694, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 98, 315, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145695, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 452, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145696, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 326, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145697, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 236, 17, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145698, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 553, 152, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145699, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 52, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145700, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 672, 23, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145701, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145702, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 32, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145703, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 857, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145704, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3, 26, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145705, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 136, 72, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145706, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '', 21, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145707, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '', '', '', 3, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145708, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 464, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145709, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 336, 108, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145710, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 170, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145711, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 242, 69, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145712, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 2009, 52, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145713, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 4, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145714, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145715, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 158, 5, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 194, 15, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 133, 12, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 14, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 917, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 452, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 120, 28, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 51, 37, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 643, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 124, 26, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 254, 6, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 124, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 71, 31, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 23, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1168, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 111, 42, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1013, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 701, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 86, 36, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 115, 33, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 72, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 458, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 130, 33, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 91, 23, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 506, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 465, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 1049, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 523, 13, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 500, 17, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 498, 21, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 23, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 10, 21, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 39, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 6, 15, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 484, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 487, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 233, 35, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 454, 19, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 88, 26, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 326, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 330, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 365, 11, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 11, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 330, 25, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 778, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 231, 36, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 18, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 5, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 103, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 427, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 857, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 487, 32, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 464, 26, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 250, 34, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 303, 23, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 95, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 192, 35, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 69, 5, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 154, 27, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2226, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 216, 11, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 111, 10, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 100, 10, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 226, 19, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 30, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 15, 5, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 5, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 74, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 2, 10, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 80, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 6, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 36, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 2, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 124, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 4027, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 4, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 453, 50, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 76, 6, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 66, 13, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 52, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 68, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 69, 11, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 43, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 3605, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 144, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 296, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 18, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 211, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 1872, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 1250, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2108, 9, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1741, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1992, 6, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 2050, 21, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 464, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 9, 5, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 331, 12, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145818, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 336, 108, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145819, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 242, 69, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145820, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 98, 315, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145821, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 254, 6, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145822, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 66, 23, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145823, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 409, 5, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145824, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 236, 17, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145825, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 2009, 52, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145826, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 170, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145827, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '宜宾市市场监管局', '', '', 21, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145828, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 110, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145829, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 94, 98, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145830, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 857, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145831, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 452, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145832, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 464, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145833, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 78, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145834, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 296, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145835, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 84, 12, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145836, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 154, 27, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145837, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3, 26, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145838, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 2226, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145839, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145840, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 553, 152, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145841, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 427, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145842, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 329, 87, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145843, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 1872, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145844, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 158, 5, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145845, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 18, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145846, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '宜宾市政务服务和非公经济发展局', '', '', 3, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145847, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 56, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145848, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 4, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145849, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 71, 36, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145850, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '宜宾市政务服务和非公经济发展局', '', '', 3, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145851, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1992, 6, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145852, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 346, 25, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145853, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 4027, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145854, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 57, 28, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145855, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 672, 23, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145856, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1172, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145857, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 136, 72, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145858, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 326, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145859, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 32, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145860, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 452, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145861, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 18, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145862, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 4, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145863, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 233, 35, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145864, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 250, 34, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145865, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 296, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145866, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 11, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145867, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 254, 6, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145868, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 487, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145869, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 39, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145870, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 6, 15, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145871, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 23, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145872, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 10, 21, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145873, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 5, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145874, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 103, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145875, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 15, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145876, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 211, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145877, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 144, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145878, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 331, 12, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145879, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '1D09', 21, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145880, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 170, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145881, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 88, 26, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145882, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1168, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145883, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 124, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145884, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 643, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145885, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 36, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145886, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 80, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145887, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 506, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145888, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 2226, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145889, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 458, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145890, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 701, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145891, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 3605, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145892, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 216, 11, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145893, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 231, 36, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145894, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 464, 26, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145895, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 330, 25, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145896, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1992, 6, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145897, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 917, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145898, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D14', 1250, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145899, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 115, 33, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145900, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1741, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145901, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 2108, 9, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145902, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 1172, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145903, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 78, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145904, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 2050, 21, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145905, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 51, 37, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145906, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 120, 28, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145907, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 9, 5, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145908, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 91, 23, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145909, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 130, 33, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145910, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 30, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145911, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 86, 36, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145912, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 226, 19, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145913, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 111, 42, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145914, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 100, 10, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145915, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 71, 31, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145916, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 111, 10, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145917, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 124, 26, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145918, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 15, 5, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145919, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 74, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145920, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 464, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145921, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145922, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145923, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 454, 19, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145924, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 484, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145925, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 1049, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145926, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 465, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145927, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 500, 17, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145928, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 523, 13, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145929, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 192, 35, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145930, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 498, 21, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145931, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 303, 23, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145932, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 326, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145933, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145934, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 95, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145935, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145936, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145937, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 69, 5, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145938, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 110, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145939, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 453, 50, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145940, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 778, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145941, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 487, 32, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145942, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 2, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145943, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 6, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145944, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 5, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145945, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 2, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145946, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '', '', '1D22', 3, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145947, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 4, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145948, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 4027, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145949, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 330, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145950, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 76, 6, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145951, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 66, 13, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145952, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C09', 4, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145953, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 857, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145954, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 14, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145955, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 365, 11, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145956, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 52, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145957, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 72, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145958, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '', '', '1D25', 3, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145959, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 427, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145960, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 1872, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145961, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 23, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145962, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 43, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145963, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 69, 11, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145964, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 68, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145965, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1013, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145966, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 154, 27, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145967, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 25, 9, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145968, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 3, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145969, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 144, 11, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145970, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 52, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145971, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 76, 6, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145972, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 66, 13, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145973, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 43, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145974, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 68, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145975, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 69, 11, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145976, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 211, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145977, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 144, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145978, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 2050, 21, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145979, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1741, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145980, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2108, 9, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145981, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 1250, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145982, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 453, 50, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145983, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 88, 26, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145984, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 331, 12, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145985, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 9, 5, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145986, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 233, 35, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145987, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 74, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145988, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 15, 5, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145989, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 303, 23, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145990, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 80, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145991, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 36, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145992, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1013, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145993, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 72, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145994, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 124, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145995, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145996, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 254, 6, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145997, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 23, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145998, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (145999, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 250, 34, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146000, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146001, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146002, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 464, 26, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146003, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146004, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 231, 36, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146005, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 330, 25, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146006, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 18, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146007, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 296, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146008, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 3605, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146009, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 192, 35, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146010, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2226, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146011, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 133, 12, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146012, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 154, 27, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146013, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 14, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146014, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 452, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146015, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 95, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146016, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 69, 5, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146017, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 216, 11, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146018, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 498, 21, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146019, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 226, 19, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146020, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 194, 15, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146021, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 30, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146022, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 500, 17, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146023, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 111, 10, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146024, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 100, 10, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146025, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 465, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146026, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 454, 19, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146027, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 701, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146028, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 523, 13, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146029, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1168, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146030, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 1049, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146031, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 124, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146032, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 643, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146033, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 484, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146034, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 487, 32, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146035, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 778, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146036, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 506, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146037, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 458, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146038, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 1872, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146039, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 917, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146040, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 10, 21, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146041, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 39, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146042, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 23, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146043, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 6, 15, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146044, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 487, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146045, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146046, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 11, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146047, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 4027, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146048, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 10, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146049, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146050, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 5, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146051, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146052, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146053, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 464, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146054, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1992, 6, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146055, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 365, 11, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146056, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 857, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146057, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 427, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146058, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 330, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146059, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 115, 33, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146060, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 326, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146061, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 86, 36, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146062, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 18, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146063, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 111, 42, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146064, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 71, 31, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146065, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 103, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146066, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 124, 26, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (146067, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 5, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146068, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 51, 37, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146069, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 120, 28, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146070, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 91, 23, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146071, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 130, 33, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146072, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 2226, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146073, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 453, 50, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146074, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 452, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146075, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 192, 35, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146076, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 303, 23, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146077, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1992, 6, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146078, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146079, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146080, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 43, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146081, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 111, 10, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146082, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 100, 10, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146083, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 226, 19, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146084, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 643, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146085, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 30, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146086, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 124, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146087, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1168, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146088, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 701, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146089, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 458, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146090, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 216, 11, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146091, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 506, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146092, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 5, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146093, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146094, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 2, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146095, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146096, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146097, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 69, 11, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146098, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 68, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146099, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 110, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146100, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D14', 1250, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146101, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 365, 11, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146102, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1741, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146103, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 2050, 21, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146104, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 330, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146105, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 144, 11, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146106, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 2108, 9, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146107, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 254, 6, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146108, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 25, 9, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146109, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 4027, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146110, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 464, 26, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146111, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 330, 25, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146112, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 3, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146113, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 231, 36, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146114, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 778, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146115, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 487, 32, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146116, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146117, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 427, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146118, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146119, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 454, 19, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146120, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 465, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146121, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 1049, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146122, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 523, 13, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146123, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 484, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146124, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 3605, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146125, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 11, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146126, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 296, 14, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146127, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 500, 17, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146128, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 498, 21, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146129, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 74, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146130, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 15, 5, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146131, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 52, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146132, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 9, 5, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146133, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 39, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146134, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 6, 15, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146135, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 857, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146136, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 487, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146137, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 250, 34, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146138, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 23, 16, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146139, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 10, 21, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146140, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 331, 12, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146141, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 66, 13, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146142, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 76, 6, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146143, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 18, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146144, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 170, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146145, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 211, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146146, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 23, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146147, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 326, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146148, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 144, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146149, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 72, 8, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146150, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 917, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146151, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 69, 5, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146152, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 88, 26, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146153, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 95, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146154, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 1172, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146155, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 154, 27, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146156, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1013, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146157, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 78, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146158, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 130, 33, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146159, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 464, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146160, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 15, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146161, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146162, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 111, 42, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146163, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 71, 31, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146164, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 5, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146165, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 115, 33, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146166, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 103, 2, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146167, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 86, 36, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146168, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 80, 7, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146169, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 120, 28, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146170, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 36, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146171, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 91, 23, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146172, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 124, 26, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146173, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 51, 37, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146174, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 1872, 4, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146175, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '宜宾市市场监管局', '', '1D09', 21, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146176, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 233, 35, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146177, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146178, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 3, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146179, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C04', 4, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146180, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C09', 4, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146181, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 14, 1, 2024, 6, 19, '2024-08-05 14:07:48', NULL, NULL), (146182, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 33, 78, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146183, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 60, 71, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146184, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 307, 51, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146185, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 165, 160, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146186, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 575, 55, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146187, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 112, 480, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146188, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 731, 130, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146189, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 7518, 117, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146190, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 828, 139, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146191, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 112, 480, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146192, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 142, 140, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146193, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 575, 55, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146194, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 7518, 117, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146195, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 163, 162, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146196, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 33, 79, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146197, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 828, 139, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146198, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 731, 130, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146199, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 7125, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146200, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 223, 15, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146201, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 198, 25, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146202, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 46, 10, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146203, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 102, 15, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146204, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 672, 19, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146205, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 33, 79, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146206, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 6, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146207, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 15, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146208, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 42, 27, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146209, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 379, 14, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146210, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 19983, 42, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146211, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2528, 10, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146212, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 280, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146213, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '', 49, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146214, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1, 14, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146215, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 0, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146216, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 83, 86, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146217, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 488, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146218, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 5, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146219, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 107, 295, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146220, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 334, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146221, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 249, 11, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146222, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 189, 23, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146223, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 731, 130, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146224, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 634, 32, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146225, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 2, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146226, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 551, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146227, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 142, 72, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146228, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 46, 59, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146229, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 554, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146230, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146231, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 263, 72, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146232, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 52, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146233, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 458, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146234, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1387, 56, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146235, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 149, 99, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146236, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 125, 12, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146237, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 9, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146238, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 140, 10, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 58, 10, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 53, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 2781, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 518, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 249, 11, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 123, 16, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 98, 24, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1002, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 90, 32, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 434, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 488, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 85, 35, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 10, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1059, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 157, 50, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2794, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 454, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 113, 30, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 667, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 100, 30, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 37, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 533, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 92, 41, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 86, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 240, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 817, 23, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 336, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 972, 24, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 649, 10, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 670, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 165, 12, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 3, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 6, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 644, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 15, 13, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 725, 12, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 9, 11, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 141, 46, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 96, 30, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 334, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 170, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 271, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 11, 17, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 72, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 74, 31, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 145, 9, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 798, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 689, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 96, 37, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 672, 29, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 156, 53, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 398, 9, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 4, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 207, 33, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 109, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 7, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 280, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 7125, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 167, 13, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 128, 13, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 62, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 174, 12, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 55, 14, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 142, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 3, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 3, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 57, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 91, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 239, 9, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 61, 27, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 17, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 289, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 24, 17, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 131, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 52, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 24, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 91, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 368, 23, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 68, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 10, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 162, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 2, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 53, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 464, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 253, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 2, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1532, 17, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 87, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 174, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 672, 19, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 149, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 19983, 42, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 231, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1011, 10, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 5, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1177, 11, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1666, 17, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 554, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 189, 23, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146341, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 263, 72, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146342, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 149, 99, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146343, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 107, 295, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146344, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 488, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146345, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 102, 15, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146346, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 15, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146347, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2528, 10, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146348, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 458, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146349, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 189, 23, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146350, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1387, 56, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146351, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 52, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146352, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 6, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146353, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 33, 78, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146354, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 689, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146355, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 554, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146356, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 249, 11, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146357, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 672, 19, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146358, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 46, 10, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146359, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 280, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146360, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 47, 58, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146361, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 7125, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146362, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 9, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146363, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 731, 130, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146364, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 83, 86, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146365, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 140, 10, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146366, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 19983, 42, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146367, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 379, 14, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146368, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 125, 12, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146369, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 42, 27, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146370, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 5, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146371, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 198, 25, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146372, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 24, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146373, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '', 49, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146374, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 223, 15, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146375, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 634, 32, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146376, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 142, 72, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146377, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 3, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146378, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 334, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146379, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 142, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146380, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 91, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146381, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 249, 11, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146382, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 141, 46, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146383, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 672, 19, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146384, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 156, 53, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146385, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 11, 17, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146386, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 488, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146387, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 9, 11, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146388, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 6, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146389, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 15, 13, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146390, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 165, 12, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146391, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 3, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146392, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 145, 9, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146393, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 798, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146394, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 149, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146395, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 205, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146396, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 87, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146397, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 52, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146398, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 96, 30, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146399, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1059, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146400, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 434, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146401, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 289, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146402, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 1002, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146403, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 239, 9, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146404, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 240, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146405, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 7125, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146406, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 533, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146407, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 667, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146408, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 454, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146409, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1532, 17, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146410, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 167, 13, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146411, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 74, 31, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146412, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 96, 37, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146413, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 72, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146414, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 5, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146415, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 518, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146416, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D14', 231, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146417, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 100, 30, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146418, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1177, 11, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146419, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1011, 10, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146420, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1666, 17, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146421, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 98, 24, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146422, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 123, 16, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146423, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 189, 23, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146424, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 86, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146425, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 92, 41, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146426, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 458, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146427, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 55, 14, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146428, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 113, 30, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146429, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 174, 12, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146430, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 157, 50, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146431, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 62, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146432, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 85, 35, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146433, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 128, 13, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146434, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 90, 32, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146435, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 3, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146436, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 3, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146437, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 554, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146438, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146439, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146440, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 725, 12, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146441, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 644, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146442, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 336, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146443, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 817, 23, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146444, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 649, 10, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146445, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 972, 24, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146446, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 207, 33, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146447, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 670, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146448, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 7, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146449, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 398, 9, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146450, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 27, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146451, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 334, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146452, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 10, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146453, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 4, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146454, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146455, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 2, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146456, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 109, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146457, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 6, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146458, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 368, 23, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146459, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 672, 29, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146460, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E19', 3, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146461, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 61, 27, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146462, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 17, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146463, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 57, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146464, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 91, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146465, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 24, 17, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146466, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 24, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146467, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 184, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146468, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 170, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146469, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 68, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (146470, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 162, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146471, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 689, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146472, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 271, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146473, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 2781, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146474, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 53, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146475, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 37, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146476, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 19983, 42, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146477, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 10, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146478, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 2, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146479, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 290, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146480, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 471, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146481, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2794, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146482, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 280, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146483, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 55, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146484, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 163, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146485, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '', '', '2E28', 49, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146486, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 53, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146487, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 53, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146488, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 68, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146489, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 162, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146490, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 2, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146491, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 464, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146492, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 253, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146493, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 174, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146494, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 149, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146495, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 87, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146496, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1666, 17, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146497, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1177, 11, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146498, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1011, 10, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146499, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 368, 23, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146500, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 231, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146501, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 96, 30, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146502, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 189, 23, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146503, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 141, 46, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146504, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 3, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146505, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 398, 9, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146506, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 3, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146507, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 239, 9, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146508, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 289, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146509, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2794, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146510, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 37, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146511, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 52, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146512, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 131, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146513, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 488, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146514, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 10, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146515, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146516, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146517, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 156, 53, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146518, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 2, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146519, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 96, 37, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146520, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 10, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146521, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 74, 31, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146522, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 72, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146523, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 672, 19, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146524, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1532, 17, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146525, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 207, 33, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146526, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 7, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146527, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 7125, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146528, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 53, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146529, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 280, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146530, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 2781, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146531, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 4, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146532, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 249, 11, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146533, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 109, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146534, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 167, 13, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146535, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 670, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146536, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 174, 12, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146537, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 649, 10, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146538, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 55, 14, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146539, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 58, 10, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146540, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 128, 13, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146541, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 62, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146542, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 667, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146543, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 817, 23, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146544, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 725, 12, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146545, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 454, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146546, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1059, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146547, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 972, 24, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146548, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 336, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146549, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 434, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146550, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1002, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146551, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 644, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146552, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 672, 29, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146553, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 240, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146554, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 533, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146555, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 19983, 42, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146556, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 518, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146557, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 3, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146558, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 6, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146559, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 165, 12, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146560, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 15, 13, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146561, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 9, 11, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146562, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 91, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146563, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 142, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146564, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 11, 17, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146565, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 24, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146566, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 91, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146567, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 61, 27, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146568, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146569, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 57, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146570, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 17, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146571, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 24, 17, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146572, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 554, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146573, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 5, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146574, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 271, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146575, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 689, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146576, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 170, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146577, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 100, 30, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146578, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 334, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146579, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 113, 30, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146580, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 157, 50, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146581, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 85, 35, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146582, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 798, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146583, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 90, 32, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146584, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 145, 9, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146585, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 98, 24, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146586, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 123, 16, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146587, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 86, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146588, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 92, 41, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146589, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 368, 23, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146590, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 7125, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146591, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 207, 33, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146592, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 249, 11, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146593, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 398, 9, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146594, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 5, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146595, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 7, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146596, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 2, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146597, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 10, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146598, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 2, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146599, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 128, 13, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146600, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 62, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146601, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 1002, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146602, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 174, 12, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146603, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 434, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146604, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 55, 14, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146605, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1059, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146606, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 454, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146607, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 667, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146608, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 167, 13, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146609, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 533, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146610, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 240, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146611, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 57, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146612, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146613, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 61, 27, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146614, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 91, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146615, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 24, 17, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146616, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 17, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146617, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 290, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146618, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 471, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146619, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 6, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146620, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 271, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146621, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D14', 231, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146622, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1177, 11, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146623, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1666, 17, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146624, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 53, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146625, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 170, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146626, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 488, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146627, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1011, 10, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146628, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 55, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146629, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 458, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146630, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 24, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146631, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 96, 37, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146632, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 72, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146633, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 163, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146634, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 74, 31, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146635, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 672, 29, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146636, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146637, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146638, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 725, 12, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146639, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 817, 23, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146640, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 336, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146641, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 972, 24, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146642, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 644, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146643, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1532, 17, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146644, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 11, 17, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146645, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 672, 19, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146646, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 649, 10, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146647, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 670, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146648, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 3, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146649, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 3, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146650, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 53, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146651, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 189, 23, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146652, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 6, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146653, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 15, 13, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146654, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 689, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146655, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 9, 11, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146656, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 156, 53, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146657, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 165, 12, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146658, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 3, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146659, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E19', 3, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146660, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 162, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146661, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 68, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146662, 1, '511500000000-0001', '宜宾市民中心', '转移基金和暂收款退费', '市人力资源社会保障局', '', '2E28', 49, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146663, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 52, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146664, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 149, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146665, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 10, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146666, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 205, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146667, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 87, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146668, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 334, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146669, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 27, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146670, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 37, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146671, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 518, 2, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146672, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 109, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146673, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 96, 30, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146674, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 4, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146675, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 280, 18, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146676, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2794, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146677, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 92, 41, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146678, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 554, 6, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146679, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 157, 50, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146680, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 85, 35, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146681, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 145, 9, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146682, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 100, 30, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146683, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 798, 5, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146684, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 113, 30, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146685, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 239, 9, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146686, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 123, 16, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146687, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 289, 3, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146688, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 86, 7, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146689, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 90, 32, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146690, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 98, 24, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146691, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 19983, 42, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146692, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 141, 46, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146693, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 91, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146694, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C04', 184, 1, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146695, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 142, 8, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146696, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 2781, 4, 2024, 6, 20, '2024-08-05 14:07:49', NULL, NULL), (146697, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 103, 89, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146698, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 4, 44, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146699, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 711, 49, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146700, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 114, 128, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146701, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 472, 56, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146702, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 59, 402, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146703, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 790, 116, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146704, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 237, 146, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146705, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 710, 141, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146706, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 59, 402, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146707, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 365, 96, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146708, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 472, 56, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146709, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 790, 116, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146710, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 114, 128, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146711, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 103, 89, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146712, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 710, 141, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146713, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 237, 146, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146714, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 788, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146715, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 56, 16, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146716, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 675, 30, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146717, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 12, 10, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146718, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 66, 13, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146719, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 105, 87, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146720, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 292, 17, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146721, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1178, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146722, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 3, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146723, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 289, 30, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146724, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 527, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146725, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 528, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146726, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 150, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146727, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 3557, 22, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146728, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1387, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146729, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 34, 14, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146730, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '', '', '', 3, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146731, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146732, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 973, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146733, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 126, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146734, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 128, 84, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146735, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 963, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146736, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 41, 254, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146737, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 534, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146738, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 747, 12, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146739, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 160, 25, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146740, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 237, 146, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146741, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 1916, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146742, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1635, 41, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146743, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 649, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146744, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 4, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146745, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 47, 53, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146746, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 4, 36, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146747, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 53, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146748, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 106, 89, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146749, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 17, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146750, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 2, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146751, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 4, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146752, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 36, 64, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146753, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 460, 49, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146754, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 4, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146755, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 61, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146756, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 8, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 2622, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 575, 17, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 229, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 1216, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1890, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 116, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 43, 13, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 17, 33, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 500, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 76, 24, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 126, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1956, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 61, 43, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2057, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 33, 32, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1113, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 954, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 23, 33, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 850, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 27, 16, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1562, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 138, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 32, 39, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2343, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 372, 19, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 303, 13, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 75, 12, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 267, 20, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 70, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 77, 20, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 84, 21, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 3, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 5, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 176, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 163, 13, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 257, 14, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 50, 31, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 67, 21, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 815, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 269, 14, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 1100, 15, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 175, 21, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 131, 21, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 128, 29, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 218, 23, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 326, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 480, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 800, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 973, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 127, 34, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 238, 26, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 23, 33, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 72, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 251, 20, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 33, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 39, 24, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 99, 26, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 34, 14, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 788, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 26, 10, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 72, 17, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 34, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 57, 9, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 19, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 649, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 23, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 16, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 2, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 10, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 78, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 966, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 4, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 46, 19, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 10, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 32, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 15, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 6, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 3, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 2, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 50, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 749, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 69, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 23, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 292, 17, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 528, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A21', 3557, 22, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D14', 459, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 302, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 442, 9, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 963, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 390, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 439, 10, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 53, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 161, 24, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 147, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146856, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 106, 89, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146857, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 41, 254, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146858, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 36, 64, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146859, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 12, 10, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146860, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 126, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146861, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 3, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146862, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1387, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146863, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 2, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146864, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 160, 25, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146865, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 460, 49, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146866, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 17, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146867, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 1178, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146868, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 105, 87, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146869, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 534, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146870, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 53, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146871, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 1916, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146872, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 4, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146873, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 292, 17, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146874, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 66, 13, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146875, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 34, 14, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146876, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 4, 36, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146877, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 788, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146878, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 8, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (146879, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 237, 146, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146880, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 973, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146881, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 128, 84, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146882, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 61, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146883, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 3557, 22, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146884, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 528, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146885, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 527, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146886, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 4, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146887, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 289, 30, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146888, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '宜宾市政务服务和非公经济发展局', '', '', 3, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146889, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 963, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146890, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 699, 29, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146891, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1635, 41, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146892, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 56, 16, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146893, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 150, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146894, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 47, 53, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146895, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 4, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146896, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 815, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146897, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 649, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146898, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 2622, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146899, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146900, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 4, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146901, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 116, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146902, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 528, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146903, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 50, 31, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146904, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 292, 17, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146905, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 23, 33, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146906, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 184, 20, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146907, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 126, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146908, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 163, 13, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146909, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 3, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146910, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 5, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146911, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 81, 19, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146912, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 84, 21, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146913, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 480, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146914, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 800, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146915, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 326, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146916, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 23, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146917, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 69, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146918, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 17, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146919, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 67, 21, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146920, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 2057, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146921, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 1956, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146922, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 500, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146923, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 2343, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146924, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 788, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146925, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E19', 4, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146926, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 1562, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146927, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 954, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146928, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 749, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146929, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 26, 10, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146930, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 128, 29, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146931, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 127, 34, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146932, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 131, 21, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146933, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 963, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146934, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 1890, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146935, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 302, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146936, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 27, 16, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146937, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D14', 459, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146938, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 390, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146939, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 150, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146940, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 442, 9, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146941, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 1916, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146942, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 439, 10, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146943, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 17, 33, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146944, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 43, 13, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146945, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 161, 24, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146946, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 147, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146947, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 32, 39, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146948, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 2, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146949, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 19, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146950, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 23, 33, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146951, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 57, 9, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146952, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 33, 32, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146953, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 34, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146954, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 61, 43, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146955, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 72, 17, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146956, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 76, 24, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146957, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 649, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146958, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 53, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146959, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 2, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146960, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146961, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 257, 14, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146962, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 176, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146963, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 303, 13, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146964, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 372, 19, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146965, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 267, 20, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146966, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 75, 12, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146967, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 39, 24, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146968, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 99, 26, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146969, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 70, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146970, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 251, 20, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146971, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 815, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146972, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 32, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146973, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 72, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146974, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146975, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 33, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146976, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146977, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 814, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146978, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 46, 19, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146979, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 218, 23, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146980, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 238, 26, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146981, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E19', 3, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146982, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 15, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146983, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 2, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146984, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 23, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146985, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 10, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146986, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '', '', '1D22', 3, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146987, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 3623, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146988, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 10, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146989, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 269, 14, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146990, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 15, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146991, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 524, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146992, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 1100, 15, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146993, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 6, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146994, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C11', 850, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146995, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 138, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146996, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 973, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146997, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A21', 3557, 22, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146998, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 50, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (146999, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 3, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147000, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 1908, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147001, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1113, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147002, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E20', 4, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147003, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 34, 14, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147004, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 370, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147005, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 90, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147006, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 229, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147007, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 6, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147008, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 10, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147009, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 15, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147010, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 3, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147011, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 50, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147012, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 23, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147013, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 69, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147014, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 439, 10, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147015, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 390, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147016, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 442, 9, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147017, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 302, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147018, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 46, 19, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147019, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 67, 21, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147020, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D14', 459, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147021, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 147, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147022, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 161, 24, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147023, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 50, 31, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147024, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 649, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147025, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 251, 20, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147026, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1113, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147027, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 850, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147028, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 138, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147029, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 966, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147030, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 78, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147031, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 126, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147032, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 2, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147033, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147034, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 23, 33, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147035, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 127, 34, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147036, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147037, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 32, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147038, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 128, 29, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147039, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 131, 21, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147040, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 528, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147041, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 292, 17, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147042, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 749, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147043, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 39, 24, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147044, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 99, 26, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147045, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 788, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147046, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 34, 14, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147047, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 229, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147048, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 1216, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147049, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 116, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147050, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 72, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147051, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 33, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147052, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 2622, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147053, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 26, 10, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147054, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 57, 9, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147055, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 70, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147056, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 267, 20, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147057, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 19, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147058, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 575, 17, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147059, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 72, 17, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147060, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 34, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147061, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 372, 19, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147062, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 257, 14, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147063, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 954, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147064, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 75, 12, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147065, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2057, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147066, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 303, 13, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147067, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1956, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147068, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 500, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147069, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 176, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147070, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 238, 26, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147071, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 218, 23, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147072, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2343, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147073, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1562, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147074, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A21', 3557, 22, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147075, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1890, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147076, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 84, 21, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147077, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 3, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147078, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 77, 20, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147079, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 5, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147080, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 163, 13, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147081, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 4, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147082, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147083, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 175, 21, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147084, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 16, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147085, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147086, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 23, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147087, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147088, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 10, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147089, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 53, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147090, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 963, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147091, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 1100, 15, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147092, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 973, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147093, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 27, 16, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147094, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 269, 14, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147095, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 815, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147096, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 23, 33, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147097, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 326, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147098, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 33, 32, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147099, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 61, 43, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147100, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 800, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147101, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 76, 24, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147102, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 480, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147103, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 17, 33, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147104, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 43, 13, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147105, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 32, 39, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147106, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 788, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147107, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 46, 19, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147108, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 116, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147109, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 39, 24, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147110, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 2622, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147111, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 251, 20, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147112, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 963, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147113, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 99, 26, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147114, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147115, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 32, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147116, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 72, 17, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147117, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 34, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147118, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 500, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147119, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 57, 9, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147120, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 1956, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147121, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 19, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147122, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 2057, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147123, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 954, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147124, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 26, 10, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147125, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 1562, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147126, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 2343, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147127, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 23, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147128, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147129, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 15, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147130, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 10, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147131, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 2, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147132, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 50, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147133, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 3, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147134, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 814, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147135, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 1100, 15, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147136, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D14', 459, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147137, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 390, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147138, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 439, 10, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147139, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 229, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147140, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 269, 14, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147141, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 302, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147142, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 126, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147143, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 442, 9, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147144, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 370, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147145, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 2, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147146, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 127, 34, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147147, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 131, 21, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147148, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 90, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147149, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 128, 29, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147150, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 218, 23, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147151, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 238, 26, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147152, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 973, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147153, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 2, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147154, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147155, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E19', 4, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147156, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 257, 14, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147157, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 372, 19, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147158, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 303, 13, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147159, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 75, 12, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147160, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 176, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147161, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 749, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147162, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 184, 20, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147163, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 292, 17, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147164, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 267, 20, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147165, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 70, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147166, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 649, 7, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147167, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 6, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147168, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 161, 24, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147169, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 3, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147170, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 5, 8, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147171, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 163, 13, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147172, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 23, 33, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147173, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 81, 19, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147174, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 84, 21, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147175, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E19', 3, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147176, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 147, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147177, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 15, 6, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147178, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 10, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147179, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 528, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147180, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 17, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147181, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 23, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147182, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 815, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147183, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 69, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147184, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C11', 850, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147185, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 138, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147186, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E20', 4, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147187, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C08', 1908, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147188, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 1890, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147189, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 33, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147190, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 67, 21, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147191, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 72, 11, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147192, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 150, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147193, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 34, 14, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147194, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1113, 5, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147195, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 1916, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147196, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 32, 39, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147197, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 326, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147198, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 53, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147199, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147200, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 33, 32, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147201, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 61, 43, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147202, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 480, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147203, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 27, 16, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147204, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 800, 2, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147205, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 23, 33, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147206, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 43, 13, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147207, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 76, 24, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147208, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 17, 33, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147209, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A21', 3557, 22, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147210, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 50, 31, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147211, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 4, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147212, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C04', 3623, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147213, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 524, 1, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147214, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 3, 2024, 6, 21, '2024-08-05 14:07:50', NULL, NULL), (147215, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 3196, 5, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147216, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 108, 4, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147217, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 4193, 6, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147218, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1058, 18, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147219, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1797, 14, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147220, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 86, 5, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147221, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 952, 20, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147222, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 3196, 5, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147223, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 529, 4, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147224, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 47, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147225, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 3, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147226, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 5010, 5, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147227, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 105, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147228, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 3196, 5, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147229, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 55, 3, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147230, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1290, 13, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147231, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 336, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147232, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 0, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147233, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 0, 8, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 3, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 47, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 707, 3, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 83, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 336, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1664, 5, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 4990, 4, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2005, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 5090, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 3353, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 529, 4, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 105, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 3091, 3, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1160, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147248, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 336, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147249, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 105, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147250, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 3, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147251, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 529, 4, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147252, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 47, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147253, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1397, 12, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147254, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 83, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147255, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 3196, 5, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147256, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 5010, 5, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147257, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 529, 4, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147258, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 5090, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147259, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 105, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147260, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 4990, 4, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147261, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 336, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147262, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 3091, 3, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147263, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 47, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147264, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 3353, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147265, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 707, 3, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147266, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 1160, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147267, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 2005, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147268, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 83, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (147269, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 1664, 5, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147270, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 3, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147271, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 47, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147272, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 3, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147273, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 3353, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147274, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 336, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147275, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 3091, 3, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147276, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1160, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147277, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2005, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147278, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1664, 5, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147279, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 83, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147280, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 707, 3, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147281, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 5090, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147282, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 4990, 4, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147283, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 529, 4, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147284, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 105, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147285, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 3, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147286, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 707, 3, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147287, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 105, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147288, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 3353, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147289, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 1664, 5, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147290, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 3091, 3, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147291, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 2005, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147292, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 1160, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147293, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 47, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147294, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 336, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147295, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 4990, 4, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147296, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 5090, 1, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147297, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 529, 4, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147298, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 83, 2, 2024, 6, 22, '2024-08-05 14:07:51', NULL, NULL), (147299, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 20, 4, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147300, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 515, 4, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147301, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 751, 126, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147302, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 196, 79, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147303, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 81, 11, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147304, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 751, 126, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147305, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 196, 79, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147306, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 515, 4, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147307, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 20, 4, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147308, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 74, 12, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147309, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 1005, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147310, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 93, 4, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147311, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 116, 8, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147312, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 1115, 80, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147313, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 20, 4, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147314, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 1, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147315, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 1, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147316, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 85, 6, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147317, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 24, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147318, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 119, 38, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147319, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 196, 79, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 230, 18, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 163, 23, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 6, 1, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 1005, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 284, 12, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 4, 1, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 125, 21, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 24, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 20, 4, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1252, 16, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 5, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 112, 17, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 486, 1, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 954, 34, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 93, 4, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 5, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 116, 8, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1225, 30, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 160, 26, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147339, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 196, 79, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147340, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 116, 8, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147341, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 119, 38, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147342, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 1005, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147343, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 93, 4, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147344, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 85, 6, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147345, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 24, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147346, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 1, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147347, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 20, 4, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147348, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 1115, 80, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147349, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 160, 26, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147350, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 116, 8, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147351, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 954, 34, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147352, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 1225, 30, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147353, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 163, 23, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147354, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 1252, 16, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147355, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 284, 12, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147356, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 230, 18, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147357, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 5, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147358, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 1005, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147359, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 112, 17, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147360, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 4, 1, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147361, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 24, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147362, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 6, 1, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147363, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 486, 1, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147364, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 20, 4, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147365, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 93, 4, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147366, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 5, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147367, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 125, 21, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147368, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 1005, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147369, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 230, 18, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147370, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 24, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147371, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 486, 1, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147372, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 5, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147373, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 4, 1, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147374, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 160, 26, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147375, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1225, 30, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147376, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 6, 1, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147377, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 954, 34, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147378, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1252, 16, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147379, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 112, 17, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147380, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 5, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147381, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 20, 4, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147382, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 93, 4, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147383, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 125, 21, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147384, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 163, 23, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147385, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 116, 8, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147386, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 284, 12, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147387, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 6, 1, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147388, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 5, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147389, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 93, 4, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147390, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 116, 8, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147391, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 4, 1, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147392, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 160, 26, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147393, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 5, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147394, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 486, 1, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147395, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 1005, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147396, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 20, 4, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147397, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 163, 23, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147398, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 230, 18, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147399, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 284, 12, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147400, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 1225, 30, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147401, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 1252, 16, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147402, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 954, 34, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147403, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 125, 21, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147404, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 112, 17, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147405, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 24, 2, 2024, 6, 23, '2024-08-05 14:07:52', NULL, NULL), (147406, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 49, 82, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147407, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 8, 68, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147408, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 244, 61, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147409, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 93, 165, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147410, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 256, 47, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147411, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 417, 566, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147412, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 240, 112, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147413, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 690, 187, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147414, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 830, 158, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147415, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 415, 569, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147416, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 111, 139, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147417, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 256, 47, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147418, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 202, 133, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147419, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 93, 165, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147420, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 49, 82, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147421, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 830, 158, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147422, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 690, 187, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147423, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147424, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 7, 16, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147425, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 5, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147426, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 139, 23, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147427, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 6, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147428, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 48, 15, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147429, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 276, 15, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147430, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 49, 82, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147431, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 42, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147432, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 3, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147433, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 76, 28, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147434, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 241, 20, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147435, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 61, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147436, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 577, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147437, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 20, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147438, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 191, 20, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147439, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 10, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147440, 1, '511500000000-0001', '宜宾市民中心', '律师执业变更许可', '', '', '', 3, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147441, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 727, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147442, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 979, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147443, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 158, 126, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147444, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 376, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147445, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 500, 358, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147446, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 312, 9, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147447, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 356, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147448, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 259, 50, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147449, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 690, 187, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147450, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 2184, 50, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147451, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 9, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147452, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 56, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147453, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 8, 62, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147454, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 84, 73, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147455, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '', 209, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147456, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 16, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147457, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 240, 112, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147458, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 169, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147459, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 2, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147460, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 129, 37, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147461, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 440, 84, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147462, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 0, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147463, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 9, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147464, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 4, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147465, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 87, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147466, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 21, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 43, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 86, 9, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 398, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 3920, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 345, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 468, 35, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 437, 37, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 748, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 509, 43, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 979, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1560, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 384, 62, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 125, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1294, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 506, 47, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 78, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 855, 4, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 557, 44, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2297, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 637, 19, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 950, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 44, 13, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 576, 32, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 4659, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 700, 17, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 539, 13, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 764, 34, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 1366, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 893, 18, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 24, 12, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 34, 22, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 13, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 9, 10, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 586, 28, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 154, 16, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 736, 33, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 396, 40, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 567, 39, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 356, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 135, 16, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 148, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 20, 16, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 136, 34, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 660, 23, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 234, 42, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 180, 4, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 163, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 288, 11, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 727, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 56, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 272, 15, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 115, 48, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 479, 44, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 4, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 366, 22, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 10, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 188, 27, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 248, 28, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 191, 20, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 103, 10, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 70, 15, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 56, 13, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 101, 13, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 106, 10, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 3, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 16, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 27, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 10, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 8, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 46, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 10, 20, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 111, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 2, 9, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 2, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 169, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 18, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 197, 35, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 4, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 8, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 35, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 6, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 88, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 15, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 5, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 3, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 38, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 87, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 21, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 276, 15, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 61, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 174, 9, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 66, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 376, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 183, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 137, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 16, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 261, 43, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 247, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147569, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 240, 112, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147570, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 500, 358, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147571, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 440, 84, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147572, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 979, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147573, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 48, 15, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147574, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 3, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147575, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 577, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147576, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 2, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147577, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 259, 50, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147578, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 129, 37, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147579, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 169, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147580, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '宜宾市市场监管局', '', '', 209, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147581, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 42, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147582, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 49, 82, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147583, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 56, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147584, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 16, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147585, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 312, 9, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147586, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 276, 15, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147587, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 6, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147588, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 191, 20, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147589, 1, '511500000000-0001', '宜宾市民中心', '律师执业变更许可', '宜宾市政务服务和非公经济发展局', '', '', 3, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147590, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 8, 62, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147591, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 4, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147592, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 690, 187, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147593, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 727, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147594, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 161, 124, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147595, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 87, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147596, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 5, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147597, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 241, 20, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147598, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 61, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147599, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 9, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147600, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 76, 28, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147601, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 376, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147602, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 139, 23, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147603, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 2184, 50, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147604, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 7, 16, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147605, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 84, 73, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147606, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 21, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147607, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 356, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147608, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 9, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147609, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 43, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147610, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147611, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 18, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147612, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 61, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147613, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 345, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147614, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 396, 40, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147615, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 276, 15, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147616, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 479, 44, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147617, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 20, 16, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147618, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 979, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147619, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 154, 16, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147620, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 13, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147621, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 9, 10, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147622, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 24, 12, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147623, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 34, 22, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147624, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 189, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147625, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 288, 11, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147626, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 170, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147627, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 87, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147628, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '1D09', 209, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147629, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 169, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147630, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 567, 39, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147631, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1294, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147632, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 1560, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147633, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 111, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147634, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 748, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147635, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 46, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147636, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 4659, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147637, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 950, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147638, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 2297, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147639, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 855, 4, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147640, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 38, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147641, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 103, 10, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147642, 1, '511500000000-0001', '宜宾市民中心', '律师执业变更许可', '', '', '1D22', 3, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147643, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 234, 42, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147644, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 115, 48, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147645, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 136, 34, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147646, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 376, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147647, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 174, 9, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147648, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 3920, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147649, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 637, 19, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147650, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 183, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147651, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 66, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147652, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 137, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147653, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 437, 37, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147654, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 468, 35, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147655, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 261, 43, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147656, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 247, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147657, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 576, 32, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147658, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 106, 10, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147659, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 557, 44, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147660, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 101, 13, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147661, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 506, 47, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147662, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E20', 2, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147663, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 56, 13, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147664, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 384, 62, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147665, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 70, 15, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147666, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 509, 43, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147667, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 3, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147668, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 10, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147669, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 16, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147670, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147671, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 16, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147672, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 736, 33, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147673, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 586, 28, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147674, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 539, 13, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147675, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 700, 17, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147676, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 1366, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147677, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 764, 34, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147678, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 188, 27, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147679, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 248, 28, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147680, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 893, 18, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147681, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 3, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147682, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 366, 22, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147683, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 356, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147684, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D08', 5, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147685, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 4, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147686, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 8, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147687, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147688, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 10, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (147689, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 197, 35, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147690, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 660, 23, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147691, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 272, 15, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147692, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 11, 19, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147693, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147694, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 27, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147695, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 8, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147696, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 2, 9, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147697, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C10', 5, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147698, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 135, 16, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147699, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 4, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147700, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 35, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147701, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 56, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147702, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 1077, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147703, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 148, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147704, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 6, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147705, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 88, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147706, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 47, 12, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147707, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 727, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147708, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 125, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147709, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 3, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147710, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 6, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147711, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 15, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147712, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 80, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147713, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E28', 21, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147714, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 78, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147715, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 191, 20, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147716, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 86, 9, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147717, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 2, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147718, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 37, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147719, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 6, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147720, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 88, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147721, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 4, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147722, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 35, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147723, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 3, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147724, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 15, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147725, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 5, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147726, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 21, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147727, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 87, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147728, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 137, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147729, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 183, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147730, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 66, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147731, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 174, 9, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147732, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 197, 35, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147733, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 567, 39, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147734, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 247, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147735, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 261, 43, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147736, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 396, 40, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147737, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 10, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147738, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 3, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147739, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 366, 22, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147740, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 46, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147741, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 111, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147742, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 78, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147743, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 44, 13, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147744, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 169, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147745, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 2, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147746, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 979, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147747, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 125, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147748, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147749, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 479, 44, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147750, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147751, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 115, 48, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147752, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 8, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147753, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 234, 42, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147754, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 136, 34, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147755, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 61, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147756, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 276, 15, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147757, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 38, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147758, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 188, 27, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147759, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 248, 28, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147760, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 191, 20, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147761, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 398, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147762, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 4, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147763, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 345, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147764, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 43, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147765, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 10, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147766, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 103, 10, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147767, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 893, 18, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147768, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 101, 13, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147769, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 1366, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147770, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 86, 9, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147771, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 106, 10, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147772, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 70, 15, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147773, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 56, 13, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147774, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2297, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147775, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 700, 17, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147776, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 855, 4, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147777, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 736, 33, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147778, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 764, 34, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147779, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1294, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147780, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 539, 13, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147781, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 1560, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147782, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 748, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147783, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 586, 28, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147784, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 272, 15, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147785, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 660, 23, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147786, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 4659, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147787, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 950, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147788, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 3920, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147789, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 34, 22, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147790, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 13, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147791, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 24, 12, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147792, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 9, 10, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147793, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 154, 16, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147794, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 18, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147795, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 20, 16, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147796, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147797, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 8, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147798, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 10, 20, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147799, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 16, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147800, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 27, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147801, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147802, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 9, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147803, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 16, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147804, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 376, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147805, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 148, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147806, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 56, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147807, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 727, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147808, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 135, 16, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147809, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 637, 19, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147810, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 356, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147811, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 557, 44, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147812, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 180, 4, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147813, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 506, 47, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147814, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 384, 62, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147815, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 288, 11, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147816, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 509, 43, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147817, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 163, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147818, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 437, 37, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147819, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 468, 35, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147820, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 576, 32, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147821, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 197, 35, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147822, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 345, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147823, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 188, 27, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147824, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 43, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147825, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 366, 22, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147826, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 376, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147827, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 248, 28, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147828, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147829, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 8, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147830, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 3, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147831, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 70, 15, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147832, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 56, 13, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147833, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 748, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147834, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 101, 13, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147835, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 1560, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147836, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 106, 10, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147837, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1294, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147838, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 855, 4, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147839, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 2297, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147840, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 103, 10, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147841, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 950, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147842, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 4659, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147843, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 27, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147844, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 16, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147845, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 11, 19, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147846, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 8, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147847, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 9, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147848, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147849, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 6, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147850, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 15, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147851, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 148, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147852, 1, '511500000000-0001', '宜宾市民中心', '律师执业变更许可', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147853, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 183, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147854, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 137, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147855, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 174, 9, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147856, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 135, 16, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147857, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 37, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147858, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 979, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147859, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 66, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147860, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 86, 9, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147861, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E20', 2, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147862, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 115, 48, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147863, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 136, 34, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147864, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 2, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147865, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 234, 42, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147866, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 660, 23, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147867, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 272, 15, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147868, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 727, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147869, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147870, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 736, 33, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147871, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 700, 17, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147872, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 539, 13, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147873, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 764, 34, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147874, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 586, 28, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147875, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 38, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147876, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 20, 16, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147877, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 276, 15, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147878, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 1366, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147879, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 893, 18, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147880, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 10, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147881, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 3, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147882, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 88, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147883, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 6, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147884, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 261, 43, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147885, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 13, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147886, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 9, 10, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147887, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 56, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147888, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 154, 16, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147889, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 479, 44, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147890, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 24, 12, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147891, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 34, 22, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147892, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 247, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147893, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 35, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147894, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 4, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147895, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 61, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147896, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C10', 5, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147897, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 169, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147898, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 125, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147899, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 87, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147900, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 356, 8, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147901, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 3, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147902, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 47, 12, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147903, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C08', 80, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147904, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 3920, 7, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147905, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 10, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147906, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 567, 39, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147907, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 4, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147908, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 191, 20, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147909, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 78, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147910, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 576, 32, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147911, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 170, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147912, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 16, 5, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147913, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 506, 47, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147914, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 384, 62, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147915, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 189, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147916, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 637, 19, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147917, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 288, 11, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147918, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 557, 44, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147919, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 46, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147920, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E28', 21, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147921, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 468, 35, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147922, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 111, 6, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147923, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 509, 43, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147924, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 437, 37, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147925, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '宜宾市市场监管局', '', '1D09', 209, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147926, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 396, 40, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147927, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 18, 2, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147928, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D08', 5, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147929, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 1077, 1, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147930, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 3, 2024, 6, 24, '2024-08-05 14:07:53', NULL, NULL), (147931, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 59, 89, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147932, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 4, 33, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147933, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 344, 41, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147934, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 227, 164, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147935, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 333, 65, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147936, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 192, 493, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147937, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 22, 61, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147938, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 317, 167, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147939, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 544, 161, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147940, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 192, 494, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147941, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 134, 106, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147942, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 333, 65, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147943, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 21, 64, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147944, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 227, 164, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147945, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 59, 89, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147946, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 541, 162, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147947, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 316, 167, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147948, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 632, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147949, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 72, 27, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147950, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 64, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147951, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 297, 24, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147952, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 23, 17, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147953, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 72, 14, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147954, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 245, 21, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147955, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 59, 88, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147956, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147957, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 575, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147958, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 295, 36, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147959, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 6, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147960, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 317, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147961, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147962, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 588, 9, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147963, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 315, 24, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147964, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 29, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147965, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 40, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147966, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 146, 79, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147967, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 913, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147968, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 210, 351, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147969, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 543, 10, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147970, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 170, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147971, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 217, 33, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147972, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 315, 168, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147973, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 246, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147974, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1184, 28, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147975, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 33, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147976, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 214, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147977, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 4, 28, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147978, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 96, 56, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147979, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 749, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147980, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 11449, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147981, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 22, 61, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147982, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 128, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147983, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 0, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147984, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 21, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147985, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 5, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147986, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 647, 65, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147987, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 148, 63, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147988, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 5, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147989, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 130, 8, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147990, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 9, 11, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 312, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 293, 19, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 632, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 581, 9, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 2550, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 170, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 257, 34, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 217, 36, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (147999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1321, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 182, 41, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 40, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 795, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 214, 60, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1226, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 236, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 152, 40, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 646, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 29, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 214, 42, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 501, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 242, 28, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 182, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 252, 10, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 237, 36, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 2735, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 5, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 264, 12, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 359, 26, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 333, 23, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 453, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 90, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 28, 24, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 222, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 65, 13, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 263, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 34, 18, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 205, 32, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 193, 34, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 604, 9, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 271, 17, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 360, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 92, 18, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 118, 22, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 143, 31, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 294, 36, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 64, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 214, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 339, 21, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 172, 26, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 90, 31, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 26, 10, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 84, 8, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 28, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 55, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 19, 14, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 315, 24, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 126, 8, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 125, 10, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 54, 9, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 110, 12, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 164, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 6, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 22, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 19, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E12', 37, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 3, 9, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 71, 10, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 26, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 2, 8, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 114, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 206, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 5, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 17, 21, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 4, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 16, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 51, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 19, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 7, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 51, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 7, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 95, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 9, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 589, 13, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 108, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 166, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 245, 21, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 6, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 575, 11, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 736, 12, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 913, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 727, 13, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 11449, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 610, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 749, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 169, 29, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 569, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148091, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 22, 61, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148092, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 148, 63, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148093, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 210, 351, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148094, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 40, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148095, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 23, 17, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148096, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 588, 9, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148097, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 5, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148098, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 217, 33, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148099, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 647, 65, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148100, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 128, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (148101, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 575, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148102, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 59, 88, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148103, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 214, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148104, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 170, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148105, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 749, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148106, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 246, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148107, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 245, 21, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148108, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 72, 14, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148109, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 315, 24, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148110, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 4, 28, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148111, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 9, 11, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148112, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 317, 167, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148113, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 146, 79, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148114, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 130, 8, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148115, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 64, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148116, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 11449, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148117, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 6, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148118, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 632, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148119, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 5, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148120, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 295, 36, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148121, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 913, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148122, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 297, 24, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148123, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1184, 28, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148124, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 72, 27, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148125, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 317, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148126, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 96, 56, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148127, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 21, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148128, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 604, 9, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148129, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 33, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148130, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 6, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148131, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 6, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148132, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 5, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148133, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 170, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148134, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 205, 32, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148135, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 245, 21, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148136, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 90, 31, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148137, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 92, 18, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148138, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 40, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148139, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 34, 18, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148140, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 65, 13, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148141, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 90, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148142, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 29, 23, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148143, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 166, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148144, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 108, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148145, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 569, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148146, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 632, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148147, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 128, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148148, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 193, 34, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148149, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1226, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148150, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 795, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148151, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 26, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148152, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 1321, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148153, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 71, 10, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148154, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 2735, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148155, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 182, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148156, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 501, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148157, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 29, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148158, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 589, 13, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148159, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 126, 8, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148160, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 143, 31, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148161, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 172, 26, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148162, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 118, 22, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148163, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 913, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148164, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 575, 11, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148165, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 2550, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148166, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 242, 28, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148167, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 727, 13, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148168, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 317, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148169, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 736, 12, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148170, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 246, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148171, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 610, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148172, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 217, 36, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148173, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 257, 34, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148174, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 169, 29, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148175, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 237, 36, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148176, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 5, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148177, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 164, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148178, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 214, 42, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148179, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 110, 12, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148180, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 152, 40, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148181, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 54, 9, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148182, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 214, 60, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148183, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 125, 10, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148184, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 182, 41, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148185, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 22, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148186, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 749, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148187, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 11449, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148188, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148189, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 7, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148190, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 263, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148191, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 222, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148192, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 264, 12, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148193, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 5, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148194, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 333, 23, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148195, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 359, 26, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148196, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 28, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148197, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 453, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148198, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 19, 14, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148199, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E12', 37, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148200, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 26, 10, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148201, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 604, 9, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148202, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D08', 64, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148203, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 16, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148204, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 84, 8, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148205, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 7, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148206, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148207, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 55, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148208, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 127, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148209, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 17, 21, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148210, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 294, 36, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148211, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 339, 21, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148212, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 3, 9, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148213, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148214, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 19, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148215, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 2, 8, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148216, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 271, 17, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148217, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 4, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148218, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 51, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148219, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 214, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148220, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 360, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148221, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 471, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148222, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 19, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148223, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 3, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148224, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 252, 10, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148225, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 236, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148226, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 9, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148227, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 95, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148228, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 54, 15, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148229, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 724, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148230, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 646, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148231, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E18', 21, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148232, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 315, 24, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148233, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 300, 15, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148234, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 114, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148235, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 548, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148236, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 312, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148237, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 19, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148238, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 3, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148239, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 4, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148240, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 51, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148241, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 9, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148242, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 51, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148243, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 95, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148244, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 166, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148245, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 108, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148246, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 610, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148247, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 727, 13, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148248, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 736, 12, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148249, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 575, 11, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148250, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 17, 21, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148251, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 193, 34, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148252, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 569, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148253, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 169, 29, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148254, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 205, 32, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148255, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E12', 37, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148256, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 22, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148257, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 26, 10, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148258, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 71, 10, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148259, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 26, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148260, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 646, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148261, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 252, 10, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148262, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 206, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148263, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 40, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148264, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 114, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148265, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 236, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148266, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 7, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148267, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 7, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148268, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 90, 31, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148269, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148270, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 172, 26, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148271, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 143, 31, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148272, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 16, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148273, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 118, 22, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148274, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 6, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148275, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 245, 21, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148276, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 589, 13, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148277, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 28, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148278, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 19, 14, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148279, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 315, 24, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148280, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 581, 9, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148281, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 170, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148282, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 84, 8, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148283, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 312, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148284, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 55, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148285, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 632, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148286, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 126, 8, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148287, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 110, 12, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148288, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 453, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148289, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 333, 23, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148290, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 164, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148291, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 293, 19, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148292, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 125, 10, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148293, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 54, 9, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148294, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 5, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148295, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 501, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148296, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 263, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148297, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 29, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148298, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1226, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148299, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 359, 26, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148300, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 264, 12, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148301, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 795, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148302, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1321, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148303, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 222, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148304, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 339, 21, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148305, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 294, 36, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148306, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 2735, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148307, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 182, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148308, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 2550, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148309, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 28, 24, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148310, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 90, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148311, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 65, 13, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148312, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 34, 18, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148313, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 5, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148314, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 6, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148315, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 92, 18, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148316, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 9, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148317, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148318, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 19, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148319, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148320, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 8, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148321, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 11449, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148322, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 749, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148323, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 913, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148324, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 360, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148325, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 214, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148326, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 271, 17, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148327, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 242, 28, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148328, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 604, 9, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148329, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 214, 42, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148330, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 152, 40, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148331, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 214, 60, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148332, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 182, 41, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148333, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 64, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148334, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 217, 36, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148335, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 257, 34, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148336, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 237, 36, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148337, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 17, 21, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148338, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 28, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148339, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 170, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148340, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 26, 10, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148341, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 913, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148342, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 19, 14, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148343, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148344, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 9, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148345, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 16, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148346, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 125, 10, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148347, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 54, 9, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148348, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 110, 12, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148349, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 1321, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148350, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 795, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148351, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 164, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148352, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1226, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148353, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 29, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148354, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 501, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148355, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 126, 8, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148356, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 182, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148357, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 2735, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148358, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 19, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148359, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148360, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 9, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148361, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 8, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148362, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148363, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 95, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148364, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 54, 15, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148365, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 127, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148366, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 360, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148367, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 727, 13, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148368, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 610, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148369, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 271, 17, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148370, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 575, 11, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148371, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 40, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148372, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 548, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148373, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 736, 12, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148374, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C06', 312, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148375, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 300, 15, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148376, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 5, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148377, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 172, 26, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148378, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 118, 22, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148379, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 143, 31, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148380, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 114, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148381, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 294, 36, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148382, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 339, 21, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148383, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 7, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148384, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 7, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148385, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 263, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148386, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 5, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148387, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 264, 12, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148388, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 359, 26, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148389, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 222, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148390, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 589, 13, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148391, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 92, 18, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148392, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 245, 21, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148393, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 333, 23, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148394, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E12', 37, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148395, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 453, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148396, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 22, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148397, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 3, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148398, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 19, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148399, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 169, 29, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148400, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 65, 13, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148401, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 214, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148402, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 34, 18, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148403, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 90, 31, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148404, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 90, 16, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148405, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 29, 23, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148406, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 569, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148407, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 51, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148408, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 4, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148409, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E18', 21, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148410, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 6, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148411, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 128, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148412, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 632, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148413, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 166, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148414, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 236, 7, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148415, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 108, 5, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148416, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 604, 9, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148417, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 252, 10, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148418, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C08', 724, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148419, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 11449, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148420, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 2550, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148421, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 55, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148422, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 193, 34, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148423, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 84, 8, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148424, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 317, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148425, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 315, 24, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148426, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 646, 6, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148427, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 246, 2, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148428, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 237, 36, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148429, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 749, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148430, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 152, 40, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148431, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 214, 60, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148432, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 242, 28, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148433, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 214, 42, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148434, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 71, 10, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148435, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 257, 34, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148436, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 26, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148437, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 182, 41, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148438, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 217, 36, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148439, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 205, 32, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148440, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 5, 4, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148441, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D08', 64, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148442, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 6, 1, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148443, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 471, 3, 2024, 6, 25, '2024-08-05 14:07:54', NULL, NULL), (148444, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 41, 61, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148445, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 163, 40, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148446, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 103, 47, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148447, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 147, 128, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148448, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 55, 46, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148449, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 137, 393, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148450, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 48, 73, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148451, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 320, 127, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148452, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1169, 175, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148453, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 137, 394, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148454, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 129, 88, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148455, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 55, 46, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148456, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 43, 82, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148457, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 145, 129, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148458, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 41, 61, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148459, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1169, 175, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148460, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 320, 127, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148461, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148462, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 537, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148463, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 56, 25, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148464, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 20, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148465, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 61, 20, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148466, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 198, 13, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148467, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 63, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148468, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 214, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148469, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 41, 61, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148470, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 232, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148471, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 25, 26, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148472, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 119, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148473, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 4, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148474, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 20, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148475, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148476, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 63, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148477, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 1085, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148478, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 35, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148479, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 40, 7, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148480, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 63, 70, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148481, 1, '511500000000-0001', '宜宾市民中心', '律师执业注销许可', '', '', '', 10, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148482, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 714, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148483, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 291, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148484, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 146, 258, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148485, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 197, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148486, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 53, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148487, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 72, 30, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148488, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 321, 126, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148489, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 415, 37, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148490, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 143, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (148491, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 456, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148492, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 63, 34, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148493, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 56, 37, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148494, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 43, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148495, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 48, 73, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148496, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 264, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148497, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 2120, 87, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148498, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 181, 66, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148499, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 4, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148500, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 7, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148501, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 177, 7, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 41, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 537, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 11, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 153, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 790, 7, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 53, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 165, 19, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 164, 34, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 375, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 133, 31, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 70, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 40, 7, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 156, 39, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 20, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 171, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 138, 30, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 6, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 500, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 126, 28, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 293, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 244, 19, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 282, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 9, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 62, 25, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 970, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 456, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 393, 17, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 286, 10, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 215, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 31, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 51, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 421, 17, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 7, 10, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 76, 13, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 227, 13, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 192, 32, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 149, 33, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 197, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 63, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 57, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 28, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 17, 18, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 392, 24, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 74, 22, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 38, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 99, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 201, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 35, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 129, 22, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 82, 30, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 175, 33, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 115, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 29, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 385, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 58, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 56, 13, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 63, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 29, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 116, 8, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 60, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 70, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 18, 8, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 8, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 456, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 323, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 14, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 10, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 24, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 6, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 117, 8, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 1447, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 173, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 4, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 50, 30, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 74, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 22, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 247, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 62, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 49, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 2, 7, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1654, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 301, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 214, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 84, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 4, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1910, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1448, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1793, 17, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 714, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 2764, 33, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 43, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 77, 28, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 12, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148600, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 48, 73, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148601, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 183, 65, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148602, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 146, 258, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148603, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 63, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148604, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 40, 7, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148605, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 20, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148606, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 72, 30, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148607, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 2120, 87, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148608, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 264, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148609, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 232, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148610, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 41, 61, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148611, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 43, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148612, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 53, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148613, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 143, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148614, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 214, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148615, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 198, 13, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148616, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 63, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148617, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 63, 34, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148618, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 7, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148619, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 321, 126, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148620, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 35, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148621, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 63, 70, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148622, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 177, 7, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148623, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 20, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148624, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 4, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148625, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 119, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148626, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 537, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148627, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 4, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148628, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 25, 26, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148629, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 714, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148630, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 291, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148631, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 61, 20, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148632, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 1447, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148633, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 415, 37, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148634, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 58, 24, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148635, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 56, 37, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148636, 1, '511500000000-0001', '宜宾市民中心', '律师执业注销许可', '宜宾市政务服务和非公经济发展局', '', '', 10, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148637, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 456, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148638, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 197, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148639, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 4, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148640, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 4, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148641, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 53, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148642, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 192, 32, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148643, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 214, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148644, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 175, 33, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148645, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 28, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148646, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 40, 7, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148647, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 76, 13, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148648, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 7, 10, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148649, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 31, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148650, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B11', 291, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148651, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 51, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148652, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 99, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148653, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 201, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148654, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 48, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148655, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 84, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148656, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 301, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148657, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 537, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148658, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 264, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148659, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 149, 33, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148660, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 171, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148661, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 70, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148662, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 375, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148663, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 24, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148664, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 970, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148665, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 282, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148666, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 293, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148667, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 500, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148668, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1654, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148669, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 29, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148670, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 74, 22, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148671, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 82, 30, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148672, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 17, 18, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148673, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 714, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148674, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 790, 7, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148675, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1910, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148676, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 244, 19, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148677, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1793, 17, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148678, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1448, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148679, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 2764, 33, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148680, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 143, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148681, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 164, 34, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148682, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 165, 19, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148683, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 77, 28, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148684, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 12, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148685, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 62, 25, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148686, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 18, 8, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148687, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 126, 28, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148688, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 70, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148689, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 138, 30, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148690, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 60, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148691, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 156, 39, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148692, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 116, 8, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148693, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 133, 31, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148694, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 456, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148695, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 43, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148696, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 8, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148697, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148698, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 227, 13, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148699, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 421, 17, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148700, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 456, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148701, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 286, 10, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148702, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 393, 17, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148703, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 58, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148704, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 215, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148705, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 56, 13, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148706, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 29, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148707, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D09', 20, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148708, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 197, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148709, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 115, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148710, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148711, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148712, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 385, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148713, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148714, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 50, 30, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148715, 1, '511500000000-0001', '宜宾市民中心', '律师执业注销许可', '', '', '1D23', 14, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148716, 1, '511500000000-0001', '宜宾市民中心', '律师执业注销许可', '', '', '1D25', 7, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148717, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 396, 23, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148718, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 129, 22, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148719, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 10, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148720, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148721, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 323, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148722, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 6, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148723, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 1447, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148724, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 63, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148725, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 74, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148726, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 22, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148727, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 34, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148728, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 57, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148729, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 247, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148730, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 62, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148731, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 9, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148732, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 35, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148733, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 20, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148734, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 2, 7, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148735, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 49, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148736, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 232, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148737, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 6, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148738, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 63, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148739, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 41, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148740, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 117, 8, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148741, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 11, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148742, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 247, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148743, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 62, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148744, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 74, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148745, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 22, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148746, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 2, 7, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148747, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 49, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148748, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 84, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148749, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 301, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148750, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 2764, 33, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148751, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1793, 17, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148752, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1448, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148753, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1910, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148754, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 50, 30, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148755, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 149, 33, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148756, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 12, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148757, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 77, 28, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148758, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 192, 32, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148759, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 456, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148760, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 29, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148761, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 24, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148762, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 6, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148763, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 9, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148764, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 173, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148765, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 117, 8, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148766, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 40, 7, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148767, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 20, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148768, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148769, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148770, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 175, 33, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148771, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148772, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 82, 30, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148773, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148774, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 74, 22, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148775, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 17, 18, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148776, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 4, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148777, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 214, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148778, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1654, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148779, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 58, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148780, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 56, 13, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148781, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 11, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148782, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 63, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148783, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 153, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148784, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 115, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148785, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 53, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148786, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 385, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148787, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 537, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148788, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 29, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148789, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 215, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148790, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 70, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148791, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 286, 10, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148792, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 41, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148793, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 18, 8, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148794, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 116, 8, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148795, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 60, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148796, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 293, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148797, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 500, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148798, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 227, 13, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148799, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 171, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148800, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 393, 17, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148801, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 456, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148802, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 70, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148803, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 375, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148804, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 421, 17, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148805, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 129, 22, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148806, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 392, 24, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148807, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 970, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148808, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 282, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148809, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 790, 7, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148810, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 51, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148811, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 31, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148812, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 7, 10, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148813, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 76, 13, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148814, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148815, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 28, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148816, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 1447, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148817, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 14, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148818, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 10, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148819, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 8, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148820, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 323, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148821, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148822, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148823, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 43, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148824, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 714, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148825, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 57, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148826, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 35, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148827, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 63, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148828, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 244, 19, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148829, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 197, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148830, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 126, 28, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148831, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 38, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148832, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 138, 30, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148833, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 156, 39, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148834, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 201, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148835, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 133, 31, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148836, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 99, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148837, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 164, 34, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148838, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 165, 19, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148839, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 62, 25, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148840, 1, '511500000000-0001', '宜宾市民中心', '律师执业注销许可', '宜宾市政务服务和非公经济发展局', '', '1D25', 7, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148841, 1, '511500000000-0001', '宜宾市民中心', '律师执业注销许可', '宜宾市政务服务和非公经济发展局', '', '1D23', 14, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148842, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 50, 30, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148843, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B11', 291, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148844, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 58, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148845, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 53, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148846, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 29, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148847, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 714, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148848, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 56, 13, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148849, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148850, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 2, 7, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148851, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148852, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 116, 8, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148853, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 60, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148854, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 70, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148855, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 375, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148856, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 70, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148857, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 18, 8, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148858, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 171, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148859, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 500, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148860, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 293, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148861, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 29, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148862, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 282, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148863, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 970, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148864, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 323, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148865, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 8, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148866, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 10, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148867, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148868, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148869, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 49, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148870, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 57, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148871, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1793, 17, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148872, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 2764, 33, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148873, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 63, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148874, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 11, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148875, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1910, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148876, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1448, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148877, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 40, 7, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148878, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 41, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148879, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 1447, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148880, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 82, 30, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148881, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 17, 18, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148882, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 74, 22, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148883, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 117, 8, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148884, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 396, 23, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148885, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 129, 22, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148886, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148887, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 35, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148888, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148889, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 227, 13, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148890, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 456, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148891, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 393, 17, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148892, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 421, 17, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148893, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1654, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148894, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 28, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148895, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 214, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148896, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 286, 10, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148897, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 215, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148898, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 456, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (148899, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 62, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148900, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 247, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148901, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 77, 28, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148902, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 7, 10, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148903, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 76, 13, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148904, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 175, 33, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148905, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 31, 11, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148906, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 51, 15, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148907, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 12, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148908, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 22, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148909, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 74, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148910, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 4, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148911, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 264, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148912, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 537, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148913, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 20, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148914, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 84, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148915, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 301, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148916, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 197, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148917, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 9, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148918, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C08', 232, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148919, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 790, 7, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148920, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 385, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148921, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 149, 33, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148922, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 115, 9, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148923, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 63, 12, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148924, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 6, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148925, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 62, 25, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148926, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 143, 3, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148927, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 43, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148928, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 48, 4, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148929, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 138, 30, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148930, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 156, 39, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148931, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 99, 6, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148932, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 244, 19, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148933, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 201, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148934, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 126, 28, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148935, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 24, 5, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148936, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 165, 19, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148937, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 133, 31, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148938, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 164, 34, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148939, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 192, 32, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148940, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 1, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148941, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 34, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148942, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D09', 20, 2, 2024, 6, 26, '2024-08-05 14:07:55', NULL, NULL), (148943, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 36, 87, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148944, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 174, 49, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148945, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 694, 55, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148946, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 139, 140, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148947, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 426, 49, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148948, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 153, 497, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148949, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 233, 109, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148950, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1085, 182, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148951, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 204, 147, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148952, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 153, 498, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148953, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 444, 105, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148954, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 426, 49, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148955, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 229, 111, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148956, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 138, 142, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148957, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1074, 184, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148958, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 35, 88, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148959, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 204, 147, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148960, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 2321, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148961, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 208, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148962, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 13, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148963, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 770, 27, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148964, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 81, 11, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148965, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 58, 20, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148966, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 344, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148967, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 35, 88, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148968, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148969, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 258, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148970, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 603, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148971, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 49, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148972, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 27, 4, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148973, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 5, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148974, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 480, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148975, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148976, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1401, 12, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148977, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 134, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148978, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 593, 14, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148979, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 5699, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148980, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 129, 11, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148981, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 243, 100, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148982, 1, '511500000000-0001', '宜宾市民中心', '律师执业注销许可', '', '', '', 3, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148983, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 403, 9, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148984, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 680, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148985, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 138, 333, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148986, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 169, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148987, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 199, 14, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148988, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 329, 45, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148989, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 198, 145, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148990, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '', '', '', 6, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148991, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 347, 29, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148992, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 19, 4, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148993, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 438, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148994, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 6, 27, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148995, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 81, 53, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148996, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 795, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148997, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148998, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 112, 103, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (148999, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 148, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149000, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 2030, 82, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149001, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 89, 66, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149002, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 6, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149003, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 8, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149004, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 335, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149005, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '', '', '', 3, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 639, 9, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 121, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 1792, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 169, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 198, 41, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 35, 21, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 127, 35, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 262, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 275, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 140, 31, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 129, 11, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 2, 4, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 350, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 202, 46, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 584, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 71, 42, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 910, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 99, 30, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 380, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 81, 4, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 334, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 95, 37, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 410, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 289, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 191, 21, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 230, 14, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 170, 11, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 55, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 8, 12, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 39, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 16, 9, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 171, 13, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 38, 13, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 82, 32, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 195, 49, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 199, 14, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 671, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 940, 10, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 40, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 183, 25, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 265, 31, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 209, 35, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 243, 37, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 6, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 48, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 9, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 5699, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 438, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 232, 22, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 222, 32, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 99, 33, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 99, 8, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 151, 26, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 33, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 122, 24, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 116, 21, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 134, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2321, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 44, 12, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 71, 10, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 139, 12, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 148, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 17, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 8, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 2, 8, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 3, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E12', 57, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 33, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 9, 12, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 95, 4, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 6, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 4, 8, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 148, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 639, 13, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 6, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 69, 32, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 18, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 51, 8, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 136, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 5, 4, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 362, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 216, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 111, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 2194, 11, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 92, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 821, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 344, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 5, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1898, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1521, 14, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1973, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 403, 9, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 2535, 21, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 795, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 342, 42, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 144, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149106, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 112, 103, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149107, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 138, 332, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149108, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 129, 11, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149109, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 58, 20, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149110, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1401, 12, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149111, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 2055, 81, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149112, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 795, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149113, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 344, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149114, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '宜宾市政务服务和非公经济发展局', '', '', 6, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149115, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 134, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149116, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 6, 27, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149117, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 8, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149118, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 5699, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149119, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 5, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149120, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 6, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149121, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 49, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149122, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 680, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149123, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 208, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149124, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 347, 29, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149125, 1, '511500000000-0001', '宜宾市民中心', '律师执业注销许可', '宜宾市政务服务和非公经济发展局', '', '', 3, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149126, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 199, 14, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149127, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 91, 65, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149128, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 603, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149129, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 329, 45, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149130, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 148, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149131, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 258, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149132, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 36, 87, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149133, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 438, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149134, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 169, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149135, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 81, 11, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149136, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 2321, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149137, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 198, 145, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149138, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 243, 100, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149139, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 335, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149140, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 13, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149141, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 27, 4, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149142, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 403, 9, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149143, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 770, 27, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149144, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 639, 13, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149145, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 480, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149146, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 81, 53, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149147, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 19, 4, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149148, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '宜宾市政务服务和非公经济发展局', '', '', 3, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149149, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 5, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149150, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 169, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149151, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 6, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149152, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 82, 32, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149153, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 344, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149154, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 99, 33, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149155, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 40, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149156, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 129, 11, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149157, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 38, 13, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149158, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 39, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149159, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 16, 9, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149160, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 55, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149161, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B11', 680, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149162, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 8, 12, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149163, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 48, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149164, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 6, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149165, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 6, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149166, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 821, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149167, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 92, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149168, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 148, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149169, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 195, 49, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149170, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 350, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149171, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 275, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149172, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 95, 4, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149173, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 262, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149174, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 33, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149175, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 410, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149176, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 2321, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149177, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 334, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149178, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 380, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149179, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 584, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149180, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 2194, 11, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149181, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 44, 12, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149182, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 243, 37, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149183, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 222, 32, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149184, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 265, 31, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149185, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '', '', '1D20', 6, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149186, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 403, 9, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149187, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1898, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149188, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 99, 30, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149189, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1973, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149190, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 480, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149191, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1521, 14, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149192, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 2535, 21, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149193, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 35, 21, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149194, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 198, 41, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149195, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 342, 42, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149196, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 144, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149197, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 95, 37, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149198, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 71, 42, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149199, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 17, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149200, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 148, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149201, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 202, 46, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149202, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 140, 31, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149203, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 139, 12, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149204, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 71, 10, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149205, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 127, 35, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149206, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 8, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149207, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 3, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149208, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 795, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149209, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149210, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 2, 8, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149211, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 171, 13, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149212, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 289, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149213, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 230, 14, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149214, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 191, 21, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149215, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 122, 24, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149216, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 170, 11, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149217, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 116, 21, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149218, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E12', 57, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149219, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 603, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149220, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 151, 26, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149221, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 199, 14, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149222, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 13, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149223, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 99, 8, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149224, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149225, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149226, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 33, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149227, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 69, 32, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149228, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '', '', '1D21', 3, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149229, 1, '511500000000-0001', '宜宾市民中心', '律师执业注销许可', '', '', '1D22', 3, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149230, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 180, 33, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149231, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 183, 25, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149232, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 232, 22, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149233, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 10, 10, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149234, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 9, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149235, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149236, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 4, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149237, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C10', 258, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149238, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 2531, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149239, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 639, 13, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149240, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 18, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149241, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 671, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149242, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 51, 8, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149243, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 438, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149244, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 940, 10, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149245, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 1792, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149246, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 136, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149247, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 5, 4, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149248, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 23, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149249, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 5699, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149250, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 2, 4, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149251, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 111, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149252, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 139, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149253, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 362, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149254, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 910, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149255, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 134, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149256, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 35, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149257, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 121, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149258, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 136, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149259, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 5, 4, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149260, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 18, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149261, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 51, 8, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149262, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 111, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149263, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 362, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149264, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 216, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149265, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 821, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149266, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 92, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149267, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 2535, 21, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149268, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1973, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149269, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1521, 14, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149270, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1898, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149271, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 69, 32, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149272, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 195, 49, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149273, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 144, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149274, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 342, 42, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149275, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 82, 32, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149276, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 3, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149277, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E12', 57, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149278, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 8, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149279, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 151, 26, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149280, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 33, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149281, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 95, 4, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149282, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 910, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149283, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 81, 4, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149284, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 148, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149285, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 129, 11, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149286, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 2, 4, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149287, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149288, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149289, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 99, 33, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149290, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149291, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 222, 32, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149292, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 243, 37, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149293, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 265, 31, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149294, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 5, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149295, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 344, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149296, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 2194, 11, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149297, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 122, 24, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149298, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 116, 21, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149299, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2321, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149300, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 121, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149301, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 134, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149302, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 1792, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149303, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 99, 8, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149304, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 169, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149305, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 33, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149306, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 44, 12, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149307, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 170, 11, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149308, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 148, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149309, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 230, 14, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149310, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 17, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149311, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 639, 9, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149312, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 71, 10, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149313, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 139, 12, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149314, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 289, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (149315, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 380, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149316, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 584, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149317, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 350, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149318, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 191, 21, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149319, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 275, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149320, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 262, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149321, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 171, 13, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149322, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 232, 22, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149323, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 209, 35, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149324, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 410, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149325, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B12', 183, 25, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149326, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 334, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149327, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 8, 12, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149328, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 39, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149329, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 55, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149330, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 16, 9, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149331, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 38, 13, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149332, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 6, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149333, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 40, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149334, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 639, 13, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149335, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 9, 12, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149336, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 8, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149337, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149338, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 6, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149339, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 8, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149340, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 795, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149341, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 403, 9, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149342, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 940, 10, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149343, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 438, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149344, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 5699, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149345, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 99, 30, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149346, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 671, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149347, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 71, 42, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149348, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 199, 14, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149349, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 6, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149350, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 202, 46, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149351, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 140, 31, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149352, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 9, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149353, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 127, 35, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149354, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 35, 21, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149355, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 48, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149356, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 198, 41, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149357, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 95, 37, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149358, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 69, 32, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149359, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 2321, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149360, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B11', 680, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149361, 1, '511500000000-0001', '宜宾市民中心', '律师执业注销许可', '宜宾市政务服务和非公经济发展局', '', '1D22', 3, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149362, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 169, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149363, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 122, 24, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149364, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 151, 26, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149365, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 403, 9, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149366, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 116, 21, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149367, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149368, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 111, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149369, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 71, 10, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149370, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 139, 12, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149371, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 262, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149372, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 148, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149373, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 275, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149374, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 17, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149375, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 350, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149376, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 584, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149377, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149378, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 380, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149379, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 44, 12, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149380, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 334, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149381, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 410, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149382, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149383, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 2, 8, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149384, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 10, 10, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149385, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 4, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149386, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149387, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 139, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149388, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 362, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149389, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 940, 10, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149390, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1973, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149391, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 2535, 21, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149392, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 121, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149393, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 671, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149394, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1898, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149395, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1521, 14, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149396, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 129, 11, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149397, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 35, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149398, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 639, 13, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149399, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 222, 32, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149400, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 265, 31, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149401, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 243, 37, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149402, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 180, 33, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149403, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 232, 22, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149404, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149405, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 5699, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149406, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149407, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B12', 183, 25, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149408, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 289, 6, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149409, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 191, 21, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149410, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 171, 13, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149411, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 2194, 11, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149412, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 40, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149413, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 344, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149414, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 230, 14, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149415, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E12', 57, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149416, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 170, 11, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149417, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 3, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149418, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 8, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149419, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 5, 4, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149420, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 136, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149421, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 342, 42, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149422, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 39, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149423, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 16, 9, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149424, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 438, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149425, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 38, 13, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149426, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 99, 33, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149427, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 55, 18, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149428, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 8, 12, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149429, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 144, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149430, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 51, 8, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149431, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 18, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149432, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 5, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149433, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C10', 258, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149434, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 148, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149435, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 821, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149436, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 2, 4, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149437, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 199, 14, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149438, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 92, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149439, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 603, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149440, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 23, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149441, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '宜宾市政务服务和非公经济发展局', '', '1D20', 6, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149442, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 33, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149443, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 195, 49, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149444, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 99, 8, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149445, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 480, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149446, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 134, 17, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149447, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 910, 7, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149448, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 95, 37, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149449, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 6, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149450, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 795, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149451, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 202, 46, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149452, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 140, 31, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149453, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 99, 30, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149454, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 48, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149455, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 6, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149456, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 71, 42, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149457, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 33, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149458, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 198, 41, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149459, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 95, 4, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149460, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 127, 35, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149461, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 35, 21, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149462, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 82, 32, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149463, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 6, 5, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149464, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C04', 2531, 2, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149465, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D07', 13, 1, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149466, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 1792, 3, 2024, 6, 27, '2024-08-05 14:07:56', NULL, NULL), (149467, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 209, 99, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149468, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 400, 49, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149469, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 2076, 43, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149470, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 217, 172, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149471, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1201, 90, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149472, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 732, 615, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149473, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1060, 149, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149474, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 715, 194, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149475, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1722, 222, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149476, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 732, 615, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149477, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 1183, 92, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149478, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1138, 95, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149479, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 999, 158, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149480, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 215, 174, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149481, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 209, 99, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149482, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1676, 228, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149483, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 715, 194, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149484, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149485, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 102, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149486, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 378, 24, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149487, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 5, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149488, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 941, 23, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149489, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 74, 15, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149490, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 13, 12, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149491, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 286, 20, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149492, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 209, 99, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149493, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149494, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 417, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149495, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 15, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149496, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 552, 40, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149497, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 519, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149498, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1178, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149499, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 377, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149500, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149501, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1888, 18, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149502, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 153, 15, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149503, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 2187, 6, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149504, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2386, 18, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149505, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 5034, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149506, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 787, 172, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149507, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 256, 10, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149508, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 137, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149509, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 842, 357, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149510, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 580, 10, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149511, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 8083, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149512, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 603, 80, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149513, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 718, 193, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149514, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 72, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149515, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 4189, 47, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149516, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 103, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149517, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 617, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149518, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 282, 62, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149519, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 154, 42, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149520, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 22, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149521, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149522, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 1053, 150, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149523, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 328, 4, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149524, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1946, 66, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149525, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 166, 86, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149526, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 12, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149527, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 136, 20, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149528, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 47, 12, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1075, 12, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 431, 19, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 102, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 426, 13, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 1905, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 5366, 14, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 57, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 759, 39, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 830, 52, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 409, 17, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 3068, 14, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 3120, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 851, 45, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 186, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 4288, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 864, 52, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1959, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 4052, 6, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 930, 53, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2488, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 925, 25, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 515, 10, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 3678, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 855, 50, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 8690, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 757, 24, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 614, 16, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 851, 28, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 472, 16, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 732, 26, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 252, 39, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 88, 10, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 288, 30, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 713, 15, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 107, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 80, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 146, 52, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 939, 24, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 8083, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 982, 22, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 41, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 26, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 958, 61, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 735, 36, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 849, 62, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 4, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 25, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 590, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 5034, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 617, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 703, 33, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 496, 49, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 197, 34, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 19, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 980, 44, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 123, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1520, 31, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 153, 15, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 128, 13, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 514, 31, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 35, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 57, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 58, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 32, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 145, 16, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 256, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 121, 4, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 31, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 37, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 231, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 44, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 30, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 573, 13, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 2187, 6, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 243, 6, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 12, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 1082, 61, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 27, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 4, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 107, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 6, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 3, 4, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 6, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 158, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 234, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 2463, 12, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 12, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 73, 4, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 286, 20, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 184, 13, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1178, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1975, 14, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1325, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 256, 10, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1937, 15, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1974, 16, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 22, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 543, 71, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 547, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 1306, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149631, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 1060, 149, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149632, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 842, 357, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149633, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 3068, 14, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149634, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 15, 11, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149635, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1888, 18, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149636, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1976, 65, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149637, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 22, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149638, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 286, 20, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149639, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 153, 15, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149640, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 154, 42, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149641, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 47, 12, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149642, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 5034, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149643, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1178, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149644, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 102, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149645, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 12, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149646, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 552, 40, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149647, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 137, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149648, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 378, 24, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149649, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 4474, 44, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149650, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 8083, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149651, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 166, 86, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149652, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 15, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149653, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 611, 79, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149654, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 328, 4, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149655, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 417, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149656, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 209, 99, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149657, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 617, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149658, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 644, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149659, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 72, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149660, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 74, 15, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149661, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 718, 193, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149662, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 787, 172, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149663, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 136, 20, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149664, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 5, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149665, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 519, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149666, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 256, 10, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149667, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 941, 23, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149668, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 2187, 6, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149669, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 377, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149670, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 282, 62, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149671, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 103, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149672, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 812, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149673, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 1178, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149674, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 57, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149675, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 12, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149676, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 146, 52, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149677, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 286, 20, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149678, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 197, 34, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149679, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 26, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149680, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 3068, 14, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149681, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 80, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149682, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 288, 30, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149683, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 107, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149684, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 252, 39, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149685, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B11', 137, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149686, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 88, 10, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149687, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 25, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149688, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 688, 6, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149689, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 4, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149690, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 184, 13, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149691, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 73, 4, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149692, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 12, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149693, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 1306, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149694, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 102, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149695, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 328, 4, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149696, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 939, 24, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149697, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 4288, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149698, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 3120, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149699, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 44, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149700, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 37, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149701, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 8690, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149702, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 3678, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149703, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 2488, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149704, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 4052, 6, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149705, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 2463, 12, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149706, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 514, 31, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149707, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 849, 62, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149708, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 496, 49, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149709, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 958, 61, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149710, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 256, 10, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149711, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 5366, 14, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149712, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1975, 14, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149713, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 925, 25, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149714, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1937, 15, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149715, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 377, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149716, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1325, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149717, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 72, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149718, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1974, 16, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (149719, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 830, 52, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149720, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 759, 39, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149721, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 543, 71, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149722, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 547, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149723, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 855, 50, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149724, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 58, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149725, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 930, 53, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149726, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 57, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149727, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 864, 52, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149728, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 35, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149729, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 851, 45, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149730, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 409, 17, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149731, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 32, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149732, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 121, 4, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149733, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 22, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149734, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 145, 16, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149735, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 6, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149736, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 713, 15, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149737, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 614, 16, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149738, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 757, 24, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149739, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 472, 16, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149740, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 851, 28, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149741, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 1520, 31, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149742, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 732, 26, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149743, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 128, 13, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149744, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 4, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149745, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 980, 44, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149746, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 8083, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149747, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 5, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149748, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 19, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149749, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 107, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149750, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 123, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149751, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149752, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 528, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149753, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 1082, 61, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149754, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 753, 35, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149755, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 703, 33, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149756, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E19', 21, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149757, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 231, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149758, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149759, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 256, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149760, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 31, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149761, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 30, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149762, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 2187, 6, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149763, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 290, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149764, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 27, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149765, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 982, 22, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149766, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 4, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149767, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 617, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149768, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C09', 1018, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149769, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 41, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149770, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 2126, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149771, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 6, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149772, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 515, 10, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149773, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 5034, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149774, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 186, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149775, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 234, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149776, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 177, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149777, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C09', 370, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149778, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 3, 4, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149779, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 134, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149780, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1959, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149781, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 153, 15, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149782, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 432, 12, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149783, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 673, 11, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149784, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 1444, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149785, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 377, 11, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149786, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 6, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149787, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 27, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149788, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 4, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149789, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 234, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149790, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 3, 4, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149791, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 158, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149792, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 73, 4, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149793, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 184, 13, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149794, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 12, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149795, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1974, 16, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149796, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1937, 15, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149797, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1325, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149798, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1975, 14, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149799, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 1082, 61, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149800, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 939, 24, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149801, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 1306, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149802, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 547, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149803, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 543, 71, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149804, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 146, 52, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149805, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 121, 4, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149806, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 32, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149807, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 980, 44, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149808, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 37, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149809, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 44, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149810, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1959, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149811, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 515, 10, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149812, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 243, 6, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149813, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 573, 13, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149814, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 3068, 14, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149815, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 186, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149816, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 6, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149817, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 197, 34, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149818, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149819, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 496, 49, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149820, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 107, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149821, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 849, 62, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149822, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 958, 61, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149823, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1178, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149824, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 286, 20, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149825, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 2463, 12, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149826, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1520, 31, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149827, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 128, 13, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149828, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 426, 13, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149829, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 153, 15, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149830, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 1905, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149831, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 57, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149832, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 19, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149833, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1075, 12, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149834, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 123, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149835, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 102, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149836, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 514, 31, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149837, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 732, 26, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149838, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 57, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149839, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 472, 16, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149840, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 431, 19, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149841, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 58, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149842, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 35, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149843, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 757, 24, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149844, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 2488, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149845, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 4052, 6, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149846, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 851, 28, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149847, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 4288, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149848, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 614, 16, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149849, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 3120, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149850, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 713, 15, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149851, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 703, 33, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149852, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 735, 36, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149853, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 8690, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149854, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 3678, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149855, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 5366, 14, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149856, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 88, 10, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149857, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 288, 30, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149858, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 252, 39, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149859, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 107, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149860, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 80, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149861, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 12, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149862, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 26, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149863, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 2187, 6, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149864, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 31, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149865, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 231, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149866, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 145, 16, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149867, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 256, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149868, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149869, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 30, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149870, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 22, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149871, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 256, 10, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149872, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 41, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149873, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 617, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149874, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 5034, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149875, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 982, 22, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149876, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 925, 25, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149877, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 8083, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149878, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 930, 53, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149879, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 4, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149880, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 864, 52, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149881, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 851, 45, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149882, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 590, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149883, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 409, 17, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149884, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 25, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149885, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 830, 52, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149886, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 759, 39, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149887, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 855, 50, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149888, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 1082, 61, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149889, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B11', 137, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149890, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 57, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149891, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 1520, 31, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149892, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 812, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149893, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 980, 44, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149894, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 256, 10, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149895, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 128, 13, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149896, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149897, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 107, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149898, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 234, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149899, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 35, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149900, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 57, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149901, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 58, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149902, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 3120, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149903, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 4288, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149904, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 4052, 6, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149905, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 2488, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149906, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 514, 31, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149907, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 3678, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149908, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 8690, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149909, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 256, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149910, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 145, 16, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149911, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 231, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149912, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 31, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149913, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 30, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149914, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149915, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 177, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149916, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 3, 4, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149917, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 528, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149918, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 41, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149919, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1937, 15, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149920, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1974, 16, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149921, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 377, 11, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149922, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 982, 22, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149923, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1975, 14, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149924, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 3068, 14, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149925, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1325, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149926, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C06', 1444, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149927, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 432, 12, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149928, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 2187, 6, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149929, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 496, 49, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149930, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 958, 61, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149931, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 673, 11, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149932, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 849, 62, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149933, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 753, 35, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149934, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 703, 33, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149935, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 6, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149936, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 5034, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149937, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 757, 24, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149938, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 614, 16, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149939, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 851, 28, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149940, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 713, 15, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149941, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 2463, 12, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149942, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 26, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149943, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 286, 20, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149944, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 472, 16, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149945, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 732, 26, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149946, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 121, 4, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149947, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 32, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149948, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 6, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149949, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 543, 71, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149950, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 288, 30, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149951, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 107, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149952, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 617, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149953, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 80, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149954, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 197, 34, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149955, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 252, 39, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149956, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 88, 10, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149957, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E19', 21, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149958, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 547, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149959, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 1306, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149960, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 4, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149961, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 27, 5, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149962, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 1178, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149963, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 328, 4, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149964, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 102, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149965, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 184, 13, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149966, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 73, 4, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149967, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 186, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149968, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 8083, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149969, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 12, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149970, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 4, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149971, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 515, 10, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149972, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C08', 134, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149973, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C09', 370, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149974, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 5366, 14, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149975, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 123, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149976, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 939, 24, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149977, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 19, 7, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149978, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 377, 3, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149979, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 153, 15, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149980, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1959, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149981, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 72, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149982, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 855, 50, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149983, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 22, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149984, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 4, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149985, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 864, 52, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149986, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 851, 45, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149987, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 25, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149988, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 925, 25, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149989, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 688, 6, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149990, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 930, 53, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149991, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 37, 9, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149992, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 759, 39, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149993, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 44, 2, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149994, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 409, 17, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149995, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 830, 52, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149996, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 146, 52, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149997, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 12, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149998, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C04', 290, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (149999, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D07', 5, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (150000, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C09', 1018, 1, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (150001, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 2126, 8, 2024, 6, 28, '2024-08-05 14:07:57', NULL, NULL), (150002, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 1368, 6, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150003, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 91, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150004, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 843, 156, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150005, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1442, 28, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150006, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 262, 46, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150007, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 838, 157, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150008, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 0, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150009, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 251, 48, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150010, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 36, 5, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150011, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1346, 30, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150012, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 1368, 6, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150013, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 2084, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150014, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 397, 12, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150015, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 91, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150016, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 1601, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150017, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 4524, 4, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150018, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 1368, 6, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150019, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150020, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 305, 9, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150021, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 0, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150022, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 216, 46, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150023, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150024, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150025, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 186, 19, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150026, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 4927, 3, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150027, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 1369, 79, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150028, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 0, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150029, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 0, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150030, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 314, 58, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 91, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 122, 14, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 291, 12, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 256, 7, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 2084, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 369, 33, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 4927, 3, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 483, 3, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 230, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1380, 43, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 397, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1084, 11, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 286, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 19, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 4524, 4, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 1238, 4, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 175, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 408, 11, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 1628, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1541, 25, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 244, 24, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 247, 12, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 186, 19, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150054, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 221, 45, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150055, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 186, 19, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150056, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 314, 58, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150057, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 397, 12, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150058, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 4927, 3, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150059, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 1368, 6, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150060, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 4524, 4, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150061, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 91, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150062, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 305, 9, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150063, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 2084, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150064, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 1601, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150065, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 1387, 78, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150066, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 408, 11, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150067, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 291, 12, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150068, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 256, 7, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150069, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 122, 14, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150070, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 186, 19, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150071, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 4524, 4, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150072, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 244, 24, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150073, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 2084, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150074, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 91, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150075, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 397, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150076, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 230, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150077, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 483, 3, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150078, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 247, 12, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150079, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 1033, 10, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150080, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 1541, 25, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150081, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 1380, 43, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150082, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 1628, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150083, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 19, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150084, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 1238, 4, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150085, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 4927, 3, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150086, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A22', 1601, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150087, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 286, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150088, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 175, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150089, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 369, 33, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150090, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 91, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150091, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 122, 14, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150092, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 1238, 4, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150093, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 1628, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150094, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 397, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150095, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 230, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150096, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 483, 3, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150097, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 4927, 3, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150098, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 186, 19, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150099, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 247, 12, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150100, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1541, 25, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150101, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 244, 24, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150102, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1084, 11, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150103, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1380, 43, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150104, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 408, 11, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150105, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 19, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150106, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 4524, 4, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150107, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 286, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150108, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 369, 33, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150109, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 291, 12, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150110, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 175, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150111, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 256, 7, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150112, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 2084, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150113, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 19, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150114, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 244, 24, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150115, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 286, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (150116, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 4927, 3, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150117, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 2084, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150118, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 247, 12, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150119, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A22', 1601, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150120, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 1238, 4, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150121, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 1628, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150122, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 91, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150123, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 186, 19, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150124, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 291, 12, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150125, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 122, 14, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150126, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 256, 7, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150127, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 1541, 25, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150128, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 1380, 43, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150129, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 1033, 10, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150130, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 369, 33, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150131, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 408, 11, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150132, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 175, 1, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150133, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 483, 3, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150134, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 230, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150135, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 397, 2, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150136, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 4524, 4, 2024, 6, 29, '2024-08-05 14:07:58', NULL, NULL), (150137, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 1069, 2, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150138, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 610, 7, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150139, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 146, 77, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150140, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 291, 48, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150141, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 301, 16, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150142, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 140, 80, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150143, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 274, 51, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150144, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 610, 7, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150145, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 713, 3, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150146, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 301, 16, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150147, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 30, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150148, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 2, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150149, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150150, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 67, 3, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150151, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 336, 14, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150152, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 143, 16, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150153, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 123, 31, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150154, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 713, 3, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150155, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 55, 2, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150156, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 1347, 3, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150157, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 155, 33, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150158, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 291, 48, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 475, 8, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 246, 15, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 248, 11, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 67, 3, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 189, 22, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 30, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 3, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 1069, 2, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 108, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 193, 13, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 76, 17, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 1347, 3, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 336, 14, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 108, 3, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 106, 6, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 27, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 268, 14, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 153, 15, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150177, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 291, 48, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150178, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 165, 31, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150179, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 153, 15, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150180, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 336, 14, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150181, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 1069, 2, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150182, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 55, 2, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150183, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 30, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150184, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 67, 3, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150185, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 1347, 3, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150186, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 123, 31, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150187, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 268, 14, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150188, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 76, 17, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150189, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 27, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150190, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 246, 15, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150191, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 248, 11, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150192, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 193, 13, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150193, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 475, 8, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150194, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 153, 15, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150195, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 106, 6, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150196, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 67, 3, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150197, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 108, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150198, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 1069, 2, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150199, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 108, 3, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150200, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 336, 14, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150201, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 3, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150202, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 30, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150203, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 1347, 3, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150204, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 189, 22, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150205, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 67, 3, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150206, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 475, 8, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150207, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 30, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150208, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 1347, 3, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150209, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 108, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150210, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 3, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150211, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 153, 15, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150212, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 106, 6, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150213, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 27, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150214, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 268, 14, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150215, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 76, 17, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150216, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 193, 13, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150217, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 1069, 2, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150218, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 189, 22, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150219, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 336, 14, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150220, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 246, 15, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150221, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 248, 11, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150222, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 108, 3, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150223, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 106, 6, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150224, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 1347, 3, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150225, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 336, 14, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150226, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 268, 14, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150227, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 3, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150228, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 108, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150229, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 153, 15, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150230, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 1069, 2, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150231, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 246, 15, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150232, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 67, 3, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150233, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 475, 8, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150234, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 248, 11, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150235, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 27, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150236, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 193, 13, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150237, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 76, 17, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150238, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 189, 22, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150239, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 108, 3, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150240, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 30, 1, 2024, 6, 30, '2024-08-05 14:07:59', NULL, NULL), (150241, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 103, 80, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150242, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 71, 52, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150243, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 256, 36, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150244, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 289, 181, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150245, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 358, 67, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150246, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 379, 569, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150247, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 756, 172, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150248, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 107, 110, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150249, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 324, 119, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150250, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 379, 569, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150251, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 142, 91, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150252, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 353, 68, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150253, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 726, 179, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150254, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 289, 181, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150255, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 100, 82, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150256, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 324, 119, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150257, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 107, 110, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150258, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 25, 10, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150259, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 60, 16, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150260, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 6, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150261, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 226, 19, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150262, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 5, 12, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150263, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 181, 35, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150264, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 405, 19, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150265, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 102, 81, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150266, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 255, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150267, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 1459, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150268, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 185, 56, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150269, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 152, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150270, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 8, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150271, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 3, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150272, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2076, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150273, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 6428, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150274, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 184, 25, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150275, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 0, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150276, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 4975, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150277, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 936, 177, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150278, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1678, 7, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150279, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 79, 300, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150280, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 497, 7, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150281, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 438, 5, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150282, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 180, 29, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150283, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 107, 110, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150284, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 622, 29, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150285, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 993, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150286, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 0, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150287, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 28, 50, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150288, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 131, 57, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150289, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '', 0, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150290, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 326, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150291, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 3475, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150292, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 560, 163, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150293, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '', '', '', 233, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150294, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 1283, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150295, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 6, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150296, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 6, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150297, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 227, 33, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150298, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 282, 92, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150299, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 1149, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150300, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 73, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150301, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 13, 7, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 397, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 181, 18, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 244, 15, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 1102, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 413, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 449, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 102, 19, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 100, 37, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 181, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 55, 39, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 4975, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 545, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 101, 23, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 61, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 74, 35, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3018, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 540, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 104, 45, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 787, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 80, 25, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 773, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 192, 16, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 61, 23, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 54, 20, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 998, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 95, 12, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 65, 12, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 216, 14, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 56, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 117, 12, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 51, 18, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 175, 13, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 136, 16, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 198, 14, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 57, 10, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 72, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 291, 48, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 55, 34, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 497, 7, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 109, 12, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 403, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 20, 15, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 134, 13, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1201, 34, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 71, 14, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 871, 58, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 30, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 98, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 234, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 78, 13, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 876, 85, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 272, 44, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 3, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 404, 47, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 10, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 811, 46, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 461, 41, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 184, 25, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 85, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 140, 18, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 290, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 94, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 87, 20, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 1149, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 1292, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 17, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 65, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 64, 14, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E12', 1325, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 22, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 837, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 16, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 154, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 28, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 85, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 1283, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 553, 29, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 199, 13, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 4, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 20, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 8, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 178, 21, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 54, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 13, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 549, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 4, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 235, 5, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 40, 5, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 405, 19, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 127, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 8, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 6428, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 226, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 270, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1678, 7, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 142, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 425, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 3475, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 326, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 180, 29, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150403, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 560, 163, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150404, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 282, 92, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150405, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 79, 300, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150406, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 4975, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150407, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 181, 35, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150408, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 1459, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150409, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2076, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150410, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 6, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150411, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 180, 29, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150412, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 227, 33, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150413, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 1283, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150414, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 255, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150415, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 104, 79, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150416, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 438, 5, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150417, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 326, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150418, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 405, 19, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150419, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 5, 12, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150420, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 184, 25, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150421, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 28, 50, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150422, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 85, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150423, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 13, 7, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150424, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 107, 110, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150425, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 936, 177, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150426, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 6428, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150427, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 73, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150428, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 6, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150429, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 3475, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150430, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 8, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150431, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 152, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150432, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 1149, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150433, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '宜宾市市场监管局', '', '', 233, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150434, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 185, 56, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150435, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1678, 7, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150436, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 226, 19, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150437, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 622, 29, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150438, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 60, 16, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150439, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 6, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150440, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 131, 57, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150441, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 6, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150442, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 993, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150443, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 497, 7, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150444, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 397, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150445, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 1149, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150446, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 8, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150447, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 449, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150448, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 291, 48, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150449, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 405, 19, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150450, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 272, 44, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150451, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 21, 14, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150452, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 4975, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150453, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 72, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150454, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 175, 13, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150455, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 198, 14, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150456, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 117, 12, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150457, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 51, 18, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150458, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 98, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150459, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 311, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150460, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 30, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150461, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 127, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150462, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 40, 5, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150463, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 1283, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150464, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 55, 34, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150465, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 545, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150466, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 181, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150467, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 154, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150468, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 837, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150469, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 85, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150470, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 998, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150471, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 773, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150472, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 787, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150473, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 540, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150474, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 235, 5, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150475, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 140, 18, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150476, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 871, 58, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150477, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 876, 85, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150478, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 1201, 34, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150479, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1678, 7, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150480, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 413, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150481, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 226, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150482, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 80, 25, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150483, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 142, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150484, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 6, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 270, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150486, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 425, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150487, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 100, 37, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150488, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 102, 19, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150489, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 180, 29, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150490, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 54, 20, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150491, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 61, 23, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150492, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 87, 20, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150493, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 104, 45, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150494, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 94, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150495, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 74, 35, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150496, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 290, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150497, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E20', 6, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150498, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 101, 23, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150499, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 55, 39, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150500, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 1292, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150501, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 65, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150502, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 326, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150503, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 3475, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150504, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 17, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150505, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 13, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150506, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 57, 10, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150507, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 136, 16, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150508, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 65, 12, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150509, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 95, 12, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150510, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 216, 14, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150511, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 811, 46, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150512, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 56, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150513, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 461, 41, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150514, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E12', 1325, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150515, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 1459, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150516, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 404, 47, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150517, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 497, 7, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150518, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 6, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150519, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150520, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 3, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150521, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 8, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150522, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 10, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150523, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 20, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150524, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 255, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150525, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 553, 29, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150526, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '', '', '1D03', 233, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150527, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 71, 14, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150528, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 134, 13, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150529, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 78, 13, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150530, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 16, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150531, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 64, 14, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150532, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 22, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150533, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 28, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150534, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 98, 11, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150535, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 199, 13, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150536, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 1605, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150537, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 403, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (150538, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 4, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150539, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 178, 21, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150540, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 192, 16, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150541, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 6428, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150542, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 61, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150543, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 3, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150544, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 94, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150545, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 54, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150546, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 3018, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150547, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E20', 6, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150548, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 184, 25, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150549, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 188, 16, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150550, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 85, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150551, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 98, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150552, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 244, 15, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150553, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 4, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150554, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 178, 21, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150555, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 199, 13, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150556, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 4, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150557, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 54, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150558, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 549, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150559, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 40, 5, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150560, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 127, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150561, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 425, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150562, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 142, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150563, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 270, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150564, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 226, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150565, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 553, 29, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150566, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 55, 34, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150567, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 180, 29, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150568, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 291, 48, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150569, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 65, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150570, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E12', 1325, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150571, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 1292, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150572, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 404, 47, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150573, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 837, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150574, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 154, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150575, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3018, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150576, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 192, 16, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150577, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 1283, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150578, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 85, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150579, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 4975, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150580, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 61, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150581, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 13, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150582, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 8, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150583, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 272, 44, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150584, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 20, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150585, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 876, 85, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150586, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150587, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 871, 58, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150588, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1201, 34, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150589, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 8, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150590, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 405, 19, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150591, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 235, 5, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150592, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 811, 46, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150593, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 461, 41, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150594, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 85, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150595, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 244, 15, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150596, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 184, 25, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150597, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 1102, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150598, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 3, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150599, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 449, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150600, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 397, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150601, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 10, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150602, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 140, 18, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150603, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 56, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150604, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 94, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150605, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 87, 20, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150606, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 181, 18, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150607, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 290, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150608, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 787, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150609, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 95, 12, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150610, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 57, 10, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150611, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 540, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150612, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 216, 14, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150613, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 545, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150614, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 65, 12, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150615, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 181, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150616, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 136, 16, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150617, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 78, 13, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150618, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 71, 14, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150619, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B12', 134, 13, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150620, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 998, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150621, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 773, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150622, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 413, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150623, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 6428, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150624, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 51, 18, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150625, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 175, 13, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150626, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 117, 12, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150627, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 198, 14, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150628, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 72, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150629, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 1149, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150630, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 20, 15, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150631, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 22, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150632, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 17, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150633, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 64, 14, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150634, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 16, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150635, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 28, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150636, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 3475, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150637, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 326, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150638, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1678, 7, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150639, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 403, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150640, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 109, 12, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150641, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 80, 25, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150642, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 497, 7, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150643, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 104, 45, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150644, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 30, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150645, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 74, 35, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150646, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 101, 23, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150647, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 234, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150648, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 55, 39, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150649, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 98, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150650, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 100, 37, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150651, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 102, 19, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150652, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 54, 20, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150653, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 61, 23, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150654, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 85, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150655, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 553, 29, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150656, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 811, 46, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150657, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 449, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150658, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 397, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150659, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 404, 47, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150660, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1678, 7, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150661, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 461, 41, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150662, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 20, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150663, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150664, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 3, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150665, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 290, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150666, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 181, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150667, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 94, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150668, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 87, 20, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150669, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 545, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150670, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 540, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150671, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 787, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150672, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 140, 18, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150673, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 773, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150674, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 998, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150675, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 64, 14, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150676, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 17, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150677, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 22, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150678, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 28, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150679, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 16, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150680, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 94, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150681, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 54, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150682, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 255, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150683, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 403, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150684, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 142, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150685, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 425, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150686, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 98, 11, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150687, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 226, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150688, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 244, 15, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150689, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 98, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150690, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 4975, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150691, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 270, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150692, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 188, 16, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150693, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E20', 6, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150694, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 876, 85, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150695, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 1201, 34, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150696, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 85, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150697, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 871, 58, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150698, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 71, 14, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150699, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 78, 13, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150700, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '宜宾市市场监管局', '', '1D03', 233, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150701, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 13, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150702, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 8, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150703, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B12', 134, 13, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150704, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 57, 10, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150705, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 95, 12, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150706, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 65, 12, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150707, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 216, 14, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150708, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 136, 16, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150709, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 235, 5, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150710, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 21, 14, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150711, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 405, 19, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150712, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E12', 1325, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150713, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 56, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150714, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 65, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150715, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 1292, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150716, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 178, 21, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150717, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 4, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150718, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 180, 29, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150719, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 175, 13, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150720, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 198, 14, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150721, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 72, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150722, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 272, 44, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150723, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 117, 12, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150724, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 51, 18, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150725, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 199, 13, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150726, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 8, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150727, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 1283, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150728, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 127, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150729, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 40, 5, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150730, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 61, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150731, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 497, 7, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150732, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 1459, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150733, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 192, 16, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150734, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E20', 6, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150735, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 3475, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150736, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 413, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150737, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 10, 4, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150738, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 55, 34, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150739, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 3, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150740, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 6, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150741, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 184, 25, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150742, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 3018, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150743, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 61, 23, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150744, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 30, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150745, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 326, 9, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150746, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 74, 35, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150747, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 101, 23, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150748, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 98, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150749, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 80, 25, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150750, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 311, 3, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150751, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 104, 45, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150752, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 837, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150753, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 102, 19, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150754, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 154, 8, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150755, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 54, 20, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150756, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 55, 39, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150757, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 100, 37, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150758, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 6428, 6, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150759, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 291, 48, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150760, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D07', 6, 1, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150761, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 1605, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150762, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 1149, 2, 2024, 7, 1, '2024-08-05 14:08:00', NULL, NULL), (150763, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 83, 95, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150764, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 41, 49, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150765, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 735, 32, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150766, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 251, 143, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150767, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 408, 81, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150768, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 284, 515, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150769, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 83, 101, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150770, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 302, 118, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150771, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1063, 122, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150772, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 283, 516, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150773, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 308, 83, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150774, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 408, 81, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150775, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 302, 118, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150776, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 249, 144, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150777, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 83, 95, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150778, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1063, 122, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150779, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 82, 102, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150780, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 138, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150781, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 36, 11, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150782, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 56, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150783, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 1218, 18, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150784, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 55, 23, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150785, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 79, 9, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150786, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 83, 95, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150787, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 320, 18, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150788, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 572, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150789, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 376, 55, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150790, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 36, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150791, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 6, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150792, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 486, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150793, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 969, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150794, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 170, 17, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150795, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '', '', '', 115, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150796, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 636, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150797, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 124, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150798, 1, '511500000000-0001', '宜宾市民中心', '律师执业变更许可', '', '', '', 389, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150799, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 620, 144, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150800, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 6, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150801, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 0, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150802, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 90, 296, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150803, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 177, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150804, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 56, 9, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150805, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 280, 29, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150806, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 83, 101, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150807, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '', '', '', 144, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150808, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 285, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150809, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 228, 26, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150810, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5171, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150811, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 0, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150812, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 30, 43, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150813, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 157, 52, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150814, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 133, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150815, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150816, 1, '511500000000-0001', '宜宾市民中心', '司法鉴定机构延续登记', '', '', '', 81, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150817, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 308, 114, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150818, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 54, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150819, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 2497, 44, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150820, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 399, 76, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150821, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 4, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150822, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 332, 17, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150823, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 12, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 71, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 456, 20, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 468, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 534, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 116, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 51, 8, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 132, 24, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 87, 28, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 640, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 70, 49, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 636, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 62, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 85, 31, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 273, 11, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 100, 36, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1103, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 97, 38, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 133, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 93, 24, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 331, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 320, 15, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 77, 25, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 29, 14, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 399, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 125, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 78, 11, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 54, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 112, 7, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 87, 15, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 72, 24, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 53, 20, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 66, 16, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 2, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 80, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 78, 15, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 118, 14, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 427, 37, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 113, 27, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 177, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1289, 17, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 131, 18, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 86, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 540, 42, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 679, 43, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 5, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 134, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 43, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 124, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 86, 16, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 634, 59, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 383, 38, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 292, 26, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 3, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 231, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 365, 24, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 254, 30, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 170, 17, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 138, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 145, 19, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 22, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 224, 12, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 146, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 5171, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 15, 14, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 37, 9, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 3, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 162, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 131, 10, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 13, 12, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 320, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 208, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 327, 34, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 24, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 67, 8, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 77, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 29, 9, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 12, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 16, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 3, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1916, 7, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 80, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 320, 18, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 6, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 469, 11, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 2454, 10, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2363, 9, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 6, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1918, 10, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 3933, 8, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 133, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 289, 28, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 6, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150920, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 308, 114, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150921, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 405, 75, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150922, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 90, 296, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150923, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 636, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150924, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 55, 23, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150925, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 969, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150926, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 280, 29, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150927, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 2497, 44, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150928, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 54, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150929, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 572, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150930, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 83, 95, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150931, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 56, 9, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150932, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 133, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150933, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 285, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150934, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 320, 18, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150935, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '宜宾市政务服务和非公经济发展局', '', '', 144, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150936, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 79, 9, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150937, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 170, 17, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150938, 1, '511500000000-0001', '宜宾市民中心', '律师执业变更许可', '宜宾市政务服务和非公经济发展局', '', '', 389, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150939, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 30, 43, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150940, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 138, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150941, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 12, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150942, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 83, 101, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150943, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 124, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150944, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 620, 144, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150945, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 332, 17, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150946, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 56, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150947, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 6, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150948, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 36, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (150949, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 4, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150950, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 376, 55, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150951, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '宜宾市政务服务和非公经济发展局', '', '', 115, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150952, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 6, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150953, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 1289, 17, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150954, 1, '511500000000-0001', '宜宾市民中心', '司法鉴定机构延续登记', '宜宾市政务服务和非公经济发展局', '', '', 81, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150955, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 228, 26, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150956, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 36, 11, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150957, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 486, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150958, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 157, 52, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150959, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5171, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150960, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 177, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150961, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 103, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150962, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150963, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 6, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150964, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 51, 8, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150965, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 427, 37, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150966, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 320, 18, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150967, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 383, 38, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150968, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 131, 18, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150969, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 636, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150970, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 118, 14, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150971, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 66, 16, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150972, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 2, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150973, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 72, 24, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150974, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 53, 20, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150975, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 134, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150976, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 31, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150977, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 5, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150978, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 469, 11, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150979, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 80, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150980, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 6, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150981, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 54, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150982, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 113, 27, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150983, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 62, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150984, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 640, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150985, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 162, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150986, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 3, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150987, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 399, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150988, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 138, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150989, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 331, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150990, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 133, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150991, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 2, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150992, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1916, 7, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150993, 1, '511500000000-0001', '宜宾市民中心', '律师执业变更许可', '', '', '1D21', 389, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150994, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 145, 19, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150995, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 679, 43, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150996, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 634, 59, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150997, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 540, 42, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150998, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 6, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (150999, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '', '', '1D25', 144, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151000, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 116, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151001, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 2454, 10, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151002, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 93, 24, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151003, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1918, 10, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151004, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 486, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151005, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 2363, 9, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151006, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 285, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151007, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 3933, 8, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151008, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 87, 28, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151009, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 132, 24, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151010, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 29, 14, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151011, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 289, 28, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151012, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 77, 25, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151013, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 146, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151014, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 97, 38, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151015, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 224, 12, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151016, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 100, 36, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151017, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 22, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151018, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 85, 31, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151019, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 70, 49, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151020, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 5171, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151021, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 133, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151022, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 16, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151023, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 6, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151024, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 78, 15, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151025, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 80, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151026, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 78, 11, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151027, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 125, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151028, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 112, 7, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151029, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 54, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151030, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 365, 24, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151031, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 254, 30, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151032, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 87, 15, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151033, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 292, 26, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151034, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 177, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151035, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 56, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151036, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 24, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151037, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 3, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151038, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151039, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 231, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151040, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C06', 39, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151041, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 568, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151042, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 327, 34, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151043, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 86, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151044, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 86, 16, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151045, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 103, 9, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151046, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 19, 7, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151047, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 4, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151048, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '', '', '1D24', 115, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151049, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 13, 12, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151050, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 1289, 17, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151051, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 67, 8, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151052, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 302, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151053, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 77, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151054, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 29, 9, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151055, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 320, 15, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151056, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 124, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151057, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 273, 11, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151058, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 3, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151059, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 12, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151060, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 1115, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151061, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1103, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151062, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 170, 17, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151063, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 428, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151064, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 320, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151065, 1, '511500000000-0001', '宜宾市民中心', '司法鉴定机构延续登记', '', '', '1D24', 81, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151066, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 418, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151067, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 468, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151068, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 77, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151069, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 29, 9, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151070, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 67, 8, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151071, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 3, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151072, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 12, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151073, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 80, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151074, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 469, 11, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151075, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 3933, 8, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151076, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1918, 10, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151077, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2363, 9, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151078, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 2454, 10, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151079, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 327, 34, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151080, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 113, 27, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151081, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 6, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151082, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 289, 28, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151083, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 427, 37, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151084, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 5171, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151085, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 292, 26, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151086, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 3, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151087, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 162, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151088, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1103, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151089, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 320, 15, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151090, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 208, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151091, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 636, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151092, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 320, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151093, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 273, 11, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151094, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 16, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151095, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 383, 38, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151096, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151097, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 634, 59, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151098, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 24, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151099, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 679, 43, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151100, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 540, 42, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151101, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 6, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151102, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 320, 18, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151103, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1916, 7, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151104, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 365, 24, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151105, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 254, 30, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151106, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 138, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151107, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 468, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151108, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 170, 17, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151109, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 534, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151110, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 51, 8, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151111, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 3, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151112, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 71, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151113, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 231, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151114, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 145, 19, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151115, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 87, 15, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151116, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 224, 12, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151117, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 112, 7, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151118, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 456, 20, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151119, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 146, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151120, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 22, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151121, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 125, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151122, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 133, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151123, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151124, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 78, 15, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151125, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 54, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151126, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 62, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151127, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 78, 11, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151128, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 640, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151129, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 80, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151130, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 86, 16, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151131, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 399, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151132, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B12', 86, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151133, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 331, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151134, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 116, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151135, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 53, 20, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151136, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 66, 16, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151137, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 72, 24, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151138, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 2, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151139, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 118, 14, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151140, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151141, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 131, 18, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151142, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151143, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 15, 14, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151144, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 37, 9, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151145, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 131, 10, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151146, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 13, 12, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151147, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 133, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151148, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 6, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151149, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 124, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151150, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1289, 17, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151151, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 93, 24, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151152, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 177, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151153, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 97, 38, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151154, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 5, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151155, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 100, 36, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151156, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 85, 31, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151157, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 43, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151158, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 70, 49, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151159, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 134, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151160, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 87, 28, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151161, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 132, 24, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151162, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 29, 14, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151163, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 77, 25, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151164, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 327, 34, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151165, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 138, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151166, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 51, 8, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151167, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 365, 24, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151168, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 103, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151169, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 292, 26, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151170, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 6, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151171, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 254, 30, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151172, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151173, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 24, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151174, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 3, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151175, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 22, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151176, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 640, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151177, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 224, 12, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151178, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 62, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151179, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 146, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151180, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 2, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151181, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 133, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151182, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 331, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151183, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 145, 19, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151184, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 399, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151185, 1, '511500000000-0001', '宜宾市民中心', '司法鉴定机构延续登记', '宜宾市政务服务和非公经济发展局', '', '1D24', 81, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151186, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 19, 7, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151187, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 6, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151188, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151189, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 13, 12, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151190, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 103, 9, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151191, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 12, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151192, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 568, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151193, 1, '511500000000-0001', '宜宾市民中心', '律师执业变更许可', '宜宾市政务服务和非公经济发展局', '', '1D21', 389, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151194, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1918, 10, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151195, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 3933, 8, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151196, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 2454, 10, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151197, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 468, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151198, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 1289, 17, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151199, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 636, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151200, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 418, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151201, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 2363, 9, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151202, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 428, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151203, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 634, 59, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151204, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 540, 42, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151205, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 320, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151206, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 679, 43, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151207, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 86, 16, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151208, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 124, 4, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151209, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 16, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151210, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B12', 86, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151211, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 78, 15, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151212, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 125, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151213, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 78, 11, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151214, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 54, 13, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151215, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 80, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151216, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1916, 7, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151217, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 131, 18, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151218, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 320, 18, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151219, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 112, 7, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151220, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 87, 15, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151221, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 5171, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151222, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 29, 9, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151223, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 77, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151224, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 289, 28, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151225, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 66, 16, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151226, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 2, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151227, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 118, 14, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151228, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 383, 38, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151229, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 72, 24, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151230, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 53, 20, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151231, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 6, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151232, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 67, 8, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151233, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 6, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151234, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 54, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151235, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 469, 11, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151236, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 80, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151237, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 273, 11, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151238, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 177, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151239, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 320, 15, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151240, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C08', 1115, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151241, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C06', 39, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151242, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 116, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151243, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 231, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151244, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 113, 27, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151245, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '宜宾市政务服务和非公经济发展局', '', '1D25', 144, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151246, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 3, 6, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151247, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 486, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151248, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 170, 17, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151249, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1103, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151250, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 285, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151251, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 77, 25, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151252, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 5, 3, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151253, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '宜宾市政务服务和非公经济发展局', '', '1D24', 115, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151254, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 133, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151255, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 100, 36, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151256, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 85, 31, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151257, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 134, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151258, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 93, 24, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151259, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 31, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151260, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 97, 38, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151261, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 3, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151262, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 132, 24, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151263, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 29, 14, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151264, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 162, 5, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151265, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 70, 49, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151266, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 87, 28, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151267, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 427, 37, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151268, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D07', 56, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151269, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 302, 1, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151270, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 2, 2024, 7, 2, '2024-08-05 14:08:01', NULL, NULL), (151271, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 132, 118, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151272, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 76, 27, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151273, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 673, 39, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151274, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 272, 197, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151275, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 235, 72, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151276, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 193, 512, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151277, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 776, 116, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151278, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 62, 111, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151279, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 418, 145, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151280, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 193, 512, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151281, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 416, 68, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151282, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 235, 72, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151283, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 770, 117, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151284, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 271, 198, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151285, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 132, 118, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151286, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 418, 145, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151287, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 62, 111, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151288, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 4, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151289, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 106, 23, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151290, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 741, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151291, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 708, 27, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151292, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 53, 24, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151293, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 75, 14, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151294, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 132, 118, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151295, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 95, 15, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151296, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 240, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151297, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 810, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151298, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 213, 49, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151299, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 12, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151300, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 869, 8, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151301, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 781, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151302, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151303, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 539, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151304, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 197, 22, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151305, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 34, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151306, 1, '511500000000-0001', '宜宾市民中心', '律师执业变更许可', '', '', '', 4, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151307, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 100, 4, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151308, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 445, 148, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151309, 1, '511500000000-0001', '宜宾市民中心', '律师执业注销许可', '', '', '', 1499, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151310, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 131, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151311, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 1647, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151312, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 101, 302, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151313, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 1047, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151314, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 223, 10, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151315, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 151, 30, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151316, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 48, 110, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151317, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 20, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151318, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 255, 29, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151319, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 303, 8, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151320, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 24, 23, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151321, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 161, 74, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151322, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 5, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151323, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 22853, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151324, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 783, 115, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151325, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 614, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151326, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 0, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151327, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 37, 62, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151328, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 746, 54, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151329, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 9, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151330, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 9, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151331, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 264, 15, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151332, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 395, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 175, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 267, 20, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 112, 9, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 353, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 313, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 228, 9, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 76, 12, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 115, 38, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 102, 43, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 34, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 281, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 100, 4, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 82, 30, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 192, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (151347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 95, 48, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 676, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 176, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 112, 46, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 822, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 273, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 193, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 210, 15, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 126, 35, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 98, 13, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 405, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 32, 16, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 63, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 55, 20, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 35, 9, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 135, 30, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 328, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 105, 20, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 32, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 40, 20, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 67, 12, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 38, 29, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 252, 19, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 85, 37, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 1047, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 786, 24, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 239, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 71, 22, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 48, 11, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 527, 34, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 122, 17, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 403, 57, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 256, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 25, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 7, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 34, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 70, 14, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 438, 57, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 36, 33, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 921, 10, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 65, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 713, 31, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 85, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 197, 22, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 776, 33, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 4, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 33, 14, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 93, 12, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 35, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 51, 20, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 395, 22, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 9, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 8, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 723, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 51, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 25, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 32, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 140, 4, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 233, 8, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 258, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 808, 41, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 17, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 72, 11, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 2, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 76, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 11, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 156, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 127, 17, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 253, 10, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 95, 15, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 304, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 869, 8, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 685, 14, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 703, 13, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 131, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 629, 12, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 22853, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 935, 15, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 5, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 132, 27, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 325, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151432, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 783, 115, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151433, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 37, 62, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151434, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 101, 302, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151435, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 53, 24, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151436, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 100, 4, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151437, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 810, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151438, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 539, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151439, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 151, 30, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151440, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 746, 54, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151441, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 614, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151442, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 240, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151443, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 132, 118, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151444, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 223, 10, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151445, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 5, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151446, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 20, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151447, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 95, 15, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151448, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 75, 14, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151449, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 197, 22, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151450, 1, '511500000000-0001', '宜宾市民中心', '律师执业变更许可', '宜宾市政务服务和非公经济发展局', '', '', 4, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151451, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 24, 23, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151452, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 4, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151453, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 9, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151454, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 48, 110, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151455, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 34, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151456, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 445, 148, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151457, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 264, 15, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151458, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 741, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151459, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 22853, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151460, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 12, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151461, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 869, 8, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151462, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 9, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151463, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 213, 49, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151464, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 131, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151465, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 1647, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151466, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 764, 25, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151467, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 106, 23, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151468, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 255, 29, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151469, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 781, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151470, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 161, 74, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151471, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 395, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151472, 1, '511500000000-0001', '宜宾市民中心', '律师执业注销许可', '宜宾市政务服务和非公经济发展局', '', '', 1499, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151473, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 1047, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151474, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 303, 8, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151475, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 175, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151476, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 9, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151477, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 228, 9, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151478, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 869, 8, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151479, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 38, 29, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151480, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 36, 33, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151481, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 95, 15, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151482, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 71, 22, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151483, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 100, 4, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151484, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 252, 19, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151485, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 105, 20, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151486, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 40, 20, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151487, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 135, 30, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151488, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 328, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151489, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B11', 1647, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151490, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 25, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151491, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 7, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151492, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 13, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151493, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 304, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151494, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 237, 9, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151495, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 614, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151496, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 85, 37, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151497, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 281, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151498, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 140, 4, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151499, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 34, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151500, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 32, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151501, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 405, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151502, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 4, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151503, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 193, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151504, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 273, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151505, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 176, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151506, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 33, 14, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151507, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 403, 57, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151508, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 438, 57, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151509, 1, '511500000000-0001', '宜宾市民中心', '律师执业变更许可', '', '', '1D25', 4, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151510, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 527, 34, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151511, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 131, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151512, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 685, 14, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151513, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 313, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151514, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 629, 12, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151515, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 781, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151516, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 703, 13, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151517, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 20, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151518, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 935, 15, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151519, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 115, 38, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151520, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 76, 12, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151521, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 132, 27, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151522, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 98, 13, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151523, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 325, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151524, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 126, 35, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151525, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 112, 46, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151526, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 395, 22, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151527, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 51, 20, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151528, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 95, 48, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151529, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 35, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151530, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 82, 30, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151531, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 102, 43, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151532, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 93, 12, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151533, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 723, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151534, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 51, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151535, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 5, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151536, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 22853, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151537, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151538, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151539, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 67, 12, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151540, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 32, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151541, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 63, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151542, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 32, 16, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151543, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 35, 9, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151544, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 55, 20, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151545, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 713, 31, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151546, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 776, 33, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151547, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 810, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151548, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 921, 10, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151549, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D09', 741, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151550, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 1047, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151551, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151552, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 65, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151553, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151554, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 2, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151555, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 85, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151556, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 327, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151557, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 808, 41, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151558, 1, '511500000000-0001', '宜宾市民中心', '律师执业注销许可', '', '', '1D20', 1499, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151559, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 27, 16, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151560, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 48, 11, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151561, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 70, 14, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151562, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151563, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 25, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151564, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 52, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151565, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C10', 370, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151566, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 17, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151567, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 786, 24, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151568, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 72, 11, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151569, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 402, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151570, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 239, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151571, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 76, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151572, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 11, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151573, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C11', 822, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151574, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 198, 14, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151575, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 34, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151576, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 192, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151577, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 127, 17, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151578, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 47, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151579, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 89, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151580, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E28', 395, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151581, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 676, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151582, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 197, 22, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151583, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 196, 16, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151584, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 514, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151585, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 112, 9, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151586, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 76, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151587, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 11, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151588, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 17, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151589, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 72, 11, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151590, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 127, 17, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151591, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 156, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151592, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 253, 10, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151593, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 304, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151594, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 935, 15, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151595, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 629, 12, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151596, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 703, 13, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151597, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 685, 14, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151598, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 808, 41, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151599, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 85, 37, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151600, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D18', 325, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151601, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 132, 27, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151602, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 38, 29, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151603, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 51, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151604, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 921, 10, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151605, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 723, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151606, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 32, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151607, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 140, 4, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151608, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 676, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151609, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 822, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151610, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 210, 15, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151611, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 258, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151612, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 100, 4, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151613, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 192, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151614, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 6, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151615, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151616, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 36, 33, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151617, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 2, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151618, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 438, 57, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151619, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151620, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 403, 57, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151621, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 527, 34, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151622, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 869, 8, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151623, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 95, 15, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151624, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 713, 31, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151625, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 776, 33, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151626, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 4, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151627, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 197, 22, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151628, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 112, 9, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151629, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 353, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151630, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 228, 9, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151631, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 65, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151632, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 175, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151633, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 85, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151634, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 33, 14, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151635, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 51, 20, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151636, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 35, 9, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151637, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 395, 22, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151638, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 267, 20, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151639, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 93, 12, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151640, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 35, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151641, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 273, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151642, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 32, 16, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151643, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 176, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151644, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 67, 12, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151645, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 55, 20, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151646, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 63, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151647, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 281, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151648, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 34, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151649, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 32, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151650, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 70, 14, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151651, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 122, 17, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151652, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 405, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151653, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B12', 48, 11, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151654, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 193, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151655, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 313, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151656, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 328, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151657, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 105, 20, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151658, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 135, 30, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151659, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 40, 20, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151660, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 252, 19, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151661, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 9, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151662, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 71, 22, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151663, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 8, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151664, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 25, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151665, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151666, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 233, 8, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151667, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 22853, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151668, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 5, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151669, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 131, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151670, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 239, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151671, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 34, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151672, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 786, 24, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151673, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 1047, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151674, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 112, 46, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151675, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 256, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151676, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 95, 48, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151677, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 82, 30, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151678, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 102, 43, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151679, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 7, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151680, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 25, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151681, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 115, 38, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151682, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 76, 12, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151683, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 98, 13, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151684, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 126, 35, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151685, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 808, 41, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151686, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 4, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151687, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B11', 1647, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151688, 1, '511500000000-0001', '宜宾市民中心', '律师执业注销许可', '宜宾市政务服务和非公经济发展局', '', '1D20', 1499, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151689, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 228, 9, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151690, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 713, 31, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151691, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 175, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151692, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 921, 10, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151693, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 131, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151694, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 776, 33, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151695, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 2, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151696, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151697, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 127, 17, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151698, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 93, 12, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151699, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 35, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151700, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 34, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151701, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 51, 20, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151702, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 281, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151703, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 395, 22, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151704, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 176, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151705, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 273, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151706, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 193, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151707, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 33, 14, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151708, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 405, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151709, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 25, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151710, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151711, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 52, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151712, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151713, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 47, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151714, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 327, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151715, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 239, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151716, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 629, 12, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151717, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 935, 15, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151718, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 786, 24, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151719, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 685, 14, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151720, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 112, 9, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151721, 1, '511500000000-0001', '宜宾市民中心', '律师执业变更许可', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151722, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 514, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151723, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 703, 13, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151724, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 100, 4, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151725, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 196, 16, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151726, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 438, 57, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151727, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 527, 34, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151728, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 403, 57, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151729, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 27, 16, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151730, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 70, 14, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151731, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 34, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151732, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 6, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151733, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151734, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B12', 48, 11, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151735, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 67, 12, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151736, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 32, 16, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151737, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 63, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151738, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 55, 20, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151739, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 32, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151740, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 71, 22, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151741, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 95, 15, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151742, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 35, 9, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151743, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 51, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151744, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 723, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151745, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 11, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151746, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 76, 5, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151747, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 132, 27, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151748, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 105, 20, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151749, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 40, 20, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151750, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 252, 19, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151751, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 36, 33, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151752, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 135, 30, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151753, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 328, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151754, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D18', 325, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151755, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 72, 11, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151756, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 17, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (151757, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 869, 8, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151758, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C10', 370, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151759, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 614, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151760, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 304, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151761, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 192, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151762, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 237, 9, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151763, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 1047, 6, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151764, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 810, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151765, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C11', 822, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151766, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 198, 14, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151767, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C08', 89, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151768, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 22853, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151769, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 313, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151770, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 85, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151771, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 85, 37, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151772, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 65, 7, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151773, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 781, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151774, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 197, 22, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151775, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 676, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151776, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 20, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151777, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 126, 35, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151778, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 13, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151779, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 5, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151780, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 95, 48, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151781, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 82, 30, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151782, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 25, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151783, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 7, 3, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151784, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 112, 46, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151785, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 32, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151786, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 76, 12, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151787, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E28', 395, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151788, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 140, 4, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151789, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 98, 13, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151790, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 102, 43, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151791, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 115, 38, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151792, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 38, 29, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151793, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 402, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151794, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 9, 2, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151795, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D09', 741, 1, 2024, 7, 3, '2024-08-05 14:08:02', NULL, NULL), (151796, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 76, 68, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151797, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 107, 59, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151798, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 885, 49, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151799, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 136, 147, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151800, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 394, 56, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151801, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 159, 471, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151802, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 141, 105, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151803, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 331, 109, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151804, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 583, 152, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151805, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 159, 471, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151806, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 444, 112, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151807, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 374, 59, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151808, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 331, 109, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151809, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 135, 148, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151810, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 76, 68, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151811, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 579, 153, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151812, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 141, 105, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151813, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 545, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151814, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 3, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151815, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 50, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151816, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 1079, 25, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151817, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 11, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151818, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 140, 14, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151819, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 76, 68, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151820, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 234, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151821, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 297, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151822, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 130, 40, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151823, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 119, 11, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151824, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 710, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151825, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 959, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151826, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2991, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151827, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 50, 22, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151828, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 332, 12, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151829, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151830, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 231, 129, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151831, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 797, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151832, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 64, 251, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151833, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 367, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151834, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 987, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151835, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 112, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151836, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 141, 105, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151837, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 446, 35, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151838, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 162, 7, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151839, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 632, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151840, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 61, 58, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151841, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 57, 41, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151842, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '', 2418, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151843, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 842, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151844, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 334, 108, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151845, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 46, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151846, 1, '511500000000-0001', '宜宾市民中心', '巡游、网约资格证报名', '', '', '', 0, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151847, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 797, 83, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151848, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 318, 91, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151849, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 4, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151850, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151851, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 258, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 123, 18, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 612, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 545, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 89, 11, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 1062, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 308, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 367, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 63, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 53, 35, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 413, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 28, 26, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 270, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 55, 33, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 230, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 56, 35, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 3624, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 425, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 176, 29, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 463, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 61, 23, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 165, 11, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 648, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 17, 25, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 47, 11, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 685, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 141, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 67, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 87, 12, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 117, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 49, 17, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 4, 12, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 3, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 3, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 133, 23, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 34, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 302, 43, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 73, 19, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 987, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 1311, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 924, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 358, 11, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 173, 14, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 259, 35, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 154, 16, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 224, 47, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 833, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 77, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 144, 8, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1265, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 193, 16, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 217, 47, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 332, 48, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 351, 13, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 5, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 14, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 484, 35, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 204, 30, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 50, 22, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 3, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 71, 8, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 31, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 86, 14, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 45, 20, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 39, 12, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 162, 7, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 12, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 22, 7, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 270, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 60, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 92, 16, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 46, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 332, 12, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 282, 30, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 504, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 5, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 107, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 123, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 3, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 27, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 96, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 868, 14, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 175, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 234, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 312, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 710, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 925, 17, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 799, 18, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 797, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 586, 16, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 204, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 853, 17, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 969, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 112, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151950, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 334, 108, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151951, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 64, 251, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151952, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 318, 91, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151953, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 140, 14, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151954, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2991, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151955, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 112, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151956, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 807, 82, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151957, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 46, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151958, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '宜宾市市场监管局', '', '', 2418, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151959, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 297, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151960, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 76, 68, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151961, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 1265, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151962, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 367, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151963, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 842, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151964, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 234, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151965, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 11, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151966, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 50, 22, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151967, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 57, 41, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151968, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 3, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151969, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151970, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 141, 105, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151971, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 231, 129, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151972, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 258, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151973, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 710, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151974, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 119, 11, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151975, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 545, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151976, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 4, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151977, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 130, 40, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151978, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 797, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151979, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 1079, 25, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151980, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 332, 12, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151981, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 446, 35, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151982, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 50, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151983, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 959, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151984, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 62, 57, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151985, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 987, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151986, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 162, 7, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151987, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151988, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151989, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 367, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151990, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 710, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151991, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 302, 43, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151992, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 234, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151993, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 332, 48, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151994, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 358, 11, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151995, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 34, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151996, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 3, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151997, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 3, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151998, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 49, 17, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (151999, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 4, 12, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152000, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 77, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152001, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 144, 8, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152002, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 41, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152003, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 312, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152004, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 175, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152005, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '1D09', 2418, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152006, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 545, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152007, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 46, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152008, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 73, 19, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152009, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 270, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152010, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 270, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152011, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 413, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152012, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 22, 7, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152013, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 3, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152014, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 685, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152015, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 648, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152016, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 463, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152017, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 425, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152018, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 868, 14, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152019, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 71, 8, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152020, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 224, 47, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152021, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 217, 47, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152022, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 259, 35, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152023, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 797, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152024, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 308, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152025, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 925, 17, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152026, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 61, 23, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152027, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 586, 16, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152028, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 959, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152029, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 799, 18, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152030, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 853, 17, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152031, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 53, 35, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152032, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 63, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152033, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 112, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152034, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 47, 11, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152035, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 17, 25, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152036, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 45, 20, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152037, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 176, 29, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152038, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 56, 35, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152039, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 86, 14, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152040, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 55, 33, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152041, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 31, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152042, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 28, 26, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152043, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 162, 7, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152044, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 969, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152045, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 3, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152046, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 39, 12, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152047, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 133, 23, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152048, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 67, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152049, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 141, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152050, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 87, 12, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152051, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 484, 35, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152052, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 204, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152053, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 117, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152054, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 204, 30, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152055, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 351, 13, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152056, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 987, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152057, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 5, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152058, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 5, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152059, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152060, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 14, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152061, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152062, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 267, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152063, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 612, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152064, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 282, 30, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152065, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 154, 16, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152066, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 173, 14, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152067, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 193, 16, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152068, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 60, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152069, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 12, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152070, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152071, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 92, 16, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152072, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 332, 12, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152073, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 504, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152074, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 1311, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152075, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 107, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152076, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 1265, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152077, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 1093, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152078, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 924, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152079, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 123, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152080, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 165, 11, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152081, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 230, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152082, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 96, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152083, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C09', 41, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152084, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 27, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152085, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 3624, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152086, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 50, 22, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152087, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 49, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152088, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 1032, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152089, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 93, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152090, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 123, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152091, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 504, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152092, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 107, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152093, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 27, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152094, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 96, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152095, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 175, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152096, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 312, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152097, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 853, 17, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152098, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 586, 16, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152099, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 799, 18, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152100, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 925, 17, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152101, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 282, 30, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152102, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 73, 19, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152103, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 112, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152104, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 302, 43, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152105, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 351, 13, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152106, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 162, 7, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152107, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 22, 7, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152108, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 270, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152109, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 3624, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152110, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 165, 11, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152111, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 46, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152112, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 230, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152113, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 3, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152114, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152115, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 332, 48, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152116, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152117, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 217, 47, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152118, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 5, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152119, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 224, 47, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152120, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 259, 35, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152121, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 710, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152122, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 234, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152123, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 868, 14, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152124, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 484, 35, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152125, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 204, 30, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152126, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 3, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152127, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 89, 11, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152128, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 50, 22, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152129, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 1062, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152130, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 367, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152131, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 5, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152132, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 14, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152133, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 545, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152134, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 71, 8, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152135, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 117, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152136, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 86, 14, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152137, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 87, 12, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152138, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 45, 20, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152139, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 123, 18, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152140, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 31, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152141, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 612, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152142, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 141, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152143, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 463, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152144, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 133, 23, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152145, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 425, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152146, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 67, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152147, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 270, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152148, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 413, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152149, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 193, 16, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152150, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 154, 16, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152151, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B12', 173, 14, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152152, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 685, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152153, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 648, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152154, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 308, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152155, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 4, 12, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152156, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 3, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152157, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 49, 17, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152158, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 3, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152159, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 34, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152160, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152161, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152162, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 358, 11, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152163, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 332, 12, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152164, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152165, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 39, 12, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152166, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 12, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152167, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 60, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152168, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 92, 16, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152169, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 204, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152170, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 969, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152171, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 797, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152172, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 924, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152173, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1265, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152174, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 61, 23, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152175, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 1311, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152176, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 987, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (152177, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 176, 29, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152178, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 833, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152179, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 56, 35, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152180, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 55, 33, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152181, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 144, 8, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152182, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 28, 26, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152183, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 77, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152184, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 53, 35, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152185, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 63, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152186, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 47, 11, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152187, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 17, 25, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152188, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 3, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152189, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 282, 30, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152190, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 367, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152191, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 484, 35, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152192, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 351, 13, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152193, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 797, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152194, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 204, 30, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152195, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152196, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 5, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152197, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 31, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152198, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 413, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152199, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 86, 14, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152200, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 270, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152201, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 45, 20, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152202, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 425, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152203, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 463, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152204, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 71, 8, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152205, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 648, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152206, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 685, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152207, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 12, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152208, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 39, 12, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152209, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152210, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 92, 16, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152211, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 60, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152212, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 96, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152213, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 27, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152214, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 267, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152215, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 924, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152216, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 612, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152217, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 586, 16, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152218, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 853, 17, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152219, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 93, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152220, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 1311, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152221, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 925, 17, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152222, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 1032, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152223, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 799, 18, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152224, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 49, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152225, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 332, 12, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152226, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 217, 47, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152227, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 259, 35, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152228, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 224, 47, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152229, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 154, 16, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152230, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 193, 16, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152231, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 3, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152232, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152233, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B12', 173, 14, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152234, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 133, 23, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152235, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 141, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152236, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 67, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152237, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 868, 14, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152238, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 358, 11, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152239, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 234, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152240, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 87, 12, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152241, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 117, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152242, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 162, 7, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152243, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 123, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152244, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 112, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152245, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 3, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152246, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 3, 10, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152247, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 1265, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152248, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 34, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152249, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 332, 48, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152250, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 49, 17, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152251, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 4, 12, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152252, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 107, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152253, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 504, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152254, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 710, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152255, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 46, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152256, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 545, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152257, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 312, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152258, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 230, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152259, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 175, 6, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152260, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 987, 9, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152261, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 165, 11, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152262, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C09', 41, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152263, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 308, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152264, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 14, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152265, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 73, 19, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152266, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 5, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152267, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 959, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152268, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 50, 22, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152269, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 3624, 3, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152270, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 17, 25, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152271, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 969, 5, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152272, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 41, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152273, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 204, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152274, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 56, 35, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152275, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 55, 33, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152276, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 77, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152277, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 61, 23, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152278, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 144, 8, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152279, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 176, 29, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152280, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 22, 7, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152281, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 63, 15, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152282, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 270, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152283, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 47, 11, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152284, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 28, 26, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152285, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 53, 35, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152286, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '宜宾市市场监管局', '', '1D09', 2418, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152287, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 302, 43, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152288, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 2, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152289, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 1093, 1, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152290, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 4, 2024, 7, 4, '2024-08-05 14:08:03', NULL, NULL), (152291, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 127, 93, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152292, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 185, 34, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152293, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 412, 33, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152294, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 221, 122, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152295, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1536, 71, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152296, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 302, 451, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152297, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 618, 136, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152298, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 343, 102, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152299, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 748, 143, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152300, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 300, 452, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152301, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 288, 69, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152302, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 1474, 74, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152303, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 609, 138, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152304, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 219, 123, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152305, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 738, 145, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152306, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 125, 94, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152307, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 343, 102, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152308, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152309, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 81, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152310, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 5, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152311, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 361, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152312, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 140, 9, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152313, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 68, 13, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152314, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 434, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152315, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 125, 94, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152316, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152317, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 666, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152318, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 500, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152319, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 199, 47, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152320, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 598, 9, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152321, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1261, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152322, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 827, 11, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152323, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 91, 8, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152324, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 540, 9, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152325, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 10913, 8, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152326, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 786, 155, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152327, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 2615, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152328, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 36, 251, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152329, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 12, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152330, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 40, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152331, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '', 0, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152332, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 157, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152333, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 343, 102, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152334, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 167, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152335, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1052, 37, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152336, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 6, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152337, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 764, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152338, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 156, 52, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152339, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 59, 24, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152340, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 6, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152341, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 618, 136, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152342, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 16, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152343, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 3, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152344, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 833, 71, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152345, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 114, 47, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152346, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 3, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152347, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 10, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152348, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 141, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 2, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 32, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 799, 46, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 157, 8, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 580, 49, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 91, 8, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 462, 41, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 308, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 164, 15, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 171, 13, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 283, 11, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 206, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1676, 9, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 2, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 97, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 71, 13, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 6, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 94, 10, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 34, 42, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 642, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 48, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 27, 40, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 14551, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 779, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 16, 33, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 108, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 39, 39, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 278, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 60, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 884, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 29, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1060, 8, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 2, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 810, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 112, 10, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 207, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 634, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 694, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 77, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 54, 26, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 22, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1262, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 408, 20, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 36, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 327, 22, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 60, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 27, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 91, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 394, 23, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 4, 8, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 259, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 136, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 179, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 109, 17, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 924, 13, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 241, 22, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 129, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 117, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 434, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 70, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 387, 12, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 165, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 53, 9, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 147, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 6, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 40, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 431, 13, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 58, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 725, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 723, 11, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 3269, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 877, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 73, 15, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 937, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 185, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 860, 42, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 6, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 848, 44, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 653, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 302, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 210, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 157, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 764, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 711, 68, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 101, 30, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152439, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 618, 136, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152440, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 117, 46, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152441, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 36, 251, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152442, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 14551, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152443, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 68, 13, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152444, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 500, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152445, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 827, 11, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152446, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 3, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152447, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 157, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152448, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 845, 70, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152449, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 16, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152450, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 666, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152451, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 127, 93, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152452, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 764, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152453, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 12, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152454, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 6, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152455, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 167, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152456, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 434, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152457, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 140, 9, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152458, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 91, 8, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152459, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 59, 24, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152460, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 10, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152461, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 343, 102, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152462, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 791, 154, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152463, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 141, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152464, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 5, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152465, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 598, 9, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152466, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 3, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152467, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 199, 47, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152468, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 3269, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152469, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 361, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152470, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 694, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152471, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 81, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152472, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1052, 37, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152473, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 1261, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152474, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 156, 52, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152475, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 6, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152476, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 40, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152477, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 32, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152478, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152479, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152480, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 2, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152481, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 147, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152482, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 101, 30, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152483, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 434, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152484, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 73, 15, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152485, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 14551, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152486, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 53, 9, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152487, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 129, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152488, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 70, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152489, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 109, 17, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152490, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 241, 22, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152491, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 302, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152492, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 210, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152493, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 761, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152494, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 165, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152495, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 117, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152496, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 16, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152497, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 6, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152498, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 779, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152499, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 278, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152500, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 642, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152501, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 1262, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152502, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 634, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152503, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 810, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152504, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 884, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152505, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 924, 13, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152506, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 164, 15, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152507, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 848, 44, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152508, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 711, 68, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152509, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 860, 42, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152510, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 3269, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152511, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 725, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152512, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 1676, 9, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152513, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 112, 10, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152514, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 877, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152515, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 1261, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152516, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 723, 11, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152517, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 167, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152518, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 937, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152519, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 34, 42, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152520, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 71, 13, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152521, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 157, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152522, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 22, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152523, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 54, 26, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152524, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 3, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152525, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 97, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152526, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 29, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152527, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 39, 39, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152528, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 16, 33, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152529, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 171, 13, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152530, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 27, 40, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152531, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 6, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152532, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 6, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152533, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152534, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 94, 10, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152535, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 387, 12, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152536, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 327, 22, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152537, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 408, 20, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152538, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 394, 23, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152539, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 580, 49, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152540, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 462, 41, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152541, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 259, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152542, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 500, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152543, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 799, 46, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152544, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D09', 5, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152545, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 40, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152546, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152547, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 2, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152548, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152549, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 27, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152550, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 157, 8, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152551, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 666, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152552, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 185, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152553, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 60, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152554, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 48, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152555, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 2, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152556, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 694, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152557, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 36, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152558, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 431, 13, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152559, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 60, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152560, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 764, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152561, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 58, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152562, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 206, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152563, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 91, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152564, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 207, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152565, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 108, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152566, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 179, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152567, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 45, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152568, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 5, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152569, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1060, 8, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152570, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 91, 8, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152571, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 163, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152572, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 283, 11, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152573, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 91, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152574, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 36, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152575, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 60, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152576, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 179, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152577, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 4, 8, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152578, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 136, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152579, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 117, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152580, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 165, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152581, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 937, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (152582, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 877, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152583, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 723, 11, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152584, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 725, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152585, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 6, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152586, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 157, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152587, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 147, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152588, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 6, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152589, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 799, 46, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152590, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 278, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152591, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1060, 8, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152592, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 207, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152593, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 77, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152594, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 14551, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152595, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 108, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152596, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152597, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152598, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 101, 30, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152599, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 27, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152600, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 711, 68, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152601, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152602, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 848, 44, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152603, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 860, 42, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152604, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 434, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152605, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 924, 13, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152606, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 580, 49, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152607, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 462, 41, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152608, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 91, 8, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152609, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 283, 11, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152610, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 241, 22, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152611, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 129, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152612, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 206, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152613, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 2, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152614, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 2, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152615, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 32, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152616, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 157, 8, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152617, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 109, 17, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152618, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 70, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152619, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 53, 9, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152620, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 164, 15, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152621, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 259, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152622, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 97, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152623, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 308, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152624, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 171, 13, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152625, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 408, 20, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152626, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 810, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152627, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 387, 12, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152628, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 884, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152629, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 394, 23, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152630, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 779, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152631, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 327, 22, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152632, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 642, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152633, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152634, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152635, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 73, 15, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152636, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 694, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152637, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 94, 10, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152638, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 48, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152639, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 60, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152640, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152641, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 6, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152642, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 3269, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152643, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1262, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152644, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B12', 185, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152645, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 634, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152646, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 58, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152647, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 764, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152648, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 431, 13, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152649, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 112, 10, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152650, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 40, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152651, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 29, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152652, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 653, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152653, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1676, 9, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152654, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 39, 39, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152655, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 16, 33, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152656, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 210, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152657, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 27, 40, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152658, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 302, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152659, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 34, 42, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152660, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 71, 13, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152661, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 22, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152662, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 54, 26, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152663, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 2, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152664, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 580, 49, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152665, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 32, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152666, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 799, 46, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152667, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 3269, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152668, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 462, 41, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152669, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 27, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152670, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152671, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 179, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152672, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 171, 13, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152673, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 642, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152674, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 779, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152675, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 97, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152676, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 884, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152677, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 810, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152678, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 164, 15, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152679, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 634, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152680, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 1262, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152681, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 48, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152682, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 94, 10, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152683, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152684, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 60, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152685, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 45, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152686, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 5, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152687, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 666, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152688, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 58, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152689, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 877, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152690, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 937, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152691, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 725, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152692, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 431, 13, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152693, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 283, 11, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152694, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 14551, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152695, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 723, 11, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152696, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 163, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152697, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 3, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152698, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 694, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152699, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 711, 68, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152700, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 860, 42, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152701, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 848, 44, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152702, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152703, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152704, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B12', 185, 7, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152705, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 387, 12, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152706, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 408, 20, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152707, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 327, 22, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152708, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 394, 23, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152709, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 924, 13, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152710, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 73, 15, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152711, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 434, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152712, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 259, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152713, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 6, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152714, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 91, 5, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152715, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 157, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152716, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 129, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152717, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 70, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152718, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 764, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152719, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 53, 9, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152720, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 101, 30, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152721, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 109, 17, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152722, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 241, 22, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152723, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 60, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152724, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 36, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152725, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 16, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152726, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 165, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152727, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 117, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152728, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 108, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152729, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 40, 4, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152730, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 500, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152731, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 207, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152732, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 1676, 9, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152733, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 157, 8, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152734, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 6, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152735, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 2, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152736, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 1261, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152737, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 91, 8, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152738, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1060, 8, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152739, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 167, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152740, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 54, 26, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152741, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 761, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152742, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 6, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152743, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 39, 39, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152744, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 16, 33, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152745, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 302, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152746, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 112, 10, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152747, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 210, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152748, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 29, 18, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152749, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 71, 13, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152750, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 278, 6, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152751, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 22, 14, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152752, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 27, 40, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152753, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 34, 42, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152754, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 147, 16, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152755, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152756, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 4, 2, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152757, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 206, 3, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152758, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D09', 5, 1, 2024, 7, 5, '2024-08-05 14:08:04', NULL, NULL), (152759, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 13, 2, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152760, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 89, 1, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152761, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 252, 3, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152762, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 1404, 115, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152763, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 237, 57, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152764, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 1404, 115, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152765, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 252, 3, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152766, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 229, 59, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152767, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 44, 2, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152768, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 13, 2, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152769, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 2, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152770, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 44, 2, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152771, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 2449, 62, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152772, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 303, 24, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152773, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 13, 2, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152774, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 252, 3, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152775, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 81, 29, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152776, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 237, 57, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 226, 22, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 77, 9, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 226, 17, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 89, 1, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 283, 12, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 47, 14, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 168, 6, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 3059, 12, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 2396, 24, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 252, 3, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 13, 2, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 265, 18, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 2215, 26, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 218, 6, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 417, 6, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152792, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 237, 57, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152793, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 81, 29, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152794, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 303, 24, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152795, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 89, 1, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152796, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 13, 2, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152797, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 252, 3, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152798, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 2449, 62, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152799, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 218, 6, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152800, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 265, 18, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152801, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 2396, 24, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152802, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 2215, 26, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152803, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 226, 17, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152804, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 3059, 12, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152805, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 283, 12, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152806, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 226, 22, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152807, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 417, 6, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152808, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 89, 1, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152809, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 13, 2, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152810, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 77, 9, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152811, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 168, 6, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152812, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 47, 14, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152813, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 252, 3, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152814, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 89, 1, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152815, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 252, 3, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152816, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 226, 22, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152817, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 13, 2, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152818, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 417, 6, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152819, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 218, 6, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152820, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 2215, 26, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152821, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 2396, 24, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152822, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 3059, 12, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152823, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 168, 6, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152824, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 47, 14, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152825, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 226, 17, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152826, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 77, 9, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152827, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 283, 12, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152828, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 265, 18, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152829, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 252, 3, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152830, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 265, 18, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152831, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 218, 6, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152832, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 13, 2, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152833, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 417, 6, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152834, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 89, 1, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152835, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 226, 17, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152836, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 226, 22, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152837, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 283, 12, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152838, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 2215, 26, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152839, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 3059, 12, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152840, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 2396, 24, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152841, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 168, 6, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152842, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 47, 14, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152843, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 77, 9, 2024, 7, 6, '2024-08-05 14:08:06', NULL, NULL), (152844, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 7, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152845, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 8055, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152846, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 371, 76, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152847, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 143, 33, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152848, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 366, 77, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152849, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 131, 36, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152850, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 8055, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152851, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 7, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152852, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 3, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152853, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 8055, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152854, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 4122, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152855, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 139, 16, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152856, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 584, 36, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152857, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 7, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152858, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 36, 24, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152859, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 143, 33, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 5, 5, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 141, 14, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 162, 9, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 8055, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 144, 9, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 43, 10, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 45, 9, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 790, 11, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 600, 17, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 7, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 148, 15, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 696, 9, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 3, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152873, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 143, 33, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152874, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 148, 15, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152875, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 36, 24, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152876, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 8055, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152877, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '', 4122, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152878, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 7, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152879, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 584, 36, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152880, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 3, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152881, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '1A23', 4122, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152882, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 148, 15, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152883, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 600, 17, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152884, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 696, 9, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152885, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 162, 9, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152886, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 456, 10, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152887, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 144, 9, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152888, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 141, 14, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152889, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 8055, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152890, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 7, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152891, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 5, 5, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152892, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 45, 9, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152893, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 43, 10, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152894, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 8055, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152895, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 141, 14, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152896, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 7, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152897, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 3, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152898, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 696, 9, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152899, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 600, 17, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152900, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 790, 11, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152901, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 45, 9, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152902, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 43, 10, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152903, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 162, 9, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152904, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 5, 5, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152905, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 148, 15, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152906, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 144, 9, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152907, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 148, 15, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152908, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 3, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152909, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '市公安局', '', '1A23', 4122, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152910, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 7, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152911, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 162, 9, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152912, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 8055, 1, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152913, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 141, 14, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152914, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 144, 9, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152915, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 696, 9, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152916, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 456, 10, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152917, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 600, 17, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152918, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 45, 9, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152919, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 43, 10, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152920, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 5, 5, 2024, 7, 7, '2024-08-05 14:08:08', NULL, NULL), (152921, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 51, 94, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152922, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 67, 56, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152923, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 585, 44, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152924, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 195, 238, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152925, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 396, 100, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152926, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 904, 685, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152927, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1804, 167, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152928, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 114, 113, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152929, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 453, 135, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152930, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 904, 685, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152931, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 292, 101, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152932, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 396, 100, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152933, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1793, 168, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152934, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 195, 239, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152935, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 453, 135, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152936, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 51, 94, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152937, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 114, 113, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152938, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 100, 46, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152939, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 103, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152940, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 501, 23, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152941, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 49, 28, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152942, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 35, 15, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152943, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 462, 15, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152944, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 51, 93, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152945, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 351, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152946, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 641, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152947, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 213, 65, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152948, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 145, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152949, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 5, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152950, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 121, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152951, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 842, 9, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152952, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 193, 29, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152953, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 215, 11, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152954, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 393, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152955, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2041, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152956, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 2307, 220, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152957, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 60, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152958, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 26, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152959, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 202, 356, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152960, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 394, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152961, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 285, 13, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152962, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 65, 27, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152963, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 114, 112, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152964, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 2183, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152965, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 854, 37, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152966, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 964, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152967, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 503, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152968, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 3, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152969, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 34, 41, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152970, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 250, 84, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152971, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '', 3005, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152972, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 88, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152973, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 752, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152974, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 1793, 168, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152975, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '', '', '', 1436, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152976, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 256, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152977, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 463, 45, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152978, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 337, 108, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152979, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '', 3414, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152980, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 3, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152981, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 10, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152982, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 218, 17, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 246, 28, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 349, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 255, 14, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 945, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (152987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 285, 13, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 146, 21, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 264, 42, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 735, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 202, 63, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 917, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 2041, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 63, 38, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 122, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 146, 11, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 271, 56, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1085, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (152999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 908, 7, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 93, 26, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 12, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 557, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 314, 25, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 991, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 226, 17, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 332, 20, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 162, 41, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1208, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 111, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 194, 16, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 64, 10, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 154, 9, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 57, 17, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 3, 15, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 36, 16, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 84, 7, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 116, 15, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 44, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 54, 17, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 341, 41, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 169, 24, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 394, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 751, 10, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 390, 14, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 37, 14, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 2134, 65, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 43, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 145, 19, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 2864, 80, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 2038, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 145, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 393, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 754, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 108, 20, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1882, 76, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 334, 67, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1627, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 29, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 57, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1533, 65, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 2055, 41, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 193, 29, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 177, 25, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 253, 19, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 331, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 254, 20, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 964, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 16, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 60, 10, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 40, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 564, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 262, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 51, 11, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 302, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 898, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 215, 11, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 1957, 55, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 80, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 11, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 27, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 8, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 18, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 109, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 45, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 184, 13, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 31, 16, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 380, 14, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 206, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 462, 15, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 5, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 229, 9, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 381, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 477, 10, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 75, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 752, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 592, 13, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 88, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 65, 27, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153082, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 1804, 167, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153083, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 337, 108, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153084, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 202, 356, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153085, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 2041, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153086, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 49, 28, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153087, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 641, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153088, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 842, 9, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153089, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 65, 27, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153090, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 463, 45, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153091, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 256, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153092, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '宜宾市市场监管局', '', '', 3005, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153093, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 351, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153094, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 51, 93, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153095, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 754, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153096, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 88, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153097, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 285, 13, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153098, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 2183, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153099, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 3, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153100, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 462, 15, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153101, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 35, 15, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153102, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 193, 29, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153103, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 34, 41, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153104, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 7, 10, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153105, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 114, 112, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153106, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 393, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153107, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 2307, 220, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153108, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 218, 17, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153109, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 103, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153110, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 752, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153111, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 5, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153112, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 145, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153113, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 3, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153114, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '宜宾市市场监管局', '', '', 1436, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153115, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 213, 65, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153116, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 75, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153117, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 26, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153118, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 501, 23, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153119, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 215, 11, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153120, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 854, 37, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153121, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 100, 46, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153122, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 121, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153123, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 250, 84, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153124, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 394, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153125, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 964, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153126, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '', 3414, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153127, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 5, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153128, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153129, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 285, 13, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153130, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 341, 41, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153131, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 462, 15, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153132, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 334, 67, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153133, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 37, 14, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153134, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 2041, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153135, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 54, 17, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153136, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 36, 16, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153137, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 116, 15, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153138, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 61, 16, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153139, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B11', 26, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153140, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 3, 15, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153141, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 145, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153142, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 229, 9, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153143, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 206, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153144, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '1D09', 3005, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153145, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 256, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153146, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 169, 24, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153147, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 122, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153148, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 917, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153149, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 735, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153150, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 262, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153151, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 564, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153152, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 1208, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153153, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 991, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153154, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E19', 3, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153155, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 12, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153156, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 908, 7, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153157, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 380, 14, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153158, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 177, 25, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153159, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 2864, 80, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153160, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 1882, 76, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153161, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 2114, 64, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153162, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 75, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153163, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 945, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153164, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 314, 25, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153165, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 477, 10, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153166, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 121, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153167, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 381, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153168, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 2183, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153169, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 592, 13, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153170, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 264, 42, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153171, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 146, 21, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153172, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 65, 27, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153173, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 162, 41, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153174, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 332, 20, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153175, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 254, 20, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153176, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 93, 26, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153177, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 271, 56, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153178, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 331, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153179, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 63, 38, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153180, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 253, 19, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153181, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 202, 63, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153182, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 964, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153183, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 88, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153184, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 752, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153185, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153186, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 16, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153187, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 44, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153188, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 84, 7, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153189, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 111, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153190, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 64, 10, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153191, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 194, 16, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153192, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 1533, 65, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153193, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 154, 9, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153194, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 2055, 41, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153195, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 1627, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153196, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 641, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153197, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 394, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153198, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D09', 103, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153199, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 11, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153200, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 29, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153201, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153202, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 8, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153203, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 57, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153204, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 351, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153205, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 1957, 55, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153206, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '', '', '1D03', 1436, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153207, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 152, 18, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153208, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 43, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153209, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 108, 20, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153210, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 60, 10, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153211, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 40, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153212, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 51, 11, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153213, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 532, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153214, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 215, 11, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153215, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 80, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153216, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 675, 9, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153217, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '', '', '1A23', 3414, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153218, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 27, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153219, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 754, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153220, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 390, 14, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153221, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 18, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153222, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 109, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153223, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 226, 17, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153224, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 393, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153225, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 146, 11, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153226, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 31, 16, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153227, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 146, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153228, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 45, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153229, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1085, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153230, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C11', 557, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153231, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 193, 29, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153232, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 170, 18, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153233, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 302, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153234, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C03', 349, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153235, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 255, 14, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153236, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 18, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153237, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 109, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153238, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 80, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153239, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 27, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153240, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 31, 16, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153241, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 45, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153242, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 184, 13, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153243, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 206, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153244, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 229, 9, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153245, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 592, 13, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153246, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 477, 10, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153247, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 381, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153248, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 1957, 55, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153249, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 169, 24, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153250, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 65, 27, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153251, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 341, 41, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153252, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1627, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153253, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 964, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153254, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 564, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153255, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 262, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153256, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1085, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153257, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 557, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153258, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 226, 17, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153259, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 898, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153260, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 302, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153261, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 2041, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153262, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 146, 11, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153263, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153264, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153265, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 334, 67, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153266, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 8, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153267, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1882, 76, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153268, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 11, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153269, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 2864, 80, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153270, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 2134, 65, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153271, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 5, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153272, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 462, 15, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153273, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 380, 14, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153274, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1533, 65, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153275, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 2055, 41, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153276, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 255, 14, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153277, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 193, 29, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153278, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 285, 13, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153279, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 29, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153280, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 57, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153281, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 177, 25, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153282, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 154, 9, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153283, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 64, 10, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153284, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 246, 28, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153285, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 254, 20, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153286, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 349, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153287, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 253, 19, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153288, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 331, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153289, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 12, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153290, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 908, 7, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153291, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 44, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153292, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 194, 16, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153293, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 122, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153294, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 917, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153295, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 111, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153296, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 735, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153297, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 84, 7, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153298, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 108, 20, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153299, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 145, 19, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153300, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1208, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153301, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B12', 43, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153302, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 991, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153303, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 945, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153304, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 3, 15, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153305, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 36, 16, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153306, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 57, 17, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153307, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 116, 15, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153308, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 54, 17, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153309, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153310, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 37, 14, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153311, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 215, 11, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153312, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 40, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153313, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 16, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153314, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 60, 10, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153315, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 51, 11, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153316, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 752, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153317, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 88, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153318, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 75, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153319, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 390, 14, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153320, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 754, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153321, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 393, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153322, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 751, 10, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153323, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 314, 25, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153324, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 394, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153325, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 93, 26, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153326, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 2038, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153327, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 271, 56, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153328, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 63, 38, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153329, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 202, 63, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153330, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 145, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153331, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 264, 42, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153332, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 146, 21, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153333, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 162, 41, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153334, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 332, 20, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153335, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 1957, 55, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153336, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B11', 26, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153337, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 1533, 65, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153338, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 285, 13, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153339, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 1627, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153340, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 75, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153341, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 2055, 41, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153342, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 8, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153343, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 11, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153344, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 31, 16, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153345, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 253, 19, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153346, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 331, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153347, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 735, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153348, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 917, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153349, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 254, 20, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153350, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 122, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153351, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 908, 7, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153352, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 12, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153353, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 177, 25, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153354, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 991, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153355, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 1208, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153356, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 60, 10, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153357, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 16, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153358, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 40, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153359, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 51, 11, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153360, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 146, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153361, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 45, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153362, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 351, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153363, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 390, 14, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153364, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 477, 10, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153365, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 592, 13, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153366, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 255, 14, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153367, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 675, 9, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153368, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 381, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153369, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 2041, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153370, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 170, 18, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153371, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C03', 349, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153372, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 215, 11, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153373, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 1882, 76, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153374, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 2114, 64, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153375, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 302, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153376, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 2864, 80, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153377, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 152, 18, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153378, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 108, 20, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153379, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '宜宾市市场监管局', '', '1D03', 1436, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153380, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 393, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153381, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153382, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153383, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B12', 43, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153384, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 44, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153385, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E19', 3, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153386, 1, '511500000000-0001', '宜宾市民中心', '临时身份证办理', '市公安局', '', '1A23', 3414, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153387, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 111, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153388, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 194, 16, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153389, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 84, 7, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153390, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 380, 14, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153391, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 37, 14, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153392, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 462, 15, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153393, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 64, 10, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153394, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 154, 9, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153395, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 964, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153396, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 109, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153397, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 18, 6, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (153398, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 65, 27, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153399, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 36, 16, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153400, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 116, 15, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153401, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 754, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153402, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 54, 17, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153403, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 334, 67, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153404, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 61, 16, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153405, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 3, 15, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153406, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 27, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153407, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 80, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153408, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 5, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153409, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 256, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153410, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 229, 9, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153411, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 206, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153412, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 146, 11, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153413, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 394, 8, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153414, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 641, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153415, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 226, 17, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153416, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 752, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153417, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 945, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153418, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 57, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153419, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 169, 24, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153420, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 29, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153421, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 121, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153422, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 193, 29, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153423, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1085, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153424, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 2183, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153425, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C11', 557, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153426, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 332, 20, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153427, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 88, 5, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153428, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 271, 56, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153429, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 63, 38, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153430, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 145, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153431, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 314, 25, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153432, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 93, 26, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153433, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 564, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153434, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 146, 21, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153435, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 262, 12, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153436, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 162, 41, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153437, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 202, 63, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153438, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 264, 42, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153439, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '宜宾市市场监管局', '', '1D09', 3005, 2, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153440, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 341, 41, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153441, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 4, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153442, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C04', 532, 3, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153443, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D09', 103, 1, 2024, 7, 8, '2024-08-05 14:08:12', NULL, NULL), (153444, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 43, 78, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153445, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 231, 59, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153446, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 385, 38, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153447, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 154, 157, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153448, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 641, 56, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153449, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 341, 530, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153450, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 225, 109, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153451, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 518, 119, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153452, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 827, 160, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153453, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 340, 532, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153454, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 282, 100, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153455, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 641, 56, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153456, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 518, 119, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153457, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 154, 157, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153458, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 822, 161, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153459, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 43, 78, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153460, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 225, 109, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153461, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 3957, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153462, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 56, 20, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153463, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 10, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153464, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 569, 20, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153465, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 506, 13, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153466, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 106, 12, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153467, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 840, 34, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153468, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 44, 77, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153469, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 921, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153470, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 1248, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153471, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 464, 37, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153472, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 84, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153473, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 326, 6, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153474, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 6501, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153475, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 145, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153476, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 72, 21, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153477, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 269, 14, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153478, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 418, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153479, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 746, 151, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153480, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 568, 7, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153481, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 166, 281, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153482, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 179, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153483, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 50, 7, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153484, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 71, 20, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153485, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 225, 109, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153486, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 2963, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153487, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 313, 31, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153488, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 14, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153489, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 3, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153490, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 314, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153491, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 24, 36, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153492, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 74, 64, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153493, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '', '', '', 2, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153494, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 54, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153495, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 489, 118, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153496, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '', '', '', 4, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153497, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 419, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153498, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1438, 63, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153499, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 213, 100, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153500, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 1122, 8, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153501, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 17, 7, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153502, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 28, 10, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153503, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 32, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 290, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 111, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 5334, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 392, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 1105, 7, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 230, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 10, 6, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 325, 11, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 227, 42, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 484, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 72, 38, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 418, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 36, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 170, 33, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 241, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 75, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 98, 32, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 215, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 335, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 106, 28, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 293, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 224, 28, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 364, 16, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 202, 7, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 199, 21, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 127, 25, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 919, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 251, 17, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 144, 8, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 214, 10, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 328, 18, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 6, 12, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 52, 15, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 30, 14, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 158, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 128, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 244, 11, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 28, 13, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 343, 41, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 242, 23, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 179, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 503, 11, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 585, 10, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 40, 15, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 152, 15, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 572, 36, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 224, 21, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 770, 61, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 27, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 198, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 78, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 786, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 833, 54, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 127, 57, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 590, 11, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 39, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 650, 31, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 491, 30, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 72, 21, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 3957, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 147, 13, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 73, 15, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 92, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 60, 10, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 31, 13, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 1385, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 14, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 39, 16, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 26, 8, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 18, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 36, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 9, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 2, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 175, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 1691, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 269, 14, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 964, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 401, 57, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 190, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 51, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 51, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 19, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 162, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 341, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 24, 13, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 23, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 840, 34, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 326, 6, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 30, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1646, 12, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 638, 8, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 568, 7, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1394, 19, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1707, 23, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 54, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 71, 20, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153603, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 489, 118, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153604, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 217, 98, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153605, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 166, 281, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153606, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 418, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153607, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 106, 12, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153608, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 1248, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153609, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 145, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153610, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 71, 20, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153611, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1461, 62, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153612, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 419, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153613, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 921, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153614, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 44, 77, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153615, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 786, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153616, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 54, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153617, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 50, 7, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153618, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 2963, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153619, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '', 3, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153620, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 840, 34, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153621, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 506, 13, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153622, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 72, 21, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153623, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 24, 36, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153624, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 3957, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153625, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 17, 7, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153626, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 225, 109, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153627, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 746, 151, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153628, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 28, 10, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153629, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 10, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153630, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '宜宾市政务服务和非公经济发展局', '', '', 2, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153631, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 326, 6, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153632, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 84, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153633, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 1122, 8, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153634, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '宜宾市市场监管局', '', '', 4, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153635, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 464, 37, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153636, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 568, 7, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153637, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 569, 20, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153638, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 269, 14, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153639, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 56, 20, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153640, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 313, 31, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153641, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 6501, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153642, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 74, 64, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153643, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 32, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153644, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 14, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153645, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 179, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153646, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 290, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153647, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 1385, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153648, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 326, 6, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153649, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 964, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153650, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 10, 6, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153651, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 343, 41, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153652, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 840, 34, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153653, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 127, 57, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153654, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 40, 15, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153655, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 418, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153656, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 28, 13, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153657, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 30, 14, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153658, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 128, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153659, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 6, 11, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153660, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 52, 15, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153661, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 198, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153662, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 78, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153663, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 31, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153664, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 30, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153665, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 15, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153666, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 419, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153667, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 242, 23, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153668, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 75, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153669, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 36, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153670, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 36, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153671, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 484, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153672, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 18, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153673, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 3957, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153674, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 919, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153675, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E19', 3, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153676, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 202, 7, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153677, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 293, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153678, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 335, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153679, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 147, 13, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153680, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 770, 61, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153681, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 833, 54, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153682, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 572, 36, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153683, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 568, 7, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153684, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 230, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153685, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1646, 12, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153686, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 224, 28, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153687, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1394, 19, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153688, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 638, 8, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153689, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 6501, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153690, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 2963, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153691, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1707, 23, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153692, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 227, 42, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153693, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 325, 11, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153694, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 71, 20, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153695, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 127, 25, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153696, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 199, 21, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153697, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 31, 13, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153698, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 106, 28, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153699, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 60, 10, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153700, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 98, 32, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153701, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 92, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153702, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 170, 33, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153703, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 73, 15, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153704, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 72, 38, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153705, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 14, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153706, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 54, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153707, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153708, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 39, 16, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153709, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 244, 11, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153710, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 158, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153711, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 251, 17, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153712, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 214, 10, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153713, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 144, 8, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153714, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 650, 31, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153715, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 328, 18, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153716, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 491, 30, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153717, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 1248, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153718, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D09', 10, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153719, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 179, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153720, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 590, 11, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153721, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 51, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153722, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 39, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153723, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153724, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 6, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153725, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 3002, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153726, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 401, 57, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153727, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '', '', '1D03', 4, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153728, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 224, 21, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153729, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 152, 15, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153730, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 9, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153731, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 26, 8, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153732, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153733, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 8, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153734, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C10', 338, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153735, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 269, 14, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153736, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 4, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153737, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 190, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153738, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 553, 10, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153739, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 51, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153740, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 786, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153741, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 585, 10, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153742, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 19, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153743, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 162, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153744, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 368, 14, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153745, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 241, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153746, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '', '', '1D20', 2, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153747, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 24, 13, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153748, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 39, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153749, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E28', 32, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153750, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 215, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153751, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 72, 21, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153752, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 183, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153753, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 175, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153754, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 1105, 7, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153755, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 392, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153756, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 19, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153757, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 162, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153758, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 190, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153759, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 51, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153760, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 24, 13, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153761, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 341, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153762, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 23, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153763, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 30, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153764, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1707, 23, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153765, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1394, 19, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153766, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 638, 8, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153767, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1646, 12, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153768, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 401, 57, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153769, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 242, 23, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153770, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 71, 20, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153771, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 343, 41, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153772, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 14, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153773, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 18, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153774, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 36, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153775, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 215, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153776, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 364, 16, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153777, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 1691, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153778, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 175, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153779, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 418, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153780, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 241, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153781, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153782, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 127, 57, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153783, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153784, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 833, 54, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153785, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 51, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153786, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 770, 61, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153787, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 572, 36, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153788, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 326, 6, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153789, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 840, 34, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153790, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 650, 31, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153791, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 491, 30, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153792, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 3957, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153793, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 392, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153794, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 72, 21, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153795, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 1105, 7, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153796, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 590, 11, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153797, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 10, 6, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153798, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 39, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153799, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 290, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153800, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 147, 13, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153801, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 328, 18, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153802, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 60, 10, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153803, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 111, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153804, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 214, 10, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153805, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 31, 13, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153806, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 5334, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153807, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 73, 15, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153808, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 92, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153809, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 293, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153810, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 335, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153811, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 244, 11, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153812, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 144, 8, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153813, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 75, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153814, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 251, 17, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153815, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 36, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (153816, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 484, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153817, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 158, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153818, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 224, 21, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153819, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 919, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153820, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B12', 152, 15, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153821, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 202, 7, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153822, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 230, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153823, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 52, 15, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153824, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 30, 14, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153825, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 6, 12, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153826, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 128, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153827, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 28, 13, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153828, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 964, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153829, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 1385, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153830, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 40, 15, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153831, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 269, 14, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153832, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153833, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 39, 16, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153834, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 26, 8, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153835, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153836, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153837, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 54, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153838, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 568, 7, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153839, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 585, 10, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153840, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 786, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153841, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 503, 11, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153842, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 224, 28, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153843, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 179, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153844, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 106, 28, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153845, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 27, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153846, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 98, 32, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153847, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 170, 33, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153848, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 78, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153849, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 72, 38, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153850, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 198, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153851, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 227, 42, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153852, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 325, 11, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153853, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 127, 25, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153854, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 199, 21, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153855, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 3957, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153856, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 401, 57, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153857, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 650, 31, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153858, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 10, 6, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153859, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 290, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153860, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 568, 7, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153861, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 491, 30, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153862, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153863, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 51, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153864, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 24, 13, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153865, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 73, 15, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153866, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 92, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153867, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 484, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153868, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 60, 10, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153869, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 36, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153870, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 31, 13, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153871, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 75, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153872, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 335, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153873, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 293, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153874, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 202, 7, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153875, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 147, 13, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153876, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 919, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153877, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 26, 8, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153878, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 39, 16, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153879, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 2, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153880, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 8, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153881, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153882, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 39, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153883, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 6, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153884, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 585, 10, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153885, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 3002, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153886, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1394, 19, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153887, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1707, 23, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153888, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 553, 10, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153889, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 392, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153890, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1646, 12, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153891, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 418, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153892, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 1105, 7, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153893, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 638, 8, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153894, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 183, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153895, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 269, 14, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153896, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 833, 54, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153897, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 572, 36, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153898, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 175, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153899, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 770, 61, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153900, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 224, 21, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153901, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '宜宾市市场监管局', '', '1D03', 4, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153902, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153903, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B12', 152, 15, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153904, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '市医保局', '', '1E19', 3, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153905, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 244, 11, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153906, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 251, 17, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153907, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 144, 8, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153908, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 158, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153909, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 40, 15, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153910, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 840, 34, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153911, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 214, 10, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153912, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 328, 18, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153913, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 14, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153914, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 162, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153915, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 19, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153916, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 71, 20, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153917, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 30, 14, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153918, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 128, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153919, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 786, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153920, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 28, 13, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153921, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 127, 57, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153922, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 6, 11, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153923, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 52, 15, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153924, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 51, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153925, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 190, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153926, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 326, 6, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153927, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C10', 338, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153928, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 419, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153929, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 30, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153930, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 15, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153931, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 241, 9, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153932, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 179, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153933, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 1248, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153934, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 368, 14, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153935, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 230, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153936, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 39, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153937, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 242, 23, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153938, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 590, 11, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153939, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 6501, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153940, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 72, 21, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153941, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 215, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153942, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 2963, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153943, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 199, 21, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153944, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 54, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153945, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 31, 4, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153946, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 98, 32, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153947, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 170, 33, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153948, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 198, 2, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153949, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 224, 28, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153950, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 78, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153951, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 106, 28, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153952, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E28', 32, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153953, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 18, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153954, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 325, 11, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153955, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 36, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153956, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 127, 25, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153957, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 72, 38, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153958, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 227, 42, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153959, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 343, 41, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153960, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153961, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 964, 5, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153962, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C04', 4, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153963, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 1385, 3, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153964, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D09', 10, 1, 2024, 7, 9, '2024-08-05 14:08:16', NULL, NULL), (153965, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 41, 95, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153966, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 211, 27, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153967, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 568, 22, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153968, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 270, 166, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153969, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 72, 42, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153970, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 332, 475, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153971, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 81, 88, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153972, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 852, 102, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153973, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1616, 146, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153974, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 331, 476, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153975, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 364, 50, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153976, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 72, 42, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153977, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 844, 103, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153978, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 267, 168, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153979, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1616, 146, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153980, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 41, 95, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153981, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 81, 88, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153982, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 112, 37, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153983, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 5, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153984, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 551, 13, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153985, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 102, 11, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153986, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 86, 13, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153987, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 388, 14, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153988, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 41, 95, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153989, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 27, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153990, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 26, 29, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153991, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 187, 3, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153992, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153993, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 101, 3, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153994, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 922, 26, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153995, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 104, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153996, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 645, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153997, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 771, 141, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153998, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 324, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (153999, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 129, 248, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154000, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 793, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154001, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 165, 8, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154002, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 57, 12, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154003, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 81, 88, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154004, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 849, 39, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154005, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 215, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154006, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 74, 55, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154007, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 24, 14, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154008, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 246, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154009, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 852, 102, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154010, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 1462, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154011, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 2574, 76, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154012, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 197, 87, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154013, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 677, 7, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154014, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 228, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154015, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 120, 7, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 163, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 1104, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 58, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 562, 34, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 155, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 48, 13, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1126, 29, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 922, 26, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 51, 12, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 40, 10, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 24, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 12, 10, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 787, 7, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 138, 13, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 165, 7, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 60, 14, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 1463, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 292, 8, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 322, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 124, 40, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 346, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 80, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 63, 38, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 451, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 645, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 55, 30, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 7, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1430, 3, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 120, 34, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 155, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1405, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 131, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 102, 30, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1119, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 2, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 126, 15, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 9, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 633, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 77, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 1462, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 104, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 207, 20, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 363, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 356, 19, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 769, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 879, 35, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 51, 3, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 112, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 130, 7, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 8, 3, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 113, 18, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 563, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 176, 8, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 268, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 43, 17, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 56, 12, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 158, 19, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 25, 16, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 23, 16, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 2444, 18, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 19, 17, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 65, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 38, 17, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 388, 14, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 74, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 398, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 51, 11, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 106, 11, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 169, 41, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 46, 14, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 793, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 425, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 769, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 3023, 18, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 52, 18, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 324, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 2541, 19, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 2328, 21, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 681, 39, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 67, 13, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 246, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 852, 55, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 25, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 180, 3, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 57, 12, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 28, 9, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 750, 47, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 226, 45, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154108, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 852, 102, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154109, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 199, 86, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154110, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 129, 248, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154111, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 645, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154112, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 86, 13, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154113, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 101, 3, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154114, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 57, 12, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154115, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 2574, 76, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154116, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 1462, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154117, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 27, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154118, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 41, 95, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154119, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 165, 8, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154120, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 246, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154121, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 388, 14, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154122, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 102, 11, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154123, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 922, 26, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154124, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 24, 14, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154125, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 228, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154126, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 81, 88, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154127, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 771, 141, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154128, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 120, 7, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154129, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 5, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154130, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 187, 3, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154131, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 677, 7, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154132, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 26, 29, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154133, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 324, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154134, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 597, 12, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154135, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 104, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154136, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 849, 39, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154137, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 112, 37, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154138, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 74, 55, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154139, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 793, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154140, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 322, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154141, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 163, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154142, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 1463, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154143, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 165, 7, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154144, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 363, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154145, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 169, 41, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154146, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 388, 14, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154147, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 226, 45, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154148, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 52, 18, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154149, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 645, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154150, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 106, 11, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154151, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 19, 17, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154152, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 38, 17, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154153, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 25, 16, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154154, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 23, 16, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154155, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 268, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154156, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 25, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154157, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 398, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154158, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 74, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154159, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 1462, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154160, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 46, 14, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154161, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1430, 3, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154162, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 451, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154163, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 155, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154164, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 346, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154165, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 769, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154166, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 633, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154167, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 1119, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154168, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 1405, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154169, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 2444, 18, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154170, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 51, 12, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154171, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 852, 55, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154172, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 750, 47, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154173, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 681, 39, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154174, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 324, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154175, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 787, 7, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154176, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 3023, 18, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154177, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 126, 15, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154178, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 2541, 19, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154179, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 2328, 21, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154180, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 124, 40, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154181, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 292, 8, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154182, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 57, 12, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154183, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 356, 19, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154184, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 207, 20, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154185, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 60, 14, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154186, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 102, 30, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154187, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 138, 13, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154188, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 120, 34, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154189, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 24, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154190, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 55, 30, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154191, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 40, 10, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154192, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 63, 38, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154193, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 322, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154194, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 246, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154195, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154196, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154197, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 51, 11, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154198, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 65, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154199, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 130, 7, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154200, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 176, 8, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154201, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 113, 18, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154202, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 562, 34, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154203, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 43, 17, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154204, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 1126, 29, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154205, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 1104, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154206, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 793, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154207, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 5, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154208, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 58, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154209, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 563, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154210, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154211, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 155, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154212, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 27, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154213, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 879, 35, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154214, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 67, 13, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154215, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 28, 9, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154216, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154217, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 80, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154218, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 2, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154219, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 40, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (154220, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 104, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154221, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 51, 3, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154222, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 425, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154223, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 112, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154224, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 769, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154225, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 8, 3, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154226, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 268, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154227, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 9, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154228, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 7, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154229, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 158, 19, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154230, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 56, 12, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154231, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 131, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154232, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 922, 26, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154233, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 51, 11, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154234, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 77, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154235, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 12, 10, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154236, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 8, 3, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154237, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 268, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154238, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 51, 3, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154239, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 112, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154240, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 158, 19, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154241, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 56, 12, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154242, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 74, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154243, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 398, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154244, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 2328, 21, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154245, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 2541, 19, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154246, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 3023, 18, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154247, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 879, 35, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154248, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 46, 14, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154249, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 57, 12, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154250, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 169, 41, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154251, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 1104, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154252, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 322, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154253, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 155, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154254, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 131, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154255, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 9, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154256, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 1462, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154257, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 645, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154258, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 77, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154259, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 7, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154260, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154261, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 563, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154262, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 226, 45, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154263, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154264, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 750, 47, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154265, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 852, 55, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154266, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 681, 39, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154267, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 388, 14, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154268, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 2444, 18, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154269, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 562, 34, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154270, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1126, 29, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154271, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 23, 16, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154272, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 12, 10, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154273, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 922, 26, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154274, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 19, 17, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154275, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 58, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154276, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 165, 7, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154277, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 163, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154278, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 25, 16, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154279, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 155, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154280, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 38, 17, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154281, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 106, 11, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154282, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 51, 12, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154283, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 138, 13, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154284, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 43, 17, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154285, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 176, 8, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154286, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 60, 14, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154287, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 48, 13, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154288, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 40, 10, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154289, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 24, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154290, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1119, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154291, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1405, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154292, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 51, 11, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154293, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1430, 3, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154294, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 113, 18, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154295, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 130, 7, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154296, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 451, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154297, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 346, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154298, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 65, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154299, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 363, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154300, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 52, 18, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154301, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 1463, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154302, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 104, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154303, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154304, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 80, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154305, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154306, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154307, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 246, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154308, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 324, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154309, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 28, 9, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154310, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 67, 13, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154311, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 769, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154312, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 633, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154313, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 769, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154314, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 425, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154315, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 126, 15, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154316, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 793, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154317, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 102, 30, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154318, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 25, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154319, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 787, 7, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154320, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 120, 34, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154321, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 55, 30, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154322, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 180, 3, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154323, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 63, 38, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154324, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 124, 40, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154325, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 292, 8, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154326, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 356, 19, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154327, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 207, 20, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154328, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 879, 35, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154329, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 165, 7, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154330, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 562, 34, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154331, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 163, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154332, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 1104, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154333, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 324, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154334, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 1126, 29, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154335, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154336, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 158, 19, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154337, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 40, 10, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154338, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 24, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154339, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 346, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154340, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 138, 13, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154341, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 60, 14, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154342, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 451, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154343, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1430, 3, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154344, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 1405, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154345, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 1119, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154346, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 51, 12, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154347, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 633, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154348, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 769, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154349, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 80, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154350, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154351, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 2, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154352, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154353, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 56, 12, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154354, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 27, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154355, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 769, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154356, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 2541, 19, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154357, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 2328, 21, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154358, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 425, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154359, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 12, 10, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154360, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 3023, 18, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154361, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 645, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154362, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 51, 11, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154363, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 104, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154364, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 750, 47, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154365, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 681, 39, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154366, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 77, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154367, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 852, 55, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154368, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 67, 13, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154369, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 28, 9, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154370, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154371, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 563, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154372, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 51, 11, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154373, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 130, 7, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154374, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 113, 18, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154375, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 65, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154376, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 2444, 18, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154377, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 52, 18, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154378, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 388, 14, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154379, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 176, 8, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154380, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 43, 17, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154381, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 322, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154382, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 268, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154383, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 8, 3, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154384, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 57, 12, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154385, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 19, 17, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154386, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 38, 17, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154387, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 106, 11, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154388, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 226, 45, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154389, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 25, 16, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154390, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 23, 16, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154391, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 112, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154392, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 51, 3, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154393, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 1462, 4, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154394, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 398, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154395, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 7, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154396, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 74, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154397, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 793, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154398, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 9, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154399, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 787, 7, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154400, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 155, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154401, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 46, 14, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154402, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 58, 6, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154403, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 922, 26, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154404, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 131, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154405, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 207, 20, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154406, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 25, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154407, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 246, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154408, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 120, 34, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154409, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 55, 30, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154410, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 126, 15, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154411, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 268, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154412, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 102, 30, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154413, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 292, 8, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154414, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 155, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154415, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 356, 19, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154416, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 63, 38, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154417, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 124, 40, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154418, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 169, 41, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154419, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 363, 5, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154420, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C04', 40, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154421, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D07', 5, 1, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154422, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 1463, 2, 2024, 7, 10, '2024-08-05 14:08:20', NULL, NULL), (154423, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 34, 105, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154424, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 209, 42, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154425, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 528, 38, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154426, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 105, 213, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154427, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 544, 94, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154428, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 203, 549, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154429, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 854, 140, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154430, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1350, 168, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154431, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 358, 155, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154432, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 211, 550, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154433, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 352, 82, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154434, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 544, 94, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154435, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 854, 140, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154436, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 105, 213, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154437, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1323, 168, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154438, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 34, 105, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154439, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 358, 155, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154440, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 162, 2, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154441, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 130, 40, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154442, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 19, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154443, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 265, 23, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154444, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 43, 11, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154445, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 108, 26, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154446, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 636, 26, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154447, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 34, 105, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154448, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 737, 8, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154449, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 452, 57, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154450, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 451, 5, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154451, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 916, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154452, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 2218, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154453, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 58, 22, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154454, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 265, 10, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154455, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 518, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154456, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 4415, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154457, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 595, 142, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154458, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 384, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154459, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 46, 316, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154460, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 1007, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154461, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 227, 20, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154462, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 242, 23, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154463, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 358, 155, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154464, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 137, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154465, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 451, 38, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154466, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1871, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154467, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 71, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154468, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 18, 27, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154469, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 40, 78, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154470, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 9, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154471, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 864, 138, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154472, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 210, 9, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154473, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 606, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154474, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 2589, 71, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154475, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 138, 91, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154476, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 1133, 5, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154477, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 160, 17, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154478, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 833, 11, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 847, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 392, 23, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 697, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 198, 17, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 28, 13, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 65, 28, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 182, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 27, 46, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 518, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 344, 5, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 53, 38, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 305, 11, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 551, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 37, 39, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 50, 41, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 2102, 5, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 211, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 1009, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 93, 25, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 880, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 420, 16, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 333, 5, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 22, 22, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 49, 33, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 377, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 394, 26, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 264, 15, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 463, 21, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 50, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 295, 27, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 39, 21, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 9, 15, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 32, 18, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 21, 17, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 667, 9, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 310, 18, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 82, 15, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 130, 49, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 42, 31, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 1007, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 201, 16, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 411, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 24, 19, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 635, 43, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 341, 20, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 512, 59, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 320, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 439, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 4415, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 215, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 673, 40, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 380, 13, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 148, 42, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 2003, 11, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 8, 8, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 135, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 664, 49, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 901, 27, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 58, 22, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 162, 2, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 46, 13, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 30, 17, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 25, 13, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 46, 9, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 33, 20, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3650, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 26, 14, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 1871, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 23, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 5, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 95, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 203, 10, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 265, 10, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 504, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 791, 51, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 82, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 131, 11, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 100, 8, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 7, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 199, 23, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 117, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 46, 12, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 3158, 22, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 218, 10, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 636, 26, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 76, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 916, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1226, 8, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2675, 24, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 384, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 2519, 16, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 9, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 262, 21, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 26, 2, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154578, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 864, 138, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154579, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 138, 91, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154580, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 46, 316, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154581, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 518, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154582, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 108, 26, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154583, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 2218, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154584, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 606, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154585, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 242, 23, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154586, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 2626, 70, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154587, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 210, 9, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154588, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 737, 8, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154589, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 34, 105, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154590, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 215, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154591, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 9, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154592, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 227, 20, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154593, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 137, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154594, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 636, 26, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154595, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 43, 11, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154596, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 58, 22, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154597, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 18, 27, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154598, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 162, 2, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154599, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154600, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 358, 155, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154601, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 4415, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154602, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 595, 142, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154603, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 160, 17, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154604, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 19, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154605, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 451, 5, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154606, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 916, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154607, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 1133, 5, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154608, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 452, 57, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154609, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 384, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154610, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 265, 23, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154611, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 265, 10, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154612, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 451, 38, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154613, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 130, 40, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154614, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 40, 78, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154615, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1871, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154616, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 1007, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154617, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 397, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154618, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3650, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154619, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 504, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154620, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 916, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154621, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 198, 17, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154622, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 130, 49, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154623, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 636, 26, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154624, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 148, 42, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154625, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 24, 19, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154626, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 518, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154627, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 82, 15, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154628, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 32, 18, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (154629, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 21, 17, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154630, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 39, 21, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154631, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 9, 15, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154632, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 439, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154633, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 471, 2, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154634, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 76, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154635, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 218, 10, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154636, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 26, 2, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154637, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 210, 9, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154638, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 42, 31, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154639, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 551, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154640, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 344, 5, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154641, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 182, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154642, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 95, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154643, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 162, 2, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154644, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 377, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154645, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 333, 5, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154646, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 880, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154647, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 211, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154648, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 3158, 22, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154649, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 46, 13, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154650, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 512, 59, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154651, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 673, 40, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154652, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 635, 43, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154653, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 384, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154654, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1226, 8, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154655, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 697, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154656, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 93, 25, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154657, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 2675, 24, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154658, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 137, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154659, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 2519, 16, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154660, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 65, 28, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154661, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 28, 13, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154662, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 262, 21, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154663, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 49, 33, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154664, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 22, 22, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154665, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 606, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154666, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 50, 41, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154667, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 33, 20, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154668, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 46, 9, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154669, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 37, 39, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154670, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 25, 13, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154671, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 53, 38, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154672, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 30, 17, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154673, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 27, 46, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154674, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 1871, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154675, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 9, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154676, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 7, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154677, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 26, 14, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154678, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 310, 18, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154679, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 667, 9, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154680, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 264, 15, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154681, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 394, 26, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154682, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 50, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154683, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 463, 21, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154684, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 664, 49, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154685, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 295, 27, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154686, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 901, 27, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154687, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 2003, 11, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154688, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D09', 19, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154689, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 1007, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154690, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154691, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 8, 8, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154692, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154693, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 135, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154694, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C06', 1240, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154695, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 856, 2, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154696, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 791, 51, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154697, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 341, 20, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154698, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 380, 13, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154699, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154700, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 23, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154701, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 5, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154702, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154703, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C10', 579, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154704, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 265, 10, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154705, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 201, 16, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154706, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 82, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154707, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 215, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154708, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 411, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154709, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 131, 11, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154710, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 100, 8, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154711, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C11', 414, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154712, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 383, 13, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154713, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 4415, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154714, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 305, 11, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154715, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 46, 12, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154716, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 117, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154717, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C09', 604, 2, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154718, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 180, 22, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154719, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 2102, 5, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154720, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C11', 2796, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154721, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 58, 22, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154722, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C03', 837, 2, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154723, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 963, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154724, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 371, 21, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154725, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 131, 11, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154726, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 100, 8, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154727, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 82, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154728, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 46, 12, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154729, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 199, 23, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154730, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 117, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154731, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 218, 10, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154732, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 76, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154733, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 2519, 16, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154734, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2675, 24, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154735, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1226, 8, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154736, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 791, 51, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154737, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 42, 31, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154738, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 26, 2, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154739, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 262, 21, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154740, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 130, 49, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154741, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 1871, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154742, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 2003, 11, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154743, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 95, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154744, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 2102, 5, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154745, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 1009, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154746, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 420, 16, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154747, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 203, 10, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154748, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 518, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154749, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 305, 11, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154750, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 7, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154751, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 148, 42, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154752, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154753, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 673, 40, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154754, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154755, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 512, 59, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154756, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 635, 43, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154757, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 916, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154758, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 636, 26, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154759, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 3158, 22, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154760, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 664, 49, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154761, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 901, 27, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154762, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 162, 2, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154763, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 392, 23, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154764, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 58, 22, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154765, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 198, 17, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154766, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 8, 8, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154767, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 833, 11, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154768, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 135, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154769, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 46, 13, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154770, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 295, 27, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154771, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 46, 9, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154772, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 50, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154773, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 33, 20, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154774, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 847, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154775, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 30, 17, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154776, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 25, 13, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154777, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 394, 26, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154778, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 880, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154779, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 310, 18, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154780, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 211, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154781, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 551, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154782, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 463, 21, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154783, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 264, 15, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154784, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 344, 5, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154785, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 182, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154786, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 667, 9, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154787, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 380, 13, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154788, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 341, 20, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154789, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 377, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154790, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 333, 5, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154791, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 697, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154792, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 9, 15, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154793, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 32, 18, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154794, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 39, 21, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154795, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 21, 17, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154796, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 82, 15, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154797, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 504, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154798, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3650, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154799, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 24, 19, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154800, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 265, 10, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154801, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154802, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 26, 14, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154803, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 23, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154804, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154805, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154806, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 9, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154807, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 384, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154808, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 411, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154809, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 215, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154810, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 4415, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154811, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 93, 25, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154812, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 201, 16, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154813, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 1007, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154814, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 50, 41, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154815, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 320, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154816, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 37, 39, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154817, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 53, 38, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154818, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 439, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154819, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 27, 46, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154820, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 65, 28, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154821, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 28, 13, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154822, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 49, 33, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154823, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 22, 22, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154824, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 162, 2, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154825, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 791, 51, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154826, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 198, 17, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154827, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 664, 49, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154828, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 397, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154829, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 2003, 11, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154830, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 384, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154831, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 901, 27, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154832, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154833, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154834, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 46, 12, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154835, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 30, 17, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154836, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 25, 13, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154837, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 182, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154838, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 46, 9, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154839, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 344, 5, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154840, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 33, 20, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154841, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 551, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154842, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 211, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154843, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 880, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154844, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 333, 5, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154845, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 46, 13, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154846, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 377, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154847, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 23, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154848, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 26, 14, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154849, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 5, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154850, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154851, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154852, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 117, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154853, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 180, 22, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154854, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 411, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154855, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 856, 2, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154856, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 2519, 16, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154857, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 201, 16, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154858, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1226, 8, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154859, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 371, 21, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154860, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 518, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154861, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 2675, 24, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154862, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C06', 963, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154863, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C03', 837, 2, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154864, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 606, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154865, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 265, 10, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154866, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 673, 40, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154867, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 635, 43, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154868, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 512, 59, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154869, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 341, 20, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154870, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 380, 13, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154871, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 7, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154872, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 4415, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154873, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 310, 18, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154874, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 394, 26, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154875, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 264, 15, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154876, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 463, 21, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154877, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 667, 9, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154878, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 3158, 22, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154879, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 24, 19, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154880, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 636, 26, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154881, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 50, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154882, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 295, 27, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154883, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 1871, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154884, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 100, 8, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154885, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 131, 11, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154886, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 262, 21, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154887, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 32, 18, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154888, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 21, 17, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154889, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 215, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154890, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 82, 15, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154891, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 148, 42, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154892, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 39, 21, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154893, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 9, 15, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154894, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 26, 2, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154895, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 82, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154896, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 916, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154897, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C10', 579, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154898, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 210, 9, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154899, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 76, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154900, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 305, 11, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154901, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 218, 10, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154902, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 1007, 7, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154903, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C11', 414, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154904, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 383, 13, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154905, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C09', 604, 2, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154906, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C06', 1240, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154907, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 697, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154908, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 135, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154909, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 42, 31, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154910, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 8, 8, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154911, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 58, 22, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154912, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 2102, 5, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154913, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C11', 2796, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154914, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 137, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154915, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 22, 22, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154916, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 471, 2, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154917, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 9, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154918, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 37, 39, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154919, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 53, 38, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154920, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 93, 25, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154921, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 439, 3, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154922, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 50, 41, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154923, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 28, 13, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154924, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 95, 6, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154925, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 49, 33, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154926, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 27, 46, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154927, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 65, 28, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154928, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 130, 49, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154929, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 504, 4, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154930, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 3650, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154931, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D09', 19, 1, 2024, 7, 11, '2024-08-05 14:08:24', NULL, NULL), (154932, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 17, 69, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154933, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 43, 29, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154934, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 862, 47, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154935, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 112, 195, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154936, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 522, 49, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154937, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 244, 459, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154938, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 603, 206, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154939, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 264, 123, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154940, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1247, 168, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154941, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 243, 461, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154942, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 535, 78, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154943, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 492, 52, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154944, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 258, 126, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154945, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 111, 197, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154946, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1240, 169, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154947, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 17, 70, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154948, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 603, 206, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154949, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 65, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154950, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 97, 39, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154951, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 434, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154952, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 258, 22, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154953, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 17, 11, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154954, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 40, 12, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154955, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 446, 18, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154956, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 17, 70, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154957, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 262, 2, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154958, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 371, 33, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154959, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 114, 12, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154960, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154961, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1327, 5, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154962, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 166, 22, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154963, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 38, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154964, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154965, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 11781, 2, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154966, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 561, 152, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154967, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 396, 7, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154968, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 77, 260, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154969, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 645, 8, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154970, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 1128, 8, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154971, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '', 1007, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154972, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 94, 25, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154973, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 603, 206, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154974, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 724, 34, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154975, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154976, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 781, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154977, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 44, 2, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154978, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 51, 20, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154979, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 67, 83, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154980, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 399, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154981, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 266, 122, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154982, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '', '', '', 174, 2, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154983, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 17, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154984, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 2006, 87, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154985, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 136, 49, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154986, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 3, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154987, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 8, 5, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154988, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 92, 11, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 905, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 226, 15, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 4, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 264, 36, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 33, 5, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 305, 32, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 174, 21, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 65, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 265, 2, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 46, 15, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (154999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 94, 23, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 130, 12, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 294, 16, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 33, 13, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 597, 5, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 532, 7, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 37, 14, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 69, 7, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 781, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 114, 37, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 867, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 39, 46, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 16, 5, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 621, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 65, 41, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 221, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 639, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 90, 37, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 1327, 5, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 30, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 113, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 777, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 57, 33, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 600, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 5, 8, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 188, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 83, 19, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 405, 12, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 656, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 38, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 17, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (155031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 128, 9, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 2, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 64, 18, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1545, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 250, 39, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 463, 31, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 9, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 508, 19, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 229, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 615, 22, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 22, 11, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 651, 30, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 136, 15, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 148, 8, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 36, 16, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 29, 13, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 20, 15, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1611, 21, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 8, 14, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 552, 15, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 70, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 446, 18, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 23, 12, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 105, 7, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 568, 28, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 8, 9, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 142, 37, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 158, 12, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 1128, 8, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 310, 16, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 152, 7, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 1847, 21, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1975, 14, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 4297, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 5, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 396, 7, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 614, 47, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 2112, 27, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 399, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 647, 31, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 587, 62, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 114, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 96, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 94, 25, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 245, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 11781, 2, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 89, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 767, 30, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 465, 43, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 128, 11, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155082, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 266, 122, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155083, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 139, 48, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155084, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 78, 259, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155085, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 40, 12, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155086, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1327, 5, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155087, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 94, 25, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155088, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 2006, 87, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155089, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 17, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155090, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 262, 2, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155091, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 17, 69, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155092, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 89, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155093, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 399, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155094, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 645, 8, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155095, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 446, 18, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155096, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 17, 11, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155097, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 174, 21, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155098, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 51, 20, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155099, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 65, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155100, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 8, 5, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155101, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 603, 206, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155102, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 11781, 2, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155103, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 561, 152, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155104, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 92, 11, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155105, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 434, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155106, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 114, 12, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155107, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 3, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155108, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '宜宾市市场监管局', '', '', 174, 2, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155109, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 371, 33, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155110, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 396, 7, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155111, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '', 1007, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155112, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 270, 21, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155113, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 38, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155114, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 746, 33, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155115, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 97, 39, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155116, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 67, 83, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155117, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 1128, 8, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155118, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 781, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155119, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1440, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155120, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155121, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 2, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155122, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 532, 7, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155123, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 142, 37, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155124, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 446, 18, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155125, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 128, 11, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155126, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 5, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155127, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 8, 9, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155128, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 8, 14, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155129, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 23, 12, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155130, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 29, 13, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155131, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 20, 15, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155132, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 96, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155133, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 151, 2, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155134, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 114, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155135, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 105, 7, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155136, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 70, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155137, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '2C06', 1007, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155138, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 17, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155139, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 158, 12, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155140, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 639, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155141, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 621, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155142, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 30, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155143, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 867, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155144, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 65, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155145, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 1545, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155146, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 656, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155147, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 188, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155148, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 777, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155149, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1611, 21, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155150, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 46, 15, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155151, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 587, 62, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155152, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 465, 43, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155153, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 614, 47, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155154, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 396, 7, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155155, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 1847, 21, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155156, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 597, 5, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155157, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 83, 19, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155158, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 4297, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155159, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1975, 14, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155160, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 2112, 27, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155161, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 114, 37, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155162, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 69, 7, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155163, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 94, 25, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155164, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 64, 18, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155165, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 128, 9, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155166, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 37, 14, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155167, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 57, 33, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155168, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 33, 13, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155169, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 90, 37, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155170, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 130, 12, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155171, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 65, 41, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155172, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 94, 23, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155173, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 39, 46, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155174, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 781, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155175, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 399, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155176, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 568, 28, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155177, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 552, 15, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155178, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 508, 19, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155179, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 463, 31, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155180, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 615, 22, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155181, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 264, 36, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155182, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 651, 30, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155183, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 305, 32, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155184, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 226, 15, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155185, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 1128, 8, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155186, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 434, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155187, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 9, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155188, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 4, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155189, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155190, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 33, 5, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155191, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 250, 39, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155192, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '', '', '1D03', 174, 2, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155193, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 647, 31, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155194, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 767, 30, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155195, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 221, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155196, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 113, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155197, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 16, 5, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155198, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 5, 8, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155199, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 38, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155200, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C10', 71, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155201, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 330, 14, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155202, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 89, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155203, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 152, 7, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155204, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 229, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155205, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 22, 11, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155206, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C11', 600, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155207, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 436, 11, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155208, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 11781, 2, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155209, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 36, 16, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155210, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 148, 8, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155211, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C09', 454, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155212, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 136, 15, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155213, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 1327, 5, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155214, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 174, 21, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155215, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C03', 265, 2, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155216, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 270, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155217, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 284, 15, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155218, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 229, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155219, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 22, 11, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155220, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 36, 16, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155221, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 136, 15, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155222, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 148, 8, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155223, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 70, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155224, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 105, 7, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155225, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 2112, 27, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155226, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 4297, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155227, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1975, 14, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155228, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 1847, 21, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155229, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 250, 39, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155230, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 158, 12, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155231, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 94, 25, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155232, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 142, 37, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155233, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 226, 15, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155234, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 781, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155235, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 30, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155236, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 1327, 5, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155237, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 600, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155238, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 405, 12, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155239, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 17, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155240, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 128, 11, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155241, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155242, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 465, 43, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155243, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 9, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155244, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 587, 62, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155245, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 614, 47, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155246, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 446, 18, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155247, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1611, 21, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155248, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 264, 36, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155249, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 305, 32, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155250, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 65, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155251, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 20, 15, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155252, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 294, 16, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155253, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 174, 21, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155254, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 8, 14, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155255, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 532, 7, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155256, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 4, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155257, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 905, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155258, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 29, 13, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155259, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 33, 5, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155260, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 23, 12, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155261, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 8, 9, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155262, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 46, 15, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155263, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 33, 13, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155264, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 651, 30, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155265, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 615, 22, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155266, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 37, 14, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155267, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 265, 2, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155268, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 94, 23, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155269, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 130, 12, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155270, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 188, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155271, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 463, 31, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155272, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 568, 28, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155273, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 777, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155274, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 639, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155275, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 508, 19, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155276, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 621, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155277, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 867, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155278, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 552, 15, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155279, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 2, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155280, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155281, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 5, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155282, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 38, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155283, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 16, 5, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155284, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 221, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155285, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 113, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155286, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 8, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155287, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 399, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155288, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 396, 7, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155289, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 767, 30, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155290, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 647, 31, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155291, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1545, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155292, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 656, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155293, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 152, 7, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155294, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 89, 1, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155295, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 11781, 2, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155296, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 310, 16, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155297, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 83, 19, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155298, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 1128, 8, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155299, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 57, 33, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155300, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 597, 5, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155301, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 114, 6, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155302, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 90, 37, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155303, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 65, 41, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155304, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 245, 3, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155305, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 39, 46, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155306, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 96, 4, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155307, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 114, 37, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155308, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 69, 7, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155309, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 64, 18, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155310, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 128, 9, 2024, 7, 12, '2024-08-05 14:08:28', NULL, NULL), (155311, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 65, 1, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155312, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 250, 39, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155313, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 532, 7, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155314, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 264, 36, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155315, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1440, 1, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155316, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 226, 15, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155317, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 396, 7, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155318, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 305, 32, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155319, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 1, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155320, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 9, 4, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155321, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 36, 16, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155322, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 94, 23, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155323, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 130, 12, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155324, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 33, 13, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155325, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 867, 4, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155326, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 621, 3, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155327, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 37, 14, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155328, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 639, 6, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155329, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 777, 4, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155330, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 188, 3, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155331, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 46, 15, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155332, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 656, 4, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155333, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 1545, 4, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155334, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '2C06', 1007, 1, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155335, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 221, 1, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155336, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 16, 5, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155337, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 5, 8, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155338, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 113, 6, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155339, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 148, 8, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155340, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 136, 15, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155341, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 152, 7, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155342, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 4297, 4, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155343, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 2112, 27, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155344, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 330, 14, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155345, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 1847, 21, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155346, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 284, 15, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155347, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1975, 14, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155348, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C06', 270, 1, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155349, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C03', 265, 2, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155350, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 38, 6, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155351, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 465, 43, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155352, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 614, 47, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155353, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 587, 62, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155354, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 647, 31, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155355, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 767, 30, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155356, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '宜宾市市场监管局', '', '1D03', 174, 2, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155357, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 11781, 2, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155358, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 568, 28, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155359, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 463, 31, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155360, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 508, 19, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155361, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 552, 15, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155362, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1611, 21, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155363, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 5, 6, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155364, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 446, 18, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155365, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 615, 22, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155366, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 651, 30, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155367, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 781, 4, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155368, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 22, 11, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155369, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 229, 1, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155370, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 94, 25, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155371, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 8, 14, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155372, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 23, 12, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155373, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 89, 1, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155374, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 8, 9, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155375, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 128, 11, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155376, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 29, 13, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155377, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 20, 15, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155378, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C10', 71, 1, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155379, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 17, 4, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155380, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 105, 7, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155381, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 70, 4, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155382, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 1128, 8, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155383, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C11', 600, 4, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155384, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 436, 11, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155385, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C09', 454, 1, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155386, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 597, 5, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155387, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 33, 5, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155388, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 158, 12, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155389, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 4, 6, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155390, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 174, 21, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155391, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 1327, 5, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155392, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 128, 9, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155393, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 399, 3, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155394, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 114, 6, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155395, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 90, 37, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155396, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 65, 41, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155397, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 96, 4, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155398, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 83, 19, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155399, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 151, 2, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155400, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 57, 33, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155401, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 69, 7, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155402, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 30, 6, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155403, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 64, 18, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155404, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 39, 46, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155405, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 114, 37, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155406, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 142, 37, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155407, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 2, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155408, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D07', 434, 1, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155409, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 1, 2024, 7, 12, '2024-08-05 14:08:29', NULL, NULL), (155410, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 11, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155411, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 54, 8, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155412, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 550, 105, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155413, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 82, 50, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155414, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 87, 11, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155415, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 550, 105, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155416, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 82, 50, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155417, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 43, 10, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155418, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 11, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155419, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 87, 11, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155420, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 0, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155421, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 25, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155422, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 48, 3, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155423, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 42, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155424, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 282, 14, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155425, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 902, 52, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155426, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 11, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155427, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 50, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155428, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 107, 8, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155429, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 62, 4, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (155430, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 177, 39, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155431, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 82, 50, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 56, 10, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 42, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 77, 16, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 207, 19, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 98, 12, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 48, 3, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 42, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 50, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 11, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 48, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 200, 9, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 85, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 931, 25, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 62, 4, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 252, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 25, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 105, 11, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 282, 14, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 874, 27, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 96, 12, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155452, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 82, 50, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155453, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 282, 14, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155454, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 177, 39, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155455, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 42, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155456, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 25, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155457, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 48, 3, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155458, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 107, 8, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155459, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 62, 4, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155460, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 50, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155461, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 11, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155462, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 902, 52, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155463, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 62, 4, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155464, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 25, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155465, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 96, 12, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155466, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 50, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155467, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 282, 14, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155468, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 931, 25, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155469, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 874, 27, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155470, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 77, 16, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155471, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 98, 12, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155472, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 56, 10, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155473, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 252, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155474, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 48, 3, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155475, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 42, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155476, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 207, 19, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155477, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 11, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155478, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 85, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155479, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 105, 11, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155480, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 42, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155481, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 48, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155482, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 200, 9, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155483, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 48, 3, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155484, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 42, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155485, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 56, 10, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155486, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 62, 4, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155487, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 85, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155488, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 48, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155489, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 50, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155490, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 96, 12, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155491, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 42, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155492, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 874, 27, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155493, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 931, 25, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155494, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 25, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155495, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 200, 9, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155496, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 252, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155497, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 11, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155498, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 207, 19, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155499, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 77, 16, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155500, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 98, 12, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155501, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 105, 11, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155502, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 282, 14, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155503, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 252, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155504, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 42, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155505, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 42, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155506, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 282, 14, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155507, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 96, 12, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155508, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 48, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155509, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 85, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155510, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 62, 4, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155511, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 11, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155512, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 48, 3, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155513, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 77, 16, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155514, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 56, 10, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155515, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 98, 12, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155516, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 874, 27, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155517, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 931, 25, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155518, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 25, 2, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155519, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 200, 9, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155520, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 105, 11, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155521, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 50, 1, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155522, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 207, 19, 2024, 7, 13, '2024-08-05 14:08:30', NULL, NULL), (155523, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 30, 2, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155524, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 59, 6, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155525, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 156, 69, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155526, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 122, 50, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155527, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 407, 4, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155528, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 156, 69, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155529, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 120, 51, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155530, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 59, 6, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155531, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 30, 2, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155532, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 407, 4, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155533, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 1, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155534, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 92, 3, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155535, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 405, 14, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155536, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 135, 33, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155537, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 30, 2, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155538, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 407, 4, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155539, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 27, 3, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155540, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 30, 22, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155541, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 122, 50, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 136, 13, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 106, 12, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 4, 6, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 92, 3, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 131, 12, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 33, 1, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 40, 7, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 810, 2, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 168, 17, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 5, 1, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 30, 2, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 24, 2, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 405, 14, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 40, 9, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 3, 1, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 99, 16, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 117, 13, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155559, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 122, 50, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155560, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 405, 14, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155561, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 30, 22, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155562, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 92, 3, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155563, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 407, 4, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155564, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 27, 3, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155565, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 30, 2, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155566, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 135, 33, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155567, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 117, 13, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155568, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 168, 17, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155569, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 405, 14, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155570, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 99, 16, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155571, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 106, 12, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155572, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 131, 12, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155573, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 136, 13, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155574, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 92, 3, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155575, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 30, 2, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155576, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 33, 1, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155577, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 4, 6, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155578, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 3, 1, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155579, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 5, 1, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155580, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 40, 9, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155581, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 810, 2, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155582, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 40, 7, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155583, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 24, 2, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155584, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 92, 3, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155585, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 30, 2, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155586, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 136, 13, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155587, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 33, 1, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155588, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 24, 2, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155589, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 3, 1, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155590, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 5, 1, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155591, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 810, 2, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155592, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 117, 13, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155593, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 99, 16, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155594, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 168, 17, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155595, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 40, 7, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155596, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 4, 6, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155597, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 106, 12, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155598, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 405, 14, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155599, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 40, 9, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155600, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 131, 12, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155601, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 24, 2, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155602, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 405, 14, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155603, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 117, 13, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155604, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 810, 2, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155605, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 5, 1, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155606, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 3, 1, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155607, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 30, 2, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155608, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 92, 3, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155609, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 106, 12, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155610, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 136, 13, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155611, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 131, 12, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155612, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 99, 16, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155613, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 168, 17, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155614, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 40, 7, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155615, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 33, 1, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155616, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 40, 9, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155617, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 4, 6, 2024, 7, 14, '2024-08-05 14:08:31', NULL, NULL), (155618, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 124, 111, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155619, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 65, 87, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155620, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 223, 43, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155621, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 248, 206, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155622, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 379, 59, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155623, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 503, 630, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155624, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 1292, 134, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155625, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 770, 270, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155626, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 261, 85, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155627, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 503, 630, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155628, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 116, 131, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155629, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 379, 59, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155630, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 1292, 134, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155631, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 245, 208, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155632, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 261, 85, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155633, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 124, 111, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155634, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 770, 270, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155635, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 63, 39, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155636, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 5, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155637, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 248, 21, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155638, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 63, 17, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155639, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 25, 10, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155640, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 110, 12, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155641, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 124, 111, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155642, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 336, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155643, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 237, 33, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155644, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 202, 18, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155645, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 276, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155646, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 634, 2, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155647, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 1347, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155648, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1481, 6, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155649, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 67, 20, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155650, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 85, 17, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155651, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 19, 7, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155652, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 1148, 198, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155653, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 149, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155654, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 199, 344, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155655, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 185, 4, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155656, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 390, 10, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155657, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 16, 13, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155658, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 770, 270, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155659, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 516, 30, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155660, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 91, 2, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155661, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155662, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 3622, 7, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155663, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 68, 62, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155664, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 58, 92, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155665, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1414, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155666, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 4506, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155667, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 1291, 133, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155668, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 6, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155669, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 256, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155670, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 254, 19, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155671, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 238, 88, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155672, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 2, 8, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155673, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 350, 7, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155674, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 10, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 615, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 119, 15, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 634, 2, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 341, 11, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 452, 6, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 419, 9, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 264, 29, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 123, 37, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 280, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 98, 37, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 19, 7, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 431, 2, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 216, 47, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 124, 2, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 174, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 207, 51, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1191, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 846, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 303, 29, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 707, 6, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 1593, 4, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 225, 30, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 174, 27, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 238, 32, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 409, 6, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 495, 43, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 873, 45, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 618, 46, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 1648, 10, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 977, 7, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 118, 24, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 88, 21, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 74, 23, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 1073, 31, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 346, 12, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 151, 9, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 199, 12, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 256, 40, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 166, 25, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 185, 4, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 308, 15, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 115, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 87, 22, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1107, 46, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 499, 39, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1096, 73, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 108, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 112, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 282, 9, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 1091, 37, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1220, 79, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 223, 48, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 30, 8, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 93, 9, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 1463, 44, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 1154, 41, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 67, 20, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 73, 15, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 46, 18, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 58, 11, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 90, 13, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 46, 20, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 2, 2, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 6336, 4, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 56, 22, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 4, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 84, 15, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 178, 7, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 54, 11, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 38, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 41, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 22, 13, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 85, 17, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 63, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 6, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 1252, 48, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 11, 4, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 8, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 8, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 5, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 41, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 64, 15, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 50, 10, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 83, 15, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 300, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 386, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 110, 12, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 276, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 258, 2, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A22', 1347, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 265, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 227, 6, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 149, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 4506, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 210, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1414, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 16, 13, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155774, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 1291, 133, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155775, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 238, 88, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155776, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 199, 344, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155777, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 19, 7, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155778, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 25, 10, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155779, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 1481, 6, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155780, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 16, 13, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155781, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 256, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155782, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 254, 19, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155783, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 6, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155784, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 336, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155785, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 124, 111, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155786, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 1414, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155787, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 390, 10, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155788, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 91, 2, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155789, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 110, 12, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155790, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 63, 17, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155791, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 67, 20, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155792, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 68, 62, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155793, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 10, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155794, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 770, 270, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155795, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 1148, 198, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155796, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '', 1347, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155797, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 350, 7, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155798, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 5, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155799, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 4506, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155800, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 276, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155801, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 202, 18, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155802, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 2, 8, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155803, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 237, 33, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155804, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 149, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155805, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 260, 20, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155806, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 85, 17, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155807, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 516, 30, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155808, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 63, 39, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155809, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 634, 2, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155810, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 59, 91, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155811, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 185, 4, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155812, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 3622, 7, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155813, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 127, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155814, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 2, 2, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155815, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 276, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155816, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 6, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155817, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 419, 9, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155818, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 256, 40, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155819, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 223, 48, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155820, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 110, 12, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155821, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 87, 22, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155822, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 19, 7, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155823, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 151, 9, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155824, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 74, 23, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155825, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 346, 12, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155826, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 118, 24, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155827, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 88, 21, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155828, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 139, 4, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155829, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 282, 9, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155830, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 108, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155831, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 258, 2, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155832, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 386, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155833, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 6, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155834, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 166, 25, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155835, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 124, 2, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155836, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 431, 2, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155837, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 280, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155838, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 41, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155839, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 54, 11, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155840, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 409, 6, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155841, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 707, 6, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155842, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 1191, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155843, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 300, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155844, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 73, 15, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155845, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 1096, 73, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155846, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 1220, 79, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155847, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 1107, 46, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155848, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 149, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155849, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 452, 6, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155850, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 265, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155851, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 225, 30, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (155852, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 227, 6, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155853, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 634, 2, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155854, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 210, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155855, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 91, 2, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155856, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 123, 37, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155857, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 264, 29, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155858, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 16, 13, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155859, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 238, 32, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155860, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 174, 27, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155861, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 256, 1, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155862, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 46, 20, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155863, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 303, 29, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155864, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 90, 13, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155865, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 207, 51, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155866, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 58, 11, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155867, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 216, 47, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155868, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 46, 18, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155869, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 98, 37, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155870, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 6336, 4, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155871, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 4, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155872, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1414, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155873, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 4506, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155874, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155875, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 56, 22, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155876, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 199, 12, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155877, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 1073, 31, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155878, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 873, 45, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155879, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 495, 43, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155880, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 1648, 10, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155881, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 618, 46, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155882, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 1463, 44, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155883, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 977, 7, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155884, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 1154, 41, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155885, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 185, 4, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155886, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D08', 5, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155887, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 30, 8, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155888, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 8, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155889, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155890, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155891, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 93, 9, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155892, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 336, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155893, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 1252, 48, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155894, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 499, 39, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155895, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 1091, 37, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155896, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 38, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155897, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 84, 15, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155898, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 178, 7, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155899, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 22, 13, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155900, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 85, 17, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155901, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 11, 4, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155902, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 308, 15, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155903, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 115, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155904, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 8, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155905, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 41, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155906, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C11', 26, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155907, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '2A22', 1347, 1, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155908, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 174, 5, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155909, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 83, 15, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155910, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 50, 10, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155911, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 50, 14, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155912, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 846, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155913, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C11', 2116, 3, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155914, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 67, 20, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155915, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 104, 14, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155916, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 860, 2, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155917, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 341, 11, 2024, 7, 15, '2024-08-05 14:08:31', NULL, NULL), (155918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 8, 1, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155919, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 41, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155920, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 11, 4, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155921, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 83, 15, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155922, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 64, 15, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155923, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 50, 10, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155924, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 386, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155925, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 258, 2, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155926, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 210, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155927, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 227, 6, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155928, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 265, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155929, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 1252, 48, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155930, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 166, 25, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155931, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 16, 13, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155932, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 256, 40, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155933, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 4, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155934, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 6336, 4, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155935, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 54, 11, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155936, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 41, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155937, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 846, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155938, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 1593, 4, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155939, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 63, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155940, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 19, 7, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155941, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 174, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155942, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155943, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 5, 1, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155944, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 223, 48, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155945, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155946, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1220, 79, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155947, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 8, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155948, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1096, 73, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155949, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1107, 46, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155950, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 276, 1, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155951, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 110, 12, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155952, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 300, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155953, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 1463, 44, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155954, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 1154, 41, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155955, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 341, 11, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155956, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 67, 20, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155957, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 30, 8, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155958, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 419, 9, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155959, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 615, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155960, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 93, 9, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155961, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 73, 15, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155962, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 977, 7, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155963, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 90, 13, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155964, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 1648, 10, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155965, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 119, 15, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155966, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 46, 20, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155967, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 46, 18, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155968, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 634, 2, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155969, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 58, 11, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155970, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 707, 6, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155971, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 495, 43, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155972, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 199, 12, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155973, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1191, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155974, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 124, 2, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155975, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 618, 46, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155976, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 873, 45, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155977, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 431, 2, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155978, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 280, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155979, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 1073, 31, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155980, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 1091, 37, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155981, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 499, 39, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155982, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 409, 6, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155983, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 452, 6, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155984, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A22', 1347, 1, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155985, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 88, 21, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155986, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 74, 23, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155987, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 118, 24, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155988, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 346, 12, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155989, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 151, 9, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155990, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 6, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155991, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 2, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155992, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 87, 22, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155993, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 85, 17, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155994, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 178, 7, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155995, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 56, 22, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155996, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 84, 15, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155997, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 38, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155998, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 22, 13, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (155999, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 4506, 1, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156000, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 1414, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156001, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 149, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156002, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 115, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156003, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 308, 15, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156004, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 225, 30, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156005, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 185, 4, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156006, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 303, 29, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156007, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 108, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156008, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 207, 51, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156009, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 216, 47, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156010, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 282, 9, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156011, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 98, 37, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156012, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 112, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156013, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 123, 37, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156014, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 264, 29, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156015, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 238, 32, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156016, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 174, 27, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156017, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 1252, 48, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156018, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 1463, 44, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156019, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 419, 9, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156020, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 127, 1, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156021, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 149, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156022, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 1154, 41, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156023, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156024, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 8, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156025, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 83, 15, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156026, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 46, 18, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156027, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 58, 11, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156028, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 280, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156029, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 90, 13, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156030, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 431, 2, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156031, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 46, 20, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156032, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 124, 2, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156033, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 1191, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156034, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 707, 6, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156035, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 73, 15, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156036, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 409, 6, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156037, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 84, 15, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156038, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 56, 22, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156039, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 178, 7, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156040, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 22, 13, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156041, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 38, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156042, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 50, 10, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156043, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 50, 14, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156044, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 336, 1, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156045, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 115, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156046, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 210, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156047, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 265, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156048, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 308, 15, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156049, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 341, 11, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156050, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 227, 6, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156051, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 19, 7, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156052, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C06', 860, 2, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156053, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 104, 14, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156054, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 256, 1, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156055, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 85, 17, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156056, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 1220, 79, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156057, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 1107, 46, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156058, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 1096, 73, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156059, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 499, 39, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156060, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 1091, 37, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156061, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156062, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 5, 1, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156063, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 199, 12, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156064, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 495, 43, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156065, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 873, 45, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156066, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 618, 46, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156067, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 1073, 31, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156068, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 300, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156069, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 87, 22, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156070, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 110, 12, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156071, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 1648, 10, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156072, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 977, 7, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156073, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 4, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156074, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 6336, 4, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156075, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 41, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156076, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 8, 1, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156077, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 16, 13, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156078, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 74, 23, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156079, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 346, 12, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156080, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 151, 9, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156081, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 223, 48, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156082, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 118, 24, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156083, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 88, 21, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156084, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 11, 4, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156085, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 276, 1, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156086, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 6, 1, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156087, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 258, 2, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156088, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 386, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156089, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 174, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156090, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 185, 4, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156091, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C11', 26, 1, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156092, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 4506, 1, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156093, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 452, 6, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156094, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 93, 9, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156095, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 166, 25, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156096, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 30, 8, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156097, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 634, 2, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156098, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 67, 20, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156099, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 846, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156100, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C11', 2116, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156101, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 91, 2, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156102, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 174, 27, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156103, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 1414, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156104, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 108, 5, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156105, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 207, 51, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156106, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 216, 47, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156107, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 139, 4, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156108, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 225, 30, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156109, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 282, 9, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156110, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 303, 29, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156111, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 54, 11, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156112, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 264, 29, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156113, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 41, 3, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156114, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 238, 32, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156115, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 98, 37, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156116, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 123, 37, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156117, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '出入境管理支队', '', '2A22', 1347, 1, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156118, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 256, 40, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156119, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 6, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156120, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D08', 5, 1, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156121, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 2, 2024, 7, 15, '2024-08-05 14:08:32', NULL, NULL), (156122, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 232, 100, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156123, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 143, 47, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156124, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 162, 27, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156125, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 215, 197, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156126, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 200, 53, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156127, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 426, 519, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156128, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 287, 131, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156129, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 550, 123, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156130, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 107, 141, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156131, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 425, 520, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156132, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 150, 74, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156133, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 200, 53, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156134, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 285, 132, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156135, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 214, 198, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156136, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 550, 123, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156137, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 232, 100, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156138, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 107, 141, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156139, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 446, 36, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156140, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 39, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156141, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 179, 18, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156142, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 59, 18, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156143, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 288, 12, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156144, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 620, 16, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156145, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 232, 100, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156146, 1, '511500000000-0001', '宜宾市民中心', '驾驶证变更登记', '', '', '', 0, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156147, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 15, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156148, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 93, 34, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156149, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 14, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156150, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 92, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156151, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 81, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156152, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 296, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156153, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 244, 18, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156154, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 181, 20, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156155, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 87, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156156, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 1169, 174, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156157, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 95, 9, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156158, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 13, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156159, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 54, 288, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156160, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 57, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156161, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 691, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156162, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 113, 15, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156163, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 108, 139, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156164, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 471, 35, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156165, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 75, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156166, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 230, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156167, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 147, 21, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156168, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 42, 80, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156169, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '', '', '', 3, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156170, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 203, 7, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156171, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 8315, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156172, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 285, 132, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156173, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 328, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156174, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 36, 57, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156175, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 754, 52, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156176, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 3, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156177, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156178, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 244, 9, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156179, 1, '511500000000-0001', '宜宾市民中心', '驾驶证补证换证', '', '', '', 0, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 111, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 65, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 314, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 113, 6, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 691, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 90, 9, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 45, 27, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 68, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 27, 48, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 343, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 87, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 73, 40, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 617, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 94, 10, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 41, 34, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 563, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 315, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 69, 29, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 360, 6, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 52, 18, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 609, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 64, 24, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 57, 31, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 704, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 49, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 190, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 110, 15, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 94, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 86, 14, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 36, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 161, 22, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 247, 24, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 173, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 445, 13, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 18, 30, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 92, 19, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 258, 12, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 58, 28, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 57, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 78, 10, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 305, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 217, 21, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 104, 19, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 767, 39, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 108, 21, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 817, 67, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 39, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 14, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 230, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 81, 19, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 1745, 68, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 56, 27, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 314, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 5, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 288, 47, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 287, 37, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 244, 18, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 64, 16, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 29, 15, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 26, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 42, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 30, 19, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 2, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 29, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 75, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 168, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 350, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 433, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 63, 9, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 9, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 67, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 84, 6, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 181, 20, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 328, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 286, 47, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 24, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 95, 7, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 72, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 32, 6, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (156262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 269, 15, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 688, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 446, 10, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 853, 13, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 131, 7, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 620, 16, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 92, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 639, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 739, 13, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 956, 12, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 95, 9, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 8315, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 503, 14, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 203, 7, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 113, 15, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156277, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 287, 131, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156278, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 36, 57, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156279, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 54, 288, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156280, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 59, 18, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156281, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 87, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156282, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 296, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156283, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 113, 15, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156284, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 754, 52, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156285, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 328, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156286, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 15, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156287, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 232, 100, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156288, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 230, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156289, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 691, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156290, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 203, 7, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156291, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 620, 16, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156292, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 288, 12, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156293, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 244, 18, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156294, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 147, 21, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156295, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156296, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 108, 139, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156297, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 1169, 174, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156298, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 244, 9, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156299, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 39, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156300, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 8315, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156301, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 92, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156302, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 14, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156303, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '宜宾市政务服务和非公经济发展局', '', '', 3, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156304, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 3, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156305, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 93, 34, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156306, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 95, 9, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156307, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 13, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156308, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 179, 18, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156309, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 181, 20, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156310, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 471, 35, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156311, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 446, 36, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156312, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 81, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156313, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 42, 80, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156314, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 57, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156315, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 75, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156316, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 2, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156317, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 92, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156318, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156319, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 691, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156320, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 18, 30, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156321, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 620, 16, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156322, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 56, 27, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156323, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 217, 21, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156324, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 87, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156325, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 258, 12, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156326, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 247, 24, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156327, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 445, 13, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156328, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 36, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156329, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B11', 13, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156330, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 161, 22, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156331, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 14, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156332, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 639, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156333, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 131, 7, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156334, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 328, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156335, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 58, 28, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156336, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 617, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156337, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 343, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156338, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 68, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156339, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 67, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156340, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 63, 9, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156341, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 704, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156342, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 609, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156343, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 360, 6, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156344, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 563, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156345, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 853, 13, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156346, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 64, 16, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156347, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 817, 67, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156348, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 1745, 68, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156349, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 767, 39, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156350, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 95, 9, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156351, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 314, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156352, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 739, 13, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156353, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 52, 18, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156354, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 81, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156355, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 956, 12, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156356, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 503, 14, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156357, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 45, 27, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156358, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 90, 9, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156359, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 113, 15, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156360, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 57, 31, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156361, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 64, 24, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156362, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 30, 19, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156363, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 69, 29, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156364, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 42, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156365, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 41, 34, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156366, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 26, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156367, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 73, 40, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156368, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 29, 15, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156369, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 27, 48, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156370, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 75, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156371, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 203, 7, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156372, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 8315, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156373, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 29, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156374, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 92, 19, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156375, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 173, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156376, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 190, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156377, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 49, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156378, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 94, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156379, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 110, 15, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156380, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 288, 47, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156381, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 86, 14, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156382, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 287, 37, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156383, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D09', 39, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156384, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 57, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156385, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 314, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156386, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156387, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 5, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156388, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156389, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 286, 47, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156390, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 118, 19, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156391, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 104, 19, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156392, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 81, 19, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156393, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 433, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156394, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 9, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156395, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 168, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156396, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 350, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156397, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 100, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156398, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 181, 20, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156399, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 24, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156400, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 78, 10, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156401, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 95, 7, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156402, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 230, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156403, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 217, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156404, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 305, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156405, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 72, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156406, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 32, 6, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156407, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 94, 10, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156408, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '', '', '1D20', 3, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156409, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 446, 10, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156410, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 688, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156411, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 269, 15, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156412, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 15, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156413, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 315, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156414, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 244, 18, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156415, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 118, 9, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156416, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 112, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156417, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 65, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156418, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 72, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156419, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 32, 6, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156420, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 24, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156421, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 95, 7, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156422, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 446, 10, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156423, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 269, 15, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156424, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 688, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156425, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 131, 7, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156426, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 639, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156427, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 503, 14, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156428, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 956, 12, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156429, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 739, 13, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156430, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 286, 47, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156431, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 58, 28, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156432, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 113, 15, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156433, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 18, 30, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156434, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 75, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156435, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 63, 9, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156436, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 67, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156437, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 315, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156438, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 328, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156439, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 87, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156440, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 94, 10, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156441, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156442, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 56, 27, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156443, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156444, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 1745, 68, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156445, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 817, 67, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156446, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 767, 39, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156447, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 92, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156448, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 620, 16, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156449, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 853, 13, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156450, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 288, 47, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156451, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 287, 37, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156452, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 244, 18, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156453, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 65, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156454, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 113, 6, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156455, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 691, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156456, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 314, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156457, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 5, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156458, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 64, 16, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156459, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 86, 14, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156460, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 42, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156461, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 94, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156462, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 111, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156463, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 30, 19, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156464, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 29, 15, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156465, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 26, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156466, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 360, 6, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156467, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 49, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156468, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 563, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156469, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 92, 19, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156470, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 617, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156471, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 110, 15, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156472, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 343, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156473, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 190, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156474, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 68, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156475, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 173, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156476, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 81, 19, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156477, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 108, 21, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156478, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 704, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156479, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B12', 104, 19, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156480, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 609, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156481, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 314, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156482, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 161, 22, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156483, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 247, 24, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156484, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 36, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156485, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 445, 13, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156486, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 258, 12, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156487, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156488, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156489, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 217, 21, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156490, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 181, 20, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156491, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 350, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156492, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 433, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156493, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 29, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156494, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 168, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156495, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156496, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 84, 6, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156497, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 8315, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156498, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 203, 7, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156499, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 95, 9, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156500, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 305, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156501, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 230, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156502, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 78, 10, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156503, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 52, 18, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156504, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 57, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156505, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 69, 29, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156506, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 39, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156507, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 41, 34, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156508, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 73, 40, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156509, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 14, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156510, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 27, 48, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156511, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 45, 27, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156512, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 90, 9, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156513, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 57, 31, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156514, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 64, 24, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156515, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 286, 47, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156516, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B11', 13, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156517, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 691, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156518, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 288, 47, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156519, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 95, 9, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156520, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 287, 37, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156521, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156522, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 446, 10, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156523, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 29, 15, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156524, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 26, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156525, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 68, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156526, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 42, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156527, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 343, 1, 2024, 7, 16, '2024-08-05 14:08:33', NULL, NULL), (156528, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 30, 19, 2024, 7, 16, '2024-08-05 14:08:33', NULL, NULL), (156529, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 617, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156530, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 563, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156531, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 360, 6, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156532, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 609, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156533, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 64, 16, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156534, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 704, 5, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156535, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 168, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156536, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 29, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156537, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 433, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156538, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 350, 2, 2024, 7, 16, '2024-08-05 14:08:33', NULL, NULL), (156539, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 100, 5, 2024, 7, 16, '2024-08-05 14:08:33', NULL, NULL), (156540, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 1, 2024, 7, 16, '2024-08-05 14:08:33', NULL, NULL), (156541, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 688, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156542, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 269, 15, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156543, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 305, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156544, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 503, 14, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156545, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 78, 10, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156546, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 739, 13, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156547, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 65, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156548, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 112, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156549, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 956, 12, 2024, 7, 16, '2024-08-05 14:08:33', NULL, NULL), (156550, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 87, 3, 2024, 7, 16, '2024-08-05 14:08:33', NULL, NULL), (156551, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 118, 9, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156552, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 181, 20, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156553, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 1745, 68, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156554, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 767, 39, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156555, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 817, 67, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156556, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 118, 19, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156557, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 81, 19, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156558, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156559, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B12', 104, 19, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156560, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 92, 19, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156561, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 49, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156562, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 190, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156563, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 110, 15, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156564, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 173, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156565, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 853, 13, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156566, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 217, 21, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156567, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 620, 16, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156568, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 94, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156569, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 86, 14, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156570, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 75, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156571, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 32, 6, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156572, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 72, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156573, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 113, 15, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156574, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 247, 24, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156575, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 445, 13, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156576, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 230, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156577, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 258, 12, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156578, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 56, 27, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156579, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 36, 8, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156580, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 161, 22, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156581, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 95, 7, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156582, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 24, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156583, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 92, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156584, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 328, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156585, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 639, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156586, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 131, 7, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156587, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 94, 10, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156588, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 57, 3, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156589, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C08', 15, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156590, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 8315, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156591, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 314, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156592, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 5, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156593, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 58, 28, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156594, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 314, 11, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156595, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 81, 2, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156596, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 244, 18, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156597, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 315, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156598, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 64, 24, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156599, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 203, 7, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156600, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 41, 34, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156601, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 73, 40, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156602, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 52, 18, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156603, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 14, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156604, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 69, 29, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156605, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 63, 9, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156606, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 90, 9, 2024, 7, 16, '2024-08-05 14:08:33', NULL, NULL), (156607, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 67, 2, 2024, 7, 16, '2024-08-05 14:08:33', NULL, NULL), (156608, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 57, 31, 2024, 7, 16, '2024-08-05 14:08:33', NULL, NULL), (156609, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 27, 48, 2024, 7, 16, '2024-08-05 14:08:33', NULL, NULL), (156610, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 45, 27, 2024, 7, 16, '2024-08-05 14:08:33', NULL, NULL), (156611, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 18, 30, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156612, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156613, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 4, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156614, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 217, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156615, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156616, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D09', 39, 1, 2024, 7, 16, '2024-08-05 14:08:32', NULL, NULL), (156617, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 78, 72, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156618, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 47, 43, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156619, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 698, 39, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156620, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 176, 122, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156621, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 275, 55, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156622, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 227, 493, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156623, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 375, 152, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156624, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 815, 132, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156625, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 611, 131, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156626, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 227, 493, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156627, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 356, 82, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156628, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 275, 55, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156629, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 815, 132, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156630, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 173, 124, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156631, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 78, 72, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156632, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 606, 132, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156633, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 375, 152, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156634, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 49, 25, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156635, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 248, 20, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156636, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 4, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156637, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 147, 7, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156638, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 487, 18, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156639, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 79, 71, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156640, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156641, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 301, 29, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156642, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 479, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156643, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 16, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156644, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 744, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156645, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 123, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156646, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 73, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156647, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '', '', '', 8, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156648, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 119, 15, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156649, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 30, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156650, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 78, 11, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156651, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 328, 149, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156652, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1508, 7, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156653, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 125, 294, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (156654, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 1535, 9, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156655, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 328, 9, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156656, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 43, 19, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156657, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 375, 152, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156658, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 3898, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156659, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 825, 38, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156660, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156661, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 1879, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156662, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 9, 24, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156663, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 42, 54, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156664, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 416, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156665, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 815, 132, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156666, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '', '', '', 393, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156667, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 52, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156668, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 22, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156669, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 766, 51, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156670, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 520, 50, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156671, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 2, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156672, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 21, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156673, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 203, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 7, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 867, 47, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 398, 15, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 73, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 749, 44, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 42, 16, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 46, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 343, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 25, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1109, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 253, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 84, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 328, 9, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 25, 10, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 2, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 183, 28, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 10, 8, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 75, 22, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 3, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 10, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 792, 6, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 92, 33, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 3, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 830, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 78, 11, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 9, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 45, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 115, 6, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 646, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 85, 57, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 123, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 15, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1135, 8, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 58, 23, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 639, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 315, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 3, 6, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 139, 43, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 136, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 1334, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 119, 15, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 157, 34, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 2, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 155, 33, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 1033, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 825, 41, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 531, 22, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 276, 18, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 549, 21, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 4, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 590, 10, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 7, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 65, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 306, 27, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 31, 6, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 27, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 19, 9, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 62, 13, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 862, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 28, 15, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 22, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 487, 18, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 64, 10, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 168, 12, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 16, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 21, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 367, 21, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 280, 9, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 209, 21, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 1535, 9, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 262, 18, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 207, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 773, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 737, 12, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1508, 7, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 67, 16, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 664, 11, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 371, 45, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 416, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 343, 50, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 14, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 14, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 43, 19, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 789, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 30, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1879, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 237, 21, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 279, 54, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 520, 50, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156766, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 815, 132, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156767, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 125, 294, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156768, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 520, 50, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156769, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 4, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156770, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 78, 11, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156771, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 123, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156772, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 43, 19, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156773, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 766, 51, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156774, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 52, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156775, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 79, 71, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156776, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 1879, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156777, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 416, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156778, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 328, 9, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156779, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 3898, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156780, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 487, 18, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156781, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 147, 7, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156782, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 73, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156783, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 9, 24, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156784, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156785, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 375, 152, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156786, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 30, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156787, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 328, 149, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156788, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 21, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156789, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 16, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156790, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 479, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156791, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 2, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156792, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '宜宾市市场监管局', '', '', 393, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156793, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 301, 29, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156794, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '宜宾市政务服务和非公经济发展局', '', '', 8, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156795, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1508, 7, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156796, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 248, 20, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156797, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 119, 15, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156798, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 825, 38, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156799, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 49, 25, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156800, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 744, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156801, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 42, 54, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156802, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 22, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156803, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 3, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156804, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 1535, 9, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156805, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 2, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156806, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 16, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156807, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 328, 9, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156808, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 2, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156809, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 487, 18, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156810, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 520, 50, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156811, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 67, 16, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156812, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 78, 11, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156813, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 280, 9, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156814, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 28, 15, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156815, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 64, 10, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156816, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 19, 8, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156817, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 62, 13, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156818, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 14, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156819, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 789, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156820, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 14, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156821, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 21, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156822, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 22, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156823, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 52, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156824, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 209, 21, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156825, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 646, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156826, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 830, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156827, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 792, 6, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156828, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 45, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156829, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 1033, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156830, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 136, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156831, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 315, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156832, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 1135, 8, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156833, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 862, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156834, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 42, 16, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156835, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 343, 50, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156836, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 279, 54, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156837, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 371, 45, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156838, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1508, 7, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156839, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 1109, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156840, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 773, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156841, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 139, 43, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156842, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 744, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156843, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 737, 12, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156844, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 3898, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156845, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 664, 11, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156846, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 75, 22, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156847, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 183, 28, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156848, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 43, 19, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156849, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 155, 33, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156850, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 157, 34, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156851, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 25, 10, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156852, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 58, 23, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156853, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 84, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156854, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 85, 57, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156855, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 25, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156856, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 46, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156857, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 92, 33, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156858, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 3, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156859, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 416, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156860, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 10, 7, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156861, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 367, 21, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156862, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 168, 12, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156863, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 276, 18, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156864, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 531, 22, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156865, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 590, 10, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156866, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 549, 21, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156867, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 867, 47, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156868, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 306, 27, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156869, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 749, 44, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156870, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 1535, 9, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156871, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156872, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 203, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156873, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 7, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156874, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 7, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156875, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156876, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 825, 41, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156877, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '', '', '1D03', 393, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156878, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 237, 21, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156879, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 9, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156880, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 15, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156881, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 10, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156882, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 3, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156883, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '', '', '1D25', 8, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156884, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 3, 6, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156885, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 119, 15, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156886, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 255, 17, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156887, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 1879, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156888, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 207, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156889, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 4, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156890, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C11', 639, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156891, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 30, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156892, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 115, 6, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156893, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 27, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156894, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 31, 6, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156895, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 65, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156896, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 123, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156897, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E19', 22, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156898, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 73, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156899, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 312, 12, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156900, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 253, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156901, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 343, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156902, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 4, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156903, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 27, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156904, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 65, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156905, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 31, 6, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156906, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 22, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156907, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 21, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156908, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 664, 11, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156909, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 737, 12, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156910, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 773, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156911, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 825, 41, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156912, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 209, 21, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156913, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 43, 19, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156914, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 3, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156915, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 45, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156916, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 123, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156917, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 639, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 1334, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156919, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 78, 11, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156920, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 115, 6, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156921, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 7, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156922, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 520, 50, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156923, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156924, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 279, 54, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156925, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156926, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 343, 50, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156927, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 371, 45, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156928, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 16, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156929, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 487, 18, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156930, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 862, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156931, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 867, 47, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156932, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 749, 44, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156933, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 343, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156934, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 62, 13, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156935, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 73, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156936, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 253, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156937, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 28, 15, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156938, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 203, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156939, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 328, 9, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156940, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 7, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156941, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 19, 9, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156942, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 64, 10, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156943, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 280, 9, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156944, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 42, 16, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156945, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 306, 27, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156946, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 84, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156947, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 590, 10, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156948, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 398, 15, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156949, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 25, 10, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156950, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 46, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156951, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 25, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156952, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 531, 22, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156953, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 315, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156954, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 1135, 8, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156955, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 367, 21, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156956, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 549, 21, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156957, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 646, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156958, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 830, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156959, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 276, 18, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156960, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 792, 6, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156961, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 168, 12, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156962, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 2, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156963, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156964, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 67, 16, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156965, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 119, 15, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156966, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156967, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D22', 9, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156968, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 10, 8, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156969, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 10, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156970, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 15, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156971, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 6, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156972, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 416, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156973, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1508, 7, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156974, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 237, 21, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156975, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 1033, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156976, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 136, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156977, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 207, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156978, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1879, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156979, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 30, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156980, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 262, 18, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156981, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 139, 43, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156982, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 1535, 9, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156983, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 58, 23, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156984, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1109, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156985, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 14, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156986, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 85, 57, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156987, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 789, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156988, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 92, 33, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156989, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 14, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156990, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 75, 22, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156991, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 183, 28, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156992, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 155, 33, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156993, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 157, 34, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156994, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 825, 41, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156995, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 867, 47, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156996, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 328, 9, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156997, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1508, 7, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156998, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 749, 44, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (156999, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157000, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157001, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 27, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157002, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 46, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157003, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 25, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157004, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 792, 6, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157005, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 84, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157006, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 830, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157007, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 25, 10, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157008, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 646, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157009, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 1135, 8, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157010, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 315, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157011, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 136, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157012, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 42, 16, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157013, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 1033, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157014, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 10, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157015, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 10, 7, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157016, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D22', 9, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157017, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 3, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157018, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 3, 6, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157019, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 15, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157020, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 31, 6, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157021, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 65, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157022, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 207, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157023, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 664, 11, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157024, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 343, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157025, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 255, 17, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157026, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 773, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157027, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 253, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157028, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 78, 11, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157029, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 737, 12, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157030, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 312, 12, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157031, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 119, 15, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157032, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 279, 54, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157033, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 371, 45, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157034, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 343, 50, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157035, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 237, 21, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157036, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '宜宾市市场监管局', '', '1D03', 393, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157037, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 30, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157038, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 7, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157039, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 367, 21, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157040, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 531, 22, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157041, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 276, 18, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157042, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 549, 21, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157043, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 168, 12, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157044, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 862, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157045, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 67, 16, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157046, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 487, 18, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157047, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 590, 10, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157048, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 306, 27, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157049, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 3, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157050, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 4, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157051, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 43, 19, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157052, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 28, 15, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157053, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 64, 10, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157054, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 1879, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157055, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 280, 9, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157056, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 520, 50, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157057, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 19, 8, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157058, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 62, 13, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157059, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E19', 22, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157060, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 16, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157061, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 52, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (157062, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 21, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157063, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 22, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157064, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 115, 6, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157065, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 1535, 9, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157066, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C11', 639, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157067, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 1109, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157068, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 7, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157069, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 209, 21, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157070, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 203, 5, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157071, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 744, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157072, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 73, 14, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157073, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 123, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157074, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 3898, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157075, 1, '511500000000-0001', '宜宾市民中心', '公职律师工作证颁发', '宜宾市政务服务和非公经济发展局', '', '1D25', 8, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157076, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 157, 34, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157077, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 416, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157078, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 14, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157079, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 85, 57, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157080, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 14, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157081, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 139, 43, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157082, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 789, 3, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157083, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 58, 23, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157084, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 45, 4, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157085, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 183, 28, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157086, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 155, 33, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157087, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 92, 33, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157088, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 75, 22, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157089, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 2, 2, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157090, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 1, 2024, 7, 17, '2024-08-05 14:08:33', NULL, NULL), (157091, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 44, 86, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157092, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 13, 73, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157093, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 755, 40, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157094, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 188, 155, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157095, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 335, 68, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157096, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 470, 533, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157097, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 103, 132, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157098, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 373, 134, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157099, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 591, 153, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157100, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 468, 535, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157101, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 273, 114, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157102, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 325, 70, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157103, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 370, 135, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157104, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 188, 155, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157105, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 591, 153, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157106, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 44, 86, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157107, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 103, 132, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157108, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 41, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157109, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 69, 20, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157110, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 18, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157111, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 37, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157112, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 155, 19, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157113, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 43, 85, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157114, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 147, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157115, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 28, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157116, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 286, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157117, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 73, 34, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157118, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 34, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157119, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 50, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157120, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 647, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157121, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 82, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157122, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 275, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157123, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 3, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157124, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 310, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157125, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 58, 7, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157126, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 439, 129, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157127, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 437, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157128, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 146, 302, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157129, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1007, 18, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157130, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 1711, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157131, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 112, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157132, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 103, 132, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157133, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 35, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157134, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 773, 43, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157135, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1036, 7, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157136, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 1826, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157137, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 55, 73, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157138, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 15, 61, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157139, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 81, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157140, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 7615, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157141, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 370, 135, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157142, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 257, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157143, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 107, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157144, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 841, 62, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157145, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 1463, 102, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157146, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 2, 7, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157147, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 9, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157148, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 156, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1389, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 127, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 21, 10, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 73, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 385, 7, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 960, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 202, 32, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 134, 33, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 744, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 125, 56, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 716, 7, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 67, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1214, 8, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 173, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 110, 37, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 22, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 490, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 185, 30, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 117, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 713, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 160, 34, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 2270, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 98, 25, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 177, 29, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 193, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 36, 8, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 154, 18, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 69, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 149, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 40, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 60, 20, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 47, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 20, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 36, 14, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 136, 13, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 91, 11, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 77, 9, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 1206, 85, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 146, 25, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 1711, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 82, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 29, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 28, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 417, 32, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 96, 25, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 356, 48, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 63, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 5, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 310, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 2435, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 111, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 524, 51, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 2917, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 497, 13, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 14, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 35, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 305, 39, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 275, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 300, 39, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 48, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 64, 17, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 95, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 36, 18, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 2, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 234, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 4, 14, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 10, 18, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E12', 1357, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 33, 9, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 54, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 25, 8, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 26, 19, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 3, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 183, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 2, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 463, 43, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 14, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 3, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 93, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 7, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 65, 7, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 9, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 32, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 713, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 155, 19, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 211, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 50, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 120, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 804, 14, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1055, 14, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 437, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 7615, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 818, 18, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 81, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 112, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157248, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 373, 134, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157249, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 1477, 101, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157250, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 147, 301, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157251, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 67, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157252, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 37, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157253, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 28, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157254, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 82, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157255, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 112, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157256, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 841, 62, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157257, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 257, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157258, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 147, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157259, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 43, 85, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157260, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 2435, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157261, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 81, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157262, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1007, 18, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157263, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 35, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157264, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 155, 19, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157265, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 18, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157266, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 275, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157267, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 15, 61, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157268, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 9, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157269, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 103, 132, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157270, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 310, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157271, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 439, 129, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157272, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 156, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157273, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '', 7615, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157274, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 50, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157275, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 34, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157276, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 2, 7, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157277, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 76, 33, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157278, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 437, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157279, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '', 286, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157280, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 69, 20, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157281, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 3, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157282, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 773, 43, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157283, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 41, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157284, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 647, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157285, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 55, 73, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157286, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 107, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157287, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1036, 7, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157288, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 1711, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157289, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 1389, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157290, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 2, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157291, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 2, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157292, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 960, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157293, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 50, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157294, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 1206, 85, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157295, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 2917, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157296, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 155, 19, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157297, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 28, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157298, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 67, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157299, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 73, 8, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157300, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 20, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157301, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 36, 14, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157302, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 60, 20, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157303, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 47, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157304, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 63, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157305, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 5, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157306, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 120, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157307, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 211, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157308, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A23', 308, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157309, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '1A21', 265, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157310, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 257, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157311, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 146, 25, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157312, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1214, 8, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157313, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 716, 7, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157314, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 744, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157315, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 54, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157316, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 33, 9, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157317, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 193, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157318, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 2270, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157319, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 713, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157320, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 490, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157321, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 713, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157322, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 48, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157323, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 356, 48, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157324, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 529, 50, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157325, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 421, 31, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157326, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 437, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157327, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 385, 7, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157328, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 804, 14, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157329, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 160, 34, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157330, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 647, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157331, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1055, 14, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157332, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 35, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157333, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 818, 18, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157334, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 134, 33, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157335, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 202, 32, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157336, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 112, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157337, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 177, 29, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157338, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 98, 25, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157339, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 36, 18, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157340, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 185, 30, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157341, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 95, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157342, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 110, 37, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157343, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 64, 17, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157344, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 125, 56, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157345, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 234, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157346, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 81, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157347, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 7615, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157348, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157349, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 4, 14, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157350, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 91, 11, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157351, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 136, 13, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157352, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 154, 18, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157353, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 36, 8, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157354, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 149, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157355, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 69, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157356, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E15', 107, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157357, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 305, 39, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157358, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 40, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157359, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 300, 39, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157360, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E12', 1357, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157361, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 28, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157362, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 497, 13, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157363, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 1711, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157364, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 3, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157365, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 14, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157366, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 7, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157367, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157368, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 35, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157369, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 135, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157370, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 463, 43, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157371, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 96, 25, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157372, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 111, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157373, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 25, 8, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157374, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 10, 18, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157375, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 4, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157376, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 26, 19, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157377, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 3, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157378, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 82, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157379, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 14, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157380, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 2435, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157381, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 6, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157382, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 29, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157383, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 93, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157384, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 3, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157385, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C11', 50, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157386, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 310, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157387, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 173, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157388, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 32, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157389, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 3, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157390, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 65, 7, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157391, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 185, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157392, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 22, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157393, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C11', 219, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157394, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 275, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157395, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 78, 11, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157396, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 82, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157397, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 21, 10, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157398, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 93, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157399, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 3, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157400, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 14, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157401, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 32, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157402, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 65, 7, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157403, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 9, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157404, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 211, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157405, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 120, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157406, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 818, 18, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157407, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1055, 14, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157408, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 804, 14, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157409, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 463, 43, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157410, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 146, 25, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157411, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 112, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157412, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 1206, 85, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157413, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E12', 1357, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157414, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 234, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157415, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 497, 13, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157416, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 33, 9, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157417, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 54, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157418, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 22, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157419, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 117, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157420, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 183, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157421, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 67, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157422, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 173, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157423, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157424, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 7, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157425, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 2917, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157426, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157427, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 524, 51, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157428, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 3, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157429, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 356, 48, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157430, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 417, 32, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157431, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 50, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157432, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 155, 19, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157433, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 713, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157434, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 305, 39, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157435, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 300, 39, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157436, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 21, 10, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157437, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 275, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157438, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 73, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157439, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 960, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157440, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 14, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157441, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1389, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157442, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 35, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157443, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 48, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157444, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 40, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157445, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 95, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157446, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 149, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157447, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 36, 18, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157448, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 127, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157449, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 64, 17, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157450, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 36, 8, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157451, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 713, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157452, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 91, 11, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157453, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 490, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157454, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1214, 8, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157455, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 69, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157456, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 716, 7, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157457, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 154, 18, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157458, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 744, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157459, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 136, 13, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157460, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 111, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157461, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 96, 25, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157462, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 193, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157463, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 2270, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157464, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 385, 7, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157465, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 47, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157466, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 20, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157467, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 60, 20, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157468, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 36, 14, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157469, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 77, 9, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157470, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 2, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157471, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157472, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 28, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157473, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 3, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157474, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157475, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 14, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157476, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 10, 18, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157477, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 25, 8, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157478, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 26, 19, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157479, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 7615, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (157480, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 81, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157481, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 437, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157482, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 29, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157483, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 2435, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157484, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 310, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157485, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 82, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157486, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 160, 34, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157487, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 1711, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157488, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 185, 30, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157489, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 110, 37, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157490, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 5, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157491, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 125, 56, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157492, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 63, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157493, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 134, 33, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157494, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 202, 32, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157495, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 177, 29, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157496, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 98, 25, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157497, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 463, 43, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157498, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 960, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157499, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 305, 39, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157500, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 1389, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157501, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 497, 13, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157502, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 437, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157503, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 300, 39, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157504, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157505, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 3, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157506, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 32, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157507, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 64, 17, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157508, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 744, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157509, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 95, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157510, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 716, 7, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157511, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 36, 18, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157512, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1214, 8, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157513, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 490, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157514, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 713, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157515, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 48, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157516, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 2270, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157517, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 193, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157518, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 10, 18, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157519, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 14, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157520, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 4, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157521, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 26, 19, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157522, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 25, 8, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157523, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 3, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157524, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 65, 7, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157525, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 135, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157526, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 29, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157527, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 818, 18, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157528, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 82, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157529, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 804, 14, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157530, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 21, 10, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157531, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 67, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157532, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 82, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157533, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1055, 14, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157534, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 78, 11, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157535, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A21', 265, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157536, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 3, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157537, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 529, 50, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157538, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 421, 31, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157539, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 356, 48, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157540, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 96, 25, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157541, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 111, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157542, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '市公安局', '', '1A23', 308, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157543, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 310, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157544, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157545, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 7, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157546, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E15', 107, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157547, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 91, 11, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157548, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 36, 8, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157549, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 154, 18, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157550, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 69, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157551, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 136, 13, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157552, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 713, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157553, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 28, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157554, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 155, 19, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157555, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 149, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157556, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E12', 1357, 5, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157557, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 40, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157558, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 234, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157559, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 3, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157560, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 93, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157561, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 112, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157562, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 20, 15, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157563, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 36, 14, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157564, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 2435, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157565, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 73, 8, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157566, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 2917, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157567, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 60, 20, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157568, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 47, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157569, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 14, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157570, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 50, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157571, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 257, 4, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157572, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 120, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157573, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 173, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157574, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 211, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157575, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 1711, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157576, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 28, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157577, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C11', 50, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157578, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C08', 185, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157579, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '市人力资源社会保障局', '', '2E31', 7615, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157580, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 385, 7, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157581, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 35, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157582, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 146, 25, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157583, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 14, 12, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157584, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 647, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157585, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 275, 16, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157586, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 22, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157587, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C11', 219, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157588, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 35, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157589, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 98, 25, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157590, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 81, 3, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157591, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 110, 37, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157592, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 63, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157593, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 160, 34, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157594, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 5, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157595, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 185, 30, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157596, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 33, 9, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157597, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 202, 32, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157598, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 54, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157599, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 177, 29, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157600, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 125, 56, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157601, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 134, 33, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157602, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 1206, 85, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157603, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 2, 6, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157604, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 6, 2, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157605, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 2, 1, 2024, 7, 18, '2024-08-05 14:08:34', NULL, NULL), (157606, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 66, 72, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157607, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 44, 42, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157608, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 406, 34, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157609, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 132, 155, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157610, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 431, 85, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157611, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 221, 464, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157612, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 439, 98, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157613, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 44, 112, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157614, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 301, 106, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157615, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 219, 468, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157616, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 195, 80, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157617, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 431, 85, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157618, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 301, 106, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157619, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 131, 156, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157620, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 435, 99, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157621, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 66, 72, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157622, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 44, 112, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157623, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 5, 15, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157624, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 152, 17, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157625, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 105, 9, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157626, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 5, 15, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157627, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 216, 13, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157628, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 66, 72, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157629, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 444, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157630, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 1135, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157631, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 498, 36, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157632, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 155, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157633, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1262, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157634, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 389, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157635, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 920, 12, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157636, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 43, 18, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157637, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 90, 17, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157638, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 0, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157639, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 104, 11, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157640, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 345, 134, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157641, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 210, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157642, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 150, 280, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157643, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 13, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157644, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 188, 19, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157645, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 116, 16, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157646, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 44, 112, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157647, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 0, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157648, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 921, 30, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157649, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 1132, 7, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157650, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 1747, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157651, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 13, 22, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157652, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 59, 70, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157653, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '', 8, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157654, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 8, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157655, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 301, 106, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157656, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '', '', '', 1170, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157657, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 416, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157658, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 239, 29, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157659, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 270, 53, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157660, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 3, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157661, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 9, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157662, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 179, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 167, 7, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 463, 26, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 586, 15, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 888, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 871, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 201, 12, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 241, 21, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 143, 24, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1851, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 83, 40, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 906, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 104, 11, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1309, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 140, 48, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 943, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 826, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 149, 25, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 16, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 527, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 115, 40, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 539, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 144, 32, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 146, 21, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 785, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 45, 17, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 55, 15, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 25, 15, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 47, 17, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 12, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 80, 16, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 137, 12, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 40, 12, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 68, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 40, 11, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 51, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 34, 14, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 275, 52, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 274, 27, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 13, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 248, 15, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 15, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 38, 13, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 348, 39, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 72, 12, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 339, 60, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 163, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 119, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 2912, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 40, 16, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 350, 35, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 6, 7, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 207, 15, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 454, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 344, 29, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 392, 33, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 43, 18, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 68, 11, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 28, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 58, 7, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 155, 9, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 22, 20, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 1280, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 18, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 70, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E12', 761, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 72, 12, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 10, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 20, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 8, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 96, 16, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 416, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 202, 29, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 6, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 5, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 7, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 4, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 4, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 10, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 381, 6, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 3, 6, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 257, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 100, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 216, 13, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1262, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 199, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 179, 6, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 332, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 210, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 165, 7, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 8, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 116, 16, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157759, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 301, 106, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157760, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 275, 52, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157761, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 151, 278, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157762, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 5, 15, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157763, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 104, 11, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157764, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 1135, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157765, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 920, 12, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157766, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 116, 16, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157767, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 239, 29, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157768, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 416, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157769, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '宜宾市市场监管局', '', '', 8, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157770, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 444, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157771, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 66, 72, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157772, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 2912, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157773, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 8, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157774, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 188, 19, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157775, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 216, 13, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157776, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 105, 9, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157777, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 43, 18, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157778, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 13, 22, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157779, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 9, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157780, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 44, 112, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157781, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 345, 134, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157782, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 179, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157783, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1262, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157784, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 155, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157785, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 3, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157786, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '宜宾市市场监管局', '', '', 1170, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157787, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 498, 36, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157788, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 210, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157789, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 152, 17, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157790, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 96, 16, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157791, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 5, 15, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157792, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 986, 28, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157793, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 389, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157794, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 59, 70, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157795, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 13, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157796, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 1132, 7, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157797, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 167, 7, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157798, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157799, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 1262, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157800, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157801, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 201, 12, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157802, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 275, 52, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157803, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 216, 13, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157804, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 38, 13, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157805, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 104, 11, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157806, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 51, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157807, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 40, 12, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157808, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 40, 11, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157809, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 80, 16, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157810, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 137, 12, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157811, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 119, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157812, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 215, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157813, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 199, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157814, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 100, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157815, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '1D09', 8, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157816, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 416, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157817, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 274, 27, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157818, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1309, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157819, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 906, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157820, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 20, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157821, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 1851, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157822, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 72, 12, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157823, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 785, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157824, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 539, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157825, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 527, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157826, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 826, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157827, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 257, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157828, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 68, 11, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157829, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 339, 60, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157830, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 350, 35, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157831, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 348, 39, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157832, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 210, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157833, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 888, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157834, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 179, 6, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157835, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 115, 40, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157836, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 389, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157837, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 332, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157838, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 165, 7, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157839, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 143, 24, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157840, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 241, 21, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157841, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 116, 16, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157842, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 146, 21, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157843, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 144, 32, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157844, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 22, 20, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157845, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 149, 25, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157846, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 155, 9, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157847, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 140, 48, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157848, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 58, 7, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157849, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 28, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157850, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 83, 40, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157851, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 1280, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157852, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 8, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157853, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 18, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157854, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 34, 14, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157855, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 68, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157856, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 55, 15, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157857, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 45, 17, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157858, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 47, 17, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157859, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 25, 15, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157860, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 344, 29, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157861, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 12, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157862, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 392, 33, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157863, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E12', 761, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157864, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 1135, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157865, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 207, 15, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157866, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 13, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157867, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 6, 7, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157868, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 7, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157869, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157870, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 454, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157871, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157872, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 444, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157873, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 202, 29, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157874, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '', '', '1D03', 1170, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157875, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 72, 12, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157876, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 40, 16, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157877, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 10, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157878, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157879, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 70, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157880, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 8, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157881, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 96, 16, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157882, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 6, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157883, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 182, 14, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (157884, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 5, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157885, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 2912, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157886, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 1161, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157887, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 15, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157888, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 4, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157889, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 4, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157890, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C11', 23, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157891, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 3, 6, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157892, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 4, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157893, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 10, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157894, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 943, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157895, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C11', 9, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157896, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 43, 18, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157897, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 479, 19, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157898, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 3, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157899, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 586, 15, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157900, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 4, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157901, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 4, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157902, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 6, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157903, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 5, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157904, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 3, 6, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157905, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 10, 5, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157906, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 381, 6, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157907, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 100, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157908, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 199, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157909, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 165, 7, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157910, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 332, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157911, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 179, 6, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157912, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 202, 29, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157913, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 274, 27, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157914, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 116, 16, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157915, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 275, 52, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157916, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E12', 761, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157917, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 207, 15, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157918, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 1280, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157919, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 72, 12, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157920, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 20, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157921, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 943, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157922, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 16, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157923, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 416, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157924, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 104, 11, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157925, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 3, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157926, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 5, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157927, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 350, 35, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157928, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 7, 1, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157929, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 339, 60, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157930, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 348, 39, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157931, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1262, 3, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157932, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 216, 13, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157933, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 257, 8, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157934, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 344, 29, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157935, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 392, 33, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157936, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 586, 15, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157937, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 43, 18, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157938, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 871, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157939, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 6, 7, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157940, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 201, 12, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157941, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 454, 2, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157942, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 167, 7, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157943, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 68, 11, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157944, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 12, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157945, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 155, 9, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157946, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 47, 17, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157947, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 22, 20, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157948, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 463, 26, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157949, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 28, 8, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157950, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 58, 7, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157951, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 527, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157952, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 45, 17, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157953, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 34, 14, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157954, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 826, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157955, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1309, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157956, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 25, 15, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157957, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 55, 15, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157958, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 906, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157959, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 1851, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157960, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 68, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157961, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 40, 16, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157962, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 72, 12, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157963, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 785, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157964, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 539, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157965, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 888, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157966, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 137, 12, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157967, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 40, 12, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157968, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 80, 16, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157969, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 40, 11, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157970, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 51, 8, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157971, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157972, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157973, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 38, 13, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157974, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 96, 16, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157975, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 70, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157976, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 18, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157977, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157978, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 10, 1, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157979, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 8, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157980, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 8, 2, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157981, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 210, 8, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157982, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 15, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157983, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 2912, 3, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157984, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 248, 15, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157985, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 115, 40, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157986, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 13, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157987, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 149, 25, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157988, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 163, 4, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157989, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 140, 48, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157990, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 119, 5, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157991, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 83, 40, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157992, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 143, 24, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157993, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 241, 21, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157994, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 146, 21, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157995, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 144, 32, 2024, 7, 19, '2024-08-05 14:08:35', NULL, NULL), (157996, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 202, 29, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157997, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 344, 29, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157998, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 201, 12, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (157999, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 207, 15, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158000, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 167, 7, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158001, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 210, 8, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158002, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 392, 33, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158003, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 5, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158004, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 3, 6, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158005, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 7, 1, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158006, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 28, 8, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158007, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 58, 7, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158008, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 1851, 3, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158009, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 155, 9, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158010, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 22, 20, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158011, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 906, 4, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158012, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1309, 4, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158013, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 826, 5, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158014, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 527, 1, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158015, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 539, 2, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158016, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 68, 11, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158017, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 785, 5, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158018, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3, 4, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158019, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 18, 8, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158020, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 70, 1, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158021, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 8, 8, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158022, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 10, 1, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158023, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 4, 4, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158024, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 10, 5, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158025, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 444, 4, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158026, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 15, 3, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158027, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 165, 7, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158028, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 586, 15, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158029, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 179, 6, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158030, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 182, 14, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158031, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 3, 1, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158032, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 104, 11, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158033, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 332, 8, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158034, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 479, 19, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158035, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 96, 16, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158036, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 350, 35, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158037, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 348, 39, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158038, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 339, 60, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158039, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 72, 12, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158040, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 40, 16, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158041, 1, '511500000000-0001', '宜宾市民中心', '计量业务', '宜宾市市场监管局', '', '1D03', 1170, 1, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158042, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 3, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158043, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 34, 14, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158044, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 45, 17, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158045, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 55, 15, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158046, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 25, 15, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158047, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 68, 2, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158048, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 257, 8, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158049, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 38, 13, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158050, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 216, 13, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158051, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 47, 17, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158052, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E12', 761, 2, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158053, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 12, 4, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158054, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 1280, 5, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158055, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 4, 5, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158056, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 4, 1, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158057, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 116, 16, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158058, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 40, 12, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158059, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 40, 11, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158060, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 51, 8, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158061, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 2912, 3, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158062, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 80, 16, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158063, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 137, 12, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158064, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 5, 8, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158065, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 6, 1, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158066, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 1262, 3, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158067, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 416, 4, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158068, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 199, 4, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158069, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 100, 1, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158070, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 13, 4, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158071, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C11', 23, 1, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158072, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E21', 1135, 2, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158073, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 888, 4, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158074, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 454, 2, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158075, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 274, 27, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158076, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 6, 7, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158077, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 389, 3, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158078, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 43, 18, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158079, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 943, 8, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158080, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C11', 9, 1, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158081, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 144, 32, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158082, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 8, 2, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158083, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 215, 3, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158084, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 140, 48, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158085, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 115, 40, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158086, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 119, 5, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158087, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 149, 25, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158088, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 72, 12, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158089, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 241, 21, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158090, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 20, 3, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158091, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 146, 21, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158092, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 83, 40, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158093, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 143, 24, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158094, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '宜宾市市场监管局', '', '1D09', 8, 1, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158095, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 275, 52, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158096, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 1, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158097, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 3, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158098, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 1161, 3, 2024, 7, 19, '2024-08-05 14:08:36', NULL, NULL), (158099, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 2229, 3, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158100, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 3, 1, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158101, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 1027, 7, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158102, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 471, 94, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158103, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 159, 75, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158104, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 300, 14, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158105, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 466, 95, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158106, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 1, 2, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158107, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 155, 77, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158108, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 1027, 7, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158109, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 2229, 3, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158110, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 280, 15, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158111, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 2, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158112, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 45, 1, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158113, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 2327, 1, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158114, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 2229, 3, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158115, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 296, 14, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158116, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 458, 1, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158117, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 159, 75, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158118, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 881, 5, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158119, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158120, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 598, 48, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158121, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 251, 9, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158122, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 3, 1, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158123, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 351, 38, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 163, 17, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 301, 12, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 139, 21, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 2327, 1, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 211, 14, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 881, 5, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 326, 10, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 420, 3, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 663, 3, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 116, 4, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 404, 16, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 458, 1, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 633, 25, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 5, 2, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 2229, 3, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 45, 1, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 1, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 282, 8, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 545, 20, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 604, 4, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 143, 23, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158145, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 159, 75, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158146, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 282, 8, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158147, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 351, 38, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158148, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 45, 1, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158149, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 3, 1, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158150, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 2229, 3, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158151, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 458, 1, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158152, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 2327, 1, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158153, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 881, 5, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158154, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 319, 13, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158155, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 598, 48, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158156, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 458, 1, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158157, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 1, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158158, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 282, 8, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158159, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 139, 21, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158160, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 211, 14, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158161, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 163, 17, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158162, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 420, 3, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158163, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 604, 4, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158164, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 5, 2, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158165, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 116, 4, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158166, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 2327, 1, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158167, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 143, 23, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158168, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 633, 25, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158169, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 545, 20, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158170, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 663, 3, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158171, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 881, 5, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158172, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 404, 16, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158173, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 2229, 3, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158174, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 301, 12, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158175, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 45, 1, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158176, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 326, 10, 2024, 7, 20, '2024-08-05 14:08:36', NULL, NULL), (158177, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 881, 5, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158178, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 2229, 3, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158179, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 163, 17, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158180, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 2327, 1, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158181, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 458, 1, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158182, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 604, 4, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158183, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 5, 2, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158184, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 116, 4, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158185, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 420, 3, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158186, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 143, 23, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158187, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 545, 20, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158188, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 633, 25, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158189, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 663, 3, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158190, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 404, 16, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158191, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 1, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158192, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 45, 1, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158193, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 326, 10, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158194, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 301, 12, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158195, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 139, 21, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158196, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 211, 14, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158197, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 282, 8, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158198, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 2327, 1, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158199, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 45, 1, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158200, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 143, 23, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158201, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 2229, 3, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158202, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 881, 5, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158203, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 139, 21, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158204, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 163, 17, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158205, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 211, 14, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158206, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 545, 20, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158207, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 458, 1, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158208, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 663, 3, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158209, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 633, 25, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158210, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 404, 16, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158211, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 301, 12, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158212, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 326, 10, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158213, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 420, 3, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158214, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 282, 8, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158215, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 116, 4, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158216, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 5, 2, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158217, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 604, 4, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158218, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 1, 2024, 7, 20, '2024-08-05 14:08:37', NULL, NULL), (158219, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 39, 2, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158220, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 3780, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158221, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 65, 3, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158222, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 249, 63, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158223, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 93, 48, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158224, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 177, 7, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158225, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 246, 64, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158226, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 3780, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158227, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 91, 49, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158228, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 48, 4, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158229, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 39, 2, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158230, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 177, 7, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158231, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 0, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158232, 1, '511500000000-0001', '宜宾市民中心', 'Foreign Citizen（外国人业务）', '', '', '', 0, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158233, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 393, 3, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158234, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 22, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158235, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 92, 8, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158236, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 390, 35, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158237, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 39, 2, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158238, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 15, 4, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158239, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 3780, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158240, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 86, 2, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158241, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 64, 21, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158242, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 93, 48, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 22, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 48, 4, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 83, 15, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 169, 10, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 3780, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 65, 13, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 33, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 58, 11, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 24, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 86, 6, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 419, 25, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 393, 3, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 4, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 105, 7, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 39, 2, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 86, 2, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 316, 10, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 68, 10, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158262, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 93, 48, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158263, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 105, 7, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158264, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 64, 21, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158265, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 393, 3, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158266, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 39, 2, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158267, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 22, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158268, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 15, 4, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158269, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 3780, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158270, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 86, 2, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158271, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 390, 35, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158272, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 68, 10, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158273, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 105, 7, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158274, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 419, 25, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158275, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 316, 10, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158276, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 169, 10, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158277, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 65, 13, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158278, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 83, 15, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158279, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 39, 2, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158280, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 4, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158281, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 86, 6, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158282, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 33, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158283, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 22, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (158284, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 48, 4, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158285, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 3780, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158286, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 24, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158287, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 393, 3, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158288, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 2, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158289, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 86, 2, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158290, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 58, 11, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158291, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 22, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158292, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 83, 15, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158293, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 39, 2, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158294, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 86, 2, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158295, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 24, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158296, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158297, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 68, 10, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158298, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 33, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158299, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 316, 10, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158300, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 419, 25, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158301, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 86, 6, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158302, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 4, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158303, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 393, 3, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158304, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 58, 11, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158305, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 48, 4, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158306, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 169, 10, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158307, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 105, 7, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158308, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 65, 13, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158309, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 3780, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158310, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 4, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158311, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 393, 3, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158312, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 33, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158313, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 105, 7, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158314, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 86, 2, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158315, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 68, 10, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158316, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 2, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158317, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 39, 2, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158318, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 24, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158319, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 22, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158320, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 169, 10, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158321, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 83, 15, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158322, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 3780, 1, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158323, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 65, 13, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158324, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 316, 10, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158325, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 419, 25, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158326, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 86, 6, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158327, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 48, 4, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158328, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 58, 11, 2024, 7, 21, '2024-08-05 14:08:37', NULL, NULL), (158329, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 55, 111, 2024, 7, 22, '2024-08-05 14:08:38', NULL, NULL), (158330, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 206, 61, 2024, 7, 22, '2024-08-05 14:08:38', NULL, NULL), (158331, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 751, 31, 2024, 7, 22, '2024-08-05 14:08:38', NULL, NULL), (158332, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 109, 208, 2024, 7, 22, '2024-08-05 14:08:38', NULL, NULL), (158333, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 199, 64, 2024, 7, 22, '2024-08-05 14:08:38', NULL, NULL), (158334, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 438, 596, 2024, 7, 22, '2024-08-05 14:08:38', NULL, NULL), (158335, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 288, 136, 2024, 7, 22, '2024-08-05 14:08:38', NULL, NULL), (158336, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 645, 155, 2024, 7, 22, '2024-08-05 14:08:38', NULL, NULL), (158337, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 596, 150, 2024, 7, 22, '2024-08-05 14:08:38', NULL, NULL), (158338, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 438, 596, 2024, 7, 22, '2024-08-05 14:08:38', NULL, NULL), (158339, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 362, 99, 2024, 7, 22, '2024-08-05 14:08:38', NULL, NULL), (158340, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 199, 64, 2024, 7, 22, '2024-08-05 14:08:38', NULL, NULL), (158341, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 645, 155, 2024, 7, 22, '2024-08-05 14:08:38', NULL, NULL), (158342, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 111, 209, 2024, 7, 22, '2024-08-05 14:08:38', NULL, NULL), (158343, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 55, 111, 2024, 7, 22, '2024-08-05 14:08:38', NULL, NULL), (158344, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 593, 150, 2024, 7, 22, '2024-08-05 14:08:38', NULL, NULL), (158345, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 288, 136, 2024, 7, 22, '2024-08-05 14:08:38', NULL, NULL), (158346, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 36, 26, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158347, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 209, 24, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158348, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 89, 14, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158349, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 69, 22, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158350, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 309, 15, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158351, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 55, 111, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158352, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 232, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158353, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 74, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158354, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 134, 43, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158355, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 1050, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158356, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1453, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158357, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 237, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158358, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 664, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158359, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 394, 23, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158360, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 27, 12, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158361, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 0, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158362, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 84, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158363, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 1007, 170, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158364, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 1190, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158365, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 169, 357, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158366, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 3236, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158367, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 201, 10, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158368, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 139, 23, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158369, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 288, 136, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158370, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 336, 39, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158371, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 103, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158372, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 0, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158373, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 60, 42, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158374, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 49, 96, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158375, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 44, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158376, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 645, 155, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158377, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 109, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158378, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 159, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158379, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 963, 65, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158380, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 432, 69, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158381, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 1388, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158382, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158383, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 46, 9, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 358, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 93, 14, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 234, 13, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 203, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 610, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 337, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 162, 8, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 185, 26, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 143, 36, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 279, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 143, 47, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 582, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 84, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 217, 45, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 101, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 170, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 209, 42, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 389, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 349, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 205, 49, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 290, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 227, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 106, 13, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 111, 34, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 125, 26, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 385, 8, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 180, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 422, 26, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 330, 22, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 266, 16, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 502, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 34, 14, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 40, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 87, 18, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 250, 9, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 82, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 44, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 167, 18, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 306, 33, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 107, 32, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 3236, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 200, 18, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 236, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 38, 19, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1250, 33, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 192, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 978, 59, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 2056, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 45, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 269, 13, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 926, 78, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 548, 36, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 732, 16, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 5, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 172, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 470, 45, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 767, 39, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 394, 23, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 56, 14, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 45, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 18, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 58, 17, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 56, 22, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 738, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 18, 16, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 103, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 171, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 14, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 45, 13, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 35, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 4, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 82, 14, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 58, 8, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 109, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 27, 12, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 2256, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 676, 55, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 312, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 20, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 9, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 6, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 44, 10, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 49, 11, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 5, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 24, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1175, 15, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 11, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 309, 15, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 41, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1453, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 61, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D13', 93, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1171, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 939, 16, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 1190, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 33, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 497, 13, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 47, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 139, 23, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158485, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 645, 155, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158486, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 432, 69, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158487, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 169, 357, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158488, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 84, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158489, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 69, 22, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158490, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '', 74, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158491, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 664, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158492, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '', 159, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158493, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 139, 23, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158494, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 963, 65, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158495, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 109, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158496, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 232, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158497, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 55, 111, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158498, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 201, 10, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158499, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 44, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158500, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 309, 15, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158501, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 89, 14, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158502, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 394, 23, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158503, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 60, 42, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158504, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158505, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 288, 136, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158506, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 1007, 170, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158507, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 46, 9, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158508, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 1050, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158509, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1453, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158510, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 1388, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158511, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 134, 43, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158512, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 1190, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158513, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 209, 24, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158514, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 27, 12, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158515, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 345, 38, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158516, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 36, 26, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158517, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 237, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158518, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 49, 96, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158519, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 103, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158520, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 3236, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158521, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 358, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158522, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 738, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158523, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 1453, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158524, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 2256, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158525, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 162, 8, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158526, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 306, 33, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158527, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 309, 15, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158528, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 548, 36, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158529, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 38, 19, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158530, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 84, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158531, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 44, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158532, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 87, 18, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158533, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 82, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158534, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 34, 14, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158535, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 40, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158536, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 45, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158537, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 2056, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158538, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 61, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158539, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 41, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158540, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 11, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158541, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 109, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158542, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 107, 32, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158543, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 170, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158544, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 582, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158545, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 35, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158546, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 279, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158547, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 45, 13, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158548, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 385, 8, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158549, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 290, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158550, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 349, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158551, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1175, 15, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158552, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 56, 14, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158553, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 978, 59, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158554, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 926, 78, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158555, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 1250, 33, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158556, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 1190, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158557, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 337, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158558, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 203, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158559, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D13', 93, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158560, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 227, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158561, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 939, 16, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158562, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 237, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158563, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1171, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158564, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 497, 13, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158565, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 143, 36, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158566, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 185, 26, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158567, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 139, 23, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158568, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 125, 26, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158569, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 111, 34, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158570, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 159, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158571, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 56, 22, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158572, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 205, 49, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158573, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 58, 17, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158574, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 209, 42, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158575, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 18, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158576, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 217, 45, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158577, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 45, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158578, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 143, 47, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158579, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 103, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158580, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 47, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158581, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 18, 16, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158582, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 167, 18, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158583, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 250, 9, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158584, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 422, 26, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158585, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 180, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158586, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 266, 16, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158587, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 330, 22, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158588, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 33, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158589, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 470, 45, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158590, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 502, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158591, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 767, 39, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158592, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 732, 16, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158593, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 3236, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158594, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158595, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 5, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158596, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158597, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 9, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158598, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 172, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158599, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 676, 55, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158600, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 192, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158601, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 269, 13, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158602, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E19', 74, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158603, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 4, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158604, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 171, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158605, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 14, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158606, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 82, 14, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158607, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C10', 24, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158608, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 27, 12, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158609, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 200, 18, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158610, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 312, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158611, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 20, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158612, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C09', 228, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158613, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 993, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158614, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 236, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158615, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 6, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158616, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 44, 10, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158617, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 113, 12, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158618, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 101, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158619, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 24, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158620, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 5, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158621, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 38, 10, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158622, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 336, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158623, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 389, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158624, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 394, 23, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158625, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 82, 13, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158626, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 55, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158627, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 10, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158628, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 234, 12, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158629, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 6, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158630, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 44, 10, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158631, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 312, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158632, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 20, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158633, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 24, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158634, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 49, 11, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158635, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 5, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158636, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 41, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158637, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 61, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158638, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 11, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158639, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 497, 13, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158640, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 939, 16, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158641, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1171, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158642, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D13', 93, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158643, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 676, 55, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158644, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 107, 32, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158645, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 139, 23, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158646, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 306, 33, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158647, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 103, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158648, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 732, 16, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158649, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 45, 13, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158650, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 35, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158651, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 389, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158652, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 106, 13, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158653, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 109, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158654, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 58, 8, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158655, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 84, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158656, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 101, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158657, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 4, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158658, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 548, 36, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158659, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 9, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158660, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 926, 78, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158661, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158662, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 978, 59, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158663, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1250, 33, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158664, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1453, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158665, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 309, 15, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158666, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1175, 15, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158667, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 470, 45, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158668, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 767, 39, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158669, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 234, 13, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158670, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 394, 23, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158671, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 610, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158672, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 5, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158673, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 162, 8, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158674, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 358, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158675, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 172, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158676, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 56, 14, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158677, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 502, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158678, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 58, 17, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158679, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 266, 16, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158680, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 93, 14, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158681, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 56, 22, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158682, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 45, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158683, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 18, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158684, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 290, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158685, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 180, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158686, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 349, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158687, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 167, 18, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158688, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 330, 22, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158689, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 170, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158690, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 582, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158691, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 422, 26, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158692, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 279, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158693, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 250, 9, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158694, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 269, 13, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158695, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 192, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158696, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 385, 8, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158697, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 337, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158698, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 203, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158699, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 40, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158700, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 87, 18, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158701, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 34, 14, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158702, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 82, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158703, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 44, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158704, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 2256, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (158705, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 38, 19, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158706, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 738, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158707, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 27, 12, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158708, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 14, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158709, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 18, 16, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158710, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 171, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158711, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158712, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 82, 14, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158713, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E31', 33, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158714, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 47, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158715, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 1190, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158716, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 236, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158717, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 200, 18, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158718, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 227, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158719, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 3236, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158720, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 205, 49, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158721, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 2056, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158722, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 209, 42, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158723, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 217, 45, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158724, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 143, 47, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158725, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 45, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158726, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 143, 36, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158727, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 185, 26, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158728, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 125, 26, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158729, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 111, 34, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158730, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 676, 55, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158731, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 162, 8, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158732, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 470, 45, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158733, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 358, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158734, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 732, 16, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158735, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 1190, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158736, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 767, 39, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158737, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 9, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158738, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158739, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 24, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158740, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 45, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158741, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 18, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158742, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 279, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158743, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 58, 17, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158744, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 582, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158745, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 56, 22, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158746, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 170, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158747, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 349, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158748, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 290, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158749, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 56, 14, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158750, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 385, 8, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158751, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 171, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158752, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 18, 16, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158753, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 14, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158754, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 82, 14, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158755, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 4, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158756, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 5, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158757, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 38, 10, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158758, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 236, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158759, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 939, 16, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158760, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 497, 13, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158761, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 200, 18, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158762, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D13', 93, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158763, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 234, 12, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158764, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 10, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158765, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 84, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158766, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1171, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158767, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 82, 13, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158768, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '市人力资源社会保障局', '', '2E22', 159, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158769, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 27, 12, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158770, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 926, 78, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158771, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 1250, 33, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158772, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 55, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158773, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 978, 59, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158774, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 192, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158775, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 269, 13, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158776, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 4, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158777, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 167, 18, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158778, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 180, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158779, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 422, 26, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158780, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 330, 22, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158781, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 250, 9, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158782, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1175, 15, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158783, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 38, 19, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158784, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 309, 15, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158785, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 266, 16, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158786, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 502, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158787, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 103, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158788, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 44, 10, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158789, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 6, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158790, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 139, 23, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158791, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 87, 18, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158792, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 82, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158793, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 44, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158794, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 548, 36, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158795, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 34, 14, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158796, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 40, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158797, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '市人力资源社会保障局', '', '2E19', 74, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158798, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 20, 6, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158799, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 312, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158800, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 1453, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158801, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C10', 24, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158802, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 109, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158803, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 61, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158804, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 41, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158805, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 101, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158806, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 11, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158807, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 3236, 5, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158808, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 113, 12, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158809, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C08', 336, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158810, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 203, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158811, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 172, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158812, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 337, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158813, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 107, 32, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158814, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 5, 7, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158815, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 237, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158816, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 394, 23, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158817, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 389, 2, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158818, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 111, 34, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158819, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 2056, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158820, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 47, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158821, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E31', 33, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158822, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 209, 42, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158823, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 217, 45, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158824, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 45, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158825, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 227, 20, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158826, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 205, 49, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158827, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 45, 13, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158828, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 185, 26, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158829, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 35, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158830, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 125, 26, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158831, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 143, 47, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158832, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 143, 36, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158833, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 306, 33, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158834, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 2256, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158835, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C09', 228, 1, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158836, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 993, 3, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158837, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 738, 4, 2024, 7, 22, '2024-08-05 14:08:39', NULL, NULL), (158838, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 45, 83, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158839, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 15, 43, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158840, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 689, 53, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158841, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 87, 164, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158842, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 220, 44, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158843, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 328, 461, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158844, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 614, 119, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158845, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 177, 102, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158846, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 752, 100, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158847, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 326, 464, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158848, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 368, 101, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158849, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 220, 44, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158850, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 614, 119, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158851, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 86, 166, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158852, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 752, 100, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158853, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 45, 83, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158854, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 177, 102, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158855, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 114, 23, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158856, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 518, 30, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158857, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 78, 6, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158858, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 22, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158859, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 284, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158860, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 45, 83, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158861, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 5, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158862, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 128, 28, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158863, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 129, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158864, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 846, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158865, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 560, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158866, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 304, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158867, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 7, 14, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158868, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 25, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158869, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 664, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158870, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 2532, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158871, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 855, 131, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158872, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 55, 8, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158873, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 124, 288, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158874, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 56, 11, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158875, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 284, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158876, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 99, 16, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158877, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 177, 102, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158878, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1995, 26, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158879, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 5, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158880, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 15, 33, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158881, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 377, 6, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158882, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 58, 74, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158883, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 314, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158884, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158885, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 614, 119, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158886, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 388, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158887, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 449, 37, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158888, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 75, 45, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158889, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 3, 6, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158890, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158891, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 58, 6, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158892, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '', '', '', 40, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 159, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 140, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 55, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1472, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 217, 6, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 267, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 136, 23, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 113, 43, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 833, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 67, 32, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 664, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 2027, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 160, 53, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2227, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 840, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 2714, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 99, 36, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1656, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 140, 34, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 214, 8, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 162, 36, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 99, 30, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 3291, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 73, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 145, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 157, 14, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 231, 19, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 222, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 25, 12, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 37, 16, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 38, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 257, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 100, 16, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 144, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 37, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 74, 22, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 62, 10, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 399, 23, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 909, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 17, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 862, 30, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 180, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 942, 43, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 44, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 300, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 3544, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 453, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 192, 13, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 800, 57, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 79, 22, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 22, 11, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 610, 39, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 22, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 7, 14, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 787, 41, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 34, 14, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 94, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 78, 12, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 54, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 42, 18, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 5, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 3, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 5, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 25, 12, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 71, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 72, 11, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 63, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 3, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 12, 12, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 52, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 25, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 388, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 4, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 438, 39, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 104, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 348, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 10, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 8, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 205, 8, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 109, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 56, 6, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 329, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 284, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 46, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 83, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 846, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 382, 10, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 55, 8, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 489, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 605, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 314, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 107, 14, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 39, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158989, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 614, 119, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158990, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 77, 44, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158991, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 124, 287, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158992, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 664, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158993, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 78, 6, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158994, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 304, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158995, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 99, 16, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158996, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 449, 37, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158997, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 388, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158998, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 5, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (158999, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 45, 83, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159000, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 453, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159001, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 284, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159002, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 314, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159003, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 284, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159004, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 22, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159005, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 7, 14, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159006, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 15, 33, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159007, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159008, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 177, 102, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159009, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 3544, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159010, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 862, 130, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159011, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 58, 6, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159012, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 129, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159013, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 846, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159014, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 3, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159015, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 128, 28, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159016, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 55, 8, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159017, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 518, 30, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159018, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 25, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159019, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 1995, 26, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159020, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 119, 22, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159021, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 560, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159022, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 58, 74, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159023, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 5, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159024, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 62, 10, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159025, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '宜宾市政务服务和非公经济发展局', '', '', 40, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159026, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 311, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159027, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159028, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 267, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159029, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 4, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159030, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 846, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159031, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 74, 22, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159032, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 284, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159033, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 79, 22, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159034, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 17, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159035, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 664, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159036, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 37, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159037, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 38, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159038, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 100, 16, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159039, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 25, 12, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159040, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 37, 16, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159041, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 300, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159042, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 44, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159043, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 83, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159044, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 46, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159045, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 39, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159046, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 388, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159047, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 2227, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159048, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 2027, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159049, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 63, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159050, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 833, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159051, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 72, 11, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159052, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 3291, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159053, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 1656, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159054, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 2714, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159055, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 329, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159056, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 34, 14, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159057, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 942, 43, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159058, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 800, 57, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159059, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 862, 30, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159060, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 55, 8, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159061, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 1472, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159062, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 140, 34, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159063, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 489, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159064, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 560, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159065, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 382, 10, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159066, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 605, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159067, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 113, 43, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159068, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 136, 23, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159069, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 107, 14, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159070, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 99, 30, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159071, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 162, 36, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159072, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 42, 18, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159073, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 99, 36, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159074, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 54, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159075, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 78, 12, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159076, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 160, 53, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159077, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 94, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159078, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 67, 32, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159079, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 5, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159080, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 5, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159081, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 314, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159082, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 3, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159083, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 144, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159084, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 257, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159085, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 145, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159086, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 73, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159087, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 231, 19, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159088, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 157, 14, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159089, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 610, 39, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159090, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 222, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159091, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 787, 41, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159092, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 62, 10, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159093, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159094, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 22, 11, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159095, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 8, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159096, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 22, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159097, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '', '', '1D24', 40, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159098, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 438, 39, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159099, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 180, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159100, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 192, 13, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159101, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 3, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159102, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 24, 11, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159103, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 71, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159104, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 12, 12, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159105, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C10', 5, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159106, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 25, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159107, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 104, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (159108, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 399, 23, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159109, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 348, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159110, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C09', 6, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159111, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 453, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159112, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 66, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159113, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 909, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159114, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 10, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159115, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 3, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159116, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 284, 6, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159117, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 3544, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159118, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 56, 6, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159119, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 109, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159120, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 205, 8, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159121, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 840, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159122, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 7, 14, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159123, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 19, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159124, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 52, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159125, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 248, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159126, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 8, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159127, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 61, 8, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159128, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 10, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159129, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 3, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159130, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 104, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159131, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 348, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159132, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 56, 6, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159133, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 205, 8, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159134, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 109, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159135, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 46, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159136, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 83, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159137, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 605, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159138, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 489, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159139, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 382, 10, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159140, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 438, 39, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159141, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D17', 39, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159142, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 107, 14, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159143, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 74, 22, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159144, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 5, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159145, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 5, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159146, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 72, 11, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159147, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 63, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159148, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 840, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159149, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 214, 8, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159150, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 388, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159151, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 664, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159152, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 52, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159153, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 8, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159154, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 79, 22, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159155, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 800, 57, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159156, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 4, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159157, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 942, 43, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159158, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 862, 30, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159159, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 846, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159160, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 284, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159161, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 329, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159162, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 610, 39, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159163, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 787, 41, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159164, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 7, 14, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159165, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 55, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159166, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 217, 6, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159167, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 267, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159168, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 22, 11, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159169, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 159, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159170, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 22, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159171, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 34, 14, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159172, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 222, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159173, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 54, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159174, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 231, 19, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159175, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 140, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159176, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 42, 18, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159177, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 94, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159178, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 78, 12, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159179, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 1656, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159180, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 73, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159181, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 144, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159182, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 2714, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159183, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 2227, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159184, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 157, 14, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159185, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 2027, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159186, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 145, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159187, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 833, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159188, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 257, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159189, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 192, 13, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159190, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 180, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159191, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 3291, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159192, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 1472, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159193, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 37, 16, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159194, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 38, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159195, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 25, 12, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159196, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 100, 16, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159197, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 37, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159198, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159199, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159200, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 17, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159201, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 25, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159202, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 71, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159203, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159204, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 25, 12, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159205, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159206, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 12, 12, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159207, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 314, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159208, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 55, 8, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159209, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 909, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159210, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 453, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159211, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 3544, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159212, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 399, 23, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159213, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 140, 34, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159214, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 62, 10, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159215, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 99, 36, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159216, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 44, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159217, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 160, 53, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159218, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 67, 32, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159219, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 300, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159220, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 113, 43, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159221, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 136, 23, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159222, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 99, 30, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159223, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 162, 36, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159224, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 438, 39, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159225, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 267, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159226, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 610, 39, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159227, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 311, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159228, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 55, 8, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159229, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 787, 41, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159230, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 4, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159231, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 56, 6, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159232, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 94, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159233, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 78, 12, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159234, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 54, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159235, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 833, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159236, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 2027, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159237, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 42, 18, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159238, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 2227, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159239, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 2714, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159240, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 1656, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159241, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 34, 14, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159242, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 3291, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159243, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 24, 11, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159244, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 3, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159245, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 71, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159246, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 12, 12, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159247, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 3, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159248, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 109, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159249, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 205, 8, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159250, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 909, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159251, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 489, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159252, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 605, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159253, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 399, 23, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159254, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 61, 8, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159255, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 664, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159256, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 248, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159257, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 382, 10, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159258, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C06', 8, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159259, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 19, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159260, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 25, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159261, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 800, 57, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159262, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 862, 30, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159263, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 52, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159264, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 942, 43, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159265, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 180, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159266, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 192, 13, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159267, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 3544, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159268, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 8, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159269, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 144, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159270, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 73, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159271, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 145, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159272, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 157, 14, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159273, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 257, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159274, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 329, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159275, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 17, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159276, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 284, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159277, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 231, 19, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159278, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 222, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159279, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 5, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159280, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 5, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159281, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 3, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159282, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 10, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159283, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 107, 14, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159284, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 38, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159285, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 100, 16, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159286, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 37, 15, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159287, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 453, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159288, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 79, 22, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159289, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 25, 12, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159290, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 37, 16, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159291, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D17', 39, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159292, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 348, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159293, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 104, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159294, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 846, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159295, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C10', 5, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159296, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 388, 9, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159297, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 83, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159298, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 46, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159299, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 62, 10, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159300, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 284, 6, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159301, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 1472, 5, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159302, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 22, 4, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159303, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 22, 11, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159304, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 560, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159305, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 7, 14, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159306, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 840, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159307, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 162, 36, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159308, 1, '511500000000-0001', '宜宾市民中心', '水土保持审批', '宜宾市政务服务和非公经济发展局', '', '1D24', 40, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159309, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 44, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159310, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 314, 7, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159311, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 160, 53, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159312, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 300, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159313, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 140, 34, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159314, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 99, 36, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159315, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 72, 11, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159316, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 136, 23, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159317, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 63, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159318, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 99, 30, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159319, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 67, 32, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159320, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 113, 43, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159321, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 74, 22, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159322, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 4, 3, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159323, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C09', 6, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159324, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 2, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159325, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 66, 1, 2024, 7, 23, '2024-08-05 14:08:40', NULL, NULL), (159326, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 158, 107, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159327, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 221, 36, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159328, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 403, 57, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159329, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 164, 169, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159330, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 276, 53, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159331, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 330, 508, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159332, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 719, 113, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159333, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 215, 74, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159334, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 1238, 129, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159335, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 329, 510, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159336, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 333, 93, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159337, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 276, 53, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159338, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 215, 74, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159339, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 164, 169, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159340, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1238, 129, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159341, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 158, 107, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159342, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 719, 113, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159343, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 51, 15, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159344, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 355, 25, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159345, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 479, 19, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159346, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 8, 16, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159347, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 281, 26, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159348, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 159, 106, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159349, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 126, 4, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159350, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 288, 34, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159351, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 528, 21, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159352, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 225, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159353, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 586, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159354, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 531, 4, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159355, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 138, 16, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159356, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 698, 9, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159357, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 95, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159358, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 114, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159359, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 330, 138, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159360, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 90, 7, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159361, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 251, 289, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159362, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 342, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159363, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 116, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159364, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 318, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159365, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 719, 113, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159366, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 187, 16, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159367, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 10, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159368, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 43, 21, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159369, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 95, 70, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159370, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 810, 9, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159371, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 215, 74, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159372, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 120, 5, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159373, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 55, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159374, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 2281, 63, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159375, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 597, 83, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159376, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 130, 6, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159377, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 6, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159378, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 46, 9, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1530, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 467, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 125, 25, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 488, 11, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 436, 23, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 223, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 138, 16, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 479, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 78, 14, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 130, 14, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 87, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 267, 10, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 357, 9, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 79, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 85, 11, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 37, 7, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 96, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 257, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 169, 24, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 13, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 59, 6, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 3, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 64, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 30, 6, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 236, 48, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 114, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 68, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 613, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 283, 72, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 592, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 70, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 25, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 330, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 318, 43, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 339, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 16, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 37, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 255, 30, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 121, 6, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 120, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 120, 5, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 698, 9, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 249, 37, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 2, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 178, 35, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 41, 4, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 104, 26, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 667, 21, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 10, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 182, 4, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 5, 6, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 19, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 611, 20, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 2368, 5, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 7, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 3, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 798, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 72, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 18, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 59, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 50, 21, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 2544, 26, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 59, 19, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 734, 16, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 281, 26, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 57, 5, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 626, 20, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 32, 4, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 225, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 67, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 317, 15, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 611, 81, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 342, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 365, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 350, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1872, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 90, 7, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 10, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1610, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 3541, 7, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 268, 42, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 810, 9, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 347, 45, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 779, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 122, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 318, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 95, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 819, 19, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 366, 51, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159469, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 215, 74, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159470, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 251, 289, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159471, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 611, 81, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159472, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 114, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159473, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 8, 16, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159474, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 531, 4, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159475, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 318, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159476, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 2281, 63, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159477, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 120, 5, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159478, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 126, 4, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159479, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 159, 106, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159480, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 810, 9, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159481, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 116, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159482, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 281, 26, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159483, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 479, 19, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159484, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 138, 16, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159485, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 43, 21, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159486, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 7, 6, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159487, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 719, 113, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159488, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 95, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159489, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 330, 138, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159490, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 46, 9, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159491, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 225, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159492, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 528, 21, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159493, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 130, 6, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159494, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 288, 34, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159495, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 90, 7, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159496, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 355, 25, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159497, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 698, 9, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159498, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 187, 16, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159499, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 51, 15, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159500, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 586, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159501, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 95, 70, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159502, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 55, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159503, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 10, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159504, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 342, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159505, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 667, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159506, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 257, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159507, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 2, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159508, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 225, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159509, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 37, 7, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159510, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 611, 81, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159511, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 281, 26, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159512, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 10, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159513, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 114, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159514, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 67, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (159515, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 59, 19, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159516, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 626, 20, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159517, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 59, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159518, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 49, 20, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159519, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 122, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159520, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 779, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159521, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 32, 4, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159522, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 57, 5, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159523, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 120, 5, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159524, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 592, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159525, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 613, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159526, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 25, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159527, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 64, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159528, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 41, 4, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159529, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 16, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159530, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 330, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159531, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 2544, 26, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159532, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 78, 14, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159533, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 347, 45, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159534, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 366, 51, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159535, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 268, 42, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159536, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 90, 7, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159537, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 79, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159538, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 255, 30, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159539, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1610, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159540, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1872, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159541, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 586, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159542, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 3541, 7, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159543, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 169, 24, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159544, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 318, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159545, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 178, 35, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159546, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 249, 37, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159547, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 96, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159548, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 318, 43, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159549, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 85, 11, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159550, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 87, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159551, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 283, 72, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159552, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 130, 14, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159553, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 236, 48, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159554, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 13, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159555, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 3, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159556, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 810, 9, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159557, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 59, 6, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159558, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 317, 15, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159559, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 734, 16, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159560, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 182, 4, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159561, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 667, 21, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159562, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 2368, 5, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159563, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 611, 20, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159564, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 125, 25, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159565, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 798, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159566, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 436, 23, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159567, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 342, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159568, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 10, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159569, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 467, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159570, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159571, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 488, 11, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159572, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 195, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159573, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 104, 26, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159574, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 819, 19, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159575, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 30, 6, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159576, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 68, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159577, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 37, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159578, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C03', 756, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159579, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C10', 167, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159580, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 698, 9, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159581, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 365, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159582, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 5, 6, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159583, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 649, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159584, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 350, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159585, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 19, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159586, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 7, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159587, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C11', 339, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159588, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 111, 5, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159589, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 95, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159590, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 18, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159591, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 72, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159592, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 3, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159593, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 72, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159594, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 70, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159595, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E18', 55, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159596, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 138, 16, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159597, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 154, 10, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159598, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 120, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159599, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C03', 203, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159600, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 354, 5, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159601, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 2394, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159602, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 267, 10, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159603, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 19, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159604, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 7, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159605, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 5, 6, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159606, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 18, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159607, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 3, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159608, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 72, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159609, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 57, 5, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159610, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 32, 4, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159611, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 3541, 7, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159612, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1610, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159613, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1872, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159614, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 104, 26, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159615, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 318, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159616, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 611, 81, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159617, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 3, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159618, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 13, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159619, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 25, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159620, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 70, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159621, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 339, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159622, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 121, 6, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159623, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 120, 5, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159624, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 120, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159625, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 114, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159626, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159627, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 366, 51, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159628, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 10, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159629, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 347, 45, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159630, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 268, 42, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159631, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 225, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159632, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 281, 26, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159633, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 2544, 26, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159634, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 125, 25, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159635, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 436, 23, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159636, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 267, 10, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159637, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 50, 21, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159638, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 138, 16, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159639, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 357, 9, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159640, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 59, 19, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159641, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 467, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159642, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 37, 7, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159643, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1530, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159644, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 488, 11, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159645, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 59, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159646, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 626, 20, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159647, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 67, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159648, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 78, 14, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159649, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 798, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159650, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 85, 11, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159651, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 2368, 5, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159652, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 223, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159653, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 96, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159654, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 479, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159655, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 130, 14, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159656, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 87, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159657, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 667, 21, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159658, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 16, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159659, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 330, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159660, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 317, 15, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159661, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 592, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159662, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 611, 20, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159663, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 182, 4, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159664, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 613, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159665, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 64, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159666, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 734, 16, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159667, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 2, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159668, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 257, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159669, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 10, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159670, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 698, 9, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159671, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 68, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159672, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 59, 6, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159673, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 30, 6, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159674, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 37, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159675, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 810, 9, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159676, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 90, 7, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159677, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 819, 19, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159678, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 41, 4, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159679, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 350, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159680, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 95, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159681, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 365, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159682, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 255, 30, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159683, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 342, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159684, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 318, 43, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159685, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 779, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159686, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 79, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159687, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 283, 72, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159688, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 122, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159689, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 236, 48, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159690, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 169, 24, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159691, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 178, 35, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159692, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 249, 37, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159693, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 104, 26, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159694, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 125, 25, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159695, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 37, 7, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159696, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 667, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159697, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 90, 7, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159698, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 436, 23, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159699, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159700, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 10, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159701, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 18, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159702, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 130, 14, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159703, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 87, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159704, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 64, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159705, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 85, 11, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159706, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 613, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159707, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 96, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159708, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 592, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159709, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 330, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159710, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 16, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159711, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 78, 14, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159712, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 41, 4, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159713, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 30, 6, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159714, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 59, 6, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159715, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 68, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159716, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 37, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159717, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 72, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159718, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 3, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159719, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 195, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159720, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 350, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159721, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1610, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159722, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 3541, 7, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159723, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 365, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159724, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 267, 10, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159725, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 114, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159726, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 354, 5, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159727, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1872, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159728, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C06', 2394, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159729, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 154, 10, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159730, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C03', 203, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159731, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 698, 9, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159732, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 366, 51, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159733, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 268, 42, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159734, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 120, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159735, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 347, 45, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159736, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 819, 19, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159737, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 95, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159738, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 317, 15, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159739, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 667, 21, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159740, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 182, 4, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159741, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 611, 20, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159742, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 734, 16, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159743, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 2544, 26, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159744, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 10, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159745, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 281, 26, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159746, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 2368, 5, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159747, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 798, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159748, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 3, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159749, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 13, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159750, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 7, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159751, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 19, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159752, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 318, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159753, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 59, 19, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159754, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 626, 20, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159755, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 67, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159756, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 59, 17, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159757, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 49, 20, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159758, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 5, 6, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159759, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E18', 55, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159760, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 225, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159761, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C10', 167, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159762, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 120, 5, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159763, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 32, 4, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159764, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 57, 5, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159765, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 342, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159766, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C11', 339, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159767, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 111, 5, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159768, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C08', 72, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159769, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 79, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159770, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 488, 11, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159771, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 467, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159772, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 586, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159773, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 138, 16, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159774, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 70, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159775, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 249, 37, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159776, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 779, 13, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159777, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 810, 9, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159778, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 283, 72, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159779, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 255, 30, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159780, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 122, 8, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159781, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 318, 43, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159782, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 169, 24, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159783, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 25, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159784, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 178, 35, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159785, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 236, 48, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159786, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 611, 81, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159787, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 2, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159788, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C03', 756, 1, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159789, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 649, 2, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159790, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 257, 3, 2024, 7, 24, '2024-08-05 14:08:41', NULL, NULL), (159791, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 107, 79, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159792, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 49, 41, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159793, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 267, 44, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159794, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 269, 148, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159795, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 207, 44, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159796, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 307, 430, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159797, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 94, 109, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159798, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 331, 81, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159799, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 701, 163, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159800, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 306, 431, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159801, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 160, 86, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159802, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 207, 44, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159803, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 331, 81, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159804, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 266, 150, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159805, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 693, 165, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159806, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 107, 79, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159807, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 94, 109, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159808, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 43, 19, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159809, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 23, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159810, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 364, 19, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159811, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 11, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159812, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 62, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159813, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 462, 12, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159814, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 107, 79, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159815, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 453, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159816, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 0, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159817, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 234, 29, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159818, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 45, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159819, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 269, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159820, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 280, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159821, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 242, 24, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159822, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 215, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159823, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 45, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159824, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 280, 113, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159825, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 301, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159826, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 231, 250, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159827, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 12, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159828, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 271, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159829, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 125, 31, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159830, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 94, 109, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159831, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 933, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159832, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 367, 36, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159833, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 10924, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159834, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 506, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159835, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 12, 32, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159836, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 49, 61, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159837, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '', 143, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159838, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 384, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159839, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 331, 81, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159840, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 414, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159841, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1161, 78, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159842, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 624, 68, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159843, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 199, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159844, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159845, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 132, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159846, 1, '511500000000-0001', '宜宾市民中心', '律师执业许可', '', '', '', 5, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 7, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 409, 27, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 118, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 144, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 239, 23, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 242, 24, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 67, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 79, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 21, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 61, 12, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 41, 8, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 310, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 524, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 12, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 42, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 395, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 6, 11, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 10924, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 455, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 10, 12, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 179, 51, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 312, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 226, 47, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 25, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 529, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 21, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 19, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 565, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 119, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 271, 33, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 532, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 352, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 20, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 267, 27, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 215, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 479, 8, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 188, 40, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 293, 33, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 187, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 332, 31, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 147, 18, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 3, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 81, 13, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 14, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 6, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 81, 16, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 2, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 49, 11, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 6, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 121, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 11, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 90, 8, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 75, 17, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1333, 16, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 279, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 63, 11, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 61, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 24, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 462, 12, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 64, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 175, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 78, 12, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 269, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 27, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 558, 41, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 252, 19, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 271, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 226, 13, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 664, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1159, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 301, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 122, 13, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1010, 20, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1292, 29, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (159924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 340, 34, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 384, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 253, 36, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 71, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 44, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 8, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 125, 31, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 60, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 506, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 94, 18, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 255, 43, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 751, 26, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159936, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 331, 81, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159937, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 633, 67, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159938, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 231, 250, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159939, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 11, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159940, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 280, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159941, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 125, 31, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159942, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1208, 75, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159943, 1, '511500000000-0001', '宜宾市民中心', '律师执业许可', '宜宾市政务服务和非公经济发展局', '', '', 5, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159944, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 414, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159945, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '宜宾市市场监管局', '', '', 143, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159946, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 453, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159947, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 107, 79, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159948, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 506, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159949, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 12, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159950, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 384, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159951, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 933, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159952, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 462, 12, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159953, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 62, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159954, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 242, 24, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159955, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 12, 32, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159956, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 3, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159957, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 94, 109, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159958, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 60, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159959, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 280, 113, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159960, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 132, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159961, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 23, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159962, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 45, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159963, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 269, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159964, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 199, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159965, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 234, 29, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159966, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 301, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159967, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 364, 19, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159968, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 215, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159969, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 367, 36, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159970, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 43, 19, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159971, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 49, 61, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159972, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 10924, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159973, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 271, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159974, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 395, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159975, 1, '511500000000-0001', '宜宾市民中心', '律师执业许可', '', '', '1D25', 5, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159976, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 12, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159977, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159978, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 269, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159979, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 558, 41, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159980, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 751, 26, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159981, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 462, 12, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159982, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 122, 13, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159983, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 27, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159984, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 63, 11, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159985, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 64, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159986, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 75, 17, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159987, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 279, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159988, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 53, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159989, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 16, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159990, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 175, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159991, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 24, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159992, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '1D09', 143, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159993, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 414, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159994, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 252, 19, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159995, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 529, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159996, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 312, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159997, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 21, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159998, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 455, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (159999, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 25, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160000, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 187, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160001, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 352, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160002, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 565, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160003, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1333, 16, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160004, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 67, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160005, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 253, 36, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160006, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 255, 43, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160007, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 340, 34, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160008, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 301, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160009, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 310, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160010, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 267, 27, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160011, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1010, 20, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160012, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1159, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160013, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 933, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160014, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1292, 29, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160015, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 125, 31, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160016, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 293, 33, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160017, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 188, 40, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160018, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 42, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160019, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 271, 33, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160020, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 41, 8, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160021, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 21, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160022, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 226, 47, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160023, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 79, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160024, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 179, 51, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160025, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 10924, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160026, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 384, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160027, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 7, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160028, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 78, 12, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160029, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 61, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160030, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 81, 13, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160031, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 147, 18, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160032, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 49, 11, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160033, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 81, 16, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160034, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 409, 27, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160035, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 121, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160036, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 239, 23, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160037, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D09', 54, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160038, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 271, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160039, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 8, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160040, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D08', 7, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160041, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 3, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160042, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 7, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160043, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160044, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160045, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 118, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160046, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 77, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160047, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 332, 31, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160048, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 94, 18, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160049, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 19, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160050, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 10, 12, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160051, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 20, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160052, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C11', 1185, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160053, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 215, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160054, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 226, 13, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160055, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 14, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160056, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 506, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160057, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 664, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160058, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 647, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160059, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 6, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160060, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 2, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160061, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C11', 435, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160062, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 60, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160063, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 90, 8, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160064, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 11, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160065, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 6, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160066, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 99, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160067, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 119, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160068, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C11', 75, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160069, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 242, 24, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160070, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 153, 8, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160071, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 567, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160072, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 61, 12, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160073, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 6, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160074, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 2, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160075, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 14, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160076, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 90, 8, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160077, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 6, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160078, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 11, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160079, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 24, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160080, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 175, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160081, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1292, 29, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160082, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1010, 20, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160083, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1159, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160084, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 332, 31, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160085, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 252, 19, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160086, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 125, 31, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160087, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 558, 41, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160088, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 10924, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160089, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 25, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160090, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 21, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160091, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 119, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160092, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 532, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160093, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 479, 8, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160094, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 3, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160095, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 751, 26, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160096, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 3, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160097, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 255, 43, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160098, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 3, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160099, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 253, 36, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160100, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 340, 34, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160101, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 269, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160102, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 462, 12, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160103, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1333, 16, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160104, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 409, 27, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160105, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 239, 23, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160106, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 61, 12, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160107, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 279, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160108, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 242, 24, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160109, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 63, 11, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160110, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 524, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160111, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 7, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160112, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 12, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160113, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 75, 17, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160114, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 118, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160115, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 64, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160116, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 27, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160117, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 67, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160118, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 41, 8, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160119, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 121, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160120, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 144, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160121, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 49, 11, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160122, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 42, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160123, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 79, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160124, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 21, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160125, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 352, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160126, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 147, 18, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160127, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 565, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160128, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 78, 12, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160129, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 529, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160130, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 81, 16, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160131, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 312, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160132, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 81, 13, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160133, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 455, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160134, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 61, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160135, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160136, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 395, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160137, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 122, 13, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160138, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 215, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160139, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 6, 11, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160140, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 10, 12, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160141, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 19, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160142, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 20, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160143, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 384, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160144, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 301, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160145, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 94, 18, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160146, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 187, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160147, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 664, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160148, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 506, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160149, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 60, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160150, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 226, 13, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160151, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 267, 27, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160152, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 271, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160153, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 271, 33, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160154, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 310, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160155, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 71, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160156, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 226, 47, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160157, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 8, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160158, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 179, 51, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160159, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 44, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160160, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 293, 33, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160161, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 188, 40, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160162, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 332, 31, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160163, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 12, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160164, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 409, 27, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160165, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 301, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160166, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 239, 23, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160167, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 3, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160168, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 3, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160169, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 90, 8, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160170, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 79, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160171, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 21, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160172, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 455, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160173, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 41, 8, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160174, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 312, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160175, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 42, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160176, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 529, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160177, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 565, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160178, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 352, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160179, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 67, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160180, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 187, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160181, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 10, 12, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160182, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 7, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160183, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 20, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160184, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 19, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160185, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 11, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160186, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 6, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160187, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 77, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160188, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 664, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160189, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1010, 20, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160190, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1292, 29, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160191, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 61, 12, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160192, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 226, 13, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160193, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1159, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160194, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 567, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160195, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 153, 8, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160196, 1, '511500000000-0001', '宜宾市民中心', '律师执业许可', '宜宾市政务服务和非公经济发展局', '', '1D25', 5, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160197, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 215, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160198, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 255, 43, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160199, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 340, 34, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160200, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 253, 36, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160201, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 94, 18, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160202, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 60, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160203, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 3, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160204, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 78, 12, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160205, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 147, 18, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160206, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 81, 13, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160207, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 81, 16, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160208, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 61, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160209, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1333, 16, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160210, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 122, 13, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160211, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 462, 12, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160212, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 49, 11, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160213, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 121, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160214, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 10924, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160215, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 2, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160216, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 6, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160217, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 125, 31, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160218, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 63, 11, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160219, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 64, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160220, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 506, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160221, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 27, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160222, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 751, 26, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160223, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 75, 17, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160224, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 279, 14, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160225, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 14, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160226, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C11', 1185, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160227, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 269, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160228, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 414, 7, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160229, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 175, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160230, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 24, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160231, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 271, 10, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160232, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C11', 435, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160233, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C08', 99, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160234, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 310, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160235, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 118, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160236, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 252, 19, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160237, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 7, 5, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160238, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 242, 24, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160239, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 119, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160240, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 933, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160241, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C11', 75, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160242, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 188, 40, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160243, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 16, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160244, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 384, 6, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160245, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 226, 47, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160246, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 53, 4, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160247, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 267, 27, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160248, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 271, 33, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160249, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 25, 9, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160250, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 21, 2, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160251, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 293, 33, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160252, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 179, 51, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160253, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '宜宾市市场监管局', '', '1D09', 143, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160254, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 558, 41, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160255, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 3, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160256, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D08', 7, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160257, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D07', 8, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160258, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 395, 3, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160259, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 647, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160260, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D09', 54, 1, 2024, 7, 25, '2024-08-05 14:08:42', NULL, NULL), (160261, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 240, 86, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160262, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 81, 72, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160263, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 392, 45, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160264, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 127, 133, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160265, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 218, 55, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160266, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 220, 495, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160267, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 157, 115, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160268, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 118, 138, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160269, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 847, 157, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160270, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 219, 497, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160271, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 199, 118, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160272, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 197, 61, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160273, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 157, 115, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160274, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 125, 135, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160275, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 240, 86, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160276, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 847, 157, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160277, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 118, 138, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160278, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 4, 18, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160279, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 428, 26, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160280, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160281, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 44, 11, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160282, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 59, 9, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160283, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 682, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160284, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 242, 85, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160285, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 381, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160286, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 123, 29, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160287, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 227, 10, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160288, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 485, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160289, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 375, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160290, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 156, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160291, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 83, 8, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160292, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 6, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160293, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 178, 116, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160294, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 224, 9, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160295, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 244, 313, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160296, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 488, 8, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160297, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 254, 11, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160298, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '', 150, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160299, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 261, 50, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160300, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 118, 138, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160301, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 831, 36, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160302, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 14, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160303, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 357, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160304, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 57, 30, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160305, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 105, 58, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160306, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 723, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160307, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 157, 115, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160308, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 21, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160309, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 54, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160310, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1545, 52, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160311, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 176, 67, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160312, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 98, 35, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160313, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 23, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160314, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 120, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 198, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (160316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 121, 26, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 67, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 6, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 177, 34, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 225, 12, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 156, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 155, 32, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 231, 16, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 54, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 159, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 40, 6, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 572, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 111, 8, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 107, 8, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 254, 11, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 56, 10, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 103, 24, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 237, 30, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 29, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 78, 19, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 245, 47, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 239, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 136, 50, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 87, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 936, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 305, 59, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1040, 9, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 35, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 504, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 29, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 840, 6, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 8, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 367, 13, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 90, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 979, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 7, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 223, 40, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 583, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 8, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 21, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 83, 8, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 311, 38, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 87, 11, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 214, 35, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 917, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 173, 23, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 90, 21, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 69, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 20, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 170, 19, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 2, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 93, 17, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 225, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 16, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 117, 24, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 49, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 109, 20, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 3, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 3, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 2, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 181, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 16, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1794, 11, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 146, 6, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 45, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 682, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 307, 44, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 121, 16, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 189, 29, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 128, 21, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 271, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 123, 35, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 488, 8, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 506, 16, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 301, 10, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1666, 9, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 2, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1484, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 224, 9, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1380, 18, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 139, 33, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 723, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 182, 45, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 224, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 379, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 131, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 261, 50, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 357, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 209, 38, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 234, 32, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160406, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 157, 115, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160407, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 245, 312, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160408, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 176, 67, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160409, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 59, 9, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160410, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 375, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160411, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 261, 50, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160412, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1545, 52, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160413, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 21, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160414, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 381, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160415, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 242, 85, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160416, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 357, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160417, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 254, 11, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160418, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 723, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160419, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 682, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160420, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 44, 11, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160421, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 156, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160422, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 59, 29, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160423, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 23, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160424, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 118, 138, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160425, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 178, 116, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160426, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 120, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160427, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 227, 10, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160428, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 98, 35, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160429, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 123, 29, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160430, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 224, 9, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160431, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '', 150, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160432, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 428, 26, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160433, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 83, 8, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160434, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 831, 36, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160435, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 4, 18, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160436, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 485, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160437, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 105, 58, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160438, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 54, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160439, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 29, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160440, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 488, 8, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160441, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 103, 24, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160442, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 87, 11, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160443, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 254, 11, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160444, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 123, 35, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160445, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 682, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160446, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 234, 32, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160447, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 2, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160448, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 189, 29, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160449, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 146, 6, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160450, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 313, 43, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160451, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 181, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160452, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 16, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160453, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 379, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160454, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 131, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160455, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 224, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160456, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 271, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160457, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 45, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160458, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '2C06', 150, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160459, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 21, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160460, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1040, 9, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160461, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 936, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160462, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 29, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160463, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 239, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160464, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 35, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160465, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 917, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160466, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 583, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160467, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 979, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160468, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 840, 6, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160469, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1794, 11, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160470, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 231, 16, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160471, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 182, 45, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160472, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 209, 38, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160473, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 139, 33, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160474, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 224, 9, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160475, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 572, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160476, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 223, 40, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160477, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1484, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160478, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 485, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160479, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1666, 9, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160480, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1380, 18, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160481, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 245, 47, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160482, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 237, 30, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160483, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 261, 50, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160484, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 214, 35, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160485, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 311, 38, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160486, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 56, 10, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160487, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 367, 13, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160488, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 107, 8, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160489, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 40, 6, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160490, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 305, 59, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160491, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 54, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160492, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 136, 50, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160493, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 29, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160494, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 723, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160495, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 78, 19, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160496, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 128, 21, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160497, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 121, 16, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160498, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 170, 19, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160499, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 90, 21, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160500, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 117, 24, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160501, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 93, 17, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160502, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 177, 34, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160503, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 155, 32, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160504, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 109, 20, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160505, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E16', 54, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160506, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 121, 26, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160507, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 488, 8, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160508, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 69, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160509, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 67, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160510, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 16, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160511, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 2, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160512, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 6, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160513, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C06', 301, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160514, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 434, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160515, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 173, 23, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160516, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 8, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160517, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 87, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160518, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 7, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160519, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 39, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160520, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 83, 8, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160521, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 506, 16, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160522, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 20, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160523, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 357, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160524, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 71, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160525, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 301, 10, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160526, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 225, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160527, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 49, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160528, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C11', 90, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160529, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 2, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160530, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 3, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160531, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 3, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160532, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 504, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160533, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 156, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160534, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 66, 6, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160535, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 8, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160536, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 116, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160537, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 42, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160538, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 159, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160539, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 225, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160540, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 49, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160541, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 20, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160542, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 2, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160543, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 3, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160544, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 3, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160545, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 45, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160546, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 271, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160547, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1380, 18, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160548, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1484, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160549, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 1666, 9, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160550, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 173, 23, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160551, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 261, 50, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160552, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 123, 35, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160553, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 121, 26, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160554, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 29, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160555, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 35, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160556, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 29, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160557, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 504, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160558, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 90, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160559, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 21, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160560, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 8, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160561, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 16, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160562, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 234, 32, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160563, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 2, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160564, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 209, 38, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160565, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 69, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160566, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 182, 45, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160567, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 139, 33, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160568, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 682, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160569, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1794, 11, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160570, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 177, 34, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160571, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 155, 32, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160572, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 159, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160573, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 156, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160574, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 16, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160575, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 111, 8, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160576, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 146, 6, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160577, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 67, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160578, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 254, 11, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160579, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 198, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160580, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 6, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160581, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 181, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160582, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 307, 44, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160583, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 189, 29, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160584, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 231, 16, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160585, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 109, 20, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160586, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 107, 8, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160587, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 225, 12, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160588, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 117, 24, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160589, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 56, 10, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160590, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 54, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160591, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 40, 6, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160592, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 979, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160593, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 90, 21, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160594, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 840, 6, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160595, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 128, 21, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160596, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 93, 17, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160597, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 1040, 9, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160598, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 936, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160599, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 170, 19, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160600, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 239, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160601, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 121, 16, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160602, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 87, 11, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160603, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 103, 24, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160604, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 2, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160605, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 83, 8, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160606, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 87, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160607, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 78, 19, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160608, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 8, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160609, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160610, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 723, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160611, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 224, 9, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160612, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 917, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160613, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 583, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160614, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 301, 10, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160615, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 357, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160616, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 506, 16, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160617, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 223, 40, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160618, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 488, 8, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160619, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 367, 13, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160620, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 224, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160621, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 572, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160622, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 305, 59, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160623, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 131, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160624, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 136, 50, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160625, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 379, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160626, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 245, 47, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160627, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 237, 30, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160628, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A08', 214, 35, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160629, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 311, 38, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160630, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 173, 23, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160631, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 177, 34, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160632, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 254, 11, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160633, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 121, 26, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160634, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 224, 9, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160635, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 155, 32, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160636, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 2, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160637, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 2, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160638, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 69, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160639, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 54, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160640, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 40, 6, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160641, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 239, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160642, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 107, 8, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160643, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 936, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160644, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 56, 10, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160645, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 1040, 9, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160646, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 840, 6, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160647, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 979, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160648, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 583, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160649, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 231, 16, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160650, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 917, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160651, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '市公积金中心（叙州区管理部）', '', '2C06', 150, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160652, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 78, 19, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160653, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 87, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160654, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 7, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160655, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 8, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160656, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 3, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160657, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 3, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160658, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C04', 434, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160659, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 301, 10, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160660, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1484, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160661, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1380, 18, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160662, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 159, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160663, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 506, 16, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160664, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 116, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160665, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 1666, 9, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160666, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C06', 42, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160667, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 66, 6, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160668, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 83, 8, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160669, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 209, 38, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160670, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 139, 33, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160671, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 8, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160672, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 182, 45, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160673, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E16', 54, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160674, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 16, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160675, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 128, 21, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160676, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 90, 21, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160677, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 170, 19, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160678, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 93, 17, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160679, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 121, 16, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160680, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1794, 11, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160681, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 2, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160682, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 682, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160683, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 117, 24, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160684, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 109, 20, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160685, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 29, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160686, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 49, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160687, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 225, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160688, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 261, 50, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160689, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 146, 6, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160690, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 313, 43, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160691, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 357, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160692, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 189, 29, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160693, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 234, 32, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160694, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 181, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160695, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 16, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160696, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 20, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160697, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 21, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160698, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 271, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160699, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 45, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160700, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 488, 8, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160701, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C11', 90, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160702, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C06', 301, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160703, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 572, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160704, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 6, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160705, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 67, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160706, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 485, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160707, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 156, 14, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160708, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 504, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160709, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 311, 38, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160710, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 224, 5, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160711, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 723, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160712, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 305, 59, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160713, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 379, 2, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160714, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 223, 40, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160715, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 131, 3, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160716, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 367, 13, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160717, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 35, 7, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160718, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 237, 30, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160719, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 29, 4, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160720, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A08', 214, 35, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (160721, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 136, 50, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160722, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 245, 47, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160723, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 123, 35, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160724, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 87, 11, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160725, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C04', 39, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160726, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 71, 1, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160727, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 103, 24, 2024, 7, 26, '2024-08-05 14:08:43', NULL, NULL), (160728, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 0, 2, 2024, 7, 27, '2024-08-05 14:08:44', NULL, NULL), (160729, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 0, 1, 2024, 7, 27, '2024-08-05 14:08:44', NULL, NULL), (160730, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 0, 1, 2024, 7, 27, '2024-08-05 14:08:44', NULL, NULL), (160731, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 0, 2, 2024, 7, 28, '2024-08-05 14:08:45', NULL, NULL), (160732, 1, '511500000000-0001', '宜宾市民中心', '普通护照', '', '', '', 0, 1, 2024, 7, 28, '2024-08-05 14:08:45', NULL, NULL), (160733, 1, '511500000000-0001', '宜宾市民中心', '异地身份证办理', '', '', '', 0, 1, 2024, 7, 28, '2024-08-05 14:08:45', NULL, NULL), (160734, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 94, 99, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160735, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 42, 56, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160736, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 1034, 57, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160737, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 230, 186, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160738, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 1246, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160739, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 871, 663, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160740, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 504, 137, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160741, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 106, 132, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160742, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 312, 125, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160743, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 870, 664, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160744, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 482, 127, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160745, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 969, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160746, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 504, 137, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160747, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 228, 188, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160748, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 312, 125, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160749, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 94, 99, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160750, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 106, 132, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160751, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 8, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160752, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 70, 21, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160753, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 982, 33, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160754, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 135, 13, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160755, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 177, 23, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160756, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 209, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160757, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 94, 99, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160758, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 144, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160759, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 242, 11, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160760, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 0, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160761, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 159, 21, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160762, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 14, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160763, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 910, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160764, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 2429, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160765, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 2103, 183, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160766, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 591, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160767, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 174, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160768, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 462, 382, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160769, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 1841, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160770, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 1645, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160771, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 149, 37, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160772, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 105, 131, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160773, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '', '', '', 4, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160774, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 18, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160775, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 569, 37, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160776, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160777, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 370, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160778, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 54, 33, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160779, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 3667, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160780, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 50, 66, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160781, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 2698, 6, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160782, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 508, 136, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160783, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 267, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160784, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 309, 32, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160785, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 163, 99, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160786, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 27, 21, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160787, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160788, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 92, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1695, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 583, 21, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 146, 13, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 217, 10, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 591, 46, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 159, 21, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 499, 41, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A05', 8, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 56, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 50, 10, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 43, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 111, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 50, 11, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 19, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 57, 15, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 24, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 423, 47, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 19, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 431, 6, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 344, 42, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 306, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 801, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 480, 60, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E12', 6, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 10, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 4859, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 540, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 532, 46, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 517, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 79, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 28, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 442, 38, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 65, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160822, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 406, 6, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 62, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 448, 35, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 17, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 670, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 481, 44, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 189, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 8, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 244, 10, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 509, 50, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 28, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 679, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 326, 28, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 131, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 240, 6, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 117, 15, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 6, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 100, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 77, 14, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 110, 16, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 5, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 7, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 4, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 131, 17, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 71, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 157, 5, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 4, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 62, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 94, 18, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 173, 5, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 30, 18, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 83, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 269, 15, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 209, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 143, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 53, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 41, 17, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 181, 46, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 495, 20, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 1841, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 189, 14, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 1567, 19, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 431, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 84, 19, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 285, 10, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 591, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 316, 10, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 127, 18, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1719, 43, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 2698, 6, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 85, 21, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 1856, 63, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 120, 5, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 24, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 504, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 149, 37, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 910, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 3667, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 90, 14, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 2519, 77, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 149, 52, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160884, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 508, 136, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160885, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 164, 98, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160886, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 462, 382, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160887, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 4859, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160888, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 135, 13, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160889, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 149, 37, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160890, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 309, 32, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160891, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 267, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160892, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 94, 99, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160893, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 3667, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160894, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 2698, 6, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160895, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 1645, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160896, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 36, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160897, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 209, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160898, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '宜宾市政务服务和非公经济发展局', '', '', 4, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160899, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 177, 23, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160900, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 159, 21, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160901, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 54, 33, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160902, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '', 8, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160903, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160904, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 105, 131, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160905, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 910, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160906, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 2103, 183, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160907, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 92, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160908, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 242, 11, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160909, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 27, 21, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160910, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 144, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160911, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 591, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160912, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 174, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160913, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 982, 33, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160914, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 569, 37, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160915, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 70, 21, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160916, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 50, 66, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160917, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 1841, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160918, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 370, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160919, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 3272, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160920, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 24, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160921, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 19, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160922, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 28, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160923, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 181, 46, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160924, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 209, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160925, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 149, 52, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160926, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 84, 19, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160927, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 4859, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160928, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 41, 17, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160929, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 30, 18, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160930, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 269, 15, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160931, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 62, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160932, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B11', 174, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160933, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 94, 18, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160934, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 24, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160935, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 504, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160936, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 120, 5, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160937, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 53, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160938, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 143, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160939, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 267, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160940, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 495, 20, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160941, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 517, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160942, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 540, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160943, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 801, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160944, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 62, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160945, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 28, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160946, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '2A05', 8, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160947, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 679, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160948, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 670, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160949, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 406, 6, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160950, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 173, 5, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160951, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 56, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160952, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 1856, 63, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160953, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 2519, 77, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160954, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 1719, 43, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160955, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 591, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160956, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '', '', '1D25', 4, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160957, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 111, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160958, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 481, 44, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160959, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 285, 10, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160960, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 431, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160961, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 36, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160962, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 316, 10, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160963, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 344, 42, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160964, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 423, 47, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160965, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 149, 37, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160966, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 509, 50, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160967, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 57, 15, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160968, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 448, 35, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160969, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 50, 11, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160970, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 442, 38, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160971, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 43, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160972, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 532, 46, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160973, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 50, 10, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160974, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 480, 60, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160975, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 431, 6, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160976, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 2698, 6, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160977, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 4, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160978, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 23, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160979, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 83, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160980, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 117, 15, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160981, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 131, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160982, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 110, 16, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160983, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 77, 14, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160984, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 591, 46, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160985, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 131, 17, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160986, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 499, 41, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160987, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E12', 6, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160988, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 583, 21, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160989, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 1841, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160990, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 146, 13, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160991, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 7, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160992, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160993, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 217, 10, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160994, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 326, 28, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160995, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 80, 20, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160996, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 127, 18, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160997, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 90, 14, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160998, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 65, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (160999, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 306, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161000, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 10, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161001, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 17, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161002, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 189, 14, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161003, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 240, 6, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161004, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 6, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161005, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 3667, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161006, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 1567, 19, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161007, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 100, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161008, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 5, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161009, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 189, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161010, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 910, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161011, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 79, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161012, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 4, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161013, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 157, 5, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161014, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 71, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161015, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 159, 21, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161016, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 8, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161017, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 119, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161018, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 100, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161019, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 5, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161020, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 240, 6, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161021, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 6, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161022, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 4, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161023, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 71, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161024, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 157, 5, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161025, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 143, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161026, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 53, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161027, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 316, 10, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161028, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 285, 10, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161029, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 431, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161030, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 326, 28, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161031, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A10', 495, 20, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161032, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 149, 37, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161033, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 181, 46, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161034, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E12', 6, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161035, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 583, 21, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161036, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 431, 6, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161037, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 28, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161038, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 62, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161039, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 189, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161040, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 244, 10, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161041, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 8, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161042, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 4859, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161043, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 79, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161044, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 4, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161045, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 149, 52, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161046, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 7, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161047, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 4, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161048, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 2519, 77, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161049, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 1856, 63, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161050, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1719, 43, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161051, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 209, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161052, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 173, 5, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161053, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 591, 46, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161054, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 499, 41, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161055, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A05', 8, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161056, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 159, 21, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161057, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 94, 18, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161058, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 30, 18, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161059, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 19, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161060, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 146, 13, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161061, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1695, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161062, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 217, 10, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161063, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 62, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161064, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 269, 15, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161065, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 41, 17, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161066, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 56, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161067, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 131, 17, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161068, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 50, 11, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161069, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 110, 16, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161070, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 57, 15, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161071, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 50, 10, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161072, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 43, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161073, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 131, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161074, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 670, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161075, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 406, 6, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161076, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 517, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161077, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 77, 14, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161078, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 540, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161079, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 117, 15, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161080, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 801, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161081, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 83, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161082, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 28, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161083, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 84, 19, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161084, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 24, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161085, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 10, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161086, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 19, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161087, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 306, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161088, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 65, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161089, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 17, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161090, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 2698, 6, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161091, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 591, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161092, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 90, 14, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161093, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 85, 21, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161094, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 679, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161095, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B12', 127, 18, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161096, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 1567, 19, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161097, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 3667, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161098, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 910, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161099, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 189, 14, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161100, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 481, 44, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161101, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 1841, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161102, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 448, 35, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161103, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 120, 5, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161104, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 111, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161105, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 442, 38, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161106, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 532, 46, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161107, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 504, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161108, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 480, 60, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161109, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 24, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161110, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 344, 42, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161111, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 423, 47, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161112, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 509, 50, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161113, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '出入境管理支队', '', '2A05', 8, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161114, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 326, 28, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161115, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B11', 174, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161116, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 19, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161117, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 591, 46, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161118, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 3272, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161119, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 583, 21, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161120, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 591, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161121, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 499, 41, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161122, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 4, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161123, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 4, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161124, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 50, 10, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161125, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 43, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161126, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 801, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161127, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 50, 11, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161128, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 540, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161129, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 57, 15, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161130, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 517, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161131, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 406, 6, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161132, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 670, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161133, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 56, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161134, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 679, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161135, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 306, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161136, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 23, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161137, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 10, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161138, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 17, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (161139, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 65, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161140, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 157, 5, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161141, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 71, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161142, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 1567, 19, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161143, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 285, 10, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161144, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 316, 10, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161145, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 189, 14, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161146, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 4859, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161147, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 431, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161148, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C06', 119, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161149, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 2519, 77, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161150, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 1719, 43, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161151, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 8, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161152, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 1856, 63, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161153, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 80, 20, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161154, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 90, 14, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161155, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 4, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161156, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 910, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161157, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B12', 127, 18, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161158, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 7, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161159, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 131, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161160, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 117, 15, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161161, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 77, 14, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161162, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 83, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161163, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 173, 5, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161164, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 84, 19, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161165, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 209, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161166, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 110, 16, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161167, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E12', 6, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161168, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 131, 17, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161169, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 431, 6, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161170, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 5, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161171, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 100, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161172, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 149, 37, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161173, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 30, 18, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161174, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 269, 15, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161175, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 3667, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161176, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 41, 17, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161177, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 149, 52, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161178, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 62, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161179, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 94, 18, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161180, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 6, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161181, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 240, 6, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161182, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 267, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161183, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 53, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161184, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 79, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161185, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 143, 3, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161186, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 1841, 7, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161187, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 189, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161188, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 111, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161189, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 217, 10, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161190, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A10', 495, 20, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161191, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '宜宾市政务服务和非公经济发展局', '', '1D25', 4, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161192, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 146, 13, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161193, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 159, 21, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161194, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 36, 1, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161195, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 509, 50, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161196, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 120, 5, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161197, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 2698, 6, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161198, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 442, 38, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161199, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 532, 46, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161200, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 24, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161201, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 481, 44, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161202, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 504, 4, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161203, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 448, 35, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161204, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 28, 8, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161205, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 423, 47, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161206, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 62, 2, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161207, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 480, 60, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161208, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 344, 42, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161209, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 181, 46, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161210, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 28, 12, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161211, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 24, 9, 2024, 7, 29, '2024-08-05 14:08:47', NULL, NULL), (161212, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 65, 107, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161213, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 48, 45, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161214, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 896, 40, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161215, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 132, 160, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161216, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 147, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161217, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 549, 549, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161218, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 148, 76, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161219, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 85, 113, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161220, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 361, 112, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161221, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 548, 550, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161222, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 436, 87, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161223, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 98, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161224, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 148, 76, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161225, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 130, 162, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161226, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 65, 107, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161227, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 360, 112, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161228, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 85, 113, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161229, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 56, 21, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161230, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 698, 20, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161231, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 57, 15, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161232, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 66, 106, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161233, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 190, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161234, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 13, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161235, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 160, 8, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161236, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1094, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161237, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 280, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161238, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 3, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161239, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161240, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 16424, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161241, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 953, 160, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161242, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 415, 330, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161243, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 0, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161244, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 187, 10, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161245, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 102, 30, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161246, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 85, 113, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161247, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 491, 31, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161248, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 1152, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161249, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 52, 36, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161250, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 148, 76, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161251, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 3, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161252, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 507, 38, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161253, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 199, 60, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161254, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 31, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161255, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161256, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 192, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161257, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 22, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 99, 12, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 23, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 89, 16, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 338, 13, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 79, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 253, 25, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 90, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 157, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 117, 10, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 768, 7, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 95, 8, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 52, 14, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 55, 5, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 484, 46, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 183, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 28, 16, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 374, 48, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 53, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 6, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 656, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 413, 46, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 162, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 291, 19, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 13, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 652, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 97, 8, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 469, 53, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 410, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 429, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 33, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 398, 5, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 469, 33, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 132, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 14, 11, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 331, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 324, 30, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 424, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 97, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 3, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 463, 5, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 399, 55, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 2, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 379, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 101, 23, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 10, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 61, 13, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 6, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 101, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 264, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 2, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 82, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 4, 5, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 8, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 295, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 7, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 37, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 60, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 40, 5, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 44, 16, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 90, 22, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 497, 10, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 59, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 38, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 51, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 190, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 42, 10, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 7, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1094, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 72, 18, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 234, 7, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 164, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 187, 10, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 788, 11, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 661, 8, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 526, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 64, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 55, 8, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 528, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 157, 15, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 534, 12, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1018, 34, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 384, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 103, 23, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 933, 57, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 130, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 142, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 231, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 102, 30, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 16424, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 1152, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 70, 12, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 939, 69, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 218, 42, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161351, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 148, 76, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161352, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 202, 59, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161353, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 415, 330, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161354, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 57, 15, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161355, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 280, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161356, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 102, 30, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161357, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 521, 37, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161358, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 66, 106, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161359, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 1152, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161360, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 190, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161361, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 52, 36, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161362, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 6, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161363, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 85, 113, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161364, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 16424, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161365, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 953, 160, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161366, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 192, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161367, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 1094, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161368, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 160, 8, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161369, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 35, 8, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161370, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 13, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161371, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 734, 19, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161372, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 3, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161373, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 491, 31, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161374, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 56, 21, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161375, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '', 22, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161376, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '', 3, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161377, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 187, 10, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161378, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 55, 5, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161379, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 1094, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161380, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 2, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161381, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 164, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161382, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 190, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161383, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 218, 42, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161384, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 64, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161385, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 72, 18, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161386, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 59, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161387, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 51, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161388, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 44, 16, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161389, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 95, 21, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161390, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 142, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161391, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 231, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161392, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 130, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161393, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 269, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161394, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 38, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161395, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 652, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161396, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 162, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161397, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 656, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161398, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 379, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161399, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 424, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161400, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 331, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161401, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 398, 5, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161402, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 497, 10, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161403, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 933, 57, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161404, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 939, 69, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161405, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 1018, 34, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161406, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 768, 7, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161407, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 324, 30, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161408, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 528, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161409, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 526, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161410, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 534, 12, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161411, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 374, 48, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161412, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 484, 46, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161413, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 102, 30, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161414, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 399, 55, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161415, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 469, 33, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161416, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 469, 53, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161417, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 291, 19, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161418, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 413, 46, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161419, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 7, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161420, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 28, 16, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161421, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 7, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161422, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 42, 10, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161423, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 101, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161424, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 61, 13, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161425, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 8, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161426, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 82, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161427, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 89, 16, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161428, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 295, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161429, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 253, 25, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161430, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 99, 12, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161431, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 187, 10, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161432, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 2, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161433, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 101, 23, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161434, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 103, 23, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161435, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 157, 15, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161436, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 70, 12, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161437, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 410, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161438, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 6, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161439, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 14, 11, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161440, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 3, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161441, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 10, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161442, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 788, 11, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161443, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 6, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161444, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 1152, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161445, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 661, 8, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161446, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 264, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161447, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 4, 5, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161448, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 16424, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161449, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 13, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161450, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 40, 5, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161451, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 60, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161452, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 37, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161453, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E27', 22, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161454, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 429, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161455, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C11', 132, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161456, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E18', 3, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161457, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 97, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161458, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 264, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161459, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 4, 5, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161460, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 10, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161461, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 6, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161462, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 40, 5, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161463, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 37, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161464, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 60, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161465, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 38, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161466, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 234, 7, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161467, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 534, 12, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161468, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 528, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161469, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 526, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161470, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 101, 23, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161471, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 102, 30, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161472, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 164, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161473, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 53, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161474, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 99, 12, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161475, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 183, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161476, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 97, 8, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161477, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 33, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161478, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 429, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161479, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 132, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161480, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 463, 5, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161481, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 97, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161482, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 13, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161483, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 7, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161484, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 218, 42, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161485, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 2, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161486, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 939, 69, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161487, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 933, 57, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161488, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 1018, 34, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161489, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 1094, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161490, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 190, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161491, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 497, 10, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161492, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 89, 16, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161493, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 253, 25, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161494, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 90, 22, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161495, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 79, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161496, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 59, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161497, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 23, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161498, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 44, 16, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161499, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 338, 13, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161500, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 51, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161501, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 72, 18, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161502, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 90, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161503, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 295, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161504, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 95, 8, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161505, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 8, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161506, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 52, 14, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161507, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 157, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161508, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 117, 10, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161509, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 61, 13, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161510, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 331, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161511, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 7, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161512, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 398, 5, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161513, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 652, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161514, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 82, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161515, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 162, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161516, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 101, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161517, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 656, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161518, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 42, 10, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161519, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 2, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161520, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 64, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161521, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 55, 5, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161522, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 3, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161523, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 28, 16, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161524, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161525, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 410, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161526, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 14, 11, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161527, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 384, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161528, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 55, 8, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161529, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 70, 12, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161530, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 103, 23, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161531, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B12', 157, 15, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161532, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 379, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161533, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 424, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161534, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 661, 8, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161535, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 1152, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161536, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 16424, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161537, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 788, 11, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161538, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 324, 30, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161539, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 187, 10, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161540, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 469, 33, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161541, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 130, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161542, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 768, 7, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161543, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 469, 53, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161544, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 291, 19, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161545, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 231, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161546, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 413, 46, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161547, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 142, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161548, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 374, 48, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161549, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 484, 46, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161550, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 399, 55, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161551, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 101, 23, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (161552, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 89, 16, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161553, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 99, 12, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161554, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 253, 25, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161555, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 2, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161556, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 40, 5, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161557, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 656, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161558, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 162, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161559, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 652, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161560, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 398, 5, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161561, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 331, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161562, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 424, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161563, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 379, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161564, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161565, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 28, 16, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161566, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 14, 11, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161567, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 410, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161568, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 60, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161569, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 37, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161570, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 661, 8, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161571, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 528, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161572, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 534, 12, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161573, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 788, 11, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161574, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 526, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161575, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 3, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161576, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 939, 69, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161577, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 1018, 34, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161578, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 97, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161579, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 933, 57, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161580, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 103, 23, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161581, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 70, 12, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161582, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 16424, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161583, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 7, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161584, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B12', 157, 15, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161585, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 7, 4, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161586, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 61, 13, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161587, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 101, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161588, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 82, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161589, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 42, 10, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161590, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 497, 10, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161591, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 64, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161592, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 190, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161593, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 8, 9, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161594, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 295, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161595, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 4, 5, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161596, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 264, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161597, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 102, 30, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161598, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 59, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161599, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 51, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161600, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 72, 18, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161601, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 1152, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161602, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 218, 42, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161603, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 44, 16, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161604, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 95, 21, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161605, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 6, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161606, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 10, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161607, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '市医保局', '', '1E18', 3, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161608, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 1094, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161609, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 269, 6, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161610, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 13, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161611, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 38, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161612, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 187, 10, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161613, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 768, 7, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161614, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 429, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161615, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C11', 132, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161616, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 399, 55, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161617, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 130, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161618, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 469, 53, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161619, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 291, 19, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161620, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 142, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161621, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 324, 30, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161622, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 231, 2, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161623, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 469, 33, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161624, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 484, 46, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161625, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '市人力资源社会保障局', '', '2E27', 22, 1, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161626, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 413, 46, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161627, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 374, 48, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161628, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 164, 17, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161629, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 2, 3, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161630, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 55, 5, 2024, 7, 30, '2024-08-05 14:08:48', NULL, NULL), (161631, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 67, 83, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161632, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 111, 45, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161633, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 253, 38, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161634, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 73, 127, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161635, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 628, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161636, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 261, 519, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161637, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 209, 80, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161638, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 215, 87, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161639, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 953, 136, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161640, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 261, 519, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161641, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 174, 84, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161642, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 449, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161643, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 215, 87, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161644, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 73, 127, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161645, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 946, 137, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161646, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 67, 83, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161647, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 209, 80, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161648, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 23, 22, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161649, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 5, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161650, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 270, 26, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161651, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 44, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161652, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 56, 8, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161653, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 93, 15, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161654, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 67, 83, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161655, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 628, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161656, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 27, 3, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161657, 1, '511500000000-0001', '宜宾市民中心', '就业创业服务', '', '', '', 195, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161658, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 49, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161659, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161660, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161661, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 81, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161662, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 316, 121, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161663, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 5, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161664, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 4, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161665, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 270, 327, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161666, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 445, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161667, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 143, 19, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161668, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 212, 79, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161669, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 356, 35, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161670, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 52, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161671, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 66, 22, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161672, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 320, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161673, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 149, 31, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161674, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 215, 87, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161675, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1713, 66, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161676, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 123, 71, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161677, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 26, 14, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161678, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161679, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 52, 3, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 138, 21, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 136, 11, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 267, 3, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 321, 36, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 145, 29, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 99, 20, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 32, 10, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 34, 11, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 125, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 628, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 268, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 32, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 69, 12, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 39, 9, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 323, 40, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 178, 44, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 16, 12, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 6, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 396, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 234, 57, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 79, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 694, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 157, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 302, 42, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 681, 3, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 38, 8, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 263, 38, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 67, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 9, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 850, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 269, 35, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 139, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 38, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 322, 37, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 483, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 238, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 302, 34, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 2, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 351, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 49, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 19, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 19, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 2, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 320, 13, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 145, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 15, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 109, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161729, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 302, 9, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 4, 3, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 503, 10, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 89, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 10, 9, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 7, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 33, 12, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1753, 21, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 82, 18, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161738, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 86, 16, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161739, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 98, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161740, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 233, 12, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 93, 15, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 86, 17, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 13, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 30, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 116, 27, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 59, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 445, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 201, 19, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 458, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 2022, 15, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 37, 13, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1537, 8, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 151, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 356, 27, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1527, 22, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 36, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 176, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 10, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 315, 43, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 24, 3, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 7, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 12, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 143, 19, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 81, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 320, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 171, 9, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 296, 51, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 127, 44, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161769, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 215, 87, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161770, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 123, 71, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161771, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 270, 327, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161772, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 56, 8, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161773, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 143, 19, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161774, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 1713, 66, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161775, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 67, 83, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161776, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '', 320, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161777, 1, '511500000000-0001', '宜宾市民中心', '就业创业服务', '市人力资源社会保障局', '', '', 195, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161778, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 93, 15, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161779, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 44, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161780, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 49, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161781, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 149, 31, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161782, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 4, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161783, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 212, 79, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161784, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 81, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161785, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 316, 121, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161786, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 52, 3, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161787, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 5, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161788, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 27, 3, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161789, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 26, 14, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161790, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 628, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161791, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 5, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161792, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 4, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161793, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 270, 26, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161794, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 366, 34, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161795, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 23, 22, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161796, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 66, 22, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161797, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 52, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161798, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 445, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161799, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 39, 9, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161800, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 2, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161801, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 116, 27, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161802, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 93, 15, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161803, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 127, 44, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161804, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 37, 13, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161805, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 59, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161806, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 86, 16, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161807, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 86, 17, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161808, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 33, 12, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161809, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B11', 4, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161810, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 82, 18, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161811, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 7, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161812, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 12, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161813, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 62, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161814, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 30, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161815, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 98, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161816, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 681, 3, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161817, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 157, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161818, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 67, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161819, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 396, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161820, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 47, 3, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161821, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 351, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161822, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 483, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161823, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 139, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161824, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 850, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161825, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1753, 21, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161826, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 37, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161827, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 315, 43, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161828, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 296, 51, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161829, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 356, 27, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161830, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 5, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161831, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 268, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161832, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 322, 37, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161833, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1537, 8, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161834, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 2022, 15, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161835, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1527, 22, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161836, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 178, 44, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161837, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 323, 40, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161838, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 143, 19, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161839, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 302, 34, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161840, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 135, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161841, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 269, 35, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161842, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 57, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161843, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 263, 38, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161844, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 222, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161845, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 302, 42, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161846, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 30, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161847, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 234, 57, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161848, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 52, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161849, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 16, 12, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161850, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 13, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161851, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 233, 12, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161852, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 320, 13, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161853, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 19, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161854, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 302, 9, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161855, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 15, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161856, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 321, 36, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161857, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 503, 10, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161858, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 145, 29, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161859, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 138, 21, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161860, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D09', 5, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161861, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 445, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161862, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 23, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161863, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 2, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161864, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161865, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 66, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161866, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 49, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161867, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 11, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161868, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 36, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161869, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 171, 9, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161870, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 9, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161871, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 6, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161872, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 694, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161873, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 38, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161874, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 19, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161875, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 201, 19, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161876, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 145, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161877, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 320, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161878, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 458, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161879, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 109, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161880, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 4, 3, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161881, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 81, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161882, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 7, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161883, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 10, 9, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161884, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 89, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161885, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 49, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161886, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 3, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161887, 1, '511500000000-0001', '宜宾市民中心', '就业创业服务', '', '', '2E04', 195, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161888, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 628, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161889, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 109, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161890, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 4, 3, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161891, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E26', 19, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161892, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 145, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161893, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 7, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161894, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 89, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161895, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 10, 9, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161896, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 98, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161897, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 30, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161898, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 1527, 22, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161899, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1537, 8, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161900, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 2022, 15, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161901, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A10', 49, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161902, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 143, 19, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161903, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 116, 27, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161904, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E13', 79, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161905, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 138, 21, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161906, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E11', 38, 8, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161907, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E10', 67, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161908, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 238, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161909, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 3, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161910, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 127, 44, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161911, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 6, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161912, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 296, 51, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161913, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 2, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161914, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 315, 43, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161915, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 356, 27, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161916, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 93, 15, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161917, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 1753, 21, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161918, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 321, 36, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161919, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 145, 29, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161920, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 628, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161921, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 99, 20, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161922, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 82, 18, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161923, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 86, 16, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161924, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 136, 11, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161925, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 267, 3, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161926, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 33, 12, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161927, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 86, 17, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161928, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 59, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161929, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 32, 10, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161930, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 503, 10, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161931, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 32, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161932, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 302, 9, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161933, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 69, 12, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161934, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 34, 11, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161935, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 125, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161936, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 139, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161937, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 19, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161938, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 13, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161939, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 850, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161940, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B05', 15, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161941, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 681, 3, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161942, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 157, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161943, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 320, 13, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161944, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 396, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161945, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 233, 12, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161946, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 2, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161947, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 39, 9, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161948, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 37, 13, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161949, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 694, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161950, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 16, 12, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161951, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161952, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161953, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 38, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161954, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 176, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161955, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 151, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161956, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 171, 9, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161957, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 10, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161958, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D30', 351, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161959, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B12', 36, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161960, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 483, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161961, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 458, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161962, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D05', 320, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (161963, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 81, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161964, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 201, 19, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161965, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 322, 37, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161966, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 445, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161967, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 269, 35, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161968, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 24, 3, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161969, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 268, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161970, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 263, 38, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161971, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 302, 42, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161972, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D07', 12, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161973, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 234, 57, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161974, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 7, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161975, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 178, 44, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161976, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 323, 40, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161977, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 302, 34, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161978, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A10', 49, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161979, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B11', 4, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161980, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 321, 36, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161981, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 138, 21, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161982, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 5, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161983, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 145, 29, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161984, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 6, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161985, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 2, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161986, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 7, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161987, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 30, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161988, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 222, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161989, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 57, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161990, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 396, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161991, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 135, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161992, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 157, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161993, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 681, 3, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161994, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 850, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161995, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 139, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161996, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 37, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161997, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 483, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161998, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D30', 351, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (161999, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 6, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162000, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 16, 12, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162001, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 694, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162002, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 38, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162003, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 9, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162004, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 10, 9, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162005, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 89, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162006, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 458, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162007, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1537, 8, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162008, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 1527, 22, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162009, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 201, 19, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162010, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 628, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162011, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 2022, 15, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162012, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 296, 51, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162013, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 356, 27, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162014, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 3, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162015, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 315, 43, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162016, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 11, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162017, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 171, 9, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162018, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 81, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162019, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B12', 36, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162020, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 13, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162021, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 19, 6, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162022, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 320, 13, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162023, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B05', 15, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162024, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 233, 12, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162025, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 1753, 21, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162026, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 37, 13, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162027, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 93, 15, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162028, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 302, 9, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162029, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 503, 10, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162030, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E13', 52, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162031, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 4, 3, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162032, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 109, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162033, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 143, 19, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162034, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 86, 16, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162035, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 86, 17, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162036, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '宜宾市市场监管局', '', '1D05', 320, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162037, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 59, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162038, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 127, 44, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162039, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 33, 12, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162040, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 82, 18, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162041, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 145, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162042, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E26', 19, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162043, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 30, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162044, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 98, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162045, 1, '511500000000-0001', '宜宾市民中心', '就业创业服务', '市人力资源社会保障局', '', '2E04', 195, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162046, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 445, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162047, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 268, 4, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162048, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 66, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162049, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 23, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162050, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 49, 7, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162051, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 302, 34, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162052, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 62, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162053, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 263, 38, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162054, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 302, 42, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162055, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 7, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162056, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 322, 37, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162057, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D07', 12, 1, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162058, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 269, 35, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162059, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E11', 47, 3, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162060, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 323, 40, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162061, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E10', 67, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162062, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 234, 57, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162063, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 178, 44, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162064, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 116, 27, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162065, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 2, 5, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162066, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 39, 9, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162067, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D09', 5, 2, 2024, 7, 31, '2024-08-05 14:08:49', NULL, NULL), (162068, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '', 47, 84, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162069, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '', 68, 65, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162070, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '', 221, 31, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162071, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '', 257, 141, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162072, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '', 878, 108, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162073, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '', 209, 367, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162074, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '', 97, 101, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162075, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '', 336, 83, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162076, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '', 528, 102, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162077, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 208, 369, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162078, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 116, 97, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162079, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 878, 108, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162080, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 336, 83, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162081, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 252, 144, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162082, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 528, 102, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162083, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 47, 84, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162084, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 97, 101, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162085, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 311, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162086, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 51, 11, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162087, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 41, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162088, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 54, 17, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162089, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 46, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162090, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 78, 10, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162091, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 149, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162092, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 47, 84, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162093, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 440, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162094, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 992, 79, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162095, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 166, 8, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162096, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 131, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162097, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 770, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162098, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 719, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162099, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 123, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162100, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 181, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162101, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 539, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162102, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 302, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162103, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 384, 102, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162104, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 0, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162105, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 20, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162106, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 52, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162107, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 102, 206, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162108, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 476, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162109, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 851, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162110, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 187, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162111, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 98, 99, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162112, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 4226, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162113, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 367, 19, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162114, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 43, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162115, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 121, 54, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162116, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 62, 50, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162117, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 479, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162118, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 336, 83, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162119, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 2966, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162120, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 957, 44, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162121, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 268, 61, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162122, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 6, 8, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162123, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 11, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162124, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 279, 10, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1437, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 1170, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 628, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 311, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 977, 17, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 458, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 967, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 93, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 391, 9, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 113, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 82, 30, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 105, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 50, 39, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 539, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 458, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 133, 25, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 209, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 781, 11, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 54, 34, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 514, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 884, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 124, 17, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 139, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 107, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 125, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1426, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 756, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 246, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 142, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 4, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 78, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 61, 6, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 120, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 44, 13, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 17, 17, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 11, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 64, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 121, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 32, 14, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 274, 29, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 851, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 22, 9, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 91, 8, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 5, 13, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 109, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 444, 35, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 107, 17, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 384, 51, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 180, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 216, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 171, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 12, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 254, 16, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 271, 31, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 177, 26, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 32, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 89, 8, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 438, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 123, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 391, 36, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 127, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 143, 22, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 35, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 114, 20, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 106, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 43, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 14, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 84, 9, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 403, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 226, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 79, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 52, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 5079, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 181, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 12, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 6, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 49, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 4, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 46, 8, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 14, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 18, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 69, 6, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 956, 11, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 845, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 149, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 143, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 131, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 308, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 966, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 20, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1045, 14, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 849, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 479, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 187, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162223, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '', 336, 83, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162224, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '', 273, 60, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162225, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '', 103, 205, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162226, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '', 539, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162227, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '', 46, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162228, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '', 719, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162229, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '', 187, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162230, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '', 957, 44, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162231, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '', 3955, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162232, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '', 440, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162233, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '', 47, 84, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162234, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '', 476, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162235, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '', 479, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162236, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '', 8453, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162237, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '', 149, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162238, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '', 78, 10, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162239, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '', 123, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162240, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '', 62, 50, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162241, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '', 5, 11, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162242, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '', 98, 99, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162243, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '', 302, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162244, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '', 384, 102, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162245, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '', 279, 10, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162246, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '', 41, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162247, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '', 131, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162248, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '', 190, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162249, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '', 311, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162250, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '', 6, 8, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162251, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '', 992, 79, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162252, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '', 20, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162253, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '', 52, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162254, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '', 54, 17, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162255, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '', 181, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162256, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '', 367, 19, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162257, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '', 51, 11, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162258, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '', 770, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162259, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '', 121, 54, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162260, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '', 43, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162261, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '', 851, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162262, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 732, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162263, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162264, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 131, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162265, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 391, 9, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162266, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 12, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162267, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 274, 29, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162268, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 149, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162269, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 271, 31, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162270, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 5, 13, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162271, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 539, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162272, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 32, 14, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162273, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 17, 17, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162274, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 64, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162275, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 120, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162276, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 44, 13, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162277, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B11', 52, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162278, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 216, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162279, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 180, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162280, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 308, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162281, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 143, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162282, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 845, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162283, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 311, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162284, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 3955, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162285, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 209, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162286, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 458, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162287, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 105, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162288, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 1426, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162289, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 139, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162290, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 514, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162291, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 956, 11, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162292, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 127, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162293, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 384, 51, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162294, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 254, 16, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162295, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 444, 35, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162296, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 20, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162297, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 93, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162298, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 458, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162299, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 125, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162300, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1045, 14, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162301, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 942, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162302, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 966, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162303, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 513, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162304, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 8453, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162305, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 849, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162306, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 82, 30, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162307, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 113, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162308, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 187, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162309, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 246, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162310, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 106, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162311, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 124, 17, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162312, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 114, 20, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162313, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 54, 34, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162314, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 35, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162315, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 133, 25, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162316, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 143, 22, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162317, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 50, 39, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162318, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 43, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162319, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 479, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162320, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162321, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 14, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162322, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 121, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162323, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 11, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162324, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 4, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162325, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 142, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162326, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 78, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162327, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 438, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162328, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 61, 6, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162329, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 391, 36, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162330, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 177, 26, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162331, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 851, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162332, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 6, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162333, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 32, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162334, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D06', 41, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162335, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162336, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 89, 8, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162337, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162338, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 857, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162339, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 115, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162340, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 109, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162341, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 12, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162342, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 226, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162343, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 84, 9, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162344, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 403, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162345, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 79, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162346, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 181, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162347, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 22, 9, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162348, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 49, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162349, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 91, 8, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162350, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 58, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162351, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 4, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162352, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 46, 8, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162353, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C11', 107, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162354, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 756, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162355, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 302, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162356, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 781, 11, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162357, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 69, 6, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162358, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 18, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162359, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 14, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162360, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 232, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162361, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 884, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162362, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 123, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162363, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 1216, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162364, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 52, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162365, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 1165, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162366, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 2494, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162367, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 977, 17, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162368, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E24', 4, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162369, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E23', 46, 8, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162370, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E25', 49, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162371, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E20', 69, 6, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162372, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E22', 14, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (162373, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E21', 18, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162374, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E28', 143, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162375, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E27', 308, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162376, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E29', 845, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162377, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D10', 849, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162378, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D11', 1045, 14, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162379, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D12', 966, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162380, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D19', 187, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162381, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A19', 274, 29, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162382, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A08', 177, 26, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162383, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E14', 43, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162384, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C12', 884, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162385, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C11', 107, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162386, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C10', 756, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162387, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E17', 5079, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162388, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C14', 539, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162389, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E19', 52, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162390, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C13', 781, 11, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162391, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D01', 5, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162392, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D02', 6, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162393, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A20', 271, 31, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162394, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D03', 5, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162395, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A21', 254, 16, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162396, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D04', 6, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162397, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A22', 384, 51, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162398, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A23', 444, 35, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162399, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D06', 131, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162400, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D07', 149, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162401, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D09', 956, 11, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162402, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A07', 438, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162403, 1, '511500000000-0001', '宜宾市民中心', '', '出入境管理支队', '', '2A06', 391, 36, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162404, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E02', 123, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162405, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C09', 977, 17, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162406, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C08', 967, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162407, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C07', 391, 9, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162408, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E04', 32, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162409, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E03', 89, 8, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162410, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C06', 1437, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162411, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C01', 311, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162412, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E09', 127, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162413, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B03', 61, 6, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162414, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E06', 114, 20, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162415, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B04', 78, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162416, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E05', 106, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162417, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C04', 1170, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162418, 1, '511500000000-0001', '宜宾市民中心', '', '市公积金中心（叙州区管理部）', '', '2C03', 628, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162419, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E08', 143, 22, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162420, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E07', 35, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162421, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B07', 142, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162422, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D32', 139, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162423, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D33', 514, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162424, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B08', 121, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162425, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D34', 209, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162426, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B06', 4, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162427, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D35', 458, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162428, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D36', 105, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162429, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B09', 11, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162430, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B10', 12, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162431, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B11', 107, 17, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162432, 1, '511500000000-0001', '宜宾市民中心', '', '市税务局', '', '2B12', 109, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162433, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D31', 1426, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162434, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D28', 93, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162435, 1, '511500000000-0001', '宜宾市民中心', '', '不动产登记中心', '', '2D29', 458, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162436, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E18', 44, 13, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162437, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E17', 17, 17, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162438, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E19', 120, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162439, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E16', 64, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162440, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E15', 32, 14, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162441, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D27', 12, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162442, 1, '511500000000-0001', '宜宾市民中心', '', '市医保局', '', '1E20', 5, 13, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162443, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162444, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D28', 181, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162445, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D23', 403, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162446, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D25', 14, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162447, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D24', 84, 9, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162448, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D21', 226, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162449, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市政务服务和非公经济发展局', '', '1D20', 79, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162450, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E30', 479, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162451, 1, '511500000000-0001', '宜宾市民中心', '', '市人力资源社会保障局', '', '2E32', 20, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162452, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D02', 91, 8, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162453, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D06', 171, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162454, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D03', 22, 9, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162455, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A01', 125, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162456, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D04', 851, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162457, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A02', 124, 17, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162458, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D09', 180, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162459, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A03', 54, 34, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162460, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A04', 133, 25, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162461, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A05', 50, 39, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162462, 1, '511500000000-0001', '宜宾市民中心', '', '宜宾市市场监管局', '', '1D08', 216, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162463, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A06', 82, 30, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162464, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A07', 113, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162465, 1, '511500000000-0001', '宜宾市民中心', '', '市公安局', '', '1A09', 246, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162466, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '市税务局', '', '2B11', 52, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162467, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C07', 391, 9, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162468, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A07', 438, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162469, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '市公积金中心（叙州区管理部）', '', '2C06', 732, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162470, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A08', 177, 26, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162471, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '市人力资源社会保障局', '', '2E32', 20, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162472, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '出入境管理支队', '', '2A06', 391, 36, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162473, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D03', 5, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162474, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D04', 6, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162475, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E20', 69, 6, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162476, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E08', 143, 22, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162477, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E07', 35, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162478, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D36', 105, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162479, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E06', 114, 20, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162480, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D35', 458, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162481, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E05', 106, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162482, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D34', 209, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162483, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D33', 514, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162484, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D32', 139, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162485, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D31', 1426, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162486, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '市人力资源社会保障局', '', '2E09', 127, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162487, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D24', 84, 9, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162488, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D25', 14, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162489, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D23', 403, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162490, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D20', 79, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162491, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '宜宾市政务服务和非公经济发展局', '', '1D21', 226, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162492, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E21', 18, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162493, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E22', 14, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162494, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D02', 91, 8, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162495, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C03', 857, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162496, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D11', 1045, 14, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162497, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D10', 849, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162498, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '宜宾市市场监管局', '', '1D03', 22, 9, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162499, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C09', 977, 17, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162500, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '市公积金中心（叙州区管理部）', '', '2C14', 539, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162501, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C08', 1165, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162502, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D12', 966, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162503, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C06', 2494, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162504, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C04', 1216, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162505, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '宜宾市政务服务和非公经济发展局', '', '1D28', 181, 7, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162506, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A21', 254, 16, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162507, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A23', 444, 35, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162508, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '市人力资源社会保障局', '', '2E19', 52, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162509, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '市公安局', '', '1A22', 384, 51, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162510, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B11', 115, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162511, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B10', 12, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162512, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D01', 5, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162513, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '宜宾市市场监管局', '', '1D06', 302, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162514, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '不动产登记中心', '', '2D02', 6, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162515, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B12', 109, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162516, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B08', 121, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162517, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B07', 142, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162518, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B06', 4, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162519, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B09', 11, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162520, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '不动产登记中心', '', '2D09', 956, 11, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162521, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E20', 5, 13, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162522, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '不动产登记中心', '', '2D07', 149, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162523, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B04', 78, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162524, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '市税务局', '', '2B03', 61, 6, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162525, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '市人力资源社会保障局', '', '2E14', 43, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162526, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E23', 46, 8, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162527, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E24', 4, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162528, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '不动产登记中心', '', '2D19', 187, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162529, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E17', 17, 17, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162530, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E16', 64, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162531, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E15', 32, 14, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162532, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A20', 271, 31, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162533, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E19', 120, 15, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162534, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '市医保局', '', '1E18', 44, 13, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162535, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '市人力资源社会保障局', '', '2E25', 49, 12, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162536, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '不动产登记中心', '', '2D06', 131, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162537, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '市人力资源社会保障局', '', '2E17', 3955, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162538, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '市公积金中心（叙州区管理部）', '', '2C01', 311, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162539, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E27', 308, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162540, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C13', 781, 11, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162541, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E28', 143, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162542, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '市人力资源社会保障局', '', '2E29', 845, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162543, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '宜宾市市场监管局', '', '1D04', 851, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162544, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C11', 107, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162545, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '市公积金中心（叙州区管理部）', '', '2C10', 756, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162546, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '市公积金中心（叙州区管理部）', '', '2C08', 232, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162547, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D29', 458, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162548, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '不动产登记中心', '', '2D28', 93, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162549, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E03', 89, 8, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162550, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '市人力资源社会保障局', '', '2E04', 32, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162551, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C04', 942, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162552, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '市公积金中心（叙州区管理部）', '', '2C03', 513, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162553, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '市人力资源社会保障局', '', '2E02', 123, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162554, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C12', 884, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162555, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '市人力资源社会保障局', '', '2E17', 8453, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162556, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A09', 246, 18, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162557, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D09', 180, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162558, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '市人力资源社会保障局', '', '2E30', 479, 4, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162559, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A03', 54, 34, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162560, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A04', 133, 25, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162561, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '宜宾市市场监管局', '', '1D08', 216, 2, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162562, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A01', 125, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162563, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A02', 124, 17, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162564, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A07', 113, 21, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162565, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A05', 50, 39, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162566, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '市公安局', '', '1A06', 82, 30, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162567, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '市公安局', '', '1A19', 274, 29, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162568, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D27', 12, 3, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162569, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '宜宾市市场监管局', '', '1D06', 41, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162570, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '宜宾市政务服务和非公经济发展局', '', '1D26', 3, 5, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162571, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '市公积金中心（叙州区管理部）', '', '2C08', 58, 1, 2024, 8, 1, '2024-08-05 14:08:50', NULL, NULL), (162572, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 266, 463, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:24'), (162573, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 255, 142, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:18'), (162574, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 458, 109, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:24'), (162575, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 546, 70, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:18'), (162576, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 278, 144, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:17'), (162577, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 145, 78, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:18'), (162578, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 372, 119, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:18'), (162579, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 363, 99, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:18'), (162580, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 394, 12, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:25'), (162581, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 445, 32, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:25'), (162582, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 297, 6, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:25'), (162583, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 44, 18, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:25'), (162584, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 470, 14, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:25'), (162585, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 147, 77, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:25'), (162586, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:25'), (162587, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 201, 3, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:26'), (162588, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 319, 6, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:26'), (162589, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 525, 76, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:32'), (162590, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 59, 13, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:26'), (162591, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 81, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:26'), (162592, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 764, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:26'), (162593, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 317, 7, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:26'), (162594, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 137, 14, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:26'), (162595, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 1449, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:31'), (162596, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 66, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:38'), (162597, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 562, 123, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:39'), (162598, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 6, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:26'), (162599, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 90, 6, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:26'), (162600, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 167, 257, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:26'), (162601, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 306, 21, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:26'), (162602, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 64, 5, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:26'), (162603, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 80, 18, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:25'), (162604, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 363, 99, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:25'), (162605, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 1111, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:25'), (162606, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 217, 25, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:25'), (162607, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 2691, 4, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:24'), (162608, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 372, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:24'), (162609, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 34, 54, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:24'), (162610, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 101, 58, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:25'), (162611, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 381, 6, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:25'), (162612, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 546, 70, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:25'), (162613, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 875, 3, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:26'), (162614, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 9, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:31'), (162615, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 635, 48, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:32'), (162616, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 134, 83, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:38'), (162617, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 479, 36, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:26'), (162618, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 14, 11, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:27'), (162619, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 427, 7, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:27'), (162620, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 1655, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:24'), (162621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 577, 12, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:42'), (162622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 360, 22, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:42'), (162623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 787, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:42'), (162624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 274, 15, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:42'), (162625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 71, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:42'), (162626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 646, 10, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:42'), (162627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 216, 5, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:42'), (162628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 126, 10, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:42'), (162629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 177, 18, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:42'), (162630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 116, 29, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:43'), (162631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 366, 4, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:43'), (162632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 80, 53, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:43'), (162633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 66, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:43'), (162634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 191, 4, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:43'), (162635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 208, 28, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:43'), (162636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 281, 3, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:43'), (162637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 601, 10, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:43'), (162638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 142, 48, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:43'), (162639, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 326, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:43'), (162640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 430, 5, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:43'), (162641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 323, 23, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:43'), (162642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 746, 3, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:43'), (162643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 103, 3, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:43'), (162644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 276, 31, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:44'), (162645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 84, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:44'), (162646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 593, 19, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:44'), (162647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 128, 27, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:47'), (162648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 335, 21, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:42'), (162649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 501, 3, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:42'), (162650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 385, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:42'), (162651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 600, 15, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:39'), (162652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 27, 11, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:48'), (162653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 87, 17, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:53'), (162654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 5, 10, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:53'), (162655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 261, 20, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:53'), (162656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 532, 18, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:53'), (162657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 28, 15, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:54'), (162658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 117, 34, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:54'), (162659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 64, 5, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:41'), (162660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 460, 29, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:41'), (162661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 307, 3, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:41'), (162662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 6, 10, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:41'), (162663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 571, 35, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:41'), (162664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 325, 18, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:42'), (162665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 544, 52, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:42'), (162666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 40, 5, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:41'), (162667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 11, 3, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:41'), (162668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 108, 5, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:41'), (162669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1449, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:41'), (162670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 372, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:41'), (162671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 352, 18, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:41'), (162672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 580, 36, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:41'), (162673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 146, 49, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:41'), (162674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 53, 12, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:40'), (162675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 297, 6, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:40'), (162676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 775, 34, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:40'), (162677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 466, 24, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:40'), (162678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 137, 14, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:41'), (162679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 120, 16, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:40'), (162680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 111, 12, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:40'), (162681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 60, 14, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:40'), (162682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 109, 15, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:40'), (162683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 534, 19, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:39'), (162684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 5376, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:39'), (162685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 20, 18, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:39'), (162686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 30, 18, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:39'), (162687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E12', 6, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:40'), (162688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 208, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:40'), (162689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 82, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:40'), (162690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 108, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:40'), (162691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 65, 7, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:40'), (162692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 22, 9, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:40'), (162693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 433, 10, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:39'), (162694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 969, 5, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:39'), (162695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 418, 17, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:39'), (162696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 3, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:40'), (162697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 30, 4, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:48'), (162698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 36, 7, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:53'), (162699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 6, 4, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:53'), (162700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 66, 4, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:53'), (162701, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:53'), (162702, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 47, 6, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:53'), (162703, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:54'), (162704, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 366, 4, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:54'), (162705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 212, 4, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:54'), (162706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 492, 14, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:52'), (162707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 625, 7, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:53'), (162708, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 470, 14, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:53'), (162709, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 135, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:54'), (162710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 81, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:54'), (162711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 710, 10, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:47'), (162712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 90, 6, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:47'), (162713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 692, 13, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:48'), (162714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 681, 11, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:52'), (162715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 381, 6, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:54'), (162716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 80, 18, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:39'), (162717, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 470, 11, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162718, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 534, 19, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162719, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 81, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162720, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 418, 17, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162721, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 126, 10, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162722, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 117, 34, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162723, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 470, 14, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162724, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 146, 49, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162725, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 6, 10, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162726, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 66, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162727, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 28, 15, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162728, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 92, 16, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162729, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 5, 10, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162730, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 600, 15, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162731, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 27, 11, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162732, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 11, 3, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162733, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 108, 5, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162734, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 40, 5, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162735, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 135, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162736, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 544, 5, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162737, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 875, 3, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162738, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 281, 3, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162739, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 191, 4, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162740, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 366, 4, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162741, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 108, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162742, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 84, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162743, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 103, 3, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162744, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 326, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162745, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 492, 14, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162746, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 120, 16, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162747, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 544, 52, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162748, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 580, 36, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162749, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 571, 35, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162750, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 90, 6, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162751, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 216, 5, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162752, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 71, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162753, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 276, 31, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162754, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 692, 13, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162755, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 764, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162756, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 710, 10, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162757, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 1111, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:57'), (162758, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 681, 11, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:57'), (162759, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 116, 29, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162760, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 177, 18, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162761, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 80, 18, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162762, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 128, 27, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162763, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 109, 15, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162764, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 323, 23, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:57'), (162765, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 60, 14, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:57'), (162766, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 142, 48, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:57');
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (162767, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 208, 28, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:57'), (162768, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 111, 12, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:57'), (162769, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 80, 53, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:57'), (162770, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 5376, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162771, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 381, 6, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162772, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162773, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 20, 18, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162774, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 532, 18, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162775, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 261, 20, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162776, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 335, 21, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162777, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 501, 3, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162778, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 775, 34, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162779, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 385, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162780, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 466, 24, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162781, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E12', 6, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162782, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E17', 9, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162783, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 53, 12, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162784, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 64, 5, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162785, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 30, 4, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162786, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 297, 6, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162787, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162788, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 6, 4, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162789, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 256, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:54'), (162790, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 325, 18, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:54'), (162791, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 352, 18, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162792, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E28', 6, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162793, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 82, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162794, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E19', 319, 6, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162795, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 65, 7, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162796, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 30, 18, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162797, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 208, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162798, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 22, 9, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162799, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 34, 2, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162800, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 3, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162801, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 460, 29, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162802, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 36, 7, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162803, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 372, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162804, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 307, 3, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162805, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 66, 4, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162806, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 47, 6, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162807, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C11', 746, 3, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162808, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 593, 19, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162809, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 1449, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162810, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 601, 10, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162811, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 212, 4, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162812, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C09', 310, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162813, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 366, 4, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162814, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 39, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162815, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E28', 1655, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162816, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 430, 5, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162817, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 137, 14, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162818, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 373, 19, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162819, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 604, 4, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162820, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C03', 1318, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162821, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 713, 9, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:55'), (162822, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 1748, 1, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162823, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 272, 14, 2024, 8, 2, '2024-08-05 14:08:52', 1, '2024-08-06 02:01:56'), (162824, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 435, 104, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:09'), (162825, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 44, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:09'), (162826, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 61, 3, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:09'), (162827, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 21, 35, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:09'), (162828, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 96, 11, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:03'), (162829, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 67, 11, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:09'), (162830, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 586, 3, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:09'), (162831, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 10, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:10'), (162832, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 199, 3, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:16'), (162833, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 3, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:09'), (162834, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 69, 2, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:17'), (162835, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 586, 3, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:10'), (162836, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 19, 7, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:10'), (162837, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:17'), (162838, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 185, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:10'), (162839, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 195, 4, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:16'), (162840, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 21, 35, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:17'), (162841, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 63, 2, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:09'), (162842, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 44, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:09'), (162843, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 2, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:09'), (162844, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 308, 25, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:09'), (162845, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 748, 37, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:09'), (162846, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 8, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:09'), (162847, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 234, 42, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:10'), (162848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 69, 2, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:17'), (162849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 14, 9, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:17'), (162850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 5, 8, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:18'), (162851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 185, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:18'), (162852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 35, 7, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:24'), (162853, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 8, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:24'), (162854, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 63, 2, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:24'), (162855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:24'), (162856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 10, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:17'), (162857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 195, 4, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:17'), (162858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 3, 2, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:18'), (162859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 586, 3, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:18'), (162860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 308, 25, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:19'), (162861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 4, 2, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:18'), (162862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 222, 16, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:18'), (162863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 320, 14, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:17'), (162864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 4, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:18'), (162865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 655, 19, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:18'), (162866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 44, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:17'), (162867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 148, 12, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:17'), (162868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 199, 3, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:17'), (162869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 59, 2, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:17'), (162870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 846, 18, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:17'), (162871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 30, 11, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:18'), (162872, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 199, 3, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:26'), (162873, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 44, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:31'), (162874, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 308, 25, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:26'), (162875, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 5, 8, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:25'), (162876, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 35, 7, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:25'), (162877, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 3, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:25'), (162878, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 14, 9, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:26'), (162879, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 4, 2, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:26'), (162880, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 69, 2, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:31'), (162881, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 59, 2, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:32'), (162882, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 4, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:32'), (162883, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 8, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:32'), (162884, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 10, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:26'), (162885, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 30, 11, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:25'), (162886, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 655, 19, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:24'), (162887, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 846, 18, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:25'), (162888, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 586, 3, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:25'), (162889, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 3, 2, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:25'), (162890, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 63, 2, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:25'), (162891, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 320, 14, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:25'), (162892, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 185, 1, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:25'), (162893, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 148, 12, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:25'), (162894, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 195, 4, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:25'), (162895, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 222, 16, 2024, 8, 3, '2024-08-05 14:08:53', 1, '2024-08-07 01:00:25'), (162896, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 56, 70, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (162897, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 5, 24, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (162898, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 4, 2, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (162899, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 429, 4, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (162900, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 96, 5, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (162901, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 4, 2, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (162902, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 8, 1, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (162903, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 39, 11, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (162904, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 79, 20, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (162905, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 429, 4, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (162906, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 118, 4, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (162907, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 50, 39, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (162908, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 5, 24, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (162909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 15, 5, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 2, 6, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 4, 2, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (162912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 20, 1, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 28, 11, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 5, 5, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 220, 2, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (162916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 85, 11, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 12, 1, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 88, 16, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 578, 2, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 280, 2, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (162921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D18', 8, 1, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (162922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 41, 17, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 39, 11, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 43, 4, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:47'), (162925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 2, 8, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162926, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 2, 8, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162927, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 39, 11, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162928, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 88, 16, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162929, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 43, 4, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162930, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 2, 6, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162931, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 5, 5, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162932, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 15, 5, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162933, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 4, 2, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162934, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 85, 11, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162935, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 578, 2, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162936, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 280, 2, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162937, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 20, 1, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162938, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 12, 1, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162939, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 220, 2, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162940, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D18', 8, 1, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162941, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 41, 17, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162942, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 28, 11, 2024, 8, 4, '2024-08-05 14:08:54', 1, '2024-08-08 01:00:48'), (162943, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 14:45:06', NULL, NULL), (162944, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 14:45:07', NULL, NULL), (162945, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 14:45:08', NULL, NULL), (162946, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 14:45:09', NULL, NULL), (162947, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 14:45:10', NULL, NULL), (162948, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 14:45:11', NULL, NULL), (162949, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 14:45:12', NULL, NULL), (162950, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 14:45:13', NULL, NULL), (162951, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 14:45:13', NULL, NULL), (162952, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 14:45:14', NULL, NULL), (162953, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 14:45:15', NULL, NULL), (162954, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 14:45:16', NULL, NULL), (162955, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 14:45:17', NULL, NULL), (162956, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 14:45:18', NULL, NULL), (162957, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 14:45:20', NULL, NULL), (162958, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 14:45:21', NULL, NULL), (162959, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 14:45:25', NULL, NULL), (162960, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 14:45:28', NULL, NULL), (162961, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 14:45:32', NULL, NULL), (162962, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 14:45:35', NULL, NULL), (162963, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 14:45:39', NULL, NULL), (162964, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 14:45:40', NULL, NULL), (162965, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 14:45:40', NULL, NULL), (162966, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 14:45:41', NULL, NULL), (162967, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 14:45:42', NULL, NULL), (162968, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 14:45:43', NULL, NULL), (162969, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 14:45:43', NULL, NULL), (162970, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 14:45:44', NULL, NULL), (162971, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 14:45:45', NULL, NULL), (162972, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 14:45:46', NULL, NULL), (162973, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 14:45:46', NULL, NULL), (162974, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 14:45:47', NULL, NULL), (162975, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 14:45:48', NULL, NULL), (162976, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 14:45:49', NULL, NULL), (162977, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 14:45:50', NULL, NULL), (162978, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 14:45:50', NULL, NULL), (162979, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 14:45:51', NULL, NULL), (162980, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 14:45:52', NULL, NULL), (162981, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 14:45:53', NULL, NULL), (162982, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 14:45:54', NULL, NULL), (162983, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 14:45:55', NULL, NULL), (162984, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 14:45:56', NULL, NULL), (162985, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 14:45:56', NULL, NULL), (162986, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 14:45:57', NULL, NULL), (162987, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 14:45:58', NULL, NULL), (162988, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 14:45:59', NULL, NULL), (162989, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 14:46:00', NULL, NULL), (162990, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 14:46:01', NULL, NULL), (162991, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 14:46:02', NULL, NULL), (162992, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 14:46:03', NULL, NULL), (162993, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 14:46:05', NULL, NULL), (162994, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 14:46:07', NULL, NULL), (162995, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 14:46:11', NULL, NULL), (162996, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 14:46:14', NULL, NULL), (162997, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 14:46:18', NULL, NULL), (162998, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 14:46:21', NULL, NULL), (162999, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 14:46:22', NULL, NULL), (163000, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 14:46:22', NULL, NULL), (163001, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 14:46:23', NULL, NULL), (163002, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 14:46:24', NULL, NULL), (163003, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 14:46:25', NULL, NULL), (163004, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 14:46:25', NULL, NULL), (163005, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 14:46:26', NULL, NULL), (163006, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 14:46:27', NULL, NULL), (163007, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 14:46:28', NULL, NULL), (163008, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 14:46:29', NULL, NULL), (163009, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 14:46:30', NULL, NULL), (163010, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 14:46:30', NULL, NULL), (163011, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 14:46:31', NULL, NULL), (163012, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 14:46:32', NULL, NULL), (163013, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 14:46:33', NULL, NULL), (163014, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 14:46:34', NULL, NULL), (163015, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 14:46:35', NULL, NULL), (163016, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 14:46:36', NULL, NULL), (163017, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 14:46:36', NULL, NULL), (163018, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 14:46:37', NULL, NULL), (163019, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 14:46:38', NULL, NULL), (163020, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 14:46:39', NULL, NULL), (163021, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 14:46:40', NULL, NULL), (163022, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 14:46:41', NULL, NULL), (163023, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 14:46:42', NULL, NULL), (163024, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 14:46:43', NULL, NULL), (163025, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 14:46:44', NULL, NULL), (163026, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 14:46:45', NULL, NULL), (163027, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 14:46:47', NULL, NULL), (163028, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 14:46:50', NULL, NULL), (163029, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 14:46:53', NULL, NULL), (163030, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 14:46:57', NULL, NULL), (163031, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 14:47:01', NULL, NULL), (163032, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 14:47:04', NULL, NULL), (163033, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 14:47:08', NULL, NULL), (163034, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 14:47:11', NULL, NULL), (163035, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 14:47:12', NULL, NULL), (163036, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 14:47:13', NULL, NULL), (163037, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 14:47:14', NULL, NULL), (163038, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 14:47:15', NULL, NULL), (163039, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 14:47:15', NULL, NULL), (163040, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 14:47:16', NULL, NULL), (163041, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 14:47:17', NULL, NULL), (163042, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 14:47:19', NULL, NULL), (163043, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 14:47:20', NULL, NULL), (163044, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 14:47:21', NULL, NULL), (163045, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 14:47:22', NULL, NULL), (163046, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 14:47:23', NULL, NULL), (163047, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 14:47:24', NULL, NULL), (163048, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 14:47:25', NULL, NULL), (163049, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 14:47:26', NULL, NULL), (163050, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 14:47:27', NULL, NULL), (163051, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 14:47:28', NULL, NULL), (163052, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 14:47:29', NULL, NULL), (163053, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 14:47:30', NULL, NULL), (163054, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 14:47:31', NULL, NULL), (163055, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 14:47:32', NULL, NULL), (163056, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 14:47:32', NULL, NULL), (163057, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 14:47:33', NULL, NULL), (163058, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 14:47:35', NULL, NULL), (163059, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 14:47:36', NULL, NULL), (163060, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 14:47:39', NULL, NULL), (163061, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 14:47:43', NULL, NULL), (163062, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 14:47:46', NULL, NULL), (163063, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 14:47:50', NULL, NULL), (163064, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 14:47:53', NULL, NULL), (163065, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 14:47:57', NULL, NULL), (163066, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 14:47:58', NULL, NULL), (163067, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 14:47:59', NULL, NULL), (163068, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 14:47:59', NULL, NULL), (163069, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 14:48:00', NULL, NULL), (163070, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 14:48:01', NULL, NULL), (163071, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 14:48:02', NULL, NULL), (163072, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 14:48:02', NULL, NULL), (163073, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 14:48:03', NULL, NULL), (163074, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 14:48:04', NULL, NULL), (163075, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 14:48:05', NULL, NULL), (163076, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 14:48:06', NULL, NULL), (163077, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 14:48:07', NULL, NULL), (163078, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 14:48:07', NULL, NULL), (163079, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 14:48:08', NULL, NULL), (163080, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 14:48:09', NULL, NULL), (163081, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 14:48:10', NULL, NULL), (163082, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 14:48:11', NULL, NULL), (163083, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 14:48:12', NULL, NULL), (163084, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 14:48:13', NULL, NULL), (163085, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 14:48:14', NULL, NULL), (163086, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 14:48:15', NULL, NULL), (163087, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 14:48:16', NULL, NULL), (163088, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 14:48:17', NULL, NULL), (163089, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 14:48:18', NULL, NULL), (163090, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 14:48:19', NULL, NULL), (163091, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 14:48:20', NULL, NULL), (163092, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 14:48:21', NULL, NULL), (163093, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 14:48:23', NULL, NULL), (163094, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 14:48:25', NULL, NULL), (163095, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 14:48:29', NULL, NULL), (163096, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 14:48:33', NULL, NULL), (163097, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 14:48:36', NULL, NULL), (163098, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 14:48:40', NULL, NULL), (163099, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 14:48:43', NULL, NULL), (163100, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 14:48:47', NULL, NULL), (163101, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 14:48:49', NULL, NULL), (163102, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 14:48:50', NULL, NULL), (163103, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 14:48:51', NULL, NULL), (163104, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 14:48:52', NULL, NULL), (163105, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 14:48:53', NULL, NULL), (163106, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 14:48:53', NULL, NULL), (163107, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 14:48:54', NULL, NULL), (163108, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 14:48:55', NULL, NULL), (163109, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 14:48:56', NULL, NULL), (163110, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 14:48:57', NULL, NULL), (163111, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 14:48:58', NULL, NULL), (163112, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 14:48:59', NULL, NULL), (163113, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 14:49:00', NULL, NULL), (163114, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 14:49:01', NULL, NULL), (163115, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 14:49:02', NULL, NULL), (163116, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 14:49:04', NULL, NULL), (163117, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 14:49:05', NULL, NULL), (163118, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 14:49:06', NULL, NULL), (163119, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 14:49:07', NULL, NULL), (163120, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 14:49:08', NULL, NULL), (163121, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 14:49:09', NULL, NULL), (163122, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 14:49:10', NULL, NULL), (163123, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 14:49:11', NULL, NULL), (163124, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 14:49:12', NULL, NULL), (163125, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 14:49:13', NULL, NULL), (163126, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 14:49:15', NULL, NULL), (163127, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 14:49:18', NULL, NULL), (163128, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 14:49:22', NULL, NULL), (163129, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 14:49:25', NULL, NULL), (163130, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 14:49:29', NULL, NULL), (163131, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 14:49:32', NULL, NULL), (163132, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 14:49:36', NULL, NULL), (163133, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 14:49:39', NULL, NULL), (163134, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 14:49:41', NULL, NULL), (163135, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 14:49:42', NULL, NULL), (163136, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 14:49:42', NULL, NULL), (163137, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 14:49:43', NULL, NULL), (163138, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 14:49:44', NULL, NULL), (163139, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 14:49:45', NULL, NULL), (163140, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 14:49:46', NULL, NULL), (163141, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 14:49:47', NULL, NULL), (163142, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 14:49:48', NULL, NULL), (163143, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 14:49:48', NULL, NULL), (163144, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 14:49:49', NULL, NULL), (163145, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 14:49:50', NULL, NULL), (163146, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 14:49:51', NULL, NULL), (163147, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 14:49:52', NULL, NULL), (163148, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 14:49:53', NULL, NULL), (163149, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 14:49:54', NULL, NULL), (163150, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 14:49:55', NULL, NULL), (163151, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 14:49:56', NULL, NULL), (163152, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 14:49:57', NULL, NULL), (163153, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 14:49:58', NULL, NULL), (163154, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 14:49:59', NULL, NULL), (163155, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 14:50:00', NULL, NULL), (163156, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 14:50:01', NULL, NULL), (163157, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 14:50:02', NULL, NULL), (163158, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 14:50:03', NULL, NULL), (163159, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 14:50:05', NULL, NULL), (163160, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 14:50:06', NULL, NULL), (163161, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 14:50:10', NULL, NULL), (163162, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 14:50:13', NULL, NULL), (163163, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 14:50:17', NULL, NULL), (163164, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 14:50:20', NULL, NULL), (163165, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 14:50:24', NULL, NULL), (163166, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 14:50:27', NULL, NULL), (163167, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 14:50:29', NULL, NULL), (163168, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 14:50:30', NULL, NULL), (163169, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 14:50:30', NULL, NULL), (163170, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 14:50:31', NULL, NULL), (163171, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 14:50:32', NULL, NULL), (163172, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 14:50:33', NULL, NULL), (163173, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 14:50:34', NULL, NULL), (163174, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 14:50:35', NULL, NULL), (163175, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 14:50:36', NULL, NULL), (163176, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 14:50:37', NULL, NULL), (163177, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 14:50:37', NULL, NULL), (163178, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 14:50:38', NULL, NULL), (163179, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 14:50:39', NULL, NULL), (163180, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 14:50:40', NULL, NULL), (163181, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 14:50:41', NULL, NULL), (163182, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 14:50:42', NULL, NULL), (163183, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 14:50:43', NULL, NULL), (163184, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 14:50:44', NULL, NULL), (163185, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 14:50:45', NULL, NULL), (163186, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 14:50:46', NULL, NULL), (163187, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 14:50:46', NULL, NULL), (163188, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 14:50:47', NULL, NULL), (163189, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 14:50:48', NULL, NULL), (163190, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 14:50:49', NULL, NULL), (163191, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 14:50:50', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (163192, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 14:50:51', NULL, NULL), (163193, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 14:50:53', NULL, NULL), (163194, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 14:50:54', NULL, NULL), (163195, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 14:50:57', NULL, NULL), (163196, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 14:51:00', NULL, NULL), (163197, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 14:51:04', NULL, NULL), (163198, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 14:51:07', NULL, NULL), (163199, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 14:51:11', NULL, NULL), (163200, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 14:51:12', NULL, NULL), (163201, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 14:51:13', NULL, NULL), (163202, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 14:51:13', NULL, NULL), (163203, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 14:51:14', NULL, NULL), (163204, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 14:51:15', NULL, NULL), (163205, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 14:51:16', NULL, NULL), (163206, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 14:51:17', NULL, NULL), (163207, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 14:51:17', NULL, NULL), (163208, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 14:51:18', NULL, NULL), (163209, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 14:51:19', NULL, NULL), (163210, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 14:51:20', NULL, NULL), (163211, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 14:51:21', NULL, NULL), (163212, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 14:51:21', NULL, NULL), (163213, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 14:51:22', NULL, NULL), (163214, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 14:51:23', NULL, NULL), (163215, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 14:51:24', NULL, NULL), (163216, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 14:51:25', NULL, NULL), (163217, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 14:51:26', NULL, NULL), (163218, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 14:51:27', NULL, NULL), (163219, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 14:51:28', NULL, NULL), (163220, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 14:51:28', NULL, NULL), (163221, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 14:51:29', NULL, NULL), (163222, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 14:51:30', NULL, NULL), (163223, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 14:51:31', NULL, NULL), (163224, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 14:51:32', NULL, NULL), (163225, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 14:51:33', NULL, NULL), (163226, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 14:51:34', NULL, NULL), (163227, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 14:51:35', NULL, NULL), (163228, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 14:51:37', NULL, NULL), (163229, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 14:51:39', NULL, NULL), (163230, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 14:51:42', NULL, NULL), (163231, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 14:51:46', NULL, NULL), (163232, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 14:51:49', NULL, NULL), (163233, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 14:51:53', NULL, NULL), (163234, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 14:51:54', NULL, NULL), (163235, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 14:51:55', NULL, NULL), (163236, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 14:51:55', NULL, NULL), (163237, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 14:51:56', NULL, NULL), (163238, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 14:51:57', NULL, NULL), (163239, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 14:51:58', NULL, NULL), (163240, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 14:51:59', NULL, NULL), (163241, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 14:51:59', NULL, NULL), (163242, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 14:52:00', NULL, NULL), (163243, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 14:52:01', NULL, NULL), (163244, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 14:52:02', NULL, NULL), (163245, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 14:52:03', NULL, NULL), (163246, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 14:52:03', NULL, NULL), (163247, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 14:52:04', NULL, NULL), (163248, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 14:52:05', NULL, NULL), (163249, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 14:52:06', NULL, NULL), (163250, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 14:52:07', NULL, NULL), (163251, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 14:52:08', NULL, NULL), (163252, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 14:52:09', NULL, NULL), (163253, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 14:52:09', NULL, NULL), (163254, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 14:52:10', NULL, NULL), (163255, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 14:52:11', NULL, NULL), (163256, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 14:52:12', NULL, NULL), (163257, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 14:52:13', NULL, NULL), (163258, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 14:52:14', NULL, NULL), (163259, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 14:52:15', NULL, NULL), (163260, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 14:52:16', NULL, NULL), (163261, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 14:52:17', NULL, NULL), (163262, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 14:52:18', NULL, NULL), (163263, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 14:52:20', NULL, NULL), (163264, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 14:52:24', NULL, NULL), (163265, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 14:52:27', NULL, NULL), (163266, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 14:52:31', NULL, NULL), (163267, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 14:52:34', NULL, NULL), (163268, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 14:52:35', NULL, NULL), (163269, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 14:52:36', NULL, NULL), (163270, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 14:52:37', NULL, NULL), (163271, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 14:52:37', NULL, NULL), (163272, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 14:52:38', NULL, NULL), (163273, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 14:52:39', NULL, NULL), (163274, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 14:52:40', NULL, NULL), (163275, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 14:52:41', NULL, NULL), (163276, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 14:52:41', NULL, NULL), (163277, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 14:52:42', NULL, NULL), (163278, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 14:52:43', NULL, NULL), (163279, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 14:52:44', NULL, NULL), (163280, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 14:52:45', NULL, NULL), (163281, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 14:52:45', NULL, NULL), (163282, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 14:52:46', NULL, NULL), (163283, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 14:52:47', NULL, NULL), (163284, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 14:52:48', NULL, NULL), (163285, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 14:52:49', NULL, NULL), (163286, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 14:52:50', NULL, NULL), (163287, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 14:52:51', NULL, NULL), (163288, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 14:52:52', NULL, NULL), (163289, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 14:52:52', NULL, NULL), (163290, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 14:52:53', NULL, NULL), (163291, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 14:52:54', NULL, NULL), (163292, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 14:52:55', NULL, NULL), (163293, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 14:52:56', NULL, NULL), (163294, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 14:52:57', NULL, NULL), (163295, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 14:52:58', NULL, NULL), (163296, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 14:53:00', NULL, NULL), (163297, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 14:53:02', NULL, NULL), (163298, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 14:53:05', NULL, NULL), (163299, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 14:53:09', NULL, NULL), (163300, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 14:53:13', NULL, NULL), (163301, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 14:53:16', NULL, NULL), (163302, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 14:53:19', NULL, NULL), (163303, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 14:53:19', NULL, NULL), (163304, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 14:53:20', NULL, NULL), (163305, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 14:53:21', NULL, NULL), (163306, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 14:53:22', NULL, NULL), (163307, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 14:53:23', NULL, NULL), (163308, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 14:53:24', NULL, NULL), (163309, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 14:53:24', NULL, NULL), (163310, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 14:53:25', NULL, NULL), (163311, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 14:53:26', NULL, NULL), (163312, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 14:53:27', NULL, NULL), (163313, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 14:53:28', NULL, NULL), (163314, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 14:53:29', NULL, NULL), (163315, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 14:53:30', NULL, NULL), (163316, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 14:53:31', NULL, NULL), (163317, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 14:53:32', NULL, NULL), (163318, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 14:53:33', NULL, NULL), (163319, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 14:53:34', NULL, NULL), (163320, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 14:53:35', NULL, NULL), (163321, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 14:53:36', NULL, NULL), (163322, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 14:53:37', NULL, NULL), (163323, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 14:53:38', NULL, NULL), (163324, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 14:53:39', NULL, NULL), (163325, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 14:53:40', NULL, NULL), (163326, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 14:53:41', NULL, NULL), (163327, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 14:53:42', NULL, NULL), (163328, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 14:53:44', NULL, NULL), (163329, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 14:53:46', NULL, NULL), (163330, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 14:53:50', NULL, NULL), (163331, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 14:53:53', NULL, NULL), (163332, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 14:53:57', NULL, NULL), (163333, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 14:54:00', NULL, NULL), (163334, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 14:54:04', NULL, NULL), (163335, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 14:54:07', NULL, NULL), (163336, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 14:54:09', NULL, NULL), (163337, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 14:54:10', NULL, NULL), (163338, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 14:54:10', NULL, NULL), (163339, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 14:54:11', NULL, NULL), (163340, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 14:54:12', NULL, NULL), (163341, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 14:54:13', NULL, NULL), (163342, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 14:54:13', NULL, NULL), (163343, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 14:54:14', NULL, NULL), (163344, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 14:54:15', NULL, NULL), (163345, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 14:54:16', NULL, NULL), (163346, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 14:54:16', NULL, NULL), (163347, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 14:54:17', NULL, NULL), (163348, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 14:54:18', NULL, NULL), (163349, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 14:54:19', NULL, NULL), (163350, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 14:54:20', NULL, NULL), (163351, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 14:54:21', NULL, NULL), (163352, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 14:54:21', NULL, NULL), (163353, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 14:54:22', NULL, NULL), (163354, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 14:54:23', NULL, NULL), (163355, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 14:54:24', NULL, NULL), (163356, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 14:54:25', NULL, NULL), (163357, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 14:54:26', NULL, NULL), (163358, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 14:54:26', NULL, NULL), (163359, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 14:54:27', NULL, NULL), (163360, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 14:54:28', NULL, NULL), (163361, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 14:54:29', NULL, NULL), (163362, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 14:54:30', NULL, NULL), (163363, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 14:54:31', NULL, NULL), (163364, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 14:54:32', NULL, NULL), (163365, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 14:54:33', NULL, NULL), (163366, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 14:54:35', NULL, NULL), (163367, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 14:54:39', NULL, NULL), (163368, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 14:54:42', NULL, NULL), (163369, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 14:54:46', NULL, NULL), (163370, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 14:54:49', NULL, NULL), (163371, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 14:54:50', NULL, NULL), (163372, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 14:54:51', NULL, NULL), (163373, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 14:54:52', NULL, NULL), (163374, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 14:54:52', NULL, NULL), (163375, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 14:54:53', NULL, NULL), (163376, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 14:54:54', NULL, NULL), (163377, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 14:54:55', NULL, NULL), (163378, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 14:54:56', NULL, NULL), (163379, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 14:54:56', NULL, NULL), (163380, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 14:54:57', NULL, NULL), (163381, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 14:54:58', NULL, NULL), (163382, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 14:54:59', NULL, NULL), (163383, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 14:55:00', NULL, NULL), (163384, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 14:55:01', NULL, NULL), (163385, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 14:55:01', NULL, NULL), (163386, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 14:55:02', NULL, NULL), (163387, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 14:55:03', NULL, NULL), (163388, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 14:55:04', NULL, NULL), (163389, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 14:55:05', NULL, NULL), (163390, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 14:55:06', NULL, NULL), (163391, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 14:55:07', NULL, NULL), (163392, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 14:55:07', NULL, NULL), (163393, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 14:55:08', NULL, NULL), (163394, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 14:55:09', NULL, NULL), (163395, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 14:55:10', NULL, NULL), (163396, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 14:55:11', NULL, NULL), (163397, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 14:55:12', NULL, NULL), (163398, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 14:55:13', NULL, NULL), (163399, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 14:55:15', NULL, NULL), (163400, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 14:55:16', NULL, NULL), (163401, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 14:55:20', NULL, NULL), (163402, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 14:55:23', NULL, NULL), (163403, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 14:55:27', NULL, NULL), (163404, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 14:55:30', NULL, NULL), (163405, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 14:55:30', NULL, NULL), (163406, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 14:55:31', NULL, NULL), (163407, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 14:55:32', NULL, NULL), (163408, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 14:55:33', NULL, NULL), (163409, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 14:55:34', NULL, NULL), (163410, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 14:55:34', NULL, NULL), (163411, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 14:55:35', NULL, NULL), (163412, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 14:55:36', NULL, NULL), (163413, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 14:55:37', NULL, NULL), (163414, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 14:55:38', NULL, NULL), (163415, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 14:55:38', NULL, NULL), (163416, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 14:55:39', NULL, NULL), (163417, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 14:55:40', NULL, NULL), (163418, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 14:55:41', NULL, NULL), (163419, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 14:55:42', NULL, NULL), (163420, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 14:55:43', NULL, NULL), (163421, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 14:55:43', NULL, NULL), (163422, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 14:55:44', NULL, NULL), (163423, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 14:55:45', NULL, NULL), (163424, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 14:55:46', NULL, NULL), (163425, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 14:55:47', NULL, NULL), (163426, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 14:55:48', NULL, NULL), (163427, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 14:55:49', NULL, NULL), (163428, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 14:55:50', NULL, NULL), (163429, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 14:55:51', NULL, NULL), (163430, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 14:55:52', NULL, NULL), (163431, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 14:55:53', NULL, NULL), (163432, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 14:55:54', NULL, NULL), (163433, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 14:55:55', NULL, NULL), (163434, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 14:55:58', NULL, NULL), (163435, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 14:56:01', NULL, NULL), (163436, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 14:56:05', NULL, NULL), (163437, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 14:56:08', NULL, NULL), (163438, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 14:56:10', NULL, NULL), (163439, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 14:56:11', NULL, NULL), (163440, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 14:56:12', NULL, NULL), (163441, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 14:56:12', NULL, NULL), (163442, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 14:56:13', NULL, NULL), (163443, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 14:56:14', NULL, NULL), (163444, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 14:56:15', NULL, NULL), (163445, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 14:56:15', NULL, NULL), (163446, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 14:56:16', NULL, NULL), (163447, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 14:56:17', NULL, NULL), (163448, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 14:56:18', NULL, NULL), (163449, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 14:56:19', NULL, NULL), (163450, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 14:56:20', NULL, NULL), (163451, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 14:56:20', NULL, NULL), (163452, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 14:56:21', NULL, NULL), (163453, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 14:56:22', NULL, NULL), (163454, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 14:56:23', NULL, NULL), (163455, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 14:56:24', NULL, NULL), (163456, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 14:56:25', NULL, NULL), (163457, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 14:56:25', NULL, NULL), (163458, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 14:56:26', NULL, NULL), (163459, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 14:56:27', NULL, NULL), (163460, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 14:56:28', NULL, NULL), (163461, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 14:56:29', NULL, NULL), (163462, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 14:56:30', NULL, NULL), (163463, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 14:56:31', NULL, NULL), (163464, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 14:56:32', NULL, NULL), (163465, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 14:56:33', NULL, NULL), (163466, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 14:56:34', NULL, NULL), (163467, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 14:56:36', NULL, NULL), (163468, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 14:56:39', NULL, NULL), (163469, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 14:56:42', NULL, NULL), (163470, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 14:56:46', NULL, NULL), (163471, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 14:56:49', NULL, NULL), (163472, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 14:56:51', NULL, NULL), (163473, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 14:56:52', NULL, NULL), (163474, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 14:56:53', NULL, NULL), (163475, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 14:56:53', NULL, NULL), (163476, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 14:56:54', NULL, NULL), (163477, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 14:56:55', NULL, NULL), (163478, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 14:56:56', NULL, NULL), (163479, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 14:56:57', NULL, NULL), (163480, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 14:56:57', NULL, NULL), (163481, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 14:56:58', NULL, NULL), (163482, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 14:56:59', NULL, NULL), (163483, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 14:57:00', NULL, NULL), (163484, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 14:57:01', NULL, NULL), (163485, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 14:57:01', NULL, NULL), (163486, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 14:57:02', NULL, NULL), (163487, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 14:57:03', NULL, NULL), (163488, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 14:57:04', NULL, NULL), (163489, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 14:57:05', NULL, NULL), (163490, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 14:57:06', NULL, NULL), (163491, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 14:57:07', NULL, NULL), (163492, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 14:57:07', NULL, NULL), (163493, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 14:57:08', NULL, NULL), (163494, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 14:57:09', NULL, NULL), (163495, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 14:57:10', NULL, NULL), (163496, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 14:57:11', NULL, NULL), (163497, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 14:57:12', NULL, NULL), (163498, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 14:57:13', NULL, NULL), (163499, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 14:57:14', NULL, NULL), (163500, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 14:57:15', NULL, NULL), (163501, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 14:57:17', NULL, NULL), (163502, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 14:57:20', NULL, NULL), (163503, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 14:57:23', NULL, NULL), (163504, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 14:57:27', NULL, NULL), (163505, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 14:57:30', NULL, NULL), (163506, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 14:57:32', NULL, NULL), (163507, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 14:57:33', NULL, NULL), (163508, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 14:57:34', NULL, NULL), (163509, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 14:57:34', NULL, NULL), (163510, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 14:57:35', NULL, NULL), (163511, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 14:57:36', NULL, NULL), (163512, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 14:57:37', NULL, NULL), (163513, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 14:57:38', NULL, NULL), (163514, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 14:57:38', NULL, NULL), (163515, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 14:57:39', NULL, NULL), (163516, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 14:57:40', NULL, NULL), (163517, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 14:57:41', NULL, NULL), (163518, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 14:57:42', NULL, NULL), (163519, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 14:57:42', NULL, NULL), (163520, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 14:57:43', NULL, NULL), (163521, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 14:57:44', 1, '2024-08-05 22:12:03'), (163522, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 14:57:45', 1, '2024-08-06 02:01:03'), (163523, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 14:57:46', 1, '2024-08-07 01:00:03'), (163524, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 14:57:47', 1, '2024-08-08 01:00:03'), (163525, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 14:57:48', 1, '2024-08-09 01:00:02'), (163526, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 14:58:27', NULL, NULL), (163527, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 14:58:27', NULL, NULL), (163528, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 14:58:28', NULL, NULL), (163529, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 14:58:30', NULL, NULL), (163530, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 14:58:31', NULL, NULL), (163531, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 14:58:32', NULL, NULL), (163532, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 14:58:33', NULL, NULL), (163533, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 14:58:34', NULL, NULL), (163534, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 14:58:35', NULL, NULL), (163535, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 14:58:36', NULL, NULL), (163536, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 14:58:37', NULL, NULL), (163537, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 14:58:38', NULL, NULL), (163538, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 14:58:39', NULL, NULL), (163539, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 14:58:42', NULL, NULL), (163540, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 14:58:46', NULL, NULL), (163541, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 14:58:50', NULL, NULL), (163542, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 14:58:53', NULL, NULL), (163543, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 14:58:57', NULL, NULL), (163544, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 14:59:00', NULL, NULL), (163545, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 14:59:03', NULL, NULL), (163546, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 14:59:04', NULL, NULL), (163547, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 14:59:05', NULL, NULL), (163548, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 14:59:06', NULL, NULL), (163549, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 14:59:06', NULL, NULL), (163550, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 14:59:07', NULL, NULL), (163551, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 14:59:08', NULL, NULL), (163552, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 14:59:09', NULL, NULL), (163553, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 14:59:10', NULL, NULL), (163554, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 14:59:11', NULL, NULL), (163555, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 14:59:11', NULL, NULL), (163556, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 14:59:12', NULL, NULL), (163557, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 14:59:13', NULL, NULL), (163558, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 14:59:14', NULL, NULL), (163559, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 14:59:15', NULL, NULL), (163560, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 14:59:16', NULL, NULL), (163561, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 14:59:16', NULL, NULL), (163562, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 14:59:17', NULL, NULL), (163563, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 14:59:18', NULL, NULL), (163564, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 14:59:19', NULL, NULL), (163565, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 14:59:20', NULL, NULL), (163566, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 14:59:21', NULL, NULL), (163567, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 14:59:22', NULL, NULL), (163568, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 14:59:23', NULL, NULL), (163569, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 14:59:23', NULL, NULL), (163570, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 14:59:24', NULL, NULL), (163571, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 14:59:25', NULL, NULL), (163572, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 14:59:26', NULL, NULL), (163573, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 14:59:28', NULL, NULL), (163574, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 14:59:29', NULL, NULL), (163575, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 14:59:33', NULL, NULL), (163576, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 14:59:36', NULL, NULL), (163577, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 14:59:40', NULL, NULL), (163578, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 14:59:43', NULL, NULL), (163579, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 14:59:45', NULL, NULL), (163580, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 14:59:46', NULL, NULL), (163581, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 14:59:47', NULL, NULL), (163582, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 14:59:48', NULL, NULL), (163583, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 14:59:48', NULL, NULL), (163584, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 14:59:49', NULL, NULL), (163585, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 14:59:50', NULL, NULL), (163586, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 14:59:51', NULL, NULL), (163587, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 14:59:51', NULL, NULL), (163588, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 14:59:52', NULL, NULL), (163589, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 14:59:53', NULL, NULL), (163590, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 14:59:54', NULL, NULL), (163591, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 14:59:55', NULL, NULL), (163592, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 14:59:56', NULL, NULL), (163593, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 14:59:57', NULL, NULL), (163594, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 14:59:57', NULL, NULL), (163595, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 14:59:58', NULL, NULL), (163596, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 14:59:59', NULL, NULL), (163597, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 15:00:00', NULL, NULL), (163598, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 15:00:01', NULL, NULL), (163599, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 15:00:02', NULL, NULL), (163600, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 15:00:03', NULL, NULL), (163601, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 15:00:04', NULL, NULL), (163602, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 15:00:04', NULL, NULL), (163603, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 15:00:05', NULL, NULL), (163604, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 15:00:06', NULL, NULL), (163605, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 15:00:07', NULL, NULL), (163606, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 15:00:09', NULL, NULL), (163607, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 15:00:10', NULL, NULL), (163608, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 15:00:12', NULL, NULL), (163609, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 15:00:15', NULL, NULL), (163610, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 15:00:19', NULL, NULL), (163611, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 15:00:22', NULL, NULL), (163612, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 15:00:25', NULL, NULL), (163613, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 15:00:26', NULL, NULL), (163614, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 15:00:27', NULL, NULL), (163615, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 15:00:27', NULL, NULL), (163616, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 15:00:28', NULL, NULL), (163617, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 15:00:29', NULL, NULL), (163618, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 15:00:30', NULL, NULL), (163619, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 15:00:31', NULL, NULL), (163620, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 15:00:31', NULL, NULL), (163621, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 15:00:32', NULL, NULL), (163622, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 15:00:33', NULL, NULL), (163623, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 15:00:34', NULL, NULL), (163624, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 15:00:35', NULL, NULL), (163625, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 15:00:36', NULL, NULL), (163626, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 15:00:36', NULL, NULL), (163627, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 15:00:37', NULL, NULL), (163628, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 15:00:38', NULL, NULL), (163629, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 15:00:39', NULL, NULL), (163630, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 15:00:40', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (163631, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 15:00:41', NULL, NULL), (163632, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 15:00:42', NULL, NULL), (163633, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 15:00:43', NULL, NULL), (163634, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 15:00:44', NULL, NULL), (163635, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 15:00:44', NULL, NULL), (163636, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 15:00:45', NULL, NULL), (163637, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 15:00:46', NULL, NULL), (163638, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 15:00:47', NULL, NULL), (163639, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 15:00:48', NULL, NULL), (163640, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 15:00:50', NULL, NULL), (163641, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 15:00:51', NULL, NULL), (163642, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 15:00:52', NULL, NULL), (163643, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 15:00:54', NULL, NULL), (163644, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 15:00:55', NULL, NULL), (163645, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 15:00:56', NULL, NULL), (163646, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 15:00:58', NULL, NULL), (163647, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 15:00:59', NULL, NULL), (163648, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 15:01:01', NULL, NULL), (163649, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 15:01:02', NULL, NULL), (163650, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 15:01:03', NULL, NULL), (163651, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 15:01:05', NULL, NULL), (163652, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 15:01:06', NULL, NULL), (163653, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 15:01:07', NULL, NULL), (163654, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 15:01:09', NULL, NULL), (163655, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 15:01:10', NULL, NULL), (163656, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 15:01:11', NULL, NULL), (163657, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 15:01:13', NULL, NULL), (163658, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 15:01:14', NULL, NULL), (163659, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 15:01:15', NULL, NULL), (163660, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 15:01:17', NULL, NULL), (163661, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 15:01:18', NULL, NULL), (163662, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 15:01:19', NULL, NULL), (163663, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 15:01:21', NULL, NULL), (163664, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 15:01:22', NULL, NULL), (163665, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 15:01:24', NULL, NULL), (163666, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 15:01:25', NULL, NULL), (163667, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 15:01:26', NULL, NULL), (163668, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 15:01:28', NULL, NULL), (163669, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 15:01:29', NULL, NULL), (163670, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 15:01:30', NULL, NULL), (163671, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 15:01:32', NULL, NULL), (163672, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 15:01:33', NULL, NULL), (163673, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 15:01:34', NULL, NULL), (163674, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 15:01:36', NULL, NULL), (163675, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 15:01:37', NULL, NULL), (163676, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 15:01:38', NULL, NULL), (163677, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 15:01:40', NULL, NULL), (163678, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 15:01:41', NULL, NULL), (163679, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 15:01:42', NULL, NULL), (163680, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 15:01:44', NULL, NULL), (163681, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 15:01:45', NULL, NULL), (163682, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 15:01:46', NULL, NULL), (163683, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 15:01:48', NULL, NULL), (163684, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 15:01:49', NULL, NULL), (163685, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 15:01:50', NULL, NULL), (163686, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 15:01:52', NULL, NULL), (163687, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 15:01:53', NULL, NULL), (163688, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 15:01:54', NULL, NULL), (163689, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 15:01:55', NULL, NULL), (163690, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 15:01:55', NULL, NULL), (163691, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 15:01:56', NULL, NULL), (163692, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 15:01:57', NULL, NULL), (163693, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 15:01:58', NULL, NULL), (163694, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 15:01:58', NULL, NULL), (163695, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 15:01:59', NULL, NULL), (163696, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 15:02:00', NULL, NULL), (163697, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 15:02:01', NULL, NULL), (163698, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 15:02:01', NULL, NULL), (163699, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 15:02:02', NULL, NULL), (163700, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 15:02:03', NULL, NULL), (163701, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 15:02:04', NULL, NULL), (163702, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 15:02:05', NULL, NULL), (163703, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 15:02:05', NULL, NULL), (163704, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 15:02:06', NULL, NULL), (163705, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 15:02:07', NULL, NULL), (163706, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 15:02:08', NULL, NULL), (163707, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 15:02:09', NULL, NULL), (163708, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 15:02:10', NULL, NULL), (163709, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 15:02:10', NULL, NULL), (163710, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 15:02:11', NULL, NULL), (163711, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 15:02:12', NULL, NULL), (163712, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 15:02:13', NULL, NULL), (163713, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 15:02:14', NULL, NULL), (163714, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 15:02:15', NULL, NULL), (163715, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 15:02:16', NULL, NULL), (163716, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 15:02:17', NULL, NULL), (163717, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 15:02:19', NULL, NULL), (163718, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 15:02:20', NULL, NULL), (163719, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 15:02:21', NULL, NULL), (163720, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 15:02:23', NULL, NULL), (163721, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 15:02:24', NULL, NULL), (163722, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 15:02:25', NULL, NULL), (163723, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 15:02:27', NULL, NULL), (163724, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 15:02:28', NULL, NULL), (163725, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 15:02:30', NULL, NULL), (163726, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 15:02:31', NULL, NULL), (163727, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 15:02:32', NULL, NULL), (163728, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 15:02:34', NULL, NULL), (163729, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 15:02:35', NULL, NULL), (163730, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 15:02:36', NULL, NULL), (163731, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 15:02:38', NULL, NULL), (163732, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 15:02:39', NULL, NULL), (163733, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 15:02:40', NULL, NULL), (163734, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 15:02:42', NULL, NULL), (163735, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 15:02:43', NULL, NULL), (163736, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 15:02:44', NULL, NULL), (163737, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 15:02:46', NULL, NULL), (163738, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 15:02:47', NULL, NULL), (163739, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 15:02:48', NULL, NULL), (163740, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 15:02:50', NULL, NULL), (163741, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 15:02:51', NULL, NULL), (163742, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 15:02:52', NULL, NULL), (163743, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 15:02:54', NULL, NULL), (163744, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 15:02:55', NULL, NULL), (163745, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 15:02:57', NULL, NULL), (163746, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 15:02:58', NULL, NULL), (163747, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 15:02:59', NULL, NULL), (163748, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 15:03:01', NULL, NULL), (163749, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 15:03:02', NULL, NULL), (163750, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 15:03:03', NULL, NULL), (163751, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 15:03:05', NULL, NULL), (163752, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 15:03:06', NULL, NULL), (163753, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 15:03:07', NULL, NULL), (163754, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 15:03:09', NULL, NULL), (163755, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 15:03:10', NULL, NULL), (163756, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 15:03:11', NULL, NULL), (163757, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 15:03:12', NULL, NULL), (163758, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 15:03:12', NULL, NULL), (163759, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 15:03:13', NULL, NULL), (163760, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 15:03:14', NULL, NULL), (163761, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 15:03:15', NULL, NULL), (163762, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 15:03:16', NULL, NULL), (163763, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 15:03:16', NULL, NULL), (163764, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 15:03:17', NULL, NULL), (163765, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 15:03:18', NULL, NULL), (163766, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 15:03:19', NULL, NULL), (163767, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 15:03:20', NULL, NULL), (163768, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 15:03:21', NULL, NULL), (163769, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 15:03:22', NULL, NULL), (163770, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 15:03:23', NULL, NULL), (163771, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 15:03:24', NULL, NULL), (163772, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 15:03:25', NULL, NULL), (163773, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 15:03:26', NULL, NULL), (163774, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 15:03:26', NULL, NULL), (163775, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 15:03:27', NULL, NULL), (163776, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 15:03:28', NULL, NULL), (163777, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 15:03:29', NULL, NULL), (163778, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 15:03:30', NULL, NULL), (163779, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 15:03:31', NULL, NULL), (163780, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 15:03:32', NULL, NULL), (163781, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 15:03:34', NULL, NULL), (163782, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 15:03:35', NULL, NULL), (163783, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 15:03:37', NULL, NULL), (163784, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 15:03:40', NULL, NULL), (163785, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 15:03:44', NULL, NULL), (163786, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 15:03:48', NULL, NULL), (163787, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 15:03:51', NULL, NULL), (163788, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 15:03:54', NULL, NULL), (163789, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 15:03:55', NULL, NULL), (163790, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 15:03:56', NULL, NULL), (163791, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 15:03:57', NULL, NULL), (163792, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 15:03:57', NULL, NULL), (163793, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 15:03:58', NULL, NULL), (163794, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 15:03:59', NULL, NULL), (163795, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 15:04:00', NULL, NULL), (163796, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 15:04:01', NULL, NULL), (163797, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 15:04:02', NULL, NULL), (163798, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 15:04:02', NULL, NULL), (163799, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 15:04:03', NULL, NULL), (163800, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 15:04:04', NULL, NULL), (163801, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 15:04:05', NULL, NULL), (163802, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 15:04:06', NULL, NULL), (163803, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 15:04:07', NULL, NULL), (163804, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 15:04:07', NULL, NULL), (163805, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 15:04:08', NULL, NULL), (163806, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 15:04:09', NULL, NULL), (163807, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 15:04:10', NULL, NULL), (163808, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 15:04:11', NULL, NULL), (163809, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 15:04:12', NULL, NULL), (163810, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 15:04:13', NULL, NULL), (163811, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 15:04:14', NULL, NULL), (163812, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 15:04:15', NULL, NULL), (163813, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 15:04:16', NULL, NULL), (163814, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 15:04:16', NULL, NULL), (163815, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 15:04:18', NULL, NULL), (163816, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 15:04:19', NULL, NULL), (163817, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 15:04:20', NULL, NULL), (163818, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 15:04:24', NULL, NULL), (163819, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 15:04:27', NULL, NULL), (163820, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 15:04:31', NULL, NULL), (163821, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 15:04:34', NULL, NULL), (163822, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 15:04:35', NULL, NULL), (163823, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 15:04:36', NULL, NULL), (163824, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 15:04:36', NULL, NULL), (163825, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 15:04:37', NULL, NULL), (163826, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 15:04:38', NULL, NULL), (163827, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 15:04:39', NULL, NULL), (163828, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 15:04:40', NULL, NULL), (163829, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 15:04:40', NULL, NULL), (163830, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 15:04:41', NULL, NULL), (163831, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 15:04:42', NULL, NULL), (163832, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 15:04:43', NULL, NULL), (163833, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 15:04:44', NULL, NULL), (163834, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 15:04:44', NULL, NULL), (163835, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 15:04:45', NULL, NULL), (163836, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 15:04:46', NULL, NULL), (163837, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 15:04:47', NULL, NULL), (163838, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 15:04:48', NULL, NULL), (163839, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 15:04:49', NULL, NULL), (163840, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 15:04:50', NULL, NULL), (163841, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 15:04:50', NULL, NULL), (163842, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 15:04:51', NULL, NULL), (163843, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 15:04:52', NULL, NULL), (163844, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 15:04:53', NULL, NULL), (163845, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 15:04:54', NULL, NULL), (163846, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 15:04:55', NULL, NULL), (163847, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 15:04:56', NULL, NULL), (163848, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 15:04:57', NULL, NULL), (163849, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 15:04:58', NULL, NULL), (163850, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 15:04:59', NULL, NULL), (163851, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 15:05:01', NULL, NULL), (163852, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 15:05:05', NULL, NULL), (163853, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 15:05:08', NULL, NULL), (163854, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 15:05:12', NULL, NULL), (163855, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 15:05:14', NULL, NULL), (163856, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 15:05:14', NULL, NULL), (163857, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 15:05:15', NULL, NULL), (163858, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 15:05:16', NULL, NULL), (163859, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 15:05:17', NULL, NULL), (163860, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 15:05:17', NULL, NULL), (163861, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 15:05:18', NULL, NULL), (163862, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 15:05:19', NULL, NULL), (163863, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 15:05:20', NULL, NULL), (163864, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 15:05:21', NULL, NULL), (163865, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 15:05:22', NULL, NULL), (163866, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 15:05:22', NULL, NULL), (163867, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 15:05:23', NULL, NULL), (163868, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 15:05:24', NULL, NULL), (163869, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 15:05:25', NULL, NULL), (163870, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 15:05:26', NULL, NULL), (163871, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 15:05:27', NULL, NULL), (163872, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 15:05:28', NULL, NULL), (163873, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 15:05:29', NULL, NULL), (163874, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 15:05:30', NULL, NULL), (163875, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 15:05:31', NULL, NULL), (163876, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 15:05:32', NULL, NULL), (163877, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 15:05:32', NULL, NULL), (163878, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 15:05:33', NULL, NULL), (163879, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 15:05:34', NULL, NULL), (163880, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 15:05:35', NULL, NULL), (163881, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 15:05:36', NULL, NULL), (163882, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 15:05:38', NULL, NULL), (163883, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 15:05:39', NULL, NULL), (163884, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 15:05:42', NULL, NULL), (163885, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 15:05:46', NULL, NULL), (163886, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 15:05:49', NULL, NULL), (163887, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 15:05:53', NULL, NULL), (163888, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 15:05:55', NULL, NULL), (163889, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 15:05:55', NULL, NULL), (163890, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 15:05:56', NULL, NULL), (163891, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 15:05:57', NULL, NULL), (163892, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 15:05:58', NULL, NULL), (163893, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 15:05:59', NULL, NULL), (163894, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 15:05:59', NULL, NULL), (163895, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 15:06:00', NULL, NULL), (163896, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 15:06:01', NULL, NULL), (163897, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 15:06:02', NULL, NULL), (163898, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 15:06:03', NULL, NULL), (163899, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 15:06:03', NULL, NULL), (163900, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 15:06:04', NULL, NULL), (163901, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 15:06:05', NULL, NULL), (163902, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 15:06:06', NULL, NULL), (163903, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 15:06:07', NULL, NULL), (163904, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 15:06:08', NULL, NULL), (163905, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 15:06:08', NULL, NULL), (163906, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 15:06:09', NULL, NULL), (163907, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 15:06:10', NULL, NULL), (163908, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 15:06:11', NULL, NULL), (163909, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 15:06:12', NULL, NULL), (163910, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 15:06:13', NULL, NULL), (163911, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 15:06:14', NULL, NULL), (163912, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 15:06:15', NULL, NULL), (163913, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 15:06:16', NULL, NULL), (163914, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 15:06:17', NULL, NULL), (163915, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 15:06:18', NULL, NULL), (163916, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 15:06:19', NULL, NULL), (163917, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 15:06:20', NULL, NULL), (163918, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 15:06:22', NULL, NULL), (163919, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 15:06:26', NULL, NULL), (163920, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 15:06:29', NULL, NULL), (163921, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 15:06:32', NULL, NULL), (163922, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 15:06:34', NULL, NULL), (163923, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 15:06:35', NULL, NULL), (163924, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 15:06:35', NULL, NULL), (163925, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 15:06:36', NULL, NULL), (163926, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 15:06:37', NULL, NULL), (163927, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 15:06:38', NULL, NULL), (163928, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 15:06:38', NULL, NULL), (163929, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 15:06:39', NULL, NULL), (163930, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 15:06:40', NULL, NULL), (163931, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 15:06:41', NULL, NULL), (163932, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 15:06:42', NULL, NULL), (163933, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 15:06:42', NULL, NULL), (163934, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 15:06:43', NULL, NULL), (163935, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 15:06:44', NULL, NULL), (163936, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 15:06:45', NULL, NULL), (163937, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 15:06:46', NULL, NULL), (163938, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 15:06:47', NULL, NULL), (163939, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 15:06:47', NULL, NULL), (163940, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 15:06:48', NULL, NULL), (163941, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 15:06:49', NULL, NULL), (163942, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 15:06:50', NULL, NULL), (163943, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 15:06:51', NULL, NULL), (163944, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 15:06:52', NULL, NULL), (163945, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 15:06:53', NULL, NULL), (163946, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 15:06:53', NULL, NULL), (163947, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 15:06:54', NULL, NULL), (163948, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 15:06:55', NULL, NULL), (163949, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 15:06:56', NULL, NULL), (163950, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 15:06:58', NULL, NULL), (163951, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 15:06:59', NULL, NULL), (163952, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 15:07:02', NULL, NULL), (163953, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 15:07:05', NULL, NULL), (163954, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 15:07:09', NULL, NULL), (163955, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 15:07:12', NULL, NULL), (163956, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 15:07:14', NULL, NULL), (163957, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 15:07:15', NULL, NULL), (163958, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 15:07:15', NULL, NULL), (163959, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 15:07:16', NULL, NULL), (163960, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 15:07:17', NULL, NULL), (163961, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 15:07:18', NULL, NULL), (163962, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 15:07:18', NULL, NULL), (163963, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 15:07:19', NULL, NULL), (163964, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 15:07:20', NULL, NULL), (163965, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 15:07:21', NULL, NULL), (163966, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 15:07:22', NULL, NULL), (163967, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 15:07:22', NULL, NULL), (163968, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 15:07:23', NULL, NULL), (163969, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 15:07:24', NULL, NULL), (163970, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 15:07:25', NULL, NULL), (163971, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 15:07:26', NULL, NULL), (163972, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 15:07:27', NULL, NULL), (163973, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 15:07:27', NULL, NULL), (163974, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 15:07:28', NULL, NULL), (163975, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 15:07:29', NULL, NULL), (163976, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 15:07:30', NULL, NULL), (163977, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 15:07:31', NULL, NULL), (163978, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 15:07:32', NULL, NULL), (163979, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 15:07:33', NULL, NULL), (163980, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 15:07:34', NULL, NULL), (163981, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 15:07:35', NULL, NULL), (163982, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 15:07:36', NULL, NULL), (163983, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 15:07:36', NULL, NULL), (163984, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 15:07:38', NULL, NULL), (163985, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 15:07:39', NULL, NULL), (163986, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 15:07:42', NULL, NULL), (163987, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 15:07:46', NULL, NULL), (163988, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 15:07:49', NULL, NULL), (163989, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 15:07:53', NULL, NULL), (163990, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 15:07:54', NULL, NULL), (163991, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 15:07:55', NULL, NULL), (163992, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 15:07:56', NULL, NULL), (163993, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 15:07:56', NULL, NULL), (163994, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 15:07:57', NULL, NULL), (163995, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 15:07:58', NULL, NULL), (163996, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 15:07:59', NULL, NULL), (163997, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 15:07:59', NULL, NULL), (163998, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 15:08:00', NULL, NULL), (163999, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 15:08:01', NULL, NULL), (164000, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 15:08:02', NULL, NULL), (164001, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 15:08:03', NULL, NULL), (164002, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 15:08:03', NULL, NULL), (164003, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 15:08:04', NULL, NULL), (164004, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 15:08:05', NULL, NULL), (164005, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 15:08:06', NULL, NULL), (164006, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 15:08:07', NULL, NULL), (164007, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 15:08:08', NULL, NULL), (164008, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 15:08:09', NULL, NULL), (164009, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 15:08:09', NULL, NULL), (164010, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 15:08:10', NULL, NULL), (164011, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 15:08:11', NULL, NULL), (164012, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 15:08:12', NULL, NULL), (164013, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 15:08:13', NULL, NULL), (164014, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 15:08:14', NULL, NULL), (164015, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 15:08:15', NULL, NULL), (164016, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 15:08:16', NULL, NULL), (164017, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 15:08:17', NULL, NULL), (164018, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 15:08:18', NULL, NULL), (164019, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 15:08:20', NULL, NULL), (164020, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 15:08:24', NULL, NULL), (164021, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 15:08:27', NULL, NULL), (164022, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 15:08:31', NULL, NULL), (164023, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 15:08:34', NULL, NULL), (164024, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 15:08:37', NULL, NULL), (164025, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 15:08:38', NULL, NULL), (164026, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 15:08:38', NULL, NULL), (164027, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 15:08:39', NULL, NULL), (164028, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 15:08:40', NULL, NULL), (164029, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 15:08:41', NULL, NULL), (164030, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 15:08:42', NULL, NULL), (164031, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 15:08:43', NULL, NULL), (164032, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 15:08:43', NULL, NULL), (164033, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 15:08:44', NULL, NULL), (164034, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 15:08:45', NULL, NULL), (164035, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 15:08:46', NULL, NULL), (164036, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 15:08:47', NULL, NULL), (164037, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 15:08:48', NULL, NULL), (164038, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 15:08:49', NULL, NULL), (164039, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 15:08:50', NULL, NULL), (164040, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 15:08:51', NULL, NULL), (164041, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 15:08:52', NULL, NULL), (164042, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 15:08:53', NULL, NULL), (164043, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 15:08:54', NULL, NULL), (164044, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 15:08:55', NULL, NULL), (164045, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 15:08:56', NULL, NULL), (164046, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 15:08:57', NULL, NULL), (164047, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 15:08:58', NULL, NULL), (164048, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 15:08:59', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (164049, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 15:09:01', NULL, NULL), (164050, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 15:09:02', NULL, NULL), (164051, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 15:09:05', NULL, NULL), (164052, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 15:09:09', NULL, NULL), (164053, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 15:09:12', NULL, NULL), (164054, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 15:09:16', NULL, NULL), (164055, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 15:09:19', NULL, NULL), (164056, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 15:09:23', NULL, NULL), (164057, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 15:09:23', NULL, NULL), (164058, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 15:09:24', NULL, NULL), (164059, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 15:09:25', NULL, NULL), (164060, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 15:09:26', NULL, NULL), (164061, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 15:09:26', NULL, NULL), (164062, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 15:09:27', NULL, NULL), (164063, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 15:09:28', NULL, NULL), (164064, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 15:09:29', NULL, NULL), (164065, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 15:09:30', NULL, NULL), (164066, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 15:09:30', NULL, NULL), (164067, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 15:09:31', NULL, NULL), (164068, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 15:09:32', NULL, NULL), (164069, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 15:09:33', NULL, NULL), (164070, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 15:09:34', NULL, NULL), (164071, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 15:09:35', NULL, NULL), (164072, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 15:09:35', NULL, NULL), (164073, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 15:09:36', NULL, NULL), (164074, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 15:09:37', NULL, NULL), (164075, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 15:09:38', NULL, NULL), (164076, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 15:09:39', NULL, NULL), (164077, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 15:09:40', NULL, NULL), (164078, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 15:09:41', NULL, NULL), (164079, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 15:09:42', NULL, NULL), (164080, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 15:09:42', NULL, NULL), (164081, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 15:09:43', NULL, NULL), (164082, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 15:09:44', NULL, NULL), (164083, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 15:09:45', NULL, NULL), (164084, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 15:09:47', NULL, NULL), (164085, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 15:09:48', NULL, NULL), (164086, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 15:09:50', NULL, NULL), (164087, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 15:09:54', NULL, NULL), (164088, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 15:09:57', NULL, NULL), (164089, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 15:10:01', NULL, NULL), (164090, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 15:10:03', NULL, NULL), (164091, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 15:10:04', NULL, NULL), (164092, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 15:10:04', NULL, NULL), (164093, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 15:10:05', NULL, NULL), (164094, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 15:10:06', NULL, NULL), (164095, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 15:10:07', NULL, NULL), (164096, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 15:10:08', NULL, NULL), (164097, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 15:10:08', NULL, NULL), (164098, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 15:10:09', NULL, NULL), (164099, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 15:10:10', NULL, NULL), (164100, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 15:10:11', NULL, NULL), (164101, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 15:10:12', NULL, NULL), (164102, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 15:10:12', NULL, NULL), (164103, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 15:10:13', NULL, NULL), (164104, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 15:10:14', 1, '2024-08-05 22:12:03'), (164105, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 15:10:15', 1, '2024-08-06 02:01:03'), (164106, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 15:10:16', 1, '2024-08-07 01:00:03'), (164107, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 15:10:17', 1, '2024-08-08 01:00:03'), (164108, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 15:10:18', 1, '2024-08-09 01:00:02'), (164109, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 15:10:53', NULL, NULL), (164110, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 15:10:54', NULL, NULL), (164111, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 15:10:55', NULL, NULL), (164112, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 15:10:56', NULL, NULL), (164113, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 15:10:57', NULL, NULL), (164114, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 15:10:58', NULL, NULL), (164115, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 15:10:59', NULL, NULL), (164116, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 15:11:00', NULL, NULL), (164117, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 15:11:00', NULL, NULL), (164118, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 15:11:01', NULL, NULL), (164119, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 15:11:02', NULL, NULL), (164120, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 15:11:03', NULL, NULL), (164121, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 15:11:04', NULL, NULL), (164122, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 15:11:05', NULL, NULL), (164123, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 15:11:07', NULL, NULL), (164124, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 15:11:09', NULL, NULL), (164125, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 15:11:12', NULL, NULL), (164126, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 15:11:16', NULL, NULL), (164127, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 15:11:19', NULL, NULL), (164128, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 15:11:22', NULL, NULL), (164129, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 15:11:23', NULL, NULL), (164130, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 15:11:23', NULL, NULL), (164131, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 15:11:24', NULL, NULL), (164132, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 15:11:25', NULL, NULL), (164133, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 15:11:26', NULL, NULL), (164134, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 15:11:26', NULL, NULL), (164135, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 15:11:27', NULL, NULL), (164136, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 15:11:28', NULL, NULL), (164137, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 15:11:29', NULL, NULL), (164138, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 15:11:30', NULL, NULL), (164139, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 15:11:31', NULL, NULL), (164140, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 15:11:32', NULL, NULL), (164141, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 15:11:33', NULL, NULL), (164142, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 15:11:34', NULL, NULL), (164143, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 15:11:35', NULL, NULL), (164144, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 15:11:35', NULL, NULL), (164145, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 15:11:36', NULL, NULL), (164146, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 15:11:37', NULL, NULL), (164147, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 15:11:38', NULL, NULL), (164148, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 15:11:39', NULL, NULL), (164149, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 15:11:40', NULL, NULL), (164150, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 15:11:40', NULL, NULL), (164151, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 15:11:41', NULL, NULL), (164152, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 15:11:42', NULL, NULL), (164153, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 15:11:43', NULL, NULL), (164154, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 15:11:44', NULL, NULL), (164155, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 15:11:45', NULL, NULL), (164156, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 15:11:46', NULL, NULL), (164157, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 15:11:48', NULL, NULL), (164158, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 15:11:50', NULL, NULL), (164159, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 15:11:53', NULL, NULL), (164160, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 15:11:57', NULL, NULL), (164161, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 15:12:00', NULL, NULL), (164162, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 15:12:01', NULL, NULL), (164163, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 15:12:02', NULL, NULL), (164164, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 15:12:03', NULL, NULL), (164165, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 15:12:04', NULL, NULL), (164166, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 15:12:04', NULL, NULL), (164167, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 15:12:05', NULL, NULL), (164168, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 15:12:06', NULL, NULL), (164169, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 15:12:07', NULL, NULL), (164170, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 15:12:08', NULL, NULL), (164171, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 15:12:08', NULL, NULL), (164172, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 15:12:09', NULL, NULL), (164173, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 15:12:10', NULL, NULL), (164174, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 15:12:11', NULL, NULL), (164175, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 15:12:12', NULL, NULL), (164176, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 15:12:13', NULL, NULL), (164177, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 15:12:13', NULL, NULL), (164178, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 15:12:14', NULL, NULL), (164179, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 15:12:15', NULL, NULL), (164180, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 15:12:16', NULL, NULL), (164181, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 15:12:17', NULL, NULL), (164182, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 15:12:18', NULL, NULL), (164183, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 15:12:19', NULL, NULL), (164184, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 15:12:19', NULL, NULL), (164185, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 15:12:20', NULL, NULL), (164186, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 15:12:21', NULL, NULL), (164187, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 15:12:22', NULL, NULL), (164188, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 15:12:23', NULL, NULL), (164189, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 15:12:24', NULL, NULL), (164190, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 15:12:26', NULL, NULL), (164191, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 15:12:27', NULL, NULL), (164192, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 15:12:31', NULL, NULL), (164193, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 15:12:34', NULL, NULL), (164194, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 15:12:38', NULL, NULL), (164195, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 15:12:41', NULL, NULL), (164196, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 15:12:43', NULL, NULL), (164197, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 15:12:43', NULL, NULL), (164198, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 15:12:44', NULL, NULL), (164199, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 15:12:45', NULL, NULL), (164200, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 15:12:46', NULL, NULL), (164201, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 15:12:46', NULL, NULL), (164202, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 15:12:47', NULL, NULL), (164203, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 15:12:48', NULL, NULL), (164204, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 15:12:49', NULL, NULL), (164205, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 15:12:49', NULL, NULL), (164206, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 15:12:50', NULL, NULL), (164207, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 15:12:51', NULL, NULL), (164208, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 15:12:52', NULL, NULL), (164209, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 15:12:53', NULL, NULL), (164210, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 15:12:54', NULL, NULL), (164211, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 15:12:54', NULL, NULL), (164212, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 15:12:55', NULL, NULL), (164213, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 15:12:56', NULL, NULL), (164214, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 15:12:57', NULL, NULL), (164215, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 15:12:58', NULL, NULL), (164216, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 15:12:59', NULL, NULL), (164217, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 15:13:00', NULL, NULL), (164218, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 15:13:00', NULL, NULL), (164219, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 15:13:01', NULL, NULL), (164220, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 15:13:02', NULL, NULL), (164221, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 15:13:03', NULL, NULL), (164222, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 15:13:04', NULL, NULL), (164223, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 15:13:05', NULL, NULL), (164224, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 15:13:07', NULL, NULL), (164225, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 15:13:09', NULL, NULL), (164226, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 15:13:12', NULL, NULL), (164227, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 15:13:16', NULL, NULL), (164228, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 15:13:19', NULL, NULL), (164229, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 15:13:23', NULL, NULL), (164230, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 15:13:24', NULL, NULL), (164231, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 15:13:25', NULL, NULL), (164232, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 15:13:26', NULL, NULL), (164233, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 15:13:27', NULL, NULL), (164234, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 15:13:28', NULL, NULL), (164235, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 15:13:28', NULL, NULL), (164236, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 15:13:29', NULL, NULL), (164237, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 15:13:30', NULL, NULL), (164238, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 15:13:31', NULL, NULL), (164239, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 15:13:32', NULL, NULL), (164240, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 15:13:33', NULL, NULL), (164241, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 15:13:34', NULL, NULL), (164242, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 15:13:35', NULL, NULL), (164243, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 15:13:36', NULL, NULL), (164244, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 15:13:37', NULL, NULL), (164245, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 15:13:38', NULL, NULL), (164246, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 15:13:39', NULL, NULL), (164247, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 15:13:40', NULL, NULL), (164248, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 15:13:41', NULL, NULL), (164249, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 15:13:42', NULL, NULL), (164250, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 15:13:43', NULL, NULL), (164251, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 15:13:44', NULL, NULL), (164252, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 15:13:45', NULL, NULL), (164253, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 15:13:46', NULL, NULL), (164254, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 15:13:47', NULL, NULL), (164255, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 15:13:48', NULL, NULL), (164256, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 15:13:50', NULL, NULL), (164257, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 15:13:53', NULL, NULL), (164258, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 15:13:56', NULL, NULL), (164259, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 15:14:00', NULL, NULL), (164260, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 15:14:04', NULL, NULL), (164261, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 15:14:07', NULL, NULL), (164262, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 15:14:11', NULL, NULL), (164263, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 15:14:12', NULL, NULL), (164264, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 15:14:13', NULL, NULL), (164265, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 15:14:14', NULL, NULL), (164266, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 15:14:15', NULL, NULL), (164267, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 15:14:15', NULL, NULL), (164268, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 15:14:16', NULL, NULL), (164269, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 15:14:17', NULL, NULL), (164270, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 15:14:18', NULL, NULL), (164271, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 15:14:19', NULL, NULL), (164272, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 15:14:19', NULL, NULL), (164273, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 15:14:20', NULL, NULL), (164274, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 15:14:21', NULL, NULL), (164275, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 15:14:22', NULL, NULL), (164276, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 15:14:23', NULL, NULL), (164277, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 15:14:24', NULL, NULL), (164278, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 15:14:24', NULL, NULL), (164279, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 15:14:25', NULL, NULL), (164280, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 15:14:26', NULL, NULL), (164281, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 15:14:27', NULL, NULL), (164282, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 15:14:28', NULL, NULL), (164283, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 15:14:29', NULL, NULL), (164284, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 15:14:30', NULL, NULL), (164285, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 15:14:30', NULL, NULL), (164286, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 15:14:31', NULL, NULL), (164287, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 15:14:32', NULL, NULL), (164288, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 15:14:33', NULL, NULL), (164289, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 15:14:34', NULL, NULL), (164290, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 15:14:35', NULL, NULL), (164291, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 15:14:37', NULL, NULL), (164292, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 15:14:38', NULL, NULL), (164293, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 15:14:39', NULL, NULL), (164294, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 15:14:41', NULL, NULL), (164295, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 15:14:44', NULL, NULL), (164296, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 15:14:47', NULL, NULL), (164297, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 15:14:51', NULL, NULL), (164298, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 15:14:52', NULL, NULL), (164299, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 15:14:53', NULL, NULL), (164300, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 15:14:54', NULL, NULL), (164301, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 15:14:55', NULL, NULL), (164302, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 15:14:55', NULL, NULL), (164303, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 15:14:56', NULL, NULL), (164304, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 15:14:57', NULL, NULL), (164305, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 15:14:58', NULL, NULL), (164306, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 15:14:59', NULL, NULL), (164307, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 15:14:59', NULL, NULL), (164308, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 15:15:00', NULL, NULL), (164309, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 15:15:01', NULL, NULL), (164310, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 15:15:02', NULL, NULL), (164311, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 15:15:03', NULL, NULL), (164312, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 15:15:04', NULL, NULL), (164313, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 15:15:04', NULL, NULL), (164314, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 15:15:05', NULL, NULL), (164315, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 15:15:06', NULL, NULL), (164316, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 15:15:07', NULL, NULL), (164317, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 15:15:08', NULL, NULL), (164318, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 15:15:09', NULL, NULL), (164319, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 15:15:10', NULL, NULL), (164320, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 15:15:11', NULL, NULL), (164321, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 15:15:11', NULL, NULL), (164322, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 15:15:12', NULL, NULL), (164323, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 15:15:13', NULL, NULL), (164324, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 15:15:14', NULL, NULL), (164325, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 15:15:15', NULL, NULL), (164326, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 15:15:17', NULL, NULL), (164327, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 15:15:18', NULL, NULL), (164328, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 15:15:22', NULL, NULL), (164329, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 15:15:25', NULL, NULL), (164330, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 15:15:29', NULL, NULL), (164331, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 15:15:32', NULL, NULL), (164332, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 15:15:33', NULL, NULL), (164333, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 15:15:34', NULL, NULL), (164334, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 15:15:34', NULL, NULL), (164335, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 15:15:35', NULL, NULL), (164336, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 15:15:36', NULL, NULL), (164337, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 15:15:37', NULL, NULL), (164338, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 15:15:37', NULL, NULL), (164339, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 15:15:38', NULL, NULL), (164340, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 15:15:39', NULL, NULL), (164341, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 15:15:40', NULL, NULL), (164342, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 15:15:41', NULL, NULL), (164343, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 15:15:42', NULL, NULL), (164344, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 15:15:42', NULL, NULL), (164345, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 15:15:43', NULL, NULL), (164346, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 15:15:44', NULL, NULL), (164347, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 15:15:45', NULL, NULL), (164348, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 15:15:46', NULL, NULL), (164349, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 15:15:47', NULL, NULL), (164350, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 15:15:47', NULL, NULL), (164351, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 15:15:48', NULL, NULL), (164352, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 15:15:49', NULL, NULL), (164353, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 15:15:50', NULL, NULL), (164354, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 15:15:51', NULL, NULL), (164355, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 15:15:52', NULL, NULL), (164356, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 15:15:53', NULL, NULL), (164357, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 15:15:54', NULL, NULL), (164358, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 15:15:55', NULL, NULL), (164359, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 15:15:56', NULL, NULL), (164360, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 15:15:57', NULL, NULL), (164361, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 15:16:00', NULL, NULL), (164362, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 15:16:03', NULL, NULL), (164363, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 15:16:07', NULL, NULL), (164364, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 15:16:10', NULL, NULL), (164365, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 15:16:12', NULL, NULL), (164366, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 15:16:12', NULL, NULL), (164367, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 15:16:13', NULL, NULL), (164368, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 15:16:14', NULL, NULL), (164369, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 15:16:15', NULL, NULL), (164370, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 15:16:15', NULL, NULL), (164371, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 15:16:16', NULL, NULL), (164372, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 15:16:17', NULL, NULL), (164373, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 15:16:18', NULL, NULL), (164374, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 15:16:19', NULL, NULL), (164375, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 15:16:19', NULL, NULL), (164376, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 15:16:20', NULL, NULL), (164377, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 15:16:21', NULL, NULL), (164378, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 15:16:22', NULL, NULL), (164379, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 15:16:23', NULL, NULL), (164380, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 15:16:24', NULL, NULL), (164381, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 15:16:24', NULL, NULL), (164382, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 15:16:25', NULL, NULL), (164383, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 15:16:26', NULL, NULL), (164384, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 15:16:27', NULL, NULL), (164385, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 15:16:28', NULL, NULL), (164386, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 15:16:29', NULL, NULL), (164387, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 15:16:30', NULL, NULL), (164388, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 15:16:30', NULL, NULL), (164389, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 15:16:31', NULL, NULL), (164390, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 15:16:32', NULL, NULL), (164391, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 15:16:33', NULL, NULL), (164392, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 15:16:34', NULL, NULL), (164393, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 15:16:36', NULL, NULL), (164394, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 15:16:37', NULL, NULL), (164395, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 15:16:38', NULL, NULL), (164396, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 15:16:40', NULL, NULL), (164397, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 15:16:41', NULL, NULL), (164398, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 15:16:42', NULL, NULL), (164399, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 15:16:44', NULL, NULL), (164400, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 15:16:45', NULL, NULL), (164401, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 15:16:46', NULL, NULL), (164402, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 15:16:48', NULL, NULL), (164403, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 15:16:49', NULL, NULL), (164404, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 15:16:50', NULL, NULL), (164405, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 15:16:52', NULL, NULL), (164406, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 15:16:53', NULL, NULL), (164407, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 15:16:54', NULL, NULL), (164408, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 15:16:56', NULL, NULL), (164409, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 15:16:57', NULL, NULL), (164410, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 15:16:59', NULL, NULL), (164411, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 15:17:00', NULL, NULL), (164412, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 15:17:01', NULL, NULL), (164413, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 15:17:02', NULL, NULL), (164414, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 15:17:04', NULL, NULL), (164415, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 15:17:05', NULL, NULL), (164416, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 15:17:06', NULL, NULL), (164417, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 15:17:08', NULL, NULL), (164418, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 15:17:09', NULL, NULL), (164419, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 15:17:11', NULL, NULL), (164420, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 15:17:12', NULL, NULL), (164421, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 15:17:13', NULL, NULL), (164422, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 15:17:15', NULL, NULL), (164423, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 15:17:16', NULL, NULL), (164424, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 15:17:17', NULL, NULL), (164425, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 15:17:19', NULL, NULL), (164426, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 15:17:20', NULL, NULL), (164427, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 15:17:21', NULL, NULL), (164428, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 15:17:23', NULL, NULL), (164429, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 15:17:24', NULL, NULL), (164430, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 15:17:25', NULL, NULL), (164431, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 15:17:27', NULL, NULL), (164432, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 15:17:28', NULL, NULL), (164433, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 15:17:29', NULL, NULL), (164434, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 15:17:31', NULL, NULL), (164435, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 15:17:32', NULL, NULL), (164436, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 15:17:33', NULL, NULL), (164437, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 15:17:34', NULL, NULL), (164438, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 15:17:35', NULL, NULL), (164439, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 15:17:36', NULL, NULL), (164440, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 15:17:36', NULL, NULL), (164441, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 15:17:37', NULL, NULL), (164442, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 15:17:38', NULL, NULL), (164443, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 15:17:38', NULL, NULL), (164444, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 15:17:39', NULL, NULL), (164445, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 15:17:40', NULL, NULL), (164446, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 15:17:41', NULL, NULL), (164447, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 15:17:42', NULL, NULL), (164448, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 15:17:42', NULL, NULL), (164449, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 15:17:43', NULL, NULL), (164450, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 15:17:44', NULL, NULL), (164451, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 15:17:45', NULL, NULL), (164452, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 15:17:46', NULL, NULL), (164453, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 15:17:46', NULL, NULL), (164454, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 15:17:47', NULL, NULL), (164455, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 15:17:48', NULL, NULL), (164456, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 15:17:49', NULL, NULL), (164457, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 15:17:50', NULL, NULL), (164458, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 15:17:51', NULL, NULL), (164459, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 15:17:52', NULL, NULL), (164460, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 15:17:52', NULL, NULL), (164461, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 15:17:53', NULL, NULL), (164462, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 15:17:54', NULL, NULL), (164463, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 15:17:55', NULL, NULL), (164464, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 15:17:56', NULL, NULL), (164465, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 15:17:58', NULL, NULL), (164466, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 15:17:59', NULL, NULL), (164467, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 15:18:00', NULL, NULL), (164468, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 15:18:02', NULL, NULL), (164469, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 15:18:03', NULL, NULL), (164470, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 15:18:04', NULL, NULL), (164471, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 15:18:06', NULL, NULL), (164472, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 15:18:07', NULL, NULL), (164473, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 15:18:08', NULL, NULL), (164474, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 15:18:10', NULL, NULL), (164475, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 15:18:11', NULL, NULL), (164476, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 15:18:12', NULL, NULL), (164477, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 15:18:14', NULL, NULL), (164478, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 15:18:15', NULL, NULL), (164479, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 15:18:16', NULL, NULL), (164480, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 15:18:18', NULL, NULL), (164481, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 15:18:19', NULL, NULL), (164482, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 15:18:20', NULL, NULL), (164483, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 15:18:22', NULL, NULL), (164484, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 15:18:23', NULL, NULL), (164485, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 15:18:25', NULL, NULL), (164486, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 15:18:26', NULL, NULL), (164487, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 15:18:27', NULL, NULL), (164488, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 15:18:29', NULL, NULL), (164489, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 15:18:30', NULL, NULL), (164490, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 15:18:31', NULL, NULL), (164491, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 15:18:33', NULL, NULL), (164492, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 15:18:34', NULL, NULL), (164493, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 15:18:35', NULL, NULL), (164494, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 15:18:37', NULL, NULL), (164495, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 15:18:38', NULL, NULL), (164496, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 15:18:40', NULL, NULL), (164497, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 15:18:41', NULL, NULL), (164498, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 15:18:42', NULL, NULL), (164499, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 15:18:44', NULL, NULL), (164500, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 15:18:45', NULL, NULL), (164501, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 15:18:46', NULL, NULL), (164502, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 15:18:48', NULL, NULL), (164503, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 15:18:49', NULL, NULL), (164504, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 15:18:50', NULL, NULL), (164505, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 15:18:52', NULL, NULL), (164506, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 15:18:53', NULL, NULL), (164507, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 15:18:54', NULL, NULL), (164508, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 15:18:56', NULL, NULL), (164509, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 15:18:57', NULL, NULL), (164510, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 15:18:59', NULL, NULL), (164511, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 15:19:00', NULL, NULL), (164512, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 15:19:01', NULL, NULL), (164513, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 15:19:03', NULL, NULL), (164514, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 15:19:04', NULL, NULL), (164515, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 15:19:05', NULL, NULL), (164516, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 15:19:07', NULL, NULL), (164517, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 15:19:08', NULL, NULL), (164518, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 15:19:09', NULL, NULL), (164519, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 15:19:11', NULL, NULL), (164520, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 15:19:12', NULL, NULL), (164521, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 15:19:13', NULL, NULL), (164522, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 15:19:15', NULL, NULL), (164523, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 15:19:16', NULL, NULL), (164524, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 15:19:17', NULL, NULL), (164525, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 15:19:19', NULL, NULL), (164526, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 15:19:20', NULL, NULL), (164527, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 15:19:21', NULL, NULL), (164528, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 15:19:22', NULL, NULL), (164529, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 15:19:24', NULL, NULL), (164530, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 15:19:25', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (164531, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 15:19:26', NULL, NULL), (164532, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 15:19:28', NULL, NULL), (164533, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 15:19:29', NULL, NULL), (164534, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 15:19:31', NULL, NULL), (164535, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 15:19:32', NULL, NULL), (164536, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 15:19:33', NULL, NULL), (164537, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 15:19:34', NULL, NULL), (164538, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 15:19:34', NULL, NULL), (164539, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 15:19:35', NULL, NULL), (164540, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 15:19:36', NULL, NULL), (164541, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 15:19:36', NULL, NULL), (164542, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 15:19:37', NULL, NULL), (164543, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 15:19:38', NULL, NULL), (164544, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 15:19:39', NULL, NULL), (164545, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 15:19:39', NULL, NULL), (164546, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 15:19:40', NULL, NULL), (164547, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 15:19:41', NULL, NULL), (164548, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 15:19:42', NULL, NULL), (164549, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 15:19:43', NULL, NULL), (164550, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 15:19:43', NULL, NULL), (164551, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 15:19:44', NULL, NULL), (164552, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 15:19:45', NULL, NULL), (164553, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 15:19:46', NULL, NULL), (164554, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 15:19:47', NULL, NULL), (164555, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 15:19:48', NULL, NULL), (164556, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 15:19:48', NULL, NULL), (164557, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 15:19:49', NULL, NULL), (164558, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 15:19:50', NULL, NULL), (164559, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 15:19:51', NULL, NULL), (164560, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 15:19:52', NULL, NULL), (164561, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 15:19:53', NULL, NULL), (164562, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 15:19:54', NULL, NULL), (164563, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 15:19:55', NULL, NULL), (164564, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 15:19:56', NULL, NULL), (164565, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 15:19:57', NULL, NULL), (164566, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 15:19:58', NULL, NULL), (164567, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 15:20:00', NULL, NULL), (164568, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 15:20:01', NULL, NULL), (164569, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 15:20:02', NULL, NULL), (164570, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 15:20:04', NULL, NULL), (164571, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 15:20:05', NULL, NULL), (164572, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 15:20:06', NULL, NULL), (164573, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 15:20:08', NULL, NULL), (164574, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 15:20:09', NULL, NULL), (164575, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 15:20:10', NULL, NULL), (164576, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 15:20:12', NULL, NULL), (164577, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 15:20:13', NULL, NULL), (164578, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 15:20:14', NULL, NULL), (164579, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 15:20:16', NULL, NULL), (164580, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 15:20:17', NULL, NULL), (164581, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 15:20:18', NULL, NULL), (164582, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 15:20:20', NULL, NULL), (164583, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 15:20:21', NULL, NULL), (164584, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 15:20:22', NULL, NULL), (164585, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 15:20:24', NULL, NULL), (164586, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 15:20:25', NULL, NULL), (164587, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 15:20:27', NULL, NULL), (164588, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 15:20:28', NULL, NULL), (164589, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 15:20:29', NULL, NULL), (164590, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 15:20:31', NULL, NULL), (164591, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 15:20:32', NULL, NULL), (164592, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 15:20:33', NULL, NULL), (164593, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 15:20:34', NULL, NULL), (164594, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 15:20:35', NULL, NULL), (164595, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 15:20:35', NULL, NULL), (164596, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 15:20:36', NULL, NULL), (164597, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 15:20:37', NULL, NULL), (164598, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 15:20:38', NULL, NULL), (164599, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 15:20:39', NULL, NULL), (164600, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 15:20:39', NULL, NULL), (164601, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 15:20:40', NULL, NULL), (164602, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 15:20:41', NULL, NULL), (164603, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 15:20:42', NULL, NULL), (164604, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 15:20:42', NULL, NULL), (164605, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 15:20:43', NULL, NULL), (164606, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 15:20:44', NULL, NULL), (164607, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 15:20:45', NULL, NULL), (164608, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 15:20:46', NULL, NULL), (164609, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 15:20:46', NULL, NULL), (164610, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 15:20:47', NULL, NULL), (164611, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 15:20:48', NULL, NULL), (164612, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 15:20:49', NULL, NULL), (164613, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 15:20:50', NULL, NULL), (164614, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 15:20:51', NULL, NULL), (164615, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 15:20:51', NULL, NULL), (164616, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 15:20:52', NULL, NULL), (164617, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 15:20:53', NULL, NULL), (164618, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 15:20:54', NULL, NULL), (164619, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 15:20:55', NULL, NULL), (164620, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 15:20:56', NULL, NULL), (164621, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 15:20:57', NULL, NULL), (164622, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 15:20:59', NULL, NULL), (164623, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 15:21:00', NULL, NULL), (164624, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 15:21:01', NULL, NULL), (164625, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 15:21:03', NULL, NULL), (164626, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 15:21:04', NULL, NULL), (164627, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 15:21:05', NULL, NULL), (164628, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 15:21:07', NULL, NULL), (164629, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 15:21:08', NULL, NULL), (164630, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 15:21:09', NULL, NULL), (164631, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 15:21:11', NULL, NULL), (164632, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 15:21:12', NULL, NULL), (164633, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 15:21:13', NULL, NULL), (164634, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 15:21:15', NULL, NULL), (164635, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 15:21:16', NULL, NULL), (164636, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 15:21:17', NULL, NULL), (164637, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 15:21:19', NULL, NULL), (164638, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 15:21:20', NULL, NULL), (164639, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 15:21:21', NULL, NULL), (164640, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 15:21:23', NULL, NULL), (164641, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 15:21:24', NULL, NULL), (164642, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 15:21:25', NULL, NULL), (164643, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 15:21:27', NULL, NULL), (164644, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 15:21:28', NULL, NULL), (164645, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 15:21:29', NULL, NULL), (164646, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 15:21:31', NULL, NULL), (164647, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 15:21:32', NULL, NULL), (164648, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 15:21:34', NULL, NULL), (164649, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 15:21:35', NULL, NULL), (164650, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 15:21:36', NULL, NULL), (164651, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 15:21:38', NULL, NULL), (164652, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 15:21:39', NULL, NULL), (164653, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 15:21:40', NULL, NULL), (164654, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 15:21:42', NULL, NULL), (164655, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 15:21:43', NULL, NULL), (164656, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 15:21:44', NULL, NULL), (164657, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 15:21:46', NULL, NULL), (164658, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 15:21:47', NULL, NULL), (164659, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 15:21:47', NULL, NULL), (164660, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 15:21:48', NULL, NULL), (164661, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 15:21:49', NULL, NULL), (164662, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 15:21:50', NULL, NULL), (164663, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 15:21:50', NULL, NULL), (164664, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 15:21:51', NULL, NULL), (164665, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 15:21:52', NULL, NULL), (164666, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 15:21:53', NULL, NULL), (164667, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 15:21:53', NULL, NULL), (164668, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 15:21:54', NULL, NULL), (164669, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 15:21:55', NULL, NULL), (164670, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 15:21:56', NULL, NULL), (164671, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 15:21:57', NULL, NULL), (164672, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 15:21:57', NULL, NULL), (164673, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 15:21:58', NULL, NULL), (164674, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 15:21:59', NULL, NULL), (164675, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 15:22:00', NULL, NULL), (164676, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 15:22:01', NULL, NULL), (164677, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 15:22:01', NULL, NULL), (164678, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 15:22:02', NULL, NULL), (164679, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 15:22:03', NULL, NULL), (164680, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 15:22:04', NULL, NULL), (164681, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 15:22:05', NULL, NULL), (164682, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 15:22:06', NULL, NULL), (164683, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 15:22:06', NULL, NULL), (164684, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 15:22:07', NULL, NULL), (164685, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 15:22:08', NULL, NULL), (164686, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 15:22:09', NULL, NULL), (164687, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 15:22:11', 1, '2024-08-05 22:12:03'), (164688, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 15:22:12', 1, '2024-08-06 02:01:03'), (164689, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 15:22:13', 1, '2024-08-07 01:00:03'), (164690, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 15:22:15', 1, '2024-08-08 01:00:03'), (164691, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 15:22:16', 1, '2024-08-09 01:00:02'), (164692, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 15:23:24', NULL, NULL), (164693, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 15:23:25', NULL, NULL), (164694, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 15:23:26', NULL, NULL), (164695, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 15:23:28', NULL, NULL), (164696, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 15:23:32', NULL, NULL), (164697, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 15:23:35', NULL, NULL), (164698, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 15:23:39', NULL, NULL), (164699, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 15:23:42', NULL, NULL), (164700, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 15:23:43', NULL, NULL), (164701, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 15:23:44', NULL, NULL), (164702, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 15:23:45', NULL, NULL), (164703, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 15:23:46', NULL, NULL), (164704, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 15:23:47', NULL, NULL), (164705, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 15:23:47', NULL, NULL), (164706, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 15:23:48', NULL, NULL), (164707, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 15:23:49', NULL, NULL), (164708, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 15:23:50', NULL, NULL), (164709, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 15:23:51', NULL, NULL), (164710, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 15:23:52', NULL, NULL), (164711, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 15:23:53', NULL, NULL), (164712, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 15:23:54', NULL, NULL), (164713, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 15:23:55', NULL, NULL), (164714, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 15:23:56', NULL, NULL), (164715, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 15:23:57', NULL, NULL), (164716, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 15:23:58', NULL, NULL), (164717, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 15:23:59', NULL, NULL), (164718, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 15:23:59', NULL, NULL), (164719, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 15:24:00', NULL, NULL), (164720, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 15:24:01', NULL, NULL), (164721, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 15:24:02', NULL, NULL), (164722, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 15:24:03', NULL, NULL), (164723, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 15:24:04', NULL, NULL), (164724, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 15:24:05', NULL, NULL), (164725, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 15:24:06', NULL, NULL), (164726, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 15:24:08', NULL, NULL), (164727, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 15:24:10', NULL, NULL), (164728, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 15:24:13', NULL, NULL), (164729, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 15:24:16', NULL, NULL), (164730, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 15:24:20', NULL, NULL), (164731, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 15:24:23', NULL, NULL), (164732, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 15:24:24', NULL, NULL), (164733, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 15:24:24', NULL, NULL), (164734, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 15:24:25', NULL, NULL), (164735, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 15:24:26', NULL, NULL), (164736, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 15:24:26', NULL, NULL), (164737, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 15:24:27', NULL, NULL), (164738, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 15:24:28', NULL, NULL), (164739, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 15:24:29', NULL, NULL), (164740, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 15:24:30', NULL, NULL), (164741, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 15:24:30', NULL, NULL), (164742, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 15:24:31', NULL, NULL), (164743, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 15:24:32', NULL, NULL), (164744, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 15:24:33', NULL, NULL), (164745, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 15:24:34', NULL, NULL), (164746, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 15:24:34', NULL, NULL), (164747, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 15:24:35', NULL, NULL), (164748, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 15:24:36', NULL, NULL), (164749, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 15:24:37', NULL, NULL), (164750, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 15:24:38', NULL, NULL), (164751, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 15:24:39', NULL, NULL), (164752, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 15:24:40', NULL, NULL), (164753, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 15:24:40', NULL, NULL), (164754, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 15:24:41', NULL, NULL), (164755, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 15:24:42', NULL, NULL), (164756, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 15:24:43', NULL, NULL), (164757, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 15:24:44', NULL, NULL), (164758, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 15:24:45', NULL, NULL), (164759, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 15:24:46', NULL, NULL), (164760, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 15:24:48', NULL, NULL), (164761, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 15:24:50', NULL, NULL), (164762, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 15:24:53', NULL, NULL), (164763, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 15:24:57', NULL, NULL), (164764, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 15:25:00', NULL, NULL), (164765, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 15:25:01', NULL, NULL), (164766, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 15:25:02', NULL, NULL), (164767, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 15:25:03', NULL, NULL), (164768, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 15:25:04', NULL, NULL), (164769, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 15:25:04', NULL, NULL), (164770, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 15:25:05', NULL, NULL), (164771, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 15:25:06', NULL, NULL), (164772, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 15:25:07', NULL, NULL), (164773, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 15:25:08', NULL, NULL), (164774, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 15:25:08', NULL, NULL), (164775, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 15:25:09', NULL, NULL), (164776, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 15:25:10', NULL, NULL), (164777, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 15:25:11', NULL, NULL), (164778, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 15:25:12', NULL, NULL), (164779, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 15:25:13', NULL, NULL), (164780, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 15:25:13', NULL, NULL), (164781, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 15:25:14', NULL, NULL), (164782, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 15:25:15', NULL, NULL), (164783, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 15:25:16', NULL, NULL), (164784, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 15:25:17', NULL, NULL), (164785, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 15:25:18', NULL, NULL), (164786, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 15:25:19', NULL, NULL), (164787, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 15:25:19', NULL, NULL), (164788, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 15:25:20', NULL, NULL), (164789, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 15:25:21', NULL, NULL), (164790, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 15:25:22', NULL, NULL), (164791, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 15:25:23', NULL, NULL), (164792, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 15:25:24', NULL, NULL), (164793, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 15:25:26', NULL, NULL), (164794, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 15:25:27', NULL, NULL), (164795, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 15:25:30', NULL, NULL), (164796, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 15:25:33', NULL, NULL), (164797, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 15:25:37', NULL, NULL), (164798, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 15:25:38', NULL, NULL), (164799, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 15:25:39', NULL, NULL), (164800, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 15:25:40', NULL, NULL), (164801, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 15:25:41', NULL, NULL), (164802, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 15:25:41', NULL, NULL), (164803, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 15:25:42', NULL, NULL), (164804, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 15:25:43', NULL, NULL), (164805, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 15:25:44', NULL, NULL), (164806, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 15:25:45', NULL, NULL), (164807, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 15:25:45', NULL, NULL), (164808, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 15:25:46', NULL, NULL), (164809, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 15:25:47', NULL, NULL), (164810, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 15:25:48', NULL, NULL), (164811, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 15:25:49', NULL, NULL), (164812, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 15:25:50', NULL, NULL), (164813, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 15:25:50', NULL, NULL), (164814, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 15:25:51', NULL, NULL), (164815, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 15:25:52', NULL, NULL), (164816, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 15:25:53', NULL, NULL), (164817, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 15:25:54', NULL, NULL), (164818, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 15:25:55', NULL, NULL), (164819, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 15:25:56', NULL, NULL), (164820, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 15:25:57', NULL, NULL), (164821, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 15:25:57', NULL, NULL), (164822, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 15:25:58', NULL, NULL), (164823, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 15:25:59', NULL, NULL), (164824, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 15:26:00', NULL, NULL), (164825, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 15:26:01', NULL, NULL), (164826, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 15:26:03', NULL, NULL), (164827, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 15:26:04', NULL, NULL), (164828, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 15:26:07', NULL, NULL), (164829, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 15:26:10', NULL, NULL), (164830, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 15:26:14', NULL, NULL), (164831, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 15:26:17', NULL, NULL), (164832, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 15:26:18', NULL, NULL), (164833, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 15:26:18', NULL, NULL), (164834, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 15:26:19', NULL, NULL), (164835, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 15:26:20', NULL, NULL), (164836, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 15:26:21', NULL, NULL), (164837, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 15:26:21', NULL, NULL), (164838, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 15:26:22', NULL, NULL), (164839, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 15:26:23', NULL, NULL), (164840, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 15:26:24', NULL, NULL), (164841, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 15:26:25', NULL, NULL), (164842, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 15:26:26', NULL, NULL), (164843, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 15:26:26', NULL, NULL), (164844, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 15:26:27', NULL, NULL), (164845, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 15:26:28', NULL, NULL), (164846, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 15:26:29', NULL, NULL), (164847, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 15:26:30', NULL, NULL), (164848, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 15:26:31', NULL, NULL), (164849, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 15:26:31', NULL, NULL), (164850, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 15:26:32', NULL, NULL), (164851, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 15:26:33', NULL, NULL), (164852, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 15:26:34', NULL, NULL), (164853, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 15:26:35', NULL, NULL), (164854, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 15:26:36', NULL, NULL), (164855, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 15:26:37', NULL, NULL), (164856, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 15:26:38', NULL, NULL), (164857, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 15:26:39', NULL, NULL), (164858, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 15:26:40', NULL, NULL), (164859, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 15:26:41', NULL, NULL), (164860, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 15:26:42', NULL, NULL), (164861, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 15:26:45', NULL, NULL), (164862, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 15:26:48', NULL, NULL), (164863, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 15:26:52', NULL, NULL), (164864, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 15:26:55', NULL, NULL), (164865, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 15:26:57', NULL, NULL), (164866, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 15:26:58', NULL, NULL), (164867, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 15:26:59', NULL, NULL), (164868, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 15:26:59', NULL, NULL), (164869, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 15:27:00', NULL, NULL), (164870, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 15:27:01', NULL, NULL), (164871, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 15:27:02', NULL, NULL), (164872, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 15:27:03', NULL, NULL), (164873, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 15:27:03', NULL, NULL), (164874, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 15:27:04', NULL, NULL), (164875, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 15:27:05', NULL, NULL), (164876, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 15:27:06', NULL, NULL), (164877, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 15:27:07', NULL, NULL), (164878, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 15:27:08', NULL, NULL), (164879, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 15:27:08', NULL, NULL), (164880, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 15:27:09', NULL, NULL), (164881, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 15:27:10', NULL, NULL), (164882, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 15:27:11', NULL, NULL), (164883, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 15:27:12', NULL, NULL), (164884, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 15:27:13', NULL, NULL), (164885, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 15:27:13', NULL, NULL), (164886, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 15:27:14', NULL, NULL), (164887, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 15:27:15', NULL, NULL), (164888, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 15:27:16', NULL, NULL), (164889, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 15:27:17', NULL, NULL), (164890, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 15:27:18', NULL, NULL), (164891, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 15:27:19', NULL, NULL), (164892, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 15:27:20', NULL, NULL), (164893, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 15:27:21', NULL, NULL), (164894, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 15:27:23', NULL, NULL), (164895, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 15:27:24', NULL, NULL), (164896, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 15:27:25', NULL, NULL), (164897, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 15:27:27', NULL, NULL), (164898, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 15:27:28', NULL, NULL), (164899, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 15:27:29', NULL, NULL), (164900, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 15:27:31', NULL, NULL), (164901, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 15:27:32', NULL, NULL), (164902, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 15:27:33', NULL, NULL), (164903, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 15:27:35', NULL, NULL), (164904, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 15:27:36', NULL, NULL), (164905, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 15:27:38', NULL, NULL), (164906, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 15:27:39', NULL, NULL), (164907, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 15:27:40', NULL, NULL), (164908, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 15:27:42', NULL, NULL), (164909, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 15:27:43', NULL, NULL), (164910, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 15:27:44', NULL, NULL), (164911, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 15:27:46', NULL, NULL), (164912, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 15:27:47', NULL, NULL), (164913, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 15:27:48', NULL, NULL), (164914, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 15:27:50', NULL, NULL), (164915, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 15:27:51', NULL, NULL), (164916, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 15:27:52', NULL, NULL), (164917, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 15:27:54', NULL, NULL), (164918, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 15:27:55', NULL, NULL), (164919, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 15:27:56', NULL, NULL), (164920, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 15:27:58', NULL, NULL), (164921, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 15:27:59', NULL, NULL), (164922, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 15:28:00', NULL, NULL), (164923, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 15:28:02', NULL, NULL), (164924, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 15:28:03', NULL, NULL), (164925, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 15:28:04', NULL, NULL), (164926, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 15:28:06', NULL, NULL), (164927, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 15:28:07', NULL, NULL), (164928, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 15:28:08', NULL, NULL), (164929, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 15:28:10', NULL, NULL), (164930, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 15:28:11', NULL, NULL), (164931, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 15:28:12', NULL, NULL), (164932, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 15:28:13', NULL, NULL), (164933, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 15:28:14', NULL, NULL), (164934, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 15:28:15', NULL, NULL), (164935, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 15:28:16', NULL, NULL), (164936, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 15:28:17', NULL, NULL), (164937, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 15:28:17', NULL, NULL), (164938, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 15:28:18', NULL, NULL), (164939, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 15:28:19', NULL, NULL), (164940, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 15:28:20', NULL, NULL), (164941, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 15:28:21', NULL, NULL), (164942, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 15:28:22', NULL, NULL), (164943, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 15:28:23', NULL, NULL), (164944, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 15:28:23', NULL, NULL), (164945, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 15:28:24', NULL, NULL), (164946, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 15:28:25', NULL, NULL), (164947, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 15:28:26', NULL, NULL), (164948, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 15:28:27', NULL, NULL), (164949, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 15:28:28', NULL, NULL), (164950, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 15:28:29', NULL, NULL), (164951, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 15:28:30', NULL, NULL), (164952, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 15:28:31', NULL, NULL), (164953, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 15:28:32', NULL, NULL), (164954, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 15:28:33', NULL, NULL), (164955, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 15:28:34', NULL, NULL), (164956, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 15:28:35', NULL, NULL), (164957, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 15:28:36', NULL, NULL), (164958, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 15:28:38', NULL, NULL), (164959, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 15:28:39', NULL, NULL), (164960, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 15:28:43', NULL, NULL), (164961, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 15:28:46', NULL, NULL), (164962, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 15:28:50', NULL, NULL), (164963, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 15:28:53', NULL, NULL), (164964, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 15:28:57', NULL, NULL), (164965, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 15:28:58', NULL, NULL), (164966, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 15:28:58', NULL, NULL), (164967, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 15:28:59', NULL, NULL), (164968, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 15:29:00', NULL, NULL), (164969, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 15:29:01', NULL, NULL), (164970, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 15:29:02', NULL, NULL), (164971, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 15:29:03', NULL, NULL), (164972, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 15:29:04', NULL, NULL), (164973, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 15:29:04', NULL, NULL), (164974, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 15:29:05', NULL, NULL), (164975, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 15:29:06', NULL, NULL), (164976, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 15:29:07', NULL, NULL), (164977, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 15:29:08', NULL, NULL), (164978, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 15:29:09', NULL, NULL), (164979, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 15:29:10', NULL, NULL), (164980, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 15:29:11', NULL, NULL), (164981, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 15:29:12', NULL, NULL), (164982, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 15:29:12', NULL, NULL), (164983, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 15:29:13', NULL, NULL), (164984, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 15:29:14', NULL, NULL), (164985, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 15:29:15', NULL, NULL), (164986, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 15:29:16', NULL, NULL), (164987, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 15:29:17', NULL, NULL), (164988, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 15:29:18', NULL, NULL), (164989, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 15:29:19', NULL, NULL), (164990, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 15:29:20', NULL, NULL), (164991, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 15:29:21', NULL, NULL), (164992, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 15:29:22', NULL, NULL), (164993, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 15:29:25', NULL, NULL), (164994, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 15:29:29', NULL, NULL), (164995, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 15:29:32', NULL, NULL), (164996, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 15:29:35', NULL, NULL), (164997, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 15:29:37', NULL, NULL), (164998, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 15:29:38', NULL, NULL), (164999, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 15:29:39', NULL, NULL), (165000, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 15:29:40', NULL, NULL), (165001, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 15:29:40', NULL, NULL), (165002, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 15:29:41', NULL, NULL), (165003, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 15:29:42', NULL, NULL), (165004, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 15:29:43', NULL, NULL), (165005, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 15:29:44', NULL, NULL), (165006, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 15:29:44', NULL, NULL), (165007, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 15:29:45', NULL, NULL), (165008, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 15:29:46', NULL, NULL), (165009, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 15:29:47', NULL, NULL), (165010, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 15:29:48', NULL, NULL), (165011, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 15:29:48', NULL, NULL), (165012, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 15:29:49', NULL, NULL), (165013, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 15:29:50', NULL, NULL), (165014, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 15:29:51', NULL, NULL), (165015, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 15:29:52', NULL, NULL), (165016, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 15:29:53', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (165017, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 15:29:54', NULL, NULL), (165018, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 15:29:54', NULL, NULL), (165019, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 15:29:55', NULL, NULL), (165020, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 15:29:56', NULL, NULL), (165021, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 15:29:57', NULL, NULL), (165022, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 15:29:58', NULL, NULL), (165023, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 15:29:59', NULL, NULL), (165024, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 15:30:00', NULL, NULL), (165025, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 15:30:01', NULL, NULL), (165026, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 15:30:03', NULL, NULL), (165027, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 15:30:05', NULL, NULL), (165028, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 15:30:09', NULL, NULL), (165029, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 15:30:12', NULL, NULL), (165030, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 15:30:15', NULL, NULL), (165031, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 15:30:16', NULL, NULL), (165032, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 15:30:17', NULL, NULL), (165033, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 15:30:18', NULL, NULL), (165034, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 15:30:18', NULL, NULL), (165035, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 15:30:19', NULL, NULL), (165036, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 15:30:20', NULL, NULL), (165037, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 15:30:21', NULL, NULL), (165038, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 15:30:21', NULL, NULL), (165039, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 15:30:22', NULL, NULL), (165040, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 15:30:23', NULL, NULL), (165041, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 15:30:24', NULL, NULL), (165042, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 15:30:25', NULL, NULL), (165043, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 15:30:26', NULL, NULL), (165044, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 15:30:26', NULL, NULL), (165045, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 15:30:27', NULL, NULL), (165046, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 15:30:28', NULL, NULL), (165047, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 15:30:29', NULL, NULL), (165048, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 15:30:30', NULL, NULL), (165049, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 15:30:31', NULL, NULL), (165050, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 15:30:32', NULL, NULL), (165051, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 15:30:32', NULL, NULL), (165052, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 15:30:33', NULL, NULL), (165053, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 15:30:34', NULL, NULL), (165054, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 15:30:35', NULL, NULL), (165055, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 15:30:36', NULL, NULL), (165056, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 15:30:37', NULL, NULL), (165057, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 15:30:38', NULL, NULL), (165058, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 15:30:39', NULL, NULL), (165059, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 15:30:41', NULL, NULL), (165060, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 15:30:42', NULL, NULL), (165061, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 15:30:43', NULL, NULL), (165062, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 15:30:45', NULL, NULL), (165063, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 15:30:46', NULL, NULL), (165064, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 15:30:47', NULL, NULL), (165065, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 15:30:49', NULL, NULL), (165066, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 15:30:50', NULL, NULL), (165067, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 15:30:51', NULL, NULL), (165068, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 15:30:53', NULL, NULL), (165069, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 15:30:54', NULL, NULL), (165070, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 15:30:55', NULL, NULL), (165071, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 15:30:57', NULL, NULL), (165072, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 15:30:58', NULL, NULL), (165073, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 15:30:59', NULL, NULL), (165074, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 15:31:01', NULL, NULL), (165075, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 15:31:02', NULL, NULL), (165076, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 15:31:03', NULL, NULL), (165077, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 15:31:05', NULL, NULL), (165078, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 15:31:06', NULL, NULL), (165079, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 15:31:07', NULL, NULL), (165080, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 15:31:09', NULL, NULL), (165081, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 15:31:10', NULL, NULL), (165082, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 15:31:11', NULL, NULL), (165083, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 15:31:13', NULL, NULL), (165084, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 15:31:14', NULL, NULL), (165085, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 15:31:15', NULL, NULL), (165086, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 15:31:17', NULL, NULL), (165087, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 15:31:18', NULL, NULL), (165088, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 15:31:19', NULL, NULL), (165089, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 15:31:21', NULL, NULL), (165090, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 15:31:22', NULL, NULL), (165091, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 15:31:23', NULL, NULL), (165092, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 15:31:24', NULL, NULL), (165093, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 15:31:26', NULL, NULL), (165094, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 15:31:27', NULL, NULL), (165095, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 15:31:28', NULL, NULL), (165096, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 15:31:30', NULL, NULL), (165097, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 15:31:31', NULL, NULL), (165098, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 15:31:32', NULL, NULL), (165099, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 15:31:34', NULL, NULL), (165100, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 15:31:35', NULL, NULL), (165101, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 15:31:36', NULL, NULL), (165102, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 15:31:37', NULL, NULL), (165103, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 15:31:38', NULL, NULL), (165104, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 15:31:39', NULL, NULL), (165105, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 15:31:40', NULL, NULL), (165106, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 15:31:40', NULL, NULL), (165107, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 15:31:41', NULL, NULL), (165108, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 15:31:42', NULL, NULL), (165109, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 15:31:42', NULL, NULL), (165110, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 15:31:43', NULL, NULL), (165111, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 15:31:44', NULL, NULL), (165112, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 15:31:45', NULL, NULL), (165113, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 15:31:45', NULL, NULL), (165114, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 15:31:46', NULL, NULL), (165115, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 15:31:47', NULL, NULL), (165116, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 15:31:48', NULL, NULL), (165117, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 15:31:49', NULL, NULL), (165118, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 15:31:49', NULL, NULL), (165119, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 15:31:50', NULL, NULL), (165120, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 15:31:51', NULL, NULL), (165121, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 15:31:52', NULL, NULL), (165122, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 15:31:53', NULL, NULL), (165123, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 15:31:53', NULL, NULL), (165124, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 15:31:54', NULL, NULL), (165125, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 15:31:55', NULL, NULL), (165126, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 15:31:56', NULL, NULL), (165127, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 15:31:57', NULL, NULL), (165128, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 15:31:58', NULL, NULL), (165129, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 15:31:59', NULL, NULL), (165130, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 15:32:00', NULL, NULL), (165131, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 15:32:01', NULL, NULL), (165132, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 15:32:02', NULL, NULL), (165133, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 15:32:04', NULL, NULL), (165134, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 15:32:05', NULL, NULL), (165135, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 15:32:06', NULL, NULL), (165136, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 15:32:08', NULL, NULL), (165137, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 15:32:09', NULL, NULL), (165138, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 15:32:10', NULL, NULL), (165139, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 15:32:12', NULL, NULL), (165140, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 15:32:13', NULL, NULL), (165141, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 15:32:14', NULL, NULL), (165142, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 15:32:16', NULL, NULL), (165143, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 15:32:17', NULL, NULL), (165144, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 15:32:18', NULL, NULL), (165145, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 15:32:20', NULL, NULL), (165146, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 15:32:21', NULL, NULL), (165147, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 15:32:22', NULL, NULL), (165148, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 15:32:24', NULL, NULL), (165149, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 15:32:25', NULL, NULL), (165150, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 15:32:26', NULL, NULL), (165151, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 15:32:28', NULL, NULL), (165152, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 15:32:29', NULL, NULL), (165153, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 15:32:30', NULL, NULL), (165154, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 15:32:32', NULL, NULL), (165155, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 15:32:33', NULL, NULL), (165156, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 15:32:34', NULL, NULL), (165157, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 15:32:35', NULL, NULL), (165158, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 15:32:36', NULL, NULL), (165159, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 15:32:37', NULL, NULL), (165160, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 15:32:38', NULL, NULL), (165161, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 15:32:38', NULL, NULL), (165162, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 15:32:39', NULL, NULL), (165163, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 15:32:40', NULL, NULL), (165164, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 15:32:41', NULL, NULL), (165165, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 15:32:42', NULL, NULL), (165166, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 15:32:42', NULL, NULL), (165167, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 15:32:43', NULL, NULL), (165168, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 15:32:44', NULL, NULL), (165169, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 15:32:45', NULL, NULL), (165170, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 15:32:45', NULL, NULL), (165171, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 15:32:46', NULL, NULL), (165172, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 15:32:47', NULL, NULL), (165173, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 15:32:48', NULL, NULL), (165174, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 15:32:49', NULL, NULL), (165175, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 15:32:50', NULL, NULL), (165176, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 15:32:50', NULL, NULL), (165177, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 15:32:51', NULL, NULL), (165178, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 15:32:52', NULL, NULL), (165179, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 15:32:53', NULL, NULL), (165180, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 15:32:54', NULL, NULL), (165181, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 15:32:55', NULL, NULL), (165182, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 15:32:56', NULL, NULL), (165183, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 15:32:57', NULL, NULL), (165184, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 15:32:58', NULL, NULL), (165185, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 15:32:59', NULL, NULL), (165186, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 15:33:00', NULL, NULL), (165187, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 15:33:01', NULL, NULL), (165188, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 15:33:03', NULL, NULL), (165189, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 15:33:04', NULL, NULL), (165190, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 15:33:05', NULL, NULL), (165191, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 15:33:07', NULL, NULL), (165192, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 15:33:08', NULL, NULL), (165193, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 15:33:09', NULL, NULL), (165194, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 15:33:11', NULL, NULL), (165195, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 15:33:12', NULL, NULL), (165196, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 15:33:13', NULL, NULL), (165197, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 15:33:15', NULL, NULL), (165198, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 15:33:16', NULL, NULL), (165199, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 15:33:18', NULL, NULL), (165200, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 15:33:19', NULL, NULL), (165201, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 15:33:20', NULL, NULL), (165202, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 15:33:22', NULL, NULL), (165203, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 15:33:23', NULL, NULL), (165204, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 15:33:24', NULL, NULL), (165205, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 15:33:26', NULL, NULL), (165206, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 15:33:27', NULL, NULL), (165207, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 15:33:28', NULL, NULL), (165208, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 15:33:30', NULL, NULL), (165209, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 15:33:31', NULL, NULL), (165210, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 15:33:33', NULL, NULL), (165211, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 15:33:34', NULL, NULL), (165212, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 15:33:35', NULL, NULL), (165213, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 15:33:37', NULL, NULL), (165214, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 15:33:38', NULL, NULL), (165215, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 15:33:39', NULL, NULL), (165216, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 15:33:41', NULL, NULL), (165217, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 15:33:42', NULL, NULL), (165218, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 15:33:43', NULL, NULL), (165219, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 15:33:45', NULL, NULL), (165220, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 15:33:46', NULL, NULL), (165221, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 15:33:48', NULL, NULL), (165222, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 15:33:49', NULL, NULL), (165223, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 15:33:50', NULL, NULL), (165224, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 15:33:52', NULL, NULL), (165225, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 15:33:53', NULL, NULL), (165226, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 15:33:54', NULL, NULL), (165227, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 15:33:56', NULL, NULL), (165228, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 15:33:57', NULL, NULL), (165229, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 15:33:59', NULL, NULL), (165230, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 15:34:00', NULL, NULL), (165231, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 15:34:01', NULL, NULL), (165232, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 15:34:03', NULL, NULL), (165233, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 15:34:04', NULL, NULL), (165234, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 15:34:05', NULL, NULL), (165235, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 15:34:07', NULL, NULL), (165236, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 15:34:08', NULL, NULL), (165237, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 15:34:09', NULL, NULL), (165238, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 15:34:11', NULL, NULL), (165239, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 15:34:12', NULL, NULL), (165240, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 15:34:13', NULL, NULL), (165241, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 15:34:15', NULL, NULL), (165242, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 15:34:16', NULL, NULL), (165243, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 15:34:17', NULL, NULL), (165244, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 15:34:19', NULL, NULL), (165245, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 15:34:20', NULL, NULL), (165246, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 15:34:21', NULL, NULL), (165247, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 15:34:23', NULL, NULL), (165248, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 15:34:24', NULL, NULL), (165249, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 15:34:25', NULL, NULL), (165250, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 15:34:26', NULL, NULL), (165251, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 15:34:27', NULL, NULL), (165252, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 15:34:28', NULL, NULL), (165253, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 15:34:28', NULL, NULL), (165254, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 15:34:29', NULL, NULL), (165255, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 15:34:30', NULL, NULL), (165256, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 15:34:31', NULL, NULL), (165257, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 15:34:31', NULL, NULL), (165258, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 15:34:32', NULL, NULL), (165259, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 15:34:33', NULL, NULL), (165260, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 15:34:34', NULL, NULL), (165261, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 15:34:34', NULL, NULL), (165262, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 15:34:35', NULL, NULL), (165263, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 15:34:36', NULL, NULL), (165264, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 15:34:37', NULL, NULL), (165265, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 15:34:38', NULL, NULL), (165266, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 15:34:38', NULL, NULL), (165267, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 15:34:39', NULL, NULL), (165268, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 15:34:40', NULL, NULL), (165269, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 15:34:41', NULL, NULL), (165270, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 15:34:42', 1, '2024-08-05 22:12:03'), (165271, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 15:34:43', 1, '2024-08-06 02:01:03'), (165272, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 15:34:43', 1, '2024-08-07 01:00:03'), (165273, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 15:34:44', 1, '2024-08-08 01:00:03'), (165274, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 15:34:45', 1, '2024-08-09 01:00:02'), (165275, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 15:35:19', NULL, NULL), (165276, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 15:35:20', NULL, NULL), (165277, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 15:35:21', NULL, NULL), (165278, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 15:35:22', NULL, NULL), (165279, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 15:35:23', NULL, NULL), (165280, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 15:35:24', NULL, NULL), (165281, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 15:35:25', NULL, NULL), (165282, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 15:35:27', NULL, NULL), (165283, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 15:35:29', NULL, NULL), (165284, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 15:35:33', NULL, NULL), (165285, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 15:35:36', NULL, NULL), (165286, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 15:35:39', NULL, NULL), (165287, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 15:35:39', NULL, NULL), (165288, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 15:35:40', NULL, NULL), (165289, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 15:35:41', NULL, NULL), (165290, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 15:35:42', NULL, NULL), (165291, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 15:35:42', NULL, NULL), (165292, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 15:35:43', NULL, NULL), (165293, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 15:35:44', NULL, NULL), (165294, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 15:35:45', NULL, NULL), (165295, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 15:35:46', NULL, NULL), (165296, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 15:35:46', NULL, NULL), (165297, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 15:35:47', NULL, NULL), (165298, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 15:35:48', NULL, NULL), (165299, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 15:35:49', NULL, NULL), (165300, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 15:35:50', NULL, NULL), (165301, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 15:35:50', NULL, NULL), (165302, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 15:35:51', NULL, NULL), (165303, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 15:35:52', NULL, NULL), (165304, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 15:35:53', NULL, NULL), (165305, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 15:35:54', NULL, NULL), (165306, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 15:35:55', NULL, NULL), (165307, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 15:35:55', NULL, NULL), (165308, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 15:35:56', NULL, NULL), (165309, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 15:35:57', NULL, NULL), (165310, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 15:35:58', NULL, NULL), (165311, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 15:35:59', NULL, NULL), (165312, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 15:36:00', NULL, NULL), (165313, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 15:36:01', NULL, NULL), (165314, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 15:36:02', NULL, NULL), (165315, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 15:36:03', NULL, NULL), (165316, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 15:36:05', NULL, NULL), (165317, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 15:36:08', NULL, NULL), (165318, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 15:36:12', NULL, NULL), (165319, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 15:36:15', NULL, NULL), (165320, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 15:36:16', NULL, NULL), (165321, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 15:36:17', NULL, NULL), (165322, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 15:36:18', NULL, NULL), (165323, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 15:36:18', NULL, NULL), (165324, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 15:36:19', NULL, NULL), (165325, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 15:36:20', NULL, NULL), (165326, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 15:36:21', NULL, NULL), (165327, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 15:36:21', NULL, NULL), (165328, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 15:36:22', NULL, NULL), (165329, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 15:36:23', NULL, NULL), (165330, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 15:36:24', NULL, NULL), (165331, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 15:36:25', NULL, NULL), (165332, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 15:36:25', NULL, NULL), (165333, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 15:36:26', NULL, NULL), (165334, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 15:36:27', NULL, NULL), (165335, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 15:36:28', NULL, NULL), (165336, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 15:36:29', NULL, NULL), (165337, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 15:36:30', NULL, NULL), (165338, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 15:36:30', NULL, NULL), (165339, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 15:36:31', NULL, NULL), (165340, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 15:36:32', NULL, NULL), (165341, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 15:36:33', NULL, NULL), (165342, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 15:36:34', NULL, NULL), (165343, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 15:36:35', NULL, NULL), (165344, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 15:36:36', NULL, NULL), (165345, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 15:36:37', NULL, NULL), (165346, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 15:36:38', NULL, NULL), (165347, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 15:36:39', NULL, NULL), (165348, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 15:36:40', NULL, NULL), (165349, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 15:36:41', NULL, NULL), (165350, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 15:36:45', NULL, NULL), (165351, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 15:36:48', NULL, NULL), (165352, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 15:36:52', NULL, NULL), (165353, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 15:36:55', NULL, NULL), (165354, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 15:36:55', NULL, NULL), (165355, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 15:36:56', NULL, NULL), (165356, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 15:36:57', NULL, NULL), (165357, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 15:36:58', NULL, NULL), (165358, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 15:36:58', NULL, NULL), (165359, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 15:36:59', NULL, NULL), (165360, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 15:37:00', NULL, NULL), (165361, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 15:37:01', NULL, NULL), (165362, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 15:37:02', NULL, NULL), (165363, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 15:37:02', NULL, NULL), (165364, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 15:37:03', NULL, NULL), (165365, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 15:37:04', NULL, NULL), (165366, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 15:37:05', NULL, NULL), (165367, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 15:37:06', NULL, NULL), (165368, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 15:37:07', NULL, NULL), (165369, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 15:37:08', NULL, NULL), (165370, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 15:37:08', NULL, NULL), (165371, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 15:37:09', NULL, NULL), (165372, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 15:37:10', NULL, NULL), (165373, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 15:37:11', NULL, NULL), (165374, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 15:37:12', NULL, NULL), (165375, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 15:37:13', NULL, NULL), (165376, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 15:37:14', NULL, NULL), (165377, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 15:37:14', NULL, NULL), (165378, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 15:37:15', NULL, NULL), (165379, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 15:37:16', NULL, NULL), (165380, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 15:37:17', NULL, NULL), (165381, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 15:37:19', NULL, NULL), (165382, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 15:37:20', NULL, NULL), (165383, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 15:37:21', NULL, NULL), (165384, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 15:37:23', NULL, NULL), (165385, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 15:37:24', NULL, NULL), (165386, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 15:37:25', NULL, NULL), (165387, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 15:37:27', NULL, NULL), (165388, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 15:37:28', NULL, NULL), (165389, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 15:37:29', NULL, NULL), (165390, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 15:37:31', NULL, NULL), (165391, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 15:37:32', NULL, NULL), (165392, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 15:37:33', NULL, NULL), (165393, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 15:37:35', NULL, NULL), (165394, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 15:37:36', NULL, NULL), (165395, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 15:37:37', NULL, NULL), (165396, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 15:37:39', NULL, NULL), (165397, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 15:37:40', NULL, NULL), (165398, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 15:37:42', NULL, NULL), (165399, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 15:37:43', NULL, NULL), (165400, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 15:37:44', NULL, NULL), (165401, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 15:37:46', NULL, NULL), (165402, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 15:37:47', NULL, NULL), (165403, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 15:37:48', NULL, NULL), (165404, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 15:37:50', NULL, NULL), (165405, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 15:37:51', NULL, NULL), (165406, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 15:37:52', NULL, NULL), (165407, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 15:37:54', NULL, NULL), (165408, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 15:37:55', NULL, NULL), (165409, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 15:37:56', NULL, NULL), (165410, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 15:37:58', NULL, NULL), (165411, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 15:37:59', NULL, NULL), (165412, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 15:38:00', NULL, NULL), (165413, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 15:38:02', NULL, NULL), (165414, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 15:38:03', NULL, NULL), (165415, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 15:38:04', NULL, NULL), (165416, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 15:38:06', NULL, NULL), (165417, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 15:38:07', NULL, NULL), (165418, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 15:38:08', NULL, NULL), (165419, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 15:38:10', NULL, NULL), (165420, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 15:38:11', NULL, NULL), (165421, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 15:38:13', NULL, NULL), (165422, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 15:38:13', NULL, NULL), (165423, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 15:38:14', NULL, NULL), (165424, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 15:38:15', NULL, NULL), (165425, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 15:38:16', NULL, NULL), (165426, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 15:38:16', NULL, NULL), (165427, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 15:38:17', NULL, NULL), (165428, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 15:38:18', NULL, NULL), (165429, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 15:38:19', NULL, NULL), (165430, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 15:38:20', NULL, NULL), (165431, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 15:38:20', NULL, NULL), (165432, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 15:38:21', NULL, NULL), (165433, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 15:38:22', NULL, NULL), (165434, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 15:38:23', NULL, NULL), (165435, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 15:38:24', NULL, NULL), (165436, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 15:38:25', NULL, NULL), (165437, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 15:38:26', NULL, NULL), (165438, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 15:38:27', NULL, NULL), (165439, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 15:38:28', NULL, NULL), (165440, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 15:38:29', NULL, NULL), (165441, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 15:38:30', NULL, NULL), (165442, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 15:38:31', NULL, NULL), (165443, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 15:38:32', NULL, NULL), (165444, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 15:38:33', NULL, NULL), (165445, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 15:38:34', NULL, NULL), (165446, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 15:38:35', NULL, NULL), (165447, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 15:38:36', NULL, NULL), (165448, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 15:38:37', NULL, NULL), (165449, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 15:38:39', NULL, NULL), (165450, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 15:38:42', NULL, NULL), (165451, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 15:38:46', NULL, NULL), (165452, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 15:38:49', NULL, NULL), (165453, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 15:38:53', NULL, NULL), (165454, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 15:38:56', NULL, NULL), (165455, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 15:38:57', NULL, NULL), (165456, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 15:38:57', NULL, NULL), (165457, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 15:38:58', NULL, NULL), (165458, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 15:38:59', NULL, NULL), (165459, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 15:39:00', NULL, NULL), (165460, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 15:39:01', NULL, NULL), (165461, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 15:39:02', NULL, NULL), (165462, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 15:39:03', NULL, NULL), (165463, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 15:39:04', NULL, NULL), (165464, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 15:39:04', NULL, NULL), (165465, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 15:39:05', NULL, NULL), (165466, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 15:39:06', NULL, NULL), (165467, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 15:39:07', NULL, NULL), (165468, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 15:39:08', NULL, NULL), (165469, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 15:39:09', NULL, NULL), (165470, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 15:39:10', NULL, NULL), (165471, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 15:39:11', NULL, NULL), (165472, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 15:39:12', NULL, NULL), (165473, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 15:39:13', NULL, NULL), (165474, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 15:39:14', NULL, NULL), (165475, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 15:39:15', NULL, NULL), (165476, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 15:39:15', NULL, NULL), (165477, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 15:39:16', NULL, NULL), (165478, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 15:39:17', NULL, NULL), (165479, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 15:39:18', NULL, NULL), (165480, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 15:39:20', NULL, NULL), (165481, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 15:39:21', NULL, NULL), (165482, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 15:39:23', NULL, NULL), (165483, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 15:39:27', NULL, NULL), (165484, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 15:39:30', NULL, NULL), (165485, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 15:39:34', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (165486, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 15:39:34', NULL, NULL), (165487, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 15:39:35', NULL, NULL), (165488, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 15:39:36', NULL, NULL), (165489, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 15:39:37', NULL, NULL), (165490, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 15:39:38', NULL, NULL), (165491, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 15:39:38', NULL, NULL), (165492, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 15:39:39', NULL, NULL), (165493, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 15:39:40', NULL, NULL), (165494, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 15:39:41', NULL, NULL), (165495, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 15:39:42', NULL, NULL), (165496, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 15:39:42', NULL, NULL), (165497, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 15:39:43', NULL, NULL), (165498, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 15:39:44', NULL, NULL), (165499, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 15:39:45', NULL, NULL), (165500, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 15:39:46', NULL, NULL), (165501, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 15:39:47', NULL, NULL), (165502, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 15:39:47', NULL, NULL), (165503, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 15:39:48', NULL, NULL), (165504, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 15:39:49', NULL, NULL), (165505, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 15:39:50', NULL, NULL), (165506, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 15:39:51', NULL, NULL), (165507, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 15:39:52', NULL, NULL), (165508, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 15:39:53', NULL, NULL), (165509, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 15:39:53', NULL, NULL), (165510, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 15:39:54', NULL, NULL), (165511, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 15:39:55', NULL, NULL), (165512, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 15:39:56', NULL, NULL), (165513, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 15:39:58', NULL, NULL), (165514, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 15:39:59', NULL, NULL), (165515, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 15:40:01', NULL, NULL), (165516, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 15:40:05', NULL, NULL), (165517, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 15:40:08', NULL, NULL), (165518, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 15:40:12', NULL, NULL), (165519, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 15:40:12', NULL, NULL), (165520, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 15:40:13', NULL, NULL), (165521, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 15:40:14', NULL, NULL), (165522, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 15:40:15', NULL, NULL), (165523, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 15:40:15', NULL, NULL), (165524, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 15:40:16', NULL, NULL), (165525, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 15:40:17', NULL, NULL), (165526, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 15:40:18', NULL, NULL), (165527, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 15:40:19', NULL, NULL), (165528, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 15:40:19', NULL, NULL), (165529, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 15:40:20', NULL, NULL), (165530, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 15:40:21', NULL, NULL), (165531, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 15:40:22', NULL, NULL), (165532, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 15:40:23', NULL, NULL), (165533, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 15:40:24', NULL, NULL), (165534, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 15:40:24', NULL, NULL), (165535, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 15:40:25', NULL, NULL), (165536, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 15:40:26', NULL, NULL), (165537, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 15:40:27', NULL, NULL), (165538, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 15:40:28', NULL, NULL), (165539, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 15:40:29', NULL, NULL), (165540, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 15:40:30', NULL, NULL), (165541, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 15:40:30', NULL, NULL), (165542, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 15:40:31', NULL, NULL), (165543, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 15:40:32', NULL, NULL), (165544, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 15:40:33', NULL, NULL), (165545, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 15:40:34', NULL, NULL), (165546, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 15:40:35', NULL, NULL), (165547, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 15:40:37', NULL, NULL), (165548, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 15:40:38', NULL, NULL), (165549, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 15:40:42', NULL, NULL), (165550, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 15:40:45', NULL, NULL), (165551, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 15:40:49', NULL, NULL), (165552, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 15:40:51', NULL, NULL), (165553, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 15:40:52', NULL, NULL), (165554, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 15:40:53', NULL, NULL), (165555, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 15:40:53', NULL, NULL), (165556, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 15:40:54', NULL, NULL), (165557, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 15:40:55', NULL, NULL), (165558, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 15:40:56', NULL, NULL), (165559, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 15:40:56', NULL, NULL), (165560, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 15:40:57', NULL, NULL), (165561, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 15:40:58', NULL, NULL), (165562, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 15:40:59', NULL, NULL), (165563, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 15:41:00', NULL, NULL), (165564, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 15:41:00', NULL, NULL), (165565, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 15:41:01', NULL, NULL), (165566, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 15:41:02', NULL, NULL), (165567, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 15:41:03', NULL, NULL), (165568, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 15:41:04', NULL, NULL), (165569, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 15:41:04', NULL, NULL), (165570, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 15:41:05', NULL, NULL), (165571, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 15:41:06', NULL, NULL), (165572, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 15:41:07', NULL, NULL), (165573, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 15:41:08', NULL, NULL), (165574, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 15:41:09', NULL, NULL), (165575, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 15:41:10', NULL, NULL), (165576, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 15:41:11', NULL, NULL), (165577, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 15:41:11', NULL, NULL), (165578, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 15:41:12', NULL, NULL), (165579, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 15:41:13', NULL, NULL), (165580, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 15:41:15', NULL, NULL), (165581, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 15:41:16', NULL, NULL), (165582, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 15:41:17', NULL, NULL), (165583, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 15:41:19', NULL, NULL), (165584, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 15:41:20', NULL, NULL), (165585, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 15:41:22', NULL, NULL), (165586, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 15:41:26', NULL, NULL), (165587, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 15:41:29', NULL, NULL), (165588, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 15:41:31', NULL, NULL), (165589, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 15:41:32', NULL, NULL), (165590, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 15:41:33', NULL, NULL), (165591, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 15:41:33', NULL, NULL), (165592, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 15:41:34', NULL, NULL), (165593, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 15:41:35', NULL, NULL), (165594, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 15:41:36', NULL, NULL), (165595, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 15:41:37', NULL, NULL), (165596, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 15:41:37', NULL, NULL), (165597, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 15:41:38', NULL, NULL), (165598, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 15:41:39', NULL, NULL), (165599, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 15:41:40', NULL, NULL), (165600, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 15:41:41', NULL, NULL), (165601, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 15:41:42', NULL, NULL), (165602, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 15:41:42', NULL, NULL), (165603, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 15:41:43', NULL, NULL), (165604, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 15:41:44', NULL, NULL), (165605, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 15:41:45', NULL, NULL), (165606, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 15:41:46', NULL, NULL), (165607, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 15:41:47', NULL, NULL), (165608, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 15:41:48', NULL, NULL), (165609, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 15:41:49', NULL, NULL), (165610, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 15:41:49', NULL, NULL), (165611, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 15:41:50', NULL, NULL), (165612, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 15:41:51', NULL, NULL), (165613, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 15:41:52', NULL, NULL), (165614, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 15:41:53', NULL, NULL), (165615, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 15:41:54', NULL, NULL), (165616, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 15:41:56', NULL, NULL), (165617, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 15:41:57', NULL, NULL), (165618, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 15:41:58', NULL, NULL), (165619, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 15:42:00', NULL, NULL), (165620, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 15:42:03', NULL, NULL), (165621, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 15:42:07', NULL, NULL), (165622, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 15:42:10', NULL, NULL), (165623, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 15:42:11', NULL, NULL), (165624, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 15:42:11', NULL, NULL), (165625, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 15:42:12', NULL, NULL), (165626, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 15:42:13', NULL, NULL), (165627, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 15:42:14', NULL, NULL), (165628, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 15:42:14', NULL, NULL), (165629, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 15:42:15', NULL, NULL), (165630, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 15:42:16', NULL, NULL), (165631, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 15:42:17', NULL, NULL), (165632, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 15:42:18', NULL, NULL), (165633, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 15:42:18', NULL, NULL), (165634, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 15:42:19', NULL, NULL), (165635, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 15:42:20', NULL, NULL), (165636, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 15:42:21', NULL, NULL), (165637, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 15:42:22', NULL, NULL), (165638, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 15:42:23', NULL, NULL), (165639, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 15:42:23', NULL, NULL), (165640, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 15:42:24', NULL, NULL), (165641, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 15:42:25', NULL, NULL), (165642, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 15:42:26', NULL, NULL), (165643, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 15:42:27', NULL, NULL), (165644, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 15:42:28', NULL, NULL), (165645, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 15:42:29', NULL, NULL), (165646, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 15:42:30', NULL, NULL), (165647, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 15:42:30', NULL, NULL), (165648, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 15:42:31', NULL, NULL), (165649, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 15:42:32', NULL, NULL), (165650, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 15:42:34', NULL, NULL), (165651, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 15:42:35', NULL, NULL), (165652, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 15:42:37', NULL, NULL), (165653, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 15:42:40', NULL, NULL), (165654, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 15:42:44', NULL, NULL), (165655, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 15:42:47', NULL, NULL), (165656, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 15:42:49', NULL, NULL), (165657, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 15:42:50', NULL, NULL), (165658, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 15:42:51', NULL, NULL), (165659, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 15:42:51', NULL, NULL), (165660, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 15:42:52', NULL, NULL), (165661, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 15:42:53', NULL, NULL), (165662, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 15:42:54', NULL, NULL), (165663, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 15:42:55', NULL, NULL), (165664, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 15:42:55', NULL, NULL), (165665, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 15:42:56', NULL, NULL), (165666, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 15:42:57', NULL, NULL), (165667, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 15:42:58', NULL, NULL), (165668, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 15:42:59', NULL, NULL), (165669, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 15:42:59', NULL, NULL), (165670, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 15:43:00', NULL, NULL), (165671, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 15:43:01', NULL, NULL), (165672, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 15:43:02', NULL, NULL), (165673, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 15:43:03', NULL, NULL), (165674, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 15:43:04', NULL, NULL), (165675, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 15:43:04', NULL, NULL), (165676, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 15:43:05', NULL, NULL), (165677, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 15:43:06', NULL, NULL), (165678, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 15:43:07', NULL, NULL), (165679, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 15:43:08', NULL, NULL), (165680, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 15:43:09', NULL, NULL), (165681, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 15:43:10', NULL, NULL), (165682, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 15:43:11', NULL, NULL), (165683, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 15:43:11', NULL, NULL), (165684, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 15:43:13', NULL, NULL), (165685, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 15:43:14', NULL, NULL), (165686, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 15:43:16', NULL, NULL), (165687, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 15:43:19', NULL, NULL), (165688, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 15:43:23', NULL, NULL), (165689, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 15:43:26', NULL, NULL), (165690, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 15:43:28', NULL, NULL), (165691, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 15:43:29', NULL, NULL), (165692, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 15:43:30', NULL, NULL), (165693, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 15:43:31', NULL, NULL), (165694, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 15:43:31', NULL, NULL), (165695, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 15:43:32', NULL, NULL), (165696, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 15:43:33', NULL, NULL), (165697, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 15:43:34', NULL, NULL), (165698, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 15:43:35', NULL, NULL), (165699, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 15:43:36', NULL, NULL), (165700, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 15:43:37', NULL, NULL), (165701, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 15:43:38', NULL, NULL), (165702, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 15:43:39', NULL, NULL), (165703, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 15:43:40', NULL, NULL), (165704, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 15:43:40', NULL, NULL), (165705, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 15:43:41', NULL, NULL), (165706, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 15:43:42', NULL, NULL), (165707, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 15:43:43', NULL, NULL), (165708, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 15:43:44', NULL, NULL), (165709, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 15:43:45', NULL, NULL), (165710, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 15:43:46', NULL, NULL), (165711, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 15:43:47', NULL, NULL), (165712, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 15:43:48', NULL, NULL), (165713, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 15:43:49', NULL, NULL), (165714, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 15:43:51', NULL, NULL), (165715, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 15:43:52', NULL, NULL), (165716, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 15:43:53', NULL, NULL), (165717, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 15:43:56', NULL, NULL), (165718, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 15:43:59', NULL, NULL), (165719, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 15:44:03', NULL, NULL), (165720, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 15:44:06', NULL, NULL), (165721, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 15:44:10', NULL, NULL), (165722, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 15:44:13', NULL, NULL), (165723, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 15:44:15', NULL, NULL), (165724, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 15:44:15', NULL, NULL), (165725, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 15:44:16', NULL, NULL), (165726, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 15:44:17', NULL, NULL), (165727, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 15:44:18', NULL, NULL), (165728, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 15:44:18', NULL, NULL), (165729, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 15:44:19', NULL, NULL), (165730, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 15:44:20', NULL, NULL), (165731, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 15:44:21', NULL, NULL), (165732, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 15:44:22', NULL, NULL), (165733, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 15:44:22', NULL, NULL), (165734, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 15:44:23', NULL, NULL), (165735, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 15:44:24', NULL, NULL), (165736, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 15:44:25', NULL, NULL), (165737, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 15:44:26', NULL, NULL), (165738, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 15:44:27', NULL, NULL), (165739, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 15:44:27', NULL, NULL), (165740, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 15:44:28', NULL, NULL), (165741, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 15:44:29', NULL, NULL), (165742, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 15:44:30', NULL, NULL), (165743, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 15:44:31', NULL, NULL), (165744, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 15:44:32', NULL, NULL), (165745, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 15:44:33', NULL, NULL), (165746, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 15:44:33', NULL, NULL), (165747, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 15:44:34', NULL, NULL), (165748, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 15:44:35', NULL, NULL), (165749, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 15:44:36', NULL, NULL), (165750, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 15:44:37', NULL, NULL), (165751, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 15:44:39', NULL, NULL), (165752, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 15:44:40', NULL, NULL), (165753, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 15:44:43', NULL, NULL), (165754, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 15:44:47', NULL, NULL), (165755, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 15:44:50', NULL, NULL), (165756, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 15:44:53', NULL, NULL), (165757, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 15:44:54', NULL, NULL), (165758, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 15:44:55', NULL, NULL), (165759, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 15:44:55', NULL, NULL), (165760, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 15:44:56', NULL, NULL), (165761, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 15:44:57', NULL, NULL), (165762, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 15:44:58', NULL, NULL), (165763, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 15:44:58', NULL, NULL), (165764, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 15:44:59', NULL, NULL), (165765, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 15:45:00', NULL, NULL), (165766, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 15:45:01', NULL, NULL), (165767, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 15:45:02', NULL, NULL), (165768, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 15:45:02', NULL, NULL), (165769, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 15:45:03', NULL, NULL), (165770, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 15:45:04', NULL, NULL), (165771, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 15:45:05', NULL, NULL), (165772, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 15:45:06', NULL, NULL), (165773, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 15:45:07', NULL, NULL), (165774, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 15:45:08', NULL, NULL), (165775, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 15:45:08', NULL, NULL), (165776, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 15:45:09', NULL, NULL), (165777, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 15:45:10', NULL, NULL), (165778, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 15:45:11', NULL, NULL), (165779, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 15:45:12', NULL, NULL), (165780, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 15:45:13', NULL, NULL), (165781, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 15:45:14', NULL, NULL), (165782, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 15:45:15', NULL, NULL), (165783, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 15:45:16', NULL, NULL), (165784, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 15:45:17', NULL, NULL), (165785, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 15:45:18', NULL, NULL), (165786, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 15:45:20', NULL, NULL), (165787, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 15:45:24', NULL, NULL), (165788, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 15:45:27', NULL, NULL), (165789, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 15:45:31', NULL, NULL), (165790, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 15:45:33', NULL, NULL), (165791, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 15:45:33', NULL, NULL), (165792, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 15:45:34', NULL, NULL), (165793, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 15:45:35', NULL, NULL), (165794, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 15:45:35', NULL, NULL), (165795, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 15:45:36', NULL, NULL), (165796, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 15:45:37', NULL, NULL), (165797, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 15:45:38', NULL, NULL), (165798, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 15:45:39', NULL, NULL), (165799, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 15:45:39', NULL, NULL), (165800, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 15:45:40', NULL, NULL), (165801, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 15:45:41', NULL, NULL), (165802, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 15:45:42', NULL, NULL), (165803, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 15:45:43', NULL, NULL), (165804, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 15:45:43', NULL, NULL), (165805, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 15:45:44', NULL, NULL), (165806, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 15:45:45', NULL, NULL), (165807, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 15:45:46', NULL, NULL), (165808, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 15:45:47', NULL, NULL), (165809, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 15:45:48', NULL, NULL), (165810, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 15:45:49', NULL, NULL), (165811, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 15:45:49', NULL, NULL), (165812, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 15:45:50', NULL, NULL), (165813, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 15:45:51', NULL, NULL), (165814, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 15:45:52', NULL, NULL), (165815, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 15:45:53', NULL, NULL), (165816, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 15:45:54', NULL, NULL), (165817, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 15:45:55', NULL, NULL), (165818, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 15:45:56', NULL, NULL), (165819, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 15:45:58', NULL, NULL), (165820, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 15:46:00', NULL, NULL), (165821, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 15:46:04', NULL, NULL), (165822, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 15:46:07', NULL, NULL), (165823, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 15:46:11', NULL, NULL), (165824, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 15:46:12', NULL, NULL), (165825, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 15:46:13', NULL, NULL), (165826, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 15:46:13', NULL, NULL), (165827, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 15:46:14', NULL, NULL), (165828, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 15:46:15', NULL, NULL), (165829, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 15:46:16', NULL, NULL), (165830, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 15:46:16', NULL, NULL), (165831, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 15:46:17', NULL, NULL), (165832, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 15:46:18', NULL, NULL), (165833, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 15:46:19', NULL, NULL), (165834, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 15:46:20', NULL, NULL), (165835, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 15:46:20', NULL, NULL), (165836, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 15:46:21', NULL, NULL), (165837, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 15:46:22', NULL, NULL), (165838, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 15:46:23', NULL, NULL), (165839, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 15:46:24', NULL, NULL), (165840, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 15:46:24', NULL, NULL), (165841, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 15:46:25', NULL, NULL), (165842, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 15:46:26', NULL, NULL), (165843, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 15:46:27', NULL, NULL), (165844, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 15:46:28', NULL, NULL), (165845, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 15:46:29', NULL, NULL), (165846, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 15:46:30', NULL, NULL), (165847, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 15:46:30', NULL, NULL), (165848, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 15:46:31', NULL, NULL), (165849, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 15:46:32', NULL, NULL), (165850, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 15:46:33', NULL, NULL), (165851, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 15:46:34', NULL, NULL), (165852, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 15:46:36', NULL, NULL), (165853, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 15:46:37', 1, '2024-08-05 22:12:03'), (165854, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 15:46:40', 1, '2024-08-06 02:01:03'), (165855, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 15:46:44', 1, '2024-08-07 01:00:03'), (165856, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 15:46:47', 1, '2024-08-08 01:00:03'), (165857, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 15:46:50', 1, '2024-08-09 01:00:02'), (165858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 15:47:21', NULL, NULL), (165859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 15:47:24', NULL, NULL), (165860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 15:47:28', NULL, NULL), (165861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 15:47:29', NULL, NULL), (165862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 15:47:30', NULL, NULL), (165863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 15:47:30', NULL, NULL), (165864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 15:47:31', NULL, NULL), (165865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 15:47:32', NULL, NULL), (165866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 15:47:33', NULL, NULL), (165867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 15:47:34', NULL, NULL), (165868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 15:47:34', NULL, NULL), (165869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 15:47:35', NULL, NULL), (165870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 15:47:36', NULL, NULL), (165871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 15:47:37', NULL, NULL), (165872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 15:47:38', NULL, NULL), (165873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 15:47:39', NULL, NULL), (165874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 15:47:40', NULL, NULL), (165875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 15:47:40', NULL, NULL), (165876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 15:47:41', NULL, NULL), (165877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 15:47:42', NULL, NULL), (165878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 15:47:43', NULL, NULL), (165879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 15:47:44', NULL, NULL), (165880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 15:47:45', NULL, NULL), (165881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 15:47:46', NULL, NULL), (165882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 15:47:47', NULL, NULL), (165883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 15:47:48', NULL, NULL), (165884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 15:47:48', NULL, NULL), (165885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 15:47:49', NULL, NULL), (165886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 15:47:50', NULL, NULL), (165887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 15:47:52', NULL, NULL), (165888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 15:47:53', NULL, NULL), (165889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 15:47:54', NULL, NULL), (165890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 15:47:56', NULL, NULL), (165891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 15:47:57', NULL, NULL), (165892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 15:47:58', NULL, NULL), (165893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 15:48:00', NULL, NULL), (165894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 15:48:04', NULL, NULL), (165895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 15:48:07', NULL, NULL), (165896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 15:48:10', NULL, NULL), (165897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 15:48:10', NULL, NULL), (165898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 15:48:11', NULL, NULL), (165899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 15:48:12', NULL, NULL), (165900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 15:48:13', NULL, NULL), (165901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 15:48:13', NULL, NULL), (165902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 15:48:14', NULL, NULL), (165903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 15:48:15', NULL, NULL), (165904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 15:48:16', NULL, NULL), (165905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 15:48:17', NULL, NULL), (165906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 15:48:18', NULL, NULL), (165907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 15:48:19', NULL, NULL), (165908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 15:48:19', NULL, NULL), (165909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 15:48:20', NULL, NULL), (165910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 15:48:21', NULL, NULL), (165911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 15:48:22', NULL, NULL), (165912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 15:48:23', NULL, NULL), (165913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 15:48:24', NULL, NULL), (165914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 15:48:25', NULL, NULL), (165915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 15:48:26', NULL, NULL), (165916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 15:48:27', NULL, NULL), (165917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 15:48:28', NULL, NULL), (165918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 15:48:29', NULL, NULL), (165919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 15:48:30', NULL, NULL), (165920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 15:48:31', NULL, NULL), (165921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 15:48:33', NULL, NULL), (165922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 15:48:34', NULL, NULL), (165923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 15:48:36', NULL, NULL), (165924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 15:48:39', NULL, NULL), (165925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 15:48:43', NULL, NULL), (165926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 15:48:47', NULL, NULL), (165927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 15:48:50', NULL, NULL), (165928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 15:48:54', NULL, NULL), (165929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 15:48:55', NULL, NULL), (165930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 15:48:56', NULL, NULL), (165931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 15:48:57', NULL, NULL), (165932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 15:48:58', NULL, NULL), (165933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 15:48:59', NULL, NULL), (165934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 15:49:00', NULL, NULL), (165935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 15:49:00', NULL, NULL), (165936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 15:49:01', NULL, NULL), (165937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 15:49:02', NULL, NULL), (165938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 15:49:03', NULL, NULL), (165939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 15:49:04', NULL, NULL), (165940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 15:49:05', NULL, NULL), (165941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 15:49:06', NULL, NULL), (165942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 15:49:07', NULL, NULL), (165943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 15:49:08', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (165944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 15:49:09', NULL, NULL), (165945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 15:49:10', NULL, NULL), (165946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 15:49:11', NULL, NULL), (165947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 15:49:12', NULL, NULL), (165948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 15:49:13', NULL, NULL), (165949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 15:49:14', NULL, NULL), (165950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 15:49:15', NULL, NULL), (165951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 15:49:16', NULL, NULL), (165952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 15:49:17', NULL, NULL), (165953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 15:49:19', NULL, NULL), (165954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 15:49:20', NULL, NULL), (165955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 15:49:23', NULL, NULL), (165956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 15:49:27', NULL, NULL), (165957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 15:49:31', NULL, NULL), (165958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 15:49:34', NULL, NULL), (165959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 15:49:36', NULL, NULL), (165960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 15:49:37', NULL, NULL), (165961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 15:49:37', NULL, NULL), (165962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 15:49:38', NULL, NULL), (165963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 15:49:39', NULL, NULL), (165964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 15:49:40', NULL, NULL), (165965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 15:49:41', NULL, NULL), (165966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 15:49:42', NULL, NULL), (165967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 15:49:42', NULL, NULL), (165968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 15:49:43', NULL, NULL), (165969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 15:49:44', NULL, NULL), (165970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 15:49:45', NULL, NULL), (165971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 15:49:46', NULL, NULL), (165972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 15:49:47', NULL, NULL), (165973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 15:49:48', NULL, NULL), (165974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 15:49:48', NULL, NULL), (165975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 15:49:49', NULL, NULL), (165976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 15:49:50', NULL, NULL), (165977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 15:49:51', NULL, NULL), (165978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 15:49:52', NULL, NULL), (165979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 15:49:53', NULL, NULL), (165980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 15:49:54', NULL, NULL), (165981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 15:49:55', NULL, NULL), (165982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 15:49:56', NULL, NULL), (165983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 15:49:57', NULL, NULL), (165984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 15:49:58', NULL, NULL), (165985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 15:49:59', NULL, NULL), (165986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 15:50:00', NULL, NULL), (165987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 15:50:01', NULL, NULL), (165988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 15:50:03', NULL, NULL), (165989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 15:50:04', NULL, NULL), (165990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 15:50:06', NULL, NULL), (165991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 15:50:07', NULL, NULL), (165992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 15:50:08', NULL, NULL), (165993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 15:50:10', NULL, NULL), (165994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 15:50:11', NULL, NULL), (165995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 15:50:13', NULL, NULL), (165996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 15:50:14', NULL, NULL), (165997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 15:50:15', NULL, NULL), (165998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 15:50:17', NULL, NULL), (165999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 15:50:18', NULL, NULL), (166000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 15:50:20', NULL, NULL), (166001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 15:50:21', NULL, NULL), (166002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 15:50:22', NULL, NULL), (166003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 15:50:24', NULL, NULL), (166004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 15:50:25', NULL, NULL), (166005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 15:50:26', NULL, NULL), (166006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 15:50:28', NULL, NULL), (166007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 15:50:29', NULL, NULL), (166008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 15:50:31', NULL, NULL), (166009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 15:50:32', NULL, NULL), (166010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 15:50:33', NULL, NULL), (166011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 15:50:35', NULL, NULL), (166012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 15:50:36', NULL, NULL), (166013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 15:50:38', NULL, NULL), (166014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 15:50:39', NULL, NULL), (166015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 15:50:40', NULL, NULL), (166016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 15:50:42', NULL, NULL), (166017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 15:50:43', NULL, NULL), (166018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 15:50:45', NULL, NULL), (166019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 15:50:46', NULL, NULL), (166020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 15:50:47', NULL, NULL), (166021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 15:50:49', NULL, NULL), (166022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 15:50:50', NULL, NULL), (166023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 15:50:52', NULL, NULL), (166024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 15:50:53', NULL, NULL), (166025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 15:50:54', NULL, NULL), (166026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 15:50:56', NULL, NULL), (166027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 15:50:57', NULL, NULL), (166028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 15:50:58', NULL, NULL), (166029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 15:51:00', NULL, NULL), (166030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 15:51:01', NULL, NULL), (166031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 15:51:03', NULL, NULL), (166032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 15:51:03', NULL, NULL), (166033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 15:51:04', NULL, NULL), (166034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 15:51:05', NULL, NULL), (166035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 15:51:06', NULL, NULL), (166036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 15:51:06', NULL, NULL), (166037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 15:51:07', NULL, NULL), (166038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 15:51:08', NULL, NULL), (166039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 15:51:09', NULL, NULL), (166040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 15:51:10', NULL, NULL), (166041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 15:51:10', NULL, NULL), (166042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 15:51:11', NULL, NULL), (166043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 15:51:12', NULL, NULL), (166044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 15:51:13', NULL, NULL), (166045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 15:51:14', NULL, NULL), (166046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 15:51:14', NULL, NULL), (166047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 15:51:15', NULL, NULL), (166048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 15:51:16', NULL, NULL), (166049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 15:51:17', NULL, NULL), (166050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 15:51:18', NULL, NULL), (166051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 15:51:19', NULL, NULL), (166052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 15:51:20', NULL, NULL), (166053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 15:51:20', NULL, NULL), (166054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 15:51:21', NULL, NULL), (166055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 15:51:22', NULL, NULL), (166056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 15:51:23', NULL, NULL), (166057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 15:51:24', NULL, NULL), (166058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 15:51:25', NULL, NULL), (166059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 15:51:27', NULL, NULL), (166060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 15:51:28', NULL, NULL), (166061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 15:51:29', NULL, NULL), (166062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 15:51:31', NULL, NULL), (166063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 15:51:32', NULL, NULL), (166064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 15:51:33', NULL, NULL), (166065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 15:51:35', NULL, NULL), (166066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 15:51:36', NULL, NULL), (166067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 15:51:38', NULL, NULL), (166068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 15:51:39', NULL, NULL), (166069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 15:51:40', NULL, NULL), (166070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 15:51:42', NULL, NULL), (166071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 15:51:43', NULL, NULL), (166072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 15:51:45', NULL, NULL), (166073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 15:51:46', NULL, NULL), (166074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 15:51:47', NULL, NULL), (166075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 15:51:49', NULL, NULL), (166076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 15:51:50', NULL, NULL), (166077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 15:51:51', NULL, NULL), (166078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 15:51:53', NULL, NULL), (166079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 15:51:54', NULL, NULL), (166080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 15:51:56', NULL, NULL), (166081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 15:51:57', NULL, NULL), (166082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 15:51:58', NULL, NULL), (166083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 15:52:00', NULL, NULL), (166084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 15:52:01', NULL, NULL), (166085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 15:52:03', NULL, NULL), (166086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 15:52:04', NULL, NULL), (166087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 15:52:05', NULL, NULL), (166088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 15:52:07', NULL, NULL), (166089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 15:52:08', NULL, NULL), (166090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 15:52:09', NULL, NULL), (166091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 15:52:11', NULL, NULL), (166092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 15:52:11', NULL, NULL), (166093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 15:52:12', NULL, NULL), (166094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 15:52:13', NULL, NULL), (166095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 15:52:14', NULL, NULL), (166096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 15:52:15', NULL, NULL), (166097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 15:52:15', NULL, NULL), (166098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 15:52:16', NULL, NULL), (166099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 15:52:17', NULL, NULL), (166100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 15:52:18', NULL, NULL), (166101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 15:52:18', NULL, NULL), (166102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 15:52:19', NULL, NULL), (166103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 15:52:20', NULL, NULL), (166104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 15:52:21', NULL, NULL), (166105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 15:52:22', NULL, NULL), (166106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 15:52:23', NULL, NULL), (166107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 15:52:23', NULL, NULL), (166108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 15:52:24', NULL, NULL), (166109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 15:52:25', NULL, NULL), (166110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 15:52:26', NULL, NULL), (166111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 15:52:27', NULL, NULL), (166112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 15:52:28', NULL, NULL), (166113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 15:52:29', NULL, NULL), (166114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 15:52:30', NULL, NULL), (166115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 15:52:30', NULL, NULL), (166116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 15:52:31', NULL, NULL), (166117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 15:52:33', NULL, NULL), (166118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 15:52:34', NULL, NULL), (166119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 15:52:35', NULL, NULL), (166120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 15:52:36', NULL, NULL), (166121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 15:52:38', NULL, NULL), (166122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 15:52:39', NULL, NULL), (166123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 15:52:40', NULL, NULL), (166124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 15:52:42', NULL, NULL), (166125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 15:52:43', NULL, NULL), (166126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 15:52:45', NULL, NULL), (166127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 15:52:46', NULL, NULL), (166128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 15:52:47', NULL, NULL), (166129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 15:52:49', NULL, NULL), (166130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 15:52:50', NULL, NULL), (166131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 15:52:52', NULL, NULL), (166132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 15:52:53', NULL, NULL), (166133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 15:52:54', NULL, NULL), (166134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 15:52:56', NULL, NULL), (166135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 15:52:57', NULL, NULL), (166136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 15:52:58', NULL, NULL), (166137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 15:53:00', NULL, NULL), (166138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 15:53:01', NULL, NULL), (166139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 15:53:02', NULL, NULL), (166140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 15:53:04', NULL, NULL), (166141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 15:53:05', NULL, NULL), (166142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 15:53:07', NULL, NULL), (166143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 15:53:08', NULL, NULL), (166144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 15:53:09', NULL, NULL), (166145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 15:53:11', NULL, NULL), (166146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 15:53:12', NULL, NULL), (166147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 15:53:13', NULL, NULL), (166148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 15:53:15', NULL, NULL), (166149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 15:53:16', NULL, NULL), (166150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 15:53:18', NULL, NULL), (166151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 15:53:19', NULL, NULL), (166152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 15:53:20', NULL, NULL), (166153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 15:53:22', NULL, NULL), (166154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 15:53:23', NULL, NULL), (166155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 15:53:25', NULL, NULL), (166156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 15:53:26', NULL, NULL), (166157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 15:53:28', NULL, NULL), (166158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 15:53:29', NULL, NULL), (166159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 15:53:30', NULL, NULL), (166160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 15:53:32', NULL, NULL), (166161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 15:53:33', NULL, NULL), (166162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 15:53:35', NULL, NULL), (166163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 15:53:36', NULL, NULL), (166164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 15:53:37', NULL, NULL), (166165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 15:53:39', NULL, NULL), (166166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 15:53:40', NULL, NULL), (166167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 15:53:42', NULL, NULL), (166168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 708, 8, 2023, 11, 7, '2024-08-05 15:53:43', NULL, NULL), (166169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 349, 22, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 939, 117, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 324, 536, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 268, 17, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 165, 2, 2023, 11, 12, '2024-08-05 15:53:58', NULL, NULL), (166174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 720, 1038, 2023, 11, 13, '2024-08-05 15:53:59', NULL, NULL), (166175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 634, 976, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (166176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 435, 823, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (166177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 561, 938, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (166178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 931, 860, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (166179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 7, 2023, 11, 18, '2024-08-05 15:54:27', NULL, NULL), (166180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 10643, 1, 2023, 11, 19, '2024-08-05 15:54:29', NULL, NULL), (166181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 627, 974, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (166182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 560, 1082, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (166183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 532, 971, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (166184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 939, 1030, 2023, 11, 23, '2024-08-05 15:54:51', NULL, NULL), (166185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 526, 920, 2023, 11, 24, '2024-08-05 15:54:57', NULL, NULL), (166186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2, 2023, 11, 25, '2024-08-05 15:55:01', NULL, NULL), (166187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 13, 3, 2023, 11, 26, '2024-08-05 15:55:02', NULL, NULL), (166188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 599, 1226, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (166189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 526, 1028, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (166190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 518, 993, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (166191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 577, 919, 2023, 11, 30, '2024-08-05 15:55:16', NULL, NULL), (166192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 672, 907, 2023, 12, 1, '2024-08-05 15:55:23', NULL, NULL), (166193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 625, 6, 2023, 12, 2, '2024-08-05 15:55:42', NULL, NULL), (166194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 3, 2023, 12, 3, '2024-08-05 15:55:44', NULL, NULL), (166195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1009, 1244, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (166196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 711, 1105, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (166197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 704, 1214, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (166198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1038, 982, 2023, 12, 7, '2024-08-05 15:55:57', NULL, NULL), (166199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 462, 918, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (166200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 15:56:07', NULL, NULL), (166201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 15:56:08', NULL, NULL), (166202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 684, 1130, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (166203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 691, 1078, 2023, 12, 12, '2024-08-05 15:56:24', NULL, NULL), (166204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 666, 926, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (166205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 561, 1005, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (166206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 434, 905, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (166207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 5, 2023, 12, 16, '2024-08-05 15:56:46', NULL, NULL), (166208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 4, 2023, 12, 17, '2024-08-05 15:56:47', NULL, NULL), (166209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 623, 1120, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (166210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 503, 937, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (166211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 424, 866, 2023, 12, 20, '2024-08-05 15:56:58', NULL, NULL), (166212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 420, 809, 2023, 12, 21, '2024-08-05 15:57:13', NULL, NULL), (166213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 439, 775, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (166214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 3, 2023, 12, 23, '2024-08-05 15:57:29', NULL, NULL), (166215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 15:57:30', NULL, NULL), (166216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 776, 1015, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (166217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 676, 978, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (166218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 612, 889, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (166219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 434, 840, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (166220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 300, 545, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (166221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 3, 3, 2023, 12, 30, '2024-08-05 15:57:58', NULL, NULL), (166222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 1, 2023, 12, 31, '2024-08-05 15:58:03', NULL, NULL), (166223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 15:58:07', NULL, NULL), (166224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 422, 831, 2024, 1, 2, '2024-08-05 15:58:10', NULL, NULL), (166225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 412, 864, 2024, 1, 3, '2024-08-05 15:58:17', NULL, NULL), (166226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 339, 886, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (166227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 534, 823, 2024, 1, 5, '2024-08-05 15:58:24', NULL, NULL), (166228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 528, 7, 2024, 1, 6, '2024-08-05 15:58:29', NULL, NULL), (166229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 3, 2024, 1, 7, '2024-08-05 15:58:30', NULL, NULL), (166230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 420, 1021, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (166231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 441, 989, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (166232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 512, 844, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (166233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 403, 835, 2024, 1, 11, '2024-08-05 15:58:53', NULL, NULL), (166234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 454, 787, 2024, 1, 12, '2024-08-05 15:59:08', NULL, NULL), (166235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 8, 2024, 1, 13, '2024-08-05 15:59:17', NULL, NULL), (166236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 15:59:18', NULL, NULL), (166237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 729, 1016, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (166238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 641, 799, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (166239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 489, 793, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (166240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 409, 754, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (166241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 457, 677, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (166242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 3, 2024, 1, 20, '2024-08-05 15:59:41', NULL, NULL), (166243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 15:59:44', NULL, NULL), (166244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 504, 821, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (166245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 520, 683, 2024, 1, 23, '2024-08-05 16:00:02', NULL, NULL), (166246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 416, 706, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (166247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 351, 822, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (166248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 321, 726, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (166249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 1, 2024, 1, 27, '2024-08-05 16:00:24', NULL, NULL), (166250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 1, 2024, 1, 28, '2024-08-05 16:00:25', NULL, NULL), (166251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 341, 868, 2024, 1, 29, '2024-08-05 16:00:26', NULL, NULL), (166252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 444, 820, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (166253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 279, 577, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (166254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 593, 785, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (166255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 415, 766, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (166256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 690, 17, 2024, 2, 3, '2024-08-05 16:01:01', NULL, NULL), (166257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 321, 375, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (166258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 478, 949, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (166259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 338, 686, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (166260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 402, 537, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (166261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 405, 329, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (166262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 751, 74, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (166263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 16:01:16', NULL, NULL), (166264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 16:01:17', NULL, NULL), (166265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 16:01:18', NULL, NULL), (166266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 16:01:19', NULL, NULL), (166267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2, 2024, 2, 14, '2024-08-05 16:01:19', NULL, NULL), (166268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 2363, 13, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (166269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 980, 14, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (166270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 7, 2024, 2, 17, '2024-08-05 16:01:22', NULL, NULL), (166271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 784, 786, 2024, 2, 18, '2024-08-05 16:01:23', NULL, NULL), (166272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1240, 1096, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (166273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 883, 937, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (166274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 641, 836, 2024, 2, 21, '2024-08-05 16:01:42', NULL, NULL), (166275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 510, 764, 2024, 2, 22, '2024-08-05 16:01:55', NULL, NULL), (166276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 546, 835, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (166277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 12, 2024, 2, 24, '2024-08-05 16:01:59', NULL, NULL), (166278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 3, 2024, 2, 25, '2024-08-05 16:02:00', NULL, NULL), (166279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 489, 1085, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (166280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 368, 822, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (166281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 398, 813, 2024, 2, 28, '2024-08-05 16:02:05', NULL, NULL), (166282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 307, 799, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (166283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 486, 941, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (166284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1837, 27, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (166285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1870, 6, 2024, 3, 3, '2024-08-05 16:02:16', NULL, NULL), (166286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 572, 1173, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (166287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 532, 893, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (166288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 677, 938, 2024, 3, 6, '2024-08-05 16:02:34', NULL, NULL), (166289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 460, 750, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (166290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 418, 447, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (166291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 109, 3, 2024, 3, 9, '2024-08-05 16:02:54', NULL, NULL), (166292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 1, 2024, 3, 10, '2024-08-05 16:02:55', NULL, NULL), (166293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 493, 869, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (166294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 332, 939, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (166295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 431, 839, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (166296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 362, 723, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (166297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 302, 729, 2024, 3, 15, '2024-08-05 16:03:14', NULL, NULL), (166298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 416, 41, 2024, 3, 16, '2024-08-05 16:03:30', NULL, NULL), (166299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1478, 8, 2024, 3, 17, '2024-08-05 16:03:36', NULL, NULL), (166300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 391, 892, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (166301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 430, 842, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (166302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 379, 697, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (166303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 265, 722, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (166304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 299, 758, 2024, 3, 22, '2024-08-05 16:03:57', NULL, NULL), (166305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1731, 53, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (166306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 20, 2024, 3, 24, '2024-08-05 16:04:05', NULL, NULL), (166307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 474, 882, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (166308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 388, 840, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (166309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 327, 665, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (166310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 287, 702, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (166311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 505, 664, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (166312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 942, 66, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (166313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 573, 23, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (166314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 426, 1015, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (166315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 369, 841, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (166316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 380, 768, 2024, 4, 3, '2024-08-05 16:04:59', NULL, NULL), (166317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 196, 28, 2024, 4, 4, '2024-08-05 16:05:06', NULL, NULL), (166318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 793, 14, 2024, 4, 5, '2024-08-05 16:05:11', NULL, NULL), (166319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 178, 5, 2024, 4, 6, '2024-08-05 16:05:16', NULL, NULL), (166320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 406, 697, 2024, 4, 7, '2024-08-05 16:05:21', NULL, NULL), (166321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 620, 881, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (166322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 295, 698, 2024, 4, 9, '2024-08-05 16:05:33', NULL, NULL), (166323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 325, 729, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (166324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 348, 767, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (166325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 457, 747, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (166326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1730, 49, 2024, 4, 13, '2024-08-05 16:05:49', NULL, NULL), (166327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 831, 18, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (166328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 511, 874, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (166329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 374, 796, 2024, 4, 16, '2024-08-05 16:06:05', NULL, NULL), (166330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 261, 753, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (166331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 267, 776, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (166332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 449, 705, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (166333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 39, 2024, 4, 20, '2024-08-05 16:06:32', NULL, NULL), (166334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 954, 19, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (166335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 390, 857, 2024, 4, 22, '2024-08-05 16:06:34', NULL, NULL), (166336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 634, 811, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (166337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 333, 719, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (166338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 299, 758, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (166339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 455, 725, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (166340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 3386, 79, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (166341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 326, 546, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (166342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 545, 746, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (166343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 459, 665, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (166344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1051, 9, 2024, 5, 1, '2024-08-05 16:07:24', NULL, NULL), (166345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 431, 26, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (166346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 4, 2, 2024, 5, 3, '2024-08-05 16:07:27', NULL, NULL), (166347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 6926, 6, 2024, 5, 4, '2024-08-05 16:07:28', NULL, NULL), (166348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 520, 7, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (166349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 577, 839, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (166350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 592, 954, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (166351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 519, 708, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (166352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 307, 773, 2024, 5, 9, '2024-08-05 16:07:53', NULL, NULL), (166353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 397, 708, 2024, 5, 10, '2024-08-05 16:08:06', NULL, NULL), (166354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 440, 390, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (166355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 627, 12, 2024, 5, 12, '2024-08-05 16:08:12', NULL, NULL), (166356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 330, 812, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (166357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 626, 793, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (166358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 324, 766, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (166359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 339, 676, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (166360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 395, 764, 2024, 5, 17, '2024-08-05 16:08:35', NULL, NULL), (166361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1153, 53, 2024, 5, 18, '2024-08-05 16:08:51', NULL, NULL), (166362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1695, 45, 2024, 5, 19, '2024-08-05 16:08:57', NULL, NULL), (166363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 514, 748, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (166364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 382, 719, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (166365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 387, 707, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (166366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 321, 698, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (166367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 581, 684, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (166368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 414, 49, 2024, 5, 25, '2024-08-05 16:09:24', NULL, NULL), (166369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 26, 2024, 5, 26, '2024-08-05 16:09:26', NULL, NULL), (166370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 389, 665, 2024, 5, 27, '2024-08-05 16:09:28', NULL, NULL), (166371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 289, 571, 2024, 5, 28, '2024-08-05 16:09:42', NULL, NULL), (166372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 414, 642, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (166373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 435, 727, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (166374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 344, 515, 2024, 5, 31, '2024-08-05 16:10:00', NULL, NULL), (166375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1359, 25, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL), (166376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 3251, 8, 2024, 6, 2, '2024-08-05 16:10:05', NULL, NULL), (166377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 706, 909, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (166378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 371, 659, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (166379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 394, 820, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (166380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 683, 648, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (166381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 363, 681, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (166382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1012, 32, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (166383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 475, 22, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (166384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 846, 8, 2024, 6, 10, '2024-08-05 16:10:52', NULL, NULL), (166385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 300, 605, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (166386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 332, 751, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (166387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 718, 995, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (166388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 403, 832, 2024, 6, 14, '2024-08-05 16:11:04', NULL, NULL), (166389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1181, 50, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (166390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 487, 49, 2024, 6, 16, '2024-08-05 16:11:10', NULL, NULL), (166391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 486, 957, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (166392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 430, 695, 2024, 6, 18, '2024-08-05 16:11:23', NULL, NULL), (166393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 428, 809, 2024, 6, 19, '2024-08-05 16:11:37', NULL, NULL), (166394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 341, 791, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (166395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 374, 800, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (166396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 4953, 43, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (166397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 603, 42, 2024, 6, 23, '2024-08-05 16:11:53', NULL, NULL), (166398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 755, 1199, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (166399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 380, 921, 2024, 6, 25, '2024-08-05 16:11:59', NULL, NULL), (166400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 372, 619, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (166401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 285, 822, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (166402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 848, 915, 2024, 6, 28, '2024-08-05 16:12:27', NULL, NULL), (166403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 945, 76, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (166404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 502, 150, 2024, 6, 30, '2024-08-05 16:12:38', NULL, NULL), (166405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 975, 1562, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (166406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 532, 1420, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (166407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 593, 1545, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (166408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 510, 1189, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (166409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 555, 1098, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (166410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 334, 77, 2024, 7, 6, '2024-08-05 16:13:06', NULL, NULL), (166411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1698, 57, 2024, 7, 7, '2024-08-05 16:13:11', NULL, NULL), (166412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 800, 1382, 2024, 7, 8, '2024-08-05 16:13:16', NULL, NULL), (166413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 531, 1135, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (166414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 557, 1060, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (166415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 438, 1003, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (166416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 479, 916, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (166417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 476, 40, 2024, 7, 13, '2024-08-05 16:13:49', NULL, NULL), (166418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 200, 12, 2024, 7, 14, '2024-08-05 16:13:51', NULL, NULL), (166419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 921, 1283, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (166420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 952, 881, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (166421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 609, 794, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (166422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 287, 882, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (166423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 405, 845, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (166424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1643, 46, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (166425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 190, 14, 2024, 7, 21, '2024-08-05 16:14:36', NULL, NULL), (166426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1026, 979, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (166427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 339, 778, 2024, 7, 23, '2024-08-05 16:14:42', NULL, NULL), (166428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 339, 765, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (166429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 282, 743, 2024, 7, 25, '2024-08-05 16:14:52', NULL, NULL), (166430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 686, 697, 2024, 7, 26, '2024-08-05 16:15:05', NULL, NULL), (166431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 678, 42, 2024, 7, 27, '2024-08-05 16:15:19', NULL, NULL), (166432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 523, 16, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (166433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 644, 1042, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (166434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 641, 889, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (166435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 510, 823, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (166436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 618, 779, 2024, 8, 1, '2024-08-05 16:15:34', 1, '2024-08-05 20:13:35'), (166437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 395, 801, 2024, 8, 2, '2024-08-05 16:15:37', 1, '2024-08-06 02:01:03'), (166438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1226, 31, 2024, 8, 3, '2024-08-05 16:15:40', 1, '2024-08-07 01:00:03'), (166439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 837, 18, 2024, 8, 4, '2024-08-05 16:15:41', 1, '2024-08-08 01:00:03'), (166440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 861, 1147, 2024, 8, 5, '2024-08-05 16:15:42', 1, '2024-08-09 01:00:02'), (166441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1392, 1, 2023, 11, 7, '2024-08-05 15:53:43', NULL, NULL), (166442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管局', '', '', 854, 5, 2023, 11, 7, '2024-08-05 15:53:43', NULL, NULL), (166443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 1, 2023, 11, 7, '2024-08-05 15:53:43', NULL, NULL), (166444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 944, 6, 2023, 11, 7, '2024-08-05 15:53:43', NULL, NULL), (166445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 0, 1, 2023, 11, 7, '2024-08-05 15:53:43', NULL, NULL), (166446, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2023, 11, 7, '2024-08-05 15:53:43', NULL, NULL), (166447, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1392, 1, 2023, 11, 7, '2024-08-05 15:53:43', NULL, NULL), (166448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 1392, 1, 2023, 11, 7, '2024-08-05 15:53:43', NULL, NULL), (166449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A14', 854, 5, 2023, 11, 7, '2024-08-05 15:53:43', NULL, NULL), (166450, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 1392, 1, 2023, 11, 7, '2024-08-05 15:53:43', NULL, NULL), (166451, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 1392, 1, 2023, 11, 7, '2024-08-05 15:53:43', NULL, NULL), (166452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 1392, 1, 2023, 11, 7, '2024-08-05 15:53:44', NULL, NULL), (166453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管局', '', '2A14', 854, 5, 2023, 11, 7, '2024-08-05 15:53:44', NULL, NULL), (166454, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 1392, 1, 2023, 11, 7, '2024-08-05 15:53:44', NULL, NULL), (166455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 597, 11, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏生态环境局', '', '', 32, 4, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '', 425, 2, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '', 72, 2, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 264, 2, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 597, 11, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 15, 1, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 31, 5, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 0, 1, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 213, 2, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166465, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 1264, 4, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166466, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 215, 7, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166467, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '', 32, 4, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166468, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 170, 5, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166469, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '', 72, 2, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 1, 1, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 1685, 3, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B02', 60, 1, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 215, 7, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B01', 85, 1, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B10', 32, 4, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B08', 425, 2, 2023, 11, 8, '2024-08-05 15:53:45', NULL, NULL), (166477, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '翠屏生态环境局', '', '', 32, 4, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166478, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 215, 7, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166479, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 1264, 4, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166480, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '', 425, 2, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166481, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '区发展改革局', '', '', 72, 2, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166482, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '2B10', 32, 4, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166483, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 1, 1, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166484, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 1685, 3, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166485, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 215, 7, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166486, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '2B08', 425, 2, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166487, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '2B02', 60, 1, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166488, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '2B01', 85, 1, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 1, 1, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏生态环境局', '', '2B10', 32, 4, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 215, 7, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 1685, 3, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '2B08', 425, 2, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '2B02', 60, 1, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '2B01', 85, 1, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166496, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 1, 1, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166497, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 1685, 3, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166498, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '翠屏生态环境局', '', '2B10', 32, 4, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166499, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '2B08', 425, 2, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166500, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '区发展改革局', '', '2B01', 85, 1, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166501, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '区发展改革局', '', '2B02', 60, 1, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166502, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 215, 7, 2023, 11, 8, '2024-08-05 15:53:46', NULL, NULL), (166503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 1040, 3, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 226, 2, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 5853, 11, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 464, 90, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏生态环境局', '', '', 82, 1, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '', 8, 1, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 1016, 28, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 250, 6, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 4, 1, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 664, 1, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 339, 22, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 508, 8, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 1871, 30, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 532, 16, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166517, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 226, 2, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166518, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 499, 6, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166519, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166520, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 127, 1, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166521, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 36, 7, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166522, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 464, 90, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166523, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 7391, 4, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166524, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166525, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '', 82, 1, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166526, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '', 8, 1, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166527, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 11522, 3, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 459, 11, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 127, 1, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 365, 14, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B06', 64, 1, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 487, 12, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B05', 388, 1, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 467, 19, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 1497, 2, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 511, 17, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 36, 7, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 14783, 2, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B01', 8, 1, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 17284, 2, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 485, 17, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B10', 82, 1, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166543, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 226, 2, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166544, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 464, 90, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166545, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 36, 7, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166546, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '翠屏生态环境局', '', '', 82, 1, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166547, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 127, 1, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166548, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 14783, 2, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166549, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 1497, 2, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166550, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '区发展改革局', '', '', 8, 1, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166551, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 17284, 2, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166552, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 36, 7, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166553, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 14783, 2, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166554, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B05', 388, 1, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166555, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 127, 1, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166556, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B06', 64, 1, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166557, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 485, 17, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166558, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 459, 11, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166559, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '2B10', 82, 1, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166560, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 1497, 2, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166561, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 17284, 2, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166562, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 467, 19, 2023, 11, 9, '2024-08-05 15:53:48', NULL, NULL), (166563, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 511, 17, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166564, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 365, 14, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166565, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '2B01', 8, 1, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166566, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 487, 12, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 365, 14, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 459, 11, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 485, 17, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 17284, 2, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 14783, 2, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 36, 7, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B05', 388, 1, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 511, 17, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B06', 64, 1, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 467, 19, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 487, 12, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 1497, 2, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏生态环境局', '', '2B10', 82, 1, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 127, 1, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '2B01', 8, 1, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166582, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B05', 388, 1, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166583, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 485, 17, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166584, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B06', 64, 1, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166585, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 459, 11, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166586, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 127, 1, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166587, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 365, 14, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166588, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '翠屏生态环境局', '', '2B10', 82, 1, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166589, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 487, 12, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166590, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 467, 19, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166591, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 511, 17, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166592, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 17284, 2, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166593, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 1497, 2, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166594, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 36, 7, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166595, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '区发展改革局', '', '2B01', 8, 1, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166596, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 14783, 2, 2023, 11, 9, '2024-08-05 15:53:49', NULL, NULL), (166597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 658, 128, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 4593, 1, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 11, 3, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 90, 184, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 166, 68, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 410, 135, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 249, 101, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 377, 86, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 353, 39, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 485, 38, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 178, 77, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 344, 52, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 401, 98, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 305, 33, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166611, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 4593, 1, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166612, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 457, 12, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166613, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 9, 2, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166614, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 90, 184, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166615, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 7, 2, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166616, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 1149, 26, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166617, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 85, 43, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166618, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 413, 71, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166619, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 292, 55, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166620, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 176, 14, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166621, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 140, 25, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166622, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 3, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166623, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 665, 52, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166624, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 651, 25, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166625, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 1067, 6, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166626, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 504, 7, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166627, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 196, 6, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166628, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 127, 24, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 140, 25, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 651, 25, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 61, 49, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 892, 14, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 32, 2, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B05', 4593, 1, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 128, 24, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 28, 1, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 519, 25, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 110, 30, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 9, 2, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 702, 13, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 53, 27, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 13, 3, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 14, 1, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 30, 4, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 156, 8, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 308, 19, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 132, 5, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 70, 2, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D14', 993, 10, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 89, 30, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 1149, 26, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 196, 18, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 131, 24, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 669, 25, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 325, 28, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 458, 14, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 262, 27, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 198, 13, 2023, 11, 10, '2024-08-05 15:53:51', NULL, NULL), (166660, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '', 706, 5, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166661, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 189, 13, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166662, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 297, 54, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166663, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 9, 2, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166664, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 90, 184, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166665, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 171, 5, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166666, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 1281, 5, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166667, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 651, 25, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166668, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 64, 39, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166669, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 140, 25, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166670, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 4593, 1, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166671, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 1149, 26, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166672, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 498, 11, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166673, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 14, 1, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166674, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 413, 71, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166675, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 665, 52, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166676, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 69, 1, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166677, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 46, 8, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166678, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 81, 6, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166679, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 71, 1, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166680, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 132, 5, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166681, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 30, 4, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166682, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 140, 25, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166683, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 13, 3, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166684, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 458, 14, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166685, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 14, 1, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166686, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 262, 27, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166687, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 198, 13, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166688, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B05', 4593, 1, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166689, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '3D14', 706, 5, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166690, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 651, 25, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166691, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D14', 1281, 5, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166692, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 519, 25, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166693, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 702, 13, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166694, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 892, 14, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166695, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 199, 12, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166696, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 9, 2, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166697, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 89, 30, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166698, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 382, 2, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166699, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 127, 24, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166700, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 498, 11, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166701, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 62, 12, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166702, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 669, 25, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166703, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 110, 30, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166704, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 196, 18, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166705, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 28, 1, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166706, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 53, 27, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166707, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A01', 32, 2, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166708, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 1149, 26, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166709, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 61, 49, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166710, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 325, 28, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166711, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 128, 24, 2023, 11, 10, '2024-08-05 15:53:52', NULL, NULL), (166712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 61, 49, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 127, 24, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 89, 30, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 131, 24, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 14, 1, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 9, 2, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B05', 4593, 1, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 53, 27, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 110, 30, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 128, 24, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 325, 28, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 198, 13, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 669, 25, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 196, 18, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 262, 27, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 458, 14, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A01', 32, 2, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 702, 13, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 132, 5, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 70, 2, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 156, 8, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 1149, 26, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 308, 19, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 13, 3, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 651, 25, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 30, 4, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 140, 25, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 28, 1, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 519, 25, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 892, 14, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D14', 993, 10, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166743, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '3D14', 706, 5, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166744, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 69, 1, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166745, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 89, 30, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166746, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 127, 24, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166747, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 651, 25, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166748, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 61, 49, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166749, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 128, 24, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166750, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 110, 30, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166751, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 53, 27, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166752, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 196, 18, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166753, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 669, 25, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166754, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 62, 12, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166755, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 325, 28, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166756, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 702, 13, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166757, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 9, 2, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166758, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 1149, 26, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166759, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 519, 25, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166760, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 892, 14, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166761, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B05', 4593, 1, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166762, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 498, 11, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166763, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 458, 14, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166764, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 262, 27, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166765, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D14', 1281, 5, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166766, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 198, 13, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166767, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 382, 2, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166768, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 140, 25, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166769, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 28, 1, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166770, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 199, 12, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166771, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A01', 32, 2, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166772, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 30, 4, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166773, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 81, 6, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166774, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 13, 3, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166775, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 71, 1, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166776, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 46, 8, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166777, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 132, 5, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166778, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 14, 1, 2023, 11, 10, '2024-08-05 15:53:53', NULL, NULL), (166779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 462, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 366, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区残联', '', '', 600, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 296, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 13, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 479, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 357, 2, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 46, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 178, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区林业竹业局', '', '', 218, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区司法局', '', '', 83, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 552, 2, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 230, 15, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 552, 2, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166793, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 218, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166794, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 0, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166795, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', '', 600, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166796, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 462, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166797, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 552, 2, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166798, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 0, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166799, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 13, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166800, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 479, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166801, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 366, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166802, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 46, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166803, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 41, 2, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166804, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 357, 2, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 479, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 357, 2, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A15', 600, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 83, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 46, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 178, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 961, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 218, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 143, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 296, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 13, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 462, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 366, 1, 2023, 11, 11, '2024-08-05 15:53:55', NULL, NULL), (166818, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 46, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166819, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 552, 2, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166820, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '区残联', '', '', 600, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166821, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '区司法局', '', '', 83, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166822, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '区林业竹业局', '', '', 218, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166823, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 366, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166824, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 357, 2, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166825, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 13, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166826, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '区退役军人局', '', '', 462, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166827, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 479, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166828, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 479, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166829, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', 'A07', 218, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166830, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 46, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (166831, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 357, 2, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166832, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', 'A15', 600, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166833, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', 'A04', 83, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166834, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', 'B08', 462, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166835, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 366, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166836, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 13, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166837, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 143, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166838, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 961, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 178, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 46, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 357, 2, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区残联', '', 'A15', 600, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 366, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 296, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区林业竹业局', '', 'A07', 218, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 13, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B08', 462, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 143, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区司法局', '', 'A04', 83, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 961, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 479, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166852, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 366, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166853, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 13, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166854, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 357, 2, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166855, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '区残联', '', 'A15', 600, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166856, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '区司法局', '', 'A04', 83, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166857, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 46, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166858, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '区退役军人局', '', 'B08', 462, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166859, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 143, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166860, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 961, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166861, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 479, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166862, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '区林业竹业局', '', 'A07', 218, 1, 2023, 11, 11, '2024-08-05 15:53:56', NULL, NULL), (166863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 165, 2, 2023, 11, 12, '2024-08-05 15:53:58', NULL, NULL), (166864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 165, 2, 2023, 11, 12, '2024-08-05 15:53:58', NULL, NULL), (166865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 165, 2, 2023, 11, 12, '2024-08-05 15:53:58', NULL, NULL), (166866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 165, 2, 2023, 11, 12, '2024-08-05 15:53:58', NULL, NULL), (166867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 483, 133, 2023, 11, 13, '2024-08-05 15:53:59', NULL, NULL), (166868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 308, 2, 2023, 11, 13, '2024-08-05 15:53:59', NULL, NULL), (166869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 794, 2, 2023, 11, 13, '2024-08-05 15:53:59', NULL, NULL), (166870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区水利局', '', '', 425, 2, 2023, 11, 13, '2024-08-05 15:53:59', NULL, NULL), (166871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 2392, 1, 2023, 11, 13, '2024-08-05 15:53:59', NULL, NULL), (166872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1617, 243, 2023, 11, 13, '2024-08-05 15:53:59', NULL, NULL), (166873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '', 8, 2, 2023, 11, 13, '2024-08-05 15:53:59', NULL, NULL), (166874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏生态环境局', '', '', 42, 1, 2023, 11, 13, '2024-08-05 15:53:59', NULL, NULL), (166875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1404, 15, 2023, 11, 13, '2024-08-05 15:53:59', NULL, NULL), (166876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 359, 2, 2023, 11, 13, '2024-08-05 15:53:59', NULL, NULL), (166877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 1938, 4, 2023, 11, 13, '2024-08-05 15:53:59', NULL, NULL), (166878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 329, 260, 2023, 11, 13, '2024-08-05 15:53:59', NULL, NULL), (166879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 570, 34, 2023, 11, 13, '2024-08-05 15:53:59', NULL, NULL), (166880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 176, 175, 2023, 11, 13, '2024-08-05 15:53:59', NULL, NULL), (166881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '', 136, 3, 2023, 11, 13, '2024-08-05 15:53:59', NULL, NULL), (166882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 873, 134, 2023, 11, 13, '2024-08-05 15:53:59', NULL, NULL), (166883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区自然资源和规划分局', '', '', 371, 2, 2023, 11, 13, '2024-08-05 15:53:59', NULL, NULL), (166884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 900, 165, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 767, 146, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 800, 43, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 680, 45, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 736, 219, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 571, 139, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 583, 168, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 770, 96, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166892, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 308, 2, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166893, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 2456, 5, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166894, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '', 212, 4, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166895, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 794, 2, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166896, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 88, 5, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166897, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 329, 260, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166898, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1404, 15, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166899, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 2392, 1, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166900, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 16, 2, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166901, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1123, 76, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166902, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 3082, 18, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166903, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '', 8, 2, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166904, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 1938, 4, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166905, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 110, 11, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166906, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 145, 21, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166907, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 341, 65, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166908, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 6452, 8, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166909, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 530, 46, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166910, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 476, 7, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166911, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 27, 1, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166912, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 440, 15, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166913, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 3711, 3, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166914, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 324, 10, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166915, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 16, 1, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166916, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 371, 22, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166917, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1763, 2, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166918, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 94, 5, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166919, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 563, 24, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166920, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 212, 52, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166921, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 155, 135, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166922, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '', 21, 2, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166923, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 239, 3, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166924, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 326, 5, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166925, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 1194, 17, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166926, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 2, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166927, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 2, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166928, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 304, 27, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166929, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 1848, 107, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166930, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 3435, 6, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166931, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166932, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 2357, 15, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166933, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 281, 2, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166934, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 102, 4, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166935, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '', 371, 2, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 1194, 17, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 295, 60, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 304, 27, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 295, 57, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 346, 45, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 341, 21, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 400, 27, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 503, 41, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 247, 17, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 654, 29, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 254, 37, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 32, 18, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 426, 23, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 318, 17, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 153, 23, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 291, 36, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 1901, 40, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 195, 19, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 2257, 17, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 305, 30, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 1851, 33, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 563, 24, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 275, 20, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 178, 26, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 123, 31, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 216, 11, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 231, 5, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 270, 15, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 1307, 17, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1990, 10, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 359, 2, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 94, 5, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 440, 15, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 110, 11, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 324, 10, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 326, 5, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 2947, 12, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 2061, 2, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 3264, 17, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1066, 40, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 569, 15, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 1582, 19, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B07', 187, 2, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B06', 583, 1, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B05', 33, 1, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1763, 2, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B04', 687, 1, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 548, 4, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B03', 55, 1, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 4, 1, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 203, 8, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 3711, 3, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B01', 8, 2, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 55, 3, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 222, 6, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 4, 1, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 33, 1, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 27, 1, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 2456, 5, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 7374, 7, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D15', 3435, 6, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (166997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B09', 425, 2, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B08', 34, 1, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (166999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 281, 2, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B15', 451, 2, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (167001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 23, 2, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 1079, 1, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (167003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 655, 2, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (167004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B10', 42, 1, 2023, 11, 13, '2024-08-05 15:54:00', NULL, NULL), (167005, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 145, 21, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167006, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1123, 76, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167007, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 94, 5, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167008, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 33, 1, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167009, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 329, 260, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167010, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 88, 5, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167011, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 16, 1, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167012, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 281, 2, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167013, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1763, 2, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167014, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '翠屏生态环境局', '', '', 42, 1, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167015, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 304, 27, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167016, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 150, 131, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167017, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 324, 10, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167018, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '', 136, 3, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167019, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1404, 15, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167020, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 308, 2, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167021, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 1938, 4, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167022, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 359, 2, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167023, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 371, 22, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167024, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 3711, 3, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167025, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 7374, 7, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167026, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 1848, 107, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167027, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 212, 52, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167028, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 341, 65, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167029, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 326, 5, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167030, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 794, 2, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167031, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 3435, 6, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167032, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 1194, 17, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167033, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 530, 46, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167034, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 476, 7, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167035, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 110, 11, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167036, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '区水利局', '', '', 425, 2, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167037, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 2392, 1, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167038, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 440, 15, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167039, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 563, 24, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167040, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 2947, 12, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167041, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 27, 1, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167042, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '区自然资源和规划分局', '', '', 371, 2, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167043, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 3264, 17, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167044, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '区发展改革局', '', '', 8, 2, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167045, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 2456, 5, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167046, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 177, 12, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167047, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1990, 10, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167048, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 231, 5, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167049, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 3264, 17, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167050, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 2061, 2, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167051, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 112, 1, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167052, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1066, 40, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167053, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 569, 15, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167054, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 2, 2, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167055, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 1582, 19, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167056, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 4, 1, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167057, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 323, 1, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167058, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 304, 27, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167059, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D15', 3435, 6, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167060, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 324, 10, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167061, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 101, 9, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167062, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 2392, 1, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167063, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '2B01', 8, 2, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167064, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 2947, 12, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167065, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 94, 5, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167066, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 440, 15, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167067, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '2B04', 687, 1, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167068, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 2257, 17, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167069, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '2B03', 55, 1, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167070, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 1851, 33, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167071, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 1901, 40, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167072, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1763, 2, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167073, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '2B10', 42, 1, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167074, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 27, 1, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167075, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 132, 22, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167076, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 164, 14, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167077, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 153, 23, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167078, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 3711, 3, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167079, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 272, 17, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167080, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 195, 19, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167081, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 2456, 5, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167082, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 107, 19, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167083, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 1194, 17, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167084, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 33, 17, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167085, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B05', 33, 1, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167086, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '2B08', 34, 1, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167087, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B06', 583, 1, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167088, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '2B07', 187, 2, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167089, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 1307, 17, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167090, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 318, 17, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167091, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 400, 27, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167092, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 281, 2, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167093, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 654, 29, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167094, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 247, 17, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167095, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 341, 21, 2023, 11, 13, '2024-08-05 15:54:01', NULL, NULL), (167096, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 655, 2, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167097, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 1079, 1, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167098, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 23, 2, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167099, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B15', 451, 2, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167100, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 794, 2, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167101, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 33, 1, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167102, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 359, 2, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167103, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 1938, 4, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167104, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '2B09', 425, 2, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167105, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 7374, 7, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167106, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 275, 20, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167107, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 295, 60, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167108, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 16, 1, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167109, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 326, 5, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167110, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 371, 22, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167111, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 110, 11, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167112, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 216, 11, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167113, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 503, 41, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167114, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 178, 26, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167115, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 254, 37, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167116, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 563, 24, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167117, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 295, 57, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167118, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 270, 15, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167119, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 346, 45, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 794, 2, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 295, 57, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 295, 60, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 275, 20, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 123, 31, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 1938, 4, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 254, 37, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 503, 41, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 346, 45, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 270, 15, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 1079, 1, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 1582, 19, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 216, 11, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 655, 2, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 178, 26, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 2061, 2, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 569, 15, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '2B01', 8, 2, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 23, 2, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1066, 40, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B15', 451, 2, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 1307, 17, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区自然资源和规划分局', '', '2B04', 687, 1, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区自然资源和规划分局', '', '2B03', 55, 1, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 359, 2, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 2392, 1, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏生态环境局', '', '2B10', 42, 1, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 2257, 17, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 1851, 33, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 1901, 40, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 318, 17, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D15', 3435, 6, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 654, 29, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1763, 2, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B05', 33, 1, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '2B08', 34, 1, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B06', 583, 1, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '2B07', 187, 2, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 2947, 12, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1990, 10, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 3264, 17, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 324, 10, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 326, 5, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 110, 11, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 94, 5, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 231, 5, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 440, 15, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 303, 2, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 281, 2, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区水利局', '', '2B09', 425, 2, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 247, 17, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 33, 1, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 195, 19, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 4, 1, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 7374, 7, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 233, 29, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 2456, 5, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 153, 23, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 563, 24, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 27, 1, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 291, 36, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 3711, 3, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 203, 8, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 304, 27, 2023, 11, 13, '2024-08-05 15:54:02', NULL, NULL), (167184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 32, 18, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 4, 1, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 107, 19, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 1194, 17, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 400, 27, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 222, 6, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 55, 3, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 341, 21, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167192, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '区水利局', '', '2B09', 425, 2, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167193, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 2456, 5, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167194, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 304, 27, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167195, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 178, 26, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167196, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 216, 11, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167197, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 132, 22, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167198, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 247, 17, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167199, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 270, 15, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167200, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 400, 27, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167201, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 341, 21, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167202, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '区发展改革局', '', '2B01', 8, 2, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167203, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 323, 1, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167204, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 4, 1, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167205, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 2, 2, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167206, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 112, 1, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167207, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B05', 33, 1, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167208, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B06', 583, 1, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167209, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 1194, 17, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167210, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 27, 1, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167211, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 94, 5, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167212, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 1307, 17, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167213, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 440, 15, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167214, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 324, 10, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167215, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 2392, 1, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167216, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1763, 2, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167217, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 110, 11, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167218, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 177, 12, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167219, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 2947, 12, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167220, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 275, 20, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167221, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 295, 60, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167222, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 654, 29, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167223, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 295, 57, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167224, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 346, 45, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167225, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 7374, 7, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167226, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 503, 41, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167227, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 318, 17, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167228, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 254, 37, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167229, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 33, 1, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167230, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 1938, 4, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167231, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 794, 2, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167232, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '区自然资源和规划分局', '', '2B04', 687, 1, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (167233, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 1901, 40, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167234, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '区自然资源和规划分局', '', '2B03', 55, 1, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167235, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 563, 24, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167236, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1990, 10, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167237, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 231, 5, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167238, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 1851, 33, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167239, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 3264, 17, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167240, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 326, 5, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167241, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 2257, 17, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167242, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 359, 2, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167243, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 371, 22, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167244, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '翠屏生态环境局', '', '2B10', 42, 1, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167245, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 2061, 2, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167246, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1066, 40, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167247, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 569, 15, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167248, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 281, 2, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167249, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D15', 3435, 6, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167250, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 1582, 19, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167251, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 16, 1, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167252, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 655, 2, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167253, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 101, 9, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167254, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 1079, 1, 2023, 11, 13, '2024-08-05 15:54:03', NULL, NULL), (167255, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 107, 19, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167256, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 23, 2, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167257, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 153, 23, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167258, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '2B07', 187, 2, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167259, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B15', 451, 2, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167260, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 3711, 3, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167261, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 33, 17, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167262, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 272, 17, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167263, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '2B08', 34, 1, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167264, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 164, 14, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167265, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 195, 19, 2023, 11, 13, '2024-08-05 15:54:04', NULL, NULL), (167266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 218, 105, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 3088, 6, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 230, 1, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 17, 2, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 608, 213, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 55, 6, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 19149, 4, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 817, 313, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 207, 139, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 74, 18, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 565, 151, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 1072, 181, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 711, 116, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 473, 32, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 404, 40, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 497, 199, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 571, 166, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 415, 125, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 543, 94, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167285, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 230, 1, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167286, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 7, 5, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167287, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167288, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 60, 5, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167289, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 605, 214, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167290, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 74, 18, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167291, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167292, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 759, 26, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167293, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 706, 79, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167294, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 3088, 6, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167295, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 44, 10, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167296, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 256, 17, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167297, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 208, 51, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167298, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 374, 27, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167299, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 573, 47, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167300, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 30, 1, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167301, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 0, 1, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167302, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 143, 10, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167303, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 14, 5, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167304, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 454, 12, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167305, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 1, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167306, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167307, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 450, 19, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167308, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 835, 3, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167309, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 630, 5, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167310, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1480, 9, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167311, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 221, 19, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167312, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 425, 69, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167313, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 154, 103, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167314, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 2060, 9, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167315, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 155, 18, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167316, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 81, 2, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167317, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 279, 19, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167318, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 561, 136, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167319, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 10, 2, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167320, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167321, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 4985, 15, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167322, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 1032, 3, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167323, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 867, 44, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 155, 18, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 279, 19, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 737, 43, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 92, 11, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 684, 38, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 152, 24, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 392, 47, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 397, 15, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 602, 18, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 424, 35, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 105, 19, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 792, 30, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 555, 29, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 134, 22, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 378, 25, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 526, 28, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 4898, 16, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 679, 9, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 203, 22, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 473, 48, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 1240, 12, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 233, 18, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 53, 6, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 195, 15, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 521, 43, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 85, 4, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 194, 14, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 72, 14, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 294, 6, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 353, 16, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 556, 22, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1480, 9, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 143, 10, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 44, 10, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 454, 12, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 2060, 9, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 81, 2, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 5751, 13, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 759, 26, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 726, 40, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 47, 7, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 825, 32, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B06', 230, 1, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 835, 3, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 148, 2, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 17, 2, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 31, 1, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 2, 2, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 780, 4, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 17, 4, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 1, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 408, 6, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 374, 27, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D14', 20, 1, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 1032, 3, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 30, 1, 2023, 11, 14, '2024-08-05 15:54:06', NULL, NULL), (167381, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 256, 17, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167382, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 706, 79, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167383, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 2060, 9, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167384, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1480, 9, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167385, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 17, 2, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167386, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 608, 213, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167387, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 60, 5, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167388, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 1032, 3, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167389, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 835, 3, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167390, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 20, 1, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167391, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 279, 19, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167392, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 154, 103, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167393, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 81, 2, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167394, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 155, 18, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167395, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 454, 12, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167396, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 74, 18, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167397, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 630, 5, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167398, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 230, 1, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167399, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 573, 47, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167400, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 3088, 6, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167401, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 30, 1, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167402, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 44, 10, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167403, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 143, 10, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167404, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 233, 18, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167405, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 450, 19, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167406, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 5751, 13, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167407, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 17, 4, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167408, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 759, 26, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167409, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 374, 27, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167410, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 565, 135, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167411, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 425, 69, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167412, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 212, 50, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167413, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 326, 10, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167414, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 72, 14, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167415, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 85, 4, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167416, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 759, 26, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167417, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 726, 40, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167418, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 148, 2, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167419, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 47, 7, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167420, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 825, 32, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167421, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 2, 2, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167422, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 1, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167423, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 279, 19, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167424, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D14', 20, 1, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167425, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 158, 7, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167426, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 454, 12, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167427, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 5751, 13, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167428, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1480, 9, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167429, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 143, 10, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167430, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 1240, 12, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167431, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 679, 9, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167432, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 473, 48, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167433, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 526, 28, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167434, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 835, 3, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167435, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 556, 22, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167436, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 31, 1, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167437, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 780, 4, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167438, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 228, 8, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167439, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 148, 6, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167440, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 134, 22, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167441, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 100, 12, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167442, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 17, 4, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167443, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 147, 12, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167444, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 217, 24, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167445, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 155, 18, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167446, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 105, 19, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167447, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B06', 230, 1, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167448, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 353, 16, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167449, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 555, 29, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167450, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 1032, 3, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167451, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 602, 18, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167452, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 152, 24, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167453, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 397, 15, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167454, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 92, 11, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167455, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 30, 1, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167456, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 17, 2, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167457, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 408, 6, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167458, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 3088, 6, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167459, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 53, 6, 2023, 11, 14, '2024-08-05 15:54:07', NULL, NULL), (167460, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 374, 27, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167461, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 867, 44, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167462, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 2060, 9, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167463, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 450, 19, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167464, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 44, 10, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167465, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 194, 14, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167466, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 392, 47, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167467, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 521, 43, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167468, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 424, 35, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167469, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 233, 18, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167470, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 737, 43, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167471, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 81, 2, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167472, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 294, 6, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167473, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 684, 38, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 737, 43, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 867, 44, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 53, 6, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 195, 15, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 3088, 6, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 17, 2, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 424, 35, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 392, 47, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 684, 38, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 294, 6, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 194, 14, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 521, 43, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 726, 40, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 81, 2, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 30, 1, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 825, 32, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 47, 7, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 353, 16, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 556, 22, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 408, 6, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 19149, 4, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 1240, 12, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 679, 9, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 473, 48, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 526, 28, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 555, 29, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 602, 18, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D14', 20, 1, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 835, 3, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B06', 230, 1, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 72, 14, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 5751, 13, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 759, 26, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 454, 12, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 2060, 9, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 44, 10, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1480, 9, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 85, 4, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 143, 10, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 148, 2, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 1032, 3, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 397, 15, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 147, 12, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 374, 27, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 203, 22, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 233, 18, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 134, 22, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 378, 25, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 2, 2, 2023, 11, 14, '2024-08-05 15:54:08', NULL, NULL), (167523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 17, 4, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 105, 19, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 279, 19, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 217, 24, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 155, 18, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 1, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 31, 1, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 152, 24, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 780, 4, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 92, 11, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167533, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 408, 6, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167534, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 279, 19, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167535, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 521, 43, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167536, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 194, 14, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167537, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 228, 8, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167538, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 397, 15, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167539, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 294, 6, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167540, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 152, 24, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167541, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 92, 11, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167542, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 1, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167543, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 2, 2, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167544, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 148, 2, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167545, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B06', 230, 1, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167546, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 155, 18, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167547, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 556, 22, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167548, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 81, 2, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167549, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1480, 9, 2023, 11, 14, '2024-08-05 15:54:10', NULL, NULL), (167550, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 353, 16, 2023, 11, 14, '2024-08-05 15:54:10', NULL, NULL), (167551, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 143, 10, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167552, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 454, 12, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167553, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 835, 3, 2023, 11, 14, '2024-08-05 15:54:10', NULL, NULL), (167554, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 31, 1, 2023, 11, 14, '2024-08-05 15:54:10', NULL, NULL), (167555, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 44, 10, 2023, 11, 14, '2024-08-05 15:54:10', NULL, NULL), (167556, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 326, 10, 2023, 11, 14, '2024-08-05 15:54:10', NULL, NULL), (167557, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 5751, 13, 2023, 11, 14, '2024-08-05 15:54:10', NULL, NULL), (167558, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 53, 6, 2023, 11, 14, '2024-08-05 15:54:10', NULL, NULL), (167559, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 867, 44, 2023, 11, 14, '2024-08-05 15:54:10', NULL, NULL), (167560, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 602, 18, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167561, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 737, 43, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167562, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 684, 38, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167563, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 374, 27, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167564, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 392, 47, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167565, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 780, 4, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167566, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 555, 29, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167567, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 424, 35, 2023, 11, 14, '2024-08-05 15:54:10', NULL, NULL), (167568, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 3088, 6, 2023, 11, 14, '2024-08-05 15:54:10', NULL, NULL), (167569, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 526, 28, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167570, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 17, 2, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167571, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 233, 18, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167572, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 72, 14, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167573, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 85, 4, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167574, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 473, 48, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167575, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 1240, 12, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167576, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 759, 26, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167577, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 2060, 9, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167578, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 679, 9, 2023, 11, 14, '2024-08-05 15:54:10', NULL, NULL), (167579, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 450, 19, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167580, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 726, 40, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167581, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 47, 7, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167582, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 1032, 3, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167583, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D14', 20, 1, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167584, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 825, 32, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167585, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 158, 7, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167586, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 217, 24, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167587, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 30, 1, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167588, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 134, 22, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167589, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 17, 4, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167590, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 105, 19, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167591, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 100, 12, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167592, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 148, 6, 2023, 11, 14, '2024-08-05 15:54:09', NULL, NULL), (167593, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 147, 12, 2023, 11, 14, '2024-08-05 15:54:10', NULL, NULL), (167594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 272, 111, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (167595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 2494, 2, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (167596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 21, 8, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (167597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 291, 177, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (167598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 19, 9, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (167599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 651, 236, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (167600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 153, 144, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (167601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 51, 9, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (167602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 901, 104, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (167603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区自然资源和规划分局', '', '', 446, 1, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (167604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 434, 192, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (167605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 404, 70, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (167606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 413, 32, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (167607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 437, 39, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (167608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 436, 170, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (167609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 361, 90, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (167610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 472, 123, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (167611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 514, 94, 2023, 11, 15, '2024-08-05 15:54:11', NULL, NULL), (167612, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 21, 6, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167613, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 19, 9, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167614, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 291, 177, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167615, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 51, 9, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167616, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 19, 2, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167617, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1324, 66, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167618, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 786, 25, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167619, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 1662, 3, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167620, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 274, 12, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167621, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 134, 18, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167622, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 181, 55, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167623, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 892, 14, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167624, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 135, 24, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167625, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 39, 5, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167626, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 11, 1, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167627, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 326, 17, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167628, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 2, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167629, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 785, 8, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167630, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', '', 0, 1, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167631, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 747, 6, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167632, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 322, 3, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (167633, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 171, 26, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167634, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 161, 39, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167635, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 119, 120, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167636, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 875, 12, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167637, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 181, 8, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167638, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167639, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 574, 25, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167640, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 783, 109, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167641, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 5, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167642, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167643, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 699, 10, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167644, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 349, 3, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167645, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '', 446, 1, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 181, 8, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 394, 40, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 208, 44, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 598, 24, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 312, 24, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 59, 25, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 385, 20, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 282, 26, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 99, 8, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 245, 11, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 294, 40, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 98, 28, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 334, 21, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 59, 19, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 42, 13, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 388, 17, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 737, 17, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 165, 18, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 123, 27, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 730, 14, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 787, 30, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 741, 21, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 29, 3, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 171, 26, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 209, 14, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 206, 16, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 4, 1, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 131, 13, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 138, 12, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 57, 8, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 848, 16, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 1092, 9, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 322, 3, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 39, 5, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 299, 11, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 326, 17, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 875, 12, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 777, 9, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1728, 22, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 818, 24, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1196, 12, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 1130, 31, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 158, 2, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1041, 4, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 17, 8, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B03', 446, 1, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 2, 1, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 11, 4, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 1, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 11, 1, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 1, 1, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 78, 2, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 892, 14, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 349, 3, 2023, 11, 15, '2024-08-05 15:54:12', NULL, NULL), (167700, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 134, 18, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167701, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1345, 65, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167702, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 875, 12, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167703, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 322, 3, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167704, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 21, 6, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167705, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 291, 177, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167706, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 19, 9, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167707, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 349, 3, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167708, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 747, 6, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167709, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 598, 24, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167710, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 113, 118, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167711, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 181, 8, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167712, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 326, 17, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167713, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 51, 9, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167714, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 135, 24, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167715, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 2494, 2, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167716, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 299, 11, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167717, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 39, 5, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167718, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 171, 26, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167719, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 785, 8, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167720, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 11, 1, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167721, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 777, 9, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167722, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '区自然资源和规划分局', '', '', 446, 1, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167723, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 818, 24, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167724, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 892, 14, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167725, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 19, 2, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167726, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 797, 107, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167727, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 161, 39, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167728, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 188, 53, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167729, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 126, 10, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167730, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 57, 8, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167731, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 4, 1, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167732, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 818, 24, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167733, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1728, 22, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167734, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 2, 1, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167735, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 2, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167736, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1196, 12, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167737, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 1, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167738, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 2, 2, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167739, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 1130, 31, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167740, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 78, 2, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167741, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 1, 1, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167742, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 598, 24, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167743, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 326, 17, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167744, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 144, 8, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167745, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 777, 9, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167746, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 322, 3, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167747, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 39, 5, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167748, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 158, 2, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167749, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 741, 21, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167750, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 730, 14, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167751, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '2B03', 446, 1, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167752, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 787, 30, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167753, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 737, 17, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167754, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1041, 4, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167755, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 1092, 9, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167756, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 268, 8, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167757, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 36, 9, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167758, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 59, 19, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167759, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 11, 1, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167760, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 122, 17, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167761, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 165, 18, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167762, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 181, 8, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167763, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 106, 19, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167764, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 98, 28, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167765, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 19, 2, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167766, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 848, 16, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167767, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 42, 13, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167768, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 349, 3, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167769, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 385, 20, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167770, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 245, 11, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167771, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 99, 8, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167772, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 59, 25, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167773, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 21, 6, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167774, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 2494, 2, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167775, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 29, 3, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167776, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 892, 14, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167777, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 394, 40, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167778, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 785, 8, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167779, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 875, 12, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167780, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 299, 11, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167781, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 131, 13, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167782, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 282, 26, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167783, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 209, 14, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167784, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 294, 40, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167785, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 208, 44, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167786, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 171, 26, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167787, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 138, 12, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167788, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 312, 24, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 21, 6, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 208, 44, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 394, 40, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 29, 3, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 206, 16, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 19, 2, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 2494, 2, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 294, 40, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 282, 26, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 312, 24, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 138, 12, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 1130, 31, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 131, 13, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 209, 14, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 1728, 22, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1196, 12, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 848, 16, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 1092, 9, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区自然资源和规划分局', '', '2B03', 446, 1, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 741, 21, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 730, 14, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 787, 30, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 737, 17, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 42, 13, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 245, 11, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 158, 2, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1041, 4, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 57, 8, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 777, 9, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 818, 24, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 326, 17, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 875, 12, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 299, 11, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 322, 3, 2023, 11, 15, '2024-08-05 15:54:13', NULL, NULL), (167823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 4, 1, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 39, 5, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 2, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 349, 3, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 99, 8, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 165, 18, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 78, 2, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 123, 27, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 892, 14, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 59, 19, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 171, 26, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 388, 17, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 2, 2, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 11, 1, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 598, 24, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 98, 28, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 2, 1, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 181, 8, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 106, 19, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 1, 1, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 385, 20, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 1, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 59, 25, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167846, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 598, 24, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167847, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 209, 14, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167848, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 131, 13, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167849, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 268, 8, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167850, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 138, 12, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167851, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 99, 8, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167852, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 385, 20, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167853, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 59, 25, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167854, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 1, 1, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167855, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 78, 2, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167856, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 2, 2, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167857, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 1, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167858, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 2, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167859, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 2, 1, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167860, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 181, 8, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167861, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 1092, 9, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167862, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 322, 3, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167863, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 848, 16, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167864, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 39, 5, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167865, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 19, 2, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167866, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 326, 17, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167867, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 158, 2, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167868, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1041, 4, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167869, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 126, 10, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167870, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 299, 11, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167871, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 29, 3, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167872, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 777, 9, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167873, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 394, 40, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167874, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 208, 44, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167875, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 245, 11, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167876, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 312, 24, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167877, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 892, 14, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167878, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 282, 26, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167879, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 42, 13, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167880, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 294, 40, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167881, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 2494, 2, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167882, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 21, 6, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167883, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 737, 17, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167884, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '区自然资源和规划分局', '', '2B03', 446, 1, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167885, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 171, 26, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167886, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 57, 8, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167887, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 4, 1, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167888, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 787, 30, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167889, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 741, 21, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167890, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 818, 24, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167891, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 875, 12, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167892, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 730, 14, 2023, 11, 15, '2024-08-05 15:54:15', NULL, NULL), (167893, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 785, 8, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167894, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 1728, 22, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167895, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1196, 12, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167896, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 349, 3, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167897, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 1130, 31, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167898, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 144, 8, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167899, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 106, 19, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167900, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 59, 19, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167901, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 11, 1, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167902, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 98, 28, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167903, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 122, 17, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167904, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 36, 9, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167905, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 165, 18, 2023, 11, 15, '2024-08-05 15:54:14', NULL, NULL), (167906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 339, 151, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 15227, 4, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 204, 9, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 471, 210, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 2255, 19, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 44, 2, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 602, 250, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 116, 132, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 455, 12, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 759, 131, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 113, 1, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 648, 188, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 473, 133, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 416, 38, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 697, 38, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 601, 183, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 686, 89, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 493, 163, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 479, 93, 2023, 11, 16, '2024-08-05 15:54:16', NULL, NULL), (167925, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167926, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 9396, 1, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167927, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 228, 8, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167928, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 44, 14, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167929, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 471, 210, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167930, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 455, 12, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167931, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 14, 1, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167932, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 14340, 1, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167933, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1119, 21, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167934, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 527, 60, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167935, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 535, 11, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167936, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 238, 21, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167937, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 15227, 4, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167938, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 295, 73, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167939, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 610, 18, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167940, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 363, 41, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167941, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 6166, 3, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167942, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 697, 7, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167943, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 468, 2, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167944, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 375, 10, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167945, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 264, 17, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167946, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 12012, 1, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167947, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 98, 5, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167948, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 3397, 6, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167949, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 504, 30, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167950, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 62, 94, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167951, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 809, 69, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167952, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 113, 1, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167953, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 204, 5, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167954, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 212, 21, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167955, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 3006, 4, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167956, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167957, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 335, 30, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167958, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 291, 107, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167959, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167960, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167961, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 589, 14, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167962, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 2070, 6, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167963, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 212, 21, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 393, 28, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 335, 30, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 671, 56, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 281, 25, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 374, 36, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 323, 27, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 330, 50, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 506, 39, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 276, 21, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (167974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 433, 23, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (167975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 63, 20, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (167976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 4079, 15, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (167977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 50, 10, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (167978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 273, 18, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (167979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 23, 1, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 198, 25, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 91, 22, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 159, 12, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 253, 15, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 147, 19, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 340, 20, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C09', 633, 1, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 231, 20, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 560, 27, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 134, 27, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1015, 27, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 492, 7, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 589, 9, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 404, 5, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 353, 16, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 4022, 2, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 113, 1, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 361, 23, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 3397, 6, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (167999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 697, 7, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 535, 11, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 375, 10, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 204, 5, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 3006, 4, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 824, 10, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1119, 21, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 501, 28, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 568, 31, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 160, 3, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 5, 2, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 260, 7, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 2, 4, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 5, 4, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 12012, 1, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 468, 2, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 40, 4, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 110, 4, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 502, 30, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 14340, 1, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 9396, 1, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 610, 18, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 2070, 6, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B15', 30, 1, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 7533, 1, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 10936, 1, 2023, 11, 16, '2024-08-05 15:54:17', NULL, NULL), (168025, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 238, 21, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168026, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 536, 59, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168027, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 204, 5, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168028, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 3397, 6, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168029, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 14340, 1, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168030, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 228, 8, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168031, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 471, 210, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168032, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 44, 14, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168033, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 2070, 6, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168034, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 98, 5, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168035, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 335, 30, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168036, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 62, 94, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168037, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 3006, 4, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168038, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 212, 21, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168039, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 375, 10, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (168040, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 12012, 1, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168041, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 455, 12, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168042, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 363, 41, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168043, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 535, 11, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168044, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 15227, 4, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168045, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 6166, 3, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168046, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 113, 1, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168047, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 697, 7, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168048, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 560, 27, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168049, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 264, 17, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168050, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 468, 2, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168051, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 824, 10, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168052, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1119, 21, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168053, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 610, 18, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168054, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 14, 1, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168055, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 291, 107, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168056, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 821, 68, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168057, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 295, 73, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168058, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 9396, 1, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168059, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 321, 7, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168060, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 404, 5, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168061, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 492, 7, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168062, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1119, 21, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168063, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 2, 3, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168064, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 501, 28, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168065, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 40, 4, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168066, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 3, 3, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168067, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 568, 31, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168068, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 110, 4, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168069, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 335, 30, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168070, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 196, 14, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168071, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 375, 10, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168072, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 824, 10, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168073, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 697, 7, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168074, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 3397, 6, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168075, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 160, 3, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168076, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 231, 20, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168077, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 253, 15, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168078, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 340, 20, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168079, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 23, 1, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168080, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 159, 12, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168081, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 5, 2, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168082, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 361, 23, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168083, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 12012, 1, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168084, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 67, 13, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168085, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 59, 8, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168086, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 50, 10, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168087, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 468, 2, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168088, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 46, 12, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168089, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 95, 20, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168090, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 9396, 1, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168091, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 212, 21, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168092, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 25, 11, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168093, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 63, 20, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168094, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 14, 1, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168095, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 353, 16, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168096, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 273, 18, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168097, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 2070, 6, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168098, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 323, 27, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168099, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 433, 23, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168100, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 276, 21, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168101, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 281, 25, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168102, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 10936, 1, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168103, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 7533, 1, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168104, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B15', 30, 1, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168105, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 260, 7, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168106, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 4, 1, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168107, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 14340, 1, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168108, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 502, 30, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168109, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 113, 1, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168110, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 15227, 4, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168111, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 610, 18, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168112, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 393, 28, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168113, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C09', 633, 1, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168114, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 264, 17, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168115, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 204, 5, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168116, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 535, 11, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168117, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 589, 9, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168118, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 330, 50, 2023, 11, 16, '2024-08-05 15:54:18', NULL, NULL), (168119, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 506, 39, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168120, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1015, 27, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168121, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 560, 27, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168122, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 671, 56, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168123, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 3006, 4, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168124, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 4022, 2, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168125, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 374, 36, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 260, 7, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 671, 56, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 393, 28, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 134, 27, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C09', 633, 1, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 14, 1, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 15227, 4, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 4, 1, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 506, 39, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 330, 50, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 374, 36, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 4022, 2, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 7533, 1, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 568, 31, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 589, 9, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 10936, 1, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1015, 27, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 501, 28, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 3006, 4, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B15', 30, 1, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 353, 16, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 361, 23, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 502, 30, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 113, 1, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 44, 2, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 231, 20, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 253, 15, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 340, 20, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 23, 1, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 159, 12, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 273, 18, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 433, 23, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 160, 3, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 5, 2, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 404, 5, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 824, 10, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1119, 21, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 375, 10, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 204, 5, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 535, 11, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 3397, 6, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 697, 7, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 492, 7, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 2070, 6, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 276, 21, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 14340, 1, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 95, 20, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 147, 19, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 610, 18, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 9396, 1, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 50, 10, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 560, 27, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 198, 25, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 3, 3, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 468, 2, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 63, 20, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 335, 30, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 2, 3, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 212, 21, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 25, 11, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 110, 4, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 323, 27, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 12012, 1, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 40, 4, 2023, 11, 16, '2024-08-05 15:54:19', NULL, NULL), (168190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 281, 25, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168191, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 9396, 1, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168192, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 502, 30, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168193, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 335, 30, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168194, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 1015, 27, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168195, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 589, 9, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168196, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 67, 13, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168197, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 276, 21, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168198, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 4022, 2, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168199, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 323, 27, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168200, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 281, 25, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168201, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 110, 4, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168202, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 3, 3, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168203, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 40, 4, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168204, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 2, 3, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168205, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 212, 21, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168206, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 361, 23, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168207, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 3006, 4, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168208, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 353, 16, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168209, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 3397, 6, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168210, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 697, 7, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168211, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 14, 1, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168212, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 375, 10, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168213, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 160, 3, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168214, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 5, 2, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168215, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C09', 633, 1, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168216, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 321, 7, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168217, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 535, 11, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168218, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 824, 10, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168219, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 393, 28, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168220, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 671, 56, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168221, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 433, 23, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168222, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 374, 36, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168223, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 330, 50, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168224, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 610, 18, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168225, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 506, 39, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168226, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 12012, 1, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168227, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 273, 18, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168228, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 14340, 1, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168229, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 15227, 4, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168230, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 260, 7, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168231, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 159, 12, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168232, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 4, 1, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168233, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 560, 27, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168234, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 404, 5, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168235, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 492, 7, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168236, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 340, 20, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168237, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 23, 1, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168238, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1119, 21, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168239, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 231, 20, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168240, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 253, 15, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168241, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 204, 5, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168242, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 113, 1, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168243, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 264, 17, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168244, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 501, 28, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168245, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 2070, 6, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168246, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 568, 31, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168247, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 10936, 1, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168248, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 196, 14, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168249, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 7533, 1, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168250, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 25, 11, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168251, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 50, 10, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168252, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B15', 30, 1, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168253, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 468, 2, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168254, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 63, 20, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168255, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 46, 12, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168256, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 59, 8, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168257, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 95, 20, 2023, 11, 16, '2024-08-05 15:54:20', NULL, NULL), (168258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 297, 94, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 14, 1, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 150, 1, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 471, 177, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 1116, 10, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1777, 272, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 2316, 1, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 232, 132, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 540, 16, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1183, 129, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 897, 189, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 807, 111, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 2790, 25, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 603, 61, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 956, 144, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 486, 137, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 1348, 84, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 827, 92, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168276, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 14, 1, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168277, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 120, 1, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168278, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168279, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 5, 8, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168280, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 471, 177, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168281, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 540, 16, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168282, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 75, 2, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168283, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 11001, 1, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168284, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168285, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 9895, 34, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168286, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1735, 67, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168287, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 4, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168288, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 353, 14, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168289, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 716, 18, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168290, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 329, 47, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168291, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1133, 16, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168292, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1075, 34, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168293, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168294, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 0, 1, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168295, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 767, 17, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168296, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 732, 2, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168297, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 878, 12, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168298, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 28, 1, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168299, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 2, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168300, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 165, 9, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168301, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 6, 1, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168302, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 3774, 6, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168303, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 14, 1, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168304, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 93, 18, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168305, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 224, 108, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168306, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 381, 63, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168307, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 23, 2, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168308, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 648, 12, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168309, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 12283, 1, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168310, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 178, 17, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168311, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 183, 112, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168312, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 6, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168313, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 398, 15, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168314, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 1, 4, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168315, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 872, 6, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 648, 12, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 390, 44, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 178, 17, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 45, 19, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 400, 12, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 552, 27, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 28, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 293, 14, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 303, 30, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 313, 21, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 752, 11, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 580, 45, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 246, 21, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 230, 25, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 187, 24, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1229, 23, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 192, 24, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 170, 25, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 2316, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 111, 3, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 285, 22, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 221, 33, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C09', 1566, 2, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 161, 22, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 1217, 10, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 93, 18, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 287, 15, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 467, 44, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 401, 8, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 679, 8, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 216, 16, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 90, 8, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 209, 21, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 14, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 815, 16, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 716, 18, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 878, 12, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 23, 2, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 12283, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 398, 15, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 10194, 33, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1595, 22, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 1804, 45, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B05', 14, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 3774, 6, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 4, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 6, 1, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 2, 2, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 75, 2, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 732, 2, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 7, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 13, 2, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 11001, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 120, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1295, 14, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D14', 6, 1, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 872, 6, 2023, 11, 17, '2024-08-05 15:54:22', NULL, NULL), (168374, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '', 6, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168375, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 353, 14, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168376, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1735, 67, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168377, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 23, 2, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168378, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 14, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168379, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 11001, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168380, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 471, 177, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168381, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 5, 8, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168382, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 28, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168383, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 872, 6, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168384, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 3774, 6, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168385, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 178, 17, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168386, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 224, 108, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168387, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 12283, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168388, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 648, 12, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168389, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 878, 12, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168390, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 6, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168391, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 540, 16, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168392, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 14, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168393, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1075, 34, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168394, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 716, 18, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168395, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 815, 16, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168396, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 93, 18, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168397, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 165, 9, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168398, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 732, 2, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168399, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 398, 15, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168400, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 10194, 33, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168401, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1295, 14, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168402, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 150, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168403, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 183, 112, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168404, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 400, 60, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168405, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 329, 47, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168406, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 120, 1, 2023, 11, 17, '2024-08-05 15:54:23', NULL, NULL), (168407, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 372, 9, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168408, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 679, 8, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168409, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 401, 8, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168410, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 10194, 33, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168411, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 2, 2, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168412, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 4, 1, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168413, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1595, 22, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168414, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 1, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168415, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 1804, 45, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168416, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 1, 1, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168417, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 13, 2, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168418, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '3D14', 6, 1, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168419, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 7, 1, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168420, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 178, 17, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168421, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 318, 5, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168422, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 878, 12, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168423, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 398, 15, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168424, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 14, 1, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168425, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 815, 16, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168426, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 3774, 6, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168427, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 161, 22, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168428, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 111, 3, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168429, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 221, 33, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168430, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 170, 25, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168431, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 209, 21, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168432, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 6, 1, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168433, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 272, 10, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168434, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 208, 15, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168435, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 187, 24, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168436, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 732, 2, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168437, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 225, 13, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168438, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 120, 1, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (168439, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 648, 12, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168440, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 230, 25, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168441, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 246, 21, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168442, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 150, 1, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168443, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B05', 14, 1, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168444, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 90, 8, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168445, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1229, 23, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168446, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 293, 14, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168447, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 872, 6, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168448, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 752, 11, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168449, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 313, 21, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168450, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 400, 12, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168451, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 11001, 1, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168452, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 1217, 10, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168453, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1295, 14, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168454, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 390, 44, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168455, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C09', 1566, 2, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168456, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 23, 2, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168457, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 165, 9, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168458, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 716, 18, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168459, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 303, 30, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168460, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 28, 1, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168461, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 467, 44, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168462, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 580, 45, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168463, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 93, 18, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168464, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 45, 19, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168465, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 12283, 1, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168466, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 216, 16, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168467, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 552, 27, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 45, 19, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 390, 44, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 1217, 10, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 287, 15, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C09', 1566, 2, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 150, 1, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 580, 45, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 303, 30, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 552, 27, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 216, 16, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 467, 44, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 12283, 1, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 1804, 45, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1595, 22, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 90, 8, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 209, 21, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 2316, 1, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 161, 22, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 111, 3, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 221, 33, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 170, 25, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1229, 23, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 752, 11, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D14', 6, 1, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 3774, 6, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B05', 14, 1, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 398, 15, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 679, 8, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 10194, 33, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 878, 12, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 23, 2, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 716, 18, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 14, 1, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 401, 8, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 815, 16, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 4, 1, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 872, 6, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 313, 21, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 11001, 1, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 13, 2, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1295, 14, 2023, 11, 17, '2024-08-05 15:54:24', NULL, NULL), (168509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 285, 22, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 120, 1, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 187, 24, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 93, 18, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 192, 24, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 1, 1, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 732, 2, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 246, 21, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 178, 17, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 648, 12, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 2, 2, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 230, 25, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 28, 1, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 6, 1, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 293, 14, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 7, 1, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 400, 12, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 1, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168527, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 120, 1, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168528, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 178, 17, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168529, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 467, 44, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168530, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 272, 10, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168531, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 313, 21, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168532, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 216, 16, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168533, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 293, 14, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168534, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 400, 12, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168535, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 7, 1, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168536, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 13, 2, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168537, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 1, 1, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168538, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 1, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168539, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 4, 1, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168540, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B05', 14, 1, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168541, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 2, 2, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168542, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 648, 12, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168543, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 209, 21, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168544, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 12283, 1, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168545, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 14, 1, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168546, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 90, 8, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168547, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 815, 16, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168548, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 878, 12, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168549, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 150, 1, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168550, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 3774, 6, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168551, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '3D14', 6, 1, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168552, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C09', 1566, 2, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168553, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 6, 1, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168554, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 372, 9, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168555, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 716, 18, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168556, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 1217, 10, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168557, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 398, 15, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168558, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 390, 44, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168559, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 752, 11, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168560, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 45, 19, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168561, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 552, 27, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168562, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1295, 14, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168563, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 303, 30, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168564, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1229, 23, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168565, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 580, 45, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168566, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 11001, 1, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168567, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 170, 25, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168568, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 93, 18, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168569, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 679, 8, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168570, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 401, 8, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168571, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 221, 33, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168572, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 10194, 33, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168573, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 161, 22, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168574, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 23, 2, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168575, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 111, 3, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168576, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 165, 9, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168577, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1595, 22, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168578, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 872, 6, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168579, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 1804, 45, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168580, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 28, 1, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168581, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 318, 5, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168582, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 230, 25, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168583, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 187, 24, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168584, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 732, 2, 2023, 11, 17, '2024-08-05 15:54:25', NULL, NULL), (168585, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 246, 21, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168586, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 225, 13, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168587, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 208, 15, 2023, 11, 17, '2024-08-05 15:54:26', NULL, NULL), (168588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 2, 2023, 11, 18, '2024-08-05 15:54:27', NULL, NULL), (168589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 0, 1, 2023, 11, 18, '2024-08-05 15:54:28', NULL, NULL), (168590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 0, 4, 2023, 11, 18, '2024-08-05 15:54:27', NULL, NULL), (168591, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 3, 2023, 11, 18, '2024-08-05 15:54:28', NULL, NULL), (168592, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 1, 2023, 11, 18, '2024-08-05 15:54:28', NULL, NULL), (168593, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2023, 11, 18, '2024-08-05 15:54:28', NULL, NULL), (168594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 10643, 1, 2023, 11, 19, '2024-08-05 15:54:29', NULL, NULL), (168595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 10643, 1, 2023, 11, 19, '2024-08-05 15:54:29', NULL, NULL), (168596, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 10643, 1, 2023, 11, 19, '2024-08-05 15:54:29', NULL, NULL), (168597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 10643, 1, 2023, 11, 19, '2024-08-05 15:54:29', NULL, NULL), (168598, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 10643, 1, 2023, 11, 19, '2024-08-05 15:54:29', NULL, NULL), (168599, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 10643, 1, 2023, 11, 19, '2024-08-05 15:54:29', NULL, NULL), (168600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 10643, 1, 2023, 11, 19, '2024-08-05 15:54:29', NULL, NULL), (168601, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 10643, 1, 2023, 11, 19, '2024-08-05 15:54:29', NULL, NULL), (168602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 234, 91, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 139, 1, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区残联', '', '', 978, 1, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 4384, 2, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 565, 251, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 69, 10, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 21, 1, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 1240, 5, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 217, 223, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区司法局', '', '', 20, 4, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 21, 17, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 344, 162, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 2000, 161, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 675, 289, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 493, 55, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 747, 42, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 533, 84, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 509, 192, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 657, 132, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 633, 98, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 738, 70, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168623, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168624, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168625, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 21, 17, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168626, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 217, 223, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168627, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 69, 10, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168628, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 139, 1, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168629, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 167, 22, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168630, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 2217, 83, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168631, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 1240, 5, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168632, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 546, 21, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168633, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 267, 17, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168634, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 249, 49, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168635, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 452, 12, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168636, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 245, 26, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168637, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 6905, 1, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168638, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 567, 14, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168639, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 782, 1, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168640, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 444, 18, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168641, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 20, 4, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168642, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 582, 15, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168643, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', '', 978, 1, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168644, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 157, 5, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168645, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1356, 9, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168646, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 339, 15, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168647, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 798, 72, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168648, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 335, 140, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168649, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 178, 5, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168650, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 21, 1, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168651, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 107, 7, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168652, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 8952, 9, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168653, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 163, 20, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168654, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 585, 113, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168655, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 6, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168656, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 685, 15, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168657, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168658, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 330, 3, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168659, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 41, 3, 2023, 11, 20, '2024-08-05 15:54:31', NULL, NULL), (168660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 107, 7, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 339, 56, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 130, 37, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 163, 20, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 196, 19, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 178, 39, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 380, 15, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 221, 24, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 309, 14, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 186, 15, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 176, 38, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 148, 6, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 302, 34, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 507, 26, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 191, 6, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 370, 22, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 499, 24, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 558, 27, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 602, 27, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 482, 16, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 298, 30, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 696, 24, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 339, 15, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 200, 29, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 191, 11, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 975, 40, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 34, 5, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 649, 28, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 105, 5, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 265, 14, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 21, 1, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 469, 18, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1525, 8, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A15', 978, 1, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 567, 14, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 41, 3, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 546, 21, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 444, 18, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 178, 5, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 685, 15, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 11510, 7, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 612, 6, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 2073, 34, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 2173, 22, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 2379, 7, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 2584, 19, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 124, 4, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 5, 2, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 292, 1, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 65, 4, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 17, 4, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 782, 1, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 4, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 6, 3, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 821, 18, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 6905, 1, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 452, 12, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 330, 3, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168718, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 267, 17, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168719, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '区司法局', '', '', 20, 4, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168720, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '区残联', '', '', 978, 1, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168721, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 2245, 82, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168722, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 178, 5, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168723, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1525, 8, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168724, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 217, 223, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168725, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 21, 17, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168726, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 330, 3, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168727, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 157, 5, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168728, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 163, 20, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168729, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 326, 130, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168730, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 11510, 7, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168731, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 107, 7, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168732, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 444, 18, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168733, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 69, 10, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168734, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 245, 26, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168735, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 1240, 5, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168736, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 546, 21, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168737, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 139, 1, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168738, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 21, 1, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168739, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 567, 14, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168740, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 339, 15, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168741, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 582, 15, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168742, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 782, 1, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168743, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 685, 15, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168744, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 6905, 1, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168745, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 612, 6, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168746, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 452, 12, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168747, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 585, 113, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168748, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 798, 72, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168749, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 249, 49, 2023, 11, 20, '2024-08-05 15:54:32', NULL, NULL), (168750, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 41, 3, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168751, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 335, 11, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168752, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 105, 5, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168753, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 34, 5, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168754, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 612, 6, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168755, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 65, 4, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168756, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 2073, 34, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168757, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 5, 2, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168758, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 2173, 22, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168759, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 2379, 7, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168760, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 4, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168761, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', 'A15', 978, 1, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168762, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 2584, 19, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168763, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 17, 4, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168764, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 6, 3, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168765, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 163, 20, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168766, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', 'A04', 20, 4, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168767, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 444, 18, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168768, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 145, 6, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168769, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 139, 1, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168770, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 41, 3, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168771, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 685, 15, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168772, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1525, 8, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168773, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 567, 14, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168774, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 124, 4, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168775, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 696, 24, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168776, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 482, 16, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168777, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 558, 27, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168778, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 292, 1, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168779, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 469, 18, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168780, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 6905, 1, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168781, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 248, 5, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168782, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 361, 9, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168783, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 370, 22, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168784, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 782, 1, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168785, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 285, 18, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168786, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 300, 25, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168787, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 333, 21, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168788, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 107, 7, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168789, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 340, 30, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168790, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 649, 28, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168791, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 191, 6, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168792, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 330, 3, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168793, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 309, 14, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168794, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 380, 15, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168795, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 148, 6, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168796, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 186, 15, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168797, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 196, 19, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168798, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 821, 18, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168799, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 1240, 5, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168800, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 21, 1, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168801, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 452, 12, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168802, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 200, 29, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168803, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 339, 56, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168804, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 178, 5, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168805, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 582, 15, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168806, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 546, 21, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168807, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 221, 24, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168808, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 176, 38, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168809, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 975, 40, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168810, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 130, 37, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168811, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 339, 15, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168812, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 11510, 7, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168813, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 265, 14, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168814, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 178, 39, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 130, 37, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 339, 56, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 200, 29, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 191, 11, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 1240, 5, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 176, 38, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 221, 24, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 178, 39, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 265, 14, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 2584, 19, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 975, 40, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 2073, 34, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区司法局', '', 'A04', 20, 4, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 11510, 7, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 2379, 7, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 2173, 22, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 649, 28, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 469, 18, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 821, 18, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 21, 1, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区残联', '', 'A15', 978, 1, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 139, 1, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 4384, 2, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 696, 24, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 482, 16, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 558, 27, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 191, 6, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 309, 14, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (168843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 148, 6, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 124, 4, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 292, 1, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 685, 15, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 105, 5, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 612, 6, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 444, 18, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 178, 5, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 41, 3, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 546, 21, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1525, 8, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 34, 5, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 567, 14, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 5, 2, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 330, 3, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 186, 15, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 300, 25, 2023, 11, 20, '2024-08-05 15:54:33', NULL, NULL), (168860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 6, 3, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 452, 12, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 304, 29, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 370, 22, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 339, 15, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 6905, 1, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 499, 24, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 782, 1, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 163, 20, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 17, 4, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 340, 30, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 65, 4, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 333, 21, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 107, 7, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 380, 15, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 196, 19, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 4, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168877, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 163, 20, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168878, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 821, 18, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168879, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '区残联', '', 'A15', 978, 1, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168880, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 975, 40, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168881, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 248, 5, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168882, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 41, 3, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168883, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 186, 15, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168884, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 265, 14, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168885, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 380, 15, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168886, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 196, 19, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168887, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 6, 3, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168888, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 17, 4, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168889, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 4, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168890, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 5, 2, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168891, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 65, 4, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168892, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '区司法局', '', 'A04', 20, 4, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168893, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 107, 7, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168894, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 6905, 1, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168895, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 469, 18, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168896, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 11510, 7, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168897, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 649, 28, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168898, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1525, 8, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168899, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 567, 14, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168900, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 444, 18, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168901, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 139, 1, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168902, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 124, 4, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168903, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 292, 1, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168904, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 546, 21, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168905, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 335, 11, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168906, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 685, 15, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168907, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 200, 29, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168908, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 339, 56, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168909, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 130, 37, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168910, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 309, 14, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168911, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 148, 6, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168912, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 178, 39, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168913, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 452, 12, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168914, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 221, 24, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168915, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 191, 6, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168916, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 176, 38, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168917, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 1240, 5, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168918, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 558, 27, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168919, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 339, 15, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168920, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 105, 5, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168921, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 34, 5, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168922, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 696, 24, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168923, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 612, 6, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168924, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 178, 5, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168925, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 482, 16, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168926, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 21, 1, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168927, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 582, 15, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168928, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 2073, 34, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168929, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 2173, 22, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168930, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 330, 3, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168931, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 2379, 7, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168932, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 2584, 19, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168933, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 145, 6, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168934, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 333, 21, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168935, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 370, 22, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168936, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 782, 1, 2023, 11, 20, '2024-08-05 15:54:34', NULL, NULL), (168937, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 340, 30, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168938, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 285, 18, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168939, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 361, 9, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168940, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 300, 25, 2023, 11, 20, '2024-08-05 15:54:35', NULL, NULL), (168941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 569, 130, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 6293, 6, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 406, 223, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区水利局', '', '', 1795, 1, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区残联', '', '', 54, 1, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 266, 13, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 15, 1, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 790, 267, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 320, 226, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 416, 12, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 769, 140, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 510, 246, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 739, 76, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 402, 40, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 411, 103, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 629, 180, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 532, 121, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 597, 198, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 454, 94, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168960, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168961, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 2, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168962, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '', 1795, 1, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168963, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 167, 12, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168964, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 406, 223, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168965, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 416, 12, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168966, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 2, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168967, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 0, 31, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168968, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 709, 74, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168969, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 6293, 6, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168970, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 278, 18, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168971, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 236, 19, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168972, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 770, 75, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168973, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1007, 14, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168974, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1302, 40, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168975, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 485, 3, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168976, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 671, 14, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168977, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 274, 4, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168978, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 743, 17, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168979, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 218, 66, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168980, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 1, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168981, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168982, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 427, 17, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168983, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', '', 54, 1, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168984, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 200, 4, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168985, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 399, 7, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168986, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 352, 24, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168987, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 244, 60, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168988, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 365, 132, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168989, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 0, 1, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168990, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 167, 8, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168991, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 184, 18, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168992, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 6764, 6, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168993, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 250, 18, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168994, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 691, 116, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168995, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 4, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168996, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168997, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1347, 23, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168998, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 316, 3, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (168999, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 39, 1, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 184, 18, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 259, 40, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 250, 18, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 539, 46, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 226, 16, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 877, 18, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 402, 26, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 213, 37, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 405, 2, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 817, 26, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 798, 26, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1549, 18, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 486, 25, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 909, 7, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 286, 36, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 1056, 51, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 905, 30, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 276, 25, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1189, 15, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 429, 29, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 263, 21, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 342, 33, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 699, 18, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 681, 32, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 352, 24, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 509, 49, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 269, 20, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 213, 30, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 335, 6, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 498, 6, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 400, 18, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 303, 23, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 633, 18, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 399, 7, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A15', 54, 1, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 722, 13, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 39, 1, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 236, 19, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 743, 17, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 191, 7, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 6764, 6, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1347, 23, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 765, 30, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 671, 44, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 265, 3, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 4, 1, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 662, 3, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 2, 3, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 1, 1, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 274, 4, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 2, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 6, 1, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 2, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 179, 7, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1007, 14, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B09', 1795, 1, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 474, 2, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 1457, 1, 2023, 11, 21, '2024-08-05 15:54:37', NULL, NULL), (169058, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 278, 18, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169059, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '区残联', '', '', 54, 1, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169060, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 709, 74, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169061, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 191, 7, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169062, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 399, 7, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169063, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 406, 223, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169064, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 167, 12, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169065, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 210, 62, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169066, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 474, 2, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169067, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 200, 4, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169068, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 250, 18, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169069, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 365, 129, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169070, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 6764, 6, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169071, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 184, 18, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169072, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 743, 17, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169073, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 416, 12, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169074, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1302, 40, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169075, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 1457, 1, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169076, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 6293, 6, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169077, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 236, 19, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169078, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '区水利局', '', '', 1795, 1, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169079, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 722, 13, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169080, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 352, 24, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169081, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 427, 17, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169082, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 274, 4, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169083, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1347, 23, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169084, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1007, 14, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169085, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 691, 116, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169086, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 244, 60, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169087, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 39, 1, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169088, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 825, 70, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169089, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 350, 12, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169090, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 498, 6, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169091, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 335, 6, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169092, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 2, 3, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169093, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 765, 30, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169094, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 662, 3, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169095, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 2, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169096, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 671, 44, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169097, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', 'A15', 54, 1, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169098, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 1, 1, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169099, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 2, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169100, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 6, 1, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169101, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 250, 18, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169102, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 136, 6, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169103, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 743, 17, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169104, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 39, 1, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169105, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1347, 23, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169106, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 399, 7, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169107, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 722, 13, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169108, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 265, 3, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169109, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 681, 32, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169110, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 699, 18, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169111, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 4, 1, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169112, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 905, 30, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169113, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 633, 18, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169114, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 326, 14, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169115, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 432, 12, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169116, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 321, 11, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169117, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 274, 4, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169118, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 338, 21, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169119, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 276, 20, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169120, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 184, 18, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169121, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 501, 26, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169122, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 325, 25, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169123, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 400, 18, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169124, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1189, 15, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169125, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 474, 2, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169126, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 817, 26, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169127, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1549, 18, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169128, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 909, 7, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169129, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 798, 26, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169130, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 877, 18, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169131, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 1457, 1, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169132, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 179, 7, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169133, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 6293, 6, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169134, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '2B09', 1795, 1, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169135, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1007, 14, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169136, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 509, 49, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169137, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 241, 14, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169138, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 259, 40, 2023, 11, 21, '2024-08-05 15:54:38', NULL, NULL), (169139, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 161, 19, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169140, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 198, 11, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169141, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 427, 17, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169142, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 191, 7, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169143, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 236, 19, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169144, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 213, 37, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169145, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 405, 2, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169146, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 213, 30, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169147, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 486, 25, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169148, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A01', 226, 16, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169149, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 352, 24, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169150, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 539, 46, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169151, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 6764, 6, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169152, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 303, 23, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169153, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 402, 26, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 539, 46, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 259, 40, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 509, 49, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 269, 20, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 6293, 6, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 486, 25, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 213, 37, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 402, 26, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 303, 23, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 1457, 1, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 213, 30, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 765, 30, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 6764, 6, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 671, 44, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 400, 18, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 633, 18, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 179, 7, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区残联', '', 'A15', 54, 1, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 15, 1, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 681, 32, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 699, 18, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 905, 30, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1189, 15, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1549, 18, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 909, 7, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 265, 3, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 4, 1, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 498, 6, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1347, 23, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 743, 17, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 191, 7, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 39, 1, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 236, 19, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 399, 7, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 335, 6, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 722, 13, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A01', 226, 16, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 662, 3, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 474, 2, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区水利局', '', '2B09', 1795, 1, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 798, 26, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 276, 20, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1007, 14, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 2, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 342, 33, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 276, 25, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 352, 24, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 429, 29, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 274, 4, 2023, 11, 21, '2024-08-05 15:54:39', NULL, NULL), (169203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 1, 1, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 250, 18, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 286, 36, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 2, 3, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 184, 18, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 358, 45, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 6, 1, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 405, 2, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 817, 26, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 2, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 877, 18, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169214, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '区水利局', '', '2B09', 1795, 1, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169215, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 179, 7, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169216, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 250, 18, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169217, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '区残联', '', 'A15', 54, 1, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169218, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 213, 30, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169219, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 326, 14, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169220, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 39, 1, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169221, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 303, 23, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169222, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 798, 26, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169223, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 817, 26, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169224, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 877, 18, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169225, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 6, 1, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169226, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 2, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169227, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 1, 1, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169228, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 2, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169229, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 662, 3, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169230, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 2, 3, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169231, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 184, 18, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169232, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 633, 18, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169233, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 6764, 6, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169234, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 400, 18, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169235, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 399, 7, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169236, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 722, 13, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169237, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 743, 17, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169238, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 265, 3, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169239, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 4, 1, 2023, 11, 21, '2024-08-05 15:54:41', NULL, NULL), (169240, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 350, 12, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169241, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 236, 19, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169242, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1347, 23, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169243, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 509, 49, 2023, 11, 21, '2024-08-05 15:54:41', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (169244, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 259, 40, 2023, 11, 21, '2024-08-05 15:54:41', NULL, NULL), (169245, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1549, 18, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169246, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 539, 46, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169247, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 909, 7, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169248, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 402, 26, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169249, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1007, 14, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169250, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 213, 37, 2023, 11, 21, '2024-08-05 15:54:41', NULL, NULL), (169251, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 486, 25, 2023, 11, 21, '2024-08-05 15:54:41', NULL, NULL), (169252, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1189, 15, 2023, 11, 21, '2024-08-05 15:54:41', NULL, NULL), (169253, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 6293, 6, 2023, 11, 21, '2024-08-05 15:54:41', NULL, NULL), (169254, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 905, 30, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169255, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 352, 24, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169256, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 498, 6, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169257, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 335, 6, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169258, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 681, 32, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169259, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 699, 18, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169260, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 191, 7, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169261, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 427, 17, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169262, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 765, 30, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169263, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 474, 2, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169264, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 671, 44, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169265, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 241, 14, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169266, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 161, 19, 2023, 11, 21, '2024-08-05 15:54:41', NULL, NULL), (169267, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 198, 11, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169268, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 1457, 1, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169269, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 405, 2, 2023, 11, 21, '2024-08-05 15:54:41', NULL, NULL), (169270, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A01', 226, 16, 2023, 11, 21, '2024-08-05 15:54:41', NULL, NULL), (169271, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 136, 6, 2023, 11, 21, '2024-08-05 15:54:41', NULL, NULL), (169272, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 501, 26, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169273, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 321, 11, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169274, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 274, 4, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169275, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 325, 25, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169276, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 338, 21, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169277, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 432, 12, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169278, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 276, 20, 2023, 11, 21, '2024-08-05 15:54:40', NULL, NULL), (169279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 535, 109, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 173, 1, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 233, 155, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 412, 13, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 830, 282, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 169, 225, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 849, 138, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1766, 15, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 678, 231, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 630, 66, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 342, 33, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 369, 40, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 545, 188, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 510, 111, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 420, 178, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 482, 106, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169295, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 10, 11, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169296, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 233, 155, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169297, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1766, 15, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169298, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 734, 41, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169299, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1040, 75, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169300, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 117, 9, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169301, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 786, 19, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169302, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 4, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169303, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 305, 49, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169304, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 2391, 5, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169305, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 947, 50, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169306, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 2623, 2, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169307, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 437, 8, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169308, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 8, 1, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169309, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 480, 17, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169310, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 158, 119, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169311, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169312, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 877, 10, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169313, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 192, 2, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169314, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 869, 15, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169315, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 1565, 23, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169316, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 112, 93, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169317, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 411, 61, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169318, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 0, 1, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169319, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 2, 4, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169320, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 116, 20, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169321, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 4, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169322, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 2, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169323, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 264, 19, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169324, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 793, 102, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169325, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 2343, 6, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169326, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169327, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 458, 20, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169328, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 243, 2, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169329, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169330, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 14077, 1, 2023, 11, 22, '2024-08-05 15:54:42', NULL, NULL), (169331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 116, 20, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 274, 34, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 279, 18, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 181, 28, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 298, 7, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 148, 34, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 238, 13, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 87, 20, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 122, 17, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 544, 18, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 229, 25, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 806, 20, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 139, 42, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1096, 16, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 160, 47, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 898, 31, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 147, 33, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 980, 14, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 515, 20, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 90, 16, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 503, 17, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 117, 21, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 1440, 17, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 1565, 23, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 322, 34, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 97, 20, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 242, 6, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 455, 5, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 2887, 8, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 485, 7, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 532, 18, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 262, 19, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 548, 19, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 869, 15, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 437, 8, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 14077, 1, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 786, 19, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 480, 17, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 2, 4, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 539, 17, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 771, 39, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 988, 30, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 360, 1, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 959, 40, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 2404, 4, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 192, 2, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 35, 2, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 2, 4, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 8, 1, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 5, 3, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 7, 2, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 528, 31, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 2391, 5, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D14', 7031, 2, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 243, 2, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 3657, 1, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 1590, 1, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169388, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 117, 9, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169389, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1040, 75, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169390, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 2, 4, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169391, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 869, 15, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169392, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 233, 155, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169393, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 10, 11, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169394, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 158, 115, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169395, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 243, 2, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169396, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 192, 2, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169397, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 7031, 2, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169398, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 279, 18, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169399, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 110, 91, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169400, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 116, 20, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169401, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 480, 17, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169402, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1766, 15, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169403, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 947, 50, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169404, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 2623, 2, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169405, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 786, 19, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169406, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 437, 8, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169407, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 1565, 23, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169408, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 877, 10, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169409, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 8, 1, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169410, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 539, 17, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169411, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 771, 39, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169412, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 2391, 5, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169413, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 793, 102, 2023, 11, 22, '2024-08-05 15:54:43', NULL, NULL), (169414, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 411, 61, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169415, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 14077, 1, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169416, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 312, 48, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169417, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 83, 5, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169418, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 485, 7, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169419, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 2887, 8, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169420, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 771, 39, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169421, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 2, 4, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169422, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 988, 30, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169423, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 35, 2, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169424, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 360, 1, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169425, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 959, 40, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169426, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 5, 3, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169427, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 2404, 4, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169428, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 7, 2, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169429, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 279, 18, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169430, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D14', 7031, 2, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169431, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 160, 4, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169432, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 480, 17, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169433, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 129, 3, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169434, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 14077, 1, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169435, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 539, 17, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169436, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 437, 8, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169437, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 869, 15, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169438, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 1440, 17, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169439, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 503, 17, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169440, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 192, 2, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169441, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 898, 31, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169442, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 548, 19, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169443, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 70, 13, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169444, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 165, 6, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169445, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 72, 11, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169446, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 8, 1, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169447, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 133, 14, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169448, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 90, 15, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169449, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 122, 16, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169450, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 116, 20, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169451, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 138, 16, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169452, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 532, 18, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169453, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 980, 14, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169454, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 243, 2, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169455, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 122, 17, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169456, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 806, 20, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169457, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 544, 18, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169458, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1096, 16, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169459, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 238, 13, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169460, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 1590, 1, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169461, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 3657, 1, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169462, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 528, 31, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169463, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 134, 4, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169464, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 2391, 5, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169465, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 322, 34, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169466, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 185, 21, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169467, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 274, 34, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169468, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 180, 31, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169469, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 139, 26, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169470, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 90, 2, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169471, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 94, 1, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169472, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 877, 10, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169473, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 2, 4, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169474, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 786, 19, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169475, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 455, 5, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169476, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 87, 20, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169477, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 229, 25, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169478, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 242, 6, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169479, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A01', 298, 7, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169480, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 1565, 23, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169481, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 181, 28, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169482, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 148, 34, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169483, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 262, 19, 2023, 11, 22, '2024-08-05 15:54:44', NULL, NULL), (169484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 181, 28, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 274, 34, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 322, 34, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 97, 20, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 229, 25, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 148, 34, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 262, 19, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 1590, 1, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 2404, 4, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 455, 5, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 242, 6, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 988, 30, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 3657, 1, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 959, 40, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 360, 1, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 532, 18, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 548, 19, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 528, 31, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 1440, 17, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 503, 17, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 898, 31, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 980, 14, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 806, 20, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D14', 7031, 2, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1096, 16, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 173, 1, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 192, 2, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 485, 7, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 539, 17, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 771, 39, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 480, 17, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 2, 4, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 14077, 1, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 786, 19, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 869, 15, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 437, 8, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 2887, 8, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A01', 298, 7, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 35, 2, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 243, 2, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 544, 18, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 90, 16, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 2391, 5, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 117, 21, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 146, 32, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 1565, 23, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 515, 20, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 8, 1, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 139, 42, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 279, 18, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 2, 4, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 116, 20, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 160, 47, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 87, 20, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 7, 2, 2023, 11, 22, '2024-08-05 15:54:45', NULL, NULL), (169539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 122, 17, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 5, 3, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 238, 13, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169542, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 528, 31, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169543, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 279, 18, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169544, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 242, 6, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169545, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 455, 5, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169546, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 70, 13, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169547, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 129, 3, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169548, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 544, 18, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169549, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 14077, 1, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169550, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 262, 19, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169551, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 122, 17, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169552, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 238, 13, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169553, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 7, 2, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169554, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 5, 3, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169555, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 35, 2, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169556, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 2, 4, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169557, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 116, 20, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169558, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 548, 19, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169559, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 532, 18, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169560, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 869, 15, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169561, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 437, 8, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169562, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 480, 17, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169563, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 192, 2, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169564, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 83, 5, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169565, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 786, 19, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169566, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 539, 17, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169567, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 322, 34, 2023, 11, 22, '2024-08-05 15:54:48', NULL, NULL), (169568, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 274, 34, 2023, 11, 22, '2024-08-05 15:54:48', NULL, NULL), (169569, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 806, 20, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169570, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 181, 28, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169571, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 148, 34, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169572, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1096, 16, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169573, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 2391, 5, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169574, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 229, 25, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169575, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 980, 14, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169576, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 503, 17, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169577, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 898, 31, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169578, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 1565, 23, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169579, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 485, 7, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169580, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 2887, 8, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169581, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 771, 39, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169582, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 2, 4, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169583, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 1440, 17, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169584, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 877, 10, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169585, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 988, 30, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169586, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 90, 2, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169587, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 360, 1, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169588, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 94, 1, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169589, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D14', 7031, 2, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169590, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 243, 2, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169591, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 959, 40, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169592, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 134, 4, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169593, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 2404, 4, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169594, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 185, 21, 2023, 11, 22, '2024-08-05 15:54:48', NULL, NULL), (169595, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 180, 31, 2023, 11, 22, '2024-08-05 15:54:48', NULL, NULL), (169596, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 139, 26, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169597, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 87, 20, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169598, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 160, 4, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169599, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A01', 298, 7, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169600, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 1590, 1, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169601, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 122, 16, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169602, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 3657, 1, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169603, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 72, 11, 2023, 11, 22, '2024-08-05 15:54:46', NULL, NULL), (169604, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 8, 1, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169605, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 138, 16, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169606, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 133, 14, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169607, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 165, 6, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169608, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 90, 15, 2023, 11, 22, '2024-08-05 15:54:47', NULL, NULL), (169609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 222, 104, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 391, 178, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 895, 19, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1920, 248, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 287, 250, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 36, 6, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1538, 166, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 12118, 4, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 1145, 295, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 1136, 71, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 1106, 22, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 456, 33, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 865, 173, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 927, 212, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 798, 88, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 779, 110, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169625, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 4304, 1, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169626, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 4, 9, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169627, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 391, 178, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169628, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 4, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169629, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 31, 7, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169630, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169631, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 16141, 24, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169632, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1697, 85, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169633, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 501, 26, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169634, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 229, 15, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169635, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 241, 49, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169636, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 531, 9, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169637, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 306, 43, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169638, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 1409, 9, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169639, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 400, 2, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169640, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1021, 15, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169641, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 17, 2, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169642, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 325, 12, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169643, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 244, 157, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169644, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 7, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (169645, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 959, 1, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169646, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 0, 1, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169647, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 608, 2, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169648, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 605, 9, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169649, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 204, 22, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169650, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 281, 89, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169651, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 501, 74, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169652, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 12118, 4, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169653, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 0, 4, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169654, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 199, 12, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169655, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 10579, 7, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169656, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169657, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 200, 22, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169658, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 291, 102, 2023, 11, 23, '2024-08-05 15:54:52', NULL, NULL), (169659, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 5, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169660, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169661, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 642, 17, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 234, 28, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 199, 12, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 200, 22, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 884, 30, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 313, 9, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 209, 20, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 246, 33, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 235, 30, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 321, 9, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 295, 1, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 237, 20, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 355, 19, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 311, 38, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 199, 9, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 253, 39, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 304, 31, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 237, 14, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 285, 30, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 307, 15, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 357, 17, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 201, 30, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 255, 17, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 363, 37, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 206, 8, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 276, 18, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 214, 21, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 341, 48, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 315, 27, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 7, 2, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 540, 52, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 50, 4, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 406, 23, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 407, 22, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 12118, 4, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 275, 22, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 605, 9, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1021, 15, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 229, 15, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 325, 12, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 728, 15, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 10579, 7, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 2181, 6, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 16141, 24, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 2008, 1, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 1693, 34, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 1626, 44, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 608, 2, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 3, 1, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 4, 3, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 17, 2, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 8, 1, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 3, 1, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 3, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 400, 2, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 4304, 1, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 683, 7, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 2616, 4, 2023, 11, 23, '2024-08-05 15:54:54', NULL, NULL), (169719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 443, 2, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 442, 3, 2023, 11, 23, '2024-08-05 15:54:53', NULL, NULL), (169721, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 501, 26, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169722, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1697, 85, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169723, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 605, 9, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169724, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 391, 178, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169725, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 4, 9, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169726, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 245, 144, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169727, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 608, 2, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169728, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 200, 22, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169729, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 283, 79, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169730, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 10579, 7, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169731, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 199, 12, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169732, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 325, 12, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169733, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 36, 6, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169734, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 306, 43, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169735, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 1409, 9, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169736, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 229, 15, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169737, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 12118, 4, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169738, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1021, 15, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169739, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 214, 21, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169740, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 959, 1, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169741, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 17, 2, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169742, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 728, 15, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169743, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 400, 2, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169744, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 16141, 24, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169745, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 683, 7, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169746, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 291, 102, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169747, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 501, 74, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169748, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 241, 49, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169749, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 4304, 1, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169750, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 474, 19, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169751, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 50, 4, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169752, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 7, 2, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169753, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 16141, 24, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169754, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 3, 1, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169755, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 2181, 6, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169756, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 2008, 1, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169757, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 8, 1, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169758, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 1693, 34, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169759, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 4, 3, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169760, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 1626, 44, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169761, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 3, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169762, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 3, 1, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169763, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 200, 22, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169764, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 576, 7, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169765, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 325, 12, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169766, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 156, 11, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169767, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 728, 15, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169768, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1021, 15, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169769, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 605, 9, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169770, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 276, 18, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169771, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 206, 8, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169772, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 255, 17, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169773, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 237, 14, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169774, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 608, 2, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169775, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 275, 22, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169776, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 400, 2, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169777, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 306, 9, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169778, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 318, 8, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169779, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 263, 12, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169780, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 312, 5, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169781, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 17, 2, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169782, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 250, 16, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169783, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 4304, 1, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169784, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 319, 14, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169785, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 199, 12, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169786, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 260, 15, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169787, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 406, 23, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169788, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 307, 15, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169789, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 321, 9, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169790, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 355, 19, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169791, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 199, 9, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169792, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 237, 20, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169793, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 209, 20, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169794, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 442, 3, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169795, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 443, 2, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169796, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 2616, 4, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169797, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 12118, 4, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169798, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 320, 8, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169799, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 683, 7, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169800, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 341, 48, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169801, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 300, 18, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169802, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 234, 28, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169803, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 292, 17, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169804, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 249, 24, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169805, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 221, 13, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169806, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 144, 14, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169807, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 959, 1, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169808, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 229, 15, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169809, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 295, 1, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169810, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 540, 52, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169811, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 235, 30, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169812, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 311, 38, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169813, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A01', 313, 9, 2023, 11, 23, '2024-08-05 15:54:55', NULL, NULL), (169814, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 214, 21, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169815, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 884, 30, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169816, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 407, 22, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169817, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 10579, 7, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169818, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 246, 33, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 884, 30, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 234, 28, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 341, 48, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 315, 27, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 311, 38, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 295, 1, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 246, 33, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 407, 22, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 443, 2, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 1626, 44, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 540, 52, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 442, 3, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 2181, 6, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 10579, 7, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 2616, 4, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 1693, 34, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 2008, 1, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 406, 23, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 275, 22, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 12118, 4, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 276, 18, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 206, 8, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 255, 17, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 237, 14, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 307, 15, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 355, 19, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 199, 9, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 608, 2, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 50, 4, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 728, 15, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 16141, 24, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 325, 12, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 229, 15, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 605, 9, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 7, 2, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1021, 15, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A01', 313, 9, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 237, 20, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 201, 30, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 3, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 363, 37, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 683, 7, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 4304, 1, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 285, 30, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 214, 21, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 400, 2, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 357, 17, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 17, 2, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 4, 3, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 200, 22, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 253, 39, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 3, 1, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 304, 31, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 199, 12, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 3, 1, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 235, 30, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 321, 9, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 209, 20, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 8, 1, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169878, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 4304, 1, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169879, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 200, 22, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169880, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 540, 52, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169881, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 306, 9, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169882, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 156, 11, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169883, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 407, 22, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169884, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 237, 20, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169885, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 321, 9, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169886, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 209, 20, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169887, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 3, 1, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169888, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 3, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169889, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 4, 3, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169890, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 8, 1, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169891, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 3, 1, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169892, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 199, 12, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169893, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 400, 2, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169894, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 275, 22, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169895, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 10579, 7, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169896, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 406, 23, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169897, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 605, 9, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169898, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1021, 15, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169899, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 325, 12, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169900, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 608, 2, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169901, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 474, 19, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169902, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 229, 15, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169903, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 728, 15, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169904, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 341, 48, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169905, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 234, 28, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169906, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 355, 19, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169907, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 884, 30, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169908, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 199, 9, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169909, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 246, 33, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169910, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 683, 7, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169911, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 295, 1, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169912, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 311, 38, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169913, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 307, 15, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169914, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 255, 17, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169915, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 237, 14, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169916, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 214, 21, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169917, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 50, 4, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169918, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 7, 2, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169919, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 276, 18, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169920, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 16141, 24, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169921, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 206, 8, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169922, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 12118, 4, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169923, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 959, 1, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169924, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 2181, 6, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169925, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 2008, 1, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169926, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 221, 13, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169927, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 144, 14, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169928, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 1693, 34, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169929, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 320, 8, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169930, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 1626, 44, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169931, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 300, 18, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169932, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 292, 17, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169933, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 249, 24, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169934, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 235, 30, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169935, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 442, 3, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169936, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A01', 313, 9, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169937, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 576, 7, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169938, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 443, 2, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169939, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 319, 14, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169940, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 2616, 4, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169941, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 263, 12, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169942, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 17, 2, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169943, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 260, 15, 2023, 11, 23, '2024-08-05 15:54:56', NULL, NULL), (169944, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 312, 5, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169945, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 318, 8, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169946, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 250, 16, 2023, 11, 23, '2024-08-05 15:54:57', NULL, NULL), (169947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 303, 125, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 3147, 2, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 344, 184, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 2048, 12, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 11250, 2, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 976, 226, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 249, 201, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 522, 4, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 460, 111, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 513, 241, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 505, 56, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 348, 37, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 816, 44, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 388, 164, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 699, 181, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 582, 104, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 335, 83, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169964, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 3, 4, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169965, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 344, 184, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169966, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 139, 15, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169967, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 467, 37, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169968, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 281, 21, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169969, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 1573, 4, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169970, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 749, 15, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169971, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 200, 16, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169972, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 99, 58, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169973, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 878, 12, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169974, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1400, 33, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169975, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 3070, 8, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169976, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 600, 4, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169977, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 0, 2, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169978, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 168, 14, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169979, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 244, 118, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169980, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 359, 11, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169981, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 726, 8, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169982, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 5045, 9, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169983, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 781, 24, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169984, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 258, 77, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169985, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 431, 72, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169986, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 22, 5, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169987, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 348, 9, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169988, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1380, 2, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169989, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169990, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 284, 36, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169991, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 308, 79, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169992, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 4, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169993, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169994, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 642, 22, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169995, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 12425, 4, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169996, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 4, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169997, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 616, 4, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 392, 8, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (169999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 437, 41, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 226, 41, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 284, 36, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 337, 6, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 461, 24, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 119, 22, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 344, 14, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 472, 10, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 130, 16, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 56, 19, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 311, 32, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1684, 27, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 238, 2, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 223, 31, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 586, 21, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 58, 4, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 304, 25, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 268, 26, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 278, 18, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 1140, 23, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 205, 5, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 213, 33, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 302, 24, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 781, 24, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 289, 36, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 366, 15, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 193, 26, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 522, 4, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 378, 23, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 309, 17, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 495, 34, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 389, 15, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 5675, 8, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 600, 4, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 821, 3, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 749, 15, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 168, 14, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 38, 3, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1380, 2, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 642, 22, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 281, 21, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 505, 22, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 410, 15, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 763, 3, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 2, 1, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 705, 5, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 3, 1, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 2, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 878, 12, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 12425, 4, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B15', 3480, 1, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 6118, 1, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 2991, 5, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 9, 1, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170053, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 200, 16, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170054, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 467, 37, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (170055, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 38, 3, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170056, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 5675, 8, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170057, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 344, 184, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170058, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 3, 4, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170059, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 247, 106, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170060, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 12425, 4, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170061, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 726, 8, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170062, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 284, 36, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170063, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 246, 68, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170064, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1380, 2, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170065, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 392, 8, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170066, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 168, 14, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170067, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 522, 4, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170068, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1400, 33, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170069, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 3147, 2, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170070, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 3070, 8, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170071, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 749, 15, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170072, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 600, 4, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170073, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 781, 24, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170074, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 359, 11, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170075, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 642, 22, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170076, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 281, 21, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170077, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 878, 12, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170078, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 308, 79, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170079, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 431, 72, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170080, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 821, 3, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170081, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 101, 57, 2023, 11, 24, '2024-08-05 15:54:58', NULL, NULL), (170082, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 229, 10, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170083, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 522, 4, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170084, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 281, 21, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170085, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 3, 1, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170086, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 2, 1, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170087, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 505, 22, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170088, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 410, 15, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170089, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 2, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170090, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 284, 36, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170091, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 168, 14, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170092, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 153, 6, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170093, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 268, 11, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170094, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 821, 3, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170095, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 642, 22, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170096, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 600, 4, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170097, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 5675, 8, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170098, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 763, 3, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170099, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 302, 24, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170100, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 205, 5, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170101, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 278, 18, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170102, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 705, 5, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170103, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 389, 15, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170104, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 129, 9, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170105, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 290, 5, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170106, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 376, 10, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170107, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 168, 10, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170108, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 208, 7, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170109, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 392, 8, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170110, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 371, 12, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170111, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 185, 15, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170112, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 309, 17, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170113, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 58, 4, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170114, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 12425, 4, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170115, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1684, 27, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170116, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 130, 16, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170117, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 238, 2, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170118, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 56, 19, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170119, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 119, 22, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170120, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 9, 1, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170121, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 2991, 5, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170122, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 6118, 1, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170123, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B15', 3480, 1, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170124, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 3147, 2, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170125, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 158, 10, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170126, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 878, 12, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170127, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 289, 36, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170128, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 255, 15, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170129, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 437, 41, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170130, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 224, 7, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170131, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 257, 16, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170132, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 236, 13, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170133, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 161, 14, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170134, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 38, 3, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170135, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 359, 11, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170136, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 749, 15, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170137, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 472, 10, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170138, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 378, 23, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170139, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 366, 15, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170140, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 344, 14, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170141, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 311, 32, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170142, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A01', 337, 6, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170143, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 781, 24, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170144, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 226, 41, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170145, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1380, 2, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170146, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 461, 24, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170147, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 495, 34, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 226, 41, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 437, 41, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 289, 36, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 193, 26, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 3147, 2, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 311, 32, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 472, 10, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 461, 24, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 495, 34, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 2991, 5, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 410, 15, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 378, 23, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 9, 1, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 366, 15, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1380, 2, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 6118, 1, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 505, 22, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B15', 3480, 1, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 309, 17, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 389, 15, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 11250, 2, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 302, 24, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 205, 5, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 278, 18, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 58, 4, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1684, 27, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 238, 2, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 763, 3, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 705, 5, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 642, 22, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 281, 21, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 168, 14, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 38, 3, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 821, 3, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 749, 15, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 5675, 8, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 600, 4, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 522, 4, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A01', 337, 6, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 2, 1, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 12425, 4, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 56, 19, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 177, 21, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 2, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 878, 12, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 213, 33, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 781, 24, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 304, 25, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 268, 26, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 223, 31, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 284, 36, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 3, 1, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 392, 8, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 317, 19, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 344, 14, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 130, 16, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 119, 22, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170205, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 284, 36, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170206, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 366, 15, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170207, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 378, 23, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170208, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 129, 9, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170209, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 268, 11, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170210, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 56, 19, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170211, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 821, 3, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170212, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 495, 34, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170213, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 130, 16, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170214, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 119, 22, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170215, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 2, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170216, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 2, 1, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170217, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 3, 1, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170218, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 392, 8, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170219, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 389, 15, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170220, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1380, 2, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170221, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 5675, 8, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170222, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 309, 17, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170223, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 600, 4, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170224, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 168, 14, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170225, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 763, 3, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170226, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 705, 5, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170227, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 749, 15, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170228, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 229, 10, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170229, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 289, 36, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170230, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 642, 22, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170231, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 437, 41, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170232, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 226, 41, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170233, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1684, 27, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170234, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 238, 2, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170235, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 461, 24, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170236, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 878, 12, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170237, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 472, 10, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170238, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 58, 4, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170239, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 311, 32, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170240, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 3147, 2, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170241, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 278, 18, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170242, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 781, 24, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170243, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 522, 4, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170244, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 302, 24, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170245, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 281, 21, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170246, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 205, 5, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170247, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 38, 3, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170248, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 359, 11, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170249, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 236, 13, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170250, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 161, 14, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170251, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 505, 22, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170252, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 12425, 4, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170253, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 158, 10, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170254, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 410, 15, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170255, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 255, 15, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170256, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 224, 7, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170257, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 257, 16, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170258, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 9, 1, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170259, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 344, 14, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170260, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A01', 337, 6, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170261, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 153, 6, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170262, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 2991, 5, 2023, 11, 24, '2024-08-05 15:54:59', NULL, NULL), (170263, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 371, 12, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170264, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 6118, 1, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170265, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 376, 10, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170266, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B15', 3480, 1, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170267, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 185, 15, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170268, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 168, 10, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170269, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 290, 5, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170270, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 208, 7, 2023, 11, 24, '2024-08-05 15:55:00', NULL, NULL), (170271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 2, 2023, 11, 25, '2024-08-05 15:55:01', NULL, NULL), (170272, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2023, 11, 25, '2024-08-05 15:55:01', NULL, NULL), (170273, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 1, 2023, 11, 25, '2024-08-05 15:55:01', NULL, NULL), (170274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 40, 1, 2023, 11, 26, '2024-08-05 15:55:02', NULL, NULL), (170275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 13, 3, 2023, 11, 26, '2024-08-05 15:55:02', NULL, NULL), (170276, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 40, 1, 2023, 11, 26, '2024-08-05 15:55:02', NULL, NULL), (170277, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 0, 2, 2023, 11, 26, '2024-08-05 15:55:02', NULL, NULL), (170278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 40, 1, 2023, 11, 26, '2024-08-05 15:55:02', NULL, NULL), (170279, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 40, 1, 2023, 11, 26, '2024-08-05 15:55:02', NULL, NULL), (170280, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 40, 1, 2023, 11, 26, '2024-08-05 15:55:02', NULL, NULL), (170281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 40, 1, 2023, 11, 26, '2024-08-05 15:55:02', NULL, NULL), (170282, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 40, 1, 2023, 11, 26, '2024-08-05 15:55:02', NULL, NULL), (170283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 227, 121, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 873, 10, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 410, 232, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 10, 14, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 711, 337, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 424, 277, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1970, 13, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1176, 178, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 592, 330, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 526, 93, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 421, 47, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 814, 76, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 574, 239, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 619, 95, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 665, 207, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 561, 114, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170299, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 1059, 8, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170300, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 19757, 1, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170301, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 9, 13, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170302, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 410, 232, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170303, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1970, 13, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170304, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 51, 5, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170305, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 716, 38, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170306, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1342, 86, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170307, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170308, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 337, 9, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170309, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 355, 22, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170310, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 171, 58, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170311, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1545, 5, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170312, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 2118, 61, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170313, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 23, 1, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170314, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1008, 22, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170315, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 357, 1, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170316, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 336, 9, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170317, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 377, 183, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170318, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 1076, 15, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170319, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 1502, 1, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170320, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 313, 17, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170321, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 287, 10, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170322, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 83, 24, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170323, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 448, 90, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170324, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 412, 88, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170325, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 396, 6, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170326, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 386, 15, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170327, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 42, 8, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170328, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 364, 27, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170329, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 179, 130, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170330, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 18784, 1, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170331, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 4699, 4, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170332, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 318, 17, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170333, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 1, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170334, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170335, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 1396, 1, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 472, 29, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 386, 15, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 410, 24, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 408, 41, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 1020, 6, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 153, 17, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 306, 26, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 577, 20, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 495, 38, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 156, 22, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 203, 19, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 374, 57, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 2336, 41, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 291, 38, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1670, 20, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 166, 14, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 320, 45, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 377, 40, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 575, 38, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 112, 14, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 386, 31, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 190, 30, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 382, 35, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 196, 35, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 195, 15, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 406, 41, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 83, 24, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 503, 24, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 506, 4, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1970, 13, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 387, 49, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 436, 35, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 149, 7, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 188, 15, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 287, 10, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1008, 22, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 1396, 1, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 355, 22, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 336, 9, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 396, 6, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 337, 1, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 415, 13, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 716, 38, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1304, 48, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1454, 29, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 1639, 4, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 814, 5, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 14, 1, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 108, 4, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 376, 13, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 1413, 6, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 2, 4, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 1502, 1, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 43, 6, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 357, 1, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 20, 4, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 5, 3, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1545, 5, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D14', 18790, 2, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D15', 19757, 1, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 23, 1, 2023, 11, 27, '2024-08-05 15:55:03', NULL, NULL), (170397, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '', 18796, 1, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170398, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 337, 9, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170399, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1342, 86, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170400, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 396, 6, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170401, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 287, 10, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170402, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 1695, 5, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170403, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 410, 232, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170404, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 9, 13, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170405, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 376, 174, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170406, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 313, 17, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170407, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 18784, 1, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170408, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 410, 24, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170409, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 415, 79, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170410, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 337, 1, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170411, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 386, 15, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170412, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 336, 9, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170413, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 1502, 1, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170414, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1970, 13, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170415, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 2118, 61, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170416, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 23, 1, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170417, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 355, 22, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170418, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1008, 22, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170419, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 83, 24, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170420, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 1076, 15, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170421, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 357, 1, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170422, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 386, 14, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170423, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 716, 38, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170424, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1545, 5, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170425, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 51, 5, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170426, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 179, 130, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170427, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 412, 88, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170428, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 1396, 1, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170429, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '翠屏区公安', '', '', 19757, 1, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170430, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 171, 58, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170431, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 473, 6, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170432, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1970, 13, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170433, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 716, 38, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170434, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 2, 4, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170435, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1304, 48, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170436, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 1, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170437, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1454, 29, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170438, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 20, 4, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170439, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 1639, 4, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170440, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 3, 1, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170441, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 814, 5, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170442, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '3D14', 18796, 1, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170443, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 5, 3, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170444, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 410, 24, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170445, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D14', 18784, 1, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170446, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 63, 3, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170447, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 336, 9, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170448, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 542, 18, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170449, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 1396, 1, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170450, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 415, 13, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170451, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1008, 22, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170452, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 287, 10, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170453, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 108, 4, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170454, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 195, 15, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (170455, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 196, 35, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170456, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 112, 14, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170457, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 190, 30, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170458, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 166, 14, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170459, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 376, 13, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170460, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 14, 1, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170461, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 188, 15, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170462, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 1502, 1, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170463, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 710, 3, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170464, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 269, 8, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170465, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 410, 11, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170466, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 357, 1, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170467, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 414, 17, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170468, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 466, 14, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170469, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 512, 14, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170470, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 386, 15, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170471, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 275, 12, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170472, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 51, 5, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170473, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 149, 7, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170474, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 156, 22, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170475, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 2336, 41, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170476, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 203, 19, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170477, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1670, 20, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170478, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 153, 17, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170479, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 23, 1, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170480, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '3D15', 19757, 1, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170481, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 1695, 5, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170482, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 406, 41, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170483, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 238, 15, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170484, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1545, 5, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170485, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 364, 29, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170486, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 472, 29, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170487, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 233, 31, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170488, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 298, 26, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170489, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 291, 12, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170490, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 320, 17, 2023, 11, 27, '2024-08-05 15:55:04', NULL, NULL), (170491, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 1076, 15, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170492, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 396, 6, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170493, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 355, 22, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170494, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 495, 38, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170495, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 387, 49, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170496, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 577, 20, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170497, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 374, 57, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170498, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 506, 4, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170499, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A01', 1020, 6, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170500, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 408, 41, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170501, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 83, 24, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170502, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 436, 35, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170503, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 337, 1, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170504, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 306, 26, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 1695, 5, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 408, 41, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 472, 29, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 406, 41, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 503, 24, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 51, 5, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 374, 57, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 495, 38, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 306, 26, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 436, 35, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 814, 5, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 387, 49, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 506, 4, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 1304, 48, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 337, 1, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 23, 1, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 1639, 4, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1454, 29, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 149, 7, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 188, 15, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 195, 15, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 196, 35, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 112, 14, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 190, 30, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 166, 14, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D15', 19757, 1, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 2336, 41, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D14', 18790, 2, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1670, 20, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 108, 4, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 376, 13, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 14, 1, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 415, 13, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 716, 38, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 336, 9, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 396, 6, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 1396, 1, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 355, 22, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 287, 10, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1970, 13, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1008, 22, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A01', 1020, 6, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 1, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 203, 19, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 386, 31, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 382, 35, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1545, 5, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 377, 40, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 83, 24, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 575, 38, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 3, 1, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 357, 1, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 410, 24, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 291, 38, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 2, 4, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 320, 45, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 386, 15, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 577, 20, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 5, 3, 2023, 11, 27, '2024-08-05 15:55:05', NULL, NULL), (170564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 156, 22, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 1502, 1, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 153, 17, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 20, 4, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170568, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 410, 24, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170569, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 506, 4, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170570, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 387, 49, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170571, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 710, 3, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170572, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 542, 18, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170573, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 1396, 1, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170574, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 436, 35, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170575, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 203, 19, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170576, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 156, 22, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170577, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 153, 17, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170578, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 5, 3, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170579, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 3, 1, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170580, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 20, 4, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170581, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 1, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170582, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 2, 4, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170583, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 386, 15, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170584, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 188, 15, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170585, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 337, 1, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170586, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 149, 7, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170587, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 287, 10, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170588, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 14, 1, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170589, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1008, 22, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170590, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 336, 9, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170591, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 51, 5, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170592, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '3D14', 18796, 1, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170593, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 108, 4, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170594, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 376, 13, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170595, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 473, 6, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170596, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 355, 22, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170597, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 406, 41, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170598, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 415, 13, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170599, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 472, 29, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170600, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 408, 41, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170601, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 2336, 41, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170602, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 306, 26, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170603, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1670, 20, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170604, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 495, 38, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170605, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1545, 5, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170606, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 1502, 1, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170607, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 374, 57, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170608, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 1695, 5, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170609, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 190, 30, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170610, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 166, 14, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170611, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 83, 24, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170612, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1970, 13, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170613, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 196, 35, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170614, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 112, 14, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170615, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 716, 38, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170616, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 195, 15, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170617, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 396, 6, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170618, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 1076, 15, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170619, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 1304, 48, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170620, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 291, 12, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170621, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1454, 29, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170622, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D14', 18784, 1, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170623, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 320, 17, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170624, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 1639, 4, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170625, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 814, 5, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170626, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 238, 15, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170627, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 364, 29, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170628, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 233, 31, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170629, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '翠屏区公安', '', '3D15', 19757, 1, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170630, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 298, 26, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170631, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 577, 20, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170632, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A01', 1020, 6, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170633, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 63, 3, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170634, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 512, 14, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170635, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 23, 1, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170636, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 410, 11, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170637, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 357, 1, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170638, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 275, 12, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170639, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 414, 17, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170640, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 269, 8, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170641, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 466, 14, 2023, 11, 27, '2024-08-05 15:55:06', NULL, NULL), (170642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 516, 105, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 16, 1, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 21139, 1, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 465, 1, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 193, 217, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 693, 11, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 693, 321, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 281, 173, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 916, 7, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 822, 158, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 585, 289, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 370, 84, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 805, 41, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 420, 52, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 522, 180, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 475, 101, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 545, 175, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 485, 91, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170660, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 0, 1, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170661, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 1, 9, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170662, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 192, 219, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170663, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 916, 7, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170664, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 8, 2, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170665, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1248, 15, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170666, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1223, 79, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170667, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 21139, 1, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170668, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 311, 16, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170669, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 349, 13, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170670, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 651, 51, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170671, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 2617, 9, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170672, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1710, 48, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170673, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 3805, 2, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170674, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 680, 13, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170675, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 7, 1, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170676, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 191, 26, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170677, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 299, 94, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170678, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 1, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170679, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 318, 8, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170680, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 691, 41, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170681, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1526, 3, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170682, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 316, 19, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170683, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 277, 74, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170684, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 392, 69, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170685, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 0, 1, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170686, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 25, 3, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170687, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 535, 12, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170688, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 617, 10, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170689, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 372, 23, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170690, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 193, 109, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170691, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170692, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170693, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 533, 34, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170694, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 1211, 4, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170695, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 958, 3, 2023, 11, 28, '2024-08-05 15:55:07', NULL, NULL), (170696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 179, 33, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 535, 12, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 372, 23, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 244, 46, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 286, 6, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 653, 18, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 143, 32, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 462, 14, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 231, 42, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 565, 18, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 222, 40, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1984, 24, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 751, 15, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 269, 39, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1436, 24, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 1102, 24, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 448, 19, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 224, 19, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 192, 15, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 332, 24, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 246, 24, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 146, 18, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 323, 17, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 206, 22, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C09', 62, 1, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 61, 16, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 316, 19, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 70, 23, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 179, 8, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1521, 4, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 468, 44, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 52, 3, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 109, 3, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 257, 25, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 87, 16, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1526, 3, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 680, 13, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 958, 3, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 349, 13, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 191, 26, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 25, 3, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 617, 10, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 778, 17, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1248, 15, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1037, 37, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 2299, 16, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 826, 26, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 288, 17, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 8, 1, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 4, 1, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 708, 40, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 1, 4, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 8, 2, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 0, 2, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 7, 1, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 1, 1, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 2944, 8, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 1211, 4, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 3942, 1, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 3669, 1, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170756, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 311, 16, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170757, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1223, 79, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170758, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 25, 3, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170759, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1526, 3, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170760, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 193, 217, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170761, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 1, 9, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170762, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 294, 85, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170763, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 1211, 4, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170764, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 691, 41, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170765, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 372, 23, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170766, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 251, 64, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170767, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 617, 10, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170768, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 535, 12, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170769, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 191, 26, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170770, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 916, 7, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170771, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1710, 48, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170772, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 3805, 2, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170773, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 21139, 1, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170774, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 349, 13, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170775, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 680, 13, 2023, 11, 28, '2024-08-05 15:55:08', NULL, NULL), (170776, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 316, 19, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170777, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 318, 8, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170778, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 7, 1, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170779, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 533, 34, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170780, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1248, 15, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170781, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 2944, 8, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170782, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 16, 1, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170783, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 193, 109, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170784, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 392, 69, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170785, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 958, 3, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170786, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 651, 51, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170787, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 341, 11, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170788, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 109, 3, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170789, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1521, 4, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170790, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1248, 15, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170791, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 1, 4, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170792, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1037, 37, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170793, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 2299, 16, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170794, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 4, 1, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170795, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 0, 2, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170796, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 826, 26, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170797, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 1, 1, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170798, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 1, 1, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170799, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 372, 23, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170800, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 244, 5, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170801, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 191, 26, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170802, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 958, 3, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170803, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 778, 17, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170804, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1526, 3, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170805, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 680, 13, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170806, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 8, 1, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170807, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 61, 16, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170808, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 206, 22, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170809, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 192, 15, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170810, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 146, 18, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170811, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 708, 40, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170812, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 448, 19, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170813, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 288, 17, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170814, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 87, 16, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170815, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 71, 3, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170816, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 337, 11, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170817, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 175, 10, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170818, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 519, 2, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170819, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 7, 1, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170820, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 274, 11, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170821, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 276, 12, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170822, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 535, 12, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170823, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 203, 15, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170824, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 16, 1, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170825, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 52, 3, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170826, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 1211, 4, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170827, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1984, 24, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170828, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 565, 18, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170829, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1436, 24, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170830, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 751, 15, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170831, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 653, 18, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170832, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 3669, 1, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170833, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 3942, 1, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170834, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 21139, 1, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170835, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 70, 23, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170836, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 344, 5, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170837, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 2944, 8, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170838, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 255, 8, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170839, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 179, 33, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170840, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C09', 62, 1, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170841, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 182, 11, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170842, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 311, 24, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170843, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 174, 4, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170844, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 222, 13, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170845, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 318, 8, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170846, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 25, 3, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170847, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 349, 13, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170848, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 231, 42, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170849, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 468, 44, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170850, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 462, 14, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170851, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 222, 40, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170852, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A01', 286, 6, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170853, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 316, 19, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170854, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 244, 46, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170855, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 617, 10, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170856, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 257, 25, 2023, 11, 28, '2024-08-05 15:55:09', NULL, NULL), (170857, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 143, 32, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 244, 46, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (170859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 179, 33, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 70, 23, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 179, 8, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C09', 62, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 16, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 21139, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 222, 40, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 231, 42, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 143, 32, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 257, 25, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 468, 44, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 3669, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 1037, 37, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 617, 10, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 3942, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 826, 26, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 2299, 16, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 52, 3, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 87, 16, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 61, 16, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 206, 22, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 192, 15, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 146, 18, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 448, 19, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1984, 24, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1436, 24, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 8, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 465, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 708, 40, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 288, 17, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 109, 3, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 778, 17, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1248, 15, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 191, 26, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 25, 3, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 958, 3, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 349, 13, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1526, 3, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 680, 13, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1521, 4, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A01', 286, 6, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 4, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 1211, 4, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 751, 15, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 246, 24, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 323, 17, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 2944, 8, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 316, 19, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 210, 18, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 332, 24, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 1, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 7, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 269, 39, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 372, 23, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 1, 4, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 231, 23, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 535, 12, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 1, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 462, 14, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 565, 18, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 0, 2, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 653, 18, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170921, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 372, 23, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170922, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 468, 44, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170923, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 71, 3, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170924, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 257, 25, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170925, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 958, 3, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170926, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 751, 15, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170927, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 565, 18, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170928, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 653, 18, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170929, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 1, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170930, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 1, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170931, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 0, 2, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170932, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 4, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170933, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 1, 4, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170934, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 535, 12, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170935, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 87, 16, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170936, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 617, 10, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170937, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1526, 3, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170938, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 52, 3, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170939, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 288, 17, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170940, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 680, 13, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170941, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 16, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170942, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 191, 26, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170943, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 8, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170944, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 708, 40, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170945, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C09', 62, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170946, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 341, 11, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170947, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 349, 13, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170948, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 70, 23, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170949, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 778, 17, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170950, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 179, 33, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170951, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 244, 46, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170952, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1984, 24, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170953, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 143, 32, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170954, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1436, 24, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170955, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 2944, 8, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170956, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 231, 42, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170957, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 222, 40, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170958, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 21139, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170959, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 146, 18, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170960, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 448, 19, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170961, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 316, 19, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170962, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 109, 3, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170963, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1521, 4, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170964, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 206, 22, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170965, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 192, 15, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170966, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1248, 15, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170967, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 61, 16, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170968, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 25, 3, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170969, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 318, 8, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170970, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 1037, 37, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170971, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 174, 4, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170972, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 2299, 16, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170973, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 222, 13, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170974, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 1211, 4, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170975, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 826, 26, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170976, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 344, 5, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170977, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 255, 8, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170978, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 182, 11, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170979, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 311, 24, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170980, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 3669, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170981, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 462, 14, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170982, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 244, 5, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170983, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A01', 286, 6, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170984, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 276, 12, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170985, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 3942, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170986, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 175, 10, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170987, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 7, 1, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170988, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 203, 15, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170989, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 519, 2, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170990, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 337, 11, 2023, 11, 28, '2024-08-05 15:55:10', NULL, NULL), (170991, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 274, 11, 2023, 11, 28, '2024-08-05 15:55:11', NULL, NULL), (170992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 320, 130, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (170993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 943, 3, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (170994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1521, 14, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (170995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 228, 193, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (170996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 84, 12, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (170997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 704, 292, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (170998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 277, 156, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (170999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 6539, 10, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 558, 153, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 596, 343, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 325, 47, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 696, 2, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 865, 51, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 394, 159, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 539, 84, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 422, 165, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 456, 121, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171009, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 717, 10, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171010, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 228, 193, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171011, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 33, 10, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171012, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 6539, 10, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171013, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 3532, 4, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171014, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1825, 26, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171015, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 689, 77, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171016, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 943, 3, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171017, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 206, 18, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171018, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 2947, 5, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171019, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 251, 61, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171020, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1298, 9, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171021, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1034, 35, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171022, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 170, 4, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171023, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 0, 1, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171024, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 561, 9, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171025, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 354, 2, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171026, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 186, 30, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171027, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 236, 62, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171028, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 602, 9, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171029, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 300, 33, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171030, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 42, 3, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171031, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 267, 22, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171032, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 292, 80, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171033, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 426, 76, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171034, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 436, 4, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171035, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 474, 23, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171036, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 2, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171037, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 400, 24, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171038, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 416, 114, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171039, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171040, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 568, 19, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171041, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171042, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 3562, 4, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 474, 23, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 329, 17, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 400, 24, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 238, 35, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 189, 20, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 289, 25, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 341, 7, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 299, 31, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 203, 43, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 224, 10, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 181, 37, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1043, 11, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 203, 30, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 684, 9, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 359, 30, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 426, 34, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1238, 15, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 311, 16, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 328, 22, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 199, 10, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 303, 17, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 259, 24, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 373, 20, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C09', 10, 3, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 436, 15, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 267, 22, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 227, 33, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 536, 22, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 325, 20, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 6600, 4, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 365, 23, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 497, 15, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 6499, 6, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 392, 31, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 489, 13, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 42, 3, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 561, 9, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 2947, 5, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 186, 30, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 436, 4, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 542, 10, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1825, 26, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 663, 44, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 724, 33, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 597, 9, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 392, 13, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 240, 20, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 575, 13, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 2021, 7, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 354, 2, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 4, 2, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 1, 2, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1298, 9, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 4750, 3, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 611, 1, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 71, 1, 2023, 11, 29, '2024-08-05 15:55:12', NULL, NULL), (171099, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 206, 18, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171100, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 689, 77, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171101, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 436, 4, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171102, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 42, 3, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171103, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 228, 193, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171104, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 717, 10, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171105, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 33, 10, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171106, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 239, 61, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171107, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 4750, 3, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171108, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 300, 33, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171109, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 400, 24, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171110, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 288, 68, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171111, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 474, 23, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171112, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 186, 30, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171113, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 6539, 10, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171114, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1034, 35, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171115, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 943, 3, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171116, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 341, 2, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171117, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 2947, 5, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171118, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 561, 9, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171119, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 267, 22, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171120, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 602, 9, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171121, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 354, 2, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171122, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 568, 19, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171123, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1825, 26, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171124, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1298, 9, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171125, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 3532, 4, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171126, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 416, 114, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171127, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 426, 76, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171128, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 251, 61, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171129, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 162, 12, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171130, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 6499, 6, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171131, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 6600, 4, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171132, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1825, 26, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171133, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 99, 3, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171134, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 4, 2, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171135, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 663, 44, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171136, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 7, 3, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171137, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 724, 33, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171138, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 1, 2, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171139, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 400, 24, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171140, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 293, 6, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171141, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 186, 30, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171142, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 60, 4, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171143, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 542, 10, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171144, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 561, 9, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171145, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 42, 3, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171146, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 392, 13, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171147, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 436, 15, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171148, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 373, 20, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171149, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 303, 17, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171150, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 240, 20, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171151, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 426, 34, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171152, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 597, 9, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171153, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 489, 13, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171154, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 450, 10, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171155, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 65, 4, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171156, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 309, 9, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171157, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 311, 7, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171158, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 354, 2, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171159, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 188, 5, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171160, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 300, 17, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171161, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 474, 23, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171162, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 240, 16, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171163, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 3532, 4, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171164, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 497, 15, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171165, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1238, 15, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171166, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 4750, 3, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171167, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 299, 31, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171168, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1043, 11, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171169, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 224, 10, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171170, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 684, 9, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171171, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 189, 20, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171172, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 71, 1, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171173, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 611, 1, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171174, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 717, 10, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171175, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 943, 3, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171176, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 172, 9, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171177, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1298, 9, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171178, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 227, 33, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171179, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 312, 7, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171180, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 329, 17, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171181, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C09', 10, 3, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171182, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 283, 10, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171183, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 160, 14, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171184, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 418, 5, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171185, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 210, 5, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171186, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 602, 9, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171187, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 436, 4, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171188, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 2947, 5, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171189, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 203, 43, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171190, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 365, 23, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171191, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 536, 22, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171192, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 341, 7, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171193, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 181, 37, 2023, 11, 29, '2024-08-05 15:55:13', NULL, NULL), (171194, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 267, 22, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171195, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 238, 35, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171196, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 392, 31, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171197, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 289, 25, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 238, 35, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 717, 10, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 329, 17, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 227, 33, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 325, 20, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C09', 10, 3, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 943, 3, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 3532, 4, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 181, 37, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 203, 43, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 289, 25, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 392, 31, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 611, 1, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 724, 33, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 365, 23, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 536, 22, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 71, 1, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 663, 44, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 497, 15, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 489, 13, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 436, 15, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 373, 20, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 303, 17, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 426, 34, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1238, 15, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1043, 11, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 684, 9, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 392, 13, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 240, 20, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 597, 9, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 542, 10, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 6499, 6, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1825, 26, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 186, 30, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 436, 4, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 2947, 5, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 42, 3, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 6600, 4, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 561, 9, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 99, 3, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 4750, 3, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 224, 10, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 199, 10, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 1, 2, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 259, 24, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1298, 9, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 267, 22, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 311, 16, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 328, 22, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 354, 2, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 7, 3, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 203, 30, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 400, 24, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 294, 27, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 474, 23, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 341, 7, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 299, 31, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 4, 2, 2023, 11, 29, '2024-08-05 15:55:14', NULL, NULL), (171256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 189, 20, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171257, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 400, 24, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171258, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 536, 22, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171259, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 365, 23, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171260, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 450, 10, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171261, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 60, 4, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171262, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 392, 31, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171263, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 224, 10, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (171264, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 299, 31, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171265, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 189, 20, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171266, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 1, 2, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171267, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 7, 3, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171268, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 4, 2, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171269, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 99, 3, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171270, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 474, 23, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171271, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 489, 13, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171272, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 497, 15, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171273, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 42, 3, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171274, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 597, 9, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171275, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 561, 9, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171276, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 186, 30, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171277, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 3532, 4, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171278, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 392, 13, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171279, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 240, 20, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171280, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C09', 10, 3, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171281, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 2947, 5, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171282, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 162, 12, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171283, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 542, 10, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171284, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 227, 33, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171285, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 329, 17, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171286, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 238, 35, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171287, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1043, 11, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171288, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 289, 25, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171289, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 684, 9, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171290, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1298, 9, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171291, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 203, 43, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171292, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1238, 15, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171293, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 181, 37, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171294, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 943, 3, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171295, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 717, 10, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171296, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 303, 17, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171297, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 426, 34, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171298, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 267, 22, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171299, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 6499, 6, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171300, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 6600, 4, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171301, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 373, 20, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171302, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 436, 15, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171303, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1825, 26, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171304, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 436, 4, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171305, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 602, 9, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171306, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 418, 5, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171307, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 4750, 3, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171308, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 210, 5, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171309, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 663, 44, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171310, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 172, 9, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171311, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 724, 33, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171312, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 312, 7, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171313, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 283, 10, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171314, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 160, 14, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171315, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 71, 1, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171316, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 341, 7, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171317, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 293, 6, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171318, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 611, 1, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171319, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 300, 17, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171320, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 309, 9, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171321, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 354, 2, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171322, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 240, 16, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171323, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 311, 7, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171324, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 65, 4, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171325, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 188, 5, 2023, 11, 29, '2024-08-05 15:55:15', NULL, NULL), (171326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 174, 115, 2023, 11, 30, '2024-08-05 15:55:16', NULL, NULL), (171327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 530, 3, 2023, 11, 30, '2024-08-05 15:55:16', NULL, NULL), (171328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 3539, 19, 2023, 11, 30, '2024-08-05 15:55:16', NULL, NULL), (171329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 168, 191, 2023, 11, 30, '2024-08-05 15:55:16', NULL, NULL), (171330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 208, 12, 2023, 11, 30, '2024-08-05 15:55:16', NULL, NULL), (171331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 633, 293, 2023, 11, 30, '2024-08-05 15:55:16', NULL, NULL), (171332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 148, 124, 2023, 11, 30, '2024-08-05 15:55:16', NULL, NULL), (171333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1119, 18, 2023, 11, 30, '2024-08-05 15:55:16', NULL, NULL), (171334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1495, 111, 2023, 11, 30, '2024-08-05 15:55:16', NULL, NULL), (171335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 16322, 1, 2023, 11, 30, '2024-08-05 15:55:16', NULL, NULL), (171336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 415, 162, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 450, 41, 2023, 11, 30, '2024-08-05 15:55:16', NULL, NULL), (171338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 79, 2, 2023, 11, 30, '2024-08-05 15:55:16', NULL, NULL), (171339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 391, 29, 2023, 11, 30, '2024-08-05 15:55:16', NULL, NULL), (171340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 597, 87, 2023, 11, 30, '2024-08-05 15:55:16', NULL, NULL), (171341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 398, 45, 2023, 11, 30, '2024-08-05 15:55:16', NULL, NULL), (171342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 1036, 133, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 435, 46, 2023, 11, 30, '2024-08-05 15:55:16', NULL, NULL), (171344, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 76, 1, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171345, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 2, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171346, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 616, 7, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171347, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171348, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 151, 10, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171349, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 168, 191, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171350, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1119, 18, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171351, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 2663, 5, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171352, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 2494, 60, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171353, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1926, 19, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171354, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 318, 5, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171355, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 532, 6, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171356, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 72, 11, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171357, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 174, 51, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171358, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 688, 19, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171359, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 555, 38, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171360, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 9431, 4, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171361, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 907, 1, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171362, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 997, 10, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171363, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 2075, 6, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171364, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 243, 20, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171365, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 79, 39, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171366, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 5, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171367, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 412, 10, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171368, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', '', 0, 1, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171369, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 749, 26, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171370, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 115, 4, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171371, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 73, 19, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171372, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 114, 78, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171373, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 319, 51, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171374, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 16322, 1, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171375, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 4, 4, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171376, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 201, 19, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171377, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 228, 26, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171378, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 365, 109, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171379, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171380, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171381, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 429, 22, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171382, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 2934, 6, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171383, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 3961, 3, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171384, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 2, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 201, 19, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 268, 18, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 228, 26, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 167, 38, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 43, 1, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 202, 18, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 163, 28, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 129, 35, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 188, 21, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 108, 12, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 185, 34, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 622, 12, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 570, 6, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 55, 24, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 153, 25, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 111, 19, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 122, 16, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 510, 20, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 303, 19, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 345, 16, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 54, 13, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 273, 19, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 325, 14, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 490, 33, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C09', 179, 7, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 679, 9, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 138, 31, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 73, 19, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 111, 18, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 250, 13, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1349, 11, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 466, 25, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 118, 11, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 757, 7, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 445, 10, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 16322, 1, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 153, 3, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 997, 10, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 72, 11, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 243, 20, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 4, 4, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 518, 18, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 2522, 18, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1926, 19, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 2751, 11, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 3266, 1, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 2358, 30, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 26, 4, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 992, 17, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 539, 8, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 290, 9, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 430, 2, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 2250, 6, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 11, 3, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 2075, 6, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 214, 2, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 38, 2, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2971, 4, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 9431, 4, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 76, 1, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 688, 19, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 2934, 6, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 907, 1, 2023, 11, 30, '2024-08-05 15:55:17', NULL, NULL), (171448, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 532, 6, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171449, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 2494, 60, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171450, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 4, 4, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171451, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 153, 3, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171452, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 616, 7, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171453, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 168, 191, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171454, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 151, 10, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171455, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 70, 34, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171456, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 2934, 6, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171457, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 749, 26, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171458, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 228, 26, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171459, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 116, 75, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171460, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 201, 19, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171461, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 243, 20, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171462, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 3961, 3, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171463, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1119, 18, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171464, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 555, 38, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171465, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '区退役军人局', '', '', 9431, 4, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171466, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 530, 3, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171467, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 72, 11, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171468, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 907, 1, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171469, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 16322, 1, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171470, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 997, 10, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171471, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 73, 19, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171472, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 458, 9, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171473, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 2075, 6, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171474, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 429, 22, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171475, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1926, 19, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171476, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 688, 19, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171477, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 2663, 5, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171478, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 365, 109, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171479, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 319, 51, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171480, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 174, 51, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171481, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 76, 1, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171482, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 1232, 2, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171483, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 757, 7, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171484, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1349, 11, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171485, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1926, 19, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171486, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 430, 2, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171487, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 2522, 18, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171488, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 1, 1, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171489, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 2751, 11, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171490, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 3266, 1, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171491, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 11, 3, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171492, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 185, 1, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171493, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 2358, 30, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171494, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 1, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171495, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 214, 2, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171496, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 228, 26, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171497, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 183, 4, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171498, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 243, 20, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171499, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 26, 4, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171500, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 518, 18, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171501, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', 'B07', 9431, 4, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171502, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 153, 3, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171503, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 997, 10, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171504, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 992, 17, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171505, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 679, 9, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171506, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 490, 33, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171507, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 303, 19, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171508, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 273, 19, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171509, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 111, 19, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171510, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 290, 9, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171511, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 26, 4, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171512, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B06', 3961, 3, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171513, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 117, 10, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171514, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 200, 7, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171515, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 136, 14, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171516, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 2075, 6, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171517, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 189, 11, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171518, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 45, 8, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171519, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 76, 1, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171520, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 96, 12, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171521, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 201, 19, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171522, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 47, 13, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171523, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 2663, 5, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171524, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 445, 10, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171525, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 510, 20, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171526, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 2934, 6, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171527, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 622, 12, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171528, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 188, 21, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171529, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 108, 12, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171530, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 570, 6, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171531, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 202, 18, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171532, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 907, 1, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171533, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 616, 7, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171534, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 38, 2, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171535, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 16322, 1, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171536, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 530, 3, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171537, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 688, 19, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171538, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 138, 31, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171539, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 27, 2, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171540, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 268, 18, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171541, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C09', 179, 7, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171542, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 110, 10, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171543, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 65, 11, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171544, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 5, 1, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171545, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 70, 5, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171546, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 458, 9, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171547, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 4, 4, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171548, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 72, 11, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171549, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 129, 35, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171550, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 466, 25, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171551, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 250, 13, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171552, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 185, 34, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171553, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A01', 43, 1, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171554, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 167, 38, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171555, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 73, 19, 2023, 11, 30, '2024-08-05 15:55:18', NULL, NULL), (171556, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 118, 11, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171557, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 163, 28, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 616, 7, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 167, 38, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 268, 18, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 138, 31, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 111, 18, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C09', 179, 7, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 530, 3, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 2663, 5, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 185, 34, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 129, 35, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 163, 28, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 118, 11, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 2358, 30, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 907, 1, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B07', 9431, 4, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 466, 25, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B06', 3961, 3, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 250, 13, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 2522, 18, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 3266, 1, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 2751, 11, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 445, 10, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 38, 2, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 16322, 1, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 679, 9, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 490, 33, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 303, 19, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 273, 19, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 111, 19, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 510, 20, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 622, 12, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 570, 6, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 992, 17, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 290, 9, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 26, 4, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 757, 7, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 518, 18, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1926, 19, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 243, 20, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 4, 4, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 72, 11, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 153, 3, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1349, 11, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 997, 10, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A01', 43, 1, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 1, 1, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 2934, 6, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 108, 12, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 54, 13, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 325, 14, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 688, 19, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 1, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 76, 1, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 122, 16, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 73, 19, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 345, 16, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 185, 1, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 2075, 6, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 228, 26, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 55, 24, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 430, 2, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 102, 22, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 201, 19, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 214, 2, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 188, 21, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 11, 3, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 202, 18, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171625, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 76, 1, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171626, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 38, 2, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171627, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 228, 26, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171628, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B06', 3961, 3, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171629, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 250, 13, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171630, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 466, 25, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171631, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 117, 10, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171632, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 26, 4, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171633, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 118, 11, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171634, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 108, 12, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171635, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 188, 21, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171636, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 202, 18, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171637, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 214, 2, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171638, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 1, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171639, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 185, 1, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171640, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 11, 3, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171641, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 1, 1, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171642, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 430, 2, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171643, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '区退役军人局', '', 'B07', 9431, 4, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171644, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 201, 19, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171645, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 153, 3, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171646, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 445, 10, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171647, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 26, 4, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171648, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 997, 10, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171649, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 2663, 5, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171650, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 243, 20, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171651, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 992, 17, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171652, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 290, 9, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171653, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C09', 179, 7, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171654, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 1232, 2, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171655, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 72, 11, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171656, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 138, 31, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171657, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 518, 18, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171658, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 268, 18, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171659, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 167, 38, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171660, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 622, 12, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171661, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 570, 6, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171662, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 163, 28, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (171663, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 688, 19, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171664, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 129, 35, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171665, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 185, 34, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171666, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 510, 20, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171667, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 530, 3, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171668, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 616, 7, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171669, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 273, 19, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171670, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 111, 19, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171671, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 73, 19, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171672, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 757, 7, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171673, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1349, 11, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171674, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 490, 33, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171675, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 303, 19, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171676, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1926, 19, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171677, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 679, 9, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171678, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 4, 4, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171679, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 16322, 1, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171680, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 458, 9, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171681, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 2522, 18, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171682, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 5, 1, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171683, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 2751, 11, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171684, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 3266, 1, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171685, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 2934, 6, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171686, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 70, 5, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171687, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 2358, 30, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171688, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 27, 2, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171689, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 110, 10, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171690, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 65, 11, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171691, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A01', 43, 1, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171692, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 183, 4, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171693, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 96, 12, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171694, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 907, 1, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171695, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 136, 14, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171696, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 2075, 6, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171697, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 47, 13, 2023, 11, 30, '2024-08-05 15:55:20', NULL, NULL), (171698, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 189, 11, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171699, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 200, 7, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171700, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 45, 8, 2023, 11, 30, '2024-08-05 15:55:19', NULL, NULL), (171701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 277, 127, 2023, 12, 1, '2024-08-05 15:55:23', NULL, NULL), (171702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 213, 2, 2023, 12, 1, '2024-08-05 15:55:23', NULL, NULL), (171703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 262, 11, 2023, 12, 1, '2024-08-05 15:55:23', NULL, NULL), (171704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 3506, 3, 2023, 12, 1, '2024-08-05 15:55:23', NULL, NULL), (171705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 864, 196, 2023, 12, 1, '2024-08-05 15:55:23', NULL, NULL), (171706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 12, 5, 2023, 12, 1, '2024-08-05 15:55:23', NULL, NULL), (171707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 941, 300, 2023, 12, 1, '2024-08-05 15:55:23', NULL, NULL), (171708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 543, 99, 2023, 12, 1, '2024-08-05 15:55:23', NULL, NULL), (171709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 5, 7, 2023, 12, 1, '2024-08-05 15:55:23', NULL, NULL), (171710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 388, 135, 2023, 12, 1, '2024-08-05 15:55:23', NULL, NULL), (171711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 753, 214, 2023, 12, 1, '2024-08-05 15:55:24', NULL, NULL), (171712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 554, 28, 2023, 12, 1, '2024-08-05 15:55:24', NULL, NULL), (171713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 720, 63, 2023, 12, 1, '2024-08-05 15:55:24', NULL, NULL), (171714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 323, 37, 2023, 12, 1, '2024-08-05 15:55:24', NULL, NULL), (171715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 701, 198, 2023, 12, 1, '2024-08-05 15:55:24', NULL, NULL), (171716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 748, 190, 2023, 12, 1, '2024-08-05 15:55:24', NULL, NULL), (171717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 540, 98, 2023, 12, 1, '2024-08-05 15:55:24', NULL, NULL), (171718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 529, 68, 2023, 12, 1, '2024-08-05 15:55:24', NULL, NULL), (171719, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 213, 2, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171720, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171721, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 288, 10, 2023, 12, 1, '2024-08-05 15:55:24', NULL, NULL), (171722, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2023, 12, 1, '2024-08-05 15:55:24', NULL, NULL), (171723, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 12, 5, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171724, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 859, 197, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171725, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 5, 7, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171726, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 7, 1, 2023, 12, 1, '2024-08-05 15:55:24', NULL, NULL), (171727, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 341, 60, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171728, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1713, 13, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171729, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 442, 4, 2023, 12, 1, '2024-08-05 15:55:24', NULL, NULL), (171730, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 2630, 4, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171731, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 696, 11, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171732, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 347, 64, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171733, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 400, 12, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171734, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1758, 88, 2023, 12, 1, '2024-08-05 15:55:26', NULL, NULL), (171735, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 0, 1, 2023, 12, 1, '2024-08-05 15:55:24', NULL, NULL), (171736, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1274, 14, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171737, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 5690, 2, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171738, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 295, 16, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171739, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 502, 20, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171740, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171741, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 1009, 8, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171742, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 9, 1, 2023, 12, 1, '2024-08-05 15:55:24', NULL, NULL), (171743, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 163, 14, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171744, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 391, 9, 2023, 12, 1, '2024-08-05 15:55:24', NULL, NULL), (171745, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 90, 20, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171746, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 229, 74, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171747, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 482, 63, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171748, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 179, 12, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171749, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 7484, 2, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171750, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 289, 31, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171751, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 386, 104, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171752, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171753, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2023, 12, 1, '2024-08-05 15:55:26', NULL, NULL), (171754, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 714, 19, 2023, 12, 1, '2024-08-05 15:55:26', NULL, NULL), (171755, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 749, 7, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171756, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2023, 12, 1, '2024-08-05 15:55:24', NULL, NULL), (171757, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2023, 12, 1, '2024-08-05 15:55:25', NULL, NULL), (171758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 838, 32, 2023, 12, 1, '2024-08-05 15:55:26', NULL, NULL), (171759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 179, 12, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 289, 31, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 814, 43, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 200, 21, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 745, 25, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 689, 1, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 544, 24, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 942, 47, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 1530, 3, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 262, 19, 2023, 12, 1, '2024-08-05 15:55:29', NULL, NULL), (171769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1570, 27, 2023, 12, 1, '2024-08-05 15:55:29', NULL, NULL), (171770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 346, 21, 2023, 12, 1, '2024-08-05 15:55:29', NULL, NULL), (171771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1446, 23, 2023, 12, 1, '2024-08-05 15:55:29', NULL, NULL), (171772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 517, 6, 2023, 12, 1, '2024-08-05 15:55:29', NULL, NULL), (171773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 1008, 18, 2023, 12, 1, '2024-08-05 15:55:29', NULL, NULL), (171774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 508, 11, 2023, 12, 1, '2024-08-05 15:55:29', NULL, NULL), (171775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 2081, 38, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 825, 13, 2023, 12, 1, '2024-08-05 15:55:26', NULL, NULL), (171777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 312, 19, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 126, 5, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 378, 13, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 565, 7, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 243, 11, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C09', 925, 1, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 323, 10, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 90, 20, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 867, 45, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 215, 28, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 720, 18, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 5, 3, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 190, 18, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 5, 4, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 534, 15, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 281, 17, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 437, 38, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 391, 9, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1274, 14, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 442, 4, 2023, 12, 1, '2024-08-05 15:55:29', NULL, NULL), (171797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 363, 13, 2023, 12, 1, '2024-08-05 15:55:26', NULL, NULL), (171798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 674, 15, 2023, 12, 1, '2024-08-05 15:55:26', NULL, NULL), (171799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 7484, 2, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 858, 12, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1713, 13, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 231, 26, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 206, 17, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 167, 4, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 864, 4, 2023, 12, 1, '2024-08-05 15:55:26', NULL, NULL), (171806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B06', 36, 1, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B05', 390, 1, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 423, 3, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 288, 10, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 93, 11, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 9, 1, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 4, 2, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 5690, 2, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 10, 3, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 27, 1, 2023, 12, 1, '2024-08-05 15:55:28', NULL, NULL), (171816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 251, 11, 2023, 12, 1, '2024-08-05 15:55:26', NULL, NULL), (171817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 400, 12, 2023, 12, 1, '2024-08-05 15:55:27', NULL, NULL), (171818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 749, 7, 2023, 12, 1, '2024-08-05 15:55:26', NULL, NULL), (171819, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 696, 11, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171820, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 347, 59, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171821, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 391, 9, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171822, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 288, 10, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171823, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 864, 196, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171824, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 12, 5, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171825, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 502, 20, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171826, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 749, 7, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171827, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 163, 14, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171828, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 289, 31, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171829, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 466, 60, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171830, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 7484, 2, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171831, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 179, 12, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171832, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 363, 13, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171833, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 9, 1, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171834, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 5, 7, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171835, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 213, 2, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171836, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1758, 88, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171837, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 442, 4, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171838, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 3506, 3, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171839, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1274, 14, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171840, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 90, 20, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171841, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 1009, 8, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171842, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 5690, 2, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171843, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 714, 19, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171844, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1713, 13, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171845, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 400, 12, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171846, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 7, 1, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171847, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 386, 104, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171848, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 229, 74, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171849, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 347, 64, 2023, 12, 1, '2024-08-05 15:55:30', NULL, NULL), (171850, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 601, 2, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171851, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 5, 4, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171852, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 5, 3, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171853, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 167, 4, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171854, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1713, 13, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171855, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 858, 12, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171856, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 231, 26, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171857, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 10, 3, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171858, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 1, 1, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171859, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 206, 17, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171860, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 27, 1, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171861, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 289, 31, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171862, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 363, 13, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171863, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 717, 9, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171864, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 834, 3, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171865, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 674, 15, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171866, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 391, 9, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171867, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1274, 14, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171868, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 423, 3, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171869, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 323, 10, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171870, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 243, 11, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171871, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 312, 19, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171872, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 126, 5, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171873, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 517, 6, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171874, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 93, 11, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171875, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 437, 38, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171876, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 864, 4, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171877, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 9, 1, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171878, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 668, 6, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171879, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 532, 5, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171880, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 499, 8, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171881, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 5690, 2, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171882, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 431, 4, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171883, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 434, 11, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171884, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 570, 11, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171885, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 179, 12, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171886, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 303, 15, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171887, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 7, 1, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171888, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B05', 390, 1, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171889, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B06', 36, 1, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171890, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 534, 15, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171891, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 2081, 38, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171892, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 749, 7, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171893, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 544, 24, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171894, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1570, 27, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171895, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 262, 19, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171896, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1446, 23, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171897, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 200, 21, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171898, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 288, 10, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171899, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 251, 11, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171900, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 3506, 3, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171901, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 400, 12, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171902, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 867, 45, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171903, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 533, 3, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171904, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 838, 32, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171905, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C09', 925, 1, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171906, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 339, 4, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171907, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 455, 6, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171908, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 1031, 1, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171909, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 71, 2, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171910, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 1009, 8, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171911, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 442, 4, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171912, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 190, 18, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171913, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 942, 47, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171914, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 689, 1, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171915, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 1530, 3, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171916, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 215, 28, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171917, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 90, 20, 2023, 12, 1, '2024-08-05 15:55:31', NULL, NULL), (171918, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 814, 43, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171919, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 281, 17, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171920, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 7484, 2, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171921, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 745, 25, 2023, 12, 1, '2024-08-05 15:55:32', NULL, NULL), (171922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 288, 10, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 814, 43, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 838, 32, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 867, 45, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 720, 18, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C09', 925, 1, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 7, 1, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 3506, 3, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 1530, 3, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 942, 47, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 745, 25, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 281, 17, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 167, 4, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 206, 17, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 190, 18, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 215, 28, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 858, 12, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 7484, 2, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 231, 26, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 534, 15, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 437, 38, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 251, 11, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 323, 10, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 243, 11, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 312, 19, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 126, 5, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 517, 6, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 2081, 38, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1570, 27, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1446, 23, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 423, 3, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 93, 11, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 864, 4, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B05', 390, 1, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B06', 36, 1, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 5, 4, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 674, 15, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1713, 13, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 363, 13, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 442, 4, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 391, 9, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 5, 3, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1274, 14, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 749, 7, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 262, 19, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 378, 13, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 400, 12, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 565, 7, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 508, 11, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 90, 20, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 825, 13, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 5690, 2, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 1, 1, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 289, 31, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 346, 21, 2023, 12, 1, '2024-08-05 15:55:33', NULL, NULL), (171977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 509, 15, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 179, 12, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 9, 1, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 689, 1, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 27, 1, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 544, 24, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 200, 21, 2023, 12, 1, '2024-08-05 15:55:34', NULL, NULL), (171984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 10, 3, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (171985, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 251, 11, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (171986, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 289, 31, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (171987, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 215, 28, 2023, 12, 1, '2024-08-05 15:55:36', NULL, NULL), (171988, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 190, 18, 2023, 12, 1, '2024-08-05 15:55:36', NULL, NULL), (171989, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 668, 6, 2023, 12, 1, '2024-08-05 15:55:36', NULL, NULL), (171990, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 834, 3, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (171991, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 281, 17, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (171992, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 262, 19, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (171993, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 544, 24, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (171994, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 200, 21, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (171995, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 27, 1, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (171996, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 1, 1, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (171997, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 10, 3, 2023, 12, 1, '2024-08-05 15:55:36', NULL, NULL), (171998, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B05', 390, 1, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (171999, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B06', 36, 1, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (172000, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 179, 12, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172001, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 437, 38, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172002, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 7484, 2, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172003, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 534, 15, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172004, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 391, 9, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172005, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 864, 4, 2023, 12, 1, '2024-08-05 15:55:36', NULL, NULL), (172006, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1274, 14, 2023, 12, 1, '2024-08-05 15:55:36', NULL, NULL), (172007, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 7, 1, 2023, 12, 1, '2024-08-05 15:55:36', NULL, NULL), (172008, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 363, 13, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172009, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 423, 3, 2023, 12, 1, '2024-08-05 15:55:36', NULL, NULL), (172010, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 93, 11, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172011, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C09', 925, 1, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (172012, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 9, 1, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (172013, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 601, 2, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (172014, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 442, 4, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (172015, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 674, 15, 2023, 12, 1, '2024-08-05 15:55:36', NULL, NULL), (172016, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 867, 45, 2023, 12, 1, '2024-08-05 15:55:36', NULL, NULL), (172017, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 838, 32, 2023, 12, 1, '2024-08-05 15:55:36', NULL, NULL), (172018, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 814, 43, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (172019, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1570, 27, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (172020, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 745, 25, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (172021, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1446, 23, 2023, 12, 1, '2024-08-05 15:55:36', NULL, NULL), (172022, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 400, 12, 2023, 12, 1, '2024-08-05 15:55:36', NULL, NULL), (172023, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 942, 47, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172024, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 1530, 3, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172025, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 2081, 38, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172026, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 3506, 3, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172027, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 288, 10, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (172028, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 126, 5, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (172029, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 517, 6, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (172030, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 90, 20, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (172031, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 5, 4, 2023, 12, 1, '2024-08-05 15:55:36', NULL, NULL), (172032, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 5, 3, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172033, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 243, 11, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (172034, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 312, 19, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (172035, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1713, 13, 2023, 12, 1, '2024-08-05 15:55:36', NULL, NULL), (172036, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 323, 10, 2023, 12, 1, '2024-08-05 15:55:36', NULL, NULL), (172037, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 1009, 8, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172038, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 858, 12, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172039, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 1031, 1, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172040, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 749, 7, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172041, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 231, 26, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172042, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 71, 2, 2023, 12, 1, '2024-08-05 15:55:38', NULL, NULL), (172043, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 206, 17, 2023, 12, 1, '2024-08-05 15:55:38', NULL, NULL), (172044, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 167, 4, 2023, 12, 1, '2024-08-05 15:55:38', NULL, NULL), (172045, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 533, 3, 2023, 12, 1, '2024-08-05 15:55:38', NULL, NULL), (172046, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 339, 4, 2023, 12, 1, '2024-08-05 15:55:38', NULL, NULL), (172047, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 455, 6, 2023, 12, 1, '2024-08-05 15:55:36', NULL, NULL), (172048, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 689, 1, 2023, 12, 1, '2024-08-05 15:55:36', NULL, NULL), (172049, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 717, 9, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172050, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 570, 11, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (172051, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 499, 8, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (172052, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 5690, 2, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (172053, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 303, 15, 2023, 12, 1, '2024-08-05 15:55:35', NULL, NULL), (172054, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 431, 4, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172055, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 532, 5, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172056, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 434, 11, 2023, 12, 1, '2024-08-05 15:55:37', NULL, NULL), (172057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 3750, 1, 2023, 12, 2, '2024-08-05 15:55:42', NULL, NULL), (172058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 2, 2023, 12, 2, '2024-08-05 15:55:42', NULL, NULL), (172059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 1, 2023, 12, 2, '2024-08-05 15:55:42', NULL, NULL), (172060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 1250, 3, 2023, 12, 2, '2024-08-05 15:55:42', NULL, NULL), (172061, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2023, 12, 2, '2024-08-05 15:55:42', NULL, NULL), (172062, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 3750, 1, 2023, 12, 2, '2024-08-05 15:55:42', NULL, NULL), (172063, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 4, 2023, 12, 2, '2024-08-05 15:55:43', NULL, NULL), (172064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 3750, 1, 2023, 12, 2, '2024-08-05 15:55:43', NULL, NULL), (172065, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 3750, 1, 2023, 12, 2, '2024-08-05 15:55:43', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (172066, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 3750, 1, 2023, 12, 2, '2024-08-05 15:55:43', NULL, NULL), (172067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 3750, 1, 2023, 12, 2, '2024-08-05 15:55:43', NULL, NULL), (172068, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 3750, 1, 2023, 12, 2, '2024-08-05 15:55:43', NULL, NULL), (172069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 2, 2023, 12, 3, '2024-08-05 15:55:44', NULL, NULL), (172070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 1, 2023, 12, 3, '2024-08-05 15:55:44', NULL, NULL), (172071, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 3, 2023, 12, 3, '2024-08-05 15:55:45', NULL, NULL), (172072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 648, 89, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1336, 3, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 3633, 4, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 824, 243, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 428, 7, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1609, 518, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 378, 124, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 945, 20, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 387, 186, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 1036, 348, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 1003, 62, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 1025, 95, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1307, 87, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 951, 290, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 1178, 123, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 804, 130, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 718, 86, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172089, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172090, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172091, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 1992, 2, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172092, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 2, 5, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172093, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172094, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 824, 243, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172095, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 945, 20, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172096, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 6, 4, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172097, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1313, 46, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172098, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 329, 85, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172099, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 472, 13, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172100, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 3633, 4, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172101, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 413, 12, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172102, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 216, 45, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172103, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 329, 9, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172104, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 3000, 120, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172105, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 1494, 2, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172106, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 2, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172107, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 3764, 2, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172108, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 807, 8, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172109, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 2427, 7, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172110, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 257, 18, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172111, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 162, 33, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172112, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 1216, 7, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172113, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 7, 2, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172114, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 572, 20, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172115, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 280, 21, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172116, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 2977, 13, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172117, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 450, 98, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172118, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 368, 84, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172119, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 0, 2, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172120, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 7170, 19, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172121, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 58, 12, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172122, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 3, 3, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172123, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 450, 19, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172124, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 1040, 191, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172125, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 11, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172126, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 11, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172127, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 369, 39, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172128, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 421, 7, 2023, 12, 4, '2024-08-05 15:55:45', NULL, NULL), (172129, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 2, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 58, 12, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 915, 34, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 450, 19, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 927, 52, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 314, 12, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 728, 33, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 104, 11, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 258, 7, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 952, 60, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 106, 8, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 3385, 47, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 782, 42, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 602, 20, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 285, 14, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 2291, 19, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 717, 45, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 775, 31, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 252, 10, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 2915, 54, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 856, 14, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 1437, 33, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 891, 43, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 16, 8, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 505, 14, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 309, 21, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 1081, 44, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C09', 350, 18, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 2977, 13, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 128, 4, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 144, 17, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 146, 24, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 396, 12, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1204, 10, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 2164, 12, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 685, 10, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 495, 24, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 280, 21, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 807, 8, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 413, 12, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 257, 18, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 7170, 19, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 3, 3, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 465, 25, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1342, 45, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 503, 25, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 97, 5, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 291, 22, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 292, 27, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 199, 14, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 331, 6, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 997, 4, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 675, 14, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 15, 1, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 9, 3, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 2427, 7, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 1, 1, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 558, 44, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 7529, 1, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 329, 9, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 421, 7, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B15', 1494, 2, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172191, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 472, 13, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172192, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 329, 85, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172193, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 7170, 19, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172194, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 280, 21, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172195, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 1992, 2, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172196, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 824, 243, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172197, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 2, 5, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172198, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 167, 30, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172199, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 421, 7, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172200, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 572, 20, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172201, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 450, 19, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172202, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 368, 74, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172203, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 3, 3, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172204, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 58, 12, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172205, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 257, 18, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172206, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 15, 1, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172207, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 945, 20, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172208, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 3000, 120, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172209, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 1494, 2, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172210, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 3633, 4, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172211, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 413, 12, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172212, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 807, 8, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172213, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 2977, 13, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172214, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 1216, 7, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172215, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 2427, 7, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172216, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 369, 39, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172217, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 7529, 1, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172218, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1342, 45, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172219, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 329, 9, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172220, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 24, 1, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172221, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 1040, 191, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172222, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 450, 98, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172223, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 216, 45, 2023, 12, 4, '2024-08-05 15:55:46', NULL, NULL), (172224, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 618, 7, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172225, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 685, 10, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172226, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1204, 10, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172227, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 292, 27, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172228, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 104, 6, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172229, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1342, 45, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172230, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 503, 25, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172231, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 2, 2, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172232, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 97, 5, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172233, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 2, 2, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172234, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 291, 22, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172235, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 1, 1, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172236, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 450, 19, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172237, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 302, 6, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172238, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 257, 18, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172239, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 43, 4, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172240, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 465, 25, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172241, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 280, 21, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172242, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 807, 8, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172243, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 331, 6, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172244, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 505, 14, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172245, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 1081, 44, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172246, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 1437, 33, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172247, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 891, 43, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172248, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 717, 45, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172249, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 675, 14, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172250, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 199, 14, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172251, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 7529, 1, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172252, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 15, 1, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172253, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 66, 7, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172254, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 467, 6, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172255, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 274, 8, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172256, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 2427, 7, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172257, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 187, 11, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172258, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 20, 6, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172259, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 58, 12, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172260, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 425, 20, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172261, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 693, 16, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172262, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 24, 1, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172263, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 2164, 12, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172264, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 285, 14, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172265, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 2915, 54, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172266, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 421, 7, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172267, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 104, 11, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172268, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 3385, 47, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172269, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 106, 8, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172270, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 2291, 19, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172271, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 314, 12, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172272, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B15', 1494, 2, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172273, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 1992, 2, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172274, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 558, 44, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172275, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 3633, 4, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172276, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 671, 1, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172277, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 329, 9, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172278, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 128, 4, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172279, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 163, 2, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172280, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 915, 34, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172281, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C09', 350, 18, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172282, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 139, 7, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172283, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 237, 4, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172284, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 37, 3, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172285, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 2, 2, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172286, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 1216, 7, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172287, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 7170, 19, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172288, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 413, 12, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172289, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 396, 12, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172290, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 952, 60, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172291, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 258, 7, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172292, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 160, 18, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172293, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 782, 42, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172294, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 2977, 13, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172295, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 927, 52, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172296, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 3, 3, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172297, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 495, 24, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172298, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 728, 33, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 1992, 2, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 927, 52, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 915, 34, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 128, 4, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 144, 17, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C09', 350, 18, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 24, 1, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 3633, 4, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 782, 42, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 952, 60, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 728, 33, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 495, 24, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 292, 27, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 291, 22, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 396, 12, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 146, 24, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 503, 25, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 3, 3, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B15', 1494, 2, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 97, 5, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 2164, 12, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 558, 44, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 505, 14, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 1081, 44, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 1437, 33, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 891, 43, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 717, 45, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 2915, 54, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 3385, 47, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 2291, 19, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 331, 6, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 675, 14, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 199, 14, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 465, 25, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 685, 10, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1342, 45, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 257, 18, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 7170, 19, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 413, 12, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 280, 21, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 807, 8, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1204, 10, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 2, 2, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 421, 7, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 285, 14, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 106, 8, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 16, 8, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 329, 9, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 309, 21, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 252, 10, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 2977, 13, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 7529, 1, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 856, 14, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 2, 2, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 602, 20, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 2427, 7, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 450, 19, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 58, 12, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 351, 27, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 1, 1, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 104, 11, 2023, 12, 4, '2024-08-05 15:55:47', NULL, NULL), (172360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 258, 7, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 15, 1, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 314, 12, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172363, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 558, 44, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172364, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 450, 19, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172365, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 160, 18, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172366, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 396, 12, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172367, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 66, 7, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172368, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 285, 14, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172369, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 43, 4, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172370, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 106, 8, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172371, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 495, 24, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172372, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 104, 11, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172373, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 314, 12, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172374, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 1, 1, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172375, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 2, 2, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172376, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 2, 2, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172377, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 58, 12, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172378, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 7529, 1, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172379, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 3, 3, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172380, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 2164, 12, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172381, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 280, 21, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172382, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 199, 14, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172383, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 807, 8, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172384, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 24, 1, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172385, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 257, 18, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172386, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 331, 6, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172387, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 675, 14, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172388, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C09', 350, 18, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172389, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 618, 7, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172390, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 413, 12, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172391, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 465, 25, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172392, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 128, 4, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172393, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 915, 34, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172394, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 3385, 47, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172395, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 927, 52, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172396, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 2291, 19, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172397, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 728, 33, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172398, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 329, 9, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172399, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 952, 60, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172400, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 15, 1, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172401, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 2915, 54, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172402, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 782, 42, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172403, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 3633, 4, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172404, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 1992, 2, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172405, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 891, 43, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172406, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 717, 45, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172407, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 2977, 13, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172408, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 685, 10, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172409, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1204, 10, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172410, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 1081, 44, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172411, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 1437, 33, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172412, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1342, 45, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172413, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 7170, 19, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172414, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 505, 14, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172415, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 1216, 7, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172416, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 503, 25, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172417, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 37, 3, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172418, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 97, 5, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172419, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 2, 2, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172420, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 421, 7, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172421, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 671, 1, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172422, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 291, 22, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172423, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 163, 2, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172424, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 292, 27, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172425, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 104, 6, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172426, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 139, 7, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172427, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 237, 4, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172428, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 258, 7, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172429, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 302, 6, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172430, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 425, 20, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172431, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 274, 8, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172432, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B15', 1494, 2, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172433, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 693, 16, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172434, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 2427, 7, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172435, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 187, 11, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172436, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 467, 6, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172437, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 20, 6, 2023, 12, 4, '2024-08-05 15:55:48', NULL, NULL), (172438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 169, 101, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 398, 8, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 7244, 6, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 298, 212, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 19, 18, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区残联', '', '', 21834, 1, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1312, 419, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 285, 140, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 191, 164, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 694, 14, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 5289, 1, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 564, 239, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 703, 65, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 746, 52, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 425, 69, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 833, 269, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 961, 144, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 787, 138, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 520, 113, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172457, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 97, 5, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172458, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 19, 18, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172459, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 298, 212, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172460, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 694, 14, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172461, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 4, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172462, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 885, 21, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172463, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 170, 93, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172464, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 7244, 6, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172465, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 414, 20, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172466, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 394, 21, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172467, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 176, 43, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172468, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 139, 6, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172469, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1767, 109, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172470, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172471, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (172472, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 429, 13, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172473, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 1047, 4, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172474, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 198, 10, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172475, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 246, 20, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172476, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 432, 10, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172477, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', '', 21834, 1, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172478, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 842, 20, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172479, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 180, 7, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172480, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 135, 26, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172481, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 219, 71, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172482, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 246, 95, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172483, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 5289, 1, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172484, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 9344, 12, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172485, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 87, 8, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172486, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 212, 25, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172487, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 1021, 178, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172488, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172489, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 320, 18, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172490, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172491, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 1, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172492, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 900, 3, 2023, 12, 5, '2024-08-05 15:55:49', NULL, NULL), (172493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 87, 8, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 325, 22, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 212, 25, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 249, 30, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 310, 38, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 125, 10, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 220, 12, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 385, 35, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 157, 6, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 249, 47, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1806, 62, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 276, 33, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 195, 14, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 3704, 12, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 995, 28, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 328, 19, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1715, 47, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 301, 18, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 887, 28, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 181, 18, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 1097, 26, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 980, 31, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 386, 28, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 1080, 44, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 135, 26, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 290, 40, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 230, 18, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 182, 23, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 615, 4, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 154, 21, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 189, 25, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 1083, 21, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 726, 10, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 5289, 1, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 180, 7, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 429, 13, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A15', 21834, 1, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 394, 21, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 198, 10, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 9344, 12, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 142, 5, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 885, 21, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 55, 17, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 619, 10, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 59, 20, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 144, 23, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 388, 13, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 994, 8, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 22, 5, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 741, 12, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 100, 5, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 16, 5, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 20, 3, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 1047, 4, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 349, 8, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 302, 25, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 139, 6, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172550, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 414, 20, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172551, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 170, 93, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172552, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '区残联', '', '', 21834, 1, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172553, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 9344, 12, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172554, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 180, 7, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172555, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 97, 5, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172556, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 298, 212, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172557, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 19, 18, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172558, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 238, 19, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172559, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 842, 20, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172560, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 212, 25, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172561, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 251, 91, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172562, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 87, 8, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172563, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 198, 10, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172564, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 900, 3, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172565, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 694, 14, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172566, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1767, 109, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172567, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 7244, 6, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172568, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 394, 21, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172569, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 5289, 1, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172570, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 429, 13, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172571, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 135, 26, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172572, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 432, 10, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172573, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 320, 18, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172574, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 1047, 4, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172575, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 885, 21, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172576, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 139, 6, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172577, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 1021, 178, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172578, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 219, 71, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172579, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 180, 42, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172580, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 543, 13, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172581, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 726, 10, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172582, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 615, 4, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172583, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 144, 23, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172584, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 885, 21, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172585, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 182, 23, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172586, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 39, 3, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172587, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 55, 17, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172588, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 619, 10, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172589, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 2, 2, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172590, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 20, 3, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172591, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 59, 20, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172592, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 16, 5, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172593, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', 'A15', 21834, 1, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172594, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 212, 25, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172595, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 18, 5, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172596, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 198, 10, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172597, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 174, 7, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172598, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 204, 3, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172599, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 142, 5, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172600, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 180, 7, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172601, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 429, 13, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172602, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 994, 8, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172603, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 980, 31, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172604, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 1080, 44, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172605, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 887, 28, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172606, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 1097, 26, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172607, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 995, 28, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172608, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 741, 12, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172609, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 388, 13, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172610, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 289, 8, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172611, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 900, 3, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172612, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 97, 7, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172613, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 337, 16, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172614, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 290, 10, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172615, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 1047, 4, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172616, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 172, 13, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172617, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 158, 5, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172618, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 87, 8, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172619, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 267, 32, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172620, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 1083, 21, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172621, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 195, 14, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172622, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1715, 47, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172623, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 220, 12, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172624, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1806, 62, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172625, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 157, 6, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172626, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 125, 10, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172627, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 35, 3, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172628, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 191, 2, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172629, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 302, 25, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172630, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 5289, 1, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172631, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 7244, 6, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172632, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 416, 1, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172633, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 139, 6, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172634, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 290, 40, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172635, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 281, 3, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172636, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 325, 22, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172637, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 198, 1, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172638, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 580, 1, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172639, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 170, 5, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172640, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 206, 5, 2023, 12, 5, '2024-08-05 15:55:50', NULL, NULL), (172641, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 9344, 12, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172642, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 432, 10, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172643, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 394, 21, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172644, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 154, 21, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172645, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 385, 35, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172646, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 249, 47, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172647, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 249, 30, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172648, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 135, 26, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172649, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 189, 25, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172650, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 310, 38, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 35, 3, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 249, 30, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 325, 22, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 290, 40, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 230, 18, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 900, 3, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 7244, 6, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 191, 2, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 249, 47, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 385, 35, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 310, 38, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 189, 25, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 144, 23, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 154, 21, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 182, 23, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 55, 17, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 59, 20, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 619, 10, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 1083, 21, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 302, 25, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 5289, 1, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区残联', '', 'A15', 21834, 1, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 980, 31, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 1080, 44, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 887, 28, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 1097, 26, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 995, 28, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1715, 47, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1806, 62, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 994, 8, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 741, 12, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 388, 13, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 142, 5, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 726, 10, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 885, 21, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 198, 10, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 9344, 12, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 394, 21, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 180, 7, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 615, 4, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 429, 13, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 2, 2, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 195, 14, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 157, 6, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 181, 18, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 139, 6, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 386, 28, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 328, 19, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 135, 26, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 301, 18, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 1047, 4, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 212, 25, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 16, 5, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 276, 33, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 165, 6, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 87, 8, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 39, 3, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 220, 12, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 18, 5, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 20, 3, 2023, 12, 5, '2024-08-05 15:55:51', NULL, NULL), (172711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 125, 10, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172712, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 212, 25, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172713, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 302, 25, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172714, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '区残联', '', 'A15', 21834, 1, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172715, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 900, 3, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172716, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 154, 21, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172717, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 289, 8, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172718, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 204, 3, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172719, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 195, 14, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172720, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 189, 25, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172721, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 157, 6, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172722, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 220, 12, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172723, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 125, 10, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172724, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 18, 5, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172725, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 16, 5, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172726, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 20, 3, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172727, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 2, 2, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172728, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 39, 3, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172729, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 87, 8, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172730, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 180, 7, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172731, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 1083, 21, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172732, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 388, 13, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172733, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 429, 13, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172734, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 198, 10, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172735, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 994, 8, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172736, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 741, 12, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172737, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 543, 13, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172738, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 394, 21, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172739, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 142, 5, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172740, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 290, 40, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172741, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 325, 22, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172742, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 249, 30, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172743, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1806, 62, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172744, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 310, 38, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172745, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 139, 6, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172746, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 385, 35, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172747, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 249, 47, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172748, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1715, 47, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172749, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 7244, 6, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172750, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 35, 3, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172751, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 1097, 26, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172752, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 995, 28, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172753, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 191, 2, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172754, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 135, 26, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172755, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 726, 10, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172756, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 615, 4, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172757, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 1080, 44, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172758, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 887, 28, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172759, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 885, 21, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172760, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 9344, 12, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172761, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 980, 31, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172762, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 5289, 1, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172763, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 432, 10, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172764, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 55, 17, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172765, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 619, 10, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172766, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 170, 5, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172767, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 59, 20, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172768, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 206, 5, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172769, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 416, 1, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172770, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 281, 3, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172771, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 144, 23, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172772, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 198, 1, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172773, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 182, 23, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172774, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 580, 1, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172775, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 174, 7, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172776, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 158, 5, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172777, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 337, 16, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172778, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 1047, 4, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172779, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 267, 32, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172780, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 290, 10, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172781, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 97, 7, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172782, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 172, 13, 2023, 12, 5, '2024-08-05 15:55:52', NULL, NULL), (172783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 140, 72, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 51, 1, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 6509, 19, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 391, 323, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 90, 17, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1100, 483, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 179, 109, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 905, 14, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 198, 138, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 607, 1, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 809, 297, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 495, 86, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 470, 41, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 505, 62, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 542, 258, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 755, 120, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 614, 207, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 1144, 112, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172801, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 24, 9, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172802, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 90, 17, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172803, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 391, 323, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172804, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 905, 14, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172805, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 7469, 11, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172806, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 58, 62, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172807, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 3086, 36, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172808, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 51, 1, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172809, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 270, 20, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172810, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 402, 18, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172811, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 138, 41, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172812, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1780, 16, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172813, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1175, 119, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172814, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172815, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 7, 1, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172816, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 957, 11, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172817, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 480, 24, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172818, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 131, 19, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172819, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 840, 9, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172820, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 505, 16, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172821, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 220, 7, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172822, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 140, 11, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172823, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 76, 73, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172824, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 312, 76, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172825, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 303, 2, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172826, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 1120, 6, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172827, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 206, 4, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172828, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 4, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172829, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 129, 16, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172830, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 854, 194, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172831, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 4, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172832, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172833, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1144, 35, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172834, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 143, 3, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172835, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 6884, 6, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172836, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2023, 12, 6, '2024-08-05 15:55:53', NULL, NULL), (172837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 206, 4, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 370, 50, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 129, 16, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 347, 58, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 415, 75, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 215, 8, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 94, 6, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 463, 30, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 101, 16, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 304, 43, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1280, 36, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 79, 16, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1234, 24, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 162, 11, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 178, 12, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 1116, 32, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 125, 5, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1087, 59, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 749, 20, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 469, 17, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 774, 36, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 71, 14, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 904, 21, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 205, 22, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 794, 59, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 140, 11, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 442, 67, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 86, 24, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 279, 28, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 777, 9, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 209, 23, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 112, 7, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1134, 5, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 820, 26, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 607, 1, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 220, 7, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 957, 11, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 402, 18, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 480, 24, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 1120, 6, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1310, 29, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 80, 11, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 3175, 35, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 178, 5, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 13, 2, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 13, 15, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (172883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 24, 12, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 343, 6, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 586, 6, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 1, 1, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 457, 10, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 22, 11, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 1, 1, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 7574, 11, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 3471, 12, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 332, 35, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 7, 1, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1780, 16, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 430, 1, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172896, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 270, 20, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172897, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 58, 62, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172898, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 1120, 6, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172899, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 220, 7, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172900, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 24, 9, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172901, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 391, 323, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172902, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 90, 17, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172903, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 138, 17, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172904, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 430, 1, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172905, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 505, 16, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172906, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 129, 16, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172907, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 67, 63, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172908, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 206, 4, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172909, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 480, 24, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172910, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 905, 14, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172911, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 6884, 6, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172912, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1175, 119, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172913, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 51, 1, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172914, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 402, 18, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172915, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 607, 1, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172916, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 957, 11, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172917, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 140, 11, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172918, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 840, 9, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172919, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1144, 35, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172920, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 7, 1, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172921, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 3175, 35, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172922, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1780, 16, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172923, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 20540, 4, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172924, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 854, 194, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172925, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 312, 76, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172926, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 138, 41, 2023, 12, 6, '2024-08-05 15:55:54', NULL, NULL), (172927, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 410, 9, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172928, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1134, 5, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172929, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 777, 9, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172930, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 24, 12, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172931, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 77, 17, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172932, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 3175, 35, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172933, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 11, 2, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172934, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 80, 11, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172935, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 1, 1, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172936, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 178, 5, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172937, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 165, 7, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172938, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 13, 2, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172939, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 1, 1, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172940, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 13, 15, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172941, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 58, 6, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172942, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 129, 16, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172943, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 155, 11, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172944, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 480, 24, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172945, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 19, 3, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172946, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1310, 29, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172947, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 957, 11, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172948, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 220, 7, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172949, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 586, 6, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172950, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 904, 21, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172951, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 794, 59, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172952, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 749, 20, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172953, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 774, 36, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172954, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 457, 10, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172955, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 1116, 32, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172956, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 343, 6, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172957, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 7, 1, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172958, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 31, 10, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172959, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 6884, 6, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172960, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 65, 6, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172961, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 125, 5, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172962, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 86, 9, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172963, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 77, 12, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172964, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 206, 4, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172965, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 85, 8, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172966, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 39, 13, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172967, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 20540, 4, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172968, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 820, 26, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172969, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 162, 11, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172970, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1087, 59, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172971, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 430, 1, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172972, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 94, 6, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172973, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1280, 36, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172974, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 101, 16, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172975, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1234, 24, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172976, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 215, 8, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172977, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 24, 9, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172978, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 332, 35, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172979, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 51, 1, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172980, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 607, 1, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172981, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 9, 2, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172982, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1780, 16, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172983, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 442, 67, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172984, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 370, 50, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172985, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 468, 3, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172986, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 252, 3, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172987, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 11, 4, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172988, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 34, 2, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172989, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 1120, 6, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172990, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 840, 9, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172991, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 402, 18, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172992, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 209, 23, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172993, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 463, 30, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172994, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 304, 43, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172995, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 591, 11, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172996, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 140, 11, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172997, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 347, 58, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172998, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 112, 7, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (172999, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 415, 75, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 347, 58, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 370, 50, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 442, 67, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 86, 24, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 6884, 6, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 20540, 4, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 51, 1, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 24, 9, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 304, 43, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 463, 30, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 415, 75, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 112, 7, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 24, 12, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 13, 15, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 209, 23, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 279, 28, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 80, 11, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 13, 2, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 178, 5, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 820, 26, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 332, 35, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 607, 1, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 904, 21, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 794, 59, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 749, 20, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 774, 36, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 1116, 32, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1087, 59, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1280, 36, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1234, 24, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 586, 6, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 457, 10, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 343, 6, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1134, 5, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1310, 29, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 3175, 35, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 480, 24, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 1120, 6, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 402, 18, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 220, 7, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 777, 9, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 957, 11, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 1, 1, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 430, 1, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 162, 11, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 101, 16, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 71, 14, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1780, 16, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 205, 22, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 140, 11, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 125, 5, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 7, 1, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 469, 17, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 1, 1, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 79, 16, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 129, 16, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 206, 4, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 11, 2, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 189, 11, 2023, 12, 6, '2024-08-05 15:55:55', NULL, NULL), (173059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 58, 6, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 94, 6, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 165, 7, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 215, 8, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173063, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 129, 16, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173064, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 332, 35, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173065, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 6884, 6, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173066, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 591, 11, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173067, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 209, 23, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173068, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 31, 10, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173069, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 19, 3, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173070, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 162, 11, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173071, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 112, 7, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173072, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 101, 16, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173073, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 94, 6, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173074, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 215, 8, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173075, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 58, 6, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173076, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 1, 1, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173077, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 165, 7, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173078, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 1, 1, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173079, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 11, 2, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173080, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 206, 4, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173081, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 7, 1, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173082, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 820, 26, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173083, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 220, 7, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173084, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 343, 6, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173085, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 20540, 4, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173086, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 957, 11, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173087, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 480, 24, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173088, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 586, 6, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173089, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 457, 10, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173090, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 402, 18, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173091, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 410, 9, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173092, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1310, 29, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173093, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 442, 67, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173094, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 370, 50, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173095, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 347, 58, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173096, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1280, 36, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173097, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 415, 75, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173098, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1234, 24, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173099, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1780, 16, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173100, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 463, 30, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173101, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1087, 59, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173102, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 304, 43, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173103, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 51, 1, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173104, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 774, 36, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173105, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 1116, 32, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173106, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 140, 11, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173107, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 24, 9, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173108, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1134, 5, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173109, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 777, 9, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173110, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 794, 59, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173111, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 749, 20, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173112, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 3175, 35, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173113, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 904, 21, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173114, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 1120, 6, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173115, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 607, 1, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173116, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 840, 9, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173117, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 80, 11, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173118, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 11, 4, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173119, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 178, 5, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173120, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 34, 2, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173121, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 430, 1, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173122, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 13, 2, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173123, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 9, 2, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173124, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 13, 15, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173125, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 24, 12, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173126, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 77, 17, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173127, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 468, 3, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173128, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 252, 3, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173129, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 155, 11, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173130, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 85, 8, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173131, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 125, 5, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173132, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 39, 13, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173133, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 86, 9, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173134, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 65, 6, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173135, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 77, 12, 2023, 12, 6, '2024-08-05 15:55:56', NULL, NULL), (173136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 243, 98, 2023, 12, 7, '2024-08-05 15:55:57', NULL, NULL), (173137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 14312, 22, 2023, 12, 7, '2024-08-05 15:55:57', NULL, NULL), (173138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 233, 209, 2023, 12, 7, '2024-08-05 15:55:57', NULL, NULL), (173139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 30, 1, 2023, 12, 7, '2024-08-05 15:55:57', NULL, NULL), (173140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 380, 12, 2023, 12, 7, '2024-08-05 15:55:57', NULL, NULL), (173141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1603, 335, 2023, 12, 7, '2024-08-05 15:55:57', NULL, NULL), (173142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 161, 127, 2023, 12, 7, '2024-08-05 15:55:57', NULL, NULL), (173143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1616, 10, 2023, 12, 7, '2024-08-05 15:55:57', NULL, NULL), (173144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 404, 129, 2023, 12, 7, '2024-08-05 15:55:57', NULL, NULL), (173145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 1249, 249, 2023, 12, 7, '2024-08-05 15:55:57', NULL, NULL), (173146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 748, 45, 2023, 12, 7, '2024-08-05 15:55:57', NULL, NULL), (173147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 1327, 53, 2023, 12, 7, '2024-08-05 15:55:57', NULL, NULL), (173148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 326, 35, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 815, 203, 2023, 12, 7, '2024-08-05 15:55:57', NULL, NULL), (173150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 1095, 170, 2023, 12, 7, '2024-08-05 15:55:57', NULL, NULL), (173151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 1074, 131, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 1164, 79, 2023, 12, 7, '2024-08-05 15:55:57', NULL, NULL), (173153, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 2281, 1, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173154, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 760, 8, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173155, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 12, 10, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173156, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 233, 209, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173157, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1616, 10, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173158, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 19922, 14, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173159, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 15, 2, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173160, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 2616, 30, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173161, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 174, 54, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173162, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173163, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 102, 19, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173164, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 307, 16, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173165, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 121, 48, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173166, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1196, 10, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173167, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 2330, 72, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173168, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 2160, 1, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173169, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1335, 19, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173170, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 1494, 3, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173171, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 100, 13, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173172, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 106, 20, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173173, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 587, 15, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173174, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 798, 6, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173175, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 225, 5, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173176, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 77, 17, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173177, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 106, 83, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173178, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 360, 72, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173179, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 607, 7, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173180, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 757, 19, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173181, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 5593, 3, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173182, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 137, 17, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173183, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 1591, 144, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173184, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173185, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 324, 11, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173186, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173187, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 5, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173188, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 29875, 1, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173189, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 799, 18, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 266, 31, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 137, 17, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 210, 62, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 100, 17, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 178, 29, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 66, 4, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 229, 41, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 121, 10, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 129, 11, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 2353, 52, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 124, 20, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 176, 15, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 2271, 20, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 80, 20, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 89, 9, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 1350, 42, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 435, 22, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 1756, 23, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 116, 16, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 1175, 13, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 99, 21, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 1302, 23, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C09', 967, 5, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 77, 17, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 220, 30, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 105, 20, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 64, 16, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 5564, 1, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 345, 26, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1177, 9, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 331, 22, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 2037, 20, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 2001, 23, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 225, 5, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1335, 19, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 307, 16, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 100, 13, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 607, 7, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 395, 9, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 5593, 3, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 35, 16, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 2616, 30, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 556, 14, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 3, 8, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 5, 2, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 1, 1, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 957, 5, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 760, 8, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 5, 4, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 18594, 15, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 1494, 3, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 7494, 4, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 403, 24, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 2281, 1, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1196, 10, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 2160, 1, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173247, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 102, 19, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173248, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 174, 54, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173249, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 607, 7, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173250, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 225, 5, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173251, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 868, 7, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173252, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 233, 209, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173253, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 12, 10, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173254, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 104, 16, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173255, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 957, 5, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173256, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 137, 17, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173257, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 104, 77, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173258, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 5593, 3, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173259, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 799, 18, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173260, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 100, 13, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173261, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 29875, 1, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173262, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1616, 10, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173263, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 2330, 72, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173264, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 2160, 1, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173265, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 307, 16, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173266, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 30, 1, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173267, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1335, 19, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173268, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 77, 17, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173269, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 587, 15, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173270, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 324, 11, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173271, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 1494, 3, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173272, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 2616, 30, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173273, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1196, 10, 2023, 12, 7, '2024-08-05 15:55:58', NULL, NULL), (173274, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 19922, 14, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173275, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 1591, 144, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173276, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 360, 72, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173277, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 126, 46, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173278, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 2281, 1, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173279, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 152, 7, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173280, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1177, 9, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173281, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 5564, 1, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173282, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 2616, 30, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173283, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 64, 16, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173284, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 1, 1, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173285, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 35, 16, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (173286, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 1, 1, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173287, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 1, 1, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173288, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 556, 14, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173289, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 5, 4, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173290, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 3, 8, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173291, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 34, 3, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173292, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 137, 17, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173293, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 73, 12, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173294, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 100, 13, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173295, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 30, 1, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173296, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 395, 9, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173297, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 225, 5, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173298, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1335, 19, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173299, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 1175, 13, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173300, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 1302, 23, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173301, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 1350, 42, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173302, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 1756, 23, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173303, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 957, 5, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173304, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 5, 2, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173305, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 2001, 23, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173306, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 153, 8, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173307, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 29875, 1, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173308, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 134, 5, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173309, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 98, 8, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173310, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 82, 12, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173311, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 1494, 3, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173312, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 110, 12, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173313, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 2281, 1, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173314, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 73, 15, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173315, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 799, 18, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173316, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 115, 17, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173317, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 19922, 14, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173318, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 2037, 20, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173319, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 176, 15, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173320, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 66, 4, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173321, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 2353, 52, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173322, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 121, 10, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173323, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 2271, 20, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173324, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 100, 17, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173325, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 2160, 1, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173326, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 868, 7, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173327, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 403, 24, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173328, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 43, 2, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173329, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1196, 10, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173330, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 220, 30, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173331, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 17, 1, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173332, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 266, 31, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173333, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C09', 967, 5, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173334, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 98, 5, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173335, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 175, 3, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173336, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 6, 1, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173337, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 135, 4, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173338, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 607, 7, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173339, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 587, 15, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173340, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 307, 16, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173341, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 229, 41, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173342, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 345, 26, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173343, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 129, 11, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173344, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 77, 17, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173345, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 210, 62, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173346, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 5593, 3, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173347, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 331, 22, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173348, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 178, 29, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 210, 62, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 266, 31, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 220, 30, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 105, 20, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C09', 967, 5, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 29875, 1, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 19922, 14, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 868, 7, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 129, 11, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 229, 41, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 178, 29, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 331, 22, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 3, 8, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 345, 26, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 2160, 1, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 64, 16, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 35, 16, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 5593, 3, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 556, 14, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 2037, 20, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 2001, 23, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 403, 24, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 30, 1, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 1175, 13, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 1302, 23, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 1350, 42, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 1756, 23, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 2353, 52, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 2271, 20, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 957, 5, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 5, 2, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 395, 9, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1177, 9, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 2616, 30, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 100, 13, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 607, 7, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 307, 16, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 225, 5, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 5564, 1, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1335, 19, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 1, 1, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 176, 15, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 121, 10, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 116, 16, 2023, 12, 7, '2024-08-05 15:55:59', NULL, NULL), (173393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 102, 20, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1196, 10, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 2281, 1, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 89, 9, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 77, 17, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 435, 22, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 124, 20, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 137, 17, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 5, 4, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 1494, 3, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 80, 20, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 1, 1, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 799, 18, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 34, 3, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 66, 4, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 1, 1, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 100, 17, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173410, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 2281, 1, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173411, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 403, 24, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173412, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 137, 17, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173413, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 29875, 1, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173414, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 345, 26, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173415, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 153, 8, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173416, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 176, 15, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173417, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 331, 22, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173418, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 121, 10, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173419, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 66, 4, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173420, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 100, 17, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173421, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 34, 3, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173422, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 5, 4, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173423, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 1, 1, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173424, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 1, 1, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173425, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 1, 1, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173426, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 799, 18, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173427, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 2001, 23, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173428, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 5593, 3, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173429, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 225, 5, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173430, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 2037, 20, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173431, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 5, 2, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173432, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 19922, 14, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173433, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1335, 19, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173434, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 100, 13, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173435, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 30, 1, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173436, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 957, 5, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173437, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C09', 967, 5, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173438, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 152, 7, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173439, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 307, 16, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173440, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 395, 9, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173441, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 220, 30, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173442, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 266, 31, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173443, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 210, 62, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173444, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 2353, 52, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173445, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 178, 29, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173446, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 2271, 20, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173447, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1196, 10, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173448, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 229, 41, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173449, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 129, 11, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173450, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 1756, 23, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173451, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 868, 7, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173452, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 77, 17, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173453, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1177, 9, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173454, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 5564, 1, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173455, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 1302, 23, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173456, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 1350, 42, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173457, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 2616, 30, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173458, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 1175, 13, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173459, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 607, 7, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173460, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 587, 15, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173461, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 35, 16, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173462, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 6, 1, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173463, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 135, 4, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173464, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 556, 14, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173465, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 43, 2, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173466, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 3, 8, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173467, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 17, 1, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173468, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 98, 5, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173469, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 64, 16, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173470, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 175, 3, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173471, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 2160, 1, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173472, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 73, 12, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173473, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 73, 15, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173474, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 98, 8, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173475, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 115, 17, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173476, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 1494, 3, 2023, 12, 7, '2024-08-05 15:56:00', NULL, NULL), (173477, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 82, 12, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173478, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 134, 5, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173479, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 110, 12, 2023, 12, 7, '2024-08-05 15:56:01', NULL, NULL), (173480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 261, 105, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 28, 1, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 33, 7, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区林业竹业局', '', '', 1701, 1, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 127, 204, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 31, 6, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 933, 1, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 837, 325, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 462, 123, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 433, 11, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 305, 105, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 468, 244, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 244, 37, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 487, 53, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 170, 14, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 545, 169, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 436, 161, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 418, 127, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 460, 78, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173499, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 28, 1, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173500, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 25, 9, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173501, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 31, 6, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173502, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 127, 204, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173503, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 433, 11, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173504, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 6, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173505, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 886, 27, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173506, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 200, 49, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173507, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173508, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 327, 20, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173509, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 271, 20, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173510, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 288, 52, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173511, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1029, 16, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173512, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 625, 67, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173513, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 576, 8, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173514, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 319, 5, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173515, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 109, 18, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173516, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 169, 9, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173517, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 1701, 1, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173518, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 2772, 12, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173519, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 5, 3, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173520, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 689, 4, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173521, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 996, 5, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173522, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 130, 22, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173523, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 205, 90, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173524, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 284, 55, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173525, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 266, 1, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173526, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 319, 11, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173527, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 6516, 1, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173528, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 289, 21, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173529, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 1010, 133, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173530, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173531, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173532, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 113, 11, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173533, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 4496, 7, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173534, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 2, 3, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173535, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 2, 2023, 12, 8, '2024-08-05 15:56:02', NULL, NULL), (173536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 319, 11, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 88, 15, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 61, 38, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 303, 20, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 114, 37, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 760, 14, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 164, 14, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 146, 45, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 109, 10, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 204, 34, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 701, 29, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 203, 27, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 69, 14, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 868, 13, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 115, 17, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 1113, 26, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 272, 9, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 409, 25, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 1886, 20, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 1005, 9, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 165, 18, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 502, 17, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 954, 20, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 251, 17, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 1090, 58, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C09', 337, 4, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 105, 31, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 130, 22, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 268, 17, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 493, 7, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 774, 2, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 330, 4, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 370, 23, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 1832, 3, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 996, 5, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 576, 8, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 327, 20, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 109, 18, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 266, 1, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 6516, 1, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 209, 4, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 886, 27, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 193, 18, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 201, 30, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 307, 1, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 58, 7, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B05', 28, 1, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 30, 2, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1349, 2, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 50, 3, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 5, 3, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 16, 5, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 2, 2, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 319, 5, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 5, 2, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 181, 1, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 186, 30, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1029, 16, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 4496, 7, 2023, 12, 8, '2024-08-05 15:56:03', NULL, NULL), (173595, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 271, 20, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173596, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 200, 49, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173597, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 266, 1, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173598, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 996, 5, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173599, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '区林业竹业局', '', '', 1701, 1, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173600, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 38, 6, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173601, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 127, 204, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173602, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 31, 6, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173603, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 177, 8, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173604, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 4496, 7, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173605, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 689, 4, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173606, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 303, 20, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173607, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 201, 83, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173608, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 6516, 1, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173609, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 319, 11, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173610, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 109, 18, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173611, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 8, 1, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173612, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 5, 3, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173613, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 433, 11, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173614, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 28, 1, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173615, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 625, 67, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173616, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 327, 20, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173617, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 576, 8, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173618, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 130, 22, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173619, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 2772, 12, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173620, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 113, 11, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173621, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 319, 5, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173622, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 886, 27, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173623, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1029, 16, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173624, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 1010, 133, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173625, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 284, 55, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173626, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 288, 52, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173627, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 174, 7, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173628, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 330, 4, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173629, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 493, 7, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173630, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 307, 1, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173631, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 886, 27, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173632, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', 'A07', 1701, 1, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173633, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 2, 1, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173634, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 1, 1, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173635, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 193, 18, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173636, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 201, 30, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173637, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 2, 2, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173638, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 181, 1, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173639, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 1, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173640, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 303, 20, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173641, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 324, 13, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173642, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 109, 18, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173643, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 209, 4, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173644, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 996, 5, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173645, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 576, 8, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173646, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 30, 2, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173647, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 954, 20, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173648, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 1090, 58, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173649, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 1005, 9, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173650, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 502, 17, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173651, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1349, 2, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173652, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 1113, 26, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173653, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 1832, 3, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173654, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 58, 7, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173655, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 5, 3, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173656, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 88, 4, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173657, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 8, 1, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173658, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 394, 7, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173659, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 273, 8, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173660, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 343, 8, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173661, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 319, 5, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173662, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 116, 15, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173663, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 110, 16, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173664, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 319, 11, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173665, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 205, 25, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173666, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B05', 28, 1, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173667, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 69, 14, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173668, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 409, 25, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173669, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 4496, 7, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173670, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 164, 14, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173671, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 701, 29, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173672, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 109, 10, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173673, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 868, 13, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173674, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 760, 14, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173675, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 75, 2, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173676, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 19, 4, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173677, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 186, 30, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173678, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1029, 16, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173679, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 105, 31, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173680, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 264, 1, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173681, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 88, 15, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173682, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C09', 337, 4, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173683, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 187, 1, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173684, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 180, 2, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173685, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 157, 2, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173686, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 146, 2, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173687, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 266, 1, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173688, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 2772, 12, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173689, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 327, 20, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173690, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 774, 2, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173691, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 146, 45, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (173692, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 204, 34, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173693, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 61, 38, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173694, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 130, 22, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173695, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 6516, 1, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173696, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 114, 37, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173697, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 370, 23, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 75, 2, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 61, 38, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 88, 15, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 105, 31, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 268, 17, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C09', 337, 4, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 8, 1, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 19, 4, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 204, 34, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 146, 45, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 114, 37, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 370, 23, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 307, 1, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 774, 2, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 6516, 1, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 201, 30, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 193, 18, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 1832, 3, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 186, 30, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 933, 1, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 954, 20, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 1090, 58, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 1005, 9, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 502, 17, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 1113, 26, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 409, 25, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 701, 29, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 868, 13, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 30, 2, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1349, 2, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 58, 7, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B05', 28, 1, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 209, 4, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 330, 4, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 886, 27, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 109, 18, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 266, 1, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 327, 20, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 996, 5, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 493, 7, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 576, 8, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 1, 1, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 4496, 7, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 69, 14, 2023, 12, 8, '2024-08-05 15:56:04', NULL, NULL), (173742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 109, 10, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区林业竹业局', '', 'A07', 1701, 1, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 119, 17, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 181, 1, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1029, 16, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 251, 17, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 272, 9, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 130, 22, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 1896, 19, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 2, 2, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 203, 27, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 319, 5, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 303, 20, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 115, 17, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 2, 1, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 319, 11, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 1, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 5, 3, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 164, 14, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 760, 14, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173762, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 186, 30, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173763, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 303, 20, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173764, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 8, 1, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173765, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 774, 2, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173766, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 88, 4, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173767, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 69, 14, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173768, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 109, 10, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173769, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 370, 23, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173770, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 164, 14, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173771, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 760, 14, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173772, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 1, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173773, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 181, 1, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173774, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 2, 2, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173775, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 1, 1, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173776, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B05', 28, 1, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173777, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 2, 1, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173778, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 319, 11, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173779, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 1832, 3, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173780, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 6516, 1, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173781, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 996, 5, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173782, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 58, 7, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173783, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 576, 8, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173784, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 109, 18, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173785, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 30, 2, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173786, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1349, 2, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173787, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C09', 337, 4, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173788, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 5, 3, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173789, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 327, 20, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173790, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 174, 7, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173791, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 209, 4, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173792, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 105, 31, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173793, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 88, 15, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173794, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 61, 38, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173795, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 701, 29, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173796, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 114, 37, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173797, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 868, 13, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173798, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1029, 16, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173799, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 146, 45, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173800, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 204, 34, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173801, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 409, 25, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173802, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 75, 2, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173803, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 502, 17, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173804, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 1113, 26, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173805, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 19, 4, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173806, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 130, 22, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173807, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 330, 4, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173808, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 493, 7, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173809, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 1090, 58, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173810, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 1005, 9, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173811, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 886, 27, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173812, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 266, 1, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173813, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 954, 20, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173814, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 2772, 12, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173815, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 157, 2, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173816, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 193, 18, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173817, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 146, 2, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173818, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 4496, 7, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173819, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 201, 30, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173820, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 307, 1, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173821, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 264, 1, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173822, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 187, 1, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173823, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 180, 2, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173824, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 324, 13, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173825, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 110, 16, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173826, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 273, 8, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173827, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 205, 25, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173828, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 319, 5, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173829, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 343, 8, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173830, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 394, 7, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173831, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 116, 15, 2023, 12, 8, '2024-08-05 15:56:06', NULL, NULL), (173832, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '区林业竹业局', '', 'A07', 1701, 1, 2023, 12, 8, '2024-08-05 15:56:05', NULL, NULL), (173833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 485, 102, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 238, 6, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 1616, 4, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 338, 259, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 2899, 5, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1145, 401, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 415, 144, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 793, 9, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 501, 172, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 16, 1, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 712, 283, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 772, 67, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 510, 41, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 592, 63, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 761, 231, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 607, 152, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 662, 176, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 572, 96, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173851, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 238, 6, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173852, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 3, 2, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173853, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173854, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 338, 259, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173855, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 714, 10, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173856, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 2, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173857, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1424, 47, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173858, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 616, 75, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173859, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 887, 18, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173860, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 1616, 4, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173861, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 304, 23, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173862, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 88, 36, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173863, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 415, 15, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173864, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 3120, 67, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173865, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173866, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 4830, 3, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173867, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 0, 1, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173868, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 2117, 25, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173869, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 45, 10, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173870, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 158, 17, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173871, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 1144, 20, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173872, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 10, 2, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173873, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 469, 9, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173874, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 554, 4, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173875, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 143, 23, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173876, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 419, 88, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173877, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 208, 94, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173878, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 8, 2, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173879, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 81, 6, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173880, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 60, 9, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173881, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 283, 11, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173882, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173883, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 1250, 34, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173884, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 537, 187, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173885, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173886, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173887, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 198, 7, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173888, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173889, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 680, 1, 2023, 12, 11, '2024-08-05 15:56:10', NULL, NULL), (173890, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 7402, 1, 2023, 12, 11, '2024-08-05 15:56:11', NULL, NULL), (173891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 60, 9, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 220, 34, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 1250, 34, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 347, 53, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 152, 14, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 112, 12, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 316, 3, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 76, 12, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 385, 39, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 233, 41, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 3281, 42, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 2850, 25, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 75, 12, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 190, 30, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 411, 31, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 355, 27, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 206, 17, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 461, 32, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 1144, 20, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 230, 18, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 1056, 32, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 435, 52, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 586, 41, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 143, 23, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 298, 37, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 589, 33, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 671, 32, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1010, 7, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 312, 44, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 36, 2, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 158, 12, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 16, 1, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 444, 37, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 554, 4, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 2117, 25, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 7402, 1, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 304, 23, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 45, 10, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 81, 6, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 344, 4, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 283, 11, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 841, 11, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1424, 47, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 518, 25, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 416, 6, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 4, 3, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 616, 6, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 204, 7, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 176, 3, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 6, 1, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 14, 1, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 4, 1, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 684, 31, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 415, 15, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 680, 1, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 4830, 3, 2023, 12, 11, '2024-08-05 15:56:12', NULL, NULL), (173947, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 887, 18, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173948, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 624, 74, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173949, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 81, 6, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173950, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 554, 4, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173951, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 238, 6, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173952, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 338, 259, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173953, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 3, 2, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173954, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 158, 17, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173955, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 680, 1, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173956, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 469, 9, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173957, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 1250, 34, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173958, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 204, 89, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173959, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 283, 11, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173960, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 60, 9, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173961, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 45, 10, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173962, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 10, 2, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173963, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 793, 9, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173964, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 3120, 67, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173965, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 1616, 4, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173966, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 4830, 3, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173967, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 304, 23, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173968, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 16, 1, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173969, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 2117, 25, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173970, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 143, 23, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173971, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 1144, 20, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173972, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 198, 7, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173973, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1424, 47, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173974, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 415, 15, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173975, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 545, 184, 2023, 12, 11, '2024-08-05 15:56:13', NULL, NULL), (173976, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 424, 87, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173977, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 7402, 1, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173978, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 88, 36, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173979, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 36, 2, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (173980, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1010, 7, 2023, 12, 11, '2024-08-05 15:56:16', NULL, NULL), (173981, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 416, 6, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (173982, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1424, 47, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (173983, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 671, 32, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (173984, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 841, 11, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (173985, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 2, 1, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (173986, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 518, 25, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (173987, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 4, 1, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (173988, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 1250, 34, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (173989, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 887, 18, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173990, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 45, 10, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173991, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 62, 1, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (173992, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 7402, 1, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (173993, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 344, 4, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (173994, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 554, 4, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (173995, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 2117, 25, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (173996, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 616, 6, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (173997, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 1056, 32, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (173998, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 435, 52, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (173999, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 461, 32, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (174000, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 176, 3, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174001, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 411, 31, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174002, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 4, 3, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174003, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 444, 37, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174004, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 6, 1, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174005, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 14, 1, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174006, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 243, 14, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174007, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 188, 15, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (174008, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 251, 14, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174009, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 60, 9, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (174010, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 161, 18, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (174011, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 198, 28, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174012, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 75, 12, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (174013, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 680, 1, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174014, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 76, 12, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174015, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 3281, 42, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174016, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 2850, 25, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174017, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 112, 12, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (174018, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 4830, 3, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (174019, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 238, 6, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174020, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 684, 31, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174021, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 16, 1, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174022, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 1616, 4, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174023, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 415, 15, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (174024, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 298, 37, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174025, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 340, 2, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174026, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 220, 34, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174027, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 43, 5, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174028, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 78, 2, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174029, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 586, 41, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174030, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 156, 4, 2023, 12, 11, '2024-08-05 15:56:14', NULL, NULL), (174031, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 81, 6, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174032, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 1144, 20, 2023, 12, 11, '2024-08-05 15:56:16', NULL, NULL), (174033, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 304, 23, 2023, 12, 11, '2024-08-05 15:56:16', NULL, NULL), (174034, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 312, 44, 2023, 12, 11, '2024-08-05 15:56:15', NULL, NULL), (174035, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 385, 39, 2023, 12, 11, '2024-08-05 15:56:16', NULL, NULL), (174036, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 316, 3, 2023, 12, 11, '2024-08-05 15:56:16', NULL, NULL), (174037, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 233, 41, 2023, 12, 11, '2024-08-05 15:56:16', NULL, NULL), (174038, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 143, 23, 2023, 12, 11, '2024-08-05 15:56:16', NULL, NULL), (174039, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 347, 53, 2023, 12, 11, '2024-08-05 15:56:16', NULL, NULL), (174040, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 152, 14, 2023, 12, 11, '2024-08-05 15:56:16', NULL, NULL), (174041, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 283, 11, 2023, 12, 11, '2024-08-05 15:56:16', NULL, NULL), (174042, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 158, 12, 2023, 12, 11, '2024-08-05 15:56:16', NULL, NULL), (174043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 238, 6, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 347, 53, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 220, 34, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 298, 37, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 589, 33, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 586, 41, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 1616, 4, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 233, 41, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 385, 39, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 152, 14, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 158, 12, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 416, 6, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 518, 25, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 312, 44, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 4830, 3, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 671, 32, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 841, 11, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 283, 11, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 444, 37, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 684, 31, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 16, 1, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 1056, 32, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 435, 52, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 461, 32, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 411, 31, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 3281, 42, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 2850, 25, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 616, 6, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 176, 3, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 4, 3, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 36, 2, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 344, 4, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1424, 47, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 45, 10, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 81, 6, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 7402, 1, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 304, 23, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 554, 4, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1010, 7, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 2117, 25, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 2, 1, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 680, 1, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 75, 12, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 230, 18, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 415, 15, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 4, 1, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 206, 17, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 143, 23, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 1144, 20, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 1250, 34, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 190, 30, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 60, 9, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 135, 23, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 6, 1, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 316, 3, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (174098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 76, 12, 2023, 12, 11, '2024-08-05 15:56:17', NULL, NULL), (174099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 14, 1, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 112, 12, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174101, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 1250, 34, 2023, 12, 11, '2024-08-05 15:56:20', NULL, NULL), (174102, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 684, 31, 2023, 12, 11, '2024-08-05 15:56:20', NULL, NULL), (174103, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 312, 44, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174104, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 243, 14, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174105, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 62, 1, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174106, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 75, 12, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174107, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 7402, 1, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174108, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 158, 12, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174109, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 76, 12, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174110, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 112, 12, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174111, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 4, 1, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174112, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 2, 1, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174113, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 60, 9, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174114, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 444, 37, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174115, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 283, 11, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174116, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 554, 4, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174117, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 4, 3, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174118, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 2117, 25, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174119, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 45, 10, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174120, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 616, 6, 2023, 12, 11, '2024-08-05 15:56:20', NULL, NULL), (174121, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 176, 3, 2023, 12, 11, '2024-08-05 15:56:20', NULL, NULL), (174122, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 6, 1, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174123, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 304, 23, 2023, 12, 11, '2024-08-05 15:56:20', NULL, NULL), (174124, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 586, 41, 2023, 12, 11, '2024-08-05 15:56:20', NULL, NULL), (174125, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 344, 4, 2023, 12, 11, '2024-08-05 15:56:20', NULL, NULL), (174126, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 298, 37, 2023, 12, 11, '2024-08-05 15:56:20', NULL, NULL), (174127, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 220, 34, 2023, 12, 11, '2024-08-05 15:56:20', NULL, NULL), (174128, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 3281, 42, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174129, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 347, 53, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174130, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 152, 14, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174131, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 2850, 25, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174132, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 415, 15, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174133, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 385, 39, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174134, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 14, 1, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174135, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 233, 41, 2023, 12, 11, '2024-08-05 15:56:20', NULL, NULL), (174136, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 1616, 4, 2023, 12, 11, '2024-08-05 15:56:20', NULL, NULL), (174137, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 238, 6, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174138, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 411, 31, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174139, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 143, 23, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174140, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 36, 2, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174141, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1010, 7, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174142, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 435, 52, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174143, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 461, 32, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174144, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1424, 47, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174145, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 81, 6, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174146, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 1056, 32, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174147, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 16, 1, 2023, 12, 11, '2024-08-05 15:56:20', NULL, NULL), (174148, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 1144, 20, 2023, 12, 11, '2024-08-05 15:56:20', NULL, NULL), (174149, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 841, 11, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174150, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 680, 1, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174151, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 156, 4, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174152, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 518, 25, 2023, 12, 11, '2024-08-05 15:56:20', NULL, NULL), (174153, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 340, 2, 2023, 12, 11, '2024-08-05 15:56:20', NULL, NULL), (174154, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 416, 6, 2023, 12, 11, '2024-08-05 15:56:20', NULL, NULL), (174155, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 43, 5, 2023, 12, 11, '2024-08-05 15:56:20', NULL, NULL), (174156, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 671, 32, 2023, 12, 11, '2024-08-05 15:56:20', NULL, NULL), (174157, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 78, 2, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174158, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 316, 3, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174159, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 4830, 3, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174160, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 887, 18, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174161, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 161, 18, 2023, 12, 11, '2024-08-05 15:56:18', NULL, NULL), (174162, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 188, 15, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174163, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 198, 28, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174164, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 251, 14, 2023, 12, 11, '2024-08-05 15:56:19', NULL, NULL), (174165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 732, 114, 2023, 12, 12, '2024-08-05 15:56:24', NULL, NULL), (174166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 6107, 4, 2023, 12, 12, '2024-08-05 15:56:24', NULL, NULL), (174167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 1257, 6, 2023, 12, 12, '2024-08-05 15:56:24', NULL, NULL), (174168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 525, 221, 2023, 12, 12, '2024-08-05 15:56:24', NULL, NULL), (174169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 210, 16, 2023, 12, 12, '2024-08-05 15:56:24', NULL, NULL), (174170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 952, 337, 2023, 12, 12, '2024-08-05 15:56:24', NULL, NULL), (174171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 399, 144, 2023, 12, 12, '2024-08-05 15:56:24', NULL, NULL), (174172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 999, 11, 2023, 12, 12, '2024-08-05 15:56:24', NULL, NULL), (174173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 609, 184, 2023, 12, 12, '2024-08-05 15:56:24', NULL, NULL), (174174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 821, 213, 2023, 12, 12, '2024-08-05 15:56:24', NULL, NULL), (174175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 537, 51, 2023, 12, 12, '2024-08-05 15:56:24', NULL, NULL), (174176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 632, 44, 2023, 12, 12, '2024-08-05 15:56:24', NULL, NULL), (174177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 782, 49, 2023, 12, 12, '2024-08-05 15:56:24', NULL, NULL), (174178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 586, 261, 2023, 12, 12, '2024-08-05 15:56:24', NULL, NULL), (174179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 633, 166, 2023, 12, 12, '2024-08-05 15:56:24', NULL, NULL), (174180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 882, 174, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 565, 102, 2023, 12, 12, '2024-08-05 15:56:24', NULL, NULL), (174182, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 6107, 4, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174183, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 2138, 2, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174184, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 116, 15, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174185, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 525, 221, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174186, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 999, 11, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174187, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 3, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174188, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 1, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174189, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1297, 28, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174190, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 333, 78, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174191, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 198, 20, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174192, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 750, 21, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174193, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 1257, 6, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174194, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 1124, 65, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174195, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 654, 8, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174196, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 2180, 67, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174197, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 1621, 1, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174198, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 0, 1, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174199, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 337, 8, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174200, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 4098, 4, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174201, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 181, 8, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174202, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 394, 30, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174203, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 478, 7, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174204, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 3, 2, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174205, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 174, 12, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174206, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 268, 9, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174207, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 125, 16, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174208, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 437, 109, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174209, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 491, 72, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174210, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 216, 4, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174211, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 46, 7, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174212, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 895, 33, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174213, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 310, 26, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174214, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 545, 154, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174215, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 5646, 3, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174216, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174217, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 232, 12, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174218, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 1584, 3, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174219, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2023, 12, 12, '2024-08-05 15:56:25', NULL, NULL), (174220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 46, 7, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 521, 45, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 310, 26, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 469, 38, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 1437, 21, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 223, 26, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 1295, 23, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 640, 50, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 653, 44, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 2329, 56, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1955, 8, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 625, 21, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 477, 27, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 669, 23, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 455, 29, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 350, 20, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 543, 15, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 567, 25, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 484, 15, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 350, 17, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 499, 11, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 283, 34, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 598, 49, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 461, 18, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 125, 16, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 427, 14, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 361, 24, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1336, 8, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 581, 37, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 99, 3, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 578, 25, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 268, 9, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 337, 8, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 750, 21, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 181, 8, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 216, 4, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 895, 33, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 271, 8, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 533, 1, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1297, 28, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 356, 38, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 219, 15, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 155, 4, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 227, 6, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 4886, 5, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 122, 6, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 3, 2, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 31, 2, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 275, 4, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 1, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 4098, 4, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 137, 4, 2023, 12, 12, '2024-08-05 15:56:27', NULL, NULL), (174272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 419, 33, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 9, 3, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 654, 8, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D15', 7071, 3, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 1584, 3, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 1621, 1, 2023, 12, 12, '2024-08-05 15:56:26', NULL, NULL), (174278, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 198, 20, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174279, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 333, 78, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174280, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 216, 4, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174281, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 268, 9, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174282, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 6107, 4, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174283, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 525, 221, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174284, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 116, 15, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174285, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 385, 24, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174286, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 1584, 3, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174287, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 174, 12, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174288, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 8469, 2, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174289, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 310, 26, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174290, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 440, 93, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174291, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 895, 33, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174292, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 46, 7, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174293, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 181, 8, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174294, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 3, 2, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174295, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 999, 11, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174296, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 2282, 64, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174297, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 1621, 1, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174298, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 750, 21, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174299, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 1257, 6, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174300, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 337, 8, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174301, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 125, 16, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174302, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 478, 7, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174303, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 232, 12, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174304, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 4098, 4, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174305, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1297, 28, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174306, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 654, 8, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174307, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 545, 154, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174308, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 505, 70, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174309, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '翠屏区公安', '', '', 4276, 1, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174310, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 1124, 65, 2023, 12, 12, '2024-08-05 15:56:28', NULL, NULL), (174311, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 218, 13, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174312, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 99, 3, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174313, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1336, 8, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174314, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1297, 28, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174315, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 361, 24, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174316, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 533, 1, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174317, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 31, 2, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174318, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 1, 1, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174319, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 356, 38, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174320, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 1, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174321, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 219, 15, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174322, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 275, 4, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174323, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 9, 3, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174324, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 310, 26, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174325, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 137, 4, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174326, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D15', 8469, 2, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174327, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 181, 8, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174328, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 161, 7, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174329, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 592, 2, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174330, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 271, 8, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174331, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 337, 8, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174332, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 268, 9, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174333, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 227, 6, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174334, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 499, 11, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174335, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 598, 49, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174336, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 567, 25, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174337, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 484, 15, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174338, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 122, 6, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174339, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 455, 29, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174340, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 155, 4, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174341, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 578, 25, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174342, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 3, 2, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174343, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 735, 5, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174344, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 548, 7, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174345, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 332, 15, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174346, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 4098, 4, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174347, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 407, 16, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174348, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 337, 12, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174349, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 46, 7, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174350, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 450, 15, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174351, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 482, 23, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174352, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 625, 21, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174353, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 1584, 3, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174354, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 1295, 23, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174355, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 2329, 56, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174356, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1955, 8, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174357, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 1437, 21, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174358, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 1621, 1, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174359, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '3D15', 4276, 1, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174360, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 6107, 4, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174361, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 419, 33, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174362, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 1257, 6, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174363, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 974, 1, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174364, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 461, 18, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174365, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 654, 8, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174366, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 405, 5, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174367, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 521, 45, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174368, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 549, 2, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174369, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 448, 4, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174370, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 53, 5, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174371, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 382, 5, 2023, 12, 12, '2024-08-05 15:56:29', NULL, NULL), (174372, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 478, 7, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174373, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 216, 4, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174374, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 750, 21, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174375, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 640, 50, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174376, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 581, 37, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174377, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 653, 44, 2023, 12, 12, '2024-08-05 15:56:30', NULL, NULL), (174378, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 469, 38, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174379, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 125, 16, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174380, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 895, 33, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174381, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 223, 26, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 6107, 4, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 469, 38, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 521, 45, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 461, 18, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 427, 14, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 1257, 6, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 653, 44, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 640, 50, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 223, 26, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 581, 37, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 1621, 1, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 361, 24, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 533, 1, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 895, 33, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 219, 15, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 356, 38, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 578, 25, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 419, 33, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 499, 11, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 598, 49, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 567, 25, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 484, 15, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 455, 29, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D15', 7071, 3, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 2329, 56, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1955, 8, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 227, 6, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 122, 6, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 155, 4, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 99, 3, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 271, 8, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1297, 28, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 181, 8, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 216, 4, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 750, 21, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 268, 9, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1336, 8, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 337, 8, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 1, 1, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 1584, 3, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 625, 21, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 350, 17, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 654, 8, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 283, 34, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 9, 3, 2023, 12, 12, '2024-08-05 15:56:31', NULL, NULL), (174427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 350, 20, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 125, 16, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 543, 15, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 310, 26, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 4098, 4, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 275, 4, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 477, 27, 2023, 12, 12, '2024-08-05 15:56:32', NULL, NULL), (174434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 46, 7, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 462, 17, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 31, 2, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 3, 2, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 1295, 23, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 137, 4, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 1, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 1437, 21, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174442, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 419, 33, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174443, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 310, 26, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174444, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 581, 37, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174445, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 735, 5, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174446, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 592, 2, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174447, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 625, 21, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174448, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 1295, 23, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174449, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 1437, 21, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174450, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 137, 4, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174451, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 9, 3, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174452, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 275, 4, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174453, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 1, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174454, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 1, 1, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174455, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 31, 2, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174456, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 46, 7, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174457, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 578, 25, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174458, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 895, 33, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174459, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 268, 9, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174460, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 155, 4, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174461, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 337, 8, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174462, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 181, 8, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174463, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 227, 6, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174464, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 122, 6, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174465, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 3, 2, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174466, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 218, 13, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174467, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 750, 21, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174468, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 461, 18, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174469, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 271, 8, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174470, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 521, 45, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174471, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 2329, 56, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174472, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 469, 38, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174473, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1955, 8, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174474, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 223, 26, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174475, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 654, 8, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174476, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 640, 50, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174477, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 653, 44, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174478, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 1257, 6, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174479, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 6107, 4, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174480, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 484, 15, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174481, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 455, 29, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174482, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 125, 16, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174483, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 99, 3, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174484, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1336, 8, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174485, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 598, 49, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174486, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 567, 25, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174487, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1297, 28, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174488, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 499, 11, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174489, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 216, 4, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174490, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 478, 7, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174491, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 533, 1, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174492, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 53, 5, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174493, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 356, 38, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174494, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 1584, 3, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (174495, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 382, 5, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174496, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 219, 15, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174497, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 974, 1, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174498, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D15', 8469, 2, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174499, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 405, 5, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174500, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 549, 2, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174501, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 361, 24, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174502, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 448, 4, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174503, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '翠屏区公安', '', '3D15', 4276, 1, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174504, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 1621, 1, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174505, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 161, 7, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174506, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 450, 15, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174507, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 332, 15, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174508, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 4098, 4, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174509, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 482, 23, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174510, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 407, 16, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174511, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 548, 7, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174512, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 337, 12, 2023, 12, 12, '2024-08-05 15:56:33', NULL, NULL), (174513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 391, 127, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 130, 2, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2203, 6, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 224, 180, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 1327, 8, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1190, 318, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 331, 132, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1614, 11, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 514, 118, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 790, 195, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 1157, 51, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 507, 37, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 551, 52, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 603, 199, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 549, 129, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 587, 139, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 661, 106, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174530, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 2203, 6, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174531, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 1327, 8, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174532, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 224, 180, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174533, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1614, 11, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174534, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 3, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174535, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 372, 56, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174536, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1196, 29, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174537, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 130, 2, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174538, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 365, 17, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174539, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 2391, 14, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174540, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 409, 51, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174541, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 2563, 10, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174542, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1601, 58, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174543, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1618, 19, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174544, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 410, 1, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174545, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 340, 17, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174546, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 259, 34, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174547, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 1322, 9, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174548, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1095, 9, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174549, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1007, 7, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174550, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 249, 26, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174551, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 596, 60, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174552, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 247, 76, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174553, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 0, 1, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174554, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 599, 15, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174555, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 4, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174556, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 369, 36, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174557, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 965, 139, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174558, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 1022, 4, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174559, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174560, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 209, 15, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174561, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 309, 2, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174562, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 2, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174563, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 2, 2023, 12, 13, '2024-08-05 15:56:34', NULL, NULL), (174564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 599, 15, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 176, 31, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 286, 38, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 369, 36, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 465, 24, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 162, 33, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 365, 12, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 283, 34, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 101, 7, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1693, 36, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C01', 69, 7, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 357, 15, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 233, 22, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1517, 12, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 178, 19, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 905, 21, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 497, 15, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1373, 10, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 1043, 21, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 721, 18, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 288, 10, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 739, 24, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 1710, 14, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 196, 21, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 1038, 26, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C09', 50, 1, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 155, 5, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 259, 25, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 288, 24, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 276, 29, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1972, 9, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 657, 30, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 4, 2, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 584, 8, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 745, 33, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1007, 7, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1618, 19, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 2391, 14, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 340, 17, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 179, 5, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1239, 28, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 218, 3, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 480, 27, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 170, 14, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 401, 12, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 224, 10, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 1314, 3, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 985, 6, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 248, 3, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 3136, 4, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 5139, 2, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 410, 1, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3, 1, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 19, 2, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 517, 22, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 115, 2, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 2563, 10, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D15', 2044, 2, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 618, 1, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174623, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 365, 17, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174624, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 372, 56, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174625, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1007, 7, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174626, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 2203, 6, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174627, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 224, 180, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174628, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 1327, 8, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174629, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 247, 32, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174630, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 618, 1, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174631, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1095, 9, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174632, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 2044, 2, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174633, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 369, 36, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174634, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 238, 74, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174635, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 599, 15, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174636, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 340, 17, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174637, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1614, 11, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174638, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1601, 58, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174639, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 130, 2, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174640, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 2391, 14, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174641, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1618, 19, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174642, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 259, 25, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174643, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 1322, 9, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174644, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 410, 1, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174645, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 209, 15, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174646, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1239, 28, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174647, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 2563, 10, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174648, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 965, 139, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174649, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 596, 60, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174650, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 409, 51, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174651, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 283, 8, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174652, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 4, 2, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174653, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1972, 9, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174654, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 401, 12, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174655, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1239, 28, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174656, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 69, 1, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174657, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 218, 3, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174658, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 480, 27, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174659, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 1, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174660, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 5139, 2, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174661, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 170, 14, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174662, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 115, 2, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174663, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 369, 36, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174664, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 19, 2, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174665, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D15', 2044, 2, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174666, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 438, 9, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174667, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 340, 17, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174668, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 257, 4, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174669, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 179, 5, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174670, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1007, 7, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174671, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1618, 19, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174672, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 1314, 3, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174673, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 1710, 14, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174674, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 1038, 26, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174675, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 1043, 21, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174676, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 739, 24, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174677, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 985, 6, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174678, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 905, 21, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174679, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 224, 10, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174680, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 745, 33, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174681, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 189, 16, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174682, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 110, 7, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174683, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 522, 9, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174684, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 410, 1, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174685, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 155, 10, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174686, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 284, 7, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174687, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 176, 12, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174688, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 599, 15, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174689, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 269, 13, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174690, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 357, 15, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174691, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1373, 10, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174692, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 618, 1, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174693, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 365, 12, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174694, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1693, 36, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174695, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1517, 12, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174696, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 465, 24, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174697, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 248, 3, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174698, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 4158, 3, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174699, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 517, 22, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174700, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 130, 2, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174701, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 154, 2, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174702, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 2563, 10, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174703, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 288, 24, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174704, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 460, 6, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174705, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 176, 31, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174706, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C09', 50, 1, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174707, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 201, 5, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174708, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 155, 5, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174709, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 180, 9, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174710, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 103, 3, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174711, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 297, 3, 2023, 12, 13, '2024-08-05 15:56:35', NULL, NULL), (174712, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 1322, 9, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174713, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 2391, 14, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174714, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C01', 69, 7, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174715, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 657, 30, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174716, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 283, 34, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174717, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 101, 7, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174718, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 259, 25, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174719, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 286, 38, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174720, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 162, 33, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174721, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 584, 8, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 248, 3, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 286, 38, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 176, 31, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 288, 24, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 155, 5, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 276, 29, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C09', 50, 1, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 130, 2, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 4158, 3, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C01', 69, 7, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 101, 7, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 283, 34, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 162, 33, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 584, 8, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 401, 12, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 170, 14, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 657, 30, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 480, 27, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 218, 3, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 745, 33, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 517, 22, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 1710, 14, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 1038, 26, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 1043, 21, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 739, 24, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 905, 21, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1373, 10, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D15', 2044, 2, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1693, 36, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1517, 12, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 1314, 3, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 985, 6, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 224, 10, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 4, 2, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 179, 5, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1239, 28, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 340, 17, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 2391, 14, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1007, 7, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1972, 9, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1618, 19, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 618, 1, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 357, 15, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 288, 10, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 2563, 10, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 196, 21, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 115, 2, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 497, 15, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 259, 25, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 721, 18, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 410, 1, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 5139, 2, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 369, 36, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 233, 22, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 183, 17, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 69, 1, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 599, 15, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 365, 12, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 19, 2, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 465, 24, 2023, 12, 13, '2024-08-05 15:56:36', NULL, NULL), (174782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 1, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174783, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 517, 22, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174784, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 369, 36, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174785, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 657, 30, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174786, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 189, 16, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174787, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 257, 4, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174788, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 357, 15, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174789, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 584, 8, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174790, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 365, 12, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174791, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 465, 24, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174792, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 19, 2, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174793, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 115, 2, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174794, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 5139, 2, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174795, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 1, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174796, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 69, 1, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174797, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 599, 15, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174798, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 745, 33, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174799, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1007, 7, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174800, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 224, 10, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174801, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1618, 19, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174802, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 340, 17, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174803, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 1314, 3, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174804, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 985, 6, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174805, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C09', 50, 1, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174806, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 155, 5, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174807, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 283, 8, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174808, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 2391, 14, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174809, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 179, 5, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174810, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 288, 24, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174811, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 176, 31, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174812, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 286, 38, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174813, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1693, 36, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174814, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 162, 33, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174815, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1517, 12, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174816, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 2563, 10, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174817, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 283, 34, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174818, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 101, 7, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174819, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1373, 10, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174820, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C01', 69, 7, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174821, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 130, 2, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174822, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 248, 3, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174823, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 739, 24, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174824, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 905, 21, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174825, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 4158, 3, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174826, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 259, 25, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174827, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 4, 2, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174828, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1972, 9, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174829, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 1038, 26, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174830, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 1043, 21, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174831, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1239, 28, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174832, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 1710, 14, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174833, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 1322, 9, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174834, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 218, 3, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174835, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 103, 3, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174836, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 618, 1, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174837, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 297, 3, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174838, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 480, 27, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174839, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 154, 2, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174840, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D15', 2044, 2, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174841, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 170, 14, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174842, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 460, 6, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174843, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 401, 12, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174844, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 201, 5, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174845, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 180, 9, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174846, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 438, 9, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174847, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 176, 12, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174848, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 522, 9, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174849, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 410, 1, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174850, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 269, 13, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174851, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 155, 10, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174852, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 110, 7, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174853, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 284, 7, 2023, 12, 13, '2024-08-05 15:56:37', NULL, NULL), (174854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 317, 125, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1013, 2, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 15981, 2, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 39, 1, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 905, 338, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 435, 18, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 21583, 1, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 10800, 2, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 379, 232, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 459, 10, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 123, 129, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 210, 119, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 516, 252, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 429, 47, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 461, 25, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 625, 54, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 570, 237, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 581, 120, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 566, 138, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 697, 114, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174874, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 168, 12, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174875, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 459, 10, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174876, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 379, 232, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174877, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 435, 18, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174878, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 15981, 2, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174879, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1197, 40, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174880, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 84, 57, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174881, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 557, 21, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174882, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 447, 16, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174883, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 247, 54, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174884, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 511, 15, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174885, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 765, 48, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174886, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 528, 14, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174887, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 399, 2, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174888, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 331, 15, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174889, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 41, 13, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174890, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 1, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174891, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 376, 10, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174892, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 7, 1, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174893, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 8550, 6, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174894, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 499, 8, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174895, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 235, 32, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174896, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 50, 92, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (174897, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 331, 59, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174898, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 641, 3, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174899, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 21583, 1, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174900, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 273, 15, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174901, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 211, 3, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174902, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 587, 25, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174903, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 816, 146, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174904, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 5, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174905, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174906, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 220, 8, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174907, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 710, 15, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174908, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 273, 15, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 230, 36, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 587, 25, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 412, 45, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 304, 14, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 320, 44, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 103, 15, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 747, 25, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 369, 45, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 51, 17, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 301, 25, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 784, 23, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 35, 22, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 1701, 13, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 219, 19, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 425, 14, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 724, 40, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 56, 20, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 1844, 19, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 966, 20, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 839, 44, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 628, 20, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 242, 31, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 423, 42, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 225, 24, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 56, 11, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 360, 7, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 583, 8, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 1832, 13, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 316, 10, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 333, 20, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 21583, 1, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 280, 15, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 499, 8, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 528, 14, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 557, 21, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 331, 15, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 641, 3, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 343, 5, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 211, 3, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 283, 2, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1197, 40, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 81, 10, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 85, 20, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 80, 14, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 15, 3, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 11336, 3, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 5765, 3, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 1013, 2, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 1828, 2, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 7, 1, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 5, 1, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 399, 2, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 7, 1, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 203, 4, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 54, 2, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 323, 32, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 511, 15, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 968, 11, 2023, 12, 14, '2024-08-05 15:56:38', NULL, NULL), (174968, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 447, 16, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174969, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 84, 57, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174970, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 641, 3, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174971, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 499, 8, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174972, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 1013, 2, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174973, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 379, 232, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174974, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 459, 10, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174975, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 41, 13, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174976, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 968, 11, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174977, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 8550, 6, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174978, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 587, 25, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174979, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 49, 90, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174980, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 211, 3, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174981, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 273, 15, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174982, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 331, 15, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174983, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 435, 18, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174984, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 7, 1, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174985, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 765, 48, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174986, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 557, 21, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174987, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 15981, 2, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174988, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 21583, 1, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174989, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 528, 14, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174990, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 242, 31, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174991, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 376, 10, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174992, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 399, 2, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174993, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 220, 8, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174994, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1197, 40, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174995, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 511, 15, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174996, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 816, 146, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174997, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 331, 59, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174998, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 247, 54, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (174999, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 403, 6, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175000, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 316, 10, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175001, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 583, 8, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175002, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1197, 40, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175003, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 56, 11, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175004, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 283, 2, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175005, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 1828, 2, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175006, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 81, 10, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175007, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 85, 20, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175008, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 7, 1, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175009, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 5, 1, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175010, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 80, 14, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175011, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 54, 2, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175012, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 203, 4, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175013, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 587, 25, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175014, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 473, 10, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175015, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 331, 15, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175016, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 15981, 2, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175017, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 343, 5, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175018, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 499, 8, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175019, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 528, 14, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175020, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 11336, 3, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175021, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 966, 20, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175022, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 839, 44, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175023, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 425, 14, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175024, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 724, 40, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175025, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 5765, 3, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175026, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 15, 3, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175027, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 280, 15, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175028, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 7, 1, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175029, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 49, 14, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175030, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 44, 9, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175031, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 46, 11, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175032, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 399, 2, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175033, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 70, 7, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175034, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 60, 16, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175035, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 38, 19, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175036, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 273, 15, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175037, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 48, 14, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175038, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 1832, 13, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175039, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 301, 25, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175040, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 968, 11, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175041, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 103, 15, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175042, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 747, 25, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175043, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 784, 23, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175044, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 304, 14, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175045, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 1013, 2, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175046, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 323, 32, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175047, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 21583, 1, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175048, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 511, 15, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175049, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 423, 42, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175050, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 230, 36, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175051, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 14, 3, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175052, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 628, 20, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175053, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 65, 3, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175054, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 41, 4, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175055, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 46, 3, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175056, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 641, 3, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175057, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 376, 10, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175058, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 557, 21, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175059, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 360, 7, 2023, 12, 14, '2024-08-05 15:56:39', NULL, NULL), (175060, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 369, 45, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175061, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 242, 31, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175062, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 412, 45, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175063, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 211, 3, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175064, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 333, 20, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175065, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 320, 44, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 1013, 2, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 412, 45, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 230, 36, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 423, 42, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 628, 20, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 225, 24, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 369, 45, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 320, 44, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 333, 20, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 80, 14, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 360, 7, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 56, 11, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 283, 2, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 211, 3, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 85, 20, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 81, 10, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 1832, 13, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 280, 15, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 323, 32, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 21583, 1, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 15981, 2, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 39, 1, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 966, 20, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 839, 44, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 425, 14, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 724, 40, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 747, 25, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 784, 23, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 10800, 2, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 11336, 3, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 5765, 3, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 15, 3, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 316, 10, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 343, 5, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1197, 40, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 331, 15, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 641, 3, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 557, 21, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 499, 8, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 583, 8, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 528, 14, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 968, 11, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 301, 25, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 57, 19, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 54, 2, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 511, 15, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 181, 17, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 242, 31, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 46, 11, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 219, 19, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 5, 1, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 399, 2, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 51, 17, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 587, 25, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 1828, 2, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 35, 22, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 273, 15, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 7, 1, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 203, 4, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 103, 15, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 304, 14, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 7, 1, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175128, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 587, 25, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175129, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 323, 32, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175130, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 360, 7, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175131, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 49, 14, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175132, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 301, 25, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175133, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 333, 20, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175134, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 103, 15, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175135, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 304, 14, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175136, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 203, 4, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175137, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 54, 2, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175138, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 5, 1, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175139, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 7, 1, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175140, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 1828, 2, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175141, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 273, 15, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175142, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 280, 15, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175143, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 211, 3, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175144, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 1832, 13, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175145, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 499, 8, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175146, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 15, 3, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175147, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 528, 14, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175148, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 331, 15, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175149, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 15981, 2, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175150, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 11336, 3, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175151, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 5765, 3, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175152, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 7, 1, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175153, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 628, 20, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175154, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 557, 21, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175155, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 403, 6, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175156, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 343, 5, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175157, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 423, 42, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175158, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 230, 36, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175159, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 747, 25, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175160, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 412, 45, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175161, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 784, 23, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175162, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 320, 44, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175163, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 511, 15, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175164, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 369, 45, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175165, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 1013, 2, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175166, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 724, 40, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175167, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 242, 31, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175168, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 316, 10, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175169, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 583, 8, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175170, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 839, 44, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175171, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 425, 14, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175172, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1197, 40, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175173, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 641, 3, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175174, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 966, 20, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175175, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 376, 10, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175176, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 21583, 1, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175177, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 283, 2, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175178, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 41, 4, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175179, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 81, 10, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175180, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 46, 3, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175181, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 968, 11, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175182, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 85, 20, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175183, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 80, 14, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175184, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 14, 3, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175185, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 56, 11, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175186, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 65, 3, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175187, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 473, 10, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175188, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 38, 19, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175189, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 46, 11, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175190, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 399, 2, 2023, 12, 14, '2024-08-05 15:56:40', NULL, NULL), (175191, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 48, 14, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175192, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 70, 7, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175193, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 44, 9, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175194, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 60, 16, 2023, 12, 14, '2024-08-05 15:56:41', NULL, NULL), (175195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 429, 84, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 882, 6, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 7656, 1, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 290, 203, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 76, 14, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 2559, 3, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 798, 241, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 190, 138, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 16, 5, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 369, 121, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 4315, 3, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 289, 199, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 488, 51, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 745, 49, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 256, 61, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 518, 168, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 401, 91, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 533, 131, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 440, 140, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175214, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 0, 3, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175215, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 76, 14, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175216, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175217, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 290, 203, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175218, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 16, 5, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175219, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 1, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175220, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 1, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175221, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175222, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1028, 24, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175223, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 145, 56, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175224, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 732, 17, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175225, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 346, 20, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175226, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 882, 6, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175227, 22, '511502000000-0001', '翠屏区政务服务中心', '农民工绿色通道', '', '', '', 0, 1, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175228, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 95, 26, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175229, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 886, 15, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175230, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 278, 25, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175231, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 455, 9, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175232, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 141, 1, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175233, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 2098, 9, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175234, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 222, 16, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175235, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 1, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175236, 22, '511502000000-0001', '翠屏区政务服务中心', '中国邮政', '', '', '', 0, 2, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175237, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 3, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175238, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 782, 9, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175239, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', '', 0, 1, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175240, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175241, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 8, 4, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175242, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1296, 5, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175243, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 960, 18, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175244, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 93, 96, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175245, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 526, 64, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175246, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 4315, 3, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175247, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 20, 2, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175248, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 173, 12, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175249, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 952, 3, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175250, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 507, 28, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175251, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 645, 122, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175252, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175253, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175254, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 361, 12, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175255, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 5, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175256, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175257, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 22209, 1, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 173, 12, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 361, 28, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 70, 15, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 507, 28, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 83, 10, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 192, 37, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 25, 4, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 456, 43, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 270, 8, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 227, 45, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 275, 7, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 128, 29, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 127, 12, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 252, 30, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 288, 10, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 539, 19, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 505, 17, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 494, 17, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 653, 19, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 806, 16, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 216, 15, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 631, 55, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 960, 18, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 311, 35, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 247, 21, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 20, 4, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 4, 1, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 460, 27, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 4315, 3, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 604, 31, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1296, 5, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 455, 9, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 22209, 1, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 732, 17, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 2098, 9, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 20, 2, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 385, 5, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 2858, 1, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 195, 12, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1122, 22, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 147, 10, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 84, 13, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 51, 8, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 219, 13, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 344, 7, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 9, 2, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 128, 4, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 8, 2, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (175306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 1, 1, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 141, 1, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 104, 5, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 11, 3, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 1, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 574, 37, 2023, 12, 15, '2024-08-05 15:56:42', NULL, NULL), (175312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1022, 13, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175313, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 346, 20, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175314, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 145, 56, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175315, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1296, 5, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175316, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 290, 203, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175317, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 76, 14, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175318, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 222, 16, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175319, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 8, 4, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175320, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 507, 28, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175321, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 94, 93, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175322, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 2858, 1, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175323, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 2098, 9, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175324, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 16, 5, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175325, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 882, 6, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175326, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 4315, 3, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175327, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 782, 9, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175328, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 141, 1, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175329, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1022, 13, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175330, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 651, 121, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175331, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 526, 64, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175332, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 22209, 1, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175333, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 95, 26, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175334, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 20, 2, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175335, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 173, 12, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175336, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 278, 25, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175337, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 732, 17, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175338, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 455, 9, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175339, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 960, 18, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175340, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 361, 12, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175341, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1122, 22, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175342, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 343, 9, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175343, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 4, 1, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175344, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 20, 4, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175345, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 219, 13, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175346, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1122, 22, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175347, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 195, 12, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175348, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 128, 4, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175349, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 147, 10, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175350, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 104, 5, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175351, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 84, 13, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175352, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 1, 1, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175353, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 51, 8, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175354, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 1, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175355, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 11, 3, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175356, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 507, 28, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175357, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 2098, 9, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175358, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 348, 11, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175359, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 118, 2, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175360, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 22209, 1, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175361, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 385, 5, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175362, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1296, 5, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175363, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 455, 9, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175364, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 9, 2, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175365, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 806, 16, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175366, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 631, 55, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175367, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 653, 19, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175368, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 8, 2, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175369, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 344, 7, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175370, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 604, 31, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175371, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 140, 8, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175372, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 193, 8, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175373, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 110, 15, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175374, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 141, 1, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175375, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 22, 5, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175376, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 49, 12, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175377, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 173, 12, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175378, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 70, 21, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175379, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 97, 24, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175380, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 127, 12, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175381, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 288, 10, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175382, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 270, 8, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175383, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 25, 4, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175384, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 275, 7, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175385, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 83, 10, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175386, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 574, 37, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175387, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 4315, 3, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175388, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 882, 6, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175389, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1022, 13, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175390, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 311, 35, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175391, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 317, 3, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175392, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 361, 28, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175393, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 264, 3, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175394, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 277, 5, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175395, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 47, 1, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175396, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 70, 2, 2023, 12, 15, '2024-08-05 15:56:43', NULL, NULL), (175397, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 20, 2, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175398, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 782, 9, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175399, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 732, 17, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175400, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 456, 43, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175401, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 227, 45, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175402, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 70, 15, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175403, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 960, 18, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175404, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 460, 27, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175405, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 2858, 1, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175406, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 192, 37, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 70, 15, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 361, 28, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 311, 35, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 247, 21, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 882, 6, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 227, 45, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 456, 43, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 192, 37, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 460, 27, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 219, 13, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 51, 8, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 195, 12, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 2858, 1, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 84, 13, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 147, 10, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 604, 31, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 574, 37, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 4315, 3, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 2559, 3, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 806, 16, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 631, 55, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 653, 19, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 288, 10, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 270, 8, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 275, 7, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 7656, 1, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 9, 2, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 8, 2, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 344, 7, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 4, 1, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 385, 5, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1122, 22, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 2098, 9, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 20, 2, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 22209, 1, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 732, 17, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1296, 5, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 455, 9, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 20, 4, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 128, 4, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 127, 12, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 52, 14, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 1, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 216, 15, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1022, 13, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 144, 18, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 960, 18, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 505, 17, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 1, 1, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 141, 1, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 128, 29, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 507, 28, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 173, 12, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 94, 24, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 11, 3, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 25, 4, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 104, 5, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 83, 10, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175465, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 507, 28, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175466, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 574, 37, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175467, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 140, 8, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175468, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 118, 2, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175469, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 127, 12, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175470, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 22209, 1, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175471, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 460, 27, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175472, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 25, 4, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175473, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 83, 10, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175474, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 11, 3, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175475, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 1, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175476, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 1, 1, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175477, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 104, 5, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175478, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 128, 4, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175479, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 173, 12, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175480, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 604, 31, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175481, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 2858, 1, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175482, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1296, 5, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175483, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 344, 7, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175484, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 455, 9, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175485, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 2098, 9, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175486, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 9, 2, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175487, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 8, 2, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175488, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 732, 17, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175489, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 343, 9, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175490, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 385, 5, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175491, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 311, 35, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175492, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 361, 28, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175493, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 70, 15, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175494, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 270, 8, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175495, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 275, 7, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175496, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 192, 37, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175497, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1022, 13, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175498, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 456, 43, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175499, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 288, 10, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175500, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 227, 45, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175501, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 882, 6, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175502, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 653, 19, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175503, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 960, 18, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175504, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 4, 1, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175505, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 20, 4, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175506, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 631, 55, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175507, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1122, 22, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175508, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 806, 16, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175509, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 20, 2, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175510, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 4315, 3, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175511, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 782, 9, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175512, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 195, 12, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175513, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 47, 1, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175514, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 147, 10, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175515, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 70, 2, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175516, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 84, 13, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175517, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 51, 8, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175518, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 317, 3, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175519, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 219, 13, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175520, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 264, 3, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175521, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 277, 5, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175522, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 348, 11, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175523, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 70, 21, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175524, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 110, 15, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175525, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 141, 1, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175526, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 97, 24, 2023, 12, 15, '2024-08-05 15:56:44', NULL, NULL), (175527, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 22, 5, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175528, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 193, 8, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175529, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 49, 12, 2023, 12, 15, '2024-08-05 15:56:45', NULL, NULL), (175530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 1, 2023, 12, 16, '2024-08-05 15:56:46', NULL, NULL), (175531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 3, 2023, 12, 16, '2024-08-05 15:56:46', NULL, NULL), (175532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 0, 1, 2023, 12, 16, '2024-08-05 15:56:46', NULL, NULL), (175533, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 0, 1, 2023, 12, 16, '2024-08-05 15:56:46', NULL, NULL), (175534, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 4, 2023, 12, 16, '2024-08-05 15:56:46', NULL, NULL), (175535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 0, 1, 2023, 12, 17, '2024-08-05 15:56:47', NULL, NULL), (175536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 0, 3, 2023, 12, 17, '2024-08-05 15:56:47', NULL, NULL), (175537, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 2, 2023, 12, 17, '2024-08-05 15:56:47', NULL, NULL), (175538, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 1, 2023, 12, 17, '2024-08-05 15:56:47', NULL, NULL), (175539, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2023, 12, 17, '2024-08-05 15:56:47', NULL, NULL), (175540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 298, 101, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 739, 5, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 35, 1, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 499, 255, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 2680, 6, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 961, 422, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 132, 127, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 7558, 2, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 536, 154, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 593, 322, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 684, 60, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 658, 49, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 538, 50, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 640, 240, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 673, 147, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 682, 120, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 523, 102, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175557, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 528, 7, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175558, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175559, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 6, 5, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175560, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 497, 256, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175561, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 7558, 2, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175562, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 4, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175563, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175564, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 252, 72, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175565, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1108, 35, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175566, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 124, 17, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175567, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 310, 31, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175568, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 224, 37, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175569, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1357, 20, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175570, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1763, 76, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175571, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 16052, 1, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175572, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 3, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175573, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 593, 12, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175574, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 11, 2, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175575, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 307, 16, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175576, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 95, 21, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175577, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 259, 10, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175578, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 30, 1, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175579, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 580, 7, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175580, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 205, 12, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175581, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 173, 19, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175582, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 636, 76, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175583, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 127, 84, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175584, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 0, 2, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175585, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 0, 1, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175586, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 611, 7, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175587, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 2292, 7, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175588, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 339, 42, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175589, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 773, 196, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175590, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 10, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175591, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175592, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 165, 10, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175593, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2023, 12, 18, '2024-08-05 15:56:48', NULL, NULL), (175594, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 3481, 7, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175595, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 611, 7, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 523, 51, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 582, 34, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 339, 42, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 241, 19, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 494, 42, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 101, 20, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 255, 2, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 738, 11, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1913, 29, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 247, 13, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 102, 11, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1782, 17, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 913, 33, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 99, 21, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 95, 15, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1722, 28, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 510, 20, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 230, 15, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 154, 20, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 427, 15, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 699, 19, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 108, 24, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 614, 38, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 1926, 6, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 557, 42, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 483, 55, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 183, 18, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 139, 22, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 316, 22, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 7558, 2, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 506, 28, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 915, 15, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 382, 20, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 1087, 45, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 205, 12, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 593, 12, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 310, 31, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 307, 16, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 2292, 7, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 301, 5, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 235, 25, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1108, 35, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 627, 5, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 50, 10, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 170, 10, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 28, 5, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 753, 2, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 511, 5, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 739, 5, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 30, 1, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 11, 2, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3, 2, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 14, 1, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 639, 32, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 5, 2, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1357, 20, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 4062, 6, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 16052, 1, 2023, 12, 18, '2024-08-05 15:56:49', NULL, NULL), (175655, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 124, 17, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175656, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 252, 72, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175657, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 205, 12, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175658, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 499, 255, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175659, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 6, 5, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175660, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 95, 21, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175661, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 4062, 6, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175662, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 580, 7, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175663, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 339, 42, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175664, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 128, 79, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175665, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 2292, 7, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175666, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 307, 16, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175667, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 7558, 2, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175668, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 259, 10, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175669, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 11, 2, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175670, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1357, 20, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175671, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 773, 196, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175672, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 645, 75, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175673, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 244, 34, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175674, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 739, 5, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175675, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 611, 7, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175676, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 30, 1, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175677, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1811, 74, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175678, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 16052, 1, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175679, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 310, 31, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175680, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 593, 12, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175681, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 183, 18, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175682, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 165, 10, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175683, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1108, 35, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175684, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 132, 10, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175685, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 7558, 2, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175686, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 170, 10, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175687, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 316, 22, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175688, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1108, 35, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175689, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 235, 25, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175690, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 627, 5, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175691, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 2, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175692, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 50, 10, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175693, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 5, 2, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175694, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 14, 1, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175695, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 339, 42, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175696, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 112, 7, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175697, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 307, 16, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175698, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 34, 3, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175699, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 301, 5, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175700, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 593, 12, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175701, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 205, 12, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175702, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 753, 2, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175703, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 1926, 6, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175704, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 699, 19, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175705, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 614, 38, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175706, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 510, 20, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175707, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 427, 15, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (175708, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 511, 5, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175709, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 913, 33, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175710, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 28, 5, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175711, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 1087, 45, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175712, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 30, 1, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175713, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 181, 12, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175714, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 171, 5, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175715, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 95, 9, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175716, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 11, 2, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175717, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 90, 11, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175718, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 146, 18, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175719, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 611, 7, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175720, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 108, 14, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175721, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 107, 10, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175722, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 382, 20, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175723, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 247, 13, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175724, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1722, 28, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175725, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 4062, 6, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175726, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 255, 2, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175727, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1913, 29, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175728, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1782, 17, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175729, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 241, 19, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175730, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 16052, 1, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175731, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 739, 5, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175732, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 639, 32, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175733, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 483, 55, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175734, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1357, 20, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175735, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 106, 5, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175736, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 523, 51, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175737, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 81, 7, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175738, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 52, 1, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175739, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 557, 42, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175740, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 95, 3, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175741, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 231, 2, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175742, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 259, 10, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175743, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 310, 31, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175744, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 506, 28, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175745, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 101, 20, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175746, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 738, 11, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175747, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 582, 34, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175748, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 183, 18, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175749, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 2292, 7, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175750, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 915, 15, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175751, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 494, 42, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 582, 34, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 523, 51, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 483, 55, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 139, 22, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 557, 42, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 739, 5, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 738, 11, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 101, 20, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 494, 42, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 915, 15, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 170, 10, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 50, 10, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 506, 28, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 16052, 1, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 316, 22, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 235, 25, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 2292, 7, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 627, 5, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 382, 20, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 1087, 45, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 639, 32, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 1926, 6, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 699, 19, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 614, 38, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 510, 20, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 427, 15, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 913, 33, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1722, 28, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1913, 29, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1782, 17, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 35, 1, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 753, 2, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 511, 5, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 28, 5, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 301, 5, 2023, 12, 18, '2024-08-05 15:56:50', NULL, NULL), (175787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1108, 35, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 307, 16, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 310, 31, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 205, 12, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 7558, 2, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 593, 12, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 4062, 6, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 247, 13, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 154, 20, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 108, 24, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1357, 20, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 5, 2, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 99, 14, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 183, 18, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 230, 15, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 11, 2, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 102, 11, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 339, 42, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 611, 7, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 99, 21, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 14, 1, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 30, 1, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 255, 2, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 241, 19, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 2, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175812, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 639, 32, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175813, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 339, 42, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175814, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 506, 28, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175815, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 181, 12, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175816, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 247, 13, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175817, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 34, 3, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175818, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 915, 15, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175819, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 255, 2, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175820, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 241, 19, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175821, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 14, 1, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175822, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 5, 2, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175823, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 2, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175824, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 611, 7, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175825, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 1087, 45, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175826, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 2292, 7, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175827, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 205, 12, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175828, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 382, 20, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175829, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 28, 5, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175830, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 593, 12, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175831, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 307, 16, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175832, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 753, 2, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175833, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 511, 5, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175834, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 30, 1, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175835, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 132, 10, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175836, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 310, 31, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175837, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 557, 42, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175838, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 483, 55, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175839, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 301, 5, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175840, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 523, 51, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175841, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 582, 34, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175842, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1913, 29, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175843, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 494, 42, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175844, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1782, 17, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175845, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1357, 20, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175846, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 101, 20, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175847, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 738, 11, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175848, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1722, 28, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175849, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 427, 15, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175850, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 913, 33, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175851, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 739, 5, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175852, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 183, 18, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175853, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 7558, 2, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175854, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 614, 38, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175855, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 510, 20, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175856, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 1926, 6, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175857, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1108, 35, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175858, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 699, 19, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175859, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 259, 10, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175860, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 235, 25, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175861, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 627, 5, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175862, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 95, 3, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175863, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 231, 2, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175864, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 4062, 6, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175865, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 50, 10, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175866, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 170, 10, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175867, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 106, 5, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175868, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 81, 7, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175869, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 316, 22, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175870, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 52, 1, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175871, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 16052, 1, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175872, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 112, 7, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175873, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 108, 14, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175874, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 95, 9, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175875, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 11, 2, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175876, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 107, 10, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175877, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 90, 11, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175878, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 171, 5, 2023, 12, 18, '2024-08-05 15:56:51', NULL, NULL), (175879, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 146, 18, 2023, 12, 18, '2024-08-05 15:56:52', NULL, NULL), (175880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 359, 96, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 421, 236, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 81, 25, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 518, 286, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 304, 120, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 362, 6, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 906, 142, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 9108, 2, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 547, 211, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 513, 32, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 348, 51, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 418, 46, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 476, 146, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 357, 178, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 543, 139, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 780, 113, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175896, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175897, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 54, 24, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175898, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 419, 237, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175899, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 362, 6, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175900, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175901, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 2, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175902, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 721, 25, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175903, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 422, 67, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175904, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 348, 13, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175905, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175906, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 179, 13, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175907, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 523, 44, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175908, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 882, 14, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175909, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 831, 40, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175910, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 736, 1, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175911, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 19, 1, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175912, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 917, 9, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175913, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 71, 3, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175914, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 108, 11, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175915, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 394, 5, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175916, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175917, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 536, 16, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175918, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 6, 1, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175919, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 4184, 9, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175920, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 769, 5, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175921, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 109, 15, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175922, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 253, 92, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175923, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1359, 64, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175924, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 9108, 2, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175925, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 4, 11, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175926, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 289, 14, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175927, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1121, 12, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175928, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 240, 24, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175929, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 200, 125, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175930, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175931, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 114, 15, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175932, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 723, 6, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175933, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 2, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175934, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2023, 12, 19, '2024-08-05 15:56:53', NULL, NULL), (175935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 289, 14, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 342, 29, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 250, 23, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 314, 17, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 832, 2, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 435, 11, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 550, 16, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 507, 52, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 2413, 1, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 407, 39, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 738, 16, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 222, 12, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 439, 16, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1187, 10, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 271, 18, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 124, 9, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 217, 16, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 684, 14, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 559, 18, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 110, 20, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 219, 14, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 107, 20, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 337, 12, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 364, 17, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 328, 23, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 430, 38, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 404, 59, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 109, 15, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 642, 24, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 247, 25, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 362, 6, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1786, 40, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 646, 24, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 137, 17, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 9108, 2, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 236, 24, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 769, 5, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 917, 9, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 179, 13, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 108, 11, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 4, 10, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 251, 1, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1223, 11, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 721, 25, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 332, 25, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 253, 18, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 104, 14, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 171, 6, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 4707, 8, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 6, 1, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 36, 3, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 20, 5, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 14, 4, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 71, 3, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 3, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 3, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 19, 1, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 882, 14, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 723, 6, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 736, 1, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (175995, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 348, 13, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (175996, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 422, 67, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (175997, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 4, 10, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (175998, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 769, 5, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (175999, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 421, 236, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176000, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 54, 24, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176001, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 394, 5, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176002, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 723, 6, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176003, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 4707, 8, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176004, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 250, 23, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176005, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 249, 86, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (176006, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1223, 11, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176007, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 289, 14, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176008, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 108, 11, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176009, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 6, 1, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176010, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 362, 6, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176011, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 831, 40, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (176012, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 736, 1, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176013, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 179, 13, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176014, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 9108, 2, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (176015, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 917, 9, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176016, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 109, 15, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176017, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 536, 16, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176018, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 71, 3, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176019, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 114, 15, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176020, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 19, 1, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (176021, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 721, 25, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176022, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 882, 14, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (176023, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 200, 125, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176024, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1359, 64, 2023, 12, 19, '2024-08-05 15:56:54', NULL, NULL), (176025, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 523, 44, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176026, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 602, 6, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176027, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 362, 6, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176028, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 253, 18, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176029, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 642, 24, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176030, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 721, 25, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176031, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 36, 3, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176032, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 171, 6, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176033, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 14, 4, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176034, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 332, 25, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176035, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 20, 5, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176036, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 3, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176037, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 3, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176038, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 250, 23, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176039, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 108, 11, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176040, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 131, 7, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176041, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 289, 4, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176042, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 251, 1, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176043, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 769, 5, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176044, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 917, 9, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176045, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 337, 12, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176046, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 328, 23, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176047, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 110, 20, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176048, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 107, 20, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176049, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 4707, 8, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176050, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 124, 9, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176051, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 104, 14, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176052, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 236, 24, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176053, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 6, 1, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176054, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 19, 1, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176055, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 293, 14, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176056, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 668, 1, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176057, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 217, 16, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176058, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 71, 3, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176059, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 234, 11, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176060, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 219, 14, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176061, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 289, 14, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176062, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 271, 18, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176063, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 222, 12, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176064, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 137, 17, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176065, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 439, 16, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176066, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 684, 14, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176067, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 723, 6, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176068, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 550, 16, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176069, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 738, 16, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176070, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 2413, 1, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176071, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1187, 10, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176072, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 435, 11, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176073, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 736, 1, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176074, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 9108, 2, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176075, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 813, 1, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176076, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 882, 14, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176077, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 404, 59, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176078, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 342, 29, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176079, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 430, 38, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176080, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 536, 16, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176081, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 4, 10, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176082, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 179, 13, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176083, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1786, 40, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176084, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 507, 52, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176085, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 407, 39, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176086, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 314, 17, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176087, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 109, 15, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176088, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 832, 2, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176089, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1223, 11, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176090, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 646, 24, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 314, 17, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 342, 29, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 404, 59, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 430, 38, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 247, 25, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 407, 39, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 507, 52, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 832, 2, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 646, 24, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 253, 18, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1786, 40, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 642, 24, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1223, 11, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 736, 1, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 332, 25, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 137, 17, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 236, 24, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 9108, 2, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 337, 12, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 328, 23, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 110, 20, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 107, 20, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (176113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 124, 9, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 684, 14, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 738, 16, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1187, 10, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 4707, 8, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 104, 14, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 251, 1, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 721, 25, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 108, 11, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 4, 10, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 179, 13, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 769, 5, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 362, 6, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 917, 9, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 171, 6, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 723, 6, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 439, 16, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 2413, 1, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 219, 14, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 3, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 882, 14, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 364, 17, 2023, 12, 19, '2024-08-05 15:56:55', NULL, NULL), (176135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 217, 16, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 109, 15, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 19, 1, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 559, 18, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 20, 5, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 71, 3, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 222, 12, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 250, 23, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 36, 3, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 289, 14, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 271, 18, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 6, 1, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 3, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 550, 16, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 14, 4, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 435, 11, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176151, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 250, 23, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176152, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1786, 40, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176153, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 293, 14, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176154, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 289, 4, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176155, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 439, 16, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176156, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 2413, 1, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176157, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 646, 24, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176158, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 550, 16, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176159, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 435, 11, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176160, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 3, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176161, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 3, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176162, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 20, 5, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176163, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 14, 4, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176164, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 171, 6, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176165, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 36, 3, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176166, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 289, 14, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176167, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 19, 1, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176168, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 236, 24, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176169, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1223, 11, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176170, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 769, 5, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176171, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 137, 17, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176172, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 104, 14, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176173, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 917, 9, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176174, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 108, 11, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176175, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 4707, 8, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176176, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 6, 1, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176177, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 602, 6, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176178, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 430, 38, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176179, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 179, 13, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176180, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 251, 1, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176181, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 404, 59, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176182, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 342, 29, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176183, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 738, 16, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176184, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 314, 17, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176185, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 832, 2, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176186, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1187, 10, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176187, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 882, 14, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176188, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 507, 52, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176189, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 407, 39, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176190, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 684, 14, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176191, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 107, 20, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176192, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 124, 9, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176193, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 109, 15, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176194, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 362, 6, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176195, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 328, 23, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176196, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 110, 20, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176197, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 721, 25, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176198, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 4, 10, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176199, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 337, 12, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176200, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 9108, 2, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176201, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 536, 16, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176202, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 723, 6, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176203, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 332, 25, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176204, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 813, 1, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176205, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 253, 18, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176206, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 642, 24, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176207, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 131, 7, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176208, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 271, 18, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176209, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 736, 1, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176210, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 217, 16, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176211, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 71, 3, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176212, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 222, 12, 2023, 12, 19, '2024-08-05 15:56:56', NULL, NULL), (176213, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 234, 11, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176214, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 668, 1, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176215, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 219, 14, 2023, 12, 19, '2024-08-05 15:56:57', NULL, NULL), (176216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 368, 112, 2023, 12, 20, '2024-08-05 15:56:58', NULL, NULL), (176217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 2763, 2, 2023, 12, 20, '2024-08-05 15:56:58', NULL, NULL), (176218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 244, 179, 2023, 12, 20, '2024-08-05 15:56:58', NULL, NULL), (176219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 21, 12, 2023, 12, 20, '2024-08-05 15:56:58', NULL, NULL), (176220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 679, 321, 2023, 12, 20, '2024-08-05 15:56:58', NULL, NULL), (176221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 190, 94, 2023, 12, 20, '2024-08-05 15:56:58', NULL, NULL), (176222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 309, 7, 2023, 12, 20, '2024-08-05 15:56:58', NULL, NULL), (176223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 357, 106, 2023, 12, 20, '2024-08-05 15:56:58', NULL, NULL), (176224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 397, 190, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 613, 68, 2023, 12, 20, '2024-08-05 15:56:58', NULL, NULL), (176226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 500, 61, 2023, 12, 20, '2024-08-05 15:56:58', NULL, NULL), (176227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 306, 44, 2023, 12, 20, '2024-08-05 15:56:58', NULL, NULL), (176228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 319, 149, 2023, 12, 20, '2024-08-05 15:56:58', NULL, NULL), (176229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 415, 129, 2023, 12, 20, '2024-08-05 15:56:58', NULL, NULL), (176230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 473, 119, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 457, 93, 2023, 12, 20, '2024-08-05 15:56:58', NULL, NULL), (176232, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 3, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176233, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 14, 9, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176234, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 244, 179, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176235, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 309, 7, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176236, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176237, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 2373, 33, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176238, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 344, 49, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176239, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 1842, 3, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176240, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 1021, 12, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176241, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 327, 16, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176242, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 285, 57, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176243, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 987, 15, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176244, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 105, 37, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176245, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176246, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 32, 2, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176247, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 161, 9, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176248, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 1983, 4, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176249, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 375, 15, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176250, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 55, 8, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176251, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 424, 7, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176252, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176253, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 5, 1, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176254, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 414, 15, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176255, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 407, 4, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176256, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 605, 21, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176257, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 33, 75, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176258, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 390, 52, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176259, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 489, 6, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176260, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 42, 10, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176261, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 146, 5, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176262, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 44, 3, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176263, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 440, 27, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176264, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 504, 134, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176265, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 8, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176266, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176267, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 585, 18, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176268, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 847, 14, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 244, 33, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 42, 10, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 199, 15, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 440, 27, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 395, 31, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 285, 24, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 210, 50, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 253, 17, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 1662, 2, 2023, 12, 20, '2024-08-05 15:57:01', NULL, NULL), (176278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 220, 33, 2023, 12, 20, '2024-08-05 15:57:01', NULL, NULL), (176279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 130, 10, 2023, 12, 20, '2024-08-05 15:57:01', NULL, NULL), (176280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 163, 11, 2023, 12, 20, '2024-08-05 15:57:01', NULL, NULL), (176281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 27, 19, 2023, 12, 20, '2024-08-05 15:57:01', NULL, NULL), (176282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 137, 10, 2023, 12, 20, '2024-08-05 15:57:01', NULL, NULL), (176283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 387, 15, 2023, 12, 20, '2024-08-05 15:57:01', NULL, NULL), (176284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 507, 27, 2023, 12, 20, '2024-08-05 15:57:01', NULL, NULL), (176285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 46, 11, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 71, 17, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 424, 7, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 426, 31, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 798, 8, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 48, 17, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 514, 16, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 19, 10, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 457, 37, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 605, 21, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 154, 17, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 340, 1, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 738, 17, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 6, 1, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 318, 26, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 360, 6, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 461, 26, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 607, 15, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 407, 4, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 161, 9, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 327, 16, 2023, 12, 20, '2024-08-05 15:57:01', NULL, NULL), (176306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 375, 15, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 734, 4, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 600, 8, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 146, 5, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 2373, 33, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 334, 20, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 238, 19, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 591, 9, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 573, 10, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 797, 7, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 79, 8, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 2, 3, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 5, 1, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 15, 2, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 1983, 4, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 26, 1, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 56, 1, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 2, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 32, 2, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 987, 15, 2023, 12, 20, '2024-08-05 15:57:00', NULL, NULL), (176326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 847, 14, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B12', 44, 3, 2023, 12, 20, '2024-08-05 15:56:59', NULL, NULL), (176328, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 1021, 12, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176329, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 344, 49, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176330, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 734, 4, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176331, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 407, 4, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176332, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 244, 179, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176333, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 14, 9, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176334, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 55, 8, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176335, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 847, 14, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176336, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 414, 15, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176337, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 440, 27, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176338, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 32, 67, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176339, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 146, 5, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176340, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 42, 10, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176341, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 375, 15, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176342, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 309, 7, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176343, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 5, 1, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176344, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 105, 37, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176345, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 2763, 2, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176346, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 327, 16, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176347, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 161, 9, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176348, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 605, 21, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176349, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 424, 7, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176350, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 1983, 4, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176351, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 585, 18, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176352, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 32, 2, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176353, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '区不动产', '', '', 44, 3, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176354, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 2373, 33, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176355, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 987, 15, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176356, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 504, 134, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176357, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 390, 52, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176358, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 301, 54, 2023, 12, 20, '2024-08-05 15:57:02', NULL, NULL), (176359, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 31, 3, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176360, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 360, 6, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176361, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 6, 1, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176362, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 591, 9, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176363, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 340, 1, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176364, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 2373, 33, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176365, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 2, 3, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176366, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 334, 20, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176367, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 26, 1, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176368, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 238, 19, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176369, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 15, 2, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176370, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 2, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176371, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 56, 1, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176372, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 440, 27, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176373, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 1351, 9, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176374, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 375, 15, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176375, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 600, 8, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176376, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 161, 9, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176377, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 407, 4, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176378, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 797, 7, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176379, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 514, 16, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176380, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 457, 37, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176381, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 426, 31, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176382, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 798, 8, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176383, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 79, 8, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176384, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 507, 27, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176385, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 607, 15, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176386, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 573, 10, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176387, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 5, 1, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176388, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 32, 2, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176389, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 48, 8, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176390, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 43, 10, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176391, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 15, 6, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176392, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 1983, 4, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176393, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 43, 15, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176394, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 10, 12, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176395, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 42, 10, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176396, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 31, 16, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176397, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 163, 11, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176398, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 71, 17, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176399, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 847, 14, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176400, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 130, 10, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176401, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 253, 17, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176402, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 1662, 2, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176403, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 137, 10, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176404, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 285, 24, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176405, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', 'B12', 44, 3, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176406, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 2763, 2, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176407, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 987, 15, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176408, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 154, 17, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176409, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 80, 1, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176410, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 244, 33, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176411, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 160, 1, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176412, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 5, 3, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176413, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 4, 1, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176414, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 91, 2, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176415, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 734, 4, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176416, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 424, 7, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176417, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 327, 16, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176418, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 210, 50, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176419, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 318, 26, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176420, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 220, 33, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176421, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 605, 21, 2023, 12, 20, '2024-08-05 15:57:03', NULL, NULL), (176422, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 199, 15, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176423, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 395, 31, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176424, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 461, 26, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176425, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 146, 5, 2023, 12, 20, '2024-08-05 15:57:04', NULL, NULL), (176426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 199, 15, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 244, 33, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B12', 44, 3, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 154, 17, 2023, 12, 20, '2024-08-05 15:57:06', NULL, NULL), (176430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 738, 17, 2023, 12, 20, '2024-08-05 15:57:06', NULL, NULL), (176431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 2763, 2, 2023, 12, 20, '2024-08-05 15:57:06', NULL, NULL), (176432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 220, 33, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 210, 50, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 395, 31, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 461, 26, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 591, 9, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 318, 26, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 340, 1, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 334, 20, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 146, 5, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 238, 19, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 607, 15, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 514, 16, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 457, 37, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 426, 31, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 798, 8, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 507, 27, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 71, 17, 2023, 12, 20, '2024-08-05 15:57:06', NULL, NULL), (176449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 130, 10, 2023, 12, 20, '2024-08-05 15:57:06', NULL, NULL), (176450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 137, 10, 2023, 12, 20, '2024-08-05 15:57:06', NULL, NULL), (176451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 797, 7, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 79, 8, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 573, 10, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 600, 8, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 360, 6, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 2373, 33, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 375, 15, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 734, 4, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 327, 16, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 407, 4, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 6, 1, 2023, 12, 20, '2024-08-05 15:57:06', NULL, NULL), (176462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 161, 9, 2023, 12, 20, '2024-08-05 15:57:06', NULL, NULL), (176463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 847, 14, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 163, 11, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 1662, 2, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 48, 17, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 987, 15, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 19, 10, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 2, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 46, 11, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 605, 21, 2023, 12, 20, '2024-08-05 15:57:05', NULL, NULL), (176472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 32, 2, 2023, 12, 20, '2024-08-05 15:57:06', NULL, NULL), (176473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 424, 7, 2023, 12, 20, '2024-08-05 15:57:06', NULL, NULL), (176474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 1983, 4, 2023, 12, 20, '2024-08-05 15:57:06', NULL, NULL), (176475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 27, 19, 2023, 12, 20, '2024-08-05 15:57:06', NULL, NULL), (176476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 15, 2, 2023, 12, 20, '2024-08-05 15:57:06', NULL, NULL), (176477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 440, 27, 2023, 12, 20, '2024-08-05 15:57:06', NULL, NULL), (176478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 2, 3, 2023, 12, 20, '2024-08-05 15:57:06', NULL, NULL), (176479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 22, 13, 2023, 12, 20, '2024-08-05 15:57:07', NULL, NULL), (176480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 42, 10, 2023, 12, 20, '2024-08-05 15:57:07', NULL, NULL), (176481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 5, 1, 2023, 12, 20, '2024-08-05 15:57:07', NULL, NULL), (176482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 56, 1, 2023, 12, 20, '2024-08-05 15:57:07', NULL, NULL), (176483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 253, 17, 2023, 12, 20, '2024-08-05 15:57:07', NULL, NULL), (176484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 26, 1, 2023, 12, 20, '2024-08-05 15:57:07', NULL, NULL), (176485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 285, 24, 2023, 12, 20, '2024-08-05 15:57:07', NULL, NULL), (176486, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '区不动产', '', 'B12', 44, 3, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176487, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 440, 27, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176488, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 318, 26, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176489, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 48, 8, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176490, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 163, 11, 2023, 12, 20, '2024-08-05 15:57:07', NULL, NULL), (176491, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 1662, 2, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176492, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 461, 26, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176493, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 253, 17, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176494, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 285, 24, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176495, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 56, 1, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176496, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 2, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176497, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 15, 2, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176498, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 26, 1, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176499, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 2, 3, 2023, 12, 20, '2024-08-05 15:57:07', NULL, NULL), (176500, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 42, 10, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176501, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 32, 2, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176502, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 607, 15, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176503, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 146, 5, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176504, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 407, 4, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176505, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 573, 10, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176506, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 161, 9, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176507, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 375, 15, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176508, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 797, 7, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176509, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 79, 8, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176510, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 5, 1, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176511, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 31, 3, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176512, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 327, 16, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176513, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 600, 8, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (176514, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 154, 17, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176515, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 244, 33, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176516, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 130, 10, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176517, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 199, 15, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176518, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 395, 31, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176519, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 137, 10, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176520, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 987, 15, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176521, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 210, 50, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176522, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 220, 33, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176523, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 71, 17, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176524, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 2763, 2, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176525, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 798, 8, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176526, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 507, 27, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176527, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 605, 21, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176528, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 360, 6, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176529, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 6, 1, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176530, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 457, 37, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176531, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 426, 31, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176532, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 2373, 33, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176533, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 734, 4, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176534, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 514, 16, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176535, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 424, 7, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176536, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 334, 20, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176537, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 4, 1, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176538, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 91, 2, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176539, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 847, 14, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176540, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 238, 19, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176541, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 80, 1, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176542, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 591, 9, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176543, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 160, 1, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176544, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 340, 1, 2023, 12, 20, '2024-08-05 15:57:09', NULL, NULL), (176545, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 5, 3, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176546, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 1351, 9, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176547, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 10, 12, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176548, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 43, 10, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176549, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 1983, 4, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176550, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 31, 16, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176551, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 15, 6, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176552, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 43, 15, 2023, 12, 20, '2024-08-05 15:57:08', NULL, NULL), (176553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 680, 140, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区水利局', '', '', 26, 2, 2023, 12, 21, '2024-08-05 15:57:13', NULL, NULL), (176555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 1807, 1, 2023, 12, 21, '2024-08-05 15:57:13', NULL, NULL), (176556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 595, 213, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 2432, 2, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 12240, 1, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 1258, 1, 2023, 12, 21, '2024-08-05 15:57:13', NULL, NULL), (176560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 111, 167, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 43, 15, 2023, 12, 21, '2024-08-05 15:57:13', NULL, NULL), (176562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 49, 116, 2023, 12, 21, '2024-08-05 15:57:13', NULL, NULL), (176563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '', 15, 1, 2023, 12, 21, '2024-08-05 15:57:13', NULL, NULL), (176564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 566, 128, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 482, 195, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 128, 56, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 363, 31, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 491, 40, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 377, 138, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 497, 153, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 378, 95, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 433, 89, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176573, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 2, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176574, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 21, 4, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176575, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '', 26, 2, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176576, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 50, 9, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176577, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 111, 167, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176578, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2432, 2, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176579, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 31, 3, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176580, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 178, 65, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176581, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 796, 16, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176582, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 629, 2, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176583, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 33, 12, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176584, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 158, 7, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176585, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 1122, 71, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176586, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1120, 8, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176587, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 637, 34, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176588, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 26, 1, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176589, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 0, 1, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176590, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 578, 12, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176591, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 11, 1, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176592, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 35, 8, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176593, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 61, 6, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176594, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176595, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 213, 5, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176596, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 33, 1, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176597, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1313, 7, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176598, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 68, 6, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176599, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 233, 31, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176600, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 42, 97, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176601, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 555, 58, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176602, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 12240, 1, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176603, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 1167, 3, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176604, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 208, 15, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176605, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 475, 5, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176606, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176607, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 227, 23, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176608, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 373, 94, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176609, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176610, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 5259, 5, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176611, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1505, 16, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176612, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 919, 3, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176613, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 15, 1, 2023, 12, 21, '2024-08-05 15:57:14', NULL, NULL), (176614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 208, 15, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 112, 26, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 99, 34, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 227, 23, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 977, 28, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 285, 11, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 108, 39, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 1108, 17, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 103, 35, 2023, 12, 21, '2024-08-05 15:57:17', NULL, NULL), (176623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 838, 14, 2023, 12, 21, '2024-08-05 15:57:17', NULL, NULL), (176624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 39, 19, 2023, 12, 21, '2024-08-05 15:57:17', NULL, NULL), (176625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 1287, 26, 2023, 12, 21, '2024-08-05 15:57:17', NULL, NULL), (176626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 81, 17, 2023, 12, 21, '2024-08-05 15:57:17', NULL, NULL), (176627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 260, 17, 2023, 12, 21, '2024-08-05 15:57:17', NULL, NULL), (176628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 70, 13, 2023, 12, 21, '2024-08-05 15:57:17', NULL, NULL), (176629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 497, 20, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 165, 8, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 207, 20, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 146, 20, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 582, 5, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 33, 22, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 309, 7, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 61, 22, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 233, 31, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 41, 19, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 34, 21, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 670, 40, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 2432, 2, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 430, 17, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 306, 15, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 12240, 1, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 504, 28, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 68, 6, 2023, 12, 21, '2024-08-05 15:57:17', NULL, NULL), (176647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 578, 12, 2023, 12, 21, '2024-08-05 15:57:17', NULL, NULL), (176648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 158, 7, 2023, 12, 21, '2024-08-05 15:57:17', NULL, NULL), (176649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 35, 8, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 1750, 2, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 475, 5, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1848, 13, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 90, 6, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 849, 15, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 181, 25, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 448, 13, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 27, 2, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 2584, 2, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 46, 2, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 805, 5, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 19, 1, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 3, 1, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 33, 1, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 11, 1, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 4, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 390, 2, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 331, 1, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 94, 1, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 21, 4, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1120, 8, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D14', 26296, 1, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B09', 26, 2, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B08', 15, 1, 2023, 12, 21, '2024-08-05 15:57:16', NULL, NULL), (176674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 919, 3, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 26, 1, 2023, 12, 21, '2024-08-05 15:57:15', NULL, NULL), (176676, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '', 26296, 1, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176677, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 33, 12, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176678, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 178, 65, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176679, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 68, 6, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176680, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 94, 1, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176681, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 111, 167, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176682, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 50, 9, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176683, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 61, 6, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176684, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 919, 3, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176685, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1313, 7, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176686, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 227, 23, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176687, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 42, 93, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176688, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 475, 5, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176689, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 35, 8, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176690, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '', 15, 1, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176691, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 2432, 2, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176692, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 1258, 1, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176693, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 12240, 1, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176694, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 213, 5, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176695, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 11, 1, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176696, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1120, 8, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176697, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 373, 94, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176698, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 565, 57, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176699, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 1122, 71, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176700, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 1750, 2, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176701, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 208, 15, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176702, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 33, 1, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176703, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 637, 34, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176704, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 26, 1, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176705, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 158, 7, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176706, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '区水利局', '', '', 26, 2, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176707, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 578, 12, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176708, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 233, 31, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176709, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1605, 15, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176710, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 849, 15, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176711, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 21, 4, 2023, 12, 21, '2024-08-05 15:57:18', NULL, NULL), (176712, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 52, 3, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176713, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 2432, 2, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176714, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 34, 21, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176715, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 849, 15, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176716, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 19, 1, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176717, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 90, 6, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176718, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 46, 2, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176719, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 4, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176720, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 181, 25, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176721, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 3, 1, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176722, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 448, 13, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176723, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 331, 1, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176724, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '3D14', 26296, 1, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176725, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 227, 23, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176726, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 27, 9, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176727, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 35, 8, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176728, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 187, 1, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176729, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1848, 13, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176730, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 68, 6, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176731, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 578, 12, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176732, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 2584, 2, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176733, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 309, 7, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176734, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 207, 20, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176735, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 582, 5, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176736, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 260, 17, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176737, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 805, 5, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176738, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 27, 2, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176739, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 504, 28, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176740, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 33, 1, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176741, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 39, 9, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176742, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 85, 3, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176743, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 80, 11, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176744, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 11, 1, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176745, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 30, 19, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176746, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 64, 17, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176747, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 21, 4, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176748, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 7, 16, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176749, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 208, 15, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176750, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 33, 18, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176751, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '2B08', 15, 1, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176752, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 430, 17, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176753, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 1287, 26, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176754, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 497, 20, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176755, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 919, 3, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176756, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 1108, 17, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176757, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 838, 14, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176758, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 977, 28, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176759, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 26, 1, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176760, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 390, 2, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176761, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 94, 1, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176762, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 12240, 1, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176763, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 1258, 1, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176764, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '2B09', 26, 2, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176765, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1120, 8, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176766, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 61, 22, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176767, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 10, 2, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176768, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 112, 26, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176769, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 150, 1, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176770, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 6, 2, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176771, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 1750, 2, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176772, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 213, 5, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176773, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 158, 7, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176774, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 670, 40, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176775, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 108, 39, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176776, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 103, 35, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176777, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 99, 34, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176778, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 233, 31, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176779, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 475, 5, 2023, 12, 21, '2024-08-05 15:57:19', NULL, NULL), (176780, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 306, 15, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176781, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 285, 11, 2023, 12, 21, '2024-08-05 15:57:20', NULL, NULL), (176782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 99, 34, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 112, 26, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 61, 22, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 41, 19, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 1258, 1, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 103, 35, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 108, 39, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 285, 11, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 306, 15, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 26, 1, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 448, 13, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 670, 40, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 34, 21, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 90, 6, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 475, 5, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 181, 25, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 430, 17, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 504, 28, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 390, 2, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 12240, 1, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 1807, 1, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 309, 7, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 207, 20, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 582, 5, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 260, 17, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 497, 20, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 838, 14, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D14', 26296, 1, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 2584, 2, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 805, 5, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 27, 2, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '2B08', 15, 1, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 2432, 2, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1848, 13, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 849, 15, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 35, 8, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 1750, 2, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 158, 7, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 68, 6, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 578, 12, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 46, 2, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 919, 3, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区水利局', '', '2B09', 26, 2, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 1287, 26, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 94, 1, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 58, 19, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 331, 1, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1120, 8, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 33, 22, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 21, 4, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 70, 13, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 233, 31, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 165, 8, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 11, 1, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 3, 1, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 39, 19, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 227, 23, 2023, 12, 21, '2024-08-05 15:57:21', NULL, NULL), (176839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 19, 1, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 7, 16, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 208, 15, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 1108, 17, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 4, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 977, 28, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 33, 1, 2023, 12, 21, '2024-08-05 15:57:22', NULL, NULL), (176846, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '区水利局', '', '2B09', 26, 2, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176847, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 21, 4, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176848, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 390, 2, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176849, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 227, 23, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176850, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 670, 40, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176851, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 39, 9, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176852, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 187, 1, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176853, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 1287, 26, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176854, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 306, 15, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176855, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 1108, 17, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176856, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 977, 28, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176857, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 331, 1, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176858, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 3, 1, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176859, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 4, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176860, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 46, 2, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176861, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 19, 1, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176862, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 208, 15, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176863, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 504, 28, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176864, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 475, 5, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176865, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 430, 17, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176866, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 68, 6, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176867, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 27, 2, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176868, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 578, 12, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176869, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 35, 8, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176870, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 2584, 2, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176871, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '3D14', 26296, 1, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176872, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 805, 5, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176873, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 52, 3, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176874, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 158, 7, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176875, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1848, 13, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176876, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 61, 22, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176877, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 112, 26, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176878, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 99, 34, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176879, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 838, 14, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176880, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 285, 11, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176881, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1120, 8, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176882, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 108, 39, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176883, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 33, 1, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176884, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 497, 20, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176885, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 103, 35, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176886, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 94, 1, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176887, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 1258, 1, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176888, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 582, 5, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176889, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 260, 17, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176890, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 233, 31, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176891, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 2432, 2, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176892, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 309, 7, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176893, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 207, 20, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176894, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 849, 15, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176895, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 1750, 2, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176896, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 12240, 1, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176897, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 213, 5, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176898, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 90, 6, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176899, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 6, 2, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176900, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 919, 3, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176901, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 181, 25, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176902, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 448, 13, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176903, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 10, 2, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176904, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 34, 21, 2023, 12, 21, '2024-08-05 15:57:25', NULL, NULL), (176905, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 150, 1, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176906, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 27, 9, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176907, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 26, 1, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176908, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 7, 16, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176909, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 80, 11, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176910, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 11, 1, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176911, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 33, 18, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL), (176912, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 30, 19, 2023, 12, 21, '2024-08-05 15:57:23', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (176913, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '2B08', 15, 1, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176914, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 85, 3, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176915, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 64, 17, 2023, 12, 21, '2024-08-05 15:57:24', NULL, NULL), (176916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 391, 126, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 2824, 1, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 368, 189, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 76, 13, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 732, 229, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 144, 97, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1629, 8, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 269, 83, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 375, 199, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 526, 37, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 226, 18, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 275, 34, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 442, 117, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 484, 78, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 370, 172, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 659, 111, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176932, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176933, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176934, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 56, 12, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176935, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 368, 189, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176936, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1629, 8, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176937, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1086, 20, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176938, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 212, 38, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176939, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 941, 3, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176940, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 210, 8, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176941, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 77, 10, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176942, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 468, 60, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176943, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1426, 16, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176944, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1409, 43, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176945, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 159, 2, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176946, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 0, 1, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176947, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1289, 9, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176948, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 7, 1, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176949, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 63, 10, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176950, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 107, 9, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176951, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 5, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176952, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 3, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176953, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 542, 4, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176954, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 2577, 5, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176955, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 4, 2, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176956, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 703, 6, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176957, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 300, 26, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176958, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 137, 76, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176959, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 323, 44, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176960, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 8, 2, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176961, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 40, 13, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176962, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 24, 1, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176963, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 444, 29, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176964, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 172, 87, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176965, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 5, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176966, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176967, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 719, 23, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176968, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 2, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 40, 13, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 450, 21, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 444, 29, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 304, 39, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 685, 19, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 337, 32, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 467, 18, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 407, 31, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 731, 1, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 362, 50, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 83, 6, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1456, 8, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 295, 20, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 83, 2, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 282, 18, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 72, 17, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1398, 35, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 306, 10, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 170, 23, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 200, 7, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 81, 5, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 163, 8, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 136, 19, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 174, 29, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 418, 16, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 300, 26, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 365, 2, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 173, 23, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 2160, 6, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 238, 25, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (176999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 35, 2, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 187, 2, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 435, 19, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 176, 16, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 703, 6, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1289, 9, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 210, 8, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 63, 10, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 8, 2, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 794, 14, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 24, 1, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 532, 1, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1086, 20, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 210, 16, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 182, 19, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 901, 6, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 12755, 1, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 0, 2, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 32, 4, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 3, 1, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 4, 1, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 5, 1, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 193, 1, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 7, 1, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 152, 3, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 4, 2, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 5, 3, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1426, 16, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B15', 319, 1, 2023, 12, 22, '2024-08-05 15:57:26', NULL, NULL), (177028, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 77, 10, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177029, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 212, 38, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177030, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 8, 2, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177031, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 703, 6, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177032, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 368, 189, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177033, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 56, 12, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177034, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 114, 8, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177035, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 2577, 5, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177036, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 444, 29, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177037, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 135, 75, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177038, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 24, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177039, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 40, 13, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177040, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 63, 10, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177041, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 4, 2, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177042, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1629, 8, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177043, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1409, 43, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177044, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 2824, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177045, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 210, 8, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177046, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 319, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177047, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1289, 9, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177048, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 300, 26, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177049, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 542, 4, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177050, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 7, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177051, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 826, 20, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177052, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1086, 20, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177053, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1426, 16, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177054, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 172, 87, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177055, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 323, 44, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177056, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 484, 58, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177057, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 58, 7, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177058, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 35, 2, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177059, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 2160, 6, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177060, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 182, 19, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177061, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 365, 2, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177062, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1086, 20, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177063, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 3, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177064, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 532, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177065, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 0, 2, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177066, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 152, 3, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177067, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 210, 16, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177068, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 193, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177069, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 5, 3, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177070, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 4, 2, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177071, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 444, 29, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177072, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 63, 10, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177073, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 120, 3, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177074, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 4, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177075, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 794, 14, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177076, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 703, 6, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177077, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1289, 9, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177078, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 12755, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177079, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 163, 8, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177080, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 174, 29, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177081, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 170, 23, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177082, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 200, 7, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177083, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 32, 4, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177084, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 83, 2, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177085, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 901, 6, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177086, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 176, 16, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177087, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 4, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177088, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 5, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177089, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 190, 19, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177090, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 149, 6, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177091, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 78, 15, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177092, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 7, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177093, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 167, 11, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177094, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 81, 5, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177095, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 137, 14, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177096, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 40, 13, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177097, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 64, 5, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177098, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 187, 2, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177099, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 295, 20, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177100, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1398, 35, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177101, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 467, 18, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177102, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 731, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177103, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1456, 8, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177104, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 685, 19, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177105, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B15', 319, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177106, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 2824, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177107, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 418, 16, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177108, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1426, 16, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177109, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 30, 2, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177110, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 450, 21, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177111, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 108, 3, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177112, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 178, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177113, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 350, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177114, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 8, 2, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177115, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 542, 4, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177116, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 210, 8, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177117, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 238, 25, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177118, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 407, 31, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177119, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 362, 50, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177120, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 300, 26, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177121, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 304, 39, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177122, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 24, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177123, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 337, 32, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177124, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 435, 19, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 304, 39, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 450, 21, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 418, 16, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 173, 23, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 2824, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 362, 50, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 407, 31, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 337, 32, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 435, 19, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 182, 19, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 210, 16, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 238, 25, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 365, 2, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 532, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 24, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B15', 319, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 187, 2, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 176, 16, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 163, 8, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 174, 29, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 170, 23, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 200, 7, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 83, 2, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1398, 35, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1456, 8, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 12755, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 32, 4, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 901, 6, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 35, 2, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 794, 14, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1086, 20, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 63, 10, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 8, 2, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 210, 8, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 703, 6, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 2160, 6, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1289, 9, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 0, 2, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 295, 20, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 731, 1, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 81, 5, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 5, 3, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1426, 16, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 136, 19, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 72, 17, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 300, 26, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 306, 10, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 83, 6, 2023, 12, 22, '2024-08-05 15:57:27', NULL, NULL), (177173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 7, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 444, 29, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 193, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 3, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 132, 17, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 40, 13, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 4, 2, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 4, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 467, 18, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 5, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 685, 19, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 152, 3, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177185, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 444, 29, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177186, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 238, 25, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177187, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 190, 19, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177188, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 4, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177189, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 295, 20, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177190, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 731, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177191, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 435, 19, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177192, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 467, 18, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177193, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 685, 19, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177194, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 4, 2, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177195, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 5, 3, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177196, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 193, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177197, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 152, 3, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177198, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 0, 2, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177199, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 3, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177200, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 40, 13, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177201, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 176, 16, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177202, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 24, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177203, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 703, 6, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177204, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 187, 2, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177205, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 901, 6, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177206, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1289, 9, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177207, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 63, 10, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177208, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 12755, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177209, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 32, 4, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177210, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 4, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177211, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 210, 8, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177212, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 58, 7, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177213, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 418, 16, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177214, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 794, 14, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177215, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 450, 21, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177216, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 304, 39, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177217, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1456, 8, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177218, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 337, 32, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177219, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1426, 16, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177220, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 407, 31, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177221, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 5, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177222, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 362, 50, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177223, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1398, 35, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177224, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 2824, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177225, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 200, 7, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177226, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 83, 2, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177227, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 300, 26, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177228, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 35, 2, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177229, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 2160, 6, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177230, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 174, 29, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177231, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 170, 23, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177232, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1086, 20, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177233, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 8, 2, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177234, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 163, 8, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177235, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 542, 4, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177236, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 532, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177237, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 350, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177238, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 210, 16, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177239, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 30, 2, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177240, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 182, 19, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177241, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 365, 2, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177242, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 108, 3, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177243, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 178, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177244, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 120, 3, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177245, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 137, 14, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177246, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 78, 15, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177247, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B15', 319, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177248, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 64, 5, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177249, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 7, 1, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177250, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 167, 11, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177251, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 149, 6, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177252, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 81, 5, 2023, 12, 22, '2024-08-05 15:57:28', NULL, NULL), (177253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 3, 2023, 12, 23, '2024-08-05 15:57:29', NULL, NULL), (177254, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 0, 1, 2023, 12, 23, '2024-08-05 15:57:29', NULL, NULL), (177255, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 1, 2023, 12, 23, '2024-08-05 15:57:29', NULL, NULL), (177256, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 1, 2023, 12, 23, '2024-08-05 15:57:29', NULL, NULL), (177257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 442, 122, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 334, 256, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 21, 11, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 22, 1, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1541, 321, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 273, 98, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '', 12919, 2, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1700, 15, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 467, 138, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 1188, 2, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 812, 230, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 835, 46, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 641, 37, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 536, 52, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 986, 142, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 670, 112, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 681, 244, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 926, 116, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177275, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 2, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177276, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 21, 11, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177277, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177278, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 334, 256, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177279, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1700, 15, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177280, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 236, 66, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177281, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1287, 30, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177282, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 134, 18, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177283, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 432, 15, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177284, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 564, 61, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177285, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 420, 11, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177286, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 2936, 65, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177287, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177288, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 2972, 16, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177289, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 716, 3, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177290, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 225, 14, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177291, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 391, 25, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177292, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177293, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 427, 13, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177294, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1883, 5, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177295, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 450, 8, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177296, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 139, 23, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177297, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 250, 69, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177298, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 679, 72, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177299, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 1188, 2, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177300, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 58, 4, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177301, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 203, 20, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177302, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177303, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 535, 23, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177304, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 1296, 139, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177305, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177306, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 566, 10, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177307, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177308, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 1146, 2, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177309, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 12919, 2, 2023, 12, 25, '2024-08-05 15:57:31', NULL, NULL), (177310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 226, 18, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 424, 38, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 326, 52, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 616, 20, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 503, 18, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 337, 36, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 626, 1, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (177317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 325, 48, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 563, 22, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 2746, 38, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 617, 20, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 239, 30, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 3203, 27, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 260, 13, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 1538, 1, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 398, 14, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 12, 2, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 816, 28, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 1222, 23, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 269, 17, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 1591, 50, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 1892, 5, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 272, 56, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 139, 23, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 360, 26, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 26, 13, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 265, 23, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1191, 7, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 2278, 10, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 1595, 5, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 544, 5, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 706, 30, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 1188, 2, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 1133, 27, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 514, 7, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 2972, 16, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 432, 15, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 225, 14, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 58, 4, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 782, 7, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 91, 16, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1287, 30, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 567, 20, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 145, 17, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 64, 3, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 1844, 2, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1909, 3, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 2, 2, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 102, 2, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 716, 3, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 4, 2, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 5, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 553, 35, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 420, 11, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B08', 12919, 2, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 1146, 2, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177366, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 134, 18, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177367, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 236, 66, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177368, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 58, 4, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177369, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 514, 7, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177370, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 334, 256, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177371, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 21, 11, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177372, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 408, 17, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177373, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 1146, 2, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177374, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1883, 5, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177375, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 616, 20, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177376, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 238, 50, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177377, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 226, 18, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177378, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 225, 14, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177379, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '', 12919, 2, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177380, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1700, 15, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177381, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 2936, 65, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177382, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 432, 15, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177383, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 1188, 2, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177384, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 2972, 16, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177385, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 139, 23, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177386, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 427, 13, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177387, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 566, 10, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177388, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 716, 3, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177389, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1287, 30, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177390, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 420, 11, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177391, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 1296, 139, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177392, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 679, 72, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177393, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 564, 61, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177394, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 70, 5, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177395, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 544, 5, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177396, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 2278, 10, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177397, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 145, 17, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177398, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 26, 13, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177399, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1287, 30, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177400, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 91, 16, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177401, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 102, 2, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177402, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 567, 20, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177403, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 2, 2, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177404, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 5, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177405, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 4, 2, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177406, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 616, 20, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177407, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 158, 13, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177408, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 225, 14, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177409, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 782, 7, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177410, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 2972, 16, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177411, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 514, 7, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177412, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 1844, 2, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177413, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 1892, 5, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177414, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 1222, 23, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177415, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 1591, 50, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177416, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 1538, 1, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177417, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 816, 28, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177418, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1909, 3, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177419, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 64, 3, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177420, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 1133, 27, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177421, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 403, 10, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177422, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 16, 1, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177423, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 40, 8, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177424, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 716, 3, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177425, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 373, 7, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177426, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 3, 1, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177427, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 226, 18, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177428, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 214, 23, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177429, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '2B08', 12919, 2, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177430, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 1595, 5, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177431, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 617, 20, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177432, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 626, 1, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177433, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 1146, 2, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177434, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 2746, 38, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177435, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 563, 22, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177436, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 3203, 27, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177437, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 503, 18, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177438, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 553, 35, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177439, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 1188, 2, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177440, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 420, 11, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177441, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 360, 26, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177442, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 612, 5, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177443, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 424, 38, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177444, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 323, 7, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177445, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 272, 56, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177446, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 324, 5, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177447, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 58, 4, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177448, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 427, 13, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177449, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 432, 15, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177450, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1191, 7, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177451, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 325, 48, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177452, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 139, 23, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177453, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 326, 52, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177454, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 706, 30, 2023, 12, 25, '2024-08-05 15:57:32', NULL, NULL), (177455, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 337, 36, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 326, 52, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 424, 38, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 360, 26, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 265, 23, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 272, 56, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 325, 48, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 337, 36, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 706, 30, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 145, 17, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 567, 20, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1191, 7, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 26, 13, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 91, 16, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 1595, 5, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 1133, 27, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 553, 35, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 1188, 2, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 22, 1, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 1892, 5, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 1222, 23, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 1591, 50, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 1538, 1, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 816, 28, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 2746, 38, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 3203, 27, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 1844, 2, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1909, 3, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 64, 3, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '2B08', 12919, 2, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 782, 7, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 544, 5, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1287, 30, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 225, 14, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 58, 4, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 432, 15, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 514, 7, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 2972, 16, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 2278, 10, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 1146, 2, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 617, 20, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 563, 22, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 3, 1, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 420, 11, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 5, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 269, 17, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 260, 13, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 139, 23, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 398, 14, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 716, 3, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 2, 2, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 239, 30, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 616, 20, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 226, 18, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 626, 1, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 4, 2, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 102, 2, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 503, 18, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177513, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 553, 35, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177514, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 616, 20, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177515, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1191, 7, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177516, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 403, 10, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177517, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 617, 20, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177518, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 563, 22, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177519, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 706, 30, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177520, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 626, 1, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177521, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 503, 18, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177522, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 4, 2, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177523, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 5, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177524, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 2, 2, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177525, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 102, 2, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177526, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 226, 18, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177527, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 1133, 27, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177528, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 1595, 5, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177529, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 514, 7, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177530, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 64, 3, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177531, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 2972, 16, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177532, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 225, 14, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177533, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 1844, 2, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177534, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1909, 3, 2023, 12, 25, '2024-08-05 15:57:34', NULL, NULL), (177535, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 70, 5, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177536, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 272, 56, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177537, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 432, 15, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177538, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 782, 7, 2023, 12, 25, '2024-08-05 15:57:34', NULL, NULL), (177539, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 360, 26, 2023, 12, 25, '2024-08-05 15:57:34', NULL, NULL), (177540, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 424, 38, 2023, 12, 25, '2024-08-05 15:57:34', NULL, NULL), (177541, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 326, 52, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177542, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 2746, 38, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177543, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 337, 36, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177544, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 3203, 27, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177545, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 420, 11, 2023, 12, 25, '2024-08-05 15:57:34', NULL, NULL), (177546, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 325, 48, 2023, 12, 25, '2024-08-05 15:57:34', NULL, NULL), (177547, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 816, 28, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177548, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 139, 23, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177549, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 544, 5, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177550, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 2278, 10, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177551, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 1591, 50, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177552, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 1538, 1, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177553, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 1892, 5, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177554, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1287, 30, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177555, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 1222, 23, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177556, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 58, 4, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177557, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 1188, 2, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177558, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 427, 13, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177559, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 91, 16, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177560, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 324, 5, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177561, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 1146, 2, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177562, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 567, 20, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177563, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 612, 5, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177564, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 145, 17, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177565, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 26, 13, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177566, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 323, 7, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177567, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 158, 13, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177568, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 40, 8, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177569, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 716, 3, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177570, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 214, 23, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177571, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 373, 7, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177572, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '2B08', 12919, 2, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177573, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 16, 1, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177574, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 3, 1, 2023, 12, 25, '2024-08-05 15:57:33', NULL, NULL), (177575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 473, 105, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 5942, 4, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 7, 1, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 369, 237, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 1575, 19, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1379, 258, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 284, 158, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 769, 20, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 386, 138, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 743, 203, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 756, 47, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 1006, 32, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1379, 21, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 635, 128, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 582, 87, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 641, 273, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 588, 162, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177592, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 0, 1, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177593, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 65, 11, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177594, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 369, 237, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177595, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 769, 20, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177596, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177597, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 3509, 31, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177598, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 220, 62, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177599, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 5942, 4, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177600, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 293, 19, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177601, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 193, 17, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177602, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 609, 54, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177603, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 293, 17, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177604, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 546, 38, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177605, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 3652, 8, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177606, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 870, 12, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177607, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 319, 1, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177608, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 342, 16, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177609, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 180, 33, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177610, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 795, 20, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177611, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 2124, 2, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177612, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 541, 7, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177613, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1750, 12, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177614, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 26, 17, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177615, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 182, 97, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177616, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 522, 76, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177617, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 34, 6, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177618, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 231, 11, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177619, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177620, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 173, 3, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177621, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 599, 23, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177622, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 1689, 100, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177623, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 4, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177624, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177625, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 138, 12, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177626, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 1024, 2, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177627, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 231, 11, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 212, 27, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 599, 23, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 465, 58, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 257, 46, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 824, 15, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 571, 22, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 372, 34, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 493, 16, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 166, 30, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 469, 17, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 546, 13, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 2329, 11, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 970, 28, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 119, 15, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 639, 9, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 577, 32, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 252, 19, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 1727, 37, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 207, 19, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 1330, 22, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 2015, 4, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 296, 22, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 26, 17, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 475, 50, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 374, 20, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 162, 19, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 683, 10, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 536, 43, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 855, 10, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 504, 33, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 1615, 26, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1909, 11, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 870, 12, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 193, 17, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 342, 16, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 34, 6, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 131, 5, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 248, 14, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 6399, 17, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 309, 18, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 139, 11, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 143, 7, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 2432, 1, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 49, 3, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 226, 6, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 4, 1, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 4244, 1, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 102, 2, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 351, 1, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 319, 1, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 5, 2, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 3, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 293, 17, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 1024, 2, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 210, 6, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 13977, 2, 2023, 12, 26, '2024-08-05 15:57:35', NULL, NULL), (177685, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 293, 19, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177686, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 173, 3, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177687, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 220, 62, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177688, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 34, 6, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177689, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1909, 11, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177690, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 369, 237, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177691, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 65, 11, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177692, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 202, 29, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177693, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 1024, 2, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177694, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 541, 7, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177695, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 599, 23, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177696, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 195, 87, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177697, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 231, 11, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177698, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 342, 16, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177699, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 2124, 2, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177700, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 769, 20, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177701, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 546, 38, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177702, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 3652, 8, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177703, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 5942, 4, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177704, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 193, 17, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177705, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 870, 12, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177706, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 26, 17, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177707, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 795, 20, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177708, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 319, 1, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177709, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 138, 12, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177710, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 6399, 17, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177711, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 293, 17, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177712, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 1689, 100, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177713, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 522, 76, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177714, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 609, 54, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177715, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 185, 3, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177716, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 855, 10, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177717, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 683, 10, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177718, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 139, 11, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177719, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 6399, 17, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177720, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 162, 19, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177721, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 248, 14, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177722, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 49, 3, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (177723, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 309, 18, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177724, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 351, 1, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177725, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 102, 2, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177726, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 3, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177727, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 5, 2, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177728, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 599, 23, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177729, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 124, 1, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177730, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 198, 2, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177731, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 342, 16, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177732, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 314, 16, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177733, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 1067, 1, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177734, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 131, 5, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177735, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 870, 12, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177736, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1909, 11, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177737, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 2432, 1, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177738, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 1330, 22, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177739, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 2015, 4, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177740, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 1727, 37, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177741, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 2329, 11, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177742, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 226, 6, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177743, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 143, 7, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177744, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 1615, 26, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177745, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 4, 1, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177746, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 4244, 1, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177747, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 467, 3, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177748, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 152, 7, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177749, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 150, 11, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177750, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 319, 1, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177751, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 216, 9, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177752, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 282, 15, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177753, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 231, 11, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177754, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 174, 18, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177755, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 148, 24, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177756, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 469, 17, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177757, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 639, 9, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177758, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 1024, 2, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177759, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 493, 16, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177760, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 571, 22, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177761, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 546, 13, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177762, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 824, 15, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177763, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 13977, 2, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177764, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 210, 6, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177765, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 5942, 4, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177766, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 365, 3, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177767, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 293, 17, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177768, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 475, 50, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177769, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 39, 3, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177770, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 212, 27, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177771, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 45, 6, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177772, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 238, 6, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177773, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 296, 22, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177774, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 205, 7, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177775, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 145, 3, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177776, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 795, 20, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177777, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 34, 6, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177778, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 193, 17, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177779, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 536, 43, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177780, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 372, 34, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177781, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 26, 17, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177782, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 465, 58, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177783, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 257, 46, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177784, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 504, 33, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 465, 58, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 212, 27, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 475, 50, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 374, 20, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 296, 22, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 5942, 4, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 372, 34, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 257, 46, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 504, 33, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 139, 11, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 13977, 2, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 536, 43, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 162, 19, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 248, 14, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 210, 6, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 309, 18, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 1615, 26, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 1330, 22, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 2015, 4, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 1727, 37, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 2329, 11, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 639, 9, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 493, 16, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 546, 13, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 7, 1, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 2432, 1, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 226, 6, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 143, 7, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 855, 10, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 131, 5, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 6399, 17, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 342, 16, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 34, 6, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 193, 17, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1909, 11, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 683, 10, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 870, 12, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 49, 3, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 1024, 2, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 469, 17, 2023, 12, 26, '2024-08-05 15:57:36', NULL, NULL), (177825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 571, 22, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 252, 19, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 293, 17, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 207, 19, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 3, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 26, 17, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 127, 14, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 577, 32, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 319, 1, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 102, 2, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 599, 23, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 166, 30, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 231, 11, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 142, 24, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 5, 2, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 4, 1, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 4244, 1, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 351, 1, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 824, 15, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177844, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 599, 23, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177845, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 536, 43, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177846, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 467, 3, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177847, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 1067, 1, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177848, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 469, 17, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177849, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 571, 22, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177850, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 504, 33, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177851, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 824, 15, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177852, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 5, 2, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177853, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 3, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177854, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 102, 2, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177855, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 351, 1, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177856, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 49, 3, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177857, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 231, 11, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177858, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 1615, 26, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177859, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1909, 11, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177860, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 143, 7, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177861, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 870, 12, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177862, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 342, 16, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177863, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 2432, 1, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177864, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 226, 6, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177865, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 4, 1, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177866, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 185, 3, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177867, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 296, 22, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177868, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 193, 17, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177869, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 131, 5, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177870, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 475, 50, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177871, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 212, 27, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177872, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 465, 58, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177873, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 493, 16, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177874, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 257, 46, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177875, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 546, 13, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177876, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 293, 17, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177877, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 4244, 1, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177878, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 372, 34, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177879, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 639, 9, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177880, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 5942, 4, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177881, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 1727, 37, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177882, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 2329, 11, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177883, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 26, 17, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177884, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 855, 10, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177885, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 683, 10, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177886, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 2015, 4, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177887, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 6399, 17, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177888, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 1330, 22, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177889, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 34, 6, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177890, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 795, 20, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177891, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 248, 14, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177892, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 205, 7, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177893, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 309, 18, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177894, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 1024, 2, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177895, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 145, 3, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177896, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 365, 3, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177897, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 139, 11, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177898, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 39, 3, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177899, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 45, 6, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177900, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 162, 19, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177901, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 124, 1, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177902, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 238, 6, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177903, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 198, 2, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177904, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 314, 16, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177905, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 13977, 2, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177906, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 174, 18, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177907, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 210, 6, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177908, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 150, 11, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177909, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 319, 1, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177910, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 148, 24, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177911, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 216, 9, 2023, 12, 26, '2024-08-05 15:57:37', NULL, NULL), (177912, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 152, 7, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177913, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 282, 15, 2023, 12, 26, '2024-08-05 15:57:38', NULL, NULL), (177914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 367, 106, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 489, 214, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 849, 14, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1257, 228, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 345, 163, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 752, 2, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 329, 119, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 726, 186, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 678, 60, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 788, 34, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 525, 33, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 537, 117, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 427, 67, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 553, 226, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 676, 152, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177929, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177930, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 10893, 1, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177931, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177932, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 14, 9, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177933, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 489, 214, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177934, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 501, 3, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177935, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1515, 25, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177936, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 164, 65, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177937, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 33, 9, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177938, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177939, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 242, 18, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177940, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 243, 49, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177941, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 558, 11, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177942, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 242, 27, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177943, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 219, 4, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177944, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 898, 12, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177945, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 21, 2, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177946, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 82, 6, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177947, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 349, 67, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177948, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 453, 10, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177949, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 508, 5, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177950, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 166, 5, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177951, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 71, 14, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177952, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 528, 54, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177953, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 329, 88, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177954, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 39, 1, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177955, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 152, 13, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177956, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 2, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177957, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 750, 32, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177958, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 1759, 117, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177959, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177960, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1475, 10, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177961, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177962, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 101, 5, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177963, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177964, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 0, 3, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 152, 13, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 538, 19, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 774, 31, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 102, 14, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 443, 34, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 297, 21, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 429, 5, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 153, 9, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 339, 19, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 397, 45, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 375, 7, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 270, 15, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 395, 32, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 2555, 7, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 329, 25, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 266, 22, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 230, 11, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 1938, 19, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 376, 23, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 471, 14, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 1470, 36, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 317, 28, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 1789, 27, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 1677, 3, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 563, 49, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 600, 46, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 71, 14, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 233, 14, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 47, 15, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (177994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 556, 1, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 367, 22, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 949, 1, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 1869, 24, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 207, 4, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (177999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 898, 12, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 33, 9, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 82, 6, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (178002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 39, 1, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (178003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1839, 8, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1647, 23, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 171, 6, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 218, 12, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 286, 18, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 84, 14, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 20, 2, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (178010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 9, 1, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (178011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 4, 2, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 633, 4, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 54, 2, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 21, 2, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 2, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 3, 1, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 1, 2, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (178018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 639, 32, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (178019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 558, 11, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 10893, 1, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 253, 2, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (178022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B14', 404, 2, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 34, 2, 2023, 12, 27, '2024-08-05 15:57:39', NULL, NULL), (178024, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 242, 18, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178025, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 164, 65, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178026, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 39, 1, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178027, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 207, 4, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178028, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 489, 214, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178029, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 14, 9, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178030, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 366, 57, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178031, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 253, 2, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178032, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 508, 5, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178033, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 774, 31, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178034, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 340, 78, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178035, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 152, 13, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178036, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 82, 6, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178037, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 752, 2, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178038, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 242, 27, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178039, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 33, 9, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178040, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 219, 4, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178041, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 898, 12, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178042, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 71, 14, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178043, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 453, 10, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178044, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 21, 2, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178045, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1475, 10, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178046, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1647, 23, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178047, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 558, 11, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178048, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 1774, 116, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178049, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 528, 54, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178050, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 248, 48, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178051, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 10893, 1, 2023, 12, 27, '2024-08-05 15:57:40', NULL, NULL), (178052, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 310, 10, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178053, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 949, 1, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178054, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 556, 1, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178055, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 84, 14, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178056, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 47, 15, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178057, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1647, 23, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178058, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 171, 6, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178059, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 4, 2, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178060, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 218, 12, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178061, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 2, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178062, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 54, 2, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178063, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 286, 18, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178064, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 1, 2, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178065, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 3, 1, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178066, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 774, 31, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178067, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 157, 8, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178068, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 82, 6, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178069, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 195, 1, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178070, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1839, 8, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178071, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 207, 4, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178072, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 898, 12, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178073, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 9, 1, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178074, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 1677, 3, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178075, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 1789, 27, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178076, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 1938, 19, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178077, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 1470, 36, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178078, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 2555, 7, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178079, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 633, 4, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178080, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 20, 2, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178081, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 361, 5, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178082, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 315, 8, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178083, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 277, 11, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178084, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 291, 12, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178085, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 21, 2, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178086, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 400, 7, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178087, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 10893, 1, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178088, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 152, 13, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178089, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 334, 15, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178090, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 392, 20, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178091, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 1869, 24, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178092, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 270, 15, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178093, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 230, 11, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178094, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 253, 2, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178095, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 153, 9, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178096, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 339, 19, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178097, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 375, 7, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178098, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 102, 14, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178099, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 34, 2, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178100, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B14', 404, 2, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178101, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 639, 32, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178102, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 558, 11, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178103, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 600, 46, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178104, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 321, 5, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178105, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 256, 11, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178106, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 538, 19, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178107, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 322, 10, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178108, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 400, 12, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178109, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 563, 49, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178110, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 381, 6, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178111, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 543, 7, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178112, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 39, 1, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178113, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 453, 10, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178114, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 33, 9, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178115, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 297, 21, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178116, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 367, 22, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178117, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 429, 5, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178118, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 397, 45, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178119, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 71, 14, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178120, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 443, 34, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 538, 19, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 600, 46, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 233, 14, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 563, 49, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (178125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 397, 45, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 297, 21, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 443, 34, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 84, 14, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 286, 18, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 367, 22, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 34, 2, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 47, 15, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B14', 404, 2, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 171, 6, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 218, 12, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 1869, 24, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 639, 32, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 1677, 3, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 1789, 27, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 1938, 19, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 1470, 36, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 2555, 7, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 230, 11, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 153, 9, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 375, 7, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 9, 1, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 633, 4, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 20, 2, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 949, 1, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1839, 8, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1647, 23, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 82, 6, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 39, 1, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 33, 9, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 207, 4, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 556, 1, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 898, 12, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 4, 2, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 253, 2, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 270, 15, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 339, 19, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 471, 14, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 558, 11, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 317, 28, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 1, 2, 2023, 12, 27, '2024-08-05 15:57:41', NULL, NULL), (178166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 10893, 1, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 266, 22, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 71, 14, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 376, 23, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 54, 2, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 21, 2, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 774, 31, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 395, 32, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 152, 13, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 329, 25, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 429, 5, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 3, 1, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 102, 14, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 2, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178180, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 10893, 1, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178181, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 639, 32, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178182, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 774, 31, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178183, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 367, 22, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178184, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 361, 5, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178185, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 195, 1, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178186, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 270, 15, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178187, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 339, 19, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178188, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 102, 14, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178189, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 3, 1, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178190, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 1, 2, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178191, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 54, 2, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178192, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 2, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178193, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 4, 2, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178194, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 152, 13, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178195, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 1869, 24, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178196, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 207, 4, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178197, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 20, 2, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178198, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 898, 12, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178199, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 82, 6, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178200, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 9, 1, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178201, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 633, 4, 2023, 12, 27, '2024-08-05 15:57:43', NULL, NULL), (178202, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 33, 9, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178203, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 310, 10, 2023, 12, 27, '2024-08-05 15:57:43', NULL, NULL), (178204, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 563, 49, 2023, 12, 27, '2024-08-05 15:57:43', NULL, NULL), (178205, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1839, 8, 2023, 12, 27, '2024-08-05 15:57:43', NULL, NULL), (178206, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 600, 46, 2023, 12, 27, '2024-08-05 15:57:43', NULL, NULL), (178207, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 538, 19, 2023, 12, 27, '2024-08-05 15:57:43', NULL, NULL), (178208, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 153, 9, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178209, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 375, 7, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178210, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 443, 34, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178211, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 297, 21, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178212, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 558, 11, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178213, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 230, 11, 2023, 12, 27, '2024-08-05 15:57:43', NULL, NULL), (178214, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 397, 45, 2023, 12, 27, '2024-08-05 15:57:43', NULL, NULL), (178215, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 1470, 36, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178216, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 2555, 7, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178217, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 71, 14, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178218, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 949, 1, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178219, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 556, 1, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178220, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 1789, 27, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178221, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 1938, 19, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178222, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 1677, 3, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178223, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1647, 23, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178224, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 39, 1, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178225, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 453, 10, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178226, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 171, 6, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178227, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 381, 6, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178228, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 218, 12, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178229, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 543, 7, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178230, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 253, 2, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178231, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 321, 5, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178232, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 286, 18, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178233, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 256, 11, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178234, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 84, 14, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178235, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 322, 10, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178236, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 47, 15, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178237, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 400, 12, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178238, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 429, 5, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178239, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 34, 2, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178240, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 157, 8, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178241, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 334, 15, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178242, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 277, 11, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178243, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B14', 404, 2, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178244, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 21, 2, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178245, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 392, 20, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178246, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 291, 12, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178247, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 315, 8, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178248, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 400, 7, 2023, 12, 27, '2024-08-05 15:57:42', NULL, NULL), (178249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 395, 101, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 303, 9, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 372, 216, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 101, 5, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 599, 247, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 369, 129, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1444, 6, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 326, 88, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 417, 205, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 366, 46, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 288, 47, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 360, 28, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 334, 91, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 513, 75, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 392, 202, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 653, 135, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178265, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178266, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 411, 6, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178267, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 372, 216, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178268, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 12, 3, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178269, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 962, 9, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178270, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 62, 4, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178271, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 288, 49, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178272, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 3065, 24, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178273, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 400, 15, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178274, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 257, 24, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178275, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 241, 46, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178276, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 724, 18, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178277, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 697, 10, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178278, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 14, 1, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178279, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 121, 3, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178280, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 6, 1, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178281, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 183, 12, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178282, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 336, 53, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178283, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 701, 7, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178284, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 498, 2, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178285, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 102, 21, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178286, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 616, 6, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178287, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 635, 22, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178288, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 341, 80, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178289, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 373, 39, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178290, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 49, 6, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178291, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 408, 12, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178292, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178293, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 470, 21, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178294, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 327, 98, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178295, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 4, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178296, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 278, 21, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178297, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 306, 2, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178298, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178299, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 18, 1, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178300, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 458, 1, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 458, 1, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 408, 12, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 412, 37, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 338, 34, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 470, 21, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 227, 11, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 704, 9, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 438, 46, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 323, 22, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 379, 31, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 409, 8, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 346, 29, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 115, 13, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 415, 21, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 112, 6, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 977, 10, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 171, 18, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 374, 17, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 325, 11, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 366, 13, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 307, 19, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 437, 12, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 294, 26, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 385, 31, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 267, 37, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 635, 22, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 361, 17, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 142, 14, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 159, 9, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1352, 2, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1490, 4, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 370, 12, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 163, 19, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 407, 17, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 616, 6, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 121, 3, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 257, 24, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 183, 12, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 58, 5, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 326, 6, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 3065, 24, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 176, 10, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 431, 21, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 331, 4, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 259, 15, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 103, 18, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 92, 3, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 411, 6, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 993, 1, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 4, 1, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 6, 1, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 69, 4, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 18, 1, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 6, 1, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 912, 11, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 697, 10, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 306, 2, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 14, 1, 2023, 12, 28, '2024-08-05 15:57:44', NULL, NULL), (178359, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 400, 15, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178360, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 288, 49, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178361, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 58, 5, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178362, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 616, 6, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178363, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 411, 6, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178364, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 372, 216, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178365, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 12, 3, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178366, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 366, 40, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178367, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 306, 2, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178368, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 102, 21, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178369, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 470, 21, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178370, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 330, 67, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178371, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 408, 12, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178372, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 458, 1, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178373, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 183, 12, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178374, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 18, 1, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178375, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 498, 2, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178376, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1444, 6, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178377, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 724, 18, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178378, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 14, 1, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178379, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 257, 24, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178380, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 121, 3, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178381, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 635, 22, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178382, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 701, 7, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178383, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 6, 1, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178384, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 278, 21, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178385, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 3065, 24, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178386, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 697, 10, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178387, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 124, 2, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178388, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 327, 98, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178389, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 373, 39, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178390, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 241, 46, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178391, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 461, 5, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178392, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1490, 4, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178393, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1352, 2, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178394, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 331, 4, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178395, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 142, 14, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178396, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 3065, 24, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178397, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 176, 10, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178398, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 15, 2, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178399, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 431, 21, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178400, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 6, 1, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178401, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 470, 21, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178402, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 370, 10, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178403, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 183, 12, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178404, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 670, 1, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178405, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 326, 6, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178406, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 121, 3, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178407, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 616, 6, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178408, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 103, 18, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178409, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 437, 12, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178410, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 294, 26, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178411, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 171, 18, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178412, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 366, 13, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178413, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 92, 3, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178414, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 259, 15, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178415, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 407, 17, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178416, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 993, 1, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178417, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 4, 1, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178418, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 295, 6, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178419, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 18, 1, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178420, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 85, 6, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178421, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 130, 5, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178422, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 6, 1, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178423, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 441, 7, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178424, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 368, 7, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178425, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 408, 12, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178426, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 400, 18, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178427, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 351, 18, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178428, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 124, 2, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178429, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 370, 12, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178430, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 115, 13, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178431, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 977, 10, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178432, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 306, 2, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178433, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 409, 8, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178434, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 323, 22, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178435, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 227, 11, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178436, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 458, 1, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178437, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 14, 1, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178438, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 411, 6, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178439, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 912, 11, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178440, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 234, 4, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178441, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 267, 37, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178442, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 697, 10, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178443, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 25, 1, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178444, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 412, 37, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178445, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 504, 3, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178446, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 385, 31, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178447, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 337, 11, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178448, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 63, 7, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178449, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 250, 4, 2023, 12, 28, '2024-08-05 15:57:45', NULL, NULL), (178450, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 58, 5, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178451, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 701, 7, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178452, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 257, 24, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178453, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 159, 9, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178454, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 438, 46, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178455, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 704, 9, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178456, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 379, 31, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178457, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 338, 34, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178458, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 635, 22, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178459, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 163, 19, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 411, 6, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 338, 34, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 412, 37, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 267, 37, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 361, 17, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 385, 31, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 18, 1, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 124, 2, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 379, 31, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 438, 46, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 163, 19, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 331, 4, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 14, 1, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 431, 21, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 159, 9, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 142, 14, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 176, 10, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 370, 12, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 458, 1, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 407, 17, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 912, 11, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 437, 12, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 294, 26, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 171, 18, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 366, 13, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 977, 10, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 409, 8, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 103, 18, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 92, 3, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 259, 15, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1490, 4, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 326, 6, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 3065, 24, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 183, 12, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 58, 5, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 257, 24, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 616, 6, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1352, 2, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 121, 3, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 306, 2, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 115, 13, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 323, 22, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 325, 11, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 6, 1, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 307, 19, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 697, 10, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 112, 6, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 635, 22, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 374, 17, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 6, 1, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 346, 29, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 470, 21, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 408, 12, 2023, 12, 28, '2024-08-05 15:57:46', NULL, NULL), (178513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 415, 21, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 704, 9, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 993, 1, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 4, 1, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 227, 11, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 15, 2, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178519, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 912, 11, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178520, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 470, 21, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178521, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 18, 1, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178522, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 159, 9, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178523, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 295, 6, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178524, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 670, 1, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178525, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 115, 13, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178526, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 323, 22, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178527, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 163, 19, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178528, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 227, 11, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178529, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 6, 1, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178530, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 15, 2, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (178531, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 408, 12, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178532, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 407, 17, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178533, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 616, 6, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178534, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 370, 12, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178535, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 124, 2, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178536, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 259, 15, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178537, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 121, 3, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178538, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 183, 12, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178539, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 103, 18, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178540, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 92, 3, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178541, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 993, 1, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178542, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 461, 5, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178543, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 385, 31, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178544, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 257, 24, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178545, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 326, 6, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178546, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 267, 37, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178547, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 412, 37, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178548, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 338, 34, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178549, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 409, 8, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178550, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 438, 46, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178551, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 697, 10, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178552, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 4, 1, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178553, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 977, 10, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178554, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 379, 31, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178555, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 411, 6, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178556, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 366, 13, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178557, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 635, 22, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178558, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1490, 4, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178559, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1352, 2, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178560, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 294, 26, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178561, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 171, 18, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178562, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 3065, 24, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178563, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 58, 5, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178564, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 437, 12, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178565, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 701, 7, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178566, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 63, 7, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178567, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 176, 10, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178568, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 306, 2, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178569, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 250, 4, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178570, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 234, 4, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178571, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 431, 21, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178572, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 25, 1, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178573, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 331, 4, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178574, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 504, 3, 2023, 12, 28, '2024-08-05 15:57:48', NULL, NULL), (178575, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 142, 14, 2023, 12, 28, '2024-08-05 15:57:48', NULL, NULL), (178576, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 337, 11, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178577, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 704, 9, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178578, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 370, 10, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178579, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 14, 1, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178580, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 400, 18, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178581, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 130, 5, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178582, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 6, 1, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178583, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 351, 18, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178584, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 458, 1, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178585, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 441, 7, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178586, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 85, 6, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178587, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 368, 7, 2023, 12, 28, '2024-08-05 15:57:47', NULL, NULL), (178588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 269, 102, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 246, 11, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 172, 108, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 75, 15, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 2424, 21, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 60, 92, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 598, 6, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 360, 149, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 232, 136, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 158, 34, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 258, 9, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 218, 35, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 299, 41, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 149, 22, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 456, 171, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 219, 72, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178604, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 184, 8, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178605, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178606, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 75, 15, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178607, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 171, 109, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178608, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 598, 6, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178609, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 309, 4, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178610, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 226, 60, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178611, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 80, 4, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178612, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178613, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 2, 3, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178614, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 157, 42, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178615, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 0, 1, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178616, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 4776, 4, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178617, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 2, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178618, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178619, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 189, 2, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178620, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 73, 39, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178621, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1485, 10, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178622, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 7086, 1, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178623, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 47, 21, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178624, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 40, 60, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178625, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 446, 89, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178626, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 144, 16, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178627, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 321, 1, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178628, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178629, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 702, 25, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178630, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 7567, 1, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178631, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178632, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 476, 4, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178633, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178634, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 0, 1, 2023, 12, 29, '2024-08-05 15:57:49', NULL, NULL), (178635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 207, 1, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 144, 16, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 48, 18, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 101, 13, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 731, 24, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 1105, 10, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 89, 8, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 201, 2, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 210, 7, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1806, 8, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 75, 23, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 2, 1, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 164, 21, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 55, 17, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 66, 2, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 41, 17, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 204, 12, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 214, 10, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 84, 19, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 42, 11, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 13, 3, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 16, 3, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 496, 29, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 85, 3, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 7567, 1, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 25, 7, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 75, 16, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 6368, 3, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 70, 17, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 47, 21, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 155, 10, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 57, 19, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 252, 15, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 851, 4, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 310, 22, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 92, 2, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 499, 37, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 7086, 1, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 8, 1, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 379, 1, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 565, 3, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 321, 1, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 188, 10, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 291, 15, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 178, 20, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178680, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 80, 4, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178681, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 226, 60, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178682, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 7086, 1, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178683, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 210, 7, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178684, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 172, 108, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178685, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 75, 15, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178686, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 79, 36, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178687, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1485, 10, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178688, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 731, 24, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178689, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 45, 52, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178690, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 321, 1, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178691, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 144, 16, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178692, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 379, 1, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178693, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 598, 6, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178694, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 8, 1, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178695, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 47, 21, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178696, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 476, 4, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178697, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 6368, 3, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178698, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 309, 4, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178699, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 7567, 1, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178700, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 451, 88, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178701, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 161, 41, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178702, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 234, 1, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178703, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 92, 2, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178704, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 851, 4, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178705, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 252, 15, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178706, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 2, 1, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178707, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 188, 10, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178708, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 291, 15, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178709, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 151, 6, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178710, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 66, 2, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178711, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 178, 20, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178712, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 16, 3, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178713, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 13, 3, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178714, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 731, 24, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178715, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 29, 3, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178716, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 379, 1, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178717, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 63, 10, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178718, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 565, 3, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178719, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 7086, 1, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178720, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 201, 2, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178721, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 7567, 1, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178722, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1806, 8, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178723, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 207, 1, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178724, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 61, 6, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178725, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 88, 1, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178726, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 21, 7, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178727, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 66, 11, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178728, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 34, 5, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178729, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 49, 9, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178730, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 144, 16, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178731, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 29, 13, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178732, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 309, 4, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178733, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 204, 12, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178734, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 164, 21, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178735, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 89, 8, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178736, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 210, 7, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178737, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 496, 29, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178738, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 84, 2, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178739, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 6368, 3, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178740, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 155, 10, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178741, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 80, 4, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178742, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 48, 18, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178743, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 115, 10, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178744, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 81, 4, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178745, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 70, 17, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178746, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 61, 4, 2023, 12, 29, '2024-08-05 15:57:50', NULL, NULL), (178747, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 3, 2, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178748, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 8, 1, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178749, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 75, 23, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178750, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 310, 22, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178751, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 55, 17, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178752, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 101, 13, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178753, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 47, 21, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178754, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 1105, 10, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178755, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 321, 1, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178756, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 499, 37, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 101, 13, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 201, 2, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 210, 7, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1806, 8, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 48, 18, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 207, 1, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 155, 10, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 70, 17, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 57, 19, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 309, 4, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 55, 17, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 75, 23, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 1105, 10, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 499, 37, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 565, 3, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 92, 2, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 178, 20, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 379, 1, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 310, 22, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 252, 15, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 188, 10, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 321, 1, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 8, 1, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 7086, 1, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 851, 4, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 291, 15, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 496, 29, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 204, 12, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 164, 21, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 25, 7, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 16, 3, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 75, 16, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 6368, 3, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 42, 11, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 47, 21, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 7567, 1, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 85, 3, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 66, 2, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 41, 17, 2023, 12, 29, '2024-08-05 15:57:51', NULL, NULL), (178796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 731, 24, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 2, 1, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 144, 16, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 84, 19, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 13, 3, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 89, 8, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 151, 6, 2023, 12, 29, '2024-08-05 15:57:52', NULL, NULL), (178803, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 496, 29, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178804, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 731, 24, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178805, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 310, 22, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178806, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 61, 6, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178807, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 63, 10, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178808, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 204, 12, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178809, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 164, 21, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178810, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 499, 37, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178811, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 89, 8, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178812, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 13, 3, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178813, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 16, 3, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178814, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 66, 2, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178815, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 151, 6, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178816, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 2, 1, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178817, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 144, 16, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178818, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 321, 1, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178819, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 7086, 1, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178820, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 309, 4, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178821, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 207, 1, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178822, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 379, 1, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178823, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 201, 2, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178824, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1806, 8, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178825, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 234, 1, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178826, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 8, 1, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178827, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 70, 17, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178828, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 565, 3, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178829, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 155, 10, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178830, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 48, 18, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178831, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 101, 13, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178832, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 1105, 10, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178833, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 6368, 3, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178834, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 75, 23, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178835, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 55, 17, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178836, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 210, 7, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178837, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 7567, 1, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178838, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 47, 21, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178839, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 92, 2, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178840, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 851, 4, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178841, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 188, 10, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178842, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 61, 4, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178843, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 291, 15, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178844, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 3, 2, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178845, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 84, 2, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178846, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 178, 20, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178847, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 80, 4, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178848, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 115, 10, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178849, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 252, 15, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178850, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 81, 4, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178851, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 29, 3, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178852, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 49, 9, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178853, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 21, 7, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178854, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 29, 13, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178855, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 66, 11, 2023, 12, 29, '2024-08-05 15:57:53', NULL, NULL), (178856, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 88, 1, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178857, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 34, 5, 2023, 12, 29, '2024-08-05 15:57:54', NULL, NULL), (178858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 10, 1, 2023, 12, 30, '2024-08-05 15:57:58', NULL, NULL), (178859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 1, 2023, 12, 30, '2024-08-05 15:57:58', NULL, NULL), (178860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 5, 2, 2023, 12, 30, '2024-08-05 15:57:58', NULL, NULL), (178861, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 2, 2023, 12, 30, '2024-08-05 15:57:58', NULL, NULL), (178862, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 10, 1, 2023, 12, 30, '2024-08-05 15:57:59', NULL, NULL), (178863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 10, 1, 2023, 12, 30, '2024-08-05 15:57:59', NULL, NULL), (178864, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 10, 1, 2023, 12, 30, '2024-08-05 15:57:59', NULL, NULL), (178865, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 10, 1, 2023, 12, 30, '2024-08-05 15:57:59', NULL, NULL), (178866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 10, 1, 2023, 12, 30, '2024-08-05 15:57:59', NULL, NULL), (178867, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 10, 1, 2023, 12, 30, '2024-08-05 15:57:59', NULL, NULL), (178868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 1, 2023, 12, 31, '2024-08-05 15:58:03', NULL, NULL), (178869, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 1, 2023, 12, 31, '2024-08-05 15:58:03', NULL, NULL), (178870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 335, 85, 2024, 1, 2, '2024-08-05 15:58:10', NULL, NULL), (178871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 209, 2, 2024, 1, 2, '2024-08-05 15:58:10', NULL, NULL), (178872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2596, 15, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 136, 140, 2024, 1, 2, '2024-08-05 15:58:10', NULL, NULL), (178874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区残联', '', '', 25, 1, 2024, 1, 2, '2024-08-05 15:58:10', NULL, NULL), (178875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 3001, 8, 2024, 1, 2, '2024-08-05 15:58:10', NULL, NULL), (178876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 6, 1, 2024, 1, 2, '2024-08-05 15:58:10', NULL, NULL), (178877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 695, 270, 2024, 1, 2, '2024-08-05 15:58:10', NULL, NULL), (178878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 127, 125, 2024, 1, 2, '2024-08-05 15:58:10', NULL, NULL), (178879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 348, 4, 2024, 1, 2, '2024-08-05 15:58:10', NULL, NULL), (178880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 245, 135, 2024, 1, 2, '2024-08-05 15:58:10', NULL, NULL), (178881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 255, 203, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 473, 38, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 217, 68, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 346, 83, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 401, 112, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 530, 135, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 505, 56, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 774, 97, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178889, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 1090, 9, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178890, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 77, 5, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178891, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 135, 141, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178892, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 348, 4, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178893, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 4160, 7, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178894, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 168, 54, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178895, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 989, 22, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178896, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 139, 3, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178897, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 279, 12, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178898, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 1069, 13, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178899, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 183, 36, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178900, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 3419, 5, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178901, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 561, 60, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178902, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 3, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178903, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 2, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178904, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 13, 1, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178905, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 612, 8, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178906, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 15228, 1, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178907, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 490, 24, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178908, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 92, 53, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178909, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 591, 2, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178910, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', '', 25, 1, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178911, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178912, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 221, 35, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178913, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 965, 8, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178914, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 41, 10, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178915, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 101, 75, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178916, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 300, 80, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178917, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 0, 4, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178918, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 24, 8, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178919, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 4, 2, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178920, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 231, 2, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178921, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 608, 35, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178922, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 372, 68, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178923, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 4, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178924, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178925, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1140, 25, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178926, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178927, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 7875, 3, 2024, 1, 2, '2024-08-05 15:58:11', NULL, NULL), (178928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 24, 8, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 7875, 3, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 57, 22, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 88, 23, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (178932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 665, 32, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 132, 22, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 303, 9, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 114, 18, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 96, 16, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 111, 26, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 657, 28, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 86, 25, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 430, 11, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 232, 10, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 137, 26, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 230, 14, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 64, 17, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 502, 21, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 189, 11, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 441, 16, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 155, 14, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 119, 17, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 483, 22, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 307, 1, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 41, 10, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 274, 28, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 181, 18, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 115, 19, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 458, 3, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 246, 32, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 18, 1, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 301, 30, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 273, 16, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 965, 8, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A15', 25, 1, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 612, 8, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 1069, 13, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 490, 24, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 8, 1, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1164, 22, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 129, 18, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 989, 22, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 268, 17, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 964, 3, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 56, 9, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 688, 6, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 278, 26, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 1421, 4, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 126, 3, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 4854, 6, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 15228, 1, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 392, 18, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 7, 1, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 13, 1, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 3419, 5, 2024, 1, 2, '2024-08-05 15:58:12', NULL, NULL), (178983, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 279, 12, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178984, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 231, 2, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178985, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '区残联', '', '', 25, 1, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178986, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 168, 54, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (178987, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 965, 8, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (178988, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 1090, 9, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178989, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 136, 140, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (178990, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 77, 5, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (178991, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 102, 45, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178992, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 221, 35, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178993, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 665, 32, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178994, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 99, 64, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178995, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 8, 1, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178996, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 24, 8, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178997, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 7875, 3, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178998, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 490, 24, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (178999, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 348, 4, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179000, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 561, 60, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (179001, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 209, 2, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (179002, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 1069, 13, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179003, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 612, 8, 2024, 1, 2, '2024-08-05 15:58:13', NULL, NULL), (179004, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 41, 10, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179005, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 591, 2, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179006, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 15228, 1, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179007, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1140, 25, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179008, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 13, 1, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179009, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 989, 22, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179010, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 3419, 5, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179011, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 4854, 6, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179012, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 372, 68, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179013, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 300, 80, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179014, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 188, 35, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179015, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 156, 6, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179016, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 18, 1, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179017, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 458, 3, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179018, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 268, 17, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179019, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 115, 19, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179020, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 989, 22, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179021, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 129, 18, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179022, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 1, 1, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179023, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', 'A15', 25, 1, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179024, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 126, 3, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179025, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 7, 1, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179026, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 665, 32, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179027, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 13, 1, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179028, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 449, 1, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179029, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 401, 6, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179030, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 490, 24, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179031, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 62, 5, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179032, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1164, 22, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179033, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 965, 8, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179034, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 612, 8, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179035, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 56, 9, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179036, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 483, 22, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179037, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 441, 16, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179038, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 230, 14, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179039, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 278, 26, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179040, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 964, 3, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179041, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 273, 16, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179042, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 13, 1, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179043, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 78, 7, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179044, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 44, 3, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179045, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 61, 7, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179046, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 15228, 1, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179047, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 37, 5, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179048, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 111, 7, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179049, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 24, 8, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179050, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 140, 19, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179051, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 103, 16, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179052, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 4854, 6, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179053, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 232, 10, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179054, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 502, 21, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179055, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 657, 28, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179056, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 430, 11, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179057, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 96, 16, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179058, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 303, 9, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179059, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 7875, 3, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179060, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 826, 5, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179061, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 1421, 4, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179062, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 392, 18, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179063, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 209, 2, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179064, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 63, 5, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179065, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 3419, 5, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179066, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 274, 28, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179067, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 66, 10, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179068, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 57, 22, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179069, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 99, 5, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179070, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 57, 9, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179071, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 307, 1, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179072, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 151, 6, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179073, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 276, 5, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179074, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 591, 2, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179075, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 1069, 13, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179076, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 114, 18, 2024, 1, 2, '2024-08-05 15:58:14', NULL, NULL), (179077, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 246, 32, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179078, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 111, 26, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179079, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 41, 10, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179080, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 88, 23, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179081, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 8, 1, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179082, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 132, 22, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179083, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 301, 30, 2024, 1, 2, '2024-08-05 15:58:15', NULL, NULL), (179084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 826, 5, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 88, 23, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 57, 22, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 274, 28, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 181, 18, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 307, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 4854, 6, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 209, 2, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 1421, 4, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 111, 26, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 114, 18, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 132, 22, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 301, 30, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 268, 17, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 246, 32, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 115, 19, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 129, 18, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 8, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 7875, 3, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 273, 16, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 392, 18, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区残联', '', 'A15', 25, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 6, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 483, 22, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 441, 16, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 230, 14, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 502, 21, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 657, 28, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 430, 11, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 56, 9, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 278, 26, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 964, 3, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 18, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1164, 22, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 989, 22, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 490, 24, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 1069, 13, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 965, 8, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 458, 3, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 612, 8, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 1, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 232, 10, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 96, 16, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 167, 13, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 119, 17, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 3419, 5, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 7, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 64, 17, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 41, 10, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 13, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 189, 11, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 15228, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 126, 3, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 86, 25, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 665, 32, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 24, 8, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 131, 24, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 303, 9, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179142, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 392, 18, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179143, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 665, 32, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179144, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '区残联', '', 'A15', 25, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179145, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 246, 32, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179146, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 78, 7, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179147, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 62, 5, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179148, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 232, 10, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179149, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 301, 30, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179150, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 96, 16, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179151, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 303, 9, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179152, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 7, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179153, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 126, 3, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179154, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 1, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179155, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 24, 8, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179156, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 13, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179157, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 273, 16, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179158, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 8, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179159, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 965, 8, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179160, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 4854, 6, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179161, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 964, 3, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179162, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 612, 8, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179163, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 490, 24, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179164, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 56, 9, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179165, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 278, 26, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179166, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 156, 6, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179167, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 307, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179168, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 1069, 13, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179169, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 274, 28, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179170, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1164, 22, 2024, 1, 2, '2024-08-05 15:58:17', NULL, NULL), (179171, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 57, 22, 2024, 1, 2, '2024-08-05 15:58:17', NULL, NULL), (179172, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 88, 23, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179173, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 657, 28, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179174, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 132, 22, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179175, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 430, 11, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179176, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 3419, 5, 2024, 1, 2, '2024-08-05 15:58:17', NULL, NULL), (179177, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 114, 18, 2024, 1, 2, '2024-08-05 15:58:17', NULL, NULL), (179178, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 111, 26, 2024, 1, 2, '2024-08-05 15:58:17', NULL, NULL), (179179, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 502, 21, 2024, 1, 2, '2024-08-05 15:58:17', NULL, NULL), (179180, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 209, 2, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179181, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 826, 5, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179182, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 230, 14, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179183, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 1421, 4, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179184, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 41, 10, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179185, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 18, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179186, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 458, 3, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179187, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 483, 22, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179188, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 441, 16, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179189, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 989, 22, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179190, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 591, 2, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179191, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 129, 18, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179192, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 151, 6, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179193, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 276, 5, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179194, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 63, 5, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179195, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 66, 10, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179196, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 268, 17, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179197, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 99, 5, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179198, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 115, 19, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179199, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 13, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179200, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 57, 9, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179201, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 449, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179202, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 401, 6, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179203, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 140, 19, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179204, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 61, 7, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179205, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 15228, 1, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179206, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 103, 16, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179207, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 37, 5, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179208, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 7875, 3, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179209, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 44, 3, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179210, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 111, 7, 2024, 1, 2, '2024-08-05 15:58:16', NULL, NULL), (179211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 401, 112, 2024, 1, 3, '2024-08-05 15:58:17', NULL, NULL), (179212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1297, 15, 2024, 1, 3, '2024-08-05 15:58:17', NULL, NULL), (179213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 397, 148, 2024, 1, 3, '2024-08-05 15:58:17', NULL, NULL), (179214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 415, 18, 2024, 1, 3, '2024-08-05 15:58:17', NULL, NULL), (179215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 46, 1, 2024, 1, 3, '2024-08-05 15:58:17', NULL, NULL), (179216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 631, 260, 2024, 1, 3, '2024-08-05 15:58:17', NULL, NULL), (179217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 86, 146, 2024, 1, 3, '2024-08-05 15:58:17', NULL, NULL), (179218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 6, 6, 2024, 1, 3, '2024-08-05 15:58:17', NULL, NULL), (179219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 396, 121, 2024, 1, 3, '2024-08-05 15:58:17', NULL, NULL), (179220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 415, 195, 2024, 1, 3, '2024-08-05 15:58:17', NULL, NULL), (179221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 337, 42, 2024, 1, 3, '2024-08-05 15:58:17', NULL, NULL), (179222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 377, 74, 2024, 1, 3, '2024-08-05 15:58:17', NULL, NULL), (179223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 550, 72, 2024, 1, 3, '2024-08-05 15:58:17', NULL, NULL), (179224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 378, 154, 2024, 1, 3, '2024-08-05 15:58:17', NULL, NULL), (179225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 401, 64, 2024, 1, 3, '2024-08-05 15:58:17', NULL, NULL), (179226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 457, 180, 2024, 1, 3, '2024-08-05 15:58:17', NULL, NULL), (179227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 317, 71, 2024, 1, 3, '2024-08-05 15:58:17', NULL, NULL), (179228, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 8, 1, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179229, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179230, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 110, 14, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179231, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179232, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 94, 13, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179233, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 397, 148, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179234, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 6, 6, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179235, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 17903, 1, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179236, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 555, 19, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179237, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 416, 53, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179238, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 4, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179239, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 349, 8, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179240, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 213, 18, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179241, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 530, 50, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179242, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 367, 17, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179243, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 655, 63, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179244, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 1216, 2, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179245, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 2, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179246, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 761, 7, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179247, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 7435, 1, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179248, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 304, 16, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179249, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 20, 41, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179250, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 34, 5, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179251, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 212, 21, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179252, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1455, 11, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179253, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 36, 18, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179254, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 69, 94, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179255, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 381, 68, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179256, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 5, 3, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179257, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 389, 19, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179258, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 431, 5, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179259, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 414, 25, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179260, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 728, 77, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179261, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 4, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179262, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179263, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 590, 14, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179264, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 278, 3, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179265, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 635, 6, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179266, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 1907, 2, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 359, 26, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 389, 19, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 414, 25, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 440, 15, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 587, 10, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 465, 35, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 759, 1, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 734, 19, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 614, 26, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 113, 17, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 40, 25, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 737, 16, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 319, 21, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 887, 6, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 73, 33, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 42, 20, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 644, 21, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 146, 24, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 467, 19, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 27, 10, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 179, 20, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 951, 28, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 470, 32, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 36, 18, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 400, 22, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 440, 18, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 68, 15, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 8, 3, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 242, 20, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 421, 4, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 4, 3, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 517, 27, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 679, 20, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1455, 11, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 761, 7, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 349, 8, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 304, 16, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 5, 3, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 630, 13, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 555, 19, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 245, 12, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1042, 6, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 290, 17, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 68, 1, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 232, 13, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 127, 3, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 181, 8, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 90, 13, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 1, 1, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 7435, 1, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3583, 5, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 240, 5, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 1, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 337, 21, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 8, 1, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 367, 17, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 278, 3, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 2402, 1, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 30, 1, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179327, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 213, 18, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179328, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 431, 5, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179329, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 416, 53, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179330, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 5, 3, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179331, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1455, 11, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179332, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 110, 14, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179333, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 397, 148, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179334, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 94, 13, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179335, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 22, 37, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179336, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 278, 3, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179337, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 212, 21, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179338, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 414, 25, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179339, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 69, 81, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179340, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 389, 19, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179341, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 1907, 2, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179342, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 304, 16, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179343, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 6, 6, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179344, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 655, 63, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179345, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 1216, 2, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (179346, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 349, 8, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179347, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 761, 7, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179348, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 36, 18, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179349, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 34, 5, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179350, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 7435, 1, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179351, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 590, 14, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179352, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 555, 19, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179353, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 367, 17, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179354, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 17903, 1, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179355, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 728, 77, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179356, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 381, 68, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179357, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 530, 50, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179358, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 8, 1, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179359, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 246, 14, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179360, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 4, 3, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179361, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 8, 3, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179362, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 290, 17, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179363, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 555, 19, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179364, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 440, 18, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179365, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 245, 12, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179366, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 2, 2, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179367, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1042, 6, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179368, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 4, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179369, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 1, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179370, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179371, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 240, 5, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179372, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 414, 25, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179373, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 4, 1, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179374, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 538, 4, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179375, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 304, 16, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179376, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 97, 4, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179377, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 30, 6, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179378, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 630, 13, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179379, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 761, 7, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179380, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1455, 11, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179381, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 232, 13, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179382, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 951, 28, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179383, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 467, 19, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179384, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 181, 8, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179385, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 887, 6, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179386, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 68, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179387, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 679, 20, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179388, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 90, 5, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179389, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 95, 12, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179390, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 49, 11, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179391, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 33, 4, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179392, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 7435, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179393, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 35, 6, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179394, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 8, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179395, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 93, 24, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179396, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 389, 19, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179397, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 48, 19, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179398, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 17903, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179399, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 421, 4, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179400, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 319, 21, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179401, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 644, 21, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179402, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 278, 3, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179403, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 614, 26, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179404, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 734, 19, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179405, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 737, 16, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179406, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 587, 10, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179407, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 30, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179408, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 1907, 2, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179409, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 2402, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179410, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 378, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179411, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 90, 13, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179412, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 337, 21, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179413, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 17, 3, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179414, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 367, 17, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179415, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 400, 22, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179416, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 359, 26, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179417, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 33, 9, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179418, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 21, 9, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179419, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 13, 6, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179420, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 470, 32, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179421, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 3, 2, 2024, 1, 3, '2024-08-05 15:58:18', NULL, NULL), (179422, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 6, 2, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179423, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 5, 3, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179424, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 34, 5, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179425, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 349, 8, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179426, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 759, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179427, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 242, 20, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179428, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 113, 17, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179429, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 36, 18, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179430, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 440, 15, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179431, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 517, 27, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179432, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 465, 35, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 378, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 440, 15, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 359, 26, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 400, 22, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 68, 15, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 470, 32, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 17903, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 90, 13, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 113, 17, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 759, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 465, 35, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 517, 27, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 290, 17, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 242, 20, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 30, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 440, 18, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 245, 12, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 2402, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1042, 6, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 421, 4, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 1907, 2, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 679, 20, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 337, 21, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 46, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 951, 28, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 467, 19, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 887, 6, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 644, 21, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 614, 26, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 737, 16, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 232, 13, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 181, 8, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 68, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 4, 3, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 630, 13, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 555, 19, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 304, 16, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 5, 3, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 349, 8, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1455, 11, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 761, 7, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 8, 3, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 2, 2, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 278, 3, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 319, 21, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 734, 19, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 25, 9, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 367, 17, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 179, 20, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 8, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 42, 20, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 36, 18, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 146, 24, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 7435, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 1, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 414, 25, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 40, 25, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 73, 33, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 389, 19, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 240, 5, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 4, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 587, 10, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179496, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 8, 1, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179497, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 337, 21, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179498, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 414, 25, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179499, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 242, 20, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179500, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 90, 5, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179501, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 30, 6, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179502, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 319, 21, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179503, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 734, 19, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179504, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 517, 27, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179505, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 587, 10, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179506, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 240, 5, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179507, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179508, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 1, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179509, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 4, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179510, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 2, 2, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179511, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 389, 19, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179512, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 679, 20, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179513, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 421, 4, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179514, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1455, 11, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179515, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 68, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179516, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 17903, 1, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179517, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 761, 7, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179518, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 304, 16, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179519, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 232, 13, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179520, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 181, 8, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179521, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 349, 8, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179522, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 246, 14, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179523, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 470, 32, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179524, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 630, 13, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179525, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 400, 22, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179526, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 359, 26, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179527, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 614, 26, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179528, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 440, 15, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179529, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 737, 16, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179530, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 465, 35, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179531, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 759, 1, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179532, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 367, 17, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179533, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 644, 21, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179534, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 113, 17, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179535, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 378, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179536, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 887, 6, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179537, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 90, 13, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179538, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 36, 18, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179539, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 4, 3, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179540, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 8, 3, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179541, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 951, 28, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179542, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 467, 19, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179543, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 555, 19, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179544, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 5, 3, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179545, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 34, 5, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179546, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 245, 12, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179547, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 3, 2, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179548, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1042, 6, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179549, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 6, 2, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179550, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 278, 3, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179551, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 17, 3, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179552, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 33, 9, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179553, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 290, 17, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179554, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 21, 9, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179555, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 440, 18, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179556, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 4, 1, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179557, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 13, 6, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179558, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 30, 1, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179559, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 538, 4, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179560, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 97, 4, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179561, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 93, 24, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179562, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 2402, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179563, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 49, 11, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179564, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 7435, 1, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179565, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 48, 19, 2024, 1, 3, '2024-08-05 15:58:20', NULL, NULL), (179566, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 33, 4, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179567, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 1907, 2, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179568, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 95, 12, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179569, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 35, 6, 2024, 1, 3, '2024-08-05 15:58:19', NULL, NULL), (179570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 159, 107, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1987, 17, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 6, 1, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 161, 139, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 111, 19, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 619, 273, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 180, 148, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 5, 8, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 188, 122, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 279, 244, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 558, 52, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 275, 56, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 196, 52, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 460, 169, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 273, 57, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 370, 150, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 272, 90, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179587, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 26, 12, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179588, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179589, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 99, 17, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179590, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 161, 139, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179591, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 5, 8, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179592, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 6694, 5, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179593, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 423, 19, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179594, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 63, 71, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179595, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 159, 12, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179596, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 334, 9, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179597, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 72, 47, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179598, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 453, 20, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179599, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 686, 47, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179600, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 3, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179601, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179602, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 806, 11, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179603, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 9, 1, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179604, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 22, 1, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179605, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 147, 16, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179606, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 133, 34, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179607, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 239, 5, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179608, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 5, 1, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179609, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 71, 16, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179610, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 5759, 4, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179611, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 43, 14, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179612, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 201, 120, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179613, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 361, 51, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179614, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 773, 2, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179615, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 188, 14, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179616, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 2, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179617, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 298, 4, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179618, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 326, 32, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179619, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 667, 108, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179620, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 10, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179621, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179622, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 357, 19, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179623, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 1001, 1, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179624, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 2, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179625, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 216, 2, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 216, 2, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 188, 14, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 326, 32, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 169, 23, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 163, 25, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 76, 15, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 176, 27, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 138, 26, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 481, 21, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 98, 16, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 42, 16, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 203, 21, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 752, 8, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 357, 15, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 180, 20, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 150, 13, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 895, 18, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 225, 27, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 572, 17, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 781, 9, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 194, 16, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 1111, 12, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 127, 23, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 654, 26, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 160, 33, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 164, 5, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 43, 14, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 166, 29, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 49, 15, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 5, 6, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 392, 31, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 339, 8, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 4, 2, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 314, 20, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 805, 21, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 5759, 4, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 806, 11, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 334, 9, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 157, 15, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 1546, 1, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 357, 19, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 42, 15, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 423, 19, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 46, 9, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 128, 15, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 45, 17, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 71, 16, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 4, 2, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 26, 12, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 5, 1, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 274, 6, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 22, 1, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3721, 9, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 4, 2, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 3, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 9, 1, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 453, 20, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 1001, 1, 2024, 1, 4, '2024-08-05 15:58:21', NULL, NULL), (179684, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 159, 12, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179685, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 298, 4, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179686, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 63, 71, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179687, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 1546, 1, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179688, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 5759, 4, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179689, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 26, 12, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179690, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 161, 139, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179691, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 99, 17, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179692, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 131, 31, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179693, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 1001, 1, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179694, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 71, 16, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179695, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 326, 32, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179696, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 191, 96, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179697, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 188, 14, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179698, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 216, 2, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179699, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 157, 15, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179700, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 5, 1, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179701, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 5, 8, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179702, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 686, 47, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179703, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 334, 9, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179704, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 806, 11, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179705, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 43, 14, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179706, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 239, 5, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179707, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 22, 1, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179708, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 357, 19, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179709, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 9, 1, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179710, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 423, 19, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179711, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 453, 20, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179712, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 6694, 5, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179713, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 667, 108, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179714, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 361, 51, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179715, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 72, 47, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179716, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 198, 5, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179717, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 4, 2, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179718, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 5, 6, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179719, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 45, 17, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179720, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 49, 15, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179721, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 423, 19, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179722, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 42, 15, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179723, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 4, 2, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179724, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 46, 9, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179725, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 128, 15, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179726, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 4, 4, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179727, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 274, 6, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179728, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 3, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179729, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 4, 2, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179730, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 326, 32, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179731, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 48, 2, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179732, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 548, 2, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179733, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 132, 7, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179734, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 157, 15, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179735, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 55, 5, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179736, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 357, 19, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179737, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 5759, 4, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179738, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 806, 11, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179739, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 71, 16, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179740, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 1111, 12, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179741, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 654, 26, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179742, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 572, 17, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179743, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 781, 9, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179744, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 357, 15, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179745, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 805, 21, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179746, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 9, 1, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179747, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 5, 1, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179748, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 212, 17, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179749, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 223, 15, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179750, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 162, 12, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179751, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 22, 1, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179752, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 115, 12, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179753, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 203, 10, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (179754, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 188, 14, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179755, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 186, 13, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179756, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 212, 17, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179757, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 6694, 5, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179758, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 339, 8, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179759, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 42, 16, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179760, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 895, 18, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179761, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 1001, 1, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179762, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 481, 21, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179763, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 752, 8, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179764, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 98, 16, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179765, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 76, 15, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179766, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 216, 2, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179767, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 26, 12, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179768, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 88, 5, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179769, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 164, 5, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179770, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 453, 20, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179771, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 169, 7, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179772, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 164, 4, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179773, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 160, 33, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179774, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 93, 6, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179775, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 243, 4, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179776, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 239, 5, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179777, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 1546, 1, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179778, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 334, 9, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179779, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 176, 27, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179780, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 392, 31, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179781, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 138, 26, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179782, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 43, 14, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179783, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 169, 23, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179784, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 314, 20, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179785, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 163, 25, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 169, 23, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 164, 5, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 166, 29, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 160, 33, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 6694, 5, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 26, 12, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 138, 26, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 176, 27, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 163, 25, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 314, 20, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 45, 17, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 392, 31, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 49, 15, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 42, 15, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 128, 15, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 46, 9, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 339, 8, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 216, 2, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 805, 21, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 1111, 12, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 654, 26, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 572, 17, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 781, 9, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 357, 15, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 895, 18, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 481, 21, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 752, 8, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 6, 1, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 71, 16, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 4, 2, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 357, 19, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 423, 19, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 157, 15, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 1546, 1, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 334, 9, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 5759, 4, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 806, 11, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 5, 6, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 4, 2, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 1001, 1, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 42, 16, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 98, 16, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 194, 16, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 3, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 127, 23, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 453, 20, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 43, 14, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 162, 12, 2024, 1, 4, '2024-08-05 15:58:22', NULL, NULL), (179834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 225, 27, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 9, 1, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 22, 1, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 203, 21, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 274, 6, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 326, 32, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 188, 14, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 180, 20, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 4, 2, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 5, 1, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 4, 4, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 76, 15, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179846, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 326, 32, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179847, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 392, 31, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179848, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 212, 17, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179849, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 55, 5, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179850, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 42, 16, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179851, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 314, 20, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179852, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 98, 16, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179853, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 76, 15, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179854, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 4, 2, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179855, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 3, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179856, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 274, 6, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179857, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 4, 4, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179858, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 4, 2, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179859, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 188, 14, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179860, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 9, 1, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179861, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 805, 21, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179862, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 5759, 4, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179863, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 339, 8, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179864, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 6694, 5, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179865, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 806, 11, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179866, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 157, 15, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179867, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 71, 16, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179868, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 198, 5, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179869, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 334, 9, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179870, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 160, 33, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179871, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 164, 5, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179872, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 357, 19, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179873, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 481, 21, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179874, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 169, 23, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179875, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 752, 8, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179876, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 163, 25, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179877, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 176, 27, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179878, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 453, 20, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179879, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 5, 1, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179880, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 138, 26, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179881, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 895, 18, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179882, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 781, 9, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179883, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 357, 15, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179884, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 26, 12, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179885, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 43, 14, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179886, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 4, 2, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179887, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 5, 6, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179888, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 654, 26, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179889, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 572, 17, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179890, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 423, 19, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179891, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 1546, 1, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179892, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 1111, 12, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179893, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 239, 5, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179894, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 42, 15, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179895, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 46, 9, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179896, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 93, 6, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179897, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 243, 4, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179898, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 1001, 1, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179899, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 128, 15, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179900, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 88, 5, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179901, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 45, 17, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179902, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 169, 7, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179903, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 49, 15, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179904, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 48, 2, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179905, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 164, 4, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179906, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 132, 7, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179907, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 548, 2, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179908, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 186, 13, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179909, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 162, 12, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179910, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 22, 1, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179911, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 212, 17, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179912, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 216, 2, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179913, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 115, 12, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179914, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 223, 15, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179915, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 203, 10, 2024, 1, 4, '2024-08-05 15:58:23', NULL, NULL), (179916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 174, 112, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2282, 19, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 594, 167, 2024, 1, 5, '2024-08-05 15:58:24', NULL, NULL), (179919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 1234, 33, 2024, 1, 5, '2024-08-05 15:58:24', NULL, NULL), (179920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 6, 1, 2024, 1, 5, '2024-08-05 15:58:24', NULL, NULL), (179921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 818, 203, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 289, 129, 2024, 1, 5, '2024-08-05 15:58:24', NULL, NULL), (179923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 5, 2, 2024, 1, 5, '2024-08-05 15:58:24', NULL, NULL), (179924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 262, 109, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 13, 2, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 506, 206, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 241, 46, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 464, 40, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 808, 59, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 682, 153, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 595, 63, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 529, 146, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 326, 90, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179934, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 456, 1, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179935, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 27, 15, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179936, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 687, 25, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179937, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 594, 167, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179938, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 5, 2, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179939, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 10738, 4, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179940, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 8101, 2, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179941, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 3264, 17, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179942, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 206, 42, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179943, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179944, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 1248, 4, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179945, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 886, 12, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179946, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 80, 47, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179947, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 318, 11, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179948, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 342, 40, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179949, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179950, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 2, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179951, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 551, 7, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179952, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 6, 1, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179953, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 455, 9, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179954, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 214, 28, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179955, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 140, 1, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179956, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 3230, 13, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179957, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 3493, 4, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179958, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 53, 25, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179959, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 233, 106, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179960, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 288, 69, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179961, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 13, 2, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179962, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 0, 3, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179963, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 201, 7, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179964, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 449, 2, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179965, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 393, 33, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179966, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 217, 87, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179967, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 8, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179968, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 463, 12, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179969, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179970, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 1, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179971, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179972, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 1380, 5, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179973, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 201, 7, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 1380, 5, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 536, 36, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 393, 33, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 816, 43, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 114, 13, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 463, 28, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 332, 16, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 24, 14, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 420, 17, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 255, 26, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 99, 20, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 383, 15, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 209, 22, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 177, 16, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 98, 8, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 198, 17, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 233, 24, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 160, 7, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 225, 18, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 261, 10, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 569, 23, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 258, 30, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 711, 13, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 53, 25, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (179999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 558, 31, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 416, 18, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 5, 2, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 514, 31, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 339, 4, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 85, 15, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 13, 2, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 163, 20, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 3493, 4, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 551, 7, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 1248, 4, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 455, 9, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 505, 11, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 3468, 16, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 126, 5, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 30, 7, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 29, 11, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 3230, 13, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 30, 4, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 27, 15, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 1841, 3, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 6, 1, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 5370, 8, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 252, 6, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 1253, 8, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 121, 22, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 8101, 2, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 456, 1, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 318, 11, 2024, 1, 5, '2024-08-05 15:58:25', NULL, NULL), (180028, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 886, 12, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180029, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 449, 2, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180030, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 211, 41, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180031, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 3493, 4, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180032, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 8101, 2, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180033, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 27, 15, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180034, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 594, 167, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180035, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 687, 25, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180036, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 218, 26, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180037, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 3230, 13, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180038, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 393, 33, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180039, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 227, 88, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180040, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 201, 7, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180041, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 1380, 5, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180042, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 455, 9, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180043, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 5, 2, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180044, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 342, 40, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180045, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 1248, 4, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180046, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 13, 2, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180047, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 551, 7, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180048, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 53, 25, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180049, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 140, 1, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180050, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 505, 11, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180051, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 6, 1, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180052, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 3468, 16, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180053, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 318, 11, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180054, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 10738, 4, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180055, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 217, 87, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180056, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 292, 68, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180057, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 80, 47, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180058, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 456, 1, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180059, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 886, 12, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180060, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 5, 2, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180061, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 3468, 16, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180062, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 416, 18, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180063, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 3, 1, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180064, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 126, 5, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180065, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 38, 3, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180066, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 30, 7, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180067, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 29, 11, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180068, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 4, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180069, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 1841, 3, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180070, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 1253, 8, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180071, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 252, 6, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180072, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 393, 33, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180073, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 516, 1, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180074, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 383, 1, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180075, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 455, 9, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180076, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 505, 11, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180077, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 551, 7, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180078, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 3493, 4, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180079, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 3230, 13, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180080, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 261, 10, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180081, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 258, 30, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180082, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 160, 7, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180083, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 177, 16, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180084, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 163, 20, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180085, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 240, 18, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180086, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 221, 12, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180087, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 314, 4, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180088, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 6, 1, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180089, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 209, 14, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180090, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 456, 1, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180091, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 201, 7, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180092, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 190, 16, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180093, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 242, 24, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180094, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 10738, 4, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180095, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 339, 4, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180096, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 99, 20, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180097, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 98, 8, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180098, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 420, 17, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180099, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 24, 14, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180100, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 383, 15, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180101, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 114, 13, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180102, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 1380, 5, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180103, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 6, 1, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180104, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 29, 14, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180105, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 8101, 2, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180106, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 121, 22, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180107, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 13, 2, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180108, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 189, 4, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180109, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 318, 11, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180110, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 558, 31, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180111, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 142, 5, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180112, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 536, 36, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180113, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 260, 6, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180114, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 417, 2, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180115, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 711, 13, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180116, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 172, 7, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180117, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 305, 2, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180118, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 140, 1, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180119, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 1248, 4, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180120, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 332, 16, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180121, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 514, 31, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180122, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 816, 43, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180123, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 53, 25, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180124, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 85, 15, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180125, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 463, 28, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 6, 1, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 816, 43, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 536, 36, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 558, 31, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 711, 13, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 10738, 4, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 29, 14, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 332, 16, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 463, 28, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 85, 15, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 514, 31, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 416, 18, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 126, 5, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 29, 11, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 30, 7, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 339, 4, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 1380, 5, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 163, 20, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 121, 22, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 13, 2, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 6, 1, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 261, 10, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 258, 30, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 160, 7, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 177, 16, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 98, 8, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 420, 17, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 383, 15, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 3230, 13, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 505, 11, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 3468, 16, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 455, 9, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 1248, 4, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 3493, 4, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 551, 7, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 5, 2, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 38, 3, 2024, 1, 5, '2024-08-05 15:58:26', NULL, NULL), (180163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 99, 20, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (180164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 24, 14, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 8101, 2, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 238, 17, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 318, 11, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 1253, 8, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 569, 23, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 456, 1, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 198, 17, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 53, 25, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 233, 24, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 6, 1, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 1841, 3, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 255, 26, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 393, 33, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 3, 1, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 201, 7, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 209, 22, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 252, 6, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 4, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 114, 13, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180184, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 456, 1, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180185, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 393, 33, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180186, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 121, 22, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180187, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 514, 31, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180188, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 99, 20, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180189, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 85, 15, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180190, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 24, 14, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180191, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 114, 13, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180192, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 252, 6, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180193, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 1253, 8, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180194, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 1841, 3, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180195, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 4, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180196, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 38, 3, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180197, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 3, 1, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180198, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 201, 7, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180199, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 163, 20, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180200, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 339, 4, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180201, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 3493, 4, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180202, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 10738, 4, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180203, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 551, 7, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180204, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 455, 9, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180205, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 3230, 13, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180206, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 711, 13, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180207, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 1248, 4, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180208, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 886, 12, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180209, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 505, 11, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180210, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 558, 31, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180211, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 536, 36, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180212, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 816, 43, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180213, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 420, 17, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180214, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 463, 28, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180215, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 383, 15, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180216, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 332, 16, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180217, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 318, 11, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180218, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 98, 8, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180219, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 8101, 2, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180220, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 6, 1, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180221, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 177, 16, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180222, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 29, 14, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180223, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 53, 25, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180224, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 5, 2, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180225, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 258, 30, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180226, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 160, 7, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180227, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 3468, 16, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180228, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 261, 10, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180229, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 140, 1, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180230, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 13, 2, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180231, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 126, 5, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180232, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 172, 7, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180233, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 30, 7, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180234, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 305, 2, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180235, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 29, 11, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180236, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 189, 4, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180237, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 142, 5, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180238, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 260, 6, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180239, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 416, 18, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180240, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 417, 2, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180241, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 516, 1, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180242, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 383, 1, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180243, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 190, 16, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180244, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 221, 12, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180245, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 6, 1, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180246, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 242, 24, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180247, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 314, 4, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180248, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 1380, 5, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180249, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 240, 18, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180250, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 209, 14, 2024, 1, 5, '2024-08-05 15:58:27', NULL, NULL), (180251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1850, 2, 2024, 1, 6, '2024-08-05 15:58:29', NULL, NULL), (180252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 225, 4, 2024, 1, 6, '2024-08-05 15:58:29', NULL, NULL), (180253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 2, 2024, 1, 6, '2024-08-05 15:58:29', NULL, NULL), (180254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 2799, 1, 2024, 1, 6, '2024-08-05 15:58:29', NULL, NULL), (180255, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 0, 1, 2024, 1, 6, '2024-08-05 15:58:29', NULL, NULL), (180256, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1850, 2, 2024, 1, 6, '2024-08-05 15:58:29', NULL, NULL), (180257, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 4, 2024, 1, 6, '2024-08-05 15:58:29', NULL, NULL), (180258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1850, 2, 2024, 1, 6, '2024-08-05 15:58:29', NULL, NULL), (180259, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1850, 2, 2024, 1, 6, '2024-08-05 15:58:29', NULL, NULL), (180260, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 1850, 2, 2024, 1, 6, '2024-08-05 15:58:29', NULL, NULL), (180261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1850, 2, 2024, 1, 6, '2024-08-05 15:58:29', NULL, NULL), (180262, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 1850, 2, 2024, 1, 6, '2024-08-05 15:58:29', NULL, NULL), (180263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 1, 2024, 1, 7, '2024-08-05 15:58:30', NULL, NULL), (180264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 2, 2024, 1, 7, '2024-08-05 15:58:30', NULL, NULL), (180265, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 1, 2024, 1, 7, '2024-08-05 15:58:30', NULL, NULL), (180266, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 2, 2024, 1, 7, '2024-08-05 15:58:30', NULL, NULL), (180267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 379, 117, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区应急局', '', '', 2242, 1, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 628, 24, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 349, 198, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 57, 24, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 1418, 1, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 694, 300, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 159, 129, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 368, 12, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 354, 168, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 447, 230, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 416, 65, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 301, 66, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 378, 89, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 351, 156, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 477, 103, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 542, 162, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 340, 136, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180285, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 563, 15, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180286, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 3, 17, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180287, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 349, 198, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180288, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 368, 12, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180289, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 827, 8, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180290, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 8, 1, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180291, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1244, 21, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180292, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 393, 67, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180293, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180294, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 193, 12, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180295, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 834, 18, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180296, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 263, 54, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180297, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 602, 7, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180298, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1448, 82, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180299, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 747, 3, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180300, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 316, 9, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180301, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 244, 18, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180302, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 92, 32, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180303, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 118, 3, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180304, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 944, 13, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180305, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 156, 9, 2024, 1, 8, '2024-08-05 15:58:31', NULL, NULL), (180306, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 393, 14, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180307, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 151, 99, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180308, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 327, 101, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180309, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 173, 6, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180310, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 362, 20, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180311, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 581, 30, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180312, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 426, 7, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180313, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 154, 102, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180314, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 13, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180315, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180316, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 436, 15, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180317, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 1, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180318, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 10, 1, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180319, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 220, 6, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 362, 20, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 290, 29, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 220, 6, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 601, 29, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 335, 32, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 445, 26, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 214, 11, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 266, 23, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 432, 37, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1622, 37, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 285, 20, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 171, 23, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1169, 20, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 136, 15, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 187, 17, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 143, 22, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1412, 25, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 131, 11, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 114, 18, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 287, 19, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 137, 15, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 104, 8, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 173, 30, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 254, 46, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 393, 14, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 384, 28, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 656, 1, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 233, 26, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 352, 42, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 466, 9, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 185, 6, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 75, 3, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 363, 23, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 145, 23, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 156, 9, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 316, 9, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 834, 18, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 244, 18, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 173, 6, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 436, 15, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1244, 21, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 373, 18, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 123, 5, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 364, 23, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 500, 20, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 944, 13, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 497, 17, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 2, 2, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 662, 10, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 5, 5, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 275, 36, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 7, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 8, 1, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 602, 7, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180374, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 193, 12, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180375, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 426, 7, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180376, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 393, 67, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180377, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 173, 6, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180378, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 156, 9, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180379, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 8, 1, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180380, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 563, 15, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180381, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 349, 198, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180382, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 3, 17, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180383, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 97, 23, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180384, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 944, 13, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180385, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 601, 29, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180386, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 150, 84, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180387, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 362, 20, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180388, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 220, 6, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180389, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 244, 18, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180390, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 10, 1, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180391, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 368, 12, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180392, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1448, 82, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180393, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 834, 18, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180394, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 316, 9, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180395, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '区应急局', '', '', 2242, 1, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180396, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 393, 14, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180397, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 118, 3, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180398, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 436, 15, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180399, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1244, 21, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180400, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 602, 7, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180401, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 827, 8, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180402, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 154, 102, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180403, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 327, 101, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180404, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 263, 54, 2024, 1, 8, '2024-08-05 15:58:32', NULL, NULL), (180405, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 186, 3, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180406, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 75, 3, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180407, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 466, 9, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180408, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 500, 20, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180409, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 656, 1, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180410, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1244, 21, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180411, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 2, 2, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180412, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 373, 18, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180413, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 2, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180414, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 123, 5, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180415, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 2, 2, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180416, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 364, 23, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180417, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 6, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180418, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 5, 5, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180419, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 601, 29, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180420, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 481, 5, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180421, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 288, 2, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180422, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 244, 18, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180423, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 196, 9, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180424, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', 'A10', 2242, 1, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180425, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 26, 1, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180426, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 436, 15, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180427, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 316, 9, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180428, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 156, 9, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180429, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 944, 13, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180430, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 104, 8, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180431, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 173, 30, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180432, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 114, 18, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180433, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 187, 17, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180434, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 145, 23, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180435, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B06', 10, 1, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180436, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 135, 15, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180437, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 120, 4, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180438, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 104, 18, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180439, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 160, 8, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180440, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 152, 9, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180441, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 181, 9, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180442, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 362, 20, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180443, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 187, 21, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180444, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 827, 8, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180445, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 185, 6, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180446, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 285, 20, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180447, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1412, 25, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180448, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 214, 11, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180449, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1622, 37, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180450, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 266, 23, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180451, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1169, 20, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180452, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 220, 6, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180453, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 563, 15, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180454, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 8, 1, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180455, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 275, 36, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180456, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 18, 2, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180457, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 384, 28, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180458, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 602, 7, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180459, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 320, 4, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180460, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 290, 29, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180461, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 68, 6, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180462, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 5, 2, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180463, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 254, 46, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180464, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 54, 4, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180465, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 66, 4, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180466, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 118, 3, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180467, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 173, 6, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180468, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 834, 18, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180469, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 352, 42, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180470, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 432, 37, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180471, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 393, 14, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180472, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 335, 32, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180473, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 363, 23, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180474, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 445, 26, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 563, 15, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 335, 32, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 290, 29, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 384, 28, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 152, 25, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 254, 46, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 827, 8, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 432, 37, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 445, 26, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 363, 23, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 500, 20, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 364, 23, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 352, 42, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 656, 1, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B06', 10, 1, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 123, 5, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 373, 18, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 185, 6, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 145, 23, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 220, 6, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 275, 36, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 1418, 1, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 104, 8, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 173, 30, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 114, 18, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 187, 17, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1412, 25, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1622, 37, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1169, 20, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 944, 13, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 75, 3, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 436, 15, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区应急局', '', 'A10', 2242, 1, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1244, 21, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 244, 18, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 173, 6, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 834, 18, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 156, 9, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 316, 9, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 466, 9, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 2, 2, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 285, 20, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 266, 23, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 8, 1, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 224, 18, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 137, 15, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 6, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 602, 7, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 393, 14, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 143, 22, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 131, 11, 2024, 1, 8, '2024-08-05 15:58:33', NULL, NULL), (180526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 2, 2, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 601, 29, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 171, 23, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 136, 15, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 362, 20, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 214, 11, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 5, 5, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 2, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180534, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 275, 36, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180535, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 601, 29, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180536, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '区应急局', '', 'A10', 2242, 1, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180537, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B06', 10, 1, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180538, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 352, 42, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180539, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 135, 15, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180540, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 26, 1, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180541, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 285, 20, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180542, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 266, 23, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180543, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 363, 23, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180544, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 214, 11, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180545, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 5, 5, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180546, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 6, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180547, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 2, 2, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180548, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 2, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180549, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 2, 2, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180550, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 362, 20, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180551, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 145, 23, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180552, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 185, 6, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180553, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 156, 9, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180554, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 827, 8, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180555, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 316, 9, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180556, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 244, 18, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180557, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 944, 13, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180558, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 186, 3, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180559, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 834, 18, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180560, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 254, 46, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180561, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 384, 28, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180562, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 436, 15, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180563, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 290, 29, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180564, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 335, 32, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180565, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1622, 37, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180566, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 445, 26, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180567, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1169, 20, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180568, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 602, 7, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180569, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 432, 37, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (180570, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1412, 25, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180571, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 8, 1, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180572, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 563, 15, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180573, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 114, 18, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180574, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 187, 17, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180575, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 393, 14, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180576, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 75, 3, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180577, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 466, 9, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180578, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 173, 30, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180579, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1244, 21, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180580, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 173, 6, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180581, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 104, 8, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180582, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 118, 3, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180583, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 54, 4, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180584, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 373, 18, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180585, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 66, 4, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180586, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 123, 5, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180587, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 18, 2, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180588, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 364, 23, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180589, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 320, 4, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180590, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 500, 20, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180591, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 656, 1, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180592, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 68, 6, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180593, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 481, 5, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180594, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 5, 2, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180595, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 196, 9, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180596, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 288, 2, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180597, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 181, 9, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180598, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 104, 18, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180599, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 187, 21, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180600, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 160, 8, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180601, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 220, 6, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180602, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 120, 4, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180603, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 152, 9, 2024, 1, 8, '2024-08-05 15:58:34', NULL, NULL), (180604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 540, 101, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1324, 9, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 223, 149, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 602, 33, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 578, 284, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 380, 236, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 319, 115, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1016, 10, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 1915, 1, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 462, 236, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 349, 72, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 437, 65, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 459, 91, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 445, 170, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 474, 69, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 321, 124, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 505, 132, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180621, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 17, 1, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180622, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 42, 6, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180623, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 712, 26, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180624, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 217, 153, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180625, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1016, 10, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180626, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 3887, 3, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180627, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180628, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 3, 3, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180629, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 342, 54, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180630, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 782, 24, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180631, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180632, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 384, 21, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180633, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 119, 8, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180634, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 487, 46, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180635, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1475, 9, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180636, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 721, 63, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180637, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 13, 2, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180638, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1150, 10, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180639, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 10, 1, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180640, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 426, 25, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180641, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 355, 98, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180642, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 564, 3, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180643, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 1800, 1, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180644, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 410, 8, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180645, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 478, 6, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180646, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 56, 7, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180647, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 274, 61, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180648, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 403, 139, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180649, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 1915, 1, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180650, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 25, 6, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180651, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 990, 11, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180652, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 522, 3, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180653, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 319, 9, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180654, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 534, 39, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180655, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 456, 102, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180656, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180657, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 313, 20, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180658, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 1370, 2, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180659, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 643, 2, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 643, 2, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 990, 11, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 169, 28, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 170, 16, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 548, 38, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 335, 30, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 509, 2, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 190, 28, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 191, 1, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 601, 24, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 687, 29, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 994, 8, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 366, 19, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 342, 40, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 394, 46, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 179, 12, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 412, 33, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 675, 26, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 476, 20, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 294, 25, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 512, 14, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 135, 10, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 317, 28, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 511, 31, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 218, 24, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 56, 7, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 225, 22, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 196, 2, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 419, 44, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 231, 24, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 615, 9, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 4624, 1, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 678, 15, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 849, 10, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 1915, 1, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 492, 20, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 478, 6, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1150, 10, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 119, 8, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 426, 25, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 25, 6, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1567, 1, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 329, 19, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 380, 18, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 782, 24, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 354, 17, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 326, 16, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 1234, 2, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 596, 3, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 135, 6, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 42, 6, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 1800, 1, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 624, 3, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 10, 1, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 1803, 11, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 607, 11, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 1, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 99, 27, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 5, 2, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 17, 1, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1475, 9, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 1370, 2, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 13, 2, 2024, 1, 9, '2024-08-05 15:58:36', NULL, NULL), (180723, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 384, 21, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180724, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 319, 9, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180725, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 348, 53, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180726, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 25, 6, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180727, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 478, 6, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180728, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 5, 2, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180729, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 42, 6, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180730, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 223, 149, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180731, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 712, 26, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180732, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 368, 86, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180733, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 1370, 2, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180734, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 410, 8, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180735, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 548, 38, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180736, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 388, 117, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180737, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1567, 1, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180738, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 990, 11, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180739, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 643, 2, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180740, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 426, 25, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180741, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 1800, 1, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180742, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1016, 10, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180743, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 721, 63, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180744, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 13, 2, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180745, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 119, 8, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180746, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 1915, 1, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180747, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1150, 10, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180748, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 56, 7, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180749, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 564, 3, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180750, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 10, 1, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180751, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 329, 19, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180752, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 782, 24, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180753, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1475, 9, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180754, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 3887, 3, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180755, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 456, 102, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180756, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 274, 61, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180757, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 498, 45, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180758, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 17, 1, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180759, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 271, 9, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180760, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 4624, 1, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180761, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 615, 9, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180762, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 326, 16, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180763, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 196, 2, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180764, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 782, 24, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180765, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 380, 18, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180766, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 596, 3, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180767, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 1022, 8, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180768, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 624, 3, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180769, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 354, 17, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180770, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 1, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180771, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 607, 11, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180772, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 548, 38, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180773, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 201, 5, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180774, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 466, 4, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180775, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 469, 12, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180776, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 426, 25, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180777, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 438, 14, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180778, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 329, 19, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180779, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 478, 6, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180780, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1150, 10, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180781, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 1234, 2, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180782, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 135, 10, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180783, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 511, 31, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180784, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 512, 14, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180785, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 135, 6, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180786, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 179, 12, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180787, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 492, 20, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180788, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 1800, 1, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180789, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 372, 18, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180790, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 498, 7, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180791, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 445, 17, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180792, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 10, 1, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180793, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 368, 9, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180794, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 310, 12, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180795, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 17, 1, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180796, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 379, 31, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180797, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 990, 11, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180798, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 384, 23, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180799, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 3887, 3, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180800, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 678, 15, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180801, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 366, 19, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180802, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 675, 26, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180803, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 509, 2, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180804, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 687, 29, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180805, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 1370, 2, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180806, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 994, 8, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180807, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 601, 24, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180808, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 643, 2, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180809, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 13, 2, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180810, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 42, 6, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180811, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 5, 2, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180812, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 99, 27, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180813, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 1915, 1, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180814, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 412, 6, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180815, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 225, 22, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180816, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1475, 9, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180817, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 378, 16, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180818, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 169, 28, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180819, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 426, 15, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180820, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 286, 17, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180821, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 218, 24, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180822, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 313, 10, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180823, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 329, 8, 2024, 1, 9, '2024-08-05 15:58:37', NULL, NULL), (180824, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 564, 3, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180825, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 25, 6, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180826, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 119, 8, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180827, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 190, 28, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180828, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 231, 24, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180829, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 191, 1, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180830, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 56, 7, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180831, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 170, 16, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180832, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1567, 1, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180833, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 335, 30, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180834, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 849, 10, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 170, 16, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 169, 28, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 225, 22, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 419, 44, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 218, 24, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 3887, 3, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 42, 6, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 191, 1, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 190, 28, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 335, 30, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 849, 10, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 326, 16, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 354, 17, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 231, 24, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 196, 2, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 380, 18, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1567, 1, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 13, 2, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 678, 15, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 643, 2, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 492, 20, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 99, 27, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 1915, 1, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 135, 10, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 511, 31, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 512, 14, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 179, 12, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 675, 26, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 687, 29, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 994, 8, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 1234, 2, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 135, 6, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 4624, 1, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 329, 19, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 782, 24, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 426, 25, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 25, 6, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 119, 8, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 478, 6, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 615, 9, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1150, 10, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 596, 3, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 1370, 2, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 366, 19, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 601, 24, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 5, 2, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 294, 25, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 1, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 317, 28, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1475, 9, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 17, 1, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 56, 7, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 412, 33, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 476, 20, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 10, 1, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 624, 3, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 342, 40, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 548, 38, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 394, 46, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 990, 11, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 509, 2, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 607, 11, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 1800, 1, 2024, 1, 9, '2024-08-05 15:58:38', NULL, NULL), (180898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 1022, 8, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180899, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 17, 1, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180900, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 99, 27, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180901, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 548, 38, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180902, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 231, 24, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180903, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 372, 18, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180904, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 438, 14, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180905, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 366, 19, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180906, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 849, 10, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180907, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 601, 24, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180908, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 509, 2, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180909, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 607, 11, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180910, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 1, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180911, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 624, 3, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180912, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 1022, 8, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180913, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 596, 3, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180914, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 990, 11, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180915, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 492, 20, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180916, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1567, 1, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180917, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 478, 6, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180918, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 678, 15, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180919, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 3887, 3, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180920, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1150, 10, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180921, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 426, 25, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180922, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 1234, 2, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180923, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 135, 6, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180924, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 271, 9, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180925, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 218, 24, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180926, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 119, 8, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180927, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 329, 19, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180928, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 225, 22, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180929, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 169, 28, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180930, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 170, 16, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180931, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 687, 29, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180932, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 994, 8, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180933, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 335, 30, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180934, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 190, 28, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180935, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1475, 9, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180936, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 1800, 1, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180937, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 191, 1, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180938, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 675, 26, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180939, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 5, 2, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180940, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 512, 14, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180941, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 179, 12, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180942, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 56, 7, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180943, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 42, 6, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180944, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 4624, 1, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180945, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 615, 9, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180946, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 511, 31, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180947, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 782, 24, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180948, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 135, 10, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180949, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 25, 6, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180950, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 1915, 1, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180951, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 564, 3, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180952, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 380, 18, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180953, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 313, 10, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180954, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 329, 8, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180955, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 1370, 2, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180956, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 412, 6, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180957, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 354, 17, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180958, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 326, 16, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180959, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 378, 16, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180960, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 426, 15, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180961, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 196, 2, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180962, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 201, 5, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180963, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 286, 17, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180964, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 466, 4, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180965, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 469, 12, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180966, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 379, 31, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180967, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 13, 2, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180968, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 445, 17, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180969, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 10, 1, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180970, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 384, 23, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180971, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 643, 2, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180972, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 368, 9, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180973, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 498, 7, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180974, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 310, 12, 2024, 1, 9, '2024-08-05 15:58:39', NULL, NULL), (180975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 432, 85, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (180976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 389, 1, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 8912, 7, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 6, 2, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 314, 170, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 334, 36, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 701, 219, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 388, 141, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 4, 3, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 397, 130, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 8, 1, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 560, 179, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 284, 25, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 448, 48, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 796, 64, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 506, 165, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 489, 75, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 409, 183, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 573, 82, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180994, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 7, 1, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180995, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 12043, 5, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180996, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 340, 28, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180997, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 314, 170, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180998, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 4, 3, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (180999, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1087, 2, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181000, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181001, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 10, 2, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181002, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 2104, 19, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181003, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 130, 52, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181004, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 389, 1, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181005, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 686, 13, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181006, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 573, 10, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181007, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 183, 48, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181008, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 67, 10, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181009, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 951, 58, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181010, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 1845, 1, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181011, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 293, 8, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181012, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 6, 1, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181013, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 43, 9, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181014, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 298, 26, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181015, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 617, 1, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181016, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 501, 5, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181017, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 3995, 2, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181018, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 474, 11, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181019, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 353, 114, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181020, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 417, 68, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181021, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 8, 1, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181022, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 203, 6, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181023, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 1039, 6, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181024, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 726, 9, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181025, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 303, 14, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181026, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 783, 21, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181027, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 407, 85, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181028, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 9, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181029, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 1414, 7, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181030, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 347, 7, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181031, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 262, 2, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181032, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 130, 5, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 130, 5, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 1039, 6, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 822, 20, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 576, 25, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 178, 30, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 116, 10, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 251, 28, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 302, 12, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 213, 13, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1005, 29, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 194, 25, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 891, 17, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 295, 30, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 409, 23, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 373, 14, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 284, 12, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 906, 12, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 410, 22, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 578, 11, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 473, 22, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 279, 10, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 398, 21, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 502, 13, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 277, 38, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 338, 37, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 474, 11, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 387, 25, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 4, 3, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 288, 34, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 298, 6, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 8, 1, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 392, 20, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 3995, 2, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 293, 8, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 636, 9, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 43, 9, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 203, 6, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 726, 9, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 405, 6, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 131, 15, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 2104, 19, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 139, 16, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 105, 14, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 154, 7, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 512, 2, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 493, 3, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 5254, 12, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 647, 7, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 6, 1, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 291, 8, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 249, 8, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 546, 34, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 20, 1, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 7, 1, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 74, 9, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D14', 9901, 1, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 262, 2, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 1845, 1, 2024, 1, 10, '2024-08-05 15:58:41', NULL, NULL), (181091, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '', 9901, 1, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181092, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 686, 13, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181093, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 303, 14, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181094, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 130, 52, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181095, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 203, 6, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181096, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 3995, 2, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181097, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 20, 1, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181098, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 12043, 5, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181099, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 314, 170, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181100, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 340, 28, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181101, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 348, 22, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181102, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 262, 2, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181103, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 501, 5, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181104, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 822, 20, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181105, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 365, 91, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181106, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 726, 9, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181107, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 1039, 6, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181108, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 130, 5, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181109, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 43, 9, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181110, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 4, 3, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181111, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 951, 58, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181112, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 389, 1, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181113, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 1845, 1, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181114, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 636, 9, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181115, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 8, 1, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181116, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 293, 8, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181117, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 474, 11, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181118, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 617, 1, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181119, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 6, 1, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181120, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 405, 6, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181121, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 2104, 19, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181122, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 74, 9, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181123, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 1087, 2, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181124, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 407, 85, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181125, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 417, 68, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181126, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 183, 48, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181127, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 7, 1, 2024, 1, 10, '2024-08-05 15:58:42', NULL, NULL), (181128, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 638, 5, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181129, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 4, 3, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181130, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 154, 7, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181131, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 2104, 19, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181132, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 131, 15, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181133, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 405, 7, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181134, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 139, 16, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181135, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 105, 14, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181136, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 25, 6, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181137, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 647, 7, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181138, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '3D14', 9901, 1, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181139, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 249, 8, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181140, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 822, 20, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181141, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 449, 4, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181142, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 244, 10, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181143, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 716, 8, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181144, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 43, 9, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181145, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 430, 4, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181146, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 405, 6, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181147, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 3995, 2, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181148, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 293, 8, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181149, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 512, 2, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181150, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 279, 10, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181151, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 502, 13, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181152, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 473, 22, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181153, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 493, 3, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181154, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 373, 14, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181155, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 392, 20, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181156, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 172, 13, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181157, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 566, 9, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181158, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 361, 7, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181159, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 6, 1, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181160, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 337, 13, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181161, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 652, 7, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181162, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 7, 1, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181163, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 1039, 6, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181164, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 403, 19, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181165, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 295, 23, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181166, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 1087, 2, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181167, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 298, 6, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181168, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 194, 25, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181169, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 906, 12, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181170, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 262, 2, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181171, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 116, 10, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181172, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1005, 29, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181173, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 213, 13, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181174, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 891, 17, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181175, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 130, 5, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181176, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 1845, 1, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181177, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 12043, 5, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181178, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 20, 1, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181179, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 546, 34, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181180, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 389, 1, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181181, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 8, 1, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181182, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 434, 2, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181183, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 74, 9, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181184, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 338, 37, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181185, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 288, 3, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181186, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 454, 3, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181187, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 294, 7, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181188, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 277, 38, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181189, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 262, 3, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181190, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 617, 1, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181191, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 203, 6, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181192, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 636, 9, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181193, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 288, 34, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181194, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 251, 28, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181195, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 302, 12, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181196, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 576, 25, 2024, 1, 10, '2024-08-05 15:58:43', NULL, NULL), (181197, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 474, 11, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181198, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 726, 9, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181199, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 178, 30, 2024, 1, 10, '2024-08-05 15:58:44', NULL, NULL), (181200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 12043, 5, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 576, 25, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 338, 37, 2024, 1, 10, '2024-08-05 15:58:46', NULL, NULL), (181203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 277, 38, 2024, 1, 10, '2024-08-05 15:58:46', NULL, NULL), (181204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 387, 25, 2024, 1, 10, '2024-08-05 15:58:46', NULL, NULL), (181205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 1087, 2, 2024, 1, 10, '2024-08-05 15:58:46', NULL, NULL), (181206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 389, 1, 2024, 1, 10, '2024-08-05 15:58:46', NULL, NULL), (181207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 302, 12, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 251, 28, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 178, 30, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 154, 7, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 1845, 1, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 288, 34, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 131, 15, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 726, 9, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 105, 14, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 139, 16, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 298, 6, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 130, 5, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 392, 20, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 546, 34, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 8, 1, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 279, 10, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 502, 13, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 473, 22, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 373, 14, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 906, 12, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1005, 29, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D14', 9901, 1, 2024, 1, 10, '2024-08-05 15:58:46', NULL, NULL), (181229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 891, 17, 2024, 1, 10, '2024-08-05 15:58:46', NULL, NULL), (181230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 6, 2, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 512, 2, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 493, 3, 2024, 1, 10, '2024-08-05 15:58:46', NULL, NULL), (181233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 405, 6, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 2104, 19, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 43, 9, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 203, 6, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 636, 9, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 3995, 2, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 4, 3, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 293, 8, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 405, 7, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 262, 2, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 194, 25, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 213, 13, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 578, 11, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 20, 1, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 74, 9, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 398, 21, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 7, 1, 2024, 1, 10, '2024-08-05 15:58:45', NULL, NULL), (181250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 339, 10, 2024, 1, 10, '2024-08-05 15:58:46', NULL, NULL), (181251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 474, 11, 2024, 1, 10, '2024-08-05 15:58:46', NULL, NULL), (181252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 410, 22, 2024, 1, 10, '2024-08-05 15:58:46', NULL, NULL), (181253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 6, 1, 2024, 1, 10, '2024-08-05 15:58:46', NULL, NULL), (181254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 647, 7, 2024, 1, 10, '2024-08-05 15:58:46', NULL, NULL), (181255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 822, 20, 2024, 1, 10, '2024-08-05 15:58:46', NULL, NULL), (181256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 295, 30, 2024, 1, 10, '2024-08-05 15:58:46', NULL, NULL), (181257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 1039, 6, 2024, 1, 10, '2024-08-05 15:58:46', NULL, NULL), (181258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 410, 22, 2024, 1, 10, '2024-08-05 15:58:46', NULL, NULL), (181259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 249, 8, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 116, 10, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 25, 6, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181262, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 7, 1, 2024, 1, 10, '2024-08-05 15:58:49', NULL, NULL), (181263, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 822, 20, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181264, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 546, 34, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181265, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 288, 34, 2024, 1, 10, '2024-08-05 15:58:49', NULL, NULL), (181266, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 172, 13, 2024, 1, 10, '2024-08-05 15:58:49', NULL, NULL), (181267, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 194, 25, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181268, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 430, 4, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181269, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 213, 13, 2024, 1, 10, '2024-08-05 15:58:49', NULL, NULL), (181270, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 116, 10, 2024, 1, 10, '2024-08-05 15:58:49', NULL, NULL), (181271, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 249, 8, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181272, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 647, 7, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181273, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 25, 6, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181274, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 405, 7, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181275, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 1039, 6, 2024, 1, 10, '2024-08-05 15:58:49', NULL, NULL), (181276, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 392, 20, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181277, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 726, 9, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181278, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 3995, 2, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181279, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 298, 6, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181280, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 1087, 2, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181281, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 293, 8, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181282, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 43, 9, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181283, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 512, 2, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181284, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '3D14', 9901, 1, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181285, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 493, 3, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181286, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 638, 5, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181287, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 636, 9, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181288, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 277, 38, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181289, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 338, 37, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181290, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 405, 6, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181291, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 576, 25, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181292, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1005, 29, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181293, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 891, 17, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181294, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 178, 30, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181295, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 74, 9, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181296, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 251, 28, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181297, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 302, 12, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181298, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 906, 12, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181299, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 389, 1, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181300, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 20, 1, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181301, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 12043, 5, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181302, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 473, 22, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181303, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 373, 14, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181304, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 474, 11, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181305, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 4, 3, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181306, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 502, 13, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181307, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 2104, 19, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181308, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 203, 6, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181309, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 279, 10, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181310, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 8, 1, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181311, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 617, 1, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181312, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 131, 15, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181313, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 262, 3, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181314, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 139, 16, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181315, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 262, 2, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181316, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 105, 14, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181317, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 434, 2, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181318, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 288, 3, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181319, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 154, 7, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181320, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 454, 3, 2024, 1, 10, '2024-08-05 15:58:49', NULL, NULL), (181321, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 294, 7, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181322, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 449, 4, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181323, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 716, 8, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181324, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 244, 10, 2024, 1, 10, '2024-08-05 15:58:49', NULL, NULL), (181325, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 1845, 1, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181326, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 403, 19, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181327, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 361, 7, 2024, 1, 10, '2024-08-05 15:58:47', NULL, NULL), (181328, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 6, 1, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181329, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 295, 23, 2024, 1, 10, '2024-08-05 15:58:48', NULL, NULL), (181330, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 130, 5, 2024, 1, 10, '2024-08-05 15:58:49', NULL, NULL), (181331, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 337, 13, 2024, 1, 10, '2024-08-05 15:58:49', NULL, NULL), (181332, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 566, 9, 2024, 1, 10, '2024-08-05 15:58:49', NULL, NULL), (181333, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 652, 7, 2024, 1, 10, '2024-08-05 15:58:49', NULL, NULL), (181334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 205, 93, 2024, 1, 11, '2024-08-05 15:58:53', NULL, NULL), (181335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 313, 7, 2024, 1, 11, '2024-08-05 15:58:53', NULL, NULL), (181336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 304, 162, 2024, 1, 11, '2024-08-05 15:58:53', NULL, NULL), (181337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 236, 38, 2024, 1, 11, '2024-08-05 15:58:53', NULL, NULL), (181338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 437, 193, 2024, 1, 11, '2024-08-05 15:58:53', NULL, NULL), (181339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 203, 147, 2024, 1, 11, '2024-08-05 15:58:53', NULL, NULL), (181340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 4, 6, 2024, 1, 11, '2024-08-05 15:58:53', NULL, NULL), (181341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 973, 142, 2024, 1, 11, '2024-08-05 15:58:53', NULL, NULL), (181342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 7, 2, 2024, 1, 11, '2024-08-05 15:58:53', NULL, NULL), (181343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 428, 166, 2024, 1, 11, '2024-08-05 15:58:53', NULL, NULL), (181344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 582, 51, 2024, 1, 11, '2024-08-05 15:58:53', NULL, NULL), (181345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 501, 44, 2024, 1, 11, '2024-08-05 15:58:53', NULL, NULL), (181346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 330, 54, 2024, 1, 11, '2024-08-05 15:58:53', NULL, NULL), (181347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 392, 136, 2024, 1, 11, '2024-08-05 15:58:53', NULL, NULL), (181348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 318, 82, 2024, 1, 11, '2024-08-05 15:58:53', NULL, NULL), (181349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 393, 139, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 359, 138, 2024, 1, 11, '2024-08-05 15:58:53', NULL, NULL), (181351, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 166, 5, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181352, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181353, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 364, 6, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181354, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181355, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 208, 24, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181356, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 304, 162, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181357, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 4, 6, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181358, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 3, 2, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181359, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1006, 66, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181360, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 511, 15, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181361, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 566, 9, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181362, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181363, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 155, 10, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181364, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 243, 41, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181365, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1382, 10, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181366, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 324, 43, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181367, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181368, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 8, 1, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181369, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 30, 2, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181370, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 1253, 2, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181371, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 237, 13, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181372, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 154, 23, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181373, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181374, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 699, 1, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181375, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 360, 3, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181376, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1634, 8, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181377, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 499, 5, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181378, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 79, 18, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181379, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 198, 135, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181380, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 312, 67, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (181381, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 207, 4, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181382, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 7, 2, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181383, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 301, 13, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181384, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 4, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181385, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181386, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 351, 5, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181387, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 169, 22, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181388, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 133, 69, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181389, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 3576, 5, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181390, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1042, 11, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181391, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 6606, 5, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181392, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181393, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 349, 9, 2024, 1, 11, '2024-08-05 15:58:54', NULL, NULL), (181394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 326, 12, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 349, 9, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 596, 25, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 169, 22, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 391, 27, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 670, 7, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 278, 10, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 267, 29, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 174, 16, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 219, 40, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 349, 20, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 301, 9, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 160, 29, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 139, 18, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 42, 18, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 88, 8, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 138, 11, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 304, 14, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 435, 20, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 187, 7, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 285, 13, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 67, 7, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 166, 20, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 175, 19, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 238, 28, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 48, 13, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 79, 18, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 172, 26, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 985, 26, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 4, 4, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 364, 51, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 5, 2, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 162, 10, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 7, 2, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 97, 18, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 499, 5, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 30, 2, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 637, 8, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 237, 13, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 207, 4, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1042, 11, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1019, 40, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 547, 14, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 1634, 8, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 339, 9, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 360, 3, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 49, 3, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 1253, 2, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 243, 9, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 143, 6, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 146, 16, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 234, 4, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 8, 1, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 166, 5, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1382, 10, 2024, 1, 11, '2024-08-05 15:58:56', NULL, NULL), (181449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D14', 5657, 9, 2024, 1, 11, '2024-08-05 15:58:55', NULL, NULL), (181450, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '', 8258, 4, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181451, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 155, 10, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181452, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1006, 66, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181453, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 499, 5, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181454, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 304, 162, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181455, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 208, 24, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181456, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 158, 22, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181457, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1634, 8, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181458, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 169, 22, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181459, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 206, 109, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181460, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 349, 9, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181461, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 237, 13, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181462, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 4, 6, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181463, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 7, 2, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181464, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 699, 1, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181465, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 1253, 2, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181466, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1382, 10, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181467, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 133, 69, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181468, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 312, 67, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181469, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 243, 41, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181470, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 351, 5, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181471, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 207, 4, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181472, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 364, 6, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181473, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 3576, 5, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181474, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 326, 12, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181475, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 360, 3, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181476, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 324, 43, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181477, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 637, 8, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181478, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 30, 2, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181479, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 79, 18, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181480, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1042, 11, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181481, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 8, 1, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181482, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 547, 14, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181483, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 7, 1, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181484, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 166, 5, 2024, 1, 11, '2024-08-05 15:58:57', NULL, NULL), (181485, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 117, 4, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181486, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 5, 2, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181487, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 4, 4, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181488, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 985, 26, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181489, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 547, 14, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181490, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1019, 40, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181491, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 290, 3, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181492, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 272, 8, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181493, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 49, 3, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181494, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 234, 4, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181495, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '3D14', 8258, 4, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181496, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 143, 6, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181497, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 169, 22, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181498, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D14', 3576, 5, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181499, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 417, 1, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181500, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 334, 4, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181501, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 237, 13, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181502, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 181, 6, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181503, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1042, 11, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181504, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 499, 5, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181505, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 30, 2, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181506, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 1634, 8, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181507, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 67, 7, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181508, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 175, 19, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181509, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 187, 7, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181510, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 88, 8, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181511, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 97, 18, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181512, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 8, 1, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181513, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 360, 3, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181514, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 169, 20, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181515, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 465, 14, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181516, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 138, 11, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181517, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 1253, 2, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181518, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 183, 15, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181519, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 311, 10, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181520, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 166, 5, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181521, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 326, 12, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181522, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 50, 13, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181523, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 173, 26, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181524, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 7, 1, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181525, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 162, 10, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181526, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 139, 18, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181527, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 304, 14, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181528, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 670, 7, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181529, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 349, 20, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181530, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 301, 9, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181531, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 174, 16, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181532, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 349, 9, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181533, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 364, 6, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181534, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 146, 16, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181535, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 7, 2, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181536, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 163, 1, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181537, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1382, 10, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181538, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 48, 13, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181539, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 596, 25, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181540, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 21, 5, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181541, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 49, 3, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181542, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 238, 28, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181543, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 101, 1, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181544, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 89, 2, 2024, 1, 11, '2024-08-05 15:58:58', NULL, NULL), (181545, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 207, 4, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181546, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 699, 1, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181547, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 637, 8, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181548, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 364, 51, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181549, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 267, 29, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181550, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 278, 10, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181551, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 219, 40, 2024, 1, 11, '2024-08-05 15:58:59', NULL, NULL), (181552, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 79, 18, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181553, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 391, 27, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 364, 6, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 391, 27, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 596, 25, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 48, 13, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 172, 26, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 238, 28, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 7, 1, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 219, 40, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 267, 29, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 364, 51, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 985, 26, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 1019, 40, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 162, 10, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 97, 18, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 349, 9, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 146, 16, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 7, 2, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 67, 7, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 175, 19, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 187, 7, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 88, 8, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 304, 14, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 349, 20, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 301, 9, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D14', 5657, 9, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 1634, 8, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 5, 2, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1042, 11, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 547, 14, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 237, 13, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 207, 4, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 637, 8, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 499, 5, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 4, 4, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 30, 2, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 290, 3, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 139, 18, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 174, 16, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 285, 13, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1382, 10, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 166, 20, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 234, 4, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 166, 5, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 138, 11, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 79, 18, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 8, 1, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 435, 20, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 1253, 2, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 49, 3, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 169, 22, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 160, 29, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 326, 12, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 42, 18, 2024, 1, 11, '2024-08-05 15:59:00', NULL, NULL), (181607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 670, 7, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 143, 6, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 278, 10, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 360, 3, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 272, 8, 2024, 1, 11, '2024-08-05 15:59:01', NULL, NULL), (181612, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 166, 5, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181613, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 146, 16, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181614, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 169, 22, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181615, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 364, 51, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181616, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 169, 20, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181617, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 139, 18, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181618, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 174, 16, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181619, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 670, 7, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181620, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 143, 6, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181621, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 234, 4, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181622, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 49, 3, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181623, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 272, 8, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181624, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 290, 3, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181625, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 326, 12, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181626, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 8, 1, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181627, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 97, 18, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181628, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 499, 5, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181629, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 162, 10, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181630, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 7, 1, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181631, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 30, 2, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181632, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 237, 13, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181633, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 1634, 8, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181634, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '3D14', 8258, 4, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181635, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 117, 4, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181636, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 637, 8, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181637, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 238, 28, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181638, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1042, 11, 2024, 1, 11, '2024-08-05 15:59:04', NULL, NULL), (181639, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 48, 13, 2024, 1, 11, '2024-08-05 15:59:04', NULL, NULL), (181640, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 596, 25, 2024, 1, 11, '2024-08-05 15:59:04', NULL, NULL), (181641, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 349, 20, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181642, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 391, 27, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181643, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 301, 9, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181644, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1382, 10, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181645, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 267, 29, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181646, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 360, 3, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181647, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 219, 40, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181648, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 304, 14, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181649, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 364, 6, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181650, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 187, 7, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181651, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 88, 8, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181652, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 79, 18, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181653, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 5, 2, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181654, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 4, 4, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181655, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 175, 19, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181656, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 547, 14, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181657, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 207, 4, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181658, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 67, 7, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181659, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 7, 2, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181660, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 699, 1, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181661, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 1019, 40, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181662, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 101, 1, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181663, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D14', 3576, 5, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181664, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 89, 2, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181665, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 163, 1, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181666, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 21, 5, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181667, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 985, 26, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181668, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 417, 1, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181669, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 49, 3, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181670, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 278, 10, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181671, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 334, 4, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181672, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 181, 6, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181673, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 50, 13, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181674, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 138, 11, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181675, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 1253, 2, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181676, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 173, 26, 2024, 1, 11, '2024-08-05 15:59:02', NULL, NULL), (181677, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 183, 15, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181678, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 349, 9, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181679, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 465, 14, 2024, 1, 11, '2024-08-05 15:59:03', NULL, NULL), (181680, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 311, 10, 2024, 1, 11, '2024-08-05 15:59:04', NULL, NULL), (181681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 425, 94, 2024, 1, 12, '2024-08-05 15:59:08', NULL, NULL), (181682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 1612, 2, 2024, 1, 12, '2024-08-05 15:59:08', NULL, NULL), (181683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 10439, 2, 2024, 1, 12, '2024-08-05 15:59:08', NULL, NULL), (181684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 34, 120, 2024, 1, 12, '2024-08-05 15:59:08', NULL, NULL), (181685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 1156, 15, 2024, 1, 12, '2024-08-05 15:59:08', NULL, NULL), (181686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 627, 180, 2024, 1, 12, '2024-08-05 15:59:08', NULL, NULL), (181687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 362, 183, 2024, 1, 12, '2024-08-05 15:59:08', NULL, NULL), (181688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '', 1774, 1, 2024, 1, 12, '2024-08-05 15:59:08', NULL, NULL), (181689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1624, 5, 2024, 1, 12, '2024-08-05 15:59:08', NULL, NULL), (181690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 540, 131, 2024, 1, 12, '2024-08-05 15:59:08', NULL, NULL), (181691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 384, 171, 2024, 1, 12, '2024-08-05 15:59:08', NULL, NULL), (181692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 850, 45, 2024, 1, 12, '2024-08-05 15:59:08', NULL, NULL), (181693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 307, 29, 2024, 1, 12, '2024-08-05 15:59:08', NULL, NULL), (181694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 455, 106, 2024, 1, 12, '2024-08-05 15:59:08', NULL, NULL), (181695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 313, 90, 2024, 1, 12, '2024-08-05 15:59:08', NULL, NULL), (181696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 321, 69, 2024, 1, 12, '2024-08-05 15:59:08', NULL, NULL), (181697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 672, 134, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 378, 122, 2024, 1, 12, '2024-08-05 15:59:08', NULL, NULL), (181699, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 1612, 2, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181700, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 39, 1, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181701, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 3, 10, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181702, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 34, 120, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181703, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1624, 5, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181704, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 10419, 2, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181705, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181706, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 5, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181707, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 2006, 10, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181708, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 647, 49, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181709, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181710, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 604, 22, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181711, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 586, 7, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181712, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 341, 43, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181713, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 459, 7, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181714, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 367, 25, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181715, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181716, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 8514, 2, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181717, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 514, 7, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181718, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 3215, 1, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181719, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 483, 13, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181720, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 290, 20, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181721, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181722, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 90, 1, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181723, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 5, 1, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181724, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 2172, 15, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181725, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 700, 5, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181726, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 109, 23, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181727, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 348, 166, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181728, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 468, 73, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181729, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 589, 10, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181730, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 546, 9, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181731, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 170, 8, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181732, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 889, 19, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181733, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 251, 74, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181734, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 5, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181735, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 580, 14, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181736, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 288, 2, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181737, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 95, 3, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181738, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 1774, 1, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181739, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 1, 12, '2024-08-05 15:59:09', NULL, NULL), (181740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 95, 3, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 589, 10, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 18, 20, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 15, 18, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 939, 18, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 116, 16, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 287, 5, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 3, 13, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 341, 23, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 19, 20, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 347, 11, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 361, 15, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 276, 43, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 580, 5, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 174, 14, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 332, 40, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 273, 9, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 358, 17, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 377, 28, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 374, 19, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 273, 20, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 224, 4, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 168, 19, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 57, 15, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 109, 23, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 19, 18, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 480, 36, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 522, 25, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1837, 4, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 548, 45, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 755, 4, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 771, 1, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 339, 28, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 271, 13, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 700, 5, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 514, 7, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 586, 7, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 483, 13, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 546, 9, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 625, 13, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 2006, 10, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 777, 24, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B07', 1774, 1, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 2194, 12, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B05', 1612, 2, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 17, 3, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 2083, 3, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 5, 1, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 1, 2, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 3215, 1, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 6947, 3, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 4, 2, 2024, 1, 12, '2024-08-05 15:59:11', NULL, NULL), (181792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 2, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (181793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 459, 7, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 288, 2, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 8514, 2, 2024, 1, 12, '2024-08-05 15:59:10', NULL, NULL), (181796, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 604, 22, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181797, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 170, 8, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181798, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 647, 49, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181799, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 700, 5, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181800, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 39, 1, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181801, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 34, 120, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181802, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 3, 10, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181803, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 264, 17, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181804, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 288, 2, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181805, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 2172, 15, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181806, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 939, 18, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181807, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 348, 135, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181808, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 546, 9, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181809, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 589, 10, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181810, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 95, 3, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181811, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 483, 13, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181812, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '', 1774, 1, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181813, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 5, 1, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181814, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1624, 5, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181815, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 1612, 2, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181816, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 367, 25, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181817, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 8514, 2, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181818, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 586, 7, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181819, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 514, 7, 2024, 1, 12, '2024-08-05 15:59:12', NULL, NULL), (181820, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 109, 23, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181821, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 90, 1, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181822, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 3215, 1, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181823, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 625, 13, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181824, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 2006, 10, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181825, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 459, 7, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181826, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 20839, 1, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181827, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 251, 74, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181828, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 468, 73, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181829, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 341, 43, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181830, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 771, 1, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181831, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1837, 4, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181832, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 2006, 10, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181833, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 522, 25, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181834, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 6, 2, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181835, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 777, 24, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181836, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 2, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181837, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 1, 2, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181838, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 2, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181839, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 4, 2, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181840, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 939, 18, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181841, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 352, 1, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181842, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 144, 7, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181843, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 604, 22, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181844, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 483, 13, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181845, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 625, 13, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181846, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 514, 7, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181847, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 700, 5, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181848, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 2194, 12, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181849, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 224, 4, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181850, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 168, 19, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181851, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 273, 20, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181852, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 174, 14, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181853, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 2083, 3, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181854, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 271, 13, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181855, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 5, 1, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181856, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 285, 14, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181857, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 489, 19, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181858, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 418, 13, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181859, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 3215, 1, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181860, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 324, 15, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181861, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 589, 10, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181862, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 355, 34, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181863, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 283, 40, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181864, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 20839, 1, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181865, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B05', 1612, 2, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181866, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '2B07', 1774, 1, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181867, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 755, 4, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181868, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 361, 15, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181869, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 273, 9, 2024, 1, 12, '2024-08-05 15:59:13', NULL, NULL), (181870, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 287, 5, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181871, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 347, 11, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181872, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 288, 2, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181873, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 341, 23, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181874, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 580, 5, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181875, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 95, 3, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181876, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 8514, 2, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181877, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 39, 1, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181878, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 164, 1, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181879, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 19, 18, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181880, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 459, 7, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181881, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 165, 4, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181882, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 18, 20, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181883, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 200, 6, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181884, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 189, 3, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181885, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 57, 15, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181886, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 631, 3, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181887, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 90, 1, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181888, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 586, 7, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181889, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 3, 13, 2024, 1, 12, '2024-08-05 15:59:14', NULL, NULL), (181890, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 548, 45, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181891, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 19, 20, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181892, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 15, 18, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181893, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 109, 23, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181894, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 546, 9, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181895, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 116, 16, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181896, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 339, 28, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 39, 1, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 15, 18, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 18, 20, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 19, 18, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 480, 36, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 57, 15, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 20839, 1, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 19, 20, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 3, 13, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 116, 16, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 339, 28, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 8514, 2, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 548, 45, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 522, 25, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 546, 9, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 777, 24, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 755, 4, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 95, 3, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 271, 13, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 224, 4, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 168, 19, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 273, 20, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 174, 14, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 273, 9, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 347, 11, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 580, 5, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 2194, 12, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 2083, 3, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B05', 1612, 2, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '2B07', 1774, 1, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 625, 13, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 771, 1, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 2006, 10, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 483, 13, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 586, 7, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 700, 5, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 514, 7, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1837, 4, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 6, 2, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 288, 2, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 361, 15, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 341, 23, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 374, 19, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 2, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 459, 7, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 358, 17, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 109, 23, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 377, 28, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 3215, 1, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 1, 2, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 939, 18, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 276, 43, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 589, 10, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 332, 40, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 287, 5, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 5, 1, 2024, 1, 12, '2024-08-05 15:59:15', NULL, NULL), (181953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 4, 2, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 2, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181955, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 939, 18, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181956, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 548, 45, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181957, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 285, 14, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181958, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 361, 15, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181959, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 341, 23, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181960, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 339, 28, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181961, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 287, 5, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181962, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 4, 2, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181963, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 2, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181964, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 1, 2, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181965, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 2, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181966, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 6, 2, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181967, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B05', 1612, 2, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181968, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 589, 10, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181969, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 271, 13, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181970, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 546, 9, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181971, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 755, 4, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181972, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 700, 5, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181973, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 20839, 1, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181974, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 514, 7, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181975, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 483, 13, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181976, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 2194, 12, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181977, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 2083, 3, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181978, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 5, 1, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181979, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 57, 15, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181980, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 586, 7, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181981, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 625, 13, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181982, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 19, 18, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181983, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 18, 20, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181984, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 15, 18, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181985, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 347, 11, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181986, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 116, 16, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181987, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 580, 5, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181988, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 3, 13, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181989, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 459, 7, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181990, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 273, 9, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181991, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 19, 20, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181992, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 39, 1, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181993, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 273, 20, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181994, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 174, 14, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181995, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 109, 23, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181996, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 771, 1, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181997, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1837, 4, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181998, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 168, 19, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (181999, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 2006, 10, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182000, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 224, 4, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182001, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 90, 1, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182002, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 777, 24, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182003, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 631, 3, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182004, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 288, 2, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182005, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 164, 1, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182006, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 165, 4, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182007, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 200, 6, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182008, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 522, 25, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182009, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 189, 3, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182010, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 352, 1, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182011, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 604, 22, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182012, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 144, 7, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182013, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 355, 34, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182014, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 8514, 2, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182015, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 418, 13, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182016, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '2B07', 1774, 1, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182017, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 3215, 1, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182018, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 283, 40, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182019, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 95, 3, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182020, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 489, 19, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182021, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 324, 15, 2024, 1, 12, '2024-08-05 15:59:16', NULL, NULL), (182022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 2, 2024, 1, 13, '2024-08-05 15:59:17', NULL, NULL), (182023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 5, 2024, 1, 13, '2024-08-05 15:59:17', NULL, NULL), (182024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 0, 1, 2024, 1, 13, '2024-08-05 15:59:17', NULL, NULL), (182025, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2024, 1, 13, '2024-08-05 15:59:17', NULL, NULL), (182026, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 1, 13, '2024-08-05 15:59:17', NULL, NULL), (182027, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 0, 1, 2024, 1, 13, '2024-08-05 15:59:17', NULL, NULL), (182028, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 5, 2024, 1, 13, '2024-08-05 15:59:17', NULL, NULL), (182029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 336, 100, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 1401, 5, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2452, 11, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 783, 188, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 483, 29, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 617, 236, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 633, 230, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 5, 3, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1291, 150, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1620, 18, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 760, 233, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 546, 58, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 1094, 36, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 371, 80, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 646, 121, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 698, 87, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 665, 150, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 713, 198, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182047, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 57, 1, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182048, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182049, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 159, 3, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182050, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 292, 22, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182051, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 783, 188, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182052, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 5, 3, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182053, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 147, 4, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182054, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 3, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182055, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1708, 19, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182056, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 704, 66, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182057, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 372, 15, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182058, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 1401, 5, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182059, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 114, 6, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182060, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 238, 51, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182061, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 570, 16, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182062, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 412, 50, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182063, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 2, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182064, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 2333, 3, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182065, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 508, 7, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182066, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 8, 1, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182067, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 602, 20, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182068, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 673, 22, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182069, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182070, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 700, 6, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182071, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 384, 14, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182072, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 518, 2, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182073, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 343, 10, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182074, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 251, 20, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182075, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 677, 215, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182076, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 538, 77, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182077, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '', 0, 1, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182078, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 449, 8, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182079, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 11848, 5, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182080, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 260, 10, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182081, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 611, 21, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182082, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 521, 80, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182083, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 5169, 9, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182084, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 511, 12, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182085, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 8, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182086, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 9422, 1, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182087, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 179, 3, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182088, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 6477, 4, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 449, 8, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 1718, 8, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 179, 3, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 611, 21, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 575, 28, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 636, 31, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 254, 18, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 751, 9, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 676, 31, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 204, 17, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 1180, 26, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 479, 21, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 652, 39, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 255, 16, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 354, 13, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 573, 10, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 652, 44, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 713, 32, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 371, 16, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 719, 21, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 530, 19, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 675, 23, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 545, 14, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 572, 26, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 473, 22, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 784, 21, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 251, 20, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 686, 43, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1014, 1, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 572, 41, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 5, 3, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 585, 62, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 525, 15, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 381, 9, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 508, 7, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 114, 6, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 602, 20, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 511, 12, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 14810, 4, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1803, 18, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 561, 34, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 851, 31, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 389, 10, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 946, 5, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 372, 4, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 237, 2, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 266, 6, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 518, 2, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 8, 1, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 87, 7, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2886, 9, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 365, 14, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 4, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 57, 1, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 570, 16, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D15', 11630, 4, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 9422, 1, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B14', 11, 1, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 3495, 2, 2024, 1, 15, '2024-08-05 15:59:19', NULL, NULL), (182148, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 372, 15, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182149, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 704, 66, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182150, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 381, 9, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182151, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 783, 188, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182152, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 292, 22, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182153, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 696, 21, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182154, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 9422, 1, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182155, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 384, 14, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182156, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 611, 21, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182157, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 666, 178, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182158, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 14810, 4, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182159, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 179, 3, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182160, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 602, 20, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182161, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 5, 3, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182162, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 6477, 4, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182163, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 1401, 5, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182164, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 700, 6, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182165, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 8, 1, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182166, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 570, 16, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182167, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 521, 80, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182168, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 545, 76, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182169, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 238, 51, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182170, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 260, 10, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182171, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 159, 3, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182172, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 11630, 4, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182173, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 449, 8, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182174, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 518, 2, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182175, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 412, 50, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182176, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 2333, 3, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182177, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 114, 6, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182178, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 508, 7, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182179, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 251, 20, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182180, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 511, 12, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182181, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1803, 18, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182182, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 147, 4, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182183, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 57, 1, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182184, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 354, 6, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182185, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 5, 3, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182186, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 1014, 1, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182187, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1803, 18, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182188, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 1182, 4, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182189, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 561, 34, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182190, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 8, 3, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182191, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 266, 6, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182192, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 851, 31, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182193, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 4, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182194, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 611, 21, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182195, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 14, 5, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (182196, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D15', 11630, 4, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182197, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 454, 3, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182198, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 177, 7, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182199, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 385, 9, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182200, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 602, 20, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182201, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 725, 3, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182202, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 511, 12, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182203, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 508, 7, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182204, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 381, 9, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182205, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 389, 10, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182206, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 473, 22, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182207, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 530, 19, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182208, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 545, 14, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182209, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 573, 10, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182210, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 372, 4, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182211, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 518, 2, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182212, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 614, 29, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182213, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 6477, 4, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182214, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 1207, 8, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182215, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 744, 30, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182216, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 8, 1, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182217, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 563, 18, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182218, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 708, 20, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182219, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 57, 1, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182220, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 449, 8, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182221, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 568, 37, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182222, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 653, 36, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182223, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 147, 4, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182224, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 525, 15, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182225, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 255, 16, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182226, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 371, 16, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182227, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 254, 18, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182228, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 9422, 1, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182229, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 479, 21, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182230, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 204, 17, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182231, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 354, 13, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182232, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 179, 3, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182233, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 3495, 2, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182234, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B14', 11, 1, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182235, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 2, 1, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182236, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 237, 2, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182237, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 365, 14, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182238, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 1401, 5, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182239, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 686, 43, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182240, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 570, 16, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182241, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 238, 2, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182242, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 1718, 8, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182243, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 340, 2, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182244, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 641, 3, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182245, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 784, 21, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182246, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 1307, 2, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182247, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 700, 6, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182248, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 114, 6, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182249, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 676, 31, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182250, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 585, 62, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182251, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 751, 9, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182252, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 1180, 26, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182253, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 575, 28, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182254, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 251, 20, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182255, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 636, 31, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182256, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 14810, 4, 2024, 1, 15, '2024-08-05 15:59:20', NULL, NULL), (182257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 2, 1, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 575, 28, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 1718, 8, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 686, 43, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 784, 21, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 572, 41, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 6477, 4, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 147, 4, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 1401, 5, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 237, 2, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 1180, 26, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 676, 31, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 636, 31, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 3495, 2, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 851, 31, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 585, 62, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1014, 1, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B14', 11, 1, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 14810, 4, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 561, 34, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 525, 15, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 179, 3, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 365, 14, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 473, 22, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 530, 19, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 545, 14, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 573, 10, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 371, 16, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D15', 11630, 4, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 479, 21, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 354, 13, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 389, 10, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 372, 4, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 511, 12, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1803, 18, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 602, 20, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 114, 6, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 381, 9, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 5, 3, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 508, 7, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 1182, 4, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 9422, 1, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 255, 16, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 204, 17, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 675, 23, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 572, 26, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 4, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 570, 16, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 57, 1, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 251, 20, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 713, 32, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 719, 21, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 8, 1, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 266, 6, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 611, 21, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 652, 39, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 449, 8, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 556, 39, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 254, 18, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 751, 9, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 14, 5, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 8, 3, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 518, 2, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182320, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 57, 1, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182321, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 365, 14, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182322, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 611, 21, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182323, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 6477, 4, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182324, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 585, 62, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182325, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 614, 29, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182326, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 725, 3, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182327, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 255, 16, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182328, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 204, 17, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182329, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 254, 18, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182330, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 14, 5, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182331, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 4, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182332, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 266, 6, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182333, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 8, 3, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182334, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 1182, 4, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182335, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 449, 8, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182336, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 14810, 4, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182337, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 381, 9, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182338, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 525, 15, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182339, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 147, 4, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182340, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 508, 7, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182341, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 602, 20, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182342, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 389, 10, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182343, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 372, 4, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182344, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 354, 6, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182345, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 784, 21, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182346, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 114, 6, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182347, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 511, 12, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182348, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 686, 43, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182349, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 1718, 8, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182350, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 575, 28, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182351, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 479, 21, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182352, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 636, 31, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182353, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 354, 13, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182354, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 676, 31, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182355, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 570, 16, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182356, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 1180, 26, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182357, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 518, 2, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182358, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 371, 16, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182359, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 1401, 5, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182360, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 2, 1, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182361, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 545, 14, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182362, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 573, 10, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182363, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 237, 2, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182364, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 251, 20, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182365, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 5, 3, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182366, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 530, 19, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182367, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 473, 22, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182368, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1803, 18, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182369, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 700, 6, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182370, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 1307, 2, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182371, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 561, 34, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182372, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 9422, 1, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182373, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D15', 11630, 4, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182374, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 851, 31, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182375, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 238, 2, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182376, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 340, 2, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182377, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 1014, 1, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182378, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 641, 3, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182379, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 454, 3, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182380, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 751, 9, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182381, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 385, 9, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182382, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 177, 7, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182383, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 3495, 2, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182384, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 568, 37, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182385, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 744, 30, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182386, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 8, 1, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182387, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B14', 11, 1, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182388, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 653, 36, 2024, 1, 15, '2024-08-05 15:59:21', NULL, NULL), (182389, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 179, 3, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182390, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 563, 18, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182391, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 1207, 8, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182392, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 708, 20, 2024, 1, 15, '2024-08-05 15:59:22', NULL, NULL), (182393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 546, 121, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 18, 2, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 4816, 4, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 115, 128, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 1084, 36, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 926, 1, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 732, 172, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 342, 146, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 49, 8, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1361, 140, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 2023, 11, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 820, 176, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 375, 42, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 455, 33, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 838, 59, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 572, 91, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 493, 65, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 591, 177, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 539, 123, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182412, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 18, 2, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182413, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 2, 2, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182414, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 47, 16, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182415, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 115, 128, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182416, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 49, 8, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182417, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 6420, 3, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182418, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 1, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182419, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 3, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182420, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1936, 66, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182421, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1371, 20, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182422, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 180, 13, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182423, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182424, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 2110, 5, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182425, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 882, 58, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182426, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 511, 9, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182427, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 408, 36, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182428, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 16046, 2, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182429, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 5, 3, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182430, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 9, 1, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182431, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 165, 13, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182432, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 376, 25, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182433, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 1, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182434, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 62, 2, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182435, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 198, 2, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182436, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 237, 7, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182437, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 57, 22, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182438, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 354, 112, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182439, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 803, 72, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182440, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 9951, 2, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182441, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 730, 14, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182442, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 3, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182443, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 348, 11, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182444, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 122, 28, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182445, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 584, 66, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182446, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 705, 7, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182447, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 575, 10, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182448, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182449, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 188, 1, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182450, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 343, 18, 2024, 1, 16, '2024-08-05 15:59:23', NULL, NULL), (182451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 343, 18, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 730, 14, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 116, 32, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 122, 28, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 118, 22, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 94, 26, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 430, 2, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 1176, 13, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 724, 26, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 432, 15, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 139, 18, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 314, 8, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 895, 19, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 358, 31, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 463, 14, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 397, 26, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 438, 13, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 469, 26, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 675, 16, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 166, 16, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 474, 11, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 549, 10, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 845, 3, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 297, 15, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 569, 10, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 103, 18, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 77, 10, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 60, 21, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1544, 32, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 225, 22, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 49, 8, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 630, 12, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 816, 34, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 237, 7, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 5, 3, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 2637, 4, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 165, 13, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 19903, 1, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 575, 10, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1371, 20, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 2305, 34, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 392, 1, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B05', 18, 2, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 5, 1, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 3, 3, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 23, 3, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 9, 1, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2793, 7, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 1, 3, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 98, 4, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 791, 38, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 511, 9, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D14', 26, 1, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D15', 4911, 1, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 188, 1, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 16046, 2, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182507, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 180, 13, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182508, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 348, 11, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182509, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1936, 66, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182510, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 19903, 1, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182511, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 237, 7, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182512, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 4, 1, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182513, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 115, 128, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182514, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 47, 16, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182515, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 386, 23, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182516, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 188, 1, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182517, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 198, 2, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182518, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 2468, 2, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182519, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 122, 28, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182520, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 359, 97, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182521, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 730, 14, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182522, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 343, 18, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182523, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 165, 13, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182524, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 49, 8, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182525, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 18, 2, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182526, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 408, 36, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182527, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 2637, 4, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182528, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 16046, 2, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182529, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 5, 3, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182530, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 60, 21, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182531, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 62, 2, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182532, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 9, 1, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182533, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 575, 10, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182534, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1371, 20, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182535, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 511, 9, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182536, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 6420, 3, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182537, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 593, 65, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182538, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 803, 72, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182539, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 882, 58, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182540, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 42, 5, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182541, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 49, 8, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182542, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 1544, 32, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182543, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1371, 20, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182544, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 2, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182545, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 73, 4, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182546, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 23, 3, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182547, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 2305, 34, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182548, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 98, 4, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182549, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 1, 3, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182550, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 122, 28, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182551, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D14', 26, 1, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182552, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D15', 4911, 1, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182553, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 556, 3, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182554, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 270, 8, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182555, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 165, 13, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182556, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 267, 8, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182557, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 96, 3, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182558, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 575, 10, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182559, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 5, 3, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182560, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 237, 7, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182561, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 392, 1, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182562, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 569, 10, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182563, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 845, 3, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182564, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 675, 16, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182565, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 549, 10, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182566, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 5, 1, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182567, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 463, 14, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182568, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 231, 11, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182569, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 69, 5, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182570, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 466, 20, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182571, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 367, 8, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182572, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 9, 1, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182573, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 401, 6, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182574, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 413, 25, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182575, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 730, 14, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182576, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 316, 22, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182577, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 6420, 3, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182578, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B05', 18, 2, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182579, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 630, 12, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182580, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 895, 19, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182581, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 438, 13, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182582, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 188, 1, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182583, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 1176, 13, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182584, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 432, 15, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182585, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 314, 8, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182586, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 724, 26, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182587, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 343, 18, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182588, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 16046, 2, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182589, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 4, 1, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182590, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 791, 38, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182591, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 23, 1, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182592, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 77, 10, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182593, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 511, 9, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182594, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 481, 6, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182595, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 116, 32, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182596, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 8, 1, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182597, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 462, 9, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182598, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 103, 18, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182599, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 653, 2, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL), (182600, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 216, 1, 2024, 1, 16, '2024-08-05 15:59:24', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (182601, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 62, 2, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182602, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 19903, 1, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182603, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 2637, 4, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182604, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 430, 2, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182605, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 139, 18, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182606, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 60, 21, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182607, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 118, 22, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182608, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 94, 26, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182609, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 816, 34, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 4, 1, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 118, 22, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 116, 32, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 77, 10, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 225, 22, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 103, 18, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 6420, 3, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 139, 18, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 430, 2, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 94, 26, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 816, 34, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 2305, 34, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1544, 32, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 16046, 2, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 630, 12, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 343, 18, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 791, 38, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 926, 1, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 569, 10, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 845, 3, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 675, 16, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 549, 10, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 463, 14, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 438, 13, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D15', 4911, 1, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 432, 15, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 314, 8, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D14', 26, 1, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 392, 1, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 5, 1, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B05', 18, 2, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 575, 10, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1371, 20, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 165, 13, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 19903, 1, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 2637, 4, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 237, 7, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 5, 3, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 49, 8, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 2, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 188, 1, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 895, 19, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 724, 26, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 429, 10, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 297, 15, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 98, 4, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 511, 9, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 469, 26, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 60, 21, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 166, 16, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 9, 1, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 23, 3, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 122, 28, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 358, 31, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 397, 26, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 730, 14, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 1, 3, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 1176, 13, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 73, 4, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182669, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 122, 28, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182670, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 791, 38, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182671, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 231, 11, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182672, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 96, 3, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182673, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 895, 19, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182674, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 724, 26, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182675, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 816, 34, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182676, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 1176, 13, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182677, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 1, 3, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182678, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 98, 4, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182679, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 23, 3, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182680, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 73, 4, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182681, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 2, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182682, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B05', 18, 2, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182683, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 730, 14, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182684, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 630, 12, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182685, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 237, 7, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182686, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 6420, 3, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182687, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 5, 3, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182688, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 165, 13, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182689, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 392, 1, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182690, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 5, 1, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182691, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 42, 5, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182692, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 103, 18, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182693, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 2637, 4, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182694, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 575, 10, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182695, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 77, 10, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182696, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 116, 32, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182697, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 432, 15, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182698, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 118, 22, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182699, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 314, 8, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182700, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 94, 26, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182701, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 430, 2, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182702, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 511, 9, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182703, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 438, 13, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182704, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 139, 18, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182705, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 4, 1, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182706, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 549, 10, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182707, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 463, 14, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182708, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 60, 21, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182709, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 49, 8, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182710, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 675, 16, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182711, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 569, 10, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182712, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1371, 20, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182713, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 19903, 1, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182714, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 845, 3, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182715, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 62, 2, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182716, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 653, 2, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182717, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 216, 1, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182718, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 188, 1, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182719, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D14', 26, 1, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182720, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 23, 1, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182721, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D15', 4911, 1, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182722, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 2305, 34, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182723, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 481, 6, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182724, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 8, 1, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182725, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 1544, 32, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182726, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 556, 3, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182727, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 462, 9, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182728, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 16046, 2, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182729, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 270, 8, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182730, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 267, 8, 2024, 1, 16, '2024-08-05 15:59:26', NULL, NULL), (182731, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 413, 25, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182732, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 466, 20, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182733, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 9, 1, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182734, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 316, 22, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182735, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 367, 8, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182736, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 343, 18, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182737, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 69, 5, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182738, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 401, 6, 2024, 1, 16, '2024-08-05 15:59:25', NULL, NULL), (182739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 528, 130, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2006, 7, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 198, 153, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 838, 35, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 3471, 3, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 784, 188, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 167, 132, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 165, 5, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 584, 109, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 11, 1, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1073, 14, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 674, 175, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 562, 45, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 365, 26, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 255, 67, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 329, 161, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 725, 75, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 481, 122, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 330, 91, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182758, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 7, 1, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182759, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182760, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 2339, 6, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182761, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 72, 23, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182762, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 198, 153, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182763, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 165, 5, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182764, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 12, 1, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182765, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 1, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182766, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 629, 15, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182767, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 740, 52, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182768, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 294, 8, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182769, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182770, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 813, 5, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182771, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 389, 59, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182772, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 2345, 14, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182773, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 638, 40, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182774, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 6649, 3, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182775, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 2, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182776, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 169, 3, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182777, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 7, 1, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182778, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 366, 15, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182779, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 143, 28, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182780, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182781, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 386, 9, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182782, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1687, 2, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182783, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 361, 21, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182784, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 160, 89, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182785, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 360, 59, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182786, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 11, 1, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182787, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 8200, 4, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182788, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 677, 19, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182789, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 2, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182790, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 816, 31, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182791, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 197, 14, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182792, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 291, 69, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182793, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 490, 8, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182794, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 471, 11, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182795, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182796, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 2325, 2, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182797, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 968, 8, 2024, 1, 17, '2024-08-05 15:59:27', NULL, NULL), (182798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 968, 8, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 677, 19, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 172, 20, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 816, 31, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 146, 21, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 215, 26, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 183, 13, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 88, 21, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 313, 29, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 147, 28, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 443, 13, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 678, 17, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 119, 22, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 535, 14, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 201, 16, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 110, 14, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 173, 16, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 945, 13, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 150, 28, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 146, 15, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 780, 17, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 363, 11, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 339, 16, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 688, 11, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 202, 9, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 432, 27, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 63, 10, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 361, 21, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 119, 22, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 896, 20, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 165, 5, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 469, 25, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 184, 7, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 11, 1, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1687, 2, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 169, 3, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 813, 5, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 392, 14, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 8200, 4, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 471, 11, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 629, 15, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 798, 14, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 523, 18, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 385, 8, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 26, 6, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 392, 1, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 2806, 5, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 76, 6, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 7, 1, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 7, 2, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 141, 6, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 39, 5, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 307, 31, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 7, 1, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 2526, 13, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D15', 3925, 1, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 2325, 2, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 6649, 3, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182856, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 294, 8, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182857, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 197, 14, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182858, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 740, 52, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182859, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 8200, 4, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182860, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1687, 2, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182861, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 2339, 6, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182862, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 198, 153, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182863, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 72, 23, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182864, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 143, 28, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182865, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 2325, 2, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182866, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 386, 9, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182867, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 816, 31, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182868, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 3925, 1, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182869, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 157, 82, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182870, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 677, 19, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182871, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 968, 8, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182872, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 392, 14, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182873, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 165, 5, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182874, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 638, 40, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182875, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 6649, 3, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182876, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 813, 5, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182877, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 169, 3, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182878, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 11, 1, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182879, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 361, 21, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182880, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 7, 1, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182881, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 471, 11, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182882, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 629, 15, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182883, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 2526, 13, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182884, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 12, 1, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182885, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 291, 69, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182886, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 379, 56, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182887, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 389, 59, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182888, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 7, 1, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182889, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 515, 2, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182890, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 165, 5, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182891, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 523, 18, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182892, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 629, 15, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182893, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D07', 896, 20, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182894, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 31, 5, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182895, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 798, 14, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182896, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 1, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182897, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 76, 6, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182898, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 39, 5, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182899, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 141, 6, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182900, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 816, 31, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182901, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D15', 3925, 1, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182902, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 190, 3, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182903, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 199, 11, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182904, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 221, 6, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182905, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 392, 14, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182906, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 7, 1, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182907, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 471, 11, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182908, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 169, 3, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182909, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1687, 2, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182910, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 385, 8, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182911, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 202, 9, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182912, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 688, 11, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182913, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 146, 15, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182914, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 363, 11, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182915, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 201, 16, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182916, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 392, 1, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182917, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 86, 15, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182918, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 129, 10, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182919, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 182, 15, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182920, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 7, 1, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182921, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 317, 12, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182922, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 198, 6, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182923, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 7, 1, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182924, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 677, 19, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182925, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 134, 7, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182926, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 99, 17, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182927, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 12, 1, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182928, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 184, 7, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182929, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 678, 17, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182930, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 945, 13, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182931, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 2325, 2, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182932, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 183, 13, 2024, 1, 17, '2024-08-05 15:59:28', NULL, NULL), (182933, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 443, 13, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182934, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 313, 29, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182935, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 535, 14, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182936, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 968, 8, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182937, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 6649, 3, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182938, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 3, 1, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182939, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 2806, 5, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182940, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 307, 31, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182941, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 11, 1, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182942, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 105, 7, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182943, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 2526, 13, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182944, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 63, 10, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182945, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 51, 1, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182946, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 172, 20, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182947, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 86, 7, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182948, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 188, 5, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182949, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 432, 27, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182950, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 292, 2, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182951, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 220, 5, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182952, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 8200, 4, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182953, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 813, 5, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182954, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 88, 21, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182955, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 469, 25, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182956, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 147, 28, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182957, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 361, 21, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182958, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 146, 21, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182959, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 215, 26, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 3, 1, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 146, 21, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 172, 20, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 63, 10, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 119, 22, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 432, 27, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 12, 1, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 2806, 5, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (182968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 147, 28, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 88, 21, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 215, 26, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 523, 18, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 6649, 3, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 469, 25, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 896, 20, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 798, 14, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 184, 7, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 968, 8, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 307, 31, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 11, 1, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 3471, 3, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 202, 9, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 688, 11, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 146, 15, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 363, 11, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 201, 16, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 945, 13, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D15', 3925, 1, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 443, 13, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 535, 14, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 385, 8, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 392, 1, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 471, 11, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 629, 15, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 392, 14, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 8200, 4, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 813, 5, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1687, 2, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 169, 3, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (182999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 165, 5, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (183000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 31, 5, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (183001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 2325, 2, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (183002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 678, 17, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (183003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 313, 29, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (183004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 204, 14, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (183005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 2526, 13, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (183006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 339, 16, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (183007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 39, 5, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (183008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 7, 1, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (183009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 173, 16, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (183010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 361, 21, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (183011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 150, 28, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (183012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 7, 1, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (183013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 76, 6, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (183014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 816, 31, 2024, 1, 17, '2024-08-05 15:59:29', NULL, NULL), (183015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 119, 22, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 677, 19, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 110, 14, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 183, 13, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 141, 6, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 1, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183021, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 7, 1, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183022, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 816, 31, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183023, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 307, 31, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183024, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 469, 25, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183025, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 86, 15, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183026, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 7, 1, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183027, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 678, 17, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183028, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 313, 29, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183029, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 183, 13, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183030, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 141, 6, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183031, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 39, 5, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183032, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 76, 6, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183033, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 1, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183034, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 31, 5, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183035, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 677, 19, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183036, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1687, 2, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183037, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 184, 7, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183038, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 12, 1, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183039, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 169, 3, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183040, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 392, 14, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183041, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 385, 8, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183042, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 392, 1, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183043, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 515, 2, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183044, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 432, 27, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183045, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 813, 5, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183046, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 471, 11, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183047, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 63, 10, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183048, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 172, 20, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183049, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 146, 21, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183050, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 443, 13, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183051, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 535, 14, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183052, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 215, 26, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183053, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 2526, 13, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183054, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 88, 21, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183055, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 147, 28, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183056, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 945, 13, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183057, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 3, 1, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183058, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 363, 11, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183059, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 201, 16, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183060, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 2806, 5, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183061, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 361, 21, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183062, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 165, 5, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183063, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 146, 15, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183064, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 629, 15, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183065, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 202, 9, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183066, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 8200, 4, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183067, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 688, 11, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183068, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 11, 1, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183069, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 292, 2, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183070, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 798, 14, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183071, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 2325, 2, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183072, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 220, 5, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183073, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 105, 7, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183074, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D15', 3925, 1, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183075, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 51, 1, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183076, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 523, 18, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183077, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 86, 7, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183078, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D07', 896, 20, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183079, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 188, 5, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183080, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 190, 3, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183081, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 221, 6, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183082, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 199, 11, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183083, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 134, 7, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183084, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 6649, 3, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183085, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 182, 15, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183086, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 7, 1, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183087, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 99, 17, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183088, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 317, 12, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183089, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 968, 8, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183090, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 129, 10, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183091, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 198, 6, 2024, 1, 17, '2024-08-05 15:59:30', NULL, NULL), (183092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 473, 100, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 3245, 4, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 4376, 6, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 6, 1, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 195, 124, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 54, 30, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 6, 1, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 634, 196, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 161, 132, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 3, 3, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 434, 114, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1725, 16, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 414, 183, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 291, 43, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 192, 35, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 230, 72, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 463, 109, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 299, 39, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 294, 113, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 559, 124, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183112, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 3, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183113, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 8, 4, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183114, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 5, 24, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183115, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 12, 2, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183116, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 195, 124, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183117, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 3, 3, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183118, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 4370, 6, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183119, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 1, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183120, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1608, 8, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183121, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 312, 57, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183122, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 2596, 5, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183123, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 702, 6, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183124, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 184, 12, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183125, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 165, 38, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183126, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 9, 10, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183127, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 194, 37, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183128, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 2962, 5, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183129, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 148, 1, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183130, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 307, 17, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183131, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 180, 24, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183132, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1531, 6, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183133, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 126, 4, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183134, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 90, 18, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183135, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 122, 98, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183136, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 566, 56, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183137, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 10405, 4, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183138, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 2019, 11, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183139, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183140, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183141, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 413, 9, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183142, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 522, 33, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183143, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 255, 89, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183144, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 9, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183145, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 442, 13, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183146, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183147, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 249, 6, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183148, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 249, 6, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 2019, 11, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 182, 23, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 196, 24, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 522, 33, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 229, 17, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 382, 7, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 155, 22, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 101, 19, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 272, 13, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 141, 21, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 139, 12, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 129, 9, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 497, 33, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 205, 10, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 70, 12, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 165, 15, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 308, 17, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 114, 10, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 247, 16, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 166, 13, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 177, 18, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 248, 12, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 271, 25, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 242, 26, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 136, 12, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 90, 18, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 144, 24, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 4, 2, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 653, 22, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 3, 1, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 362, 16, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 126, 4, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 2962, 5, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 842, 5, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 307, 17, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 20810, 2, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 479, 12, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1608, 8, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 277, 16, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 330, 24, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 320, 17, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 1749, 4, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1094, 2, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 4, 5, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 6, 3, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 7, 5, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 148, 1, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3751, 7, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 2, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 4, 8, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 510, 34, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 9, 10, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D15', 24, 1, 2024, 1, 18, '2024-08-05 15:59:32', NULL, NULL), (183203, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 184, 12, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183204, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 413, 9, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183205, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 312, 57, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183206, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 20810, 2, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183207, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 126, 4, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183208, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 8, 4, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183209, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 195, 124, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183210, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 5, 24, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183211, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 188, 23, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183212, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1531, 6, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183213, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 522, 33, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183214, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 125, 88, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183215, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 2019, 11, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183216, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 249, 6, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183217, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 307, 17, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183218, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 3, 3, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183219, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 194, 37, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183220, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 3245, 4, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183221, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 842, 5, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183222, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 2962, 5, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183223, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 90, 18, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183224, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 148, 1, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183225, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 479, 12, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183226, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1608, 8, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183227, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 9, 10, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183228, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 13111, 2, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183229, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 255, 89, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183230, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 566, 56, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183231, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '翠屏区公安', '', '', 24, 1, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183232, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 165, 38, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183233, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 237, 4, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183234, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 3, 1, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183235, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 4, 2, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183236, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 320, 17, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183237, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1608, 8, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183238, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 277, 16, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183239, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 2, 4, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183240, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 6, 5, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183241, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 330, 24, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183242, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 7, 5, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183243, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 4, 8, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183244, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 2, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183245, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 522, 33, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183246, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 249, 3, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183247, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 496, 6, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183248, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 307, 17, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183249, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 157, 8, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183250, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 111, 3, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183251, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 479, 12, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183252, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 2962, 5, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183253, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 126, 4, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183254, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 1749, 4, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183255, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 271, 25, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183256, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 248, 12, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183257, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 114, 10, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183258, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 247, 16, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183259, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1094, 2, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183260, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 205, 10, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183261, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 144, 13, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183262, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 177, 6, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183263, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 73, 9, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183264, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 148, 1, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183265, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 179, 11, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183266, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 188, 7, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183267, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 115, 26, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183268, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 2019, 11, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183269, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 72, 16, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183270, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 13111, 2, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183271, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 362, 16, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183272, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 139, 12, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183273, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 165, 15, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183274, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 382, 7, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183275, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 272, 13, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183276, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 101, 19, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183277, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 129, 9, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183278, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 249, 6, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183279, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '3D15', 24, 1, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183280, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 16, 1, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183281, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 6, 3, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183282, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 510, 34, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183283, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 3245, 4, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183284, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 240, 5, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183285, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 9, 10, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183286, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 136, 12, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183287, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 91, 2, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183288, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 182, 23, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183289, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 143, 3, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183290, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 363, 5, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183291, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 242, 26, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183292, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 90, 3, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183293, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 44, 2, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183294, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 20810, 2, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183295, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 842, 5, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183296, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 155, 22, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183297, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 653, 22, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183298, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 196, 24, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183299, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 90, 18, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183300, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 229, 17, 2024, 1, 18, '2024-08-05 15:59:33', NULL, NULL), (183301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 16, 1, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 196, 24, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 182, 23, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 136, 12, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 144, 24, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 242, 26, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 13111, 2, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 3245, 4, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 6, 3, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 155, 22, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 229, 17, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 320, 17, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 653, 22, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 277, 16, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 330, 24, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 362, 16, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 249, 6, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 510, 34, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 6, 1, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 271, 25, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 248, 12, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 114, 10, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 247, 16, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 205, 10, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 165, 15, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D15', 24, 1, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 272, 13, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 129, 9, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 6, 1, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 1749, 4, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1094, 2, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 3, 1, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 479, 12, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1608, 8, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 307, 17, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 20810, 2, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 842, 5, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 126, 4, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 4, 2, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 2962, 5, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 2, 4, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 139, 12, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 101, 19, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 179, 12, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 177, 18, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 9, 10, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 4, 8, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 76, 11, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 90, 18, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 308, 17, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 148, 1, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 7, 5, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 141, 21, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 522, 33, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 118, 29, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 2019, 11, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 2, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 382, 7, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 6, 5, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183360, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 522, 33, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183361, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 510, 34, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183362, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 653, 22, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183363, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 144, 13, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183364, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 111, 3, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183365, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 139, 12, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183366, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 101, 19, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183367, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 382, 7, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183368, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 2, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183369, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 4, 8, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183370, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 7, 5, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183371, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 6, 5, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183372, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 2, 4, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183373, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 2019, 11, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183374, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 126, 4, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183375, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 362, 16, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183376, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 13111, 2, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183377, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 2962, 5, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183378, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 307, 17, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183379, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 1749, 4, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183380, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1094, 2, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183381, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 237, 4, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183382, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 842, 5, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183383, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 242, 26, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183384, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 479, 12, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183385, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 136, 12, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183386, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 182, 23, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183387, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 196, 24, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183388, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 272, 13, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183389, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 229, 17, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183390, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 129, 9, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183391, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 155, 22, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183392, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 9, 10, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183393, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 165, 15, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183394, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 3245, 4, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183395, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 16, 1, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183396, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 247, 16, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183397, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 205, 10, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183398, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 6, 3, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183399, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 90, 18, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183400, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 3, 1, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183401, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 4, 2, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183402, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 114, 10, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183403, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1608, 8, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183404, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 271, 25, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183405, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 20810, 2, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183406, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 248, 12, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183407, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 277, 16, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183408, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 90, 3, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (183409, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 44, 2, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183410, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 330, 24, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183411, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 240, 5, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183412, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 91, 2, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183413, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 320, 17, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183414, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 143, 3, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183415, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 363, 5, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183416, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '翠屏区公安', '', '3D15', 24, 1, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183417, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 249, 3, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183418, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 496, 6, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183419, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 157, 8, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183420, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 115, 26, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183421, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 73, 9, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183422, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 148, 1, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183423, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 72, 16, 2024, 1, 18, '2024-08-05 15:59:34', NULL, NULL), (183424, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 249, 6, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183425, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 179, 11, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183426, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 177, 6, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183427, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 188, 7, 2024, 1, 18, '2024-08-05 15:59:35', NULL, NULL), (183428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 699, 122, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 3594, 4, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 140, 118, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 332, 33, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 674, 166, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 27, 100, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 7, 1, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 637, 105, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1482, 11, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 457, 144, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 332, 54, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 323, 24, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 451, 72, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 308, 79, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 322, 38, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 491, 144, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 625, 85, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183445, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 17, 1, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183446, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 18, 2, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183447, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 229, 18, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183448, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 140, 118, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183449, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 7, 1, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183450, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 19, 1, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183451, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 3, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183452, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 174, 16, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183453, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 380, 39, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183454, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 1472, 4, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183455, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 52, 8, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183456, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 438, 51, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183457, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 603, 11, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183458, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1446, 34, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183459, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 728, 2, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183460, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 190, 1, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183461, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 206, 9, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183462, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 6, 19, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183463, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183464, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 8, 1, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183465, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 10, 1, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183466, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1601, 2, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183467, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 902, 3, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183468, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 260, 24, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183469, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 27, 80, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183470, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 789, 66, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183471, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 2, 4, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183472, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 452, 14, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183473, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183474, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 1527, 33, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183475, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 96, 5, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183476, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 435, 70, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183477, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 5, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183478, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 604, 15, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183479, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 14323, 1, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183480, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 448, 12, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183481, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 1, 19, '2024-08-05 15:59:36', NULL, NULL), (183482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 452, 14, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 448, 12, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 112, 19, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 1527, 33, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 101, 19, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 158, 19, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 230, 19, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 469, 16, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 2296, 9, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 130, 20, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 454, 24, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 30, 16, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 357, 11, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1235, 14, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 3, 9, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 59, 11, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1018, 11, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 35, 15, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 265, 13, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 30, 16, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 436, 14, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 423, 11, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 25, 16, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 583, 21, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 134, 19, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 4, 3, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 260, 24, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 10, 17, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 7, 1, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 815, 43, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 740, 23, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 366, 11, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 902, 3, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 190, 1, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 1472, 4, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 206, 9, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 4, 2, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 648, 14, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 185, 15, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 463, 21, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 283, 18, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 739, 5, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1601, 2, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 10, 1, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 11, 1, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 51, 3, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 16, 3, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2083, 7, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 3, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 17, 1, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 603, 11, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B14', 12, 1, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 1444, 1, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183535, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 52, 8, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183536, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 380, 39, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183537, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 96, 5, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183538, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 4, 2, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183539, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 902, 3, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183540, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 18, 2, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183541, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 140, 118, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183542, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 229, 18, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183543, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 6, 18, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183544, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1601, 2, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183545, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 1527, 33, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183546, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 25, 68, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183547, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 452, 14, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183548, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 448, 12, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183549, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 206, 9, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183550, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 14323, 1, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183551, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 7, 1, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183552, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 10, 1, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183553, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1446, 34, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183554, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 1472, 4, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183555, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 728, 2, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183556, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 190, 1, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183557, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 260, 24, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183558, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 8, 1, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183559, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 648, 14, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183560, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 185, 15, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183561, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 603, 11, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183562, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 19, 1, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183563, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 435, 70, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183564, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 789, 66, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183565, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 438, 51, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183566, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 17, 1, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183567, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 89, 4, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183568, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 7, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183569, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 185, 15, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183570, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 463, 21, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183571, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 918, 4, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183572, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 15, 2, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183573, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 51, 3, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183574, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 283, 18, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183575, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 3, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183576, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 44, 6, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183577, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 1527, 33, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183578, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 74, 2, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183579, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 111, 3, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183580, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 14, 4, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183581, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 206, 9, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183582, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 4, 5, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183583, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 648, 14, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183584, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 190, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183585, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 902, 3, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183586, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 583, 21, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183587, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 423, 11, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183588, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 265, 13, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183589, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 436, 14, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183590, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1601, 2, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183591, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 10, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183592, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 12, 8, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183593, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 14323, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183594, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 17, 11, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183595, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 78, 8, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183596, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 4, 8, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183597, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 26, 12, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183598, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 17, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183599, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 452, 14, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183600, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 3, 8, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183601, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 35, 13, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183602, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 19, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183603, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 366, 11, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183604, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 357, 11, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183605, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1018, 11, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183606, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 2296, 9, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183607, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 469, 16, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183608, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 454, 24, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183609, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1235, 14, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183610, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 448, 12, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183611, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 1444, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183612, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B14', 12, 1, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183613, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 25, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183614, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 11, 1, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183615, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 4, 3, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183616, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 603, 11, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183617, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 10, 3, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183618, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 112, 19, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183619, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 8, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183620, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 11, 3, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183621, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 134, 19, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183622, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 4, 4, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183623, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 5, 2, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183624, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 8, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183625, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 4, 2, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183626, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 1472, 4, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183627, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 230, 19, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183628, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 815, 43, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183629, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 130, 20, 2024, 1, 19, '2024-08-05 15:59:37', NULL, NULL), (183630, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 260, 24, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183631, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 101, 19, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183632, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 158, 19, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183633, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 740, 23, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 25, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 101, 19, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 112, 19, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 4, 3, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 10, 17, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 134, 19, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 14323, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 19, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 11, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 130, 20, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 230, 19, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 158, 19, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 740, 23, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 1444, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 283, 18, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 815, 43, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B14', 12, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 463, 21, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 366, 11, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 448, 12, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 583, 21, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 423, 11, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 265, 13, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 436, 14, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1018, 11, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 2296, 9, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1235, 14, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1601, 2, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 648, 14, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 185, 15, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 206, 9, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 4, 2, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 1472, 4, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 902, 3, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 190, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 7, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 918, 4, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 357, 11, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 454, 24, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 30, 16, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 3, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 25, 16, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 603, 11, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 17, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 59, 11, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 260, 24, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 35, 15, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 51, 3, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 30, 16, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 1527, 33, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 452, 14, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 3, 9, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 10, 1, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 469, 16, 2024, 1, 19, '2024-08-05 15:59:38', NULL, NULL), (183688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 44, 6, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 15, 2, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183690, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 17, 1, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183691, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 1527, 33, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183692, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 14323, 1, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183693, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 815, 43, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183694, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 12, 8, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183695, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 4, 5, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183696, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 357, 11, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183697, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 740, 23, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183698, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 454, 24, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183699, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 469, 16, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183700, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 44, 6, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183701, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 3, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183702, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 51, 3, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183703, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 15, 2, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183704, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 918, 4, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183705, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 452, 14, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183706, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 366, 11, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183707, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 902, 3, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183708, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 19, 1, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183709, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 190, 1, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183710, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 206, 9, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183711, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1601, 2, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183712, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 10, 1, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183713, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 1472, 4, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183714, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 89, 4, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183715, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 134, 19, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183716, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 4, 3, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183717, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 648, 14, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183718, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 112, 19, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183719, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 2296, 9, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183720, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 101, 19, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183721, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 158, 19, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183722, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1235, 14, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183723, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 230, 19, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183724, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 603, 11, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183725, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 130, 20, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183726, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1018, 11, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183727, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 25, 1, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183728, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 436, 14, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183729, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 11, 1, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183730, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 260, 24, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183731, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 7, 1, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183732, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 265, 13, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183733, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 185, 15, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183734, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 583, 21, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183735, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 4, 2, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183736, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 423, 11, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183737, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 8, 1, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183738, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 463, 21, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183739, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 4, 4, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183740, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 5, 2, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183741, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 283, 18, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183742, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 10, 3, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183743, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 8, 1, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183744, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 11, 3, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183745, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 74, 2, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183746, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 14, 4, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183747, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 111, 3, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183748, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 1444, 1, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183749, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 3, 8, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183750, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 78, 8, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183751, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B14', 12, 1, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183752, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 35, 13, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183753, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 4, 8, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183754, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 448, 12, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183755, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 17, 11, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183756, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 26, 12, 2024, 1, 19, '2024-08-05 15:59:39', NULL, NULL), (183757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 1, 2024, 1, 20, '2024-08-05 15:59:41', NULL, NULL), (183758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 2, 2024, 1, 20, '2024-08-05 15:59:41', NULL, NULL), (183759, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 1, 20, '2024-08-05 15:59:41', NULL, NULL), (183760, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 2, 2024, 1, 20, '2024-08-05 15:59:41', NULL, NULL), (183761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 831, 101, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 480, 1, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 19, 9, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 366, 156, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 181, 32, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 10, 1, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 723, 224, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 56, 85, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 8, 5, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 604, 165, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 184, 15, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 536, 210, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 494, 42, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 390, 28, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 611, 76, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 440, 107, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 331, 68, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 458, 127, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 609, 139, 2024, 1, 22, '2024-08-05 15:59:48', NULL, NULL), (183780, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183781, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 30, 5, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183782, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183783, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 124, 21, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183784, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 366, 156, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183785, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 8, 5, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183786, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 6, 3, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183787, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183788, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1728, 16, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183789, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 120, 49, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183790, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 80, 6, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183791, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 63, 8, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183792, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 61, 6, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183793, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 495, 40, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183794, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 93, 13, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183795, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1180, 49, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183796, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 2424, 1, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183797, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 911, 11, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183798, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 52, 3, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183799, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 781, 13, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183800, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 45, 15, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183801, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183802, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1059, 13, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183803, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 2481, 4, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183804, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 887, 20, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183805, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 44, 62, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183806, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 406, 111, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183807, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 1285, 3, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183808, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 1347, 30, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183809, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1224, 3, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183810, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 129, 8, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183811, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 318, 19, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183812, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 266, 81, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183813, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 5001, 9, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183814, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 412, 13, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (183815, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183816, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 6, 1, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183817, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 74, 10, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183818, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 1, 22, '2024-08-05 15:59:49', NULL, NULL), (183819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 216, 9, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 74, 10, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 1836, 22, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 461, 17, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 318, 19, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 12, 1, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 393, 26, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 660, 18, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 431, 34, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 360, 22, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1270, 17, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 38, 13, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 978, 15, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 275, 8, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 51, 16, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1270, 17, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 58, 12, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 73, 14, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 183, 11, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 62, 9, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 244, 17, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 239, 16, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 434, 12, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 288, 30, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 887, 20, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 355, 39, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 73, 23, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 5, 3, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 407, 42, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 14, 2, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 445, 25, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 259, 16, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 2481, 4, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 911, 11, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 61, 6, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 781, 13, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 1285, 3, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 342, 12, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1224, 3, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1728, 16, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 239, 13, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 52, 11, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 146, 11, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 44, 14, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 1259, 1, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 718, 5, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 22, 9, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1273, 8, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 15, 4, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 52, 3, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 39, 9, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 3, 3, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 434, 5, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 384, 44, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 93, 13, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D15', 22505, 2, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 2424, 1, 2024, 1, 22, '2024-08-05 15:59:50', NULL, NULL), (183876, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 63, 8, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183877, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 129, 8, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183878, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 120, 49, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183879, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 1285, 3, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183880, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 2481, 4, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183881, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 30, 5, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183882, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 366, 156, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183883, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 124, 21, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183884, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 56, 12, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183885, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1059, 13, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183886, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 22505, 2, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183887, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 318, 19, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183888, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 45, 57, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183889, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1224, 3, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183890, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 1836, 22, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183891, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 74, 10, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183892, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 781, 13, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183893, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 6, 1, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183894, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 8, 5, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183895, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1180, 49, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183896, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 2424, 1, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183897, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 480, 1, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183898, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 61, 6, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183899, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 911, 11, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183900, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 887, 20, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183901, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 52, 3, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183902, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 412, 13, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183903, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1728, 16, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183904, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 93, 13, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183905, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 6, 3, 2024, 1, 22, '2024-08-05 15:59:51', NULL, NULL), (183906, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 269, 80, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183907, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 406, 111, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183908, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 495, 40, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183909, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 14, 2, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183910, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 5, 3, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183911, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 44, 14, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183912, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1728, 16, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183913, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 12, 4, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183914, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 239, 13, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183915, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 55, 6, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183916, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 52, 11, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183917, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 15, 4, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183918, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 146, 11, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183919, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 541, 4, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183920, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 3, 3, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183921, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 318, 19, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183922, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D15', 22505, 2, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183923, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 192, 2, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183924, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 108, 6, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183925, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 63, 8, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183926, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 781, 13, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183927, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 14, 1, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183928, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 342, 12, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183929, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 2481, 4, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183930, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 911, 11, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183931, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 718, 5, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183932, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 434, 12, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183933, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 239, 16, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183934, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 183, 11, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183935, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 244, 17, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183936, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 275, 8, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183937, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1273, 8, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183938, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 1259, 1, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183939, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 259, 16, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183940, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B06', 6, 1, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183941, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 83, 14, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183942, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 44, 6, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183943, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 45, 8, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183944, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 52, 3, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183945, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 27, 6, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183946, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 25, 13, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183947, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 1836, 22, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183948, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 29, 10, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183949, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 6, 3, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183950, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1270, 17, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183951, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1270, 17, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183952, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 660, 18, 2024, 1, 22, '2024-08-05 15:59:52', NULL, NULL), (183953, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 360, 22, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183954, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 978, 15, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183955, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 74, 10, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183956, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 2424, 1, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183957, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 30, 5, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183958, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 384, 44, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183959, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 480, 1, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183960, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 56, 2, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183961, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 93, 13, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183962, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 355, 39, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183963, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 216, 9, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183964, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 83, 4, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183965, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 3, 2, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183966, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 69, 3, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183967, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 288, 30, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (183968, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 1285, 3, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183969, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 61, 6, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183970, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 393, 26, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183971, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 407, 42, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183972, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 431, 34, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183973, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 887, 20, 2024, 1, 22, '2024-08-05 15:59:53', NULL, NULL), (183974, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 461, 17, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (183975, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 12, 1, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (183976, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1224, 3, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (183977, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 445, 25, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (183978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 30, 5, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (183979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 461, 17, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (183980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 216, 9, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (183981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 355, 39, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (183982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 73, 23, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (183983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 288, 30, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (183984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 6, 3, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (183985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 480, 1, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (183986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 431, 34, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (183987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 393, 26, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (183988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 12, 1, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (183989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 445, 25, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (183990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 44, 14, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (183991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 2424, 1, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (183992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 146, 11, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (183993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 407, 42, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (183994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B06', 6, 1, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (183995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1224, 3, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (183996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 52, 11, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (183997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 239, 13, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (183998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 259, 16, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (183999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 74, 10, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (184000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 384, 44, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (184001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 10, 1, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 434, 12, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 239, 16, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (184004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 183, 11, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (184005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 244, 17, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 275, 8, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1270, 17, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D15', 22505, 2, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1270, 17, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 978, 15, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 718, 5, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (184012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1273, 8, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (184013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 1259, 1, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (184014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 14, 2, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (184015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 342, 12, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (184016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1728, 16, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (184017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 781, 13, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (184018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 1285, 3, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 61, 6, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 2481, 4, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 5, 3, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 911, 11, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 12, 4, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (184024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 360, 22, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (184025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 68, 8, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (184026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 93, 13, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (184027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 541, 4, 2024, 1, 22, '2024-08-05 15:59:54', NULL, NULL), (184028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 887, 20, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 58, 12, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 73, 14, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 52, 3, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 15, 4, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 38, 13, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 318, 19, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 22, 15, 2024, 1, 22, '2024-08-05 15:59:55', NULL, NULL), (184036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 1836, 22, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 3, 3, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 660, 18, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 55, 6, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184040, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 384, 44, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184041, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 318, 19, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184042, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B06', 6, 1, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184043, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 407, 42, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184044, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 83, 14, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184045, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 14, 1, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184046, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 360, 22, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184047, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 445, 25, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184048, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 660, 18, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184049, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 3, 3, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184050, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 541, 4, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184051, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 15, 4, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184052, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 55, 6, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184053, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 12, 4, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184054, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 1836, 22, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184055, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 259, 16, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184056, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1224, 3, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184057, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 2481, 4, 2024, 1, 22, '2024-08-05 15:59:58', NULL, NULL), (184058, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 6, 3, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184059, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 1259, 1, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184060, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 911, 11, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184061, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 781, 13, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184062, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 718, 5, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184063, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1273, 8, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184064, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 61, 6, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184065, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 288, 30, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184066, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 342, 12, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184067, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 355, 39, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184068, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 216, 9, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184069, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 461, 17, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184070, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1270, 17, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184071, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 12, 1, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184072, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 978, 15, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184073, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 393, 26, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184074, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 93, 13, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184075, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 431, 34, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184076, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1270, 17, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184077, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 480, 1, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184078, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 30, 5, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184079, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 244, 17, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184080, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 275, 8, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184081, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 887, 20, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184082, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 14, 2, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184083, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 5, 3, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184084, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 239, 16, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184085, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 183, 11, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184086, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1728, 16, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184087, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 434, 12, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184088, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 1285, 3, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184089, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 239, 13, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184090, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 52, 11, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184091, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 56, 2, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184092, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D15', 22505, 2, 2024, 1, 22, '2024-08-05 15:59:58', NULL, NULL), (184093, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 146, 11, 2024, 1, 22, '2024-08-05 15:59:58', NULL, NULL), (184094, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 44, 14, 2024, 1, 22, '2024-08-05 15:59:58', NULL, NULL), (184095, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 83, 4, 2024, 1, 22, '2024-08-05 15:59:58', NULL, NULL), (184096, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 3, 2, 2024, 1, 22, '2024-08-05 15:59:58', NULL, NULL), (184097, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 192, 2, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184098, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 69, 3, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184099, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 108, 6, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184100, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 63, 8, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184101, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 2424, 1, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184102, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 25, 13, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184103, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 45, 8, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184104, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 52, 3, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184105, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 29, 10, 2024, 1, 22, '2024-08-05 15:59:56', NULL, NULL), (184106, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 74, 10, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184107, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 44, 6, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184108, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 27, 6, 2024, 1, 22, '2024-08-05 15:59:57', NULL, NULL), (184109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 498, 94, 2024, 1, 23, '2024-08-05 16:00:02', NULL, NULL), (184110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2697, 6, 2024, 1, 23, '2024-08-05 16:00:02', NULL, NULL), (184111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 146, 102, 2024, 1, 23, '2024-08-05 16:00:02', NULL, NULL), (184112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 150, 26, 2024, 1, 23, '2024-08-05 16:00:02', NULL, NULL), (184113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1274, 167, 2024, 1, 23, '2024-08-05 16:00:02', NULL, NULL), (184114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 171, 101, 2024, 1, 23, '2024-08-05 16:00:02', NULL, NULL), (184115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 175, 4, 2024, 1, 23, '2024-08-05 16:00:02', NULL, NULL), (184116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 287, 146, 2024, 1, 23, '2024-08-05 16:00:02', NULL, NULL), (184117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 7, 1, 2024, 1, 23, '2024-08-05 16:00:02', NULL, NULL), (184118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 657, 179, 2024, 1, 23, '2024-08-05 16:00:02', NULL, NULL), (184119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1486, 13, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 328, 46, 2024, 1, 23, '2024-08-05 16:00:02', NULL, NULL), (184121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 161, 32, 2024, 1, 23, '2024-08-05 16:00:02', NULL, NULL), (184122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 293, 63, 2024, 1, 23, '2024-08-05 16:00:02', NULL, NULL), (184123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 480, 116, 2024, 1, 23, '2024-08-05 16:00:02', NULL, NULL), (184124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 588, 58, 2024, 1, 23, '2024-08-05 16:00:02', NULL, NULL), (184125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 287, 109, 2024, 1, 23, '2024-08-05 16:00:02', NULL, NULL), (184126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 954, 58, 2024, 1, 23, '2024-08-05 16:00:02', NULL, NULL), (184127, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 57, 3, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184128, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 55, 16, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184129, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 146, 102, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184130, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184131, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 175, 4, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184132, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 5337, 3, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184133, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 5, 1, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184134, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 3866, 13, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184135, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 228, 46, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184136, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 410, 9, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184137, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 7, 3, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184138, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184139, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 448, 34, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184140, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 10351, 12, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184141, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 333, 34, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184142, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184143, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1158, 4, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184144, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 245, 17, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184145, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 73, 17, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184146, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184147, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184148, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 525, 5, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184149, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 499, 3, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184150, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 456, 28, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184151, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 314, 100, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184152, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 156, 83, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184153, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 52, 1, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184154, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 7, 1, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184155, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 1134, 12, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184156, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 3, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184157, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 77, 4, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184158, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 259, 20, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184159, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 132, 61, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184160, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 10, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184161, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184162, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 414, 13, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184163, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 612, 1, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184164, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 335, 9, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184165, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '', 0, 1, 2024, 1, 23, '2024-08-05 16:00:03', NULL, NULL), (184166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 1134, 12, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 335, 9, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 259, 20, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 167, 22, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 183, 12, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 131, 11, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 5, 1, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 433, 16, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 462, 18, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 195, 26, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 331, 11, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 190, 26, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 323, 11, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 94, 6, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 92, 13, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 97, 12, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 344, 12, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 193, 17, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 129, 18, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 119, 11, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 55, 5, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 168, 16, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 187, 7, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 124, 17, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 456, 28, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 26, 14, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 461, 2, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 257, 21, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 9, 3, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 311, 29, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 675, 1, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 290, 30, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 7, 1, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 102, 9, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 499, 3, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1158, 4, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 7, 3, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 245, 17, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 52, 1, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 414, 13, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 227, 17, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 3866, 13, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 224, 14, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 234, 15, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 533, 4, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 495, 1, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 30, 6, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 2, 3, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2670, 6, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 4, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 282, 3, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 328, 39, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 5, 1, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 10351, 12, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 612, 1, 2024, 1, 23, '2024-08-05 16:00:04', NULL, NULL), (184221, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 410, 9, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184222, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 77, 4, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184223, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 228, 46, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184224, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 52, 1, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184225, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 499, 3, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184226, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 5, 1, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (184227, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 57, 3, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184228, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 146, 102, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184229, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 55, 16, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184230, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 78, 16, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184231, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 612, 1, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184232, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 525, 5, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184233, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 259, 20, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184234, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 167, 72, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184235, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 1134, 12, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184236, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 335, 9, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184237, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 245, 17, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184238, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 175, 4, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184239, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 333, 34, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184240, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 7, 3, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184241, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 7, 1, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184242, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1158, 4, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184243, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 456, 28, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184244, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 414, 13, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184245, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 3866, 13, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184246, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 10351, 12, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184247, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 5337, 3, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184248, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 132, 61, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184249, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 314, 100, 2024, 1, 23, '2024-08-05 16:00:05', NULL, NULL), (184250, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 448, 34, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184251, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 675, 1, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184252, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 9, 3, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184253, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 234, 15, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184254, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 3866, 13, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184255, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 227, 17, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184256, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 3, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184257, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 3, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184258, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 2, 3, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184259, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 224, 14, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184260, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 282, 3, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184261, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 4, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184262, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 259, 20, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184263, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 68, 1, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184264, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 80, 3, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184265, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 410, 9, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184266, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 245, 17, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184267, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 54, 1, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184268, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 414, 13, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184269, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 499, 3, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184270, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1158, 4, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184271, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 533, 4, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184272, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 187, 7, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184273, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 168, 16, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184274, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 129, 18, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184275, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 55, 5, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184276, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 495, 1, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184277, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 94, 6, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184278, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 102, 9, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184279, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 150, 11, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184280, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 209, 11, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184281, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 105, 11, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184282, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 122, 9, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184283, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 131, 9, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184284, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 1134, 12, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184285, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 222, 21, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184286, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 5337, 3, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184287, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 344, 12, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184288, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 433, 16, 2024, 1, 23, '2024-08-05 16:00:06', NULL, NULL), (184289, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 331, 11, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184290, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 612, 1, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184291, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 462, 18, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184292, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 323, 11, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184293, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 335, 9, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184294, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 57, 3, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184295, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 5, 1, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184296, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 328, 39, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184297, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 7, 1, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184298, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 247, 3, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184299, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 26, 14, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184300, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 10351, 12, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184301, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 4, 1, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184302, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 4, 4, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184303, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 58, 5, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184304, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 124, 17, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184305, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 141, 1, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184306, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 52, 1, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184307, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 7, 3, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184308, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 131, 11, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184309, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 311, 29, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184310, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 461, 2, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184311, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 5, 1, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184312, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 195, 26, 2024, 1, 23, '2024-08-05 16:00:07', NULL, NULL), (184313, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 456, 28, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184314, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 167, 22, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184315, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 183, 12, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184316, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 290, 30, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 57, 3, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 167, 22, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 26, 14, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 257, 21, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 124, 17, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 5337, 3, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 195, 26, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 131, 11, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 183, 12, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 290, 30, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 234, 15, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 224, 14, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 311, 29, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 461, 2, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 227, 17, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 335, 9, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 102, 9, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 328, 39, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 7, 1, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 187, 7, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 168, 16, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 129, 18, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 55, 5, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 94, 6, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 344, 12, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 331, 11, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 323, 11, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 533, 4, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 495, 1, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 675, 1, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 414, 13, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 3866, 13, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 245, 17, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 52, 1, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 7, 3, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 499, 3, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 9, 3, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1158, 4, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 3, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 612, 1, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 462, 18, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 119, 11, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 5, 1, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 282, 3, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 10351, 12, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 456, 28, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 97, 12, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 193, 17, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 2, 3, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 190, 26, 2024, 1, 23, '2024-08-05 16:00:08', NULL, NULL), (184367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 259, 20, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 1134, 12, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 92, 13, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 5, 1, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 4, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 433, 16, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 3, 2024, 1, 23, '2024-08-05 16:00:09', NULL, NULL), (184374, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 328, 39, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184375, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 259, 20, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184376, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 461, 2, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184377, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 311, 29, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184378, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 150, 11, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184379, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 54, 1, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184380, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 462, 18, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184381, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 290, 30, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184382, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 433, 16, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184383, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 4, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184384, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 282, 3, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184385, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 2, 3, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184386, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 3, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184387, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 3, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184388, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 1134, 12, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184389, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 102, 9, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184390, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 499, 3, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184391, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 5337, 3, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184392, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1158, 4, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184393, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 245, 17, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184394, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 533, 4, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184395, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 495, 1, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184396, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 7, 3, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184397, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 124, 17, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184398, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 414, 13, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184399, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 26, 14, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184400, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 167, 22, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184401, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 331, 11, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184402, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 183, 12, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184403, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 323, 11, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184404, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 131, 11, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184405, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 10351, 12, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184406, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 195, 26, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184407, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 344, 12, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184408, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 5, 1, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184409, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 57, 3, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184410, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 55, 5, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184411, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 94, 6, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184412, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 456, 28, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184413, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 675, 1, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184414, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 9, 3, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184415, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 168, 16, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184416, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 129, 18, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184417, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 3866, 13, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184418, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 187, 7, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184419, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 52, 1, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184420, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 7, 1, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184421, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 227, 17, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184422, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 141, 1, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184423, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 612, 1, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184424, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 247, 3, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184425, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 224, 14, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184426, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 4, 1, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184427, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 234, 15, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184428, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 4, 4, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184429, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 68, 1, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184430, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 58, 5, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184431, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 5, 1, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184432, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 410, 9, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184433, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 80, 3, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184434, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 131, 9, 2024, 1, 23, '2024-08-05 16:00:10', NULL, NULL), (184435, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 105, 11, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184436, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 222, 21, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184437, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 335, 9, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184438, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 209, 11, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184439, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 122, 9, 2024, 1, 23, '2024-08-05 16:00:11', NULL, NULL), (184440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 358, 95, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 2105, 1, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 401, 4, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 156, 108, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 289, 24, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 712, 189, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 72, 88, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 5, 6, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 584, 154, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 329, 164, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 244, 7, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 392, 33, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 440, 24, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 227, 53, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 690, 119, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 330, 119, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 425, 56, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 431, 106, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184458, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 2, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184459, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 3062, 1, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184460, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 527, 3, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184461, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184462, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 215, 17, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184463, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 156, 108, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184464, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 5, 6, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184465, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 1, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184466, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 6, 1, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184467, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 186, 21, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184468, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 459, 54, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184469, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 337, 4, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184470, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 701, 3, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184471, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 135, 7, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184472, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 467, 37, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184473, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1173, 14, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184474, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1154, 31, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184475, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 0, 1, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184476, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 390, 4, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184477, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 0, 1, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184478, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 568, 18, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184479, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 68, 16, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184480, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 825, 1, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184481, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 713, 14, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184482, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1722, 4, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184483, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 204, 23, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184484, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 65, 82, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184485, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 456, 102, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184486, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 67, 1, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184487, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 404, 15, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184488, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 9317, 2, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184489, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 87, 1, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184490, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 287, 21, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184491, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 419, 59, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184492, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184493, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184494, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1266, 18, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184495, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 23, 1, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184496, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 42, 5, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 922, 3, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 433, 14, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 42, 5, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 165, 19, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 287, 21, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 35, 7, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 396, 15, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 94, 17, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 516, 22, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 91, 23, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1127, 18, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 96, 19, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 153, 21, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 347, 17, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 33, 13, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1192, 13, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 96, 12, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 332, 14, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 57, 9, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 382, 20, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 175, 24, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 187, 15, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 204, 23, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 451, 24, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 90, 15, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 5, 6, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 786, 24, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 298, 11, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 817, 8, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1722, 4, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 390, 4, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 337, 4, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 568, 18, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 67, 1, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 9317, 2, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1266, 18, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 186, 21, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 558, 23, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 438, 15, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 358, 15, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 25, 6, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1229, 8, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 527, 3, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 1, 1, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 825, 1, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 384, 4, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3, 3, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 301, 7, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 10, 3, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 339, 40, 2024, 1, 24, '2024-08-05 16:00:13', NULL, NULL), (184547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 6, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 3062, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1173, 14, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184550, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 135, 7, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184551, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 87, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184552, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 468, 53, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184553, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 67, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184554, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1722, 4, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184555, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 6, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184556, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 527, 3, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184557, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 156, 108, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184558, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 215, 17, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184559, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 78, 13, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184560, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 713, 14, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184561, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 287, 21, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184562, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 64, 67, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184563, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 9317, 2, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184564, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 433, 14, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184565, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 42, 5, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184566, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 568, 18, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184567, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 5, 6, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184568, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 825, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184569, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 23, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184570, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1154, 31, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184571, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 337, 4, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184572, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 2105, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184573, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 390, 4, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184574, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 204, 23, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184575, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1266, 18, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184576, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 186, 21, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184577, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1173, 14, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184578, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 419, 59, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184579, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 470, 99, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184580, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 467, 37, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184581, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 3062, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184582, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 5, 6, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184583, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 358, 15, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184584, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 186, 21, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184585, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 1, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184586, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 558, 23, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184587, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 438, 15, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184588, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 3, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184589, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 384, 4, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184590, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 4, 2, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184591, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 301, 7, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184592, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 287, 21, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184593, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 87, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184594, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 135, 7, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184595, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 568, 18, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184596, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1266, 18, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184597, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1722, 4, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184598, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 390, 4, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184599, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 25, 6, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184600, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 382, 20, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184601, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 332, 14, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184602, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1229, 8, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184603, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 347, 17, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184604, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 817, 8, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184605, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B06', 23, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184606, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 825, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184607, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 49, 8, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184608, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 99, 10, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184609, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 23, 9, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184610, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 56, 7, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184611, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 3062, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184612, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 433, 14, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184613, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 64, 17, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184614, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 78, 16, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184615, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1192, 13, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184616, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 396, 15, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184617, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1127, 18, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184618, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 516, 22, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184619, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 42, 5, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184620, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 527, 3, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184621, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 6, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184622, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 339, 40, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184623, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 2105, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184624, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 81, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184625, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1173, 14, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184626, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 187, 15, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184627, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 922, 3, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184628, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 57, 4, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (184629, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 4, 3, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184630, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 191, 3, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184631, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 175, 24, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184632, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 61, 2, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184633, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 67, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184634, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 337, 4, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184635, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 94, 17, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184636, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 786, 24, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184637, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 451, 24, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184638, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 91, 23, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184639, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 165, 19, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184640, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 204, 23, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184641, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 9317, 2, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184642, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 298, 11, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184643, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 35, 7, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 527, 3, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 165, 19, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 922, 3, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 187, 15, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 90, 15, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 175, 24, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 2105, 1, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 91, 23, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 94, 17, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 35, 7, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 298, 11, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 358, 15, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 786, 24, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 451, 24, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B06', 23, 1, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 558, 23, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 9317, 2, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 438, 15, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 817, 8, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 42, 5, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 339, 40, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 382, 20, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 332, 14, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 347, 17, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1192, 13, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1127, 18, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 25, 6, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1229, 8, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1266, 18, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 186, 21, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 568, 18, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 67, 1, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 337, 4, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1722, 4, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 5, 6, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 390, 4, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 516, 22, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 6, 1, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 57, 9, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 4, 2, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1173, 14, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 3062, 1, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 33, 13, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 204, 23, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 96, 12, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 384, 4, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 96, 19, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 287, 21, 2024, 1, 24, '2024-08-05 16:00:14', NULL, NULL), (184692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 1, 1, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 433, 14, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 55, 20, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 396, 15, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 301, 7, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 825, 1, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 3, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184699, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 3062, 1, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184700, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 339, 40, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184701, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 287, 21, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184702, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 451, 24, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184703, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B06', 23, 1, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184704, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 786, 24, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184705, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 49, 8, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184706, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 516, 22, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184707, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 298, 11, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184708, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 396, 15, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184709, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 301, 7, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184710, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 4, 2, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184711, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 384, 4, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184712, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 3, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184713, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 1, 1, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184714, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 433, 14, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184715, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 817, 8, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184716, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 9317, 2, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184717, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1722, 4, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184718, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 390, 4, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184719, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 568, 18, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184720, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 25, 6, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184721, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1229, 8, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184722, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 337, 4, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184723, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 175, 24, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184724, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 187, 15, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184725, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1266, 18, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184726, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 922, 3, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184727, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 165, 19, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184728, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1127, 18, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184729, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 35, 7, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184730, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1173, 14, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184731, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 94, 17, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184732, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 825, 1, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184733, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 91, 23, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184734, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1192, 13, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184735, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 6, 1, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184736, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 2105, 1, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184737, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 527, 3, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184738, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 347, 17, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184739, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 204, 23, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184740, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 5, 6, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184741, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 382, 20, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184742, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 332, 14, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184743, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 186, 21, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184744, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 67, 1, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184745, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 558, 23, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184746, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 438, 15, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184747, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 61, 2, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184748, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 81, 1, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184749, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 57, 4, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184750, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 358, 15, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184751, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 4, 3, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184752, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 191, 3, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184753, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 87, 1, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184754, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 135, 7, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184755, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 64, 17, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184756, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 23, 9, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184757, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 78, 16, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184758, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 42, 5, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184759, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 99, 10, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184760, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 56, 7, 2024, 1, 24, '2024-08-05 16:00:15', NULL, NULL), (184761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 416, 92, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 1293, 2, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 250, 4, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 3237, 1, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 215, 131, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 510, 24, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 369, 232, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 98, 117, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 6, 3, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 615, 171, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 127, 15, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 408, 212, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 340, 47, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 259, 40, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 340, 49, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 329, 150, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 315, 69, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 341, 138, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 430, 86, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184780, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 329, 3, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184781, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184782, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 3, 16, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184783, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 215, 131, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184784, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 4, 4, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184785, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 2, 5, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184786, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1023, 17, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184787, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 68, 43, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184788, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 1293, 2, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184789, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 860, 6, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184790, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 342, 17, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184791, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 367, 40, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184792, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1009, 3, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184793, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 307, 30, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184794, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184795, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 2913, 4, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184796, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 369, 7, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184797, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 1150, 1, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184798, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 278, 26, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184799, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 37, 20, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184800, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 342, 2, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184801, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 7, 1, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184802, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 145, 44, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184803, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 279, 2, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184804, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 596, 23, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184805, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 52, 93, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184806, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 793, 129, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184807, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 253, 3, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184808, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 174, 7, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184809, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 5, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184810, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 65, 5, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184811, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 395, 22, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184812, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 153, 72, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184813, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184814, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184815, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 960, 22, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184816, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184817, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 91, 6, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184818, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 2, 2024, 1, 25, '2024-08-05 16:00:16', NULL, NULL), (184819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 174, 7, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 91, 6, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 207, 22, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 279, 17, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 395, 22, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 256, 26, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 200, 26, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 193, 15, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 345, 10, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 203, 28, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 471, 25, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 336, 7, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 22, 17, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 139, 25, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 165, 11, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 243, 19, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 264, 13, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 121, 17, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 90, 22, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 36, 9, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 79, 21, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 266, 13, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 132, 9, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 59, 3, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 596, 23, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 233, 28, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 804, 45, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 5, 1, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 621, 37, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 6, 2, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 904, 44, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 203, 10, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 279, 2, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 369, 7, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 860, 6, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 278, 26, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 380, 2, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 960, 22, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 156, 11, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1087, 16, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 49, 10, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 47, 11, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 20, 10, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 77, 22, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 166, 6, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 212, 22, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 5, 1, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 7, 1, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 1150, 1, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 5, 4, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 4, 6, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1119, 3, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 3, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1009, 3, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B14', 7, 1, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 11645, 1, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184875, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 342, 17, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184876, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 69, 42, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184877, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 65, 5, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184878, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 380, 2, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184879, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 279, 2, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184880, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 329, 3, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184881, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 215, 131, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184882, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 3, 16, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184883, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 40, 17, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184884, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 145, 44, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184885, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 395, 22, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184886, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 52, 76, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184887, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 174, 7, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184888, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 91, 6, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184889, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 278, 26, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184890, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 6, 3, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184891, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 7, 1, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184892, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 307, 30, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184893, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 1293, 2, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184894, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 5826, 2, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184895, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 860, 6, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184896, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 369, 7, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184897, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 596, 23, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184898, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 342, 2, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184899, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 1150, 1, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184900, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 960, 22, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184901, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1087, 16, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184902, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1009, 3, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184903, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 12, 1, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184904, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 153, 72, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184905, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 793, 129, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184906, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 367, 40, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184907, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 6, 2, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184908, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 5, 1, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184909, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1087, 16, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184910, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 156, 11, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184911, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 49, 10, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184912, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 4, 3, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184913, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 47, 11, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184914, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 3, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184915, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 5, 1, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184916, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 20, 10, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184917, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 3, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184918, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 4, 6, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184919, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 395, 22, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184920, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 3, 2, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184921, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 106, 3, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184922, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 342, 17, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184923, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 278, 26, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184924, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 132, 2, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184925, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 960, 22, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184926, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 369, 7, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184927, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 279, 2, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184928, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 77, 22, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184929, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 266, 13, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184930, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 79, 21, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184931, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 121, 17, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184932, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 165, 11, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184933, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 212, 22, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184934, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 203, 10, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184935, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 7, 1, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184936, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 49, 9, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184937, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 61, 16, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184938, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 82, 15, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184939, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 1150, 1, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184940, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 46, 7, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184941, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 174, 7, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184942, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 48, 17, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184943, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 14, 12, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184944, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 12, 1, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184945, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 264, 13, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184946, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 345, 10, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184947, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 193, 15, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184948, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 336, 7, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184949, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 471, 25, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184950, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 91, 6, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184951, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 11645, 1, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184952, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B14', 7, 1, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184953, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 329, 3, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184954, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1119, 3, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184955, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 1293, 2, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184956, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 3, 1, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184957, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1009, 3, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184958, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 59, 3, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184959, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 50, 3, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184960, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 207, 22, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184961, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 10, 6, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184962, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 40, 5, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184963, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 132, 9, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184964, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 342, 2, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184965, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 380, 2, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184966, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 860, 6, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184967, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 200, 26, 2024, 1, 25, '2024-08-05 16:00:17', NULL, NULL), (184968, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 621, 37, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184969, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 203, 28, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184970, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 804, 45, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184971, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 279, 17, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184972, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 596, 23, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184973, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 904, 44, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184974, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 256, 26, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 329, 3, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 279, 17, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 207, 22, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 59, 3, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 233, 28, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 132, 9, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 12, 1, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 1293, 2, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 203, 28, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 200, 26, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 256, 26, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 904, 44, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 20, 10, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 621, 37, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 804, 45, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 156, 11, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B14', 7, 1, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 11645, 1, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 47, 11, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 49, 10, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 91, 6, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 203, 10, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1119, 3, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 266, 13, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (184999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 79, 21, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 121, 17, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 165, 11, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 264, 13, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 345, 10, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 336, 7, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 3237, 1, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 77, 22, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 212, 22, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 6, 2, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 960, 22, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1087, 16, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 278, 26, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 380, 2, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 860, 6, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 279, 2, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 5, 1, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 369, 7, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 4, 3, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 471, 25, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 36, 9, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1009, 3, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 3, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 77, 18, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 596, 23, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 90, 22, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 5, 1, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 1150, 1, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 22, 17, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 395, 22, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 174, 7, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 38, 23, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 4, 6, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 193, 15, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 7, 1, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 3, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185035, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1119, 3, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185036, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 395, 22, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185037, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 804, 45, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (185038, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 621, 37, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185039, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 49, 9, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185040, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 132, 2, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185041, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 904, 44, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185042, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 471, 25, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185043, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 193, 15, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185044, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 4, 6, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185045, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 3, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185046, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 5, 1, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185047, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 3, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185048, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 4, 3, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185049, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 174, 7, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185050, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 203, 10, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185051, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 279, 2, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185052, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 12, 1, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185053, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 369, 7, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185054, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 278, 26, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185055, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 77, 22, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185056, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 212, 22, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185057, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 860, 6, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185058, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 132, 9, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185059, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 59, 3, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185060, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 960, 22, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185061, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 207, 22, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185062, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 279, 17, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185063, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 345, 10, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185064, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 336, 7, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185065, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 256, 26, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185066, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1009, 3, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185067, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 200, 26, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185068, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 7, 1, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185069, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 203, 28, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185070, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 264, 13, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185071, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 1293, 2, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185072, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 329, 3, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185073, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 165, 11, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185074, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 596, 23, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185075, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 6, 2, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185076, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 5, 1, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185077, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 79, 21, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185078, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 121, 17, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185079, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1087, 16, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185080, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 266, 13, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185081, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 380, 2, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185082, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 342, 2, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185083, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 156, 11, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185084, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 49, 10, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185085, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 47, 11, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185086, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 3, 1, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185087, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 20, 10, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185088, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 50, 3, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185089, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 10, 6, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185090, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 40, 5, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185091, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 3, 2, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185092, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 106, 3, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185093, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 342, 17, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185094, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 48, 17, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185095, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 11645, 1, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185096, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 82, 15, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185097, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 1150, 1, 2024, 1, 25, '2024-08-05 16:00:18', NULL, NULL), (185098, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B14', 7, 1, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185099, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 14, 12, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185100, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 91, 6, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185101, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 61, 16, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185102, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 46, 7, 2024, 1, 25, '2024-08-05 16:00:19', NULL, NULL), (185103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 242, 73, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 148, 6, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 503, 113, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 85, 27, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 7, 1, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 438, 178, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 135, 97, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1919, 5, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 284, 192, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 156, 8, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 399, 167, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 190, 34, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 273, 49, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 210, 111, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 306, 103, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 249, 46, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 311, 120, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 428, 71, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185121, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 115, 5, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185122, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185123, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 103, 17, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185124, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 503, 113, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185125, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1919, 5, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185126, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 315, 1, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185127, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 135, 11, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185128, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 195, 44, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185129, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185130, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 282, 11, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185131, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 353, 6, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185132, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 300, 22, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185133, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 788, 10, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185134, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 208, 21, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185135, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 53, 2, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185136, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 278, 4, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185137, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 11, 2, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185138, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 604, 21, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185139, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 42, 12, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185140, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 126, 3, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185141, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 199, 19, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185142, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1455, 7, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185143, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 302, 20, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185144, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 119, 71, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185145, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 314, 146, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185146, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 245, 2, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185147, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 135, 9, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185148, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 33, 2, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185149, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 107, 10, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185150, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 172, 22, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185151, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 323, 65, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185152, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185153, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185154, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 824, 14, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185155, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 1334, 1, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185156, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185157, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 50, 9, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185158, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '', 0, 1, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185159, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 135, 9, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 50, 9, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 488, 27, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 172, 22, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 381, 18, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 220, 9, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 407, 19, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 356, 13, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 168, 9, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 530, 35, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 12, 18, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 249, 7, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 333, 15, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 124, 23, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 222, 5, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 52, 5, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 101, 17, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 197, 13, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 85, 16, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 111, 7, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 672, 6, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 748, 14, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 302, 20, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 292, 24, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 269, 36, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1919, 5, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 227, 14, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 247, 34, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 441, 19, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1455, 7, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 278, 4, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 353, 6, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 604, 21, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 245, 2, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 33, 2, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 824, 14, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 249, 6, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 175, 15, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 216, 12, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 197, 17, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 102, 9, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 86, 7, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 285, 10, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 208, 1, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 11, 2, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 179, 4, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 137, 8, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 4, 3, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 398, 62, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 788, 10, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 1334, 1, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 107, 1, 2024, 1, 26, '2024-08-05 16:00:20', NULL, NULL), (185212, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 282, 11, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185213, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 195, 44, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185214, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 107, 10, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185215, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 245, 2, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185216, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1455, 7, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185217, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 115, 5, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185218, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 503, 113, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185219, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 103, 17, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185220, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 42, 12, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185221, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 1334, 1, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185222, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 199, 19, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185223, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 172, 22, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185224, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 133, 61, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185225, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 33, 2, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185226, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 135, 9, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185227, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 50, 9, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185228, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 604, 21, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185229, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1919, 5, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185230, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 208, 21, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185231, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 107, 1, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185232, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 353, 6, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185233, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 278, 4, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185234, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 302, 20, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185235, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 126, 3, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185236, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 11, 2, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185237, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 824, 14, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185238, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 249, 6, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185239, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 788, 10, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185240, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 315, 1, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185241, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 323, 65, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185242, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 314, 146, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185243, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 300, 22, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185244, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1919, 5, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185245, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 249, 6, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185246, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 175, 15, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185247, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 16, 2, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185248, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 216, 12, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185249, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 134, 3, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185250, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 208, 1, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185251, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 197, 17, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185252, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 4, 3, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185253, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 137, 8, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185254, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 172, 22, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185255, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 120, 7, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185256, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 78, 3, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185257, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 282, 11, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185258, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 604, 21, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185259, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 92, 1, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185260, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 824, 14, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185261, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1455, 7, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185262, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 278, 4, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185263, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 102, 9, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185264, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 672, 6, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185265, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 111, 7, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185266, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 52, 5, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185267, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 197, 13, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185268, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 285, 10, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185269, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 333, 15, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185270, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 441, 19, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185271, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 318, 12, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185272, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 108, 9, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185273, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 11, 2, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185274, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 68, 6, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185275, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 135, 9, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185276, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 150, 18, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185277, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 12, 16, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185278, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 315, 1, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185279, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 222, 5, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185280, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 1334, 1, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185281, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 220, 9, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185282, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 168, 9, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185283, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 356, 13, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185284, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 249, 7, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185285, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 50, 9, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185286, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 107, 1, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185287, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 115, 5, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185288, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 398, 62, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185289, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 748, 14, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185290, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 788, 10, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185291, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 66, 2, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185292, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 488, 27, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185293, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 30, 5, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185294, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 8, 2, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185295, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 58, 2, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185296, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 245, 2, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185297, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 126, 3, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185298, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 353, 6, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185299, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 407, 19, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185300, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 227, 14, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185301, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 269, 36, 2024, 1, 26, '2024-08-05 16:00:21', NULL, NULL), (185302, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 530, 35, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185303, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 302, 20, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185304, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 381, 18, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185305, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 33, 2, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185306, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 247, 34, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 115, 5, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 381, 18, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 488, 27, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 748, 14, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 292, 24, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 315, 1, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 530, 35, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 407, 19, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 247, 34, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 197, 17, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 227, 14, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 269, 36, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 175, 15, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 33, 2, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 107, 1, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 216, 12, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 50, 9, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 441, 19, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 398, 62, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 7, 1, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 672, 6, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 111, 7, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 52, 5, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 197, 13, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 333, 15, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 222, 5, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 168, 9, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 249, 7, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 102, 9, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 285, 10, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 824, 14, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 249, 6, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 604, 21, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 245, 2, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 353, 6, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1455, 7, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1919, 5, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 278, 4, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 16, 2, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 1334, 1, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 356, 13, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 91, 15, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 4, 3, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 788, 10, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 302, 20, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 101, 17, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 208, 1, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 11, 2, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 12, 18, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 172, 22, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 135, 9, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 124, 23, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 220, 9, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 137, 8, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 134, 3, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185362, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 398, 62, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185363, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 172, 22, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185364, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 269, 36, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185365, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 227, 14, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185366, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 318, 12, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185367, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 92, 1, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185368, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 356, 13, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185369, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 247, 34, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185370, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 220, 9, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185371, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 137, 8, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185372, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 4, 3, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185373, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 208, 1, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185374, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 134, 3, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185375, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 16, 2, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185376, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 135, 9, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185377, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 441, 19, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185378, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 33, 2, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185379, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1455, 7, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185380, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 315, 1, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185381, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 278, 4, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185382, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 604, 21, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185383, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 102, 9, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185384, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 285, 10, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185385, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 353, 6, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185386, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 748, 14, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185387, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 824, 14, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185388, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 488, 27, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185389, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 168, 9, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185390, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 381, 18, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185391, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 249, 7, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185392, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 788, 10, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185393, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 407, 19, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185394, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 530, 35, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185395, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 222, 5, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185396, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 115, 5, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185397, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 197, 13, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185398, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 333, 15, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185399, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 302, 20, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185400, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1919, 5, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185401, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 111, 7, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185402, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 52, 5, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185403, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 249, 6, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185404, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 672, 6, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185405, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 245, 2, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185406, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 126, 3, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185407, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 175, 15, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185408, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 58, 2, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185409, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 1334, 1, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185410, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 216, 12, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185411, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 66, 2, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185412, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 197, 17, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185413, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 30, 5, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185414, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 8, 2, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185415, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 120, 7, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185416, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 78, 3, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185417, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 282, 11, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185418, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 150, 18, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185419, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 107, 1, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185420, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 11, 2, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185421, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 12, 16, 2024, 1, 26, '2024-08-05 16:00:22', NULL, NULL), (185422, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 50, 9, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185423, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 108, 9, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185424, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 68, 6, 2024, 1, 26, '2024-08-05 16:00:23', NULL, NULL), (185425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 1, 2024, 1, 27, '2024-08-05 16:00:24', NULL, NULL), (185426, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 1, 27, '2024-08-05 16:00:24', NULL, NULL), (185427, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 0, 1, 2024, 1, 28, '2024-08-05 16:00:25', NULL, NULL), (185428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 467, 74, 2024, 1, 29, '2024-08-05 16:00:26', NULL, NULL), (185429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 188, 10, 2024, 1, 29, '2024-08-05 16:00:26', NULL, NULL), (185430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 152, 137, 2024, 1, 29, '2024-08-05 16:00:26', NULL, NULL), (185431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 232, 27, 2024, 1, 29, '2024-08-05 16:00:26', NULL, NULL), (185432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 594, 192, 2024, 1, 29, '2024-08-05 16:00:26', NULL, NULL), (185433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 121, 140, 2024, 1, 29, '2024-08-05 16:00:26', NULL, NULL), (185434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 4, 4, 2024, 1, 29, '2024-08-05 16:00:26', NULL, NULL), (185435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 433, 235, 2024, 1, 29, '2024-08-05 16:00:26', NULL, NULL), (185436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 157, 13, 2024, 1, 29, '2024-08-05 16:00:26', NULL, NULL), (185437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 313, 265, 2024, 1, 29, '2024-08-05 16:00:26', NULL, NULL), (185438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 314, 48, 2024, 1, 29, '2024-08-05 16:00:26', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (185439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 210, 8, 2024, 1, 29, '2024-08-05 16:00:26', NULL, NULL), (185440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 403, 79, 2024, 1, 29, '2024-08-05 16:00:26', NULL, NULL), (185441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 346, 89, 2024, 1, 29, '2024-08-05 16:00:26', NULL, NULL), (185442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 309, 56, 2024, 1, 29, '2024-08-05 16:00:26', NULL, NULL), (185443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 315, 170, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 446, 128, 2024, 1, 29, '2024-08-05 16:00:26', NULL, NULL), (185445, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 0, 2, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185446, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 49, 7, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185447, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185448, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 4, 9, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185449, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 152, 137, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185450, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 4, 4, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185451, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 514, 3, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185452, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 2, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185453, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185454, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 167, 62, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185455, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 2903, 10, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185456, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185457, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 133, 10, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185458, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 152, 17, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185459, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 709, 39, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185460, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 590, 10, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185461, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 279, 29, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185462, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 1719, 2, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185463, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185464, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 449, 15, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185465, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 202, 10, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185466, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 106, 27, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185467, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 397, 1, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185468, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1938, 7, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185469, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 143, 10, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185470, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 57, 12, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185471, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 529, 173, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185472, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 104, 83, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185473, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 913, 7, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185474, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 10, 9, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185475, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 3, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185476, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 208, 12, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185477, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 321, 19, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185478, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 407, 70, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185479, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 23, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185480, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185481, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 744, 12, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185482, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 703, 3, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185483, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185484, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 175, 16, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185485, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 10, 9, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 175, 16, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 77, 24, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 321, 19, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 137, 21, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 168, 20, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 908, 21, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 112, 19, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 614, 14, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 485, 8, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 223, 10, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 115, 31, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 218, 12, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 138, 23, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 68, 10, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 180, 11, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 148, 24, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 583, 12, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 160, 15, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 591, 13, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 97, 29, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 406, 21, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 102, 1, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 187, 29, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 62, 11, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 214, 24, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 102, 8, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 473, 38, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 4, 2, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 502, 38, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 4, 2, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 233, 11, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 542, 49, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 143, 10, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 449, 15, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 133, 10, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 224, 9, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 913, 7, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 744, 12, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 140, 12, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 2903, 10, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 182, 26, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 178, 19, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 116, 5, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 76, 1, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 15, 2, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 2248, 6, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 55, 6, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 2, 1, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 310, 5, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 1, 3, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 580, 48, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 2, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 590, 10, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 703, 3, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 1719, 2, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185542, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 152, 17, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185543, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 208, 12, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185544, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 167, 62, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185545, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 913, 7, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185546, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 143, 10, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185547, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 49, 7, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185548, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 152, 137, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185549, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 4, 9, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185550, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 106, 27, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185551, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 703, 3, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185552, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1938, 7, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185553, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 321, 19, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185554, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 104, 83, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185555, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 10, 9, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185556, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 175, 16, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185557, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 224, 9, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185558, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 4, 4, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185559, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 279, 29, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185560, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 1719, 2, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185561, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 133, 10, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185562, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 449, 15, 2024, 1, 29, '2024-08-05 16:00:27', NULL, NULL), (185563, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 62, 11, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185564, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 397, 1, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185565, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 744, 12, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185566, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 2903, 10, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185567, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 590, 10, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185568, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 514, 3, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185569, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 407, 70, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185570, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 529, 173, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185571, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 790, 35, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185572, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 153, 14, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185573, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 4, 2, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185574, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 4, 2, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185575, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 116, 5, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185576, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 2903, 10, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185577, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 140, 12, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185578, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 20, 1, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185579, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 4, 2, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185580, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 182, 26, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185581, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 2, 1, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185582, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 178, 19, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185583, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 2, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185584, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 1, 3, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185585, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 321, 19, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185586, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 251, 3, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185587, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 194, 9, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185588, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 152, 3, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185589, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 224, 9, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185590, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 112, 3, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185591, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 744, 12, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185592, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 143, 10, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185593, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 449, 15, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185594, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 76, 1, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185595, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 102, 1, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185596, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 591, 13, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185597, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 406, 21, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185598, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 583, 12, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185599, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 218, 12, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185600, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 2248, 6, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185601, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 13, 2, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185602, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 107, 13, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185603, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 72, 6, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185604, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 32, 11, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185605, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 137, 12, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185606, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 10, 9, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185607, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 136, 17, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185608, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 113, 22, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185609, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 514, 3, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185610, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 233, 11, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185611, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 180, 11, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185612, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 908, 21, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185613, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 703, 3, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185614, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 485, 8, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185615, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 614, 14, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185616, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 223, 10, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185617, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 175, 16, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185618, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 1719, 2, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185619, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 10, 1, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185620, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 55, 6, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185621, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 580, 48, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185622, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 23, 1, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185623, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 214, 24, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185624, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 590, 10, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185625, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 63, 4, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185626, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 77, 24, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185627, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 144, 6, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185628, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 119, 9, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185629, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 187, 29, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185630, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 82, 4, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185631, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 397, 1, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185632, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 913, 7, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185633, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 133, 10, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185634, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 502, 38, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185635, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 473, 38, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185636, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 112, 19, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185637, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 62, 11, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185638, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 137, 21, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185639, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 542, 49, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185640, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 168, 20, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 10, 1, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 137, 21, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 77, 24, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 214, 24, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 102, 8, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 187, 29, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 514, 3, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 55, 6, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 112, 19, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 168, 20, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 542, 49, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 116, 5, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 1719, 2, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 178, 19, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 502, 38, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 473, 38, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 140, 12, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 182, 26, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 233, 11, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 175, 16, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 580, 48, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 102, 1, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 591, 13, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 406, 21, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 583, 12, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 218, 12, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 180, 11, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 485, 8, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 223, 10, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 76, 1, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 2248, 6, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 4, 2, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 744, 12, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 2903, 10, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 224, 9, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 913, 7, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 133, 10, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 143, 10, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 4, 2, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 449, 15, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 20, 1, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 703, 3, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 614, 14, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 160, 15, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 2, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 590, 10, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 97, 29, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 68, 10, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 62, 11, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 148, 24, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 2, 1, 2024, 1, 29, '2024-08-05 16:00:28', NULL, NULL), (185692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 321, 19, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 115, 31, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 10, 9, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 138, 23, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 1, 3, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 908, 21, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 4, 2, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185699, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 321, 19, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185700, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 580, 48, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185701, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 473, 38, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185702, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 502, 38, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185703, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 13, 2, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185704, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 112, 3, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185705, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 542, 49, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185706, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 614, 14, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185707, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 908, 21, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185708, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 1, 3, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185709, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 2, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185710, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 2, 1, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185711, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 4, 2, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185712, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 20, 1, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185713, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 10, 9, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185714, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 233, 11, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185715, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 143, 10, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185716, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 514, 3, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185717, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 449, 15, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185718, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 224, 9, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185719, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 76, 1, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185720, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 2248, 6, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185721, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 187, 29, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185722, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 133, 10, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185723, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 153, 14, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185724, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 214, 24, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185725, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 744, 12, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185726, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 77, 24, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185727, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 137, 21, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185728, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 485, 8, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185729, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 223, 10, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185730, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 168, 20, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185731, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 590, 10, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185732, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 112, 19, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185733, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 180, 11, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185734, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 10, 1, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185735, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 218, 12, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185736, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 62, 11, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185737, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 55, 6, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185738, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 4, 2, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185739, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 4, 2, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185740, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 406, 21, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185741, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 583, 12, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185742, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 2903, 10, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185743, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 102, 1, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185744, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 591, 13, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185745, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 913, 7, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185746, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 397, 1, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185747, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 140, 12, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185748, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 82, 4, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185749, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 182, 26, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185750, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 703, 3, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185751, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 23, 1, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185752, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 178, 19, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185753, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 63, 4, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185754, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 116, 5, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185755, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 144, 6, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185756, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 251, 3, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185757, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 119, 9, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185758, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 152, 3, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185759, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 194, 9, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185760, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 1719, 2, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185761, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 136, 17, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185762, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 72, 6, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185763, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 113, 22, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185764, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 175, 16, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185765, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 32, 11, 2024, 1, 29, '2024-08-05 16:00:29', NULL, NULL), (185766, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 107, 13, 2024, 1, 29, '2024-08-05 16:00:30', NULL, NULL), (185767, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 137, 12, 2024, 1, 29, '2024-08-05 16:00:30', NULL, NULL), (185768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 989, 98, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 582, 12, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 369, 152, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 5, 2, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 6, 2, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 92, 1, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 4, 1, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 409, 115, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 172, 43, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 165, 152, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '', 28, 1, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 659, 184, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 680, 19, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 459, 220, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 519, 60, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 379, 83, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 390, 115, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 574, 57, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 367, 126, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 461, 125, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185788, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185789, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 52, 2, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185790, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 17, 9, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185791, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 4, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185792, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 106, 22, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185793, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 409, 115, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185794, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 5, 2, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185795, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 2277, 3, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185796, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185797, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 477, 6, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185798, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 710, 63, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185799, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 92, 1, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185800, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 535, 3, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185801, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 410, 17, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185802, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 1831, 42, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185803, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 2122, 5, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185804, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 688, 32, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185805, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 9, 2, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185806, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 436, 10, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185807, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 5, 1, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185808, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 205, 16, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185809, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 148, 86, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185810, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185811, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 253, 1, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185812, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 337, 1, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185813, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 767, 2, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185814, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 85, 5, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185815, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 153, 20, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185816, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 112, 69, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185817, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 516, 122, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185818, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 174, 3, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185819, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 6, 2, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185820, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 957, 16, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185821, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 13505, 1, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185822, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 50, 4, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185823, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 86, 20, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185824, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 85, 59, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185825, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 15, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185826, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185827, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 302, 12, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185828, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 28, 1, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185829, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 291, 17, 2024, 1, 30, '2024-08-05 16:00:31', NULL, NULL), (185830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 291, 17, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 957, 16, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 249, 25, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 86, 20, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 377, 19, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 386, 6, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 562, 18, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 2200, 24, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 441, 25, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 938, 10, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 1339, 18, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 107, 29, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 521, 6, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 125, 3, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 116, 31, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 143, 26, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 633, 15, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (185847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 110, 18, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 68, 12, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 94, 14, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 125, 14, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 635, 1, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 216, 4, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 53, 12, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 447, 28, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 153, 20, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 278, 29, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 305, 24, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 5, 2, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 341, 34, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 61, 4, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 351, 29, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 6, 2, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 76, 10, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 85, 5, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 436, 10, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 535, 3, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 205, 16, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 174, 3, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 13505, 1, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 363, 10, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 265, 12, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 477, 6, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 1093, 33, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 306, 18, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 1530, 1, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 3, 2, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 4, 1, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 17, 9, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 337, 1, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 11, 3, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 5, 1, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 887, 9, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 189, 6, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 5, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1027, 33, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 52, 2, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 2122, 5, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B08', 28, 1, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B14', 9, 2, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185890, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 410, 17, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185891, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 710, 63, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185892, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 85, 5, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185893, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 409, 115, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185894, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 106, 22, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185895, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 154, 73, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185896, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 767, 2, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185897, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 86, 20, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185898, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 112, 57, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185899, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 13505, 1, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185900, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 291, 17, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185901, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 205, 16, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185902, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '', 28, 1, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185903, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 5, 2, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185904, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 92, 1, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185905, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 6, 2, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185906, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 253, 1, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185907, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 5, 1, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185908, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 2122, 5, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185909, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 85, 59, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185910, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 525, 120, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185911, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 1831, 42, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185912, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 50, 4, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185913, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 174, 3, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185914, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 17, 9, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185915, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 957, 16, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185916, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 337, 1, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185917, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 710, 31, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185918, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 9, 2, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185919, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 535, 3, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185920, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 436, 10, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185921, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 153, 20, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185922, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 363, 10, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185923, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 477, 6, 2024, 1, 30, '2024-08-05 16:00:32', NULL, NULL), (185924, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 2277, 3, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185925, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 52, 2, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185926, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 5, 2, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185927, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 477, 6, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185928, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 265, 12, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185929, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 2, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185930, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 192, 6, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185931, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 1093, 33, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185932, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 11, 3, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185933, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 306, 18, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185934, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 5, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185935, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 189, 6, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185936, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 86, 20, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185937, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 9, 2, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185938, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 91, 2, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185939, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 205, 16, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185940, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 410, 17, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185941, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 94, 8, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185942, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 363, 10, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185943, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 85, 5, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185944, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 436, 10, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185945, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 1530, 1, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185946, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 216, 4, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185947, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 53, 12, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185948, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 68, 12, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185949, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 94, 14, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185950, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 125, 3, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185951, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 4, 1, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185952, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 76, 10, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185953, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 337, 1, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185954, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 87, 4, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185955, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 156, 8, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185956, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 131, 12, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185957, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 5, 1, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185958, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 14, 4, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185959, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 52, 2, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185960, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 90, 15, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185961, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 957, 16, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185962, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 128, 14, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185963, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 2277, 3, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185964, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '2B08', 28, 1, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185965, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 61, 4, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185966, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 633, 15, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185967, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 938, 10, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185968, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 2200, 24, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185969, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 1339, 18, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185970, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 521, 6, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185971, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 291, 17, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185972, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B14', 9, 2, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185973, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 17, 9, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185974, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1027, 33, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185975, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 92, 1, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185976, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 6, 2, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185977, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 2122, 5, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185978, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 43, 7, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185979, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 164, 13, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185980, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 249, 25, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185981, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 143, 15, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185982, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 86, 15, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185983, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 447, 28, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185984, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 635, 1, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185985, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 209, 8, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185986, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 174, 3, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185987, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 253, 1, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185988, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 535, 3, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185989, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 562, 18, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185990, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 341, 34, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185991, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 386, 6, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185992, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 441, 25, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185993, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 305, 24, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185994, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 153, 20, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185995, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 13505, 1, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185996, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 377, 19, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185997, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 351, 29, 2024, 1, 30, '2024-08-05 16:00:33', NULL, NULL), (185998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 249, 25, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (185999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 447, 28, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 278, 29, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 2277, 3, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 92, 1, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 17, 9, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 441, 25, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 562, 18, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 377, 19, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 351, 29, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 306, 18, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 341, 34, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 305, 24, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B14', 9, 2, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 265, 12, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 13505, 1, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 1093, 33, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 61, 4, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 291, 17, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 76, 10, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1027, 33, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 6, 2, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 216, 4, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 53, 12, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 68, 12, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 94, 14, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 125, 3, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 633, 15, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 938, 10, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 521, 6, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 1530, 1, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 4, 1, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 4, 1, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '2B08', 28, 1, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 363, 10, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 477, 6, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 205, 16, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 174, 3, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 535, 3, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 85, 5, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 5, 2, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 436, 10, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 2, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 1339, 18, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 125, 14, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 5, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 635, 1, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 2122, 5, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 52, 2, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 148, 25, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 153, 20, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 110, 18, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 5, 1, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 11, 3, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 107, 29, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 86, 20, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 957, 16, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 117, 30, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 386, 6, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 189, 6, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 2200, 24, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 192, 6, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 337, 1, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186061, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 52, 2, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186062, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1027, 33, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186063, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 86, 20, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186064, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 305, 24, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186065, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 341, 34, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186066, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 87, 4, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186067, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 94, 8, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186068, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 351, 29, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186069, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 1339, 18, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186070, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 2200, 24, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186071, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 189, 6, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186072, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 5, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186073, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 11, 3, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186074, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 192, 6, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186075, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 2, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186076, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 957, 16, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186077, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 76, 10, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186078, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 13505, 1, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186079, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 85, 5, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186080, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 61, 4, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186081, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 2277, 3, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186082, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 436, 10, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186083, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 205, 16, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186084, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 1530, 1, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186085, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 4, 1, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186086, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 535, 3, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186087, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 447, 28, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186088, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 363, 10, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186089, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 249, 25, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186090, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 938, 10, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186091, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 377, 19, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186092, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 521, 6, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186093, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 2122, 5, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186094, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 562, 18, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186095, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 337, 1, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186096, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 441, 25, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186097, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 633, 15, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186098, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 92, 1, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186099, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 94, 14, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186100, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 125, 3, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186101, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 17, 9, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186102, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 153, 20, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186103, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 5, 2, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186104, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 53, 12, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186105, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 68, 12, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186106, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 477, 6, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186107, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 174, 3, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186108, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 216, 4, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186109, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 253, 1, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186110, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 6, 2, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186111, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 265, 12, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186112, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 635, 1, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186113, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 209, 8, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186114, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 1093, 33, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186115, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 43, 7, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186116, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 306, 18, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186117, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 164, 13, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186118, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 143, 15, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186119, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 9, 2, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186120, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 86, 15, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186121, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 386, 6, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186122, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 91, 2, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186123, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 410, 17, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186124, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 90, 15, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186125, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 131, 12, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186126, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 5, 1, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186127, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B14', 9, 2, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186128, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 128, 14, 2024, 1, 30, '2024-08-05 16:00:34', NULL, NULL), (186129, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 291, 17, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186130, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '2B08', 28, 1, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186131, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 156, 8, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186132, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 14, 4, 2024, 1, 30, '2024-08-05 16:00:35', NULL, NULL), (186133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 289, 82, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 20, 1, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 204, 7, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 206, 96, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 158, 26, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 476, 109, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 65, 112, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '', 256, 2, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 3, 5, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 476, 110, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 135, 12, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 222, 182, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 210, 29, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 38, 6, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 202, 46, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 343, 59, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 564, 9, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 257, 53, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 335, 93, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 294, 77, 2024, 1, 31, '2024-08-05 16:00:36', NULL, NULL), (186153, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 20, 1, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186154, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186155, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 301, 4, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186156, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186157, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 2, 10, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186158, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 206, 96, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186159, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 3, 5, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186160, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 56, 4, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186161, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 1, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186162, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 707, 10, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186163, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 274, 36, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186164, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 323, 13, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186165, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 330, 4, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186166, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 271, 37, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186167, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 326, 12, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186168, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 608, 13, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186169, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186170, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 152, 8, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186171, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 177, 11, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186172, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 17, 57, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186173, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 7, 1, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186174, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 3474, 4, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186175, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 390, 3, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186176, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 104, 21, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186177, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 35, 41, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186178, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 541, 77, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186179, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 0, 1, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186180, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 1071, 10, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186181, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 419, 2, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186182, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 53, 14, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186183, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 121, 6, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186184, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 220, 38, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186185, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 4, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186186, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186187, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 848, 6, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186188, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 52, 1, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186189, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 256, 2, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186190, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186191, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 256, 16, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 97, 11, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 256, 16, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 1071, 10, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 53, 14, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 290, 12, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 205, 19, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 144, 11, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 369, 18, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 121, 5, 2024, 1, 31, '2024-08-05 16:00:38', NULL, NULL), (186201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 236, 12, 2024, 1, 31, '2024-08-05 16:00:38', NULL, NULL), (186202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 178, 19, 2024, 1, 31, '2024-08-05 16:00:38', NULL, NULL), (186203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 13, 2, 2024, 1, 31, '2024-08-05 16:00:38', NULL, NULL), (186204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 20, 21, 2024, 1, 31, '2024-08-05 16:00:38', NULL, NULL), (186205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 92, 3, 2024, 1, 31, '2024-08-05 16:00:38', NULL, NULL), (186206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 18, 20, 2024, 1, 31, '2024-08-05 16:00:38', NULL, NULL), (186207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 656, 5, 2024, 1, 31, '2024-08-05 16:00:38', NULL, NULL), (186208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 49, 17, 2024, 1, 31, '2024-08-05 16:00:38', NULL, NULL), (186209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 4, 5, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 62, 8, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 62, 5, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 59, 15, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 419, 2, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 114, 19, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 567, 7, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 248, 23, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 104, 21, 2024, 1, 31, '2024-08-05 16:00:38', NULL, NULL), (186218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 149, 8, 2024, 1, 31, '2024-08-05 16:00:38', NULL, NULL), (186219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 175, 15, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 637, 41, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 3, 4, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 264, 12, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 339, 4, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 4, 1, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 123, 9, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 390, 3, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 152, 8, 2024, 1, 31, '2024-08-05 16:00:38', NULL, NULL), (186228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 661, 2, 2024, 1, 31, '2024-08-05 16:00:38', NULL, NULL), (186229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 177, 11, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 419, 2, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 848, 6, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 871, 9, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 707, 10, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 70, 16, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 134, 4, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 51, 7, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B07', 445, 1, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B06', 20, 1, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 3, 2, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 3474, 4, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 301, 4, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 7, 1, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 3, 1, 2024, 1, 31, '2024-08-05 16:00:38', NULL, NULL), (186244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 38, 6, 2024, 1, 31, '2024-08-05 16:00:38', NULL, NULL), (186245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 1, 2024, 1, 31, '2024-08-05 16:00:38', NULL, NULL), (186246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 649, 19, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 3, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 608, 13, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B08', 67, 1, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 52, 1, 2024, 1, 31, '2024-08-05 16:00:37', NULL, NULL), (186251, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 323, 13, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186252, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 121, 6, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186253, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 274, 36, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186254, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 390, 3, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186255, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 301, 4, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186256, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 206, 96, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186257, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 2, 10, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (186258, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 18, 53, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186259, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 52, 1, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186260, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 3474, 4, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186261, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 53, 14, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186262, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 36, 40, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186263, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 419, 2, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186264, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 1071, 10, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186265, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 256, 16, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186266, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 177, 11, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186267, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '', 256, 2, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186268, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 7, 1, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186269, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 3, 5, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186270, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 20, 1, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186271, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 326, 12, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186272, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 661, 2, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186273, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 152, 8, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186274, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 104, 21, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186275, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 848, 6, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186276, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 707, 10, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186277, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 608, 13, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186278, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 75, 3, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186279, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 220, 38, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186280, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 578, 72, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186281, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 271, 37, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186282, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 380, 5, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186283, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 4, 1, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186284, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 3, 4, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186285, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 51, 7, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186286, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 707, 10, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186287, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 871, 9, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186288, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 2, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186289, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 70, 16, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186290, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 134, 4, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186291, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 3, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186292, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 3, 1, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186293, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 3, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186294, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 1, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186295, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 53, 14, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186296, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 121, 6, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186297, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 288, 8, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186298, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 177, 11, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186299, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 29, 6, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186300, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 848, 6, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186301, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 390, 3, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186302, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 152, 8, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186303, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 419, 2, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186304, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 567, 7, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186305, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 62, 8, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186306, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 62, 5, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186307, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 92, 3, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186308, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 3474, 4, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186309, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 123, 9, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186310, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 7, 1, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186311, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 149, 1, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186312, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 5, 3, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186313, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 74, 8, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186314, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 17, 8, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186315, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 6, 4, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186316, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 23, 7, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186317, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 1071, 10, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186318, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 42, 9, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186319, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 75, 3, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186320, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '2B08', 67, 1, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186321, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '2B07', 445, 1, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186322, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B06', 20, 1, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186323, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 339, 4, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186324, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 656, 5, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186325, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 52, 1, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186326, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 121, 5, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186327, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 369, 18, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186328, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 13, 2, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186329, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 178, 19, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186330, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 256, 16, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186331, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 301, 4, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186332, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 649, 19, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186333, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 3, 2, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186334, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 149, 8, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186335, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 608, 13, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186336, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 97, 11, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186337, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 27, 9, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186338, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 15, 13, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186339, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 248, 23, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186340, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 4, 12, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186341, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 22, 6, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186342, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 27, 5, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186343, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 661, 2, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186344, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 144, 11, 2024, 1, 31, '2024-08-05 16:00:39', NULL, NULL), (186345, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 264, 12, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186346, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 236, 12, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186347, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 637, 41, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186348, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 104, 21, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186349, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 290, 12, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186350, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 419, 2, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186351, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 205, 19, 2024, 1, 31, '2024-08-05 16:00:40', NULL, NULL), (186352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 290, 12, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 97, 11, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 149, 8, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 175, 15, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 248, 23, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 75, 3, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 301, 4, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 236, 12, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 144, 11, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 205, 19, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 51, 7, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 264, 12, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 637, 41, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 871, 9, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 419, 2, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 134, 4, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 70, 16, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 339, 4, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 256, 16, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 123, 9, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 649, 19, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 419, 2, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 567, 7, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 62, 8, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 62, 5, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 92, 3, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 656, 5, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 121, 5, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 13, 2, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 3474, 4, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '2B08', 67, 1, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '2B07', 445, 1, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B06', 20, 1, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 848, 6, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 4, 1, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 707, 10, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 177, 11, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 661, 2, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 390, 3, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 3, 4, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 152, 8, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 2, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 52, 1, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 178, 19, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 59, 15, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 114, 19, 2024, 1, 31, '2024-08-05 16:00:41', NULL, NULL), (186398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 3, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 608, 13, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 49, 17, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 104, 21, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 4, 5, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 3, 1, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 53, 14, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 20, 21, 2024, 1, 31, '2024-08-05 16:00:42', NULL, NULL), (186406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 18, 20, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 1071, 10, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 1, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 369, 18, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 7, 1, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 3, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186412, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 649, 19, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186413, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 53, 14, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186414, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 637, 41, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186415, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 264, 12, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186416, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 149, 1, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186417, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 29, 6, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186418, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 178, 19, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186419, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 369, 18, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186420, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 1, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186421, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 3, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186422, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 3, 1, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186423, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 3, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186424, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 2, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186425, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B06', 20, 1, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186426, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 1071, 10, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186427, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 123, 9, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186428, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 419, 2, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186429, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 390, 3, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186430, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 339, 4, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186431, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 75, 3, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186432, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 152, 8, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186433, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 177, 11, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186434, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 3474, 4, 2024, 1, 31, '2024-08-05 16:00:45', NULL, NULL), (186435, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 380, 5, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186436, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 248, 23, 2024, 1, 31, '2024-08-05 16:00:45', NULL, NULL), (186437, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 661, 2, 2024, 1, 31, '2024-08-05 16:00:45', NULL, NULL), (186438, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 149, 8, 2024, 1, 31, '2024-08-05 16:00:45', NULL, NULL), (186439, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 848, 6, 2024, 1, 31, '2024-08-05 16:00:45', NULL, NULL), (186440, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 97, 11, 2024, 1, 31, '2024-08-05 16:00:45', NULL, NULL), (186441, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 121, 5, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186442, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 290, 12, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186443, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 13, 2, 2024, 1, 31, '2024-08-05 16:00:45', NULL, NULL), (186444, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 205, 19, 2024, 1, 31, '2024-08-05 16:00:45', NULL, NULL), (186445, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 144, 11, 2024, 1, 31, '2024-08-05 16:00:45', NULL, NULL), (186446, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 608, 13, 2024, 1, 31, '2024-08-05 16:00:45', NULL, NULL), (186447, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 7, 1, 2024, 1, 31, '2024-08-05 16:00:45', NULL, NULL), (186448, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 656, 5, 2024, 1, 31, '2024-08-05 16:00:45', NULL, NULL), (186449, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 236, 12, 2024, 1, 31, '2024-08-05 16:00:45', NULL, NULL), (186450, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 62, 5, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186451, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 92, 3, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186452, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 301, 4, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186453, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 104, 21, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186454, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 4, 1, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186455, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 3, 4, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186456, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 567, 7, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186457, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 62, 8, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186458, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 707, 10, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186459, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 419, 2, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186460, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 871, 9, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186461, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 22, 6, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186462, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 70, 16, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186463, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 27, 5, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186464, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 52, 1, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186465, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 134, 4, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186466, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 3, 2, 2024, 1, 31, '2024-08-05 16:00:45', NULL, NULL), (186467, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 27, 9, 2024, 1, 31, '2024-08-05 16:00:45', NULL, NULL), (186468, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 51, 7, 2024, 1, 31, '2024-08-05 16:00:45', NULL, NULL), (186469, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 15, 13, 2024, 1, 31, '2024-08-05 16:00:45', NULL, NULL), (186470, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 121, 6, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186471, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 4, 12, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186472, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 288, 8, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186473, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 23, 7, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186474, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 74, 8, 2024, 1, 31, '2024-08-05 16:00:43', NULL, NULL), (186475, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '2B07', 445, 1, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186476, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 42, 9, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186477, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 17, 8, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186478, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 256, 16, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186479, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '2B08', 67, 1, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186480, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 5, 3, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186481, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 6, 4, 2024, 1, 31, '2024-08-05 16:00:44', NULL, NULL), (186482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 722, 21, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2784, 6, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区残联', '', '', 262, 1, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 5, 1, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 973, 245, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 9, 3, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 5, 1, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 1017, 1, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 75, 100, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 1438, 38, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 82, 121, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '', 154, 2, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 644, 187, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1767, 10, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 632, 201, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 393, 29, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 735, 71, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 372, 64, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 698, 120, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 406, 8, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 590, 48, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 420, 137, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 632, 86, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186505, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 4989, 3, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186506, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186507, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 1462, 23, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186508, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 75, 100, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186509, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 9, 3, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186510, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 551, 3, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186511, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 1, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186512, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 812, 11, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186513, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 621, 61, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186514, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 1017, 1, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186515, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 365, 13, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186516, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 546, 13, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186517, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 1017, 8, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186518, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 342, 8, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186519, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1355, 88, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186520, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186521, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 16804, 1, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186522, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 5442, 1, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186523, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 389, 7, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186524, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 229, 9, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186525, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 50, 43, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186526, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 38, 3, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186527, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', '', 262, 1, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186528, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 1486, 1, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186529, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1528, 12, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186530, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 556, 7, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186531, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 1292, 5, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186532, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 48, 84, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186533, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 645, 128, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186534, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 5, 1, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186535, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 3308, 6, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186536, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 147, 2, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186537, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 4, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186538, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186539, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 49, 5, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186540, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 39, 7, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186541, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 336, 70, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186542, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 10, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186543, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 8, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186544, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1922, 12, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186545, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 82, 1, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186546, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 154, 2, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186547, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 300, 14, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 147, 2, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 300, 14, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 22, 17, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 22, 8, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 46, 6, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 94, 15, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 95, 16, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 794, 4, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 1240, 4, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1417, 40, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 134, 25, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 49, 28, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1425, 21, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 73, 15, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 100, 13, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1209, 27, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 79, 14, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 108, 16, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 773, 13, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 38, 14, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 329, 10, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 84, 21, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 212, 15, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 34, 11, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 1292, 5, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 41, 8, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 212, 18, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 630, 64, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 778, 31, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 9, 3, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 424, 20, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 5, 1, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 331, 16, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 556, 7, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 389, 7, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A15', 262, 1, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 546, 13, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 229, 9, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 3308, 6, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1922, 12, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 210, 10, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 812, 11, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 602, 28, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 916, 19, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 382, 4, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B07', 154, 2, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 1208, 4, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 1193, 2, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1689, 8, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 7484, 2, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 1486, 1, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 638, 3, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 1175, 10, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 1925, 7, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 879, 11, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 1170, 5, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 5442, 1, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 342, 8, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 16804, 1, 2024, 2, 1, '2024-08-05 16:00:49', NULL, NULL), (186607, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 365, 13, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186608, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 49, 5, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186609, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '区残联', '', '', 262, 1, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186610, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 621, 61, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186611, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 3308, 6, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186612, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 556, 7, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186613, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 7484, 2, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186614, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 75, 100, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186615, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 1462, 23, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186616, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 53, 35, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186617, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1528, 12, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186618, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 46, 6, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186619, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 46, 65, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186620, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 147, 2, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186621, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 300, 14, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186622, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 229, 9, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186623, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '', 154, 2, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186624, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 82, 1, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186625, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 1486, 1, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186626, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 9, 3, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186627, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1355, 88, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186628, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 1017, 1, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186629, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 16804, 1, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186630, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 546, 13, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186631, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 5, 1, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186632, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 389, 7, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186633, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 1292, 5, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186634, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 38, 3, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186635, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1922, 12, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186636, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 5442, 1, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186637, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 812, 11, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186638, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 342, 8, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186639, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 551, 3, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186640, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 336, 70, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186641, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 656, 126, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186642, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 1017, 8, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186643, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 549, 2, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186644, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 9, 3, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186645, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 382, 4, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186646, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 812, 11, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186647, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 210, 10, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186648, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 1193, 2, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186649, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 1442, 7, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186650, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 602, 28, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186651, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', 'A15', 262, 1, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186652, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 638, 3, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186653, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 916, 19, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186654, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 1170, 5, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186655, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2232, 6, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186656, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 46, 6, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186657, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 29, 2, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186658, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 62, 3, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186659, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 332, 11, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186660, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 229, 9, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186661, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 30, 4, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186662, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1922, 12, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186663, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 389, 7, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (186664, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 556, 7, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186665, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 1208, 4, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186666, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 329, 10, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186667, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 212, 15, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186668, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 108, 16, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186669, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 773, 13, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186670, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1689, 8, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186671, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 331, 16, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186672, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 5442, 1, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186673, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 1486, 1, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186674, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 15, 3, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186675, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 82, 1, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186676, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 86, 6, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186677, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 143, 7, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186678, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 8, 13, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186679, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 46, 10, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186680, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 147, 2, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186681, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 4, 10, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186682, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 51, 16, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186683, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 551, 3, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186684, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '2B07', 154, 2, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186685, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1209, 27, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186686, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 794, 4, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186687, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1417, 40, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186688, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 1240, 4, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186689, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1425, 21, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186690, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 300, 14, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186691, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 16804, 1, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186692, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 7484, 2, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186693, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 879, 11, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186694, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 5, 1, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186695, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 1017, 1, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186696, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 142, 2, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186697, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 342, 8, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186698, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 41, 8, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186699, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 22, 17, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186700, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 49, 6, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186701, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 10, 4, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186702, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 47, 12, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186703, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 34, 11, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186704, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 93, 6, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186705, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 6, 1, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186706, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 38, 3, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186707, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 3308, 6, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186708, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 546, 13, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186709, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 778, 31, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186710, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 95, 16, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186711, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 630, 64, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186712, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 134, 25, 2024, 2, 1, '2024-08-05 16:00:50', NULL, NULL), (186713, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 22, 8, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186714, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 1292, 5, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186715, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 94, 15, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186716, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 424, 20, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 22, 8, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 22, 17, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 41, 8, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 212, 18, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 34, 11, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 82, 1, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 551, 3, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 1017, 1, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 7484, 2, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 134, 25, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 95, 16, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 94, 15, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 424, 20, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 382, 4, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 916, 19, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 778, 31, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 630, 64, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 210, 10, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 16804, 1, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 602, 28, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 300, 14, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 331, 16, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 879, 11, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 5, 1, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区残联', '', 'A15', 262, 1, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 5, 1, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 329, 10, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 212, 15, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 108, 16, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 773, 13, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1209, 27, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1417, 40, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1425, 21, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 1208, 4, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1689, 8, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '2B07', 154, 2, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1922, 12, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 812, 11, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 229, 9, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 3308, 6, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 546, 13, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 556, 7, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 389, 7, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 9, 3, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 1193, 2, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 1240, 4, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 40, 13, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 342, 8, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 1170, 5, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 84, 21, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 1292, 5, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 100, 13, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 5442, 1, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 79, 14, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 638, 3, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 46, 6, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 49, 28, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 147, 2, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 6, 14, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2232, 6, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 794, 4, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 1486, 1, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 1442, 7, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186780, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 879, 11, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186781, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 46, 6, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186782, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '区残联', '', 'A15', 262, 1, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186783, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 82, 1, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186784, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 630, 64, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186785, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 778, 31, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186786, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 15, 3, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186787, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 30, 4, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186788, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 1240, 4, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186789, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 424, 20, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186790, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 794, 4, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186791, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2232, 6, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186792, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 1170, 5, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186793, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 638, 3, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186794, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 1442, 7, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186795, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 1193, 2, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186796, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 147, 2, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186797, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 5442, 1, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186798, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 331, 16, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186799, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 556, 7, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186800, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 551, 3, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186801, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 389, 7, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186802, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 229, 9, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186803, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 1208, 4, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186804, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1689, 8, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186805, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 549, 2, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186806, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 546, 13, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186807, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 34, 11, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186808, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 41, 8, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186809, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1922, 12, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186810, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 22, 17, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186811, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 22, 8, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186812, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1417, 40, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186813, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 94, 15, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186814, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1425, 21, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186815, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 342, 8, 2024, 2, 1, '2024-08-05 16:00:52', NULL, NULL), (186816, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 95, 16, 2024, 2, 1, '2024-08-05 16:00:52', NULL, NULL), (186817, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 1486, 1, 2024, 2, 1, '2024-08-05 16:00:52', NULL, NULL), (186818, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1209, 27, 2024, 2, 1, '2024-08-05 16:00:52', NULL, NULL), (186819, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 134, 25, 2024, 2, 1, '2024-08-05 16:00:52', NULL, NULL), (186820, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 1017, 1, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186821, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 773, 13, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186822, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 7484, 2, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186823, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 1292, 5, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186824, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 9, 3, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186825, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 212, 15, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186826, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 108, 16, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186827, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 812, 11, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186828, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 3308, 6, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186829, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 329, 10, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186830, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 5, 1, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186831, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 38, 3, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186832, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 210, 10, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186833, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 93, 6, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186834, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 6, 1, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186835, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 602, 28, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186836, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 142, 2, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186837, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 916, 19, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186838, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 382, 4, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186839, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 49, 6, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186840, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 10, 4, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186841, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 29, 2, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186842, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 47, 12, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186843, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 62, 3, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186844, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 332, 11, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186845, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 4, 10, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186846, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 16804, 1, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186847, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 143, 7, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186848, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '2B07', 154, 2, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186849, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 51, 16, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186850, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 300, 14, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186851, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 8, 13, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186852, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 86, 6, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186853, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 46, 10, 2024, 2, 1, '2024-08-05 16:00:51', NULL, NULL), (186854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 377, 80, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 170, 3, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 277, 6, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 107, 124, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 1086, 34, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 746, 184, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 134, 128, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 3, 2, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '', 265, 1, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 499, 161, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 10, 1, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 253, 13, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 395, 185, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 388, 47, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 397, 69, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 419, 79, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 638, 112, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 8, 1, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 396, 50, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 295, 104, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 390, 96, 2024, 2, 2, '2024-08-05 16:00:55', NULL, NULL), (186875, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 15120, 2, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186876, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 6, 3, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186877, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186878, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 181, 14, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186879, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 107, 124, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186880, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 3, 2, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186881, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 546, 3, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186882, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 866, 12, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186883, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 209, 52, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186884, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 170, 3, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186885, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 130, 11, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186886, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 1935, 5, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186887, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 521, 38, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186888, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 451, 8, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186889, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 602, 68, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186890, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1927, 5, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186891, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 58, 15, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186892, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 156, 35, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186893, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 11, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186894, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 5, 2, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186895, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 571, 4, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186896, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 23, 2, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186897, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 467, 18, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186898, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 118, 84, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186899, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 604, 115, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186900, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 10, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186901, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 0, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186902, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 83, 12, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186903, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 4, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186904, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186905, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 105, 4, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186906, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 81, 12, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186907, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 698, 61, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186908, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 9, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186909, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1573, 7, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186910, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186911, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186912, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 6270, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186913, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 8, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186914, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 265, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186915, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 231, 18, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 83, 12, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 231, 18, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 157, 18, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 81, 12, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 82, 14, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 51, 9, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 413, 15, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 110, 30, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 591, 23, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 697, 33, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 100, 20, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 158, 22, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 493, 11, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 133, 30, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 58, 22, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 521, 24, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 180, 10, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 115, 5, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 541, 7, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 25, 4, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 685, 17, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 59, 15, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 762, 23, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 103, 16, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 467, 18, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 111, 17, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 222, 28, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 528, 24, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 3, 2, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 648, 41, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 1331, 6, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 687, 44, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 10, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 349, 3, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 23, 2, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1927, 5, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 1935, 5, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 97, 9, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1573, 7, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 866, 12, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 275, 18, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 140, 14, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 199, 20, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B07', 265, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 1753, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 51, 4, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 177, 3, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 3, 2, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 6, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 5, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 277, 6, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 387, 6, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 2, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 451, 8, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 15120, 2, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 6270, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186972, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 130, 11, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186973, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 105, 4, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186974, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 209, 52, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186975, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 23, 2, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186976, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 6, 3, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186977, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 107, 124, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186978, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 181, 14, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186979, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 160, 34, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186980, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 6270, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186981, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 571, 4, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186982, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 81, 12, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186983, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 127, 78, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186984, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 83, 12, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186985, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 231, 18, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186986, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 97, 9, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186987, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '', 265, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186988, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 3, 2, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186989, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 8, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186990, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 5, 2, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186991, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 602, 68, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186992, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 170, 3, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186993, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 1935, 5, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186994, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 10, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186995, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1927, 5, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186996, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 467, 18, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186997, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 11, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186998, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1573, 7, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (186999, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 866, 12, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187000, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 451, 8, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187001, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 819, 2, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187002, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 698, 61, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187003, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 637, 109, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187004, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 521, 38, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187005, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 15120, 2, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187006, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 160, 4, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187007, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 3, 2, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187008, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 866, 12, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187009, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 275, 18, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187010, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 64, 3, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187011, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 140, 14, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187012, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 6, 4, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187013, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 199, 20, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187014, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 2, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187015, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 463, 5, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187016, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 81, 12, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187017, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 105, 4, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187018, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 113, 7, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187019, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 97, 9, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187020, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 307, 6, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187021, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1573, 7, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187022, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1927, 5, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187023, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 23, 2, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187024, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 1753, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187025, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 685, 17, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187026, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 762, 23, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187027, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 115, 5, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187028, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 541, 7, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187029, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 177, 3, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187030, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 349, 3, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187031, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 6, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187032, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 5, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187033, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 239, 15, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187034, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 8, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187035, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 257, 4, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187036, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 78, 16, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187037, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 26, 8, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187038, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 25, 4, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187039, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 15120, 2, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187040, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 83, 12, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187041, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 137, 18, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187042, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 98, 13, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187043, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 819, 2, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187044, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '2B07', 265, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187045, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 1331, 6, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187046, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 521, 24, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187047, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 6270, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187048, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 413, 15, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187049, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 697, 33, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187050, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 591, 23, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187051, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 493, 11, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187052, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 231, 18, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187053, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 12, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187054, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 3, 2, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187055, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 170, 3, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187056, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 10, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187057, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 343, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187058, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 451, 8, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187059, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 111, 17, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187060, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 4, 6, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187061, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 157, 18, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187062, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 112, 9, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187063, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 244, 9, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187064, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 103, 16, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187065, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 13, 3, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187066, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 11, 1, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187067, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 1935, 5, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187068, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 110, 30, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187069, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 648, 41, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187070, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 528, 24, 2024, 2, 2, '2024-08-05 16:00:56', NULL, NULL), (187071, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 100, 20, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (187072, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 467, 18, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187073, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 82, 14, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187074, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 51, 9, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187075, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 687, 44, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 12, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 82, 14, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 157, 18, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 111, 17, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 222, 28, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 103, 16, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 8, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 819, 2, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 170, 3, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 3, 2, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 100, 20, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 110, 30, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 51, 9, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 687, 44, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 199, 20, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 648, 41, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 528, 24, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 275, 18, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 140, 14, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 1331, 6, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 349, 3, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 231, 18, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 10, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 685, 17, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 762, 23, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 115, 5, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 541, 7, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 521, 24, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 697, 33, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 493, 11, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 1753, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 177, 3, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '2B07', 265, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1573, 7, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 866, 12, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 97, 9, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 1935, 5, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 23, 2, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 3, 2, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1927, 5, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 64, 3, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 6270, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 591, 23, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 25, 4, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 451, 8, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 59, 15, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 2, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 15120, 2, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 58, 22, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 467, 18, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 180, 10, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 158, 22, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 81, 12, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 83, 12, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 129, 27, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 463, 5, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 6, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 413, 15, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 5, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 6, 4, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187136, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 15120, 2, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187137, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 81, 12, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187138, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 8, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187139, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 528, 24, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187140, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 648, 41, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187141, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 239, 15, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187142, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 307, 6, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187143, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 591, 23, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187144, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 687, 44, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187145, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 413, 15, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187146, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 463, 5, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187147, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 2, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187148, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 6, 4, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187149, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 64, 3, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187150, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 83, 12, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187151, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 349, 3, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187152, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 1331, 6, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187153, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 23, 2, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187154, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 819, 2, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187155, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1927, 5, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187156, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 97, 9, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187157, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 1753, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187158, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 177, 3, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187159, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 6, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187160, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 160, 4, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187161, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 1935, 5, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187162, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 103, 16, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187163, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1573, 7, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187164, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 111, 17, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187165, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 157, 18, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187166, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 82, 14, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187167, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 697, 33, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187168, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 51, 9, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187169, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 493, 11, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187170, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 451, 8, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187171, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 110, 30, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187172, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 5, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187173, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 521, 24, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187174, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 100, 20, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187175, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 170, 3, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187176, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 12, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187177, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 541, 7, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187178, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 3, 2, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187179, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 467, 18, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187180, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 3, 2, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187181, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 762, 23, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187182, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 115, 5, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187183, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 866, 12, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187184, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 685, 17, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187185, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 10, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187186, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 11, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187187, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 275, 18, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187188, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 13, 3, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187189, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 140, 14, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187190, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 6270, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187191, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 343, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187192, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 199, 20, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187193, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 4, 6, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187194, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 112, 9, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187195, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 244, 9, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187196, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 105, 4, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187197, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 113, 7, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187198, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 137, 18, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187199, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 78, 16, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187200, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '2B07', 265, 1, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187201, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 98, 13, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187202, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 26, 8, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187203, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 231, 18, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187204, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 257, 4, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187205, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 25, 4, 2024, 2, 2, '2024-08-05 16:00:57', NULL, NULL), (187206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 2348, 5, 2024, 2, 3, '2024-08-05 16:01:01', NULL, NULL), (187207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 44, 12, 2024, 2, 3, '2024-08-05 16:01:01', NULL, NULL), (187208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 5507, 1, 2024, 2, 3, '2024-08-05 16:01:01', NULL, NULL), (187209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 0, 1, 2024, 2, 3, '2024-08-05 16:01:01', NULL, NULL), (187210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 1901, 3, 2024, 2, 3, '2024-08-05 16:01:01', NULL, NULL), (187211, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 8, 11, 2024, 2, 3, '2024-08-05 16:01:01', NULL, NULL), (187212, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1942, 6, 2024, 2, 3, '2024-08-05 16:01:01', NULL, NULL), (187213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 89, 1, 2024, 2, 3, '2024-08-05 16:01:01', NULL, NULL), (187214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 2913, 4, 2024, 2, 3, '2024-08-05 16:01:01', NULL, NULL), (187215, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 2913, 4, 2024, 2, 3, '2024-08-05 16:01:01', NULL, NULL), (187216, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 89, 1, 2024, 2, 3, '2024-08-05 16:01:01', NULL, NULL), (187217, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 2913, 4, 2024, 2, 3, '2024-08-05 16:01:01', NULL, NULL), (187218, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 89, 1, 2024, 2, 3, '2024-08-05 16:01:01', NULL, NULL), (187219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 89, 1, 2024, 2, 3, '2024-08-05 16:01:01', NULL, NULL), (187220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 2913, 4, 2024, 2, 3, '2024-08-05 16:01:01', NULL, NULL), (187221, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 89, 1, 2024, 2, 3, '2024-08-05 16:01:01', NULL, NULL), (187222, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 2913, 4, 2024, 2, 3, '2024-08-05 16:01:01', NULL, NULL), (187223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 647, 51, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 91, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 3281, 2, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 59, 47, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 240, 32, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 809, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 337, 103, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 87, 65, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 6, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 590, 49, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 238, 3, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 284, 97, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 223, 16, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 519, 24, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 607, 31, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 118, 59, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 190, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 366, 24, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 348, 57, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 365, 53, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187243, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187244, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 91, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187245, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 59, 47, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187246, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 32, 15, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187247, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 6, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187248, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 623, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187249, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 884, 15, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187250, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 334, 11, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187251, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 11, 6, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187252, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 474, 5, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187253, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 3281, 2, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187254, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 750, 27, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187255, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 964, 8, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187256, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 277, 27, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187257, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187258, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 11, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187259, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 6700, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187260, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 26, 5, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187261, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 87, 21, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187262, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 5, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187263, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 153, 3, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187264, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 3, 2, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187265, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 650, 11, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187266, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 86, 45, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187267, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 260, 33, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187268, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 4, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187269, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 565, 5, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187270, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 7085, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187271, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187272, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 5, 3, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187273, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 348, 8, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187274, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 137, 35, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187275, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187276, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187277, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 284, 5, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187278, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187279, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 412, 16, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187280, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 422, 4, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 565, 5, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 412, 16, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 348, 8, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 30, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 24, 8, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 1016, 12, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 58, 9, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 301, 10, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 10, 11, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 536, 15, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 436, 7, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 137, 7, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 397, 19, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 75, 13, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 142, 10, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 88, 9, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 156, 11, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 147, 18, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 145, 3, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 108, 7, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 25, 4, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 11, 10, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 650, 11, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 127, 16, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 105, 12, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 6, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 537, 4, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 399, 10, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 6, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 11, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 474, 5, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 26, 5, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 4, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 7085, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 284, 5, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1501, 7, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 334, 11, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 539, 5, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 18, 3, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 229, 2, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 2, 2, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 91, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 5, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 59, 6, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 6700, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 22, 3, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 12, 4, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 169, 7, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 623, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 964, 8, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187332, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 11, 6, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187333, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 5, 3, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187334, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 884, 15, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187335, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 4, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187336, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 6, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187337, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 623, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187338, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 91, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187339, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 59, 47, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187340, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 32, 15, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187341, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 105, 17, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187342, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 229, 2, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187343, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 348, 8, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187344, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 98, 39, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187345, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 7085, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187346, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 565, 5, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187347, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 412, 16, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187348, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 26, 5, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187349, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 5, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187350, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 6, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187351, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 277, 27, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187352, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 474, 5, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187353, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 3281, 2, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187354, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 11, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187355, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 650, 11, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187356, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 6700, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187357, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 284, 5, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187358, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 334, 11, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187359, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 964, 8, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187360, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 137, 35, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187361, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 260, 33, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187362, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 750, 27, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187363, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 6, 1, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187364, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 18, 3, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187365, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 334, 11, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187366, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1501, 7, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187367, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 2, 2, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187368, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 539, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187369, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 22, 3, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187370, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 59, 6, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187371, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 12, 4, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187372, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 348, 8, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187373, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 5, 3, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187374, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 26, 5, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187375, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 11, 6, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187376, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 165, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187377, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 284, 5, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187378, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 6, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187379, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 11, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187380, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 229, 2, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187381, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 108, 7, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187382, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 145, 3, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187383, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 147, 18, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187384, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 137, 7, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187385, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 5, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187386, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 228, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187387, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 26, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187388, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 86, 11, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187389, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 6700, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187390, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 125, 6, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187391, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 565, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187392, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 72, 12, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187393, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 142, 10, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187394, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 301, 10, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187395, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 1016, 12, 2024, 2, 4, '2024-08-05 16:01:05', NULL, NULL), (187396, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 436, 7, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187397, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 536, 15, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187398, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 412, 16, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187399, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 91, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187400, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 169, 7, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187401, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 623, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187402, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 3281, 2, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187403, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 647, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187404, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 964, 8, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187405, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 11, 10, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187406, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 422, 4, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187407, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 18, 2, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187408, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 23, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187409, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 25, 4, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187410, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 39, 4, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187411, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 4, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187412, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 474, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187413, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 58, 9, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187414, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 537, 4, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187415, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 105, 12, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187416, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 10, 11, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187417, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 650, 11, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187418, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 30, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187419, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 7085, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187420, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 399, 10, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187421, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 24, 8, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 30, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 422, 4, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 11, 10, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 25, 4, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 127, 16, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 3281, 2, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 91, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 10, 11, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 58, 9, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 24, 8, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 399, 10, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 18, 3, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 537, 4, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 105, 12, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 1501, 7, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 7085, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 539, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 412, 16, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 169, 7, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 809, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 108, 7, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 145, 3, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 147, 18, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 137, 7, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 142, 10, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 301, 10, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 436, 7, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 229, 2, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 284, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 334, 11, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 26, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 4, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 474, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 6, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 11, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 6, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 2, 2, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 536, 15, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 90, 10, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 623, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 12, 4, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 964, 8, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 75, 13, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 650, 11, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 88, 9, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 6700, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 348, 8, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 59, 6, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 565, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 58, 17, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 1016, 12, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 5, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 22, 3, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187475, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 169, 7, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187476, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 348, 8, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187477, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 105, 12, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187478, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 537, 4, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187479, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 228, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187480, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 165, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187481, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 399, 10, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (187482, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 536, 15, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187483, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 1016, 12, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187484, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 12, 4, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187485, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 59, 6, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187486, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 22, 3, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187487, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 2, 2, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187488, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 565, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187489, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 7085, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187490, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 6, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187491, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 11, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187492, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 26, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187493, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 229, 2, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187494, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 25, 4, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187495, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 474, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187496, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 11, 10, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187497, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 284, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187498, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 422, 4, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187499, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 301, 10, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187500, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 30, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187501, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 436, 7, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187502, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 24, 8, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187503, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 964, 8, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187504, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 58, 9, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187505, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 5, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187506, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 10, 11, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187507, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 142, 10, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187508, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 3281, 2, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187509, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 623, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187510, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 147, 18, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187511, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 137, 7, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187512, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 91, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187513, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 650, 11, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187514, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 6, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187515, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 108, 7, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187516, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 334, 11, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187517, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 4, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187518, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 145, 3, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187519, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 1501, 7, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187520, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 539, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187521, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 39, 4, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187522, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 647, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187523, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 18, 2, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187524, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 18, 3, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187525, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 23, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187526, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 5, 3, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187527, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 11, 6, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187528, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 72, 12, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187529, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 86, 11, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187530, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 6700, 1, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187531, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 412, 16, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187532, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 26, 5, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187533, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 125, 6, 2024, 2, 4, '2024-08-05 16:01:06', NULL, NULL), (187534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 366, 87, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1393, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 285, 124, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 404, 43, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 9, 2, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 812, 261, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 92, 125, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 5, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 565, 251, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 6, 2, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 431, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 550, 328, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 505, 47, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 475, 55, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 471, 101, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 367, 125, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 253, 8, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 414, 63, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 348, 121, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 572, 69, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187554, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 1393, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187555, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 237, 17, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187556, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 285, 124, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187557, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 5, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187558, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 3, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187559, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187560, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 528, 101, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187561, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 434, 27, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187562, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 726, 8, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187563, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 247, 13, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187564, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 542, 39, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187565, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 485, 6, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187566, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1221, 78, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187567, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 1816, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187568, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1433, 13, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187569, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 63, 11, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187570, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 77, 61, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187571, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 32, 4, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187572, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 159, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187573, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 735, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187574, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 225, 15, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187575, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 75, 64, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187576, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 585, 151, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187577, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 655, 2, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187578, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 6, 2, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187579, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 111, 10, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187580, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187581, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 169, 5, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187582, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 270, 23, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187583, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 581, 93, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187584, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 11, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187585, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1262, 12, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187586, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 9, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187587, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 30, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187588, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 461, 25, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 274, 11, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 111, 10, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 461, 25, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 270, 23, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 228, 13, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 1338, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 175, 21, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 118, 25, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 521, 16, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1297, 28, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 72, 26, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 216, 16, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1002, 20, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 64, 30, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 466, 25, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 26, 4, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1297, 30, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 347, 14, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 55, 19, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 729, 14, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 107, 22, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 991, 21, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 344, 19, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 425, 30, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 225, 15, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 415, 24, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 163, 26, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 527, 39, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 385, 9, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 5, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 654, 46, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 6, 2, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 735, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1693, 11, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 830, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 63, 11, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 655, 2, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1262, 12, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 624, 38, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 434, 27, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 71, 12, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 507, 32, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 698, 18, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 16, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 183, 6, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 1393, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 7, 4, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 793, 5, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 3, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 600, 57, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 5, 5, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 582, 5, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 30, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B14', 1816, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187643, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 247, 13, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187644, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 169, 5, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187645, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 534, 100, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187646, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 655, 2, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187647, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 735, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187648, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 1393, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187649, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 285, 124, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187650, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 237, 17, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187651, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 76, 57, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187652, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 30, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187653, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 159, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187654, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 270, 23, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187655, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 66, 46, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187656, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 111, 10, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187657, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 461, 25, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187658, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 63, 11, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187659, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 5, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187660, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1221, 78, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187661, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 830, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187662, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 1816, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187663, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 6, 2, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187664, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1693, 11, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187665, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 225, 15, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187666, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 32, 4, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187667, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1262, 12, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187668, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 434, 27, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187669, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 582, 5, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187670, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 581, 93, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187671, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 585, 151, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187672, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 542, 39, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187673, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 5, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187674, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 698, 18, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187675, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 434, 27, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187676, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 624, 38, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187677, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 793, 5, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187678, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 71, 12, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187679, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 7, 4, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187680, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 507, 32, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187681, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 5, 5, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187682, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 3, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187683, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 270, 23, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187684, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 272, 3, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187685, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 16, 2, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187686, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 247, 13, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187687, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 63, 11, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187688, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 73, 8, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187689, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1262, 12, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187690, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 735, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187691, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1693, 11, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187692, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 16, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187693, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 344, 19, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187694, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 991, 21, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187695, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 347, 14, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187696, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 729, 14, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187697, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 183, 6, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187698, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 466, 25, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187699, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 91, 5, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187700, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 8, 6, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187701, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 23, 3, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187702, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 93, 8, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187703, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 111, 10, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187704, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 78, 14, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187705, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 61, 10, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187706, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 216, 16, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187707, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1297, 30, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187708, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 1338, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187709, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 30, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187710, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1297, 28, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187711, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 521, 16, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187712, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1002, 20, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187713, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 461, 25, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187714, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B14', 1816, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187715, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 1393, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187716, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 600, 57, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187717, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 6, 2, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187718, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 120, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187719, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 582, 5, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187720, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 415, 24, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187721, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 37, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187722, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 274, 11, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187723, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 51, 16, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187724, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 80, 16, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187725, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 425, 30, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187726, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 86, 9, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187727, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 655, 2, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187728, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 32, 4, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187729, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 830, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187730, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 385, 9, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187731, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 175, 21, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187732, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 118, 25, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187733, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 527, 39, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187734, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 225, 15, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187735, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 228, 13, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187736, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 654, 46, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 1393, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 274, 11, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 415, 24, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 425, 30, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 163, 26, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 118, 25, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 175, 21, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 228, 13, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 654, 46, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 698, 18, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 507, 32, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 385, 9, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 527, 39, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B14', 1816, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 624, 38, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 71, 12, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 461, 25, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 600, 57, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 6, 2, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 9, 2, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 344, 19, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 991, 21, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 347, 14, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 729, 14, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 466, 25, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1297, 30, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1297, 28, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1002, 20, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 16, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 183, 6, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1262, 12, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 434, 27, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 63, 11, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 655, 2, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 830, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 735, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 5, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1693, 11, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 30, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 216, 16, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 521, 16, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 117, 20, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 582, 5, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 5, 5, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 225, 15, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 26, 4, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 55, 19, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 7, 4, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 72, 26, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 270, 23, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 111, 10, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 64, 30, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 1338, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 3, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 793, 5, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187792, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 600, 57, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187793, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 270, 23, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187794, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 527, 39, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187795, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 385, 9, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187796, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 91, 5, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187797, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 73, 8, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187798, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 216, 16, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187799, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 521, 16, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187800, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 654, 46, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187801, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 1338, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187802, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 3, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187803, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 5, 5, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187804, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 7, 4, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187805, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 793, 5, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187806, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 111, 10, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187807, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 735, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187808, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1693, 11, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187809, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 63, 11, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187810, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 16, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187811, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 183, 6, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187812, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 830, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187813, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 425, 30, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187814, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1262, 12, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187815, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 415, 24, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187816, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 274, 11, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187817, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1297, 28, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187818, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 228, 13, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187819, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1002, 20, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187820, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 582, 5, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187821, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 175, 21, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187822, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 118, 25, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187823, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1297, 30, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187824, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 1393, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187825, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 729, 14, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187826, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 466, 25, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187827, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 225, 15, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187828, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 5, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187829, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 991, 21, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187830, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 347, 14, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187831, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 434, 27, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187832, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 344, 19, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187833, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 655, 2, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187834, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 32, 4, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187835, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 6, 2, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187836, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 624, 38, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187837, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 30, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187838, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 86, 9, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187839, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 71, 12, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187840, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 120, 7, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187841, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 507, 32, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187842, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 37, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187843, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 698, 18, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187844, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 51, 16, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187845, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 272, 3, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187846, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 80, 16, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187847, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 16, 2, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187848, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 247, 13, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187849, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 78, 14, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187850, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 23, 3, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187851, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B14', 1816, 1, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187852, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 61, 10, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187853, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 461, 25, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187854, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 8, 6, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187855, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 93, 8, 2024, 2, 5, '2024-08-05 16:01:07', NULL, NULL), (187856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 571, 68, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 4, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 40, 105, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 184, 36, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 431, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 687, 154, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 68, 79, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 4, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 359, 195, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 5, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 0, 5, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 380, 191, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 545, 25, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 656, 37, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 149, 73, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 254, 89, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 220, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 143, 57, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 420, 131, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 247, 51, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187876, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 152, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187877, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 4, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187878, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187879, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 40, 105, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187880, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 40, 15, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187881, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 4, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187882, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187883, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187884, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 537, 78, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187885, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1660, 18, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187886, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 362, 6, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (187887, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 128, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187888, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 328, 27, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187889, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 369, 31, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187890, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1650, 8, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187891, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 1904, 2, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187892, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187893, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 7701, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187894, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 72, 8, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187895, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 26, 46, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187896, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 341, 2, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187897, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 129, 5, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187898, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 17, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187899, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 151, 15, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187900, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 15, 41, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187901, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 239, 116, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187902, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 5, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187903, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 219, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187904, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 1166, 16, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187905, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 406, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187906, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 823, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187907, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 339, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187908, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 233, 63, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187909, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 6, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187910, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 364, 9, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187911, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187912, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 100, 16, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 100, 16, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 1166, 16, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 15, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 823, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 32, 14, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 262, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 45, 20, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 365, 9, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 48, 24, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 213, 6, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 39, 15, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 20, 15, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 368, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 349, 16, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 28, 17, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 612, 12, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 9, 12, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 389, 15, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 384, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 187, 5, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 128, 13, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 82, 14, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 127, 18, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 84, 13, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 65, 13, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 162, 14, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 43, 21, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 248, 30, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 201, 40, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 4, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 233, 23, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 5, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 17, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 7701, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 128, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 72, 8, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 219, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 406, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 364, 9, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 644, 27, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1660, 18, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 542, 26, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 415, 25, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 129, 5, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 9, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 4, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 15, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 145, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 13, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 18, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 301, 23, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1886, 7, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 152, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B15', 3809, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187967, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 362, 6, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187968, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 339, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187969, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 537, 78, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187970, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 219, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187971, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 17, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187972, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 4, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187973, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 40, 105, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187974, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 40, 15, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187975, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 32, 34, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187976, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 129, 5, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187977, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 823, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187978, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 11, 34, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187979, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 406, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187980, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 1166, 16, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187981, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 100, 16, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187982, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 72, 8, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187983, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 4, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187984, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 369, 31, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187985, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 3809, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187986, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 128, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187987, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 5, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187988, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 7701, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187989, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 162, 14, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187990, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 341, 2, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187991, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 364, 9, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187992, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1660, 18, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187993, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1886, 7, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187994, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 233, 63, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187995, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 239, 116, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187996, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 328, 27, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187997, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 152, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187998, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 362, 6, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (187999, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 4, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188000, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1660, 18, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188001, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 644, 27, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188002, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 9, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188003, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 542, 26, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188004, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 145, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188005, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 15, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188006, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 415, 25, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188007, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 18, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188008, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 13, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188009, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 823, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188010, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 339, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188011, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 72, 8, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188012, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 364, 9, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188013, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 17, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188014, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 7701, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188015, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 65, 13, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188016, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 84, 13, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188017, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 384, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188018, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 82, 14, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188019, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 129, 5, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188020, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 612, 12, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188021, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 7, 2, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188022, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 6, 5, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188023, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 10, 8, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188024, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 13, 6, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188025, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 152, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188026, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 10, 7, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188027, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 1166, 16, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188028, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 17, 6, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188029, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 368, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188030, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 389, 15, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188031, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 365, 9, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188032, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 213, 6, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188033, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 349, 16, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188034, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 262, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188035, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 100, 16, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188036, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B15', 3809, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188037, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 4, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188038, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 301, 23, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188039, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 5, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188040, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 238, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188041, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 43, 21, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188042, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1886, 7, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188043, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 10, 7, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188044, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 15, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188045, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 40, 10, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188046, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 22, 9, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188047, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 11, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188048, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 47, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188049, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 341, 2, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188050, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 219, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188051, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 128, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188052, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 48, 24, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188053, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 201, 40, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188054, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 39, 15, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188055, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 248, 30, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188056, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 162, 14, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188057, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 32, 14, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188058, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 406, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188059, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 45, 20, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188060, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 233, 23, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 32, 14, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 15, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 43, 21, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 4, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 39, 15, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 48, 24, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 45, 20, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 233, 23, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 415, 25, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 201, 40, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 248, 30, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 644, 27, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 406, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 542, 26, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B15', 3809, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 100, 16, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 301, 23, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 5, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 431, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 65, 13, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 84, 13, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 384, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 82, 14, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 612, 12, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 389, 15, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 349, 16, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 129, 5, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 4, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 364, 9, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1660, 18, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 72, 8, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 219, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 128, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 17, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 7701, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 9, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 368, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 213, 6, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 103, 12, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 18, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 127, 18, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1886, 7, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 9, 12, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 162, 14, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 152, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 187, 5, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 823, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 15, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 20, 15, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 28, 17, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 1166, 16, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 13, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 365, 9, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 262, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 145, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188116, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 152, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188117, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 823, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188118, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 301, 23, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188119, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 248, 30, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188120, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 201, 40, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188121, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 368, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188122, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 213, 6, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188123, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 233, 23, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188124, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 365, 9, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188125, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 262, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188126, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 13, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188127, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 18, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188128, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 15, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188129, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 145, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188130, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 9, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188131, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 1166, 16, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188132, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 406, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188133, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 17, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188134, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 7701, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188135, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 72, 8, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188136, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 129, 5, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188137, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 362, 6, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188138, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 128, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188139, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 364, 9, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188140, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 43, 21, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188141, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 15, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188142, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 32, 14, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188143, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 45, 20, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188144, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 349, 16, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188145, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 48, 24, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188146, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1886, 7, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188147, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 39, 15, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188148, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 389, 15, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188149, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 82, 14, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188150, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 612, 12, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188151, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 4, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188152, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 162, 14, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188153, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 4, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188154, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 84, 13, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188155, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 384, 11, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188156, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 65, 13, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188157, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1660, 18, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188158, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 219, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188159, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 5, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188160, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 341, 2, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188161, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 644, 27, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188162, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 11, 4, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188163, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 47, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188164, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 542, 26, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188165, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 238, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188166, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 415, 25, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188167, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 10, 7, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188168, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 40, 10, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188169, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 339, 3, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188170, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 22, 9, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188171, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 10, 7, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188172, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 6, 5, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188173, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B15', 3809, 1, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188174, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 17, 6, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188175, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 10, 8, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188176, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 100, 16, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188177, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 7, 2, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188178, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 13, 6, 2024, 2, 6, '2024-08-05 16:01:08', NULL, NULL), (188179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 435, 44, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 192, 3, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 15, 77, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 158, 32, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 656, 134, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 42, 53, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 3560, 3, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 573, 156, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 111, 8, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 463, 121, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 632, 30, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 301, 25, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 457, 73, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 404, 76, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 27, 1, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 224, 94, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 657, 48, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 249, 50, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188197, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 10, 1, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188198, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 192, 3, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188199, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188200, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 15, 77, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188201, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 111, 12, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188202, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 3560, 3, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188203, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 1, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188204, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 2, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188205, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 608, 51, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188206, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 901, 14, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188207, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 206, 7, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188208, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 1298, 4, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188209, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 9, 18, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188210, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 327, 22, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188211, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 501, 26, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188212, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 756, 5, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188213, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 59, 3, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188214, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 3, 15, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188215, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 9, 3, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188216, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 3, 2, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188217, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 2054, 8, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188218, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 556, 105, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188219, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 10, 27, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188220, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 0, 1, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188221, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 16, 8, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188222, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 2, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188223, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 117, 4, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188224, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 244, 10, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188225, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 78, 47, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188226, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 14, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188227, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 5105, 8, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188228, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 10, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188229, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 342, 4, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188230, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 196, 19, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 16, 8, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 18, 17, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 196, 19, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 244, 10, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 11, 17, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 6, 2, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 16, 1, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 18, 6, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 134, 7, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 20, 15, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 12, 17, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 6, 4, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 3, 1, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 4, 8, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 208, 7, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 2, 11, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 69, 12, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 3, 12, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 478, 2, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 5, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 609, 19, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 79, 6, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1055, 20, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 56, 16, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 30, 5, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 112, 5, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 6, 10, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 118, 7, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 10, 1, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 327, 22, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 79, 7, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 2054, 8, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 12, 11, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 535, 7, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 167, 9, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 3560, 3, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 441, 47, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 342, 4, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 413, 31, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 3, 2, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 756, 5, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 1298, 4, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 88, 2, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 5105, 8, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 763, 23, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1147, 11, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 481, 28, 2024, 2, 7, '2024-08-05 16:01:09', NULL, NULL), (188278, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 206, 7, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188279, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 117, 4, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188280, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 608, 51, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188281, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 3, 2, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188282, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 192, 3, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188283, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 15, 77, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188284, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 111, 12, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188285, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 3, 15, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188286, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 342, 4, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188287, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 9, 3, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188288, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 244, 10, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188289, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 10, 27, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188290, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 16, 8, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188291, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 196, 19, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188292, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 88, 2, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188293, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 3560, 3, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188294, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 501, 26, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188295, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 1298, 4, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188296, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 756, 5, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188297, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 2054, 8, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188298, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 5105, 8, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188299, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1147, 11, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (188300, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 327, 22, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188301, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 78, 47, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188302, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 556, 105, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188303, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 9, 18, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188304, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 10, 1, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188305, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 34, 1, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188306, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 3560, 3, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188307, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 481, 28, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188308, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1147, 11, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188309, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 763, 23, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188310, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 91, 4, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188311, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 478, 2, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188312, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 3, 1, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188313, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 244, 10, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188314, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 5, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188315, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 4, 1, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188316, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 155, 3, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188317, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 88, 2, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188318, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 235, 6, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188319, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 18, 1, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188320, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 5105, 8, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188321, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 756, 5, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188322, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 3, 2, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188323, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 6, 2, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188324, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 79, 7, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188325, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 118, 7, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188326, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 56, 16, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188327, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 112, 5, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188328, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 16, 1, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188329, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 69, 12, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188330, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 36, 2, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188331, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 3, 3, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188332, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 4, 7, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188333, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 48, 3, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188334, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 10, 1, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188335, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 16, 8, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188336, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 4, 6, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188337, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 2, 6, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188338, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 4, 8, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188339, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 609, 19, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188340, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 18, 6, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188341, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 342, 4, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188342, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 208, 7, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188343, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 6, 4, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188344, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 196, 19, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188345, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 192, 3, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188346, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1055, 20, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188347, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 12, 11, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188348, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 327, 22, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188349, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 18, 17, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188350, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 3, 6, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188351, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 2, 5, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188352, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 3, 2, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188353, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 4, 1, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188354, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 1298, 4, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188355, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 441, 47, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188356, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 20, 15, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188357, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 535, 7, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188358, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 12, 17, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188359, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 2054, 8, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188360, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 11, 17, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188361, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 413, 31, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 192, 3, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 11, 17, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 18, 17, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 12, 11, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 167, 9, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 12, 17, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 20, 15, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 413, 31, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 481, 28, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 441, 47, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 535, 7, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 763, 23, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 196, 19, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1055, 20, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 79, 7, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 118, 7, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 56, 16, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 112, 5, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 69, 12, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 609, 19, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 208, 7, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 6, 2, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 16, 1, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 5105, 8, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1147, 11, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 88, 2, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 1298, 4, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 3, 2, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 756, 5, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 3560, 3, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 91, 4, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 342, 4, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 4, 8, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 6, 4, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 30, 5, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 6, 10, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 327, 22, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 10, 1, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 2054, 8, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 79, 6, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 3, 1, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 244, 10, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 2, 11, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 16, 8, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 3, 12, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 18, 6, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 5, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 478, 2, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188410, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 10, 1, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188411, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 244, 10, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188412, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1055, 20, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188413, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 535, 7, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188414, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 441, 47, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188415, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 36, 2, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188416, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 18, 1, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188417, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 4, 8, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188418, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 413, 31, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188419, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 6, 4, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188420, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 18, 6, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188421, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 5, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188422, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 3, 1, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188423, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 478, 2, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188424, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 91, 4, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188425, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 16, 8, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188426, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 3, 2, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188427, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 756, 5, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188428, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 88, 2, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188429, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 6, 2, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188430, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 16, 1, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188431, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 34, 1, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188432, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 1298, 4, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188433, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 12, 11, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188434, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 5105, 8, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188435, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 18, 17, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188436, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 11, 17, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188437, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 208, 7, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188438, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 327, 22, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188439, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 20, 15, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188440, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 12, 17, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188441, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 609, 19, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188442, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 192, 3, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188443, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 112, 5, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188444, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 69, 12, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188445, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 2054, 8, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188446, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 3560, 3, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188447, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 56, 16, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188448, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 79, 7, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188449, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1147, 11, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188450, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 118, 7, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188451, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 763, 23, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188452, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 3, 2, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188453, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 4, 1, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188454, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 342, 4, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188455, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 481, 28, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188456, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 3, 6, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188457, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 4, 1, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188458, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 2, 5, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188459, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 155, 3, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188460, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 235, 6, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188461, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 4, 6, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188462, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 2, 6, 2024, 2, 7, '2024-08-05 16:01:10', NULL, NULL), (188463, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 4, 7, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188464, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 196, 19, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188465, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 3, 3, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188466, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 48, 3, 2024, 2, 7, '2024-08-05 16:01:11', NULL, NULL), (188467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 798, 6, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 8, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 448, 3, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 419, 3, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 55, 46, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 1014, 19, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 190, 68, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 92, 32, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 369, 4, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 742, 117, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 224, 6, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 428, 111, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 431, 7, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 352, 22, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 590, 34, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 233, 56, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 161, 24, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 753, 36, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 261, 24, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188486, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 2, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188487, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188488, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 11, 3, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188489, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 2, 7, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188490, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 55, 46, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188491, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 369, 4, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188492, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1309, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188493, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 51, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188494, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 424, 45, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188495, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 243, 11, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188496, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 7, 3, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188497, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 4, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188498, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 8, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188499, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 2371, 2, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188500, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 54, 3, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188501, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 101, 13, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188502, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 17159, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188503, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 73, 8, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188504, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 455, 2, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188505, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 5, 15, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188506, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 5, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188507, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 708, 4, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188508, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 20, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188509, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 581, 73, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188510, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 6, 10, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188511, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 5, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188512, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 11, 2, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188513, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 12, 2, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188514, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 563, 5, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188515, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 116, 30, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188516, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 2806, 9, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188517, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 7, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188518, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 954, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188519, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 203, 10, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 3, 4, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 5, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 203, 10, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 12, 2, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 175, 12, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 18, 12, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 9, 6, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 4, 3, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 5, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 101, 13, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 4737, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 4, 5, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 4, 6, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 142, 8, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 419, 3, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 30, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 233, 7, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 252, 5, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 3, 7, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 195, 7, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 80, 11, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 20, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 16, 9, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 4, 3, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 525, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 286, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 464, 35, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 79, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 397, 3, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 879, 27, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 708, 4, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 73, 8, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 7, 3, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 910, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 11, 2, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 407, 27, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 382, 7, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 450, 18, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 12, 3, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 655, 2, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 1, 3, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 5, 2, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 327, 6, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 51, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 54, 3, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D15', 25256, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 954, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 17159, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188568, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 4, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188569, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 563, 5, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188570, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 424, 45, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188571, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 708, 4, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188572, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 51, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188573, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 17, 2, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188574, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 55, 46, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188575, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 2, 7, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188576, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 5, 15, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188577, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 954, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188578, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 12, 2, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188579, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 25256, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188580, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 6, 10, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188581, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 11, 2, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188582, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 5, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188583, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 203, 10, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188584, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 910, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188585, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 369, 4, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188586, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 101, 13, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188587, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 7, 3, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188588, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 17159, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188589, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 8, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188590, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 73, 8, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188591, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 20, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188592, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 5, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188593, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 382, 7, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188594, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 54, 3, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188595, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 1309, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188596, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 125, 28, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188597, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 615, 69, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188598, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 2371, 2, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188599, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 4, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188600, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 397, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188601, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 286, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188602, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 382, 7, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188603, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 407, 27, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188604, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188605, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 450, 18, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188606, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 1, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188607, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 5, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188608, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 1, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188609, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 12, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188610, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D15', 25256, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188611, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 416, 3, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188612, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 784, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188613, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 910, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188614, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 4, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188615, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 708, 4, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188616, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 73, 8, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188617, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 80, 11, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188618, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 195, 7, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188619, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 30, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188620, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 142, 8, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188621, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 3, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188622, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 20, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188623, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 3, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188624, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 6, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188625, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 2, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188626, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 5, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188627, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 2, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188628, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 1309, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188629, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 79, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188630, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 4737, 1, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188631, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 954, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188632, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 101, 13, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188633, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 5, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188634, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 203, 10, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188635, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 17159, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188636, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 17, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188637, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 51, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188638, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 327, 6, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188639, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 8, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188640, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 54, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188641, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 10, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188642, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 16, 9, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188643, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 3, 4, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188644, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 3, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188645, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 5, 4, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188646, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 3, 3, 2024, 2, 8, '2024-08-05 16:01:12', NULL, NULL), (188647, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 6, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188648, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 5, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188649, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 7, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188650, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 9, 6, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188651, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 464, 35, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188652, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 4, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188653, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 525, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188654, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 20, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188655, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 175, 12, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188656, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 18, 12, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188657, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 11, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188658, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 879, 27, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 17, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 175, 12, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 3, 4, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 16, 9, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 4, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 1309, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 8, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 4, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 9, 6, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 18, 12, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 879, 27, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 17159, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 464, 35, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 525, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 407, 27, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 11, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 450, 18, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 79, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 203, 10, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 327, 6, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 80, 11, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 195, 7, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 30, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 142, 8, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 101, 13, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D15', 25256, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 419, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 397, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 382, 7, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 910, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 7, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 708, 4, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 286, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 73, 8, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 954, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 4737, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 5, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 51, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 252, 5, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 5, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 3, 7, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 54, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 20, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 233, 7, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 12, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 4, 5, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 3, 5, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 5, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 1, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 1, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (188710, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 12, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188711, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 327, 6, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188712, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 525, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188713, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 464, 35, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188714, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 3, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188715, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 4737, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188716, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 4, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188717, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 5, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188718, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 879, 27, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188719, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 1, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188720, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 5, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188721, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 1, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188722, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188723, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 5, 1, 2024, 2, 8, '2024-08-05 16:01:14', NULL, NULL), (188724, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 11, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188725, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 79, 1, 2024, 2, 8, '2024-08-05 16:01:14', NULL, NULL), (188726, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 708, 4, 2024, 2, 8, '2024-08-05 16:01:14', NULL, NULL), (188727, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 1309, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188728, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 73, 8, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188729, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 910, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188730, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 7, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188731, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 4, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188732, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 16, 9, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188733, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 3, 4, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188734, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 175, 12, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188735, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 101, 13, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188736, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 18, 12, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188737, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 54, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188738, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 9, 6, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188739, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 4, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188740, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 51, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188741, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 8, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188742, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 17, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188743, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 142, 8, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188744, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 20, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188745, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 397, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188746, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 286, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188747, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 30, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188748, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 80, 11, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188749, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 382, 7, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188750, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 195, 7, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188751, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 5, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188752, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 407, 27, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188753, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 3, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188754, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 450, 18, 2024, 2, 8, '2024-08-05 16:01:14', NULL, NULL), (188755, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 6, 1, 2024, 2, 8, '2024-08-05 16:01:14', NULL, NULL), (188756, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 954, 1, 2024, 2, 8, '2024-08-05 16:01:14', NULL, NULL), (188757, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 10, 2, 2024, 2, 8, '2024-08-05 16:01:14', NULL, NULL), (188758, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D15', 25256, 1, 2024, 2, 8, '2024-08-05 16:01:14', NULL, NULL), (188759, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 3, 3, 2024, 2, 8, '2024-08-05 16:01:14', NULL, NULL), (188760, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 416, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188761, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 5, 4, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188762, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 784, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188763, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 17159, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188764, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 2, 2, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188765, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 2, 1, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188766, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 3, 3, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188767, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 203, 10, 2024, 2, 8, '2024-08-05 16:01:13', NULL, NULL), (188768, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 20, 2, 2024, 2, 8, '2024-08-05 16:01:14', NULL, NULL), (188769, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 6, 1, 2024, 2, 8, '2024-08-05 16:01:14', NULL, NULL), (188770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 50, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 4638, 7, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 289, 15, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 18, 3, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 684, 27, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 26, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 1326, 33, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 0, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 460, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 24, 8, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 412, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 203, 9, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 516, 12, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188783, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 5410, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188784, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 3, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188785, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 50, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188786, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 15, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188787, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 28, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188788, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 617, 16, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188789, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 572, 15, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188790, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 8, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188791, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188792, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 0, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188793, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 19, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188794, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188795, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 46, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188796, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 31, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188797, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 687, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188798, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 8, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188799, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188800, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 66, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188801, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188802, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 5, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 66, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 27, 3, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 281, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 15, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 73, 3, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 31, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 28, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 19, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 8, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 768, 5, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 8, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 46, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 706, 14, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 5, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 5410, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 187, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1111, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 1058, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188822, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 19, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188823, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 8, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188824, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 46, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188825, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 660, 13, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188826, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 50, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188827, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 3, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188828, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 5, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188829, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 31, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188830, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 15, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188831, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 66, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188832, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 8, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188833, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 687, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188834, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 706, 14, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188835, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 5410, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188836, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 28, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188837, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 8, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188838, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 5410, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188839, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 1058, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188840, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 187, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188841, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1111, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188842, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188843, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 281, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188844, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 19, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188845, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 46, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188846, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 31, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188847, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 706, 14, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188848, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 15, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188849, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 768, 5, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188850, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 66, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188851, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 27, 3, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188852, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 5, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188853, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 28, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188854, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 8, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188855, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 73, 3, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 281, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 15, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 27, 3, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 66, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 706, 14, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 73, 3, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 1058, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 5, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 5410, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 46, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 8, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 768, 5, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 187, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 8, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 31, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 28, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1111, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 19, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188875, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 15, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188876, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 8, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188877, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 5410, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188878, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 27, 3, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188879, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 706, 14, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188880, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 19, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188881, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 28, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188882, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 73, 3, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188883, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 768, 5, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188884, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188885, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 187, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188886, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 5, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188887, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1111, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188888, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 1058, 6, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188889, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 46, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188890, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 8, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188891, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 281, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188892, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 66, 1, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188893, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 31, 2, 2024, 2, 9, '2024-08-05 16:01:15', NULL, NULL), (188894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 1, 2024, 2, 14, '2024-08-05 16:01:19', NULL, NULL), (188895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 0, 1, 2024, 2, 14, '2024-08-05 16:01:19', NULL, NULL), (188896, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 0, 1, 2024, 2, 14, '2024-08-05 16:01:19', NULL, NULL), (188897, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 1, 2024, 2, 14, '2024-08-05 16:01:19', NULL, NULL), (188898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 2793, 11, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (188899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 2184, 6, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (188900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 2842, 5, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (188901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 1701, 2, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (188902, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (188903, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 0, 1, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (188904, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 810, 3, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (188905, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 3536, 8, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (188906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 3536, 8, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (188907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 810, 3, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (188908, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 810, 3, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (188909, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 3536, 8, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (188910, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 810, 3, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (188911, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 3536, 8, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (188912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 3536, 8, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (188913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 810, 3, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (188914, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 3536, 8, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (188915, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 810, 3, 2024, 2, 15, '2024-08-05 16:01:20', NULL, NULL), (188916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 4233, 2, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1052, 5, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 758, 3, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 465, 3, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 2, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 796, 2, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188922, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 2, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188923, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 0, 1, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188924, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 4233, 2, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188925, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188926, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1187, 4, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188927, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 511, 1, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1187, 4, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 4209, 1, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 4257, 1, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 511, 1, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188932, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 511, 1, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188933, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1187, 4, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188934, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 4233, 2, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188935, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 4209, 1, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188936, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 511, 1, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188937, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 4257, 1, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188938, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1187, 4, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 4209, 1, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 4257, 1, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1187, 4, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 511, 1, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188943, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 1187, 4, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188944, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 4257, 1, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188945, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 4209, 1, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188946, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 511, 1, 2024, 2, 16, '2024-08-05 16:01:21', NULL, NULL), (188947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 0, 2, 2024, 2, 17, '2024-08-05 16:01:22', NULL, NULL), (188948, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 2, 17, '2024-08-05 16:01:22', NULL, NULL), (188949, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 6, 2024, 2, 17, '2024-08-05 16:01:22', NULL, NULL), (188950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 93, 37, 2024, 2, 18, '2024-08-05 16:01:23', NULL, NULL), (188951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 5019, 8, 2024, 2, 18, '2024-08-05 16:01:23', NULL, NULL), (188952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 49, 92, 2024, 2, 18, '2024-08-05 16:01:23', NULL, NULL), (188953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 1603, 42, 2024, 2, 18, '2024-08-05 16:01:23', NULL, NULL), (188954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 577, 219, 2024, 2, 18, '2024-08-05 16:01:23', NULL, NULL), (188955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 100, 58, 2024, 2, 18, '2024-08-05 16:01:23', NULL, NULL), (188956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1307, 282, 2024, 2, 18, '2024-08-05 16:01:23', NULL, NULL), (188957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 3385, 12, 2024, 2, 18, '2024-08-05 16:01:23', NULL, NULL), (188958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 740, 239, 2024, 2, 18, '2024-08-05 16:01:23', NULL, NULL), (188959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 1266, 27, 2024, 2, 18, '2024-08-05 16:01:23', NULL, NULL), (188960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 724, 33, 2024, 2, 18, '2024-08-05 16:01:23', NULL, NULL), (188961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 786, 123, 2024, 2, 18, '2024-08-05 16:01:23', NULL, NULL), (188962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 939, 114, 2024, 2, 18, '2024-08-05 16:01:23', NULL, NULL), (188963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 1488, 2, 2024, 2, 18, '2024-08-05 16:01:23', NULL, NULL), (188964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 854, 59, 2024, 2, 18, '2024-08-05 16:01:23', NULL, NULL), (188965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 472, 108, 2024, 2, 18, '2024-08-05 16:01:23', NULL, NULL), (188966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 394, 40, 2024, 2, 18, '2024-08-05 16:01:23', NULL, NULL), (188967, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 5711, 7, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188968, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188969, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 49, 92, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188970, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 171, 9, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188971, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 60, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188972, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 422, 23, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188973, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1000, 68, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188974, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188975, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 172, 9, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188976, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 108, 7, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188977, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 54, 23, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188978, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 174, 11, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188979, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 707, 54, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188980, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 18306, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188981, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1215, 13, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188982, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 4, 1, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188983, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 30, 43, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188984, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 70, 2, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188985, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 632, 2, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188986, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 983, 8, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188987, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 267, 6, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188988, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 70, 19, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188989, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1186, 208, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188990, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 87, 7, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188991, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 14, 6, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188992, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1658, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188993, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 673, 4, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188994, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 161, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188995, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 549, 88, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188996, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 3756, 13, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188997, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 183, 6, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188998, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 11, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (188999, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 362, 30, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189000, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 14, 6, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 44, 16, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 362, 30, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 161, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 133, 19, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 23, 21, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 5, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 6, 5, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 29, 18, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 762, 36, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 36, 15, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 86, 14, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 596, 18, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 74, 18, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 64, 6, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 224, 15, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 386, 7, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 759, 18, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 70, 12, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 555, 22, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 478, 26, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 12, 8, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 267, 6, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 17, 10, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1142, 85, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 961, 50, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 787, 36, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 958, 7, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 983, 8, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1215, 13, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 172, 9, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 4, 1, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 153, 4, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1658, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 183, 6, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 422, 23, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1082, 28, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 942, 40, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 1258, 1, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 6, 1, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 7995, 5, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 46, 4, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 217, 4, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1982, 37, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 167, 4, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 174, 11, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D15', 16278, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 18306, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189049, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 108, 7, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189050, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 673, 4, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189051, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1000, 68, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189052, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 153, 4, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189053, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 983, 8, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189054, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 7995, 5, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189055, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 49, 92, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189056, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 171, 9, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189057, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 36, 32, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189058, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 632, 2, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189059, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 161, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189060, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 16278, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189061, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 81, 13, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189062, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1658, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189063, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 14, 6, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189064, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 362, 30, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189065, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 4, 1, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189066, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 707, 54, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189067, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 18306, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189068, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 172, 9, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189069, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1215, 13, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189070, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 267, 6, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189071, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 70, 2, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189072, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 183, 6, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189073, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 422, 23, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189074, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 174, 11, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189075, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 60, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189076, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 549, 88, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189077, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1186, 208, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189078, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 57, 22, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189079, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 108, 7, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189080, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 422, 23, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189081, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1082, 28, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189082, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 1, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189083, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 942, 40, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189084, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 167, 4, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189085, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 161, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189086, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 217, 4, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189087, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D15', 16278, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189088, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 1273, 2, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189089, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 74, 2, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189090, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 4, 1, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189091, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 183, 6, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189092, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 983, 8, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189093, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1215, 13, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189094, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 1258, 1, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189095, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 555, 22, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189096, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 478, 26, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189097, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 224, 15, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189098, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 759, 18, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189099, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 6, 1, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189100, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 958, 7, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189101, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 7, 1, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189102, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 50, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189103, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 14, 6, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189104, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 120, 4, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189105, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 83, 5, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189106, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 60, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189107, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 86, 14, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189108, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 5, 3, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189109, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 762, 36, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189110, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 6, 5, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189111, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 596, 18, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189112, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 362, 30, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189113, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 18306, 3, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189114, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 7995, 5, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (189115, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1982, 37, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189116, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 48, 2, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189117, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 17, 10, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189118, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 174, 11, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189119, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 44, 16, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189120, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 61, 14, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189121, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 12, 10, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189122, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 12, 8, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189123, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 18, 4, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189124, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 5, 2, 2024, 2, 18, '2024-08-05 16:01:24', NULL, NULL), (189125, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 70, 2, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189126, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 153, 4, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189127, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 172, 9, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189128, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 961, 50, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189129, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 29, 18, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189130, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1142, 85, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189131, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 267, 6, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189132, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 133, 19, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189133, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1658, 3, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189134, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 23, 21, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189135, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 787, 36, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 133, 19, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 44, 16, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 17, 10, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 12, 8, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 60, 3, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 7995, 5, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 29, 18, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 23, 21, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 787, 36, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 18306, 3, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 942, 40, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 961, 50, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1142, 85, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1658, 3, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1082, 28, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 958, 7, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 362, 30, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1982, 37, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 555, 22, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 478, 26, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 224, 15, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 759, 18, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D15', 16278, 3, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 762, 36, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 596, 18, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 1258, 1, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 6, 1, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 183, 6, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 422, 23, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 4, 1, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 153, 4, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 172, 9, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 983, 8, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1215, 13, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 86, 14, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 6, 5, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 386, 7, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 70, 12, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 174, 11, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 167, 4, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 267, 6, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 64, 6, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 161, 3, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 36, 15, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 14, 6, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 74, 18, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 5, 3, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 217, 4, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 1, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189185, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 161, 3, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189186, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1982, 37, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189187, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 1142, 85, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189188, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 961, 50, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189189, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 86, 14, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189190, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 6, 5, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189191, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 787, 36, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189192, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 5, 3, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189193, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 217, 4, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189194, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 167, 4, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189195, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 1, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189196, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 14, 6, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189197, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 958, 7, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189198, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1658, 3, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189199, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 983, 8, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189200, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 60, 3, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189201, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1215, 13, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189202, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 4, 1, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189203, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 1258, 1, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189204, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 6, 1, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189205, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 172, 9, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189206, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 108, 7, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189207, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 12, 8, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189208, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 183, 6, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189209, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 17, 10, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189210, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 44, 16, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189211, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 133, 19, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189212, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 762, 36, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189213, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 23, 21, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189214, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 596, 18, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189215, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 174, 11, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189216, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 29, 18, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189217, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 759, 18, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189218, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 267, 6, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189219, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 7995, 5, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189220, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 478, 26, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189221, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 224, 15, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189222, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 422, 23, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189223, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 153, 4, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189224, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 555, 22, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189225, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 70, 2, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189226, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 18, 4, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189227, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1082, 28, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189228, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 5, 2, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189229, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 48, 2, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189230, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D15', 16278, 3, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189231, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 942, 40, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189232, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 61, 14, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189233, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 1273, 2, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189234, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 12, 10, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189235, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 74, 2, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189236, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 120, 4, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189237, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 18306, 3, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189238, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 83, 5, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189239, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 7, 1, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189240, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 362, 30, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189241, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 50, 3, 2024, 2, 18, '2024-08-05 16:01:25', NULL, NULL), (189242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 50, 48, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 2590, 2, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 4660, 16, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 26, 1, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 189, 148, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 632, 54, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1163, 304, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 127, 86, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 2437, 349, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 6, 1, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 3270, 25, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 1401, 331, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 1378, 42, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 1036, 47, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1132, 96, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 928, 154, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 642, 3, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 1298, 133, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 1136, 120, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 1004, 99, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189262, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 3, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189263, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 1449, 7, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189264, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 4, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189265, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 2, 15, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189266, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 189, 148, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189267, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 3474, 6, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189268, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 1, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189269, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 520, 27, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189270, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1850, 102, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189271, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 437, 4, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189272, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 2590, 2, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189273, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 811, 12, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189274, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 48, 29, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189275, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 470, 17, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189276, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1498, 84, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189277, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 14516, 3, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189278, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 3853, 5, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189279, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 685, 16, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189280, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 11, 2, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189281, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 74, 5, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189282, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 67, 45, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189283, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 349, 4, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189284, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1520, 9, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189285, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1262, 6, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189286, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 103, 7, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189287, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 69, 44, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189288, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 2716, 241, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189289, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 6, 1, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189290, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 5775, 8, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189291, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 9, 5, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189292, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1216, 6, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189293, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189294, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 354, 5, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189295, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 33, 8, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189296, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 971, 114, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189297, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 30, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189298, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 930, 7, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189299, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 20, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189300, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189301, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 17, 1, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189302, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189303, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 401, 37, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189304, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 2, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 9, 5, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 151, 31, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 401, 37, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 33, 8, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 242, 18, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 128, 36, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 76, 8, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 318, 32, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 55, 13, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1489, 41, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 62, 22, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 7, 8, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1632, 39, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 272, 26, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 284, 4, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 26, 1, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 718, 33, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 323, 12, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 130, 9, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 792, 34, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 136, 19, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 1495, 36, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 137, 24, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 120, 6, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 131, 7, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 2036, 82, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 3137, 53, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 2666, 49, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 6, 1, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 565, 11, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1262, 6, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 685, 16, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 811, 12, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 74, 5, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 5775, 8, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 930, 7, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1216, 6, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 540, 26, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1923, 71, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 1665, 30, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 2204, 1, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 9692, 1, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 3, 3, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 665, 6, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 1449, 7, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 11, 2, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2606, 8, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 5, 6, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 3346, 57, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 5, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 21775, 2, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 470, 17, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 19181, 1, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 86, 1, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189359, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 437, 4, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189360, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1850, 102, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189361, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1262, 6, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189362, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 189, 148, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189363, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 2, 15, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189364, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 76, 39, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189365, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1955, 7, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189366, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 33, 8, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189367, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 88, 34, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189368, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1216, 6, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189369, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 401, 37, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189370, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 74, 5, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189371, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 17, 1, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189372, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 2590, 2, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189373, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 6, 1, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189374, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 349, 4, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189375, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 11, 2, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189376, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 470, 17, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189377, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 971, 114, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189378, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 2716, 241, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189379, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 48, 29, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189380, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 354, 5, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189381, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 5775, 8, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189382, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 1449, 7, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189383, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 9, 5, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189384, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1498, 84, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189385, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '区退役军人局', '', '', 21775, 2, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189386, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 811, 12, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189387, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 9633, 2, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189388, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 685, 16, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189389, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 120, 6, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189390, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 930, 7, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189391, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 540, 26, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189392, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 3474, 6, 2024, 2, 19, '2024-08-05 16:01:27', NULL, NULL), (189393, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 437, 4, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189394, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 2204, 1, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189395, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 540, 26, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189396, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 3, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189397, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1923, 71, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189398, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 2, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189399, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 1665, 30, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189400, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 5, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189401, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 33, 8, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189402, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 5, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189403, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 179, 3, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189404, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 617, 2, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189405, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 74, 5, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189406, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 930, 7, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189407, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', 'B07', 21775, 2, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189408, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1262, 6, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189409, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 685, 16, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189410, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 9692, 1, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189411, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 1495, 36, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189412, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 718, 33, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189413, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 792, 34, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189414, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 665, 6, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189415, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 565, 11, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189416, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 17, 1, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189417, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 206, 3, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189418, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 11, 2, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189419, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 119, 6, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189420, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 26, 5, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189421, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 92, 8, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189422, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 9, 5, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189423, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 67, 12, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189424, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B04', 3474, 6, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189425, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 7, 8, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189426, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 284, 4, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189427, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 76, 8, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189428, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1489, 41, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189429, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 55, 13, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189430, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1632, 39, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189431, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 401, 37, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189432, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 86, 1, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189433, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 19181, 1, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189434, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 1449, 7, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189435, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 3346, 57, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189436, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 6, 1, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189437, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 2590, 2, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189438, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 211, 3, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189439, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 470, 17, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189440, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 131, 7, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189441, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 151, 31, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189442, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 73, 16, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189443, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 55, 10, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189444, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 137, 24, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189445, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 14, 9, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189446, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 506, 1, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189447, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 349, 4, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189448, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 5775, 8, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189449, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 811, 12, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189450, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 318, 32, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189451, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 3137, 53, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189452, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 2036, 82, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189453, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 120, 6, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189454, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 242, 18, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189455, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 128, 36, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189456, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1216, 6, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189457, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 2666, 49, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 242, 18, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 151, 31, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 131, 7, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 137, 24, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 17, 1, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B04', 3474, 6, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 2590, 2, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 1449, 7, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 318, 32, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 128, 36, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 2666, 49, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 2204, 1, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 1665, 30, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 86, 1, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B07', 21775, 2, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 3137, 53, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 2036, 82, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1216, 6, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 19181, 1, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1923, 71, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 401, 37, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 565, 11, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 3346, 57, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 6, 1, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 1495, 36, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 718, 33, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 792, 34, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 284, 4, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1489, 41, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1632, 39, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 26, 1, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 9692, 1, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 665, 6, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 930, 7, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 540, 26, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 74, 5, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 5775, 8, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 811, 12, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1262, 6, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 685, 16, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 3, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 7, 8, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 55, 13, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 130, 9, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 136, 19, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 5, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 470, 17, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 120, 6, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 323, 12, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 33, 8, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 11, 2, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 62, 22, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 9, 5, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 79, 24, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 76, 8, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 5, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 2, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189515, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 33, 8, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189516, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 3346, 57, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189517, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 17, 1, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189518, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 2036, 82, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189519, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 3137, 53, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189520, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 7, 8, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189521, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 55, 13, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189522, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 2666, 49, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (189523, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 76, 8, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189524, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 5, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189525, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 5, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189526, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 2, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189527, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 3, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189528, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '区退役军人局', '', 'B07', 21775, 2, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189529, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 9, 5, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189530, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 565, 11, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189531, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1216, 6, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189532, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1262, 6, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189533, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B04', 3474, 6, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189534, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 685, 16, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189535, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 74, 5, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189536, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 9692, 1, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189537, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 665, 6, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189538, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 437, 4, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189539, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 811, 12, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189540, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 137, 24, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189541, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 930, 7, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189542, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 131, 7, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189543, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 151, 31, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189544, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 242, 18, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189545, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1489, 41, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189546, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 128, 36, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189547, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1632, 39, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189548, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 470, 17, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189549, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 318, 32, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189550, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 284, 4, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189551, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 2590, 2, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189552, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 792, 34, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189553, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 120, 6, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189554, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 1449, 7, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189555, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 1495, 36, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189556, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 718, 33, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189557, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 540, 26, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189558, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 5775, 8, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189559, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 6, 1, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189560, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 349, 4, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189561, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 14, 9, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189562, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1923, 71, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189563, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 506, 1, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189564, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 1665, 30, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189565, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 211, 3, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189566, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 2204, 1, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189567, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 73, 16, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189568, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 179, 3, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189569, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 55, 10, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189570, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 617, 2, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189571, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 92, 8, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189572, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 86, 1, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189573, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 19181, 1, 2024, 2, 19, '2024-08-05 16:01:28', NULL, NULL), (189574, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 11, 2, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189575, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 67, 12, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189576, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 119, 6, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189577, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 401, 37, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189578, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 206, 3, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189579, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 26, 5, 2024, 2, 19, '2024-08-05 16:01:29', NULL, NULL), (189580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 278, 76, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (189581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 478, 8, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (189582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 141, 140, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (189583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 612, 48, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (189584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 6, 1, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (189585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 616, 187, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (189586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 236, 104, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (189587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '', 389, 3, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (189588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1899, 322, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (189589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 1116, 1, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (189590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 819, 12, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (189591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 985, 329, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 805, 31, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (189593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 757, 53, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (189594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 746, 93, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (189595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 665, 102, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (189596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 4, 2, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (189597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 854, 58, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (189598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 1076, 129, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 796, 97, 2024, 2, 20, '2024-08-05 16:01:30', NULL, NULL), (189600, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 9, 3, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189601, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 62, 3, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189602, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189603, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 251, 14, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189604, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 141, 140, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189605, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 4, 1, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189606, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 3543, 2, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189607, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 2362, 95, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189608, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 139, 16, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189609, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 496, 5, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189610, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 690, 10, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189611, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 153, 41, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189612, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 331, 9, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189613, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 377, 46, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189614, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 2, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189615, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 614, 11, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189616, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 1786, 1, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189617, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 844, 7, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189618, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 213, 36, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189619, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 16, 2, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189620, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 1195, 1, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189621, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 913, 6, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189622, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1812, 7, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189623, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 1004, 13, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189624, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 168, 58, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189625, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1769, 212, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189626, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 4, 1, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189627, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 1116, 1, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189628, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 18, 6, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189629, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 707, 15, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189630, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 97, 17, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189631, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 89, 7, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189632, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 632, 69, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189633, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 66, 21, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189634, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189635, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 971, 13, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189636, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 42, 1, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189637, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 909, 4, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189638, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 389, 3, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189639, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 646, 29, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 18, 6, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 44, 15, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 646, 29, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 97, 17, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 74, 15, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 65, 3, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 160, 26, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 215, 9, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 103, 34, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 71, 14, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 445, 20, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 433, 16, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 211, 15, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 181, 27, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 415, 16, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 187, 26, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 270, 14, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 147, 16, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 643, 16, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 487, 14, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 206, 14, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 441, 9, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 437, 22, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 629, 20, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 44, 13, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 1088, 12, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 48, 17, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1733, 67, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1767, 53, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1790, 42, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 995, 10, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 1116, 1, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1812, 7, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 614, 11, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 496, 5, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 844, 7, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 4, 1, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 758, 14, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1148, 11, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 186, 12, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 2483, 49, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 2233, 46, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B07', 64, 1, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 873, 4, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 913, 6, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 62, 3, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 1195, 1, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 4, 1, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 1786, 1, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 3, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 456, 8, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 3, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1802, 50, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 3543, 2, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 9, 3, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 331, 9, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D15', 1392, 1, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B08', 552, 2, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 42, 1, 2024, 2, 20, '2024-08-05 16:01:31', NULL, NULL), (189699, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 690, 10, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189700, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 2362, 95, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189701, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1812, 7, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189702, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 3543, 2, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189703, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 141, 140, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189704, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 251, 14, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189705, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 226, 34, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189706, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 42, 1, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189707, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 913, 6, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189708, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 97, 17, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189709, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 183, 51, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189710, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 758, 14, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189711, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 646, 29, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189712, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 844, 7, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189713, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '', 389, 3, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189714, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 909, 4, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189715, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 1116, 1, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189716, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 16, 2, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189717, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 1786, 1, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189718, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 331, 9, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189719, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 632, 69, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189720, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1769, 212, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189721, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 153, 41, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189722, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 89, 7, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189723, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 4, 1, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189724, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 62, 3, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189725, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 1392, 1, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189726, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 18, 6, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189727, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 1195, 1, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189728, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 377, 46, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189729, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 496, 5, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189730, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 614, 11, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189731, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 1088, 12, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189732, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1148, 11, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189733, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 186, 12, 2024, 2, 20, '2024-08-05 16:01:32', NULL, NULL), (189734, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 4, 1, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189735, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 9, 3, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189736, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 690, 10, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189737, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 186, 12, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189738, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 873, 4, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189739, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 2483, 49, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189740, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 3, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189741, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 2233, 46, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189742, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 2, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189743, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 97, 17, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189744, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 5, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189745, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D15', 1392, 1, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189746, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 68, 2, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189747, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 98, 5, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189748, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 844, 7, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189749, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1148, 11, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189750, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1812, 7, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189751, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 614, 11, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189752, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 441, 9, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189753, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 629, 20, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189754, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 643, 16, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189755, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 487, 14, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189756, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 913, 6, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189757, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 995, 10, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189758, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 1195, 1, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189759, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B06', 3, 1, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189760, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 1212, 3, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189761, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 140, 5, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189762, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 1786, 1, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189763, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 233, 6, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189764, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 270, 7, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189765, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 9, 3, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189766, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 18, 6, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189767, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 200, 15, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189768, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 131, 18, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189769, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 4, 1, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189770, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '2B08', 552, 2, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189771, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '2B07', 64, 1, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189772, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 211, 15, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189773, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 270, 14, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189774, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 42, 1, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189775, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 215, 9, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189776, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 433, 16, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189777, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 71, 14, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189778, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 415, 16, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189779, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 65, 3, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189780, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 646, 29, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189781, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 62, 3, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189782, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1802, 50, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189783, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 3543, 2, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189784, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 1116, 1, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189785, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 285, 4, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189786, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 331, 9, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189787, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 48, 17, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189788, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 44, 15, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189789, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 169, 11, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189790, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 279, 9, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189791, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 44, 13, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189792, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 219, 6, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189793, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 214, 4, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189794, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 16, 2, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189795, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 4, 1, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189796, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 496, 5, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189797, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 103, 34, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189798, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1767, 53, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189799, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 445, 20, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189800, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1733, 67, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189801, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 74, 15, 2024, 2, 20, '2024-08-05 16:01:33', NULL, NULL), (189802, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 1088, 12, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189803, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 758, 14, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189804, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 160, 26, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189805, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1790, 42, 2024, 2, 20, '2024-08-05 16:01:34', NULL, NULL), (189806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 74, 15, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 44, 15, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 48, 17, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 44, 13, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 1212, 3, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 4, 1, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 62, 3, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 445, 20, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 103, 34, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 160, 26, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 1790, 42, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 2233, 46, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1767, 53, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B06', 3, 1, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1733, 67, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 758, 14, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 2483, 49, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 995, 10, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 646, 29, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1802, 50, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 1116, 1, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 6, 1, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 441, 9, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 629, 20, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 643, 16, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 487, 14, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 270, 14, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D15', 1392, 1, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 433, 16, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 415, 16, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 913, 6, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '2B08', 552, 2, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '2B07', 64, 1, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1148, 11, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 186, 12, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 844, 7, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 4, 1, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 496, 5, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1812, 7, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 614, 11, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 873, 4, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 42, 1, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 211, 15, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 71, 14, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 3543, 2, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 221, 13, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 2, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 331, 9, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 437, 22, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 9, 3, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 1088, 12, 2024, 2, 20, '2024-08-05 16:01:35', NULL, NULL), (189857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 147, 16, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 1786, 1, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 97, 17, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 181, 27, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 18, 6, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 187, 26, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 215, 9, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 1195, 1, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 5, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 65, 3, 2024, 2, 20, '2024-08-05 16:01:36', NULL, NULL), (189867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 3, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189868, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 9, 3, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189869, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1802, 50, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189870, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 97, 17, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189871, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 1212, 3, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189872, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B06', 3, 1, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189873, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 1733, 67, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189874, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1767, 53, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189875, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 211, 15, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189876, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 71, 14, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189877, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 1790, 42, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189878, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 215, 9, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189879, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 65, 3, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189880, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 5, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189881, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 2, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189882, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 3, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189883, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 873, 4, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189884, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 18, 6, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189885, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 995, 10, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189886, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 758, 14, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189887, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1812, 7, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189888, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 614, 11, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189889, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 4, 1, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189890, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 844, 7, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189891, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 913, 6, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189892, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 1195, 1, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189893, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 496, 5, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189894, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 690, 10, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189895, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 44, 13, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189896, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1148, 11, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189897, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 48, 17, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189898, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 44, 15, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189899, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 74, 15, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189900, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 433, 16, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189901, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 160, 26, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189902, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 415, 16, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189903, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 331, 9, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189904, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 103, 34, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189905, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 445, 20, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189906, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 270, 14, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189907, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 3543, 2, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189908, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 487, 14, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189909, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 62, 3, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189910, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 1088, 12, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189911, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 629, 20, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189912, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 643, 16, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189913, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 186, 12, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189914, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 4, 1, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189915, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 441, 9, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189916, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 16, 2, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189917, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 1116, 1, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189918, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 2483, 49, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189919, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 219, 6, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189920, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 42, 1, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189921, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 214, 4, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189922, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 285, 4, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189923, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D15', 1392, 1, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (189924, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 2233, 46, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189925, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 169, 11, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189926, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 279, 9, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189927, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 68, 2, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189928, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 98, 5, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189929, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 200, 15, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189930, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '2B07', 64, 1, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189931, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 1786, 1, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189932, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 131, 18, 2024, 2, 20, '2024-08-05 16:01:37', NULL, NULL), (189933, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 233, 6, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189934, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 646, 29, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189935, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '2B08', 552, 2, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189936, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 140, 5, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189937, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 270, 7, 2024, 2, 20, '2024-08-05 16:01:38', NULL, NULL), (189938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 113, 52, 2024, 2, 21, '2024-08-05 16:01:42', NULL, NULL), (189939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 5, 1, 2024, 2, 21, '2024-08-05 16:01:42', NULL, NULL), (189940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 3646, 10, 2024, 2, 21, '2024-08-05 16:01:42', NULL, NULL), (189941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 192, 95, 2024, 2, 21, '2024-08-05 16:01:42', NULL, NULL), (189942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 623, 30, 2024, 2, 21, '2024-08-05 16:01:42', NULL, NULL), (189943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 794, 195, 2024, 2, 21, '2024-08-05 16:01:42', NULL, NULL), (189944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 66, 109, 2024, 2, 21, '2024-08-05 16:01:42', NULL, NULL), (189945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1036, 282, 2024, 2, 21, '2024-08-05 16:01:42', NULL, NULL), (189946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 406, 5, 2024, 2, 21, '2024-08-05 16:01:42', NULL, NULL), (189947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 3646, 10, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 598, 269, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 859, 18, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 517, 32, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 722, 111, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 488, 113, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 325, 13, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 644, 127, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 517, 58, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 600, 67, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189957, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 516, 1, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189958, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 182, 4, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189959, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189960, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 33, 14, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189961, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 192, 95, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (189962, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 406, 5, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (189963, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 3150, 3, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189964, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 4995, 3, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189965, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 767, 79, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (189966, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 598, 23, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (189967, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 5, 1, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189968, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 118, 17, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189969, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 5, 4, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189970, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 54, 29, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189971, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 141, 7, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189972, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1270, 44, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189973, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 859, 8, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189974, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 9, 5, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189975, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 27, 29, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189976, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 1800, 1, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189977, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 2633, 7, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189978, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 301, 8, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189979, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 172, 12, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189980, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1101, 192, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189981, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 48, 71, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (189982, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 0, 1, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189983, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 333, 3, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189984, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 312, 7, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189985, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1130, 14, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189986, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 10, 5, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189987, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 328, 4, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189988, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 546, 77, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189989, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 155, 28, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189990, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 8, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189991, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1298, 9, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (189992, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 228, 12, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189993, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 8759, 3, 2024, 2, 21, '2024-08-05 16:01:43', NULL, NULL), (189994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 2280, 5, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (189995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 228, 12, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (189996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 312, 7, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (189997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 10, 5, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (189998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 59, 21, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (189999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 50, 12, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 107, 22, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 101, 9, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 57, 24, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1003, 16, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 7, 8, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 41, 24, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 797, 11, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 34, 26, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 34, 9, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1827, 17, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 89, 11, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 106, 14, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 561, 11, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 113, 12, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 485, 15, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 775, 28, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 301, 23, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 188, 11, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 81, 23, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 85, 14, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1059, 80, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1039, 48, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 332, 3, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 518, 2, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1207, 59, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 301, 8, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 859, 8, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 5, 4, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 9, 5, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 333, 3, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1459, 8, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1217, 13, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 625, 22, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 151, 1, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 793, 53, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 803, 23, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 9, 1, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 6374, 2, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1136, 5, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 3, 1, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 182, 4, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 1800, 1, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 3150, 3, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 15, 2, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 3774, 7, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1414, 4, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 42, 7, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 4995, 3, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 141, 7, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 516, 1, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D15', 4355, 1, 2024, 2, 21, '2024-08-05 16:01:44', NULL, NULL), (190051, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 118, 17, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190052, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 328, 4, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190053, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 787, 77, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190054, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 333, 3, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190055, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 301, 8, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190056, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 4995, 3, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190057, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 182, 4, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190058, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 192, 95, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190059, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 33, 14, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190060, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 29, 26, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190061, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 2633, 7, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190062, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 10, 5, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190063, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 4355, 1, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190064, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 50, 62, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190065, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1217, 13, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190066, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 312, 7, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190067, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 228, 12, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190068, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 9, 5, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190069, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 1800, 1, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190070, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 8759, 3, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190071, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 406, 5, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190072, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1270, 44, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190073, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 5, 1, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190074, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 5, 4, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190075, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 859, 8, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190076, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 188, 11, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190077, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1298, 9, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190078, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 625, 22, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190079, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 141, 7, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190080, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 3150, 3, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190081, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 546, 77, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190082, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1107, 191, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190083, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 54, 29, 2024, 2, 21, '2024-08-05 16:01:45', NULL, NULL), (190084, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 516, 1, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190085, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 154, 6, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190086, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 518, 2, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190087, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 332, 3, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190088, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 625, 22, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190089, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 1, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190090, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 151, 1, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190091, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 15, 2, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190092, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 793, 53, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190093, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 803, 23, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190094, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 29, 6, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190095, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 51, 5, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190096, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 10, 5, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190097, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D15', 4355, 1, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190098, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 436, 3, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190099, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 2, 1, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190100, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 9, 5, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190101, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 98, 11, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190102, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1459, 8, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190103, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 301, 8, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190104, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 859, 8, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190105, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 6374, 2, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190106, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 301, 23, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190107, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 485, 15, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190108, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 775, 28, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190109, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 561, 11, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190110, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1136, 5, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190111, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 9, 1, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190112, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B06', 120, 1, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190113, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 1800, 1, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190114, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 36, 3, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190115, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 13079, 2, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190116, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 76, 8, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190117, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 44, 5, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190118, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 104, 4, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190119, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 18, 8, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190120, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 516, 1, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190121, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 41, 18, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190122, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 312, 7, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190123, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 53, 16, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190124, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 3150, 3, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190125, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 7, 8, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190126, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1827, 17, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190127, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 50, 12, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190128, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1003, 16, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190129, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 101, 9, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190130, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 797, 11, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190131, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 228, 12, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190132, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 182, 4, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190133, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1414, 4, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190134, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 4995, 3, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190135, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 5, 1, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190136, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 184, 2, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190137, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 141, 7, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190138, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 81, 23, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190139, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 2280, 5, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190140, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 22, 4, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190141, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 18, 7, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190142, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 17, 8, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190143, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 8, 2, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190144, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 11, 3, 2024, 2, 21, '2024-08-05 16:01:46', NULL, NULL), (190145, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 333, 3, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190146, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 5, 4, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190147, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1039, 48, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190148, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 107, 22, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190149, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1059, 80, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190150, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 57, 24, 2024, 2, 21, '2024-08-05 16:01:47', NULL, NULL), (190151, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 188, 11, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190152, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1217, 13, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190153, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1207, 59, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190154, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 59, 21, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 2280, 5, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 81, 23, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 85, 14, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 13079, 2, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 5, 1, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 3150, 3, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 182, 4, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 57, 24, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 107, 22, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 59, 21, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 1207, 59, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 803, 23, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1039, 48, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B06', 120, 1, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1059, 80, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1217, 13, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 793, 53, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 151, 1, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 228, 12, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1414, 4, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 301, 23, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 485, 15, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 775, 28, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 561, 11, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1827, 17, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D15', 4355, 1, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1003, 16, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 797, 11, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 6374, 2, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1136, 5, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 9, 1, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 518, 2, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1459, 8, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 625, 22, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 9, 5, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 333, 3, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 5, 4, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 301, 8, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 859, 8, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 332, 3, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 1, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 7, 8, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 101, 9, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 4995, 3, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 106, 14, 2024, 2, 21, '2024-08-05 16:01:48', NULL, NULL), (190200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 141, 7, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 113, 12, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 29, 6, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 516, 1, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 34, 9, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 188, 11, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 89, 11, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 10, 5, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 41, 24, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 35, 25, 2024, 2, 21, '2024-08-05 16:01:49', NULL, NULL), (190210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 312, 7, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 50, 12, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 51, 5, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 1800, 1, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 15, 2, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190215, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 516, 1, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190216, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1414, 4, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190217, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 10, 5, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190218, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 13079, 2, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190219, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B06', 120, 1, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190220, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 1059, 80, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190221, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1039, 48, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190222, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 36, 3, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190223, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 7, 8, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190224, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 1207, 59, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190225, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 101, 9, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190226, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 50, 12, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190227, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 51, 5, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190228, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 29, 6, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190229, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 15, 2, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190230, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 1, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190231, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 312, 7, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190232, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1217, 13, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190233, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 301, 8, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190234, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 9, 1, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190235, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 859, 8, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190236, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 9, 5, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190237, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 3150, 3, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190238, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 6374, 2, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190239, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1136, 5, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190240, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 154, 6, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190241, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 5, 4, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190242, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1459, 8, 2024, 2, 21, '2024-08-05 16:01:52', NULL, NULL), (190243, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 81, 23, 2024, 2, 21, '2024-08-05 16:01:52', NULL, NULL), (190244, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 2280, 5, 2024, 2, 21, '2024-08-05 16:01:52', NULL, NULL), (190245, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1003, 16, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190246, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 797, 11, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190247, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 59, 21, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190248, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 141, 7, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190249, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 107, 22, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190250, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 1800, 1, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190251, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 57, 24, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190252, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1827, 17, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190253, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 5, 1, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190254, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 4995, 3, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190255, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 561, 11, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190256, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 182, 4, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190257, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 188, 11, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190258, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 518, 2, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190259, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 332, 3, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190260, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 775, 28, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190261, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 625, 22, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190262, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 301, 23, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190263, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 485, 15, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190264, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 333, 3, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190265, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 8, 2, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190266, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 151, 1, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190267, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 793, 53, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190268, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 11, 3, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190269, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 184, 2, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190270, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D15', 4355, 1, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190271, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 803, 23, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190272, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 22, 4, 2024, 2, 21, '2024-08-05 16:01:52', NULL, NULL), (190273, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 18, 7, 2024, 2, 21, '2024-08-05 16:01:52', NULL, NULL), (190274, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 436, 3, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190275, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 17, 8, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190276, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 2, 1, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190277, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 98, 11, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190278, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 41, 18, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190279, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 44, 5, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190280, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 53, 16, 2024, 2, 21, '2024-08-05 16:01:50', NULL, NULL), (190281, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 104, 4, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190282, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 228, 12, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190283, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 76, 8, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190284, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 18, 8, 2024, 2, 21, '2024-08-05 16:01:51', NULL, NULL), (190285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 235, 71, 2024, 2, 22, '2024-08-05 16:01:55', NULL, NULL), (190286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 47, 1, 2024, 2, 22, '2024-08-05 16:01:55', NULL, NULL), (190287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 86, 13, 2024, 2, 22, '2024-08-05 16:01:55', NULL, NULL), (190288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 182, 116, 2024, 2, 22, '2024-08-05 16:01:55', NULL, NULL), (190289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 315, 27, 2024, 2, 22, '2024-08-05 16:01:55', NULL, NULL), (190290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 543, 201, 2024, 2, 22, '2024-08-05 16:01:55', NULL, NULL), (190291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 114, 78, 2024, 2, 22, '2024-08-05 16:01:55', NULL, NULL), (190292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 307, 2, 2024, 2, 22, '2024-08-05 16:01:55', NULL, NULL), (190293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 5933, 2, 2024, 2, 22, '2024-08-05 16:01:55', NULL, NULL), (190294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1068, 197, 2024, 2, 22, '2024-08-05 16:01:55', NULL, NULL), (190295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 156, 2, 2024, 2, 22, '2024-08-05 16:01:55', NULL, NULL), (190296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 340, 18, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 565, 208, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 347, 48, 2024, 2, 22, '2024-08-05 16:01:55', NULL, NULL), (190299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 676, 24, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 537, 95, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 497, 130, 2024, 2, 22, '2024-08-05 16:01:55', NULL, NULL), (190302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 435, 8, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 553, 63, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 493, 92, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 469, 68, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190306, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 47, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190307, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 4, 7, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190308, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190309, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 14, 9, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190310, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 182, 116, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190311, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2966, 4, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190312, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 268, 4, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190313, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 6284, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190314, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 421, 28, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190315, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 374, 59, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190316, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190317, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 222, 7, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190318, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 72, 9, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190319, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 264, 33, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190320, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 210, 8, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190321, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 292, 55, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190322, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 334, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190323, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190324, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 0, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190325, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 41, 7, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190326, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 429, 5, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190327, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 141, 31, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (190328, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 390, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190329, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1720, 4, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190330, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 19, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190331, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 244, 4, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190332, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 86, 11, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190333, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 78, 48, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190334, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1336, 135, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190335, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 5, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190336, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 156, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190337, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 10, 12, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190338, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1968, 4, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190339, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 215, 3, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190340, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 406, 17, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190341, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 928, 70, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190342, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 18, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190343, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 251, 11, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190344, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 12, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190345, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 307, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190346, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 13, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190347, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 110, 16, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 2316, 6, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 110, 16, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 10, 12, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 406, 17, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 33, 24, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 70, 28, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 307, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 277, 10, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 35, 10, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 236, 12, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 51, 21, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 327, 21, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 311, 10, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 341, 15, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 138, 25, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 94, 14, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 214, 19, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 105, 8, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 1031, 7, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 116, 13, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 621, 13, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 152, 4, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 948, 25, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 1092, 16, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 114, 27, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 95, 10, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1377, 15, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 98, 18, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1239, 69, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 5933, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1417, 45, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 1577, 5, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 156, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 326, 3, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 41, 7, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 222, 7, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 429, 5, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 5, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1968, 4, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 262, 10, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 421, 28, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 442, 14, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 328, 21, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 376, 24, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 148, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B06', 47, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 3430, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 4, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 10, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 4, 7, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 268, 4, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 19, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 1, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 4, 3, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 2087, 5, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 26, 5, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 6284, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 210, 8, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 334, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190407, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 72, 9, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190408, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 374, 59, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190409, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 326, 3, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190410, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 6284, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190411, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 182, 116, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190412, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 14, 9, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190413, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 150, 23, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190414, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1720, 4, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190415, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 406, 17, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190416, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 89, 42, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190417, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1968, 4, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190418, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 110, 16, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190419, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 429, 5, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190420, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 13, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190421, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 5933, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190422, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 47, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190423, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 156, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190424, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 390, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190425, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', '', 307, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190426, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 210, 8, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190427, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 928, 70, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190428, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1346, 134, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190429, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 272, 32, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190430, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 215, 3, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190431, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 5, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190432, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 4, 7, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190433, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 10, 12, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190434, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 19, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190435, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 292, 55, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190436, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 334, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190437, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 222, 7, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190438, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 41, 7, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190439, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 95, 10, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190440, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 251, 11, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190441, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 421, 28, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190442, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 268, 4, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190443, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 5933, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190444, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 421, 28, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190445, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 4, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190446, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 442, 14, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190447, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 307, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190448, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 1, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190449, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 328, 21, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190450, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 376, 24, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190451, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 27, 4, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190452, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 406, 17, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190453, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 4, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190454, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 318, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190455, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 8, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190456, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 429, 5, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190457, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 72, 9, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190458, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 174, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190459, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 262, 10, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190460, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 326, 3, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190461, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 41, 7, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190462, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 3430, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190463, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 1092, 16, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190464, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 152, 4, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190465, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 948, 25, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190466, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 1031, 7, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190467, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 621, 13, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190468, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 10, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190469, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 148, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190470, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 1577, 5, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190471, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B06', 23, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190472, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 19, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190473, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 109, 7, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190474, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 4, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190475, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 73, 6, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190476, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 29, 7, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190477, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 99, 4, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190478, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 10, 12, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190479, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 107, 18, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190480, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 268, 4, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190481, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B06', 47, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190482, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 311, 10, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190483, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 214, 19, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190484, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 277, 10, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190485, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 327, 21, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190486, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 236, 12, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190487, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 341, 15, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190488, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 110, 16, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190489, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 334, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190490, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 4, 7, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190491, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 2087, 5, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190492, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 6284, 1, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190493, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 156, 2, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190494, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 210, 8, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190495, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 114, 27, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190496, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 2316, 6, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190497, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 159, 7, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190498, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 216, 7, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190499, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 67, 7, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190500, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 5, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190501, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 390, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190502, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 222, 7, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190503, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 35, 10, 2024, 2, 22, '2024-08-05 16:01:56', NULL, NULL), (190504, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1239, 69, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190505, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 51, 21, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190506, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1377, 15, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190507, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 95, 10, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190508, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 33, 24, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190509, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1968, 4, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190510, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1417, 45, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190511, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 70, 28, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 33, 24, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 2316, 6, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 114, 27, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 98, 18, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 4, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 268, 4, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 4, 7, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 51, 21, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 35, 10, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 70, 28, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 1417, 45, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 334, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 376, 24, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1239, 69, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B06', 23, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1377, 15, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1968, 4, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 328, 21, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 442, 14, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 1577, 5, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 110, 16, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 2087, 5, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 156, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 1092, 16, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 152, 4, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 948, 25, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 1031, 7, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 621, 13, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 214, 19, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 327, 21, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 341, 15, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 3430, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 10, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 148, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B06', 47, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A02', 307, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 5933, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 262, 10, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 421, 28, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 429, 5, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 5, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 222, 7, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 326, 3, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 41, 7, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 4, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 311, 10, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 236, 12, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 116, 13, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 6284, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 210, 8, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 27, 4, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 94, 14, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 95, 10, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 105, 8, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 406, 17, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 10, 12, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 138, 25, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 4, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 277, 10, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 1, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 19, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190573, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 406, 17, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190574, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 2087, 5, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190575, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 4, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190576, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B06', 23, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190577, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 1377, 15, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190578, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1239, 69, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190579, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 109, 7, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190580, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 174, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190581, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 311, 10, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190582, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 1417, 45, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190583, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 236, 12, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190584, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 277, 10, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190585, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 4, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190586, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 27, 4, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190587, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 1, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190588, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 4, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190589, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B06', 47, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190590, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 10, 12, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190591, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 1577, 5, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190592, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1968, 4, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190593, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 326, 3, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190594, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 148, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190595, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 41, 7, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190596, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 268, 4, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190597, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 429, 5, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190598, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 3430, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190599, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', 'A02', 307, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190600, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 10, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190601, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 222, 7, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190602, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 114, 27, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190603, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 262, 10, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190604, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 2316, 6, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190605, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 33, 24, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190606, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 327, 21, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190607, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 70, 28, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190608, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 341, 15, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190609, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 210, 8, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190610, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 35, 10, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190611, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 19, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190612, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 51, 21, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190613, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 214, 19, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190614, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 6284, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190615, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 621, 13, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190616, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 95, 10, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190617, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 4, 7, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190618, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 5933, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190619, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 948, 25, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190620, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 1031, 7, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190621, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 1092, 16, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190622, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 421, 28, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190623, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 152, 4, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190624, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 5, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190625, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 156, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190626, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 390, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190627, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 442, 14, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190628, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 67, 7, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190629, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 328, 21, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190630, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 376, 24, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190631, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 159, 7, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190632, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 216, 7, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190633, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 318, 2, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190634, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 8, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190635, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 72, 9, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190636, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 334, 1, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190637, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 107, 18, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190638, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 29, 7, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190639, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 110, 16, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190640, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 73, 6, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190641, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 99, 4, 2024, 2, 22, '2024-08-05 16:01:57', NULL, NULL), (190642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 413, 73, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 1915, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1994, 18, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 201, 136, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 139, 30, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 637, 164, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 63, 90, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 33, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 879, 274, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1521, 26, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 584, 277, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 470, 30, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 342, 48, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 424, 83, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 408, 112, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 628, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 1007, 65, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 434, 116, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 369, 61, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190661, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 859, 14, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190662, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190663, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 3, 10, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190664, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 201, 136, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190665, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 8, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190666, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 5964, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190667, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190668, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1004, 80, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190669, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1366, 16, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190670, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 1532, 5, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190671, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 42, 15, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190672, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 513, 8, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190673, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 105, 28, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190674, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 9, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190675, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 127, 37, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190676, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190677, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 723, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190678, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 446, 5, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190679, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 40, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190680, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 130, 8, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190681, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 72, 26, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190682, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 234, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190683, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 8791, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190684, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 714, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190685, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 939, 12, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190686, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 42, 44, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190687, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 636, 192, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190688, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 4774, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190689, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 401, 13, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190690, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 7, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190691, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 142, 5, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190692, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 535, 20, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190693, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 204, 67, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190694, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 2400, 16, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190695, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 9, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190696, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 834, 10, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190697, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 143, 19, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 401, 13, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 143, 19, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 163, 13, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 131, 21, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 535, 20, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 23, 10, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 203, 33, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 136, 12, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 81, 12, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 119, 30, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 179, 6, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 50, 20, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 172, 12, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 438, 20, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 22, 18, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 129, 13, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 179, 10, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 12, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 145, 17, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 144, 8, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 186, 22, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 315, 19, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 313, 39, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 939, 12, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 695, 111, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 57, 25, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 33, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 472, 53, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 727, 25, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 714, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 446, 5, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 513, 8, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 130, 8, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 6365, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 834, 10, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 849, 33, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1457, 15, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 145, 5, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 1105, 23, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 1370, 17, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 1422, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (190739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 8791, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 1126, 7, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 462, 9, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 3976, 6, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 40, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 7, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 593, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 9, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D14', 19202, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 1446, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190751, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 42, 15, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190752, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 142, 5, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190753, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1004, 80, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190754, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 6365, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190755, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 714, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190756, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 859, 14, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190757, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 201, 136, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190758, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 3, 10, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190759, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 74, 25, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190760, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 8791, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190761, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 19202, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190762, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 535, 20, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190763, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 43, 42, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190764, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 401, 13, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190765, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 143, 19, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190766, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 130, 8, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190767, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 33, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190768, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 127, 37, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190769, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 1446, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190770, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 1915, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190771, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 513, 8, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190772, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 446, 5, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190773, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 939, 12, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190774, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 234, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190775, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 40, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190776, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 834, 10, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190777, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1457, 15, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190778, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 9, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190779, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 5964, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190780, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 208, 66, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190781, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 636, 192, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190782, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 105, 28, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190783, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 33, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190784, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 1422, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190785, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1457, 15, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190786, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 849, 33, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190787, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190788, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 145, 5, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190789, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 1105, 23, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190790, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190791, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 2, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190792, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 1370, 17, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190793, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190794, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 7, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190795, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 535, 20, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190796, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D14', 19202, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190797, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 12, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190798, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 175, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190799, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 130, 8, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190800, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 42, 15, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190801, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 85, 7, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190802, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 834, 10, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190803, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 446, 5, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190804, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 714, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190805, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 315, 19, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190806, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 144, 8, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190807, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 186, 22, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190808, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 145, 17, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190809, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 8791, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190810, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 69, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190811, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 94, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190812, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 30, 10, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190813, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 40, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190814, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 401, 13, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190815, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 29, 14, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190816, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 55, 13, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190817, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 5964, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190818, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 179, 6, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190819, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 129, 13, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190820, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 23, 10, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190821, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 81, 12, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190822, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 136, 12, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190823, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 172, 12, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190824, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 143, 19, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190825, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 1446, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190826, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 1575, 5, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190827, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 462, 9, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190828, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 593, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190829, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 1915, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190830, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 203, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190831, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 313, 39, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190832, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 9, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190833, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 11, 8, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190834, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 163, 13, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190835, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 344, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190836, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 39, 7, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190837, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 6365, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190838, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 234, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190839, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 513, 8, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190840, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 203, 33, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190841, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 472, 53, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190842, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 695, 111, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190843, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 119, 30, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190844, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 131, 21, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190845, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 939, 12, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190846, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 727, 25, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 1575, 5, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 131, 21, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 163, 13, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 313, 39, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 57, 25, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 1915, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 5964, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 462, 9, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 119, 30, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 203, 33, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 727, 25, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 1422, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 1446, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 1370, 17, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 472, 53, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 695, 111, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 849, 33, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 1105, 23, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 145, 5, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 143, 19, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 593, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 315, 19, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 144, 8, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 186, 22, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 145, 17, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 129, 13, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 81, 12, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D14', 19202, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 172, 12, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 8791, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 834, 10, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1457, 15, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 130, 8, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 6365, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 513, 8, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 714, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 33, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 446, 5, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 179, 6, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 136, 12, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 12, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 9, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 22, 18, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 939, 12, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 179, 10, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 40, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 2, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 50, 20, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 535, 20, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 401, 13, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 69, 16, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 7, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 23, 10, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190903, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 593, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190904, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 535, 20, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190905, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 695, 111, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190906, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 472, 53, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190907, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 69, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190908, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 85, 7, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190909, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 179, 6, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190910, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 727, 25, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190911, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 136, 12, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190912, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 23, 10, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190913, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 7, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190914, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190915, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 2, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190916, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190917, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190918, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 401, 13, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190919, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 714, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190920, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 446, 5, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190921, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 130, 8, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190922, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 5964, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190923, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 8791, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190924, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 513, 8, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190925, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 313, 39, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190926, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 834, 10, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190927, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 163, 13, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190928, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 131, 21, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190929, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 81, 12, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190930, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 172, 12, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190931, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 9, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190932, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 203, 33, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190933, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 129, 13, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190934, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 119, 30, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190935, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 1915, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190936, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 1575, 5, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190937, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 145, 17, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190938, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 462, 9, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190939, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 939, 12, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190940, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 33, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190941, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 186, 22, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190942, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 315, 19, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190943, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1457, 15, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190944, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 6365, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190945, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 144, 8, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190946, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 234, 3, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190947, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 849, 33, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190948, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 145, 5, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190949, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D14', 19202, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190950, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 1105, 23, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190951, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 203, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190952, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 1370, 17, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190953, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 1422, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190954, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 11, 8, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190955, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 344, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190956, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 12, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190957, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 39, 7, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190958, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 175, 4, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190959, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 42, 15, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190960, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 1446, 1, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190961, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 29, 14, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190962, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 30, 10, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190963, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 40, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190964, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 55, 13, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190965, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 143, 19, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190966, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 94, 2, 2024, 2, 23, '2024-08-05 16:01:58', NULL, NULL), (190967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 7, 2024, 2, 24, '2024-08-05 16:01:59', NULL, NULL), (190968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 3, 2024, 2, 24, '2024-08-05 16:01:59', NULL, NULL), (190969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 0, 2, 2024, 2, 24, '2024-08-05 16:01:59', NULL, NULL), (190970, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 2, 24, '2024-08-05 16:01:59', NULL, NULL), (190971, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 2, 2024, 2, 24, '2024-08-05 16:01:59', NULL, NULL), (190972, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 9, 2024, 2, 24, '2024-08-05 16:01:59', NULL, NULL), (190973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 2, 2024, 2, 25, '2024-08-05 16:02:00', NULL, NULL), (190974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 1, 2024, 2, 25, '2024-08-05 16:02:00', NULL, NULL), (190975, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 2, 25, '2024-08-05 16:02:00', NULL, NULL), (190976, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 1, 2024, 2, 25, '2024-08-05 16:02:00', NULL, NULL), (190977, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 0, 1, 2024, 2, 25, '2024-08-05 16:02:00', NULL, NULL), (190978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 360, 85, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 4312, 5, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 486, 20, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 239, 255, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 544, 48, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 1727, 2, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 948, 277, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 148, 111, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 2836, 8, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 366, 207, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 514, 369, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 503, 35, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 430, 90, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 259, 30, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 321, 104, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 587, 153, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 536, 15, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 674, 98, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 468, 84, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 287, 84, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190998, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 12, 1, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (190999, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191000, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 486, 20, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191001, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 4, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191002, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 78, 20, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191003, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 239, 255, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191004, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2836, 8, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191005, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 548, 4, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191006, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 436, 97, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191007, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 5423, 23, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191008, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 4312, 5, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191009, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 194, 18, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191010, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 268, 18, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191011, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 547, 44, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191012, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 242, 8, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191013, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 733, 80, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191014, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 16648, 1, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191015, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1021, 14, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191016, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 147, 8, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191017, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 77, 44, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191018, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 383, 7, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191019, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1681, 4, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191020, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 6, 1, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191021, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 758, 10, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191022, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 247, 9, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191023, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 120, 52, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191024, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 304, 110, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191025, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 247, 3, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191026, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 48, 6, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191027, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 8, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191028, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 174, 9, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191029, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 155, 26, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191030, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 256, 108, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191031, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 10, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191032, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 8, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191033, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 888, 13, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191034, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 2643, 1, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191035, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 227, 25, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 227, 25, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 48, 6, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 204, 31, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 207, 33, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 155, 26, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 554, 16, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 277, 50, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 605, 11, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 215, 42, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 503, 17, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 901, 23, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 195, 31, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 101, 28, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 597, 21, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 4312, 5, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 102, 26, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 705, 36, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 252, 20, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 292, 21, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 317, 14, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 124, 17, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 783, 10, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 149, 12, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 129, 10, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 247, 9, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 278, 68, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 194, 25, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 362, 62, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 314, 4, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 2110, 3, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 223, 11, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 3271, 5, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 364, 15, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 131, 23, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 758, 10, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1021, 14, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 268, 18, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 147, 8, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 247, 3, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 888, 13, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 514, 38, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 13860, 9, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 441, 16, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 364, 29, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 371, 14, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1681, 4, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 442, 22, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 6, 1, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 4, 2, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 131, 6, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 146, 5, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 8, 5, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 222, 33, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 2195, 1, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 12, 1, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 242, 8, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 2643, 1, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 16648, 1, 2024, 2, 26, '2024-08-05 16:02:01', NULL, NULL), (191094, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 194, 18, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191095, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 174, 9, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191096, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 436, 97, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191097, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 247, 3, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191098, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 758, 10, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191099, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 2195, 1, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191100, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 486, 20, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191101, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 239, 255, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191102, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 78, 20, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191103, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 83, 37, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191104, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 2643, 1, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191105, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1681, 4, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191106, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 155, 26, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191107, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 140, 40, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191108, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 48, 6, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191109, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 227, 25, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191110, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 147, 8, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191111, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 2836, 8, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191112, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 6, 1, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191113, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 733, 80, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191114, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 16648, 1, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191115, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 4312, 5, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191116, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 268, 18, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191117, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1021, 14, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191118, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 247, 9, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191119, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 383, 7, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191120, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 888, 13, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191121, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 13860, 9, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191122, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 242, 8, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191123, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 256, 108, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191124, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 304, 110, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191125, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 547, 44, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191126, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 12, 1, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191127, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 3271, 5, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191128, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 2110, 3, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191129, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 13860, 9, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191130, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 514, 38, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191131, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 2, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191132, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 441, 16, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191133, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 364, 29, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191134, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 131, 6, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191135, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 371, 14, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191136, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 4, 2, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191137, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 8, 5, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191138, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 146, 5, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191139, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 155, 26, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191140, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 92, 3, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191141, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 216, 6, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (191142, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 147, 8, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191143, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 194, 18, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191144, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 166, 4, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191145, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 888, 13, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191146, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1021, 14, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191147, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 758, 10, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191148, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 129, 10, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191149, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 783, 10, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191150, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 149, 12, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191151, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 292, 21, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191152, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 124, 17, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191153, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1681, 4, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191154, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 131, 23, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191155, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 6, 1, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191156, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 237, 3, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191157, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 166, 5, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191158, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 140, 13, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191159, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 93, 7, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191160, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 12, 1, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191161, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 48, 6, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191162, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 132, 12, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191163, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 364, 15, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191164, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 705, 36, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191165, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 605, 11, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191166, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 2643, 1, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191167, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 901, 23, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191168, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 503, 17, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191169, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 597, 21, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191170, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 554, 16, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191171, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 227, 25, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191172, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 16648, 1, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191173, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 486, 20, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191174, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 222, 33, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191175, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 2195, 1, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191176, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 4312, 5, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191177, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 121, 2, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191178, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 242, 8, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191179, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 278, 68, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191180, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 65, 13, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191181, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 204, 31, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191182, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 79, 16, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191183, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 29, 2, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191184, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 247, 3, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191185, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 383, 7, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191186, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 268, 18, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191187, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 314, 4, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191188, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 215, 42, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191189, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 362, 62, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191190, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 195, 31, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191191, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 247, 9, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191192, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 207, 33, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191193, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 223, 11, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191194, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 277, 50, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 486, 20, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 207, 33, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 204, 31, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 278, 68, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 194, 25, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 4312, 5, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 195, 31, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 215, 42, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 277, 50, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 223, 11, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 16648, 1, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 371, 14, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 314, 4, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 362, 62, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 514, 38, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 364, 29, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 441, 16, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 364, 15, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 227, 25, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 131, 23, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 222, 33, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 1727, 2, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 129, 10, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 783, 10, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 149, 12, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 292, 21, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 124, 17, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 705, 36, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 901, 23, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 597, 21, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1681, 4, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 3271, 5, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 888, 13, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 13860, 9, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 147, 8, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 247, 3, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 268, 18, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 758, 10, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 2110, 3, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1021, 14, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 2, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 2643, 1, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 503, 17, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 82, 12, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 2195, 1, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 8, 5, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 242, 8, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 12, 1, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 247, 9, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 102, 26, 2024, 2, 26, '2024-08-05 16:02:02', NULL, NULL), (191245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 252, 20, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 101, 28, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 4, 2, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 155, 26, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 48, 6, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 146, 5, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 605, 11, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 554, 16, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 6, 1, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 131, 6, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191255, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 12, 1, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191256, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 222, 33, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191257, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 155, 26, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191258, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 362, 62, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191259, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 314, 4, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191260, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 237, 3, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191261, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 166, 4, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191262, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 223, 11, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191263, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 503, 17, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191264, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 605, 11, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191265, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 554, 16, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191266, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 146, 5, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191267, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 8, 5, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191268, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 4, 2, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191269, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 131, 6, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191270, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 2, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191271, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 48, 6, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191272, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 131, 23, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191273, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 364, 15, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191274, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 758, 10, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191275, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1021, 14, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191276, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 147, 8, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191277, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1681, 4, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191278, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 268, 18, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191279, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 888, 13, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191280, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 278, 68, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191281, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 204, 31, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191282, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 207, 33, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191283, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 901, 23, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191284, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 277, 50, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191285, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 597, 21, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191286, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 242, 8, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191287, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 215, 42, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191288, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 6, 1, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191289, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 705, 36, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191290, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 195, 31, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191291, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 4312, 5, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191292, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 2195, 1, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191293, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 486, 20, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191294, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 124, 17, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191295, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 247, 9, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191296, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 3271, 5, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191297, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 2110, 3, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191298, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 149, 12, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191299, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 292, 21, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191300, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 129, 10, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191301, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 13860, 9, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191302, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 247, 3, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191303, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 783, 10, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191304, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 383, 7, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191305, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 514, 38, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191306, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 441, 16, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191307, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 29, 2, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191308, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 364, 29, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191309, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 2643, 1, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191310, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 121, 2, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191311, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 371, 14, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191312, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 65, 13, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191313, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 92, 3, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191314, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 79, 16, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191315, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 216, 6, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191316, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 194, 18, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191317, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 16648, 1, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191318, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 140, 13, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191319, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 132, 12, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191320, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 227, 25, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191321, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 166, 5, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191322, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 93, 7, 2024, 2, 26, '2024-08-05 16:02:03', NULL, NULL), (191323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 275, 105, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 17113, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1051, 14, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 135, 156, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 694, 55, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 19365, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 252, 194, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 212, 124, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 543, 119, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 2239, 9, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 881, 17, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 468, 231, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 232, 64, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 505, 48, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 730, 54, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 337, 126, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 280, 15, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 194, 94, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 163, 69, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 227, 84, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191343, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191344, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 1466, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191345, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 297, 17, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191346, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 135, 156, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191347, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1343, 15, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191348, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 19, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191349, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191350, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 267, 59, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191351, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 189, 30, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191352, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 17113, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191353, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 161, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191354, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 165, 14, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191355, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 279, 48, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191356, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 397, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191357, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 474, 30, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191358, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191359, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 3997, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191360, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 300, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191361, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 27, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191362, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 148, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191363, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 164, 44, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191364, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191365, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 706, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191366, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 178, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191367, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 255, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191368, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 119, 25, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191369, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 814, 60, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191370, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 191, 76, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191371, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 405, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191372, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 372, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191373, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 773, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191374, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 399, 22, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191375, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 156, 75, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191376, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191377, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 7, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191378, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 260, 9, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191379, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191380, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 1702, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191381, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 2, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191382, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 286, 32, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 372, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 286, 32, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 108, 22, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 169, 27, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 399, 22, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 142, 19, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 215, 14, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 324, 21, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 179, 35, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 275, 13, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 684, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 92, 26, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 224, 24, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 342, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 17113, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 147, 17, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 396, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 236, 18, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 143, 12, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 1730, 14, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 108, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 83, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 194, 27, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 169, 13, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 235, 9, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 119, 25, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 104, 27, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 359, 24, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 164, 25, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 3, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1551, 19, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 633, 17, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 208, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 3357, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 126, 14, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 255, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 300, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 161, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 148, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 405, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 260, 9, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 217, 12, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 189, 30, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 246, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 333, 20, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 235, 17, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 171, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 1456, 13, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 194, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 13, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 27, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 153, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 397, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 1702, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 3997, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191440, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 165, 14, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191441, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 773, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191442, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 267, 59, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191443, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 405, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191444, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 255, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191445, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 1466, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191446, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 135, 156, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191447, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 297, 17, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191448, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 167, 36, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191449, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 1702, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191450, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 178, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191451, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 399, 22, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191452, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 190, 67, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191453, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 372, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191454, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 286, 32, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191455, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 148, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191456, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 5, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191457, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 2239, 9, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191458, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 474, 30, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191459, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 17113, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191460, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 3997, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191461, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 161, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191462, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 300, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191463, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 119, 25, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191464, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 706, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191465, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 27, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191466, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 260, 9, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191467, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 189, 30, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191468, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 397, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191469, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 19, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191470, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 156, 75, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191471, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 814, 60, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191472, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 279, 48, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191473, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 144, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191474, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 3357, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191475, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 3, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191476, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 189, 30, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191477, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 217, 12, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191478, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 1421, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191479, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 246, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191480, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 333, 20, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191481, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191482, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 4, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191483, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 235, 17, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191484, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191485, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 153, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191486, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 399, 22, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191487, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 839, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191488, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 675, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191489, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 181, 8, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191490, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 148, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191491, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 143, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191492, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 260, 9, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191493, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 255, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191494, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 300, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191495, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 171, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191496, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 235, 9, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191497, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 83, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191498, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 169, 13, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191499, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 143, 12, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191500, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 108, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191501, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 194, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191502, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 126, 14, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191503, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B06', 5, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191504, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 161, 12, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191505, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 140, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191506, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 189, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191507, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 27, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191508, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 171, 16, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191509, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 331, 7, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191510, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 372, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191511, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 206, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191512, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 19, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191513, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 208, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191514, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 396, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191515, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 1702, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191516, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 324, 21, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191517, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 684, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191518, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 275, 13, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191519, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 342, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191520, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 215, 14, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191521, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 286, 32, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191522, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 3997, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191523, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 1466, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191524, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 17113, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191525, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 397, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191526, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 22, 4, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191527, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 104, 27, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191528, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 69, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191529, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 108, 22, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191530, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 239, 13, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191531, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 330, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191532, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 8, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191533, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 706, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191534, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 405, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191535, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 161, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191536, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1551, 19, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191537, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 179, 35, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191538, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 359, 24, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191539, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 92, 26, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191540, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 119, 25, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191541, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 169, 27, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191542, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 633, 17, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191543, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 142, 19, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 1466, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 169, 27, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 108, 22, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (191547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 104, 27, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 164, 25, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 17113, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 19, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 92, 26, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 179, 35, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 142, 19, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 633, 17, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 3997, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 235, 17, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1551, 19, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 359, 24, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B06', 5, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 217, 12, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 333, 20, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 246, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 208, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 126, 14, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 286, 32, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 19365, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 235, 9, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 83, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 169, 13, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 143, 12, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 108, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 396, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 684, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 342, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 171, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 194, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 3357, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 260, 9, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 189, 30, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 148, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 405, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 161, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 255, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 300, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 3, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 1421, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 1702, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 275, 13, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 374, 13, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 397, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 194, 27, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 119, 25, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 147, 17, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 236, 18, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 27, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 4, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 224, 24, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 399, 22, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 372, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 324, 21, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 153, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 215, 14, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191605, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 399, 22, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191606, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 359, 24, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191607, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B06', 5, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191608, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1551, 19, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191609, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 161, 12, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191610, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 143, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191611, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 633, 17, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191612, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 275, 13, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191613, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 324, 21, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191614, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 215, 14, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191615, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 153, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191616, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191617, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 4, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191618, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191619, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 1421, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191620, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 372, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191621, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 126, 14, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191622, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 255, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191623, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 208, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191624, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 300, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191625, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 19, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191626, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 148, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191627, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 171, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191628, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 194, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191629, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 161, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191630, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 144, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191631, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 104, 27, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191632, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 260, 9, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191633, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 108, 22, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191634, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 684, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191635, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 169, 27, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191636, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 342, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191637, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 142, 19, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191638, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 397, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191639, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 179, 35, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191640, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 396, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191641, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 92, 26, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191642, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 17113, 1, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191643, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 1466, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191644, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 108, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191645, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 119, 25, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191646, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 3357, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191647, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 3, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191648, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 169, 13, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191649, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 143, 12, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191650, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 235, 9, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191651, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 189, 30, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191652, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 83, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191653, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 405, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191654, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 706, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191655, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 217, 12, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191656, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 330, 5, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191657, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 246, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191658, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 8, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191659, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 333, 20, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191660, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 1702, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191661, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 22, 4, 2024, 2, 27, '2024-08-05 16:02:05', NULL, NULL), (191662, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 235, 17, 2024, 2, 27, '2024-08-05 16:02:05', NULL, NULL), (191663, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 69, 6, 2024, 2, 27, '2024-08-05 16:02:05', NULL, NULL), (191664, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 839, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191665, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 239, 13, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191666, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 181, 8, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191667, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 675, 2, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191668, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 3997, 6, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191669, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 189, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191670, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 27, 3, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191671, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 206, 11, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191672, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 171, 16, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191673, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 286, 32, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191674, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 140, 10, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191675, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 331, 7, 2024, 2, 27, '2024-08-05 16:02:04', NULL, NULL), (191676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 329, 86, 2024, 2, 28, '2024-08-05 16:02:05', NULL, NULL), (191677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 5848, 3, 2024, 2, 28, '2024-08-05 16:02:05', NULL, NULL), (191678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 910, 11, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 324, 1, 2024, 2, 28, '2024-08-05 16:02:05', NULL, NULL), (191680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 170, 154, 2024, 2, 28, '2024-08-05 16:02:05', NULL, NULL), (191681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 1003, 48, 2024, 2, 28, '2024-08-05 16:02:05', NULL, NULL), (191682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 624, 217, 2024, 2, 28, '2024-08-05 16:02:05', NULL, NULL), (191683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 36, 141, 2024, 2, 28, '2024-08-05 16:02:05', NULL, NULL), (191684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 561, 6, 2024, 2, 28, '2024-08-05 16:02:05', NULL, NULL), (191685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 466, 104, 2024, 2, 28, '2024-08-05 16:02:05', NULL, NULL), (191686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 11, 2, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 461, 29, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 431, 240, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 855, 42, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 803, 37, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 182, 50, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 210, 127, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 93, 1, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 434, 66, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 412, 142, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 203, 48, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191697, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 14878, 1, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191698, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 664, 10, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191699, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191700, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 168, 23, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191701, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 170, 154, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191702, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 561, 6, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191703, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 562, 6, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191704, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 12390, 2, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191705, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 535, 53, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191706, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 3214, 24, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191707, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 84, 11, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191708, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 5848, 3, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191709, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 72, 13, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191710, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 417, 41, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191711, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 611, 14, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191712, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 560, 42, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191713, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191714, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 3, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191715, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 356, 13, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191716, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 5, 1, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191717, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 216, 6, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191718, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 32, 59, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191719, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 6, 1, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191720, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 14, 2, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191721, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 170, 9, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191722, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 78, 16, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191723, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 34, 78, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191724, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 394, 51, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191725, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 11, 2, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191726, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 32, 2, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191727, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 85, 8, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191728, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 2, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191729, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191730, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 77, 1, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191731, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 442, 21, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191732, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 182, 82, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191733, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 8, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191734, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191735, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 279, 10, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191736, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191737, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 17, 1, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191738, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 210, 22, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 85, 8, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 210, 22, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 107, 22, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 442, 21, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 242, 28, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 296, 14, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 122, 31, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 512, 15, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 233, 31, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 439, 12, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 773, 14, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 183, 22, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 28, 27, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 422, 11, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 672, 27, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 87, 15, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 473, 17, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 36, 13, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 111, 11, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 40, 20, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 274, 26, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 222, 8, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 19, 22, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 158, 12, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 102, 12, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 78, 16, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 98, 20, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 49, 21, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 457, 19, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 387, 9, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 814, 4, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 9, 1, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 55, 2, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 344, 23, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 11, 2, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 139, 12, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 170, 9, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 356, 13, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 84, 11, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 216, 6, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 32, 2, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 279, 10, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 687, 25, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 3214, 24, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 438, 23, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 219, 5, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 14, 2, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 610, 11, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 4, 2, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 6, 1, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 575, 6, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 5, 1, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 216, 5, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 525, 5, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 5, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 12390, 2, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 14878, 1, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 658, 13, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 17, 1, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191798, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 72, 13, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191799, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 77, 1, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191800, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 535, 53, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191801, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 32, 2, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191802, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 170, 9, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191803, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 12390, 2, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191804, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 664, 10, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191805, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 170, 154, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191806, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 168, 23, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191807, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 28, 56, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191808, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 17, 1, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191809, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 14, 2, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191810, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 442, 21, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191811, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 35, 71, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191812, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 85, 8, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191813, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 210, 22, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191814, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 216, 6, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191815, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 6, 1, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191816, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 561, 6, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191817, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 560, 42, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191818, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 84, 11, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191819, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 5848, 3, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191820, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 11, 2, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191821, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 356, 13, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191822, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 78, 16, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191823, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 5, 1, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191824, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 279, 10, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191825, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 3214, 24, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191826, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 658, 13, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191827, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 3374, 1, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191828, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 182, 82, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191829, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 394, 51, 2024, 2, 28, '2024-08-05 16:02:06', NULL, NULL), (191830, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 417, 41, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191831, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 14878, 1, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191832, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 46, 5, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191833, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 55, 2, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191834, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 814, 4, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191835, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 219, 5, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191836, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 3214, 24, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191837, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 687, 25, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191838, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 26, 3, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191839, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 216, 5, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191840, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 15, 5, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191841, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 438, 23, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191842, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 5, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191843, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 525, 5, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191844, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 442, 21, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191845, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 77, 1, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191846, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 88, 8, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191847, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 216, 6, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191848, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 24, 4, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191849, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 279, 10, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191850, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 170, 9, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191851, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 356, 13, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191852, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 102, 12, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191853, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 222, 8, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191854, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 158, 12, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191855, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 111, 11, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191856, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 274, 26, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191857, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 14, 2, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191858, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 139, 12, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191859, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 6, 1, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191860, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 27, 9, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191861, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 8, 7, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191862, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 96, 9, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191863, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 10, 8, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191864, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 5, 1, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191865, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 61, 10, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191866, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 14878, 1, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191867, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 85, 8, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191868, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 13, 14, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191869, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 31, 14, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191870, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 3374, 1, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191871, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 9, 1, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191872, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 473, 17, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191873, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 512, 15, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191874, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 17, 1, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191875, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 773, 14, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191876, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 439, 12, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191877, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 422, 11, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191878, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 296, 14, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191879, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 210, 22, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191880, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 829, 8, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191881, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 4, 2, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191882, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 12390, 2, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191883, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 11, 2, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191884, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 5848, 3, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191885, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 67, 5, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191886, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 98, 20, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191887, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 658, 13, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191888, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 24, 5, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191889, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 107, 22, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191890, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 40, 10, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191891, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 24, 13, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191892, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 13, 9, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191893, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 19, 10, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191894, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 32, 2, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191895, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 84, 11, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191896, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 387, 9, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191897, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 233, 31, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191898, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 457, 19, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191899, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 183, 22, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191900, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 78, 16, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191901, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 242, 28, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191902, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 122, 31, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191903, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 344, 23, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 829, 8, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 242, 28, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 107, 22, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 98, 20, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 49, 21, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 3374, 1, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 5848, 3, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 4, 2, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 183, 22, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 233, 31, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 122, 31, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 344, 23, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 219, 5, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 438, 23, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 387, 9, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 457, 19, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 687, 25, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 9, 1, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 210, 22, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 139, 12, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 11, 2, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 102, 12, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 222, 8, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 158, 12, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 111, 11, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 274, 26, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 473, 17, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 773, 14, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 422, 11, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 324, 1, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 14, 2, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 55, 2, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 279, 10, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 3214, 24, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 216, 6, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 32, 2, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 84, 11, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 170, 9, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 814, 4, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 356, 13, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 26, 3, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 17, 1, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 439, 12, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 12390, 2, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 40, 20, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 19, 22, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 5, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 658, 13, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 14878, 1, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 78, 16, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (191954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 70, 14, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 36, 13, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 5, 1, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 28, 27, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 442, 21, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 15, 5, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 85, 8, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 25, 24, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 6, 1, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 525, 5, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 512, 15, 2024, 2, 28, '2024-08-05 16:02:07', NULL, NULL), (191965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 296, 14, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 216, 5, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191967, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 14878, 1, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191968, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 442, 21, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191969, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 457, 19, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191970, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 387, 9, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191971, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 27, 9, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191972, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 24, 4, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191973, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 439, 12, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191974, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 344, 23, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191975, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 512, 15, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191976, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 296, 14, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191977, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 525, 5, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191978, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 5, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191979, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 15, 5, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191980, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 216, 5, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191981, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 26, 3, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191982, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 85, 8, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191983, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 139, 12, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191984, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 9, 1, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191985, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 170, 9, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191986, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 356, 13, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191987, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 3374, 1, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191988, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 216, 6, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191989, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 14, 2, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191990, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 6, 1, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191991, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 84, 11, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191992, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 46, 5, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191993, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 279, 10, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191994, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 98, 20, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191995, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 107, 22, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191996, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 242, 28, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191997, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 773, 14, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191998, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 122, 31, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (191999, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 422, 11, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192000, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 658, 13, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192001, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 233, 31, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192002, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 183, 22, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192003, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 473, 17, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192004, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 12390, 2, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192005, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 5848, 3, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192006, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 829, 8, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192007, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 274, 26, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192008, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 4, 2, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192009, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 78, 16, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192010, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 55, 2, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192011, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 814, 4, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192012, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 158, 12, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192013, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 111, 11, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192014, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 102, 12, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192015, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 3214, 24, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192016, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 32, 2, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192017, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 222, 8, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192018, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 11, 2, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192019, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 687, 25, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192020, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 13, 9, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192021, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 19, 10, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192022, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 17, 1, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192023, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 67, 5, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192024, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 438, 23, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192025, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 219, 5, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192026, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 24, 5, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192027, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 40, 10, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192028, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 24, 13, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192029, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 77, 1, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192030, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 88, 8, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192031, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 13, 14, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192032, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 96, 9, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192033, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 5, 1, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192034, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 31, 14, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192035, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 10, 8, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192036, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 210, 22, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192037, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 8, 7, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192038, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 61, 10, 2024, 2, 28, '2024-08-05 16:02:08', NULL, NULL), (192039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 267, 108, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 3530, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1206, 6, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 106, 129, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 158, 38, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 7467, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 313, 220, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 49, 113, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '', 15, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 2237, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 644, 141, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 44, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1034, 7, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 293, 250, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 306, 39, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 198, 14, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 218, 75, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 314, 105, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 204, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 285, 69, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 351, 125, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 360, 89, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192061, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 1086, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192062, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 941, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192063, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192064, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 4, 14, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192065, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 106, 129, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192066, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2237, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192067, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1737, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192068, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 3, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192069, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 295, 29, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192070, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 719, 61, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192071, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 3530, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192072, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 493, 14, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192073, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 38, 7, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192074, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 289, 49, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192075, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 382, 13, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192076, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 208, 40, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192077, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192078, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 25, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192079, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 329, 11, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192080, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 2242, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192081, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 65, 6, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192082, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 57, 44, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192083, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 35, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192084, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 108, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192085, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 377, 5, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192086, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1023, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192087, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 72, 26, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192088, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 431, 72, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192089, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 49, 74, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192090, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 44, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192091, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 2715, 3, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192092, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 73, 8, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192093, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1990, 8, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192094, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 90, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192095, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 488, 25, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192096, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 138, 79, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192097, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 6, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192098, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 9, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192099, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 665, 13, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192100, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192101, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 15, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192102, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 172, 22, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 172, 22, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 96, 20, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 73, 8, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 77, 16, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 488, 25, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 80, 22, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 285, 16, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 204, 22, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 114, 28, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 174, 20, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 463, 11, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 165, 15, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 56, 22, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 327, 13, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 243, 18, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 42, 15, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 135, 12, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 92, 14, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 49, 10, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 1223, 13, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 117, 15, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 33, 22, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 258, 18, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 129, 12, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 72, 26, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 92, 23, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 538, 17, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 42, 16, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 400, 9, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 814, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 2237, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 103, 9, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 44, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 66, 11, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1023, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 329, 11, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 493, 14, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 65, 6, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 2715, 3, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 665, 13, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1990, 8, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 630, 32, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 295, 29, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1041, 15, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 576, 14, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B07', 15, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 108, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 629, 6, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 556, 3, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 108, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 580, 6, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 4, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 2242, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 8, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 388, 45, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 25, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 1086, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 382, 13, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192162, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 38, 7, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192163, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 90, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192164, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 719, 61, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192165, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 2715, 3, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192166, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1023, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192167, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 941, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192168, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 106, 129, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192169, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 4, 14, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192170, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 49, 41, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192171, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 377, 5, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192172, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 488, 25, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192173, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 50, 62, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192174, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1990, 8, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192175, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 73, 8, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192176, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 172, 22, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192177, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 65, 6, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192178, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '', 15, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192179, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 108, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192180, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 2237, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192181, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 208, 40, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192182, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 3530, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192183, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 493, 14, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192184, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 44, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192185, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 329, 11, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192186, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 72, 26, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192187, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 35, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192188, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 2242, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192189, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 665, 13, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192190, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 25, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192191, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 295, 29, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192192, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 382, 13, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192193, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 1737, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192194, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 138, 79, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192195, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 431, 72, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192196, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 289, 49, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192197, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 1086, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192198, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 23, 3, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192199, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 2237, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192200, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 576, 14, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192201, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 295, 29, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192202, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 630, 32, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192203, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 5, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192204, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1041, 15, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192205, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 4, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192206, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 2, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192207, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 8, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192208, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192209, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 488, 25, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192210, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 90, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192211, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 65, 6, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192212, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 48, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192213, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 45, 6, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192214, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 665, 13, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192215, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1023, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192216, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 329, 11, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192217, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 108, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192218, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 129, 12, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192219, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 258, 18, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192220, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 92, 14, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192221, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 117, 15, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192222, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 556, 3, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192223, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 66, 11, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192224, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 108, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192225, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 25, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192226, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 34, 6, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192227, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 56, 7, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192228, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 74, 8, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192229, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 2242, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192230, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 15, 12, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192231, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 119, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192232, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 1086, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192233, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 59, 14, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192234, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 73, 8, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192235, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 37, 11, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192236, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 1737, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192237, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '2B07', 15, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192238, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 103, 9, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192239, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 135, 12, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192240, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 204, 22, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192241, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 165, 15, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192242, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 463, 11, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192243, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 327, 13, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192244, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 285, 16, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192245, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 172, 22, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192246, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 941, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192247, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 388, 45, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192248, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 3530, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192249, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 44, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192250, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 31, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192251, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 382, 13, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192252, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 92, 23, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192253, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 6, 7, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192254, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 96, 20, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192255, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 6, 3, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192256, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 76, 11, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192257, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 68, 7, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192258, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 63, 5, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192259, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 2715, 3, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192260, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 35, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192261, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 493, 14, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192262, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 114, 28, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192263, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 400, 9, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192264, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 538, 17, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192265, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 174, 20, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192266, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 77, 16, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192267, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 72, 26, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192268, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 814, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192269, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 80, 22, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192270, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1990, 8, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 941, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 77, 16, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 96, 20, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 92, 23, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 42, 16, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 3530, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 1737, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 174, 20, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 114, 28, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 80, 22, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 814, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 576, 14, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 400, 9, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 538, 17, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 630, 32, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1990, 8, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1041, 15, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 103, 9, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 172, 22, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 66, 11, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 388, 45, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 44, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 7467, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 129, 12, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 258, 18, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 92, 14, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 117, 15, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 135, 12, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 165, 15, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 327, 13, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 108, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 556, 3, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '2B07', 15, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 2237, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 665, 13, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 295, 29, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 65, 6, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 2715, 3, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 493, 14, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1023, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 329, 11, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 5, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 463, 11, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 88, 11, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 8, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 382, 13, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 33, 22, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 1086, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 72, 26, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 42, 15, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 25, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 49, 10, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 2242, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 2, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 488, 25, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 56, 22, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 49, 17, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 73, 8, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 204, 22, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 108, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 4, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 285, 16, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192334, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 1086, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192335, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 488, 25, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192336, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 388, 45, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192337, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 538, 17, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192338, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 400, 9, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192339, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 34, 6, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192340, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 45, 6, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192341, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 814, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192342, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 463, 11, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192343, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 204, 22, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192344, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 285, 16, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192345, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192346, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 8, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192347, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 2, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192348, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 4, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192349, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 5, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192350, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 73, 8, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192351, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 25, 1, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192352, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 66, 11, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192353, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1990, 8, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192354, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1023, 4, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192355, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 103, 9, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192356, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 329, 11, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (192357, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 1737, 2, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192358, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 65, 6, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192359, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 108, 2, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192360, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 556, 3, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192361, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 108, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192362, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 23, 3, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192363, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 493, 14, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192364, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 665, 13, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192365, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 92, 23, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192366, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 96, 20, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192367, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 77, 16, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192368, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 165, 15, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192369, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 80, 22, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192370, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 327, 13, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192371, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 382, 13, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192372, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 114, 28, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192373, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 174, 20, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192374, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 135, 12, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192375, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 3530, 1, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192376, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 941, 4, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192377, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 117, 15, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192378, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 72, 26, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192379, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 2237, 2, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192380, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 258, 18, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192381, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 92, 14, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192382, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 295, 29, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192383, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 129, 12, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192384, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 2715, 3, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192385, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 44, 1, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192386, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 35, 1, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192387, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 630, 32, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192388, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 68, 7, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192389, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1041, 15, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192390, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 63, 5, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192391, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 31, 2, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192392, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 6, 7, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192393, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 576, 14, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192394, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 6, 3, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192395, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 90, 2, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192396, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 76, 11, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192397, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 48, 4, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192398, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 59, 14, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192399, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 74, 8, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192400, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '2B07', 15, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192401, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 2242, 1, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192402, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 37, 11, 2024, 2, 29, '2024-08-05 16:02:09', NULL, NULL), (192403, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 172, 22, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192404, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 15, 12, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192405, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 56, 7, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192406, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 119, 4, 2024, 2, 29, '2024-08-05 16:02:10', NULL, NULL), (192407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 237, 113, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 748, 5, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 80, 1, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 158, 129, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 460, 48, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 1358, 6, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 796, 272, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 103, 121, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1799, 9, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 709, 184, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 620, 9, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 483, 278, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 560, 60, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 494, 59, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 424, 107, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 567, 136, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 277, 8, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 391, 70, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 648, 97, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 282, 84, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192427, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 39, 2, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192428, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 4, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192429, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 260, 16, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192430, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 158, 129, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192431, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1799, 9, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192432, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1221, 3, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192433, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 755, 76, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192434, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 558, 16, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192435, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 159, 6, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192436, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192437, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 679, 10, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192438, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 256, 47, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192439, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 69, 5, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192440, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1715, 85, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192441, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 2762, 4, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192442, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 327, 12, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192443, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 277, 15, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192444, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 107, 57, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192445, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 240, 2, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192446, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', '', 0, 1, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192447, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 14, 2, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192448, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1680, 4, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192449, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 698, 10, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192450, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 70, 37, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192451, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 55, 65, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192452, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 597, 105, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192453, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 516, 6, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192454, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 933, 11, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192455, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1145, 9, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192456, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 588, 3, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192457, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 105, 18, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192458, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 191, 90, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192459, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 11, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192460, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 631, 20, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192461, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 13, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192462, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 245, 28, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 933, 11, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 263, 28, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 245, 28, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 137, 13, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 105, 18, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 126, 26, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 102, 20, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 386, 15, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 134, 26, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 351, 12, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 75, 19, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1773, 40, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 75, 28, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1163, 20, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 120, 25, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 96, 10, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 2062, 25, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 47, 9, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 216, 11, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 130, 17, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 719, 13, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 906, 9, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 66, 21, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 63, 14, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 161, 17, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 70, 37, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 178, 17, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 79, 20, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 699, 61, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 159, 2, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 451, 18, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 460, 26, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 112, 11, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 2268, 7, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 121, 13, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 698, 10, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 327, 12, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 679, 10, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 277, 15, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 516, 6, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 3437, 3, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 742, 17, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 776, 15, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 558, 16, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 777, 29, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 726, 32, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 39, 2, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1680, 4, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 3, 1, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 1018, 4, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 25, 1, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 528, 7, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 15, 3, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 1, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 4, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 69, 5, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B14', 5877, 1, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 1283, 2, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 2608, 1, 2024, 3, 1, '2024-08-05 16:02:11', NULL, NULL), (192522, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 159, 6, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192523, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 588, 3, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192524, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 755, 76, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192525, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 516, 6, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192526, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 698, 10, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192527, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 39, 2, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192528, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 158, 129, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192529, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 260, 16, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192530, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 113, 52, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192531, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1680, 4, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192532, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 105, 18, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192533, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 59, 58, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192534, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 3437, 3, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192535, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 933, 11, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192536, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 245, 28, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192537, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 277, 15, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192538, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 14, 2, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192539, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1799, 9, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192540, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1715, 85, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192541, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 2762, 4, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192542, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 679, 10, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192543, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 327, 12, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192544, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 70, 37, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192545, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 240, 2, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192546, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 742, 17, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192547, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 558, 16, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192548, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 69, 5, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192549, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 1221, 3, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192550, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 191, 90, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192551, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 597, 105, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192552, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 256, 47, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192553, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 141, 2, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192554, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 2268, 7, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192555, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 159, 2, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192556, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 726, 32, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192557, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 558, 16, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192558, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 1018, 4, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192559, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 776, 15, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192560, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 15, 3, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192561, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 8, 4, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192562, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 777, 29, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192563, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 4, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192564, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 1, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192565, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 105, 18, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192566, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 371, 1, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192567, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 697, 2, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192568, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 169, 4, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192569, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 277, 15, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192570, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 79, 8, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192571, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 742, 17, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192572, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 327, 12, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192573, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 698, 10, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192574, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 161, 17, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192575, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 906, 9, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192576, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 63, 14, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192577, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 47, 9, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192578, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 130, 17, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192579, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1680, 4, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192580, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 121, 13, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192581, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 3, 1, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192582, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 25, 1, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192583, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 34, 8, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192584, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 79, 6, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192585, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 12, 4, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192586, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 78, 14, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192587, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 48, 2, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192588, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 97, 11, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192589, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 933, 11, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192590, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 30, 13, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192591, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 1221, 3, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192592, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 112, 11, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192593, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 2062, 25, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192594, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 386, 15, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192595, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1773, 40, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192596, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 351, 12, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192597, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1163, 20, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192598, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 102, 20, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192599, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 245, 28, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192600, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 2608, 1, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192601, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 1283, 2, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192602, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B14', 5877, 1, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192603, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 39, 2, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192604, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 25, 1, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192605, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 69, 5, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192606, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 178, 17, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192607, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 166, 5, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192608, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 263, 28, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192609, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 138, 14, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192610, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 115, 15, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192611, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 4, 5, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192612, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 183, 4, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192613, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 516, 6, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192614, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 240, 2, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192615, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 679, 10, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192616, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 451, 18, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192617, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 134, 26, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192618, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 75, 19, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192619, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 699, 61, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192620, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 137, 13, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192621, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 70, 37, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192622, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 460, 26, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192623, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 126, 26, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192624, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 3437, 3, 2024, 3, 1, '2024-08-05 16:02:12', NULL, NULL), (192625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 137, 13, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 39, 2, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 263, 28, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 178, 17, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 79, 20, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 1221, 3, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 75, 19, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 134, 26, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 126, 26, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 460, 26, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 726, 32, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 2608, 1, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 777, 29, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 451, 18, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 699, 61, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B14', 5877, 1, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 776, 15, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 3437, 3, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 1283, 2, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 112, 11, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 121, 13, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 245, 28, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 1358, 6, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 161, 17, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 906, 9, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 63, 14, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 47, 9, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 130, 17, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 2062, 25, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1773, 40, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1163, 20, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 80, 1, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1680, 4, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 2268, 7, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 742, 17, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 558, 16, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 277, 15, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 516, 6, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 679, 10, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 698, 10, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 327, 12, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 159, 2, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 351, 12, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 171, 7, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 4, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 69, 5, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 66, 21, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 98, 9, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 70, 37, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 216, 11, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 105, 18, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 8, 4, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 75, 28, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 1018, 4, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 120, 25, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 933, 11, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 3, 1, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 1, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 386, 15, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 15, 3, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 25, 1, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 102, 20, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192687, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 105, 18, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192688, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 699, 61, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192689, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 451, 18, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192690, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 34, 8, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192691, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 79, 8, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192692, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 460, 26, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192693, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 351, 12, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192694, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 386, 15, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192695, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 102, 20, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192696, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 1, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192697, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 4, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192698, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 8, 4, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192699, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 15, 3, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192700, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 1018, 4, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192701, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 933, 11, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192702, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 121, 13, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192703, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 3437, 3, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192704, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 112, 11, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192705, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 698, 10, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192706, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 327, 12, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192707, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 1221, 3, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192708, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 277, 15, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192709, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1680, 4, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192710, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 3, 1, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192711, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 141, 2, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192712, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 679, 10, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192713, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 178, 17, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192714, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 742, 17, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192715, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 263, 28, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192716, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 137, 13, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192717, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1773, 40, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192718, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 126, 26, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192719, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1163, 20, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192720, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 69, 5, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192721, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 134, 26, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192722, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 25, 1, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192723, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 75, 19, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192724, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 2062, 25, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192725, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 39, 2, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192726, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 130, 17, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192727, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 70, 37, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192728, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 2268, 7, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192729, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 159, 2, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192730, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 63, 14, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192731, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 47, 9, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192732, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 161, 17, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192733, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 558, 16, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192734, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 516, 6, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192735, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 906, 9, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192736, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 240, 2, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192737, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 776, 15, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192738, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 4, 5, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192739, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 183, 4, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192740, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 25, 1, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192741, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 777, 29, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192742, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 166, 5, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192743, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 726, 32, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192744, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 138, 14, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192745, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 371, 1, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192746, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 115, 15, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192747, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 169, 4, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192748, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 697, 2, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192749, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 2608, 1, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192750, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 97, 11, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192751, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 1283, 2, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192752, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 12, 4, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192753, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B14', 5877, 1, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192754, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 30, 13, 2024, 3, 1, '2024-08-05 16:02:13', NULL, NULL), (192755, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 78, 14, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192756, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 245, 28, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192757, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 79, 6, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192758, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 48, 2, 2024, 3, 1, '2024-08-05 16:02:14', NULL, NULL), (192759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 599, 2, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 2848, 17, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 781, 10, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 5, 1, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (192763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 2378, 9, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 2194, 4, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192765, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192766, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 0, 1, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192767, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192768, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 2646, 13, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192769, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1557, 9, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192770, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 599, 2, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 599, 2, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 4301, 8, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 1557, 9, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192774, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1557, 9, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192775, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 599, 2, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192776, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 4301, 8, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192777, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 1557, 9, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192778, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 599, 2, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192779, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 4301, 8, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 599, 2, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 1557, 9, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 4301, 8, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192783, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 4301, 8, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192784, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 599, 2, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192785, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 1557, 9, 2024, 3, 2, '2024-08-05 16:02:15', NULL, NULL), (192786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 3740, 3, 2024, 3, 3, '2024-08-05 16:02:16', NULL, NULL), (192787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 2994, 3, 2024, 3, 3, '2024-08-05 16:02:16', NULL, NULL), (192788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 1, 2024, 3, 3, '2024-08-05 16:02:16', NULL, NULL), (192789, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 0, 1, 2024, 3, 3, '2024-08-05 16:02:16', NULL, NULL), (192790, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 3, 3, '2024-08-05 16:02:17', NULL, NULL), (192791, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 1, 2024, 3, 3, '2024-08-05 16:02:16', NULL, NULL), (192792, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 3740, 3, 2024, 3, 3, '2024-08-05 16:02:17', NULL, NULL), (192793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 3740, 3, 2024, 3, 3, '2024-08-05 16:02:17', NULL, NULL), (192794, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 3740, 3, 2024, 3, 3, '2024-08-05 16:02:17', NULL, NULL), (192795, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 3740, 3, 2024, 3, 3, '2024-08-05 16:02:17', NULL, NULL), (192796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 3740, 3, 2024, 3, 3, '2024-08-05 16:02:17', NULL, NULL), (192797, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 3740, 3, 2024, 3, 3, '2024-08-05 16:02:17', NULL, NULL), (192798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 157, 115, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1073, 44, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 15913, 8, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 244, 199, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 471, 44, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 730, 334, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 243, 147, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 414, 6, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 617, 205, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 695, 264, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 713, 88, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 462, 131, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 528, 52, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 508, 87, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 539, 203, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 561, 17, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 403, 129, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 326, 77, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 589, 97, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192817, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 2, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192818, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 206, 11, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192819, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 5, 14, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192820, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 7, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192821, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 244, 199, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192822, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 414, 6, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192823, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1188, 36, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192824, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 12475, 1, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192825, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 498, 83, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192826, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 369, 25, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192827, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 368, 8, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192828, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 300, 14, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192829, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 15913, 8, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192830, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 192, 56, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192831, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 271, 23, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192832, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 987, 88, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192833, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 3, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192834, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 364, 6, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192835, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 9, 1, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192836, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1982, 22, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192837, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 1965, 1, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192838, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 118, 7, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192839, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 209, 70, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192840, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 142, 4, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192841, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192842, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1988, 8, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192843, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 2585, 10, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192844, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 190, 16, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192845, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 246, 70, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192846, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 615, 115, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192847, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 591, 3, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192848, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 160, 12, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192849, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 2070, 7, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192850, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 112, 5, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192851, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 77, 31, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192852, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 351, 123, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192853, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 18, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192854, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 292, 14, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192855, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 13, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192856, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 31, 2, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192857, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192858, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 283, 29, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 160, 12, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 283, 29, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 215, 46, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 77, 31, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 120, 17, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 199, 49, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 484, 9, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 174, 16, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 282, 43, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 256, 23, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 279, 27, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1122, 37, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 214, 33, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 846, 29, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 286, 22, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 3542, 37, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 155, 12, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 946, 22, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 211, 20, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 215, 20, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 404, 14, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 292, 30, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 330, 17, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 424, 24, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 488, 12, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 190, 16, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 272, 34, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 610, 49, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 414, 6, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 325, 9, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 634, 32, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 421, 19, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 2585, 10, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1982, 22, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 300, 14, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 118, 7, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 591, 3, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 2070, 7, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 409, 10, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 394, 15, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 369, 25, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 523, 40, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 518, 28, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1988, 8, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 362, 5, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 66, 7, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 1296, 33, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 1965, 1, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 5, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 6, 2, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 7, 5, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 604, 34, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 9, 1, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 7332, 2, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 297, 21, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 63, 1, 2024, 3, 4, '2024-08-05 16:02:18', NULL, NULL), (192915, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 368, 8, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192916, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 498, 83, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192917, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 2585, 10, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192918, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 12475, 1, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192919, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 244, 199, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192920, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 5, 14, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192921, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 227, 64, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192922, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 63, 1, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192923, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1988, 8, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192924, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 77, 31, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192925, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 259, 66, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192926, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 2070, 7, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192927, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 283, 29, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192928, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 118, 7, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192929, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 414, 6, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192930, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 15913, 8, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192931, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 142, 4, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192932, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 1965, 1, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192933, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 297, 21, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192934, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 351, 123, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192935, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 615, 115, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192936, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 192, 56, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192937, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 112, 5, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192938, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 591, 3, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192939, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 206, 11, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192940, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 160, 12, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192941, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 987, 88, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192942, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 300, 14, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192943, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '区退役军人局', '', '', 2189, 1, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192944, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1982, 22, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192945, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 190, 16, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192946, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 409, 10, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192947, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 9, 1, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192948, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 369, 25, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192949, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 1336, 32, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192950, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 368, 8, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (192951, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 414, 6, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (192952, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 369, 25, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (192953, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 7, 1, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192954, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 394, 15, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192955, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 523, 40, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192956, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 5, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192957, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 2, 1, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (192958, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 518, 28, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (192959, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 7, 5, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (192960, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 6, 2, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (192961, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 77, 31, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (192962, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 142, 1, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192963, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 105, 4, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192964, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 118, 7, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192965, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 409, 10, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192966, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', 'B07', 2189, 1, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192967, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1982, 22, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192968, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 2585, 10, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (192969, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 488, 12, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192970, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 330, 17, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192971, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 424, 24, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192972, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 215, 20, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192973, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1988, 8, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192974, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 286, 22, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192975, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 421, 19, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192976, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 9, 1, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192977, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 340, 8, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192978, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 172, 8, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192979, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 284, 16, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192980, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 1965, 1, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (192981, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 411, 8, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (192982, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 160, 12, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192983, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 74, 10, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192984, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 276, 16, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192985, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 1336, 32, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192986, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 325, 9, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192987, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 946, 22, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192988, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 63, 1, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192989, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 174, 16, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192990, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1122, 37, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192991, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 256, 23, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192992, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 846, 29, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192993, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 120, 17, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192994, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 283, 29, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192995, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 362, 5, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192996, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 76, 6, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192997, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 12475, 1, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192998, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 604, 34, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (192999, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 15913, 8, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (193000, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 128, 4, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (193001, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 297, 21, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (193002, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 272, 34, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (193003, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 122, 4, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (193004, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 215, 46, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (193005, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 159, 19, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (193006, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 156, 17, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193007, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 211, 6, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (193008, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 445, 5, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (193009, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 591, 3, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193010, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 142, 4, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193011, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 300, 14, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193012, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 282, 43, 2024, 3, 4, '2024-08-05 16:02:19', NULL, NULL), (193013, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 610, 49, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193014, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 484, 9, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193015, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 279, 27, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193016, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 190, 16, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193017, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 2070, 7, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193018, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 199, 49, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193019, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 634, 32, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 362, 5, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 215, 46, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 272, 34, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 1336, 32, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 15913, 8, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 76, 6, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 279, 27, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 282, 43, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 199, 49, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 634, 32, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 518, 28, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B07', 2189, 1, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 610, 49, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 394, 15, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 2070, 7, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 523, 40, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 325, 9, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 421, 19, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 283, 29, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 604, 34, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 488, 12, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 330, 17, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 424, 24, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 215, 20, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 286, 22, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 946, 22, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1122, 37, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 846, 29, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1988, 8, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 414, 6, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 409, 10, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 369, 25, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 118, 7, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 591, 3, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 300, 14, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 2585, 10, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1982, 22, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 63, 1, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 256, 23, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 12475, 1, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 404, 14, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 7, 5, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 292, 30, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 297, 21, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 155, 12, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 190, 16, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 9, 1, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 211, 20, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 2, 1, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 214, 33, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 77, 31, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 1965, 1, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 7, 1, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 160, 12, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 129, 29, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 484, 9, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 6, 2, 2024, 3, 4, '2024-08-05 16:02:20', NULL, NULL), (193077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 174, 16, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 120, 17, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 5, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193080, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 77, 31, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193081, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 604, 34, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193082, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 610, 49, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193083, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 256, 23, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193084, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 634, 32, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193085, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 174, 16, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193086, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 120, 17, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193087, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 6, 2, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193088, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 7, 5, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193089, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 2, 1, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193090, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 5, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193091, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 7, 1, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193092, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '区退役军人局', '', 'B07', 2189, 1, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193093, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 160, 12, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193094, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 9, 1, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193095, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 421, 19, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193096, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 2070, 7, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193097, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 325, 9, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193098, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 2585, 10, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193099, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1982, 22, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193100, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 118, 7, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193101, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 1336, 32, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193102, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1988, 8, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193103, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 368, 8, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193104, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 300, 14, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193105, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 409, 10, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193106, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 272, 34, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193107, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 215, 46, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193108, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1122, 37, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193109, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 199, 49, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193110, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 846, 29, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193111, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 297, 21, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193112, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 282, 43, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193113, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 279, 27, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193114, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 946, 22, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193115, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 12475, 1, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193116, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 15913, 8, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193117, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 362, 5, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193118, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 286, 22, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193119, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 76, 6, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193120, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 190, 16, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193121, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 414, 6, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193122, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 424, 24, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193123, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 215, 20, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193124, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 488, 12, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193125, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 369, 25, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193126, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 591, 3, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193127, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 330, 17, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193128, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 142, 4, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193129, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 394, 15, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193130, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 211, 6, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193131, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 523, 40, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193132, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 63, 1, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193133, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 445, 5, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193134, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 128, 4, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193135, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 518, 28, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193136, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 122, 4, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193137, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 159, 19, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193138, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 142, 1, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193139, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 156, 17, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193140, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 484, 9, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193141, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 105, 4, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193142, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 74, 10, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193143, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 172, 8, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193144, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 276, 16, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193145, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 1965, 1, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193146, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 284, 16, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193147, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 283, 29, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193148, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 340, 8, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193149, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 411, 8, 2024, 3, 4, '2024-08-05 16:02:21', NULL, NULL), (193150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 189, 124, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 6748, 9, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2952, 17, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 208, 147, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 176, 48, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 711, 3, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 612, 210, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 51, 105, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 3673, 11, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 768, 162, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 2621, 27, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 468, 288, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 237, 37, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 578, 43, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 654, 74, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 290, 141, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 396, 6, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 543, 55, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 569, 133, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 278, 71, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193170, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 0, 1, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (193171, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 681, 4, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193172, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193173, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 66, 27, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193174, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 208, 147, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193175, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 3673, 11, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193176, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 3390, 14, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193177, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 2, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193178, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 678, 73, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193179, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 417, 26, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193180, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 197, 9, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193181, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 380, 11, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193182, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 6748, 9, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193183, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 214, 55, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193184, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 81, 10, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193185, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 418, 39, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193186, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 2, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193187, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 2, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193188, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 0, 1, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193189, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 339, 12, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193190, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 15, 1, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193191, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 113, 9, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193192, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 27, 35, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193193, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 46, 1, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193194, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 4749, 7, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193195, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1168, 6, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193196, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 141, 23, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193197, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 39, 63, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193198, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 822, 91, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193199, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 0, 1, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193200, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 296, 16, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193201, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 4, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193202, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 123, 30, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193203, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 89, 8, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193204, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 566, 78, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193205, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 10, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193206, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 14, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193207, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 577, 12, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193208, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 1, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193209, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193210, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 318, 21, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193211, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 2, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 318, 21, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 296, 16, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 156, 25, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 78, 15, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 123, 30, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 244, 18, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 205, 26, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 262, 19, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 181, 22, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 133, 18, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 485, 15, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 259, 28, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 18, 18, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 344, 11, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 2544, 24, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 755, 23, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 9, 14, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 406, 13, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 188, 2, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 91, 15, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 193, 16, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 22, 14, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 468, 27, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 536, 18, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 141, 23, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 290, 31, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 123, 16, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 524, 5, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 3673, 11, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 750, 29, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 773, 2, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1168, 6, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 339, 12, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 380, 11, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 113, 9, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 577, 12, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 417, 26, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 704, 33, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 674, 39, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 7014, 4, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 2707, 1, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1728, 3, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 6, 4, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 2341, 21, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 9, 3, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 15, 1, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 3, 7, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 8, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 870, 61, 2024, 3, 5, '2024-08-05 16:02:23', NULL, NULL), (193261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 81, 10, 2024, 3, 5, '2024-08-05 16:02:24', NULL, NULL), (193262, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 197, 9, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193263, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 688, 72, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193264, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1168, 6, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193265, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 208, 147, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193266, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 66, 27, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193267, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 31, 30, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193268, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 4749, 7, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193269, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 123, 30, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193270, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 34, 57, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193271, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 318, 21, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193272, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 113, 9, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193273, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 3673, 11, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193274, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 6748, 9, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193275, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 46, 1, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193276, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 15, 1, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193277, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 81, 10, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193278, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 574, 77, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193279, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 832, 90, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193280, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 214, 55, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193281, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 89, 8, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193282, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 908, 3, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193283, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 296, 16, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193284, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 418, 39, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193285, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 380, 11, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193286, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 339, 12, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193287, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 141, 23, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193288, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 577, 12, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193289, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 417, 26, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193290, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 3390, 14, 2024, 3, 5, '2024-08-05 16:02:25', NULL, NULL), (193291, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 4, 2, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193292, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 3673, 11, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193293, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 417, 26, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193294, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 3, 2, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193295, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 704, 33, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193296, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 9, 3, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193297, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 674, 39, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193298, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 243, 7, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193299, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 8, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193300, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 3, 7, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193301, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 123, 30, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193302, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 122, 4, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193303, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 57, 4, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193304, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 253, 7, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193305, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 113, 9, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193306, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 21, 4, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193307, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 577, 12, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193308, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1168, 6, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193309, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 339, 12, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193310, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 7014, 4, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193311, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 536, 18, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193312, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 468, 27, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193313, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 188, 2, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193314, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1728, 3, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193315, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 755, 23, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193316, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 773, 2, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193317, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 23, 5, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193318, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 101, 7, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193319, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 13, 9, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193320, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 12, 9, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193321, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 15, 1, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193322, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 87, 5, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193323, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 296, 16, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193324, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 14, 8, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193325, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 23, 14, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193326, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 3390, 14, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193327, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 524, 5, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193328, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 406, 13, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193329, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 262, 19, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193330, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 485, 15, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193331, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 133, 18, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193332, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 344, 11, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193333, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 244, 18, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193334, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 318, 21, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193335, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 2707, 1, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193336, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 9, 2, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193337, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 870, 61, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193338, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 6748, 9, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193339, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 128, 3, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193340, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 81, 10, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193341, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 290, 31, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193342, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 3, 5, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193343, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 156, 25, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193344, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 30, 7, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193345, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 2, 4, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193346, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 65, 3, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193347, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 8, 4, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193348, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 46, 1, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193349, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 380, 11, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193350, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 181, 22, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193351, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 259, 28, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193352, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 141, 23, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193353, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 78, 15, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193354, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 205, 26, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193355, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 750, 29, 2024, 3, 5, '2024-08-05 16:02:26', NULL, NULL), (193356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 2707, 1, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 78, 15, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 156, 25, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 290, 31, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 123, 16, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 3390, 14, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 6748, 9, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 9, 2, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 259, 28, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 181, 22, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 205, 26, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 750, 29, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 674, 39, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 704, 33, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 524, 5, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 318, 21, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 773, 2, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 870, 61, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 711, 3, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 536, 18, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 468, 27, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 188, 2, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 755, 23, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 406, 13, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 485, 15, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 344, 11, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 7014, 4, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1728, 3, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 3673, 11, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 577, 12, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 417, 26, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 113, 9, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 380, 11, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1168, 6, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 339, 12, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 133, 18, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 73, 13, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 22, 14, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 8, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 81, 10, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 141, 23, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 9, 14, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 91, 15, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 243, 7, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 15, 1, 2024, 3, 5, '2024-08-05 16:02:27', NULL, NULL), (193401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 18, 18, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 123, 30, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 3, 2, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 296, 16, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 22, 15, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 262, 19, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 3, 7, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 9, 3, 2024, 3, 5, '2024-08-05 16:02:28', NULL, NULL), (193409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 244, 18, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193410, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 123, 30, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193411, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 870, 61, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193412, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 23, 5, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193413, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 21, 4, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193414, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 133, 18, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193415, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 750, 29, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193416, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 262, 19, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193417, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 244, 18, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193418, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 3, 7, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193419, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 8, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193420, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 243, 7, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193421, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 9, 3, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193422, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 3, 2, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193423, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 296, 16, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193424, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 773, 2, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193425, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1168, 6, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193426, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 524, 5, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193427, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 339, 12, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193428, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 3390, 14, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193429, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 113, 9, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193430, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 7014, 4, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193431, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1728, 3, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193432, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 4, 2, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193433, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 380, 11, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193434, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 290, 31, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193435, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 577, 12, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193436, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 156, 25, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193437, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 78, 15, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193438, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 485, 15, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193439, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 205, 26, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193440, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 344, 11, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193441, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 81, 10, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193442, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 181, 22, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193443, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 259, 28, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193444, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 406, 13, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193445, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 6748, 9, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193446, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 2707, 1, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193447, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 755, 23, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193448, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 141, 23, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193449, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 9, 2, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193450, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 3673, 11, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193451, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 468, 27, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193452, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 188, 2, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193453, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 536, 18, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193454, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 417, 26, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193455, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 46, 1, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193456, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 65, 3, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193457, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 704, 33, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193458, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 8, 4, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193459, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 674, 39, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193460, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 128, 3, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193461, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 3, 5, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193462, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 30, 7, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193463, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 2, 4, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193464, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 122, 4, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193465, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 253, 7, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193466, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 57, 4, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193467, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 14, 8, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193468, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 13, 9, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193469, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 15, 1, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193470, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 23, 14, 2024, 3, 5, '2024-08-05 16:02:29', NULL, NULL), (193471, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 12, 9, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193472, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 318, 21, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193473, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 101, 7, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193474, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 87, 5, 2024, 3, 5, '2024-08-05 16:02:30', NULL, NULL), (193475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 166, 112, 2024, 3, 6, '2024-08-05 16:02:34', NULL, NULL), (193476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1633, 14, 2024, 3, 6, '2024-08-05 16:02:34', NULL, NULL), (193477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 574, 1, 2024, 3, 6, '2024-08-05 16:02:34', NULL, NULL), (193478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 327, 163, 2024, 3, 6, '2024-08-05 16:02:34', NULL, NULL), (193479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 502, 37, 2024, 3, 6, '2024-08-05 16:02:34', NULL, NULL), (193480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 730, 2, 2024, 3, 6, '2024-08-05 16:02:34', NULL, NULL), (193481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1186, 241, 2024, 3, 6, '2024-08-05 16:02:34', NULL, NULL), (193482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 68, 119, 2024, 3, 6, '2024-08-05 16:02:34', NULL, NULL), (193483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 2934, 5, 2024, 3, 6, '2024-08-05 16:02:34', NULL, NULL), (193484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1137, 186, 2024, 3, 6, '2024-08-05 16:02:34', NULL, NULL), (193485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 3, 1, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 896, 36, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 800, 232, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 1262, 59, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 803, 61, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 560, 94, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 461, 117, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 369, 9, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 604, 153, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 467, 73, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 523, 81, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193496, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 2, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193497, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 0, 2, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193498, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 35, 3, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193499, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 70, 16, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193500, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 327, 163, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193501, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2934, 5, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193502, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1896, 12, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193503, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 4067, 3, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193504, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 590, 21, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193505, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1488, 90, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193506, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 133, 12, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193507, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193508, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 1196, 17, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193509, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 145, 37, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193510, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 5289, 25, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193511, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 337, 54, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193512, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 4, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193513, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 340, 14, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193514, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 5, 1, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193515, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 167, 16, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193516, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 57, 36, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193517, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 30, 3, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193518, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 4, 1, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193519, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 656, 5, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193520, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 3548, 6, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193521, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 76, 26, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193522, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 53, 71, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193523, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 728, 76, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193524, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 8812, 6, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193525, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 1, 3, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193526, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 14, 4, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193527, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1064, 21, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193528, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 59, 11, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193529, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 250, 45, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193530, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 111, 72, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193531, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 9, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193532, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 884, 11, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193533, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 9, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193534, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2024, 3, 6, '2024-08-05 16:02:35', NULL, NULL), (193535, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 2, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193536, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 291, 18, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193537, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 3, 6, '2024-08-05 16:02:36', NULL, NULL), (193538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 14, 4, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 187, 33, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 291, 18, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 208, 32, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 250, 45, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 146, 15, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 905, 34, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 119, 10, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 42, 18, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 167, 12, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 428, 21, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 205, 25, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 451, 6, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 64, 25, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 50, 25, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 148, 12, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 99, 8, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 241, 27, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 41, 10, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 89, 19, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 152, 20, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 123, 7, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 127, 18, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 57, 19, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 161, 6, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 183, 21, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 76, 26, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 43, 16, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 811, 43, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 431, 3, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 406, 1, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 138, 2, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 638, 30, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 3566, 4, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 192, 7, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 3, 1, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 3548, 6, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 340, 14, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 1196, 17, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 167, 16, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 17624, 3, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 884, 11, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1064, 21, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 590, 21, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1515, 31, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 1499, 58, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 1591, 2, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (193585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 32, 3, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 92, 1, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 4, 1, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 137, 5, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 1518, 15, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 5, 1, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 42, 1, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 3, 5, 2024, 3, 6, '2024-08-05 16:02:38', NULL, NULL), (193593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 127, 3, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 4067, 3, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 6612, 20, 2024, 3, 6, '2024-08-05 16:02:37', NULL, NULL), (193596, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 133, 12, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193597, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1505, 89, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193598, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 3548, 6, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193599, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 4067, 3, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193600, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 327, 163, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193601, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 70, 16, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193602, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 62, 33, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193603, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 656, 5, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193604, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 250, 45, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193605, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 61, 60, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193606, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1064, 21, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193607, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 291, 18, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193608, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 167, 16, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193609, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 2934, 5, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193610, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 3, 1, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193611, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 30, 3, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193612, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 5, 1, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193613, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 6612, 20, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193614, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 111, 72, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193615, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 728, 76, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193616, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 145, 37, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193617, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 59, 11, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193618, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 17624, 3, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193619, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 35, 3, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193620, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 14, 4, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193621, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 4, 1, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193622, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 337, 54, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193623, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 1196, 17, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193624, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 340, 14, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193625, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 76, 26, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193626, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 884, 11, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193627, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 590, 21, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193628, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 2069, 11, 2024, 3, 6, '2024-08-05 16:02:39', NULL, NULL), (193629, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 175, 7, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193630, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 3566, 4, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193631, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 406, 1, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193632, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 590, 21, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193633, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 224, 3, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193634, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1515, 31, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193635, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 42, 1, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193636, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 1499, 58, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193637, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 4, 4, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193638, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 127, 3, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193639, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 3, 5, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193640, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 250, 45, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193641, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 72, 5, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193642, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 48, 6, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193643, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 74, 5, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193644, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 167, 16, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193645, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 80, 3, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193646, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 884, 11, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193647, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 3548, 6, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193648, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 340, 14, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193649, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 1591, 2, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193650, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 161, 6, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193651, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 123, 7, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193652, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 57, 19, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193653, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 89, 19, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193654, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 32, 3, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193655, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 148, 12, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193656, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 192, 7, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193657, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 4, 1, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193658, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 11, 8, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193659, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 35, 1, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193660, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 70, 3, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193661, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 5, 1, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193662, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 149, 7, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193663, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 39, 8, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193664, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 14, 4, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193665, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 35, 16, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193666, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 85, 17, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193667, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 2069, 11, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193668, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 138, 2, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193669, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 241, 27, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193670, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 119, 10, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193671, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 428, 21, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193672, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 451, 6, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193673, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 167, 12, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193674, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 146, 15, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193675, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 291, 18, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193676, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 92, 1, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193677, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 7, 2, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193678, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 4067, 3, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193679, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 3, 1, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193680, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 6612, 20, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193681, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 183, 21, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193682, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 3, 4, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193683, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 187, 33, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193684, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 79, 9, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193685, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 20, 8, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193686, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 4, 4, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193687, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 183, 5, 2024, 3, 6, '2024-08-05 16:02:40', NULL, NULL), (193688, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 17624, 3, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193689, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 30, 3, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193690, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 1196, 17, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193691, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 431, 3, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193692, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 42, 18, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193693, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 205, 25, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193694, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 811, 43, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193695, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 208, 32, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193696, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 76, 26, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193697, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 638, 30, 2024, 3, 6, '2024-08-05 16:02:41', NULL, NULL), (193698, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 905, 34, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193699, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1064, 21, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 208, 32, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 92, 1, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 187, 33, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 183, 21, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 43, 16, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 2069, 11, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 7, 2, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 205, 25, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 42, 18, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 905, 34, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 638, 30, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 431, 3, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 811, 43, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1064, 21, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 1499, 58, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1515, 31, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 138, 2, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 192, 7, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 291, 18, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 3, 1, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 730, 2, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 161, 6, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 123, 7, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 57, 19, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 89, 19, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 148, 12, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 241, 27, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 428, 21, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 451, 6, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 574, 1, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 1591, 2, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 32, 3, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 3566, 4, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 884, 11, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 590, 21, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 167, 16, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 17624, 3, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 1196, 17, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 3548, 6, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 406, 1, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 340, 14, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 167, 12, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 88, 18, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 4067, 3, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 127, 18, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 127, 3, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 6612, 20, 2024, 3, 6, '2024-08-05 16:02:42', NULL, NULL), (193747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 32, 7, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 76, 26, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 41, 10, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 5, 1, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 4, 4, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 64, 25, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 250, 45, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 14, 4, 2024, 3, 6, '2024-08-05 16:02:43', NULL, NULL), (193755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 224, 3, 2024, 3, 6, '2024-08-05 16:02:44', NULL, NULL), (193756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 50, 25, 2024, 3, 6, '2024-08-05 16:02:44', NULL, NULL), (193757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 4, 1, 2024, 3, 6, '2024-08-05 16:02:44', NULL, NULL), (193758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 3, 5, 2024, 3, 6, '2024-08-05 16:02:44', NULL, NULL), (193759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 119, 10, 2024, 3, 6, '2024-08-05 16:02:44', NULL, NULL), (193760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 42, 1, 2024, 3, 6, '2024-08-05 16:02:44', NULL, NULL), (193761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 146, 15, 2024, 3, 6, '2024-08-05 16:02:44', NULL, NULL), (193762, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 250, 45, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193763, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 811, 43, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193764, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 431, 3, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193765, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 11, 8, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193766, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 80, 3, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193767, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 638, 30, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193768, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 167, 12, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193769, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 119, 10, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193770, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 146, 15, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193771, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 3, 5, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193772, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 127, 3, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193773, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 4, 4, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193774, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 42, 1, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193775, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 224, 3, 2024, 3, 6, '2024-08-05 16:02:44', NULL, NULL), (193776, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 14, 4, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193777, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 192, 7, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193778, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1064, 21, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193779, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 138, 2, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193780, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 3548, 6, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193781, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 340, 14, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193782, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 167, 16, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193783, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 2069, 11, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193784, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 1591, 2, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193785, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 32, 3, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193786, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 4, 1, 2024, 3, 6, '2024-08-05 16:02:44', NULL, NULL), (193787, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 175, 7, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193788, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 1196, 17, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193789, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 183, 21, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193790, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 884, 11, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193791, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 187, 33, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193792, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 208, 32, 2024, 3, 6, '2024-08-05 16:02:44', NULL, NULL), (193793, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 428, 21, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193794, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 451, 6, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193795, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 905, 34, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193796, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 6612, 20, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193797, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 42, 18, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193798, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 205, 25, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193799, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 241, 27, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193800, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 4067, 3, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193801, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 92, 1, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193802, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 148, 12, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193803, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 7, 2, 2024, 3, 6, '2024-08-05 16:02:44', NULL, NULL), (193804, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 76, 26, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193805, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 3566, 4, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193806, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 406, 1, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193807, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 57, 19, 2024, 3, 6, '2024-08-05 16:02:44', NULL, NULL), (193808, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 89, 19, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193809, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 161, 6, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193810, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 590, 21, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193811, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 123, 7, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193812, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 17624, 3, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193813, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 30, 3, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193814, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 3, 1, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193815, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 4, 4, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193816, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1515, 31, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193817, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 183, 5, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193818, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 1499, 58, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193819, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 3, 4, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193820, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 79, 9, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193821, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 72, 5, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193822, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 20, 8, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193823, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 48, 6, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193824, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 74, 5, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193825, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 35, 16, 2024, 3, 6, '2024-08-05 16:02:44', NULL, NULL), (193826, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 70, 3, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193827, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 5, 1, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193828, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 85, 17, 2024, 3, 6, '2024-08-05 16:02:45', NULL, NULL), (193829, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 149, 7, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193830, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 291, 18, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193831, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 35, 1, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193832, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 39, 8, 2024, 3, 6, '2024-08-05 16:02:46', NULL, NULL), (193833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 273, 104, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 3465, 16, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 264, 140, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 318, 40, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 677, 212, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 152, 116, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 400, 3, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 694, 70, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 256, 1, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 2445, 24, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 320, 203, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 317, 56, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 1108, 36, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 281, 70, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 384, 120, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 503, 9, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 568, 52, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 322, 103, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 414, 65, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193852, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 6, 4, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193853, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 392, 23, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193854, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 264, 140, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193855, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 300, 4, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193856, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 4618, 12, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193857, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 49, 1, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193858, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1456, 18, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193859, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 591, 58, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193860, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193861, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 2250, 16, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193862, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 133, 5, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193863, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 432, 59, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193864, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 373, 14, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193865, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 533, 46, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193866, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193867, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193868, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 0, 1, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193869, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 798, 13, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193870, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 376, 10, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193871, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 170, 31, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193872, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 159, 2, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193873, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 2, 2, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193874, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1538, 4, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193875, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 2406, 6, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193876, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 41, 14, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193877, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 142, 71, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193878, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 340, 42, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193879, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 467, 4, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193880, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 256, 1, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193881, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 11, 14, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193882, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 196, 7, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193883, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 127, 17, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193884, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 100, 67, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193885, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193886, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193887, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 635, 13, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193888, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 1, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193889, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193890, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 227, 16, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193891, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 11, 14, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 297, 25, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 227, 16, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 127, 17, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 277, 21, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 270, 16, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 263, 31, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 543, 20, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 351, 28, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 449, 23, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 83, 15, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 341, 14, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 676, 16, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 80, 25, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 130, 25, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 46, 6, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 45, 8, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 560, 16, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 152, 15, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 94, 14, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 304, 20, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 140, 4, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 162, 23, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 80, 12, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 129, 12, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 41, 14, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 227, 20, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 260, 7, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 400, 3, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 92, 7, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 336, 17, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 256, 1, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 118, 12, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 2406, 6, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 798, 13, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 2250, 16, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 376, 10, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 467, 4, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 635, 13, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1456, 18, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1316, 15, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 1119, 13, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 13, 1, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1538, 4, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 5, 1, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 4, 5, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 3959, 14, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 278, 6, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 916, 8, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 374, 18, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 5, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 49, 1, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 373, 14, 2024, 3, 7, '2024-08-05 16:02:48', NULL, NULL), (193945, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 133, 5, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193946, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 196, 7, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193947, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1225, 28, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193948, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 467, 4, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193949, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 2406, 6, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193950, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 49, 1, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193951, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 6, 4, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193952, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 264, 140, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193953, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 392, 23, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193954, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 170, 31, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193955, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1538, 4, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193956, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 127, 17, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193957, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 142, 71, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193958, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 11, 14, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193959, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 227, 16, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193960, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 376, 10, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193961, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 400, 3, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193962, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 5, 1, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193963, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 533, 46, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193964, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 2250, 16, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193965, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 256, 1, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193966, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 798, 13, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193967, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 41, 14, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193968, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 159, 2, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193969, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 635, 13, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193970, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1456, 18, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193971, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 373, 14, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193972, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 4618, 12, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193973, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 100, 67, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193974, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 340, 42, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193975, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 432, 59, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193976, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 133, 5, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193977, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 400, 3, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193978, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1456, 18, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193979, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 3, 2, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193980, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1316, 15, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193981, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 278, 6, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193982, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 1119, 13, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193983, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 2, 2, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193984, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 5, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193985, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 127, 17, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193986, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 916, 8, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193987, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 375, 3, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193988, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 62, 4, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193989, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 376, 10, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193990, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 635, 13, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193991, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 2406, 6, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (193992, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 798, 13, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193993, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 129, 12, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193994, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 140, 4, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193995, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 80, 12, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193996, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 94, 14, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193997, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1538, 4, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193998, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 46, 6, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (193999, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 118, 12, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194000, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 5, 1, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194001, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 146, 4, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194002, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 59, 6, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194003, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 133, 14, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194004, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 268, 12, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194005, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 11, 14, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194006, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 163, 17, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194007, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 70, 18, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194008, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 4618, 12, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194009, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 92, 7, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194010, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 560, 16, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194011, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 543, 20, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194012, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 341, 14, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194013, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 449, 23, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194014, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 676, 16, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194015, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 270, 16, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194016, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 227, 16, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194017, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 13, 1, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194018, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 4, 3, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194019, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 49, 1, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194020, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 374, 18, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194021, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 256, 1, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194022, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 225, 5, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194023, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 227, 20, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194024, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 373, 14, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194025, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 4, 2, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194026, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 297, 25, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194027, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 60, 8, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194028, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 105, 7, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194029, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 297, 4, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194030, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 346, 5, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194031, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 467, 4, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194032, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 159, 2, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194033, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 2250, 16, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194034, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 351, 28, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194035, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 83, 15, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194036, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 260, 7, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194037, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 41, 14, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194038, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 277, 21, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194039, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 263, 31, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194040, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 336, 17, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 13, 1, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 277, 21, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 297, 25, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 227, 20, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 4618, 12, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 4, 3, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 83, 15, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 351, 28, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 263, 31, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 336, 17, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 260, 7, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 1119, 13, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1316, 15, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 92, 7, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 118, 12, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 227, 16, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 374, 18, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 256, 1, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 129, 12, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 140, 4, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 80, 12, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 94, 14, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 46, 6, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 560, 16, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 341, 14, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 676, 16, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1538, 4, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 400, 3, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 635, 13, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1456, 18, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 376, 10, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 467, 4, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 2250, 16, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 2406, 6, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 798, 13, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 449, 23, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 49, 1, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 304, 20, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 5, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 162, 23, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 373, 14, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 41, 14, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 45, 8, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 152, 15, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 2, 2, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 127, 17, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 80, 25, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 3, 2, 2024, 3, 7, '2024-08-05 16:02:49', NULL, NULL), (194089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 11, 14, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 130, 25, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 5, 1, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 916, 8, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 543, 20, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 278, 6, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 270, 16, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194096, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 374, 18, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194097, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 127, 17, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194098, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 260, 7, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194099, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 449, 23, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194100, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 336, 17, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194101, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 543, 20, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194102, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 270, 16, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194103, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 916, 8, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194104, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 5, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194105, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 2, 2, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194106, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 278, 6, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194107, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 3, 2, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194108, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 11, 14, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194109, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 118, 12, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194110, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 92, 7, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194111, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 2406, 6, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194112, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 798, 13, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194113, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 376, 10, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194114, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 4618, 12, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194115, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1538, 4, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194116, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 5, 1, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194117, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 2250, 16, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194118, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 133, 5, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194119, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 227, 20, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194120, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 635, 13, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194121, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 297, 25, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194122, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 277, 21, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194123, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 341, 14, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194124, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 676, 16, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194125, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 263, 31, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194126, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 373, 14, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194127, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 351, 28, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194128, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 83, 15, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194129, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 560, 16, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194130, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 49, 1, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194131, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 13, 1, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194132, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 46, 6, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194133, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 4, 3, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194134, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 41, 14, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194135, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 400, 3, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194136, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 80, 12, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194137, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 94, 14, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194138, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 129, 12, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194139, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1456, 18, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194140, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 467, 4, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194141, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 140, 4, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194142, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 256, 1, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194143, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 159, 2, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194144, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 297, 4, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194145, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1316, 15, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194146, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 346, 5, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194147, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 1119, 13, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194148, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 225, 5, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194149, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 4, 2, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194150, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 60, 8, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194151, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 375, 3, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194152, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 105, 7, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194153, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 62, 4, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194154, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 163, 17, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194155, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 59, 6, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194156, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 70, 18, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194157, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 133, 14, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194158, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 227, 16, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194159, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 146, 4, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194160, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 268, 12, 2024, 3, 7, '2024-08-05 16:02:50', NULL, NULL), (194161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 347, 94, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 5900, 7, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 65, 80, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 86, 32, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 689, 117, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 267, 77, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 178, 2, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 37, 1, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 3519, 12, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 367, 129, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 290, 22, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 446, 23, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 257, 56, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 392, 50, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 406, 7, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 207, 34, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 276, 51, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 226, 42, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194179, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 0, 3, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194180, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 20, 2, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194181, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 7, 14, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194182, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 65, 80, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194183, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 178, 2, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194184, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 8252, 5, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194185, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 1453, 1, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194186, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1287, 18, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194187, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 5, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194188, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 189, 9, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194189, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 431, 6, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194190, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 630, 41, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194191, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 383, 6, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194192, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1151, 22, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194193, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194194, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 15, 2, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194195, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1883, 3, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194196, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 5, 1, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194197, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 0, 5, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194198, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 119, 21, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194199, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 111, 1, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194200, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 0, 1, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194201, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 19, 4, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194202, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 94, 4, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194203, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 145, 23, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194204, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 328, 58, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194205, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 37, 1, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194206, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 0, 2, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194207, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 59, 11, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194208, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 332, 2, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194209, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 147, 19, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194210, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 350, 48, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194211, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 478, 9, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194212, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194213, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 77, 15, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194214, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 59, 11, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 7, 14, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 77, 15, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 73, 15, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 147, 19, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 73, 14, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 45, 11, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 36, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 32, 3, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 26, 3, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 563, 15, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 75, 19, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 1126, 15, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 9, 5, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 82, 16, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 4586, 9, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 352, 13, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1151, 22, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 5, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 358, 14, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 28, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 5, 5, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 5, 4, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 259, 7, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 349, 14, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 1453, 1, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 243, 15, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 432, 17, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 575, 4, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 268, 17, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 116, 2, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 145, 23, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 268, 20, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 178, 2, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 37, 1, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 94, 4, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1883, 3, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 15, 2, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 431, 6, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 538, 8, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1287, 18, 2024, 3, 8, '2024-08-05 16:02:51', NULL, NULL), (194257, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 189, 9, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194258, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 332, 2, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194259, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 94, 4, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194260, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 1453, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194261, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 20, 2, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194262, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 65, 80, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194263, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 7, 14, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194264, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 84, 14, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194265, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 26, 3, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194266, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 147, 19, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194267, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 331, 51, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194268, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 59, 11, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194269, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 77, 15, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194270, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 178, 2, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194271, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1151, 22, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194272, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 15, 2, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194273, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 431, 6, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194274, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1883, 3, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194275, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 37, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194276, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 145, 23, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194277, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 111, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194278, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 5, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194279, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 538, 8, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194280, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1287, 18, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194281, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 575, 4, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194282, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 8252, 5, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194283, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 350, 48, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194284, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 630, 41, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194285, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 178, 2, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194286, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1287, 18, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194287, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 10, 4, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194288, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 28, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194289, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 3, 4, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194290, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 5, 4, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194291, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194292, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 147, 19, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194293, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 661, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194294, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 3, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194295, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 189, 9, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194296, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 228, 2, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194297, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 538, 8, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194298, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1883, 3, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194299, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 94, 4, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194300, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 268, 17, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194301, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 432, 17, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194302, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 349, 14, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194303, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 26, 3, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194304, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 357, 9, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194305, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 340, 5, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194306, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 6, 3, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194307, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 5, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194308, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 266, 11, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194309, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 59, 11, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194310, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 418, 12, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194311, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 365, 11, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194312, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 8252, 5, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194313, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 563, 15, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194314, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 1126, 15, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194315, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1151, 22, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194316, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 45, 11, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194317, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 77, 15, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194318, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 15, 2, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194319, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 36, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194320, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 4, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194321, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 1453, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194322, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 37, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194323, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 575, 4, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194324, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 116, 2, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194325, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 4, 2, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194326, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 7, 14, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194327, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 2, 2, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194328, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 278, 2, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194329, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 19, 3, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194330, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 111, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194331, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 431, 6, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194332, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 75, 19, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194333, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 32, 3, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194334, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 82, 16, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194335, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 73, 15, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194336, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 145, 23, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194337, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 73, 14, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 36, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 73, 15, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 26, 3, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 7, 14, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 116, 2, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 268, 20, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 8252, 5, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 4, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 82, 16, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 75, 19, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 73, 14, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 178, 2, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 538, 8, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1287, 18, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 431, 6, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 15, 2, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 94, 4, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1883, 3, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 77, 15, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 37, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 1126, 15, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 268, 17, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 1453, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 243, 15, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 432, 17, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 575, 4, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 5, 4, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 5, 5, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 349, 14, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 145, 23, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 259, 7, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 5, 1, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 3, 4, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 352, 13, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 147, 19, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 59, 11, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 358, 14, 2024, 3, 8, '2024-08-05 16:02:52', NULL, NULL), (194375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 10, 4, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 1, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 32, 3, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 563, 15, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 28, 1, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 45, 11, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1151, 22, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194382, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 147, 19, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194383, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 357, 9, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194384, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 228, 2, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194385, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 1126, 15, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194386, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 563, 15, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194387, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 45, 11, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194388, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 1, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194389, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 5, 4, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194390, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 3, 4, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194391, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 28, 1, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194392, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 10, 4, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194393, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 59, 11, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194394, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 94, 4, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194395, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1883, 3, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194396, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 8252, 5, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194397, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 26, 3, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194398, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 431, 6, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194399, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 116, 2, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (194400, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 538, 8, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194401, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 7, 14, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194402, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 73, 15, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194403, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 73, 14, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194404, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1151, 22, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194405, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 575, 4, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194406, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 75, 19, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194407, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 82, 16, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194408, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 1453, 1, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194409, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 36, 1, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194410, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 4, 1, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194411, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 145, 23, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194412, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 178, 2, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194413, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 349, 14, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194414, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 268, 17, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194415, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1287, 18, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194416, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 432, 17, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194417, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 37, 1, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194418, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 111, 1, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194419, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 19, 3, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194420, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 4, 2, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194421, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 2, 2, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194422, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 278, 2, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194423, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 661, 1, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194424, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 32, 3, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194425, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 3, 1, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194426, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 189, 9, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194427, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 418, 12, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194428, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 6, 3, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194429, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 15, 2, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194430, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 5, 1, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194431, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 365, 11, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194432, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 77, 15, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194433, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 340, 5, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194434, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 266, 11, 2024, 3, 8, '2024-08-05 16:02:53', NULL, NULL), (194435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 109, 3, 2024, 3, 9, '2024-08-05 16:02:54', NULL, NULL), (194436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 109, 3, 2024, 3, 9, '2024-08-05 16:02:54', NULL, NULL), (194437, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 163, 1, 2024, 3, 9, '2024-08-05 16:02:54', NULL, NULL), (194438, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 82, 2, 2024, 3, 9, '2024-08-05 16:02:54', NULL, NULL), (194439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 82, 2, 2024, 3, 9, '2024-08-05 16:02:54', NULL, NULL), (194440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 163, 1, 2024, 3, 9, '2024-08-05 16:02:54', NULL, NULL), (194441, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 82, 2, 2024, 3, 9, '2024-08-05 16:02:54', NULL, NULL), (194442, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 163, 1, 2024, 3, 9, '2024-08-05 16:02:54', NULL, NULL), (194443, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 82, 2, 2024, 3, 9, '2024-08-05 16:02:54', NULL, NULL), (194444, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 163, 1, 2024, 3, 9, '2024-08-05 16:02:54', NULL, NULL), (194445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 82, 2, 2024, 3, 9, '2024-08-05 16:02:54', NULL, NULL), (194446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 163, 1, 2024, 3, 9, '2024-08-05 16:02:54', NULL, NULL), (194447, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 163, 1, 2024, 3, 9, '2024-08-05 16:02:54', NULL, NULL), (194448, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 82, 2, 2024, 3, 9, '2024-08-05 16:02:54', NULL, NULL), (194449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 0, 1, 2024, 3, 10, '2024-08-05 16:02:55', NULL, NULL), (194450, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 0, 1, 2024, 3, 10, '2024-08-05 16:02:55', NULL, NULL), (194451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 290, 97, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 8027, 1, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2719, 13, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 84, 167, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 219, 35, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 636, 287, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 265, 112, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 848, 105, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 2721, 11, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1575, 23, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 412, 257, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 511, 49, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 366, 54, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 644, 65, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 421, 154, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 1160, 11, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 676, 75, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 335, 92, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 386, 71, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194470, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194471, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 3, 10, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194472, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 84, 167, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194473, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2721, 11, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194474, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 2719, 13, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194475, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 35, 3, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194476, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 751, 44, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194477, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 836, 23, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194478, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 4013, 2, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194479, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 110, 10, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194480, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 389, 11, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194481, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 192, 41, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194482, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 849, 14, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194483, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1072, 86, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194484, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 7, 2, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194485, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 3, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194486, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 70, 10, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194487, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 17, 1, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194488, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 863, 19, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194489, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 257, 38, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194490, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 575, 3, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194491, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 0, 1, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194492, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 106, 4, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194493, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1161, 10, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194494, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 635, 28, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194495, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 243, 57, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194496, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 266, 70, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194497, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 69, 4, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194498, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 106, 10, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194499, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 8756, 3, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194500, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 393, 6, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194501, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 81, 18, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194502, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 155, 97, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194503, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 1762, 9, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194504, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194505, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1042, 10, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194506, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194507, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 359, 21, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194508, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 2, 2024, 3, 11, '2024-08-05 16:02:56', NULL, NULL), (194509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 106, 10, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 359, 21, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 102, 21, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 81, 18, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 76, 28, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 85, 16, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 86, 30, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 75, 29, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 296, 22, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 84, 29, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 7, 3, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1063, 29, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1097, 27, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 152, 15, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 593, 22, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 39, 9, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1059, 30, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 267, 15, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 286, 19, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 86, 11, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 214, 20, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 116, 13, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 137, 21, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 214, 18, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 85, 30, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 635, 28, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 195, 15, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 378, 28, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 496, 2, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 298, 24, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 210, 18, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 165, 5, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 3215, 9, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 195, 14, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1161, 10, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 70, 10, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 389, 11, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 863, 19, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 69, 4, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 8756, 3, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1112, 2, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 885, 23, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 836, 23, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 605, 21, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 1367, 6, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 106, 4, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 3, 1, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 2719, 13, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 17, 1, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3, 2, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 5, 2, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 5, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 35, 3, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 849, 14, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D14', 15866, 1, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 14, 1, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194565, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 110, 10, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194566, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 393, 6, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194567, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 751, 44, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194568, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 69, 4, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194569, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1161, 10, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194570, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 35, 3, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194571, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 84, 167, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194572, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 3, 10, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194573, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 227, 35, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194574, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 106, 4, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194575, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 15866, 1, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194576, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 81, 18, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194577, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 285, 58, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194578, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 8756, 3, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194579, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 106, 10, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194580, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 359, 21, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194581, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 863, 19, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194582, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 2721, 11, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194583, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1072, 86, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194584, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 8027, 1, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194585, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 14, 1, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194586, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 389, 11, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194587, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 70, 10, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194588, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 635, 28, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194589, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 575, 3, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194590, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 17, 1, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194591, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1303, 8, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194592, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 836, 23, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194593, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 849, 14, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194594, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 2719, 13, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194595, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 155, 97, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194596, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 243, 57, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194597, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 192, 41, 2024, 3, 11, '2024-08-05 16:02:57', NULL, NULL), (194598, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 9, 4, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194599, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 3215, 9, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194600, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 496, 2, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194601, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 836, 23, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194602, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 885, 23, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194603, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 3, 1, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194604, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 605, 21, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194605, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 2, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194606, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 5, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194607, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 5, 2, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194608, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 81, 18, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194609, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D14', 15866, 1, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194610, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 471, 5, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194611, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 7, 1, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194612, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 178, 6, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194613, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 863, 19, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194614, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 503, 9, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194615, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1112, 2, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194616, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1161, 10, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194617, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 70, 10, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194618, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 106, 4, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194619, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 214, 18, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194620, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 116, 13, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194621, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 137, 21, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194622, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 86, 11, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194623, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 152, 15, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194624, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 1367, 6, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194625, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 195, 14, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194626, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 384, 13, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194627, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 249, 6, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194628, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 88, 3, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194629, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 17, 1, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194630, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 344, 9, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194631, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 264, 11, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194632, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 106, 10, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194633, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 237, 16, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194634, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 2719, 13, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194635, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 165, 5, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194636, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1059, 30, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194637, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 296, 22, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194638, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1063, 29, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194639, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 7, 3, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194640, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1097, 27, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194641, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 85, 16, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194642, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 359, 21, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194643, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 14, 1, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194644, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 35, 3, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194645, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 8027, 1, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194646, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 849, 14, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194647, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 155, 5, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194648, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 85, 30, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194649, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 15, 6, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194650, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 102, 21, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194651, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 243, 5, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194652, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 163, 7, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194653, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 62, 3, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194654, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 69, 4, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194655, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 575, 3, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194656, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 389, 11, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194657, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 298, 24, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194658, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 75, 29, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194659, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 195, 15, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194660, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 84, 29, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194661, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 76, 28, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194662, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 635, 28, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194663, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 210, 18, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194664, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 8756, 3, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194665, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 86, 30, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 76, 28, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 102, 21, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 85, 30, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 378, 28, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 8027, 1, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 2719, 13, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 84, 29, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 75, 29, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 86, 30, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 210, 18, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 298, 24, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 195, 15, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 885, 23, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 8756, 3, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 14, 1, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 605, 21, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 165, 5, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 359, 21, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 195, 14, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 214, 18, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 116, 13, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 137, 21, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 86, 11, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 152, 15, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1059, 30, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1063, 29, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D14', 15866, 1, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1097, 27, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 106, 4, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 1367, 6, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 3215, 9, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1112, 2, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 836, 23, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 863, 19, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 69, 4, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 389, 11, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1161, 10, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 496, 2, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 70, 10, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 7, 3, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 286, 19, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 35, 3, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 5, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 849, 14, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 214, 20, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 39, 9, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 635, 28, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 267, 15, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 17, 1, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 81, 18, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 3, 1, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 106, 10, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 239, 21, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 5, 2, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 296, 22, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 2, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 85, 16, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194723, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 81, 18, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194724, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 195, 15, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194725, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 298, 24, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194726, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 384, 13, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194727, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 503, 9, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194728, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 210, 18, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194729, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 7, 3, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194730, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 296, 22, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194731, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 85, 16, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194732, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 5, 2, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194733, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 5, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194734, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 2, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194735, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 3, 1, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194736, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 106, 10, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194737, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 195, 14, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194738, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 8756, 3, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194739, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 165, 5, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194740, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1161, 10, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194741, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 1367, 6, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194742, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 70, 10, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194743, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 2719, 13, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194744, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 863, 19, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194745, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 106, 4, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194746, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 9, 4, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194747, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 389, 11, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194748, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 85, 30, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194749, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1112, 2, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194750, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 102, 21, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194751, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 76, 28, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194752, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1063, 29, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194753, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 86, 30, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194754, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1097, 27, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194755, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 849, 14, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194756, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 75, 29, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194757, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 84, 29, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194758, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1059, 30, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194759, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 8027, 1, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194760, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 35, 3, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194761, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 86, 11, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194762, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 152, 15, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194763, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 635, 28, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194764, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 3215, 9, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194765, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 496, 2, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194766, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 137, 21, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194767, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 214, 18, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194768, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 836, 23, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194769, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 69, 4, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194770, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 116, 13, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194771, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 575, 3, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194772, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 885, 23, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194773, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 605, 21, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194774, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 163, 7, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194775, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 62, 3, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194776, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D14', 15866, 1, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194777, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 155, 5, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194778, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 15, 6, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194779, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 243, 5, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194780, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 471, 5, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194781, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 7, 1, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194782, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 178, 6, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194783, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 237, 16, 2024, 3, 11, '2024-08-05 16:02:58', NULL, NULL), (194784, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 88, 3, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194785, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 14, 1, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194786, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 17, 1, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194787, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 344, 9, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194788, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 359, 21, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194789, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 249, 6, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194790, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 264, 11, 2024, 3, 11, '2024-08-05 16:02:59', NULL, NULL), (194791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 449, 156, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 3326, 13, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 3057, 3, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 85, 143, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 203, 50, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 282, 268, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 84, 115, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 5, 5, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 581, 139, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 2068, 22, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 444, 241, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 221, 66, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 348, 53, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (194804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 190, 80, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 215, 157, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 121, 11, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 169, 51, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 223, 141, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 188, 67, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194810, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 803, 7, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194811, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194812, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 4, 16, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194813, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 85, 143, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194814, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 5, 5, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194815, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 4180, 9, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194816, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 185, 64, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194817, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 455, 24, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194818, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 251, 18, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194819, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 3057, 3, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194820, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 544, 11, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194821, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 733, 75, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194822, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 144, 12, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194823, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 271, 44, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194824, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 8, 1, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194825, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 49, 9, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194826, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 605, 4, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194827, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 204, 16, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194828, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 21, 30, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194829, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 410, 5, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194830, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 1129, 2, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194831, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 170, 7, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194832, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 308, 27, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194833, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 521, 73, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194834, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 43, 75, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194835, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 71, 5, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194836, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 73, 17, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194837, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 7740, 4, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194838, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 203, 9, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194839, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 152, 37, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194840, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 208, 109, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194841, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 10, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194842, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 389, 20, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194843, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 7, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194844, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 669, 4, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194845, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194846, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 297, 34, 2024, 3, 12, '2024-08-05 16:03:00', NULL, NULL), (194847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 297, 34, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 73, 17, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 42, 31, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 169, 29, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 152, 37, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 769, 28, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 71, 31, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 731, 41, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 102, 26, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 43, 26, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 574, 6, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 367, 16, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 33, 22, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 121, 12, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 423, 23, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 144, 13, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 26, 11, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 289, 16, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 85, 16, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 256, 12, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 100, 10, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 165, 13, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 235, 20, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 207, 39, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 308, 27, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 67, 16, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 852, 25, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 301, 18, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 202, 7, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 5, 5, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 377, 30, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 242, 25, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 170, 7, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 56, 8, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 544, 11, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 204, 16, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 71, 5, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 15481, 2, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 410, 19, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 203, 20, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 496, 22, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 221, 26, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 112, 18, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 754, 2, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 1124, 5, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 181, 3, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 6, 3, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 3763, 10, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 1129, 2, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 6, 3, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 605, 4, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 4, 4, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 4, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 8, 1, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 157, 11, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 669, 4, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194903, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 251, 18, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194904, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 185, 64, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194905, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 203, 9, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194906, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 71, 5, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194907, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 170, 7, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194908, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 1124, 5, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194909, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 85, 143, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194910, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 4, 16, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194911, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 17, 26, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194912, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 669, 4, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194913, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 410, 5, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194914, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 152, 37, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194915, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 47, 62, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194916, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 15481, 2, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194917, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 73, 17, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194918, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 297, 34, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194919, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 204, 16, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194920, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 5, 5, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194921, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 1129, 2, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194922, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 271, 44, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194923, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 3057, 3, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194924, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 544, 11, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194925, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 56, 8, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194926, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 308, 27, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194927, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 605, 4, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194928, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 410, 19, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194929, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 8, 1, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194930, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 496, 22, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194931, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 157, 11, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194932, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 4702, 8, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194933, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 208, 109, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194934, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 521, 73, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194935, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 733, 75, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194936, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 344, 11, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194937, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 5, 5, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194938, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 112, 18, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194939, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 496, 22, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194940, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 203, 20, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194941, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 6, 3, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194942, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 221, 26, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194943, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 6, 3, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194944, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 4, 2, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194945, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 4, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194946, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 4, 4, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194947, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 152, 37, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194948, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 191, 5, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194949, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 219, 4, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194950, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 103, 7, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194951, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 204, 16, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194952, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 16, 2, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194953, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 410, 19, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194954, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 170, 7, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194955, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 56, 8, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194956, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 754, 2, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194957, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 165, 13, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194958, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 207, 39, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194959, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 256, 12, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194960, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 181, 3, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194961, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 144, 13, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194962, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 242, 25, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194963, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 8, 1, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194964, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 1129, 2, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194965, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 45, 7, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194966, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 30, 9, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194967, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 35, 8, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194968, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 222, 4, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194969, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 605, 4, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194970, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 11, 4, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194971, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 34, 14, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194972, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 73, 17, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194973, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 42, 16, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194974, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 4702, 8, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194975, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 202, 7, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194976, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 289, 16, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194977, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 731, 41, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194978, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 367, 16, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194979, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 669, 4, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194980, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 121, 12, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194981, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 574, 6, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194982, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 769, 28, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194983, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 297, 34, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194984, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 1124, 5, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194985, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 3057, 3, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194986, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 72, 3, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194987, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 157, 11, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194988, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 3, 3, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194989, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 42, 31, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194990, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 15, 6, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194991, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 8, 6, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194992, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 7, 5, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194993, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 3, 1, 2024, 3, 12, '2024-08-05 16:03:01', NULL, NULL), (194994, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 71, 5, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194995, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 544, 11, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194996, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 301, 18, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194997, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 102, 26, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194998, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 852, 25, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (194999, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 43, 26, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195000, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 308, 27, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195001, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 169, 29, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195002, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 15481, 2, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195003, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 377, 30, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195004, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 71, 31, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 1124, 5, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 169, 29, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 42, 31, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 67, 16, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 4702, 8, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 3057, 3, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 43, 26, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 102, 26, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 71, 31, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 377, 30, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 112, 18, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 301, 18, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 852, 25, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 203, 20, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 15481, 2, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 221, 26, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 202, 7, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 297, 34, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 242, 25, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 165, 13, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 207, 39, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 256, 12, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 144, 13, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 289, 16, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 367, 16, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 121, 12, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 754, 2, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 181, 3, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 5, 5, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 410, 19, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 496, 22, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 204, 16, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 71, 5, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 544, 11, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 170, 7, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 56, 8, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 669, 4, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 574, 6, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 100, 10, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 235, 20, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 4, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 157, 11, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 26, 11, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 308, 27, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 8, 1, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 85, 16, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 605, 4, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 33, 22, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 4, 2, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 152, 37, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 28, 20, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 6, 3, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 73, 17, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 4, 4, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 731, 41, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 6, 3, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 769, 28, 2024, 3, 12, '2024-08-05 16:03:02', NULL, NULL), (195062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 1129, 2, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195063, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 152, 37, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195064, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 852, 25, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195065, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 301, 18, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195066, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 45, 7, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195067, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 16, 2, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195068, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 377, 30, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195069, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 574, 6, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195070, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 731, 41, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195071, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 769, 28, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195072, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 4, 4, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195073, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 4, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195074, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 4, 2, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195075, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 6, 3, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195076, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 6, 3, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195077, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 73, 17, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195078, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 8, 1, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195079, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 242, 25, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195080, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 15481, 2, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195081, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 202, 7, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195082, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 170, 7, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195083, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 56, 8, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195084, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 4702, 8, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195085, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 204, 16, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195086, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 754, 2, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195087, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 181, 3, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195088, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 344, 11, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195089, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 544, 11, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195090, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 410, 19, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195091, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 42, 31, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195092, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 169, 29, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195093, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 367, 16, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195094, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 121, 12, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195095, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 71, 31, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195096, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 157, 11, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195097, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 102, 26, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195098, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 43, 26, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195099, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 1129, 2, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195100, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 289, 16, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195101, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 3057, 3, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195102, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 1124, 5, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195103, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 256, 12, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195104, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 144, 13, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195105, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 308, 27, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195106, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 5, 5, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195107, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 207, 39, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195108, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 496, 22, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195109, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 165, 13, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195110, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 71, 5, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195111, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 203, 20, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195112, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 7, 5, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195113, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 221, 26, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195114, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 3, 1, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195115, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 669, 4, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195116, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 72, 3, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195117, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 3, 3, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195118, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 112, 18, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195119, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 15, 6, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195120, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 8, 6, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195121, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 191, 5, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195122, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 219, 4, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195123, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 103, 7, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195124, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 34, 14, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195125, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 35, 8, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195126, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 605, 4, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195127, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 42, 16, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195128, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 222, 4, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195129, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 297, 34, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195130, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 30, 9, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195131, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 11, 4, 2024, 3, 12, '2024-08-05 16:03:03', NULL, NULL), (195132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 247, 153, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 22549, 2, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 17787, 1, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 578, 4, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 158, 125, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区残联', '', '', 17, 1, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 267, 35, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 619, 193, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 57, 111, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 493, 6, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 616, 163, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 7, 1, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 414, 8, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 320, 218, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 942, 49, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 191, 28, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 268, 63, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 471, 137, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 309, 20, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 694, 64, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 430, 143, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 290, 77, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195154, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 22549, 2, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195155, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 399, 3, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195156, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 54, 18, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195157, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 156, 126, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195158, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 493, 6, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195159, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1116, 1, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195160, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 469, 77, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195161, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 857, 17, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195162, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 17787, 1, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195163, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 2680, 5, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195164, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 122, 16, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195165, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 295, 74, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195166, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 2694, 11, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195167, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 309, 31, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195168, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 5282, 1, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195169, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195170, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 268, 7, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195171, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 514, 7, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195172, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 26, 19, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195173, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', '', 17, 1, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195174, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 777, 3, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195175, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 316, 7, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195176, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 208, 30, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195177, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 44, 89, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195178, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 747, 86, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195179, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 7, 1, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195180, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 1857, 5, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195181, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 126, 6, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195182, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 100, 8, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195183, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 207, 43, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195184, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 286, 83, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195185, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 9, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195186, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 517, 18, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195187, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 9, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195188, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 3, 13, '2024-08-05 16:03:04', NULL, NULL), (195189, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195190, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 193, 16, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 126, 6, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 193, 16, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 381, 15, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 82, 25, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 207, 43, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 240, 23, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 109, 21, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 121, 27, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 375, 29, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 247, 22, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 404, 12, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 161, 26, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 18, 26, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 465, 5, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 1028, 18, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 111, 10, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 44, 15, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 173, 14, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 53, 16, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 347, 18, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 85, 10, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 52, 10, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (195213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 273, 7, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 385, 20, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 198, 11, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 208, 30, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 693, 33, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 136, 17, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 613, 3, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 100, 9, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 373, 3, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 704, 40, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 7, 1, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 308, 19, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 316, 7, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A15', 17, 1, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 268, 7, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 2680, 5, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 514, 7, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 1857, 5, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 543, 17, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 293, 25, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 857, 17, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 295, 25, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 794, 27, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 79, 1, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B06', 22549, 2, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 399, 3, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 777, 3, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 4, 2, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 194, 6, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 4, 4, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 129, 7, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1019, 13, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 2963, 10, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 5282, 1, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195247, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 122, 16, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195248, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 100, 8, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195249, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '区残联', '', '', 17, 1, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195250, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 469, 77, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195251, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 1857, 5, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195252, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 316, 7, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195253, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 399, 3, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195254, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 158, 125, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195255, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 54, 18, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195256, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 24, 17, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195257, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 777, 3, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195258, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 207, 43, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195259, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 46, 70, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195260, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 126, 6, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195261, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 193, 16, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195262, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 514, 7, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195263, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 493, 6, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195264, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 22549, 2, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195265, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 309, 31, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195266, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 17787, 1, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195267, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 2680, 5, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195268, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 5282, 1, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195269, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 7, 1, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195270, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 268, 7, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195271, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 208, 30, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195272, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 517, 18, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195273, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 857, 17, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195274, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 2963, 10, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195275, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 1116, 1, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195276, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 286, 83, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195277, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 747, 86, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195278, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 295, 74, 2024, 3, 13, '2024-08-05 16:03:05', NULL, NULL), (195279, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 49, 7, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195280, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 373, 3, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195281, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 613, 3, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195282, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 794, 27, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195283, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 857, 17, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195284, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 4, 2, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195285, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 293, 25, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195286, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 295, 25, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195287, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 4, 4, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195288, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 10, 5, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195289, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', 'A15', 17, 1, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195290, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 129, 7, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195291, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 207, 43, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195292, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 141, 5, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195293, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 34, 3, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195294, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 514, 7, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195295, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 180, 9, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195296, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 78, 2, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195297, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 543, 17, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195298, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 316, 7, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195299, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 268, 7, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195300, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 273, 7, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195301, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 385, 20, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195302, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 347, 18, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195303, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 111, 10, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195304, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 777, 3, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195305, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 79, 1, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195306, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 308, 19, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195307, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 90, 6, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195308, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 60, 11, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195309, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 50, 13, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195310, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 52, 2, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195311, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 33, 3, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195312, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 126, 6, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195313, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 54, 13, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195314, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 20, 22, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195315, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 1116, 1, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195316, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B06', 22549, 2, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195317, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 100, 9, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195318, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 173, 14, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195319, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 375, 29, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195320, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 404, 12, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195321, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 247, 22, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195322, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 465, 5, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195323, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 240, 23, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195324, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 193, 16, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195325, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 5282, 1, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195326, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 399, 3, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195327, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1019, 13, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195328, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 7, 1, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195329, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 17787, 1, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195330, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 198, 11, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195331, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 42, 2, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195332, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 2963, 10, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195333, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 6, 2, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195334, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 381, 15, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195335, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 3, 4, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195336, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 6, 4, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195337, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 76, 1, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195338, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 26, 2, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195339, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 1857, 5, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195340, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 2680, 5, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195341, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 121, 27, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195342, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 693, 33, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195343, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 161, 26, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195344, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 82, 25, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195345, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 208, 30, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195346, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 109, 21, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195347, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 704, 40, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 399, 3, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 82, 25, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 381, 15, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 198, 11, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 136, 17, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 1116, 1, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 17787, 1, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 161, 26, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 121, 27, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 109, 21, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 704, 40, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 794, 27, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 5282, 1, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 693, 33, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 293, 25, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 295, 25, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 100, 9, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 308, 19, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 193, 16, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1019, 13, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 7, 1, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区残联', '', 'A15', 17, 1, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 273, 7, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 385, 20, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 347, 18, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 111, 10, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 173, 14, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 404, 12, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 465, 5, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 777, 3, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 79, 1, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B06', 22549, 2, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 543, 17, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 373, 3, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 857, 17, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 514, 7, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 1857, 5, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 2680, 5, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 316, 7, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 613, 3, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 268, 7, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 247, 22, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 85, 10, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 52, 10, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 129, 7, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 2963, 10, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 44, 15, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 208, 30, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 53, 16, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 10, 5, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 18, 26, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 207, 43, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 126, 6, 2024, 3, 13, '2024-08-05 16:03:06', NULL, NULL), (195401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 42, 17, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 4, 2, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 375, 29, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 240, 23, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 4, 4, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195406, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1019, 13, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195407, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 207, 43, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195408, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '区残联', '', 'A15', 17, 1, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195409, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 693, 33, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195410, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 90, 6, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195411, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 78, 2, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195412, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 704, 40, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195413, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 247, 22, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195414, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 375, 29, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195415, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 240, 23, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195416, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 129, 7, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195417, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 10, 5, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195418, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 4, 4, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195419, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 4, 2, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195420, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B06', 22549, 2, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195421, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 126, 6, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195422, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 308, 19, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195423, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 100, 9, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195424, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 316, 7, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195425, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 79, 1, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195426, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 268, 7, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195427, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 1116, 1, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195428, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 514, 7, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195429, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 777, 3, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195430, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 49, 7, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195431, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 2680, 5, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195432, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 198, 11, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195433, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 543, 17, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195434, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 381, 15, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195435, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 82, 25, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195436, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 404, 12, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195437, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 109, 21, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195438, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 465, 5, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195439, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 121, 27, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195440, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 2963, 10, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195441, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 173, 14, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195442, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 161, 26, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195443, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 17787, 1, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195444, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 399, 3, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195445, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 347, 18, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195446, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 111, 10, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195447, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 208, 30, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195448, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 373, 3, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195449, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 613, 3, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195450, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 385, 20, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195451, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 857, 17, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195452, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 273, 7, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195453, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 1857, 5, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195454, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 7, 1, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195455, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 293, 25, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195456, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 76, 1, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195457, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 295, 25, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195458, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 26, 2, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195459, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 42, 2, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195460, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 6, 2, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195461, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 794, 27, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195462, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 3, 4, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195463, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 141, 5, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195464, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 6, 4, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195465, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 34, 3, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195466, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 180, 9, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195467, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 5282, 1, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195468, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 54, 13, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195469, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 50, 13, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195470, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 20, 22, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195471, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 52, 2, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195472, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 193, 16, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195473, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 60, 11, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195474, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 33, 3, 2024, 3, 13, '2024-08-05 16:03:07', NULL, NULL), (195475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 180, 116, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 14450, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2568, 9, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区水利局', '', '', 21, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 413, 167, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 169, 4, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏生态环境局', '', '', 49, 2, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '', 86, 2, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 1857, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 6, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 126, 115, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 140, 27, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 88, 97, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 809, 129, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区自然资源和规划分局', '', '', 154, 2, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 562, 14, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 550, 176, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 269, 36, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 361, 21, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 529, 58, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 267, 155, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 634, 2, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 287, 47, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 235, 110, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 268, 85, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195500, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 14450, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195501, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 0, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195502, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '', 21, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195503, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 271, 5, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195504, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 2, 14, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195505, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195506, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 126, 115, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195507, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 169, 4, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195508, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1934, 3, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195509, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 2341, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195510, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195511, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 449, 17, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195512, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 985, 76, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195513, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '', 86, 2, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195514, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 242, 10, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195515, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 1115, 6, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195516, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 255, 55, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195517, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1919, 11, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195518, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 189, 30, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195519, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 215, 7, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195520, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 159, 9, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195521, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 23, 14, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195522, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 207, 6, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195523, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', '', 0, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195524, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 15962, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195525, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 5, 2, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195526, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 4, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195527, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1408, 4, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195528, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 71, 24, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195529, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 497, 50, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195530, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 49, 81, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195531, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 1857, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195532, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '', 49, 2, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195533, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 515, 4, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195534, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 12, 9, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195535, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 914, 5, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195536, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 500, 2, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195537, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 178, 28, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195538, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 170, 69, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195539, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 14, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195540, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 10, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195541, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 615, 9, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195542, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 118, 12, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195543, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '', 154, 2, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 12, 9, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 118, 12, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 45, 23, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 53, 19, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 178, 28, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 232, 12, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 102, 16, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 296, 36, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 83, 7, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 134, 8, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 67, 28, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 36, 19, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 92, 8, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 239, 10, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 69, 16, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 14, 15, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 276, 14, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 194, 12, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 35, 7, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 138, 17, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 165, 8, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 128, 13, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 109, 12, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 309, 29, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 71, 24, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 144, 16, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 239, 12, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 169, 4, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 594, 37, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 68, 4, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 1857, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 240, 17, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1408, 4, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 215, 7, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 1115, 6, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 159, 9, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 515, 4, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 914, 5, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 691, 8, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 449, 17, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1093, 34, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 939, 40, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 167, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B06', 14450, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 5, 2, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B04', 154, 2, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 271, 5, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 2, 3, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B02', 123, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 4, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 967, 6, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B01', 50, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 4, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 3, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 3, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 2341, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 15962, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1919, 11, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B09', 21, 1, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B10', 49, 2, 2024, 3, 14, '2024-08-05 16:03:09', NULL, NULL), (195604, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 242, 10, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195605, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 998, 75, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195606, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1408, 4, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195607, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 2341, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195608, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 126, 115, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195609, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 2, 14, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195610, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 24, 12, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195611, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 5, 2, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195612, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '翠屏生态环境局', '', '', 49, 2, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195613, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 178, 28, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195614, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 54, 67, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195615, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 914, 5, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195616, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 118, 12, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195617, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 159, 9, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195618, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 169, 4, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195619, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 14450, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195620, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 1857, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195621, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 207, 6, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195622, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '区退役军人局', '', '', 15962, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (195623, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1919, 11, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195624, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 172, 68, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195625, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 507, 49, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195626, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 255, 55, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195627, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 500, 2, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195628, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 515, 4, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195629, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 271, 5, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195630, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 12, 9, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195631, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 4, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195632, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 189, 30, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195633, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 1115, 6, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195634, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '区水利局', '', '', 21, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195635, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 215, 7, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195636, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 71, 24, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195637, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 691, 8, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195638, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '区自然资源和规划分局', '', '', 154, 2, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195639, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 449, 17, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195640, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 1934, 3, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195641, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '区发展改革局', '', '', 86, 2, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195642, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 302, 4, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195643, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 169, 4, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195644, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 449, 17, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195645, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 2, 3, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195646, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1093, 34, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195647, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 939, 40, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195648, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 4, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195649, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 1, 3, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195650, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 167, 1, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195651, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 3, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195652, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 3, 1, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195653, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 178, 28, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195654, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 15, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195655, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 985, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195656, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 202, 6, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195657, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 159, 9, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195658, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 34, 2, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195659, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '2B02', 123, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195660, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '2B01', 50, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195661, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 691, 8, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195662, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1408, 4, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195663, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 215, 7, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195664, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '2B04', 154, 2, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195665, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 165, 8, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195666, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 109, 12, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195667, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 138, 17, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195668, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 5, 2, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195669, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 239, 10, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195670, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 240, 17, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195671, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '2B10', 49, 2, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195672, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 4, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195673, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 129, 8, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195674, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 21, 5, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195675, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 15, 13, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195676, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 60, 7, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195677, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 38, 6, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195678, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 12, 9, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195679, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 69, 14, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195680, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 46, 14, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195681, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 1934, 3, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195682, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B06', 14450, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195683, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 68, 4, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195684, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', 'B08', 15962, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195685, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 276, 14, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195686, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 296, 36, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195687, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 134, 8, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195688, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 83, 7, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195689, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 92, 8, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195690, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 232, 12, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195691, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 118, 12, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195692, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 271, 5, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195693, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 2341, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195694, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 1857, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195695, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '2B09', 21, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195696, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1919, 11, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195697, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 309, 29, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195698, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 6, 1, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195699, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 45, 23, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195700, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 69, 2, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195701, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 9, 5, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195702, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 17, 2, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195703, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 207, 6, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195704, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 515, 4, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195705, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 1115, 6, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195706, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 594, 37, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195707, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 67, 28, 2024, 3, 14, '2024-08-05 16:03:10', NULL, NULL), (195708, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 239, 12, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195709, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 53, 19, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195710, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 71, 24, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195711, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 102, 16, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195712, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 914, 5, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 271, 5, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 53, 19, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 45, 23, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 309, 29, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 144, 16, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 1934, 3, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 67, 28, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 102, 16, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B08', 15962, 1, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 167, 1, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 594, 37, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 239, 12, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 1093, 34, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '2B02', 123, 1, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 914, 5, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '2B01', 50, 1, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 939, 40, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 68, 4, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 118, 12, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 240, 17, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区自然资源和规划分局', '', '2B04', 154, 2, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 1857, 1, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏生态环境局', '', '2B10', 49, 2, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 165, 8, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 109, 12, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 138, 17, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 239, 10, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 276, 14, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 134, 8, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 92, 8, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 6, 1, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 5, 2, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B06', 14450, 1, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 691, 8, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 449, 17, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 159, 9, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 515, 4, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 1115, 6, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1408, 4, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 169, 4, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 215, 7, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区水利局', '', '2B09', 21, 1, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 83, 7, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 2341, 1, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 35, 7, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 3, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 128, 13, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1919, 11, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 15, 14, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 71, 24, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 194, 12, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 1, 3, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 36, 19, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 178, 28, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 12, 9, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 2, 3, 2024, 3, 14, '2024-08-05 16:03:11', NULL, NULL), (195769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 69, 16, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 3, 1, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 296, 36, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 4, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 4, 1, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 232, 12, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195775, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '区水利局', '', '2B09', 21, 1, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195776, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 178, 28, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195777, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 239, 12, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195778, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 594, 37, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195779, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 129, 8, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195780, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 34, 2, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195781, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 83, 7, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195782, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 296, 36, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195783, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 232, 12, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195784, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '区发展改革局', '', '2B01', 50, 1, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195785, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '区发展改革局', '', '2B02', 123, 1, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195786, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 3, 1, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195787, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 3, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195788, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 1, 3, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195789, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 4, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195790, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 2, 3, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195791, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B06', 14450, 1, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195792, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 12, 9, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195793, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 240, 17, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195794, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 914, 5, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195795, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1408, 4, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195796, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 68, 4, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195797, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 215, 7, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195798, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 159, 9, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195799, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 1934, 3, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195800, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 5, 2, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195801, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 302, 4, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195802, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 1115, 6, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195803, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 309, 29, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195804, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 691, 8, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195805, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 45, 23, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195806, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 134, 8, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195807, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 53, 19, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195808, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 102, 16, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195809, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 92, 8, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195810, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1919, 11, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195811, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 4, 1, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195812, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 67, 28, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195813, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 276, 14, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195814, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 2341, 1, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195815, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 271, 5, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195816, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '区自然资源和规划分局', '', '2B04', 154, 2, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195817, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 138, 17, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195818, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 239, 10, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195819, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 71, 24, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195820, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 169, 4, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195821, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 109, 12, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195822, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 449, 17, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195823, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 165, 8, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195824, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 515, 4, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195825, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 1857, 1, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195826, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 207, 6, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195827, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '翠屏生态环境局', '', '2B10', 49, 2, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195828, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 1093, 34, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195829, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 17, 2, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195830, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 939, 40, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195831, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '区退役军人局', '', 'B08', 15962, 1, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195832, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 167, 1, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195833, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 6, 1, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195834, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 69, 2, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195835, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 15, 1, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195836, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 9, 5, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195837, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 985, 1, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195838, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 202, 6, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195839, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 69, 14, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195840, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 15, 13, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195841, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 46, 14, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195842, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 60, 7, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195843, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 118, 12, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195844, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 21, 5, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195845, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 38, 6, 2024, 3, 14, '2024-08-05 16:03:12', NULL, NULL), (195846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 131, 88, 2024, 3, 15, '2024-08-05 16:03:14', NULL, NULL), (195847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 3890, 4, 2024, 3, 15, '2024-08-05 16:03:14', NULL, NULL), (195848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 12892, 1, 2024, 3, 15, '2024-08-05 16:03:14', NULL, NULL), (195849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 49, 99, 2024, 3, 15, '2024-08-05 16:03:14', NULL, NULL), (195850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 32, 32, 2024, 3, 15, '2024-08-05 16:03:14', NULL, NULL), (195851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 380, 183, 2024, 3, 15, '2024-08-05 16:03:14', NULL, NULL), (195852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 96, 120, 2024, 3, 15, '2024-08-05 16:03:14', NULL, NULL), (195853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '', 178, 3, 2024, 3, 15, '2024-08-05 16:03:14', NULL, NULL), (195854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 730, 7, 2024, 3, 15, '2024-08-05 16:03:14', NULL, NULL), (195855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 600, 144, 2024, 3, 15, '2024-08-05 16:03:14', NULL, NULL), (195856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 1001, 1, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 2593, 6, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 331, 170, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 242, 46, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 228, 37, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 157, 71, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 204, 108, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 214, 18, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 516, 50, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 205, 127, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 405, 81, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195867, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195868, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 154, 2, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195869, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 4, 17, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195870, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195871, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 49, 99, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195872, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 730, 7, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195873, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 3813, 4, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195874, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 4, 1, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195875, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 935, 16, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195876, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 562, 53, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195877, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '', 117, 1, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195878, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195879, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 320, 5, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195880, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 269, 14, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195881, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 92, 43, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195882, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 93, 9, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195883, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 396, 34, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195884, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195885, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 215, 2, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195886, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 9, 1, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195887, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 4, 4, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195888, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 131, 13, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195889, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 59, 24, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195890, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 98, 1, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195891, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 14, 3, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195892, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 486, 3, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195893, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 532, 5, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195894, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 215, 21, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195895, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 71, 81, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195896, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 629, 90, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195897, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 1001, 1, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195898, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 27, 2, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195899, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 55, 14, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195900, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 29, 1, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195901, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 86, 8, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195902, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 153, 15, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195903, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 290, 63, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195904, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 14, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195905, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 8, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195906, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 613, 23, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195907, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 70, 14, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195908, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '', 209, 2, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195909, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 3, 15, '2024-08-05 16:03:15', NULL, NULL), (195910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 70, 14, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 32, 20, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 55, 14, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 153, 15, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 57, 18, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 68, 15, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 80, 14, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 86, 13, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 60, 23, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 158, 11, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 42, 8, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 425, 10, 2024, 3, 15, '2024-08-05 16:03:18', NULL, NULL), (195922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 593, 4, 2024, 3, 15, '2024-08-05 16:03:18', NULL, NULL), (195923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 80, 22, 2024, 3, 15, '2024-08-05 16:03:18', NULL, NULL), (195924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 36, 18, 2024, 3, 15, '2024-08-05 16:03:18', NULL, NULL), (195925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 220, 16, 2024, 3, 15, '2024-08-05 16:03:18', NULL, NULL), (195926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 761, 19, 2024, 3, 15, '2024-08-05 16:03:18', NULL, NULL), (195927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 343, 20, 2024, 3, 15, '2024-08-05 16:03:18', NULL, NULL), (195928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 90, 20, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 77, 10, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 248, 8, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 187, 20, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 259, 14, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 215, 21, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 31, 15, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 104, 12, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 358, 2, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 730, 7, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 525, 9, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 659, 28, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 1001, 1, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 277, 16, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 532, 5, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 215, 2, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 320, 5, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 131, 13, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 27, 2, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 29, 1, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 613, 23, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 935, 16, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 385, 17, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 350, 12, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 794, 24, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 18, 2, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 308, 1, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1424, 1, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 17, 1, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 1391, 11, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B02', 209, 2, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 13, 2, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 2, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B01', 117, 1, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 4, 4, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 3, 2, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 5, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 625, 60, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 4, 1, 2024, 3, 15, '2024-08-05 16:03:16', NULL, NULL), (195967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 9, 1, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 93, 9, 2024, 3, 15, '2024-08-05 16:03:17', NULL, NULL), (195969, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 269, 14, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195970, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 562, 53, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195971, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 532, 5, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195972, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 4, 1, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195973, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 49, 99, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195974, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 4, 17, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195975, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 63, 22, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195976, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 486, 3, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195977, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 153, 15, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195978, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 74, 75, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195979, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 29, 1, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195980, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 70, 14, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195981, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 131, 13, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195982, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 730, 7, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195983, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 1001, 1, 2024, 3, 15, '2024-08-05 16:03:18', NULL, NULL), (195984, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 98, 1, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195985, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 4, 4, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195986, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 93, 9, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195987, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 290, 63, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195988, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 629, 90, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195989, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 104, 38, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195990, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 86, 8, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195991, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 27, 2, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195992, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 308, 1, 2024, 3, 15, '2024-08-05 16:03:18', NULL, NULL), (195993, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 55, 14, 2024, 3, 15, '2024-08-05 16:03:18', NULL, NULL), (195994, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '区发展改革局', '', '', 209, 2, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195995, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 14, 3, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195996, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 396, 34, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195997, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 320, 5, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (195998, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 215, 2, 2024, 3, 15, '2024-08-05 16:03:18', NULL, NULL), (195999, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 215, 21, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (196000, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 613, 23, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (196001, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 9, 1, 2024, 3, 15, '2024-08-05 16:03:18', NULL, NULL), (196002, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 935, 16, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (196003, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 5084, 3, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (196004, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '区发展改革局', '', '', 117, 1, 2024, 3, 15, '2024-08-05 16:03:18', NULL, NULL), (196005, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 354, 9, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196006, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 730, 7, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196007, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 794, 24, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196008, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 935, 16, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196009, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 2, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196010, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 385, 17, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196011, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 6, 8, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196012, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 350, 12, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196013, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 5, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196014, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 153, 15, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196015, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 3, 2, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196016, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 82, 3, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196017, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 88, 5, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196018, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 117, 5, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196019, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 131, 13, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196020, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 172, 2, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196021, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '2B01', 117, 1, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196022, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 613, 23, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196023, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 532, 5, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196024, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 215, 2, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196025, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 18, 2, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196026, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 259, 14, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196027, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '2B02', 209, 2, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (196028, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 248, 8, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196029, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1424, 1, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196030, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 220, 16, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196031, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 277, 16, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196032, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 17, 1, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196033, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 9, 1, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196034, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 13, 2, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196035, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 65, 5, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196036, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 91, 11, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196037, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 90, 12, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196038, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 4, 4, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196039, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 79, 6, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196040, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 53, 6, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196041, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 38, 17, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196042, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 55, 14, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196043, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 97, 18, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196044, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 5084, 3, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (196045, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 525, 9, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196046, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 343, 20, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196047, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 86, 13, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196048, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 425, 10, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196049, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 593, 4, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196050, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 158, 11, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196051, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 80, 14, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (196052, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 70, 14, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (196053, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 308, 1, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196054, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 4, 1, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (196055, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 625, 60, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196056, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 1001, 1, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196057, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 88, 3, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196058, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 93, 9, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196059, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 31, 15, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196060, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 82, 6, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196061, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 32, 20, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196062, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 2, 1, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196063, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 4, 4, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196064, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 16, 5, 2024, 3, 15, '2024-08-05 16:03:19', NULL, NULL), (196065, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 205, 1, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196066, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 27, 2, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196067, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 98, 1, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196068, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 320, 5, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196069, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 60, 23, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196070, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 358, 2, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196071, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 42, 8, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196072, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 215, 21, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196073, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 57, 18, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196074, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 29, 1, 2024, 3, 15, '2024-08-05 16:03:20', NULL, NULL), (196075, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 68, 15, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196076, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 659, 28, 2024, 3, 15, '2024-08-05 16:03:21', NULL, NULL), (196077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 308, 1, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 57, 18, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 32, 20, 2024, 3, 15, '2024-08-05 16:03:23', NULL, NULL), (196080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 31, 15, 2024, 3, 15, '2024-08-05 16:03:23', NULL, NULL), (196081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 104, 12, 2024, 3, 15, '2024-08-05 16:03:23', NULL, NULL), (196082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 5084, 3, 2024, 3, 15, '2024-08-05 16:03:23', NULL, NULL), (196083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 42, 8, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 60, 23, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 68, 15, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 659, 28, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 794, 24, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 350, 12, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 358, 2, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 29, 1, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '2B02', 209, 2, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 385, 17, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '2B01', 117, 1, 2024, 3, 15, '2024-08-05 16:03:23', NULL, NULL), (196094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 525, 9, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 70, 14, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 277, 16, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 625, 60, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 1001, 1, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 259, 14, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 248, 8, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 220, 16, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 343, 20, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 425, 10, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 593, 4, 2024, 3, 15, '2024-08-05 16:03:23', NULL, NULL), (196105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 12892, 1, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 18, 2, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1424, 1, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 730, 7, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 613, 23, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 935, 16, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 131, 13, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 27, 2, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 320, 5, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 532, 5, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 215, 2, 2024, 3, 15, '2024-08-05 16:03:23', NULL, NULL), (196116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 158, 11, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 77, 10, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 4, 1, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 93, 9, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 187, 20, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 5, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 87, 18, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 215, 21, 2024, 3, 15, '2024-08-05 16:03:22', NULL, NULL), (196124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 90, 20, 2024, 3, 15, '2024-08-05 16:03:23', NULL, NULL), (196125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 9, 1, 2024, 3, 15, '2024-08-05 16:03:23', NULL, NULL), (196126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 6, 8, 2024, 3, 15, '2024-08-05 16:03:23', NULL, NULL), (196127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 4, 4, 2024, 3, 15, '2024-08-05 16:03:23', NULL, NULL), (196128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 153, 15, 2024, 3, 15, '2024-08-05 16:03:23', NULL, NULL), (196129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 80, 22, 2024, 3, 15, '2024-08-05 16:03:23', NULL, NULL), (196130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 36, 18, 2024, 3, 15, '2024-08-05 16:03:23', NULL, NULL), (196131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 55, 14, 2024, 3, 15, '2024-08-05 16:03:23', NULL, NULL), (196132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 17, 1, 2024, 3, 15, '2024-08-05 16:03:24', NULL, NULL), (196133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 3, 2, 2024, 3, 15, '2024-08-05 16:03:24', NULL, NULL), (196134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 86, 13, 2024, 3, 15, '2024-08-05 16:03:24', NULL, NULL), (196135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 2, 2024, 3, 15, '2024-08-05 16:03:24', NULL, NULL), (196136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 13, 2, 2024, 3, 15, '2024-08-05 16:03:24', NULL, NULL), (196137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 80, 14, 2024, 3, 15, '2024-08-05 16:03:24', NULL, NULL), (196138, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 153, 15, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196139, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 625, 60, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196140, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 358, 2, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196141, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 65, 5, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196142, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 172, 2, 2024, 3, 15, '2024-08-05 16:03:24', NULL, NULL), (196143, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 158, 11, 2024, 3, 15, '2024-08-05 16:03:24', NULL, NULL), (196144, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 659, 28, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196145, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 86, 13, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196146, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 80, 14, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196147, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '区发展改革局', '', '2B01', 117, 1, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196148, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 3, 2, 2024, 3, 15, '2024-08-05 16:03:24', NULL, NULL), (196149, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 5, 2024, 3, 15, '2024-08-05 16:03:24', NULL, NULL), (196150, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 6, 8, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196151, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 2, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196152, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 55, 14, 2024, 3, 15, '2024-08-05 16:03:24', NULL, NULL), (196153, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 9, 1, 2024, 3, 15, '2024-08-05 16:03:24', NULL, NULL), (196154, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 277, 16, 2024, 3, 15, '2024-08-05 16:03:24', NULL, NULL), (196155, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 29, 1, 2024, 3, 15, '2024-08-05 16:03:24', NULL, NULL), (196156, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 532, 5, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196157, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 525, 9, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196158, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 215, 2, 2024, 3, 15, '2024-08-05 16:03:24', NULL, NULL), (196159, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 5084, 3, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196160, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 131, 13, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196161, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 18, 2, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196162, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1424, 1, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196163, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '区发展改革局', '', '2B02', 209, 2, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196164, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 17, 1, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196165, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 320, 5, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196166, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 354, 9, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196167, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 31, 15, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196168, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 613, 23, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196169, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 32, 20, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196170, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 57, 18, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196171, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 425, 10, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196172, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 593, 4, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196173, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 68, 15, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196174, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 93, 9, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196175, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 60, 23, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196176, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 13, 2, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196177, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 42, 8, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196178, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 343, 20, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196179, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 4, 1, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196180, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 308, 1, 2024, 3, 15, '2024-08-05 16:03:24', NULL, NULL), (196181, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 248, 8, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196182, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 220, 16, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196183, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 215, 21, 2024, 3, 15, '2024-08-05 16:03:24', NULL, NULL), (196184, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 730, 7, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196185, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 935, 16, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196186, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 259, 14, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196187, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 27, 2, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196188, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 1001, 1, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196189, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 98, 1, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196190, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 16, 5, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196191, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 205, 1, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196192, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 385, 17, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196193, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 88, 3, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196194, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 350, 12, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196195, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 82, 6, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196196, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 794, 24, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196197, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 2, 1, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196198, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 82, 3, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196199, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 4, 4, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196200, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 117, 5, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196201, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 88, 5, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196202, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 38, 17, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196203, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 90, 12, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196204, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 4, 4, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196205, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 97, 18, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196206, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 79, 6, 2024, 3, 15, '2024-08-05 16:03:25', NULL, NULL), (196207, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 70, 14, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196208, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 91, 11, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196209, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 53, 6, 2024, 3, 15, '2024-08-05 16:03:26', NULL, NULL), (196210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 6909, 1, 2024, 3, 16, '2024-08-05 16:03:30', NULL, NULL), (196211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 3, 1, 2024, 3, 16, '2024-08-05 16:03:30', NULL, NULL), (196212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 725, 14, 2024, 3, 16, '2024-08-05 16:03:30', NULL, NULL), (196213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 505, 32, 2024, 3, 16, '2024-08-05 16:03:30', NULL, NULL), (196214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 11, 7, 2024, 3, 16, '2024-08-05 16:03:30', NULL, NULL), (196215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 0, 1, 2024, 3, 16, '2024-08-05 16:03:30', NULL, NULL), (196216, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 0, 1, 2024, 3, 16, '2024-08-05 16:03:30', NULL, NULL), (196217, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 6909, 1, 2024, 3, 16, '2024-08-05 16:03:31', NULL, NULL), (196218, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 3, 1, 2024, 3, 16, '2024-08-05 16:03:31', NULL, NULL), (196219, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2024, 3, 16, '2024-08-05 16:03:31', NULL, NULL), (196220, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 1, 2024, 3, 16, '2024-08-05 16:03:30', NULL, NULL), (196221, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 63, 5, 2024, 3, 16, '2024-08-05 16:03:31', NULL, NULL), (196222, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 317, 31, 2024, 3, 16, '2024-08-05 16:03:31', NULL, NULL), (196223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 754, 7, 2024, 3, 16, '2024-08-05 16:03:31', NULL, NULL), (196224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 6909, 1, 2024, 3, 16, '2024-08-05 16:03:31', NULL, NULL), (196225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1519, 3, 2024, 3, 16, '2024-08-05 16:03:31', NULL, NULL), (196226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 3, 1, 2024, 3, 16, '2024-08-05 16:03:31', NULL, NULL), (196227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 78, 4, 2024, 3, 16, '2024-08-05 16:03:31', NULL, NULL), (196228, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 78, 4, 2024, 3, 16, '2024-08-05 16:03:31', NULL, NULL), (196229, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 6909, 1, 2024, 3, 16, '2024-08-05 16:03:31', NULL, NULL), (196230, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 983, 10, 2024, 3, 16, '2024-08-05 16:03:32', NULL, NULL), (196231, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 3, 1, 2024, 3, 16, '2024-08-05 16:03:32', NULL, NULL), (196232, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 78, 4, 2024, 3, 16, '2024-08-05 16:03:32', NULL, NULL), (196233, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 3, 1, 2024, 3, 16, '2024-08-05 16:03:32', NULL, NULL), (196234, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 754, 7, 2024, 3, 16, '2024-08-05 16:03:32', NULL, NULL), (196235, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 6909, 1, 2024, 3, 16, '2024-08-05 16:03:32', NULL, NULL), (196236, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1519, 3, 2024, 3, 16, '2024-08-05 16:03:32', NULL, NULL), (196237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 1519, 3, 2024, 3, 16, '2024-08-05 16:03:32', NULL, NULL), (196238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 754, 7, 2024, 3, 16, '2024-08-05 16:03:32', NULL, NULL), (196239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 78, 4, 2024, 3, 16, '2024-08-05 16:03:32', NULL, NULL), (196240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 3, 1, 2024, 3, 16, '2024-08-05 16:03:32', NULL, NULL), (196241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 6909, 1, 2024, 3, 16, '2024-08-05 16:03:32', NULL, NULL), (196242, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 3, 1, 2024, 3, 16, '2024-08-05 16:03:32', NULL, NULL), (196243, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 754, 7, 2024, 3, 16, '2024-08-05 16:03:33', NULL, NULL), (196244, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 1519, 3, 2024, 3, 16, '2024-08-05 16:03:32', NULL, NULL), (196245, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 6909, 1, 2024, 3, 16, '2024-08-05 16:03:32', NULL, NULL), (196246, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 78, 4, 2024, 3, 16, '2024-08-05 16:03:32', NULL, NULL), (196247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 10356, 1, 2024, 3, 17, '2024-08-05 16:03:36', NULL, NULL), (196248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 1475, 1, 2024, 3, 17, '2024-08-05 16:03:37', NULL, NULL), (196249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 2366, 5, 2024, 3, 17, '2024-08-05 16:03:37', NULL, NULL), (196250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 1, 2024, 3, 17, '2024-08-05 16:03:37', NULL, NULL), (196251, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 1475, 1, 2024, 3, 17, '2024-08-05 16:03:37', NULL, NULL), (196252, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 10356, 1, 2024, 3, 17, '2024-08-05 16:03:37', NULL, NULL), (196253, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 2, 2024, 3, 17, '2024-08-05 16:03:37', NULL, NULL), (196254, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 4, 2024, 3, 17, '2024-08-05 16:03:37', NULL, NULL), (196255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 10356, 1, 2024, 3, 17, '2024-08-05 16:03:37', NULL, NULL), (196256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 1475, 1, 2024, 3, 17, '2024-08-05 16:03:37', NULL, NULL), (196257, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 10356, 1, 2024, 3, 17, '2024-08-05 16:03:37', NULL, NULL), (196258, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 1475, 1, 2024, 3, 17, '2024-08-05 16:03:38', NULL, NULL), (196259, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 1475, 1, 2024, 3, 17, '2024-08-05 16:03:38', NULL, NULL), (196260, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 10356, 1, 2024, 3, 17, '2024-08-05 16:03:38', NULL, NULL), (196261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 1475, 1, 2024, 3, 17, '2024-08-05 16:03:38', NULL, NULL), (196262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 10356, 1, 2024, 3, 17, '2024-08-05 16:03:38', NULL, NULL), (196263, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 1475, 1, 2024, 3, 17, '2024-08-05 16:03:38', NULL, NULL), (196264, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 10356, 1, 2024, 3, 17, '2024-08-05 16:03:38', NULL, NULL), (196265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 349, 142, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2351, 8, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 9181, 2, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 172, 116, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 70, 43, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 1782, 1, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 489, 213, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 451, 145, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 923, 5, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 376, 146, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 907, 1, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 935, 21, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 302, 287, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 327, 45, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 589, 41, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 388, 75, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 604, 113, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 268, 7, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 221, 53, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 292, 114, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 428, 114, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196286, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 9, 2, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196287, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 5, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196288, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 172, 116, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196289, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 35, 16, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196290, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 923, 5, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196291, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 2349, 8, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196292, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 59, 1, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196293, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 347, 21, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196294, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 268, 63, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196295, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 9181, 2, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196296, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 294, 4, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196297, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 187, 5, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196298, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 616, 67, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196299, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 179, 43, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196300, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1997, 12, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196301, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196302, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 0, 1, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196303, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 2428, 10, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196304, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 77, 1, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196305, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 258, 13, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196306, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 448, 45, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196307, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 0, 1, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196308, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 96, 4, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196309, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 684, 7, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196310, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 93, 28, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196311, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 445, 113, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196312, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 458, 83, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196313, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 848, 5, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196314, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 907, 1, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196315, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 70, 15, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196316, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 2, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196317, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 212, 5, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196318, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 143, 32, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196319, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 216, 80, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196320, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 18, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196321, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 757, 13, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196322, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 16, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196323, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 126, 1, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196324, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 93, 26, 2024, 3, 18, '2024-08-05 16:03:40', NULL, NULL), (196325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 93, 26, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 42, 19, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 70, 15, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 618, 19, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 143, 32, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 1132, 24, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 138, 18, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 345, 22, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 172, 21, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 23, 21, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 133, 15, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 311, 21, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 358, 11, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 255, 22, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 188, 11, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 1286, 20, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 451, 24, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 104, 17, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 105, 15, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 469, 21, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 473, 13, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 178, 17, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 189, 6, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 590, 22, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 476, 12, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 43, 18, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 93, 28, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 553, 26, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 420, 38, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 180, 3, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 577, 17, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 2037, 2, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 257, 11, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 544, 19, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 907, 1, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 114, 8, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 684, 7, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 2428, 10, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 187, 5, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 279, 12, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 848, 5, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 718, 12, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 347, 21, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 232, 29, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 291, 13, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 304, 21, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 1233, 1, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 128, 3, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 10, 3, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 2089, 9, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 77, 1, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 130, 4, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 2, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 214, 9, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 1, 6, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 59, 1, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1997, 12, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 126, 1, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196383, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 294, 4, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196384, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 212, 5, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196385, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 268, 63, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196386, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 848, 5, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196387, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 684, 7, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196388, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 59, 1, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196389, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 9, 2, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196390, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 172, 116, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196391, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 35, 16, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196392, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 443, 39, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196393, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 126, 1, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196394, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 128, 3, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196395, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 143, 32, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196396, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 473, 97, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196397, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 70, 15, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196398, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 93, 26, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196399, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 279, 12, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196400, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 923, 5, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196401, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 179, 43, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196402, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 9181, 2, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196403, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 187, 5, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196404, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 907, 1, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196405, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 2428, 10, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196406, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 93, 28, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196407, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 77, 1, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196408, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 757, 13, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196409, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 347, 21, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196410, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1997, 12, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196411, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 3132, 6, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196412, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 216, 80, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196413, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 458, 83, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196414, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 616, 67, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196415, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 983, 1, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196416, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 2037, 2, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196417, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 180, 3, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196418, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 304, 21, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196419, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 347, 21, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196420, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 13, 1, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196421, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 232, 29, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196422, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 130, 4, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196423, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 4, 3, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196424, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 291, 13, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196425, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 1, 6, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196426, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 2, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196427, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 143, 32, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196428, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 212, 5, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196429, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 279, 12, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196430, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 64, 3, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196431, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 551, 7, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196432, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 718, 12, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196433, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 684, 7, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196434, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 2428, 10, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (196435, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 476, 12, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196436, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 189, 6, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196437, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 105, 15, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196438, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 178, 17, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196439, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 188, 11, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196440, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 128, 3, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196441, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 1233, 1, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196442, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 114, 8, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196443, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 646, 16, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196444, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 479, 10, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196445, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 420, 14, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196446, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 77, 1, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196447, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 562, 18, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196448, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 385, 10, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196449, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 70, 15, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196450, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 503, 13, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196451, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 274, 16, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196452, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 3132, 6, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196453, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 257, 11, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196454, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 104, 17, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196455, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 126, 1, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196456, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 345, 22, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196457, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 133, 15, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196458, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 358, 11, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196459, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 311, 21, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196460, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 1132, 24, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196461, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 93, 26, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196462, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 9, 2, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196463, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 214, 9, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196464, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 59, 1, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196465, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 907, 1, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196466, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 9181, 2, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196467, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 668, 6, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196468, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 43, 18, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196469, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1997, 12, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196470, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 496, 10, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196471, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 42, 19, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196472, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 165, 5, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196473, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 206, 6, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196474, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 629, 3, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196475, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 261, 2, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196476, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 848, 5, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196477, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 187, 5, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196478, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 172, 21, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196479, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 577, 17, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196480, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 23, 21, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196481, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 420, 38, 2024, 3, 18, '2024-08-05 16:03:41', NULL, NULL), (196482, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 618, 19, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196483, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 93, 28, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196484, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 138, 18, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196485, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 544, 19, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 618, 19, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 42, 19, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 43, 18, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 553, 26, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 3132, 6, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 9181, 2, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 9, 2, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 23, 21, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 172, 21, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 138, 18, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 544, 19, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 304, 21, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 291, 13, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 577, 17, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 420, 38, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 232, 29, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 257, 11, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 93, 26, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 114, 8, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 214, 9, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 907, 1, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 1782, 1, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 476, 12, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 189, 6, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 105, 15, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 178, 17, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 188, 11, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 104, 17, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 133, 15, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 358, 11, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 128, 3, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 1233, 1, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 2037, 2, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 718, 12, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 347, 21, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 279, 12, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 848, 5, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 187, 5, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 684, 7, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 180, 3, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 2428, 10, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 126, 1, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 311, 21, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 59, 1, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 364, 12, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 1, 6, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 590, 22, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1997, 12, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 451, 24, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 93, 28, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 469, 21, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 77, 1, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 4, 3, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 255, 22, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 143, 32, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 13, 1, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 70, 15, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 409, 18, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 2, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 345, 22, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 1132, 24, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 130, 4, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196548, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 214, 9, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196549, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 143, 32, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196550, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 420, 38, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196551, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 577, 17, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196552, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 646, 16, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196553, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 551, 7, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196554, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 311, 21, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196555, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 544, 19, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196556, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 345, 22, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196557, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 1132, 24, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196558, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 2, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196559, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 1, 6, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196560, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 4, 3, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196561, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 130, 4, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196562, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 13, 1, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196563, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 70, 15, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196564, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 114, 8, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196565, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 684, 7, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196566, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 257, 11, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196567, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 1233, 1, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196568, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 2428, 10, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196569, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 3132, 6, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196570, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 279, 12, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196571, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 128, 3, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196572, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 983, 1, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196573, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 187, 5, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196574, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 43, 18, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196575, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 718, 12, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196576, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 42, 19, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196577, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 618, 19, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196578, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 133, 15, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196579, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 358, 11, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196580, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 138, 18, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196581, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 172, 21, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196582, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1997, 12, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196583, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 23, 21, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196584, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 104, 17, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196585, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 59, 1, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196586, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 9181, 2, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196587, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 178, 17, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196588, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 188, 11, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196589, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 9, 2, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196590, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 93, 28, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196591, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 2037, 2, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196592, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 180, 3, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196593, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 105, 15, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196594, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 476, 12, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196595, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 347, 21, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196596, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 189, 6, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196597, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 848, 5, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196598, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 907, 1, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196599, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 232, 29, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196600, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 629, 3, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196601, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 126, 1, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196602, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 261, 2, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196603, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 668, 6, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196604, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 291, 13, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196605, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 496, 10, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196606, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 304, 21, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196607, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 165, 5, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196608, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 206, 6, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196609, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 212, 5, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196610, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 64, 3, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196611, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 503, 13, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196612, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 420, 14, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196613, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 77, 1, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196614, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 274, 16, 2024, 3, 18, '2024-08-05 16:03:42', NULL, NULL), (196615, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 93, 26, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196616, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 562, 18, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196617, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 479, 10, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196618, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 385, 10, 2024, 3, 18, '2024-08-05 16:03:43', NULL, NULL), (196619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 326, 127, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 134, 10, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 10446, 2, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 73, 109, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 244, 39, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 753, 204, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 155, 102, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 232, 5, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 549, 194, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 119, 18, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 325, 272, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 656, 63, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 719, 40, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 565, 56, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 435, 81, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 429, 13, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 292, 50, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 470, 158, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 305, 61, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196638, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 0, 1, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196639, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 174, 6, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196640, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196641, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 159, 17, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196642, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 73, 109, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196643, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 232, 5, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196644, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 59, 5, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196645, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 630, 19, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196646, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 432, 77, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196647, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 63, 6, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196648, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 10446, 2, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196649, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 219, 11, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196650, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 274, 60, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196651, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 391, 20, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196652, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1349, 41, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196653, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 1641, 2, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196654, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1038, 5, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196655, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 1632, 2, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196656, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 16, 6, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196657, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 167, 26, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196658, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 70, 4, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196659, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1105, 7, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196660, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 236, 27, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196661, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 150, 85, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196662, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 611, 116, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196663, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 345, 5, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196664, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 164, 14, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196665, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 2365, 1, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196666, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 295, 8, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196667, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 626, 26, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196668, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 93, 67, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196669, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 15, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196670, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196671, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 888, 16, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196672, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 12471, 3, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196673, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 169, 21, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 169, 21, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 134, 27, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 164, 14, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 80, 17, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 626, 26, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 247, 31, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 17, 26, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 110, 13, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 74, 20, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 460, 16, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1559, 18, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 198, 18, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 124, 9, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 1114, 22, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 163, 12, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1184, 23, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 228, 9, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 93, 20, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 256, 8, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 120, 8, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 138, 8, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 64, 16, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 9, 7, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 55, 19, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 236, 27, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 82, 19, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 638, 36, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 4, 2, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 82, 2, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 385, 3, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 518, 34, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 75, 13, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1105, 7, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1038, 5, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 219, 11, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 16, 6, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 345, 5, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 2365, 1, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1014, 14, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 630, 19, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 297, 19, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 349, 35, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 669, 23, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 16, 1, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 346, 3, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 70, 4, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 83, 7, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 260, 9, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 1632, 2, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 4, 4, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 2, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 38, 2, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 659, 46, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 412, 19, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 12471, 3, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 3282, 1, 2024, 3, 19, '2024-08-05 16:03:44', NULL, NULL), (196730, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 63, 6, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196731, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 295, 8, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196732, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 432, 77, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196733, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 345, 5, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196734, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1105, 7, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196735, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 174, 6, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196736, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 73, 109, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196737, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 159, 17, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196738, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 175, 20, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196739, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 12471, 3, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196740, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 70, 4, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196741, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 626, 26, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196742, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 141, 68, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196743, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 2365, 1, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196744, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 164, 14, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196745, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 169, 21, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196746, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 16, 6, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196747, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 232, 5, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196748, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1349, 41, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196749, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 3282, 1, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196750, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 10446, 2, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196751, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 219, 11, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196752, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1038, 5, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196753, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 236, 27, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196754, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 1632, 2, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196755, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 948, 15, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196756, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 630, 19, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196757, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 412, 19, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196758, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 74, 4, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196759, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 93, 67, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196760, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 611, 116, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196761, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 274, 60, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196762, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 92, 3, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196763, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 385, 3, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196764, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 4, 2, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196765, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 630, 19, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196766, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 143, 4, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196767, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 297, 19, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196768, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 4, 4, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196769, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 349, 35, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196770, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 409, 5, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196771, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 669, 23, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196772, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 38, 2, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196773, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 2, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196774, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 626, 26, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196775, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 224, 2, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196776, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 319, 6, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196777, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 34, 3, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196778, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 16, 6, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196779, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 103, 5, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196780, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1014, 14, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196781, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1038, 5, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196782, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1105, 7, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196783, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 9, 7, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196784, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 138, 8, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196785, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 93, 20, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196786, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 120, 8, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196787, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 124, 9, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196788, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 70, 4, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196789, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 16, 1, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196790, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 75, 13, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196791, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 85, 11, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196792, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 46, 3, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196793, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 117, 10, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196794, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 1632, 2, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196795, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 50, 11, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196796, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 336, 4, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196797, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 168, 16, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196798, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 164, 14, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196799, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 213, 13, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196800, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 74, 4, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196801, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 82, 2, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196802, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1184, 23, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196803, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 12471, 3, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196804, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 110, 13, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196805, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1559, 18, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196806, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 460, 16, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196807, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 247, 31, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196808, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 169, 21, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196809, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 3282, 1, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196810, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 346, 3, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196811, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 3, 3, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196812, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 659, 46, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196813, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 10446, 2, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196814, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 55, 19, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196815, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 412, 19, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196816, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 397, 2, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196817, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 134, 27, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196818, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 232, 4, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196819, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 161, 5, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196820, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 101, 2, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196821, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 131, 2, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196822, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 345, 5, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196823, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 219, 11, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196824, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 74, 20, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196825, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 638, 36, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196826, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 80, 17, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196827, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 236, 27, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196828, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 2365, 1, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196829, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 17, 26, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196830, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 518, 34, 2024, 3, 19, '2024-08-05 16:03:45', NULL, NULL), (196831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 346, 3, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 80, 17, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 134, 27, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 55, 19, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 82, 19, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 74, 4, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 10446, 2, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 3, 3, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 74, 20, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 17, 26, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (196841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 518, 34, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 3282, 1, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 669, 23, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 638, 36, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 2365, 1, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 349, 35, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 297, 19, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 82, 2, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 169, 21, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 75, 13, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 659, 46, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 9, 7, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 138, 8, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 93, 20, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 120, 8, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 124, 9, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1184, 23, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1559, 18, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 70, 4, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 16, 1, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 385, 3, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1014, 14, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 630, 19, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 16, 6, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 345, 5, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 219, 11, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1105, 7, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 4, 2, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1038, 5, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 12471, 3, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 460, 16, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 256, 8, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 38, 2, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 64, 16, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 412, 19, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 163, 12, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 236, 27, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 228, 9, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 409, 5, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 1632, 2, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 198, 18, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 626, 26, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 143, 4, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 181, 20, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 164, 14, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 2, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 110, 13, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 4, 4, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 247, 31, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196890, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 626, 26, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196891, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 659, 46, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196892, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 638, 36, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196893, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 85, 11, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196894, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 103, 5, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196895, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 460, 16, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196896, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 518, 34, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196897, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 110, 13, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196898, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 247, 31, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196899, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 2, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196900, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 38, 2, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196901, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 409, 5, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196902, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 4, 4, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196903, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 143, 4, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196904, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 164, 14, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196905, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 75, 13, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196906, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 2365, 1, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196907, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 82, 2, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196908, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1105, 7, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196909, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 16, 1, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196910, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1038, 5, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196911, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 74, 4, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196912, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 16, 6, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196913, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 70, 4, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196914, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 92, 3, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196915, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 219, 11, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196916, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 55, 19, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196917, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1014, 14, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196918, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 134, 27, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196919, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 80, 17, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196920, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1559, 18, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196921, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 17, 26, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196922, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 412, 19, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196923, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 74, 20, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196924, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1184, 23, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196925, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 10446, 2, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196926, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 346, 3, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196927, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 120, 8, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196928, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 124, 9, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196929, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 3, 3, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196930, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 236, 27, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196931, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 385, 3, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196932, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 4, 2, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196933, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 93, 20, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196934, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 9, 7, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196935, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 630, 19, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196936, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 138, 8, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196937, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 345, 5, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196938, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 101, 2, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196939, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 297, 19, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196940, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 131, 2, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196941, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 12471, 3, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196942, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 349, 35, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196943, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 669, 23, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196944, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 397, 2, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196945, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 232, 4, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196946, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 224, 2, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196947, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 161, 5, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196948, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 34, 3, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196949, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 319, 6, 2024, 3, 19, '2024-08-05 16:03:47', NULL, NULL), (196950, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 3282, 1, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196951, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 168, 16, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196952, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 117, 10, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196953, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 1632, 2, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196954, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 213, 13, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196955, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 50, 11, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196956, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 169, 21, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196957, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 46, 3, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196958, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 336, 4, 2024, 3, 19, '2024-08-05 16:03:46', NULL, NULL), (196959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 315, 133, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 3248, 7, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 214, 121, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 192, 32, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 715, 138, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 199, 119, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 205, 10, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 373, 116, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 8, 1, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 2125, 12, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 388, 182, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 229, 31, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 589, 48, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 279, 48, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 329, 89, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 335, 5, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 332, 55, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 284, 125, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 345, 91, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196978, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 2, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196979, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 21724, 1, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196980, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 2, 11, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196981, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 214, 121, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196982, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 205, 10, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196983, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 202, 5, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196984, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 714, 2, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196985, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 347, 52, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196986, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1083, 12, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196987, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196988, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 310, 7, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196989, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 233, 5, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196990, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 369, 66, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196991, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1091, 11, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196992, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 398, 25, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196993, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 323, 2, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196994, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 2757, 5, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196995, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 3756, 7, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196996, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 153, 19, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196997, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 87, 4, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196998, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 6, 2, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (196999, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1106, 8, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197000, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 194, 24, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197001, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 199, 77, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197002, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 380, 61, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197003, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 8, 1, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197004, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 5, 1, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197005, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 285, 11, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197006, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 709, 3, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197007, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 306, 32, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197008, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 248, 12, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197009, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 150, 56, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197010, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 6, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197011, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 656, 8, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197012, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197013, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 3, 1, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197014, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 225, 18, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 285, 11, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 225, 18, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 290, 22, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 306, 32, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 323, 25, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 402, 22, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 153, 27, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 347, 28, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 154, 26, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 155, 21, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 674, 13, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 362, 16, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 99, 12, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 191, 25, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 46, 10, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 209, 13, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 174, 20, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 21, 8, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 257, 19, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 450, 8, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 216, 14, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 59, 3, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 71, 13, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 82, 6, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 194, 24, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 261, 15, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 335, 6, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 335, 15, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 37, 3, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 11, 4, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 456, 27, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 8, 1, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 198, 17, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1106, 8, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 2757, 5, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 233, 5, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 3756, 7, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 5, 1, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 656, 8, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 709, 3, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 348, 21, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1083, 12, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 173, 12, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 455, 19, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 6, 2, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 5434, 4, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 145, 7, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3, 3, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 2, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 2, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 308, 19, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 714, 2, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1201, 10, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 646, 1, 2024, 3, 20, '2024-08-05 16:03:48', NULL, NULL), (197069, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 310, 7, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197070, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 347, 52, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197071, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 248, 12, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197072, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 5, 1, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197073, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1106, 8, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197074, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 714, 2, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197075, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 21724, 1, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197076, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 214, 121, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197077, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 2, 11, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197078, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 153, 19, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197079, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 6, 2, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197080, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 306, 32, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197081, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 199, 77, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197082, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 709, 3, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197083, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 285, 11, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197084, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 225, 18, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197085, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 3756, 7, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197086, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 3, 1, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197087, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 205, 10, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197088, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 398, 25, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197089, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 646, 1, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197090, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 233, 5, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197091, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 8, 1, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197092, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 2757, 5, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197093, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 194, 24, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197094, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 87, 4, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197095, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 656, 8, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197096, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1083, 12, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197097, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1201, 10, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197098, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 202, 5, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197099, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 152, 55, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197100, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 380, 61, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197101, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 369, 66, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197102, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 164, 2, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197103, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 11, 4, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197104, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 335, 6, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197105, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1083, 12, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197106, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 4, 3, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197107, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 348, 21, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197108, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 173, 12, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197109, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 3, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197110, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 2, 2, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197111, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 455, 19, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197112, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 2, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197113, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 1, 1, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197114, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 306, 32, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197115, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 364, 4, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197116, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 190, 8, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197117, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 3756, 7, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197118, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 369, 5, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197119, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 122, 5, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197120, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 656, 8, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197121, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 2757, 5, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197122, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1106, 8, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197123, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 82, 6, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197124, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 59, 3, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197125, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 21, 8, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197126, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 450, 8, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197127, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 6, 2, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197128, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 46, 10, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197129, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 198, 17, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197130, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 292, 5, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197131, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 3, 1, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197132, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 408, 6, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197133, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 201, 17, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197134, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 52, 10, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197135, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 94, 9, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197136, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 285, 11, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197137, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 244, 11, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197138, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 207, 19, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197139, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 202, 5, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197140, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 37, 3, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197141, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 347, 28, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197142, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 674, 13, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197143, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 99, 12, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197144, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 362, 16, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197145, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 402, 22, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197146, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 225, 18, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197147, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 646, 1, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197148, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 21724, 1, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197149, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 714, 2, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197150, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 308, 19, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197151, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 8, 1, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197152, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 573, 1, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197153, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1201, 10, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197154, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 21, 3, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197155, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 290, 22, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197156, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 22, 2, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197157, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 137, 6, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197158, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 76, 1, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197159, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 721, 1, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197160, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 87, 4, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197161, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 5, 1, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197162, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 233, 5, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197163, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 154, 26, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197164, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 335, 15, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197165, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 155, 21, 2024, 3, 20, '2024-08-05 16:03:49', NULL, NULL), (197166, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 194, 24, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197167, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 323, 25, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197168, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 709, 3, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197169, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 153, 27, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197170, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 456, 27, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 323, 25, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 290, 22, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 261, 15, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 3, 1, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 202, 5, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 21724, 1, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 155, 21, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 154, 26, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 153, 27, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 456, 27, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 646, 1, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 455, 19, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 335, 15, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 348, 21, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 709, 3, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 173, 12, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 37, 3, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 198, 17, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 225, 18, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 308, 19, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 8, 1, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 82, 6, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 59, 3, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 21, 8, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 450, 8, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 46, 10, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 674, 13, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 99, 12, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 6, 2, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 656, 8, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 11, 4, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1083, 12, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 3756, 7, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 5, 1, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 233, 5, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1106, 8, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 335, 6, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 2757, 5, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 362, 16, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 714, 2, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 216, 14, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 2, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1201, 10, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 71, 13, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 194, 24, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 174, 20, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 257, 19, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 306, 32, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 2, 2, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 191, 25, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 4, 3, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 285, 11, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 209, 13, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 1, 1, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 347, 28, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 3, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 402, 22, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197228, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 306, 32, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197229, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 308, 19, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197230, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 3, 1, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197231, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 335, 15, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197232, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 292, 5, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197233, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 122, 5, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197234, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 456, 27, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197235, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 362, 16, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197236, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 347, 28, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197237, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 402, 22, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197238, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 1, 1, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197239, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 2, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197240, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 2, 2, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197241, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 3, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197242, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 4, 3, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197243, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 285, 11, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197244, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 198, 17, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197245, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 709, 3, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197246, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 37, 3, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (197247, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1106, 8, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197248, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 2757, 5, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197249, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 3756, 7, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197250, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 202, 5, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197251, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 6, 2, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197252, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 164, 2, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197253, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 233, 5, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197254, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 656, 8, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197255, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 290, 22, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197256, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 323, 25, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197257, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 674, 13, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197258, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 99, 12, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197259, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 153, 27, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197260, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1201, 10, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197261, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 154, 26, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197262, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 155, 21, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197263, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 714, 2, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197264, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 450, 8, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197265, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 46, 10, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197266, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 194, 24, 2024, 3, 20, '2024-08-05 16:03:50', NULL, NULL), (197267, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 21724, 1, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197268, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 11, 4, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197269, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 335, 6, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197270, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 21, 8, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197271, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 82, 6, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197272, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1083, 12, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197273, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 59, 3, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197274, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 5, 1, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197275, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 87, 4, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197276, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 8, 1, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197277, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 348, 21, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197278, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 76, 1, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197279, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 173, 12, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197280, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 721, 1, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197281, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 573, 1, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197282, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 455, 19, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197283, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 21, 3, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197284, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 22, 2, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197285, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 364, 4, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197286, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 137, 6, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197287, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 369, 5, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197288, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 190, 8, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197289, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 646, 1, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197290, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 244, 11, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197291, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 201, 17, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197292, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 207, 19, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197293, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 225, 18, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197294, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 52, 10, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197295, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 408, 6, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197296, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 94, 9, 2024, 3, 20, '2024-08-05 16:03:51', NULL, NULL), (197297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 203, 140, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 595, 1, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 962, 5, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 34, 100, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 206, 50, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 470, 167, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 246, 97, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 6, 2, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 294, 139, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 34, 1, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 742, 10, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 250, 176, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 193, 54, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 139, 39, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 239, 57, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 255, 111, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 314, 14, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 480, 34, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 307, 157, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 182, 59, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197317, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 595, 1, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197318, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 7, 3, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197319, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 279, 28, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197320, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 34, 100, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197321, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 6, 2, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197322, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 2394, 2, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197323, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 83, 2, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197324, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1386, 11, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197325, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 260, 64, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197326, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 496, 11, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197327, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 146, 7, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197328, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 303, 64, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197329, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1012, 7, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197330, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 390, 26, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197331, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197332, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 2, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197333, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 474, 5, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197334, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 7, 1, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197335, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 1868, 9, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197336, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 199, 20, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197337, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 1, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197338, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 5, 2, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197339, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 871, 7, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197340, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 501, 13, 2024, 3, 21, '2024-08-05 16:03:52', NULL, NULL), (197341, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 183, 37, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197342, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 288, 74, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197343, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 202, 68, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197344, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 3, 1, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197345, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 34, 1, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197346, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 48, 15, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197347, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1475, 2, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197348, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 384, 4, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197349, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 61, 25, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197350, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 69, 65, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197351, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197352, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197353, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 728, 12, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197354, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 116, 20, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197355, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 55, 1, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197356, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '', 0, 1, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 48, 15, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 21, 10, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 116, 20, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 12, 20, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 61, 25, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 291, 14, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 13, 18, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 358, 31, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 39, 23, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 236, 18, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 57, 16, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 414, 11, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 217, 25, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 588, 7, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 65, 8, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 199, 19, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 183, 8, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 198, 16, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 62, 16, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 64, 8, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 261, 13, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 31, 9, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 1328, 2, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 52, 8, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 70, 13, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 183, 37, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 248, 22, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 182, 27, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 390, 24, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 6, 2, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 153, 8, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 320, 22, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 34, 1, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 66, 8, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 501, 13, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 474, 5, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 55, 1, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 146, 7, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 1868, 9, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 3, 1, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1475, 2, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 728, 12, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 117, 11, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1386, 11, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 315, 16, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 506, 1, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 395, 13, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 202, 23, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B06', 595, 1, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 5, 1, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 871, 7, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 3, 1, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 269, 11, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 886, 8, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 8, 1, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 186, 4, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 169, 6, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 266, 3, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 83, 2, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 7, 1, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1012, 7, 2024, 3, 21, '2024-08-05 16:03:53', NULL, NULL), (197418, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 496, 11, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197419, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 384, 4, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197420, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 260, 64, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197421, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 3, 1, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197422, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 501, 13, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197423, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 83, 2, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197424, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 7, 3, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197425, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 34, 100, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197426, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 279, 28, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197427, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 199, 20, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197428, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 871, 7, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197429, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 61, 25, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197430, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 208, 62, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197431, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1475, 2, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197432, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 48, 15, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197433, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 116, 20, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197434, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 1868, 9, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197435, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 5, 2, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197436, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 6, 2, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197437, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 595, 1, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197438, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 390, 26, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197439, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 146, 7, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197440, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 34, 1, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197441, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 474, 5, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197442, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 183, 37, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197443, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 728, 12, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197444, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 7, 1, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197445, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1386, 11, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197446, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1012, 7, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197447, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 2394, 2, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197448, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 69, 65, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197449, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 292, 73, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197450, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 55, 1, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197451, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 308, 63, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197452, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 1328, 2, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197453, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 6, 2, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197454, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 202, 23, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197455, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1386, 11, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197456, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 117, 11, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197457, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 327, 9, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197458, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 315, 16, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197459, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 186, 4, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197460, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 506, 1, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197461, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 395, 13, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197462, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 384, 6, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197463, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 266, 3, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197464, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 169, 6, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197465, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 61, 25, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197466, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 418, 3, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197467, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 285, 1, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197468, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 311, 9, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197469, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 1868, 9, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197470, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 96, 5, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197471, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 55, 1, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197472, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 728, 12, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197473, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 474, 5, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197474, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 501, 13, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197475, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 52, 8, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197476, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 31, 9, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197477, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 62, 16, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197478, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 64, 8, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197479, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 871, 7, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197480, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 65, 8, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197481, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 66, 8, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197482, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 3, 1, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197483, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 7, 1, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197484, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 8, 1, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197485, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 272, 8, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197486, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 184, 10, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197487, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 198, 15, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197488, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 214, 10, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197489, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 48, 15, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197490, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 199, 19, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197491, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 2394, 2, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197492, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B06', 595, 1, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197493, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 153, 8, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197494, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 183, 8, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197495, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 358, 31, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197496, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 414, 11, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197497, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 236, 18, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197498, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 588, 7, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197499, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 291, 14, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197500, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 116, 20, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197501, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 5, 1, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197502, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 9, 2, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197503, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 83, 2, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197504, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 34, 1, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197505, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 208, 5, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197506, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1012, 7, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197507, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 70, 13, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197508, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 206, 4, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197509, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 21, 10, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197510, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 273, 6, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197511, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 3, 1, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197512, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 146, 7, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197513, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 390, 24, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197514, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 39, 23, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197515, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 182, 27, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197516, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 57, 16, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197517, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 12, 20, 2024, 3, 21, '2024-08-05 16:03:54', NULL, NULL), (197518, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 183, 37, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197519, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1475, 2, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197520, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 320, 22, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197521, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 13, 18, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 12, 20, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 5, 1, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 21, 10, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 70, 13, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 248, 22, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 2394, 2, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 9, 2, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 57, 16, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 39, 23, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 13, 18, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 320, 22, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 202, 23, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 395, 13, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 390, 24, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 182, 27, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 117, 11, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1475, 2, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 506, 1, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 315, 16, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 153, 8, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 66, 8, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 116, 20, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 34, 1, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 52, 8, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 31, 9, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 62, 16, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 64, 8, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 65, 8, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 183, 8, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 414, 11, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 588, 7, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 871, 7, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B06', 595, 1, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 728, 12, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1386, 11, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 1868, 9, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 3, 1, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 55, 1, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 146, 7, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 501, 13, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 474, 5, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 6, 2, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 236, 18, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 83, 2, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 261, 13, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 266, 3, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 1328, 2, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1012, 7, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 199, 19, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 183, 37, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 198, 16, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 7, 1, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 384, 6, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 61, 25, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 217, 25, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 327, 9, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 48, 15, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 3, 1, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 169, 6, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 358, 31, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 8, 1, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 186, 4, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 291, 14, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197585, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 61, 25, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197586, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 182, 27, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197587, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 390, 24, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197588, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 272, 8, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197589, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 96, 5, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197590, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 55, 1, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197591, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 320, 22, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197592, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 236, 18, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197593, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 358, 31, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197594, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 291, 14, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197595, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 169, 6, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197596, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 266, 3, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197597, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 384, 6, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197598, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 186, 4, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197599, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 327, 9, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197600, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B06', 595, 1, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197601, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 48, 15, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197602, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 7, 1, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197603, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 66, 8, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197604, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1475, 2, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197605, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 153, 8, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197606, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 501, 13, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197607, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 474, 5, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197608, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 2394, 2, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197609, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 1868, 9, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197610, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 871, 7, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197611, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 3, 1, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197612, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 1328, 2, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197613, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 146, 7, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197614, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 728, 12, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197615, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 70, 13, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197616, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 21, 10, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197617, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 12, 20, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197618, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 414, 11, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197619, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 13, 18, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197620, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 588, 7, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197621, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1012, 7, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197622, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 39, 23, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197623, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 8, 1, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197624, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 57, 16, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197625, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 183, 8, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197626, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 83, 2, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197627, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 5, 1, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197628, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 64, 8, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197629, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 65, 8, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197630, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 9, 2, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197631, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 183, 37, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197632, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 6, 2, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197633, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 62, 16, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197634, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1386, 11, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197635, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 52, 8, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197636, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 3, 1, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197637, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 31, 9, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197638, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 34, 1, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197639, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 117, 11, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197640, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 315, 16, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197641, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 506, 1, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197642, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 395, 13, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197643, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 208, 5, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197644, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 206, 4, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197645, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 202, 23, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197646, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 418, 3, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197647, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 273, 6, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197648, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 285, 1, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197649, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 311, 9, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197650, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 198, 15, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (197651, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 199, 19, 2024, 3, 21, '2024-08-05 16:03:55', NULL, NULL), (197652, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 116, 20, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197653, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 184, 10, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197654, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 214, 10, 2024, 3, 21, '2024-08-05 16:03:56', NULL, NULL), (197655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 428, 116, 2024, 3, 22, '2024-08-05 16:03:57', NULL, NULL), (197656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 20, 3, 2024, 3, 22, '2024-08-05 16:03:57', NULL, NULL), (197657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 153, 139, 2024, 3, 22, '2024-08-05 16:03:57', NULL, NULL), (197658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 213, 45, 2024, 3, 22, '2024-08-05 16:03:57', NULL, NULL), (197659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 515, 152, 2024, 3, 22, '2024-08-05 16:03:57', NULL, NULL), (197660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 113, 122, 2024, 3, 22, '2024-08-05 16:03:57', NULL, NULL), (197661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 319, 11, 2024, 3, 22, '2024-08-05 16:03:57', NULL, NULL), (197662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 356, 140, 2024, 3, 22, '2024-08-05 16:03:57', NULL, NULL), (197663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 20, 3, 2024, 3, 22, '2024-08-05 16:03:57', NULL, NULL), (197664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 266, 237, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 124, 41, 2024, 3, 22, '2024-08-05 16:03:57', NULL, NULL), (197666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 209, 31, 2024, 3, 22, '2024-08-05 16:03:57', NULL, NULL), (197667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 408, 63, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 273, 91, 2024, 3, 22, '2024-08-05 16:03:57', NULL, NULL), (197669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 58, 12, 2024, 3, 22, '2024-08-05 16:03:57', NULL, NULL), (197670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 244, 27, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 283, 154, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 252, 65, 2024, 3, 22, '2024-08-05 16:03:57', NULL, NULL), (197673, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 0, 3, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197674, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 20, 2, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197675, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 69, 24, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197676, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 153, 139, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197677, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 293, 12, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197678, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 19, 1, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197679, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 4155, 1, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197680, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 319, 14, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197681, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 362, 62, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197682, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197683, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 102, 12, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197684, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 980, 9, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197685, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 725, 57, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197686, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 140, 7, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197687, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 235, 21, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197688, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 1176, 1, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197689, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 6, 2, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197690, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 8, 1, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197691, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 164, 8, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197692, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 119, 17, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197693, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 16, 1, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197694, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1045, 3, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197695, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 884, 2, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197696, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1434, 5, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197697, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 149, 25, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197698, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 106, 84, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197699, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 321, 76, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197700, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 19251, 1, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197701, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 212, 12, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197702, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1002, 3, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197703, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 148, 14, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197704, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 94, 22, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197705, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 281, 60, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197706, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197707, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 493, 18, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197708, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 9, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197709, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197710, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 608, 1, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197711, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 138, 19, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 120, 23, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 212, 12, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 138, 19, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 176, 27, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 94, 22, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 889, 29, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 339, 26, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 520, 17, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 52, 19, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 612, 11, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 213, 10, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 111, 18, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 116, 22, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 302, 5, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 85, 17, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 309, 15, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 217, 6, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 130, 18, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 79, 12, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 186, 12, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 203, 12, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 128, 22, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C09', 2, 2, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 446, 13, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 16, 3, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 94, 21, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 149, 25, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 69, 19, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 382, 26, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 271, 5, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 299, 27, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 360, 6, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 278, 23, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 246, 10, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 174, 10, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1434, 5, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 6, 2, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 980, 9, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 164, 8, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 19251, 1, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1503, 2, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 493, 18, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 319, 14, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 520, 1, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 308, 11, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 284, 30, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 502, 20, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 2920, 1, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 108, 2, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 4, 1, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 11, 7, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 71, 5, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 1764, 1, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 10, 6, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 370, 3, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 17, 6, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 4155, 1, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 8, 1, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 140, 7, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 608, 1, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 1176, 1, 2024, 3, 22, '2024-08-05 16:03:58', NULL, NULL), (197773, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 102, 12, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197774, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 148, 14, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197775, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 362, 62, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197776, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 19251, 1, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197777, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1434, 5, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197778, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 4155, 1, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197779, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 20, 2, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197780, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 153, 139, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197781, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 69, 24, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197782, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 119, 17, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197783, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 608, 1, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197784, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1045, 3, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197785, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 94, 22, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197786, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 109, 78, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197787, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1503, 2, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197788, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 212, 12, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197789, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 138, 19, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197790, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 164, 8, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197791, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 319, 11, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197792, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 884, 2, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197793, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 235, 21, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197794, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 1176, 1, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197795, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 980, 9, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197796, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 6, 2, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197797, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 149, 25, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197798, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 16, 1, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197799, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 493, 18, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197800, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 8, 1, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197801, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 319, 14, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197802, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 140, 7, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197803, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 19, 1, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197804, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 281, 60, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197805, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 321, 76, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197806, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 725, 57, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197807, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 235, 4, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197808, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 360, 6, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197809, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 271, 5, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197810, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 319, 14, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197811, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 7, 5, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197812, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 520, 1, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197813, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 308, 11, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197814, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 10, 6, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197815, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 284, 30, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197816, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 84, 4, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197817, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 502, 20, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197818, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 17, 6, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197819, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 370, 3, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197820, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 94, 22, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197821, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 241, 8, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197822, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 25, 6, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197823, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 35, 8, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197824, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 164, 8, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197825, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 88, 3, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197826, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 493, 18, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197827, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 6, 2, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197828, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1434, 5, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197829, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 2920, 1, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197830, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 446, 13, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197831, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 186, 12, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197832, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 108, 2, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197833, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 309, 15, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197834, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 174, 10, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197835, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 4, 1, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197836, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 8, 1, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197837, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 1764, 1, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197838, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 94, 8, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197839, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 104, 3, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197840, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 108, 15, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197841, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 97, 14, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197842, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 127, 4, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197843, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 95, 15, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197844, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 212, 12, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197845, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 134, 19, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197846, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 19, 1, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197847, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 246, 10, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197848, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 217, 6, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197849, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 520, 17, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197850, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 608, 1, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197851, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 213, 10, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197852, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 612, 11, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197853, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 302, 5, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197854, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 889, 29, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197855, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 138, 19, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197856, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 1176, 1, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197857, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 20, 2, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197858, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 4155, 1, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197859, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 94, 21, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197860, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 237, 2, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197861, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 140, 7, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197862, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 239, 3, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197863, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 120, 23, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197864, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 13, 2, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197865, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C09', 2, 2, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197866, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 16, 3, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197867, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 3, 3, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197868, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 131, 4, 2024, 3, 22, '2024-08-05 16:03:59', NULL, NULL), (197869, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 16, 1, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197870, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 19251, 1, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197871, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 980, 9, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197872, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 299, 27, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197873, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 52, 19, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197874, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 382, 26, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197875, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 111, 18, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197876, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 176, 27, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197877, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 149, 25, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197878, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 278, 23, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197879, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1503, 2, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197880, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 339, 26, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 176, 27, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 120, 23, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 94, 21, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 16, 3, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 69, 19, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C09', 2, 2, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 19, 1, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 20, 2, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 111, 18, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 52, 19, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 339, 26, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 278, 23, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 502, 20, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 1176, 1, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 299, 27, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 382, 26, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 520, 1, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1503, 2, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 284, 30, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 308, 11, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 246, 10, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 174, 10, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 138, 19, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 446, 13, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 186, 12, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 309, 15, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 217, 6, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 213, 10, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 302, 5, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 2920, 1, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 108, 2, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 360, 6, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 493, 18, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 319, 14, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 164, 8, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 19251, 1, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 980, 9, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1434, 5, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 6, 2, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 271, 5, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 608, 1, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 612, 11, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 4155, 1, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 203, 12, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 17, 6, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 140, 7, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 128, 22, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 130, 18, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 149, 25, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 8, 1, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 79, 12, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 84, 4, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 116, 22, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 94, 22, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 85, 17, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 7, 5, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 212, 12, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 4, 1, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 370, 3, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 520, 17, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 10, 6, 2024, 3, 22, '2024-08-05 16:04:00', NULL, NULL), (197942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 889, 29, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 1764, 1, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197944, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 94, 22, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197945, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 382, 26, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197946, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 299, 27, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197947, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 94, 8, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197948, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 88, 3, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197949, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 278, 23, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197950, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 612, 11, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197951, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 520, 17, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197952, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 889, 29, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197953, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 370, 3, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197954, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 17, 6, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197955, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 84, 4, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197956, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 10, 6, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197957, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 7, 5, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197958, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 212, 12, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197959, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 8, 1, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197960, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 174, 10, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197961, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1503, 2, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197962, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1434, 5, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197963, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 246, 10, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197964, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 6, 2, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197965, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 19, 1, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197966, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 164, 8, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197967, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 2920, 1, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197968, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 108, 2, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197969, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 4, 1, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197970, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C09', 2, 2, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197971, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 16, 3, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197972, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 235, 4, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197973, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 980, 9, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197974, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 94, 21, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197975, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 493, 18, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197976, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 120, 23, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197977, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 176, 27, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197978, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 213, 10, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197979, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 302, 5, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197980, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 339, 26, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197981, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 140, 7, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197982, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 52, 19, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197983, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 217, 6, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197984, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 1764, 1, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197985, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 111, 18, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197986, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 4155, 1, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197987, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 309, 15, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197988, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 20, 2, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197989, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 149, 25, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197990, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 360, 6, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197991, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 271, 5, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197992, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 186, 12, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197993, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 319, 14, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197994, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 446, 13, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197995, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 19251, 1, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197996, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 16, 1, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197997, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 520, 1, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197998, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 131, 4, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (197999, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 308, 11, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198000, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 284, 30, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198001, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 608, 1, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198002, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 237, 2, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198003, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 502, 20, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198004, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 239, 3, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198005, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 13, 2, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198006, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 3, 3, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198007, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 241, 8, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198008, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 35, 8, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198009, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 25, 6, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198010, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 95, 15, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198011, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 1176, 1, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198012, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 108, 15, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198013, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 134, 19, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198014, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 138, 19, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198015, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 97, 14, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198016, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 104, 3, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198017, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 127, 4, 2024, 3, 22, '2024-08-05 16:04:01', NULL, NULL), (198018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 798, 3, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 18, 1, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 2978, 30, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 2479, 13, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 0, 1, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 447, 14, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 3226, 1, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 0, 2, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 2500, 17, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198027, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198028, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 798, 3, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198029, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 0, 1, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198030, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 3000, 7, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198031, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1708, 40, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198032, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 18, 1, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 18, 1, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 2971, 23, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 798, 3, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 3000, 7, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198037, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 3000, 7, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198038, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 18, 1, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198039, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 798, 3, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198040, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 2971, 23, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198041, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 3000, 7, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198042, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 18, 1, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198043, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 798, 3, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198044, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 2971, 23, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 18, 1, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 2971, 23, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 3000, 7, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 798, 3, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198049, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 2971, 23, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198050, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 18, 1, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198051, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 798, 3, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198052, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 3000, 7, 2024, 3, 23, '2024-08-05 16:04:03', NULL, NULL), (198053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 5, 2024, 3, 24, '2024-08-05 16:04:05', NULL, NULL), (198054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 9, 2024, 3, 24, '2024-08-05 16:04:05', NULL, NULL), (198055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 0, 1, 2024, 3, 24, '2024-08-05 16:04:05', NULL, NULL), (198056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 0, 2, 2024, 3, 24, '2024-08-05 16:04:05', NULL, NULL), (198057, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 3, 24, '2024-08-05 16:04:05', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (198058, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 5, 2024, 3, 24, '2024-08-05 16:04:05', NULL, NULL), (198059, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 14, 2024, 3, 24, '2024-08-05 16:04:05', NULL, NULL), (198060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 404, 147, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 18, 1, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 751, 11, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 86, 130, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区水利局', '', '', 87, 1, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 261, 52, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 3252, 2, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 636, 200, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 284, 117, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 2157, 7, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 826, 174, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 578, 17, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 457, 286, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 346, 57, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 571, 42, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 476, 68, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 515, 117, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 406, 12, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 491, 50, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 461, 132, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 487, 90, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198081, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 0, 3, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198082, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '', 87, 1, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198083, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 789, 7, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198084, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198085, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 86, 130, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198086, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 26, 27, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198087, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2157, 7, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198088, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 546, 5, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198089, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 2019, 3, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198090, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1119, 77, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198091, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 177, 20, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198092, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 78, 16, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198093, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 2, 8, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198094, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 412, 9, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198095, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 517, 83, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198096, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 381, 9, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198097, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1199, 52, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198098, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 1270, 3, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198099, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 475, 10, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198100, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 195, 14, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198101, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 317, 20, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198102, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 174, 4, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198103, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1697, 1, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198104, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 956, 7, 2024, 3, 25, '2024-08-05 16:04:08', NULL, NULL), (198105, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 188, 26, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198106, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 323, 69, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198107, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 556, 95, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198108, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 7012, 1, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198109, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 7, 7, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198110, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 2356, 2, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198111, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 334, 8, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198112, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 339, 34, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198113, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 296, 65, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198114, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 12, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198115, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1000, 12, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198116, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 9, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198117, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198118, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 150, 20, 2024, 3, 25, '2024-08-05 16:04:09', NULL, NULL), (198119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 7, 7, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 150, 20, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 87, 23, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 339, 34, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 102, 23, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 319, 23, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 97, 27, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 559, 22, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 80, 23, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 83, 18, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 666, 35, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1542, 14, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 154, 16, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1054, 18, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 165, 5, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 199, 20, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 83, 4, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1091, 20, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 409, 17, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 279, 12, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 809, 15, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 281, 21, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 320, 16, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 57, 16, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 188, 26, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 296, 27, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 531, 34, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 166, 2, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 566, 37, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 800, 12, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 2954, 5, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 324, 16, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 296, 16, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 956, 7, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 475, 10, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 412, 9, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 195, 14, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 7012, 1, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1000, 12, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 2356, 2, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1031, 34, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 177, 20, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 1173, 17, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 1197, 26, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 789, 7, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1697, 1, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 8, 6, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 278, 12, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 4, 6, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 6, 4, 2024, 3, 25, '2024-08-05 16:04:11', NULL, NULL), (198169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 3, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 355, 12, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 2019, 3, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 381, 9, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B09', 87, 1, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 1906, 2, 2024, 3, 25, '2024-08-05 16:04:10', NULL, NULL), (198175, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 78, 16, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198176, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 334, 8, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198177, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1119, 77, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198178, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 7012, 1, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198179, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 956, 7, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198180, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 2019, 3, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198181, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 789, 7, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198182, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 86, 130, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198183, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 26, 27, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198184, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 317, 20, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198185, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1697, 1, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198186, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 339, 34, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198187, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 323, 69, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198188, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 2356, 2, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198189, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 7, 7, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198190, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 150, 20, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198191, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 195, 14, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198192, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 2157, 7, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198193, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1199, 52, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198194, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 1906, 2, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198195, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 18, 1, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198196, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 412, 9, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198197, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '区水利局', '', '', 87, 1, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198198, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 475, 10, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198199, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 188, 26, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198200, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 174, 4, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198201, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1000, 12, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198202, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 177, 20, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198203, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 381, 9, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198204, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 683, 4, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198205, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 296, 65, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198206, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 556, 95, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198207, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 537, 80, 2024, 3, 25, '2024-08-05 16:04:12', NULL, NULL), (198208, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 141, 6, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198209, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 2954, 5, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198210, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 166, 2, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198211, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 177, 20, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198212, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 8, 6, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198213, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1031, 34, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198214, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 4, 6, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198215, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 1173, 17, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198216, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 1197, 26, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198217, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 75, 8, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198218, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 3, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198219, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 6, 4, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198220, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 339, 34, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198221, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 320, 2, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198222, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 339, 6, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198223, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 40, 10, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198224, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 195, 14, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198225, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 529, 6, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198226, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1000, 12, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198227, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 956, 7, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198228, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 475, 10, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198229, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 320, 16, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198230, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 279, 12, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198231, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 165, 5, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198232, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1697, 1, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198233, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 296, 16, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198234, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 402, 11, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198235, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 694, 5, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198236, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 83, 4, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198237, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 377, 11, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198238, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 413, 9, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198239, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 7, 7, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198240, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 235, 16, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198241, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 187, 13, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198242, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 683, 4, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198243, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 324, 16, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198244, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1091, 20, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198245, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 559, 22, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198246, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1542, 14, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198247, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 666, 35, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198248, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1054, 18, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198249, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 319, 23, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198250, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 150, 20, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198251, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 1906, 2, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198252, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 789, 7, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198253, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 2019, 3, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198254, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 355, 12, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198255, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 18, 1, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198256, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '2B09', 87, 1, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198257, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 380, 2, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198258, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 57, 16, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198259, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 381, 9, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198260, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 87, 23, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198261, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 68, 3, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198262, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 11, 3, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198263, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 228, 4, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198264, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 635, 2, 2024, 3, 25, '2024-08-05 16:04:13', NULL, NULL), (198265, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 7012, 1, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198266, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 174, 4, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198267, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 412, 9, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198268, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 80, 23, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198269, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 566, 37, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198270, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 83, 18, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198271, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 531, 34, 2024, 3, 25, '2024-08-05 16:04:14', NULL, NULL), (198272, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 102, 23, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198273, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 188, 26, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198274, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 800, 12, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198275, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 2356, 2, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198276, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 97, 27, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 789, 7, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 102, 23, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 87, 23, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 57, 16, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 296, 27, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 683, 4, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 18, 1, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 83, 18, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 80, 23, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 97, 27, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 800, 12, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 1906, 2, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 1197, 26, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 566, 37, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 531, 34, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 1031, 34, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 2356, 2, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 1173, 17, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 324, 16, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 296, 16, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 150, 20, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 355, 12, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 3252, 2, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 320, 16, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 279, 12, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 165, 5, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1091, 20, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1542, 14, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1054, 18, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1697, 1, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1000, 12, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 2954, 5, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 177, 20, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 195, 14, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 7012, 1, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 412, 9, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 956, 7, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 166, 2, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 475, 10, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区水利局', '', '2B09', 87, 1, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 666, 35, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 433, 13, 2024, 3, 25, '2024-08-05 16:04:15', NULL, NULL), (198319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 2019, 3, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 3, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 281, 21, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 381, 9, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 83, 4, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 188, 26, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 409, 17, 2024, 3, 25, '2024-08-05 16:04:16', NULL, NULL), (198326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 339, 34, 2024, 3, 25, '2024-08-05 16:04:17', NULL, NULL), (198327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 154, 16, 2024, 3, 25, '2024-08-05 16:04:17', NULL, NULL), (198328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 75, 8, 2024, 3, 25, '2024-08-05 16:04:17', NULL, NULL), (198329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 8, 6, 2024, 3, 25, '2024-08-05 16:04:17', NULL, NULL), (198330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 7, 7, 2024, 3, 25, '2024-08-05 16:04:17', NULL, NULL), (198331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 209, 19, 2024, 3, 25, '2024-08-05 16:04:17', NULL, NULL), (198332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 6, 4, 2024, 3, 25, '2024-08-05 16:04:17', NULL, NULL), (198333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 559, 22, 2024, 3, 25, '2024-08-05 16:04:17', NULL, NULL), (198334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 319, 23, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 4, 6, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198336, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '区水利局', '', '2B09', 87, 1, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198337, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 339, 34, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198338, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 355, 12, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198339, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 531, 34, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198340, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 566, 37, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198341, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 402, 11, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198342, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 529, 6, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198343, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 800, 12, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198344, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 666, 35, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198345, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 559, 22, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198346, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 319, 23, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198347, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 6, 4, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198348, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 3, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198349, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 75, 8, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198350, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 4, 6, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198351, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 8, 6, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198352, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 7, 7, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198353, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 296, 16, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198354, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 2356, 2, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198355, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 324, 16, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198356, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 956, 7, 2024, 3, 25, '2024-08-05 16:04:20', NULL, NULL), (198357, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 475, 10, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198358, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 683, 4, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198359, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 195, 14, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198360, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1697, 1, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198361, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 141, 6, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198362, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 412, 9, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198363, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1000, 12, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198364, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 57, 16, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198365, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 87, 23, 2024, 3, 25, '2024-08-05 16:04:20', NULL, NULL), (198366, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 102, 23, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198367, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1542, 14, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198368, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 97, 27, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198369, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1054, 18, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198370, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 381, 9, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198371, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 80, 23, 2024, 3, 25, '2024-08-05 16:04:20', NULL, NULL), (198372, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 83, 18, 2024, 3, 25, '2024-08-05 16:04:20', NULL, NULL), (198373, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1091, 20, 2024, 3, 25, '2024-08-05 16:04:20', NULL, NULL), (198374, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 18, 1, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198375, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 2019, 3, 2024, 3, 25, '2024-08-05 16:04:20', NULL, NULL), (198376, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 789, 7, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198377, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 165, 5, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198378, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 188, 26, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198379, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 2954, 5, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198380, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 166, 2, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198381, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 279, 12, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198382, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 320, 16, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198383, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 177, 20, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198384, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 7012, 1, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198385, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 174, 4, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198386, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 1031, 34, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198387, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 228, 4, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198388, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 635, 2, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198389, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 1173, 17, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198390, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 380, 2, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198391, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 1197, 26, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198392, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 68, 3, 2024, 3, 25, '2024-08-05 16:04:19', NULL, NULL), (198393, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 320, 2, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198394, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 11, 3, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198395, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 40, 10, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198396, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 339, 6, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198397, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 1906, 2, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198398, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 235, 16, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198399, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 83, 4, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198400, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 187, 13, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198401, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 377, 11, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198402, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 150, 20, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198403, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 694, 5, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198404, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 413, 9, 2024, 3, 25, '2024-08-05 16:04:18', NULL, NULL), (198405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 251, 154, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 119, 3, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 5920, 2, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 162, 107, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 56, 40, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 801, 204, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 97, 127, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 912, 5, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 490, 152, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 98, 7, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 410, 254, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 534, 48, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 791, 50, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 414, 60, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 360, 128, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 247, 12, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 246, 51, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 232, 114, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 308, 93, 2024, 3, 26, '2024-08-05 16:04:24', NULL, NULL), (198424, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198425, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 119, 3, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198426, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198427, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 17, 26, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198428, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 162, 107, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198429, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 912, 5, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198430, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 1, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198431, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 63, 2, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198432, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 774, 19, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198433, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 383, 69, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198434, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 944, 3, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198435, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 179, 10, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198436, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 3947, 3, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198437, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 273, 67, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198438, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 2655, 9, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198439, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 226, 35, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198440, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 2, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198441, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 4034, 6, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198442, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 15223, 1, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198443, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 396, 2, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198444, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 125, 15, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198445, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 103, 22, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198446, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 238, 3, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198447, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198448, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 3277, 10, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198449, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 509, 7, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198450, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 225, 28, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198451, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 75, 103, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198452, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 584, 80, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198453, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 0, 1, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198454, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 1246, 1, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198455, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 140, 20, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198456, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 475, 3, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198457, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 105, 6, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198458, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 290, 39, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198459, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 76, 70, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198460, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 8, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198461, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 741, 25, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198462, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 11, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (198463, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 5306, 2, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198464, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198465, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 140, 12, 2024, 3, 26, '2024-08-05 16:04:25', NULL, NULL), (198466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 140, 12, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 140, 20, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 310, 28, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 43, 20, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 290, 39, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 438, 22, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 236, 24, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 209, 19, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 56, 13, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 81, 6, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 179, 26, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 369, 9, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 155, 16, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 41, 16, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 66, 13, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 553, 25, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 106, 19, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 209, 10, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 15, 19, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 149, 23, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 50, 14, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 34, 10, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 71, 11, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 59, 4, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 104, 9, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 59, 16, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 225, 28, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 126, 25, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 535, 31, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 8, 2, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 738, 26, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 670, 2, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1514, 3, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 475, 23, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 107, 9, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 509, 7, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 4034, 6, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 944, 3, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 125, 15, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 1246, 1, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 771, 24, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 475, 3, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 314, 23, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 774, 19, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 410, 29, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 430, 17, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 165, 2, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 3277, 10, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 14, 5, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 53, 4, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 396, 2, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 21, 8, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 6, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 4, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 15223, 1, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 63, 2, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 2655, 9, 2024, 3, 26, '2024-08-05 16:04:27', NULL, NULL), (198523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 5306, 2, 2024, 3, 26, '2024-08-05 16:04:26', NULL, NULL), (198524, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 179, 10, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198525, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 105, 6, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198526, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 383, 69, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198527, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 1246, 1, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198528, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 509, 7, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198529, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 63, 2, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198530, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 119, 3, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198531, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 162, 107, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198532, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 17, 26, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198533, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 116, 19, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198534, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 5306, 2, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198535, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 3277, 10, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198536, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 290, 39, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198537, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 79, 89, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198538, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 475, 3, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198539, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 140, 20, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198540, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 140, 12, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198541, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 125, 15, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198542, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 912, 5, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198543, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 226, 35, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198544, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 944, 3, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198545, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 5920, 2, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198546, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 4034, 6, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198547, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 225, 28, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198548, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 238, 3, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198549, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 396, 2, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198550, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 771, 24, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198551, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 15223, 1, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198552, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 774, 19, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198553, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 2655, 9, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198554, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 76, 70, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198555, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 584, 80, 2024, 3, 26, '2024-08-05 16:04:28', NULL, NULL), (198556, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 273, 67, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198557, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 15, 2, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198558, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1514, 3, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198559, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 8, 2, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198560, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 430, 17, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198561, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 774, 19, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198562, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 11, 4, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198563, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 314, 23, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198564, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 21, 8, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198565, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 410, 29, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198566, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 53, 4, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198567, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 4, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198568, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 6, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198569, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 290, 39, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198570, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 8, 2, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198571, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 153, 4, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198572, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 220, 8, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198573, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 125, 15, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198574, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 104, 4, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198575, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 771, 24, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198576, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 4034, 6, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198577, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 509, 7, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198578, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 104, 9, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198579, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 59, 4, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198580, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 15, 19, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198581, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 50, 14, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198582, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 3277, 10, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198583, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 66, 13, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198584, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 107, 9, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198585, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 15223, 1, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198586, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 75, 13, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198587, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 131, 16, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198588, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 65, 14, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198589, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 54, 4, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198590, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 396, 2, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198591, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 41, 8, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198592, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 92, 20, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198593, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 140, 20, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198594, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 47, 14, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198595, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 670, 2, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198596, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 209, 10, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198597, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 5306, 2, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198598, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 209, 19, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198599, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 369, 9, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198600, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 155, 16, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198601, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 179, 26, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198602, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 438, 22, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198603, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 140, 12, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198604, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 165, 2, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198605, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 29, 1, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198606, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 63, 2, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198607, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 5920, 2, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198608, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 2655, 9, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198609, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 59, 16, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198610, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 221, 5, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198611, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 310, 28, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198612, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 47, 3, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198613, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 4, 2, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198614, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 107, 5, 2024, 3, 26, '2024-08-05 16:04:29', NULL, NULL), (198615, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 1246, 1, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198616, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 238, 3, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198617, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 944, 3, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198618, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 56, 13, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198619, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 738, 26, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198620, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 81, 6, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198621, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 535, 31, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198622, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 43, 20, 2024, 3, 26, '2024-08-05 16:04:30', NULL, NULL), (198623, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 225, 28, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198624, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 236, 24, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198625, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 475, 3, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198626, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 475, 23, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 165, 2, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 43, 20, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 310, 28, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 59, 16, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 126, 25, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 5920, 2, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 29, 1, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 81, 6, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 56, 13, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 236, 24, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 475, 23, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 430, 17, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 738, 26, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 535, 31, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 314, 23, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 475, 3, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 410, 29, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 670, 2, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 140, 12, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 107, 9, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 104, 9, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 59, 4, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 15, 19, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 50, 14, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 66, 13, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 209, 10, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 369, 9, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 155, 16, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 3277, 10, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1514, 3, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 771, 24, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 774, 19, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 125, 15, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 1246, 1, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 944, 3, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 509, 7, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 4034, 6, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 8, 2, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 5306, 2, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 179, 26, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 63, 2, 2024, 3, 26, '2024-08-05 16:04:31', NULL, NULL), (198668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 34, 10, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 71, 11, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 4, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 2655, 9, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 106, 19, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 225, 28, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 15223, 1, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 149, 23, 2024, 3, 26, '2024-08-05 16:04:32', NULL, NULL), (198676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 396, 2, 2024, 3, 26, '2024-08-05 16:04:33', NULL, NULL), (198677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 53, 4, 2024, 3, 26, '2024-08-05 16:04:33', NULL, NULL), (198678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 41, 16, 2024, 3, 26, '2024-08-05 16:04:33', NULL, NULL), (198679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 290, 39, 2024, 3, 26, '2024-08-05 16:04:33', NULL, NULL), (198680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 11, 4, 2024, 3, 26, '2024-08-05 16:04:33', NULL, NULL), (198681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 86, 23, 2024, 3, 26, '2024-08-05 16:04:33', NULL, NULL), (198682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 140, 20, 2024, 3, 26, '2024-08-05 16:04:33', NULL, NULL), (198683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 6, 2024, 3, 26, '2024-08-05 16:04:33', NULL, NULL), (198684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 209, 19, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 21, 8, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 438, 22, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198687, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 290, 39, 2024, 3, 26, '2024-08-05 16:04:36', NULL, NULL), (198688, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 535, 31, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198689, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 738, 26, 2024, 3, 26, '2024-08-05 16:04:36', NULL, NULL), (198690, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 75, 13, 2024, 3, 26, '2024-08-05 16:04:36', NULL, NULL), (198691, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 104, 4, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198692, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 179, 26, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198693, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 475, 23, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198694, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 209, 19, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198695, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 438, 22, 2024, 3, 26, '2024-08-05 16:04:36', NULL, NULL), (198696, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 6, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198697, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 4, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198698, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 53, 4, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198699, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 21, 8, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198700, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 11, 4, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198701, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 140, 20, 2024, 3, 26, '2024-08-05 16:04:36', NULL, NULL), (198702, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 15223, 1, 2024, 3, 26, '2024-08-05 16:04:36', NULL, NULL), (198703, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 107, 9, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198704, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 475, 3, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198705, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 670, 2, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198706, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 509, 7, 2024, 3, 26, '2024-08-05 16:04:36', NULL, NULL), (198707, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 4034, 6, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198708, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 125, 15, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198709, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 3277, 10, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198710, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 944, 3, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198711, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 15, 2, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198712, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 771, 24, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198713, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 59, 16, 2024, 3, 26, '2024-08-05 16:04:36', NULL, NULL), (198714, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 310, 28, 2024, 3, 26, '2024-08-05 16:04:36', NULL, NULL), (198715, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 43, 20, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198716, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 369, 9, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198717, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 155, 16, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198718, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 236, 24, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198719, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 2655, 9, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198720, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 56, 13, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198721, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 81, 6, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198722, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 209, 10, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198723, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 63, 2, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198724, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 5920, 2, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198725, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 165, 2, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198726, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 50, 14, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198727, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 66, 13, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198728, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 29, 1, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198729, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 225, 28, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198730, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1514, 3, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198731, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 8, 2, 2024, 3, 26, '2024-08-05 16:04:36', NULL, NULL), (198732, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 59, 4, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198733, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 15, 19, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198734, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 774, 19, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198735, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 104, 9, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198736, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 1246, 1, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198737, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 238, 3, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198738, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 314, 23, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198739, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 107, 5, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198740, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 5306, 2, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198741, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 410, 29, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198742, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 221, 5, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198743, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 430, 17, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198744, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 47, 3, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198745, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 8, 2, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198746, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 4, 2, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198747, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 220, 8, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198748, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 153, 4, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198749, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 92, 20, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198750, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 65, 14, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198751, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 396, 2, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198752, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 47, 14, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198753, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 140, 12, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198754, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 54, 4, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198755, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 131, 16, 2024, 3, 26, '2024-08-05 16:04:34', NULL, NULL), (198756, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 41, 8, 2024, 3, 26, '2024-08-05 16:04:35', NULL, NULL), (198757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 135, 95, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 67, 2, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 101, 120, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 958, 40, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 347, 173, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 145, 101, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏生态环境局', '', '', 90, 1, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 146, 1, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 776, 100, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 44, 3, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 311, 225, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 104, 37, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 349, 29, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 184, 21, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 315, 115, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 338, 13, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 191, 43, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 540, 108, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 284, 55, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198776, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 0, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198777, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 44, 3, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198778, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198779, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 175, 21, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198780, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 101, 120, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198781, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 146, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198782, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 964, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198783, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1083, 52, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198784, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 368, 14, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198785, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198786, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 79, 10, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198787, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 98, 4, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198788, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 29, 30, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198789, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 63, 6, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198790, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 375, 35, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198791, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 15215, 2, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198792, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 580, 7, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198793, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 528, 11, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198794, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 86, 14, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198795, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 24, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198796, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 4, 1, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198797, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 133, 6, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198798, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 32, 5, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198799, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 229, 32, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198800, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 151, 84, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198801, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 452, 47, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198802, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '', 90, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198803, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 283, 3, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198804, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 248, 7, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198805, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 10, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198806, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 148, 10, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198807, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 109, 26, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198808, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 151, 64, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198809, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 5, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198810, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198811, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1088, 18, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198812, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 115, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198813, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 202, 16, 2024, 3, 27, '2024-08-05 16:04:37', NULL, NULL), (198814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 248, 7, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 60, 21, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 202, 16, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 60, 24, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 109, 26, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 39, 7, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 84, 24, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 54, 9, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 235, 20, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 9, 14, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 75, 12, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 421, 13, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 166, 14, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 280, 8, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 93, 10, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 14, 9, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 113, 14, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 386, 14, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 156, 15, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 40, 12, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 138, 18, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 170, 12, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 216, 13, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 123, 13, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 23, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 94, 19, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 229, 32, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 165, 18, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 314, 18, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 538, 29, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 146, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 660, 6, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 62, 10, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 32, 5, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 580, 7, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 98, 4, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 528, 11, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 425, 2, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 10, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1152, 17, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1136, 21, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 368, 14, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1356, 13, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 825, 18, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 222, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 67, 2, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 115, 5, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 4, 3, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 4, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 90, 5, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 787, 4, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 12, 4, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 5, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 964, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 63, 6, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 115, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 15215, 2, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B10', 90, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198872, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 79, 10, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198873, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 148, 10, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198874, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1083, 52, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198875, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 425, 2, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (198876, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 32, 5, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198877, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 964, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198878, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 67, 2, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198879, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 101, 120, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198880, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 175, 21, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198881, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 86, 14, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198882, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 115, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198883, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 133, 6, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198884, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '翠屏生态环境局', '', '', 90, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198885, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 109, 26, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198886, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 169, 66, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198887, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 10, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198888, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 248, 7, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198889, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 202, 16, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198890, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 528, 11, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198891, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 4, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198892, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 146, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198893, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 375, 35, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198894, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 15215, 2, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198895, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 98, 4, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198896, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 580, 7, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198897, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 229, 32, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198898, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 24, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198899, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1152, 17, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198900, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 368, 14, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198901, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 63, 6, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198902, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 151, 64, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198903, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 452, 47, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198904, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 29, 30, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198905, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 124, 6, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198906, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 146, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198907, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 368, 14, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198908, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 4, 3, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198909, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1136, 21, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198910, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1356, 13, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198911, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 787, 4, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198912, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 825, 18, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198913, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 90, 5, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198914, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 5, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198915, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 12, 4, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198916, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 109, 26, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198917, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 164, 9, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198918, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 6, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198919, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 12, 4, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198920, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 528, 11, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198921, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 38, 2, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198922, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1152, 17, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198923, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 32, 5, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198924, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 580, 7, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198925, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 222, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198926, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 23, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198927, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 123, 13, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198928, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 40, 12, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198929, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 170, 12, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198930, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 93, 10, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198931, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 115, 5, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198932, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 62, 10, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198933, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '2B10', 90, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198934, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 4, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198935, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 237, 12, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198936, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 171, 10, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198937, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 127, 12, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198938, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 386, 5, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198939, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 99, 8, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198940, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 16, 8, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198941, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 248, 7, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198942, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 200, 11, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198943, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 660, 6, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198944, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 386, 14, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198945, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 115, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198946, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 54, 9, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198947, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 421, 13, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198948, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 9, 14, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198949, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 280, 8, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198950, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 39, 7, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198951, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 202, 16, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198952, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 15215, 2, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198953, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 67, 2, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198954, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 964, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198955, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 198, 3, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198956, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 94, 19, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198957, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 63, 6, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198958, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 32, 2, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198959, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 60, 21, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198960, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 4, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198961, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 40, 3, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198962, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 69, 2, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198963, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 212, 1, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198964, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 24, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198965, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 425, 2, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198966, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 98, 4, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198967, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 538, 29, 2024, 3, 27, '2024-08-05 16:04:38', NULL, NULL), (198968, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 235, 20, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198969, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 75, 12, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198970, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 314, 18, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198971, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 60, 24, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198972, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 229, 32, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198973, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 10, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198974, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 84, 24, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 67, 2, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 60, 24, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 60, 21, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 94, 19, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 165, 18, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 75, 12, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 235, 20, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 84, 24, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 825, 18, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 15215, 2, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 538, 29, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 314, 18, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 1136, 21, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 10, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1356, 13, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 660, 6, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 62, 10, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 202, 16, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏生态环境局', '', '2B10', 90, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 23, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 123, 13, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 40, 12, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 170, 12, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 93, 10, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (198999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 386, 14, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 421, 13, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 280, 8, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 222, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 115, 5, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 146, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1152, 17, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 368, 14, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 528, 11, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 425, 2, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 98, 4, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 32, 5, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 580, 7, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 115, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 9, 14, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 964, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 138, 18, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 63, 6, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 216, 13, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 5, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 113, 14, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 229, 32, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 156, 15, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 90, 5, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 166, 14, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 109, 26, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 4, 3, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 248, 7, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 14, 9, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 12, 4, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 54, 9, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 4, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 39, 7, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 787, 4, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199033, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 109, 26, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199034, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 314, 18, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199035, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 538, 29, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199036, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 237, 12, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199037, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 38, 2, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199038, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 9, 14, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199039, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 54, 9, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199040, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 39, 7, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199041, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 12, 4, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199042, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 5, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199043, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 90, 5, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199044, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 787, 4, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199045, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 4, 3, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199046, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 248, 7, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199047, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 62, 10, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199048, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 10, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199049, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 32, 5, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199050, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 660, 6, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199051, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 580, 7, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199052, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 528, 11, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199053, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 222, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199054, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 115, 5, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199055, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 124, 6, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199056, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 98, 4, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199057, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 94, 19, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199058, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1152, 17, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199059, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 60, 21, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199060, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 60, 24, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199061, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 421, 13, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199062, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 84, 24, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199063, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 280, 8, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199064, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 63, 6, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199065, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 235, 20, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199066, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 4, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199067, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 75, 12, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199068, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 386, 14, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199069, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 964, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199070, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 67, 2, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199071, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 170, 12, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199072, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 93, 10, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199073, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 229, 32, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199074, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 146, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199075, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 123, 13, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199076, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 40, 12, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199077, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 23, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199078, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 368, 14, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199079, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 425, 2, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199080, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 24, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199081, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '翠屏生态环境局', '', '2B10', 90, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199082, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 1136, 21, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199083, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 69, 2, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199084, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1356, 13, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199085, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 212, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199086, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 115, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199087, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 198, 3, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199088, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 825, 18, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199089, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 32, 2, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199090, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 4, 1, 2024, 3, 27, '2024-08-05 16:04:40', NULL, NULL), (199091, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 40, 3, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199092, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 164, 9, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199093, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 6, 1, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199094, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 12, 4, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199095, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 16, 8, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199096, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 15215, 2, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199097, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 127, 12, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199098, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 200, 11, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199099, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 386, 5, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199100, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 202, 16, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199101, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 171, 10, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199102, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 99, 8, 2024, 3, 27, '2024-08-05 16:04:39', NULL, NULL), (199103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 211, 145, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (199104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1014, 5, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (199105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 39, 98, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (199106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 230, 1, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (199107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 336, 41, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (199108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 380, 151, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (199109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 66, 115, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (199110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 466, 7, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (199111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 669, 119, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (199112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 734, 7, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (199113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 234, 207, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (199114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 123, 44, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (199115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 424, 27, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (199116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 675, 59, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (199117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 139, 112, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (199118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 233, 18, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (199119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 164, 51, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (199120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 472, 84, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 202, 78, 2024, 3, 28, '2024-08-05 16:04:40', NULL, NULL), (199122, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 1267, 4, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199123, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199124, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 38, 100, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199125, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 255, 22, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199126, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 466, 7, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199127, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 5, 1, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199128, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 230, 1, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199129, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 60, 1, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199130, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 325, 12, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199131, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 305, 48, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199132, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199133, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 170, 2, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199134, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 132, 9, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199135, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 278, 60, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199136, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 544, 16, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199137, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 57, 14, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199138, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 2900, 1, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199139, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 12, 2, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199140, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 169, 12, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199141, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 48, 19, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199142, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 407, 2, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199143, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 6, 1, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199144, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 363, 11, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199145, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 4776, 4, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199146, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 147, 40, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199147, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 53, 79, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199148, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 689, 66, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199149, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '', 0, 1, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199150, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 1185, 3, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199151, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 73, 10, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199152, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 3891, 5, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199153, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 87, 6, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199154, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 203, 36, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199155, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 83, 60, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199156, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199157, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199158, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 493, 19, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199159, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 308, 2, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199160, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 305, 17, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 73, 10, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 53, 21, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 305, 17, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 203, 36, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 23, 19, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 27, 20, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 468, 20, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 198, 20, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 35, 16, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 92, 4, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 24, 5, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 178, 19, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 34, 5, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 87, 17, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 73, 11, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 36, 21, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 43, 14, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 51, 5, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 81, 18, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 93, 17, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 76, 7, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 78, 11, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 96, 16, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 165, 6, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 60, 17, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 147, 40, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 57, 24, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 915, 32, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 4, 4, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 476, 34, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 50, 6, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1083, 3, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 72, 8, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 4776, 4, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 12, 2, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 170, 2, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 169, 12, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 1185, 3, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 3891, 5, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 586, 16, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 325, 12, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 569, 16, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 46, 13, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 260, 19, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 727, 5, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 59, 6, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 1524, 3, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 129, 4, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 6, 1, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 227, 6, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 312, 4, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 339, 4, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 272, 6, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 60, 1, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 726, 12, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 308, 2, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 2900, 1, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199218, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 132, 9, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199219, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 87, 6, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199220, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 305, 48, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199221, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 1185, 3, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199222, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 4776, 4, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199223, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 60, 1, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199224, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 1267, 4, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199225, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 39, 98, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199226, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 255, 22, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199227, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 48, 19, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199228, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 308, 2, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199229, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 363, 11, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199230, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 203, 36, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199231, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 53, 79, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199232, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 3891, 5, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199233, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 73, 10, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199234, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 305, 17, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199235, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 169, 12, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199236, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 6, 1, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199237, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 466, 7, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199238, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 57, 14, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199239, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 2900, 1, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199240, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 170, 2, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199241, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 230, 1, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199242, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 12, 2, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199243, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 147, 40, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199244, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 407, 2, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199245, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 586, 16, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199246, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 325, 12, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199247, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 726, 12, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199248, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 5, 1, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199249, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 83, 60, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199250, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 689, 66, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199251, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 283, 59, 2024, 3, 28, '2024-08-05 16:04:41', NULL, NULL), (199252, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 122, 5, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199253, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1083, 3, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199254, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 4, 4, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199255, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 325, 12, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199256, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 7, 3, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199257, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 569, 16, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199258, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 46, 13, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199259, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 312, 4, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199260, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 260, 19, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199261, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 271, 5, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199262, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 272, 6, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199263, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 203, 36, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199264, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 339, 4, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199265, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 24, 1, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199266, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 99, 5, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199267, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 169, 12, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199268, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 144, 4, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199269, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 31, 6, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199270, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 230, 1, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199271, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 586, 16, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199272, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 4776, 4, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199273, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 12, 2, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199274, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 727, 5, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199275, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 165, 6, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199276, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 81, 18, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199277, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 78, 11, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199278, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 59, 6, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (199279, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 73, 11, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199280, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 72, 8, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199281, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 6, 1, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199282, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 43, 14, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199283, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 26, 9, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199284, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 46, 13, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199285, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 56, 5, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199286, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 124, 4, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199287, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 73, 10, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199288, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 30, 19, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199289, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 95, 15, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199290, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 5, 1, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199291, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 50, 6, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199292, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 51, 5, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199293, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 92, 4, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199294, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 198, 20, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199295, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 308, 2, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199296, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 34, 5, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199297, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 178, 19, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199298, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 468, 20, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199299, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 305, 17, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199300, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 2900, 1, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199301, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 1524, 3, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199302, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 494, 1, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199303, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 60, 1, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199304, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 32, 1, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199305, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 60, 17, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199306, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 726, 12, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199307, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 4, 1, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199308, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 53, 21, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199309, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 98, 2, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199310, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 29, 2, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199311, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 84, 5, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199312, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 6, 2, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199313, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 1185, 3, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199314, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 407, 2, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199315, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 170, 2, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199316, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 35, 16, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199317, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 476, 34, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199318, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 24, 5, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199319, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 915, 32, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199320, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 23, 19, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199321, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 147, 40, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199322, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 3891, 5, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199323, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 27, 20, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 1524, 3, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 23, 19, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 53, 21, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 60, 17, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 57, 24, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 5, 1, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 494, 1, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 24, 5, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 35, 16, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 27, 20, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 2900, 1, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 476, 34, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 915, 32, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 569, 16, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 3891, 5, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 260, 19, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 46, 13, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 50, 6, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 72, 8, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 305, 17, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 230, 1, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 165, 6, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 81, 18, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 78, 11, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 73, 11, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 51, 5, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 92, 4, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 34, 5, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 727, 5, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 59, 6, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 586, 16, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1083, 3, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 325, 12, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 169, 12, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 1185, 3, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 170, 2, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 4776, 4, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 4, 4, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 12, 2, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 308, 2, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 178, 19, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 60, 1, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 76, 7, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 87, 15, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 726, 12, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 272, 6, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 43, 14, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 147, 40, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 93, 17, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 271, 5, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 203, 36, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 87, 17, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 73, 10, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 7, 3, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 36, 21, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 339, 4, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 198, 20, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 6, 1, 2024, 3, 28, '2024-08-05 16:04:42', NULL, NULL), (199382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 312, 4, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 468, 20, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199384, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 203, 36, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199385, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 915, 32, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199386, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 476, 34, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199387, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 43, 14, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199388, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 31, 6, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199389, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 178, 19, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199390, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 198, 20, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199391, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 468, 20, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199392, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 339, 4, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199393, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 272, 6, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199394, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 271, 5, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199395, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 312, 4, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199396, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 7, 3, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199397, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 73, 10, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199398, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 72, 8, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199399, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 3891, 5, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199400, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 50, 6, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199401, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 4776, 4, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199402, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 12, 2, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199403, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 169, 12, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199404, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 5, 1, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199405, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 230, 1, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199406, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 727, 5, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199407, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 59, 6, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199408, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 170, 2, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199409, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 122, 5, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199410, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 586, 16, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199411, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 60, 17, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199412, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 53, 21, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199413, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 92, 4, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199414, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 23, 19, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199415, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 34, 5, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199416, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 27, 20, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199417, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 726, 12, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199418, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 35, 16, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199419, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 6, 1, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199420, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 24, 5, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199421, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 51, 5, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199422, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 60, 1, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199423, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 1524, 3, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199424, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 78, 11, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199425, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 73, 11, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199426, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 494, 1, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199427, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 147, 40, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199428, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1083, 3, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199429, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 4, 4, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199430, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 81, 18, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199431, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 165, 6, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199432, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 325, 12, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199433, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 1185, 3, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199434, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 407, 2, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199435, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 569, 16, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199436, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 84, 5, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199437, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 46, 13, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199438, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 6, 2, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199439, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 260, 19, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199440, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 308, 2, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199441, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 32, 1, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199442, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 4, 1, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199443, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 98, 2, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199444, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 24, 1, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199445, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 29, 2, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199446, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 99, 5, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199447, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 144, 4, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199448, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 2900, 1, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199449, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 30, 19, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199450, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 46, 13, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199451, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 95, 15, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199452, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 56, 5, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199453, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 305, 17, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199454, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 26, 9, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199455, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 124, 4, 2024, 3, 28, '2024-08-05 16:04:43', NULL, NULL), (199456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 242, 115, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 15, 3, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 33, 73, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 283, 34, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 555, 148, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 114, 100, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 960, 7, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1294, 151, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 9, 5, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 533, 201, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 525, 55, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 906, 6, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 518, 36, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 430, 132, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 672, 2, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 696, 76, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 355, 67, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 460, 66, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199474, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 0, 1, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199475, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 38, 1, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199476, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199477, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 28, 16, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199478, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 33, 73, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199479, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 840, 8, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199480, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1, 3, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199481, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199482, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 62, 10, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199483, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1147, 68, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199484, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199485, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 85, 5, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199486, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 134, 2, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199487, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 277, 46, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199488, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 488, 17, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199489, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1288, 17, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199490, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 5142, 1, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199491, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 4, 1, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199492, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 229, 14, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199493, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 115, 16, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199494, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199495, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 10, 1, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199496, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 620, 22, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199497, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 75, 5, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199498, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 179, 25, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199499, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 111, 77, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199500, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 498, 76, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199501, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 0, 4, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199502, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 39, 13, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199503, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 8842, 9, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199504, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 307, 2, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199505, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 326, 31, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199506, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 121, 44, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199507, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199508, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199509, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1294, 22, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199510, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 11, 1, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199511, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 4, 1, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199512, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 237, 17, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 39, 13, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 237, 17, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 326, 31, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 49, 19, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 339, 22, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 23, 13, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 244, 11, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 51, 15, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 23, 12, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 198, 13, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 133, 21, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1288, 17, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 92, 19, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 55, 11, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 94, 10, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 72, 17, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 163, 12, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 152, 11, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 100, 3, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 179, 25, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 13, 14, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 105, 16, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 639, 34, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 384, 42, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 6, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1119, 6, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 201, 13, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 107, 11, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 75, 5, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 4, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 134, 2, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 229, 14, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 11369, 7, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1294, 22, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 313, 2, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 1110, 34, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 1184, 34, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 22, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 38, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 649, 21, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 15, 3, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 10, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 113, 3, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 9, 5, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 5, 5, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 2, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 488, 17, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 11, 1, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 5142, 1, 2024, 3, 29, '2024-08-05 16:04:44', NULL, NULL), (199562, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 85, 5, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199563, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 307, 2, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199564, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1147, 68, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199565, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 75, 5, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199566, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 38, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199567, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 33, 73, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199568, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 28, 16, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199569, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 115, 16, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199570, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 11, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199571, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 620, 22, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199572, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 326, 31, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199573, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 111, 77, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199574, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 11369, 7, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199575, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 39, 13, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199576, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 237, 17, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199577, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 229, 14, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199578, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 10, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199579, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 4, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199580, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 960, 7, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199581, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1288, 17, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199582, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 5142, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199583, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 134, 2, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199584, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 4, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199585, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 179, 25, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199586, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1294, 22, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199587, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 313, 2, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199588, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 488, 17, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199589, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 5, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199590, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 121, 44, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199591, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 498, 76, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199592, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 277, 46, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199593, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 6, 3, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199594, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1119, 6, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199595, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 6, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199596, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 1184, 34, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199597, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 313, 2, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199598, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 15, 3, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199599, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 9, 5, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199600, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 168, 2, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199601, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 1110, 34, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199602, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 2, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199603, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 326, 31, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199604, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 6, 4, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199605, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 307, 2, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199606, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 204, 2, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199607, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 229, 14, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199608, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 15, 2, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199609, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1294, 22, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199610, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 4, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199611, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 75, 5, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199612, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 22, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199613, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 100, 3, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199614, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 72, 17, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199615, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 649, 21, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199616, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 107, 11, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199617, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 10, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199618, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 103, 12, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199619, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 4, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199620, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 104, 9, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199621, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 60, 10, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199622, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 238, 5, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199623, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 148, 9, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199624, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 39, 13, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199625, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 100, 15, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199626, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 100, 17, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199627, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 5, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199628, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 201, 13, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199629, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 11, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199630, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 244, 11, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199631, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 198, 13, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199632, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1288, 17, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199633, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 339, 22, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199634, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 5142, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199635, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 237, 17, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199636, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 38, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199637, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 4, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199638, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 488, 17, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199639, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 13, 14, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199640, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 9, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199641, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 59, 4, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199642, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 272, 4, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199643, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 153, 3, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199644, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 11, 1, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199645, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 134, 2, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199646, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 384, 42, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199647, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 51, 15, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199648, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 23, 12, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199649, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 639, 34, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199650, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 179, 25, 2024, 3, 29, '2024-08-05 16:04:45', NULL, NULL), (199651, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 49, 19, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199652, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 11369, 7, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199653, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 23, 13, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 38, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 49, 19, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 13, 14, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 105, 16, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 4, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 5, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 23, 12, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 51, 15, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 23, 13, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 1184, 34, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 1110, 34, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 384, 42, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 5142, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 639, 34, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 11369, 7, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 201, 13, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 237, 17, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 107, 11, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 100, 3, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 72, 17, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1288, 17, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 22, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 649, 21, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1119, 6, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1294, 22, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 313, 2, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 229, 14, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 134, 2, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 75, 5, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 4, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 6, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 11, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 198, 13, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (199687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 163, 12, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 2, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 488, 17, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 152, 11, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 55, 11, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 179, 25, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 94, 10, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 133, 21, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 326, 31, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 168, 2, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 15, 3, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 39, 13, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 92, 19, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 6, 4, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 244, 11, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 10, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 339, 22, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 9, 5, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199705, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 326, 31, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199706, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 4, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199707, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 639, 34, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199708, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 384, 42, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199709, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 103, 12, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199710, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 15, 2, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199711, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 198, 13, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199712, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 244, 11, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199713, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 339, 22, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199714, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 6, 4, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199715, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 2, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199716, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 168, 2, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199717, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 9, 5, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199718, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 15, 3, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199719, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 39, 13, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199720, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 107, 11, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199721, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 11369, 7, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199722, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 75, 5, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199723, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 201, 13, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199724, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 4, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199725, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 5, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199726, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 229, 14, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199727, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 22, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199728, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 649, 21, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199729, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 6, 3, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199730, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 134, 2, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199731, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 13, 14, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199732, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1294, 22, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199733, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 49, 19, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199734, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 23, 13, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199735, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1288, 17, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199736, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 488, 17, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199737, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 51, 15, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199738, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 10, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199739, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 23, 12, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199740, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 38, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199741, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 179, 25, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199742, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1119, 6, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199743, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 6, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199744, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 72, 17, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199745, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 100, 3, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199746, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 313, 2, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199747, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 153, 3, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199748, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 11, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199749, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 11, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199750, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 4, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199751, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 1110, 34, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199752, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 9, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199753, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 1184, 34, 2024, 3, 29, '2024-08-05 16:04:47', NULL, NULL), (199754, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 59, 4, 2024, 3, 29, '2024-08-05 16:04:47', NULL, NULL), (199755, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 307, 2, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199756, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 272, 4, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199757, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 5142, 1, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199758, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 204, 2, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199759, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 100, 15, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199760, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 60, 10, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199761, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 100, 17, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199762, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 238, 5, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199763, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 237, 17, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199764, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 104, 9, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199765, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 148, 9, 2024, 3, 29, '2024-08-05 16:04:46', NULL, NULL), (199766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1036, 60, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 1048, 39, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 874, 7, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 696, 2, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 858, 11, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199771, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199772, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199773, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 489, 9, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199774, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1070, 54, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199775, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 0, 1, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1249, 30, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 966, 21, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 501, 5, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 474, 4, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199780, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 489, 9, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199781, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1133, 51, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199782, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 474, 4, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199783, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 501, 5, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199784, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 966, 21, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199785, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1249, 30, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 474, 4, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 501, 5, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 966, 21, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1249, 30, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199790, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 1249, 30, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199791, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 966, 21, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199792, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 501, 5, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199793, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 474, 4, 2024, 3, 30, '2024-08-05 16:04:48', NULL, NULL), (199794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 20, 2, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 939, 14, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 879, 11, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 123, 1, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 411, 3, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 4, 4, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199800, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 23, 1, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199801, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199802, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 318, 12, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199803, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1333, 7, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199804, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 18, 1, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199805, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 0, 1, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 18, 1, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 130, 3, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 23, 1, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 428, 8, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 527, 1, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 4402, 2, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199812, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 3110, 3, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199813, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 18, 1, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199814, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 347, 11, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199815, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 23, 1, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199816, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 428, 8, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199817, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 527, 1, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199818, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 4402, 2, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199819, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 23, 1, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199820, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 130, 3, 2024, 3, 31, '2024-08-05 16:04:49', NULL, NULL), (199821, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 18, 1, 2024, 3, 31, '2024-08-05 16:04:50', NULL, NULL), (199822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 18, 1, 2024, 3, 31, '2024-08-05 16:04:50', NULL, NULL), (199823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 428, 8, 2024, 3, 31, '2024-08-05 16:04:50', NULL, NULL), (199824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 23, 1, 2024, 3, 31, '2024-08-05 16:04:50', NULL, NULL), (199825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 130, 3, 2024, 3, 31, '2024-08-05 16:04:50', NULL, NULL), (199826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 4402, 2, 2024, 3, 31, '2024-08-05 16:04:50', NULL, NULL), (199827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 527, 1, 2024, 3, 31, '2024-08-05 16:04:50', NULL, NULL), (199828, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 23, 1, 2024, 3, 31, '2024-08-05 16:04:50', NULL, NULL), (199829, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 130, 3, 2024, 3, 31, '2024-08-05 16:04:50', NULL, NULL), (199830, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 18, 1, 2024, 3, 31, '2024-08-05 16:04:50', NULL, NULL), (199831, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 428, 8, 2024, 3, 31, '2024-08-05 16:04:50', NULL, NULL), (199832, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 527, 1, 2024, 3, 31, '2024-08-05 16:04:50', NULL, NULL), (199833, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 4402, 2, 2024, 3, 31, '2024-08-05 16:04:50', NULL, NULL), (199834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 166, 111, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 83, 4, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 432, 147, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 171, 57, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 584, 320, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 567, 146, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1043, 4, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 304, 193, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 3770, 2, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 239, 10, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 397, 281, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 407, 81, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 429, 98, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 378, 58, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 411, 170, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 485, 76, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 526, 104, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 424, 102, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199852, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199853, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 102, 3, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199854, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199855, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 432, 147, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199856, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 65, 17, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199857, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1043, 4, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199858, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 24, 1, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199859, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 99, 1, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199860, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 288, 17, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199861, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 216, 80, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199862, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199863, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 807, 6, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199864, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 428, 12, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199865, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 232, 51, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199866, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 549, 13, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199867, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 921, 80, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199868, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 12, 3, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199869, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 11, 1, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199870, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1826, 19, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199871, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 811, 2, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199872, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 107, 13, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199873, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 639, 43, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199874, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 371, 8, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199875, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199876, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 8, 1, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199877, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 332, 17, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199878, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1068, 10, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199879, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 95, 25, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199880, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 537, 80, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199881, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 362, 111, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199882, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 2901, 1, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199883, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 3770, 2, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199884, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 54, 16, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199885, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 312, 4, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199886, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 503, 9, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199887, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 167, 20, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199888, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 191, 110, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199889, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 9, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199890, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 8, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199891, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 716, 25, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199892, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199893, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 231, 37, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199894, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '', 0, 1, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 54, 16, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 386, 30, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 231, 37, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 167, 20, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 280, 23, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 210, 17, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 395, 28, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 1002, 2, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 209, 9, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 364, 33, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 267, 24, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 927, 24, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 582, 32, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 725, 27, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 207, 14, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 669, 21, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1100, 29, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 470, 21, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 148, 20, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 752, 16, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 161, 22, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 153, 12, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 504, 26, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 281, 18, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 680, 33, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 95, 25, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 469, 28, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 543, 23, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 203, 30, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1043, 4, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 213, 11, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 404, 28, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 3770, 2, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 188, 13, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1187, 9, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1826, 19, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 428, 12, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 107, 13, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 2901, 1, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 624, 2, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 716, 25, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 288, 17, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 231, 30, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 187, 23, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 225, 27, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 3, 1, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 332, 17, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 72, 5, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 8, 1, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 13, 2, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 811, 2, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 74, 5, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 122, 4, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 47, 4, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 343, 30, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 99, 1, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 11, 1, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 549, 13, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 29, 1, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 7, 1, 2024, 4, 1, '2024-08-05 16:04:51', NULL, NULL), (199955, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 807, 6, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199956, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 503, 9, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199957, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 216, 80, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199958, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 2901, 1, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199959, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1187, 9, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199960, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 99, 1, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199961, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 102, 3, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199962, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 432, 147, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199963, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 65, 17, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199964, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 639, 43, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199965, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 332, 17, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199966, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 167, 20, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199967, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 537, 80, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199968, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 624, 2, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199969, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 54, 16, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199970, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 231, 37, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199971, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 107, 13, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199972, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 8, 1, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199973, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1043, 4, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199974, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 921, 80, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199975, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 18, 2, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199976, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 428, 12, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199977, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1826, 19, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199978, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 3770, 2, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199979, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 95, 25, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199980, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 371, 8, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199981, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 811, 2, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199982, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 716, 25, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199983, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 11, 1, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199984, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 288, 17, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199985, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 549, 13, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199986, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 24, 1, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199987, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 191, 110, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199988, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 362, 111, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199989, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 237, 50, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199990, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 1590, 3, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199991, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1043, 4, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (199992, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 288, 17, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199993, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 27, 2, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199994, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 231, 30, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199995, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 1, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199996, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 187, 23, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (199997, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 74, 5, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (199998, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 225, 27, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (199999, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 3, 1, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200000, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 47, 4, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200001, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 167, 20, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200002, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 122, 4, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200003, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 439, 2, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200004, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 522, 7, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200005, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 107, 13, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200006, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 25, 3, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200007, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 437, 4, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200008, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 716, 25, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200009, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1826, 19, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200010, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1187, 9, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200011, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 153, 12, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200012, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 281, 18, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200013, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 148, 20, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200014, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 161, 22, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200015, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 207, 14, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200016, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 332, 17, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200017, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 188, 13, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200018, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 11, 1, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200019, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 8, 1, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200020, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 538, 21, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200021, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 438, 4, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200022, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 497, 8, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200023, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 811, 2, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200024, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 346, 14, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200025, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 673, 8, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200026, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 54, 16, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200027, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 629, 25, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200028, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 24, 1, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200029, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 213, 11, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200030, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1100, 29, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200031, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 209, 9, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200032, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 927, 24, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200033, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 267, 24, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200034, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 725, 27, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200035, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 210, 17, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200036, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 231, 37, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200037, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 7, 1, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200038, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 29, 1, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200039, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 102, 3, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200040, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 99, 1, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200041, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 343, 30, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200042, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 3770, 2, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200043, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 747, 2, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200044, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 549, 13, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200045, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 680, 33, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200046, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 775, 13, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200047, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 386, 30, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200048, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 416, 7, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200049, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 388, 9, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200050, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 961, 6, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200051, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 2901, 1, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200052, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 371, 8, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200053, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 428, 12, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200054, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 203, 30, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200055, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 364, 33, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200056, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 1002, 2, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200057, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 543, 23, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200058, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 280, 23, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200059, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 95, 25, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200060, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 624, 2, 2024, 4, 1, '2024-08-05 16:04:52', NULL, NULL), (200061, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 395, 28, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200062, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 404, 28, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 280, 23, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 386, 30, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 680, 33, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 469, 28, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 24, 1, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 102, 3, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 364, 33, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 395, 28, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 404, 28, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 7, 1, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 203, 30, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 543, 23, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 231, 30, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 624, 2, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 29, 1, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 225, 27, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 187, 23, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 213, 11, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 188, 13, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 231, 37, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 343, 30, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 3770, 2, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 153, 12, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 281, 18, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 148, 20, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 161, 22, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 207, 14, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1100, 29, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 927, 24, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 725, 27, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 332, 17, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1043, 4, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 716, 25, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (200096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 288, 17, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 107, 13, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 2901, 1, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 428, 12, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1187, 9, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1826, 19, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 1, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 267, 24, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 99, 1, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 752, 16, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 549, 13, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 47, 4, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 504, 26, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 669, 21, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 95, 25, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 11, 1, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 470, 21, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 3, 1, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 811, 2, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 167, 20, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 582, 32, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 27, 2, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 54, 16, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 1002, 2, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 209, 9, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 122, 4, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 8, 1, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 74, 5, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 210, 17, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200125, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 167, 20, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200126, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 343, 30, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200127, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 543, 23, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200128, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 203, 30, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200129, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 538, 21, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200130, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 437, 4, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200131, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 267, 24, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200132, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 404, 28, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200133, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 209, 9, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200134, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 210, 17, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200135, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 122, 4, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200136, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 47, 4, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200137, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 3, 1, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200138, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 74, 5, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200139, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 1, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200140, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 27, 2, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200141, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 54, 16, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200142, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 11, 1, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200143, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 188, 13, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200144, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 624, 2, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200145, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 213, 11, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200146, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1187, 9, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200147, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1826, 19, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200148, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 107, 13, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200149, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 24, 1, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200150, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 332, 17, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200151, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 1590, 3, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200152, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 428, 12, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200153, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 680, 33, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200154, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 716, 25, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200155, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 386, 30, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200156, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 280, 23, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200157, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 927, 24, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200158, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 395, 28, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200159, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 725, 27, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200160, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 549, 13, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200161, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 364, 33, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200162, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 8, 1, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200163, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1100, 29, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200164, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 99, 1, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200165, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 161, 22, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200166, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 207, 14, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200167, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 102, 3, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200168, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 95, 25, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200169, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1043, 4, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200170, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 281, 18, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200171, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 148, 20, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200172, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 288, 17, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200173, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 2901, 1, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200174, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 153, 12, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200175, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 371, 8, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200176, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 3770, 2, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200177, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 231, 30, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200178, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 388, 9, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200179, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 187, 23, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200180, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 961, 6, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200181, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 225, 27, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200182, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 747, 2, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200183, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 775, 13, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200184, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 439, 2, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200185, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 416, 7, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200186, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 1002, 2, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200187, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 522, 7, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200188, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 25, 3, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200189, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 7, 1, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200190, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 29, 1, 2024, 4, 1, '2024-08-05 16:04:53', NULL, NULL), (200191, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 497, 8, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200192, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 811, 2, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200193, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 629, 25, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200194, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 346, 14, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200195, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 231, 37, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200196, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 438, 4, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200197, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 673, 8, 2024, 4, 1, '2024-08-05 16:04:54', NULL, NULL), (200198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 221, 126, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 438, 6, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 226, 128, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 284, 59, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 502, 240, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 156, 123, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 2817, 7, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 536, 139, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 262, 12, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 378, 221, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 518, 46, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 576, 47, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 421, 71, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 287, 159, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 580, 15, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 309, 39, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 360, 87, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 249, 111, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200216, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 0, 1, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200217, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 12, 4, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200218, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 102, 36, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200219, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 2051, 1, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200220, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 226, 128, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200221, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2817, 7, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200222, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1407, 1, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200223, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 7312, 1, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200224, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 536, 10, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200225, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 749, 59, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200226, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 202, 10, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200227, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 6, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200228, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 355, 14, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200229, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 133, 59, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200230, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 345, 17, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200231, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 533, 66, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200232, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200233, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 228, 9, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200234, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 2454, 1, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200235, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 634, 18, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200236, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 129, 14, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200237, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 387, 2, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200238, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 3814, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200239, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 2762, 10, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200240, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 385, 6, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200241, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 70, 29, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200242, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 151, 91, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200243, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 360, 73, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200244, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 300, 3, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200245, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 104, 10, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200246, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 315, 6, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200247, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 605, 28, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200248, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 130, 6, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200249, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 124, 73, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200250, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200251, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 627, 15, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200252, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 31, 1, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200253, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 1175, 1, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200254, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 262, 22, 2024, 4, 2, '2024-08-05 16:04:55', NULL, NULL), (200255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 104, 10, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 262, 22, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 224, 31, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 605, 28, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 239, 46, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 175, 23, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 345, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 153, 15, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 192, 26, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 73, 21, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 565, 31, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 144, 20, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 354, 10, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 77, 12, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 115, 27, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 126, 13, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 565, 25, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 132, 16, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 54, 15, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 200, 11, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 150, 14, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 290, 4, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 158, 17, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 160, 14, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 70, 29, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 241, 25, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 232, 18, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 339, 18, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 5167, 2, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 267, 33, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 517, 22, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 95, 8, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1878, 5, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 174, 6, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 385, 6, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 228, 9, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 355, 14, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 634, 18, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 901, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 315, 6, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 627, 15, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 536, 10, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 657, 25, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 817, 34, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 1878, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 9, 4, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 2860, 9, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 22, 9, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 3814, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 426, 9, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 2454, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 16, 7, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 213, 8, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 88, 5, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 7312, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 392, 15, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D15', 2051, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 31, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200313, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 202, 10, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200314, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 130, 6, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200315, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 749, 59, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200316, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 901, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200317, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 385, 6, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200318, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 7312, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200319, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 12, 4, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200320, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 226, 128, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200321, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 102, 36, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200322, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 129, 14, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200323, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 31, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200324, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 2762, 10, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200325, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 605, 28, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200326, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 151, 91, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200327, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 315, 6, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200328, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 104, 10, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200329, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 262, 22, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200330, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 634, 18, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200331, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 1175, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200332, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 3814, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200333, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 2817, 7, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200334, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 533, 66, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200335, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 355, 14, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200336, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 228, 9, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200337, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 70, 29, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200338, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 387, 2, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200339, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 2454, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200340, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 627, 15, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200341, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 536, 10, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200342, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 392, 15, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200343, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 1407, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200344, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 124, 73, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200345, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 360, 73, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200346, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '翠屏区公安', '', '', 2051, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200347, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 133, 59, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200348, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 37, 4, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200349, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1878, 5, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200350, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 5167, 2, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200351, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 817, 34, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200352, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 536, 10, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200353, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 29, 5, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200354, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 657, 25, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200355, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 9, 4, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200356, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 16, 7, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200357, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 303, 8, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200358, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 88, 5, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200359, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 605, 28, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200360, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 75, 7, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200361, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 94, 2, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200362, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 148, 4, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200363, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 312, 6, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200364, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 634, 18, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200365, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 125, 2, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200366, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 627, 15, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200367, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 385, 6, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200368, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 228, 9, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200369, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 1878, 1, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200370, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 290, 4, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200371, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 160, 14, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200372, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 54, 15, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200373, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 150, 14, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200374, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 77, 12, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200375, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 2860, 9, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200376, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 174, 6, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200377, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 3814, 1, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200378, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 206, 10, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200379, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 1175, 1, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200380, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 82, 8, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200381, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 98, 10, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200382, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 2454, 1, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200383, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 230, 11, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200384, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 236, 8, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200385, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 104, 10, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200386, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 119, 25, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200387, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 141, 19, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200388, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 1407, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200389, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 95, 8, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200390, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 565, 25, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200391, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 31, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200392, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 153, 15, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200393, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 565, 31, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200394, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 73, 21, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200395, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 354, 10, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200396, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 175, 23, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200397, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 262, 22, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200398, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '3D15', 2051, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200399, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 12, 4, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200400, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 7312, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200401, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 392, 15, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200402, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 42, 2, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200403, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 241, 25, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200404, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 217, 3, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200405, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 224, 31, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200406, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 67, 2, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200407, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 195, 1, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200408, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 8, 2, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200409, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 126, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200410, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 901, 1, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200411, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 387, 2, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200412, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 355, 14, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200413, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 267, 33, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200414, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 192, 26, 2024, 4, 2, '2024-08-05 16:04:56', NULL, NULL), (200415, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 345, 1, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200416, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 339, 18, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200417, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 70, 29, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200418, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 239, 46, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200419, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 517, 22, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200420, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 315, 6, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 239, 46, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 224, 31, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 241, 25, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 232, 18, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 1175, 1, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 1407, 1, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 12, 4, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 192, 26, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 517, 22, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 817, 34, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 267, 33, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 339, 18, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 657, 25, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 315, 6, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 95, 8, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 262, 22, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 174, 6, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 290, 4, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 160, 14, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 54, 15, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 150, 14, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 77, 12, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 565, 25, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D15', 2051, 1, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 565, 31, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 354, 10, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 1878, 1, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 2860, 9, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1878, 5, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 627, 15, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 536, 10, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 634, 18, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 901, 1, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 355, 14, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 385, 6, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 5167, 2, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 228, 9, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 9, 4, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 31, 1, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 73, 21, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 7312, 1, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 200, 11, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 88, 5, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 392, 15, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 158, 17, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 70, 29, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 126, 13, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 132, 16, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 303, 8, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 2454, 1, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 605, 28, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 144, 20, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 29, 5, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 104, 10, 2024, 4, 2, '2024-08-05 16:04:57', NULL, NULL), (200475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 115, 27, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 345, 1, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 75, 7, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 153, 15, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 3814, 1, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 16, 7, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 175, 23, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200482, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 605, 28, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200483, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 1175, 1, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200484, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 339, 18, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200485, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 267, 33, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200486, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 206, 10, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200487, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 125, 2, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200488, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 73, 21, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200489, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 517, 22, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200490, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 153, 15, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200491, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 175, 23, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200492, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 75, 7, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200493, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 88, 5, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200494, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 303, 8, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200495, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 16, 7, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200496, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 9, 4, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200497, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 29, 5, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200498, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 104, 10, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200499, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 174, 6, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200500, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 315, 6, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200501, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 95, 8, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200502, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 385, 6, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (200503, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 228, 9, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200504, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 1407, 1, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200505, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 634, 18, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200506, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 1878, 1, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200507, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 2860, 9, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200508, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 37, 4, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200509, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 355, 14, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200510, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 241, 25, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200511, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 627, 15, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200512, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 224, 31, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200513, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 565, 31, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200514, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 239, 46, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200515, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 354, 10, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200516, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 392, 15, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200517, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 192, 26, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200518, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 3814, 1, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200519, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 565, 25, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200520, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 7312, 1, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200521, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 150, 14, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200522, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 77, 12, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200523, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 12, 4, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200524, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 70, 29, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200525, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1878, 5, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200526, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 5167, 2, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200527, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 160, 14, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200528, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 54, 15, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200529, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 536, 10, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200530, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 901, 1, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200531, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 290, 4, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200532, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 387, 2, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200533, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 657, 25, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200534, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 8, 2, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200535, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 126, 1, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200536, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 31, 1, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200537, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 42, 2, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200538, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 217, 3, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200539, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 817, 34, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200540, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 67, 2, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200541, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 195, 1, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200542, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 94, 2, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200543, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '翠屏区公安', '', '3D15', 2051, 1, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200544, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 345, 1, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200545, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 148, 4, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200546, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 312, 6, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200547, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 119, 25, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200548, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 98, 10, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200549, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 2454, 1, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200550, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 141, 19, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200551, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 230, 11, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200552, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 262, 22, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200553, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 82, 8, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200554, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 236, 8, 2024, 4, 2, '2024-08-05 16:04:58', NULL, NULL), (200555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 224, 113, 2024, 4, 3, '2024-08-05 16:04:59', NULL, NULL), (200556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 7172, 3, 2024, 4, 3, '2024-08-05 16:04:59', NULL, NULL), (200557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 53, 2, 2024, 4, 3, '2024-08-05 16:04:59', NULL, NULL), (200558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 14896, 2, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 151, 111, 2024, 4, 3, '2024-08-05 16:04:59', NULL, NULL), (200560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 90, 28, 2024, 4, 3, '2024-08-05 16:04:59', NULL, NULL), (200561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 457, 222, 2024, 4, 3, '2024-08-05 16:04:59', NULL, NULL), (200562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 84, 104, 2024, 4, 3, '2024-08-05 16:04:59', NULL, NULL), (200563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1334, 3, 2024, 4, 3, '2024-08-05 16:04:59', NULL, NULL), (200564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 547, 150, 2024, 4, 3, '2024-08-05 16:04:59', NULL, NULL), (200565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 46, 1, 2024, 4, 3, '2024-08-05 16:04:59', NULL, NULL), (200566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 274, 6, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 448, 206, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 413, 44, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 224, 56, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 321, 68, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 357, 112, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 398, 5, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 577, 61, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 390, 95, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 234, 87, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200576, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 7172, 3, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200577, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 0, 1, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200578, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 99, 1, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200579, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 5, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200580, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 4, 14, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200581, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 151, 111, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200582, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1334, 3, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200583, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 7, 1, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200584, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 46, 10, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200585, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 933, 61, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200586, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 14896, 2, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200587, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 229, 5, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200588, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 1565, 6, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200589, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 232, 47, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200590, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 263, 22, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200591, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 692, 49, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200592, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 0, 1, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200593, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 167, 10, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200594, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 126, 18, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200595, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 111, 15, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200596, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 190, 2, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200597, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200598, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 74, 12, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200599, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 832, 6, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200600, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 113, 33, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200601, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 69, 79, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200602, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 268, 88, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200603, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 0, 2, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200604, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 46, 1, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200605, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 25, 9, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200606, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 509, 3, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200607, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 33, 3, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200608, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 435, 24, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200609, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 350, 72, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200610, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 8, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200611, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200612, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 805, 21, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200613, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 176, 14, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 25, 9, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 127, 26, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 176, 14, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 435, 24, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 228, 31, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 120, 13, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 248, 14, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 81, 29, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 294, 20, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 777, 31, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 50, 19, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 1332, 24, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 309, 21, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 86, 13, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 545, 18, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 83, 20, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 102, 9, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 342, 15, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 246, 11, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 91, 21, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 436, 25, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 113, 33, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 161, 25, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 201, 14, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 802, 2, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 2398, 1, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 336, 31, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 46, 1, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 832, 6, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 185, 9, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 1565, 6, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 126, 18, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 838, 20, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 509, 3, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 46, 10, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 869, 30, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 995, 31, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 139, 1, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B06', 7172, 3, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 175, 4, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 3, 3, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 24, 8, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 36, 3, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 7, 1, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3, 1, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 5, 5, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 5, 3, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 252, 41, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 304, 19, 2024, 4, 3, '2024-08-05 16:05:00', NULL, NULL), (200663, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 229, 5, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200664, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 33, 3, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200665, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 933, 61, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200666, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 832, 6, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200667, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 99, 1, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200668, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 151, 111, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200669, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 4, 14, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200670, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 111, 15, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200671, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 74, 12, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200672, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 435, 24, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200673, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 69, 79, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200674, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 509, 3, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200675, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 25, 9, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200676, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 176, 14, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200677, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 126, 18, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200678, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1334, 3, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200679, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 7172, 3, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200680, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 692, 49, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200681, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 14896, 2, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200682, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 1565, 6, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200683, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 46, 1, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200684, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 185, 9, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200685, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 113, 33, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200686, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 190, 2, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200687, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 805, 21, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200688, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 46, 10, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200689, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 304, 19, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200690, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 7, 1, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200691, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 350, 72, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200692, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 274, 86, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200693, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 232, 47, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200694, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 229, 5, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200695, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 2398, 1, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200696, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 802, 2, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200697, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 46, 10, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200698, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 5, 2, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200699, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 869, 30, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200700, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 3, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200701, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 995, 31, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200702, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 1, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200703, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 5, 3, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200704, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 5, 5, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200705, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 435, 24, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200706, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 33, 3, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200707, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 126, 18, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200708, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 838, 20, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200709, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 832, 6, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200710, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 185, 9, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200711, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 175, 4, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200712, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 246, 11, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200713, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 436, 25, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200714, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 342, 15, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200715, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 24, 8, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200716, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 309, 21, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200717, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 139, 1, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200718, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 77, 13, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200719, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 87, 11, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200720, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 39, 14, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200721, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 100, 7, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200722, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 25, 9, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200723, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 92, 20, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200724, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 31, 14, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200725, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 7, 1, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200726, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B06', 7172, 3, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200727, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 545, 18, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200728, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 248, 14, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200729, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 777, 31, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200730, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 294, 20, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200731, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 120, 13, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200732, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 176, 14, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200733, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 99, 1, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200734, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 252, 41, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200735, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 46, 1, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200736, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 14896, 2, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200737, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 95, 2, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200738, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 161, 25, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200739, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 304, 19, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200740, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 79, 2, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200741, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 127, 26, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200742, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 168, 2, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200743, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 106, 5, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200744, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 114, 2, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200745, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 110, 2, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200746, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 190, 2, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200747, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 1565, 6, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200748, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 81, 29, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200749, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 201, 14, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200750, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 113, 33, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200751, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 228, 31, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200752, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 336, 31, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200753, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 509, 3, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 228, 31, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 127, 26, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 161, 25, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 14896, 2, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 7, 1, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 99, 1, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 81, 29, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 336, 31, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 201, 14, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 869, 30, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 509, 3, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 995, 31, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 176, 14, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 252, 41, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 46, 1, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 246, 11, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 436, 25, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 342, 15, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 309, 21, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 545, 18, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 777, 31, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 175, 4, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 24, 8, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 139, 1, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B06', 7172, 3, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 2398, 1, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 838, 20, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 46, 10, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 126, 18, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 1565, 6, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 832, 6, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 802, 2, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 185, 9, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 3, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 294, 20, 2024, 4, 3, '2024-08-05 16:05:01', NULL, NULL), (200789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 102, 9, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 5, 3, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 91, 21, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 304, 19, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 86, 13, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 113, 33, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 83, 20, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 50, 19, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 435, 24, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 5, 2, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 25, 9, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 99, 22, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 5, 5, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 248, 14, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 1, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 120, 13, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200805, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 435, 24, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200806, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 252, 41, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200807, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 201, 14, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200808, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 294, 20, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200809, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 336, 31, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200810, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 248, 14, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200811, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 120, 13, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200812, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 5, 5, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200813, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 5, 3, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200814, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 1, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200815, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 3, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200816, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 5, 2, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200817, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B06', 7172, 3, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200818, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 25, 9, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200819, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 509, 3, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200820, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 832, 6, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200821, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 139, 1, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200822, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 185, 9, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200823, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 7, 1, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200824, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 126, 18, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200825, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 175, 4, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200826, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 24, 8, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200827, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 229, 5, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200828, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 1565, 6, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200829, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 838, 20, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200830, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 161, 25, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200831, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 127, 26, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200832, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 228, 31, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200833, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 777, 31, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200834, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 81, 29, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200835, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 304, 19, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200836, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 545, 18, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200837, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 14896, 2, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200838, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 342, 15, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200839, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 309, 21, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200840, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 99, 1, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200841, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 113, 33, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200842, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 2398, 1, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200843, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 802, 2, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200844, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 436, 25, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200845, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 46, 10, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200846, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 246, 11, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200847, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 46, 1, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200848, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 190, 2, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200849, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 869, 30, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200850, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 114, 2, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200851, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 995, 31, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200852, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 110, 2, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200853, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 95, 2, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200854, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 79, 2, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200855, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 168, 2, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200856, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 106, 5, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200857, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 33, 3, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200858, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 92, 20, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200859, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 87, 11, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200860, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 31, 14, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200861, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 39, 14, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200862, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 176, 14, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200863, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 77, 13, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200864, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 100, 7, 2024, 4, 3, '2024-08-05 16:05:02', NULL, NULL), (200865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 250, 22, 2024, 4, 4, '2024-08-05 16:05:06', NULL, NULL), (200866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 138, 20, 2024, 4, 4, '2024-08-05 16:05:06', NULL, NULL), (200867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 263, 6, 2024, 4, 4, '2024-08-05 16:05:06', NULL, NULL), (200868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 377, 1, 2024, 4, 4, '2024-08-05 16:05:06', NULL, NULL), (200869, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 0, 4, 2024, 4, 4, '2024-08-05 16:05:06', NULL, NULL), (200870, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 249, 18, 2024, 4, 4, '2024-08-05 16:05:06', NULL, NULL), (200871, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 203, 5, 2024, 4, 4, '2024-08-05 16:05:06', NULL, NULL), (200872, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 0, 1, 2024, 4, 4, '2024-08-05 16:05:06', NULL, NULL), (200873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 138, 2, 2024, 4, 4, '2024-08-05 16:05:06', NULL, NULL), (200874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 349, 10, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 142, 5, 2024, 4, 4, '2024-08-05 16:05:06', NULL, NULL), (200876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 404, 2, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 69, 3, 2024, 4, 4, '2024-08-05 16:05:06', NULL, NULL), (200878, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 203, 5, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200879, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 263, 17, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200880, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 142, 5, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200881, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 404, 2, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200882, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 69, 3, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200883, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 138, 2, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200884, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 349, 10, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 142, 5, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 349, 10, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 138, 2, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 404, 2, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 69, 3, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200890, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 138, 2, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200891, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 349, 10, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200892, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 142, 5, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200893, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 404, 2, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200894, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 69, 3, 2024, 4, 4, '2024-08-05 16:05:07', NULL, NULL), (200895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 836, 1, 2024, 4, 5, '2024-08-05 16:05:11', NULL, NULL), (200896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1141, 9, 2024, 4, 5, '2024-08-05 16:05:11', NULL, NULL), (200897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 775, 7, 2024, 4, 5, '2024-08-05 16:05:11', NULL, NULL), (200898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1477, 2, 2024, 4, 5, '2024-08-05 16:05:11', NULL, NULL), (200899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 0, 2, 2024, 4, 5, '2024-08-05 16:05:11', NULL, NULL), (200900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 908, 3, 2024, 4, 5, '2024-08-05 16:05:11', NULL, NULL), (200901, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 836, 1, 2024, 4, 5, '2024-08-05 16:05:11', NULL, NULL), (200902, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 4, 5, '2024-08-05 16:05:12', NULL, NULL), (200903, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 931, 11, 2024, 4, 5, '2024-08-05 16:05:11', NULL, NULL), (200904, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 29, 1, 2024, 4, 5, '2024-08-05 16:05:12', NULL, NULL), (200905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1280, 8, 2024, 4, 5, '2024-08-05 16:05:12', NULL, NULL), (200906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 29, 1, 2024, 4, 5, '2024-08-05 16:05:12', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (200907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 836, 1, 2024, 4, 5, '2024-08-05 16:05:12', NULL, NULL), (200908, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 29, 1, 2024, 4, 5, '2024-08-05 16:05:12', NULL, NULL), (200909, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 836, 1, 2024, 4, 5, '2024-08-05 16:05:12', NULL, NULL), (200910, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1280, 8, 2024, 4, 5, '2024-08-05 16:05:12', NULL, NULL), (200911, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 836, 1, 2024, 4, 5, '2024-08-05 16:05:12', NULL, NULL), (200912, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 29, 1, 2024, 4, 5, '2024-08-05 16:05:12', NULL, NULL), (200913, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1280, 8, 2024, 4, 5, '2024-08-05 16:05:12', NULL, NULL), (200914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 836, 1, 2024, 4, 5, '2024-08-05 16:05:12', NULL, NULL), (200915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 1280, 8, 2024, 4, 5, '2024-08-05 16:05:12', NULL, NULL), (200916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 29, 1, 2024, 4, 5, '2024-08-05 16:05:12', NULL, NULL), (200917, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 836, 1, 2024, 4, 5, '2024-08-05 16:05:12', NULL, NULL), (200918, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 1280, 8, 2024, 4, 5, '2024-08-05 16:05:12', NULL, NULL), (200919, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 29, 1, 2024, 4, 5, '2024-08-05 16:05:12', NULL, NULL), (200920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 447, 2, 2024, 4, 6, '2024-08-05 16:05:16', NULL, NULL), (200921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 2, 2024, 4, 6, '2024-08-05 16:05:16', NULL, NULL), (200922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 1, 2024, 4, 6, '2024-08-05 16:05:17', NULL, NULL), (200923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 447, 2, 2024, 4, 6, '2024-08-05 16:05:16', NULL, NULL), (200924, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 93, 4, 2024, 4, 6, '2024-08-05 16:05:17', NULL, NULL), (200925, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 522, 1, 2024, 4, 6, '2024-08-05 16:05:17', NULL, NULL), (200926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 372, 1, 2024, 4, 6, '2024-08-05 16:05:17', NULL, NULL), (200927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 522, 1, 2024, 4, 6, '2024-08-05 16:05:17', NULL, NULL), (200928, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 522, 1, 2024, 4, 6, '2024-08-05 16:05:17', NULL, NULL), (200929, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 372, 1, 2024, 4, 6, '2024-08-05 16:05:17', NULL, NULL), (200930, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 522, 1, 2024, 4, 6, '2024-08-05 16:05:17', NULL, NULL), (200931, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 372, 1, 2024, 4, 6, '2024-08-05 16:05:17', NULL, NULL), (200932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 522, 1, 2024, 4, 6, '2024-08-05 16:05:17', NULL, NULL), (200933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 372, 1, 2024, 4, 6, '2024-08-05 16:05:17', NULL, NULL), (200934, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 372, 1, 2024, 4, 6, '2024-08-05 16:05:18', NULL, NULL), (200935, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 522, 1, 2024, 4, 6, '2024-08-05 16:05:18', NULL, NULL), (200936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 145, 80, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1065, 2, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 118, 106, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 286, 50, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 860, 219, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 65, 94, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 93, 7, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 461, 103, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 444, 5, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 447, 215, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 251, 48, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 269, 56, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 327, 54, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 626, 101, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 378, 2, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 4, 4, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 190, 58, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 570, 62, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 227, 66, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200955, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 0, 1, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200956, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 710, 3, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200957, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 4, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200958, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 82, 19, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200959, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 118, 106, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200960, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 93, 7, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200961, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 2633, 1, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200962, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 2042, 17, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200963, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 490, 38, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200964, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200965, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 331, 6, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200966, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 202, 5, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200967, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 228, 39, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200968, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 518, 23, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200969, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1684, 53, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200970, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 3031, 1, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200971, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1138, 8, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200972, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 598, 11, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200973, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 75, 21, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200974, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 4, 1, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200975, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 129, 2, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200976, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 274, 10, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200977, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1238, 13, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200978, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 22, 13, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200979, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 47, 68, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200980, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 451, 64, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200981, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 2171, 4, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200982, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 91, 9, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200983, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 6, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200984, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 53, 9, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200985, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 83, 19, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200986, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 91, 60, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200987, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200988, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200989, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 116, 14, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200990, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 245, 29, 2024, 4, 7, '2024-08-05 16:05:22', NULL, NULL), (200991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 91, 9, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 73, 11, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (200993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 245, 29, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (200994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 83, 19, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (200995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 45, 20, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (200996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 172, 20, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (200997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 381, 15, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (200998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 196, 15, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (200999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 153, 27, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 26, 9, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (201001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 2064, 26, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (201002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 34, 18, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1317, 27, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 102, 16, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 91, 9, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 66, 19, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (201007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 75, 12, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (201008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 33, 16, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 100, 9, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 84, 1, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 62, 14, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 58, 16, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 115, 28, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 22, 13, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 109, 11, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 448, 29, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 207, 3, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 454, 35, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 8, 4, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 114, 6, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 161, 7, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1238, 13, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (201023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1138, 8, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (201024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 331, 6, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 598, 11, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (201026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 2171, 4, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (201027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 5, 1, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 132, 12, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 2042, 17, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 423, 18, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 666, 14, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 283, 6, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 40, 1, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 273, 3, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 320, 6, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 427, 5, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 3, 1, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 18, 3, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 5, 1, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 256, 1, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 179, 5, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 110, 4, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 52, 3, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (201044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 2633, 1, 2024, 4, 7, '2024-08-05 16:05:23', NULL, NULL), (201045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 518, 23, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 3031, 1, 2024, 4, 7, '2024-08-05 16:05:24', NULL, NULL), (201047, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 202, 5, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201048, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 53, 9, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201049, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 490, 38, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201050, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 2171, 4, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201051, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1238, 13, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201052, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 2633, 1, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201053, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 1065, 2, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201054, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 118, 106, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201055, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 82, 19, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201056, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 77, 20, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201057, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 304, 9, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201058, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 83, 19, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201059, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 52, 59, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201060, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 5, 1, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201061, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 91, 9, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201062, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 245, 29, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201063, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 598, 11, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201064, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 93, 7, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201065, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 129, 2, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201066, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1684, 53, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201067, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 331, 6, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201068, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 3031, 1, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201069, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1138, 8, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201070, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 22, 13, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201071, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 4, 1, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201072, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 125, 13, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201073, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 2042, 17, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201074, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 518, 23, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201075, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 91, 60, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201076, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 451, 64, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201077, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 228, 39, 2024, 4, 7, '2024-08-05 16:05:25', NULL, NULL), (201078, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 48, 4, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201079, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 8, 4, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201080, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 207, 3, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201081, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 283, 6, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201082, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 2042, 17, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201083, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 18, 3, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201084, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 423, 18, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201085, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 2, 3, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201086, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 666, 14, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201087, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 179, 5, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201088, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 5, 1, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201089, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 52, 3, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201090, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 83, 19, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201091, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 110, 4, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201092, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 11, 2, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201093, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 65, 7, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201094, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 819, 1, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201095, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 598, 11, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201096, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 37, 3, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201097, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 132, 12, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201098, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1238, 13, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201099, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1138, 8, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201100, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 273, 3, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201101, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 84, 1, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201102, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 58, 16, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201103, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 75, 12, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201104, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 100, 9, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201105, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 320, 6, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201106, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 91, 9, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201107, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 40, 1, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201108, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 161, 7, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201109, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 3, 1, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201110, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 256, 1, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201111, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 39, 7, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201112, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 78, 9, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201113, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 84, 8, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201114, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 35, 11, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201115, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 91, 9, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201116, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 44, 13, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201117, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 41, 11, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201118, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 114, 6, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201119, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 196, 15, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201120, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 2064, 26, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201121, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 26, 9, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201122, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1317, 27, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201123, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 381, 15, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201124, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 245, 29, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201125, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 3031, 1, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201126, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 1065, 2, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201127, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 2633, 1, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201128, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 50, 2, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201129, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 115, 28, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201130, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 518, 23, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201131, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 73, 11, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201132, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 351, 3, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201133, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 22, 7, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201134, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 6, 2, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201135, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 40, 3, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201136, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 4, 1, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201137, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 2171, 4, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201138, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 331, 6, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201139, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 454, 35, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201140, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 153, 27, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201141, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 448, 29, 2024, 4, 7, '2024-08-05 16:05:26', NULL, NULL), (201142, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 45, 20, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201143, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 22, 13, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201144, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 5, 1, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201145, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 172, 20, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 1065, 2, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 45, 20, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 73, 11, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 115, 28, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 109, 11, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 153, 27, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 172, 20, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 283, 6, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 454, 35, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 448, 29, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 423, 18, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 5, 1, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 3031, 1, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 666, 14, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 114, 6, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 161, 7, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 245, 29, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 84, 1, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 58, 16, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 75, 12, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 100, 9, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 91, 9, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 2064, 26, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1317, 27, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 273, 3, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 320, 6, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 40, 1, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 8, 4, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 132, 12, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 2042, 17, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 598, 11, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 2171, 4, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 331, 6, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1238, 13, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 207, 3, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1138, 8, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 2, 3, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 26, 9, 2024, 4, 7, '2024-08-05 16:05:27', NULL, NULL), (201184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 2633, 1, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 33, 16, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 62, 14, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 52, 3, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 518, 23, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 22, 13, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 66, 19, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 5, 1, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 83, 19, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 34, 18, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 91, 9, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 18, 3, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 102, 16, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 3, 1, 2024, 4, 7, '2024-08-05 16:05:28', NULL, NULL), (201198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 196, 15, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 110, 4, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 381, 15, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 179, 5, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 256, 1, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201203, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 83, 19, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201204, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 448, 29, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201205, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 454, 35, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201206, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 39, 7, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201207, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 37, 3, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201208, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 26, 9, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201209, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 196, 15, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201210, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 381, 15, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201211, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 110, 4, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201212, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 52, 3, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201213, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 5, 1, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201214, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 179, 5, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201215, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 2, 3, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201216, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 18, 3, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201217, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 91, 9, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201218, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 161, 7, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201219, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 5, 1, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201220, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 114, 6, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201221, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1238, 13, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201222, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 40, 1, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201223, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1138, 8, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201224, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 598, 11, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201225, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 273, 3, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201226, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 320, 6, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201227, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 3, 1, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201228, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 331, 6, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201229, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 48, 4, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201230, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 115, 28, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201231, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 132, 12, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201232, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 73, 11, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201233, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 45, 20, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201234, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 2064, 26, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201235, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 172, 20, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201236, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1317, 27, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201237, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 518, 23, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201238, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 153, 27, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201239, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 256, 1, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201240, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 2633, 1, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201241, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 1065, 2, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201242, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 100, 9, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201243, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 91, 9, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201244, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 22, 13, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201245, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 8, 4, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201246, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 207, 3, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201247, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 58, 16, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201248, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 75, 12, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201249, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 2042, 17, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201250, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 84, 1, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201251, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 2171, 4, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201252, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 4, 1, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201253, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 423, 18, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201254, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 666, 14, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201255, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 6, 2, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201256, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 40, 3, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201257, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 50, 2, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201258, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 283, 6, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201259, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 351, 3, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201260, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 22, 7, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201261, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 11, 2, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201262, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 819, 1, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201263, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 65, 7, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201264, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 44, 13, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201265, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 3031, 1, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201266, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 41, 11, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201267, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 84, 8, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201268, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 245, 29, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201269, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 78, 9, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201270, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 35, 11, 2024, 4, 7, '2024-08-05 16:05:29', NULL, NULL), (201271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 240, 113, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 15508, 3, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 6649, 5, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 93, 2, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 151, 124, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 169, 43, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1084, 293, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 135, 128, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 2519, 5, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 536, 119, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 553, 250, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 458, 43, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 46, 4, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 321, 3, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 574, 73, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 11631, 4, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 511, 105, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 459, 52, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 619, 125, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 2711, 18, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 481, 89, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 337, 83, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201293, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 0, 1, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201294, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 93, 2, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201295, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 15508, 3, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201296, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 4, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201297, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 6, 14, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201298, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 151, 124, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201299, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2519, 5, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201300, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 439, 8, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201301, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 112, 44, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201302, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 5540, 6, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201303, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 58, 11, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201304, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 714, 11, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201305, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 152, 37, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201306, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 775, 26, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201307, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 2690, 88, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201308, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 7, 1, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201309, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 433, 7, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201310, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 320, 16, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201311, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 58, 26, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201312, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 114, 7, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201313, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 7, 1, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201314, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 662, 16, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201315, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 536, 9, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (201316, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 157, 27, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201317, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 75, 103, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201318, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 745, 71, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201319, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 60, 2, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201320, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 170, 14, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201321, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1493, 4, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201322, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201323, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 195, 5, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201324, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 425, 35, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201325, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 263, 84, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201326, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201327, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201328, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 449, 24, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201329, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 40, 1, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201330, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 2, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201331, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201332, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 248, 29, 2024, 4, 8, '2024-08-05 16:05:30', NULL, NULL), (201333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 170, 14, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 248, 29, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 127, 28, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 119, 29, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 425, 35, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 308, 11, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 144, 21, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 101, 15, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 251, 24, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 67, 11, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 2779, 46, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 72, 24, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 2592, 42, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 162, 14, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 1061, 33, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 79, 21, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 107, 12, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 109, 21, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 104, 12, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 43, 10, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 307, 3, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 388, 22, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 148, 13, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 569, 16, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 157, 27, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 122, 22, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 973, 37, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 517, 29, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 4708, 2, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1059, 3, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 391, 15, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 379, 5, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 248, 1, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 536, 9, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 433, 7, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 58, 11, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 320, 16, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 60, 2, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1493, 4, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 449, 24, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 501, 7, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 51, 16, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 198, 11, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 114, 17, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B06', 93, 2, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 444, 7, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 832, 9, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 11632, 4, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 2, 2, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 4, 2, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 7, 1, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 15, 3, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 6, 4, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 2, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 7, 1, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 775, 26, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 40, 1, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201390, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 714, 11, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201391, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 195, 5, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201392, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 112, 44, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201393, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 60, 2, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201394, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 536, 9, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201395, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 15508, 3, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201396, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 151, 124, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201397, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 6, 14, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201398, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 66, 19, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201399, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 40, 1, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201400, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 662, 16, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201401, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 425, 35, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201402, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 74, 86, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201403, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1493, 4, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201404, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 170, 14, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201405, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 248, 29, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201406, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 320, 16, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201407, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 2519, 5, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201408, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 7, 1, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201409, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 93, 2, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201410, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 2690, 88, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201411, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 6649, 5, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201412, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 58, 11, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201413, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 433, 7, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201414, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 157, 27, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201415, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 114, 7, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201416, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 449, 24, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201417, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 7, 1, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201418, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 501, 7, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201419, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 775, 26, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201420, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 263, 84, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201421, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 745, 71, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201422, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 152, 37, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201423, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 714, 11, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201424, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1059, 3, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201425, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 4708, 2, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201426, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 114, 17, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201427, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 501, 7, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201428, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 2, 2, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201429, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 51, 16, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201430, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 4, 1, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201431, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 15, 3, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201432, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 4, 2, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201433, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 198, 11, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201434, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 2, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201435, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 6, 4, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201436, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 425, 35, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201437, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 122, 4, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201438, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 486, 1, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201439, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 320, 16, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201440, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 449, 24, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201441, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 536, 9, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201442, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 433, 7, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201443, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 444, 7, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201444, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 569, 16, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201445, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 307, 3, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201446, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 148, 13, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201447, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 107, 12, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201448, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 43, 10, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201449, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 832, 9, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201450, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 162, 14, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201451, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 248, 1, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201452, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 7, 1, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201453, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 7, 1, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201454, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 77, 11, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201455, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 75, 17, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201456, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 73, 9, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201457, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 109, 7, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201458, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 170, 14, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201459, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 64, 26, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201460, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 73, 16, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201461, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B06', 93, 2, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201462, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 391, 15, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201463, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 40, 1, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201464, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 101, 15, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201465, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 2779, 46, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201466, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 67, 11, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201467, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 2592, 42, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201468, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 308, 11, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201469, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 248, 29, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201470, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 15508, 3, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201471, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 6649, 5, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201472, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 88, 2, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201473, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 775, 26, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201474, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 122, 22, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201475, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 98, 4, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201476, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 127, 28, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201477, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 52, 2, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201478, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 71, 8, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201479, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 11, 2, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201480, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 3, 1, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201481, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 60, 2, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201482, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 114, 7, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201483, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 58, 11, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201484, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 517, 29, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201485, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 251, 24, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201486, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 973, 37, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201487, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 119, 29, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201488, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 157, 27, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201489, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1493, 4, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201490, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 379, 5, 2024, 4, 8, '2024-08-05 16:05:31', NULL, NULL), (201491, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 144, 21, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 15508, 3, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 119, 29, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 127, 28, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 122, 22, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 6649, 5, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 251, 24, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 144, 21, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 379, 5, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 114, 17, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 198, 11, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 517, 29, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 973, 37, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 51, 16, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1493, 4, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 391, 15, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 248, 1, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 248, 29, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 569, 16, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 307, 3, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 148, 13, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 107, 12, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 43, 10, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 162, 14, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 2779, 46, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 2592, 42, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 444, 7, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 832, 9, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B06', 93, 2, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1059, 3, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 449, 24, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 501, 7, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 320, 16, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 60, 2, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 58, 11, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 536, 9, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 4708, 2, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 433, 7, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 4, 1, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 40, 1, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 67, 11, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 104, 12, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 2, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 388, 22, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 775, 26, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 79, 21, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 157, 27, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 7, 1, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 109, 21, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 4, 2, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 72, 24, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 425, 35, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 2, 2, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 170, 14, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 63, 28, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 101, 15, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 6, 4, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 7, 1, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 308, 11, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 15, 3, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201551, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 425, 35, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201552, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 973, 37, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201553, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 517, 29, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201554, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 379, 5, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201555, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 67, 11, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201556, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 101, 15, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201557, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 308, 11, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201558, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 6, 4, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201559, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 2, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201560, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 4, 2, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201561, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 15, 3, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201562, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 4, 1, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201563, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 2, 2, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201564, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B06', 93, 2, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201565, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 170, 14, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201566, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 7, 1, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201567, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 248, 1, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201568, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1493, 4, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201569, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 536, 9, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201570, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 391, 15, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201571, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 433, 7, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201572, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 320, 16, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201573, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 444, 7, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201574, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 832, 9, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201575, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 58, 11, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201576, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 714, 11, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201577, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 449, 24, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201578, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 122, 22, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201579, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 127, 28, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201580, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 119, 29, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201581, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 2779, 46, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201582, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 2592, 42, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201583, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 144, 21, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201584, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 775, 26, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201585, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 251, 24, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201586, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 7, 1, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201587, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 6649, 5, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201588, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 15508, 3, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201589, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 43, 10, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201590, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 162, 14, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201591, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 157, 27, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201592, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1059, 3, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201593, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 4708, 2, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201594, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 148, 13, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201595, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 107, 12, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201596, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 569, 16, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201597, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 501, 7, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201598, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 60, 2, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201599, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 307, 3, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201600, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 114, 7, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201601, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 51, 16, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201602, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 11, 2, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201603, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 40, 1, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201604, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 3, 1, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201605, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 88, 2, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201606, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 198, 11, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201607, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 98, 4, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201608, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 114, 17, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201609, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 52, 2, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201610, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 71, 8, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201611, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 122, 4, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201612, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 486, 1, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201613, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 64, 26, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201614, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 75, 17, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201615, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 73, 16, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201616, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 73, 9, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201617, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 248, 29, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201618, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 77, 11, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201619, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 109, 7, 2024, 4, 8, '2024-08-05 16:05:32', NULL, NULL), (201620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 149, 87, 2024, 4, 9, '2024-08-05 16:05:33', NULL, NULL), (201621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 6, 1, 2024, 4, 9, '2024-08-05 16:05:33', NULL, NULL), (201622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 170, 98, 2024, 4, 9, '2024-08-05 16:05:33', NULL, NULL), (201623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 287, 34, 2024, 4, 9, '2024-08-05 16:05:33', NULL, NULL), (201624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 384, 199, 2024, 4, 9, '2024-08-05 16:05:33', NULL, NULL), (201625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 75, 121, 2024, 4, 9, '2024-08-05 16:05:33', NULL, NULL), (201626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 7802, 5, 2024, 4, 9, '2024-08-05 16:05:33', NULL, NULL), (201627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 341, 120, 2024, 4, 9, '2024-08-05 16:05:33', NULL, NULL), (201628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 6, 1, 2024, 4, 9, '2024-08-05 16:05:33', NULL, NULL), (201629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 335, 186, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 224, 48, 2024, 4, 9, '2024-08-05 16:05:33', NULL, NULL), (201631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 186, 54, 2024, 4, 9, '2024-08-05 16:05:33', NULL, NULL), (201632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 200, 46, 2024, 4, 9, '2024-08-05 16:05:33', NULL, NULL), (201633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 198, 106, 2024, 4, 9, '2024-08-05 16:05:33', NULL, NULL), (201634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 263, 12, 2024, 4, 9, '2024-08-05 16:05:33', NULL, NULL), (201635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 2560, 16, 2024, 4, 9, '2024-08-05 16:05:33', NULL, NULL), (201636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 111, 37, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 222, 78, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 229, 102, 2024, 4, 9, '2024-08-05 16:05:33', NULL, NULL), (201639, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 28, 2, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201640, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 6, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201641, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201642, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 3, 16, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201643, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 170, 98, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201644, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 7802, 5, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201645, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 8, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201646, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 264, 61, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201647, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 992, 12, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201648, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201649, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 89, 11, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201650, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 145, 6, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201651, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 74, 44, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201652, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 544, 20, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201653, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 516, 37, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201654, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 9514, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201655, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 4, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201656, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 3163, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201657, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 706, 9, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201658, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 61, 17, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201659, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 375, 2, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201660, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 6, 2, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201661, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 7, 5, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201662, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 478, 6, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201663, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 79, 19, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201664, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 58, 102, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201665, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 416, 53, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201666, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 112, 2, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201667, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 0, 2, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201668, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 47, 6, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201669, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 456, 6, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201670, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 181, 7, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201671, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 442, 18, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201672, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 62, 82, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201673, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201674, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201675, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 940, 17, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201676, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 26, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201677, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 9, 15, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 47, 6, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 9, 15, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 158, 24, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 255, 17, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 442, 18, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 33, 10, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 224, 18, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 75, 15, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 160, 24, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 94, 19, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 674, 13, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 62, 21, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 353, 10, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 41, 20, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 86, 9, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 70, 14, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 485, 14, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 127, 18, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 30, 14, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 66, 16, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 77, 10, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 52, 6, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 69, 15, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 80, 16, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 52, 10, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 42, 15, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 79, 19, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 80, 23, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 7802, 5, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 425, 25, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 70, 11, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 478, 6, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 4, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 145, 6, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 706, 9, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 112, 2, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 940, 17, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 456, 6, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1082, 11, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 333, 22, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 170, 25, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 326, 14, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 9, 2, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 2, 2, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 9, 2, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 6, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 3, 3, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 6, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 4, 3, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 2, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 3163, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 1, 3, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (201730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 5, 4, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 407, 28, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 8, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 57, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 544, 20, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 26, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 9514, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201737, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 89, 11, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201738, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 181, 7, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201739, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 264, 61, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201740, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 112, 2, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201741, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 478, 6, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201742, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 8, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201743, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 6, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201744, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 170, 98, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201745, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 3, 16, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201746, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 68, 15, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201747, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 26, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201748, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 9, 4, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201749, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 442, 18, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201750, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 58, 86, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201751, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 456, 6, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201752, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 47, 6, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201753, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 9, 15, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201754, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 706, 9, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201755, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 6, 2, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201756, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 7802, 5, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201757, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 516, 37, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201758, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 9514, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201759, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 145, 6, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201760, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 4, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201761, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 79, 19, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201762, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 375, 2, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201763, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 3163, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201764, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 940, 17, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201765, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1082, 11, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201766, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 544, 20, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201767, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 62, 82, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201768, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 416, 53, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201769, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 74, 44, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201770, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 57, 1, 2024, 4, 9, '2024-08-05 16:05:34', NULL, NULL), (201771, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 66, 4, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201772, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 7802, 5, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201773, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1082, 11, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201774, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 2, 2, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201775, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 2, 2, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201776, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 333, 22, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201777, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 2, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201778, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 170, 25, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201779, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 4, 3, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201780, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 326, 14, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201781, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 5, 4, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201782, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 1, 3, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201783, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 442, 18, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201784, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 135, 2, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201785, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 199, 5, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201786, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 706, 9, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201787, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 102, 7, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201788, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 111, 5, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201789, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 940, 17, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201790, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 4, 1, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201791, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 478, 6, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201792, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 9, 2, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201793, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 52, 10, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201794, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 52, 6, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201795, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 80, 16, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201796, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 30, 14, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201797, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 66, 16, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201798, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 9, 2, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201799, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 86, 9, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201800, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 6, 1, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201801, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 6, 1, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201802, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 52, 11, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201803, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 50, 11, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201804, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 72, 13, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201805, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 3163, 1, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201806, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 58, 7, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201807, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 69, 7, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201808, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 57, 1, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201809, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 47, 6, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201810, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 41, 20, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201811, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 74, 17, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201812, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 70, 11, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201813, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 485, 14, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201814, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 26, 1, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201815, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 75, 15, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201816, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 674, 13, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201817, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 94, 19, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201818, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 353, 10, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201819, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 33, 10, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201820, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 9, 15, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201821, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 9514, 1, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201822, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 6, 1, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201823, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 8, 1, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201824, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 407, 28, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201825, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 42, 15, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201826, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 544, 20, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201827, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 49, 1, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201828, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 158, 24, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201829, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 10, 4, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201830, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 92, 4, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201831, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 13, 1, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201832, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 112, 2, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201833, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 375, 2, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201834, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 145, 6, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201835, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 160, 24, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201836, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 255, 17, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201837, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 79, 19, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201838, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 224, 18, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201839, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 425, 25, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201840, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 456, 6, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 255, 17, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 158, 24, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 42, 15, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 80, 23, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 6, 1, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 160, 24, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 224, 18, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 425, 25, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 9514, 1, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 326, 14, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 456, 6, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 170, 25, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 333, 22, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 70, 11, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 9, 15, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 407, 28, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 52, 10, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 52, 6, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 80, 16, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 30, 14, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 66, 16, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 86, 9, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 485, 14, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 674, 13, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 353, 10, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 9, 2, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 9, 2, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 7802, 5, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 940, 17, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1082, 11, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 706, 9, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 112, 2, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 145, 6, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 478, 6, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 4, 1, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 2, 2, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 26, 1, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 94, 19, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 8, 1, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 77, 10, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 5, 4, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 69, 15, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 544, 20, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 57, 1, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 70, 14, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 79, 19, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 127, 18, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 3163, 1, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 4, 3, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 442, 18, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 62, 21, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 2, 2, 2024, 4, 9, '2024-08-05 16:05:35', NULL, NULL), (201893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 47, 6, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 41, 20, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 6, 1, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 1, 3, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 75, 15, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 2, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 6, 1, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 33, 10, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201901, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 57, 1, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201902, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 442, 18, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201903, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 407, 28, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201904, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 52, 11, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201905, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 111, 5, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201906, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 425, 25, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201907, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 94, 19, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201908, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 75, 15, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201909, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 33, 10, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201910, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 1, 3, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201911, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 5, 4, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201912, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 4, 3, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201913, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 2, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201914, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 2, 2, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201915, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 2, 2, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201916, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 47, 6, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201917, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 456, 6, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201918, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 478, 6, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201919, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 70, 11, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201920, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 4, 1, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201921, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 706, 9, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201922, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 9, 2, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201923, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 9, 2, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201924, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 6, 1, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201925, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 66, 4, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201926, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 145, 6, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201927, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 42, 15, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201928, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 940, 17, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201929, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 158, 24, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201930, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 255, 17, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201931, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 674, 13, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201932, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 224, 18, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201933, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 353, 10, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201934, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 544, 20, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201935, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 160, 24, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201936, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 6, 1, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201937, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 485, 14, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201938, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 8, 1, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201939, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 66, 16, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201940, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 86, 9, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201941, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 6, 1, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201942, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 79, 19, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201943, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 7802, 5, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201944, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 80, 16, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201945, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 30, 14, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201946, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 52, 10, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201947, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1082, 11, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201948, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 52, 6, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201949, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 112, 2, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201950, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 375, 2, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201951, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 92, 4, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201952, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 333, 22, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201953, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 26, 1, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201954, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 13, 1, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201955, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 170, 25, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201956, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 326, 14, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201957, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 49, 1, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201958, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 10, 4, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201959, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 135, 2, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201960, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 199, 5, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201961, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 102, 7, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201962, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 9514, 1, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201963, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 41, 20, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201964, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 72, 13, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201965, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 3163, 1, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201966, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 74, 17, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201967, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 9, 15, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201968, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 58, 7, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201969, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 50, 11, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201970, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 69, 7, 2024, 4, 9, '2024-08-05 16:05:36', NULL, NULL), (201971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 712, 115, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 128, 4, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 93, 100, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 20, 35, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 409, 197, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 91, 114, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 680, 3, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 423, 120, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 95, 7, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 499, 168, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 407, 39, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 372, 43, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 331, 68, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 173, 144, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 160, 7, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 408, 6, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 138, 38, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 335, 87, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 311, 102, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201990, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 0, 3, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (201991, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 7, 19, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201992, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 93, 100, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201993, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (201994, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 680, 3, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (201995, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 124, 4, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (201996, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 1, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (201997, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 740, 8, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (201998, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 448, 51, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (201999, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (202000, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 190, 11, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (202001, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 566, 6, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202002, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 1111, 67, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (202003, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1203, 14, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202004, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 358, 40, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202005, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 63, 4, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (202006, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 971, 1, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (202007, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 310, 13, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (202008, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 67, 16, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (202009, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 1835, 3, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (202010, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 286, 9, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (202011, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 496, 5, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (202012, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 33, 19, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202013, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 59, 99, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202014, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 404, 69, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202015, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 608, 2, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (202016, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 203, 6, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (202017, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 42, 1, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202018, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 478, 4, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (202019, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 241, 23, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202020, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 90, 79, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202021, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202022, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 7, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202023, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1061, 15, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202024, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 15, 1, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (202025, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 35, 16, 2024, 4, 10, '2024-08-05 16:05:37', NULL, NULL), (202026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 203, 6, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 54, 18, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 35, 16, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 241, 23, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 125, 19, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 58, 11, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 1053, 13, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 1513, 34, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 70, 18, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 184, 16, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 465, 20, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 68, 18, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 23, 22, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 113, 6, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 72, 29, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 101, 10, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 595, 18, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 102, 14, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 156, 16, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 50, 10, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 110, 18, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 84, 5, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 106, 13, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 73, 16, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 54, 10, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 33, 19, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 179, 16, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 166, 18, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 231, 16, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 612, 2, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 602, 29, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 85, 11, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 680, 3, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 59, 1, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 496, 5, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 85, 3, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 566, 6, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 310, 13, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 608, 2, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1137, 14, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 42, 1, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 740, 8, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 190, 14, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 483, 21, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 629, 16, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 500, 4, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 115, 5, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 10, 2, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 4, 3, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 1835, 3, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 85, 6, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 971, 1, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 4, 2, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 8, 5, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 10, 5, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 263, 21, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1203, 14, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202083, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 190, 11, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202084, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 478, 4, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202085, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 448, 51, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202086, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 608, 2, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202087, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 496, 5, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202088, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 93, 100, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202089, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 7, 19, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202090, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 78, 13, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202091, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 286, 9, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202092, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 241, 23, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202093, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 62, 86, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202094, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 42, 1, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202095, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 203, 6, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202096, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 35, 16, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202097, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 310, 13, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202098, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 1835, 3, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202099, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 15, 1, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202100, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 680, 3, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202101, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 358, 40, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202102, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 566, 6, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202103, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 85, 3, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202104, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 33, 19, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202105, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 971, 1, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202106, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1137, 14, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202107, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 740, 8, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202108, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1203, 14, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202109, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 166, 3, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202110, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 90, 79, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202111, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 410, 68, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202112, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 1111, 67, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202113, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 88, 2, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202114, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 680, 3, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202115, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 629, 16, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202116, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 740, 8, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202117, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 4, 3, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202118, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 190, 14, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202119, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 10, 2, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202120, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 4, 2, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202121, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 483, 21, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202122, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 5, 3, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202123, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 9, 4, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202124, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 8, 5, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202125, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 241, 23, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202126, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 1249, 1, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202127, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 221, 3, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202128, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 213, 9, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202129, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 310, 13, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202130, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 170, 2, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202131, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1137, 14, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202132, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 85, 3, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202133, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 496, 5, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202134, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 500, 4, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (202135, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 54, 10, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202136, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 84, 5, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202137, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 73, 16, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202138, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 156, 16, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202139, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 50, 10, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202140, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 115, 5, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202141, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 101, 10, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202142, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 59, 1, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202143, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B06', 15, 1, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202144, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 1835, 3, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202145, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 104, 7, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202146, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 69, 11, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202147, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 971, 1, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202148, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 107, 8, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202149, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 46, 16, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202150, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 77, 23, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202151, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 203, 6, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202152, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 24, 21, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202153, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 166, 3, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202154, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 85, 11, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202155, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 595, 18, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202156, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 184, 16, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202157, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 1513, 34, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202158, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 113, 6, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202159, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 465, 20, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202160, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 1053, 13, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202161, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 35, 16, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202162, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 263, 21, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202163, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1203, 14, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202164, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 179, 16, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202165, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 54, 18, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202166, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 53, 6, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202167, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 2, 1, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202168, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 116, 3, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202169, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 2, 1, 2024, 4, 10, '2024-08-05 16:05:38', NULL, NULL), (202170, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 608, 2, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202171, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 566, 6, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202172, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 70, 18, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202173, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 612, 2, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202174, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 231, 16, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202175, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 68, 18, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202176, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 33, 19, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202177, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 125, 19, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202178, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 58, 11, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202179, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 42, 1, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202180, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 602, 29, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 125, 19, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 54, 18, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 179, 16, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 166, 18, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 166, 3, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 68, 18, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 70, 18, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 58, 11, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 602, 29, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 629, 16, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 483, 21, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 612, 2, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B06', 15, 1, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 231, 16, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 190, 14, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 42, 1, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 85, 11, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 59, 1, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 35, 16, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 263, 21, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 54, 10, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 84, 5, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 73, 16, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 156, 16, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 50, 10, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 101, 10, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 595, 18, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 184, 16, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 113, 6, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 500, 4, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 115, 5, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1137, 14, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 680, 3, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 740, 8, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 310, 13, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 608, 2, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 566, 6, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 496, 5, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 85, 3, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 10, 2, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 465, 20, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 110, 18, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 9, 4, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1203, 14, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 106, 13, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 33, 19, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 102, 14, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 971, 1, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 241, 23, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 23, 22, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 5, 3, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 4, 3, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 72, 29, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 203, 6, 2024, 4, 10, '2024-08-05 16:05:39', NULL, NULL), (202235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 8, 5, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 1513, 34, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 1835, 3, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 4, 2, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 1053, 13, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202240, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 241, 23, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202241, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 263, 21, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202242, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B06', 15, 1, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202243, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 231, 16, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202244, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 612, 2, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202245, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 104, 7, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202246, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 170, 2, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202247, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 602, 29, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202248, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 465, 20, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202249, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 1513, 34, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202250, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 1053, 13, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202251, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 8, 5, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202252, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 9, 4, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202253, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 5, 3, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202254, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 4, 2, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202255, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 10, 2, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202256, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 4, 3, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202257, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 203, 6, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202258, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 59, 1, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202259, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 42, 1, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202260, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 496, 5, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202261, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 85, 11, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202262, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 85, 3, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202263, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 166, 3, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202264, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 310, 13, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202265, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 500, 4, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202266, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 115, 5, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202267, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 88, 2, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202268, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 566, 6, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202269, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1137, 14, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202270, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 179, 16, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202271, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 54, 18, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202272, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 184, 16, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202273, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 125, 19, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202274, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 58, 11, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202275, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 113, 6, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202276, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1203, 14, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202277, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 70, 18, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202278, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 1835, 3, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202279, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 595, 18, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202280, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 68, 18, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202281, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 50, 10, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202282, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 101, 10, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202283, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 33, 19, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202284, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 680, 3, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202285, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 73, 16, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202286, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 156, 16, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202287, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 740, 8, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202288, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 54, 10, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202289, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 84, 5, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202290, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 608, 2, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202291, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 190, 14, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202292, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 116, 3, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202293, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 2, 1, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202294, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 483, 21, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202295, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 629, 16, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202296, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 53, 6, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202297, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 1249, 1, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202298, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 2, 1, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202299, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 221, 3, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202300, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 213, 9, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202301, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 77, 23, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202302, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 971, 1, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202303, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 24, 21, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202304, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 107, 8, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202305, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 35, 16, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202306, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 69, 11, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202307, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 46, 16, 2024, 4, 10, '2024-08-05 16:05:40', NULL, NULL), (202308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 217, 120, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 243, 1, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 249, 2, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区水利局', '', '', 35, 2, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 676, 179, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 20, 3, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '', 12, 3, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏生态环境局', '', '', 35, 2, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 7, 1, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 314, 94, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 653, 47, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 103, 131, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 329, 131, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 247, 6, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 473, 192, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 275, 56, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 122, 18, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 378, 9, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 308, 68, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 202, 3, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 170, 61, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 331, 41, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 392, 105, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 68, 13, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 275, 86, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 390, 92, 2024, 4, 11, '2024-08-05 16:05:41', NULL, NULL), (202334, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 121, 2, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202335, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 6795, 4, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202336, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '', 35, 2, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202337, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 4, 1, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202338, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202339, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 314, 94, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202340, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 53, 23, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202341, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 20, 3, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202342, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 494, 1, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202343, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 711, 1, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202344, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 251, 62, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202345, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 107, 12, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202346, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 421, 6, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202347, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '', 18, 1, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202348, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 930, 5, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202349, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 5, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202350, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 178, 63, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202351, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 993, 9, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202352, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1162, 54, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202353, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 316, 4, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202354, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 210, 11, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202355, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 48, 15, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202356, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 5, 1, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202357, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 582, 4, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202358, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 287, 4, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202359, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 255, 23, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202360, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 91, 130, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202361, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 388, 71, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202362, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 3191, 2, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202363, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 7, 1, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202364, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '', 35, 2, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202365, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 204, 6, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202366, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 94, 6, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202367, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 275, 28, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202368, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 84, 58, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202369, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 8, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202370, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202371, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 835, 14, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202372, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 6721, 2, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202373, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 78, 20, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202374, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '', 9, 2, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 204, 6, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 246, 14, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 78, 20, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 1145, 18, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 275, 28, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 141, 15, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 172, 19, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 142, 12, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 202, 24, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 45, 14, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1176, 16, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 154, 20, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 49, 19, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1146, 16, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 91, 19, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 78, 9, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 92, 20, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1165, 22, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 78, 24, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 51, 10, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 86, 20, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 143, 8, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 141, 4, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 109, 13, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 36, 12, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 109, 11, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 46, 21, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 255, 23, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 418, 33, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 249, 16, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 7, 1, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 265, 10, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 27, 2, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 77, 4, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 419, 22, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 7, 1, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 287, 4, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 316, 4, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 930, 5, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 210, 11, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 3191, 2, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 835, 14, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 156, 23, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 107, 12, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 308, 23, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 306, 16, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B06', 243, 1, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 776, 3, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 163, 3, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 5, 1, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 40, 3, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B02', 9, 2, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 126, 4, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B01', 18, 1, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 17, 3, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 3, 5, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 474, 4, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 78, 7, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 711, 1, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 9060, 3, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 993, 9, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B09', 35, 2, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 6721, 2, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B10', 35, 2, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202439, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 421, 6, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202440, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 94, 6, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202441, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 251, 62, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202442, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 3191, 2, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202443, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 287, 4, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202444, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 711, 1, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202445, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 4, 1, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202446, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 314, 94, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202447, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 53, 23, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202448, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 51, 14, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202449, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 6721, 2, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202450, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 776, 3, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202451, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '翠屏生态环境局', '', '', 35, 2, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202452, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 275, 28, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202453, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 92, 105, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202454, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 204, 6, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202455, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 78, 20, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202456, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 210, 11, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202457, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '区发展改革局', '', '', 9, 2, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202458, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 20, 3, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202459, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 5, 1, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202460, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 243, 1, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202461, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1162, 54, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202462, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 930, 5, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202463, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '区水利局', '', '', 35, 2, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202464, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 7, 1, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202465, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 316, 4, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202466, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 255, 23, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202467, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 835, 14, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202468, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 107, 12, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202469, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 993, 9, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202470, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 494, 1, 2024, 4, 11, '2024-08-05 16:05:42', NULL, NULL), (202471, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 84, 58, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202472, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 399, 69, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202473, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '区发展改革局', '', '', 18, 1, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202474, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 178, 63, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202475, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 9060, 3, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202476, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 364, 2, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202477, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 27, 2, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202478, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 7, 1, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202479, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 306, 16, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202480, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 107, 12, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202481, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 58, 2, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202482, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 156, 23, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202483, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 163, 3, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202484, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 17, 3, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202485, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 3, 3, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202486, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 308, 23, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202487, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 78, 7, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202488, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 3, 5, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202489, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 275, 28, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202490, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 342, 1, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202491, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 45, 5, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202492, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 450, 4, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202493, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 210, 11, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202494, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '2B01', 18, 1, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202495, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 835, 14, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202496, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 287, 4, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202497, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 316, 4, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202498, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 776, 3, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202499, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 109, 11, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202500, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 141, 4, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202501, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 36, 12, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202502, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '2B02', 9, 2, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202503, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 51, 10, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202504, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 143, 8, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202505, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 78, 9, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202506, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '2B10', 35, 2, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202507, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 5, 1, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202508, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 183, 12, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202509, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 87, 19, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202510, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 116, 14, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202511, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 63, 11, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202512, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 79, 15, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202513, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 9060, 3, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202514, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 204, 6, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202515, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 100, 17, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202516, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 37, 17, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202517, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 494, 1, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202518, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B06', 243, 1, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202519, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 77, 4, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202520, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1165, 22, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202521, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 6721, 2, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202522, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1176, 16, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202523, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 202, 24, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202524, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1146, 16, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202525, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 154, 20, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202526, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 172, 19, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202527, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 78, 20, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202528, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 4, 1, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202529, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 711, 1, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202530, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 474, 4, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202531, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 7, 1, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202532, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '2B09', 35, 2, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202533, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 46, 21, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202534, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 993, 9, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202535, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 246, 14, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202536, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 37, 6, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202537, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 11, 2, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202538, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 144, 2, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202539, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 47, 4, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202540, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 3191, 2, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202541, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 930, 5, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (202542, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 265, 10, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202543, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 142, 12, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202544, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 45, 14, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202545, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 418, 33, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202546, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 1145, 18, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202547, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 255, 23, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202548, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 141, 15, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202549, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 419, 22, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 1145, 18, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 246, 14, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 46, 21, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 249, 16, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 494, 1, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 4, 1, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 45, 14, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 142, 12, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 141, 15, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 419, 22, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 306, 16, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 308, 23, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 265, 10, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 418, 33, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 156, 23, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '2B02', 9, 2, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '2B01', 18, 1, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 77, 4, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 78, 20, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 474, 4, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 7, 1, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏生态环境局', '', '2B10', 35, 2, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 109, 11, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 141, 4, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 36, 12, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 51, 10, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 143, 8, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 78, 9, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1165, 22, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1176, 16, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1146, 16, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 776, 3, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B06', 243, 1, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 27, 2, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 835, 14, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 107, 12, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 210, 11, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 3191, 2, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 930, 5, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 287, 4, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 7, 1, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 316, 4, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 163, 3, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 6721, 2, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区水利局', '', '2B09', 35, 2, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 154, 20, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 711, 1, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 86, 20, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 78, 7, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 109, 13, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 993, 9, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 9060, 3, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 92, 20, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 255, 23, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 78, 24, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 3, 3, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 275, 28, 2024, 4, 11, '2024-08-05 16:05:43', NULL, NULL), (202607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 49, 19, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 204, 6, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 91, 19, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 58, 2, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 5, 1, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 3, 5, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 202, 24, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 17, 3, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 172, 19, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202616, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '区水利局', '', '2B09', 35, 2, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202617, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 9060, 3, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202618, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 474, 4, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202619, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 275, 28, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202620, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 418, 33, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202621, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 265, 10, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202622, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 183, 12, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202623, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 419, 22, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202624, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 154, 20, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202625, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 202, 24, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202626, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 172, 19, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202627, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '区发展改革局', '', '2B01', 18, 1, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202628, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 3, 5, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202629, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 78, 7, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202630, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 3, 3, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202631, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 17, 3, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202632, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 163, 3, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202633, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 58, 2, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202634, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B06', 243, 1, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202635, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 204, 6, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202636, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 77, 4, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202637, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 287, 4, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202638, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 316, 4, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202639, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 494, 1, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202640, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 210, 11, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202641, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 776, 3, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202642, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '区发展改革局', '', '2B02', 9, 2, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202643, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 5, 1, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202644, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 364, 2, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202645, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 930, 5, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202646, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 46, 21, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202647, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 835, 14, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202648, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 246, 14, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202649, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 1145, 18, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202650, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1176, 16, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202651, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 141, 15, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202652, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1146, 16, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202653, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 993, 9, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202654, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 142, 12, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202655, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 45, 14, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202656, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1165, 22, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202657, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 711, 1, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202658, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 143, 8, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202659, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 78, 9, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202660, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 4, 1, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202661, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 255, 23, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202662, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 27, 2, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202663, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 7, 1, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202664, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 36, 12, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202665, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 51, 10, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202666, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 109, 11, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202667, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 107, 12, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202668, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 3191, 2, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202669, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 141, 4, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202670, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 7, 1, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202671, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '翠屏生态环境局', '', '2B10', 35, 2, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202672, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 156, 23, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202673, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 47, 4, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202674, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 6721, 2, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202675, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 308, 23, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202676, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 37, 6, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202677, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 306, 16, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202678, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 11, 2, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202679, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 144, 2, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202680, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 342, 1, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202681, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 450, 4, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202682, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 45, 5, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202683, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 100, 17, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202684, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 116, 14, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202685, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 37, 17, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202686, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 63, 11, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202687, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 78, 20, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202688, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 87, 19, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202689, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 79, 15, 2024, 4, 11, '2024-08-05 16:05:44', NULL, NULL), (202690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 278, 146, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 6, 1, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 456, 1, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 173, 101, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 295, 27, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1032, 173, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 118, 105, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 7, 2, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 514, 162, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 377, 17, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 562, 187, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 309, 77, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 2, 2, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 496, 8, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 588, 35, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 380, 5, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 372, 54, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 414, 63, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 544, 104, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 256, 10, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 417, 76, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 339, 80, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202712, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 17, 1, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202713, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202714, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202715, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 6, 1, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202716, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 180, 16, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202717, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 173, 101, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202718, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 7, 2, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202719, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 2, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202720, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 707, 8, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202721, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 408, 61, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202722, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202723, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 34, 7, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202724, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 259, 5, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202725, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 337, 74, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202726, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 409, 15, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202727, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 2494, 41, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202728, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 4727, 1, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202729, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 224, 10, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202730, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 444, 6, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202731, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 69, 11, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202732, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 0, 3, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202733, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 269, 5, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202734, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 152, 31, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202735, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 110, 86, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202736, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 560, 99, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202737, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 3, 1, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202738, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 170, 11, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202739, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1465, 2, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202740, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 301, 30, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202741, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 320, 8, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202742, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 559, 72, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202743, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 5, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202744, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1430, 9, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202745, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202746, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202747, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 3727, 1, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202748, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202749, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 39, 9, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 170, 11, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 39, 9, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 333, 18, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 301, 30, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 141, 21, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 71, 17, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 295, 22, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 402, 34, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 185, 22, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 139, 23, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 266, 18, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 143, 20, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 2400, 15, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 28, 19, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 176, 14, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 2548, 26, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 239, 16, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 469, 14, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 107, 17, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 455, 22, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 894, 5, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 573, 14, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 152, 31, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 69, 20, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 591, 45, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 11, 1, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 469, 25, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 3, 1, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 595, 14, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 959, 3, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 269, 5, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 224, 10, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 259, 5, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 444, 6, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 3, 1, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1465, 2, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1430, 9, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 707, 8, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 273, 24, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 458, 16, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 524, 21, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 615, 1, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 239, 4, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 293, 2, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 6, 4, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 116, 6, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 589, 29, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 17, 1, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 409, 15, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 3727, 1, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 4727, 1, 2024, 4, 12, '2024-08-05 16:05:46', NULL, NULL), (202801, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 34, 7, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202802, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 320, 8, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202803, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 408, 61, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202804, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 3, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202805, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 269, 5, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202806, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 6, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202807, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 173, 101, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202808, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 180, 16, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202809, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 76, 10, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202810, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 3727, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202811, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 301, 30, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202812, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 111, 80, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202813, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1465, 2, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202814, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 170, 11, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202815, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 39, 9, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202816, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 444, 6, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202817, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 7, 2, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202818, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 2494, 41, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202819, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 4727, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202820, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 259, 5, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202821, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 224, 10, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202822, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 152, 31, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202823, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1430, 9, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202824, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 707, 8, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202825, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 409, 15, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202826, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 559, 72, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202827, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 560, 99, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202828, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 337, 74, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202829, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 17, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202830, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 36, 3, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202831, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 3, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202832, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 11, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202833, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 524, 21, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202834, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 707, 8, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202835, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 317, 3, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202836, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 273, 24, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202837, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 615, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202838, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 458, 16, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202839, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 6, 4, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202840, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 293, 2, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202841, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 116, 6, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202842, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 301, 30, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202843, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 320, 8, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202844, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 32, 4, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202845, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 444, 6, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202846, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 158, 3, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202847, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1430, 9, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202848, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 224, 10, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202849, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 269, 5, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202850, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 573, 14, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202851, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 455, 22, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202852, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 894, 5, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202853, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 469, 14, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202854, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 959, 3, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202855, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 59, 13, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202856, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 208, 6, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202857, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 147, 12, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202858, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 132, 13, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202859, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 17, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202860, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 170, 11, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202861, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 32, 16, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202862, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 143, 20, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202863, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 595, 14, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202864, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 2548, 26, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202865, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 3727, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202866, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 402, 34, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202867, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 266, 18, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202868, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 2400, 15, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202869, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 295, 22, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202870, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 39, 9, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202871, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 4727, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202872, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 6, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202873, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 589, 29, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202874, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 10, 2, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202875, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 409, 15, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202876, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 248, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202877, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 333, 18, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202878, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 4, 3, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202879, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 4, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202880, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 3, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202881, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 259, 5, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202882, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 185, 22, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202883, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 469, 25, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202884, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 139, 23, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202885, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 591, 45, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202886, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 152, 31, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202887, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 141, 21, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202888, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1465, 2, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202889, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 71, 17, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 141, 21, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 333, 18, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 69, 20, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 6, 1, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 139, 23, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 185, 22, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 71, 17, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 524, 21, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 469, 25, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 591, 45, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 273, 24, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1465, 2, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 4727, 1, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 458, 16, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 595, 14, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 959, 3, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 39, 9, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 589, 29, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 573, 14, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 455, 22, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 894, 5, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 469, 14, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 2548, 26, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 2400, 15, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 456, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 3, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1430, 9, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 707, 8, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 444, 6, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 3, 1, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 259, 5, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 269, 5, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 11, 1, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 224, 10, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 615, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 3727, 1, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 266, 18, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 107, 17, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 409, 15, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 17, 1, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 155, 13, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 152, 31, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 239, 16, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 293, 2, 2024, 4, 12, '2024-08-05 16:05:47', NULL, NULL), (202934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 301, 30, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 143, 20, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 170, 11, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 317, 3, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 28, 19, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 116, 6, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 402, 34, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 6, 4, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 295, 22, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202943, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 17, 1, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202944, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 301, 30, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202945, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 589, 29, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202946, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 591, 45, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202947, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 469, 25, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (202948, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 59, 13, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202949, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 158, 3, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202950, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 266, 18, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202951, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 402, 34, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202952, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 295, 22, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202953, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 116, 6, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202954, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 293, 2, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202955, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 6, 4, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202956, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 615, 1, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202957, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 317, 3, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202958, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 170, 11, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202959, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 959, 3, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202960, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1465, 2, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202961, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 269, 5, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202962, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 595, 14, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202963, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 224, 10, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202964, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 444, 6, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202965, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 36, 3, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202966, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 259, 5, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202967, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1430, 9, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202968, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 333, 18, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202969, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 141, 21, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202970, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 71, 17, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202971, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 2400, 15, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202972, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 409, 15, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202973, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 185, 22, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202974, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 139, 23, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202975, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 2548, 26, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202976, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 469, 14, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202977, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 152, 31, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202978, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 6, 1, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202979, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 3, 1, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202980, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 11, 1, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202981, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 894, 5, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202982, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 707, 8, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202983, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 573, 14, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202984, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 3, 1, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202985, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 455, 22, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202986, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 273, 24, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202987, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 4, 1, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202988, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 458, 16, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202989, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 3727, 1, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202990, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 10, 2, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202991, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 248, 1, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202992, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 524, 21, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202993, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 4, 3, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202994, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 320, 8, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202995, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 32, 4, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202996, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 32, 16, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202997, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 4727, 1, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202998, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 147, 12, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (202999, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 143, 20, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (203000, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 132, 13, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (203001, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 39, 9, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (203002, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 208, 6, 2024, 4, 12, '2024-08-05 16:05:48', NULL, NULL), (203003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 631, 4, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 2570, 32, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 2205, 23, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 3046, 1, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1530, 16, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 163, 3, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 1055, 5, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203010, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203011, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 0, 1, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203012, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 0, 1, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203013, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 11, 1, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203014, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203015, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 0, 1, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203016, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 0, 1, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203017, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 648, 7, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203018, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 2507, 31, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203019, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 838, 3, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 838, 3, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 3108, 25, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 11, 1, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 648, 7, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203024, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 648, 7, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203025, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 838, 3, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203026, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 3108, 25, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203027, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 11, 1, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203028, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 648, 7, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203029, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 838, 3, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203030, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 11, 1, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203031, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 3108, 25, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 838, 3, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 3108, 25, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 648, 7, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 11, 1, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203036, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 11, 1, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203037, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 3108, 25, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203038, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 838, 3, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203039, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 648, 7, 2024, 4, 13, '2024-08-05 16:05:50', NULL, NULL), (203040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 3, 5, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 2135, 7, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 798, 6, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 455, 6, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 3, 1, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 1002, 3, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203046, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203047, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 3, 1, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203048, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203049, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 2, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203050, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 2135, 7, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203051, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 4, 4, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 4, 4, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1404, 4, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 3110, 3, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 3, 1, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203056, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 4, 4, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203057, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 2135, 7, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203058, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 3, 1, 2024, 4, 14, '2024-08-05 16:05:51', NULL, NULL), (203059, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 3, 1, 2024, 4, 14, '2024-08-05 16:05:52', NULL, NULL), (203060, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 4, 4, 2024, 4, 14, '2024-08-05 16:05:52', NULL, NULL), (203061, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 3110, 3, 2024, 4, 14, '2024-08-05 16:05:52', NULL, NULL), (203062, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1404, 4, 2024, 4, 14, '2024-08-05 16:05:52', NULL, NULL), (203063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 4, 4, 2024, 4, 14, '2024-08-05 16:05:52', NULL, NULL), (203064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 3110, 3, 2024, 4, 14, '2024-08-05 16:05:52', NULL, NULL), (203065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1404, 4, 2024, 4, 14, '2024-08-05 16:05:52', NULL, NULL), (203066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 3, 1, 2024, 4, 14, '2024-08-05 16:05:52', NULL, NULL), (203067, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 1404, 4, 2024, 4, 14, '2024-08-05 16:05:52', NULL, NULL), (203068, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 3110, 3, 2024, 4, 14, '2024-08-05 16:05:52', NULL, NULL), (203069, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 3, 1, 2024, 4, 14, '2024-08-05 16:05:52', NULL, NULL), (203070, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 4, 4, 2024, 4, 14, '2024-08-05 16:05:52', NULL, NULL), (203071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 261, 106, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 3249, 8, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 118, 123, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区水利局', '', '', 11, 1, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 11, 1, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 225, 34, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1191, 215, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 239, 157, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1535, 4, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏生态环境局', '', '', 12, 2, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 357, 196, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 6, 2, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 425, 220, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 537, 49, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 342, 6, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 30, 2, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 279, 58, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1336, 22, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 297, 56, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 317, 46, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 583, 137, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 630, 10, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 678, 109, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 489, 110, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203095, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 725, 4, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203096, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '', 11, 1, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203097, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 2333, 7, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203098, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203099, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 127, 19, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203100, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 118, 123, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203101, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1535, 4, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203102, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 4830, 2, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203103, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 11, 1, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203104, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 382, 98, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203105, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 607, 17, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203106, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 286, 5, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203107, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203108, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 595, 7, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203109, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 351, 64, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203110, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 308, 19, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203111, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1486, 54, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203112, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 2, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203113, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 4, 6, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203114, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 4, 1, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203115, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 902, 6, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203116, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 283, 11, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203117, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 1241, 1, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203118, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 1101, 1, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203119, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 10901, 10, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203120, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 373, 4, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203121, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 94, 17, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203122, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 228, 138, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203123, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 331, 96, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203124, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '', 12, 2, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203125, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 54, 4, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203126, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 20, 6, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203127, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 390, 2, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203128, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 181, 6, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203129, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 174, 20, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203130, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 146, 71, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203131, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203132, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203133, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1749, 16, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203134, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 4, 15, '2024-08-05 16:05:53', NULL, NULL), (203135, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 180, 13, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 20, 6, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 50, 19, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 180, 13, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 174, 20, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 73, 20, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 56, 17, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 411, 21, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 312, 27, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 94, 18, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 58, 23, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 358, 15, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1546, 11, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 183, 28, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1614, 17, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 196, 15, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 287, 44, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 200, 26, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1377, 26, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 247, 24, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 119, 15, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 255, 18, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 197, 8, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 228, 18, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 105, 13, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 140, 4, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 310, 26, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 94, 17, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 318, 36, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 335, 31, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1535, 4, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 336, 28, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 133, 16, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 373, 4, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 4, 6, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 595, 7, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 1083, 5, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 54, 4, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 390, 2, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1839, 15, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 372, 18, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 607, 17, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 429, 23, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 392, 25, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 346, 32, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 402, 1, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 2848, 5, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 10901, 10, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 384, 9, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 1101, 1, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 9661, 1, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 4, 1, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 148, 7, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 5, 2, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 4, 3, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 589, 1, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 1451, 2, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 308, 19, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B09', 11, 1, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B10', 12, 2, 2024, 4, 15, '2024-08-05 16:05:54', NULL, NULL), (203195, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 286, 5, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203196, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 181, 6, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203197, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 382, 98, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203198, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 54, 4, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203199, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 373, 4, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203200, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 2333, 7, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203201, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 118, 123, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203202, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 127, 19, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203203, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 282, 10, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203204, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 10901, 10, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203205, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '翠屏生态环境局', '', '', 12, 2, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203206, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 174, 20, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203207, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 230, 135, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203208, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 390, 2, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203209, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 20, 6, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203210, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 180, 13, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203211, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 1083, 5, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203212, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 1101, 1, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203213, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1535, 4, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203214, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1486, 54, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203215, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 595, 7, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203216, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '区水利局', '', '', 11, 1, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203217, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 11, 1, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203218, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 4, 6, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203219, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 94, 17, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203220, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 1241, 1, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203221, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 4, 1, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203222, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1749, 16, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203223, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 607, 17, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203224, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 308, 19, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203225, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 9661, 1, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203226, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 146, 71, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203227, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 331, 96, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203228, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 356, 63, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203229, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 1451, 2, 2024, 4, 15, '2024-08-05 16:05:55', NULL, NULL), (203230, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 286, 5, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203231, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1535, 4, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203232, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 346, 32, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203233, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 607, 17, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203234, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 129, 5, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203235, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 372, 18, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203236, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 358, 2, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203237, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 429, 23, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203238, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 148, 7, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203239, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 392, 25, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203240, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 4, 3, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203241, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 5, 2, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203242, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 174, 20, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203243, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 282, 2, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203244, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 131, 4, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203245, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 1083, 5, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203246, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 11, 1, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203247, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1839, 15, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203248, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 373, 4, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203249, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 4, 6, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203250, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 140, 4, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203251, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 197, 8, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203252, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 105, 13, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203253, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 119, 15, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203254, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 10901, 10, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203255, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 196, 15, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203256, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 133, 16, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203257, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 402, 1, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203258, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '2B10', 12, 2, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203259, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 1101, 1, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203260, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 219, 19, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203261, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 197, 23, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203262, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 4, 1, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203263, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 219, 11, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203264, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 247, 14, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203265, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 1451, 2, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203266, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 20, 6, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203267, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 290, 41, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203268, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 169, 27, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203269, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 9661, 1, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203270, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1377, 26, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203271, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 312, 27, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203272, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1546, 11, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203273, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 358, 15, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203274, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1614, 17, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203275, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 411, 21, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203276, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 180, 13, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203277, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 4508, 3, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203278, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 702, 4, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203279, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 589, 1, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203280, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '2B09', 11, 1, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203281, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 310, 26, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203282, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 308, 19, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203283, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 222, 3, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203284, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 50, 19, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203285, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 247, 3, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203286, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 575, 1, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203287, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 262, 1, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203288, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 291, 2, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203289, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 1241, 1, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203290, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 54, 4, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203291, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 595, 7, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203292, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 94, 18, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203293, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 335, 31, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203294, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 58, 23, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203295, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 318, 36, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203296, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 73, 20, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203297, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 94, 17, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203298, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 390, 2, 2024, 4, 15, '2024-08-05 16:05:56', NULL, NULL), (203299, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 56, 17, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203300, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 336, 28, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 4508, 3, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 73, 20, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 50, 19, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 310, 26, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 9661, 1, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 702, 4, 2024, 4, 15, '2024-08-05 16:05:59', NULL, NULL), (203307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 58, 23, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 94, 18, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 56, 17, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 336, 28, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 346, 32, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 392, 25, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 335, 31, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 318, 36, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 372, 18, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 390, 2, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 429, 23, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 133, 16, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 180, 13, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 589, 1, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 11, 1, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏生态环境局', '', '2B10', 12, 2, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 140, 4, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 197, 8, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 105, 13, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 119, 15, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 196, 15, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1377, 26, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1546, 11, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1614, 17, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 10901, 10, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 402, 1, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1535, 4, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1839, 15, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 607, 17, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 1083, 5, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 54, 4, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 595, 7, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 373, 4, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 4, 6, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 358, 2, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区水利局', '', '2B09', 11, 1, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 358, 15, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 255, 18, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 241, 17, 2024, 4, 15, '2024-08-05 16:05:57', NULL, NULL), (203346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 4, 3, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 308, 19, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 1451, 2, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 200, 26, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 94, 17, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 247, 24, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 4, 1, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 174, 20, 2024, 4, 15, '2024-08-05 16:05:58', NULL, NULL), (203354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 183, 28, 2024, 4, 15, '2024-08-05 16:05:59', NULL, NULL), (203355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 20, 6, 2024, 4, 15, '2024-08-05 16:05:59', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (203356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 129, 5, 2024, 4, 15, '2024-08-05 16:05:59', NULL, NULL), (203357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 287, 44, 2024, 4, 15, '2024-08-05 16:05:59', NULL, NULL), (203358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 5, 2, 2024, 4, 15, '2024-08-05 16:05:59', NULL, NULL), (203359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 312, 27, 2024, 4, 15, '2024-08-05 16:05:59', NULL, NULL), (203360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 1101, 1, 2024, 4, 15, '2024-08-05 16:05:59', NULL, NULL), (203361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 148, 7, 2024, 4, 15, '2024-08-05 16:05:59', NULL, NULL), (203362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 411, 21, 2024, 4, 15, '2024-08-05 16:05:59', NULL, NULL), (203363, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '区水利局', '', '2B09', 11, 1, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203364, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 1451, 2, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203365, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 174, 20, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203366, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 589, 1, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203367, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 318, 36, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203368, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 335, 31, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203369, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 358, 15, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203370, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 336, 28, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203371, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 312, 27, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203372, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 411, 21, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203373, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 5, 2, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203374, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 4, 3, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203375, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 148, 7, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203376, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 358, 2, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203377, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 129, 5, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203378, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 20, 6, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203379, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 133, 16, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203380, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 390, 2, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203381, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 373, 4, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203382, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 402, 1, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203383, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 4, 6, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203384, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 9661, 1, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203385, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 1083, 5, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203386, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 11, 1, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203387, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 10901, 10, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203388, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 286, 5, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203389, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 595, 7, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203390, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 310, 26, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203391, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1839, 15, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203392, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 50, 19, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203393, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 73, 20, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203394, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1546, 11, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203395, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 56, 17, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203396, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1614, 17, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203397, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 94, 18, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203398, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 308, 19, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203399, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 1101, 1, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203400, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 58, 23, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203401, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1377, 26, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203402, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 4508, 3, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203403, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 196, 15, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203404, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 702, 4, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203405, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 94, 17, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203406, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1535, 4, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203407, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 105, 13, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203408, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 119, 15, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203409, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 140, 4, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203410, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 607, 17, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203411, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 197, 8, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203412, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 54, 4, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203413, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 1241, 1, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203414, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '翠屏生态环境局', '', '2B10', 12, 2, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203415, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 372, 18, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203416, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 262, 1, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203417, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 429, 23, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203418, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 291, 2, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203419, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 392, 25, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203420, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 222, 3, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203421, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 346, 32, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203422, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 247, 3, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203423, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 575, 1, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203424, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 282, 2, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203425, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 131, 4, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203426, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 290, 41, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203427, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 197, 23, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203428, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 4, 1, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203429, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 169, 27, 2024, 4, 15, '2024-08-05 16:06:00', NULL, NULL), (203430, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 219, 11, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203431, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 180, 13, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203432, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 219, 19, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203433, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 247, 14, 2024, 4, 15, '2024-08-05 16:06:01', NULL, NULL), (203434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 387, 131, 2024, 4, 16, '2024-08-05 16:06:05', NULL, NULL), (203435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2467, 3, 2024, 4, 16, '2024-08-05 16:06:05', NULL, NULL), (203436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 42, 107, 2024, 4, 16, '2024-08-05 16:06:05', NULL, NULL), (203437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 116, 40, 2024, 4, 16, '2024-08-05 16:06:05', NULL, NULL), (203438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 957, 1, 2024, 4, 16, '2024-08-05 16:06:05', NULL, NULL), (203439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 899, 179, 2024, 4, 16, '2024-08-05 16:06:05', NULL, NULL), (203440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 128, 162, 2024, 4, 16, '2024-08-05 16:06:05', NULL, NULL), (203441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 55, 4, 2024, 4, 16, '2024-08-05 16:06:05', NULL, NULL), (203442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 349, 129, 2024, 4, 16, '2024-08-05 16:06:05', NULL, NULL), (203443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 465, 1, 2024, 4, 16, '2024-08-05 16:06:05', NULL, NULL), (203444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1294, 6, 2024, 4, 16, '2024-08-05 16:06:05', NULL, NULL), (203445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 342, 224, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 704, 69, 2024, 4, 16, '2024-08-05 16:06:05', NULL, NULL), (203447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 256, 46, 2024, 4, 16, '2024-08-05 16:06:05', NULL, NULL), (203448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 527, 46, 2024, 4, 16, '2024-08-05 16:06:05', NULL, NULL), (203449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 203, 98, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 351, 12, 2024, 4, 16, '2024-08-05 16:06:05', NULL, NULL), (203451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 180, 55, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 146, 16, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 624, 68, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 344, 132, 2024, 4, 16, '2024-08-05 16:06:05', NULL, NULL), (203455, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 15, 1, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203456, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 5, 17, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203457, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 42, 107, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203458, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 44, 5, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203459, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1003, 2, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203460, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 155, 3, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203461, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 210, 9, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203462, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 440, 61, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203463, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 466, 3, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203464, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 4, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203465, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 180, 12, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203466, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 337, 66, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203467, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1106, 6, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203468, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1485, 41, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203469, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 5379, 1, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203470, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 111, 2, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203471, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 681, 6, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203472, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 9, 6, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203473, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 126, 16, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203474, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 5, 4, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203475, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 4, 5, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203476, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 101, 27, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203477, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 268, 68, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203478, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 112, 146, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203479, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 465, 1, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203480, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 2444, 9, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203481, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 33, 15, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203482, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 258, 10, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203483, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 1097, 23, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203484, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 138, 72, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203485, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 4, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203486, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203487, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 3000, 18, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203488, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203489, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 215, 18, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203490, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 27, 2, 2024, 4, 16, '2024-08-05 16:06:06', NULL, NULL), (203491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 37, 18, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 33, 15, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 215, 18, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 41, 24, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 1097, 23, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 403, 20, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 38, 18, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 329, 2, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 302, 29, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 100, 18, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 19, 19, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 318, 17, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1323, 14, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 91, 38, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1313, 18, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 163, 11, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 68, 35, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 91, 17, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 2080, 9, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 216, 19, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 150, 12, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 79, 5, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 268, 14, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 144, 4, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 123, 20, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 161, 15, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 94, 13, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 4, 10, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 101, 27, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 180, 18, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 190, 21, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 3, 2, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 242, 19, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 501, 11, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 108, 2, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 465, 1, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 144, 12, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 4, 5, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 681, 6, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 54, 1, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 466, 3, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 9, 6, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 2444, 9, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 3176, 17, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 210, 9, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 410, 17, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 495, 29, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 366, 15, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 4, 1, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 10, 2, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 6, 3, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 6, 1, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 505, 4, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 8, 4, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 4, 5, 2024, 4, 16, '2024-08-05 16:06:08', NULL, NULL), (203546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 3, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 244, 17, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 1461, 4, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1106, 6, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 111, 2, 2024, 4, 16, '2024-08-05 16:06:07', NULL, NULL), (203551, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 180, 12, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203552, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 258, 10, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203553, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 440, 61, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203554, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 2444, 9, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203555, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 4, 5, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203556, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 155, 3, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203557, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 15, 1, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203558, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 42, 107, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203559, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 5, 17, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203560, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 123, 15, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203561, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 5, 4, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203562, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 1097, 23, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203563, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 113, 125, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203564, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 33, 15, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203565, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 215, 18, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203566, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 9, 6, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203567, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 55, 4, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203568, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1485, 41, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203569, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 466, 3, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203570, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '区退役军人局', '', '', 5379, 1, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203571, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 111, 2, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203572, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 465, 1, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203573, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 681, 6, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203574, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 101, 27, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203575, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 3176, 17, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203576, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 210, 9, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203577, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1106, 6, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203578, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 2007, 1, 2024, 4, 16, '2024-08-05 16:06:09', NULL, NULL), (203579, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 138, 72, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203580, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 268, 68, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203581, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 54, 1, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203582, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 337, 66, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203583, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 117, 6, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203584, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 108, 2, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203585, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 3, 2, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203586, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 210, 9, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203587, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 6, 1, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203588, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 410, 17, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203589, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 5, 1, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203590, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 495, 29, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203591, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 8, 4, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203592, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 5, 3, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203593, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 366, 15, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203594, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 3, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203595, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 4, 5, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203596, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 1097, 23, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203597, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 342, 5, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203598, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 175, 5, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203599, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 243, 6, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203600, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 9, 6, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203601, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 104, 2, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203602, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 54, 1, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203603, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 3176, 17, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203604, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', 'B07', 5379, 1, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203605, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 4, 5, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203606, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 681, 6, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203607, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 4, 1, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203608, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 94, 13, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203609, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 144, 4, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203610, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 161, 15, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203611, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 150, 12, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203612, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 79, 5, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203613, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 6, 3, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203614, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 163, 11, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203615, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 144, 12, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203616, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 157, 10, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203617, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 255, 11, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203618, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 85, 16, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203619, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 126, 14, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203620, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 150, 6, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203621, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 33, 15, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203622, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 74, 32, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203623, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 92, 36, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203624, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 2007, 1, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203625, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 2080, 9, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203626, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 302, 29, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203627, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1323, 14, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203628, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 318, 17, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203629, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1313, 18, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203630, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 403, 20, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203631, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 215, 18, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203632, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 111, 2, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203633, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 15, 1, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203634, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 155, 3, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203635, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 244, 17, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203636, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 465, 1, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203637, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 141, 3, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203638, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 4, 10, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203639, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1106, 6, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203640, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 37, 18, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203641, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 201, 1, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203642, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 3, 3, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203643, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 80, 2, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203644, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 95, 2, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203645, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 2444, 9, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203646, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 466, 3, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203647, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 242, 19, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203648, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 100, 18, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203649, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 329, 2, 2024, 4, 16, '2024-08-05 16:06:10', NULL, NULL), (203650, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 19, 19, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203651, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 190, 21, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203652, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 41, 24, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203653, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 101, 27, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203654, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 501, 11, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203655, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 38, 18, 2024, 4, 16, '2024-08-05 16:06:11', NULL, NULL), (203656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 15, 1, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 41, 24, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 37, 18, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 4, 10, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 180, 18, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 2007, 1, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 19, 19, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 100, 18, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 38, 18, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 501, 11, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 366, 15, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B07', 5379, 1, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 242, 19, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 190, 21, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 410, 17, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 111, 2, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 495, 29, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 144, 12, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 215, 18, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 244, 17, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 465, 1, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 957, 1, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 94, 13, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 144, 4, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 161, 15, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 150, 12, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 79, 5, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 163, 11, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 2080, 9, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1323, 14, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1313, 18, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 4, 1, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 6, 3, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 108, 2, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 3176, 17, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 210, 9, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 9, 6, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 2444, 9, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 54, 1, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 466, 3, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 4, 5, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 3, 2, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 681, 6, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 5, 1, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 318, 17, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 155, 3, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 215, 13, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1106, 6, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 3, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 123, 20, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 91, 17, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 101, 27, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 216, 19, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 5, 3, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 91, 38, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 1097, 23, 2024, 4, 16, '2024-08-05 16:06:12', NULL, NULL), (203712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 6, 1, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 33, 15, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 68, 35, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 329, 2, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 4, 5, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 302, 29, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 8, 4, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 403, 20, 2024, 4, 16, '2024-08-05 16:06:13', NULL, NULL), (203720, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 244, 17, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203721, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 1097, 23, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203722, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 190, 21, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203723, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 242, 19, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203724, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 157, 10, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203725, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 104, 2, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203726, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 501, 11, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203727, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 54, 1, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203728, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 318, 17, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203729, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 302, 29, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203730, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 403, 20, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203731, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 4, 5, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203732, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 3, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203733, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 5, 3, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203734, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 8, 4, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203735, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 5, 1, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203736, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 6, 1, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203737, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '区退役军人局', '', 'B07', 5379, 1, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203738, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 33, 15, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203739, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 144, 12, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203740, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 4, 5, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203741, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 681, 6, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203742, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 2007, 1, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203743, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 9, 6, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203744, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 4, 1, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203745, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 6, 3, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203746, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 466, 3, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203747, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 117, 6, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203748, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 4, 10, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203749, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 3176, 17, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203750, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 37, 18, 2024, 4, 16, '2024-08-05 16:06:16', NULL, NULL), (203751, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 41, 24, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203752, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1323, 14, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203753, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 38, 18, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203754, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1313, 18, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203755, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1106, 6, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203756, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 100, 18, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203757, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 19, 19, 2024, 4, 16, '2024-08-05 16:06:16', NULL, NULL), (203758, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 2080, 9, 2024, 4, 16, '2024-08-05 16:06:16', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (203759, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 155, 3, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203760, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 15, 1, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203761, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 79, 5, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203762, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 163, 11, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203763, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 101, 27, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203764, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 108, 2, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203765, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 3, 2, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203766, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 161, 15, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203767, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 150, 12, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203768, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 210, 9, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203769, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 94, 13, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203770, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 144, 4, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203771, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 2444, 9, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203772, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 465, 1, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203773, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 410, 17, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203774, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 495, 29, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203775, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 95, 2, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203776, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 141, 3, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203777, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 366, 15, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203778, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 201, 1, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203779, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 3, 3, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203780, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 80, 2, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203781, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 342, 5, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203782, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 329, 2, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203783, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 175, 5, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203784, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 243, 6, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203785, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 74, 32, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203786, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 111, 2, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203787, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 85, 16, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203788, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 92, 36, 2024, 4, 16, '2024-08-05 16:06:14', NULL, NULL), (203789, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 126, 14, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203790, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 215, 18, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203791, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 255, 11, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203792, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 150, 6, 2024, 4, 16, '2024-08-05 16:06:15', NULL, NULL), (203793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 179, 122, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 876, 5, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 1668, 1, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 136, 95, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 234, 42, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 310, 156, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 302, 160, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 6, 3, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 373, 113, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 137, 4, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 266, 213, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 147, 26, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 338, 6, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 202, 19, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 266, 53, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 418, 13, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 241, 57, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 305, 35, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 235, 104, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 182, 13, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 317, 72, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 268, 117, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203815, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203816, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 997, 3, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203817, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 19, 4, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203818, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 256, 22, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203819, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 136, 95, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203820, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 6, 3, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203821, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1435, 3, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203822, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 435, 12, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203823, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 570, 52, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203824, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203825, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 177, 15, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203826, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 303, 3, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203827, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 234, 54, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203828, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 295, 12, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203829, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 112, 23, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203830, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 607, 6, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203831, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 5, 1, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203832, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 69, 4, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203833, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 301, 12, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203834, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203835, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 204, 2, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203836, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 6, 2, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203837, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 25, 8, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203838, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 44, 23, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203839, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 312, 147, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203840, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 216, 58, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203841, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 930, 4, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203842, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 141, 16, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203843, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 5, 4, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203844, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 262, 11, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203845, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 205, 29, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203846, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 150, 67, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203847, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203848, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 12, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203849, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1249, 14, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203850, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203851, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 14, 1, 2024, 4, 17, '2024-08-05 16:06:20', NULL, NULL), (203852, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203853, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 71, 17, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203854, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 651, 1, 2024, 4, 17, '2024-08-05 16:06:21', NULL, NULL), (203855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 141, 16, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 71, 17, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 257, 13, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 205, 29, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 47, 17, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 54, 14, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 334, 21, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 138, 16, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 312, 19, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 199, 17, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 130, 10, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 101, 15, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 217, 5, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 300, 37, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 170, 14, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 318, 31, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 1668, 1, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 23, 8, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 252, 30, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 228, 12, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 253, 10, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 270, 7, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 377, 27, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 123, 18, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 58, 12, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 44, 23, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 32, 17, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 300, 23, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 122, 5, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 7, 2, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 202, 12, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 4, 1, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 63, 6, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 297, 21, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 25, 8, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 607, 6, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 651, 1, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 303, 3, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 69, 4, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 1861, 2, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1332, 13, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 5, 4, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 435, 12, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 571, 22, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 595, 13, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 551, 17, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 175, 1, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 6, 2, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 650, 6, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 98, 8, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 1439, 3, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 5, 1, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 16, 3, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 448, 1, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 87, 6, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 171, 19, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 997, 3, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 295, 12, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 14, 1, 2024, 4, 17, '2024-08-05 16:06:22', NULL, NULL), (203914, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 177, 15, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203915, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 262, 11, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203916, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 570, 52, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203917, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 1861, 2, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203918, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 25, 8, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203919, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 19, 4, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203920, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 136, 95, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203921, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 256, 22, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203922, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 336, 9, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203923, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 14, 1, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203924, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 6, 2, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203925, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 205, 29, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203926, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 320, 123, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203927, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 5, 4, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203928, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 141, 16, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203929, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 71, 17, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203930, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 69, 4, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203931, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 6, 3, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203932, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 112, 23, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203933, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 303, 3, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203934, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 607, 6, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203935, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 44, 23, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203936, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 204, 2, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203937, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 5, 1, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203938, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1249, 14, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203939, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 435, 12, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203940, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 295, 12, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203941, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 4305, 1, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203942, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 150, 67, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203943, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 220, 57, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203944, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 651, 1, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203945, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 234, 54, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203946, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 997, 3, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203947, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 228, 5, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203948, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 4, 1, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (203949, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 7, 2, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (203950, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 551, 17, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203951, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 435, 12, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203952, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 178, 4, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203953, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 650, 6, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203954, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 571, 22, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203955, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 16, 3, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203956, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 7, 2, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203957, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 595, 13, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203958, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 87, 6, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203959, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 448, 1, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203960, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 205, 29, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203961, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 153, 4, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203962, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 324, 7, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203963, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 69, 4, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203964, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 152, 10, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203965, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 242, 2, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203966, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 651, 1, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203967, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1332, 13, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203968, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 607, 6, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203969, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 25, 8, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203970, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 58, 12, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203971, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 270, 7, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203972, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 123, 18, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203973, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 253, 10, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203974, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 6, 2, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203975, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 170, 14, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203976, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 175, 1, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203977, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 446, 11, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203978, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 233, 21, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203979, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 5, 1, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (203980, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 390, 19, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (203981, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 266, 8, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (203982, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 141, 16, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203983, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 337, 28, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203984, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B08', 997, 3, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (203985, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 295, 36, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (203986, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 4305, 1, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203987, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 63, 6, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203988, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 23, 8, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203989, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 14, 1, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203990, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 138, 16, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203991, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 130, 10, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203992, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 217, 5, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203993, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 199, 17, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203994, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 334, 21, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203995, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 71, 17, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203996, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 19, 4, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203997, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 171, 19, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203998, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 295, 12, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (203999, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 32, 17, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (204000, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 257, 13, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (204001, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 138, 3, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (204002, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 499, 1, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (204003, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 544, 3, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (204004, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 1861, 2, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (204005, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 204, 2, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (204006, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 303, 3, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (204007, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 312, 19, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (204008, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 202, 12, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (204009, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 122, 5, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (204010, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 101, 15, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (204011, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 44, 23, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (204012, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 47, 17, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (204013, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 54, 14, 2024, 4, 17, '2024-08-05 16:06:23', NULL, NULL), (204014, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 5, 4, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204015, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 297, 21, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 47, 17, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 257, 13, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 32, 17, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 300, 23, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 4305, 1, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 19, 4, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 101, 15, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 312, 19, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 54, 14, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 297, 21, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 551, 17, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 595, 13, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 202, 12, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 122, 5, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 5, 4, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 571, 22, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 63, 6, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 71, 17, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 171, 19, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 58, 12, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 270, 7, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 123, 18, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 253, 10, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 170, 14, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 23, 8, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 130, 10, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 217, 5, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 1668, 1, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 6, 2, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 175, 1, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 4, 1, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1332, 13, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 435, 12, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 69, 4, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 1861, 2, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 651, 1, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 303, 3, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 25, 8, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 7, 2, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 607, 6, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 650, 6, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 14, 1, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 199, 17, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 228, 12, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 87, 6, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 295, 12, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 377, 27, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 44, 23, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 252, 30, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 997, 3, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 5, 1, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 7, 2, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 205, 29, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 300, 37, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 178, 4, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 141, 16, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 318, 31, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 448, 1, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 138, 16, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 16, 3, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 334, 21, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204077, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 205, 29, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204078, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 171, 19, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204079, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B08', 997, 3, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204080, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 122, 5, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204081, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 202, 12, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204082, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 446, 11, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204083, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 242, 2, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204084, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 651, 1, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204085, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 199, 17, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204086, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 297, 21, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204087, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 138, 16, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204088, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 334, 21, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204089, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 448, 1, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204090, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 87, 6, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204091, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 7, 2, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204092, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 16, 3, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204093, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 650, 6, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204094, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 178, 4, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204095, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 141, 16, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204096, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 5, 4, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204097, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 63, 6, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204098, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 25, 8, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204099, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 175, 1, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204100, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 607, 6, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204101, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 69, 4, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204102, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 4305, 1, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204103, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 6, 2, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204104, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 228, 5, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204105, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 303, 3, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204106, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1332, 13, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204107, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 32, 17, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204108, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 257, 13, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204109, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 130, 10, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204110, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 47, 17, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204111, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 217, 5, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204112, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 54, 14, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204113, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 295, 12, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204114, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 312, 19, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204115, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 23, 8, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204116, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 101, 15, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204117, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 253, 10, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204118, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 170, 14, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204119, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 19, 4, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204120, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 44, 23, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204121, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 4, 1, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204122, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 7, 2, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204123, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 123, 18, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204124, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 435, 12, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204125, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 58, 12, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204126, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 1861, 2, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204127, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 270, 7, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204128, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 204, 2, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204129, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 544, 3, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204130, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 571, 22, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204131, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 14, 1, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204132, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 595, 13, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204133, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 551, 17, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204134, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 138, 3, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204135, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 153, 4, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204136, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 499, 1, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204137, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 324, 7, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204138, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 152, 10, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204139, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 337, 28, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204140, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 5, 1, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204141, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 295, 36, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204142, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 71, 17, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204143, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 390, 19, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204144, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 233, 21, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204145, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 266, 8, 2024, 4, 17, '2024-08-05 16:06:24', NULL, NULL), (204146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 264, 130, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 34, 4, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 86, 104, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 81, 34, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 406, 167, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 317, 163, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 11, 2, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 262, 134, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 63, 6, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 261, 213, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 274, 52, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 212, 47, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 186, 35, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 283, 103, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 288, 8, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 32, 6, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 191, 85, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 189, 53, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (204164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 377, 156, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204165, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 8, 3, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204166, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 34, 4, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204167, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204168, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 6, 17, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204169, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 86, 104, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204170, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 7, 3, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204171, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 265, 68, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204172, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 170, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204173, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204174, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 176, 10, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204175, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 273, 74, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204176, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 33, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204177, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 186, 22, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204178, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204179, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 352, 7, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204180, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 205, 14, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204181, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 401, 10, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204182, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 490, 1, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204183, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 4, 1, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204184, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 65, 7, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204185, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 166, 4, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204186, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 130, 18, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204187, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 311, 157, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204188, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 242, 65, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204189, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 1511, 9, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204190, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 34, 9, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204191, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1437, 1, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204192, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 225, 12, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204193, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 396, 29, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204194, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 278, 63, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204195, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204196, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204197, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1056, 23, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204198, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 187, 14, 2024, 4, 18, '2024-08-05 16:06:25', NULL, NULL), (204199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 9, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 187, 14, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 34, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 17, 24, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 396, 29, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 316, 27, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 329, 26, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 115, 18, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 165, 25, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 148, 21, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 148, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 221, 7, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 356, 38, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 374, 31, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 348, 19, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 201, 6, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 272, 26, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 264, 14, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 355, 5, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 212, 8, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 248, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 335, 23, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 143, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 82, 28, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 130, 18, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 241, 26, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 84, 7, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 9, 1, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 222, 31, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 14, 1, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 306, 27, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 317, 18, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 166, 4, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 352, 7, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 205, 14, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 1511, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1437, 1, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1104, 22, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 392, 3, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 170, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 252, 24, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 153, 18, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 350, 23, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 11, 2, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 4, 2, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 87, 5, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 4, 1, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 27, 5, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3, 3, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 7, 4, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 8, 7, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 8, 3, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 33, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204252, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 176, 10, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204253, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 225, 12, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204254, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 265, 68, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204255, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 1511, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204256, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 166, 4, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204257, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 86, 104, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204258, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 34, 4, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204259, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 6, 17, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204260, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 401, 10, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204261, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 65, 7, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204262, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 396, 29, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204263, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 328, 130, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204264, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1437, 1, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204265, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 34, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204266, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 187, 14, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204267, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 205, 14, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204268, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 4, 1, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204269, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 11, 2, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204270, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 186, 22, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204271, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 352, 7, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204272, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 130, 18, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204273, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 490, 1, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204274, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1104, 22, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204275, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 170, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204276, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 33, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204277, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 278, 63, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204278, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 242, 65, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204279, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 273, 74, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204280, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 8, 3, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204281, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 226, 6, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204282, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 14, 1, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204283, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 9, 1, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204284, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 350, 23, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204285, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 170, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204286, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 2, 1, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204287, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 392, 3, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204288, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 4, 2, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204289, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 252, 24, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204290, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 3, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204291, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 153, 18, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204292, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 8, 7, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204293, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 7, 4, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204294, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 396, 29, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204295, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 248, 4, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204296, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 214, 8, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204297, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 102, 4, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204298, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 205, 14, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204299, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 308, 2, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204300, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1104, 22, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204301, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 352, 7, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204302, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 166, 4, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204303, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 11, 2, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204304, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 143, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204305, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 248, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204306, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 212, 8, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204307, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 87, 5, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204308, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 348, 19, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204309, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 317, 18, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204310, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 4, 1, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204311, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 262, 20, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204312, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 216, 3, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204313, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 253, 24, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204314, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 374, 17, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204315, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 784, 1, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204316, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 371, 30, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204317, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 34, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204318, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B08', 8, 3, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204319, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 357, 35, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204320, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 201, 6, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204321, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 329, 26, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204322, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 148, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204323, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 221, 7, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204324, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 148, 21, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204325, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 316, 27, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204326, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 187, 14, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204327, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 34, 4, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204328, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 424, 2, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204329, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 82, 28, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204330, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 33, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204331, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 503, 2, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204332, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 9, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204333, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 478, 1, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204334, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 355, 3, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204335, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 490, 1, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204336, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 1511, 9, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204337, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 222, 31, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204338, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 115, 18, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204339, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 165, 25, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204340, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 84, 7, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204341, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 17, 24, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204342, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 130, 18, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204343, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1437, 1, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204344, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 306, 27, 2024, 4, 18, '2024-08-05 16:06:26', NULL, NULL), (204345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 17, 24, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 9, 9, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 82, 28, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 241, 26, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 34, 4, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 165, 25, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 115, 18, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 306, 27, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 350, 23, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 153, 18, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 222, 31, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 84, 7, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 392, 3, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1437, 1, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 252, 24, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 317, 18, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 187, 14, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 143, 9, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 248, 9, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 212, 8, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 348, 19, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 201, 6, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 148, 9, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 221, 7, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 11, 2, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 87, 5, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 14, 1, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1104, 22, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 170, 9, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 205, 14, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 1511, 9, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 166, 4, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 352, 7, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 9, 1, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 4, 2, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 148, 21, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 355, 5, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 335, 23, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 8, 7, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 33, 9, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 272, 26, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 130, 18, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 8, 3, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 264, 14, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 356, 38, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 396, 29, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 2, 1, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 374, 31, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 34, 9, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 4, 1, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 329, 26, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 7, 4, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 316, 27, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 3, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204399, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 396, 29, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204400, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B08', 8, 3, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204401, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 84, 7, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204402, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 222, 31, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204403, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 262, 20, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204404, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 308, 2, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204405, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 148, 21, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204406, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 306, 27, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204407, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 329, 26, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204408, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 316, 27, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204409, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 7, 4, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204410, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 8, 7, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204411, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 3, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204412, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 4, 2, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204413, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 2, 1, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204414, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 34, 9, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204415, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 317, 18, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204416, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1437, 1, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204417, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 166, 4, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204418, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 352, 7, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204419, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 205, 14, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204420, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 11, 2, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204421, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 87, 5, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204422, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 4, 1, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204423, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 226, 6, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204424, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1104, 22, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204425, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 82, 28, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204426, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 9, 9, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204427, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 148, 9, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204428, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 17, 24, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204429, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 221, 7, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204430, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 33, 9, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204431, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 115, 18, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204432, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 165, 25, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204433, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 201, 6, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204434, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 212, 8, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204435, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 348, 19, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204436, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 130, 18, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204437, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 34, 4, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204438, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 14, 1, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204439, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 9, 1, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204440, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 143, 9, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204441, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 170, 9, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204442, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 1511, 9, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204443, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 248, 9, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204444, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 490, 1, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204445, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 392, 3, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204446, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 252, 24, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204447, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 424, 2, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204448, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 153, 18, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204449, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 503, 2, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204450, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 350, 23, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204451, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 478, 1, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204452, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 248, 4, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204453, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 355, 3, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204454, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 102, 4, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204455, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 214, 8, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204456, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 371, 30, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204457, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 253, 24, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204458, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 357, 35, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204459, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 374, 17, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204460, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 187, 14, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204461, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 216, 3, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204462, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 784, 1, 2024, 4, 18, '2024-08-05 16:06:27', NULL, NULL), (204463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 147, 107, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 285, 3, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 20973, 1, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 44, 91, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 107, 43, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 465, 153, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 296, 125, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '', 14222, 1, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 9168, 5, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 672, 145, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 308, 227, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 320, 38, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 3678, 4, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 246, 11, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 458, 56, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 285, 7, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 353, 65, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 412, 41, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 414, 89, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 269, 72, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 9545, 7, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 312, 75, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204485, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204486, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 4, 3, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204487, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204488, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 10, 1, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204489, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204490, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 84, 19, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204491, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 44, 91, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204492, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 9168, 5, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204493, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 838, 1, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204494, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 427, 5, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204495, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 726, 70, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204496, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 901, 7, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204497, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 22, 12, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204498, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 20973, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204499, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 179, 52, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204500, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 270, 13, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204501, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 186, 23, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204502, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 3, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204503, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204504, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 487, 3, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204505, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 2033, 8, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204506, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 363, 16, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204507, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 11, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204508, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 2076, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204509, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 595, 5, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204510, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 9, 3, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204511, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 97, 28, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204512, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 272, 104, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204513, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 273, 57, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204514, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 1110, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204515, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 211, 10, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204516, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1412, 22, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204517, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204518, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 96, 17, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204519, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 195, 6, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204520, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 337, 59, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204521, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 6, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204522, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204523, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 854, 20, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204524, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 14222, 1, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204525, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 4, 2, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204526, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 144, 21, 2024, 4, 19, '2024-08-05 16:06:28', NULL, NULL), (204527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 211, 10, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 45, 20, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 144, 21, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 96, 17, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 27, 14, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 52, 13, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 56, 16, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 41, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 146, 21, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 62, 20, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 48, 2, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 310, 18, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 194, 13, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 335, 27, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 175, 10, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 315, 16, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 914, 33, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 260, 19, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 231, 15, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 139, 9, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 427, 10, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 392, 6, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 345, 9, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 25, 19, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 97, 28, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 414, 22, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 325, 26, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 9168, 5, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 226, 9, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 285, 18, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 9, 3, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 487, 3, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 22, 12, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 2033, 8, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 1110, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1634, 19, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 854, 20, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 427, 5, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 643, 23, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 895, 18, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 281, 2, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 717, 27, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 4, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 283, 3, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 743, 4, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 45, 4, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 2076, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 246, 5, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (204575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 11, 3, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 4, 3, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 35, 4, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 241, 21, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 4, 3, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 270, 13, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B08', 14222, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204582, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 901, 7, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204583, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 195, 6, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204584, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 726, 70, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204585, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 1110, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204586, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 9, 3, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204587, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 10, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204588, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 44, 91, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204589, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 84, 19, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204590, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 290, 13, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204591, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 595, 5, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204592, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 96, 17, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204593, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 263, 98, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204594, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1634, 19, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204595, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 211, 10, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204596, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 144, 21, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204597, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 2033, 8, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204598, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '', 14222, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204599, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 2076, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204600, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 9, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204601, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 9168, 5, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204602, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 186, 23, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204603, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 22, 12, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204604, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 20973, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204605, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 487, 3, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204606, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 97, 28, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204607, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 11, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204608, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 854, 20, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204609, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 427, 5, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204610, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 270, 13, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204611, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 838, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204612, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 337, 59, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204613, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 277, 56, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204614, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 179, 52, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204615, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 4, 3, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204616, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 9168, 5, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204617, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 717, 27, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204618, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 427, 5, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204619, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 57, 3, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204620, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 643, 23, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204621, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 283, 3, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204622, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 895, 18, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204623, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 11, 3, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204624, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 281, 2, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204625, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 98, 4, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204626, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 35, 4, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204627, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 96, 17, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204628, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 1, 2, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204629, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 176, 2, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204630, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 205, 4, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204631, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 2033, 8, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204632, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 901, 7, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204633, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 329, 1, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204634, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 854, 20, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204635, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 487, 3, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204636, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 9, 3, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204637, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 4, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204638, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 345, 9, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204639, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 392, 6, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204640, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 427, 10, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204641, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 315, 16, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204642, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 743, 4, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204643, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 285, 18, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204644, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 2076, 1, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204645, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 177, 14, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204646, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 9, 1, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204647, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 270, 9, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204648, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 274, 18, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204649, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 128, 7, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204650, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 211, 10, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204651, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 305, 29, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204652, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B08', 4, 3, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204653, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 295, 21, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204654, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 838, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204655, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '2B08', 14222, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204656, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 146, 21, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204657, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 194, 13, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204658, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 310, 18, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204659, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 175, 10, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204660, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 52, 13, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204661, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 144, 21, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204662, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 10, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204663, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 241, 21, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204664, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 20973, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204665, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 197, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204666, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 25, 19, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204667, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 270, 13, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204668, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 4, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204669, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 45, 20, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204670, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 118, 3, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204671, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 475, 6, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204672, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 1110, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204673, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 11, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204674, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 22, 12, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204675, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 226, 9, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204676, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 62, 20, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204677, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 48, 2, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204678, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 41, 1, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204679, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 325, 26, 2024, 4, 19, '2024-08-05 16:06:29', NULL, NULL), (204680, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 27, 14, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204681, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 97, 28, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204682, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 56, 16, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204683, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1634, 19, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 27, 14, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 45, 20, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 25, 19, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 414, 22, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 9, 1, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 838, 1, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 20973, 1, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 10, 1, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 48, 2, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 62, 20, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 56, 16, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 717, 27, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 281, 2, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 226, 9, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 325, 26, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 643, 23, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1634, 19, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 895, 18, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 285, 18, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 144, 21, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 241, 21, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 345, 9, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 392, 6, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 427, 10, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 315, 16, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 194, 13, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 175, 10, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 4, 1, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 743, 4, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '2B08', 14222, 1, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 854, 20, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 427, 5, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 2033, 8, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 1110, 1, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 22, 12, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 9, 3, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 487, 3, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 9168, 5, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 283, 3, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 310, 18, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 139, 9, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 35, 4, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 270, 13, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 260, 19, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 97, 28, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 4, 3, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 231, 15, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 98, 4, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 96, 17, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 335, 27, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 57, 3, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 211, 10, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 287, 32, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 41, 1, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 146, 21, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 1, 2, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 2076, 1, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 52, 13, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 11, 3, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204743, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 96, 17, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204744, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 241, 21, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204745, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B08', 4, 3, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204746, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 9, 1, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204747, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 325, 26, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204748, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 226, 9, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204749, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 177, 14, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204750, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 329, 1, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204751, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 310, 18, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204752, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 146, 21, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204753, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 52, 13, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204754, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 1, 2, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204755, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 35, 4, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204756, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 98, 4, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204757, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 11, 3, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204758, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 283, 3, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204759, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 57, 3, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204760, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 211, 10, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204761, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 285, 18, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204762, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1634, 19, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204763, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 9, 3, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204764, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 487, 3, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204765, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 2033, 8, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204766, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 838, 1, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204767, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 4, 1, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204768, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 743, 4, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204769, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 22, 12, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204770, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 25, 19, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204771, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 854, 20, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204772, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 45, 20, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204773, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 27, 14, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204774, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 194, 13, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204775, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 56, 16, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204776, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 175, 10, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204777, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 270, 13, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204778, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 62, 20, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204779, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 48, 2, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204780, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 2076, 1, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204781, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 20973, 1, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204782, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 427, 10, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204783, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 315, 16, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204784, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 10, 1, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204785, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 97, 28, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204786, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 9168, 5, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204787, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 345, 9, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204788, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 427, 5, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204789, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 1110, 1, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204790, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 392, 6, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204791, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 11, 1, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204792, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 643, 23, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204793, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 895, 18, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204794, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 197, 1, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204795, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 281, 2, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204796, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 4, 1, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204797, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 717, 27, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204798, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 118, 3, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204799, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 176, 2, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204800, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 475, 6, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204801, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 41, 1, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204802, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 901, 7, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204803, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 205, 4, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204804, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 305, 29, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204805, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 274, 18, 2024, 4, 19, '2024-08-05 16:06:30', NULL, NULL), (204806, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 295, 21, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204807, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 144, 21, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204808, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '2B08', 14222, 1, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204809, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 270, 9, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204810, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 128, 7, 2024, 4, 19, '2024-08-05 16:06:31', NULL, NULL), (204811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 17, 2024, 4, 20, '2024-08-05 16:06:32', NULL, NULL), (204812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 3, 2024, 4, 20, '2024-08-05 16:06:32', NULL, NULL), (204813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 0, 5, 2024, 4, 20, '2024-08-05 16:06:32', NULL, NULL), (204814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 0, 7, 2024, 4, 20, '2024-08-05 16:06:32', NULL, NULL), (204815, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2024, 4, 20, '2024-08-05 16:06:32', NULL, NULL), (204816, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 5, 2024, 4, 20, '2024-08-05 16:06:32', NULL, NULL), (204817, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 32, 2024, 4, 20, '2024-08-05 16:06:32', NULL, NULL), (204818, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 0, 1, 2024, 4, 20, '2024-08-05 16:06:32', NULL, NULL), (204819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 3, 1, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 2266, 8, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 990, 9, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1024, 9, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 3, 1, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204824, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 0, 1, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204825, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204826, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1295, 14, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204827, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 3, 1, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 3, 1, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 967, 5, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 4431, 3, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204831, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 3, 1, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204832, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 2266, 8, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204833, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 3, 1, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204834, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 967, 5, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204835, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 4431, 3, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 3, 1, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 4431, 3, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 967, 5, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204839, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 967, 5, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204840, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 4431, 3, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204841, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 3, 1, 2024, 4, 21, '2024-08-05 16:06:33', NULL, NULL), (204842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 287, 108, 2024, 4, 22, '2024-08-05 16:06:34', NULL, NULL), (204843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 359, 5, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 534, 1, 2024, 4, 22, '2024-08-05 16:06:34', NULL, NULL), (204845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 157, 142, 2024, 4, 22, '2024-08-05 16:06:34', NULL, NULL), (204846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 110, 29, 2024, 4, 22, '2024-08-05 16:06:34', NULL, NULL), (204847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 509, 243, 2024, 4, 22, '2024-08-05 16:06:34', NULL, NULL), (204848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 51, 133, 2024, 4, 22, '2024-08-05 16:06:34', NULL, NULL), (204849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 3897, 1, 2024, 4, 22, '2024-08-05 16:06:34', NULL, NULL), (204850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏生态环境局', '', '', 8, 1, 2024, 4, 22, '2024-08-05 16:06:34', NULL, NULL), (204851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 3319, 5, 2024, 4, 22, '2024-08-05 16:06:34', NULL, NULL), (204852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 814, 153, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 458, 262, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 824, 46, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 8, 2, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 767, 6, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 288, 60, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 272, 9, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 257, 57, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 306, 68, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 278, 111, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 752, 31, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 362, 83, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 207, 94, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204865, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 35, 1, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204866, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 529, 3, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204867, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204868, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 157, 142, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204869, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 34, 13, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204870, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1659, 10, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204871, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 104, 2, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204872, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 337, 4, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204873, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 2, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204874, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 991, 18, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204875, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 272, 61, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204876, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204877, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 90, 10, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204878, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 219, 6, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204879, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 43, 45, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204880, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 569, 19, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204881, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 733, 50, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204882, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 846, 1, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204883, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204884, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 516, 9, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204885, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 217, 14, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204886, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 39, 14, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204887, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 49, 1, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204888, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 404, 9, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204889, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 298, 7, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204890, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 190, 28, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204891, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 39, 107, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204892, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1205, 89, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204893, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 24, 3, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204894, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '', 8, 1, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204895, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 485, 15, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204896, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 125, 6, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204897, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 181, 7, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204898, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 823, 20, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204899, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 334, 86, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204900, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 8, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204901, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204902, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 682, 21, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204903, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 3897, 1, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204904, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 51, 1, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204905, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204906, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 52, 10, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204907, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 465, 1, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 189, 34, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 52, 10, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 485, 15, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 117, 21, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 823, 20, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 158, 33, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 44, 18, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 3897, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 190, 26, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 46, 17, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 134, 7, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 36, 10, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 664, 20, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 30, 28, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 933, 14, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 31, 33, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 311, 27, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 646, 16, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 81, 16, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 159, 8, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 196, 8, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 773, 3, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 39, 11, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 48, 15, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 424, 15, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 111, 21, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 190, 28, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 769, 18, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 74, 23, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 3452, 4, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1437, 37, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 2786, 1, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 358, 17, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1086, 31, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 247, 16, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 298, 7, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 516, 9, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 465, 1, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 219, 6, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 234, 13, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 24, 3, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 682, 21, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 250, 3, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 991, 18, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 274, 26, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 204, 22, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 373, 12, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 514, 1, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 69, 2, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 499, 7, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 231, 7, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 12, 1, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 104, 2, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 184, 2, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 2, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 2196, 3, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 8, 4, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 337, 4, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 35, 1, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 569, 19, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 51, 1, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 846, 1, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B10', 8, 1, 2024, 4, 22, '2024-08-05 16:06:35', NULL, NULL), (204971, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 90, 10, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204972, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 181, 7, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204973, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 272, 61, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204974, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 24, 3, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204975, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 298, 7, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204976, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 337, 4, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204977, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 529, 3, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204978, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 157, 142, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204979, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 34, 13, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204980, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 42, 13, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204981, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 51, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (204982, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 404, 9, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204983, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '翠屏生态环境局', '', '', 8, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204984, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 823, 20, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204985, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 39, 102, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204986, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 250, 3, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204987, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 485, 15, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204988, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 52, 10, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204989, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 234, 13, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204990, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 3319, 5, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204991, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 733, 50, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204992, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 846, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204993, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 219, 6, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204994, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 516, 9, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204995, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 190, 28, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204996, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 49, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204997, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 682, 21, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204998, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', '', 3897, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (204999, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 991, 18, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205000, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 569, 19, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205001, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 104, 2, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205002, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 334, 86, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205003, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1205, 89, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205004, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 465, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205005, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 43, 45, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205006, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 35, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205007, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 85, 4, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205008, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 2786, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205009, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 3452, 4, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205010, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 514, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205011, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 991, 18, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205012, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 12, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205013, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 274, 26, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205014, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 7, 4, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205015, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 204, 22, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205016, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 3897, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205017, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 184, 2, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205018, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 373, 12, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205019, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 8, 4, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205020, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 2, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205021, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 823, 20, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205022, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 127, 2, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205023, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 203, 5, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205024, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 93, 6, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205025, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 234, 13, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205026, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 150, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205027, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 465, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205028, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 682, 21, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205029, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 298, 7, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205030, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 516, 9, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205031, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 69, 2, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205032, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 424, 15, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205033, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 196, 8, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205034, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 773, 3, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205035, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 499, 7, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205036, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 311, 27, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205037, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 247, 16, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205038, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '2B10', 8, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205039, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 62, 16, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205040, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 105, 2, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205041, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 57, 13, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205042, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 35, 11, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205043, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 19, 9, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205044, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 24, 28, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205045, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 485, 15, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205046, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B08', 35, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205047, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 35, 23, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205048, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 104, 2, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205049, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 358, 17, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205050, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 646, 16, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205051, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 51, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205052, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 46, 17, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205053, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 664, 20, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205054, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 36, 10, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205055, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 933, 14, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205056, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 44, 18, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205057, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 52, 10, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205058, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 846, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205059, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 529, 3, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205060, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 2196, 3, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205061, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 337, 4, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205062, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 111, 21, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205063, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 569, 19, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205064, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 6, 2, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205065, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 189, 34, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205066, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 69, 5, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205067, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 9, 5, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205068, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 49, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205069, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 24, 3, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205070, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 219, 6, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205071, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1437, 37, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205072, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 190, 26, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205073, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 769, 18, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205074, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 134, 7, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205075, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 117, 21, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205076, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 190, 28, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205077, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 158, 33, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205078, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 250, 3, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205079, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1086, 31, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 529, 3, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 117, 21, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 189, 34, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 111, 21, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 74, 23, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 104, 2, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 134, 7, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 190, 26, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 158, 33, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 1086, 31, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 514, 1, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 373, 12, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1437, 37, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 769, 18, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 274, 26, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 250, 3, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 846, 1, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 204, 22, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 358, 17, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 52, 10, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 247, 16, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 2196, 3, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏生态环境局', '', '2B10', 8, 1, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 424, 15, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 196, 8, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 773, 3, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 311, 27, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 646, 16, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 664, 20, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 933, 14, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 69, 2, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 534, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 499, 7, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A02', 3897, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 2786, 1, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 682, 21, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 991, 18, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 234, 13, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 24, 3, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 465, 1, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 219, 6, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 298, 7, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 3452, 4, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 516, 9, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 7, 4, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 51, 1, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 36, 10, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 337, 4, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 39, 11, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 48, 15, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 8, 4, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 569, 19, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 51, 15, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 190, 28, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 35, 1, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 159, 8, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 30, 28, 2024, 4, 22, '2024-08-05 16:06:36', NULL, NULL), (205137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 823, 20, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 12, 1, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 31, 33, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 485, 15, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 2, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 46, 17, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 44, 18, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 184, 2, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205145, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 2196, 3, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205146, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 823, 20, 2024, 4, 22, '2024-08-05 16:06:38', NULL, NULL), (205147, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B08', 35, 1, 2024, 4, 22, '2024-08-05 16:06:38', NULL, NULL), (205148, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 769, 18, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205149, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1437, 37, 2024, 4, 22, '2024-08-05 16:06:38', NULL, NULL), (205150, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 62, 16, 2024, 4, 22, '2024-08-05 16:06:38', NULL, NULL), (205151, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 150, 1, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205152, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 465, 1, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205153, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 36, 10, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205154, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 1086, 31, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205155, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 46, 17, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205156, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 44, 18, 2024, 4, 22, '2024-08-05 16:06:38', NULL, NULL), (205157, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 2, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205158, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 8, 4, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205159, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 184, 2, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205160, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 7, 4, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205161, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 12, 1, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205162, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 485, 15, 2024, 4, 22, '2024-08-05 16:06:38', NULL, NULL), (205163, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 247, 16, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205164, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 250, 3, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205165, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 298, 7, 2024, 4, 22, '2024-08-05 16:06:38', NULL, NULL), (205166, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 358, 17, 2024, 4, 22, '2024-08-05 16:06:38', NULL, NULL), (205167, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 516, 9, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205168, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 104, 2, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205169, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 234, 13, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205170, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 69, 2, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205171, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', 'A02', 3897, 1, 2024, 4, 22, '2024-08-05 16:06:38', NULL, NULL), (205172, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 499, 7, 2024, 4, 22, '2024-08-05 16:06:38', NULL, NULL), (205173, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 85, 4, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205174, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 219, 6, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205175, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 111, 21, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205176, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 682, 21, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205177, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 189, 34, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205178, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 117, 21, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205179, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 664, 20, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205180, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 158, 33, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205181, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 933, 14, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205182, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 569, 19, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205183, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 190, 26, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205184, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 134, 7, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205185, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 646, 16, 2024, 4, 22, '2024-08-05 16:06:38', NULL, NULL), (205186, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 337, 4, 2024, 4, 22, '2024-08-05 16:06:38', NULL, NULL), (205187, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 529, 3, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205188, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 773, 3, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205189, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 311, 27, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205190, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 190, 28, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205191, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 2786, 1, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205192, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 3452, 4, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205193, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 196, 8, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205194, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 991, 18, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205195, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 24, 3, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205196, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 424, 15, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205197, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 49, 1, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205198, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '翠屏生态环境局', '', '2B10', 8, 1, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205199, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 274, 26, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205200, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 204, 22, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205201, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 51, 1, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205202, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 373, 12, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205203, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 6, 2, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205204, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 514, 1, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205205, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 69, 5, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205206, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 127, 2, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205207, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 9, 5, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205208, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 203, 5, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205209, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 93, 6, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205210, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 24, 28, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205211, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 846, 1, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205212, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 57, 13, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205213, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 35, 23, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205214, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 35, 11, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205215, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 52, 10, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205216, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 105, 2, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205217, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 19, 9, 2024, 4, 22, '2024-08-05 16:06:37', NULL, NULL), (205218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 468, 149, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 13117, 5, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 69, 110, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 153, 35, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 564, 225, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 428, 135, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 15039, 5, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 8167, 7, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 410, 117, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 441, 285, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 303, 48, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 23, 2, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 497, 11, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 376, 47, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 6644, 10, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 370, 77, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 400, 53, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 381, 96, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 7787, 17, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 245, 69, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 544, 82, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205239, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205240, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 14, 2, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205241, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 13117, 5, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205242, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 7, 19, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205243, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 69, 110, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205244, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 8167, 7, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205245, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 1, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205246, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 7, 9, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205247, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 217, 49, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205248, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205249, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 179, 8, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205250, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 606, 16, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205251, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 611, 74, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205252, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 409, 16, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205253, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 331, 30, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205254, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 1655, 3, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205255, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 5, 2, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205256, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 257, 17, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205257, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 470, 7, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205258, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 101, 3, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205259, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 2137, 5, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205260, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1481, 11, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205261, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 362, 4, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205262, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 134, 32, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205263, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 412, 94, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205264, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 537, 60, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205265, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 506, 3, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205266, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 383, 13, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205267, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 575, 9, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205268, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 332, 19, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205269, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 493, 31, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205270, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 330, 78, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205271, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205272, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 10, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205273, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 836, 40, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205274, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 15039, 5, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205275, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 7501, 2, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205276, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 21, 11, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205277, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 359, 1, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 31, 23, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 383, 13, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 21, 11, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 55, 19, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 509, 30, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 708, 24, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 195, 16, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 15039, 5, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 567, 29, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 57, 16, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 561, 21, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 53, 18, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 344, 7, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 447, 28, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 304, 15, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 582, 28, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 389, 22, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 196, 12, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 373, 8, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 191, 10, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 462, 21, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 238, 7, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 631, 17, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 328, 14, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 273, 11, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 50, 18, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 134, 32, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 767, 16, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 208, 22, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 13296, 4, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 503, 33, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1328, 3, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 345, 10, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 381, 11, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 482, 3, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 5, 2, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 359, 1, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 179, 8, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 257, 17, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 506, 3, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 575, 9, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 729, 35, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 7, 9, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 83, 12, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 74, 11, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 98, 10, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 490, 16, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 1585, 5, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1481, 11, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 9370, 7, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 2137, 5, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 7, 1, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 13, 4, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 4, 7, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 8, 5, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 335, 10, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 14, 2, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 409, 16, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 7501, 2, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 1655, 3, 2024, 4, 23, '2024-08-05 16:06:39', NULL, NULL), (205338, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 606, 16, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205339, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 332, 19, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205340, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 217, 49, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205341, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 506, 3, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205342, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 482, 3, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205343, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 69, 110, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205344, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 13117, 5, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205345, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 7, 19, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205346, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 470, 7, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205347, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 7501, 2, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205348, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1481, 11, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205349, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 509, 30, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205350, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 425, 90, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205351, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 575, 9, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205352, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 383, 13, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205353, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 21, 11, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205354, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 257, 17, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205355, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 8167, 7, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205356, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 2137, 5, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205357, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 331, 30, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205358, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 1655, 3, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205359, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 179, 8, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205360, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 5, 2, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205361, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 134, 32, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205362, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 101, 3, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205363, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 836, 40, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205364, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', '', 15039, 5, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205365, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 7, 9, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205366, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 409, 16, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205367, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 330, 78, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205368, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 546, 59, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205369, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 359, 1, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205370, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 611, 74, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205371, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 14, 2, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205372, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 1336, 6, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205373, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1328, 3, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205374, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 13296, 4, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205375, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 7, 9, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205376, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 83, 12, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205377, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 2, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205378, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 74, 11, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205379, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 15039, 5, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205380, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 13, 4, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205381, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 98, 10, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205382, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 7, 1, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205383, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 490, 16, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (205384, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 8, 5, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205385, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 4, 7, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205386, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 509, 30, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205387, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 236, 6, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205388, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 377, 13, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205389, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 168, 10, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205390, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 257, 17, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205391, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 585, 1, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205392, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 359, 1, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205393, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 729, 35, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205394, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 482, 3, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205395, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 5, 2, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205396, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 273, 11, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205397, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 328, 14, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205398, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 191, 10, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205399, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 389, 22, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205400, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1481, 11, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205401, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 1585, 5, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205402, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 381, 11, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205403, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 2137, 5, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205404, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 210, 11, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205405, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 898, 5, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205406, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 192, 11, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205407, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 276, 9, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205408, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 251, 1, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205409, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 383, 13, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205410, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 562, 25, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205411, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B08', 14, 2, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205412, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 447, 28, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205413, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 345, 10, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205414, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 373, 8, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205415, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 7501, 2, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205416, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 567, 29, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205417, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 344, 7, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205418, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 561, 21, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205419, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 304, 15, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205420, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 708, 24, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205421, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 21, 11, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205422, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 1655, 3, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205423, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 13117, 5, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205424, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 335, 10, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205425, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 50, 18, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205426, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 409, 16, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205427, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 240, 1, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205428, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 31, 23, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205429, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 747, 3, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205430, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 113, 2, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205431, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 506, 3, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205432, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 101, 3, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205433, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 179, 8, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205434, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 57, 16, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205435, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 503, 33, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205436, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 767, 16, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205437, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 53, 18, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205438, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 55, 19, 2024, 4, 23, '2024-08-05 16:06:40', NULL, NULL), (205439, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 134, 32, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205440, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 575, 9, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205441, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 195, 16, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 55, 19, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 13117, 5, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 31, 23, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 50, 18, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 208, 22, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 53, 18, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 57, 16, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 195, 16, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 1655, 3, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 490, 16, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 503, 33, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 767, 16, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 83, 12, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 575, 9, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 98, 10, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 74, 11, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 345, 10, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 21, 11, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 381, 11, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 335, 10, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 273, 11, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 328, 14, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 191, 10, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 389, 22, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 373, 8, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 344, 7, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 304, 15, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1481, 11, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 1585, 5, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A02', 15039, 5, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1328, 3, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 729, 35, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 7, 9, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 257, 17, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 506, 3, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 359, 1, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 179, 8, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 482, 3, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 13296, 4, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 5, 2, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 2, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 7501, 2, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 561, 21, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 238, 7, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 631, 17, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 8, 5, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 409, 16, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 196, 12, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 134, 32, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 14, 2, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 462, 21, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 7, 1, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 447, 28, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 509, 30, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 383, 13, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 582, 28, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 4, 7, 2024, 4, 23, '2024-08-05 16:06:41', NULL, NULL), (205499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 567, 29, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 2137, 5, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 708, 24, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 13, 4, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205503, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 509, 30, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205504, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 335, 10, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205505, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B08', 14, 2, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205506, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 767, 16, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205507, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 503, 33, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205508, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 210, 11, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205509, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 585, 1, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205510, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 359, 1, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205511, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 561, 21, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205512, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 567, 29, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205513, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 708, 24, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205514, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 4, 7, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205515, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 8, 5, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205516, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 7, 1, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205517, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 13, 4, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205518, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 2, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205519, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 383, 13, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205520, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 381, 11, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205521, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 575, 9, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205522, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 482, 3, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205523, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 345, 10, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205524, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 1585, 5, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205525, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 5, 2, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205526, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 257, 17, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205527, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', 'A02', 15039, 5, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205528, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1481, 11, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205529, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 1336, 6, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205530, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 179, 8, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205531, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 50, 18, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205532, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 729, 35, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205533, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 31, 23, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205534, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 55, 19, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205535, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 344, 7, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205536, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 304, 15, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205537, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 195, 16, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205538, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 57, 16, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205539, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 409, 16, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205540, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 2137, 5, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205541, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 53, 18, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205542, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 373, 8, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205543, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 13117, 5, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205544, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 389, 22, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205545, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 134, 32, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205546, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1328, 3, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205547, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 13296, 4, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205548, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 191, 10, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205549, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 7, 9, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205550, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 273, 11, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205551, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 506, 3, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205552, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 328, 14, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205553, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 101, 3, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205554, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 83, 12, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205555, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 113, 2, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205556, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 74, 11, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205557, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 7501, 2, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205558, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 98, 10, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205559, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 490, 16, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205560, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 240, 1, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205561, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 747, 3, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205562, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 236, 6, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205563, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 168, 10, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205564, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 377, 13, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205565, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 1655, 3, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205566, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 562, 25, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205567, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 192, 11, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205568, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 447, 28, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205569, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 276, 9, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205570, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 21, 11, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205571, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 898, 5, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205572, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 251, 1, 2024, 4, 23, '2024-08-05 16:06:42', NULL, NULL), (205573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 314, 116, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1960, 3, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 91, 107, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 75, 39, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 4, 1, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 350, 184, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 240, 111, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 3765, 7, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 542, 121, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 937, 1, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 367, 260, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 280, 44, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 144, 12, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 215, 43, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1960, 3, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 196, 37, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 251, 47, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 252, 71, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1806, 15, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 232, 61, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 267, 114, 2024, 4, 24, '2024-08-05 16:06:43', NULL, NULL), (205594, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 6, 1, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205595, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 1960, 3, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205596, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205597, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 12, 20, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205598, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 91, 107, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205599, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 3765, 7, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205600, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 159, 9, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205601, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 497, 53, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205602, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205603, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 792, 11, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205604, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 474, 9, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205605, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 327, 49, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205606, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 610, 10, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205607, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 411, 35, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205608, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 341, 1, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205609, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 576, 9, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205610, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 119, 10, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205611, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 146, 18, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205612, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 202, 1, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205613, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205614, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 311, 3, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205615, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 346, 17, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205616, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 476, 5, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205617, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 199, 30, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205618, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 146, 83, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205619, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 493, 65, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205620, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 127, 8, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205621, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 2418, 3, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205622, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 499, 9, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205623, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 463, 29, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205624, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 173, 63, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205625, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 5, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205626, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205627, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 732, 16, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205628, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 137, 17, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 137, 17, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 127, 8, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 161, 22, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 463, 29, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 32, 17, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 491, 18, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 50, 19, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 164, 12, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 265, 10, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 403, 13, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 275, 19, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 61, 20, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 191, 22, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 106, 2, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 106, 11, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 82, 22, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 148, 21, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 446, 20, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 174, 10, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 259, 18, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 386, 13, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 81, 8, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 201, 12, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 41, 19, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 199, 30, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 447, 24, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 416, 25, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 5513, 2, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 421, 14, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 3066, 5, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 144, 7, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 144, 7, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 794, 3, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 576, 9, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 474, 9, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 119, 10, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 2418, 3, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 732, 16, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 159, 9, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 526, 16, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 138, 3, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 564, 11, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 491, 23, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 59, 1, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 983, 6, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 364, 16, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 4, 1, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 311, 3, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 8, 4, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 22, 6, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 13, 2, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 8, 4, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 606, 26, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 6, 1, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 610, 10, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 341, 1, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205685, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 792, 11, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205686, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 499, 9, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205687, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 497, 53, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205688, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 794, 3, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205689, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 1960, 3, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205690, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 91, 107, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205691, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 12, 20, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205692, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 131, 15, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205693, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 346, 17, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205694, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 463, 29, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205695, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 150, 75, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205696, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 2418, 3, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205697, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 127, 8, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205698, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 137, 17, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205699, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 119, 10, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205700, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 3765, 7, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205701, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 311, 3, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205702, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 411, 35, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205703, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 341, 1, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205704, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 474, 9, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205705, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 576, 9, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205706, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 199, 30, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205707, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 202, 1, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205708, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 732, 16, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205709, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 159, 9, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205710, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 610, 10, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205711, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 173, 63, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205712, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 493, 65, 2024, 4, 24, '2024-08-05 16:06:44', NULL, NULL), (205713, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 327, 49, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205714, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 6, 1, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205715, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 3066, 5, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205716, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 5513, 2, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205717, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 491, 23, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205718, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 159, 9, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205719, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 6, 4, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205720, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 526, 16, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205721, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 138, 3, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205722, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 22, 6, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205723, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 564, 11, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205724, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 8, 4, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205725, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 8, 4, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205726, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 13, 2, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205727, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 463, 29, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205728, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 565, 7, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205729, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 269, 2, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205730, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 792, 11, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205731, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 119, 10, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205732, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 11, 1, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205733, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 732, 16, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205734, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 794, 3, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205735, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 576, 9, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205736, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 59, 1, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205737, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 201, 12, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205738, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 81, 8, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205739, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 259, 18, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205740, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 106, 11, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205741, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 364, 16, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205742, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 144, 7, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205743, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 311, 3, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205744, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 167, 12, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205745, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 111, 5, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205746, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 166, 16, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205747, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 243, 4, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205748, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 127, 8, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205749, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 83, 21, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205750, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B08', 6, 1, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205751, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 194, 17, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205752, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 144, 7, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205753, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 446, 20, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205754, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 164, 12, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205755, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 403, 13, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205756, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 275, 19, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205757, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 106, 2, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205758, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 491, 18, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205759, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 137, 17, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205760, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 341, 1, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205761, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 2938, 2, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205762, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 4, 1, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205763, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 606, 26, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205764, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 225, 2, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205765, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 41, 19, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205766, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 610, 10, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205767, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 89, 5, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205768, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 161, 22, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205769, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 57, 1, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205770, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 183, 5, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205771, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 96, 1, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205772, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 202, 1, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205773, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 474, 9, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205774, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 265, 10, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205775, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 421, 14, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205776, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 416, 25, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205777, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 61, 20, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205778, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 32, 17, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205779, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 199, 30, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205780, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 2418, 3, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205781, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 50, 19, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 2938, 2, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 32, 17, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 161, 22, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 41, 19, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 447, 24, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 4, 1, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 61, 20, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (205789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 265, 10, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 50, 19, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 491, 23, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 564, 11, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 421, 14, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 416, 25, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 2418, 3, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 341, 1, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 138, 3, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 526, 16, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 144, 7, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 137, 17, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 144, 7, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 606, 26, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 4, 1, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 201, 12, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 81, 8, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 259, 18, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 106, 11, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 446, 20, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 403, 13, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 106, 2, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 59, 1, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 364, 16, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 3066, 5, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 732, 16, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 159, 9, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 119, 10, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 474, 9, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 794, 3, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 5513, 2, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 576, 9, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 6, 4, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 275, 19, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 418, 12, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 8, 4, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 610, 10, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 148, 21, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 199, 30, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 6, 1, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 174, 10, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 191, 22, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 8, 4, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 463, 29, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 127, 8, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 82, 22, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 164, 12, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 13, 2, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 311, 3, 2024, 4, 24, '2024-08-05 16:06:45', NULL, NULL), (205838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 22, 6, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 491, 18, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205840, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 463, 29, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205841, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 606, 26, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205842, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B08', 6, 1, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205843, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 416, 25, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205844, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 421, 14, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205845, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 167, 12, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205846, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 11, 1, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205847, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 275, 19, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205848, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 164, 12, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205849, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 491, 18, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205850, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 13, 2, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205851, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 8, 4, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205852, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 8, 4, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205853, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 22, 6, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205854, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 6, 4, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205855, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 127, 8, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205856, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 144, 7, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205857, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 2418, 3, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205858, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 144, 7, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205859, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 794, 3, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205860, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 576, 9, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205861, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 119, 10, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205862, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 59, 1, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205863, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 364, 16, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205864, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 311, 3, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205865, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 474, 9, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205866, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 732, 16, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205867, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 41, 19, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205868, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 161, 22, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205869, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 403, 13, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205870, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 32, 17, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205871, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 50, 19, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205872, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 106, 2, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205873, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 265, 10, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205874, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 610, 10, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205875, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 446, 20, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205876, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 61, 20, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205877, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 2938, 2, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205878, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 106, 11, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205879, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 4, 1, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205880, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 199, 30, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205881, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 3066, 5, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205882, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 5513, 2, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205883, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 259, 18, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205884, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 201, 12, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205885, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 159, 9, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205886, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 81, 8, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205887, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 202, 1, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205888, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 526, 16, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205889, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 96, 1, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205890, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 138, 3, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205891, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 225, 2, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205892, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 564, 11, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205893, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 89, 5, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205894, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 491, 23, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205895, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 57, 1, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205896, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 183, 5, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205897, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 565, 7, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205898, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 269, 2, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205899, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 792, 11, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205900, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 83, 21, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205901, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 341, 1, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205902, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 166, 16, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205903, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 194, 17, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205904, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 137, 17, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205905, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 111, 5, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205906, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 243, 4, 2024, 4, 24, '2024-08-05 16:06:46', NULL, NULL), (205907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 194, 114, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 506, 2, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 94, 103, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 261, 39, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 493, 210, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 42, 116, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 50, 1, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 164, 1, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 519, 144, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 112, 9, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 241, 219, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 356, 36, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 2, 4, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 164, 66, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 337, 3, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 512, 59, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 222, 75, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 458, 112, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 100, 16, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 314, 60, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 269, 87, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205928, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 1108, 1, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205929, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 257, 2, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205930, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205931, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 286, 18, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205932, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 94, 103, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205933, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 27, 6, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205934, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 498, 1, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205935, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 295, 13, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205936, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 336, 49, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205937, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205938, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 5, 4, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205939, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 93, 9, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205940, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 128, 54, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205941, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 117, 12, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205942, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 388, 26, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205943, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1042, 6, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205944, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 309, 11, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205945, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 20, 16, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205946, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 204, 1, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205947, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205948, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 405, 24, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205949, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 7, 5, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205950, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 166, 24, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205951, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 29, 84, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205952, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 480, 93, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205953, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 1326, 1, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205954, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 469, 11, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205955, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 6854, 2, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205956, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 175, 6, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205957, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 230, 26, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205958, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 220, 77, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205959, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 8, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205960, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1237, 26, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205961, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 8, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205962, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 50, 1, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205963, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 89, 3, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205964, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 196, 20, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205965, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 9053, 2, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 469, 11, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 66, 13, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 196, 20, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 237, 21, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 230, 26, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 188, 15, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 78, 18, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 50, 1, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 124, 16, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 102, 18, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 93, 23, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 32, 16, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 13, 19, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 421, 9, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 311, 18, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 19, 23, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 22, 14, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 370, 17, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 124, 13, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 93, 21, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (205986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 25, 11, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 217, 12, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 63, 11, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 164, 15, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 5, 17, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 173, 23, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 53, 17, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 597, 35, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 145, 10, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 164, 1, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 246, 11, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 279, 20, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 245, 8, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (205999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 7, 5, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (206000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1042, 6, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (206001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 9053, 2, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (206002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 5, 4, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (206003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 309, 11, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (206004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 1326, 1, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (206005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 6854, 2, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (206006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1237, 26, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (206007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 295, 13, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (206008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 253, 18, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (206009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 617, 17, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (206010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 89, 11, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (206011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 155, 3, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (206012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 1034, 7, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (206013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 222, 5, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (206014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 146, 17, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (206015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 348, 5, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (206016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 6, 3, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (206017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 821, 4, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (206018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 3, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (206019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 596, 28, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (206020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 1108, 1, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (206021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 117, 12, 2024, 4, 25, '2024-08-05 16:06:49', NULL, NULL), (206022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 89, 3, 2024, 4, 25, '2024-08-05 16:06:48', NULL, NULL), (206023, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 93, 9, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206024, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 175, 6, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206025, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 336, 49, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206026, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 1326, 1, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206027, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 7, 5, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206028, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 514, 1, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206029, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 94, 103, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206030, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 286, 18, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206031, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 20, 16, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206032, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 89, 3, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206033, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 405, 24, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206034, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 230, 26, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206035, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 29, 84, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206036, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 6854, 2, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206037, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 469, 11, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206038, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 196, 20, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206039, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 309, 11, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206040, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 164, 1, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206041, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 388, 26, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206042, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 5, 4, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206043, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1042, 6, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206044, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 173, 23, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206045, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 204, 1, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206046, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1237, 26, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206047, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', '', 50, 1, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206048, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 295, 13, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206049, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 117, 12, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206050, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 498, 1, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206051, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 220, 77, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206052, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 480, 93, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206053, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 9053, 2, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206054, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 128, 54, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206055, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 1108, 1, 2024, 4, 25, '2024-08-05 16:06:50', NULL, NULL), (206056, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 70, 3, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206057, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 164, 1, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206058, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 155, 3, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206059, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 295, 13, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206060, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 253, 18, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206061, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 617, 17, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206062, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 149, 4, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206063, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 50, 1, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206064, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 6, 3, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206065, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 310, 4, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206066, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 89, 11, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206067, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 3, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206068, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 821, 4, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206069, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 230, 26, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206070, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 8, 2, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206071, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 259, 4, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206072, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 104, 6, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206073, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 309, 11, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206074, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 19, 2, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206075, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 9053, 2, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206076, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1237, 26, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206077, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 7, 5, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206078, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1042, 6, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206079, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 1034, 7, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206080, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 164, 15, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206081, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 217, 12, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206082, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 124, 13, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206083, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 311, 18, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206084, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 146, 17, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206085, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 245, 8, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206086, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 27, 9, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206087, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 55, 12, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206088, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 19, 11, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206089, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 61, 6, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206090, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 32, 8, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206091, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 469, 11, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206092, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 21, 21, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206093, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B08', 1108, 1, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206094, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 14, 17, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206095, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 498, 1, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206096, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 246, 11, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206097, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 370, 17, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206098, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 89, 3, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206099, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 124, 16, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206100, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 93, 23, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206101, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 421, 9, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206102, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 188, 15, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206103, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 196, 20, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206104, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 514, 1, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206105, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 596, 28, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206106, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 12, 4, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206107, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 5, 17, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206108, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 117, 12, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206109, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 35, 3, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206110, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 66, 13, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206111, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 3, 2, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206112, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 1, 2, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206113, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 62, 2, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206114, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 3, 1, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206115, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 204, 1, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206116, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 1326, 1, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206117, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 5, 4, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206118, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 102, 18, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206119, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 145, 10, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206120, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 597, 35, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206121, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 32, 16, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206122, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 173, 23, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206123, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 237, 21, 2024, 4, 25, '2024-08-05 16:06:51', NULL, NULL), (206124, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 6854, 2, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206125, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 279, 20, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206126, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 78, 18, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 514, 1, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 237, 21, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 66, 13, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 5, 17, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 53, 17, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 498, 1, 2024, 4, 25, '2024-08-05 16:06:54', NULL, NULL), (206133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 32, 16, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 102, 18, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 78, 18, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 279, 20, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 155, 3, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 89, 11, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 145, 10, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 597, 35, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 253, 18, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 6854, 2, 2024, 4, 25, '2024-08-05 16:06:54', NULL, NULL), (206143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 617, 17, 2024, 4, 25, '2024-08-05 16:06:54', NULL, NULL), (206144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 246, 11, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 245, 8, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 196, 20, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 596, 28, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 164, 15, 2024, 4, 25, '2024-08-05 16:06:54', NULL, NULL), (206149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 217, 12, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 124, 13, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 311, 18, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 370, 17, 2024, 4, 25, '2024-08-05 16:06:54', NULL, NULL), (206153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 421, 9, 2024, 4, 25, '2024-08-05 16:06:54', NULL, NULL), (206154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 1034, 7, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 146, 17, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A02', 50, 1, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 164, 1, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1237, 26, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 295, 13, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 309, 11, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 1326, 1, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 9053, 2, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 5, 4, 2024, 4, 25, '2024-08-05 16:06:54', NULL, NULL), (206164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 7, 5, 2024, 4, 25, '2024-08-05 16:06:54', NULL, NULL), (206165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1042, 6, 2024, 4, 25, '2024-08-05 16:06:54', NULL, NULL), (206166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 149, 4, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 89, 3, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 93, 23, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 25, 11, 2024, 4, 25, '2024-08-05 16:06:52', NULL, NULL), (206170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 117, 12, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 3, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 63, 11, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 22, 14, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 173, 23, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 1108, 1, 2024, 4, 25, '2024-08-05 16:06:53', NULL, NULL), (206176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 93, 21, 2024, 4, 25, '2024-08-05 16:06:54', NULL, NULL), (206177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 310, 4, 2024, 4, 25, '2024-08-05 16:06:54', NULL, NULL), (206178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 13, 19, 2024, 4, 25, '2024-08-05 16:06:54', NULL, NULL), (206179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 230, 26, 2024, 4, 25, '2024-08-05 16:06:54', NULL, NULL), (206180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 469, 11, 2024, 4, 25, '2024-08-05 16:06:54', NULL, NULL), (206181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 19, 23, 2024, 4, 25, '2024-08-05 16:06:54', NULL, NULL), (206182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 821, 4, 2024, 4, 25, '2024-08-05 16:06:54', NULL, NULL), (206183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 124, 16, 2024, 4, 25, '2024-08-05 16:06:54', NULL, NULL), (206184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 6, 3, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 188, 15, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206186, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 230, 26, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206187, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 596, 28, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206188, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B08', 1108, 1, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206189, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 597, 35, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206190, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 145, 10, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206191, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 27, 9, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206192, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 19, 2, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206193, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 9053, 2, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206194, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 93, 23, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206195, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 279, 20, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (206196, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 124, 16, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206197, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 188, 15, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206198, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 821, 4, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206199, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 3, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206200, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 310, 4, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206201, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 6, 3, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206202, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 149, 4, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206203, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 469, 11, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206204, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 245, 8, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206205, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 6854, 2, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206206, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 7, 5, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206207, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 246, 11, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206208, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1042, 6, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206209, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 498, 1, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206210, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 309, 11, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206211, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 1034, 7, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206212, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', 'A02', 50, 1, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206213, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 146, 17, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206214, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 70, 3, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206215, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 5, 4, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206216, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 5, 17, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206217, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1237, 26, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206218, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 66, 13, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206219, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 237, 21, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206220, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 421, 9, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206221, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 78, 18, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206222, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 117, 12, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206223, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 102, 18, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206224, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 32, 16, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206225, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 370, 17, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206226, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 514, 1, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206227, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 311, 18, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206228, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 173, 23, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206229, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 164, 1, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206230, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 124, 13, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206231, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 164, 15, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206232, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 295, 13, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206233, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 1326, 1, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206234, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 217, 12, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206235, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 204, 1, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206236, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 253, 18, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206237, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 62, 2, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206238, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 617, 17, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206239, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 3, 1, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206240, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 89, 3, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206241, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 12, 4, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206242, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 89, 11, 2024, 4, 25, '2024-08-05 16:06:57', NULL, NULL), (206243, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 155, 3, 2024, 4, 25, '2024-08-05 16:06:57', NULL, NULL), (206244, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 35, 3, 2024, 4, 25, '2024-08-05 16:06:57', NULL, NULL), (206245, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 3, 2, 2024, 4, 25, '2024-08-05 16:06:57', NULL, NULL), (206246, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 8, 2, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206247, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 1, 2, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206248, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 259, 4, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206249, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 104, 6, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206250, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 21, 21, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206251, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 19, 11, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206252, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 14, 17, 2024, 4, 25, '2024-08-05 16:06:55', NULL, NULL), (206253, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 61, 6, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206254, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 196, 20, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206255, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 55, 12, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206256, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 32, 8, 2024, 4, 25, '2024-08-05 16:06:56', NULL, NULL), (206257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 262, 97, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 72, 4, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 118, 107, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 665, 29, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 774, 210, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 102, 123, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 11541, 4, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 376, 134, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 832, 1, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 303, 8, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 416, 242, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 615, 38, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 91, 7, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 264, 57, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 166, 7, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 504, 55, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 386, 65, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 278, 110, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 5875, 8, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 415, 51, 2024, 4, 26, '2024-08-05 16:07:01', NULL, NULL), (206277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 468, 69, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206278, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 3, 1, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206279, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 88, 2, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206280, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206281, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 17, 15, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206282, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 118, 107, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206283, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 11541, 4, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206284, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 56, 2, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206285, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 913, 6, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206286, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 315, 53, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206287, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206288, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 356, 12, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206289, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 242, 4, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206290, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 112, 50, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206291, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 586, 12, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206292, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1936, 36, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206293, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 5136, 3, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206294, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 168, 6, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206295, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 162, 16, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206296, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 33, 10, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206297, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 238, 4, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206298, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 8, 1, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206299, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 462, 38, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206300, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 28, 3, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206301, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 163, 20, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206302, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 61, 89, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206303, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 406, 83, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206304, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 832, 1, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206305, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 2627, 2, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206306, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 379, 10, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206307, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 200, 8, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206308, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 750, 17, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206309, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 353, 63, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206310, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206311, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206312, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1329, 23, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206313, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 259, 14, 2024, 4, 26, '2024-08-05 16:07:02', NULL, NULL), (206314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 379, 10, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 259, 14, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 52, 16, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 750, 17, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 38, 15, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 148, 20, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 66, 18, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 58, 17, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 49, 22, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 128, 13, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 44, 16, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 29, 21, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1936, 36, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 307, 25, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 45, 23, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 113, 14, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 189, 18, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 504, 2, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 31, 12, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 266, 17, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 182, 18, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 412, 20, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 163, 20, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 135, 17, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 443, 19, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 364, 31, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 11541, 4, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 832, 1, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 476, 19, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 28, 3, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 168, 6, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 242, 4, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 162, 16, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 2627, 2, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1353, 22, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 913, 6, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 278, 24, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 365, 10, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 335, 19, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 790, 1, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 140, 2, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 480, 36, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 88, 2, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 8, 1, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 63, 5, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 9, 4, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 2, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 4, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 451, 31, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 3, 1, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 586, 12, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 15410, 1, 2024, 4, 26, '2024-08-05 16:07:03', NULL, NULL), (206366, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 356, 12, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206367, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 200, 8, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206368, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 315, 53, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206369, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 2627, 2, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206370, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 28, 3, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206371, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 88, 2, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206372, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 118, 107, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206373, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 20, 13, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206374, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 33, 10, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206375, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 462, 38, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206376, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 750, 17, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206377, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 61, 89, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206378, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 379, 10, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206379, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 259, 14, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206380, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 162, 16, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206381, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 8, 1, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206382, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 11541, 4, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206383, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1936, 36, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206384, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 15410, 1, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206385, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 242, 4, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206386, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 832, 1, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206387, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 168, 6, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206388, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 163, 20, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206389, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 238, 4, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206390, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1329, 23, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206391, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 913, 6, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206392, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 586, 12, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206393, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 56, 2, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206394, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 353, 63, 2024, 4, 26, '2024-08-05 16:07:04', NULL, NULL), (206395, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 416, 81, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206396, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 112, 50, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206397, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 3, 1, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206398, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 404, 6, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206399, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 11541, 4, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206400, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 913, 6, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206401, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 278, 24, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206402, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 9, 4, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206403, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 365, 10, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206404, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 68, 3, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206405, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 335, 19, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206406, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 4, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206407, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 750, 17, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206408, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 2, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206409, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 48, 3, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206410, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 291, 5, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206411, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 308, 6, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206412, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 162, 16, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206413, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 20, 1, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206414, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1353, 22, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206415, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 28, 3, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206416, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 168, 6, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206417, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 140, 2, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206418, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 266, 17, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206419, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 504, 2, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206420, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 307, 25, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206421, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 480, 36, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206422, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 790, 1, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206423, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 476, 19, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206424, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 8, 1, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206425, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 43, 10, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206426, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 110, 9, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206427, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 113, 14, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206428, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 71, 12, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206429, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 28, 8, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206430, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 379, 10, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206431, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 52, 18, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206432, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B08', 3, 1, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206433, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 24, 18, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206434, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 56, 2, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206435, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 58, 17, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206436, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 128, 13, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206437, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1936, 36, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206438, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 148, 20, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206439, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 259, 14, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206440, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 15410, 1, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206441, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 88, 2, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206442, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 451, 31, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206443, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 832, 1, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206444, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 412, 20, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206445, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 586, 12, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206446, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 52, 16, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206447, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 21, 5, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206448, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 64, 3, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206449, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 7, 1, 2024, 4, 26, '2024-08-05 16:07:05', NULL, NULL), (206450, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 238, 4, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206451, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 2627, 2, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206452, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 242, 4, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206453, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 49, 22, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206454, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 364, 31, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206455, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 44, 16, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206456, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 443, 19, 2024, 4, 26, '2024-08-05 16:07:06', NULL, NULL), (206457, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 163, 20, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206458, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 38, 15, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206459, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 66, 18, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 38, 15, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 52, 16, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 412, 20, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 135, 17, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 56, 2, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 88, 2, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 44, 16, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 49, 22, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 66, 18, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 15410, 1, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 335, 19, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 364, 31, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 443, 19, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 278, 24, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 365, 10, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 259, 14, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 476, 19, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 451, 31, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 832, 1, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 266, 17, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 504, 2, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 307, 25, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1936, 36, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 140, 2, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 480, 36, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 790, 1, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 11541, 4, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1353, 22, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 913, 6, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 162, 16, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 2627, 2, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 242, 4, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 28, 3, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 168, 6, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 128, 13, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 31, 12, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 182, 18, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 4, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 586, 12, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 163, 20, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 113, 14, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 189, 18, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 3, 1, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 68, 3, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 750, 17, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 29, 21, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 379, 10, 2024, 4, 26, '2024-08-05 16:07:07', NULL, NULL), (206507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 45, 23, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 2, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 58, 17, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 8, 1, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 148, 20, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 9, 4, 2024, 4, 26, '2024-08-05 16:07:08', NULL, NULL), (206513, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 750, 17, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206514, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 451, 31, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206515, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B08', 3, 1, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206516, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 443, 19, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206517, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 364, 31, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206518, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 43, 10, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206519, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 20, 1, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206520, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 128, 13, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206521, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 58, 17, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206522, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 148, 20, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206523, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 2, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206524, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 4, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206525, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 68, 3, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206526, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 9, 4, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206527, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 379, 10, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206528, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 476, 19, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206529, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 28, 3, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206530, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 790, 1, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206531, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 168, 6, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206532, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 56, 2, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206533, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 162, 16, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206534, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 140, 2, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206535, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 480, 36, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206536, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 242, 4, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206537, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 404, 6, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206538, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 412, 20, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206539, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1353, 22, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206540, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 52, 16, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206541, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 38, 15, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206542, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 66, 18, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206543, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1936, 36, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206544, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 586, 12, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206545, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 49, 22, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206546, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 8, 1, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206547, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 44, 16, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206548, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 504, 2, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206549, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 307, 25, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206550, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 88, 2, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206551, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 163, 20, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206552, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 11541, 4, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206553, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 913, 6, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206554, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 266, 17, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206555, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 2627, 2, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206556, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 238, 4, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206557, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 832, 1, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206558, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 278, 24, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206559, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 7, 1, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206560, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 365, 10, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206561, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 335, 19, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206562, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 21, 5, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206563, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 48, 3, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206564, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 64, 3, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206565, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 308, 6, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206566, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 291, 5, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206567, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 15410, 1, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206568, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 52, 18, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206569, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 113, 14, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206570, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 24, 18, 2024, 4, 26, '2024-08-05 16:07:09', NULL, NULL), (206571, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 71, 12, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206572, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 259, 14, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206573, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 110, 9, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206574, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 28, 8, 2024, 4, 26, '2024-08-05 16:07:10', NULL, NULL), (206575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 3474, 77, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 3310, 48, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 3873, 17, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 5717, 1, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 2732, 12, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206580, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206581, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206582, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 2629, 12, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206583, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 3630, 65, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 3749, 22, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 3570, 43, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 2629, 12, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206587, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 2629, 12, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206588, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 3630, 65, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206589, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 3570, 43, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206590, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 2629, 12, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206591, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 3749, 22, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 3570, 43, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 3749, 22, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 2629, 12, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206595, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 3749, 22, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206596, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 3570, 43, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (206597, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 2629, 12, 2024, 4, 27, '2024-08-05 16:07:14', NULL, NULL), (206598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 361, 89, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 3, 4, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 79, 96, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 629, 30, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 432, 110, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 136, 106, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 2766, 7, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 428, 88, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 135, 2, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 439, 153, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 415, 55, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 118, 13, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 162, 36, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1449, 10, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 237, 46, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 160, 35, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 107, 41, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1200, 18, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 221, 72, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 109, 53, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206618, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 3, 4, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206619, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 79, 96, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206620, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 141, 13, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206621, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2766, 7, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206622, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 3402, 4, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206623, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 383, 39, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206624, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 3554, 4, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206625, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 170, 10, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206626, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 4, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206627, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 312, 37, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206628, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 368, 8, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206629, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 165, 15, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206630, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 7991, 2, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206631, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 11, 1, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206632, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 295, 9, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206633, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 141, 13, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206634, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 78, 7, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206635, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 207, 27, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206636, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 124, 75, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206637, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 464, 49, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206638, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 3, 2, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206639, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 279, 5, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206640, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 196, 11, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206641, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 682, 20, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206642, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 131, 48, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206643, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206644, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206645, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 401, 12, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206646, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 62, 17, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206647, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 2, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 279, 5, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 66, 16, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 109, 20, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 682, 20, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 82, 15, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 91, 22, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 307, 13, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 489, 13, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 47, 18, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 108, 11, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 43, 16, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 458, 2, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 76, 16, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 62, 5, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 112, 21, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 152, 15, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 156, 8, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 115, 16, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 165, 11, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 272, 13, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 205, 1, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 81, 6, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 37, 11, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 344, 4, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 130, 5, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 207, 27, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 127, 24, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 291, 24, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 4104, 3, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 81, 7, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1763, 4, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 630, 25, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 181, 9, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 11, 1, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 3554, 4, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 295, 9, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 3, 2, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 401, 12, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 3402, 4, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 569, 20, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 187, 19, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 78, 7, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 279, 2, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 3, 4, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 190, 3, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 346, 2, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 3, 2, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 4, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 368, 8, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 15982, 1, 2024, 4, 28, '2024-08-05 16:07:15', NULL, NULL), (206698, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 170, 10, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206699, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 196, 11, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206700, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 383, 39, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206701, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 3, 2, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206702, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 3, 4, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206703, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 79, 96, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206704, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 141, 13, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206705, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 141, 13, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206706, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 78, 7, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206707, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 682, 20, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206708, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 122, 72, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206709, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 279, 5, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206710, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 66, 16, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206711, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 295, 9, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206712, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 2766, 7, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206713, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 165, 15, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206714, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 3554, 4, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206715, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 15982, 1, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206716, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 11, 1, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206717, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 207, 27, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206718, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 401, 12, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206719, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 3402, 4, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206720, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 368, 8, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206721, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 131, 48, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206722, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 464, 49, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206723, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 312, 37, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206724, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 205, 1, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206725, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1763, 4, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206726, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 4104, 3, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206727, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 187, 19, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206728, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 3402, 4, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206729, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 279, 2, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206730, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 346, 2, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206731, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 569, 20, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206732, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 190, 3, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206733, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 4, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206734, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 682, 20, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206735, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 3, 2, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206736, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 242, 6, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206737, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 140, 5, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206738, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 167, 9, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206739, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 295, 9, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206740, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 19, 2, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206741, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 401, 12, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206742, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 11, 1, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206743, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 344, 4, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206744, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 81, 6, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206745, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 37, 11, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206746, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 165, 11, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206747, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 78, 7, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206748, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 181, 9, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206749, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 116, 13, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206750, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 79, 8, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206751, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 159, 12, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206752, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 246, 6, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206753, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 279, 5, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206754, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 107, 19, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206755, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 86, 14, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206756, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 81, 7, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206757, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 156, 8, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206758, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 489, 13, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206759, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 458, 2, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206760, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 62, 5, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206761, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 108, 11, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206762, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 307, 13, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206763, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 66, 16, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206764, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 15982, 1, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206765, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 3, 4, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206766, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 169, 3, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206767, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 130, 5, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206768, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 368, 8, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206769, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 123, 3, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206770, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 109, 20, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206771, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 155, 2, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206772, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 3, 2, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206773, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 611, 1, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206774, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 3, 2, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206775, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 3554, 4, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206776, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 47, 18, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206777, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 43, 16, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206778, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 291, 24, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206779, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 82, 15, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206780, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 207, 27, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206781, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 91, 22, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206782, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 630, 25, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 82, 15, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 109, 20, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 130, 5, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 127, 24, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 3, 4, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 43, 16, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 47, 18, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 91, 22, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 630, 25, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 187, 19, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 15982, 1, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 569, 20, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 291, 24, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 81, 7, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 66, 16, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 181, 9, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 344, 4, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 81, 6, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 37, 11, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 165, 11, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 156, 8, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 458, 2, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 62, 5, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 78, 7, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1763, 4, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 401, 12, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 3402, 4, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 295, 9, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 3, 2, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 3554, 4, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 11, 1, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 4104, 3, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 279, 2, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 108, 11, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 272, 13, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 205, 1, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 4, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 368, 8, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 152, 15, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 207, 27, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 115, 16, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 76, 16, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 682, 20, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 190, 3, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 279, 5, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 112, 21, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 489, 13, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 3, 2, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 307, 13, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 346, 2, 2024, 4, 28, '2024-08-05 16:07:16', NULL, NULL), (206833, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 682, 20, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206834, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 291, 24, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206835, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 116, 13, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206836, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 19, 2, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206837, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 108, 11, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206838, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 630, 25, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206839, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 489, 13, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206840, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 307, 13, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206841, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 3, 2, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206842, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 4, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206843, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 190, 3, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206844, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 346, 2, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206845, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 279, 2, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206846, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 279, 5, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206847, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 181, 9, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206848, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 81, 7, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206849, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 11, 1, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206850, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 295, 9, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206851, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 78, 7, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206852, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 205, 1, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206853, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 3554, 4, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206854, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 130, 5, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206855, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 401, 12, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206856, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 109, 20, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206857, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 82, 15, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206858, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 458, 2, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206859, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 62, 5, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206860, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 91, 22, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206861, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 47, 18, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206862, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 368, 8, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206863, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 43, 16, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206864, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 156, 8, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206865, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 3, 4, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206866, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 207, 27, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206867, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1763, 4, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206868, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 4104, 3, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206869, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 37, 11, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206870, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 165, 11, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206871, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 3402, 4, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206872, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 344, 4, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206873, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 81, 6, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206874, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 3, 2, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206875, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 611, 1, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206876, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 169, 3, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206877, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 569, 20, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206878, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 123, 3, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206879, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 187, 19, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206880, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 155, 2, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206881, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 3, 2, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206882, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 242, 6, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206883, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 167, 9, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206884, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 140, 5, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206885, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 15982, 1, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206886, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 107, 19, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206887, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 159, 12, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206888, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 86, 14, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206889, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 66, 16, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206890, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 79, 8, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206891, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 246, 6, 2024, 4, 28, '2024-08-05 16:07:17', NULL, NULL), (206892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 189, 124, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 414, 3, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 13771, 1, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 151, 135, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 691, 27, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 450, 179, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 51, 109, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 11290, 6, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1334, 131, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 632, 7, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 356, 252, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 52, 1, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 2811, 10, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 281, 55, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 125, 11, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 497, 72, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 177, 55, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 573, 104, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 4136, 21, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 461, 64, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 216, 83, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206913, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206914, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 605, 2, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206915, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206916, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 151, 135, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206917, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 50, 11, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206918, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 11290, 6, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206919, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 15, 2, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206920, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 5027, 3, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206921, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 338, 42, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206922, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 690, 16, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206923, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206924, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 40, 8, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206925, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 159, 5, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206926, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 157, 65, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206927, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 481, 10, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206928, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1138, 29, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206929, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 2, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206930, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 112, 7, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206931, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 7, 1, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206932, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 317, 9, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206933, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 44, 12, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206934, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 1, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206935, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 24, 1, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206936, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206937, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 102, 8, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206938, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 254, 6, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206939, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 70, 23, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206940, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 888, 84, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206941, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 42, 74, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206942, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 0, 1, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206943, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 5, 4, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206944, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 174, 10, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206945, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 781, 1, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206946, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 379, 26, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206947, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 103, 17, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206948, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 113, 65, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206949, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 3654, 9, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206950, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 4363, 12, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206951, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 877, 20, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206952, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 234, 13, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 174, 10, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 185, 22, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 234, 13, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 162, 20, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 379, 26, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 101, 21, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 190, 24, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 169, 29, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 140, 22, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 135, 19, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 152, 24, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 994, 12, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 57, 18, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 22, 24, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 1283, 11, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1240, 17, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 80, 16, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 95, 10, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 81, 12, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 124, 7, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 71, 13, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 126, 19, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 131, 9, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 129, 19, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 70, 23, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 31, 16, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 921, 55, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 4346, 2, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 60, 9, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 14762, 4, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 825, 29, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 128, 11, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 254, 6, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 112, 7, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 159, 5, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 356, 8, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 5, 4, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 781, 1, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 889, 19, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 690, 16, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 183, 14, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 415, 28, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 658, 1, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 102, 8, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 572, 3, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 6, 1, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (206999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 12, 3, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (207000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 7, 1, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (207001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 5, 4, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (207002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 3, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (207003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 5027, 3, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (207004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 481, 10, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (207005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D14', 26282, 3, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (207006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D15', 6405, 1, 2024, 4, 29, '2024-08-05 16:07:18', NULL, NULL), (207007, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '', 26182, 2, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207008, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 40, 8, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207009, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 103, 17, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207010, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 338, 42, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (207011, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 5, 4, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207012, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 254, 6, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207013, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 5027, 3, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207014, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 605, 2, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207015, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 151, 135, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207016, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 50, 11, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207017, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 44, 11, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207018, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 102, 8, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207019, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 379, 26, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207020, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 16444, 2, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207021, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 41, 72, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207022, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 781, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207023, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 174, 10, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207024, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 234, 13, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207025, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 356, 8, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207026, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 11290, 6, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207027, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1138, 29, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207028, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 159, 5, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207029, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 112, 7, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207030, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 70, 23, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207031, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 24, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207032, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 7, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207033, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 877, 20, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207034, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 690, 16, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207035, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 481, 10, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207036, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 31, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207037, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 113, 65, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207038, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 888, 84, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207039, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 157, 65, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207040, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 63, 3, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207041, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 14762, 4, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207042, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 4346, 2, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207043, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 415, 28, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207044, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 690, 16, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207045, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 256, 2, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207046, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 2, 2, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207047, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 183, 14, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207048, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 3, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207049, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '3D14', 26182, 2, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207050, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 379, 26, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207051, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 5, 4, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207052, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D14', 26483, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207053, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D15', 6405, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207054, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 97, 8, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207055, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 109, 9, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207056, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 26, 5, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207057, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 356, 8, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207058, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 101, 2, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207059, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 889, 19, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207060, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 112, 7, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207061, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 254, 6, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207062, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 131, 9, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207063, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 124, 7, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207064, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 126, 19, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207065, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 95, 10, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207066, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 102, 8, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207067, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 658, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207068, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 128, 11, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207069, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 19, 9, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207070, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 30, 4, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207071, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 41, 8, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207072, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 7, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207073, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 73, 10, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207074, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 50, 4, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207075, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 174, 10, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207076, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 20, 21, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207077, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 63, 16, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207078, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 31, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207079, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 60, 9, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207080, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1240, 17, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207081, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 140, 22, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207082, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 135, 19, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207083, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 994, 12, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207084, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 190, 24, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207085, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 234, 13, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207086, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 1205, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207087, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 6, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207088, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 5027, 3, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207089, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 77, 2, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207090, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 129, 19, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207091, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 481, 10, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207092, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 4, 2, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207093, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 185, 22, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207094, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 37, 3, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207095, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 3, 2, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207096, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 24, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207097, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 5, 4, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207098, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 159, 5, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207099, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 169, 29, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207100, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 152, 24, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207101, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 921, 55, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207102, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 162, 20, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207103, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 70, 23, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207104, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 781, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207105, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 825, 29, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207106, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 101, 21, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 162, 20, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 1205, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 185, 22, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 129, 19, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 31, 16, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 31, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 6, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 152, 24, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 169, 29, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 101, 21, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 825, 29, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 415, 28, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 183, 14, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 921, 55, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 781, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 60, 9, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 234, 13, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 128, 11, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 131, 9, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 124, 7, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 126, 19, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 95, 10, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1240, 17, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D15', 6405, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D14', 26282, 3, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 994, 12, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 13771, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 102, 8, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 658, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 14762, 4, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 889, 19, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 690, 16, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 356, 8, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 5, 4, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 159, 5, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 254, 6, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 4346, 2, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 112, 7, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 256, 2, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 135, 19, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 5027, 3, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 81, 12, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 3, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 71, 13, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 481, 10, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 34, 10, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 70, 23, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 80, 16, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 7, 1, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 2, 2, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 379, 26, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 57, 18, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 174, 10, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 22, 24, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 5, 4, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 140, 22, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 190, 24, 2024, 4, 29, '2024-08-05 16:07:19', NULL, NULL), (207164, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 379, 26, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207165, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 921, 55, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207166, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 19, 9, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207167, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 101, 2, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207168, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 825, 29, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207169, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 135, 19, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207170, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 140, 22, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207171, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 190, 24, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207172, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 5, 4, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207173, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 3, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207174, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 2, 2, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207175, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 256, 2, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207176, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 174, 10, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207177, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 128, 11, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207178, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 781, 1, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207179, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 60, 9, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207180, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 254, 6, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207181, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 658, 1, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207182, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 112, 7, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207183, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 356, 8, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207184, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 31, 1, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207185, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '3D14', 26182, 2, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207186, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 102, 8, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207187, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 63, 3, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207188, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 159, 5, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207189, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 129, 19, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207190, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 889, 19, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207191, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 185, 22, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207192, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 162, 20, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207193, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 101, 21, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207194, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 994, 12, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207195, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 169, 29, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207196, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 481, 10, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207197, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 152, 24, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207198, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1240, 17, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207199, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 5027, 3, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207200, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 1205, 1, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207201, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 6, 1, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207202, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 70, 23, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207203, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 14762, 4, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207204, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 4346, 2, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207205, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 126, 19, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207206, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 95, 10, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207207, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 690, 16, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207208, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 131, 9, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207209, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 124, 7, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207210, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 5, 4, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207211, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 24, 1, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207212, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D14', 26483, 1, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207213, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 77, 2, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207214, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 183, 14, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207215, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D15', 6405, 1, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207216, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 4, 2, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207217, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 415, 28, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207218, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 37, 3, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207219, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 3, 2, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207220, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 97, 8, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207221, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 26, 5, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207222, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 109, 9, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207223, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 20, 21, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207224, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 41, 8, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207225, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 7, 1, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207226, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 63, 16, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207227, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 73, 10, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207228, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 234, 13, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207229, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 30, 4, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207230, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 50, 4, 2024, 4, 29, '2024-08-05 16:07:20', NULL, NULL), (207231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 181, 113, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 159, 86, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 153, 32, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 426, 161, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 147, 100, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 10771, 8, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 694, 139, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 690, 11, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 392, 243, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 256, 37, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 17, 2, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 226, 82, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 378, 77, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 435, 5, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 3812, 23, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 369, 64, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 324, 51, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 239, 58, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207249, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207250, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 135, 14, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207251, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 159, 86, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207252, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 10771, 8, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207253, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 527, 38, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207254, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 358, 14, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207255, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 106, 6, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207256, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 816, 2, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207257, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207258, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 126, 47, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207259, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 809, 16, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207260, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 208, 16, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207261, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 1055, 2, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207262, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 205, 3, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207263, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 144, 3, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207264, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 0, 1, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207265, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 135, 11, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207266, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 175, 17, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207267, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 1090, 1, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207268, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 115, 11, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207269, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 17, 4, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207270, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 85, 24, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207271, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 109, 74, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207272, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 711, 98, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207273, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 351, 3, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207274, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 239, 15, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207275, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207276, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 523, 5, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207277, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 317, 28, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207278, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 165, 50, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207279, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 550, 8, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207280, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1093, 29, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207281, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 262, 9, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207282, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 55, 16, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207283, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 794, 1, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 239, 15, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 43, 14, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 55, 16, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 439, 15, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 328, 27, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 199, 15, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 263, 15, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 118, 18, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 11, 11, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 59, 14, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 40, 8, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 24, 13, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 135, 11, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 119, 19, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 376, 8, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 348, 17, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 97, 15, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 69, 17, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 79, 12, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 265, 3, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 50, 12, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 116, 18, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 85, 24, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 124, 24, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 726, 54, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1354, 3, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1112, 6, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 422, 10, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 16422, 5, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 625, 38, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 116, 10, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 17, 4, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 144, 3, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 794, 1, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 816, 2, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 135, 11, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 351, 3, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1093, 29, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 358, 14, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 484, 19, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 569, 19, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 115, 11, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 193, 5, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 2, 2, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 5, 2, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 304, 3, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 2, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 615, 1, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 809, 16, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D14', 2255, 3, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 14, 1, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 2096, 1, 2024, 4, 30, '2024-08-05 16:07:21', NULL, NULL), (207336, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '', 1182, 2, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207337, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 106, 6, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207338, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 523, 5, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207339, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 527, 38, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207340, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 351, 3, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207341, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 17, 4, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207342, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 159, 86, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207343, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 135, 14, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207344, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 175, 17, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207345, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 115, 11, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207346, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 4401, 1, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207347, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 328, 27, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207348, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 105, 71, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207349, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 239, 15, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207350, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 55, 16, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207351, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 135, 11, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207352, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 10771, 8, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207353, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 208, 16, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207354, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 1055, 2, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207355, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 816, 2, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207356, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 144, 3, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207357, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 85, 24, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207358, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 1090, 1, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207359, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1093, 29, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207360, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 615, 1, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207361, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 358, 14, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207362, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 809, 16, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207363, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 165, 50, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207364, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 711, 98, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207365, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 794, 1, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207366, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 126, 47, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207367, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 196, 1, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207368, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 16422, 5, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207369, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1354, 3, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207370, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 569, 19, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207371, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 358, 14, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207372, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 193, 5, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207373, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 5, 2, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207374, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 2, 2, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207375, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 484, 19, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207376, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 2, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207377, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '3D14', 1182, 2, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207378, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 304, 3, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207379, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 328, 27, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207380, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D14', 4401, 1, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207381, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 523, 5, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207382, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 135, 11, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207383, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 88, 5, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207384, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 151, 4, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207385, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 794, 1, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207386, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1093, 29, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207387, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 17, 4, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207388, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 144, 3, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207389, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 265, 3, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207390, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 50, 12, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207391, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 97, 15, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207392, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 115, 11, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207393, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 116, 10, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207394, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 615, 1, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207395, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 128, 15, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207396, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 183, 10, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207397, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 110, 17, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207398, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 32, 7, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207399, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 65, 15, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207400, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 239, 15, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207401, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 87, 7, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207402, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 422, 10, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207403, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 376, 8, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207404, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 40, 8, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207405, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 118, 18, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207406, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 59, 14, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207407, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 199, 15, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207408, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 55, 16, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207409, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 2096, 1, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207410, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 14, 1, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207411, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 381, 1, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207412, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 116, 18, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (207413, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 809, 16, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207414, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 198, 2, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207415, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 43, 14, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207416, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 218, 4, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207417, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 132, 4, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207418, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 97, 2, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207419, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 1090, 1, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207420, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 351, 3, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207421, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 816, 2, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207422, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 11, 11, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207423, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1112, 6, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207424, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 24, 13, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207425, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 726, 54, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207426, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 439, 15, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207427, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 85, 24, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207428, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 263, 15, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207429, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 625, 38, 2024, 4, 30, '2024-08-05 16:07:22', NULL, NULL), (207430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 439, 15, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 43, 14, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 116, 18, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 124, 24, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 24, 13, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 11, 11, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 263, 15, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 625, 38, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 569, 19, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 2096, 1, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 484, 19, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1112, 6, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 726, 54, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 14, 1, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 422, 10, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 116, 10, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 55, 16, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 265, 3, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 50, 12, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 97, 15, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 376, 8, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 40, 8, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D14', 2255, 3, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 115, 11, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 16422, 5, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1093, 29, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 358, 14, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 135, 11, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 351, 3, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 794, 1, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 816, 2, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 17, 4, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1354, 3, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 144, 3, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 193, 5, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 59, 14, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 69, 17, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 79, 12, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 2, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 809, 16, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 119, 19, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 85, 24, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 615, 1, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 348, 17, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 2, 2, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 328, 27, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 239, 15, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 135, 11, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 304, 3, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 118, 18, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 5, 2, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 199, 15, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207482, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 328, 27, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207483, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 726, 54, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207484, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1112, 6, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207485, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 128, 15, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207486, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 151, 4, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207487, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 794, 1, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207488, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 59, 14, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207489, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 625, 38, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207490, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 118, 18, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207491, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 199, 15, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207492, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 304, 3, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207493, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 2, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207494, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 2, 2, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207495, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 5, 2, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207496, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 193, 5, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207497, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 239, 15, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207498, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 615, 1, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207499, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 116, 10, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207500, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 17, 4, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207501, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 422, 10, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207502, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 144, 3, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207503, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 135, 11, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207504, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '3D14', 1182, 2, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207505, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 115, 11, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207506, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 196, 1, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207507, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 816, 2, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207508, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1093, 29, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207509, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 116, 18, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207510, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 43, 14, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207511, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 439, 15, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207512, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 40, 8, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207513, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 263, 15, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207514, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 11, 11, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207515, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 809, 16, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207516, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 24, 13, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207517, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 376, 8, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207518, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 85, 24, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207519, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 16422, 5, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207520, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1354, 3, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207521, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 50, 12, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207522, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 97, 15, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207523, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 358, 14, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207524, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 265, 3, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207525, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 351, 3, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207526, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 1090, 1, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207527, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 132, 4, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207528, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 97, 2, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207529, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D14', 4401, 1, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207530, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 381, 1, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207531, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 484, 19, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207532, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 198, 2, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207533, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 569, 19, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207534, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 218, 4, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207535, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 88, 5, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207536, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 523, 5, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207537, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 2096, 1, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207538, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 87, 7, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207539, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 14, 1, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207540, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 110, 17, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207541, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 32, 7, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207542, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 55, 16, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207543, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 183, 10, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207544, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 65, 15, 2024, 4, 30, '2024-08-05 16:07:23', NULL, NULL), (207545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1051, 9, 2024, 5, 1, '2024-08-05 16:07:24', NULL, NULL), (207546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 1051, 9, 2024, 5, 1, '2024-08-05 16:07:24', NULL, NULL), (207547, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 697, 7, 2024, 5, 1, '2024-08-05 16:07:24', NULL, NULL), (207548, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 2289, 2, 2024, 5, 1, '2024-08-05 16:07:25', NULL, NULL), (207549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 697, 7, 2024, 5, 1, '2024-08-05 16:07:25', NULL, NULL), (207550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 2289, 2, 2024, 5, 1, '2024-08-05 16:07:25', NULL, NULL), (207551, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 2289, 2, 2024, 5, 1, '2024-08-05 16:07:25', NULL, NULL), (207552, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 697, 7, 2024, 5, 1, '2024-08-05 16:07:25', NULL, NULL), (207553, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 2289, 2, 2024, 5, 1, '2024-08-05 16:07:25', NULL, NULL), (207554, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 697, 7, 2024, 5, 1, '2024-08-05 16:07:25', NULL, NULL), (207555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 697, 7, 2024, 5, 1, '2024-08-05 16:07:25', NULL, NULL), (207556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 2289, 2, 2024, 5, 1, '2024-08-05 16:07:25', NULL, NULL), (207557, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 697, 7, 2024, 5, 1, '2024-08-05 16:07:25', NULL, NULL), (207558, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 2289, 2, 2024, 5, 1, '2024-08-05 16:07:25', NULL, NULL), (207559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 488, 23, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 255, 18, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1911, 2, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 600, 4, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 206, 2, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207564, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207565, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207566, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1956, 2, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207567, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 332, 22, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 389, 14, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 266, 7, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 95, 1, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 3817, 1, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207572, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1956, 2, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207573, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 348, 21, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207574, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 3817, 1, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207575, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 95, 1, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207576, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 389, 14, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207577, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 266, 7, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 266, 7, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 3817, 1, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 95, 1, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 389, 14, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207582, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 389, 14, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207583, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 266, 7, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207584, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 95, 1, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207585, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 3817, 1, 2024, 5, 2, '2024-08-05 16:07:26', NULL, NULL), (207586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 8, 1, 2024, 5, 3, '2024-08-05 16:07:27', NULL, NULL), (207587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 4, 2, 2024, 5, 3, '2024-08-05 16:07:27', NULL, NULL), (207588, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 1, 2024, 5, 3, '2024-08-05 16:07:27', NULL, NULL), (207589, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 8, 1, 2024, 5, 3, '2024-08-05 16:07:27', NULL, NULL), (207590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 8, 1, 2024, 5, 3, '2024-08-05 16:07:27', NULL, NULL), (207591, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 8, 1, 2024, 5, 3, '2024-08-05 16:07:27', NULL, NULL), (207592, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 8, 1, 2024, 5, 3, '2024-08-05 16:07:27', NULL, NULL), (207593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 8, 1, 2024, 5, 3, '2024-08-05 16:07:27', NULL, NULL), (207594, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 8, 1, 2024, 5, 3, '2024-08-05 16:07:27', NULL, NULL), (207595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 6926, 6, 2024, 5, 4, '2024-08-05 16:07:28', NULL, NULL), (207596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 7544, 4, 2024, 5, 4, '2024-08-05 16:07:29', NULL, NULL), (207597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 5691, 2, 2024, 5, 4, '2024-08-05 16:07:29', NULL, NULL), (207598, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 4266, 1, 2024, 5, 4, '2024-08-05 16:07:29', NULL, NULL), (207599, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 7458, 5, 2024, 5, 4, '2024-08-05 16:07:29', NULL, NULL), (207600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 7458, 5, 2024, 5, 4, '2024-08-05 16:07:29', NULL, NULL), (207601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 4266, 1, 2024, 5, 4, '2024-08-05 16:07:29', NULL, NULL), (207602, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 4266, 1, 2024, 5, 4, '2024-08-05 16:07:29', NULL, NULL), (207603, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 7458, 5, 2024, 5, 4, '2024-08-05 16:07:29', NULL, NULL), (207604, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 4266, 1, 2024, 5, 4, '2024-08-05 16:07:29', NULL, NULL), (207605, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 7458, 5, 2024, 5, 4, '2024-08-05 16:07:29', NULL, NULL), (207606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 7458, 5, 2024, 5, 4, '2024-08-05 16:07:29', NULL, NULL), (207607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 4266, 1, 2024, 5, 4, '2024-08-05 16:07:29', NULL, NULL), (207608, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 7458, 5, 2024, 5, 4, '2024-08-05 16:07:29', NULL, NULL), (207609, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 4266, 1, 2024, 5, 4, '2024-08-05 16:07:29', NULL, NULL), (207610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 3, 1, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1212, 3, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 727, 5, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1, 2, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207614, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 10, 1, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207615, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 725, 5, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207616, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 3, 1, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 3, 1, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1813, 2, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 10, 1, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207620, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 10, 1, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207621, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 3, 1, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207622, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1813, 2, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207623, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 10, 1, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207624, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 3, 1, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207625, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1813, 2, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 3, 1, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1813, 2, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 10, 1, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207629, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1813, 2, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207630, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 3, 1, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207631, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 10, 1, 2024, 5, 5, '2024-08-05 16:07:30', NULL, NULL), (207632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 4, 1, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 144, 136, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 994, 39, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 773, 314, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 57, 99, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 2295, 6, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1881, 6, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 679, 207, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 12322, 1, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1, 3, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 519, 306, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 454, 54, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 575, 117, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 498, 46, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 694, 120, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 306, 6, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 399, 38, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 532, 75, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 2027, 21, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 509, 45, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207652, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 422, 4, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207653, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 4, 1, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207654, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 58, 14, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207655, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 144, 136, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207656, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1881, 6, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207657, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 2, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207658, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1582, 18, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207659, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 573, 71, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207660, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 465, 16, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207661, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 172, 8, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207662, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 684, 6, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207663, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 360, 16, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207664, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1624, 90, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207665, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 27359, 1, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207666, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 573, 10, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207667, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 1281, 3, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207668, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 271, 19, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207669, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 9, 16, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207670, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 204, 5, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207671, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 320, 6, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207672, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 4, 3, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207673, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 354, 5, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207674, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 15, 61, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207675, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 734, 136, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207676, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 12322, 1, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207677, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 3, 3, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207678, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 2, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207679, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 241, 9, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207680, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 268, 115, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207681, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 18, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207682, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 441, 18, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207683, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 8, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207684, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 425, 2, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207685, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', '', 368, 4, 2024, 5, 6, '2024-08-05 16:07:31', NULL, NULL), (207686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B20', 368, 4, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 197, 25, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 83, 26, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 970, 3, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 79, 28, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 203, 31, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 3783, 1, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1749, 38, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 22, 19, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1544, 25, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 8, 16, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 257, 16, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 7, 13, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1523, 27, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 108, 13, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 196, 10, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 188, 21, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 132, 10, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 68, 12, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 138, 15, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 230, 15, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 152, 26, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 51, 16, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 872, 26, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 5, 1, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 690, 64, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 828, 15, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 2256, 5, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 12322, 1, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 152, 23, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 354, 5, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 573, 10, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A16', 3492, 1, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A17', 3587, 1, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 684, 6, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 271, 19, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 3, 3, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 441, 18, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1582, 18, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 593, 44, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 540, 27, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 320, 6, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 3, 4, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 4, 1, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 11, 2, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 4, 3, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 15, 2, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 1281, 3, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 186, 4, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 4, 2, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 717, 46, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 421, 11, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 500, 9, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 360, 16, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 425, 2, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 27359, 1, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207742, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 172, 8, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207743, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 241, 9, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207744, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 573, 71, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207745, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 3, 3, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207746, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 354, 5, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207747, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 465, 16, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207748, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 4, 1, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207749, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 144, 136, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207750, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 58, 14, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207751, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 9, 16, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207752, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 425, 2, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207753, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 320, 6, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207754, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 15, 61, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207755, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', '', 368, 4, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207756, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 271, 19, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207757, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 4, 3, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207758, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1881, 6, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207759, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1624, 90, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207760, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 27359, 1, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207761, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 684, 6, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207762, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 12322, 1, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207763, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 573, 10, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207764, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 204, 5, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207765, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 1281, 3, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207766, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 441, 18, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207767, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1582, 18, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207768, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 360, 16, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207769, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 268, 115, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207770, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 734, 136, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207771, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 422, 4, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207772, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 220, 3, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207773, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 2256, 5, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207774, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 5, 1, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207775, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1582, 18, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207776, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 593, 44, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207777, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 4, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207778, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 540, 27, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207779, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 15, 2, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207780, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 11, 2, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207781, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 4, 2, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207782, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 186, 4, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207783, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 461, 4, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207784, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 65, 5, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207785, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 143, 5, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207786, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 271, 19, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207787, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 12, 1, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207788, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 441, 18, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207789, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 354, 5, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207790, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 573, 10, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207791, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 230, 15, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207792, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 132, 10, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207793, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 138, 15, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207794, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 188, 21, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207795, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 320, 6, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207796, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 257, 16, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207797, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 501, 6, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207798, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 443, 10, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207799, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 152, 23, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207800, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 4, 3, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207801, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 9, 10, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207802, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 48, 1, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207803, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 4, 12, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207804, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 1281, 3, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207805, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 20, 7, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207806, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 20, 6, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207807, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 498, 3, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207808, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 7, 12, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207809, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B08', 195, 1, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207810, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 31, 13, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207811, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 828, 15, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207812, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1523, 27, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207813, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 425, 2, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207814, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1749, 38, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207815, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1544, 25, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207816, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 27359, 1, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207817, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '', '', 'B20', 368, 4, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207818, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 4, 1, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207819, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 717, 46, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207820, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 12322, 1, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207821, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 6, 2, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (207822, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 360, 16, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207823, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 152, 26, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207824, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 47, 1, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207825, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 197, 25, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207826, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 12, 4, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207827, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 3, 6, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207828, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 5, 2, 2024, 5, 6, '2024-08-05 16:07:32', NULL, NULL), (207829, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 3, 3, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207830, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 204, 5, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207831, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 684, 6, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207832, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 203, 31, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207833, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 690, 64, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207834, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 872, 26, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207835, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 83, 26, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207836, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 79, 28, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 83, 26, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 197, 25, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 152, 26, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 51, 16, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 4, 1, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 203, 31, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 79, 28, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 690, 64, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 27359, 1, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 872, 26, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 593, 44, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 540, 27, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 828, 15, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B20', 368, 4, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 152, 23, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 717, 46, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 12322, 1, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A17', 3587, 1, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A16', 3492, 1, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 230, 15, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 132, 10, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 138, 15, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 188, 21, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 257, 16, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1523, 27, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1749, 38, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1544, 25, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 320, 6, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A01', 970, 3, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A03', 3783, 1, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 441, 18, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 2256, 5, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1582, 18, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 271, 19, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 3, 3, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 684, 6, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 354, 5, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 5, 1, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 573, 10, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 4, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 425, 2, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 196, 10, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 4, 2, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 68, 12, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 360, 16, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 500, 9, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 7, 13, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 421, 11, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 108, 13, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 1281, 3, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 11, 2, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 22, 19, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 8, 16, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 186, 4, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 15, 2, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 4, 3, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207893, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 498, 3, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207894, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 717, 46, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207895, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B08', 195, 1, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207896, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 872, 26, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207897, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 690, 64, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207898, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 9, 10, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207899, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 12, 1, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207900, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 186, 4, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207901, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 4, 2, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207902, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 11, 2, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207903, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 15, 2, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207904, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 4, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207905, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 152, 23, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207906, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 828, 15, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207907, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 354, 5, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207908, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 573, 10, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207909, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 271, 19, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207910, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 320, 6, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207911, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 220, 3, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207912, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 684, 6, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207913, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 441, 18, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207914, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 152, 26, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207915, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 197, 25, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207916, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 83, 26, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207917, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1749, 38, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207918, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 79, 28, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207919, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1544, 25, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207920, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 360, 16, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207921, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 203, 31, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207922, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 4, 3, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207923, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1523, 27, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207924, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 188, 21, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207925, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 443, 10, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207926, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 257, 16, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207927, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 501, 6, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207928, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 4, 1, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207929, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 2256, 5, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207930, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 5, 1, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207931, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 138, 15, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207932, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 230, 15, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207933, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1582, 18, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207934, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 3, 3, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207935, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 132, 10, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207936, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 12322, 1, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207937, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 204, 5, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207938, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 593, 44, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207939, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 5, 2, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207940, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 540, 27, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207941, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 425, 2, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207942, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 6, 2, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207943, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 47, 1, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207944, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 12, 4, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207945, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 461, 4, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207946, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 3, 6, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207947, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 27359, 1, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207948, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 143, 5, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207949, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 65, 5, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207950, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 7, 12, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207951, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 4, 12, 2024, 5, 6, '2024-08-05 16:07:33', NULL, NULL), (207952, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 1281, 3, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207953, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 31, 13, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207954, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 20, 7, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207955, 22, '511502000000-0001', '翠屏区政务服务中心', '住房信息查询', '区不动产', '', 'B20', 368, 4, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207956, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 48, 1, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207957, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 20, 6, 2024, 5, 6, '2024-08-05 16:07:34', NULL, NULL), (207958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 787, 1, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 275, 142, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 268, 38, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 419, 225, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 71, 122, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 1593, 181, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 609, 188, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 876, 9, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 686, 2, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 780, 3, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 340, 221, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 606, 59, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 410, 5, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 276, 49, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 267, 3, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 186, 74, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 313, 35, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 367, 81, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 329, 42, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1071, 314, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 506, 53, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207979, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 5, 1, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207980, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 787, 1, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207981, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 22, 22, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207982, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207983, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 275, 142, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207984, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 876, 9, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (207985, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 841, 77, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207986, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 290, 17, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207987, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 135, 2, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207988, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207989, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 647, 15, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207990, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 41, 9, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207991, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 293, 17, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207992, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1165, 48, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207993, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207994, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 980, 4, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207995, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 3, 2, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207996, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 207, 11, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207997, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 26, 11, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207998, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 9, 1, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (207999, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 473, 7, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (208000, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 220, 9, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (208001, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 76, 90, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (208002, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 454, 108, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (208003, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 686, 2, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (208004, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 418, 3, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (208005, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 213, 3, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (208006, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 114, 11, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (208007, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 94, 86, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (208008, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 6, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (208009, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (208010, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 364, 20, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (208011, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 5, 2024, 5, 7, '2024-08-05 16:07:35', NULL, NULL), (208012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 202, 25, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 122, 27, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 142, 35, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 613, 32, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 158, 17, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1224, 14, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 223, 11, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 1820, 65, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 31, 23, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1146, 15, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 112, 26, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 117, 14, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 73, 15, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1136, 19, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 95, 17, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 136, 12, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 77, 14, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 86, 2, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 22, 12, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 89, 16, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 108, 12, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 765, 27, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 380, 6, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 29, 17, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1419, 5, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 451, 62, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 50, 15, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 198, 4, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 686, 2, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 135, 13, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 248, 8, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 980, 4, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A16', 3020, 19, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 135, 2, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A17', 1430, 65, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 207, 11, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 418, 3, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 364, 20, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 213, 3, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1111, 41, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 290, 17, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 534, 36, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 114, 7, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 473, 7, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 106, 4, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 7, 2, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 7, 4, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 3, 2, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 4, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 2, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 471, 40, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 23, 3, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 293, 17, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 742, 13, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208066, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 41, 9, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208067, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 114, 11, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208068, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 841, 77, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208069, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 418, 3, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208070, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 248, 8, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208071, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 647, 15, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208072, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 787, 1, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208073, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 275, 142, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208074, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 22, 22, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208075, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 26, 11, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208076, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 473, 7, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208077, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 76, 90, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208078, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 213, 3, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208079, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 207, 11, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208080, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 876, 9, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208081, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1165, 48, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208082, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 135, 2, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208083, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 980, 4, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208084, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 686, 2, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208085, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 9, 1, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208086, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 364, 20, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208087, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 3, 2, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208088, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 290, 17, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208089, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 293, 17, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208090, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 94, 86, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208091, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 454, 108, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208092, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 5, 1, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208093, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 78, 2, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208094, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 198, 4, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208095, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1419, 5, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208096, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 290, 17, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208097, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 106, 4, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208098, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1111, 41, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208099, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 2, 6, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208100, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 534, 36, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208101, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 7, 4, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208102, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 7, 2, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208103, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 2, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208104, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 4, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208105, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 69, 4, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208106, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 140, 7, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208107, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 207, 11, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208108, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 30, 7, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208109, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 16, 1, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208110, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 364, 20, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208111, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 248, 8, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208112, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 980, 4, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208113, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 108, 12, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208114, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 86, 2, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208115, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 89, 16, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208116, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 77, 14, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208117, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 117, 14, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208118, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 473, 7, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208119, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 742, 13, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208120, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 32, 2, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208121, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 135, 13, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208122, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 29, 9, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208123, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 70, 9, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208124, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 69, 14, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208125, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 12, 9, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208126, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 3, 2, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208127, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 192, 7, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208128, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 132, 21, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208129, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B08', 5, 1, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208130, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 34, 21, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208131, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 50, 15, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208132, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1136, 19, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208133, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1224, 14, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208134, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1146, 15, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208135, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 787, 1, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208136, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 471, 40, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208137, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 686, 2, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208138, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 293, 17, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208139, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 765, 27, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208140, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 125, 1, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208141, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 202, 25, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208142, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 27, 5, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208143, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 3, 2, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208144, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 4, 1, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208145, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 6, 1, 2024, 5, 7, '2024-08-05 16:07:36', NULL, NULL), (208146, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 9, 1, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208147, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 418, 3, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208148, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 135, 2, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208149, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 158, 17, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208150, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 451, 62, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208151, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 380, 6, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208152, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 223, 11, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208153, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 122, 27, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208154, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 142, 35, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208155, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 213, 3, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 787, 1, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 122, 27, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 202, 25, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 765, 27, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 29, 17, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 223, 11, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 158, 17, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 142, 35, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 451, 62, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 380, 6, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 1111, 41, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 213, 3, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 534, 36, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 50, 15, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 135, 13, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 471, 40, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 686, 2, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A17', 1430, 65, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A16', 3020, 19, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 108, 12, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 86, 2, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 89, 16, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 77, 14, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 117, 14, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1136, 19, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1224, 14, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1146, 15, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 473, 7, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A01', 613, 32, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A03', 1820, 65, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 364, 20, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 198, 4, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 290, 17, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 207, 11, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 418, 3, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 135, 2, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 248, 8, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 980, 4, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1419, 5, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 2, 6, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 136, 12, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 2, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 293, 17, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 22, 12, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 73, 15, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 742, 13, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 95, 17, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 23, 3, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 7, 2, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 3, 2, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 31, 23, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 106, 4, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 112, 26, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 4, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 7, 4, 2024, 5, 7, '2024-08-05 16:07:37', NULL, NULL), (208211, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 471, 40, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208212, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B08', 5, 1, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208213, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 380, 6, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208214, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 451, 62, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208215, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 29, 9, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208216, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 16, 1, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208217, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 4, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208218, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 2, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208219, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 7, 2, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208220, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 7, 4, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208221, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 2, 6, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208222, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 106, 4, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208223, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 135, 13, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208224, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 213, 3, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208225, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 248, 8, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208226, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 50, 15, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208227, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 980, 4, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208228, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 207, 11, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208229, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 473, 7, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208230, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 78, 2, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208231, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 135, 2, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (208232, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 364, 20, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208233, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 765, 27, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208234, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 202, 25, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208235, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1224, 14, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208236, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 122, 27, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208237, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 142, 35, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208238, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1146, 15, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208239, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 293, 17, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208240, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 158, 17, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208241, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1136, 19, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208242, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 223, 11, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208243, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 787, 1, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208244, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 77, 14, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208245, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 117, 14, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208246, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 32, 2, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208247, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 742, 13, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208248, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 198, 4, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208249, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1419, 5, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208250, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 89, 16, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208251, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 108, 12, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208252, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 290, 17, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208253, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 86, 2, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208254, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 418, 3, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208255, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 9, 1, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208256, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 686, 2, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208257, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 1111, 41, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208258, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 4, 1, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208259, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 534, 36, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208260, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 6, 1, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208261, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 125, 1, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208262, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 27, 5, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208263, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 3, 2, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208264, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 69, 4, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208265, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 140, 7, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208266, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 30, 7, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208267, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 132, 21, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208268, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 69, 14, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208269, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 3, 2, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208270, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 34, 21, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208271, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 12, 9, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208272, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 70, 9, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208273, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 192, 7, 2024, 5, 7, '2024-08-05 16:07:38', NULL, NULL), (208274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 14, 4, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 79, 112, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 393, 29, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 376, 187, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 221, 131, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 2580, 61, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 3963, 10, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 337, 150, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 501, 1, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 275, 4, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 323, 180, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 257, 42, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 44, 3, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 320, 53, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 26, 14, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 133, 31, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 159, 33, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 286, 90, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 293, 45, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1361, 161, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 232, 46, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208295, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 3110, 1, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208296, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 18, 3, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208297, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 47, 20, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208298, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 79, 112, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208299, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 3603, 11, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208300, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1, 1, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208301, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 1791, 1, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208302, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 187, 14, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208303, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 328, 66, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208304, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 542, 11, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208305, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 130, 8, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208306, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 1823, 2, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208307, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 965, 3, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208308, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 379, 50, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208309, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 4507, 1, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208310, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 4, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208311, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 776, 5, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208312, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 270, 13, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208313, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 222, 10, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208314, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 201, 3, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208315, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 367, 1, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208316, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 539, 6, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208317, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 275, 5, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208318, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 181, 100, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208319, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 347, 83, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208320, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 501, 1, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208321, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 19, 3, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208322, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 31, 1, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208323, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 293, 7, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208324, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 93, 57, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208325, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 6, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208326, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 8, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208327, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 877, 28, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208328, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208329, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 5, 8, '2024-08-05 16:07:40', NULL, NULL), (208330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 40, 23, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 90, 27, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 108, 30, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 401, 13, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 91, 11, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 29, 16, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 321, 27, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 9789, 15, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 135, 26, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 324, 5, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 91, 11, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 141, 30, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 175, 15, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 481, 18, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 190, 19, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 116, 10, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 382, 15, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 206, 8, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 163, 9, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 46, 5, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 155, 5, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 420, 18, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 418, 25, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 5449, 7, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 325, 38, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 495, 3, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 37, 9, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 336, 11, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 84, 13, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 501, 1, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 275, 5, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 776, 5, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A16', 162, 12, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A17', 161, 21, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 1823, 2, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 270, 13, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 19, 3, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 31, 1, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 855, 27, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 187, 14, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 135, 6, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 351, 18, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 281, 24, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 431, 18, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 1462, 1, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 77, 2, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 769, 4, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 5, 5, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 367, 1, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 12, 4, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 3, 3, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 189, 4, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 12, 3, 2024, 5, 8, '2024-08-05 16:07:42', NULL, NULL), (208383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 258, 9, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 25, 5, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 1791, 1, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 5, 1, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 965, 3, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 691, 6, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 4507, 1, 2024, 5, 8, '2024-08-05 16:07:41', NULL, NULL), (208390, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 542, 11, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208391, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 293, 7, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208392, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 328, 66, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208393, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 19, 3, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208394, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 275, 5, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208395, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 1791, 1, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208396, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 173, 6, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208397, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 18, 3, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208398, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 79, 112, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208399, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 47, 20, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208400, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 222, 10, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208401, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 539, 6, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208402, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 181, 100, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208403, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 31, 1, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208404, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 270, 13, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208405, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 367, 1, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208406, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 3963, 10, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208407, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 379, 50, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208408, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 4507, 1, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208409, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 1823, 2, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208410, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 501, 1, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208411, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 776, 5, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208412, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 201, 3, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208413, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 877, 28, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208414, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 187, 14, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208415, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 965, 3, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208416, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 1, 1, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208417, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 93, 57, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208418, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 347, 83, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208419, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 3110, 1, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208420, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 12, 1, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208421, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 495, 3, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208422, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 5449, 7, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208423, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 187, 14, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208424, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 2, 2, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208425, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 135, 6, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208426, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 4, 4, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208427, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 351, 18, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208428, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 189, 4, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208429, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 281, 24, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208430, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 4, 2, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208431, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 431, 18, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208432, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 25, 5, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208433, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 12, 3, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208434, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 431, 3, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208435, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 189, 4, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208436, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 595, 10, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208437, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 270, 13, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208438, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 533, 2, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208439, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 855, 27, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208440, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 776, 5, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208441, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 275, 5, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208442, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 77, 2, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208443, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 46, 5, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208444, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 163, 9, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208445, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 116, 10, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208446, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 769, 4, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208447, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 91, 11, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208448, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 207, 5, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208449, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 5, 1, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208450, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 1462, 1, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208451, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 84, 13, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208452, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 367, 1, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208453, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 91, 6, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208454, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 205, 11, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208455, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 144, 13, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208456, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 233, 7, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208457, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 402, 11, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208458, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 3110, 1, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208459, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 140, 28, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208460, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 145, 24, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208461, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 1, 1, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208462, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 37, 9, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208463, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 481, 18, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208464, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 321, 27, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208465, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 324, 5, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208466, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 4507, 1, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208467, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 10, 1, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208468, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 23, 2, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208469, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 1791, 1, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208470, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 258, 9, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208471, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 501, 1, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208472, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 6, 1, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208473, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 965, 3, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208474, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 155, 5, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208475, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 381, 2, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208476, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 40, 23, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208477, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 157, 2, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208478, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 24, 2, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208479, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 23, 1, 2024, 5, 8, '2024-08-05 16:07:43', NULL, NULL), (208480, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 201, 3, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208481, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 19, 3, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208482, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 1823, 2, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208483, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 91, 11, 2024, 5, 8, '2024-08-05 16:07:44', NULL, NULL), (208484, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 325, 38, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208485, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 418, 25, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208486, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 29, 16, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208487, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 90, 27, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208488, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 31, 1, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208489, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 336, 11, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208490, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 108, 30, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 10, 1, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 90, 27, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 40, 23, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 155, 5, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 420, 18, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 1, 1, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 23, 2, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 29, 16, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 91, 11, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 108, 30, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 336, 11, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 4507, 1, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 431, 18, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 325, 38, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 418, 25, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 135, 6, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 31, 1, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 281, 24, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 351, 18, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 37, 9, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 84, 13, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 258, 9, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 501, 1, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A17', 161, 21, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A16', 162, 12, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 46, 5, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 163, 9, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 116, 10, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 91, 11, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 481, 18, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 321, 27, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 324, 5, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 77, 2, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 769, 4, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 1462, 1, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A01', 401, 13, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A03', 9789, 15, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 495, 3, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 855, 27, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 187, 14, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 270, 13, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 19, 3, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 1823, 2, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 275, 5, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 5449, 7, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 776, 5, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 4, 4, 2024, 5, 8, '2024-08-05 16:07:45', NULL, NULL), (208538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 1791, 1, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 382, 15, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 206, 8, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 25, 5, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 965, 3, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 175, 15, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 691, 6, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 5, 1, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 190, 19, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 4, 2, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 135, 26, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 2, 2, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 141, 30, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 367, 1, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 12, 3, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 189, 4, 2024, 5, 8, '2024-08-05 16:07:46', NULL, NULL), (208554, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 3110, 1, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208555, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 258, 9, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208556, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 418, 25, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208557, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 325, 38, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208558, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 91, 6, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208559, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 533, 2, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208560, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 336, 11, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208561, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 12, 3, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208562, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 25, 5, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208563, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 4, 2, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208564, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 189, 4, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208565, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 4, 4, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208566, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 2, 2, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208567, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 84, 13, 2024, 5, 8, '2024-08-05 16:07:49', NULL, NULL), (208568, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 31, 1, 2024, 5, 8, '2024-08-05 16:07:49', NULL, NULL), (208569, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 37, 9, 2024, 5, 8, '2024-08-05 16:07:49', NULL, NULL), (208570, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 275, 5, 2024, 5, 8, '2024-08-05 16:07:49', NULL, NULL), (208571, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 1462, 1, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208572, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 776, 5, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208573, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 1, 1, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208574, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 270, 13, 2024, 5, 8, '2024-08-05 16:07:49', NULL, NULL), (208575, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 77, 2, 2024, 5, 8, '2024-08-05 16:07:49', NULL, NULL), (208576, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 769, 4, 2024, 5, 8, '2024-08-05 16:07:49', NULL, NULL), (208577, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 367, 1, 2024, 5, 8, '2024-08-05 16:07:49', NULL, NULL), (208578, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 12, 1, 2024, 5, 8, '2024-08-05 16:07:49', NULL, NULL), (208579, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 1823, 2, 2024, 5, 8, '2024-08-05 16:07:49', NULL, NULL), (208580, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 155, 5, 2024, 5, 8, '2024-08-05 16:07:49', NULL, NULL), (208581, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 855, 27, 2024, 5, 8, '2024-08-05 16:07:49', NULL, NULL), (208582, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 40, 23, 2024, 5, 8, '2024-08-05 16:07:49', NULL, NULL), (208583, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 90, 27, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208584, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 321, 27, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208585, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 108, 30, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208586, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 324, 5, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208587, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 965, 3, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208588, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 91, 11, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208589, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 29, 16, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208590, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 481, 18, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208591, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 1791, 1, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208592, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 10, 1, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208593, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 116, 10, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208594, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 5, 1, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208595, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 91, 11, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208596, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 207, 5, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208597, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 23, 2, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208598, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 495, 3, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208599, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 5449, 7, 2024, 5, 8, '2024-08-05 16:07:49', NULL, NULL), (208600, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 163, 9, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208601, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 46, 5, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208602, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 187, 14, 2024, 5, 8, '2024-08-05 16:07:49', NULL, NULL), (208603, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 19, 3, 2024, 5, 8, '2024-08-05 16:07:49', NULL, NULL), (208604, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 201, 3, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208605, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 501, 1, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208606, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 135, 6, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208607, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 351, 18, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208608, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 23, 1, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208609, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 281, 24, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208610, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 6, 1, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208611, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 431, 18, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208612, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 381, 2, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208613, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 157, 2, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208614, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 24, 2, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208615, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 431, 3, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208616, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 595, 10, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208617, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 189, 4, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208618, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 4507, 1, 2024, 5, 8, '2024-08-05 16:07:47', NULL, NULL), (208619, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 140, 28, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208620, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 144, 13, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208621, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 145, 24, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208622, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 233, 7, 2024, 5, 8, '2024-08-05 16:07:48', NULL, NULL), (208623, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 205, 11, 2024, 5, 8, '2024-08-05 16:07:49', NULL, NULL), (208624, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 402, 11, 2024, 5, 8, '2024-08-05 16:07:49', NULL, NULL), (208625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 487, 46, 2024, 5, 9, '2024-08-05 16:07:53', NULL, NULL), (208626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2204, 1, 2024, 5, 9, '2024-08-05 16:07:53', NULL, NULL), (208627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 262, 136, 2024, 5, 9, '2024-08-05 16:07:53', NULL, NULL), (208628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 227, 50, 2024, 5, 9, '2024-08-05 16:07:53', NULL, NULL), (208629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 452, 208, 2024, 5, 9, '2024-08-05 16:07:53', NULL, NULL), (208630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 205, 128, 2024, 5, 9, '2024-08-05 16:07:53', NULL, NULL), (208631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 282, 30, 2024, 5, 9, '2024-08-05 16:07:53', NULL, NULL), (208632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 569, 3, 2024, 5, 9, '2024-08-05 16:07:53', NULL, NULL), (208633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 238, 147, 2024, 5, 9, '2024-08-05 16:07:53', NULL, NULL), (208634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 267, 2, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 326, 246, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 323, 43, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 327, 10, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 344, 68, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 465, 5, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (208640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 456, 35, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 212, 41, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 295, 124, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 245, 47, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 208, 86, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 385, 54, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208646, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 32, 2, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208647, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 1102, 2, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208648, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208649, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 321, 27, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208650, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 262, 136, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208651, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 427, 4, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208652, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 1, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208653, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 146, 1, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208654, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 786, 18, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208655, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 220, 72, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208656, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 106, 10, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208657, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 123, 20, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208658, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 615, 7, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208659, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 517, 22, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208660, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 143, 14, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208661, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 533, 44, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208662, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208663, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 704, 1, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208664, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1834, 9, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208665, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 481, 15, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208666, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 139, 15, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208667, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 252, 1, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208668, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 1922, 1, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208669, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 401, 3, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208670, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1023, 4, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208671, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 620, 10, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208672, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 223, 93, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208673, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 251, 75, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208674, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 335, 6, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208675, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 0, 1, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208676, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 157, 2, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208677, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 346, 14, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208678, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 239, 9, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208679, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 113, 75, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208680, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208681, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208682, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 661, 10, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208683, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 741, 2, 2024, 5, 9, '2024-08-05 16:07:54', NULL, NULL), (208684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 206, 30, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 346, 14, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 307, 24, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 306, 6, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 334, 33, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 282, 30, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 672, 7, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 537, 9, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 192, 29, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 518, 19, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 248, 28, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 490, 12, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 176, 24, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 131, 16, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 272, 23, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 596, 13, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 191, 16, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 58, 11, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 123, 9, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 178, 9, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 86, 16, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 102, 9, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 620, 10, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 274, 20, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 162, 19, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 200, 27, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 4, 1, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 852, 2, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 348, 22, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 150, 13, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 148, 10, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1023, 4, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1834, 9, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 615, 7, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 481, 15, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 335, 6, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 314, 1, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 731, 9, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 786, 18, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 375, 25, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 220, 16, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 80, 20, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 122, 11, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 27, 1, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 401, 3, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 636, 6, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 534, 5, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 1922, 1, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 175, 5, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 327, 5, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 930, 2, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 6, 5, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 231, 25, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 704, 1, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 146, 1, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 115, 22, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 154, 13, 2024, 5, 9, '2024-08-05 16:07:56', NULL, NULL), (208741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 741, 2, 2024, 5, 9, '2024-08-05 16:07:55', NULL, NULL), (208742, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 106, 10, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208743, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 239, 9, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208744, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 220, 72, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208745, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 335, 6, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208746, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1023, 4, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208747, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 146, 1, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208748, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 123, 20, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208749, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 2204, 1, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208750, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 262, 136, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208751, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 321, 27, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208752, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 139, 15, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208753, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 741, 2, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208754, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 401, 3, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208755, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 346, 14, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208756, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 223, 93, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208757, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 314, 1, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208758, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 481, 15, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208759, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 1922, 1, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208760, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 569, 3, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208761, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 533, 44, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208762, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 615, 7, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208763, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1834, 9, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208764, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 620, 10, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208765, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 252, 1, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208766, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 661, 10, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208767, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 704, 1, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208768, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 786, 18, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208769, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 154, 13, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208770, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 113, 75, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208771, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 254, 74, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208772, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 517, 22, 2024, 5, 9, '2024-08-05 16:07:57', NULL, NULL), (208773, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 32, 2, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208774, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 68, 3, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208775, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 852, 2, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208776, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 4, 1, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208777, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 786, 18, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208778, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 116, 4, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208779, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 375, 25, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208780, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 636, 6, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208781, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 220, 16, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208782, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 327, 5, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208783, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 80, 20, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208784, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 175, 5, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208785, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 122, 11, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208786, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 6, 5, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208787, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 930, 2, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208788, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 346, 14, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208789, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 434, 2, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208790, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 184, 7, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208791, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 122, 7, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208792, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 481, 15, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208793, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 265, 2, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208794, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 731, 9, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208795, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1023, 4, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208796, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1834, 9, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208797, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 102, 9, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208798, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 86, 16, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208799, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 58, 11, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208800, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 401, 3, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208801, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 131, 16, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208802, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 123, 20, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208803, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 27, 1, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208804, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 148, 10, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208805, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 704, 1, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208806, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 1922, 1, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208807, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 169, 10, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208808, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 290, 5, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208809, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 277, 19, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208810, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 232, 6, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208811, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 39, 6, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208812, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 32, 2, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208813, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 178, 21, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208814, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 267, 26, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208815, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 150, 13, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208816, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 596, 13, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208817, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 672, 7, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208818, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 741, 2, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208819, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 518, 19, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208820, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 537, 9, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208821, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 490, 12, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208822, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 306, 6, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208823, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 2204, 1, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208824, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 146, 1, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208825, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 231, 25, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208826, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 24, 3, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208827, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 274, 20, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208828, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 154, 13, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208829, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 250, 4, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208830, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 206, 30, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208831, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 161, 3, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208832, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 3, 2, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208833, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 4, 1, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208834, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 252, 1, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208835, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 335, 6, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208836, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 615, 7, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208837, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 192, 29, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208838, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 200, 27, 2024, 5, 9, '2024-08-05 16:07:58', NULL, NULL), (208839, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 620, 10, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208840, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 307, 24, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208841, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 348, 22, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208842, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 334, 33, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208843, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 314, 1, 2024, 5, 9, '2024-08-05 16:07:59', NULL, NULL), (208844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 307, 24, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 206, 30, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 274, 20, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 162, 19, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 2204, 1, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 192, 29, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 334, 33, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 348, 22, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 122, 11, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 200, 27, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 375, 25, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 314, 1, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 80, 20, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 220, 16, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 150, 13, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 148, 10, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 231, 25, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 102, 9, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 86, 16, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 58, 11, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 131, 16, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 596, 13, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 518, 19, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 490, 12, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 401, 3, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 27, 1, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A01', 282, 30, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 852, 2, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 731, 9, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 786, 18, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 481, 15, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 335, 6, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 615, 7, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1023, 4, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 4, 1, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1834, 9, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 636, 6, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 741, 2, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 537, 9, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 146, 1, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 123, 9, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 6, 5, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 178, 9, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 154, 13, 2024, 5, 9, '2024-08-05 16:08:00', NULL, NULL), (208888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 620, 10, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 115, 22, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 272, 23, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 704, 1, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 191, 16, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 346, 14, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 175, 5, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 248, 28, 2024, 5, 9, '2024-08-05 16:08:01', NULL, NULL), (208896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 116, 4, 2024, 5, 9, '2024-08-05 16:08:02', NULL, NULL), (208897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 176, 24, 2024, 5, 9, '2024-08-05 16:08:02', NULL, NULL), (208898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 930, 2, 2024, 5, 9, '2024-08-05 16:08:02', NULL, NULL), (208899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 672, 7, 2024, 5, 9, '2024-08-05 16:08:02', NULL, NULL), (208900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 1922, 1, 2024, 5, 9, '2024-08-05 16:08:02', NULL, NULL), (208901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 306, 6, 2024, 5, 9, '2024-08-05 16:08:02', NULL, NULL), (208902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 327, 5, 2024, 5, 9, '2024-08-05 16:08:02', NULL, NULL), (208903, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 32, 2, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208904, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 346, 14, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208905, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 231, 25, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208906, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 200, 27, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208907, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 169, 10, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208908, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 265, 2, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208909, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 537, 9, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208910, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 348, 22, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208911, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 672, 7, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208912, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 306, 6, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208913, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 930, 2, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208914, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 6, 5, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208915, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 175, 5, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208916, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 327, 5, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208917, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 636, 6, 2024, 5, 9, '2024-08-05 16:08:02', NULL, NULL), (208918, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 116, 4, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208919, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 704, 1, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208920, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 148, 10, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208921, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 314, 1, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208922, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1023, 4, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208923, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 150, 13, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208924, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 27, 1, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208925, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1834, 9, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208926, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 481, 15, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208927, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 401, 3, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208928, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 68, 3, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208929, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 615, 7, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208930, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 274, 20, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208931, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 731, 9, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208932, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 206, 30, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208933, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 307, 24, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208934, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 518, 19, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208935, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 334, 33, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208936, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 490, 12, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208937, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 154, 13, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208938, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 1922, 1, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208939, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 192, 29, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208940, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 596, 13, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208941, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 146, 1, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208942, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 58, 11, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208943, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 131, 16, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208944, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 123, 20, 2024, 5, 9, '2024-08-05 16:08:02', NULL, NULL), (208945, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 620, 10, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208946, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 2204, 1, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208947, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 852, 2, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208948, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 4, 1, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208949, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 86, 16, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208950, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 102, 9, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208951, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 786, 18, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208952, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 335, 6, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208953, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 252, 1, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208954, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 375, 25, 2024, 5, 9, '2024-08-05 16:08:02', NULL, NULL), (208955, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 220, 16, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208956, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 4, 1, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208957, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 741, 2, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208958, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 80, 20, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208959, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 24, 3, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208960, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 122, 11, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208961, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 250, 4, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208962, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 161, 3, 2024, 5, 9, '2024-08-05 16:08:04', NULL, NULL), (208963, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 434, 2, 2024, 5, 9, '2024-08-05 16:08:02', NULL, NULL), (208964, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 3, 2, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208965, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 122, 7, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208966, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 184, 7, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208967, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 178, 21, 2024, 5, 9, '2024-08-05 16:08:02', NULL, NULL), (208968, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 277, 19, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208969, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 267, 26, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208970, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 232, 6, 2024, 5, 9, '2024-08-05 16:08:02', NULL, NULL), (208971, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 290, 5, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208972, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 39, 6, 2024, 5, 9, '2024-08-05 16:08:03', NULL, NULL), (208973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 378, 142, 2024, 5, 10, '2024-08-05 16:08:06', NULL, NULL), (208974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1728, 4, 2024, 5, 10, '2024-08-05 16:08:06', NULL, NULL), (208975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 95, 62, 2024, 5, 10, '2024-08-05 16:08:06', NULL, NULL), (208976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 804, 78, 2024, 5, 10, '2024-08-05 16:08:06', NULL, NULL), (208977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 534, 168, 2024, 5, 10, '2024-08-05 16:08:06', NULL, NULL), (208978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 132, 118, 2024, 5, 10, '2024-08-05 16:08:06', NULL, NULL), (208979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 405, 115, 2024, 5, 10, '2024-08-05 16:08:06', NULL, NULL), (208980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 7, 1, 2024, 5, 10, '2024-08-05 16:08:06', NULL, NULL), (208981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 92, 4, 2024, 5, 10, '2024-08-05 16:08:06', NULL, NULL), (208982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 394, 231, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (208983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 311, 47, 2024, 5, 10, '2024-08-05 16:08:06', NULL, NULL), (208984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 330, 13, 2024, 5, 10, '2024-08-05 16:08:06', NULL, NULL), (208985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 237, 46, 2024, 5, 10, '2024-08-05 16:08:06', NULL, NULL), (208986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 792, 10, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (208987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 281, 48, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (208988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 247, 60, 2024, 5, 10, '2024-08-05 16:08:06', NULL, NULL), (208989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 611, 106, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (208990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 98, 8, 2024, 5, 10, '2024-08-05 16:08:06', NULL, NULL), (208991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 322, 61, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (208992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 539, 62, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (208993, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 83, 2, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (208994, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 287, 3, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (208995, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (208996, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 480, 62, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (208997, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 95, 62, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (208998, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 0, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (208999, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209000, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 27229, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209001, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 816, 16, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209002, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 288, 48, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209003, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 97, 5, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209004, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 429, 13, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209005, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 305, 10, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209006, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 217, 77, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209007, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 256, 7, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209008, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 532, 35, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209009, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209010, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 333, 6, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209011, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 530, 12, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209012, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 107, 12, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209013, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 74, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209014, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 36, 3, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209015, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 533, 4, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209016, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 337, 26, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209017, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 121, 90, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209018, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 488, 67, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209019, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 7, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209020, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 2009, 3, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209021, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 1220, 13, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209022, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209023, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 427, 29, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209024, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 63, 5, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209025, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 314, 55, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209026, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 5, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209027, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209028, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 912, 24, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209029, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 6049, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 1220, 13, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 89, 13, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 443, 28, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 138, 10, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 33, 17, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 247, 26, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 196, 23, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 148, 12, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 652, 13, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 103, 10, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 213, 27, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 148, 25, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 500, 10, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 125, 13, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 136, 27, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 121, 12, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 429, 12, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 137, 17, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 46, 13, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 207, 17, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (209050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 606, 10, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 318, 9, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 350, 25, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 47, 7, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 664, 31, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 299, 26, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 251, 13, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 7, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 344, 10, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 533, 4, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 333, 6, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 121, 4, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 530, 12, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 2009, 3, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 952, 23, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 816, 16, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 412, 18, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 269, 17, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 139, 13, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 36, 3, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 502, 17, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 767, 9, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 330, 8, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 289, 6, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2036, 3, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 467, 23, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 437, 10, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 27229, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 383, 15, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 256, 7, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209080, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 305, 10, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209081, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 63, 5, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209082, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 288, 48, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209083, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 2009, 3, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209084, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 533, 4, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209085, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 27229, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209086, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 429, 13, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209087, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 287, 3, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209088, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 95, 62, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209089, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 480, 62, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209090, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 107, 12, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209091, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 36, 3, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209092, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 443, 28, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209093, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 121, 90, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209094, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 1220, 13, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209095, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 530, 12, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209096, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 6049, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209097, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 532, 35, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209098, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 121, 4, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209099, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 7, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209100, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 333, 6, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209101, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 350, 25, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209102, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 74, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209103, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 952, 23, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209104, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 816, 16, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209105, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 256, 7, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209106, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 314, 55, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209107, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 488, 67, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209108, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 220, 76, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209109, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 83, 2, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209110, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 358, 8, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209111, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 139, 13, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209112, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 816, 16, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209113, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 767, 9, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209114, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 412, 18, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209115, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 548, 14, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209116, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 289, 6, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209117, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 269, 17, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209118, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 330, 8, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209119, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 467, 23, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209120, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 443, 28, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209121, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 30, 2, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209122, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 38, 3, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209123, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 100, 2, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209124, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 94, 2, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209125, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 530, 12, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209126, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 952, 23, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209127, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 333, 6, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209128, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 533, 4, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209129, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 318, 9, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209130, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 606, 10, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209131, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 125, 13, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209132, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 36, 3, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209133, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 429, 13, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209134, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 344, 10, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209135, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 29, 5, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209136, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 6049, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209137, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 127, 12, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209138, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 122, 11, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209139, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 82, 8, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209140, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 18, 7, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209141, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 83, 2, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209142, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 1220, 13, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209143, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 142, 24, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209144, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 160, 23, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209145, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 251, 13, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209146, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 429, 12, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209147, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 652, 13, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209148, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 196, 23, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209149, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 500, 10, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209150, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 213, 27, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209151, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 247, 26, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209152, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 287, 3, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209153, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 27229, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209154, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 437, 10, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209155, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 7, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209156, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 261, 2, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209157, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 256, 7, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209158, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 112, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209159, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 89, 13, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209160, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 87, 3, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209161, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 10, 2, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209162, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 6, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209163, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 121, 3, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209164, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 74, 1, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209165, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 2009, 3, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209166, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 121, 4, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209167, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 299, 26, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209168, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 148, 12, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209169, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 103, 10, 2024, 5, 10, '2024-08-05 16:08:07', NULL, NULL), (209170, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 664, 31, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209171, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 138, 10, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209172, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 350, 25, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209173, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 33, 17, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 287, 3, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 138, 10, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 89, 13, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 47, 7, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 6049, 1, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 103, 10, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 148, 12, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 33, 17, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 139, 13, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 269, 17, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 299, 26, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 664, 31, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 412, 18, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 251, 13, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 344, 10, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 437, 10, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 7, 1, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 318, 9, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 606, 10, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 125, 13, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 429, 12, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 652, 13, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 500, 10, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 36, 3, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 952, 23, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 816, 16, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 530, 12, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 2009, 3, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 121, 4, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 533, 4, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 333, 6, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 548, 14, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 213, 27, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 46, 13, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 27229, 1, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 256, 7, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 207, 17, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 467, 23, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 121, 12, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 383, 15, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 350, 25, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 137, 17, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 443, 28, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 148, 25, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 330, 8, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 767, 9, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 1220, 13, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 136, 27, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 30, 2, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 196, 23, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 247, 26, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 289, 6, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209226, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 83, 2, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209227, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 443, 28, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209228, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 437, 10, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209229, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 6049, 1, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209230, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 664, 31, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209231, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 299, 26, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209232, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 29, 5, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209233, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 213, 27, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209234, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 196, 23, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209235, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 247, 26, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209236, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 30, 2, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209237, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 467, 23, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209238, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 330, 8, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209239, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 289, 6, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209240, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 548, 14, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209241, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 767, 9, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209242, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 1220, 13, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209243, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 344, 10, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209244, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 251, 13, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209245, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 533, 4, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209246, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 333, 6, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209247, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 530, 12, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209248, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 36, 3, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209249, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 121, 4, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209250, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 358, 8, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209251, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 952, 23, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209252, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 89, 13, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209253, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 652, 13, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209254, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 138, 10, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209255, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 33, 17, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209256, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 500, 10, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209257, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 256, 7, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209258, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 148, 12, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209259, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 429, 12, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209260, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 103, 10, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209261, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 27229, 1, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209262, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 287, 3, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209263, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 125, 13, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209264, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 429, 13, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209265, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 350, 25, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209266, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 606, 10, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209267, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 816, 16, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209268, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 318, 9, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209269, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 2009, 3, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209270, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 7, 1, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209271, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 74, 1, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209272, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 6, 1, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209273, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 412, 18, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209274, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 121, 3, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209275, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 261, 2, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209276, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 269, 17, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209277, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 112, 1, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209278, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 139, 13, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209279, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 87, 3, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209280, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 10, 2, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209281, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 38, 3, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209282, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 100, 2, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209283, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 94, 2, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209284, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 142, 24, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209285, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 122, 11, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209286, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 160, 23, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209287, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 82, 8, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209288, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 127, 12, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209289, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 18, 7, 2024, 5, 10, '2024-08-05 16:08:08', NULL, NULL), (209290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 145, 81, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 31, 3, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 54, 57, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 240, 46, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 2537, 1, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1312, 65, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 151, 58, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 16852, 1, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 447, 72, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 1075, 2, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 308, 142, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 587, 17, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 22, 4, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 488, 20, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 50, 4, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 1406, 23, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 161, 24, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 426, 39, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 9694, 2, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 299, 53, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 308, 56, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209311, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 42, 2, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209312, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 54, 57, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209313, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 269, 39, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209314, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 16852, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209315, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 9, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209316, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 396, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209317, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 60, 2, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209318, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 57, 24, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209319, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 22, 6, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209320, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 758, 5, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209321, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 3904, 2, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209322, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 94, 44, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209323, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 201, 7, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209324, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 3518, 10, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209325, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1130, 2, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209326, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 8, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209327, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 486, 8, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209328, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 257, 7, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209329, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 75, 3, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209330, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 588, 1, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209331, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 104, 13, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209332, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 53, 41, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209333, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 645, 46, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209334, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 484, 10, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209335, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 572, 2, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209336, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 303, 3, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209337, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 102, 14, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209338, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 780, 26, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209339, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2024, 5, 11, '2024-08-05 16:08:09', NULL, NULL), (209340, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209341, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 2285, 6, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 72, 16, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 484, 10, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 65, 16, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 102, 14, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 37, 11, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 82, 15, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 56, 7, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 105, 14, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 10, 7, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 95, 15, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 50, 16, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 2365, 4, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 1278, 8, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 122, 14, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 87, 10, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 4287, 6, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 175, 9, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 950, 2, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 2537, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 410, 3, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 542, 11, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 1423, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 104, 13, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 431, 6, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 382, 15, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 269, 13, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 16852, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1136, 18, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 196, 4, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1130, 2, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 3904, 2, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 486, 8, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 572, 2, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 2285, 6, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 60, 2, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 46, 8, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 57, 8, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 68, 8, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 168, 11, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 588, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 29, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 299, 17, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 8, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 287, 7, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 272, 6, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 396, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 22, 6, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 201, 7, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209390, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 758, 5, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209391, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 303, 3, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209392, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 57, 24, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209393, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 396, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209394, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 22, 6, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209395, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 54, 57, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209396, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 42, 2, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209397, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 269, 39, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209398, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 257, 7, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209399, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 588, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209400, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 102, 14, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209401, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 51, 40, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209402, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 572, 2, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209403, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 484, 10, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209404, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 486, 8, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209405, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 16852, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209406, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 3518, 10, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209407, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 3904, 2, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209408, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1130, 2, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209409, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 104, 13, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209410, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 75, 3, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209411, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 8, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209412, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 2285, 6, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209413, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 60, 2, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209414, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 201, 7, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209415, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 9, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209416, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 780, 26, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209417, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 645, 46, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209418, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 94, 44, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209419, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 410, 3, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209420, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 16852, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209421, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 68, 8, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209422, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 60, 2, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209423, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 46, 8, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209424, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 179, 10, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209425, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 317, 16, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209426, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 57, 8, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209427, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 272, 6, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209428, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 287, 7, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209429, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 102, 14, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209430, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 303, 3, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209431, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 1279, 2, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209432, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 486, 8, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209433, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 2285, 6, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209434, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1130, 2, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209435, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 1423, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209436, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 542, 11, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209437, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 950, 2, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209438, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 1278, 8, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209439, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 588, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209440, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 22, 6, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209441, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 196, 4, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209442, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 7, 4, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209443, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 45, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209444, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 97, 9, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209445, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 8, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209446, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 484, 10, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209447, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 28, 11, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209448, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 53, 15, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209449, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 9, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209450, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 4287, 6, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209451, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 105, 14, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209452, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 95, 15, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209453, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 2365, 4, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209454, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 82, 15, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209455, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 55, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209456, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 29, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (209457, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 396, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209458, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 198, 2, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209459, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 201, 7, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209460, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 4, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209461, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 72, 16, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209462, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 466, 3, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209463, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 5, 1, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209464, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 75, 3, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209465, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 3904, 2, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209466, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 56, 7, 2024, 5, 11, '2024-08-05 16:08:10', NULL, NULL), (209467, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 269, 13, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209468, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 10, 7, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209469, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 382, 15, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209470, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 65, 16, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209471, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 104, 13, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209472, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1136, 18, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209473, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 37, 11, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209474, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 572, 2, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 55, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 65, 16, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 72, 16, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 431, 6, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 9, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 29, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 10, 7, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 56, 7, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 37, 11, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 1136, 18, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 68, 8, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 57, 8, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 269, 13, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 382, 15, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 46, 8, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 572, 2, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 196, 4, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 2537, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 1423, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 542, 11, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 950, 2, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 1278, 8, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 4287, 6, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 2365, 4, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 588, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 16852, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 2285, 6, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 60, 2, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 486, 8, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 3904, 2, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1130, 2, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 179, 10, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 95, 15, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 396, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 410, 3, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 272, 6, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 201, 7, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 87, 10, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 22, 6, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 104, 13, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 175, 9, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 8, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 317, 16, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 50, 16, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 102, 14, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 484, 10, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 122, 14, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 287, 7, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 105, 14, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 82, 15, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209525, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 102, 14, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209526, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 382, 15, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209527, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 269, 13, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209528, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 7, 4, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209529, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 1136, 18, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209530, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 95, 15, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209531, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 105, 14, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209532, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 82, 15, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209533, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 287, 7, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209534, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 272, 6, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209535, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 317, 16, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209536, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 179, 10, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209537, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 484, 10, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209538, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 196, 4, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209539, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 572, 2, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209540, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1130, 2, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209541, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 9, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209542, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 486, 8, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209543, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 588, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209544, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 410, 3, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209545, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 3904, 2, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209546, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 2285, 6, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209547, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 72, 16, 2024, 5, 11, '2024-08-05 16:08:12', NULL, NULL), (209548, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 65, 16, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209549, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 37, 11, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209550, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 2365, 4, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209551, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 56, 7, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209552, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 201, 7, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209553, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 10, 7, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209554, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 4287, 6, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209555, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 396, 1, 2024, 5, 11, '2024-08-05 16:08:12', NULL, NULL), (209556, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 55, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209557, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 950, 2, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209558, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 1278, 8, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209559, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 22, 6, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209560, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 29, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209561, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 104, 13, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209562, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 16852, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209563, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 542, 11, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209564, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 1423, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209565, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 60, 2, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209566, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 75, 3, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209567, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 46, 8, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209568, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 198, 2, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209569, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 57, 8, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209570, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 4, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209571, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 68, 8, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209572, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 466, 3, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209573, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 5, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209574, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 303, 3, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209575, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 1279, 2, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209576, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 28, 11, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209577, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 97, 9, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209578, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 8, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209579, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 53, 15, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209580, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 45, 1, 2024, 5, 11, '2024-08-05 16:08:11', NULL, NULL), (209581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 10, 2, 2024, 5, 12, '2024-08-05 16:08:12', NULL, NULL), (209582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1877, 4, 2024, 5, 12, '2024-08-05 16:08:12', NULL, NULL), (209583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 683, 11, 2024, 5, 12, '2024-08-05 16:08:12', NULL, NULL), (209584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 13, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209585, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209586, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 8, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209587, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 127, 6, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209588, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 2248, 3, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209589, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 13, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 762, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 8, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 13, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 2248, 3, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209594, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 2248, 3, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209595, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 8, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209596, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 13, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209597, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 762, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209598, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 2248, 3, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209599, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 8, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209600, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 762, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209601, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 13, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 8, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 2248, 3, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 13, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 762, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209606, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 762, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209607, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 13, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209608, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 8, 1, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209609, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 2248, 3, 2024, 5, 12, '2024-08-05 16:08:13', NULL, NULL), (209610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 293, 120, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 8, 7, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 96, 118, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 101, 47, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 361, 3, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 542, 211, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 215, 127, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 4475, 7, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 282, 151, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 8, 2, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 263, 257, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 564, 14, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 244, 47, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 153, 9, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 370, 70, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 31, 10, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 302, 60, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 459, 51, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 295, 114, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1562, 21, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 319, 89, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 245, 66, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209632, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 58, 6, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209633, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 8, 6, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209634, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209635, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 123, 28, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209636, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 96, 118, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209637, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 4475, 7, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209638, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 5, 1, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209639, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 989, 9, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209640, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 349, 56, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209641, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209642, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 102, 13, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209643, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 73, 13, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209644, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 1288, 9, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209645, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 338, 67, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209646, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 339, 19, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209647, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 981, 46, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209648, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 2, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209649, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 4144, 2, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209650, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 32, 4, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209651, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 4, 1, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209652, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 574, 10, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209653, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 284, 15, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209654, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 144, 1, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209655, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 13, 4, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209656, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 17, 4, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209657, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 176, 17, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209658, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 221, 91, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209659, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 240, 89, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209660, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 8, 2, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209661, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 3, 3, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209662, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 276, 13, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209663, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 243, 7, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209664, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 216, 7, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209665, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 247, 24, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209666, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 125, 80, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209667, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209668, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209669, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 951, 18, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209670, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209671, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 435, 2, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 276, 13, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 128, 19, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 87, 14, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 247, 24, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 110, 18, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 480, 25, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 67, 19, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 277, 24, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 91, 27, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 274, 14, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 962, 18, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 52, 3, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 236, 29, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 805, 12, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 162, 33, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 79, 13, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1136, 16, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 305, 13, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 75, 17, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 263, 11, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 139, 16, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 204, 21, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 219, 9, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 176, 17, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 93, 21, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 220, 23, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 223, 18, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 205, 20, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 5221, 6, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 5, 1, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 127, 12, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 295, 24, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 8, 2, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 150, 13, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 17, 4, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 32, 4, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 1288, 9, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 574, 10, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 3, 3, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 284, 6, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 951, 18, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 989, 9, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 694, 3, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 404, 28, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 246, 25, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 13, 4, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 7, 5, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 7, 9, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 257, 5, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 4, 1, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 147, 8, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 158, 6, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 2, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 228, 27, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 4144, 2, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 68, 19, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 339, 19, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 435, 2, 2024, 5, 13, '2024-08-05 16:08:14', NULL, NULL), (209730, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 102, 13, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209731, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 216, 7, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209732, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 349, 56, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209733, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 3, 3, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209734, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 17, 4, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209735, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 73, 13, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209736, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 8, 6, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209737, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 96, 118, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209738, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 123, 28, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209739, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 284, 15, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209740, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 435, 2, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209741, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 13, 4, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209742, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 247, 24, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209743, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 221, 91, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209744, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 284, 6, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209745, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 276, 13, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209746, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 574, 10, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209747, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 4475, 7, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209748, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 981, 46, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209749, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 1288, 9, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209750, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 8, 2, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209751, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 32, 4, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209752, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 176, 17, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209753, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 144, 1, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209754, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 4, 1, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209755, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 951, 18, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209756, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 4144, 2, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209757, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 989, 9, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209758, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 339, 19, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209759, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 5, 1, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209760, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 125, 80, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209761, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 240, 89, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209762, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 343, 66, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209763, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 58, 6, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209764, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 111, 8, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209765, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 5, 1, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209766, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 5221, 6, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209767, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 246, 25, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209768, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 989, 9, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209769, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 4, 3, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209770, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 7, 5, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209771, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 694, 3, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209772, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 147, 8, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209773, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 404, 28, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209774, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 320, 4, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209775, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 2, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209776, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 247, 24, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209777, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 158, 6, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209778, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 222, 3, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209779, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 211, 4, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209780, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 87, 5, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209781, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 574, 10, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209782, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 302, 2, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209783, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 951, 18, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209784, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 17, 4, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209785, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 32, 4, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209786, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 219, 9, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209787, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 75, 17, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209788, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 139, 16, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209789, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 13, 4, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209790, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 79, 13, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209791, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 73, 13, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209792, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 150, 13, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209793, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 4144, 2, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209794, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 251, 16, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209795, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 403, 7, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209796, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 4, 1, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209797, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 232, 10, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209798, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 287, 4, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209799, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 58, 6, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209800, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 276, 13, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209801, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 145, 29, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209802, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 222, 25, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209803, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 5, 1, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209804, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 127, 12, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209805, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 52, 3, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209806, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1136, 16, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209807, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 277, 24, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209808, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 962, 18, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209809, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 435, 2, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209810, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 274, 14, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209811, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 805, 12, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209812, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 480, 25, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209813, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 8, 6, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209814, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 228, 27, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209815, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 8, 2, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209816, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 160, 1, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209817, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 93, 21, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209818, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 339, 19, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209819, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 128, 19, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209820, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 282, 4, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209821, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 324, 4, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209822, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 355, 3, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209823, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 3, 1, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209824, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 144, 1, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209825, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 3, 3, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209826, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 1288, 9, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209827, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 67, 19, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209828, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 205, 20, 2024, 5, 13, '2024-08-05 16:08:15', NULL, NULL), (209829, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 91, 27, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209830, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 223, 18, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209831, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 87, 14, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209832, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 176, 17, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209833, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 110, 18, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209834, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 295, 24, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209835, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 284, 6, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 87, 14, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 128, 19, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 93, 21, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 220, 23, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 5, 1, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 8, 6, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 91, 27, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 67, 19, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 110, 18, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 295, 24, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 246, 25, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 205, 20, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 223, 18, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 284, 6, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 404, 28, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 694, 3, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 127, 12, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 150, 13, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 228, 27, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 8, 2, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 361, 3, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 219, 9, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 75, 17, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 139, 16, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 79, 13, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1136, 16, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 962, 18, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 805, 12, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 13, 4, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (209865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 5, 1, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 951, 18, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 989, 9, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 574, 10, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 3, 3, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 1288, 9, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 17, 4, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 32, 4, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 5221, 6, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 7, 5, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 435, 2, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 52, 3, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 274, 14, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 227, 8, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 204, 21, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 2, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 339, 19, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 68, 19, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 176, 17, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 305, 13, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 4144, 2, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 4, 1, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 320, 4, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 247, 24, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 236, 29, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 4, 3, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 276, 13, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 162, 33, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 158, 6, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 277, 24, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 147, 8, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 480, 25, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209897, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 58, 6, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209898, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 247, 24, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209899, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 228, 27, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209900, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 223, 18, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209901, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 205, 20, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209902, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 251, 16, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209903, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 302, 2, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209904, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 52, 3, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209905, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 274, 14, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209906, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 295, 24, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209907, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 277, 24, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209908, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 480, 25, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209909, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 158, 6, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209910, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 2, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209911, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 320, 4, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209912, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 147, 8, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209913, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 7, 5, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209914, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 4, 3, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209915, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 276, 13, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209916, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 4144, 2, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209917, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 150, 13, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209918, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 284, 6, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209919, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 17, 4, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209920, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 127, 12, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209921, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 32, 4, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209922, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 5, 1, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209923, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 574, 10, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209924, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 13, 4, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209925, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 111, 8, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209926, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 1288, 9, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209927, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 93, 21, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209928, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 951, 18, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209929, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 128, 19, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209930, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 87, 14, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209931, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 962, 18, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209932, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 110, 18, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209933, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 805, 12, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209934, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 67, 19, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209935, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 339, 19, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209936, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 91, 27, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209937, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1136, 16, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209938, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 139, 16, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209939, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 79, 13, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209940, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 73, 13, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209941, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 8, 6, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209942, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 176, 17, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209943, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 5, 1, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209944, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 5221, 6, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209945, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 75, 17, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209946, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 989, 9, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209947, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 219, 9, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209948, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 3, 3, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209949, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 8, 2, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209950, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 144, 1, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209951, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 355, 3, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209952, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 694, 3, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209953, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 3, 1, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209954, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 435, 2, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209955, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 404, 28, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209956, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 160, 1, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209957, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 246, 25, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209958, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 282, 4, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209959, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 222, 3, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209960, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 324, 4, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209961, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 211, 4, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209962, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 87, 5, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209963, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 145, 29, 2024, 5, 13, '2024-08-05 16:08:16', NULL, NULL), (209964, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 4, 1, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209965, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 222, 25, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209966, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 232, 10, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209967, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 403, 7, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209968, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 287, 4, 2024, 5, 13, '2024-08-05 16:08:17', NULL, NULL), (209969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 968, 163, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 9458, 5, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 11227, 1, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区林业竹业局', '', '', 8, 1, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 37, 111, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 231, 39, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 586, 169, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 82, 133, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 11619, 6, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 633, 137, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 248, 1, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 694, 7, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 534, 261, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 316, 30, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 0, 2, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 57, 3, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 611, 86, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 4872, 10, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 457, 62, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 523, 51, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 301, 110, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 3911, 21, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 498, 74, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 453, 68, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209993, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209994, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 7882, 6, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209995, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 37, 111, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209996, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 274, 32, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209997, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 8714, 8, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (209998, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1805, 10, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (209999, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 980, 52, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (210000, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (210001, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 34, 7, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (210002, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 276, 8, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (210003, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 92, 7, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (210004, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 1275, 85, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (210005, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 61, 9, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (210006, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 526, 34, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210007, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 117, 5, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (210008, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 1185, 1, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (210009, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 183, 9, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210010, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 31, 11, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210011, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 8, 1, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210012, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 767, 2, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210013, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 94, 4, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210014, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 4, 4, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210015, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 20, 4, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (210016, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 916, 30, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210017, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 58, 107, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210018, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 368, 82, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210019, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 248, 1, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (210020, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 5551, 5, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (210021, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 818, 16, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210022, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 938, 6, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210023, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 364, 6, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (210024, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 278, 32, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (210025, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 135, 57, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210026, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 6, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210027, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 8, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210028, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 952, 22, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210029, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 37, 1, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (210030, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2024, 5, 14, '2024-08-05 16:08:18', NULL, NULL), (210031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 47, 20, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 818, 16, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 278, 32, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 44, 15, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 1930, 24, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 43, 21, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 35, 15, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 1102, 32, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 993, 25, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 24, 22, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 470, 10, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 493, 4, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 55, 32, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 571, 9, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 173, 3, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 40, 30, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 812, 15, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 537, 15, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 98, 16, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 272, 15, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 43, 11, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 58, 11, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 76, 14, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 137, 5, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 916, 30, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 29, 18, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 71, 18, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 200, 26, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 15026, 1, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 286, 14, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 10937, 5, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 236, 9, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 248, 1, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 180, 13, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 20, 4, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 117, 5, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 276, 8, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 183, 9, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 5551, 5, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1407, 4, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1102, 19, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1805, 10, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 1235, 27, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 777, 15, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 592, 10, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 94, 4, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 61, 5, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 3, 1, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 4760, 10, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 139, 4, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 5, 3, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 1185, 1, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 707, 9, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 2, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 178, 7, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 513, 41, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 34, 7, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 69, 8, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 37, 1, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210090, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 92, 7, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210091, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 364, 6, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210092, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 980, 52, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210093, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 5551, 5, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210094, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 20, 4, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210095, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '区林业竹业局', '', '', 8, 1, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210096, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 34, 7, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210097, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 9458, 5, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210098, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 37, 111, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210099, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 274, 32, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210100, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 31, 11, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210101, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 37, 1, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210102, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 94, 4, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210103, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 278, 32, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210104, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 58, 107, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210105, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1407, 4, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210106, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 818, 16, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210107, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 183, 9, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210108, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 11619, 6, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210109, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 4, 4, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210110, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 526, 34, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210111, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 276, 8, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210112, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 248, 1, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210113, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 117, 5, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210114, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 916, 30, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210115, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 767, 2, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210116, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 1185, 1, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210117, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1102, 19, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210118, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1805, 10, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210119, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 69, 8, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210120, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 135, 57, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210121, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 373, 81, 2024, 5, 14, '2024-08-05 16:08:19', NULL, NULL), (210122, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 1275, 85, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210123, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 22, 2, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210124, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 10937, 5, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210125, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 15026, 1, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210126, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 592, 10, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210127, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1805, 10, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210128, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', 'A07', 8, 1, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210129, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 61, 5, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210130, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 61, 5, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210131, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 707, 9, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210132, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 1235, 27, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210133, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 139, 4, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210134, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 777, 15, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210135, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 178, 7, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210136, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 2, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210137, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 278, 32, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210138, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 133, 3, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210139, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 594, 3, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210140, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 120, 5, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210141, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 183, 9, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210142, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1102, 19, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210143, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 20, 4, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210144, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 117, 5, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210145, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 137, 5, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210146, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 98, 16, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210147, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 43, 11, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210148, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 173, 3, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210149, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 94, 4, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210150, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 34, 7, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210151, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 180, 13, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210152, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 3, 1, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210153, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 5, 3, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210154, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 52, 13, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210155, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 85, 9, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210156, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 68, 14, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210157, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 1185, 1, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210158, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 84, 12, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210159, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 33, 7, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210160, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 818, 16, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210161, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 35, 25, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210162, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 65, 27, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210163, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 236, 9, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210164, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 493, 4, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210165, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 537, 15, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210166, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 37, 1, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210167, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 1102, 32, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210168, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 470, 10, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210169, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 993, 25, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210170, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 571, 9, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210171, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 1930, 24, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210172, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 9458, 5, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210173, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 513, 41, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210174, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 248, 1, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210175, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 69, 8, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210176, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 29, 18, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210177, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 47, 20, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210178, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 63, 5, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210179, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 4, 5, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210180, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 7, 1, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210181, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 767, 2, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210182, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 5551, 5, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210183, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 276, 8, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210184, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 286, 14, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210185, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 35, 15, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210186, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 24, 22, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210187, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 200, 26, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210188, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 916, 30, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210189, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 44, 15, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210190, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 43, 21, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210191, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1407, 4, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 44, 15, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 47, 20, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 29, 18, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 71, 18, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 9458, 5, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 24, 22, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 35, 15, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 43, 21, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 592, 10, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 777, 15, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 286, 14, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 200, 26, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1407, 4, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 1235, 27, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 236, 9, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 180, 13, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 513, 41, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 248, 1, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 137, 5, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 98, 16, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 43, 11, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 173, 3, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 537, 15, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 470, 10, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 571, 9, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 11227, 1, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 94, 4, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 10937, 5, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1102, 19, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1805, 10, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 183, 9, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 5551, 5, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 276, 8, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 20, 4, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 15026, 1, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 117, 5, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 61, 5, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 37, 1, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 493, 4, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 993, 25, 2024, 5, 14, '2024-08-05 16:08:20', NULL, NULL), (210232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区林业竹业局', '', 'A07', 8, 1, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 58, 11, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 178, 7, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 69, 8, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 76, 14, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 34, 7, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 916, 30, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 68, 14, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 291, 14, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 1185, 1, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 139, 4, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 278, 32, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 55, 32, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 818, 16, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 61, 5, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 40, 30, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 3, 1, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 2, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 1102, 32, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 1930, 24, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 5, 3, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 707, 9, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210254, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 278, 32, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210255, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 513, 41, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210256, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 200, 26, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210257, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 286, 14, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210258, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 52, 13, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210259, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 493, 4, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210260, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 993, 25, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210261, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 1102, 32, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210262, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 1930, 24, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210263, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 2, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210264, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 178, 7, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210265, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 139, 4, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210266, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 707, 9, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210267, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 61, 5, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210268, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 61, 5, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210269, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 818, 16, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210270, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 180, 13, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (210271, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1407, 4, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210272, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 20, 4, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210273, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 236, 9, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210274, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 117, 5, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210275, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 183, 9, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210276, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 94, 4, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210277, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 3, 1, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210278, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 22, 2, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210279, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 276, 8, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210280, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 29, 18, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210281, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1102, 19, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210282, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 47, 20, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210283, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 44, 15, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210284, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 470, 10, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210285, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 571, 9, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210286, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 43, 21, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210287, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 69, 8, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210288, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 35, 15, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210289, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 5, 3, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210290, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 24, 22, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210291, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 537, 15, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210292, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 43, 11, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210293, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 173, 3, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210294, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 34, 7, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210295, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 916, 30, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210296, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 9458, 5, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210297, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 10937, 5, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210298, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 15026, 1, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210299, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 98, 16, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210300, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 137, 5, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210301, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1805, 10, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210302, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 5551, 5, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210303, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 767, 2, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210304, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 248, 1, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210305, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 7, 1, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210306, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 37, 1, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210307, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 1235, 27, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210308, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 777, 15, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210309, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 592, 10, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210310, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 63, 5, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210311, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 133, 3, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210312, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 4, 5, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210313, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 594, 3, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210314, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 120, 5, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210315, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 35, 25, 2024, 5, 14, '2024-08-05 16:08:21', NULL, NULL), (210316, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 68, 14, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210317, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 1185, 1, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210318, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 65, 27, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210319, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 84, 12, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210320, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 85, 9, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210321, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 33, 7, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210322, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '区林业竹业局', '', 'A07', 8, 1, 2024, 5, 14, '2024-08-05 16:08:22', NULL, NULL), (210323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 357, 136, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 3, 2, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 31, 93, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 48, 38, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 652, 172, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 108, 126, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 5, 4, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 423, 164, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 7, 1, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 278, 13, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 284, 183, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 291, 38, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 111, 9, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 468, 69, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 663, 5, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 365, 84, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 129, 33, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 263, 144, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 146, 18, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 597, 79, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 258, 81, 2024, 5, 15, '2024-08-05 16:08:23', NULL, NULL), (210344, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210345, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 3, 2, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210346, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 38, 27, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210347, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 5, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210348, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 31, 93, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210349, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 3, 6, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210350, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 295, 13, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210351, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 689, 61, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210352, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210353, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 40, 8, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210354, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 73, 11, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210355, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 158, 12, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210356, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 185, 55, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210357, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 688, 13, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210358, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 656, 24, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210359, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210360, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 708, 5, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210361, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 3, 1, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210362, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 73, 7, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210363, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 89, 8, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210364, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 549, 3, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210365, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 226, 6, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210366, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 252, 8, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210367, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 712, 31, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210368, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 99, 101, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210369, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 257, 103, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210370, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 7, 1, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210371, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 642, 6, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210372, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 616, 18, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210373, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 408, 2, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210374, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 164, 32, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210375, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 167, 6, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210376, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 182, 60, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210377, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210378, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 9, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210379, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 3309, 18, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 616, 18, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 10, 15, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 53, 20, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 164, 32, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 105, 18, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 15, 16, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 50, 13, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 228, 21, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 29, 12, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 218, 16, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 261, 6, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 75, 31, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 791, 9, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 84, 14, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 76, 30, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 252, 10, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 786, 9, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 206, 17, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 116, 12, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 172, 12, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 122, 8, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 69, 14, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 68, 4, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 25, 17, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 712, 31, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 67, 16, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 261, 22, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 4, 1, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 282, 31, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 6, 3, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 564, 7, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 217, 23, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 7, 1, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 187, 11, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 252, 8, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 708, 5, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 158, 12, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 73, 7, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 642, 6, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 3309, 18, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 817, 1, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 319, 12, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 866, 21, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 630, 20, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 408, 2, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 579, 18, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 3, 2, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 226, 6, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 5, 6, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 13, 5, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 3, 1, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 126, 7, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 8, 4, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 271, 26, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 4, 5, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 688, 13, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 73, 11, 2024, 5, 15, '2024-08-05 16:08:24', NULL, NULL), (210437, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 40, 8, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210438, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 167, 6, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210439, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 689, 61, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210440, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 642, 6, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210441, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 252, 8, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210442, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 73, 11, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210443, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 3, 2, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210444, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 31, 93, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210445, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 38, 27, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210446, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 89, 8, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210447, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 226, 6, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210448, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 164, 32, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210449, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 99, 101, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210450, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 817, 1, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210451, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 616, 18, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210452, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 73, 7, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210453, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 5, 4, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210454, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 656, 24, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210455, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 158, 12, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210456, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 708, 5, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210457, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 7, 1, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210458, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 712, 31, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210459, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 549, 3, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210460, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 3, 1, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210461, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 3309, 18, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210462, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 319, 12, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210463, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 688, 13, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210464, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 182, 60, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210465, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 260, 102, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210466, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 185, 55, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210467, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 3, 1, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210468, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 6, 3, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210469, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 4, 1, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210470, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 579, 18, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210471, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 319, 12, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210472, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 6, 4, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210473, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 866, 21, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210474, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 2, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210475, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 630, 20, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210476, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 126, 7, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210477, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 13, 5, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210478, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 408, 2, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210479, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 4, 5, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210480, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 8, 4, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210481, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 164, 32, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210482, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 59, 1, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210483, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 188, 5, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210484, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 45, 7, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210485, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 73, 7, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210486, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 174, 2, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210487, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 3309, 18, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210488, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 708, 5, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210489, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 252, 8, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210490, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 68, 4, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210491, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 116, 12, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210492, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 172, 12, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210493, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 84, 14, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210494, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 226, 6, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210495, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 73, 11, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210496, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 187, 11, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210497, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 59, 7, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210498, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 101, 9, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210499, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 252, 10, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210500, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 3, 1, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210501, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 80, 12, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210502, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 127, 6, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210503, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 616, 18, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210504, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 78, 27, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210505, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 76, 30, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210506, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 564, 7, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210507, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 786, 9, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210508, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 228, 21, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210509, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 261, 6, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210510, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 218, 16, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210511, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 791, 9, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210512, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 105, 18, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210513, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 3, 2, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210514, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 271, 26, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210515, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 7, 1, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210516, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 25, 17, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210517, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 688, 13, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210518, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 10, 15, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210519, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 59, 3, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210520, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 27, 1, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210521, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 2, 1, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210522, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 156, 1, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210523, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 549, 3, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210524, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 642, 6, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210525, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 158, 12, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210526, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 50, 13, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210527, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 282, 31, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210528, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 29, 12, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210529, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 261, 22, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210530, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 53, 20, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210531, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 712, 31, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210532, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 217, 23, 2024, 5, 15, '2024-08-05 16:08:25', NULL, NULL), (210533, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 15, 16, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210534, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 817, 1, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 53, 20, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 10, 15, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 25, 17, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 67, 16, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 3, 2, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 29, 12, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 50, 13, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 15, 16, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 217, 23, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 579, 18, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 408, 2, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 282, 31, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 261, 22, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 866, 21, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 817, 1, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 630, 20, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 564, 7, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 187, 11, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 271, 26, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 7, 1, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 68, 4, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 116, 12, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 172, 12, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 84, 14, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 786, 9, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 261, 6, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 791, 9, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 226, 6, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 6, 3, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 3309, 18, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 319, 12, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 73, 7, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 642, 6, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 158, 12, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 252, 8, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 708, 5, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 4, 1, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 2, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 218, 16, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 122, 8, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 69, 14, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 4, 5, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 688, 13, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 73, 11, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 712, 31, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 252, 10, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 206, 17, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 3, 1, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 13, 5, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 164, 32, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 75, 31, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 6, 4, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 616, 18, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 76, 30, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 228, 21, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 8, 4, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 126, 7, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 105, 18, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210593, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 271, 26, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210594, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 164, 32, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210595, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 261, 22, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210596, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 282, 31, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210597, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 59, 7, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210598, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 174, 2, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210599, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 218, 16, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210600, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 217, 23, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210601, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 228, 21, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210602, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 105, 18, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210603, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 8, 4, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210604, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 4, 5, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210605, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 13, 5, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210606, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 126, 7, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210607, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 2, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210608, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 6, 4, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210609, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 616, 18, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210610, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 187, 11, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210611, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 817, 1, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210612, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 564, 7, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210613, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 252, 8, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210614, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 708, 5, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210615, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 73, 7, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210616, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 226, 6, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210617, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 3, 1, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210618, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 158, 12, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210619, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 25, 17, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210620, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 3309, 18, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210621, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 10, 15, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210622, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 53, 20, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210623, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 261, 6, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210624, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 15, 16, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210625, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 791, 9, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210626, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 50, 13, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210627, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 688, 13, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210628, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 29, 12, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210629, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 786, 9, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210630, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 172, 12, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210631, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 84, 14, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210632, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 73, 11, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210633, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 3, 2, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210634, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 712, 31, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210635, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 6, 3, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210636, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 4, 1, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210637, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 116, 12, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210638, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 319, 12, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210639, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 68, 4, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210640, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 642, 6, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210641, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 549, 3, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210642, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 7, 1, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210643, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 866, 21, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210644, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 2, 1, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210645, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 630, 20, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210646, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 156, 1, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210647, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 408, 2, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210648, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 579, 18, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210649, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 59, 3, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210650, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 27, 1, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210651, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 59, 1, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210652, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 188, 5, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210653, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 45, 7, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210654, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 78, 27, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210655, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 252, 10, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210656, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 3, 1, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210657, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 76, 30, 2024, 5, 15, '2024-08-05 16:08:26', NULL, NULL), (210658, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 80, 12, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210659, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 101, 9, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210660, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 127, 6, 2024, 5, 15, '2024-08-05 16:08:27', NULL, NULL), (210661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 199, 113, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 278, 3, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 61, 86, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 634, 35, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 436, 174, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 371, 123, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 4, 2, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 483, 118, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 64, 1, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 186, 6, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 390, 222, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 301, 39, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 188, 16, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 441, 41, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 567, 18, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (210676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 387, 38, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 373, 30, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 271, 109, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 8, 12, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 285, 78, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 341, 59, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210682, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 278, 3, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210683, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 4, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210684, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 139, 28, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210685, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 61, 87, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210686, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1, 7, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210687, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 197, 9, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210688, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 657, 59, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210689, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 787, 12, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210690, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 164, 6, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210691, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 1092, 7, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210692, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 176, 53, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210693, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 146, 13, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210694, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 417, 27, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210695, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210696, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 8653, 2, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210697, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 51, 1, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210698, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 457, 7, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210699, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 308, 11, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210700, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 889, 2, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210701, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1243, 5, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210702, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 6, 1, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210703, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 13, 3, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210704, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 319, 26, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210705, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 318, 97, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210706, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 314, 58, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210707, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 64, 1, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210708, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 196, 6, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210709, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 243, 8, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210710, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 29, 1, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210711, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 84, 1, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210712, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 115, 26, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210713, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 302, 74, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210714, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 4, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210715, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 954, 20, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210716, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210717, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 5, 16, '2024-08-05 16:08:28', NULL, NULL), (210718, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 1135, 1, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 189, 15, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 243, 8, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 70, 19, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 115, 26, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 8, 20, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 166, 15, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 124, 2, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 28, 16, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 162, 19, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 383, 9, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 197, 19, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 401, 8, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 263, 23, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 387, 20, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 255, 20, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 360, 10, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 459, 10, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 464, 19, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 223, 16, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 417, 20, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 528, 18, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 443, 18, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 210, 6, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 319, 26, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 30, 16, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 256, 11, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 274, 15, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 4, 2, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 287, 20, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 251, 11, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 64, 1, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 63, 3, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 13, 3, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 51, 1, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 1092, 7, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 457, 7, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 196, 6, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 954, 20, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 29, 1, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 197, 9, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 581, 19, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 634, 24, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 782, 16, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1243, 5, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 90, 3, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 197, 5, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 6, 1, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 195, 6, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 144, 6, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 142, 5, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 120, 6, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 364, 23, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 146, 13, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 164, 6, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 1135, 1, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 17307, 1, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210775, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 787, 12, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210776, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 84, 1, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210777, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 657, 59, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210778, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 196, 6, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210779, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 13, 3, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210780, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 164, 6, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210781, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 61, 86, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210782, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 278, 3, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210783, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 139, 28, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210784, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 308, 11, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210785, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 1135, 1, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210786, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1243, 5, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210787, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 115, 26, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210788, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 318, 97, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210789, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 29, 1, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210790, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 243, 8, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210791, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 457, 7, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210792, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 4, 2, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210793, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 6, 1, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210794, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 417, 27, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210795, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 17307, 1, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210796, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 1092, 7, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210797, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 64, 1, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210798, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 51, 1, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210799, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 319, 26, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210800, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 889, 2, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210801, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 954, 20, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210802, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 197, 9, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210803, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 146, 13, 2024, 5, 16, '2024-08-05 16:08:29', NULL, NULL), (210804, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 302, 74, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210805, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 314, 58, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210806, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 176, 53, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210807, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 1000, 7, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210808, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 4, 2, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210809, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 782, 16, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210810, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 197, 9, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210811, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 77, 2, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210812, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 90, 3, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210813, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 144, 6, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210814, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 581, 19, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210815, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 195, 6, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210816, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 634, 24, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210817, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 120, 6, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210818, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 142, 5, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210819, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 115, 26, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210820, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 84, 1, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210821, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 488, 5, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210822, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 457, 7, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210823, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 23, 1, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210824, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 954, 20, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210825, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 13, 3, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210826, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 51, 1, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210827, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 210, 6, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210828, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 223, 16, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210829, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 528, 18, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210830, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1243, 5, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210831, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 255, 20, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210832, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 164, 6, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210833, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 63, 3, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210834, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 6, 1, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210835, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 72, 5, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210836, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 413, 17, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210837, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 360, 10, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210838, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 97, 10, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210839, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 409, 16, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210840, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 243, 8, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210841, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 365, 19, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210842, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 272, 20, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210843, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 251, 11, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210844, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 459, 10, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210845, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 1135, 1, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210846, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 383, 9, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210847, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 162, 19, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210848, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 401, 8, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210849, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 197, 19, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210850, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 166, 15, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210851, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 17307, 1, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210852, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 278, 3, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210853, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 364, 23, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210854, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 64, 1, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210855, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 146, 13, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210856, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 30, 16, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210857, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 189, 15, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210858, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 803, 1, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210859, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 199, 3, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210860, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 3, 1, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210861, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 573, 3, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210862, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 196, 6, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210863, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 889, 2, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210864, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 1092, 7, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210865, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 28, 16, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210866, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 287, 20, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210867, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 124, 2, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210868, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 274, 15, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210869, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 319, 26, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210870, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 70, 19, 2024, 5, 16, '2024-08-05 16:08:30', NULL, NULL), (210871, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 29, 1, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210872, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 8, 20, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 70, 19, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 189, 15, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 30, 16, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 256, 11, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 278, 3, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 28, 16, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 8, 20, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 782, 16, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 17307, 1, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 634, 24, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 287, 20, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 274, 15, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 29, 1, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 581, 19, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 251, 11, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 63, 3, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 364, 23, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 64, 1, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 210, 6, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 223, 16, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 528, 18, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 255, 20, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 459, 10, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 383, 9, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 401, 8, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1243, 5, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 954, 20, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 197, 9, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 457, 7, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 196, 6, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 1092, 7, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 13, 3, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 4, 2, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 51, 1, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 90, 3, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 1135, 1, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 197, 19, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 417, 20, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 443, 18, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 146, 13, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 120, 6, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 319, 26, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 164, 6, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 360, 10, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 464, 19, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 195, 6, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 263, 23, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 115, 26, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 77, 2, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 243, 8, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 387, 20, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 124, 2, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 142, 5, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 162, 19, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 144, 6, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 6, 1, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 166, 15, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210930, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 364, 23, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210931, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 115, 26, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210932, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 274, 15, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210933, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 287, 20, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210934, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 72, 5, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210935, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 23, 1, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210936, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 197, 19, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210937, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 162, 19, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210938, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 166, 15, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210939, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 142, 5, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210940, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 120, 6, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210941, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 195, 6, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210942, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 144, 6, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210943, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 90, 3, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210944, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 77, 2, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210945, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 243, 8, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210946, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 63, 3, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210947, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 29, 1, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210948, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 251, 11, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210949, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 13, 3, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210950, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 51, 1, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210951, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 457, 7, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210952, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1243, 5, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210953, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 1000, 7, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210954, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 1092, 7, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210955, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 954, 20, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210956, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 30, 16, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210957, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 189, 15, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210958, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 383, 9, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210959, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 70, 19, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210960, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 401, 8, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210961, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 8, 20, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210962, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 146, 13, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210963, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 28, 16, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210964, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 6, 1, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210965, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 459, 10, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210966, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 528, 18, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210967, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 255, 20, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210968, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 164, 6, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210969, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 319, 26, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210970, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 278, 3, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210971, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 4, 2, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210972, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 223, 16, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210973, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 210, 6, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210974, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 197, 9, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210975, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 196, 6, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210976, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 64, 1, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210977, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 889, 2, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210978, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 3, 1, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210979, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 573, 3, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210980, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 1135, 1, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210981, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 581, 19, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210982, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 634, 24, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210983, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 782, 16, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210984, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 803, 1, 2024, 5, 16, '2024-08-05 16:08:32', NULL, NULL), (210985, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 199, 3, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210986, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 84, 1, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210987, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 124, 2, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210988, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 488, 5, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210989, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 17307, 1, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210990, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 365, 19, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210991, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 360, 10, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210992, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 272, 20, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210993, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 97, 10, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210994, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 413, 17, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210995, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 409, 16, 2024, 5, 16, '2024-08-05 16:08:31', NULL, NULL), (210996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 334, 118, 2024, 5, 17, '2024-08-05 16:08:35', NULL, NULL), (210997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 11, 1, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (210998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 5, 4, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (210999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 45, 91, 2024, 5, 17, '2024-08-05 16:08:35', NULL, NULL), (211000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 110, 67, 2024, 5, 17, '2024-08-05 16:08:35', NULL, NULL), (211001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 604, 152, 2024, 5, 17, '2024-08-05 16:08:35', NULL, NULL), (211002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 633, 149, 2024, 5, 17, '2024-08-05 16:08:35', NULL, NULL), (211003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 770, 5, 2024, 5, 17, '2024-08-05 16:08:35', NULL, NULL), (211004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 406, 149, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 10, 2, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 406, 224, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 241, 54, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 8, 2, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 621, 11, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 445, 33, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 5, 4, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 448, 68, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 336, 51, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 305, 88, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 367, 14, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 548, 100, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 350, 97, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211018, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 11, 1, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211019, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 407, 1, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211020, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 4, 1, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211021, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211022, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 105, 40, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211023, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 45, 91, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211024, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 770, 5, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211025, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 5, 3, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211026, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 77, 3, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211027, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 928, 10, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211028, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 519, 60, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211029, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 179, 6, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211030, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 5, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211031, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 111, 23, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211032, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 220, 6, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211033, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 179, 49, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211034, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 336, 14, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211035, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 207, 16, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211036, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 188, 3, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211037, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 343, 8, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211038, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 789, 20, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211039, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 3628, 1, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211040, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 728, 9, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211041, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 7, 8, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211042, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 359, 27, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211043, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 564, 114, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211044, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 315, 89, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211045, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 271, 6, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211046, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 832, 20, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211047, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 448, 3, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211048, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 1208, 8, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211049, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 190, 23, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211050, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 708, 54, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211051, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 10, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211052, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211053, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1343, 17, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211054, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 535, 1, 2024, 5, 17, '2024-08-05 16:08:36', NULL, NULL), (211055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 832, 20, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 10, 22, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 9, 8, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 190, 23, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 447, 1, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 232, 15, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 12, 20, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 1731, 2, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 132, 14, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 38, 18, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 115, 7, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 180, 19, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 55, 11, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 512, 42, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 252, 6, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 720, 15, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 1465, 16, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 333, 3, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 567, 17, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 1023, 18, 2024, 5, 17, '2024-08-05 16:08:37', NULL, NULL), (211075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 331, 10, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 555, 25, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 414, 12, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 359, 27, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 189, 12, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 561, 29, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 452, 3, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 770, 5, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 242, 11, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 406, 16, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 344, 39, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 7, 8, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (211087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 188, 3, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 220, 6, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 343, 8, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 271, 6, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 448, 3, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1343, 17, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 928, 10, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 382, 18, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 743, 26, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 331, 15, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B06', 11, 1, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 391, 1, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 770, 8, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 74, 6, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 95, 5, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 25, 9, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 28, 4, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 110, 7, 2024, 5, 17, '2024-08-05 16:08:39', NULL, NULL), (211105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 312, 34, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 168, 13, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 77, 3, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 336, 14, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 124, 24, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 535, 1, 2024, 5, 17, '2024-08-05 16:08:38', NULL, NULL), (211111, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 179, 6, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211112, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 1208, 8, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211113, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 528, 59, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211114, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 271, 6, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211115, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 7, 8, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211116, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 77, 3, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211117, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 111, 23, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211118, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 4, 1, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211119, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 45, 91, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211120, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 105, 40, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211121, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 789, 20, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211122, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 535, 1, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211123, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 728, 9, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211124, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 190, 23, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211125, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 564, 114, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211126, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 448, 3, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211127, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 832, 20, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211128, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 343, 8, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211129, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 770, 5, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211130, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 11, 1, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211131, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 207, 16, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211132, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 220, 6, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211133, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 188, 3, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211134, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 359, 27, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211135, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 3628, 1, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211136, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1343, 17, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211137, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 928, 10, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211138, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 336, 14, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211139, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 5, 3, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211140, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 708, 54, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211141, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 322, 87, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211142, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 182, 48, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211143, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 407, 1, 2024, 5, 17, '2024-08-05 16:08:40', NULL, NULL), (211144, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 232, 4, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211145, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 770, 5, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211146, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 928, 10, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211147, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 118, 4, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211148, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 382, 18, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211149, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 74, 6, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211150, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 28, 4, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211151, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 743, 26, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211152, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 35, 6, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211153, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 331, 15, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211154, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 168, 13, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211155, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 110, 7, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211156, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 190, 23, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211157, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 1208, 8, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211158, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 72, 2, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211159, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 343, 8, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211160, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 652, 1, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211161, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1343, 17, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211162, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 7, 8, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211163, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 188, 3, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211164, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 391, 1, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211165, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 414, 12, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211166, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 331, 10, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211167, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 770, 8, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211168, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 1465, 16, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211169, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 111, 23, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211170, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 595, 26, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211171, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 396, 5, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211172, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 586, 15, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211173, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 537, 15, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211174, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 407, 1, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211175, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 832, 20, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211176, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 720, 15, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211177, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 505, 38, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211178, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 5, 3, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211179, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B06', 11, 1, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211180, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 406, 16, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211181, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 333, 3, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211182, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 535, 1, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211183, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 115, 7, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211184, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 132, 14, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211185, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 180, 19, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211186, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 252, 6, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211187, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 232, 15, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211188, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 4, 1, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211189, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 77, 3, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211190, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 312, 34, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211191, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 786, 4, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211192, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 336, 14, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211193, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 189, 12, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211194, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 424, 2, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211195, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 10, 22, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211196, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 581, 4, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211197, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 817, 6, 2024, 5, 17, '2024-08-05 16:08:41', NULL, NULL), (211198, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 3628, 1, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211199, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 271, 6, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211200, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 220, 6, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211201, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 38, 18, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211202, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 242, 11, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211203, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 1731, 2, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211204, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 55, 11, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211205, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 452, 3, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211206, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A01', 447, 1, 2024, 5, 17, '2024-08-05 16:08:42', NULL, NULL), (211207, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 9, 8, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211208, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 359, 27, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211209, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 448, 3, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211210, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 12, 20, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211211, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 344, 39, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 9, 8, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 10, 22, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 189, 12, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 561, 29, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 5, 3, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 4, 1, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 55, 11, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 38, 18, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 12, 20, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 344, 39, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 331, 15, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 242, 11, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 452, 3, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 382, 18, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 448, 3, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 743, 26, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 406, 16, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 312, 34, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 414, 12, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 331, 10, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 1465, 16, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 333, 3, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 115, 7, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 252, 6, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 391, 1, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 770, 8, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B06', 11, 1, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1343, 17, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 928, 10, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 343, 8, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 271, 6, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 220, 6, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 7, 8, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 770, 5, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 188, 3, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A01', 447, 1, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 74, 6, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 535, 1, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 180, 19, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 77, 3, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 336, 14, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 168, 13, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 555, 25, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 567, 17, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 359, 27, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 124, 24, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 1023, 18, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 35, 6, 2024, 5, 17, '2024-08-05 16:08:43', NULL, NULL), (211260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 190, 23, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 512, 42, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 832, 20, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 720, 15, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 118, 4, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 1731, 2, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 110, 7, 2024, 5, 17, '2024-08-05 16:08:44', NULL, NULL), (211267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 132, 14, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 28, 4, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 232, 15, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211270, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 407, 1, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211271, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 312, 34, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211272, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 190, 23, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211273, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 452, 3, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211274, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 242, 11, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211275, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 595, 26, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211276, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 652, 1, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211277, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 180, 19, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211278, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 344, 39, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211279, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 132, 14, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211280, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 232, 15, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211281, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 110, 7, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211282, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 168, 13, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211283, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 35, 6, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211284, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 28, 4, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211285, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 74, 6, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211286, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 118, 4, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211287, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B06', 11, 1, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211288, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 832, 20, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211289, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 448, 3, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211290, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 406, 16, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211291, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 7, 8, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211292, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 188, 3, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211293, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 343, 8, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211294, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 5, 3, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211295, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 391, 1, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211296, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 770, 8, 2024, 5, 17, '2024-08-05 16:08:47', NULL, NULL), (211297, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 232, 4, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211298, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 220, 6, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211299, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1343, 17, 2024, 5, 17, '2024-08-05 16:08:47', NULL, NULL), (211300, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 189, 12, 2024, 5, 17, '2024-08-05 16:08:47', NULL, NULL), (211301, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 10, 22, 2024, 5, 17, '2024-08-05 16:08:47', NULL, NULL), (211302, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 9, 8, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211303, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 115, 7, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211304, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 12, 20, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211305, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 252, 6, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211306, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 336, 14, 2024, 5, 17, '2024-08-05 16:08:47', NULL, NULL), (211307, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 38, 18, 2024, 5, 17, '2024-08-05 16:08:47', NULL, NULL), (211308, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 333, 3, 2024, 5, 17, '2024-08-05 16:08:47', NULL, NULL), (211309, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 55, 11, 2024, 5, 17, '2024-08-05 16:08:47', NULL, NULL), (211310, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 77, 3, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211311, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 331, 10, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211312, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 1465, 16, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211313, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 111, 23, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211314, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 4, 1, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211315, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 359, 27, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211316, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 770, 5, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211317, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 928, 10, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211318, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 414, 12, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211319, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 271, 6, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211320, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 3628, 1, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211321, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 382, 18, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211322, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 817, 6, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211323, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 535, 1, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211324, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 743, 26, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211325, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 786, 4, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211326, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 331, 15, 2024, 5, 17, '2024-08-05 16:08:47', NULL, NULL), (211327, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 424, 2, 2024, 5, 17, '2024-08-05 16:08:47', NULL, NULL), (211328, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 581, 4, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211329, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 1731, 2, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211330, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 72, 2, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211331, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A01', 447, 1, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211332, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 1208, 8, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211333, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 720, 15, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211334, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 586, 15, 2024, 5, 17, '2024-08-05 16:08:45', NULL, NULL), (211335, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 505, 38, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211336, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 537, 15, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211337, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 396, 5, 2024, 5, 17, '2024-08-05 16:08:46', NULL, NULL), (211338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 6, 1, 2024, 5, 18, '2024-08-05 16:08:51', NULL, NULL), (211339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1651, 37, 2024, 5, 18, '2024-08-05 16:08:51', NULL, NULL), (211340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 1213, 45, 2024, 5, 18, '2024-08-05 16:08:51', NULL, NULL), (211341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 675, 5, 2024, 5, 18, '2024-08-05 16:08:51', NULL, NULL), (211342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 1050, 3, 2024, 5, 18, '2024-08-05 16:08:51', NULL, NULL), (211343, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2024, 5, 18, '2024-08-05 16:08:51', NULL, NULL), (211344, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2024, 5, 18, '2024-08-05 16:08:51', NULL, NULL), (211345, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 2287, 1, 2024, 5, 18, '2024-08-05 16:08:51', NULL, NULL), (211346, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 0, 1, 2024, 5, 18, '2024-08-05 16:08:51', NULL, NULL), (211347, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1633, 36, 2024, 5, 18, '2024-08-05 16:08:51', NULL, NULL), (211348, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 11, 2024, 5, 18, '2024-08-05 16:08:52', NULL, NULL), (211349, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 6, 1, 2024, 5, 18, '2024-08-05 16:08:52', NULL, NULL), (211350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1633, 36, 2024, 5, 18, '2024-08-05 16:08:52', NULL, NULL), (211351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 6, 1, 2024, 5, 18, '2024-08-05 16:08:52', NULL, NULL), (211352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D14', 2287, 1, 2024, 5, 18, '2024-08-05 16:08:52', NULL, NULL), (211353, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '', 2287, 1, 2024, 5, 18, '2024-08-05 16:08:52', NULL, NULL), (211354, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 6, 1, 2024, 5, 18, '2024-08-05 16:08:52', NULL, NULL), (211355, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1633, 36, 2024, 5, 18, '2024-08-05 16:08:52', NULL, NULL), (211356, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '3D14', 2287, 1, 2024, 5, 18, '2024-08-05 16:08:52', NULL, NULL), (211357, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1633, 36, 2024, 5, 18, '2024-08-05 16:08:52', NULL, NULL), (211358, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 6, 1, 2024, 5, 18, '2024-08-05 16:08:52', NULL, NULL), (211359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 6, 1, 2024, 5, 18, '2024-08-05 16:08:52', NULL, NULL), (211360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1633, 36, 2024, 5, 18, '2024-08-05 16:08:53', NULL, NULL), (211361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D14', 2287, 1, 2024, 5, 18, '2024-08-05 16:08:52', NULL, NULL), (211362, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '3D14', 2287, 1, 2024, 5, 18, '2024-08-05 16:08:53', NULL, NULL), (211363, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1633, 36, 2024, 5, 18, '2024-08-05 16:08:53', NULL, NULL), (211364, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 6, 1, 2024, 5, 18, '2024-08-05 16:08:53', NULL, NULL), (211365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1955, 39, 2024, 5, 19, '2024-08-05 16:08:57', NULL, NULL), (211366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 1687, 35, 2024, 5, 19, '2024-08-05 16:08:57', NULL, NULL), (211367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 3736, 1, 2024, 5, 19, '2024-08-05 16:08:57', NULL, NULL), (211368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 719, 2, 2024, 5, 19, '2024-08-05 16:08:57', NULL, NULL), (211369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 2397, 2, 2024, 5, 19, '2024-08-05 16:08:57', NULL, NULL), (211370, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2024, 5, 19, '2024-08-05 16:08:57', NULL, NULL), (211371, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2024, 5, 19, '2024-08-05 16:08:57', NULL, NULL), (211372, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 489, 6, 2024, 5, 19, '2024-08-05 16:08:57', NULL, NULL), (211373, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 2157, 34, 2024, 5, 19, '2024-08-05 16:08:57', NULL, NULL), (211374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 2222, 33, 2024, 5, 19, '2024-08-05 16:08:57', NULL, NULL), (211375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 796, 2, 2024, 5, 19, '2024-08-05 16:08:57', NULL, NULL), (211376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 336, 4, 2024, 5, 19, '2024-08-05 16:08:58', NULL, NULL), (211377, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 489, 6, 2024, 5, 19, '2024-08-05 16:08:58', NULL, NULL), (211378, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 2222, 33, 2024, 5, 19, '2024-08-05 16:08:58', NULL, NULL), (211379, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 796, 2, 2024, 5, 19, '2024-08-05 16:08:58', NULL, NULL), (211380, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 336, 4, 2024, 5, 19, '2024-08-05 16:08:58', NULL, NULL), (211381, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 2222, 33, 2024, 5, 19, '2024-08-05 16:08:58', NULL, NULL), (211382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 2222, 33, 2024, 5, 19, '2024-08-05 16:08:58', NULL, NULL), (211383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 336, 4, 2024, 5, 19, '2024-08-05 16:08:58', NULL, NULL), (211384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 796, 2, 2024, 5, 19, '2024-08-05 16:08:58', NULL, NULL), (211385, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 2222, 33, 2024, 5, 19, '2024-08-05 16:08:58', NULL, NULL), (211386, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 796, 2, 2024, 5, 19, '2024-08-05 16:08:58', NULL, NULL), (211387, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 336, 4, 2024, 5, 19, '2024-08-05 16:08:58', NULL, NULL), (211388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 489, 100, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 7170, 2, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 19, 94, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 537, 50, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 611, 131, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 293, 110, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 2971, 11, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 674, 211, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 127, 4, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 437, 246, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 566, 51, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 25, 3, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 581, 5, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 424, 39, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 4780, 3, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 582, 55, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 381, 69, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 400, 89, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1448, 24, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 359, 86, 2024, 5, 20, '2024-08-05 16:09:01', NULL, NULL), (211408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 736, 65, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211409, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '', 0, 1, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211410, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 4780, 3, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211411, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 19, 94, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211412, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211413, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 25, 21, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211414, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2971, 11, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211415, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 428, 2, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211416, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 530, 6, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211417, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 533, 87, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211418, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211419, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 487, 6, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211420, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 462, 10, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211421, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 197, 24, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211422, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 723, 46, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211423, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 5874, 8, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211424, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 137, 23, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211425, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 5185, 4, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211426, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 11, 5, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211427, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 189, 9, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211428, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 387, 15, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211429, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211430, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 95, 5, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211431, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1230, 5, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211432, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 605, 1, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211433, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 310, 24, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211434, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 294, 88, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211435, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 465, 97, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211436, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 6, 1, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211437, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 388, 10, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211438, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1882, 27, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211439, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 151, 8, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211440, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 215, 20, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211441, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 168, 53, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211442, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211443, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 452, 14, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211444, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 9, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 21, 20, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 388, 10, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 17, 20, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 215, 20, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 12, 18, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 629, 2, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 22, 10, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 616, 27, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 282, 8, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 16, 20, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 875, 19, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 90, 9, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 351, 34, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 223, 8, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 239, 22, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 15, 6, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 237, 7, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 282, 18, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 183, 13, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 144, 18, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 190, 17, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 131, 12, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 52, 6, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 310, 24, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 769, 4, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 2971, 11, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 794, 38, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 186, 6, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 227, 34, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 86, 2, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 605, 1, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 11, 5, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 487, 6, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 189, 9, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 6, 1, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 452, 14, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1882, 27, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 530, 6, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 653, 31, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 359, 36, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 673, 19, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 410, 1, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 4, 1, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1537, 4, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 1795, 8, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 3, 3, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 78, 2, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 63, 3, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 288, 25, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (211494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 22, 7, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 428, 2, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 5874, 8, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 197, 24, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 6913, 3, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211499, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 462, 10, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211500, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 151, 8, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211501, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 533, 87, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211502, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 6, 1, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211503, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 605, 1, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211504, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 428, 2, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211505, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 197, 24, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211506, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 7170, 2, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211507, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 19, 94, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211508, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 25, 21, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211509, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 380, 12, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211510, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1230, 5, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211511, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 215, 20, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211512, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 285, 75, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211513, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1882, 27, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211514, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 388, 10, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211515, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 189, 9, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211516, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 2971, 11, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211517, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 137, 23, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211518, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 487, 6, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211519, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 6913, 3, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211520, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 11, 5, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211521, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 310, 24, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211522, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 95, 5, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211523, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 452, 14, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211524, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 530, 6, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211525, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 5874, 8, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211526, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 168, 53, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211527, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 465, 97, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211528, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 723, 46, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211529, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 337, 7, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211530, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 2971, 11, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211531, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 410, 1, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211532, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 530, 6, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211533, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 3, 3, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211534, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 653, 31, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211535, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 6, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211536, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 359, 36, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211537, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 63, 3, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211538, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 673, 19, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211539, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 78, 2, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211540, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 22, 7, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211541, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 215, 20, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211542, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 161, 2, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211543, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 148, 6, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211544, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 752, 3, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211545, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 189, 9, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211546, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 452, 14, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211547, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 605, 1, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211548, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 11, 5, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211549, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 4, 1, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211550, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 131, 12, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211551, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 237, 7, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211552, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 144, 18, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211553, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1537, 4, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211554, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 223, 8, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211555, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 197, 24, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211556, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 86, 2, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211557, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 821, 1, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211558, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 484, 5, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211559, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 250, 20, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211560, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 93, 9, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211561, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 170, 10, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211562, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 388, 10, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211563, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 353, 30, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211564, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 186, 6, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211565, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 15, 6, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211566, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 282, 8, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211567, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 616, 27, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211568, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 90, 9, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211569, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 875, 19, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211570, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 6913, 3, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211571, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 7170, 2, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211572, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 428, 2, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211573, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 288, 25, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211574, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 651, 2, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211575, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 5874, 8, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211576, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 52, 6, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211577, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 133, 2, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211578, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 21, 20, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211579, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 335, 4, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211580, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 35, 1, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211581, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 364, 1, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211582, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 6, 1, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211583, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 95, 5, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211584, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 487, 6, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211585, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 22, 10, 2024, 5, 20, '2024-08-05 16:09:02', NULL, NULL), (211586, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 794, 38, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211587, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 629, 2, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211588, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 16, 20, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211589, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 17, 20, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211590, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 310, 24, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211591, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 12, 18, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211592, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 227, 34, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211593, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1882, 27, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 7170, 2, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 17, 20, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 21, 20, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 52, 6, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 769, 4, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 16, 20, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 22, 10, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 12, 18, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 227, 34, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 410, 1, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 6913, 3, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 794, 38, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 653, 31, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1882, 27, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 673, 19, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 359, 36, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 186, 6, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 86, 2, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 288, 25, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 131, 12, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 237, 7, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 144, 18, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 223, 8, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 15, 6, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 282, 8, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 90, 9, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 4, 1, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1537, 4, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 452, 14, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 530, 6, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 189, 9, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 6, 1, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 487, 6, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 605, 1, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 11, 5, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 2971, 11, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 6, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 875, 19, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 428, 2, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 183, 13, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 5874, 8, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 190, 17, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 22, 7, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 239, 22, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 310, 24, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 197, 24, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 282, 18, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 351, 34, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 78, 2, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 215, 20, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 3, 3, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 388, 10, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 629, 2, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 616, 27, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 63, 3, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211649, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 288, 25, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211650, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 215, 20, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211651, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 794, 38, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211652, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 821, 1, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211653, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 227, 34, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211654, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 875, 19, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211655, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 616, 27, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211656, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 22, 7, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211657, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 78, 2, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211658, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 63, 3, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211659, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 6, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211660, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 3, 3, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211661, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 388, 10, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211662, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 86, 2, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211663, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1882, 27, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211664, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 605, 1, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211665, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 186, 6, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211666, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 11, 5, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211667, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 189, 9, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211668, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 4, 1, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211669, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1537, 4, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211670, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 487, 6, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211671, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 337, 7, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211672, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 452, 14, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211673, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 52, 6, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211674, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 21, 20, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211675, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 282, 8, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211676, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 17, 20, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211677, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 12, 18, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211678, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 90, 9, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211679, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 5874, 8, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211680, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 22, 10, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211681, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 15, 6, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211682, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 16, 20, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211683, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 428, 2, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211684, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 7170, 2, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211685, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 144, 18, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211686, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 223, 8, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211687, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 197, 24, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211688, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 310, 24, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211689, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 2971, 11, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211690, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 131, 12, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211691, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 237, 7, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211692, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 530, 6, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211693, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 6, 1, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211694, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 95, 5, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211695, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 653, 31, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211696, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 35, 1, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211697, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 359, 36, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211698, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 364, 1, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211699, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 673, 19, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211700, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 651, 2, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211701, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 133, 2, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211702, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 410, 1, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211703, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 161, 2, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211704, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 335, 4, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211705, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 629, 2, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211706, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 752, 3, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211707, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 148, 6, 2024, 5, 20, '2024-08-05 16:09:04', NULL, NULL), (211708, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 6913, 3, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211709, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 250, 20, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211710, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 353, 30, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211711, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 93, 9, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211712, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 484, 5, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211713, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 170, 10, 2024, 5, 20, '2024-08-05 16:09:03', NULL, NULL), (211714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 305, 143, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2994, 6, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 58, 78, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 108, 43, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 5278, 3, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 641, 137, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 209, 140, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 2406, 9, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 360, 136, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 119, 2, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 324, 248, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 304, 35, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 262, 6, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 1083, 43, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 2106, 9, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 160, 58, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 209, 33, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 249, 83, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1676, 23, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 230, 100, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 250, 63, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211735, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 600, 1, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211736, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 44, 3, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211737, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 58, 27, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211738, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 58, 78, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211739, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2406, 9, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211740, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 5945, 3, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211741, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 19, 1, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211742, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 6104, 7, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211743, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 154, 62, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211744, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 606, 12, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211745, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 203, 12, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211746, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 1097, 10, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211747, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 268, 76, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211748, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 243, 7, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211749, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 259, 17, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211750, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 6, 2, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211751, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 173, 4, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211752, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 5, 1, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211753, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 356, 11, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211754, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 96, 13, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211755, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 433, 3, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211756, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 545, 6, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211757, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 104, 3, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211758, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 472, 25, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211759, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 155, 97, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211760, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 342, 72, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211761, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 0, 2, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211762, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 42, 1, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211763, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 73, 17, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211764, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 7368, 2, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211765, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 392, 26, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211766, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 266, 17, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211767, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 29, 45, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211768, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 9, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211769, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 7, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211770, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 662, 24, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211771, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211772, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 2574, 1, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211773, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 2, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 78, 16, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 58, 11, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 392, 26, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 63, 10, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 254, 28, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 45, 19, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 3, 1, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 282, 27, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 89, 15, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 59, 7, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 23, 3, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 269, 21, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 54, 20, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 487, 7, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 176, 48, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 22, 5, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 139, 24, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 133, 7, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 195, 15, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 27, 16, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 797, 27, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 32, 9, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 339, 18, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 26, 8, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 472, 25, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 4, 3, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 793, 3, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 345, 23, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1346, 1, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 331, 27, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 39, 2, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 2539, 8, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 352, 22, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 40, 5, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 104, 3, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 173, 4, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 1097, 10, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 356, 11, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 42, 1, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 662, 24, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 7368, 2, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 6104, 7, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 184, 21, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 106, 18, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 198, 14, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 112, 9, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 545, 6, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 24, 7, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 34, 6, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 2251, 8, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 161, 7, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 5, 1, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 6, 5, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 19, 1, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 243, 7, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 234, 13, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 2574, 1, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B15', 6, 2, 2024, 5, 21, '2024-08-05 16:09:05', NULL, NULL), (211832, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 606, 12, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211833, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 266, 17, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211834, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 154, 62, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211835, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 42, 1, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211836, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 104, 3, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211837, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 19, 1, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211838, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 203, 12, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211839, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 44, 3, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211840, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 58, 78, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211841, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 58, 27, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211842, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 96, 13, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211843, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 2574, 1, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211844, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 545, 6, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211845, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 392, 26, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211846, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 158, 95, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211847, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 7368, 2, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211848, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 78, 16, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211849, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 356, 11, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211850, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 2406, 9, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211851, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 259, 17, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211852, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 6, 2, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211853, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 1097, 10, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211854, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 173, 4, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211855, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 472, 25, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211856, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 433, 3, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211857, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 5, 1, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211858, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 662, 24, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211859, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 6104, 7, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211860, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 243, 7, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211861, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 5945, 3, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211862, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 29, 45, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211863, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 342, 72, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211864, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 268, 76, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211865, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 600, 1, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211866, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 543, 9, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211867, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 2539, 8, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211868, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1346, 1, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211869, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 6104, 7, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211870, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 34, 6, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211871, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 184, 21, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211872, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 106, 18, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211873, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 9, 4, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211874, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 161, 7, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211875, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 198, 14, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211876, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 112, 9, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211877, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 35, 5, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211878, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 6, 5, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211879, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 392, 26, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211880, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 282, 16, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211881, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 6, 1, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211882, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 793, 3, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211883, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 356, 11, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211884, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 662, 24, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211885, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 173, 4, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211886, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 104, 3, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211887, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 26, 8, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211888, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 27, 16, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211889, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 32, 9, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211890, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 22, 5, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211891, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 545, 6, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211892, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 203, 12, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211893, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 40, 5, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211894, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 161, 10, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211895, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 5, 1, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211896, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 151, 8, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211897, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 164, 7, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (211898, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 59, 7, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211899, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 600, 1, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211900, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 78, 16, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211901, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 124, 20, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211902, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 189, 43, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211903, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 5945, 3, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211904, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 39, 2, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211905, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 133, 7, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211906, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 2574, 1, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211907, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 23, 3, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211908, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 282, 27, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211909, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 487, 7, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211910, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 269, 21, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211911, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 254, 28, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211912, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B15', 6, 2, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211913, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 44, 3, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211914, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 19, 1, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211915, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 10, 1, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211916, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 243, 7, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211917, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 4, 3, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211918, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 58, 11, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211919, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 216, 4, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211920, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 66, 5, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211921, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 6, 1, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211922, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 35, 1, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211923, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 433, 3, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211924, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 42, 1, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211925, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 1097, 10, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211926, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 331, 27, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211927, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 89, 15, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211928, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 3, 1, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211929, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 345, 23, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211930, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 54, 20, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211931, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 472, 25, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211932, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 63, 10, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211933, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 7368, 2, 2024, 5, 21, '2024-08-05 16:09:06', NULL, NULL), (211934, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 352, 22, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211935, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 45, 19, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 44, 3, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 63, 10, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 58, 11, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 4, 3, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 793, 3, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 5945, 3, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 54, 20, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 89, 15, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 45, 19, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 352, 22, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 112, 9, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 331, 27, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 345, 23, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 184, 21, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 7368, 2, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 198, 14, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B15', 6, 2, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 106, 18, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 39, 2, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 40, 5, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 5278, 3, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 26, 8, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 27, 16, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 32, 9, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 22, 5, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 133, 7, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 23, 3, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 487, 7, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 545, 6, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 2539, 8, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 662, 24, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 6104, 7, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 356, 11, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 42, 1, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 1097, 10, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 104, 3, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 173, 4, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1346, 1, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 9, 4, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 2574, 1, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 269, 21, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 19, 1, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 237, 24, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 6, 5, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 243, 7, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 339, 18, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 472, 25, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 234, 13, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 195, 15, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 5, 1, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 392, 26, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 176, 48, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 35, 5, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 34, 6, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 78, 16, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 139, 24, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 3, 1, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 282, 27, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 59, 7, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 161, 7, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 254, 28, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (211997, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 600, 1, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (211998, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 392, 26, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (211999, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 345, 23, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212000, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 331, 27, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212001, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 269, 21, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (212002, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 352, 22, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (212003, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 282, 27, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (212004, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 254, 28, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212005, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 6, 5, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212006, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 35, 5, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212007, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 161, 7, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212008, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 9, 4, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (212009, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 34, 6, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (212010, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 78, 16, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212011, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 40, 5, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212012, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 7368, 2, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212013, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 39, 2, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212014, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 104, 3, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212015, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 173, 4, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (212016, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 5945, 3, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (212017, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 356, 11, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212018, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 545, 6, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212019, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 543, 9, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212020, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 1097, 10, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212021, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 4, 3, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212022, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 662, 24, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212023, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 58, 11, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212024, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 23, 3, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212025, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 63, 10, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212026, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 487, 7, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212027, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 45, 19, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212028, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 243, 7, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212029, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 89, 15, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212030, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 133, 7, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212031, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 54, 20, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212032, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 19, 1, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212033, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 44, 3, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (212034, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 32, 9, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212035, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 22, 5, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212036, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 203, 12, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (212037, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 472, 25, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (212038, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 2539, 8, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212039, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1346, 1, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212040, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 26, 8, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212041, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 27, 16, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212042, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 6104, 7, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212043, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 42, 1, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212044, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 433, 3, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212045, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 184, 21, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (212046, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 6, 1, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (212047, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 106, 18, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212048, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 35, 1, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212049, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 2574, 1, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212050, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 198, 14, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212051, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 10, 1, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212052, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 112, 9, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212053, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 216, 4, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212054, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 282, 16, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212055, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 66, 5, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212056, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 3, 1, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212057, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 793, 3, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212058, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 6, 1, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212059, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 124, 20, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (212060, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 59, 7, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (212061, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B15', 6, 2, 2024, 5, 21, '2024-08-05 16:09:07', NULL, NULL), (212062, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 5, 1, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212063, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 189, 43, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212064, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 151, 8, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212065, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 161, 10, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212066, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 164, 7, 2024, 5, 21, '2024-08-05 16:09:08', NULL, NULL), (212067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 675, 131, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1211, 8, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 52, 89, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 12, 1, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 75, 26, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 456, 157, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 294, 141, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 1518, 1, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 4872, 5, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 259, 116, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 16, 4, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 145, 9, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 323, 191, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 909, 30, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 358, 18, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 284, 45, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 543, 25, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 269, 81, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 263, 31, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 392, 103, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 192, 84, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1497, 18, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 560, 62, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212090, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 1076, 9, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212091, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 4, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212092, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 52, 89, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212093, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 45, 18, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212094, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 4872, 5, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212095, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 1, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212096, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 12, 1, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212097, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 34, 4, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212098, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 86, 53, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212099, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 10, 4, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212100, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 397, 13, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212101, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 142, 8, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212102, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212103, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 976, 73, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212104, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 17, 7, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212105, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 458, 24, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212106, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 3, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212107, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1095, 4, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212108, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 548, 16, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212109, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 411, 6, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212110, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 54, 2, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212111, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 101, 13, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212112, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 249, 3, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212113, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 10, 4, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212114, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 303, 28, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212115, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 262, 111, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212116, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 404, 63, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212117, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 4, 1, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212118, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 16, 4, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212119, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 6, 8, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212120, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 511, 9, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212121, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 346, 25, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212122, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 73, 56, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212123, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212124, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 12, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212125, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 602, 19, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212126, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 1518, 1, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212127, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 14813, 2, 2024, 5, 22, '2024-08-05 16:09:09', NULL, NULL), (212128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 7, 7, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 79, 14, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 38, 17, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 346, 25, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 81, 18, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 615, 17, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 29, 10, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 981, 2, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 1252, 25, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 26, 16, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 247, 19, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 452, 9, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 984, 30, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 275, 38, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 377, 10, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 77, 11, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 238, 27, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 631, 5, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 44, 13, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 300, 21, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 436, 15, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 105, 9, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 315, 21, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 49, 8, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 52, 14, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 314, 27, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 126, 17, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 930, 2, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 299, 5, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 7500, 3, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 75, 4, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 167, 21, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 16, 4, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 92, 11, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 10, 4, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1095, 4, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 14813, 2, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 10, 4, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 548, 16, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 4, 1, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 602, 19, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 34, 4, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 119, 14, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 80, 16, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 74, 17, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 53, 6, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 101, 13, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 926, 11, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 4, 1, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 4, 3, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 5, 3, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 372, 2, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 39, 7, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 4, 2, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 918, 20, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 17, 7, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 142, 8, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212185, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 397, 13, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212186, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 511, 9, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212187, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 86, 53, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212188, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 4, 1, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212189, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 10, 4, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212190, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 142, 8, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212191, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 52, 89, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212192, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 1211, 8, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212193, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 45, 18, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212194, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 411, 6, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212195, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 101, 13, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212196, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 346, 25, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212197, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 262, 111, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212198, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 7, 7, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212199, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 548, 16, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212200, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 4872, 5, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212201, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 249, 3, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212202, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 458, 24, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212203, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 10, 4, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212204, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 12, 1, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212205, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 16, 4, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212206, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1095, 4, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212207, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 314, 27, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212208, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 54, 2, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212209, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 602, 19, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212210, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', '', 1518, 1, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212211, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 34, 4, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212212, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 17, 7, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212213, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 73, 56, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212214, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 404, 63, 2024, 5, 22, '2024-08-05 16:09:10', NULL, NULL), (212215, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 14813, 2, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212216, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 990, 72, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212217, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 397, 13, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212218, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 7500, 3, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212219, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 930, 2, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212220, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 34, 4, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212221, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 4, 3, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212222, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 119, 14, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212223, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 80, 16, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212224, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 167, 3, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212225, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 1518, 1, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212226, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 39, 7, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212227, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 74, 17, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212228, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 53, 6, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212229, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 5, 3, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212230, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 4, 2, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212231, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 346, 25, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212232, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 511, 9, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212233, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 548, 16, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212234, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 12, 1, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212235, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 14813, 2, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212236, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 602, 19, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212237, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 10, 4, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212238, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1095, 4, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212239, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 49, 8, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212240, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 44, 13, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212241, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 105, 9, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212242, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 101, 13, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212243, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 77, 11, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212244, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 142, 8, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212245, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 92, 11, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212246, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 4, 1, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212247, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 372, 2, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212248, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 326, 19, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212249, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 204, 7, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212250, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 344, 5, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212251, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 235, 18, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212252, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 7, 7, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212253, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 238, 27, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212254, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 261, 35, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212255, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 75, 4, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212256, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 631, 5, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212257, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 452, 9, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212258, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 1252, 25, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212259, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 377, 10, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212260, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 984, 30, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212261, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 615, 17, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212262, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 1211, 8, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212263, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 918, 20, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212264, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 16, 4, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212265, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 17, 7, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212266, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 52, 14, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212267, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 79, 14, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212268, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 446, 3, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212269, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 225, 1, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212270, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 4, 1, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212271, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 54, 2, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212272, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 10, 4, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212273, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 463, 1, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212274, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 29, 10, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212275, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 299, 5, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212276, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 126, 17, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212277, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 444, 1, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212278, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 26, 16, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212279, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 38, 17, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212280, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 314, 27, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212281, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 167, 21, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212282, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 81, 18, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 38, 17, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 1211, 8, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 79, 14, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 52, 14, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 26, 16, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 29, 10, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 81, 18, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 167, 21, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 53, 6, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 299, 5, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 126, 17, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 119, 14, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 74, 17, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 80, 16, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 75, 4, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 92, 11, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 918, 20, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 16, 4, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 12, 1, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 49, 8, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 44, 13, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 105, 9, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 77, 11, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (212306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 631, 5, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 452, 9, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 377, 10, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 101, 13, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A02', 1518, 1, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 7500, 3, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 602, 19, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 34, 4, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 548, 16, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 4, 1, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 14813, 2, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 10, 4, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 10, 4, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 930, 2, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1095, 4, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 167, 3, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 984, 30, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 436, 15, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 4, 2, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 17, 7, 2024, 5, 22, '2024-08-05 16:09:11', NULL, NULL), (212326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 330, 20, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 142, 8, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 314, 27, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 300, 21, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 5, 3, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 275, 38, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 346, 25, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 7, 7, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 4, 3, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 238, 27, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 4, 1, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 444, 1, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 1252, 25, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 372, 2, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 39, 7, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 247, 19, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 615, 17, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212343, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 918, 20, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212344, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 346, 25, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212345, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 126, 17, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212346, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 299, 5, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212347, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 14813, 2, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212348, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 167, 21, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212349, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 984, 30, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212350, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 1252, 25, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212351, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 615, 17, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212352, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 4, 2, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212353, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 5, 3, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212354, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 39, 7, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212355, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 167, 3, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212356, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 4, 3, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212357, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 7, 7, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212358, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 92, 11, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212359, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 10, 4, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212360, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 75, 4, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212361, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1095, 4, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212362, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 548, 16, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212363, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 12, 1, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212364, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', 'A02', 1518, 1, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212365, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 101, 13, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212366, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 4, 1, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212367, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 10, 4, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212368, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 397, 13, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212369, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 52, 14, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212370, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 602, 19, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212371, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 79, 14, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212372, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 38, 17, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212373, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 452, 9, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212374, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 81, 18, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212375, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 377, 10, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212376, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 29, 10, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212377, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 17, 7, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212378, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 26, 16, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212379, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 372, 2, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212380, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 631, 5, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212381, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 1211, 8, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212382, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 105, 9, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212383, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 77, 11, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212384, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 142, 8, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212385, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 314, 27, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212386, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 7500, 3, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212387, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 930, 2, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212388, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 49, 8, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212389, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 44, 13, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212390, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 34, 4, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212391, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 4, 1, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212392, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 16, 4, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212393, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 54, 2, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212394, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 119, 14, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212395, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 80, 16, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212396, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 225, 1, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212397, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 74, 17, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212398, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 53, 6, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212399, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 446, 3, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212400, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 511, 9, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212401, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 463, 1, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212402, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 444, 1, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212403, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 238, 27, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212404, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 235, 18, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212405, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 261, 35, 2024, 5, 22, '2024-08-05 16:09:12', NULL, NULL), (212406, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 204, 7, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212407, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 326, 19, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212408, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 344, 5, 2024, 5, 22, '2024-08-05 16:09:13', NULL, NULL), (212409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 398, 148, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 324, 9, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 114, 75, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 23, 32, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 470, 148, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 192, 115, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 452, 6, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 425, 138, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 11, 2, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 394, 13, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 347, 222, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 180, 25, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 252, 8, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 229, 44, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 268, 12, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 357, 100, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 162, 36, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 367, 77, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 442, 22, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 311, 66, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 299, 66, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212430, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212431, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 471, 3, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212432, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212433, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 21, 24, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212434, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 113, 76, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212435, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 387, 7, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212436, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 276, 5, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212437, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 421, 13, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212438, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 703, 56, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212439, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212440, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 27, 8, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212441, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 281, 10, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212442, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 290, 6, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212443, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 372, 79, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212444, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 436, 6, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212445, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 842, 20, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212446, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 130, 1, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212447, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 4, 1, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212448, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 252, 15, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212449, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 114, 7, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212450, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 371, 3, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212451, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 7, 1, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212452, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 147, 16, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212453, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 767, 3, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212454, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 642, 19, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212455, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 184, 92, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212456, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 231, 83, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212457, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 11, 2, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212458, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 604, 3, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212459, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 122, 23, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212460, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 134, 3, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212461, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 467, 31, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212462, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 104, 49, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212463, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 5, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212464, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212465, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1374, 20, 2024, 5, 23, '2024-08-05 16:09:14', NULL, NULL), (212466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 192, 8, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 122, 23, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 25, 11, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 467, 31, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 176, 17, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 320, 19, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 124, 11, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 458, 34, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 351, 22, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1662, 5, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 188, 17, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 69, 15, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 139, 21, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 774, 9, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 99, 7, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 223, 17, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 260, 6, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 218, 18, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 95, 12, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 134, 17, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 25, 7, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 463, 4, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 238, 25, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 50, 8, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 104, 13, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 642, 19, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 150, 8, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 321, 3, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 195, 27, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 582, 3, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 312, 25, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 37, 5, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 11, 2, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 113, 6, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 767, 3, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 4, 1, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 290, 6, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 252, 15, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 604, 3, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1552, 13, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1360, 10, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 421, 13, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 647, 17, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 593, 23, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 228, 5, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 2435, 3, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 120, 1, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 149, 15, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 161, 9, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 3, 2, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 7, 1, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 158, 10, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 24, 7, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 27, 4, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 215, 23, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 130, 1, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 27, 8, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 524, 5, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212524, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 281, 10, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212525, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 134, 3, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212526, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 716, 55, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212527, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 604, 3, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212528, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 767, 3, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212529, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 27, 8, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212530, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 471, 3, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212531, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 114, 75, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212532, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 21, 24, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212533, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 114, 7, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212534, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 147, 16, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212535, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 467, 31, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212536, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 184, 92, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212537, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 122, 23, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212538, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 252, 15, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212539, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 7, 1, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212540, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 452, 6, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212541, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 842, 20, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212542, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '区退役军人局', '', '', 130, 1, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212543, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 290, 6, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212544, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 4, 1, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212545, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 11, 2, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212546, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 642, 19, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212547, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 371, 3, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212548, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1717, 16, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212549, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 421, 13, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212550, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 524, 5, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212551, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 276, 5, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212552, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 104, 49, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212553, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 231, 83, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212554, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 392, 75, 2024, 5, 23, '2024-08-05 16:09:15', NULL, NULL), (212555, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 281, 10, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212556, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 582, 3, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212557, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 321, 3, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212558, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 228, 5, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212559, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 421, 13, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212560, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 3, 2, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212561, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1360, 10, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212562, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 6, 6, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212563, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 647, 17, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212564, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 24, 7, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212565, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 593, 23, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212566, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 40, 5, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212567, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 27, 4, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212568, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 467, 31, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212569, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 134, 3, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212570, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 252, 15, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212571, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1552, 13, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212572, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', 'B07', 130, 1, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212573, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 767, 3, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212574, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 4, 1, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212575, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 120, 1, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212576, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 463, 4, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212577, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 50, 8, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212578, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 95, 12, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212579, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 25, 7, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212580, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 99, 7, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212581, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 149, 15, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212582, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 27, 8, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212583, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 2435, 3, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212584, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 113, 6, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212585, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 7, 1, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212586, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 175, 14, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212587, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 241, 13, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212588, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 135, 14, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212589, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 199, 15, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212590, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 226, 16, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212591, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 122, 23, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212592, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 145, 20, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212593, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 276, 5, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212594, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 37, 5, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212595, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 260, 6, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212596, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1662, 5, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212597, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 458, 34, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212598, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 351, 22, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212599, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 774, 9, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212600, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 320, 19, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212601, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 471, 3, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212602, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 215, 23, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212603, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 11, 2, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212604, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 360, 1, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212605, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 104, 13, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212606, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 524, 5, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212607, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 192, 8, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212608, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 189, 1, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212609, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 21, 1, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212610, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 8, 2, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212611, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 604, 3, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212612, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 371, 3, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212613, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 290, 6, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212614, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 108, 2, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212615, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 124, 11, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212616, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 195, 27, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212617, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 150, 8, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212618, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 69, 15, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212619, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 25, 11, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212620, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 642, 19, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212621, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 312, 25, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212622, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 176, 17, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 25, 11, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 471, 3, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 192, 8, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 104, 13, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 276, 5, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 69, 15, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 124, 11, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 176, 17, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 312, 25, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 228, 5, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B07', 130, 1, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 195, 27, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 150, 8, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 1360, 10, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 593, 23, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 647, 17, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 37, 5, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 113, 6, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 215, 23, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 11, 2, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 463, 4, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 50, 8, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 95, 12, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 25, 7, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 99, 7, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 260, 6, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1662, 5, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 774, 9, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 120, 1, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 149, 15, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 2435, 3, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 582, 3, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1552, 13, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 421, 13, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 252, 15, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 604, 3, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 290, 6, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 767, 3, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 4, 1, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 321, 3, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 6, 6, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 351, 22, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 134, 17, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 27, 4, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 524, 5, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 238, 25, 2024, 5, 23, '2024-08-05 16:09:16', NULL, NULL), (212669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 27, 8, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 642, 19, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 218, 18, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 40, 5, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 139, 21, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 467, 31, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 3, 2, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 223, 17, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 122, 23, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 7, 1, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 458, 34, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 24, 7, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 188, 17, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 320, 19, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212683, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 215, 23, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212684, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 467, 31, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212685, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 150, 8, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212686, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 195, 27, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212687, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 351, 22, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212688, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 312, 25, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212689, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 458, 34, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212690, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 320, 19, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212691, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 27, 4, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212692, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 40, 5, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212693, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 24, 7, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212694, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 6, 6, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212695, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 3, 2, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212696, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '区退役军人局', '', 'B07', 130, 1, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212697, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 122, 23, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212698, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 113, 6, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212699, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 767, 3, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212700, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 37, 5, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212701, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 2435, 3, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212702, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 4, 1, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212703, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 252, 15, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212704, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 276, 5, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212705, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 120, 1, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212706, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 149, 15, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212707, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 7, 1, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212708, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 281, 10, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212709, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 290, 6, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212710, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 104, 13, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (212711, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1552, 13, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212712, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 192, 8, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212713, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1662, 5, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212714, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 25, 11, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212715, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 176, 17, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212716, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 774, 9, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212717, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 524, 5, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212718, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 124, 11, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212719, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 69, 15, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212720, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 260, 6, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212721, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 471, 3, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212722, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 25, 7, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212723, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 99, 7, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212724, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 27, 8, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212725, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 642, 19, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212726, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 582, 3, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212727, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 321, 3, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212728, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 50, 8, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212729, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 95, 12, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212730, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 421, 13, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212731, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 463, 4, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212732, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 604, 3, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212733, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 11, 2, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212734, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 371, 3, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212735, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 1360, 10, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212736, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 8, 2, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212737, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 647, 17, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212738, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 593, 23, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212739, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 360, 1, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212740, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 228, 5, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212741, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 189, 1, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212742, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 134, 3, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212743, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 21, 1, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212744, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 108, 2, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212745, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 226, 16, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212746, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 199, 15, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212747, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 145, 20, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212748, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 241, 13, 2024, 5, 23, '2024-08-05 16:09:17', NULL, NULL), (212749, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 175, 14, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212750, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 135, 14, 2024, 5, 23, '2024-08-05 16:09:18', NULL, NULL), (212751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 998, 136, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 6065, 6, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 118, 73, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 12, 1, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 430, 50, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 771, 171, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 218, 108, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 936, 2, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 333, 114, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 18, 2, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 97, 12, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 584, 201, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 396, 45, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 1, 3, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 241, 17, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 362, 41, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 5227, 7, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 757, 49, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 491, 28, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 481, 94, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 323, 9, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 514, 77, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 482, 74, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212774, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 5200, 4, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212775, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212776, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 230, 43, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212777, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 118, 73, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212778, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 624, 3, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212779, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 7795, 2, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212780, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 11145, 1, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212781, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 12, 1, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212782, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 162, 36, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212783, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 383, 18, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212784, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '', 0, 1, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212785, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 80, 6, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212786, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 32, 4, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212787, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212788, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 177, 2, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212789, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 1125, 69, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212790, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 527, 16, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212791, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1221, 17, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212792, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 8, 1, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212793, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 641, 10, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212794, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 2, 2, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212795, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 724, 6, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212796, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 218, 4, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212797, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 538, 14, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212798, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 5, 3, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212799, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 280, 3, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212800, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 1393, 32, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212801, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 228, 93, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212802, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 369, 76, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212803, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 18, 2, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212804, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 4, 2, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212805, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 869, 11, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212806, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1348, 3, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212807, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 156, 25, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212808, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 204, 7, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212809, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 1026, 57, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212810, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 6, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212811, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 806, 22, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212812, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212813, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2024, 5, 24, '2024-08-05 16:09:19', NULL, NULL), (212814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 869, 11, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 505, 15, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 163, 24, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 23, 14, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 15, 12, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 1011, 13, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 1409, 26, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 33, 7, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 12, 13, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 123, 17, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 929, 30, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 182, 22, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1221, 17, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 207, 17, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 389, 15, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 815, 26, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 1145, 19, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 157, 16, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 250, 18, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 1297, 12, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 1393, 32, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 15, 12, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 285, 4, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 267, 16, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 398, 13, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 345, 24, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 936, 2, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 18, 2, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 280, 3, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 641, 10, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 177, 2, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 724, 6, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 4, 2, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 2022, 2, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 844, 21, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 26, 7, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 383, 18, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 102, 13, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 76, 6, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 389, 10, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 538, 14, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 1847, 12, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 1047, 19, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 5, 3, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 4, 1, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 237, 7, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 233, 11, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 448, 23, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 11145, 1, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 8, 1, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 80, 6, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 527, 16, 2024, 5, 24, '2024-08-05 16:09:20', NULL, NULL), (212866, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 32, 4, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212867, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 204, 7, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212868, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 162, 36, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212869, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 4, 2, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212870, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 280, 3, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212871, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 11145, 1, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212872, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 80, 6, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212873, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 5200, 4, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212874, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 118, 73, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212875, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 230, 43, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212876, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 218, 4, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212877, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 538, 14, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212878, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 163, 24, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212879, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 228, 93, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212880, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 2022, 2, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212881, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 869, 11, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212882, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 724, 6, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212883, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 5, 3, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212884, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 936, 2, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212885, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1221, 17, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212886, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 177, 2, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212887, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 12, 1, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212888, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 18, 2, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212889, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 641, 10, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212890, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 1393, 32, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212891, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 4, 1, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212892, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 844, 21, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212893, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 8, 1, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212894, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 383, 18, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212895, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 527, 16, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212896, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 7795, 2, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212897, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 1026, 57, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212898, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 369, 76, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212899, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 1125, 69, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212900, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 32, 4, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212901, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 936, 2, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212902, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 389, 10, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212903, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 383, 18, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212904, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 26, 7, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212905, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 102, 13, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212906, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 170, 8, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212907, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 76, 6, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212908, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 237, 7, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212909, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 254, 17, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212910, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 233, 11, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212911, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 163, 24, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212912, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 120, 6, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212913, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 708, 1, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212914, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 724, 6, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212915, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 12, 1, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212916, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 844, 21, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212917, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 280, 3, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212918, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 641, 10, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212919, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 1297, 12, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212920, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 815, 26, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212921, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 1145, 19, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212922, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 538, 14, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212923, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 80, 6, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212924, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 8, 1, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212925, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 5, 3, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212926, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 285, 4, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212927, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 358, 13, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212928, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 4, 1, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212929, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 336, 13, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212930, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 179, 10, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212931, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 113, 15, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212932, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 869, 11, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212933, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 207, 17, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212934, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 190, 21, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212935, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 7795, 2, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212936, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 1409, 26, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212937, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 929, 30, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212938, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1221, 17, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212939, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 1011, 13, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212940, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 5200, 4, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212941, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 11145, 1, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212942, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 448, 23, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212943, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 18, 2, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212944, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 481, 1, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212945, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 15, 12, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212946, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 527, 16, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212947, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 505, 15, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212948, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 5, 1, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212949, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 4, 2, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212950, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 177, 2, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212951, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 193, 2, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212952, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 33, 7, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212953, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 398, 13, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212954, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 12, 13, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212955, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 267, 16, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212956, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 1393, 32, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212957, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 23, 14, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212958, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 2022, 2, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212959, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 15, 12, 2024, 5, 24, '2024-08-05 16:09:21', NULL, NULL), (212960, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 345, 24, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 5200, 4, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 23, 14, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 505, 15, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 15, 12, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 285, 4, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 7795, 2, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 12, 13, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 33, 7, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 15, 12, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 345, 24, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 389, 10, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 398, 13, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 267, 16, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 26, 7, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 2022, 2, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 76, 6, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 102, 13, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 448, 23, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 18, 2, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 12, 1, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 1297, 12, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 815, 26, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 1145, 19, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1221, 17, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 538, 14, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 844, 21, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 936, 2, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 383, 18, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 724, 6, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 4, 2, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 177, 2, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 280, 3, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 641, 10, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 170, 8, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 929, 30, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 11145, 1, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 157, 16, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 233, 11, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (212999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 264, 17, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 527, 16, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 80, 6, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 1393, 32, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 8, 1, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 389, 15, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 4, 1, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 254, 17, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 163, 24, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 182, 22, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 869, 11, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 207, 17, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 1409, 26, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 5, 3, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 237, 7, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 123, 17, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 1011, 13, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213016, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 163, 24, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213017, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 448, 23, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213018, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 267, 16, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213019, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 398, 13, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213020, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 285, 4, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213021, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 345, 24, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213022, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 929, 30, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213023, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 1409, 26, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213024, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 1011, 13, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213025, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 233, 11, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213026, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 254, 17, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213027, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 237, 7, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213028, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 170, 8, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213029, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 869, 11, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213030, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 8, 1, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213031, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 2022, 2, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213032, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 280, 3, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213033, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 641, 10, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213034, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 7795, 2, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213035, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 724, 6, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213036, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 12, 1, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213037, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 538, 14, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213038, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 32, 4, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213039, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 177, 2, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213040, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 844, 21, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213041, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 15, 12, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213042, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 505, 15, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213043, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 23, 14, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213044, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 15, 12, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213045, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1221, 17, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213046, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 33, 7, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213047, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 527, 16, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213048, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 5, 3, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213049, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 12, 13, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213050, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 11145, 1, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213051, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 5200, 4, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213052, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 1145, 19, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213053, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 80, 6, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213054, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 1393, 32, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213055, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 936, 2, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213056, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 815, 26, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213057, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 1297, 12, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213058, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 383, 18, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213059, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 4, 2, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213060, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 18, 2, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213061, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 26, 7, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213062, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 102, 13, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213063, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 76, 6, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213064, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 481, 1, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213065, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 389, 10, 2024, 5, 24, '2024-08-05 16:09:23', NULL, NULL), (213066, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 5, 1, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213067, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 120, 6, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213068, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 193, 2, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213069, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 708, 1, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213070, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 207, 17, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213071, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 113, 15, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213072, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 4, 1, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213073, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 190, 21, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213074, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 336, 13, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213075, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 358, 13, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213076, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 179, 10, 2024, 5, 24, '2024-08-05 16:09:22', NULL, NULL), (213077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 5233, 2, 2024, 5, 25, '2024-08-05 16:09:24', NULL, NULL), (213078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 982, 10, 2024, 5, 25, '2024-08-05 16:09:24', NULL, NULL), (213079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 90, 24, 2024, 5, 25, '2024-08-05 16:09:24', NULL, NULL), (213080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 5793, 2, 2024, 5, 25, '2024-08-05 16:09:24', NULL, NULL), (213081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 11, 2024, 5, 25, '2024-08-05 16:09:24', NULL, NULL), (213082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 0, 1, 2024, 5, 25, '2024-08-05 16:09:24', NULL, NULL), (213083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 487, 6, 2024, 5, 25, '2024-08-05 16:09:24', NULL, NULL), (213084, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2024, 5, 25, '2024-08-05 16:09:24', NULL, NULL), (213085, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 0, 1, 2024, 5, 25, '2024-08-05 16:09:24', NULL, NULL), (213086, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 196, 1, 2024, 5, 25, '2024-08-05 16:09:24', NULL, NULL), (213087, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 5, 25, '2024-08-05 16:09:24', NULL, NULL), (213088, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 8, 2024, 5, 25, '2024-08-05 16:09:24', NULL, NULL), (213089, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 272, 36, 2024, 5, 25, '2024-08-05 16:09:24', NULL, NULL), (213090, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 10270, 1, 2024, 5, 25, '2024-08-05 16:09:24', NULL, NULL), (213091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 196, 1, 2024, 5, 25, '2024-08-05 16:09:24', NULL, NULL), (213092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 982, 10, 2024, 5, 25, '2024-08-05 16:09:24', NULL, NULL), (213093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 10270, 1, 2024, 5, 25, '2024-08-05 16:09:24', NULL, NULL), (213094, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 10270, 1, 2024, 5, 25, '2024-08-05 16:09:25', NULL, NULL), (213095, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 982, 10, 2024, 5, 25, '2024-08-05 16:09:25', NULL, NULL), (213096, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 196, 1, 2024, 5, 25, '2024-08-05 16:09:25', NULL, NULL), (213097, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 982, 10, 2024, 5, 25, '2024-08-05 16:09:25', NULL, NULL), (213098, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 196, 1, 2024, 5, 25, '2024-08-05 16:09:25', NULL, NULL), (213099, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 10270, 1, 2024, 5, 25, '2024-08-05 16:09:25', NULL, NULL), (213100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 982, 10, 2024, 5, 25, '2024-08-05 16:09:25', NULL, NULL), (213101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 10270, 1, 2024, 5, 25, '2024-08-05 16:09:25', NULL, NULL), (213102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 196, 1, 2024, 5, 25, '2024-08-05 16:09:25', NULL, NULL), (213103, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 196, 1, 2024, 5, 25, '2024-08-05 16:09:25', NULL, NULL), (213104, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 10270, 1, 2024, 5, 25, '2024-08-05 16:09:25', NULL, NULL), (213105, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 982, 10, 2024, 5, 25, '2024-08-05 16:09:25', NULL, NULL), (213106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 12, 2024, 5, 26, '2024-08-05 16:09:26', NULL, NULL), (213107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 5, 2024, 5, 26, '2024-08-05 16:09:26', NULL, NULL), (213108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 0, 5, 2024, 5, 26, '2024-08-05 16:09:26', NULL, NULL), (213109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 0, 2, 2024, 5, 26, '2024-08-05 16:09:26', NULL, NULL), (213110, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 4, 2024, 5, 26, '2024-08-05 16:09:26', NULL, NULL), (213111, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 17, 2024, 5, 26, '2024-08-05 16:09:26', NULL, NULL), (213112, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 0, 5, 2024, 5, 26, '2024-08-05 16:09:26', NULL, NULL), (213113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 283, 116, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 780, 11, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (213115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 75, 106, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 343, 22, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 460, 88, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 89, 127, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 6072, 6, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 644, 176, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 246, 5, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 269, 251, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 1161, 19, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 6, 2, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 191, 13, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 907, 33, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 732, 12, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 359, 60, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 250, 41, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 227, 73, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 2710, 14, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 281, 72, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 296, 57, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213134, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213135, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 7, 6, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213136, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213137, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 28, 11, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213138, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 75, 106, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213139, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 6072, 6, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213140, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1266, 4, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213141, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 270, 12, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213142, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 428, 78, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213143, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 169, 7, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213144, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 657, 11, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213145, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 310, 56, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213146, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 316, 6, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213147, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 765, 15, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213148, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1262, 6, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213149, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 1039, 7, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213150, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 35, 13, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213151, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 1, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213152, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 380, 3, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213153, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 9, 1, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213154, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 206, 2, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213155, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 322, 25, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213156, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 66, 97, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213157, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 341, 90, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213158, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 2288, 1, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213159, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 0, 1, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213160, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 234, 16, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213161, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 7038, 7, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213162, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 304, 7, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213163, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 182, 20, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213164, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 148, 30, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213165, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213166, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 7, 5, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213167, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 211, 9, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213168, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 3470, 1, 2024, 5, 27, '2024-08-05 16:09:29', NULL, NULL), (213169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 164, 18, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 234, 16, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 182, 20, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 22, 16, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 241, 13, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 37, 16, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 80, 7, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 357, 27, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 80, 17, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 102, 17, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 63, 23, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 286, 16, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 326, 8, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 170, 8, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 46, 24, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 49, 16, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1265, 7, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 190, 15, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 12, 5, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 92, 9, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 161, 11, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 87, 17, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 307, 2, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 336, 24, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 76, 16, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 92, 22, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 438, 31, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 2900, 1, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 328, 25, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 6707, 5, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 162, 4, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 232, 14, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 206, 2, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1262, 6, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 1039, 7, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 2288, 1, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 7038, 7, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 234, 8, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 294, 11, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 496, 33, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 352, 16, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 128, 6, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 464, 23, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 22, 1, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 9, 1, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 144, 2, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 5, 10, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 845, 6, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 5, 2, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 1736, 2, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 282, 20, 2024, 5, 27, '2024-08-05 16:09:30', NULL, NULL), (213220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 316, 6, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 657, 11, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D14', 37, 1, 2024, 5, 27, '2024-08-05 16:09:31', NULL, NULL), (213223, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '', 37, 1, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213224, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 169, 7, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213225, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 304, 7, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213226, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 428, 78, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213227, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 2288, 1, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213228, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 206, 2, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213229, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 657, 11, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213230, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 7, 6, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213231, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 75, 106, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213232, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 28, 11, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213233, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 35, 13, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213234, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 9, 1, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213235, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 182, 20, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213236, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 66, 97, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213237, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 7038, 7, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213238, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 234, 16, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213239, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 1039, 7, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213240, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 6072, 6, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213241, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 3470, 1, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213242, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 765, 15, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213243, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1262, 6, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213244, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 336, 24, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213245, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 380, 3, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213246, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 211, 9, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213247, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 294, 11, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213248, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 316, 6, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213249, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 1266, 4, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213250, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 148, 30, 2024, 5, 27, '2024-08-05 16:09:32', NULL, NULL), (213251, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 341, 90, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213252, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 310, 56, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213253, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 297, 1, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213254, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 6707, 5, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213255, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 2900, 1, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213256, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 464, 23, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213257, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 294, 11, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213258, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 2, 4, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213259, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 496, 33, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213260, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 144, 2, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213261, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 352, 16, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213262, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 5, 2, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213263, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 128, 6, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213264, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 4, 2, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213265, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '3D14', 37, 1, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213266, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 1, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213267, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 182, 20, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213268, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 351, 2, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213269, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 286, 5, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213270, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 1039, 7, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213271, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 148, 6, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213272, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 36, 3, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213273, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 234, 8, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213274, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1262, 6, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213275, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 206, 2, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213276, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 307, 2, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213277, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 12, 5, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213278, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 161, 11, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213279, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 170, 8, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213280, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 9, 1, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213281, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 657, 11, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213282, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 22, 1, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213283, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 79, 13, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213284, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 3470, 1, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213285, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 34, 5, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213286, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 55, 14, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213287, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 76, 15, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213288, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 19, 7, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213289, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 111, 15, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213290, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 80, 6, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213291, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 49, 22, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213292, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 234, 16, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213293, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 1266, 4, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213294, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 162, 4, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213295, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1265, 7, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213296, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 357, 27, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213297, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 326, 8, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213298, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 286, 16, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213299, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 241, 13, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213300, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 7, 6, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213301, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 282, 20, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213302, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 58, 2, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213303, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 76, 16, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213304, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 316, 6, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213305, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 3, 2, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213306, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 164, 18, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213307, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 16, 2, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213308, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 44, 1, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213309, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 2288, 1, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213310, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 380, 3, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213311, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 35, 2, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213312, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 80, 17, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213313, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 328, 25, 2024, 5, 27, '2024-08-05 16:09:33', NULL, NULL), (213314, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 83, 1, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213315, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 63, 23, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213316, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 438, 31, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213317, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 336, 24, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213318, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 22, 16, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213319, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 7038, 7, 2024, 5, 27, '2024-08-05 16:09:34', NULL, NULL), (213320, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 37, 16, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213321, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 232, 14, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 22, 16, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 164, 18, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 76, 16, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 92, 22, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 3470, 1, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 1266, 4, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 7, 6, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 63, 23, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 80, 17, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 37, 16, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 232, 14, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 464, 23, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 328, 25, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 438, 31, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 496, 33, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 7038, 7, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 128, 6, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 352, 16, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 162, 4, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 282, 20, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 307, 2, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 12, 5, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 161, 11, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 170, 8, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1265, 7, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D14', 37, 1, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 326, 8, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 9, 1, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 22, 1, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 234, 8, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 6707, 5, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 294, 11, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 1039, 7, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 2288, 1, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 206, 2, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 2900, 1, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1262, 6, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 144, 2, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 286, 16, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 92, 9, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 87, 17, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 316, 6, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 336, 24, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 49, 16, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 657, 11, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 190, 15, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 4, 2, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 182, 20, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 2, 4, 2024, 5, 27, '2024-08-05 16:09:35', NULL, NULL), (213371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 46, 24, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 234, 16, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 80, 7, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 1, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 357, 27, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 102, 17, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 5, 2, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 241, 13, 2024, 5, 27, '2024-08-05 16:09:36', NULL, NULL), (213379, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 182, 20, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213380, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 282, 20, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213381, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 3470, 1, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213382, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 438, 31, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213383, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 328, 25, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213384, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 79, 13, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213385, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 36, 3, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213386, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 232, 14, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213387, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 286, 16, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213388, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 357, 27, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213389, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 241, 13, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213390, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 1, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213391, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 4, 2, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213392, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 5, 2, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213393, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 144, 2, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213394, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 2, 4, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213395, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 234, 16, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213396, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 7038, 7, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213397, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 162, 4, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213398, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 206, 2, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213399, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 22, 1, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213400, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1262, 6, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213401, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 1039, 7, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213402, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 1266, 4, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213403, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '翠屏区公安', '', '3D14', 37, 1, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213404, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 9, 1, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213405, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 297, 1, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213406, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 234, 8, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213407, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 76, 16, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213408, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 164, 18, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213409, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 22, 16, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213410, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 37, 16, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213411, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 326, 8, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213412, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 80, 17, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213413, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 316, 6, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213414, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 63, 23, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213415, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1265, 7, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213416, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 161, 11, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213417, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 170, 8, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213418, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 657, 11, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213419, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 336, 24, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213420, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 7, 6, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213421, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 6707, 5, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213422, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 2900, 1, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213423, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 12, 5, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213424, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 307, 2, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213425, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 294, 11, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213426, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 2288, 1, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213427, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 380, 3, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213428, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 496, 33, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213429, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 44, 1, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213430, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 352, 16, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213431, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 128, 6, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213432, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 58, 2, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213433, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 3, 2, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213434, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 464, 23, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213435, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 16, 2, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213436, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 351, 2, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213437, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 35, 2, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213438, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 80, 6, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213439, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 83, 1, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213440, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 286, 5, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213441, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 148, 6, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213442, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 49, 22, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213443, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 55, 14, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213444, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 111, 15, 2024, 5, 27, '2024-08-05 16:09:37', NULL, NULL), (213445, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 76, 15, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213446, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 34, 5, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213447, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 19, 7, 2024, 5, 27, '2024-08-05 16:09:38', NULL, NULL), (213448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 483, 126, 2024, 5, 28, '2024-08-05 16:09:42', NULL, NULL), (213449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 23, 3, 2024, 5, 28, '2024-08-05 16:09:42', NULL, NULL), (213450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 22, 68, 2024, 5, 28, '2024-08-05 16:09:42', NULL, NULL), (213451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 95, 34, 2024, 5, 28, '2024-08-05 16:09:42', NULL, NULL), (213452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 437, 107, 2024, 5, 28, '2024-08-05 16:09:42', NULL, NULL), (213453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 85, 106, 2024, 5, 28, '2024-08-05 16:09:42', NULL, NULL), (213454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 3348, 2, 2024, 5, 28, '2024-08-05 16:09:42', NULL, NULL), (213455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 357, 103, 2024, 5, 28, '2024-08-05 16:09:42', NULL, NULL), (213456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 5, 1, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 22, 4, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 297, 236, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 256, 67, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 216, 25, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 230, 37, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 309, 40, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 167, 6, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 627, 11, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 150, 33, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 421, 61, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 228, 43, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213468, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 33, 2, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213469, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 35, 22, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213470, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 22, 68, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213471, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 956, 7, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213472, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 261, 1, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213473, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 995, 13, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213474, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 301, 51, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213475, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 1215, 2, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213476, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213477, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 200, 11, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213478, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 426, 7, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213479, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 619, 68, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213480, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 6, 2, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213481, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 113, 14, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213482, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 638, 4, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213483, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 1517, 10, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213484, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 6, 11, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213485, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 175, 4, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213486, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 6, 2, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213487, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 4114, 1, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213488, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 135, 11, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213489, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 62, 79, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213490, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 412, 52, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213491, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 5, 1, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213492, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 34, 3, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213493, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 203, 24, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213494, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 4, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213495, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 61, 5, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213496, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 516, 24, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213497, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 135, 51, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213498, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213499, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 156, 6, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213500, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213501, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 3, 1, 2024, 5, 28, '2024-08-05 16:09:43', NULL, NULL), (213502, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 99, 1, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 4, 10, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 203, 24, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 3, 10, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 516, 24, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 88, 12, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 465, 20, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 34, 9, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 18, 10, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 767, 25, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 8, 5, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 8, 17, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 617, 22, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 130, 7, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 21, 17, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 198, 17, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 114, 17, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 96, 7, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 60, 14, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 98, 12, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 50, 11, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 14, 9, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 38, 10, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 317, 9, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (213526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 138, 8, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 7, 9, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 135, 11, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 95, 14, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 577, 26, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 4065, 1, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 310, 17, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 2631, 1, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 295, 5, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 5, 1, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 4114, 1, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 638, 4, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 99, 1, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 1215, 2, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 1517, 10, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 34, 3, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 156, 6, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1176, 11, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 400, 16, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 95, 11, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 104, 9, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 464, 15, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 6, 2, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 43, 4, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 14, 7, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 19, 4, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 96, 5, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 3, 1, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 4, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 129, 9, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 261, 1, 2024, 5, 28, '2024-08-05 16:09:44', NULL, NULL), (213557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 200, 3, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 200, 8, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 6, 2, 2024, 5, 28, '2024-08-05 16:09:45', NULL, NULL), (213560, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 426, 7, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213561, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 61, 5, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213562, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 301, 51, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213563, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 34, 3, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213564, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 4114, 1, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213565, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 261, 1, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213566, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 200, 11, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213567, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 33, 2, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213568, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 22, 68, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213569, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 35, 22, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213570, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 6, 11, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213571, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 6, 2, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213572, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 516, 24, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213573, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 62, 79, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213574, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 203, 24, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213575, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 1517, 10, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213576, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 3, 1, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213577, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 3348, 2, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213578, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 113, 14, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213579, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 1215, 2, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213580, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 5, 1, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213581, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 638, 4, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213582, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 135, 11, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213583, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 175, 4, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213584, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 156, 6, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213585, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1176, 11, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213586, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 6, 2, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213587, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 135, 51, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213588, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 412, 52, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213589, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 99, 1, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213590, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 628, 67, 2024, 5, 28, '2024-08-05 16:09:46', NULL, NULL), (213591, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 1058, 2, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213592, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 2631, 1, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213593, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 4065, 1, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213594, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 464, 15, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213595, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1176, 11, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213596, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 6, 5, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213597, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 400, 16, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213598, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 43, 4, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213599, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 95, 11, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213600, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 96, 5, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213601, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 104, 9, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213602, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 19, 4, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213603, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 4, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213604, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 516, 24, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213605, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 41, 2, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213606, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 74, 3, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213607, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 173, 5, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213608, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 1517, 10, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213609, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 5, 1, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213610, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 99, 1, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213611, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 156, 6, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213612, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 4114, 1, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213613, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 638, 4, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213614, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 138, 8, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213615, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 50, 11, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213616, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 38, 10, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213617, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 6, 2, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213618, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 198, 17, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213619, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 200, 8, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213620, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 200, 3, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213621, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 57, 8, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213622, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 3, 1, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213623, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 62, 4, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213624, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 69, 12, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213625, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 106, 7, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213626, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 5, 6, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213627, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 8, 5, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213628, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 34, 9, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213629, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 203, 24, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213630, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 121, 16, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213631, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 29, 12, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213632, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 295, 5, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213633, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 96, 7, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213634, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 767, 25, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213635, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 130, 7, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213636, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 617, 22, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213637, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 465, 20, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213638, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 33, 2, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213639, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 261, 1, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213640, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 129, 9, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213641, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 5, 1, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213642, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 15, 1, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213643, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 7, 9, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213644, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 6, 2, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213645, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 6, 2, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213646, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 4, 10, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213647, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 3, 1, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213648, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 3, 5, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213649, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 19, 1, 2024, 5, 28, '2024-08-05 16:09:47', NULL, NULL), (213650, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 34, 3, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213651, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 175, 4, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213652, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 1215, 2, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213653, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 18, 10, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213654, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 310, 17, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213655, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 8, 17, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213656, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 577, 26, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213657, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 3, 10, 2024, 5, 28, '2024-08-05 16:09:48', NULL, NULL), (213658, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 135, 11, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213659, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 88, 12, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 3, 10, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 4, 10, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 7, 9, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 95, 14, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 3, 1, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 33, 2, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 8, 17, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 18, 10, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 88, 12, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 464, 15, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 104, 9, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 310, 17, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 577, 26, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 400, 16, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 95, 11, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 295, 5, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 129, 9, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 5, 1, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 138, 8, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 50, 11, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 38, 10, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 198, 17, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 96, 7, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 130, 7, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 6, 2, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 2631, 1, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 156, 6, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1176, 11, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 1517, 10, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 34, 3, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 99, 1, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 1215, 2, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 4114, 1, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 638, 4, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 4065, 1, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 43, 4, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 617, 22, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 261, 1, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 14, 9, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 4, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 6, 2, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 317, 9, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 200, 8, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 135, 11, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 60, 14, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 200, 3, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 98, 12, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 19, 4, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 21, 17, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 516, 24, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 6, 5, 2024, 5, 28, '2024-08-05 16:09:49', NULL, NULL), (213711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 203, 24, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 114, 17, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 34, 9, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 767, 25, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 8, 5, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 96, 5, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 465, 20, 2024, 5, 28, '2024-08-05 16:09:50', NULL, NULL), (213718, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 129, 9, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213719, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 516, 24, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213720, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 3, 1, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213721, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 577, 26, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213722, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 310, 17, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213723, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 57, 8, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213724, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 5, 1, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213725, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 99, 1, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213726, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 617, 22, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213727, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 767, 25, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213728, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 465, 20, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213729, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 4, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213730, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 19, 4, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213731, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 96, 5, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213732, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 43, 4, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213733, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 6, 5, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213734, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 203, 24, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213735, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 4114, 1, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213736, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 295, 5, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213737, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 638, 4, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213738, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 1517, 10, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213739, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 6, 2, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213740, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 1215, 2, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213741, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 1058, 2, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213742, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 7, 9, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213743, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 156, 6, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213744, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 4, 10, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213745, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 3, 10, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213746, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 88, 12, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213747, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 130, 7, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213748, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 6, 2, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213749, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 18, 10, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213750, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 8, 17, 2024, 5, 28, '2024-08-05 16:09:53', NULL, NULL), (213751, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 96, 7, 2024, 5, 28, '2024-08-05 16:09:53', NULL, NULL), (213752, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 261, 1, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213753, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 38, 10, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213754, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 200, 3, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213755, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 198, 17, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213756, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 200, 8, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213757, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 33, 2, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213758, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 135, 11, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213759, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 2631, 1, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213760, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 4065, 1, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213761, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 50, 11, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213762, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 138, 8, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213763, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1176, 11, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213764, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 34, 3, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213765, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 5, 1, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213766, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 175, 4, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213767, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 400, 16, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213768, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 95, 11, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213769, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 19, 1, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213770, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 15, 1, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213771, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 104, 9, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213772, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 6, 2, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213773, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 464, 15, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213774, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 3, 1, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213775, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 3, 5, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213776, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 41, 2, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213777, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 34, 9, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213778, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 74, 3, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213779, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 173, 5, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213780, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 121, 16, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213781, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 69, 12, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213782, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 8, 5, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213783, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 29, 12, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213784, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 106, 7, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213785, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 62, 4, 2024, 5, 28, '2024-08-05 16:09:51', NULL, NULL), (213786, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 5, 6, 2024, 5, 28, '2024-08-05 16:09:52', NULL, NULL), (213787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 326, 145, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 7959, 3, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 29, 5, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 115, 82, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 57, 26, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 569, 146, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 80, 109, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 813, 113, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 25, 1, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 70, 4, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 510, 243, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 1024, 3, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 383, 2, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 398, 46, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 64, 7, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 253, 71, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 267, 20, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 308, 70, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 2512, 10, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 235, 75, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 353, 80, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213808, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 43, 3, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213809, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213810, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 115, 82, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213811, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 3, 17, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213812, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 0, 1, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213813, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 8, 2, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213814, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 2327, 9, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213815, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1043, 53, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213816, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 136, 8, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213817, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 158, 9, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213818, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 7959, 3, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213819, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 288, 7, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213820, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 345, 70, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213821, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 195, 6, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213822, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 373, 16, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213823, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 865, 5, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213824, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 1083, 12, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213825, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 35, 11, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213826, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 280, 5, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213827, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 275, 11, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213828, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 112, 2, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213829, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 8, 6, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213830, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 451, 29, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213831, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 49, 78, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213832, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 328, 59, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213833, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 8, 3, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213834, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 6, 1, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213835, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 71, 19, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213836, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 8648, 2, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213837, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 286, 7, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213838, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 309, 28, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213839, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 284, 59, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213840, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213841, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213842, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1299, 12, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213843, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 1, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213844, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 136, 15, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 71, 19, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 116, 18, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 309, 28, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 574, 18, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 95, 15, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 23, 6, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 109, 14, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 251, 27, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 22, 1, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 48, 12, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 282, 25, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 18, 17, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 499, 10, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 264, 19, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 863, 30, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 35, 6, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 164, 6, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 289, 13, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 251, 10, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 38, 15, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 293, 17, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 123, 19, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 468, 28, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 89, 13, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 250, 10, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 329, 13, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 312, 21, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 25, 1, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 8, 6, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 865, 5, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 288, 7, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 1083, 12, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 6, 1, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1299, 12, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 8648, 2, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1691, 8, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 2327, 9, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 833, 17, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 985, 28, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 275, 11, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 27, 4, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 8, 6, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 220, 1, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 4, 1, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 6, 4, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 1, 3, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 2, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 4, 3, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 382, 27, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 158, 9, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 195, 6, 2024, 5, 29, '2024-08-05 16:09:54', NULL, NULL), (213897, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 136, 8, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213898, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 286, 7, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213899, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1043, 53, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213900, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 6, 1, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213901, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 8, 6, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213902, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 158, 9, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213903, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 43, 3, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213904, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 115, 82, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213905, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 3, 17, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213906, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 35, 11, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213907, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 275, 11, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213908, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 309, 28, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213909, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 49, 78, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213910, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 8648, 2, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213911, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 71, 19, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213912, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 1083, 12, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213913, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 112, 2, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213914, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 373, 16, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213915, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 7959, 3, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213916, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 288, 7, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213917, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 25, 1, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213918, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 865, 5, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213919, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 468, 28, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213920, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 280, 5, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213921, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1299, 12, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213922, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 2327, 9, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213923, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 195, 6, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213924, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 8, 2, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213925, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 284, 59, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213926, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 333, 58, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213927, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 345, 70, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213928, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 193, 1, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213929, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 985, 28, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213930, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 2327, 9, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213931, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1691, 8, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213932, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 2, 4, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213933, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 5, 3, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213934, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 1, 3, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (213935, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 5, 2, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213936, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 833, 17, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213937, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 4, 3, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213938, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 2, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213939, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 309, 28, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213940, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 286, 7, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213941, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 128, 7, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213942, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 1083, 12, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213943, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 13, 2, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213944, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1299, 12, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213945, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 8, 6, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213946, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 865, 5, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213947, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 293, 17, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213948, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 251, 10, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213949, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 275, 11, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213950, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 264, 19, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213951, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 158, 9, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213952, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 220, 1, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213953, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 4, 1, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213954, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 59, 4, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213955, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 355, 1, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213956, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 35, 6, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213957, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 26, 14, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213958, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 57, 10, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213959, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 23, 5, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213960, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 77, 22, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213961, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 71, 19, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213962, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 19, 16, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213963, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 8, 2, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213964, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 329, 13, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213965, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 164, 6, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213966, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 251, 27, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213967, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 282, 25, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213968, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 499, 10, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213969, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 574, 18, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213970, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 93, 1, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213971, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 19, 2, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213972, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 382, 27, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213973, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 25, 1, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213974, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 7959, 3, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213975, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 123, 19, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213976, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 195, 6, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213977, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 136, 15, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213978, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 65, 5, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213979, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 1, 1, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213980, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 280, 5, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213981, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 6, 1, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213982, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 288, 7, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213983, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 5, 2, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213984, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 109, 14, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213985, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 250, 10, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213986, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 22, 1, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213987, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 25, 1, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213988, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 116, 18, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213989, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 468, 28, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213990, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 95, 15, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213991, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 312, 21, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213992, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 8648, 2, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 93, 1, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 116, 18, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 136, 15, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 123, 19, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (213997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 89, 13, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (213998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 7959, 3, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (213999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 8, 2, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 19, 2, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 22, 1, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 109, 14, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 95, 15, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 312, 21, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 985, 28, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 833, 17, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 250, 10, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 1691, 8, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 8648, 2, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 329, 13, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 382, 27, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 25, 1, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 293, 17, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 251, 10, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 264, 19, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 164, 6, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 499, 10, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 275, 11, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1299, 12, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 2327, 9, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 1083, 12, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 6, 1, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 288, 7, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 8, 6, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 865, 5, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 5, 3, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 282, 25, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 4, 3, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 38, 15, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 195, 6, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 158, 9, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 35, 6, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 468, 28, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 289, 13, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 5, 2, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 18, 17, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 309, 28, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 2, 4, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 75, 27, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 71, 19, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 2, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 23, 6, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 251, 27, 2024, 5, 29, '2024-08-05 16:09:55', NULL, NULL), (214044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 220, 1, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 4, 1, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 48, 12, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 1, 3, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 574, 18, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214049, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 382, 27, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214050, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 309, 28, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214051, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 250, 10, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214052, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 59, 4, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214053, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 13, 2, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214054, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 282, 25, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214055, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 312, 21, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214056, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 251, 27, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214057, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 574, 18, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214058, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 2, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214059, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 4, 3, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214060, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 5, 2, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214061, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 1, 3, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214062, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 5, 3, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214063, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 2, 4, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214064, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 71, 19, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214065, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 8648, 2, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214066, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 329, 13, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214067, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 8, 6, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214068, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 865, 5, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214069, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 8, 2, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214070, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 1083, 12, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214071, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 275, 11, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214072, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 220, 1, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214073, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 193, 1, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214074, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 288, 7, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214075, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1299, 12, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214076, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 123, 19, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214077, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 136, 15, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214078, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 116, 18, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214079, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 95, 15, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214080, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 499, 10, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214081, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 109, 14, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214082, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 195, 6, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214083, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 22, 1, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214084, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 4, 1, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214085, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 164, 6, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214086, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 7959, 3, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214087, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 93, 1, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214088, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 264, 19, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214089, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 158, 9, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214090, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 19, 2, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214091, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 468, 28, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214092, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 251, 10, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214093, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 293, 17, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214094, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 2327, 9, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214095, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 6, 1, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214096, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 25, 1, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214097, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 280, 5, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214098, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 1691, 8, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214099, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 833, 17, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214100, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 985, 28, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214101, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 65, 5, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214102, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 1, 1, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214103, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 5, 2, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214104, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 23, 5, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214105, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 25, 1, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214106, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 128, 7, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214107, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 286, 7, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214108, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 77, 22, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214109, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 35, 6, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214110, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 57, 10, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214111, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 19, 16, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214112, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 26, 14, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214113, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 355, 1, 2024, 5, 29, '2024-08-05 16:09:56', NULL, NULL), (214114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 408, 162, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 1957, 5, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2393, 7, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 90, 99, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 353, 33, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1013, 119, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 6, 2, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 205, 127, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 359, 139, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 817, 8, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 4, 1, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 100, 5, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 351, 215, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 282, 1, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 124, 2, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 561, 8, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 411, 72, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1802, 10, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 429, 55, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 352, 48, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 542, 86, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 496, 103, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 738, 27, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 329, 79, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214138, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214139, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 3255, 5, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214140, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 412, 26, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214141, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 90, 99, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214142, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 817, 8, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214143, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 419, 1, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214144, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 53, 6, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214145, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 335, 69, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214146, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 136, 7, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214147, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 39, 1, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214148, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 1957, 5, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214149, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 133, 10, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214150, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 461, 76, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214151, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 2400, 7, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214152, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 468, 14, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214153, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1501, 6, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214154, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 1037, 1, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214155, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 514, 10, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214156, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 166, 16, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214157, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 409, 3, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214158, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 11, 4, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214159, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 454, 36, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214160, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 210, 89, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214161, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 372, 72, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214162, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 2, 2, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214163, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 394, 20, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214164, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 234, 9, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214165, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 227, 30, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214166, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 1148, 54, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214167, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 8, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214168, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1153, 17, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214169, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 11, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214170, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 56, 1, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214171, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 10, 1, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 52, 16, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 394, 20, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 72, 21, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 227, 30, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 389, 19, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 38, 16, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 144, 17, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 362, 29, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 63, 11, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 38, 4, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 722, 2, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 612, 28, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 160, 13, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 16, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 134, 22, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 1825, 5, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 743, 22, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 463, 11, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 292, 12, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 683, 7, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 306, 18, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 1434, 4, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 6, 2, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 3073, 1, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 186, 17, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 861, 12, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 146, 22, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 454, 36, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 400, 25, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 86, 20, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 601, 14, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 427, 3, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1051, 5, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 1056, 11, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 310, 23, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 4, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 1238, 14, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1501, 6, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 10, 1, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 39, 1, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 514, 10, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1153, 17, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 80, 4, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 224, 22, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 397, 26, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 415, 19, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 11, 4, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 521, 8, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 3035, 4, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 925, 5, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 732, 5, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 1037, 1, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 20, 3, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 127, 10, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 351, 8, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 414, 1, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 90, 6, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 2400, 7, 2024, 5, 30, '2024-08-05 16:09:57', NULL, NULL), (214230, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 133, 10, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214231, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 234, 9, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214232, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 345, 67, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214233, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 136, 7, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214234, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 3255, 5, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214235, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 90, 99, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214236, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 412, 26, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214237, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 166, 16, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214238, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 11, 4, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214239, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 227, 30, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214240, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 210, 89, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214241, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 394, 20, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214242, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 514, 10, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214243, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 56, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214244, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 817, 8, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214245, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 468, 14, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214246, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 39, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214247, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 1957, 5, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214248, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 4, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214249, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1501, 6, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214250, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 454, 36, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214251, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 409, 3, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214252, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 1037, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214253, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1153, 17, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214254, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 80, 4, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214255, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 2400, 7, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214256, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 419, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214257, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 1148, 54, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214258, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 372, 72, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214259, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 10, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214260, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 461, 76, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214261, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 113, 4, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214262, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1051, 5, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214263, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 427, 3, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214264, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 80, 4, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214265, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 5, 2, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214266, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 224, 22, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214267, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 5, 5, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214268, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 397, 26, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214269, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 732, 5, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214270, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 1051, 4, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214271, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 415, 19, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214272, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 351, 8, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214273, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 2, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214274, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 227, 30, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214275, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 234, 9, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214276, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 514, 10, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214277, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 147, 6, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214278, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 11, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214279, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 10, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214280, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1153, 17, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214281, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1501, 6, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214282, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 861, 12, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214283, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 3073, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214284, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 683, 7, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214285, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 1434, 4, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214286, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 1825, 5, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214287, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 11, 4, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214288, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 90, 6, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214289, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 414, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214290, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 1238, 14, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214291, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 64, 13, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214292, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 56, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214293, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 362, 6, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214294, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 292, 12, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214295, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 1037, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214296, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 225, 12, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214297, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 38, 4, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214298, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 63, 11, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214299, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 442, 13, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214300, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 394, 20, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214301, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 159, 18, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214302, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 419, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214303, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 1056, 11, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214304, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 463, 11, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214305, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 722, 2, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214306, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 362, 29, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214307, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 16, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214308, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 612, 28, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214309, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 389, 19, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214310, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 1382, 3, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214311, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 6065, 2, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214312, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 127, 10, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214313, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 4, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214314, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 1957, 5, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214315, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 2400, 7, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214316, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 146, 22, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214317, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 52, 16, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214318, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 206, 4, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214319, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 20, 4, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214320, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 3, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214321, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 409, 3, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214322, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 39, 1, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214323, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 63, 11, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214324, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 601, 14, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214325, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 400, 25, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214326, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 291, 6, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214327, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 160, 13, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214328, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 72, 21, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214329, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 454, 36, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214330, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 38, 16, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214331, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 310, 23, 2024, 5, 30, '2024-08-05 16:09:58', NULL, NULL), (214332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 1382, 3, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 72, 21, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 52, 16, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 146, 22, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 86, 20, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 56, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 419, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 1957, 5, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 6065, 2, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 160, 13, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 63, 11, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (214343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 38, 16, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 310, 23, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 415, 19, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 601, 14, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 400, 25, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 224, 22, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 397, 26, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 1056, 11, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 1238, 14, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 127, 10, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 4, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 6, 2, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 861, 12, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 3073, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 683, 7, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 1434, 4, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 1825, 5, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 463, 11, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 722, 2, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 16, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 11, 4, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1051, 5, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1153, 17, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 80, 4, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 514, 10, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 10, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 39, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1501, 6, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 427, 3, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 5, 5, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 612, 28, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 2400, 7, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 351, 8, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 186, 17, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 90, 6, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 292, 12, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 454, 36, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 414, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 306, 18, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 1051, 4, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 1037, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 134, 22, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 227, 30, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 386, 17, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 394, 20, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 5, 2, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 2, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 144, 17, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 362, 29, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 38, 4, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 732, 5, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 389, 19, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214395, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 127, 10, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214396, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 227, 30, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214397, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 56, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214398, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 400, 25, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214399, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 601, 14, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214400, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 64, 13, 2024, 5, 30, '2024-08-05 16:10:00', NULL, NULL), (214401, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 11, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214402, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 10, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214403, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 612, 28, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214404, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 310, 23, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214405, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 362, 29, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214406, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 389, 19, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214407, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 2, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214408, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 351, 8, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214409, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 1051, 4, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214410, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 732, 5, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214411, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 5, 5, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214412, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 5, 2, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214413, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 394, 20, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214414, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 1238, 14, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214415, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 1056, 11, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214416, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1501, 6, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214417, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 419, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214418, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 514, 10, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214419, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 11, 4, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214420, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 39, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214421, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 113, 4, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214422, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 146, 22, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214423, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1153, 17, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214424, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 52, 16, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214425, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 722, 2, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214426, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 72, 21, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214427, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 16, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214428, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 38, 16, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214429, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 2400, 7, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214430, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 63, 11, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214431, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 463, 11, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214432, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 160, 13, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214433, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 1957, 5, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214434, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 1382, 3, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214435, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 1434, 4, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214436, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 414, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214437, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 1825, 5, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214438, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 90, 6, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214439, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 6065, 2, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214440, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 454, 36, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214441, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1051, 5, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214442, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 427, 3, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214443, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 683, 7, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214444, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 80, 4, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214445, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 861, 12, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214446, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 3073, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214447, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 4, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214448, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 409, 3, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214449, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 224, 22, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214450, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 3, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214451, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 397, 26, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214452, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 415, 19, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214453, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 206, 4, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214454, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 20, 4, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214455, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 63, 11, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214456, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 291, 6, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214457, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 234, 9, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214458, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 147, 6, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214459, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 442, 13, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214460, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 292, 12, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214461, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 38, 4, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214462, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 1037, 1, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214463, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 159, 18, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214464, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 225, 12, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214465, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 362, 6, 2024, 5, 30, '2024-08-05 16:09:59', NULL, NULL), (214466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 413, 108, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 26, 4, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 51, 99, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 44, 13, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1429, 43, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 169, 86, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '', 3433, 1, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1339, 2, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 338, 133, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 72, 3, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 321, 151, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 58, 2, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 1716, 2, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 269, 9, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 446, 20, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 25, 6, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 283, 76, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 377, 48, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 365, 90, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 440, 7, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 260, 39, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 448, 61, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214488, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214489, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 26, 4, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214490, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 5, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214491, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 5, 9, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214492, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 51, 99, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214493, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1339, 2, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214494, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 2526, 5, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214495, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 522, 55, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214496, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 5112, 3, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214497, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214498, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 420, 9, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214499, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 133, 4, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214500, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 245, 50, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214501, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1395, 2, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214502, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 359, 1, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214503, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 2, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214504, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 4819, 1, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214505, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 39, 4, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214506, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 112, 7, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214507, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 7, 1, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214508, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 9, 2, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214509, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 618, 26, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214510, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 132, 64, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214511, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 204, 72, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214512, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 221, 14, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214513, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 247, 6, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214514, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 292, 5, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214515, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 736, 18, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214516, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 499, 19, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214517, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 8, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214518, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214519, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1319, 12, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214520, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 3433, 1, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B07', 3433, 1, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 221, 14, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 74, 21, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 27, 16, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 736, 18, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 163, 18, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 34, 19, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 9, 2, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 5, 1, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 32, 18, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 320, 16, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 81, 13, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 262, 16, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 71, 19, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 21, 5, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 9, 2, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 205, 16, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 404, 9, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3, 3, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 150, 17, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1395, 2, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 116, 13, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 188, 9, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 6, 2, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 196, 12, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 585, 10, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 245, 18, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 359, 1, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 133, 4, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 618, 26, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 87, 6, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 258, 24, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 99, 12, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1339, 2, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 206, 24, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 4819, 1, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 5112, 3, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 39, 4, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1759, 9, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 247, 6, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 6315, 2, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 463, 16, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 483, 17, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 596, 22, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214565, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 420, 9, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214566, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 292, 5, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214567, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 522, 55, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214568, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 133, 4, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214569, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 26, 4, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214570, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 51, 99, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214571, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 5, 9, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214572, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 112, 7, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214573, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 9, 2, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214574, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 736, 18, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214575, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 132, 64, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214576, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 247, 6, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214577, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 221, 14, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214578, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 39, 4, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214579, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '', 3433, 1, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214580, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1339, 2, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214581, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1395, 2, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214582, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 5112, 3, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214583, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 4819, 1, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214584, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 618, 26, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214585, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 7, 1, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214586, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1759, 9, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214587, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 6315, 2, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214588, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 359, 1, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214589, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 499, 19, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214590, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 204, 72, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214591, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 245, 50, 2024, 5, 31, '2024-08-05 16:10:01', NULL, NULL), (214592, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 420, 9, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214593, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1339, 2, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214594, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 596, 22, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214595, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 6315, 2, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214596, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 3, 1, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214597, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 463, 16, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214598, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 5, 1, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214599, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 3, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214600, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 483, 17, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214601, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 9, 2, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214602, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 6, 2, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214603, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 736, 18, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214604, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 292, 5, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214605, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 39, 4, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214606, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1759, 9, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214607, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 4819, 1, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214608, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 585, 10, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214609, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 9, 2, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214610, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 404, 9, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214611, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 133, 4, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214612, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 74, 3, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214613, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 105, 11, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214614, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 96, 6, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214615, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 83, 12, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214616, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 141, 16, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214617, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 221, 14, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214618, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 205, 16, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214619, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '2B07', 3433, 1, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214620, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1395, 2, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214621, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 320, 16, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214622, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 262, 16, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214623, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 163, 18, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214624, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 26, 4, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214625, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 196, 12, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214626, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 359, 1, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214627, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 87, 6, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214628, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 178, 2, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214629, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 74, 21, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214630, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 305, 1, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214631, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 19, 3, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214632, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 7, 1, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214633, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 5112, 3, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214634, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 99, 12, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214635, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 32, 18, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214636, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 65, 1, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214637, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 71, 19, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214638, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 258, 24, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214639, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 618, 26, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214640, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 27, 16, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214641, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 247, 6, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214642, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 206, 24, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214643, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 34, 19, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 27, 16, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 9, 2, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 74, 21, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 87, 6, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 26, 4, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区交通运输局', '', '2B07', 3433, 1, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 71, 19, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 32, 18, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 34, 19, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 206, 24, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1759, 9, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 596, 22, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1339, 2, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 6315, 2, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 483, 17, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 39, 4, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 99, 12, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 258, 24, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 463, 16, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 5112, 3, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 247, 6, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 4819, 1, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 5, 1, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 196, 12, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 262, 16, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 585, 10, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 359, 1, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 245, 18, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 6, 2, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 618, 26, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 133, 4, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 116, 13, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 188, 9, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 404, 9, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 9, 2, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 736, 18, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 205, 16, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1395, 2, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 3, 1, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 150, 17, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 221, 14, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 320, 16, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 81, 13, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 3, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 163, 18, 2024, 5, 31, '2024-08-05 16:10:02', NULL, NULL), (214689, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 736, 18, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214690, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 196, 12, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214691, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 258, 24, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214692, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 99, 12, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214693, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 262, 16, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214694, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 206, 24, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214695, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 320, 16, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214696, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 163, 18, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214697, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 6, 2, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214698, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 9, 2, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214699, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 3, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214700, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 5, 1, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214701, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 3, 1, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214702, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 221, 14, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214703, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 247, 6, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214704, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 4819, 1, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214705, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 39, 4, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214706, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 9, 2, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214707, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 5112, 3, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214708, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 420, 9, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214709, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1759, 9, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214710, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 87, 6, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214711, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 74, 21, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214712, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 27, 16, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214713, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 34, 19, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214714, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 359, 1, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214715, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 32, 18, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214716, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1395, 2, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214717, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 71, 19, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214718, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 404, 9, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214719, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 133, 4, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214720, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 618, 26, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214721, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 26, 4, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214722, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1339, 2, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214723, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 6315, 2, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214724, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 585, 10, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214725, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 7, 1, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214726, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 463, 16, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214727, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 19, 3, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214728, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 483, 17, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214729, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 178, 2, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214730, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 596, 22, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214731, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 305, 1, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214732, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 83, 12, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214733, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 65, 1, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214734, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 292, 5, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214735, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 141, 16, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214736, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 105, 11, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214737, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '区交通运输局', '', '2B07', 3433, 1, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214738, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 205, 16, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214739, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 96, 6, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214740, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 74, 3, 2024, 5, 31, '2024-08-05 16:10:03', NULL, NULL), (214741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1618, 21, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL), (214742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 1163, 2, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL), (214743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 1503, 16, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL), (214744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1086, 7, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL), (214745, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (214746, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL), (214747, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1038, 7, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL), (214748, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1669, 16, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL), (214749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1908, 14, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL), (214750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 1038, 7, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL), (214751, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1038, 7, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL), (214752, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1908, 14, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL), (214753, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 1038, 7, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL), (214754, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1908, 14, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL), (214755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1908, 14, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL), (214756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 1038, 7, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL), (214757, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1908, 14, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL), (214758, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 1038, 7, 2024, 6, 1, '2024-08-05 16:10:04', NULL, NULL), (214759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 4335, 6, 2024, 6, 2, '2024-08-05 16:10:05', NULL, NULL), (214760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 3251, 8, 2024, 6, 2, '2024-08-05 16:10:05', NULL, NULL), (214761, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2024, 6, 2, '2024-08-05 16:10:05', NULL, NULL), (214762, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 4335, 6, 2024, 6, 2, '2024-08-05 16:10:05', NULL, NULL), (214763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 3081, 3, 2024, 6, 2, '2024-08-05 16:10:05', NULL, NULL), (214764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 5589, 3, 2024, 6, 2, '2024-08-05 16:10:05', NULL, NULL), (214765, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 4335, 6, 2024, 6, 2, '2024-08-05 16:10:05', NULL, NULL), (214766, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 5589, 3, 2024, 6, 2, '2024-08-05 16:10:06', NULL, NULL), (214767, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 3081, 3, 2024, 6, 2, '2024-08-05 16:10:06', NULL, NULL), (214768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 5589, 3, 2024, 6, 2, '2024-08-05 16:10:06', NULL, NULL), (214769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 3081, 3, 2024, 6, 2, '2024-08-05 16:10:06', NULL, NULL), (214770, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 3081, 3, 2024, 6, 2, '2024-08-05 16:10:06', NULL, NULL), (214771, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 5589, 3, 2024, 6, 2, '2024-08-05 16:10:06', NULL, NULL), (214772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 95, 112, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 21854, 1, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 3044, 8, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 89, 1, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 177, 139, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 145, 25, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 1530, 288, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 191, 138, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 877, 3, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 503, 174, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 730, 3, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 683, 295, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 595, 60, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 10931, 2, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 463, 13, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 460, 53, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 2330, 13, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 630, 90, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 681, 55, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 523, 143, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 354, 8, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 1025, 87, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 723, 79, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214795, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 21854, 1, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214796, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 74, 3, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214797, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 4, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214798, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 120, 10, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214799, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 177, 139, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214800, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 657, 4, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214801, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 4827, 5, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214802, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 352, 64, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214803, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 953, 19, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214804, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 96, 6, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214805, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214806, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 383, 10, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214807, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 161, 15, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214808, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 100, 57, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214809, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 730, 8, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214810, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 2768, 106, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214811, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1644, 6, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214812, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 4188, 1, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214813, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 486, 7, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214814, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 12, 23, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214815, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 712, 9, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214816, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1012, 14, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214817, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 2194, 6, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214818, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 34, 24, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214819, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 34, 91, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214820, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 490, 104, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214821, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 856, 2, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214822, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 156, 5, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214823, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 2327, 6, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214824, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 1773, 9, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214825, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 124, 27, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214826, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 503, 86, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214827, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214828, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214829, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 963, 20, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214830, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214831, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 2054, 3, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214832, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 2136, 2, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 156, 5, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 294, 20, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 137, 17, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 124, 27, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 75, 18, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 58, 15, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 17, 14, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 95, 16, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 148, 32, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 147, 14, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 19, 14, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 231, 31, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 2373, 37, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 86, 9, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 29, 16, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 2738, 30, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 33, 22, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 545, 16, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 60, 10, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 3167, 39, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 390, 16, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 498, 14, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 515, 8, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 1925, 8, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 40, 20, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 398, 5, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 773, 21, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 150, 24, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 36, 23, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 481, 33, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 45, 21, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 670, 2, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 577, 29, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1291, 1, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 488, 28, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 296, 20, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 2194, 6, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1644, 6, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 4273, 1, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 383, 10, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 486, 7, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 856, 2, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 2327, 6, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 963, 20, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 203, 20, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 953, 19, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 574, 16, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 390, 3, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 325, 25, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B06', 21854, 1, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 272, 5, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1012, 14, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 6, 3, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 4827, 5, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 4188, 1, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 3, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 22, 2, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 333, 14, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 636, 1, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 127, 14, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 730, 8, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 3081, 2, 2024, 6, 3, '2024-08-05 16:10:07', NULL, NULL), (214895, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 96, 6, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214896, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 1773, 9, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214897, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 352, 64, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214898, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 856, 2, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214899, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 2194, 6, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214900, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 161, 15, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214901, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 74, 3, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214902, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 177, 139, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214903, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 120, 10, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214904, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 12, 23, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214905, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 3081, 2, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214906, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1012, 14, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214907, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 124, 27, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214908, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 34, 91, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214909, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 2327, 6, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214910, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 156, 5, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214911, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 486, 7, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214912, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 877, 3, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214913, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 21854, 1, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214914, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 2768, 106, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214915, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 383, 10, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214916, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1644, 6, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214917, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 36, 23, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214918, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 712, 9, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214919, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 4188, 1, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214920, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 963, 20, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214921, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 953, 19, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214922, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 730, 8, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214923, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 4827, 5, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214924, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 503, 86, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214925, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 490, 104, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214926, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 4273, 1, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214927, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 100, 57, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214928, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 6, 1, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214929, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1291, 1, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214930, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 670, 2, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214931, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 325, 25, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214932, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 953, 19, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214933, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 203, 20, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214934, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 4, 2, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214935, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 383, 3, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214936, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 3, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214937, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 574, 16, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214938, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 390, 3, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214939, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 22, 2, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214940, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 124, 27, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214941, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 1925, 8, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214942, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 555, 1, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214943, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 114, 5, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214944, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 486, 7, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214945, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 9, 4, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214946, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 4273, 1, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214947, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 963, 20, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214948, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 2194, 6, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214949, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1644, 6, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214950, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 773, 21, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214951, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 398, 5, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214952, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 390, 16, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214953, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 515, 8, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214954, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 545, 16, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214955, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1012, 14, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214956, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 127, 14, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214957, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 636, 1, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214958, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 296, 20, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214959, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 28, 12, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214960, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 3, 3, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214961, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 81, 6, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214962, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 4188, 1, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214963, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 51, 15, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214964, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 21, 12, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214965, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 13, 10, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214966, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 156, 5, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214967, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 38, 18, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214968, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 31, 15, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214969, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 4827, 5, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214970, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B06', 21854, 1, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214971, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 86, 9, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214972, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 3167, 39, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214973, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 95, 16, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214974, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 2373, 37, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214975, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 3081, 2, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214976, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 147, 14, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214977, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 2738, 30, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214978, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 75, 18, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214979, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 106, 2, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214980, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 10, 1, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214981, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 333, 14, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214982, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 6, 1, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214983, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 150, 24, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214984, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 730, 8, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214985, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 7, 3, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214986, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 294, 20, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214987, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 14, 4, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214988, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 4, 1, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214989, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 8, 4, 2024, 6, 3, '2024-08-05 16:10:08', NULL, NULL), (214990, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 712, 9, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214991, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 856, 2, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214992, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 383, 10, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214993, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 6, 2, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214994, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 577, 29, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214995, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 148, 32, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214996, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 28, 4, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214997, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 481, 33, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214998, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 231, 31, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (214999, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 137, 17, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215000, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 36, 23, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215001, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 2327, 6, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215002, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 58, 15, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215003, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 488, 28, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 137, 17, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 106, 2, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 294, 20, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 150, 24, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 45, 21, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 4827, 5, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 10, 1, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 231, 31, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 148, 32, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 58, 15, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 488, 28, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 325, 25, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 390, 3, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 577, 29, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 481, 33, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 203, 20, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 2327, 6, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 574, 16, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 296, 20, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 333, 14, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 773, 21, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 398, 5, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 390, 16, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 515, 8, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 545, 16, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 3167, 39, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 2373, 37, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 2738, 30, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 89, 1, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1012, 14, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B06', 21854, 1, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1291, 1, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 963, 20, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 953, 19, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 486, 7, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 856, 2, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 4273, 1, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 383, 10, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 2194, 6, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 670, 2, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1644, 6, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 383, 3, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 3081, 2, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 86, 9, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 147, 14, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 1925, 8, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 22, 2, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 40, 20, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 730, 8, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 56, 9, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 127, 14, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 36, 23, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 636, 1, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 498, 14, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 4188, 1, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 124, 27, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 29, 16, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 156, 5, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 33, 22, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 4, 2, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 17, 14, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 95, 16, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 3, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 19, 14, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 75, 18, 2024, 6, 3, '2024-08-05 16:10:09', NULL, NULL), (215069, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 124, 27, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215070, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 333, 14, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215071, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 481, 33, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215072, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 577, 29, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215073, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 28, 12, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215074, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 9, 4, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215075, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 86, 9, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215076, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 4273, 1, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215077, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 147, 14, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215078, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 488, 28, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215079, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 95, 16, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215080, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 75, 18, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215081, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 22, 2, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215082, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 3, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215083, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 383, 3, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215084, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 4, 2, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215085, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B06', 21854, 1, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215086, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 156, 5, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215087, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 296, 20, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215088, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 2327, 6, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215089, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 2194, 6, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215090, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1644, 6, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215091, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 4827, 5, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215092, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 486, 7, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215093, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1012, 14, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215094, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 6, 1, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215095, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 383, 10, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215096, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 150, 24, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215097, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 963, 20, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215098, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 294, 20, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215099, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 137, 17, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215100, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 2373, 37, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215101, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 58, 15, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215102, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 2738, 30, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215103, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 730, 8, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215104, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 148, 32, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215105, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 231, 31, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215106, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 3167, 39, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215107, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 106, 2, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215108, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 515, 8, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215109, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 636, 1, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215110, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 545, 16, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215111, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 127, 14, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215112, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 10, 1, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215113, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 36, 23, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215114, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1291, 1, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215115, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 670, 2, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215116, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 398, 5, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215117, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 390, 16, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215118, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 773, 21, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215119, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 953, 19, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215120, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 856, 2, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215121, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 712, 9, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215122, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 203, 20, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215123, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 8, 4, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215124, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 574, 16, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215125, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 3081, 2, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215126, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 6, 1, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215127, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 390, 3, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215128, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 7, 3, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215129, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 325, 25, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215130, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 14, 4, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215131, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 4, 1, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215132, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 1925, 8, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215133, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 6, 2, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215134, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 13, 10, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215135, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 28, 4, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215136, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 114, 5, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215137, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 555, 1, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215138, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 38, 18, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215139, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 81, 6, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215140, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 21, 12, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215141, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 4188, 1, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215142, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 31, 15, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215143, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 51, 15, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215144, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 3, 3, 2024, 6, 3, '2024-08-05 16:10:10', NULL, NULL), (215145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 282, 129, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1837, 6, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 64, 123, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 460, 17, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 722, 185, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 85, 84, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 562, 3, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 338, 98, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 3033, 2, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 385, 204, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 54, 6, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (215156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 366, 58, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 0, 1, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 68, 5, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 321, 56, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1015, 19, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 195, 51, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 414, 25, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 452, 81, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 797, 11, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 337, 74, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 229, 57, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215167, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215168, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 1837, 6, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215169, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 599, 13, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215170, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 64, 123, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215171, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 562, 3, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215172, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 434, 10, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215173, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 340, 47, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215174, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215175, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 7, 4, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215176, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 197, 10, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215177, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 384, 7, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215178, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 222, 64, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215179, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 573, 13, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215180, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1209, 56, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215181, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215182, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 17, 1, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215183, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 881, 4, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215184, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 339, 11, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215185, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 31, 8, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215186, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 206, 3, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215187, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 5, 1, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215188, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1571, 3, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215189, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 971, 4, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215190, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 165, 24, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215191, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 70, 58, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215192, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 330, 52, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215193, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 3033, 2, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215194, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 30, 1, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215195, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 363, 12, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215196, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 52, 5, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215197, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 463, 30, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215198, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 352, 54, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215199, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 4, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215200, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 782, 19, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215201, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 1, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215202, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215203, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 1626, 1, 2024, 6, 4, '2024-08-05 16:10:11', NULL, NULL), (215204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 363, 12, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 22, 23, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 22, 10, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 463, 30, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 253, 17, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 138, 17, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 229, 18, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 36, 8, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 140, 25, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 270, 19, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 92, 10, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 23, 13, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1385, 28, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 45, 13, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 71, 9, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1227, 11, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 85, 10, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 390, 11, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 111, 7, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 908, 17, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 98, 13, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 241, 10, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 31, 5, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 406, 9, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 37, 8, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 231, 4, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 407, 9, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 26, 19, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 33, 16, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 165, 24, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 288, 1, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 204, 10, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 286, 16, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 562, 3, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 228, 16, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 3033, 2, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 372, 11, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 971, 4, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 881, 4, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 1626, 1, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 384, 7, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 339, 11, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 30, 1, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 782, 19, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 434, 10, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 191, 12, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 475, 18, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 302, 17, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1571, 3, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 729, 7, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 2962, 2, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 5, 1, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 3885, 2, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 2, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 4, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 2, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 480, 18, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 17, 1, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 7, 4, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 573, 13, 2024, 6, 4, '2024-08-05 16:10:12', NULL, NULL), (215264, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 197, 10, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215265, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 52, 5, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215266, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 340, 47, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215267, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 30, 1, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215268, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 971, 4, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215269, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 7, 4, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215270, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 64, 123, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215271, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 1837, 6, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215272, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 599, 13, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215273, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 31, 8, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215274, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1571, 3, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215275, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 463, 30, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215276, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 70, 58, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215277, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 363, 12, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215278, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 339, 11, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215279, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 562, 3, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215280, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 5, 1, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215281, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1209, 56, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215282, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 384, 7, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215283, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 3033, 2, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215284, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 881, 4, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215285, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 165, 24, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215286, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 206, 3, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215287, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 782, 19, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215288, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 17, 1, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215289, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 434, 10, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215290, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 573, 13, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215291, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 352, 54, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215292, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 336, 51, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215293, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 1626, 1, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215294, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 225, 63, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215295, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 10, 3, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215296, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 562, 3, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215297, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 302, 17, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215298, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 434, 10, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215299, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 191, 12, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215300, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 3, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215301, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 2, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215302, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 3885, 2, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215303, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 475, 18, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215304, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 2, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215305, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 4, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215306, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 463, 30, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215307, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 52, 5, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215308, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 278, 7, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215309, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 339, 11, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215310, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 1626, 1, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215311, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 782, 19, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215312, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 881, 4, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215313, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 971, 4, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215314, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 407, 9, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215315, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 231, 4, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215316, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 241, 10, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215317, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 406, 9, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215318, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1571, 3, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215319, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 390, 11, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215320, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 7, 4, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215321, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 372, 11, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215322, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 17, 1, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215323, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 5, 1, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215324, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 32, 3, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215325, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 78, 5, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215326, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 111, 7, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215327, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 65, 4, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215328, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 46, 3, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215329, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 92, 8, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215330, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 41, 7, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215331, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 85, 10, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215332, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 363, 12, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215333, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 50, 11, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215334, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 71, 9, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215335, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 908, 17, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215336, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 229, 18, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215337, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1385, 28, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215338, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 270, 19, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215339, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1227, 11, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215340, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 253, 17, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215341, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 1274, 4, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215342, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 2962, 2, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215343, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 480, 18, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215344, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 3033, 2, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215345, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 33, 16, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215346, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 573, 13, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215347, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 22, 23, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215348, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 18, 2, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215349, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 26, 19, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215350, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 5, 1, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215351, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 10, 2, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215352, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 206, 3, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215353, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 30, 1, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215354, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 384, 7, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215355, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 94, 2, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215356, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 140, 25, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215357, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 286, 16, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215358, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 288, 1, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215359, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 4, 1, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215360, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 23, 13, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215361, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 22, 10, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215362, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 165, 24, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215363, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 228, 16, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215364, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 138, 17, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 22, 10, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 1274, 4, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 22, 23, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 33, 16, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 204, 10, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 26, 19, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 2962, 2, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 23, 13, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 140, 25, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 138, 17, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 228, 16, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 302, 17, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 475, 18, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 286, 16, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 288, 1, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 191, 12, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 372, 11, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 480, 18, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 3033, 2, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 407, 9, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 231, 4, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 241, 10, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 406, 9, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 390, 11, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 908, 17, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1385, 28, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1227, 11, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1571, 3, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 562, 3, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 782, 19, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 434, 10, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 339, 11, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 30, 1, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 1626, 1, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 384, 7, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 971, 4, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 881, 4, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 3, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 71, 9, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 270, 19, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 31, 5, 2024, 6, 4, '2024-08-05 16:10:13', NULL, NULL), (215406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 2, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 573, 13, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 37, 8, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 111, 7, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 7, 4, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 165, 24, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 17, 1, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 98, 13, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 3885, 2, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 45, 13, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 463, 30, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 85, 10, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 363, 12, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 4, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 229, 18, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 36, 8, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 2, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 5, 1, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 92, 10, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 253, 17, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215426, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 463, 30, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215427, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 480, 18, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215428, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 288, 1, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215429, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 286, 16, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215430, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 32, 3, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215431, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 71, 9, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215432, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 1626, 1, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215433, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 270, 19, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215434, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 228, 16, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215435, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 229, 18, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215436, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 253, 17, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215437, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 4, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215438, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 2, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215439, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 3885, 2, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215440, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 2, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215441, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 3, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215442, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 363, 12, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215443, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 17, 1, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215444, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 372, 11, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215445, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 971, 4, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215446, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 881, 4, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215447, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 339, 11, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215448, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1571, 3, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215449, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 26, 19, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215450, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 10, 3, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215451, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 384, 7, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215452, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 33, 16, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215453, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 782, 19, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215454, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 22, 23, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215455, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 22, 10, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215456, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1385, 28, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215457, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 138, 17, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215458, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1227, 11, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215459, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 573, 13, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215460, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 140, 25, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215461, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 5, 1, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215462, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 23, 13, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215463, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 908, 17, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215464, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 1274, 4, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215465, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 406, 9, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215466, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 390, 11, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215467, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 7, 4, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215468, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 2962, 2, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215469, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 165, 24, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215470, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 562, 3, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215471, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 231, 4, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215472, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 241, 10, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215473, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 407, 9, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215474, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 434, 10, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215475, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 30, 1, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215476, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 3033, 2, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215477, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 206, 3, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215478, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 191, 12, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215479, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 5, 1, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215480, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 10, 2, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215481, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 475, 18, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215482, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 302, 17, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215483, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 18, 2, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215484, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 94, 2, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215485, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 41, 7, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215486, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 4, 1, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215487, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 278, 7, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215488, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 52, 5, 2024, 6, 4, '2024-08-05 16:10:15', NULL, NULL), (215489, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 85, 10, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215490, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 111, 7, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215491, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 92, 8, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215492, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 50, 11, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215493, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 65, 4, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215494, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 78, 5, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215495, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 46, 3, 2024, 6, 4, '2024-08-05 16:10:14', NULL, NULL), (215496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 252, 141, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2333, 11, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 32, 113, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 116, 39, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 397, 178, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 76, 130, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 21714, 3, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 619, 175, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 24, 1, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 495, 10, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 362, 267, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 182, 39, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 94, 12, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 187, 62, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 2139, 12, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 539, 80, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 173, 54, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 227, 101, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 5052, 13, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 266, 64, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 165, 85, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215517, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215518, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 3329, 7, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215519, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215520, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 20, 29, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215521, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 32, 113, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215522, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 21714, 3, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215523, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 472, 5, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215524, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 79, 7, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215525, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1160, 57, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215526, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 100, 9, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215527, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 4, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215528, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 12, 5, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215529, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 50, 10, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215530, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 289, 75, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215531, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 64, 13, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215532, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 413, 45, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215533, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 759, 4, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215534, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 20, 4, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215535, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 10, 1, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215536, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 1539, 10, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215537, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 80, 15, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215538, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 433, 1, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215539, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 11, 7, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215540, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 464, 4, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215541, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 194, 26, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215542, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 65, 97, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215543, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 211, 114, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215544, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 12, 2, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215545, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 160, 14, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215546, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 4552, 4, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215547, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 210, 7, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215548, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 252, 26, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215549, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 73, 53, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215550, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 10, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215551, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 7, 2024, 6, 5, '2024-08-05 16:10:16', NULL, NULL), (215552, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 980, 30, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 160, 14, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 73, 17, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 11, 18, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 252, 26, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 20, 23, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 343, 17, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 317, 18, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 25, 10, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 69, 17, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 32, 19, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 535, 14, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 290, 19, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 219, 21, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 403, 13, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 75, 20, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 40, 7, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (215569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 67, 24, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 71, 10, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 325, 18, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 110, 13, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 53, 15, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 55, 8, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 204, 9, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 79, 13, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 100, 8, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 34, 7, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 34, 19, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 24, 17, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 194, 26, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 27, 14, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 224, 27, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 21714, 3, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 236, 29, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 188, 31, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 161, 8, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 24, 1, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 464, 4, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 20, 4, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 12, 5, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 1539, 10, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 4552, 4, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1014, 29, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 79, 7, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1126, 11, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1144, 21, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 1112, 24, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 3024, 1, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 11, 7, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 1946, 12, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 111, 3, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 268, 9, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 3, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 20, 7, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 196, 27, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 6, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 10, 1, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 100, 9, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 64, 13, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 3037, 1, 2024, 6, 5, '2024-08-05 16:10:17', NULL, NULL), (215612, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 50, 10, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215613, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 210, 7, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215614, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1160, 57, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215615, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 464, 4, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215616, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 100, 9, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215617, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 3329, 7, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215618, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 32, 113, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215619, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 20, 29, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215620, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 80, 15, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215621, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 11, 7, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215622, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 252, 26, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215623, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 65, 97, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215624, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 4552, 4, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215625, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 160, 14, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215626, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 1539, 10, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215627, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 21714, 3, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215628, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 413, 45, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215629, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 3037, 1, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215630, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 12, 5, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215631, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 20, 4, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215632, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 24, 1, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215633, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 194, 26, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215634, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 433, 1, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215635, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1014, 29, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215636, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 10, 1, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215637, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 79, 7, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215638, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 64, 13, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215639, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 590, 4, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215640, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 73, 53, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215641, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 211, 114, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215642, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 289, 75, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215643, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 65, 3, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215644, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 21714, 3, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215645, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 3024, 1, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215646, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 79, 7, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215647, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 111, 3, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215648, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1126, 11, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215649, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 10, 5, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215650, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1144, 21, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215651, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 3, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215652, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 10, 5, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215653, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 1112, 24, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215654, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 6, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215655, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 20, 7, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215656, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 252, 26, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215657, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 325, 4, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215658, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 58, 3, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215659, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 43, 7, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215660, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 1539, 10, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215661, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 12, 2, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215662, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1014, 29, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215663, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 20, 4, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215664, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 464, 4, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215665, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 34, 7, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215666, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 100, 8, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215667, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 53, 15, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215668, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 55, 8, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215669, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 40, 7, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215670, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 11, 7, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215671, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 100, 9, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215672, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 161, 8, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215673, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 10, 1, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215674, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 10, 5, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215675, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 91, 9, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215676, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 71, 9, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215677, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 95, 8, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215678, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 51, 3, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215679, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 76, 13, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215680, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 25, 10, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215681, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 55, 21, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215682, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 160, 14, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215683, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 79, 19, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215684, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 590, 4, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215685, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 219, 21, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215686, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 325, 18, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215687, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 317, 18, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215688, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 535, 14, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215689, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 403, 13, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215690, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 290, 19, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215691, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 343, 17, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215692, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 3037, 1, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215693, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 3329, 7, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215694, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 196, 27, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215695, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 24, 1, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215696, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 64, 13, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215697, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 24, 17, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215698, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 64, 1, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215699, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 73, 17, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215700, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 151, 3, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215701, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 5, 1, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215702, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 34, 19, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215703, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 40, 2, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215704, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 194, 2, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215705, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 433, 1, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215706, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 12, 5, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215707, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 46, 4, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215708, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 236, 29, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215709, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 32, 19, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215710, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 224, 27, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215711, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 11, 18, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215712, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 194, 26, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215713, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 4552, 4, 2024, 6, 5, '2024-08-05 16:10:18', NULL, NULL), (215714, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 188, 31, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215715, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 20, 23, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 3329, 7, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 11, 18, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 73, 17, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 24, 17, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 27, 14, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 34, 19, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 590, 4, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 32, 19, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 20, 23, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 188, 31, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 3024, 1, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 3037, 1, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 1112, 24, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 236, 29, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 224, 27, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 1126, 11, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 4552, 4, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1144, 21, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 161, 8, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 196, 27, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 24, 1, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 34, 7, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 100, 8, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 53, 15, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 55, 8, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 40, 7, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 325, 18, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 535, 14, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 403, 13, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 11, 7, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1014, 29, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 79, 7, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 1539, 10, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 12, 5, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 464, 4, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 20, 4, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 21714, 3, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 10, 5, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 219, 21, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 290, 19, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 204, 9, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 64, 13, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 6, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 79, 13, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 100, 9, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 71, 10, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 194, 26, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 110, 13, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 10, 1, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 10, 5, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 75, 20, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 252, 26, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 111, 3, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 67, 24, 2024, 6, 5, '2024-08-05 16:10:19', NULL, NULL), (215770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 160, 14, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 317, 18, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 20, 7, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 25, 10, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 69, 17, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 3, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 343, 17, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215777, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 196, 27, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215778, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 252, 26, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215779, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 224, 27, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215780, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 236, 29, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215781, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 10, 5, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215782, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 12, 2, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215783, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 219, 21, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215784, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 188, 31, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215785, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 290, 19, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215786, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 317, 18, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215787, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 343, 17, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215788, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 20, 7, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215789, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 6, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215790, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 10, 5, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215791, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 3, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215792, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 10, 5, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215793, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 111, 3, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215794, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 160, 14, 2024, 6, 5, '2024-08-05 16:10:22', NULL, NULL), (215795, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 10, 1, 2024, 6, 5, '2024-08-05 16:10:22', NULL, NULL), (215796, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 161, 8, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215797, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 4552, 4, 2024, 6, 5, '2024-08-05 16:10:22', NULL, NULL), (215798, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 464, 4, 2024, 6, 5, '2024-08-05 16:10:22', NULL, NULL), (215799, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 20, 4, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215800, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 590, 4, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215801, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 1539, 10, 2024, 6, 5, '2024-08-05 16:10:22', NULL, NULL), (215802, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 11, 7, 2024, 6, 5, '2024-08-05 16:10:22', NULL, NULL), (215803, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 65, 3, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215804, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 12, 5, 2024, 6, 5, '2024-08-05 16:10:22', NULL, NULL), (215805, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 34, 19, 2024, 6, 5, '2024-08-05 16:10:22', NULL, NULL), (215806, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 24, 17, 2024, 6, 5, '2024-08-05 16:10:22', NULL, NULL), (215807, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1014, 29, 2024, 6, 5, '2024-08-05 16:10:22', NULL, NULL), (215808, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 73, 17, 2024, 6, 5, '2024-08-05 16:10:22', NULL, NULL), (215809, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 11, 18, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215810, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 535, 14, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215811, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 403, 13, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215812, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 20, 23, 2024, 6, 5, '2024-08-05 16:10:22', NULL, NULL), (215813, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 64, 13, 2024, 6, 5, '2024-08-05 16:10:22', NULL, NULL), (215814, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 32, 19, 2024, 6, 5, '2024-08-05 16:10:22', NULL, NULL), (215815, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 325, 18, 2024, 6, 5, '2024-08-05 16:10:22', NULL, NULL), (215816, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 3329, 7, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215817, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 55, 8, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215818, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 40, 7, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215819, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 100, 9, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215820, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 194, 26, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215821, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 21714, 3, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215822, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 100, 8, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215823, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 53, 15, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215824, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 34, 7, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215825, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 79, 7, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215826, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 433, 1, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215827, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 24, 1, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215828, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 1126, 11, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215829, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 40, 2, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215830, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1144, 21, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215831, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 194, 2, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215832, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 1112, 24, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215833, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 64, 1, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215834, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 3024, 1, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215835, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 151, 3, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215836, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 5, 1, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215837, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 325, 4, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215838, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 46, 4, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215839, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 25, 10, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215840, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 58, 3, 2024, 6, 5, '2024-08-05 16:10:22', NULL, NULL), (215841, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 43, 7, 2024, 6, 5, '2024-08-05 16:10:22', NULL, NULL), (215842, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 3037, 1, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215843, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 55, 21, 2024, 6, 5, '2024-08-05 16:10:20', NULL, NULL), (215844, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 71, 9, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215845, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 76, 13, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215846, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 79, 19, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215847, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 95, 8, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215848, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 91, 9, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215849, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 51, 3, 2024, 6, 5, '2024-08-05 16:10:21', NULL, NULL), (215850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 304, 117, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 20228, 8, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 132, 94, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 6, 23, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 530, 72, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 47, 131, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 13643, 6, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 569, 185, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 914, 1, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 106, 8, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 421, 192, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 363, 30, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 149, 12, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 183, 37, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 8683, 19, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 138, 34, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 304, 31, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 345, 86, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 4878, 17, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 286, 79, 2024, 6, 6, '2024-08-05 16:10:26', NULL, NULL), (215870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 275, 87, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215871, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 20228, 8, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215872, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 3, 15, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215873, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 132, 94, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215874, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 9095, 9, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215875, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1857, 6, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215876, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 410, 71, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215877, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 89, 8, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215878, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 13, 8, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215879, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 322, 52, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215880, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 166, 7, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215881, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 137, 17, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215882, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 2, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215883, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 264, 4, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215884, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 648, 7, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215885, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 103, 5, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215886, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 62, 2, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215887, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1281, 4, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215888, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 2029, 3, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215889, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 254, 23, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215890, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 35, 107, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215891, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 627, 107, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215892, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 914, 1, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215893, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 4, 1, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215894, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 330, 17, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215895, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1292, 7, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215896, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 294, 25, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215897, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 121, 9, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215898, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 276, 20, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215899, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215900, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 299, 4, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215901, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2024, 6, 6, '2024-08-05 16:10:27', NULL, NULL), (215902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 9, 11, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 330, 17, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 5, 11, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 294, 25, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 98, 19, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 64, 19, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 59, 9, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 33, 15, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 652, 14, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 27, 10, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 1350, 11, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 7, 13, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 290, 5, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 15, 7, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 30, 7, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 37, 15, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 50, 2, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 8, 16, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 69, 15, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 155, 5, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 549, 2, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 78, 19, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 239, 9, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 46, 12, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 34, 13, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 180, 3, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 81, 1, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 19, 14, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 76, 12, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 254, 23, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 55, 22, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 291, 20, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 697, 39, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 839, 37, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 13643, 6, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 914, 1, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 515, 3, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 2029, 3, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 264, 4, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 648, 7, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 4, 1, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 299, 4, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1292, 7, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1857, 6, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 235, 20, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 309, 23, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 619, 28, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1708, 3, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 14711, 11, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 4, 3, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 12, 1, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 4, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 3, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 1, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 279, 11, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 166, 7, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 13, 8, 2024, 6, 6, '2024-08-05 16:10:28', NULL, NULL), (215959, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 89, 8, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215960, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 121, 9, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215961, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 410, 71, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215962, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 4, 1, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215963, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 2029, 3, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215964, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 13, 8, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215965, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 132, 94, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215966, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 20228, 8, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215967, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 3, 15, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215968, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 103, 5, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215969, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1708, 3, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215970, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 294, 25, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215971, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 35, 107, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215972, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1292, 7, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215973, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 330, 17, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215974, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 648, 7, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215975, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 13643, 6, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215976, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 137, 17, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215977, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 264, 4, 2024, 6, 6, '2024-08-05 16:10:29', NULL, NULL), (215978, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 914, 1, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215979, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 254, 23, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215980, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 62, 2, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215981, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 299, 4, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215982, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1857, 6, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (215983, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 166, 7, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215984, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 276, 20, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215985, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 627, 107, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215986, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 322, 52, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215987, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 61, 5, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (215988, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 13643, 6, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (215989, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 619, 28, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (215990, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1857, 6, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (215991, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 4, 3, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215992, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 2, 3, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215993, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 235, 20, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (215994, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 4, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (215995, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 12, 1, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (215996, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 309, 23, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (215997, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 1, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (215998, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 3, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (215999, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 294, 25, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216000, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 79, 3, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (216001, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 142, 6, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (216002, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 648, 7, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (216003, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 136, 3, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216004, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 19, 1, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216005, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 299, 4, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216006, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 264, 4, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216007, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 2029, 3, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216008, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 81, 1, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (216009, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 180, 3, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (216010, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 549, 2, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (216011, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 239, 9, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (216012, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1708, 3, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216013, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 50, 2, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216014, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 13, 8, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216015, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 515, 3, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (216016, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 43, 18, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (216017, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 50, 10, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216018, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 55, 14, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216019, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 18, 8, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216020, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 35, 9, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216021, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 27, 10, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216022, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 38, 8, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216023, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 330, 17, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216024, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 8, 16, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216025, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 39, 14, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216026, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 30, 7, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (216027, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 155, 5, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (216028, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 33, 15, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216029, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 290, 5, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216030, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 15, 7, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216031, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 1350, 11, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216032, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 64, 19, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (216033, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 20228, 8, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216034, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 279, 11, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216035, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 914, 1, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216036, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 166, 7, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (216037, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 9, 1, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (216038, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 76, 12, 2024, 6, 6, '2024-08-05 16:10:30', NULL, NULL), (216039, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 267, 1, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216040, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 9, 11, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216041, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 2, 1, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216042, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 19, 14, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216043, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 4, 1, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216044, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 62, 2, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216045, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 652, 14, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216046, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 697, 39, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216047, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 222, 1, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216048, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 7, 13, 2024, 6, 6, '2024-08-05 16:10:31', NULL, NULL), (216049, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 291, 20, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216050, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 5, 11, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216051, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 254, 23, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216052, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 839, 37, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216053, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 98, 19, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216054, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1292, 7, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 5, 11, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 20228, 8, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 9, 11, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 76, 12, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 55, 22, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 19, 14, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 7, 13, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 652, 14, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 98, 19, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 839, 37, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 619, 28, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 309, 23, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 697, 39, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 291, 20, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1292, 7, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 235, 20, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 515, 3, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 279, 11, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 914, 1, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 81, 1, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 180, 3, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 549, 2, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 239, 9, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 50, 2, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 155, 5, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 290, 5, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 15, 7, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1708, 3, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 299, 4, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 13643, 6, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1857, 6, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 648, 7, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 4, 1, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 2029, 3, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 264, 4, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 2, 3, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 30, 7, 2024, 6, 6, '2024-08-05 16:10:32', NULL, NULL), (216092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 1350, 11, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 46, 12, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 166, 7, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 1, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 34, 13, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 254, 23, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 13, 8, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 69, 15, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 78, 19, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 12, 1, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 294, 25, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 37, 15, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 4, 3, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 330, 17, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 8, 16, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 3, 2024, 6, 6, '2024-08-05 16:10:33', NULL, NULL), (216108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 59, 9, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 33, 15, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 27, 10, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 4, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 64, 19, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216113, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 294, 25, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216114, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 279, 11, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216115, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 291, 20, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216116, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 697, 39, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216117, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 43, 18, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216118, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 19, 1, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216119, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 30, 7, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216120, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 1350, 11, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216121, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 839, 37, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216122, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 33, 15, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216123, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 64, 19, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216124, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 3, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216125, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 1, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216126, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 12, 1, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216127, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 4, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216128, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 2, 3, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216129, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 4, 3, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216130, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 330, 17, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216131, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 515, 3, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216132, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1292, 7, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216133, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 2029, 3, 2024, 6, 6, '2024-08-05 16:10:36', NULL, NULL), (216134, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 264, 4, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216135, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 648, 7, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216136, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1708, 3, 2024, 6, 6, '2024-08-05 16:10:36', NULL, NULL), (216137, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 61, 5, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216138, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 19, 14, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216139, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 299, 4, 2024, 6, 6, '2024-08-05 16:10:36', NULL, NULL), (216140, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 76, 12, 2024, 6, 6, '2024-08-05 16:10:36', NULL, NULL), (216141, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 9, 11, 2024, 6, 6, '2024-08-05 16:10:36', NULL, NULL), (216142, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 5, 11, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216143, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 290, 5, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216144, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 15, 7, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216145, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 98, 19, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216146, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 166, 7, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216147, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 652, 14, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216148, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 7, 13, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216149, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 155, 5, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216150, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 20228, 8, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216151, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 239, 9, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216152, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 50, 2, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216153, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 13, 8, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216154, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 254, 23, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216155, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 13643, 6, 2024, 6, 6, '2024-08-05 16:10:36', NULL, NULL), (216156, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 180, 3, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216157, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 549, 2, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216158, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1857, 6, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216159, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 81, 1, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216160, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 4, 1, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216161, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 914, 1, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216162, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 62, 2, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216163, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 235, 20, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216164, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 9, 1, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216165, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 309, 23, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216166, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 267, 1, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216167, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 619, 28, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216168, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 2, 1, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216169, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 79, 3, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216170, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 38, 8, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216171, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 222, 1, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216172, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 142, 6, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216173, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 136, 3, 2024, 6, 6, '2024-08-05 16:10:36', NULL, NULL), (216174, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 8, 16, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216175, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 55, 14, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216176, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 27, 10, 2024, 6, 6, '2024-08-05 16:10:34', NULL, NULL), (216177, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 39, 14, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216178, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 18, 8, 2024, 6, 6, '2024-08-05 16:10:35', NULL, NULL), (216179, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 50, 10, 2024, 6, 6, '2024-08-05 16:10:36', NULL, NULL), (216180, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 35, 9, 2024, 6, 6, '2024-08-05 16:10:36', NULL, NULL), (216181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 239, 108, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 5525, 4, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 2614, 1, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 21, 71, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 248, 43, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 651, 149, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 132, 115, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 2981, 1, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 432, 160, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 13, 3, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 12, 3, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 327, 271, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 159, 54, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 2614, 1, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 24, 1, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 202, 44, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 3683, 6, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 361, 70, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 163, 38, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 570, 57, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 432, 7, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 246, 54, 2024, 6, 7, '2024-08-05 16:10:40', NULL, NULL), (216203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 462, 60, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216204, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 2614, 1, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216205, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 5522, 4, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216206, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 4, 16, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216207, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 21, 71, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216208, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2981, 1, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216209, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 9, 1, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216210, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 3068, 7, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216211, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 414, 44, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216212, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216213, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 407, 26, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216214, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 339, 7, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216215, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 305, 4, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216216, 22, '511502000000-0001', '翠屏区政务服务中心', '农民工绿色通道', '', '', '', 0, 1, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216217, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 228, 54, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216218, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 28, 5, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216219, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 702, 39, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216220, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216221, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 18, 1, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216222, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1176, 2, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216223, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 352, 12, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216224, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 154, 28, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216225, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 320, 1, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216226, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 17, 4, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216227, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 313, 9, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216228, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 329, 24, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216229, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 92, 72, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216230, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 440, 114, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216231, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 13, 3, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216232, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 377, 2, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216233, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 66, 6, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216234, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 195, 4, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216235, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 217, 24, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216236, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 226, 7, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216237, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 77, 43, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216238, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 10, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216239, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1512, 22, 2024, 6, 7, '2024-08-05 16:10:41', NULL, NULL), (216240, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 9, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 12, 15, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 66, 6, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 217, 24, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 19, 10, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 227, 22, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 12, 9, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 283, 11, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 101, 14, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 115, 11, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 245, 6, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 6, 13, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 692, 14, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 296, 10, 2024, 6, 7, '2024-08-05 16:10:44', NULL, NULL), (216254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 108, 16, 2024, 6, 7, '2024-08-05 16:10:44', NULL, NULL), (216255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 684, 16, 2024, 6, 7, '2024-08-05 16:10:44', NULL, NULL), (216256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 48, 13, 2024, 6, 7, '2024-08-05 16:10:44', NULL, NULL), (216257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 108, 12, 2024, 6, 7, '2024-08-05 16:10:44', NULL, NULL), (216258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 71, 16, 2024, 6, 7, '2024-08-05 16:10:44', NULL, NULL), (216259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 747, 9, 2024, 6, 7, '2024-08-05 16:10:44', NULL, NULL), (216260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 189, 21, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 29, 2, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 30, 6, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 190, 7, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 43, 4, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 229, 14, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 63, 8, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 178, 4, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 65, 12, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 329, 24, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 10, 12, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 41, 8, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 496, 36, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 2981, 1, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 457, 41, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 376, 36, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 13, 3, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 56, 7, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 313, 9, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1176, 2, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 305, 4, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 352, 12, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 377, 2, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 600, 16, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 260, 3, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 3068, 7, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 521, 23, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 326, 15, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 222, 6, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 3943, 6, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B06', 2614, 1, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 17, 4, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 2763, 8, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 9, 1, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 1, 4, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 9, 4, 2024, 6, 7, '2024-08-05 16:10:43', NULL, NULL), (216296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 4, 3, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 28, 5, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 407, 26, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B15', 18, 1, 2024, 6, 7, '2024-08-05 16:10:42', NULL, NULL), (216300, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 339, 7, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216301, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 226, 7, 2024, 6, 7, '2024-08-05 16:10:44', NULL, NULL), (216302, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 414, 44, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216303, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 377, 2, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216304, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 313, 9, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216305, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 407, 26, 2024, 6, 7, '2024-08-05 16:10:44', NULL, NULL), (216306, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 7363, 3, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216307, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 21, 71, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216308, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 4, 16, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216309, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 154, 28, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216310, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 17, 4, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216311, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 217, 24, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216312, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 92, 72, 2024, 6, 7, '2024-08-05 16:10:44', NULL, NULL), (216313, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 260, 3, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216314, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 66, 6, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216315, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 352, 12, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216316, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 2981, 1, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216317, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 2614, 1, 2024, 6, 7, '2024-08-05 16:10:44', NULL, NULL), (216318, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 702, 39, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216319, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 18, 1, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216320, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 305, 4, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216321, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 13, 3, 2024, 6, 7, '2024-08-05 16:10:44', NULL, NULL), (216322, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1176, 2, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216323, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 329, 24, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216324, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 320, 1, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216325, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1512, 22, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216326, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 3068, 7, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216327, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 28, 5, 2024, 6, 7, '2024-08-05 16:10:44', NULL, NULL), (216328, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 9, 1, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216329, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 77, 43, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216330, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 443, 113, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216331, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 228, 54, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216332, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 389, 6, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216333, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 2981, 1, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216334, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 222, 6, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216335, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 3068, 7, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216336, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 521, 23, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216337, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 5, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216338, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 326, 15, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216339, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 1, 4, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216340, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 4, 3, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216341, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 217, 24, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216342, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 9, 4, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216343, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 29, 2, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216344, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 304, 5, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216345, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 37, 1, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216346, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 352, 12, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216347, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 32, 2, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216348, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 600, 16, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216349, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 313, 9, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216350, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1176, 2, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216351, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 178, 4, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216352, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 43, 4, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216353, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 63, 8, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216354, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 29, 2, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216355, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 30, 6, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216356, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 17, 4, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216357, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 108, 12, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216358, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 407, 26, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216359, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 3943, 6, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216360, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 56, 7, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216361, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 46, 5, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216362, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 117, 12, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216363, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 56, 11, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216364, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 125, 4, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216365, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 264, 4, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216366, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 167, 3, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216367, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 17, 9, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216368, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 66, 6, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216369, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 53, 11, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216370, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 123, 13, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216371, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 9, 1, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216372, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B06', 2614, 1, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216373, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 296, 10, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216374, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 747, 9, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216375, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 283, 11, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216376, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 692, 14, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216377, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 115, 11, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216378, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 684, 16, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216379, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 227, 22, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216380, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B15', 18, 1, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216381, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 7363, 3, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216382, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 13, 3, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216383, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 28, 5, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216384, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 244, 3, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216385, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 10, 12, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216386, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 104, 5, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216387, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 12, 15, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216388, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 23, 2, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216389, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 39, 3, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216390, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 65, 12, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216391, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 93, 4, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216392, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 219, 1, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216393, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 320, 1, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (216394, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 377, 2, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216395, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 305, 4, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216396, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 323, 3, 2024, 6, 7, '2024-08-05 16:10:45', NULL, NULL), (216397, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 457, 41, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216398, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 252, 5, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216399, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 6, 13, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216400, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 496, 36, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216401, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 329, 24, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216402, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 19, 10, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216403, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 260, 3, 2024, 6, 7, '2024-08-05 16:10:46', NULL, NULL), (216404, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 12, 9, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216405, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 376, 36, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 7363, 3, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 19, 10, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 12, 15, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 10, 12, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 41, 8, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 65, 12, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 9, 1, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 6, 13, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 12, 9, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 376, 36, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 222, 6, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 457, 41, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 496, 36, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 521, 23, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 260, 3, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B15', 18, 1, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 326, 15, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 56, 7, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 13, 3, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 178, 4, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 43, 4, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 63, 8, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 29, 2, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 30, 6, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 108, 12, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 747, 9, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 692, 14, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 684, 16, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 17, 4, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 3943, 6, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B06', 2614, 1, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 600, 16, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 3068, 7, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 352, 12, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 377, 2, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 305, 4, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 313, 9, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 2981, 1, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1176, 2, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 5, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 296, 10, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 115, 11, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 190, 7, 2024, 6, 7, '2024-08-05 16:10:47', NULL, NULL), (216449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 28, 5, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 4, 3, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 229, 14, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 71, 16, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 329, 24, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 407, 26, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 189, 21, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 217, 24, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 108, 16, 2024, 6, 7, '2024-08-05 16:10:48', NULL, NULL), (216458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 66, 6, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 48, 13, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 283, 11, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 9, 4, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 101, 14, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 245, 6, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 227, 22, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 1, 4, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216466, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 217, 24, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216467, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 496, 36, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216468, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 457, 41, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216469, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 46, 5, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216470, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 32, 2, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216471, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 296, 10, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216472, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 115, 11, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216473, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 376, 36, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216474, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 283, 11, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216475, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 227, 22, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216476, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 9, 4, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216477, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 4, 3, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216478, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 1, 4, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216479, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 5, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216480, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B06', 2614, 1, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216481, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 66, 6, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216482, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 56, 7, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216483, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 260, 3, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216484, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 313, 9, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216485, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 3943, 6, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216486, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1176, 2, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216487, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 9, 1, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216488, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 352, 12, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216489, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 17, 4, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216490, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 389, 6, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216491, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 65, 12, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216492, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 305, 4, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216493, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 600, 16, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216494, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 10, 12, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216495, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 12, 15, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216496, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 19, 10, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216497, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 692, 14, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216498, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 12, 9, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216499, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 684, 16, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216500, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 28, 5, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216501, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 6, 13, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216502, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 747, 9, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216503, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 7363, 3, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216504, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 30, 6, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216505, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 108, 12, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216506, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 407, 26, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216507, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 329, 24, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216508, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 2981, 1, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216509, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 63, 8, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216510, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 29, 2, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216511, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 3068, 7, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216512, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 178, 4, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216513, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 43, 4, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216514, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 377, 2, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216515, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 320, 1, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216516, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 13, 3, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216517, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 521, 23, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216518, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 93, 4, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216519, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 326, 15, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216520, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 219, 1, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216521, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 244, 3, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216522, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 104, 5, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216523, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 222, 6, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216524, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 23, 2, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216525, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 39, 3, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216526, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 29, 2, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216527, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 323, 3, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216528, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 17, 9, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216529, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 252, 5, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216530, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 304, 5, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216531, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 37, 1, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216532, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 53, 11, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216533, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 56, 11, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216534, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B15', 18, 1, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216535, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 167, 3, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216536, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 123, 13, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216537, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 125, 4, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216538, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 117, 12, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216539, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 264, 4, 2024, 6, 7, '2024-08-05 16:10:49', NULL, NULL), (216540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 11, 2, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1294, 25, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 993, 24, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1096, 6, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 987, 2, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216545, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 3, 1, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216546, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216547, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 675, 4, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216548, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1289, 23, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216549, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 9, 2, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1412, 21, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 3, 1, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 19, 1, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 675, 4, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216554, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 675, 4, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216555, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 19, 1, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216556, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1412, 21, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216557, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 3, 1, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216558, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 1, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216559, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 675, 4, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216560, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 19, 1, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216561, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1412, 21, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 1, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 19, 1, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1412, 21, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 675, 4, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216566, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 1412, 21, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216567, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 1, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216568, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 19, 1, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216569, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 675, 4, 2024, 6, 8, '2024-08-05 16:10:50', NULL, NULL), (216570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 475, 22, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 503, 12, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 494, 4, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 373, 5, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216574, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 512, 3, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216575, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 469, 19, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 471, 11, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 467, 8, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 512, 3, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216579, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 512, 3, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216580, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 469, 19, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216581, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 512, 3, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216582, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 471, 11, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216583, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 467, 8, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 467, 8, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 512, 3, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 471, 11, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216587, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 471, 11, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216588, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 467, 8, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216589, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 512, 3, 2024, 6, 9, '2024-08-05 16:10:51', NULL, NULL), (216590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 967, 7, 2024, 6, 10, '2024-08-05 16:10:52', NULL, NULL), (216591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 879, 4, 2024, 6, 10, '2024-08-05 16:10:52', NULL, NULL), (216592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1416, 2, 2024, 6, 10, '2024-08-05 16:10:52', NULL, NULL), (216593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 212, 2, 2024, 6, 10, '2024-08-05 16:10:52', NULL, NULL), (216594, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 6, 10, '2024-08-05 16:10:52', NULL, NULL), (216595, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 967, 7, 2024, 6, 10, '2024-08-05 16:10:52', NULL, NULL), (216596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 2502, 1, 2024, 6, 10, '2024-08-05 16:10:52', NULL, NULL), (216597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 711, 6, 2024, 6, 10, '2024-08-05 16:10:52', NULL, NULL), (216598, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 967, 7, 2024, 6, 10, '2024-08-05 16:10:52', NULL, NULL), (216599, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 2502, 1, 2024, 6, 10, '2024-08-05 16:10:52', NULL, NULL), (216600, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 711, 6, 2024, 6, 10, '2024-08-05 16:10:52', NULL, NULL), (216601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 711, 6, 2024, 6, 10, '2024-08-05 16:10:52', NULL, NULL), (216602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 2502, 1, 2024, 6, 10, '2024-08-05 16:10:52', NULL, NULL), (216603, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 2502, 1, 2024, 6, 10, '2024-08-05 16:10:52', NULL, NULL), (216604, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 711, 6, 2024, 6, 10, '2024-08-05 16:10:52', NULL, NULL), (216605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 448, 95, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 12, 8, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 42, 111, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 504, 61, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 150, 116, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 7528, 1, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 428, 184, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 15, 2, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 323, 208, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 320, 33, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 836, 6, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 236, 49, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 29, 10, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 275, 38, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 161, 48, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 342, 58, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 740, 14, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 240, 62, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 257, 72, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216624, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 185, 6, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216625, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 12, 8, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216626, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 42, 111, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216627, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 59, 29, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216628, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216629, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1882, 4, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216630, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 517, 20, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216631, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 66, 57, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216632, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 444, 67, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216633, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 400, 116, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216634, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 0, 1, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216635, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216636, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 24, 11, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216637, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 246, 31, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216638, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 497, 6, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216639, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1253, 2, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216640, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 78, 47, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216641, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 1087, 10, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216642, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 10696, 2, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216643, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 1065, 24, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216644, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 9, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216645, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 7, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216646, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 45, 32, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216647, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 1, 2024, 6, 11, '2024-08-05 16:10:53', NULL, NULL), (216648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 497, 6, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 11, 17, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 61, 17, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 1111, 23, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 17, 11, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 31, 17, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 79, 15, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 80, 6, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 51, 18, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 39, 7, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 23, 11, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 43, 10, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 46, 21, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 7, 14, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 200, 4, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 35, 17, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 186, 10, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 90, 5, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 62, 18, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 3, 6, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 109, 9, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 4, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 589, 16, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 983, 3, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 213, 1, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 55, 19, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 247, 30, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 517, 20, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 49, 21, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 54, 14, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 445, 53, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 7528, 1, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 278, 23, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 422, 39, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1253, 2, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 21393, 1, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 362, 20, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 614, 23, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 351, 24, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216687, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 24, 11, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216688, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 1087, 10, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216689, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 444, 67, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216690, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 246, 31, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216691, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 12, 8, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216692, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 42, 111, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216693, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 59, 29, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216694, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 45, 32, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216695, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 1111, 23, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216696, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 66, 57, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216697, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1253, 2, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216698, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 497, 6, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216699, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 7528, 1, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216700, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 21393, 1, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216701, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 517, 20, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216702, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 185, 6, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216703, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 404, 115, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216704, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 79, 46, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216705, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 26, 7, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216706, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 7528, 1, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216707, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 40, 4, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216708, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 362, 20, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216709, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 614, 23, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216710, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 45, 6, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216711, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 90, 5, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216712, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 200, 4, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216713, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 351, 24, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216714, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 4, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216715, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 3, 6, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216716, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 1111, 23, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216717, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 983, 3, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216718, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 1132, 7, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216719, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 19, 4, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216720, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 92, 5, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216721, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 247, 30, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216722, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 213, 1, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216723, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 46, 5, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216724, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 373, 1, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216725, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 174, 5, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216726, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 43, 9, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216727, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 8, 6, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216728, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 118, 3, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216729, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 497, 6, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216730, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 72, 13, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216731, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 37, 15, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216732, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 186, 10, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216733, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 79, 15, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216734, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 43, 10, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216735, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 17, 11, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216736, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 21393, 1, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216737, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 4, 1, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216738, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 13, 7, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216739, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 12, 2, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216740, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 49, 21, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216741, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 11, 17, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216742, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 27, 4, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216743, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 34, 5, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216744, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 19, 2, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216745, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 159, 3, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216746, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 185, 6, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216747, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 51, 18, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216748, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 278, 23, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216749, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 7, 8, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216750, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 43, 3, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216751, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 46, 21, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216752, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 445, 53, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216753, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 61, 17, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216754, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 517, 20, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216755, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1253, 2, 2024, 6, 11, '2024-08-05 16:10:54', NULL, NULL), (216756, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 31, 17, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216757, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 422, 39, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 4, 1, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 61, 17, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 11, 17, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 49, 21, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 54, 14, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 13, 7, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 46, 21, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 51, 18, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 31, 17, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 422, 39, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 351, 24, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 278, 23, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 445, 53, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 21393, 1, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 362, 20, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1253, 2, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 7528, 1, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 614, 23, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 45, 6, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 186, 10, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 43, 10, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 983, 3, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 55, 19, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 4, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 517, 20, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 109, 9, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 247, 30, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 213, 1, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 589, 16, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 200, 4, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 35, 17, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 1111, 23, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 497, 6, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 40, 4, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 62, 18, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 3, 6, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 79, 15, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 80, 6, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 90, 5, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 17, 11, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 7, 14, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216799, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 1111, 23, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216800, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 445, 53, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216801, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 278, 23, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216802, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 46, 5, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216803, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 92, 5, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (216804, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 186, 10, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216805, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 43, 10, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216806, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 422, 39, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216807, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 79, 15, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216808, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 17, 11, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216809, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 3, 6, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216810, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 4, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216811, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 200, 4, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216812, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 90, 5, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216813, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 45, 6, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216814, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 40, 4, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216815, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 497, 6, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216816, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1253, 2, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216817, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 26, 7, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216818, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 49, 21, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216819, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 11, 17, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216820, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 61, 17, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216821, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 31, 17, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216822, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 51, 18, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216823, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 46, 21, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216824, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 4, 1, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216825, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 213, 1, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216826, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 247, 30, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216827, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 13, 7, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216828, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 517, 20, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216829, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 7528, 1, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216830, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 185, 6, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216831, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 362, 20, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216832, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 159, 3, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216833, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 614, 23, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216834, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 12, 2, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216835, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 351, 24, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216836, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 27, 4, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216837, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 34, 5, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216838, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 19, 2, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216839, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 983, 3, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216840, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 118, 3, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216841, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 7, 8, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216842, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 43, 3, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216843, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 21393, 1, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216844, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 1132, 7, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216845, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 19, 4, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216846, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 72, 13, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216847, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 174, 5, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216848, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 8, 6, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216849, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 37, 15, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216850, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 43, 9, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216851, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 373, 1, 2024, 6, 11, '2024-08-05 16:10:55', NULL, NULL), (216852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 160, 130, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 16576, 1, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2482, 5, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 15328, 1, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 76, 94, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 138, 55, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 314, 40, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 184, 170, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 2354, 8, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 520, 206, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 41, 1, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 351, 7, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 259, 247, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 228, 36, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 42, 3, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 372, 8, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 230, 70, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 2037, 7, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 268, 49, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 345, 52, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 195, 87, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 288, 80, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1665, 32, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 218, 66, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216876, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216877, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '', 0, 1, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216878, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 2482, 5, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216879, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216880, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 4, 22, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216881, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 76, 95, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216882, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 0, 2, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216883, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 335, 18, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216884, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 439, 70, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216885, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 16576, 1, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216886, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 256, 11, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216887, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 161, 31, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216888, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 120, 63, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216889, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 50, 2, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216890, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 1260, 2, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216891, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 720, 6, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216892, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 927, 1, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216893, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 199, 30, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216894, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216895, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 602, 1, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216896, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 69, 2, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216897, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 163, 22, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216898, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 172, 122, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216899, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 533, 132, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216900, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 0, 1, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216901, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 20, 2, 2024, 6, 12, '2024-08-05 16:10:56', NULL, NULL), (216902, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 295, 11, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216903, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1501, 4, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216904, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 136, 6, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216905, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 188, 34, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216906, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 105, 9, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216907, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 16, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216908, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 39, 2, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216909, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 8, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216910, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 1954, 2, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216911, 22, '511502000000-0001', '翠屏区政务服务中心', '教师资格证书领取', '', '', '', 2488, 6, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 295, 11, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 65, 12, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 46, 11, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 188, 34, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 638, 1, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 224, 20, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 76, 17, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 75, 16, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 342, 15, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 122, 21, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 97, 1, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 80, 15, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 164, 26, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 4, 1, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 57, 12, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 216, 23, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 721, 32, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 1246, 14, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 174, 15, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 125, 3, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 101, 26, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 42, 3, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 28, 19, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 163, 22, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 109, 14, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 286, 22, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 610, 46, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 500, 37, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 148, 3, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 41, 1, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 720, 6, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A17', 2488, 6, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 927, 1, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 39, 2, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1501, 4, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 335, 18, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 509, 18, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 226, 23, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 565, 29, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 69, 2, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 425, 6, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 1649, 6, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 4, 2, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3, 6, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 5, 3, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 4, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 486, 49, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 161, 31, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 1260, 2, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216961, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 256, 11, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216962, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 136, 6, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216963, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 439, 70, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216964, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 161, 31, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216965, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 2482, 5, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216966, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 76, 94, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216967, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 4, 22, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216968, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 199, 30, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216969, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 69, 2, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216970, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 188, 34, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216971, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 172, 122, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216972, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1501, 4, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216973, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 295, 11, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216974, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 927, 1, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216975, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 50, 2, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216976, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 1260, 2, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216977, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 16576, 1, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216978, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 720, 6, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216979, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 41, 1, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216980, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 163, 22, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216981, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 602, 1, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216982, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 39, 2, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216983, 22, '511502000000-0001', '翠屏区政务服务中心', '教师资格证书领取', '区行政审批和非公经济局', '', '', 2488, 6, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216984, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', '', 1954, 2, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216985, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 335, 18, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216986, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 105, 9, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216987, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 533, 132, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216988, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 120, 63, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216989, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 121, 6, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216990, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 335, 18, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216991, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 2, 3, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216992, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 509, 18, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (216993, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 6, 4, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (216994, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 226, 23, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (216995, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 6, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (216996, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 1954, 2, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (216997, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 4, 2, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (216998, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 565, 29, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (216999, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 4, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217000, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 5, 3, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217001, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 188, 34, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217002, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 136, 6, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (217003, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 927, 1, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (217004, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 417, 5, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217005, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 507, 2, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217006, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 39, 2, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217007, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 720, 6, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217008, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 42, 3, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (217009, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 125, 3, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (217010, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 69, 2, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217011, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 161, 31, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217012, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 148, 3, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217013, 22, '511502000000-0001', '翠屏区政务服务中心', '教师资格证书领取', '', '', 'A17', 2488, 6, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217014, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 213, 15, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217015, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 169, 7, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217016, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 174, 12, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217017, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 121, 14, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217018, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 176, 24, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217019, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 113, 10, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217020, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 295, 11, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217021, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 207, 22, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217022, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 166, 18, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217023, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 57, 12, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (217024, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 97, 1, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217025, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 75, 16, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217026, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 4, 1, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217027, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 80, 15, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217028, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 224, 20, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (217029, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 1260, 2, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217030, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 1262, 2, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217031, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 3296, 3, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217032, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 486, 49, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217033, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 41, 1, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217034, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 16576, 1, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217035, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 18, 1, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (217036, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 109, 14, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217037, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 23, 1, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217038, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 65, 12, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217039, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 213, 9, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217040, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 396, 5, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217041, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 28, 19, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217042, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 35, 6, 2024, 6, 12, '2024-08-05 16:10:57', NULL, NULL), (217043, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 602, 1, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217044, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 28, 2, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217045, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 122, 21, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217046, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 32, 3, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217047, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 610, 46, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217048, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A01', 638, 1, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217049, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 46, 11, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217050, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 163, 22, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217051, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1501, 4, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217052, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 500, 37, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217053, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 76, 17, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 46, 11, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 1262, 2, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 65, 12, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 109, 14, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 28, 19, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 286, 22, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 16576, 1, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 3296, 3, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 122, 21, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 76, 17, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 500, 37, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 1260, 2, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 565, 29, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 610, 46, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 509, 18, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1501, 4, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 226, 23, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 148, 3, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 486, 49, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 41, 1, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A17', 2488, 6, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 42, 3, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 125, 3, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 97, 1, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 4, 1, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 15328, 1, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 69, 2, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A02', 1954, 2, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 39, 2, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 335, 18, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 927, 1, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 720, 6, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A01', 638, 1, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 6, 4, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 57, 12, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 80, 15, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 4, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 101, 26, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 162, 13, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 161, 31, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 163, 22, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 174, 15, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 4, 2, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 216, 23, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 188, 34, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 2, 3, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 295, 11, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 209, 31, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 5, 3, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 94, 13, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 75, 16, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 6, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 164, 26, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 224, 20, 2024, 6, 12, '2024-08-05 16:10:58', NULL, NULL), (217108, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 486, 49, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217109, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 188, 34, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217110, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 610, 46, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217111, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 213, 15, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217112, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 507, 2, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217113, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 57, 12, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217114, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 80, 15, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217115, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 500, 37, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217116, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 75, 16, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217117, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 224, 20, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217118, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 5, 3, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217119, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 4, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217120, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 4, 2, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217121, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 6, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217122, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 6, 4, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217123, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 2, 3, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217124, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 295, 11, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217125, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 148, 3, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217126, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1501, 4, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217127, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 720, 6, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217128, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 927, 1, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217129, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', 'A02', 1954, 2, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217130, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 69, 2, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217131, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 121, 6, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217132, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 28, 19, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217133, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 39, 2, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217134, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 109, 14, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217135, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 65, 12, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217136, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 97, 1, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217137, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 46, 11, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217138, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 4, 1, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217139, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 76, 17, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217140, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 122, 21, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217141, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 16576, 1, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217142, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 1262, 2, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217143, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 125, 3, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217144, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 161, 31, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217145, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 3296, 3, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217146, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 163, 22, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217147, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 42, 3, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217148, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 335, 18, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217149, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 602, 1, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217150, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 41, 1, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217151, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 509, 18, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217152, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 35, 6, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217153, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 226, 23, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217154, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 18, 1, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217155, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 565, 29, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217156, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 23, 1, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217157, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 213, 9, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217158, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 396, 5, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217159, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 28, 2, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217160, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 113, 10, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217161, 22, '511502000000-0001', '翠屏区政务服务中心', '教师资格证书领取', '区行政审批和非公经济局', '', 'A17', 2488, 6, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217162, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 32, 3, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217163, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 417, 5, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217164, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A01', 638, 1, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217165, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 136, 6, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217166, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 1260, 2, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217167, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 207, 22, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217168, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 174, 12, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217169, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 176, 24, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217170, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 166, 18, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217171, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 121, 14, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217172, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 169, 7, 2024, 6, 12, '2024-08-05 16:10:59', NULL, NULL), (217173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 159, 119, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 5, 1, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 10012, 2, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 66, 94, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 845, 52, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 662, 186, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 266, 158, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 3718, 98, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 666, 1, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 482, 195, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 352, 3, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 473, 7, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 336, 284, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 265, 35, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 316, 12, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 332, 58, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 2, 2, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 412, 68, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 308, 32, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 329, 98, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 294, 45, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1838, 252, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 318, 84, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217196, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 2, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217197, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 5, 1, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217198, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217199, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 66, 94, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217200, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 69, 25, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217201, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 222, 3, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217202, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1384, 10, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217203, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 907, 64, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217204, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217205, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 19, 2, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217206, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 324, 10, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217207, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 118, 25, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (217208, 22, '511502000000-0001', '翠屏区政务服务中心', '农民工绿色通道', '', '', '', 0, 1, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217209, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 130, 64, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217210, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 253, 10, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217211, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 744, 35, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217212, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217213, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 19634, 2, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217214, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 832, 4, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217215, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 324, 3, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217216, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 371, 14, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217217, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 183, 23, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217218, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 2, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217219, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 732, 4, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217220, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 284, 3, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217221, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1649, 5, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217222, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 190, 23, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217223, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 264, 113, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217224, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 273, 127, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217225, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 293, 7, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217226, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 352, 3, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217227, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 247, 15, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217228, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 318, 4, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217229, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217230, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 148, 17, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217231, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 236, 8, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217232, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 503, 65, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217233, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 11, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217234, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1036, 26, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217235, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 7, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217236, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 1284, 1, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217237, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 243, 2, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217238, 22, '511502000000-0001', '翠屏区政务服务中心', '教师资格证书领取', '', '', '', 2389, 152, 2024, 6, 13, '2024-08-05 16:11:00', NULL, NULL), (217239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 61, 14, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 247, 15, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 86, 20, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 148, 17, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 62, 19, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 161, 20, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 220, 14, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 16, 8, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 111, 17, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 102, 11, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 11, 8, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 210, 23, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 901, 17, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 129, 16, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 428, 11, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 213, 24, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 312, 22, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 1490, 16, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 861, 7, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 449, 14, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 420, 16, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 690, 3, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 499, 17, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 378, 19, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 645, 11, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 7, 8, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 190, 23, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 129, 17, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 153, 24, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 279, 51, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 666, 1, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 454, 11, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 244, 36, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 352, 3, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 488, 12, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1649, 5, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 832, 4, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 19, 2, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A17', 3743, 97, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 371, 14, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 293, 7, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1075, 25, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 318, 4, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1384, 10, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 963, 33, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 1815, 4, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 705, 27, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 77, 1, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 115, 4, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 284, 3, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 140, 5, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 38, 2, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 324, 3, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 70, 6, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 5, 7, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 15, 2, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 292, 40, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 253, 10, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 118, 25, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 243, 2, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 19634, 2, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217300, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 324, 10, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217301, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 236, 8, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217302, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 907, 64, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217303, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 293, 7, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217304, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1649, 5, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217305, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 118, 25, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217306, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 5, 1, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217307, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 66, 94, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217308, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 69, 25, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217309, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 183, 23, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217310, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 243, 2, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217311, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 284, 3, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217312, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 148, 17, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217313, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 264, 113, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217314, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 318, 4, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217315, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 247, 15, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217316, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 371, 14, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217317, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 666, 1, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217318, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 744, 35, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217319, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 19634, 2, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217320, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 19, 2, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217321, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 352, 3, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217322, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 832, 4, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217323, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 190, 23, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217324, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 732, 4, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217325, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 324, 3, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217326, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1036, 26, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217327, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', '', 1284, 1, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217328, 22, '511502000000-0001', '翠屏区政务服务中心', '教师资格证书领取', '区行政审批和非公经济局', '', '', 3743, 97, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217329, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1384, 10, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217330, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 253, 10, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217331, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 503, 65, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217332, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 273, 127, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217333, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 130, 64, 2024, 6, 13, '2024-08-05 16:11:01', NULL, NULL), (217334, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 703, 3, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217335, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 666, 1, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217336, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1384, 10, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217337, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 173, 4, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217338, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 115, 4, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217339, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 963, 33, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217340, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 1284, 1, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217341, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 1815, 4, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217342, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 70, 6, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217343, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 38, 2, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217344, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 705, 27, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217345, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 15, 2, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217346, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 5, 7, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217347, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 148, 17, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217348, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 410, 2, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217349, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 178, 6, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217350, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 162, 7, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217351, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 371, 14, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217352, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 58, 6, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217353, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1075, 25, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217354, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1649, 5, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217355, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 832, 4, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217356, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 645, 11, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217357, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 449, 14, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217358, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 499, 17, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217359, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 284, 3, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217360, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 118, 25, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217361, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 77, 1, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217362, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 488, 12, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217363, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 200, 11, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217364, 22, '511502000000-0001', '翠屏区政务服务中心', '教师资格证书领取', '', '', 'A17', 3743, 97, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217365, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 531, 5, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217366, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 359, 10, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217367, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 324, 3, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217368, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 279, 13, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217369, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 1252, 1, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217370, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 154, 21, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217371, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 149, 12, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217372, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 322, 20, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217373, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 247, 15, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217374, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 250, 20, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217375, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 454, 11, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217376, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 129, 16, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217377, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 861, 7, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217378, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 243, 2, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217379, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 111, 17, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217380, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 901, 17, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217381, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 102, 11, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217382, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 428, 11, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217383, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 161, 20, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217384, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 19634, 2, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217385, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 5, 1, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217386, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 292, 40, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217387, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 352, 3, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217388, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 66, 1, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217389, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 129, 17, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217390, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 253, 10, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217391, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 57, 4, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217392, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 61, 14, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217393, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 206, 2, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217394, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 28, 4, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217395, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 7, 8, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217396, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 480, 3, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217397, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 293, 7, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217398, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 732, 4, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217399, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 19, 2, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217400, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 805, 2, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217401, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 16, 8, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217402, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 5, 1, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217403, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 11, 8, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217404, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 279, 51, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217405, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 86, 20, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217406, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 190, 23, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217407, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 62, 19, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217408, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 318, 4, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217409, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 244, 36, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 86, 20, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 61, 14, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 129, 17, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 7, 8, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 153, 24, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 5, 1, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 11, 8, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 16, 8, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 62, 19, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 244, 36, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 705, 27, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 19634, 2, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 279, 51, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 318, 4, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 1815, 4, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 963, 33, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 454, 11, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 488, 12, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 292, 40, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 352, 3, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A17', 3743, 97, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 645, 11, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 449, 14, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 499, 17, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 861, 7, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 901, 17, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 428, 11, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 10012, 2, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 284, 3, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 77, 1, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A02', 1284, 1, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1075, 25, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1384, 10, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 371, 14, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 293, 7, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 19, 2, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1649, 5, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 666, 1, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 832, 4, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 115, 4, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 243, 2, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 129, 16, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 102, 11, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 690, 3, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 15, 2, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 378, 19, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 253, 10, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 190, 23, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 273, 14, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 118, 25, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 420, 16, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 324, 3, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 38, 2, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 148, 17, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 213, 24, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 173, 4, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 312, 22, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 247, 15, 2024, 6, 13, '2024-08-05 16:11:02', NULL, NULL), (217468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 5, 7, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 138, 13, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 111, 17, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 70, 6, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 161, 20, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 210, 23, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217474, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 148, 17, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217475, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 292, 40, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217476, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 279, 51, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217477, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 200, 11, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217478, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 58, 6, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217479, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 129, 16, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217480, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 102, 11, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217481, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 244, 36, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217482, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 111, 17, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217483, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 161, 20, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217484, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 5, 7, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217485, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 15, 2, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217486, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 38, 2, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217487, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 70, 6, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217488, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 115, 4, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217489, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 173, 4, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217490, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 247, 15, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217491, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 488, 12, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217492, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 318, 4, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217493, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 454, 11, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217494, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1649, 5, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217495, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 77, 1, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217496, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 832, 4, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217497, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 371, 14, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217498, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', 'A02', 1284, 1, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217499, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 284, 3, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217500, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 19, 2, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217501, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 7, 8, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217502, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 703, 3, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217503, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 129, 17, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217504, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1075, 25, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217505, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 61, 14, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217506, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 86, 20, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217507, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 901, 17, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217508, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 428, 11, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217509, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 62, 19, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217510, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 16, 8, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217511, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 253, 10, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217512, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 11, 8, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217513, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 861, 7, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217514, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 499, 17, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217515, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 118, 25, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217516, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 5, 1, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217517, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 190, 23, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217518, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 666, 1, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217519, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 645, 11, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217520, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 449, 14, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217521, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1384, 10, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217522, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 293, 7, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217523, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 732, 4, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217524, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 352, 3, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217525, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 480, 3, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217526, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 963, 33, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217527, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 243, 2, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217528, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 1815, 4, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217529, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 66, 1, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217530, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 705, 27, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217531, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 57, 4, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217532, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 206, 2, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217533, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 410, 2, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217534, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 28, 4, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217535, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 805, 2, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217536, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 149, 12, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217537, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 5, 1, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217538, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 19634, 2, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217539, 22, '511502000000-0001', '翠屏区政务服务中心', '教师资格证书领取', '区行政审批和非公经济局', '', 'A17', 3743, 97, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217540, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 162, 7, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217541, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 178, 6, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217542, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 322, 20, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217543, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 359, 10, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217544, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 154, 21, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217545, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 324, 3, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217546, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 250, 20, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217547, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 279, 13, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217548, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 531, 5, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217549, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 1252, 1, 2024, 6, 13, '2024-08-05 16:11:03', NULL, NULL), (217550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 283, 127, 2024, 6, 14, '2024-08-05 16:11:04', NULL, NULL), (217551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 7, 2, 2024, 6, 14, '2024-08-05 16:11:04', NULL, NULL), (217552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 65, 111, 2024, 6, 14, '2024-08-05 16:11:04', NULL, NULL), (217553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 27, 41, 2024, 6, 14, '2024-08-05 16:11:04', NULL, NULL), (217554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 624, 182, 2024, 6, 14, '2024-08-05 16:11:04', NULL, NULL), (217555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 192, 144, 2024, 6, 14, '2024-08-05 16:11:04', NULL, NULL), (217556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 3453, 7, 2024, 6, 14, '2024-08-05 16:11:04', NULL, NULL), (217557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 709, 177, 2024, 6, 14, '2024-08-05 16:11:04', NULL, NULL), (217558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 22, 1, 2024, 6, 14, '2024-08-05 16:11:04', NULL, NULL), (217559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 2731, 3, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 485, 256, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 253, 43, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 175, 11, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 331, 49, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 367, 3, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 246, 46, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 291, 62, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 394, 115, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1021, 25, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 340, 110, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 298, 85, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217571, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 4, 1, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217572, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217573, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 4, 27, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217574, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 65, 111, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217575, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2685, 9, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217576, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 11, 1, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217577, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1650, 11, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217578, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 414, 48, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217579, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 6, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217580, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 1219, 10, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217581, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 71, 14, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217582, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 296, 12, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217583, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 252, 70, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217584, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 515, 9, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217585, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 321, 29, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217586, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217587, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 527, 15, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217588, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 305, 1, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217589, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 997, 7, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217590, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 193, 22, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217591, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217592, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 691, 3, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217593, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 2, 3, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217594, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 416, 8, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217595, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 300, 4, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217596, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 604, 23, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217597, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 152, 96, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217598, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 595, 118, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217599, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 4, 2, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217600, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 7, 3, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217601, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 152, 16, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217602, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 3217, 11, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217603, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217604, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 293, 11, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217605, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 109, 18, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217606, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 597, 71, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217607, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 14, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217608, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 524, 13, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217609, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 9, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217610, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 358, 1, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 152, 16, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 90, 19, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 109, 18, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 50, 19, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (217615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 39, 21, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 264, 18, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 62, 12, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 165, 10, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 232, 22, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 296, 20, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 221, 20, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 374, 10, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 67, 25, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 188, 10, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 185, 24, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 228, 11, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 159, 26, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 134, 16, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 385, 8, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 302, 18, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 416, 20, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 1192, 4, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 223, 17, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 623, 24, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 23, 17, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 604, 23, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 236, 11, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 591, 37, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 2490, 5, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 478, 45, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 291, 7, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 5860, 2, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 22, 1, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 769, 16, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 300, 4, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 527, 15, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 1219, 10, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 997, 7, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 4, 2, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 524, 13, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 3217, 11, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1815, 10, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 382, 25, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 449, 23, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 416, 8, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 3, 2, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 4, 2, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 4, 2, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 7, 7, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 305, 1, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 5, 5, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 8, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 5, 5, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 745, 36, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 71, 14, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 515, 9, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 358, 1, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217668, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 296, 12, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217669, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 293, 11, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217670, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 414, 48, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217671, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 4, 2, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217672, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 300, 4, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217673, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 71, 14, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217674, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 4, 1, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217675, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 65, 111, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217676, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 4, 27, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217677, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 193, 22, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217678, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 358, 1, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217679, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 416, 8, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217680, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 109, 18, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217681, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 152, 96, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217682, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 3217, 11, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217683, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 152, 16, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217684, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 997, 7, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217685, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 4, 2, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217686, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 3453, 7, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217687, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 321, 29, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217688, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 1219, 10, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217689, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 22, 1, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217690, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 527, 15, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217691, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 604, 23, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217692, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 691, 3, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217693, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 524, 13, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217694, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 305, 1, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217695, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1815, 10, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217696, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 515, 9, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217697, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 11, 1, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217698, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 597, 71, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217699, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 595, 118, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217700, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 252, 70, 2024, 6, 14, '2024-08-05 16:11:05', NULL, NULL), (217701, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 384, 5, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217702, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 5860, 2, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217703, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 2490, 5, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217704, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 449, 23, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217705, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1815, 10, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217706, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 4, 1, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217707, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 2, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217708, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 5, 5, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217709, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 6, 6, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217710, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 382, 25, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217711, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 5, 5, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217712, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 8, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217713, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 109, 18, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217714, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 293, 11, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217715, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 997, 7, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217716, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 233, 7, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217717, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 353, 1, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217718, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 524, 13, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217719, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 300, 4, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217720, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 527, 15, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217721, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 1192, 4, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217722, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 623, 24, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217723, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 416, 20, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217724, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 416, 8, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217725, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 71, 14, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217726, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 769, 16, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217727, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 4, 2, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217728, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 203, 3, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217729, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 37, 4, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217730, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 130, 11, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217731, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 305, 1, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217732, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 169, 11, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217733, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 213, 16, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217734, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 68, 11, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217735, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 152, 16, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217736, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 139, 20, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217737, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 183, 20, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217738, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 11, 1, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217739, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 291, 7, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217740, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 188, 10, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217741, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 385, 8, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217742, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 358, 1, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217743, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 232, 22, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217744, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 374, 10, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217745, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 296, 20, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217746, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 228, 11, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217747, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 264, 18, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217748, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 4, 1, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217749, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 745, 36, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217750, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 22, 1, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217751, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 23, 17, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217752, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 515, 9, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217753, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 145, 5, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217754, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 90, 19, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217755, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 223, 6, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217756, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 200, 4, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217757, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 3, 1, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217758, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 4, 2, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217759, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 691, 3, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217760, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 1219, 10, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217761, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 254, 4, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217762, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 165, 10, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217763, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 478, 45, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217764, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 4, 1, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217765, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 591, 37, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217766, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 67, 25, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217767, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 604, 23, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217768, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 50, 19, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217769, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 3217, 11, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217770, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 39, 21, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 50, 19, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 90, 19, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 23, 17, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 236, 11, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 11, 1, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 4, 1, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 67, 25, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 165, 10, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 39, 21, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 449, 23, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 382, 25, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 478, 45, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 591, 37, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 3217, 11, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 291, 7, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 769, 16, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 745, 36, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 22, 1, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 1192, 4, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 623, 24, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 416, 20, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 385, 8, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 374, 10, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 228, 11, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 416, 8, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 524, 13, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 5860, 2, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1815, 10, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 997, 7, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 4, 2, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 1219, 10, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 300, 4, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 2490, 5, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 527, 15, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 2, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 358, 1, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 188, 10, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 296, 20, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 5, 5, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 515, 9, 2024, 6, 14, '2024-08-05 16:11:06', NULL, NULL), (217811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 223, 17, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 134, 16, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 71, 14, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 604, 23, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 302, 18, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 305, 1, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 6, 6, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 185, 24, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 109, 18, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 4, 1, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 152, 16, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 159, 26, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 4, 2, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 62, 12, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 8, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 232, 22, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 5, 5, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 221, 20, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 264, 18, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217830, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 109, 18, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217831, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 745, 36, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217832, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 591, 37, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217833, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 478, 45, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217834, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 203, 3, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217835, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 353, 1, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217836, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 188, 10, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217837, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 296, 20, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217838, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 232, 22, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217839, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 264, 18, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217840, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 8, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217841, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 5, 5, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217842, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 6, 6, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217843, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 5, 5, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217844, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 2, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217845, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 4, 1, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217846, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 152, 16, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217847, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 769, 16, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217848, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 3217, 11, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217849, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 300, 4, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217850, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 291, 7, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217851, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 527, 15, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217852, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 997, 7, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217853, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 11, 1, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217854, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 416, 8, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217855, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 4, 2, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217856, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 1219, 10, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217857, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 384, 5, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217858, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 524, 13, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217859, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 23, 17, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217860, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 90, 19, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217861, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 374, 10, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217862, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 50, 19, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217863, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 39, 21, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217864, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 228, 11, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217865, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 515, 9, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217866, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 165, 10, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217867, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 385, 8, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217868, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 67, 25, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217869, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 416, 20, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217870, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 71, 14, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217871, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 4, 1, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217872, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 604, 23, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217873, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 5860, 2, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217874, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 2490, 5, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217875, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 623, 24, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217876, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1815, 10, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217877, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 4, 2, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217878, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 1192, 4, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217879, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 22, 1, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217880, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 691, 3, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217881, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 3, 1, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217882, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 358, 1, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217883, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 382, 25, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217884, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 145, 5, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217885, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 449, 23, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217886, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 223, 6, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217887, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 200, 4, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217888, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 68, 11, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217889, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 254, 4, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217890, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 4, 1, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217891, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 293, 11, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217892, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 233, 7, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217893, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 139, 20, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217894, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 130, 11, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217895, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 213, 16, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217896, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 305, 1, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217897, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 183, 20, 2024, 6, 14, '2024-08-05 16:11:07', NULL, NULL), (217898, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 169, 11, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217899, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 37, 4, 2024, 6, 14, '2024-08-05 16:11:08', NULL, NULL), (217900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 70, 1, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1552, 38, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 1152, 25, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 802, 7, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 1140, 5, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 1992, 3, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217906, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 3, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217907, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217908, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 0, 2, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217909, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217910, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217911, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1437, 28, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217912, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1704, 11, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217913, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 70, 1, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1490, 27, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 70, 1, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1704, 11, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217917, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1704, 11, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217918, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 70, 1, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217919, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1490, 27, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217920, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1490, 27, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217921, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1704, 11, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217922, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 70, 1, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1490, 27, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 70, 1, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1704, 11, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217926, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 70, 1, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217927, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1490, 27, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217928, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1704, 11, 2024, 6, 15, '2024-08-05 16:11:09', NULL, NULL), (217929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1137, 21, 2024, 6, 16, '2024-08-05 16:11:10', NULL, NULL), (217930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 439, 27, 2024, 6, 16, '2024-08-05 16:11:10', NULL, NULL), (217931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 639, 18, 2024, 6, 16, '2024-08-05 16:11:10', NULL, NULL), (217932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 163, 3, 2024, 6, 16, '2024-08-05 16:11:10', NULL, NULL), (217933, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2024, 6, 16, '2024-08-05 16:11:10', NULL, NULL), (217934, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2024, 6, 16, '2024-08-05 16:11:10', NULL, NULL), (217935, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 267, 11, 2024, 6, 16, '2024-08-05 16:11:10', NULL, NULL), (217936, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 581, 36, 2024, 6, 16, '2024-08-05 16:11:11', NULL, NULL), (217937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1308, 16, 2024, 6, 16, '2024-08-05 16:11:11', NULL, NULL), (217938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 589, 5, 2024, 6, 16, '2024-08-05 16:11:11', NULL, NULL), (217939, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 589, 5, 2024, 6, 16, '2024-08-05 16:11:11', NULL, NULL), (217940, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1308, 16, 2024, 6, 16, '2024-08-05 16:11:11', NULL, NULL), (217941, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 589, 5, 2024, 6, 16, '2024-08-05 16:11:11', NULL, NULL), (217942, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1308, 16, 2024, 6, 16, '2024-08-05 16:11:11', NULL, NULL), (217943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 1308, 16, 2024, 6, 16, '2024-08-05 16:11:11', NULL, NULL), (217944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 589, 5, 2024, 6, 16, '2024-08-05 16:11:11', NULL, NULL), (217945, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 1308, 16, 2024, 6, 16, '2024-08-05 16:11:11', NULL, NULL), (217946, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 589, 5, 2024, 6, 16, '2024-08-05 16:11:11', NULL, NULL), (217947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 139, 125, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1336, 3, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 62, 95, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 92, 46, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 480, 178, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 397, 147, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1563, 3, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 904, 315, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 35, 1, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 243, 4, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 510, 412, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 462, 42, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 188, 7, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 615, 59, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 671, 8, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 501, 92, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 412, 60, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 408, 82, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1067, 9, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 447, 66, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 363, 94, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217968, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 80, 2, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217969, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 4, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217970, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 8, 22, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217971, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 61, 96, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217972, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1563, 3, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217973, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1924, 2, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217974, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 117, 16, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217975, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1187, 126, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217976, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217977, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 346, 7, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217978, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 181, 10, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217979, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 162, 25, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217980, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 84, 75, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217981, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 108, 27, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217982, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 475, 12, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217983, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217984, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 15476, 1, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217985, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1084, 14, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217986, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 5, 1, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217987, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 1293, 15, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217988, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 459, 35, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217989, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 1088, 2, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217990, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217991, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 5, 1, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217992, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 618, 1, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217993, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 49, 6, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217994, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 133, 25, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217995, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 366, 94, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217996, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 502, 164, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (217997, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 4, 1, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217998, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 35, 1, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (217999, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 105, 6, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (218000, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1378, 24, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (218001, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 374, 9, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (218002, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 373, 19, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (218003, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 113, 58, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (218004, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 1039, 19, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (218005, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1038, 15, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (218006, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 14, 2024, 6, 17, '2024-08-05 16:11:12', NULL, NULL), (218007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 105, 6, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 49, 18, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 373, 19, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 1000, 4, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 51, 15, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 59, 12, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 230, 16, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 36, 14, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 127, 26, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 438, 29, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 51, 9, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 44, 21, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 30, 20, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 98, 13, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 78, 6, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 427, 33, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 95, 19, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (218024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 285, 34, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 166, 12, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 504, 11, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 63, 9, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 100, 7, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 69, 17, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 133, 25, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 144, 14, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 435, 20, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 466, 52, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 2340, 2, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 524, 54, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 101, 13, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 8, 1, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 464, 49, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 35, 1, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 219, 10, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 49, 6, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1084, 14, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 181, 10, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 1293, 15, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 4, 1, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1038, 15, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1378, 24, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 117, 16, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1209, 21, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 1319, 13, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 1260, 41, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 1085, 51, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 5, 1, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 29, 6, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 618, 1, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 562, 7, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 5, 1, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 2, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 7, 3, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 790, 9, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 6, 7, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 15476, 1, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 475, 12, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 169, 24, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D15', 19744, 1, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218066, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 346, 7, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218067, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 374, 9, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218068, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1187, 126, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218069, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 4, 1, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218070, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 49, 6, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218071, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 169, 24, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218072, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 80, 2, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218073, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 62, 95, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218074, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 8, 22, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218075, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 459, 35, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218076, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 5, 1, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218077, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 373, 19, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218078, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 19744, 1, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218079, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 366, 94, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218080, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1378, 24, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218081, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 105, 6, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218082, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 1293, 15, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218083, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 618, 1, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218084, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1563, 3, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218085, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 108, 27, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218086, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 181, 10, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218087, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 35, 1, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218088, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1084, 14, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218089, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 133, 25, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218090, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 1088, 2, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218091, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 5, 1, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218092, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1038, 15, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218093, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 15476, 1, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218094, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 117, 16, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218095, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 475, 12, 2024, 6, 17, '2024-08-05 16:11:13', NULL, NULL), (218096, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 3848, 1, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218097, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 113, 58, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218098, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 502, 164, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218099, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 84, 75, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218100, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 8, 1, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218101, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 2340, 2, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218102, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 1085, 51, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218103, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 117, 16, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218104, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 4, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218105, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1209, 21, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218106, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 2, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218107, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 1319, 13, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218108, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 14, 6, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218109, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 1260, 41, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218110, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 6, 7, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218111, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 7, 3, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218112, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 373, 19, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218113, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D15', 19744, 1, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218114, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 374, 9, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218115, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 346, 7, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218116, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 1293, 15, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218117, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 464, 3, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218118, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1038, 15, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218119, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 49, 6, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218120, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1084, 14, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218121, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 100, 7, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218122, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 63, 9, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218123, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 5, 1, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218124, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 95, 19, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218125, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 169, 24, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218126, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 219, 10, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218127, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 15476, 1, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218128, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 618, 1, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218129, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 489, 10, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218130, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 5, 1, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218131, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 461, 22, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218132, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 221, 14, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218133, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 105, 6, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218134, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 257, 26, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218135, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 436, 22, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218136, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 3848, 1, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218137, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 101, 13, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218138, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 98, 13, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218139, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 166, 12, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218140, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 51, 9, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218141, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 127, 26, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218142, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 44, 21, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218143, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 78, 6, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218144, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 51, 15, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218145, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 80, 2, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218146, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 790, 9, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218147, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 35, 1, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218148, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 475, 12, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218149, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 144, 14, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218150, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 49, 18, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218151, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 375, 8, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218152, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 410, 11, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218153, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 69, 17, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218154, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 4, 1, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218155, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 1088, 2, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218156, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 181, 10, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218157, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 367, 7, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218158, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 36, 14, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218159, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 524, 54, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218160, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 294, 2, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218161, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 30, 20, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218162, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 466, 52, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218163, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A01', 1000, 4, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218164, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 133, 25, 2024, 6, 17, '2024-08-05 16:11:14', NULL, NULL), (218165, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1378, 24, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218166, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 464, 49, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218167, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 59, 12, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 80, 2, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 49, 18, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 144, 14, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 435, 20, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 69, 17, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 3848, 1, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 30, 20, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 36, 14, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 59, 12, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 464, 49, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 1085, 51, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 1260, 41, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 524, 54, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 466, 52, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1378, 24, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 1319, 13, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1209, 21, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 101, 13, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 219, 10, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 790, 9, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 35, 1, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 100, 7, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 63, 9, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 95, 19, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 166, 12, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 51, 9, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D15', 19744, 1, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 78, 6, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 5, 1, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1038, 15, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 8, 1, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 117, 16, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 1293, 15, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 4, 1, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 181, 10, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 49, 6, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 2340, 2, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1084, 14, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A01', 1000, 4, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 4, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 98, 13, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 44, 21, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 6, 7, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 475, 12, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 169, 24, 2024, 6, 17, '2024-08-05 16:11:15', NULL, NULL), (218213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 133, 25, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 15476, 1, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 504, 11, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 5, 1, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 14, 6, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 373, 19, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 427, 33, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 105, 6, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 285, 34, 2024, 6, 17, '2024-08-05 16:11:16', NULL, NULL), (218222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 7, 3, 2024, 6, 17, '2024-08-05 16:11:17', NULL, NULL), (218223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 230, 16, 2024, 6, 17, '2024-08-05 16:11:17', NULL, NULL), (218224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 127, 26, 2024, 6, 17, '2024-08-05 16:11:17', NULL, NULL), (218225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 618, 1, 2024, 6, 17, '2024-08-05 16:11:17', NULL, NULL), (218226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 2, 2024, 6, 17, '2024-08-05 16:11:17', NULL, NULL), (218227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 438, 29, 2024, 6, 17, '2024-08-05 16:11:17', NULL, NULL), (218228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 51, 15, 2024, 6, 17, '2024-08-05 16:11:17', NULL, NULL), (218229, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 790, 9, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218230, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 373, 19, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218231, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 466, 52, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218232, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 524, 54, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218233, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 489, 10, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218234, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 464, 3, 2024, 6, 17, '2024-08-05 16:11:17', NULL, NULL), (218235, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 98, 13, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218236, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 44, 21, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218237, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 464, 49, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218238, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 127, 26, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218239, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 51, 15, 2024, 6, 17, '2024-08-05 16:11:19', NULL, NULL), (218240, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 7, 3, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218241, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 6, 7, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218242, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 14, 6, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218243, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 2, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218244, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 4, 2024, 6, 17, '2024-08-05 16:11:17', NULL, NULL), (218245, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 105, 6, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218246, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 15476, 1, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218247, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 219, 10, 2024, 6, 17, '2024-08-05 16:11:17', NULL, NULL), (218248, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1378, 24, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218249, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 101, 13, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218250, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 49, 6, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218251, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1084, 14, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218252, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 3848, 1, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218253, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 1293, 15, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218254, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 5, 1, 2024, 6, 17, '2024-08-05 16:11:19', NULL, NULL), (218255, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 181, 10, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218256, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 69, 17, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218257, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1038, 15, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218258, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 144, 14, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218259, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 49, 18, 2024, 6, 17, '2024-08-05 16:11:19', NULL, NULL), (218260, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 51, 9, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218261, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 78, 6, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218262, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 59, 12, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218263, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 475, 12, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218264, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 36, 14, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218265, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 618, 1, 2024, 6, 17, '2024-08-05 16:11:19', NULL, NULL), (218266, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 30, 20, 2024, 6, 17, '2024-08-05 16:11:19', NULL, NULL), (218267, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 166, 12, 2024, 6, 17, '2024-08-05 16:11:19', NULL, NULL), (218268, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 80, 2, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218269, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 95, 19, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218270, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 169, 24, 2024, 6, 17, '2024-08-05 16:11:17', NULL, NULL), (218271, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 133, 25, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218272, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 8, 1, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218273, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 2340, 2, 2024, 6, 17, '2024-08-05 16:11:19', NULL, NULL), (218274, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 63, 9, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218275, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 100, 7, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218276, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 117, 16, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218277, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 4, 1, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218278, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 1088, 2, 2024, 6, 17, '2024-08-05 16:11:19', NULL, NULL), (218279, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 35, 1, 2024, 6, 17, '2024-08-05 16:11:19', NULL, NULL), (218280, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1209, 21, 2024, 6, 17, '2024-08-05 16:11:19', NULL, NULL), (218281, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 1319, 13, 2024, 6, 17, '2024-08-05 16:11:19', NULL, NULL), (218282, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D15', 19744, 1, 2024, 6, 17, '2024-08-05 16:11:19', NULL, NULL), (218283, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 1260, 41, 2024, 6, 17, '2024-08-05 16:11:19', NULL, NULL), (218284, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 1085, 51, 2024, 6, 17, '2024-08-05 16:11:19', NULL, NULL), (218285, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 375, 8, 2024, 6, 17, '2024-08-05 16:11:19', NULL, NULL), (218286, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 410, 11, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218287, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 367, 7, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218288, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 221, 14, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218289, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 294, 2, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218290, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A01', 1000, 4, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218291, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 346, 7, 2024, 6, 17, '2024-08-05 16:11:19', NULL, NULL), (218292, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 374, 9, 2024, 6, 17, '2024-08-05 16:11:19', NULL, NULL), (218293, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 257, 26, 2024, 6, 17, '2024-08-05 16:11:17', NULL, NULL), (218294, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 461, 22, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218295, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 5, 1, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218296, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 436, 22, 2024, 6, 17, '2024-08-05 16:11:18', NULL, NULL), (218297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 328, 124, 2024, 6, 18, '2024-08-05 16:11:23', NULL, NULL), (218298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 3629, 10, 2024, 6, 18, '2024-08-05 16:11:23', NULL, NULL), (218299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 96, 86, 2024, 6, 18, '2024-08-05 16:11:23', NULL, NULL), (218300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 842, 30, 2024, 6, 18, '2024-08-05 16:11:23', NULL, NULL), (218301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 549, 141, 2024, 6, 18, '2024-08-05 16:11:23', NULL, NULL), (218302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 138, 114, 2024, 6, 18, '2024-08-05 16:11:23', NULL, NULL), (218303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1485, 4, 2024, 6, 18, '2024-08-05 16:11:23', NULL, NULL), (218304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 547, 163, 2024, 6, 18, '2024-08-05 16:11:23', NULL, NULL), (218305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 324, 3, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 409, 215, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 405, 30, 2024, 6, 18, '2024-08-05 16:11:23', NULL, NULL), (218308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 3, 2, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 43, 9, 2024, 6, 18, '2024-08-05 16:11:23', NULL, NULL), (218310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 316, 68, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 2123, 18, 2024, 6, 18, '2024-08-05 16:11:23', NULL, NULL), (218312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 448, 50, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 468, 43, 2024, 6, 18, '2024-08-05 16:11:23', NULL, NULL), (218314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 355, 119, 2024, 6, 18, '2024-08-05 16:11:23', NULL, NULL), (218315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 695, 9, 2024, 6, 18, '2024-08-05 16:11:23', NULL, NULL), (218316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 348, 58, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 404, 62, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218318, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218319, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218320, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 1928, 9, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218321, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 363, 17, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218322, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 96, 86, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218323, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1485, 4, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218324, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 9473, 2, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218325, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 343, 6, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218326, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 947, 53, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218327, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218328, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 206, 12, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218329, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 202, 10, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218330, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 191, 1, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218331, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 431, 79, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218332, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 198, 6, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218333, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 617, 22, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218334, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218335, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 16611, 1, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218336, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 161, 2, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218337, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 210, 2, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218338, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 31, 2, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218339, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 93, 17, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218340, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 185, 1, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218341, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218342, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 2879, 1, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218343, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 329, 6, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218344, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 848, 6, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218345, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 140, 18, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218346, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 135, 81, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218347, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 305, 106, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218348, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 4, 1, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218349, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 258, 10, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218350, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1660, 4, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218351, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 199, 5, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218352, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 91, 17, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218353, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 567, 66, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218354, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 14, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218355, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218356, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 586, 21, 2024, 6, 18, '2024-08-05 16:11:24', NULL, NULL), (218357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 258, 10, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 72, 17, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 12, 6, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 91, 17, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 22, 13, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 434, 18, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 112, 15, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 78, 8, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 443, 26, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 149, 13, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 141, 5, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 59, 21, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 338, 18, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 119, 19, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 731, 8, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 508, 17, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 175, 15, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 584, 33, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 780, 9, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 162, 7, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 126, 4, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 96, 17, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 303, 10, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 639, 10, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 31, 18, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 1419, 3, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 140, 18, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 166, 24, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 341, 26, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 276, 33, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1485, 4, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 270, 37, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 726, 12, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 848, 6, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 161, 2, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 191, 1, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 31, 2, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 4, 1, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1660, 4, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 586, 21, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 343, 6, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1319, 21, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 702, 32, 2024, 6, 18, '2024-08-05 16:11:26', NULL, NULL), (218400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 329, 6, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 1446, 12, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 4740, 4, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 2879, 1, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 522, 4, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 210, 2, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 681, 3, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 506, 4, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 436, 10, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 206, 12, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 198, 6, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 16611, 1, 2024, 6, 18, '2024-08-05 16:11:25', NULL, NULL), (218412, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 202, 10, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218413, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 199, 5, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218414, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 947, 53, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218415, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 4, 1, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218416, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 848, 6, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218417, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 206, 12, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218418, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 1928, 9, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218419, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 96, 86, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218420, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 363, 17, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218421, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 93, 17, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218422, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 329, 6, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218423, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 91, 17, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218424, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 135, 81, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218425, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1660, 4, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218426, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 258, 10, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218427, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 31, 2, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218428, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1485, 4, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218429, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 2879, 1, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218430, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 617, 22, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218431, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 16611, 1, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218432, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 191, 1, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218433, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 161, 2, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (218434, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 140, 18, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218435, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 185, 1, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218436, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 586, 21, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218437, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 210, 2, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218438, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 343, 6, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218439, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 198, 6, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218440, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 18946, 1, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218441, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 575, 65, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218442, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 305, 106, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218443, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 431, 79, 2024, 6, 18, '2024-08-05 16:11:27', NULL, NULL), (218444, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 200, 5, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218445, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1485, 4, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218446, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 343, 6, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218447, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 3, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218448, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1319, 21, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218449, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 522, 4, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218450, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 5, 3, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218451, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 702, 32, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218452, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 506, 4, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218453, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 681, 3, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218454, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 91, 17, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218455, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 153, 3, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218456, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 269, 2, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218457, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 31, 2, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218458, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 204, 5, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218459, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 654, 1, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218460, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 586, 21, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218461, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 161, 2, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218462, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 848, 6, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218463, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 639, 10, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218464, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 303, 10, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218465, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 329, 6, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218466, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 584, 33, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218467, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 206, 12, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218468, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 726, 12, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218469, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 2879, 1, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218470, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 128, 18, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218471, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 111, 3, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218472, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 74, 8, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218473, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 210, 2, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218474, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 45, 1, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218475, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 160, 11, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218476, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 114, 13, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218477, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 258, 10, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218478, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 210, 11, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218479, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 134, 16, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218480, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 18946, 1, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218481, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 508, 17, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218482, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 780, 9, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218483, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 141, 5, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218484, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 443, 26, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218485, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 731, 8, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218486, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 338, 18, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218487, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 434, 18, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218488, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 16611, 1, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218489, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 1928, 9, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218490, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 436, 10, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218491, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 83, 1, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218492, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 198, 6, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218493, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 1419, 3, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218494, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 72, 17, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218495, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 79, 4, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218496, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 41, 3, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218497, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 31, 18, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218498, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 9, 4, 2024, 6, 18, '2024-08-05 16:11:28', NULL, NULL), (218499, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 4, 1, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218500, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 185, 1, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218501, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 191, 1, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218502, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 90, 2, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218503, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 78, 8, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218504, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 276, 33, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218505, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 98, 2, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218506, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 59, 21, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218507, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 341, 26, 2024, 6, 18, '2024-08-05 16:11:29', NULL, NULL), (218508, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 12, 6, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218509, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 140, 18, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218510, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1660, 4, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218511, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 22, 13, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218512, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 270, 37, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 12, 6, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 1928, 9, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 72, 17, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 1419, 3, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 31, 18, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 166, 24, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 18946, 1, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 59, 21, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 78, 8, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 22, 13, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 270, 37, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 16611, 1, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 702, 32, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 276, 33, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 341, 26, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1660, 4, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1319, 21, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 726, 12, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 436, 10, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 639, 10, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 303, 10, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 584, 33, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 780, 9, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 141, 5, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 731, 8, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 329, 6, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1485, 4, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 586, 21, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 343, 6, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 31, 2, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 4, 1, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 191, 1, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 848, 6, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 161, 2, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 3, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 508, 17, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 338, 18, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 126, 4, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 198, 6, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 506, 4, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 96, 17, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 206, 12, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 140, 18, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 162, 7, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 5, 3, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 119, 19, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 210, 2, 2024, 6, 18, '2024-08-05 16:11:30', NULL, NULL), (218560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 91, 17, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 258, 10, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 175, 15, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 681, 3, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 112, 15, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 443, 26, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 522, 4, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 2879, 1, 2024, 6, 18, '2024-08-05 16:11:31', NULL, NULL), (218568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 149, 13, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 434, 18, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218570, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 436, 10, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218571, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 91, 17, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218572, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 341, 26, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218573, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 276, 33, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218574, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 128, 18, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218575, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 654, 1, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218576, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 508, 17, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218577, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 270, 37, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218578, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 338, 18, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218579, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 443, 26, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218580, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 434, 18, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218581, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 681, 3, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218582, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 506, 4, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218583, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 5, 3, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218584, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 522, 4, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218585, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 3, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218586, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 258, 10, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218587, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 726, 12, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218588, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1660, 4, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218589, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 848, 6, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218590, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 161, 2, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218591, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 31, 2, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218592, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 18946, 1, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218593, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 329, 6, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218594, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 200, 5, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218595, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 31, 18, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218596, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 191, 1, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218597, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 1419, 3, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218598, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 586, 21, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218599, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 72, 17, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218600, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 12, 6, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218601, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 141, 5, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218602, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 22, 13, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218603, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 731, 8, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218604, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 198, 6, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218605, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 78, 8, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218606, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 2879, 1, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218607, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 780, 9, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218608, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 59, 21, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218609, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 1928, 9, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218610, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 584, 33, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218611, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 206, 12, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218612, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 140, 18, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218613, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1485, 4, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218614, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 303, 10, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218615, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 639, 10, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218616, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 343, 6, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218617, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 4, 1, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218618, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 185, 1, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218619, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 9, 4, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218620, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1319, 21, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218621, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 83, 1, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218622, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 702, 32, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218623, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 79, 4, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218624, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 41, 3, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218625, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 153, 3, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218626, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 90, 2, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218627, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 114, 13, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218628, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 98, 2, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218629, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 269, 2, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218630, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 204, 5, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218631, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 16611, 1, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218632, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 210, 11, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218633, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 160, 11, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218634, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 134, 16, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218635, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 210, 2, 2024, 6, 18, '2024-08-05 16:11:32', NULL, NULL), (218636, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 74, 8, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218637, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 111, 3, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218638, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 45, 1, 2024, 6, 18, '2024-08-05 16:11:33', NULL, NULL), (218639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 228, 155, 2024, 6, 19, '2024-08-05 16:11:37', NULL, NULL), (218640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 133, 104, 2024, 6, 19, '2024-08-05 16:11:37', NULL, NULL), (218641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 208, 42, 2024, 6, 19, '2024-08-05 16:11:37', NULL, NULL), (218642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 754, 136, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 38, 133, 2024, 6, 19, '2024-08-05 16:11:37', NULL, NULL), (218644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 9400, 2, 2024, 6, 19, '2024-08-05 16:11:37', NULL, NULL), (218645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 14815, 4, 2024, 6, 19, '2024-08-05 16:11:37', NULL, NULL), (218646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 530, 193, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 26, 3, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 268, 10, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 376, 235, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 188, 50, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 54, 5, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 323, 9, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 483, 73, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 23, 12, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 428, 86, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 260, 60, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 240, 99, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 327, 55, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 4482, 18, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 344, 78, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218661, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 0, 4, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218662, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218663, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 275, 20, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218664, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 133, 104, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218665, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 11852, 5, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218666, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 2, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218667, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 333, 15, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218668, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 593, 83, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218669, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 53, 7, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218670, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 116, 2, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218671, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 147, 22, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218672, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 219, 85, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218673, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 362, 8, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218674, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 465, 24, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218675, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 7, 1, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218676, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 392, 6, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218677, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 344, 7, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218678, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 21, 34, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218679, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 233, 2, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218680, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 6, 3, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218681, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 0, 2, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218682, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 102, 31, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218683, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 29, 81, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218684, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 447, 109, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218685, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 3, 2, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218686, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 26, 3, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218687, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 45, 10, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218688, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1463, 3, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218689, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218690, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 128, 9, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218691, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 425, 31, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218692, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 130, 55, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218693, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 13, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218694, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 5799, 12, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218695, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 8, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218696, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 9400, 2, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218697, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 1746, 1, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218698, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2024, 6, 19, '2024-08-05 16:11:38', NULL, NULL), (218699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 51, 9, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 162, 28, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 138, 25, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 425, 31, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 238, 16, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 144, 16, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 157, 23, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 1467, 13, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 309, 11, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 25, 14, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 70, 21, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 281, 26, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 32, 21, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 205, 19, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 676, 9, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 26, 24, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 145, 17, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 48, 5, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 422, 4, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 77, 16, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 63, 15, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 18, 13, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 123, 15, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 123, 14, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 148, 14, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 102, 31, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 37, 14, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 457, 54, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 232, 15, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 128, 9, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 331, 2, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 14815, 4, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 26, 3, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 392, 6, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 116, 2, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 344, 7, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 3, 2, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 2195, 2, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 333, 15, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 617, 28, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 453, 28, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 714, 27, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 5799, 12, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 6, 3, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 21, 6, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 10, 3, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 62, 2, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 5, 3, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 869, 6, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 538, 37, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 7, 1, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 362, 8, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 147, 22, 2024, 6, 19, '2024-08-05 16:11:40', NULL, NULL), (218752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 1746, 1, 2024, 6, 19, '2024-08-05 16:11:39', NULL, NULL), (218753, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 53, 7, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218754, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 128, 9, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218755, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 593, 83, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218756, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 3, 2, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218757, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 147, 22, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218758, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 133, 104, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218759, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 275, 20, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218760, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 21, 34, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218761, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 1746, 1, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218762, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 6, 3, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218763, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 425, 31, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218764, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 29, 81, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218765, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 2195, 2, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218766, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 51, 9, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218767, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 344, 7, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218768, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 14815, 4, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218769, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 465, 24, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218770, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 116, 2, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218771, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 392, 6, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218772, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 26, 3, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218773, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 102, 31, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218774, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 233, 2, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218775, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 5799, 12, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218776, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', '', 9400, 2, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218777, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 7, 1, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218778, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 333, 15, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218779, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 362, 8, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218780, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 130, 55, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218781, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 451, 108, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218782, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 221, 84, 2024, 6, 19, '2024-08-05 16:11:41', NULL, NULL), (218783, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 20, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218784, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 14815, 4, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218785, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 714, 27, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218786, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 333, 15, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218787, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 10, 3, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218788, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 21, 6, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218789, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 617, 28, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218790, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 9400, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218791, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 5, 3, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218792, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 62, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218793, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 453, 28, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218794, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 869, 6, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218795, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 425, 31, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218796, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 147, 5, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218797, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 104, 4, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218798, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 67, 5, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218799, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 344, 7, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218800, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 12, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218801, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 392, 6, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218802, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 123, 14, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218803, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 123, 15, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218804, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 6, 3, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218805, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 145, 17, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218806, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 147, 22, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218807, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 5799, 12, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218808, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 7, 1, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218809, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 23, 7, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218810, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 32, 8, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218811, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 44, 3, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218812, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 13, 7, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218813, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 30, 5, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218814, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 25, 11, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218815, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 28, 9, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218816, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 51, 9, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218817, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 29, 17, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218818, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 39, 14, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218819, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 128, 9, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218820, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 205, 19, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218821, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 422, 4, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218822, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 1746, 1, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218823, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 157, 23, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218824, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 309, 11, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218825, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 676, 9, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218826, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 281, 26, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218827, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 238, 16, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218828, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 538, 37, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218829, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 26, 3, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218830, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 45, 2, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218831, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 362, 8, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218832, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 148, 14, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218833, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 53, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218834, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 162, 28, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218835, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 17, 7, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218836, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 17, 7, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218837, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 26, 4, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218838, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 12, 5, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218839, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 3, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218840, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 233, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (218841, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 116, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218842, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 26, 3, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218843, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 232, 15, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218844, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 6, 2, 2024, 6, 19, '2024-08-05 16:11:42', NULL, NULL), (218845, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 70, 21, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218846, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 457, 54, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218847, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 138, 25, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218848, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 102, 31, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218849, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 331, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218850, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 144, 16, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218851, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 2195, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 138, 25, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 162, 28, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 148, 14, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 37, 14, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 70, 21, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 144, 16, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 331, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 714, 27, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 453, 28, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 232, 15, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 457, 54, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 2195, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 617, 28, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 128, 9, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 538, 37, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 26, 3, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 123, 14, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 123, 15, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 145, 17, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 422, 4, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 309, 11, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 676, 9, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 6, 3, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 5799, 12, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A02', 9400, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 14815, 4, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 333, 15, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 344, 7, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 3, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 116, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 392, 6, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 21, 6, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 1746, 1, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 205, 19, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 281, 26, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 63, 15, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 362, 8, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 18, 13, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 48, 5, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 147, 22, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 102, 31, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 7, 1, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 77, 16, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 32, 21, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 62, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 425, 31, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 10, 3, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 51, 9, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 26, 24, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 157, 23, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 869, 6, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 24, 11, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 5, 3, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 238, 16, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 25, 14, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218907, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 538, 37, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218908, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 425, 31, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218909, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 457, 54, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218910, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 232, 15, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218911, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 23, 7, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218912, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 12, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218913, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 205, 19, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218914, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 331, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218915, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 281, 26, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218916, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 157, 23, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218917, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 238, 16, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218918, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 869, 6, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218919, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 62, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218920, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 5, 3, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218921, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 21, 6, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218922, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 10, 3, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218923, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 51, 9, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218924, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 7, 1, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218925, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 2195, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218926, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 128, 9, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218927, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 5799, 12, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218928, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 392, 6, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218929, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 344, 7, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218930, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', 'A02', 9400, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218931, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 6, 3, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218932, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 20, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218933, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 116, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218934, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 148, 14, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218935, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 162, 28, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218936, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 309, 11, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218937, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 138, 25, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218938, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 676, 9, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218939, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 144, 16, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218940, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 362, 8, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218941, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 422, 4, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218942, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 70, 21, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218943, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 145, 17, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218944, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 147, 22, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218945, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 102, 31, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218946, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 14815, 4, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218947, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 123, 15, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218948, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 123, 14, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218949, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 333, 15, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218950, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 3, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218951, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 233, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218952, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 26, 3, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218953, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 26, 4, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218954, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 617, 28, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218955, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 1746, 1, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218956, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 12, 5, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218957, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 45, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218958, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 453, 28, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218959, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 53, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218960, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 714, 27, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218961, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 17, 7, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218962, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 17, 7, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218963, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 147, 5, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218964, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 26, 3, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218965, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 28, 9, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218966, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 6, 2, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218967, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 67, 5, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218968, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 104, 4, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218969, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 29, 17, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218970, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 44, 3, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218971, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 25, 11, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218972, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 39, 14, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218973, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 13, 7, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218974, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 32, 8, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218975, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 30, 5, 2024, 6, 19, '2024-08-05 16:11:43', NULL, NULL), (218976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 110, 133, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 846, 9, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 271, 113, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 118, 55, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 488, 173, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 59, 133, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 964, 2, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 769, 150, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 287, 2, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 98, 4, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 363, 296, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 192, 34, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 23, 2, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 209, 51, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 603, 15, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 449, 84, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 250, 53, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 391, 102, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 379, 14, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 319, 75, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 249, 52, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (218997, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 455, 3, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (218998, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (218999, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 63, 33, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219000, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 271, 113, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219001, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 964, 2, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219002, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 295, 7, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (219003, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 985, 60, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219004, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1048, 14, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219005, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (219006, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 120, 3, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (219007, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 202, 22, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219008, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 207, 16, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219009, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 75, 67, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219010, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 619, 15, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219011, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 734, 23, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219012, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (219013, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1105, 5, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (219014, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 455, 10, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (219015, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 31, 30, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (219016, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 95, 4, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (219017, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 308, 19, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (219018, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 21, 2, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (219019, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 189, 27, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219020, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 38, 71, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219021, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 445, 74, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219022, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 287, 2, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (219023, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 61, 13, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219024, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 527, 15, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219025, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 49, 12, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (219026, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 140, 26, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219027, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 140, 60, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219028, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 2568, 6, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219029, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 665, 21, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219030, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 8, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219031, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (219032, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 4823, 1, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219033, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 1395, 3, 2024, 6, 20, '2024-08-05 16:11:44', NULL, NULL), (219034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 1314, 6, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 61, 13, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 140, 26, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 76, 12, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 125, 17, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 158, 18, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 66, 20, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 23, 10, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 320, 15, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 36, 16, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 270, 21, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 46, 17, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 636, 7, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 63, 13, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 31, 20, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 274, 5, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 6, 9, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 97, 17, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 58, 11, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1005, 11, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 54, 16, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 121, 12, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 42, 16, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 88, 22, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 174, 10, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 285, 25, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 85, 16, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 189, 27, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 178, 13, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 509, 21, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 948, 1, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 470, 26, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 980, 1, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 187, 14, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 140, 7, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 287, 2, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 21, 2, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1105, 5, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 120, 3, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 455, 10, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 665, 21, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 527, 15, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 2512, 4, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1048, 14, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 80, 5, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 849, 23, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 1041, 28, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 308, 19, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 225, 7, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 49, 5, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 237, 12, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 136, 6, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 467, 9, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 3, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 372, 27, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 619, 15, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 202, 22, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D15', 15409, 1, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 4823, 1, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219093, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 207, 16, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219094, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 49, 12, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219095, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 985, 60, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219096, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 21, 2, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219097, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 202, 22, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219098, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 455, 3, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219099, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 271, 113, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219100, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 63, 33, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219101, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 31, 30, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219102, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 4823, 1, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219103, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 308, 19, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219104, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 15409, 1, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219105, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 140, 26, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219106, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 38, 71, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219107, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 527, 15, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219108, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 61, 13, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219109, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 455, 10, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219110, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 1395, 3, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219111, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 964, 2, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219112, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 734, 23, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219113, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 120, 3, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219114, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 287, 2, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219115, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1105, 5, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219116, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 189, 27, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219117, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 95, 4, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219118, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 665, 21, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219119, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1048, 14, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219120, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 619, 15, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219121, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 690, 3, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219122, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 140, 60, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219123, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 445, 74, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219124, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 75, 67, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219125, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 147, 9, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219126, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 980, 1, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219127, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 948, 1, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219128, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 1041, 28, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219129, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1048, 14, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219130, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 49, 5, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219131, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 2512, 4, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219132, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 53, 4, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219133, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 80, 5, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219134, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 136, 6, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219135, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 86, 9, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219136, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 849, 23, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219137, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 3, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219138, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 140, 26, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219139, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 4, 6, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219140, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D15', 15409, 1, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219141, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 64, 7, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219142, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 28, 5, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219143, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 455, 10, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219144, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 285, 7, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219145, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 83, 1, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219146, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 665, 21, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219147, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 21, 2, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219148, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1105, 5, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219149, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 174, 10, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219150, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 121, 12, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219151, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 308, 19, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219152, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 97, 17, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219153, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 202, 22, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219154, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 140, 7, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219155, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 47, 5, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219156, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 1395, 3, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219157, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 49, 5, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219158, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 70, 8, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219159, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 70, 7, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219160, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 16, 5, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219161, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 32, 14, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219162, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 16, 5, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219163, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 7, 6, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219164, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 61, 13, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219165, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 31, 16, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219166, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 690, 3, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219167, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 187, 14, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219168, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 63, 13, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219169, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1005, 11, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219170, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 4823, 1, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219171, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 66, 20, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219172, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 636, 7, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219173, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 46, 17, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219174, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 274, 5, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219175, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 125, 17, 2024, 6, 20, '2024-08-05 16:11:45', NULL, NULL), (219176, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 455, 3, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219177, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 372, 27, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219178, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 287, 2, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219179, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 85, 16, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219180, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 619, 15, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219181, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 48, 2, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219182, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 1314, 6, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219183, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 26, 3, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219184, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 4, 3, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219185, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 32, 4, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219186, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 285, 25, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219187, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 20, 6, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219188, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 35, 4, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219189, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 95, 4, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219190, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 120, 3, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219191, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 66, 2, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219192, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 320, 15, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219193, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 470, 26, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219194, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 29, 5, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219195, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 270, 21, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219196, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 509, 21, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219197, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 76, 12, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219198, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 189, 27, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219199, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 527, 15, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219200, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 158, 18, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 455, 3, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 76, 12, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 1314, 6, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 85, 16, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 178, 13, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 285, 25, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 1395, 3, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 690, 3, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 270, 21, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 320, 15, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 158, 18, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 1041, 28, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 849, 23, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 470, 26, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 509, 21, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 2512, 4, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 527, 15, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 80, 5, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 187, 14, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 140, 7, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 372, 27, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 287, 2, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 174, 10, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 121, 12, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 97, 17, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1005, 11, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D15', 15409, 1, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 636, 7, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 274, 5, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 308, 19, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 980, 1, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 665, 21, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1048, 14, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 455, 10, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 120, 3, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 21, 2, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 948, 1, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1105, 5, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 53, 4, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 4823, 1, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 63, 13, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 46, 17, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 42, 16, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 3, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 619, 15, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 88, 22, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 58, 11, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 202, 22, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 189, 27, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 54, 16, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (219251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 86, 9, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 140, 26, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 31, 20, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 6, 9, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 49, 5, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 61, 13, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 66, 20, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 23, 10, 2024, 6, 20, '2024-08-05 16:11:46', NULL, NULL), (219259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 4, 6, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 136, 6, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 36, 16, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 125, 17, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219263, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 140, 26, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219264, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 372, 27, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219265, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 1395, 3, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219266, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 509, 21, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219267, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 470, 26, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219268, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 47, 5, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219269, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 83, 1, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219270, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 63, 13, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219271, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 46, 17, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219272, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 66, 20, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219273, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 125, 17, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219274, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 4, 6, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219275, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 3, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219276, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 86, 9, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219277, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 136, 6, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219278, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 53, 4, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219279, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 49, 5, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219280, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 61, 13, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219281, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 140, 7, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219282, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 527, 15, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219283, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 21, 2, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219284, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 187, 14, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219285, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1105, 5, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219286, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 690, 3, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219287, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 455, 10, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219288, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 308, 19, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219289, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 120, 3, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219290, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 285, 25, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219291, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 147, 9, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219292, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 85, 16, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219293, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 665, 21, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219294, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 1314, 6, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219295, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 76, 12, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219296, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 636, 7, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219297, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 158, 18, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219298, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 274, 5, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219299, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 320, 15, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219300, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 619, 15, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219301, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 270, 21, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219302, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1005, 11, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219303, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 455, 3, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219304, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 97, 17, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219305, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 202, 22, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219306, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 189, 27, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219307, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 980, 1, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219308, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 948, 1, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219309, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 121, 12, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219310, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1048, 14, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219311, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 174, 10, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219312, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 95, 4, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219313, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 287, 2, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219314, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 2512, 4, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219315, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 20, 6, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219316, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 80, 5, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219317, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 35, 4, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219318, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 4823, 1, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219319, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D15', 15409, 1, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219320, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 48, 2, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219321, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 849, 23, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219322, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 26, 3, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219323, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 1041, 28, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219324, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 4, 3, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219325, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 32, 4, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219326, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 64, 7, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219327, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 66, 2, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219328, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 16, 5, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219329, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 29, 5, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219330, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 285, 7, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219331, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 28, 5, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219332, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 7, 6, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219333, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 70, 8, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219334, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 32, 14, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219335, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 31, 16, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219336, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 70, 7, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219337, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 49, 5, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219338, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 16, 5, 2024, 6, 20, '2024-08-05 16:11:47', NULL, NULL), (219339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 256, 114, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 6, 1, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 2259, 2, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 218, 97, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 327, 45, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 581, 185, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 92, 111, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 634, 8, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 156, 7, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 581, 182, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 9, 1, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 324, 13, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 389, 236, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 480, 29, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 1088, 4, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 258, 11, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 269, 54, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 94, 2, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 711, 60, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 368, 65, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 310, 82, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 210, 50, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 286, 97, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 376, 81, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219363, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219364, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219365, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 218, 97, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219366, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 372, 23, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219367, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1, 2, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219368, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 3935, 1, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219369, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 267, 10, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219370, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 939, 70, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219371, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219372, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 942, 4, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219373, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 87, 14, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219374, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 106, 21, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219375, 22, '511502000000-0001', '翠屏区政务服务中心', '农民工绿色通道', '', '', '', 0, 2, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219376, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 218, 51, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219377, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 616, 18, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219378, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 586, 18, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219379, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 558, 4, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219380, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 3869, 1, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219381, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 401, 18, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219382, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 73, 33, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219383, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 2, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219384, 22, '511502000000-0001', '翠屏区政务服务中心', '小学教师资格认定', '', '', '', 579, 7, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219385, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 27, 2, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219386, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 188, 26, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219387, 22, '511502000000-0001', '翠屏区政务服务中心', '高中、幼儿园教师资格认定', '', '', '', 254, 3, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219388, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1382, 6, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219389, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 462, 21, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219390, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 328, 105, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219391, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 71, 50, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219392, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 9, 1, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219393, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 6, 1, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219394, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 348, 11, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219395, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 789, 7, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219396, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格认定', '', '', '', 270, 3, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219397, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 244, 12, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219398, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 145, 31, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219399, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 307, 51, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219400, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 14, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219401, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219402, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1332, 28, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219403, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 4, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219404, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 6, 1, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219405, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 2, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 348, 11, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 208, 26, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 145, 31, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 125, 8, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 88, 10, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 224, 19, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 123, 14, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 294, 6, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 250, 13, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 20, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 239, 11, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C01', 401, 5, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1093, 8, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 22, 7, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 35, 12, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 279, 15, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 492, 11, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 9, 4, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 572, 7, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 63, 16, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 197, 16, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 27, 9, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C09', 142, 12, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 269, 11, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 162, 25, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 284, 28, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 462, 21, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 265, 31, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 96, 18, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 591, 29, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 3, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 203, 45, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 255, 17, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 9, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 161, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1382, 6, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 558, 4, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A16', 167, 5, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A17', 1412, 3, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 942, 4, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A18', 182, 6, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 401, 18, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 6, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 789, 7, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1332, 28, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 267, 10, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 985, 40, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 878, 30, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 489, 8, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 188, 26, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 3, 1, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 355, 6, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 3869, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 313, 8, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 6, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 3935, 1, 2024, 6, 21, '2024-08-05 16:11:48', NULL, NULL), (219462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 616, 18, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 106, 21, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219464, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 87, 14, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219465, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 939, 70, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219466, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1382, 6, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219467, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 3935, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219468, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 218, 97, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219469, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 372, 23, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219470, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 73, 33, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219471, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 188, 26, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219472, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 145, 31, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219473, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 71, 50, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219474, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 789, 7, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219475, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 401, 18, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219476, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 3, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219477, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 6, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219478, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 9, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219479, 22, '511502000000-0001', '翠屏区政务服务中心', '高中、幼儿园教师资格认定', '区行政审批和非公经济局', '', '', 254, 3, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219480, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 27, 2, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219481, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 3869, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219482, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 616, 18, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219483, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 307, 51, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219484, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 328, 105, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219485, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 218, 51, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219486, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 244, 12, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219487, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 6, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219488, 22, '511502000000-0001', '翠屏区政务服务中心', '小学教师资格认定', '区行政审批和非公经济局', '', '', 4059, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219489, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 106, 21, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219490, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 348, 11, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219491, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 586, 18, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219492, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 942, 4, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219493, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格认定', '区卫生健康局', '', '', 270, 3, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219494, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 558, 4, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219495, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 462, 21, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219496, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1332, 28, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219497, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 267, 10, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219498, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 53, 3, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219499, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 3, 1, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219500, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 878, 30, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219501, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 267, 10, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219502, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 3, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219503, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 489, 8, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219504, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 985, 40, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219505, 22, '511502000000-0001', '翠屏区政务服务中心', '小学教师资格认定', '', '', 'A17', 4059, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219506, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 313, 8, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219507, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 355, 6, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219508, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 145, 31, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219509, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 285, 8, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219510, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 162, 4, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219511, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 97, 11, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219512, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 401, 18, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219513, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 139, 4, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219514, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1332, 28, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219515, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 558, 4, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219516, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1382, 6, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219517, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 269, 11, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219518, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 572, 7, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219519, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 279, 15, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219520, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 188, 26, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219521, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 106, 21, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219522, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 161, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219523, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 35, 3, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219524, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 6, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219525, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 25, 7, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219526, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 128, 5, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219527, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 3869, 1, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219528, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 25, 3, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219529, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 136, 5, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219530, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 126, 10, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219531, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 38, 5, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219532, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 46, 9, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219533, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 348, 11, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219534, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 15, 3, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219535, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 255, 17, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219536, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 239, 11, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219537, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 9, 4, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219538, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 294, 6, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219539, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 224, 19, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219540, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1093, 8, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219541, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 250, 13, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219542, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 125, 8, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219543, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 3935, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219544, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 9, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219545, 22, '511502000000-0001', '翠屏区政务服务中心', '高中、幼儿园教师资格认定', '', '', 'A16', 254, 3, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219546, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格认定', '', '', 'A18', 270, 3, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219547, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 616, 18, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219548, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 284, 28, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219549, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 46, 3, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219550, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 63, 4, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219551, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 208, 26, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219552, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C09', 142, 12, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219553, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 2, 3, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219554, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 27, 4, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219555, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 162, 25, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219556, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 4, 3, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219557, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 66, 3, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219558, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 6, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219559, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 27, 2, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219560, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 942, 4, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219561, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C01', 401, 5, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219562, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 117, 4, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219563, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 591, 29, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219564, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 138, 5, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219565, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 265, 31, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219566, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 20, 1, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219567, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 462, 21, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219568, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 789, 7, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219569, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 203, 45, 2024, 6, 21, '2024-08-05 16:11:49', NULL, NULL), (219570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 208, 26, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 284, 28, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 162, 25, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 96, 18, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 6, 1, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C09', 142, 12, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C01', 401, 5, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 20, 1, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 203, 45, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 878, 30, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 591, 29, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 265, 31, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 789, 7, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 985, 40, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 255, 17, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 161, 1, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A18', 182, 6, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 9, 1, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A17', 1412, 3, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A16', 167, 5, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 269, 11, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 572, 7, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 279, 15, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 9, 4, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 294, 6, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1093, 8, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 2259, 2, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 188, 26, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 3, 1, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1332, 28, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 267, 10, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 401, 18, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 6, 1, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 942, 4, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1382, 6, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 558, 4, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 489, 8, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 239, 11, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 250, 13, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 197, 16, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 3935, 1, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 616, 18, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 27, 9, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 99, 9, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 462, 21, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 106, 21, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 63, 16, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 3869, 1, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 145, 31, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 355, 6, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 22, 7, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 3, 1, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 35, 12, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 348, 11, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 88, 10, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 224, 19, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 123, 14, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 125, 8, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 313, 8, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219629, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 145, 31, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219630, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 6, 1, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219631, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 265, 31, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219632, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 591, 29, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219633, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 35, 3, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219634, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 239, 11, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219635, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 139, 4, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219636, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 203, 45, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219637, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 250, 13, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219638, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 224, 19, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219639, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 125, 8, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219640, 22, '511502000000-0001', '翠屏区政务服务中心', '高中、幼儿园教师资格认定', '区行政审批和非公经济局', '', 'A16', 254, 3, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219641, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格认定', '区卫生健康局', '', 'A18', 270, 3, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219642, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 355, 6, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219643, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 313, 8, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219644, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 489, 8, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219645, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 3, 1, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219646, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 348, 11, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219647, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 161, 1, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219648, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 789, 7, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219649, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1382, 6, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219650, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 255, 17, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219651, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 558, 4, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219652, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 401, 18, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219653, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 188, 26, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219654, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C09', 142, 12, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (219655, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 53, 3, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219656, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 942, 4, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219657, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 162, 25, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219658, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 284, 28, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219659, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1332, 28, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219660, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 208, 26, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219661, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 294, 6, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219662, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1093, 8, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219663, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 616, 18, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219664, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 9, 4, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219665, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 20, 1, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219666, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C01', 401, 5, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219667, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 3935, 1, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219668, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 279, 15, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219669, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 106, 21, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219670, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 462, 21, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219671, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 3, 1, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219672, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 572, 7, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219673, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 269, 11, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219674, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 267, 10, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219675, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 6, 1, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219676, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 9, 1, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219677, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 27, 2, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219678, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 4, 3, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219679, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 985, 40, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219680, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 66, 3, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219681, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 46, 3, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219682, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 63, 4, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219683, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 878, 30, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219684, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 2, 3, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219685, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 27, 4, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219686, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 285, 8, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219687, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 117, 4, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219688, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 38, 5, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219689, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 138, 5, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219690, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 162, 4, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219691, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 97, 11, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219692, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 46, 9, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219693, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 128, 5, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219694, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 126, 10, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219695, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 3869, 1, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219696, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 15, 3, 2024, 6, 21, '2024-08-05 16:11:50', NULL, NULL), (219697, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 25, 3, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219698, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 25, 7, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219699, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 136, 5, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219700, 22, '511502000000-0001', '翠屏区政务服务中心', '小学教师资格认定', '区行政审批和非公经济局', '', 'A17', 4059, 1, 2024, 6, 21, '2024-08-05 16:11:51', NULL, NULL), (219701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 6, 1, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 5604, 38, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 5116, 5, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 4221, 13, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 8329, 5, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 4217, 16, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219707, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219708, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219709, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 6, 1, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219710, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219711, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219712, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 7566, 2, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219713, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 5495, 36, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 5417, 35, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 8237, 1, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 6, 1, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 7566, 2, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219718, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 7566, 2, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219719, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 5495, 36, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219720, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 6, 1, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219721, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 7566, 2, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219722, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 6, 1, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219723, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 5417, 35, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219724, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 8237, 1, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 8237, 1, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 7566, 2, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 6, 1, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 5417, 35, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219729, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 5417, 35, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219730, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 6, 1, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219731, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 8237, 1, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219732, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 7566, 2, 2024, 6, 22, '2024-08-05 16:11:52', NULL, NULL), (219733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 21, 6, 2024, 6, 23, '2024-08-05 16:11:53', NULL, NULL), (219734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 813, 31, 2024, 6, 23, '2024-08-05 16:11:53', NULL, NULL), (219735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 438, 31, 2024, 6, 23, '2024-08-05 16:11:53', NULL, NULL), (219736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 976, 7, 2024, 6, 23, '2024-08-05 16:11:53', NULL, NULL), (219737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 1222, 4, 2024, 6, 23, '2024-08-05 16:11:53', NULL, NULL), (219738, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 6, 1, 2024, 6, 23, '2024-08-05 16:11:53', NULL, NULL), (219739, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1153, 6, 2024, 6, 23, '2024-08-05 16:11:53', NULL, NULL), (219740, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 609, 30, 2024, 6, 23, '2024-08-05 16:11:53', NULL, NULL), (219741, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 24, 5, 2024, 6, 23, '2024-08-05 16:11:53', NULL, NULL), (219742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 526, 9, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 677, 20, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 6, 1, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 24, 5, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 3461, 2, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219747, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 3461, 2, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219748, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 24, 5, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219749, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 630, 29, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219750, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 6, 1, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219751, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 3461, 2, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219752, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 6, 1, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219753, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 677, 20, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219754, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 24, 5, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219755, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 526, 9, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 3461, 2, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 6, 1, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 24, 5, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 677, 20, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 526, 9, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219761, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 526, 9, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219762, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 6, 1, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219763, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 677, 20, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219764, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 24, 5, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219765, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 3461, 2, 2024, 6, 23, '2024-08-05 16:11:54', NULL, NULL), (219766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 157, 113, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 9024, 4, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 70, 110, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 591, 1, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 418, 73, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 149, 3, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 471, 201, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 112, 180, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 2209, 266, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1698, 14, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 453, 191, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 611, 31, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 257, 272, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 268, 29, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 0, 1, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 1332, 12, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 232, 39, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 233, 76, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 141, 63, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 270, 86, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 456, 81, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1587, 424, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 289, 74, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219789, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219790, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 80, 19, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219791, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 6, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219792, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 70, 110, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219793, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1693, 14, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219794, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 591, 1, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219795, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 448, 14, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219796, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 266, 63, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219797, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '', '', '', 149, 3, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219798, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 9024, 4, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219799, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 272, 11, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219800, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 149, 52, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219801, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 685, 7, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219802, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 155, 56, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219803, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 431, 11, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219804, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 415, 31, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219805, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 5312, 4, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219806, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 3074, 10, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219807, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 624, 10, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219808, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 98, 67, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219809, 22, '511502000000-0001', '翠屏区政务服务中心', '小学教师资格认定', '', '', '', 1948, 61, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219810, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 68, 5, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219811, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 5, 1, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219812, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 382, 14, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219813, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 534, 3, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219814, 22, '511502000000-0001', '翠屏区政务服务中心', '高中、幼儿园教师资格认定', '', '', '', 2671, 158, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219815, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 94, 26, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219816, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 94, 83, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219817, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 516, 124, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219818, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 4, 3, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219819, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 21, 2, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219820, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 650, 9, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219821, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219822, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格认定', '', '', '', 1016, 46, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219823, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 173, 14, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219824, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 220, 30, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219825, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 118, 80, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219826, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 13, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219827, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 11, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219828, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 661, 16, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219829, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 44, 2, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219830, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 1965, 1, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219831, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219832, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 6, 24, '2024-08-05 16:11:55', NULL, NULL), (219833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 21, 2, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 61, 15, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 42, 15, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 228, 29, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 45, 17, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 126, 15, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 300, 19, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 67, 18, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 100, 24, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 398, 2, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 59, 13, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 709, 69, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 410, 15, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 34, 9, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 103, 32, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 618, 7, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 65, 21, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 1152, 34, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 266, 9, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 102, 26, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 139, 24, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 125, 13, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 591, 1, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 92, 20, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 19, 16, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 90, 21, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 94, 26, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 157, 31, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 324, 51, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1975, 12, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 964, 25, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 12, 1, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 36, 11, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 283, 15, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 534, 3, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 3074, 10, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A16', 2671, 158, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A17', 1948, 61, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 685, 7, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 624, 10, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A18', 70, 1, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 4, 3, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 650, 9, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 705, 15, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 448, 14, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 311, 25, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 10, 6, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 267, 17, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 290, 15, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 5, 1, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 294, 3, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 72, 3, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 406, 11, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 5, 1, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 268, 2, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 134, 4, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 1, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 28, 8, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 1, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 544, 43, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 149, 52, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 431, 11, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 1965, 1, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 3029, 1, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 18222, 1, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219898, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 272, 11, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219899, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 266, 63, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219900, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 534, 3, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219901, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 70, 110, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219902, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 80, 19, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219903, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 98, 67, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219904, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 1965, 1, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219905, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 382, 14, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219906, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 228, 29, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219907, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 94, 83, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219908, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 650, 9, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219909, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 624, 10, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219910, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1824, 13, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219911, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 9024, 4, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219912, 22, '511502000000-0001', '翠屏区政务服务中心', '高中、幼儿园教师资格认定', '区行政审批和非公经济局', '', '', 2671, 158, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219913, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 68, 5, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219914, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', '', 44, 2, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219915, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格认定', '区行政审批和非公经济局', '', '', 1037, 45, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219916, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 431, 11, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219917, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 118, 80, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219918, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 538, 119, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219919, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 155, 56, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219920, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 173, 14, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219921, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 4, 3, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219922, 22, '511502000000-0001', '翠屏区政务服务中心', '小学教师资格认定', '区行政审批和非公经济局', '', '', 1948, 61, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219923, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 149, 52, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219924, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 21, 2, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219925, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '区农业农村局', '', '', 149, 3, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219926, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 5, 1, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219927, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 415, 31, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219928, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 10625, 2, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219929, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 685, 7, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219930, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格认定', '区卫生健康局', '', '', 70, 1, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219931, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 591, 1, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219932, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 3074, 10, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219933, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 94, 26, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219934, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 661, 16, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219935, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 448, 14, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219936, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 12, 1, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219937, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1975, 12, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219938, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 448, 14, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219939, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 268, 2, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219940, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 311, 25, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219941, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 10, 6, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219942, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 72, 3, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219943, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 1, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219944, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 44, 2, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219945, 22, '511502000000-0001', '翠屏区政务服务中心', '小学教师资格认定', '', '', 'A17', 1948, 61, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219946, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 267, 17, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219947, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 134, 4, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219948, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 290, 15, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219949, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 1, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219950, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 28, 8, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219951, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 228, 29, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219952, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 207, 11, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219953, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 48, 3, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219954, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 272, 11, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219955, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 624, 10, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219956, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 104, 7, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219957, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 591, 1, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219958, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 705, 15, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219959, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 534, 3, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219960, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 3074, 10, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219961, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 294, 3, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219962, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 92, 20, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219963, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 125, 13, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219964, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 65, 21, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219965, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 406, 11, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219966, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 149, 52, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219967, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '', '', 'A08', 149, 3, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219968, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 5, 1, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219969, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 283, 15, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219970, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 5, 1, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219971, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 89, 13, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219972, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 139, 6, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219973, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 71, 6, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219974, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 88, 11, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219975, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 80, 11, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219976, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 21, 2, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219977, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 94, 19, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219978, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 104, 17, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219979, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格认定', '', '', 'A03', 1037, 45, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219980, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 36, 11, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219981, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 34, 9, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219982, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 266, 9, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219983, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 300, 19, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219984, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 1965, 1, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219985, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 410, 15, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219986, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 59, 13, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219987, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 618, 7, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219988, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 126, 15, 2024, 6, 24, '2024-08-05 16:11:56', NULL, NULL), (219989, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 18222, 1, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219990, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 3029, 1, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219991, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 544, 43, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219992, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 9024, 4, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219993, 22, '511502000000-0001', '翠屏区政务服务中心', '高中、幼儿园教师资格认定', '', '', 'A16', 2671, 158, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219994, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格认定', '', '', 'A18', 70, 1, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219995, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 90, 21, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219996, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 111, 12, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219997, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 431, 11, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219998, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 61, 15, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (219999, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 116, 11, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220000, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 101, 15, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220001, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 19, 16, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220002, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 49, 4, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220003, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 4, 3, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220004, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 68, 5, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220005, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 685, 7, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220006, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 99, 13, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220007, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 100, 24, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220008, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 964, 25, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220009, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 398, 2, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220010, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 49, 5, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220011, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 324, 51, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220012, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 42, 15, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220013, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 94, 26, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220014, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 650, 9, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220015, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 45, 17, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 42, 15, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 61, 15, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 90, 21, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 157, 31, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 19, 16, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 9024, 4, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 398, 2, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 100, 24, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 45, 17, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 18222, 1, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 290, 15, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 964, 25, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 324, 51, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 311, 25, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 650, 9, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 3029, 1, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 267, 17, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 10, 6, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 36, 11, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 283, 15, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 544, 43, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A18', 70, 1, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A17', 1948, 61, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 591, 1, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A16', 2671, 158, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 149, 3, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 92, 20, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 125, 13, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 65, 21, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 266, 9, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 410, 15, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 618, 7, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 294, 3, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 406, 11, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 5, 1, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A02', 44, 2, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A03', 1037, 45, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 12, 1, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 705, 15, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 448, 14, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 624, 10, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 4, 3, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 685, 7, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 534, 3, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1975, 12, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 3074, 10, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (220062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 72, 3, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 1965, 1, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 34, 9, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 59, 13, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 138, 21, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 1, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 431, 11, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 149, 52, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 94, 26, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 102, 26, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 134, 4, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 103, 32, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 228, 29, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 268, 2, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 21, 2, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 102, 30, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 5, 1, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 300, 19, 2024, 6, 24, '2024-08-05 16:11:57', NULL, NULL), (220080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 70, 16, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 28, 8, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 1, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 94, 24, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 126, 15, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220085, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '区农业农村局', '', 'A08', 149, 3, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220086, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 544, 43, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220087, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 228, 29, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220088, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 324, 51, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220089, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 964, 25, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220090, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 89, 13, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220091, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 104, 7, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220092, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 34, 9, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220093, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 59, 13, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220094, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 300, 19, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220095, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 126, 15, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220096, 22, '511502000000-0001', '翠屏区政务服务中心', '高中、幼儿园教师资格认定', '区行政审批和非公经济局', '', 'A16', 2671, 158, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220097, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 28, 8, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220098, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 1, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220099, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 134, 4, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220100, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格认定', '区卫生健康局', '', 'A18', 70, 1, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220101, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 1, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220102, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 72, 3, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220103, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 268, 2, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220104, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格认定', '区行政审批和非公经济局', '', 'A03', 1037, 45, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220105, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 21, 2, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220106, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 283, 15, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220107, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 650, 9, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220108, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 534, 3, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220109, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 36, 11, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220110, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 5, 1, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220111, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 3074, 10, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220112, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 624, 10, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220113, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 591, 1, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220114, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 294, 3, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220115, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', 'A02', 44, 2, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220116, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 406, 11, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220117, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 5, 1, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220118, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 19, 16, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220119, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 685, 7, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220120, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 90, 21, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220121, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 705, 15, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220122, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 61, 15, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220123, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 42, 15, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220124, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 410, 15, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220125, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 45, 17, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220126, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 618, 7, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220127, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 100, 24, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220128, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 431, 11, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220129, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 398, 2, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220130, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 266, 9, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220131, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 9024, 4, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220132, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 125, 13, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220133, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 65, 21, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220134, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 149, 52, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220135, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 94, 26, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220136, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 12, 1, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220137, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1975, 12, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220138, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 92, 20, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220139, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 448, 14, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220140, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 4, 3, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220141, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 68, 5, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220142, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 311, 25, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220143, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 10, 6, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220144, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 49, 4, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220145, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 1965, 1, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220146, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 267, 17, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220147, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 111, 12, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220148, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 290, 15, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220149, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 116, 11, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220150, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 207, 11, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220151, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 101, 15, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220152, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 80, 11, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220153, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 99, 13, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220154, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 49, 5, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220155, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 48, 3, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220156, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 272, 11, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220157, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 18222, 1, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220158, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 94, 19, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220159, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 3029, 1, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220160, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 88, 11, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220161, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 104, 17, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220162, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 139, 6, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220163, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 71, 6, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220164, 22, '511502000000-0001', '翠屏区政务服务中心', '小学教师资格认定', '区行政审批和非公经济局', '', 'A17', 1948, 61, 2024, 6, 24, '2024-08-05 16:11:58', NULL, NULL), (220165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 349, 158, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 10, 2, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 73, 103, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 180, 75, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 662, 171, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 57, 133, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 718, 84, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 297, 7, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 628, 144, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 238, 11, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 393, 270, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 643, 25, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 114, 8, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 225, 40, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 5, 4, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 362, 81, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 360, 27, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 351, 87, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 308, 102, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 545, 151, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 284, 99, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220186, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 10, 2, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220187, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 4, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220188, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 4, 27, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220189, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 73, 103, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220190, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 297, 7, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220191, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 1, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220192, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 23, 13, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220193, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 415, 56, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220194, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220195, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 28, 5, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220196, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 147, 48, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220197, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 554, 4, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220198, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 511, 87, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220199, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1620, 10, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220200, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1728, 26, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220201, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220202, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 913, 7, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220203, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 4, 1, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220204, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 520, 18, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220205, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 15, 25, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220206, 22, '511502000000-0001', '翠屏区政务服务中心', '小学教师资格认定', '', '', '', 275, 19, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220207, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 503, 7, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220208, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 52, 8, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220209, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 64, 3, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220210, 22, '511502000000-0001', '翠屏区政务服务中心', '高中、幼儿园教师资格认定', '', '', '', 964, 50, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220211, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 104, 22, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220212, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 22, 76, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220213, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 521, 88, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220214, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 87, 1, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220215, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 0, 1, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220216, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 169, 12, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220217, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 10630, 2, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220218, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220219, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格认定', '', '', '', 462, 15, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220220, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 93, 20, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220221, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 174, 37, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220222, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 333, 71, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220223, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 11, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220224, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 11, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220225, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 722, 16, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220226, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 2186, 2, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 169, 12, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 54, 20, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 36, 16, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 174, 37, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 469, 37, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 62, 11, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 689, 27, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 18, 7, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 9, 15, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 382, 13, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 374, 19, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1980, 13, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 109, 11, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 353, 10, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 11, 20, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1788, 9, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 14, 26, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 249, 11, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 54, 14, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 777, 4, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 231, 21, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 232, 16, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 51, 16, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 5, 15, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 566, 15, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 88, 4, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 37, 15, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 220, 15, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 104, 22, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 24, 10, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 447, 26, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 95, 4, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 620, 24, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 163, 7, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 567, 3, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 524, 37, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 401, 18, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 64, 3, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 4, 1, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A16', 964, 50, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A17', 275, 19, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 554, 4, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 520, 18, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 87, 1, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 10630, 2, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 769, 15, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 27, 11, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 260, 20, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 669, 19, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 334, 16, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 20, 1, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 5, 4, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 52, 8, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 3, 4, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 9, 5, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 1, 3, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 6, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 4, 6, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1620, 10, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 147, 48, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 2186, 2, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 6391, 1, 2024, 6, 25, '2024-08-05 16:12:00', NULL, NULL), (220289, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 28, 5, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220290, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 93, 20, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220291, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 423, 55, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220292, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 87, 1, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220293, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 64, 3, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220294, 22, '511502000000-0001', '翠屏区政务服务中心', '小学教师资格认定', '区行政审批和非公经济局', '', '', 275, 19, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220295, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 147, 48, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220296, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 73, 103, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220297, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 10, 2, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220298, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 4, 26, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220299, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 15, 25, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220300, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 2186, 2, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220301, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 52, 8, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220302, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 174, 37, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220303, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 22, 76, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220304, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 10630, 2, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220305, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 169, 12, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220306, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 520, 18, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220307, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 297, 7, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220308, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1728, 26, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220309, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 6391, 1, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220310, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 554, 4, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220311, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 4, 1, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220312, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 104, 22, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220313, 22, '511502000000-0001', '翠屏区政务服务中心', '高中、幼儿园教师资格认定', '区行政审批和非公经济局', '', '', 964, 50, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220314, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 503, 7, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220315, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 722, 16, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220316, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格认定', '区行政审批和非公经济局', '', '', 462, 15, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220317, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 27, 11, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220318, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1620, 10, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220319, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 333, 71, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220320, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 527, 87, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220321, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 511, 87, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220322, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 567, 3, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220323, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 95, 4, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220324, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 334, 16, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220325, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 27, 11, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220326, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 2, 3, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220327, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 260, 20, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220328, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 2, 3, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220329, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 1, 3, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220330, 22, '511502000000-0001', '翠屏区政务服务中心', '小学教师资格认定', '', '', 'A17', 275, 19, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220331, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 9, 5, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220332, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 669, 19, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220333, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 4, 6, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220334, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 6, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220335, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 174, 37, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220336, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 96, 7, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220337, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 91, 13, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220338, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 28, 5, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220339, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 520, 18, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220340, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 21, 4, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220341, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 769, 15, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220342, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 4, 1, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220343, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 64, 3, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220344, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 88, 4, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220345, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 566, 15, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220346, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 232, 16, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220347, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 52, 8, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220348, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 249, 11, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220349, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 147, 48, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220350, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 20, 1, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220351, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 401, 18, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220352, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 11, 1, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220353, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 136, 1, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220354, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 59, 10, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220355, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 5, 11, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220356, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 28, 4, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220357, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 44, 4, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220358, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 21, 5, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220359, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 169, 12, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220360, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 15, 23, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220361, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 10, 17, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220362, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格认定', '', '', 'A03', 462, 15, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220363, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 163, 7, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220364, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 353, 10, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220365, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 777, 4, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220366, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 2186, 2, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220367, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 689, 27, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220368, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1980, 13, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220369, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 382, 13, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220370, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1788, 9, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220371, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 469, 37, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220372, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 6391, 1, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220373, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 15, 1, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220374, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 6, 1, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220375, 22, '511502000000-0001', '翠屏区政务服务中心', '高中、幼儿园教师资格认定', '', '', 'A16', 964, 50, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220376, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 220, 15, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220377, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1620, 10, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220378, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 40, 4, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220379, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 54, 20, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220380, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 4, 3, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220381, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 20, 3, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220382, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 37, 15, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220383, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 4, 4, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220384, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 5, 5, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220385, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 87, 1, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220386, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 503, 7, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220387, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 554, 4, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220388, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 9, 15, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220389, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 620, 24, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220390, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 11, 2, 2024, 6, 25, '2024-08-05 16:12:01', NULL, NULL), (220391, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 447, 26, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220392, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 109, 11, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220393, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 104, 22, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220394, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 36, 16, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220395, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 10630, 2, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220396, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 62, 11, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220397, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 524, 37, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 15, 1, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 36, 16, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 54, 20, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 220, 15, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 24, 10, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 37, 15, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 6, 1, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 109, 11, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 9, 15, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 62, 11, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 524, 37, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 334, 16, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 669, 19, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 620, 24, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 6391, 1, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 447, 26, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 260, 20, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 10630, 2, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 163, 7, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 401, 18, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A17', 275, 19, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A16', 964, 50, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 88, 4, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 566, 15, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 232, 16, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 249, 11, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 777, 4, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1980, 13, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1788, 9, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 52, 8, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 20, 1, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A03', 462, 15, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 567, 3, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 769, 15, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 27, 11, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 520, 18, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 87, 1, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 554, 4, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 64, 3, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 4, 1, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 95, 4, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 2, 3, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 2186, 2, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 353, 10, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 382, 13, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 51, 16, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1620, 10, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 4, 6, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 5, 15, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 104, 22, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 147, 48, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 54, 14, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 231, 21, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 11, 20, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 9, 5, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 174, 37, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 2, 3, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 169, 12, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 14, 26, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 689, 27, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 18, 7, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 6, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 44, 4, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 1, 3, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 469, 37, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220463, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 174, 37, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220464, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 447, 26, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220465, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 620, 24, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220466, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 11, 1, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220467, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 21, 4, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (220468, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 353, 10, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220469, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 382, 13, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220470, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 524, 37, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220471, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 689, 27, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220472, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 469, 37, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220473, 22, '511502000000-0001', '翠屏区政务服务中心', '高中、幼儿园教师资格认定', '区行政审批和非公经济局', '', 'A16', 964, 50, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220474, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 6, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220475, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 4, 6, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220476, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 9, 5, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220477, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 1, 3, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220478, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 2, 3, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220479, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 2, 3, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220480, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格认定', '区行政审批和非公经济局', '', 'A03', 462, 15, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220481, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 169, 12, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220482, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 401, 18, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220483, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 10630, 2, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220484, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 163, 7, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220485, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 64, 3, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220486, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 20, 1, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220487, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 4, 1, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220488, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 520, 18, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220489, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 52, 8, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220490, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 37, 15, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220491, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 554, 4, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220492, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 220, 15, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220493, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 769, 15, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220494, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 54, 20, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220495, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 36, 16, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220496, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1980, 13, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220497, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 62, 11, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220498, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1788, 9, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220499, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1620, 10, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220500, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 9, 15, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220501, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 109, 11, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220502, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 777, 4, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220503, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 15, 1, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220504, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 232, 16, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220505, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 249, 11, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220506, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 147, 48, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220507, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 104, 22, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220508, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 6, 1, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220509, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 567, 3, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220510, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 95, 4, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220511, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 566, 15, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220512, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 88, 4, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220513, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 27, 11, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220514, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 87, 1, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220515, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 503, 7, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220516, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 260, 20, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220517, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 4, 4, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220518, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 2186, 2, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220519, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 5, 5, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220520, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 669, 19, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220521, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 40, 4, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220522, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 334, 16, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220523, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 4, 3, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220524, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 20, 3, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220525, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 96, 7, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220526, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 21, 5, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220527, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 11, 2, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220528, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 6391, 1, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220529, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 28, 5, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220530, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 91, 13, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220531, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 15, 23, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220532, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 59, 10, 2024, 6, 25, '2024-08-05 16:12:02', NULL, NULL), (220533, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 44, 4, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220534, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 10, 17, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220535, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 5, 11, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220536, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 136, 1, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220537, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 28, 4, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220538, 22, '511502000000-0001', '翠屏区政务服务中心', '小学教师资格认定', '区行政审批和非公经济局', '', 'A17', 275, 19, 2024, 6, 25, '2024-08-05 16:12:03', NULL, NULL), (220539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 193, 133, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 5, 1, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 108, 84, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 72, 55, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 4, 1, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 915, 125, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 18, 95, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 6767, 2, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 499, 6, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 574, 103, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 10, 2, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 127, 6, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 360, 200, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 238, 23, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 0, 1, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 435, 41, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 5, 1, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 364, 61, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 173, 34, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 204, 76, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1069, 16, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 456, 91, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 512, 62, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220562, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 5, 1, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220563, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 7, 26, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220564, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 107, 85, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220565, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 499, 6, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220566, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1956, 8, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220567, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 302, 43, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220568, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '', '', '', 4, 1, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220569, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220570, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 86, 4, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220571, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 90, 4, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220572, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 130, 29, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220573, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 137, 63, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220574, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 260, 19, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220575, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 109, 8, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220576, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 10284, 4, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220577, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 2674, 1, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220578, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 300, 7, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220579, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 5, 14, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220580, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 8, 3, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220581, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 658, 8, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220582, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 159, 3, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220583, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 97, 28, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220584, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 744, 62, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220585, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 7, 61, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220586, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 10, 2, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220587, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 4, 2, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220588, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 326, 11, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220589, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220590, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 61, 13, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220591, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 345, 31, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220592, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 169, 40, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220593, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220594, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220595, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 717, 20, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220596, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 4511, 3, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220597, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220598, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 9915, 2, 2024, 6, 26, '2024-08-05 16:12:04', NULL, NULL), (220599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 46, 11, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 326, 11, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 4, 12, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 345, 31, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 499, 16, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 81, 16, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 4, 11, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 1946, 7, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 167, 27, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 5, 7, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 286, 5, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 171, 14, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 27, 17, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 3, 13, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 207, 6, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 78, 6, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 11, 13, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 6, 7, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 284, 8, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 44, 15, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 18, 12, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 114, 6, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 29, 14, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 207, 11, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 174, 9, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 2, 13, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 6, 4, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 97, 28, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 9, 10, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 596, 5, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 15, 1, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 693, 45, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 393, 2, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 10, 2, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 130, 11, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 159, 3, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 10284, 4, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 9915, 2, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 86, 4, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 300, 7, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 4, 2, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 717, 20, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 103, 5, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1956, 8, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 427, 13, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 461, 12, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 107, 13, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 658, 8, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 5, 7, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 6, 4, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 4, 4, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 2674, 1, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3, 6, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 19, 5, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 1, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1000, 15, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 130, 29, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 109, 8, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220657, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 90, 4, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220658, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 61, 13, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220659, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 302, 43, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220660, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 4, 2, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220661, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 159, 3, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220662, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 130, 29, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220663, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 5, 1, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220664, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 108, 84, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220665, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 7, 26, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220666, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 5, 14, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220667, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 658, 8, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220668, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 345, 31, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220669, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 7, 61, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220670, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 326, 11, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220671, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 300, 7, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220672, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '区农业农村局', '', '', 4, 1, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220673, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 499, 6, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220674, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 260, 19, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220675, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 86, 4, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220676, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 10, 2, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220677, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 10284, 4, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220678, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 97, 28, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220679, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 8, 3, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220680, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 2674, 1, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220681, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 717, 20, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220682, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', '', 6767, 2, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220683, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 1956, 8, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220684, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 109, 8, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220685, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 173, 39, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220686, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 769, 60, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220687, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 9915, 2, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220688, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 137, 63, 2024, 6, 26, '2024-08-05 16:12:05', NULL, NULL), (220689, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 117, 3, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220690, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 15, 1, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220691, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 596, 5, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220692, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 107, 13, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220693, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1956, 8, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220694, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 103, 5, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220695, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 6, 3, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220696, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 427, 13, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220697, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 5, 7, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220698, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 6767, 2, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220699, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 6, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220700, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 4, 4, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220701, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 461, 12, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220702, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 1, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220703, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 19, 5, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220704, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 345, 31, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220705, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 37, 5, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220706, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 76, 8, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220707, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 10, 1, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220708, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 300, 7, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220709, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 4, 1, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220710, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 9915, 2, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220711, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 717, 20, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220712, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 159, 3, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220713, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 10284, 4, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220714, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 174, 9, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220715, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 207, 11, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220716, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 114, 6, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220717, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 658, 8, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220718, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 130, 29, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220719, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '', '', 'A08', 4, 1, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220720, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 130, 11, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220721, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 10, 8, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220722, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 7, 2, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220723, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 6, 7, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220724, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 2674, 1, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220725, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 5, 10, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220726, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 4, 5, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220727, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 4, 4, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220728, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 21, 4, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220729, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 12, 11, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220730, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 326, 11, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220731, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 2, 10, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220732, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 393, 2, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220733, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 78, 6, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220734, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 284, 8, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220735, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 286, 5, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220736, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 167, 27, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220737, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 207, 6, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220738, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 171, 14, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220739, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 81, 16, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220740, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 5, 1, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220741, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1000, 15, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220742, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 10, 2, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220743, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 5, 2, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220744, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 6, 4, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220745, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 109, 8, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220746, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 46, 11, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220747, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 3, 2, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220748, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 6, 3, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220749, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 2, 13, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220750, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 4, 1, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220751, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 4, 1, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220752, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 8, 3, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220753, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 4, 2, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220754, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 86, 4, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220755, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 6, 3, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220756, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 4, 11, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220757, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 3, 1, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220758, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 27, 17, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220759, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 4, 12, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220760, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 97, 28, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220761, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 499, 16, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220762, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 693, 45, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 4, 12, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 46, 11, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 6, 4, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 2, 13, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 9, 10, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 5, 1, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 27, 17, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 4, 11, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 499, 16, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 693, 45, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 107, 13, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 461, 12, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 103, 5, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 427, 13, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 393, 2, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 130, 11, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1000, 15, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 10, 2, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 4, 1, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 174, 9, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 207, 11, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 114, 6, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 284, 8, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 286, 5, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 207, 6, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 658, 8, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A02', 6767, 2, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 15, 1, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 717, 20, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 1956, 8, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 300, 7, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 4, 2, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 9915, 2, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 86, 4, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 159, 3, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 596, 5, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 10284, 4, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 5, 7, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 78, 6, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 171, 14, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 19, 11, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 1, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 29, 14, 2024, 6, 26, '2024-08-05 16:12:06', NULL, NULL), (220806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 109, 8, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 6, 7, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 130, 29, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 97, 28, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 44, 15, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 2674, 1, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 4, 4, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 345, 31, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 3, 13, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 6, 3, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 11, 13, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 326, 11, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 19, 5, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 17, 5, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 167, 27, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 5, 7, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 6, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 81, 16, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220824, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '区农业农村局', '', 'A08', 4, 1, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220825, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1000, 15, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220826, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 345, 31, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220827, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 10, 8, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220828, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 4, 1, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220829, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 78, 6, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220830, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 693, 45, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220831, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 9915, 2, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220832, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 171, 14, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220833, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 167, 27, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220834, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 81, 16, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220835, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 19, 5, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220836, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 1, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220837, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 4, 4, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220838, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 6, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220839, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 5, 7, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220840, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 6, 3, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220841, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 326, 11, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220842, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 130, 11, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220843, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 159, 3, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220844, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 393, 2, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220845, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 10284, 4, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220846, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 300, 7, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220847, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', 'A02', 6767, 2, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220848, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 658, 8, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220849, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 86, 4, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220850, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 117, 3, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220851, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 2, 13, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220852, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 6, 4, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220853, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 717, 20, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220854, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 46, 11, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220855, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 286, 5, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220856, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 4, 12, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220857, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 499, 16, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220858, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 207, 6, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220859, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 4, 11, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220860, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 109, 8, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220861, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 284, 8, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220862, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 27, 17, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220863, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 114, 6, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220864, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 130, 29, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220865, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 5, 1, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220866, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 97, 28, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220867, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 15, 1, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220868, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 596, 5, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220869, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 207, 11, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220870, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 1956, 8, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220871, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 174, 9, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (220872, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 4, 2, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220873, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 10, 2, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220874, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 8, 3, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220875, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 103, 5, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220876, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 4, 1, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220877, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 427, 13, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220878, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 4, 1, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220879, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 5, 2, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220880, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 461, 12, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220881, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 107, 13, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220882, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 3, 2, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220883, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 6, 3, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220884, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 37, 5, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220885, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 21, 4, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220886, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 6, 3, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220887, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 3, 1, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220888, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 10, 1, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220889, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 76, 8, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220890, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 12, 11, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220891, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 6, 7, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220892, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 4, 4, 2024, 6, 26, '2024-08-05 16:12:07', NULL, NULL), (220893, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 2674, 1, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220894, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 2, 10, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220895, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 5, 10, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220896, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 7, 2, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220897, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 4, 5, 2024, 6, 26, '2024-08-05 16:12:08', NULL, NULL), (220898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 197, 166, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 31, 2, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 19, 1, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 607, 153, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1019, 2, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 26, 1, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 1254, 2, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 3948, 1, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 89, 108, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 164, 68, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 153, 131, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 11446, 1, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 285, 169, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 207, 2, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 291, 314, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 356, 21, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 224, 3, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 51, 6, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 255, 59, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 10, 7, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 192, 69, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 207, 52, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 228, 77, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 2432, 12, 2024, 6, 27, '2024-08-05 16:12:11', NULL, NULL), (220922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 293, 107, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 156, 82, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220924, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220925, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 243, 1, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220926, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 5, 1, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220927, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 40, 29, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220928, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 89, 108, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220929, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1019, 2, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220930, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 19, 1, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220931, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 0, 1, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220932, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 253, 7, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220933, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 313, 46, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220934, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 1254, 2, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220935, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 137, 7, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220936, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 428, 7, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220937, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 256, 38, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220938, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 244, 93, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220939, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 588, 12, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220940, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 610, 16, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220941, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220942, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 13, 5, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220943, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 461, 16, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220944, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 123, 27, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220945, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 110, 1, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220946, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', '', 0, 1, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220947, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', '', 3948, 1, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220948, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 4, 1, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220949, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 528, 5, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220950, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 65, 2, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220951, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 82, 27, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220952, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 159, 88, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220953, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 276, 122, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220954, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 26, 1, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220955, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 151, 14, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220956, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 6, 1, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220957, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 200, 8, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220958, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 175, 32, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220959, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 85, 62, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220960, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220961, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 2387, 19, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220962, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220963, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 11446, 1, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220964, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 10399, 1, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220965, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 58, 1, 2024, 6, 27, '2024-08-05 16:12:12', NULL, NULL), (220966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 119, 17, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 151, 14, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 175, 32, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 42, 8, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (220970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 168, 22, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (220971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 113, 19, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (220972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 1338, 9, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (220973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 90, 18, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (220974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 358, 35, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (220975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 200, 25, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (220976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 2373, 4, 2024, 6, 27, '2024-08-05 16:12:15', NULL, NULL), (220977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 162, 13, 2024, 6, 27, '2024-08-05 16:12:15', NULL, NULL), (220978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 114, 15, 2024, 6, 27, '2024-08-05 16:12:15', NULL, NULL), (220979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 135, 11, 2024, 6, 27, '2024-08-05 16:12:15', NULL, NULL), (220980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 19, 6, 2024, 6, 27, '2024-08-05 16:12:15', NULL, NULL), (220981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 178, 27, 2024, 6, 27, '2024-08-05 16:12:15', NULL, NULL), (220982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 96, 7, 2024, 6, 27, '2024-08-05 16:12:15', NULL, NULL), (220983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 363, 13, 2024, 6, 27, '2024-08-05 16:12:15', NULL, NULL), (220984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 489, 12, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (220985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 27, 6, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (220986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 142, 10, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 127, 11, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 94, 12, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 132, 26, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 38, 11, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (220991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 58, 11, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (220992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 5, 12, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (220993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 91, 19, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (220994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 82, 27, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (220995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 142, 15, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 235, 21, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 883, 1, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 335, 25, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (220999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1156, 1, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (221000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 105, 12, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (221001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 371, 39, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (221002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 26, 1, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (221003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 131, 9, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (221004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 65, 2, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (221005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 13, 5, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (221006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 428, 7, 2024, 6, 27, '2024-08-05 16:12:15', NULL, NULL), (221007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 461, 16, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (221008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 6, 1, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (221009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 2387, 19, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (221010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 253, 7, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (221011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 315, 22, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (221012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 447, 16, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (221013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 43, 8, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (221014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 21, 5, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (221015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 528, 5, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (221016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 5, 1, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (221017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 4, 1, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (221018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 78, 5, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (221019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 82, 6, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (221020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 44, 5, 2024, 6, 27, '2024-08-05 16:12:14', NULL, NULL), (221021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 9, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (221022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 160, 37, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (221023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 588, 12, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (221024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 256, 39, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (221025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 10399, 1, 2024, 6, 27, '2024-08-05 16:12:13', NULL, NULL), (221026, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 137, 7, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221027, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 200, 8, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221028, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 313, 46, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221029, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 65, 2, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221030, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 256, 38, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221031, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 5, 1, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221032, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 89, 108, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221033, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 40, 29, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221034, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 123, 27, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221035, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 10399, 1, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221036, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 528, 5, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221037, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 175, 32, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221038, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 159, 88, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221039, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 6, 1, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221040, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 151, 14, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221041, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 461, 16, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221042, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 58, 1, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221043, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1019, 2, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221044, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 4, 1, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221045, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 610, 16, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221046, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 1254, 2, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221047, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 428, 7, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221048, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '区文广旅游局', '', '', 3948, 1, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221049, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 19, 1, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221050, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 26, 1, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221051, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 13, 5, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221052, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 82, 27, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221053, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 110, 1, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221054, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 2387, 19, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221055, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', '', 11446, 1, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221056, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 253, 7, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221057, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 588, 12, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221058, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 85, 62, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221059, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 276, 122, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221060, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 244, 93, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221061, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 243, 1, 2024, 6, 27, '2024-08-05 16:12:16', NULL, NULL), (221062, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 158, 6, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221063, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1156, 1, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221064, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 883, 1, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221065, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D06', 43, 8, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221066, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 253, 7, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221067, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 315, 22, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221068, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 21, 5, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221069, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 447, 16, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221070, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 82, 6, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221071, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 11446, 1, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221072, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 78, 5, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221073, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 9, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221074, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 41, 4, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221075, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 175, 32, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221076, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 227, 5, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221077, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 155, 3, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221078, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 15, 1, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221079, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 461, 16, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221080, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 77, 3, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221081, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 19, 1, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221082, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 2387, 19, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221083, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 65, 2, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221084, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 13, 5, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221085, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 58, 11, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221086, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 38, 11, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221087, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 94, 12, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221088, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 96, 7, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221089, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 528, 5, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221090, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 256, 38, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221091, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 131, 9, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221092, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 4, 1, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221093, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 171, 11, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221094, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 58, 1, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221095, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 32, 4, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221096, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 178, 5, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221097, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 148, 15, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221098, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 22, 4, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221099, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B09', 243, 1, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221100, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 200, 10, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221101, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 74, 8, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221102, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 201, 11, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221103, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 151, 14, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221104, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 199, 20, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221105, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 105, 12, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221106, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 135, 11, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221107, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 27, 6, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221108, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 10399, 1, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221109, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 2373, 4, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221110, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 358, 35, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221111, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 200, 25, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221112, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 19, 6, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221113, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 168, 22, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221114, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 5, 1, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221115, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 160, 37, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221116, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 1254, 2, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221117, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 26, 1, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221118, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', 'A06', 3948, 1, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221119, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 360, 2, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221120, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 588, 12, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221121, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 91, 19, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221122, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 171, 6, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221123, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 119, 17, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221124, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 117, 7, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221125, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 5, 12, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221126, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 61, 4, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221127, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 90, 2, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221128, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 110, 1, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221129, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 428, 7, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221130, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 36, 3, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221131, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 90, 18, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221132, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 335, 25, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221133, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 235, 21, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221134, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 114, 15, 2024, 6, 27, '2024-08-05 16:12:17', NULL, NULL), (221135, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 42, 8, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221136, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 82, 27, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221137, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 6, 1, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221138, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 371, 39, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221139, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 113, 19, 2024, 6, 27, '2024-08-05 16:12:18', NULL, NULL), (221140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 42, 8, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 119, 17, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 91, 19, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 142, 15, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 5, 12, 2024, 6, 27, '2024-08-05 16:12:21', NULL, NULL), (221145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 58, 1, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 1254, 2, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 5, 1, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 114, 15, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 90, 18, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 113, 19, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 371, 39, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 43, 8, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 335, 25, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 235, 21, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 315, 22, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 6, 1, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 447, 16, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 105, 12, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 131, 9, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 160, 37, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 26, 1, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 19, 1, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 58, 11, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 38, 11, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 94, 12, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 96, 7, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 27, 6, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 2373, 4, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 19, 6, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 3948, 1, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 528, 5, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A02', 11446, 1, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1156, 1, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 2387, 19, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 253, 7, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 461, 16, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 428, 7, 2024, 6, 27, '2024-08-05 16:12:19', NULL, NULL), (221178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 65, 2, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 13, 5, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 883, 1, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 21, 5, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 10399, 1, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 135, 11, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 200, 25, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 127, 11, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 588, 12, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 9, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 137, 25, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 174, 11, 2024, 6, 27, '2024-08-05 16:12:21', NULL, NULL), (221190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 82, 27, 2024, 6, 27, '2024-08-05 16:12:21', NULL, NULL), (221191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 256, 39, 2024, 6, 27, '2024-08-05 16:12:21', NULL, NULL), (221192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 142, 10, 2024, 6, 27, '2024-08-05 16:12:21', NULL, NULL), (221193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 78, 5, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 178, 27, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 175, 32, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 201, 11, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 151, 14, 2024, 6, 27, '2024-08-05 16:12:20', NULL, NULL), (221198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 41, 4, 2024, 6, 27, '2024-08-05 16:12:21', NULL, NULL), (221199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 4, 1, 2024, 6, 27, '2024-08-05 16:12:21', NULL, NULL), (221200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 74, 8, 2024, 6, 27, '2024-08-05 16:12:21', NULL, NULL), (221201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 358, 35, 2024, 6, 27, '2024-08-05 16:12:21', NULL, NULL), (221202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 82, 6, 2024, 6, 27, '2024-08-05 16:12:21', NULL, NULL), (221203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 162, 13, 2024, 6, 27, '2024-08-05 16:12:21', NULL, NULL), (221204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 168, 22, 2024, 6, 27, '2024-08-05 16:12:21', NULL, NULL), (221205, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B09', 243, 1, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221206, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 160, 37, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221207, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 175, 32, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221208, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '区文广旅游局', '', 'A06', 3948, 1, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221209, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 58, 1, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221210, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 235, 21, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221211, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 335, 25, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221212, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 171, 11, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221213, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 77, 3, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221214, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 135, 11, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221215, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 200, 25, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221216, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 371, 39, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221217, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 358, 35, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221218, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 168, 22, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221219, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 41, 4, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221220, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 9, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221221, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 78, 5, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221222, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 82, 6, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221223, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 21, 5, 2024, 6, 27, '2024-08-05 16:12:21', NULL, NULL), (221224, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 151, 14, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221225, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 131, 9, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221226, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 6, 1, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221227, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 65, 2, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221228, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 105, 12, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221229, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 13, 5, 2024, 6, 27, '2024-08-05 16:12:21', NULL, NULL), (221230, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 461, 16, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221231, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 19, 1, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221232, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', 'A02', 11446, 1, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221233, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 528, 5, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221234, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 4, 1, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221235, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 158, 6, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221236, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 428, 7, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221237, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 5, 12, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221238, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 2387, 19, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221239, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 91, 19, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221240, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 119, 17, 2024, 6, 27, '2024-08-05 16:12:24', NULL, NULL), (221241, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 2373, 4, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221242, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 42, 8, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221243, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 19, 6, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221244, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 113, 19, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221245, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 588, 12, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221246, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 90, 18, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221247, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 27, 6, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221248, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 114, 15, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221249, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 1254, 2, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221250, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 94, 12, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221251, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 96, 7, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221252, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 256, 38, 2024, 6, 27, '2024-08-05 16:12:21', NULL, NULL), (221253, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 5, 1, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221254, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 82, 27, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221255, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1156, 1, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221256, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 883, 1, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221257, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 38, 11, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221258, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 58, 11, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221259, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 253, 7, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221260, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 26, 1, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221261, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 110, 1, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221262, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 315, 22, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221263, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 61, 4, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221264, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 447, 16, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221265, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 90, 2, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221266, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 10399, 1, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221267, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 360, 2, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221268, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 171, 6, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221269, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D06', 43, 8, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221270, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 227, 5, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221271, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 117, 7, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221272, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 36, 3, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221273, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 74, 8, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221274, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 15, 1, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221275, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 155, 3, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221276, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 201, 11, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (221277, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 178, 5, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221278, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 200, 10, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221279, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 199, 20, 2024, 6, 27, '2024-08-05 16:12:22', NULL, NULL), (221280, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 148, 15, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221281, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 32, 4, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221282, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 22, 4, 2024, 6, 27, '2024-08-05 16:12:23', NULL, NULL), (221283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 1413, 158, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 480, 4, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 8, 1, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区残联', '', '', 31, 1, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 4, 1, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 925, 162, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 12158, 7, 2024, 6, 28, '2024-08-05 16:12:27', NULL, NULL), (221290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 1360, 2, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 117, 96, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 621, 61, 2024, 6, 28, '2024-08-05 16:12:27', NULL, NULL), (221293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 193, 140, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 7671, 1, 2024, 6, 28, '2024-08-05 16:12:27', NULL, NULL), (221295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 928, 247, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 993, 12, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 836, 331, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 598, 41, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 1305, 14, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 607, 45, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 240, 8, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 440, 35, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 844, 94, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 647, 93, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 4511, 28, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 645, 102, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 659, 96, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221308, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 480, 4, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221309, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221310, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 117, 96, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221311, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 12, 6, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221312, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 12158, 7, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221313, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 8, 1, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221314, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 3273, 12, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221315, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1361, 47, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221316, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221317, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '', '', '', 4, 1, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221318, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 595, 13, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221319, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 4518, 2, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221320, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 688, 55, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221321, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 2176, 91, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221322, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 834, 8, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221323, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 963, 27, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221324, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221325, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 386, 6, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221326, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 3156, 1, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221327, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 93, 2, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221328, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 352, 11, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221329, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 117, 28, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221330, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 269, 7, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221331, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221332, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', '', 31, 1, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221333, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 1075, 1, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221334, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1376, 10, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221335, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1592, 2, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221336, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 362, 32, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221337, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 128, 80, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221338, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 796, 194, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221339, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 1360, 2, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221340, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 1173, 3, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221341, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 876, 10, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221342, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1799, 6, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221343, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 327, 12, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221344, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 195, 25, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221345, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 168, 58, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221346, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 13, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221347, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 13, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221348, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1554, 18, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221349, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 7671, 1, 2024, 6, 28, '2024-08-05 16:12:28', NULL, NULL), (221350, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 75, 1, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221351, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 2, 2024, 6, 28, '2024-08-05 16:12:29', NULL, NULL), (221352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 17, 16, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 876, 10, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 195, 25, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 124, 17, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 48, 14, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 2564, 29, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 899, 10, 2024, 6, 28, '2024-08-05 16:12:31', NULL, NULL), (221359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 561, 5, 2024, 6, 28, '2024-08-05 16:12:31', NULL, NULL), (221360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 1706, 37, 2024, 6, 28, '2024-08-05 16:12:31', NULL, NULL), (221361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 127, 16, 2024, 6, 28, '2024-08-05 16:12:31', NULL, NULL), (221362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 2421, 25, 2024, 6, 28, '2024-08-05 16:12:31', NULL, NULL), (221363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 209, 20, 2024, 6, 28, '2024-08-05 16:12:31', NULL, NULL), (221364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 814, 7, 2024, 6, 28, '2024-08-05 16:12:31', NULL, NULL), (221365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 157, 27, 2024, 6, 28, '2024-08-05 16:12:31', NULL, NULL), (221366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 679, 10, 2024, 6, 28, '2024-08-05 16:12:32', NULL, NULL), (221367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 107, 29, 2024, 6, 28, '2024-08-05 16:12:32', NULL, NULL), (221368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 174, 18, 2024, 6, 28, '2024-08-05 16:12:32', NULL, NULL), (221369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 184, 14, 2024, 6, 28, '2024-08-05 16:12:32', NULL, NULL), (221370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1350, 10, 2024, 6, 28, '2024-08-05 16:12:32', NULL, NULL), (221371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 241, 15, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 318, 7, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 319, 25, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 150, 11, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 19, 9, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 70, 15, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 362, 32, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 797, 67, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 9860, 4, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 419, 15, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 15222, 3, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 177, 17, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 798, 58, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 1360, 2, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 163, 12, 2024, 6, 28, '2024-08-05 16:12:31', NULL, NULL), (221386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1592, 2, 2024, 6, 28, '2024-08-05 16:12:31', NULL, NULL), (221387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A15', 31, 1, 2024, 6, 28, '2024-08-05 16:12:31', NULL, NULL), (221388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 386, 6, 2024, 6, 28, '2024-08-05 16:12:31', NULL, NULL), (221389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 4518, 2, 2024, 6, 28, '2024-08-05 16:12:31', NULL, NULL), (221390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 352, 11, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 1173, 3, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1799, 6, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1554, 18, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 3273, 12, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1839, 11, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1445, 28, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 407, 8, 2024, 6, 28, '2024-08-05 16:12:31', NULL, NULL), (221398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 2726, 1, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 377, 5, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1226, 9, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 42, 1, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 1075, 1, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 93, 2, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 1, 1, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 30, 2, 2024, 6, 28, '2024-08-05 16:12:31', NULL, NULL), (221406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 8, 1, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 897, 54, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 3156, 1, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 688, 55, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 834, 8, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 75, 1, 2024, 6, 28, '2024-08-05 16:12:30', NULL, NULL), (221412, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 595, 13, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221413, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '区残联', '', '', 31, 1, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221414, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 327, 12, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221415, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1361, 47, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221416, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 1173, 3, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221417, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1592, 2, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221418, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 688, 55, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221419, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 480, 4, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221420, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 117, 96, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221421, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 12, 6, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221422, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 117, 28, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221423, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 75, 1, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221424, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1376, 10, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221425, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 195, 25, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221426, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 128, 80, 2024, 6, 28, '2024-08-05 16:12:32', NULL, NULL), (221427, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1799, 6, 2024, 6, 28, '2024-08-05 16:12:32', NULL, NULL), (221428, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 876, 10, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221429, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 352, 11, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221430, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '区农业农村局', '', '', 4, 1, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221431, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 1075, 1, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221432, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 12158, 7, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221433, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 963, 27, 2024, 6, 28, '2024-08-05 16:12:32', NULL, NULL), (221434, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 4518, 2, 2024, 6, 28, '2024-08-05 16:12:32', NULL, NULL), (221435, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 8, 1, 2024, 6, 28, '2024-08-05 16:12:32', NULL, NULL), (221436, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 1360, 2, 2024, 6, 28, '2024-08-05 16:12:32', NULL, NULL), (221437, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 386, 6, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221438, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 362, 32, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221439, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 269, 7, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221440, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 93, 2, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221441, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1554, 18, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221442, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', '', 7671, 1, 2024, 6, 28, '2024-08-05 16:12:32', NULL, NULL), (221443, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 3156, 1, 2024, 6, 28, '2024-08-05 16:12:32', NULL, NULL), (221444, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 3273, 12, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221445, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 834, 8, 2024, 6, 28, '2024-08-05 16:12:32', NULL, NULL), (221446, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 168, 58, 2024, 6, 28, '2024-08-05 16:12:32', NULL, NULL), (221447, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 796, 194, 2024, 6, 28, '2024-08-05 16:12:32', NULL, NULL), (221448, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 2176, 91, 2024, 6, 28, '2024-08-05 16:12:32', NULL, NULL), (221449, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 595, 13, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221450, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 15222, 3, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221451, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 9860, 4, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221452, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 3273, 12, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221453, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1839, 11, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221454, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 2, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221455, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1445, 28, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221456, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 7671, 1, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221457, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 407, 8, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221458, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 1, 1, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221459, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', 'A15', 31, 1, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221460, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 8, 1, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221461, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 195, 25, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221462, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 30, 2, 2024, 6, 28, '2024-08-05 16:12:35', NULL, NULL), (221463, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 371, 6, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221464, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 283, 6, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221465, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 352, 11, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221466, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 8, 1, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221467, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1554, 18, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221468, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1592, 2, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221469, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 386, 6, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221470, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 2726, 1, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221471, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 150, 11, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221472, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1226, 9, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221473, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 174, 18, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221474, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 688, 55, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221475, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '', '', 'A08', 4, 1, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221476, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 163, 12, 2024, 6, 28, '2024-08-05 16:12:35', NULL, NULL), (221477, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 3156, 1, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221478, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 1075, 1, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221479, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 19, 2, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221480, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 196, 13, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221481, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 93, 2, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221482, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 2, 6, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221483, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 134, 10, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221484, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 124, 8, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221485, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 101, 25, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221486, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 876, 10, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221487, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 174, 16, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221488, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 177, 17, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221489, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1350, 10, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221490, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 75, 1, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221491, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 1706, 37, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221492, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 814, 7, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221493, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 2421, 25, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221494, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 679, 10, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221495, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 2564, 29, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221496, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 627, 3, 2024, 6, 28, '2024-08-05 16:12:35', NULL, NULL), (221497, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 42, 1, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221498, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 897, 54, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221499, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 1360, 2, 2024, 6, 28, '2024-08-05 16:12:35', NULL, NULL), (221500, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 70, 15, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221501, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 834, 8, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221502, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 33, 1, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221503, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 17, 16, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221504, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 146, 4, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221505, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 131, 11, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221506, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 19, 9, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221507, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 42, 5, 2024, 6, 28, '2024-08-05 16:12:33', NULL, NULL), (221508, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 269, 7, 2024, 6, 28, '2024-08-05 16:12:35', NULL, NULL), (221509, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 1173, 3, 2024, 6, 28, '2024-08-05 16:12:35', NULL, NULL), (221510, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 4518, 2, 2024, 6, 28, '2024-08-05 16:12:35', NULL, NULL), (221511, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 116, 6, 2024, 6, 28, '2024-08-05 16:12:34', NULL, NULL), (221512, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 561, 5, 2024, 6, 28, '2024-08-05 16:12:35', NULL, NULL), (221513, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 419, 15, 2024, 6, 28, '2024-08-05 16:12:35', NULL, NULL), (221514, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 321, 1, 2024, 6, 28, '2024-08-05 16:12:35', NULL, NULL), (221515, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 209, 20, 2024, 6, 28, '2024-08-05 16:12:35', NULL, NULL), (221516, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 797, 67, 2024, 6, 28, '2024-08-05 16:12:35', NULL, NULL), (221517, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 124, 17, 2024, 6, 28, '2024-08-05 16:12:35', NULL, NULL), (221518, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 362, 32, 2024, 6, 28, '2024-08-05 16:12:35', NULL, NULL), (221519, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1799, 6, 2024, 6, 28, '2024-08-05 16:12:35', NULL, NULL), (221520, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 48, 14, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221521, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 798, 58, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 627, 3, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 124, 17, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 17, 16, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 70, 15, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 19, 9, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 42, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 209, 20, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 561, 5, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 48, 14, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 798, 58, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 419, 15, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 797, 67, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 1839, 11, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1799, 6, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 407, 8, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1445, 28, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 177, 17, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 163, 12, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 897, 54, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 1360, 2, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区残联', '', 'A15', 31, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 8, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 4, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 150, 11, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 174, 18, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1350, 10, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 814, 7, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 679, 10, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 2726, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1226, 9, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A02', 7671, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 15222, 3, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1554, 18, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 3273, 12, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 352, 11, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 1173, 3, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 4518, 2, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1592, 2, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 9860, 4, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 386, 6, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 2, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 75, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 2421, 25, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 371, 6, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 8, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 332, 24, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 834, 8, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 184, 14, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 688, 55, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 362, 32, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 241, 15, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 3156, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 93, 2, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 195, 25, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 157, 27, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 107, 29, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 876, 10, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 146, 9, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 1706, 37, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 30, 2, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 1, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 127, 16, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 1075, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 2564, 29, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221586, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '区农业农村局', '', 'A08', 4, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221587, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 195, 25, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221588, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 897, 54, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221589, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '区残联', '', 'A15', 31, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221590, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 797, 67, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221591, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 419, 15, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221592, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 2421, 25, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221593, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 798, 58, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221594, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 1706, 37, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221595, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 2564, 29, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221596, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 30, 2, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221597, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 8, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221598, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 1, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221599, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 2, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221600, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 876, 10, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221601, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 3156, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221602, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 163, 12, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221603, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1799, 6, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221604, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1592, 2, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221605, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 177, 17, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221606, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 386, 6, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221607, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 352, 11, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221608, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 8, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221609, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 2726, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221610, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', 'A02', 7671, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221611, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1226, 9, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221612, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 595, 13, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221613, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 19, 9, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221614, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 4518, 2, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221615, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 70, 15, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221616, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1554, 18, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221617, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 17, 16, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221618, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 124, 17, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221619, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 814, 7, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221620, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 679, 10, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221621, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 48, 14, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221622, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 561, 5, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221623, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 834, 8, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221624, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 1075, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221625, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 209, 20, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221626, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1350, 10, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221627, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 627, 3, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221628, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 174, 18, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221629, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 688, 55, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221630, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 42, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221631, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 362, 32, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221632, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 15222, 3, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221633, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 9860, 4, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221634, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 150, 11, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221635, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 3273, 12, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221636, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 1173, 3, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221637, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 1360, 2, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221638, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 269, 7, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221639, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 1839, 11, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221640, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 42, 5, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221641, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1445, 28, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221642, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 407, 8, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221643, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 75, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221644, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 33, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221645, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 146, 4, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221646, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 131, 11, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221647, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 371, 6, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221648, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 116, 6, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221649, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 124, 8, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221650, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 321, 1, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221651, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 283, 6, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221652, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 101, 25, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221653, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 196, 13, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221654, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 134, 10, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221655, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 93, 2, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221656, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 174, 16, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221657, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 2, 6, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221658, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 19, 2, 2024, 6, 28, '2024-08-05 16:12:36', NULL, NULL), (221659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 172, 15, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1413, 49, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 932, 54, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 2659, 1, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 705, 10, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 1387, 1, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 1062, 9, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221666, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 0, 1, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221667, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 854, 2, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221668, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221669, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1227, 13, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221670, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1184, 45, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221671, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 67, 13, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1480, 36, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 854, 2, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 67, 13, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1327, 12, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 23, 1, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221677, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1227, 13, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221678, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 67, 13, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221679, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1480, 36, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221680, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 854, 2, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221681, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1327, 12, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221682, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 854, 2, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221683, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 23, 1, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (221684, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1480, 36, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221685, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 67, 13, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 67, 13, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1480, 36, 2024, 6, 29, '2024-08-05 16:12:38', NULL, NULL), (221688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 23, 1, 2024, 6, 29, '2024-08-05 16:12:37', NULL, NULL), (221689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 854, 2, 2024, 6, 29, '2024-08-05 16:12:38', NULL, NULL), (221690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1327, 12, 2024, 6, 29, '2024-08-05 16:12:38', NULL, NULL), (221691, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 1480, 36, 2024, 6, 29, '2024-08-05 16:12:38', NULL, NULL), (221692, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 854, 2, 2024, 6, 29, '2024-08-05 16:12:38', NULL, NULL), (221693, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 67, 13, 2024, 6, 29, '2024-08-05 16:12:38', NULL, NULL), (221694, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1327, 12, 2024, 6, 29, '2024-08-05 16:12:38', NULL, NULL), (221695, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 23, 1, 2024, 6, 29, '2024-08-05 16:12:38', NULL, NULL), (221696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 1183, 41, 2024, 6, 30, '2024-08-05 16:12:38', NULL, NULL), (221697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 15, 76, 2024, 6, 30, '2024-08-05 16:12:38', NULL, NULL), (221698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1070, 24, 2024, 6, 30, '2024-08-05 16:12:38', NULL, NULL), (221699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 641, 86, 2024, 6, 30, '2024-08-05 16:12:38', NULL, NULL), (221700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 357, 32, 2024, 6, 30, '2024-08-05 16:12:38', NULL, NULL), (221701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 901, 8, 2024, 6, 30, '2024-08-05 16:12:38', NULL, NULL), (221702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 10, 5, 2024, 6, 30, '2024-08-05 16:12:38', NULL, NULL), (221703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 102, 15, 2024, 6, 30, '2024-08-05 16:12:38', NULL, NULL), (221704, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 1183, 41, 2024, 6, 30, '2024-08-05 16:12:38', NULL, NULL), (221705, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 6, 30, '2024-08-05 16:12:38', NULL, NULL), (221706, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 0, 1, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221707, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 15, 76, 2024, 6, 30, '2024-08-05 16:12:38', NULL, NULL), (221708, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 837, 25, 2024, 6, 30, '2024-08-05 16:12:38', NULL, NULL), (221709, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 954, 5, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221710, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 0, 1, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 22, 10, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 973, 22, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 1201, 5, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 2, 12, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 1505, 14, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 18, 18, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 21, 11, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1101, 19, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 16, 14, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 14, 11, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 954, 5, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221722, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 954, 5, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221723, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1101, 19, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221724, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 1183, 41, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221725, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 15, 76, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221726, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1101, 19, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221727, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 973, 22, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221728, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 1505, 14, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221729, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 1201, 5, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221730, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 954, 5, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221731, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 16, 14, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221732, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 21, 11, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221733, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 18, 18, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221734, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 2, 12, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221735, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 14, 11, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221736, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 22, 10, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 973, 22, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 22, 10, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1101, 19, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 14, 11, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 954, 5, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 21, 11, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 16, 14, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 1201, 5, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 2, 12, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 18, 18, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 1505, 14, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221748, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 1201, 5, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221749, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 1505, 14, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221750, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 973, 22, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221751, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1101, 19, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221752, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 14, 11, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221753, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 954, 5, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221754, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 16, 14, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221755, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 21, 11, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221756, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 18, 18, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221757, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 2, 12, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221758, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 22, 10, 2024, 6, 30, '2024-08-05 16:12:39', NULL, NULL), (221759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 204, 106, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 3685, 16, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 10, 1, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 818, 215, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 2311, 2, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 15667, 1, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 23856, 1, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 13, 1, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 223, 120, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 947, 315, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 923, 403, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 36, 1, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1523, 345, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 792, 5, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 983, 589, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 885, 131, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 939, 11, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 831, 95, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 2404, 30, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 1046, 97, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 772, 151, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 1003, 161, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1903, 31, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 838, 101, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 876, 125, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221784, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 5984, 4, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221785, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221786, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 1078, 183, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221787, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 223, 120, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221788, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2311, 2, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221789, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 2919, 12, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221790, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 1364, 1, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221791, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 10, 1, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221792, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 120, 14, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221793, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 971, 97, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221794, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 7952, 3, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221795, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 397, 11, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221796, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 183, 9, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221797, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 761, 131, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221798, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 255, 49, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221799, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 476, 15, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221800, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1639, 69, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221801, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 0, 1, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221802, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 213, 13, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221803, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 602, 12, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221804, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 964, 299, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221805, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 411, 3, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221806, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221807, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', '', 4, 3, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221808, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 886, 3, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221809, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 4, 1, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221810, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 704, 10, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221811, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 77, 25, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221812, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 952, 81, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221813, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1774, 241, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221814, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 7833, 2, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221815, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 3, 2, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221816, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 3, 7, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221817, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 551, 7, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221818, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 127, 9, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221819, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 285, 25, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221820, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 221, 46, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221821, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 14, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221822, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 9, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221823, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 971, 23, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221824, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 36, 1, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221825, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 1, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 106, 6, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 3, 7, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 248, 29, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 285, 25, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 1006, 29, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 155, 12, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 148, 21, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 483, 15, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 842, 35, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 258, 19, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 155, 22, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 161, 6, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1622, 17, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 928, 54, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1499, 21, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 209, 18, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 1315, 74, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 923, 58, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1743, 31, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 211, 7, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 966, 48, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 888, 37, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 269, 16, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 807, 39, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 234, 20, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 77, 25, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 276, 19, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 779, 33, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1660, 66, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 2008, 38, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 4618, 1, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 4, 1, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1006, 34, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 129, 5, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 15667, 1, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 704, 10, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 213, 13, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 183, 9, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 602, 12, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 3, 2, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 551, 7, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1015, 22, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 130, 13, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1132, 47, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 223, 13, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 1030, 37, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 2194, 39, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 886, 3, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 1609, 42, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 4, 1, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 1139, 19, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 1459, 46, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 1126, 32, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 926, 27, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 1179, 33, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1905, 64, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 1364, 1, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 659, 55, 2024, 7, 1, '2024-08-05 16:12:40', NULL, NULL), (221884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 476, 15, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 835, 76, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221886, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 397, 11, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221887, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 127, 9, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221888, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 971, 97, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221889, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 3, 2, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221890, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 704, 10, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221891, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 1364, 1, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221892, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 761, 131, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221893, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 5984, 4, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221894, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 223, 120, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221895, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 1078, 183, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221896, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 964, 299, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221897, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 886, 3, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221898, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 285, 25, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221899, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 952, 81, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221900, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 551, 7, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221901, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 3, 7, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221902, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 602, 12, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221903, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 4, 1, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221904, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 2311, 2, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221905, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1639, 69, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221906, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 23856, 1, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221907, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 183, 9, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221908, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '区文广旅游局', '', '', 13, 1, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221909, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 10, 1, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221910, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 15667, 1, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221911, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 213, 13, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221912, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 77, 25, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221913, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 411, 3, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221914, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1015, 22, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221915, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', '', 36, 1, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221916, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 130, 13, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221917, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 476, 15, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221918, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 2919, 12, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221919, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 221, 46, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221920, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1774, 241, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221921, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 255, 49, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221922, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 460, 7, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221923, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 4, 1, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221924, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 4618, 1, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221925, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 130, 13, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221926, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 1139, 19, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221927, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1132, 47, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221928, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 1148, 38, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221929, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 223, 13, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221930, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 36, 1, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221931, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 1126, 32, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221932, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 943, 34, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221933, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 1030, 37, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221934, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 1179, 33, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221935, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 285, 25, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221936, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 926, 27, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221937, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 145, 6, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221938, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 92, 3, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221939, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 287, 4, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221940, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 602, 12, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221941, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 820, 20, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221942, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 10, 1, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221943, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1015, 22, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221944, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 213, 13, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221945, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 704, 10, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221946, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 211, 7, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221947, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 269, 16, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221948, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 886, 3, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221949, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 209, 18, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221950, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 835, 76, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221951, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 659, 55, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221952, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 4, 1, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221953, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 906, 9, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221954, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 1072, 13, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221955, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 776, 7, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221956, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 810, 5, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221957, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 1175, 15, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221958, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 746, 8, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221959, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 3, 7, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221960, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 862, 11, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221961, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 958, 13, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221962, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 2919, 12, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221963, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 129, 5, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221964, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1743, 31, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221965, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 483, 15, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221966, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1622, 17, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221967, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 155, 22, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221968, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1499, 21, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221969, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 155, 12, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221970, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 5984, 4, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221971, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 1364, 1, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221972, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1905, 64, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221973, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 15667, 1, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221974, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 23856, 1, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221975, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', 'A06', 13, 1, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221976, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 1066, 29, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221977, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 476, 15, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221978, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 276, 19, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221979, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 106, 6, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221980, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 962, 50, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221981, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 1032, 62, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221982, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 234, 20, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221983, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 919, 41, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221984, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 930, 26, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221985, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 897, 16, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221986, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 3, 2, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221987, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 411, 3, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221988, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 183, 9, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221989, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 2194, 39, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221990, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 2008, 38, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221991, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 258, 19, 2024, 7, 1, '2024-08-05 16:12:41', NULL, NULL), (221992, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 903, 26, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221993, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 161, 6, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221994, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1660, 66, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221995, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A01', 1006, 29, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221996, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 248, 29, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221997, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 77, 25, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221998, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 551, 7, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (221999, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1006, 34, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222000, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 148, 21, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 5984, 4, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 248, 29, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 106, 6, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 276, 19, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 779, 33, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 234, 20, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 23856, 1, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 2919, 12, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 161, 6, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 258, 19, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 148, 21, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 1006, 34, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 2194, 39, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 1030, 37, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 2008, 38, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1660, 66, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 1132, 47, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 551, 7, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 223, 13, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 129, 5, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1905, 64, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 15667, 1, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 10, 1, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 211, 7, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 269, 16, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 209, 18, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1743, 31, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1622, 17, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1499, 21, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 13, 1, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 886, 3, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A02', 36, 1, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 4, 1, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1015, 22, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 130, 13, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 602, 12, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 3, 2, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 183, 9, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 704, 10, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 4618, 1, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 213, 13, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A01', 1006, 29, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 1148, 38, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 155, 22, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 1364, 1, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 888, 37, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 476, 15, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 1179, 33, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 828, 38, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 939, 57, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 77, 25, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 835, 76, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 659, 55, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 966, 48, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 285, 25, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 943, 34, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 928, 54, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 3, 7, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 1139, 19, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 1006, 73, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 4, 1, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 483, 15, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 866, 34, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 926, 27, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 155, 12, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 1126, 32, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222067, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 285, 25, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222068, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1905, 64, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222069, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '区文广旅游局', '', 'A06', 13, 1, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222070, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 1660, 66, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222071, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 2008, 38, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222072, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 906, 9, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222073, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 2194, 39, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222074, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 820, 20, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222075, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 155, 22, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222076, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 1006, 34, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222077, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 483, 15, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222078, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 155, 12, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222079, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 926, 27, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222080, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 1179, 33, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222081, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 943, 34, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222082, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 1126, 32, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222083, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 1148, 38, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222084, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 1139, 19, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222085, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 3, 7, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222086, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 551, 7, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222087, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 704, 10, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222088, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 129, 5, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222089, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 213, 13, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222090, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 602, 12, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222091, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 2919, 12, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222092, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 10, 1, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222093, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', 'A02', 36, 1, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222094, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 886, 3, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (222095, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 4, 1, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222096, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 460, 7, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222097, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 183, 9, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222098, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 234, 20, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222099, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 276, 19, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222100, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1015, 22, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222101, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 106, 6, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222102, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 248, 29, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222103, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1622, 17, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222104, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 148, 21, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222105, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1499, 21, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222106, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 476, 15, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222107, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 258, 19, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222108, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 161, 6, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222109, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1743, 31, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222110, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 1364, 1, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222111, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 23856, 1, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222112, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 5984, 4, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222113, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 269, 16, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222114, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 659, 55, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222115, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 209, 18, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222116, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 835, 76, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222117, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 77, 25, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222118, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 4, 1, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222119, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 4618, 1, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222120, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 211, 7, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222121, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 130, 13, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222122, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 3, 2, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222123, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 15667, 1, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222124, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 411, 3, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222125, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 1132, 47, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222126, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 930, 26, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222127, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 223, 13, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222128, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 897, 16, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222129, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 1066, 29, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222130, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 1030, 37, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222131, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 962, 50, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222132, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 1032, 62, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222133, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 145, 6, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222134, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 919, 41, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222135, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 746, 8, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222136, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 903, 26, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222137, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 92, 3, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222138, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A01', 1006, 29, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222139, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 287, 4, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222140, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 862, 11, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222141, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 776, 7, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222142, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 958, 13, 2024, 7, 1, '2024-08-05 16:12:42', NULL, NULL), (222143, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 810, 5, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222144, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 1072, 13, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222145, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 1175, 15, 2024, 7, 1, '2024-08-05 16:12:43', NULL, NULL), (222146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 189, 87, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 974, 9, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 203, 114, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 8489, 2, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 433, 264, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 613, 182, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 368, 371, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 2119, 5, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 963, 328, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 332, 4, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 570, 24, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 112, 6, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 500, 589, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 354, 78, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 646, 88, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 461, 108, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 539, 149, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 602, 79, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1326, 31, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 538, 120, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 546, 126, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222167, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222168, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 586, 6, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222169, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222170, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 269, 158, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222171, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 203, 114, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222172, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2119, 5, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222173, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1750, 3, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222174, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 8489, 2, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222175, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 590, 95, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222176, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 326, 18, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222177, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222178, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 265, 9, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222179, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 380, 3, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222180, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 677, 106, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222181, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 207, 49, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222182, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 602, 13, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222183, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1337, 54, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222184, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 10, 8, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222185, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222186, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 175, 3, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222187, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 14, 2, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222188, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 224, 10, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222189, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 383, 266, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222190, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222191, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 6, 1, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222192, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 86, 4, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222193, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 881, 3, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222194, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 84, 13, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222195, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 350, 87, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222196, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1124, 231, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222197, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 6, 1, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222198, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 332, 4, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222199, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 88, 8, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222200, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 144, 2, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222201, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 208, 9, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222202, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 224, 20, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222203, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 192, 59, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222204, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 20, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222205, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 15, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222206, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 617, 12, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222207, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 62, 13, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 100, 7, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 224, 20, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 112, 21, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 260, 17, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 71, 19, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 282, 27, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 98, 20, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 222, 12, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 3270, 4, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 383, 36, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 161, 19, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1311, 18, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 364, 53, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1201, 16, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 166, 14, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 401, 52, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 389, 56, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1469, 20, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 377, 36, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 121, 13, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 408, 27, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 225, 11, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 735, 40, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 287, 13, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 97, 20, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 91, 12, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 95, 17, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 353, 46, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 888, 62, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 2305, 4, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1390, 24, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1378, 1, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 157, 8, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1814, 27, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 332, 4, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 881, 3, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 175, 3, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 380, 3, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 224, 10, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 6, 1, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 144, 2, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 617, 12, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 684, 36, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 326, 18, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 347, 31, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 739, 28, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 994, 73, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 86, 4, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 360, 30, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 414, 22, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 6, 1, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 381, 34, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 14, 2, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 219, 26, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 252, 30, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 208, 25, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1103, 45, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 580, 53, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 653, 12, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 788, 52, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B16', 80, 1, 2024, 7, 2, '2024-08-05 16:12:44', NULL, NULL), (222270, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 265, 9, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222271, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 208, 9, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222272, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 590, 95, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222273, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 6, 1, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222274, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 881, 3, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222275, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 683, 105, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222276, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 586, 6, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222277, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 203, 114, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222278, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 269, 158, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222279, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 383, 266, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222280, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 86, 4, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222281, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 224, 20, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222282, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 350, 87, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222283, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 144, 2, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222284, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 100, 7, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222285, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 224, 10, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222286, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 6, 1, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222287, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 2119, 5, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222288, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1337, 54, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222289, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 80, 1, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222290, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 380, 3, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222291, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 8489, 2, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222292, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 175, 3, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222293, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 332, 4, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222294, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 91, 12, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222295, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 14, 2, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222296, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 617, 12, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222297, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 326, 18, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222298, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 653, 12, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222299, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 1750, 3, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222300, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 192, 59, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222301, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1124, 231, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222302, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 211, 48, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222303, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 377, 5, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222304, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1378, 1, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222305, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 2305, 4, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222306, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 326, 18, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222307, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 454, 20, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222308, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 684, 36, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222309, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 347, 31, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222310, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 281, 26, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222311, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 219, 26, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222312, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 249, 31, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222313, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 739, 28, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222314, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 208, 25, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222315, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 224, 20, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222316, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 252, 30, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222317, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 174, 4, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222318, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 236, 5, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222319, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 124, 4, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222320, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 224, 10, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222321, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 385, 34, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222322, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 8489, 2, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222323, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 617, 12, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222324, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 881, 3, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222325, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 175, 3, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222326, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 287, 13, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222327, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 121, 13, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222328, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 225, 11, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222329, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 86, 4, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222330, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 166, 14, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222331, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 788, 52, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222332, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 580, 53, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222333, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 6, 1, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222334, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 335, 8, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222335, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 347, 8, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222336, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 409, 10, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222337, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 14, 2, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222338, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 44, 1, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222339, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 336, 5, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222340, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 396, 13, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222341, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 334, 9, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222342, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 334, 17, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222343, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 100, 7, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222344, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 336, 16, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222345, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 1750, 3, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222346, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 157, 8, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222347, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1469, 20, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222348, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 222, 12, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222349, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1311, 18, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222350, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 161, 19, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222351, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1201, 16, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222352, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 260, 17, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222353, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B16', 80, 1, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222354, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 872, 4, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222355, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 14, 2, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222356, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1103, 45, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222357, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 332, 4, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222358, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 419, 23, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222359, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 653, 12, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222360, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 95, 17, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222361, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 385, 46, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222362, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 62, 13, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222363, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 433, 35, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222364, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 377, 37, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222365, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 97, 20, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222366, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 327, 32, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222367, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 480, 18, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222368, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 6, 1, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222369, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 380, 3, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222370, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 994, 73, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222371, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 376, 23, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222372, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 98, 20, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222373, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1390, 24, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222374, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 3270, 4, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222375, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 256, 18, 2024, 7, 2, '2024-08-05 16:12:45', NULL, NULL), (222376, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 888, 62, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222377, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 91, 12, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222378, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 112, 21, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222379, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 144, 2, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222380, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1814, 27, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222381, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 71, 19, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 872, 4, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 112, 21, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 62, 13, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 95, 17, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 353, 46, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 97, 20, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 1750, 3, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 14, 2, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 3270, 4, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 98, 20, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 71, 19, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 1814, 27, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 994, 73, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 739, 28, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1390, 24, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 888, 62, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 684, 36, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 144, 2, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B16', 80, 1, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 347, 31, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 157, 8, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1103, 45, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 332, 4, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 8489, 2, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 287, 13, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 121, 13, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 225, 11, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 166, 14, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1469, 20, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1311, 18, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1201, 16, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 86, 4, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1378, 1, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 617, 12, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 326, 18, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 224, 10, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 6, 1, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 380, 3, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 881, 3, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 2305, 4, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 175, 3, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 281, 26, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 161, 19, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 408, 27, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 653, 12, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 208, 25, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 326, 38, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 91, 12, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 788, 52, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 389, 56, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 377, 36, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 580, 53, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 14, 2, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 224, 20, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 249, 31, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 364, 53, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 454, 20, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 401, 52, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 100, 7, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 282, 27, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 222, 12, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 252, 30, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 6, 1, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 260, 17, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 383, 36, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 219, 26, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222448, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 224, 20, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222449, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1103, 45, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222450, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 888, 62, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222451, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1390, 24, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222452, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 335, 8, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222453, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 994, 73, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222454, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 385, 34, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222455, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 161, 19, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222456, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 1814, 27, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222457, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 222, 12, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222458, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 260, 17, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222459, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 252, 30, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222460, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 208, 25, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222461, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 249, 31, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222462, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 219, 26, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222463, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 281, 26, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222464, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 454, 20, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222465, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 100, 7, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222466, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 144, 2, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222467, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 881, 3, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222468, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 157, 8, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222469, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 175, 3, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222470, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 1750, 3, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222471, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 224, 10, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222472, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 8489, 2, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222473, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 86, 4, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222474, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 377, 5, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222475, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 380, 3, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222476, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 97, 20, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222477, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 95, 17, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222478, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 617, 12, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222479, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 62, 13, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222480, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 112, 21, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222481, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1311, 18, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222482, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 71, 19, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222483, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1201, 16, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222484, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 653, 12, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222485, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 98, 20, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222486, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 3270, 4, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222487, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 6, 1, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222488, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1469, 20, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222489, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 872, 4, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222490, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 225, 11, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222491, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 166, 14, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222492, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 580, 53, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222493, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 788, 52, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222494, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 14, 2, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222495, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 91, 12, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222496, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1378, 1, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222497, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 2305, 4, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222498, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 121, 13, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222499, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 326, 18, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222500, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 287, 13, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222501, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 6, 1, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (222502, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 332, 4, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222503, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 684, 36, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222504, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 327, 32, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222505, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 347, 31, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222506, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 480, 18, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222507, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 419, 23, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222508, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 739, 28, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222509, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 385, 46, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222510, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 433, 35, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222511, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 174, 4, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222512, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 377, 37, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222513, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 376, 23, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222514, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 334, 9, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222515, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 256, 18, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222516, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 124, 4, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222517, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 236, 5, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222518, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 334, 17, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222519, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B16', 80, 1, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222520, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 409, 10, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222521, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 396, 13, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222522, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 14, 2, 2024, 7, 2, '2024-08-05 16:12:46', NULL, NULL), (222523, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 336, 16, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222524, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 44, 1, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222525, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 347, 8, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222526, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 336, 5, 2024, 7, 2, '2024-08-05 16:12:47', NULL, NULL), (222527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 388, 104, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 4314, 5, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 11, 1, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 720, 234, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 974, 8, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '', 50, 1, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 896, 6, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 241, 1, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 92, 117, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 819, 307, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 336, 410, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 909, 300, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 208, 11, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 634, 548, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 446, 76, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 212, 4, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 320, 19, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 549, 137, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1513, 15, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 734, 89, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 545, 120, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 562, 178, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 706, 47, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 576, 132, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 510, 133, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222552, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222553, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 1370, 1, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222554, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 0, 3, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222555, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222556, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 767, 228, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222557, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 92, 117, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222558, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 974, 8, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222559, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 127, 5, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222560, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 11, 1, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222561, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 376, 85, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222562, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 341, 19, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222563, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 80, 3, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222564, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '', 50, 1, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222565, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 240, 9, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222566, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 660, 75, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222567, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 425, 12, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222568, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 435, 53, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222569, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 792, 51, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222570, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 129, 8, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222571, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 2, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222572, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 3222, 8, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222573, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 7, 2, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222574, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 280, 7, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222575, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 3107, 3, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222576, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 596, 13, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222577, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 344, 300, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222578, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 407, 3, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222579, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 298, 4, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222580, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 80, 5, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222581, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 188, 6, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222582, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 451, 28, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222583, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 315, 94, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222584, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1092, 211, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222585, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 597, 9, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222586, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 1917, 3, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222587, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 43, 8, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222588, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 2583, 4, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222589, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 431, 4, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222590, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 257, 17, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222591, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 356, 74, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222592, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 13, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222593, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 12, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222594, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 2255, 25, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222595, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 131, 3, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222596, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222597, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 10468, 2, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222598, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 4941, 1, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 43, 8, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 108, 11, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 130, 21, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 257, 17, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 325, 28, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 515, 18, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 99, 13, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 339, 31, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 312, 14, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 71, 27, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 319, 54, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 758, 14, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 494, 19, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 881, 22, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 310, 54, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 456, 11, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 350, 51, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 367, 52, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 693, 15, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 355, 37, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 273, 19, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 343, 28, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 184, 7, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 333, 36, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 415, 25, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 108, 26, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 45, 19, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 451, 28, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 315, 41, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 869, 35, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 129, 2, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1072, 40, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1256, 6, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 375, 12, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1190, 61, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 896, 6, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 188, 6, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 280, 7, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 4941, 1, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 425, 12, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 596, 13, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 1917, 3, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 2583, 4, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 2255, 25, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 390, 40, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 341, 19, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 299, 18, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 405, 27, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 1128, 75, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 298, 4, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 906, 37, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 2, 2, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 755, 27, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 688, 45, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 132, 3, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 3107, 3, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B01', 50, 1, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 800, 48, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 1255, 38, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 670, 38, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 7, 2, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 542, 29, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 768, 44, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 129, 8, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 394, 1, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B13', 1370, 1, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 1233, 2, 2024, 7, 3, '2024-08-05 16:12:48', NULL, NULL), (222666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 7772, 3, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222667, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 240, 9, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222668, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 376, 85, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222669, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 188, 6, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222670, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 92, 117, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222671, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 767, 228, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222672, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 344, 300, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222673, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 394, 1, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222674, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 298, 4, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222675, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 257, 17, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222676, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 315, 94, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222677, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 2583, 4, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222678, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 596, 13, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222679, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 974, 8, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222680, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 10468, 2, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222681, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 241, 1, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222682, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 896, 6, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222683, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 407, 3, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222684, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 3107, 3, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222685, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 129, 8, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222686, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 356, 74, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222687, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1092, 211, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222688, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 4941, 1, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222689, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 452, 51, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222690, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 431, 4, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222691, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 1917, 3, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222692, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 678, 73, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222693, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 43, 8, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222694, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '区不动产', '', '', 1370, 1, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222695, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 80, 5, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222696, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 792, 51, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222697, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 5156, 5, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222698, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 425, 12, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222699, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 11, 1, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222700, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 280, 7, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222701, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 451, 28, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222702, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 2255, 25, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222703, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 7, 2, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222704, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 341, 19, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222705, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 211, 3, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222706, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '区发展改革局', '', '', 50, 1, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222707, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 170, 4, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222708, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1256, 6, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222709, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 129, 2, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222710, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 341, 19, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222711, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 522, 3, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222712, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 160, 1, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222713, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 296, 5, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222714, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 596, 13, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222715, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 11, 1, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222716, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 188, 6, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222717, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 768, 44, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222718, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 542, 29, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222719, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 2, 2, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222720, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 132, 3, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222721, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 267, 10, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222722, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 10468, 2, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222723, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 3107, 3, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222724, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 43, 8, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222725, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 211, 3, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222726, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 693, 15, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222727, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 758, 14, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222728, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 394, 1, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222729, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 881, 22, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222730, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 45, 19, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222731, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 129, 8, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222732, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 108, 11, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222733, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 108, 26, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222734, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 407, 3, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222735, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 425, 12, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222736, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 1128, 75, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222737, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1072, 40, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222738, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 71, 27, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222739, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 869, 35, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222740, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 130, 21, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222741, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 2583, 4, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222742, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1190, 61, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222743, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 99, 13, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222744, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 755, 27, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222745, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 390, 40, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222746, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 906, 37, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222747, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 299, 18, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222748, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 800, 48, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222749, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 722, 42, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222750, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 405, 27, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222751, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 670, 38, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222752, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 743, 36, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222753, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 257, 17, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222754, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 337, 26, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222755, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', 'B13', 1370, 1, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222756, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 4941, 1, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222757, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '2B01', 50, 1, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222758, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 2255, 25, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222759, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 280, 7, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222760, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 415, 25, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222761, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 273, 19, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222762, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 184, 7, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222763, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 298, 4, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222764, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 456, 11, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222765, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 7, 2, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222766, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 412, 7, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222767, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 195, 14, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222768, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 309, 5, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222769, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 191, 3, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222770, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 301, 17, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222771, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 481, 9, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222772, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 289, 14, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222773, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 382, 15, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222774, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 375, 12, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222775, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 312, 14, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222776, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 494, 19, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222777, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 515, 18, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222778, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 7772, 3, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222779, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 1233, 2, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222780, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 241, 1, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222781, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 896, 6, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222782, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 341, 26, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222783, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 430, 38, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222784, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 377, 36, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222785, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 282, 39, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222786, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 375, 26, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222787, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 339, 22, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222788, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 1917, 3, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222789, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 327, 37, 2024, 7, 3, '2024-08-05 16:12:49', NULL, NULL), (222790, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 281, 22, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222791, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A01', 325, 28, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222792, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 451, 28, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 130, 21, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 108, 11, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 45, 19, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 315, 41, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 108, 26, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 10468, 2, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 241, 1, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 211, 3, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 71, 27, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 99, 13, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 1190, 61, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 1128, 75, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 1233, 2, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 405, 27, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1072, 40, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 7772, 3, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 869, 35, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 390, 40, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B13', 1370, 1, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 2583, 4, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '2B01', 50, 1, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 299, 18, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 375, 12, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 896, 6, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 11, 1, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 415, 25, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 273, 19, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 184, 7, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 456, 11, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 693, 15, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 758, 14, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 881, 22, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 298, 4, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1256, 6, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 2255, 25, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 341, 19, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 596, 13, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 1917, 3, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 4941, 1, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 425, 12, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 188, 6, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 129, 2, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 280, 7, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A01', 325, 28, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 906, 37, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 394, 1, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 494, 19, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 343, 28, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 670, 38, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 342, 35, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 129, 8, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 367, 52, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 768, 44, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 451, 28, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 7, 2, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 355, 37, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 542, 29, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 3107, 3, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 722, 42, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 310, 54, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 257, 17, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 43, 8, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 755, 27, 2024, 7, 3, '2024-08-05 16:12:50', NULL, NULL), (222856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 352, 50, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 2, 2, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 339, 31, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 312, 14, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 743, 36, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 800, 48, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 515, 18, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 319, 54, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 132, 3, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222865, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 10468, 2, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222866, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 267, 10, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222867, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 337, 26, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222868, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '区发展改革局', '', '2B01', 50, 1, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222869, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 43, 8, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222870, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 188, 6, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222871, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 211, 3, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222872, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 596, 13, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222873, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 298, 4, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222874, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 2, 2, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222875, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 170, 4, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222876, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 108, 26, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222877, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 425, 12, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222878, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 45, 19, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222879, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 2255, 25, 2024, 7, 3, '2024-08-05 16:12:52', NULL, NULL), (222880, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 108, 11, 2024, 7, 3, '2024-08-05 16:12:52', NULL, NULL), (222881, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 130, 21, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222882, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 99, 13, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222883, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 71, 27, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222884, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 132, 3, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222885, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 241, 1, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222886, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '区不动产', '', 'B13', 1370, 1, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222887, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 451, 28, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222888, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1256, 6, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222889, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 129, 2, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222890, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 341, 19, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222891, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 407, 3, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222892, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 896, 6, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222893, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 390, 40, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222894, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 375, 26, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222895, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 299, 18, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222896, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 339, 22, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222897, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 341, 26, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222898, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 405, 27, 2024, 7, 3, '2024-08-05 16:12:52', NULL, NULL), (222899, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 430, 38, 2024, 7, 3, '2024-08-05 16:12:52', NULL, NULL), (222900, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 377, 36, 2024, 7, 3, '2024-08-05 16:12:52', NULL, NULL), (222901, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 282, 39, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222902, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 481, 9, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222903, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 327, 37, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222904, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 281, 22, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222905, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A01', 325, 28, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222906, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 296, 5, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222907, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 289, 14, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222908, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 195, 14, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222909, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 301, 17, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222910, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 3107, 3, 2024, 7, 3, '2024-08-05 16:12:52', NULL, NULL), (222911, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 382, 15, 2024, 7, 3, '2024-08-05 16:12:52', NULL, NULL), (222912, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 309, 5, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (222913, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 412, 7, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222914, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 191, 3, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222915, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 257, 17, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222916, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 869, 35, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222917, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1072, 40, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222918, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 1128, 75, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222919, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 4941, 1, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222920, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 1190, 61, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222921, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 494, 19, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222922, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 312, 14, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222923, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 515, 18, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222924, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 743, 36, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222925, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 670, 38, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222926, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 722, 42, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222927, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 800, 48, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222928, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 906, 37, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222929, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 755, 27, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222930, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 7, 2, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222931, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 2583, 4, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222932, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 375, 12, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222933, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 280, 7, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222934, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 11, 1, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222935, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 758, 14, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222936, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 881, 22, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222937, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 129, 8, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222938, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 693, 15, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222939, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 184, 7, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222940, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 456, 11, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222941, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 542, 29, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222942, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 768, 44, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222943, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 273, 19, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222944, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 415, 25, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222945, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 1917, 3, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222946, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 394, 1, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222947, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 522, 3, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222948, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 7772, 3, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222949, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 160, 1, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222950, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 1233, 2, 2024, 7, 3, '2024-08-05 16:12:51', NULL, NULL), (222951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 210, 93, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 7924, 13, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区水利局', '', '', 41, 1, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 113, 1, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', '', 5, 1, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 451, 181, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 927, 9, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 720, 8, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区林业竹业局', '', '', 12, 1, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 48, 116, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 549, 194, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 89, 279, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 940, 267, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 357, 16, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 436, 425, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 398, 64, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 14, 5, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 479, 10, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 389, 61, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 3997, 27, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 606, 79, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 421, 91, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 406, 121, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 525, 55, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 337, 120, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 409, 96, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222977, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', '', 690, 1, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222978, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '', 41, 1, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222979, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 13484, 7, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222980, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222981, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 204, 106, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222982, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 48, 116, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222983, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 835, 10, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222984, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 9, 5, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222985, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 1463, 11, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222986, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 113, 1, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222987, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 202, 16, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222988, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 356, 61, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222989, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222990, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '', '', '', 5, 1, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222991, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 895, 76, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222992, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 83, 5, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222993, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 162, 6, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222994, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 284, 49, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222995, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 367, 7, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222996, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 705, 40, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222997, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222998, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1, 4, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (222999, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 747, 18, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223000, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 90, 193, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223001, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 12, 1, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223002, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 88, 1, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223003, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 23, 5, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223004, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 905, 3, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223005, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 120, 24, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223006, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 79, 73, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223007, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1119, 205, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223008, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 720, 8, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223009, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 36, 3, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223010, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 75, 4, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223011, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 26, 1, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223012, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 150, 16, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223013, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 190, 7, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223014, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 317, 58, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223015, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 5, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223016, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223017, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 466, 24, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223018, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 591, 1, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223019, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 0, 1, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223020, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 4290, 2, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 75, 4, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 33, 20, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 25, 23, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 150, 16, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 283, 15, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 63, 17, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 46, 20, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 240, 14, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 96, 21, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 315, 20, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 97, 38, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 838, 16, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 58, 39, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 574, 11, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 369, 12, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 67, 41, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 88, 33, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 653, 13, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 132, 22, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 403, 15, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 640, 10, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 103, 25, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 121, 26, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 84, 15, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 43, 17, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 87, 19, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 120, 24, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 77, 37, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1083, 59, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1243, 5, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1425, 29, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 46, 6, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 533, 4, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1079, 54, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 720, 8, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 905, 3, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 5, 1, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 162, 6, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 747, 18, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 36, 3, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 26, 1, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 520, 21, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 202, 16, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 361, 21, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 325, 24, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 394, 16, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 1042, 3, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 127, 2, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 106, 22, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 23, 5, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 13484, 7, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 112, 25, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 159, 21, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 611, 19, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 408, 25, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1046, 60, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 1463, 11, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 648, 26, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 367, 7, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 1017, 51, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B09', 41, 1, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 591, 1, 2024, 7, 4, '2024-08-05 16:12:53', NULL, NULL), (223083, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 83, 5, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223084, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 190, 7, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223085, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 356, 61, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223086, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 36, 3, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223087, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 905, 3, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223088, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 1463, 11, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223089, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '区林业竹业局', '', '', 12, 1, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223090, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 895, 76, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223091, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 13484, 7, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223092, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 48, 116, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223093, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 204, 106, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223094, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 90, 193, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223095, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 591, 1, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223096, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 23, 5, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223097, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 150, 16, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223098, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 79, 73, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223099, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 26, 1, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223100, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 75, 4, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223101, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 747, 18, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223102, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '区农业农村局', '', '', 5, 1, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223103, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 8580, 1, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223104, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 927, 9, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223105, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 705, 40, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223106, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 162, 6, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223107, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '区水利局', '', '', 41, 1, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223108, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 113, 1, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223109, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 5, 1, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223110, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 720, 8, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223111, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 120, 24, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223112, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 88, 1, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223113, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 486, 23, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223114, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 202, 16, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223115, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 367, 7, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223116, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 9, 5, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223117, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 317, 58, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223118, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1119, 205, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223119, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 284, 49, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223120, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', '', 690, 1, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223121, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 26, 2, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223122, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 533, 4, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223123, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1243, 5, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223124, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 202, 16, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223125, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', 'A07', 12, 1, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223126, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 361, 21, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223127, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 106, 22, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223128, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 325, 24, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223129, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 159, 21, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223130, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 138, 20, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223131, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 394, 16, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223132, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 408, 25, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223133, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 150, 16, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223134, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 168, 18, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223135, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 152, 6, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223136, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 422, 1, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223137, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 121, 3, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223138, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 747, 18, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223139, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 71, 27, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223140, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 113, 1, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223141, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 520, 21, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223142, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 5, 1, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223143, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 905, 3, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223144, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 84, 15, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223145, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 403, 15, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223146, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 640, 10, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223147, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 369, 12, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223148, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 23, 5, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223149, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 1017, 51, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223150, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '', '', 'A08', 5, 1, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223151, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 646, 25, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223152, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 127, 2, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223153, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 79, 7, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223154, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 8580, 1, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223155, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 174, 4, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223156, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 65, 10, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223157, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 111, 7, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223158, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 38, 6, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223159, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 77, 15, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223160, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 141, 7, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223161, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 75, 4, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223162, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 53, 12, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223163, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 19, 5, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223164, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '', '', 'B08', 690, 1, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223165, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 9, 5, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223166, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 46, 6, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223167, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 653, 13, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223168, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 240, 14, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223169, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 591, 1, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223170, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 838, 16, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223171, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 315, 20, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223172, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 574, 11, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223173, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 283, 15, 2024, 7, 4, '2024-08-05 16:12:54', NULL, NULL), (223174, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 13484, 7, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223175, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 1463, 11, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223176, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1046, 60, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223177, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 720, 8, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223178, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '2B09', 41, 1, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223179, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 113, 15, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223180, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 87, 19, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223181, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 367, 7, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223182, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 98, 23, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223183, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 33, 20, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223184, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 73, 29, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223185, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 43, 17, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223186, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 63, 34, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223187, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 137, 16, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223188, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 119, 12, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223189, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 88, 1, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223190, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 36, 3, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223191, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 162, 6, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223192, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 1042, 3, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223193, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 110, 23, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223194, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 46, 20, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223195, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1425, 29, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223196, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 74, 14, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223197, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1083, 59, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223198, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 25, 23, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223199, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 120, 24, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223200, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 26, 1, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223201, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 63, 17, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223202, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1079, 54, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 25, 23, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 33, 20, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 87, 19, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 77, 37, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 43, 17, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 8580, 1, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 9, 5, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 13484, 7, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 46, 20, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 63, 17, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 1079, 54, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 1042, 3, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 394, 16, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1425, 29, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1083, 59, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 361, 21, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 26, 1, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 325, 24, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 46, 6, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1046, 60, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 720, 8, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 113, 1, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区农业农村局', '', 'A08', 5, 1, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 84, 15, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 403, 15, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 640, 10, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 369, 12, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 653, 13, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 838, 16, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 574, 11, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 23, 5, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 127, 2, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 533, 4, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 520, 21, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 202, 16, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 747, 18, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 36, 3, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 162, 6, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 905, 3, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 5, 1, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1243, 5, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 106, 22, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 591, 1, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区水利局', '', '2B09', 41, 1, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 315, 20, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区林业竹业局', '', 'A07', 12, 1, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 1463, 11, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 107, 24, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 408, 25, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 367, 7, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 121, 25, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 1017, 51, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 88, 33, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 120, 24, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 138, 21, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 648, 26, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 150, 16, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 138, 20, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 58, 39, 2024, 7, 4, '2024-08-05 16:12:55', NULL, NULL), (223262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 75, 4, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 67, 41, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 168, 18, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 240, 14, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 96, 21, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 283, 15, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 159, 21, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 97, 38, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223270, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '区水利局', '', '2B09', 41, 1, 2024, 7, 4, '2024-08-05 16:12:57', NULL, NULL), (223271, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '区农业农村局', '', 'A08', 5, 1, 2024, 7, 4, '2024-08-05 16:12:57', NULL, NULL), (223272, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 150, 16, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223273, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1046, 60, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223274, 22, '511502000000-0001', '翠屏区政务服务中心', '涉企业务(首次登记、抵押注销、企业之间的变更)', '区不动产', '', 'B08', 690, 1, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223275, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 8580, 1, 2024, 7, 4, '2024-08-05 16:12:57', NULL, NULL), (223276, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 1083, 59, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223277, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1425, 29, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223278, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 79, 7, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223279, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 1042, 3, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223280, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 71, 27, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223281, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 315, 20, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223282, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 1079, 54, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223283, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 240, 14, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223284, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 283, 15, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223285, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 168, 18, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223286, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 408, 25, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223287, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 138, 20, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223288, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 159, 21, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223289, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 106, 22, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223290, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 75, 4, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223291, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 26, 1, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223292, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 46, 6, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223293, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 905, 3, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223294, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 127, 2, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223295, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 5, 1, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223296, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 9, 5, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223297, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 747, 18, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223298, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 113, 1, 2024, 7, 4, '2024-08-05 16:12:57', NULL, NULL), (223299, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 23, 5, 2024, 7, 4, '2024-08-05 16:12:57', NULL, NULL), (223300, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 26, 2, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223301, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 162, 6, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223302, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 43, 17, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223303, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 87, 19, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223304, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 520, 21, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223305, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 33, 20, 2024, 7, 4, '2024-08-05 16:12:57', NULL, NULL), (223306, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 25, 23, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223307, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 838, 16, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223308, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 63, 17, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223309, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 574, 11, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223310, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 367, 7, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223311, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 46, 20, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223312, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 653, 13, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223313, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 1463, 11, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223314, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 640, 10, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223315, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 369, 12, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223316, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 646, 25, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223317, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 1017, 51, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223318, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 13484, 7, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (223319, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 120, 24, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223320, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 533, 4, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223321, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1243, 5, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223322, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 403, 15, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223323, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 202, 16, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223324, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 84, 15, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223325, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 36, 3, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223326, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 88, 1, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223327, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 720, 8, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223328, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 361, 21, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223329, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 137, 16, 2024, 7, 4, '2024-08-05 16:12:57', NULL, NULL), (223330, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 325, 24, 2024, 7, 4, '2024-08-05 16:12:57', NULL, NULL), (223331, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 119, 12, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223332, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 591, 1, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223333, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 113, 15, 2024, 7, 4, '2024-08-05 16:12:57', NULL, NULL), (223334, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 394, 16, 2024, 7, 4, '2024-08-05 16:12:57', NULL, NULL), (223335, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 98, 23, 2024, 7, 4, '2024-08-05 16:12:57', NULL, NULL), (223336, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 73, 29, 2024, 7, 4, '2024-08-05 16:12:57', NULL, NULL), (223337, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 152, 6, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223338, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 63, 34, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223339, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 110, 23, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223340, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 141, 7, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223341, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 74, 14, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223342, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 422, 1, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223343, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 121, 3, 2024, 7, 4, '2024-08-05 16:12:57', NULL, NULL), (223344, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 53, 12, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223345, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 65, 10, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223346, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 77, 15, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223347, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 19, 5, 2024, 7, 4, '2024-08-05 16:12:56', NULL, NULL), (223348, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 111, 7, 2024, 7, 4, '2024-08-05 16:12:57', NULL, NULL), (223349, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 174, 4, 2024, 7, 4, '2024-08-05 16:12:57', NULL, NULL), (223350, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 38, 6, 2024, 7, 4, '2024-08-05 16:12:57', NULL, NULL), (223351, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '区林业竹业局', '', 'A07', 12, 1, 2024, 7, 4, '2024-08-05 16:12:57', NULL, NULL), (223352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 277, 93, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 137, 2, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 13965, 3, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 53, 101, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 8, 1, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 514, 135, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 951, 224, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 255, 250, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1390, 7, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 719, 250, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 205, 2, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 197, 6, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 489, 431, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 371, 73, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 121, 4, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 447, 91, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 6282, 7, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 648, 51, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 381, 81, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 1052, 94, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 489, 28, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 452, 121, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 350, 91, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223375, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223376, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 10473, 4, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223377, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223378, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 96, 60, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223379, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 53, 101, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223380, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 973, 10, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223381, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 5, 1, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223382, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 8, 1, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223383, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 76, 14, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223384, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 508, 73, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223385, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 91, 3, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223386, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 215, 8, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223387, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 33, 5, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223388, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 848, 75, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223389, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 405, 46, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223390, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1174, 35, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223391, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 635, 43, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223392, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 2, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223393, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 703, 5, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223394, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 225, 3, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223395, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 100, 15, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223396, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 216, 138, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223397, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 280, 2, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223398, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223399, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 9425, 2, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223400, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 841, 11, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223401, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 416, 5, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223402, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 121, 21, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223403, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 336, 87, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223404, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 719, 175, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223405, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 205, 2, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223406, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 1484, 2, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223407, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 65, 7, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223408, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 328, 2, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223409, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 217, 19, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223410, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 167, 15, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223411, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 108, 55, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223412, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 2033, 8, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223413, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 7, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223414, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1370, 25, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223415, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 12739, 5, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223416, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 581, 1, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 28, 15, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 65, 7, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 48, 23, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 217, 19, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 23, 19, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 317, 15, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 47, 17, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 431, 13, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 8, 8, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 205, 29, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 459, 18, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 750, 12, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 254, 35, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 572, 15, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 122, 14, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 275, 49, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 265, 34, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 607, 16, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 89, 17, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 264, 19, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 214, 20, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 106, 9, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 218, 36, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 54, 6, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 50, 16, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 587, 3, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 121, 21, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 639, 41, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 311, 31, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1581, 4, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 558, 27, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 162, 9, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1137, 3, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 205, 2, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 416, 5, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 703, 5, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 581, 1, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 33, 5, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 100, 15, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 1484, 2, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1427, 24, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 328, 2, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 640, 32, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 82, 13, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 568, 27, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 91, 14, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 889, 69, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 3099, 14, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 841, 11, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 4, 1, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 18847, 1, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 88, 19, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 86, 11, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 225, 3, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 95, 8, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 80, 11, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 625, 37, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 600, 23, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1174, 35, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 958, 52, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D14', 16267, 1, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 12739, 5, 2024, 7, 5, '2024-08-05 16:12:58', NULL, NULL), (223479, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 215, 8, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223480, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 167, 15, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223481, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 508, 73, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223482, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 1484, 2, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223483, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 416, 5, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223484, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 848, 75, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223485, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 20946, 2, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223486, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 53, 101, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223487, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 96, 60, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223488, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 216, 138, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223489, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 12739, 5, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223490, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 841, 11, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223491, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '', 16267, 1, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223492, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 217, 19, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223493, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 336, 87, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223494, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 328, 2, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223495, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 65, 7, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223496, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 100, 15, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223497, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 9425, 2, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223498, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1390, 7, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223499, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 635, 43, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223500, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 137, 2, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223501, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 33, 5, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223502, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 8, 1, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223503, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 205, 2, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223504, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 703, 5, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223505, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 121, 21, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223506, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 280, 2, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223507, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1427, 24, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223508, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 225, 3, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223509, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 82, 13, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223510, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1174, 35, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223511, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 5, 1, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223512, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 108, 55, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223513, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 723, 174, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223514, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 581, 1, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223515, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 405, 46, 2024, 7, 5, '2024-08-05 16:12:59', NULL, NULL), (223516, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 262, 4, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223517, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1137, 3, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223518, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1581, 4, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223519, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 82, 13, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223520, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 640, 32, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223521, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 125, 12, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223522, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 568, 27, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223523, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 86, 11, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223524, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 93, 18, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223525, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 91, 14, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223526, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 80, 11, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223527, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 95, 8, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223528, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 217, 19, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223529, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '3D14', 16267, 1, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223530, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 150, 11, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223531, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 213, 4, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223532, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 169, 4, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223533, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 100, 15, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223534, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 324, 13, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223535, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 8, 1, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223536, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 581, 1, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223537, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1427, 24, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223538, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 703, 5, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223539, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 416, 5, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223540, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 54, 6, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223541, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 89, 17, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223542, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 106, 9, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223543, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 122, 14, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223544, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 841, 11, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223545, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 958, 52, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223546, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 600, 23, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223547, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 4, 1, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223548, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 18847, 1, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223549, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 339, 14, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223550, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 212, 5, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223551, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 342, 15, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223552, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 200, 8, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223553, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 225, 3, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223554, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 760, 2, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223555, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 289, 12, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223556, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 401, 19, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223557, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 65, 7, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223558, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 340, 12, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223559, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 5, 1, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223560, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 162, 9, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223561, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 607, 16, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223562, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 12739, 5, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223563, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 431, 13, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223564, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 750, 12, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223565, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 459, 18, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223566, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 572, 15, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223567, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 317, 15, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223568, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 20946, 2, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223569, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 625, 37, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223570, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 137, 2, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223571, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 205, 2, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223572, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 587, 3, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223573, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 318, 8, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223574, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1174, 35, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223575, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 204, 19, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223576, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 28, 15, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223577, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 200, 28, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223578, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 50, 16, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223579, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 210, 23, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223580, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 226, 23, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223581, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 159, 7, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223582, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 280, 2, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223583, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 1484, 2, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223584, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 33, 5, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223585, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 889, 69, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223586, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 146, 17, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223587, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 47, 17, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223588, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 558, 27, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223589, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 639, 41, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223590, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 8, 8, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223591, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 121, 21, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223592, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 48, 23, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223593, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 23, 19, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223594, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 328, 2, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 20946, 2, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 48, 23, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 28, 15, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 587, 3, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 311, 31, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 50, 16, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 5, 1, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 137, 2, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 8, 8, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 47, 17, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 23, 19, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 889, 69, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 91, 14, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 558, 27, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 639, 41, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 640, 32, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 328, 2, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 568, 27, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 162, 9, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 625, 37, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 205, 2, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 8, 1, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 54, 6, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 89, 17, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 106, 9, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 122, 14, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 607, 16, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 750, 12, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D14', 16267, 1, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 572, 15, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 841, 11, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1137, 3, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1427, 24, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 82, 13, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 100, 15, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 1484, 2, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 581, 1, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 33, 5, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 416, 5, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1581, 4, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 703, 5, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 125, 12, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 12739, 5, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 459, 18, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 214, 20, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 80, 11, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1174, 35, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 224, 35, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 121, 21, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 265, 34, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 958, 52, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 600, 23, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 264, 19, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 93, 18, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 217, 19, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 225, 3, 2024, 7, 5, '2024-08-05 16:13:00', NULL, NULL), (223651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 254, 35, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 281, 47, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 65, 7, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 4, 1, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 95, 8, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 431, 13, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 18847, 1, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 86, 11, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 205, 29, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 317, 15, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223661, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 217, 19, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223662, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 625, 37, 2024, 7, 5, '2024-08-05 16:13:02', NULL, NULL), (223663, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 639, 41, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223664, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 558, 27, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223665, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 339, 14, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223666, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 889, 69, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223667, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 324, 13, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223668, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 581, 1, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223669, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 459, 18, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223670, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 431, 13, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223671, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 317, 15, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223672, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 95, 8, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223673, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 80, 11, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223674, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 93, 18, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223675, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 86, 11, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223676, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 125, 12, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223677, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 65, 7, 2024, 7, 5, '2024-08-05 16:13:02', NULL, NULL), (223678, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 328, 2, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223679, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 162, 9, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223680, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 416, 5, 2024, 7, 5, '2024-08-05 16:13:02', NULL, NULL), (223681, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 703, 5, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223682, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 5, 1, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223683, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 100, 15, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223684, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 8, 1, 2024, 7, 5, '2024-08-05 16:13:02', NULL, NULL), (223685, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 841, 11, 2024, 7, 5, '2024-08-05 16:13:02', NULL, NULL), (223686, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 4, 1, 2024, 7, 5, '2024-08-05 16:13:02', NULL, NULL), (223687, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 262, 4, 2024, 7, 5, '2024-08-05 16:13:02', NULL, NULL), (223688, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 33, 5, 2024, 7, 5, '2024-08-05 16:13:02', NULL, NULL), (223689, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 50, 16, 2024, 7, 5, '2024-08-05 16:13:02', NULL, NULL), (223690, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 587, 3, 2024, 7, 5, '2024-08-05 16:13:02', NULL, NULL), (223691, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1427, 24, 2024, 7, 5, '2024-08-05 16:13:02', NULL, NULL), (223692, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 28, 15, 2024, 7, 5, '2024-08-05 16:13:02', NULL, NULL), (223693, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 48, 23, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223694, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 750, 12, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223695, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 23, 19, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223696, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 572, 15, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223697, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 47, 17, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223698, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1174, 35, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223699, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 18847, 1, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223700, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 8, 8, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223701, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 607, 16, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223702, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 137, 2, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223703, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 20946, 2, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223704, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 106, 9, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223705, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 122, 14, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223706, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 600, 23, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223707, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 958, 52, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223708, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 121, 21, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223709, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1137, 3, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223710, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1581, 4, 2024, 7, 5, '2024-08-05 16:13:02', NULL, NULL), (223711, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 89, 17, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223712, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 82, 13, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223713, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 54, 6, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223714, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 1484, 2, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223715, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 205, 2, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223716, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 280, 2, 2024, 7, 5, '2024-08-05 16:13:02', NULL, NULL), (223717, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 640, 32, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223718, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 226, 23, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223719, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 568, 27, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223720, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 159, 7, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223721, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 12739, 5, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223722, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '翠屏区公安', '', '3D14', 16267, 1, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223723, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 318, 8, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223724, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 91, 14, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223725, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 204, 19, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (223726, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 200, 28, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223727, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 150, 11, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223728, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 210, 23, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223729, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 146, 17, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223730, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 169, 4, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223731, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 213, 4, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223732, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 401, 19, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223733, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 342, 15, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223734, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 289, 12, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223735, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 340, 12, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223736, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 225, 3, 2024, 7, 5, '2024-08-05 16:13:01', NULL, NULL), (223737, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 200, 8, 2024, 7, 5, '2024-08-05 16:13:02', NULL, NULL), (223738, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 212, 5, 2024, 7, 5, '2024-08-05 16:13:02', NULL, NULL), (223739, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 760, 2, 2024, 7, 5, '2024-08-05 16:13:02', NULL, NULL), (223740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 421, 61, 2024, 7, 6, '2024-08-05 16:13:06', NULL, NULL), (223741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 345, 46, 2024, 7, 6, '2024-08-05 16:13:06', NULL, NULL), (223742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 359, 1, 2024, 7, 6, '2024-08-05 16:13:06', NULL, NULL), (223743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 310, 27, 2024, 7, 6, '2024-08-05 16:13:06', NULL, NULL), (223744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 471, 1, 2024, 7, 6, '2024-08-05 16:13:06', NULL, NULL), (223745, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2024, 7, 6, '2024-08-05 16:13:06', NULL, NULL), (223746, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 7, 6, '2024-08-05 16:13:06', NULL, NULL), (223747, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 4, 2024, 7, 6, '2024-08-05 16:13:06', NULL, NULL), (223748, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 7, 6, '2024-08-05 16:13:06', NULL, NULL), (223749, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 5, 2024, 7, 6, '2024-08-05 16:13:06', NULL, NULL), (223750, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2024, 7, 6, '2024-08-05 16:13:06', NULL, NULL), (223751, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 88, 10, 2024, 7, 6, '2024-08-05 16:13:06', NULL, NULL), (223752, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 487, 51, 2024, 7, 6, '2024-08-05 16:13:06', NULL, NULL), (223753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 449, 7, 2024, 7, 6, '2024-08-05 16:13:06', NULL, NULL), (223754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 446, 9, 2024, 7, 6, '2024-08-05 16:13:06', NULL, NULL), (223755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 546, 11, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 158, 4, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 70, 2, 2024, 7, 6, '2024-08-05 16:13:06', NULL, NULL), (223758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 28, 4, 2024, 7, 6, '2024-08-05 16:13:06', NULL, NULL), (223759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 485, 24, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223760, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 88, 10, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223761, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 487, 51, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223762, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 546, 11, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223763, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 158, 4, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223764, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 70, 2, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223765, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 28, 4, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223766, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 485, 24, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223767, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 449, 7, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223768, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 446, 9, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 546, 11, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 446, 9, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 485, 24, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 28, 4, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 449, 7, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 158, 4, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 70, 2, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223776, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 449, 7, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223777, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 485, 24, 2024, 7, 6, '2024-08-05 16:13:08', NULL, NULL), (223778, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 446, 9, 2024, 7, 6, '2024-08-05 16:13:08', NULL, NULL), (223779, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 546, 11, 2024, 7, 6, '2024-08-05 16:13:08', NULL, NULL), (223780, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 158, 4, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223781, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 70, 2, 2024, 7, 6, '2024-08-05 16:13:08', NULL, NULL), (223782, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 28, 4, 2024, 7, 6, '2024-08-05 16:13:07', NULL, NULL), (223783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1861, 52, 2024, 7, 7, '2024-08-05 16:13:11', NULL, NULL), (223784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 1703, 43, 2024, 7, 7, '2024-08-05 16:13:12', NULL, NULL), (223785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1683, 14, 2024, 7, 7, '2024-08-05 16:13:12', NULL, NULL), (223786, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 4, 2024, 7, 7, '2024-08-05 16:13:12', NULL, NULL), (223787, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 7, 7, '2024-08-05 16:13:12', NULL, NULL), (223788, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1992, 47, 2024, 7, 7, '2024-08-05 16:13:12', NULL, NULL), (223789, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 631, 5, 2024, 7, 7, '2024-08-05 16:13:12', NULL, NULL), (223790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1992, 47, 2024, 7, 7, '2024-08-05 16:13:12', NULL, NULL), (223791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 631, 5, 2024, 7, 7, '2024-08-05 16:13:12', NULL, NULL), (223792, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 631, 5, 2024, 7, 7, '2024-08-05 16:13:12', NULL, NULL), (223793, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1992, 47, 2024, 7, 7, '2024-08-05 16:13:12', NULL, NULL), (223794, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 631, 5, 2024, 7, 7, '2024-08-05 16:13:12', NULL, NULL), (223795, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1992, 47, 2024, 7, 7, '2024-08-05 16:13:12', NULL, NULL), (223796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 1992, 47, 2024, 7, 7, '2024-08-05 16:13:13', NULL, NULL), (223797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 631, 5, 2024, 7, 7, '2024-08-05 16:13:13', NULL, NULL), (223798, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 1992, 47, 2024, 7, 7, '2024-08-05 16:13:13', NULL, NULL), (223799, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 631, 5, 2024, 7, 7, '2024-08-05 16:13:13', NULL, NULL), (223800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 192, 137, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 9158, 5, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 16279, 1, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 103, 166, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 6, 1, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 1384, 162, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 409, 261, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 392, 238, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 904, 12, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1639, 345, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 8, 2, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 972, 12, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 794, 558, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 941, 90, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 509, 7, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 540, 56, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 5253, 9, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 689, 92, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 793, 111, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 603, 200, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 972, 40, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 737, 113, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 693, 69, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223823, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 5, 1, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223824, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 527, 111, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223825, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 4, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223826, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 103, 166, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223827, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 904, 12, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223828, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 15259, 3, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223829, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 6, 1, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223830, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1038, 102, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223831, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 405, 23, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223832, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 314, 9, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223833, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 4, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223834, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 1388, 44, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223835, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 257, 13, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223836, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 126, 60, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223837, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 536, 31, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223838, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 508, 60, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223839, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 14958, 7, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223840, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 712, 1, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223841, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 485, 15, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223842, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 1388, 2, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223843, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 688, 13, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223844, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 399, 115, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223845, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 204, 5, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223846, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', '', 16279, 1, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223847, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1257, 3, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223848, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 3, 1, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223849, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 685, 6, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223850, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 398, 35, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223851, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 435, 98, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223852, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1872, 241, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223853, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 1117, 3, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223854, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 8, 2, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223855, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 44, 13, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223856, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 2110, 4, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223857, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 90, 11, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223858, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 136, 31, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223859, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 167, 85, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223860, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 22, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223861, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 261, 7, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223862, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 13, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223863, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 3, 3, 2024, 7, 8, '2024-08-05 16:13:17', NULL, NULL), (223864, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 7, 8, '2024-08-05 16:13:18', NULL, NULL), (223865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 47, 12, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 92, 21, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 95, 27, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 136, 31, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 131, 16, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 111, 28, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 439, 23, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 112, 30, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 141, 18, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 376, 35, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 88, 17, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 134, 17, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 643, 19, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 330, 15, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 84, 8, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 162, 19, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 441, 35, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 1008, 27, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 512, 26, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 155, 12, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 353, 33, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 310, 24, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 187, 17, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 390, 31, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 171, 18, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 102, 31, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 115, 12, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 398, 35, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 390, 32, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1773, 50, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 895, 3, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1797, 58, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 184, 9, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 907, 9, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1818, 36, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 132, 10, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 8, 2, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 685, 6, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 485, 15, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 257, 13, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 688, 13, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 3352, 1, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 2110, 4, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 148, 5, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 405, 23, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1072, 28, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 986, 46, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 1171, 26, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 2093, 59, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 544, 2, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1257, 3, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 348, 20, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 771, 4, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 3, 1, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 2525, 24, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 1388, 2, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 334, 24, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 304, 20, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 815, 24, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1823, 38, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 712, 1, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 809, 7, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 1497, 37, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 536, 31, 2024, 7, 8, '2024-08-05 16:13:20', NULL, NULL), (223929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 13693, 6, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B19', 22549, 1, 2024, 7, 8, '2024-08-05 16:13:19', NULL, NULL), (223931, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 314, 9, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223932, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1058, 100, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223933, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 90, 11, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223934, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 3352, 1, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223935, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 685, 6, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223936, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 1388, 44, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223937, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 5, 1, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223938, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 103, 166, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223939, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 527, 111, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223940, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 399, 115, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223941, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1257, 3, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223942, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 136, 31, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223943, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 435, 98, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223944, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 2110, 4, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223945, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 47, 12, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223946, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 688, 13, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223947, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 11, 1, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223948, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 3, 1, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223949, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 904, 12, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223950, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 508, 60, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223951, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 14958, 7, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223952, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 257, 13, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223953, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '区文广旅游局', '', '', 16279, 1, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223954, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 6, 1, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223955, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 8, 2, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223956, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 485, 15, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223957, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 398, 35, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223958, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 204, 5, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223959, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 1388, 2, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223960, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 261, 7, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223961, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 712, 1, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223962, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 405, 23, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223963, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 536, 31, 2024, 7, 8, '2024-08-05 16:13:21', NULL, NULL), (223964, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 15259, 3, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223965, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 167, 85, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223966, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1872, 241, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223967, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 128, 59, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223968, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 418, 1, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (223969, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 907, 9, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (223970, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 895, 3, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (223971, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 405, 23, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (223972, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 1027, 3, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (223973, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1072, 28, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (223974, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 348, 20, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (223975, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 986, 46, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (223976, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 334, 24, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (223977, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 1171, 26, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (223978, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 706, 21, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (223979, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 815, 24, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (223980, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 319, 19, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (223981, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 136, 31, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (223982, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 70, 7, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223983, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 125, 4, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223984, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 301, 8, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223985, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 688, 13, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (223986, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 257, 14, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (223987, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 6, 1, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (223988, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 148, 5, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (223989, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 685, 6, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (223990, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 485, 15, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (223991, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 171, 18, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223992, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 155, 12, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223993, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 187, 17, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (223994, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1257, 3, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (223995, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 162, 19, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (223996, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 1497, 37, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (223997, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 809, 7, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (223998, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 544, 2, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (223999, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 132, 10, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224000, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 712, 1, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224001, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 3, 1, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224002, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 647, 10, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (224003, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 11, 1, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (224004, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 479, 8, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224005, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 387, 13, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224006, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 1388, 2, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224007, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 387, 9, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224008, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 593, 9, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224009, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 339, 17, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224010, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 508, 12, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224011, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 47, 12, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224012, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 330, 20, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224013, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 15259, 3, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224014, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 184, 9, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224015, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 84, 8, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (224016, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 512, 26, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (224017, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 141, 18, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224018, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 643, 19, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224019, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 330, 15, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224020, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 134, 17, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224021, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 131, 16, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (224022, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B19', 22549, 1, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224023, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 13693, 6, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224024, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 5, 1, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (224025, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1823, 38, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (224026, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 8, 2, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224027, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', 'A06', 16279, 1, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (224028, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 393, 16, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (224029, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 115, 12, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224030, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 536, 31, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224031, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 454, 13, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224032, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 92, 21, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224033, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 589, 15, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224034, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 102, 31, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224035, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 409, 20, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (224036, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 204, 8, 2024, 7, 8, '2024-08-05 16:13:22', NULL, NULL), (224037, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 3352, 1, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224038, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 204, 5, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224039, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 257, 13, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224040, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 2093, 59, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224041, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 411, 18, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224042, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1797, 58, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224043, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 112, 30, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224044, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 364, 11, 2024, 7, 8, '2024-08-05 16:13:23', NULL, NULL), (224045, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 88, 17, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224046, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1773, 50, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224047, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 398, 35, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224048, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 95, 27, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224049, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 2110, 4, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224050, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1818, 36, 2024, 7, 8, '2024-08-05 16:13:24', NULL, NULL), (224051, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 111, 28, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 95, 27, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 92, 21, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 115, 12, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 390, 32, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 102, 31, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 11, 1, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 15259, 3, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 5, 1, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 88, 17, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 112, 30, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 111, 28, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 1818, 36, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 2093, 59, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 1171, 26, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 13693, 6, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1797, 58, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B19', 22549, 1, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1773, 50, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 2110, 4, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 986, 46, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1072, 28, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 184, 9, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 132, 10, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1823, 38, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 8, 2, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 6, 1, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 171, 18, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 155, 12, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 187, 17, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 162, 19, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 512, 26, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 643, 19, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 330, 15, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 16279, 1, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1257, 3, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 544, 2, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 907, 9, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 148, 5, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 405, 23, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 688, 13, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 3352, 1, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 257, 13, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 685, 6, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 485, 15, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 895, 3, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 348, 20, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 84, 8, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 134, 17, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 310, 24, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 815, 24, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 403, 30, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 536, 31, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 1497, 37, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 398, 35, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 420, 26, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 809, 7, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 712, 1, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 353, 33, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 1388, 2, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 706, 21, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 136, 31, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 47, 12, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 1027, 3, 2024, 7, 8, '2024-08-05 16:13:25', NULL, NULL), (224115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 441, 35, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 319, 19, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 439, 23, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 141, 18, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 3, 1, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 376, 35, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 334, 24, 2024, 7, 8, '2024-08-05 16:13:26', NULL, NULL), (224122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 131, 16, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224123, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 136, 31, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224124, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1823, 38, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224125, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '区文广旅游局', '', 'A06', 16279, 1, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224126, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 11, 1, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224127, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 1773, 50, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224128, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1797, 58, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224129, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 647, 10, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224130, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 2093, 59, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224131, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 257, 14, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224132, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 84, 8, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224133, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 134, 17, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224134, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 1818, 36, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224135, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 141, 18, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224136, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 131, 16, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224137, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 319, 19, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224138, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 815, 24, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224139, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 706, 21, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (224140, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 334, 24, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224141, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 348, 20, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224142, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 1027, 3, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224143, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 47, 12, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224144, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 712, 1, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224145, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 132, 10, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224146, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 2110, 4, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224147, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 184, 9, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224148, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 685, 6, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224149, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 544, 2, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224150, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 485, 15, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224151, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 15259, 3, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224152, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 688, 13, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224153, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 6, 1, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224154, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1257, 3, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224155, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 418, 1, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224156, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 102, 31, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224157, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 257, 13, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224158, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 148, 5, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224159, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 115, 12, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224160, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 92, 21, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224161, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 95, 27, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224162, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 643, 19, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224163, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 330, 15, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224164, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 111, 28, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224165, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 112, 30, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224166, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 536, 31, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224167, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 3, 1, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224168, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 88, 17, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224169, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 512, 26, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224170, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 187, 17, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224171, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 809, 7, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224172, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 162, 19, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224173, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 1497, 37, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224174, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 5, 1, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224175, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 398, 35, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224176, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 907, 9, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224177, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 895, 3, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224178, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 171, 18, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224179, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 155, 12, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224180, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 405, 23, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224181, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 3352, 1, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224182, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 8, 2, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224183, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 204, 5, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224184, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1072, 28, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224185, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 409, 20, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224186, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 986, 46, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224187, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 204, 8, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224188, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 1171, 26, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224189, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 393, 16, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224190, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 454, 13, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224191, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 589, 15, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224192, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 70, 7, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224193, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 411, 18, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224194, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 508, 12, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224195, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B19', 22549, 1, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224196, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 364, 11, 2024, 7, 8, '2024-08-05 16:13:28', NULL, NULL), (224197, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 301, 8, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224198, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 125, 4, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224199, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 13693, 6, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224200, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 330, 20, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224201, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 387, 13, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224202, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 339, 17, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224203, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 1388, 2, 2024, 7, 8, '2024-08-05 16:13:27', NULL, NULL), (224204, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 387, 9, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224205, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 479, 8, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224206, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 593, 9, 2024, 7, 8, '2024-08-05 16:13:29', NULL, NULL), (224207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 223, 133, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 5, 1, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 29, 119, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区残联', '', '', 263, 1, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 972, 106, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 255, 172, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 77, 201, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 858, 7, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1156, 347, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 18, 1, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 3875, 8, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 499, 388, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 375, 45, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 408, 7, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 432, 59, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 570, 4, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 386, 65, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 461, 83, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 600, 194, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 350, 31, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 579, 146, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 519, 87, 2024, 7, 9, '2024-08-05 16:13:30', NULL, NULL), (224229, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 2, 2, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224230, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 44, 41, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224231, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224232, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 29, 119, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224233, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 858, 7, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224234, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1647, 105, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224235, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 199, 25, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224236, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224237, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 366, 5, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224238, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 103, 16, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224239, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 1557, 65, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224240, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 349, 60, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224241, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 896, 8, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224242, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 270, 52, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224243, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 345, 6, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224244, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 152, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224245, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 138, 7, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224246, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 67, 69, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224247, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224248, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 101, 2, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224249, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', '', 263, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224250, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 501, 3, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224251, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1674, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224252, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 92, 29, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224253, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 78, 105, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224254, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 829, 241, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224255, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 18, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224256, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 0, 2, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224257, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 127, 19, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224258, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 14161, 2, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224259, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 98, 9, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224260, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 145, 25, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224261, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 61, 55, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224262, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 22, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224263, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 690, 9, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224264, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 15, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224265, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 10, 22, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 127, 19, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 15, 10, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 145, 25, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 11, 16, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 214, 19, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 80, 20, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 127, 17, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 23, 21, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 117, 24, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 367, 15, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 17, 17, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 239, 14, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 1023, 9, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 56, 30, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 359, 17, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 51, 10, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 45, 27, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 91, 10, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 219, 21, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 135, 16, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 81, 12, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 106, 9, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 83, 21, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 82, 28, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 45, 11, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 88, 19, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 37, 14, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 92, 29, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 45, 25, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 890, 49, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 3876, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1024, 51, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 355, 6, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 36, 6, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 850, 52, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 18, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 26, 7, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1674, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A15', 263, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 345, 6, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 366, 5, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 138, 7, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 690, 9, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 28323, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1590, 50, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 199, 25, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 4562, 4, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 2200, 9, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 1318, 42, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 487, 42, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 501, 3, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 40, 12, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 152, 3, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 10, 4, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 152, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 20, 8, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 56, 6, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 38, 9, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 837, 47, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 1650, 14, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 896, 8, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 1531, 51, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224329, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 103, 16, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224330, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 98, 9, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224331, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '区残联', '', '', 263, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224332, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1647, 105, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224333, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1674, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224334, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 1557, 65, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224335, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 5, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224336, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 29, 119, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224337, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 44, 41, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224338, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 67, 69, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224339, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 501, 3, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224340, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 145, 25, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224341, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 78, 105, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224342, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 28323, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224343, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 127, 19, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224344, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 138, 7, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224345, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 858, 7, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224346, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 270, 52, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224347, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 366, 5, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224348, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 18, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224349, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 345, 6, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224350, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 92, 29, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224351, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 101, 2, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224352, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 152, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224353, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 690, 9, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224354, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 199, 25, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224355, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 896, 8, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224356, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 61, 55, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224357, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 829, 241, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224358, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 349, 60, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224359, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 173, 7, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224360, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 355, 6, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224361, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 3876, 1, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224362, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 199, 25, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224363, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B02', 225, 2, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224364, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1590, 50, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224365, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 4562, 4, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224366, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 40, 12, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224367, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 2200, 9, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224368, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 20, 8, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224369, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 10, 4, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224370, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '', '', 'A15', 263, 1, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224371, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 1318, 42, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224372, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 38, 9, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224373, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 56, 6, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224374, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 145, 25, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224375, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 83, 7, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224376, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 152, 2, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224377, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 138, 7, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224378, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 49, 9, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224379, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 60, 6, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224380, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 690, 9, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224381, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1674, 1, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224382, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 345, 6, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224383, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 45, 11, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224384, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 81, 12, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224385, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 106, 9, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224386, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 501, 3, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224387, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 51, 10, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224388, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 1531, 51, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224389, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 1650, 14, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224390, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 26, 7, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224391, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 33, 10, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224392, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 102, 9, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224393, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 72, 7, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224394, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 152, 1, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224395, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 62, 11, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224396, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 86, 7, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224397, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 131, 13, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224398, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 122, 12, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224399, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 32, 15, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224400, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 127, 19, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224401, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 70, 21, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224402, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 36, 6, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224403, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 1023, 9, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224404, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 219, 21, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224405, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 127, 17, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224406, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 239, 14, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224407, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 367, 15, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224408, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 359, 17, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224409, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 214, 19, 2024, 7, 9, '2024-08-05 16:13:31', NULL, NULL), (224410, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 5, 1, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224411, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 837, 47, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224412, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 18, 1, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224413, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 37, 14, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224414, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 243, 3, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224415, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 896, 8, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224416, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 137, 3, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224417, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 10, 22, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224418, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 61, 12, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224419, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 88, 19, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224420, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 24, 9, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224421, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 40, 10, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224422, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 79, 7, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224423, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 101, 2, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224424, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 366, 5, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224425, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 487, 42, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224426, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 101, 11, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224427, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 23, 21, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224428, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1024, 51, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224429, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 18, 8, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224430, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 17, 17, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224431, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 890, 49, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224432, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 15, 10, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224433, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 92, 29, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224434, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 11, 16, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224435, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 28323, 1, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224436, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 850, 52, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 15, 10, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 10, 22, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 37, 14, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 88, 19, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 45, 25, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 5, 1, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 17, 17, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 23, 21, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 11, 16, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 850, 52, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 487, 42, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 1318, 42, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1024, 51, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 890, 49, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 1590, 50, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 28323, 1, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 2200, 9, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 4562, 4, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 36, 6, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 26, 7, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 837, 47, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 18, 1, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区残联', '', 'A15', 263, 1, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 45, 11, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 81, 12, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 106, 9, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 51, 10, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 219, 21, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 239, 14, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 359, 17, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 501, 3, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 690, 9, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 355, 6, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 199, 25, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 138, 7, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 366, 5, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1674, 1, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 3876, 1, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 345, 6, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 40, 12, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 1023, 9, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 367, 15, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 83, 21, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 38, 9, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 896, 8, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 82, 28, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 92, 29, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 1531, 51, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 91, 10, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 1650, 14, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 135, 16, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 10, 4, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 152, 1, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 145, 25, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 56, 30, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B02', 225, 2, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 45, 27, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 127, 19, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 56, 6, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 80, 20, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 127, 17, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 117, 24, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 20, 8, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 214, 19, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224501, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 145, 25, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224502, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 837, 47, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224503, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  区残联', '区残联', '', 'A15', 263, 1, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224504, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 890, 49, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224505, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1024, 51, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224506, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 33, 10, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224507, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 487, 42, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224508, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 1023, 9, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224509, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 60, 6, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224510, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 367, 15, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224511, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 850, 52, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224512, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 127, 17, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224513, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 214, 19, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224514, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 56, 6, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224515, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 38, 9, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224516, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 10, 4, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224517, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 20, 8, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224518, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 40, 12, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224519, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B02', 225, 2, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224520, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 127, 19, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224521, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 26, 7, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224522, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 28323, 1, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224523, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1674, 1, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224524, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 36, 6, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224525, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 345, 6, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224526, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 138, 7, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224527, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 501, 3, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224528, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 366, 5, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224529, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 173, 7, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224530, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 88, 19, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224531, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 690, 9, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224532, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 37, 14, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224533, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 10, 22, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224534, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 15, 10, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224535, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 239, 14, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224536, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 11, 16, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224537, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 359, 17, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224538, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 896, 8, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224539, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 23, 21, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224540, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 17, 17, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224541, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 219, 21, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224542, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 106, 9, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224543, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 1650, 14, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224544, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 51, 10, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224545, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 1531, 51, 2024, 7, 9, '2024-08-05 16:13:32', NULL, NULL), (224546, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 5, 1, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (224547, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 92, 29, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224548, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 355, 6, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224549, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 3876, 1, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224550, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 45, 11, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224551, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 81, 12, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224552, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 199, 25, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224553, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 18, 1, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224554, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 101, 2, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224555, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 1590, 50, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224556, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 40, 10, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224557, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 4562, 4, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224558, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 2200, 9, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224559, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 79, 7, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224560, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 243, 3, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224561, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 1318, 42, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224562, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 137, 3, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224563, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 61, 12, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224564, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 83, 7, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224565, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 24, 9, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224566, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 101, 11, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224567, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 122, 12, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224568, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 18, 8, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224569, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 152, 2, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224570, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 49, 9, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224571, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 32, 15, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224572, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 72, 7, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224573, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 131, 13, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224574, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 152, 1, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224575, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 70, 21, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224576, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 62, 11, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224577, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 102, 9, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224578, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 86, 7, 2024, 7, 9, '2024-08-05 16:13:33', NULL, NULL), (224579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 288, 119, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区林业竹业局', '', '', 18371, 2, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 135, 114, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 1149, 83, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 352, 211, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 146, 180, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 463, 4, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 955, 321, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 454, 114, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 639, 343, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 647, 63, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 207, 26, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 482, 64, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 0, 1, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 567, 23, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 648, 57, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 532, 92, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 744, 77, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 373, 82, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 472, 58, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224599, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 91, 14, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224600, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 135, 114, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224601, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 463, 4, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224602, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 325, 2, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224603, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224604, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 88, 27, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224605, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1403, 92, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224606, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '', '', '', 0, 1, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224607, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224608, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 331, 9, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224609, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 166, 16, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224610, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 1395, 67, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224611, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 435, 56, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224612, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 8, 5, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224613, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 416, 52, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224614, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 3, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224615, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224616, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 272, 12, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224617, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 298, 9, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224618, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 158, 72, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224619, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 1, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224620, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 18371, 2, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224621, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 365, 4, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224622, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1478, 8, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224623, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 152, 4, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224624, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 166, 27, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224625, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 109, 74, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224626, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 778, 228, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224627, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 33, 1, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224628, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 56, 18, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224629, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 230, 1, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224630, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 191, 14, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224631, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 212, 21, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224632, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 94, 69, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224633, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 9, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224634, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224635, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1496, 15, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224636, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 1, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 56, 18, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 64, 18, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 212, 21, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 14, 4, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 562, 10, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 111, 23, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 542, 12, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 85, 8, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 18, 8, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 347, 8, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 510, 15, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 672, 9, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 532, 21, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 107, 10, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 145, 28, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 421, 20, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 147, 25, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 121, 13, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 97, 14, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 312, 23, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 1733, 24, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 54, 15, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 141, 27, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 88, 14, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 84, 23, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 56, 7, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 80, 22, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 86, 24, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 166, 27, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 126, 25, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 719, 60, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 610, 18, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1353, 1, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 166, 3, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 95, 9, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 713, 45, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 147, 11, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 152, 4, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 272, 12, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 331, 9, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 298, 9, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 33, 1, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 230, 1, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1534, 13, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 88, 27, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1365, 31, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 639, 23, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 1897, 38, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 867, 60, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 1249, 2, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 4, 2, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1478, 8, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 4, 2, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 6, 4, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 291, 2, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 164, 4, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 870, 45, 2024, 7, 10, '2024-08-05 16:13:34', NULL, NULL), (224694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 325, 2, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 2068, 24, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 8, 5, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 1019, 43, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224698, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 166, 16, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224699, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 191, 14, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224700, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1403, 92, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224701, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 33, 1, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224702, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 152, 4, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224703, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 325, 2, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224704, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '区林业竹业局', '', '', 18371, 2, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224705, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 1395, 67, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224706, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 135, 114, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224707, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 91, 14, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224708, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 158, 72, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224709, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1478, 8, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224710, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 212, 21, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224711, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 109, 74, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224712, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 230, 1, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224713, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 56, 18, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224714, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 298, 9, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224715, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 463, 4, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224716, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 416, 52, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224717, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 331, 9, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224718, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 272, 12, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224719, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 166, 27, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224720, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 365, 4, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224721, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1496, 15, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224722, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 88, 27, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224723, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 8, 5, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224724, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 94, 69, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224725, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 778, 228, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224726, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 460, 53, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224727, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 147, 8, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224728, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 166, 3, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224729, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1353, 1, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224730, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 88, 27, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224731, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', 'A07', 18371, 2, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224732, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 4, 2, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224733, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1365, 31, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224734, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 6, 4, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224735, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 639, 23, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224736, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 4, 2, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224737, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 1897, 38, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224738, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 164, 4, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224739, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 291, 2, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224740, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 212, 21, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224741, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 170, 9, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224742, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 230, 5, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224743, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 185, 8, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224744, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 298, 9, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224745, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 95, 10, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224746, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1534, 13, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224747, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 152, 4, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224748, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 272, 12, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224749, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 56, 7, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224750, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 54, 15, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224751, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 88, 14, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224752, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 121, 13, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224753, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1478, 8, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224754, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 1019, 43, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224755, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 2068, 24, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224756, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 1249, 2, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224757, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 147, 11, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224758, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 102, 7, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224759, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 277, 5, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224760, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 83, 5, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224761, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 11, 8, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224762, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 55, 12, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224763, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 133, 2, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224764, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 41, 4, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224765, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 56, 18, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224766, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 164, 17, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224767, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 115, 14, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224768, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 95, 9, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224769, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 107, 10, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224770, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 312, 23, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224771, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 542, 12, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224772, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 672, 9, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224773, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 421, 20, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224774, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 532, 21, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224775, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 562, 10, 2024, 7, 10, '2024-08-05 16:13:35', NULL, NULL), (224776, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 325, 2, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224777, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 870, 45, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224778, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 106, 8, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224779, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 86, 24, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224780, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 8, 5, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224781, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 105, 9, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224782, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 64, 18, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224783, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 110, 8, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224784, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 175, 14, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224785, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 80, 22, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224786, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 96, 7, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224787, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 268, 6, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224788, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 33, 1, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224789, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 365, 4, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224790, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 331, 9, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224791, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 867, 60, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224792, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 610, 18, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224793, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 419, 6, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224794, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 18, 8, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224795, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 129, 4, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224796, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 510, 15, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224797, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 719, 60, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224798, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 14, 4, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224799, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 166, 27, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224800, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 230, 1, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224801, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 111, 23, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224802, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 713, 45, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 14, 4, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 64, 18, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 86, 24, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 126, 25, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 80, 22, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 510, 15, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 18, 8, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 111, 23, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 713, 45, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 867, 60, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 1897, 38, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 610, 18, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 719, 60, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 230, 1, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 639, 23, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1365, 31, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 95, 9, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 147, 11, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 870, 45, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 56, 7, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 54, 15, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 88, 14, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 121, 13, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 312, 23, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 672, 9, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 421, 20, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1478, 8, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 1249, 2, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 166, 3, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1534, 13, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 88, 27, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 298, 9, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 33, 1, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 331, 9, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 152, 4, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1353, 1, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 272, 12, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 4, 2, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 107, 10, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 532, 21, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区林业竹业局', '', 'A07', 18371, 2, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 325, 2, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 141, 27, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 164, 4, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 8, 5, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 84, 23, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 97, 14, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 166, 27, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 1019, 43, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 2068, 24, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 220, 22, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 4, 2, 2024, 7, 10, '2024-08-05 16:13:36', NULL, NULL), (224855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 212, 21, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 145, 28, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 56, 18, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 147, 25, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 291, 2, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 542, 12, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 85, 8, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 562, 10, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 6, 4, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 347, 8, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224865, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 212, 21, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224866, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 870, 45, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224867, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 719, 60, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224868, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 610, 18, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224869, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 102, 7, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224870, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 867, 60, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224871, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 95, 10, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224872, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 107, 10, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224873, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 713, 45, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224874, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 532, 21, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224875, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 542, 12, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224876, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 562, 10, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224877, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 291, 2, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224878, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 164, 4, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224879, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 4, 2, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224880, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 6, 4, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224881, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 4, 2, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224882, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 56, 18, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224883, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 147, 11, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224884, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 230, 1, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224885, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 152, 4, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224886, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 95, 9, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224887, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 1249, 2, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224888, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 272, 12, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224889, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 298, 9, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224890, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1478, 8, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224891, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 331, 9, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224892, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 147, 8, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224893, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 80, 22, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224894, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1534, 13, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224895, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 86, 24, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224896, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 64, 18, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224897, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 14, 4, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224898, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 672, 9, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224899, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 111, 23, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224900, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 421, 20, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224901, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 8, 5, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224902, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 18, 8, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224903, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 510, 15, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224904, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 312, 23, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224905, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 325, 2, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224906, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 88, 14, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224907, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 2068, 24, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224908, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 121, 13, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224909, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 1019, 43, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224910, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 166, 27, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224911, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 166, 3, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224912, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1353, 1, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224913, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 56, 7, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224914, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 54, 15, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224915, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 88, 27, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224916, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 33, 1, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224917, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 365, 4, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224918, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 96, 7, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224919, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1365, 31, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224920, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 268, 6, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224921, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 639, 23, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224922, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 106, 8, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224923, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 1897, 38, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224924, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 105, 9, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224925, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 110, 8, 2024, 7, 10, '2024-08-05 16:13:38', NULL, NULL), (224926, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 170, 9, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224927, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 175, 14, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224928, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 41, 4, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224929, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 419, 6, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224930, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 129, 4, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224931, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 230, 5, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224932, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 185, 8, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224933, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 164, 17, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224934, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 83, 5, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224935, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 133, 2, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224936, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 115, 14, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224937, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 11, 8, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224938, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 277, 5, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224939, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 55, 12, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224940, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '区林业竹业局', '', 'A07', 18371, 2, 2024, 7, 10, '2024-08-05 16:13:37', NULL, NULL), (224941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 144, 122, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 524, 2, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区林业竹业局', '', '', 29, 1, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 160, 121, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 28, 1, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 295, 71, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 638, 207, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 154, 158, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 338, 4, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 695, 289, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 2774, 8, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 274, 14, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (224953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 451, 369, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 520, 53, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 57, 8, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 393, 80, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 289, 4, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 303, 45, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 374, 76, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 340, 151, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1862, 21, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 535, 89, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 247, 76, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224964, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 6, 1, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224965, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224966, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 98, 35, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224967, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 160, 121, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224968, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 338, 4, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224969, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1043, 1, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224970, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 28, 1, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224971, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 94, 17, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224972, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 518, 69, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224973, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224974, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 180, 6, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224975, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 407, 35, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224976, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 648, 13, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224977, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 245, 54, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224978, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 229, 9, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224979, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 486, 50, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224980, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 3285, 1, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224981, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 82, 5, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224982, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 3, 1, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224983, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 553, 8, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224984, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 125, 43, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224985, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 29, 1, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224986, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 137, 1, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224987, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 12, 1, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224988, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 765, 2, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224989, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1870, 8, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224990, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 55, 27, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224991, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 149, 99, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224992, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 730, 219, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224993, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 2774, 8, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224994, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 7977, 4, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224995, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 83, 21, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224996, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 2572, 2, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224997, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 335, 9, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224998, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 52, 21, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (224999, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 164, 72, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225000, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 8, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225001, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225002, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 674, 17, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225003, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 19196, 1, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 83, 21, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 56, 20, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 52, 21, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 151, 12, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 155, 19, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 107, 13, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 160, 16, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 67, 25, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 233, 4, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 399, 16, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 120, 18, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 746, 13, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 272, 9, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 231, 28, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 343, 13, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 121, 23, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 394, 6, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 93, 16, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 423, 24, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 253, 12, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 110, 16, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 184, 20, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 144, 21, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 109, 26, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 110, 10, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 410, 23, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 131, 16, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 55, 27, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 100, 18, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 686, 58, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 413, 2, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 709, 50, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 263, 2, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 683, 53, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 193, 12, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 2774, 8, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 177, 7, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1870, 8, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 82, 5, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 648, 13, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 553, 8, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 10636, 3, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 2572, 2, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 574, 12, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 94, 17, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 505, 23, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 626, 24, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 413, 22, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 914, 5, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 12, 1, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 84, 7, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 6, 1, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 232, 8, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 765, 2, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 3, 1, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 89, 11, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 182, 5, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 33, 5, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 851, 57, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 1575, 3, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 297, 32, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 229, 9, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 19196, 1, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 3285, 1, 2024, 7, 11, '2024-08-05 16:13:39', NULL, NULL), (225068, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 180, 6, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225069, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 335, 9, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225070, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 518, 69, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225071, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 10636, 3, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225072, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1870, 8, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225073, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '区林业竹业局', '', '', 29, 1, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225074, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 407, 35, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225075, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 6, 1, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225076, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 160, 121, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225077, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 98, 35, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225078, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 125, 43, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225079, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 19196, 1, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225080, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 12, 1, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225081, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 52, 21, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225082, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 149, 99, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225083, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 2572, 2, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225084, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 83, 21, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225085, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 553, 8, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225086, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 338, 4, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225087, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 765, 2, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225088, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 486, 50, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225089, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 3285, 1, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225090, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 648, 13, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225091, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 28, 1, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225092, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 2774, 8, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225093, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 82, 5, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225094, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 55, 27, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225095, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 137, 1, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225096, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 3, 1, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225097, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 674, 17, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225098, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 94, 17, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225099, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 229, 9, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225100, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 1043, 1, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225101, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 164, 72, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225102, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 734, 218, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225103, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 249, 53, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225104, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 220, 3, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225105, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 263, 2, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225106, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 413, 2, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225107, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 94, 17, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225108, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', 'A07', 29, 1, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225109, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 84, 7, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225110, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 505, 23, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225111, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 89, 11, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225112, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 626, 24, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225113, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 116, 7, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225114, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 413, 22, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225115, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 33, 5, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225116, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 182, 5, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225117, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 52, 21, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225118, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 354, 7, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225119, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 270, 2, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225120, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 141, 3, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225121, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 553, 8, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225122, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 95, 7, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225123, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 28, 1, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225124, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 574, 12, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225125, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1870, 8, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225126, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 82, 5, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225127, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 110, 10, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225128, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 110, 16, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225129, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 144, 21, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225130, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 12, 1, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225131, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 394, 6, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225132, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 297, 32, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225133, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 1575, 3, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225134, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 914, 5, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225135, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 177, 7, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225136, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 765, 2, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225137, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 90, 8, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225138, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 253, 5, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225139, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 100, 10, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225140, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 3, 1, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225141, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 104, 11, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225142, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 72, 9, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225143, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 205, 3, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225144, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 124, 11, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225145, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 115, 19, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225146, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 83, 21, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225147, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 253, 23, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225148, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 1043, 1, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225149, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 193, 12, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225150, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 272, 9, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225151, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 423, 24, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225152, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 19196, 1, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225153, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 160, 16, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225154, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 746, 13, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225155, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 399, 16, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225156, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 343, 13, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225157, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 151, 12, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225158, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 3285, 1, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225159, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 6, 1, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225160, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 851, 57, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225161, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 2774, 8, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225162, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 357, 3, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225163, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 131, 16, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225164, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 229, 9, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225165, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 82, 6, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225166, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 150, 4, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225167, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 129, 5, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225168, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 410, 23, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225169, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 91, 11, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225170, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 140, 4, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225171, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 137, 1, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225172, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 10636, 3, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225173, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 648, 13, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225174, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 320, 1, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225175, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 67, 25, 2024, 7, 11, '2024-08-05 16:13:40', NULL, NULL), (225176, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 709, 50, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225177, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 13, 2, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225178, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 686, 58, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225179, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 120, 18, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225180, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 56, 20, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225181, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 55, 27, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225182, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 2572, 2, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225183, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 155, 19, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225184, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 683, 53, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 56, 20, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 131, 16, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 100, 18, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 410, 23, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 1043, 1, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 6, 1, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 120, 18, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 67, 25, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 155, 19, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 683, 53, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 3285, 1, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 413, 22, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 709, 50, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 686, 58, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 2572, 2, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 626, 24, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 505, 23, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 193, 12, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 177, 7, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 851, 57, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 2774, 8, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 28, 1, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 110, 10, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 110, 16, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 144, 21, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 394, 6, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 423, 24, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 746, 13, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 343, 13, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 12, 1, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 914, 5, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 263, 2, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 574, 12, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 94, 17, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 553, 8, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 10636, 3, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 648, 13, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1870, 8, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 413, 2, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 82, 5, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 84, 7, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 19196, 1, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 272, 9, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 399, 16, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区林业竹业局', '', 'A07', 29, 1, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 184, 20, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 112, 25, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 33, 5, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 229, 9, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 93, 16, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 297, 32, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 55, 27, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 1575, 3, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 274, 11, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 3, 1, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 116, 7, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 52, 21, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 231, 28, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 83, 21, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 121, 23, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 107, 13, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 182, 5, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 160, 16, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 233, 4, 2024, 7, 11, '2024-08-05 16:13:41', NULL, NULL), (225249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 89, 11, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 151, 12, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 765, 2, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225252, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 52, 21, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225253, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 851, 57, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225254, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 686, 58, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225255, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 709, 50, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225256, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 90, 8, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225257, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 272, 9, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225258, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 95, 7, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225259, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 399, 16, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225260, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 683, 53, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225261, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 160, 16, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225262, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 151, 12, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225263, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 182, 5, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225264, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 33, 5, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225265, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 116, 7, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225266, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 89, 11, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225267, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 84, 7, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225268, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 83, 21, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225269, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 177, 7, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225270, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 2572, 2, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225271, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1870, 8, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225272, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 193, 12, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225273, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 914, 5, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225274, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 82, 5, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225275, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 1043, 1, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225276, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 553, 8, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225277, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 28, 1, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225278, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 12, 1, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225279, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 220, 3, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225280, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 410, 23, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225281, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 648, 13, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225282, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 131, 16, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225283, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 574, 12, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225284, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 56, 20, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225285, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 746, 13, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225286, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 155, 19, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225287, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 343, 13, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225288, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 67, 25, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225289, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 229, 9, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225290, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 120, 18, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225291, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 765, 2, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225292, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 423, 24, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225293, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 144, 21, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225294, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 1575, 3, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225295, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 394, 6, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225296, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 297, 32, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225297, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 6, 1, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225298, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 55, 27, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225299, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 263, 2, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225300, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 413, 2, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225301, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 110, 10, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225302, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 110, 16, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225303, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 94, 17, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225304, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 10636, 3, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225305, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 137, 1, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225306, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 2774, 8, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225307, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 91, 11, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225308, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 505, 23, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225309, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 140, 4, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225310, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 19196, 1, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225311, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 626, 24, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225312, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 357, 3, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225313, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 413, 22, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225314, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 82, 6, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225315, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 150, 4, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225316, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 354, 7, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225317, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 129, 5, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225318, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 124, 11, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225319, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 320, 1, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225320, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 13, 2, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225321, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 141, 3, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225322, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 270, 2, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225323, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 3285, 1, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225324, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 115, 19, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225325, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 100, 10, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225326, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 205, 3, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225327, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 3, 1, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225328, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 253, 23, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225329, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 104, 11, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225330, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 253, 5, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225331, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 72, 9, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225332, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '区林业竹业局', '', 'A07', 29, 1, 2024, 7, 11, '2024-08-05 16:13:42', NULL, NULL), (225333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 92, 89, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 3, 1, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 40, 127, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 31, 1, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 207, 51, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 611, 180, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 273, 173, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 3267, 7, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 911, 252, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 1371, 4, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 143, 4, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 473, 303, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 635, 38, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 740, 5, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 354, 36, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 260, 4, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 363, 53, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 388, 63, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 520, 107, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 434, 127, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1090, 29, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 491, 128, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225355, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225356, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 3, 1, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225357, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 21, 18, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225358, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 40, 127, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225359, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 3267, 7, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225360, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 18, 1, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (225361, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 31, 1, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225362, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 310, 13, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225363, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 234, 61, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225364, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 4, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225365, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 877, 7, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225366, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 317, 32, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225367, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 109, 11, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225368, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 108, 45, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225369, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 565, 15, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225370, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 265, 28, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225371, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225372, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 479, 8, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225373, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 4, 1, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225374, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 745, 8, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225375, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 248, 34, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225376, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225377, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 340, 1, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225378, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', '', 0, 1, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225379, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 15986, 2, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225380, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 202, 8, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225381, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1381, 5, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225382, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 106, 23, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225383, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 303, 118, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225384, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1127, 191, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225385, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 144, 5, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225386, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 1371, 4, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225387, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 26, 10, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225388, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225389, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 171, 9, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225390, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 60, 11, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225391, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 387, 66, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225392, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 8, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225393, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 12, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225394, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 541, 12, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225395, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225396, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 436, 2, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225397, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 15, 17, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 26, 10, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 32, 17, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 60, 11, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 52, 20, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 4, 7, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 272, 16, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 33, 21, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 181, 13, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 253, 11, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 43, 12, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 160, 13, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 429, 12, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 34, 12, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 350, 30, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 311, 32, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 143, 16, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 335, 17, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 320, 16, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 194, 20, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 263, 13, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 261, 31, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 413, 16, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 29, 18, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 67, 22, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 106, 23, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 120, 17, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1134, 57, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1627, 18, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 4514, 4, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1606, 3, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 808, 9, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 982, 5, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 1371, 4, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 259, 12, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1381, 5, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 479, 8, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 877, 7, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 745, 8, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 144, 5, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 628, 10, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 310, 13, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 123, 18, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 263, 19, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 293, 24, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 1062, 63, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 106, 2, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 4, 3, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 202, 8, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 8903, 1, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 3, 1, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 23070, 1, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 78, 4, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 4, 1, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 5, 4, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 3, 4, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 6, 3, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1034, 48, 2024, 7, 12, '2024-08-05 16:13:44', NULL, NULL), (225456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 18, 1, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 271, 9, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 565, 15, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 335, 23, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 436, 2, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225461, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 109, 11, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225462, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 171, 9, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225463, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 234, 61, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225464, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 144, 5, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225465, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1381, 5, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225466, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 18, 1, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225467, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 317, 32, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225468, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 3, 1, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225469, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 40, 127, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225470, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 21, 18, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225471, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 248, 34, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225472, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 436, 2, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225473, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 202, 8, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225474, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 60, 11, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225475, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 303, 118, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225476, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 26, 10, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225477, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 745, 8, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225478, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 15986, 2, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225479, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 3267, 7, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225480, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 265, 28, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225481, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 877, 7, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225482, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 31, 1, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225483, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 1371, 4, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225484, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 479, 8, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225485, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 106, 23, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225486, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 340, 1, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225487, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 4, 1, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225488, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 541, 12, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225489, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 310, 13, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225490, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 565, 15, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225491, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 387, 66, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225492, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1127, 191, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225493, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 108, 45, 2024, 7, 12, '2024-08-05 16:13:45', NULL, NULL), (225494, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 119, 6, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225495, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1606, 3, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225496, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 4514, 4, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225497, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 310, 13, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225498, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 4, 3, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225499, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 123, 18, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225500, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 5, 4, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225501, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 263, 19, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225502, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 78, 4, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225503, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 293, 24, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225504, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 6, 3, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225505, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 60, 11, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225506, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 3, 4, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225507, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 132, 5, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225508, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 219, 4, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225509, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 97, 5, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225510, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 745, 8, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225511, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 113, 2, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225512, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 31, 1, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225513, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 628, 10, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225514, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 479, 8, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225515, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1381, 5, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225516, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 413, 16, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225517, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 320, 16, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225518, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 263, 13, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225519, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 202, 8, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225520, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 335, 23, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225521, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 271, 9, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225522, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 106, 2, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225523, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 259, 12, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225524, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 8903, 1, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225525, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 23070, 1, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225526, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 133, 10, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225527, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 393, 9, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225528, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 4, 1, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225529, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 315, 18, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225530, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 212, 10, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225531, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 358, 6, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225532, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 288, 14, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225533, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 326, 25, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225534, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 26, 10, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225535, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 336, 26, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225536, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 808, 9, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225537, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 34, 12, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225538, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 143, 16, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225539, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 436, 2, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225540, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 181, 13, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225541, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 429, 12, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225542, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 160, 13, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225543, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 4, 7, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225544, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 3, 1, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225545, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 18, 1, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225546, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1034, 48, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225547, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 1371, 4, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225548, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 565, 15, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225549, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 312, 3, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225550, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 67, 22, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225551, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 15, 17, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225552, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 258, 7, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225553, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 442, 4, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225554, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 29, 18, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225555, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 279, 6, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225556, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 220, 5, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225557, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 144, 5, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225558, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 340, 1, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225559, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 877, 7, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225560, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 1062, 63, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225561, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 126, 5, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225562, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1627, 18, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225563, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 33, 21, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225564, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 153, 2, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225565, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 43, 12, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225566, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1134, 57, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225567, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 32, 17, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225568, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 106, 23, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225569, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 52, 20, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225570, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 982, 5, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 32, 17, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 15, 17, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 67, 22, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 29, 18, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 120, 17, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 3, 1, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 43, 12, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 33, 21, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 52, 20, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 982, 5, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 1062, 63, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 293, 24, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1627, 18, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1134, 57, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 263, 19, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 123, 18, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 808, 9, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 259, 12, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1034, 48, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 1371, 4, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 31, 1, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 413, 16, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 320, 16, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 263, 13, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 143, 16, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 429, 12, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 202, 8, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 106, 2, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1606, 3, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 628, 10, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 310, 13, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 745, 8, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 144, 5, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 877, 7, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1381, 5, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 479, 8, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 4514, 4, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 4, 3, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 436, 2, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 34, 12, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 160, 13, 2024, 7, 12, '2024-08-05 16:13:46', NULL, NULL), (225612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 18, 1, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 194, 20, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 565, 15, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 6, 3, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 268, 30, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 335, 23, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 106, 23, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 271, 9, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 335, 17, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 4, 1, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 60, 11, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 78, 4, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 350, 30, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 311, 32, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 26, 10, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 8903, 1, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 3, 4, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 272, 16, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 181, 13, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 23070, 1, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 253, 11, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 4, 7, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 5, 4, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225635, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 60, 11, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225636, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1034, 48, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225637, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 1134, 57, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225638, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1627, 18, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225639, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 133, 10, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225640, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 1062, 63, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225641, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 113, 2, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225642, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 34, 12, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225643, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 160, 13, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225644, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 982, 5, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225645, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 181, 13, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225646, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 4, 7, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225647, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 3, 4, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225648, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 6, 3, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225649, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 78, 4, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225650, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 5, 4, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225651, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 4, 3, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225652, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 26, 10, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225653, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 259, 12, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225654, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 808, 9, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225655, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1381, 5, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225656, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 106, 2, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225657, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 479, 8, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225658, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 745, 8, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225659, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 31, 1, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225660, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 202, 8, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225661, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 8903, 1, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225662, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 877, 7, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225663, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 29, 18, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225664, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 119, 6, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225665, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 67, 22, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225666, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 628, 10, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225667, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 15, 17, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225668, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 32, 17, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225669, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 429, 12, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225670, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 52, 20, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225671, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 565, 15, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225672, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 33, 21, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225673, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 23070, 1, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225674, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 43, 12, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225675, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 143, 16, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225676, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 18, 1, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225677, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 263, 13, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225678, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 271, 9, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225679, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 335, 23, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225680, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 3, 1, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225681, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 106, 23, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225682, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1606, 3, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225683, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 4514, 4, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225684, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 413, 16, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225685, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 320, 16, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225686, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 310, 13, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225687, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 144, 5, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225688, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 1371, 4, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225689, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 340, 1, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225690, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 279, 6, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225691, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 123, 18, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225692, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 220, 5, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225693, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 436, 2, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225694, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 263, 19, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225695, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 312, 3, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225696, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 293, 24, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225697, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 258, 7, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225698, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 132, 5, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225699, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 442, 4, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225700, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 126, 5, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225701, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 288, 14, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225702, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 153, 2, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225703, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 97, 5, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225704, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 219, 4, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225705, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 326, 25, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225706, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 358, 6, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225707, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 4, 1, 2024, 7, 12, '2024-08-05 16:13:47', NULL, NULL), (225708, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 336, 26, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225709, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 315, 18, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225710, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 393, 9, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225711, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 212, 10, 2024, 7, 12, '2024-08-05 16:13:48', NULL, NULL), (225712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 81, 3, 2024, 7, 13, '2024-08-05 16:13:49', NULL, NULL), (225713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 722, 26, 2024, 7, 13, '2024-08-05 16:13:49', NULL, NULL), (225714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 478, 27, 2024, 7, 13, '2024-08-05 16:13:49', NULL, NULL), (225715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 345, 7, 2024, 7, 13, '2024-08-05 16:13:49', NULL, NULL), (225716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 11, 1, 2024, 7, 13, '2024-08-05 16:13:49', NULL, NULL), (225717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 738, 5, 2024, 7, 13, '2024-08-05 16:13:49', NULL, NULL), (225718, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2024, 7, 13, '2024-08-05 16:13:49', NULL, NULL), (225719, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 16, 1, 2024, 7, 13, '2024-08-05 16:13:49', NULL, NULL), (225720, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2024, 7, 13, '2024-08-05 16:13:49', NULL, NULL), (225721, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 2, 2024, 7, 13, '2024-08-05 16:13:49', NULL, NULL), (225722, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 587, 32, 2024, 7, 13, '2024-08-05 16:13:49', NULL, NULL), (225723, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 114, 2, 2024, 7, 13, '2024-08-05 16:13:49', NULL, NULL), (225724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 840, 9, 2024, 7, 13, '2024-08-05 16:13:49', NULL, NULL), (225725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 675, 11, 2024, 7, 13, '2024-08-05 16:13:49', NULL, NULL), (225726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 16, 1, 2024, 7, 13, '2024-08-05 16:13:49', NULL, NULL), (225727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 633, 6, 2024, 7, 13, '2024-08-05 16:13:49', NULL, NULL), (225728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B08', 114, 2, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225729, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 114, 2, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225730, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 722, 26, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225731, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 16, 1, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225732, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 633, 6, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225733, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 16, 1, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225734, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 675, 11, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225735, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 840, 9, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225736, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B08', 114, 2, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 633, 6, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 16, 1, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 675, 11, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B08', 114, 2, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 840, 9, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225742, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 840, 9, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225743, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 16, 1, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225744, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 675, 11, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225745, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B08', 114, 2, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225746, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 633, 6, 2024, 7, 13, '2024-08-05 16:13:50', NULL, NULL), (225747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 21, 7, 2024, 7, 14, '2024-08-05 16:13:51', NULL, NULL), (225748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 752, 3, 2024, 7, 14, '2024-08-05 16:13:51', NULL, NULL), (225749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 248, 6, 2024, 7, 14, '2024-08-05 16:13:51', NULL, NULL), (225750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 160, 5, 2024, 7, 14, '2024-08-05 16:13:51', NULL, NULL), (225751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 111, 1, 2024, 7, 14, '2024-08-05 16:13:51', NULL, NULL), (225752, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 21, 7, 2024, 7, 14, '2024-08-05 16:13:51', NULL, NULL), (225753, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 564, 4, 2024, 7, 14, '2024-08-05 16:13:51', NULL, NULL), (225754, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 0, 1, 2024, 7, 14, '2024-08-05 16:13:51', NULL, NULL), (225755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 752, 3, 2024, 7, 14, '2024-08-05 16:13:51', NULL, NULL), (225756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 21, 7, 2024, 7, 14, '2024-08-05 16:13:51', NULL, NULL), (225757, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 752, 3, 2024, 7, 14, '2024-08-05 16:13:51', NULL, NULL), (225758, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 21, 7, 2024, 7, 14, '2024-08-05 16:13:52', NULL, NULL), (225759, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 21, 7, 2024, 7, 14, '2024-08-05 16:13:52', NULL, NULL), (225760, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 752, 3, 2024, 7, 14, '2024-08-05 16:13:52', NULL, NULL), (225761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 21, 7, 2024, 7, 14, '2024-08-05 16:13:52', NULL, NULL), (225762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 752, 3, 2024, 7, 14, '2024-08-05 16:13:52', NULL, NULL), (225763, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 752, 3, 2024, 7, 14, '2024-08-05 16:13:52', NULL, NULL), (225764, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 21, 7, 2024, 7, 14, '2024-08-05 16:13:52', NULL, NULL), (225765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 333, 121, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 818, 5, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 5, 1, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (225768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 206, 172, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 214, 71, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 634, 228, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 991, 299, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1957, 330, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 24, 1, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 1098, 12, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 874, 464, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 1097, 50, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 411, 9, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 947, 84, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 747, 10, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 991, 104, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1155, 115, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 828, 179, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 367, 7, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 779, 62, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 1015, 162, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225786, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225787, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 0, 1, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225788, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 4, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225789, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 8, 28, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225790, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 206, 172, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225791, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 0, 1, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225792, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 818, 5, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225793, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 344, 20, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225794, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 263, 89, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225795, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 236, 8, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225796, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 349, 14, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225797, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225798, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 341, 44, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225799, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 513, 59, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225800, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 274, 10, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225801, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 521, 42, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225802, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 2, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225803, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 6, 1, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225804, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 394, 16, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225805, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 1316, 2, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225806, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 604, 9, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225807, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 565, 52, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225808, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 236, 4, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225809, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', '', 5, 1, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225810, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 0, 1, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225811, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 525, 7, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225812, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 11268, 3, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225813, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 80, 25, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225814, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 1218, 210, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225815, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 2582, 241, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225816, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 4, 1, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225817, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 24, 1, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225818, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 35, 10, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225819, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 4, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225820, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 278, 19, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225821, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 284, 27, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225822, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 488, 90, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225823, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 21, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225824, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 15, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225825, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 798, 19, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225826, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 196, 1, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225827, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 7, 15, '2024-08-05 16:13:53', NULL, NULL), (225828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 35, 10, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 195, 30, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 125, 27, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 284, 27, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 894, 15, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 85, 20, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 510, 9, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 627, 19, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 1157, 34, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 224, 28, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 782, 9, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 774, 25, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 258, 11, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 491, 15, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 545, 20, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 1114, 54, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 546, 11, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 2158, 10, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 535, 26, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 1075, 38, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 533, 16, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 439, 25, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 480, 17, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 658, 31, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 1235, 26, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 459, 26, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 472, 21, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 186, 30, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 80, 25, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 198, 28, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 910, 42, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 2260, 77, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 308, 2, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 2633, 43, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 24, 1, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 11268, 3, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 421, 15, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 236, 8, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 604, 9, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 4, 1, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 798, 19, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 344, 20, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 321, 29, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 270, 34, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 189, 26, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 2734, 79, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 525, 7, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 3, 4, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 348, 12, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 1316, 2, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 13, 7, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 4, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 5, 6, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 2965, 40, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 6, 1, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 274, 10, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 348, 43, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 196, 1, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225886, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 349, 14, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225887, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 278, 19, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225888, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 263, 89, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225889, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 4, 1, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225890, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 11268, 3, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225891, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 348, 43, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225892, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 206, 172, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225893, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 8, 28, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225894, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 565, 52, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225895, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 196, 1, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225896, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 525, 7, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225897, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 284, 27, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225898, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 1218, 210, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225899, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 35, 10, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225900, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 604, 9, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225901, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 521, 42, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225902, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 236, 8, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225903, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '区文广旅游局', '', '', 5, 1, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225904, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 24, 1, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225905, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 421, 15, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225906, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 80, 25, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225907, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 236, 4, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225908, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 1316, 2, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225909, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 798, 19, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225910, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 6, 1, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225911, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 344, 20, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225912, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 274, 10, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225913, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 818, 5, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225914, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 488, 90, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225915, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 2582, 241, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225916, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 513, 59, 2024, 7, 15, '2024-08-05 16:13:54', NULL, NULL), (225917, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 323, 1, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225918, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 344, 20, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225919, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 321, 29, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225920, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 4, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225921, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 270, 34, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225922, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 13, 7, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225923, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 12, 7, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225924, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 189, 26, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225925, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 5, 6, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225926, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 4, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225927, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 284, 27, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225928, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 333, 13, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225929, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 160, 6, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225930, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 351, 13, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225931, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 604, 9, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225932, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 660, 3, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225933, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 798, 19, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225934, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 11268, 3, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225935, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 421, 15, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225936, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 472, 21, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225937, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 459, 26, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225938, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 480, 17, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225939, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 525, 7, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225940, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 535, 26, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225941, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 348, 43, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225942, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 6, 1, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225943, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 1218, 26, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225944, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 647, 14, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225945, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 1405, 27, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225946, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 1316, 2, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225947, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 1488, 21, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225948, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 990, 13, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225949, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 952, 16, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225950, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 1205, 30, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225951, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 2158, 10, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225952, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 35, 10, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225953, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 1135, 53, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225954, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 818, 5, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225955, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 545, 20, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225956, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 533, 16, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225957, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 627, 19, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225958, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 196, 1, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225959, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 491, 15, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225960, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 258, 11, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225961, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 546, 11, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225962, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 510, 9, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225963, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 2965, 40, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225964, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 24, 1, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225965, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', 'A06', 5, 1, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225966, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 18, 1, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225967, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 274, 10, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225968, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 198, 28, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225969, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 195, 30, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225970, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 291, 10, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225971, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 9, 1, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225972, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 186, 30, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225973, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 135, 4, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225974, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 637, 5, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225975, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 4, 1, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225976, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 236, 4, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225977, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 236, 8, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225978, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 2734, 79, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225979, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 308, 2, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225980, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 458, 9, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225981, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 224, 28, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225982, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 782, 9, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225983, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 799, 4, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225984, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 2260, 77, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225985, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A01', 894, 15, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225986, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 125, 27, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225987, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 80, 25, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225988, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 85, 20, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225989, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 2633, 43, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (225990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 125, 27, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (225991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 195, 30, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (225992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 198, 28, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (225993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 910, 42, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (225994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 186, 30, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (225995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 818, 5, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (225996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 782, 9, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (225997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 224, 28, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (225998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 85, 20, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (225999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 2633, 43, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 2734, 79, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 189, 26, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 308, 2, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 2260, 77, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 321, 29, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 270, 34, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 2965, 40, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 24, 1, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 472, 21, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 459, 26, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 480, 17, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 535, 26, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 533, 16, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 491, 15, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 546, 11, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 5, 1, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 525, 7, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 798, 19, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 344, 20, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 604, 9, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 4, 1, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 236, 8, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 11268, 3, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 421, 15, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A01', 894, 15, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 4, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 196, 1, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 545, 20, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 258, 11, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 658, 31, 2024, 7, 15, '2024-08-05 16:13:55', NULL, NULL), (226030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 274, 10, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 1235, 26, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 5, 6, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 348, 43, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 1104, 37, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 80, 25, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 6, 1, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 439, 25, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 1316, 2, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 12, 7, 2024, 7, 15, '2024-08-05 16:13:56', NULL, NULL), (226040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 1114, 54, 2024, 7, 15, '2024-08-05 16:13:57', NULL, NULL), (226041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 284, 27, 2024, 7, 15, '2024-08-05 16:13:57', NULL, NULL), (226042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 2158, 10, 2024, 7, 15, '2024-08-05 16:13:57', NULL, NULL), (226043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 35, 10, 2024, 7, 15, '2024-08-05 16:13:57', NULL, NULL), (226044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 627, 19, 2024, 7, 15, '2024-08-05 16:13:57', NULL, NULL), (226045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 4, 2024, 7, 15, '2024-08-05 16:13:57', NULL, NULL), (226046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 1157, 34, 2024, 7, 15, '2024-08-05 16:13:57', NULL, NULL), (226047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 774, 25, 2024, 7, 15, '2024-08-05 16:13:57', NULL, NULL), (226048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 13, 7, 2024, 7, 15, '2024-08-05 16:13:57', NULL, NULL), (226049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 510, 9, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226050, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 2965, 40, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226051, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 284, 27, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226052, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '区文广旅游局', '', 'A06', 5, 1, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226053, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 2260, 77, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226054, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 308, 2, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226055, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 1218, 26, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226056, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 2734, 79, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226057, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 660, 3, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226058, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 545, 20, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226059, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 258, 11, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226060, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 2633, 43, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226061, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 627, 19, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226062, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 510, 9, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226063, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 4, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226064, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 5, 6, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226065, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 12, 7, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226066, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 13, 7, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226067, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 4, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226068, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 35, 10, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226069, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 6, 1, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226070, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 11268, 3, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226071, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 421, 15, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226072, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 818, 5, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226073, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 604, 9, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226074, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 525, 7, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226075, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 236, 8, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226076, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 323, 1, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226077, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 186, 30, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226078, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 798, 19, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226079, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 198, 28, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226080, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 195, 30, 2024, 7, 15, '2024-08-05 16:14:00', NULL, NULL), (226081, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 125, 27, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226082, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 491, 15, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226083, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 546, 11, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226084, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 85, 20, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226085, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 274, 10, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226086, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 224, 28, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226087, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 782, 9, 2024, 7, 15, '2024-08-05 16:14:00', NULL, NULL), (226088, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 533, 16, 2024, 7, 15, '2024-08-05 16:14:00', NULL, NULL), (226089, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 535, 26, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226090, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 348, 43, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226091, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 80, 25, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226092, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 459, 26, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226093, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 480, 17, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226094, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 344, 20, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226095, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 472, 21, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226096, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 4, 1, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226097, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 24, 1, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226098, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 236, 4, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226099, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 321, 29, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226100, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 135, 4, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226101, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 270, 34, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226102, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 196, 1, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226103, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 637, 5, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226104, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 18, 1, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226105, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 189, 26, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226106, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 291, 10, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226107, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 9, 1, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226108, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 333, 13, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226109, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 458, 9, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226110, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 1205, 30, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226111, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 799, 4, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226112, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A01', 894, 15, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226113, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 160, 6, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226114, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 351, 13, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226115, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 2158, 10, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226116, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 1405, 27, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226117, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 952, 16, 2024, 7, 15, '2024-08-05 16:13:58', NULL, NULL), (226118, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 1316, 2, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226119, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 1135, 53, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226120, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 1488, 21, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226121, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 647, 14, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226122, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 990, 13, 2024, 7, 15, '2024-08-05 16:13:59', NULL, NULL), (226123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 210, 100, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2191, 2, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 58, 119, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 167, 47, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 374, 130, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 385, 153, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 295, 3, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 2315, 298, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 1617, 5, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 923, 323, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 1487, 32, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 1975, 5, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 1001, 66, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1095, 4, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 649, 50, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1167, 69, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 884, 141, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 181, 5, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 960, 64, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 794, 98, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226143, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226144, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 3, 17, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226145, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 58, 119, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226146, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 295, 3, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226147, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 3, 2, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226148, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1206, 77, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226149, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 415, 15, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226150, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 18, 6, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226151, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 251, 31, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226152, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 412, 14, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226153, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 146, 59, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226154, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 165, 7, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226155, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 288, 22, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226156, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 277, 3, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226157, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 300, 1, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226158, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 573, 6, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226159, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 342, 39, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226160, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 1183, 2, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226161, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1246, 4, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226162, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 132, 2, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226163, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 2740, 1, 2024, 7, 16, '2024-08-05 16:14:04', NULL, NULL), (226164, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 5, 14, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226165, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 405, 85, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226166, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 2723, 219, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226167, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 5, 1, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226168, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 97, 10, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226169, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 352, 2, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226170, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 229, 13, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226171, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 665, 17, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226172, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 97, 49, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226173, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 14, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226174, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 10, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226175, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 268, 12, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (226176, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 4376, 1, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226177, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 14285, 1, 2024, 7, 16, '2024-08-05 16:14:05', NULL, NULL), (226178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 97, 10, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 47, 22, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 665, 17, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 46, 14, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 75, 13, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 98, 15, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 282, 18, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 301, 12, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 87, 25, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 84, 13, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 223, 8, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 59, 8, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 396, 12, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 98, 15, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 355, 32, 2024, 7, 16, '2024-08-05 16:14:08', NULL, NULL), (226193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 283, 5, 2024, 7, 16, '2024-08-05 16:14:08', NULL, NULL), (226194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 92, 10, 2024, 7, 16, '2024-08-05 16:14:08', NULL, NULL), (226195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 439, 21, 2024, 7, 16, '2024-08-05 16:14:08', NULL, NULL), (226196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 348, 9, 2024, 7, 16, '2024-08-05 16:14:08', NULL, NULL), (226197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 62, 5, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 501, 21, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 130, 12, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 253, 18, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 486, 12, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 62, 5, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 85, 13, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 38, 18, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 5, 14, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 27, 17, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 362, 25, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 2387, 65, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 194, 1, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 2698, 60, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 133, 4, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 346, 2, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 2740, 1, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 277, 3, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 14285, 1, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 18, 6, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 573, 6, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 5, 1, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 352, 2, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 227, 11, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1916, 21, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 415, 15, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 1152, 38, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 494, 18, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 2834, 69, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 717, 1, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 3, 3, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1246, 4, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 6, 6, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 132, 2, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 300, 1, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 1, 3, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 878, 5, 2024, 7, 16, '2024-08-05 16:14:07', NULL, NULL), (226234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 2, 2, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 3347, 25, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 165, 7, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 259, 30, 2024, 7, 16, '2024-08-05 16:14:06', NULL, NULL), (226238, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 412, 14, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226239, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 229, 13, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226240, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 1206, 77, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226241, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 5, 1, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226242, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 2740, 1, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226243, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 259, 30, 2024, 7, 16, '2024-08-05 16:14:08', NULL, NULL), (226244, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 58, 119, 2024, 7, 16, '2024-08-05 16:14:08', NULL, NULL), (226245, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 3, 17, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226246, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 342, 39, 2024, 7, 16, '2024-08-05 16:14:08', NULL, NULL), (226247, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1246, 4, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226248, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 665, 17, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226249, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 405, 85, 2024, 7, 16, '2024-08-05 16:14:08', NULL, NULL), (226250, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 352, 2, 2024, 7, 16, '2024-08-05 16:14:08', NULL, NULL), (226251, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 97, 10, 2024, 7, 16, '2024-08-05 16:14:08', NULL, NULL), (226252, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 573, 6, 2024, 7, 16, '2024-08-05 16:14:08', NULL, NULL), (226253, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', '', 4376, 1, 2024, 7, 16, '2024-08-05 16:14:08', NULL, NULL), (226254, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 295, 3, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226255, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 132, 2, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226256, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 288, 22, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226257, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 18, 6, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226258, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 277, 3, 2024, 7, 16, '2024-08-05 16:14:08', NULL, NULL), (226259, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 5, 14, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226260, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 1183, 2, 2024, 7, 16, '2024-08-05 16:14:08', NULL, NULL), (226261, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 300, 1, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226262, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 268, 12, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226263, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 415, 15, 2024, 7, 16, '2024-08-05 16:14:08', NULL, NULL), (226264, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 165, 7, 2024, 7, 16, '2024-08-05 16:14:08', NULL, NULL), (226265, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 6, 1, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226266, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 97, 49, 2024, 7, 16, '2024-08-05 16:14:08', NULL, NULL), (226267, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 2723, 219, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226268, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 14285, 1, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226269, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 146, 59, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226270, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 486, 6, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226271, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 346, 2, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226272, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 194, 1, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226273, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 415, 15, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226274, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1916, 21, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226275, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 3, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226276, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 1152, 38, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226277, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 1, 3, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226278, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 494, 18, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226279, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 6, 5, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226280, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 2, 2, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226281, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 3, 4, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226282, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 665, 17, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226283, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 215, 8, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226284, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 251, 5, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226285, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 573, 6, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226286, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 357, 8, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226287, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 425, 6, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226288, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 14285, 1, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226289, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 227, 11, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226290, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 277, 3, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226291, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 2740, 1, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226292, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 85, 13, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226293, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 62, 5, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226294, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 62, 5, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226295, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 130, 12, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226296, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 92, 10, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226297, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1246, 4, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226298, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 259, 30, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226299, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 717, 1, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226300, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 132, 2, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226301, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 332, 11, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226302, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 4376, 1, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226303, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 563, 11, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226304, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 471, 15, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226305, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 300, 1, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226306, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 406, 4, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226307, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 392, 7, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226308, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 408, 9, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226309, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 327, 8, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226310, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 97, 10, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226311, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 343, 20, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226312, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 6, 1, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226313, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 133, 4, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226314, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 98, 15, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226315, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 348, 9, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226316, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 282, 18, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226317, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 223, 8, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226318, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 84, 13, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226319, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 283, 5, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226320, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 75, 13, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226321, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 3347, 25, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226322, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 234, 3, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226323, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 165, 7, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226324, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 27, 17, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226325, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 358, 6, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226326, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 47, 22, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226327, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 374, 12, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226328, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 38, 18, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226329, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 648, 2, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226330, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 32, 3, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226331, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 1183, 2, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226332, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 5, 1, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226333, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 18, 6, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226334, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 2834, 69, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226335, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 357, 3, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226336, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 87, 25, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226337, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 2698, 60, 2024, 7, 16, '2024-08-05 16:14:09', NULL, NULL), (226338, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 248, 4, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226339, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 59, 8, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226340, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 2387, 65, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226341, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 46, 14, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226342, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 5, 14, 2024, 7, 16, '2024-08-05 16:14:10', NULL, NULL), (226343, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 352, 2, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226344, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 98, 15, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 46, 14, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 47, 22, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 27, 17, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 362, 25, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 38, 18, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B05', 4376, 1, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 6, 1, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 59, 8, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 87, 25, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 98, 15, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 2834, 69, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 494, 18, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 2698, 60, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 2387, 65, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 1916, 21, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 352, 2, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 1152, 38, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 133, 4, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 3347, 25, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 85, 13, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 62, 5, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 62, 5, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 130, 12, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 92, 10, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 348, 9, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 223, 8, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 283, 5, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1246, 4, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 717, 1, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 227, 11, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 346, 2, 2024, 7, 16, '2024-08-05 16:14:11', NULL, NULL), (226376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 415, 15, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 573, 6, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 5, 1, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 14285, 1, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 18, 6, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 2740, 1, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 194, 1, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 277, 3, 2024, 7, 16, '2024-08-05 16:14:13', NULL, NULL), (226384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 3, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 98, 15, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 84, 13, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 253, 18, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 2, 2, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 486, 12, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 165, 7, 2024, 7, 16, '2024-08-05 16:14:12', NULL, NULL), (226391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 259, 30, 2024, 7, 16, '2024-08-05 16:14:13', NULL, NULL), (226392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 439, 21, 2024, 7, 16, '2024-08-05 16:14:13', NULL, NULL), (226393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 5, 14, 2024, 7, 16, '2024-08-05 16:14:13', NULL, NULL), (226394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 501, 21, 2024, 7, 16, '2024-08-05 16:14:13', NULL, NULL), (226395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 300, 1, 2024, 7, 16, '2024-08-05 16:14:13', NULL, NULL), (226396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 665, 17, 2024, 7, 16, '2024-08-05 16:14:13', NULL, NULL), (226397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 6, 5, 2024, 7, 16, '2024-08-05 16:14:13', NULL, NULL), (226398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 355, 32, 2024, 7, 16, '2024-08-05 16:14:13', NULL, NULL), (226399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 97, 10, 2024, 7, 16, '2024-08-05 16:14:13', NULL, NULL), (226400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 282, 18, 2024, 7, 16, '2024-08-05 16:14:14', NULL, NULL), (226401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 3, 4, 2024, 7, 16, '2024-08-05 16:14:14', NULL, NULL), (226402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 301, 12, 2024, 7, 16, '2024-08-05 16:14:14', NULL, NULL), (226403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 1, 3, 2024, 7, 16, '2024-08-05 16:14:14', NULL, NULL), (226404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 75, 13, 2024, 7, 16, '2024-08-05 16:14:14', NULL, NULL), (226405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 396, 12, 2024, 7, 16, '2024-08-05 16:14:14', NULL, NULL), (226406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 132, 2, 2024, 7, 16, '2024-08-05 16:14:14', NULL, NULL), (226407, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 3347, 25, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226408, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 665, 17, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226409, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '区退役军人局', '', 'B05', 4376, 1, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226410, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 2387, 65, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226411, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 2698, 60, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226412, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 332, 11, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226413, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 2834, 69, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226414, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 98, 15, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226415, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 425, 6, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226416, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 14285, 1, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226417, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 84, 13, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226418, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 282, 18, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226419, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 75, 13, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226420, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 3, 4, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226421, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 2, 2, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226422, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 6, 5, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226423, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 1, 3, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226424, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 3, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226425, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 97, 10, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226426, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 352, 2, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226427, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 133, 4, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226428, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 2740, 1, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226429, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 717, 1, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226430, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 277, 3, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226431, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 6, 1, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226432, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 573, 6, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226433, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1246, 4, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226434, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 18, 6, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226435, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 486, 6, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226436, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 38, 18, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226437, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 227, 11, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226438, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 27, 17, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226439, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 47, 22, 2024, 7, 16, '2024-08-05 16:14:17', NULL, NULL), (226440, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 223, 8, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226441, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 46, 14, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226442, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 98, 15, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226443, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 283, 5, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226444, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 165, 7, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226445, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 87, 25, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226446, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 59, 8, 2024, 7, 16, '2024-08-05 16:14:17', NULL, NULL), (226447, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 132, 2, 2024, 7, 16, '2024-08-05 16:14:17', NULL, NULL), (226448, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 348, 9, 2024, 7, 16, '2024-08-05 16:14:17', NULL, NULL), (226449, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 130, 12, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226450, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 92, 10, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226451, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 259, 30, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226452, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 5, 14, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226453, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 346, 2, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226454, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 194, 1, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226455, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 62, 5, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226456, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 62, 5, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226457, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 85, 13, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226458, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 415, 15, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226459, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 5, 1, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226460, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 1183, 2, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226461, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 1916, 21, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226462, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 648, 2, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226463, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 1152, 38, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226464, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 32, 3, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226465, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 494, 18, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226466, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 234, 3, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226467, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 358, 6, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226468, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 215, 8, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226469, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 374, 12, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226470, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 357, 3, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226471, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 327, 8, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226472, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 248, 4, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226473, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 251, 5, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226474, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 357, 8, 2024, 7, 16, '2024-08-05 16:14:16', NULL, NULL), (226475, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 471, 15, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226476, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 408, 9, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226477, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 300, 1, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226478, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 343, 20, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226479, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 406, 4, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226480, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 563, 11, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226481, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 392, 7, 2024, 7, 16, '2024-08-05 16:14:15', NULL, NULL), (226482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 179, 89, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 1816, 3, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 87, 82, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 302, 50, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 222, 120, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 104, 131, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1442, 277, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 270, 6, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 678, 314, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 586, 38, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 378, 2, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 399, 52, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 705, 11, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 530, 45, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 720, 82, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 576, 81, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 0, 1, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 489, 73, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 586, 72, 2024, 7, 17, '2024-08-05 16:14:21', NULL, NULL), (226501, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 0, 2, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226502, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 20, 18, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226503, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 87, 82, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226504, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 6, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226505, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1816, 3, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226506, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 0, 1, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226507, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 800, 7, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226508, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 973, 68, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226509, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 22, 5, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226510, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 461, 32, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226511, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 18, 8, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226512, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 62, 43, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226513, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 17, 7, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226514, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 221, 20, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226515, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 0, 1, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226516, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 0, 3, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226517, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 732, 12, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226518, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 112, 28, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226519, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 169, 3, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226520, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 176, 4, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226521, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 67, 4, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226522, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 12, 18, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226523, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 98, 82, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226524, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1591, 207, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226525, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 193, 7, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226526, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1902, 2, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226527, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 144, 13, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226528, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 558, 21, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226529, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 55, 45, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226530, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 16, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226531, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 12, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226532, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 298, 14, 2024, 7, 17, '2024-08-05 16:14:22', NULL, NULL), (226533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 193, 7, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 5, 14, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 558, 21, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 24, 10, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 21, 4, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 77, 11, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 90, 19, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 58, 13, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 24, 15, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 99, 19, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 75, 10, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 31, 9, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 323, 7, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 36, 9, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 10, 5, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 116, 5, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 52, 9, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 129, 20, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 199, 8, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 199, 16, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 127, 7, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 99, 8, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 46, 10, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 38, 18, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 40, 8, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 12, 5, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 15, 14, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 12, 18, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 368, 16, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 105, 26, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1650, 84, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1632, 61, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 46, 6, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1067, 45, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 67, 4, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 18, 8, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 732, 12, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1902, 2, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 298, 14, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 800, 7, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1115, 33, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 839, 35, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 2543, 17, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 10, 1, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 176, 4, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 912, 6, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 4, 3, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 10, 5, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 45, 6, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 19, 6, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 461, 32, 2024, 7, 17, '2024-08-05 16:14:23', NULL, NULL), (226584, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 22, 5, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226585, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 144, 13, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226586, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 973, 68, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226587, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 67, 4, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226588, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 461, 32, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226589, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 87, 82, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (226590, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 20, 18, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226591, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 112, 28, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226592, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 176, 4, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226593, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 558, 21, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226594, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 98, 82, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226595, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 1902, 2, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226596, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 193, 7, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226597, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 732, 12, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226598, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 221, 20, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226599, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 18, 8, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226600, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 12, 18, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226601, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 169, 3, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226602, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 298, 14, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226603, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 800, 7, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226604, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 19, 6, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226605, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 1816, 3, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226606, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 55, 45, 2024, 7, 17, '2024-08-05 16:14:24', NULL, NULL), (226607, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1591, 207, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226608, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 62, 43, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226609, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 24, 4, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226610, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 800, 7, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226611, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1115, 33, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226612, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 10, 1, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226613, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 839, 35, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226614, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 4, 3, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226615, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 8, 3, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226616, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 45, 6, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226617, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 558, 21, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226618, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 10, 5, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226619, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 31, 4, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226620, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 194, 9, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226621, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 18, 1, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226622, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 732, 12, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226623, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 214, 6, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226624, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 298, 14, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226625, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 67, 4, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226626, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 12, 5, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226627, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 40, 8, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226628, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 127, 7, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226629, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 46, 10, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226630, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 52, 9, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226631, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 176, 4, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226632, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 461, 32, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226633, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 76, 19, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226634, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 303, 3, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226635, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 134, 13, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226636, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 60, 9, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226637, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 239, 2, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226638, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 104, 18, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226639, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 65, 15, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226640, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 193, 7, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226641, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 14, 3, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226642, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 1816, 3, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226643, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 46, 6, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226644, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 36, 9, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226645, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 199, 8, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226646, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 58, 13, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226647, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 323, 7, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226648, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 75, 10, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226649, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 116, 5, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226650, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 77, 11, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226651, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 32, 1, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226652, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 19, 6, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226653, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 368, 16, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226654, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 120, 7, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226655, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 5, 14, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226656, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 4, 2, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226657, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 15, 14, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226658, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 9, 5, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226659, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 97, 2, 2024, 7, 17, '2024-08-05 16:14:25', NULL, NULL), (226660, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 169, 3, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226661, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 18, 8, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226662, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 2543, 17, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226663, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 10, 1, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226664, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 24, 15, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226665, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1632, 61, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226666, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 182, 4, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226667, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 31, 9, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226668, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1650, 84, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226669, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 24, 10, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226670, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 12, 18, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226671, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1902, 2, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226672, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 21, 4, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226673, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1067, 45, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 24, 10, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 5, 14, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 368, 16, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 105, 26, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 15, 14, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 1816, 3, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 31, 9, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 24, 15, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 21, 4, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 1067, 45, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 2543, 17, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1632, 61, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1650, 84, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 1115, 33, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 1902, 2, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 839, 35, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 46, 6, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 12, 5, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 40, 8, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 127, 7, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 46, 10, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 52, 9, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 199, 8, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 323, 7, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 116, 5, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 176, 4, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 298, 14, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 800, 7, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 732, 12, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 18, 8, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 67, 4, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 10, 1, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 36, 9, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 75, 10, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 99, 8, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 45, 6, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 38, 18, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 19, 6, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 129, 20, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 12, 18, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 461, 32, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 199, 16, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 8, 3, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 558, 21, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 10, 5, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 193, 7, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 10, 5, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 90, 19, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 58, 13, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 99, 19, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 4, 3, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 77, 11, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226726, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 558, 21, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226727, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 1650, 84, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226728, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1632, 61, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226729, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 76, 19, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226730, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 2543, 17, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226731, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 214, 6, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226732, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 36, 9, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226733, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 75, 10, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226734, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 1067, 45, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226735, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 58, 13, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226736, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 77, 11, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226737, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 10, 5, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226738, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 45, 6, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226739, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 8, 3, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226740, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 4, 3, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226741, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 10, 1, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226742, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 193, 7, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226743, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 1902, 2, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226744, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 46, 6, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226745, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 67, 4, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226746, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 1816, 3, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226747, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 732, 12, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226748, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 176, 4, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226749, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 24, 4, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226750, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 15, 14, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226751, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 18, 8, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226752, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 368, 16, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226753, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 298, 14, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226754, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 5, 14, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226755, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 24, 10, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226756, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 323, 7, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226757, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 21, 4, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226758, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 116, 5, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226759, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 19, 6, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226760, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 24, 15, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226761, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 31, 9, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226762, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 199, 8, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226763, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 46, 10, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226764, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 52, 9, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226765, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 461, 32, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226766, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 12, 18, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226767, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 40, 8, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226768, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 127, 7, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226769, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 800, 7, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226770, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 12, 5, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226771, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 169, 3, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226772, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 1115, 33, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226773, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 839, 35, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226774, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 9, 5, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226775, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 97, 2, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226776, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 32, 1, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226777, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 120, 7, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226778, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 31, 4, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226779, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 4, 2, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226780, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 10, 1, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226781, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 65, 15, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226782, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 182, 4, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226783, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 18, 1, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226784, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 194, 9, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226785, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 134, 13, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226786, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 104, 18, 2024, 7, 17, '2024-08-05 16:14:26', NULL, NULL), (226787, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 14, 3, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226788, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 60, 9, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226789, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 303, 3, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226790, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 239, 2, 2024, 7, 17, '2024-08-05 16:14:27', NULL, NULL), (226791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 143, 129, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 2693, 5, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 45, 103, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 184, 46, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 290, 175, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 288, 147, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 216, 9, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 483, 230, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 443, 4, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 342, 4, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 221, 315, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 284, 51, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 169, 2, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 424, 46, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1708, 8, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 239, 66, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 389, 72, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 336, 87, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 265, 28, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 312, 106, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 207, 87, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226812, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226813, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 4396, 3, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226814, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226815, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 9, 9, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226816, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 45, 103, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226817, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 216, 9, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226818, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 139, 2, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226819, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 27, 1, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226820, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 637, 65, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226821, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 434, 15, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226822, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 491, 11, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226823, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226824, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 233, 36, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226825, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 80, 4, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226826, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 134, 66, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226827, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 220, 6, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226828, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 333, 32, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226829, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226830, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 2, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226831, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 211, 1, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226832, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 485, 11, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226833, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 570, 9, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226834, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 257, 46, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226835, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226836, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 370, 3, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226837, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 11, 2, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226838, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 156, 3, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226839, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 157, 7, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226840, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 117, 29, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226841, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 258, 75, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226842, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 420, 166, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226843, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 443, 4, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226844, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 191, 9, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226845, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 98, 1, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226846, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 395, 12, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226847, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 181, 25, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226848, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 99, 68, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226849, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 10, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226850, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 716, 18, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226851, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 14, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 191, 9, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 13, 18, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 51, 17, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 181, 25, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 88, 18, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 92, 16, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 84, 21, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 353, 21, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 19, 19, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 129, 12, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 527, 6, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 52, 13, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 54, 15, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 309, 16, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 382, 11, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 1062, 7, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 124, 13, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 220, 15, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 348, 17, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 270, 19, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 133, 11, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 104, 15, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 269, 16, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 214, 24, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 58, 17, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 3, 3, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 46, 16, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 117, 29, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 498, 47, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 178, 31, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 261, 5, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 604, 23, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 161, 4, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 449, 32, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 122, 9, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 443, 4, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 157, 7, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 485, 11, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 80, 4, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 570, 9, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 758, 17, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 98, 1, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 769, 21, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 434, 15, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 601, 13, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 581, 30, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 191, 32, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 2642, 5, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 156, 3, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C24', 11, 2, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 94, 3, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3, 2, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 3, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 41, 1, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 384, 31, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 211, 1, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 27, 1, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 220, 6, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 233, 36, 2024, 7, 18, '2024-08-05 16:14:28', NULL, NULL), (226911, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 491, 11, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226912, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 395, 12, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226913, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 647, 64, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226914, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 157, 7, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226915, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 27, 1, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226916, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 233, 36, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226917, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 4396, 3, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226918, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 45, 103, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226919, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 9, 9, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226920, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 257, 46, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226921, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 156, 3, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226922, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 181, 25, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226923, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 258, 75, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226924, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 98, 1, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226925, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 191, 9, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226926, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 570, 9, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226927, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 11, 2, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226928, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 216, 9, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226929, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 333, 32, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226930, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 80, 4, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226931, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 443, 4, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226932, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 485, 11, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226933, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 117, 29, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226934, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 370, 3, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226935, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 758, 17, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226936, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', '', 211, 1, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226937, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 434, 15, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226938, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 220, 6, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226939, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 139, 2, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226940, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 99, 68, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226941, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 422, 165, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226942, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 134, 66, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226943, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 716, 4, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226944, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 161, 4, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226945, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 261, 5, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226946, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 434, 15, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226947, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 769, 21, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226948, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 11, 2, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226949, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 601, 13, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226950, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 2, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226951, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 5, 1, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226952, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 581, 30, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226953, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 41, 1, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226954, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 3, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226955, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 181, 25, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226956, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 460, 6, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226957, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 331, 6, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226958, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 362, 7, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226959, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 570, 9, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226960, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 200, 9, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226961, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 758, 17, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226962, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 485, 11, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226963, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 157, 7, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226964, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 3, 3, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226965, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 58, 17, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226966, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 133, 11, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226967, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 104, 15, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226968, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 124, 13, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226969, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 156, 3, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226970, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 233, 36, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226971, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C24', 11, 2, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226972, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 211, 1, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226973, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 79, 15, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226974, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 268, 6, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226975, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 490, 8, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226976, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 96, 11, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226977, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 185, 7, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226978, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 125, 10, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226979, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 394, 16, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226980, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 1363, 2, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226981, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 191, 9, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226982, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 139, 2, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226983, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 122, 9, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226984, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 309, 16, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226985, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 220, 15, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226986, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 84, 21, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226987, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 527, 6, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226988, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 382, 11, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226989, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 52, 13, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226990, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 92, 16, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226991, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 4396, 3, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226992, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 27, 1, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226993, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 384, 31, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226994, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 443, 4, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226995, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 110, 4, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (226996, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 220, 6, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226997, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 222, 9, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226998, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 13, 18, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (226999, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 942, 5, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227000, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 46, 16, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227001, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 136, 9, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227002, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 80, 3, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227003, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 370, 3, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227004, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 80, 4, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227005, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 191, 32, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227006, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 149, 2, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227007, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 19, 19, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227008, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 604, 23, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227009, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 221, 5, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227010, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 498, 47, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227011, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 54, 15, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227012, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 51, 17, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227013, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 117, 29, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227014, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 88, 18, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227015, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 449, 32, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227016, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 98, 1, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 51, 17, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 4396, 3, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 13, 18, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 46, 16, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 178, 31, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 139, 2, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 54, 15, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 19, 19, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 88, 18, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 449, 32, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 191, 32, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 581, 30, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 604, 23, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 498, 47, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 769, 21, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 98, 1, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 601, 13, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 122, 9, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 384, 31, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 443, 4, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 3, 3, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 58, 17, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 133, 11, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 104, 15, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 124, 13, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 220, 15, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 527, 6, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 382, 11, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 156, 3, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 161, 4, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 758, 17, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 434, 15, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 570, 9, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 80, 4, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 157, 7, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 261, 5, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 485, 11, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 11, 2, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 309, 16, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 52, 13, 2024, 7, 18, '2024-08-05 16:14:29', NULL, NULL), (227057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 27, 1, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 269, 16, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 220, 6, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 41, 1, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 214, 24, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 233, 36, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 348, 17, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 117, 29, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C27', 211, 1, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 270, 19, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 5, 1, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 181, 25, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 1062, 7, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 191, 9, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C24', 11, 2, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 84, 21, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 3, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 353, 21, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 2, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 92, 16, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 129, 12, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227078, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 384, 31, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227079, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 181, 25, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227080, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 498, 47, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227081, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 604, 23, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227082, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 79, 15, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227083, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 191, 32, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227084, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 309, 16, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227085, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 200, 9, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227086, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 449, 32, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227087, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 52, 13, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227088, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 84, 21, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227089, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 92, 16, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227090, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 3, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227091, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 41, 1, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227092, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 5, 1, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227093, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 2, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227094, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 11, 2, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227095, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 191, 9, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227096, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '区人社局', '', 'C27', 211, 1, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227097, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 98, 1, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227098, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 122, 9, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227099, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 157, 7, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227100, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 485, 11, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227101, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 139, 2, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227102, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 570, 9, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227103, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 156, 3, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227104, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C24', 11, 2, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227105, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 716, 4, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227106, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 46, 16, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227107, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 80, 4, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227108, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 758, 17, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227109, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 13, 18, 2024, 7, 18, '2024-08-05 16:14:31', NULL, NULL), (227110, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 51, 17, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227111, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 527, 6, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227112, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 88, 18, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227113, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 382, 11, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227114, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 220, 6, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227115, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 19, 19, 2024, 7, 18, '2024-08-05 16:14:31', NULL, NULL), (227116, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 220, 15, 2024, 7, 18, '2024-08-05 16:14:31', NULL, NULL), (227117, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 54, 15, 2024, 7, 18, '2024-08-05 16:14:31', NULL, NULL), (227118, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 27, 1, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227119, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 4396, 3, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227120, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 104, 15, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227121, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 124, 13, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227122, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 233, 36, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227123, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 117, 29, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227124, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 161, 4, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227125, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 261, 5, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227126, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 58, 17, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227127, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 133, 11, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227128, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 3, 3, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227129, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 434, 15, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227130, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 443, 4, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227131, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 370, 3, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227132, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 769, 21, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227133, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 136, 9, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227134, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 601, 13, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227135, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 80, 3, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227136, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 110, 4, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227137, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 581, 30, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227138, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 222, 9, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227139, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 942, 5, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227140, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 460, 6, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227141, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 149, 2, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227142, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 394, 16, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227143, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 221, 5, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227144, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 362, 7, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227145, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 331, 6, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227146, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 1363, 2, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227147, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 490, 8, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227148, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 125, 10, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227149, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 96, 11, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227150, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 268, 6, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227151, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 185, 7, 2024, 7, 18, '2024-08-05 16:14:30', NULL, NULL), (227152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 214, 117, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 37, 98, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 153, 37, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 736, 166, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 140, 121, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 802, 5, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 2935, 7, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 551, 261, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 682, 1, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 47, 6, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 401, 297, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 325, 63, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 0, 1, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 189, 4, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 102, 43, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 342, 4, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 540, 69, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 577, 63, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 338, 115, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1268, 23, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 318, 70, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 276, 67, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227174, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227175, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227176, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 0, 1, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227177, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 3, 12, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227178, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 37, 98, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227179, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2283, 9, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227180, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 1, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227181, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 139, 68, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227182, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 670, 19, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227183, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227184, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 401, 4, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227185, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 225, 25, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227186, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 514, 4, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227187, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 209, 56, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227188, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 915, 15, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227189, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1791, 22, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227190, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 0, 1, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227191, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 182, 7, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227192, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 142, 7, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227193, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 115, 40, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227194, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 301, 2, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227195, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 12, 1, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227196, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 72, 27, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227197, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 149, 69, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227198, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 700, 192, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227199, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 3603, 5, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227200, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 682, 1, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227201, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 42, 8, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227202, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 7, 1, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227203, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 426, 26, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227204, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 59, 8, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227205, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 159, 72, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227206, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 9, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227207, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 13, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227208, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1690, 13, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227209, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 802, 5, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227210, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 43, 19, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 42, 8, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 426, 26, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 61, 10, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 14, 13, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 358, 12, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 234, 18, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 323, 21, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 10, 15, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 8, 12, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 140, 15, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 111, 15, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 2059, 10, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 139, 11, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1556, 5, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 110, 13, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 134, 18, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1575, 7, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 158, 16, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 312, 11, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 185, 19, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 401, 8, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 95, 18, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 70, 14, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 90, 15, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 59, 20, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 61, 9, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 72, 27, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 101, 19, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 573, 48, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 2935, 7, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 889, 12, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 97, 11, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 688, 37, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 682, 1, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 12, 1, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 182, 7, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 514, 4, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 142, 7, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 3603, 5, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 7, 1, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1831, 12, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 108, 15, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 670, 19, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 120, 20, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 47, 15, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 264, 18, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 683, 50, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 2, 2, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 301, 2, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3, 2, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 4, 3, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 5, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 813, 45, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 225, 25, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 915, 15, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227267, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 401, 4, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227268, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 59, 8, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227269, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 139, 68, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227270, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 3603, 5, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227271, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 12, 1, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227272, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 225, 25, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227273, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 37, 98, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227274, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 3, 12, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227275, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 115, 40, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227276, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 301, 2, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227277, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 426, 26, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227278, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 149, 69, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227279, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 7, 1, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227280, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 42, 8, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227281, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 142, 7, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227282, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 2935, 7, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227283, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1791, 22, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227284, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 514, 4, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227285, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 682, 1, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227286, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 182, 7, 2024, 7, 19, '2024-08-05 16:14:32', NULL, NULL), (227287, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 72, 27, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227288, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1831, 12, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227289, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', '', 802, 5, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227290, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 670, 19, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227291, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 915, 15, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227292, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 159, 72, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227293, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 700, 192, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227294, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 209, 56, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227295, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 386, 1, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227296, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 2935, 7, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227297, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 670, 19, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227298, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 108, 15, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227299, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 2, 2, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227300, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 120, 20, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227301, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 802, 5, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227302, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 2, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227303, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 47, 15, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227304, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 264, 18, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227305, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 5, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227306, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 426, 26, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227307, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 4, 3, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227308, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 53, 4, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227309, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 64, 4, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227310, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 407, 3, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227311, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 142, 7, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227312, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 54, 7, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227313, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1831, 12, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227314, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 12, 1, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227315, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 182, 7, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227316, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 90, 15, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227317, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 70, 14, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227318, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 312, 11, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227319, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 401, 8, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227320, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 110, 13, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227321, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 301, 2, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227322, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 225, 25, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227323, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 35, 9, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227324, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 216, 6, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227325, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 123, 12, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227326, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 102, 10, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227327, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 231, 11, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227328, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 169, 12, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227329, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 178, 9, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227330, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 42, 8, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227331, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 97, 11, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227332, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 139, 11, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227333, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1575, 7, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227334, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 234, 18, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227335, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 2059, 10, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227336, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 111, 15, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227337, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1556, 5, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227338, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 358, 12, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227339, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 813, 45, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227340, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 682, 1, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227341, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 163, 6, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227342, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 61, 9, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227343, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 915, 15, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227344, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 43, 19, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227345, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 156, 6, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227346, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 59, 20, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227347, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 44, 7, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227348, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 193, 4, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227349, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 3603, 5, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227350, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 514, 4, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227351, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 683, 50, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227352, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 26, 3, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227353, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 10, 15, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227354, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 889, 12, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227355, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 167, 7, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227356, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 8, 12, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227357, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 573, 48, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227358, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 61, 10, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227359, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 72, 27, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227360, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 7, 1, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227361, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 14, 13, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227362, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 688, 37, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 61, 10, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 43, 19, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 61, 9, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 59, 20, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 101, 19, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 8, 12, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 10, 15, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 14, 13, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 688, 37, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 683, 50, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 264, 18, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 889, 12, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 573, 48, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 108, 15, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 7, 1, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 47, 15, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 120, 20, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 97, 11, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 813, 45, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 682, 1, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 90, 15, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 70, 14, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 312, 11, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 401, 8, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 110, 13, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1575, 7, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 2059, 10, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1556, 5, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 301, 2, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A02', 802, 5, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1831, 12, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 670, 19, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 142, 7, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 3603, 5, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 514, 4, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 12, 1, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 2935, 7, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 182, 7, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 2, 2, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 139, 11, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 111, 15, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 185, 19, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (227405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 3, 5, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 95, 18, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 915, 15, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 134, 18, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 72, 27, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 225, 25, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 158, 16, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 426, 26, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 42, 8, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 234, 18, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 4, 3, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 173, 16, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 2, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 358, 12, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 140, 15, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227420, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 426, 26, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227421, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 813, 45, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227422, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 573, 48, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227423, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 889, 12, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227424, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 35, 9, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227425, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 683, 50, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227426, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 54, 7, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227427, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 139, 11, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227428, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 111, 15, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227429, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 688, 37, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227430, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 234, 18, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227431, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 358, 12, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227432, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 4, 3, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227433, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 3, 5, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227434, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 2, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227435, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 2, 2, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227436, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 42, 8, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227437, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 7, 1, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227438, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 12, 1, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227439, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 97, 11, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227440, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 182, 7, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227441, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 142, 7, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227442, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', 'A02', 802, 5, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227443, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 301, 2, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227444, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 386, 1, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227445, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 59, 20, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227446, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 514, 4, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227447, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 61, 9, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227448, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1831, 12, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227449, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 43, 19, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227450, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 61, 10, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227451, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 2059, 10, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227452, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 14, 13, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227453, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1556, 5, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227454, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 10, 15, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227455, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 915, 15, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227456, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 8, 12, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227457, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1575, 7, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227458, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 401, 8, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227459, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 110, 13, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227460, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 225, 25, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227461, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 72, 27, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227462, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 2935, 7, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227463, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 70, 14, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227464, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 312, 11, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227465, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 90, 15, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227466, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 670, 19, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227467, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 3603, 5, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227468, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 682, 1, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227469, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 108, 15, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227470, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 44, 7, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227471, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 120, 20, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227472, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 193, 4, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227473, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 47, 15, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227474, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 163, 6, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227475, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 264, 18, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227476, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 156, 6, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227477, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 53, 4, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227478, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 26, 3, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227479, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 178, 9, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227480, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 167, 7, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227481, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 407, 3, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227482, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 64, 4, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227483, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 123, 12, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227484, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 169, 12, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227485, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 102, 10, 2024, 7, 19, '2024-08-05 16:14:33', NULL, NULL), (227486, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 216, 6, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227487, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 231, 11, 2024, 7, 19, '2024-08-05 16:14:34', NULL, NULL), (227488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 150, 9, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 2249, 33, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 1102, 18, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1838, 20, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 1038, 1, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 2338, 6, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227494, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227495, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227496, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 778, 22, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227497, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 5192, 11, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227498, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 150, 9, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 684, 18, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 150, 9, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 5192, 11, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 1200, 4, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227503, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 5192, 11, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227504, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 150, 9, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227505, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 778, 22, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227506, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 1200, 4, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227507, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 5192, 11, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227508, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 684, 18, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227509, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 150, 9, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 1200, 4, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 5192, 11, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 150, 9, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 684, 18, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227514, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 684, 18, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227515, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 1200, 4, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227516, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 150, 9, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227517, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 5192, 11, 2024, 7, 20, '2024-08-05 16:14:35', NULL, NULL), (227518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 12, 2, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 659, 4, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 3, 6, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 221, 6, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 654, 2, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227523, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 12, 2, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227524, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 659, 4, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227525, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227526, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 0, 1, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227527, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 1, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227528, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 4, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 659, 4, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 12, 2, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227531, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 12, 2, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227532, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 659, 4, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227533, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 659, 4, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227534, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 12, 2, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 659, 4, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 12, 2, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227537, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 659, 4, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227538, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 12, 2, 2024, 7, 21, '2024-08-05 16:14:37', NULL, NULL), (227539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 261, 121, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '', 1164, 1, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 17, 5, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 1477, 1, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 541, 187, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 354, 15, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 8, 1, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 14392, 1, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 739, 1, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 29, 108, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 1014, 67, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 116, 120, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 74, 1, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 2488, 307, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 980, 304, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 1147, 29, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 1164, 1, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 146, 6, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 861, 62, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 7, 14, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 1050, 94, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1144, 89, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 1241, 157, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1067, 41, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 1117, 107, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 698, 62, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227565, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227566, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 1164, 1, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227567, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 15, 5, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227568, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227569, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 51, 28, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227570, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 29, 108, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227571, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 354, 15, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227572, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 2, 3, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227573, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 1477, 1, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227574, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 570, 17, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227575, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 401, 75, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227576, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 510, 6, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227577, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 2398, 6, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227578, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 719, 35, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227579, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 337, 9, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227580, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 274, 67, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227581, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1326, 43, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227582, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 199, 11, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227583, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227584, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 10346, 4, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227585, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 21, 4, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227586, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 123, 9, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227587, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 65, 39, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227588, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 224, 6, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227589, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', '', 739, 1, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227590, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 7, 2, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227591, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 166, 2, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227592, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 108, 19, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227593, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 87, 55, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227594, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 3158, 229, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227595, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 8, 1, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227596, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 255, 14, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227597, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 3508, 3, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227598, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227599, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 332, 23, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227600, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 158, 14, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227601, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 221, 76, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227602, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 12, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227603, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 10, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227604, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 681, 16, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227605, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 37, 2, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227606, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227607, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 7, 22, '2024-08-05 16:14:38', NULL, NULL), (227608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 255, 14, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 6, 18, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 332, 23, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 49, 9, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 17, 18, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 331, 25, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 250, 17, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 87, 11, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 59, 19, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 3, 16, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 56, 15, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1083, 14, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 254, 23, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 80, 17, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1634, 10, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 674, 24, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 175, 19, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 739, 1, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1344, 19, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 141, 20, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 309, 9, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 152, 14, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 255, 22, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 237, 21, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 198, 7, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 54, 16, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 108, 19, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 20, 12, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 2574, 61, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 399, 9, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 3721, 16, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 285, 6, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 3829, 66, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 8, 1, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 214, 20, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 166, 2, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 28, 3, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 337, 9, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 123, 9, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 3508, 3, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 681, 16, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 606, 16, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 477, 15, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 456, 15, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 367, 24, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 346, 21, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 2970, 47, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B06', 1164, 1, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 137, 3, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 7, 2, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 19, 4, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 11, 7, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 13, 7, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 61, 3, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 2932, 39, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 74, 9, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 719, 35, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 199, 11, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 10346, 4, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227667, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 510, 6, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227668, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 401, 75, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227669, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 166, 2, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227670, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 29, 108, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227671, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 51, 28, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227672, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 65, 39, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227673, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 7, 2, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227674, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 332, 23, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227675, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 87, 55, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227676, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 3508, 3, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227677, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 123, 9, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227678, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 354, 15, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227679, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '', 1164, 1, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227680, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 14392, 1, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227681, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 8, 1, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227682, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 224, 6, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227683, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', '', 74, 1, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227684, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 199, 11, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227685, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 221, 76, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227686, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 3158, 229, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227687, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 283, 65, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227688, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 158, 14, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227689, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 719, 35, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227690, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 19, 4, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227691, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 255, 14, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227692, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 1326, 43, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227693, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', '', 10346, 4, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227694, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 337, 9, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227695, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '区文广旅游局', '', '', 739, 1, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227696, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 1477, 1, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227697, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 28, 3, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227698, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 108, 19, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227699, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 681, 16, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227700, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 606, 16, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227701, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 8, 1, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227702, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 510, 6, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227703, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 285, 6, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227704, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 399, 9, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227705, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 606, 16, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227706, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 477, 15, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227707, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 137, 3, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227708, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 456, 15, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227709, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 74, 1, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227710, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 13, 7, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227711, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 367, 24, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227712, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 12, 6, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227713, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 346, 21, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227714, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 74, 9, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227715, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 61, 3, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227716, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 332, 23, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227717, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 195, 8, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227718, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 109, 6, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227719, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 123, 9, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227720, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 1477, 1, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227721, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 681, 16, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227722, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 28, 3, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227723, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 166, 2, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227724, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 198, 7, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227725, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 237, 21, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227726, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 309, 9, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227727, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 7, 2, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227728, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 175, 19, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227729, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 719, 35, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227730, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 214, 20, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227731, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 115, 7, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227732, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 55, 6, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227733, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 109, 3, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227734, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 60, 6, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227735, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 87, 7, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227736, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 94, 13, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227737, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 255, 14, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227738, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 88, 13, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227739, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 8, 1, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227740, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '2B06', 1164, 1, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227741, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 254, 23, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227742, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1344, 19, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227743, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 250, 17, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227744, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1083, 14, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227745, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1634, 10, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227746, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 331, 25, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227747, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 10346, 4, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227748, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 19, 4, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227749, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 2932, 39, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227750, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 8, 1, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227751, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 14392, 1, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227752, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', 'A06', 739, 1, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227753, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 17, 1, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227754, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 20, 12, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227755, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 199, 11, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227756, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 6, 18, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227757, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 57, 10, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227758, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 57, 4, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227759, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 54, 16, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227760, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 82, 9, 2024, 7, 22, '2024-08-05 16:14:39', NULL, NULL), (227761, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 83, 3, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227762, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 224, 6, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227763, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 337, 9, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227764, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 2970, 47, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227765, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 3721, 16, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227766, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 53, 9, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227767, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 59, 19, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227768, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 91, 3, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227769, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 3, 16, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227770, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 2574, 61, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227771, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 108, 19, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227772, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 49, 9, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227773, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 3508, 3, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227774, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 17, 18, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227775, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 3829, 66, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 49, 9, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 6, 18, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 20, 12, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 54, 16, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 8, 1, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 14392, 1, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 19, 4, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 3, 16, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 59, 19, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 17, 18, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 3829, 66, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 2970, 47, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B17', 10346, 4, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 346, 21, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 3721, 16, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 2574, 61, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 477, 15, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 3508, 3, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 367, 24, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 456, 15, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 214, 20, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 2932, 39, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 8, 1, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 1477, 1, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 198, 7, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 237, 21, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 309, 9, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 175, 19, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 1344, 19, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 1083, 14, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 1634, 10, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 739, 1, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 7, 2, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区住房城乡建设局', '', '2B06', 1164, 1, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A02', 74, 1, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (227811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 285, 6, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 681, 16, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 606, 16, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 123, 9, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 337, 9, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 166, 2, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 28, 3, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 399, 9, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 137, 3, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 254, 23, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 152, 14, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 196, 21, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 74, 9, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 199, 11, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 108, 19, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 719, 35, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 141, 20, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 12, 6, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 332, 23, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 80, 17, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 255, 14, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 78, 23, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 61, 3, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 250, 17, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 88, 10, 2024, 7, 22, '2024-08-05 16:14:40', NULL, NULL), (227836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 13, 7, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 56, 15, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 331, 25, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227839, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 332, 23, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227840, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 2932, 39, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227841, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '区文广旅游局', '', 'A06', 739, 1, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227842, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 2574, 61, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227843, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 3721, 16, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227844, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 2970, 47, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227845, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 254, 23, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227846, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 3829, 66, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227847, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 250, 17, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227848, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 331, 25, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227849, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 61, 3, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227850, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 74, 9, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227851, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 12, 6, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227852, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 13, 7, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227853, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 137, 3, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227854, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '区住房城乡建设局', '', '2B06', 1164, 1, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227855, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 255, 14, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227856, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 214, 20, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227857, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 3508, 3, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227858, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 166, 2, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227859, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 28, 3, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227860, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 8, 1, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227861, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 123, 9, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227862, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 1477, 1, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227863, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', 'A02', 74, 1, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227864, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 7, 2, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227865, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 510, 6, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227866, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 337, 9, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227867, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 54, 16, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227868, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 20, 12, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227869, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 681, 16, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227870, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 6, 18, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227871, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 49, 9, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227872, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 1083, 14, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227873, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 17, 18, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227874, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 1634, 10, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227875, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 199, 11, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227876, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 59, 19, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227877, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 3, 16, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227878, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 1344, 19, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227879, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 14392, 1, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227880, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 175, 19, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227881, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 719, 35, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227882, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 108, 19, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227883, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 19, 4, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227884, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 285, 6, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227885, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 399, 9, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227886, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 237, 21, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227887, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 309, 9, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227888, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 606, 16, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227889, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 198, 7, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227890, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 8, 1, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227891, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 224, 6, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227892, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 477, 15, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227893, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 82, 9, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227894, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 456, 15, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227895, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 83, 3, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227896, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 367, 24, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227897, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 17, 1, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227898, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 346, 21, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227899, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 57, 10, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227900, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 57, 4, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227901, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 195, 8, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227902, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 53, 9, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227903, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 87, 7, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227904, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 91, 3, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227905, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 109, 6, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227906, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 94, 13, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227907, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '区不动产', '', 'B17', 10346, 4, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227908, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 60, 6, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227909, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 88, 13, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227910, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 55, 6, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227911, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 115, 7, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227912, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 109, 3, 2024, 7, 22, '2024-08-05 16:14:41', NULL, NULL), (227913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 173, 136, 2024, 7, 23, '2024-08-05 16:14:42', NULL, NULL), (227914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 688, 3, 2024, 7, 23, '2024-08-05 16:14:42', NULL, NULL), (227915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 130, 90, 2024, 7, 23, '2024-08-05 16:14:42', NULL, NULL), (227916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 302, 36, 2024, 7, 23, '2024-08-05 16:14:42', NULL, NULL), (227917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 319, 171, 2024, 7, 23, '2024-08-05 16:14:42', NULL, NULL), (227918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 137, 112, 2024, 7, 23, '2024-08-05 16:14:42', NULL, NULL), (227919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 1809, 1, 2024, 7, 23, '2024-08-05 16:14:42', NULL, NULL), (227920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 5, 2, 2024, 7, 23, '2024-08-05 16:14:42', NULL, NULL), (227921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '', 124, 1, 2024, 7, 23, '2024-08-05 16:14:42', NULL, NULL), (227922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 656, 192, 2024, 7, 23, '2024-08-05 16:14:42', NULL, NULL), (227923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 17845, 1, 2024, 7, 23, '2024-08-05 16:14:42', NULL, NULL), (227924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 10, 1, 2024, 7, 23, '2024-08-05 16:14:42', NULL, NULL), (227925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 365, 256, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 372, 33, 2024, 7, 23, '2024-08-05 16:14:42', NULL, NULL), (227927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 64, 2, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 137, 10, 2024, 7, 23, '2024-08-05 16:14:42', NULL, NULL), (227929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 244, 62, 2024, 7, 23, '2024-08-05 16:14:42', NULL, NULL), (227930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 346, 6, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 273, 69, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 321, 64, 2024, 7, 23, '2024-08-05 16:14:42', NULL, NULL), (227933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 396, 97, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 216, 81, 2024, 7, 23, '2024-08-05 16:14:42', NULL, NULL), (227935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 2491, 8, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 296, 74, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227937, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 2, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227938, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 8, 1, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227939, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 68, 15, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227940, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 130, 90, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227941, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 5, 2, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227942, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 686, 3, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227943, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 125, 42, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227944, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 675, 13, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227945, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 139, 10, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227946, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 470, 21, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227947, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 458, 8, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227948, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 146, 61, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227949, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 585, 22, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227950, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 126, 13, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227951, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 667, 6, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227952, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 4, 4, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227953, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 88, 21, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227954, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  区司法局', '', '', '', 0, 1, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227955, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227956, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 283, 5, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227957, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 12, 2, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227958, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 775, 5, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227959, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 511, 7, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227960, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 54, 34, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227961, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 143, 56, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227962, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 664, 149, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227963, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 5, 1, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227964, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 17845, 1, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227965, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 135, 12, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227966, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 21801, 1, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227967, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 133, 20, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227968, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 372, 30, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227969, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 101, 77, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227970, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 12, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227971, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 12, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227972, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 581, 14, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227973, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 1809, 1, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227974, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 151, 1, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227975, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227976, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '', 124, 1, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 135, 12, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 99, 14, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 372, 30, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 72, 15, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 143, 12, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 176, 15, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 114, 18, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 16, 4, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 312, 6, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 52, 4, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 104, 20, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 477, 10, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 17, 10, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 307, 7, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (227991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 74, 17, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (227992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 222, 15, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (227993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 155, 16, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (227994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 675, 12, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (227995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 239, 19, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 45, 15, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 87, 14, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 128, 16, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (227999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 106, 20, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 82, 15, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 374, 17, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 49, 18, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 54, 34, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 122, 22, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 673, 43, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 5, 2, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 790, 25, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 837, 33, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 17845, 1, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 113, 11, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 511, 7, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 667, 6, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 458, 8, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 4, 4, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 5, 1, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 21801, 1, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 678, 12, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 51, 5, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 675, 13, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 108, 10, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 113, 13, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 177, 14, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 196, 13, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 775, 5, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 2, 1, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 8, 1, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 519, 4, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B02', 124, 1, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 12, 2, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3, 2, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 18, 4, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 153, 6, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 572, 35, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 470, 21, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 126, 13, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 151, 1, 2024, 7, 23, '2024-08-05 16:14:43', NULL, NULL), (228037, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 139, 10, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228038, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 133, 20, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228039, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 125, 42, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228040, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 5, 1, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228041, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 511, 7, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228042, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 470, 21, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228043, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 8, 1, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228044, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 130, 90, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228045, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 68, 15, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228046, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 88, 21, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228047, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 151, 1, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228048, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 775, 5, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228049, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 372, 30, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228050, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 143, 56, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228051, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 21801, 1, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228052, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 135, 12, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228053, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 4, 4, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228054, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '区发展改革局', '', '', 124, 1, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228055, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 5, 2, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228056, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 12, 2, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228057, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 585, 22, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228058, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 458, 8, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228059, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 667, 6, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228060, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 17845, 1, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228061, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 54, 34, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228062, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 283, 5, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228063, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 678, 12, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228064, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', '', 1809, 1, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228065, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 675, 13, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228066, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 126, 13, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228067, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 1029, 2, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228068, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 101, 77, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228069, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 664, 149, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228070, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 149, 60, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228071, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 209, 4, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228072, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 5, 2, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228073, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 675, 13, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228074, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 51, 5, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228075, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 108, 10, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228076, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 2, 1, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228077, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 2, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228078, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 1809, 1, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228079, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 113, 13, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228080, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 10, 2, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228081, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 177, 14, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228082, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 153, 6, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228083, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 18, 4, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228084, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 372, 30, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228085, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 117, 10, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228086, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 150, 10, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228087, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 93, 6, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228088, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 4, 4, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228089, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 12, 3, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228090, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 678, 12, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228091, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 667, 6, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228092, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 511, 7, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228093, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 82, 15, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228094, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 106, 20, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228095, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '2B02', 124, 1, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228096, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 45, 15, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228097, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 775, 5, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228098, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 155, 16, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228099, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 470, 21, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228100, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 113, 11, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228101, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 12, 2, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228102, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 161, 13, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228103, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 261, 3, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228104, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 147, 8, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228105, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 16, 3, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228106, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 96, 2, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228107, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 16, 3, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228108, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 224, 11, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228109, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 135, 12, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228110, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 95, 13, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228111, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 1029, 2, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228112, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 307, 7, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228113, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 675, 12, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228114, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 151, 1, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228115, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 114, 18, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228116, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 477, 10, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228117, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 104, 20, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228118, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 176, 15, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228119, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 8, 1, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228120, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 572, 35, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228121, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 17845, 1, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228122, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 49, 18, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228123, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 843, 1, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228124, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 126, 13, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228125, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 99, 14, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228126, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 218, 4, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228127, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 9, 4, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228128, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 374, 17, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228129, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 9, 4, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228130, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 3, 1, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228131, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 5, 1, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228132, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 283, 5, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228133, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 458, 8, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228134, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 196, 13, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228135, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 7, 2, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228136, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 16, 4, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228137, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 790, 25, 2024, 7, 23, '2024-08-05 16:14:44', NULL, NULL), (228138, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 7, 2, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228139, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 17, 10, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228140, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 673, 43, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228141, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 72, 15, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228142, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 54, 34, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228143, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 21801, 1, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228144, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 143, 12, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228145, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 837, 33, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 72, 15, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 99, 14, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 49, 18, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 122, 22, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 374, 17, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 1029, 2, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 8, 1, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 17, 10, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 16, 4, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 143, 12, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 837, 33, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 196, 13, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 177, 14, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 790, 25, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 673, 43, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 51, 5, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区发展改革局', '', '2B02', 124, 1, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 21801, 1, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 113, 13, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 108, 10, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 113, 11, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 572, 35, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 17845, 1, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 82, 15, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 106, 20, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 45, 15, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 155, 16, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 675, 12, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 477, 10, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 775, 5, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A02', 1809, 1, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 678, 12, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 675, 13, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 4, 4, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 5, 1, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 458, 8, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 511, 7, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 5, 2, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 667, 6, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 2, 1, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 151, 1, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 307, 7, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 104, 20, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 87, 14, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 153, 6, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 128, 16, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 126, 13, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 470, 21, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 54, 34, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 239, 19, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 10, 2, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 74, 17, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 372, 30, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 222, 15, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 135, 12, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 12, 5, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 18, 4, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 114, 18, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 12, 2, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 52, 4, 2024, 7, 23, '2024-08-05 16:14:45', NULL, NULL), (228206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 2, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 176, 15, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228208, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 372, 30, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228209, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 572, 35, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228210, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 673, 43, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228211, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 790, 25, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228212, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 161, 13, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228213, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 196, 13, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228214, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 307, 7, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228215, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 12, 3, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228216, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 104, 20, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228217, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 837, 33, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (228218, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 114, 18, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228219, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 176, 15, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228220, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 18, 4, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228221, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 153, 6, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228222, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 10, 2, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228223, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 2, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228224, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 2, 1, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228225, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 135, 12, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228226, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 113, 11, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228227, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 21801, 1, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228228, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 511, 7, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228229, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 667, 6, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228230, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 1029, 2, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228231, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 4, 4, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228232, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', 'A02', 1809, 1, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228233, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '区发展改革局', '', '2B02', 124, 1, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228234, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 775, 5, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228235, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 209, 4, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228236, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 374, 17, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228237, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 458, 8, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228238, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 49, 18, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228239, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 678, 12, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228240, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 99, 14, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228241, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 477, 10, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228242, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 72, 15, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228243, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 143, 12, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228244, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 16, 4, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228245, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 126, 13, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228246, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 12, 2, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228247, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 675, 12, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228248, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 17, 10, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228249, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 155, 16, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228250, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 470, 21, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228251, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 8, 1, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228252, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 54, 34, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228253, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 5, 2, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228254, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 106, 20, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228255, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 45, 15, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228256, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 82, 15, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228257, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 675, 13, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228258, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 5, 1, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228259, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 283, 5, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228260, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 17845, 1, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228261, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 51, 5, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228262, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 9, 4, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228263, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 108, 10, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228264, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 3, 1, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228265, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 151, 1, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228266, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 113, 13, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228267, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 843, 1, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228268, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 177, 14, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228269, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 218, 4, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228270, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 117, 10, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228271, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 9, 4, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228272, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 16, 3, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228273, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 7, 2, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228274, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 7, 2, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228275, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 93, 6, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228276, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 150, 10, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228277, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 224, 11, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228278, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 96, 2, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228279, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 95, 13, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228280, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 147, 8, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228281, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 261, 3, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228282, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 16, 3, 2024, 7, 23, '2024-08-05 16:14:46', NULL, NULL), (228283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 174, 116, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 4, 1, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 15, 87, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 67, 42, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 386, 173, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 82, 93, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 3377, 5, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 632, 227, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 788, 22, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 270, 274, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 246, 35, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 502, 6, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 240, 74, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 4, 1, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 249, 60, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 372, 45, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 366, 90, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1527, 16, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 327, 67, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 381, 68, 2024, 7, 24, '2024-08-05 16:14:47', NULL, NULL), (228303, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 2, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228304, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 4, 1, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228305, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 40, 23, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228306, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 15, 87, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228307, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228308, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 3377, 5, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228309, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 204, 13, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228310, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 788, 69, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228311, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228312, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 101, 19, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228313, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 130, 4, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228314, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 538, 3, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228315, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 53, 52, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228316, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 516, 12, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228317, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 212, 18, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228318, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 421, 3, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228319, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 223, 2, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228320, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 340, 11, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228321, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 53, 17, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228322, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 290, 7, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228323, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 320, 18, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228324, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 412, 10, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228325, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 212, 23, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228326, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 58, 60, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228327, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 567, 155, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228328, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 0, 1, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228329, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 4, 1, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228330, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 126, 15, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228331, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 405, 3, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228332, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 134, 5, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228333, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 411, 26, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228334, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 187, 58, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228335, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 6, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228336, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 945, 23, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228337, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 7, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228338, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228339, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 4540, 1, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 4, 6, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 126, 15, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 7, 12, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 411, 26, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 10, 15, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 46, 16, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 40, 5, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 10, 16, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 70, 21, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 59, 12, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 7, 15, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 38, 15, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 177, 4, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 27, 13, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 111, 7, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 68, 13, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 34, 8, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 334, 7, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 179, 16, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 154, 18, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 90, 7, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 210, 14, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 137, 14, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 40, 13, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 27, 10, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 212, 23, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 88, 19, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 700, 29, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 7700, 2, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 500, 37, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 495, 3, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 344, 25, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 270, 12, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 412, 10, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 421, 3, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 4540, 1, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 538, 3, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 340, 11, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 4, 1, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 405, 3, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 987, 22, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 824, 31, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 204, 13, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 767, 37, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 466, 1, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 599, 30, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 27, 1, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 320, 18, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 144, 4, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 4, 1, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 9, 3, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 223, 2, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 60, 4, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 7, 6, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 6, 6, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 660, 34, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 101, 19, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 516, 12, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228398, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 130, 4, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228399, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 134, 5, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228400, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 788, 69, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228401, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 4, 1, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228402, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 412, 10, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228403, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 101, 19, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228404, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 4, 1, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228405, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 15, 87, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228406, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 40, 23, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228407, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 53, 17, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228408, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 320, 18, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228409, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 411, 26, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228410, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 58, 60, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228411, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 405, 3, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228412, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 126, 15, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228413, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 340, 11, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228414, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 3377, 5, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228415, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 212, 18, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228416, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 538, 3, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228417, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 421, 3, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228418, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 212, 23, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228419, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 290, 7, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228420, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 223, 2, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228421, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 945, 23, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228422, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 204, 13, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228423, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 516, 12, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228424, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 187, 58, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228425, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 567, 155, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228426, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', '', 4540, 1, 2024, 7, 24, '2024-08-05 16:14:48', NULL, NULL), (228427, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 53, 52, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228428, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 495, 3, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228429, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 7700, 2, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228430, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 204, 13, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228431, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 824, 31, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228432, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 144, 4, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228433, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 767, 37, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228434, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 60, 4, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228435, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 9, 3, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228436, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 466, 1, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228437, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 6, 6, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228438, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 7, 6, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228439, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 411, 26, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228440, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 236, 2, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228441, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 66, 3, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228442, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 130, 4, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228443, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 340, 11, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228444, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 94, 2, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228445, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 4540, 1, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228446, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 987, 22, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228447, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 421, 3, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228448, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 412, 10, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228449, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 137, 14, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228450, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 210, 14, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228451, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 154, 18, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228452, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 320, 18, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228453, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 101, 19, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228454, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 27, 1, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228455, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 270, 12, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228456, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 74, 13, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228457, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 163, 3, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228458, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 30, 6, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228459, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 223, 2, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228460, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 31, 5, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228461, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 48, 9, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228462, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 9, 3, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228463, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 126, 15, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228464, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 80, 11, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228465, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 33, 10, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228466, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 334, 7, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228467, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 70, 21, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228468, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 177, 4, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228469, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 38, 15, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228470, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 111, 7, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228471, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 46, 16, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228472, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 4, 1, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228473, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 660, 34, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228474, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 49, 3, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228475, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 516, 12, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228476, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 27, 10, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228477, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 47, 2, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228478, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 4, 6, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228479, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 4, 2, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228480, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 6, 3, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228481, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 40, 13, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228482, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 4, 1, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228483, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 290, 7, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228484, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 538, 3, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228485, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 599, 30, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228486, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 92, 3, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228487, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 10, 16, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228488, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 500, 37, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228489, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 88, 2, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228490, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 7, 15, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228491, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 700, 29, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228492, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 7, 12, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228493, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 212, 23, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228494, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 405, 3, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228495, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 10, 15, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228496, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 344, 25, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 7, 12, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 4, 6, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 27, 10, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 88, 19, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 40, 13, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 4, 1, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 7, 15, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 10, 16, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 10, 15, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 344, 25, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 599, 30, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 466, 1, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 500, 37, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 700, 29, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 824, 31, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 405, 3, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 767, 37, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 270, 12, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 660, 34, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 137, 14, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 210, 14, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 154, 18, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 334, 7, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 177, 4, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 111, 7, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 320, 18, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 27, 1, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 987, 22, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 495, 3, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 204, 13, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 340, 11, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 4, 1, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C15', 4540, 1, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 538, 3, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 412, 10, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 7700, 2, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 421, 3, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 144, 4, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 38, 15, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 90, 7, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 6, 6, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 516, 12, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 101, 19, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 34, 8, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 212, 23, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 179, 16, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 9, 3, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 223, 2, 2024, 7, 24, '2024-08-05 16:14:49', NULL, NULL), (228545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 27, 13, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 411, 26, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 126, 15, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 68, 13, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 7, 6, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 40, 5, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 70, 21, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 59, 12, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 60, 4, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 46, 16, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228555, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 411, 26, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228556, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 660, 34, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228557, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 700, 29, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228558, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 500, 37, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228559, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 74, 13, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228560, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 599, 30, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228561, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 94, 2, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228562, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '区人社局', '', 'C15', 4540, 1, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228563, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 38, 15, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228564, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 344, 25, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228565, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 70, 21, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228566, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 46, 16, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228567, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 7, 6, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228568, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 6, 6, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228569, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 9, 3, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228570, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 60, 4, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228571, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 144, 4, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228572, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 126, 15, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228573, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 270, 12, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228574, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 405, 3, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228575, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 412, 10, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228576, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 27, 1, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228577, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 421, 3, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228578, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 340, 11, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228579, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 320, 18, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228580, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 40, 13, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228581, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 538, 3, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228582, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 987, 22, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228583, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 27, 10, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228584, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 4, 6, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228585, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 7, 12, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228586, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 177, 4, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228587, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 10, 15, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228588, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 111, 7, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228589, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 516, 12, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228590, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 10, 16, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228591, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 7, 15, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228592, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 334, 7, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228593, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 101, 19, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228594, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 4, 1, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228595, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 212, 23, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228596, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 495, 3, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228597, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 7700, 2, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228598, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 210, 14, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228599, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 154, 18, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228600, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 137, 14, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228601, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 204, 13, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228602, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 4, 1, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228603, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 290, 7, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228604, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 824, 31, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228605, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 767, 37, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228606, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 49, 3, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228607, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 466, 1, 2024, 7, 24, '2024-08-05 16:14:51', NULL, NULL), (228608, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 47, 2, 2024, 7, 24, '2024-08-05 16:14:51', NULL, NULL), (228609, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 4, 2, 2024, 7, 24, '2024-08-05 16:14:51', NULL, NULL), (228610, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 6, 3, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228611, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 236, 2, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228612, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 92, 3, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228613, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 9, 3, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228614, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 88, 2, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228615, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 66, 3, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228616, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 130, 4, 2024, 7, 24, '2024-08-05 16:14:51', NULL, NULL), (228617, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 80, 11, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228618, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 30, 6, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228619, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 48, 9, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228620, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 223, 2, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (228621, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 33, 10, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228622, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 163, 3, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228623, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 31, 5, 2024, 7, 24, '2024-08-05 16:14:50', NULL, NULL), (228624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 150, 105, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 138, 1, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', '', 5, 1, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 30, 87, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 284, 43, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 462, 233, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 52, 97, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 28, 1, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 824, 7, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 390, 155, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 80, 1, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 335, 334, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 231, 26, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 402, 2, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 219, 52, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 46, 3, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 276, 46, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 174, 23, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 187, 79, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 244, 95, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 380, 16, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 292, 62, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228646, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 138, 1, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228647, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 30, 87, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228648, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 352, 27, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228649, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 824, 7, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228650, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 1, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228651, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 177, 10, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228652, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 97, 42, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228653, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 105, 9, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228654, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 170, 16, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228655, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 4, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228656, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 61, 2, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228657, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 138, 48, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228658, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 158, 19, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228659, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1903, 18, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228660, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228661, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1376, 6, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228662, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 6, 1, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228663, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 245, 27, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228664, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 25, 28, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228665, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 503, 3, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228666, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', '', 5, 1, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228667, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 315, 46, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228668, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 120, 26, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228669, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 24, 48, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228670, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 494, 113, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228671, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 3, 2, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228672, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 137, 13, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228673, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 500, 1, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228674, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228675, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 233, 18, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228676, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 80, 9, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228677, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 231, 64, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228678, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228679, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228680, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 643, 37, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228681, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 28, 1, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228682, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 264, 2, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228683, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 7, 25, '2024-08-05 16:14:53', NULL, NULL), (228684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 19, 15, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 137, 13, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 233, 18, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 53, 14, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 58, 13, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 137, 19, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 146, 15, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 17, 9, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 11, 18, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 48, 8, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 19, 2, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 68, 5, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 132, 14, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 11, 15, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 315, 6, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 15, 13, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 232, 17, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 13, 7, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 97, 8, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 182, 15, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 79, 4, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 16, 12, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 189, 18, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 355, 12, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 38, 13, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 12, 12, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 120, 26, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 57, 20, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 634, 24, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 823, 4, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 825, 3, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 516, 33, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 222, 13, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1376, 6, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 61, 2, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 245, 27, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 3, 2, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 500, 1, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 643, 37, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 196, 9, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 123, 17, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 77, 13, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 82, 12, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 388, 24, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 567, 7, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 315, 46, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 138, 1, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 304, 4, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 6, 1, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 280, 8, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 269, 4, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 255, 4, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 460, 31, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 170, 16, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1903, 18, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 264, 2, 2024, 7, 25, '2024-08-05 16:14:54', NULL, NULL), (228740, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 105, 9, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228741, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 80, 9, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228742, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 97, 42, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228743, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 3, 2, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228744, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 170, 16, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228745, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 138, 1, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228746, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 30, 87, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228747, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 352, 27, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228748, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 25, 28, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228749, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 264, 2, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228750, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 315, 46, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228751, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 233, 18, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228752, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 24, 48, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228753, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 500, 1, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228754, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 137, 13, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228755, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 245, 27, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228756, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 824, 7, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228757, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 158, 19, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228758, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 61, 2, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228759, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '区文广旅游局', '', '', 5, 1, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228760, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1376, 6, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228761, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 120, 26, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228762, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 503, 3, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228763, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 6, 1, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228764, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 643, 37, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228765, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', '', 28, 1, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228766, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 196, 9, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228767, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1903, 18, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228768, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 231, 64, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228769, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 498, 112, 2024, 7, 25, '2024-08-05 16:14:55', NULL, NULL), (228770, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 138, 48, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228771, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 825, 3, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228772, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 823, 4, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228773, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 196, 9, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228774, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 123, 17, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228775, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 567, 7, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228776, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 77, 13, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228777, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 280, 8, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228778, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 28, 1, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228779, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 82, 12, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228780, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 304, 4, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228781, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 255, 4, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228782, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 269, 4, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228783, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 233, 18, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228784, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 22, 5, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228785, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 154, 4, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228786, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 105, 9, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228787, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 245, 27, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228788, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 32, 4, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228789, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 643, 37, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228790, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1376, 6, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228791, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 355, 12, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228792, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 189, 18, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228793, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 79, 4, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228794, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 232, 17, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228795, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 315, 46, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228796, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 170, 16, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228797, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 222, 13, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228798, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 8, 7, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228799, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 104, 5, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228800, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 15, 4, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228801, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 6, 1, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228802, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 17, 4, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228803, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 19, 4, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228804, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 9, 7, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228805, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 22, 8, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228806, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 137, 13, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228807, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 12, 9, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228808, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 97, 8, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228809, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 264, 2, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228810, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 146, 15, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228811, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 68, 5, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228812, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 315, 6, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228813, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 132, 14, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228814, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 137, 19, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228815, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 138, 1, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228816, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 460, 31, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228817, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', 'A06', 5, 1, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228818, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 31, 3, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228819, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 12, 12, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228820, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1903, 18, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228821, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 13, 2, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228822, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 19, 15, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228823, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 3, 5, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228824, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 8, 6, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228825, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 38, 13, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228826, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 6, 3, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228827, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 3, 2, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228828, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 503, 3, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228829, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 61, 2, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228830, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 388, 24, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228831, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 77, 4, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228832, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 11, 18, 2024, 7, 25, '2024-08-05 16:14:56', NULL, NULL), (228833, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 61, 1, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228834, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 634, 24, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228835, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 19, 2, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228836, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 120, 26, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228837, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 53, 14, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228838, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 500, 1, 2024, 7, 25, '2024-08-05 16:14:57', NULL, NULL), (228839, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 58, 13, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228840, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 516, 33, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 53, 14, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 19, 15, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 12, 12, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 57, 20, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 38, 13, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 138, 1, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 19, 2, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 11, 18, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 58, 13, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 516, 33, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 388, 24, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 634, 24, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 123, 17, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 500, 1, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 82, 12, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 77, 13, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C10', 222, 13, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 460, 31, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 355, 12, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 189, 18, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 79, 4, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 232, 17, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 97, 8, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 68, 5, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 315, 6, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区文广旅游局', '', 'A06', 5, 1, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 315, 46, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A02', 28, 1, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 825, 3, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 643, 37, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 196, 9, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 245, 27, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 3, 2, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 61, 2, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 823, 4, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1376, 6, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 567, 7, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 264, 2, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 132, 14, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 16, 12, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 255, 4, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1903, 18, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 14, 6, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 120, 26, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 170, 16, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 182, 15, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 6, 1, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 11, 15, 2024, 7, 25, '2024-08-05 16:14:58', NULL, NULL), (228889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 233, 18, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 304, 4, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 15, 13, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 137, 13, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 16, 8, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 269, 4, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 146, 15, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 280, 8, 2024, 7, 25, '2024-08-05 16:14:59', NULL, NULL), (228897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 48, 8, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 137, 19, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228899, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 233, 18, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228900, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 460, 31, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228901, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '区文广旅游局', '', 'A06', 5, 1, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228902, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 634, 24, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228903, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 8, 7, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228904, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 388, 24, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228905, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 32, 4, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228906, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 132, 14, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228907, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 516, 33, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228908, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 146, 15, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228909, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 137, 19, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228910, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 269, 4, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228911, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 255, 4, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228912, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 304, 4, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228913, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 280, 8, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228914, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 567, 7, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228915, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 137, 13, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228916, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C10', 222, 13, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228917, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 500, 1, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228918, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1376, 6, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228919, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 245, 27, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228920, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '区行政审批和非公经济局', '', 'A02', 28, 1, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228921, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 315, 46, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228922, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 61, 2, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228923, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 38, 13, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228924, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 12, 12, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228925, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 643, 37, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228926, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 19, 15, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228927, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 68, 5, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228928, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 53, 14, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228929, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 58, 13, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228930, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 315, 6, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228931, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 11, 18, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228932, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1903, 18, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228933, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 19, 2, 2024, 7, 25, '2024-08-05 16:15:02', NULL, NULL), (228934, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 97, 8, 2024, 7, 25, '2024-08-05 16:15:02', NULL, NULL), (228935, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 232, 17, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228936, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 170, 16, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228937, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 138, 1, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228938, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 120, 26, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228939, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 825, 3, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228940, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 823, 4, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228941, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 189, 18, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228942, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 79, 4, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228943, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 196, 9, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228944, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 355, 12, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228945, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 3, 2, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228946, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 503, 3, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228947, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 123, 17, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228948, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 77, 13, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228949, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 6, 3, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228950, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 264, 2, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228951, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 82, 12, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228952, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 31, 3, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228953, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 13, 2, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228954, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 3, 5, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228955, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 8, 6, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228956, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 22, 5, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228957, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 77, 4, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228958, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 9, 7, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228959, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 61, 1, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228960, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 105, 9, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228961, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 154, 4, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228962, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 22, 8, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228963, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 15, 4, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228964, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 19, 4, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228965, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 6, 1, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228966, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 12, 9, 2024, 7, 25, '2024-08-05 16:15:00', NULL, NULL), (228967, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 104, 5, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228968, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 17, 4, 2024, 7, 25, '2024-08-05 16:15:01', NULL, NULL), (228969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 290, 102, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 13, 1, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 20, 88, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 185, 40, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 2497, 134, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 47, 97, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 163, 5, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 494, 202, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 339, 13, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 579, 252, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 413, 27, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 204, 4, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 3027, 2, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 792, 64, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 13, 1, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 468, 49, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 290, 33, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 901, 57, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 447, 8, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 842, 94, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 1100, 82, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228990, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 0, 1, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (228991, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (228992, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 155, 22, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (228993, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 20, 88, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (228994, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 163, 5, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (228995, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 7345, 6, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (228996, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 650, 63, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (228997, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 23, 5, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228998, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 222, 18, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (228999, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 323, 10, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229000, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 281, 46, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229001, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 6636, 22, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229002, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 295, 11, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229003, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (229004, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 13, 1, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (229005, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 4, 1, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229006, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 8, 1, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229007, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 486, 9, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (229008, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 15, 22, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (229009, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 42, 2, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229010, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 23, 4, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229011, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 2664, 3, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229012, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1020, 2, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (229013, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 32, 26, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229014, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 13, 56, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229015, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 429, 137, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229016, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 3427, 1, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (229017, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 0, 1, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229018, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 25, 11, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229019, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 20, 3, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (229020, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 19, 7, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (229021, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 816, 19, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (229022, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 1775, 50, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229023, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 10, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229024, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1895, 18, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229025, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 11, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229026, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 326, 1, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (229027, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 7, 26, '2024-08-05 16:15:06', NULL, NULL), (229028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 25, 11, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (229029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 29, 13, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 15, 11, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 816, 19, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 8, 13, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 178, 11, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 11, 7, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 310, 23, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 28, 17, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 25, 7, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 320, 12, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 18, 6, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 6636, 22, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 7, 14, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 10, 14, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 22, 13, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 1172, 8, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 14, 13, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 16, 9, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 959, 3, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 2532, 23, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 17, 14, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 32, 26, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 19, 14, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 32, 17, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 493, 31, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 268, 3, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 4, 2, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 1113, 19, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 395, 36, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1020, 2, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 4, 1, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 23, 5, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 486, 9, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 3427, 1, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1870, 15, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 20, 3, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 7345, 6, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 648, 36, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 677, 26, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 464, 31, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 2023, 3, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C22', 53, 1, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 14, 3, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 67, 3, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 257, 7, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 2664, 3, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 11, 5, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 8, 1, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 323, 4, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 18, 3, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 380, 39, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 13, 1, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 222, 18, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 295, 11, 2024, 7, 26, '2024-08-05 16:15:08', NULL, NULL), (229083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 326, 1, 2024, 7, 26, '2024-08-05 16:15:07', NULL, NULL), (229084, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 323, 10, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229085, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 19, 7, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229086, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 660, 62, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229087, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 3427, 1, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229088, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1020, 2, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229089, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 222, 18, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229090, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 20, 88, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229091, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 155, 22, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229092, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 15, 22, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229093, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 326, 1, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229094, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 23, 4, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229095, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 816, 19, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229096, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 13, 56, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229097, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 20, 3, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229098, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 25, 11, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229099, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 486, 9, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229100, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 163, 5, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229101, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 2664, 3, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229102, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 6636, 22, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229103, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 23, 5, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229104, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '区退役军人局', '', '', 13, 1, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229105, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 4, 1, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229106, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 32, 26, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229107, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 42, 2, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229108, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 8, 1, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229109, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1895, 18, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229110, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 7345, 6, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229111, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 295, 11, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229112, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 1775, 50, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229113, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 429, 137, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229114, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 281, 46, 2024, 7, 26, '2024-08-05 16:15:09', NULL, NULL), (229115, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 959, 3, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229116, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 4, 2, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229117, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 268, 3, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229118, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 7345, 6, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229119, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 648, 36, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229120, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 67, 3, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229121, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 677, 26, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229122, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 11, 5, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229123, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 257, 7, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229124, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 18, 3, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229125, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 323, 4, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229126, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 816, 19, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229127, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 28, 4, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229128, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 8, 3, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229129, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 486, 9, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229130, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 51, 7, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229131, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 25, 3, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229132, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1870, 15, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229133, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', 'B07', 13, 1, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229134, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 4, 1, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229135, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1020, 2, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229136, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C22', 53, 1, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229137, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 2532, 23, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229138, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 1172, 8, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229139, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 14, 3, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229140, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 222, 18, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229141, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 2023, 3, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229142, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 2664, 3, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229143, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 15, 7, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229144, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 11, 7, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229145, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 17, 9, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229146, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 8, 1, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229147, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 9, 3, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229148, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 25, 6, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229149, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 12, 4, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229150, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 25, 11, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229151, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 13, 10, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229152, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 6, 10, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229153, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 1113, 19, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229154, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 326, 1, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229155, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 310, 23, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229156, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 6636, 22, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229157, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 320, 12, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229158, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 178, 11, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229159, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 380, 39, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229160, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 3, 1, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229161, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 295, 11, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229162, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 19, 14, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229163, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 35, 4, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229164, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 29, 13, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229165, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 3, 4, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229166, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 10, 4, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229167, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 17, 14, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229168, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 6, 2, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229169, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 3427, 1, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229170, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 42, 2, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229171, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 23, 5, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229172, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 464, 31, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229173, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 28, 1, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229174, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 28, 17, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229175, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 10, 3, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229176, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 18, 6, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229177, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 493, 31, 2024, 7, 26, '2024-08-05 16:15:10', NULL, NULL), (229178, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 32, 26, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229179, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 15, 11, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229180, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 8, 13, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229181, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 20, 3, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229182, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 395, 36, 2024, 7, 26, '2024-08-05 16:15:11', NULL, NULL), (229183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 15, 11, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 29, 13, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 19, 14, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 32, 17, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 17, 14, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 18, 6, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 28, 17, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 8, 13, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 395, 36, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 464, 31, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B07', 13, 1, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 493, 31, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 648, 36, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 20, 3, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 677, 26, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 1113, 19, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 380, 39, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 2532, 23, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C06', 1172, 8, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 6636, 22, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C22', 53, 1, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 14, 3, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 2023, 3, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 4, 2, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1870, 15, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 7345, 6, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 486, 9, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 3427, 1, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 23, 5, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1020, 2, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 268, 3, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 4, 1, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 67, 3, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 326, 1, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 320, 12, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 16, 9, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 959, 3, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 18, 3, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 295, 11, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 22, 13, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 222, 18, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 32, 26, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 14, 13, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 257, 7, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 8, 1, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A04', 7, 14, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 816, 19, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 25, 11, 2024, 7, 26, '2024-08-05 16:15:12', NULL, NULL), (229231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 10, 14, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 323, 4, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 11, 7, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 310, 23, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 11, 5, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 2664, 3, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 25, 7, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 178, 11, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229239, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 380, 39, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229240, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 816, 19, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229241, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 493, 31, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229242, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 15, 7, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229243, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 464, 31, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229244, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 25, 3, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229245, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 320, 12, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229246, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 395, 36, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229247, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 310, 23, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229248, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 178, 11, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229249, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 323, 4, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229250, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 18, 3, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229251, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 257, 7, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229252, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 11, 5, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229253, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 67, 3, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229254, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '区退役军人局', '', 'B07', 13, 1, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229255, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 25, 11, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229256, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 20, 3, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229257, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1020, 2, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229258, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 1113, 19, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229259, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 2023, 3, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229260, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 4, 1, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229261, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 486, 9, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229262, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C22', 53, 1, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229263, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 14, 3, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229264, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 959, 3, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229265, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 23, 5, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229266, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 17, 14, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229267, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1870, 15, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229268, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 19, 14, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229269, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 29, 13, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229270, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 15, 11, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229271, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 6636, 22, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229272, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 8, 13, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229273, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 295, 11, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229274, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 28, 17, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229275, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 2664, 3, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229276, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 18, 6, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229277, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 222, 18, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229278, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 32, 26, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229279, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 4, 2, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229280, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 268, 3, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229281, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C06', 1172, 8, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229282, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 2532, 23, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229283, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 7345, 6, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229284, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 3427, 1, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229285, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 42, 2, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229286, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 648, 36, 2024, 7, 26, '2024-08-05 16:15:13', NULL, NULL), (229287, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 677, 26, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229288, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 6, 2, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229289, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 326, 1, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229290, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 3, 1, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229291, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 35, 4, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229292, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 3, 4, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229293, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A04', 10, 4, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229294, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 28, 4, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229295, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 12, 4, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229296, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 28, 1, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229297, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 10, 3, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229298, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 8, 3, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229299, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 51, 7, 2024, 7, 26, '2024-08-05 16:15:15', NULL, NULL), (229300, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 13, 10, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229301, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 17, 9, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229302, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 25, 6, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229303, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 8, 1, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229304, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A04', 6, 10, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229305, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 11, 7, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229306, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 9, 3, 2024, 7, 26, '2024-08-05 16:15:14', NULL, NULL), (229307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 28, 6, 2024, 7, 27, '2024-08-05 16:15:19', NULL, NULL), (229308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1048, 27, 2024, 7, 27, '2024-08-05 16:15:19', NULL, NULL), (229309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 706, 39, 2024, 7, 27, '2024-08-05 16:15:19', NULL, NULL), (229310, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2024, 7, 27, '2024-08-05 16:15:19', NULL, NULL), (229311, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 0, 1, 2024, 7, 27, '2024-08-05 16:15:19', NULL, NULL), (229312, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 3, 3, 2024, 7, 27, '2024-08-05 16:15:19', NULL, NULL), (229313, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2024, 7, 27, '2024-08-05 16:15:19', NULL, NULL), (229314, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 0, 2, 2024, 7, 27, '2024-08-05 16:15:20', NULL, NULL), (229315, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 7, 27, '2024-08-05 16:15:20', NULL, NULL), (229316, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 718, 7, 2024, 7, 27, '2024-08-05 16:15:19', NULL, NULL), (229317, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1058, 22, 2024, 7, 27, '2024-08-05 16:15:19', NULL, NULL), (229318, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 53, 3, 2024, 7, 27, '2024-08-05 16:15:19', NULL, NULL), (229319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1164, 20, 2024, 7, 27, '2024-08-05 16:15:20', NULL, NULL), (229320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3, 3, 2024, 7, 27, '2024-08-05 16:15:20', NULL, NULL), (229321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 53, 3, 2024, 7, 27, '2024-08-05 16:15:20', NULL, NULL), (229322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 718, 7, 2024, 7, 27, '2024-08-05 16:15:20', NULL, NULL), (229323, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 718, 7, 2024, 7, 27, '2024-08-05 16:15:20', NULL, NULL), (229324, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 53, 3, 2024, 7, 27, '2024-08-05 16:15:20', NULL, NULL), (229325, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1164, 20, 2024, 7, 27, '2024-08-05 16:15:20', NULL, NULL), (229326, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 3, 3, 2024, 7, 27, '2024-08-05 16:15:20', NULL, NULL), (229327, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 718, 7, 2024, 7, 27, '2024-08-05 16:15:20', NULL, NULL), (229328, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 3, 2024, 7, 27, '2024-08-05 16:15:20', NULL, NULL), (229329, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 53, 3, 2024, 7, 27, '2024-08-05 16:15:20', NULL, NULL), (229330, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1164, 20, 2024, 7, 27, '2024-08-05 16:15:20', NULL, NULL), (229331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 53, 3, 2024, 7, 27, '2024-08-05 16:15:20', NULL, NULL), (229332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1164, 20, 2024, 7, 27, '2024-08-05 16:15:21', NULL, NULL), (229333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 3, 3, 2024, 7, 27, '2024-08-05 16:15:20', NULL, NULL), (229334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 718, 7, 2024, 7, 27, '2024-08-05 16:15:21', NULL, NULL), (229335, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 1164, 20, 2024, 7, 27, '2024-08-05 16:15:21', NULL, NULL), (229336, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 3, 3, 2024, 7, 27, '2024-08-05 16:15:21', NULL, NULL), (229337, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 53, 3, 2024, 7, 27, '2024-08-05 16:15:21', NULL, NULL), (229338, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 718, 7, 2024, 7, 27, '2024-08-05 16:15:21', NULL, NULL), (229339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 381, 5, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 925, 7, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 1, 3, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229342, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 527, 3, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229343, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 3, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229344, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 809, 8, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229345, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 161, 2, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 925, 7, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 527, 3, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 161, 2, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229349, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 161, 2, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229350, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 925, 7, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229351, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 527, 3, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229352, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 527, 3, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229353, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 161, 2, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229354, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 925, 7, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 925, 7, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 161, 2, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 527, 3, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229358, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 527, 3, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229359, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 161, 2, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229360, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 925, 7, 2024, 7, 28, '2024-08-05 16:15:22', NULL, NULL), (229361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 397, 164, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 10, 1, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 83, 135, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 175, 49, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 501, 248, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 97, 102, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 533, 4, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1461, 307, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 321, 4, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 201, 7, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 673, 415, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 354, 7, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 380, 9, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 732, 57, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 3, 3, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 516, 106, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 688, 71, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 662, 134, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 472, 16, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 626, 115, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 674, 82, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229382, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229383, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 10, 1, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229384, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 1, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229385, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 166, 21, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229386, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 83, 135, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229387, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 533, 4, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229388, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 246, 16, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229389, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 668, 71, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229390, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 146, 9, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229391, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 181, 28, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229392, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 285, 13, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229393, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 402, 104, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229394, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 543, 28, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229395, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 395, 43, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229396, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229397, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229398, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 1137, 16, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229399, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 462, 7, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229400, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 52, 28, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229401, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 240, 4, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229402, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1190, 3, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229403, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 2955, 2, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229404, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1242, 3, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229405, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 131, 29, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229406, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 72, 46, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229407, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1678, 236, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229408, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 89, 5, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229409, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 321, 4, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229410, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 343, 11, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229411, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1222, 4, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229412, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 192, 15, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229413, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 749, 21, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229414, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 257, 85, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229415, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 11, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229416, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 7, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229417, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1007, 25, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229418, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 1162, 2, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229419, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 42, 20, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 377, 10, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 749, 21, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 58, 20, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 40, 17, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 331, 27, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 93, 12, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 460, 26, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 60, 25, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 86, 4, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 36, 18, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 304, 16, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 479, 23, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 355, 28, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 427, 11, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 89, 12, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 125, 9, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 463, 16, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 97, 18, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (229439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 154, 16, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 298, 31, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 78, 19, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 254, 34, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 177, 10, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 76, 14, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 131, 29, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 255, 21, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 49, 12, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1912, 63, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1056, 2, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1489, 62, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 10, 2, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 221, 10, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1515, 45, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 321, 4, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1242, 3, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 1137, 16, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 285, 13, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 462, 7, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 89, 5, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 4890, 1, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1140, 21, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 246, 16, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1016, 7, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 792, 18, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 637, 24, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 490, 22, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 2445, 22, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 304, 4, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1190, 3, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 3, 2, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 10, 1, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 188, 5, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 2955, 2, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 78, 4, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 96, 4, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 309, 6, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1428, 43, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 181, 28, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 543, 28, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 1162, 2, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229481, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 146, 9, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229482, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 192, 15, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229483, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 668, 71, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229484, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 89, 5, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229485, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 1242, 3, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229486, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 181, 28, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229487, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 10, 1, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229488, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 83, 135, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229489, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 166, 21, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229490, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 52, 28, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229491, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 1162, 2, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229492, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 1190, 3, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229493, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 749, 21, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229494, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 72, 46, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229495, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 4890, 1, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229496, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 377, 10, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229497, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 462, 7, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229498, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 533, 4, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229499, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 2955, 2, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229500, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 395, 43, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229501, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 285, 13, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229502, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 321, 4, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229503, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 1137, 16, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229504, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 131, 29, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229505, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 240, 4, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229506, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 1007, 25, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229507, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 246, 16, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229508, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 543, 28, 2024, 7, 29, '2024-08-05 16:15:23', NULL, NULL), (229509, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 257, 85, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229510, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1686, 235, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229511, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 402, 104, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229512, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 208, 5, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229513, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 10, 2, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229514, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1056, 2, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229515, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 246, 16, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229516, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1016, 7, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229517, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 2, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229518, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 792, 18, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229519, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 78, 4, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229520, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 637, 24, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229521, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 188, 5, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229522, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 490, 22, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229523, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 309, 6, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229524, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 96, 4, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229525, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 749, 21, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229526, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 240, 10, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229527, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 98, 5, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229528, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 462, 7, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229529, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 70, 4, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229530, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 18, 2, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229531, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1140, 21, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229532, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1242, 3, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229533, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 1137, 16, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229534, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 177, 10, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229535, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 254, 34, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229536, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 298, 31, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229537, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1190, 3, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229538, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 181, 28, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229539, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 304, 4, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229540, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 2955, 2, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229541, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 45, 6, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229542, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 33, 5, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229543, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 159, 5, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229544, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 57, 7, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229545, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 12, 6, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229546, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 88, 3, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229547, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 109, 7, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229548, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 87, 7, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229549, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 377, 10, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229550, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 221, 10, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229551, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 355, 28, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229552, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 463, 16, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229553, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 460, 26, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229554, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 304, 16, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229555, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 1162, 2, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229556, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 479, 23, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229557, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 427, 11, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229558, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 331, 27, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229559, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 10, 1, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229560, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1428, 43, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229561, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 321, 4, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229562, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 35, 4, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229563, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 255, 21, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229564, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 543, 28, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229565, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 83, 4, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229566, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 42, 20, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229567, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 92, 5, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229568, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 76, 14, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229569, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 7, 7, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229570, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 89, 5, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229571, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 240, 4, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229572, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 285, 13, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229573, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 2445, 22, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229574, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 82, 1, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229575, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 60, 25, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229576, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1489, 62, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229577, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 71, 5, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229578, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 36, 18, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229579, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1912, 63, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229580, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 131, 29, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229581, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 58, 20, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229582, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 4890, 1, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229583, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 40, 17, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229584, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1515, 45, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 58, 20, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 42, 20, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 255, 21, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 49, 12, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 76, 14, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 10, 1, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 36, 18, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 60, 25, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 40, 17, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 1515, 45, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 2445, 22, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 490, 22, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1489, 62, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1912, 63, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 1016, 7, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 4890, 1, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 637, 24, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 792, 18, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 221, 10, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1428, 43, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 321, 4, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 177, 10, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 254, 34, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 298, 31, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 463, 16, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 304, 16, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 427, 11, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 1190, 3, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 304, 4, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 10, 2, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1140, 21, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 246, 16, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 462, 7, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 89, 5, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 285, 13, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 1242, 3, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1056, 2, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 1137, 16, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 3, 2, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 1162, 2, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A03', 355, 28, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 479, 23, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 154, 16, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 78, 19, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 309, 6, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 543, 28, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 131, 29, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 125, 9, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 181, 28, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 97, 18, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 188, 5, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 749, 21, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 89, 12, 2024, 7, 29, '2024-08-05 16:15:24', NULL, NULL), (229638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 377, 10, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 96, 4, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 93, 12, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 460, 26, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 78, 4, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 86, 4, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 2955, 2, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 331, 27, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229646, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 749, 21, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229647, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1428, 43, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229648, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 1912, 63, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229649, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1489, 62, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229650, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 45, 6, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229651, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 2445, 22, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229652, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 18, 2, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229653, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A03', 355, 28, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229654, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 479, 23, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229655, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 1515, 45, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229656, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 460, 26, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229657, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 331, 27, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229658, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 96, 4, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229659, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 309, 6, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229660, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 188, 5, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229661, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 78, 4, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229662, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 3, 2, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229663, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 377, 10, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229664, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 4890, 1, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229665, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 1242, 3, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229666, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 221, 10, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229667, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 304, 4, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229668, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 1137, 16, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229669, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 462, 7, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229670, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 1190, 3, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229671, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 208, 5, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229672, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 285, 13, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229673, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 76, 14, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229674, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 255, 21, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229675, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1140, 21, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229676, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 42, 20, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229677, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 58, 20, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229678, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 304, 16, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229679, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 40, 17, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229680, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 427, 11, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229681, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 543, 28, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229682, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 60, 25, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229683, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 36, 18, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229684, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 2955, 2, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229685, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 463, 16, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229686, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 298, 31, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229687, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 181, 28, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229688, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 10, 1, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229689, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 131, 29, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229690, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 10, 2, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229691, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1056, 2, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229692, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 254, 34, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229693, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 246, 16, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229694, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 177, 10, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229695, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 89, 5, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229696, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 321, 4, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229697, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 240, 4, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229698, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 1016, 7, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229699, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 7, 7, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229700, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 792, 18, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229701, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 637, 24, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229702, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 1162, 2, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229703, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 35, 4, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229704, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 490, 22, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229705, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 83, 4, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229706, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 92, 5, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229707, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 240, 10, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229708, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 82, 1, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229709, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 109, 7, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229710, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 71, 5, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229711, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 98, 5, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229712, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 70, 4, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229713, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 87, 7, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229714, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 159, 5, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229715, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 88, 3, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229716, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 57, 7, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229717, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 33, 5, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229718, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 12, 6, 2024, 7, 29, '2024-08-05 16:15:25', NULL, NULL), (229719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 354, 115, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 8765, 4, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 63, 127, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 124, 46, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 550, 148, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 93, 105, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 183, 8, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1200, 20, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1280, 284, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', '', 115, 2, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 5887, 6, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 530, 371, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 641, 54, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 1522, 3, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 714, 45, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 642, 122, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 694, 66, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 792, 56, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 633, 78, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 536, 81, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229739, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 17258, 2, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229740, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229741, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 58, 26, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229742, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 63, 128, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229743, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格证书领取', '', '', '', 185, 4, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229744, 22, '511502000000-0001', '翠屏区政务服务中心', '小学、幼儿园教师资格证书领取', '', '', '', 181, 4, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229745, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1143, 21, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229746, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 272, 2, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229747, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 1201, 2, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229748, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 440, 14, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229749, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 259, 61, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229750, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229751, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 212, 5, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229752, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 100, 18, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229753, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 53, 6, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229754, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 335, 54, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229755, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 394, 16, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229756, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1071, 14, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229757, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 42, 4, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229758, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 32, 10, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229759, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 80, 27, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229760, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  区林竹业局', '', '', '', 0, 1, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229761, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 51, 1, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229762, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 9, 2, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229763, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 7, 1, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229764, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 309, 2, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229765, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 161, 32, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229766, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 60, 61, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229767, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1566, 219, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229768, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 14, 1, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229769, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 115, 2, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229770, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 125, 7, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229771, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 648, 7, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229772, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 256, 11, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229773, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 723, 23, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229774, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 603, 59, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229775, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 9, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229776, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 884, 17, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229777, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 10, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229778, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 976, 2, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229779, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 7, 30, '2024-08-05 16:15:26', NULL, NULL), (229780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 29, 19, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 125, 7, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 723, 23, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 61, 23, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 20, 18, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 226, 15, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 37, 7, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 416, 20, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 46, 21, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 106, 13, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 337, 19, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 473, 10, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 43, 17, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 1260, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 57, 19, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 88, 12, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 262, 6, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 267, 8, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 170, 8, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 80, 16, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 1158, 3, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 75, 13, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 479, 13, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 767, 22, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 177, 22, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 166, 31, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 21, 7, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 93, 17, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 2282, 22, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 1171, 16, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1442, 64, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 465, 11, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 2059, 23, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1314, 4, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 115, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 309, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 42, 4, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A16', 185, 4, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A17', 181, 4, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 53, 6, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 32, 10, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 14, 1, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 756, 6, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1062, 13, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 440, 14, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 313, 17, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 14, 3, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 270, 16, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 246, 25, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 1264, 52, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 303, 4, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 9, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 2500, 7, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 17459, 1, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 7, 1, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 158, 7, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 41, 6, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 62, 4, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 4, 5, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1562, 56, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 1201, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 100, 18, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1071, 14, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 976, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229844, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 212, 5, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229845, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 256, 11, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229846, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 259, 61, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229847, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 14, 1, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229848, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 309, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229849, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', '', 1201, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229850, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 100, 18, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (229851, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 17258, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229852, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 63, 127, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229853, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 58, 26, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229854, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 80, 27, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229855, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 976, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229856, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 9, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229857, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 723, 23, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229858, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 60, 61, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229859, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 756, 6, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229860, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 125, 7, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229861, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 32, 10, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229862, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', '', 7, 1, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229863, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1200, 20, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229864, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 394, 16, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229865, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 53, 6, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229866, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格证书领取', '区行政审批和非公经济局', '', '', 185, 4, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229867, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', '', 115, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229868, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 42, 4, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229869, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 166, 31, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229870, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 51, 1, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229871, 22, '511502000000-0001', '翠屏区政务服务中心', '小学、幼儿园教师资格证书领取', '区行政审批和非公经济局', '', '', 181, 4, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229872, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 884, 17, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229873, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 440, 14, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229874, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 1071, 14, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229875, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 272, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229876, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 603, 59, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229877, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1581, 217, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229878, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 335, 54, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229879, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 213, 1, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229880, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1314, 4, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229881, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 1171, 16, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229882, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 440, 14, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229883, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 313, 17, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229884, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 14, 3, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229885, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 74, 6, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229886, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 270, 16, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229887, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 41, 6, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229888, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 112, 5, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229889, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 246, 25, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229890, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 4, 5, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229891, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 723, 23, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229892, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 62, 4, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229893, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格证书领取', '', '', 'A16', 185, 4, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229894, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 147, 6, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229895, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 388, 5, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229896, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 211, 4, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229897, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 32, 10, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229898, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 82, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229899, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1062, 13, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229900, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 42, 4, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229901, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 309, 2, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229902, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 767, 22, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229903, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 1158, 3, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229904, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 479, 13, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229905, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 170, 8, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229906, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 9, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229907, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 1260, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229908, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 100, 18, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229909, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 303, 4, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229910, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 7, 1, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229911, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 51, 11, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229912, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 75, 2, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229913, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 87, 6, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229914, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 78, 8, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229915, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 56, 7, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229916, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 83, 8, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229917, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 37, 7, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229918, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 40, 12, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229919, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 125, 7, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229920, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 272, 2, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229921, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 465, 11, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229922, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 262, 6, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229923, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 976, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229924, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 416, 20, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229925, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 473, 10, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229926, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 337, 19, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229927, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 226, 15, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229928, 22, '511502000000-0001', '翠屏区政务服务中心', '小学、幼儿园教师资格证书领取', '', '', 'A17', 181, 4, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229929, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 17058, 1, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229930, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 17459, 1, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229931, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 1201, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229932, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1562, 56, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229933, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 115, 2, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229934, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 21, 7, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229935, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1071, 14, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229936, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 88, 6, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229937, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 29, 19, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229938, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 87, 7, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229939, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 177, 22, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229940, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 35, 4, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229941, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 5, 3, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229942, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 14, 1, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229943, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 51, 1, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229944, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 53, 6, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229945, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 1264, 52, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229946, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 142, 5, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229947, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 46, 21, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229948, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1442, 64, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229949, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 2282, 22, 2024, 7, 30, '2024-08-05 16:15:27', NULL, NULL), (229950, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 43, 17, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229951, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 166, 31, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229952, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 61, 23, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229953, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 756, 6, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229954, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 20, 18, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229955, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 2059, 23, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 17058, 1, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 61, 23, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 29, 19, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 21, 7, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 93, 17, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 177, 22, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 272, 2, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 17459, 1, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 43, 17, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 46, 21, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 20, 18, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 2059, 23, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 1264, 52, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 246, 25, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1442, 64, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 2282, 22, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 313, 17, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 756, 6, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 270, 16, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 14, 3, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 465, 11, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1562, 56, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区民政局', '', 'A13', 115, 2, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A17', 181, 4, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A16', 185, 4, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 767, 22, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C08', 1158, 3, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 479, 13, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 170, 8, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C04', 1260, 2, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 262, 6, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 473, 10, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 9, 2, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 303, 4, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1314, 4, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 1062, 13, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 440, 14, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 32, 10, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 14, 1, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 53, 6, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 309, 2, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 42, 4, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 1171, 16, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (229999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 74, 6, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 976, 2, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 337, 19, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B07', 1201, 2, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 80, 16, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 4, 5, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 75, 13, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 1071, 14, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 88, 12, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 100, 18, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 166, 31, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 267, 8, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 112, 5, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 723, 23, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 57, 19, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 125, 7, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 37, 7, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 416, 20, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 62, 4, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 106, 13, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C23', 7, 1, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 226, 15, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 41, 6, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230022, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 723, 23, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230023, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1562, 56, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230024, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 2282, 22, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230025, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格证书领取', '区行政审批和非公经济局', '', 'A16', 185, 4, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230026, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1442, 64, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230027, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 51, 11, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230028, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 1264, 52, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230029, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 82, 2, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230030, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 337, 19, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230031, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 2059, 23, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230032, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 416, 20, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230033, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 226, 15, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230034, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 62, 4, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230035, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 4, 5, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230036, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 112, 5, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230037, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 41, 6, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230038, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 74, 6, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230039, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 125, 7, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230040, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 756, 6, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230041, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 465, 11, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230042, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 309, 2, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230043, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 303, 4, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230044, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 42, 4, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230045, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 272, 2, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230046, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 32, 10, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230047, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 9, 2, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230048, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 213, 1, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230049, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 177, 22, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230050, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 53, 6, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230051, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 21, 7, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230052, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 1062, 13, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230053, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 29, 19, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230054, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 61, 23, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230055, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 473, 10, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230056, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 20, 18, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230057, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 46, 21, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230058, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 1071, 14, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230059, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '区人社局', '', 'C23', 7, 1, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230060, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 262, 6, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230061, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 43, 17, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230062, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '区不动产', '', 'B07', 1201, 2, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230063, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 17058, 1, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230064, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 170, 8, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230065, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C04', 1260, 2, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230066, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 100, 18, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230067, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 17459, 1, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230068, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 166, 31, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230069, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1314, 4, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230070, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 1171, 16, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230071, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 479, 13, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230072, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 767, 22, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230073, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 440, 14, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230074, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 14, 1, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230075, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C08', 1158, 3, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230076, 22, '511502000000-0001', '翠屏区政务服务中心', '小学、幼儿园教师资格证书领取', '区行政审批和非公经济局', '', 'A17', 181, 4, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230077, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '区民政局', '', 'A13', 115, 2, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230078, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 51, 1, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230079, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 313, 17, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230080, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 14, 3, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230081, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 35, 4, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230082, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 976, 2, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230083, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 5, 3, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230084, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 270, 16, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230085, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 246, 25, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230086, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 88, 6, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230087, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 87, 7, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230088, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 147, 6, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230089, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A03', 142, 5, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230090, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 37, 7, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230091, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 211, 4, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230092, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 388, 5, 2024, 7, 30, '2024-08-05 16:15:29', NULL, NULL), (230093, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 40, 12, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230094, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 87, 6, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230095, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 83, 8, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230096, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 78, 8, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230097, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 75, 2, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230098, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 56, 7, 2024, 7, 30, '2024-08-05 16:15:28', NULL, NULL), (230099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 398, 127, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', '', 56, 4, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 15977, 3, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 27, 100, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 23, 28, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 351, 162, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 30, 80, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', '', 313, 34, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 1428, 12, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 946, 244, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 447, 274, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 693, 21, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 646, 4, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 23, 2, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 219, 3, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 473, 57, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 47, 5, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 356, 69, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 563, 62, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 417, 98, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 419, 71, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1076, 80, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 468, 66, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230122, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 72, 3, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230123, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 9, 16, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230124, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 27, 100, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230125, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1224, 14, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230126, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格证书领取', '', '', '', 165, 18, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230127, 22, '511502000000-0001', '翠屏区政务服务中心', '小学、幼儿园教师资格证书领取', '', '', '', 480, 16, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230128, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 10, 1, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230129, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 643, 7, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230130, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 291, 64, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230131, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 21, 7, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230132, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 15977, 3, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230133, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 41, 12, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230134, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 252, 8, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230135, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 565, 63, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230136, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 602, 10, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230137, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 182, 20, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230138, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 2, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230139, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 44, 8, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230140, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 645, 1, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230141, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 1345, 9, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230142, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 6, 14, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230143, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 266, 3, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230144, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 6, 8, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230145, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 695, 2, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230146, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 182, 34, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230147, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 18, 47, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230148, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1179, 180, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230149, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '', 0, 1, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230150, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 71, 3, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230151, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 129, 11, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230152, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230153, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 61, 9, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230154, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 386, 19, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230155, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 112, 56, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230156, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 8, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230157, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 11, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230158, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 635, 31, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230159, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 2, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230160, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 4, 1, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 129, 11, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 17, 18, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 7, 7, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 386, 19, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 12, 15, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 514, 26, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 19, 5, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 26, 20, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 496, 15, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 79, 17, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 158, 5, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 674, 22, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 131, 4, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 4799, 10, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 40, 8, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 212, 11, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 86, 14, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 22, 14, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 129, 22, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 18, 18, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 105, 13, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 83, 10, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 5, 8, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 17, 15, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 182, 34, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 9, 14, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 2219, 2, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1339, 31, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1270, 10, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 114, 11, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1176, 32, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 695, 2, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 59, 6, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A16', 165, 18, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 252, 8, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A17', 480, 16, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 1345, 9, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 71, 3, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 635, 31, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 643, 7, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 327, 19, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 265, 18, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 282, 27, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 1039, 63, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 38, 6, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 6, 8, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 4, 1, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 15, 2, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 12, 3, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 645, 1, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 17, 3, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 4, 5, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1252, 54, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 41, 12, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 602, 10, 2024, 7, 31, '2024-08-05 16:15:30', NULL, NULL), (230216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 4, 1, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230217, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 21, 7, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230218, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 61, 9, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230219, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 291, 64, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230220, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 71, 3, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230221, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 695, 2, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230222, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 41, 12, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230223, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', '', 72, 3, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230224, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 27, 100, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230225, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 9, 16, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230226, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 6, 14, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230227, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 4, 1, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230228, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 6, 8, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230229, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 386, 19, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230230, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 18, 47, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230231, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 129, 11, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230232, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 1345, 9, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230233, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 1428, 12, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230234, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 182, 20, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230235, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 15977, 3, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230236, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 252, 8, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230237, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格证书领取', '区行政审批和非公经济局', '', '', 165, 18, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230238, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 59, 6, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230239, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 182, 34, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230240, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', '', 266, 3, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230241, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', '', 645, 1, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230242, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 635, 31, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230243, 22, '511502000000-0001', '翠屏区政务服务中心', '小学、幼儿园教师资格证书领取', '区行政审批和非公经济局', '', '', 480, 16, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230244, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 643, 7, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230245, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 602, 10, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230246, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', '', 10, 1, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230247, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 112, 56, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230248, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1179, 180, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230249, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 565, 63, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230250, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 27, 3, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230251, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1270, 10, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230252, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 2219, 2, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (230253, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 643, 7, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230254, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 327, 19, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230255, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 5, 4, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230256, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 12, 3, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230257, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 265, 18, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230258, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 21, 1, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230259, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 282, 27, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230260, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 4, 5, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230261, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 17, 3, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230262, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 386, 19, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230263, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格证书领取', '', '', 'A16', 165, 18, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230264, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 51, 4, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230265, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 70, 5, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230266, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 17, 4, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230267, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 1345, 9, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230268, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 7, 5, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230269, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 635, 31, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230270, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 695, 2, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230271, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 59, 6, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230272, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 83, 10, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230273, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 105, 13, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230274, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 129, 22, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230275, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 6, 8, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230276, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 41, 12, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230277, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 5, 5, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230278, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 10, 5, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230279, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 51, 6, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230280, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 645, 1, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230281, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 19, 12, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230282, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 11, 9, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230283, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 22, 4, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230284, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 129, 11, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230285, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 9, 6, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230286, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 10, 1, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230287, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 114, 11, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230288, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 212, 11, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230289, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 4, 1, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230290, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 158, 5, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230291, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 496, 15, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230292, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 131, 4, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230293, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 674, 22, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230294, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 514, 26, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230295, 22, '511502000000-0001', '翠屏区政务服务中心', '小学、幼儿园教师资格证书领取', '', '', 'A17', 480, 16, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230296, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 106, 2, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230297, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 4, 1, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230298, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1252, 54, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230299, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 15977, 3, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230300, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 4, 1, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230301, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 17, 15, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230302, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 602, 10, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230303, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 5, 2, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230304, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 17, 18, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230305, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 5, 1, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230306, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 5, 8, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230307, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 5, 3, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230308, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 12, 1, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230309, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 266, 3, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230310, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 71, 3, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230311, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 252, 8, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230312, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 1039, 63, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230313, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 26, 20, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230314, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1339, 31, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230315, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 4, 1, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230316, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 79, 17, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230317, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 182, 34, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230318, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 7, 7, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230319, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 12, 15, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230320, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1176, 32, 2024, 7, 31, '2024-08-05 16:15:31', NULL, NULL), (230321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B01', 106, 2, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 7, 7, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 17, 18, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 17, 15, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 5, 8, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 9, 14, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B03', 10, 1, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 15977, 3, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区退役军人局', '', 'B02', 4, 1, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 79, 17, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 26, 20, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 12, 15, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 1176, 32, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D06', 1039, 63, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D05', 282, 27, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1339, 31, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 327, 19, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D04', 265, 18, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 114, 11, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1252, 54, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A17', 480, 16, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区行政审批和非公经济局', '', 'A16', 165, 18, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 83, 10, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 105, 13, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 129, 22, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 212, 11, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 158, 5, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 131, 4, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 6, 8, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1270, 10, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 635, 31, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 643, 7, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 1345, 9, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 71, 3, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 252, 8, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 695, 2, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 2219, 2, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 59, 6, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 5, 4, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 4, 1, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 674, 22, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 22, 14, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 4, 5, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 18, 18, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 602, 10, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 182, 34, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 41, 12, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 40, 8, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 86, 14, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 21, 1, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C26', 645, 1, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 386, 19, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 129, 11, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 9, 7, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 17, 3, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 19, 5, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 496, 15, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 12, 3, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 514, 26, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230380, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1252, 54, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230381, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 386, 19, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230382, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1339, 31, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230383, 22, '511502000000-0001', '翠屏区政务服务中心', '初中教师资格证书领取', '区行政审批和非公经济局', '', 'A16', 165, 18, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230384, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 5, 5, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230385, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D06', 1039, 63, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230386, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 7, 5, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230387, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 1176, 32, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230388, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 674, 22, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230389, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 496, 15, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230390, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 514, 26, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230391, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 17, 3, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230392, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 4, 5, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230393, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 21, 1, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230394, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 12, 3, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230395, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 5, 4, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230396, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 129, 11, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230397, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 695, 2, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230398, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 114, 11, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230399, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 59, 6, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230400, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '区退役军人局', '', 'B03', 10, 1, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230401, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 1345, 9, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230402, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 6, 8, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230403, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 5, 8, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230404, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 27, 3, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230405, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 252, 8, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230406, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 17, 15, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230407, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 635, 31, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230408, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 17, 18, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230409, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 7, 7, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230410, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 158, 5, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230411, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 12, 15, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230412, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 131, 4, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230413, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 26, 20, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230414, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 602, 10, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230415, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 79, 17, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230416, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 212, 11, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230417, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 15977, 3, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230418, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B01', 106, 2, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230419, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 129, 22, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230420, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 41, 12, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230421, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '区退役军人局', '', 'B02', 4, 1, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230422, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 182, 34, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230423, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1270, 10, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230424, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 2219, 2, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230425, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 105, 13, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230426, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 83, 10, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230427, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 643, 7, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230428, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 71, 3, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230429, 22, '511502000000-0001', '翠屏区政务服务中心', '小学、幼儿园教师资格证书领取', '区行政审批和非公经济局', '', 'A17', 480, 16, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230430, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '区税务局', '', 'A07', 266, 3, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230431, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 327, 19, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230432, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 5, 3, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230433, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 12, 1, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230434, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 4, 1, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230435, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D04', 265, 18, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230436, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A07', 4, 1, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230437, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D05', 282, 27, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230438, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 5, 2, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230439, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 5, 1, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230440, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 51, 4, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230441, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 22, 4, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230442, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 4, 1, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230443, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 17, 4, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230444, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 70, 5, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230445, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 9, 6, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230446, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 51, 6, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230447, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '区人社局', '', 'C26', 645, 1, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230448, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 19, 12, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230449, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 10, 5, 2024, 7, 31, '2024-08-05 16:15:32', NULL, NULL), (230450, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 11, 9, 2024, 7, 31, '2024-08-05 16:15:33', NULL, NULL), (230451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '', 204, 122, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', '', 12422, 2, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '', 69, 77, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', '', 1324, 1, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', '', 37, 22, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', '', 567, 205, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', '', 50, 83, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', '', 2199, 11, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '', 1195, 234, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 1292, 3, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 488, 216, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 415, 64, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 548, 86, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 858, 60, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 457, 107, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 994, 6, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 807, 55, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 675, 86, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1774, 33, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 436, 55, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230471, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 5, 11, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230472, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 69, 77, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230473, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2015, 12, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230474, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 1324, 1, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230475, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 299, 21, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230476, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 593, 59, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230477, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 8281, 3, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230478, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 69, 11, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230479, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 135, 9, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230480, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 671, 12, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230481, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 104, 57, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230482, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 345, 11, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230483, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 724, 52, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230484, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 37, 7, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230485, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 1335, 10, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230486, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 35, 17, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230487, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230488, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 5, 1, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230489, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 212, 4, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230490, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 74, 29, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230491, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 37, 54, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230492, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1405, 172, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230493, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 4968, 4, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230494, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 453, 19, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230495, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 990, 3, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230496, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 100, 4, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230497, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 431, 19, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230498, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 336, 69, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230499, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 8, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230500, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 189, 15, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230501, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 6, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230502, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 237, 1, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 478, 18, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 18, 13, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 431, 19, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 197, 12, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 3, 9, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 101, 20, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 338, 1, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 9, 13, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 146, 15, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 104, 2, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 80, 22, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 60, 14, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 573, 20, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C01', 74, 10, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 777, 18, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 1807, 14, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 54, 11, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 871, 14, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 6, 4, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 64, 16, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 236, 22, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 125, 14, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 334, 14, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 266, 15, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 73, 10, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 3, 8, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 76, 28, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 112, 12, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1431, 53, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 2475, 5, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1416, 50, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 1968, 6, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 547, 17, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1343, 37, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 212, 4, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 44, 6, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 671, 12, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 1335, 10, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 4968, 4, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 990, 3, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 166, 14, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 299, 21, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 674, 31, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 502, 28, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 500, 1, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 5, 1, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 7, 3, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 10, 2, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 3, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 2, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 1, 1, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1415, 32, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 345, 11, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 69, 11, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 237, 1, 2024, 8, 1, '2024-08-05 16:15:34', NULL, NULL), (230558, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', '', 135, 9, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230559, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', '', 100, 4, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230560, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '', 593, 59, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230561, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', '', 4968, 4, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230562, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', '', 212, 4, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230563, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', '', 69, 11, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230564, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '', 69, 77, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230565, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', '', 5, 11, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230566, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', '', 35, 17, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230567, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', '', 237, 1, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230568, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', '', 5, 1, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230569, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '', 431, 19, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230570, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', '', 37, 53, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230571, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '', 990, 3, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230572, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '', 478, 18, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230573, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', '', 1335, 10, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230574, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', '', 2199, 11, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230575, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', '', 724, 52, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230576, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', '', 12422, 2, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230577, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', '', 671, 12, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230578, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', '', 1324, 1, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230579, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', '', 44, 6, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230580, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '', 76, 28, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230581, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', '', 189, 15, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230582, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', '', 299, 21, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230583, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', '', 345, 11, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230584, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', '', 341, 68, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230585, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '', 1405, 172, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230586, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '', 104, 57, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230587, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 54, 3, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230588, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 1968, 6, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230589, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 2475, 5, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230590, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 299, 21, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230591, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 674, 31, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230592, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 502, 28, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230593, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 7, 3, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230594, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 3, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230595, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 10, 2, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230596, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 1, 1, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230597, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 2, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230598, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 431, 19, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230599, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 197, 2, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230600, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 3, 2, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230601, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 1335, 10, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230602, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 175, 6, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230603, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 18, 1, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230604, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 1324, 1, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230605, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 166, 14, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230606, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 44, 6, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230607, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 212, 4, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230608, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 266, 15, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230609, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 334, 14, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230610, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 236, 22, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230611, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 5, 1, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230612, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 69, 11, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230613, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 500, 1, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230614, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 55, 5, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230615, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 9, 2, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230616, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 59, 10, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230617, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 28, 6, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230618, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 55, 8, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230619, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 104, 2, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230620, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 9, 11, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230621, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 20, 9, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230622, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 478, 18, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230623, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 547, 17, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230624, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 871, 14, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230625, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 237, 1, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230626, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 146, 15, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230627, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 573, 20, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230628, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 80, 22, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230629, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 777, 18, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230630, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 101, 20, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230631, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1415, 32, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230632, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 12422, 2, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230633, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 345, 11, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230634, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 3, 8, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230635, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 5, 1, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230636, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 18, 13, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230637, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 91, 3, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230638, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 73, 10, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230639, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 26, 4, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230640, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 31, 6, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230641, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 4968, 4, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230642, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 671, 12, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230643, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C01', 74, 10, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230644, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 338, 1, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230645, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1416, 50, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230646, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 4, 2, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230647, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 60, 14, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230648, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1431, 53, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230649, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 76, 28, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230650, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 197, 12, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230651, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 990, 3, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230652, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 3, 9, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230653, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1343, 37, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C05', 197, 12, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C06', 18, 13, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C07', 3, 8, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A10', 112, 12, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C08', 73, 10, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区综合行政执法局', '', 'A05', 12422, 2, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (230660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C01', 74, 10, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C02', 60, 14, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C03', 338, 1, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区医保局', '', '2C04', 3, 9, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D09', 1343, 37, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D08', 1416, 50, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D07', 1431, 53, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D02', 674, 31, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D01', 990, 3, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D03', 502, 28, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C11', 547, 17, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '翠屏区公安', '', '3D10', 1415, 32, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区消防大队', '', 'A09', 1324, 1, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C09', 266, 15, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C07', 334, 14, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C05', 236, 22, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C03', 871, 14, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C02', 573, 20, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C01', 777, 18, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C21', 5, 1, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C20', 500, 1, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A12', 1968, 6, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C19', 166, 14, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C18', 299, 21, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C17', 1335, 10, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C16', 4968, 4, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C14', 671, 12, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C13', 212, 4, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C12', 44, 6, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区卫生健康局', '', 'A11', 2475, 5, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B01', 7, 3, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C30', 237, 1, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A04', 80, 22, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A08', 64, 16, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B06', 1, 1, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区人社局', '', 'C29', 345, 11, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A09', 33, 13, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A06', 54, 11, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B09', 69, 11, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A09', 76, 28, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A07', 6, 4, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A07', 431, 19, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B03', 10, 2, 2024, 8, 1, '2024-08-05 16:15:35', NULL, NULL), (230703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A05', 38, 12, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A08', 478, 18, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B05', 2, 2, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A02', 9, 13, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A05', 146, 15, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区税务局', '', 'A03', 104, 2, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区不动产', '', 'B04', 2, 3, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '区市场监管', '', '2A06', 101, 20, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230711, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '区市场监管', '', '2A07', 431, 19, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230712, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D10', 1415, 32, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230713, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D07', 1431, 53, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230714, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D08', 1416, 50, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230715, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A10', 55, 5, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230716, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A10', 18, 1, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230717, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A04', 80, 22, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230718, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '翠屏区公安', '', '3D09', 1343, 37, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230719, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A05', 146, 15, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230720, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '区市场监管', '', '2A06', 101, 20, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230721, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B05', 2, 2, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230722, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B06', 1, 1, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230723, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B03', 10, 2, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230724, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B04', 2, 3, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230725, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '区不动产', '', 'B01', 7, 3, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230726, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '区市场监管', '', '2A08', 478, 18, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230727, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '翠屏区公安', '', '3D01', 990, 3, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230728, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C11', 547, 17, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230729, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '区人社局', '', 'C13', 212, 4, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230730, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C20', 500, 1, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230731, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '区人社局', '', 'C12', 44, 6, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230732, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '区人社局', '', 'C17', 1335, 10, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230733, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '区消防大队', '', 'A09', 1324, 1, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230734, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '区人社局', '', 'C21', 5, 1, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230735, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A09', 54, 3, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230736, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C08', 73, 10, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230737, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '区人社局', '', 'C14', 671, 12, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230738, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C07', 3, 8, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230739, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '区人社局', '', 'C19', 166, 14, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230740, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C06', 18, 13, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230741, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C02', 573, 20, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230742, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C05', 197, 12, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230743, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C04', 3, 9, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230744, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C01', 777, 18, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230745, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C03', 338, 1, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230746, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '区人社局', '', 'C29', 345, 11, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230747, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C02', 60, 14, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230748, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '区人社局', '', 'C03', 871, 14, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230749, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '区综合行政执法局', '', 'A05', 12422, 2, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230750, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '区医保局', '', '2C01', 74, 10, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230751, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C05', 236, 22, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230752, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '区不动产', '', 'B09', 69, 11, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230753, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '区市场监管', '', '2A09', 76, 28, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230754, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A12', 1968, 6, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230755, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '区卫生健康局', '', 'A11', 2475, 5, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230756, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C07', 334, 14, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230757, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '区人社局', '', 'C09', 266, 15, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230758, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '区人社局', '', 'C18', 299, 21, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230759, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '区人社局', '', 'C16', 4968, 4, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230760, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D02', 674, 31, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230761, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A09', 26, 4, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230762, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '翠屏区公安', '', '3D03', 502, 28, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230763, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A08', 31, 6, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230764, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '区人社局', '', 'C30', 237, 1, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230765, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A06', 5, 1, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230766, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A05', 91, 3, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230767, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A08', 197, 2, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230768, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A02', 9, 11, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230769, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '区税务局', '', 'A02', 4, 2, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230770, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '区税务局', '', 'A07', 3, 2, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230771, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '区税务局', '', 'A10', 175, 6, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230772, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A05', 20, 9, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230773, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A06', 59, 10, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230774, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A03', 104, 2, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230775, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A09', 28, 6, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230776, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A07', 9, 2, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230777, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '区税务局', '', 'A08', 55, 8, 2024, 8, 1, '2024-08-05 16:15:36', NULL, NULL), (230778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 360, 13, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:08'), (230779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 398, 309, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:09'), (230780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 345, 78, 2024, 8, 2, '2024-08-05 16:15:37', 1, '2024-08-06 02:01:08'), (230781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 274, 3, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:09'), (230782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 250, 43, 2024, 8, 2, '2024-08-05 16:15:37', 1, '2024-08-06 02:01:09'), (230783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 47, 3, 2024, 8, 2, '2024-08-05 16:15:37', 1, '2024-08-06 02:01:09'), (230784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 306, 78, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:09'), (230785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 296, 45, 2024, 8, 2, '2024-08-05 16:15:37', 1, '2024-08-06 02:01:03'), (230786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 374, 73, 2024, 8, 2, '2024-08-05 16:15:37', 1, '2024-08-06 02:01:08'), (230787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 299, 65, 2024, 8, 2, '2024-08-05 16:15:37', 1, '2024-08-06 02:01:08'), (230788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 2342, 19, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:09'), (230789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 272, 63, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:09'), (230790, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '', 320, 2, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:09'), (230791, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 66, 2, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:09'), (230792, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 16, 92, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:09'), (230793, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 6, 14, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:10'), (230794, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 4753, 9, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:10'), (230795, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 219, 16, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:10'), (230796, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 479, 55, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:10'), (230797, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:09'), (230798, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 54, 12, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:17'), (230799, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 133, 8, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:24'), (230800, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 478, 11, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:32'), (230801, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 779, 56, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:11'), (230802, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 598, 16, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:11'), (230803, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 657, 40, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:11'), (230804, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 279, 5, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:16'), (230805, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 7, 2, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:11'), (230806, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 25, 6, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:09'), (230807, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 170, 21, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:09'), (230808, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 7, 2, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:10'), (230809, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 0, 2, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:17'), (230810, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 410, 6, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:18'), (230811, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 1417, 4, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:09'), (230812, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 184, 25, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:11'), (230813, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 223, 73, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:11'), (230814, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 540, 160, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:11'), (230815, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 9, 2, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:09'), (230816, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 221, 18, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:16'), (230817, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 455, 6, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:10'), (230818, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 1, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:10'), (230819, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 315, 12, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:10'), (230820, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 357, 19, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:10'), (230821, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 147, 58, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:10'), (230822, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 11, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:10'), (230823, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 10, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:10'), (230824, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 482, 17, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:10'), (230825, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 110, 2, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:10'), (230826, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 3, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:16'), (230827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 221, 18, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:34'), (230828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 6, 14, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:34'), (230829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 377, 18, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:34'), (230830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 834, 23, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:34'), (230831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 5, 12, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:34'), (230832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 286, 8, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:34'), (230833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 24, 14, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:34'), (230834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 622, 14, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:34'), (230835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 26, 12, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:33'), (230836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 828, 19, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:33'), (230837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 720, 15, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:33'), (230838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C01', 25, 12, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:33'), (230839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 641, 15, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:33'), (230840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 224, 22, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:33'), (230841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 208, 19, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:34'), (230842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 587, 10, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:34'), (230843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 210, 19, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:32'), (230844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 265, 18, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:33'), (230845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 100, 17, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:33'), (230846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 122, 22, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:33'), (230847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 177, 18, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:33'), (230848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 127, 6, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:33'), (230849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 5, 13, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:33'), (230850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 21, 15, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:33'), (230851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 184, 25, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:33'), (230852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 136, 12, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:34'), (230853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 531, 41, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:35'), (230854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 33, 3, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:35'), (230855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 524, 46, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:35'), (230856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 7114, 6, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:35'), (230857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 170, 17, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:35'), (230858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 480, 41, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:35'), (230859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 1417, 4, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:34'), (230860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 698, 2, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:34'), (230861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 133, 8, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:34'), (230862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 25, 6, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:39'), (230863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 9, 2, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:39'), (230864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 455, 6, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:47'), (230865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 511, 16, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:48'), (230866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 219, 16, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:53'), (230867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 448, 28, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:54'), (230868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 516, 20, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:35'), (230869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 583, 6, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:35'), (230870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 19, 1, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:32'), (230871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 410, 6, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:32'), (230872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 29, 5, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:32'), (230873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 10, 3, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:32'), (230874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 3, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:32'), (230875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 7, 2, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:32'), (230876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 4, 3, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:32'), (230877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 13, 2, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:32'), (230878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 652, 32, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:32'), (230879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 478, 11, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:32'), (230880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 638, 15, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:32'), (230881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2B09', 320, 2, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:32'), (230882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 110, 2, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:38'), (230883, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 71, 9, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230884, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 7114, 6, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230885, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 33, 3, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230886, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 219, 16, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230887, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 448, 28, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230888, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 4, 3, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230889, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 3, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230890, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 516, 20, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230891, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 583, 6, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230892, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 10, 3, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:56'), (230893, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 13, 2, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230894, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 4, 3, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230895, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 377, 18, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230896, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 353, 6, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230897, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 278, 6, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230898, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 3, 3, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230899, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 25, 6, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230900, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 185, 1, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230901, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 511, 16, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230902, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 1417, 4, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230903, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 698, 2, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230904, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 127, 6, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230905, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 177, 18, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:54'), (230906, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 100, 17, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:54'), (230907, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 410, 6, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:54'), (230908, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 478, 11, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:54'), (230909, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 19, 1, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230910, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 180, 8, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:55'), (230911, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 276, 7, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:54'), (230912, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 213, 16, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:54'), (230913, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 7, 2, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:54'), (230914, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 121, 7, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:54'), (230915, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 212, 10, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230916, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 286, 8, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:54'), (230917, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 248, 17, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:54'), (230918, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 221, 18, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230919, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 170, 17, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:54'), (230920, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 587, 10, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:54'), (230921, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 110, 2, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:54'), (230922, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 622, 14, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:54'), (230923, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 720, 15, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:54'), (230924, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 828, 19, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:54'), (230925, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 641, 15, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:54'), (230926, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 834, 23, 2024, 8, 2, '2024-08-05 16:15:38', 1, '2024-08-06 02:01:54'), (230927, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 66, 2, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:54'), (230928, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 652, 32, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230929, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '2B09', 320, 2, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:54'), (230930, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 94, 4, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:54'), (230931, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 21, 15, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230932, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 638, 15, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230933, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 181, 3, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230934, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 145, 5, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230935, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 5, 13, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230936, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 199, 6, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:54'), (230937, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 271, 2, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:54'), (230938, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 7, 2, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230939, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 9, 2, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230940, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 133, 8, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230941, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C01', 25, 12, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230942, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 24, 14, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:54'), (230943, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 524, 46, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:54'), (230944, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 26, 12, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230945, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 531, 41, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230946, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 6, 14, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230947, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 184, 25, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230948, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 455, 6, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230949, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 5, 12, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230950, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 480, 41, 2024, 8, 2, '2024-08-05 16:15:39', 1, '2024-08-06 02:01:55'), (230951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 1589, 21, 2024, 8, 3, '2024-08-05 16:15:40', 1, '2024-08-07 01:00:09'), (230952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 0, 1, 2024, 8, 3, '2024-08-05 16:15:40', 1, '2024-08-07 01:00:09'), (230953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 383, 3, 2024, 8, 3, '2024-08-05 16:15:40', 1, '2024-08-07 01:00:09'), (230954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 383, 5, 2024, 8, 3, '2024-08-05 16:15:40', 1, '2024-08-07 01:00:03'), (230955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 1584, 1, 2024, 8, 3, '2024-08-05 16:15:40', 1, '2024-08-07 01:00:09'), (230956, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 8, 3, '2024-08-05 16:15:40', 1, '2024-08-07 01:00:09'), (230957, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2024, 8, 3, '2024-08-05 16:15:40', 1, '2024-08-07 01:00:09'), (230958, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 5558, 2, 2024, 8, 3, '2024-08-05 16:15:40', 1, '2024-08-07 01:00:16'), (230959, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 4, 2024, 8, 3, '2024-08-05 16:15:40', 1, '2024-08-07 01:00:09'), (230960, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1170, 23, 2024, 8, 3, '2024-08-05 16:15:40', 1, '2024-08-07 01:00:09'), (230961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 5558, 2, 2024, 8, 3, '2024-08-05 16:15:40', 1, '2024-08-07 01:00:17'), (230962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1281, 21, 2024, 8, 3, '2024-08-05 16:15:40', 1, '2024-08-07 01:00:16'), (230963, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1281, 21, 2024, 8, 3, '2024-08-05 16:15:40', 1, '2024-08-07 01:00:17'), (230964, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 5558, 2, 2024, 8, 3, '2024-08-05 16:15:40', 1, '2024-08-07 01:00:17'), (230965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 697, 7, 2024, 8, 4, '2024-08-05 16:15:41', 1, '2024-08-08 01:00:09'), (230966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1184, 4, 2024, 8, 4, '2024-08-05 16:15:41', 1, '2024-08-08 01:00:09'), (230967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 691, 2, 2024, 8, 4, '2024-08-05 16:15:41', 1, '2024-08-08 01:00:03'), (230968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 1015, 4, 2024, 8, 4, '2024-08-05 16:15:41', 1, '2024-08-08 01:00:09'), (230969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 0, 1, 2024, 8, 4, '2024-08-05 16:15:41', 1, '2024-08-08 01:00:16'), (230970, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2024, 8, 4, '2024-08-05 16:15:41', 1, '2024-08-08 01:00:23'), (230971, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 8, 4, '2024-08-05 16:15:41', 1, '2024-08-08 01:00:31'), (230972, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 302, 5, 2024, 8, 4, '2024-08-05 16:15:41', 1, '2024-08-08 01:00:17'), (230973, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1503, 9, 2024, 8, 4, '2024-08-05 16:15:41', 1, '2024-08-08 01:00:17'), (230974, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 23, 1, 2024, 8, 4, '2024-08-05 16:15:41', 1, '2024-08-08 01:00:17'), (230975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 23, 1, 2024, 8, 4, '2024-08-05 16:15:41', 1, '2024-08-08 01:00:31'), (230976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 302, 5, 2024, 8, 4, '2024-08-05 16:15:41', 1, '2024-08-08 01:00:31'), (230977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 1691, 8, 2024, 8, 4, '2024-08-05 16:15:41', 1, '2024-08-08 01:00:31'), (230978, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 1691, 8, 2024, 8, 4, '2024-08-05 16:15:41', 1, '2024-08-08 01:00:31'), (230979, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 302, 5, 2024, 8, 4, '2024-08-05 16:15:41', 1, '2024-08-08 01:00:31'), (230980, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 23, 1, 2024, 8, 4, '2024-08-05 16:15:41', 1, '2024-08-08 01:00:31'), (230981, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 16:31:54', NULL, NULL), (230982, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 16:31:55', NULL, NULL), (230983, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 16:31:56', NULL, NULL), (230984, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 16:31:57', NULL, NULL), (230985, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 16:31:58', NULL, NULL), (230986, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 16:31:58', NULL, NULL), (230987, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 16:31:59', NULL, NULL), (230988, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 16:32:00', NULL, NULL), (230989, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 16:32:01', NULL, NULL), (230990, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 16:32:02', NULL, NULL), (230991, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 16:32:03', NULL, NULL), (230992, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 16:32:04', NULL, NULL), (230993, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 16:32:04', NULL, NULL), (230994, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 16:32:05', NULL, NULL), (230995, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 16:32:06', NULL, NULL), (230996, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 16:32:07', NULL, NULL), (230997, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 16:32:08', NULL, NULL), (230998, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 16:32:09', NULL, NULL), (230999, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 16:32:10', NULL, NULL), (231000, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 16:32:11', NULL, NULL), (231001, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 16:32:12', NULL, NULL), (231002, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 16:32:13', NULL, NULL), (231003, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 16:32:14', NULL, NULL), (231004, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 16:32:16', NULL, NULL), (231005, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 16:32:19', NULL, NULL), (231006, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 16:32:23', NULL, NULL), (231007, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 16:32:26', NULL, NULL), (231008, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 16:32:29', NULL, NULL), (231009, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 16:32:30', NULL, NULL), (231010, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 16:32:31', NULL, NULL), (231011, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 16:32:32', NULL, NULL), (231012, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 16:32:33', NULL, NULL), (231013, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 16:32:33', NULL, NULL), (231014, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 16:32:34', NULL, NULL), (231015, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 16:32:35', NULL, NULL), (231016, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 16:32:36', NULL, NULL), (231017, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 16:32:36', NULL, NULL), (231018, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 16:32:37', NULL, NULL), (231019, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 16:32:38', NULL, NULL), (231020, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 16:32:39', NULL, NULL), (231021, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 16:32:40', NULL, NULL), (231022, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 16:32:41', NULL, NULL), (231023, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 16:32:41', NULL, NULL), (231024, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 16:32:42', NULL, NULL), (231025, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 16:32:43', NULL, NULL), (231026, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 16:32:44', NULL, NULL), (231027, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 16:32:45', NULL, NULL), (231028, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 16:32:46', NULL, NULL), (231029, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 16:32:46', NULL, NULL), (231030, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 16:32:47', NULL, NULL), (231031, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 16:32:48', NULL, NULL), (231032, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 16:32:49', NULL, NULL), (231033, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 16:32:50', NULL, NULL), (231034, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 16:32:51', NULL, NULL), (231035, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 16:32:52', NULL, NULL), (231036, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 16:32:53', NULL, NULL), (231037, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 16:32:55', NULL, NULL), (231038, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 16:32:56', NULL, NULL), (231039, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 16:32:59', NULL, NULL), (231040, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 16:33:03', NULL, NULL), (231041, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 16:33:06', NULL, NULL), (231042, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 16:33:08', NULL, NULL), (231043, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 16:33:09', NULL, NULL), (231044, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 16:33:10', NULL, NULL), (231045, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 16:33:11', NULL, NULL), (231046, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 16:33:11', NULL, NULL), (231047, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 16:33:12', NULL, NULL), (231048, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 16:33:13', NULL, NULL), (231049, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 16:33:14', NULL, NULL), (231050, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 16:33:15', NULL, NULL), (231051, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 16:33:15', NULL, NULL), (231052, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 16:33:16', NULL, NULL), (231053, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 16:33:17', NULL, NULL), (231054, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 16:33:18', NULL, NULL), (231055, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 16:33:19', NULL, NULL), (231056, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 16:33:20', NULL, NULL), (231057, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 16:33:20', NULL, NULL), (231058, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 16:33:21', NULL, NULL), (231059, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 16:33:22', NULL, NULL), (231060, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 16:33:23', NULL, NULL), (231061, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 16:33:24', NULL, NULL), (231062, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 16:33:25', NULL, NULL), (231063, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 16:33:26', NULL, NULL), (231064, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 16:33:27', NULL, NULL), (231065, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 16:33:28', NULL, NULL), (231066, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 16:33:29', NULL, NULL), (231067, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 16:33:30', NULL, NULL), (231068, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 16:33:31', NULL, NULL), (231069, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 16:33:32', NULL, NULL), (231070, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 16:33:34', NULL, NULL), (231071, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 16:33:36', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (231072, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 16:33:40', NULL, NULL), (231073, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 16:33:44', NULL, NULL), (231074, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 16:33:47', NULL, NULL), (231075, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 16:33:51', NULL, NULL), (231076, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 16:33:53', NULL, NULL), (231077, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 16:33:53', NULL, NULL), (231078, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 16:33:54', NULL, NULL), (231079, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 16:33:55', NULL, NULL), (231080, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 16:33:56', NULL, NULL), (231081, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 16:33:57', NULL, NULL), (231082, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 16:33:58', NULL, NULL), (231083, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 16:33:58', NULL, NULL), (231084, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 16:33:59', NULL, NULL), (231085, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 16:34:00', NULL, NULL), (231086, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 16:34:01', NULL, NULL), (231087, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 16:34:02', NULL, NULL), (231088, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 16:34:03', NULL, NULL), (231089, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 16:34:04', NULL, NULL), (231090, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 16:34:05', NULL, NULL), (231091, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 16:34:06', NULL, NULL), (231092, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 16:34:07', NULL, NULL), (231093, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 16:34:08', NULL, NULL), (231094, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 16:34:09', NULL, NULL), (231095, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 16:34:10', NULL, NULL), (231096, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 16:34:11', NULL, NULL), (231097, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 16:34:12', NULL, NULL), (231098, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 16:34:13', NULL, NULL), (231099, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 16:34:14', NULL, NULL), (231100, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 16:34:15', NULL, NULL), (231101, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 16:34:16', NULL, NULL), (231102, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 16:34:17', NULL, NULL), (231103, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 16:34:19', NULL, NULL), (231104, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 16:34:23', NULL, NULL), (231105, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 16:34:26', NULL, NULL), (231106, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 16:34:30', NULL, NULL), (231107, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 16:34:33', NULL, NULL), (231108, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 16:34:35', NULL, NULL), (231109, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 16:34:35', NULL, NULL), (231110, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 16:34:36', NULL, NULL), (231111, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 16:34:37', NULL, NULL), (231112, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 16:34:38', NULL, NULL), (231113, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 16:34:39', NULL, NULL), (231114, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 16:34:39', NULL, NULL), (231115, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 16:34:40', NULL, NULL), (231116, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 16:34:41', NULL, NULL), (231117, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 16:34:42', NULL, NULL), (231118, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 16:34:43', NULL, NULL), (231119, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 16:34:43', NULL, NULL), (231120, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 16:34:44', NULL, NULL), (231121, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 16:34:45', NULL, NULL), (231122, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 16:34:46', NULL, NULL), (231123, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 16:34:47', NULL, NULL), (231124, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 16:34:48', NULL, NULL), (231125, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 16:34:48', NULL, NULL), (231126, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 16:34:49', NULL, NULL), (231127, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 16:34:50', NULL, NULL), (231128, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 16:34:51', NULL, NULL), (231129, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 16:34:52', NULL, NULL), (231130, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 16:34:53', NULL, NULL), (231131, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 16:34:54', NULL, NULL), (231132, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 16:34:55', NULL, NULL), (231133, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 16:34:56', NULL, NULL), (231134, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 16:34:57', NULL, NULL), (231135, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 16:34:58', NULL, NULL), (231136, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 16:34:59', NULL, NULL), (231137, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 16:35:00', NULL, NULL), (231138, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 16:35:04', NULL, NULL), (231139, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 16:35:07', NULL, NULL), (231140, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 16:35:11', NULL, NULL), (231141, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 16:35:14', NULL, NULL), (231142, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 16:35:15', NULL, NULL), (231143, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 16:35:16', NULL, NULL), (231144, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 16:35:16', NULL, NULL), (231145, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 16:35:17', NULL, NULL), (231146, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 16:35:18', NULL, NULL), (231147, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 16:35:19', NULL, NULL), (231148, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 16:35:20', NULL, NULL), (231149, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 16:35:20', NULL, NULL), (231150, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 16:35:21', NULL, NULL), (231151, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 16:35:22', NULL, NULL), (231152, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 16:35:23', NULL, NULL), (231153, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 16:35:24', NULL, NULL), (231154, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 16:35:24', NULL, NULL), (231155, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 16:35:25', NULL, NULL), (231156, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 16:35:26', NULL, NULL), (231157, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 16:35:27', NULL, NULL), (231158, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 16:35:28', NULL, NULL), (231159, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 16:35:29', NULL, NULL), (231160, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 16:35:30', NULL, NULL), (231161, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 16:35:30', NULL, NULL), (231162, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 16:35:31', NULL, NULL), (231163, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 16:35:32', NULL, NULL), (231164, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 16:35:33', NULL, NULL), (231165, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 16:35:34', NULL, NULL), (231166, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 16:35:35', NULL, NULL), (231167, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 16:35:36', NULL, NULL), (231168, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 16:35:37', NULL, NULL), (231169, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 16:35:38', NULL, NULL), (231170, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 16:35:39', NULL, NULL), (231171, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 16:35:41', NULL, NULL), (231172, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 16:35:45', NULL, NULL), (231173, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 16:35:48', NULL, NULL), (231174, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 16:35:52', NULL, NULL), (231175, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 16:35:54', NULL, NULL), (231176, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 16:35:54', NULL, NULL), (231177, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 16:35:55', NULL, NULL), (231178, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 16:35:56', NULL, NULL), (231179, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 16:35:57', NULL, NULL), (231180, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 16:35:58', NULL, NULL), (231181, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 16:35:58', NULL, NULL), (231182, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 16:35:59', NULL, NULL), (231183, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 16:36:00', NULL, NULL), (231184, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 16:36:01', NULL, NULL), (231185, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 16:36:01', NULL, NULL), (231186, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 16:36:02', NULL, NULL), (231187, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 16:36:03', NULL, NULL), (231188, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 16:36:04', NULL, NULL), (231189, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 16:36:05', NULL, NULL), (231190, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 16:36:06', NULL, NULL), (231191, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 16:36:07', NULL, NULL), (231192, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 16:36:07', NULL, NULL), (231193, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 16:36:08', NULL, NULL), (231194, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 16:36:09', NULL, NULL), (231195, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 16:36:10', NULL, NULL), (231196, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 16:36:11', NULL, NULL), (231197, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 16:36:12', NULL, NULL), (231198, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 16:36:13', NULL, NULL), (231199, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 16:36:13', NULL, NULL), (231200, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 16:36:14', NULL, NULL), (231201, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 16:36:15', NULL, NULL), (231202, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 16:36:16', NULL, NULL), (231203, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 16:36:18', NULL, NULL), (231204, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 16:36:19', NULL, NULL), (231205, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 16:36:22', NULL, NULL), (231206, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 16:36:26', NULL, NULL), (231207, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 16:36:29', NULL, NULL), (231208, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 16:36:32', NULL, NULL), (231209, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 16:36:33', NULL, NULL), (231210, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 16:36:34', NULL, NULL), (231211, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 16:36:35', NULL, NULL), (231212, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 16:36:35', NULL, NULL), (231213, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 16:36:36', NULL, NULL), (231214, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 16:36:37', NULL, NULL), (231215, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 16:36:38', NULL, NULL), (231216, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 16:36:38', NULL, NULL), (231217, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 16:36:39', NULL, NULL), (231218, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 16:36:40', NULL, NULL), (231219, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 16:36:41', NULL, NULL), (231220, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 16:36:42', NULL, NULL), (231221, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 16:36:42', NULL, NULL), (231222, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 16:36:43', NULL, NULL), (231223, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 16:36:44', NULL, NULL), (231224, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 16:36:45', NULL, NULL), (231225, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 16:36:46', NULL, NULL), (231226, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 16:36:47', NULL, NULL), (231227, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 16:36:47', NULL, NULL), (231228, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 16:36:48', NULL, NULL), (231229, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 16:36:49', NULL, NULL), (231230, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 16:36:50', NULL, NULL), (231231, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 16:36:51', NULL, NULL), (231232, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 16:36:52', NULL, NULL), (231233, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 16:36:53', NULL, NULL), (231234, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 16:36:54', NULL, NULL), (231235, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 16:36:55', NULL, NULL), (231236, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 16:36:56', NULL, NULL), (231237, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 16:36:57', NULL, NULL), (231238, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 16:36:58', NULL, NULL), (231239, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 16:37:02', NULL, NULL), (231240, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 16:37:05', NULL, NULL), (231241, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 16:37:09', NULL, NULL), (231242, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 16:37:12', NULL, NULL), (231243, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 16:37:13', NULL, NULL), (231244, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 16:37:14', NULL, NULL), (231245, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 16:37:15', NULL, NULL), (231246, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 16:37:15', NULL, NULL), (231247, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 16:37:16', NULL, NULL), (231248, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 16:37:17', NULL, NULL), (231249, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 16:37:18', NULL, NULL), (231250, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 16:37:18', NULL, NULL), (231251, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 16:37:19', NULL, NULL), (231252, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 16:37:20', NULL, NULL), (231253, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 16:37:21', NULL, NULL), (231254, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 16:37:22', NULL, NULL), (231255, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 16:37:22', NULL, NULL), (231256, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 16:37:23', NULL, NULL), (231257, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 16:37:24', NULL, NULL), (231258, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 16:37:25', NULL, NULL), (231259, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 16:37:26', NULL, NULL), (231260, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 16:37:26', NULL, NULL), (231261, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 16:37:27', NULL, NULL), (231262, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 16:37:28', NULL, NULL), (231263, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 16:37:29', NULL, NULL), (231264, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 16:37:30', NULL, NULL), (231265, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 16:37:31', NULL, NULL), (231266, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 16:37:31', NULL, NULL), (231267, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 16:37:32', NULL, NULL), (231268, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 16:37:33', NULL, NULL), (231269, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 16:37:34', NULL, NULL), (231270, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 16:37:35', NULL, NULL), (231271, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 16:37:36', NULL, NULL), (231272, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 16:37:38', NULL, NULL), (231273, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 16:37:40', NULL, NULL), (231274, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 16:37:43', NULL, NULL), (231275, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 16:37:47', NULL, NULL), (231276, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 16:37:50', NULL, NULL), (231277, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 16:37:51', NULL, NULL), (231278, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 16:37:52', NULL, NULL), (231279, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 16:37:53', NULL, NULL), (231280, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 16:37:53', NULL, NULL), (231281, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 16:37:54', NULL, NULL), (231282, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 16:37:55', NULL, NULL), (231283, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 16:37:56', NULL, NULL), (231284, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 16:37:56', NULL, NULL), (231285, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 16:37:57', NULL, NULL), (231286, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 16:37:58', NULL, NULL), (231287, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 16:37:59', NULL, NULL), (231288, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 16:38:00', NULL, NULL), (231289, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 16:38:00', NULL, NULL), (231290, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 16:38:01', NULL, NULL), (231291, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 16:38:02', NULL, NULL), (231292, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 16:38:03', NULL, NULL), (231293, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 16:38:04', NULL, NULL), (231294, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 16:38:05', NULL, NULL), (231295, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 16:38:05', NULL, NULL), (231296, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 16:38:06', NULL, NULL), (231297, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 16:38:07', NULL, NULL), (231298, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 16:38:08', NULL, NULL), (231299, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 16:38:09', NULL, NULL), (231300, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 16:38:10', NULL, NULL), (231301, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 16:38:11', NULL, NULL), (231302, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 16:38:12', NULL, NULL), (231303, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 16:38:13', NULL, NULL), (231304, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 16:38:14', NULL, NULL), (231305, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 16:38:15', NULL, NULL), (231306, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 16:38:16', NULL, NULL), (231307, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 16:38:18', NULL, NULL), (231308, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 16:38:20', NULL, NULL), (231309, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 16:38:23', NULL, NULL), (231310, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 16:38:27', NULL, NULL), (231311, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 16:38:30', NULL, NULL), (231312, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 16:38:32', NULL, NULL), (231313, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 16:38:33', NULL, NULL), (231314, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 16:38:34', NULL, NULL), (231315, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 16:38:34', NULL, NULL), (231316, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 16:38:35', NULL, NULL), (231317, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 16:38:36', NULL, NULL), (231318, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 16:38:37', NULL, NULL), (231319, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 16:38:38', NULL, NULL), (231320, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 16:38:39', NULL, NULL), (231321, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 16:38:40', NULL, NULL), (231322, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2743, 11, 2023, 12, 8, '2024-08-05 16:38:40', NULL, NULL), (231323, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 16:38:42', NULL, NULL), (231324, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 16:38:43', NULL, NULL), (231325, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 694, 16, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231326, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 10, 9, 2023, 12, 12, '2024-08-05 16:38:45', NULL, NULL), (231327, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 24, 8, 2023, 12, 13, '2024-08-05 16:38:47', NULL, NULL), (231328, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2718, 6, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231329, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 3065, 13, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231330, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 16:38:53', NULL, NULL), (231331, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 16:38:54', NULL, NULL), (231332, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 4, 3, 2023, 12, 18, '2024-08-05 16:38:55', NULL, NULL), (231333, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 16:38:57', NULL, NULL), (231334, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2613, 10, 2023, 12, 20, '2024-08-05 16:38:59', NULL, NULL), (231335, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 296, 12, 2023, 12, 21, '2024-08-05 16:39:06', NULL, NULL), (231336, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 25, 3, 2023, 12, 22, '2024-08-05 16:39:14', NULL, NULL), (231337, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 16:39:20', NULL, NULL), (231338, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 16:39:21', NULL, NULL), (231339, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 16:39:22', NULL, NULL), (231340, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 3265, 5, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231341, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 16:39:24', NULL, NULL), (231342, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 16:39:25', NULL, NULL), (231343, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 16:39:26', NULL, NULL), (231344, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 16:39:27', NULL, NULL), (231345, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 16:39:28', NULL, NULL), (231346, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 16:39:28', NULL, NULL), (231347, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 23, 3, 2024, 1, 2, '2024-08-05 16:39:29', NULL, NULL), (231348, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 16:39:31', NULL, NULL), (231349, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 1, 2024, 1, 4, '2024-08-05 16:39:32', NULL, NULL), (231350, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 16:39:33', NULL, NULL), (231351, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 16:39:34', NULL, NULL), (231352, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 16:39:35', NULL, NULL), (231353, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 8, 5, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231354, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 16:39:37', NULL, NULL), (231355, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 1, 2024, 1, 10, '2024-08-05 16:39:38', NULL, NULL), (231356, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 23, 1, 2024, 1, 11, '2024-08-05 16:39:39', NULL, NULL), (231357, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 16:39:41', NULL, NULL), (231358, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 16:39:42', NULL, NULL), (231359, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 16:39:43', NULL, NULL), (231360, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 3, 5, 2024, 1, 15, '2024-08-05 16:39:44', NULL, NULL), (231361, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 155, 9, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231362, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 15, 4, 2024, 1, 17, '2024-08-05 16:39:51', NULL, NULL), (231363, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 16:39:56', NULL, NULL), (231364, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 16:40:00', NULL, NULL), (231365, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 16:40:03', NULL, NULL), (231366, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 16:40:06', NULL, NULL), (231367, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1644, 3, 2024, 1, 22, '2024-08-05 16:40:07', NULL, NULL), (231368, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 1, 2024, 1, 23, '2024-08-05 16:40:08', NULL, NULL), (231369, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 42, 7, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (231370, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 16:40:10', NULL, NULL), (231371, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 16:40:11', NULL, NULL), (231372, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 16:40:12', NULL, NULL), (231373, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 16:40:13', NULL, NULL), (231374, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 16:40:14', NULL, NULL), (231375, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 16:40:15', NULL, NULL), (231376, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 16:40:16', NULL, NULL), (231377, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 16:40:16', NULL, NULL), (231378, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 16:40:17', NULL, NULL), (231379, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 16:40:18', NULL, NULL), (231380, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 16:40:19', NULL, NULL), (231381, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 16:40:20', NULL, NULL), (231382, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 16:40:21', NULL, NULL), (231383, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 16:40:23', NULL, NULL), (231384, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 7, 1, 2024, 2, 8, '2024-08-05 16:40:24', NULL, NULL), (231385, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 16:40:25', NULL, NULL), (231386, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 16:40:26', NULL, NULL), (231387, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 16:40:27', NULL, NULL), (231388, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 16:40:28', NULL, NULL), (231389, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 16:40:29', NULL, NULL), (231390, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 16:40:31', NULL, NULL), (231391, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 16:40:33', NULL, NULL), (231392, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 16:40:36', NULL, NULL), (231393, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 16:40:40', NULL, NULL), (231394, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 21, 1, 2024, 2, 18, '2024-08-05 16:40:43', NULL, NULL), (231395, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 16:40:48', NULL, NULL), (231396, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 16:40:51', NULL, NULL), (231397, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 370, 2, 2024, 2, 21, '2024-08-05 16:40:52', NULL, NULL), (231398, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 1, 2024, 2, 22, '2024-08-05 16:40:53', NULL, NULL), (231399, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 16:40:53', NULL, NULL), (231400, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 16:40:54', NULL, NULL), (231401, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 16:40:55', NULL, NULL), (231402, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 1, 2024, 2, 26, '2024-08-05 16:40:56', NULL, NULL), (231403, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 16:40:57', NULL, NULL), (231404, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 1, 2024, 2, 28, '2024-08-05 16:40:57', NULL, NULL), (231405, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 16:40:58', NULL, NULL), (231406, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 16:40:59', NULL, NULL), (231407, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 16:41:00', NULL, NULL), (231408, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 16:41:01', NULL, NULL), (231409, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 1, 2024, 3, 4, '2024-08-05 16:41:02', NULL, NULL), (231410, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 16:41:03', NULL, NULL), (231411, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 16:41:03', NULL, NULL), (231412, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2, 4, 2024, 3, 7, '2024-08-05 16:41:04', NULL, NULL), (231413, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 21, 8, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (231414, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 16:41:07', NULL, NULL), (231415, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 16:41:08', NULL, NULL), (231416, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 16:41:09', NULL, NULL), (231417, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 16:41:10', NULL, NULL), (231418, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 16:41:11', NULL, NULL), (231419, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 16:41:12', NULL, NULL), (231420, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 16:41:13', NULL, NULL), (231421, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 16:41:13', NULL, NULL), (231422, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 16:41:15', NULL, NULL), (231423, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 5, 1, 2024, 3, 18, '2024-08-05 16:41:16', NULL, NULL), (231424, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 16:41:20', NULL, NULL), (231425, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 6, 1, 2024, 3, 20, '2024-08-05 16:41:24', NULL, NULL), (231426, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 6, 2, 2024, 3, 21, '2024-08-05 16:41:29', NULL, NULL), (231427, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 16:41:31', NULL, NULL), (231428, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 16:41:31', NULL, NULL), (231429, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 16:41:32', NULL, NULL), (231430, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 16:41:33', NULL, NULL), (231431, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 16:41:34', NULL, NULL), (231432, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 1, 2024, 3, 27, '2024-08-05 16:41:34', NULL, NULL), (231433, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 16:41:35', NULL, NULL), (231434, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 4, 2024, 3, 29, '2024-08-05 16:41:36', NULL, NULL), (231435, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 16:41:37', NULL, NULL), (231436, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 16:41:38', NULL, NULL), (231437, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 16:41:39', NULL, NULL), (231438, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 16:41:40', NULL, NULL), (231439, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 16:41:40', NULL, NULL), (231440, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 16:41:41', NULL, NULL), (231441, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 16:41:42', NULL, NULL), (231442, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 16:41:43', NULL, NULL), (231443, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 16:41:44', NULL, NULL), (231444, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 19, 2, 2024, 4, 8, '2024-08-05 16:41:45', NULL, NULL), (231445, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 16:41:46', NULL, NULL), (231446, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 6, 2, 2024, 4, 10, '2024-08-05 16:41:47', NULL, NULL), (231447, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 5, 3, 2024, 4, 11, '2024-08-05 16:41:48', NULL, NULL), (231448, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 16:41:49', NULL, NULL), (231449, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 16:41:50', NULL, NULL), (231450, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 16:41:51', NULL, NULL), (231451, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 16:41:52', NULL, NULL), (231452, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 6, 1, 2024, 4, 16, '2024-08-05 16:41:54', NULL, NULL), (231453, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 16:41:56', NULL, NULL), (231454, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 16:41:59', NULL, NULL), (231455, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 6, 4, 2024, 4, 19, '2024-08-05 16:42:02', NULL, NULL), (231456, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 16:42:09', NULL, NULL), (231457, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 16:42:10', NULL, NULL), (231458, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 1, 2024, 4, 22, '2024-08-05 16:42:11', NULL, NULL), (231459, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 16:42:12', NULL, NULL), (231460, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 16:42:13', NULL, NULL), (231461, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 16:42:13', NULL, NULL), (231462, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 16:42:14', NULL, NULL), (231463, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 16:42:15', NULL, NULL), (231464, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 16:42:16', NULL, NULL), (231465, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 16:42:17', NULL, NULL), (231466, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 16:42:17', NULL, NULL), (231467, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 16:42:18', NULL, NULL), (231468, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 16:42:19', NULL, NULL), (231469, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 16:42:20', NULL, NULL), (231470, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 16:42:21', NULL, NULL), (231471, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 16:42:21', NULL, NULL), (231472, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 38, 8, 2024, 5, 6, '2024-08-05 16:42:22', NULL, NULL), (231473, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 11, 2, 2024, 5, 7, '2024-08-05 16:42:24', NULL, NULL), (231474, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 16:42:25', NULL, NULL), (231475, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 16:42:26', NULL, NULL), (231476, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 6, 1, 2024, 5, 10, '2024-08-05 16:42:27', NULL, NULL), (231477, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 16:42:28', NULL, NULL), (231478, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 16:42:29', NULL, NULL), (231479, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 16:42:30', NULL, NULL), (231480, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 16:42:31', NULL, NULL), (231481, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 16:42:32', NULL, NULL), (231482, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 16:42:33', NULL, NULL), (231483, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 16:42:35', NULL, NULL), (231484, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 16:42:36', NULL, NULL), (231485, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 16:42:40', NULL, NULL), (231486, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 16:42:43', NULL, NULL), (231487, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 16:42:47', NULL, NULL), (231488, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 16:42:50', NULL, NULL), (231489, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 16:42:51', NULL, NULL), (231490, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 16:42:51', NULL, NULL), (231491, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 16:42:52', NULL, NULL), (231492, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 16:42:53', NULL, NULL), (231493, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 16:42:54', NULL, NULL), (231494, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 16:42:54', NULL, NULL), (231495, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 16:42:55', NULL, NULL), (231496, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 16:42:56', NULL, NULL), (231497, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 16:42:57', NULL, NULL), (231498, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 16:42:58', NULL, NULL), (231499, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 16:42:58', NULL, NULL), (231500, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 16:42:59', NULL, NULL), (231501, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 16:43:00', NULL, NULL), (231502, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 16:43:01', NULL, NULL), (231503, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 1, 2024, 6, 6, '2024-08-05 16:43:02', NULL, NULL), (231504, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 16:43:03', NULL, NULL), (231505, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 16:43:04', NULL, NULL), (231506, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 16:43:05', NULL, NULL), (231507, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 16:43:05', NULL, NULL), (231508, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 16:43:06', NULL, NULL), (231509, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 16:43:07', NULL, NULL), (231510, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 53, 3, 2024, 6, 13, '2024-08-05 16:43:08', NULL, NULL), (231511, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 16:43:09', NULL, NULL), (231512, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 16:43:10', NULL, NULL), (231513, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 16:43:11', NULL, NULL), (231514, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 16:43:12', NULL, NULL), (231515, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 18, 8, 2024, 6, 18, '2024-08-05 16:43:13', NULL, NULL), (231516, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 16:43:16', NULL, NULL), (231517, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 16:43:20', NULL, NULL), (231518, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 16:43:23', NULL, NULL), (231519, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 16:43:27', NULL, NULL), (231520, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 16:43:30', NULL, NULL), (231521, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 16:43:31', NULL, NULL), (231522, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 16:43:32', NULL, NULL), (231523, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 1, 2024, 6, 26, '2024-08-05 16:43:32', NULL, NULL), (231524, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 16:43:33', NULL, NULL), (231525, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 16:43:34', NULL, NULL), (231526, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 16:43:35', NULL, NULL), (231527, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 16:43:36', NULL, NULL), (231528, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 16:43:37', NULL, NULL), (231529, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 16:43:38', NULL, NULL), (231530, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 16:43:39', NULL, NULL), (231531, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 16:43:39', NULL, NULL), (231532, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 16:43:40', NULL, NULL), (231533, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 16:43:41', NULL, NULL), (231534, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 16:43:42', NULL, NULL), (231535, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 16:43:43', NULL, NULL), (231536, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 16:43:44', NULL, NULL), (231537, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 16:43:45', NULL, NULL), (231538, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 16:43:46', NULL, NULL), (231539, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 16:43:47', NULL, NULL), (231540, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 16:43:48', NULL, NULL), (231541, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 16:43:49', NULL, NULL), (231542, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 16:43:50', NULL, NULL), (231543, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 16:43:51', NULL, NULL), (231544, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 16:43:52', NULL, NULL), (231545, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 16:43:53', NULL, NULL), (231546, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 16:43:55', NULL, NULL), (231547, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 16:43:56', NULL, NULL), (231548, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 16:44:00', NULL, NULL), (231549, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 11, 2, 2024, 7, 22, '2024-08-05 16:44:03', NULL, NULL), (231550, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 16:44:08', NULL, NULL), (231551, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 16:44:12', NULL, NULL), (231552, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 16:44:13', NULL, NULL), (231553, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 1, 2024, 7, 26, '2024-08-05 16:44:14', NULL, NULL), (231554, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 16:44:15', NULL, NULL), (231555, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 16:44:16', NULL, NULL), (231556, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 16:44:17', NULL, NULL), (231557, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 95, 7, 2024, 7, 30, '2024-08-05 16:44:17', NULL, NULL), (231558, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 29, 1, 2024, 7, 31, '2024-08-05 16:44:19', NULL, NULL), (231559, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 12, 1, 2024, 8, 1, '2024-08-05 16:44:20', 1, '2024-08-05 20:13:54'), (231560, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 16:44:21', 1, '2024-08-06 02:01:03'), (231561, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 16:44:22', 1, '2024-08-07 01:00:41'), (231562, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 16:44:23', 1, '2024-08-08 01:00:03'), (231563, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 41, 3, 2024, 8, 5, '2024-08-05 16:44:24', 1, '2024-08-09 01:00:42'), (231564, 23, '511503003999-0001', '仙源街道办事处', '', '综合便民服务中心', '', '', 3772, 8, 2023, 12, 8, '2024-08-05 16:38:40', NULL, NULL), (231565, 23, '511503003999-0001', '仙源街道办事处', '', '', '公积金服务大厅', '', 532, 1, 2023, 12, 8, '2024-08-05 16:38:41', NULL, NULL), (231566, 23, '511503003999-0001', '仙源街道办事处', '', '', '出入境服务大厅', '', 393, 2, 2023, 12, 8, '2024-08-05 16:38:41', NULL, NULL), (231567, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 3828, 1, 2023, 12, 8, '2024-08-05 16:38:41', NULL, NULL), (231568, 23, '511503003999-0001', '仙源街道办事处', '', '', '税务综合大厅', '', 3576, 7, 2023, 12, 8, '2024-08-05 16:38:41', NULL, NULL), (231569, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 3198, 8, 2023, 12, 8, '2024-08-05 16:38:41', NULL, NULL), (231570, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '', '', '', 1531, 3, 2023, 12, 8, '2024-08-05 16:38:41', NULL, NULL), (231571, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A01', 3772, 8, 2023, 12, 8, '2024-08-05 16:38:41', NULL, NULL), (231572, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '综合便民服务中心', '', '', 2297, 2, 2023, 12, 8, '2024-08-05 16:38:41', NULL, NULL), (231573, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '综合便民服务中心', '', '', 4264, 6, 2023, 12, 8, '2024-08-05 16:38:41', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (231574, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '', '', 'A01', 2297, 2, 2023, 12, 8, '2024-08-05 16:38:41', NULL, NULL), (231575, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', 'A01', 4264, 6, 2023, 12, 8, '2024-08-05 16:38:41', NULL, NULL), (231576, 23, '511503003999-0001', '仙源街道办事处', '', '综合便民服务中心', '', 'A01', 3772, 8, 2023, 12, 8, '2024-08-05 16:38:41', NULL, NULL), (231577, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '综合便民服务中心', '', 'A01', 4264, 6, 2023, 12, 8, '2024-08-05 16:38:41', NULL, NULL), (231578, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '综合便民服务中心', '', 'A01', 2297, 2, 2023, 12, 8, '2024-08-05 16:38:41', NULL, NULL), (231579, 23, '511503003999-0001', '仙源街道办事处', '', '综合便民服务中心', '', '', 1389, 8, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231580, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 0, 3, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231581, 23, '511503003999-0001', '仙源街道办事处', '', '', '公积金服务大厅', '', 4555, 1, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231582, 23, '511503003999-0001', '仙源街道办事处', '', '', '出入境服务大厅', '', 30, 1, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231583, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 142, 3, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231584, 23, '511503003999-0001', '仙源街道办事处', '', '', '医疗保障服务大厅', '', 777, 6, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231585, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 967, 1, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231586, 23, '511503003999-0001', '仙源街道办事处', '', '', '税务综合大厅', '', 471, 1, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231587, 23, '511503003999-0001', '仙源街道办事处', '城乡居民医疗保险', '', '', '', 0, 2, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231588, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '', '', '', 2286, 2, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231589, 23, '511503003999-0001', '仙源街道办事处', '根治欠薪，职工、农民工服务', '', '', '', 0, 2, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231590, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 73, 2, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231591, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '', '', '', 1599, 4, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231592, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业技能培训', '', '', '', 0, 1, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231593, 23, '511503003999-0001', '仙源街道办事处', '优秀农民工选树', '', '', '', 0, 3, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231594, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A01', 1389, 8, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231595, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '综合便民服务中心', '', '', 73, 2, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231596, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '综合便民服务中心', '', '', 1599, 4, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231597, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '综合便民服务中心', '', '', 2286, 2, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231598, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '', '', 'A01', 2286, 2, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231599, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '', '', 'A01', 1599, 4, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231600, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', 'A01', 73, 2, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231601, 23, '511503003999-0001', '仙源街道办事处', '', '综合便民服务中心', '', 'A01', 1389, 8, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231602, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '综合便民服务中心', '', 'A01', 2286, 2, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231603, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '综合便民服务中心', '', 'A01', 73, 2, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231604, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '综合便民服务中心', '', 'A01', 1599, 4, 2023, 12, 11, '2024-08-05 16:38:44', NULL, NULL), (231605, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', '', 28, 1, 2023, 12, 12, '2024-08-05 16:38:45', NULL, NULL), (231606, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', '', 9, 5, 2023, 12, 12, '2024-08-05 16:38:45', NULL, NULL), (231607, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', '', 10, 2, 2023, 12, 12, '2024-08-05 16:38:45', NULL, NULL), (231608, 23, '511503003999-0001', '仙源街道办事处', '', '', '出入境服务大厅', '', 28, 1, 2023, 12, 12, '2024-08-05 16:38:45', NULL, NULL), (231609, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 6, 1, 2023, 12, 12, '2024-08-05 16:38:45', NULL, NULL), (231610, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 2, 2, 2023, 12, 12, '2024-08-05 16:38:45', NULL, NULL), (231611, 23, '511503003999-0001', '仙源街道办事处', '', '', '医疗保障服务大厅', '', 11, 4, 2023, 12, 12, '2024-08-05 16:38:45', NULL, NULL), (231612, 23, '511503003999-0001', '仙源街道办事处', '', '', '税务综合大厅', '', 11, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231613, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业信息摸排', '', '', '', 11, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231614, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '', '', '', 4, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231615, 23, '511503003999-0001', '仙源街道办事处', '根治欠薪，职工、农民工服务', '', '', '', 10, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231616, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 8, 3, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231617, 23, '511503003999-0001', '仙源街道办事处', '大学生创业补贴申请、就业创业技能培训', '', '', '', 28, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231618, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '', '', '', 18, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231619, 23, '511503003999-0001', '仙源街道办事处', '优秀农民工选树', '', '', '', 0, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231620, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A02', 10, 2, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231621, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A03', 9, 5, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231622, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A07', 28, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231623, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '卫建', '', '', 4, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231624, 23, '511503003999-0001', '仙源街道办事处', '根治欠薪，职工、农民工服务', '医保', '', '', 10, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231625, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', '', 8, 3, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231626, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '卫建', '', '', 18, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231627, 23, '511503003999-0001', '仙源街道办事处', '大学生创业补贴申请、就业创业技能培训', '就业', '', '', 28, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231628, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业信息摸排', '医保', '', '', 11, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231629, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', 'A03', 8, 3, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231630, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '', '', 'A03', 4, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231631, 23, '511503003999-0001', '仙源街道办事处', '根治欠薪，职工、农民工服务', '', '', 'A02', 10, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231632, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '', '', 'A03', 18, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231633, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业信息摸排', '', '', 'A02', 11, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231634, 23, '511503003999-0001', '仙源街道办事处', '大学生创业补贴申请、就业创业技能培训', '', '', 'A07', 28, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231635, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', 'A03', 9, 5, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231636, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', 'A02', 10, 2, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231637, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', 'A07', 28, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231638, 23, '511503003999-0001', '仙源街道办事处', '根治欠薪，职工、农民工服务', '医保', '', 'A02', 10, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231639, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '卫建', '', 'A03', 18, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231640, 23, '511503003999-0001', '仙源街道办事处', '大学生创业补贴申请、就业创业技能培训', '就业', '', 'A07', 28, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231641, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', 'A03', 8, 3, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231642, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业信息摸排', '医保', '', 'A02', 11, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231643, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '卫建', '', 'A03', 4, 1, 2023, 12, 12, '2024-08-05 16:38:46', NULL, NULL), (231644, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', '', 70, 2, 2023, 12, 13, '2024-08-05 16:38:47', NULL, NULL), (231645, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', '', 57, 1, 2023, 12, 13, '2024-08-05 16:38:47', NULL, NULL), (231646, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 38, 3, 2023, 12, 13, '2024-08-05 16:38:47', NULL, NULL), (231647, 23, '511503003999-0001', '仙源街道办事处', '', '', '公积金服务大厅', '', 0, 1, 2023, 12, 13, '2024-08-05 16:38:47', NULL, NULL), (231648, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 0, 1, 2023, 12, 13, '2024-08-05 16:38:47', NULL, NULL), (231649, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 12, 2, 2023, 12, 13, '2024-08-05 16:38:47', NULL, NULL), (231650, 23, '511503003999-0001', '仙源街道办事处', '', '', '税务综合大厅', '', 57, 1, 2023, 12, 13, '2024-08-05 16:38:47', NULL, NULL), (231651, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '', '', '', 0, 2, 2023, 12, 13, '2024-08-05 16:38:47', NULL, NULL), (231652, 23, '511503003999-0001', '仙源街道办事处', '大学生创业补贴申请、就业创业技能培训', '', '', '', 115, 1, 2023, 12, 13, '2024-08-05 16:38:47', NULL, NULL), (231653, 23, '511503003999-0001', '仙源街道办事处', '农村宅基地审批', '', '', '', 0, 1, 2023, 12, 13, '2024-08-05 16:38:47', NULL, NULL), (231654, 23, '511503003999-0001', '仙源街道办事处', '脱贫劳动力返乡车补', '', '', '', 28, 2, 2023, 12, 13, '2024-08-05 16:38:47', NULL, NULL), (231655, 23, '511503003999-0001', '仙源街道办事处', '优秀农民工选树', '', '', '', 0, 1, 2023, 12, 13, '2024-08-05 16:38:47', NULL, NULL), (231656, 23, '511503003999-0001', '仙源街道办事处', '就业招聘', '', '', '', 25, 1, 2023, 12, 13, '2024-08-05 16:38:47', NULL, NULL), (231657, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A02', 57, 1, 2023, 12, 13, '2024-08-05 16:38:48', NULL, NULL), (231658, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A07', 70, 2, 2023, 12, 13, '2024-08-05 16:38:48', NULL, NULL), (231659, 23, '511503003999-0001', '仙源街道办事处', '就业招聘', '就业', '', '', 25, 1, 2023, 12, 13, '2024-08-05 16:38:48', NULL, NULL), (231660, 23, '511503003999-0001', '仙源街道办事处', '脱贫劳动力返乡车补', '医保', '', '', 57, 1, 2023, 12, 13, '2024-08-05 16:38:48', NULL, NULL), (231661, 23, '511503003999-0001', '仙源街道办事处', '大学生创业补贴申请、就业创业技能培训', '就业', '', '', 115, 1, 2023, 12, 13, '2024-08-05 16:38:48', NULL, NULL), (231662, 23, '511503003999-0001', '仙源街道办事处', '脱贫劳动力返乡车补', '', '', 'A02', 57, 1, 2023, 12, 13, '2024-08-05 16:38:48', NULL, NULL), (231663, 23, '511503003999-0001', '仙源街道办事处', '大学生创业补贴申请、就业创业技能培训', '', '', 'A07', 115, 1, 2023, 12, 13, '2024-08-05 16:38:48', NULL, NULL), (231664, 23, '511503003999-0001', '仙源街道办事处', '就业招聘', '', '', 'A07', 25, 1, 2023, 12, 13, '2024-08-05 16:38:48', NULL, NULL), (231665, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', 'A02', 57, 1, 2023, 12, 13, '2024-08-05 16:38:48', NULL, NULL), (231666, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', 'A07', 70, 2, 2023, 12, 13, '2024-08-05 16:38:48', NULL, NULL), (231667, 23, '511503003999-0001', '仙源街道办事处', '就业招聘', '就业', '', 'A07', 25, 1, 2023, 12, 13, '2024-08-05 16:38:48', NULL, NULL), (231668, 23, '511503003999-0001', '仙源街道办事处', '脱贫劳动力返乡车补', '医保', '', 'A02', 57, 1, 2023, 12, 13, '2024-08-05 16:38:48', NULL, NULL), (231669, 23, '511503003999-0001', '仙源街道办事处', '大学生创业补贴申请、就业创业技能培训', '就业', '', 'A07', 115, 1, 2023, 12, 13, '2024-08-05 16:38:48', NULL, NULL), (231670, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', '', 18, 1, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231671, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', '', 4073, 4, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231672, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 4675, 2, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231673, 23, '511503003999-0001', '仙源街道办事处', '', '', '企业服务综合大厅', '', 5, 1, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231674, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 77, 1, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231675, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 3438, 2, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231676, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '', '', '', 0, 1, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231677, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 41, 2, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231678, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '', '', '', 8105, 2, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231679, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '', '', '', 18, 1, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231680, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A03', 4073, 4, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231681, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A04', 18, 1, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231682, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', '', 41, 2, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231683, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '卫建', '', '', 8105, 2, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231684, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '民政', '', '', 18, 1, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231685, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', 'A03', 41, 2, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231686, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '', '', 'A04', 18, 1, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231687, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '', '', 'A03', 8105, 2, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231688, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', 'A03', 4073, 4, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231689, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', 'A04', 18, 1, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231690, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '卫建', '', 'A03', 8105, 2, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231691, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', 'A03', 41, 2, 2023, 12, 14, '2024-08-05 16:38:50', NULL, NULL), (231692, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '民政', '', 'A04', 18, 1, 2023, 12, 14, '2024-08-05 16:38:49', NULL, NULL), (231693, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', '', 20, 3, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231694, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', '', 8281, 3, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231695, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', '', 4148, 3, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231696, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', '', 832, 3, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231697, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 20, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231698, 23, '511503003999-0001', '仙源街道办事处', '', '', '出入境服务大厅', '', 0, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231699, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 3126, 3, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231700, 23, '511503003999-0001', '仙源街道办事处', '', '', '医疗保障服务大厅', '', 819, 3, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231701, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 6208, 3, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231702, 23, '511503003999-0001', '仙源街道办事处', '', '', '税务综合大厅', '', 4681, 2, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231703, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', '', 18, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231704, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '', '', '', 3340, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231705, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 9036, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231706, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业项目融资', '', '', '', 2429, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231707, 23, '511503003999-0001', '仙源街道办事处', '孤儿、事实无人抚养儿童', '', '', '', 0, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231708, 23, '511503003999-0001', '仙源街道办事处', '企业员工养老保险', '', '', '', 24, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231709, 23, '511503003999-0001', '仙源街道办事处', '重残困残补助', '', '', '', 68, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231710, 23, '511503003999-0001', '仙源街道办事处', '优秀农民工选树', '', '', '', 33, 2, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231711, 23, '511503003999-0001', '仙源街道办事处', '就业招聘', '', '', '', 20, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231712, 23, '511503003999-0001', '仙源街道办事处', '残疾人帮扶', '', '', '', 8281, 3, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231713, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A02', 832, 3, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231714, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A03', 4148, 3, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231715, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A04', 8281, 3, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231716, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A07', 20, 3, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231717, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '卫建', '', '', 3340, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231718, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', '', 9036, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231719, 23, '511503003999-0001', '仙源街道办事处', '就业招聘', '就业', '', '', 20, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231720, 23, '511503003999-0001', '仙源街道办事处', '企业员工养老保险', '就业', '', '', 24, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231721, 23, '511503003999-0001', '仙源街道办事处', '优秀农民工选树', '医保', '', '', 33, 2, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231722, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '就业', '', '', 18, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231723, 23, '511503003999-0001', '仙源街道办事处', '残疾人帮扶', '民政', '', '', 8281, 3, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231724, 23, '511503003999-0001', '仙源街道办事处', '重残困残补助', '卫建', '', '', 68, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231725, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业项目融资', '医保', '', '', 2429, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231726, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', 'A03', 9036, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231727, 23, '511503003999-0001', '仙源街道办事处', '重残困残补助', '', '', 'A03', 68, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231728, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '', '', 'A03', 3340, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231729, 23, '511503003999-0001', '仙源街道办事处', '残疾人帮扶', '', '', 'A04', 8281, 3, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231730, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业项目融资', '', '', 'A02', 2429, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231731, 23, '511503003999-0001', '仙源街道办事处', '优秀农民工选树', '', '', 'A02', 33, 2, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231732, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', 'A07', 18, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231733, 23, '511503003999-0001', '仙源街道办事处', '企业员工养老保险', '', '', 'A07', 24, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231734, 23, '511503003999-0001', '仙源街道办事处', '就业招聘', '', '', 'A07', 20, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231735, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', 'A03', 4148, 3, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231736, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', 'A04', 8281, 3, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231737, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', 'A02', 832, 3, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231738, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', 'A07', 20, 3, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231739, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业项目融资', '医保', '', 'A02', 2429, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231740, 23, '511503003999-0001', '仙源街道办事处', '就业招聘', '就业', '', 'A07', 20, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231741, 23, '511503003999-0001', '仙源街道办事处', '优秀农民工选树', '医保', '', 'A02', 33, 2, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231742, 23, '511503003999-0001', '仙源街道办事处', '重残困残补助', '卫建', '', 'A03', 68, 1, 2023, 12, 15, '2024-08-05 16:38:52', NULL, NULL), (231743, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', 'A03', 9036, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231744, 23, '511503003999-0001', '仙源街道办事处', '残疾人帮扶', '民政', '', 'A04', 8281, 3, 2023, 12, 15, '2024-08-05 16:38:52', NULL, NULL), (231745, 23, '511503003999-0001', '仙源街道办事处', '企业员工养老保险', '就业', '', 'A07', 24, 1, 2023, 12, 15, '2024-08-05 16:38:51', NULL, NULL), (231746, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '就业', '', 'A07', 18, 1, 2023, 12, 15, '2024-08-05 16:38:52', NULL, NULL), (231747, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '卫建', '', 'A03', 3340, 1, 2023, 12, 15, '2024-08-05 16:38:52', NULL, NULL), (231748, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', '', 14, 1, 2023, 12, 18, '2024-08-05 16:38:55', NULL, NULL), (231749, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 7, 2, 2023, 12, 18, '2024-08-05 16:38:55', NULL, NULL), (231750, 23, '511503003999-0001', '仙源街道办事处', '', '', '企业服务综合大厅', '', 0, 1, 2023, 12, 18, '2024-08-05 16:38:55', NULL, NULL), (231751, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '', '', '', 7, 2, 2023, 12, 18, '2024-08-05 16:38:55', NULL, NULL), (231752, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '', '', '', 0, 1, 2023, 12, 18, '2024-08-05 16:38:55', NULL, NULL), (231753, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A04', 14, 1, 2023, 12, 18, '2024-08-05 16:38:55', NULL, NULL), (231754, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '民政', '', '', 14, 1, 2023, 12, 18, '2024-08-05 16:38:55', NULL, NULL), (231755, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '', '', 'A04', 14, 1, 2023, 12, 18, '2024-08-05 16:38:55', NULL, NULL), (231756, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', 'A04', 14, 1, 2023, 12, 18, '2024-08-05 16:38:55', NULL, NULL), (231757, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '民政', '', 'A04', 14, 1, 2023, 12, 18, '2024-08-05 16:38:55', NULL, NULL), (231758, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', '', 36, 1, 2023, 12, 20, '2024-08-05 16:38:59', NULL, NULL), (231759, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', '', 130, 1, 2023, 12, 20, '2024-08-05 16:38:59', NULL, NULL), (231760, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', '', 13, 1, 2023, 12, 20, '2024-08-05 16:39:00', NULL, NULL), (231761, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', '', 2119, 2, 2023, 12, 20, '2024-08-05 16:38:59', NULL, NULL), (231762, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', '', 11, 1, 2023, 12, 20, '2024-08-05 16:38:59', NULL, NULL), (231763, 23, '511503003999-0001', '仙源街道办事处', '', '农业农村', '', '', 7234, 3, 2023, 12, 20, '2024-08-05 16:38:59', NULL, NULL), (231764, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 684, 4, 2023, 12, 20, '2024-08-05 16:39:00', NULL, NULL), (231765, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 1517, 1, 2023, 12, 20, '2024-08-05 16:39:00', NULL, NULL), (231766, 23, '511503003999-0001', '仙源街道办事处', '', '', '医疗保障服务大厅', '', 83, 3, 2023, 12, 20, '2024-08-05 16:39:00', NULL, NULL), (231767, 23, '511503003999-0001', '仙源街道办事处', '', '', '税务综合大厅', '', 10813, 2, 2023, 12, 20, '2024-08-05 16:39:00', NULL, NULL), (231768, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', '', 18, 2, 2023, 12, 20, '2024-08-05 16:39:00', NULL, NULL), (231769, 23, '511503003999-0001', '仙源街道办事处', '综治维稳、信访接待', '', '', '', 130, 1, 2023, 12, 20, '2024-08-05 16:39:00', NULL, NULL), (231770, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 2119, 2, 2023, 12, 20, '2024-08-05 16:39:00', NULL, NULL), (231771, 23, '511503003999-0001', '仙源街道办事处', '农村宅基地审批', '', '', '', 43, 2, 2023, 12, 20, '2024-08-05 16:39:00', NULL, NULL), (231772, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业技能培训', '', '', '', 11, 1, 2023, 12, 20, '2024-08-05 16:39:00', NULL, NULL), (231773, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '', '', '', 13, 1, 2023, 12, 20, '2024-08-05 16:39:00', NULL, NULL), (231774, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '', '', '', 21616, 1, 2023, 12, 20, '2024-08-05 16:39:00', NULL, NULL), (231775, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A02', 11, 1, 2023, 12, 20, '2024-08-05 16:39:00', NULL, NULL), (231776, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A03', 2119, 2, 2023, 12, 20, '2024-08-05 16:39:00', NULL, NULL), (231777, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A04', 13, 1, 2023, 12, 20, '2024-08-05 16:39:01', NULL, NULL), (231778, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A05', 7234, 3, 2023, 12, 20, '2024-08-05 16:39:01', NULL, NULL), (231779, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A06', 130, 1, 2023, 12, 20, '2024-08-05 16:39:01', NULL, NULL), (231780, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A07', 36, 1, 2023, 12, 20, '2024-08-05 16:39:01', NULL, NULL), (231781, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业技能培训', '医保', '', '', 11, 1, 2023, 12, 20, '2024-08-05 16:39:01', NULL, NULL), (231782, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', '', 2119, 2, 2023, 12, 20, '2024-08-05 16:39:01', NULL, NULL), (231783, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '农业农村', '', '', 21616, 1, 2023, 12, 20, '2024-08-05 16:39:01', NULL, NULL), (231784, 23, '511503003999-0001', '仙源街道办事处', '综治维稳、信访接待', '不动产', '', '', 130, 1, 2023, 12, 20, '2024-08-05 16:39:01', NULL, NULL), (231785, 23, '511503003999-0001', '仙源街道办事处', '农村宅基地审批', '农业农村', '', '', 43, 2, 2023, 12, 20, '2024-08-05 16:39:01', NULL, NULL), (231786, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '民政', '', '', 13, 1, 2023, 12, 20, '2024-08-05 16:39:01', NULL, NULL), (231787, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '就业', '', '', 36, 1, 2023, 12, 20, '2024-08-05 16:39:01', NULL, NULL), (231788, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', 'A03', 2119, 2, 2023, 12, 20, '2024-08-05 16:39:02', NULL, NULL), (231789, 23, '511503003999-0001', '仙源街道办事处', '综治维稳、信访接待', '', '', 'A06', 130, 1, 2023, 12, 20, '2024-08-05 16:39:02', NULL, NULL), (231790, 23, '511503003999-0001', '仙源街道办事处', '农村宅基地审批', '', '', 'A05', 43, 2, 2023, 12, 20, '2024-08-05 16:39:02', NULL, NULL), (231791, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '', '', 'A04', 13, 1, 2023, 12, 20, '2024-08-05 16:39:02', NULL, NULL), (231792, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '', '', 'A05', 21616, 1, 2023, 12, 20, '2024-08-05 16:39:02', NULL, NULL), (231793, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', 'A07', 36, 1, 2023, 12, 20, '2024-08-05 16:39:02', NULL, NULL), (231794, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业技能培训', '', '', 'A02', 11, 1, 2023, 12, 20, '2024-08-05 16:39:02', NULL, NULL), (231795, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', 'A06', 130, 1, 2023, 12, 20, '2024-08-05 16:39:02', NULL, NULL), (231796, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', 'A03', 2119, 2, 2023, 12, 20, '2024-08-05 16:39:02', NULL, NULL), (231797, 23, '511503003999-0001', '仙源街道办事处', '', '农业农村', '', 'A05', 7234, 3, 2023, 12, 20, '2024-08-05 16:39:02', NULL, NULL), (231798, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', 'A04', 13, 1, 2023, 12, 20, '2024-08-05 16:39:02', NULL, NULL), (231799, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', 'A02', 11, 1, 2023, 12, 20, '2024-08-05 16:39:02', NULL, NULL), (231800, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', 'A07', 36, 1, 2023, 12, 20, '2024-08-05 16:39:02', NULL, NULL), (231801, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', 'A03', 2119, 2, 2023, 12, 20, '2024-08-05 16:39:02', NULL, NULL), (231802, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业技能培训', '医保', '', 'A02', 11, 1, 2023, 12, 20, '2024-08-05 16:39:03', NULL, NULL), (231803, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '就业', '', 'A07', 36, 1, 2023, 12, 20, '2024-08-05 16:39:02', NULL, NULL), (231804, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '民政', '', 'A04', 13, 1, 2023, 12, 20, '2024-08-05 16:39:03', NULL, NULL), (231805, 23, '511503003999-0001', '仙源街道办事处', '农村宅基地审批', '农业农村', '', 'A05', 43, 2, 2023, 12, 20, '2024-08-05 16:39:02', NULL, NULL), (231806, 23, '511503003999-0001', '仙源街道办事处', '综治维稳、信访接待', '不动产', '', 'A06', 130, 1, 2023, 12, 20, '2024-08-05 16:39:03', NULL, NULL), (231807, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '农业农村', '', 'A05', 21616, 1, 2023, 12, 20, '2024-08-05 16:39:03', NULL, NULL), (231808, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', '', 871, 4, 2023, 12, 21, '2024-08-05 16:39:06', NULL, NULL), (231809, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', '', 7, 1, 2023, 12, 21, '2024-08-05 16:39:07', NULL, NULL), (231810, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', '', 6, 1, 2023, 12, 21, '2024-08-05 16:39:07', NULL, NULL), (231811, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', '', 9, 2, 2023, 12, 21, '2024-08-05 16:39:06', NULL, NULL), (231812, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', '', 14, 1, 2023, 12, 21, '2024-08-05 16:39:06', NULL, NULL), (231813, 23, '511503003999-0001', '仙源街道办事处', '', '农业农村', '', '', 14, 2, 2023, 12, 21, '2024-08-05 16:39:07', NULL, NULL), (231814, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 23, 3, 2023, 12, 21, '2024-08-05 16:39:07', NULL, NULL), (231815, 23, '511503003999-0001', '仙源街道办事处', '', '', '企业服务综合大厅', '', 7, 1, 2023, 12, 21, '2024-08-05 16:39:07', NULL, NULL), (231816, 23, '511503003999-0001', '仙源街道办事处', '', '', '公积金服务大厅', '', 1607, 2, 2023, 12, 21, '2024-08-05 16:39:07', NULL, NULL), (231817, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 7, 1, 2023, 12, 21, '2024-08-05 16:39:07', NULL, NULL), (231818, 23, '511503003999-0001', '仙源街道办事处', '', '', '医疗保障服务大厅', '', 52, 5, 2023, 12, 21, '2024-08-05 16:39:07', NULL, NULL), (231819, 23, '511503003999-0001', '仙源街道办事处', '残疾证办理', '', '', '', 10, 1, 2023, 12, 21, '2024-08-05 16:39:07', NULL, NULL), (231820, 23, '511503003999-0001', '仙源街道办事处', '城乡居民医疗保险', '', '', '', 0, 1, 2023, 12, 21, '2024-08-05 16:39:08', NULL, NULL), (231821, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业信息摸排', '', '', '', 14, 1, 2023, 12, 21, '2024-08-05 16:39:07', NULL, NULL), (231822, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', '', 1158, 3, 2023, 12, 21, '2024-08-05 16:39:08', NULL, NULL), (231823, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '', '', '', 7, 1, 2023, 12, 21, '2024-08-05 16:39:07', NULL, NULL), (231824, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '', '', '', 9, 1, 2023, 12, 21, '2024-08-05 16:39:07', NULL, NULL), (231825, 23, '511503003999-0001', '仙源街道办事处', '大学生创业补贴申请、就业创业技能培训', '', '', '', 12, 1, 2023, 12, 21, '2024-08-05 16:39:08', NULL, NULL), (231826, 23, '511503003999-0001', '仙源街道办事处', '农村宅基地审批', '', '', '', 21, 1, 2023, 12, 21, '2024-08-05 16:39:08', NULL, NULL), (231827, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', '', 6, 1, 2023, 12, 21, '2024-08-05 16:39:07', NULL, NULL), (231828, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '', '', '', 7, 1, 2023, 12, 21, '2024-08-05 16:39:07', NULL, NULL), (231829, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A02', 14, 1, 2023, 12, 21, '2024-08-05 16:39:08', NULL, NULL), (231830, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A03', 9, 2, 2023, 12, 21, '2024-08-05 16:39:08', NULL, NULL), (231831, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A04', 7, 1, 2023, 12, 21, '2024-08-05 16:39:08', NULL, NULL), (231832, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A05', 14, 2, 2023, 12, 21, '2024-08-05 16:39:08', NULL, NULL), (231833, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A06', 6, 1, 2023, 12, 21, '2024-08-05 16:39:08', NULL, NULL), (231834, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A07', 871, 4, 2023, 12, 21, '2024-08-05 16:39:08', NULL, NULL), (231835, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '农业农村', '', '', 7, 1, 2023, 12, 21, '2024-08-05 16:39:08', NULL, NULL), (231836, 23, '511503003999-0001', '仙源街道办事处', '农村宅基地审批', '农业农村', '', '', 21, 1, 2023, 12, 21, '2024-08-05 16:39:09', NULL, NULL), (231837, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '卫建', '', '', 9, 1, 2023, 12, 21, '2024-08-05 16:39:08', NULL, NULL), (231838, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '民政', '', '', 7, 1, 2023, 12, 21, '2024-08-05 16:39:09', NULL, NULL), (231839, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '不动产', '', '', 6, 1, 2023, 12, 21, '2024-08-05 16:39:09', NULL, NULL), (231840, 23, '511503003999-0001', '仙源街道办事处', '大学生创业补贴申请、就业创业技能培训', '就业', '', '', 12, 1, 2023, 12, 21, '2024-08-05 16:39:09', NULL, NULL), (231841, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '就业', '', '', 1158, 3, 2023, 12, 21, '2024-08-05 16:39:08', NULL, NULL), (231842, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业信息摸排', '医保', '', '', 14, 1, 2023, 12, 21, '2024-08-05 16:39:08', NULL, NULL), (231843, 23, '511503003999-0001', '仙源街道办事处', '残疾证办理', '卫建', '', '', 10, 1, 2023, 12, 21, '2024-08-05 16:39:09', NULL, NULL), (231844, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', 'A06', 6, 1, 2023, 12, 21, '2024-08-05 16:39:09', NULL, NULL), (231845, 23, '511503003999-0001', '仙源街道办事处', '农村宅基地审批', '', '', 'A05', 21, 1, 2023, 12, 21, '2024-08-05 16:39:09', NULL, NULL), (231846, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '', '', 'A05', 7, 1, 2023, 12, 21, '2024-08-05 16:39:09', NULL, NULL), (231847, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '', '', 'A04', 7, 1, 2023, 12, 21, '2024-08-05 16:39:09', NULL, NULL), (231848, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '', '', 'A03', 9, 1, 2023, 12, 21, '2024-08-05 16:39:09', NULL, NULL), (231849, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', 'A07', 1158, 3, 2023, 12, 21, '2024-08-05 16:39:09', NULL, NULL), (231850, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业信息摸排', '', '', 'A02', 14, 1, 2023, 12, 21, '2024-08-05 16:39:09', NULL, NULL), (231851, 23, '511503003999-0001', '仙源街道办事处', '大学生创业补贴申请、就业创业技能培训', '', '', 'A07', 12, 1, 2023, 12, 21, '2024-08-05 16:39:09', NULL, NULL), (231852, 23, '511503003999-0001', '仙源街道办事处', '残疾证办理', '', '', 'A03', 10, 1, 2023, 12, 21, '2024-08-05 16:39:09', NULL, NULL), (231853, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', 'A06', 6, 1, 2023, 12, 21, '2024-08-05 16:39:10', NULL, NULL), (231854, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', 'A03', 9, 2, 2023, 12, 21, '2024-08-05 16:39:10', NULL, NULL), (231855, 23, '511503003999-0001', '仙源街道办事处', '', '农业农村', '', 'A05', 14, 2, 2023, 12, 21, '2024-08-05 16:39:10', NULL, NULL), (231856, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', 'A04', 7, 1, 2023, 12, 21, '2024-08-05 16:39:10', NULL, NULL), (231857, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', 'A02', 14, 1, 2023, 12, 21, '2024-08-05 16:39:10', NULL, NULL), (231858, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', 'A07', 871, 4, 2023, 12, 21, '2024-08-05 16:39:10', NULL, NULL), (231859, 23, '511503003999-0001', '仙源街道办事处', '残疾证办理', '卫建', '', 'A03', 10, 1, 2023, 12, 21, '2024-08-05 16:39:10', NULL, NULL), (231860, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '卫建', '', 'A03', 9, 1, 2023, 12, 21, '2024-08-05 16:39:10', NULL, NULL), (231861, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '不动产', '', 'A06', 6, 1, 2023, 12, 21, '2024-08-05 16:39:10', NULL, NULL), (231862, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '民政', '', 'A04', 7, 1, 2023, 12, 21, '2024-08-05 16:39:10', NULL, NULL), (231863, 23, '511503003999-0001', '仙源街道办事处', '大学生创业补贴申请、就业创业技能培训', '就业', '', 'A07', 12, 1, 2023, 12, 21, '2024-08-05 16:39:10', NULL, NULL), (231864, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业信息摸排', '医保', '', 'A02', 14, 1, 2023, 12, 21, '2024-08-05 16:39:10', NULL, NULL), (231865, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '就业', '', 'A07', 1158, 3, 2023, 12, 21, '2024-08-05 16:39:10', NULL, NULL), (231866, 23, '511503003999-0001', '仙源街道办事处', '农村宅基地审批', '农业农村', '', 'A05', 21, 1, 2023, 12, 21, '2024-08-05 16:39:10', NULL, NULL), (231867, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '农业农村', '', 'A05', 7, 1, 2023, 12, 21, '2024-08-05 16:39:10', NULL, NULL), (231868, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', '', 4, 1, 2023, 12, 22, '2024-08-05 16:39:14', NULL, NULL), (231869, 23, '511503003999-0001', '仙源街道办事处', '', '农业农村', '', '', 36, 2, 2023, 12, 22, '2024-08-05 16:39:14', NULL, NULL), (231870, 23, '511503003999-0001', '仙源街道办事处', '', '', '企业服务综合大厅', '', 4, 1, 2023, 12, 22, '2024-08-05 16:39:14', NULL, NULL), (231871, 23, '511503003999-0001', '仙源街道办事处', '', '', '出入境服务大厅', '', 58, 1, 2023, 12, 22, '2024-08-05 16:39:15', NULL, NULL), (231872, 23, '511503003999-0001', '仙源街道办事处', '', '', '税务综合大厅', '', 15, 1, 2023, 12, 22, '2024-08-05 16:39:14', NULL, NULL), (231873, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '', '', '', 4, 1, 2023, 12, 22, '2024-08-05 16:39:15', NULL, NULL), (231874, 23, '511503003999-0001', '仙源街道办事处', '农村宅基地审批', '', '', '', 15, 1, 2023, 12, 22, '2024-08-05 16:39:15', NULL, NULL), (231875, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '', '', '', 58, 1, 2023, 12, 22, '2024-08-05 16:39:15', NULL, NULL), (231876, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A03', 4, 1, 2023, 12, 22, '2024-08-05 16:39:15', NULL, NULL), (231877, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A05', 36, 2, 2023, 12, 22, '2024-08-05 16:39:15', NULL, NULL), (231878, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '农业农村', '', '', 58, 1, 2023, 12, 22, '2024-08-05 16:39:15', NULL, NULL), (231879, 23, '511503003999-0001', '仙源街道办事处', '农村宅基地审批', '农业农村', '', '', 15, 1, 2023, 12, 22, '2024-08-05 16:39:15', NULL, NULL), (231880, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '卫建', '', '', 4, 1, 2023, 12, 22, '2024-08-05 16:39:16', NULL, NULL), (231881, 23, '511503003999-0001', '仙源街道办事处', '农村宅基地审批', '', '', 'A05', 15, 1, 2023, 12, 22, '2024-08-05 16:39:16', NULL, NULL), (231882, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '', '', 'A05', 58, 1, 2023, 12, 22, '2024-08-05 16:39:16', NULL, NULL), (231883, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '', '', 'A03', 4, 1, 2023, 12, 22, '2024-08-05 16:39:16', NULL, NULL), (231884, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', 'A03', 4, 1, 2023, 12, 22, '2024-08-05 16:39:16', NULL, NULL), (231885, 23, '511503003999-0001', '仙源街道办事处', '', '农业农村', '', 'A05', 36, 2, 2023, 12, 22, '2024-08-05 16:39:16', NULL, NULL), (231886, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '卫建', '', 'A03', 4, 1, 2023, 12, 22, '2024-08-05 16:39:16', NULL, NULL), (231887, 23, '511503003999-0001', '仙源街道办事处', '农村宅基地审批', '农业农村', '', 'A05', 15, 1, 2023, 12, 22, '2024-08-05 16:39:16', NULL, NULL), (231888, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '农业农村', '', 'A05', 58, 1, 2023, 12, 22, '2024-08-05 16:39:17', NULL, NULL), (231889, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', '', 13, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231890, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', '', 4, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231891, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', '', 16311, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231892, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 4, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231893, 23, '511503003999-0001', '仙源街道办事处', '', '', '公积金服务大厅', '', 13, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231894, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 0, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231895, 23, '511503003999-0001', '仙源街道办事处', '', '', '医疗保障服务大厅', '', 16311, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231896, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 0, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231897, 23, '511503003999-0001', '仙源街道办事处', '城乡居民医疗保险', '', '', '', 0, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231898, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业信息摸排', '', '', '', 16311, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231899, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 4, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231900, 23, '511503003999-0001', '仙源街道办事处', '综治维稳、信访接待', '', '', '', 6, 2, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231901, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A02', 16311, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231902, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A03', 4, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231903, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A06', 13, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231904, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', '', 4, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231905, 23, '511503003999-0001', '仙源街道办事处', '综治维稳、信访接待', '不动产', '', '', 13, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231906, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业信息摸排', '医保', '', '', 16311, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231907, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', 'A03', 4, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231908, 23, '511503003999-0001', '仙源街道办事处', '综治维稳、信访接待', '', '', 'A06', 13, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231909, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业信息摸排', '', '', 'A02', 16311, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231910, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', 'A06', 13, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231911, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', 'A03', 4, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231912, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', 'A02', 16311, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231913, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', 'A03', 4, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231914, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业信息摸排', '医保', '', 'A02', 16311, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231915, 23, '511503003999-0001', '仙源街道办事处', '综治维稳、信访接待', '不动产', '', 'A06', 13, 1, 2023, 12, 26, '2024-08-05 16:39:23', NULL, NULL), (231916, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', '', 71, 1, 2024, 1, 2, '2024-08-05 16:39:29', NULL, NULL), (231917, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 0, 1, 2024, 1, 2, '2024-08-05 16:39:29', NULL, NULL), (231918, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 71, 1, 2024, 1, 2, '2024-08-05 16:39:29', NULL, NULL), (231919, 23, '511503003999-0001', '仙源街道办事处', '', '', '医疗保障服务大厅', '', 0, 1, 2024, 1, 2, '2024-08-05 16:39:30', NULL, NULL), (231920, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '', '', '', 0, 2, 2024, 1, 2, '2024-08-05 16:39:30', NULL, NULL), (231921, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 71, 1, 2024, 1, 2, '2024-08-05 16:39:30', NULL, NULL), (231922, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A03', 71, 1, 2024, 1, 2, '2024-08-05 16:39:30', NULL, NULL), (231923, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', '', 71, 1, 2024, 1, 2, '2024-08-05 16:39:30', NULL, NULL), (231924, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', 'A03', 71, 1, 2024, 1, 2, '2024-08-05 16:39:30', NULL, NULL), (231925, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', 'A03', 71, 1, 2024, 1, 2, '2024-08-05 16:39:30', NULL, NULL), (231926, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', 'A03', 71, 1, 2024, 1, 2, '2024-08-05 16:39:30', NULL, NULL), (231927, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 0, 1, 2024, 1, 4, '2024-08-05 16:39:32', NULL, NULL), (231928, 23, '511503003999-0001', '仙源街道办事处', '城乡居民医疗保险', '', '', '', 0, 1, 2024, 1, 4, '2024-08-05 16:39:32', NULL, NULL), (231929, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', '', 9, 1, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231930, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', '', 34, 1, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231931, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 0, 2, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231932, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 14, 3, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231933, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', '', 9, 1, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231934, 23, '511503003999-0001', '仙源街道办事处', '根治欠薪，职工、农民工服务', '', '', '', 0, 1, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231935, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', '', 17, 2, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231936, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '', '', '', 0, 1, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231937, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A06', 34, 1, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231938, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A07', 9, 1, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231939, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '不动产', '', '', 34, 1, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231940, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '就业', '', '', 9, 1, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231941, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', 'A06', 34, 1, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231942, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', 'A07', 9, 1, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231943, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', 'A06', 34, 1, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231944, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', 'A07', 9, 1, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231945, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '不动产', '', 'A06', 34, 1, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231946, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '就业', '', 'A07', 9, 1, 2024, 1, 8, '2024-08-05 16:39:36', NULL, NULL), (231947, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 0, 1, 2024, 1, 10, '2024-08-05 16:39:38', NULL, NULL), (231948, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '', '', '', 0, 1, 2024, 1, 10, '2024-08-05 16:39:38', NULL, NULL), (231949, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', '', 23, 1, 2024, 1, 11, '2024-08-05 16:39:39', NULL, NULL), (231950, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 23, 1, 2024, 1, 11, '2024-08-05 16:39:39', NULL, NULL), (231951, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', '', 23, 1, 2024, 1, 11, '2024-08-05 16:39:39', NULL, NULL), (231952, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A06', 23, 1, 2024, 1, 11, '2024-08-05 16:39:40', NULL, NULL), (231953, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '不动产', '', '', 23, 1, 2024, 1, 11, '2024-08-05 16:39:40', NULL, NULL), (231954, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', 'A06', 23, 1, 2024, 1, 11, '2024-08-05 16:39:40', NULL, NULL), (231955, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', 'A06', 23, 1, 2024, 1, 11, '2024-08-05 16:39:40', NULL, NULL), (231956, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '不动产', '', 'A06', 23, 1, 2024, 1, 11, '2024-08-05 16:39:40', NULL, NULL), (231957, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', '', 17, 1, 2024, 1, 15, '2024-08-05 16:39:44', NULL, NULL), (231958, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 8, 2, 2024, 1, 15, '2024-08-05 16:39:44', NULL, NULL), (231959, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 0, 1, 2024, 1, 15, '2024-08-05 16:39:44', NULL, NULL), (231960, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 0, 2, 2024, 1, 15, '2024-08-05 16:39:44', NULL, NULL), (231961, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '', '', '', 0, 3, 2024, 1, 15, '2024-08-05 16:39:44', NULL, NULL), (231962, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 17, 1, 2024, 1, 15, '2024-08-05 16:39:44', NULL, NULL), (231963, 23, '511503003999-0001', '仙源街道办事处', '脱贫劳动力返乡车补', '', '', '', 0, 1, 2024, 1, 15, '2024-08-05 16:39:44', NULL, NULL), (231964, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A03', 17, 1, 2024, 1, 15, '2024-08-05 16:39:44', NULL, NULL), (231965, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', '', 17, 1, 2024, 1, 15, '2024-08-05 16:39:44', NULL, NULL), (231966, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', 'A03', 17, 1, 2024, 1, 15, '2024-08-05 16:39:44', NULL, NULL), (231967, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', 'A03', 17, 1, 2024, 1, 15, '2024-08-05 16:39:44', NULL, NULL), (231968, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', 'A03', 17, 1, 2024, 1, 15, '2024-08-05 16:39:44', NULL, NULL), (231969, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', '', 302, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231970, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', '', 10, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231971, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', '', 1090, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231972, 23, '511503003999-0001', '仙源街道办事处', '', '', '企业服务综合大厅', '', 0, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231973, 23, '511503003999-0001', '仙源街道办事处', '', '', '出入境服务大厅', '', 0, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231974, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 0, 3, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231975, 23, '511503003999-0001', '仙源街道办事处', '', '', '医疗保障服务大厅', '', 0, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231976, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 467, 3, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231977, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业信息摸排', '', '', '', 0, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231978, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', '', 302, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231979, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '', '', '', 0, 5, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231980, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业项目融资', '', '', '', 1090, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231981, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '', '', '', 10, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231982, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A02', 1090, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231983, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A04', 10, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231984, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A07', 302, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231985, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '民政', '', '', 10, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231986, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '就业', '', '', 302, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231987, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业项目融资', '医保', '', '', 1090, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231988, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业项目融资', '', '', 'A02', 1090, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231989, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '', '', 'A04', 10, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231990, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', 'A07', 302, 1, 2024, 1, 16, '2024-08-05 16:39:46', NULL, NULL), (231991, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', 'A04', 10, 1, 2024, 1, 16, '2024-08-05 16:39:47', NULL, NULL), (231992, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', 'A02', 1090, 1, 2024, 1, 16, '2024-08-05 16:39:47', NULL, NULL), (231993, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', 'A07', 302, 1, 2024, 1, 16, '2024-08-05 16:39:47', NULL, NULL), (231994, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业项目融资', '医保', '', 'A02', 1090, 1, 2024, 1, 16, '2024-08-05 16:39:47', NULL, NULL), (231995, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '就业', '', 'A07', 302, 1, 2024, 1, 16, '2024-08-05 16:39:47', NULL, NULL), (231996, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '民政', '', 'A04', 10, 1, 2024, 1, 16, '2024-08-05 16:39:47', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (231997, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', '', 9, 1, 2024, 1, 17, '2024-08-05 16:39:51', NULL, NULL), (231998, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', '', 53, 1, 2024, 1, 17, '2024-08-05 16:39:51', NULL, NULL), (231999, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 15, 4, 2024, 1, 17, '2024-08-05 16:39:51', NULL, NULL), (232000, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '', '', '', 53, 1, 2024, 1, 17, '2024-08-05 16:39:51', NULL, NULL), (232001, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '', '', '', 9, 1, 2024, 1, 17, '2024-08-05 16:39:51', NULL, NULL), (232002, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', '', 0, 2, 2024, 1, 17, '2024-08-05 16:39:51', NULL, NULL), (232003, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A02', 53, 1, 2024, 1, 17, '2024-08-05 16:39:51', NULL, NULL), (232004, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A04', 9, 1, 2024, 1, 17, '2024-08-05 16:39:52', NULL, NULL), (232005, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '医保', '', '', 53, 1, 2024, 1, 17, '2024-08-05 16:39:52', NULL, NULL), (232006, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '民政', '', '', 9, 1, 2024, 1, 17, '2024-08-05 16:39:52', NULL, NULL), (232007, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '', '', 'A02', 53, 1, 2024, 1, 17, '2024-08-05 16:39:52', NULL, NULL), (232008, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '', '', 'A04', 9, 1, 2024, 1, 17, '2024-08-05 16:39:52', NULL, NULL), (232009, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', 'A04', 9, 1, 2024, 1, 17, '2024-08-05 16:39:52', NULL, NULL), (232010, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', 'A02', 53, 1, 2024, 1, 17, '2024-08-05 16:39:52', NULL, NULL), (232011, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '医保', '', 'A02', 53, 1, 2024, 1, 17, '2024-08-05 16:39:52', NULL, NULL), (232012, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '民政', '', 'A04', 9, 1, 2024, 1, 17, '2024-08-05 16:39:52', NULL, NULL), (232013, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', '', 1644, 3, 2024, 1, 22, '2024-08-05 16:40:07', NULL, NULL), (232014, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 2207, 2, 2024, 1, 22, '2024-08-05 16:40:07', NULL, NULL), (232015, 23, '511503003999-0001', '仙源街道办事处', '', '', '医疗保障服务大厅', '', 520, 1, 2024, 1, 22, '2024-08-05 16:40:07', NULL, NULL), (232016, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', '', 1644, 3, 2024, 1, 22, '2024-08-05 16:40:07', NULL, NULL), (232017, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A06', 1644, 3, 2024, 1, 22, '2024-08-05 16:40:07', NULL, NULL), (232018, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '不动产', '', '', 1644, 3, 2024, 1, 22, '2024-08-05 16:40:07', NULL, NULL), (232019, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', 'A06', 1644, 3, 2024, 1, 22, '2024-08-05 16:40:07', NULL, NULL), (232020, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', 'A06', 1644, 3, 2024, 1, 22, '2024-08-05 16:40:07', NULL, NULL), (232021, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '不动产', '', 'A06', 1644, 3, 2024, 1, 22, '2024-08-05 16:40:07', NULL, NULL), (232022, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 0, 1, 2024, 1, 23, '2024-08-05 16:40:08', NULL, NULL), (232023, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', '', 0, 1, 2024, 1, 23, '2024-08-05 16:40:08', NULL, NULL), (232024, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', '', 35, 3, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232025, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', '', 64, 3, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232026, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 31, 3, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232027, 23, '511503003999-0001', '仙源街道办事处', '', '', '出入境服务大厅', '', 12, 2, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232028, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 7, 1, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232029, 23, '511503003999-0001', '仙源街道办事处', '', '', '税务综合大厅', '', 175, 1, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232030, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '', '', '', 35, 3, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232031, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', '', 64, 3, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232032, 23, '511503003999-0001', '仙源街道办事处', '就业招聘', '', '', '', 0, 1, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232033, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A04', 35, 3, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232034, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A06', 64, 3, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232035, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '民政', '', '', 35, 3, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232036, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '不动产', '', '', 64, 3, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232037, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', 'A06', 64, 3, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232038, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '', '', 'A04', 35, 3, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232039, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', 'A06', 64, 3, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232040, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', 'A04', 35, 3, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232041, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '不动产', '', 'A06', 64, 3, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232042, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '民政', '', 'A04', 35, 3, 2024, 1, 24, '2024-08-05 16:40:09', NULL, NULL), (232043, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', '', 7, 1, 2024, 2, 8, '2024-08-05 16:40:24', NULL, NULL), (232044, 23, '511503003999-0001', '仙源街道办事处', '', '', '医疗保障服务大厅', '', 7, 1, 2024, 2, 8, '2024-08-05 16:40:24', NULL, NULL), (232045, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '', '', '', 7, 1, 2024, 2, 8, '2024-08-05 16:40:24', NULL, NULL), (232046, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A02', 7, 1, 2024, 2, 8, '2024-08-05 16:40:24', NULL, NULL), (232047, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '医保', '', '', 7, 1, 2024, 2, 8, '2024-08-05 16:40:24', NULL, NULL), (232048, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '', '', 'A02', 7, 1, 2024, 2, 8, '2024-08-05 16:40:24', NULL, NULL), (232049, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', 'A02', 7, 1, 2024, 2, 8, '2024-08-05 16:40:24', NULL, NULL), (232050, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '医保', '', 'A02', 7, 1, 2024, 2, 8, '2024-08-05 16:40:24', NULL, NULL), (232051, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', '', 21, 1, 2024, 2, 18, '2024-08-05 16:40:43', NULL, NULL), (232052, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 21, 1, 2024, 2, 18, '2024-08-05 16:40:43', NULL, NULL), (232053, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', '', 21, 1, 2024, 2, 18, '2024-08-05 16:40:44', NULL, NULL), (232054, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A06', 21, 1, 2024, 2, 18, '2024-08-05 16:40:44', NULL, NULL), (232055, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '不动产', '', '', 21, 1, 2024, 2, 18, '2024-08-05 16:40:44', NULL, NULL), (232056, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', 'A06', 21, 1, 2024, 2, 18, '2024-08-05 16:40:44', NULL, NULL), (232057, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', 'A06', 21, 1, 2024, 2, 18, '2024-08-05 16:40:44', NULL, NULL), (232058, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '不动产', '', 'A06', 21, 1, 2024, 2, 18, '2024-08-05 16:40:44', NULL, NULL), (232059, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', '', 370, 2, 2024, 2, 21, '2024-08-05 16:40:52', NULL, NULL), (232060, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 287, 1, 2024, 2, 21, '2024-08-05 16:40:52', NULL, NULL), (232061, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 454, 1, 2024, 2, 21, '2024-08-05 16:40:52', NULL, NULL), (232062, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', '', 370, 2, 2024, 2, 21, '2024-08-05 16:40:52', NULL, NULL), (232063, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A06', 370, 2, 2024, 2, 21, '2024-08-05 16:40:52', NULL, NULL), (232064, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '不动产', '', '', 370, 2, 2024, 2, 21, '2024-08-05 16:40:52', NULL, NULL), (232065, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', 'A06', 370, 2, 2024, 2, 21, '2024-08-05 16:40:52', NULL, NULL), (232066, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', 'A06', 370, 2, 2024, 2, 21, '2024-08-05 16:40:52', NULL, NULL), (232067, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '不动产', '', 'A06', 370, 2, 2024, 2, 21, '2024-08-05 16:40:52', NULL, NULL), (232068, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 0, 1, 2024, 2, 22, '2024-08-05 16:40:53', NULL, NULL), (232069, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '', '', '', 0, 1, 2024, 2, 22, '2024-08-05 16:40:53', NULL, NULL), (232070, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 0, 1, 2024, 2, 26, '2024-08-05 16:40:56', NULL, NULL), (232071, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 0, 1, 2024, 2, 28, '2024-08-05 16:40:57', NULL, NULL), (232072, 23, '511503003999-0001', '仙源街道办事处', '残疾证办理', '', '', '', 0, 1, 2024, 2, 28, '2024-08-05 16:40:57', NULL, NULL), (232073, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 0, 1, 2024, 3, 4, '2024-08-05 16:41:02', NULL, NULL), (232074, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '', '', '', 0, 1, 2024, 3, 4, '2024-08-05 16:41:02', NULL, NULL), (232075, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', '', 11, 1, 2024, 3, 7, '2024-08-05 16:41:04', NULL, NULL), (232076, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 0, 1, 2024, 3, 7, '2024-08-05 16:41:04', NULL, NULL), (232077, 23, '511503003999-0001', '仙源街道办事处', '', '', '企业服务综合大厅', '', 0, 1, 2024, 3, 7, '2024-08-05 16:41:04', NULL, NULL), (232078, 23, '511503003999-0001', '仙源街道办事处', '', '', '出入境服务大厅', '', 0, 1, 2024, 3, 7, '2024-08-05 16:41:04', NULL, NULL), (232079, 23, '511503003999-0001', '仙源街道办事处', '', '', '税务综合大厅', '', 11, 1, 2024, 3, 7, '2024-08-05 16:41:04', NULL, NULL), (232080, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '', '', '', 11, 1, 2024, 3, 7, '2024-08-05 16:41:04', NULL, NULL), (232081, 23, '511503003999-0001', '仙源街道办事处', '综治维稳、信访接待', '', '', '', 0, 1, 2024, 3, 7, '2024-08-05 16:41:04', NULL, NULL), (232082, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 0, 1, 2024, 3, 7, '2024-08-05 16:41:04', NULL, NULL), (232083, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '', '', '', 0, 1, 2024, 3, 7, '2024-08-05 16:41:04', NULL, NULL), (232084, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A02', 11, 1, 2024, 3, 7, '2024-08-05 16:41:05', NULL, NULL), (232085, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '医保', '', '', 11, 1, 2024, 3, 7, '2024-08-05 16:41:05', NULL, NULL), (232086, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '', '', 'A02', 11, 1, 2024, 3, 7, '2024-08-05 16:41:05', NULL, NULL), (232087, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', 'A02', 11, 1, 2024, 3, 7, '2024-08-05 16:41:05', NULL, NULL), (232088, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '医保', '', 'A02', 11, 1, 2024, 3, 7, '2024-08-05 16:41:05', NULL, NULL), (232089, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', '', 164, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232090, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', '', 5, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232091, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 54, 3, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232092, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 0, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232093, 23, '511503003999-0001', '仙源街道办事处', '', '', '高新区政企服务中心', '', 0, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232094, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 0, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232095, 23, '511503003999-0001', '仙源街道办事处', '', '', '税务综合大厅', '', 2, 2, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232096, 23, '511503003999-0001', '仙源街道办事处', '城乡居民医疗保险', '', '', '', 0, 2, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232097, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', '', 0, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232098, 23, '511503003999-0001', '仙源街道办事处', '综治维稳、信访接待', '', '', '', 0, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232099, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 5, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232100, 23, '511503003999-0001', '仙源街道办事处', '农村宅基地审批', '', '', '', 0, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232101, 23, '511503003999-0001', '仙源街道办事处', '就业招聘', '', '', '', 0, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232102, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '', '', '', 164, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232103, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A03', 5, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232104, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A04', 164, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232105, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', '', 5, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232106, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '民政', '', '', 164, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232107, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', 'A03', 5, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232108, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '', '', 'A04', 164, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232109, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', 'A03', 5, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232110, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', 'A04', 164, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232111, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', 'A03', 5, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232112, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '民政', '', 'A04', 164, 1, 2024, 3, 8, '2024-08-05 16:41:06', NULL, NULL), (232113, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', '', 5, 1, 2024, 3, 18, '2024-08-05 16:41:16', NULL, NULL), (232114, 23, '511503003999-0001', '仙源街道办事处', '', '', '医疗保障服务大厅', '', 5, 1, 2024, 3, 18, '2024-08-05 16:41:16', NULL, NULL), (232115, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 5, 1, 2024, 3, 18, '2024-08-05 16:41:16', NULL, NULL), (232116, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A03', 5, 1, 2024, 3, 18, '2024-08-05 16:41:16', NULL, NULL), (232117, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', '', 5, 1, 2024, 3, 18, '2024-08-05 16:41:16', NULL, NULL), (232118, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', 'A03', 5, 1, 2024, 3, 18, '2024-08-05 16:41:17', NULL, NULL), (232119, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', 'A03', 5, 1, 2024, 3, 18, '2024-08-05 16:41:17', NULL, NULL), (232120, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', 'A03', 5, 1, 2024, 3, 18, '2024-08-05 16:41:17', NULL, NULL), (232121, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', '', 6, 1, 2024, 3, 20, '2024-08-05 16:41:24', NULL, NULL), (232122, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 6, 1, 2024, 3, 20, '2024-08-05 16:41:24', NULL, NULL), (232123, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 6, 1, 2024, 3, 20, '2024-08-05 16:41:24', NULL, NULL), (232124, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A03', 6, 1, 2024, 3, 20, '2024-08-05 16:41:24', NULL, NULL), (232125, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', '', 6, 1, 2024, 3, 20, '2024-08-05 16:41:25', NULL, NULL), (232126, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', 'A03', 6, 1, 2024, 3, 20, '2024-08-05 16:41:25', NULL, NULL), (232127, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', 'A03', 6, 1, 2024, 3, 20, '2024-08-05 16:41:25', NULL, NULL), (232128, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', 'A03', 6, 1, 2024, 3, 20, '2024-08-05 16:41:25', NULL, NULL), (232129, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', '', 13, 1, 2024, 3, 21, '2024-08-05 16:41:29', NULL, NULL), (232130, 23, '511503003999-0001', '仙源街道办事处', '', '', '企业服务综合大厅', '', 13, 1, 2024, 3, 21, '2024-08-05 16:41:29', NULL, NULL), (232131, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 0, 1, 2024, 3, 21, '2024-08-05 16:41:29', NULL, NULL), (232132, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '', '', '', 0, 1, 2024, 3, 21, '2024-08-05 16:41:29', NULL, NULL), (232133, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', '', 13, 1, 2024, 3, 21, '2024-08-05 16:41:29', NULL, NULL), (232134, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A07', 13, 1, 2024, 3, 21, '2024-08-05 16:41:30', NULL, NULL), (232135, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '就业', '', '', 13, 1, 2024, 3, 21, '2024-08-05 16:41:30', NULL, NULL), (232136, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', 'A07', 13, 1, 2024, 3, 21, '2024-08-05 16:41:30', NULL, NULL), (232137, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', 'A07', 13, 1, 2024, 3, 21, '2024-08-05 16:41:30', NULL, NULL), (232138, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '就业', '', 'A07', 13, 1, 2024, 3, 21, '2024-08-05 16:41:30', NULL, NULL), (232139, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 0, 1, 2024, 3, 27, '2024-08-05 16:41:34', NULL, NULL), (232140, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 0, 1, 2024, 3, 27, '2024-08-05 16:41:34', NULL, NULL), (232141, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 0, 2, 2024, 3, 29, '2024-08-05 16:41:36', NULL, NULL), (232142, 23, '511503003999-0001', '仙源街道办事处', '', '', '税务综合大厅', '', 0, 2, 2024, 3, 29, '2024-08-05 16:41:36', NULL, NULL), (232143, 23, '511503003999-0001', '仙源街道办事处', '大学生创业补贴申请、就业创业技能培训', '', '', '', 0, 1, 2024, 3, 29, '2024-08-05 16:41:36', NULL, NULL), (232144, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', '', 0, 2, 2024, 3, 29, '2024-08-05 16:41:36', NULL, NULL), (232145, 23, '511503003999-0001', '仙源街道办事处', '残疾人帮扶', '', '', '', 0, 1, 2024, 3, 29, '2024-08-05 16:41:36', NULL, NULL), (232146, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', '', 38, 1, 2024, 4, 8, '2024-08-05 16:41:45', NULL, NULL), (232147, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 19, 2, 2024, 4, 8, '2024-08-05 16:41:45', NULL, NULL), (232148, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', '', 0, 1, 2024, 4, 8, '2024-08-05 16:41:45', NULL, NULL), (232149, 23, '511503003999-0001', '仙源街道办事处', '企业员工养老保险', '', '', '', 38, 1, 2024, 4, 8, '2024-08-05 16:41:45', NULL, NULL), (232150, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A07', 38, 1, 2024, 4, 8, '2024-08-05 16:41:45', NULL, NULL), (232151, 23, '511503003999-0001', '仙源街道办事处', '企业员工养老保险', '就业', '', '', 38, 1, 2024, 4, 8, '2024-08-05 16:41:45', NULL, NULL), (232152, 23, '511503003999-0001', '仙源街道办事处', '企业员工养老保险', '', '', 'A07', 38, 1, 2024, 4, 8, '2024-08-05 16:41:45', NULL, NULL), (232153, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', 'A07', 38, 1, 2024, 4, 8, '2024-08-05 16:41:45', NULL, NULL), (232154, 23, '511503003999-0001', '仙源街道办事处', '企业员工养老保险', '就业', '', 'A07', 38, 1, 2024, 4, 8, '2024-08-05 16:41:45', NULL, NULL), (232155, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', '', 8, 1, 2024, 4, 10, '2024-08-05 16:41:47', NULL, NULL), (232156, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', '', 5, 1, 2024, 4, 10, '2024-08-05 16:41:47', NULL, NULL), (232157, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 6, 2, 2024, 4, 10, '2024-08-05 16:41:47', NULL, NULL), (232158, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', '', 8, 1, 2024, 4, 10, '2024-08-05 16:41:47', NULL, NULL), (232159, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 5, 1, 2024, 4, 10, '2024-08-05 16:41:47', NULL, NULL), (232160, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A03', 5, 1, 2024, 4, 10, '2024-08-05 16:41:47', NULL, NULL), (232161, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A07', 8, 1, 2024, 4, 10, '2024-08-05 16:41:47', NULL, NULL), (232162, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', '', 5, 1, 2024, 4, 10, '2024-08-05 16:41:47', NULL, NULL), (232163, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '就业', '', '', 8, 1, 2024, 4, 10, '2024-08-05 16:41:47', NULL, NULL), (232164, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', 'A03', 5, 1, 2024, 4, 10, '2024-08-05 16:41:47', NULL, NULL), (232165, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', 'A07', 8, 1, 2024, 4, 10, '2024-08-05 16:41:47', NULL, NULL), (232166, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', 'A03', 5, 1, 2024, 4, 10, '2024-08-05 16:41:47', NULL, NULL), (232167, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', 'A07', 8, 1, 2024, 4, 10, '2024-08-05 16:41:47', NULL, NULL), (232168, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', 'A03', 5, 1, 2024, 4, 10, '2024-08-05 16:41:47', NULL, NULL), (232169, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '就业', '', 'A07', 8, 1, 2024, 4, 10, '2024-08-05 16:41:47', NULL, NULL), (232170, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', '', 5, 1, 2024, 4, 11, '2024-08-05 16:41:48', NULL, NULL), (232171, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', '', 12, 1, 2024, 4, 11, '2024-08-05 16:41:48', NULL, NULL), (232172, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 8, 2, 2024, 4, 11, '2024-08-05 16:41:48', NULL, NULL), (232173, 23, '511503003999-0001', '仙源街道办事处', '', '', '税务综合大厅', '', 0, 1, 2024, 4, 11, '2024-08-05 16:41:48', NULL, NULL), (232174, 23, '511503003999-0001', '仙源街道办事处', '综治维稳、信访接待', '', '', '', 12, 1, 2024, 4, 11, '2024-08-05 16:41:48', NULL, NULL), (232175, 23, '511503003999-0001', '仙源街道办事处', '就业招聘', '', '', '', 5, 1, 2024, 4, 11, '2024-08-05 16:41:48', NULL, NULL), (232176, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '', '', '', 0, 1, 2024, 4, 11, '2024-08-05 16:41:48', NULL, NULL), (232177, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A06', 12, 1, 2024, 4, 11, '2024-08-05 16:41:48', NULL, NULL), (232178, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A07', 5, 1, 2024, 4, 11, '2024-08-05 16:41:48', NULL, NULL), (232179, 23, '511503003999-0001', '仙源街道办事处', '就业招聘', '就业', '', '', 5, 1, 2024, 4, 11, '2024-08-05 16:41:48', NULL, NULL), (232180, 23, '511503003999-0001', '仙源街道办事处', '综治维稳、信访接待', '不动产', '', '', 12, 1, 2024, 4, 11, '2024-08-05 16:41:48', NULL, NULL), (232181, 23, '511503003999-0001', '仙源街道办事处', '综治维稳、信访接待', '', '', 'A06', 12, 1, 2024, 4, 11, '2024-08-05 16:41:48', NULL, NULL), (232182, 23, '511503003999-0001', '仙源街道办事处', '就业招聘', '', '', 'A07', 5, 1, 2024, 4, 11, '2024-08-05 16:41:48', NULL, NULL), (232183, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', 'A06', 12, 1, 2024, 4, 11, '2024-08-05 16:41:49', NULL, NULL), (232184, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', 'A07', 5, 1, 2024, 4, 11, '2024-08-05 16:41:49', NULL, NULL), (232185, 23, '511503003999-0001', '仙源街道办事处', '就业招聘', '就业', '', 'A07', 5, 1, 2024, 4, 11, '2024-08-05 16:41:49', NULL, NULL), (232186, 23, '511503003999-0001', '仙源街道办事处', '综治维稳、信访接待', '不动产', '', 'A06', 12, 1, 2024, 4, 11, '2024-08-05 16:41:49', NULL, NULL), (232187, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', '', 6, 1, 2024, 4, 16, '2024-08-05 16:41:54', NULL, NULL), (232188, 23, '511503003999-0001', '仙源街道办事处', '', '', '出入境服务大厅', '', 6, 1, 2024, 4, 16, '2024-08-05 16:41:54', NULL, NULL), (232189, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', '', 6, 1, 2024, 4, 16, '2024-08-05 16:41:54', NULL, NULL), (232190, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A07', 6, 1, 2024, 4, 16, '2024-08-05 16:41:54', NULL, NULL), (232191, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '就业', '', '', 6, 1, 2024, 4, 16, '2024-08-05 16:41:54', NULL, NULL), (232192, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', 'A07', 6, 1, 2024, 4, 16, '2024-08-05 16:41:54', NULL, NULL), (232193, 23, '511503003999-0001', '仙源街道办事处', '', '就业', '', 'A07', 6, 1, 2024, 4, 16, '2024-08-05 16:41:54', NULL, NULL), (232194, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '就业', '', 'A07', 6, 1, 2024, 4, 16, '2024-08-05 16:41:54', NULL, NULL), (232195, 23, '511503003999-0001', '仙源街道办事处', '', '综合便民服务中心', '', '', 10, 2, 2024, 4, 19, '2024-08-05 16:42:03', NULL, NULL), (232196, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', '', 5, 1, 2024, 4, 19, '2024-08-05 16:42:03', NULL, NULL), (232197, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 0, 1, 2024, 4, 19, '2024-08-05 16:42:03', NULL, NULL), (232198, 23, '511503003999-0001', '仙源街道办事处', '', '', '企业服务综合大厅', '', 5, 1, 2024, 4, 19, '2024-08-05 16:42:03', NULL, NULL), (232199, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 12, 1, 2024, 4, 19, '2024-08-05 16:42:03', NULL, NULL), (232200, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 8, 1, 2024, 4, 19, '2024-08-05 16:42:03', NULL, NULL), (232201, 23, '511503003999-0001', '仙源街道办事处', '退役军人优待证办理', '', '', '', 12, 1, 2024, 4, 19, '2024-08-05 16:42:03', NULL, NULL), (232202, 23, '511503003999-0001', '仙源街道办事处', '重点优抚人员医疗补助申请', '', '', '', 0, 1, 2024, 4, 19, '2024-08-05 16:42:03', NULL, NULL), (232203, 23, '511503003999-0001', '仙源街道办事处', '60岁以上农村籍退役士兵申请', '', '', '', 8, 1, 2024, 4, 19, '2024-08-05 16:42:03', NULL, NULL), (232204, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业项目融资', '', '', '', 5, 1, 2024, 4, 19, '2024-08-05 16:42:03', NULL, NULL), (232205, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A01', 10, 2, 2024, 4, 19, '2024-08-05 16:42:03', NULL, NULL), (232206, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A02', 5, 1, 2024, 4, 19, '2024-08-05 16:42:04', NULL, NULL), (232207, 23, '511503003999-0001', '仙源街道办事处', '退役军人优待证办理', '综合便民服务中心', '', '', 12, 1, 2024, 4, 19, '2024-08-05 16:42:04', NULL, NULL), (232208, 23, '511503003999-0001', '仙源街道办事处', '60岁以上农村籍退役士兵申请', '综合便民服务中心', '', '', 8, 1, 2024, 4, 19, '2024-08-05 16:42:04', NULL, NULL), (232209, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业项目融资', '医保', '', '', 5, 1, 2024, 4, 19, '2024-08-05 16:42:04', NULL, NULL), (232210, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业项目融资', '', '', 'A02', 5, 1, 2024, 4, 19, '2024-08-05 16:42:04', NULL, NULL), (232211, 23, '511503003999-0001', '仙源街道办事处', '退役军人优待证办理', '', '', 'A01', 12, 1, 2024, 4, 19, '2024-08-05 16:42:04', NULL, NULL), (232212, 23, '511503003999-0001', '仙源街道办事处', '60岁以上农村籍退役士兵申请', '', '', 'A01', 8, 1, 2024, 4, 19, '2024-08-05 16:42:04', NULL, NULL), (232213, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', 'A02', 5, 1, 2024, 4, 19, '2024-08-05 16:42:05', NULL, NULL), (232214, 23, '511503003999-0001', '仙源街道办事处', '', '综合便民服务中心', '', 'A01', 10, 2, 2024, 4, 19, '2024-08-05 16:42:05', NULL, NULL), (232215, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业项目融资', '医保', '', 'A02', 5, 1, 2024, 4, 19, '2024-08-05 16:42:05', NULL, NULL), (232216, 23, '511503003999-0001', '仙源街道办事处', '60岁以上农村籍退役士兵申请', '综合便民服务中心', '', 'A01', 8, 1, 2024, 4, 19, '2024-08-05 16:42:05', NULL, NULL), (232217, 23, '511503003999-0001', '仙源街道办事处', '退役军人优待证办理', '综合便民服务中心', '', 'A01', 12, 1, 2024, 4, 19, '2024-08-05 16:42:05', NULL, NULL), (232218, 23, '511503003999-0001', '仙源街道办事处', '', '', '税务综合大厅', '', 0, 1, 2024, 4, 22, '2024-08-05 16:42:11', NULL, NULL), (232219, 23, '511503003999-0001', '仙源街道办事处', '退役军人优待证办理', '', '', '', 0, 1, 2024, 4, 22, '2024-08-05 16:42:11', NULL, NULL), (232220, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', '', 56, 5, 2024, 5, 6, '2024-08-05 16:42:22', NULL, NULL), (232221, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', '', 6, 1, 2024, 5, 6, '2024-08-05 16:42:22', NULL, NULL), (232222, 23, '511503003999-0001', '仙源街道办事处', '', '农业农村', '', '', 22, 1, 2024, 5, 6, '2024-08-05 16:42:22', NULL, NULL), (232223, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 66, 2, 2024, 5, 6, '2024-08-05 16:42:22', NULL, NULL), (232224, 23, '511503003999-0001', '仙源街道办事处', '', '', '企业服务综合大厅', '', 14, 1, 2024, 5, 6, '2024-08-05 16:42:22', NULL, NULL), (232225, 23, '511503003999-0001', '仙源街道办事处', '', '', '公积金服务大厅', '', 52, 3, 2024, 5, 6, '2024-08-05 16:42:22', NULL, NULL), (232226, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 3, 2, 2024, 5, 6, '2024-08-05 16:42:22', NULL, NULL), (232227, 23, '511503003999-0001', '仙源街道办事处', '重点优抚人员医疗补助申请', '', '', '', 0, 1, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232228, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '', '', '', 56, 5, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232229, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '', '', '', 6, 1, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232230, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '', '', '', 22, 1, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232231, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A03', 6, 1, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232232, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A04', 56, 5, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232233, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A05', 22, 1, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232234, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '农业农村', '', '', 22, 1, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232235, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '民政', '', '', 56, 5, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232236, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '卫建', '', '', 6, 1, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232237, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '', '', 'A05', 22, 1, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232238, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '', '', 'A04', 56, 5, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232239, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '', '', 'A03', 6, 1, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232240, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', 'A03', 6, 1, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232241, 23, '511503003999-0001', '仙源街道办事处', '', '农业农村', '', 'A05', 22, 1, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232242, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', 'A04', 56, 5, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232243, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '卫建', '', 'A03', 6, 1, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232244, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '民政', '', 'A04', 56, 5, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232245, 23, '511503003999-0001', '仙源街道办事处', '食品摊贩登记备案', '农业农村', '', 'A05', 22, 1, 2024, 5, 6, '2024-08-05 16:42:23', NULL, NULL), (232246, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', '', 15, 1, 2024, 5, 7, '2024-08-05 16:42:24', NULL, NULL), (232247, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', '', 7, 1, 2024, 5, 7, '2024-08-05 16:42:24', NULL, NULL), (232248, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 7, 1, 2024, 5, 7, '2024-08-05 16:42:24', NULL, NULL), (232249, 23, '511503003999-0001', '仙源街道办事处', '', '', '企业服务综合大厅', '', 15, 1, 2024, 5, 7, '2024-08-05 16:42:24', NULL, NULL), (232250, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', '', 15, 1, 2024, 5, 7, '2024-08-05 16:42:24', NULL, NULL), (232251, 23, '511503003999-0001', '仙源街道办事处', '残疾人帮扶', '', '', '', 7, 1, 2024, 5, 7, '2024-08-05 16:42:24', NULL, NULL), (232252, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A03', 7, 1, 2024, 5, 7, '2024-08-05 16:42:24', NULL, NULL), (232253, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A06', 15, 1, 2024, 5, 7, '2024-08-05 16:42:24', NULL, NULL), (232254, 23, '511503003999-0001', '仙源街道办事处', '残疾人帮扶', '卫建', '', '', 7, 1, 2024, 5, 7, '2024-08-05 16:42:24', NULL, NULL), (232255, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '不动产', '', '', 15, 1, 2024, 5, 7, '2024-08-05 16:42:24', NULL, NULL), (232256, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', 'A06', 15, 1, 2024, 5, 7, '2024-08-05 16:42:24', NULL, NULL), (232257, 23, '511503003999-0001', '仙源街道办事处', '残疾人帮扶', '', '', 'A03', 7, 1, 2024, 5, 7, '2024-08-05 16:42:24', NULL, NULL), (232258, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', 'A06', 15, 1, 2024, 5, 7, '2024-08-05 16:42:24', NULL, NULL), (232259, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', 'A03', 7, 1, 2024, 5, 7, '2024-08-05 16:42:24', NULL, NULL), (232260, 23, '511503003999-0001', '仙源街道办事处', '残疾人帮扶', '卫建', '', 'A03', 7, 1, 2024, 5, 7, '2024-08-05 16:42:25', NULL, NULL), (232261, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '不动产', '', 'A06', 15, 1, 2024, 5, 7, '2024-08-05 16:42:25', NULL, NULL), (232262, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', '', 6, 1, 2024, 5, 10, '2024-08-05 16:42:27', NULL, NULL), (232263, 23, '511503003999-0001', '仙源街道办事处', '', '', '税务综合大厅', '', 6, 1, 2024, 5, 10, '2024-08-05 16:42:27', NULL, NULL), (232264, 23, '511503003999-0001', '仙源街道办事处', '残疾证办理', '', '', '', 6, 1, 2024, 5, 10, '2024-08-05 16:42:27', NULL, NULL), (232265, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A03', 6, 1, 2024, 5, 10, '2024-08-05 16:42:27', NULL, NULL), (232266, 23, '511503003999-0001', '仙源街道办事处', '残疾证办理', '卫建', '', '', 6, 1, 2024, 5, 10, '2024-08-05 16:42:27', NULL, NULL), (232267, 23, '511503003999-0001', '仙源街道办事处', '残疾证办理', '', '', 'A03', 6, 1, 2024, 5, 10, '2024-08-05 16:42:27', NULL, NULL), (232268, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', 'A03', 6, 1, 2024, 5, 10, '2024-08-05 16:42:27', NULL, NULL), (232269, 23, '511503003999-0001', '仙源街道办事处', '残疾证办理', '卫建', '', 'A03', 6, 1, 2024, 5, 10, '2024-08-05 16:42:27', NULL, NULL), (232270, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 0, 1, 2024, 6, 6, '2024-08-05 16:43:02', NULL, NULL), (232271, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '', '', '', 0, 1, 2024, 6, 6, '2024-08-05 16:43:02', NULL, NULL), (232272, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', '', 80, 2, 2024, 6, 13, '2024-08-05 16:43:08', NULL, NULL), (232273, 23, '511503003999-0001', '仙源街道办事处', '', '', '公积金服务大厅', '', 39, 2, 2024, 6, 13, '2024-08-05 16:43:08', NULL, NULL), (232274, 23, '511503003999-0001', '仙源街道办事处', '', '', '税务综合大厅', '', 82, 1, 2024, 6, 13, '2024-08-05 16:43:08', NULL, NULL), (232275, 23, '511503003999-0001', '仙源街道办事处', '退役军人优待证办理', '', '', '', 82, 1, 2024, 6, 13, '2024-08-05 16:43:08', NULL, NULL), (232276, 23, '511503003999-0001', '仙源街道办事处', '退役军人关爱帮扶申请', '', '', '', 79, 1, 2024, 6, 13, '2024-08-05 16:43:08', NULL, NULL), (232277, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业技能培训', '', '', '', 0, 1, 2024, 6, 13, '2024-08-05 16:43:08', NULL, NULL), (232278, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A02', 80, 2, 2024, 6, 13, '2024-08-05 16:43:08', NULL, NULL), (232279, 23, '511503003999-0001', '仙源街道办事处', '退役军人优待证办理', '医保', '', '', 82, 1, 2024, 6, 13, '2024-08-05 16:43:08', NULL, NULL), (232280, 23, '511503003999-0001', '仙源街道办事处', '退役军人关爱帮扶申请', '医保', '', '', 79, 1, 2024, 6, 13, '2024-08-05 16:43:08', NULL, NULL), (232281, 23, '511503003999-0001', '仙源街道办事处', '退役军人优待证办理', '', '', 'A02', 82, 1, 2024, 6, 13, '2024-08-05 16:43:08', NULL, NULL), (232282, 23, '511503003999-0001', '仙源街道办事处', '退役军人关爱帮扶申请', '', '', 'A02', 79, 1, 2024, 6, 13, '2024-08-05 16:43:08', NULL, NULL), (232283, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', 'A02', 80, 2, 2024, 6, 13, '2024-08-05 16:43:08', NULL, NULL), (232284, 23, '511503003999-0001', '仙源街道办事处', '退役军人关爱帮扶申请', '医保', '', 'A02', 79, 1, 2024, 6, 13, '2024-08-05 16:43:08', NULL, NULL), (232285, 23, '511503003999-0001', '仙源街道办事处', '退役军人优待证办理', '医保', '', 'A02', 82, 1, 2024, 6, 13, '2024-08-05 16:43:08', NULL, NULL), (232286, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', '', 91, 1, 2024, 6, 18, '2024-08-05 16:43:13', NULL, NULL), (232287, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', '', 4, 1, 2024, 6, 18, '2024-08-05 16:43:13', NULL, NULL), (232288, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', '', 44, 1, 2024, 6, 18, '2024-08-05 16:43:13', NULL, NULL), (232289, 23, '511503003999-0001', '仙源街道办事处', '', '农业农村', '', '', 9, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232290, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 28, 5, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232291, 23, '511503003999-0001', '仙源街道办事处', '', '', '企业服务综合大厅', '', 0, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232292, 23, '511503003999-0001', '仙源街道办事处', '', '', '出入境服务大厅', '', 2, 2, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232293, 23, '511503003999-0001', '仙源街道办事处', '城乡居民医疗保险', '', '', '', 0, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232294, 23, '511503003999-0001', '仙源街道办事处', '城市居民医疗保险参保、新生儿参保', '', '', '', 0, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232295, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 4, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232296, 23, '511503003999-0001', '仙源街道办事处', '综治维稳、信访接待', '', '', '', 91, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232297, 23, '511503003999-0001', '仙源街道办事处', '大学生创业补贴申请、就业创业技能培训', '', '', '', 0, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232298, 23, '511503003999-0001', '仙源街道办事处', '农村宅基地审批', '', '', '', 9, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232299, 23, '511503003999-0001', '仙源街道办事处', '就业招聘', '', '', '', 0, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232300, 23, '511503003999-0001', '仙源街道办事处', '退役军人信息采集', '', '', '', 44, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232301, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A02', 44, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232302, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A03', 4, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232303, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A05', 9, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232304, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A06', 91, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232305, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', '', 4, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232306, 23, '511503003999-0001', '仙源街道办事处', '退役军人信息采集', '医保', '', '', 44, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232307, 23, '511503003999-0001', '仙源街道办事处', '农村宅基地审批', '农业农村', '', '', 9, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232308, 23, '511503003999-0001', '仙源街道办事处', '综治维稳、信访接待', '不动产', '', '', 91, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232309, 23, '511503003999-0001', '仙源街道办事处', '退役军人信息采集', '', '', 'A02', 44, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232310, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', 'A03', 4, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232311, 23, '511503003999-0001', '仙源街道办事处', '综治维稳、信访接待', '', '', 'A06', 91, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232312, 23, '511503003999-0001', '仙源街道办事处', '农村宅基地审批', '', '', 'A05', 9, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232313, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', 'A06', 91, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232314, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', 'A03', 4, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232315, 23, '511503003999-0001', '仙源街道办事处', '', '农业农村', '', 'A05', 9, 1, 2024, 6, 18, '2024-08-05 16:43:15', NULL, NULL), (232316, 23, '511503003999-0001', '仙源街道办事处', '', '医保', '', 'A02', 44, 1, 2024, 6, 18, '2024-08-05 16:43:14', NULL, NULL), (232317, 23, '511503003999-0001', '仙源街道办事处', '退役军人信息采集', '医保', '', 'A02', 44, 1, 2024, 6, 18, '2024-08-05 16:43:15', NULL, NULL), (232318, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', 'A03', 4, 1, 2024, 6, 18, '2024-08-05 16:43:15', NULL, NULL), (232319, 23, '511503003999-0001', '仙源街道办事处', '农村宅基地审批', '农业农村', '', 'A05', 9, 1, 2024, 6, 18, '2024-08-05 16:43:15', NULL, NULL), (232320, 23, '511503003999-0001', '仙源街道办事处', '综治维稳、信访接待', '不动产', '', 'A06', 91, 1, 2024, 6, 18, '2024-08-05 16:43:15', NULL, NULL), (232321, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 0, 1, 2024, 6, 26, '2024-08-05 16:43:32', NULL, NULL), (232322, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', '', 0, 1, 2024, 6, 26, '2024-08-05 16:43:32', NULL, NULL), (232323, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', '', 22, 1, 2024, 7, 22, '2024-08-05 16:44:04', NULL, NULL), (232324, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 11, 2, 2024, 7, 22, '2024-08-05 16:44:04', NULL, NULL), (232325, 23, '511503003999-0001', '仙源街道办事处', '农民工返乡创业信息摸排', '', '', '', 0, 1, 2024, 7, 22, '2024-08-05 16:44:04', NULL, NULL), (232326, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', '', 22, 1, 2024, 7, 22, '2024-08-05 16:44:04', NULL, NULL), (232327, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A06', 22, 1, 2024, 7, 22, '2024-08-05 16:44:04', NULL, NULL), (232328, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '不动产', '', '', 22, 1, 2024, 7, 22, '2024-08-05 16:44:04', NULL, NULL), (232329, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '', '', 'A06', 22, 1, 2024, 7, 22, '2024-08-05 16:44:05', NULL, NULL), (232330, 23, '511503003999-0001', '仙源街道办事处', '', '不动产', '', 'A06', 22, 1, 2024, 7, 22, '2024-08-05 16:44:05', NULL, NULL), (232331, 23, '511503003999-0001', '仙源街道办事处', '不动产权办理', '不动产', '', 'A06', 22, 1, 2024, 7, 22, '2024-08-05 16:44:05', NULL, NULL), (232332, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 0, 1, 2024, 7, 26, '2024-08-05 16:44:14', NULL, NULL), (232333, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '', '', '', 0, 1, 2024, 7, 26, '2024-08-05 16:44:14', NULL, NULL), (232334, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', '', 328, 2, 2024, 7, 30, '2024-08-05 16:44:17', NULL, NULL), (232335, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', '', 4, 3, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232336, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 16, 3, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232337, 23, '511503003999-0001', '仙源街道办事处', '', '', '人社保障大厅', '', 612, 1, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232338, 23, '511503003999-0001', '仙源街道办事处', '', '', '医疗保障服务大厅', '', 3, 2, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232339, 23, '511503003999-0001', '仙源街道办事处', '', '', '税务综合大厅', '', 3, 1, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232340, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 6, 1, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232341, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '', '', '', 0, 2, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232342, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '', '', '', 3, 2, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232343, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '', '', '', 328, 2, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232344, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A03', 4, 3, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232345, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A04', 328, 2, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232346, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', '', 6, 1, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232347, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '卫建', '', '', 3, 2, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232348, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '民政', '', '', 328, 2, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232349, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', 'A03', 6, 1, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232350, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '', '', 'A04', 328, 2, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232351, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '', '', 'A03', 3, 2, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232352, 23, '511503003999-0001', '仙源街道办事处', '', '卫建', '', 'A03', 4, 3, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232353, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', 'A04', 328, 2, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232354, 23, '511503003999-0001', '仙源街道办事处', '特扶申报', '卫建', '', 'A03', 3, 2, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232355, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '卫建', '', 'A03', 6, 1, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232356, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '民政', '', 'A04', 328, 2, 2024, 7, 30, '2024-08-05 16:44:18', NULL, NULL), (232357, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', '', 29, 1, 2024, 7, 31, '2024-08-05 16:44:19', NULL, NULL), (232358, 23, '511503003999-0001', '仙源街道办事处', '', '', '公安综合服务大厅', '', 29, 1, 2024, 7, 31, '2024-08-05 16:44:19', NULL, NULL), (232359, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '', '', '', 29, 1, 2024, 7, 31, '2024-08-05 16:44:19', NULL, NULL), (232360, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A04', 29, 1, 2024, 7, 31, '2024-08-05 16:44:19', NULL, NULL), (232361, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '民政', '', '', 29, 1, 2024, 7, 31, '2024-08-05 16:44:19', NULL, NULL), (232362, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '', '', 'A04', 29, 1, 2024, 7, 31, '2024-08-05 16:44:19', NULL, NULL), (232363, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', 'A04', 29, 1, 2024, 7, 31, '2024-08-05 16:44:19', NULL, NULL), (232364, 23, '511503003999-0001', '仙源街道办事处', '商铺坐落证明', '民政', '', 'A04', 29, 1, 2024, 7, 31, '2024-08-05 16:44:19', NULL, NULL), (232365, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', '', 12, 1, 2024, 8, 1, '2024-08-05 16:44:20', NULL, NULL), (232366, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 12, 1, 2024, 8, 1, '2024-08-05 16:44:20', NULL, NULL), (232367, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '', '', '', 12, 1, 2024, 8, 1, '2024-08-05 16:44:20', NULL, NULL), (232368, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A04', 12, 1, 2024, 8, 1, '2024-08-05 16:44:20', NULL, NULL), (232369, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '民政', '', '', 12, 1, 2024, 8, 1, '2024-08-05 16:44:20', NULL, NULL), (232370, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '', '', 'A04', 12, 1, 2024, 8, 1, '2024-08-05 16:44:20', NULL, NULL), (232371, 23, '511503003999-0001', '仙源街道办事处', '', '民政', '', 'A04', 12, 1, 2024, 8, 1, '2024-08-05 16:44:20', NULL, NULL), (232372, 23, '511503003999-0001', '仙源街道办事处', '城乡低保、特困、临时救助、低收入', '民政', '', 'A04', 12, 1, 2024, 8, 1, '2024-08-05 16:44:20', NULL, NULL), (232373, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 16:45:27', NULL, NULL), (232374, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 16:45:28', NULL, NULL), (232375, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 16:45:30', NULL, NULL), (232376, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 16:45:31', NULL, NULL), (232377, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 16:45:32', NULL, NULL), (232378, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 16:45:34', NULL, NULL), (232379, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 16:45:35', NULL, NULL), (232380, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 16:45:36', NULL, NULL), (232381, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 16:45:38', NULL, NULL), (232382, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 16:45:39', NULL, NULL), (232383, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 16:45:40', NULL, NULL), (232384, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 16:45:42', NULL, NULL), (232385, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 16:45:43', NULL, NULL), (232386, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 16:45:45', NULL, NULL), (232387, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 16:45:46', NULL, NULL), (232388, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 16:45:47', NULL, NULL), (232389, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 16:45:49', NULL, NULL), (232390, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 16:45:50', NULL, NULL), (232391, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 16:45:51', NULL, NULL), (232392, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 16:45:53', NULL, NULL), (232393, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 16:45:54', NULL, NULL), (232394, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 16:45:55', NULL, NULL), (232395, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 16:45:57', NULL, NULL), (232396, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 16:45:58', NULL, NULL), (232397, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 16:45:59', NULL, NULL), (232398, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 16:46:00', NULL, NULL), (232399, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 16:46:01', NULL, NULL), (232400, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 16:46:02', NULL, NULL), (232401, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 16:46:02', NULL, NULL), (232402, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 16:46:03', NULL, NULL), (232403, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 16:46:04', NULL, NULL), (232404, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 16:46:05', NULL, NULL), (232405, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 16:46:05', NULL, NULL), (232406, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 16:46:06', NULL, NULL), (232407, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 16:46:07', NULL, NULL), (232408, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 16:46:08', NULL, NULL), (232409, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 16:46:09', NULL, NULL), (232410, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 16:46:09', NULL, NULL), (232411, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 16:46:10', NULL, NULL), (232412, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 16:46:11', NULL, NULL), (232413, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 16:46:12', NULL, NULL), (232414, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 16:46:13', NULL, NULL), (232415, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 16:46:13', NULL, NULL), (232416, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 16:46:14', NULL, NULL), (232417, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 16:46:15', NULL, NULL), (232418, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 16:46:16', NULL, NULL), (232419, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 16:46:17', NULL, NULL), (232420, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 16:46:17', NULL, NULL), (232421, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 16:46:18', NULL, NULL), (232422, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 16:46:19', NULL, NULL), (232423, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 16:46:20', NULL, NULL), (232424, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 16:46:21', NULL, NULL), (232425, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 16:46:22', NULL, NULL), (232426, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 16:46:23', NULL, NULL), (232427, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 16:46:24', NULL, NULL), (232428, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 16:46:26', NULL, NULL), (232429, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 16:46:27', NULL, NULL), (232430, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 16:46:28', NULL, NULL), (232431, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 16:46:30', NULL, NULL), (232432, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 16:46:31', NULL, NULL), (232433, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 16:46:32', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (232434, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 16:46:34', NULL, NULL), (232435, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 16:46:35', NULL, NULL), (232436, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 16:46:36', NULL, NULL), (232437, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 16:46:38', NULL, NULL), (232438, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 16:46:39', NULL, NULL), (232439, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 16:46:40', NULL, NULL), (232440, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 16:46:42', NULL, NULL), (232441, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 16:46:43', NULL, NULL), (232442, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 16:46:44', NULL, NULL), (232443, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 16:46:46', NULL, NULL), (232444, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 16:46:47', NULL, NULL), (232445, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 16:46:48', NULL, NULL), (232446, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 16:46:50', NULL, NULL), (232447, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 16:46:51', NULL, NULL), (232448, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 16:46:52', NULL, NULL), (232449, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 16:46:54', NULL, NULL), (232450, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 16:46:55', NULL, NULL), (232451, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 16:46:56', NULL, NULL), (232452, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 16:46:58', NULL, NULL), (232453, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 16:46:59', NULL, NULL), (232454, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 16:47:00', NULL, NULL), (232455, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 16:47:02', NULL, NULL), (232456, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 16:47:03', NULL, NULL), (232457, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 16:47:04', NULL, NULL), (232458, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 16:47:05', NULL, NULL), (232459, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 16:47:06', NULL, NULL), (232460, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 16:47:07', NULL, NULL), (232461, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 16:47:07', NULL, NULL), (232462, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 16:47:08', NULL, NULL), (232463, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 16:47:09', NULL, NULL), (232464, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 16:47:09', NULL, NULL), (232465, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 16:47:10', NULL, NULL), (232466, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 16:47:11', NULL, NULL), (232467, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 16:47:12', NULL, NULL), (232468, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 16:47:13', NULL, NULL), (232469, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 16:47:13', NULL, NULL), (232470, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 16:47:14', NULL, NULL), (232471, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 16:47:15', NULL, NULL), (232472, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 16:47:16', NULL, NULL), (232473, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 16:47:17', NULL, NULL), (232474, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 16:47:17', NULL, NULL), (232475, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 16:47:18', NULL, NULL), (232476, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 16:47:19', NULL, NULL), (232477, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 16:47:20', NULL, NULL), (232478, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 16:47:21', NULL, NULL), (232479, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 16:47:21', NULL, NULL), (232480, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 16:47:22', NULL, NULL), (232481, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 16:47:23', NULL, NULL), (232482, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 16:47:24', NULL, NULL), (232483, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 16:47:25', NULL, NULL), (232484, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 16:47:26', NULL, NULL), (232485, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 16:47:27', NULL, NULL), (232486, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 16:47:28', NULL, NULL), (232487, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 16:47:30', NULL, NULL), (232488, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 16:47:31', NULL, NULL), (232489, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 16:47:32', NULL, NULL), (232490, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 16:47:34', NULL, NULL), (232491, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 16:47:35', NULL, NULL), (232492, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 16:47:36', NULL, NULL), (232493, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 16:47:38', NULL, NULL), (232494, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 16:47:39', NULL, NULL), (232495, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 16:47:40', NULL, NULL), (232496, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 16:47:42', NULL, NULL), (232497, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 16:47:43', NULL, NULL), (232498, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 16:47:44', NULL, NULL), (232499, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 16:47:46', NULL, NULL), (232500, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 16:47:47', NULL, NULL), (232501, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 16:47:48', NULL, NULL), (232502, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 16:47:50', NULL, NULL), (232503, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 16:47:51', NULL, NULL), (232504, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 16:47:52', NULL, NULL), (232505, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 16:47:54', NULL, NULL), (232506, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 16:47:55', NULL, NULL), (232507, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 16:47:57', NULL, NULL), (232508, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 16:47:58', NULL, NULL), (232509, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 16:47:59', NULL, NULL), (232510, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 16:48:00', NULL, NULL), (232511, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 16:48:01', NULL, NULL), (232512, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 16:48:01', NULL, NULL), (232513, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 16:48:02', NULL, NULL), (232514, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 16:48:03', NULL, NULL), (232515, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 16:48:04', NULL, NULL), (232516, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 16:48:04', NULL, NULL), (232517, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 16:48:05', NULL, NULL), (232518, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 16:48:06', NULL, NULL), (232519, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 16:48:07', NULL, NULL), (232520, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 16:48:07', NULL, NULL), (232521, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 16:48:08', NULL, NULL), (232522, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 16:48:09', NULL, NULL), (232523, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 16:48:10', NULL, NULL), (232524, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 16:48:11', NULL, NULL), (232525, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 16:48:12', NULL, NULL), (232526, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 16:48:12', NULL, NULL), (232527, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 16:48:13', NULL, NULL), (232528, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 16:48:14', NULL, NULL), (232529, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 16:48:15', NULL, NULL), (232530, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 16:48:16', NULL, NULL), (232531, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 16:48:17', NULL, NULL), (232532, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 16:48:17', NULL, NULL), (232533, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 16:48:18', NULL, NULL), (232534, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 16:48:19', NULL, NULL), (232535, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 16:48:20', NULL, NULL), (232536, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 16:48:21', NULL, NULL), (232537, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 16:48:22', NULL, NULL), (232538, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 16:48:23', NULL, NULL), (232539, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 16:48:25', NULL, NULL), (232540, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 16:48:28', NULL, NULL), (232541, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 16:48:31', NULL, NULL), (232542, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 16:48:35', NULL, NULL), (232543, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 16:48:37', NULL, NULL), (232544, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 16:48:37', NULL, NULL), (232545, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 16:48:38', NULL, NULL), (232546, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 16:48:39', NULL, NULL), (232547, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 16:48:40', NULL, NULL), (232548, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 16:48:41', NULL, NULL), (232549, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 16:48:42', NULL, NULL), (232550, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 16:48:42', NULL, NULL), (232551, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 16:48:43', NULL, NULL), (232552, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 16:48:44', NULL, NULL), (232553, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 16:48:45', NULL, NULL), (232554, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 16:48:46', NULL, NULL), (232555, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 16:48:47', NULL, NULL), (232556, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 16:48:48', NULL, NULL), (232557, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 16:48:49', NULL, NULL), (232558, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 16:48:50', NULL, NULL), (232559, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 16:48:51', NULL, NULL), (232560, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 16:48:52', NULL, NULL), (232561, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 16:48:53', NULL, NULL), (232562, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 16:48:54', NULL, NULL), (232563, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 16:48:55', NULL, NULL), (232564, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 16:48:56', NULL, NULL), (232565, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 16:48:57', NULL, NULL), (232566, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 16:48:58', NULL, NULL), (232567, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 16:48:59', NULL, NULL), (232568, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 16:49:00', NULL, NULL), (232569, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 16:49:02', NULL, NULL), (232570, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 16:49:04', NULL, NULL), (232571, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 16:49:08', NULL, NULL), (232572, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 16:49:11', NULL, NULL), (232573, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 16:49:15', NULL, NULL), (232574, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 16:49:19', NULL, NULL), (232575, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 16:49:21', NULL, NULL), (232576, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 16:49:22', NULL, NULL), (232577, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 16:49:23', NULL, NULL), (232578, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 16:49:24', NULL, NULL), (232579, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 16:49:25', NULL, NULL), (232580, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 16:49:25', NULL, NULL), (232581, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 16:49:26', NULL, NULL), (232582, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 16:49:27', NULL, NULL), (232583, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 16:49:28', NULL, NULL), (232584, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 16:49:29', NULL, NULL), (232585, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 16:49:30', NULL, NULL), (232586, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 16:49:31', NULL, NULL), (232587, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 16:49:32', NULL, NULL), (232588, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 16:49:33', NULL, NULL), (232589, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 16:49:34', NULL, NULL), (232590, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 16:49:35', NULL, NULL), (232591, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 16:49:36', NULL, NULL), (232592, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 16:49:37', NULL, NULL), (232593, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 16:49:38', NULL, NULL), (232594, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 16:49:38', NULL, NULL), (232595, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 16:49:39', NULL, NULL), (232596, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 16:49:40', NULL, NULL), (232597, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 16:49:41', NULL, NULL), (232598, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 16:49:42', NULL, NULL), (232599, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 16:49:43', NULL, NULL), (232600, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 16:49:44', NULL, NULL), (232601, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 16:49:46', NULL, NULL), (232602, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 16:49:47', NULL, NULL), (232603, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 16:49:50', NULL, NULL), (232604, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 16:49:54', NULL, NULL), (232605, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 16:49:57', NULL, NULL), (232606, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 16:50:01', NULL, NULL), (232607, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 16:50:04', NULL, NULL), (232608, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 16:50:05', NULL, NULL), (232609, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 16:50:06', NULL, NULL), (232610, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 16:50:07', NULL, NULL), (232611, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 16:50:07', NULL, NULL), (232612, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 16:50:08', NULL, NULL), (232613, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 16:50:09', NULL, NULL), (232614, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 16:50:10', NULL, NULL), (232615, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 16:50:11', NULL, NULL), (232616, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 16:50:12', NULL, NULL), (232617, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 16:50:13', NULL, NULL), (232618, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 16:50:14', NULL, NULL), (232619, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 16:50:15', NULL, NULL), (232620, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 16:50:16', NULL, NULL), (232621, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 16:50:17', NULL, NULL), (232622, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 16:50:18', NULL, NULL), (232623, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 16:50:18', NULL, NULL), (232624, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 16:50:19', NULL, NULL), (232625, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 16:50:20', NULL, NULL), (232626, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 16:50:21', NULL, NULL), (232627, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 16:50:22', NULL, NULL), (232628, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 16:50:23', NULL, NULL), (232629, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 16:50:25', NULL, NULL), (232630, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 16:50:26', NULL, NULL), (232631, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 16:50:27', NULL, NULL), (232632, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 16:50:28', NULL, NULL), (232633, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 16:50:29', NULL, NULL), (232634, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 16:50:30', NULL, NULL), (232635, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 16:50:34', NULL, NULL), (232636, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 16:50:37', NULL, NULL), (232637, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 16:50:41', NULL, NULL), (232638, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 16:50:44', NULL, NULL), (232639, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 16:50:47', NULL, NULL), (232640, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 16:50:48', NULL, NULL), (232641, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 16:50:49', NULL, NULL), (232642, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 16:50:50', NULL, NULL), (232643, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 16:50:50', NULL, NULL), (232644, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 16:50:51', NULL, NULL), (232645, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 16:50:52', NULL, NULL), (232646, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 16:50:53', NULL, NULL), (232647, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 16:50:53', NULL, NULL), (232648, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 16:50:54', NULL, NULL), (232649, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 16:50:55', NULL, NULL), (232650, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 16:50:56', NULL, NULL), (232651, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 16:50:57', NULL, NULL), (232652, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 16:50:57', NULL, NULL), (232653, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 16:50:58', NULL, NULL), (232654, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 16:50:59', NULL, NULL), (232655, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 16:51:00', NULL, NULL), (232656, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 16:51:01', NULL, NULL), (232657, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 16:51:01', NULL, NULL), (232658, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 16:51:02', NULL, NULL), (232659, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 16:51:03', NULL, NULL), (232660, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 16:51:04', NULL, NULL), (232661, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 16:51:05', NULL, NULL), (232662, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 16:51:06', NULL, NULL), (232663, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 16:51:06', NULL, NULL), (232664, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 16:51:07', NULL, NULL), (232665, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 16:51:08', NULL, NULL), (232666, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 16:51:09', NULL, NULL), (232667, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 16:51:10', NULL, NULL), (232668, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 16:51:11', NULL, NULL), (232669, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 16:51:13', NULL, NULL), (232670, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 16:51:15', NULL, NULL), (232671, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 16:51:19', NULL, NULL), (232672, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 16:51:22', NULL, NULL), (232673, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 16:51:25', NULL, NULL), (232674, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 16:51:26', NULL, NULL), (232675, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 16:51:27', NULL, NULL), (232676, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 16:51:28', NULL, NULL), (232677, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 16:51:28', NULL, NULL), (232678, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 16:51:29', NULL, NULL), (232679, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 16:51:30', NULL, NULL), (232680, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 16:51:31', NULL, NULL), (232681, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 16:51:31', NULL, NULL), (232682, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 16:51:32', NULL, NULL), (232683, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 16:51:33', NULL, NULL), (232684, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 16:51:34', NULL, NULL), (232685, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 16:51:35', NULL, NULL), (232686, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 16:51:35', NULL, NULL), (232687, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 16:51:36', NULL, NULL), (232688, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 16:51:37', NULL, NULL), (232689, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 16:51:38', NULL, NULL), (232690, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 16:51:39', NULL, NULL), (232691, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 16:51:40', NULL, NULL), (232692, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 16:51:41', NULL, NULL), (232693, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 16:51:41', NULL, NULL), (232694, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 16:51:42', NULL, NULL), (232695, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 16:51:43', NULL, NULL), (232696, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 16:51:44', NULL, NULL), (232697, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 16:51:45', NULL, NULL), (232698, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 16:51:46', NULL, NULL), (232699, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 16:51:47', NULL, NULL), (232700, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 16:51:48', NULL, NULL), (232701, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 16:51:49', NULL, NULL), (232702, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 16:51:50', NULL, NULL), (232703, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 16:51:52', NULL, NULL), (232704, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 16:51:53', NULL, NULL), (232705, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 16:51:54', NULL, NULL), (232706, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 16:51:56', NULL, NULL), (232707, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 16:51:57', NULL, NULL), (232708, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 16:51:58', NULL, NULL), (232709, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 16:52:00', NULL, NULL), (232710, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 16:52:01', NULL, NULL), (232711, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 16:52:02', NULL, NULL), (232712, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 16:52:04', NULL, NULL), (232713, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 16:52:05', NULL, NULL), (232714, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 16:52:07', NULL, NULL), (232715, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 16:52:08', NULL, NULL), (232716, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 16:52:09', NULL, NULL), (232717, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 16:52:11', NULL, NULL), (232718, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 16:52:12', NULL, NULL), (232719, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 16:52:13', NULL, NULL), (232720, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 16:52:15', NULL, NULL), (232721, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 16:52:16', NULL, NULL), (232722, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 16:52:17', NULL, NULL), (232723, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 16:52:19', NULL, NULL), (232724, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2896, 8, 2023, 12, 18, '2024-08-05 16:52:20', NULL, NULL), (232725, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2126, 48, 2023, 12, 19, '2024-08-05 16:52:22', NULL, NULL), (232726, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1269, 15, 2023, 12, 20, '2024-08-05 16:52:24', NULL, NULL), (232727, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 16:52:27', NULL, NULL), (232728, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1553, 5, 2023, 12, 22, '2024-08-05 16:52:28', NULL, NULL), (232729, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 16:52:30', NULL, NULL), (232730, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 16:52:31', NULL, NULL), (232731, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 390, 1, 2023, 12, 25, '2024-08-05 16:52:33', NULL, NULL), (232732, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 433, 9, 2023, 12, 26, '2024-08-05 16:52:34', NULL, NULL), (232733, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 6186, 11, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (232734, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 281, 9, 2023, 12, 28, '2024-08-05 16:52:39', NULL, NULL), (232735, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 48, 6, 2023, 12, 29, '2024-08-05 16:52:41', NULL, NULL), (232736, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 16:52:43', NULL, NULL), (232737, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 16:52:44', NULL, NULL), (232738, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 16:52:44', NULL, NULL), (232739, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1436, 9, 2024, 1, 2, '2024-08-05 16:52:45', NULL, NULL), (232740, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2120, 8, 2024, 1, 3, '2024-08-05 16:52:46', NULL, NULL), (232741, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1185, 12, 2024, 1, 4, '2024-08-05 16:52:47', NULL, NULL), (232742, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 464, 7, 2024, 1, 5, '2024-08-05 16:52:49', NULL, NULL), (232743, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 16:52:50', NULL, NULL), (232744, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 16:52:51', NULL, NULL), (232745, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 180, 10, 2024, 1, 8, '2024-08-05 16:52:52', NULL, NULL), (232746, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 49, 7, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (232747, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 106, 8, 2024, 1, 10, '2024-08-05 16:52:54', NULL, NULL), (232748, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1094, 9, 2024, 1, 11, '2024-08-05 16:52:56', NULL, NULL), (232749, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 4292, 12, 2024, 1, 12, '2024-08-05 16:52:57', NULL, NULL), (232750, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 16:52:58', NULL, NULL), (232751, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 16:52:59', NULL, NULL), (232752, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 822, 14, 2024, 1, 15, '2024-08-05 16:53:00', NULL, NULL), (232753, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1122, 18, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (232754, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 611, 14, 2024, 1, 17, '2024-08-05 16:53:03', NULL, NULL), (232755, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2252, 12, 2024, 1, 18, '2024-08-05 16:53:05', NULL, NULL), (232756, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1595, 11, 2024, 1, 19, '2024-08-05 16:53:07', NULL, NULL), (232757, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 16:53:11', NULL, NULL), (232758, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 16:53:15', NULL, NULL), (232759, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1569, 27, 2024, 1, 22, '2024-08-05 16:53:18', NULL, NULL), (232760, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2066, 16, 2024, 1, 23, '2024-08-05 16:53:21', NULL, NULL), (232761, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 549, 12, 2024, 1, 24, '2024-08-05 16:53:22', NULL, NULL), (232762, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 219, 13, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (232763, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 487, 15, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (232764, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 16:53:27', NULL, NULL), (232765, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 16:53:28', NULL, NULL), (232766, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 115, 9, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (232767, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 500, 15, 2024, 1, 30, '2024-08-05 16:53:30', NULL, NULL), (232768, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 404, 14, 2024, 1, 31, '2024-08-05 16:53:32', NULL, NULL), (232769, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 484, 17, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (232770, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1374, 15, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (232771, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 16:53:37', NULL, NULL), (232772, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 5, 9, 2024, 2, 4, '2024-08-05 16:53:38', NULL, NULL), (232773, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 41, 8, 2024, 2, 5, '2024-08-05 16:53:40', NULL, NULL), (232774, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 5, 4, 2024, 2, 6, '2024-08-05 16:53:42', NULL, NULL), (232775, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 4403, 5, 2024, 2, 7, '2024-08-05 16:53:44', NULL, NULL), (232776, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 16:53:46', NULL, NULL), (232777, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 16:53:48', NULL, NULL), (232778, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 16:53:52', NULL, NULL), (232779, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 16:53:55', NULL, NULL), (232780, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 16:53:59', NULL, NULL), (232781, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 16:54:03', NULL, NULL), (232782, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 16:54:06', NULL, NULL), (232783, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 16:54:07', NULL, NULL), (232784, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 16:54:08', NULL, NULL), (232785, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 16:54:09', NULL, NULL), (232786, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 5, 3, 2024, 2, 18, '2024-08-05 16:54:10', NULL, NULL), (232787, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 3, 5, 2024, 2, 19, '2024-08-05 16:54:11', NULL, NULL), (232788, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1941, 9, 2024, 2, 20, '2024-08-05 16:54:12', NULL, NULL), (232789, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 22, 14, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (232790, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 4336, 17, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (232791, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 4, 6, 2024, 2, 23, '2024-08-05 16:54:17', NULL, NULL), (232792, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 16:54:18', NULL, NULL), (232793, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 16:54:19', NULL, NULL), (232794, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1389, 17, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (232795, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 62, 14, 2024, 2, 27, '2024-08-05 16:54:21', NULL, NULL), (232796, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2906, 12, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (232797, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 906, 14, 2024, 2, 29, '2024-08-05 16:54:24', NULL, NULL), (232798, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 165, 10, 2024, 3, 1, '2024-08-05 16:54:26', NULL, NULL), (232799, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 16:54:27', NULL, NULL), (232800, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 16:54:28', NULL, NULL), (232801, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 392, 25, 2024, 3, 4, '2024-08-05 16:54:29', NULL, NULL), (232802, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 17, 18, 2024, 3, 5, '2024-08-05 16:54:32', NULL, NULL), (232803, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 147, 25, 2024, 3, 6, '2024-08-05 16:54:36', NULL, NULL), (232804, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2781, 19, 2024, 3, 7, '2024-08-05 16:54:43', NULL, NULL), (232805, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 190, 21, 2024, 3, 8, '2024-08-05 16:54:47', NULL, NULL), (232806, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 16:54:48', NULL, NULL), (232807, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 16:54:49', NULL, NULL), (232808, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 496, 23, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (232809, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 658, 15, 2024, 3, 12, '2024-08-05 16:54:51', NULL, NULL), (232810, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2578, 26, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (232811, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 440, 14, 2024, 3, 14, '2024-08-05 16:54:54', NULL, NULL), (232812, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 3086, 22, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (232813, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 16:54:57', NULL, NULL), (232814, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 16:54:58', NULL, NULL), (232815, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 707, 21, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (232816, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 615, 19, 2024, 3, 19, '2024-08-05 16:55:00', NULL, NULL), (232817, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 291, 12, 2024, 3, 20, '2024-08-05 16:55:02', NULL, NULL), (232818, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 763, 17, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (232819, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2550, 19, 2024, 3, 22, '2024-08-05 16:55:05', NULL, NULL), (232820, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 16:55:07', NULL, NULL), (232821, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 16:55:08', NULL, NULL), (232822, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 607, 31, 2024, 3, 25, '2024-08-05 16:55:09', NULL, NULL), (232823, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1430, 28, 2024, 3, 26, '2024-08-05 16:55:11', NULL, NULL), (232824, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1291, 30, 2024, 3, 27, '2024-08-05 16:55:15', NULL, NULL), (232825, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 827, 24, 2024, 3, 28, '2024-08-05 16:55:21', NULL, NULL), (232826, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 9238, 10, 2024, 3, 29, '2024-08-05 16:55:26', NULL, NULL), (232827, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 16:55:27', NULL, NULL), (232828, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 16:55:28', NULL, NULL), (232829, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 16:55:29', NULL, NULL), (232830, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2698, 15, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (232831, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 3814, 10, 2024, 4, 3, '2024-08-05 16:55:31', NULL, NULL), (232832, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 16:55:32', NULL, NULL), (232833, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 16:55:33', NULL, NULL), (232834, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 16:55:34', NULL, NULL), (232835, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1210, 12, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (232836, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1716, 12, 2024, 4, 8, '2024-08-05 16:55:36', NULL, NULL), (232837, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 852, 21, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (232838, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 848, 17, 2024, 4, 10, '2024-08-05 16:55:39', NULL, NULL), (232839, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 3236, 15, 2024, 4, 11, '2024-08-05 16:55:41', NULL, NULL), (232840, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2713, 20, 2024, 4, 12, '2024-08-05 16:55:42', NULL, NULL), (232841, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 16:55:44', NULL, NULL), (232842, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 16:55:45', NULL, NULL), (232843, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1104, 18, 2024, 4, 15, '2024-08-05 16:55:45', NULL, NULL), (232844, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2373, 22, 2024, 4, 16, '2024-08-05 16:55:47', NULL, NULL), (232845, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 973, 27, 2024, 4, 17, '2024-08-05 16:55:49', NULL, NULL), (232846, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 4500, 17, 2024, 4, 18, '2024-08-05 16:55:51', NULL, NULL), (232847, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1180, 21, 2024, 4, 19, '2024-08-05 16:55:57', NULL, NULL), (232848, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 16:56:03', NULL, NULL), (232849, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 16:56:06', NULL, NULL), (232850, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 505, 14, 2024, 4, 22, '2024-08-05 16:56:07', NULL, NULL), (232851, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2066, 17, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (232852, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 3303, 21, 2024, 4, 24, '2024-08-05 16:56:09', NULL, NULL), (232853, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2682, 6, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (232854, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 5389, 16, 2024, 4, 26, '2024-08-05 16:56:12', NULL, NULL), (232855, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 16:56:13', NULL, NULL), (232856, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 918, 16, 2024, 4, 28, '2024-08-05 16:56:14', NULL, NULL), (232857, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1668, 16, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (232858, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 6, 6, 2024, 4, 30, '2024-08-05 16:56:17', NULL, NULL), (232859, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 16:56:19', NULL, NULL), (232860, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 16:56:20', NULL, NULL), (232861, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 16:56:21', NULL, NULL), (232862, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 16:56:21', NULL, NULL), (232863, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 16:56:22', NULL, NULL), (232864, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2824, 16, 2024, 5, 6, '2024-08-05 16:56:23', NULL, NULL), (232865, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 8, 4, 2024, 5, 7, '2024-08-05 16:56:25', NULL, NULL), (232866, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 601, 11, 2024, 5, 8, '2024-08-05 16:56:26', NULL, NULL), (232867, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2774, 16, 2024, 5, 9, '2024-08-05 16:56:28', NULL, NULL), (232868, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 539, 14, 2024, 5, 10, '2024-08-05 16:56:30', NULL, NULL), (232869, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 79, 8, 2024, 5, 11, '2024-08-05 16:56:34', NULL, NULL), (232870, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 16:56:40', NULL, NULL), (232871, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 883, 20, 2024, 5, 13, '2024-08-05 16:56:43', NULL, NULL), (232872, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 423, 12, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (232873, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1995, 24, 2024, 5, 15, '2024-08-05 16:56:46', NULL, NULL), (232874, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2475, 17, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (232875, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 4825, 18, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (232876, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 16:56:51', NULL, NULL), (232877, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 16:56:51', NULL, NULL), (232878, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 926, 16, 2024, 5, 20, '2024-08-05 16:56:52', NULL, NULL), (232879, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1898, 22, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (232880, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2785, 23, 2024, 5, 22, '2024-08-05 16:56:55', NULL, NULL), (232881, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 226, 13, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (232882, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 989, 20, 2024, 5, 24, '2024-08-05 16:56:58', NULL, NULL), (232883, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 16:57:00', NULL, NULL), (232884, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 16:57:01', NULL, NULL), (232885, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1506, 18, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (232886, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1691, 14, 2024, 5, 28, '2024-08-05 16:57:03', NULL, NULL), (232887, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1093, 18, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (232888, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2367, 21, 2024, 5, 30, '2024-08-05 16:57:07', NULL, NULL), (232889, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1456, 16, 2024, 5, 31, '2024-08-05 16:57:09', NULL, NULL), (232890, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 16:57:13', NULL, NULL), (232891, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 16:57:17', NULL, NULL), (232892, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 688, 19, 2024, 6, 3, '2024-08-05 16:57:20', NULL, NULL), (232893, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1301, 16, 2024, 6, 4, '2024-08-05 16:57:24', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (232894, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 318, 20, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (232895, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1666, 12, 2024, 6, 6, '2024-08-05 16:57:27', NULL, NULL), (232896, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 4519, 4, 2024, 6, 7, '2024-08-05 16:57:28', NULL, NULL), (232897, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 16:57:30', NULL, NULL), (232898, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 16:57:30', NULL, NULL), (232899, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 16:57:31', NULL, NULL), (232900, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 5, 4, 2024, 6, 11, '2024-08-05 16:57:32', NULL, NULL), (232901, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2222, 15, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (232902, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 4110, 26, 2024, 6, 13, '2024-08-05 16:57:35', NULL, NULL), (232903, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2320, 21, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (232904, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 16:57:38', NULL, NULL), (232905, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 16:57:39', NULL, NULL), (232906, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 4186, 15, 2024, 6, 17, '2024-08-05 16:57:40', NULL, NULL), (232907, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 46, 11, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (232908, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 3092, 21, 2024, 6, 19, '2024-08-05 16:57:43', NULL, NULL), (232909, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 238, 14, 2024, 6, 20, '2024-08-05 16:57:45', NULL, NULL), (232910, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2290, 15, 2024, 6, 21, '2024-08-05 16:57:47', NULL, NULL), (232911, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 16:57:50', NULL, NULL), (232912, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 16:57:53', NULL, NULL), (232913, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 118, 14, 2024, 6, 24, '2024-08-05 16:57:56', NULL, NULL), (232914, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 763, 21, 2024, 6, 25, '2024-08-05 16:58:02', NULL, NULL), (232915, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 16:58:05', NULL, NULL), (232916, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 4, 11, 2024, 6, 27, '2024-08-05 16:58:05', NULL, NULL), (232917, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1273, 31, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (232918, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 16:58:08', NULL, NULL), (232919, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 16:58:09', NULL, NULL), (232920, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 6996, 8, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (232921, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 16:58:11', NULL, NULL), (232922, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 793, 14, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (232923, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2669, 15, 2024, 7, 4, '2024-08-05 16:58:13', NULL, NULL), (232924, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 241, 5, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (232925, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 16:58:16', NULL, NULL), (232926, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 16:58:17', NULL, NULL), (232927, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 6334, 12, 2024, 7, 8, '2024-08-05 16:58:18', NULL, NULL), (232928, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 481, 7, 2024, 7, 9, '2024-08-05 16:58:20', NULL, NULL), (232929, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2185, 8, 2024, 7, 10, '2024-08-05 16:58:21', NULL, NULL), (232930, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1365, 10, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (232931, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2033, 9, 2024, 7, 12, '2024-08-05 16:58:24', NULL, NULL), (232932, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 16:58:26', NULL, NULL), (232933, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 16:58:27', NULL, NULL), (232934, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1078, 12, 2024, 7, 15, '2024-08-05 16:58:29', NULL, NULL), (232935, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 117, 6, 2024, 7, 16, '2024-08-05 16:58:33', NULL, NULL), (232936, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 11, 5, 2024, 7, 17, '2024-08-05 16:58:39', NULL, NULL), (232937, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2888, 9, 2024, 7, 18, '2024-08-05 16:58:44', NULL, NULL), (232938, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2886, 5, 2024, 7, 19, '2024-08-05 16:58:48', NULL, NULL), (232939, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 16:58:49', NULL, NULL), (232940, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 16:58:50', NULL, NULL), (232941, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 197, 14, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (232942, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 455, 10, 2024, 7, 23, '2024-08-05 16:58:52', NULL, NULL), (232943, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 292, 14, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (232944, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 5, 4, 2024, 7, 25, '2024-08-05 16:58:55', NULL, NULL), (232945, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 947, 7, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (232946, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 16:58:58', NULL, NULL), (232947, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 16:58:59', NULL, NULL), (232948, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 858, 8, 2024, 7, 29, '2024-08-05 16:59:00', NULL, NULL), (232949, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 4, 2024, 7, 30, '2024-08-05 16:59:03', NULL, NULL), (232950, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 30, 3, 2024, 7, 31, '2024-08-05 16:59:04', NULL, NULL), (232951, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 213, 8, 2024, 8, 1, '2024-08-05 16:59:06', 1, '2024-08-05 20:14:16'), (232952, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 6, 4, 2024, 8, 2, '2024-08-05 16:59:08', 1, '2024-08-06 02:01:10'), (232953, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 16:59:09', 1, '2024-08-07 01:00:42'), (232954, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 16:59:11', 1, '2024-08-08 01:00:10'), (232955, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 299, 16, 2024, 8, 5, '2024-08-05 16:59:12', 1, '2024-08-09 01:00:43'), (232956, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 449, 4, 2023, 12, 18, '2024-08-05 16:52:20', NULL, NULL), (232957, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 10688, 2, 2023, 12, 18, '2024-08-05 16:52:20', NULL, NULL), (232958, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 8815, 2, 2023, 12, 18, '2024-08-05 16:52:20', NULL, NULL), (232959, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '出入境服务大厅', '', 0, 1, 2023, 12, 18, '2024-08-05 16:52:20', NULL, NULL), (232960, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 103, 2, 2023, 12, 18, '2024-08-05 16:52:20', NULL, NULL), (232961, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '医疗保障服务大厅', '', 1778, 3, 2023, 12, 18, '2024-08-05 16:52:20', NULL, NULL), (232962, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 7125, 3, 2023, 12, 18, '2024-08-05 16:52:20', NULL, NULL), (232963, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 560, 3, 2023, 12, 18, '2024-08-05 16:52:20', NULL, NULL), (232964, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A13', 10688, 2, 2023, 12, 18, '2024-08-05 16:52:20', NULL, NULL), (232965, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A03', 115, 1, 2023, 12, 18, '2024-08-05 16:52:20', NULL, NULL), (232966, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A04', 560, 3, 2023, 12, 18, '2024-08-05 16:52:20', NULL, NULL), (232967, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '宜宾高新区政企服务中心', '', '', 560, 3, 2023, 12, 18, '2024-08-05 16:52:20', NULL, NULL), (232968, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 10688, 2, 2023, 12, 18, '2024-08-05 16:52:20', NULL, NULL), (232969, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A13', 10688, 2, 2023, 12, 18, '2024-08-05 16:52:21', NULL, NULL), (232970, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A04', 560, 3, 2023, 12, 18, '2024-08-05 16:52:21', NULL, NULL), (232971, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A04', 560, 3, 2023, 12, 18, '2024-08-05 16:52:21', NULL, NULL), (232972, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A03', 115, 1, 2023, 12, 18, '2024-08-05 16:52:21', NULL, NULL), (232973, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A13', 10688, 2, 2023, 12, 18, '2024-08-05 16:52:21', NULL, NULL), (232974, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '宜宾高新区政企服务中心', '', 'A04', 560, 3, 2023, 12, 18, '2024-08-05 16:52:21', NULL, NULL), (232975, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A13', 10688, 2, 2023, 12, 18, '2024-08-05 16:52:21', NULL, NULL), (232976, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 2114, 7, 2023, 12, 19, '2024-08-05 16:52:22', NULL, NULL), (232977, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 3636, 24, 2023, 12, 19, '2024-08-05 16:52:22', NULL, NULL), (232978, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 852, 44, 2023, 12, 19, '2024-08-05 16:52:22', NULL, NULL), (232979, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公积金服务大厅', '', 1820, 1, 2023, 12, 19, '2024-08-05 16:52:22', NULL, NULL), (232980, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 17434, 1, 2023, 12, 19, '2024-08-05 16:52:22', NULL, NULL), (232981, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 22645, 2, 2023, 12, 19, '2024-08-05 16:52:22', NULL, NULL), (232982, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 3116, 28, 2023, 12, 19, '2024-08-05 16:52:22', NULL, NULL), (232983, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 1499, 5, 2023, 12, 19, '2024-08-05 16:52:22', NULL, NULL), (232984, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 0, 9, 2023, 12, 19, '2024-08-05 16:52:22', NULL, NULL), (232985, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 1217, 6, 2023, 12, 19, '2024-08-05 16:52:22', NULL, NULL), (232986, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A13', 3636, 24, 2023, 12, 19, '2024-08-05 16:52:22', NULL, NULL), (232987, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A03', 2434, 3, 2023, 12, 19, '2024-08-05 16:52:22', NULL, NULL), (232988, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A04', 1874, 4, 2023, 12, 19, '2024-08-05 16:52:23', NULL, NULL), (232989, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 1874, 4, 2023, 12, 19, '2024-08-05 16:52:23', NULL, NULL), (232990, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '宜宾高新区政企服务中心', '', '', 2434, 3, 2023, 12, 19, '2024-08-05 16:52:23', NULL, NULL), (232991, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 3636, 24, 2023, 12, 19, '2024-08-05 16:52:23', NULL, NULL), (232992, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A04', 1874, 4, 2023, 12, 19, '2024-08-05 16:52:23', NULL, NULL), (232993, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A13', 3636, 24, 2023, 12, 19, '2024-08-05 16:52:23', NULL, NULL), (232994, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', 'A03', 2434, 3, 2023, 12, 19, '2024-08-05 16:52:23', NULL, NULL), (232995, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A04', 1874, 4, 2023, 12, 19, '2024-08-05 16:52:23', NULL, NULL), (232996, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A03', 2434, 3, 2023, 12, 19, '2024-08-05 16:52:23', NULL, NULL), (232997, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A13', 3636, 24, 2023, 12, 19, '2024-08-05 16:52:23', NULL, NULL), (232998, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '宜宾高新区政企服务中心', '', 'A03', 2434, 3, 2023, 12, 19, '2024-08-05 16:52:23', NULL, NULL), (232999, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A04', 1874, 4, 2023, 12, 19, '2024-08-05 16:52:23', NULL, NULL), (233000, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A13', 3636, 24, 2023, 12, 19, '2024-08-05 16:52:23', NULL, NULL), (233001, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 1400, 6, 2023, 12, 20, '2024-08-05 16:52:24', NULL, NULL), (233002, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 1948, 2, 2023, 12, 20, '2024-08-05 16:52:24', NULL, NULL), (233003, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 962, 7, 2023, 12, 20, '2024-08-05 16:52:24', NULL, NULL), (233004, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 1356, 14, 2023, 12, 20, '2024-08-05 16:52:24', NULL, NULL), (233005, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 44, 1, 2023, 12, 20, '2024-08-05 16:52:24', NULL, NULL), (233006, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 962, 7, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233007, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 451, 4, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233008, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1948, 2, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233009, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 3300, 2, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233010, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 775, 4, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233011, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A13', 1211, 3, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233012, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A03', 3300, 2, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233013, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A05', 451, 4, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233014, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 0, 1, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233015, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 3897, 1, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233016, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 1948, 2, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233017, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 451, 4, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233018, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '宜宾高新区政企服务中心', '', '', 3300, 2, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233019, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 962, 7, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233020, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 0, 1, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233021, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 3897, 1, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233022, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A05', 451, 4, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233023, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 775, 4, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233024, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A13', 1211, 3, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233025, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', 'A03', 3300, 2, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233026, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A03', 3300, 2, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233027, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A13', 1211, 3, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233028, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A05', 451, 4, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233029, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 775, 4, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233030, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 0, 1, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233031, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 3897, 1, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233032, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 775, 4, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233033, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '宜宾高新区政企服务中心', '', 'A03', 3300, 2, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233034, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 3897, 1, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233035, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 0, 1, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233036, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A05', 451, 4, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233037, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A13', 1211, 3, 2023, 12, 20, '2024-08-05 16:52:25', NULL, NULL), (233038, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 3884, 2, 2023, 12, 22, '2024-08-05 16:52:28', NULL, NULL), (233039, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '企业服务综合大厅', '', 1200, 1, 2023, 12, 22, '2024-08-05 16:52:28', NULL, NULL), (233040, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 0, 2, 2023, 12, 22, '2024-08-05 16:52:28', NULL, NULL), (233041, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 3284, 2, 2023, 12, 22, '2024-08-05 16:52:28', NULL, NULL), (233042, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 1942, 4, 2023, 12, 22, '2024-08-05 16:52:28', NULL, NULL), (233043, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 0, 1, 2023, 12, 22, '2024-08-05 16:52:28', NULL, NULL), (233044, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A05', 3884, 2, 2023, 12, 22, '2024-08-05 16:52:28', NULL, NULL), (233045, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 3884, 2, 2023, 12, 22, '2024-08-05 16:52:28', NULL, NULL), (233046, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A05', 3884, 2, 2023, 12, 22, '2024-08-05 16:52:28', NULL, NULL), (233047, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A05', 3884, 2, 2023, 12, 22, '2024-08-05 16:52:28', NULL, NULL), (233048, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A05', 3884, 2, 2023, 12, 22, '2024-08-05 16:52:29', NULL, NULL), (233049, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 390, 1, 2023, 12, 25, '2024-08-05 16:52:33', NULL, NULL), (233050, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 390, 1, 2023, 12, 25, '2024-08-05 16:52:33', NULL, NULL), (233051, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 390, 1, 2023, 12, 25, '2024-08-05 16:52:33', NULL, NULL), (233052, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A03', 390, 1, 2023, 12, 25, '2024-08-05 16:52:33', NULL, NULL), (233053, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '宜宾高新区政企服务中心', '', '', 390, 1, 2023, 12, 25, '2024-08-05 16:52:33', NULL, NULL), (233054, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', 'A03', 390, 1, 2023, 12, 25, '2024-08-05 16:52:33', NULL, NULL), (233055, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A03', 390, 1, 2023, 12, 25, '2024-08-05 16:52:33', NULL, NULL), (233056, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '宜宾高新区政企服务中心', '', 'A03', 390, 1, 2023, 12, 25, '2024-08-05 16:52:33', NULL, NULL), (233057, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 1852, 2, 2023, 12, 26, '2024-08-05 16:52:34', NULL, NULL), (233058, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 196, 1, 2023, 12, 26, '2024-08-05 16:52:35', NULL, NULL), (233059, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '出入境服务大厅', '', 0, 1, 2023, 12, 26, '2024-08-05 16:52:35', NULL, NULL), (233060, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 0, 1, 2023, 12, 26, '2024-08-05 16:52:35', NULL, NULL), (233061, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 0, 2, 2023, 12, 26, '2024-08-05 16:52:35', NULL, NULL), (233062, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '医疗保障服务大厅', '', 10, 2, 2023, 12, 26, '2024-08-05 16:52:35', NULL, NULL), (233063, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 0, 1, 2023, 12, 26, '2024-08-05 16:52:35', NULL, NULL), (233064, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 1852, 2, 2023, 12, 26, '2024-08-05 16:52:35', NULL, NULL), (233065, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 28, 7, 2023, 12, 26, '2024-08-05 16:52:35', NULL, NULL), (233066, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A05', 1852, 2, 2023, 12, 26, '2024-08-05 16:52:35', NULL, NULL), (233067, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 196, 1, 2023, 12, 26, '2024-08-05 16:52:35', NULL, NULL), (233068, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 196, 1, 2023, 12, 26, '2024-08-05 16:52:35', NULL, NULL), (233069, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 1852, 2, 2023, 12, 26, '2024-08-05 16:52:35', NULL, NULL), (233070, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 196, 1, 2023, 12, 26, '2024-08-05 16:52:35', NULL, NULL), (233071, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A05', 1852, 2, 2023, 12, 26, '2024-08-05 16:52:35', NULL, NULL), (233072, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A05', 1852, 2, 2023, 12, 26, '2024-08-05 16:52:35', NULL, NULL), (233073, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 196, 1, 2023, 12, 26, '2024-08-05 16:52:35', NULL, NULL), (233074, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 196, 1, 2023, 12, 26, '2024-08-05 16:52:35', NULL, NULL), (233075, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A05', 1852, 2, 2023, 12, 26, '2024-08-05 16:52:35', NULL, NULL), (233076, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 18463, 2, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233077, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 3458, 9, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233078, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 6319, 2, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233079, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '企业服务综合大厅', '', 3067, 2, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233080, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公积金服务大厅', '', 14991, 2, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233081, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '出入境服务大厅', '', 19, 1, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233082, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 2477, 2, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233083, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '医疗保障服务大厅', '', 2802, 1, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233084, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 11520, 1, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233085, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 18463, 2, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233086, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 3458, 9, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233087, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A05', 18463, 2, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233088, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 3458, 9, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233089, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 3458, 9, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233090, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 18463, 2, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233091, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 3458, 9, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233092, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A05', 18463, 2, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233093, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A05', 18463, 2, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233094, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 3458, 9, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233095, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 3458, 9, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233096, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A05', 18463, 2, 2023, 12, 27, '2024-08-05 16:52:37', NULL, NULL), (233097, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 316, 8, 2023, 12, 28, '2024-08-05 16:52:39', NULL, NULL), (233098, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 11, 2, 2023, 12, 28, '2024-08-05 16:52:39', NULL, NULL), (233099, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公积金服务大厅', '', 23, 1, 2023, 12, 28, '2024-08-05 16:52:39', NULL, NULL), (233100, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 4, 1, 2023, 12, 28, '2024-08-05 16:52:39', NULL, NULL), (233101, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 924, 2, 2023, 12, 28, '2024-08-05 16:52:39', NULL, NULL), (233102, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '医疗保障服务大厅', '', 601, 1, 2023, 12, 28, '2024-08-05 16:52:39', NULL, NULL), (233103, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 16, 2, 2023, 12, 28, '2024-08-05 16:52:39', NULL, NULL), (233104, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 0, 1, 2023, 12, 28, '2024-08-05 16:52:39', NULL, NULL), (233105, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 316, 8, 2023, 12, 28, '2024-08-05 16:52:39', NULL, NULL), (233106, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 378, 5, 2023, 12, 28, '2024-08-05 16:52:39', NULL, NULL), (233107, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 213, 3, 2023, 12, 28, '2024-08-05 16:52:39', NULL, NULL), (233108, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 316, 8, 2023, 12, 28, '2024-08-05 16:52:39', NULL, NULL), (233109, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 378, 5, 2023, 12, 28, '2024-08-05 16:52:39', NULL, NULL), (233110, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 213, 3, 2023, 12, 28, '2024-08-05 16:52:39', NULL, NULL), (233111, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 378, 5, 2023, 12, 28, '2024-08-05 16:52:39', NULL, NULL), (233112, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 213, 3, 2023, 12, 28, '2024-08-05 16:52:39', NULL, NULL), (233113, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 213, 3, 2023, 12, 28, '2024-08-05 16:52:40', NULL, NULL), (233114, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 378, 5, 2023, 12, 28, '2024-08-05 16:52:40', NULL, NULL), (233115, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 48, 6, 2023, 12, 29, '2024-08-05 16:52:41', NULL, NULL), (233116, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '出入境服务大厅', '', 3, 1, 2023, 12, 29, '2024-08-05 16:52:41', NULL, NULL), (233117, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 87, 3, 2023, 12, 29, '2024-08-05 16:52:41', NULL, NULL), (233118, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '医疗保障服务大厅', '', 10, 1, 2023, 12, 29, '2024-08-05 16:52:41', NULL, NULL), (233119, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 14, 1, 2023, 12, 29, '2024-08-05 16:52:41', NULL, NULL), (233120, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 48, 6, 2023, 12, 29, '2024-08-05 16:52:41', NULL, NULL), (233121, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 85, 3, 2023, 12, 29, '2024-08-05 16:52:41', NULL, NULL), (233122, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 11, 3, 2023, 12, 29, '2024-08-05 16:52:41', NULL, NULL), (233123, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 48, 6, 2023, 12, 29, '2024-08-05 16:52:41', NULL, NULL), (233124, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 85, 3, 2023, 12, 29, '2024-08-05 16:52:42', NULL, NULL), (233125, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 11, 3, 2023, 12, 29, '2024-08-05 16:52:42', NULL, NULL), (233126, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 85, 3, 2023, 12, 29, '2024-08-05 16:52:42', NULL, NULL), (233127, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 11, 3, 2023, 12, 29, '2024-08-05 16:52:42', NULL, NULL), (233128, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 11, 3, 2023, 12, 29, '2024-08-05 16:52:42', NULL, NULL), (233129, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 85, 3, 2023, 12, 29, '2024-08-05 16:52:42', NULL, NULL), (233130, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 27, 1, 2024, 1, 2, '2024-08-05 16:52:45', NULL, NULL), (233131, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 2580, 5, 2024, 1, 2, '2024-08-05 16:52:45', NULL, NULL), (233132, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 0, 1, 2024, 1, 2, '2024-08-05 16:52:45', NULL, NULL), (233133, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 1436, 2, 2024, 1, 2, '2024-08-05 16:52:45', NULL, NULL), (233134, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '医疗保障服务大厅', '', 1467, 5, 2024, 1, 2, '2024-08-05 16:52:45', NULL, NULL), (233135, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 13, 2, 2024, 1, 2, '2024-08-05 16:52:45', NULL, NULL), (233136, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1843, 7, 2024, 1, 2, '2024-08-05 16:52:45', NULL, NULL), (233137, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 27, 1, 2024, 1, 2, '2024-08-05 16:52:45', NULL, NULL), (233138, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 2580, 5, 2024, 1, 2, '2024-08-05 16:52:45', NULL, NULL), (233139, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 2580, 5, 2024, 1, 2, '2024-08-05 16:52:45', NULL, NULL), (233140, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 27, 1, 2024, 1, 2, '2024-08-05 16:52:45', NULL, NULL), (233141, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 2580, 5, 2024, 1, 2, '2024-08-05 16:52:45', NULL, NULL), (233142, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 27, 1, 2024, 1, 2, '2024-08-05 16:52:45', NULL, NULL), (233143, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 2580, 5, 2024, 1, 2, '2024-08-05 16:52:45', NULL, NULL), (233144, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 27, 1, 2024, 1, 2, '2024-08-05 16:52:45', NULL, NULL), (233145, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 27, 1, 2024, 1, 2, '2024-08-05 16:52:45', NULL, NULL), (233146, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 2580, 5, 2024, 1, 2, '2024-08-05 16:52:45', NULL, NULL), (233147, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 15754, 1, 2024, 1, 3, '2024-08-05 16:52:46', NULL, NULL), (233148, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 173, 7, 2024, 1, 3, '2024-08-05 16:52:46', NULL, NULL), (233149, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 12, 1, 2024, 1, 3, '2024-08-05 16:52:46', NULL, NULL), (233150, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '企业服务综合大厅', '', 3, 1, 2024, 1, 3, '2024-08-05 16:52:46', NULL, NULL), (233151, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公积金服务大厅', '', 8032, 2, 2024, 1, 3, '2024-08-05 16:52:46', NULL, NULL), (233152, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 258, 2, 2024, 1, 3, '2024-08-05 16:52:46', NULL, NULL), (233153, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 185, 2, 2024, 1, 3, '2024-08-05 16:52:46', NULL, NULL), (233154, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 15754, 1, 2024, 1, 3, '2024-08-05 16:52:46', NULL, NULL), (233155, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 173, 7, 2024, 1, 3, '2024-08-05 16:52:46', NULL, NULL), (233156, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A10', 15754, 1, 2024, 1, 3, '2024-08-05 16:52:46', NULL, NULL), (233157, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 137, 5, 2024, 1, 3, '2024-08-05 16:52:46', NULL, NULL), (233158, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 262, 2, 2024, 1, 3, '2024-08-05 16:52:46', NULL, NULL), (233159, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 173, 7, 2024, 1, 3, '2024-08-05 16:52:46', NULL, NULL), (233160, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 15754, 1, 2024, 1, 3, '2024-08-05 16:52:46', NULL, NULL), (233161, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 137, 5, 2024, 1, 3, '2024-08-05 16:52:47', NULL, NULL), (233162, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 262, 2, 2024, 1, 3, '2024-08-05 16:52:47', NULL, NULL), (233163, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A10', 15754, 1, 2024, 1, 3, '2024-08-05 16:52:47', NULL, NULL), (233164, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 137, 5, 2024, 1, 3, '2024-08-05 16:52:47', NULL, NULL), (233165, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 262, 2, 2024, 1, 3, '2024-08-05 16:52:47', NULL, NULL), (233166, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A10', 15754, 1, 2024, 1, 3, '2024-08-05 16:52:47', NULL, NULL), (233167, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A10', 15754, 1, 2024, 1, 3, '2024-08-05 16:52:47', NULL, NULL), (233168, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 262, 2, 2024, 1, 3, '2024-08-05 16:52:47', NULL, NULL), (233169, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 137, 5, 2024, 1, 3, '2024-08-05 16:52:47', NULL, NULL), (233170, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 1293, 11, 2024, 1, 4, '2024-08-05 16:52:48', NULL, NULL), (233171, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 1488, 3, 2024, 1, 4, '2024-08-05 16:52:48', NULL, NULL), (233172, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '企业服务综合大厅', '', 3359, 1, 2024, 1, 4, '2024-08-05 16:52:48', NULL, NULL), (233173, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公积金服务大厅', '', 198, 1, 2024, 1, 4, '2024-08-05 16:52:48', NULL, NULL), (233174, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 116, 2, 2024, 1, 4, '2024-08-05 16:52:48', NULL, NULL), (233175, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '医疗保障服务大厅', '', 12, 1, 2024, 1, 4, '2024-08-05 16:52:48', NULL, NULL), (233176, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 1489, 4, 2024, 1, 4, '2024-08-05 16:52:48', NULL, NULL), (233177, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 0, 1, 2024, 1, 4, '2024-08-05 16:52:48', NULL, NULL), (233178, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1293, 11, 2024, 1, 4, '2024-08-05 16:52:48', NULL, NULL), (233179, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 731, 5, 2024, 1, 4, '2024-08-05 16:52:48', NULL, NULL), (233180, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 1761, 6, 2024, 1, 4, '2024-08-05 16:52:48', NULL, NULL), (233181, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 1293, 11, 2024, 1, 4, '2024-08-05 16:52:48', NULL, NULL), (233182, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 731, 5, 2024, 1, 4, '2024-08-05 16:52:48', NULL, NULL), (233183, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 1761, 6, 2024, 1, 4, '2024-08-05 16:52:48', NULL, NULL), (233184, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 731, 5, 2024, 1, 4, '2024-08-05 16:52:48', NULL, NULL), (233185, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 1761, 6, 2024, 1, 4, '2024-08-05 16:52:48', NULL, NULL), (233186, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 1761, 6, 2024, 1, 4, '2024-08-05 16:52:48', NULL, NULL), (233187, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 731, 5, 2024, 1, 4, '2024-08-05 16:52:48', NULL, NULL), (233188, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 464, 7, 2024, 1, 5, '2024-08-05 16:52:49', NULL, NULL), (233189, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 7, 2, 2024, 1, 5, '2024-08-05 16:52:49', NULL, NULL), (233190, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 1077, 3, 2024, 1, 5, '2024-08-05 16:52:49', NULL, NULL), (233191, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 4, 1, 2024, 1, 5, '2024-08-05 16:52:49', NULL, NULL), (233192, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 3, 1, 2024, 1, 5, '2024-08-05 16:52:49', NULL, NULL), (233193, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 464, 7, 2024, 1, 5, '2024-08-05 16:52:49', NULL, NULL), (233194, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 530, 6, 2024, 1, 5, '2024-08-05 16:52:49', NULL, NULL), (233195, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 71, 1, 2024, 1, 5, '2024-08-05 16:52:49', NULL, NULL), (233196, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 464, 7, 2024, 1, 5, '2024-08-05 16:52:49', NULL, NULL), (233197, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 530, 6, 2024, 1, 5, '2024-08-05 16:52:49', NULL, NULL), (233198, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 71, 1, 2024, 1, 5, '2024-08-05 16:52:49', NULL, NULL), (233199, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 530, 6, 2024, 1, 5, '2024-08-05 16:52:49', NULL, NULL), (233200, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 71, 1, 2024, 1, 5, '2024-08-05 16:52:49', NULL, NULL), (233201, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 71, 1, 2024, 1, 5, '2024-08-05 16:52:49', NULL, NULL), (233202, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 530, 6, 2024, 1, 5, '2024-08-05 16:52:49', NULL, NULL), (233203, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 180, 10, 2024, 1, 8, '2024-08-05 16:52:52', NULL, NULL), (233204, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 914, 1, 2024, 1, 8, '2024-08-05 16:52:52', NULL, NULL), (233205, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公积金服务大厅', '', 155, 2, 2024, 1, 8, '2024-08-05 16:52:52', NULL, NULL), (233206, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 14, 2, 2024, 1, 8, '2024-08-05 16:52:52', NULL, NULL), (233207, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 530, 1, 2024, 1, 8, '2024-08-05 16:52:52', NULL, NULL), (233208, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '医疗保障服务大厅', '', 4, 3, 2024, 1, 8, '2024-08-05 16:52:52', NULL, NULL), (233209, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 7, 1, 2024, 1, 8, '2024-08-05 16:52:52', NULL, NULL), (233210, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 180, 10, 2024, 1, 8, '2024-08-05 16:52:52', NULL, NULL), (233211, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 8, 5, 2024, 1, 8, '2024-08-05 16:52:52', NULL, NULL), (233212, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 352, 5, 2024, 1, 8, '2024-08-05 16:52:52', NULL, NULL), (233213, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 180, 10, 2024, 1, 8, '2024-08-05 16:52:52', NULL, NULL), (233214, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 8, 5, 2024, 1, 8, '2024-08-05 16:52:52', NULL, NULL), (233215, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 352, 5, 2024, 1, 8, '2024-08-05 16:52:52', NULL, NULL), (233216, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 8, 5, 2024, 1, 8, '2024-08-05 16:52:52', NULL, NULL), (233217, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 352, 5, 2024, 1, 8, '2024-08-05 16:52:52', NULL, NULL), (233218, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 352, 5, 2024, 1, 8, '2024-08-05 16:52:52', NULL, NULL), (233219, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 8, 5, 2024, 1, 8, '2024-08-05 16:52:52', NULL, NULL), (233220, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 89, 2, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (233221, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 33, 5, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (233222, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 53, 3, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (233223, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '出入境服务大厅', '', 65, 2, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (233224, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '医疗保障服务大厅', '', 53, 1, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (233225, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 3, 1, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (233226, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 33, 5, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (233227, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 89, 2, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (233228, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A03', 89, 2, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (233229, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 33, 5, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (233230, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 33, 5, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (233231, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '宜宾高新区政企服务中心', '', '', 89, 2, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (233232, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 33, 5, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (233233, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', 'A03', 89, 2, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (233234, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A03', 89, 2, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (233235, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 33, 5, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (233236, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '宜宾高新区政企服务中心', '', 'A03', 89, 2, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (233237, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 33, 5, 2024, 1, 9, '2024-08-05 16:52:53', NULL, NULL), (233238, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 169, 5, 2024, 1, 10, '2024-08-05 16:52:54', NULL, NULL), (233239, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 280, 2, 2024, 1, 10, '2024-08-05 16:52:54', NULL, NULL), (233240, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '企业服务综合大厅', '', 0, 1, 2024, 1, 10, '2024-08-05 16:52:54', NULL, NULL), (233241, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 72, 4, 2024, 1, 10, '2024-08-05 16:52:54', NULL, NULL), (233242, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 0, 1, 2024, 1, 10, '2024-08-05 16:52:54', NULL, NULL), (233243, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 0, 1, 2024, 1, 10, '2024-08-05 16:52:54', NULL, NULL), (233244, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 1, 10, '2024-08-05 16:52:54', NULL, NULL), (233245, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 141, 6, 2024, 1, 10, '2024-08-05 16:52:54', NULL, NULL), (233246, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 208, 4, 2024, 1, 10, '2024-08-05 16:52:55', NULL, NULL), (233247, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 16, 1, 2024, 1, 10, '2024-08-05 16:52:55', NULL, NULL), (233248, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 169, 5, 2024, 1, 10, '2024-08-05 16:52:55', NULL, NULL), (233249, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 208, 4, 2024, 1, 10, '2024-08-05 16:52:55', NULL, NULL), (233250, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 16, 1, 2024, 1, 10, '2024-08-05 16:52:55', NULL, NULL), (233251, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 208, 4, 2024, 1, 10, '2024-08-05 16:52:55', NULL, NULL), (233252, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 16, 1, 2024, 1, 10, '2024-08-05 16:52:55', NULL, NULL), (233253, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 16, 1, 2024, 1, 10, '2024-08-05 16:52:55', NULL, NULL), (233254, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 208, 4, 2024, 1, 10, '2024-08-05 16:52:55', NULL, NULL), (233255, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 1641, 6, 2024, 1, 11, '2024-08-05 16:52:56', NULL, NULL), (233256, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 807, 3, 2024, 1, 11, '2024-08-05 16:52:56', NULL, NULL), (233257, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 0, 1, 2024, 1, 11, '2024-08-05 16:52:56', NULL, NULL), (233258, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '医疗保障服务大厅', '', 373, 1, 2024, 1, 11, '2024-08-05 16:52:56', NULL, NULL), (233259, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 1285, 3, 2024, 1, 11, '2024-08-05 16:52:56', NULL, NULL), (233260, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 3198, 1, 2024, 1, 11, '2024-08-05 16:52:56', NULL, NULL), (233261, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1094, 9, 2024, 1, 11, '2024-08-05 16:52:56', NULL, NULL), (233262, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 1641, 6, 2024, 1, 11, '2024-08-05 16:52:56', NULL, NULL), (233263, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 1641, 6, 2024, 1, 11, '2024-08-05 16:52:56', NULL, NULL), (233264, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 1641, 6, 2024, 1, 11, '2024-08-05 16:52:56', NULL, NULL), (233265, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 1641, 6, 2024, 1, 11, '2024-08-05 16:52:56', NULL, NULL), (233266, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 1641, 6, 2024, 1, 11, '2024-08-05 16:52:56', NULL, NULL), (233267, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 4292, 12, 2024, 1, 12, '2024-08-05 16:52:57', NULL, NULL), (233268, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 5989, 3, 2024, 1, 12, '2024-08-05 16:52:57', NULL, NULL), (233269, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '出入境服务大厅', '', 286, 3, 2024, 1, 12, '2024-08-05 16:52:57', NULL, NULL), (233270, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 151, 2, 2024, 1, 12, '2024-08-05 16:52:57', NULL, NULL), (233271, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '医疗保障服务大厅', '', 238, 1, 2024, 1, 12, '2024-08-05 16:52:57', NULL, NULL), (233272, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 8266, 2, 2024, 1, 12, '2024-08-05 16:52:57', NULL, NULL), (233273, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 15608, 1, 2024, 1, 12, '2024-08-05 16:52:57', NULL, NULL), (233274, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 4292, 12, 2024, 1, 12, '2024-08-05 16:52:57', NULL, NULL), (233275, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 120, 2, 2024, 1, 12, '2024-08-05 16:52:57', NULL, NULL), (233276, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 5126, 10, 2024, 1, 12, '2024-08-05 16:52:57', NULL, NULL), (233277, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 4292, 12, 2024, 1, 12, '2024-08-05 16:52:57', NULL, NULL), (233278, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 120, 2, 2024, 1, 12, '2024-08-05 16:52:57', NULL, NULL), (233279, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 5126, 10, 2024, 1, 12, '2024-08-05 16:52:57', NULL, NULL), (233280, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 120, 2, 2024, 1, 12, '2024-08-05 16:52:57', NULL, NULL), (233281, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 5126, 10, 2024, 1, 12, '2024-08-05 16:52:57', NULL, NULL), (233282, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 5126, 10, 2024, 1, 12, '2024-08-05 16:52:57', NULL, NULL), (233283, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 120, 2, 2024, 1, 12, '2024-08-05 16:52:57', NULL, NULL), (233284, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 819, 2, 2024, 1, 15, '2024-08-05 16:53:00', NULL, NULL), (233285, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 897, 11, 2024, 1, 15, '2024-08-05 16:53:00', NULL, NULL), (233286, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 509, 4, 2024, 1, 15, '2024-08-05 16:53:00', NULL, NULL), (233287, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 1522, 4, 2024, 1, 15, '2024-08-05 16:53:00', NULL, NULL), (233288, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 674, 5, 2024, 1, 15, '2024-08-05 16:53:00', NULL, NULL), (233289, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 9, 1, 2024, 1, 15, '2024-08-05 16:53:00', NULL, NULL), (233290, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 546, 3, 2024, 1, 15, '2024-08-05 16:53:00', NULL, NULL), (233291, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 897, 11, 2024, 1, 15, '2024-08-05 16:53:00', NULL, NULL), (233292, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 819, 2, 2024, 1, 15, '2024-08-05 16:53:00', NULL, NULL), (233293, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 1269, 4, 2024, 1, 15, '2024-08-05 16:53:00', NULL, NULL), (233294, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 684, 7, 2024, 1, 15, '2024-08-05 16:53:00', NULL, NULL), (233295, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 897, 11, 2024, 1, 15, '2024-08-05 16:53:00', NULL, NULL), (233296, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 819, 2, 2024, 1, 15, '2024-08-05 16:53:00', NULL, NULL), (233297, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 1269, 4, 2024, 1, 15, '2024-08-05 16:53:00', NULL, NULL), (233298, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 684, 7, 2024, 1, 15, '2024-08-05 16:53:00', NULL, NULL), (233299, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 819, 2, 2024, 1, 15, '2024-08-05 16:53:00', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (233300, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 1269, 4, 2024, 1, 15, '2024-08-05 16:53:01', NULL, NULL), (233301, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 819, 2, 2024, 1, 15, '2024-08-05 16:53:01', NULL, NULL), (233302, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 684, 7, 2024, 1, 15, '2024-08-05 16:53:01', NULL, NULL), (233303, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 819, 2, 2024, 1, 15, '2024-08-05 16:53:01', NULL, NULL), (233304, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 684, 7, 2024, 1, 15, '2024-08-05 16:53:01', NULL, NULL), (233305, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 1269, 4, 2024, 1, 15, '2024-08-05 16:53:01', NULL, NULL), (233306, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 224, 4, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233307, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 1607, 12, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233308, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 23, 1, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233309, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 2, 1, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233310, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '出入境服务大厅', '', 1138, 1, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233311, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 320, 2, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233312, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '医疗保障服务大厅', '', 2605, 1, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233313, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 1500, 7, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233314, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 1063, 5, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233315, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 184, 5, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233316, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1483, 13, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233317, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 224, 4, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233318, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 23, 1, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233319, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 714, 6, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233320, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 2499, 6, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233321, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 1607, 12, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233322, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 224, 4, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233323, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 23, 1, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233324, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 714, 6, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233325, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 2499, 6, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233326, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 23, 1, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233327, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 224, 4, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233328, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 23, 1, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233329, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 714, 6, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233330, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 224, 4, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233331, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 2499, 6, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233332, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 224, 4, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233333, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 23, 1, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233334, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 2499, 6, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233335, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 714, 6, 2024, 1, 16, '2024-08-05 16:53:02', NULL, NULL), (233336, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 59, 5, 2024, 1, 17, '2024-08-05 16:53:03', NULL, NULL), (233337, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 1033, 8, 2024, 1, 17, '2024-08-05 16:53:03', NULL, NULL), (233338, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 1, 1, 2024, 1, 17, '2024-08-05 16:53:03', NULL, NULL), (233339, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 686, 6, 2024, 1, 17, '2024-08-05 16:53:03', NULL, NULL), (233340, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '企业服务综合大厅', '', 112, 1, 2024, 1, 17, '2024-08-05 16:53:03', NULL, NULL), (233341, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公积金服务大厅', '', 6, 1, 2024, 1, 17, '2024-08-05 16:53:03', NULL, NULL), (233342, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '出入境服务大厅', '', 145, 1, 2024, 1, 17, '2024-08-05 16:53:03', NULL, NULL), (233343, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 1774, 2, 2024, 1, 17, '2024-08-05 16:53:03', NULL, NULL), (233344, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '医疗保障服务大厅', '', 4, 2, 2024, 1, 17, '2024-08-05 16:53:03', NULL, NULL), (233345, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 625, 1, 2024, 1, 17, '2024-08-05 16:53:03', NULL, NULL), (233346, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 36, 5, 2024, 1, 17, '2024-08-05 16:53:03', NULL, NULL), (233347, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 112, 1, 2024, 1, 17, '2024-08-05 16:53:03', NULL, NULL), (233348, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1033, 8, 2024, 1, 17, '2024-08-05 16:53:03', NULL, NULL), (233349, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 45, 4, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233350, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 1, 1, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233351, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A05', 112, 1, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233352, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 1124, 6, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233353, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 759, 2, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233354, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 1033, 8, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233355, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 112, 1, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233356, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 45, 4, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233357, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 1, 1, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233358, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 1124, 6, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233359, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 759, 2, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233360, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A05', 112, 1, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233361, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 1, 1, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233362, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 45, 4, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233363, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A05', 112, 1, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233364, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 1, 1, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233365, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 1124, 6, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233366, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 759, 2, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233367, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 45, 4, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233368, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 45, 4, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233369, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 1, 1, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233370, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 759, 2, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233371, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A05', 112, 1, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233372, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 1124, 6, 2024, 1, 17, '2024-08-05 16:53:04', NULL, NULL), (233373, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 4931, 4, 2024, 1, 18, '2024-08-05 16:53:05', NULL, NULL), (233374, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 994, 6, 2024, 1, 18, '2024-08-05 16:53:05', NULL, NULL), (233375, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 669, 2, 2024, 1, 18, '2024-08-05 16:53:05', NULL, NULL), (233376, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 2932, 5, 2024, 1, 18, '2024-08-05 16:53:05', NULL, NULL), (233377, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '企业服务综合大厅', '', 17, 1, 2024, 1, 18, '2024-08-05 16:53:05', NULL, NULL), (233378, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公积金服务大厅', '', 4436, 1, 2024, 1, 18, '2024-08-05 16:53:05', NULL, NULL), (233379, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '出入境服务大厅', '', 678, 2, 2024, 1, 18, '2024-08-05 16:53:05', NULL, NULL), (233380, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 2186, 3, 2024, 1, 18, '2024-08-05 16:53:05', NULL, NULL), (233381, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 3510, 6, 2024, 1, 18, '2024-08-05 16:53:05', NULL, NULL), (233382, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 994, 6, 2024, 1, 18, '2024-08-05 16:53:05', NULL, NULL), (233383, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 4931, 4, 2024, 1, 18, '2024-08-05 16:53:05', NULL, NULL), (233384, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 669, 2, 2024, 1, 18, '2024-08-05 16:53:05', NULL, NULL), (233385, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 311, 2, 2024, 1, 18, '2024-08-05 16:53:05', NULL, NULL), (233386, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 1335, 4, 2024, 1, 18, '2024-08-05 16:53:05', NULL, NULL), (233387, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 994, 6, 2024, 1, 18, '2024-08-05 16:53:05', NULL, NULL), (233388, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 4931, 4, 2024, 1, 18, '2024-08-05 16:53:05', NULL, NULL), (233389, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 669, 2, 2024, 1, 18, '2024-08-05 16:53:05', NULL, NULL), (233390, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 311, 2, 2024, 1, 18, '2024-08-05 16:53:06', NULL, NULL), (233391, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 1335, 4, 2024, 1, 18, '2024-08-05 16:53:06', NULL, NULL), (233392, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 669, 2, 2024, 1, 18, '2024-08-05 16:53:06', NULL, NULL), (233393, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 4931, 4, 2024, 1, 18, '2024-08-05 16:53:06', NULL, NULL), (233394, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 669, 2, 2024, 1, 18, '2024-08-05 16:53:06', NULL, NULL), (233395, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 311, 2, 2024, 1, 18, '2024-08-05 16:53:06', NULL, NULL), (233396, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 4931, 4, 2024, 1, 18, '2024-08-05 16:53:06', NULL, NULL), (233397, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 1335, 4, 2024, 1, 18, '2024-08-05 16:53:06', NULL, NULL), (233398, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 4931, 4, 2024, 1, 18, '2024-08-05 16:53:06', NULL, NULL), (233399, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 669, 2, 2024, 1, 18, '2024-08-05 16:53:06', NULL, NULL), (233400, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 1335, 4, 2024, 1, 18, '2024-08-05 16:53:06', NULL, NULL), (233401, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 311, 2, 2024, 1, 18, '2024-08-05 16:53:06', NULL, NULL), (233402, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 20, 1, 2024, 1, 19, '2024-08-05 16:53:07', NULL, NULL), (233403, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 5842, 3, 2024, 1, 19, '2024-08-05 16:53:07', NULL, NULL), (233404, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 4884, 3, 2024, 1, 19, '2024-08-05 16:53:07', NULL, NULL), (233405, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '企业服务综合大厅', '', 0, 1, 2024, 1, 19, '2024-08-05 16:53:07', NULL, NULL), (233406, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公积金服务大厅', '', 2873, 1, 2024, 1, 19, '2024-08-05 16:53:07', NULL, NULL), (233407, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '出入境服务大厅', '', 10, 2, 2024, 1, 19, '2024-08-05 16:53:07', NULL, NULL), (233408, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 0, 2, 2024, 1, 19, '2024-08-05 16:53:07', NULL, NULL), (233409, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 0, 2, 2024, 1, 19, '2024-08-05 16:53:07', NULL, NULL), (233410, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 20, 1, 2024, 1, 19, '2024-08-05 16:53:08', NULL, NULL), (233411, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1752, 10, 2024, 1, 19, '2024-08-05 16:53:08', NULL, NULL), (233412, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A05', 20, 1, 2024, 1, 19, '2024-08-05 16:53:08', NULL, NULL), (233413, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 5842, 3, 2024, 1, 19, '2024-08-05 16:53:08', NULL, NULL), (233414, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 5842, 3, 2024, 1, 19, '2024-08-05 16:53:08', NULL, NULL), (233415, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 20, 1, 2024, 1, 19, '2024-08-05 16:53:08', NULL, NULL), (233416, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 5842, 3, 2024, 1, 19, '2024-08-05 16:53:08', NULL, NULL), (233417, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A05', 20, 1, 2024, 1, 19, '2024-08-05 16:53:08', NULL, NULL), (233418, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A05', 20, 1, 2024, 1, 19, '2024-08-05 16:53:08', NULL, NULL), (233419, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 5842, 3, 2024, 1, 19, '2024-08-05 16:53:08', NULL, NULL), (233420, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A05', 20, 1, 2024, 1, 19, '2024-08-05 16:53:08', NULL, NULL), (233421, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 5842, 3, 2024, 1, 19, '2024-08-05 16:53:08', NULL, NULL), (233422, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 663, 7, 2024, 1, 22, '2024-08-05 16:53:18', NULL, NULL), (233423, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 2357, 16, 2024, 1, 22, '2024-08-05 16:53:18', NULL, NULL), (233424, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 1066, 9, 2024, 1, 22, '2024-08-05 16:53:19', NULL, NULL), (233425, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '企业服务综合大厅', '', 0, 1, 2024, 1, 22, '2024-08-05 16:53:19', NULL, NULL), (233426, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公积金服务大厅', '', 2453, 2, 2024, 1, 22, '2024-08-05 16:53:19', NULL, NULL), (233427, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '出入境服务大厅', '', 4, 1, 2024, 1, 22, '2024-08-05 16:53:19', NULL, NULL), (233428, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 1103, 5, 2024, 1, 22, '2024-08-05 16:53:19', NULL, NULL), (233429, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 1663, 2, 2024, 1, 22, '2024-08-05 16:53:19', NULL, NULL), (233430, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '医疗保障服务大厅', '', 3087, 3, 2024, 1, 22, '2024-08-05 16:53:19', NULL, NULL), (233431, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 2437, 4, 2024, 1, 22, '2024-08-05 16:53:19', NULL, NULL), (233432, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 515, 9, 2024, 1, 22, '2024-08-05 16:53:19', NULL, NULL), (233433, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 2, 2024, 1, 22, '2024-08-05 16:53:19', NULL, NULL), (233434, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 2357, 16, 2024, 1, 22, '2024-08-05 16:53:19', NULL, NULL), (233435, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 663, 7, 2024, 1, 22, '2024-08-05 16:53:19', NULL, NULL), (233436, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 2357, 16, 2024, 1, 22, '2024-08-05 16:53:19', NULL, NULL), (233437, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 2357, 16, 2024, 1, 22, '2024-08-05 16:53:19', NULL, NULL), (233438, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 663, 7, 2024, 1, 22, '2024-08-05 16:53:19', NULL, NULL), (233439, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 2357, 16, 2024, 1, 22, '2024-08-05 16:53:20', NULL, NULL), (233440, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 663, 7, 2024, 1, 22, '2024-08-05 16:53:20', NULL, NULL), (233441, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 663, 7, 2024, 1, 22, '2024-08-05 16:53:20', NULL, NULL), (233442, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 2357, 16, 2024, 1, 22, '2024-08-05 16:53:20', NULL, NULL), (233443, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 663, 7, 2024, 1, 22, '2024-08-05 16:53:20', NULL, NULL), (233444, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 2357, 16, 2024, 1, 22, '2024-08-05 16:53:20', NULL, NULL), (233445, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 1286, 7, 2024, 1, 23, '2024-08-05 16:53:21', NULL, NULL), (233446, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 3007, 8, 2024, 1, 23, '2024-08-05 16:53:21', NULL, NULL), (233447, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 2304, 6, 2024, 1, 23, '2024-08-05 16:53:21', NULL, NULL), (233448, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 3861, 3, 2024, 1, 23, '2024-08-05 16:53:21', NULL, NULL), (233449, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '医疗保障服务大厅', '', 494, 3, 2024, 1, 23, '2024-08-05 16:53:21', NULL, NULL), (233450, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 2303, 2, 2024, 1, 23, '2024-08-05 16:53:21', NULL, NULL), (233451, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 1188, 1, 2024, 1, 23, '2024-08-05 16:53:21', NULL, NULL), (233452, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1126, 8, 2024, 1, 23, '2024-08-05 16:53:21', NULL, NULL), (233453, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 3007, 8, 2024, 1, 23, '2024-08-05 16:53:21', NULL, NULL), (233454, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 1286, 7, 2024, 1, 23, '2024-08-05 16:53:21', NULL, NULL), (233455, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 5032, 4, 2024, 1, 23, '2024-08-05 16:53:21', NULL, NULL), (233456, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 981, 4, 2024, 1, 23, '2024-08-05 16:53:21', NULL, NULL), (233457, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 3007, 8, 2024, 1, 23, '2024-08-05 16:53:22', NULL, NULL), (233458, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 1286, 7, 2024, 1, 23, '2024-08-05 16:53:22', NULL, NULL), (233459, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 5032, 4, 2024, 1, 23, '2024-08-05 16:53:22', NULL, NULL), (233460, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 981, 4, 2024, 1, 23, '2024-08-05 16:53:22', NULL, NULL), (233461, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 1286, 7, 2024, 1, 23, '2024-08-05 16:53:22', NULL, NULL), (233462, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 5032, 4, 2024, 1, 23, '2024-08-05 16:53:22', NULL, NULL), (233463, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 981, 4, 2024, 1, 23, '2024-08-05 16:53:22', NULL, NULL), (233464, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 1286, 7, 2024, 1, 23, '2024-08-05 16:53:22', NULL, NULL), (233465, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 1286, 7, 2024, 1, 23, '2024-08-05 16:53:22', NULL, NULL), (233466, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 981, 4, 2024, 1, 23, '2024-08-05 16:53:22', NULL, NULL), (233467, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 5032, 4, 2024, 1, 23, '2024-08-05 16:53:22', NULL, NULL), (233468, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 338, 3, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233469, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 755, 7, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233470, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 144, 2, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233471, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 8, 2, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233472, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '出入境服务大厅', '', 1276, 2, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233473, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 88, 3, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233474, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '医疗保障服务大厅', '', 1367, 2, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233475, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 9, 1, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233476, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 261, 5, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233477, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 755, 7, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233478, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 338, 3, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233479, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 144, 2, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233480, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 286, 3, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233481, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 1107, 4, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233482, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 755, 7, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233483, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 338, 3, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233484, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 144, 2, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233485, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 286, 3, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233486, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 1107, 4, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233487, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 144, 2, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233488, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 338, 3, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233489, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 144, 2, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233490, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 286, 3, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233491, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 338, 3, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233492, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 1107, 4, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233493, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 338, 3, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233494, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 144, 2, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233495, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 1107, 4, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233496, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 286, 3, 2024, 1, 24, '2024-08-05 16:53:23', NULL, NULL), (233497, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 257, 2, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233498, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 257, 9, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233499, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 10, 2, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233500, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 18, 3, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233501, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '企业服务综合大厅', '', 17, 1, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233502, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公积金服务大厅', '', 62, 2, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233503, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 363, 5, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233504, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 417, 2, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233505, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 133, 4, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233506, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 257, 9, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233507, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 257, 2, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233508, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 10, 2, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233509, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 299, 3, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233510, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 236, 6, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233511, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 257, 9, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233512, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 257, 2, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233513, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 10, 2, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233514, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 299, 3, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233515, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 236, 6, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233516, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 10, 2, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233517, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 257, 2, 2024, 1, 25, '2024-08-05 16:53:24', NULL, NULL), (233518, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 10, 2, 2024, 1, 25, '2024-08-05 16:53:25', NULL, NULL), (233519, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 299, 3, 2024, 1, 25, '2024-08-05 16:53:25', NULL, NULL), (233520, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 257, 2, 2024, 1, 25, '2024-08-05 16:53:25', NULL, NULL), (233521, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 236, 6, 2024, 1, 25, '2024-08-05 16:53:25', NULL, NULL), (233522, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 257, 2, 2024, 1, 25, '2024-08-05 16:53:25', NULL, NULL), (233523, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 10, 2, 2024, 1, 25, '2024-08-05 16:53:25', NULL, NULL), (233524, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 236, 6, 2024, 1, 25, '2024-08-05 16:53:25', NULL, NULL), (233525, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 299, 3, 2024, 1, 25, '2024-08-05 16:53:25', NULL, NULL), (233526, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 670, 4, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233527, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 658, 7, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233528, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 5, 4, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233529, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 689, 6, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233530, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '出入境服务大厅', '', 4, 2, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233531, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 19, 1, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233532, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 628, 5, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233533, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 4, 1, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233534, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 338, 8, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233535, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 658, 7, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233536, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 670, 4, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233537, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 5, 4, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233538, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 734, 5, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233539, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 468, 2, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233540, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 658, 7, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233541, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 670, 4, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233542, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 5, 4, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233543, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 734, 5, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233544, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 468, 2, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233545, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 5, 4, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233546, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 670, 4, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233547, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 5, 4, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233548, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 734, 5, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233549, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 468, 2, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233550, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 670, 4, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233551, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 670, 4, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233552, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 5, 4, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233553, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 468, 2, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233554, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 734, 5, 2024, 1, 26, '2024-08-05 16:53:26', NULL, NULL), (233555, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 206, 5, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (233556, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 5, 1, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (233557, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 316, 3, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (233558, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 34, 2, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (233559, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 16, 1, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (233560, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 1, 3, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (233561, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1, 4, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (233562, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 206, 5, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (233563, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 5, 1, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (233564, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 206, 5, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (233565, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 206, 5, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (233566, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 5, 1, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (233567, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 206, 5, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (233568, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 5, 1, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (233569, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 5, 1, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (233570, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 206, 5, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (233571, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 5, 1, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (233572, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 206, 5, 2024, 1, 29, '2024-08-05 16:53:29', NULL, NULL), (233573, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 372, 6, 2024, 1, 30, '2024-08-05 16:53:30', NULL, NULL), (233574, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 550, 8, 2024, 1, 30, '2024-08-05 16:53:30', NULL, NULL), (233575, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 868, 1, 2024, 1, 30, '2024-08-05 16:53:30', NULL, NULL), (233576, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '公安综合服务大厅', '', 788, 4, 2024, 1, 30, '2024-08-05 16:53:30', NULL, NULL), (233577, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '出入境服务大厅', '', 82, 1, 2024, 1, 30, '2024-08-05 16:53:30', NULL, NULL), (233578, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '人社保障大厅', '', 6, 3, 2024, 1, 30, '2024-08-05 16:53:30', NULL, NULL), (233579, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '不动产服务大厅', '', 675, 3, 2024, 1, 30, '2024-08-05 16:53:30', NULL, NULL), (233580, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '税务综合大厅', '', 555, 4, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233581, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 492, 6, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233582, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 148, 1, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233583, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 550, 8, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233584, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 417, 5, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233585, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 868, 1, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233586, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A04', 148, 1, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233587, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 550, 8, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233588, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 550, 8, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233589, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 148, 1, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233590, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 417, 5, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233591, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 868, 1, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233592, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 550, 8, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233593, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A04', 148, 1, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233594, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 868, 1, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233595, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 417, 5, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233596, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A04', 148, 1, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233597, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 868, 1, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233598, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 550, 8, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233599, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 417, 5, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233600, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 417, 5, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233601, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 868, 1, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233602, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A04', 148, 1, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233603, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 550, 8, 2024, 1, 30, '2024-08-05 16:53:31', NULL, NULL), (233604, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 3, 1, 2024, 1, 31, '2024-08-05 16:53:32', NULL, NULL), (233605, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 936, 6, 2024, 1, 31, '2024-08-05 16:53:32', NULL, NULL), (233606, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 8, 5, 2024, 1, 31, '2024-08-05 16:53:32', NULL, NULL), (233607, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 404, 14, 2024, 1, 31, '2024-08-05 16:53:32', NULL, NULL), (233608, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 7, 6, 2024, 1, 31, '2024-08-05 16:53:32', NULL, NULL), (233609, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 702, 8, 2024, 1, 31, '2024-08-05 16:53:32', NULL, NULL), (233610, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 3, 1, 2024, 1, 31, '2024-08-05 16:53:32', NULL, NULL), (233611, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 8, 4, 2024, 1, 31, '2024-08-05 16:53:32', NULL, NULL), (233612, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A13', 9, 1, 2024, 1, 31, '2024-08-05 16:53:32', NULL, NULL), (233613, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 936, 6, 2024, 1, 31, '2024-08-05 16:53:32', NULL, NULL), (233614, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 936, 6, 2024, 1, 31, '2024-08-05 16:53:32', NULL, NULL), (233615, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 3, 1, 2024, 1, 31, '2024-08-05 16:53:32', NULL, NULL), (233616, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 8, 5, 2024, 1, 31, '2024-08-05 16:53:32', NULL, NULL), (233617, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 936, 6, 2024, 1, 31, '2024-08-05 16:53:32', NULL, NULL), (233618, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 8, 4, 2024, 1, 31, '2024-08-05 16:53:32', NULL, NULL), (233619, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A13', 9, 1, 2024, 1, 31, '2024-08-05 16:53:33', NULL, NULL), (233620, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 3, 1, 2024, 1, 31, '2024-08-05 16:53:33', NULL, NULL), (233621, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A13', 9, 1, 2024, 1, 31, '2024-08-05 16:53:33', NULL, NULL), (233622, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 8, 4, 2024, 1, 31, '2024-08-05 16:53:33', NULL, NULL), (233623, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 3, 1, 2024, 1, 31, '2024-08-05 16:53:33', NULL, NULL), (233624, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 936, 6, 2024, 1, 31, '2024-08-05 16:53:33', NULL, NULL), (233625, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 3, 1, 2024, 1, 31, '2024-08-05 16:53:33', NULL, NULL), (233626, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 8, 4, 2024, 1, 31, '2024-08-05 16:53:33', NULL, NULL), (233627, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 936, 6, 2024, 1, 31, '2024-08-05 16:53:33', NULL, NULL), (233628, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A13', 9, 1, 2024, 1, 31, '2024-08-05 16:53:33', NULL, NULL), (233629, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 5, 4, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233630, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 880, 6, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233631, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 418, 7, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233632, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 484, 17, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233633, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 268, 11, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233634, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 880, 6, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233635, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 5, 4, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233636, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 269, 5, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233637, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A13', 790, 2, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233638, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 880, 6, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233639, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 880, 6, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233640, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 5, 4, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233641, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 418, 7, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233642, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 880, 6, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233643, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 269, 5, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233644, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A13', 790, 2, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233645, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 5, 4, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233646, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A13', 790, 2, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233647, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 269, 5, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233648, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 5, 4, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233649, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 880, 6, 2024, 2, 1, '2024-08-05 16:53:34', NULL, NULL), (233650, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 5, 4, 2024, 2, 1, '2024-08-05 16:53:35', NULL, NULL), (233651, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 269, 5, 2024, 2, 1, '2024-08-05 16:53:35', NULL, NULL), (233652, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 880, 6, 2024, 2, 1, '2024-08-05 16:53:35', NULL, NULL), (233653, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A13', 790, 2, 2024, 2, 1, '2024-08-05 16:53:35', NULL, NULL), (233654, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 3968, 2, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233655, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 617, 9, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233656, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 1782, 4, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233657, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1374, 15, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233658, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 2510, 6, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233659, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 617, 9, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233660, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 3968, 2, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233661, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 1782, 4, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233662, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 617, 9, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233663, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 617, 9, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233664, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 3968, 2, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233665, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 1782, 4, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233666, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 617, 9, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233667, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 1782, 4, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233668, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 3968, 2, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233669, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 1782, 4, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233670, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 3968, 2, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233671, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 617, 9, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233672, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 3968, 2, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233673, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 1782, 4, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233674, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 617, 9, 2024, 2, 2, '2024-08-05 16:53:36', NULL, NULL), (233675, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 21, 2, 2024, 2, 4, '2024-08-05 16:53:38', NULL, NULL), (233676, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 3, 3, 2024, 2, 4, '2024-08-05 16:53:38', NULL, NULL), (233677, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 5, 9, 2024, 2, 4, '2024-08-05 16:53:39', NULL, NULL), (233678, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 7, 6, 2024, 2, 4, '2024-08-05 16:53:39', NULL, NULL), (233679, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 3, 3, 2024, 2, 4, '2024-08-05 16:53:39', NULL, NULL), (233680, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A04', 21, 2, 2024, 2, 4, '2024-08-05 16:53:39', NULL, NULL), (233681, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 3, 3, 2024, 2, 4, '2024-08-05 16:53:39', NULL, NULL), (233682, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 3, 3, 2024, 2, 4, '2024-08-05 16:53:39', NULL, NULL), (233683, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 21, 2, 2024, 2, 4, '2024-08-05 16:53:39', NULL, NULL), (233684, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 3, 3, 2024, 2, 4, '2024-08-05 16:53:39', NULL, NULL), (233685, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A04', 21, 2, 2024, 2, 4, '2024-08-05 16:53:39', NULL, NULL), (233686, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A04', 21, 2, 2024, 2, 4, '2024-08-05 16:53:39', NULL, NULL), (233687, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 3, 3, 2024, 2, 4, '2024-08-05 16:53:39', NULL, NULL), (233688, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A04', 21, 2, 2024, 2, 4, '2024-08-05 16:53:39', NULL, NULL), (233689, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 3, 3, 2024, 2, 4, '2024-08-05 16:53:39', NULL, NULL), (233690, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 4, 1, 2024, 2, 5, '2024-08-05 16:53:40', NULL, NULL), (233691, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 53, 6, 2024, 2, 5, '2024-08-05 16:53:40', NULL, NULL), (233692, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 7, 1, 2024, 2, 5, '2024-08-05 16:53:40', NULL, NULL), (233693, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 41, 8, 2024, 2, 5, '2024-08-05 16:53:40', NULL, NULL), (233694, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 5, 2, 2024, 2, 5, '2024-08-05 16:53:40', NULL, NULL), (233695, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 53, 6, 2024, 2, 5, '2024-08-05 16:53:40', NULL, NULL), (233696, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 4, 1, 2024, 2, 5, '2024-08-05 16:53:40', NULL, NULL), (233697, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 7, 1, 2024, 2, 5, '2024-08-05 16:53:40', NULL, NULL), (233698, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 74, 4, 2024, 2, 5, '2024-08-05 16:53:40', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (233699, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 12, 2, 2024, 2, 5, '2024-08-05 16:53:40', NULL, NULL), (233700, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 53, 6, 2024, 2, 5, '2024-08-05 16:53:40', NULL, NULL), (233701, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 4, 1, 2024, 2, 5, '2024-08-05 16:53:40', NULL, NULL), (233702, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 7, 1, 2024, 2, 5, '2024-08-05 16:53:40', NULL, NULL), (233703, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 74, 4, 2024, 2, 5, '2024-08-05 16:53:40', NULL, NULL), (233704, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 12, 2, 2024, 2, 5, '2024-08-05 16:53:41', NULL, NULL), (233705, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 7, 1, 2024, 2, 5, '2024-08-05 16:53:40', NULL, NULL), (233706, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 4, 1, 2024, 2, 5, '2024-08-05 16:53:41', NULL, NULL), (233707, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 7, 1, 2024, 2, 5, '2024-08-05 16:53:41', NULL, NULL), (233708, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 74, 4, 2024, 2, 5, '2024-08-05 16:53:41', NULL, NULL), (233709, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 4, 1, 2024, 2, 5, '2024-08-05 16:53:41', NULL, NULL), (233710, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 12, 2, 2024, 2, 5, '2024-08-05 16:53:41', NULL, NULL), (233711, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 4, 1, 2024, 2, 5, '2024-08-05 16:53:41', NULL, NULL), (233712, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 7, 1, 2024, 2, 5, '2024-08-05 16:53:41', NULL, NULL), (233713, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 12, 2, 2024, 2, 5, '2024-08-05 16:53:41', NULL, NULL), (233714, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 74, 4, 2024, 2, 5, '2024-08-05 16:53:41', NULL, NULL), (233715, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 7, 1, 2024, 2, 6, '2024-08-05 16:53:42', NULL, NULL), (233716, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 5, 1, 2024, 2, 6, '2024-08-05 16:53:42', NULL, NULL), (233717, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 4, 2, 2024, 2, 6, '2024-08-05 16:53:42', NULL, NULL), (233718, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 5, 4, 2024, 2, 6, '2024-08-05 16:53:42', NULL, NULL), (233719, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 5, 3, 2024, 2, 6, '2024-08-05 16:53:42', NULL, NULL), (233720, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 5, 1, 2024, 2, 6, '2024-08-05 16:53:42', NULL, NULL), (233721, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 7, 1, 2024, 2, 6, '2024-08-05 16:53:42', NULL, NULL), (233722, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 4, 2, 2024, 2, 6, '2024-08-05 16:53:42', NULL, NULL), (233723, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 5, 1, 2024, 2, 6, '2024-08-05 16:53:42', NULL, NULL), (233724, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 5, 1, 2024, 2, 6, '2024-08-05 16:53:42', NULL, NULL), (233725, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 7, 1, 2024, 2, 6, '2024-08-05 16:53:42', NULL, NULL), (233726, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 4, 2, 2024, 2, 6, '2024-08-05 16:53:42', NULL, NULL), (233727, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 5, 1, 2024, 2, 6, '2024-08-05 16:53:42', NULL, NULL), (233728, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 4, 2, 2024, 2, 6, '2024-08-05 16:53:42', NULL, NULL), (233729, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 7, 1, 2024, 2, 6, '2024-08-05 16:53:42', NULL, NULL), (233730, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 4, 2, 2024, 2, 6, '2024-08-05 16:53:42', NULL, NULL), (233731, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 5, 1, 2024, 2, 6, '2024-08-05 16:53:42', NULL, NULL), (233732, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 7, 1, 2024, 2, 6, '2024-08-05 16:53:43', NULL, NULL), (233733, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 7, 1, 2024, 2, 6, '2024-08-05 16:53:43', NULL, NULL), (233734, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 4, 2, 2024, 2, 6, '2024-08-05 16:53:43', NULL, NULL), (233735, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 5, 1, 2024, 2, 6, '2024-08-05 16:53:43', NULL, NULL), (233736, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 527, 3, 2024, 2, 7, '2024-08-05 16:53:44', NULL, NULL), (233737, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 10219, 2, 2024, 2, 7, '2024-08-05 16:53:44', NULL, NULL), (233738, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 4403, 5, 2024, 2, 7, '2024-08-05 16:53:44', NULL, NULL), (233739, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 10219, 2, 2024, 2, 7, '2024-08-05 16:53:44', NULL, NULL), (233740, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 527, 3, 2024, 2, 7, '2024-08-05 16:53:44', NULL, NULL), (233741, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 10219, 2, 2024, 2, 7, '2024-08-05 16:53:44', NULL, NULL), (233742, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 527, 3, 2024, 2, 7, '2024-08-05 16:53:44', NULL, NULL), (233743, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 527, 3, 2024, 2, 7, '2024-08-05 16:53:44', NULL, NULL), (233744, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 10219, 2, 2024, 2, 7, '2024-08-05 16:53:44', NULL, NULL), (233745, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 527, 3, 2024, 2, 7, '2024-08-05 16:53:44', NULL, NULL), (233746, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 10219, 2, 2024, 2, 7, '2024-08-05 16:53:44', NULL, NULL), (233747, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 10219, 2, 2024, 2, 7, '2024-08-05 16:53:44', NULL, NULL), (233748, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 527, 3, 2024, 2, 7, '2024-08-05 16:53:44', NULL, NULL), (233749, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 10219, 2, 2024, 2, 7, '2024-08-05 16:53:44', NULL, NULL), (233750, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 527, 3, 2024, 2, 7, '2024-08-05 16:53:44', NULL, NULL), (233751, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 7, 1, 2024, 2, 18, '2024-08-05 16:54:10', NULL, NULL), (233752, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 5, 2, 2024, 2, 18, '2024-08-05 16:54:10', NULL, NULL), (233753, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 5, 3, 2024, 2, 18, '2024-08-05 16:54:10', NULL, NULL), (233754, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 5, 2, 2024, 2, 18, '2024-08-05 16:54:10', NULL, NULL), (233755, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 7, 1, 2024, 2, 18, '2024-08-05 16:54:10', NULL, NULL), (233756, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 5, 2, 2024, 2, 18, '2024-08-05 16:54:10', NULL, NULL), (233757, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 7, 1, 2024, 2, 18, '2024-08-05 16:54:10', NULL, NULL), (233758, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 7, 1, 2024, 2, 18, '2024-08-05 16:54:10', NULL, NULL), (233759, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 5, 2, 2024, 2, 18, '2024-08-05 16:54:10', NULL, NULL), (233760, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 7, 1, 2024, 2, 18, '2024-08-05 16:54:10', NULL, NULL), (233761, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 5, 2, 2024, 2, 18, '2024-08-05 16:54:10', NULL, NULL), (233762, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 5, 2, 2024, 2, 18, '2024-08-05 16:54:10', NULL, NULL), (233763, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 7, 1, 2024, 2, 18, '2024-08-05 16:54:10', NULL, NULL), (233764, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 5, 2, 2024, 2, 18, '2024-08-05 16:54:10', NULL, NULL), (233765, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 7, 1, 2024, 2, 18, '2024-08-05 16:54:10', NULL, NULL), (233766, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 2, 3, 2024, 2, 19, '2024-08-05 16:54:11', NULL, NULL), (233767, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 7, 1, 2024, 2, 19, '2024-08-05 16:54:11', NULL, NULL), (233768, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 3, 5, 2024, 2, 19, '2024-08-05 16:54:11', NULL, NULL), (233769, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 7, 1, 2024, 2, 19, '2024-08-05 16:54:11', NULL, NULL), (233770, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 2, 19, '2024-08-05 16:54:11', NULL, NULL), (233771, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 2, 3, 2024, 2, 19, '2024-08-05 16:54:11', NULL, NULL), (233772, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 7, 1, 2024, 2, 19, '2024-08-05 16:54:11', NULL, NULL), (233773, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 2, 3, 2024, 2, 19, '2024-08-05 16:54:11', NULL, NULL), (233774, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 2, 3, 2024, 2, 19, '2024-08-05 16:54:11', NULL, NULL), (233775, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 7, 1, 2024, 2, 19, '2024-08-05 16:54:11', NULL, NULL), (233776, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 2, 3, 2024, 2, 19, '2024-08-05 16:54:11', NULL, NULL), (233777, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 7, 1, 2024, 2, 19, '2024-08-05 16:54:11', NULL, NULL), (233778, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 7, 1, 2024, 2, 19, '2024-08-05 16:54:11', NULL, NULL), (233779, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 2, 3, 2024, 2, 19, '2024-08-05 16:54:11', NULL, NULL), (233780, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 7, 1, 2024, 2, 19, '2024-08-05 16:54:11', NULL, NULL), (233781, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 2, 3, 2024, 2, 19, '2024-08-05 16:54:11', NULL, NULL), (233782, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 5818, 3, 2024, 2, 20, '2024-08-05 16:54:12', NULL, NULL), (233783, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 3, 3, 2024, 2, 20, '2024-08-05 16:54:12', NULL, NULL), (233784, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 4, 2, 2024, 2, 20, '2024-08-05 16:54:12', NULL, NULL), (233785, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1941, 9, 2024, 2, 20, '2024-08-05 16:54:12', NULL, NULL), (233786, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 11, 4, 2024, 2, 20, '2024-08-05 16:54:12', NULL, NULL), (233787, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 2, 4, 2024, 2, 20, '2024-08-05 16:54:12', NULL, NULL), (233788, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 17416, 1, 2024, 2, 20, '2024-08-05 16:54:12', NULL, NULL), (233789, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 19, 2, 2024, 2, 20, '2024-08-05 16:54:12', NULL, NULL), (233790, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 4, 2, 2024, 2, 20, '2024-08-05 16:54:13', NULL, NULL), (233791, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A03', 17416, 1, 2024, 2, 20, '2024-08-05 16:54:12', NULL, NULL), (233792, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 3, 3, 2024, 2, 20, '2024-08-05 16:54:12', NULL, NULL), (233793, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 3, 3, 2024, 2, 20, '2024-08-05 16:54:13', NULL, NULL), (233794, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '宜宾高新区政企服务中心', '', '', 17416, 1, 2024, 2, 20, '2024-08-05 16:54:13', NULL, NULL), (233795, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 19, 2, 2024, 2, 20, '2024-08-05 16:54:13', NULL, NULL), (233796, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 4, 2, 2024, 2, 20, '2024-08-05 16:54:13', NULL, NULL), (233797, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 3, 3, 2024, 2, 20, '2024-08-05 16:54:13', NULL, NULL), (233798, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 4, 2, 2024, 2, 20, '2024-08-05 16:54:13', NULL, NULL), (233799, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 19, 2, 2024, 2, 20, '2024-08-05 16:54:13', NULL, NULL), (233800, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', 'A03', 17416, 1, 2024, 2, 20, '2024-08-05 16:54:13', NULL, NULL), (233801, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A03', 17416, 1, 2024, 2, 20, '2024-08-05 16:54:13', NULL, NULL), (233802, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 4, 2, 2024, 2, 20, '2024-08-05 16:54:13', NULL, NULL), (233803, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 3, 3, 2024, 2, 20, '2024-08-05 16:54:13', NULL, NULL), (233804, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 19, 2, 2024, 2, 20, '2024-08-05 16:54:13', NULL, NULL), (233805, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 19, 2, 2024, 2, 20, '2024-08-05 16:54:13', NULL, NULL), (233806, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 4, 2, 2024, 2, 20, '2024-08-05 16:54:13', NULL, NULL), (233807, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '宜宾高新区政企服务中心', '', 'A03', 17416, 1, 2024, 2, 20, '2024-08-05 16:54:13', NULL, NULL), (233808, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 3, 3, 2024, 2, 20, '2024-08-05 16:54:13', NULL, NULL), (233809, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 72, 4, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233810, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 4, 1, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233811, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 8, 3, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233812, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 22, 14, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233813, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 8, 6, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233814, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 53, 5, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233815, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 4, 1, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233816, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 2, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233817, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 7, 3, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233818, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 8, 3, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233819, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A05', 265, 1, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233820, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 4, 1, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233821, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 4, 1, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233822, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 265, 1, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233823, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 7, 3, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233824, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 8, 3, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233825, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 4, 1, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233826, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A05', 265, 1, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233827, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 8, 3, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233828, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 7, 3, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233829, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A05', 265, 1, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233830, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 8, 3, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233831, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 4, 1, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233832, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 7, 3, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233833, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 7, 3, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233834, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 8, 3, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233835, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 4, 1, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233836, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A05', 265, 1, 2024, 2, 21, '2024-08-05 16:54:14', NULL, NULL), (233837, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 9157, 8, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (233838, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 74, 6, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (233839, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 5, 2, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (233840, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 4336, 17, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (233841, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 5, 3, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (233842, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 10032, 6, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (233843, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 74, 6, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (233844, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 6528, 2, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (233845, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 7, 1, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (233846, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 5, 2, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (233847, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A03', 13057, 1, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (233848, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A04', 10032, 6, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (233849, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 5, 4, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (233850, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 212, 2, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (233851, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 74, 6, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (233852, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 10032, 6, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (233853, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '宜宾高新区政企服务中心', '', '', 13057, 1, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233854, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 7, 1, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (233855, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 5, 2, 2024, 2, 22, '2024-08-05 16:54:15', NULL, NULL), (233856, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 5, 4, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233857, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 212, 2, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233858, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A04', 10032, 6, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233859, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 5, 2, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233860, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 7, 1, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233861, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', 'A03', 13057, 1, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233862, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A04', 10032, 6, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233863, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A03', 13057, 1, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233864, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 5, 2, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233865, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 5, 4, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233866, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 7, 1, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233867, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 212, 2, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233868, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 7, 1, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233869, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 5, 2, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233870, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '宜宾高新区政企服务中心', '', 'A03', 13057, 1, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233871, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A04', 10032, 6, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233872, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 212, 2, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233873, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 5, 4, 2024, 2, 22, '2024-08-05 16:54:16', NULL, NULL), (233874, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 4, 4, 2024, 2, 23, '2024-08-05 16:54:17', NULL, NULL), (233875, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 8, 1, 2024, 2, 23, '2024-08-05 16:54:17', NULL, NULL), (233876, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 4, 6, 2024, 2, 23, '2024-08-05 16:54:17', NULL, NULL), (233877, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 8, 1, 2024, 2, 23, '2024-08-05 16:54:17', NULL, NULL), (233878, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 2, 23, '2024-08-05 16:54:17', NULL, NULL), (233879, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 4, 4, 2024, 2, 23, '2024-08-05 16:54:17', NULL, NULL), (233880, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 8, 1, 2024, 2, 23, '2024-08-05 16:54:17', NULL, NULL), (233881, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 4, 4, 2024, 2, 23, '2024-08-05 16:54:17', NULL, NULL), (233882, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 4, 4, 2024, 2, 23, '2024-08-05 16:54:17', NULL, NULL), (233883, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 8, 1, 2024, 2, 23, '2024-08-05 16:54:17', NULL, NULL), (233884, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 4, 4, 2024, 2, 23, '2024-08-05 16:54:17', NULL, NULL), (233885, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 8, 1, 2024, 2, 23, '2024-08-05 16:54:17', NULL, NULL), (233886, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 8, 1, 2024, 2, 23, '2024-08-05 16:54:17', NULL, NULL), (233887, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 4, 4, 2024, 2, 23, '2024-08-05 16:54:17', NULL, NULL), (233888, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 8, 1, 2024, 2, 23, '2024-08-05 16:54:17', NULL, NULL), (233889, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 4, 4, 2024, 2, 23, '2024-08-05 16:54:17', NULL, NULL), (233890, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 2146, 11, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233891, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 5, 4, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233892, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1389, 17, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233893, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 5, 4, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233894, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1815, 13, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233895, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 5, 4, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233896, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 2223, 10, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233897, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 1373, 1, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233898, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 2146, 11, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233899, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 5, 4, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233900, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 2223, 10, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233901, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 1373, 1, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233902, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 5, 4, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233903, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 5, 4, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233904, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 2223, 10, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233905, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 1373, 1, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233906, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 5, 4, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233907, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 1373, 1, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233908, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 2223, 10, 2024, 2, 26, '2024-08-05 16:54:20', NULL, NULL), (233909, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 72, 12, 2024, 2, 27, '2024-08-05 16:54:21', NULL, NULL), (233910, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 5, 1, 2024, 2, 27, '2024-08-05 16:54:21', NULL, NULL), (233911, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 62, 14, 2024, 2, 27, '2024-08-05 16:54:21', NULL, NULL), (233912, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 2, 2, 2024, 2, 27, '2024-08-05 16:54:21', NULL, NULL), (233913, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 72, 12, 2024, 2, 27, '2024-08-05 16:54:21', NULL, NULL), (233914, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 5, 1, 2024, 2, 27, '2024-08-05 16:54:21', NULL, NULL), (233915, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 33, 10, 2024, 2, 27, '2024-08-05 16:54:21', NULL, NULL), (233916, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 264, 2, 2024, 2, 27, '2024-08-05 16:54:22', NULL, NULL), (233917, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 72, 12, 2024, 2, 27, '2024-08-05 16:54:22', NULL, NULL), (233918, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 5, 1, 2024, 2, 27, '2024-08-05 16:54:22', NULL, NULL), (233919, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 33, 10, 2024, 2, 27, '2024-08-05 16:54:22', NULL, NULL), (233920, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 264, 2, 2024, 2, 27, '2024-08-05 16:54:22', NULL, NULL), (233921, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 5, 1, 2024, 2, 27, '2024-08-05 16:54:22', NULL, NULL), (233922, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 5, 1, 2024, 2, 27, '2024-08-05 16:54:22', NULL, NULL), (233923, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 33, 10, 2024, 2, 27, '2024-08-05 16:54:22', NULL, NULL), (233924, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 264, 2, 2024, 2, 27, '2024-08-05 16:54:22', NULL, NULL), (233925, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 5, 1, 2024, 2, 27, '2024-08-05 16:54:22', NULL, NULL), (233926, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 264, 2, 2024, 2, 27, '2024-08-05 16:54:22', NULL, NULL), (233927, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 33, 10, 2024, 2, 27, '2024-08-05 16:54:22', NULL, NULL), (233928, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 4954, 2, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233929, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 2774, 9, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233930, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2906, 12, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233931, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 4954, 2, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233932, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233933, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 2774, 9, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233934, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 4954, 2, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233935, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 2515, 5, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233936, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 3098, 4, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233937, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 2774, 9, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233938, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 4954, 2, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233939, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 2515, 5, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233940, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 3098, 4, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233941, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 4954, 2, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233942, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 2515, 5, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233943, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 3098, 4, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233944, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 4954, 2, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233945, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 4954, 2, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233946, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 3098, 4, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233947, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 2515, 5, 2024, 2, 28, '2024-08-05 16:54:23', NULL, NULL), (233948, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 818, 5, 2024, 2, 29, '2024-08-05 16:54:24', NULL, NULL), (233949, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 954, 9, 2024, 2, 29, '2024-08-05 16:54:24', NULL, NULL), (233950, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 906, 14, 2024, 2, 29, '2024-08-05 16:54:24', NULL, NULL), (233951, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 879, 4, 2024, 2, 29, '2024-08-05 16:54:24', NULL, NULL), (233952, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 574, 1, 2024, 2, 29, '2024-08-05 16:54:24', NULL, NULL), (233953, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 954, 9, 2024, 2, 29, '2024-08-05 16:54:24', NULL, NULL), (233954, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 879, 4, 2024, 2, 29, '2024-08-05 16:54:24', NULL, NULL), (233955, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A04', 574, 1, 2024, 2, 29, '2024-08-05 16:54:24', NULL, NULL), (233956, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 1071, 8, 2024, 2, 29, '2024-08-05 16:54:24', NULL, NULL), (233957, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 24, 1, 2024, 2, 29, '2024-08-05 16:54:25', NULL, NULL), (233958, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 954, 9, 2024, 2, 29, '2024-08-05 16:54:25', NULL, NULL), (233959, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 574, 1, 2024, 2, 29, '2024-08-05 16:54:25', NULL, NULL), (233960, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 879, 4, 2024, 2, 29, '2024-08-05 16:54:25', NULL, NULL), (233961, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 1071, 8, 2024, 2, 29, '2024-08-05 16:54:25', NULL, NULL), (233962, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 24, 1, 2024, 2, 29, '2024-08-05 16:54:25', NULL, NULL), (233963, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A04', 574, 1, 2024, 2, 29, '2024-08-05 16:54:25', NULL, NULL), (233964, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 879, 4, 2024, 2, 29, '2024-08-05 16:54:25', NULL, NULL), (233965, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A04', 574, 1, 2024, 2, 29, '2024-08-05 16:54:25', NULL, NULL), (233966, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 1071, 8, 2024, 2, 29, '2024-08-05 16:54:25', NULL, NULL), (233967, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 24, 1, 2024, 2, 29, '2024-08-05 16:54:25', NULL, NULL), (233968, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 879, 4, 2024, 2, 29, '2024-08-05 16:54:25', NULL, NULL), (233969, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 879, 4, 2024, 2, 29, '2024-08-05 16:54:25', NULL, NULL), (233970, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A04', 574, 1, 2024, 2, 29, '2024-08-05 16:54:25', NULL, NULL), (233971, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 24, 1, 2024, 2, 29, '2024-08-05 16:54:25', NULL, NULL), (233972, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 1071, 8, 2024, 2, 29, '2024-08-05 16:54:25', NULL, NULL), (233973, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 207, 8, 2024, 3, 1, '2024-08-05 16:54:26', NULL, NULL), (233974, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 165, 10, 2024, 3, 1, '2024-08-05 16:54:26', NULL, NULL), (233975, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 3, 1, '2024-08-05 16:54:26', NULL, NULL), (233976, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 207, 8, 2024, 3, 1, '2024-08-05 16:54:26', NULL, NULL), (233977, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 1, 2024, 3, 1, '2024-08-05 16:54:26', NULL, NULL), (233978, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 12, 4, 2024, 3, 1, '2024-08-05 16:54:26', NULL, NULL), (233979, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 402, 4, 2024, 3, 1, '2024-08-05 16:54:26', NULL, NULL), (233980, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 207, 8, 2024, 3, 1, '2024-08-05 16:54:26', NULL, NULL), (233981, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 12, 4, 2024, 3, 1, '2024-08-05 16:54:26', NULL, NULL), (233982, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 402, 4, 2024, 3, 1, '2024-08-05 16:54:26', NULL, NULL), (233983, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 12, 4, 2024, 3, 1, '2024-08-05 16:54:26', NULL, NULL), (233984, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 402, 4, 2024, 3, 1, '2024-08-05 16:54:26', NULL, NULL), (233985, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 402, 4, 2024, 3, 1, '2024-08-05 16:54:26', NULL, NULL), (233986, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 12, 4, 2024, 3, 1, '2024-08-05 16:54:26', NULL, NULL), (233987, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 132, 1, 2024, 3, 4, '2024-08-05 16:54:29', NULL, NULL), (233988, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 439, 22, 2024, 3, 4, '2024-08-05 16:54:29', NULL, NULL), (233989, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 5, 1, 2024, 3, 4, '2024-08-05 16:54:29', NULL, NULL), (233990, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 392, 25, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (233991, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 68, 2, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (233992, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (233993, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 439, 22, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (233994, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 132, 1, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (233995, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 5, 1, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (233996, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 327, 15, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (233997, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 679, 7, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (233998, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 439, 22, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (233999, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 132, 1, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (234000, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 5, 1, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (234001, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 327, 15, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (234002, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 679, 7, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (234003, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 5, 1, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (234004, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 132, 1, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (234005, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 5, 1, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (234006, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 327, 15, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (234007, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 132, 1, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (234008, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 679, 7, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (234009, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 132, 1, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (234010, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 5, 1, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (234011, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 679, 7, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (234012, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 327, 15, 2024, 3, 4, '2024-08-05 16:54:30', NULL, NULL), (234013, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 37, 5, 2024, 3, 5, '2024-08-05 16:54:32', NULL, NULL), (234014, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 44, 3, 2024, 3, 5, '2024-08-05 16:54:32', NULL, NULL), (234015, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 17, 18, 2024, 3, 5, '2024-08-05 16:54:32', NULL, NULL), (234016, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 40, 8, 2024, 3, 5, '2024-08-05 16:54:32', NULL, NULL), (234017, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 3, 5, '2024-08-05 16:54:32', NULL, NULL), (234018, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 0, 9, 2024, 3, 5, '2024-08-05 16:54:32', NULL, NULL), (234019, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 37, 5, 2024, 3, 5, '2024-08-05 16:54:32', NULL, NULL), (234020, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 44, 3, 2024, 3, 5, '2024-08-05 16:54:32', NULL, NULL), (234021, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 37, 5, 2024, 3, 5, '2024-08-05 16:54:32', NULL, NULL), (234022, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 44, 3, 2024, 3, 5, '2024-08-05 16:54:32', NULL, NULL), (234023, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 44, 3, 2024, 3, 5, '2024-08-05 16:54:32', NULL, NULL), (234024, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 37, 5, 2024, 3, 5, '2024-08-05 16:54:32', NULL, NULL), (234025, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 44, 3, 2024, 3, 5, '2024-08-05 16:54:33', NULL, NULL), (234026, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 37, 5, 2024, 3, 5, '2024-08-05 16:54:33', NULL, NULL), (234027, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 37, 5, 2024, 3, 5, '2024-08-05 16:54:33', NULL, NULL), (234028, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 44, 3, 2024, 3, 5, '2024-08-05 16:54:33', NULL, NULL), (234029, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 13, 4, 2024, 3, 6, '2024-08-05 16:54:37', NULL, NULL), (234030, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 212, 17, 2024, 3, 6, '2024-08-05 16:54:37', NULL, NULL), (234031, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 2, 2, 2024, 3, 6, '2024-08-05 16:54:37', NULL, NULL), (234032, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 147, 25, 2024, 3, 6, '2024-08-05 16:54:37', NULL, NULL), (234033, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 9, 6, 2024, 3, 6, '2024-08-05 16:54:37', NULL, NULL), (234034, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 3, 6, '2024-08-05 16:54:37', NULL, NULL), (234035, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 212, 17, 2024, 3, 6, '2024-08-05 16:54:37', NULL, NULL), (234036, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 1, 2024, 3, 6, '2024-08-05 16:54:37', NULL, NULL), (234037, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 13, 4, 2024, 3, 6, '2024-08-05 16:54:38', NULL, NULL), (234038, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 2, 2, 2024, 3, 6, '2024-08-05 16:54:38', NULL, NULL), (234039, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 312, 8, 2024, 3, 6, '2024-08-05 16:54:38', NULL, NULL), (234040, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 124, 9, 2024, 3, 6, '2024-08-05 16:54:38', NULL, NULL), (234041, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 212, 17, 2024, 3, 6, '2024-08-05 16:54:38', NULL, NULL), (234042, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 13, 4, 2024, 3, 6, '2024-08-05 16:54:38', NULL, NULL), (234043, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 2, 2, 2024, 3, 6, '2024-08-05 16:54:38', NULL, NULL), (234044, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 312, 8, 2024, 3, 6, '2024-08-05 16:54:38', NULL, NULL), (234045, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 124, 9, 2024, 3, 6, '2024-08-05 16:54:38', NULL, NULL), (234046, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 2, 2, 2024, 3, 6, '2024-08-05 16:54:38', NULL, NULL), (234047, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 13, 4, 2024, 3, 6, '2024-08-05 16:54:38', NULL, NULL), (234048, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 2, 2, 2024, 3, 6, '2024-08-05 16:54:39', NULL, NULL), (234049, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 312, 8, 2024, 3, 6, '2024-08-05 16:54:39', NULL, NULL), (234050, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 13, 4, 2024, 3, 6, '2024-08-05 16:54:39', NULL, NULL), (234051, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 124, 9, 2024, 3, 6, '2024-08-05 16:54:39', NULL, NULL), (234052, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 13, 4, 2024, 3, 6, '2024-08-05 16:54:39', NULL, NULL), (234053, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 2, 2, 2024, 3, 6, '2024-08-05 16:54:39', NULL, NULL), (234054, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 124, 9, 2024, 3, 6, '2024-08-05 16:54:39', NULL, NULL), (234055, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 312, 8, 2024, 3, 6, '2024-08-05 16:54:39', NULL, NULL), (234056, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 6, 1, 2024, 3, 7, '2024-08-05 16:54:43', NULL, NULL), (234057, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 2935, 18, 2024, 3, 7, '2024-08-05 16:54:43', NULL, NULL), (234058, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2781, 19, 2024, 3, 7, '2024-08-05 16:54:43', NULL, NULL), (234059, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 6, 1, 2024, 3, 7, '2024-08-05 16:54:44', NULL, NULL), (234060, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 2935, 18, 2024, 3, 7, '2024-08-05 16:54:44', NULL, NULL), (234061, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 6, 1, 2024, 3, 7, '2024-08-05 16:54:44', NULL, NULL), (234062, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 3107, 17, 2024, 3, 7, '2024-08-05 16:54:44', NULL, NULL), (234063, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 9, 1, 2024, 3, 7, '2024-08-05 16:54:44', NULL, NULL), (234064, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 2935, 18, 2024, 3, 7, '2024-08-05 16:54:44', NULL, NULL), (234065, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 6, 1, 2024, 3, 7, '2024-08-05 16:54:44', NULL, NULL), (234066, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 3107, 17, 2024, 3, 7, '2024-08-05 16:54:44', NULL, NULL), (234067, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 9, 1, 2024, 3, 7, '2024-08-05 16:54:44', NULL, NULL), (234068, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 6, 1, 2024, 3, 7, '2024-08-05 16:54:44', NULL, NULL), (234069, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 3107, 17, 2024, 3, 7, '2024-08-05 16:54:45', NULL, NULL), (234070, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 6, 1, 2024, 3, 7, '2024-08-05 16:54:45', NULL, NULL), (234071, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 9, 1, 2024, 3, 7, '2024-08-05 16:54:45', NULL, NULL), (234072, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 6, 1, 2024, 3, 7, '2024-08-05 16:54:45', NULL, NULL), (234073, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 9, 1, 2024, 3, 7, '2024-08-05 16:54:45', NULL, NULL), (234074, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 3107, 17, 2024, 3, 7, '2024-08-05 16:54:45', NULL, NULL), (234075, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 312, 3, 2024, 3, 8, '2024-08-05 16:54:47', NULL, NULL), (234076, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 165, 14, 2024, 3, 8, '2024-08-05 16:54:47', NULL, NULL), (234077, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 251, 3, 2024, 3, 8, '2024-08-05 16:54:47', NULL, NULL), (234078, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 190, 21, 2024, 3, 8, '2024-08-05 16:54:47', NULL, NULL), (234079, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 281, 6, 2024, 3, 8, '2024-08-05 16:54:47', NULL, NULL), (234080, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 165, 14, 2024, 3, 8, '2024-08-05 16:54:47', NULL, NULL), (234081, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 1, 2024, 3, 8, '2024-08-05 16:54:47', NULL, NULL), (234082, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 312, 3, 2024, 3, 8, '2024-08-05 16:54:47', NULL, NULL), (234083, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 251, 3, 2024, 3, 8, '2024-08-05 16:54:47', NULL, NULL), (234084, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 37, 10, 2024, 3, 8, '2024-08-05 16:54:47', NULL, NULL), (234085, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 485, 4, 2024, 3, 8, '2024-08-05 16:54:47', NULL, NULL), (234086, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 165, 14, 2024, 3, 8, '2024-08-05 16:54:47', NULL, NULL), (234087, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 312, 3, 2024, 3, 8, '2024-08-05 16:54:47', NULL, NULL), (234088, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 251, 3, 2024, 3, 8, '2024-08-05 16:54:47', NULL, NULL), (234089, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 37, 10, 2024, 3, 8, '2024-08-05 16:54:47', NULL, NULL), (234090, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 485, 4, 2024, 3, 8, '2024-08-05 16:54:48', NULL, NULL), (234091, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 251, 3, 2024, 3, 8, '2024-08-05 16:54:47', NULL, NULL), (234092, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 312, 3, 2024, 3, 8, '2024-08-05 16:54:48', NULL, NULL), (234093, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 251, 3, 2024, 3, 8, '2024-08-05 16:54:48', NULL, NULL), (234094, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 37, 10, 2024, 3, 8, '2024-08-05 16:54:48', NULL, NULL), (234095, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 485, 4, 2024, 3, 8, '2024-08-05 16:54:48', NULL, NULL), (234096, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 312, 3, 2024, 3, 8, '2024-08-05 16:54:48', NULL, NULL), (234097, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 312, 3, 2024, 3, 8, '2024-08-05 16:54:48', NULL, NULL), (234098, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 251, 3, 2024, 3, 8, '2024-08-05 16:54:48', NULL, NULL), (234099, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 485, 4, 2024, 3, 8, '2024-08-05 16:54:48', NULL, NULL), (234100, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 37, 10, 2024, 3, 8, '2024-08-05 16:54:48', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (234101, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 5, 1, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234102, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 813, 14, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234103, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 5, 3, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234104, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 496, 23, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234105, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 5, 4, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234106, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 2, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234107, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 711, 16, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234108, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 1, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234109, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 5, 1, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234110, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 5, 3, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234111, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 493, 7, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234112, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 1133, 7, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234113, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 813, 14, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234114, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 5, 1, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234115, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 5, 3, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234116, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 493, 7, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234117, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 1133, 7, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234118, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 5, 3, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234119, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 5, 1, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234120, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 5, 3, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234121, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 493, 7, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234122, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 5, 1, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234123, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 1133, 7, 2024, 3, 11, '2024-08-05 16:54:50', NULL, NULL), (234124, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 5, 1, 2024, 3, 11, '2024-08-05 16:54:51', NULL, NULL), (234125, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 5, 3, 2024, 3, 11, '2024-08-05 16:54:51', NULL, NULL), (234126, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 1133, 7, 2024, 3, 11, '2024-08-05 16:54:51', NULL, NULL), (234127, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 493, 7, 2024, 3, 11, '2024-08-05 16:54:51', NULL, NULL), (234128, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 1382, 6, 2024, 3, 12, '2024-08-05 16:54:51', NULL, NULL), (234129, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 6, 7, 2024, 3, 12, '2024-08-05 16:54:51', NULL, NULL), (234130, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 1539, 1, 2024, 3, 12, '2024-08-05 16:54:51', NULL, NULL), (234131, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 658, 15, 2024, 3, 12, '2024-08-05 16:54:51', NULL, NULL), (234132, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1229, 8, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234133, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 6, 7, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234134, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 1382, 6, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234135, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A13', 1539, 1, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234136, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 5, 5, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234137, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 10, 2, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234138, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 6, 7, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234139, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 1382, 6, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234140, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 1539, 1, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234141, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 5, 5, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234142, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 10, 2, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234143, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A13', 1539, 1, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234144, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 1382, 6, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234145, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A13', 1539, 1, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234146, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 5, 5, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234147, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 10, 2, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234148, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 1382, 6, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234149, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 1382, 6, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234150, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 10, 2, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234151, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 5, 5, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234152, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A13', 1539, 1, 2024, 3, 12, '2024-08-05 16:54:52', NULL, NULL), (234153, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 8320, 5, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234154, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 1271, 20, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234155, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2578, 26, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234156, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 8320, 5, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234157, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1210, 21, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234158, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 8320, 5, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234159, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 1534, 10, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234160, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 1008, 10, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234161, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 1271, 20, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234162, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 8320, 5, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234163, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 1534, 10, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234164, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 1008, 10, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234165, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 8320, 5, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234166, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 1534, 10, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234167, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 8320, 5, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234168, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 1008, 10, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234169, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 8320, 5, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234170, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 1008, 10, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234171, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 1534, 10, 2024, 3, 13, '2024-08-05 16:54:53', NULL, NULL), (234172, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 771, 2, 2024, 3, 14, '2024-08-05 16:54:54', NULL, NULL), (234173, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 419, 11, 2024, 3, 14, '2024-08-05 16:54:54', NULL, NULL), (234174, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 4, 1, 2024, 3, 14, '2024-08-05 16:54:54', NULL, NULL), (234175, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 440, 14, 2024, 3, 14, '2024-08-05 16:54:54', NULL, NULL), (234176, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 515, 3, 2024, 3, 14, '2024-08-05 16:54:54', NULL, NULL), (234177, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 419, 11, 2024, 3, 14, '2024-08-05 16:54:54', NULL, NULL), (234178, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 771, 2, 2024, 3, 14, '2024-08-05 16:54:54', NULL, NULL), (234179, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 4, 1, 2024, 3, 14, '2024-08-05 16:54:54', NULL, NULL), (234180, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 422, 8, 2024, 3, 14, '2024-08-05 16:54:54', NULL, NULL), (234181, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 411, 3, 2024, 3, 14, '2024-08-05 16:54:54', NULL, NULL), (234182, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 419, 11, 2024, 3, 14, '2024-08-05 16:54:55', NULL, NULL), (234183, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 771, 2, 2024, 3, 14, '2024-08-05 16:54:55', NULL, NULL), (234184, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 4, 1, 2024, 3, 14, '2024-08-05 16:54:55', NULL, NULL), (234185, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 422, 8, 2024, 3, 14, '2024-08-05 16:54:55', NULL, NULL), (234186, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 411, 3, 2024, 3, 14, '2024-08-05 16:54:55', NULL, NULL), (234187, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 4, 1, 2024, 3, 14, '2024-08-05 16:54:55', NULL, NULL), (234188, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 771, 2, 2024, 3, 14, '2024-08-05 16:54:55', NULL, NULL), (234189, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 4, 1, 2024, 3, 14, '2024-08-05 16:54:55', NULL, NULL), (234190, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 422, 8, 2024, 3, 14, '2024-08-05 16:54:55', NULL, NULL), (234191, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 411, 3, 2024, 3, 14, '2024-08-05 16:54:55', NULL, NULL), (234192, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 771, 2, 2024, 3, 14, '2024-08-05 16:54:55', NULL, NULL), (234193, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 771, 2, 2024, 3, 14, '2024-08-05 16:54:55', NULL, NULL), (234194, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 4, 1, 2024, 3, 14, '2024-08-05 16:54:55', NULL, NULL), (234195, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 411, 3, 2024, 3, 14, '2024-08-05 16:54:55', NULL, NULL), (234196, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 422, 8, 2024, 3, 14, '2024-08-05 16:54:55', NULL, NULL), (234197, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 504, 14, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234198, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 10140, 6, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234199, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 3086, 22, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234200, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 8691, 7, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234201, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 504, 14, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234202, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 1, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234203, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 10140, 6, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234204, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 315, 8, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234205, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 756, 6, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234206, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 504, 14, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234207, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 10140, 6, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234208, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 315, 8, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234209, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 756, 6, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234210, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 10140, 6, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234211, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 10140, 6, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234212, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 315, 8, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234213, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 756, 6, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234214, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 10140, 6, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234215, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 756, 6, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234216, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 315, 8, 2024, 3, 15, '2024-08-05 16:54:56', NULL, NULL), (234217, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 796, 2, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234218, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 372, 14, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234219, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 2684, 3, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234220, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 707, 21, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234221, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1607, 6, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234222, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 372, 14, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234223, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 1, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234224, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 796, 2, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234225, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 2684, 3, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234226, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 400, 7, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234227, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 344, 7, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234228, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 372, 14, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234229, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 796, 2, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234230, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 2684, 3, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234231, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 400, 7, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234232, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 344, 7, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234233, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 2684, 3, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234234, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 796, 2, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234235, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 2684, 3, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234236, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 400, 7, 2024, 3, 18, '2024-08-05 16:55:00', NULL, NULL), (234237, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 796, 2, 2024, 3, 18, '2024-08-05 16:54:59', NULL, NULL), (234238, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 344, 7, 2024, 3, 18, '2024-08-05 16:55:00', NULL, NULL), (234239, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 796, 2, 2024, 3, 18, '2024-08-05 16:55:00', NULL, NULL), (234240, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 2684, 3, 2024, 3, 18, '2024-08-05 16:55:00', NULL, NULL), (234241, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 344, 7, 2024, 3, 18, '2024-08-05 16:55:00', NULL, NULL), (234242, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 400, 7, 2024, 3, 18, '2024-08-05 16:55:00', NULL, NULL), (234243, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 8, 4, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234244, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 896, 13, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234245, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 615, 19, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234246, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 8, 4, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234247, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 896, 13, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234248, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 2, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234249, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 8, 4, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234250, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 360, 10, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234251, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 2683, 3, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234252, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 896, 13, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234253, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 8, 4, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234254, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 360, 10, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234255, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 2683, 3, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234256, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 8, 4, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234257, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 360, 10, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234258, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 2683, 3, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234259, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 8, 4, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234260, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 8, 4, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234261, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 2683, 3, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234262, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 360, 10, 2024, 3, 19, '2024-08-05 16:55:01', NULL, NULL), (234263, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 720, 2, 2024, 3, 20, '2024-08-05 16:55:02', NULL, NULL), (234264, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 290, 7, 2024, 3, 20, '2024-08-05 16:55:02', NULL, NULL), (234265, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 8, 3, 2024, 3, 20, '2024-08-05 16:55:02', NULL, NULL), (234266, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 291, 12, 2024, 3, 20, '2024-08-05 16:55:02', NULL, NULL), (234267, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 293, 5, 2024, 3, 20, '2024-08-05 16:55:02', NULL, NULL), (234268, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 290, 7, 2024, 3, 20, '2024-08-05 16:55:02', NULL, NULL), (234269, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 720, 2, 2024, 3, 20, '2024-08-05 16:55:02', NULL, NULL), (234270, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 8, 3, 2024, 3, 20, '2024-08-05 16:55:02', NULL, NULL), (234271, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 337, 6, 2024, 3, 20, '2024-08-05 16:55:02', NULL, NULL), (234272, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 7, 1, 2024, 3, 20, '2024-08-05 16:55:02', NULL, NULL), (234273, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 290, 7, 2024, 3, 20, '2024-08-05 16:55:02', NULL, NULL), (234274, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 720, 2, 2024, 3, 20, '2024-08-05 16:55:02', NULL, NULL), (234275, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 8, 3, 2024, 3, 20, '2024-08-05 16:55:02', NULL, NULL), (234276, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 337, 6, 2024, 3, 20, '2024-08-05 16:55:03', NULL, NULL), (234277, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 7, 1, 2024, 3, 20, '2024-08-05 16:55:03', NULL, NULL), (234278, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 8, 3, 2024, 3, 20, '2024-08-05 16:55:03', NULL, NULL), (234279, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 720, 2, 2024, 3, 20, '2024-08-05 16:55:03', NULL, NULL), (234280, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 8, 3, 2024, 3, 20, '2024-08-05 16:55:03', NULL, NULL), (234281, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 337, 6, 2024, 3, 20, '2024-08-05 16:55:03', NULL, NULL), (234282, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 720, 2, 2024, 3, 20, '2024-08-05 16:55:03', NULL, NULL), (234283, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 7, 1, 2024, 3, 20, '2024-08-05 16:55:03', NULL, NULL), (234284, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 720, 2, 2024, 3, 20, '2024-08-05 16:55:03', NULL, NULL), (234285, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 8, 3, 2024, 3, 20, '2024-08-05 16:55:03', NULL, NULL), (234286, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 7, 1, 2024, 3, 20, '2024-08-05 16:55:03', NULL, NULL), (234287, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 337, 6, 2024, 3, 20, '2024-08-05 16:55:03', NULL, NULL), (234288, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 6, 2, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234289, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 1437, 9, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234290, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 6, 4, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234291, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 763, 17, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234292, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 6, 6, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234293, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 2, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234294, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1437, 9, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234295, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 6, 2, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234296, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 6, 4, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234297, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 521, 4, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234298, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 2170, 5, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234299, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 1437, 9, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234300, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 6, 2, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234301, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 6, 4, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234302, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 521, 4, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234303, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 2170, 5, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234304, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 6, 4, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234305, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 6, 2, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234306, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 6, 4, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234307, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 521, 4, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234308, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 6, 2, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234309, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 2170, 5, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234310, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 6, 2, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234311, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 6, 4, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234312, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 2170, 5, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234313, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 521, 4, 2024, 3, 21, '2024-08-05 16:55:04', NULL, NULL), (234314, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 49, 1, 2024, 3, 22, '2024-08-05 16:55:05', NULL, NULL), (234315, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 3714, 13, 2024, 3, 22, '2024-08-05 16:55:05', NULL, NULL), (234316, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 31, 4, 2024, 3, 22, '2024-08-05 16:55:05', NULL, NULL), (234317, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2550, 19, 2024, 3, 22, '2024-08-05 16:55:05', NULL, NULL), (234318, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 35, 5, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234319, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234320, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 3714, 13, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234321, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 49, 1, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234322, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 31, 4, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234323, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 5695, 8, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234324, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 545, 5, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234325, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 3714, 13, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234326, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 49, 1, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234327, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 31, 4, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234328, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 5695, 8, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234329, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 545, 5, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234330, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 31, 4, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234331, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 49, 1, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234332, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 31, 4, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234333, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 5695, 8, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234334, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 49, 1, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234335, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 545, 5, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234336, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 49, 1, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234337, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 31, 4, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234338, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 545, 5, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234339, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 5695, 8, 2024, 3, 22, '2024-08-05 16:55:06', NULL, NULL), (234340, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 263, 8, 2024, 3, 25, '2024-08-05 16:55:09', NULL, NULL), (234341, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 897, 18, 2024, 3, 25, '2024-08-05 16:55:09', NULL, NULL), (234342, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 143, 4, 2024, 3, 25, '2024-08-05 16:55:09', NULL, NULL), (234343, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 607, 31, 2024, 3, 25, '2024-08-05 16:55:09', NULL, NULL), (234344, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 223, 12, 2024, 3, 25, '2024-08-05 16:55:09', NULL, NULL), (234345, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 897, 18, 2024, 3, 25, '2024-08-05 16:55:09', NULL, NULL), (234346, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 1, 2024, 3, 25, '2024-08-05 16:55:09', NULL, NULL), (234347, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 263, 8, 2024, 3, 25, '2024-08-05 16:55:09', NULL, NULL), (234348, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 143, 4, 2024, 3, 25, '2024-08-05 16:55:09', NULL, NULL), (234349, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 994, 14, 2024, 3, 25, '2024-08-05 16:55:09', NULL, NULL), (234350, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 558, 4, 2024, 3, 25, '2024-08-05 16:55:09', NULL, NULL), (234351, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 897, 18, 2024, 3, 25, '2024-08-05 16:55:09', NULL, NULL), (234352, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 263, 8, 2024, 3, 25, '2024-08-05 16:55:09', NULL, NULL), (234353, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 143, 4, 2024, 3, 25, '2024-08-05 16:55:09', NULL, NULL), (234354, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 994, 14, 2024, 3, 25, '2024-08-05 16:55:09', NULL, NULL), (234355, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 558, 4, 2024, 3, 25, '2024-08-05 16:55:10', NULL, NULL), (234356, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 143, 4, 2024, 3, 25, '2024-08-05 16:55:09', NULL, NULL), (234357, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 263, 8, 2024, 3, 25, '2024-08-05 16:55:10', NULL, NULL), (234358, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 143, 4, 2024, 3, 25, '2024-08-05 16:55:10', NULL, NULL), (234359, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 994, 14, 2024, 3, 25, '2024-08-05 16:55:10', NULL, NULL), (234360, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 558, 4, 2024, 3, 25, '2024-08-05 16:55:10', NULL, NULL), (234361, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 263, 8, 2024, 3, 25, '2024-08-05 16:55:10', NULL, NULL), (234362, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 263, 8, 2024, 3, 25, '2024-08-05 16:55:10', NULL, NULL), (234363, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 143, 4, 2024, 3, 25, '2024-08-05 16:55:10', NULL, NULL), (234364, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 558, 4, 2024, 3, 25, '2024-08-05 16:55:10', NULL, NULL), (234365, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 994, 14, 2024, 3, 25, '2024-08-05 16:55:10', NULL, NULL), (234366, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 2490, 16, 2024, 3, 26, '2024-08-05 16:55:11', NULL, NULL), (234367, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 73, 3, 2024, 3, 26, '2024-08-05 16:55:11', NULL, NULL), (234368, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1430, 28, 2024, 3, 26, '2024-08-05 16:55:11', NULL, NULL), (234369, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 43, 5, 2024, 3, 26, '2024-08-05 16:55:11', NULL, NULL), (234370, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1811, 22, 2024, 3, 26, '2024-08-05 16:55:11', NULL, NULL), (234371, 24, '511534000000-0001', '宜宾高新区政企服务中心', '燃气业务', '', '', '', 0, 1, 2024, 3, 26, '2024-08-05 16:55:12', NULL, NULL), (234372, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 73, 3, 2024, 3, 26, '2024-08-05 16:55:12', NULL, NULL), (234373, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 3575, 10, 2024, 3, 26, '2024-08-05 16:55:12', NULL, NULL), (234374, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 681, 6, 2024, 3, 26, '2024-08-05 16:55:12', NULL, NULL), (234375, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 2490, 16, 2024, 3, 26, '2024-08-05 16:55:12', NULL, NULL), (234376, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 73, 3, 2024, 3, 26, '2024-08-05 16:55:12', NULL, NULL), (234377, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 3575, 10, 2024, 3, 26, '2024-08-05 16:55:12', NULL, NULL), (234378, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 681, 6, 2024, 3, 26, '2024-08-05 16:55:12', NULL, NULL), (234379, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 73, 3, 2024, 3, 26, '2024-08-05 16:55:12', NULL, NULL), (234380, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 73, 3, 2024, 3, 26, '2024-08-05 16:55:12', NULL, NULL), (234381, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 3575, 10, 2024, 3, 26, '2024-08-05 16:55:12', NULL, NULL), (234382, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 681, 6, 2024, 3, 26, '2024-08-05 16:55:12', NULL, NULL), (234383, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 73, 3, 2024, 3, 26, '2024-08-05 16:55:12', NULL, NULL), (234384, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 681, 6, 2024, 3, 26, '2024-08-05 16:55:12', NULL, NULL), (234385, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 3575, 10, 2024, 3, 26, '2024-08-05 16:55:12', NULL, NULL), (234386, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 438, 3, 2024, 3, 27, '2024-08-05 16:55:15', NULL, NULL), (234387, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 1969, 16, 2024, 3, 27, '2024-08-05 16:55:15', NULL, NULL), (234388, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 1482, 4, 2024, 3, 27, '2024-08-05 16:55:15', NULL, NULL), (234389, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1291, 30, 2024, 3, 27, '2024-08-05 16:55:16', NULL, NULL), (234390, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1035, 7, 2024, 3, 27, '2024-08-05 16:55:16', NULL, NULL), (234391, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1369, 23, 2024, 3, 27, '2024-08-05 16:55:16', NULL, NULL), (234392, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 438, 3, 2024, 3, 27, '2024-08-05 16:55:16', NULL, NULL), (234393, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 1482, 4, 2024, 3, 27, '2024-08-05 16:55:16', NULL, NULL), (234394, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 1969, 16, 2024, 3, 27, '2024-08-05 16:55:16', NULL, NULL), (234395, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 1969, 16, 2024, 3, 27, '2024-08-05 16:55:16', NULL, NULL), (234396, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 438, 3, 2024, 3, 27, '2024-08-05 16:55:16', NULL, NULL), (234397, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 1482, 4, 2024, 3, 27, '2024-08-05 16:55:16', NULL, NULL), (234398, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 1969, 16, 2024, 3, 27, '2024-08-05 16:55:17', NULL, NULL), (234399, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 1482, 4, 2024, 3, 27, '2024-08-05 16:55:17', NULL, NULL), (234400, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 438, 3, 2024, 3, 27, '2024-08-05 16:55:17', NULL, NULL), (234401, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 1482, 4, 2024, 3, 27, '2024-08-05 16:55:17', NULL, NULL), (234402, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 1969, 16, 2024, 3, 27, '2024-08-05 16:55:17', NULL, NULL), (234403, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 438, 3, 2024, 3, 27, '2024-08-05 16:55:17', NULL, NULL), (234404, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 438, 3, 2024, 3, 27, '2024-08-05 16:55:17', NULL, NULL), (234405, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 1482, 4, 2024, 3, 27, '2024-08-05 16:55:18', NULL, NULL), (234406, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 1969, 16, 2024, 3, 27, '2024-08-05 16:55:17', NULL, NULL), (234407, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 63, 1, 2024, 3, 28, '2024-08-05 16:55:21', NULL, NULL), (234408, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 753, 16, 2024, 3, 28, '2024-08-05 16:55:22', NULL, NULL), (234409, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 2577, 3, 2024, 3, 28, '2024-08-05 16:55:21', NULL, NULL), (234410, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 827, 24, 2024, 3, 28, '2024-08-05 16:55:22', NULL, NULL), (234411, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1113, 7, 2024, 3, 28, '2024-08-05 16:55:22', NULL, NULL), (234412, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 753, 16, 2024, 3, 28, '2024-08-05 16:55:22', NULL, NULL), (234413, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 1, 2024, 3, 28, '2024-08-05 16:55:22', NULL, NULL), (234414, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 63, 1, 2024, 3, 28, '2024-08-05 16:55:22', NULL, NULL), (234415, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 2577, 3, 2024, 3, 28, '2024-08-05 16:55:22', NULL, NULL), (234416, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 753, 16, 2024, 3, 28, '2024-08-05 16:55:22', NULL, NULL), (234417, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 753, 16, 2024, 3, 28, '2024-08-05 16:55:23', NULL, NULL), (234418, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 63, 1, 2024, 3, 28, '2024-08-05 16:55:23', NULL, NULL), (234419, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 2577, 3, 2024, 3, 28, '2024-08-05 16:55:23', NULL, NULL), (234420, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 753, 16, 2024, 3, 28, '2024-08-05 16:55:23', NULL, NULL), (234421, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 2577, 3, 2024, 3, 28, '2024-08-05 16:55:23', NULL, NULL), (234422, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 63, 1, 2024, 3, 28, '2024-08-05 16:55:23', NULL, NULL), (234423, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 2577, 3, 2024, 3, 28, '2024-08-05 16:55:23', NULL, NULL), (234424, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 753, 16, 2024, 3, 28, '2024-08-05 16:55:23', NULL, NULL), (234425, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 63, 1, 2024, 3, 28, '2024-08-05 16:55:23', NULL, NULL), (234426, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 63, 1, 2024, 3, 28, '2024-08-05 16:55:24', NULL, NULL), (234427, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 2577, 3, 2024, 3, 28, '2024-08-05 16:55:24', NULL, NULL), (234428, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 753, 16, 2024, 3, 28, '2024-08-05 16:55:24', NULL, NULL), (234429, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 10256, 9, 2024, 3, 29, '2024-08-05 16:55:26', NULL, NULL), (234430, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 77, 1, 2024, 3, 29, '2024-08-05 16:55:26', NULL, NULL), (234431, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 9238, 10, 2024, 3, 29, '2024-08-05 16:55:26', NULL, NULL), (234432, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 77, 1, 2024, 3, 29, '2024-08-05 16:55:26', NULL, NULL), (234433, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 10256, 9, 2024, 3, 29, '2024-08-05 16:55:26', NULL, NULL), (234434, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 77, 1, 2024, 3, 29, '2024-08-05 16:55:26', NULL, NULL), (234435, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 10256, 9, 2024, 3, 29, '2024-08-05 16:55:26', NULL, NULL), (234436, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 10256, 9, 2024, 3, 29, '2024-08-05 16:55:26', NULL, NULL), (234437, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 77, 1, 2024, 3, 29, '2024-08-05 16:55:26', NULL, NULL), (234438, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 10256, 9, 2024, 3, 29, '2024-08-05 16:55:26', NULL, NULL), (234439, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 77, 1, 2024, 3, 29, '2024-08-05 16:55:26', NULL, NULL), (234440, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 77, 1, 2024, 3, 29, '2024-08-05 16:55:26', NULL, NULL), (234441, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 10256, 9, 2024, 3, 29, '2024-08-05 16:55:26', NULL, NULL), (234442, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 77, 1, 2024, 3, 29, '2024-08-05 16:55:26', NULL, NULL), (234443, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 10256, 9, 2024, 3, 29, '2024-08-05 16:55:26', NULL, NULL), (234444, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 5400, 5, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234445, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 1497, 9, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234446, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2698, 15, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234447, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 5400, 5, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234448, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1347, 10, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234449, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 5400, 5, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234450, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 1595, 4, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234451, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 1419, 5, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234452, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 1497, 9, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234453, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 5400, 5, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234454, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 1595, 4, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234455, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 1419, 5, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234456, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 5400, 5, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234457, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 1595, 4, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234458, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 5400, 5, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234459, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 1419, 5, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234460, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 5400, 5, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234461, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 1419, 5, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234462, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 1595, 4, 2024, 4, 2, '2024-08-05 16:55:30', NULL, NULL), (234463, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 3574, 4, 2024, 4, 3, '2024-08-05 16:55:31', NULL, NULL), (234464, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 3974, 6, 2024, 4, 3, '2024-08-05 16:55:31', NULL, NULL), (234465, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 3814, 10, 2024, 4, 3, '2024-08-05 16:55:31', NULL, NULL), (234466, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 3974, 6, 2024, 4, 3, '2024-08-05 16:55:31', NULL, NULL), (234467, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 3574, 4, 2024, 4, 3, '2024-08-05 16:55:31', NULL, NULL), (234468, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 3974, 6, 2024, 4, 3, '2024-08-05 16:55:31', NULL, NULL), (234469, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 3574, 4, 2024, 4, 3, '2024-08-05 16:55:31', NULL, NULL), (234470, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 3574, 4, 2024, 4, 3, '2024-08-05 16:55:31', NULL, NULL), (234471, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 3974, 6, 2024, 4, 3, '2024-08-05 16:55:31', NULL, NULL), (234472, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 3574, 4, 2024, 4, 3, '2024-08-05 16:55:31', NULL, NULL), (234473, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 3974, 6, 2024, 4, 3, '2024-08-05 16:55:31', NULL, NULL), (234474, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 3974, 6, 2024, 4, 3, '2024-08-05 16:55:31', NULL, NULL), (234475, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 3574, 4, 2024, 4, 3, '2024-08-05 16:55:31', NULL, NULL), (234476, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 3974, 6, 2024, 4, 3, '2024-08-05 16:55:31', NULL, NULL), (234477, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 3574, 4, 2024, 4, 3, '2024-08-05 16:55:31', NULL, NULL), (234478, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 1006, 2, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234479, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 154, 7, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234480, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 3810, 3, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234481, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1210, 12, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234482, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 2688, 5, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234483, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 154, 7, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234484, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 1006, 2, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234485, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 3810, 3, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234486, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 55, 5, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234487, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 401, 2, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234488, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 154, 7, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234489, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 1006, 2, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234490, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 3810, 3, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234491, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 55, 5, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234492, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 401, 2, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234493, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 3810, 3, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234494, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 1006, 2, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234495, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 3810, 3, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234496, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 55, 5, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234497, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 1006, 2, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234498, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 401, 2, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234499, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 1006, 2, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234500, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 3810, 3, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234501, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 401, 2, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (234502, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 55, 5, 2024, 4, 7, '2024-08-05 16:55:35', NULL, NULL), (234503, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 1126, 3, 2024, 4, 8, '2024-08-05 16:55:36', NULL, NULL), (234504, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 3442, 5, 2024, 4, 8, '2024-08-05 16:55:36', NULL, NULL), (234505, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 2, 1, 2024, 4, 8, '2024-08-05 16:55:36', NULL, NULL), (234506, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1716, 12, 2024, 4, 8, '2024-08-05 16:55:36', NULL, NULL), (234507, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 676, 5, 2024, 4, 8, '2024-08-05 16:55:36', NULL, NULL), (234508, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 4, 8, '2024-08-05 16:55:36', NULL, NULL), (234509, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 2869, 6, 2024, 4, 8, '2024-08-05 16:55:36', NULL, NULL), (234510, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 1126, 3, 2024, 4, 8, '2024-08-05 16:55:36', NULL, NULL), (234511, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 2, 1, 2024, 4, 8, '2024-08-05 16:55:36', NULL, NULL), (234512, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 3442, 5, 2024, 4, 8, '2024-08-05 16:55:36', NULL, NULL), (234513, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 3442, 5, 2024, 4, 8, '2024-08-05 16:55:36', NULL, NULL), (234514, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 1126, 3, 2024, 4, 8, '2024-08-05 16:55:36', NULL, NULL), (234515, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 2, 1, 2024, 4, 8, '2024-08-05 16:55:36', NULL, NULL), (234516, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 3442, 5, 2024, 4, 8, '2024-08-05 16:55:37', NULL, NULL), (234517, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 2, 1, 2024, 4, 8, '2024-08-05 16:55:37', NULL, NULL), (234518, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 1126, 3, 2024, 4, 8, '2024-08-05 16:55:37', NULL, NULL), (234519, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 2, 1, 2024, 4, 8, '2024-08-05 16:55:37', NULL, NULL), (234520, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 3442, 5, 2024, 4, 8, '2024-08-05 16:55:37', NULL, NULL), (234521, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 1126, 3, 2024, 4, 8, '2024-08-05 16:55:37', NULL, NULL), (234522, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 1126, 3, 2024, 4, 8, '2024-08-05 16:55:37', NULL, NULL), (234523, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 2, 1, 2024, 4, 8, '2024-08-05 16:55:37', NULL, NULL), (234524, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 3442, 5, 2024, 4, 8, '2024-08-05 16:55:37', NULL, NULL), (234525, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 984, 3, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234526, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 996, 15, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234527, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 3, 1, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234528, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 852, 21, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234529, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 738, 4, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234530, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 996, 15, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234531, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 2, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234532, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A10', 2943, 1, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234533, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 4, 2, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234534, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 3, 1, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234535, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 996, 15, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234536, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 996, 15, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234537, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 984, 3, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234538, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 3, 1, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234539, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 996, 15, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234540, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 3, 1, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234541, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A10', 2943, 1, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234542, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 4, 2, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234543, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 3, 1, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234544, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 996, 15, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234545, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 4, 2, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234546, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A10', 2943, 1, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234547, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 4, 2, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234548, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A10', 2943, 1, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234549, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 3, 1, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234550, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 996, 15, 2024, 4, 9, '2024-08-05 16:55:38', NULL, NULL), (234551, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 1449, 7, 2024, 4, 10, '2024-08-05 16:55:39', NULL, NULL), (234552, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 1069, 4, 2024, 4, 10, '2024-08-05 16:55:39', NULL, NULL), (234553, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 848, 17, 2024, 4, 10, '2024-08-05 16:55:39', NULL, NULL), (234554, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 534, 8, 2024, 4, 10, '2024-08-05 16:55:39', NULL, NULL), (234555, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1449, 7, 2024, 4, 10, '2024-08-05 16:55:39', NULL, NULL), (234556, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 2, 2024, 4, 10, '2024-08-05 16:55:40', NULL, NULL), (234557, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 1069, 4, 2024, 4, 10, '2024-08-05 16:55:40', NULL, NULL), (234558, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 1449, 7, 2024, 4, 10, '2024-08-05 16:55:40', NULL, NULL), (234559, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 1449, 7, 2024, 4, 10, '2024-08-05 16:55:40', NULL, NULL), (234560, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 1069, 4, 2024, 4, 10, '2024-08-05 16:55:40', NULL, NULL), (234561, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 1449, 7, 2024, 4, 10, '2024-08-05 16:55:40', NULL, NULL), (234562, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 1069, 4, 2024, 4, 10, '2024-08-05 16:55:40', NULL, NULL), (234563, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 1069, 4, 2024, 4, 10, '2024-08-05 16:55:40', NULL, NULL), (234564, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 1449, 7, 2024, 4, 10, '2024-08-05 16:55:40', NULL, NULL), (234565, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 1069, 4, 2024, 4, 10, '2024-08-05 16:55:40', NULL, NULL), (234566, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 1449, 7, 2024, 4, 10, '2024-08-05 16:55:40', NULL, NULL), (234567, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 5332, 8, 2024, 4, 11, '2024-08-05 16:55:41', NULL, NULL), (234568, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 2940, 2, 2024, 4, 11, '2024-08-05 16:55:41', NULL, NULL), (234569, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 3236, 15, 2024, 4, 11, '2024-08-05 16:55:41', NULL, NULL), (234570, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1960, 3, 2024, 4, 11, '2024-08-05 16:55:41', NULL, NULL), (234571, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 4, 11, '2024-08-05 16:55:41', NULL, NULL), (234572, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 3878, 11, 2024, 4, 11, '2024-08-05 16:55:41', NULL, NULL), (234573, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 2940, 2, 2024, 4, 11, '2024-08-05 16:55:41', NULL, NULL), (234574, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 5332, 8, 2024, 4, 11, '2024-08-05 16:55:41', NULL, NULL), (234575, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 5332, 8, 2024, 4, 11, '2024-08-05 16:55:41', NULL, NULL), (234576, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 2940, 2, 2024, 4, 11, '2024-08-05 16:55:41', NULL, NULL), (234577, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 5332, 8, 2024, 4, 11, '2024-08-05 16:55:41', NULL, NULL), (234578, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 2940, 2, 2024, 4, 11, '2024-08-05 16:55:41', NULL, NULL), (234579, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 2940, 2, 2024, 4, 11, '2024-08-05 16:55:41', NULL, NULL), (234580, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 5332, 8, 2024, 4, 11, '2024-08-05 16:55:41', NULL, NULL), (234581, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 2940, 2, 2024, 4, 11, '2024-08-05 16:55:41', NULL, NULL), (234582, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 5332, 8, 2024, 4, 11, '2024-08-05 16:55:41', NULL, NULL), (234583, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 669, 1, 2024, 4, 12, '2024-08-05 16:55:42', NULL, NULL), (234584, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 2063, 14, 2024, 4, 12, '2024-08-05 16:55:42', NULL, NULL), (234585, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 12350, 2, 2024, 4, 12, '2024-08-05 16:55:42', NULL, NULL), (234586, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2713, 20, 2024, 4, 12, '2024-08-05 16:55:42', NULL, NULL), (234587, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 5074, 5, 2024, 4, 12, '2024-08-05 16:55:42', NULL, NULL), (234588, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 2063, 14, 2024, 4, 12, '2024-08-05 16:55:42', NULL, NULL), (234589, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 1, 2024, 4, 12, '2024-08-05 16:55:42', NULL, NULL), (234590, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A10', 669, 1, 2024, 4, 12, '2024-08-05 16:55:42', NULL, NULL), (234591, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 12350, 2, 2024, 4, 12, '2024-08-05 16:55:42', NULL, NULL), (234592, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 2063, 14, 2024, 4, 12, '2024-08-05 16:55:42', NULL, NULL), (234593, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 2063, 14, 2024, 4, 12, '2024-08-05 16:55:42', NULL, NULL), (234594, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 669, 1, 2024, 4, 12, '2024-08-05 16:55:42', NULL, NULL), (234595, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 12350, 2, 2024, 4, 12, '2024-08-05 16:55:42', NULL, NULL), (234596, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 2063, 14, 2024, 4, 12, '2024-08-05 16:55:43', NULL, NULL), (234597, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 12350, 2, 2024, 4, 12, '2024-08-05 16:55:43', NULL, NULL), (234598, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A10', 669, 1, 2024, 4, 12, '2024-08-05 16:55:43', NULL, NULL), (234599, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 12350, 2, 2024, 4, 12, '2024-08-05 16:55:43', NULL, NULL), (234600, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 2063, 14, 2024, 4, 12, '2024-08-05 16:55:43', NULL, NULL), (234601, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A10', 669, 1, 2024, 4, 12, '2024-08-05 16:55:43', NULL, NULL), (234602, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 12350, 2, 2024, 4, 12, '2024-08-05 16:55:43', NULL, NULL), (234603, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A10', 669, 1, 2024, 4, 12, '2024-08-05 16:55:43', NULL, NULL), (234604, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 2063, 14, 2024, 4, 12, '2024-08-05 16:55:43', NULL, NULL), (234605, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 948, 3, 2024, 4, 15, '2024-08-05 16:55:45', NULL, NULL), (234606, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 2669, 6, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234607, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 202, 5, 2024, 4, 15, '2024-08-05 16:55:45', NULL, NULL), (234608, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1104, 18, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234609, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 482, 8, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234610, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1601, 10, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234611, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 948, 3, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234612, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 202, 5, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234613, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 2669, 6, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234614, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 2669, 6, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234615, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 948, 3, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234616, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 202, 5, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234617, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 2669, 6, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234618, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 202, 5, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234619, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 948, 3, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234620, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 202, 5, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234621, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 2669, 6, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234622, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 948, 3, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234623, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 948, 3, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234624, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 202, 5, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234625, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 2669, 6, 2024, 4, 15, '2024-08-05 16:55:46', NULL, NULL), (234626, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 1627, 5, 2024, 4, 16, '2024-08-05 16:55:47', NULL, NULL), (234627, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 5002, 8, 2024, 4, 16, '2024-08-05 16:55:47', NULL, NULL), (234628, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 1014, 4, 2024, 4, 16, '2024-08-05 16:55:47', NULL, NULL), (234629, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2373, 22, 2024, 4, 16, '2024-08-05 16:55:47', NULL, NULL), (234630, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1108, 11, 2024, 4, 16, '2024-08-05 16:55:47', NULL, NULL), (234631, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 4002, 10, 2024, 4, 16, '2024-08-05 16:55:47', NULL, NULL), (234632, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 1, 2024, 4, 16, '2024-08-05 16:55:47', NULL, NULL), (234633, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 1627, 5, 2024, 4, 16, '2024-08-05 16:55:47', NULL, NULL), (234634, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 1014, 4, 2024, 4, 16, '2024-08-05 16:55:47', NULL, NULL), (234635, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 5002, 8, 2024, 4, 16, '2024-08-05 16:55:47', NULL, NULL), (234636, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 5002, 8, 2024, 4, 16, '2024-08-05 16:55:48', NULL, NULL), (234637, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 1627, 5, 2024, 4, 16, '2024-08-05 16:55:48', NULL, NULL), (234638, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 1014, 4, 2024, 4, 16, '2024-08-05 16:55:48', NULL, NULL), (234639, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 5002, 8, 2024, 4, 16, '2024-08-05 16:55:48', NULL, NULL), (234640, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 1014, 4, 2024, 4, 16, '2024-08-05 16:55:48', NULL, NULL), (234641, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 1627, 5, 2024, 4, 16, '2024-08-05 16:55:48', NULL, NULL), (234642, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 1014, 4, 2024, 4, 16, '2024-08-05 16:55:48', NULL, NULL), (234643, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 5002, 8, 2024, 4, 16, '2024-08-05 16:55:48', NULL, NULL), (234644, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 1627, 5, 2024, 4, 16, '2024-08-05 16:55:48', NULL, NULL), (234645, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 1627, 5, 2024, 4, 16, '2024-08-05 16:55:48', NULL, NULL), (234646, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 1014, 4, 2024, 4, 16, '2024-08-05 16:55:48', NULL, NULL), (234647, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 5002, 8, 2024, 4, 16, '2024-08-05 16:55:48', NULL, NULL), (234648, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 2759, 6, 2024, 4, 17, '2024-08-05 16:55:49', NULL, NULL), (234649, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 404, 8, 2024, 4, 17, '2024-08-05 16:55:49', NULL, NULL), (234650, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 810, 8, 2024, 4, 17, '2024-08-05 16:55:49', NULL, NULL), (234651, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 973, 27, 2024, 4, 17, '2024-08-05 16:55:49', NULL, NULL), (234652, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1230, 18, 2024, 4, 17, '2024-08-05 16:55:49', NULL, NULL), (234653, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 886, 1, 2024, 4, 17, '2024-08-05 16:55:49', NULL, NULL), (234654, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 404, 8, 2024, 4, 17, '2024-08-05 16:55:49', NULL, NULL), (234655, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 3134, 5, 2024, 4, 17, '2024-08-05 16:55:49', NULL, NULL), (234656, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 810, 8, 2024, 4, 17, '2024-08-05 16:55:49', NULL, NULL), (234657, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A04', 886, 1, 2024, 4, 17, '2024-08-05 16:55:49', NULL, NULL), (234658, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 404, 8, 2024, 4, 17, '2024-08-05 16:55:49', NULL, NULL), (234659, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 404, 8, 2024, 4, 17, '2024-08-05 16:55:49', NULL, NULL), (234660, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 886, 1, 2024, 4, 17, '2024-08-05 16:55:49', NULL, NULL), (234661, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 3134, 5, 2024, 4, 17, '2024-08-05 16:55:49', NULL, NULL), (234662, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 810, 8, 2024, 4, 17, '2024-08-05 16:55:49', NULL, NULL), (234663, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 404, 8, 2024, 4, 17, '2024-08-05 16:55:50', NULL, NULL), (234664, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A04', 886, 1, 2024, 4, 17, '2024-08-05 16:55:50', NULL, NULL), (234665, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 810, 8, 2024, 4, 17, '2024-08-05 16:55:50', NULL, NULL), (234666, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 3134, 5, 2024, 4, 17, '2024-08-05 16:55:50', NULL, NULL), (234667, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A04', 886, 1, 2024, 4, 17, '2024-08-05 16:55:50', NULL, NULL), (234668, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 810, 8, 2024, 4, 17, '2024-08-05 16:55:50', NULL, NULL), (234669, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 404, 8, 2024, 4, 17, '2024-08-05 16:55:50', NULL, NULL), (234670, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 3134, 5, 2024, 4, 17, '2024-08-05 16:55:50', NULL, NULL), (234671, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 3134, 5, 2024, 4, 17, '2024-08-05 16:55:50', NULL, NULL), (234672, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 810, 8, 2024, 4, 17, '2024-08-05 16:55:50', NULL, NULL), (234673, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A04', 886, 1, 2024, 4, 17, '2024-08-05 16:55:50', NULL, NULL), (234674, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 404, 8, 2024, 4, 17, '2024-08-05 16:55:50', NULL, NULL), (234675, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 3745, 5, 2024, 4, 18, '2024-08-05 16:55:51', NULL, NULL), (234676, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 667, 8, 2024, 4, 18, '2024-08-05 16:55:51', NULL, NULL), (234677, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 17479, 3, 2024, 4, 18, '2024-08-05 16:55:51', NULL, NULL), (234678, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 4500, 17, 2024, 4, 18, '2024-08-05 16:55:51', NULL, NULL), (234679, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 8895, 8, 2024, 4, 18, '2024-08-05 16:55:52', NULL, NULL), (234680, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 4, 18, '2024-08-05 16:55:52', NULL, NULL), (234681, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 667, 8, 2024, 4, 18, '2024-08-05 16:55:52', NULL, NULL), (234682, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 3745, 5, 2024, 4, 18, '2024-08-05 16:55:52', NULL, NULL), (234683, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 17479, 3, 2024, 4, 18, '2024-08-05 16:55:52', NULL, NULL), (234684, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 6, 3, 2024, 4, 18, '2024-08-05 16:55:52', NULL, NULL), (234685, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 1064, 5, 2024, 4, 18, '2024-08-05 16:55:52', NULL, NULL), (234686, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 667, 8, 2024, 4, 18, '2024-08-05 16:55:52', NULL, NULL), (234687, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 3745, 5, 2024, 4, 18, '2024-08-05 16:55:52', NULL, NULL), (234688, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 17479, 3, 2024, 4, 18, '2024-08-05 16:55:52', NULL, NULL), (234689, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 6, 3, 2024, 4, 18, '2024-08-05 16:55:52', NULL, NULL), (234690, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 1064, 5, 2024, 4, 18, '2024-08-05 16:55:53', NULL, NULL), (234691, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 17479, 3, 2024, 4, 18, '2024-08-05 16:55:52', NULL, NULL), (234692, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 3745, 5, 2024, 4, 18, '2024-08-05 16:55:53', NULL, NULL), (234693, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 17479, 3, 2024, 4, 18, '2024-08-05 16:55:53', NULL, NULL), (234694, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 6, 3, 2024, 4, 18, '2024-08-05 16:55:53', NULL, NULL), (234695, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 1064, 5, 2024, 4, 18, '2024-08-05 16:55:53', NULL, NULL), (234696, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 3745, 5, 2024, 4, 18, '2024-08-05 16:55:53', NULL, NULL), (234697, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 3745, 5, 2024, 4, 18, '2024-08-05 16:55:53', NULL, NULL), (234698, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 17479, 3, 2024, 4, 18, '2024-08-05 16:55:53', NULL, NULL), (234699, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 1064, 5, 2024, 4, 18, '2024-08-05 16:55:53', NULL, NULL), (234700, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 6, 3, 2024, 4, 18, '2024-08-05 16:55:53', NULL, NULL), (234701, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 19819, 1, 2024, 4, 19, '2024-08-05 16:55:57', NULL, NULL), (234702, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 709, 7, 2024, 4, 19, '2024-08-05 16:55:57', NULL, NULL), (234703, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1180, 21, 2024, 4, 19, '2024-08-05 16:55:57', NULL, NULL), (234704, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 2202, 9, 2024, 4, 19, '2024-08-05 16:55:58', NULL, NULL), (234705, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 4, 19, '2024-08-05 16:55:58', NULL, NULL), (234706, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 451, 11, 2024, 4, 19, '2024-08-05 16:55:58', NULL, NULL), (234707, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A10', 19819, 1, 2024, 4, 19, '2024-08-05 16:55:58', NULL, NULL), (234708, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 894, 5, 2024, 4, 19, '2024-08-05 16:55:58', NULL, NULL), (234709, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 247, 2, 2024, 4, 19, '2024-08-05 16:55:58', NULL, NULL), (234710, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 709, 7, 2024, 4, 19, '2024-08-05 16:55:58', NULL, NULL), (234711, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 19819, 1, 2024, 4, 19, '2024-08-05 16:55:58', NULL, NULL), (234712, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 894, 5, 2024, 4, 19, '2024-08-05 16:55:59', NULL, NULL), (234713, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 247, 2, 2024, 4, 19, '2024-08-05 16:55:59', NULL, NULL), (234714, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A10', 19819, 1, 2024, 4, 19, '2024-08-05 16:55:59', NULL, NULL), (234715, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 894, 5, 2024, 4, 19, '2024-08-05 16:55:59', NULL, NULL), (234716, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 247, 2, 2024, 4, 19, '2024-08-05 16:55:59', NULL, NULL), (234717, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A10', 19819, 1, 2024, 4, 19, '2024-08-05 16:55:59', NULL, NULL), (234718, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A10', 19819, 1, 2024, 4, 19, '2024-08-05 16:55:59', NULL, NULL), (234719, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 247, 2, 2024, 4, 19, '2024-08-05 16:55:59', NULL, NULL), (234720, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 894, 5, 2024, 4, 19, '2024-08-05 16:55:59', NULL, NULL), (234721, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 885, 8, 2024, 4, 22, '2024-08-05 16:56:07', NULL, NULL), (234722, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 505, 14, 2024, 4, 22, '2024-08-05 16:56:07', NULL, NULL), (234723, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 0, 4, 2024, 4, 22, '2024-08-05 16:56:07', NULL, NULL), (234724, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 4, 22, '2024-08-05 16:56:07', NULL, NULL), (234725, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 786, 9, 2024, 4, 22, '2024-08-05 16:56:07', NULL, NULL), (234726, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 329, 5, 2024, 4, 22, '2024-08-05 16:56:07', NULL, NULL), (234727, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 1812, 3, 2024, 4, 22, '2024-08-05 16:56:07', NULL, NULL), (234728, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 885, 8, 2024, 4, 22, '2024-08-05 16:56:07', NULL, NULL), (234729, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 329, 5, 2024, 4, 22, '2024-08-05 16:56:07', NULL, NULL), (234730, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 1812, 3, 2024, 4, 22, '2024-08-05 16:56:07', NULL, NULL), (234731, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 329, 5, 2024, 4, 22, '2024-08-05 16:56:07', NULL, NULL), (234732, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 1812, 3, 2024, 4, 22, '2024-08-05 16:56:07', NULL, NULL), (234733, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 1812, 3, 2024, 4, 22, '2024-08-05 16:56:07', NULL, NULL), (234734, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 329, 5, 2024, 4, 22, '2024-08-05 16:56:07', NULL, NULL), (234735, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 1133, 1, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234736, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 394, 7, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234737, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 3903, 8, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234738, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2066, 17, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234739, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 3903, 8, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234740, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 566, 2, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234741, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 394, 7, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234742, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 3903, 8, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234743, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A05', 1133, 1, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234744, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 546, 5, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234745, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 15, 2, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234746, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 394, 7, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234747, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 1133, 1, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234748, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 3903, 8, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234749, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 546, 5, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234750, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 15, 2, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234751, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A05', 1133, 1, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234752, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 3903, 8, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234753, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A05', 1133, 1, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234754, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 3903, 8, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234755, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 546, 5, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234756, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 15, 2, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234757, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 3903, 8, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234758, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 15, 2, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234759, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A05', 1133, 1, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234760, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 546, 5, 2024, 4, 23, '2024-08-05 16:56:08', NULL, NULL), (234761, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 6713, 4, 2024, 4, 24, '2024-08-05 16:56:09', NULL, NULL), (234762, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 475, 14, 2024, 4, 24, '2024-08-05 16:56:09', NULL, NULL), (234763, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 17933, 2, 2024, 4, 24, '2024-08-05 16:56:09', NULL, NULL), (234764, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 3303, 21, 2024, 4, 24, '2024-08-05 16:56:09', NULL, NULL), (234765, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 8959, 7, 2024, 4, 24, '2024-08-05 16:56:09', NULL, NULL), (234766, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 475, 14, 2024, 4, 24, '2024-08-05 16:56:09', NULL, NULL), (234767, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 6713, 4, 2024, 4, 24, '2024-08-05 16:56:09', NULL, NULL), (234768, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 17933, 2, 2024, 4, 24, '2024-08-05 16:56:10', NULL, NULL), (234769, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 310, 7, 2024, 4, 24, '2024-08-05 16:56:09', NULL, NULL), (234770, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 640, 7, 2024, 4, 24, '2024-08-05 16:56:10', NULL, NULL), (234771, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 475, 14, 2024, 4, 24, '2024-08-05 16:56:10', NULL, NULL), (234772, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 6713, 4, 2024, 4, 24, '2024-08-05 16:56:10', NULL, NULL), (234773, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 17933, 2, 2024, 4, 24, '2024-08-05 16:56:10', NULL, NULL), (234774, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 310, 7, 2024, 4, 24, '2024-08-05 16:56:10', NULL, NULL), (234775, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 640, 7, 2024, 4, 24, '2024-08-05 16:56:10', NULL, NULL), (234776, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 17933, 2, 2024, 4, 24, '2024-08-05 16:56:10', NULL, NULL), (234777, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 6713, 4, 2024, 4, 24, '2024-08-05 16:56:10', NULL, NULL), (234778, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 17933, 2, 2024, 4, 24, '2024-08-05 16:56:10', NULL, NULL), (234779, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 310, 7, 2024, 4, 24, '2024-08-05 16:56:10', NULL, NULL), (234780, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 6713, 4, 2024, 4, 24, '2024-08-05 16:56:10', NULL, NULL), (234781, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 640, 7, 2024, 4, 24, '2024-08-05 16:56:10', NULL, NULL), (234782, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 6713, 4, 2024, 4, 24, '2024-08-05 16:56:10', NULL, NULL), (234783, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 17933, 2, 2024, 4, 24, '2024-08-05 16:56:10', NULL, NULL), (234784, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 640, 7, 2024, 4, 24, '2024-08-05 16:56:10', NULL, NULL), (234785, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 310, 7, 2024, 4, 24, '2024-08-05 16:56:10', NULL, NULL), (234786, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 5357, 3, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234787, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 7, 3, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234788, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2682, 6, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234789, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 7, 3, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234790, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 5357, 3, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234791, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 7, 3, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234792, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 13207, 1, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234793, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 1432, 2, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234794, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 5357, 3, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234795, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 7, 3, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234796, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 13207, 1, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234797, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 1432, 2, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234798, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 7, 3, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234799, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 7, 3, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234800, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 13207, 1, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234801, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 1432, 2, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234802, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 7, 3, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234803, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 1432, 2, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234804, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 13207, 1, 2024, 4, 25, '2024-08-05 16:56:11', NULL, NULL), (234805, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 499, 7, 2024, 4, 26, '2024-08-05 16:56:12', NULL, NULL), (234806, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 10342, 8, 2024, 4, 26, '2024-08-05 16:56:12', NULL, NULL), (234807, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 5389, 16, 2024, 4, 26, '2024-08-05 16:56:12', NULL, NULL), (234808, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 10342, 8, 2024, 4, 26, '2024-08-05 16:56:12', NULL, NULL), (234809, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 4, 26, '2024-08-05 16:56:12', NULL, NULL), (234810, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 499, 7, 2024, 4, 26, '2024-08-05 16:56:12', NULL, NULL), (234811, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 10342, 8, 2024, 4, 26, '2024-08-05 16:56:12', NULL, NULL), (234812, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 107, 3, 2024, 4, 26, '2024-08-05 16:56:12', NULL, NULL), (234813, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 794, 4, 2024, 4, 26, '2024-08-05 16:56:12', NULL, NULL), (234814, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 499, 7, 2024, 4, 26, '2024-08-05 16:56:12', NULL, NULL), (234815, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 10342, 8, 2024, 4, 26, '2024-08-05 16:56:12', NULL, NULL), (234816, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 107, 3, 2024, 4, 26, '2024-08-05 16:56:12', NULL, NULL), (234817, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 794, 4, 2024, 4, 26, '2024-08-05 16:56:12', NULL, NULL), (234818, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 10342, 8, 2024, 4, 26, '2024-08-05 16:56:12', NULL, NULL), (234819, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 10342, 8, 2024, 4, 26, '2024-08-05 16:56:12', NULL, NULL), (234820, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 107, 3, 2024, 4, 26, '2024-08-05 16:56:13', NULL, NULL), (234821, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 794, 4, 2024, 4, 26, '2024-08-05 16:56:12', NULL, NULL), (234822, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 10342, 8, 2024, 4, 26, '2024-08-05 16:56:13', NULL, NULL), (234823, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 794, 4, 2024, 4, 26, '2024-08-05 16:56:13', NULL, NULL), (234824, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 107, 3, 2024, 4, 26, '2024-08-05 16:56:13', NULL, NULL), (234825, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 41, 3, 2024, 4, 28, '2024-08-05 16:56:14', NULL, NULL), (234826, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 1617, 9, 2024, 4, 28, '2024-08-05 16:56:14', NULL, NULL), (234827, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 6, 3, 2024, 4, 28, '2024-08-05 16:56:14', NULL, NULL), (234828, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 918, 16, 2024, 4, 28, '2024-08-05 16:56:14', NULL, NULL), (234829, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 20, 7, 2024, 4, 28, '2024-08-05 16:56:14', NULL, NULL), (234830, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1617, 9, 2024, 4, 28, '2024-08-05 16:56:14', NULL, NULL), (234831, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 41, 3, 2024, 4, 28, '2024-08-05 16:56:14', NULL, NULL), (234832, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 6, 3, 2024, 4, 28, '2024-08-05 16:56:15', NULL, NULL), (234833, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 669, 6, 2024, 4, 28, '2024-08-05 16:56:14', NULL, NULL), (234834, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 3514, 3, 2024, 4, 28, '2024-08-05 16:56:15', NULL, NULL), (234835, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 1617, 9, 2024, 4, 28, '2024-08-05 16:56:15', NULL, NULL), (234836, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 41, 3, 2024, 4, 28, '2024-08-05 16:56:15', NULL, NULL), (234837, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 6, 3, 2024, 4, 28, '2024-08-05 16:56:15', NULL, NULL), (234838, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 669, 6, 2024, 4, 28, '2024-08-05 16:56:15', NULL, NULL), (234839, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 3514, 3, 2024, 4, 28, '2024-08-05 16:56:15', NULL, NULL), (234840, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 6, 3, 2024, 4, 28, '2024-08-05 16:56:15', NULL, NULL), (234841, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 41, 3, 2024, 4, 28, '2024-08-05 16:56:15', NULL, NULL), (234842, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 6, 3, 2024, 4, 28, '2024-08-05 16:56:15', NULL, NULL), (234843, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 669, 6, 2024, 4, 28, '2024-08-05 16:56:15', NULL, NULL), (234844, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 3514, 3, 2024, 4, 28, '2024-08-05 16:56:15', NULL, NULL), (234845, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 41, 3, 2024, 4, 28, '2024-08-05 16:56:15', NULL, NULL), (234846, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 41, 3, 2024, 4, 28, '2024-08-05 16:56:15', NULL, NULL), (234847, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 6, 3, 2024, 4, 28, '2024-08-05 16:56:15', NULL, NULL), (234848, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 3514, 3, 2024, 4, 28, '2024-08-05 16:56:15', NULL, NULL), (234849, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 669, 6, 2024, 4, 28, '2024-08-05 16:56:15', NULL, NULL), (234850, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 4846, 5, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234851, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 245, 10, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234852, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 4, 1, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234853, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1668, 16, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234854, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1321, 4, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234855, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 9475, 2, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234856, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 245, 10, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234857, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 1760, 3, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234858, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 4, 1, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234859, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A05', 9475, 2, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234860, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 158, 5, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234861, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 333, 5, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234862, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 245, 10, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234863, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 9475, 2, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234864, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 1760, 3, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234865, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 4, 1, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234866, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 158, 5, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234867, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 333, 5, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234868, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A05', 9475, 2, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234869, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 4, 1, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234870, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 1760, 3, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234871, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A05', 9475, 2, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234872, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 4, 1, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234873, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 158, 5, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234874, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 333, 5, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234875, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 1760, 3, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234876, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 1760, 3, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234877, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 4, 1, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234878, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 333, 5, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234879, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A05', 9475, 2, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234880, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 158, 5, 2024, 4, 29, '2024-08-05 16:56:16', NULL, NULL), (234881, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 7, 1, 2024, 4, 30, '2024-08-05 16:56:17', NULL, NULL), (234882, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 6, 5, 2024, 4, 30, '2024-08-05 16:56:17', NULL, NULL), (234883, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 6, 6, 2024, 4, 30, '2024-08-05 16:56:17', NULL, NULL), (234884, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 7, 1, 2024, 4, 30, '2024-08-05 16:56:17', NULL, NULL), (234885, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 6, 5, 2024, 4, 30, '2024-08-05 16:56:17', NULL, NULL), (234886, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 7, 1, 2024, 4, 30, '2024-08-05 16:56:18', NULL, NULL), (234887, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 4, 3, 2024, 4, 30, '2024-08-05 16:56:18', NULL, NULL), (234888, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 11, 2, 2024, 4, 30, '2024-08-05 16:56:18', NULL, NULL), (234889, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 6, 5, 2024, 4, 30, '2024-08-05 16:56:18', NULL, NULL), (234890, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 7, 1, 2024, 4, 30, '2024-08-05 16:56:18', NULL, NULL), (234891, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 4, 3, 2024, 4, 30, '2024-08-05 16:56:18', NULL, NULL), (234892, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 11, 2, 2024, 4, 30, '2024-08-05 16:56:18', NULL, NULL), (234893, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 7, 1, 2024, 4, 30, '2024-08-05 16:56:18', NULL, NULL), (234894, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 4, 3, 2024, 4, 30, '2024-08-05 16:56:18', NULL, NULL), (234895, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 7, 1, 2024, 4, 30, '2024-08-05 16:56:18', NULL, NULL), (234896, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 11, 2, 2024, 4, 30, '2024-08-05 16:56:18', NULL, NULL), (234897, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 7, 1, 2024, 4, 30, '2024-08-05 16:56:18', NULL, NULL), (234898, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 11, 2, 2024, 4, 30, '2024-08-05 16:56:18', NULL, NULL), (234899, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 4, 3, 2024, 4, 30, '2024-08-05 16:56:18', NULL, NULL), (234900, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 3, 1, 2024, 5, 6, '2024-08-05 16:56:23', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (234901, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 3227, 14, 2024, 5, 6, '2024-08-05 16:56:23', NULL, NULL), (234902, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2824, 16, 2024, 5, 6, '2024-08-05 16:56:23', NULL, NULL), (234903, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 3, 1, 2024, 5, 6, '2024-08-05 16:56:23', NULL, NULL), (234904, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 3227, 14, 2024, 5, 6, '2024-08-05 16:56:23', NULL, NULL), (234905, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 1, 2024, 5, 6, '2024-08-05 16:56:23', NULL, NULL), (234906, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 3, 1, 2024, 5, 6, '2024-08-05 16:56:24', NULL, NULL), (234907, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 3101, 10, 2024, 5, 6, '2024-08-05 16:56:24', NULL, NULL), (234908, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 3543, 4, 2024, 5, 6, '2024-08-05 16:56:24', NULL, NULL), (234909, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 3227, 14, 2024, 5, 6, '2024-08-05 16:56:24', NULL, NULL), (234910, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 3, 1, 2024, 5, 6, '2024-08-05 16:56:24', NULL, NULL), (234911, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 3101, 10, 2024, 5, 6, '2024-08-05 16:56:24', NULL, NULL), (234912, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 3543, 4, 2024, 5, 6, '2024-08-05 16:56:24', NULL, NULL), (234913, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 3, 1, 2024, 5, 6, '2024-08-05 16:56:24', NULL, NULL), (234914, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 3101, 10, 2024, 5, 6, '2024-08-05 16:56:24', NULL, NULL), (234915, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 3, 1, 2024, 5, 6, '2024-08-05 16:56:24', NULL, NULL), (234916, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 3543, 4, 2024, 5, 6, '2024-08-05 16:56:24', NULL, NULL), (234917, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 3, 1, 2024, 5, 6, '2024-08-05 16:56:24', NULL, NULL), (234918, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 3543, 4, 2024, 5, 6, '2024-08-05 16:56:24', NULL, NULL), (234919, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 3101, 10, 2024, 5, 6, '2024-08-05 16:56:24', NULL, NULL), (234920, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 11, 1, 2024, 5, 7, '2024-08-05 16:56:25', NULL, NULL), (234921, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 11, 2, 2024, 5, 7, '2024-08-05 16:56:25', NULL, NULL), (234922, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 8, 4, 2024, 5, 7, '2024-08-05 16:56:25', NULL, NULL), (234923, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 7, 3, 2024, 5, 7, '2024-08-05 16:56:25', NULL, NULL), (234924, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 11, 1, 2024, 5, 7, '2024-08-05 16:56:25', NULL, NULL), (234925, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 11, 2, 2024, 5, 7, '2024-08-05 16:56:25', NULL, NULL), (234926, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 11, 1, 2024, 5, 7, '2024-08-05 16:56:25', NULL, NULL), (234927, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 11, 1, 2024, 5, 7, '2024-08-05 16:56:25', NULL, NULL), (234928, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 11, 2, 2024, 5, 7, '2024-08-05 16:56:25', NULL, NULL), (234929, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 11, 1, 2024, 5, 7, '2024-08-05 16:56:25', NULL, NULL), (234930, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 11, 2, 2024, 5, 7, '2024-08-05 16:56:25', NULL, NULL), (234931, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 11, 2, 2024, 5, 7, '2024-08-05 16:56:25', NULL, NULL), (234932, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 11, 1, 2024, 5, 7, '2024-08-05 16:56:25', NULL, NULL), (234933, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 11, 2, 2024, 5, 7, '2024-08-05 16:56:25', NULL, NULL), (234934, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 11, 1, 2024, 5, 7, '2024-08-05 16:56:25', NULL, NULL), (234935, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 1763, 3, 2024, 5, 8, '2024-08-05 16:56:26', NULL, NULL), (234936, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 143, 7, 2024, 5, 8, '2024-08-05 16:56:26', NULL, NULL), (234937, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 323, 1, 2024, 5, 8, '2024-08-05 16:56:26', NULL, NULL), (234938, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 601, 11, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234939, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1403, 4, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234940, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 143, 7, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234941, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 1763, 3, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234942, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 323, 1, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234943, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 3, 3, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234944, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 248, 4, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234945, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 143, 7, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234946, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 1763, 3, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234947, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 323, 1, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234948, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 3, 3, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234949, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 248, 4, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234950, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 323, 1, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234951, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 1763, 3, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234952, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 323, 1, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234953, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 3, 3, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234954, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 1763, 3, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234955, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 248, 4, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234956, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 1763, 3, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234957, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 323, 1, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234958, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 248, 4, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234959, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 3, 3, 2024, 5, 8, '2024-08-05 16:56:27', NULL, NULL), (234960, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 7831, 3, 2024, 5, 9, '2024-08-05 16:56:28', NULL, NULL), (234961, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 4, 9, 2024, 5, 9, '2024-08-05 16:56:28', NULL, NULL), (234962, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 10427, 2, 2024, 5, 9, '2024-08-05 16:56:28', NULL, NULL), (234963, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2774, 16, 2024, 5, 9, '2024-08-05 16:56:28', NULL, NULL), (234964, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 6335, 7, 2024, 5, 9, '2024-08-05 16:56:28', NULL, NULL), (234965, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 4, 9, 2024, 5, 9, '2024-08-05 16:56:28', NULL, NULL), (234966, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 7831, 3, 2024, 5, 9, '2024-08-05 16:56:28', NULL, NULL), (234967, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 10427, 2, 2024, 5, 9, '2024-08-05 16:56:28', NULL, NULL), (234968, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 4, 8, 2024, 5, 9, '2024-08-05 16:56:28', NULL, NULL), (234969, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 3, 1, 2024, 5, 9, '2024-08-05 16:56:28', NULL, NULL), (234970, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 4, 9, 2024, 5, 9, '2024-08-05 16:56:29', NULL, NULL), (234971, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 7831, 3, 2024, 5, 9, '2024-08-05 16:56:29', NULL, NULL), (234972, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 10427, 2, 2024, 5, 9, '2024-08-05 16:56:29', NULL, NULL), (234973, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 4, 8, 2024, 5, 9, '2024-08-05 16:56:29', NULL, NULL), (234974, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 3, 1, 2024, 5, 9, '2024-08-05 16:56:29', NULL, NULL), (234975, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 10427, 2, 2024, 5, 9, '2024-08-05 16:56:29', NULL, NULL), (234976, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 7831, 3, 2024, 5, 9, '2024-08-05 16:56:29', NULL, NULL), (234977, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 10427, 2, 2024, 5, 9, '2024-08-05 16:56:29', NULL, NULL), (234978, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 4, 8, 2024, 5, 9, '2024-08-05 16:56:29', NULL, NULL), (234979, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 3, 1, 2024, 5, 9, '2024-08-05 16:56:29', NULL, NULL), (234980, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 7831, 3, 2024, 5, 9, '2024-08-05 16:56:29', NULL, NULL), (234981, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 7831, 3, 2024, 5, 9, '2024-08-05 16:56:29', NULL, NULL), (234982, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 10427, 2, 2024, 5, 9, '2024-08-05 16:56:29', NULL, NULL), (234983, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 3, 1, 2024, 5, 9, '2024-08-05 16:56:29', NULL, NULL), (234984, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 4, 8, 2024, 5, 9, '2024-08-05 16:56:29', NULL, NULL), (234985, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 251, 5, 2024, 5, 10, '2024-08-05 16:56:30', NULL, NULL), (234986, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 1048, 6, 2024, 5, 10, '2024-08-05 16:56:30', NULL, NULL), (234987, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 4, 2, 2024, 5, 10, '2024-08-05 16:56:30', NULL, NULL), (234988, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 539, 14, 2024, 5, 10, '2024-08-05 16:56:30', NULL, NULL), (234989, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 181, 7, 2024, 5, 10, '2024-08-05 16:56:31', NULL, NULL), (234990, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 5, 10, '2024-08-05 16:56:31', NULL, NULL), (234991, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1048, 6, 2024, 5, 10, '2024-08-05 16:56:31', NULL, NULL), (234992, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 251, 5, 2024, 5, 10, '2024-08-05 16:56:31', NULL, NULL), (234993, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 4, 2, 2024, 5, 10, '2024-08-05 16:56:31', NULL, NULL), (234994, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 1048, 6, 2024, 5, 10, '2024-08-05 16:56:31', NULL, NULL), (234995, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 1048, 6, 2024, 5, 10, '2024-08-05 16:56:31', NULL, NULL), (234996, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 251, 5, 2024, 5, 10, '2024-08-05 16:56:31', NULL, NULL), (234997, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 4, 2, 2024, 5, 10, '2024-08-05 16:56:31', NULL, NULL), (234998, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 1048, 6, 2024, 5, 10, '2024-08-05 16:56:31', NULL, NULL), (234999, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 4, 2, 2024, 5, 10, '2024-08-05 16:56:31', NULL, NULL), (235000, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 251, 5, 2024, 5, 10, '2024-08-05 16:56:31', NULL, NULL), (235001, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 4, 2, 2024, 5, 10, '2024-08-05 16:56:31', NULL, NULL), (235002, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 1048, 6, 2024, 5, 10, '2024-08-05 16:56:31', NULL, NULL), (235003, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 251, 5, 2024, 5, 10, '2024-08-05 16:56:31', NULL, NULL), (235004, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 251, 5, 2024, 5, 10, '2024-08-05 16:56:31', NULL, NULL), (235005, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 4, 2, 2024, 5, 10, '2024-08-05 16:56:31', NULL, NULL), (235006, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 1048, 6, 2024, 5, 10, '2024-08-05 16:56:31', NULL, NULL), (235007, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 400, 1, 2024, 5, 11, '2024-08-05 16:56:34', NULL, NULL), (235008, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 237, 1, 2024, 5, 11, '2024-08-05 16:56:34', NULL, NULL), (235009, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 79, 8, 2024, 5, 11, '2024-08-05 16:56:35', NULL, NULL), (235010, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 39, 6, 2024, 5, 11, '2024-08-05 16:56:35', NULL, NULL), (235011, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 200, 2, 2024, 5, 11, '2024-08-05 16:56:35', NULL, NULL), (235012, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 237, 1, 2024, 5, 11, '2024-08-05 16:56:35', NULL, NULL), (235013, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 400, 1, 2024, 5, 11, '2024-08-05 16:56:35', NULL, NULL), (235014, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 400, 1, 2024, 5, 11, '2024-08-05 16:56:35', NULL, NULL), (235015, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 237, 1, 2024, 5, 11, '2024-08-05 16:56:35', NULL, NULL), (235016, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 400, 1, 2024, 5, 11, '2024-08-05 16:56:35', NULL, NULL), (235017, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 237, 1, 2024, 5, 11, '2024-08-05 16:56:35', NULL, NULL), (235018, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 237, 1, 2024, 5, 11, '2024-08-05 16:56:36', NULL, NULL), (235019, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 400, 1, 2024, 5, 11, '2024-08-05 16:56:36', NULL, NULL), (235020, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 237, 1, 2024, 5, 11, '2024-08-05 16:56:36', NULL, NULL), (235021, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 400, 1, 2024, 5, 11, '2024-08-05 16:56:36', NULL, NULL), (235022, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 2366, 4, 2024, 5, 13, '2024-08-05 16:56:43', NULL, NULL), (235023, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 339, 12, 2024, 5, 13, '2024-08-05 16:56:43', NULL, NULL), (235024, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 4131, 1, 2024, 5, 13, '2024-08-05 16:56:43', NULL, NULL), (235025, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 883, 20, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235026, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1699, 8, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235027, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 339, 12, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235028, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 2366, 4, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235029, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 4131, 1, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235030, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 384, 8, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235031, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 250, 4, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235032, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 339, 12, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235033, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 2366, 4, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235034, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 4131, 1, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235035, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 384, 8, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235036, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 250, 4, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235037, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 4131, 1, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235038, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 2366, 4, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235039, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 4131, 1, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235040, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 384, 8, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235041, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 2366, 4, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235042, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 250, 4, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235043, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 2366, 4, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235044, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 4131, 1, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235045, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 250, 4, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235046, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 384, 8, 2024, 5, 13, '2024-08-05 16:56:44', NULL, NULL), (235047, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 18, 1, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235048, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 506, 10, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235049, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 423, 12, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235050, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 9, 2, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235051, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 506, 10, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235052, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 18, 1, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235053, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 472, 5, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235054, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 540, 5, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235055, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 506, 10, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235056, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 18, 1, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235057, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 472, 5, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235058, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 540, 5, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235059, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 18, 1, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235060, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 472, 5, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235061, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 18, 1, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235062, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 540, 5, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235063, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 18, 1, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235064, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 540, 5, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235065, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 472, 5, 2024, 5, 14, '2024-08-05 16:56:45', NULL, NULL), (235066, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 1193, 7, 2024, 5, 15, '2024-08-05 16:56:46', NULL, NULL), (235067, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 2326, 17, 2024, 5, 15, '2024-08-05 16:56:46', NULL, NULL), (235068, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1995, 24, 2024, 5, 15, '2024-08-05 16:56:46', NULL, NULL), (235069, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1248, 3, 2024, 5, 15, '2024-08-05 16:56:46', NULL, NULL), (235070, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 2326, 17, 2024, 5, 15, '2024-08-05 16:56:46', NULL, NULL), (235071, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 1152, 4, 2024, 5, 15, '2024-08-05 16:56:46', NULL, NULL), (235072, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 1248, 3, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235073, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A03', 1152, 4, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235074, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 2605, 15, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235075, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 229, 2, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235076, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 2326, 17, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235077, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '宜宾高新区政企服务中心', '', '', 1152, 4, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235078, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 1248, 3, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235079, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 2605, 15, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235080, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 229, 2, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235081, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 1248, 3, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235082, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', 'A03', 1152, 4, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235083, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A03', 1152, 4, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235084, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 2605, 15, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235085, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 229, 2, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235086, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 1248, 3, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235087, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 1248, 3, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235088, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '宜宾高新区政企服务中心', '', 'A03', 1152, 4, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235089, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 229, 2, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235090, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 2605, 15, 2024, 5, 15, '2024-08-05 16:56:47', NULL, NULL), (235091, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 9383, 4, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235092, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 349, 13, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235093, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2475, 17, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235094, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 9383, 4, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235095, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 349, 13, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235096, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 9383, 4, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235097, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 167, 5, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235098, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 463, 8, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235099, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 349, 13, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235100, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 9383, 4, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235101, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 167, 5, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235102, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 463, 8, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235103, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 9383, 4, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235104, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 167, 5, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235105, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 9383, 4, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235106, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 463, 8, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235107, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 9383, 4, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235108, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 463, 8, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235109, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 167, 5, 2024, 5, 16, '2024-08-05 16:56:48', NULL, NULL), (235110, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 8069, 10, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235111, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 340, 5, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235112, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 2230, 2, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235113, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 4825, 18, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235114, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 7091, 12, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235115, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 340, 5, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235116, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 60, 1, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235117, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 8959, 9, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235118, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 2230, 2, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235119, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A03', 60, 1, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235120, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 2, 3, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235121, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 846, 2, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235122, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 340, 5, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235123, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '宜宾高新区政企服务中心', '', '', 60, 1, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235124, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 8959, 9, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235125, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 2230, 2, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235126, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 2, 3, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235127, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 846, 2, 2024, 5, 17, '2024-08-05 16:56:50', NULL, NULL), (235128, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 2230, 2, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235129, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 8959, 9, 2024, 5, 17, '2024-08-05 16:56:50', NULL, NULL), (235130, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', 'A03', 60, 1, 2024, 5, 17, '2024-08-05 16:56:49', NULL, NULL), (235131, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A03', 60, 1, 2024, 5, 17, '2024-08-05 16:56:50', NULL, NULL), (235132, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 2230, 2, 2024, 5, 17, '2024-08-05 16:56:50', NULL, NULL), (235133, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 2, 3, 2024, 5, 17, '2024-08-05 16:56:50', NULL, NULL), (235134, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 846, 2, 2024, 5, 17, '2024-08-05 16:56:50', NULL, NULL), (235135, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 8959, 9, 2024, 5, 17, '2024-08-05 16:56:50', NULL, NULL), (235136, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 8959, 9, 2024, 5, 17, '2024-08-05 16:56:50', NULL, NULL), (235137, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 2230, 2, 2024, 5, 17, '2024-08-05 16:56:50', NULL, NULL), (235138, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '宜宾高新区政企服务中心', '', 'A03', 60, 1, 2024, 5, 17, '2024-08-05 16:56:50', NULL, NULL), (235139, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 846, 2, 2024, 5, 17, '2024-08-05 16:56:50', NULL, NULL), (235140, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 2, 3, 2024, 5, 17, '2024-08-05 16:56:50', NULL, NULL), (235141, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 7156, 2, 2024, 5, 20, '2024-08-05 16:56:52', NULL, NULL), (235142, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 49, 10, 2024, 5, 20, '2024-08-05 16:56:52', NULL, NULL), (235143, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 9, 1, 2024, 5, 20, '2024-08-05 16:56:52', NULL, NULL), (235144, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 926, 16, 2024, 5, 20, '2024-08-05 16:56:52', NULL, NULL), (235145, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 3580, 4, 2024, 5, 20, '2024-08-05 16:56:52', NULL, NULL), (235146, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 49, 10, 2024, 5, 20, '2024-08-05 16:56:52', NULL, NULL), (235147, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 2, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235148, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 7156, 2, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235149, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 9, 1, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235150, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 2, 5, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235151, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 97, 5, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235152, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 49, 10, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235153, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 7156, 2, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235154, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 9, 1, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235155, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 2, 5, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235156, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 97, 5, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235157, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 9, 1, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235158, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 7156, 2, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235159, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 9, 1, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235160, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 2, 5, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235161, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 7156, 2, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235162, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 97, 5, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235163, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 7156, 2, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235164, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 9, 1, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235165, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 97, 5, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235166, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 2, 5, 2024, 5, 20, '2024-08-05 16:56:53', NULL, NULL), (235167, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 5449, 5, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235168, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 763, 16, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235169, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 2296, 1, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235170, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1898, 22, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235171, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 5656, 5, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235172, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 1261, 1, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235173, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 763, 16, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235174, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 6496, 4, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235175, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 2296, 1, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235176, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A04', 1261, 1, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235177, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 763, 16, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235178, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 763, 16, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235179, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 1261, 1, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235180, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 6496, 4, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235181, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 2296, 1, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235182, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 763, 16, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235183, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A04', 1261, 1, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235184, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 2296, 1, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235185, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 6496, 4, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235186, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A04', 1261, 1, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235187, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 2296, 1, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235188, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 763, 16, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235189, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 6496, 4, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235190, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 6496, 4, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235191, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 2296, 1, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235192, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A04', 1261, 1, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235193, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 763, 16, 2024, 5, 21, '2024-08-05 16:56:54', NULL, NULL), (235194, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 6182, 6, 2024, 5, 22, '2024-08-05 16:56:55', NULL, NULL), (235195, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 710, 15, 2024, 5, 22, '2024-08-05 16:56:55', NULL, NULL), (235196, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 16300, 1, 2024, 5, 22, '2024-08-05 16:56:55', NULL, NULL), (235197, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2785, 23, 2024, 5, 22, '2024-08-05 16:56:55', NULL, NULL), (235198, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 6674, 8, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235199, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 710, 15, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235200, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 6182, 6, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235201, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 16300, 1, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235202, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 967, 11, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235203, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 4, 4, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235204, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 710, 15, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235205, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 6182, 6, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235206, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 16300, 1, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235207, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 967, 11, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235208, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 4, 4, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235209, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 16300, 1, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235210, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 6182, 6, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235211, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 16300, 1, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235212, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 967, 11, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235213, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 6182, 6, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235214, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 4, 4, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235215, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 6182, 6, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235216, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 16300, 1, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235217, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 4, 4, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235218, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 967, 11, 2024, 5, 22, '2024-08-05 16:56:56', NULL, NULL), (235219, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 494, 2, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235220, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 19, 10, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235221, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 1754, 1, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235222, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 226, 13, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235223, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 914, 3, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235224, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 19, 10, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235225, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 494, 2, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235226, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 1754, 1, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235227, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 18, 4, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235228, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 20, 6, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235229, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 19, 10, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235230, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 494, 2, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235231, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 1754, 1, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235232, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 18, 4, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235233, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 20, 6, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235234, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 1754, 1, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235235, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 494, 2, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235236, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 1754, 1, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235237, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 18, 4, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235238, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 20, 6, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235239, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 494, 2, 2024, 5, 23, '2024-08-05 16:56:57', NULL, NULL), (235240, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 494, 2, 2024, 5, 23, '2024-08-05 16:56:58', NULL, NULL), (235241, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 1754, 1, 2024, 5, 23, '2024-08-05 16:56:58', NULL, NULL), (235242, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 20, 6, 2024, 5, 23, '2024-08-05 16:56:58', NULL, NULL), (235243, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 18, 4, 2024, 5, 23, '2024-08-05 16:56:58', NULL, NULL), (235244, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 1043, 10, 2024, 5, 24, '2024-08-05 16:56:59', NULL, NULL), (235245, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 1871, 5, 2024, 5, 24, '2024-08-05 16:56:59', NULL, NULL), (235246, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 989, 20, 2024, 5, 24, '2024-08-05 16:56:59', NULL, NULL), (235247, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1871, 5, 2024, 5, 24, '2024-08-05 16:56:59', NULL, NULL), (235248, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 3, 2024, 5, 24, '2024-08-05 16:56:59', NULL, NULL), (235249, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 948, 11, 2024, 5, 24, '2024-08-05 16:56:59', NULL, NULL), (235250, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 1, 2024, 5, 24, '2024-08-05 16:56:59', NULL, NULL), (235251, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 1871, 5, 2024, 5, 24, '2024-08-05 16:56:59', NULL, NULL), (235252, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 1043, 10, 2024, 5, 24, '2024-08-05 16:56:59', NULL, NULL), (235253, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 1043, 10, 2024, 5, 24, '2024-08-05 16:56:59', NULL, NULL), (235254, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 1871, 5, 2024, 5, 24, '2024-08-05 16:56:59', NULL, NULL), (235255, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 1043, 10, 2024, 5, 24, '2024-08-05 16:56:59', NULL, NULL), (235256, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 1871, 5, 2024, 5, 24, '2024-08-05 16:56:59', NULL, NULL), (235257, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 1871, 5, 2024, 5, 24, '2024-08-05 16:56:59', NULL, NULL), (235258, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 1043, 10, 2024, 5, 24, '2024-08-05 16:56:59', NULL, NULL), (235259, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 1871, 5, 2024, 5, 24, '2024-08-05 16:56:59', NULL, NULL), (235260, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 1043, 10, 2024, 5, 24, '2024-08-05 16:56:59', NULL, NULL), (235261, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 2600, 9, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235262, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 620, 6, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235263, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1506, 18, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235264, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 531, 7, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235265, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 2127, 11, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235266, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 620, 6, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235267, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 2156, 5, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235268, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 3155, 4, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235269, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 2600, 9, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235270, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 620, 6, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235271, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 2156, 5, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235272, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 3155, 4, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235273, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 620, 6, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235274, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 620, 6, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235275, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 2156, 5, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235276, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 3155, 4, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235277, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 620, 6, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235278, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 3155, 4, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235279, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 2156, 5, 2024, 5, 27, '2024-08-05 16:57:02', NULL, NULL), (235280, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 4960, 4, 2024, 5, 28, '2024-08-05 16:57:03', NULL, NULL), (235281, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 639, 6, 2024, 5, 28, '2024-08-05 16:57:03', NULL, NULL), (235282, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1691, 14, 2024, 5, 28, '2024-08-05 16:57:03', NULL, NULL), (235283, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 4036, 4, 2024, 5, 28, '2024-08-05 16:57:03', NULL, NULL), (235284, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 5, 28, '2024-08-05 16:57:04', NULL, NULL), (235285, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 548, 7, 2024, 5, 28, '2024-08-05 16:57:03', NULL, NULL), (235286, 24, '511534000000-0001', '宜宾高新区政企服务中心', '燃气业务', '', '', '', 0, 1, 2024, 5, 28, '2024-08-05 16:57:04', NULL, NULL), (235287, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 3696, 1, 2024, 5, 28, '2024-08-05 16:57:04', NULL, NULL), (235288, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 5382, 3, 2024, 5, 28, '2024-08-05 16:57:04', NULL, NULL), (235289, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A03', 3696, 1, 2024, 5, 28, '2024-08-05 16:57:04', NULL, NULL), (235290, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 639, 6, 2024, 5, 28, '2024-08-05 16:57:04', NULL, NULL), (235291, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 639, 6, 2024, 5, 28, '2024-08-05 16:57:04', NULL, NULL), (235292, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '宜宾高新区政企服务中心', '', '', 3696, 1, 2024, 5, 28, '2024-08-05 16:57:04', NULL, NULL), (235293, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 5382, 3, 2024, 5, 28, '2024-08-05 16:57:04', NULL, NULL), (235294, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 639, 6, 2024, 5, 28, '2024-08-05 16:57:04', NULL, NULL), (235295, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 5382, 3, 2024, 5, 28, '2024-08-05 16:57:04', NULL, NULL), (235296, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', 'A03', 3696, 1, 2024, 5, 28, '2024-08-05 16:57:04', NULL, NULL), (235297, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A03', 3696, 1, 2024, 5, 28, '2024-08-05 16:57:04', NULL, NULL), (235298, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 639, 6, 2024, 5, 28, '2024-08-05 16:57:04', NULL, NULL), (235299, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 5382, 3, 2024, 5, 28, '2024-08-05 16:57:04', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (235300, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 5382, 3, 2024, 5, 28, '2024-08-05 16:57:04', NULL, NULL), (235301, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '宜宾高新区政企服务中心', '', 'A03', 3696, 1, 2024, 5, 28, '2024-08-05 16:57:04', NULL, NULL), (235302, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 639, 6, 2024, 5, 28, '2024-08-05 16:57:04', NULL, NULL), (235303, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 2670, 5, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235304, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 574, 11, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235305, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 16, 1, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235306, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1093, 18, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235307, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 2227, 6, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235308, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235309, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 574, 11, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235310, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 2670, 5, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235311, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 16, 1, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235312, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 924, 6, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235313, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 155, 5, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235314, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 574, 11, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235315, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 2670, 5, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235316, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 16, 1, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235317, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 924, 6, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235318, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 155, 5, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235319, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 16, 1, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235320, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 2670, 5, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235321, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 16, 1, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235322, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 924, 6, 2024, 5, 29, '2024-08-05 16:57:06', NULL, NULL), (235323, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 2670, 5, 2024, 5, 29, '2024-08-05 16:57:05', NULL, NULL), (235324, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 155, 5, 2024, 5, 29, '2024-08-05 16:57:06', NULL, NULL), (235325, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 2670, 5, 2024, 5, 29, '2024-08-05 16:57:06', NULL, NULL), (235326, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 16, 1, 2024, 5, 29, '2024-08-05 16:57:06', NULL, NULL), (235327, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 155, 5, 2024, 5, 29, '2024-08-05 16:57:06', NULL, NULL), (235328, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 924, 6, 2024, 5, 29, '2024-08-05 16:57:06', NULL, NULL), (235329, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 368, 11, 2024, 5, 30, '2024-08-05 16:57:07', NULL, NULL), (235330, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 11418, 4, 2024, 5, 30, '2024-08-05 16:57:07', NULL, NULL), (235331, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2367, 21, 2024, 5, 30, '2024-08-05 16:57:07', NULL, NULL), (235332, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 5709, 8, 2024, 5, 30, '2024-08-05 16:57:07', NULL, NULL), (235333, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 5, 30, '2024-08-05 16:57:07', NULL, NULL), (235334, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 337, 12, 2024, 5, 30, '2024-08-05 16:57:07', NULL, NULL), (235335, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 11418, 4, 2024, 5, 30, '2024-08-05 16:57:07', NULL, NULL), (235336, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 364, 4, 2024, 5, 30, '2024-08-05 16:57:07', NULL, NULL), (235337, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 370, 7, 2024, 5, 30, '2024-08-05 16:57:07', NULL, NULL), (235338, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 368, 11, 2024, 5, 30, '2024-08-05 16:57:07', NULL, NULL), (235339, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 11418, 4, 2024, 5, 30, '2024-08-05 16:57:07', NULL, NULL), (235340, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 364, 4, 2024, 5, 30, '2024-08-05 16:57:07', NULL, NULL), (235341, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 370, 7, 2024, 5, 30, '2024-08-05 16:57:07', NULL, NULL), (235342, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 11418, 4, 2024, 5, 30, '2024-08-05 16:57:07', NULL, NULL), (235343, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 11418, 4, 2024, 5, 30, '2024-08-05 16:57:07', NULL, NULL), (235344, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 364, 4, 2024, 5, 30, '2024-08-05 16:57:07', NULL, NULL), (235345, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 370, 7, 2024, 5, 30, '2024-08-05 16:57:07', NULL, NULL), (235346, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 11418, 4, 2024, 5, 30, '2024-08-05 16:57:08', NULL, NULL), (235347, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 370, 7, 2024, 5, 30, '2024-08-05 16:57:08', NULL, NULL), (235348, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 364, 4, 2024, 5, 30, '2024-08-05 16:57:08', NULL, NULL), (235349, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 5089, 4, 2024, 5, 31, '2024-08-05 16:57:09', NULL, NULL), (235350, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 267, 11, 2024, 5, 31, '2024-08-05 16:57:09', NULL, NULL), (235351, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1456, 16, 2024, 5, 31, '2024-08-05 16:57:09', NULL, NULL), (235352, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 4071, 5, 2024, 5, 31, '2024-08-05 16:57:09', NULL, NULL), (235353, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 267, 11, 2024, 5, 31, '2024-08-05 16:57:09', NULL, NULL), (235354, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 5089, 4, 2024, 5, 31, '2024-08-05 16:57:09', NULL, NULL), (235355, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 267, 11, 2024, 5, 31, '2024-08-05 16:57:09', NULL, NULL), (235356, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 267, 11, 2024, 5, 31, '2024-08-05 16:57:09', NULL, NULL), (235357, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 5089, 4, 2024, 5, 31, '2024-08-05 16:57:09', NULL, NULL), (235358, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 267, 11, 2024, 5, 31, '2024-08-05 16:57:09', NULL, NULL), (235359, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 5089, 4, 2024, 5, 31, '2024-08-05 16:57:09', NULL, NULL), (235360, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 267, 11, 2024, 5, 31, '2024-08-05 16:57:10', NULL, NULL), (235361, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 5089, 4, 2024, 5, 31, '2024-08-05 16:57:10', NULL, NULL), (235362, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 5089, 4, 2024, 5, 31, '2024-08-05 16:57:10', NULL, NULL), (235363, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 267, 11, 2024, 5, 31, '2024-08-05 16:57:10', NULL, NULL), (235364, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 3869, 1, 2024, 6, 3, '2024-08-05 16:57:20', NULL, NULL), (235365, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 541, 17, 2024, 6, 3, '2024-08-05 16:57:20', NULL, NULL), (235366, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 688, 19, 2024, 6, 3, '2024-08-05 16:57:21', NULL, NULL), (235367, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 3869, 1, 2024, 6, 3, '2024-08-05 16:57:21', NULL, NULL), (235368, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 6, 3, '2024-08-05 16:57:21', NULL, NULL), (235369, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 541, 17, 2024, 6, 3, '2024-08-05 16:57:21', NULL, NULL), (235370, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 3869, 1, 2024, 6, 3, '2024-08-05 16:57:21', NULL, NULL), (235371, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 437, 10, 2024, 6, 3, '2024-08-05 16:57:21', NULL, NULL), (235372, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 689, 7, 2024, 6, 3, '2024-08-05 16:57:21', NULL, NULL), (235373, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 541, 17, 2024, 6, 3, '2024-08-05 16:57:22', NULL, NULL), (235374, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 3869, 1, 2024, 6, 3, '2024-08-05 16:57:22', NULL, NULL), (235375, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 437, 10, 2024, 6, 3, '2024-08-05 16:57:22', NULL, NULL), (235376, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 689, 7, 2024, 6, 3, '2024-08-05 16:57:22', NULL, NULL), (235377, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 3869, 1, 2024, 6, 3, '2024-08-05 16:57:22', NULL, NULL), (235378, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 437, 10, 2024, 6, 3, '2024-08-05 16:57:22', NULL, NULL), (235379, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 3869, 1, 2024, 6, 3, '2024-08-05 16:57:22', NULL, NULL), (235380, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 689, 7, 2024, 6, 3, '2024-08-05 16:57:22', NULL, NULL), (235381, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 3869, 1, 2024, 6, 3, '2024-08-05 16:57:23', NULL, NULL), (235382, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 689, 7, 2024, 6, 3, '2024-08-05 16:57:23', NULL, NULL), (235383, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 437, 10, 2024, 6, 3, '2024-08-05 16:57:23', NULL, NULL), (235384, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 5796, 3, 2024, 6, 4, '2024-08-05 16:57:24', NULL, NULL), (235385, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 489, 7, 2024, 6, 4, '2024-08-05 16:57:24', NULL, NULL), (235386, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1301, 16, 2024, 6, 4, '2024-08-05 16:57:24', NULL, NULL), (235387, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1717, 7, 2024, 6, 4, '2024-08-05 16:57:24', NULL, NULL), (235388, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 2684, 2, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235389, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 489, 7, 2024, 6, 4, '2024-08-05 16:57:24', NULL, NULL), (235390, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 6011, 2, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235391, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A04', 5368, 1, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235392, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 596, 2, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235393, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 446, 5, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235394, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 489, 7, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235395, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 5368, 1, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235396, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 6011, 2, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235397, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 596, 2, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235398, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 446, 5, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235399, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A04', 5368, 1, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235400, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 6011, 2, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235401, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A04', 5368, 1, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235402, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 596, 2, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235403, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 6011, 2, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235404, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 446, 5, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235405, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 6011, 2, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235406, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A04', 5368, 1, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235407, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 446, 5, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235408, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 596, 2, 2024, 6, 4, '2024-08-05 16:57:25', NULL, NULL), (235409, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 247, 3, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235410, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 401, 14, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235411, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 318, 20, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235412, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 247, 3, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235413, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 2, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235414, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 401, 14, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235415, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 1, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235416, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 247, 3, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235417, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 305, 5, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235418, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 455, 9, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235419, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 401, 14, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235420, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 247, 3, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235421, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 305, 5, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235422, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 455, 9, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235423, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 247, 3, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235424, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 305, 5, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235425, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 247, 3, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235426, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 455, 9, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235427, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 247, 3, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235428, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 455, 9, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235429, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 305, 5, 2024, 6, 5, '2024-08-05 16:57:26', NULL, NULL), (235430, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 6295, 3, 2024, 6, 6, '2024-08-05 16:57:27', NULL, NULL), (235431, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 124, 9, 2024, 6, 6, '2024-08-05 16:57:27', NULL, NULL), (235432, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1666, 12, 2024, 6, 6, '2024-08-05 16:57:27', NULL, NULL), (235433, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 6295, 3, 2024, 6, 6, '2024-08-05 16:57:27', NULL, NULL), (235434, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 124, 9, 2024, 6, 6, '2024-08-05 16:57:27', NULL, NULL), (235435, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 6295, 3, 2024, 6, 6, '2024-08-05 16:57:27', NULL, NULL), (235436, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 244, 4, 2024, 6, 6, '2024-08-05 16:57:27', NULL, NULL), (235437, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 27, 5, 2024, 6, 6, '2024-08-05 16:57:27', NULL, NULL), (235438, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 124, 9, 2024, 6, 6, '2024-08-05 16:57:27', NULL, NULL), (235439, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 6295, 3, 2024, 6, 6, '2024-08-05 16:57:27', NULL, NULL), (235440, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 244, 4, 2024, 6, 6, '2024-08-05 16:57:27', NULL, NULL), (235441, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 27, 5, 2024, 6, 6, '2024-08-05 16:57:27', NULL, NULL), (235442, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 6295, 3, 2024, 6, 6, '2024-08-05 16:57:27', NULL, NULL), (235443, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 244, 4, 2024, 6, 6, '2024-08-05 16:57:27', NULL, NULL), (235444, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 27, 5, 2024, 6, 6, '2024-08-05 16:57:27', NULL, NULL), (235445, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 6295, 3, 2024, 6, 6, '2024-08-05 16:57:27', NULL, NULL), (235446, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 6295, 3, 2024, 6, 6, '2024-08-05 16:57:28', NULL, NULL), (235447, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 27, 5, 2024, 6, 6, '2024-08-05 16:57:28', NULL, NULL), (235448, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 244, 4, 2024, 6, 6, '2024-08-05 16:57:28', NULL, NULL), (235449, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 6024, 3, 2024, 6, 7, '2024-08-05 16:57:28', NULL, NULL), (235450, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 7, 1, 2024, 6, 7, '2024-08-05 16:57:28', NULL, NULL), (235451, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 4519, 4, 2024, 6, 7, '2024-08-05 16:57:28', NULL, NULL), (235452, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 6024, 3, 2024, 6, 7, '2024-08-05 16:57:29', NULL, NULL), (235453, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 7, 1, 2024, 6, 7, '2024-08-05 16:57:29', NULL, NULL), (235454, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 6024, 3, 2024, 6, 7, '2024-08-05 16:57:29', NULL, NULL), (235455, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 7, 1, 2024, 6, 7, '2024-08-05 16:57:29', NULL, NULL), (235456, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 7, 1, 2024, 6, 7, '2024-08-05 16:57:29', NULL, NULL), (235457, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 6024, 3, 2024, 6, 7, '2024-08-05 16:57:29', NULL, NULL), (235458, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 7, 1, 2024, 6, 7, '2024-08-05 16:57:29', NULL, NULL), (235459, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 6024, 3, 2024, 6, 7, '2024-08-05 16:57:29', NULL, NULL), (235460, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 7, 1, 2024, 6, 7, '2024-08-05 16:57:29', NULL, NULL), (235461, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 6024, 3, 2024, 6, 7, '2024-08-05 16:57:29', NULL, NULL), (235462, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 6024, 3, 2024, 6, 7, '2024-08-05 16:57:29', NULL, NULL), (235463, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 7, 1, 2024, 6, 7, '2024-08-05 16:57:29', NULL, NULL), (235464, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 4, 1, 2024, 6, 11, '2024-08-05 16:57:32', NULL, NULL), (235465, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 5, 3, 2024, 6, 11, '2024-08-05 16:57:32', NULL, NULL), (235466, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 5, 4, 2024, 6, 11, '2024-08-05 16:57:32', NULL, NULL), (235467, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 4, 1, 2024, 6, 11, '2024-08-05 16:57:32', NULL, NULL), (235468, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 5, 3, 2024, 6, 11, '2024-08-05 16:57:32', NULL, NULL), (235469, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 4, 1, 2024, 6, 11, '2024-08-05 16:57:32', NULL, NULL), (235470, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 4, 2, 2024, 6, 11, '2024-08-05 16:57:32', NULL, NULL), (235471, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 8, 1, 2024, 6, 11, '2024-08-05 16:57:32', NULL, NULL), (235472, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 5, 3, 2024, 6, 11, '2024-08-05 16:57:32', NULL, NULL), (235473, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 4, 1, 2024, 6, 11, '2024-08-05 16:57:32', NULL, NULL), (235474, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 4, 2, 2024, 6, 11, '2024-08-05 16:57:32', NULL, NULL), (235475, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 8, 1, 2024, 6, 11, '2024-08-05 16:57:32', NULL, NULL), (235476, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 4, 1, 2024, 6, 11, '2024-08-05 16:57:32', NULL, NULL), (235477, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 4, 2, 2024, 6, 11, '2024-08-05 16:57:33', NULL, NULL), (235478, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 4, 1, 2024, 6, 11, '2024-08-05 16:57:33', NULL, NULL), (235479, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 8, 1, 2024, 6, 11, '2024-08-05 16:57:33', NULL, NULL), (235480, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 4, 1, 2024, 6, 11, '2024-08-05 16:57:33', NULL, NULL), (235481, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 8, 1, 2024, 6, 11, '2024-08-05 16:57:33', NULL, NULL), (235482, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 4, 2, 2024, 6, 11, '2024-08-05 16:57:33', NULL, NULL), (235483, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 17, 4, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235484, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 2035, 9, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235485, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 6, 1, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235486, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '燃气部门', '', '', 14944, 1, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235487, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2222, 15, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235488, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 15, 5, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235489, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 2035, 9, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235490, 24, '511534000000-0001', '宜宾高新区政企服务中心', '燃气业务', '', '', '', 14944, 1, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235491, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 17, 4, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235492, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 6, 1, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235493, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A01', 14944, 1, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235494, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 2263, 7, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235495, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 1238, 2, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235496, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 2035, 9, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235497, 24, '511534000000-0001', '宜宾高新区政企服务中心', '燃气业务', '燃气部门', '', '', 14944, 1, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235498, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 17, 4, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235499, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 6, 1, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235500, 24, '511534000000-0001', '宜宾高新区政企服务中心', '燃气业务', '', '', 'A01', 14944, 1, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235501, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 2263, 7, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235502, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 1238, 2, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235503, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 6, 1, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235504, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 17, 4, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235505, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 6, 1, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235506, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 2263, 7, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235507, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 17, 4, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235508, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 1238, 2, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235509, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '燃气部门', '', 'A01', 14944, 1, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235510, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 17, 4, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235511, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 6, 1, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235512, 24, '511534000000-0001', '宜宾高新区政企服务中心', '燃气业务', '燃气部门', '', 'A01', 14944, 1, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235513, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 1238, 2, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235514, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 2263, 7, 2024, 6, 12, '2024-08-05 16:57:34', NULL, NULL), (235515, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 3517, 4, 2024, 6, 13, '2024-08-05 16:57:35', NULL, NULL), (235516, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 3573, 18, 2024, 6, 13, '2024-08-05 16:57:35', NULL, NULL), (235517, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 9490, 3, 2024, 6, 13, '2024-08-05 16:57:35', NULL, NULL), (235518, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 4110, 26, 2024, 6, 13, '2024-08-05 16:57:35', NULL, NULL), (235519, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 5716, 5, 2024, 6, 13, '2024-08-05 16:57:35', NULL, NULL), (235520, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 6978, 2, 2024, 6, 13, '2024-08-05 16:57:35', NULL, NULL), (235521, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 3385, 19, 2024, 6, 13, '2024-08-05 16:57:35', NULL, NULL), (235522, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 56, 2, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235523, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 9490, 3, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235524, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A05', 6978, 2, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235525, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 3767, 17, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235526, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 276, 1, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235527, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 3573, 18, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235528, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 6978, 2, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235529, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 56, 2, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235530, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 9490, 3, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235531, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 3767, 17, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235532, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 276, 1, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235533, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A05', 6978, 2, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235534, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 9490, 3, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235535, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 56, 2, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235536, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A05', 6978, 2, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235537, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 9490, 3, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235538, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 3767, 17, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235539, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 56, 2, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235540, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 276, 1, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235541, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 56, 2, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235542, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 9490, 3, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235543, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 276, 1, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235544, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A05', 6978, 2, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235545, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 3767, 17, 2024, 6, 13, '2024-08-05 16:57:36', NULL, NULL), (235546, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 2097, 2, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (235547, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 2302, 9, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (235548, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 2381, 10, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (235549, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2320, 21, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (235550, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 2333, 12, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (235551, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 2302, 9, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (235552, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 2097, 2, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (235553, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 2381, 10, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (235554, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 2302, 9, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (235555, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 2302, 9, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (235556, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 2097, 2, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (235557, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 2381, 10, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (235558, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 2302, 9, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (235559, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 2381, 10, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (235560, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 2097, 2, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (235561, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 2381, 10, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (235562, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 2302, 9, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (235563, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 2097, 2, 2024, 6, 14, '2024-08-05 16:57:37', NULL, NULL), (235564, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 2097, 2, 2024, 6, 14, '2024-08-05 16:57:38', NULL, NULL), (235565, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 2381, 10, 2024, 6, 14, '2024-08-05 16:57:38', NULL, NULL), (235566, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 2302, 9, 2024, 6, 14, '2024-08-05 16:57:38', NULL, NULL), (235567, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 4831, 5, 2024, 6, 17, '2024-08-05 16:57:40', NULL, NULL), (235568, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 4827, 8, 2024, 6, 17, '2024-08-05 16:57:40', NULL, NULL), (235569, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 24, 1, 2024, 6, 17, '2024-08-05 16:57:40', NULL, NULL), (235570, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 4186, 15, 2024, 6, 17, '2024-08-05 16:57:40', NULL, NULL), (235571, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 4030, 6, 2024, 6, 17, '2024-08-05 16:57:40', NULL, NULL), (235572, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 4827, 8, 2024, 6, 17, '2024-08-05 16:57:40', NULL, NULL), (235573, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 1, 2024, 6, 17, '2024-08-05 16:57:40', NULL, NULL), (235574, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 4831, 5, 2024, 6, 17, '2024-08-05 16:57:40', NULL, NULL), (235575, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 24, 1, 2024, 6, 17, '2024-08-05 16:57:41', NULL, NULL), (235576, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 4827, 8, 2024, 6, 17, '2024-08-05 16:57:40', NULL, NULL), (235577, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 4827, 8, 2024, 6, 17, '2024-08-05 16:57:41', NULL, NULL), (235578, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 4831, 5, 2024, 6, 17, '2024-08-05 16:57:41', NULL, NULL), (235579, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 24, 1, 2024, 6, 17, '2024-08-05 16:57:41', NULL, NULL), (235580, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 4827, 8, 2024, 6, 17, '2024-08-05 16:57:41', NULL, NULL), (235581, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 24, 1, 2024, 6, 17, '2024-08-05 16:57:41', NULL, NULL), (235582, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 4831, 5, 2024, 6, 17, '2024-08-05 16:57:41', NULL, NULL), (235583, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 24, 1, 2024, 6, 17, '2024-08-05 16:57:41', NULL, NULL), (235584, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 4827, 8, 2024, 6, 17, '2024-08-05 16:57:41', NULL, NULL), (235585, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 4831, 5, 2024, 6, 17, '2024-08-05 16:57:41', NULL, NULL), (235586, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 4831, 5, 2024, 6, 17, '2024-08-05 16:57:41', NULL, NULL), (235587, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 24, 1, 2024, 6, 17, '2024-08-05 16:57:41', NULL, NULL), (235588, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 4827, 8, 2024, 6, 17, '2024-08-05 16:57:41', NULL, NULL), (235589, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 216, 2, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235590, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 13, 5, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235591, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 12, 1, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235592, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 46, 11, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235593, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 89, 5, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235594, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235595, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 13, 5, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235596, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 216, 2, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235597, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 12, 1, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235598, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 13, 5, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235599, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 13, 5, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235600, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 216, 2, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235601, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 12, 1, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235602, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 13, 5, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235603, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 12, 1, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235604, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 216, 2, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235605, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 12, 1, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235606, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 13, 5, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235607, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 216, 2, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235608, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 216, 2, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235609, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 12, 1, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235610, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 13, 5, 2024, 6, 18, '2024-08-05 16:57:42', NULL, NULL), (235611, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 4963, 8, 2024, 6, 19, '2024-08-05 16:57:43', NULL, NULL), (235612, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 919, 11, 2024, 6, 19, '2024-08-05 16:57:43', NULL, NULL), (235613, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 5, 1, 2024, 6, 19, '2024-08-05 16:57:43', NULL, NULL), (235614, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '燃气部门', '', '', 15133, 1, 2024, 6, 19, '2024-08-05 16:57:43', NULL, NULL), (235615, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 3092, 21, 2024, 6, 19, '2024-08-05 16:57:43', NULL, NULL), (235616, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1244, 4, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235617, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 6946, 5, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235618, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 919, 11, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235619, 24, '511534000000-0001', '宜宾高新区政企服务中心', '燃气业务', '', '', '', 15133, 1, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235620, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 1658, 3, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235621, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 5, 1, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235622, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A01', 15133, 1, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235623, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A04', 6946, 5, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235624, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 1119, 9, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235625, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 18, 2, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235626, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 919, 11, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235627, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 6946, 5, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235628, 24, '511534000000-0001', '宜宾高新区政企服务中心', '燃气业务', '燃气部门', '', '', 15133, 1, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235629, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 1658, 3, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235630, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 5, 1, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235631, 24, '511534000000-0001', '宜宾高新区政企服务中心', '燃气业务', '', '', 'A01', 15133, 1, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235632, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 1119, 9, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235633, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 18, 2, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235634, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A04', 6946, 5, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235635, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 5, 1, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235636, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 1658, 3, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235637, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A04', 6946, 5, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235638, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 5, 1, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235639, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 1119, 9, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235640, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 1658, 3, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235641, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 18, 2, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235642, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '燃气部门', '', 'A01', 15133, 1, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235643, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 1658, 3, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235644, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 5, 1, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235645, 24, '511534000000-0001', '宜宾高新区政企服务中心', '燃气业务', '燃气部门', '', 'A01', 15133, 1, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235646, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A04', 6946, 5, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235647, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 18, 2, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235648, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 1119, 9, 2024, 6, 19, '2024-08-05 16:57:44', NULL, NULL), (235649, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 200, 6, 2024, 6, 20, '2024-08-05 16:57:45', NULL, NULL), (235650, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 266, 8, 2024, 6, 20, '2024-08-05 16:57:45', NULL, NULL), (235651, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 238, 14, 2024, 6, 20, '2024-08-05 16:57:45', NULL, NULL), (235652, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 200, 6, 2024, 6, 20, '2024-08-05 16:57:46', NULL, NULL), (235653, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 266, 8, 2024, 6, 20, '2024-08-05 16:57:46', NULL, NULL), (235654, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 200, 6, 2024, 6, 20, '2024-08-05 16:57:46', NULL, NULL), (235655, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 6, 4, 2024, 6, 20, '2024-08-05 16:57:46', NULL, NULL), (235656, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 526, 4, 2024, 6, 20, '2024-08-05 16:57:46', NULL, NULL), (235657, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 266, 8, 2024, 6, 20, '2024-08-05 16:57:46', NULL, NULL), (235658, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 200, 6, 2024, 6, 20, '2024-08-05 16:57:46', NULL, NULL), (235659, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 6, 4, 2024, 6, 20, '2024-08-05 16:57:46', NULL, NULL), (235660, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 526, 4, 2024, 6, 20, '2024-08-05 16:57:46', NULL, NULL), (235661, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 200, 6, 2024, 6, 20, '2024-08-05 16:57:46', NULL, NULL), (235662, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 6, 4, 2024, 6, 20, '2024-08-05 16:57:46', NULL, NULL), (235663, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 526, 4, 2024, 6, 20, '2024-08-05 16:57:46', NULL, NULL), (235664, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 200, 6, 2024, 6, 20, '2024-08-05 16:57:46', NULL, NULL), (235665, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 200, 6, 2024, 6, 20, '2024-08-05 16:57:46', NULL, NULL), (235666, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 526, 4, 2024, 6, 20, '2024-08-05 16:57:46', NULL, NULL), (235667, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 6, 4, 2024, 6, 20, '2024-08-05 16:57:46', NULL, NULL), (235668, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 12889, 1, 2024, 6, 21, '2024-08-05 16:57:47', NULL, NULL), (235669, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 531, 8, 2024, 6, 21, '2024-08-05 16:57:47', NULL, NULL), (235670, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 4304, 4, 2024, 6, 21, '2024-08-05 16:57:47', NULL, NULL), (235671, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2290, 15, 2024, 6, 21, '2024-08-05 16:57:47', NULL, NULL), (235672, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 4304, 4, 2024, 6, 21, '2024-08-05 16:57:47', NULL, NULL), (235673, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 12889, 1, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235674, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 425, 10, 2024, 6, 21, '2024-08-05 16:57:47', NULL, NULL), (235675, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 4304, 4, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235676, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A04', 12889, 1, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235677, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 358, 5, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235678, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 821, 3, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235679, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 531, 8, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235680, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', '', 12889, 1, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235681, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 4304, 4, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235682, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 358, 5, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235683, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 821, 3, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235684, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', 'A04', 12889, 1, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235685, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 4304, 4, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235686, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A04', 12889, 1, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235687, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 4304, 4, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235688, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 358, 5, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235689, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 821, 3, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235690, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 4304, 4, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235691, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '宜宾高新区政企服务中心', '', 'A04', 12889, 1, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235692, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 821, 3, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235693, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 358, 5, 2024, 6, 21, '2024-08-05 16:57:48', NULL, NULL), (235694, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 149, 11, 2024, 6, 24, '2024-08-05 16:57:56', NULL, NULL), (235695, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 5, 3, 2024, 6, 24, '2024-08-05 16:57:57', NULL, NULL), (235696, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 118, 14, 2024, 6, 24, '2024-08-05 16:57:57', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (235697, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 5, 3, 2024, 6, 24, '2024-08-05 16:57:57', NULL, NULL), (235698, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 149, 11, 2024, 6, 24, '2024-08-05 16:57:57', NULL, NULL), (235699, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 5, 3, 2024, 6, 24, '2024-08-05 16:57:57', NULL, NULL), (235700, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 149, 11, 2024, 6, 24, '2024-08-05 16:57:57', NULL, NULL), (235701, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 149, 11, 2024, 6, 24, '2024-08-05 16:57:57', NULL, NULL), (235702, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 5, 3, 2024, 6, 24, '2024-08-05 16:57:57', NULL, NULL), (235703, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 149, 11, 2024, 6, 24, '2024-08-05 16:57:58', NULL, NULL), (235704, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 5, 3, 2024, 6, 24, '2024-08-05 16:57:58', NULL, NULL), (235705, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 5, 3, 2024, 6, 24, '2024-08-05 16:57:58', NULL, NULL), (235706, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 149, 11, 2024, 6, 24, '2024-08-05 16:57:58', NULL, NULL), (235707, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 5, 3, 2024, 6, 24, '2024-08-05 16:57:58', NULL, NULL), (235708, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 149, 11, 2024, 6, 24, '2024-08-05 16:57:58', NULL, NULL), (235709, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 287, 7, 2024, 6, 25, '2024-08-05 16:58:02', NULL, NULL), (235710, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 1167, 12, 2024, 6, 25, '2024-08-05 16:58:02', NULL, NULL), (235711, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 763, 21, 2024, 6, 25, '2024-08-05 16:58:02', NULL, NULL), (235712, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 287, 7, 2024, 6, 25, '2024-08-05 16:58:02', NULL, NULL), (235713, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 2, 2024, 6, 25, '2024-08-05 16:58:03', NULL, NULL), (235714, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1167, 12, 2024, 6, 25, '2024-08-05 16:58:02', NULL, NULL), (235715, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 287, 7, 2024, 6, 25, '2024-08-05 16:58:03', NULL, NULL), (235716, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 1167, 12, 2024, 6, 25, '2024-08-05 16:58:03', NULL, NULL), (235717, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 1167, 12, 2024, 6, 25, '2024-08-05 16:58:03', NULL, NULL), (235718, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 287, 7, 2024, 6, 25, '2024-08-05 16:58:03', NULL, NULL), (235719, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 1167, 12, 2024, 6, 25, '2024-08-05 16:58:03', NULL, NULL), (235720, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 287, 7, 2024, 6, 25, '2024-08-05 16:58:03', NULL, NULL), (235721, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 1167, 12, 2024, 6, 25, '2024-08-05 16:58:03', NULL, NULL), (235722, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 287, 7, 2024, 6, 25, '2024-08-05 16:58:04', NULL, NULL), (235723, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 287, 7, 2024, 6, 25, '2024-08-05 16:58:04', NULL, NULL), (235724, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 1167, 12, 2024, 6, 25, '2024-08-05 16:58:04', NULL, NULL), (235725, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 16, 2, 2024, 6, 27, '2024-08-05 16:58:05', NULL, NULL), (235726, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 4, 3, 2024, 6, 27, '2024-08-05 16:58:05', NULL, NULL), (235727, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 4, 11, 2024, 6, 27, '2024-08-05 16:58:05', NULL, NULL), (235728, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 9, 5, 2024, 6, 27, '2024-08-05 16:58:05', NULL, NULL), (235729, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 0, 6, 2024, 6, 27, '2024-08-05 16:58:05', NULL, NULL), (235730, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 16, 2, 2024, 6, 27, '2024-08-05 16:58:06', NULL, NULL), (235731, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 4, 3, 2024, 6, 27, '2024-08-05 16:58:06', NULL, NULL), (235732, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 16, 2, 2024, 6, 27, '2024-08-05 16:58:06', NULL, NULL), (235733, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 4, 3, 2024, 6, 27, '2024-08-05 16:58:06', NULL, NULL), (235734, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 4, 3, 2024, 6, 27, '2024-08-05 16:58:06', NULL, NULL), (235735, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 16, 2, 2024, 6, 27, '2024-08-05 16:58:06', NULL, NULL), (235736, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 4, 3, 2024, 6, 27, '2024-08-05 16:58:06', NULL, NULL), (235737, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 16, 2, 2024, 6, 27, '2024-08-05 16:58:06', NULL, NULL), (235738, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 16, 2, 2024, 6, 27, '2024-08-05 16:58:06', NULL, NULL), (235739, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 4, 3, 2024, 6, 27, '2024-08-05 16:58:06', NULL, NULL), (235740, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 1495, 1, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235741, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 1216, 18, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235742, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 1607, 10, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235743, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1273, 31, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235744, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1597, 11, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235745, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 2, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235746, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1216, 18, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235747, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 1495, 1, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235748, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 1607, 10, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235749, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 1216, 18, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235750, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 1216, 18, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235751, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 1495, 1, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235752, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 1607, 10, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235753, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 1216, 18, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235754, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 1607, 10, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235755, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 1495, 1, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235756, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 1607, 10, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235757, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 1216, 18, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235758, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 1495, 1, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235759, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 1495, 1, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235760, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 1607, 10, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235761, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 1216, 18, 2024, 6, 28, '2024-08-05 16:58:07', NULL, NULL), (235762, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 12549, 3, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235763, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 370, 3, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235764, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 17214, 1, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235765, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 6996, 8, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235766, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 13715, 4, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235767, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 277, 4, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235768, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 12549, 3, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235769, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 17214, 1, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235770, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 19, 1, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235771, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 545, 2, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235772, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 370, 3, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235773, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 12549, 3, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235774, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 17214, 1, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235775, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 19, 1, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235776, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 545, 2, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235777, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 17214, 1, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235778, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 12549, 3, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235779, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 17214, 1, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235780, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 19, 1, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235781, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 12549, 3, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235782, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 545, 2, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235783, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 12549, 3, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235784, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 17214, 1, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235785, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 545, 2, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235786, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 19, 1, 2024, 7, 1, '2024-08-05 16:58:10', NULL, NULL), (235787, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 329, 1, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235788, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 370, 5, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235789, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 1784, 5, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235790, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 793, 14, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235791, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1321, 7, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235792, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 370, 5, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235793, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 2, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235794, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 329, 1, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235795, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 1784, 5, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235796, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 370, 5, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235797, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 370, 5, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235798, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 329, 1, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235799, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 1784, 5, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235800, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 370, 5, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235801, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 1784, 5, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235802, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 329, 1, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235803, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 1784, 5, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235804, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 370, 5, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235805, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 329, 1, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235806, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 329, 1, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235807, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 1784, 5, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235808, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 370, 5, 2024, 7, 3, '2024-08-05 16:58:12', NULL, NULL), (235809, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 5796, 6, 2024, 7, 4, '2024-08-05 16:58:13', NULL, NULL), (235810, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 521, 4, 2024, 7, 4, '2024-08-05 16:58:13', NULL, NULL), (235811, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 793, 4, 2024, 7, 4, '2024-08-05 16:58:13', NULL, NULL), (235812, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2669, 15, 2024, 7, 4, '2024-08-05 16:58:13', NULL, NULL), (235813, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 3794, 10, 2024, 7, 4, '2024-08-05 16:58:13', NULL, NULL), (235814, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 7, 4, '2024-08-05 16:58:13', NULL, NULL), (235815, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 521, 4, 2024, 7, 4, '2024-08-05 16:58:13', NULL, NULL), (235816, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 5796, 6, 2024, 7, 4, '2024-08-05 16:58:14', NULL, NULL), (235817, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 793, 4, 2024, 7, 4, '2024-08-05 16:58:14', NULL, NULL), (235818, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 521, 4, 2024, 7, 4, '2024-08-05 16:58:14', NULL, NULL), (235819, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 521, 4, 2024, 7, 4, '2024-08-05 16:58:14', NULL, NULL), (235820, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 5796, 6, 2024, 7, 4, '2024-08-05 16:58:14', NULL, NULL), (235821, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 793, 4, 2024, 7, 4, '2024-08-05 16:58:14', NULL, NULL), (235822, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 521, 4, 2024, 7, 4, '2024-08-05 16:58:14', NULL, NULL), (235823, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 793, 4, 2024, 7, 4, '2024-08-05 16:58:14', NULL, NULL), (235824, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 5796, 6, 2024, 7, 4, '2024-08-05 16:58:14', NULL, NULL), (235825, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 793, 4, 2024, 7, 4, '2024-08-05 16:58:14', NULL, NULL), (235826, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 521, 4, 2024, 7, 4, '2024-08-05 16:58:14', NULL, NULL), (235827, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 5796, 6, 2024, 7, 4, '2024-08-05 16:58:14', NULL, NULL), (235828, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 5796, 6, 2024, 7, 4, '2024-08-05 16:58:14', NULL, NULL), (235829, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 793, 4, 2024, 7, 4, '2024-08-05 16:58:14', NULL, NULL), (235830, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 521, 4, 2024, 7, 4, '2024-08-05 16:58:14', NULL, NULL), (235831, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 170, 2, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235832, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 864, 1, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235833, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 4, 1, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235834, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 241, 5, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235835, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 114, 3, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235836, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 432, 2, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235837, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 170, 2, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235838, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 4, 1, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235839, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 864, 1, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235840, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 864, 1, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235841, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 170, 2, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235842, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 4, 1, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235843, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 864, 1, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235844, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 4, 1, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235845, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 170, 2, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235846, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 4, 1, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235847, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 864, 1, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235848, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 170, 2, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235849, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 170, 2, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235850, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 4, 1, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235851, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 864, 1, 2024, 7, 5, '2024-08-05 16:58:15', NULL, NULL), (235852, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 6411, 5, 2024, 7, 8, '2024-08-05 16:58:18', NULL, NULL), (235853, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 2671, 3, 2024, 7, 8, '2024-08-05 16:58:18', NULL, NULL), (235854, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 8986, 4, 2024, 7, 8, '2024-08-05 16:58:18', NULL, NULL), (235855, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 6334, 12, 2024, 7, 8, '2024-08-05 16:58:18', NULL, NULL), (235856, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 7555, 9, 2024, 7, 8, '2024-08-05 16:58:18', NULL, NULL), (235857, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 2671, 3, 2024, 7, 8, '2024-08-05 16:58:18', NULL, NULL), (235858, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 6411, 5, 2024, 7, 8, '2024-08-05 16:58:18', NULL, NULL), (235859, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 8986, 4, 2024, 7, 8, '2024-08-05 16:58:18', NULL, NULL), (235860, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 2671, 3, 2024, 7, 8, '2024-08-05 16:58:18', NULL, NULL), (235861, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 2671, 3, 2024, 7, 8, '2024-08-05 16:58:18', NULL, NULL), (235862, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 6411, 5, 2024, 7, 8, '2024-08-05 16:58:18', NULL, NULL), (235863, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 8986, 4, 2024, 7, 8, '2024-08-05 16:58:18', NULL, NULL), (235864, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 2671, 3, 2024, 7, 8, '2024-08-05 16:58:18', NULL, NULL), (235865, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 8986, 4, 2024, 7, 8, '2024-08-05 16:58:18', NULL, NULL), (235866, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 6411, 5, 2024, 7, 8, '2024-08-05 16:58:18', NULL, NULL), (235867, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 8986, 4, 2024, 7, 8, '2024-08-05 16:58:19', NULL, NULL), (235868, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 2671, 3, 2024, 7, 8, '2024-08-05 16:58:19', NULL, NULL), (235869, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 6411, 5, 2024, 7, 8, '2024-08-05 16:58:19', NULL, NULL), (235870, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 6411, 5, 2024, 7, 8, '2024-08-05 16:58:19', NULL, NULL), (235871, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 8986, 4, 2024, 7, 8, '2024-08-05 16:58:19', NULL, NULL), (235872, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 2671, 3, 2024, 7, 8, '2024-08-05 16:58:19', NULL, NULL), (235873, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 1119, 3, 2024, 7, 9, '2024-08-05 16:58:20', NULL, NULL), (235874, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 4, 2, 2024, 7, 9, '2024-08-05 16:58:20', NULL, NULL), (235875, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 481, 7, 2024, 7, 9, '2024-08-05 16:58:20', NULL, NULL), (235876, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 2, 3, 2024, 7, 9, '2024-08-05 16:58:20', NULL, NULL), (235877, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 839, 4, 2024, 7, 9, '2024-08-05 16:58:20', NULL, NULL), (235878, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 4, 2, 2024, 7, 9, '2024-08-05 16:58:20', NULL, NULL), (235879, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 1119, 3, 2024, 7, 9, '2024-08-05 16:58:20', NULL, NULL), (235880, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 1119, 3, 2024, 7, 9, '2024-08-05 16:58:20', NULL, NULL), (235881, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 4, 2, 2024, 7, 9, '2024-08-05 16:58:20', NULL, NULL), (235882, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 1119, 3, 2024, 7, 9, '2024-08-05 16:58:20', NULL, NULL), (235883, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 4, 2, 2024, 7, 9, '2024-08-05 16:58:20', NULL, NULL), (235884, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 4, 2, 2024, 7, 9, '2024-08-05 16:58:20', NULL, NULL), (235885, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 1119, 3, 2024, 7, 9, '2024-08-05 16:58:20', NULL, NULL), (235886, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 4, 2, 2024, 7, 9, '2024-08-05 16:58:20', NULL, NULL), (235887, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 1119, 3, 2024, 7, 9, '2024-08-05 16:58:20', NULL, NULL), (235888, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 17437, 1, 2024, 7, 10, '2024-08-05 16:58:21', NULL, NULL), (235889, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 3, 5, 2024, 7, 10, '2024-08-05 16:58:21', NULL, NULL), (235890, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 14, 2, 2024, 7, 10, '2024-08-05 16:58:21', NULL, NULL), (235891, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2185, 8, 2024, 7, 10, '2024-08-05 16:58:21', NULL, NULL), (235892, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 5822, 3, 2024, 7, 10, '2024-08-05 16:58:21', NULL, NULL), (235893, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 3, 5, 2024, 7, 10, '2024-08-05 16:58:21', NULL, NULL), (235894, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 17437, 1, 2024, 7, 10, '2024-08-05 16:58:21', NULL, NULL), (235895, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 15, 1, 2024, 7, 10, '2024-08-05 16:58:21', NULL, NULL), (235896, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A13', 14, 1, 2024, 7, 10, '2024-08-05 16:58:21', NULL, NULL), (235897, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 3, 5, 2024, 7, 10, '2024-08-05 16:58:21', NULL, NULL), (235898, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 3, 5, 2024, 7, 10, '2024-08-05 16:58:21', NULL, NULL), (235899, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 17437, 1, 2024, 7, 10, '2024-08-05 16:58:21', NULL, NULL), (235900, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 14, 2, 2024, 7, 10, '2024-08-05 16:58:21', NULL, NULL), (235901, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 3, 5, 2024, 7, 10, '2024-08-05 16:58:21', NULL, NULL), (235902, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 15, 1, 2024, 7, 10, '2024-08-05 16:58:21', NULL, NULL), (235903, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A13', 14, 1, 2024, 7, 10, '2024-08-05 16:58:21', NULL, NULL), (235904, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 17437, 1, 2024, 7, 10, '2024-08-05 16:58:22', NULL, NULL), (235905, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A13', 14, 1, 2024, 7, 10, '2024-08-05 16:58:22', NULL, NULL), (235906, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 15, 1, 2024, 7, 10, '2024-08-05 16:58:22', NULL, NULL), (235907, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 3, 5, 2024, 7, 10, '2024-08-05 16:58:22', NULL, NULL), (235908, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 17437, 1, 2024, 7, 10, '2024-08-05 16:58:22', NULL, NULL), (235909, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 17437, 1, 2024, 7, 10, '2024-08-05 16:58:22', NULL, NULL), (235910, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 15, 1, 2024, 7, 10, '2024-08-05 16:58:22', NULL, NULL), (235911, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 3, 5, 2024, 7, 10, '2024-08-05 16:58:22', NULL, NULL), (235912, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A13', 14, 1, 2024, 7, 10, '2024-08-05 16:58:22', NULL, NULL), (235913, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 6324, 2, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235914, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 166, 6, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235915, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 5, 2, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235916, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1365, 10, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235917, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 3164, 4, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235918, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 166, 6, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235919, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 6324, 2, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235920, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 5, 2, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235921, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 166, 6, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235922, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 166, 6, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235923, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 6324, 2, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235924, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 5, 2, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235925, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 166, 6, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235926, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 5, 2, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235927, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 6324, 2, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235928, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 5, 2, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235929, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 166, 6, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235930, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 6324, 2, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235931, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 6324, 2, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235932, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 5, 2, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235933, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 166, 6, 2024, 7, 11, '2024-08-05 16:58:23', NULL, NULL), (235934, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 1993, 4, 2024, 7, 12, '2024-08-05 16:58:24', NULL, NULL), (235935, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 52, 3, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235936, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 10175, 1, 2024, 7, 12, '2024-08-05 16:58:24', NULL, NULL), (235937, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2033, 9, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235938, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 3024, 6, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235939, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 52, 3, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235940, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 1993, 4, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235941, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 10175, 1, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235942, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 52, 3, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235943, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 52, 3, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235944, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 1993, 4, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235945, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 10175, 1, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235946, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 52, 3, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235947, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 10175, 1, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235948, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 1993, 4, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235949, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 10175, 1, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235950, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 52, 3, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235951, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 1993, 4, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235952, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 1993, 4, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235953, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 10175, 1, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235954, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 52, 3, 2024, 7, 12, '2024-08-05 16:58:25', NULL, NULL), (235955, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 1598, 4, 2024, 7, 15, '2024-08-05 16:58:29', NULL, NULL), (235956, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 785, 2, 2024, 7, 15, '2024-08-05 16:58:29', NULL, NULL), (235957, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 830, 6, 2024, 7, 15, '2024-08-05 16:58:29', NULL, NULL), (235958, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1078, 12, 2024, 7, 15, '2024-08-05 16:58:29', NULL, NULL), (235959, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1137, 10, 2024, 7, 15, '2024-08-05 16:58:29', NULL, NULL), (235960, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 785, 2, 2024, 7, 15, '2024-08-05 16:58:29', NULL, NULL), (235961, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 1598, 4, 2024, 7, 15, '2024-08-05 16:58:29', NULL, NULL), (235962, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 830, 6, 2024, 7, 15, '2024-08-05 16:58:29', NULL, NULL), (235963, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 3, 1, 2024, 7, 15, '2024-08-05 16:58:29', NULL, NULL), (235964, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 1567, 1, 2024, 7, 15, '2024-08-05 16:58:29', NULL, NULL), (235965, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 785, 2, 2024, 7, 15, '2024-08-05 16:58:29', NULL, NULL), (235966, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 1598, 4, 2024, 7, 15, '2024-08-05 16:58:29', NULL, NULL), (235967, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 830, 6, 2024, 7, 15, '2024-08-05 16:58:29', NULL, NULL), (235968, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 3, 1, 2024, 7, 15, '2024-08-05 16:58:29', NULL, NULL), (235969, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 1567, 1, 2024, 7, 15, '2024-08-05 16:58:29', NULL, NULL), (235970, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 830, 6, 2024, 7, 15, '2024-08-05 16:58:29', NULL, NULL), (235971, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 1598, 4, 2024, 7, 15, '2024-08-05 16:58:29', NULL, NULL), (235972, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 830, 6, 2024, 7, 15, '2024-08-05 16:58:30', NULL, NULL), (235973, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 3, 1, 2024, 7, 15, '2024-08-05 16:58:30', NULL, NULL), (235974, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 1567, 1, 2024, 7, 15, '2024-08-05 16:58:30', NULL, NULL), (235975, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 1598, 4, 2024, 7, 15, '2024-08-05 16:58:30', NULL, NULL), (235976, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 1598, 4, 2024, 7, 15, '2024-08-05 16:58:30', NULL, NULL), (235977, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 830, 6, 2024, 7, 15, '2024-08-05 16:58:30', NULL, NULL), (235978, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 1567, 1, 2024, 7, 15, '2024-08-05 16:58:30', NULL, NULL), (235979, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 3, 1, 2024, 7, 15, '2024-08-05 16:58:30', NULL, NULL), (235980, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 174, 4, 2024, 7, 16, '2024-08-05 16:58:33', NULL, NULL), (235981, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 3, 2, 2024, 7, 16, '2024-08-05 16:58:34', NULL, NULL), (235982, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 117, 6, 2024, 7, 16, '2024-08-05 16:58:34', NULL, NULL), (235983, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 3, 2, 2024, 7, 16, '2024-08-05 16:58:34', NULL, NULL), (235984, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 174, 4, 2024, 7, 16, '2024-08-05 16:58:34', NULL, NULL), (235985, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 3, 2, 2024, 7, 16, '2024-08-05 16:58:34', NULL, NULL), (235986, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 174, 4, 2024, 7, 16, '2024-08-05 16:58:34', NULL, NULL), (235987, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 174, 4, 2024, 7, 16, '2024-08-05 16:58:34', NULL, NULL), (235988, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 3, 2, 2024, 7, 16, '2024-08-05 16:58:34', NULL, NULL), (235989, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 174, 4, 2024, 7, 16, '2024-08-05 16:58:35', NULL, NULL), (235990, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 3, 2, 2024, 7, 16, '2024-08-05 16:58:35', NULL, NULL), (235991, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 3, 2, 2024, 7, 16, '2024-08-05 16:58:35', NULL, NULL), (235992, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 174, 4, 2024, 7, 16, '2024-08-05 16:58:35', NULL, NULL), (235993, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 3, 2, 2024, 7, 16, '2024-08-05 16:58:35', NULL, NULL), (235994, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 174, 4, 2024, 7, 16, '2024-08-05 16:58:35', NULL, NULL), (235995, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 31, 1, 2024, 7, 17, '2024-08-05 16:58:39', NULL, NULL), (235996, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 8, 3, 2024, 7, 17, '2024-08-05 16:58:39', NULL, NULL), (235997, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 11, 5, 2024, 7, 17, '2024-08-05 16:58:39', NULL, NULL), (235998, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 15, 2, 2024, 7, 17, '2024-08-05 16:58:40', NULL, NULL), (235999, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 8, 3, 2024, 7, 17, '2024-08-05 16:58:40', NULL, NULL), (236000, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 31, 1, 2024, 7, 17, '2024-08-05 16:58:40', NULL, NULL), (236001, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 8, 3, 2024, 7, 17, '2024-08-05 16:58:40', NULL, NULL), (236002, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 8, 3, 2024, 7, 17, '2024-08-05 16:58:40', NULL, NULL), (236003, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 31, 1, 2024, 7, 17, '2024-08-05 16:58:40', NULL, NULL), (236004, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 8, 3, 2024, 7, 17, '2024-08-05 16:58:40', NULL, NULL), (236005, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 31, 1, 2024, 7, 17, '2024-08-05 16:58:40', NULL, NULL), (236006, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 8, 3, 2024, 7, 17, '2024-08-05 16:58:40', NULL, NULL), (236007, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 31, 1, 2024, 7, 17, '2024-08-05 16:58:41', NULL, NULL), (236008, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 31, 1, 2024, 7, 17, '2024-08-05 16:58:41', NULL, NULL), (236009, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 8, 3, 2024, 7, 17, '2024-08-05 16:58:41', NULL, NULL), (236010, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 5, 2, 2024, 7, 18, '2024-08-05 16:58:45', NULL, NULL), (236011, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 6495, 4, 2024, 7, 18, '2024-08-05 16:58:45', NULL, NULL), (236012, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2888, 9, 2024, 7, 18, '2024-08-05 16:58:45', NULL, NULL), (236013, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 5, 2, 2024, 7, 18, '2024-08-05 16:58:45', NULL, NULL), (236014, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 3711, 7, 2024, 7, 18, '2024-08-05 16:58:45', NULL, NULL), (236015, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 5, 2, 2024, 7, 18, '2024-08-05 16:58:45', NULL, NULL), (236016, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 6495, 4, 2024, 7, 18, '2024-08-05 16:58:45', NULL, NULL), (236017, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 6495, 4, 2024, 7, 18, '2024-08-05 16:58:46', NULL, NULL), (236018, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 5, 2, 2024, 7, 18, '2024-08-05 16:58:46', NULL, NULL), (236019, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 6495, 4, 2024, 7, 18, '2024-08-05 16:58:46', NULL, NULL), (236020, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 5, 2, 2024, 7, 18, '2024-08-05 16:58:46', NULL, NULL), (236021, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 6495, 4, 2024, 7, 18, '2024-08-05 16:58:46', NULL, NULL), (236022, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 5, 2, 2024, 7, 18, '2024-08-05 16:58:46', NULL, NULL), (236023, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 5, 2, 2024, 7, 18, '2024-08-05 16:58:46', NULL, NULL), (236024, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 6495, 4, 2024, 7, 18, '2024-08-05 16:58:46', NULL, NULL), (236025, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 4059, 2, 2024, 7, 19, '2024-08-05 16:58:48', NULL, NULL), (236026, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 6312, 1, 2024, 7, 19, '2024-08-05 16:58:48', NULL, NULL), (236027, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2886, 5, 2024, 7, 19, '2024-08-05 16:58:48', NULL, NULL), (236028, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 6312, 1, 2024, 7, 19, '2024-08-05 16:58:48', NULL, NULL), (236029, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 2, 2024, 7, 19, '2024-08-05 16:58:48', NULL, NULL), (236030, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 4059, 2, 2024, 7, 19, '2024-08-05 16:58:48', NULL, NULL), (236031, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A13', 6312, 1, 2024, 7, 19, '2024-08-05 16:58:48', NULL, NULL), (236032, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 4059, 2, 2024, 7, 19, '2024-08-05 16:58:48', NULL, NULL), (236033, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 4059, 2, 2024, 7, 19, '2024-08-05 16:58:48', NULL, NULL), (236034, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 6312, 1, 2024, 7, 19, '2024-08-05 16:58:48', NULL, NULL), (236035, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 4059, 2, 2024, 7, 19, '2024-08-05 16:58:48', NULL, NULL), (236036, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A13', 6312, 1, 2024, 7, 19, '2024-08-05 16:58:48', NULL, NULL), (236037, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A13', 6312, 1, 2024, 7, 19, '2024-08-05 16:58:48', NULL, NULL), (236038, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 4059, 2, 2024, 7, 19, '2024-08-05 16:58:48', NULL, NULL), (236039, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 4059, 2, 2024, 7, 19, '2024-08-05 16:58:48', NULL, NULL), (236040, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A13', 6312, 1, 2024, 7, 19, '2024-08-05 16:58:48', NULL, NULL), (236041, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 261, 3, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236042, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 198, 10, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236043, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 5, 1, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236044, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 197, 14, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236045, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 197, 4, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236046, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 198, 10, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236047, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 261, 3, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236048, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 5, 1, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236049, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 246, 8, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236050, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 4, 2, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236051, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 198, 10, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236052, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 261, 3, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236053, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 5, 1, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236054, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 246, 8, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236055, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 4, 2, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236056, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 5, 1, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236057, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 261, 3, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236058, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 5, 1, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236059, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 246, 8, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236060, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 261, 3, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236061, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 4, 2, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236062, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 261, 3, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236063, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 5, 1, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236064, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 4, 2, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236065, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 246, 8, 2024, 7, 22, '2024-08-05 16:58:51', NULL, NULL), (236066, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 1493, 3, 2024, 7, 23, '2024-08-05 16:58:52', NULL, NULL), (236067, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 14, 5, 2024, 7, 23, '2024-08-05 16:58:52', NULL, NULL), (236068, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 455, 10, 2024, 7, 23, '2024-08-05 16:58:52', NULL, NULL), (236069, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1493, 3, 2024, 7, 23, '2024-08-05 16:58:52', NULL, NULL), (236070, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 7, 23, '2024-08-05 16:58:52', NULL, NULL), (236071, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 12, 6, 2024, 7, 23, '2024-08-05 16:58:52', NULL, NULL), (236072, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 1493, 3, 2024, 7, 23, '2024-08-05 16:58:52', NULL, NULL), (236073, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 14, 5, 2024, 7, 23, '2024-08-05 16:58:52', NULL, NULL), (236074, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 14, 5, 2024, 7, 23, '2024-08-05 16:58:52', NULL, NULL), (236075, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 1493, 3, 2024, 7, 23, '2024-08-05 16:58:52', NULL, NULL), (236076, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 14, 5, 2024, 7, 23, '2024-08-05 16:58:52', NULL, NULL), (236077, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 1493, 3, 2024, 7, 23, '2024-08-05 16:58:52', NULL, NULL), (236078, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 14, 5, 2024, 7, 23, '2024-08-05 16:58:52', NULL, NULL), (236079, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 1493, 3, 2024, 7, 23, '2024-08-05 16:58:53', NULL, NULL), (236080, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 1493, 3, 2024, 7, 23, '2024-08-05 16:58:53', NULL, NULL), (236081, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 14, 5, 2024, 7, 23, '2024-08-05 16:58:53', NULL, NULL), (236082, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 452, 9, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (236083, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 3, 5, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (236084, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 292, 14, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (236085, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 3, 5, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (236086, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 452, 9, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (236087, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 3, 5, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (236088, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 211, 6, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (236089, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 934, 3, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (236090, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 452, 9, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (236091, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 3, 5, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (236092, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 211, 6, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (236093, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 934, 3, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (236094, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 3, 5, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (236095, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 3, 5, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (236096, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 211, 6, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (236097, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A09', 934, 3, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (236098, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 3, 5, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (236099, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A09', 934, 3, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (236100, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 211, 6, 2024, 7, 24, '2024-08-05 16:58:54', NULL, NULL), (236101, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 2, 2, 2024, 7, 25, '2024-08-05 16:58:55', NULL, NULL), (236102, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 8, 2, 2024, 7, 25, '2024-08-05 16:58:55', NULL, NULL), (236103, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 5, 4, 2024, 7, 25, '2024-08-05 16:58:55', NULL, NULL), (236104, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 8, 2, 2024, 7, 25, '2024-08-05 16:58:55', NULL, NULL), (236105, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 2, 2, 2024, 7, 25, '2024-08-05 16:58:55', NULL, NULL), (236106, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 4, 1, 2024, 7, 25, '2024-08-05 16:58:55', NULL, NULL), (236107, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A13', 13, 1, 2024, 7, 25, '2024-08-05 16:58:55', NULL, NULL), (236108, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 2, 2, 2024, 7, 25, '2024-08-05 16:58:55', NULL, NULL), (236109, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 2, 2, 2024, 7, 25, '2024-08-05 16:58:55', NULL, NULL), (236110, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 8, 2, 2024, 7, 25, '2024-08-05 16:58:55', NULL, NULL), (236111, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 2, 2, 2024, 7, 25, '2024-08-05 16:58:56', NULL, NULL), (236112, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 4, 1, 2024, 7, 25, '2024-08-05 16:58:56', NULL, NULL), (236113, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A13', 13, 1, 2024, 7, 25, '2024-08-05 16:58:56', NULL, NULL), (236114, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A13', 13, 1, 2024, 7, 25, '2024-08-05 16:58:56', NULL, NULL), (236115, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 4, 1, 2024, 7, 25, '2024-08-05 16:58:56', NULL, NULL), (236116, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 2, 2, 2024, 7, 25, '2024-08-05 16:58:56', NULL, NULL), (236117, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 4, 1, 2024, 7, 25, '2024-08-05 16:58:56', NULL, NULL), (236118, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 2, 2, 2024, 7, 25, '2024-08-05 16:58:56', NULL, NULL), (236119, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A13', 13, 1, 2024, 7, 25, '2024-08-05 16:58:56', NULL, NULL), (236120, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 8, 1, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236121, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 1103, 6, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236122, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 947, 7, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236123, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1103, 6, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236124, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 8, 1, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236125, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 1321, 5, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236126, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A13', 14, 1, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236127, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 8, 1, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236128, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 8, 1, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236129, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 1103, 6, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236130, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 8, 1, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236131, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 1321, 5, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236132, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A13', 14, 1, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236133, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A13', 14, 1, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236134, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 1321, 5, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236135, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 8, 1, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236136, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 1321, 5, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236137, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 8, 1, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236138, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A13', 14, 1, 2024, 7, 26, '2024-08-05 16:58:57', NULL, NULL), (236139, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 1276, 2, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236140, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 852, 5, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236141, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 54, 1, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236142, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 858, 8, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236143, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 869, 3, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236144, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 852, 5, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236145, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 1276, 2, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236146, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 54, 1, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236147, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 852, 5, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236148, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 852, 5, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236149, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 1276, 2, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236150, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 54, 1, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236151, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 852, 5, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236152, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 54, 1, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236153, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 1276, 2, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236154, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 54, 1, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236155, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 852, 5, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236156, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 1276, 2, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236157, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 1276, 2, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236158, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 54, 1, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236159, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 852, 5, 2024, 7, 29, '2024-08-05 16:59:01', NULL, NULL), (236160, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 3, 1, 2024, 7, 30, '2024-08-05 16:59:03', NULL, NULL), (236161, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 4, 2, 2024, 7, 30, '2024-08-05 16:59:03', NULL, NULL), (236162, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2, 4, 2024, 7, 30, '2024-08-05 16:59:03', NULL, NULL), (236163, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 4, 2, 2024, 7, 30, '2024-08-05 16:59:03', NULL, NULL), (236164, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 7, 30, '2024-08-05 16:59:03', NULL, NULL), (236165, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 3, 1, 2024, 7, 30, '2024-08-05 16:59:03', NULL, NULL), (236166, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 4, 2, 2024, 7, 30, '2024-08-05 16:59:03', NULL, NULL), (236167, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 3, 1, 2024, 7, 30, '2024-08-05 16:59:03', NULL, NULL), (236168, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 3, 1, 2024, 7, 30, '2024-08-05 16:59:03', NULL, NULL), (236169, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 4, 2, 2024, 7, 30, '2024-08-05 16:59:03', NULL, NULL), (236170, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 3, 1, 2024, 7, 30, '2024-08-05 16:59:03', NULL, NULL), (236171, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 4, 2, 2024, 7, 30, '2024-08-05 16:59:03', NULL, NULL), (236172, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 4, 2, 2024, 7, 30, '2024-08-05 16:59:03', NULL, NULL), (236173, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 3, 1, 2024, 7, 30, '2024-08-05 16:59:03', NULL, NULL), (236174, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 4, 2, 2024, 7, 30, '2024-08-05 16:59:03', NULL, NULL), (236175, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 3, 1, 2024, 7, 30, '2024-08-05 16:59:03', NULL, NULL), (236176, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 4, 1, 2024, 7, 31, '2024-08-05 16:59:04', NULL, NULL), (236177, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 88, 1, 2024, 7, 31, '2024-08-05 16:59:04', NULL, NULL), (236178, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 30, 3, 2024, 7, 31, '2024-08-05 16:59:04', NULL, NULL), (236179, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 4, 1, 2024, 7, 31, '2024-08-05 16:59:05', NULL, NULL), (236180, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 44, 2, 2024, 7, 31, '2024-08-05 16:59:05', NULL, NULL), (236181, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 4, 1, 2024, 7, 31, '2024-08-05 16:59:05', NULL, NULL), (236182, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 88, 1, 2024, 7, 31, '2024-08-05 16:59:05', NULL, NULL), (236183, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 88, 1, 2024, 7, 31, '2024-08-05 16:59:05', NULL, NULL), (236184, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 4, 1, 2024, 7, 31, '2024-08-05 16:59:05', NULL, NULL), (236185, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 88, 1, 2024, 7, 31, '2024-08-05 16:59:05', NULL, NULL), (236186, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 4, 1, 2024, 7, 31, '2024-08-05 16:59:05', NULL, NULL), (236187, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 88, 1, 2024, 7, 31, '2024-08-05 16:59:05', NULL, NULL), (236188, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 4, 1, 2024, 7, 31, '2024-08-05 16:59:05', NULL, NULL), (236189, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 4, 1, 2024, 7, 31, '2024-08-05 16:59:05', NULL, NULL), (236190, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 88, 1, 2024, 7, 31, '2024-08-05 16:59:05', NULL, NULL), (236191, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', '', 4, 1, 2024, 8, 1, '2024-08-05 16:59:06', NULL, NULL), (236192, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', '', 561, 3, 2024, 8, 1, '2024-08-05 16:59:06', NULL, NULL), (236193, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', '', 6, 3, 2024, 8, 1, '2024-08-05 16:59:06', NULL, NULL), (236194, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 213, 8, 2024, 8, 1, '2024-08-05 16:59:06', NULL, NULL), (236195, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 5, 4, 2024, 8, 1, '2024-08-05 16:59:06', NULL, NULL), (236196, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 421, 4, 2024, 8, 1, '2024-08-05 16:59:06', NULL, NULL), (236197, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 4, 1, 2024, 8, 1, '2024-08-05 16:59:06', NULL, NULL), (236198, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 6, 3, 2024, 8, 1, '2024-08-05 16:59:06', NULL, NULL), (236199, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 561, 3, 2024, 8, 1, '2024-08-05 16:59:06', NULL, NULL), (236200, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', '', 561, 3, 2024, 8, 1, '2024-08-05 16:59:06', NULL, NULL), (236201, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', '', 4, 1, 2024, 8, 1, '2024-08-05 16:59:06', NULL, NULL), (236202, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', '', 6, 3, 2024, 8, 1, '2024-08-05 16:59:06', NULL, NULL), (236203, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 561, 3, 2024, 8, 1, '2024-08-05 16:59:06', NULL, NULL), (236204, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 6, 3, 2024, 8, 1, '2024-08-05 16:59:06', NULL, NULL), (236205, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 4, 1, 2024, 8, 1, '2024-08-05 16:59:07', NULL, NULL), (236206, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '税务', '', 'A12', 6, 3, 2024, 8, 1, '2024-08-05 16:59:07', NULL, NULL), (236207, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '市场监管', '', 'A08', 561, 3, 2024, 8, 1, '2024-08-05 16:59:07', NULL, NULL), (236208, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '宜宾高新区政企服务中心', '', 'A11', 4, 1, 2024, 8, 1, '2024-08-05 16:59:07', NULL, NULL), (236209, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '宜宾高新区政企服务中心', '', 'A11', 4, 1, 2024, 8, 1, '2024-08-05 16:59:07', NULL, NULL), (236210, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '税务', '', 'A12', 6, 3, 2024, 8, 1, '2024-08-05 16:59:07', NULL, NULL), (236211, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '市场监管', '', 'A08', 561, 3, 2024, 8, 1, '2024-08-05 16:59:07', NULL, NULL), (236212, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 6, 4, 2024, 8, 2, '2024-08-05 16:59:08', 1, '2024-08-06 02:01:10'), (236213, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 4, 2, 2024, 8, 2, '2024-08-05 16:59:08', 1, '2024-08-06 02:01:10'), (236214, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 9, 2, 2024, 8, 2, '2024-08-05 16:59:08', 1, '2024-08-06 02:01:10'), (236215, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 4, 2, 2024, 8, 2, '2024-08-05 16:59:08', 1, '2024-08-06 02:01:10'), (236216, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 9, 2, 2024, 8, 2, '2024-08-05 16:59:08', 1, '2024-08-06 02:01:10'), (236217, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 9, 2, 2024, 8, 2, '2024-08-05 16:59:08', 1, '2024-08-06 02:01:10'), (236218, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 4, 2, 2024, 8, 2, '2024-08-05 16:59:08', 1, '2024-08-06 02:01:10'), (236219, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 17:01:11', NULL, NULL), (236220, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 17:01:12', NULL, NULL), (236221, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 17:01:13', NULL, NULL), (236222, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 17:01:14', NULL, NULL), (236223, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 17:01:15', NULL, NULL), (236224, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 17:01:16', NULL, NULL), (236225, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 17:01:16', NULL, NULL), (236226, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 17:01:17', NULL, NULL), (236227, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 17:01:18', NULL, NULL), (236228, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 17:01:19', NULL, NULL), (236229, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 17:01:20', NULL, NULL), (236230, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 17:01:21', NULL, NULL), (236231, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 17:01:22', NULL, NULL), (236232, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 17:01:23', NULL, NULL), (236233, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 17:01:24', NULL, NULL), (236234, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 17:01:25', NULL, NULL), (236235, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 17:01:26', NULL, NULL), (236236, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 17:01:28', NULL, NULL), (236237, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 17:01:32', NULL, NULL), (236238, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 17:01:35', NULL, NULL), (236239, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 17:01:39', NULL, NULL), (236240, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 17:01:41', NULL, NULL), (236241, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 17:01:42', NULL, NULL), (236242, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 17:01:43', NULL, NULL), (236243, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 17:01:43', NULL, NULL), (236244, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 17:01:44', NULL, NULL), (236245, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 17:01:45', NULL, NULL), (236246, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 17:01:46', NULL, NULL), (236247, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 17:01:47', NULL, NULL), (236248, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 17:01:47', NULL, NULL), (236249, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 17:01:48', NULL, NULL), (236250, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 17:01:49', NULL, NULL), (236251, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 17:01:50', NULL, NULL), (236252, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 17:01:51', NULL, NULL), (236253, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 17:01:51', NULL, NULL), (236254, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 17:01:52', NULL, NULL), (236255, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 17:01:53', NULL, NULL), (236256, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 17:01:54', NULL, NULL), (236257, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 17:01:55', NULL, NULL), (236258, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 17:01:56', NULL, NULL), (236259, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 17:01:56', NULL, NULL), (236260, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 17:01:57', NULL, NULL), (236261, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 17:01:58', NULL, NULL), (236262, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 17:01:59', NULL, NULL), (236263, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 17:02:00', NULL, NULL), (236264, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 17:02:01', NULL, NULL), (236265, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 17:02:02', NULL, NULL), (236266, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 17:02:03', NULL, NULL), (236267, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 17:02:04', NULL, NULL), (236268, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 17:02:05', NULL, NULL), (236269, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 17:02:08', NULL, NULL), (236270, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 17:02:11', NULL, NULL), (236271, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 17:02:15', NULL, NULL), (236272, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 17:02:18', NULL, NULL), (236273, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 17:02:19', NULL, NULL), (236274, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 17:02:20', NULL, NULL), (236275, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 17:02:20', NULL, NULL), (236276, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 17:02:21', NULL, NULL), (236277, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 17:02:22', NULL, NULL), (236278, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 17:02:23', NULL, NULL), (236279, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 17:02:24', NULL, NULL), (236280, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 17:02:24', NULL, NULL), (236281, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 17:02:25', NULL, NULL), (236282, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 17:02:26', NULL, NULL), (236283, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 17:02:27', NULL, NULL), (236284, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 17:02:28', NULL, NULL), (236285, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 17:02:28', NULL, NULL), (236286, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 17:02:29', NULL, NULL), (236287, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 17:02:30', NULL, NULL), (236288, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 17:02:31', NULL, NULL), (236289, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 17:02:32', NULL, NULL), (236290, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 17:02:33', NULL, NULL), (236291, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 17:02:33', NULL, NULL), (236292, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 17:02:34', NULL, NULL), (236293, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 17:02:35', NULL, NULL), (236294, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 17:02:36', NULL, NULL), (236295, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 17:02:37', NULL, NULL), (236296, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 17:02:38', NULL, NULL), (236297, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 17:02:39', NULL, NULL), (236298, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 17:02:40', NULL, NULL), (236299, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 17:02:41', NULL, NULL), (236300, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 17:02:42', NULL, NULL), (236301, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 17:02:43', NULL, NULL), (236302, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 17:02:45', NULL, NULL), (236303, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 17:02:47', NULL, NULL), (236304, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 17:02:51', NULL, NULL), (236305, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 17:02:54', NULL, NULL), (236306, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 17:02:57', NULL, NULL), (236307, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 17:02:57', NULL, NULL), (236308, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 17:02:58', NULL, NULL), (236309, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 17:02:59', NULL, NULL), (236310, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 17:03:00', NULL, NULL), (236311, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 17:03:00', NULL, NULL), (236312, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 17:03:01', NULL, NULL), (236313, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 17:03:02', NULL, NULL), (236314, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 17:03:03', NULL, NULL), (236315, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 17:03:04', NULL, NULL), (236316, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 17:03:04', NULL, NULL), (236317, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 17:03:05', NULL, NULL), (236318, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 17:03:06', NULL, NULL), (236319, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 17:03:07', NULL, NULL), (236320, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 17:03:08', NULL, NULL), (236321, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 17:03:09', NULL, NULL), (236322, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 17:03:09', NULL, NULL), (236323, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 17:03:10', NULL, NULL), (236324, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 17:03:11', NULL, NULL), (236325, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 17:03:12', NULL, NULL), (236326, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 17:03:13', NULL, NULL), (236327, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 17:03:14', NULL, NULL), (236328, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 17:03:15', NULL, NULL), (236329, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 17:03:16', NULL, NULL), (236330, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 17:03:16', NULL, NULL), (236331, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 17:03:17', NULL, NULL), (236332, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 17:03:18', NULL, NULL), (236333, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 17:03:19', NULL, NULL), (236334, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 17:03:21', NULL, NULL), (236335, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 17:03:22', NULL, NULL), (236336, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 17:03:24', NULL, NULL), (236337, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 17:03:28', NULL, NULL), (236338, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 17:03:31', NULL, NULL), (236339, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 17:03:35', NULL, NULL), (236340, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 17:03:36', NULL, NULL), (236341, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 17:03:37', NULL, NULL), (236342, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 17:03:38', NULL, NULL), (236343, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 17:03:38', NULL, NULL), (236344, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 17:03:39', NULL, NULL), (236345, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 17:03:40', NULL, NULL), (236346, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 17:03:41', NULL, NULL), (236347, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 17:03:42', NULL, NULL), (236348, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 17:03:43', NULL, NULL), (236349, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 17:03:44', NULL, NULL), (236350, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 17:03:45', NULL, NULL), (236351, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 17:03:46', NULL, NULL), (236352, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 17:03:46', NULL, NULL), (236353, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 17:03:47', NULL, NULL), (236354, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 17:03:48', NULL, NULL), (236355, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 17:03:49', NULL, NULL), (236356, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 17:03:50', NULL, NULL), (236357, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 17:03:51', NULL, NULL), (236358, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 17:03:52', NULL, NULL), (236359, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 17:03:53', NULL, NULL), (236360, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 17:03:54', NULL, NULL), (236361, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 17:03:55', NULL, NULL), (236362, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 17:03:56', NULL, NULL), (236363, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 17:03:57', NULL, NULL), (236364, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 17:03:59', NULL, NULL), (236365, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 17:04:00', NULL, NULL), (236366, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 17:04:01', NULL, NULL), (236367, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 17:04:05', NULL, NULL), (236368, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 17:04:09', NULL, NULL), (236369, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 17:04:12', NULL, NULL), (236370, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 17:04:16', NULL, NULL), (236371, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 17:04:19', NULL, NULL), (236372, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 17:04:21', NULL, NULL), (236373, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 17:04:22', NULL, NULL), (236374, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 17:04:22', NULL, NULL), (236375, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 17:04:23', NULL, NULL), (236376, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 17:04:24', NULL, NULL), (236377, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 17:04:25', NULL, NULL), (236378, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 17:04:25', NULL, NULL), (236379, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 17:04:26', NULL, NULL), (236380, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 17:04:27', NULL, NULL), (236381, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 17:04:28', NULL, NULL), (236382, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 17:04:29', NULL, NULL), (236383, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 17:04:30', NULL, NULL), (236384, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 17:04:30', NULL, NULL), (236385, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 17:04:31', NULL, NULL), (236386, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 17:04:32', NULL, NULL), (236387, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 17:04:33', NULL, NULL), (236388, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 17:04:34', NULL, NULL), (236389, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 17:04:35', NULL, NULL), (236390, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 17:04:35', NULL, NULL), (236391, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 17:04:36', NULL, NULL), (236392, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 17:04:37', NULL, NULL), (236393, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 17:04:38', NULL, NULL), (236394, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 17:04:39', NULL, NULL), (236395, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 17:04:40', NULL, NULL), (236396, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 17:04:41', NULL, NULL), (236397, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 17:04:42', NULL, NULL), (236398, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 17:04:43', NULL, NULL), (236399, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 17:04:44', NULL, NULL), (236400, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 17:04:45', NULL, NULL), (236401, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 17:04:46', NULL, NULL), (236402, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 17:04:48', NULL, NULL), (236403, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 17:04:49', NULL, NULL), (236404, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 17:04:51', NULL, NULL), (236405, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 17:04:52', NULL, NULL), (236406, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 17:04:53', NULL, NULL), (236407, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 17:04:55', NULL, NULL), (236408, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 17:04:56', NULL, NULL), (236409, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 17:04:57', NULL, NULL), (236410, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 17:04:59', NULL, NULL), (236411, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 17:05:00', NULL, NULL), (236412, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 17:05:01', NULL, NULL), (236413, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 17:05:03', NULL, NULL), (236414, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 17:05:04', NULL, NULL), (236415, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 17:05:06', NULL, NULL), (236416, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 17:05:07', NULL, NULL), (236417, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 17:05:08', NULL, NULL), (236418, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 17:05:10', NULL, NULL), (236419, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 17:05:11', NULL, NULL), (236420, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 17:05:12', NULL, NULL), (236421, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 17:05:14', NULL, NULL), (236422, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 17:05:15', NULL, NULL), (236423, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 17:05:16', NULL, NULL), (236424, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 17:05:18', NULL, NULL), (236425, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 17:05:19', NULL, NULL), (236426, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 17:05:20', NULL, NULL), (236427, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 17:05:22', NULL, NULL), (236428, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 17:05:23', NULL, NULL), (236429, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 17:05:24', NULL, NULL), (236430, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 17:05:26', NULL, NULL), (236431, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 17:05:27', NULL, NULL), (236432, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 17:05:29', NULL, NULL), (236433, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 17:05:30', NULL, NULL), (236434, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 17:05:31', NULL, NULL), (236435, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 17:05:33', NULL, NULL), (236436, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 17:05:34', NULL, NULL), (236437, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 17:05:34', NULL, NULL), (236438, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 17:05:35', NULL, NULL), (236439, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 17:05:36', NULL, NULL), (236440, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 17:05:37', NULL, NULL), (236441, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 17:05:37', NULL, NULL), (236442, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 17:05:38', NULL, NULL), (236443, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 17:05:39', NULL, NULL), (236444, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 17:05:40', NULL, NULL), (236445, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 17:05:40', NULL, NULL), (236446, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 17:05:41', NULL, NULL), (236447, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 17:05:42', NULL, NULL), (236448, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 17:05:43', NULL, NULL), (236449, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 17:05:44', NULL, NULL), (236450, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 17:05:44', NULL, NULL), (236451, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 17:05:45', NULL, NULL), (236452, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 17:05:46', NULL, NULL), (236453, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 17:05:47', NULL, NULL), (236454, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 17:05:48', NULL, NULL), (236455, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 17:05:49', NULL, NULL), (236456, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 17:05:49', NULL, NULL), (236457, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 17:05:50', NULL, NULL), (236458, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 17:05:51', NULL, NULL), (236459, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 17:05:52', NULL, NULL), (236460, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 17:05:53', NULL, NULL), (236461, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 17:05:54', NULL, NULL), (236462, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 17:05:55', NULL, NULL), (236463, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 17:05:56', NULL, NULL), (236464, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 17:05:57', NULL, NULL), (236465, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 17:05:58', NULL, NULL), (236466, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 17:05:59', NULL, NULL), (236467, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 17:06:01', NULL, NULL), (236468, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 17:06:02', NULL, NULL), (236469, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 17:06:03', NULL, NULL), (236470, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 17:06:05', NULL, NULL), (236471, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 17:06:06', NULL, NULL), (236472, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 17:06:07', NULL, NULL), (236473, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 17:06:09', NULL, NULL), (236474, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 17:06:10', NULL, NULL), (236475, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 17:06:11', NULL, NULL), (236476, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 17:06:13', NULL, NULL), (236477, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 17:06:14', NULL, NULL), (236478, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 17:06:16', NULL, NULL), (236479, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 17:06:17', NULL, NULL), (236480, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 17:06:18', NULL, NULL), (236481, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 17:06:20', NULL, NULL), (236482, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 17:06:21', NULL, NULL), (236483, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 17:06:22', NULL, NULL), (236484, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 17:06:24', NULL, NULL), (236485, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 17:06:25', NULL, NULL), (236486, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 17:06:26', NULL, NULL), (236487, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 17:06:28', NULL, NULL), (236488, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 17:06:29', NULL, NULL), (236489, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 17:06:30', NULL, NULL), (236490, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 17:06:32', NULL, NULL), (236491, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 17:06:33', NULL, NULL), (236492, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 17:06:34', NULL, NULL), (236493, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 17:06:36', NULL, NULL), (236494, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 17:06:37', NULL, NULL), (236495, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 17:06:38', NULL, NULL), (236496, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 17:06:39', NULL, NULL), (236497, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 17:06:39', NULL, NULL), (236498, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 17:06:40', NULL, NULL), (236499, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 17:06:41', NULL, NULL), (236500, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 17:06:42', NULL, NULL), (236501, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 17:06:42', NULL, NULL), (236502, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 17:06:43', NULL, NULL), (236503, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 17:06:44', NULL, NULL), (236504, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 17:06:45', NULL, NULL), (236505, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 17:06:45', NULL, NULL), (236506, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 17:06:46', NULL, NULL), (236507, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 17:06:47', NULL, NULL), (236508, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 17:06:48', NULL, NULL), (236509, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 17:06:49', NULL, NULL), (236510, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 17:06:49', NULL, NULL), (236511, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 17:06:50', NULL, NULL), (236512, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 17:06:51', NULL, NULL), (236513, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 17:06:52', NULL, NULL), (236514, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 17:06:53', NULL, NULL), (236515, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 17:06:54', NULL, NULL), (236516, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 17:06:54', NULL, NULL), (236517, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 17:06:55', NULL, NULL), (236518, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 17:06:56', NULL, NULL), (236519, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 17:06:57', NULL, NULL), (236520, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 17:06:58', NULL, NULL), (236521, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 17:06:59', NULL, NULL), (236522, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 17:07:00', NULL, NULL), (236523, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 17:07:01', NULL, NULL), (236524, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 17:07:02', NULL, NULL), (236525, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 17:07:04', NULL, NULL), (236526, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 17:07:05', NULL, NULL), (236527, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 17:07:06', NULL, NULL), (236528, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 17:07:08', NULL, NULL), (236529, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 17:07:09', NULL, NULL), (236530, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 17:07:10', NULL, NULL), (236531, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 17:07:12', NULL, NULL), (236532, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 17:07:13', NULL, NULL), (236533, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 17:07:14', NULL, NULL), (236534, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 17:07:16', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (236535, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 17:07:17', NULL, NULL), (236536, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 17:07:18', NULL, NULL), (236537, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 17:07:20', NULL, NULL), (236538, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 17:07:21', NULL, NULL), (236539, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 17:07:22', NULL, NULL), (236540, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 17:07:24', NULL, NULL), (236541, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 17:07:25', NULL, NULL), (236542, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 17:07:26', NULL, NULL), (236543, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 17:07:28', NULL, NULL), (236544, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 17:07:29', NULL, NULL), (236545, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 17:07:30', NULL, NULL), (236546, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 17:07:32', NULL, NULL), (236547, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 17:07:33', NULL, NULL), (236548, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 17:07:35', NULL, NULL), (236549, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 17:07:36', NULL, NULL), (236550, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 17:07:37', NULL, NULL), (236551, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 17:07:39', NULL, NULL), (236552, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 17:07:40', NULL, NULL), (236553, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 17:07:41', NULL, NULL), (236554, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 17:07:42', NULL, NULL), (236555, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 17:07:43', NULL, NULL), (236556, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 17:07:44', NULL, NULL), (236557, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 17:07:44', NULL, NULL), (236558, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 17:07:45', NULL, NULL), (236559, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 17:07:46', NULL, NULL), (236560, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 17:07:47', NULL, NULL), (236561, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 17:07:47', NULL, NULL), (236562, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 17:07:48', NULL, NULL), (236563, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 17:07:49', NULL, NULL), (236564, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 17:07:50', NULL, NULL), (236565, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 17:07:50', NULL, NULL), (236566, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 17:07:51', NULL, NULL), (236567, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 17:07:52', NULL, NULL), (236568, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 17:07:53', NULL, NULL), (236569, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 17:07:54', NULL, NULL), (236570, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 17:07:54', NULL, NULL), (236571, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 17:07:55', NULL, NULL), (236572, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 17:07:56', NULL, NULL), (236573, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 17:07:57', NULL, NULL), (236574, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 17:07:58', NULL, NULL), (236575, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 17:07:59', NULL, NULL), (236576, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 17:08:00', NULL, NULL), (236577, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 17:08:00', NULL, NULL), (236578, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 17:08:01', NULL, NULL), (236579, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 17:08:02', NULL, NULL), (236580, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 17:08:03', NULL, NULL), (236581, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 17:08:04', NULL, NULL), (236582, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 17:08:05', NULL, NULL), (236583, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 17:08:07', NULL, NULL), (236584, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 17:08:08', NULL, NULL), (236585, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 17:08:09', NULL, NULL), (236586, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 17:08:11', NULL, NULL), (236587, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 17:08:12', NULL, NULL), (236588, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 17:08:13', NULL, NULL), (236589, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 17:08:15', NULL, NULL), (236590, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 17:08:16', NULL, NULL), (236591, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 17:08:17', NULL, NULL), (236592, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 17:08:19', NULL, NULL), (236593, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 17:08:20', NULL, NULL), (236594, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 17:08:22', NULL, NULL), (236595, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 17:08:23', NULL, NULL), (236596, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 17:08:24', NULL, NULL), (236597, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 17:08:26', NULL, NULL), (236598, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 17:08:27', NULL, NULL), (236599, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 17:08:28', NULL, NULL), (236600, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 17:08:30', NULL, NULL), (236601, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 17:08:31', NULL, NULL), (236602, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 17:08:33', NULL, NULL), (236603, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 17:08:34', NULL, NULL), (236604, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 17:08:35', NULL, NULL), (236605, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 17:08:37', NULL, NULL), (236606, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 17:08:38', NULL, NULL), (236607, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 17:08:39', NULL, NULL), (236608, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 17:08:41', NULL, NULL), (236609, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 17:08:42', NULL, NULL), (236610, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 17:08:44', NULL, NULL), (236611, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 17:08:45', NULL, NULL), (236612, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 17:08:46', NULL, NULL), (236613, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 17:08:48', NULL, NULL), (236614, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 17:08:49', NULL, NULL), (236615, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 17:08:51', NULL, NULL), (236616, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 17:08:52', NULL, NULL), (236617, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 17:08:53', NULL, NULL), (236618, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 17:08:55', NULL, NULL), (236619, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 17:08:56', NULL, NULL), (236620, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 17:08:57', NULL, NULL), (236621, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 17:08:59', NULL, NULL), (236622, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 17:09:00', NULL, NULL), (236623, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 17:09:02', NULL, NULL), (236624, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 17:09:03', NULL, NULL), (236625, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 17:09:05', NULL, NULL), (236626, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 17:09:06', NULL, NULL), (236627, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 17:09:07', NULL, NULL), (236628, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 17:09:09', NULL, NULL), (236629, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 17:09:10', NULL, NULL), (236630, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 17:09:12', NULL, NULL), (236631, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 17:09:13', NULL, NULL), (236632, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 17:09:14', NULL, NULL), (236633, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 17:09:16', NULL, NULL), (236634, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 17:09:17', NULL, NULL), (236635, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 17:09:19', NULL, NULL), (236636, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 17:09:20', NULL, NULL), (236637, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 17:09:21', NULL, NULL), (236638, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 17:09:23', NULL, NULL), (236639, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 17:09:24', NULL, NULL), (236640, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 17:09:25', NULL, NULL), (236641, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 17:09:27', NULL, NULL), (236642, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 17:09:28', NULL, NULL), (236643, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 17:09:30', NULL, NULL), (236644, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 17:09:31', NULL, NULL), (236645, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 17:09:32', NULL, NULL), (236646, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 17:09:34', NULL, NULL), (236647, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 17:09:35', NULL, NULL), (236648, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 17:09:37', NULL, NULL), (236649, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 17:09:38', NULL, NULL), (236650, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 17:09:40', NULL, NULL), (236651, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 17:09:41', NULL, NULL), (236652, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 17:09:42', NULL, NULL), (236653, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 17:09:44', NULL, NULL), (236654, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 17:09:45', NULL, NULL), (236655, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 17:09:46', NULL, NULL), (236656, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 17:09:48', NULL, NULL), (236657, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 17:09:49', NULL, NULL), (236658, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 17:09:51', NULL, NULL), (236659, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 17:09:52', NULL, NULL), (236660, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 17:09:53', NULL, NULL), (236661, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 17:09:55', NULL, NULL), (236662, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 17:09:56', NULL, NULL), (236663, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 17:09:58', NULL, NULL), (236664, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 17:09:59', NULL, NULL), (236665, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 17:10:00', NULL, NULL), (236666, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 17:10:02', NULL, NULL), (236667, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 17:10:03', NULL, NULL), (236668, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 17:10:04', NULL, NULL), (236669, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 17:10:06', NULL, NULL), (236670, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 17:10:07', NULL, NULL), (236671, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 17:10:09', NULL, NULL), (236672, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 17:10:10', NULL, NULL), (236673, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 17:10:11', NULL, NULL), (236674, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 17:10:13', NULL, NULL), (236675, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 17:10:14', NULL, NULL), (236676, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 17:10:15', NULL, NULL), (236677, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 17:10:17', NULL, NULL), (236678, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 17:10:18', NULL, NULL), (236679, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 17:10:20', NULL, NULL), (236680, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 17:10:21', NULL, NULL), (236681, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 17:10:22', NULL, NULL), (236682, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 17:10:24', NULL, NULL), (236683, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 17:10:25', NULL, NULL), (236684, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 1, 2024, 4, 10, '2024-08-05 17:10:26', NULL, NULL), (236685, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 5899, 9, 2024, 4, 11, '2024-08-05 17:10:28', NULL, NULL), (236686, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 902, 29, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236687, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 17:10:33', NULL, NULL), (236688, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 17:10:35', NULL, NULL), (236689, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 13, 3, 2024, 4, 15, '2024-08-05 17:10:36', NULL, NULL), (236690, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 15, 1, 2024, 4, 16, '2024-08-05 17:10:38', NULL, NULL), (236691, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 41, 7, 2024, 4, 17, '2024-08-05 17:10:39', NULL, NULL), (236692, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 105, 2, 2024, 4, 18, '2024-08-05 17:10:41', NULL, NULL), (236693, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 17:10:42', NULL, NULL), (236694, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 17:10:43', NULL, NULL), (236695, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 17:10:43', NULL, NULL), (236696, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 17:10:44', NULL, NULL), (236697, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 38, 2, 2024, 4, 23, '2024-08-05 17:10:45', NULL, NULL), (236698, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 22, 5, 2024, 4, 24, '2024-08-05 17:10:46', NULL, NULL), (236699, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 53, 7, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236700, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 861, 18, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (236701, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 17:10:51', NULL, NULL), (236702, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 18, 3, 2024, 4, 28, '2024-08-05 17:10:52', NULL, NULL), (236703, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 581, 10, 2024, 4, 29, '2024-08-05 17:10:53', NULL, NULL), (236704, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 361, 7, 2024, 4, 30, '2024-08-05 17:10:55', NULL, NULL), (236705, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 17:10:57', NULL, NULL), (236706, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 17:10:58', NULL, NULL), (236707, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 17:10:58', NULL, NULL), (236708, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 17:10:59', NULL, NULL), (236709, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 17:11:00', NULL, NULL), (236710, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 16, 1, 2024, 5, 6, '2024-08-05 17:11:02', NULL, NULL), (236711, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 139, 5, 2024, 5, 7, '2024-08-05 17:11:04', NULL, NULL), (236712, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1878, 3, 2024, 5, 8, '2024-08-05 17:11:06', NULL, NULL), (236713, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 27, 4, 2024, 5, 9, '2024-08-05 17:11:08', NULL, NULL), (236714, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1787, 19, 2024, 5, 10, '2024-08-05 17:11:10', NULL, NULL), (236715, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 467, 8, 2024, 5, 11, '2024-08-05 17:11:13', NULL, NULL), (236716, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 17:11:16', NULL, NULL), (236717, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 935, 18, 2024, 5, 13, '2024-08-05 17:11:17', NULL, NULL), (236718, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 377, 16, 2024, 5, 14, '2024-08-05 17:11:20', NULL, NULL), (236719, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 471, 14, 2024, 5, 15, '2024-08-05 17:11:23', NULL, NULL), (236720, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 835, 14, 2024, 5, 16, '2024-08-05 17:11:26', NULL, NULL), (236721, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 347, 11, 2024, 5, 17, '2024-08-05 17:11:28', NULL, NULL), (236722, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 17:11:31', NULL, NULL), (236723, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 17:11:33', NULL, NULL), (236724, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 157, 13, 2024, 5, 20, '2024-08-05 17:11:34', NULL, NULL), (236725, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1161, 14, 2024, 5, 21, '2024-08-05 17:11:37', NULL, NULL), (236726, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 2586, 9, 2024, 5, 22, '2024-08-05 17:11:39', NULL, NULL), (236727, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 106, 16, 2024, 5, 23, '2024-08-05 17:11:41', NULL, NULL), (236728, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 295, 13, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (236729, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 17:11:44', NULL, NULL), (236730, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 17:11:45', NULL, NULL), (236731, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 80, 7, 2024, 5, 27, '2024-08-05 17:11:46', NULL, NULL), (236732, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 154, 6, 2024, 5, 28, '2024-08-05 17:11:47', NULL, NULL), (236733, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1001, 10, 2024, 5, 29, '2024-08-05 17:11:48', NULL, NULL), (236734, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 84, 7, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (236735, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 2767, 9, 2024, 5, 31, '2024-08-05 17:11:51', NULL, NULL), (236736, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 68, 1, 2024, 6, 1, '2024-08-05 17:11:53', NULL, NULL), (236737, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 17:11:54', NULL, NULL), (236738, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 55, 8, 2024, 6, 3, '2024-08-05 17:11:55', NULL, NULL), (236739, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 85, 11, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (236740, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 30, 13, 2024, 6, 5, '2024-08-05 17:11:58', NULL, NULL), (236741, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1361, 10, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (236742, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 2062, 5, 2024, 6, 7, '2024-08-05 17:12:02', NULL, NULL), (236743, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 17:12:04', NULL, NULL), (236744, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 17:12:05', NULL, NULL), (236745, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 17:12:07', NULL, NULL), (236746, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 51, 15, 2024, 6, 11, '2024-08-05 17:12:11', NULL, NULL), (236747, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 568, 18, 2024, 6, 12, '2024-08-05 17:12:16', NULL, NULL), (236748, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 530, 12, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (236749, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 304, 15, 2024, 6, 14, '2024-08-05 17:12:19', NULL, NULL), (236750, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 17:12:20', NULL, NULL), (236751, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 17:12:21', NULL, NULL), (236752, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 118, 6, 2024, 6, 17, '2024-08-05 17:12:22', NULL, NULL), (236753, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 148, 13, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (236754, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 103, 18, 2024, 6, 19, '2024-08-05 17:12:25', NULL, NULL), (236755, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 847, 19, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (236756, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 325, 14, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (236757, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 17:12:30', NULL, NULL), (236758, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 17:12:31', NULL, NULL), (236759, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 795, 20, 2024, 6, 24, '2024-08-05 17:12:32', NULL, NULL), (236760, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 2265, 20, 2024, 6, 25, '2024-08-05 17:12:34', NULL, NULL), (236761, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 25, 3, 2024, 6, 26, '2024-08-05 17:12:36', NULL, NULL), (236762, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 83, 5, 2024, 6, 27, '2024-08-05 17:12:37', NULL, NULL), (236763, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 437, 12, 2024, 6, 28, '2024-08-05 17:12:39', NULL, NULL), (236764, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 17:12:42', NULL, NULL), (236765, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 17:12:45', NULL, NULL), (236766, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 76, 10, 2024, 7, 1, '2024-08-05 17:12:48', NULL, NULL), (236767, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 31, 7, 2024, 7, 2, '2024-08-05 17:12:53', NULL, NULL), (236768, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 240, 12, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (236769, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 593, 15, 2024, 7, 4, '2024-08-05 17:12:56', NULL, NULL), (236770, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1022, 14, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (236771, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 17:13:00', NULL, NULL), (236772, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 17:13:00', NULL, NULL), (236773, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1595, 13, 2024, 7, 8, '2024-08-05 17:13:01', NULL, NULL), (236774, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 35, 12, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (236775, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 137, 15, 2024, 7, 10, '2024-08-05 17:13:04', NULL, NULL), (236776, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1147, 14, 2024, 7, 11, '2024-08-05 17:13:06', NULL, NULL), (236777, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1980, 8, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (236778, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 17:13:09', NULL, NULL), (236779, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 17:13:10', NULL, NULL), (236780, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1837, 9, 2024, 7, 15, '2024-08-05 17:13:11', NULL, NULL), (236781, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 130, 10, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (236782, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 866, 8, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (236783, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 440, 5, 2024, 7, 18, '2024-08-05 17:13:17', NULL, NULL), (236784, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 568, 8, 2024, 7, 19, '2024-08-05 17:13:20', NULL, NULL), (236785, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 17:13:27', NULL, NULL), (236786, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 17:13:31', NULL, NULL), (236787, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 34, 2, 2024, 7, 22, '2024-08-05 17:13:32', NULL, NULL), (236788, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 3246, 3, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (236789, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1336, 11, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (236790, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 47, 5, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (236791, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 563, 20, 2024, 7, 26, '2024-08-05 17:13:38', NULL, NULL), (236792, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 17:13:40', NULL, NULL), (236793, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 17:13:41', NULL, NULL), (236794, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 83, 9, 2024, 7, 29, '2024-08-05 17:13:42', NULL, NULL), (236795, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1692, 13, 2024, 7, 30, '2024-08-05 17:13:44', NULL, NULL), (236796, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 618, 4, 2024, 7, 31, '2024-08-05 17:13:46', NULL, NULL), (236797, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 440, 2, 2024, 8, 1, '2024-08-05 17:13:48', 1, '2024-08-05 20:14:28'), (236798, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 8166, 12, 2024, 8, 2, '2024-08-05 17:13:49', 1, '2024-08-06 02:01:10'), (236799, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 17:13:51', 1, '2024-08-07 01:00:41'), (236800, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 17:13:52', 1, '2024-08-08 01:00:43'), (236801, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 56, 4, 2024, 8, 5, '2024-08-05 17:13:53', 1, '2024-08-09 01:00:43'), (236802, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 0, 1, 2024, 4, 10, '2024-08-05 17:10:26', NULL, NULL), (236803, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 0, 1, 2024, 4, 10, '2024-08-05 17:10:27', NULL, NULL), (236804, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 7585, 7, 2024, 4, 11, '2024-08-05 17:10:28', NULL, NULL), (236805, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 5899, 9, 2024, 4, 11, '2024-08-05 17:10:28', NULL, NULL), (236806, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 0, 1, 2024, 4, 11, '2024-08-05 17:10:28', NULL, NULL), (236807, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '', 7714, 2, 2024, 4, 11, '2024-08-05 17:10:28', NULL, NULL), (236808, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 0, 1, 2024, 4, 11, '2024-08-05 17:10:28', NULL, NULL), (236809, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 3283, 2, 2024, 4, 11, '2024-08-05 17:10:28', NULL, NULL), (236810, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 10223, 2, 2024, 4, 11, '2024-08-05 17:10:28', NULL, NULL), (236811, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '1', 7714, 2, 2024, 4, 11, '2024-08-05 17:10:28', NULL, NULL), (236812, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 10659, 1, 2024, 4, 11, '2024-08-05 17:10:29', NULL, NULL), (236813, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 10223, 2, 2024, 4, 11, '2024-08-05 17:10:29', NULL, NULL), (236814, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 3283, 2, 2024, 4, 11, '2024-08-05 17:10:28', NULL, NULL), (236815, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 10223, 2, 2024, 4, 11, '2024-08-05 17:10:29', NULL, NULL), (236816, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '', 7714, 2, 2024, 4, 11, '2024-08-05 17:10:29', NULL, NULL), (236817, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 3283, 2, 2024, 4, 11, '2024-08-05 17:10:29', NULL, NULL), (236818, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '4', 3283, 2, 2024, 4, 11, '2024-08-05 17:10:29', NULL, NULL), (236819, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '1', 7714, 2, 2024, 4, 11, '2024-08-05 17:10:29', NULL, NULL), (236820, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 10223, 2, 2024, 4, 11, '2024-08-05 17:10:29', NULL, NULL), (236821, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 3283, 2, 2024, 4, 11, '2024-08-05 17:10:29', NULL, NULL), (236822, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '1', 7714, 2, 2024, 4, 11, '2024-08-05 17:10:29', NULL, NULL), (236823, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 10659, 1, 2024, 4, 11, '2024-08-05 17:10:29', NULL, NULL), (236824, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 10223, 2, 2024, 4, 11, '2024-08-05 17:10:29', NULL, NULL), (236825, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 10223, 2, 2024, 4, 11, '2024-08-05 17:10:29', NULL, NULL), (236826, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '4', 3283, 2, 2024, 4, 11, '2024-08-05 17:10:29', NULL, NULL), (236827, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '1', 7714, 2, 2024, 4, 11, '2024-08-05 17:10:29', NULL, NULL), (236828, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 934, 28, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236829, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 250, 28, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236830, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '公积金服务大厅', '', 19153, 1, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236831, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 9677, 2, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236832, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '', 106, 1, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236833, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 108, 4, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236834, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 281, 4, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236835, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 226, 6, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236836, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 114, 3, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236837, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 122, 2, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236838, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '1', 106, 1, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236839, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 473, 9, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236840, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 4899, 4, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236841, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 116, 6, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236842, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 254, 5, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236843, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 76, 3, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236844, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 122, 2, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236845, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 9677, 2, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236846, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '', 106, 1, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236847, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 114, 3, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236848, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 281, 4, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236849, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 226, 6, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236850, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 108, 4, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236851, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '4', 132, 2, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236852, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 272, 4, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236853, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 353, 3, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236854, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 9677, 2, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236855, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '1', 106, 1, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236856, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 108, 4, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236857, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 122, 2, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236858, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '5', 180, 1, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236859, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 81, 2, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236860, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '6', 66, 1, 2024, 4, 12, '2024-08-05 17:10:31', NULL, NULL), (236861, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 116, 6, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236862, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 254, 5, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236863, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 76, 3, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236864, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '1', 106, 1, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236865, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 473, 9, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236866, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 4899, 4, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236867, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 108, 4, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236868, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '5', 180, 1, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236869, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 81, 2, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236870, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 272, 4, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236871, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '6', 66, 1, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236872, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '4', 132, 2, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236873, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 122, 2, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236874, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 353, 3, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236875, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '1', 106, 1, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236876, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 9677, 2, 2024, 4, 12, '2024-08-05 17:10:32', NULL, NULL), (236877, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 20, 2, 2024, 4, 15, '2024-08-05 17:10:36', NULL, NULL), (236878, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 13, 3, 2024, 4, 15, '2024-08-05 17:10:36', NULL, NULL), (236879, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 0, 1, 2024, 4, 15, '2024-08-05 17:10:36', NULL, NULL), (236880, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 32, 1, 2024, 4, 15, '2024-08-05 17:10:37', NULL, NULL), (236881, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 9, 1, 2024, 4, 15, '2024-08-05 17:10:37', NULL, NULL), (236882, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 9, 1, 2024, 4, 15, '2024-08-05 17:10:37', NULL, NULL), (236883, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 32, 1, 2024, 4, 15, '2024-08-05 17:10:37', NULL, NULL), (236884, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 9, 1, 2024, 4, 15, '2024-08-05 17:10:37', NULL, NULL), (236885, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 32, 1, 2024, 4, 15, '2024-08-05 17:10:37', NULL, NULL), (236886, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 32, 1, 2024, 4, 15, '2024-08-05 17:10:37', NULL, NULL), (236887, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 9, 1, 2024, 4, 15, '2024-08-05 17:10:37', NULL, NULL), (236888, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 32, 1, 2024, 4, 15, '2024-08-05 17:10:37', NULL, NULL), (236889, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 9, 1, 2024, 4, 15, '2024-08-05 17:10:37', NULL, NULL), (236890, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 32, 1, 2024, 4, 15, '2024-08-05 17:10:37', NULL, NULL), (236891, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 9, 1, 2024, 4, 15, '2024-08-05 17:10:37', NULL, NULL), (236892, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 15, 1, 2024, 4, 16, '2024-08-05 17:10:38', NULL, NULL), (236893, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 15, 1, 2024, 4, 16, '2024-08-05 17:10:38', NULL, NULL), (236894, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 15, 1, 2024, 4, 16, '2024-08-05 17:10:38', NULL, NULL), (236895, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 15, 1, 2024, 4, 16, '2024-08-05 17:10:38', NULL, NULL), (236896, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 15, 1, 2024, 4, 16, '2024-08-05 17:10:38', NULL, NULL), (236897, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 15, 1, 2024, 4, 16, '2024-08-05 17:10:38', NULL, NULL), (236898, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 15, 1, 2024, 4, 16, '2024-08-05 17:10:38', NULL, NULL), (236899, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 15, 1, 2024, 4, 16, '2024-08-05 17:10:38', NULL, NULL), (236900, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 41, 7, 2024, 4, 17, '2024-08-05 17:10:39', NULL, NULL), (236901, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 41, 7, 2024, 4, 17, '2024-08-05 17:10:39', NULL, NULL), (236902, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 47, 3, 2024, 4, 17, '2024-08-05 17:10:39', NULL, NULL), (236903, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 32, 1, 2024, 4, 17, '2024-08-05 17:10:39', NULL, NULL), (236904, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '', 81, 1, 2024, 4, 17, '2024-08-05 17:10:39', NULL, NULL), (236905, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 19, 2, 2024, 4, 17, '2024-08-05 17:10:39', NULL, NULL), (236906, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '1', 81, 1, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236907, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 32, 1, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236908, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 19, 2, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236909, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 47, 3, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236910, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 19, 2, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236911, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '', 81, 1, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236912, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 32, 1, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236913, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 47, 3, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236914, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 32, 1, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236915, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 47, 3, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236916, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '1', 81, 1, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236917, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 19, 2, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236918, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 47, 3, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236919, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '1', 81, 1, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236920, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 32, 1, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236921, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 19, 2, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236922, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 47, 3, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236923, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 19, 2, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236924, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 32, 1, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236925, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '1', 81, 1, 2024, 4, 17, '2024-08-05 17:10:40', NULL, NULL), (236926, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 105, 2, 2024, 4, 18, '2024-08-05 17:10:41', NULL, NULL), (236927, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 105, 2, 2024, 4, 18, '2024-08-05 17:10:41', NULL, NULL), (236928, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '', 60, 1, 2024, 4, 18, '2024-08-05 17:10:41', NULL, NULL), (236929, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '乡村振兴宅基地管理办（周一至周三）', '', '', '', 150, 1, 2024, 4, 18, '2024-08-05 17:10:41', NULL, NULL), (236930, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '1', 60, 1, 2024, 4, 18, '2024-08-05 17:10:41', NULL, NULL), (236931, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '7', 150, 1, 2024, 4, 18, '2024-08-05 17:10:41', NULL, NULL), (236932, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '乡村振兴宅基地管理办（周一至周三）', '象鼻街道综合便民服务中心', '', '', 150, 1, 2024, 4, 18, '2024-08-05 17:10:41', NULL, NULL), (236933, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '', 60, 1, 2024, 4, 18, '2024-08-05 17:10:41', NULL, NULL), (236934, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '1', 60, 1, 2024, 4, 18, '2024-08-05 17:10:41', NULL, NULL), (236935, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '乡村振兴宅基地管理办（周一至周三）', '', '', '7', 150, 1, 2024, 4, 18, '2024-08-05 17:10:41', NULL, NULL), (236936, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '7', 150, 1, 2024, 4, 18, '2024-08-05 17:10:41', NULL, NULL), (236937, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '1', 60, 1, 2024, 4, 18, '2024-08-05 17:10:41', NULL, NULL), (236938, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '1', 60, 1, 2024, 4, 18, '2024-08-05 17:10:41', NULL, NULL), (236939, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '乡村振兴宅基地管理办（周一至周三）', '象鼻街道综合便民服务中心', '', '7', 150, 1, 2024, 4, 18, '2024-08-05 17:10:41', NULL, NULL), (236940, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 38, 2, 2024, 4, 23, '2024-08-05 17:10:45', NULL, NULL), (236941, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 38, 2, 2024, 4, 23, '2024-08-05 17:10:45', NULL, NULL), (236942, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 19, 1, 2024, 4, 23, '2024-08-05 17:10:45', NULL, NULL), (236943, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 57, 1, 2024, 4, 23, '2024-08-05 17:10:45', NULL, NULL), (236944, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 57, 1, 2024, 4, 23, '2024-08-05 17:10:45', NULL, NULL), (236945, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 19, 1, 2024, 4, 23, '2024-08-05 17:10:45', NULL, NULL), (236946, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 57, 1, 2024, 4, 23, '2024-08-05 17:10:45', NULL, NULL), (236947, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 19, 1, 2024, 4, 23, '2024-08-05 17:10:45', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (236948, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 57, 1, 2024, 4, 23, '2024-08-05 17:10:45', NULL, NULL), (236949, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 19, 1, 2024, 4, 23, '2024-08-05 17:10:45', NULL, NULL), (236950, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 19, 1, 2024, 4, 23, '2024-08-05 17:10:45', NULL, NULL), (236951, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 57, 1, 2024, 4, 23, '2024-08-05 17:10:45', NULL, NULL), (236952, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 19, 1, 2024, 4, 23, '2024-08-05 17:10:46', NULL, NULL), (236953, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 57, 1, 2024, 4, 23, '2024-08-05 17:10:46', NULL, NULL), (236954, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 22, 5, 2024, 4, 24, '2024-08-05 17:10:46', NULL, NULL), (236955, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 22, 5, 2024, 4, 24, '2024-08-05 17:10:46', NULL, NULL), (236956, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 70, 1, 2024, 4, 24, '2024-08-05 17:10:46', NULL, NULL), (236957, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '', 11, 1, 2024, 4, 24, '2024-08-05 17:10:46', NULL, NULL), (236958, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 13, 2, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236959, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 4, 1, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236960, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '1', 11, 1, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236961, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 70, 1, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236962, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 4, 1, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236963, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 13, 2, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236964, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 4, 1, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236965, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '', 11, 1, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236966, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 70, 1, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236967, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 13, 2, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236968, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 13, 2, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236969, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 70, 1, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236970, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '1', 11, 1, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236971, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 4, 1, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236972, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 13, 2, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236973, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '1', 11, 1, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236974, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 70, 1, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236975, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 4, 1, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236976, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 13, 2, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236977, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 4, 1, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236978, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 70, 1, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236979, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '1', 11, 1, 2024, 4, 24, '2024-08-05 17:10:47', NULL, NULL), (236980, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 53, 7, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236981, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 53, 7, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236982, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '自规所（周五）', '', '', '', 35, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236983, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 6, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236984, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 120, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236985, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '', 11, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236986, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 185, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236987, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 14, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236988, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 5, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236989, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '1', 11, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236990, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 120, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236991, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 5, 2, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236992, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 14, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236993, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 185, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236994, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '7', 35, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236995, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 5, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236996, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 6, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236997, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '自规所（周五）', '象鼻街道综合便民服务中心', '', '', 35, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236998, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '', 11, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (236999, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 120, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (237000, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 185, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (237001, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 14, 1, 2024, 4, 25, '2024-08-05 17:10:48', NULL, NULL), (237002, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 14, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237003, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 120, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237004, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 6, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237005, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '1', 11, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237006, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 5, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237007, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 185, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237008, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '自规所（周五）', '', '', '7', 35, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237009, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 14, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237010, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 185, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237011, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '7', 35, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237012, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '1', 11, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237013, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 120, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237014, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 5, 2, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237015, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '自规所（周五）', '象鼻街道综合便民服务中心', '', '7', 35, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237016, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 185, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237017, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 14, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237018, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 5, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237019, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 120, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237020, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '1', 11, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237021, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 6, 1, 2024, 4, 25, '2024-08-05 17:10:49', NULL, NULL), (237022, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 911, 17, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237023, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 861, 18, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237024, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '自规所（周五）', '', '', '', 0, 1, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237025, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 41, 6, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237026, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 474, 1, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237027, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 102, 7, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237028, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 7018, 2, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237029, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 22, 1, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237030, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 102, 7, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237031, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 38, 7, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237032, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 474, 1, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237033, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 7018, 2, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237034, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 22, 1, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237035, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 41, 6, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237036, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 102, 7, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237037, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 474, 1, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237038, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 7018, 2, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237039, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 7018, 2, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237040, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 41, 6, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237041, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 102, 7, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237042, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 474, 1, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237043, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 22, 1, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237044, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 474, 1, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237045, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 7018, 2, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237046, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 102, 7, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237047, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 38, 7, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237048, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 474, 1, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237049, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 7018, 2, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237050, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 22, 1, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237051, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 41, 6, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237052, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 102, 7, 2024, 4, 26, '2024-08-05 17:10:50', NULL, NULL), (237053, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 18, 3, 2024, 4, 28, '2024-08-05 17:10:52', NULL, NULL), (237054, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 18, 3, 2024, 4, 28, '2024-08-05 17:10:52', NULL, NULL), (237055, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 18, 3, 2024, 4, 28, '2024-08-05 17:10:52', NULL, NULL), (237056, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 18, 3, 2024, 4, 28, '2024-08-05 17:10:52', NULL, NULL), (237057, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 18, 3, 2024, 4, 28, '2024-08-05 17:10:52', NULL, NULL), (237058, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 18, 3, 2024, 4, 28, '2024-08-05 17:10:52', NULL, NULL), (237059, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 18, 3, 2024, 4, 28, '2024-08-05 17:10:52', NULL, NULL), (237060, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 18, 3, 2024, 4, 28, '2024-08-05 17:10:52', NULL, NULL), (237061, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 646, 9, 2024, 4, 29, '2024-08-05 17:10:53', NULL, NULL), (237062, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 581, 10, 2024, 4, 29, '2024-08-05 17:10:53', NULL, NULL), (237063, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 1105, 4, 2024, 4, 29, '2024-08-05 17:10:53', NULL, NULL), (237064, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 61, 1, 2024, 4, 29, '2024-08-05 17:10:53', NULL, NULL), (237065, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '', 20, 1, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237066, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 259, 2, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237067, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 794, 1, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237068, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 0, 1, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237069, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '1', 20, 1, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237070, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 61, 1, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237071, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 1105, 4, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237072, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 259, 2, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237073, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 794, 1, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237074, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 1105, 4, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237075, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '', 20, 1, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237076, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 61, 1, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237077, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 794, 1, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237078, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 259, 2, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237079, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 794, 1, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237080, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 61, 1, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237081, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 1105, 4, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237082, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '1', 20, 1, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237083, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 259, 2, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237084, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 259, 2, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237085, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 794, 1, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237086, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '1', 20, 1, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237087, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 61, 1, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237088, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 1105, 4, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237089, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 259, 2, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237090, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 794, 1, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237091, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 61, 1, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237092, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '1', 20, 1, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237093, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 1105, 4, 2024, 4, 29, '2024-08-05 17:10:54', NULL, NULL), (237094, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 632, 4, 2024, 4, 30, '2024-08-05 17:10:55', NULL, NULL), (237095, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 361, 7, 2024, 4, 30, '2024-08-05 17:10:55', NULL, NULL), (237096, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 20, 2, 2024, 4, 30, '2024-08-05 17:10:55', NULL, NULL), (237097, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 604, 3, 2024, 4, 30, '2024-08-05 17:10:55', NULL, NULL), (237098, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 643, 1, 2024, 4, 30, '2024-08-05 17:10:55', NULL, NULL), (237099, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 36, 1, 2024, 4, 30, '2024-08-05 17:10:55', NULL, NULL), (237100, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 643, 1, 2024, 4, 30, '2024-08-05 17:10:55', NULL, NULL), (237101, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 38, 2, 2024, 4, 30, '2024-08-05 17:10:55', NULL, NULL), (237102, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 1812, 1, 2024, 4, 30, '2024-08-05 17:10:55', NULL, NULL), (237103, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 36, 1, 2024, 4, 30, '2024-08-05 17:10:56', NULL, NULL), (237104, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 40, 1, 2024, 4, 30, '2024-08-05 17:10:56', NULL, NULL), (237105, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 643, 1, 2024, 4, 30, '2024-08-05 17:10:56', NULL, NULL), (237106, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 1812, 1, 2024, 4, 30, '2024-08-05 17:10:56', NULL, NULL), (237107, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 643, 1, 2024, 4, 30, '2024-08-05 17:10:56', NULL, NULL), (237108, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 40, 1, 2024, 4, 30, '2024-08-05 17:10:56', NULL, NULL), (237109, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 1812, 1, 2024, 4, 30, '2024-08-05 17:10:56', NULL, NULL), (237110, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 36, 1, 2024, 4, 30, '2024-08-05 17:10:56', NULL, NULL), (237111, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 1812, 1, 2024, 4, 30, '2024-08-05 17:10:56', NULL, NULL), (237112, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 643, 1, 2024, 4, 30, '2024-08-05 17:10:56', NULL, NULL), (237113, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 38, 2, 2024, 4, 30, '2024-08-05 17:10:56', NULL, NULL), (237114, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 1812, 1, 2024, 4, 30, '2024-08-05 17:10:56', NULL, NULL), (237115, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 36, 1, 2024, 4, 30, '2024-08-05 17:10:56', NULL, NULL), (237116, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 643, 1, 2024, 4, 30, '2024-08-05 17:10:56', NULL, NULL), (237117, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 40, 1, 2024, 4, 30, '2024-08-05 17:10:56', NULL, NULL), (237118, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 16, 1, 2024, 5, 6, '2024-08-05 17:11:02', NULL, NULL), (237119, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 16, 1, 2024, 5, 6, '2024-08-05 17:11:02', NULL, NULL), (237120, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 16, 1, 2024, 5, 6, '2024-08-05 17:11:02', NULL, NULL), (237121, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 16, 1, 2024, 5, 6, '2024-08-05 17:11:02', NULL, NULL), (237122, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 16, 1, 2024, 5, 6, '2024-08-05 17:11:02', NULL, NULL), (237123, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 16, 1, 2024, 5, 6, '2024-08-05 17:11:02', NULL, NULL), (237124, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 16, 1, 2024, 5, 6, '2024-08-05 17:11:02', NULL, NULL), (237125, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 16, 1, 2024, 5, 6, '2024-08-05 17:11:02', NULL, NULL), (237126, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 139, 5, 2024, 5, 7, '2024-08-05 17:11:04', NULL, NULL), (237127, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 139, 5, 2024, 5, 7, '2024-08-05 17:11:04', NULL, NULL), (237128, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 78, 2, 2024, 5, 7, '2024-08-05 17:11:04', NULL, NULL), (237129, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '乡村振兴宅基地管理办（周一至周三）', '', '', '', 179, 3, 2024, 5, 7, '2024-08-05 17:11:04', NULL, NULL), (237130, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 78, 2, 2024, 5, 7, '2024-08-05 17:11:04', NULL, NULL), (237131, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '7', 179, 3, 2024, 5, 7, '2024-08-05 17:11:04', NULL, NULL), (237132, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 78, 2, 2024, 5, 7, '2024-08-05 17:11:04', NULL, NULL), (237133, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '乡村振兴宅基地管理办（周一至周三）', '象鼻街道综合便民服务中心', '', '', 179, 3, 2024, 5, 7, '2024-08-05 17:11:04', NULL, NULL), (237134, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 78, 2, 2024, 5, 7, '2024-08-05 17:11:04', NULL, NULL), (237135, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '乡村振兴宅基地管理办（周一至周三）', '', '', '7', 179, 3, 2024, 5, 7, '2024-08-05 17:11:04', NULL, NULL), (237136, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '7', 179, 3, 2024, 5, 7, '2024-08-05 17:11:04', NULL, NULL), (237137, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 78, 2, 2024, 5, 7, '2024-08-05 17:11:04', NULL, NULL), (237138, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 78, 2, 2024, 5, 7, '2024-08-05 17:11:04', NULL, NULL), (237139, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '乡村振兴宅基地管理办（周一至周三）', '象鼻街道综合便民服务中心', '', '7', 179, 3, 2024, 5, 7, '2024-08-05 17:11:05', NULL, NULL), (237140, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 1878, 3, 2024, 5, 8, '2024-08-05 17:11:06', NULL, NULL), (237141, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 1878, 3, 2024, 5, 8, '2024-08-05 17:11:06', NULL, NULL), (237142, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 1878, 3, 2024, 5, 8, '2024-08-05 17:11:06', NULL, NULL), (237143, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 1878, 3, 2024, 5, 8, '2024-08-05 17:11:06', NULL, NULL), (237144, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 1878, 3, 2024, 5, 8, '2024-08-05 17:11:06', NULL, NULL), (237145, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 1878, 3, 2024, 5, 8, '2024-08-05 17:11:06', NULL, NULL), (237146, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 1878, 3, 2024, 5, 8, '2024-08-05 17:11:06', NULL, NULL), (237147, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 1878, 3, 2024, 5, 8, '2024-08-05 17:11:06', NULL, NULL), (237148, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 27, 4, 2024, 5, 9, '2024-08-05 17:11:08', NULL, NULL), (237149, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 27, 4, 2024, 5, 9, '2024-08-05 17:11:08', NULL, NULL), (237150, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 19, 1, 2024, 5, 9, '2024-08-05 17:11:08', NULL, NULL), (237151, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 7, 1, 2024, 5, 9, '2024-08-05 17:11:08', NULL, NULL), (237152, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 13, 1, 2024, 5, 9, '2024-08-05 17:11:08', NULL, NULL), (237153, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 70, 1, 2024, 5, 9, '2024-08-05 17:11:08', NULL, NULL), (237154, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 19, 1, 2024, 5, 9, '2024-08-05 17:11:08', NULL, NULL), (237155, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 70, 1, 2024, 5, 9, '2024-08-05 17:11:08', NULL, NULL), (237156, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 7, 1, 2024, 5, 9, '2024-08-05 17:11:08', NULL, NULL), (237157, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 13, 1, 2024, 5, 9, '2024-08-05 17:11:08', NULL, NULL), (237158, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 70, 1, 2024, 5, 9, '2024-08-05 17:11:08', NULL, NULL), (237159, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 19, 1, 2024, 5, 9, '2024-08-05 17:11:08', NULL, NULL), (237160, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 7, 1, 2024, 5, 9, '2024-08-05 17:11:08', NULL, NULL), (237161, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 13, 1, 2024, 5, 9, '2024-08-05 17:11:09', NULL, NULL), (237162, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 13, 1, 2024, 5, 9, '2024-08-05 17:11:09', NULL, NULL), (237163, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 19, 1, 2024, 5, 9, '2024-08-05 17:11:09', NULL, NULL), (237164, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 7, 1, 2024, 5, 9, '2024-08-05 17:11:09', NULL, NULL), (237165, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 70, 1, 2024, 5, 9, '2024-08-05 17:11:09', NULL, NULL), (237166, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 7, 1, 2024, 5, 9, '2024-08-05 17:11:09', NULL, NULL), (237167, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 13, 1, 2024, 5, 9, '2024-08-05 17:11:09', NULL, NULL), (237168, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 19, 1, 2024, 5, 9, '2024-08-05 17:11:09', NULL, NULL), (237169, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 70, 1, 2024, 5, 9, '2024-08-05 17:11:09', NULL, NULL), (237170, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 7, 1, 2024, 5, 9, '2024-08-05 17:11:09', NULL, NULL), (237171, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 13, 1, 2024, 5, 9, '2024-08-05 17:11:09', NULL, NULL), (237172, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 70, 1, 2024, 5, 9, '2024-08-05 17:11:09', NULL, NULL), (237173, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 19, 1, 2024, 5, 9, '2024-08-05 17:11:09', NULL, NULL), (237174, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 1787, 19, 2024, 5, 10, '2024-08-05 17:11:10', NULL, NULL), (237175, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 1787, 19, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237176, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '司法（周四）', '', '', '', 322, 1, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237177, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 1554, 9, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237178, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '', 726, 3, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237179, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '乡村振兴宅基地管理办（周一至周三）', '', '', '', 723, 2, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237180, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 8, 2, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237181, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 15984, 1, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237182, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 19, 1, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237183, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '1', 726, 3, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237184, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 1400, 10, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237185, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 8, 2, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237186, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 15984, 1, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237187, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '7', 589, 3, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237188, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 19, 1, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237189, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 1554, 9, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237190, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '乡村振兴宅基地管理办（周一至周三）', '象鼻街道综合便民服务中心', '', '', 723, 2, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237191, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '', 726, 3, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237192, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 15984, 1, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237193, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '司法（周四）', '象鼻街道综合便民服务中心', '', '', 322, 1, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237194, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 8, 2, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237195, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 8, 2, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237196, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 1554, 9, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237197, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '1', 726, 3, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237198, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 19, 1, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237199, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '司法（周四）', '', '', '7', 322, 1, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237200, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 15984, 1, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237201, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '乡村振兴宅基地管理办（周一至周三）', '', '', '7', 723, 2, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237202, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 8, 2, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237203, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 15984, 1, 2024, 5, 10, '2024-08-05 17:11:12', NULL, NULL), (237204, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '7', 589, 3, 2024, 5, 10, '2024-08-05 17:11:12', NULL, NULL), (237205, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '1', 726, 3, 2024, 5, 10, '2024-08-05 17:11:11', NULL, NULL), (237206, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 1400, 10, 2024, 5, 10, '2024-08-05 17:11:12', NULL, NULL), (237207, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 15984, 1, 2024, 5, 10, '2024-08-05 17:11:12', NULL, NULL), (237208, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '司法（周四）', '象鼻街道综合便民服务中心', '', '7', 322, 1, 2024, 5, 10, '2024-08-05 17:11:12', NULL, NULL), (237209, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 8, 2, 2024, 5, 10, '2024-08-05 17:11:12', NULL, NULL), (237210, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 19, 1, 2024, 5, 10, '2024-08-05 17:11:12', NULL, NULL), (237211, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 1554, 9, 2024, 5, 10, '2024-08-05 17:11:12', NULL, NULL), (237212, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '1', 726, 3, 2024, 5, 10, '2024-08-05 17:11:12', NULL, NULL), (237213, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '乡村振兴宅基地管理办（周一至周三）', '象鼻街道综合便民服务中心', '', '7', 723, 2, 2024, 5, 10, '2024-08-05 17:11:12', NULL, NULL), (237214, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 467, 8, 2024, 5, 11, '2024-08-05 17:11:13', NULL, NULL), (237215, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 467, 8, 2024, 5, 11, '2024-08-05 17:11:13', NULL, NULL), (237216, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 19, 5, 2024, 5, 11, '2024-08-05 17:11:13', NULL, NULL), (237217, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 946, 1, 2024, 5, 11, '2024-08-05 17:11:13', NULL, NULL), (237218, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 1347, 2, 2024, 5, 11, '2024-08-05 17:11:14', NULL, NULL), (237219, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 398, 7, 2024, 5, 11, '2024-08-05 17:11:14', NULL, NULL), (237220, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 946, 1, 2024, 5, 11, '2024-08-05 17:11:14', NULL, NULL), (237221, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 1347, 2, 2024, 5, 11, '2024-08-05 17:11:14', NULL, NULL), (237222, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 19, 5, 2024, 5, 11, '2024-08-05 17:11:14', NULL, NULL), (237223, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 946, 1, 2024, 5, 11, '2024-08-05 17:11:14', NULL, NULL), (237224, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 19, 5, 2024, 5, 11, '2024-08-05 17:11:14', NULL, NULL), (237225, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 946, 1, 2024, 5, 11, '2024-08-05 17:11:14', NULL, NULL), (237226, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 1347, 2, 2024, 5, 11, '2024-08-05 17:11:14', NULL, NULL), (237227, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 946, 1, 2024, 5, 11, '2024-08-05 17:11:14', NULL, NULL), (237228, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 398, 7, 2024, 5, 11, '2024-08-05 17:11:14', NULL, NULL), (237229, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 946, 1, 2024, 5, 11, '2024-08-05 17:11:14', NULL, NULL), (237230, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 1347, 2, 2024, 5, 11, '2024-08-05 17:11:14', NULL, NULL), (237231, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 19, 5, 2024, 5, 11, '2024-08-05 17:11:14', NULL, NULL), (237232, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 935, 18, 2024, 5, 13, '2024-08-05 17:11:17', NULL, NULL), (237233, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 935, 18, 2024, 5, 13, '2024-08-05 17:11:17', NULL, NULL), (237234, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '司法（周四）', '', '', '', 189, 2, 2024, 5, 13, '2024-08-05 17:11:17', NULL, NULL), (237235, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 1563, 9, 2024, 5, 13, '2024-08-05 17:11:17', NULL, NULL), (237236, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 755, 3, 2024, 5, 13, '2024-08-05 17:11:17', NULL, NULL), (237237, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '', 19, 1, 2024, 5, 13, '2024-08-05 17:11:17', NULL, NULL), (237238, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '乡村振兴宅基地管理办（周一至周三）', '', '', '', 53, 1, 2024, 5, 13, '2024-08-05 17:11:17', NULL, NULL), (237239, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 34, 1, 2024, 5, 13, '2024-08-05 17:11:17', NULL, NULL), (237240, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 19, 1, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237241, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '1', 19, 1, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237242, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 755, 3, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237243, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 1563, 9, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237244, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 34, 1, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237245, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 19, 1, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237246, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '7', 144, 3, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237247, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 1563, 9, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237248, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '乡村振兴宅基地管理办（周一至周三）', '象鼻街道综合便民服务中心', '', '', 53, 1, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237249, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '', 19, 1, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237250, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 755, 3, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237251, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 19, 1, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237252, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '司法（周四）', '象鼻街道综合便民服务中心', '', '', 189, 2, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237253, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 34, 1, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237254, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 755, 3, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237255, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 1563, 9, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237256, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '1', 19, 1, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237257, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 34, 1, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237258, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '司法（周四）', '', '', '7', 189, 2, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237259, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 19, 1, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237260, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '乡村振兴宅基地管理办（周一至周三）', '', '', '7', 53, 1, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237261, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 34, 1, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237262, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 19, 1, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237263, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '7', 144, 3, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237264, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '1', 19, 1, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237265, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 755, 3, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237266, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 1563, 9, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237267, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 34, 1, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237268, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 19, 1, 2024, 5, 13, '2024-08-05 17:11:19', NULL, NULL), (237269, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '司法（周四）', '象鼻街道综合便民服务中心', '', '7', 189, 2, 2024, 5, 13, '2024-08-05 17:11:19', NULL, NULL), (237270, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 755, 3, 2024, 5, 13, '2024-08-05 17:11:18', NULL, NULL), (237271, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '1', 19, 1, 2024, 5, 13, '2024-08-05 17:11:19', NULL, NULL), (237272, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '乡村振兴宅基地管理办（周一至周三）', '象鼻街道综合便民服务中心', '', '7', 53, 1, 2024, 5, 13, '2024-08-05 17:11:19', NULL, NULL), (237273, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 1563, 9, 2024, 5, 13, '2024-08-05 17:11:19', NULL, NULL), (237274, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 377, 16, 2024, 5, 14, '2024-08-05 17:11:20', NULL, NULL), (237275, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 377, 16, 2024, 5, 14, '2024-08-05 17:11:20', NULL, NULL), (237276, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 1132, 4, 2024, 5, 14, '2024-08-05 17:11:20', NULL, NULL), (237277, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 6, 1, 2024, 5, 14, '2024-08-05 17:11:20', NULL, NULL), (237278, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 175, 3, 2024, 5, 14, '2024-08-05 17:11:20', NULL, NULL), (237279, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 94, 6, 2024, 5, 14, '2024-08-05 17:11:20', NULL, NULL), (237280, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 251, 1, 2024, 5, 14, '2024-08-05 17:11:20', NULL, NULL), (237281, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 158, 1, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237282, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 175, 3, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237283, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 937, 5, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237284, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 6, 1, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237285, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 251, 1, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237286, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 94, 6, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237287, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 158, 1, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237288, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 1132, 4, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237289, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 175, 3, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237290, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 94, 6, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237291, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 6, 1, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237292, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 251, 1, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237293, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 251, 1, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237294, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 175, 3, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237295, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 1132, 4, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237296, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 6, 1, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237297, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 158, 1, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237298, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 94, 6, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237299, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 6, 1, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237300, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 251, 1, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237301, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 94, 6, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237302, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 175, 3, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (237303, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 937, 5, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237304, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 6, 1, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237305, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 94, 6, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237306, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 251, 1, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237307, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 158, 1, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237308, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 175, 3, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237309, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 1132, 4, 2024, 5, 14, '2024-08-05 17:11:21', NULL, NULL), (237310, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 471, 14, 2024, 5, 15, '2024-08-05 17:11:23', NULL, NULL), (237311, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 471, 14, 2024, 5, 15, '2024-08-05 17:11:23', NULL, NULL), (237312, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 8, 2, 2024, 5, 15, '2024-08-05 17:11:23', NULL, NULL), (237313, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 164, 1, 2024, 5, 15, '2024-08-05 17:11:23', NULL, NULL), (237314, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 253, 3, 2024, 5, 15, '2024-08-05 17:11:23', NULL, NULL), (237315, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 881, 2, 2024, 5, 15, '2024-08-05 17:11:23', NULL, NULL), (237316, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 723, 5, 2024, 5, 15, '2024-08-05 17:11:23', NULL, NULL), (237317, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 287, 1, 2024, 5, 15, '2024-08-05 17:11:23', NULL, NULL), (237318, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 253, 3, 2024, 5, 15, '2024-08-05 17:11:23', NULL, NULL), (237319, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 101, 3, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237320, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 164, 1, 2024, 5, 15, '2024-08-05 17:11:23', NULL, NULL), (237321, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 881, 2, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237322, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 723, 5, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237323, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 287, 1, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237324, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 8, 2, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237325, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 723, 5, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237326, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 253, 3, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237327, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 164, 1, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237328, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 881, 2, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237329, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 881, 2, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237330, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 8, 2, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237331, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 253, 3, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237332, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 164, 1, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237333, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 287, 1, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237334, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 723, 5, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237335, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 164, 1, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237336, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 881, 2, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237337, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 723, 5, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237338, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 253, 3, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237339, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 101, 3, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237340, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 164, 1, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237341, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 723, 5, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237342, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 881, 2, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237343, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 287, 1, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237344, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 8, 2, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237345, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 253, 3, 2024, 5, 15, '2024-08-05 17:11:24', NULL, NULL), (237346, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 900, 13, 2024, 5, 16, '2024-08-05 17:11:26', NULL, NULL), (237347, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 900, 13, 2024, 5, 16, '2024-08-05 17:11:26', NULL, NULL), (237348, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '公安综合服务大厅', '', 0, 1, 2024, 5, 16, '2024-08-05 17:11:26', NULL, NULL), (237349, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 21, 1, 2024, 5, 16, '2024-08-05 17:11:26', NULL, NULL), (237350, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 50, 1, 2024, 5, 16, '2024-08-05 17:11:26', NULL, NULL), (237351, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '乡村振兴宅基地管理办（周一至周三）', '', '', '', 0, 1, 2024, 5, 16, '2024-08-05 17:11:26', NULL, NULL), (237352, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 1061, 1, 2024, 5, 16, '2024-08-05 17:11:26', NULL, NULL), (237353, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 504, 8, 2024, 5, 16, '2024-08-05 17:11:26', NULL, NULL), (237354, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 3265, 2, 2024, 5, 16, '2024-08-05 17:11:26', NULL, NULL), (237355, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 50, 1, 2024, 5, 16, '2024-08-05 17:11:26', NULL, NULL), (237356, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 2184, 3, 2024, 5, 16, '2024-08-05 17:11:26', NULL, NULL), (237357, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 1061, 1, 2024, 5, 16, '2024-08-05 17:11:26', NULL, NULL), (237358, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 504, 8, 2024, 5, 16, '2024-08-05 17:11:26', NULL, NULL), (237359, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 3265, 2, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237360, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 21, 1, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237361, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 50, 1, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237362, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 504, 8, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237363, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 1061, 1, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237364, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 1061, 1, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237365, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 50, 1, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237366, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 21, 1, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237367, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 3265, 2, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237368, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 504, 8, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237369, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 1061, 1, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237370, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 504, 8, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237371, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 50, 1, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237372, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 2184, 3, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237373, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 504, 8, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237374, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 1061, 1, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237375, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 3265, 2, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237376, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 50, 1, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237377, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 21, 1, 2024, 5, 16, '2024-08-05 17:11:27', NULL, NULL), (237378, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 347, 11, 2024, 5, 17, '2024-08-05 17:11:29', NULL, NULL), (237379, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 347, 11, 2024, 5, 17, '2024-08-05 17:11:29', NULL, NULL), (237380, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 633, 1, 2024, 5, 17, '2024-08-05 17:11:29', NULL, NULL), (237381, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 2128, 1, 2024, 5, 17, '2024-08-05 17:11:29', NULL, NULL), (237382, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 22, 2, 2024, 5, 17, '2024-08-05 17:11:29', NULL, NULL), (237383, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 145, 7, 2024, 5, 17, '2024-08-05 17:11:29', NULL, NULL), (237384, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 633, 1, 2024, 5, 17, '2024-08-05 17:11:29', NULL, NULL), (237385, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 2128, 1, 2024, 5, 17, '2024-08-05 17:11:29', NULL, NULL), (237386, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 22, 2, 2024, 5, 17, '2024-08-05 17:11:29', NULL, NULL), (237387, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 145, 7, 2024, 5, 17, '2024-08-05 17:11:29', NULL, NULL), (237388, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 633, 1, 2024, 5, 17, '2024-08-05 17:11:29', NULL, NULL), (237389, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 145, 7, 2024, 5, 17, '2024-08-05 17:11:29', NULL, NULL), (237390, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 2128, 1, 2024, 5, 17, '2024-08-05 17:11:29', NULL, NULL), (237391, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 22, 2, 2024, 5, 17, '2024-08-05 17:11:29', NULL, NULL), (237392, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 22, 2, 2024, 5, 17, '2024-08-05 17:11:29', NULL, NULL), (237393, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 633, 1, 2024, 5, 17, '2024-08-05 17:11:29', NULL, NULL), (237394, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 2128, 1, 2024, 5, 17, '2024-08-05 17:11:29', NULL, NULL), (237395, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 145, 7, 2024, 5, 17, '2024-08-05 17:11:29', NULL, NULL), (237396, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 2128, 1, 2024, 5, 17, '2024-08-05 17:11:30', NULL, NULL), (237397, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 22, 2, 2024, 5, 17, '2024-08-05 17:11:30', NULL, NULL), (237398, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 145, 7, 2024, 5, 17, '2024-08-05 17:11:30', NULL, NULL), (237399, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 633, 1, 2024, 5, 17, '2024-08-05 17:11:30', NULL, NULL), (237400, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 2128, 1, 2024, 5, 17, '2024-08-05 17:11:30', NULL, NULL), (237401, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 145, 7, 2024, 5, 17, '2024-08-05 17:11:30', NULL, NULL), (237402, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 22, 2, 2024, 5, 17, '2024-08-05 17:11:30', NULL, NULL), (237403, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 633, 1, 2024, 5, 17, '2024-08-05 17:11:30', NULL, NULL), (237404, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 157, 13, 2024, 5, 20, '2024-08-05 17:11:34', NULL, NULL), (237405, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 157, 13, 2024, 5, 20, '2024-08-05 17:11:34', NULL, NULL), (237406, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 5, 2, 2024, 5, 20, '2024-08-05 17:11:34', NULL, NULL), (237407, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 1016, 1, 2024, 5, 20, '2024-08-05 17:11:34', NULL, NULL), (237408, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 24, 2, 2024, 5, 20, '2024-08-05 17:11:34', NULL, NULL), (237409, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 341, 1, 2024, 5, 20, '2024-08-05 17:11:34', NULL, NULL), (237410, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 24, 2, 2024, 5, 20, '2024-08-05 17:11:34', NULL, NULL), (237411, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 116, 5, 2024, 5, 20, '2024-08-05 17:11:34', NULL, NULL), (237412, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 24, 2, 2024, 5, 20, '2024-08-05 17:11:34', NULL, NULL), (237413, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 84, 7, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237414, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 1016, 1, 2024, 5, 20, '2024-08-05 17:11:34', NULL, NULL), (237415, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 341, 1, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237416, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 24, 2, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237417, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 116, 5, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237418, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 5, 2, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237419, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 24, 2, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237420, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 24, 2, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237421, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 341, 1, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237422, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 1016, 1, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237423, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 341, 1, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237424, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 5, 2, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237425, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 24, 2, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237426, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 1016, 1, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237427, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 116, 5, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237428, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 24, 2, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237429, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 1016, 1, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237430, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 341, 1, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237431, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 24, 2, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237432, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 24, 2, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237433, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 84, 7, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237434, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 1016, 1, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237435, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 24, 2, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237436, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 341, 1, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237437, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 116, 5, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237438, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 5, 2, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237439, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 24, 2, 2024, 5, 20, '2024-08-05 17:11:35', NULL, NULL), (237440, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 1161, 14, 2024, 5, 21, '2024-08-05 17:11:37', NULL, NULL), (237441, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 1161, 14, 2024, 5, 21, '2024-08-05 17:11:37', NULL, NULL), (237442, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 15, 4, 2024, 5, 21, '2024-08-05 17:11:37', NULL, NULL), (237443, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 13, 2, 2024, 5, 21, '2024-08-05 17:11:37', NULL, NULL), (237444, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 63, 1, 2024, 5, 21, '2024-08-05 17:11:37', NULL, NULL), (237445, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 31, 3, 2024, 5, 21, '2024-08-05 17:11:37', NULL, NULL), (237446, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 4003, 4, 2024, 5, 21, '2024-08-05 17:11:37', NULL, NULL), (237447, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 63, 1, 2024, 5, 21, '2024-08-05 17:11:37', NULL, NULL), (237448, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 2009, 8, 2024, 5, 21, '2024-08-05 17:11:37', NULL, NULL), (237449, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 13, 2, 2024, 5, 21, '2024-08-05 17:11:37', NULL, NULL), (237450, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 31, 3, 2024, 5, 21, '2024-08-05 17:11:37', NULL, NULL), (237451, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 4003, 4, 2024, 5, 21, '2024-08-05 17:11:37', NULL, NULL), (237452, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 15, 4, 2024, 5, 21, '2024-08-05 17:11:37', NULL, NULL), (237453, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 63, 1, 2024, 5, 21, '2024-08-05 17:11:37', NULL, NULL), (237454, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 31, 3, 2024, 5, 21, '2024-08-05 17:11:37', NULL, NULL), (237455, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 13, 2, 2024, 5, 21, '2024-08-05 17:11:37', NULL, NULL), (237456, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 63, 1, 2024, 5, 21, '2024-08-05 17:11:38', NULL, NULL), (237457, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 15, 4, 2024, 5, 21, '2024-08-05 17:11:38', NULL, NULL), (237458, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 13, 2, 2024, 5, 21, '2024-08-05 17:11:38', NULL, NULL), (237459, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 4003, 4, 2024, 5, 21, '2024-08-05 17:11:38', NULL, NULL), (237460, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 31, 3, 2024, 5, 21, '2024-08-05 17:11:38', NULL, NULL), (237461, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 13, 2, 2024, 5, 21, '2024-08-05 17:11:38', NULL, NULL), (237462, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 31, 3, 2024, 5, 21, '2024-08-05 17:11:38', NULL, NULL), (237463, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 63, 1, 2024, 5, 21, '2024-08-05 17:11:38', NULL, NULL), (237464, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 2009, 8, 2024, 5, 21, '2024-08-05 17:11:38', NULL, NULL), (237465, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 13, 2, 2024, 5, 21, '2024-08-05 17:11:38', NULL, NULL), (237466, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 31, 3, 2024, 5, 21, '2024-08-05 17:11:38', NULL, NULL), (237467, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 4003, 4, 2024, 5, 21, '2024-08-05 17:11:38', NULL, NULL), (237468, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 63, 1, 2024, 5, 21, '2024-08-05 17:11:38', NULL, NULL), (237469, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 15, 4, 2024, 5, 21, '2024-08-05 17:11:38', NULL, NULL), (237470, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 2586, 9, 2024, 5, 22, '2024-08-05 17:11:39', NULL, NULL), (237471, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 2586, 9, 2024, 5, 22, '2024-08-05 17:11:39', NULL, NULL), (237472, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 10157, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237473, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '', 29, 1, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237474, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 21, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237475, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 15, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237476, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 1430, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237477, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '1', 29, 1, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237478, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 21, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237479, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 5793, 4, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237480, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 15, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237481, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 1430, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237482, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 10157, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237483, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '', 29, 1, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237484, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 21, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237485, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 15, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237486, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 10157, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237487, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 21, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237488, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '1', 29, 1, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237489, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 1430, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237490, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 15, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237491, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 15, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237492, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '1', 29, 1, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237493, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 21, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237494, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 5793, 4, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237495, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 15, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237496, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 1430, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237497, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '1', 29, 1, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237498, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 10157, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237499, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 21, 2, 2024, 5, 22, '2024-08-05 17:11:40', NULL, NULL), (237500, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 106, 16, 2024, 5, 23, '2024-08-05 17:11:41', NULL, NULL), (237501, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 106, 16, 2024, 5, 23, '2024-08-05 17:11:41', NULL, NULL), (237502, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 52, 1, 2024, 5, 23, '2024-08-05 17:11:41', NULL, NULL), (237503, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '', 44, 1, 2024, 5, 23, '2024-08-05 17:11:41', NULL, NULL), (237504, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 318, 4, 2024, 5, 23, '2024-08-05 17:11:41', NULL, NULL), (237505, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 49, 1, 2024, 5, 23, '2024-08-05 17:11:41', NULL, NULL), (237506, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 16, 5, 2024, 5, 23, '2024-08-05 17:11:41', NULL, NULL), (237507, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 51, 4, 2024, 5, 23, '2024-08-05 17:11:41', NULL, NULL), (237508, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '1', 44, 1, 2024, 5, 23, '2024-08-05 17:11:41', NULL, NULL), (237509, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 318, 4, 2024, 5, 23, '2024-08-05 17:11:41', NULL, NULL), (237510, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 51, 5, 2024, 5, 23, '2024-08-05 17:11:41', NULL, NULL), (237511, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 49, 1, 2024, 5, 23, '2024-08-05 17:11:41', NULL, NULL), (237512, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 16, 5, 2024, 5, 23, '2024-08-05 17:11:41', NULL, NULL), (237513, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 51, 4, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237514, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 52, 1, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237515, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '', 44, 1, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237516, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 318, 4, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237517, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 16, 5, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237518, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 49, 1, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237519, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 49, 1, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237520, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 52, 1, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237521, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 318, 4, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237522, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '1', 44, 1, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237523, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 51, 4, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237524, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 16, 5, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237525, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 49, 1, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237526, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 16, 5, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237527, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '1', 44, 1, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237528, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 318, 4, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237529, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 51, 5, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237530, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 16, 5, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237531, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 49, 1, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237532, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 51, 4, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237533, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '1', 44, 1, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237534, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 52, 1, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237535, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 318, 4, 2024, 5, 23, '2024-08-05 17:11:42', NULL, NULL), (237536, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 295, 13, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237537, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 295, 13, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237538, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 812, 4, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237539, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 15, 1, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237540, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 24, 1, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237541, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 90, 6, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237542, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 8, 1, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237543, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 24, 1, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237544, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 651, 5, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237545, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 15, 1, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237546, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 90, 6, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237547, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 8, 1, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237548, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 812, 4, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237549, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 24, 1, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237550, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 90, 6, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237551, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 15, 1, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237552, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 24, 1, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237553, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 812, 4, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237554, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 15, 1, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237555, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 8, 1, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237556, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 90, 6, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237557, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 15, 1, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237558, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 90, 6, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237559, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 24, 1, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237560, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 651, 5, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237561, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 15, 1, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237562, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 90, 6, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237563, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 8, 1, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237564, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 24, 1, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237565, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 812, 4, 2024, 5, 24, '2024-08-05 17:11:43', NULL, NULL), (237566, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 80, 7, 2024, 5, 27, '2024-08-05 17:11:46', NULL, NULL), (237567, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 80, 7, 2024, 5, 27, '2024-08-05 17:11:46', NULL, NULL), (237568, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 112, 4, 2024, 5, 27, '2024-08-05 17:11:46', NULL, NULL), (237569, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 38, 3, 2024, 5, 27, '2024-08-05 17:11:46', NULL, NULL), (237570, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 112, 4, 2024, 5, 27, '2024-08-05 17:11:46', NULL, NULL), (237571, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 38, 3, 2024, 5, 27, '2024-08-05 17:11:46', NULL, NULL), (237572, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 112, 4, 2024, 5, 27, '2024-08-05 17:11:46', NULL, NULL), (237573, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 38, 3, 2024, 5, 27, '2024-08-05 17:11:46', NULL, NULL), (237574, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 112, 4, 2024, 5, 27, '2024-08-05 17:11:46', NULL, NULL), (237575, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 38, 3, 2024, 5, 27, '2024-08-05 17:11:46', NULL, NULL), (237576, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 38, 3, 2024, 5, 27, '2024-08-05 17:11:46', NULL, NULL), (237577, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 112, 4, 2024, 5, 27, '2024-08-05 17:11:46', NULL, NULL), (237578, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 38, 3, 2024, 5, 27, '2024-08-05 17:11:46', NULL, NULL), (237579, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 112, 4, 2024, 5, 27, '2024-08-05 17:11:46', NULL, NULL), (237580, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 154, 6, 2024, 5, 28, '2024-08-05 17:11:47', NULL, NULL), (237581, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 154, 6, 2024, 5, 28, '2024-08-05 17:11:47', NULL, NULL), (237582, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 18, 3, 2024, 5, 28, '2024-08-05 17:11:47', NULL, NULL), (237583, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 421, 2, 2024, 5, 28, '2024-08-05 17:11:47', NULL, NULL), (237584, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 28, 1, 2024, 5, 28, '2024-08-05 17:11:47', NULL, NULL), (237585, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 20, 4, 2024, 5, 28, '2024-08-05 17:11:47', NULL, NULL), (237586, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 421, 2, 2024, 5, 28, '2024-08-05 17:11:47', NULL, NULL), (237587, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 28, 1, 2024, 5, 28, '2024-08-05 17:11:47', NULL, NULL), (237588, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 18, 3, 2024, 5, 28, '2024-08-05 17:11:47', NULL, NULL), (237589, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 421, 2, 2024, 5, 28, '2024-08-05 17:11:47', NULL, NULL), (237590, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 18, 3, 2024, 5, 28, '2024-08-05 17:11:47', NULL, NULL), (237591, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 28, 1, 2024, 5, 28, '2024-08-05 17:11:47', NULL, NULL), (237592, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 421, 2, 2024, 5, 28, '2024-08-05 17:11:47', NULL, NULL), (237593, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 421, 2, 2024, 5, 28, '2024-08-05 17:11:47', NULL, NULL), (237594, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 20, 4, 2024, 5, 28, '2024-08-05 17:11:47', NULL, NULL), (237595, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 421, 2, 2024, 5, 28, '2024-08-05 17:11:48', NULL, NULL), (237596, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 28, 1, 2024, 5, 28, '2024-08-05 17:11:48', NULL, NULL), (237597, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 18, 3, 2024, 5, 28, '2024-08-05 17:11:48', NULL, NULL), (237598, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 1001, 10, 2024, 5, 29, '2024-08-05 17:11:48', NULL, NULL), (237599, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 1001, 10, 2024, 5, 29, '2024-08-05 17:11:48', NULL, NULL), (237600, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 45, 6, 2024, 5, 29, '2024-08-05 17:11:48', NULL, NULL), (237601, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 6, 2, 2024, 5, 29, '2024-08-05 17:11:48', NULL, NULL), (237602, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 4863, 2, 2024, 5, 29, '2024-08-05 17:11:49', NULL, NULL), (237603, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 1250, 8, 2024, 5, 29, '2024-08-05 17:11:49', NULL, NULL), (237604, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 6, 2, 2024, 5, 29, '2024-08-05 17:11:49', NULL, NULL), (237605, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 4863, 2, 2024, 5, 29, '2024-08-05 17:11:49', NULL, NULL), (237606, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 45, 6, 2024, 5, 29, '2024-08-05 17:11:49', NULL, NULL), (237607, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 6, 2, 2024, 5, 29, '2024-08-05 17:11:49', NULL, NULL), (237608, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 6, 2, 2024, 5, 29, '2024-08-05 17:11:49', NULL, NULL), (237609, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 45, 6, 2024, 5, 29, '2024-08-05 17:11:49', NULL, NULL), (237610, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 4863, 2, 2024, 5, 29, '2024-08-05 17:11:49', NULL, NULL), (237611, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 6, 2, 2024, 5, 29, '2024-08-05 17:11:49', NULL, NULL), (237612, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 1250, 8, 2024, 5, 29, '2024-08-05 17:11:49', NULL, NULL), (237613, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 6, 2, 2024, 5, 29, '2024-08-05 17:11:49', NULL, NULL), (237614, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 4863, 2, 2024, 5, 29, '2024-08-05 17:11:49', NULL, NULL), (237615, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 45, 6, 2024, 5, 29, '2024-08-05 17:11:49', NULL, NULL), (237616, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 98, 6, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237617, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 84, 7, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237618, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 19, 1, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237619, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 0, 1, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237620, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 13, 2, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237621, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 16, 2, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237622, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 514, 1, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237623, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 266, 2, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237624, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 16, 2, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237625, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 13, 2, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237626, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 514, 1, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237627, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 19, 1, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237628, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 13, 2, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237629, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 16, 2, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237630, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 16, 2, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237631, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 19, 1, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237632, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 514, 1, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237633, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 13, 2, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237634, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 16, 2, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237635, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 13, 2, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237636, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 266, 2, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237637, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 13, 2, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237638, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 16, 2, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237639, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 514, 1, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237640, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 19, 1, 2024, 5, 30, '2024-08-05 17:11:50', NULL, NULL), (237641, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 3558, 7, 2024, 5, 31, '2024-08-05 17:11:51', NULL, NULL), (237642, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 2767, 9, 2024, 5, 31, '2024-08-05 17:11:51', NULL, NULL), (237643, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 21, 2, 2024, 5, 31, '2024-08-05 17:11:51', NULL, NULL), (237644, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 17, 1, 2024, 5, 31, '2024-08-05 17:11:51', NULL, NULL), (237645, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 1933, 1, 2024, 5, 31, '2024-08-05 17:11:51', NULL, NULL), (237646, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 7604, 3, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237647, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 76, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237648, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 24, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237649, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 1933, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (237650, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 33, 2, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237651, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 17, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237652, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 76, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237653, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 11406, 2, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237654, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 24, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237655, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 43, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237656, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 1933, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237657, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 11406, 2, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237658, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 17, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237659, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 76, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237660, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 76, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237661, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 43, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237662, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 1933, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237663, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 17, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237664, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 24, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237665, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 11406, 2, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237666, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 17, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237667, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 76, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237668, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 11406, 2, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237669, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 1933, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237670, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 33, 2, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237671, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 17, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237672, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 11406, 2, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237673, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 76, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237674, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 24, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237675, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 43, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237676, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 1933, 1, 2024, 5, 31, '2024-08-05 17:11:52', NULL, NULL), (237677, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 68, 1, 2024, 6, 1, '2024-08-05 17:11:53', NULL, NULL), (237678, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 68, 1, 2024, 6, 1, '2024-08-05 17:11:53', NULL, NULL), (237679, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 68, 1, 2024, 6, 1, '2024-08-05 17:11:53', NULL, NULL), (237680, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 68, 1, 2024, 6, 1, '2024-08-05 17:11:53', NULL, NULL), (237681, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 68, 1, 2024, 6, 1, '2024-08-05 17:11:53', NULL, NULL), (237682, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 68, 1, 2024, 6, 1, '2024-08-05 17:11:53', NULL, NULL), (237683, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 68, 1, 2024, 6, 1, '2024-08-05 17:11:53', NULL, NULL), (237684, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 68, 1, 2024, 6, 1, '2024-08-05 17:11:53', NULL, NULL), (237685, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 63, 7, 2024, 6, 3, '2024-08-05 17:11:55', NULL, NULL), (237686, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 55, 8, 2024, 6, 3, '2024-08-05 17:11:55', NULL, NULL), (237687, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 18, 5, 2024, 6, 3, '2024-08-05 17:11:55', NULL, NULL), (237688, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 346, 1, 2024, 6, 3, '2024-08-05 17:11:55', NULL, NULL), (237689, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '', 0, 1, 2024, 6, 3, '2024-08-05 17:11:55', NULL, NULL), (237690, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 7, 1, 2024, 6, 3, '2024-08-05 17:11:55', NULL, NULL), (237691, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 346, 1, 2024, 6, 3, '2024-08-05 17:11:55', NULL, NULL), (237692, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 16, 6, 2024, 6, 3, '2024-08-05 17:11:55', NULL, NULL), (237693, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 7, 1, 2024, 6, 3, '2024-08-05 17:11:55', NULL, NULL), (237694, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 18, 5, 2024, 6, 3, '2024-08-05 17:11:55', NULL, NULL), (237695, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 346, 1, 2024, 6, 3, '2024-08-05 17:11:55', NULL, NULL), (237696, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 346, 1, 2024, 6, 3, '2024-08-05 17:11:55', NULL, NULL), (237697, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 18, 5, 2024, 6, 3, '2024-08-05 17:11:56', NULL, NULL), (237698, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 7, 1, 2024, 6, 3, '2024-08-05 17:11:55', NULL, NULL), (237699, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 346, 1, 2024, 6, 3, '2024-08-05 17:11:56', NULL, NULL), (237700, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 16, 6, 2024, 6, 3, '2024-08-05 17:11:56', NULL, NULL), (237701, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 7, 1, 2024, 6, 3, '2024-08-05 17:11:56', NULL, NULL), (237702, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 346, 1, 2024, 6, 3, '2024-08-05 17:11:56', NULL, NULL), (237703, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 18, 5, 2024, 6, 3, '2024-08-05 17:11:56', NULL, NULL), (237704, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 94, 10, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237705, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 85, 11, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237706, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 71, 7, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237707, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 393, 1, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237708, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 39, 1, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237709, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 0, 1, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237710, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 5, 1, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237711, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 39, 1, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237712, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 63, 8, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237713, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 393, 1, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237714, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 5, 1, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237715, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 71, 7, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237716, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 39, 1, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237717, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 393, 1, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237718, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 39, 1, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237719, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 71, 7, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237720, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 393, 1, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237721, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 5, 1, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237722, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 393, 1, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237723, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 39, 1, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237724, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 63, 8, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237725, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 393, 1, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237726, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 5, 1, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237727, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 39, 1, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237728, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 71, 7, 2024, 6, 4, '2024-08-05 17:11:57', NULL, NULL), (237729, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 30, 13, 2024, 6, 5, '2024-08-05 17:11:58', NULL, NULL), (237730, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 30, 13, 2024, 6, 5, '2024-08-05 17:11:58', NULL, NULL), (237731, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 30, 9, 2024, 6, 5, '2024-08-05 17:11:58', NULL, NULL), (237732, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 40, 3, 2024, 6, 5, '2024-08-05 17:11:58', NULL, NULL), (237733, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 7, 1, 2024, 6, 5, '2024-08-05 17:11:58', NULL, NULL), (237734, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 30, 9, 2024, 6, 5, '2024-08-05 17:11:58', NULL, NULL), (237735, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 7, 1, 2024, 6, 5, '2024-08-05 17:11:58', NULL, NULL), (237736, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 40, 3, 2024, 6, 5, '2024-08-05 17:11:58', NULL, NULL), (237737, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 30, 9, 2024, 6, 5, '2024-08-05 17:11:58', NULL, NULL), (237738, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 40, 3, 2024, 6, 5, '2024-08-05 17:11:58', NULL, NULL), (237739, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 7, 1, 2024, 6, 5, '2024-08-05 17:11:59', NULL, NULL), (237740, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 7, 1, 2024, 6, 5, '2024-08-05 17:11:59', NULL, NULL), (237741, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 30, 9, 2024, 6, 5, '2024-08-05 17:11:59', NULL, NULL), (237742, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 40, 3, 2024, 6, 5, '2024-08-05 17:11:59', NULL, NULL), (237743, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 7, 1, 2024, 6, 5, '2024-08-05 17:11:59', NULL, NULL), (237744, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 40, 3, 2024, 6, 5, '2024-08-05 17:11:59', NULL, NULL), (237745, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 30, 9, 2024, 6, 5, '2024-08-05 17:11:59', NULL, NULL), (237746, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 40, 3, 2024, 6, 5, '2024-08-05 17:11:59', NULL, NULL), (237747, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 7, 1, 2024, 6, 5, '2024-08-05 17:11:59', NULL, NULL), (237748, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 30, 9, 2024, 6, 5, '2024-08-05 17:11:59', NULL, NULL), (237749, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 1361, 10, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237750, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 1361, 10, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237751, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 30, 2, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237752, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 343, 3, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237753, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '', 46, 1, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237754, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 32, 2, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237755, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 12379, 1, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237756, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 35, 1, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237757, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '1', 46, 1, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237758, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 343, 3, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237759, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 32, 3, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237760, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 12379, 1, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237761, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 32, 2, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237762, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 35, 1, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237763, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 30, 2, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237764, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '', 46, 1, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237765, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 32, 2, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237766, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 343, 3, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237767, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 12379, 1, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237768, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 12379, 1, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237769, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 343, 3, 2024, 6, 6, '2024-08-05 17:12:01', NULL, NULL), (237770, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 30, 2, 2024, 6, 6, '2024-08-05 17:12:01', NULL, NULL), (237771, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '1', 46, 1, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237772, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 35, 1, 2024, 6, 6, '2024-08-05 17:12:01', NULL, NULL), (237773, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 32, 2, 2024, 6, 6, '2024-08-05 17:12:00', NULL, NULL), (237774, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 12379, 1, 2024, 6, 6, '2024-08-05 17:12:01', NULL, NULL), (237775, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 32, 2, 2024, 6, 6, '2024-08-05 17:12:01', NULL, NULL), (237776, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '1', 46, 1, 2024, 6, 6, '2024-08-05 17:12:01', NULL, NULL), (237777, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 343, 3, 2024, 6, 6, '2024-08-05 17:12:01', NULL, NULL), (237778, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 32, 3, 2024, 6, 6, '2024-08-05 17:12:01', NULL, NULL), (237779, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 32, 2, 2024, 6, 6, '2024-08-05 17:12:01', NULL, NULL), (237780, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 12379, 1, 2024, 6, 6, '2024-08-05 17:12:01', NULL, NULL), (237781, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 35, 1, 2024, 6, 6, '2024-08-05 17:12:01', NULL, NULL), (237782, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 343, 3, 2024, 6, 6, '2024-08-05 17:12:01', NULL, NULL), (237783, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '1', 46, 1, 2024, 6, 6, '2024-08-05 17:12:01', NULL, NULL), (237784, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 30, 2, 2024, 6, 6, '2024-08-05 17:12:01', NULL, NULL), (237785, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 2577, 4, 2024, 6, 7, '2024-08-05 17:12:02', NULL, NULL), (237786, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 2062, 5, 2024, 6, 7, '2024-08-05 17:12:02', NULL, NULL), (237787, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 16, 1, 2024, 6, 7, '2024-08-05 17:12:02', NULL, NULL), (237788, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '', 0, 1, 2024, 6, 7, '2024-08-05 17:12:02', NULL, NULL), (237789, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 3431, 3, 2024, 6, 7, '2024-08-05 17:12:02', NULL, NULL), (237790, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 2577, 4, 2024, 6, 7, '2024-08-05 17:12:02', NULL, NULL), (237791, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 3431, 3, 2024, 6, 7, '2024-08-05 17:12:02', NULL, NULL), (237792, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 16, 1, 2024, 6, 7, '2024-08-05 17:12:02', NULL, NULL), (237793, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 16, 1, 2024, 6, 7, '2024-08-05 17:12:02', NULL, NULL), (237794, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 3431, 3, 2024, 6, 7, '2024-08-05 17:12:02', NULL, NULL), (237795, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 2577, 4, 2024, 6, 7, '2024-08-05 17:12:02', NULL, NULL), (237796, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 3431, 3, 2024, 6, 7, '2024-08-05 17:12:02', NULL, NULL), (237797, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 16, 1, 2024, 6, 7, '2024-08-05 17:12:02', NULL, NULL), (237798, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 51, 15, 2024, 6, 11, '2024-08-05 17:12:11', NULL, NULL), (237799, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 51, 15, 2024, 6, 11, '2024-08-05 17:12:11', NULL, NULL), (237800, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 30, 1, 2024, 6, 11, '2024-08-05 17:12:11', NULL, NULL), (237801, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 53, 2, 2024, 6, 11, '2024-08-05 17:12:11', NULL, NULL), (237802, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 194, 2, 2024, 6, 11, '2024-08-05 17:12:12', NULL, NULL), (237803, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 35, 2, 2024, 6, 11, '2024-08-05 17:12:12', NULL, NULL), (237804, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 22, 8, 2024, 6, 11, '2024-08-05 17:12:12', NULL, NULL), (237805, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 53, 2, 2024, 6, 11, '2024-08-05 17:12:12', NULL, NULL), (237806, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 30, 1, 2024, 6, 11, '2024-08-05 17:12:12', NULL, NULL), (237807, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 194, 2, 2024, 6, 11, '2024-08-05 17:12:12', NULL, NULL), (237808, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 22, 8, 2024, 6, 11, '2024-08-05 17:12:12', NULL, NULL), (237809, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 35, 2, 2024, 6, 11, '2024-08-05 17:12:12', NULL, NULL), (237810, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 30, 1, 2024, 6, 11, '2024-08-05 17:12:13', NULL, NULL), (237811, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 53, 2, 2024, 6, 11, '2024-08-05 17:12:13', NULL, NULL), (237812, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 35, 2, 2024, 6, 11, '2024-08-05 17:12:13', NULL, NULL), (237813, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 22, 8, 2024, 6, 11, '2024-08-05 17:12:13', NULL, NULL), (237814, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 194, 2, 2024, 6, 11, '2024-08-05 17:12:13', NULL, NULL), (237815, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 22, 8, 2024, 6, 11, '2024-08-05 17:12:13', NULL, NULL), (237816, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 53, 2, 2024, 6, 11, '2024-08-05 17:12:13', NULL, NULL), (237817, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 30, 1, 2024, 6, 11, '2024-08-05 17:12:13', NULL, NULL), (237818, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 194, 2, 2024, 6, 11, '2024-08-05 17:12:13', NULL, NULL), (237819, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 35, 2, 2024, 6, 11, '2024-08-05 17:12:13', NULL, NULL), (237820, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 194, 2, 2024, 6, 11, '2024-08-05 17:12:14', NULL, NULL), (237821, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 22, 8, 2024, 6, 11, '2024-08-05 17:12:14', NULL, NULL), (237822, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 35, 2, 2024, 6, 11, '2024-08-05 17:12:14', NULL, NULL), (237823, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 53, 2, 2024, 6, 11, '2024-08-05 17:12:14', NULL, NULL), (237824, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 30, 1, 2024, 6, 11, '2024-08-05 17:12:14', NULL, NULL), (237825, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 194, 2, 2024, 6, 11, '2024-08-05 17:12:14', NULL, NULL), (237826, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 35, 2, 2024, 6, 11, '2024-08-05 17:12:14', NULL, NULL), (237827, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 22, 8, 2024, 6, 11, '2024-08-05 17:12:14', NULL, NULL), (237828, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 53, 2, 2024, 6, 11, '2024-08-05 17:12:14', NULL, NULL), (237829, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 30, 1, 2024, 6, 11, '2024-08-05 17:12:14', NULL, NULL), (237830, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 730, 14, 2024, 6, 12, '2024-08-05 17:12:16', NULL, NULL), (237831, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 568, 18, 2024, 6, 12, '2024-08-05 17:12:16', NULL, NULL), (237832, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 1912, 4, 2024, 6, 12, '2024-08-05 17:12:16', NULL, NULL), (237833, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 0, 4, 2024, 6, 12, '2024-08-05 17:12:16', NULL, NULL), (237834, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 32, 4, 2024, 6, 12, '2024-08-05 17:12:16', NULL, NULL), (237835, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 54, 4, 2024, 6, 12, '2024-08-05 17:12:16', NULL, NULL), (237836, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 1117, 2, 2024, 6, 12, '2024-08-05 17:12:16', NULL, NULL), (237837, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 1647, 6, 2024, 6, 12, '2024-08-05 17:12:17', NULL, NULL), (237838, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 54, 4, 2024, 6, 12, '2024-08-05 17:12:17', NULL, NULL), (237839, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 32, 4, 2024, 6, 12, '2024-08-05 17:12:17', NULL, NULL), (237840, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 1117, 2, 2024, 6, 12, '2024-08-05 17:12:17', NULL, NULL), (237841, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 1912, 4, 2024, 6, 12, '2024-08-05 17:12:17', NULL, NULL), (237842, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 32, 4, 2024, 6, 12, '2024-08-05 17:12:17', NULL, NULL), (237843, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 54, 4, 2024, 6, 12, '2024-08-05 17:12:17', NULL, NULL), (237844, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 54, 4, 2024, 6, 12, '2024-08-05 17:12:17', NULL, NULL), (237845, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 1912, 4, 2024, 6, 12, '2024-08-05 17:12:17', NULL, NULL), (237846, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 1117, 2, 2024, 6, 12, '2024-08-05 17:12:17', NULL, NULL), (237847, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 32, 4, 2024, 6, 12, '2024-08-05 17:12:17', NULL, NULL), (237848, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 54, 4, 2024, 6, 12, '2024-08-05 17:12:17', NULL, NULL), (237849, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 32, 4, 2024, 6, 12, '2024-08-05 17:12:17', NULL, NULL), (237850, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 1647, 6, 2024, 6, 12, '2024-08-05 17:12:17', NULL, NULL), (237851, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 32, 4, 2024, 6, 12, '2024-08-05 17:12:17', NULL, NULL), (237852, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 54, 4, 2024, 6, 12, '2024-08-05 17:12:17', NULL, NULL), (237853, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 1117, 2, 2024, 6, 12, '2024-08-05 17:12:17', NULL, NULL), (237854, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 1912, 4, 2024, 6, 12, '2024-08-05 17:12:17', NULL, NULL), (237855, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 530, 12, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237856, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 530, 12, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237857, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 41, 7, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237858, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 233, 1, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237859, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 5, 1, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237860, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 2913, 2, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237861, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 8, 1, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237862, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 37, 8, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237863, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 233, 1, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237864, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 5, 1, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237865, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 2913, 2, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237866, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 8, 1, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237867, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 41, 7, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237868, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 2913, 2, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237869, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 5, 1, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237870, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 233, 1, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237871, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 5, 1, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237872, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 41, 7, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237873, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 233, 1, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237874, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 8, 1, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237875, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 2913, 2, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237876, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 233, 1, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237877, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 5, 1, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237878, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 2913, 2, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237879, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 37, 8, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237880, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 233, 1, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237881, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 2913, 2, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237882, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 5, 1, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237883, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 8, 1, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237884, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 41, 7, 2024, 6, 13, '2024-08-05 17:12:18', NULL, NULL), (237885, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 326, 14, 2024, 6, 14, '2024-08-05 17:12:19', NULL, NULL), (237886, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 304, 15, 2024, 6, 14, '2024-08-05 17:12:19', NULL, NULL), (237887, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 183, 11, 2024, 6, 14, '2024-08-05 17:12:19', NULL, NULL), (237888, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 839, 3, 2024, 6, 14, '2024-08-05 17:12:19', NULL, NULL), (237889, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 35, 1, 2024, 6, 14, '2024-08-05 17:12:19', NULL, NULL), (237890, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 201, 10, 2024, 6, 14, '2024-08-05 17:12:19', NULL, NULL), (237891, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 35, 1, 2024, 6, 14, '2024-08-05 17:12:19', NULL, NULL), (237892, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 839, 3, 2024, 6, 14, '2024-08-05 17:12:19', NULL, NULL), (237893, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 201, 10, 2024, 6, 14, '2024-08-05 17:12:19', NULL, NULL), (237894, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 839, 3, 2024, 6, 14, '2024-08-05 17:12:19', NULL, NULL), (237895, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 35, 1, 2024, 6, 14, '2024-08-05 17:12:19', NULL, NULL), (237896, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 35, 1, 2024, 6, 14, '2024-08-05 17:12:19', NULL, NULL), (237897, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 201, 10, 2024, 6, 14, '2024-08-05 17:12:19', NULL, NULL), (237898, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 839, 3, 2024, 6, 14, '2024-08-05 17:12:19', NULL, NULL), (237899, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 35, 1, 2024, 6, 14, '2024-08-05 17:12:20', NULL, NULL), (237900, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 839, 3, 2024, 6, 14, '2024-08-05 17:12:20', NULL, NULL), (237901, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 201, 10, 2024, 6, 14, '2024-08-05 17:12:20', NULL, NULL), (237902, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 839, 3, 2024, 6, 14, '2024-08-05 17:12:20', NULL, NULL), (237903, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 35, 1, 2024, 6, 14, '2024-08-05 17:12:20', NULL, NULL), (237904, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 201, 10, 2024, 6, 14, '2024-08-05 17:12:20', NULL, NULL), (237905, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 118, 6, 2024, 6, 17, '2024-08-05 17:12:22', NULL, NULL), (237906, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 118, 6, 2024, 6, 17, '2024-08-05 17:12:22', NULL, NULL), (237907, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 139, 2, 2024, 6, 17, '2024-08-05 17:12:22', NULL, NULL), (237908, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 377, 1, 2024, 6, 17, '2024-08-05 17:12:22', NULL, NULL), (237909, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 41, 1, 2024, 6, 17, '2024-08-05 17:12:22', NULL, NULL), (237910, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 6, 1, 2024, 6, 17, '2024-08-05 17:12:22', NULL, NULL), (237911, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 7, 1, 2024, 6, 17, '2024-08-05 17:12:22', NULL, NULL), (237912, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 41, 1, 2024, 6, 17, '2024-08-05 17:12:22', NULL, NULL), (237913, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 139, 2, 2024, 6, 17, '2024-08-05 17:12:22', NULL, NULL), (237914, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 377, 1, 2024, 6, 17, '2024-08-05 17:12:22', NULL, NULL), (237915, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 7, 1, 2024, 6, 17, '2024-08-05 17:12:22', NULL, NULL), (237916, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 6, 1, 2024, 6, 17, '2024-08-05 17:12:22', NULL, NULL), (237917, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 139, 2, 2024, 6, 17, '2024-08-05 17:12:22', NULL, NULL), (237918, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 6, 1, 2024, 6, 17, '2024-08-05 17:12:22', NULL, NULL), (237919, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 41, 1, 2024, 6, 17, '2024-08-05 17:12:22', NULL, NULL), (237920, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 377, 1, 2024, 6, 17, '2024-08-05 17:12:22', NULL, NULL), (237921, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 7, 1, 2024, 6, 17, '2024-08-05 17:12:22', NULL, NULL), (237922, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 7, 1, 2024, 6, 17, '2024-08-05 17:12:23', NULL, NULL), (237923, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 41, 1, 2024, 6, 17, '2024-08-05 17:12:23', NULL, NULL), (237924, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 139, 2, 2024, 6, 17, '2024-08-05 17:12:23', NULL, NULL), (237925, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 377, 1, 2024, 6, 17, '2024-08-05 17:12:23', NULL, NULL), (237926, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 6, 1, 2024, 6, 17, '2024-08-05 17:12:23', NULL, NULL), (237927, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 377, 1, 2024, 6, 17, '2024-08-05 17:12:23', NULL, NULL), (237928, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 7, 1, 2024, 6, 17, '2024-08-05 17:12:23', NULL, NULL), (237929, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 6, 1, 2024, 6, 17, '2024-08-05 17:12:23', NULL, NULL), (237930, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 41, 1, 2024, 6, 17, '2024-08-05 17:12:23', NULL, NULL), (237931, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 139, 2, 2024, 6, 17, '2024-08-05 17:12:23', NULL, NULL), (237932, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 377, 1, 2024, 6, 17, '2024-08-05 17:12:23', NULL, NULL), (237933, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 6, 1, 2024, 6, 17, '2024-08-05 17:12:23', NULL, NULL), (237934, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 7, 1, 2024, 6, 17, '2024-08-05 17:12:23', NULL, NULL), (237935, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 41, 1, 2024, 6, 17, '2024-08-05 17:12:23', NULL, NULL), (237936, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 139, 2, 2024, 6, 17, '2024-08-05 17:12:23', NULL, NULL), (237937, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 148, 13, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237938, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 148, 13, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237939, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 30, 2, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237940, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 222, 8, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237941, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 28, 2, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237942, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 37, 1, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237943, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 222, 8, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237944, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 30, 2, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237945, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 28, 2, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237946, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 37, 1, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237947, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 30, 2, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237948, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 37, 1, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237949, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 222, 8, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237950, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 28, 2, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237951, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 28, 2, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237952, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 30, 2, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237953, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 222, 8, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237954, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 37, 1, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237955, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 28, 2, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237956, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 37, 1, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237957, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 222, 8, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237958, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 30, 2, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237959, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 37, 1, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237960, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 28, 2, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237961, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 30, 2, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237962, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 222, 8, 2024, 6, 18, '2024-08-05 17:12:24', NULL, NULL), (237963, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 109, 17, 2024, 6, 19, '2024-08-05 17:12:25', NULL, NULL), (237964, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 103, 18, 2024, 6, 19, '2024-08-05 17:12:25', NULL, NULL), (237965, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 27, 2, 2024, 6, 19, '2024-08-05 17:12:25', NULL, NULL), (237966, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 226, 2, 2024, 6, 19, '2024-08-05 17:12:25', NULL, NULL), (237967, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 120, 6, 2024, 6, 19, '2024-08-05 17:12:25', NULL, NULL), (237968, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 0, 1, 2024, 6, 19, '2024-08-05 17:12:25', NULL, NULL), (237969, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 26, 5, 2024, 6, 19, '2024-08-05 17:12:25', NULL, NULL), (237970, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 252, 2, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237971, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 120, 6, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237972, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 139, 4, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237973, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 226, 2, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237974, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 26, 5, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237975, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 252, 2, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237976, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 27, 2, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237977, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 26, 5, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237978, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 120, 6, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237979, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 226, 2, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237980, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 27, 2, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237981, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 120, 6, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237982, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 226, 2, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237983, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 252, 2, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237984, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 26, 5, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237985, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 226, 2, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237986, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 26, 5, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237987, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 120, 6, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237988, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 139, 4, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237989, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 226, 2, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237990, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 26, 5, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237991, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 252, 2, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237992, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 27, 2, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237993, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 120, 6, 2024, 6, 19, '2024-08-05 17:12:26', NULL, NULL), (237994, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 894, 18, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (237995, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 847, 19, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (237996, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 18, 1, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (237997, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '', 6, 2, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (237998, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 32, 1, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (237999, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 2714, 3, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238000, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 715, 11, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238001, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 29, 1, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238002, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '1', 13, 1, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238003, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 32, 1, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238004, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 23, 2, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238005, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 2714, 3, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238006, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 715, 11, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238007, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 29, 1, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238008, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 18, 1, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238009, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '', 13, 1, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238010, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 32, 1, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238011, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 715, 11, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238012, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 2714, 3, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238013, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 2714, 3, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238014, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 32, 1, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238015, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 18, 1, 2024, 6, 20, '2024-08-05 17:12:28', NULL, NULL), (238016, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '1', 13, 1, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238017, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 29, 1, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238018, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 715, 11, 2024, 6, 20, '2024-08-05 17:12:27', NULL, NULL), (238019, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 2714, 3, 2024, 6, 20, '2024-08-05 17:12:28', NULL, NULL), (238020, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 715, 11, 2024, 6, 20, '2024-08-05 17:12:28', NULL, NULL), (238021, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '1', 13, 1, 2024, 6, 20, '2024-08-05 17:12:28', NULL, NULL), (238022, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 32, 1, 2024, 6, 20, '2024-08-05 17:12:28', NULL, NULL), (238023, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 23, 2, 2024, 6, 20, '2024-08-05 17:12:28', NULL, NULL), (238024, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 715, 11, 2024, 6, 20, '2024-08-05 17:12:28', NULL, NULL), (238025, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 2714, 3, 2024, 6, 20, '2024-08-05 17:12:28', NULL, NULL), (238026, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 29, 1, 2024, 6, 20, '2024-08-05 17:12:28', NULL, NULL), (238027, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '1', 13, 1, 2024, 6, 20, '2024-08-05 17:12:28', NULL, NULL), (238028, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 32, 1, 2024, 6, 20, '2024-08-05 17:12:28', NULL, NULL), (238029, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 18, 1, 2024, 6, 20, '2024-08-05 17:12:28', NULL, NULL), (238030, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 325, 14, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238031, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 325, 14, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238032, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 10, 1, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238033, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 3388, 1, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238034, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 105, 11, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238035, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 5, 1, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238036, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 7, 2, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238037, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 3388, 1, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238038, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 105, 11, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238039, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 5, 1, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238040, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 10, 1, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238041, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 105, 11, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238042, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 3388, 1, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238043, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 3388, 1, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238044, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 10, 1, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238045, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 5, 1, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238046, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 105, 11, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238047, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 3388, 1, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238048, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 105, 11, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238049, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 7, 2, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238050, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 105, 11, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238051, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 3388, 1, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238052, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 5, 1, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238053, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 10, 1, 2024, 6, 21, '2024-08-05 17:12:29', NULL, NULL), (238054, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 795, 20, 2024, 6, 24, '2024-08-05 17:12:32', NULL, NULL), (238055, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 795, 20, 2024, 6, 24, '2024-08-05 17:12:32', NULL, NULL), (238056, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '', 43, 1, 2024, 6, 24, '2024-08-05 17:12:32', NULL, NULL), (238057, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 53, 1, 2024, 6, 24, '2024-08-05 17:12:32', NULL, NULL), (238058, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 131, 3, 2024, 6, 24, '2024-08-05 17:12:32', NULL, NULL), (238059, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 1099, 14, 2024, 6, 24, '2024-08-05 17:12:32', NULL, NULL), (238060, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 28, 1, 2024, 6, 24, '2024-08-05 17:12:32', NULL, NULL), (238061, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '1', 43, 1, 2024, 6, 24, '2024-08-05 17:12:32', NULL, NULL), (238062, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 131, 3, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238063, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 28, 1, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238064, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 53, 1, 2024, 6, 24, '2024-08-05 17:12:32', NULL, NULL), (238065, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 1099, 14, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238066, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 28, 1, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238067, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '', 43, 1, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238068, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 131, 3, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238069, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 1099, 14, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238070, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 53, 1, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238071, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 131, 3, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238072, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '1', 43, 1, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238073, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 53, 1, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238074, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 28, 1, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238075, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 1099, 14, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238076, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 53, 1, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238077, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 1099, 14, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238078, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '1', 43, 1, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238079, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 131, 3, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238080, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 28, 1, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238081, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 53, 1, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238082, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 1099, 14, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238083, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 28, 1, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238084, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '1', 43, 1, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238085, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 131, 3, 2024, 6, 24, '2024-08-05 17:12:33', NULL, NULL), (238086, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 2265, 20, 2024, 6, 25, '2024-08-05 17:12:34', NULL, NULL), (238087, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 2265, 20, 2024, 6, 25, '2024-08-05 17:12:34', NULL, NULL), (238088, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 4925, 4, 2024, 6, 25, '2024-08-05 17:12:34', NULL, NULL), (238089, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 655, 2, 2024, 6, 25, '2024-08-05 17:12:34', NULL, NULL), (238090, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 194, 10, 2024, 6, 25, '2024-08-05 17:12:34', NULL, NULL), (238091, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 5586, 4, 2024, 6, 25, '2024-08-05 17:12:34', NULL, NULL), (238092, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 5256, 8, 2024, 6, 25, '2024-08-05 17:12:34', NULL, NULL), (238093, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 655, 2, 2024, 6, 25, '2024-08-05 17:12:34', NULL, NULL), (238094, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 194, 10, 2024, 6, 25, '2024-08-05 17:12:34', NULL, NULL), (238095, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 5586, 4, 2024, 6, 25, '2024-08-05 17:12:34', NULL, NULL), (238096, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 4925, 4, 2024, 6, 25, '2024-08-05 17:12:34', NULL, NULL), (238097, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 194, 10, 2024, 6, 25, '2024-08-05 17:12:34', NULL, NULL), (238098, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 655, 2, 2024, 6, 25, '2024-08-05 17:12:34', NULL, NULL), (238099, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 655, 2, 2024, 6, 25, '2024-08-05 17:12:34', NULL, NULL), (238100, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 4925, 4, 2024, 6, 25, '2024-08-05 17:12:34', NULL, NULL), (238101, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 5586, 4, 2024, 6, 25, '2024-08-05 17:12:34', NULL, NULL), (238102, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 194, 10, 2024, 6, 25, '2024-08-05 17:12:34', NULL, NULL), (238103, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 655, 2, 2024, 6, 25, '2024-08-05 17:12:35', NULL, NULL), (238104, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 194, 10, 2024, 6, 25, '2024-08-05 17:12:35', NULL, NULL), (238105, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 5256, 8, 2024, 6, 25, '2024-08-05 17:12:35', NULL, NULL), (238106, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 194, 10, 2024, 6, 25, '2024-08-05 17:12:35', NULL, NULL), (238107, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 655, 2, 2024, 6, 25, '2024-08-05 17:12:35', NULL, NULL), (238108, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 5586, 4, 2024, 6, 25, '2024-08-05 17:12:35', NULL, NULL), (238109, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 4925, 4, 2024, 6, 25, '2024-08-05 17:12:35', NULL, NULL), (238110, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 25, 3, 2024, 6, 26, '2024-08-05 17:12:36', NULL, NULL), (238111, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 25, 3, 2024, 6, 26, '2024-08-05 17:12:36', NULL, NULL), (238112, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 15, 2, 2024, 6, 26, '2024-08-05 17:12:36', NULL, NULL), (238113, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 45, 1, 2024, 6, 26, '2024-08-05 17:12:36', NULL, NULL), (238114, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 15, 2, 2024, 6, 26, '2024-08-05 17:12:36', NULL, NULL), (238115, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 45, 1, 2024, 6, 26, '2024-08-05 17:12:36', NULL, NULL), (238116, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 15, 2, 2024, 6, 26, '2024-08-05 17:12:36', NULL, NULL), (238117, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 45, 1, 2024, 6, 26, '2024-08-05 17:12:36', NULL, NULL), (238118, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 45, 1, 2024, 6, 26, '2024-08-05 17:12:36', NULL, NULL), (238119, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 15, 2, 2024, 6, 26, '2024-08-05 17:12:36', NULL, NULL), (238120, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 45, 1, 2024, 6, 26, '2024-08-05 17:12:36', NULL, NULL), (238121, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 15, 2, 2024, 6, 26, '2024-08-05 17:12:36', NULL, NULL), (238122, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 45, 1, 2024, 6, 26, '2024-08-05 17:12:36', NULL, NULL), (238123, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 15, 2, 2024, 6, 26, '2024-08-05 17:12:36', NULL, NULL), (238124, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 83, 5, 2024, 6, 27, '2024-08-05 17:12:37', NULL, NULL), (238125, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 83, 5, 2024, 6, 27, '2024-08-05 17:12:37', NULL, NULL), (238126, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 311, 1, 2024, 6, 27, '2024-08-05 17:12:37', NULL, NULL), (238127, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 45, 2, 2024, 6, 27, '2024-08-05 17:12:37', NULL, NULL), (238128, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 8, 2, 2024, 6, 27, '2024-08-05 17:12:37', NULL, NULL), (238129, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 45, 2, 2024, 6, 27, '2024-08-05 17:12:37', NULL, NULL), (238130, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 109, 3, 2024, 6, 27, '2024-08-05 17:12:37', NULL, NULL), (238131, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 8, 2, 2024, 6, 27, '2024-08-05 17:12:38', NULL, NULL), (238132, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 311, 1, 2024, 6, 27, '2024-08-05 17:12:38', NULL, NULL), (238133, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 45, 2, 2024, 6, 27, '2024-08-05 17:12:38', NULL, NULL), (238134, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 45, 2, 2024, 6, 27, '2024-08-05 17:12:38', NULL, NULL), (238135, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 311, 1, 2024, 6, 27, '2024-08-05 17:12:38', NULL, NULL), (238136, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 8, 2, 2024, 6, 27, '2024-08-05 17:12:38', NULL, NULL), (238137, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 45, 2, 2024, 6, 27, '2024-08-05 17:12:38', NULL, NULL), (238138, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 109, 3, 2024, 6, 27, '2024-08-05 17:12:38', NULL, NULL), (238139, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 8, 2, 2024, 6, 27, '2024-08-05 17:12:38', NULL, NULL), (238140, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 45, 2, 2024, 6, 27, '2024-08-05 17:12:38', NULL, NULL), (238141, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 311, 1, 2024, 6, 27, '2024-08-05 17:12:38', NULL, NULL), (238142, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 437, 12, 2024, 6, 28, '2024-08-05 17:12:39', NULL, NULL), (238143, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 437, 12, 2024, 6, 28, '2024-08-05 17:12:39', NULL, NULL), (238144, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 648, 6, 2024, 6, 28, '2024-08-05 17:12:39', NULL, NULL), (238145, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 539, 2, 2024, 6, 28, '2024-08-05 17:12:39', NULL, NULL), (238146, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 7, 1, 2024, 6, 28, '2024-08-05 17:12:39', NULL, NULL), (238147, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 8, 2, 2024, 6, 28, '2024-08-05 17:12:39', NULL, NULL), (238148, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 251, 1, 2024, 6, 28, '2024-08-05 17:12:39', NULL, NULL), (238149, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 539, 2, 2024, 6, 28, '2024-08-05 17:12:39', NULL, NULL), (238150, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 592, 7, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238151, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 7, 1, 2024, 6, 28, '2024-08-05 17:12:39', NULL, NULL), (238152, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 8, 2, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238153, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 251, 1, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238154, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 648, 6, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238155, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 8, 2, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238156, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 539, 2, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238157, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 7, 1, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238158, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 7, 1, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238159, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 539, 2, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238160, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 648, 6, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238161, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 251, 1, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238162, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 8, 2, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238163, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 7, 1, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238164, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 8, 2, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238165, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 539, 2, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238166, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 592, 7, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238167, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 8, 2, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238168, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 7, 1, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238169, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 251, 1, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238170, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 539, 2, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238171, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 648, 6, 2024, 6, 28, '2024-08-05 17:12:40', NULL, NULL), (238172, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 76, 10, 2024, 7, 1, '2024-08-05 17:12:49', NULL, NULL), (238173, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 76, 10, 2024, 7, 1, '2024-08-05 17:12:49', NULL, NULL), (238174, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 26, 2, 2024, 7, 1, '2024-08-05 17:12:49', NULL, NULL), (238175, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 79, 2, 2024, 7, 1, '2024-08-05 17:12:49', NULL, NULL), (238176, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 46, 1, 2024, 7, 1, '2024-08-05 17:12:49', NULL, NULL), (238177, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 68, 1, 2024, 7, 1, '2024-08-05 17:12:49', NULL, NULL), (238178, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 5, 2, 2024, 7, 1, '2024-08-05 17:12:49', NULL, NULL), (238179, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 213, 2, 2024, 7, 1, '2024-08-05 17:12:50', NULL, NULL), (238180, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 79, 2, 2024, 7, 1, '2024-08-05 17:12:50', NULL, NULL), (238181, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 120, 4, 2024, 7, 1, '2024-08-05 17:12:50', NULL, NULL), (238182, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 46, 1, 2024, 7, 1, '2024-08-05 17:12:50', NULL, NULL), (238183, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 68, 1, 2024, 7, 1, '2024-08-05 17:12:50', NULL, NULL), (238184, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 5, 2, 2024, 7, 1, '2024-08-05 17:12:50', NULL, NULL), (238185, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 213, 2, 2024, 7, 1, '2024-08-05 17:12:50', NULL, NULL), (238186, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 26, 2, 2024, 7, 1, '2024-08-05 17:12:50', NULL, NULL), (238187, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 79, 2, 2024, 7, 1, '2024-08-05 17:12:50', NULL, NULL), (238188, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 5, 2, 2024, 7, 1, '2024-08-05 17:12:51', NULL, NULL), (238189, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 68, 1, 2024, 7, 1, '2024-08-05 17:12:50', NULL, NULL), (238190, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 46, 1, 2024, 7, 1, '2024-08-05 17:12:51', NULL, NULL), (238191, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 68, 1, 2024, 7, 1, '2024-08-05 17:12:51', NULL, NULL), (238192, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 26, 2, 2024, 7, 1, '2024-08-05 17:12:51', NULL, NULL), (238193, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 79, 2, 2024, 7, 1, '2024-08-05 17:12:51', NULL, NULL), (238194, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 46, 1, 2024, 7, 1, '2024-08-05 17:12:51', NULL, NULL), (238195, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 213, 2, 2024, 7, 1, '2024-08-05 17:12:51', NULL, NULL), (238196, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 5, 2, 2024, 7, 1, '2024-08-05 17:12:51', NULL, NULL), (238197, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 46, 1, 2024, 7, 1, '2024-08-05 17:12:51', NULL, NULL), (238198, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 68, 1, 2024, 7, 1, '2024-08-05 17:12:52', NULL, NULL), (238199, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 5, 2, 2024, 7, 1, '2024-08-05 17:12:52', NULL, NULL), (238200, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 79, 2, 2024, 7, 1, '2024-08-05 17:12:51', NULL, NULL), (238201, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 120, 4, 2024, 7, 1, '2024-08-05 17:12:52', NULL, NULL), (238202, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 46, 1, 2024, 7, 1, '2024-08-05 17:12:52', NULL, NULL), (238203, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 5, 2, 2024, 7, 1, '2024-08-05 17:12:52', NULL, NULL), (238204, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 68, 1, 2024, 7, 1, '2024-08-05 17:12:52', NULL, NULL), (238205, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 213, 2, 2024, 7, 1, '2024-08-05 17:12:52', NULL, NULL), (238206, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 26, 2, 2024, 7, 1, '2024-08-05 17:12:52', NULL, NULL), (238207, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 79, 2, 2024, 7, 1, '2024-08-05 17:12:52', NULL, NULL), (238208, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 36, 6, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238209, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 31, 7, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238210, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 35, 1, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238211, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 54, 1, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238212, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 34, 3, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238213, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 14, 2, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238214, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 32, 2, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238215, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 54, 1, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238216, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 34, 3, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238217, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 29, 1, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238218, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 35, 1, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238219, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 34, 3, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238220, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 54, 1, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238221, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 35, 1, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238222, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 54, 1, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238223, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 29, 1, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238224, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 34, 3, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238225, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 54, 1, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238226, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 34, 3, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238227, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 32, 2, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238228, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 54, 1, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238229, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 34, 3, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238230, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 29, 1, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238231, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 35, 1, 2024, 7, 2, '2024-08-05 17:12:54', NULL, NULL), (238232, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 240, 12, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238233, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 240, 12, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238234, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 136, 2, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238235, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 741, 1, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238236, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 233, 8, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238237, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 4, 1, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238238, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 92, 3, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238239, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 741, 1, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238240, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 233, 8, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238241, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 4, 1, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238242, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 136, 2, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238243, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 233, 8, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238244, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 741, 1, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238245, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 741, 1, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238246, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 136, 2, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238247, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 4, 1, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238248, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 233, 8, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238249, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 741, 1, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238250, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 233, 8, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238251, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 92, 3, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238252, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 233, 8, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238253, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 741, 1, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238254, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 4, 1, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238255, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 136, 2, 2024, 7, 3, '2024-08-05 17:12:55', NULL, NULL), (238256, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 593, 15, 2024, 7, 4, '2024-08-05 17:12:56', NULL, NULL), (238257, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 593, 15, 2024, 7, 4, '2024-08-05 17:12:56', NULL, NULL), (238258, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 547, 4, 2024, 7, 4, '2024-08-05 17:12:56', NULL, NULL), (238259, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 4, 1, 2024, 7, 4, '2024-08-05 17:12:56', NULL, NULL), (238260, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 985, 2, 2024, 7, 4, '2024-08-05 17:12:56', NULL, NULL), (238261, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 6, 1, 2024, 7, 4, '2024-08-05 17:12:56', NULL, NULL), (238262, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 41, 2, 2024, 7, 4, '2024-08-05 17:12:56', NULL, NULL), (238263, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 928, 5, 2024, 7, 4, '2024-08-05 17:12:56', NULL, NULL), (238264, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 985, 2, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238265, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 759, 9, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238266, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 4, 1, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238267, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 6, 1, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238268, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 41, 2, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238269, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 928, 5, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238270, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 547, 4, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238271, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 985, 2, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238272, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 41, 2, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238273, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 6, 1, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238274, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 4, 1, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238275, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 6, 1, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238276, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 547, 4, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238277, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 985, 2, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238278, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 4, 1, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238279, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 928, 5, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238280, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 41, 2, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238281, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 4, 1, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238282, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 6, 1, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238283, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 41, 2, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238284, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 985, 2, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238285, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 759, 9, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238286, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 4, 1, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238287, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 41, 2, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238288, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 6, 1, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238289, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 928, 5, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238290, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 547, 4, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238291, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 985, 2, 2024, 7, 4, '2024-08-05 17:12:57', NULL, NULL), (238292, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 1022, 14, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238293, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 1022, 14, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238294, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 82, 5, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238295, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 23, 1, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238296, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 4, 1, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238297, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 32, 3, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238298, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 3444, 4, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238299, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 23, 1, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238300, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 82, 5, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238301, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 4, 1, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238302, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 3444, 4, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238303, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 32, 3, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238304, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 82, 5, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238305, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 23, 1, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238306, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 32, 3, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238307, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 3444, 4, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238308, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 4, 1, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238309, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 3444, 4, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238310, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 23, 1, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238311, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 82, 5, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238312, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 4, 1, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238313, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 32, 3, 2024, 7, 5, '2024-08-05 17:12:58', NULL, NULL), (238314, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 4, 1, 2024, 7, 5, '2024-08-05 17:12:59', NULL, NULL), (238315, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 3444, 4, 2024, 7, 5, '2024-08-05 17:12:59', NULL, NULL), (238316, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 32, 3, 2024, 7, 5, '2024-08-05 17:12:59', NULL, NULL), (238317, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 23, 1, 2024, 7, 5, '2024-08-05 17:12:59', NULL, NULL), (238318, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 82, 5, 2024, 7, 5, '2024-08-05 17:12:59', NULL, NULL), (238319, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 4, 1, 2024, 7, 5, '2024-08-05 17:12:59', NULL, NULL), (238320, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 32, 3, 2024, 7, 5, '2024-08-05 17:12:59', NULL, NULL), (238321, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 3444, 4, 2024, 7, 5, '2024-08-05 17:12:59', NULL, NULL), (238322, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 23, 1, 2024, 7, 5, '2024-08-05 17:12:59', NULL, NULL), (238323, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 82, 5, 2024, 7, 5, '2024-08-05 17:12:59', NULL, NULL), (238324, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 1728, 12, 2024, 7, 8, '2024-08-05 17:13:01', NULL, NULL), (238325, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 1595, 13, 2024, 7, 8, '2024-08-05 17:13:01', NULL, NULL), (238326, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 218, 8, 2024, 7, 8, '2024-08-05 17:13:01', NULL, NULL), (238327, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 0, 1, 2024, 7, 8, '2024-08-05 17:13:01', NULL, NULL), (238328, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 4747, 4, 2024, 7, 8, '2024-08-05 17:13:01', NULL, NULL), (238329, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 218, 8, 2024, 7, 8, '2024-08-05 17:13:01', NULL, NULL), (238330, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 4747, 4, 2024, 7, 8, '2024-08-05 17:13:01', NULL, NULL), (238331, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 218, 8, 2024, 7, 8, '2024-08-05 17:13:02', NULL, NULL), (238332, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 4747, 4, 2024, 7, 8, '2024-08-05 17:13:02', NULL, NULL), (238333, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 218, 8, 2024, 7, 8, '2024-08-05 17:13:02', NULL, NULL), (238334, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 4747, 4, 2024, 7, 8, '2024-08-05 17:13:02', NULL, NULL), (238335, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 4747, 4, 2024, 7, 8, '2024-08-05 17:13:02', NULL, NULL), (238336, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 218, 8, 2024, 7, 8, '2024-08-05 17:13:02', NULL, NULL), (238337, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 4747, 4, 2024, 7, 8, '2024-08-05 17:13:02', NULL, NULL), (238338, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 218, 8, 2024, 7, 8, '2024-08-05 17:13:02', NULL, NULL), (238339, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 42, 10, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238340, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 35, 12, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238341, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 80, 4, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238342, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 13, 2, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238343, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 21, 3, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238344, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 0, 1, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238345, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 0, 1, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238346, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 10, 1, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (238347, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 21, 3, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238348, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 66, 5, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238349, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 13, 2, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238350, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 10, 1, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238351, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 80, 4, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238352, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 21, 3, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238353, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 13, 2, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238354, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 21, 3, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238355, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 80, 4, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238356, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 13, 2, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238357, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 10, 1, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238358, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 13, 2, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238359, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 21, 3, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238360, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 66, 5, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238361, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 13, 2, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238362, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 10, 1, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238363, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 21, 3, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238364, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 80, 4, 2024, 7, 9, '2024-08-05 17:13:03', NULL, NULL), (238365, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 147, 14, 2024, 7, 10, '2024-08-05 17:13:04', NULL, NULL), (238366, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 137, 15, 2024, 7, 10, '2024-08-05 17:13:04', NULL, NULL), (238367, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 195, 10, 2024, 7, 10, '2024-08-05 17:13:04', NULL, NULL), (238368, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 56, 1, 2024, 7, 10, '2024-08-05 17:13:04', NULL, NULL), (238369, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '', 28, 1, 2024, 7, 10, '2024-08-05 17:13:04', NULL, NULL), (238370, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 21, 1, 2024, 7, 10, '2024-08-05 17:13:04', NULL, NULL), (238371, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 0, 1, 2024, 7, 10, '2024-08-05 17:13:04', NULL, NULL), (238372, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 9, 1, 2024, 7, 10, '2024-08-05 17:13:04', NULL, NULL), (238373, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '1', 28, 1, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238374, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 21, 1, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238375, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 178, 11, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238376, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 56, 1, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238377, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 9, 1, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238378, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 195, 10, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238379, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '', 28, 1, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238380, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 21, 1, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238381, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 56, 1, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238382, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 21, 1, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238383, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 195, 10, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238384, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 56, 1, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238385, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '', '', '1', 28, 1, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238386, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 9, 1, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238387, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 56, 1, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238388, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '1', 28, 1, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238389, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 21, 1, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238390, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 178, 11, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238391, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 56, 1, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238392, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 9, 1, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238393, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '12345政务服务', '象鼻街道综合便民服务中心', '', '1', 28, 1, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238394, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 21, 1, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238395, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 195, 10, 2024, 7, 10, '2024-08-05 17:13:05', NULL, NULL), (238396, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 1147, 14, 2024, 7, 11, '2024-08-05 17:13:06', NULL, NULL), (238397, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 1147, 14, 2024, 7, 11, '2024-08-05 17:13:06', NULL, NULL), (238398, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 11, 3, 2024, 7, 11, '2024-08-05 17:13:06', NULL, NULL), (238399, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 888, 1, 2024, 7, 11, '2024-08-05 17:13:06', NULL, NULL), (238400, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 4884, 2, 2024, 7, 11, '2024-08-05 17:13:06', NULL, NULL), (238401, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 759, 7, 2024, 7, 11, '2024-08-05 17:13:06', NULL, NULL), (238402, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 58, 1, 2024, 7, 11, '2024-08-05 17:13:06', NULL, NULL), (238403, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 888, 1, 2024, 7, 11, '2024-08-05 17:13:06', NULL, NULL), (238404, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 23, 4, 2024, 7, 11, '2024-08-05 17:13:06', NULL, NULL), (238405, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 4884, 2, 2024, 7, 11, '2024-08-05 17:13:06', NULL, NULL), (238406, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 759, 7, 2024, 7, 11, '2024-08-05 17:13:06', NULL, NULL), (238407, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 58, 1, 2024, 7, 11, '2024-08-05 17:13:06', NULL, NULL), (238408, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 11, 3, 2024, 7, 11, '2024-08-05 17:13:06', NULL, NULL), (238409, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 888, 1, 2024, 7, 11, '2024-08-05 17:13:06', NULL, NULL), (238410, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 759, 7, 2024, 7, 11, '2024-08-05 17:13:07', NULL, NULL), (238411, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 4884, 2, 2024, 7, 11, '2024-08-05 17:13:06', NULL, NULL), (238412, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 4884, 2, 2024, 7, 11, '2024-08-05 17:13:07', NULL, NULL), (238413, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 888, 1, 2024, 7, 11, '2024-08-05 17:13:07', NULL, NULL), (238414, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 11, 3, 2024, 7, 11, '2024-08-05 17:13:07', NULL, NULL), (238415, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 58, 1, 2024, 7, 11, '2024-08-05 17:13:07', NULL, NULL), (238416, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 759, 7, 2024, 7, 11, '2024-08-05 17:13:07', NULL, NULL), (238417, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 4884, 2, 2024, 7, 11, '2024-08-05 17:13:07', NULL, NULL), (238418, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 759, 7, 2024, 7, 11, '2024-08-05 17:13:07', NULL, NULL), (238419, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 888, 1, 2024, 7, 11, '2024-08-05 17:13:07', NULL, NULL), (238420, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 23, 4, 2024, 7, 11, '2024-08-05 17:13:07', NULL, NULL), (238421, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 759, 7, 2024, 7, 11, '2024-08-05 17:13:07', NULL, NULL), (238422, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 4884, 2, 2024, 7, 11, '2024-08-05 17:13:07', NULL, NULL), (238423, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 58, 1, 2024, 7, 11, '2024-08-05 17:13:07', NULL, NULL), (238424, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 888, 1, 2024, 7, 11, '2024-08-05 17:13:07', NULL, NULL), (238425, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 11, 3, 2024, 7, 11, '2024-08-05 17:13:07', NULL, NULL), (238426, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 1980, 8, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (238427, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 1980, 8, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (238428, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 2625, 6, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (238429, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 34, 1, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (238430, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 51, 1, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (238431, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 2258, 7, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (238432, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 34, 1, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (238433, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 51, 1, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (238434, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 2625, 6, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (238435, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 34, 1, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (238436, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 2625, 6, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (238437, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 51, 1, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (238438, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 34, 1, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (238439, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 34, 1, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (238440, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 2258, 7, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (238441, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 34, 1, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (238442, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 51, 1, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (238443, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 2625, 6, 2024, 7, 12, '2024-08-05 17:13:08', NULL, NULL), (238444, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 1837, 9, 2024, 7, 15, '2024-08-05 17:13:11', NULL, NULL), (238445, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 1837, 9, 2024, 7, 15, '2024-08-05 17:13:11', NULL, NULL), (238446, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 3282, 4, 2024, 7, 15, '2024-08-05 17:13:11', NULL, NULL), (238447, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 3171, 1, 2024, 7, 15, '2024-08-05 17:13:11', NULL, NULL), (238448, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 68, 1, 2024, 7, 15, '2024-08-05 17:13:11', NULL, NULL), (238449, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 26, 2, 2024, 7, 15, '2024-08-05 17:13:11', NULL, NULL), (238450, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 115, 1, 2024, 7, 15, '2024-08-05 17:13:11', NULL, NULL), (238451, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 3171, 1, 2024, 7, 15, '2024-08-05 17:13:11', NULL, NULL), (238452, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 2648, 5, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238453, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 68, 1, 2024, 7, 15, '2024-08-05 17:13:11', NULL, NULL), (238454, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 26, 2, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238455, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 115, 1, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238456, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 3282, 4, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238457, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 3171, 1, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238458, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 26, 2, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238459, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 68, 1, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238460, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 3171, 1, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238461, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 3282, 4, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238462, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 68, 1, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238463, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 115, 1, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238464, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 26, 2, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238465, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 68, 1, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238466, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 26, 2, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238467, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 3171, 1, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238468, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 2648, 5, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238469, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 68, 1, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238470, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 26, 2, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238471, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 115, 1, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238472, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 3171, 1, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238473, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 3282, 4, 2024, 7, 15, '2024-08-05 17:13:12', NULL, NULL), (238474, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 162, 8, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (238475, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 130, 10, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (238476, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 6, 2, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (238477, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 28, 4, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (238478, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 1122, 1, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (238479, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 27, 2, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (238480, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 0, 1, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (238481, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 6, 2, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (238482, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 37, 3, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (238483, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 1122, 1, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (238484, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 27, 2, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (238485, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 6, 2, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (238486, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 27, 2, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (238487, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 1122, 1, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (238488, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 37, 3, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (238489, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 1122, 1, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (238490, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 6, 2, 2024, 7, 16, '2024-08-05 17:13:14', NULL, NULL), (238491, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 37, 3, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (238492, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 27, 2, 2024, 7, 16, '2024-08-05 17:13:13', NULL, NULL), (238493, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 37, 3, 2024, 7, 16, '2024-08-05 17:13:14', NULL, NULL), (238494, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 1122, 1, 2024, 7, 16, '2024-08-05 17:13:14', NULL, NULL), (238495, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 27, 2, 2024, 7, 16, '2024-08-05 17:13:14', NULL, NULL), (238496, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 6, 2, 2024, 7, 16, '2024-08-05 17:13:14', NULL, NULL), (238497, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 37, 3, 2024, 7, 16, '2024-08-05 17:13:14', NULL, NULL), (238498, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 27, 2, 2024, 7, 16, '2024-08-05 17:13:14', NULL, NULL), (238499, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 1122, 1, 2024, 7, 16, '2024-08-05 17:13:14', NULL, NULL), (238500, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 6, 2, 2024, 7, 16, '2024-08-05 17:13:14', NULL, NULL), (238501, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 866, 8, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238502, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 866, 8, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238503, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 1355, 5, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238504, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 37, 1, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238505, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 104, 1, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238506, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 12, 1, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238507, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 37, 1, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238508, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 1355, 5, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238509, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 104, 1, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238510, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 12, 1, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238511, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 1355, 5, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238512, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 37, 1, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238513, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 104, 1, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238514, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 12, 1, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238515, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 12, 1, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238516, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 37, 1, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238517, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 1355, 5, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238518, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 104, 1, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238519, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 104, 1, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238520, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 12, 1, 2024, 7, 17, '2024-08-05 17:13:16', NULL, NULL), (238521, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 37, 1, 2024, 7, 17, '2024-08-05 17:13:15', NULL, NULL), (238522, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 1355, 5, 2024, 7, 17, '2024-08-05 17:13:16', NULL, NULL), (238523, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 104, 1, 2024, 7, 17, '2024-08-05 17:13:16', NULL, NULL), (238524, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 12, 1, 2024, 7, 17, '2024-08-05 17:13:16', NULL, NULL), (238525, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 37, 1, 2024, 7, 17, '2024-08-05 17:13:16', NULL, NULL), (238526, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 1355, 5, 2024, 7, 17, '2024-08-05 17:13:16', NULL, NULL), (238527, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 440, 5, 2024, 7, 18, '2024-08-05 17:13:17', NULL, NULL), (238528, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 440, 5, 2024, 7, 18, '2024-08-05 17:13:17', NULL, NULL), (238529, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 490, 3, 2024, 7, 18, '2024-08-05 17:13:17', NULL, NULL), (238530, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 438, 1, 2024, 7, 18, '2024-08-05 17:13:17', NULL, NULL), (238531, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 294, 1, 2024, 7, 18, '2024-08-05 17:13:17', NULL, NULL), (238532, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 441, 4, 2024, 7, 18, '2024-08-05 17:13:17', NULL, NULL), (238533, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 438, 1, 2024, 7, 18, '2024-08-05 17:13:17', NULL, NULL), (238534, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 294, 1, 2024, 7, 18, '2024-08-05 17:13:17', NULL, NULL), (238535, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 490, 3, 2024, 7, 18, '2024-08-05 17:13:18', NULL, NULL), (238536, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 438, 1, 2024, 7, 18, '2024-08-05 17:13:17', NULL, NULL), (238537, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 438, 1, 2024, 7, 18, '2024-08-05 17:13:18', NULL, NULL), (238538, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 490, 3, 2024, 7, 18, '2024-08-05 17:13:18', NULL, NULL), (238539, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 294, 1, 2024, 7, 18, '2024-08-05 17:13:18', NULL, NULL), (238540, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 438, 1, 2024, 7, 18, '2024-08-05 17:13:18', NULL, NULL), (238541, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 441, 4, 2024, 7, 18, '2024-08-05 17:13:18', NULL, NULL), (238542, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 438, 1, 2024, 7, 18, '2024-08-05 17:13:18', NULL, NULL), (238543, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 294, 1, 2024, 7, 18, '2024-08-05 17:13:18', NULL, NULL), (238544, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 490, 3, 2024, 7, 18, '2024-08-05 17:13:18', NULL, NULL), (238545, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 568, 8, 2024, 7, 19, '2024-08-05 17:13:20', NULL, NULL), (238546, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 568, 8, 2024, 7, 19, '2024-08-05 17:13:21', NULL, NULL), (238547, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 1404, 3, 2024, 7, 19, '2024-08-05 17:13:21', NULL, NULL), (238548, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 182, 1, 2024, 7, 19, '2024-08-05 17:13:21', NULL, NULL), (238549, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 46, 1, 2024, 7, 19, '2024-08-05 17:13:21', NULL, NULL), (238550, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 49, 1, 2024, 7, 19, '2024-08-05 17:13:21', NULL, NULL), (238551, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 29, 2, 2024, 7, 19, '2024-08-05 17:13:21', NULL, NULL), (238552, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 182, 1, 2024, 7, 19, '2024-08-05 17:13:22', NULL, NULL), (238553, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 854, 5, 2024, 7, 19, '2024-08-05 17:13:22', NULL, NULL), (238554, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 46, 1, 2024, 7, 19, '2024-08-05 17:13:22', NULL, NULL), (238555, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 49, 1, 2024, 7, 19, '2024-08-05 17:13:22', NULL, NULL), (238556, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 29, 2, 2024, 7, 19, '2024-08-05 17:13:22', NULL, NULL), (238557, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 1404, 3, 2024, 7, 19, '2024-08-05 17:13:22', NULL, NULL), (238558, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 49, 1, 2024, 7, 19, '2024-08-05 17:13:22', NULL, NULL), (238559, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 182, 1, 2024, 7, 19, '2024-08-05 17:13:22', NULL, NULL), (238560, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 46, 1, 2024, 7, 19, '2024-08-05 17:13:22', NULL, NULL), (238561, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 46, 1, 2024, 7, 19, '2024-08-05 17:13:22', NULL, NULL), (238562, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 1404, 3, 2024, 7, 19, '2024-08-05 17:13:23', NULL, NULL), (238563, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 182, 1, 2024, 7, 19, '2024-08-05 17:13:23', NULL, NULL), (238564, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 29, 2, 2024, 7, 19, '2024-08-05 17:13:22', NULL, NULL), (238565, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 49, 1, 2024, 7, 19, '2024-08-05 17:13:22', NULL, NULL), (238566, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 46, 1, 2024, 7, 19, '2024-08-05 17:13:23', NULL, NULL), (238567, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 49, 1, 2024, 7, 19, '2024-08-05 17:13:23', NULL, NULL), (238568, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 182, 1, 2024, 7, 19, '2024-08-05 17:13:23', NULL, NULL), (238569, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 854, 5, 2024, 7, 19, '2024-08-05 17:13:23', NULL, NULL), (238570, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 49, 1, 2024, 7, 19, '2024-08-05 17:13:23', NULL, NULL), (238571, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 46, 1, 2024, 7, 19, '2024-08-05 17:13:23', NULL, NULL), (238572, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 29, 2, 2024, 7, 19, '2024-08-05 17:13:24', NULL, NULL), (238573, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 1404, 3, 2024, 7, 19, '2024-08-05 17:13:23', NULL, NULL), (238574, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 182, 1, 2024, 7, 19, '2024-08-05 17:13:24', NULL, NULL), (238575, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 34, 2, 2024, 7, 22, '2024-08-05 17:13:32', NULL, NULL), (238576, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 34, 2, 2024, 7, 22, '2024-08-05 17:13:33', NULL, NULL), (238577, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 34, 2, 2024, 7, 22, '2024-08-05 17:13:33', NULL, NULL), (238578, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 34, 2, 2024, 7, 22, '2024-08-05 17:13:33', NULL, NULL), (238579, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 34, 2, 2024, 7, 22, '2024-08-05 17:13:33', NULL, NULL), (238580, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 34, 2, 2024, 7, 22, '2024-08-05 17:13:33', NULL, NULL), (238581, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 34, 2, 2024, 7, 22, '2024-08-05 17:13:33', NULL, NULL), (238582, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 34, 2, 2024, 7, 22, '2024-08-05 17:13:33', NULL, NULL), (238583, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 3246, 3, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (238584, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 3246, 3, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (238585, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 4, 1, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (238586, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 9695, 1, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (238587, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 40, 1, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (238588, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 22, 2, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (238589, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 9695, 1, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (238590, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 40, 1, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (238591, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 4, 1, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (238592, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 9695, 1, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (238593, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 9695, 1, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (238594, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 4, 1, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (238595, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 40, 1, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (238596, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 9695, 1, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (238597, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 22, 2, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (238598, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 9695, 1, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (238599, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 40, 1, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (238600, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 4, 1, 2024, 7, 23, '2024-08-05 17:13:34', NULL, NULL), (238601, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 1336, 11, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (238602, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 1336, 11, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (238603, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 2172, 2, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (238604, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 27, 2, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (238605, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 1185, 1, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (238606, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 141, 5, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (238607, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 8413, 1, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (238608, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 27, 2, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (238609, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 4252, 3, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (238610, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 1185, 1, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (238611, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 141, 5, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (238612, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 8413, 1, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (238613, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 2172, 2, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (238614, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 27, 2, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (238615, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 141, 5, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (238616, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 1185, 1, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (238617, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 27, 2, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (238618, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 2172, 2, 2024, 7, 24, '2024-08-05 17:13:36', NULL, NULL), (238619, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 1185, 1, 2024, 7, 24, '2024-08-05 17:13:35', NULL, NULL), (238620, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 8413, 1, 2024, 7, 24, '2024-08-05 17:13:36', NULL, NULL), (238621, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 141, 5, 2024, 7, 24, '2024-08-05 17:13:36', NULL, NULL), (238622, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 1185, 1, 2024, 7, 24, '2024-08-05 17:13:36', NULL, NULL), (238623, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 141, 5, 2024, 7, 24, '2024-08-05 17:13:36', NULL, NULL), (238624, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 27, 2, 2024, 7, 24, '2024-08-05 17:13:36', NULL, NULL), (238625, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 4252, 3, 2024, 7, 24, '2024-08-05 17:13:36', NULL, NULL), (238626, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 1185, 1, 2024, 7, 24, '2024-08-05 17:13:36', NULL, NULL), (238627, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 141, 5, 2024, 7, 24, '2024-08-05 17:13:36', NULL, NULL), (238628, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 8413, 1, 2024, 7, 24, '2024-08-05 17:13:36', NULL, NULL), (238629, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 27, 2, 2024, 7, 24, '2024-08-05 17:13:36', NULL, NULL), (238630, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 2172, 2, 2024, 7, 24, '2024-08-05 17:13:36', NULL, NULL), (238631, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 47, 5, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238632, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 47, 5, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238633, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 30, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238634, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 21, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238635, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 19, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238636, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 54, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238637, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 114, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238638, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 21, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238639, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 72, 2, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238640, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 19, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238641, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 54, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238642, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 114, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238643, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 30, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238644, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 21, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238645, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 54, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238646, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 19, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238647, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 21, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238648, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 30, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238649, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 19, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238650, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 114, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238651, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 54, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238652, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 19, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238653, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 54, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238654, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 21, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238655, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 72, 2, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238656, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 19, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238657, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 54, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238658, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 114, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238659, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 21, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238660, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 30, 1, 2024, 7, 25, '2024-08-05 17:13:37', NULL, NULL), (238661, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 563, 20, 2024, 7, 26, '2024-08-05 17:13:38', NULL, NULL), (238662, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 563, 20, 2024, 7, 26, '2024-08-05 17:13:38', NULL, NULL), (238663, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 811, 4, 2024, 7, 26, '2024-08-05 17:13:38', NULL, NULL), (238664, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 175, 3, 2024, 7, 26, '2024-08-05 17:13:38', NULL, NULL), (238665, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 577, 3, 2024, 7, 26, '2024-08-05 17:13:38', NULL, NULL), (238666, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 31, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238667, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 1210, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238668, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 509, 4, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238669, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 175, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238670, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 660, 8, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238671, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 577, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238672, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 31, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238673, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 1210, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238674, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 509, 4, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238675, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 811, 4, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238676, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 175, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238677, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 1210, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238678, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 31, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238679, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 577, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238680, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 31, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238681, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 811, 4, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238682, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 175, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238683, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 577, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238684, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 509, 4, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238685, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 1210, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238686, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 577, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238687, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 31, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238688, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 1210, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238689, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 175, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238690, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 660, 8, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238691, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 577, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238692, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 1210, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238693, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 31, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238694, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 509, 4, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238695, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 811, 4, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (238696, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 175, 3, 2024, 7, 26, '2024-08-05 17:13:39', NULL, NULL), (238697, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 93, 8, 2024, 7, 29, '2024-08-05 17:13:42', NULL, NULL), (238698, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 83, 9, 2024, 7, 29, '2024-08-05 17:13:42', NULL, NULL), (238699, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 13, 1, 2024, 7, 29, '2024-08-05 17:13:42', NULL, NULL), (238700, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 138, 1, 2024, 7, 29, '2024-08-05 17:13:42', NULL, NULL), (238701, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 0, 1, 2024, 7, 29, '2024-08-05 17:13:42', NULL, NULL), (238702, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 72, 5, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238703, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 236, 1, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238704, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 138, 1, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238705, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 124, 2, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238706, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 72, 5, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238707, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 236, 1, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238708, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 13, 1, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238709, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '', 138, 1, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238710, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 72, 5, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238711, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 138, 1, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238712, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 13, 1, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238713, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 236, 1, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238714, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 72, 5, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238715, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 72, 5, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238716, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '2', 138, 1, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238717, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 124, 2, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238718, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 72, 5, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238719, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 236, 1, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238720, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '象鼻街道综合便民服务中心', '', '2', 138, 1, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238721, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 13, 1, 2024, 7, 29, '2024-08-05 17:13:43', NULL, NULL), (238722, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 1692, 13, 2024, 7, 30, '2024-08-05 17:13:44', NULL, NULL), (238723, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 1692, 13, 2024, 7, 30, '2024-08-05 17:13:44', NULL, NULL), (238724, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 277, 1, 2024, 7, 30, '2024-08-05 17:13:44', NULL, NULL), (238725, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 4, 2, 2024, 7, 30, '2024-08-05 17:13:44', NULL, NULL), (238726, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 498, 6, 2024, 7, 30, '2024-08-05 17:13:44', NULL, NULL), (238727, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 4681, 4, 2024, 7, 30, '2024-08-05 17:13:44', NULL, NULL), (238728, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 4681, 4, 2024, 7, 30, '2024-08-05 17:13:44', NULL, NULL), (238729, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 277, 1, 2024, 7, 30, '2024-08-05 17:13:44', NULL, NULL), (238730, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 498, 6, 2024, 7, 30, '2024-08-05 17:13:44', NULL, NULL), (238731, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 4, 2, 2024, 7, 30, '2024-08-05 17:13:45', NULL, NULL), (238732, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 4681, 4, 2024, 7, 30, '2024-08-05 17:13:45', NULL, NULL), (238733, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 4, 2, 2024, 7, 30, '2024-08-05 17:13:45', NULL, NULL), (238734, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '', 498, 6, 2024, 7, 30, '2024-08-05 17:13:45', NULL, NULL), (238735, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 277, 1, 2024, 7, 30, '2024-08-05 17:13:45', NULL, NULL), (238736, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 498, 6, 2024, 7, 30, '2024-08-05 17:13:45', NULL, NULL), (238737, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 277, 1, 2024, 7, 30, '2024-08-05 17:13:45', NULL, NULL), (238738, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 4681, 4, 2024, 7, 30, '2024-08-05 17:13:45', NULL, NULL), (238739, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 4, 2, 2024, 7, 30, '2024-08-05 17:13:45', NULL, NULL), (238740, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 277, 1, 2024, 7, 30, '2024-08-05 17:13:45', NULL, NULL), (238741, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '5', 498, 6, 2024, 7, 30, '2024-08-05 17:13:45', NULL, NULL), (238742, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 4, 2, 2024, 7, 30, '2024-08-05 17:13:45', NULL, NULL), (238743, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 4681, 4, 2024, 7, 30, '2024-08-05 17:13:45', NULL, NULL), (238744, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 277, 1, 2024, 7, 30, '2024-08-05 17:13:45', NULL, NULL), (238745, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 4, 2, 2024, 7, 30, '2024-08-05 17:13:45', NULL, NULL), (238746, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '象鼻街道综合便民服务中心', '', '5', 498, 6, 2024, 7, 30, '2024-08-05 17:13:45', NULL, NULL), (238747, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 4681, 4, 2024, 7, 30, '2024-08-05 17:13:45', NULL, NULL), (238748, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 618, 4, 2024, 7, 31, '2024-08-05 17:13:46', NULL, NULL), (238749, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 618, 4, 2024, 7, 31, '2024-08-05 17:13:46', NULL, NULL), (238750, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 10, 1, 2024, 7, 31, '2024-08-05 17:13:46', NULL, NULL), (238751, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 208, 1, 2024, 7, 31, '2024-08-05 17:13:46', NULL, NULL), (238752, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 1127, 2, 2024, 7, 31, '2024-08-05 17:13:46', NULL, NULL), (238753, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 10, 1, 2024, 7, 31, '2024-08-05 17:13:46', NULL, NULL), (238754, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 208, 1, 2024, 7, 31, '2024-08-05 17:13:46', NULL, NULL), (238755, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 1127, 2, 2024, 7, 31, '2024-08-05 17:13:46', NULL, NULL), (238756, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 10, 1, 2024, 7, 31, '2024-08-05 17:13:46', NULL, NULL), (238757, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '', 1127, 2, 2024, 7, 31, '2024-08-05 17:13:46', NULL, NULL), (238758, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '', 208, 1, 2024, 7, 31, '2024-08-05 17:13:47', NULL, NULL), (238759, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 10, 1, 2024, 7, 31, '2024-08-05 17:13:47', NULL, NULL), (238760, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 208, 1, 2024, 7, 31, '2024-08-05 17:13:47', NULL, NULL), (238761, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 1127, 2, 2024, 7, 31, '2024-08-05 17:13:47', NULL, NULL), (238762, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '4', 208, 1, 2024, 7, 31, '2024-08-05 17:13:47', NULL, NULL), (238763, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '6', 1127, 2, 2024, 7, 31, '2024-08-05 17:13:47', NULL, NULL), (238764, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 10, 1, 2024, 7, 31, '2024-08-05 17:13:47', NULL, NULL), (238765, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '象鼻街道综合便民服务中心', '', '4', 208, 1, 2024, 7, 31, '2024-08-05 17:13:47', NULL, NULL), (238766, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '象鼻街道综合便民服务中心', '', '6', 1127, 2, 2024, 7, 31, '2024-08-05 17:13:47', NULL, NULL), (238767, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 10, 1, 2024, 7, 31, '2024-08-05 17:13:47', NULL, NULL), (238768, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '', 440, 2, 2024, 8, 1, '2024-08-05 17:13:48', NULL, NULL), (238769, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 440, 2, 2024, 8, 1, '2024-08-05 17:13:48', NULL, NULL), (238770, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 831, 1, 2024, 8, 1, '2024-08-05 17:13:48', NULL, NULL), (238771, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 50, 1, 2024, 8, 1, '2024-08-05 17:13:48', NULL, NULL), (238772, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 440, 2, 2024, 8, 1, '2024-08-05 17:13:48', NULL, NULL), (238773, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '', 50, 1, 2024, 8, 1, '2024-08-05 17:13:48', NULL, NULL), (238774, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '', 831, 1, 2024, 8, 1, '2024-08-05 17:13:48', NULL, NULL), (238775, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 831, 1, 2024, 8, 1, '2024-08-05 17:13:48', NULL, NULL), (238776, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 50, 1, 2024, 8, 1, '2024-08-05 17:13:48', NULL, NULL), (238777, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '象鼻街道综合便民服务中心', '', '3', 440, 2, 2024, 8, 1, '2024-08-05 17:13:48', NULL, NULL), (238778, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '象鼻街道综合便民服务中心', '', '3', 50, 1, 2024, 8, 1, '2024-08-05 17:13:48', NULL, NULL), (238779, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '象鼻街道综合便民服务中心', '', '3', 831, 1, 2024, 8, 1, '2024-08-05 17:13:48', NULL, NULL), (238780, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 8166, 12, 2024, 8, 2, '2024-08-05 17:13:49', 1, '2024-08-06 02:01:10'), (238781, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 22, 2, 2024, 8, 2, '2024-08-05 17:13:50', 1, '2024-08-06 02:01:10'), (238782, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 996, 1, 2024, 8, 2, '2024-08-05 17:13:50', 1, '2024-08-06 02:01:10'), (238783, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 333, 1, 2024, 8, 2, '2024-08-05 17:13:50', 1, '2024-08-06 02:01:10'), (238784, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 9347, 5, 2024, 8, 2, '2024-08-05 17:13:50', 1, '2024-08-06 02:01:10'), (238785, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 16629, 3, 2024, 8, 2, '2024-08-05 17:13:50', 1, '2024-08-06 02:01:10'), (238786, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 996, 1, 2024, 8, 2, '2024-08-05 17:13:50', 1, '2024-08-06 02:01:11'), (238787, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 9986, 5, 2024, 8, 2, '2024-08-05 17:13:50', 1, '2024-08-06 02:01:11'), (238788, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 9347, 5, 2024, 8, 2, '2024-08-05 17:13:50', 1, '2024-08-06 02:01:10'), (238789, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 333, 1, 2024, 8, 2, '2024-08-05 17:13:50', 1, '2024-08-06 02:01:11'), (238790, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 9347, 5, 2024, 8, 2, '2024-08-05 17:13:50', 1, '2024-08-06 02:01:11'), (238791, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 996, 1, 2024, 8, 2, '2024-08-05 17:13:50', 1, '2024-08-06 02:01:11'), (238792, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 22, 2, 2024, 8, 2, '2024-08-05 17:13:50', 1, '2024-08-06 02:01:11'), (238793, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 16629, 3, 2024, 8, 2, '2024-08-05 17:13:50', 1, '2024-08-06 02:01:11'), (238794, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 333, 1, 2024, 8, 2, '2024-08-05 17:13:50', 1, '2024-08-06 02:01:11'), (238795, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 17:15:37', NULL, NULL), (238796, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 17:15:38', NULL, NULL), (238797, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 17:15:39', NULL, NULL), (238798, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 17:15:41', NULL, NULL), (238799, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 17:15:42', NULL, NULL), (238800, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 17:15:43', NULL, NULL), (238801, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 17:15:45', NULL, NULL), (238802, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 17:15:46', NULL, NULL), (238803, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 17:15:48', NULL, NULL), (238804, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 17:15:49', NULL, NULL), (238805, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 17:15:50', NULL, NULL), (238806, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 17:15:52', NULL, NULL), (238807, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 17:15:53', NULL, NULL), (238808, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 17:15:54', NULL, NULL), (238809, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 17:15:56', NULL, NULL), (238810, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 17:15:57', NULL, NULL), (238811, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 17:15:58', NULL, NULL), (238812, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 17:16:00', NULL, NULL), (238813, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 17:16:01', NULL, NULL), (238814, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 17:16:02', NULL, NULL), (238815, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 17:16:04', NULL, NULL), (238816, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 17:16:05', NULL, NULL), (238817, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 17:16:07', NULL, NULL), (238818, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 17:16:08', NULL, NULL), (238819, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 17:16:09', NULL, NULL), (238820, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 17:16:10', NULL, NULL), (238821, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 17:16:11', NULL, NULL), (238822, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 17:16:12', NULL, NULL), (238823, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 17:16:13', NULL, NULL), (238824, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 17:16:14', NULL, NULL), (238825, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 17:16:15', NULL, NULL), (238826, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 17:16:15', NULL, NULL), (238827, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 17:16:16', NULL, NULL), (238828, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 17:16:17', NULL, NULL), (238829, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 17:16:18', NULL, NULL), (238830, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 17:16:19', NULL, NULL), (238831, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 17:16:19', NULL, NULL), (238832, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 17:16:20', NULL, NULL), (238833, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 17:16:21', NULL, NULL), (238834, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 17:16:22', NULL, NULL), (238835, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 17:16:22', NULL, NULL), (238836, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 17:16:23', NULL, NULL), (238837, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 17:16:24', NULL, NULL), (238838, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 17:16:25', NULL, NULL), (238839, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 17:16:26', NULL, NULL), (238840, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 17:16:27', NULL, NULL), (238841, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 17:16:27', NULL, NULL), (238842, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 17:16:28', NULL, NULL), (238843, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 17:16:29', NULL, NULL), (238844, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 17:16:30', NULL, NULL), (238845, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 17:16:31', NULL, NULL), (238846, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 17:16:32', NULL, NULL), (238847, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 17:16:33', NULL, NULL), (238848, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 17:16:34', NULL, NULL), (238849, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 17:16:35', NULL, NULL), (238850, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 17:16:36', NULL, NULL), (238851, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 17:16:38', NULL, NULL), (238852, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 17:16:39', NULL, NULL), (238853, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 17:16:40', NULL, NULL), (238854, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 17:16:42', NULL, NULL), (238855, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 17:16:43', NULL, NULL), (238856, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 17:16:45', NULL, NULL), (238857, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 17:16:46', NULL, NULL), (238858, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 17:16:47', NULL, NULL), (238859, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 17:16:49', NULL, NULL), (238860, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 17:16:50', NULL, NULL), (238861, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 17:16:51', NULL, NULL), (238862, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 17:16:53', NULL, NULL), (238863, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 17:16:54', NULL, NULL), (238864, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 17:16:55', NULL, NULL), (238865, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 17:16:57', NULL, NULL), (238866, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 17:16:58', NULL, NULL), (238867, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 17:16:59', NULL, NULL), (238868, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 17:17:01', NULL, NULL), (238869, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 17:17:02', NULL, NULL), (238870, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 17:17:03', NULL, NULL), (238871, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 17:17:05', NULL, NULL), (238872, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 17:17:06', NULL, NULL), (238873, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 17:17:08', NULL, NULL), (238874, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 17:17:09', NULL, NULL), (238875, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 17:17:10', NULL, NULL), (238876, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 17:17:12', NULL, NULL), (238877, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 17:17:13', NULL, NULL), (238878, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 17:17:14', NULL, NULL), (238879, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 17:17:16', NULL, NULL), (238880, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 17:17:17', NULL, NULL), (238881, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 17:17:18', NULL, NULL), (238882, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 17:17:19', NULL, NULL), (238883, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 17:17:20', NULL, NULL), (238884, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 17:17:21', NULL, NULL), (238885, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 17:17:21', NULL, NULL), (238886, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 17:17:22', NULL, NULL), (238887, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 17:17:23', NULL, NULL), (238888, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 17:17:24', NULL, NULL), (238889, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 17:17:24', NULL, NULL), (238890, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 17:17:25', NULL, NULL), (238891, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 17:17:26', NULL, NULL), (238892, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 17:17:27', NULL, NULL), (238893, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 17:17:27', NULL, NULL), (238894, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 17:17:28', NULL, NULL), (238895, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 17:17:29', NULL, NULL), (238896, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 17:17:30', NULL, NULL), (238897, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 17:17:31', NULL, NULL), (238898, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 17:17:32', NULL, NULL), (238899, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 17:17:32', NULL, NULL), (238900, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 17:17:33', NULL, NULL), (238901, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 17:17:34', NULL, NULL), (238902, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 17:17:35', NULL, NULL), (238903, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 17:17:36', NULL, NULL), (238904, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 17:17:37', NULL, NULL), (238905, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 17:17:37', NULL, NULL), (238906, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 17:17:38', NULL, NULL), (238907, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 17:17:39', NULL, NULL), (238908, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 17:17:40', NULL, NULL), (238909, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 17:17:41', NULL, NULL), (238910, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 17:17:43', NULL, NULL), (238911, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 17:17:44', NULL, NULL), (238912, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 17:17:45', NULL, NULL), (238913, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 17:17:47', NULL, NULL), (238914, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 17:17:48', NULL, NULL), (238915, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 17:17:49', NULL, NULL), (238916, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 17:17:51', NULL, NULL), (238917, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 17:17:52', NULL, NULL), (238918, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 17:17:53', NULL, NULL), (238919, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 17:17:55', NULL, NULL), (238920, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 17:17:56', NULL, NULL), (238921, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 17:17:58', NULL, NULL), (238922, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 17:17:59', NULL, NULL), (238923, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 17:18:00', NULL, NULL), (238924, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 17:18:02', NULL, NULL), (238925, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 17:18:03', NULL, NULL), (238926, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 17:18:04', NULL, NULL), (238927, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 17:18:06', NULL, NULL), (238928, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 17:18:07', NULL, NULL), (238929, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 17:18:08', NULL, NULL), (238930, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 17:18:10', NULL, NULL), (238931, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 17:18:11', NULL, NULL), (238932, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 17:18:12', NULL, NULL), (238933, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 17:18:14', NULL, NULL), (238934, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 17:18:15', NULL, NULL), (238935, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 17:18:16', NULL, NULL), (238936, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 17:18:18', NULL, NULL), (238937, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 17:18:19', NULL, NULL), (238938, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 17:18:20', NULL, NULL), (238939, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 17:18:21', NULL, NULL), (238940, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 17:18:21', NULL, NULL), (238941, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 17:18:22', NULL, NULL), (238942, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 17:18:23', NULL, NULL), (238943, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 17:18:24', NULL, NULL), (238944, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 17:18:25', NULL, NULL), (238945, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 17:18:25', NULL, NULL), (238946, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 17:18:26', NULL, NULL), (238947, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 17:18:27', NULL, NULL), (238948, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 17:18:28', NULL, NULL), (238949, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 17:18:29', NULL, NULL), (238950, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 17:18:30', NULL, NULL), (238951, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 17:18:30', NULL, NULL), (238952, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 17:18:31', NULL, NULL), (238953, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 17:18:32', NULL, NULL), (238954, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 17:18:33', NULL, NULL), (238955, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 17:18:34', NULL, NULL), (238956, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 17:18:35', NULL, NULL), (238957, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 17:18:36', NULL, NULL), (238958, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 17:18:37', NULL, NULL), (238959, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 17:18:38', NULL, NULL), (238960, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 17:18:39', NULL, NULL), (238961, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 17:18:40', NULL, NULL), (238962, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 17:18:41', NULL, NULL), (238963, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 17:18:42', NULL, NULL), (238964, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 17:18:43', NULL, NULL), (238965, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 17:18:45', NULL, NULL), (238966, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 17:18:48', NULL, NULL), (238967, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 17:18:51', NULL, NULL), (238968, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 17:18:55', NULL, NULL), (238969, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 17:18:59', NULL, NULL), (238970, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 17:19:02', NULL, NULL), (238971, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 17:19:03', NULL, NULL), (238972, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 17:19:04', NULL, NULL), (238973, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 17:19:05', NULL, NULL), (238974, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 17:19:06', NULL, NULL), (238975, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 17:19:07', NULL, NULL), (238976, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 17:19:08', NULL, NULL), (238977, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 17:19:08', NULL, NULL), (238978, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 17:19:09', NULL, NULL), (238979, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 17:19:10', NULL, NULL), (238980, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 17:19:11', NULL, NULL), (238981, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 17:19:12', NULL, NULL), (238982, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 17:19:13', NULL, NULL), (238983, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 17:19:14', NULL, NULL), (238984, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 17:19:15', NULL, NULL), (238985, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 17:19:16', NULL, NULL), (238986, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 17:19:17', NULL, NULL), (238987, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 17:19:18', NULL, NULL), (238988, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 17:19:19', NULL, NULL), (238989, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 17:19:20', NULL, NULL), (238990, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 17:19:21', NULL, NULL), (238991, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 17:19:22', NULL, NULL), (238992, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 17:19:23', NULL, NULL), (238993, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 17:19:24', NULL, NULL), (238994, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 17:19:25', NULL, NULL), (238995, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 17:19:27', NULL, NULL), (238996, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 17:19:28', NULL, NULL), (238997, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 17:19:31', NULL, NULL), (238998, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 17:19:35', NULL, NULL), (238999, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 17:19:39', NULL, NULL), (239000, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 17:19:42', NULL, NULL), (239001, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 17:19:46', NULL, NULL), (239002, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 17:19:47', NULL, NULL), (239003, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 17:19:48', NULL, NULL), (239004, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 17:19:49', NULL, NULL), (239005, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 17:19:49', NULL, NULL), (239006, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 17:19:50', NULL, NULL), (239007, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 17:19:51', NULL, NULL), (239008, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 17:19:52', NULL, NULL), (239009, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 17:19:53', NULL, NULL), (239010, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 17:19:54', NULL, NULL), (239011, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 17:19:55', NULL, NULL), (239012, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 17:19:55', NULL, NULL), (239013, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 17:19:56', NULL, NULL), (239014, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 17:19:57', NULL, NULL), (239015, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 17:19:58', NULL, NULL), (239016, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 17:19:59', NULL, NULL), (239017, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 17:20:00', NULL, NULL), (239018, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 17:20:01', NULL, NULL), (239019, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 17:20:02', NULL, NULL), (239020, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 17:20:03', NULL, NULL), (239021, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 17:20:04', NULL, NULL), (239022, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 17:20:05', NULL, NULL), (239023, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 17:20:06', NULL, NULL), (239024, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 17:20:07', NULL, NULL), (239025, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 17:20:08', NULL, NULL), (239026, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 17:20:09', NULL, NULL), (239027, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 17:20:11', NULL, NULL), (239028, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 17:20:12', NULL, NULL), (239029, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 17:20:15', NULL, NULL), (239030, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 17:20:19', NULL, NULL), (239031, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 17:20:23', NULL, NULL), (239032, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 17:20:26', NULL, NULL), (239033, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 17:20:30', NULL, NULL), (239034, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 17:20:32', NULL, NULL), (239035, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 17:20:32', NULL, NULL), (239036, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 17:20:33', NULL, NULL), (239037, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 17:20:34', NULL, NULL), (239038, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 17:20:35', NULL, NULL), (239039, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 17:20:36', NULL, NULL), (239040, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 17:20:36', NULL, NULL), (239041, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 17:20:37', NULL, NULL), (239042, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 17:20:38', NULL, NULL), (239043, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 17:20:39', NULL, NULL), (239044, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 17:20:40', NULL, NULL), (239045, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 17:20:40', NULL, NULL), (239046, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 17:20:41', NULL, NULL), (239047, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 17:20:42', NULL, NULL), (239048, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 17:20:43', NULL, NULL), (239049, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 17:20:44', NULL, NULL), (239050, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 17:20:45', NULL, NULL), (239051, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 17:20:45', NULL, NULL), (239052, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 17:20:46', NULL, NULL), (239053, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 17:20:47', NULL, NULL), (239054, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 17:20:48', NULL, NULL), (239055, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 17:20:49', NULL, NULL), (239056, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 17:20:50', NULL, NULL), (239057, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 17:20:51', NULL, NULL), (239058, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 17:20:52', NULL, NULL), (239059, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 17:20:53', NULL, NULL), (239060, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 17:20:54', NULL, NULL), (239061, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 17:20:55', NULL, NULL), (239062, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 17:20:56', NULL, NULL), (239063, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 17:20:57', NULL, NULL), (239064, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 17:20:59', NULL, NULL), (239065, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 17:21:00', NULL, NULL), (239066, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 17:21:01', NULL, NULL), (239067, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 17:21:03', NULL, NULL), (239068, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 17:21:04', NULL, NULL), (239069, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 17:21:05', NULL, NULL), (239070, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 17:21:07', NULL, NULL), (239071, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 17:21:08', NULL, NULL), (239072, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 17:21:09', NULL, NULL), (239073, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 17:21:11', NULL, NULL), (239074, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 17:21:12', NULL, NULL), (239075, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 17:21:13', NULL, NULL), (239076, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 17:21:15', NULL, NULL), (239077, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 17:21:16', NULL, NULL), (239078, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 17:21:17', NULL, NULL), (239079, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 17:21:19', NULL, NULL), (239080, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 17:21:20', NULL, NULL), (239081, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 17:21:21', NULL, NULL), (239082, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 17:21:23', NULL, NULL), (239083, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 17:21:24', NULL, NULL), (239084, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 17:21:26', NULL, NULL), (239085, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 17:21:27', NULL, NULL), (239086, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 17:21:28', NULL, NULL), (239087, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 17:21:30', NULL, NULL), (239088, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 17:21:31', NULL, NULL), (239089, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 17:21:32', NULL, NULL), (239090, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 17:21:34', NULL, NULL), (239091, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 17:21:35', NULL, NULL), (239092, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 17:21:36', NULL, NULL), (239093, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 17:21:38', NULL, NULL), (239094, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 17:21:39', NULL, NULL), (239095, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 17:21:40', NULL, NULL), (239096, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 17:21:42', NULL, NULL), (239097, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 17:21:43', NULL, NULL), (239098, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 17:21:44', NULL, NULL), (239099, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 17:21:46', NULL, NULL), (239100, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 17:21:47', NULL, NULL), (239101, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 17:21:48', NULL, NULL), (239102, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 17:21:50', NULL, NULL), (239103, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 17:21:51', NULL, NULL), (239104, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 17:21:52', NULL, NULL), (239105, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 17:21:53', NULL, NULL), (239106, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 17:21:54', NULL, NULL), (239107, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 17:21:55', NULL, NULL), (239108, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 17:21:55', NULL, NULL), (239109, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 17:21:56', NULL, NULL), (239110, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 17:21:57', NULL, NULL), (239111, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 17:21:58', NULL, NULL), (239112, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 17:21:58', NULL, NULL), (239113, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 17:21:59', NULL, NULL), (239114, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 17:22:00', NULL, NULL), (239115, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 17:22:01', NULL, NULL), (239116, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 17:22:01', NULL, NULL), (239117, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 17:22:02', NULL, NULL), (239118, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 17:22:03', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (239119, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 17:22:04', NULL, NULL), (239120, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 17:22:05', NULL, NULL), (239121, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 17:22:05', NULL, NULL), (239122, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 17:22:06', NULL, NULL), (239123, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 17:22:07', NULL, NULL), (239124, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 17:22:08', NULL, NULL), (239125, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 17:22:09', NULL, NULL), (239126, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 17:22:10', NULL, NULL), (239127, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 17:22:10', NULL, NULL), (239128, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 17:22:11', NULL, NULL), (239129, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 17:22:12', NULL, NULL), (239130, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 17:22:13', NULL, NULL), (239131, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 17:22:14', NULL, NULL), (239132, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 17:22:15', NULL, NULL), (239133, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 17:22:16', NULL, NULL), (239134, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 17:22:18', NULL, NULL), (239135, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 17:22:19', NULL, NULL), (239136, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 17:22:21', NULL, NULL), (239137, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 17:22:22', NULL, NULL), (239138, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 17:22:23', NULL, NULL), (239139, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 17:22:25', NULL, NULL), (239140, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 17:22:26', NULL, NULL), (239141, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 17:22:27', NULL, NULL), (239142, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 17:22:29', NULL, NULL), (239143, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 17:22:30', NULL, NULL), (239144, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 17:22:31', NULL, NULL), (239145, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 17:22:33', NULL, NULL), (239146, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 17:22:34', NULL, NULL), (239147, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 17:22:36', NULL, NULL), (239148, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 17:22:37', NULL, NULL), (239149, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 17:22:38', NULL, NULL), (239150, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 17:22:40', NULL, NULL), (239151, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 17:22:41', NULL, NULL), (239152, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 17:22:42', NULL, NULL), (239153, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 17:22:44', NULL, NULL), (239154, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 17:22:45', NULL, NULL), (239155, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 17:22:46', NULL, NULL), (239156, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 17:22:48', NULL, NULL), (239157, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 17:22:49', NULL, NULL), (239158, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 17:22:51', NULL, NULL), (239159, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 17:22:52', NULL, NULL), (239160, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 17:22:53', NULL, NULL), (239161, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 17:22:55', NULL, NULL), (239162, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 17:22:56', NULL, NULL), (239163, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 17:22:57', NULL, NULL), (239164, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 17:22:59', NULL, NULL), (239165, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 17:23:00', NULL, NULL), (239166, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 17:23:02', NULL, NULL), (239167, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 17:23:03', NULL, NULL), (239168, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 17:23:04', NULL, NULL), (239169, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 17:23:06', NULL, NULL), (239170, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 17:23:07', NULL, NULL), (239171, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 17:23:08', NULL, NULL), (239172, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 17:23:10', NULL, NULL), (239173, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 17:23:11', NULL, NULL), (239174, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 17:23:13', NULL, NULL), (239175, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 17:23:14', NULL, NULL), (239176, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 17:23:15', NULL, NULL), (239177, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 17:23:17', NULL, NULL), (239178, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 17:23:18', NULL, NULL), (239179, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 17:23:19', NULL, NULL), (239180, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 17:23:20', NULL, NULL), (239181, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 17:23:20', NULL, NULL), (239182, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 17:23:21', NULL, NULL), (239183, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 17:23:22', NULL, NULL), (239184, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 17:23:23', NULL, NULL), (239185, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 17:23:23', NULL, NULL), (239186, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 17:23:24', NULL, NULL), (239187, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 17:23:25', NULL, NULL), (239188, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 17:23:26', NULL, NULL), (239189, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 17:23:27', NULL, NULL), (239190, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 17:23:28', NULL, NULL), (239191, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 17:23:29', NULL, NULL), (239192, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 17:23:29', NULL, NULL), (239193, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 17:23:30', NULL, NULL), (239194, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 17:23:31', NULL, NULL), (239195, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 17:23:32', NULL, NULL), (239196, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 17:23:33', NULL, NULL), (239197, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 17:23:34', NULL, NULL), (239198, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 17:23:35', NULL, NULL), (239199, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 17:23:36', NULL, NULL), (239200, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 17:23:37', NULL, NULL), (239201, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 17:23:38', NULL, NULL), (239202, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 17:23:39', NULL, NULL), (239203, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 17:23:40', NULL, NULL), (239204, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 17:23:41', NULL, NULL), (239205, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 17:23:42', NULL, NULL), (239206, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 17:23:44', NULL, NULL), (239207, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 17:23:46', NULL, NULL), (239208, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 17:23:50', NULL, NULL), (239209, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 17:23:54', NULL, NULL), (239210, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 17:23:57', NULL, NULL), (239211, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 17:24:01', NULL, NULL), (239212, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 17:24:03', NULL, NULL), (239213, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 17:24:04', NULL, NULL), (239214, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 17:24:05', NULL, NULL), (239215, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 17:24:05', NULL, NULL), (239216, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 17:24:06', NULL, NULL), (239217, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 17:24:07', NULL, NULL), (239218, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 17:24:08', NULL, NULL), (239219, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 17:24:09', NULL, NULL), (239220, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 17:24:10', NULL, NULL), (239221, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 17:24:11', NULL, NULL), (239222, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 17:24:11', NULL, NULL), (239223, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 17:24:12', NULL, NULL), (239224, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 17:24:13', NULL, NULL), (239225, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 17:24:14', NULL, NULL), (239226, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 17:24:15', NULL, NULL), (239227, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 17:24:16', NULL, NULL), (239228, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 17:24:17', NULL, NULL), (239229, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 17:24:18', NULL, NULL), (239230, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 17:24:19', NULL, NULL), (239231, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 17:24:20', NULL, NULL), (239232, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 17:24:20', NULL, NULL), (239233, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 17:24:21', NULL, NULL), (239234, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 17:24:22', NULL, NULL), (239235, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 17:24:23', NULL, NULL), (239236, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 17:24:24', NULL, NULL), (239237, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 17:24:25', NULL, NULL), (239238, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 17:24:26', NULL, NULL), (239239, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 17:24:28', NULL, NULL), (239240, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 17:24:30', NULL, NULL), (239241, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 17:24:33', NULL, NULL), (239242, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 17:24:37', NULL, NULL), (239243, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 17:24:41', NULL, NULL), (239244, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 17:24:41', NULL, NULL), (239245, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 17:24:42', NULL, NULL), (239246, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 17:24:43', NULL, NULL), (239247, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 17:24:44', NULL, NULL), (239248, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 17:24:44', NULL, NULL), (239249, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 17:24:45', NULL, NULL), (239250, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 17:24:46', NULL, NULL), (239251, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 17:24:47', NULL, NULL), (239252, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 17:24:48', NULL, NULL), (239253, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 17:24:48', NULL, NULL), (239254, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 17:24:49', NULL, NULL), (239255, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 17:24:50', NULL, NULL), (239256, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 17:24:51', NULL, NULL), (239257, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 17:24:52', NULL, NULL), (239258, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 17:24:53', NULL, NULL), (239259, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 17:24:54', NULL, NULL), (239260, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 17:24:54', NULL, NULL), (239261, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 17:24:55', NULL, NULL), (239262, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 17:24:56', NULL, NULL), (239263, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 17:24:57', NULL, NULL), (239264, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 17:24:58', NULL, NULL), (239265, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 17:24:59', NULL, NULL), (239266, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 17:25:00', NULL, NULL), (239267, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 17:25:01', NULL, NULL), (239268, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 17:25:02', NULL, NULL), (239269, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 17:25:03', NULL, NULL), (239270, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 17:25:04', NULL, NULL), (239271, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 17:25:05', NULL, NULL), (239272, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 17:25:06', NULL, NULL), (239273, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 17:25:08', NULL, NULL), (239274, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 17:25:09', NULL, NULL), (239275, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 17:25:10', NULL, NULL), (239276, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 17:25:12', NULL, NULL), (239277, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 17:25:13', NULL, NULL), (239278, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 17:25:14', NULL, NULL), (239279, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 17:25:16', NULL, NULL), (239280, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 17:25:17', NULL, NULL), (239281, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 17:25:18', NULL, NULL), (239282, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 17:25:20', NULL, NULL), (239283, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 17:25:21', NULL, NULL), (239284, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 17:25:23', NULL, NULL), (239285, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 17:25:24', NULL, NULL), (239286, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 17:25:25', NULL, NULL), (239287, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 17:25:27', NULL, NULL), (239288, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 17:25:28', NULL, NULL), (239289, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 17:25:29', NULL, NULL), (239290, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 17:25:31', NULL, NULL), (239291, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 17:25:32', NULL, NULL), (239292, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 17:25:33', NULL, NULL), (239293, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 17:25:35', NULL, NULL), (239294, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 17:25:36', NULL, NULL), (239295, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 17:25:38', NULL, NULL), (239296, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 17:25:39', NULL, NULL), (239297, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 17:25:40', NULL, NULL), (239298, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 17:25:42', NULL, NULL), (239299, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 17:25:43', NULL, NULL), (239300, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 17:25:44', NULL, NULL), (239301, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 17:25:46', NULL, NULL), (239302, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 17:25:47', NULL, NULL), (239303, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 17:25:48', NULL, NULL), (239304, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 17:25:50', NULL, NULL), (239305, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 17:25:51', NULL, NULL), (239306, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 17:25:52', NULL, NULL), (239307, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 17:25:53', NULL, NULL), (239308, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 17:25:54', NULL, NULL), (239309, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 17:25:54', NULL, NULL), (239310, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 17:25:55', NULL, NULL), (239311, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 17:25:56', NULL, NULL), (239312, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 17:25:57', NULL, NULL), (239313, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 17:25:57', NULL, NULL), (239314, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 17:25:58', NULL, NULL), (239315, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 17:25:59', NULL, NULL), (239316, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 17:26:00', NULL, NULL), (239317, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 17:26:01', NULL, NULL), (239318, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 17:26:01', NULL, NULL), (239319, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 17:26:02', NULL, NULL), (239320, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 17:26:03', NULL, NULL), (239321, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 17:26:04', NULL, NULL), (239322, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 17:26:05', NULL, NULL), (239323, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 17:26:06', NULL, NULL), (239324, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 17:26:06', NULL, NULL), (239325, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 17:26:07', NULL, NULL), (239326, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 17:26:08', NULL, NULL), (239327, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 17:26:09', NULL, NULL), (239328, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 17:26:10', NULL, NULL), (239329, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 17:26:11', NULL, NULL), (239330, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 17:26:12', NULL, NULL), (239331, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 17:26:12', NULL, NULL), (239332, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 17:26:13', NULL, NULL), (239333, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 17:26:14', NULL, NULL), (239334, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 17:26:16', NULL, NULL), (239335, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 17:26:17', NULL, NULL), (239336, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 17:26:18', NULL, NULL), (239337, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 17:26:20', NULL, NULL), (239338, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 17:26:21', NULL, NULL), (239339, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 17:26:23', NULL, NULL), (239340, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 17:26:24', NULL, NULL), (239341, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 17:26:25', NULL, NULL), (239342, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 17:26:27', NULL, NULL), (239343, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 17:26:28', NULL, NULL), (239344, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 17:26:29', NULL, NULL), (239345, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 17:26:31', NULL, NULL), (239346, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 17:26:32', NULL, NULL), (239347, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 17:26:34', NULL, NULL), (239348, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 17:26:35', NULL, NULL), (239349, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 17:26:36', NULL, NULL), (239350, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 17:26:38', NULL, NULL), (239351, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 17:26:39', NULL, NULL), (239352, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 17:26:40', NULL, NULL), (239353, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 17:26:42', NULL, NULL), (239354, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 17:26:43', NULL, NULL), (239355, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 17:26:44', NULL, NULL), (239356, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 17:26:46', NULL, NULL), (239357, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 17:26:47', NULL, NULL), (239358, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 17:26:49', NULL, NULL), (239359, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 17:26:50', NULL, NULL), (239360, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 17:26:51', NULL, NULL), (239361, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 17:26:53', NULL, NULL), (239362, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 17:26:54', NULL, NULL), (239363, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 17:26:55', NULL, NULL), (239364, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 17:26:57', NULL, NULL), (239365, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 17:26:58', NULL, NULL), (239366, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 17:26:59', NULL, NULL), (239367, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 17:27:01', NULL, NULL), (239368, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 17:27:02', NULL, NULL), (239369, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 17:27:03', NULL, NULL), (239370, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 17:27:04', NULL, NULL), (239371, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 17:27:05', NULL, NULL), (239372, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 17:27:05', NULL, NULL), (239373, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 17:27:06', 1, '2024-08-05 22:12:10'), (239374, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 17:27:07', 1, '2024-08-06 02:01:10'), (239375, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 17:27:08', 1, '2024-08-07 01:00:10'), (239376, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 17:27:08', 1, '2024-08-08 01:00:10'), (239377, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 17:27:09', 1, '2024-08-09 01:00:10'), (239378, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 17:27:59', NULL, NULL), (239379, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 17:27:59', NULL, NULL), (239380, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 17:28:00', NULL, NULL), (239381, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 17:28:01', NULL, NULL), (239382, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 17:28:02', NULL, NULL), (239383, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 17:28:02', NULL, NULL), (239384, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 17:28:03', NULL, NULL), (239385, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 17:28:04', NULL, NULL), (239386, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 17:28:05', NULL, NULL), (239387, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 17:28:05', NULL, NULL), (239388, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 17:28:06', NULL, NULL), (239389, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 17:28:07', NULL, NULL), (239390, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 17:28:08', NULL, NULL), (239391, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 17:28:09', NULL, NULL), (239392, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 17:28:09', NULL, NULL), (239393, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 17:28:10', NULL, NULL), (239394, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 17:28:11', NULL, NULL), (239395, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 17:28:12', NULL, NULL), (239396, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 17:28:13', NULL, NULL), (239397, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 17:28:14', NULL, NULL), (239398, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 17:28:15', NULL, NULL), (239399, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 17:28:15', NULL, NULL), (239400, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 17:28:16', NULL, NULL), (239401, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 17:28:17', NULL, NULL), (239402, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 17:28:18', NULL, NULL), (239403, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 17:28:19', NULL, NULL), (239404, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 17:28:20', NULL, NULL), (239405, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 17:28:22', NULL, NULL), (239406, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 17:28:23', NULL, NULL), (239407, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 17:28:24', NULL, NULL), (239408, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 17:28:26', NULL, NULL), (239409, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 17:28:27', NULL, NULL), (239410, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 17:28:28', NULL, NULL), (239411, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 17:28:30', NULL, NULL), (239412, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 17:28:31', NULL, NULL), (239413, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 17:28:32', NULL, NULL), (239414, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 17:28:34', NULL, NULL), (239415, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 17:28:35', NULL, NULL), (239416, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 17:28:37', NULL, NULL), (239417, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 17:28:38', NULL, NULL), (239418, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 17:28:39', NULL, NULL), (239419, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 17:28:41', NULL, NULL), (239420, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 17:28:42', NULL, NULL), (239421, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 17:28:44', NULL, NULL), (239422, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 17:28:45', NULL, NULL), (239423, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 17:28:46', NULL, NULL), (239424, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 17:28:48', NULL, NULL), (239425, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 17:28:49', NULL, NULL), (239426, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 17:28:50', NULL, NULL), (239427, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 17:28:52', NULL, NULL), (239428, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 17:28:53', NULL, NULL), (239429, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 17:28:55', NULL, NULL), (239430, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 17:28:56', NULL, NULL), (239431, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 17:28:57', NULL, NULL), (239432, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 17:28:59', NULL, NULL), (239433, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 17:29:00', NULL, NULL), (239434, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 17:29:02', NULL, NULL), (239435, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 17:29:03', NULL, NULL), (239436, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 17:29:04', NULL, NULL), (239437, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 17:29:06', NULL, NULL), (239438, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 17:29:07', NULL, NULL), (239439, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 17:29:09', NULL, NULL), (239440, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 17:29:10', NULL, NULL), (239441, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 17:29:11', NULL, NULL), (239442, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 17:29:13', NULL, NULL), (239443, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 17:29:14', NULL, NULL), (239444, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 17:29:16', NULL, NULL), (239445, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 17:29:17', NULL, NULL), (239446, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 17:29:18', NULL, NULL), (239447, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 17:29:20', NULL, NULL), (239448, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 17:29:21', NULL, NULL), (239449, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 17:29:23', NULL, NULL), (239450, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 17:29:24', NULL, NULL), (239451, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 17:29:25', NULL, NULL), (239452, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 17:29:27', NULL, NULL), (239453, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 17:29:28', NULL, NULL), (239454, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 17:29:29', NULL, NULL), (239455, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 17:29:31', NULL, NULL), (239456, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 17:29:32', NULL, NULL), (239457, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 17:29:34', NULL, NULL), (239458, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 17:29:35', NULL, NULL), (239459, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 17:29:36', NULL, NULL), (239460, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 17:29:38', NULL, NULL), (239461, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 17:29:39', NULL, NULL), (239462, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 17:29:41', NULL, NULL), (239463, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 17:29:42', NULL, NULL), (239464, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 17:29:43', NULL, NULL), (239465, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 17:29:45', NULL, NULL), (239466, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 17:29:46', NULL, NULL), (239467, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 17:29:48', NULL, NULL), (239468, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 17:29:49', NULL, NULL), (239469, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 17:29:50', NULL, NULL), (239470, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 17:29:52', NULL, NULL), (239471, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 17:29:53', NULL, NULL), (239472, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 17:29:54', NULL, NULL), (239473, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 17:29:56', NULL, NULL), (239474, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 17:29:57', NULL, NULL), (239475, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 17:29:59', NULL, NULL), (239476, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 17:30:00', NULL, NULL), (239477, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 17:30:01', NULL, NULL), (239478, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 17:30:03', NULL, NULL), (239479, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 17:30:04', NULL, NULL), (239480, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 17:30:05', NULL, NULL), (239481, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 17:30:07', NULL, NULL), (239482, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 17:30:08', NULL, NULL), (239483, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 17:30:10', NULL, NULL), (239484, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 17:30:11', NULL, NULL), (239485, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 17:30:12', NULL, NULL), (239486, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 17:30:14', NULL, NULL), (239487, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 17:30:15', NULL, NULL), (239488, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 17:30:16', NULL, NULL), (239489, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 17:30:18', NULL, NULL), (239490, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 17:30:19', NULL, NULL), (239491, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 17:30:20', NULL, NULL), (239492, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 17:30:22', NULL, NULL), (239493, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 17:30:23', NULL, NULL), (239494, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 17:30:24', NULL, NULL), (239495, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 17:30:26', NULL, NULL), (239496, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 17:30:27', NULL, NULL), (239497, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 17:30:29', NULL, NULL), (239498, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 17:30:30', NULL, NULL), (239499, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 17:30:31', NULL, NULL), (239500, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 17:30:33', NULL, NULL), (239501, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 17:30:34', NULL, NULL), (239502, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 17:30:35', NULL, NULL), (239503, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 17:30:37', NULL, NULL), (239504, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 17:30:38', NULL, NULL), (239505, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 17:30:39', NULL, NULL), (239506, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 17:30:41', NULL, NULL), (239507, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 17:30:42', NULL, NULL), (239508, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 17:30:42', NULL, NULL), (239509, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 17:30:43', NULL, NULL), (239510, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 17:30:44', NULL, NULL), (239511, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 17:30:45', NULL, NULL), (239512, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 17:30:45', NULL, NULL), (239513, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 17:30:46', NULL, NULL), (239514, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 17:30:47', NULL, NULL), (239515, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 17:30:48', NULL, NULL), (239516, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 17:30:48', NULL, NULL), (239517, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 17:30:49', NULL, NULL), (239518, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 17:30:50', NULL, NULL), (239519, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 17:30:51', NULL, NULL), (239520, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 17:30:52', NULL, NULL), (239521, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 17:30:52', NULL, NULL), (239522, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 17:30:53', NULL, NULL), (239523, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 17:30:54', NULL, NULL), (239524, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 17:30:55', NULL, NULL), (239525, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 17:30:56', NULL, NULL), (239526, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 17:30:57', NULL, NULL), (239527, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 17:30:57', NULL, NULL), (239528, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 17:30:58', NULL, NULL), (239529, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 17:30:59', NULL, NULL), (239530, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 17:31:00', NULL, NULL), (239531, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 17:31:01', NULL, NULL), (239532, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 17:31:02', NULL, NULL), (239533, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 17:31:03', NULL, NULL), (239534, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 17:31:04', NULL, NULL), (239535, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 17:31:05', NULL, NULL), (239536, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 17:31:06', NULL, NULL), (239537, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 17:31:08', NULL, NULL), (239538, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 17:31:09', NULL, NULL), (239539, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 17:31:10', NULL, NULL), (239540, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 17:31:12', NULL, NULL), (239541, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 17:31:13', NULL, NULL), (239542, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 17:31:15', NULL, NULL), (239543, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 17:31:16', NULL, NULL), (239544, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 17:31:17', NULL, NULL), (239545, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 17:31:19', NULL, NULL), (239546, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 17:31:20', NULL, NULL), (239547, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 17:31:21', NULL, NULL), (239548, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 17:31:23', NULL, NULL), (239549, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 17:31:24', NULL, NULL), (239550, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 17:31:25', NULL, NULL), (239551, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 17:31:27', NULL, NULL), (239552, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 17:31:28', NULL, NULL), (239553, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 17:31:29', NULL, NULL), (239554, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 17:31:31', NULL, NULL), (239555, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 17:31:32', NULL, NULL), (239556, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 17:31:34', NULL, NULL), (239557, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 17:31:35', NULL, NULL), (239558, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 17:31:36', NULL, NULL), (239559, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 17:31:38', NULL, NULL), (239560, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 17:31:39', NULL, NULL), (239561, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 17:31:40', NULL, NULL), (239562, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 17:31:42', NULL, NULL), (239563, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 17:31:43', NULL, NULL), (239564, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 17:31:45', NULL, NULL), (239565, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 17:31:46', NULL, NULL), (239566, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 17:31:47', NULL, NULL), (239567, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 17:31:48', NULL, NULL), (239568, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 17:31:49', NULL, NULL), (239569, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 17:31:50', NULL, NULL), (239570, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 17:31:51', NULL, NULL), (239571, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 17:31:52', NULL, NULL), (239572, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 17:31:52', NULL, NULL), (239573, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 17:31:53', NULL, NULL), (239574, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 17:31:54', NULL, NULL), (239575, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 17:31:55', NULL, NULL), (239576, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 17:31:56', NULL, NULL), (239577, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 17:31:57', NULL, NULL), (239578, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 17:31:58', NULL, NULL), (239579, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 17:31:59', NULL, NULL), (239580, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 17:32:00', NULL, NULL), (239581, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 17:32:01', NULL, NULL), (239582, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 17:32:02', NULL, NULL), (239583, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 17:32:03', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (239584, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 17:32:04', NULL, NULL), (239585, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 17:32:05', NULL, NULL), (239586, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 17:32:06', NULL, NULL), (239587, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 17:32:07', NULL, NULL), (239588, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 17:32:08', NULL, NULL), (239589, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 17:32:09', NULL, NULL), (239590, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 17:32:10', NULL, NULL), (239591, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 17:32:12', NULL, NULL), (239592, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 17:32:14', NULL, NULL), (239593, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 17:32:15', NULL, NULL), (239594, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 17:32:17', NULL, NULL), (239595, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 17:32:18', NULL, NULL), (239596, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 17:32:20', NULL, NULL), (239597, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 17:32:21', NULL, NULL), (239598, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 17:32:23', NULL, NULL), (239599, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 17:32:24', NULL, NULL), (239600, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 17:32:26', NULL, NULL), (239601, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 17:32:27', NULL, NULL), (239602, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 17:32:29', NULL, NULL), (239603, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 17:32:31', NULL, NULL), (239604, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 17:32:32', NULL, NULL), (239605, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 17:32:34', NULL, NULL), (239606, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 17:32:35', NULL, NULL), (239607, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 17:32:36', NULL, NULL), (239608, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 17:32:38', NULL, NULL), (239609, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 17:32:39', NULL, NULL), (239610, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 17:32:41', NULL, NULL), (239611, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 17:32:42', NULL, NULL), (239612, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 17:32:44', NULL, NULL), (239613, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 17:32:45', NULL, NULL), (239614, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 17:32:46', NULL, NULL), (239615, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 17:32:48', NULL, NULL), (239616, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 17:32:50', NULL, NULL), (239617, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 17:32:51', NULL, NULL), (239618, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 17:32:52', NULL, NULL), (239619, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 17:32:54', NULL, NULL), (239620, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 17:32:55', NULL, NULL), (239621, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 17:32:56', NULL, NULL), (239622, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 17:32:57', NULL, NULL), (239623, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 17:32:57', NULL, NULL), (239624, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 17:32:58', NULL, NULL), (239625, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 17:32:59', NULL, NULL), (239626, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 17:33:00', NULL, NULL), (239627, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 17:33:01', NULL, NULL), (239628, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 17:33:02', NULL, NULL), (239629, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 17:33:03', NULL, NULL), (239630, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 17:33:04', NULL, NULL), (239631, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 17:33:05', NULL, NULL), (239632, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 17:33:06', NULL, NULL), (239633, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 17:33:07', NULL, NULL), (239634, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 17:33:08', NULL, NULL), (239635, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 17:33:09', NULL, NULL), (239636, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 17:33:10', NULL, NULL), (239637, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 17:33:11', NULL, NULL), (239638, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 17:33:12', NULL, NULL), (239639, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 17:33:13', NULL, NULL), (239640, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 17:33:15', NULL, NULL), (239641, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 17:33:16', NULL, NULL), (239642, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 17:33:17', NULL, NULL), (239643, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 17:33:18', NULL, NULL), (239644, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 17:33:20', NULL, NULL), (239645, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 17:33:23', NULL, NULL), (239646, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 17:33:27', NULL, NULL), (239647, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 17:33:31', NULL, NULL), (239648, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 17:33:35', NULL, NULL), (239649, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 17:33:39', NULL, NULL), (239650, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 17:33:43', NULL, NULL), (239651, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 17:33:47', NULL, NULL), (239652, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 17:33:48', NULL, NULL), (239653, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 17:33:49', NULL, NULL), (239654, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 17:33:50', NULL, NULL), (239655, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 17:33:51', NULL, NULL), (239656, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 17:33:52', NULL, NULL), (239657, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 17:33:54', NULL, NULL), (239658, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 17:33:55', NULL, NULL), (239659, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 17:33:56', NULL, NULL), (239660, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 17:33:57', NULL, NULL), (239661, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 17:33:58', NULL, NULL), (239662, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 17:34:00', NULL, NULL), (239663, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 17:34:01', NULL, NULL), (239664, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 17:34:02', NULL, NULL), (239665, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 17:34:03', NULL, NULL), (239666, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 17:34:04', NULL, NULL), (239667, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 17:34:05', NULL, NULL), (239668, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 17:34:06', NULL, NULL), (239669, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 17:34:07', NULL, NULL), (239670, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 17:34:08', NULL, NULL), (239671, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 17:34:09', NULL, NULL), (239672, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 17:34:10', NULL, NULL), (239673, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 17:34:11', NULL, NULL), (239674, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 17:34:12', NULL, NULL), (239675, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 17:34:14', NULL, NULL), (239676, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 17:34:18', NULL, NULL), (239677, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 17:34:21', NULL, NULL), (239678, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 17:34:25', NULL, NULL), (239679, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 17:34:29', NULL, NULL), (239680, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 17:34:31', NULL, NULL), (239681, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 17:34:32', NULL, NULL), (239682, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 17:34:33', NULL, NULL), (239683, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 17:34:34', NULL, NULL), (239684, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 17:34:35', NULL, NULL), (239685, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 17:34:35', NULL, NULL), (239686, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 17:34:36', NULL, NULL), (239687, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 17:34:37', NULL, NULL), (239688, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 17:34:38', NULL, NULL), (239689, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 17:34:39', NULL, NULL), (239690, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 17:34:39', NULL, NULL), (239691, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 17:34:40', NULL, NULL), (239692, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 17:34:41', NULL, NULL), (239693, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 17:34:42', NULL, NULL), (239694, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 17:34:43', NULL, NULL), (239695, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 17:34:44', NULL, NULL), (239696, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 17:34:44', NULL, NULL), (239697, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 17:34:45', NULL, NULL), (239698, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 17:34:46', NULL, NULL), (239699, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 17:34:47', NULL, NULL), (239700, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 17:34:48', NULL, NULL), (239701, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 17:34:49', NULL, NULL), (239702, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 17:34:50', NULL, NULL), (239703, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 17:34:51', NULL, NULL), (239704, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 17:34:52', NULL, NULL), (239705, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 17:34:53', NULL, NULL), (239706, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 17:34:54', NULL, NULL), (239707, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 17:34:55', NULL, NULL), (239708, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 17:34:56', NULL, NULL), (239709, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 17:34:58', NULL, NULL), (239710, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 17:35:01', NULL, NULL), (239711, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 17:35:05', NULL, NULL), (239712, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 17:35:08', NULL, NULL), (239713, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 17:35:12', NULL, NULL), (239714, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 17:35:13', NULL, NULL), (239715, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 17:35:14', NULL, NULL), (239716, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 17:35:14', NULL, NULL), (239717, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 17:35:15', NULL, NULL), (239718, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 17:35:16', NULL, NULL), (239719, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 17:35:17', NULL, NULL), (239720, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 17:35:18', NULL, NULL), (239721, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 17:35:18', NULL, NULL), (239722, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 17:35:19', NULL, NULL), (239723, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 17:35:20', NULL, NULL), (239724, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 17:35:21', NULL, NULL), (239725, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 17:35:22', NULL, NULL), (239726, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 17:35:23', NULL, NULL), (239727, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 17:35:23', NULL, NULL), (239728, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 17:35:24', NULL, NULL), (239729, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 17:35:25', NULL, NULL), (239730, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 17:35:26', NULL, NULL), (239731, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 17:35:27', NULL, NULL), (239732, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 17:35:28', NULL, NULL), (239733, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 17:35:29', NULL, NULL), (239734, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 17:35:30', NULL, NULL), (239735, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 17:35:31', NULL, NULL), (239736, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 17:35:32', NULL, NULL), (239737, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 17:35:32', NULL, NULL), (239738, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 17:35:33', NULL, NULL), (239739, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 17:35:34', NULL, NULL), (239740, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 17:35:35', NULL, NULL), (239741, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 17:35:37', NULL, NULL), (239742, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 17:35:38', NULL, NULL), (239743, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 17:35:41', NULL, NULL), (239744, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 17:35:45', NULL, NULL), (239745, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 17:35:48', NULL, NULL), (239746, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 17:35:52', NULL, NULL), (239747, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 17:35:54', NULL, NULL), (239748, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 17:35:55', NULL, NULL), (239749, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 17:35:55', NULL, NULL), (239750, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 17:35:56', NULL, NULL), (239751, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 17:35:57', NULL, NULL), (239752, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 17:35:58', NULL, NULL), (239753, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 17:35:58', NULL, NULL), (239754, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 17:35:59', NULL, NULL), (239755, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 17:36:00', NULL, NULL), (239756, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 17:36:01', NULL, NULL), (239757, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 17:36:02', NULL, NULL), (239758, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 17:36:03', NULL, NULL), (239759, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 17:36:03', NULL, NULL), (239760, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 17:36:04', NULL, NULL), (239761, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 17:36:05', NULL, NULL), (239762, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 17:36:06', NULL, NULL), (239763, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 17:36:07', NULL, NULL), (239764, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 17:36:08', NULL, NULL), (239765, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 17:36:08', NULL, NULL), (239766, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 17:36:09', NULL, NULL), (239767, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 17:36:10', NULL, NULL), (239768, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 17:36:11', NULL, NULL), (239769, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 17:36:12', NULL, NULL), (239770, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 17:36:13', NULL, NULL), (239771, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 17:36:14', NULL, NULL), (239772, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 17:36:15', NULL, NULL), (239773, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 17:36:16', NULL, NULL), (239774, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 17:36:17', NULL, NULL), (239775, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 17:36:18', NULL, NULL), (239776, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 17:36:20', NULL, NULL), (239777, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 17:36:24', NULL, NULL), (239778, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 17:36:27', NULL, NULL), (239779, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 17:36:31', NULL, NULL), (239780, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 17:36:33', NULL, NULL), (239781, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 17:36:34', NULL, NULL), (239782, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 17:36:34', NULL, NULL), (239783, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 17:36:35', NULL, NULL), (239784, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 17:36:36', NULL, NULL), (239785, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 17:36:37', NULL, NULL), (239786, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 17:36:37', NULL, NULL), (239787, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 17:36:38', NULL, NULL), (239788, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 17:36:39', NULL, NULL), (239789, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 17:36:40', NULL, NULL), (239790, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 17:36:41', NULL, NULL), (239791, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 17:36:42', NULL, NULL), (239792, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 17:36:42', NULL, NULL), (239793, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 17:36:43', NULL, NULL), (239794, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 17:36:44', NULL, NULL), (239795, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 17:36:45', NULL, NULL), (239796, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 17:36:46', NULL, NULL), (239797, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 17:36:47', NULL, NULL), (239798, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 17:36:48', NULL, NULL), (239799, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 17:36:49', NULL, NULL), (239800, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 17:36:49', NULL, NULL), (239801, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 17:36:50', NULL, NULL), (239802, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 17:36:51', NULL, NULL), (239803, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 17:36:52', NULL, NULL), (239804, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 17:36:53', NULL, NULL), (239805, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 17:36:54', NULL, NULL), (239806, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 17:36:55', NULL, NULL), (239807, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 17:36:56', NULL, NULL), (239808, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 17:36:58', NULL, NULL), (239809, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 17:37:00', NULL, NULL), (239810, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 17:37:03', NULL, NULL), (239811, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 17:37:07', NULL, NULL), (239812, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 17:37:10', NULL, NULL), (239813, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 17:37:13', NULL, NULL), (239814, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 17:37:14', NULL, NULL), (239815, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 17:37:14', NULL, NULL), (239816, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 17:37:15', NULL, NULL), (239817, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 17:37:16', NULL, NULL), (239818, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 17:37:17', NULL, NULL), (239819, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 17:37:18', NULL, NULL), (239820, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 17:37:18', NULL, NULL), (239821, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 17:37:19', NULL, NULL), (239822, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 17:37:20', NULL, NULL), (239823, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 17:37:21', NULL, NULL), (239824, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 17:37:22', NULL, NULL), (239825, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 17:37:23', NULL, NULL), (239826, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 17:37:24', NULL, NULL), (239827, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 17:37:24', NULL, NULL), (239828, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 17:37:25', NULL, NULL), (239829, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 17:37:26', NULL, NULL), (239830, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 17:37:27', NULL, NULL), (239831, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 17:37:28', NULL, NULL), (239832, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 17:37:29', NULL, NULL), (239833, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 17:37:30', NULL, NULL), (239834, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 17:37:31', NULL, NULL), (239835, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 17:37:32', NULL, NULL), (239836, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 17:37:32', NULL, NULL), (239837, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 17:37:33', NULL, NULL), (239838, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 17:37:34', NULL, NULL), (239839, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 17:37:35', NULL, NULL), (239840, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 17:37:37', NULL, NULL), (239841, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 17:37:38', NULL, NULL), (239842, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 17:37:41', NULL, NULL), (239843, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 17:37:45', NULL, NULL), (239844, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 17:37:48', NULL, NULL), (239845, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 17:37:52', NULL, NULL), (239846, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 17:37:54', NULL, NULL), (239847, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 17:37:55', NULL, NULL), (239848, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 17:37:55', NULL, NULL), (239849, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 17:37:56', NULL, NULL), (239850, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 17:37:57', NULL, NULL), (239851, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 17:37:58', NULL, NULL), (239852, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 17:37:59', NULL, NULL), (239853, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 17:37:59', NULL, NULL), (239854, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 17:38:00', NULL, NULL), (239855, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 17:38:01', NULL, NULL), (239856, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 17:38:02', NULL, NULL), (239857, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 17:38:03', NULL, NULL), (239858, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 17:38:04', NULL, NULL), (239859, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 17:38:04', NULL, NULL), (239860, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 17:38:05', NULL, NULL), (239861, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 17:38:06', NULL, NULL), (239862, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 17:38:07', NULL, NULL), (239863, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 17:38:08', NULL, NULL), (239864, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 17:38:09', NULL, NULL), (239865, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 17:38:10', NULL, NULL), (239866, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 17:38:11', NULL, NULL), (239867, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 17:38:11', NULL, NULL), (239868, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 17:38:12', NULL, NULL), (239869, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 17:38:13', NULL, NULL), (239870, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 17:38:14', NULL, NULL), (239871, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 17:38:15', NULL, NULL), (239872, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 17:38:16', NULL, NULL), (239873, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 17:38:17', NULL, NULL), (239874, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 17:38:19', NULL, NULL), (239875, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 17:38:21', NULL, NULL), (239876, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 17:38:25', NULL, NULL), (239877, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 17:38:29', NULL, NULL), (239878, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 17:38:33', NULL, NULL), (239879, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 17:38:36', NULL, NULL), (239880, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 17:38:37', NULL, NULL), (239881, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 17:38:37', NULL, NULL), (239882, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 17:38:38', NULL, NULL), (239883, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 17:38:39', NULL, NULL), (239884, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 17:38:40', NULL, NULL), (239885, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 17:38:41', NULL, NULL), (239886, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 17:38:42', NULL, NULL), (239887, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 17:38:42', NULL, NULL), (239888, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 17:38:43', NULL, NULL), (239889, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 17:38:44', NULL, NULL), (239890, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 17:38:45', NULL, NULL), (239891, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 17:38:46', NULL, NULL), (239892, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 17:38:47', NULL, NULL), (239893, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 17:38:48', NULL, NULL), (239894, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 17:38:49', NULL, NULL), (239895, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 17:38:50', NULL, NULL), (239896, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 17:38:51', NULL, NULL), (239897, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 17:38:52', NULL, NULL), (239898, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 17:38:53', NULL, NULL), (239899, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 17:38:54', NULL, NULL), (239900, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 17:38:56', NULL, NULL), (239901, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 17:38:57', NULL, NULL), (239902, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 17:38:58', NULL, NULL), (239903, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 17:38:59', NULL, NULL), (239904, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 17:39:00', NULL, NULL), (239905, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 17:39:02', NULL, NULL), (239906, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 17:39:05', NULL, NULL), (239907, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 17:39:09', NULL, NULL), (239908, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 17:39:13', NULL, NULL), (239909, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 17:39:16', NULL, NULL), (239910, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 17:39:20', NULL, NULL), (239911, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 17:39:24', NULL, NULL), (239912, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 17:39:28', NULL, NULL), (239913, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 17:39:30', NULL, NULL), (239914, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 17:39:31', NULL, NULL), (239915, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 17:39:32', NULL, NULL), (239916, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 17:39:33', NULL, NULL), (239917, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 17:39:33', NULL, NULL), (239918, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 17:39:34', NULL, NULL), (239919, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 17:39:35', NULL, NULL), (239920, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 17:39:36', NULL, NULL), (239921, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 17:39:37', NULL, NULL), (239922, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 17:39:38', NULL, NULL), (239923, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 17:39:39', NULL, NULL), (239924, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 17:39:40', NULL, NULL), (239925, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 17:39:41', NULL, NULL), (239926, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 17:39:42', NULL, NULL), (239927, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 17:39:42', NULL, NULL), (239928, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 17:39:43', NULL, NULL), (239929, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 17:39:44', NULL, NULL), (239930, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 17:39:45', NULL, NULL), (239931, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 17:39:47', NULL, NULL), (239932, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 17:39:48', NULL, NULL), (239933, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 17:39:49', NULL, NULL), (239934, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 17:39:50', NULL, NULL), (239935, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 17:39:51', NULL, NULL), (239936, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 17:39:52', NULL, NULL), (239937, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 17:39:53', NULL, NULL), (239938, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 17:39:54', NULL, NULL), (239939, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 17:39:55', NULL, NULL), (239940, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 17:39:58', NULL, NULL), (239941, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 17:40:02', NULL, NULL), (239942, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 17:40:06', NULL, NULL), (239943, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 17:40:09', NULL, NULL), (239944, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 17:40:13', NULL, NULL), (239945, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 17:40:16', NULL, NULL), (239946, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 17:40:18', NULL, NULL), (239947, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 17:40:19', NULL, NULL), (239948, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 17:40:20', NULL, NULL), (239949, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 17:40:21', NULL, NULL), (239950, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 17:40:22', NULL, NULL), (239951, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 17:40:22', NULL, NULL), (239952, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 17:40:23', NULL, NULL), (239953, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 17:40:24', NULL, NULL), (239954, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 17:40:25', NULL, NULL), (239955, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 17:40:26', NULL, NULL), (239956, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 17:40:27', 1, '2024-08-05 22:12:10'), (239957, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 17:40:28', 1, '2024-08-06 02:01:18'), (239958, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 17:40:29', 1, '2024-08-07 01:00:10'), (239959, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 17:40:30', 1, '2024-08-08 01:00:10'), (239960, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 17:40:31', 1, '2024-08-09 01:00:11'), (239961, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 17:41:28', NULL, NULL), (239962, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 17:41:30', NULL, NULL), (239963, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 17:41:33', NULL, NULL), (239964, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 17:41:36', NULL, NULL), (239965, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 17:41:40', NULL, NULL), (239966, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 17:41:43', NULL, NULL), (239967, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 17:41:45', NULL, NULL), (239968, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 17:41:46', NULL, NULL), (239969, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 17:41:47', NULL, NULL), (239970, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 17:41:48', NULL, NULL), (239971, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 17:41:48', NULL, NULL), (239972, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 17:41:49', NULL, NULL), (239973, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 17:41:50', NULL, NULL), (239974, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 17:41:51', NULL, NULL), (239975, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 17:41:51', NULL, NULL), (239976, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 17:41:52', NULL, NULL), (239977, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 17:41:53', NULL, NULL), (239978, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 17:41:54', NULL, NULL), (239979, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 17:41:55', NULL, NULL), (239980, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 17:41:56', NULL, NULL), (239981, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 17:41:56', NULL, NULL), (239982, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 17:41:57', NULL, NULL), (239983, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 17:41:58', NULL, NULL), (239984, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 17:41:59', NULL, NULL), (239985, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 17:42:00', NULL, NULL), (239986, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 17:42:01', NULL, NULL), (239987, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 17:42:02', NULL, NULL), (239988, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 17:42:02', NULL, NULL), (239989, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 17:42:03', NULL, NULL), (239990, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 17:42:04', NULL, NULL), (239991, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 17:42:05', NULL, NULL), (239992, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 17:42:06', NULL, NULL), (239993, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 17:42:07', NULL, NULL), (239994, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 17:42:08', NULL, NULL), (239995, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 17:42:10', NULL, NULL), (239996, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 17:42:11', NULL, NULL), (239997, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 17:42:14', NULL, NULL), (239998, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 17:42:18', NULL, NULL), (239999, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 17:42:21', NULL, NULL), (240000, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 17:42:25', NULL, NULL), (240001, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 17:42:26', NULL, NULL), (240002, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 17:42:27', NULL, NULL), (240003, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 17:42:28', NULL, NULL), (240004, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 17:42:29', NULL, NULL), (240005, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 17:42:29', NULL, NULL), (240006, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 17:42:30', NULL, NULL), (240007, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 17:42:31', NULL, NULL), (240008, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 17:42:32', NULL, NULL), (240009, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 17:42:33', NULL, NULL), (240010, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 17:42:33', NULL, NULL), (240011, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 17:42:34', NULL, NULL), (240012, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 17:42:35', NULL, NULL), (240013, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 17:42:36', NULL, NULL), (240014, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 17:42:37', NULL, NULL), (240015, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 17:42:38', NULL, NULL), (240016, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 17:42:39', NULL, NULL), (240017, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 17:42:39', NULL, NULL), (240018, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 17:42:40', NULL, NULL), (240019, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 17:42:41', NULL, NULL), (240020, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 17:42:42', NULL, NULL), (240021, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 17:42:43', NULL, NULL), (240022, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 17:42:44', NULL, NULL), (240023, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 17:42:45', NULL, NULL), (240024, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 17:42:45', NULL, NULL), (240025, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 17:42:46', NULL, NULL), (240026, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 17:42:47', NULL, NULL), (240027, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 17:42:48', NULL, NULL), (240028, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 17:42:50', NULL, NULL), (240029, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 17:42:51', NULL, NULL), (240030, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 17:42:53', NULL, NULL), (240031, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 17:42:56', NULL, NULL), (240032, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 17:43:00', NULL, NULL), (240033, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 17:43:03', NULL, NULL), (240034, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 17:43:07', NULL, NULL), (240035, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 17:43:08', NULL, NULL), (240036, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 17:43:09', NULL, NULL), (240037, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 17:43:10', NULL, NULL), (240038, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 17:43:11', NULL, NULL), (240039, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 17:43:11', NULL, NULL), (240040, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 17:43:12', NULL, NULL), (240041, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 17:43:13', NULL, NULL), (240042, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 17:43:14', NULL, NULL), (240043, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 17:43:15', NULL, NULL), (240044, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 17:43:16', NULL, NULL), (240045, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 17:43:16', NULL, NULL), (240046, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 17:43:17', NULL, NULL), (240047, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 17:43:18', NULL, NULL), (240048, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 17:43:19', NULL, NULL), (240049, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 17:43:20', NULL, NULL), (240050, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 17:43:21', NULL, NULL), (240051, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 17:43:21', NULL, NULL), (240052, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 17:43:22', NULL, NULL), (240053, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 17:43:23', NULL, NULL), (240054, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 17:43:24', NULL, NULL), (240055, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 17:43:25', NULL, NULL), (240056, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 17:43:26', NULL, NULL), (240057, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 17:43:27', NULL, NULL), (240058, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 17:43:28', NULL, NULL), (240059, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 17:43:29', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (240060, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 17:43:30', NULL, NULL), (240061, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 17:43:31', NULL, NULL), (240062, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 17:43:32', NULL, NULL), (240063, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 17:43:33', NULL, NULL), (240064, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 17:43:36', NULL, NULL), (240065, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 17:43:40', NULL, NULL), (240066, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 17:43:43', NULL, NULL), (240067, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 17:43:47', NULL, NULL), (240068, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 17:43:50', NULL, NULL), (240069, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 17:43:54', NULL, NULL), (240070, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 17:43:56', NULL, NULL), (240071, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 17:43:56', NULL, NULL), (240072, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 17:43:57', NULL, NULL), (240073, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 17:43:58', NULL, NULL), (240074, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 17:43:59', NULL, NULL), (240075, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 17:44:00', NULL, NULL), (240076, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 17:44:01', NULL, NULL), (240077, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 17:44:01', NULL, NULL), (240078, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 17:44:02', NULL, NULL), (240079, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 17:44:03', NULL, NULL), (240080, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 17:44:04', NULL, NULL), (240081, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 17:44:05', NULL, NULL), (240082, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 17:44:06', NULL, NULL), (240083, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 17:44:07', NULL, NULL), (240084, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 17:44:08', NULL, NULL), (240085, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 17:44:09', NULL, NULL), (240086, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 17:44:10', NULL, NULL), (240087, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 17:44:11', NULL, NULL), (240088, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 17:44:12', NULL, NULL), (240089, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 17:44:13', NULL, NULL), (240090, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 17:44:14', NULL, NULL), (240091, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 17:44:15', NULL, NULL), (240092, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 17:44:16', NULL, NULL), (240093, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 17:44:17', NULL, NULL), (240094, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 17:44:19', NULL, NULL), (240095, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 17:44:20', NULL, NULL), (240096, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 17:44:24', NULL, NULL), (240097, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 17:44:28', NULL, NULL), (240098, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 17:44:31', NULL, NULL), (240099, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 17:44:35', NULL, NULL), (240100, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 17:44:38', NULL, NULL), (240101, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 17:44:41', NULL, NULL), (240102, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 17:44:42', NULL, NULL), (240103, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 17:44:43', NULL, NULL), (240104, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 17:44:43', NULL, NULL), (240105, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 17:44:44', NULL, NULL), (240106, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 17:44:45', NULL, NULL), (240107, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 17:44:46', NULL, NULL), (240108, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 17:44:47', NULL, NULL), (240109, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 17:44:47', NULL, NULL), (240110, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 17:44:48', NULL, NULL), (240111, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 17:44:49', NULL, NULL), (240112, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 17:44:50', NULL, NULL), (240113, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 17:44:51', NULL, NULL), (240114, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 17:44:52', NULL, NULL), (240115, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 17:44:52', NULL, NULL), (240116, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 17:44:53', NULL, NULL), (240117, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 17:44:54', NULL, NULL), (240118, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 17:44:55', NULL, NULL), (240119, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 17:44:56', NULL, NULL), (240120, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 17:44:57', NULL, NULL), (240121, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 17:44:58', NULL, NULL), (240122, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 17:44:59', NULL, NULL), (240123, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 17:44:59', NULL, NULL), (240124, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 17:45:00', NULL, NULL), (240125, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 17:45:01', NULL, NULL), (240126, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 17:45:02', NULL, NULL), (240127, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 17:45:03', NULL, NULL), (240128, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 17:45:04', NULL, NULL), (240129, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 17:45:06', NULL, NULL), (240130, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 17:45:07', NULL, NULL), (240131, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 17:45:10', NULL, NULL), (240132, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 17:45:14', NULL, NULL), (240133, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 17:45:17', NULL, NULL), (240134, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 17:45:21', NULL, NULL), (240135, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 17:45:23', NULL, NULL), (240136, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 17:45:24', NULL, NULL), (240137, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 17:45:25', NULL, NULL), (240138, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 17:45:26', NULL, NULL), (240139, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 17:45:26', NULL, NULL), (240140, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 17:45:27', NULL, NULL), (240141, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 17:45:28', NULL, NULL), (240142, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 17:45:29', NULL, NULL), (240143, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 17:45:30', NULL, NULL), (240144, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 17:45:30', NULL, NULL), (240145, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 17:45:31', NULL, NULL), (240146, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 17:45:32', NULL, NULL), (240147, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 17:45:33', NULL, NULL), (240148, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 17:45:34', NULL, NULL), (240149, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 17:45:35', NULL, NULL), (240150, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 17:45:35', NULL, NULL), (240151, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 17:45:36', NULL, NULL), (240152, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 17:45:37', NULL, NULL), (240153, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 17:45:38', NULL, NULL), (240154, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 17:45:39', NULL, NULL), (240155, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 17:45:40', NULL, NULL), (240156, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 17:45:41', NULL, NULL), (240157, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 17:45:41', NULL, NULL), (240158, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 17:45:42', NULL, NULL), (240159, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 17:45:43', NULL, NULL), (240160, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 17:45:44', NULL, NULL), (240161, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 17:45:45', NULL, NULL), (240162, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 17:45:46', NULL, NULL), (240163, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 17:45:48', NULL, NULL), (240164, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 17:45:49', NULL, NULL), (240165, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 17:45:52', NULL, NULL), (240166, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 17:45:56', NULL, NULL), (240167, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 17:45:59', NULL, NULL), (240168, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 17:46:02', NULL, NULL), (240169, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 17:46:03', NULL, NULL), (240170, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 17:46:04', NULL, NULL), (240171, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 17:46:05', NULL, NULL), (240172, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 17:46:05', NULL, NULL), (240173, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 17:46:06', NULL, NULL), (240174, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 17:46:07', NULL, NULL), (240175, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 17:46:08', NULL, NULL), (240176, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 17:46:09', NULL, NULL), (240177, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 17:46:09', NULL, NULL), (240178, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 17:46:10', NULL, NULL), (240179, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 17:46:11', NULL, NULL), (240180, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 17:46:12', NULL, NULL), (240181, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 17:46:13', NULL, NULL), (240182, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 17:46:14', NULL, NULL), (240183, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 17:46:14', NULL, NULL), (240184, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 17:46:15', NULL, NULL), (240185, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 17:46:16', NULL, NULL), (240186, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 17:46:17', NULL, NULL), (240187, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 17:46:18', NULL, NULL), (240188, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 17:46:19', NULL, NULL), (240189, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 17:46:20', NULL, NULL), (240190, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 17:46:21', NULL, NULL), (240191, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 17:46:21', NULL, NULL), (240192, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 17:46:22', NULL, NULL), (240193, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 17:46:23', NULL, NULL), (240194, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 17:46:24', NULL, NULL), (240195, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 17:46:25', NULL, NULL), (240196, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 17:46:27', NULL, NULL), (240197, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 17:46:28', NULL, NULL), (240198, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 17:46:32', NULL, NULL), (240199, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 17:46:35', NULL, NULL), (240200, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 17:46:39', NULL, NULL), (240201, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 17:46:42', NULL, NULL), (240202, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 17:46:44', NULL, NULL), (240203, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 17:46:44', NULL, NULL), (240204, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 17:46:45', NULL, NULL), (240205, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 17:46:46', NULL, NULL), (240206, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 17:46:47', NULL, NULL), (240207, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 17:46:48', NULL, NULL), (240208, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 17:46:48', NULL, NULL), (240209, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 17:46:49', NULL, NULL), (240210, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 17:46:50', NULL, NULL), (240211, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 17:46:51', NULL, NULL), (240212, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 17:46:52', NULL, NULL), (240213, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 17:46:52', NULL, NULL), (240214, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 17:46:53', NULL, NULL), (240215, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 17:46:54', NULL, NULL), (240216, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 17:46:55', NULL, NULL), (240217, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 17:46:56', NULL, NULL), (240218, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 17:46:57', NULL, NULL), (240219, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 17:46:57', NULL, NULL), (240220, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 17:46:58', NULL, NULL), (240221, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 17:46:59', NULL, NULL), (240222, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 17:47:00', NULL, NULL), (240223, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 17:47:01', NULL, NULL), (240224, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 17:47:02', NULL, NULL), (240225, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 17:47:03', NULL, NULL), (240226, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 17:47:04', NULL, NULL), (240227, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 17:47:05', NULL, NULL), (240228, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 17:47:06', NULL, NULL), (240229, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 17:47:07', NULL, NULL), (240230, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 17:47:08', NULL, NULL), (240231, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 17:47:09', NULL, NULL), (240232, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 17:47:13', NULL, NULL), (240233, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 17:47:16', NULL, NULL), (240234, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 17:47:20', NULL, NULL), (240235, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 17:47:23', NULL, NULL), (240236, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 17:47:24', NULL, NULL), (240237, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 17:47:25', NULL, NULL), (240238, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 17:47:25', NULL, NULL), (240239, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 17:47:26', NULL, NULL), (240240, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 17:47:27', NULL, NULL), (240241, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 17:47:28', NULL, NULL), (240242, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 17:47:29', NULL, NULL), (240243, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 17:47:29', NULL, NULL), (240244, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 17:47:30', NULL, NULL), (240245, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 17:47:31', NULL, NULL), (240246, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 17:47:32', NULL, NULL), (240247, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 17:47:33', NULL, NULL), (240248, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 17:47:34', NULL, NULL), (240249, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 17:47:34', NULL, NULL), (240250, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 17:47:35', NULL, NULL), (240251, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 17:47:36', NULL, NULL), (240252, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 17:47:37', NULL, NULL), (240253, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 17:47:38', NULL, NULL), (240254, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 17:47:39', NULL, NULL), (240255, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 17:47:40', NULL, NULL), (240256, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 17:47:40', NULL, NULL), (240257, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 17:47:41', NULL, NULL), (240258, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 17:47:42', NULL, NULL), (240259, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 17:47:43', NULL, NULL), (240260, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 17:47:44', NULL, NULL), (240261, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 17:47:45', NULL, NULL), (240262, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 17:47:46', NULL, NULL), (240263, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 17:47:47', NULL, NULL), (240264, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 17:47:49', NULL, NULL), (240265, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 17:47:51', NULL, NULL), (240266, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 17:47:54', NULL, NULL), (240267, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 17:47:58', NULL, NULL), (240268, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 17:48:01', NULL, NULL), (240269, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 17:48:04', NULL, NULL), (240270, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 17:48:05', NULL, NULL), (240271, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 17:48:06', NULL, NULL), (240272, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 17:48:07', NULL, NULL), (240273, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 17:48:07', NULL, NULL), (240274, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 17:48:08', NULL, NULL), (240275, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 17:48:09', NULL, NULL), (240276, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 17:48:10', NULL, NULL), (240277, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 17:48:11', NULL, NULL), (240278, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 17:48:12', NULL, NULL), (240279, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 17:48:12', NULL, NULL), (240280, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 17:48:13', NULL, NULL), (240281, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 17:48:14', NULL, NULL), (240282, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 17:48:15', NULL, NULL), (240283, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 17:48:16', NULL, NULL), (240284, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 17:48:17', NULL, NULL), (240285, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 17:48:17', NULL, NULL), (240286, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 17:48:18', NULL, NULL), (240287, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 17:48:19', NULL, NULL), (240288, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 17:48:20', NULL, NULL), (240289, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 17:48:21', NULL, NULL), (240290, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 17:48:22', NULL, NULL), (240291, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 17:48:23', NULL, NULL), (240292, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 17:48:24', NULL, NULL), (240293, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 17:48:24', NULL, NULL), (240294, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 17:48:25', NULL, NULL), (240295, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 17:48:26', NULL, NULL), (240296, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 17:48:27', NULL, NULL), (240297, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 17:48:29', NULL, NULL), (240298, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 17:48:30', NULL, NULL), (240299, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 17:48:33', NULL, NULL), (240300, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 17:48:37', NULL, NULL), (240301, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 17:48:41', NULL, NULL), (240302, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 17:48:44', NULL, NULL), (240303, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 17:48:47', NULL, NULL), (240304, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 17:48:48', NULL, NULL), (240305, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 17:48:49', NULL, NULL), (240306, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 17:48:50', NULL, NULL), (240307, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 17:48:51', NULL, NULL), (240308, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 17:48:51', NULL, NULL), (240309, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 17:48:52', NULL, NULL), (240310, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 17:48:53', NULL, NULL), (240311, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 17:48:54', NULL, NULL), (240312, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 17:48:55', NULL, NULL), (240313, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 17:48:56', NULL, NULL), (240314, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 17:48:57', NULL, NULL), (240315, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 17:48:58', NULL, NULL), (240316, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 17:48:59', NULL, NULL), (240317, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 17:49:00', NULL, NULL), (240318, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 17:49:01', NULL, NULL), (240319, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 17:49:02', NULL, NULL), (240320, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 17:49:03', NULL, NULL), (240321, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 17:49:04', NULL, NULL), (240322, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 17:49:05', NULL, NULL), (240323, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 17:49:07', NULL, NULL), (240324, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 17:49:08', NULL, NULL), (240325, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 17:49:09', NULL, NULL), (240326, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 17:49:10', NULL, NULL), (240327, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 17:49:11', NULL, NULL), (240328, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 17:49:13', NULL, NULL), (240329, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 17:49:16', NULL, NULL), (240330, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 17:49:19', NULL, NULL), (240331, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 17:49:23', NULL, NULL), (240332, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 17:49:27', NULL, NULL), (240333, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 17:49:31', NULL, NULL), (240334, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 17:49:35', NULL, NULL), (240335, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 17:49:37', NULL, NULL), (240336, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 17:49:38', NULL, NULL), (240337, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 17:49:38', NULL, NULL), (240338, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 17:49:39', NULL, NULL), (240339, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 17:49:40', NULL, NULL), (240340, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 17:49:41', NULL, NULL), (240341, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 17:49:42', NULL, NULL), (240342, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 17:49:43', NULL, NULL), (240343, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 17:49:44', NULL, NULL), (240344, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 17:49:45', NULL, NULL), (240345, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 17:49:46', NULL, NULL), (240346, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 17:49:47', NULL, NULL), (240347, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 17:49:47', NULL, NULL), (240348, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 17:49:48', NULL, NULL), (240349, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 17:49:49', NULL, NULL), (240350, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 17:49:50', NULL, NULL), (240351, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 17:49:51', NULL, NULL), (240352, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 17:49:52', NULL, NULL), (240353, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 17:49:53', NULL, NULL), (240354, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 17:49:54', NULL, NULL), (240355, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 17:49:55', NULL, NULL), (240356, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 17:49:56', NULL, NULL), (240357, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 17:49:57', NULL, NULL), (240358, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 17:49:58', NULL, NULL), (240359, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 17:49:59', NULL, NULL), (240360, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 17:50:01', NULL, NULL), (240361, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 17:50:02', NULL, NULL), (240362, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 17:50:05', NULL, NULL), (240363, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 17:50:09', NULL, NULL), (240364, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 17:50:12', NULL, NULL), (240365, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 17:50:16', NULL, NULL), (240366, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 17:50:19', NULL, NULL), (240367, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 17:50:23', NULL, NULL), (240368, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 17:50:26', NULL, NULL), (240369, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 17:50:26', NULL, NULL), (240370, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 17:50:27', NULL, NULL), (240371, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 17:50:28', NULL, NULL), (240372, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 17:50:29', NULL, NULL), (240373, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 17:50:30', NULL, NULL), (240374, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 17:50:31', NULL, NULL), (240375, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 17:50:32', NULL, NULL), (240376, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 17:50:32', NULL, NULL), (240377, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 17:50:33', NULL, NULL), (240378, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 17:50:34', NULL, NULL), (240379, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 17:50:35', NULL, NULL), (240380, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 17:50:36', NULL, NULL), (240381, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 17:50:37', NULL, NULL), (240382, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 17:50:38', NULL, NULL), (240383, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 17:50:39', NULL, NULL), (240384, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 17:50:40', NULL, NULL), (240385, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 17:50:41', NULL, NULL), (240386, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 17:50:42', NULL, NULL), (240387, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 17:50:43', NULL, NULL), (240388, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 17:50:44', NULL, NULL), (240389, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 17:50:45', NULL, NULL), (240390, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 17:50:46', NULL, NULL), (240391, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 17:50:47', NULL, NULL), (240392, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 17:50:48', NULL, NULL), (240393, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 17:50:49', NULL, NULL), (240394, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 17:50:50', NULL, NULL), (240395, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 17:50:52', NULL, NULL), (240396, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 17:50:55', NULL, NULL), (240397, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 17:50:59', NULL, NULL), (240398, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 17:51:02', NULL, NULL), (240399, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 17:51:06', NULL, NULL), (240400, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 17:51:08', NULL, NULL), (240401, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 17:51:09', NULL, NULL), (240402, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 17:51:09', NULL, NULL), (240403, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 17:51:10', NULL, NULL), (240404, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 17:51:11', NULL, NULL), (240405, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 17:51:12', NULL, NULL), (240406, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 17:51:13', NULL, NULL), (240407, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 17:51:13', NULL, NULL), (240408, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 17:51:14', NULL, NULL), (240409, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 17:51:15', NULL, NULL), (240410, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 17:51:16', NULL, NULL), (240411, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 17:51:17', NULL, NULL), (240412, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 17:51:18', NULL, NULL), (240413, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 17:51:19', NULL, NULL), (240414, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 17:51:19', NULL, NULL), (240415, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 17:51:20', NULL, NULL), (240416, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 17:51:21', NULL, NULL), (240417, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 17:51:22', NULL, NULL), (240418, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 17:51:23', NULL, NULL), (240419, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 17:51:24', NULL, NULL), (240420, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 17:51:25', NULL, NULL), (240421, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 17:51:26', NULL, NULL), (240422, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 17:51:27', NULL, NULL), (240423, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 17:51:27', NULL, NULL), (240424, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 17:51:28', NULL, NULL), (240425, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 17:51:29', NULL, NULL), (240426, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 17:51:30', NULL, NULL), (240427, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 17:51:32', NULL, NULL), (240428, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 17:51:33', NULL, NULL), (240429, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 17:51:36', NULL, NULL), (240430, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 17:51:39', NULL, NULL), (240431, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 17:51:43', NULL, NULL), (240432, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 17:51:46', NULL, NULL), (240433, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 17:51:48', NULL, NULL), (240434, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 17:51:49', NULL, NULL), (240435, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 17:51:50', NULL, NULL), (240436, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 17:51:50', NULL, NULL), (240437, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 17:51:51', NULL, NULL), (240438, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 17:51:52', NULL, NULL), (240439, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 17:51:53', NULL, NULL), (240440, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 17:51:54', NULL, NULL), (240441, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 17:51:54', NULL, NULL), (240442, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 17:51:55', NULL, NULL), (240443, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 17:51:56', NULL, NULL), (240444, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 17:51:57', NULL, NULL), (240445, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 17:51:58', NULL, NULL), (240446, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 17:51:59', NULL, NULL), (240447, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 17:51:59', NULL, NULL), (240448, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 17:52:00', NULL, NULL), (240449, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 17:52:01', NULL, NULL), (240450, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 17:52:02', NULL, NULL), (240451, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 17:52:03', NULL, NULL), (240452, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 17:52:04', NULL, NULL), (240453, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 17:52:05', NULL, NULL), (240454, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 17:52:06', NULL, NULL), (240455, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 17:52:06', NULL, NULL), (240456, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 17:52:07', NULL, NULL), (240457, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 17:52:08', NULL, NULL), (240458, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 17:52:09', NULL, NULL), (240459, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 17:52:10', NULL, NULL), (240460, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 17:52:12', NULL, NULL), (240461, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 17:52:13', NULL, NULL), (240462, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 17:52:15', NULL, NULL), (240463, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 17:52:19', NULL, NULL), (240464, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 17:52:22', NULL, NULL), (240465, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 17:52:26', NULL, NULL), (240466, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 17:52:28', NULL, NULL), (240467, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 17:52:29', NULL, NULL), (240468, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 17:52:30', NULL, NULL), (240469, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 17:52:30', NULL, NULL), (240470, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 17:52:31', NULL, NULL), (240471, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 17:52:32', NULL, NULL), (240472, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 17:52:33', NULL, NULL), (240473, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 17:52:34', NULL, NULL), (240474, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 17:52:34', NULL, NULL), (240475, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 17:52:35', NULL, NULL), (240476, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 17:52:36', NULL, NULL), (240477, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 17:52:37', NULL, NULL), (240478, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 17:52:38', NULL, NULL), (240479, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 17:52:39', NULL, NULL), (240480, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 17:52:39', NULL, NULL), (240481, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 17:52:40', NULL, NULL), (240482, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 17:52:41', NULL, NULL), (240483, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 17:52:42', NULL, NULL), (240484, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 17:52:43', NULL, NULL), (240485, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 17:52:44', NULL, NULL), (240486, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 17:52:45', NULL, NULL), (240487, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 17:52:46', NULL, NULL), (240488, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 17:52:46', NULL, NULL), (240489, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 17:52:47', NULL, NULL), (240490, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 17:52:48', NULL, NULL), (240491, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 17:52:49', NULL, NULL), (240492, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 17:52:50', NULL, NULL), (240493, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 17:52:51', NULL, NULL), (240494, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 17:52:53', NULL, NULL), (240495, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 17:52:55', NULL, NULL), (240496, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 17:52:59', NULL, NULL), (240497, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 17:53:02', NULL, NULL), (240498, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 17:53:06', NULL, NULL), (240499, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 17:53:08', NULL, NULL), (240500, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 17:53:09', NULL, NULL), (240501, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 17:53:10', NULL, NULL), (240502, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 17:53:10', NULL, NULL), (240503, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 17:53:11', NULL, NULL), (240504, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 17:53:12', NULL, NULL), (240505, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 17:53:13', NULL, NULL), (240506, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 17:53:13', NULL, NULL), (240507, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 17:53:14', NULL, NULL), (240508, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 17:53:15', NULL, NULL), (240509, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 17:53:16', NULL, NULL), (240510, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 17:53:17', NULL, NULL), (240511, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 17:53:18', NULL, NULL), (240512, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 17:53:18', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (240513, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 17:53:19', NULL, NULL), (240514, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 17:53:20', NULL, NULL), (240515, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 17:53:21', NULL, NULL), (240516, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 17:53:22', NULL, NULL), (240517, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 17:53:23', NULL, NULL), (240518, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 17:53:24', NULL, NULL), (240519, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 17:53:24', NULL, NULL), (240520, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 17:53:25', NULL, NULL), (240521, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 17:53:26', NULL, NULL), (240522, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 17:53:27', NULL, NULL), (240523, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 17:53:28', NULL, NULL), (240524, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 17:53:29', NULL, NULL), (240525, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 17:53:30', NULL, NULL), (240526, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 17:53:31', NULL, NULL), (240527, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 17:53:33', NULL, NULL), (240528, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 17:53:35', NULL, NULL), (240529, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 17:53:39', NULL, NULL), (240530, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 17:53:42', NULL, NULL), (240531, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 17:53:46', NULL, NULL), (240532, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 17:53:50', NULL, NULL), (240533, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 17:53:53', NULL, NULL), (240534, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 17:53:54', NULL, NULL), (240535, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 17:53:55', NULL, NULL), (240536, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 17:53:56', NULL, NULL), (240537, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 17:53:57', NULL, NULL), (240538, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 17:53:58', NULL, NULL), (240539, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 17:53:59', 1, '2024-08-05 22:12:11'), (240540, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 17:53:59', 1, '2024-08-06 02:01:11'), (240541, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 17:54:00', 1, '2024-08-07 01:00:11'), (240542, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 17:54:01', 1, '2024-08-08 01:00:10'), (240543, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 17:54:02', 1, '2024-08-09 01:00:10'), (240544, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 17:54:58', NULL, NULL), (240545, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 17:54:59', NULL, NULL), (240546, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 17:55:00', NULL, NULL), (240547, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 17:55:01', NULL, NULL), (240548, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 17:55:03', NULL, NULL), (240549, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 17:55:04', NULL, NULL), (240550, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 17:55:08', NULL, NULL), (240551, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 17:55:11', NULL, NULL), (240552, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 17:55:15', NULL, NULL), (240553, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 17:55:18', NULL, NULL), (240554, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 17:55:20', NULL, NULL), (240555, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 17:55:21', NULL, NULL), (240556, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 17:55:22', NULL, NULL), (240557, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 17:55:22', NULL, NULL), (240558, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 17:55:23', NULL, NULL), (240559, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 17:55:24', NULL, NULL), (240560, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 17:55:25', NULL, NULL), (240561, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 17:55:26', NULL, NULL), (240562, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 17:55:26', NULL, NULL), (240563, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 17:55:27', NULL, NULL), (240564, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 17:55:28', NULL, NULL), (240565, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 17:55:29', NULL, NULL), (240566, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 17:55:30', NULL, NULL), (240567, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 17:55:31', NULL, NULL), (240568, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 17:55:31', NULL, NULL), (240569, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 17:55:32', NULL, NULL), (240570, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 17:55:33', NULL, NULL), (240571, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 17:55:34', NULL, NULL), (240572, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 17:55:35', NULL, NULL), (240573, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 17:55:36', NULL, NULL), (240574, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 17:55:37', NULL, NULL), (240575, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 17:55:38', NULL, NULL), (240576, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 17:55:38', NULL, NULL), (240577, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 17:55:39', NULL, NULL), (240578, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 17:55:40', NULL, NULL), (240579, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 17:55:41', NULL, NULL), (240580, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 17:55:42', NULL, NULL), (240581, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 17:55:43', NULL, NULL), (240582, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 17:55:45', NULL, NULL), (240583, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 17:55:46', NULL, NULL), (240584, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 17:55:50', NULL, NULL), (240585, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 17:55:53', NULL, NULL), (240586, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 17:55:57', NULL, NULL), (240587, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 17:56:00', NULL, NULL), (240588, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 17:56:02', NULL, NULL), (240589, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 17:56:03', NULL, NULL), (240590, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 17:56:04', NULL, NULL), (240591, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 17:56:05', NULL, NULL), (240592, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 17:56:05', NULL, NULL), (240593, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 17:56:06', NULL, NULL), (240594, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 17:56:07', NULL, NULL), (240595, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 17:56:08', NULL, NULL), (240596, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 17:56:09', NULL, NULL), (240597, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 17:56:09', NULL, NULL), (240598, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 17:56:10', NULL, NULL), (240599, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 17:56:11', NULL, NULL), (240600, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 17:56:12', NULL, NULL), (240601, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 17:56:13', NULL, NULL), (240602, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 17:56:14', NULL, NULL), (240603, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 17:56:14', NULL, NULL), (240604, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 17:56:15', NULL, NULL), (240605, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 17:56:16', NULL, NULL), (240606, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 17:56:17', NULL, NULL), (240607, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 17:56:18', NULL, NULL), (240608, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 17:56:19', NULL, NULL), (240609, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 17:56:20', NULL, NULL), (240610, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 17:56:21', NULL, NULL), (240611, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 17:56:22', NULL, NULL), (240612, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 17:56:23', NULL, NULL), (240613, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 17:56:23', NULL, NULL), (240614, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 17:56:24', NULL, NULL), (240615, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 17:56:26', NULL, NULL), (240616, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 17:56:27', NULL, NULL), (240617, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 17:56:29', NULL, NULL), (240618, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 17:56:33', NULL, NULL), (240619, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 17:56:36', NULL, NULL), (240620, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 17:56:40', NULL, NULL), (240621, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 17:56:43', NULL, NULL), (240622, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 17:56:45', NULL, NULL), (240623, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 17:56:45', NULL, NULL), (240624, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 17:56:46', NULL, NULL), (240625, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 17:56:47', NULL, NULL), (240626, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 17:56:48', NULL, NULL), (240627, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 17:56:48', NULL, NULL), (240628, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 17:56:49', NULL, NULL), (240629, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 17:56:50', NULL, NULL), (240630, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 17:56:51', NULL, NULL), (240631, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 17:56:52', NULL, NULL), (240632, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 17:56:52', NULL, NULL), (240633, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 17:56:53', NULL, NULL), (240634, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 17:56:54', NULL, NULL), (240635, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 17:56:55', NULL, NULL), (240636, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 17:56:56', NULL, NULL), (240637, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 17:56:57', NULL, NULL), (240638, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 17:56:58', NULL, NULL), (240639, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 17:56:58', NULL, NULL), (240640, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 17:56:59', NULL, NULL), (240641, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 17:57:00', NULL, NULL), (240642, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 17:57:01', NULL, NULL), (240643, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 17:57:02', NULL, NULL), (240644, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 17:57:03', NULL, NULL), (240645, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 17:57:04', NULL, NULL), (240646, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 17:57:05', NULL, NULL), (240647, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 17:57:06', NULL, NULL), (240648, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 17:57:07', NULL, NULL), (240649, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 17:57:08', NULL, NULL), (240650, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 17:57:09', NULL, NULL), (240651, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 17:57:11', NULL, NULL), (240652, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 17:57:15', NULL, NULL), (240653, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 17:57:18', NULL, NULL), (240654, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 17:57:22', NULL, NULL), (240655, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 17:57:24', NULL, NULL), (240656, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 17:57:25', NULL, NULL), (240657, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 17:57:26', NULL, NULL), (240658, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 17:57:27', NULL, NULL), (240659, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 17:57:27', NULL, NULL), (240660, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 17:57:28', NULL, NULL), (240661, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 17:57:29', NULL, NULL), (240662, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 17:57:30', NULL, NULL), (240663, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 17:57:31', NULL, NULL), (240664, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 17:57:31', NULL, NULL), (240665, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 17:57:32', NULL, NULL), (240666, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 17:57:33', NULL, NULL), (240667, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 17:57:34', NULL, NULL), (240668, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 17:57:35', NULL, NULL), (240669, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 17:57:36', NULL, NULL), (240670, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 17:57:36', NULL, NULL), (240671, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 17:57:37', NULL, NULL), (240672, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 17:57:38', NULL, NULL), (240673, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 17:57:39', NULL, NULL), (240674, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 17:57:40', NULL, NULL), (240675, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 17:57:41', NULL, NULL), (240676, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 17:57:42', NULL, NULL), (240677, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 17:57:43', NULL, NULL), (240678, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 17:57:44', NULL, NULL), (240679, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 17:57:45', NULL, NULL), (240680, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 17:57:45', NULL, NULL), (240681, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 17:57:47', NULL, NULL), (240682, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 17:57:48', NULL, NULL), (240683, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 17:57:50', NULL, NULL), (240684, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 17:57:53', NULL, NULL), (240685, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 17:57:57', NULL, NULL), (240686, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 17:58:00', NULL, NULL), (240687, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 17:58:04', NULL, NULL), (240688, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 17:58:06', NULL, NULL), (240689, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 17:58:06', NULL, NULL), (240690, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 17:58:07', NULL, NULL), (240691, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 17:58:08', NULL, NULL), (240692, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 17:58:09', NULL, NULL), (240693, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 17:58:09', NULL, NULL), (240694, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 17:58:10', NULL, NULL), (240695, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 17:58:11', NULL, NULL), (240696, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 17:58:12', NULL, NULL), (240697, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 17:58:13', NULL, NULL), (240698, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 17:58:13', NULL, NULL), (240699, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 17:58:14', NULL, NULL), (240700, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 17:58:15', NULL, NULL), (240701, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 17:58:16', NULL, NULL), (240702, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 17:58:17', NULL, NULL), (240703, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 17:58:18', NULL, NULL), (240704, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 17:58:18', NULL, NULL), (240705, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 17:58:19', NULL, NULL), (240706, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 17:58:20', NULL, NULL), (240707, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 17:58:21', NULL, NULL), (240708, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 17:58:22', NULL, NULL), (240709, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 17:58:23', NULL, NULL), (240710, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 17:58:24', NULL, NULL), (240711, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 17:58:24', NULL, NULL), (240712, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 17:58:25', NULL, NULL), (240713, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 17:58:26', NULL, NULL), (240714, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 17:58:27', NULL, NULL), (240715, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 17:58:29', NULL, NULL), (240716, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 17:58:30', NULL, NULL), (240717, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 17:58:32', NULL, NULL), (240718, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 17:58:35', NULL, NULL), (240719, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 17:58:39', NULL, NULL), (240720, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 17:58:43', NULL, NULL), (240721, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 17:58:46', NULL, NULL), (240722, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 17:58:48', NULL, NULL), (240723, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 17:58:49', NULL, NULL), (240724, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 17:58:50', NULL, NULL), (240725, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 17:58:51', NULL, NULL), (240726, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 17:58:52', NULL, NULL), (240727, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 17:58:52', NULL, NULL), (240728, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 17:58:53', NULL, NULL), (240729, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 17:58:54', NULL, NULL), (240730, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 17:58:55', NULL, NULL), (240731, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 17:58:56', NULL, NULL), (240732, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 17:58:57', NULL, NULL), (240733, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 17:58:58', NULL, NULL), (240734, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 17:58:59', NULL, NULL), (240735, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 17:59:00', NULL, NULL), (240736, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 17:59:01', NULL, NULL), (240737, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 17:59:02', NULL, NULL), (240738, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 17:59:03', NULL, NULL), (240739, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 17:59:04', NULL, NULL), (240740, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 17:59:06', NULL, NULL), (240741, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 17:59:07', NULL, NULL), (240742, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 17:59:08', NULL, NULL), (240743, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 17:59:09', NULL, NULL), (240744, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 17:59:10', NULL, NULL), (240745, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 17:59:11', NULL, NULL), (240746, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 17:59:13', NULL, NULL), (240747, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 17:59:14', NULL, NULL), (240748, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 17:59:18', NULL, NULL), (240749, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 17:59:22', NULL, NULL), (240750, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 17:59:25', NULL, NULL), (240751, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 17:59:29', NULL, NULL), (240752, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 17:59:32', NULL, NULL), (240753, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 17:59:36', NULL, NULL), (240754, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 17:59:39', NULL, NULL), (240755, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 17:59:40', NULL, NULL), (240756, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 17:59:41', NULL, NULL), (240757, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 17:59:42', NULL, NULL), (240758, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 17:59:42', NULL, NULL), (240759, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 17:59:43', NULL, NULL), (240760, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 17:59:44', NULL, NULL), (240761, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 17:59:45', NULL, NULL), (240762, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 17:59:46', NULL, NULL), (240763, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 17:59:47', NULL, NULL), (240764, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 17:59:48', NULL, NULL), (240765, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 17:59:49', NULL, NULL), (240766, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 17:59:50', NULL, NULL), (240767, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 17:59:51', NULL, NULL), (240768, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 17:59:52', NULL, NULL), (240769, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 17:59:52', NULL, NULL), (240770, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 17:59:53', NULL, NULL), (240771, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 17:59:54', NULL, NULL), (240772, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 17:59:55', NULL, NULL), (240773, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 17:59:56', NULL, NULL), (240774, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 17:59:57', NULL, NULL), (240775, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 17:59:58', NULL, NULL), (240776, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 17:59:59', NULL, NULL), (240777, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 18:00:00', NULL, NULL), (240778, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 18:00:01', NULL, NULL), (240779, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 18:00:04', NULL, NULL), (240780, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 18:00:05', NULL, NULL), (240781, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 18:00:09', NULL, NULL), (240782, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 18:00:12', NULL, NULL), (240783, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 18:00:16', NULL, NULL), (240784, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 18:00:19', NULL, NULL), (240785, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 18:00:23', NULL, NULL), (240786, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 18:00:26', NULL, NULL), (240787, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 18:00:29', NULL, NULL), (240788, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 18:00:30', NULL, NULL), (240789, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 18:00:30', NULL, NULL), (240790, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 18:00:31', NULL, NULL), (240791, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 18:00:32', NULL, NULL), (240792, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 18:00:33', NULL, NULL), (240793, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 18:00:34', NULL, NULL), (240794, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 18:00:35', NULL, NULL), (240795, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 18:00:36', NULL, NULL), (240796, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 18:00:37', NULL, NULL), (240797, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 18:00:38', NULL, NULL), (240798, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 18:00:39', NULL, NULL), (240799, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 18:00:40', NULL, NULL), (240800, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 18:00:41', NULL, NULL), (240801, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 18:00:42', NULL, NULL), (240802, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 18:00:43', NULL, NULL), (240803, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 18:00:44', NULL, NULL), (240804, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 18:00:45', NULL, NULL), (240805, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 18:00:46', NULL, NULL), (240806, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 18:00:47', NULL, NULL), (240807, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 18:00:49', NULL, NULL), (240808, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 18:00:50', NULL, NULL), (240809, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 18:00:51', NULL, NULL), (240810, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 18:00:53', NULL, NULL), (240811, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 18:00:54', NULL, NULL), (240812, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 18:00:57', NULL, NULL), (240813, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 18:01:01', NULL, NULL), (240814, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 18:01:05', NULL, NULL), (240815, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 18:01:09', NULL, NULL), (240816, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 18:01:13', NULL, NULL), (240817, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 18:01:16', NULL, NULL), (240818, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 18:01:20', NULL, NULL), (240819, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 18:01:24', NULL, NULL), (240820, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 18:01:27', NULL, NULL), (240821, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 18:01:27', NULL, NULL), (240822, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 18:01:28', NULL, NULL), (240823, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 18:01:29', NULL, NULL), (240824, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 18:01:30', NULL, NULL), (240825, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 18:01:31', NULL, NULL), (240826, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 18:01:31', NULL, NULL), (240827, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 18:01:32', NULL, NULL), (240828, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 18:01:33', NULL, NULL), (240829, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 18:01:34', NULL, NULL), (240830, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 18:01:35', NULL, NULL), (240831, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 18:01:35', NULL, NULL), (240832, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 18:01:36', NULL, NULL), (240833, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 18:01:37', NULL, NULL), (240834, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 18:01:38', NULL, NULL), (240835, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 18:01:39', NULL, NULL), (240836, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 18:01:40', NULL, NULL), (240837, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 18:01:41', NULL, NULL), (240838, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 18:01:41', NULL, NULL), (240839, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 18:01:42', NULL, NULL), (240840, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 18:01:43', NULL, NULL), (240841, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 18:01:44', NULL, NULL), (240842, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 18:01:45', NULL, NULL), (240843, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 18:01:46', NULL, NULL), (240844, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 18:01:47', NULL, NULL), (240845, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 18:01:48', NULL, NULL), (240846, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 18:01:49', NULL, NULL), (240847, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 18:01:50', NULL, NULL), (240848, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 18:01:51', NULL, NULL), (240849, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 18:01:53', NULL, NULL), (240850, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 18:01:56', NULL, NULL), (240851, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 18:02:00', NULL, NULL), (240852, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 18:02:03', NULL, NULL), (240853, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 18:02:06', NULL, NULL), (240854, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 18:02:07', NULL, NULL), (240855, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 18:02:08', NULL, NULL), (240856, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 18:02:09', NULL, NULL), (240857, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 18:02:10', NULL, NULL), (240858, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 18:02:10', NULL, NULL), (240859, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 18:02:11', NULL, NULL), (240860, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 18:02:12', NULL, NULL), (240861, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 18:02:13', NULL, NULL), (240862, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 18:02:14', NULL, NULL), (240863, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 18:02:14', NULL, NULL), (240864, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 18:02:15', NULL, NULL), (240865, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 18:02:16', NULL, NULL), (240866, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 18:02:17', NULL, NULL), (240867, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 18:02:18', NULL, NULL), (240868, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 18:02:19', NULL, NULL), (240869, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 18:02:19', NULL, NULL), (240870, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 18:02:20', NULL, NULL), (240871, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 18:02:21', NULL, NULL), (240872, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 18:02:22', NULL, NULL), (240873, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 18:02:23', NULL, NULL), (240874, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 18:02:24', NULL, NULL), (240875, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 18:02:25', NULL, NULL), (240876, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 18:02:26', NULL, NULL), (240877, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 18:02:26', NULL, NULL), (240878, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 18:02:27', NULL, NULL), (240879, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 18:02:28', NULL, NULL), (240880, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 18:02:29', NULL, NULL), (240881, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 18:02:31', NULL, NULL), (240882, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 18:02:32', NULL, NULL), (240883, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 18:02:35', NULL, NULL), (240884, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 18:02:39', NULL, NULL), (240885, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 18:02:42', NULL, NULL), (240886, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 18:02:46', NULL, NULL), (240887, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 18:02:48', NULL, NULL), (240888, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 18:02:49', NULL, NULL), (240889, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 18:02:49', NULL, NULL), (240890, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 18:02:50', NULL, NULL), (240891, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 18:02:51', NULL, NULL), (240892, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 18:02:52', NULL, NULL), (240893, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 18:02:52', NULL, NULL), (240894, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 18:02:53', NULL, NULL), (240895, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 18:02:54', NULL, NULL), (240896, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 18:02:55', NULL, NULL), (240897, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 18:02:56', NULL, NULL), (240898, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 18:02:56', NULL, NULL), (240899, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 18:02:57', NULL, NULL), (240900, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 18:02:58', NULL, NULL), (240901, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 18:02:59', NULL, NULL), (240902, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 18:03:00', NULL, NULL), (240903, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 18:03:01', NULL, NULL), (240904, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 18:03:02', NULL, NULL), (240905, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 18:03:02', NULL, NULL), (240906, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 18:03:03', NULL, NULL), (240907, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 18:03:04', NULL, NULL), (240908, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 18:03:05', NULL, NULL), (240909, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 18:03:06', NULL, NULL), (240910, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 18:03:07', NULL, NULL), (240911, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 18:03:08', NULL, NULL), (240912, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 18:03:09', NULL, NULL), (240913, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 18:03:10', NULL, NULL), (240914, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 18:03:11', NULL, NULL), (240915, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 18:03:12', NULL, NULL), (240916, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 18:03:14', NULL, NULL), (240917, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 18:03:17', NULL, NULL), (240918, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 18:03:21', NULL, NULL), (240919, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 18:03:24', NULL, NULL), (240920, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 18:03:27', NULL, NULL), (240921, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 18:03:28', NULL, NULL), (240922, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 18:03:28', NULL, NULL), (240923, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 18:03:29', NULL, NULL), (240924, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 18:03:30', NULL, NULL), (240925, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 18:03:31', NULL, NULL), (240926, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 18:03:32', NULL, NULL), (240927, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 18:03:33', NULL, NULL), (240928, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 18:03:34', NULL, NULL), (240929, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 18:03:35', NULL, NULL), (240930, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 18:03:35', NULL, NULL), (240931, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 18:03:36', NULL, NULL), (240932, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 18:03:37', NULL, NULL), (240933, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 18:03:38', NULL, NULL), (240934, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 18:03:39', NULL, NULL), (240935, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 18:03:40', NULL, NULL), (240936, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 18:03:41', NULL, NULL), (240937, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 18:03:42', NULL, NULL), (240938, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 18:03:43', NULL, NULL), (240939, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 18:03:44', NULL, NULL), (240940, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 18:03:45', NULL, NULL), (240941, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 18:03:46', NULL, NULL), (240942, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 18:03:47', NULL, NULL), (240943, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 18:03:48', NULL, NULL), (240944, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 18:03:50', NULL, NULL), (240945, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 18:03:51', NULL, NULL), (240946, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 18:03:52', NULL, NULL), (240947, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 18:03:56', NULL, NULL), (240948, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 18:03:59', NULL, NULL), (240949, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 18:04:03', NULL, NULL), (240950, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 18:04:07', NULL, NULL), (240951, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 18:04:10', NULL, NULL), (240952, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 18:04:14', NULL, NULL), (240953, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 18:04:17', NULL, NULL), (240954, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 18:04:17', NULL, NULL), (240955, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 18:04:18', NULL, NULL), (240956, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 18:04:19', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (240957, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 18:04:20', NULL, NULL), (240958, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 18:04:21', NULL, NULL), (240959, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 18:04:22', NULL, NULL), (240960, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 18:04:22', NULL, NULL), (240961, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 18:04:23', NULL, NULL), (240962, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 18:04:24', NULL, NULL), (240963, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 18:04:25', NULL, NULL), (240964, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 18:04:26', NULL, NULL), (240965, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 18:04:27', NULL, NULL), (240966, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 18:04:28', NULL, NULL), (240967, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 18:04:28', NULL, NULL), (240968, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 18:04:29', NULL, NULL), (240969, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 18:04:30', NULL, NULL), (240970, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 18:04:31', NULL, NULL), (240971, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 18:04:32', NULL, NULL), (240972, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 18:04:33', NULL, NULL), (240973, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 18:04:34', NULL, NULL), (240974, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 18:04:35', NULL, NULL), (240975, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 18:04:36', NULL, NULL), (240976, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 18:04:37', NULL, NULL), (240977, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 18:04:38', NULL, NULL), (240978, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 18:04:39', NULL, NULL), (240979, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 18:04:40', NULL, NULL), (240980, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 18:04:41', NULL, NULL), (240981, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 18:04:42', NULL, NULL), (240982, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 18:04:45', NULL, NULL), (240983, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 18:04:49', NULL, NULL), (240984, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 18:04:52', NULL, NULL), (240985, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 18:04:56', NULL, NULL), (240986, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 18:04:57', NULL, NULL), (240987, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 18:04:58', NULL, NULL), (240988, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 18:04:59', NULL, NULL), (240989, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 18:04:59', NULL, NULL), (240990, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 18:05:00', NULL, NULL), (240991, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 18:05:01', NULL, NULL), (240992, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 18:05:02', NULL, NULL), (240993, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 18:05:03', NULL, NULL), (240994, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 18:05:03', NULL, NULL), (240995, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 18:05:04', NULL, NULL), (240996, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 18:05:05', NULL, NULL), (240997, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 18:05:06', NULL, NULL), (240998, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 18:05:07', NULL, NULL), (240999, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 18:05:08', NULL, NULL), (241000, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 18:05:08', NULL, NULL), (241001, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 18:05:09', NULL, NULL), (241002, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 18:05:10', NULL, NULL), (241003, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 18:05:11', NULL, NULL), (241004, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 18:05:12', NULL, NULL), (241005, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 18:05:13', NULL, NULL), (241006, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 18:05:14', NULL, NULL), (241007, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 18:05:15', NULL, NULL), (241008, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 18:05:16', NULL, NULL), (241009, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 18:05:16', NULL, NULL), (241010, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 18:05:17', NULL, NULL), (241011, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 18:05:18', NULL, NULL), (241012, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 18:05:19', NULL, NULL), (241013, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 18:05:21', NULL, NULL), (241014, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 18:05:22', NULL, NULL), (241015, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 18:05:25', NULL, NULL), (241016, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 18:05:29', NULL, NULL), (241017, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 18:05:32', NULL, NULL), (241018, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 18:05:36', NULL, NULL), (241019, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 18:05:37', NULL, NULL), (241020, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 18:05:38', NULL, NULL), (241021, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 18:05:39', NULL, NULL), (241022, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 18:05:39', NULL, NULL), (241023, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 18:05:40', NULL, NULL), (241024, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 18:05:41', NULL, NULL), (241025, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 18:05:42', NULL, NULL), (241026, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 18:05:43', NULL, NULL), (241027, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 18:05:43', NULL, NULL), (241028, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 18:05:44', NULL, NULL), (241029, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 18:05:45', NULL, NULL), (241030, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 18:05:46', NULL, NULL), (241031, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 18:05:47', NULL, NULL), (241032, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 18:05:48', NULL, NULL), (241033, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 18:05:49', NULL, NULL), (241034, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 18:05:49', NULL, NULL), (241035, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 18:05:50', NULL, NULL), (241036, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 18:05:51', NULL, NULL), (241037, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 18:05:52', NULL, NULL), (241038, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 18:05:53', NULL, NULL), (241039, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 18:05:54', NULL, NULL), (241040, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 18:05:55', NULL, NULL), (241041, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 18:05:56', NULL, NULL), (241042, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 18:05:57', NULL, NULL), (241043, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 18:05:58', NULL, NULL), (241044, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 18:05:59', NULL, NULL), (241045, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 18:05:59', NULL, NULL), (241046, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 18:06:01', NULL, NULL), (241047, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 18:06:02', NULL, NULL), (241048, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 18:06:05', NULL, NULL), (241049, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 18:06:09', NULL, NULL), (241050, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 18:06:12', NULL, NULL), (241051, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 18:06:16', NULL, NULL), (241052, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 18:06:18', NULL, NULL), (241053, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 18:06:19', NULL, NULL), (241054, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 18:06:20', NULL, NULL), (241055, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 18:06:20', NULL, NULL), (241056, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 18:06:21', NULL, NULL), (241057, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 18:06:22', NULL, NULL), (241058, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 18:06:23', NULL, NULL), (241059, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 18:06:23', NULL, NULL), (241060, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 18:06:24', NULL, NULL), (241061, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 18:06:25', NULL, NULL), (241062, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 18:06:26', NULL, NULL), (241063, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 18:06:27', NULL, NULL), (241064, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 18:06:28', NULL, NULL), (241065, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 18:06:28', NULL, NULL), (241066, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 18:06:29', NULL, NULL), (241067, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 18:06:30', NULL, NULL), (241068, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 18:06:31', NULL, NULL), (241069, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 18:06:32', NULL, NULL), (241070, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 18:06:33', NULL, NULL), (241071, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 18:06:33', NULL, NULL), (241072, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 18:06:34', NULL, NULL), (241073, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 18:06:35', NULL, NULL), (241074, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 18:06:36', NULL, NULL), (241075, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 18:06:37', NULL, NULL), (241076, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 18:06:38', NULL, NULL), (241077, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 18:06:39', NULL, NULL), (241078, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 18:06:40', NULL, NULL), (241079, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 18:06:41', NULL, NULL), (241080, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 18:06:43', NULL, NULL), (241081, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 18:06:44', NULL, NULL), (241082, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 18:06:48', NULL, NULL), (241083, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 18:06:51', NULL, NULL), (241084, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 18:06:55', NULL, NULL), (241085, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 18:06:58', NULL, NULL), (241086, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 18:06:59', NULL, NULL), (241087, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 18:06:59', NULL, NULL), (241088, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 18:07:00', NULL, NULL), (241089, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 18:07:01', NULL, NULL), (241090, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 18:07:02', NULL, NULL), (241091, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 18:07:02', NULL, NULL), (241092, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 18:07:03', NULL, NULL), (241093, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 18:07:04', NULL, NULL), (241094, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 18:07:05', NULL, NULL), (241095, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 18:07:06', NULL, NULL), (241096, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 18:07:07', NULL, NULL), (241097, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 18:07:07', NULL, NULL), (241098, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 18:07:08', NULL, NULL), (241099, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 18:07:09', NULL, NULL), (241100, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 18:07:10', NULL, NULL), (241101, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 18:07:11', NULL, NULL), (241102, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 18:07:12', NULL, NULL), (241103, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 18:07:13', NULL, NULL), (241104, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 18:07:13', NULL, NULL), (241105, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 18:07:14', NULL, NULL), (241106, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 18:07:15', NULL, NULL), (241107, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 18:07:16', NULL, NULL), (241108, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 18:07:17', NULL, NULL), (241109, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 18:07:18', NULL, NULL), (241110, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 18:07:19', NULL, NULL), (241111, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 18:07:20', NULL, NULL), (241112, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 18:07:21', NULL, NULL), (241113, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 18:07:22', NULL, NULL), (241114, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 18:07:24', NULL, NULL), (241115, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 18:07:27', NULL, NULL), (241116, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 18:07:31', NULL, NULL), (241117, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 18:07:34', NULL, NULL), (241118, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 18:07:38', NULL, NULL), (241119, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 18:07:39', NULL, NULL), (241120, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 18:07:39', NULL, NULL), (241121, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 18:07:40', NULL, NULL), (241122, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 18:07:41', 1, '2024-08-05 22:12:11'), (241123, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 18:07:42', 1, '2024-08-06 02:01:10'), (241124, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 18:07:42', 1, '2024-08-07 01:00:11'), (241125, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 18:07:43', 1, '2024-08-08 01:00:11'), (241126, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 18:07:44', 1, '2024-08-09 01:00:10'), (241127, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 18:08:33', NULL, NULL), (241128, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 18:08:34', NULL, NULL), (241129, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 18:08:35', NULL, NULL), (241130, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 18:08:36', NULL, NULL), (241131, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 18:08:37', NULL, NULL), (241132, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 18:08:38', NULL, NULL), (241133, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 18:08:39', NULL, NULL), (241134, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 18:08:40', NULL, NULL), (241135, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 18:08:42', NULL, NULL), (241136, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 18:08:45', NULL, NULL), (241137, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 18:08:49', NULL, NULL), (241138, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 18:08:53', NULL, NULL), (241139, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 18:08:56', NULL, NULL), (241140, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 18:09:00', NULL, NULL), (241141, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 18:09:02', NULL, NULL), (241142, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 18:09:03', NULL, NULL), (241143, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 18:09:04', NULL, NULL), (241144, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 18:09:05', NULL, NULL), (241145, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 18:09:05', NULL, NULL), (241146, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 18:09:06', NULL, NULL), (241147, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 18:09:07', NULL, NULL), (241148, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 18:09:08', NULL, NULL), (241149, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 18:09:09', NULL, NULL), (241150, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 18:09:10', NULL, NULL), (241151, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 18:09:11', NULL, NULL), (241152, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 18:09:12', NULL, NULL), (241153, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 18:09:13', NULL, NULL), (241154, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 18:09:14', NULL, NULL), (241155, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 18:09:15', NULL, NULL), (241156, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 18:09:16', NULL, NULL), (241157, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 18:09:17', NULL, NULL), (241158, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 18:09:18', NULL, NULL), (241159, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 18:09:19', NULL, NULL), (241160, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 18:09:20', NULL, NULL), (241161, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 18:09:21', NULL, NULL), (241162, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 18:09:22', NULL, NULL), (241163, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 18:09:23', NULL, NULL), (241164, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 18:09:24', NULL, NULL), (241165, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 18:09:25', NULL, NULL), (241166, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 18:09:26', NULL, NULL), (241167, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 18:09:28', NULL, NULL), (241168, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 18:09:31', NULL, NULL), (241169, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 18:09:35', NULL, NULL), (241170, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 18:09:38', NULL, NULL), (241171, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 18:09:42', NULL, NULL), (241172, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 18:09:45', NULL, NULL), (241173, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 18:09:46', NULL, NULL), (241174, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 18:09:46', NULL, NULL), (241175, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 18:09:47', NULL, NULL), (241176, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 18:09:48', NULL, NULL), (241177, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 18:09:49', NULL, NULL), (241178, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 18:09:50', NULL, NULL), (241179, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 18:09:50', NULL, NULL), (241180, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 18:09:51', NULL, NULL), (241181, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 18:09:52', NULL, NULL), (241182, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 18:09:53', NULL, NULL), (241183, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 18:09:54', NULL, NULL), (241184, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 18:09:54', NULL, NULL), (241185, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 18:09:55', NULL, NULL), (241186, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 18:09:56', NULL, NULL), (241187, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 18:09:57', NULL, NULL), (241188, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 18:09:58', NULL, NULL), (241189, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 18:09:59', NULL, NULL), (241190, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 18:10:00', NULL, NULL), (241191, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 18:10:01', NULL, NULL), (241192, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 18:10:01', NULL, NULL), (241193, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 18:10:02', NULL, NULL), (241194, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 18:10:03', NULL, NULL), (241195, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 18:10:04', NULL, NULL), (241196, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 18:10:05', NULL, NULL), (241197, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 18:10:06', NULL, NULL), (241198, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 18:10:07', NULL, NULL), (241199, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 18:10:08', NULL, NULL), (241200, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 18:10:10', NULL, NULL), (241201, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 18:10:11', NULL, NULL), (241202, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 18:10:14', NULL, NULL), (241203, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 18:10:18', NULL, NULL), (241204, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 18:10:21', NULL, NULL), (241205, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 18:10:25', NULL, NULL), (241206, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 18:10:27', NULL, NULL), (241207, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 18:10:27', NULL, NULL), (241208, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 18:10:28', NULL, NULL), (241209, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 18:10:29', NULL, NULL), (241210, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 18:10:30', NULL, NULL), (241211, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 18:10:30', NULL, NULL), (241212, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 18:10:31', NULL, NULL), (241213, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 18:10:32', NULL, NULL), (241214, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 18:10:33', NULL, NULL), (241215, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 18:10:34', NULL, NULL), (241216, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 18:10:34', NULL, NULL), (241217, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 18:10:35', NULL, NULL), (241218, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 18:10:36', NULL, NULL), (241219, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 18:10:37', NULL, NULL), (241220, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 18:10:38', NULL, NULL), (241221, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 18:10:39', NULL, NULL), (241222, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 18:10:40', NULL, NULL), (241223, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 18:10:40', NULL, NULL), (241224, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 18:10:41', NULL, NULL), (241225, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 18:10:42', NULL, NULL), (241226, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 18:10:43', NULL, NULL), (241227, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 18:10:44', NULL, NULL), (241228, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 18:10:45', NULL, NULL), (241229, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 18:10:46', NULL, NULL), (241230, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 18:10:47', NULL, NULL), (241231, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 18:10:48', NULL, NULL), (241232, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 18:10:49', NULL, NULL), (241233, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 18:10:50', NULL, NULL), (241234, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 18:10:51', NULL, NULL), (241235, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 18:10:53', NULL, NULL), (241236, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 18:10:57', NULL, NULL), (241237, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 18:11:00', NULL, NULL), (241238, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 18:11:04', NULL, NULL), (241239, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 18:11:06', NULL, NULL), (241240, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 18:11:07', NULL, NULL), (241241, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 18:11:08', NULL, NULL), (241242, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 18:11:09', NULL, NULL), (241243, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 18:11:09', NULL, NULL), (241244, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 18:11:10', NULL, NULL), (241245, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 18:11:11', NULL, NULL), (241246, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 18:11:12', NULL, NULL), (241247, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 18:11:12', NULL, NULL), (241248, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 18:11:13', NULL, NULL), (241249, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 18:11:14', NULL, NULL), (241250, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 18:11:15', NULL, NULL), (241251, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 18:11:16', NULL, NULL), (241252, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 18:11:17', NULL, NULL), (241253, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 18:11:17', NULL, NULL), (241254, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 18:11:18', NULL, NULL), (241255, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 18:11:19', NULL, NULL), (241256, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 18:11:20', NULL, NULL), (241257, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 18:11:21', NULL, NULL), (241258, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 18:11:22', NULL, NULL), (241259, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 18:11:23', NULL, NULL), (241260, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 18:11:24', NULL, NULL), (241261, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 18:11:24', NULL, NULL), (241262, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 18:11:25', NULL, NULL), (241263, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 18:11:26', NULL, NULL), (241264, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 18:11:27', NULL, NULL), (241265, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 18:11:28', NULL, NULL), (241266, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 18:11:29', NULL, NULL), (241267, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 18:11:31', NULL, NULL), (241268, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 18:11:32', NULL, NULL), (241269, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 18:11:34', NULL, NULL), (241270, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 18:11:37', NULL, NULL), (241271, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 18:11:41', NULL, NULL), (241272, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 18:11:45', NULL, NULL), (241273, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 18:11:46', NULL, NULL), (241274, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 18:11:47', NULL, NULL), (241275, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 18:11:48', NULL, NULL), (241276, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 18:11:49', NULL, NULL), (241277, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 18:11:50', NULL, NULL), (241278, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 18:11:50', NULL, NULL), (241279, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 18:11:51', NULL, NULL), (241280, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 18:11:52', NULL, NULL), (241281, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 18:11:53', NULL, NULL), (241282, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 18:11:54', NULL, NULL), (241283, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 18:11:54', NULL, NULL), (241284, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 18:11:55', NULL, NULL), (241285, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 18:11:56', NULL, NULL), (241286, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 18:11:57', NULL, NULL), (241287, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 18:11:58', NULL, NULL), (241288, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 18:11:59', NULL, NULL), (241289, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 18:11:59', NULL, NULL), (241290, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 18:12:00', NULL, NULL), (241291, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 18:12:01', NULL, NULL), (241292, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 18:12:02', NULL, NULL), (241293, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 18:12:03', NULL, NULL), (241294, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 18:12:04', NULL, NULL), (241295, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 18:12:04', NULL, NULL), (241296, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 18:12:05', NULL, NULL), (241297, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 18:12:06', NULL, NULL), (241298, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 18:12:07', NULL, NULL), (241299, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 18:12:08', NULL, NULL), (241300, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 18:12:09', NULL, NULL), (241301, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 18:12:11', NULL, NULL), (241302, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 18:12:12', NULL, NULL), (241303, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 18:12:15', NULL, NULL), (241304, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 18:12:19', NULL, NULL), (241305, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 18:12:22', NULL, NULL), (241306, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 18:12:25', NULL, NULL), (241307, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 18:12:26', NULL, NULL), (241308, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 18:12:27', NULL, NULL), (241309, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 18:12:28', NULL, NULL), (241310, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 18:12:28', NULL, NULL), (241311, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 18:12:29', NULL, NULL), (241312, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 18:12:30', NULL, NULL), (241313, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 18:12:31', NULL, NULL), (241314, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 18:12:32', NULL, NULL), (241315, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 18:12:32', NULL, NULL), (241316, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 18:12:33', NULL, NULL), (241317, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 18:12:34', NULL, NULL), (241318, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 18:12:35', NULL, NULL), (241319, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 18:12:36', NULL, NULL), (241320, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 18:12:36', NULL, NULL), (241321, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 18:12:37', NULL, NULL), (241322, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 18:12:38', NULL, NULL), (241323, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 18:12:39', NULL, NULL), (241324, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 18:12:40', NULL, NULL), (241325, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 18:12:41', NULL, NULL), (241326, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 18:12:42', NULL, NULL), (241327, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 18:12:43', NULL, NULL), (241328, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 18:12:43', NULL, NULL), (241329, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 18:12:44', NULL, NULL), (241330, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 18:12:45', NULL, NULL), (241331, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 18:12:46', NULL, NULL), (241332, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 18:12:47', NULL, NULL), (241333, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 18:12:48', NULL, NULL), (241334, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 18:12:50', NULL, NULL), (241335, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 18:12:51', NULL, NULL), (241336, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 18:12:54', NULL, NULL), (241337, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 18:12:58', NULL, NULL), (241338, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 18:13:01', NULL, NULL), (241339, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 18:13:04', NULL, NULL), (241340, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 18:13:05', NULL, NULL), (241341, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 18:13:06', NULL, NULL), (241342, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 18:13:07', NULL, NULL), (241343, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 18:13:07', NULL, NULL), (241344, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 18:13:08', NULL, NULL), (241345, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 18:13:09', NULL, NULL), (241346, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 18:13:10', NULL, NULL), (241347, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 18:13:10', NULL, NULL), (241348, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 18:13:11', NULL, NULL), (241349, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 18:13:12', NULL, NULL), (241350, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 18:13:13', NULL, NULL), (241351, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 18:13:14', NULL, NULL), (241352, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 18:13:15', NULL, NULL), (241353, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 18:13:15', NULL, NULL), (241354, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 18:13:16', NULL, NULL), (241355, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 18:13:17', NULL, NULL), (241356, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 18:13:18', NULL, NULL), (241357, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 18:13:19', NULL, NULL), (241358, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 18:13:20', NULL, NULL), (241359, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 18:13:21', NULL, NULL), (241360, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 18:13:21', NULL, NULL), (241361, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 18:13:22', NULL, NULL), (241362, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 18:13:23', NULL, NULL), (241363, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 18:13:24', NULL, NULL), (241364, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 18:13:25', NULL, NULL), (241365, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 18:13:26', NULL, NULL), (241366, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 18:13:27', NULL, NULL), (241367, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 18:13:28', NULL, NULL), (241368, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 18:13:30', NULL, NULL), (241369, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 18:13:32', NULL, NULL), (241370, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 18:13:36', NULL, NULL), (241371, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 18:13:39', NULL, NULL), (241372, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 18:13:43', NULL, NULL), (241373, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 18:13:46', NULL, NULL), (241374, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 18:13:47', NULL, NULL), (241375, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 18:13:48', NULL, NULL), (241376, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 18:13:49', NULL, NULL), (241377, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 18:13:49', NULL, NULL), (241378, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 18:13:50', NULL, NULL), (241379, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 18:13:51', NULL, NULL), (241380, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 18:13:52', NULL, NULL), (241381, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 18:13:53', NULL, NULL), (241382, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 18:13:54', NULL, NULL), (241383, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 18:13:55', NULL, NULL), (241384, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 18:13:56', NULL, NULL), (241385, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 18:13:57', NULL, NULL), (241386, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 18:13:58', NULL, NULL), (241387, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 18:13:58', NULL, NULL), (241388, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 18:13:59', NULL, NULL), (241389, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 18:14:00', NULL, NULL), (241390, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 18:14:01', NULL, NULL), (241391, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 18:14:02', NULL, NULL), (241392, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 18:14:03', NULL, NULL), (241393, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 18:14:04', NULL, NULL), (241394, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 18:14:05', NULL, NULL), (241395, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 18:14:06', NULL, NULL), (241396, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 18:14:07', NULL, NULL), (241397, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 18:14:08', NULL, NULL), (241398, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 18:14:10', NULL, NULL), (241399, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 18:14:11', NULL, NULL), (241400, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 18:14:13', NULL, NULL), (241401, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 18:14:16', NULL, NULL), (241402, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 18:14:20', NULL, NULL), (241403, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 18:14:23', NULL, NULL), (241404, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 18:14:27', NULL, NULL), (241405, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 18:14:30', NULL, NULL), (241406, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 18:14:33', NULL, NULL), (241407, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 18:14:34', NULL, NULL), (241408, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 18:14:35', NULL, NULL), (241409, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 18:14:36', NULL, NULL), (241410, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 18:14:36', NULL, NULL), (241411, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 18:14:37', NULL, NULL), (241412, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 18:14:38', NULL, NULL), (241413, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 18:14:39', NULL, NULL), (241414, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 18:14:40', NULL, NULL), (241415, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 18:14:40', NULL, NULL), (241416, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 18:14:41', NULL, NULL), (241417, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 18:14:42', NULL, NULL), (241418, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 18:14:43', NULL, NULL), (241419, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 18:14:44', NULL, NULL), (241420, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 18:14:45', NULL, NULL), (241421, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 18:14:45', NULL, NULL), (241422, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 18:14:46', NULL, NULL), (241423, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 18:14:47', NULL, NULL), (241424, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 18:14:48', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (241425, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 18:14:49', NULL, NULL), (241426, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 18:14:50', NULL, NULL), (241427, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 18:14:51', NULL, NULL), (241428, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 18:14:51', NULL, NULL), (241429, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 18:14:52', NULL, NULL), (241430, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 18:14:53', NULL, NULL), (241431, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 18:14:54', NULL, NULL), (241432, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 18:14:55', NULL, NULL), (241433, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 18:14:56', NULL, NULL), (241434, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 18:14:57', NULL, NULL), (241435, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 18:14:59', NULL, NULL), (241436, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 18:15:01', NULL, NULL), (241437, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 18:15:05', NULL, NULL), (241438, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 18:15:08', NULL, NULL), (241439, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 18:15:11', NULL, NULL), (241440, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 18:15:12', NULL, NULL), (241441, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 18:15:13', NULL, NULL), (241442, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 18:15:14', NULL, NULL), (241443, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 18:15:15', NULL, NULL), (241444, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 18:15:15', NULL, NULL), (241445, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 18:15:16', NULL, NULL), (241446, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 18:15:17', NULL, NULL), (241447, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 18:15:18', NULL, NULL), (241448, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 18:15:19', NULL, NULL), (241449, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 18:15:19', NULL, NULL), (241450, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 18:15:20', NULL, NULL), (241451, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 18:15:21', NULL, NULL), (241452, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 18:15:22', NULL, NULL), (241453, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 18:15:23', NULL, NULL), (241454, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 18:15:24', NULL, NULL), (241455, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 18:15:25', NULL, NULL), (241456, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 18:15:25', NULL, NULL), (241457, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 18:15:26', NULL, NULL), (241458, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 18:15:27', NULL, NULL), (241459, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 18:15:28', NULL, NULL), (241460, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 18:15:29', NULL, NULL), (241461, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 18:15:30', NULL, NULL), (241462, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 18:15:31', NULL, NULL), (241463, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 18:15:32', NULL, NULL), (241464, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 18:15:33', NULL, NULL), (241465, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 18:15:34', NULL, NULL), (241466, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 18:15:35', NULL, NULL), (241467, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 18:15:36', NULL, NULL), (241468, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 18:15:37', NULL, NULL), (241469, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 18:15:39', NULL, NULL), (241470, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 18:15:40', NULL, NULL), (241471, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 18:15:41', NULL, NULL), (241472, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 18:15:45', NULL, NULL), (241473, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 18:15:48', NULL, NULL), (241474, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 18:15:51', NULL, NULL), (241475, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 18:15:52', NULL, NULL), (241476, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 18:15:53', NULL, NULL), (241477, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 18:15:54', NULL, NULL), (241478, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 18:15:55', NULL, NULL), (241479, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 18:15:55', NULL, NULL), (241480, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 18:15:56', NULL, NULL), (241481, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 18:15:57', NULL, NULL), (241482, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 18:15:58', NULL, NULL), (241483, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 18:15:58', NULL, NULL), (241484, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 18:15:59', NULL, NULL), (241485, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 18:16:00', NULL, NULL), (241486, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 18:16:01', NULL, NULL), (241487, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 18:16:02', NULL, NULL), (241488, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 18:16:03', NULL, NULL), (241489, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 18:16:04', NULL, NULL), (241490, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 18:16:04', NULL, NULL), (241491, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 18:16:05', NULL, NULL), (241492, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 18:16:06', NULL, NULL), (241493, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 18:16:07', NULL, NULL), (241494, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 18:16:08', NULL, NULL), (241495, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 18:16:09', NULL, NULL), (241496, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 18:16:10', NULL, NULL), (241497, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 18:16:10', NULL, NULL), (241498, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 18:16:11', NULL, NULL), (241499, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 18:16:12', NULL, NULL), (241500, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 18:16:13', NULL, NULL), (241501, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 18:16:14', NULL, NULL), (241502, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 18:16:16', NULL, NULL), (241503, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 18:16:17', NULL, NULL), (241504, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 18:16:20', NULL, NULL), (241505, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 18:16:23', NULL, NULL), (241506, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 18:16:27', NULL, NULL), (241507, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 18:16:30', NULL, NULL), (241508, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 18:16:31', NULL, NULL), (241509, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 18:16:32', NULL, NULL), (241510, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 18:16:33', NULL, NULL), (241511, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 18:16:33', NULL, NULL), (241512, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 18:16:34', NULL, NULL), (241513, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 18:16:35', NULL, NULL), (241514, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 18:16:36', NULL, NULL), (241515, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 18:16:37', NULL, NULL), (241516, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 18:16:38', NULL, NULL), (241517, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 18:16:38', NULL, NULL), (241518, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 18:16:39', NULL, NULL), (241519, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 18:16:40', NULL, NULL), (241520, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 18:16:41', NULL, NULL), (241521, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 18:16:42', NULL, NULL), (241522, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 18:16:43', NULL, NULL), (241523, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 18:16:43', NULL, NULL), (241524, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 18:16:44', NULL, NULL), (241525, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 18:16:45', NULL, NULL), (241526, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 18:16:46', NULL, NULL), (241527, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 18:16:47', NULL, NULL), (241528, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 18:16:48', NULL, NULL), (241529, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 18:16:49', NULL, NULL), (241530, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 18:16:50', NULL, NULL), (241531, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 18:16:50', NULL, NULL), (241532, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 18:16:51', NULL, NULL), (241533, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 18:16:52', NULL, NULL), (241534, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 18:16:53', NULL, NULL), (241535, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 18:16:55', NULL, NULL), (241536, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 18:16:56', NULL, NULL), (241537, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 18:16:59', NULL, NULL), (241538, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 18:17:03', NULL, NULL), (241539, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 18:17:06', NULL, NULL), (241540, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 18:17:09', NULL, NULL), (241541, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 18:17:10', NULL, NULL), (241542, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 18:17:10', NULL, NULL), (241543, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 18:17:11', NULL, NULL), (241544, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 18:17:12', NULL, NULL), (241545, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 18:17:13', NULL, NULL), (241546, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 18:17:13', NULL, NULL), (241547, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 18:17:14', NULL, NULL), (241548, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 18:17:15', NULL, NULL), (241549, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 18:17:16', NULL, NULL), (241550, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 18:17:17', NULL, NULL), (241551, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 18:17:18', NULL, NULL), (241552, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 18:17:18', NULL, NULL), (241553, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 18:17:19', NULL, NULL), (241554, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 18:17:20', NULL, NULL), (241555, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 18:17:21', NULL, NULL), (241556, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 18:17:22', NULL, NULL), (241557, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 18:17:23', NULL, NULL), (241558, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 18:17:24', NULL, NULL), (241559, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 18:17:24', NULL, NULL), (241560, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 18:17:25', NULL, NULL), (241561, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 18:17:26', NULL, NULL), (241562, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 18:17:27', NULL, NULL), (241563, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 18:17:28', NULL, NULL), (241564, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 18:17:29', NULL, NULL), (241565, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 18:17:30', NULL, NULL), (241566, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 18:17:31', NULL, NULL), (241567, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 18:17:32', NULL, NULL), (241568, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 18:17:34', NULL, NULL), (241569, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 18:17:36', NULL, NULL), (241570, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 18:17:39', NULL, NULL), (241571, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 18:17:43', NULL, NULL), (241572, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 18:17:46', NULL, NULL), (241573, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 18:17:48', NULL, NULL), (241574, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 18:17:49', NULL, NULL), (241575, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 18:17:50', NULL, NULL), (241576, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 18:17:50', NULL, NULL), (241577, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 18:17:51', NULL, NULL), (241578, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 18:17:52', NULL, NULL), (241579, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 18:17:53', NULL, NULL), (241580, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 18:17:53', NULL, NULL), (241581, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 18:17:54', NULL, NULL), (241582, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 18:17:55', NULL, NULL), (241583, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 18:17:56', NULL, NULL), (241584, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 18:17:57', NULL, NULL), (241585, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 18:17:58', NULL, NULL), (241586, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 18:17:58', NULL, NULL), (241587, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 18:17:59', NULL, NULL), (241588, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 18:18:00', NULL, NULL), (241589, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 18:18:01', NULL, NULL), (241590, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 18:18:02', NULL, NULL), (241591, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 18:18:03', NULL, NULL), (241592, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 18:18:04', NULL, NULL), (241593, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 18:18:04', NULL, NULL), (241594, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 18:18:05', NULL, NULL), (241595, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 18:18:06', NULL, NULL), (241596, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 18:18:07', NULL, NULL), (241597, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 18:18:08', NULL, NULL), (241598, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 18:18:09', NULL, NULL), (241599, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 18:18:10', NULL, NULL), (241600, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 18:18:11', NULL, NULL), (241601, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 18:18:13', NULL, NULL), (241602, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 18:18:14', NULL, NULL), (241603, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 18:18:15', NULL, NULL), (241604, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 18:18:17', NULL, NULL), (241605, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 18:18:18', NULL, NULL), (241606, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 18:18:19', NULL, NULL), (241607, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 18:18:21', NULL, NULL), (241608, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 18:18:22', NULL, NULL), (241609, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 18:18:24', NULL, NULL), (241610, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 18:18:25', NULL, NULL), (241611, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 18:18:26', NULL, NULL), (241612, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 18:18:28', NULL, NULL), (241613, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 18:18:29', NULL, NULL), (241614, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 18:18:30', NULL, NULL), (241615, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 18:18:32', NULL, NULL), (241616, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 18:18:33', NULL, NULL), (241617, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 18:18:35', NULL, NULL), (241618, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 18:18:36', NULL, NULL), (241619, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 18:18:37', NULL, NULL), (241620, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 18:18:39', NULL, NULL), (241621, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 18:18:40', NULL, NULL), (241622, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 18:18:42', NULL, NULL), (241623, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 18:18:43', NULL, NULL), (241624, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 18:18:44', NULL, NULL), (241625, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 18:18:46', NULL, NULL), (241626, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 18:18:47', NULL, NULL), (241627, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 18:18:49', NULL, NULL), (241628, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 18:18:50', NULL, NULL), (241629, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 18:18:51', NULL, NULL), (241630, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 18:18:53', NULL, NULL), (241631, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 18:18:54', NULL, NULL), (241632, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 18:18:56', NULL, NULL), (241633, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 18:18:57', NULL, NULL), (241634, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 18:18:58', NULL, NULL), (241635, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 18:19:00', NULL, NULL), (241636, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 18:19:01', NULL, NULL), (241637, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 18:19:03', NULL, NULL), (241638, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 18:19:04', NULL, NULL), (241639, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 18:19:06', NULL, NULL), (241640, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 18:19:07', NULL, NULL), (241641, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 18:19:08', NULL, NULL), (241642, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 18:19:10', NULL, NULL), (241643, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 18:19:11', NULL, NULL), (241644, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 18:19:13', NULL, NULL), (241645, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 18:19:14', NULL, NULL), (241646, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 18:19:16', NULL, NULL), (241647, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 18:19:17', NULL, NULL), (241648, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 18:19:18', NULL, NULL), (241649, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 18:19:20', NULL, NULL), (241650, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 18:19:21', NULL, NULL), (241651, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 18:19:23', NULL, NULL), (241652, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 18:19:24', NULL, NULL), (241653, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 18:19:26', NULL, NULL), (241654, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 18:19:27', NULL, NULL), (241655, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 18:19:28', NULL, NULL), (241656, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 18:19:30', NULL, NULL), (241657, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 18:19:31', NULL, NULL), (241658, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 18:19:33', NULL, NULL), (241659, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 18:19:34', NULL, NULL), (241660, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 18:19:35', NULL, NULL), (241661, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 18:19:37', NULL, NULL), (241662, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 18:19:38', NULL, NULL), (241663, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 18:19:40', NULL, NULL), (241664, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 18:19:41', NULL, NULL), (241665, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 18:19:42', NULL, NULL), (241666, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 18:19:44', NULL, NULL), (241667, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 18:19:45', NULL, NULL), (241668, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 18:19:47', NULL, NULL), (241669, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 18:19:48', NULL, NULL), (241670, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 18:19:49', NULL, NULL), (241671, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 18:19:51', NULL, NULL), (241672, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 18:19:52', NULL, NULL), (241673, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 18:19:54', NULL, NULL), (241674, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 18:19:55', NULL, NULL), (241675, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 18:19:56', NULL, NULL), (241676, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 18:19:58', NULL, NULL), (241677, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 18:19:59', NULL, NULL), (241678, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 18:20:00', NULL, NULL), (241679, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 18:20:02', NULL, NULL), (241680, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 18:20:03', NULL, NULL), (241681, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 18:20:05', NULL, NULL), (241682, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 18:20:06', NULL, NULL), (241683, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 18:20:07', NULL, NULL), (241684, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 18:20:09', NULL, NULL), (241685, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 18:20:10', NULL, NULL), (241686, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 18:20:12', NULL, NULL), (241687, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 18:20:13', NULL, NULL), (241688, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 18:20:14', NULL, NULL), (241689, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 18:20:16', NULL, NULL), (241690, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 18:20:17', NULL, NULL), (241691, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 18:20:18', NULL, NULL), (241692, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 18:20:20', NULL, NULL), (241693, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 18:20:21', NULL, NULL), (241694, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 18:20:23', NULL, NULL), (241695, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 18:20:24', NULL, NULL), (241696, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 18:20:25', NULL, NULL), (241697, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 18:20:27', NULL, NULL), (241698, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 18:20:28', NULL, NULL), (241699, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 18:20:29', NULL, NULL), (241700, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 18:20:31', NULL, NULL), (241701, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 18:20:32', NULL, NULL), (241702, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 18:20:34', NULL, NULL), (241703, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 18:20:35', NULL, NULL), (241704, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 18:20:36', NULL, NULL), (241705, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 18:20:38', 1, '2024-08-05 22:12:18'), (241706, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 18:20:39', 1, '2024-08-06 02:01:18'), (241707, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 18:20:40', 1, '2024-08-07 01:00:11'), (241708, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 18:20:42', 1, '2024-08-08 01:00:17'), (241709, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 18:20:43', 1, '2024-08-09 01:00:12'), (241710, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 18:21:33', NULL, NULL), (241711, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 18:21:34', NULL, NULL), (241712, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 18:21:35', NULL, NULL), (241713, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 18:21:36', NULL, NULL), (241714, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 18:21:38', NULL, NULL), (241715, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 18:21:39', NULL, NULL), (241716, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 18:21:42', NULL, NULL), (241717, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 18:21:46', NULL, NULL), (241718, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 18:21:50', NULL, NULL), (241719, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 18:21:52', NULL, NULL), (241720, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 18:21:53', NULL, NULL), (241721, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 18:21:54', NULL, NULL), (241722, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 18:21:55', NULL, NULL), (241723, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 18:21:56', NULL, NULL), (241724, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 18:21:57', NULL, NULL), (241725, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 18:21:58', NULL, NULL), (241726, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 18:21:59', NULL, NULL), (241727, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 18:22:00', NULL, NULL), (241728, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 18:22:00', NULL, NULL), (241729, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 18:22:01', NULL, NULL), (241730, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 18:22:02', NULL, NULL), (241731, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 18:22:03', NULL, NULL), (241732, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 18:22:04', NULL, NULL), (241733, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 18:22:05', NULL, NULL), (241734, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 18:22:06', NULL, NULL), (241735, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 18:22:07', NULL, NULL), (241736, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 18:22:08', NULL, NULL), (241737, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 18:22:09', NULL, NULL), (241738, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 18:22:10', NULL, NULL), (241739, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 18:22:11', NULL, NULL), (241740, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 18:22:13', NULL, NULL), (241741, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 18:22:14', NULL, NULL), (241742, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 18:22:15', NULL, NULL), (241743, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 18:22:16', NULL, NULL), (241744, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 18:22:18', NULL, NULL), (241745, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 18:22:19', NULL, NULL), (241746, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 18:22:21', NULL, NULL), (241747, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 18:22:22', NULL, NULL), (241748, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 18:22:24', NULL, NULL), (241749, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 18:22:25', NULL, NULL), (241750, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 18:22:27', NULL, NULL), (241751, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 18:22:28', NULL, NULL), (241752, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 18:22:30', NULL, NULL), (241753, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 18:22:31', NULL, NULL), (241754, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 18:22:33', NULL, NULL), (241755, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 18:22:34', NULL, NULL), (241756, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 18:22:35', NULL, NULL), (241757, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 18:22:37', NULL, NULL), (241758, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 18:22:38', NULL, NULL), (241759, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 18:22:40', NULL, NULL), (241760, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 18:22:41', NULL, NULL), (241761, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 18:22:42', NULL, NULL), (241762, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 18:22:44', NULL, NULL), (241763, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 18:22:45', NULL, NULL), (241764, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 18:22:47', NULL, NULL), (241765, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 18:22:48', NULL, NULL), (241766, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 18:22:50', NULL, NULL), (241767, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 18:22:51', NULL, NULL), (241768, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 18:22:53', NULL, NULL), (241769, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 18:22:54', NULL, NULL), (241770, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 18:22:55', NULL, NULL), (241771, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 18:22:57', NULL, NULL), (241772, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 18:22:58', NULL, NULL), (241773, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 18:23:00', NULL, NULL), (241774, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 18:23:02', NULL, NULL), (241775, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 18:23:03', NULL, NULL), (241776, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 18:23:05', NULL, NULL), (241777, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 18:23:06', NULL, NULL), (241778, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 18:23:08', NULL, NULL), (241779, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 18:23:09', NULL, NULL), (241780, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 18:23:11', NULL, NULL), (241781, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 18:23:12', NULL, NULL), (241782, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 18:23:13', NULL, NULL), (241783, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 18:23:13', NULL, NULL), (241784, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 18:23:15', NULL, NULL), (241785, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 18:23:15', NULL, NULL), (241786, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 18:23:16', NULL, NULL), (241787, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 18:23:17', NULL, NULL), (241788, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 18:23:18', NULL, NULL), (241789, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 18:23:19', NULL, NULL), (241790, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 18:23:20', NULL, NULL), (241791, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 18:23:21', NULL, NULL), (241792, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 18:23:22', NULL, NULL), (241793, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 18:23:22', NULL, NULL), (241794, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 18:23:23', NULL, NULL), (241795, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 18:23:24', NULL, NULL), (241796, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 18:23:25', NULL, NULL), (241797, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 18:23:26', NULL, NULL), (241798, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 18:23:27', NULL, NULL), (241799, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 18:23:28', NULL, NULL), (241800, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 18:23:29', NULL, NULL), (241801, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 18:23:30', NULL, NULL), (241802, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 18:23:31', NULL, NULL), (241803, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 18:23:32', NULL, NULL), (241804, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 18:23:33', NULL, NULL), (241805, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 18:23:34', NULL, NULL), (241806, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 18:23:36', NULL, NULL), (241807, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 18:23:38', NULL, NULL), (241808, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 18:23:42', NULL, NULL), (241809, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 18:23:46', NULL, NULL), (241810, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 18:23:50', NULL, NULL), (241811, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 18:23:53', NULL, NULL), (241812, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 18:23:54', NULL, NULL), (241813, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 18:23:55', NULL, NULL), (241814, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 18:23:56', NULL, NULL), (241815, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 18:23:57', NULL, NULL), (241816, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 18:23:58', NULL, NULL), (241817, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 18:23:59', NULL, NULL), (241818, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 18:23:59', NULL, NULL), (241819, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 18:24:00', NULL, NULL), (241820, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 18:24:01', NULL, NULL), (241821, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 18:24:02', NULL, NULL), (241822, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 18:24:03', NULL, NULL), (241823, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 18:24:04', NULL, NULL), (241824, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 18:24:05', NULL, NULL), (241825, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 18:24:06', NULL, NULL), (241826, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 18:24:07', NULL, NULL), (241827, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 18:24:07', NULL, NULL), (241828, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 18:24:08', NULL, NULL), (241829, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 18:24:09', NULL, NULL), (241830, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 18:24:10', NULL, NULL), (241831, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 18:24:11', NULL, NULL), (241832, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 18:24:12', NULL, NULL), (241833, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 18:24:13', NULL, NULL), (241834, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 18:24:14', NULL, NULL), (241835, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 18:24:15', NULL, NULL), (241836, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 18:24:16', NULL, NULL), (241837, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 18:24:17', NULL, NULL), (241838, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 18:24:19', NULL, NULL), (241839, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 18:24:22', NULL, NULL), (241840, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 18:24:25', NULL, NULL), (241841, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 18:24:29', NULL, NULL), (241842, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 18:24:32', NULL, NULL), (241843, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 18:24:33', NULL, NULL), (241844, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 18:24:33', NULL, NULL), (241845, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 18:24:34', NULL, NULL), (241846, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 18:24:35', NULL, NULL), (241847, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 18:24:36', NULL, NULL), (241848, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 18:24:37', NULL, NULL), (241849, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 18:24:37', NULL, NULL), (241850, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 18:24:38', NULL, NULL), (241851, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 18:24:39', NULL, NULL), (241852, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 18:24:40', NULL, NULL), (241853, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 18:24:41', NULL, NULL), (241854, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 18:24:41', NULL, NULL), (241855, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 18:24:42', NULL, NULL), (241856, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 18:24:43', NULL, NULL), (241857, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 18:24:44', NULL, NULL), (241858, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 18:24:45', NULL, NULL), (241859, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 18:24:46', NULL, NULL), (241860, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 18:24:47', NULL, NULL), (241861, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 18:24:48', NULL, NULL), (241862, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 18:24:48', NULL, NULL), (241863, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 18:24:49', NULL, NULL), (241864, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 18:24:50', NULL, NULL), (241865, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 18:24:51', NULL, NULL), (241866, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 18:24:52', NULL, NULL), (241867, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 18:24:53', NULL, NULL), (241868, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 18:24:54', NULL, NULL), (241869, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 18:24:55', NULL, NULL), (241870, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 18:24:56', NULL, NULL), (241871, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 18:24:58', NULL, NULL), (241872, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 18:25:01', NULL, NULL), (241873, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 18:25:04', NULL, NULL), (241874, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 18:25:08', NULL, NULL), (241875, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 18:25:09', NULL, NULL), (241876, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 18:25:10', NULL, NULL), (241877, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 18:25:11', NULL, NULL), (241878, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 18:25:12', NULL, NULL), (241879, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 18:25:13', NULL, NULL), (241880, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 18:25:13', NULL, NULL), (241881, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 18:25:14', NULL, NULL), (241882, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 18:25:15', NULL, NULL), (241883, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 18:25:16', NULL, NULL), (241884, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 18:25:17', NULL, NULL), (241885, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 18:25:17', NULL, NULL), (241886, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 18:25:18', NULL, NULL), (241887, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 18:25:19', NULL, NULL), (241888, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 18:25:20', NULL, NULL), (241889, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 18:25:21', NULL, NULL), (241890, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 18:25:22', NULL, NULL), (241891, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 18:25:23', NULL, NULL), (241892, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 18:25:23', NULL, NULL), (241893, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 18:25:24', NULL, NULL), (241894, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 18:25:25', NULL, NULL), (241895, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 18:25:26', NULL, NULL), (241896, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 18:25:27', NULL, NULL), (241897, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 18:25:28', NULL, NULL), (241898, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 18:25:29', NULL, NULL), (241899, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 18:25:30', NULL, NULL), (241900, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 18:25:31', NULL, NULL), (241901, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 18:25:32', NULL, NULL), (241902, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 18:25:33', NULL, NULL), (241903, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 18:25:35', NULL, NULL), (241904, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 18:25:36', NULL, NULL), (241905, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 18:25:37', NULL, NULL), (241906, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 18:25:39', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (241907, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 18:25:40', NULL, NULL), (241908, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 18:25:42', NULL, NULL), (241909, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 18:25:43', NULL, NULL), (241910, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 18:25:44', NULL, NULL), (241911, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 18:25:46', NULL, NULL), (241912, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 18:25:47', NULL, NULL), (241913, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 18:25:48', NULL, NULL), (241914, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 18:25:50', NULL, NULL), (241915, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 18:25:51', NULL, NULL), (241916, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 18:25:52', NULL, NULL), (241917, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 18:25:54', NULL, NULL), (241918, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 18:25:55', NULL, NULL), (241919, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 18:25:57', NULL, NULL), (241920, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 18:25:58', NULL, NULL), (241921, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 18:25:59', NULL, NULL), (241922, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 18:26:01', NULL, NULL), (241923, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 18:26:02', NULL, NULL), (241924, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 18:26:03', NULL, NULL), (241925, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 18:26:05', NULL, NULL), (241926, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 18:26:06', NULL, NULL), (241927, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 18:26:07', NULL, NULL), (241928, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 18:26:09', NULL, NULL), (241929, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 18:26:10', NULL, NULL), (241930, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 18:26:11', NULL, NULL), (241931, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 18:26:13', NULL, NULL), (241932, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 18:26:14', NULL, NULL), (241933, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 18:26:16', NULL, NULL), (241934, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 18:26:17', NULL, NULL), (241935, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 18:26:18', NULL, NULL), (241936, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 18:26:20', NULL, NULL), (241937, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 18:26:21', NULL, NULL), (241938, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 18:26:22', NULL, NULL), (241939, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 18:26:24', NULL, NULL), (241940, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 18:26:25', NULL, NULL), (241941, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 18:26:26', NULL, NULL), (241942, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 18:26:27', NULL, NULL), (241943, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 18:26:28', NULL, NULL), (241944, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 18:26:29', NULL, NULL), (241945, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 18:26:29', NULL, NULL), (241946, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 18:26:30', NULL, NULL), (241947, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 18:26:31', NULL, NULL), (241948, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 18:26:32', NULL, NULL), (241949, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 18:26:32', NULL, NULL), (241950, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 18:26:33', NULL, NULL), (241951, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 18:26:34', NULL, NULL), (241952, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 18:26:35', NULL, NULL), (241953, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 18:26:36', NULL, NULL), (241954, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 18:26:37', NULL, NULL), (241955, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 18:26:37', NULL, NULL), (241956, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 18:26:38', NULL, NULL), (241957, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 18:26:39', NULL, NULL), (241958, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 18:26:40', NULL, NULL), (241959, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 18:26:41', NULL, NULL), (241960, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 18:26:41', NULL, NULL), (241961, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 18:26:42', NULL, NULL), (241962, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 18:26:43', NULL, NULL), (241963, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 18:26:44', NULL, NULL), (241964, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 18:26:45', NULL, NULL), (241965, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 18:26:46', NULL, NULL), (241966, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 18:26:47', NULL, NULL), (241967, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 18:26:48', NULL, NULL), (241968, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 18:26:49', NULL, NULL), (241969, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 18:26:50', NULL, NULL), (241970, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 18:26:51', NULL, NULL), (241971, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 18:26:52', NULL, NULL), (241972, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 18:26:54', NULL, NULL), (241973, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 18:26:55', NULL, NULL), (241974, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 18:26:57', NULL, NULL), (241975, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 18:26:58', NULL, NULL), (241976, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 18:26:59', NULL, NULL), (241977, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 18:27:01', NULL, NULL), (241978, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 18:27:02', NULL, NULL), (241979, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 18:27:03', NULL, NULL), (241980, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 18:27:05', NULL, NULL), (241981, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 18:27:06', NULL, NULL), (241982, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 18:27:07', NULL, NULL), (241983, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 18:27:09', NULL, NULL), (241984, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 18:27:10', NULL, NULL), (241985, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 18:27:11', NULL, NULL), (241986, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 18:27:13', NULL, NULL), (241987, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 18:27:14', NULL, NULL), (241988, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 18:27:15', NULL, NULL), (241989, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 18:27:17', NULL, NULL), (241990, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 18:27:18', NULL, NULL), (241991, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 18:27:20', NULL, NULL), (241992, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 18:27:21', NULL, NULL), (241993, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 18:27:22', NULL, NULL), (241994, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 18:27:24', NULL, NULL), (241995, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 18:27:25', NULL, NULL), (241996, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 18:27:26', NULL, NULL), (241997, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 18:27:28', NULL, NULL), (241998, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 18:27:29', NULL, NULL), (241999, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 18:27:30', NULL, NULL), (242000, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 18:27:31', NULL, NULL), (242001, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 18:27:32', NULL, NULL), (242002, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 18:27:33', NULL, NULL), (242003, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 18:27:34', NULL, NULL), (242004, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 18:27:34', NULL, NULL), (242005, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 18:27:35', NULL, NULL), (242006, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 18:27:36', NULL, NULL), (242007, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 18:27:37', NULL, NULL), (242008, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 18:27:37', NULL, NULL), (242009, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 18:27:38', NULL, NULL), (242010, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 18:27:39', NULL, NULL), (242011, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 18:27:40', NULL, NULL), (242012, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 18:27:41', NULL, NULL), (242013, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 18:27:41', NULL, NULL), (242014, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 18:27:42', NULL, NULL), (242015, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 18:27:43', NULL, NULL), (242016, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 18:27:44', NULL, NULL), (242017, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 18:27:45', NULL, NULL), (242018, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 18:27:45', NULL, NULL), (242019, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 18:27:46', NULL, NULL), (242020, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 18:27:47', NULL, NULL), (242021, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 18:27:48', NULL, NULL), (242022, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 18:27:49', NULL, NULL), (242023, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 18:27:50', NULL, NULL), (242024, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 18:27:51', NULL, NULL), (242025, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 18:27:51', NULL, NULL), (242026, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 18:27:52', NULL, NULL), (242027, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 18:27:53', NULL, NULL), (242028, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 18:27:55', NULL, NULL), (242029, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 18:27:56', NULL, NULL), (242030, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 18:27:57', NULL, NULL), (242031, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 18:27:59', NULL, NULL), (242032, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 18:28:00', NULL, NULL), (242033, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 18:28:01', NULL, NULL), (242034, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 18:28:03', NULL, NULL), (242035, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 18:28:04', NULL, NULL), (242036, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 18:28:05', NULL, NULL), (242037, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 18:28:07', NULL, NULL), (242038, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 18:28:08', NULL, NULL), (242039, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 18:28:09', NULL, NULL), (242040, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 18:28:11', NULL, NULL), (242041, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 18:28:12', NULL, NULL), (242042, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 18:28:13', NULL, NULL), (242043, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 18:28:15', NULL, NULL), (242044, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 18:28:16', NULL, NULL), (242045, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 18:28:18', NULL, NULL), (242046, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 18:28:19', NULL, NULL), (242047, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 18:28:20', NULL, NULL), (242048, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 18:28:22', NULL, NULL), (242049, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 18:28:23', NULL, NULL), (242050, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 18:28:24', NULL, NULL), (242051, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 18:28:26', NULL, NULL), (242052, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 18:28:27', NULL, NULL), (242053, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 18:28:28', NULL, NULL), (242054, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 18:28:30', NULL, NULL), (242055, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 18:28:31', NULL, NULL), (242056, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 18:28:32', NULL, NULL), (242057, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 18:28:34', NULL, NULL), (242058, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 18:28:35', NULL, NULL), (242059, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 18:28:37', NULL, NULL), (242060, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 18:28:38', NULL, NULL), (242061, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 18:28:39', NULL, NULL), (242062, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 18:28:41', NULL, NULL), (242063, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 18:28:42', NULL, NULL), (242064, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 18:28:44', NULL, NULL), (242065, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 18:28:45', NULL, NULL), (242066, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 18:28:46', NULL, NULL), (242067, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 18:28:48', NULL, NULL), (242068, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 18:28:49', NULL, NULL), (242069, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 18:28:50', NULL, NULL), (242070, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 18:28:52', NULL, NULL), (242071, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 18:28:53', NULL, NULL), (242072, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 18:28:55', NULL, NULL), (242073, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 18:28:56', NULL, NULL), (242074, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 18:28:57', NULL, NULL), (242075, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 18:28:59', NULL, NULL), (242076, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 18:29:00', NULL, NULL), (242077, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 18:29:02', NULL, NULL), (242078, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 18:29:03', NULL, NULL), (242079, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 18:29:05', NULL, NULL), (242080, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 18:29:06', NULL, NULL), (242081, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 18:29:07', NULL, NULL), (242082, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 18:29:09', NULL, NULL), (242083, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 18:29:10', NULL, NULL), (242084, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 18:29:12', NULL, NULL), (242085, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 18:29:13', NULL, NULL), (242086, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 18:29:14', NULL, NULL), (242087, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 18:29:16', NULL, NULL), (242088, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 18:29:17', NULL, NULL), (242089, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 18:29:19', NULL, NULL), (242090, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 18:29:20', NULL, NULL), (242091, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 18:29:21', NULL, NULL), (242092, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 18:29:23', NULL, NULL), (242093, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 18:29:24', NULL, NULL), (242094, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 18:29:25', NULL, NULL), (242095, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 18:29:27', NULL, NULL), (242096, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 18:29:28', NULL, NULL), (242097, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 18:29:30', NULL, NULL), (242098, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 18:29:31', NULL, NULL), (242099, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 18:29:32', NULL, NULL), (242100, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 18:29:34', NULL, NULL), (242101, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 18:29:35', NULL, NULL), (242102, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 18:29:37', NULL, NULL), (242103, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 18:29:38', NULL, NULL), (242104, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 18:29:39', NULL, NULL), (242105, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 18:29:41', NULL, NULL), (242106, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 18:29:42', NULL, NULL), (242107, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 18:29:43', NULL, NULL), (242108, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 18:29:43', NULL, NULL), (242109, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 18:29:44', NULL, NULL), (242110, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 18:29:45', NULL, NULL), (242111, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 18:29:46', NULL, NULL), (242112, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 18:29:47', NULL, NULL), (242113, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 18:29:47', NULL, NULL), (242114, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 18:29:48', NULL, NULL), (242115, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 18:29:49', NULL, NULL), (242116, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 18:29:50', NULL, NULL), (242117, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 18:29:51', NULL, NULL), (242118, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 18:29:52', NULL, NULL), (242119, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 18:29:53', NULL, NULL), (242120, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 18:29:54', NULL, NULL), (242121, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 18:29:55', NULL, NULL), (242122, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 18:29:55', NULL, NULL), (242123, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 18:29:56', NULL, NULL), (242124, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 18:29:57', NULL, NULL), (242125, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 18:29:58', NULL, NULL), (242126, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 18:29:59', NULL, NULL), (242127, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 18:30:00', NULL, NULL), (242128, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 18:30:01', NULL, NULL), (242129, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 18:30:02', NULL, NULL), (242130, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 18:30:03', NULL, NULL), (242131, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 18:30:05', NULL, NULL), (242132, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 18:30:06', NULL, NULL), (242133, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 18:30:07', NULL, NULL), (242134, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 18:30:11', NULL, NULL), (242135, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 18:30:14', NULL, NULL), (242136, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 18:30:18', NULL, NULL), (242137, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 18:30:21', NULL, NULL), (242138, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 18:30:24', NULL, NULL), (242139, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 18:30:25', NULL, NULL), (242140, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 18:30:25', NULL, NULL), (242141, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 18:30:26', NULL, NULL), (242142, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 18:30:27', NULL, NULL), (242143, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 18:30:28', NULL, NULL), (242144, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 18:30:29', NULL, NULL), (242145, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 18:30:29', NULL, NULL), (242146, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 18:30:30', NULL, NULL), (242147, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 18:30:31', NULL, NULL), (242148, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 18:30:32', NULL, NULL), (242149, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 18:30:33', NULL, NULL), (242150, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 18:30:34', NULL, NULL), (242151, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 18:30:34', NULL, NULL), (242152, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 18:30:35', NULL, NULL), (242153, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 18:30:36', NULL, NULL), (242154, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 18:30:37', NULL, NULL), (242155, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 18:30:38', NULL, NULL), (242156, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 18:30:39', NULL, NULL), (242157, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 18:30:40', NULL, NULL), (242158, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 18:30:41', NULL, NULL), (242159, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 18:30:41', NULL, NULL), (242160, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 18:30:42', NULL, NULL), (242161, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 18:30:43', NULL, NULL), (242162, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 18:30:44', NULL, NULL), (242163, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 18:30:45', NULL, NULL), (242164, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 18:30:46', NULL, NULL), (242165, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 18:30:48', NULL, NULL), (242166, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 18:30:49', NULL, NULL), (242167, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 18:30:50', NULL, NULL), (242168, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 18:30:52', NULL, NULL), (242169, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 18:30:53', NULL, NULL), (242170, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 18:30:54', NULL, NULL), (242171, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 18:30:56', NULL, NULL), (242172, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 18:30:57', NULL, NULL), (242173, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 18:30:58', NULL, NULL), (242174, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 18:31:00', NULL, NULL), (242175, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 18:31:01', NULL, NULL), (242176, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 18:31:03', NULL, NULL), (242177, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 18:31:04', NULL, NULL), (242178, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 18:31:05', NULL, NULL), (242179, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 18:31:07', NULL, NULL), (242180, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 18:31:08', NULL, NULL), (242181, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 18:31:09', NULL, NULL), (242182, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 18:31:11', NULL, NULL), (242183, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 18:31:12', NULL, NULL), (242184, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 18:31:14', NULL, NULL), (242185, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 18:31:15', NULL, NULL), (242186, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 18:31:16', NULL, NULL), (242187, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 18:31:18', NULL, NULL), (242188, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 18:31:19', NULL, NULL), (242189, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 18:31:20', NULL, NULL), (242190, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 18:31:22', NULL, NULL), (242191, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 18:31:23', NULL, NULL), (242192, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 18:31:24', NULL, NULL), (242193, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 18:31:26', NULL, NULL), (242194, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 18:31:27', NULL, NULL), (242195, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 18:31:29', NULL, NULL), (242196, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 18:31:30', NULL, NULL), (242197, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 18:31:31', NULL, NULL), (242198, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 18:31:33', NULL, NULL), (242199, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 18:31:34', NULL, NULL), (242200, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 18:31:35', NULL, NULL), (242201, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 18:31:35', NULL, NULL), (242202, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 18:31:36', NULL, NULL), (242203, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 18:31:37', NULL, NULL), (242204, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 18:31:38', NULL, NULL), (242205, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 18:31:38', NULL, NULL), (242206, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 18:31:39', NULL, NULL), (242207, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 18:31:40', NULL, NULL), (242208, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 18:31:41', NULL, NULL), (242209, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 18:31:41', NULL, NULL), (242210, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 18:31:42', NULL, NULL), (242211, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 18:31:43', NULL, NULL), (242212, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 18:31:44', NULL, NULL), (242213, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 18:31:45', NULL, NULL), (242214, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 18:31:45', NULL, NULL), (242215, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 18:31:46', NULL, NULL), (242216, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 18:31:47', NULL, NULL), (242217, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 18:31:48', NULL, NULL), (242218, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 18:31:49', NULL, NULL), (242219, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 18:31:50', NULL, NULL), (242220, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 18:31:51', NULL, NULL), (242221, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 18:31:51', NULL, NULL), (242222, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 18:31:52', NULL, NULL), (242223, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 18:31:53', NULL, NULL), (242224, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 18:31:54', NULL, NULL), (242225, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 18:31:55', NULL, NULL), (242226, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 18:31:56', NULL, NULL), (242227, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 18:31:57', NULL, NULL), (242228, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 18:31:59', NULL, NULL), (242229, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 18:32:00', NULL, NULL), (242230, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 18:32:01', NULL, NULL), (242231, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 18:32:03', NULL, NULL), (242232, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 18:32:04', NULL, NULL), (242233, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 18:32:05', NULL, NULL), (242234, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 18:32:07', NULL, NULL), (242235, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 18:32:08', NULL, NULL), (242236, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 18:32:09', NULL, NULL), (242237, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 18:32:11', NULL, NULL), (242238, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 18:32:12', NULL, NULL), (242239, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 18:32:14', NULL, NULL), (242240, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 18:32:15', NULL, NULL), (242241, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 18:32:16', NULL, NULL), (242242, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 18:32:18', NULL, NULL), (242243, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 18:32:19', NULL, NULL), (242244, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 18:32:20', NULL, NULL), (242245, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 18:32:22', NULL, NULL), (242246, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 18:32:23', NULL, NULL), (242247, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 18:32:24', NULL, NULL), (242248, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 18:32:26', NULL, NULL), (242249, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 18:32:27', NULL, NULL), (242250, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 18:32:29', NULL, NULL), (242251, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 18:32:30', NULL, NULL), (242252, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 18:32:31', NULL, NULL), (242253, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 18:32:33', NULL, NULL), (242254, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 18:32:34', NULL, NULL), (242255, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 18:32:35', NULL, NULL), (242256, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 18:32:37', NULL, NULL), (242257, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 18:32:37', NULL, NULL), (242258, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 18:32:38', NULL, NULL), (242259, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 18:32:39', NULL, NULL), (242260, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 18:32:40', NULL, NULL), (242261, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 18:32:40', NULL, NULL), (242262, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 18:32:41', NULL, NULL), (242263, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 18:32:42', NULL, NULL), (242264, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 18:32:43', NULL, NULL), (242265, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 18:32:44', NULL, NULL), (242266, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 18:32:44', NULL, NULL), (242267, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 18:32:45', NULL, NULL), (242268, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 18:32:46', NULL, NULL), (242269, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 18:32:47', NULL, NULL), (242270, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 18:32:48', NULL, NULL), (242271, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 18:32:48', NULL, NULL), (242272, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 18:32:49', NULL, NULL), (242273, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 18:32:50', NULL, NULL), (242274, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 18:32:51', NULL, NULL), (242275, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 18:32:52', NULL, NULL), (242276, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 18:32:53', NULL, NULL), (242277, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 18:32:53', NULL, NULL), (242278, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 18:32:54', NULL, NULL), (242279, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 18:32:55', NULL, NULL), (242280, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 18:32:56', NULL, NULL), (242281, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 18:32:57', NULL, NULL), (242282, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 18:32:58', NULL, NULL), (242283, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 18:32:59', NULL, NULL), (242284, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 18:33:00', NULL, NULL), (242285, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 18:33:01', NULL, NULL), (242286, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 18:33:03', NULL, NULL), (242287, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 18:33:04', NULL, NULL), (242288, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 18:33:06', 1, '2024-08-05 22:12:18'), (242289, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 18:33:07', 1, '2024-08-06 02:01:18'), (242290, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 18:33:08', 1, '2024-08-07 01:00:18'), (242291, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 18:33:10', 1, '2024-08-08 01:00:18'), (242292, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 18:33:11', 1, '2024-08-09 01:00:18'), (242293, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 18:34:10', NULL, NULL), (242294, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 18:34:11', NULL, NULL), (242295, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 18:34:12', NULL, NULL), (242296, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 18:34:13', NULL, NULL), (242297, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 18:34:13', NULL, NULL), (242298, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 18:34:15', NULL, NULL), (242299, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 18:34:16', NULL, NULL), (242300, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 18:34:17', NULL, NULL), (242301, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 18:34:17', NULL, NULL), (242302, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 18:34:18', NULL, NULL), (242303, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 18:34:19', NULL, NULL), (242304, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 18:34:20', NULL, NULL), (242305, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 18:34:21', NULL, NULL), (242306, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 18:34:21', NULL, NULL), (242307, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 18:34:22', NULL, NULL), (242308, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 18:34:23', NULL, NULL), (242309, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 18:34:24', NULL, NULL), (242310, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 18:34:25', NULL, NULL), (242311, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 18:34:26', NULL, NULL), (242312, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 18:34:26', NULL, NULL), (242313, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 18:34:27', NULL, NULL), (242314, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 18:34:28', NULL, NULL), (242315, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 18:34:30', NULL, NULL), (242316, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 18:34:31', NULL, NULL), (242317, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 18:34:32', NULL, NULL), (242318, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 18:34:34', NULL, NULL), (242319, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 18:34:35', NULL, NULL), (242320, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 18:34:37', NULL, NULL), (242321, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 18:34:38', NULL, NULL), (242322, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 18:34:39', NULL, NULL), (242323, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 18:34:41', NULL, NULL), (242324, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 18:34:42', NULL, NULL), (242325, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 18:34:43', NULL, NULL), (242326, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 18:34:45', NULL, NULL), (242327, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 18:34:46', NULL, NULL), (242328, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 18:34:47', NULL, NULL), (242329, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 18:34:49', NULL, NULL), (242330, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 18:34:50', NULL, NULL), (242331, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 18:34:51', NULL, NULL), (242332, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 18:34:53', NULL, NULL), (242333, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 18:34:54', NULL, NULL), (242334, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 18:34:55', NULL, NULL), (242335, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 18:34:57', NULL, NULL), (242336, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 18:34:58', NULL, NULL), (242337, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 18:35:00', NULL, NULL), (242338, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 18:35:01', NULL, NULL), (242339, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 18:35:02', NULL, NULL), (242340, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 18:35:04', NULL, NULL), (242341, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 18:35:05', NULL, NULL), (242342, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 18:35:06', NULL, NULL), (242343, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 18:35:06', NULL, NULL), (242344, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 18:35:07', NULL, NULL), (242345, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 18:35:08', NULL, NULL), (242346, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 18:35:09', NULL, NULL), (242347, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 18:35:09', NULL, NULL), (242348, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 18:35:10', NULL, NULL), (242349, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 18:35:11', NULL, NULL), (242350, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 18:35:12', NULL, NULL), (242351, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 18:35:12', NULL, NULL), (242352, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 18:35:13', NULL, NULL), (242353, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 18:35:14', NULL, NULL), (242354, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 18:35:15', NULL, NULL), (242355, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 18:35:16', NULL, NULL), (242356, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 18:35:16', NULL, NULL), (242357, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 18:35:17', NULL, NULL), (242358, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 18:35:18', NULL, NULL), (242359, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 18:35:19', NULL, NULL), (242360, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 18:35:20', NULL, NULL), (242361, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 18:35:20', NULL, NULL), (242362, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 18:35:21', NULL, NULL), (242363, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 18:35:22', NULL, NULL), (242364, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 18:35:23', NULL, NULL), (242365, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 18:35:24', NULL, NULL), (242366, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 18:35:25', NULL, NULL), (242367, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 18:35:26', NULL, NULL), (242368, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 18:35:27', NULL, NULL), (242369, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 18:35:28', NULL, NULL), (242370, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 18:35:29', NULL, NULL), (242371, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 18:35:30', NULL, NULL), (242372, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 18:35:32', NULL, NULL), (242373, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 18:35:33', NULL, NULL), (242374, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 18:35:35', NULL, NULL), (242375, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 18:35:36', NULL, NULL), (242376, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 18:35:37', NULL, NULL), (242377, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 18:35:39', NULL, NULL), (242378, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 18:35:40', NULL, NULL), (242379, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 18:35:41', NULL, NULL), (242380, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 18:35:43', NULL, NULL), (242381, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 18:35:44', NULL, NULL), (242382, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 18:35:45', NULL, NULL), (242383, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 18:35:47', NULL, NULL), (242384, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 18:35:48', NULL, NULL), (242385, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 18:35:50', NULL, NULL), (242386, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 18:35:51', NULL, NULL), (242387, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 18:35:52', NULL, NULL), (242388, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 18:35:54', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (242389, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 18:35:55', NULL, NULL), (242390, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 18:35:56', NULL, NULL), (242391, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 18:35:58', NULL, NULL), (242392, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 18:35:59', NULL, NULL), (242393, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 18:36:00', NULL, NULL), (242394, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 18:36:02', NULL, NULL), (242395, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 18:36:03', NULL, NULL), (242396, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 18:36:04', NULL, NULL), (242397, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 18:36:06', NULL, NULL), (242398, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 18:36:07', NULL, NULL), (242399, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 18:36:08', NULL, NULL), (242400, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 18:36:09', NULL, NULL), (242401, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 18:36:10', NULL, NULL), (242402, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 18:36:10', NULL, NULL), (242403, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 18:36:11', NULL, NULL), (242404, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 18:36:12', NULL, NULL), (242405, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 18:36:13', NULL, NULL), (242406, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 18:36:13', NULL, NULL), (242407, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 18:36:14', NULL, NULL), (242408, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 18:36:15', NULL, NULL), (242409, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 18:36:16', NULL, NULL), (242410, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 18:36:17', NULL, NULL), (242411, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 18:36:17', NULL, NULL), (242412, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 18:36:18', NULL, NULL), (242413, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 18:36:19', NULL, NULL), (242414, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 18:36:20', NULL, NULL), (242415, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 18:36:21', NULL, NULL), (242416, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 18:36:21', NULL, NULL), (242417, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 18:36:22', NULL, NULL), (242418, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 18:36:23', NULL, NULL), (242419, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 18:36:24', NULL, NULL), (242420, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 18:36:25', NULL, NULL), (242421, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 18:36:26', NULL, NULL), (242422, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 18:36:26', NULL, NULL), (242423, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 18:36:27', NULL, NULL), (242424, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 18:36:28', NULL, NULL), (242425, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 18:36:29', NULL, NULL), (242426, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 18:36:30', NULL, NULL), (242427, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 18:36:31', NULL, NULL), (242428, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 18:36:33', NULL, NULL), (242429, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 18:36:34', NULL, NULL), (242430, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 18:36:35', NULL, NULL), (242431, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 18:36:37', NULL, NULL), (242432, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 18:36:38', NULL, NULL), (242433, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 18:36:39', NULL, NULL), (242434, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 18:36:41', NULL, NULL), (242435, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 18:36:42', NULL, NULL), (242436, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 18:36:44', NULL, NULL), (242437, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 18:36:45', NULL, NULL), (242438, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 18:36:46', NULL, NULL), (242439, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 18:36:48', NULL, NULL), (242440, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 18:36:49', NULL, NULL), (242441, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 18:36:50', NULL, NULL), (242442, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 18:36:52', NULL, NULL), (242443, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 18:36:53', NULL, NULL), (242444, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 18:36:54', NULL, NULL), (242445, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 18:36:56', NULL, NULL), (242446, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 18:36:57', NULL, NULL), (242447, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 18:36:58', NULL, NULL), (242448, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 18:37:00', NULL, NULL), (242449, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 18:37:01', NULL, NULL), (242450, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 18:37:02', NULL, NULL), (242451, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 18:37:02', NULL, NULL), (242452, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 18:37:03', NULL, NULL), (242453, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 18:37:04', NULL, NULL), (242454, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 18:37:05', NULL, NULL), (242455, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 18:37:06', NULL, NULL), (242456, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 18:37:06', NULL, NULL), (242457, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 18:37:07', NULL, NULL), (242458, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 18:37:08', NULL, NULL), (242459, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 18:37:09', NULL, NULL), (242460, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 18:37:09', NULL, NULL), (242461, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 18:37:10', NULL, NULL), (242462, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 18:37:11', NULL, NULL), (242463, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 18:37:12', NULL, NULL), (242464, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 18:37:13', NULL, NULL), (242465, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 18:37:14', NULL, NULL), (242466, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 18:37:14', NULL, NULL), (242467, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 18:37:15', NULL, NULL), (242468, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 18:37:16', NULL, NULL), (242469, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 18:37:17', NULL, NULL), (242470, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 18:37:18', NULL, NULL), (242471, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 18:37:19', NULL, NULL), (242472, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 18:37:20', NULL, NULL), (242473, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 18:37:20', NULL, NULL), (242474, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 18:37:21', NULL, NULL), (242475, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 18:37:22', NULL, NULL), (242476, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 18:37:23', NULL, NULL), (242477, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 18:37:24', NULL, NULL), (242478, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 18:37:25', NULL, NULL), (242479, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 18:37:26', NULL, NULL), (242480, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 18:37:27', NULL, NULL), (242481, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 18:37:29', NULL, NULL), (242482, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 18:37:30', NULL, NULL), (242483, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 18:37:32', NULL, NULL), (242484, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 18:37:33', NULL, NULL), (242485, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 18:37:34', NULL, NULL), (242486, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 18:37:36', NULL, NULL), (242487, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 18:37:37', NULL, NULL), (242488, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 18:37:38', NULL, NULL), (242489, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 18:37:40', NULL, NULL), (242490, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 18:37:41', NULL, NULL), (242491, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 18:37:42', NULL, NULL), (242492, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 18:37:44', NULL, NULL), (242493, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 18:37:45', NULL, NULL), (242494, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 18:37:46', NULL, NULL), (242495, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 18:37:48', NULL, NULL), (242496, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 18:37:49', NULL, NULL), (242497, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 18:37:51', NULL, NULL), (242498, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 18:37:52', NULL, NULL), (242499, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 18:37:53', NULL, NULL), (242500, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 18:37:55', NULL, NULL), (242501, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 18:37:56', NULL, NULL), (242502, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 18:37:57', NULL, NULL), (242503, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 18:37:59', NULL, NULL), (242504, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 18:38:00', NULL, NULL), (242505, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 18:38:01', NULL, NULL), (242506, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 18:38:03', NULL, NULL), (242507, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 18:38:04', NULL, NULL), (242508, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 18:38:05', NULL, NULL), (242509, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 18:38:06', NULL, NULL), (242510, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 18:38:07', NULL, NULL), (242511, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 18:38:08', NULL, NULL), (242512, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 18:38:09', NULL, NULL), (242513, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 18:38:09', NULL, NULL), (242514, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 18:38:10', NULL, NULL), (242515, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 18:38:11', NULL, NULL), (242516, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 18:38:12', NULL, NULL), (242517, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 18:38:12', NULL, NULL), (242518, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 18:38:13', NULL, NULL), (242519, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 18:38:14', NULL, NULL), (242520, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 18:38:15', NULL, NULL), (242521, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 18:38:16', NULL, NULL), (242522, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 18:38:16', NULL, NULL), (242523, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 18:38:17', NULL, NULL), (242524, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 18:38:18', NULL, NULL), (242525, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 18:38:19', NULL, NULL), (242526, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 18:38:20', NULL, NULL), (242527, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 18:38:20', NULL, NULL), (242528, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 18:38:21', NULL, NULL), (242529, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 18:38:22', NULL, NULL), (242530, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 18:38:23', NULL, NULL), (242531, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 18:38:24', NULL, NULL), (242532, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 18:38:25', NULL, NULL), (242533, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 18:38:25', NULL, NULL), (242534, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 18:38:26', NULL, NULL), (242535, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 18:38:27', NULL, NULL), (242536, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 18:38:28', NULL, NULL), (242537, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 18:38:29', NULL, NULL), (242538, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 18:38:31', NULL, NULL), (242539, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 18:38:33', NULL, NULL), (242540, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 18:38:36', NULL, NULL), (242541, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 18:38:40', NULL, NULL), (242542, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 18:38:43', NULL, NULL), (242543, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 18:38:44', NULL, NULL), (242544, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 18:38:45', NULL, NULL), (242545, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 18:38:45', NULL, NULL), (242546, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 18:38:46', NULL, NULL), (242547, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 18:38:47', NULL, NULL), (242548, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 18:38:48', NULL, NULL), (242549, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 18:38:49', NULL, NULL), (242550, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 18:38:50', NULL, NULL), (242551, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 18:38:51', NULL, NULL), (242552, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 18:38:52', NULL, NULL), (242553, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 18:38:52', NULL, NULL), (242554, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 18:38:53', NULL, NULL), (242555, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 18:38:54', NULL, NULL), (242556, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 18:38:55', NULL, NULL), (242557, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 18:38:56', NULL, NULL), (242558, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 18:38:57', NULL, NULL), (242559, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 18:38:58', NULL, NULL), (242560, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 18:38:59', NULL, NULL), (242561, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 18:39:00', NULL, NULL), (242562, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 18:39:01', NULL, NULL), (242563, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 18:39:02', NULL, NULL), (242564, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 18:39:03', NULL, NULL), (242565, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 18:39:04', NULL, NULL), (242566, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 18:39:05', NULL, NULL), (242567, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 18:39:06', NULL, NULL), (242568, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 18:39:08', NULL, NULL), (242569, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 18:39:09', NULL, NULL), (242570, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 18:39:13', NULL, NULL), (242571, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 18:39:16', NULL, NULL), (242572, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 18:39:20', NULL, NULL), (242573, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 18:39:23', NULL, NULL), (242574, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 18:39:25', NULL, NULL), (242575, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 18:39:25', NULL, NULL), (242576, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 18:39:26', NULL, NULL), (242577, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 18:39:27', NULL, NULL), (242578, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 18:39:28', NULL, NULL), (242579, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 18:39:28', NULL, NULL), (242580, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 18:39:29', NULL, NULL), (242581, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 18:39:30', NULL, NULL), (242582, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 18:39:31', NULL, NULL), (242583, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 18:39:32', NULL, NULL), (242584, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 18:39:32', NULL, NULL), (242585, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 18:39:33', NULL, NULL), (242586, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 18:39:34', NULL, NULL), (242587, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 18:39:35', NULL, NULL), (242588, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 18:39:36', NULL, NULL), (242589, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 18:39:37', NULL, NULL), (242590, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 18:39:37', NULL, NULL), (242591, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 18:39:38', NULL, NULL), (242592, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 18:39:39', NULL, NULL), (242593, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 18:39:40', NULL, NULL), (242594, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 18:39:41', NULL, NULL), (242595, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 18:39:42', NULL, NULL), (242596, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 18:39:43', NULL, NULL), (242597, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 18:39:43', NULL, NULL), (242598, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 18:39:44', NULL, NULL), (242599, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 18:39:45', NULL, NULL), (242600, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 18:39:46', NULL, NULL), (242601, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 18:39:47', NULL, NULL), (242602, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 18:39:49', NULL, NULL), (242603, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 18:39:50', NULL, NULL), (242604, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 18:39:52', NULL, NULL), (242605, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 18:39:56', NULL, NULL), (242606, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 18:39:59', NULL, NULL), (242607, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 18:40:02', NULL, NULL), (242608, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 18:40:03', NULL, NULL), (242609, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 18:40:04', NULL, NULL), (242610, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 18:40:04', NULL, NULL), (242611, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 18:40:05', NULL, NULL), (242612, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 18:40:06', NULL, NULL), (242613, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 18:40:07', NULL, NULL), (242614, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 18:40:08', NULL, NULL), (242615, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 18:40:08', NULL, NULL), (242616, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 18:40:09', NULL, NULL), (242617, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 18:40:10', NULL, NULL), (242618, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 18:40:11', NULL, NULL), (242619, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 18:40:12', NULL, NULL), (242620, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 18:40:12', NULL, NULL), (242621, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 18:40:13', NULL, NULL), (242622, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 18:40:14', NULL, NULL), (242623, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 18:40:15', NULL, NULL), (242624, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 18:40:16', NULL, NULL), (242625, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 18:40:17', NULL, NULL), (242626, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 18:40:18', NULL, NULL), (242627, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 18:40:18', NULL, NULL), (242628, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 18:40:19', NULL, NULL), (242629, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 18:40:20', NULL, NULL), (242630, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 18:40:21', NULL, NULL), (242631, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 18:40:22', NULL, NULL), (242632, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 18:40:23', NULL, NULL), (242633, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 18:40:24', NULL, NULL), (242634, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 18:40:25', NULL, NULL), (242635, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 18:40:26', NULL, NULL), (242636, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 18:40:28', NULL, NULL), (242637, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 18:40:29', NULL, NULL), (242638, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 18:40:31', NULL, NULL), (242639, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 18:40:34', NULL, NULL), (242640, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 18:40:38', NULL, NULL), (242641, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 18:40:41', NULL, NULL), (242642, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 18:40:42', NULL, NULL), (242643, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 18:40:43', NULL, NULL), (242644, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 18:40:43', NULL, NULL), (242645, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 18:40:44', NULL, NULL), (242646, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 18:40:45', NULL, NULL), (242647, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 18:40:46', NULL, NULL), (242648, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 18:40:46', NULL, NULL), (242649, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 18:40:47', NULL, NULL), (242650, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 18:40:48', NULL, NULL), (242651, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 18:40:49', NULL, NULL), (242652, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 18:40:50', NULL, NULL), (242653, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 18:40:51', NULL, NULL), (242654, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 18:40:51', NULL, NULL), (242655, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 18:40:52', NULL, NULL), (242656, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 18:40:53', NULL, NULL), (242657, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 18:40:54', NULL, NULL), (242658, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 18:40:55', NULL, NULL), (242659, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 18:40:56', NULL, NULL), (242660, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 18:40:57', NULL, NULL), (242661, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 18:40:57', NULL, NULL), (242662, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 18:40:58', NULL, NULL), (242663, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 18:40:59', NULL, NULL), (242664, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 18:41:00', NULL, NULL), (242665, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 18:41:01', NULL, NULL), (242666, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 18:41:02', NULL, NULL), (242667, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 18:41:03', NULL, NULL), (242668, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 18:41:04', NULL, NULL), (242669, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 18:41:05', NULL, NULL), (242670, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 18:41:07', NULL, NULL), (242671, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 18:41:09', NULL, NULL), (242672, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 18:41:13', NULL, NULL), (242673, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 18:41:16', NULL, NULL), (242674, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 18:41:19', NULL, NULL), (242675, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 18:41:20', NULL, NULL), (242676, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 18:41:21', NULL, NULL), (242677, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 18:41:22', NULL, NULL), (242678, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 18:41:22', NULL, NULL), (242679, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 18:41:23', NULL, NULL), (242680, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 18:41:24', NULL, NULL), (242681, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 18:41:25', NULL, NULL), (242682, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 18:41:26', NULL, NULL), (242683, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 18:41:26', NULL, NULL), (242684, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 18:41:27', NULL, NULL), (242685, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 18:41:28', NULL, NULL), (242686, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 18:41:29', NULL, NULL), (242687, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 18:41:30', NULL, NULL), (242688, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 18:41:31', NULL, NULL), (242689, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 18:41:31', NULL, NULL), (242690, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 18:41:32', NULL, NULL), (242691, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 18:41:33', NULL, NULL), (242692, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 18:41:34', NULL, NULL), (242693, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 18:41:35', NULL, NULL), (242694, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 18:41:36', NULL, NULL), (242695, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 18:41:37', NULL, NULL), (242696, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 18:41:37', NULL, NULL), (242697, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 18:41:38', NULL, NULL), (242698, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 18:41:39', NULL, NULL), (242699, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 18:41:40', NULL, NULL), (242700, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 18:41:41', NULL, NULL), (242701, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 18:41:42', NULL, NULL), (242702, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 18:41:43', NULL, NULL), (242703, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 18:41:45', NULL, NULL), (242704, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 18:41:46', NULL, NULL), (242705, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 18:41:48', NULL, NULL), (242706, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 18:41:49', NULL, NULL), (242707, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 18:41:50', NULL, NULL), (242708, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 18:41:52', NULL, NULL), (242709, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 18:41:53', NULL, NULL), (242710, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 18:41:54', NULL, NULL), (242711, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 18:41:56', NULL, NULL), (242712, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 18:41:57', NULL, NULL), (242713, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 18:41:58', NULL, NULL), (242714, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 18:42:00', NULL, NULL), (242715, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 18:42:01', NULL, NULL), (242716, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 18:42:03', NULL, NULL), (242717, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 18:42:04', NULL, NULL), (242718, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 18:42:05', NULL, NULL), (242719, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 18:42:07', NULL, NULL), (242720, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 18:42:08', NULL, NULL), (242721, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 18:42:09', NULL, NULL), (242722, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 18:42:11', NULL, NULL), (242723, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 18:42:12', NULL, NULL), (242724, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 18:42:13', NULL, NULL), (242725, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 18:42:15', NULL, NULL), (242726, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 18:42:16', NULL, NULL), (242727, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 18:42:18', NULL, NULL), (242728, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 18:42:19', NULL, NULL), (242729, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 18:42:20', NULL, NULL), (242730, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 18:42:22', NULL, NULL), (242731, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 18:42:23', NULL, NULL), (242732, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 18:42:24', NULL, NULL), (242733, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 18:42:26', NULL, NULL), (242734, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 18:42:27', NULL, NULL), (242735, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 18:42:29', NULL, NULL), (242736, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 18:42:30', NULL, NULL), (242737, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 18:42:31', NULL, NULL), (242738, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 18:42:33', NULL, NULL), (242739, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 18:42:34', NULL, NULL), (242740, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 18:42:35', NULL, NULL), (242741, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 18:42:36', NULL, NULL), (242742, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 18:42:37', NULL, NULL), (242743, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 18:42:38', NULL, NULL), (242744, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 18:42:39', NULL, NULL), (242745, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 18:42:39', NULL, NULL), (242746, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 18:42:40', NULL, NULL), (242747, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 18:42:41', NULL, NULL), (242748, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 18:42:42', NULL, NULL), (242749, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 18:42:43', NULL, NULL), (242750, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 18:42:43', NULL, NULL), (242751, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 18:42:44', NULL, NULL), (242752, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 18:42:45', NULL, NULL), (242753, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 18:42:46', NULL, NULL), (242754, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 18:42:47', NULL, NULL), (242755, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 18:42:47', NULL, NULL), (242756, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 18:42:48', NULL, NULL), (242757, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 18:42:49', NULL, NULL), (242758, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 18:42:50', NULL, NULL), (242759, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 18:42:51', NULL, NULL), (242760, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 18:42:52', NULL, NULL), (242761, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 18:42:52', NULL, NULL), (242762, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 18:42:53', NULL, NULL), (242763, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 18:42:54', NULL, NULL), (242764, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 18:42:55', NULL, NULL), (242765, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 18:42:56', NULL, NULL), (242766, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 18:42:57', NULL, NULL), (242767, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 18:42:58', NULL, NULL), (242768, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 18:42:59', NULL, NULL), (242769, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 18:43:00', NULL, NULL), (242770, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 18:43:01', NULL, NULL), (242771, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 18:43:03', NULL, NULL), (242772, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 18:43:04', NULL, NULL), (242773, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 18:43:06', NULL, NULL), (242774, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 18:43:07', NULL, NULL), (242775, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 18:43:08', NULL, NULL), (242776, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 18:43:10', NULL, NULL), (242777, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 18:43:11', NULL, NULL), (242778, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 18:43:12', NULL, NULL), (242779, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 18:43:14', NULL, NULL), (242780, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 18:43:15', NULL, NULL), (242781, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 18:43:16', NULL, NULL), (242782, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 18:43:18', NULL, NULL), (242783, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 18:43:19', NULL, NULL), (242784, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 18:43:21', NULL, NULL), (242785, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 18:43:22', NULL, NULL), (242786, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 18:43:23', NULL, NULL), (242787, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 18:43:25', NULL, NULL), (242788, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 18:43:26', NULL, NULL), (242789, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 18:43:27', NULL, NULL), (242790, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 18:43:29', NULL, NULL), (242791, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 18:43:30', NULL, NULL), (242792, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 18:43:32', NULL, NULL), (242793, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 18:43:33', NULL, NULL), (242794, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 18:43:34', NULL, NULL), (242795, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 18:43:36', NULL, NULL), (242796, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 18:43:37', NULL, NULL), (242797, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 18:43:39', NULL, NULL), (242798, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 18:43:40', NULL, NULL), (242799, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 18:43:41', NULL, NULL), (242800, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 18:43:43', NULL, NULL), (242801, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 18:43:44', NULL, NULL), (242802, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 18:43:46', NULL, NULL), (242803, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 18:43:47', NULL, NULL), (242804, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 18:43:48', NULL, NULL), (242805, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 18:43:50', NULL, NULL), (242806, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 18:43:51', NULL, NULL), (242807, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 18:43:53', NULL, NULL), (242808, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 18:43:54', NULL, NULL), (242809, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 18:43:55', NULL, NULL), (242810, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 18:43:57', NULL, NULL), (242811, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 18:43:58', NULL, NULL), (242812, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 18:44:00', NULL, NULL), (242813, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 18:44:01', NULL, NULL), (242814, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 18:44:02', NULL, NULL), (242815, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 18:44:04', NULL, NULL), (242816, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 18:44:05', NULL, NULL), (242817, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 18:44:06', NULL, NULL), (242818, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 18:44:08', NULL, NULL), (242819, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 18:44:09', NULL, NULL), (242820, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 18:44:11', NULL, NULL), (242821, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 18:44:12', NULL, NULL), (242822, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 18:44:12', NULL, NULL), (242823, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 18:44:13', NULL, NULL), (242824, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 18:44:14', NULL, NULL), (242825, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 18:44:15', NULL, NULL), (242826, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 18:44:15', NULL, NULL), (242827, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 18:44:16', NULL, NULL), (242828, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 18:44:17', NULL, NULL), (242829, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 18:44:18', NULL, NULL), (242830, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 18:44:18', NULL, NULL), (242831, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 18:44:19', NULL, NULL), (242832, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 18:44:20', NULL, NULL), (242833, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 18:44:21', NULL, NULL), (242834, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 18:44:22', NULL, NULL), (242835, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 18:44:22', NULL, NULL), (242836, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 18:44:23', NULL, NULL), (242837, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 18:44:24', NULL, NULL), (242838, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 18:44:25', NULL, NULL), (242839, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 18:44:26', NULL, NULL), (242840, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 18:44:27', NULL, NULL), (242841, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 18:44:27', NULL, NULL), (242842, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 18:44:28', NULL, NULL), (242843, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 18:44:29', NULL, NULL), (242844, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 18:44:30', NULL, NULL), (242845, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 18:44:31', NULL, NULL), (242846, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 18:44:32', NULL, NULL), (242847, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 18:44:33', NULL, NULL), (242848, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 18:44:34', NULL, NULL), (242849, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 18:44:35', NULL, NULL), (242850, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 18:44:36', NULL, NULL), (242851, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 18:44:38', NULL, NULL), (242852, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 18:44:39', NULL, NULL), (242853, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 18:44:40', NULL, NULL), (242854, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 18:44:42', NULL, NULL), (242855, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 18:44:43', NULL, NULL), (242856, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 18:44:44', NULL, NULL), (242857, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 18:44:46', NULL, NULL), (242858, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 18:44:47', NULL, NULL), (242859, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 18:44:48', NULL, NULL), (242860, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 18:44:50', NULL, NULL), (242861, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 18:44:51', NULL, NULL), (242862, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 18:44:53', NULL, NULL), (242863, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 18:44:54', NULL, NULL), (242864, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 18:44:55', NULL, NULL), (242865, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 18:44:57', NULL, NULL), (242866, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 18:44:58', NULL, NULL), (242867, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 18:44:59', NULL, NULL), (242868, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 18:45:01', NULL, NULL), (242869, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 18:45:02', NULL, NULL), (242870, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 18:45:04', NULL, NULL), (242871, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 18:45:05', 1, '2024-08-05 22:12:19');
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (242872, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 18:45:06', 1, '2024-08-06 02:01:26'), (242873, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 18:45:08', 1, '2024-08-07 01:00:18'), (242874, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 18:45:09', 1, '2024-08-08 01:00:18'), (242875, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 18:45:10', 1, '2024-08-09 01:00:18'), (242876, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 18:45:58', NULL, NULL), (242877, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 18:46:00', NULL, NULL), (242878, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 18:46:01', NULL, NULL), (242879, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 18:46:03', NULL, NULL), (242880, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 18:46:04', NULL, NULL), (242881, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 18:46:05', NULL, NULL), (242882, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 18:46:07', NULL, NULL), (242883, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 18:46:08', NULL, NULL), (242884, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 18:46:09', NULL, NULL), (242885, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 18:46:11', NULL, NULL), (242886, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 18:46:12', NULL, NULL), (242887, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 18:46:13', NULL, NULL), (242888, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 18:46:14', NULL, NULL), (242889, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 18:46:15', NULL, NULL), (242890, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 18:46:16', NULL, NULL), (242891, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 18:46:16', NULL, NULL), (242892, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 18:46:17', NULL, NULL), (242893, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 18:46:18', NULL, NULL), (242894, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 18:46:19', NULL, NULL), (242895, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 18:46:19', NULL, NULL), (242896, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 18:46:20', NULL, NULL), (242897, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 18:46:21', NULL, NULL), (242898, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 18:46:22', NULL, NULL), (242899, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 18:46:22', NULL, NULL), (242900, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 18:46:23', NULL, NULL), (242901, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 18:46:24', NULL, NULL), (242902, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 18:46:25', NULL, NULL), (242903, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 18:46:26', NULL, NULL), (242904, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 18:46:26', NULL, NULL), (242905, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 18:46:27', NULL, NULL), (242906, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 18:46:28', NULL, NULL), (242907, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 18:46:29', NULL, NULL), (242908, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 18:46:30', NULL, NULL), (242909, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 18:46:31', NULL, NULL), (242910, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 18:46:31', NULL, NULL), (242911, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 18:46:32', NULL, NULL), (242912, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 18:46:33', NULL, NULL), (242913, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 18:46:34', NULL, NULL), (242914, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 18:46:35', NULL, NULL), (242915, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 18:46:36', NULL, NULL), (242916, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 18:46:37', NULL, NULL), (242917, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 18:46:39', NULL, NULL), (242918, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 18:46:40', NULL, NULL), (242919, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 18:46:41', NULL, NULL), (242920, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 18:46:43', NULL, NULL), (242921, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 18:46:44', NULL, NULL), (242922, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 18:46:45', NULL, NULL), (242923, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 18:46:47', NULL, NULL), (242924, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 18:46:48', NULL, NULL), (242925, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 18:46:50', NULL, NULL), (242926, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 18:46:51', NULL, NULL), (242927, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 18:46:52', NULL, NULL), (242928, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 18:46:54', NULL, NULL), (242929, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 18:46:55', NULL, NULL), (242930, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 18:46:56', NULL, NULL), (242931, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 18:46:58', NULL, NULL), (242932, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 18:46:59', NULL, NULL), (242933, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 18:47:00', NULL, NULL), (242934, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 18:47:02', NULL, NULL), (242935, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 18:47:03', NULL, NULL), (242936, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 18:47:04', NULL, NULL), (242937, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 18:47:06', NULL, NULL), (242938, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 18:47:07', NULL, NULL), (242939, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 18:47:08', NULL, NULL), (242940, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 18:47:10', NULL, NULL), (242941, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 18:47:11', NULL, NULL), (242942, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 18:47:13', NULL, NULL), (242943, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 18:47:14', NULL, NULL), (242944, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 18:47:15', NULL, NULL), (242945, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 18:47:17', NULL, NULL), (242946, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 18:47:18', NULL, NULL), (242947, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 18:47:19', NULL, NULL), (242948, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 18:47:20', NULL, NULL), (242949, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 18:47:20', NULL, NULL), (242950, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 18:47:21', NULL, NULL), (242951, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 18:47:22', NULL, NULL), (242952, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 18:47:23', NULL, NULL), (242953, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 18:47:23', NULL, NULL), (242954, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 18:47:24', NULL, NULL), (242955, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 18:47:25', NULL, NULL), (242956, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 18:47:26', NULL, NULL), (242957, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 18:47:27', NULL, NULL), (242958, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 18:47:27', NULL, NULL), (242959, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 18:47:28', NULL, NULL), (242960, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 18:47:29', NULL, NULL), (242961, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 18:47:30', NULL, NULL), (242962, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 18:47:31', NULL, NULL), (242963, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 18:47:31', NULL, NULL), (242964, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 18:47:32', NULL, NULL), (242965, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 18:47:33', NULL, NULL), (242966, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 18:47:34', NULL, NULL), (242967, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 18:47:35', NULL, NULL), (242968, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 18:47:36', NULL, NULL), (242969, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 18:47:36', NULL, NULL), (242970, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 18:47:37', NULL, NULL), (242971, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 18:47:38', NULL, NULL), (242972, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 18:47:39', NULL, NULL), (242973, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 18:47:40', NULL, NULL), (242974, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 18:47:41', NULL, NULL), (242975, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 18:47:42', NULL, NULL), (242976, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 18:47:44', NULL, NULL), (242977, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 18:47:45', NULL, NULL), (242978, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 18:47:46', NULL, NULL), (242979, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 18:47:48', NULL, NULL), (242980, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 18:47:49', NULL, NULL), (242981, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 18:47:50', NULL, NULL), (242982, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 18:47:52', NULL, NULL), (242983, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 18:47:53', NULL, NULL), (242984, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 18:47:54', NULL, NULL), (242985, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 18:47:56', NULL, NULL), (242986, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 18:47:57', NULL, NULL), (242987, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 18:47:59', NULL, NULL), (242988, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 18:48:00', NULL, NULL), (242989, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 18:48:01', NULL, NULL), (242990, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 18:48:03', NULL, NULL), (242991, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 18:48:04', NULL, NULL), (242992, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 18:48:05', NULL, NULL), (242993, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 18:48:07', NULL, NULL), (242994, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 18:48:08', NULL, NULL), (242995, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 18:48:09', NULL, NULL), (242996, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 18:48:11', NULL, NULL), (242997, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 18:48:12', NULL, NULL), (242998, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 18:48:14', NULL, NULL), (242999, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 18:48:15', NULL, NULL), (243000, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 18:48:16', NULL, NULL), (243001, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 18:48:18', NULL, NULL), (243002, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 18:48:19', NULL, NULL), (243003, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 18:48:20', NULL, NULL), (243004, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 18:48:21', NULL, NULL), (243005, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 18:48:22', NULL, NULL), (243006, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 18:48:23', NULL, NULL), (243007, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 18:48:23', NULL, NULL), (243008, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 18:48:24', NULL, NULL), (243009, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 18:48:25', NULL, NULL), (243010, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 18:48:26', NULL, NULL), (243011, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 18:48:26', NULL, NULL), (243012, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 18:48:27', NULL, NULL), (243013, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 18:48:28', NULL, NULL), (243014, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 18:48:29', NULL, NULL), (243015, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 18:48:30', NULL, NULL), (243016, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 18:48:30', NULL, NULL), (243017, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 18:48:31', NULL, NULL), (243018, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 18:48:32', NULL, NULL), (243019, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 18:48:33', NULL, NULL), (243020, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 18:48:34', NULL, NULL), (243021, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 18:48:35', NULL, NULL), (243022, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 18:48:35', NULL, NULL), (243023, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 18:48:36', NULL, NULL), (243024, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 18:48:37', NULL, NULL), (243025, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 18:48:38', NULL, NULL), (243026, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 18:48:39', NULL, NULL), (243027, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 18:48:40', NULL, NULL), (243028, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 18:48:41', NULL, NULL), (243029, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 18:48:42', NULL, NULL), (243030, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 18:48:43', NULL, NULL), (243031, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 18:48:44', NULL, NULL), (243032, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 18:48:46', NULL, NULL), (243033, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 18:48:48', NULL, NULL), (243034, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 18:48:52', NULL, NULL), (243035, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 18:48:55', NULL, NULL), (243036, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 18:48:59', NULL, NULL), (243037, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 18:49:02', NULL, NULL), (243038, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 18:49:04', NULL, NULL), (243039, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 18:49:05', NULL, NULL), (243040, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 18:49:06', NULL, NULL), (243041, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 18:49:07', NULL, NULL), (243042, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 18:49:07', NULL, NULL), (243043, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 18:49:08', NULL, NULL), (243044, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 18:49:09', NULL, NULL), (243045, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 18:49:10', NULL, NULL), (243046, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 18:49:11', NULL, NULL), (243047, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 18:49:11', NULL, NULL), (243048, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 18:49:12', NULL, NULL), (243049, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 18:49:13', NULL, NULL), (243050, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 18:49:14', NULL, NULL), (243051, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 18:49:15', NULL, NULL), (243052, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 18:49:16', NULL, NULL), (243053, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 18:49:17', NULL, NULL), (243054, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 18:49:17', NULL, NULL), (243055, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 18:49:18', NULL, NULL), (243056, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 18:49:19', NULL, NULL), (243057, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 18:49:20', NULL, NULL), (243058, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 18:49:21', NULL, NULL), (243059, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 18:49:22', NULL, NULL), (243060, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 18:49:23', NULL, NULL), (243061, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 18:49:24', NULL, NULL), (243062, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 18:49:25', NULL, NULL), (243063, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 18:49:26', NULL, NULL), (243064, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 18:49:27', NULL, NULL), (243065, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 18:49:28', NULL, NULL), (243066, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 18:49:29', NULL, NULL), (243067, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 18:49:31', NULL, NULL), (243068, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 18:49:32', NULL, NULL), (243069, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 18:49:35', NULL, NULL), (243070, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 18:49:38', NULL, NULL), (243071, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 18:49:42', NULL, NULL), (243072, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 18:49:43', NULL, NULL), (243073, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 18:49:44', NULL, NULL), (243074, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 18:49:45', NULL, NULL), (243075, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 18:49:45', NULL, NULL), (243076, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 18:49:46', NULL, NULL), (243077, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 18:49:47', NULL, NULL), (243078, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 18:49:48', NULL, NULL), (243079, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 18:49:49', NULL, NULL), (243080, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 18:49:49', NULL, NULL), (243081, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 18:49:50', NULL, NULL), (243082, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 18:49:51', NULL, NULL), (243083, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 18:49:52', NULL, NULL), (243084, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 18:49:53', NULL, NULL), (243085, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 18:49:54', NULL, NULL), (243086, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 18:49:55', NULL, NULL), (243087, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 18:49:55', NULL, NULL), (243088, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 18:49:56', NULL, NULL), (243089, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 18:49:57', NULL, NULL), (243090, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 18:49:58', NULL, NULL), (243091, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 18:49:59', NULL, NULL), (243092, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 18:50:00', NULL, NULL), (243093, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 18:50:01', NULL, NULL), (243094, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 18:50:01', NULL, NULL), (243095, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 18:50:02', NULL, NULL), (243096, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 18:50:03', NULL, NULL), (243097, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 18:50:04', NULL, NULL), (243098, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 18:50:05', NULL, NULL), (243099, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 18:50:06', NULL, NULL), (243100, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 18:50:08', NULL, NULL), (243101, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 18:50:09', NULL, NULL), (243102, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 18:50:10', NULL, NULL), (243103, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 18:50:12', NULL, NULL), (243104, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 18:50:13', NULL, NULL), (243105, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 18:50:14', NULL, NULL), (243106, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 18:50:16', NULL, NULL), (243107, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 18:50:17', NULL, NULL), (243108, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 18:50:19', NULL, NULL), (243109, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 18:50:20', NULL, NULL), (243110, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 18:50:21', NULL, NULL), (243111, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 18:50:23', NULL, NULL), (243112, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 18:50:24', NULL, NULL), (243113, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 18:50:25', NULL, NULL), (243114, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 18:50:27', NULL, NULL), (243115, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 18:50:28', NULL, NULL), (243116, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 18:50:29', NULL, NULL), (243117, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 18:50:31', NULL, NULL), (243118, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 18:50:32', NULL, NULL), (243119, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 18:50:33', NULL, NULL), (243120, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 18:50:35', NULL, NULL), (243121, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 18:50:36', NULL, NULL), (243122, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 18:50:37', NULL, NULL), (243123, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 18:50:39', NULL, NULL), (243124, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 18:50:40', NULL, NULL), (243125, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 18:50:41', NULL, NULL), (243126, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 18:50:43', NULL, NULL), (243127, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 18:50:44', NULL, NULL), (243128, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 18:50:45', NULL, NULL), (243129, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 18:50:47', NULL, NULL), (243130, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 18:50:48', NULL, NULL), (243131, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 18:50:49', NULL, NULL), (243132, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 18:50:49', NULL, NULL), (243133, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 18:50:50', NULL, NULL), (243134, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 18:50:51', NULL, NULL), (243135, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 18:50:52', NULL, NULL), (243136, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 18:50:53', NULL, NULL), (243137, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 18:50:53', NULL, NULL), (243138, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 18:50:54', NULL, NULL), (243139, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 18:50:55', NULL, NULL), (243140, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 18:50:56', NULL, NULL), (243141, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 18:50:56', NULL, NULL), (243142, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 18:50:57', NULL, NULL), (243143, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 18:50:58', NULL, NULL), (243144, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 18:50:59', NULL, NULL), (243145, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 18:51:00', NULL, NULL), (243146, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 18:51:01', NULL, NULL), (243147, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 18:51:01', NULL, NULL), (243148, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 18:51:02', NULL, NULL), (243149, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 18:51:03', NULL, NULL), (243150, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 18:51:04', NULL, NULL), (243151, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 18:51:05', NULL, NULL), (243152, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 18:51:06', NULL, NULL), (243153, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 18:51:06', NULL, NULL), (243154, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 18:51:07', NULL, NULL), (243155, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 18:51:08', NULL, NULL), (243156, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 18:51:09', NULL, NULL), (243157, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 18:51:10', NULL, NULL), (243158, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 18:51:11', NULL, NULL), (243159, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 18:51:13', NULL, NULL), (243160, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 18:51:14', NULL, NULL), (243161, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 18:51:15', NULL, NULL), (243162, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 18:51:17', NULL, NULL), (243163, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 18:51:18', NULL, NULL), (243164, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 18:51:19', NULL, NULL), (243165, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 18:51:21', NULL, NULL), (243166, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 18:51:22', NULL, NULL), (243167, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 18:51:23', NULL, NULL), (243168, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 18:51:25', NULL, NULL), (243169, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 18:51:26', NULL, NULL), (243170, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 18:51:28', NULL, NULL), (243171, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 18:51:29', NULL, NULL), (243172, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 18:51:30', NULL, NULL), (243173, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 18:51:32', NULL, NULL), (243174, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 18:51:33', NULL, NULL), (243175, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 18:51:34', NULL, NULL), (243176, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 18:51:36', NULL, NULL), (243177, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 18:51:37', NULL, NULL), (243178, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 18:51:38', NULL, NULL), (243179, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 18:51:40', NULL, NULL), (243180, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 18:51:41', NULL, NULL), (243181, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 18:51:42', NULL, NULL), (243182, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 18:51:44', NULL, NULL), (243183, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 18:51:45', NULL, NULL), (243184, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 18:51:46', NULL, NULL), (243185, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 18:51:48', NULL, NULL), (243186, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 18:51:49', NULL, NULL), (243187, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 18:51:50', NULL, NULL), (243188, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 18:51:52', NULL, NULL), (243189, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 18:51:53', NULL, NULL), (243190, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 18:51:53', NULL, NULL), (243191, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 18:51:54', NULL, NULL), (243192, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 18:51:55', NULL, NULL), (243193, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 18:51:56', NULL, NULL), (243194, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 18:51:56', NULL, NULL), (243195, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 18:51:57', NULL, NULL), (243196, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 18:51:58', NULL, NULL), (243197, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 18:51:59', NULL, NULL), (243198, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 18:51:59', NULL, NULL), (243199, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 18:52:00', NULL, NULL), (243200, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 18:52:01', NULL, NULL), (243201, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 18:52:02', NULL, NULL), (243202, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 18:52:03', NULL, NULL), (243203, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 18:52:03', NULL, NULL), (243204, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 18:52:04', NULL, NULL), (243205, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 18:52:05', NULL, NULL), (243206, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 18:52:06', NULL, NULL), (243207, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 18:52:07', NULL, NULL), (243208, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 18:52:07', NULL, NULL), (243209, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 18:52:08', NULL, NULL), (243210, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 18:52:09', NULL, NULL), (243211, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 18:52:10', NULL, NULL), (243212, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 18:52:11', NULL, NULL), (243213, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 18:52:12', NULL, NULL), (243214, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 18:52:13', NULL, NULL), (243215, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 18:52:14', NULL, NULL), (243216, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 18:52:15', NULL, NULL), (243217, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 18:52:16', NULL, NULL), (243218, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 18:52:17', NULL, NULL), (243219, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 18:52:20', NULL, NULL), (243220, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 18:52:23', NULL, NULL), (243221, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 18:52:27', NULL, NULL), (243222, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 18:52:28', NULL, NULL), (243223, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 18:52:29', NULL, NULL), (243224, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 18:52:30', NULL, NULL), (243225, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 18:52:31', NULL, NULL), (243226, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 18:52:31', NULL, NULL), (243227, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 18:52:32', NULL, NULL), (243228, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 18:52:33', NULL, NULL), (243229, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 18:52:34', NULL, NULL), (243230, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 18:52:35', NULL, NULL), (243231, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 18:52:35', NULL, NULL), (243232, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 18:52:36', NULL, NULL), (243233, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 18:52:37', NULL, NULL), (243234, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 18:52:38', NULL, NULL), (243235, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 18:52:39', NULL, NULL), (243236, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 18:52:39', NULL, NULL), (243237, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 18:52:40', NULL, NULL), (243238, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 18:52:41', NULL, NULL), (243239, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 18:52:42', NULL, NULL), (243240, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 18:52:43', NULL, NULL), (243241, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 18:52:44', NULL, NULL), (243242, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 18:52:45', NULL, NULL), (243243, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 18:52:45', NULL, NULL), (243244, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 18:52:46', NULL, NULL), (243245, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 18:52:47', NULL, NULL), (243246, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 18:52:48', NULL, NULL), (243247, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 18:52:49', NULL, NULL), (243248, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 18:52:50', NULL, NULL), (243249, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 18:52:51', NULL, NULL), (243250, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 18:52:52', NULL, NULL), (243251, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 18:52:54', NULL, NULL), (243252, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 18:52:57', NULL, NULL), (243253, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 18:53:01', NULL, NULL), (243254, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 18:53:04', NULL, NULL), (243255, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 18:53:05', NULL, NULL), (243256, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 18:53:05', NULL, NULL), (243257, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 18:53:06', NULL, NULL), (243258, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 18:53:07', NULL, NULL), (243259, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 18:53:08', NULL, NULL), (243260, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 18:53:09', NULL, NULL), (243261, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 18:53:09', NULL, NULL), (243262, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 18:53:10', NULL, NULL), (243263, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 18:53:11', NULL, NULL), (243264, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 18:53:12', NULL, NULL), (243265, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 18:53:13', NULL, NULL), (243266, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 18:53:14', NULL, NULL), (243267, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 18:53:14', NULL, NULL), (243268, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 18:53:15', NULL, NULL), (243269, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 18:53:16', NULL, NULL), (243270, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 18:53:17', NULL, NULL), (243271, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 18:53:18', NULL, NULL), (243272, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 18:53:19', NULL, NULL), (243273, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 18:53:19', NULL, NULL), (243274, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 18:53:20', NULL, NULL), (243275, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 18:53:21', NULL, NULL), (243276, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 18:53:22', NULL, NULL), (243277, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 18:53:23', NULL, NULL), (243278, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 18:53:24', NULL, NULL), (243279, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 18:53:25', NULL, NULL), (243280, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 18:53:26', NULL, NULL), (243281, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 18:53:27', NULL, NULL), (243282, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 18:53:28', NULL, NULL), (243283, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 18:53:30', NULL, NULL), (243284, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 18:53:31', NULL, NULL), (243285, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 18:53:32', NULL, NULL), (243286, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 18:53:34', NULL, NULL), (243287, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 18:53:35', NULL, NULL), (243288, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 18:53:36', NULL, NULL), (243289, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 18:53:38', NULL, NULL), (243290, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 18:53:39', NULL, NULL), (243291, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 18:53:41', NULL, NULL), (243292, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 18:53:42', NULL, NULL), (243293, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 18:53:43', NULL, NULL), (243294, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 18:53:45', NULL, NULL), (243295, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 18:53:46', NULL, NULL), (243296, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 18:53:48', NULL, NULL), (243297, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 18:53:49', NULL, NULL), (243298, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 18:53:50', NULL, NULL), (243299, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 18:53:52', NULL, NULL), (243300, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 18:53:53', NULL, NULL), (243301, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 18:53:55', NULL, NULL), (243302, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 18:53:56', NULL, NULL), (243303, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 18:53:57', NULL, NULL), (243304, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 18:53:59', NULL, NULL), (243305, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 18:54:00', NULL, NULL), (243306, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 18:54:02', NULL, NULL), (243307, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 18:54:03', NULL, NULL), (243308, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 18:54:04', NULL, NULL), (243309, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 18:54:06', NULL, NULL), (243310, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 18:54:07', NULL, NULL), (243311, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 18:54:08', NULL, NULL), (243312, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 18:54:10', NULL, NULL), (243313, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 18:54:11', NULL, NULL), (243314, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 18:54:12', NULL, NULL), (243315, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 18:54:14', NULL, NULL), (243316, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 18:54:15', NULL, NULL), (243317, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 18:54:17', NULL, NULL), (243318, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 18:54:18', NULL, NULL), (243319, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 18:54:19', NULL, NULL), (243320, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 18:54:21', NULL, NULL), (243321, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 18:54:22', NULL, NULL), (243322, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 18:54:23', NULL, NULL), (243323, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 18:54:25', NULL, NULL), (243324, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 18:54:26', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (243325, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 18:54:27', NULL, NULL), (243326, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 18:54:29', NULL, NULL), (243327, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 18:54:30', NULL, NULL), (243328, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 18:54:32', NULL, NULL), (243329, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 18:54:33', NULL, NULL), (243330, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 18:54:34', NULL, NULL), (243331, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 18:54:34', NULL, NULL), (243332, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 18:54:35', NULL, NULL), (243333, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 18:54:36', NULL, NULL), (243334, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 18:54:37', NULL, NULL), (243335, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 18:54:37', NULL, NULL), (243336, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 18:54:38', NULL, NULL), (243337, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 18:54:39', NULL, NULL), (243338, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 18:54:40', NULL, NULL), (243339, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 18:54:41', NULL, NULL), (243340, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 18:54:41', NULL, NULL), (243341, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 18:54:42', NULL, NULL), (243342, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 18:54:43', NULL, NULL), (243343, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 18:54:44', NULL, NULL), (243344, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 18:54:45', NULL, NULL), (243345, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 18:54:45', NULL, NULL), (243346, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 18:54:46', NULL, NULL), (243347, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 18:54:47', NULL, NULL), (243348, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 18:54:48', NULL, NULL), (243349, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 18:54:49', NULL, NULL), (243350, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 18:54:50', NULL, NULL), (243351, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 18:54:51', NULL, NULL), (243352, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 18:54:51', NULL, NULL), (243353, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 18:54:52', NULL, NULL), (243354, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 18:54:53', NULL, NULL), (243355, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 18:54:54', NULL, NULL), (243356, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 18:54:55', NULL, NULL), (243357, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 18:54:57', NULL, NULL), (243358, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 18:54:58', NULL, NULL), (243359, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 18:55:00', NULL, NULL), (243360, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 18:55:01', NULL, NULL), (243361, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 18:55:02', NULL, NULL), (243362, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 18:55:04', NULL, NULL), (243363, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 18:55:05', NULL, NULL), (243364, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 18:55:06', NULL, NULL), (243365, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 18:55:08', NULL, NULL), (243366, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 18:55:09', NULL, NULL), (243367, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 18:55:10', NULL, NULL), (243368, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 18:55:12', NULL, NULL), (243369, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 18:55:13', NULL, NULL), (243370, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 18:55:15', NULL, NULL), (243371, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 18:55:16', NULL, NULL), (243372, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 18:55:17', NULL, NULL), (243373, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 18:55:19', NULL, NULL), (243374, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 18:55:20', NULL, NULL), (243375, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 18:55:21', NULL, NULL), (243376, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 18:55:23', NULL, NULL), (243377, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 18:55:24', NULL, NULL), (243378, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 18:55:25', NULL, NULL), (243379, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 18:55:27', NULL, NULL), (243380, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 18:55:28', NULL, NULL), (243381, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 18:55:30', NULL, NULL), (243382, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 18:55:31', NULL, NULL), (243383, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 18:55:32', NULL, NULL), (243384, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 18:55:33', NULL, NULL), (243385, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 18:55:34', NULL, NULL), (243386, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 18:55:35', NULL, NULL), (243387, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 18:55:36', NULL, NULL), (243388, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 18:55:36', NULL, NULL), (243389, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 18:55:37', NULL, NULL), (243390, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 18:55:38', NULL, NULL), (243391, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 18:55:39', NULL, NULL), (243392, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 18:55:40', NULL, NULL), (243393, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 18:55:40', NULL, NULL), (243394, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 18:55:41', NULL, NULL), (243395, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 18:55:42', NULL, NULL), (243396, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 18:55:43', NULL, NULL), (243397, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 18:55:44', NULL, NULL), (243398, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 18:55:44', NULL, NULL), (243399, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 18:55:45', NULL, NULL), (243400, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 18:55:46', NULL, NULL), (243401, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 18:55:47', NULL, NULL), (243402, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 18:55:48', NULL, NULL), (243403, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 18:55:49', NULL, NULL), (243404, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 18:55:49', NULL, NULL), (243405, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 18:55:50', NULL, NULL), (243406, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 18:55:51', NULL, NULL), (243407, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 18:55:52', NULL, NULL), (243408, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 18:55:53', NULL, NULL), (243409, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 18:55:54', NULL, NULL), (243410, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 18:55:55', NULL, NULL), (243411, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 18:55:56', NULL, NULL), (243412, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 18:55:57', NULL, NULL), (243413, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 18:55:58', NULL, NULL), (243414, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 18:56:01', NULL, NULL), (243415, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 18:56:05', NULL, NULL), (243416, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 18:56:08', NULL, NULL), (243417, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 18:56:10', NULL, NULL), (243418, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 18:56:11', NULL, NULL), (243419, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 18:56:12', NULL, NULL), (243420, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 18:56:13', NULL, NULL), (243421, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 18:56:13', NULL, NULL), (243422, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 18:56:14', NULL, NULL), (243423, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 18:56:15', NULL, NULL), (243424, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 18:56:16', NULL, NULL), (243425, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 18:56:17', NULL, NULL), (243426, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 18:56:17', NULL, NULL), (243427, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 18:56:18', NULL, NULL), (243428, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 18:56:19', NULL, NULL), (243429, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 18:56:20', NULL, NULL), (243430, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 18:56:21', NULL, NULL), (243431, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 18:56:21', NULL, NULL), (243432, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 18:56:22', NULL, NULL), (243433, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 18:56:23', NULL, NULL), (243434, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 18:56:24', NULL, NULL), (243435, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 18:56:25', NULL, NULL), (243436, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 18:56:26', NULL, NULL), (243437, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 18:56:27', NULL, NULL), (243438, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 18:56:27', NULL, NULL), (243439, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 18:56:28', NULL, NULL), (243440, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 18:56:29', NULL, NULL), (243441, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 18:56:30', NULL, NULL), (243442, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 18:56:31', NULL, NULL), (243443, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 18:56:32', NULL, NULL), (243444, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 18:56:33', NULL, NULL), (243445, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 18:56:34', NULL, NULL), (243446, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 18:56:36', NULL, NULL), (243447, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 18:56:37', NULL, NULL), (243448, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 18:56:38', NULL, NULL), (243449, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 18:56:40', NULL, NULL), (243450, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 18:56:41', NULL, NULL), (243451, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 18:56:43', NULL, NULL), (243452, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 18:56:44', NULL, NULL), (243453, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 18:56:45', NULL, NULL), (243454, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 18:56:47', 1, '2024-08-05 22:12:19'), (243455, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 18:56:48', 1, '2024-08-06 02:01:25'), (243456, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 18:56:49', 1, '2024-08-07 01:00:18'), (243457, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 18:56:51', 1, '2024-08-08 01:00:18'), (243458, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 18:56:52', 1, '2024-08-09 01:00:18'), (243459, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 18:57:40', NULL, NULL), (243460, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 18:57:41', NULL, NULL), (243461, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 18:57:43', NULL, NULL), (243462, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 18:57:44', NULL, NULL), (243463, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 18:57:45', NULL, NULL), (243464, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 18:57:47', NULL, NULL), (243465, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 18:57:48', NULL, NULL), (243466, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 18:57:49', NULL, NULL), (243467, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 18:57:51', NULL, NULL), (243468, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 18:57:52', NULL, NULL), (243469, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 18:57:54', NULL, NULL), (243470, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 18:57:55', NULL, NULL), (243471, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 18:57:56', NULL, NULL), (243472, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 18:57:58', NULL, NULL), (243473, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 18:57:59', NULL, NULL), (243474, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 18:58:00', NULL, NULL), (243475, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 18:58:02', NULL, NULL), (243476, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 18:58:03', NULL, NULL), (243477, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 18:58:04', NULL, NULL), (243478, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 18:58:06', NULL, NULL), (243479, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 18:58:07', NULL, NULL), (243480, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 18:58:08', NULL, NULL), (243481, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 18:58:10', NULL, NULL), (243482, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 18:58:11', NULL, NULL), (243483, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 18:58:12', NULL, NULL), (243484, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 18:58:14', NULL, NULL), (243485, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 18:58:15', NULL, NULL), (243486, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 18:58:15', NULL, NULL), (243487, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 18:58:16', NULL, NULL), (243488, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 18:58:17', NULL, NULL), (243489, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 18:58:18', NULL, NULL), (243490, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 18:58:18', NULL, NULL), (243491, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 18:58:19', NULL, NULL), (243492, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 18:58:20', NULL, NULL), (243493, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 18:58:21', NULL, NULL), (243494, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 18:58:21', NULL, NULL), (243495, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 18:58:22', NULL, NULL), (243496, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 18:58:23', NULL, NULL), (243497, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 18:58:24', NULL, NULL), (243498, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 18:58:25', NULL, NULL), (243499, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 18:58:25', NULL, NULL), (243500, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 18:58:26', NULL, NULL), (243501, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 18:58:27', NULL, NULL), (243502, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 18:58:28', NULL, NULL), (243503, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 18:58:29', NULL, NULL), (243504, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 18:58:30', NULL, NULL), (243505, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 18:58:30', NULL, NULL), (243506, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 18:58:31', NULL, NULL), (243507, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 18:58:32', NULL, NULL), (243508, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 18:58:33', NULL, NULL), (243509, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 18:58:34', NULL, NULL), (243510, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 18:58:35', NULL, NULL), (243511, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 18:58:36', NULL, NULL), (243512, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 18:58:37', NULL, NULL), (243513, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 18:58:38', NULL, NULL), (243514, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 18:58:39', NULL, NULL), (243515, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 18:58:42', NULL, NULL), (243516, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 18:58:45', NULL, NULL), (243517, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 18:58:49', NULL, NULL), (243518, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 18:58:52', NULL, NULL), (243519, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 18:58:53', NULL, NULL), (243520, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 18:58:54', NULL, NULL), (243521, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 18:58:55', NULL, NULL), (243522, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 18:58:56', NULL, NULL), (243523, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 18:58:56', NULL, NULL), (243524, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 18:58:57', NULL, NULL), (243525, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 18:58:58', NULL, NULL), (243526, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 18:58:59', NULL, NULL), (243527, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 18:59:00', NULL, NULL), (243528, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 18:59:01', NULL, NULL), (243529, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 18:59:02', NULL, NULL), (243530, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 18:59:03', NULL, NULL), (243531, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 18:59:04', NULL, NULL), (243532, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 18:59:05', NULL, NULL), (243533, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 18:59:06', NULL, NULL), (243534, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 18:59:07', NULL, NULL), (243535, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 18:59:08', NULL, NULL), (243536, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 18:59:09', NULL, NULL), (243537, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 18:59:10', NULL, NULL), (243538, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 18:59:11', NULL, NULL), (243539, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 18:59:12', NULL, NULL), (243540, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 18:59:13', NULL, NULL), (243541, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 18:59:14', NULL, NULL), (243542, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 18:59:15', NULL, NULL), (243543, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 18:59:16', NULL, NULL), (243544, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 18:59:17', NULL, NULL), (243545, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 18:59:19', NULL, NULL), (243546, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 18:59:22', NULL, NULL), (243547, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 18:59:26', NULL, NULL), (243548, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 18:59:30', NULL, NULL), (243549, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 18:59:33', NULL, NULL), (243550, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 18:59:36', NULL, NULL), (243551, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 18:59:36', NULL, NULL), (243552, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 18:59:37', NULL, NULL), (243553, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 18:59:38', NULL, NULL), (243554, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 18:59:39', NULL, NULL), (243555, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 18:59:40', NULL, NULL), (243556, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 18:59:41', NULL, NULL), (243557, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 18:59:42', NULL, NULL), (243558, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 18:59:43', NULL, NULL), (243559, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 18:59:43', NULL, NULL), (243560, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 18:59:44', NULL, NULL), (243561, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 18:59:45', NULL, NULL), (243562, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 18:59:46', NULL, NULL), (243563, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 18:59:47', NULL, NULL), (243564, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 18:59:48', NULL, NULL), (243565, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 18:59:49', NULL, NULL), (243566, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 18:59:50', NULL, NULL), (243567, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 18:59:51', NULL, NULL), (243568, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 18:59:52', NULL, NULL), (243569, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 18:59:53', NULL, NULL), (243570, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 18:59:54', NULL, NULL), (243571, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 18:59:55', NULL, NULL), (243572, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 18:59:56', NULL, NULL), (243573, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 18:59:57', NULL, NULL), (243574, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 18:59:58', NULL, NULL), (243575, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 18:59:59', NULL, NULL), (243576, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 19:00:01', NULL, NULL), (243577, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 19:00:03', NULL, NULL), (243578, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 19:00:07', NULL, NULL), (243579, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 19:00:10', NULL, NULL), (243580, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 19:00:14', NULL, NULL), (243581, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 19:00:17', NULL, NULL), (243582, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 19:00:20', NULL, NULL), (243583, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 19:00:21', NULL, NULL), (243584, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 19:00:22', NULL, NULL), (243585, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 19:00:23', NULL, NULL), (243586, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 19:00:24', NULL, NULL), (243587, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 19:00:25', NULL, NULL), (243588, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 19:00:25', NULL, NULL), (243589, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 19:00:26', NULL, NULL), (243590, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 19:00:27', NULL, NULL), (243591, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 19:00:28', NULL, NULL), (243592, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 19:00:29', NULL, NULL), (243593, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 19:00:30', NULL, NULL), (243594, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 19:00:31', NULL, NULL), (243595, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 19:00:32', NULL, NULL), (243596, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 19:00:33', NULL, NULL), (243597, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 19:00:34', NULL, NULL), (243598, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 19:00:35', NULL, NULL), (243599, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 19:00:36', NULL, NULL), (243600, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 19:00:37', NULL, NULL), (243601, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 19:00:38', NULL, NULL), (243602, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 19:00:39', NULL, NULL), (243603, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 19:00:39', NULL, NULL), (243604, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 19:00:40', NULL, NULL), (243605, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 19:00:41', NULL, NULL), (243606, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 19:00:42', NULL, NULL), (243607, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 19:00:43', NULL, NULL), (243608, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 19:00:45', NULL, NULL), (243609, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 19:00:46', NULL, NULL), (243610, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 19:00:49', NULL, NULL), (243611, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 19:00:53', NULL, NULL), (243612, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 19:00:56', NULL, NULL), (243613, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 19:01:00', NULL, NULL), (243614, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 19:01:02', NULL, NULL), (243615, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 19:01:03', NULL, NULL), (243616, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 19:01:03', NULL, NULL), (243617, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 19:01:04', NULL, NULL), (243618, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 19:01:05', NULL, NULL), (243619, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 19:01:06', NULL, NULL), (243620, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 19:01:06', NULL, NULL), (243621, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 19:01:07', NULL, NULL), (243622, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 19:01:08', NULL, NULL), (243623, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 19:01:09', NULL, NULL), (243624, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 19:01:10', NULL, NULL), (243625, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 19:01:10', NULL, NULL), (243626, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 19:01:11', NULL, NULL), (243627, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 19:01:12', NULL, NULL), (243628, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 19:01:13', NULL, NULL), (243629, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 19:01:14', NULL, NULL), (243630, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 19:01:15', NULL, NULL), (243631, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 19:01:16', NULL, NULL), (243632, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 19:01:16', NULL, NULL), (243633, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 19:01:17', NULL, NULL), (243634, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 19:01:18', NULL, NULL), (243635, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 19:01:19', NULL, NULL), (243636, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 19:01:20', NULL, NULL), (243637, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 19:01:21', NULL, NULL), (243638, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 19:01:22', NULL, NULL), (243639, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 19:01:23', NULL, NULL), (243640, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 19:01:24', NULL, NULL), (243641, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 19:01:25', NULL, NULL), (243642, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 19:01:26', NULL, NULL), (243643, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 19:01:27', NULL, NULL), (243644, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 19:01:31', NULL, NULL), (243645, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 19:01:34', NULL, NULL), (243646, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 19:01:38', NULL, NULL), (243647, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 19:01:40', NULL, NULL), (243648, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 19:01:41', NULL, NULL), (243649, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 19:01:41', NULL, NULL), (243650, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 19:01:42', NULL, NULL), (243651, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 19:01:43', NULL, NULL), (243652, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 19:01:44', NULL, NULL), (243653, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 19:01:45', NULL, NULL), (243654, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 19:01:45', NULL, NULL), (243655, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 19:01:46', NULL, NULL), (243656, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 19:01:47', NULL, NULL), (243657, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 19:01:48', NULL, NULL), (243658, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 19:01:49', NULL, NULL), (243659, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 19:01:49', NULL, NULL), (243660, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 19:01:50', NULL, NULL), (243661, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 19:01:51', NULL, NULL), (243662, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 19:01:52', NULL, NULL), (243663, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 19:01:53', NULL, NULL), (243664, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 19:01:54', NULL, NULL), (243665, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 19:01:55', NULL, NULL), (243666, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 19:01:55', NULL, NULL), (243667, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 19:01:56', NULL, NULL), (243668, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 19:01:57', NULL, NULL), (243669, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 19:01:58', NULL, NULL), (243670, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 19:01:59', NULL, NULL), (243671, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 19:02:00', NULL, NULL), (243672, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 19:02:01', NULL, NULL), (243673, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 19:02:02', NULL, NULL), (243674, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 19:02:03', NULL, NULL), (243675, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 19:02:04', NULL, NULL), (243676, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 19:02:06', NULL, NULL), (243677, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 19:02:10', NULL, NULL), (243678, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 19:02:13', NULL, NULL), (243679, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 19:02:17', NULL, NULL), (243680, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 19:02:18', NULL, NULL), (243681, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 19:02:19', NULL, NULL), (243682, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 19:02:20', NULL, NULL), (243683, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 19:02:20', NULL, NULL), (243684, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 19:02:21', NULL, NULL), (243685, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 19:02:22', NULL, NULL), (243686, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 19:02:23', NULL, NULL), (243687, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 19:02:23', NULL, NULL), (243688, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 19:02:24', NULL, NULL), (243689, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 19:02:25', NULL, NULL), (243690, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 19:02:26', NULL, NULL), (243691, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 19:02:27', NULL, NULL), (243692, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 19:02:27', NULL, NULL), (243693, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 19:02:28', NULL, NULL), (243694, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 19:02:29', NULL, NULL), (243695, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 19:02:30', NULL, NULL), (243696, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 19:02:31', NULL, NULL), (243697, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 19:02:32', NULL, NULL), (243698, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 19:02:32', NULL, NULL), (243699, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 19:02:33', NULL, NULL), (243700, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 19:02:34', NULL, NULL), (243701, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 19:02:35', NULL, NULL), (243702, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 19:02:36', NULL, NULL), (243703, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 19:02:37', NULL, NULL), (243704, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 19:02:38', NULL, NULL), (243705, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 19:02:39', NULL, NULL), (243706, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 19:02:40', NULL, NULL), (243707, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 19:02:41', NULL, NULL), (243708, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 19:02:42', NULL, NULL), (243709, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 19:02:43', NULL, NULL), (243710, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 19:02:45', NULL, NULL), (243711, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 19:02:46', NULL, NULL), (243712, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 19:02:47', NULL, NULL), (243713, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 19:02:49', NULL, NULL), (243714, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 19:02:50', NULL, NULL), (243715, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 19:02:51', NULL, NULL), (243716, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 19:02:53', NULL, NULL), (243717, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 19:02:54', NULL, NULL), (243718, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 19:02:55', NULL, NULL), (243719, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 19:02:57', NULL, NULL), (243720, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 19:02:58', NULL, NULL), (243721, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 19:02:59', NULL, NULL), (243722, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 19:03:01', NULL, NULL), (243723, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 19:03:02', NULL, NULL), (243724, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 19:03:03', NULL, NULL), (243725, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 19:03:05', NULL, NULL), (243726, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 19:03:06', NULL, NULL), (243727, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 19:03:07', NULL, NULL), (243728, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 19:03:09', NULL, NULL), (243729, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 19:03:10', NULL, NULL), (243730, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 19:03:11', NULL, NULL), (243731, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 19:03:13', NULL, NULL), (243732, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 19:03:14', NULL, NULL), (243733, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 19:03:15', NULL, NULL), (243734, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 19:03:17', NULL, NULL), (243735, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 19:03:18', NULL, NULL), (243736, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 19:03:19', NULL, NULL), (243737, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 19:03:21', NULL, NULL), (243738, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 19:03:22', NULL, NULL), (243739, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 19:03:24', NULL, NULL), (243740, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 19:03:25', NULL, NULL), (243741, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 19:03:26', NULL, NULL), (243742, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 19:03:28', NULL, NULL), (243743, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 19:03:29', NULL, NULL), (243744, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 19:03:30', NULL, NULL), (243745, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 19:03:32', NULL, NULL), (243746, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 19:03:33', NULL, NULL), (243747, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 19:03:34', NULL, NULL), (243748, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 19:03:36', NULL, NULL), (243749, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 19:03:37', NULL, NULL), (243750, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 19:03:38', NULL, NULL), (243751, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 19:03:40', NULL, NULL), (243752, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 19:03:41', NULL, NULL), (243753, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 19:03:43', NULL, NULL), (243754, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 19:03:44', NULL, NULL), (243755, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 19:03:45', NULL, NULL), (243756, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 19:03:47', NULL, NULL), (243757, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 19:03:48', NULL, NULL), (243758, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 19:03:50', NULL, NULL), (243759, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 19:03:51', NULL, NULL), (243760, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 19:03:52', NULL, NULL), (243761, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 19:03:54', NULL, NULL), (243762, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 19:03:55', NULL, NULL), (243763, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 19:03:56', NULL, NULL), (243764, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 19:03:58', NULL, NULL), (243765, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 19:03:59', NULL, NULL), (243766, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 19:04:01', NULL, NULL), (243767, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 19:04:02', NULL, NULL), (243768, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 19:04:03', NULL, NULL), (243769, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 19:04:05', NULL, NULL), (243770, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 19:04:06', NULL, NULL), (243771, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 19:04:07', NULL, NULL), (243772, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 19:04:08', NULL, NULL), (243773, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 19:04:09', NULL, NULL), (243774, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 19:04:09', NULL, NULL), (243775, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 19:04:10', NULL, NULL), (243776, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 19:04:11', NULL, NULL), (243777, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 19:04:12', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (243778, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 19:04:12', NULL, NULL), (243779, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 19:04:13', NULL, NULL), (243780, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 19:04:14', NULL, NULL), (243781, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 19:04:15', NULL, NULL), (243782, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 19:04:15', NULL, NULL), (243783, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 19:04:16', NULL, NULL), (243784, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 19:04:17', NULL, NULL), (243785, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 19:04:18', NULL, NULL), (243786, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 19:04:19', NULL, NULL), (243787, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 19:04:19', NULL, NULL), (243788, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 19:04:20', NULL, NULL), (243789, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 19:04:21', NULL, NULL), (243790, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 19:04:22', NULL, NULL), (243791, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 19:04:23', NULL, NULL), (243792, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 19:04:24', NULL, NULL), (243793, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 19:04:24', NULL, NULL), (243794, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 19:04:25', NULL, NULL), (243795, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 19:04:26', NULL, NULL), (243796, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 19:04:27', NULL, NULL), (243797, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 19:04:28', NULL, NULL), (243798, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 19:04:29', NULL, NULL), (243799, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 19:04:30', NULL, NULL), (243800, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 19:04:31', NULL, NULL), (243801, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 19:04:33', NULL, NULL), (243802, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 19:04:34', NULL, NULL), (243803, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 19:04:35', NULL, NULL), (243804, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 19:04:37', NULL, NULL), (243805, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 19:04:38', NULL, NULL), (243806, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 19:04:39', NULL, NULL), (243807, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 19:04:41', NULL, NULL), (243808, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 19:04:42', NULL, NULL), (243809, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 19:04:44', NULL, NULL), (243810, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 19:04:45', NULL, NULL), (243811, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 19:04:46', NULL, NULL), (243812, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 19:04:48', NULL, NULL), (243813, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 19:04:49', NULL, NULL), (243814, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 19:04:50', NULL, NULL), (243815, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 19:04:52', NULL, NULL), (243816, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 19:04:53', NULL, NULL), (243817, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 19:04:54', NULL, NULL), (243818, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 19:04:56', NULL, NULL), (243819, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 19:04:57', NULL, NULL), (243820, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 19:04:58', NULL, NULL), (243821, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 19:05:00', NULL, NULL), (243822, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 19:05:01', NULL, NULL), (243823, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 19:05:02', NULL, NULL), (243824, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 19:05:04', NULL, NULL), (243825, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 19:05:05', NULL, NULL), (243826, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 19:05:07', NULL, NULL), (243827, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 19:05:08', NULL, NULL), (243828, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 19:05:09', NULL, NULL), (243829, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 19:05:11', NULL, NULL), (243830, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 19:05:11', NULL, NULL), (243831, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 19:05:12', NULL, NULL), (243832, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 19:05:13', NULL, NULL), (243833, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 19:05:14', NULL, NULL), (243834, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 19:05:14', NULL, NULL), (243835, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 19:05:15', NULL, NULL), (243836, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 19:05:16', NULL, NULL), (243837, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 19:05:17', NULL, NULL), (243838, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 19:05:17', NULL, NULL), (243839, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 19:05:18', NULL, NULL), (243840, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 19:05:19', NULL, NULL), (243841, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 19:05:20', NULL, NULL), (243842, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 19:05:21', NULL, NULL), (243843, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 19:05:21', NULL, NULL), (243844, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 19:05:22', NULL, NULL), (243845, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 19:05:23', NULL, NULL), (243846, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 19:05:24', NULL, NULL), (243847, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 19:05:25', NULL, NULL), (243848, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 19:05:25', NULL, NULL), (243849, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 19:05:26', NULL, NULL), (243850, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 19:05:27', NULL, NULL), (243851, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 19:05:28', NULL, NULL), (243852, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 19:05:29', NULL, NULL), (243853, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 19:05:30', NULL, NULL), (243854, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 19:05:31', NULL, NULL), (243855, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 19:05:32', NULL, NULL), (243856, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 19:05:33', NULL, NULL), (243857, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 19:05:34', NULL, NULL), (243858, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 19:05:35', NULL, NULL), (243859, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 19:05:36', NULL, NULL), (243860, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 19:05:38', NULL, NULL), (243861, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 19:05:39', NULL, NULL), (243862, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 19:05:40', NULL, NULL), (243863, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 19:05:42', NULL, NULL), (243864, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 19:05:43', NULL, NULL), (243865, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 19:05:44', NULL, NULL), (243866, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 19:05:46', NULL, NULL), (243867, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 19:05:47', NULL, NULL), (243868, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 19:05:48', NULL, NULL), (243869, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 19:05:50', NULL, NULL), (243870, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 19:05:51', NULL, NULL), (243871, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 19:05:53', NULL, NULL), (243872, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 19:05:54', NULL, NULL), (243873, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 19:05:55', NULL, NULL), (243874, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 19:05:57', NULL, NULL), (243875, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 19:05:58', NULL, NULL), (243876, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 19:05:59', NULL, NULL), (243877, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 19:06:01', NULL, NULL), (243878, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 19:06:02', NULL, NULL), (243879, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 19:06:03', NULL, NULL), (243880, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 19:06:05', NULL, NULL), (243881, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 19:06:06', NULL, NULL), (243882, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 19:06:08', NULL, NULL), (243883, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 19:06:09', NULL, NULL), (243884, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 19:06:10', NULL, NULL), (243885, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 19:06:12', NULL, NULL), (243886, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 19:06:13', NULL, NULL), (243887, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 19:06:14', NULL, NULL), (243888, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 19:06:16', NULL, NULL), (243889, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 19:06:17', NULL, NULL), (243890, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 19:06:18', NULL, NULL), (243891, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 19:06:19', NULL, NULL), (243892, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 19:06:20', NULL, NULL), (243893, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 19:06:20', NULL, NULL), (243894, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 19:06:21', NULL, NULL), (243895, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 19:06:22', NULL, NULL), (243896, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 19:06:23', NULL, NULL), (243897, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 19:06:23', NULL, NULL), (243898, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 19:06:24', NULL, NULL), (243899, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 19:06:25', NULL, NULL), (243900, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 19:06:26', NULL, NULL), (243901, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 19:06:27', NULL, NULL), (243902, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 19:06:27', NULL, NULL), (243903, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 19:06:28', NULL, NULL), (243904, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 19:06:29', NULL, NULL), (243905, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 19:06:30', NULL, NULL), (243906, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 19:06:31', NULL, NULL), (243907, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 19:06:31', NULL, NULL), (243908, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 19:06:32', NULL, NULL), (243909, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 19:06:33', NULL, NULL), (243910, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 19:06:34', NULL, NULL), (243911, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 19:06:35', NULL, NULL), (243912, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 19:06:36', NULL, NULL), (243913, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 19:06:36', NULL, NULL), (243914, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 19:06:37', NULL, NULL), (243915, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 19:06:38', NULL, NULL), (243916, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 19:06:39', NULL, NULL), (243917, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 19:06:40', NULL, NULL), (243918, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 19:06:41', NULL, NULL), (243919, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 19:06:43', NULL, NULL), (243920, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 19:06:44', NULL, NULL), (243921, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 19:06:45', NULL, NULL), (243922, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 19:06:47', NULL, NULL), (243923, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 19:06:48', NULL, NULL), (243924, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 19:06:50', NULL, NULL), (243925, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 19:06:51', NULL, NULL), (243926, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 19:06:52', NULL, NULL), (243927, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 19:06:54', NULL, NULL), (243928, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 19:06:55', NULL, NULL), (243929, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 19:06:56', NULL, NULL), (243930, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 19:06:58', NULL, NULL), (243931, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 19:06:59', NULL, NULL), (243932, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 19:07:01', NULL, NULL), (243933, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 19:07:02', NULL, NULL), (243934, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 19:07:03', NULL, NULL), (243935, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 19:07:05', NULL, NULL), (243936, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 19:07:06', NULL, NULL), (243937, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 19:07:07', NULL, NULL), (243938, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 19:07:09', NULL, NULL), (243939, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 19:07:10', NULL, NULL), (243940, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 19:07:11', NULL, NULL), (243941, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 19:07:13', NULL, NULL), (243942, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 19:07:14', NULL, NULL), (243943, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 19:07:16', NULL, NULL), (243944, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 19:07:17', NULL, NULL), (243945, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 19:07:18', NULL, NULL), (243946, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 19:07:19', NULL, NULL), (243947, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 19:07:20', NULL, NULL), (243948, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 19:07:20', NULL, NULL), (243949, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 19:07:21', NULL, NULL), (243950, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 19:07:22', NULL, NULL), (243951, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 19:07:23', NULL, NULL), (243952, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 19:07:23', NULL, NULL), (243953, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 19:07:24', NULL, NULL), (243954, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 19:07:25', NULL, NULL), (243955, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 19:07:26', NULL, NULL), (243956, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 19:07:27', NULL, NULL), (243957, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 19:07:27', NULL, NULL), (243958, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 19:07:28', NULL, NULL), (243959, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 19:07:29', NULL, NULL), (243960, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 19:07:30', NULL, NULL), (243961, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 19:07:31', NULL, NULL), (243962, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 19:07:31', NULL, NULL), (243963, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 19:07:32', NULL, NULL), (243964, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 19:07:33', NULL, NULL), (243965, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 19:07:34', NULL, NULL), (243966, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 19:07:35', NULL, NULL), (243967, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 19:07:36', NULL, NULL), (243968, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 19:07:36', NULL, NULL), (243969, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 19:07:37', NULL, NULL), (243970, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 19:07:38', NULL, NULL), (243971, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 19:07:39', NULL, NULL), (243972, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 19:07:40', NULL, NULL), (243973, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 19:07:41', NULL, NULL), (243974, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 19:07:43', NULL, NULL), (243975, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 19:07:44', NULL, NULL), (243976, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 19:07:45', NULL, NULL), (243977, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 19:07:47', NULL, NULL), (243978, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 19:07:48', NULL, NULL), (243979, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 19:07:49', NULL, NULL), (243980, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 19:07:51', NULL, NULL), (243981, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 19:07:52', NULL, NULL), (243982, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 19:07:53', NULL, NULL), (243983, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 19:07:55', NULL, NULL), (243984, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 19:07:56', NULL, NULL), (243985, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 19:07:58', NULL, NULL), (243986, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 19:07:59', NULL, NULL), (243987, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 19:08:00', NULL, NULL), (243988, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 19:08:02', NULL, NULL), (243989, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 19:08:03', NULL, NULL), (243990, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 19:08:04', NULL, NULL), (243991, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 19:08:06', NULL, NULL), (243992, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 19:08:07', NULL, NULL), (243993, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 19:08:09', NULL, NULL), (243994, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 19:08:10', NULL, NULL), (243995, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 19:08:11', NULL, NULL), (243996, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 19:08:13', NULL, NULL), (243997, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 19:08:14', NULL, NULL), (243998, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 19:08:15', NULL, NULL), (243999, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 19:08:17', NULL, NULL), (244000, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 19:08:18', NULL, NULL), (244001, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 19:08:20', NULL, NULL), (244002, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 19:08:21', NULL, NULL), (244003, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 19:08:22', NULL, NULL), (244004, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 19:08:22', NULL, NULL), (244005, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 19:08:23', NULL, NULL), (244006, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 19:08:24', NULL, NULL), (244007, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 19:08:25', NULL, NULL), (244008, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 19:08:25', NULL, NULL), (244009, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 19:08:26', NULL, NULL), (244010, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 19:08:27', NULL, NULL), (244011, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 19:08:28', NULL, NULL), (244012, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 19:08:29', NULL, NULL), (244013, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 19:08:29', NULL, NULL), (244014, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 19:08:30', NULL, NULL), (244015, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 19:08:31', NULL, NULL), (244016, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 19:08:32', NULL, NULL), (244017, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 19:08:33', NULL, NULL), (244018, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 19:08:33', NULL, NULL), (244019, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 19:08:34', NULL, NULL), (244020, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 19:08:35', NULL, NULL), (244021, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 19:08:36', NULL, NULL), (244022, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 19:08:37', NULL, NULL), (244023, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 19:08:38', NULL, NULL), (244024, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 19:08:39', NULL, NULL), (244025, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 19:08:40', NULL, NULL), (244026, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 19:08:41', NULL, NULL), (244027, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 19:08:42', NULL, NULL), (244028, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 19:08:43', NULL, NULL), (244029, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 19:08:44', NULL, NULL), (244030, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 19:08:45', NULL, NULL), (244031, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 19:08:47', NULL, NULL), (244032, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 19:08:49', NULL, NULL), (244033, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 19:08:53', NULL, NULL), (244034, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 19:08:57', NULL, NULL), (244035, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 19:09:00', NULL, NULL), (244036, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 19:09:02', NULL, NULL), (244037, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 19:09:02', 1, '2024-08-05 22:12:21'), (244038, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 19:09:03', 1, '2024-08-06 02:01:32'), (244039, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 19:09:04', 1, '2024-08-07 01:00:18'), (244040, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 19:09:05', 1, '2024-08-08 01:00:25'), (244041, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 19:09:06', 1, '2024-08-09 01:00:19'), (244042, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 19:10:05', NULL, NULL), (244043, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 19:10:07', NULL, NULL), (244044, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 19:10:08', NULL, NULL), (244045, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 19:10:09', NULL, NULL), (244046, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 19:10:11', NULL, NULL), (244047, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 19:10:13', NULL, NULL), (244048, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 19:10:17', NULL, NULL), (244049, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 19:10:20', NULL, NULL), (244050, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 19:10:24', NULL, NULL), (244051, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 19:10:28', NULL, NULL), (244052, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 19:10:29', NULL, NULL), (244053, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 19:10:30', NULL, NULL), (244054, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 19:10:30', NULL, NULL), (244055, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 19:10:31', NULL, NULL), (244056, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 19:10:32', NULL, NULL), (244057, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 19:10:33', NULL, NULL), (244058, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 19:10:34', NULL, NULL), (244059, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 19:10:34', NULL, NULL), (244060, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 19:10:35', NULL, NULL), (244061, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 19:10:36', NULL, NULL), (244062, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 19:10:37', NULL, NULL), (244063, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 19:10:38', NULL, NULL), (244064, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 19:10:39', NULL, NULL), (244065, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 19:10:39', NULL, NULL), (244066, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 19:10:40', NULL, NULL), (244067, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 19:10:41', NULL, NULL), (244068, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 19:10:42', NULL, NULL), (244069, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 19:10:43', NULL, NULL), (244070, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 19:10:44', NULL, NULL), (244071, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 19:10:45', NULL, NULL), (244072, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 19:10:46', NULL, NULL), (244073, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 19:10:47', NULL, NULL), (244074, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 19:10:47', NULL, NULL), (244075, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 19:10:48', NULL, NULL), (244076, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 19:10:49', NULL, NULL), (244077, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 19:10:50', NULL, NULL), (244078, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 19:10:51', NULL, NULL), (244079, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 19:10:53', NULL, NULL), (244080, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 19:10:54', NULL, NULL), (244081, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 19:10:57', NULL, NULL), (244082, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 19:11:01', NULL, NULL), (244083, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 19:11:04', NULL, NULL), (244084, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 19:11:07', NULL, NULL), (244085, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 19:11:08', NULL, NULL), (244086, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 19:11:09', NULL, NULL), (244087, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 19:11:10', NULL, NULL), (244088, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 19:11:10', NULL, NULL), (244089, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 19:11:11', NULL, NULL), (244090, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 19:11:12', NULL, NULL), (244091, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 19:11:13', NULL, NULL), (244092, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 19:11:13', NULL, NULL), (244093, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 19:11:14', NULL, NULL), (244094, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 19:11:15', NULL, NULL), (244095, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 19:11:16', NULL, NULL), (244096, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 19:11:17', NULL, NULL), (244097, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 19:11:18', NULL, NULL), (244098, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 19:11:18', NULL, NULL), (244099, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 19:11:19', NULL, NULL), (244100, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 19:11:20', NULL, NULL), (244101, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 19:11:21', NULL, NULL), (244102, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 19:11:22', NULL, NULL), (244103, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 19:11:23', NULL, NULL), (244104, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 19:11:24', NULL, NULL), (244105, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 19:11:24', NULL, NULL), (244106, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 19:11:25', NULL, NULL), (244107, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 19:11:26', NULL, NULL), (244108, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 19:11:27', NULL, NULL), (244109, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 19:11:28', NULL, NULL), (244110, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 19:11:29', NULL, NULL), (244111, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 19:11:30', NULL, NULL), (244112, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 19:11:31', NULL, NULL), (244113, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 19:11:33', NULL, NULL), (244114, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 19:11:34', NULL, NULL), (244115, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 19:11:35', NULL, NULL), (244116, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 19:11:37', NULL, NULL), (244117, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 19:11:38', NULL, NULL), (244118, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 19:11:39', NULL, NULL), (244119, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 19:11:41', NULL, NULL), (244120, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 19:11:42', NULL, NULL), (244121, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 19:11:44', NULL, NULL), (244122, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 19:11:45', NULL, NULL), (244123, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 19:11:46', NULL, NULL), (244124, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 19:11:48', NULL, NULL), (244125, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 19:11:49', NULL, NULL), (244126, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 19:11:50', NULL, NULL), (244127, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 19:11:52', NULL, NULL), (244128, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 19:11:53', NULL, NULL), (244129, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 19:11:54', NULL, NULL), (244130, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 19:11:56', NULL, NULL), (244131, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 19:11:57', NULL, NULL), (244132, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 19:11:58', NULL, NULL), (244133, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 19:12:00', NULL, NULL), (244134, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 19:12:01', NULL, NULL), (244135, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 19:12:03', NULL, NULL), (244136, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 19:12:04', NULL, NULL), (244137, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 19:12:05', NULL, NULL), (244138, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 19:12:07', NULL, NULL), (244139, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 19:12:08', NULL, NULL), (244140, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 19:12:09', NULL, NULL), (244141, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 19:12:11', NULL, NULL), (244142, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 19:12:12', NULL, NULL), (244143, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 19:12:13', NULL, NULL), (244144, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 19:12:15', NULL, NULL), (244145, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 19:12:16', NULL, NULL), (244146, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 19:12:18', NULL, NULL), (244147, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 19:12:19', NULL, NULL), (244148, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 19:12:20', NULL, NULL), (244149, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 19:12:22', NULL, NULL), (244150, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 19:12:23', NULL, NULL), (244151, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 19:12:23', NULL, NULL), (244152, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 19:12:24', NULL, NULL), (244153, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 19:12:25', NULL, NULL), (244154, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 19:12:26', NULL, NULL), (244155, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 19:12:26', NULL, NULL), (244156, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 19:12:27', NULL, NULL), (244157, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 19:12:28', NULL, NULL), (244158, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 19:12:29', NULL, NULL), (244159, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 19:12:29', NULL, NULL), (244160, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 19:12:30', NULL, NULL), (244161, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 19:12:31', NULL, NULL), (244162, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 19:12:32', NULL, NULL), (244163, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 19:12:33', NULL, NULL), (244164, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 19:12:33', NULL, NULL), (244165, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 19:12:34', NULL, NULL), (244166, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 19:12:35', NULL, NULL), (244167, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 19:12:36', NULL, NULL), (244168, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 19:12:37', NULL, NULL), (244169, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 19:12:38', NULL, NULL), (244170, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 19:12:38', NULL, NULL), (244171, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 19:12:39', NULL, NULL), (244172, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 19:12:40', NULL, NULL), (244173, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 19:12:41', NULL, NULL), (244174, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 19:12:42', NULL, NULL), (244175, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 19:12:43', NULL, NULL), (244176, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 19:12:44', NULL, NULL), (244177, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 19:12:45', NULL, NULL), (244178, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 19:12:46', NULL, NULL), (244179, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 19:12:47', NULL, NULL), (244180, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 19:12:49', NULL, NULL), (244181, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 19:12:50', NULL, NULL), (244182, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 19:12:51', NULL, NULL), (244183, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 19:12:53', NULL, NULL), (244184, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 19:12:54', NULL, NULL), (244185, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 19:12:55', NULL, NULL), (244186, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 19:12:57', NULL, NULL), (244187, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 19:12:58', NULL, NULL), (244188, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 19:13:00', NULL, NULL), (244189, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 19:13:01', NULL, NULL), (244190, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 19:13:02', NULL, NULL), (244191, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 19:13:04', NULL, NULL), (244192, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 19:13:05', NULL, NULL), (244193, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 19:13:06', NULL, NULL), (244194, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 19:13:08', NULL, NULL), (244195, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 19:13:09', NULL, NULL), (244196, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 19:13:10', NULL, NULL), (244197, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 19:13:12', NULL, NULL), (244198, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 19:13:13', NULL, NULL), (244199, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 19:13:15', NULL, NULL), (244200, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 19:13:16', NULL, NULL), (244201, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 19:13:17', NULL, NULL), (244202, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 19:13:19', NULL, NULL), (244203, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 19:13:20', NULL, NULL), (244204, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 19:13:21', NULL, NULL), (244205, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 19:13:23', NULL, NULL), (244206, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 19:13:24', NULL, NULL), (244207, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 19:13:25', NULL, NULL), (244208, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 19:13:27', NULL, NULL), (244209, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 19:13:28', NULL, NULL), (244210, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 19:13:29', NULL, NULL), (244211, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 19:13:31', NULL, NULL), (244212, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 19:13:31', NULL, NULL), (244213, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 19:13:32', NULL, NULL), (244214, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 19:13:33', NULL, NULL), (244215, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 19:13:34', NULL, NULL), (244216, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 19:13:34', NULL, NULL), (244217, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 19:13:35', NULL, NULL), (244218, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 19:13:36', NULL, NULL), (244219, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 19:13:37', NULL, NULL), (244220, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 19:13:38', NULL, NULL), (244221, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 19:13:38', NULL, NULL), (244222, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 19:13:39', NULL, NULL), (244223, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 19:13:40', NULL, NULL), (244224, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 19:13:41', NULL, NULL), (244225, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 19:13:42', NULL, NULL), (244226, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 19:13:43', NULL, NULL), (244227, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 19:13:44', NULL, NULL), (244228, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 19:13:45', NULL, NULL), (244229, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 19:13:46', NULL, NULL), (244230, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 19:13:47', NULL, NULL), (244231, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 19:13:48', NULL, NULL), (244232, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 19:13:49', NULL, NULL), (244233, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 19:13:50', NULL, NULL), (244234, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 19:13:51', NULL, NULL), (244235, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 19:13:52', NULL, NULL), (244236, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 19:13:53', NULL, NULL), (244237, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 19:13:54', NULL, NULL), (244238, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 19:13:55', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (244239, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 19:13:57', NULL, NULL), (244240, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 19:14:01', NULL, NULL), (244241, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 19:14:04', NULL, NULL), (244242, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 19:14:08', NULL, NULL), (244243, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 19:14:11', NULL, NULL), (244244, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 19:14:11', NULL, NULL), (244245, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 19:14:12', NULL, NULL), (244246, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 19:14:13', NULL, NULL), (244247, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 19:14:14', NULL, NULL), (244248, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 19:14:14', NULL, NULL), (244249, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 19:14:15', NULL, NULL), (244250, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 19:14:16', NULL, NULL), (244251, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 19:14:17', NULL, NULL), (244252, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 19:14:18', NULL, NULL), (244253, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 19:14:18', NULL, NULL), (244254, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 19:14:19', NULL, NULL), (244255, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 19:14:20', NULL, NULL), (244256, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 19:14:21', NULL, NULL), (244257, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 19:14:22', NULL, NULL), (244258, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 19:14:23', NULL, NULL), (244259, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 19:14:23', NULL, NULL), (244260, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 19:14:24', NULL, NULL), (244261, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 19:14:25', NULL, NULL), (244262, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 19:14:26', NULL, NULL), (244263, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 19:14:27', NULL, NULL), (244264, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 19:14:28', NULL, NULL), (244265, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 19:14:29', NULL, NULL), (244266, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 19:14:29', NULL, NULL), (244267, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 19:14:30', NULL, NULL), (244268, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 19:14:31', NULL, NULL), (244269, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 19:14:32', NULL, NULL), (244270, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 19:14:33', NULL, NULL), (244271, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 19:14:35', NULL, NULL), (244272, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 19:14:36', NULL, NULL), (244273, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 19:14:37', NULL, NULL), (244274, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 19:14:39', NULL, NULL), (244275, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 19:14:40', NULL, NULL), (244276, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 19:14:41', NULL, NULL), (244277, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 19:14:43', NULL, NULL), (244278, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 19:14:44', NULL, NULL), (244279, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 19:14:45', NULL, NULL), (244280, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 19:14:47', NULL, NULL), (244281, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 19:14:48', NULL, NULL), (244282, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 19:14:49', NULL, NULL), (244283, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 19:14:51', NULL, NULL), (244284, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 19:14:52', NULL, NULL), (244285, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 19:14:54', NULL, NULL), (244286, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 19:14:55', NULL, NULL), (244287, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 19:14:56', NULL, NULL), (244288, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 19:14:58', NULL, NULL), (244289, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 19:14:59', NULL, NULL), (244290, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 19:15:00', NULL, NULL), (244291, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 19:15:02', NULL, NULL), (244292, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 19:15:03', NULL, NULL), (244293, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 19:15:04', NULL, NULL), (244294, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 19:15:06', NULL, NULL), (244295, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 19:15:07', NULL, NULL), (244296, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 19:15:08', NULL, NULL), (244297, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 19:15:10', NULL, NULL), (244298, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 19:15:11', NULL, NULL), (244299, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 19:15:12', NULL, NULL), (244300, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 19:15:14', NULL, NULL), (244301, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 19:15:15', NULL, NULL), (244302, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 19:15:16', NULL, NULL), (244303, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 19:15:18', NULL, NULL), (244304, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 19:15:19', NULL, NULL), (244305, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 19:15:20', NULL, NULL), (244306, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 19:15:20', NULL, NULL), (244307, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 19:15:21', NULL, NULL), (244308, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 19:15:22', NULL, NULL), (244309, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 19:15:23', NULL, NULL), (244310, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 19:15:23', NULL, NULL), (244311, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 19:15:24', NULL, NULL), (244312, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 19:15:25', NULL, NULL), (244313, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 19:15:26', NULL, NULL), (244314, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 19:15:26', NULL, NULL), (244315, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 19:15:27', NULL, NULL), (244316, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 19:15:28', NULL, NULL), (244317, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 19:15:29', NULL, NULL), (244318, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 19:15:30', NULL, NULL), (244319, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 19:15:30', NULL, NULL), (244320, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 19:15:31', NULL, NULL), (244321, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 19:15:32', NULL, NULL), (244322, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 19:15:33', NULL, NULL), (244323, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 19:15:34', NULL, NULL), (244324, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 19:15:35', NULL, NULL), (244325, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 19:15:35', NULL, NULL), (244326, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 19:15:36', NULL, NULL), (244327, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 19:15:37', NULL, NULL), (244328, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 19:15:38', NULL, NULL), (244329, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 19:15:39', NULL, NULL), (244330, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 19:15:40', NULL, NULL), (244331, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 19:15:41', NULL, NULL), (244332, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 19:15:42', NULL, NULL), (244333, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 19:15:43', NULL, NULL), (244334, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 19:15:45', NULL, NULL), (244335, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 19:15:46', NULL, NULL), (244336, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 19:15:47', NULL, NULL), (244337, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 19:15:49', NULL, NULL), (244338, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 19:15:50', NULL, NULL), (244339, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 19:15:51', NULL, NULL), (244340, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 19:15:53', NULL, NULL), (244341, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 19:15:54', NULL, NULL), (244342, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 19:15:55', NULL, NULL), (244343, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 19:15:57', NULL, NULL), (244344, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 19:15:58', NULL, NULL), (244345, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 19:15:59', NULL, NULL), (244346, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 19:16:01', NULL, NULL), (244347, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 19:16:02', NULL, NULL), (244348, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 19:16:04', NULL, NULL), (244349, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 19:16:05', NULL, NULL), (244350, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 19:16:06', NULL, NULL), (244351, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 19:16:08', NULL, NULL), (244352, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 19:16:09', NULL, NULL), (244353, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 19:16:10', NULL, NULL), (244354, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 19:16:12', NULL, NULL), (244355, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 19:16:13', NULL, NULL), (244356, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 19:16:14', NULL, NULL), (244357, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 19:16:16', NULL, NULL), (244358, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 19:16:17', NULL, NULL), (244359, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 19:16:18', NULL, NULL), (244360, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 19:16:20', NULL, NULL), (244361, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 19:16:21', NULL, NULL), (244362, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 19:16:22', NULL, NULL), (244363, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 19:16:22', NULL, NULL), (244364, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 19:16:23', NULL, NULL), (244365, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 19:16:24', NULL, NULL), (244366, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 19:16:25', NULL, NULL), (244367, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 19:16:25', NULL, NULL), (244368, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 19:16:26', NULL, NULL), (244369, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 19:16:27', NULL, NULL), (244370, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 19:16:28', NULL, NULL), (244371, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 19:16:28', NULL, NULL), (244372, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 19:16:29', NULL, NULL), (244373, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 19:16:30', NULL, NULL), (244374, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 19:16:31', NULL, NULL), (244375, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 19:16:32', NULL, NULL), (244376, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 19:16:32', NULL, NULL), (244377, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 19:16:33', NULL, NULL), (244378, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 19:16:34', NULL, NULL), (244379, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 19:16:35', NULL, NULL), (244380, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 19:16:36', NULL, NULL), (244381, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 19:16:37', NULL, NULL), (244382, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 19:16:37', NULL, NULL), (244383, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 19:16:38', NULL, NULL), (244384, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 19:16:39', NULL, NULL), (244385, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 19:16:40', NULL, NULL), (244386, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 19:16:41', NULL, NULL), (244387, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 19:16:42', NULL, NULL), (244388, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 19:16:43', NULL, NULL), (244389, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 19:16:44', NULL, NULL), (244390, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 19:16:45', NULL, NULL), (244391, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 19:16:47', NULL, NULL), (244392, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 19:16:48', NULL, NULL), (244393, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 19:16:49', NULL, NULL), (244394, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 19:16:51', NULL, NULL), (244395, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 19:16:52', NULL, NULL), (244396, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 19:16:53', NULL, NULL), (244397, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 19:16:55', NULL, NULL), (244398, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 19:16:56', NULL, NULL), (244399, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 19:16:58', NULL, NULL), (244400, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 19:16:59', NULL, NULL), (244401, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 19:17:00', NULL, NULL), (244402, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 19:17:02', NULL, NULL), (244403, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 19:17:03', NULL, NULL), (244404, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 19:17:04', NULL, NULL), (244405, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 19:17:06', NULL, NULL), (244406, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 19:17:07', NULL, NULL), (244407, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 19:17:08', NULL, NULL), (244408, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 19:17:10', NULL, NULL), (244409, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 19:17:11', NULL, NULL), (244410, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 19:17:12', NULL, NULL), (244411, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 19:17:14', NULL, NULL), (244412, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 19:17:15', NULL, NULL), (244413, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 19:17:17', NULL, NULL), (244414, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 19:17:18', NULL, NULL), (244415, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 19:17:19', NULL, NULL), (244416, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 19:17:21', NULL, NULL), (244417, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 19:17:22', NULL, NULL), (244418, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 19:17:23', NULL, NULL), (244419, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 19:17:25', NULL, NULL), (244420, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 19:17:25', NULL, NULL), (244421, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 19:17:26', NULL, NULL), (244422, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 19:17:27', NULL, NULL), (244423, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 19:17:28', NULL, NULL), (244424, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 19:17:28', NULL, NULL), (244425, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 19:17:29', NULL, NULL), (244426, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 19:17:30', NULL, NULL), (244427, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 19:17:31', NULL, NULL), (244428, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 19:17:31', NULL, NULL), (244429, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 19:17:32', NULL, NULL), (244430, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 19:17:33', NULL, NULL), (244431, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 19:17:34', NULL, NULL), (244432, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 19:17:35', NULL, NULL), (244433, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 19:17:35', NULL, NULL), (244434, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 19:17:36', NULL, NULL), (244435, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 19:17:37', NULL, NULL), (244436, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 19:17:38', NULL, NULL), (244437, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 19:17:39', NULL, NULL), (244438, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 19:17:40', NULL, NULL), (244439, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 19:17:40', NULL, NULL), (244440, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 19:17:41', NULL, NULL), (244441, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 19:17:42', NULL, NULL), (244442, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 19:17:43', NULL, NULL), (244443, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 19:17:44', NULL, NULL), (244444, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 19:17:45', NULL, NULL), (244445, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 19:17:46', NULL, NULL), (244446, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 19:17:47', NULL, NULL), (244447, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 19:17:48', NULL, NULL), (244448, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 19:17:49', NULL, NULL), (244449, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 19:17:50', NULL, NULL), (244450, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 19:17:52', NULL, NULL), (244451, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 19:17:53', NULL, NULL), (244452, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 19:17:55', NULL, NULL), (244453, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 19:17:56', NULL, NULL), (244454, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 19:17:57', NULL, NULL), (244455, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 19:17:59', NULL, NULL), (244456, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 19:18:00', NULL, NULL), (244457, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 19:18:01', NULL, NULL), (244458, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 19:18:03', NULL, NULL), (244459, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 19:18:04', NULL, NULL), (244460, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 19:18:05', NULL, NULL), (244461, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 19:18:07', NULL, NULL), (244462, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 19:18:08', NULL, NULL), (244463, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 19:18:10', NULL, NULL), (244464, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 19:18:11', NULL, NULL), (244465, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 19:18:12', NULL, NULL), (244466, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 19:18:14', NULL, NULL), (244467, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 19:18:15', NULL, NULL), (244468, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 19:18:16', NULL, NULL), (244469, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 19:18:18', NULL, NULL), (244470, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 19:18:19', NULL, NULL), (244471, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 19:18:20', NULL, NULL), (244472, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 19:18:22', NULL, NULL), (244473, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 19:18:23', NULL, NULL), (244474, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 19:18:25', NULL, NULL), (244475, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 19:18:26', NULL, NULL), (244476, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 19:18:27', NULL, NULL), (244477, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 19:18:29', NULL, NULL), (244478, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 19:18:30', NULL, NULL), (244479, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 19:18:31', NULL, NULL), (244480, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 19:18:33', NULL, NULL), (244481, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 19:18:33', NULL, NULL), (244482, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 19:18:34', NULL, NULL), (244483, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 19:18:35', NULL, NULL), (244484, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 19:18:36', NULL, NULL), (244485, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 19:18:37', NULL, NULL), (244486, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 19:18:37', NULL, NULL), (244487, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 19:18:38', NULL, NULL), (244488, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 19:18:39', NULL, NULL), (244489, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 19:18:40', NULL, NULL), (244490, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 19:18:41', NULL, NULL), (244491, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 19:18:42', NULL, NULL), (244492, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 19:18:43', NULL, NULL), (244493, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 19:18:43', NULL, NULL), (244494, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 19:18:44', NULL, NULL), (244495, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 19:18:45', NULL, NULL), (244496, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 19:18:46', NULL, NULL), (244497, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 19:18:47', NULL, NULL), (244498, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 19:18:48', NULL, NULL), (244499, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 19:18:49', NULL, NULL), (244500, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 19:18:50', NULL, NULL), (244501, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 19:18:51', NULL, NULL), (244502, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 19:18:52', NULL, NULL), (244503, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 19:18:53', NULL, NULL), (244504, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 19:18:54', NULL, NULL), (244505, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 19:18:55', NULL, NULL), (244506, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 19:18:56', NULL, NULL), (244507, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 19:18:58', NULL, NULL), (244508, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 19:18:59', NULL, NULL), (244509, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 19:19:03', NULL, NULL), (244510, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 19:19:07', NULL, NULL), (244511, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 19:19:10', NULL, NULL), (244512, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 19:19:14', NULL, NULL), (244513, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 19:19:14', NULL, NULL), (244514, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 19:19:15', NULL, NULL), (244515, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 19:19:16', NULL, NULL), (244516, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 19:19:17', NULL, NULL), (244517, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 19:19:18', NULL, NULL), (244518, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 19:19:19', NULL, NULL), (244519, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 19:19:19', NULL, NULL), (244520, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 19:19:20', NULL, NULL), (244521, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 19:19:21', NULL, NULL), (244522, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 19:19:22', NULL, NULL), (244523, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 19:19:23', NULL, NULL), (244524, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 19:19:24', NULL, NULL), (244525, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 19:19:25', NULL, NULL), (244526, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 19:19:26', NULL, NULL), (244527, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 19:19:27', NULL, NULL), (244528, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 19:19:28', NULL, NULL), (244529, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 19:19:29', NULL, NULL), (244530, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 19:19:30', NULL, NULL), (244531, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 19:19:31', NULL, NULL), (244532, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 19:19:32', NULL, NULL), (244533, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 19:19:33', NULL, NULL), (244534, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 19:19:34', NULL, NULL), (244535, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 19:19:35', NULL, NULL), (244536, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 19:19:36', NULL, NULL), (244537, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 19:19:37', NULL, NULL), (244538, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 19:19:38', NULL, NULL), (244539, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 19:19:40', NULL, NULL), (244540, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 19:19:44', NULL, NULL), (244541, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 19:19:47', NULL, NULL), (244542, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 19:19:51', NULL, NULL), (244543, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 19:19:55', NULL, NULL), (244544, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 19:19:57', NULL, NULL), (244545, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 19:19:58', NULL, NULL), (244546, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 19:19:59', NULL, NULL), (244547, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 19:19:59', NULL, NULL), (244548, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 19:20:00', NULL, NULL), (244549, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 19:20:01', NULL, NULL), (244550, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 19:20:02', NULL, NULL), (244551, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 19:20:03', NULL, NULL), (244552, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 19:20:04', NULL, NULL), (244553, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 19:20:05', NULL, NULL), (244554, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 19:20:06', NULL, NULL), (244555, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 19:20:07', NULL, NULL), (244556, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 19:20:08', NULL, NULL), (244557, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 19:20:09', NULL, NULL), (244558, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 19:20:10', NULL, NULL), (244559, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 19:20:11', NULL, NULL), (244560, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 19:20:12', NULL, NULL), (244561, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 19:20:13', NULL, NULL), (244562, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 19:20:14', NULL, NULL), (244563, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 19:20:15', NULL, NULL), (244564, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 19:20:16', NULL, NULL), (244565, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 19:20:17', NULL, NULL), (244566, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 19:20:18', NULL, NULL), (244567, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 19:20:19', NULL, NULL), (244568, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 19:20:20', NULL, NULL), (244569, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 19:20:22', NULL, NULL), (244570, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 19:20:23', NULL, NULL), (244571, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 19:20:27', NULL, NULL), (244572, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 19:20:30', NULL, NULL), (244573, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 19:20:34', NULL, NULL), (244574, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 19:20:37', NULL, NULL), (244575, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 19:20:41', NULL, NULL), (244576, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 19:20:42', NULL, NULL), (244577, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 19:20:42', NULL, NULL), (244578, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 19:20:43', NULL, NULL), (244579, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 19:20:44', NULL, NULL), (244580, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 19:20:45', NULL, NULL), (244581, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 19:20:45', NULL, NULL), (244582, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 19:20:46', NULL, NULL), (244583, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 19:20:47', NULL, NULL), (244584, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 19:20:48', NULL, NULL), (244585, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 19:20:49', NULL, NULL), (244586, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 19:20:50', NULL, NULL), (244587, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 19:20:50', NULL, NULL), (244588, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 19:20:51', NULL, NULL), (244589, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 19:20:52', NULL, NULL), (244590, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 19:20:53', NULL, NULL), (244591, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 19:20:54', NULL, NULL), (244592, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 19:20:55', NULL, NULL), (244593, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 19:20:56', NULL, NULL), (244594, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 19:20:56', NULL, NULL), (244595, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 19:20:57', NULL, NULL), (244596, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 19:20:58', NULL, NULL), (244597, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 19:20:59', NULL, NULL), (244598, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 19:21:00', NULL, NULL), (244599, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 19:21:01', NULL, NULL), (244600, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 19:21:02', NULL, NULL), (244601, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 19:21:03', NULL, NULL), (244602, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 19:21:04', NULL, NULL), (244603, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 19:21:05', NULL, NULL), (244604, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 19:21:07', NULL, NULL), (244605, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 19:21:10', NULL, NULL), (244606, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 19:21:13', NULL, NULL), (244607, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 19:21:17', NULL, NULL), (244608, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 19:21:19', NULL, NULL), (244609, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 19:21:20', NULL, NULL), (244610, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 19:21:21', NULL, NULL), (244611, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 19:21:22', NULL, NULL), (244612, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 19:21:22', NULL, NULL), (244613, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 19:21:23', NULL, NULL), (244614, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 19:21:24', NULL, NULL), (244615, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 19:21:25', NULL, NULL), (244616, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 19:21:26', NULL, NULL), (244617, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 19:21:26', NULL, NULL), (244618, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 19:21:27', NULL, NULL), (244619, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 19:21:28', NULL, NULL), (244620, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 19:21:29', 1, '2024-08-05 22:12:27'), (244621, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 19:21:30', 1, '2024-08-06 02:01:33'), (244622, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 19:21:30', 1, '2024-08-07 01:00:20'), (244623, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 19:21:31', 1, '2024-08-08 01:00:25'), (244624, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 19:21:32', 1, '2024-08-09 01:00:20'), (244625, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 19:22:26', NULL, NULL), (244626, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 19:22:29', NULL, NULL), (244627, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 19:22:33', NULL, NULL), (244628, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 19:22:36', NULL, NULL), (244629, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 19:22:37', NULL, NULL), (244630, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 19:22:38', NULL, NULL), (244631, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 19:22:38', NULL, NULL), (244632, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 19:22:39', NULL, NULL), (244633, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 19:22:40', NULL, NULL), (244634, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 19:22:41', NULL, NULL), (244635, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 19:22:41', NULL, NULL), (244636, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 19:22:42', NULL, NULL), (244637, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 19:22:43', NULL, NULL), (244638, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 19:22:44', NULL, NULL), (244639, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 19:22:45', NULL, NULL), (244640, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 19:22:46', NULL, NULL), (244641, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 19:22:46', NULL, NULL), (244642, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 19:22:47', NULL, NULL), (244643, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 19:22:48', NULL, NULL), (244644, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 19:22:49', NULL, NULL), (244645, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 19:22:50', NULL, NULL), (244646, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 19:22:51', NULL, NULL), (244647, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 19:22:51', NULL, NULL), (244648, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 19:22:52', NULL, NULL), (244649, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 19:22:53', NULL, NULL), (244650, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 19:22:54', NULL, NULL), (244651, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 19:22:55', NULL, NULL), (244652, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 19:22:56', NULL, NULL), (244653, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 19:22:57', NULL, NULL), (244654, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 19:22:58', NULL, NULL), (244655, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 19:22:59', NULL, NULL), (244656, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 19:23:00', NULL, NULL), (244657, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 19:23:01', NULL, NULL), (244658, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 19:23:04', NULL, NULL), (244659, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 19:23:08', NULL, NULL), (244660, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 19:23:11', NULL, NULL), (244661, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 19:23:14', NULL, NULL), (244662, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 19:23:15', NULL, NULL), (244663, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 19:23:16', NULL, NULL), (244664, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 19:23:16', NULL, NULL), (244665, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 19:23:17', NULL, NULL), (244666, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 19:23:18', NULL, NULL), (244667, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 19:23:19', NULL, NULL), (244668, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 19:23:20', NULL, NULL), (244669, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 19:23:20', NULL, NULL), (244670, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 19:23:21', NULL, NULL), (244671, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 19:23:22', NULL, NULL), (244672, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 19:23:23', NULL, NULL), (244673, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 19:23:24', NULL, NULL), (244674, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 19:23:25', NULL, NULL), (244675, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 19:23:25', NULL, NULL), (244676, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 19:23:26', NULL, NULL), (244677, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 19:23:27', NULL, NULL), (244678, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 19:23:28', NULL, NULL), (244679, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 19:23:29', NULL, NULL), (244680, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 19:23:30', NULL, NULL), (244681, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 19:23:30', NULL, NULL), (244682, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 19:23:31', NULL, NULL), (244683, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 19:23:32', NULL, NULL), (244684, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 19:23:33', NULL, NULL), (244685, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 19:23:34', NULL, NULL), (244686, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 19:23:35', NULL, NULL), (244687, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 19:23:36', NULL, NULL), (244688, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 19:23:37', NULL, NULL), (244689, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 19:23:38', NULL, NULL), (244690, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 19:23:40', NULL, NULL), (244691, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 19:23:43', NULL, NULL), (244692, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 19:23:47', NULL, NULL), (244693, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 19:23:50', NULL, NULL), (244694, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 19:23:54', NULL, NULL), (244695, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 19:23:55', NULL, NULL), (244696, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 19:23:56', NULL, NULL), (244697, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 19:23:56', NULL, NULL), (244698, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 19:23:57', NULL, NULL), (244699, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 19:23:58', NULL, NULL), (244700, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 19:23:59', NULL, NULL), (244701, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 19:24:00', NULL, NULL), (244702, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 19:24:01', NULL, NULL), (244703, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 19:24:02', NULL, NULL), (244704, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 19:24:03', NULL, NULL), (244705, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 19:24:04', NULL, NULL), (244706, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 19:24:04', NULL, NULL), (244707, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 19:24:05', NULL, NULL), (244708, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 19:24:06', NULL, NULL), (244709, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 19:24:07', NULL, NULL), (244710, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 19:24:08', NULL, NULL), (244711, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 19:24:09', NULL, NULL), (244712, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 19:24:10', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (244713, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 19:24:11', NULL, NULL), (244714, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 19:24:12', NULL, NULL), (244715, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 19:24:13', NULL, NULL), (244716, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 19:24:14', NULL, NULL), (244717, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 19:24:15', NULL, NULL), (244718, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 19:24:16', NULL, NULL), (244719, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 19:24:17', NULL, NULL), (244720, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 19:24:18', NULL, NULL), (244721, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 19:24:19', NULL, NULL), (244722, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 19:24:22', NULL, NULL), (244723, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 19:24:25', NULL, NULL), (244724, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 19:24:29', NULL, NULL), (244725, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 19:24:32', NULL, NULL), (244726, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 19:24:34', NULL, NULL), (244727, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 19:24:35', NULL, NULL), (244728, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 19:24:36', NULL, NULL), (244729, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 19:24:37', NULL, NULL), (244730, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 19:24:38', NULL, NULL), (244731, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 19:24:38', NULL, NULL), (244732, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 19:24:39', NULL, NULL), (244733, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 19:24:40', NULL, NULL), (244734, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 19:24:41', NULL, NULL), (244735, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 19:24:42', NULL, NULL), (244736, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 19:24:42', NULL, NULL), (244737, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 19:24:43', NULL, NULL), (244738, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 19:24:44', NULL, NULL), (244739, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 19:24:45', NULL, NULL), (244740, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 19:24:46', NULL, NULL), (244741, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 19:24:47', NULL, NULL), (244742, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 19:24:47', NULL, NULL), (244743, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 19:24:48', NULL, NULL), (244744, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 19:24:49', NULL, NULL), (244745, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 19:24:50', NULL, NULL), (244746, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 19:24:51', NULL, NULL), (244747, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 19:24:52', NULL, NULL), (244748, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 19:24:53', NULL, NULL), (244749, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 19:24:54', NULL, NULL), (244750, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 19:24:55', NULL, NULL), (244751, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 19:24:55', NULL, NULL), (244752, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 19:24:56', NULL, NULL), (244753, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 19:24:58', NULL, NULL), (244754, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 19:24:59', NULL, NULL), (244755, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 19:25:01', NULL, NULL), (244756, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 19:25:04', NULL, NULL), (244757, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 19:25:08', NULL, NULL), (244758, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 19:25:11', NULL, NULL), (244759, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 19:25:13', NULL, NULL), (244760, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 19:25:13', NULL, NULL), (244761, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 19:25:14', NULL, NULL), (244762, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 19:25:15', NULL, NULL), (244763, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 19:25:16', NULL, NULL), (244764, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 19:25:16', NULL, NULL), (244765, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 19:25:17', NULL, NULL), (244766, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 19:25:18', NULL, NULL), (244767, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 19:25:19', NULL, NULL), (244768, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 19:25:20', NULL, NULL), (244769, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 19:25:21', NULL, NULL), (244770, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 19:25:21', NULL, NULL), (244771, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 19:25:22', NULL, NULL), (244772, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 19:25:23', NULL, NULL), (244773, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 19:25:24', NULL, NULL), (244774, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 19:25:25', NULL, NULL), (244775, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 19:25:26', NULL, NULL), (244776, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 19:25:26', NULL, NULL), (244777, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 19:25:27', NULL, NULL), (244778, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 19:25:28', NULL, NULL), (244779, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 19:25:29', NULL, NULL), (244780, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 19:25:30', NULL, NULL), (244781, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 19:25:31', NULL, NULL), (244782, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 19:25:32', NULL, NULL), (244783, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 19:25:33', NULL, NULL), (244784, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 19:25:34', NULL, NULL), (244785, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 19:25:35', NULL, NULL), (244786, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 19:25:36', NULL, NULL), (244787, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 19:25:37', NULL, NULL), (244788, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 19:25:38', NULL, NULL), (244789, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 19:25:40', NULL, NULL), (244790, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 19:25:41', NULL, NULL), (244791, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 19:25:42', NULL, NULL), (244792, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 19:25:44', NULL, NULL), (244793, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 19:25:45', NULL, NULL), (244794, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 19:25:47', NULL, NULL), (244795, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 19:25:48', NULL, NULL), (244796, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 19:25:49', NULL, NULL), (244797, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 19:25:51', NULL, NULL), (244798, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 19:25:52', NULL, NULL), (244799, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 19:25:53', NULL, NULL), (244800, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 19:25:55', NULL, NULL), (244801, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 19:25:56', NULL, NULL), (244802, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 19:25:57', NULL, NULL), (244803, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 19:25:59', NULL, NULL), (244804, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 19:26:00', NULL, NULL), (244805, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 19:26:02', NULL, NULL), (244806, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 19:26:03', NULL, NULL), (244807, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 19:26:04', NULL, NULL), (244808, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 19:26:06', NULL, NULL), (244809, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 19:26:07', NULL, NULL), (244810, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 19:26:08', NULL, NULL), (244811, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 19:26:10', NULL, NULL), (244812, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 19:26:11', NULL, NULL), (244813, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 19:26:12', NULL, NULL), (244814, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 19:26:14', NULL, NULL), (244815, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 19:26:15', NULL, NULL), (244816, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 19:26:17', NULL, NULL), (244817, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 19:26:18', NULL, NULL), (244818, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 19:26:19', NULL, NULL), (244819, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 19:26:21', NULL, NULL), (244820, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 19:26:22', NULL, NULL), (244821, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 19:26:23', NULL, NULL), (244822, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 19:26:25', NULL, NULL), (244823, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 19:26:26', NULL, NULL), (244824, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 19:26:27', NULL, NULL), (244825, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 19:26:29', NULL, NULL), (244826, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 19:26:30', NULL, NULL), (244827, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 19:26:31', NULL, NULL), (244828, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 19:26:32', NULL, NULL), (244829, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 19:26:32', NULL, NULL), (244830, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 19:26:33', NULL, NULL), (244831, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 19:26:34', NULL, NULL), (244832, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 19:26:35', NULL, NULL), (244833, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 19:26:35', NULL, NULL), (244834, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 19:26:36', NULL, NULL), (244835, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 19:26:37', NULL, NULL), (244836, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 19:26:38', NULL, NULL), (244837, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 19:26:39', NULL, NULL), (244838, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 19:26:39', NULL, NULL), (244839, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 19:26:40', NULL, NULL), (244840, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 19:26:41', NULL, NULL), (244841, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 19:26:42', NULL, NULL), (244842, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 19:26:43', NULL, NULL), (244843, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 19:26:43', NULL, NULL), (244844, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 19:26:44', NULL, NULL), (244845, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 19:26:45', NULL, NULL), (244846, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 19:26:46', NULL, NULL), (244847, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 19:26:47', NULL, NULL), (244848, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 19:26:48', NULL, NULL), (244849, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 19:26:48', NULL, NULL), (244850, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 19:26:49', NULL, NULL), (244851, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 19:26:50', NULL, NULL), (244852, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 19:26:51', NULL, NULL), (244853, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 19:26:52', NULL, NULL), (244854, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 19:26:53', NULL, NULL), (244855, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 19:26:54', NULL, NULL), (244856, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 19:26:56', NULL, NULL), (244857, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 19:26:57', NULL, NULL), (244858, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 19:26:58', NULL, NULL), (244859, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 19:27:00', NULL, NULL), (244860, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 19:27:01', NULL, NULL), (244861, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 19:27:02', NULL, NULL), (244862, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 19:27:04', NULL, NULL), (244863, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 19:27:05', NULL, NULL), (244864, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 19:27:07', NULL, NULL), (244865, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 19:27:08', NULL, NULL), (244866, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 19:27:09', NULL, NULL), (244867, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 19:27:11', NULL, NULL), (244868, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 19:27:12', NULL, NULL), (244869, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 19:27:13', NULL, NULL), (244870, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 19:27:15', NULL, NULL), (244871, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 19:27:16', NULL, NULL), (244872, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 19:27:17', NULL, NULL), (244873, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 19:27:19', NULL, NULL), (244874, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 19:27:20', NULL, NULL), (244875, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 19:27:21', NULL, NULL), (244876, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 19:27:23', NULL, NULL), (244877, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 19:27:24', NULL, NULL), (244878, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 19:27:26', NULL, NULL), (244879, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 19:27:27', NULL, NULL), (244880, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 19:27:28', NULL, NULL), (244881, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 19:27:30', NULL, NULL), (244882, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 19:27:31', NULL, NULL), (244883, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 19:27:32', NULL, NULL), (244884, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 19:27:34', NULL, NULL), (244885, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 19:27:35', NULL, NULL), (244886, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 19:27:36', NULL, NULL), (244887, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 19:27:38', NULL, NULL), (244888, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 19:27:39', NULL, NULL), (244889, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 19:27:40', NULL, NULL), (244890, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 19:27:42', NULL, NULL), (244891, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 19:27:43', NULL, NULL), (244892, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 19:27:44', NULL, NULL), (244893, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 19:27:46', NULL, NULL), (244894, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 19:27:47', NULL, NULL), (244895, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 19:27:47', NULL, NULL), (244896, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 19:27:48', NULL, NULL), (244897, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 19:27:49', NULL, NULL), (244898, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 19:27:50', NULL, NULL), (244899, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 19:27:50', NULL, NULL), (244900, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 19:27:51', NULL, NULL), (244901, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 19:27:52', NULL, NULL), (244902, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 19:27:53', NULL, NULL), (244903, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 19:27:53', NULL, NULL), (244904, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 19:27:54', NULL, NULL), (244905, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 19:27:55', NULL, NULL), (244906, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 19:27:56', NULL, NULL), (244907, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 19:27:57', NULL, NULL), (244908, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 19:27:57', NULL, NULL), (244909, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 19:27:58', NULL, NULL), (244910, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 19:27:59', NULL, NULL), (244911, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 19:28:00', NULL, NULL), (244912, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 19:28:01', NULL, NULL), (244913, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 19:28:02', NULL, NULL), (244914, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 19:28:02', NULL, NULL), (244915, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 19:28:03', NULL, NULL), (244916, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 19:28:04', NULL, NULL), (244917, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 19:28:05', NULL, NULL), (244918, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 19:28:06', NULL, NULL), (244919, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 19:28:07', NULL, NULL), (244920, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 19:28:08', NULL, NULL), (244921, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 19:28:09', NULL, NULL), (244922, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 19:28:10', NULL, NULL), (244923, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 19:28:11', NULL, NULL), (244924, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 19:28:13', NULL, NULL), (244925, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 19:28:14', NULL, NULL), (244926, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 19:28:15', NULL, NULL), (244927, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 19:28:17', NULL, NULL), (244928, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 19:28:18', NULL, NULL), (244929, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 19:28:19', NULL, NULL), (244930, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 19:28:21', NULL, NULL), (244931, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 19:28:22', NULL, NULL), (244932, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 19:28:23', NULL, NULL), (244933, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 19:28:25', NULL, NULL), (244934, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 19:28:26', NULL, NULL), (244935, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 19:28:27', NULL, NULL), (244936, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 19:28:29', NULL, NULL), (244937, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 19:28:30', NULL, NULL), (244938, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 19:28:32', NULL, NULL), (244939, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 19:28:33', NULL, NULL), (244940, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 19:28:34', NULL, NULL), (244941, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 19:28:36', NULL, NULL), (244942, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 19:28:37', NULL, NULL), (244943, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 19:28:38', NULL, NULL), (244944, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 19:28:40', NULL, NULL), (244945, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 19:28:41', NULL, NULL), (244946, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 19:28:43', NULL, NULL), (244947, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 19:28:44', NULL, NULL), (244948, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 19:28:45', NULL, NULL), (244949, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 19:28:47', NULL, NULL), (244950, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 19:28:48', NULL, NULL), (244951, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 19:28:49', NULL, NULL), (244952, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 19:28:51', NULL, NULL), (244953, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 19:28:52', NULL, NULL), (244954, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 19:28:54', NULL, NULL), (244955, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 19:28:55', NULL, NULL), (244956, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 19:28:56', NULL, NULL), (244957, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 19:28:58', NULL, NULL), (244958, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 19:28:59', NULL, NULL), (244959, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 19:29:01', NULL, NULL), (244960, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 19:29:02', NULL, NULL), (244961, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 19:29:03', NULL, NULL), (244962, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 19:29:05', NULL, NULL), (244963, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 19:29:06', NULL, NULL), (244964, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 19:29:07', NULL, NULL), (244965, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 19:29:09', NULL, NULL), (244966, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 19:29:10', NULL, NULL), (244967, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 19:29:12', NULL, NULL), (244968, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 19:29:13', NULL, NULL), (244969, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 19:29:14', NULL, NULL), (244970, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 19:29:16', NULL, NULL), (244971, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 19:29:17', NULL, NULL), (244972, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 19:29:19', NULL, NULL), (244973, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 19:29:20', NULL, NULL), (244974, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 19:29:21', NULL, NULL), (244975, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 19:29:23', NULL, NULL), (244976, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 19:29:24', NULL, NULL), (244977, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 19:29:26', NULL, NULL), (244978, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 19:29:27', NULL, NULL), (244979, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 19:29:28', NULL, NULL), (244980, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 19:29:30', NULL, NULL), (244981, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 19:29:31', NULL, NULL), (244982, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 19:29:32', NULL, NULL), (244983, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 19:29:34', NULL, NULL), (244984, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 19:29:35', NULL, NULL), (244985, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 19:29:37', NULL, NULL), (244986, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 19:29:38', NULL, NULL), (244987, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 19:29:39', NULL, NULL), (244988, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 19:29:41', NULL, NULL), (244989, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 19:29:42', NULL, NULL), (244990, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 19:29:43', NULL, NULL), (244991, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 19:29:45', NULL, NULL), (244992, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 19:29:46', NULL, NULL), (244993, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 19:29:48', NULL, NULL), (244994, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 19:29:49', NULL, NULL), (244995, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 19:29:51', NULL, NULL), (244996, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 19:29:52', NULL, NULL), (244997, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 19:29:53', NULL, NULL), (244998, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 19:29:55', NULL, NULL), (244999, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 19:29:56', NULL, NULL), (245000, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 19:29:57', NULL, NULL), (245001, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 19:29:59', NULL, NULL), (245002, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 19:30:00', NULL, NULL), (245003, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 19:30:02', NULL, NULL), (245004, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 19:30:03', NULL, NULL), (245005, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 19:30:04', NULL, NULL), (245006, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 19:30:06', NULL, NULL), (245007, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 19:30:07', NULL, NULL), (245008, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 19:30:09', NULL, NULL), (245009, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 19:30:10', NULL, NULL), (245010, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 19:30:11', NULL, NULL), (245011, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 19:30:13', NULL, NULL), (245012, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 19:30:14', NULL, NULL), (245013, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 19:30:15', NULL, NULL), (245014, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 19:30:17', NULL, NULL), (245015, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 19:30:18', NULL, NULL), (245016, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 19:30:20', NULL, NULL), (245017, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 19:30:21', NULL, NULL), (245018, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 19:30:22', NULL, NULL), (245019, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 19:30:24', NULL, NULL), (245020, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 19:30:25', NULL, NULL), (245021, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 19:30:26', NULL, NULL), (245022, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 19:30:28', NULL, NULL), (245023, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 19:30:29', NULL, NULL), (245024, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 19:30:31', NULL, NULL), (245025, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 19:30:32', NULL, NULL), (245026, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 19:30:33', NULL, NULL), (245027, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 19:30:35', NULL, NULL), (245028, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 19:30:36', NULL, NULL), (245029, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 19:30:37', NULL, NULL), (245030, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 19:30:39', NULL, NULL), (245031, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 19:30:40', NULL, NULL), (245032, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 19:30:41', NULL, NULL), (245033, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 19:30:41', NULL, NULL), (245034, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 19:30:42', NULL, NULL), (245035, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 19:30:43', NULL, NULL), (245036, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 19:30:44', NULL, NULL), (245037, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 19:30:44', NULL, NULL), (245038, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 19:30:45', NULL, NULL), (245039, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 19:30:46', NULL, NULL), (245040, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 19:30:47', NULL, NULL), (245041, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 19:30:47', NULL, NULL), (245042, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 19:30:48', NULL, NULL), (245043, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 19:30:49', NULL, NULL), (245044, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 19:30:50', NULL, NULL), (245045, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 19:30:51', NULL, NULL), (245046, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 19:30:51', NULL, NULL), (245047, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 19:30:52', NULL, NULL), (245048, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 19:30:53', NULL, NULL), (245049, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 19:30:54', NULL, NULL), (245050, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 19:30:55', NULL, NULL), (245051, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 19:30:56', NULL, NULL), (245052, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 19:30:56', NULL, NULL), (245053, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 19:30:57', NULL, NULL), (245054, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 19:30:58', NULL, NULL), (245055, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 19:30:59', NULL, NULL), (245056, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 19:31:00', NULL, NULL), (245057, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 19:31:01', NULL, NULL), (245058, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 19:31:02', NULL, NULL), (245059, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 19:31:03', NULL, NULL), (245060, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 19:31:04', NULL, NULL), (245061, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 19:31:06', NULL, NULL), (245062, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 19:31:07', NULL, NULL), (245063, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 19:31:09', NULL, NULL), (245064, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 19:31:10', NULL, NULL), (245065, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 19:31:11', NULL, NULL), (245066, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 19:31:13', NULL, NULL), (245067, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 19:31:14', NULL, NULL), (245068, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 19:31:15', NULL, NULL), (245069, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 19:31:17', NULL, NULL), (245070, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 19:31:18', NULL, NULL), (245071, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 19:31:20', NULL, NULL), (245072, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 19:31:21', NULL, NULL), (245073, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 19:31:22', NULL, NULL), (245074, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 19:31:24', NULL, NULL), (245075, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 19:31:25', NULL, NULL), (245076, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 19:31:26', NULL, NULL), (245077, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 19:31:28', NULL, NULL), (245078, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 19:31:29', NULL, NULL), (245079, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 19:31:30', NULL, NULL), (245080, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 19:31:32', NULL, NULL), (245081, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 19:31:33', NULL, NULL), (245082, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 19:31:35', NULL, NULL), (245083, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 19:31:36', NULL, NULL), (245084, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 19:31:37', NULL, NULL), (245085, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 19:31:38', NULL, NULL), (245086, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 19:31:39', NULL, NULL), (245087, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 19:31:40', NULL, NULL), (245088, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 19:31:40', NULL, NULL), (245089, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 19:31:41', NULL, NULL), (245090, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 19:31:42', NULL, NULL), (245091, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 19:31:43', NULL, NULL), (245092, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 19:31:43', NULL, NULL), (245093, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 19:31:44', NULL, NULL), (245094, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 19:31:45', NULL, NULL), (245095, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 19:31:46', NULL, NULL), (245096, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 19:31:47', NULL, NULL), (245097, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 19:31:47', NULL, NULL), (245098, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 19:31:48', NULL, NULL), (245099, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 19:31:49', NULL, NULL), (245100, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 19:31:50', NULL, NULL), (245101, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 19:31:51', NULL, NULL), (245102, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 19:31:52', NULL, NULL), (245103, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 19:31:52', NULL, NULL), (245104, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 19:31:53', NULL, NULL), (245105, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 19:31:54', NULL, NULL), (245106, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 19:31:55', NULL, NULL), (245107, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 19:31:56', NULL, NULL), (245108, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 19:31:57', NULL, NULL), (245109, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 19:31:58', NULL, NULL), (245110, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 19:31:59', NULL, NULL), (245111, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 19:32:00', NULL, NULL), (245112, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 19:32:01', NULL, NULL), (245113, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 19:32:02', NULL, NULL), (245114, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 19:32:03', NULL, NULL), (245115, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 19:32:05', NULL, NULL), (245116, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 19:32:06', NULL, NULL), (245117, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 19:32:07', NULL, NULL), (245118, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 19:32:09', NULL, NULL), (245119, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 19:32:10', NULL, NULL), (245120, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 19:32:11', NULL, NULL), (245121, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 19:32:13', NULL, NULL), (245122, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 19:32:14', NULL, NULL), (245123, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 19:32:16', NULL, NULL), (245124, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 19:32:17', NULL, NULL), (245125, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 19:32:18', NULL, NULL), (245126, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 19:32:20', NULL, NULL), (245127, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 19:32:21', NULL, NULL), (245128, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 19:32:22', NULL, NULL), (245129, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 19:32:24', NULL, NULL), (245130, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 19:32:25', NULL, NULL), (245131, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 19:32:26', NULL, NULL), (245132, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 19:32:28', NULL, NULL), (245133, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 19:32:29', NULL, NULL), (245134, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 19:32:31', NULL, NULL), (245135, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 19:32:32', NULL, NULL), (245136, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 19:32:33', NULL, NULL), (245137, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 19:32:35', NULL, NULL), (245138, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 19:32:36', NULL, NULL), (245139, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 19:32:37', NULL, NULL), (245140, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 19:32:39', NULL, NULL), (245141, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 19:32:40', NULL, NULL), (245142, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 19:32:42', NULL, NULL), (245143, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 19:32:42', NULL, NULL), (245144, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 19:32:43', NULL, NULL), (245145, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 19:32:44', NULL, NULL), (245146, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 19:32:45', NULL, NULL), (245147, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 19:32:45', NULL, NULL), (245148, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 19:32:46', NULL, NULL), (245149, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 19:32:47', NULL, NULL), (245150, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 19:32:48', NULL, NULL), (245151, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 19:32:48', NULL, NULL), (245152, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 19:32:49', NULL, NULL), (245153, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 19:32:50', NULL, NULL), (245154, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 19:32:51', NULL, NULL), (245155, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 19:32:52', NULL, NULL), (245156, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 19:32:52', NULL, NULL), (245157, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 19:32:53', NULL, NULL), (245158, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 19:32:54', NULL, NULL), (245159, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 19:32:55', NULL, NULL), (245160, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 19:32:56', NULL, NULL), (245161, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 19:32:57', NULL, NULL), (245162, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 19:32:57', NULL, NULL), (245163, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 19:32:58', NULL, NULL), (245164, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 19:32:59', NULL, NULL), (245165, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 19:33:00', NULL, NULL), (245166, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 19:33:01', NULL, NULL), (245167, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 19:33:02', NULL, NULL), (245168, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 19:33:03', NULL, NULL), (245169, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 19:33:04', NULL, NULL), (245170, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 19:33:05', NULL, NULL), (245171, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 19:33:06', NULL, NULL), (245172, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 19:33:07', NULL, NULL), (245173, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 19:33:09', NULL, NULL), (245174, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 19:33:10', NULL, NULL), (245175, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 19:33:12', NULL, NULL), (245176, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 19:33:13', NULL, NULL), (245177, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 19:33:14', NULL, NULL), (245178, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 19:33:16', NULL, NULL), (245179, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 19:33:17', NULL, NULL), (245180, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 19:33:18', NULL, NULL), (245181, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 19:33:20', NULL, NULL), (245182, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 19:33:21', NULL, NULL), (245183, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 19:33:22', NULL, NULL), (245184, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 19:33:24', NULL, NULL), (245185, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 19:33:25', NULL, NULL), (245186, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 19:33:27', NULL, NULL), (245187, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 19:33:28', NULL, NULL), (245188, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 19:33:29', NULL, NULL), (245189, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 19:33:31', NULL, NULL), (245190, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 19:33:32', NULL, NULL), (245191, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 19:33:33', NULL, NULL), (245192, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 19:33:35', NULL, NULL), (245193, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 19:33:36', NULL, NULL), (245194, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 19:33:38', NULL, NULL), (245195, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 19:33:39', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (245196, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 19:33:40', NULL, NULL), (245197, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 19:33:42', NULL, NULL), (245198, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 19:33:43', NULL, NULL), (245199, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 19:33:45', NULL, NULL), (245200, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 19:33:46', NULL, NULL), (245201, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 19:33:47', NULL, NULL), (245202, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 19:33:49', NULL, NULL), (245203, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 19:33:50', 1, '2024-08-05 22:12:27'), (245204, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 19:33:51', 1, '2024-08-06 02:01:26'), (245205, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 19:33:53', 1, '2024-08-07 01:00:25'), (245206, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 19:33:54', 1, '2024-08-08 01:00:25'), (245207, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 19:33:56', 1, '2024-08-09 01:00:25'), (245208, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 19:34:45', NULL, NULL), (245209, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 19:34:47', NULL, NULL), (245210, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 19:34:48', NULL, NULL), (245211, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 19:34:49', NULL, NULL), (245212, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 19:34:51', NULL, NULL), (245213, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 19:34:52', NULL, NULL), (245214, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 19:34:53', NULL, NULL), (245215, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 19:34:55', NULL, NULL), (245216, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 19:34:56', NULL, NULL), (245217, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 19:34:57', NULL, NULL), (245218, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 19:34:59', NULL, NULL), (245219, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 19:35:00', NULL, NULL), (245220, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 19:35:02', NULL, NULL), (245221, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 19:35:03', NULL, NULL), (245222, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 19:35:04', NULL, NULL), (245223, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 19:35:05', NULL, NULL), (245224, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 19:35:05', NULL, NULL), (245225, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 19:35:06', NULL, NULL), (245226, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 19:35:07', NULL, NULL), (245227, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 19:35:08', NULL, NULL), (245228, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 19:35:08', NULL, NULL), (245229, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 19:35:09', NULL, NULL), (245230, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 19:35:10', NULL, NULL), (245231, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 19:35:11', NULL, NULL), (245232, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 19:35:12', NULL, NULL), (245233, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 19:35:12', NULL, NULL), (245234, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 19:35:13', NULL, NULL), (245235, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 19:35:14', NULL, NULL), (245236, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 19:35:15', NULL, NULL), (245237, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 19:35:16', NULL, NULL), (245238, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 19:35:17', NULL, NULL), (245239, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 19:35:17', NULL, NULL), (245240, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 19:35:18', NULL, NULL), (245241, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 19:35:19', NULL, NULL), (245242, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 19:35:20', NULL, NULL), (245243, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 19:35:21', NULL, NULL), (245244, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 19:35:21', NULL, NULL), (245245, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 19:35:22', NULL, NULL), (245246, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 19:35:23', NULL, NULL), (245247, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 19:35:24', NULL, NULL), (245248, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 19:35:25', NULL, NULL), (245249, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 19:35:26', NULL, NULL), (245250, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 19:35:27', NULL, NULL), (245251, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 19:35:28', NULL, NULL), (245252, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 19:35:30', NULL, NULL), (245253, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 19:35:31', NULL, NULL), (245254, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 19:35:32', NULL, NULL), (245255, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 19:35:34', NULL, NULL), (245256, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 19:35:35', NULL, NULL), (245257, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 19:35:37', NULL, NULL), (245258, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 19:35:38', NULL, NULL), (245259, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 19:35:39', NULL, NULL), (245260, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 19:35:41', NULL, NULL), (245261, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 19:35:42', NULL, NULL), (245262, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 19:35:43', NULL, NULL), (245263, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 19:35:45', NULL, NULL), (245264, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 19:35:46', NULL, NULL), (245265, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 19:35:47', NULL, NULL), (245266, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 19:35:49', NULL, NULL), (245267, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 19:35:50', NULL, NULL), (245268, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 19:35:51', NULL, NULL), (245269, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 19:35:53', NULL, NULL), (245270, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 19:35:54', NULL, NULL), (245271, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 19:35:55', NULL, NULL), (245272, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 19:35:57', NULL, NULL), (245273, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 19:35:58', NULL, NULL), (245274, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 19:36:00', NULL, NULL), (245275, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 19:36:01', NULL, NULL), (245276, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 19:36:02', NULL, NULL), (245277, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 19:36:04', NULL, NULL), (245278, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 19:36:05', NULL, NULL), (245279, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 19:36:06', NULL, NULL), (245280, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 19:36:08', NULL, NULL), (245281, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 19:36:09', NULL, NULL), (245282, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 19:36:10', NULL, NULL), (245283, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 19:36:10', NULL, NULL), (245284, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 19:36:11', NULL, NULL), (245285, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 19:36:12', NULL, NULL), (245286, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 19:36:13', NULL, NULL), (245287, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 19:36:13', NULL, NULL), (245288, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 19:36:14', NULL, NULL), (245289, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 19:36:15', NULL, NULL), (245290, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 19:36:16', NULL, NULL), (245291, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 19:36:17', NULL, NULL), (245292, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 19:36:17', NULL, NULL), (245293, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 19:36:18', NULL, NULL), (245294, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 19:36:19', NULL, NULL), (245295, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 19:36:20', NULL, NULL), (245296, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 19:36:21', NULL, NULL), (245297, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 19:36:21', NULL, NULL), (245298, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 19:36:22', NULL, NULL), (245299, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 19:36:23', NULL, NULL), (245300, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 19:36:24', NULL, NULL), (245301, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 19:36:25', NULL, NULL), (245302, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 19:36:26', NULL, NULL), (245303, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 19:36:26', NULL, NULL), (245304, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 19:36:27', NULL, NULL), (245305, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 19:36:28', NULL, NULL), (245306, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 19:36:29', NULL, NULL), (245307, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 19:36:30', NULL, NULL), (245308, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 19:36:31', NULL, NULL), (245309, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 19:36:32', NULL, NULL), (245310, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 19:36:33', NULL, NULL), (245311, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 19:36:35', NULL, NULL), (245312, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 19:36:36', NULL, NULL), (245313, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 19:36:37', NULL, NULL), (245314, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 19:36:39', NULL, NULL), (245315, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 19:36:40', NULL, NULL), (245316, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 19:36:41', NULL, NULL), (245317, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 19:36:43', NULL, NULL), (245318, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 19:36:44', NULL, NULL), (245319, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 19:36:45', NULL, NULL), (245320, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 19:36:47', NULL, NULL), (245321, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 19:36:48', NULL, NULL), (245322, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 19:36:50', NULL, NULL), (245323, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 19:36:51', NULL, NULL), (245324, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 19:36:52', NULL, NULL), (245325, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 19:36:54', NULL, NULL), (245326, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 19:36:55', NULL, NULL), (245327, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 19:36:56', NULL, NULL), (245328, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 19:36:58', NULL, NULL), (245329, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 19:36:59', NULL, NULL), (245330, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 19:37:00', NULL, NULL), (245331, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 19:37:02', NULL, NULL), (245332, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 19:37:03', NULL, NULL), (245333, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 19:37:05', NULL, NULL), (245334, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 19:37:06', NULL, NULL), (245335, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 19:37:07', NULL, NULL), (245336, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 19:37:09', NULL, NULL), (245337, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 19:37:10', NULL, NULL), (245338, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 19:37:11', NULL, NULL), (245339, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 19:37:13', NULL, NULL), (245340, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 19:37:14', NULL, NULL), (245341, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 19:37:15', NULL, NULL), (245342, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 19:37:15', NULL, NULL), (245343, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 19:37:16', NULL, NULL), (245344, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 19:37:17', NULL, NULL), (245345, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 19:37:18', NULL, NULL), (245346, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 19:37:18', NULL, NULL), (245347, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 19:37:19', NULL, NULL), (245348, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 19:37:20', NULL, NULL), (245349, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 19:37:21', NULL, NULL), (245350, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 19:37:22', NULL, NULL), (245351, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 19:37:22', NULL, NULL), (245352, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 19:37:23', NULL, NULL), (245353, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 19:37:24', NULL, NULL), (245354, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 19:37:25', NULL, NULL), (245355, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 19:37:26', NULL, NULL), (245356, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 19:37:26', NULL, NULL), (245357, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 19:37:27', NULL, NULL), (245358, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 19:37:28', NULL, NULL), (245359, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 19:37:29', NULL, NULL), (245360, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 19:37:30', NULL, NULL), (245361, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 19:37:31', NULL, NULL), (245362, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 19:37:31', NULL, NULL), (245363, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 19:37:32', NULL, NULL), (245364, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 19:37:33', NULL, NULL), (245365, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 19:37:34', NULL, NULL), (245366, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 19:37:35', NULL, NULL), (245367, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 19:37:36', NULL, NULL), (245368, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 19:37:37', NULL, NULL), (245369, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 19:37:38', NULL, NULL), (245370, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 19:37:40', NULL, NULL), (245371, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 19:37:41', NULL, NULL), (245372, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 19:37:42', NULL, NULL), (245373, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 19:37:44', NULL, NULL), (245374, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 19:37:45', NULL, NULL), (245375, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 19:37:47', NULL, NULL), (245376, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 19:37:48', NULL, NULL), (245377, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 19:37:49', NULL, NULL), (245378, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 19:37:51', NULL, NULL), (245379, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 19:37:52', NULL, NULL), (245380, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 19:37:53', NULL, NULL), (245381, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 19:37:55', NULL, NULL), (245382, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 19:37:56', NULL, NULL), (245383, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 19:37:57', NULL, NULL), (245384, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 19:37:59', NULL, NULL), (245385, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 19:38:00', NULL, NULL), (245386, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 19:38:02', NULL, NULL), (245387, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 19:38:03', NULL, NULL), (245388, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 19:38:04', NULL, NULL), (245389, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 19:38:06', NULL, NULL), (245390, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 19:38:07', NULL, NULL), (245391, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 19:38:08', NULL, NULL), (245392, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 19:38:10', NULL, NULL), (245393, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 19:38:11', NULL, NULL), (245394, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 19:38:12', NULL, NULL), (245395, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 19:38:14', NULL, NULL), (245396, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 19:38:15', NULL, NULL), (245397, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 19:38:17', NULL, NULL), (245398, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 19:38:17', NULL, NULL), (245399, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 19:38:18', NULL, NULL), (245400, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 19:38:19', NULL, NULL), (245401, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 19:38:20', NULL, NULL), (245402, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 19:38:20', NULL, NULL), (245403, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 19:38:21', NULL, NULL), (245404, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 19:38:22', NULL, NULL), (245405, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 19:38:23', NULL, NULL), (245406, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 19:38:24', NULL, NULL), (245407, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 19:38:24', NULL, NULL), (245408, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 19:38:25', NULL, NULL), (245409, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 19:38:26', NULL, NULL), (245410, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 19:38:27', NULL, NULL), (245411, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 19:38:28', NULL, NULL), (245412, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 19:38:28', NULL, NULL), (245413, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 19:38:29', NULL, NULL), (245414, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 19:38:30', NULL, NULL), (245415, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 19:38:31', NULL, NULL), (245416, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 19:38:32', NULL, NULL), (245417, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 19:38:32', NULL, NULL), (245418, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 19:38:33', NULL, NULL), (245419, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 19:38:34', NULL, NULL), (245420, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 19:38:35', NULL, NULL), (245421, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 19:38:36', NULL, NULL), (245422, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 19:38:37', NULL, NULL), (245423, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 19:38:38', NULL, NULL), (245424, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 19:38:39', NULL, NULL), (245425, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 19:38:40', NULL, NULL), (245426, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 19:38:41', NULL, NULL), (245427, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 19:38:42', NULL, NULL), (245428, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 19:38:45', NULL, NULL), (245429, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 19:38:49', NULL, NULL), (245430, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 19:38:52', NULL, NULL), (245431, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 19:38:54', NULL, NULL), (245432, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 19:38:55', NULL, NULL), (245433, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 19:38:56', NULL, NULL), (245434, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 19:38:57', NULL, NULL), (245435, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 19:38:58', NULL, NULL), (245436, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 19:38:59', NULL, NULL), (245437, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 19:38:59', NULL, NULL), (245438, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 19:39:00', NULL, NULL), (245439, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 19:39:01', NULL, NULL), (245440, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 19:39:02', NULL, NULL), (245441, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 19:39:03', NULL, NULL), (245442, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 19:39:04', NULL, NULL), (245443, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 19:39:05', NULL, NULL), (245444, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 19:39:06', NULL, NULL), (245445, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 19:39:07', NULL, NULL), (245446, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 19:39:08', NULL, NULL), (245447, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 19:39:09', NULL, NULL), (245448, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 19:39:10', NULL, NULL), (245449, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 19:39:11', NULL, NULL), (245450, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 19:39:12', NULL, NULL), (245451, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 19:39:13', NULL, NULL), (245452, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 19:39:14', NULL, NULL), (245453, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 19:39:15', NULL, NULL), (245454, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 19:39:16', NULL, NULL), (245455, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 19:39:17', NULL, NULL), (245456, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 19:39:18', NULL, NULL), (245457, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 19:39:19', NULL, NULL), (245458, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 19:39:22', NULL, NULL), (245459, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 19:39:25', NULL, NULL), (245460, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 19:39:29', NULL, NULL), (245461, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 19:39:32', NULL, NULL), (245462, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 19:39:36', NULL, NULL), (245463, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 19:39:38', NULL, NULL), (245464, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 19:39:38', NULL, NULL), (245465, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 19:39:39', NULL, NULL), (245466, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 19:39:40', NULL, NULL), (245467, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 19:39:41', NULL, NULL), (245468, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 19:39:42', NULL, NULL), (245469, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 19:39:43', NULL, NULL), (245470, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 19:39:43', NULL, NULL), (245471, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 19:39:44', NULL, NULL), (245472, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 19:39:45', NULL, NULL), (245473, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 19:39:46', NULL, NULL), (245474, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 19:39:47', NULL, NULL), (245475, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 19:39:48', NULL, NULL), (245476, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 19:39:49', NULL, NULL), (245477, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 19:39:50', NULL, NULL), (245478, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 19:39:51', NULL, NULL), (245479, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 19:39:52', NULL, NULL), (245480, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 19:39:53', NULL, NULL), (245481, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 19:39:54', NULL, NULL), (245482, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 19:39:55', NULL, NULL), (245483, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 19:39:56', NULL, NULL), (245484, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 19:39:57', NULL, NULL), (245485, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 19:39:58', NULL, NULL), (245486, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 19:39:59', NULL, NULL), (245487, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 19:40:00', NULL, NULL), (245488, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 19:40:01', NULL, NULL), (245489, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 19:40:02', NULL, NULL), (245490, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 19:40:05', NULL, NULL), (245491, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 19:40:09', NULL, NULL), (245492, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 19:40:12', NULL, NULL), (245493, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 19:40:16', NULL, NULL), (245494, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 19:40:19', NULL, NULL), (245495, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 19:40:23', NULL, NULL), (245496, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 19:40:24', NULL, NULL), (245497, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 19:40:25', NULL, NULL), (245498, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 19:40:25', NULL, NULL), (245499, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 19:40:26', NULL, NULL), (245500, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 19:40:27', NULL, NULL), (245501, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 19:40:28', NULL, NULL), (245502, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 19:40:29', NULL, NULL), (245503, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 19:40:30', NULL, NULL), (245504, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 19:40:31', NULL, NULL), (245505, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 19:40:32', NULL, NULL), (245506, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 19:40:32', NULL, NULL), (245507, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 19:40:33', NULL, NULL), (245508, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 19:40:34', NULL, NULL), (245509, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 19:40:35', NULL, NULL), (245510, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 19:40:36', NULL, NULL), (245511, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 19:40:37', NULL, NULL), (245512, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 19:40:38', NULL, NULL), (245513, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 19:40:39', NULL, NULL), (245514, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 19:40:40', NULL, NULL), (245515, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 19:40:41', NULL, NULL), (245516, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 19:40:42', NULL, NULL), (245517, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 19:40:43', NULL, NULL), (245518, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 19:40:44', NULL, NULL), (245519, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 19:40:45', NULL, NULL), (245520, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 19:40:46', NULL, NULL), (245521, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 19:40:47', NULL, NULL), (245522, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 19:40:49', NULL, NULL), (245523, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 19:40:51', NULL, NULL), (245524, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 19:40:55', NULL, NULL), (245525, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 19:40:58', NULL, NULL), (245526, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 19:41:02', NULL, NULL), (245527, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 19:41:04', NULL, NULL), (245528, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 19:41:05', NULL, NULL), (245529, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 19:41:06', NULL, NULL), (245530, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 19:41:07', NULL, NULL), (245531, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 19:41:08', NULL, NULL), (245532, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 19:41:08', NULL, NULL), (245533, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 19:41:09', NULL, NULL), (245534, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 19:41:10', NULL, NULL), (245535, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 19:41:11', NULL, NULL), (245536, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 19:41:12', NULL, NULL), (245537, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 19:41:12', NULL, NULL), (245538, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 19:41:13', NULL, NULL), (245539, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 19:41:14', NULL, NULL), (245540, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 19:41:15', NULL, NULL), (245541, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 19:41:16', NULL, NULL), (245542, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 19:41:17', NULL, NULL), (245543, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 19:41:18', NULL, NULL), (245544, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 19:41:18', NULL, NULL), (245545, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 19:41:19', NULL, NULL), (245546, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 19:41:20', NULL, NULL), (245547, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 19:41:21', NULL, NULL), (245548, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 19:41:22', NULL, NULL), (245549, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 19:41:23', NULL, NULL), (245550, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 19:41:24', NULL, NULL), (245551, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 19:41:25', NULL, NULL), (245552, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 19:41:26', NULL, NULL), (245553, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 19:41:27', NULL, NULL), (245554, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 19:41:28', NULL, NULL), (245555, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 19:41:29', NULL, NULL), (245556, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 19:41:30', NULL, NULL), (245557, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 19:41:32', NULL, NULL), (245558, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 19:41:33', NULL, NULL), (245559, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 19:41:34', NULL, NULL), (245560, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 19:41:36', NULL, NULL), (245561, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 19:41:37', NULL, NULL), (245562, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 19:41:38', NULL, NULL), (245563, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 19:41:40', NULL, NULL), (245564, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 19:41:41', NULL, NULL), (245565, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 19:41:43', NULL, NULL), (245566, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 19:41:44', NULL, NULL), (245567, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 19:41:45', NULL, NULL), (245568, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 19:41:47', NULL, NULL), (245569, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 19:41:48', NULL, NULL), (245570, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 19:41:49', NULL, NULL), (245571, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 19:41:51', NULL, NULL), (245572, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 19:41:52', NULL, NULL), (245573, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 19:41:53', NULL, NULL), (245574, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 19:41:55', NULL, NULL), (245575, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 19:41:56', NULL, NULL), (245576, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 19:41:58', NULL, NULL), (245577, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 19:41:59', NULL, NULL), (245578, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 19:42:00', NULL, NULL), (245579, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 19:42:02', NULL, NULL), (245580, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 19:42:03', NULL, NULL), (245581, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 19:42:04', NULL, NULL), (245582, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 19:42:06', NULL, NULL), (245583, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 19:42:07', NULL, NULL), (245584, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 19:42:08', NULL, NULL), (245585, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 19:42:10', NULL, NULL), (245586, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 19:42:11', NULL, NULL), (245587, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 19:42:13', NULL, NULL), (245588, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 19:42:14', NULL, NULL), (245589, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 19:42:15', NULL, NULL), (245590, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 19:42:17', NULL, NULL), (245591, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 19:42:18', NULL, NULL), (245592, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 19:42:19', NULL, NULL), (245593, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 19:42:21', NULL, NULL), (245594, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 19:42:22', NULL, NULL), (245595, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 19:42:23', NULL, NULL), (245596, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 19:42:24', NULL, NULL), (245597, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 19:42:25', NULL, NULL), (245598, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 19:42:26', NULL, NULL), (245599, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 19:42:26', NULL, NULL), (245600, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 19:42:27', NULL, NULL), (245601, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 19:42:28', NULL, NULL), (245602, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 19:42:29', NULL, NULL), (245603, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 19:42:29', NULL, NULL), (245604, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 19:42:30', NULL, NULL), (245605, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 19:42:31', NULL, NULL), (245606, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 19:42:32', NULL, NULL), (245607, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 19:42:33', NULL, NULL), (245608, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 19:42:33', NULL, NULL), (245609, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 19:42:34', NULL, NULL), (245610, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 19:42:35', NULL, NULL), (245611, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 19:42:36', NULL, NULL), (245612, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 19:42:37', NULL, NULL), (245613, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 19:42:38', NULL, NULL), (245614, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 19:42:38', NULL, NULL), (245615, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 19:42:39', NULL, NULL), (245616, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 19:42:40', NULL, NULL), (245617, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 19:42:41', NULL, NULL), (245618, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 19:42:42', NULL, NULL), (245619, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 19:42:43', NULL, NULL), (245620, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 19:42:44', NULL, NULL), (245621, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 19:42:45', NULL, NULL), (245622, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 19:42:46', NULL, NULL), (245623, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 19:42:47', NULL, NULL), (245624, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 19:42:48', NULL, NULL), (245625, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 19:42:49', NULL, NULL), (245626, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 19:42:51', NULL, NULL), (245627, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 19:42:52', NULL, NULL), (245628, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 19:42:53', NULL, NULL), (245629, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 19:42:55', NULL, NULL), (245630, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 19:42:56', NULL, NULL), (245631, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 19:42:57', NULL, NULL), (245632, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 19:42:59', NULL, NULL), (245633, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 19:43:00', NULL, NULL), (245634, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 19:43:02', NULL, NULL), (245635, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 19:43:03', NULL, NULL), (245636, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 19:43:04', NULL, NULL), (245637, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 19:43:06', NULL, NULL), (245638, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 19:43:07', NULL, NULL), (245639, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 19:43:08', NULL, NULL), (245640, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 19:43:10', NULL, NULL), (245641, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 19:43:11', NULL, NULL), (245642, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 19:43:12', NULL, NULL), (245643, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 19:43:14', NULL, NULL), (245644, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 19:43:15', NULL, NULL), (245645, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 19:43:17', NULL, NULL), (245646, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 19:43:18', NULL, NULL), (245647, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 19:43:19', NULL, NULL), (245648, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 19:43:21', NULL, NULL), (245649, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 19:43:22', NULL, NULL), (245650, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 19:43:23', NULL, NULL), (245651, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 19:43:25', NULL, NULL), (245652, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 19:43:26', NULL, NULL), (245653, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 19:43:28', NULL, NULL), (245654, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 19:43:29', NULL, NULL), (245655, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 19:43:30', NULL, NULL), (245656, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 19:43:32', NULL, NULL), (245657, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 19:43:33', NULL, NULL), (245658, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 19:43:34', NULL, NULL), (245659, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 19:43:36', NULL, NULL), (245660, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 19:43:37', NULL, NULL), (245661, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 19:43:38', NULL, NULL), (245662, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 19:43:40', NULL, NULL), (245663, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 19:43:40', NULL, NULL), (245664, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 19:43:41', NULL, NULL), (245665, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 19:43:42', NULL, NULL), (245666, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 19:43:43', NULL, NULL), (245667, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 19:43:44', NULL, NULL), (245668, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 19:43:44', NULL, NULL), (245669, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 19:43:45', NULL, NULL), (245670, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 19:43:46', NULL, NULL), (245671, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 19:43:47', NULL, NULL), (245672, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 19:43:48', NULL, NULL), (245673, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 19:43:49', NULL, NULL), (245674, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 19:43:50', NULL, NULL), (245675, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 19:43:51', NULL, NULL), (245676, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 19:43:52', NULL, NULL), (245677, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 19:43:53', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (245678, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 19:43:54', NULL, NULL), (245679, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 19:43:55', NULL, NULL), (245680, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 19:43:56', NULL, NULL), (245681, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 19:43:56', NULL, NULL), (245682, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 19:43:57', NULL, NULL), (245683, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 19:43:58', NULL, NULL), (245684, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 19:43:59', NULL, NULL), (245685, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 19:44:00', NULL, NULL), (245686, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 19:44:01', NULL, NULL), (245687, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 19:44:02', NULL, NULL), (245688, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 19:44:04', NULL, NULL), (245689, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 19:44:05', NULL, NULL), (245690, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 19:44:07', NULL, NULL), (245691, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 19:44:10', NULL, NULL), (245692, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 19:44:14', NULL, NULL), (245693, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 19:44:17', NULL, NULL), (245694, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 19:44:19', NULL, NULL), (245695, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 19:44:20', NULL, NULL), (245696, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 19:44:20', NULL, NULL), (245697, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 19:44:21', NULL, NULL), (245698, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 19:44:22', NULL, NULL), (245699, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 19:44:23', NULL, NULL), (245700, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 19:44:24', NULL, NULL), (245701, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 19:44:24', NULL, NULL), (245702, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 19:44:25', NULL, NULL), (245703, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 19:44:26', NULL, NULL), (245704, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 19:44:27', NULL, NULL), (245705, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 19:44:28', NULL, NULL), (245706, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 19:44:29', NULL, NULL), (245707, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 19:44:29', NULL, NULL), (245708, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 19:44:30', NULL, NULL), (245709, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 19:44:31', NULL, NULL), (245710, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 19:44:32', NULL, NULL), (245711, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 19:44:33', NULL, NULL), (245712, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 19:44:34', NULL, NULL), (245713, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 19:44:35', NULL, NULL), (245714, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 19:44:35', NULL, NULL), (245715, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 19:44:36', NULL, NULL), (245716, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 19:44:37', NULL, NULL), (245717, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 19:44:38', NULL, NULL), (245718, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 19:44:39', NULL, NULL), (245719, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 19:44:40', NULL, NULL), (245720, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 19:44:41', NULL, NULL), (245721, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 19:44:42', NULL, NULL), (245722, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 19:44:44', NULL, NULL), (245723, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 19:44:45', NULL, NULL), (245724, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 19:44:46', NULL, NULL), (245725, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 19:44:48', NULL, NULL), (245726, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 19:44:49', NULL, NULL), (245727, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 19:44:50', NULL, NULL), (245728, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 19:44:52', NULL, NULL), (245729, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 19:44:53', NULL, NULL), (245730, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 19:44:54', NULL, NULL), (245731, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 19:44:56', NULL, NULL), (245732, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 19:44:57', NULL, NULL), (245733, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 19:44:59', NULL, NULL), (245734, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 19:45:00', NULL, NULL), (245735, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 19:45:01', NULL, NULL), (245736, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 19:45:03', NULL, NULL), (245737, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 19:45:04', NULL, NULL), (245738, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 19:45:05', NULL, NULL), (245739, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 19:45:07', NULL, NULL), (245740, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 19:45:08', NULL, NULL), (245741, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 19:45:10', NULL, NULL), (245742, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 19:45:11', NULL, NULL), (245743, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 19:45:12', NULL, NULL), (245744, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 19:45:14', NULL, NULL), (245745, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 19:45:15', NULL, NULL), (245746, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 19:45:16', NULL, NULL), (245747, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 19:45:18', NULL, NULL), (245748, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 19:45:19', NULL, NULL), (245749, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 19:45:20', NULL, NULL), (245750, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 19:45:22', NULL, NULL), (245751, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 19:45:23', NULL, NULL), (245752, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 19:45:25', NULL, NULL), (245753, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 19:45:26', NULL, NULL), (245754, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 19:45:27', NULL, NULL), (245755, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 19:45:29', NULL, NULL), (245756, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 19:45:30', NULL, NULL), (245757, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 19:45:31', NULL, NULL), (245758, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 19:45:32', NULL, NULL), (245759, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 19:45:32', NULL, NULL), (245760, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 19:45:33', NULL, NULL), (245761, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 19:45:34', NULL, NULL), (245762, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 19:45:35', NULL, NULL), (245763, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 19:45:36', NULL, NULL), (245764, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 19:45:36', NULL, NULL), (245765, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 19:45:37', NULL, NULL), (245766, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 19:45:38', NULL, NULL), (245767, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 19:45:39', NULL, NULL), (245768, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 19:45:39', NULL, NULL), (245769, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 19:45:40', NULL, NULL), (245770, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 19:45:41', NULL, NULL), (245771, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 19:45:42', NULL, NULL), (245772, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 19:45:43', NULL, NULL), (245773, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 19:45:43', NULL, NULL), (245774, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 19:45:44', NULL, NULL), (245775, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 19:45:45', NULL, NULL), (245776, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 19:45:46', NULL, NULL), (245777, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 19:45:47', NULL, NULL), (245778, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 19:45:48', NULL, NULL), (245779, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 19:45:49', NULL, NULL), (245780, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 19:45:49', NULL, NULL), (245781, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 19:45:50', NULL, NULL), (245782, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 19:45:51', NULL, NULL), (245783, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 19:45:52', NULL, NULL), (245784, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 19:45:53', NULL, NULL), (245785, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 19:45:54', NULL, NULL), (245786, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 19:45:56', 1, '2024-08-05 22:12:28'), (245787, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 19:45:58', 1, '2024-08-06 02:01:41'), (245788, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 19:46:02', 1, '2024-08-07 01:00:26'), (245789, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 19:46:05', 1, '2024-08-08 01:00:25'), (245790, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 19:46:06', 1, '2024-08-09 01:00:26'), (245791, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 19:46:59', NULL, NULL), (245792, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 19:46:59', NULL, NULL), (245793, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 19:47:00', NULL, NULL), (245794, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 19:47:01', NULL, NULL), (245795, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 19:47:02', NULL, NULL), (245796, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 19:47:02', NULL, NULL), (245797, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 19:47:03', NULL, NULL), (245798, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 19:47:04', NULL, NULL), (245799, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 19:47:05', NULL, NULL), (245800, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 19:47:06', NULL, NULL), (245801, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 19:47:06', NULL, NULL), (245802, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 19:47:07', NULL, NULL), (245803, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 19:47:08', NULL, NULL), (245804, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 19:47:09', NULL, NULL), (245805, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 19:47:10', NULL, NULL), (245806, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 19:47:11', NULL, NULL), (245807, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 19:47:11', NULL, NULL), (245808, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 19:47:12', NULL, NULL), (245809, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 19:47:13', NULL, NULL), (245810, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 19:47:14', NULL, NULL), (245811, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 19:47:15', NULL, NULL), (245812, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 19:47:16', NULL, NULL), (245813, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 19:47:16', NULL, NULL), (245814, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 19:47:17', NULL, NULL), (245815, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 19:47:18', NULL, NULL), (245816, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 19:47:19', NULL, NULL), (245817, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 19:47:20', NULL, NULL), (245818, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 19:47:21', NULL, NULL), (245819, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 19:47:23', NULL, NULL), (245820, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 19:47:24', NULL, NULL), (245821, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 19:47:26', NULL, NULL), (245822, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 19:47:27', NULL, NULL), (245823, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 19:47:28', NULL, NULL), (245824, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 19:47:30', NULL, NULL), (245825, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 19:47:31', NULL, NULL), (245826, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 19:47:32', NULL, NULL), (245827, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 19:47:34', NULL, NULL), (245828, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 19:47:35', NULL, NULL), (245829, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 19:47:36', NULL, NULL), (245830, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 19:47:38', NULL, NULL), (245831, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 19:47:39', NULL, NULL), (245832, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 19:47:40', NULL, NULL), (245833, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 19:47:42', NULL, NULL), (245834, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 19:47:43', NULL, NULL), (245835, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 19:47:45', NULL, NULL), (245836, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 19:47:46', NULL, NULL), (245837, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 19:47:47', NULL, NULL), (245838, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 19:47:49', NULL, NULL), (245839, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 19:47:50', NULL, NULL), (245840, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 19:47:51', NULL, NULL), (245841, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 19:47:53', NULL, NULL), (245842, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 19:47:54', NULL, NULL), (245843, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 19:47:55', NULL, NULL), (245844, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 19:47:57', NULL, NULL), (245845, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 19:47:58', NULL, NULL), (245846, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 19:47:59', NULL, NULL), (245847, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 19:48:01', NULL, NULL), (245848, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 19:48:02', NULL, NULL), (245849, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 19:48:04', NULL, NULL), (245850, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 19:48:05', NULL, NULL), (245851, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 19:48:06', NULL, NULL), (245852, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 19:48:08', NULL, NULL), (245853, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 19:48:08', NULL, NULL), (245854, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 19:48:09', NULL, NULL), (245855, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 19:48:10', NULL, NULL), (245856, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 19:48:11', NULL, NULL), (245857, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 19:48:11', NULL, NULL), (245858, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 19:48:12', NULL, NULL), (245859, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 19:48:13', NULL, NULL), (245860, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 19:48:14', NULL, NULL), (245861, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 19:48:14', NULL, NULL), (245862, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 19:48:15', NULL, NULL), (245863, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 19:48:16', NULL, NULL), (245864, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 19:48:17', NULL, NULL), (245865, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 19:48:18', NULL, NULL), (245866, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 19:48:18', NULL, NULL), (245867, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 19:48:19', NULL, NULL), (245868, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 19:48:20', NULL, NULL), (245869, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 19:48:21', NULL, NULL), (245870, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 19:48:22', NULL, NULL), (245871, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 19:48:22', NULL, NULL), (245872, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 19:48:23', NULL, NULL), (245873, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 19:48:24', NULL, NULL), (245874, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 19:48:25', NULL, NULL), (245875, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 19:48:26', NULL, NULL), (245876, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 19:48:27', NULL, NULL), (245877, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 19:48:27', NULL, NULL), (245878, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 19:48:28', NULL, NULL), (245879, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 19:48:29', NULL, NULL), (245880, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 19:48:30', NULL, NULL), (245881, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 19:48:32', NULL, NULL), (245882, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 19:48:33', NULL, NULL), (245883, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 19:48:34', NULL, NULL), (245884, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 19:48:36', NULL, NULL), (245885, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 19:48:37', NULL, NULL), (245886, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 19:48:38', NULL, NULL), (245887, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 19:48:40', NULL, NULL), (245888, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 19:48:41', NULL, NULL), (245889, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 19:48:43', NULL, NULL), (245890, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 19:48:44', NULL, NULL), (245891, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 19:48:45', NULL, NULL), (245892, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 19:48:47', NULL, NULL), (245893, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 19:48:48', NULL, NULL), (245894, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 19:48:50', NULL, NULL), (245895, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 19:48:51', NULL, NULL), (245896, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 19:48:52', NULL, NULL), (245897, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 19:48:54', NULL, NULL), (245898, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 19:48:55', NULL, NULL), (245899, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 19:48:57', NULL, NULL), (245900, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 19:48:58', NULL, NULL), (245901, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 19:48:59', NULL, NULL), (245902, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 19:49:01', NULL, NULL), (245903, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 19:49:02', NULL, NULL), (245904, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 19:49:04', NULL, NULL), (245905, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 19:49:05', NULL, NULL), (245906, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 19:49:06', NULL, NULL), (245907, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 19:49:08', NULL, NULL), (245908, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 19:49:09', NULL, NULL), (245909, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 19:49:11', NULL, NULL), (245910, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 19:49:12', NULL, NULL), (245911, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 19:49:13', NULL, NULL), (245912, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 19:49:15', NULL, NULL), (245913, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 19:49:16', NULL, NULL), (245914, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 19:49:18', NULL, NULL), (245915, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 19:49:19', NULL, NULL), (245916, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 19:49:20', NULL, NULL), (245917, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 19:49:22', NULL, NULL), (245918, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 19:49:23', NULL, NULL), (245919, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 19:49:24', NULL, NULL), (245920, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 19:49:26', NULL, NULL), (245921, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 19:49:27', NULL, NULL), (245922, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 19:49:29', NULL, NULL), (245923, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 19:49:30', NULL, NULL), (245924, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 19:49:31', NULL, NULL), (245925, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 19:49:33', NULL, NULL), (245926, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 19:49:34', NULL, NULL), (245927, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 19:49:36', NULL, NULL), (245928, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 19:49:37', NULL, NULL), (245929, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 19:49:38', NULL, NULL), (245930, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 19:49:40', NULL, NULL), (245931, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 19:49:41', NULL, NULL), (245932, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 19:49:43', NULL, NULL), (245933, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 19:49:44', NULL, NULL), (245934, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 19:49:45', NULL, NULL), (245935, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 19:49:47', NULL, NULL), (245936, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 19:49:48', NULL, NULL), (245937, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 19:49:50', NULL, NULL), (245938, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 19:49:51', NULL, NULL), (245939, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 19:49:52', NULL, NULL), (245940, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 19:49:54', NULL, NULL), (245941, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 19:49:55', NULL, NULL), (245942, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 19:49:57', NULL, NULL), (245943, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 19:49:58', NULL, NULL), (245944, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 19:49:59', NULL, NULL), (245945, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 19:50:01', NULL, NULL), (245946, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 19:50:02', NULL, NULL), (245947, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 19:50:03', NULL, NULL), (245948, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 19:50:05', NULL, NULL), (245949, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 19:50:06', NULL, NULL), (245950, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 19:50:08', NULL, NULL), (245951, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 19:50:09', NULL, NULL), (245952, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 19:50:10', NULL, NULL), (245953, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 19:50:12', NULL, NULL), (245954, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 19:50:13', NULL, NULL), (245955, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 19:50:15', NULL, NULL), (245956, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 19:50:16', NULL, NULL), (245957, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 19:50:17', NULL, NULL), (245958, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 19:50:19', NULL, NULL), (245959, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 19:50:20', NULL, NULL), (245960, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 19:50:21', NULL, NULL), (245961, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 19:50:23', NULL, NULL), (245962, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 19:50:24', NULL, NULL), (245963, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 19:50:26', NULL, NULL), (245964, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 19:50:27', NULL, NULL), (245965, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 19:50:28', NULL, NULL), (245966, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 19:50:30', NULL, NULL), (245967, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 19:50:31', NULL, NULL), (245968, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 19:50:32', NULL, NULL), (245969, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 19:50:34', NULL, NULL), (245970, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 19:50:35', NULL, NULL), (245971, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 19:50:36', NULL, NULL), (245972, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 19:50:38', NULL, NULL), (245973, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 19:50:39', NULL, NULL), (245974, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 19:50:41', NULL, NULL), (245975, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 19:50:42', NULL, NULL), (245976, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 19:50:43', NULL, NULL), (245977, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 19:50:43', NULL, NULL), (245978, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 19:50:44', NULL, NULL), (245979, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 19:50:45', NULL, NULL), (245980, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 19:50:46', NULL, NULL), (245981, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 19:50:46', NULL, NULL), (245982, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 19:50:47', NULL, NULL), (245983, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 19:50:48', NULL, NULL), (245984, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 19:50:49', NULL, NULL), (245985, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 19:50:50', NULL, NULL), (245986, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 19:50:50', NULL, NULL), (245987, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 19:50:51', NULL, NULL), (245988, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 19:50:52', NULL, NULL), (245989, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 19:50:53', NULL, NULL), (245990, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 19:50:54', NULL, NULL), (245991, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 19:50:54', NULL, NULL), (245992, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 19:50:55', NULL, NULL), (245993, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 19:50:56', NULL, NULL), (245994, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 19:50:57', NULL, NULL), (245995, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 19:50:58', NULL, NULL), (245996, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 19:50:59', NULL, NULL), (245997, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 19:50:59', NULL, NULL), (245998, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 19:51:00', NULL, NULL), (245999, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 19:51:01', NULL, NULL), (246000, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 19:51:02', NULL, NULL), (246001, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 19:51:03', NULL, NULL), (246002, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 19:51:04', NULL, NULL), (246003, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 19:51:05', NULL, NULL), (246004, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 19:51:06', NULL, NULL), (246005, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 19:51:08', NULL, NULL), (246006, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 19:51:09', NULL, NULL), (246007, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 19:51:11', NULL, NULL), (246008, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 19:51:12', NULL, NULL), (246009, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 19:51:13', NULL, NULL), (246010, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 19:51:15', NULL, NULL), (246011, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 19:51:16', NULL, NULL), (246012, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 19:51:17', NULL, NULL), (246013, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 19:51:19', NULL, NULL), (246014, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 19:51:20', NULL, NULL), (246015, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 19:51:21', NULL, NULL), (246016, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 19:51:23', NULL, NULL), (246017, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 19:51:24', NULL, NULL), (246018, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 19:51:25', NULL, NULL), (246019, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 19:51:27', NULL, NULL), (246020, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 19:51:28', NULL, NULL), (246021, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 19:51:29', NULL, NULL), (246022, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 19:51:31', NULL, NULL), (246023, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 19:51:32', NULL, NULL), (246024, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 19:51:34', NULL, NULL), (246025, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 19:51:35', NULL, NULL), (246026, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 19:51:36', NULL, NULL), (246027, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 19:51:38', NULL, NULL), (246028, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 19:51:39', NULL, NULL), (246029, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 19:51:40', NULL, NULL), (246030, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 19:51:42', NULL, NULL), (246031, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 19:51:43', NULL, NULL), (246032, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 19:51:44', NULL, NULL), (246033, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 19:51:46', NULL, NULL), (246034, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 19:51:47', NULL, NULL), (246035, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 19:51:48', NULL, NULL), (246036, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 19:51:49', NULL, NULL), (246037, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 19:51:50', NULL, NULL), (246038, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 19:51:50', NULL, NULL), (246039, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 19:51:51', NULL, NULL), (246040, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 19:51:52', NULL, NULL), (246041, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 19:51:53', NULL, NULL), (246042, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 19:51:53', NULL, NULL), (246043, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 19:51:54', NULL, NULL), (246044, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 19:51:55', NULL, NULL), (246045, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 19:51:56', NULL, NULL), (246046, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 19:51:56', NULL, NULL), (246047, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 19:51:57', NULL, NULL), (246048, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 19:51:58', NULL, NULL), (246049, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 19:51:59', NULL, NULL), (246050, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 19:52:00', NULL, NULL), (246051, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 19:52:00', NULL, NULL), (246052, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 19:52:01', NULL, NULL), (246053, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 19:52:02', NULL, NULL), (246054, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 19:52:03', NULL, NULL), (246055, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 19:52:04', NULL, NULL), (246056, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 19:52:05', NULL, NULL), (246057, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 19:52:05', NULL, NULL), (246058, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 19:52:06', NULL, NULL), (246059, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 19:52:07', NULL, NULL), (246060, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 19:52:08', NULL, NULL), (246061, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 19:52:09', NULL, NULL), (246062, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 19:52:10', NULL, NULL), (246063, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 19:52:11', NULL, NULL), (246064, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 19:52:12', NULL, NULL), (246065, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 19:52:14', NULL, NULL), (246066, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 19:52:17', NULL, NULL), (246067, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 19:52:20', NULL, NULL), (246068, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 19:52:24', NULL, NULL), (246069, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 19:52:25', NULL, NULL), (246070, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 19:52:25', NULL, NULL), (246071, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 19:52:26', NULL, NULL), (246072, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 19:52:27', NULL, NULL), (246073, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 19:52:28', NULL, NULL), (246074, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 19:52:28', NULL, NULL), (246075, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 19:52:29', NULL, NULL), (246076, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 19:52:30', NULL, NULL), (246077, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 19:52:31', NULL, NULL), (246078, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 19:52:32', NULL, NULL), (246079, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 19:52:32', NULL, NULL), (246080, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 19:52:33', NULL, NULL), (246081, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 19:52:34', NULL, NULL), (246082, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 19:52:35', NULL, NULL), (246083, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 19:52:36', NULL, NULL), (246084, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 19:52:36', NULL, NULL), (246085, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 19:52:37', NULL, NULL), (246086, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 19:52:38', NULL, NULL), (246087, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 19:52:39', NULL, NULL), (246088, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 19:52:40', NULL, NULL), (246089, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 19:52:41', NULL, NULL), (246090, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 19:52:42', NULL, NULL), (246091, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 19:52:42', NULL, NULL), (246092, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 19:52:43', NULL, NULL), (246093, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 19:52:44', NULL, NULL), (246094, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 19:52:45', NULL, NULL), (246095, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 19:52:46', NULL, NULL), (246096, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 19:52:47', NULL, NULL), (246097, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 19:52:49', NULL, NULL), (246098, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 19:52:50', NULL, NULL), (246099, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 19:52:51', NULL, NULL), (246100, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 19:52:53', NULL, NULL), (246101, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 19:52:54', NULL, NULL), (246102, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 19:52:55', NULL, NULL), (246103, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 19:52:57', NULL, NULL), (246104, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 19:52:58', NULL, NULL), (246105, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 19:52:59', NULL, NULL), (246106, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 19:53:01', NULL, NULL), (246107, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 19:53:02', NULL, NULL), (246108, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 19:53:03', NULL, NULL), (246109, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 19:53:05', NULL, NULL), (246110, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 19:53:06', NULL, NULL), (246111, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 19:53:07', NULL, NULL), (246112, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 19:53:09', NULL, NULL), (246113, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 19:53:10', NULL, NULL), (246114, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 19:53:12', NULL, NULL), (246115, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 19:53:13', NULL, NULL), (246116, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 19:53:14', NULL, NULL), (246117, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 19:53:16', NULL, NULL), (246118, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 19:53:17', NULL, NULL), (246119, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 19:53:18', NULL, NULL), (246120, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 19:53:20', NULL, NULL), (246121, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 19:53:21', NULL, NULL), (246122, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 19:53:22', NULL, NULL), (246123, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 19:53:24', NULL, NULL), (246124, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 19:53:25', NULL, NULL), (246125, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 19:53:26', NULL, NULL), (246126, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 19:53:28', NULL, NULL), (246127, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 19:53:29', NULL, NULL), (246128, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 19:53:30', NULL, NULL), (246129, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 19:53:32', NULL, NULL), (246130, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 19:53:33', NULL, NULL), (246131, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 19:53:33', NULL, NULL), (246132, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 19:53:34', NULL, NULL), (246133, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 19:53:35', NULL, NULL), (246134, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 19:53:36', NULL, NULL), (246135, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 19:53:36', NULL, NULL), (246136, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 19:53:37', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (246137, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 19:53:38', NULL, NULL), (246138, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 19:53:39', NULL, NULL), (246139, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 19:53:40', NULL, NULL), (246140, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 19:53:40', NULL, NULL), (246141, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 19:53:41', NULL, NULL), (246142, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 19:53:42', NULL, NULL), (246143, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 19:53:43', NULL, NULL), (246144, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 19:53:44', NULL, NULL), (246145, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 19:53:45', NULL, NULL), (246146, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 19:53:46', NULL, NULL), (246147, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 19:53:47', NULL, NULL), (246148, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 19:53:48', NULL, NULL), (246149, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 19:53:49', NULL, NULL), (246150, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 19:53:50', NULL, NULL), (246151, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 19:53:51', NULL, NULL), (246152, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 19:53:52', NULL, NULL), (246153, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 19:53:53', NULL, NULL), (246154, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 19:53:54', NULL, NULL), (246155, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 19:53:55', NULL, NULL), (246156, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 19:53:56', NULL, NULL), (246157, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 19:53:57', NULL, NULL), (246158, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 19:54:00', NULL, NULL), (246159, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 19:54:03', NULL, NULL), (246160, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 19:54:07', NULL, NULL), (246161, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 19:54:10', NULL, NULL), (246162, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 19:54:13', NULL, NULL), (246163, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 19:54:14', NULL, NULL), (246164, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 19:54:15', NULL, NULL), (246165, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 19:54:16', NULL, NULL), (246166, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 19:54:16', NULL, NULL), (246167, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 19:54:17', NULL, NULL), (246168, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 19:54:18', NULL, NULL), (246169, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 19:54:19', NULL, NULL), (246170, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 19:54:20', NULL, NULL), (246171, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 19:54:20', NULL, NULL), (246172, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 19:54:21', NULL, NULL), (246173, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 19:54:22', NULL, NULL), (246174, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 19:54:23', NULL, NULL), (246175, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 19:54:24', NULL, NULL), (246176, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 19:54:25', NULL, NULL), (246177, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 19:54:25', NULL, NULL), (246178, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 19:54:26', NULL, NULL), (246179, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 19:54:27', NULL, NULL), (246180, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 19:54:28', NULL, NULL), (246181, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 19:54:29', NULL, NULL), (246182, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 19:54:30', NULL, NULL), (246183, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 19:54:31', NULL, NULL), (246184, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 19:54:32', NULL, NULL), (246185, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 19:54:33', NULL, NULL), (246186, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 19:54:33', NULL, NULL), (246187, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 19:54:34', NULL, NULL), (246188, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 19:54:35', NULL, NULL), (246189, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 19:54:37', NULL, NULL), (246190, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 19:54:38', NULL, NULL), (246191, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 19:54:40', NULL, NULL), (246192, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 19:54:43', NULL, NULL), (246193, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 19:54:47', NULL, NULL), (246194, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 19:54:50', NULL, NULL), (246195, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 19:54:53', NULL, NULL), (246196, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 19:54:53', NULL, NULL), (246197, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 19:54:54', NULL, NULL), (246198, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 19:54:55', NULL, NULL), (246199, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 19:54:56', NULL, NULL), (246200, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 19:54:56', NULL, NULL), (246201, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 19:54:57', NULL, NULL), (246202, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 19:54:58', NULL, NULL), (246203, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 19:54:59', NULL, NULL), (246204, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 19:55:00', NULL, NULL), (246205, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 19:55:00', NULL, NULL), (246206, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 19:55:01', NULL, NULL), (246207, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 19:55:02', NULL, NULL), (246208, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 19:55:03', NULL, NULL), (246209, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 19:55:04', NULL, NULL), (246210, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 19:55:05', NULL, NULL), (246211, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 19:55:05', NULL, NULL), (246212, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 19:55:06', NULL, NULL), (246213, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 19:55:07', NULL, NULL), (246214, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 19:55:08', NULL, NULL), (246215, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 19:55:09', NULL, NULL), (246216, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 19:55:10', NULL, NULL), (246217, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 19:55:11', NULL, NULL), (246218, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 19:55:12', NULL, NULL), (246219, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 19:55:13', NULL, NULL), (246220, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 19:55:14', NULL, NULL), (246221, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 19:55:15', NULL, NULL), (246222, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 19:55:16', NULL, NULL), (246223, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 19:55:17', NULL, NULL), (246224, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 19:55:19', NULL, NULL), (246225, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 19:55:23', NULL, NULL), (246226, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 19:55:27', NULL, NULL), (246227, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 19:55:30', NULL, NULL), (246228, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 19:55:33', NULL, NULL), (246229, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 19:55:34', NULL, NULL), (246230, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 19:55:35', NULL, NULL), (246231, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 19:55:36', NULL, NULL), (246232, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 19:55:36', NULL, NULL), (246233, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 19:55:37', NULL, NULL), (246234, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 19:55:38', NULL, NULL), (246235, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 19:55:39', NULL, NULL), (246236, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 19:55:40', NULL, NULL), (246237, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 19:55:40', NULL, NULL), (246238, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 19:55:41', NULL, NULL), (246239, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 19:55:42', NULL, NULL), (246240, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 19:55:43', NULL, NULL), (246241, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 19:55:44', NULL, NULL), (246242, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 19:55:45', NULL, NULL), (246243, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 19:55:45', NULL, NULL), (246244, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 19:55:46', NULL, NULL), (246245, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 19:55:47', NULL, NULL), (246246, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 19:55:48', NULL, NULL), (246247, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 19:55:49', NULL, NULL), (246248, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 19:55:50', NULL, NULL), (246249, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 19:55:51', NULL, NULL), (246250, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 19:55:51', NULL, NULL), (246251, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 19:55:52', NULL, NULL), (246252, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 19:55:53', NULL, NULL), (246253, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 19:55:54', NULL, NULL), (246254, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 19:55:55', NULL, NULL), (246255, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 19:55:56', NULL, NULL), (246256, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 19:55:58', NULL, NULL), (246257, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 19:55:59', NULL, NULL), (246258, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 19:56:01', NULL, NULL), (246259, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 19:56:04', NULL, NULL), (246260, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 19:56:08', NULL, NULL), (246261, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 19:56:11', NULL, NULL), (246262, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 19:56:12', NULL, NULL), (246263, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 19:56:13', NULL, NULL), (246264, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 19:56:14', NULL, NULL), (246265, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 19:56:14', NULL, NULL), (246266, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 19:56:15', NULL, NULL), (246267, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 19:56:16', NULL, NULL), (246268, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 19:56:17', NULL, NULL), (246269, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 19:56:18', NULL, NULL), (246270, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 19:56:18', NULL, NULL), (246271, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 19:56:19', NULL, NULL), (246272, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 19:56:20', NULL, NULL), (246273, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 19:56:21', NULL, NULL), (246274, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 19:56:22', NULL, NULL), (246275, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 19:56:23', NULL, NULL), (246276, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 19:56:23', NULL, NULL), (246277, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 19:56:24', NULL, NULL), (246278, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 19:56:25', NULL, NULL), (246279, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 19:56:26', NULL, NULL), (246280, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 19:56:27', NULL, NULL), (246281, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 19:56:28', NULL, NULL), (246282, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 19:56:29', NULL, NULL), (246283, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 19:56:30', NULL, NULL), (246284, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 19:56:30', NULL, NULL), (246285, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 19:56:31', NULL, NULL), (246286, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 19:56:32', NULL, NULL), (246287, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 19:56:33', NULL, NULL), (246288, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 19:56:34', NULL, NULL), (246289, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 19:56:36', NULL, NULL), (246290, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 19:56:37', NULL, NULL), (246291, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 19:56:40', NULL, NULL), (246292, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 19:56:44', NULL, NULL), (246293, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 19:56:47', NULL, NULL), (246294, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 19:56:50', NULL, NULL), (246295, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 19:56:51', NULL, NULL), (246296, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 19:56:52', NULL, NULL), (246297, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 19:56:53', NULL, NULL), (246298, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 19:56:53', NULL, NULL), (246299, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 19:56:54', NULL, NULL), (246300, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 19:56:55', NULL, NULL), (246301, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 19:56:56', NULL, NULL), (246302, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 19:56:57', NULL, NULL), (246303, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 19:56:57', NULL, NULL), (246304, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 19:56:58', NULL, NULL), (246305, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 19:56:59', NULL, NULL), (246306, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 19:57:00', NULL, NULL), (246307, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 19:57:01', NULL, NULL), (246308, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 19:57:02', NULL, NULL), (246309, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 19:57:03', NULL, NULL), (246310, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 19:57:03', NULL, NULL), (246311, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 19:57:04', NULL, NULL), (246312, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 19:57:05', NULL, NULL), (246313, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 19:57:06', NULL, NULL), (246314, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 19:57:07', NULL, NULL), (246315, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 19:57:08', NULL, NULL), (246316, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 19:57:09', NULL, NULL), (246317, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 19:57:10', NULL, NULL), (246318, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 19:57:10', NULL, NULL), (246319, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 19:57:11', NULL, NULL), (246320, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 19:57:12', NULL, NULL), (246321, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 19:57:14', NULL, NULL), (246322, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 19:57:15', NULL, NULL), (246323, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 19:57:16', NULL, NULL), (246324, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 19:57:18', NULL, NULL), (246325, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 19:57:19', NULL, NULL), (246326, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 19:57:20', NULL, NULL), (246327, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 19:57:22', NULL, NULL), (246328, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 19:57:23', NULL, NULL), (246329, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 19:57:25', NULL, NULL), (246330, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 19:57:26', NULL, NULL), (246331, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 19:57:27', NULL, NULL), (246332, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 19:57:29', NULL, NULL), (246333, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 19:57:30', NULL, NULL), (246334, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 19:57:31', NULL, NULL), (246335, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 19:57:33', NULL, NULL), (246336, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 19:57:34', NULL, NULL), (246337, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 19:57:36', NULL, NULL), (246338, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 19:57:37', NULL, NULL), (246339, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 19:57:38', NULL, NULL), (246340, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 19:57:40', NULL, NULL), (246341, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 19:57:41', NULL, NULL), (246342, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 19:57:42', NULL, NULL), (246343, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 19:57:44', NULL, NULL), (246344, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 19:57:45', NULL, NULL), (246345, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 19:57:46', NULL, NULL), (246346, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 19:57:48', NULL, NULL), (246347, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 19:57:49', NULL, NULL), (246348, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 19:57:51', NULL, NULL), (246349, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 19:57:52', NULL, NULL), (246350, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 19:57:53', NULL, NULL), (246351, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 19:57:55', NULL, NULL), (246352, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 19:57:56', NULL, NULL), (246353, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 19:57:57', NULL, NULL), (246354, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 19:57:59', NULL, NULL), (246355, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 19:58:00', NULL, NULL), (246356, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 19:58:02', NULL, NULL), (246357, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 19:58:03', NULL, NULL), (246358, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 19:58:04', NULL, NULL), (246359, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 19:58:06', NULL, NULL), (246360, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 19:58:07', NULL, NULL), (246361, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 19:58:07', NULL, NULL), (246362, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 19:58:08', NULL, NULL), (246363, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 19:58:09', NULL, NULL), (246364, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 19:58:10', NULL, NULL), (246365, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 19:58:11', NULL, NULL), (246366, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 19:58:11', NULL, NULL), (246367, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 19:58:12', NULL, NULL), (246368, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 19:58:13', NULL, NULL), (246369, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 19:58:14', 1, '2024-08-05 22:12:28'), (246370, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 19:58:14', 1, '2024-08-06 02:01:33'), (246371, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 19:58:15', 1, '2024-08-07 01:00:26'), (246372, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 19:58:16', 1, '2024-08-08 01:00:32'), (246373, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 19:58:17', 1, '2024-08-09 01:00:26'), (246374, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 19:59:12', NULL, NULL), (246375, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 19:59:15', NULL, NULL), (246376, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 19:59:19', NULL, NULL), (246377, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 19:59:23', NULL, NULL), (246378, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 19:59:26', NULL, NULL), (246379, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 19:59:27', NULL, NULL), (246380, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 19:59:28', NULL, NULL), (246381, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 19:59:29', NULL, NULL), (246382, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 19:59:30', NULL, NULL), (246383, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 19:59:30', NULL, NULL), (246384, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 19:59:31', NULL, NULL), (246385, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 19:59:32', NULL, NULL), (246386, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 19:59:33', NULL, NULL), (246387, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 19:59:34', NULL, NULL), (246388, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 19:59:35', NULL, NULL), (246389, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 19:59:36', NULL, NULL), (246390, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 19:59:37', NULL, NULL), (246391, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 19:59:38', NULL, NULL), (246392, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 19:59:38', NULL, NULL), (246393, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 19:59:39', NULL, NULL), (246394, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 19:59:40', NULL, NULL), (246395, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 19:59:41', NULL, NULL), (246396, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 19:59:42', NULL, NULL), (246397, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 19:59:43', NULL, NULL), (246398, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 19:59:44', NULL, NULL), (246399, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 19:59:45', NULL, NULL), (246400, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 19:59:46', NULL, NULL), (246401, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 19:59:47', NULL, NULL), (246402, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 19:59:49', NULL, NULL), (246403, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 19:59:50', NULL, NULL), (246404, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 19:59:51', NULL, NULL), (246405, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 19:59:52', NULL, NULL), (246406, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 19:59:56', NULL, NULL), (246407, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 19:59:59', NULL, NULL), (246408, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 20:00:03', NULL, NULL), (246409, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 20:00:07', NULL, NULL), (246410, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 20:00:11', NULL, NULL), (246411, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 20:00:12', NULL, NULL), (246412, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 20:00:13', NULL, NULL), (246413, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 20:00:14', NULL, NULL), (246414, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 20:00:15', NULL, NULL), (246415, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 20:00:15', NULL, NULL), (246416, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 20:00:16', NULL, NULL), (246417, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 20:00:17', NULL, NULL), (246418, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 20:00:18', NULL, NULL), (246419, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 20:00:19', NULL, NULL), (246420, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 20:00:20', NULL, NULL), (246421, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 20:00:21', NULL, NULL), (246422, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 20:00:22', NULL, NULL), (246423, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 20:00:23', NULL, NULL), (246424, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 20:00:24', NULL, NULL), (246425, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 20:00:25', NULL, NULL), (246426, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 20:00:26', NULL, NULL), (246427, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 20:00:27', NULL, NULL), (246428, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 20:00:28', NULL, NULL), (246429, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 20:00:29', NULL, NULL), (246430, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 20:00:30', NULL, NULL), (246431, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 20:00:31', NULL, NULL), (246432, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 20:00:32', NULL, NULL), (246433, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 20:00:33', NULL, NULL), (246434, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 20:00:34', NULL, NULL), (246435, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 20:00:36', NULL, NULL), (246436, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 20:00:37', NULL, NULL), (246437, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 20:00:39', NULL, NULL), (246438, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 20:00:43', NULL, NULL), (246439, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 20:00:47', NULL, NULL), (246440, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 20:00:50', NULL, NULL), (246441, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 20:00:54', NULL, NULL), (246442, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 20:00:57', NULL, NULL), (246443, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 20:00:57', NULL, NULL), (246444, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 20:00:58', NULL, NULL), (246445, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 20:00:59', NULL, NULL), (246446, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 20:01:00', NULL, NULL), (246447, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 20:01:01', NULL, NULL), (246448, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 20:01:01', NULL, NULL), (246449, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 20:01:02', NULL, NULL), (246450, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 20:01:03', NULL, NULL), (246451, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 20:01:04', NULL, NULL), (246452, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 20:01:05', NULL, NULL), (246453, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 20:01:05', NULL, NULL), (246454, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 20:01:06', NULL, NULL), (246455, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 20:01:07', NULL, NULL), (246456, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 20:01:08', NULL, NULL), (246457, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 20:01:09', NULL, NULL), (246458, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 20:01:10', NULL, NULL), (246459, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 20:01:11', NULL, NULL), (246460, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 20:01:12', NULL, NULL), (246461, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 20:01:13', NULL, NULL), (246462, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 20:01:13', NULL, NULL), (246463, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 20:01:14', NULL, NULL), (246464, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 20:01:15', NULL, NULL), (246465, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 20:01:16', NULL, NULL), (246466, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 20:01:17', NULL, NULL), (246467, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 20:01:18', NULL, NULL), (246468, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 20:01:19', NULL, NULL), (246469, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 20:01:20', NULL, NULL), (246470, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 20:01:22', NULL, NULL), (246471, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 20:01:23', NULL, NULL), (246472, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 20:01:27', NULL, NULL), (246473, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 20:01:31', NULL, NULL), (246474, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 20:01:34', NULL, NULL), (246475, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 20:01:36', NULL, NULL), (246476, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 20:01:37', NULL, NULL), (246477, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 20:01:38', NULL, NULL), (246478, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 20:01:38', NULL, NULL), (246479, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 20:01:39', NULL, NULL), (246480, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 20:01:40', NULL, NULL), (246481, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 20:01:41', NULL, NULL), (246482, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 20:01:41', NULL, NULL), (246483, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 20:01:42', NULL, NULL), (246484, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 20:01:43', NULL, NULL), (246485, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 20:01:44', NULL, NULL), (246486, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 20:01:45', NULL, NULL), (246487, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 20:01:46', NULL, NULL), (246488, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 20:01:46', NULL, NULL), (246489, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 20:01:47', NULL, NULL), (246490, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 20:01:48', NULL, NULL), (246491, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 20:01:49', NULL, NULL), (246492, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 20:01:50', NULL, NULL), (246493, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 20:01:51', NULL, NULL), (246494, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 20:01:52', NULL, NULL), (246495, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 20:01:52', NULL, NULL), (246496, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 20:01:53', NULL, NULL), (246497, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 20:01:54', NULL, NULL), (246498, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 20:01:55', NULL, NULL), (246499, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 20:01:56', NULL, NULL), (246500, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 20:01:57', NULL, NULL), (246501, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 20:01:58', NULL, NULL), (246502, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 20:01:59', NULL, NULL), (246503, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 20:02:00', NULL, NULL), (246504, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 20:02:02', NULL, NULL), (246505, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 20:02:06', NULL, NULL), (246506, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 20:02:09', NULL, NULL), (246507, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 20:02:13', NULL, NULL), (246508, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 20:02:14', NULL, NULL), (246509, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 20:02:15', NULL, NULL), (246510, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 20:02:16', NULL, NULL), (246511, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 20:02:16', NULL, NULL), (246512, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 20:02:17', NULL, NULL), (246513, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 20:02:18', NULL, NULL), (246514, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 20:02:19', NULL, NULL), (246515, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 20:02:20', NULL, NULL), (246516, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 20:02:20', NULL, NULL), (246517, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 20:02:21', NULL, NULL), (246518, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 20:02:22', NULL, NULL), (246519, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 20:02:23', NULL, NULL), (246520, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 20:02:24', NULL, NULL), (246521, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 20:02:25', NULL, NULL), (246522, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 20:02:25', NULL, NULL), (246523, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 20:02:26', NULL, NULL), (246524, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 20:02:27', NULL, NULL), (246525, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 20:02:28', NULL, NULL), (246526, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 20:02:29', NULL, NULL), (246527, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 20:02:30', NULL, NULL), (246528, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 20:02:31', NULL, NULL), (246529, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 20:02:32', NULL, NULL), (246530, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 20:02:33', NULL, NULL), (246531, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 20:02:33', NULL, NULL), (246532, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 20:02:34', NULL, NULL), (246533, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 20:02:35', NULL, NULL), (246534, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 20:02:36', NULL, NULL), (246535, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 20:02:38', NULL, NULL), (246536, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 20:02:39', NULL, NULL), (246537, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 20:02:41', NULL, NULL), (246538, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 20:02:45', NULL, NULL), (246539, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 20:02:48', NULL, NULL), (246540, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 20:02:52', NULL, NULL), (246541, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 20:02:53', NULL, NULL), (246542, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 20:02:54', NULL, NULL), (246543, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 20:02:55', NULL, NULL), (246544, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 20:02:56', NULL, NULL), (246545, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 20:02:56', NULL, NULL), (246546, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 20:02:57', NULL, NULL), (246547, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 20:02:58', NULL, NULL), (246548, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 20:02:59', NULL, NULL), (246549, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 20:02:59', NULL, NULL), (246550, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 20:03:00', NULL, NULL), (246551, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 20:03:01', NULL, NULL), (246552, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 20:03:02', NULL, NULL), (246553, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 20:03:03', NULL, NULL), (246554, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 20:03:04', NULL, NULL), (246555, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 20:03:04', NULL, NULL), (246556, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 20:03:05', NULL, NULL), (246557, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 20:03:06', NULL, NULL), (246558, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 20:03:07', NULL, NULL), (246559, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 20:03:08', NULL, NULL), (246560, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 20:03:09', NULL, NULL), (246561, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 20:03:10', NULL, NULL), (246562, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 20:03:11', NULL, NULL), (246563, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 20:03:12', NULL, NULL), (246564, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 20:03:12', NULL, NULL), (246565, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 20:03:13', NULL, NULL), (246566, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 20:03:14', NULL, NULL), (246567, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 20:03:15', NULL, NULL), (246568, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 20:03:17', NULL, NULL), (246569, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 20:03:18', NULL, NULL), (246570, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 20:03:20', NULL, NULL), (246571, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 20:03:24', NULL, NULL), (246572, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 20:03:27', NULL, NULL), (246573, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 20:03:31', NULL, NULL), (246574, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 20:03:32', NULL, NULL), (246575, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 20:03:32', NULL, NULL), (246576, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 20:03:33', NULL, NULL), (246577, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 20:03:34', NULL, NULL), (246578, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 20:03:35', NULL, NULL), (246579, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 20:03:35', NULL, NULL), (246580, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 20:03:36', NULL, NULL), (246581, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 20:03:37', NULL, NULL), (246582, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 20:03:38', NULL, NULL), (246583, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 20:03:39', NULL, NULL), (246584, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 20:03:39', NULL, NULL), (246585, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 20:03:40', NULL, NULL), (246586, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 20:03:41', NULL, NULL), (246587, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 20:03:42', NULL, NULL), (246588, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 20:03:43', NULL, NULL), (246589, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 20:03:44', NULL, NULL), (246590, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 20:03:45', NULL, NULL), (246591, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 20:03:46', NULL, NULL), (246592, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 20:03:47', NULL, NULL), (246593, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 20:03:48', NULL, NULL), (246594, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 20:03:49', NULL, NULL), (246595, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 20:03:50', NULL, NULL), (246596, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 20:03:51', NULL, NULL), (246597, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 20:03:52', NULL, NULL), (246598, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 20:03:53', NULL, NULL), (246599, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 20:03:54', NULL, NULL), (246600, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 20:03:56', NULL, NULL), (246601, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 20:03:57', NULL, NULL), (246602, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 20:04:01', NULL, NULL), (246603, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 20:04:04', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (246604, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 20:04:08', NULL, NULL), (246605, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 20:04:11', NULL, NULL), (246606, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 20:04:15', NULL, NULL), (246607, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 20:04:16', NULL, NULL), (246608, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 20:04:16', NULL, NULL), (246609, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 20:04:17', NULL, NULL), (246610, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 20:04:18', NULL, NULL), (246611, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 20:04:19', NULL, NULL), (246612, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 20:04:19', NULL, NULL), (246613, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 20:04:20', NULL, NULL), (246614, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 20:04:21', NULL, NULL), (246615, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 20:04:22', NULL, NULL), (246616, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 20:04:23', NULL, NULL), (246617, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 20:04:23', NULL, NULL), (246618, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 20:04:24', NULL, NULL), (246619, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 20:04:25', NULL, NULL), (246620, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 20:04:26', NULL, NULL), (246621, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 20:04:27', NULL, NULL), (246622, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 20:04:28', NULL, NULL), (246623, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 20:04:29', NULL, NULL), (246624, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 20:04:29', NULL, NULL), (246625, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 20:04:30', NULL, NULL), (246626, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 20:04:31', NULL, NULL), (246627, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 20:04:32', NULL, NULL), (246628, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 20:04:33', NULL, NULL), (246629, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 20:04:34', NULL, NULL), (246630, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 20:04:35', NULL, NULL), (246631, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 20:04:36', NULL, NULL), (246632, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 20:04:37', NULL, NULL), (246633, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 20:04:38', NULL, NULL), (246634, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 20:04:39', NULL, NULL), (246635, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 20:04:40', NULL, NULL), (246636, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 20:04:43', NULL, NULL), (246637, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 20:04:46', NULL, NULL), (246638, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 20:04:50', NULL, NULL), (246639, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 20:04:53', NULL, NULL), (246640, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 20:04:56', NULL, NULL), (246641, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 20:04:57', NULL, NULL), (246642, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 20:04:58', NULL, NULL), (246643, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 20:04:58', NULL, NULL), (246644, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 20:04:59', NULL, NULL), (246645, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 20:05:00', NULL, NULL), (246646, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 20:05:01', NULL, NULL), (246647, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 20:05:01', NULL, NULL), (246648, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 20:05:02', NULL, NULL), (246649, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 20:05:03', NULL, NULL), (246650, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 20:05:04', NULL, NULL), (246651, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 20:05:05', NULL, NULL), (246652, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 20:05:05', NULL, NULL), (246653, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 20:05:06', NULL, NULL), (246654, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 20:05:07', NULL, NULL), (246655, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 20:05:08', NULL, NULL), (246656, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 20:05:09', NULL, NULL), (246657, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 20:05:10', NULL, NULL), (246658, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 20:05:11', NULL, NULL), (246659, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 20:05:11', NULL, NULL), (246660, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 20:05:12', NULL, NULL), (246661, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 20:05:13', NULL, NULL), (246662, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 20:05:14', NULL, NULL), (246663, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 20:05:15', NULL, NULL), (246664, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 20:05:16', NULL, NULL), (246665, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 20:05:17', NULL, NULL), (246666, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 20:05:18', NULL, NULL), (246667, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 20:05:19', NULL, NULL), (246668, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 20:05:20', NULL, NULL), (246669, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 20:05:21', NULL, NULL), (246670, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 20:05:24', NULL, NULL), (246671, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 20:05:27', NULL, NULL), (246672, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 20:05:31', NULL, NULL), (246673, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 20:05:34', NULL, NULL), (246674, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 20:05:35', NULL, NULL), (246675, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 20:05:35', NULL, NULL), (246676, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 20:05:36', NULL, NULL), (246677, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 20:05:37', NULL, NULL), (246678, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 20:05:38', NULL, NULL), (246679, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 20:05:39', NULL, NULL), (246680, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 20:05:39', NULL, NULL), (246681, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 20:05:40', NULL, NULL), (246682, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 20:05:41', NULL, NULL), (246683, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 20:05:42', NULL, NULL), (246684, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 20:05:43', NULL, NULL), (246685, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 20:05:43', NULL, NULL), (246686, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 20:05:44', NULL, NULL), (246687, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 20:05:45', NULL, NULL), (246688, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 20:05:46', NULL, NULL), (246689, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 20:05:47', NULL, NULL), (246690, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 20:05:48', NULL, NULL), (246691, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 20:05:48', NULL, NULL), (246692, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 20:05:49', NULL, NULL), (246693, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 20:05:50', NULL, NULL), (246694, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 20:05:51', NULL, NULL), (246695, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 20:05:52', NULL, NULL), (246696, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 20:05:53', NULL, NULL), (246697, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 20:05:54', NULL, NULL), (246698, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 20:05:55', NULL, NULL), (246699, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 20:05:56', NULL, NULL), (246700, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 20:05:57', NULL, NULL), (246701, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 20:05:58', NULL, NULL), (246702, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 20:05:59', NULL, NULL), (246703, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 20:06:01', NULL, NULL), (246704, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 20:06:05', NULL, NULL), (246705, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 20:06:09', NULL, NULL), (246706, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 20:06:12', NULL, NULL), (246707, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 20:06:13', NULL, NULL), (246708, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 20:06:13', NULL, NULL), (246709, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 20:06:14', NULL, NULL), (246710, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 20:06:15', NULL, NULL), (246711, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 20:06:16', NULL, NULL), (246712, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 20:06:17', NULL, NULL), (246713, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 20:06:17', NULL, NULL), (246714, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 20:06:18', NULL, NULL), (246715, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 20:06:19', NULL, NULL), (246716, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 20:06:20', NULL, NULL), (246717, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 20:06:21', NULL, NULL), (246718, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 20:06:21', NULL, NULL), (246719, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 20:06:22', NULL, NULL), (246720, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 20:06:23', NULL, NULL), (246721, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 20:06:24', NULL, NULL), (246722, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 20:06:25', NULL, NULL), (246723, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 20:06:26', NULL, NULL), (246724, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 20:06:27', NULL, NULL), (246725, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 20:06:27', NULL, NULL), (246726, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 20:06:28', NULL, NULL), (246727, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 20:06:29', NULL, NULL), (246728, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 20:06:30', NULL, NULL), (246729, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 20:06:31', NULL, NULL), (246730, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 20:06:32', NULL, NULL), (246731, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 20:06:33', NULL, NULL), (246732, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 20:06:34', NULL, NULL), (246733, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 20:06:35', NULL, NULL), (246734, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 20:06:36', NULL, NULL), (246735, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 20:06:37', NULL, NULL), (246736, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 20:06:40', NULL, NULL), (246737, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 20:06:43', NULL, NULL), (246738, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 20:06:47', NULL, NULL), (246739, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 20:06:50', NULL, NULL), (246740, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 20:06:52', NULL, NULL), (246741, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 20:06:52', NULL, NULL), (246742, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 20:06:53', NULL, NULL), (246743, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 20:06:54', NULL, NULL), (246744, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 20:06:55', NULL, NULL), (246745, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 20:06:55', NULL, NULL), (246746, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 20:06:56', NULL, NULL), (246747, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 20:06:57', NULL, NULL), (246748, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 20:06:58', NULL, NULL), (246749, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 20:06:59', NULL, NULL), (246750, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 20:07:00', NULL, NULL), (246751, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 20:07:00', NULL, NULL), (246752, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 20:07:01', NULL, NULL), (246753, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 20:07:02', NULL, NULL), (246754, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 20:07:03', NULL, NULL), (246755, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 20:07:04', NULL, NULL), (246756, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 20:07:05', NULL, NULL), (246757, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 20:07:06', NULL, NULL), (246758, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 20:07:06', NULL, NULL), (246759, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 20:07:07', NULL, NULL), (246760, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 20:07:08', NULL, NULL), (246761, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 20:07:09', NULL, NULL), (246762, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 20:07:10', NULL, NULL), (246763, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 20:07:11', NULL, NULL), (246764, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 20:07:12', NULL, NULL), (246765, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 20:07:13', NULL, NULL), (246766, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 20:07:14', NULL, NULL), (246767, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 20:07:15', NULL, NULL), (246768, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 20:07:16', NULL, NULL), (246769, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 20:07:19', NULL, NULL), (246770, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 20:07:22', NULL, NULL), (246771, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 20:07:26', NULL, NULL), (246772, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 20:07:30', NULL, NULL), (246773, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 20:07:31', NULL, NULL), (246774, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 20:07:31', NULL, NULL), (246775, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 20:07:32', NULL, NULL), (246776, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 20:07:33', NULL, NULL), (246777, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 20:07:34', NULL, NULL), (246778, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 20:07:35', NULL, NULL), (246779, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 20:07:35', NULL, NULL), (246780, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 20:07:36', NULL, NULL), (246781, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 20:07:37', NULL, NULL), (246782, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 20:07:38', NULL, NULL), (246783, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 20:07:39', NULL, NULL), (246784, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 20:07:40', NULL, NULL), (246785, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 20:07:40', NULL, NULL), (246786, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 20:07:41', NULL, NULL), (246787, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 20:07:42', NULL, NULL), (246788, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 20:07:43', NULL, NULL), (246789, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 20:07:44', NULL, NULL), (246790, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 20:07:45', NULL, NULL), (246791, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 20:07:46', NULL, NULL), (246792, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 20:07:46', NULL, NULL), (246793, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 20:07:47', NULL, NULL), (246794, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 20:07:48', NULL, NULL), (246795, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 20:07:49', NULL, NULL), (246796, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 20:07:50', NULL, NULL), (246797, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 20:07:51', NULL, NULL), (246798, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 20:07:52', NULL, NULL), (246799, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 20:07:53', NULL, NULL), (246800, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 20:07:54', NULL, NULL), (246801, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 20:07:56', NULL, NULL), (246802, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 20:07:59', NULL, NULL), (246803, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 20:08:02', NULL, NULL), (246804, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 20:08:06', NULL, NULL), (246805, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 20:08:08', NULL, NULL), (246806, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 20:08:09', NULL, NULL), (246807, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 20:08:10', NULL, NULL), (246808, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 20:08:11', NULL, NULL), (246809, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 20:08:11', NULL, NULL), (246810, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 20:08:12', NULL, NULL), (246811, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 20:08:13', NULL, NULL), (246812, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 20:08:14', NULL, NULL), (246813, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 20:08:15', NULL, NULL), (246814, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 20:08:16', NULL, NULL), (246815, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 20:08:16', NULL, NULL), (246816, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 20:08:17', NULL, NULL), (246817, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 20:08:18', NULL, NULL), (246818, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 20:08:19', NULL, NULL), (246819, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 20:08:20', NULL, NULL), (246820, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 20:08:21', NULL, NULL), (246821, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 20:08:21', NULL, NULL), (246822, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 20:08:22', NULL, NULL), (246823, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 20:08:23', NULL, NULL), (246824, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 20:08:24', NULL, NULL), (246825, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 20:08:25', NULL, NULL), (246826, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 20:08:26', NULL, NULL), (246827, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 20:08:27', NULL, NULL), (246828, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 20:08:28', NULL, NULL), (246829, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 20:08:29', NULL, NULL), (246830, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 20:08:30', NULL, NULL), (246831, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 20:08:31', NULL, NULL), (246832, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 20:08:32', NULL, NULL), (246833, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 20:08:33', NULL, NULL), (246834, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 20:08:35', NULL, NULL), (246835, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 20:08:39', NULL, NULL), (246836, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 20:08:43', NULL, NULL), (246837, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 20:08:46', NULL, NULL), (246838, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 20:08:49', NULL, NULL), (246839, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 20:08:50', NULL, NULL), (246840, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 20:08:51', NULL, NULL), (246841, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 20:08:52', NULL, NULL), (246842, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 20:08:53', NULL, NULL), (246843, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 20:08:53', NULL, NULL), (246844, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 20:08:54', NULL, NULL), (246845, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 20:08:55', NULL, NULL), (246846, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 20:08:56', NULL, NULL), (246847, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 20:08:57', NULL, NULL), (246848, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 20:08:58', NULL, NULL), (246849, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 20:08:59', NULL, NULL), (246850, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 20:09:00', NULL, NULL), (246851, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 20:09:01', NULL, NULL), (246852, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 20:09:02', NULL, NULL), (246853, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 20:09:03', NULL, NULL), (246854, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 20:09:04', NULL, NULL), (246855, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 20:09:05', NULL, NULL), (246856, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 20:09:06', NULL, NULL), (246857, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 20:09:07', NULL, NULL), (246858, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 20:09:08', NULL, NULL), (246859, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 20:09:09', NULL, NULL), (246860, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 20:09:10', NULL, NULL), (246861, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 20:09:11', NULL, NULL), (246862, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 20:09:12', NULL, NULL), (246863, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 20:09:13', NULL, NULL), (246864, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 20:09:14', NULL, NULL), (246865, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 20:09:17', NULL, NULL), (246866, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 20:09:21', NULL, NULL), (246867, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 20:09:24', NULL, NULL), (246868, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 20:09:28', NULL, NULL), (246869, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 20:09:31', NULL, NULL), (246870, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 20:09:35', NULL, NULL), (246871, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 20:09:36', NULL, NULL), (246872, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 20:09:37', NULL, NULL), (246873, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 20:09:38', NULL, NULL), (246874, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 20:09:38', NULL, NULL), (246875, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 20:09:39', NULL, NULL), (246876, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 20:09:40', NULL, NULL), (246877, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 20:09:41', NULL, NULL), (246878, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 20:09:42', NULL, NULL), (246879, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 20:09:43', NULL, NULL), (246880, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 20:09:44', NULL, NULL), (246881, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 20:09:45', NULL, NULL), (246882, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 20:09:46', NULL, NULL), (246883, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 20:09:46', NULL, NULL), (246884, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 20:09:47', NULL, NULL), (246885, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 20:09:48', NULL, NULL), (246886, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 20:09:49', NULL, NULL), (246887, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 20:09:51', NULL, NULL), (246888, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 20:09:51', NULL, NULL), (246889, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 20:09:52', NULL, NULL), (246890, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 20:09:53', NULL, NULL), (246891, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 20:09:54', NULL, NULL), (246892, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 20:09:55', NULL, NULL), (246893, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 20:09:56', NULL, NULL), (246894, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 20:09:57', NULL, NULL), (246895, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 20:09:59', NULL, NULL), (246896, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 20:10:00', NULL, NULL), (246897, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 20:10:02', NULL, NULL), (246898, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 20:10:05', NULL, NULL), (246899, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 20:10:09', NULL, NULL), (246900, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 20:10:12', NULL, NULL), (246901, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 20:10:16', NULL, NULL), (246902, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 20:10:20', NULL, NULL), (246903, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 20:10:22', NULL, NULL), (246904, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 20:10:22', NULL, NULL), (246905, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 20:10:23', NULL, NULL), (246906, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 20:10:24', NULL, NULL), (246907, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 20:10:25', NULL, NULL), (246908, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 20:10:26', NULL, NULL), (246909, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 20:10:27', NULL, NULL), (246910, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 20:10:28', NULL, NULL), (246911, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 20:10:29', NULL, NULL), (246912, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 20:10:30', NULL, NULL), (246913, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 20:10:31', NULL, NULL), (246914, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 20:10:31', NULL, NULL), (246915, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 20:10:32', NULL, NULL), (246916, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 20:10:33', NULL, NULL), (246917, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 20:10:34', NULL, NULL), (246918, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 20:10:35', NULL, NULL), (246919, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 20:10:36', NULL, NULL), (246920, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 20:10:37', NULL, NULL), (246921, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 20:10:39', NULL, NULL), (246922, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 20:10:40', NULL, NULL), (246923, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 20:10:41', NULL, NULL), (246924, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 20:10:42', NULL, NULL), (246925, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 20:10:43', NULL, NULL), (246926, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 20:10:44', NULL, NULL), (246927, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 20:10:45', NULL, NULL), (246928, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 20:10:46', NULL, NULL), (246929, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 20:10:48', NULL, NULL), (246930, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 20:10:52', NULL, NULL), (246931, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 20:10:55', NULL, NULL), (246932, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 20:10:59', NULL, NULL), (246933, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 20:11:02', NULL, NULL), (246934, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 20:11:04', NULL, NULL), (246935, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 20:11:05', NULL, NULL), (246936, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 20:11:05', NULL, NULL), (246937, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 20:11:06', NULL, NULL), (246938, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 20:11:07', NULL, NULL), (246939, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 20:11:08', NULL, NULL), (246940, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 20:11:09', NULL, NULL), (246941, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 20:11:09', NULL, NULL), (246942, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 20:11:10', NULL, NULL), (246943, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 20:11:11', NULL, NULL), (246944, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 20:11:12', NULL, NULL), (246945, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 20:11:13', NULL, NULL), (246946, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 20:11:14', NULL, NULL), (246947, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 20:11:15', NULL, NULL), (246948, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 20:11:15', NULL, NULL), (246949, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 20:11:16', NULL, NULL), (246950, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 20:11:17', NULL, NULL), (246951, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 20:11:18', NULL, NULL), (246952, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 20:11:19', 1, '2024-08-05 22:12:32'), (246953, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 20:11:20', 1, '2024-08-06 02:01:41'), (246954, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 20:11:21', 1, '2024-08-07 01:00:26'), (246955, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 20:11:22', 1, '2024-08-08 01:00:33'), (246956, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 20:11:23', 1, '2024-08-09 01:00:27'), (246957, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 20:12:42', NULL, NULL), (246958, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 20:12:43', NULL, NULL), (246959, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 20:12:44', NULL, NULL), (246960, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 20:12:45', NULL, NULL), (246961, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 20:12:46', NULL, NULL), (246962, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 20:12:47', NULL, NULL), (246963, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 20:12:48', NULL, NULL), (246964, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 20:12:49', NULL, NULL), (246965, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 20:12:50', NULL, NULL), (246966, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 20:12:52', NULL, NULL), (246967, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 20:12:53', NULL, NULL), (246968, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 20:12:54', NULL, NULL), (246969, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 20:12:55', NULL, NULL), (246970, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 20:12:56', NULL, NULL), (246971, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 20:12:57', NULL, NULL), (246972, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 20:12:58', NULL, NULL), (246973, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 20:13:00', NULL, NULL), (246974, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 20:13:01', NULL, NULL), (246975, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 20:13:02', NULL, NULL), (246976, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 20:13:05', NULL, NULL), (246977, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 20:13:08', NULL, NULL), (246978, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 20:13:12', NULL, NULL), (246979, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 20:13:16', NULL, NULL), (246980, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 20:13:20', NULL, NULL), (246981, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 20:13:24', NULL, NULL), (246982, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 20:13:28', NULL, NULL), (246983, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 20:13:30', NULL, NULL), (246984, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 20:13:31', NULL, NULL), (246985, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 20:13:32', NULL, NULL), (246986, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 20:13:33', NULL, NULL), (246987, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 20:13:33', NULL, NULL), (246988, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 20:13:34', NULL, NULL), (246989, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 20:13:36', NULL, NULL), (246990, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 20:13:37', NULL, NULL), (246991, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 20:13:39', NULL, NULL), (246992, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 20:13:40', NULL, NULL), (246993, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 20:13:41', NULL, NULL), (246994, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 20:13:43', NULL, NULL), (246995, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 20:13:45', NULL, NULL), (246996, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 20:13:46', NULL, NULL), (246997, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 20:13:47', NULL, NULL), (246998, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 20:13:49', NULL, NULL), (246999, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 20:13:50', NULL, NULL), (247000, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 20:13:51', NULL, NULL), (247001, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 20:13:53', NULL, NULL), (247002, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 20:13:54', NULL, NULL), (247003, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 20:13:56', NULL, NULL), (247004, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 20:13:59', NULL, NULL), (247005, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 20:14:03', NULL, NULL), (247006, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 20:14:08', NULL, NULL), (247007, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 20:14:12', NULL, NULL), (247008, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 20:14:16', NULL, NULL), (247009, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 20:14:21', NULL, NULL), (247010, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 20:14:24', NULL, NULL), (247011, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 20:14:25', NULL, NULL), (247012, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 20:14:26', NULL, NULL), (247013, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 20:14:26', NULL, NULL), (247014, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 20:14:27', NULL, NULL), (247015, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 20:14:28', NULL, NULL), (247016, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 20:14:29', NULL, NULL), (247017, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 20:14:30', NULL, NULL), (247018, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 20:14:31', NULL, NULL), (247019, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 20:14:32', NULL, NULL), (247020, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 20:14:33', NULL, NULL), (247021, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 20:14:34', NULL, NULL), (247022, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 20:14:35', NULL, NULL), (247023, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 20:14:36', NULL, NULL), (247024, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 20:14:37', NULL, NULL), (247025, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 20:14:38', NULL, NULL), (247026, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 20:14:39', NULL, NULL), (247027, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 20:14:40', NULL, NULL), (247028, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 20:14:41', NULL, NULL), (247029, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 20:14:42', NULL, NULL), (247030, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 20:14:43', NULL, NULL), (247031, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 20:14:44', NULL, NULL), (247032, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 20:14:45', NULL, NULL), (247033, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 20:14:46', NULL, NULL), (247034, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 20:14:47', NULL, NULL), (247035, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 20:14:48', NULL, NULL), (247036, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 20:14:49', NULL, NULL), (247037, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 20:14:52', NULL, NULL), (247038, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 20:14:55', NULL, NULL), (247039, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 20:14:59', NULL, NULL), (247040, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 20:15:02', NULL, NULL), (247041, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 20:15:06', NULL, NULL), (247042, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 20:15:07', NULL, NULL), (247043, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 20:15:07', NULL, NULL), (247044, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 20:15:08', NULL, NULL), (247045, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 20:15:09', NULL, NULL), (247046, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 20:15:10', NULL, NULL), (247047, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 20:15:10', NULL, NULL), (247048, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 20:15:11', NULL, NULL), (247049, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 20:15:12', NULL, NULL), (247050, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 20:15:13', NULL, NULL), (247051, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 20:15:14', NULL, NULL), (247052, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 20:15:15', NULL, NULL), (247053, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 20:15:15', NULL, NULL), (247054, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 20:15:16', NULL, NULL), (247055, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 20:15:17', NULL, NULL), (247056, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 20:15:18', NULL, NULL), (247057, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 20:15:19', NULL, NULL), (247058, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 20:15:20', NULL, NULL), (247059, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 20:15:21', NULL, NULL), (247060, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 20:15:21', NULL, NULL), (247061, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 20:15:22', NULL, NULL), (247062, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 20:15:23', NULL, NULL), (247063, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 20:15:24', NULL, NULL), (247064, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 20:15:25', NULL, NULL), (247065, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 20:15:26', NULL, NULL), (247066, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 20:15:27', NULL, NULL), (247067, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 20:15:28', NULL, NULL), (247068, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 20:15:29', NULL, NULL), (247069, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 20:15:30', NULL, NULL), (247070, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 20:15:32', NULL, NULL), (247071, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 20:15:35', NULL, NULL), (247072, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 20:15:39', NULL, NULL), (247073, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 20:15:43', NULL, NULL), (247074, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 20:15:46', NULL, NULL), (247075, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 20:15:47', NULL, NULL), (247076, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 20:15:47', NULL, NULL), (247077, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 20:15:48', NULL, NULL), (247078, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 20:15:49', NULL, NULL), (247079, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 20:15:50', NULL, NULL), (247080, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 20:15:51', NULL, NULL), (247081, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 20:15:51', NULL, NULL), (247082, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 20:15:52', NULL, NULL), (247083, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 20:15:53', NULL, NULL), (247084, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 20:15:54', NULL, NULL), (247085, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 20:15:55', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (247086, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 20:15:55', NULL, NULL), (247087, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 20:15:56', NULL, NULL), (247088, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 20:15:57', NULL, NULL), (247089, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 20:15:58', NULL, NULL), (247090, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 20:15:59', NULL, NULL), (247091, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 20:16:00', NULL, NULL), (247092, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 20:16:01', NULL, NULL), (247093, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 20:16:01', NULL, NULL), (247094, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 20:16:02', NULL, NULL), (247095, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 20:16:03', NULL, NULL), (247096, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 20:16:04', NULL, NULL), (247097, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 20:16:05', NULL, NULL), (247098, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 20:16:06', NULL, NULL), (247099, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 20:16:07', NULL, NULL), (247100, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 20:16:08', NULL, NULL), (247101, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 20:16:09', NULL, NULL), (247102, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 20:16:10', NULL, NULL), (247103, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 20:16:12', NULL, NULL), (247104, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 20:16:15', NULL, NULL), (247105, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 20:16:19', NULL, NULL), (247106, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 20:16:22', NULL, NULL), (247107, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 20:16:25', NULL, NULL), (247108, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 20:16:26', NULL, NULL), (247109, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 20:16:27', NULL, NULL), (247110, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 20:16:27', NULL, NULL), (247111, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 20:16:28', NULL, NULL), (247112, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 20:16:29', NULL, NULL), (247113, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 20:16:30', NULL, NULL), (247114, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 20:16:30', NULL, NULL), (247115, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 20:16:31', NULL, NULL), (247116, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 20:16:32', NULL, NULL), (247117, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 20:16:33', NULL, NULL), (247118, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 20:16:34', NULL, NULL), (247119, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 20:16:35', NULL, NULL), (247120, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 20:16:35', NULL, NULL), (247121, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 20:16:36', NULL, NULL), (247122, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 20:16:37', NULL, NULL), (247123, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 20:16:38', NULL, NULL), (247124, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 20:16:39', NULL, NULL), (247125, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 20:16:40', NULL, NULL), (247126, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 20:16:41', NULL, NULL), (247127, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 20:16:41', NULL, NULL), (247128, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 20:16:42', NULL, NULL), (247129, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 20:16:43', NULL, NULL), (247130, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 20:16:44', NULL, NULL), (247131, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 20:16:45', NULL, NULL), (247132, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 20:16:46', NULL, NULL), (247133, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 20:16:47', NULL, NULL), (247134, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 20:16:48', NULL, NULL), (247135, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 20:16:49', NULL, NULL), (247136, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 20:16:51', NULL, NULL), (247137, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 20:16:54', NULL, NULL), (247138, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 20:16:57', NULL, NULL), (247139, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 20:17:01', NULL, NULL), (247140, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 20:17:04', NULL, NULL), (247141, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 20:17:05', NULL, NULL), (247142, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 20:17:06', NULL, NULL), (247143, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 20:17:06', NULL, NULL), (247144, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 20:17:07', NULL, NULL), (247145, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 20:17:08', NULL, NULL), (247146, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 20:17:09', NULL, NULL), (247147, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 20:17:09', NULL, NULL), (247148, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 20:17:10', NULL, NULL), (247149, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 20:17:11', NULL, NULL), (247150, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 20:17:12', NULL, NULL), (247151, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 20:17:13', NULL, NULL), (247152, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 20:17:13', NULL, NULL), (247153, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 20:17:14', NULL, NULL), (247154, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 20:17:15', NULL, NULL), (247155, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 20:17:16', NULL, NULL), (247156, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 20:17:17', NULL, NULL), (247157, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 20:17:18', NULL, NULL), (247158, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 20:17:19', NULL, NULL), (247159, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 20:17:20', NULL, NULL), (247160, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 20:17:20', NULL, NULL), (247161, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 20:17:21', NULL, NULL), (247162, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 20:17:22', NULL, NULL), (247163, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 20:17:23', NULL, NULL), (247164, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 20:17:24', NULL, NULL), (247165, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 20:17:25', NULL, NULL), (247166, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 20:17:26', NULL, NULL), (247167, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 20:17:27', NULL, NULL), (247168, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 20:17:28', NULL, NULL), (247169, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 20:17:30', NULL, NULL), (247170, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 20:17:33', NULL, NULL), (247171, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 20:17:37', NULL, NULL), (247172, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 20:17:40', NULL, NULL), (247173, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 20:17:43', NULL, NULL), (247174, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 20:17:44', NULL, NULL), (247175, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 20:17:45', NULL, NULL), (247176, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 20:17:45', NULL, NULL), (247177, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 20:17:46', NULL, NULL), (247178, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 20:17:47', NULL, NULL), (247179, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 20:17:48', NULL, NULL), (247180, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 20:17:49', NULL, NULL), (247181, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 20:17:49', NULL, NULL), (247182, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 20:17:50', NULL, NULL), (247183, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 20:17:51', NULL, NULL), (247184, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 20:17:52', NULL, NULL), (247185, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 20:17:53', NULL, NULL), (247186, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 20:17:54', NULL, NULL), (247187, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 20:17:54', NULL, NULL), (247188, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 20:17:55', NULL, NULL), (247189, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 20:17:56', NULL, NULL), (247190, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 20:17:57', NULL, NULL), (247191, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 20:17:58', NULL, NULL), (247192, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 20:17:59', NULL, NULL), (247193, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 20:18:00', NULL, NULL), (247194, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 20:18:00', NULL, NULL), (247195, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 20:18:01', NULL, NULL), (247196, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 20:18:02', NULL, NULL), (247197, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 20:18:03', NULL, NULL), (247198, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 20:18:04', NULL, NULL), (247199, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 20:18:05', NULL, NULL), (247200, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 20:18:06', NULL, NULL), (247201, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 20:18:07', NULL, NULL), (247202, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 20:18:09', NULL, NULL), (247203, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 20:18:10', NULL, NULL), (247204, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 20:18:14', NULL, NULL), (247205, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 20:18:17', NULL, NULL), (247206, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 20:18:21', NULL, NULL), (247207, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 20:18:22', NULL, NULL), (247208, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 20:18:22', NULL, NULL), (247209, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 20:18:23', NULL, NULL), (247210, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 20:18:24', NULL, NULL), (247211, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 20:18:25', NULL, NULL), (247212, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 20:18:26', NULL, NULL), (247213, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 20:18:26', NULL, NULL), (247214, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 20:18:27', NULL, NULL), (247215, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 20:18:28', NULL, NULL), (247216, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 20:18:29', NULL, NULL), (247217, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 20:18:30', NULL, NULL), (247218, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 20:18:30', NULL, NULL), (247219, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 20:18:31', NULL, NULL), (247220, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 20:18:32', NULL, NULL), (247221, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 20:18:33', NULL, NULL), (247222, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 20:18:34', NULL, NULL), (247223, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 20:18:35', NULL, NULL), (247224, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 20:18:36', NULL, NULL), (247225, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 20:18:36', NULL, NULL), (247226, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 20:18:37', NULL, NULL), (247227, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 20:18:38', NULL, NULL), (247228, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 20:18:39', NULL, NULL), (247229, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 20:18:40', NULL, NULL), (247230, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 20:18:41', NULL, NULL), (247231, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 20:18:42', NULL, NULL), (247232, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 20:18:43', NULL, NULL), (247233, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 20:18:44', NULL, NULL), (247234, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 20:18:45', NULL, NULL), (247235, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 20:18:47', NULL, NULL), (247236, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 20:18:50', NULL, NULL), (247237, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 20:18:53', NULL, NULL), (247238, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 20:18:57', NULL, NULL), (247239, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 20:19:00', NULL, NULL), (247240, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 20:19:04', NULL, NULL), (247241, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 20:19:05', NULL, NULL), (247242, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 20:19:06', NULL, NULL), (247243, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 20:19:06', NULL, NULL), (247244, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 20:19:07', NULL, NULL), (247245, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 20:19:08', NULL, NULL), (247246, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 20:19:09', NULL, NULL), (247247, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 20:19:10', NULL, NULL), (247248, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 20:19:11', NULL, NULL), (247249, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 20:19:12', NULL, NULL), (247250, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 20:19:13', NULL, NULL), (247251, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 20:19:14', NULL, NULL), (247252, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 20:19:15', NULL, NULL), (247253, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 20:19:16', NULL, NULL), (247254, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 20:19:16', NULL, NULL), (247255, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 20:19:17', NULL, NULL), (247256, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 20:19:18', NULL, NULL), (247257, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 20:19:19', NULL, NULL), (247258, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 20:19:20', NULL, NULL), (247259, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 20:19:21', NULL, NULL), (247260, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 20:19:22', NULL, NULL), (247261, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 20:19:23', NULL, NULL), (247262, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 20:19:24', NULL, NULL), (247263, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 20:19:25', NULL, NULL), (247264, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 20:19:26', NULL, NULL), (247265, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 20:19:27', NULL, NULL), (247266, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 20:19:28', NULL, NULL), (247267, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 20:19:30', NULL, NULL), (247268, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 20:19:32', NULL, NULL), (247269, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 20:19:36', NULL, NULL), (247270, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 20:19:39', NULL, NULL), (247271, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 20:19:43', NULL, NULL), (247272, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 20:19:45', NULL, NULL), (247273, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 20:19:46', NULL, NULL), (247274, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 20:19:47', NULL, NULL), (247275, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 20:19:48', NULL, NULL), (247276, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 20:19:48', NULL, NULL), (247277, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 20:19:49', NULL, NULL), (247278, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 20:19:50', NULL, NULL), (247279, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 20:19:51', NULL, NULL), (247280, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 20:19:52', NULL, NULL), (247281, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 20:19:52', NULL, NULL), (247282, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 20:19:53', NULL, NULL), (247283, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 20:19:54', NULL, NULL), (247284, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 20:19:55', NULL, NULL), (247285, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 20:19:56', NULL, NULL), (247286, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 20:19:57', NULL, NULL), (247287, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 20:19:57', NULL, NULL), (247288, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 20:19:58', NULL, NULL), (247289, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 20:19:59', NULL, NULL), (247290, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 20:20:00', NULL, NULL), (247291, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 20:20:01', NULL, NULL), (247292, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 20:20:02', NULL, NULL), (247293, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 20:20:03', NULL, NULL), (247294, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 20:20:04', NULL, NULL), (247295, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 20:20:04', NULL, NULL), (247296, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 20:20:05', NULL, NULL), (247297, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 20:20:06', NULL, NULL), (247298, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 20:20:07', NULL, NULL), (247299, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 20:20:08', NULL, NULL), (247300, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 20:20:10', NULL, NULL), (247301, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 20:20:11', NULL, NULL), (247302, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 20:20:15', NULL, NULL), (247303, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 20:20:18', NULL, NULL), (247304, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 20:20:22', NULL, NULL), (247305, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 20:20:24', NULL, NULL), (247306, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 20:20:24', NULL, NULL), (247307, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 20:20:25', NULL, NULL), (247308, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 20:20:26', NULL, NULL), (247309, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 20:20:27', NULL, NULL), (247310, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 20:20:27', NULL, NULL), (247311, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 20:20:28', NULL, NULL), (247312, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 20:20:29', NULL, NULL), (247313, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 20:20:30', NULL, NULL), (247314, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 20:20:31', NULL, NULL), (247315, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 20:20:31', NULL, NULL), (247316, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 20:20:32', NULL, NULL), (247317, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 20:20:33', NULL, NULL), (247318, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 20:20:34', NULL, NULL), (247319, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 20:20:35', NULL, NULL), (247320, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 20:20:36', NULL, NULL), (247321, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 20:20:37', NULL, NULL), (247322, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 20:20:37', NULL, NULL), (247323, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 20:20:38', NULL, NULL), (247324, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 20:20:39', NULL, NULL), (247325, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 20:20:40', NULL, NULL), (247326, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 20:20:41', NULL, NULL), (247327, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 20:20:42', NULL, NULL), (247328, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 20:20:43', NULL, NULL), (247329, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 20:20:44', NULL, NULL), (247330, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 20:20:45', NULL, NULL), (247331, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 20:20:46', NULL, NULL), (247332, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 20:20:47', NULL, NULL), (247333, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 20:20:48', NULL, NULL), (247334, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 20:20:50', NULL, NULL), (247335, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 20:20:54', NULL, NULL), (247336, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 20:20:57', NULL, NULL), (247337, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 20:21:01', NULL, NULL), (247338, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 20:21:03', NULL, NULL), (247339, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 20:21:04', NULL, NULL), (247340, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 20:21:05', NULL, NULL), (247341, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 20:21:06', NULL, NULL), (247342, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 20:21:06', NULL, NULL), (247343, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 20:21:07', NULL, NULL), (247344, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 20:21:08', NULL, NULL), (247345, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 20:21:09', NULL, NULL), (247346, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 20:21:10', NULL, NULL), (247347, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 20:21:10', NULL, NULL), (247348, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 20:21:11', NULL, NULL), (247349, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 20:21:12', NULL, NULL), (247350, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 20:21:13', NULL, NULL), (247351, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 20:21:14', NULL, NULL), (247352, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 20:21:15', NULL, NULL), (247353, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 20:21:15', NULL, NULL), (247354, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 20:21:16', NULL, NULL), (247355, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 20:21:17', NULL, NULL), (247356, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 20:21:18', NULL, NULL), (247357, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 20:21:19', NULL, NULL), (247358, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 20:21:20', NULL, NULL), (247359, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 20:21:21', NULL, NULL), (247360, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 20:21:22', NULL, NULL), (247361, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 20:21:22', NULL, NULL), (247362, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 20:21:23', NULL, NULL), (247363, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 20:21:24', NULL, NULL), (247364, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 20:21:25', NULL, NULL), (247365, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 20:21:26', NULL, NULL), (247366, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 20:21:28', NULL, NULL), (247367, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 20:21:29', NULL, NULL), (247368, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 20:21:33', NULL, NULL), (247369, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 20:21:36', NULL, NULL), (247370, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 20:21:40', NULL, NULL), (247371, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 20:21:42', NULL, NULL), (247372, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 20:21:43', NULL, NULL), (247373, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 20:21:44', NULL, NULL), (247374, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 20:21:45', NULL, NULL), (247375, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 20:21:45', NULL, NULL), (247376, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 20:21:46', NULL, NULL), (247377, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 20:21:47', NULL, NULL), (247378, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 20:21:48', NULL, NULL), (247379, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 20:21:49', NULL, NULL), (247380, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 20:21:49', NULL, NULL), (247381, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 20:21:50', NULL, NULL), (247382, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 20:21:51', NULL, NULL), (247383, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 20:21:52', NULL, NULL), (247384, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 20:21:53', NULL, NULL), (247385, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 20:21:53', NULL, NULL), (247386, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 20:21:54', NULL, NULL), (247387, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 20:21:55', NULL, NULL), (247388, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 20:21:56', NULL, NULL), (247389, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 20:21:57', NULL, NULL), (247390, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 20:21:58', NULL, NULL), (247391, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 20:21:59', NULL, NULL), (247392, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 20:22:00', NULL, NULL), (247393, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 20:22:00', NULL, NULL), (247394, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 20:22:01', NULL, NULL), (247395, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 20:22:02', NULL, NULL), (247396, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 20:22:03', NULL, NULL), (247397, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 20:22:04', NULL, NULL), (247398, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 20:22:05', NULL, NULL), (247399, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 20:22:07', NULL, NULL), (247400, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 20:22:08', NULL, NULL), (247401, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 20:22:11', NULL, NULL), (247402, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 20:22:15', NULL, NULL), (247403, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 20:22:18', NULL, NULL), (247404, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 20:22:21', NULL, NULL), (247405, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 20:22:21', NULL, NULL), (247406, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 20:22:22', NULL, NULL), (247407, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 20:22:23', NULL, NULL), (247408, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 20:22:24', NULL, NULL), (247409, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 20:22:25', NULL, NULL), (247410, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 20:22:25', NULL, NULL), (247411, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 20:22:26', NULL, NULL), (247412, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 20:22:27', NULL, NULL), (247413, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 20:22:28', NULL, NULL), (247414, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 20:22:29', NULL, NULL), (247415, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 20:22:29', NULL, NULL), (247416, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 20:22:30', NULL, NULL), (247417, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 20:22:31', NULL, NULL), (247418, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 20:22:32', NULL, NULL), (247419, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 20:22:33', NULL, NULL), (247420, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 20:22:34', NULL, NULL), (247421, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 20:22:34', NULL, NULL), (247422, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 20:22:35', NULL, NULL), (247423, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 20:22:36', NULL, NULL), (247424, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 20:22:37', NULL, NULL), (247425, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 20:22:38', NULL, NULL), (247426, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 20:22:39', NULL, NULL), (247427, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 20:22:40', NULL, NULL), (247428, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 20:22:41', NULL, NULL), (247429, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 20:22:42', NULL, NULL), (247430, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 20:22:43', NULL, NULL), (247431, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 20:22:44', NULL, NULL), (247432, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 20:22:45', NULL, NULL), (247433, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 20:22:47', NULL, NULL), (247434, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 20:22:48', NULL, NULL), (247435, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 20:22:49', NULL, NULL), (247436, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 20:22:51', NULL, NULL), (247437, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 20:22:52', NULL, NULL), (247438, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 20:22:54', NULL, NULL), (247439, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 20:22:55', NULL, NULL), (247440, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 20:22:56', NULL, NULL), (247441, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 20:22:58', NULL, NULL), (247442, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 20:22:59', NULL, NULL), (247443, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 20:23:00', NULL, NULL), (247444, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 20:23:02', NULL, NULL), (247445, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 20:23:03', NULL, NULL), (247446, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 20:23:05', NULL, NULL), (247447, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 20:23:06', NULL, NULL), (247448, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 20:23:07', NULL, NULL), (247449, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 20:23:09', NULL, NULL), (247450, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 20:23:10', NULL, NULL), (247451, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 20:23:11', NULL, NULL), (247452, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 20:23:13', NULL, NULL), (247453, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 20:23:14', NULL, NULL), (247454, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 20:23:15', NULL, NULL), (247455, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 20:23:17', NULL, NULL), (247456, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 20:23:18', NULL, NULL), (247457, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 20:23:20', NULL, NULL), (247458, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 20:23:21', NULL, NULL), (247459, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 20:23:22', NULL, NULL), (247460, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 20:23:24', NULL, NULL), (247461, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 20:23:25', NULL, NULL), (247462, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 20:23:26', NULL, NULL), (247463, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 20:23:28', NULL, NULL), (247464, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 20:23:29', NULL, NULL), (247465, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 20:23:31', NULL, NULL), (247466, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 20:23:32', NULL, NULL), (247467, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 20:23:33', NULL, NULL), (247468, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 20:23:35', NULL, NULL), (247469, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 20:23:36', NULL, NULL), (247470, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 20:23:37', NULL, NULL), (247471, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 20:23:39', NULL, NULL), (247472, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 20:23:40', NULL, NULL), (247473, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 20:23:41', NULL, NULL), (247474, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 20:23:43', NULL, NULL), (247475, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 20:23:44', NULL, NULL), (247476, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 20:23:46', NULL, NULL), (247477, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 20:23:47', NULL, NULL), (247478, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 20:23:49', NULL, NULL), (247479, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 20:23:50', NULL, NULL), (247480, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 20:23:51', NULL, NULL), (247481, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 20:23:53', NULL, NULL), (247482, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 20:23:54', NULL, NULL), (247483, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 20:23:55', NULL, NULL), (247484, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 20:23:57', NULL, NULL), (247485, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 20:23:58', NULL, NULL), (247486, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 20:24:00', NULL, NULL), (247487, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 20:24:01', NULL, NULL), (247488, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 20:24:02', NULL, NULL), (247489, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 20:24:04', NULL, NULL), (247490, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 20:24:05', NULL, NULL), (247491, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 20:24:07', NULL, NULL), (247492, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 20:24:08', NULL, NULL), (247493, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 20:24:09', NULL, NULL), (247494, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 20:24:11', NULL, NULL), (247495, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 20:24:12', NULL, NULL), (247496, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 20:24:14', NULL, NULL), (247497, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 20:24:15', NULL, NULL), (247498, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 20:24:16', NULL, NULL), (247499, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 20:24:18', NULL, NULL), (247500, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 20:24:19', NULL, NULL), (247501, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 20:24:20', NULL, NULL), (247502, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 20:24:20', NULL, NULL), (247503, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 20:24:21', NULL, NULL), (247504, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 20:24:22', NULL, NULL), (247505, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 20:24:23', NULL, NULL), (247506, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 20:24:23', NULL, NULL), (247507, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 20:24:24', NULL, NULL), (247508, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 20:24:25', NULL, NULL), (247509, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 20:24:26', NULL, NULL), (247510, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 20:24:26', NULL, NULL), (247511, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 20:24:27', NULL, NULL), (247512, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 20:24:28', NULL, NULL), (247513, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 20:24:29', NULL, NULL), (247514, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 20:24:30', NULL, NULL), (247515, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 20:24:31', NULL, NULL), (247516, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 20:24:31', NULL, NULL), (247517, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 20:24:32', NULL, NULL), (247518, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 20:24:33', NULL, NULL), (247519, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 20:24:34', NULL, NULL), (247520, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 20:24:35', NULL, NULL), (247521, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 20:24:36', NULL, NULL), (247522, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 20:24:36', NULL, NULL), (247523, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 20:24:37', NULL, NULL), (247524, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 20:24:38', NULL, NULL), (247525, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 20:24:39', NULL, NULL), (247526, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 20:24:40', NULL, NULL), (247527, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 20:24:41', NULL, NULL), (247528, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 20:24:42', NULL, NULL), (247529, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 20:24:44', NULL, NULL), (247530, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 20:24:45', NULL, NULL), (247531, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 20:24:46', NULL, NULL), (247532, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 20:24:48', NULL, NULL), (247533, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 20:24:49', NULL, NULL), (247534, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 20:24:51', NULL, NULL), (247535, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 20:24:52', 1, '2024-08-05 22:12:35'), (247536, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 20:24:53', 1, '2024-08-06 02:01:41'), (247537, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 20:24:55', 1, '2024-08-07 01:00:28'), (247538, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 20:24:56', 1, '2024-08-08 01:00:33'), (247539, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 20:24:57', 1, '2024-08-09 01:00:27'), (247540, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 20:25:50', NULL, NULL), (247541, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 20:25:51', NULL, NULL), (247542, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 20:25:52', NULL, NULL), (247543, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 20:25:54', NULL, NULL), (247544, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 20:25:55', NULL, NULL), (247545, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 20:25:56', NULL, NULL), (247546, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 20:25:58', NULL, NULL), (247547, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 20:25:59', NULL, NULL), (247548, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 20:26:00', NULL, NULL), (247549, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 20:26:02', NULL, NULL), (247550, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 20:26:03', NULL, NULL), (247551, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 20:26:04', NULL, NULL), (247552, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 20:26:06', NULL, NULL), (247553, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 20:26:07', NULL, NULL), (247554, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 20:26:09', NULL, NULL), (247555, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 20:26:10', NULL, NULL), (247556, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 20:26:11', NULL, NULL), (247557, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 20:26:13', NULL, NULL), (247558, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 20:26:14', NULL, NULL), (247559, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 20:26:15', NULL, NULL), (247560, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 20:26:17', NULL, NULL), (247561, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 20:26:18', NULL, NULL), (247562, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 20:26:19', NULL, NULL), (247563, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 20:26:21', NULL, NULL), (247564, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 20:26:23', NULL, NULL), (247565, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 20:26:23', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (247566, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 20:26:24', NULL, NULL), (247567, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 20:26:25', NULL, NULL), (247568, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 20:26:26', NULL, NULL), (247569, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 20:26:26', NULL, NULL), (247570, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 20:26:27', NULL, NULL), (247571, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 20:26:28', NULL, NULL), (247572, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 20:26:29', NULL, NULL), (247573, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 20:26:29', NULL, NULL), (247574, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 20:26:30', NULL, NULL), (247575, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 20:26:31', NULL, NULL), (247576, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 20:26:32', NULL, NULL), (247577, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 20:26:33', NULL, NULL), (247578, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 20:26:33', NULL, NULL), (247579, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 20:26:34', NULL, NULL), (247580, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 20:26:35', NULL, NULL), (247581, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 20:26:36', NULL, NULL), (247582, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 20:26:37', NULL, NULL), (247583, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 20:26:38', NULL, NULL), (247584, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 20:26:38', NULL, NULL), (247585, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 20:26:39', NULL, NULL), (247586, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 20:26:40', NULL, NULL), (247587, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 20:26:41', NULL, NULL), (247588, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 20:26:42', NULL, NULL), (247589, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 20:26:43', NULL, NULL), (247590, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 20:26:44', NULL, NULL), (247591, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 20:26:45', NULL, NULL), (247592, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 20:26:46', NULL, NULL), (247593, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 20:26:47', NULL, NULL), (247594, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 20:26:48', NULL, NULL), (247595, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 20:26:50', NULL, NULL), (247596, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 20:26:51', NULL, NULL), (247597, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 20:26:52', NULL, NULL), (247598, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 20:26:54', NULL, NULL), (247599, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 20:26:55', NULL, NULL), (247600, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 20:26:56', NULL, NULL), (247601, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 20:26:58', NULL, NULL), (247602, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 20:26:59', NULL, NULL), (247603, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 20:27:00', NULL, NULL), (247604, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 20:27:02', NULL, NULL), (247605, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 20:27:03', NULL, NULL), (247606, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 20:27:05', NULL, NULL), (247607, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 20:27:06', NULL, NULL), (247608, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 20:27:07', NULL, NULL), (247609, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 20:27:09', NULL, NULL), (247610, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 20:27:10', NULL, NULL), (247611, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 20:27:11', NULL, NULL), (247612, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 20:27:13', NULL, NULL), (247613, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 20:27:14', NULL, NULL), (247614, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 20:27:15', NULL, NULL), (247615, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 20:27:17', NULL, NULL), (247616, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 20:27:18', NULL, NULL), (247617, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 20:27:20', NULL, NULL), (247618, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 20:27:21', NULL, NULL), (247619, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 20:27:22', NULL, NULL), (247620, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 20:27:24', NULL, NULL), (247621, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 20:27:25', NULL, NULL), (247622, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 20:27:26', NULL, NULL), (247623, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 20:27:27', NULL, NULL), (247624, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 20:27:28', NULL, NULL), (247625, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 20:27:29', NULL, NULL), (247626, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 20:27:29', NULL, NULL), (247627, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 20:27:30', NULL, NULL), (247628, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 20:27:31', NULL, NULL), (247629, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 20:27:32', NULL, NULL), (247630, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 20:27:33', NULL, NULL), (247631, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 20:27:33', NULL, NULL), (247632, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 20:27:34', NULL, NULL), (247633, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 20:27:35', NULL, NULL), (247634, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 20:27:36', NULL, NULL), (247635, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 20:27:36', NULL, NULL), (247636, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 20:27:37', NULL, NULL), (247637, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 20:27:38', NULL, NULL), (247638, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 20:27:39', NULL, NULL), (247639, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 20:27:40', NULL, NULL), (247640, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 20:27:41', NULL, NULL), (247641, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 20:27:41', NULL, NULL), (247642, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 20:27:42', NULL, NULL), (247643, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 20:27:43', NULL, NULL), (247644, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 20:27:44', NULL, NULL), (247645, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 20:27:45', NULL, NULL), (247646, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 20:27:46', NULL, NULL), (247647, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 20:27:46', NULL, NULL), (247648, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 20:27:47', NULL, NULL), (247649, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 20:27:48', NULL, NULL), (247650, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 20:27:49', NULL, NULL), (247651, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 20:27:51', NULL, NULL), (247652, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 20:27:52', NULL, NULL), (247653, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 20:27:53', NULL, NULL), (247654, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 20:27:55', NULL, NULL), (247655, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 20:27:56', NULL, NULL), (247656, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 20:27:58', NULL, NULL), (247657, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 20:27:59', NULL, NULL), (247658, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 20:28:00', NULL, NULL), (247659, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 20:28:02', NULL, NULL), (247660, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 20:28:03', NULL, NULL), (247661, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 20:28:04', NULL, NULL), (247662, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 20:28:06', NULL, NULL), (247663, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 20:28:07', NULL, NULL), (247664, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 20:28:08', NULL, NULL), (247665, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 20:28:10', NULL, NULL), (247666, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 20:28:11', NULL, NULL), (247667, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 20:28:13', NULL, NULL), (247668, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 20:28:14', NULL, NULL), (247669, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 20:28:15', NULL, NULL), (247670, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 20:28:17', NULL, NULL), (247671, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 20:28:18', NULL, NULL), (247672, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 20:28:19', NULL, NULL), (247673, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 20:28:21', NULL, NULL), (247674, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 20:28:22', NULL, NULL), (247675, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 20:28:23', NULL, NULL), (247676, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 20:28:25', NULL, NULL), (247677, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 20:28:26', NULL, NULL), (247678, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 20:28:28', NULL, NULL), (247679, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 20:28:29', NULL, NULL), (247680, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 20:28:30', NULL, NULL), (247681, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 20:28:32', NULL, NULL), (247682, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 20:28:33', NULL, NULL), (247683, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 20:28:34', NULL, NULL), (247684, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 20:28:34', NULL, NULL), (247685, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 20:28:35', NULL, NULL), (247686, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 20:28:36', NULL, NULL), (247687, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 20:28:37', NULL, NULL), (247688, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 20:28:37', NULL, NULL), (247689, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 20:28:38', NULL, NULL), (247690, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 20:28:39', NULL, NULL), (247691, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 20:28:40', NULL, NULL), (247692, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 20:28:40', NULL, NULL), (247693, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 20:28:41', NULL, NULL), (247694, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 20:28:42', NULL, NULL), (247695, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 20:28:43', NULL, NULL), (247696, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 20:28:44', NULL, NULL), (247697, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 20:28:45', NULL, NULL), (247698, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 20:28:46', NULL, NULL), (247699, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 20:28:46', NULL, NULL), (247700, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 20:28:47', NULL, NULL), (247701, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 20:28:48', NULL, NULL), (247702, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 20:28:49', NULL, NULL), (247703, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 20:28:50', NULL, NULL), (247704, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 20:28:51', NULL, NULL), (247705, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 20:28:52', NULL, NULL), (247706, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 20:28:53', NULL, NULL), (247707, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 20:28:54', NULL, NULL), (247708, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 20:28:55', NULL, NULL), (247709, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 20:28:56', NULL, NULL), (247710, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 20:28:58', NULL, NULL), (247711, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 20:29:00', NULL, NULL), (247712, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 20:29:04', NULL, NULL), (247713, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 20:29:08', NULL, NULL), (247714, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 20:29:11', NULL, NULL), (247715, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 20:29:15', NULL, NULL), (247716, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 20:29:18', NULL, NULL), (247717, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 20:29:19', NULL, NULL), (247718, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 20:29:20', NULL, NULL), (247719, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 20:29:21', NULL, NULL), (247720, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 20:29:22', NULL, NULL), (247721, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 20:29:23', NULL, NULL), (247722, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 20:29:24', NULL, NULL), (247723, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 20:29:25', NULL, NULL), (247724, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 20:29:26', NULL, NULL), (247725, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 20:29:27', NULL, NULL), (247726, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 20:29:28', NULL, NULL), (247727, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 20:29:29', NULL, NULL), (247728, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 20:29:30', NULL, NULL), (247729, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 20:29:31', NULL, NULL), (247730, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 20:29:32', NULL, NULL), (247731, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 20:29:34', NULL, NULL), (247732, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 20:29:35', NULL, NULL), (247733, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 20:29:36', NULL, NULL), (247734, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 20:29:37', NULL, NULL), (247735, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 20:29:38', NULL, NULL), (247736, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 20:29:40', NULL, NULL), (247737, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 20:29:41', NULL, NULL), (247738, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 20:29:42', NULL, NULL), (247739, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 20:29:44', NULL, NULL), (247740, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 20:29:47', NULL, NULL), (247741, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 20:29:51', NULL, NULL), (247742, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 20:29:55', NULL, NULL), (247743, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 20:29:59', NULL, NULL), (247744, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 20:30:03', NULL, NULL), (247745, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 20:30:07', NULL, NULL), (247746, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 20:30:12', NULL, NULL), (247747, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 20:30:13', NULL, NULL), (247748, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 20:30:15', NULL, NULL), (247749, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 20:30:16', NULL, NULL), (247750, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 20:30:17', NULL, NULL), (247751, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 20:30:18', NULL, NULL), (247752, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 20:30:19', NULL, NULL), (247753, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 20:30:20', NULL, NULL), (247754, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 20:30:21', NULL, NULL), (247755, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 20:30:22', NULL, NULL), (247756, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 20:30:23', NULL, NULL), (247757, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 20:30:24', NULL, NULL), (247758, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 20:30:25', NULL, NULL), (247759, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 20:30:26', NULL, NULL), (247760, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 20:30:27', NULL, NULL), (247761, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 20:30:28', NULL, NULL), (247762, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 20:30:30', NULL, NULL), (247763, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 20:30:31', NULL, NULL), (247764, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 20:30:32', NULL, NULL), (247765, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 20:30:33', NULL, NULL), (247766, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 20:30:34', NULL, NULL), (247767, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 20:30:36', NULL, NULL), (247768, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 20:30:37', NULL, NULL), (247769, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 20:30:39', NULL, NULL), (247770, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 20:30:42', NULL, NULL), (247771, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 20:30:46', NULL, NULL), (247772, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 20:30:50', NULL, NULL), (247773, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 20:30:54', NULL, NULL), (247774, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 20:30:58', NULL, NULL), (247775, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 20:31:02', NULL, NULL), (247776, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 20:31:06', NULL, NULL), (247777, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 20:31:07', NULL, NULL), (247778, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 20:31:07', NULL, NULL), (247779, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 20:31:08', NULL, NULL), (247780, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 20:31:09', NULL, NULL), (247781, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 20:31:10', NULL, NULL), (247782, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 20:31:11', NULL, NULL), (247783, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 20:31:11', NULL, NULL), (247784, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 20:31:12', NULL, NULL), (247785, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 20:31:13', NULL, NULL), (247786, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 20:31:14', NULL, NULL), (247787, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 20:31:15', NULL, NULL), (247788, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 20:31:16', NULL, NULL), (247789, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 20:31:17', NULL, NULL), (247790, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 20:31:18', NULL, NULL), (247791, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 20:31:19', NULL, NULL), (247792, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 20:31:20', NULL, NULL), (247793, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 20:31:21', NULL, NULL), (247794, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 20:31:22', NULL, NULL), (247795, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 20:31:23', NULL, NULL), (247796, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 20:31:24', NULL, NULL), (247797, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 20:31:25', NULL, NULL), (247798, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 20:31:26', NULL, NULL), (247799, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 20:31:27', NULL, NULL), (247800, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 20:31:28', NULL, NULL), (247801, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 20:31:29', NULL, NULL), (247802, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 20:31:30', NULL, NULL), (247803, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 20:31:32', NULL, NULL), (247804, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 20:31:35', NULL, NULL), (247805, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 20:31:38', NULL, NULL), (247806, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 20:31:42', NULL, NULL), (247807, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 20:31:46', NULL, NULL), (247808, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 20:31:49', NULL, NULL), (247809, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 20:31:53', NULL, NULL), (247810, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 20:31:54', NULL, NULL), (247811, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 20:31:55', NULL, NULL), (247812, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 20:31:56', NULL, NULL), (247813, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 20:31:57', NULL, NULL), (247814, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 20:31:58', NULL, NULL), (247815, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 20:31:58', NULL, NULL), (247816, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 20:31:59', NULL, NULL), (247817, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 20:32:00', NULL, NULL), (247818, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 20:32:01', NULL, NULL), (247819, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 20:32:02', NULL, NULL), (247820, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 20:32:03', NULL, NULL), (247821, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 20:32:04', NULL, NULL), (247822, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 20:32:05', NULL, NULL), (247823, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 20:32:06', NULL, NULL), (247824, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 20:32:07', NULL, NULL), (247825, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 20:32:08', NULL, NULL), (247826, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 20:32:09', NULL, NULL), (247827, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 20:32:10', NULL, NULL), (247828, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 20:32:11', NULL, NULL), (247829, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 20:32:12', NULL, NULL), (247830, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 20:32:13', NULL, NULL), (247831, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 20:32:14', NULL, NULL), (247832, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 20:32:15', NULL, NULL), (247833, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 20:32:16', NULL, NULL), (247834, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 20:32:17', NULL, NULL), (247835, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 20:32:18', NULL, NULL), (247836, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 20:32:19', NULL, NULL), (247837, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 20:32:22', NULL, NULL), (247838, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 20:32:26', NULL, NULL), (247839, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 20:32:29', NULL, NULL), (247840, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 20:32:33', NULL, NULL), (247841, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 20:32:36', NULL, NULL), (247842, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 20:32:40', NULL, NULL), (247843, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 20:32:41', NULL, NULL), (247844, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 20:32:42', NULL, NULL), (247845, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 20:32:42', NULL, NULL), (247846, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 20:32:43', NULL, NULL), (247847, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 20:32:44', NULL, NULL), (247848, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 20:32:45', NULL, NULL), (247849, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 20:32:46', NULL, NULL), (247850, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 20:32:47', NULL, NULL), (247851, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 20:32:48', NULL, NULL), (247852, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 20:32:48', NULL, NULL), (247853, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 20:32:49', NULL, NULL), (247854, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 20:32:50', NULL, NULL), (247855, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 20:32:51', NULL, NULL), (247856, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 20:32:52', NULL, NULL), (247857, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 20:32:53', NULL, NULL), (247858, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 20:32:54', NULL, NULL), (247859, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 20:32:55', NULL, NULL), (247860, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 20:32:56', NULL, NULL), (247861, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 20:32:57', NULL, NULL), (247862, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 20:32:58', NULL, NULL), (247863, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 20:32:59', NULL, NULL), (247864, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 20:33:00', NULL, NULL), (247865, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 20:33:01', NULL, NULL), (247866, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 20:33:02', NULL, NULL), (247867, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 20:33:03', NULL, NULL), (247868, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 20:33:05', NULL, NULL), (247869, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 20:33:06', NULL, NULL), (247870, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 20:33:10', NULL, NULL), (247871, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 20:33:13', NULL, NULL), (247872, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 20:33:17', NULL, NULL), (247873, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 20:33:20', NULL, NULL), (247874, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 20:33:24', NULL, NULL), (247875, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 20:33:28', NULL, NULL), (247876, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 20:33:29', NULL, NULL), (247877, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 20:33:30', NULL, NULL), (247878, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 20:33:30', NULL, NULL), (247879, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 20:33:31', NULL, NULL), (247880, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 20:33:32', NULL, NULL), (247881, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 20:33:33', NULL, NULL), (247882, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 20:33:34', NULL, NULL), (247883, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 20:33:35', NULL, NULL), (247884, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 20:33:35', NULL, NULL), (247885, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 20:33:36', NULL, NULL), (247886, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 20:33:37', NULL, NULL), (247887, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 20:33:38', NULL, NULL), (247888, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 20:33:39', NULL, NULL), (247889, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 20:33:40', NULL, NULL), (247890, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 20:33:41', NULL, NULL), (247891, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 20:33:42', NULL, NULL), (247892, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 20:33:43', NULL, NULL), (247893, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 20:33:44', NULL, NULL), (247894, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 20:33:45', NULL, NULL), (247895, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 20:33:47', NULL, NULL), (247896, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 20:33:48', NULL, NULL), (247897, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 20:33:49', NULL, NULL), (247898, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 20:33:50', NULL, NULL), (247899, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 20:33:51', NULL, NULL), (247900, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 20:33:53', NULL, NULL), (247901, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 20:33:54', NULL, NULL), (247902, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 20:33:57', NULL, NULL), (247903, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 20:34:01', NULL, NULL), (247904, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 20:34:05', NULL, NULL), (247905, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 20:34:09', NULL, NULL), (247906, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 20:34:13', NULL, NULL), (247907, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 20:34:16', NULL, NULL), (247908, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 20:34:20', NULL, NULL), (247909, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 20:34:21', NULL, NULL), (247910, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 20:34:22', NULL, NULL), (247911, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 20:34:23', NULL, NULL), (247912, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 20:34:24', NULL, NULL), (247913, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 20:34:24', NULL, NULL), (247914, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 20:34:25', NULL, NULL), (247915, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 20:34:26', NULL, NULL), (247916, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 20:34:27', NULL, NULL), (247917, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 20:34:28', NULL, NULL), (247918, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 20:34:29', NULL, NULL), (247919, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 20:34:30', NULL, NULL), (247920, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 20:34:31', NULL, NULL), (247921, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 20:34:32', NULL, NULL), (247922, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 20:34:33', NULL, NULL), (247923, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 20:34:34', NULL, NULL), (247924, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 20:34:35', NULL, NULL), (247925, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 20:34:36', NULL, NULL), (247926, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 20:34:37', NULL, NULL), (247927, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 20:34:38', NULL, NULL), (247928, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 20:34:39', NULL, NULL), (247929, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 20:34:40', NULL, NULL), (247930, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 20:34:41', NULL, NULL), (247931, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 20:34:42', NULL, NULL), (247932, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 20:34:43', NULL, NULL), (247933, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 20:34:44', NULL, NULL), (247934, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 20:34:46', NULL, NULL), (247935, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 20:34:48', NULL, NULL), (247936, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 20:34:52', NULL, NULL), (247937, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 20:34:55', NULL, NULL), (247938, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 20:34:59', NULL, NULL), (247939, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 20:35:03', NULL, NULL), (247940, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 20:35:06', NULL, NULL), (247941, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 20:35:08', NULL, NULL), (247942, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 20:35:09', NULL, NULL), (247943, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 20:35:09', NULL, NULL), (247944, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 20:35:10', NULL, NULL), (247945, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 20:35:11', NULL, NULL), (247946, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 20:35:12', NULL, NULL), (247947, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 20:35:13', NULL, NULL), (247948, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 20:35:14', NULL, NULL), (247949, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 20:35:14', NULL, NULL), (247950, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 20:35:15', NULL, NULL), (247951, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 20:35:16', NULL, NULL), (247952, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 20:35:17', NULL, NULL), (247953, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 20:35:18', NULL, NULL), (247954, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 20:35:19', NULL, NULL), (247955, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 20:35:20', NULL, NULL), (247956, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 20:35:21', NULL, NULL), (247957, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 20:35:22', NULL, NULL), (247958, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 20:35:23', NULL, NULL), (247959, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 20:35:24', NULL, NULL), (247960, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 20:35:25', NULL, NULL), (247961, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 20:35:26', NULL, NULL), (247962, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 20:35:27', NULL, NULL), (247963, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 20:35:28', NULL, NULL), (247964, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 20:35:29', NULL, NULL), (247965, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 20:35:30', NULL, NULL), (247966, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 20:35:32', NULL, NULL), (247967, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 20:35:33', NULL, NULL), (247968, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 20:35:37', NULL, NULL), (247969, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 20:35:40', NULL, NULL), (247970, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 20:35:44', NULL, NULL), (247971, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 20:35:48', NULL, NULL), (247972, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 20:35:51', NULL, NULL), (247973, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 20:35:54', NULL, NULL), (247974, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 20:35:55', NULL, NULL), (247975, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 20:35:56', NULL, NULL), (247976, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 20:35:57', NULL, NULL), (247977, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 20:35:58', NULL, NULL), (247978, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 20:35:58', NULL, NULL), (247979, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 20:35:59', NULL, NULL), (247980, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 20:36:00', NULL, NULL), (247981, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 20:36:01', NULL, NULL), (247982, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 20:36:02', NULL, NULL), (247983, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 20:36:03', NULL, NULL), (247984, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 20:36:04', NULL, NULL), (247985, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 20:36:05', NULL, NULL), (247986, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 20:36:06', NULL, NULL), (247987, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 20:36:07', NULL, NULL), (247988, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 20:36:08', NULL, NULL), (247989, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 20:36:09', NULL, NULL), (247990, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 20:36:10', NULL, NULL), (247991, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 20:36:11', NULL, NULL), (247992, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 20:36:12', NULL, NULL), (247993, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 20:36:13', NULL, NULL), (247994, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 20:36:14', NULL, NULL), (247995, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 20:36:15', NULL, NULL), (247996, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 20:36:16', NULL, NULL), (247997, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 20:36:17', NULL, NULL), (247998, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 20:36:18', NULL, NULL), (247999, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 20:36:19', NULL, NULL), (248000, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 20:36:22', NULL, NULL), (248001, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 20:36:25', NULL, NULL), (248002, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 20:36:29', NULL, NULL), (248003, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 20:36:32', NULL, NULL), (248004, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 20:36:36', NULL, NULL), (248005, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 20:36:40', NULL, NULL), (248006, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 20:36:42', NULL, NULL), (248007, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 20:36:43', NULL, NULL), (248008, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 20:36:43', NULL, NULL), (248009, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 20:36:44', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (248010, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 20:36:45', NULL, NULL), (248011, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 20:36:46', NULL, NULL), (248012, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 20:36:47', NULL, NULL), (248013, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 20:36:48', NULL, NULL), (248014, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 20:36:49', NULL, NULL), (248015, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 20:36:49', NULL, NULL), (248016, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 20:36:50', NULL, NULL), (248017, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 20:36:51', NULL, NULL), (248018, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 20:36:52', NULL, NULL), (248019, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 20:36:53', NULL, NULL), (248020, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 20:36:54', NULL, NULL), (248021, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 20:36:55', NULL, NULL), (248022, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 20:36:56', NULL, NULL), (248023, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 20:36:57', NULL, NULL), (248024, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 20:36:58', NULL, NULL), (248025, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 20:36:59', NULL, NULL), (248026, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 20:37:00', NULL, NULL), (248027, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 20:37:01', NULL, NULL), (248028, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 20:37:02', NULL, NULL), (248029, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 20:37:03', NULL, NULL), (248030, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 20:37:04', NULL, NULL), (248031, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 20:37:05', NULL, NULL), (248032, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 20:37:06', NULL, NULL), (248033, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 20:37:08', NULL, NULL), (248034, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 20:37:12', NULL, NULL), (248035, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 20:37:15', NULL, NULL), (248036, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 20:37:19', NULL, NULL), (248037, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 20:37:22', NULL, NULL), (248038, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 20:37:23', NULL, NULL), (248039, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 20:37:24', NULL, NULL), (248040, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 20:37:25', NULL, NULL), (248041, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 20:37:26', NULL, NULL), (248042, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 20:37:26', NULL, NULL), (248043, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 20:37:27', NULL, NULL), (248044, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 20:37:28', NULL, NULL), (248045, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 20:37:29', NULL, NULL), (248046, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 20:37:30', NULL, NULL), (248047, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 20:37:30', NULL, NULL), (248048, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 20:37:31', NULL, NULL), (248049, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 20:37:32', NULL, NULL), (248050, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 20:37:33', NULL, NULL), (248051, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 20:37:34', NULL, NULL), (248052, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 20:37:35', NULL, NULL), (248053, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 20:37:36', NULL, NULL), (248054, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 20:37:37', NULL, NULL), (248055, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 20:37:37', NULL, NULL), (248056, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 20:37:38', NULL, NULL), (248057, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 20:37:39', NULL, NULL), (248058, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 20:37:40', NULL, NULL), (248059, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 20:37:41', NULL, NULL), (248060, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 20:37:42', NULL, NULL), (248061, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 20:37:43', NULL, NULL), (248062, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 20:37:44', NULL, NULL), (248063, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 20:37:45', NULL, NULL), (248064, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 20:37:46', NULL, NULL), (248065, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 20:37:47', NULL, NULL), (248066, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 20:37:49', NULL, NULL), (248067, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 20:37:53', NULL, NULL), (248068, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 20:37:56', NULL, NULL), (248069, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 20:38:00', NULL, NULL), (248070, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 20:38:02', NULL, NULL), (248071, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 20:38:03', NULL, NULL), (248072, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 20:38:03', NULL, NULL), (248073, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 20:38:04', NULL, NULL), (248074, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 20:38:05', NULL, NULL), (248075, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 20:38:06', NULL, NULL), (248076, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 20:38:07', NULL, NULL), (248077, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 20:38:07', NULL, NULL), (248078, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 20:38:08', NULL, NULL), (248079, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 20:38:09', NULL, NULL), (248080, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 20:38:10', NULL, NULL), (248081, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 20:38:11', NULL, NULL), (248082, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 20:38:12', NULL, NULL), (248083, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 20:38:12', NULL, NULL), (248084, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 20:38:13', NULL, NULL), (248085, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 20:38:14', NULL, NULL), (248086, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 20:38:15', NULL, NULL), (248087, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 20:38:16', NULL, NULL), (248088, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 20:38:17', NULL, NULL), (248089, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 20:38:18', NULL, NULL), (248090, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 20:38:19', NULL, NULL), (248091, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 20:38:19', NULL, NULL), (248092, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 20:38:20', NULL, NULL), (248093, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 20:38:21', NULL, NULL), (248094, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 20:38:22', NULL, NULL), (248095, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 20:38:23', NULL, NULL), (248096, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 20:38:24', NULL, NULL), (248097, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 20:38:25', NULL, NULL), (248098, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 20:38:27', NULL, NULL), (248099, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 20:38:29', NULL, NULL), (248100, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 20:38:33', NULL, NULL), (248101, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 20:38:36', NULL, NULL), (248102, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 20:38:40', NULL, NULL), (248103, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 20:38:43', NULL, NULL), (248104, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 20:38:43', NULL, NULL), (248105, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 20:38:44', NULL, NULL), (248106, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 20:38:45', NULL, NULL), (248107, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 20:38:46', NULL, NULL), (248108, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 20:38:47', NULL, NULL), (248109, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 20:38:48', NULL, NULL), (248110, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 20:38:49', NULL, NULL), (248111, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 20:38:50', NULL, NULL), (248112, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 20:38:50', NULL, NULL), (248113, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 20:38:51', NULL, NULL), (248114, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 20:38:52', NULL, NULL), (248115, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 20:38:53', NULL, NULL), (248116, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 20:38:54', NULL, NULL), (248117, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 20:38:55', NULL, NULL), (248118, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 20:38:56', 1, '2024-08-05 22:12:36'), (248119, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 20:38:57', 1, '2024-08-06 02:01:40'), (248120, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 20:38:58', 1, '2024-08-07 01:00:33'), (248121, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 20:38:59', 1, '2024-08-08 01:00:33'), (248122, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 20:39:00', 1, '2024-08-09 01:00:33'), (248123, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 20:40:07', NULL, NULL), (248124, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 20:40:08', NULL, NULL), (248125, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 20:40:09', NULL, NULL), (248126, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 20:40:09', NULL, NULL), (248127, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 20:40:10', NULL, NULL), (248128, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 20:40:11', NULL, NULL), (248129, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 20:40:12', NULL, NULL), (248130, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 20:40:13', NULL, NULL), (248131, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 20:40:13', NULL, NULL), (248132, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 20:40:14', NULL, NULL), (248133, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 20:40:15', NULL, NULL), (248134, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 20:40:16', NULL, NULL), (248135, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 20:40:17', NULL, NULL), (248136, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 20:40:18', NULL, NULL), (248137, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 20:40:19', NULL, NULL), (248138, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 20:40:19', NULL, NULL), (248139, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 20:40:20', NULL, NULL), (248140, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 20:40:21', NULL, NULL), (248141, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 20:40:22', NULL, NULL), (248142, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 20:40:23', NULL, NULL), (248143, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 20:40:24', NULL, NULL), (248144, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 20:40:25', NULL, NULL), (248145, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 20:40:26', NULL, NULL), (248146, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 20:40:27', NULL, NULL), (248147, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 20:40:28', NULL, NULL), (248148, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 20:40:29', NULL, NULL), (248149, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 20:40:30', NULL, NULL), (248150, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 20:40:33', NULL, NULL), (248151, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 20:40:37', NULL, NULL), (248152, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 20:40:40', NULL, NULL), (248153, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 20:40:44', NULL, NULL), (248154, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 20:40:45', NULL, NULL), (248155, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 20:40:46', NULL, NULL), (248156, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 20:40:47', NULL, NULL), (248157, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 20:40:47', NULL, NULL), (248158, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 20:40:48', NULL, NULL), (248159, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 20:40:49', NULL, NULL), (248160, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 20:40:50', NULL, NULL), (248161, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 20:40:51', NULL, NULL), (248162, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 20:40:52', NULL, NULL), (248163, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 20:40:53', NULL, NULL), (248164, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 20:40:54', NULL, NULL), (248165, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 20:40:55', NULL, NULL), (248166, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 20:40:55', NULL, NULL), (248167, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 20:40:56', NULL, NULL), (248168, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 20:40:57', NULL, NULL), (248169, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 20:40:58', NULL, NULL), (248170, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 20:40:59', NULL, NULL), (248171, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 20:41:00', NULL, NULL), (248172, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 20:41:00', NULL, NULL), (248173, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 20:41:01', NULL, NULL), (248174, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 20:41:02', NULL, NULL), (248175, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 20:41:03', NULL, NULL), (248176, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 20:41:04', NULL, NULL), (248177, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 20:41:05', NULL, NULL), (248178, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 20:41:06', NULL, NULL), (248179, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 20:41:07', NULL, NULL), (248180, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 20:41:08', NULL, NULL), (248181, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 20:41:09', NULL, NULL), (248182, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 20:41:10', NULL, NULL), (248183, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 20:41:11', NULL, NULL), (248184, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 20:41:14', NULL, NULL), (248185, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 20:41:18', NULL, NULL), (248186, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 20:41:22', NULL, NULL), (248187, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 20:41:25', NULL, NULL), (248188, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 20:41:26', NULL, NULL), (248189, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 20:41:27', NULL, NULL), (248190, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 20:41:28', NULL, NULL), (248191, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 20:41:29', NULL, NULL), (248192, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 20:41:29', NULL, NULL), (248193, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 20:41:30', NULL, NULL), (248194, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 20:41:31', NULL, NULL), (248195, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 20:41:32', NULL, NULL), (248196, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 20:41:33', NULL, NULL), (248197, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 20:41:33', NULL, NULL), (248198, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 20:41:34', NULL, NULL), (248199, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 20:41:35', NULL, NULL), (248200, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 20:41:36', NULL, NULL), (248201, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 20:41:37', NULL, NULL), (248202, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 20:41:38', NULL, NULL), (248203, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 20:41:38', NULL, NULL), (248204, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 20:41:39', NULL, NULL), (248205, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 20:41:40', NULL, NULL), (248206, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 20:41:41', NULL, NULL), (248207, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 20:41:42', NULL, NULL), (248208, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 20:41:43', NULL, NULL), (248209, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 20:41:44', NULL, NULL), (248210, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 20:41:45', NULL, NULL), (248211, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 20:41:45', NULL, NULL), (248212, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 20:41:46', NULL, NULL), (248213, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 20:41:47', NULL, NULL), (248214, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 20:41:48', NULL, NULL), (248215, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 20:41:49', NULL, NULL), (248216, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 20:41:50', NULL, NULL), (248217, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 20:41:52', NULL, NULL), (248218, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 20:41:54', NULL, NULL), (248219, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 20:41:57', NULL, NULL), (248220, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 20:42:01', NULL, NULL), (248221, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 20:42:05', NULL, NULL), (248222, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 20:42:07', NULL, NULL), (248223, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 20:42:08', NULL, NULL), (248224, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 20:42:09', NULL, NULL), (248225, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 20:42:09', NULL, NULL), (248226, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 20:42:10', NULL, NULL), (248227, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 20:42:11', NULL, NULL), (248228, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 20:42:12', NULL, NULL), (248229, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 20:42:12', NULL, NULL), (248230, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 20:42:13', NULL, NULL), (248231, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 20:42:14', NULL, NULL), (248232, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 20:42:15', NULL, NULL), (248233, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 20:42:16', NULL, NULL), (248234, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 20:42:17', NULL, NULL), (248235, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 20:42:17', NULL, NULL), (248236, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 20:42:18', NULL, NULL), (248237, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 20:42:19', NULL, NULL), (248238, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 20:42:20', NULL, NULL), (248239, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 20:42:21', NULL, NULL), (248240, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 20:42:22', NULL, NULL), (248241, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 20:42:22', NULL, NULL), (248242, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 20:42:23', NULL, NULL), (248243, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 20:42:24', NULL, NULL), (248244, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 20:42:25', NULL, NULL), (248245, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 20:42:26', NULL, NULL), (248246, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 20:42:27', NULL, NULL), (248247, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 20:42:28', NULL, NULL), (248248, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 20:42:29', NULL, NULL), (248249, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 20:42:30', NULL, NULL), (248250, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 20:42:31', NULL, NULL), (248251, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 20:42:33', NULL, NULL), (248252, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 20:42:36', NULL, NULL), (248253, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 20:42:39', NULL, NULL), (248254, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 20:42:43', NULL, NULL), (248255, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 20:42:46', NULL, NULL), (248256, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 20:42:48', NULL, NULL), (248257, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 20:42:49', NULL, NULL), (248258, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 20:42:50', NULL, NULL), (248259, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 20:42:51', NULL, NULL), (248260, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 20:42:51', NULL, NULL), (248261, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 20:42:52', NULL, NULL), (248262, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 20:42:53', NULL, NULL), (248263, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 20:42:54', NULL, NULL), (248264, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 20:42:54', NULL, NULL), (248265, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 20:42:55', NULL, NULL), (248266, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 20:42:56', NULL, NULL), (248267, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 20:42:57', NULL, NULL), (248268, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 20:42:58', NULL, NULL), (248269, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 20:42:59', NULL, NULL), (248270, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 20:42:59', NULL, NULL), (248271, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 20:43:00', NULL, NULL), (248272, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 20:43:01', NULL, NULL), (248273, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 20:43:02', NULL, NULL), (248274, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 20:43:03', NULL, NULL), (248275, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 20:43:04', NULL, NULL), (248276, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 20:43:05', NULL, NULL), (248277, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 20:43:06', NULL, NULL), (248278, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 20:43:06', NULL, NULL), (248279, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 20:43:07', NULL, NULL), (248280, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 20:43:08', NULL, NULL), (248281, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 20:43:09', NULL, NULL), (248282, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 20:43:10', NULL, NULL), (248283, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 20:43:11', NULL, NULL), (248284, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 20:43:13', NULL, NULL), (248285, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 20:43:14', NULL, NULL), (248286, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 20:43:15', NULL, NULL), (248287, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 20:43:17', NULL, NULL), (248288, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 20:43:18', NULL, NULL), (248289, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 20:43:20', NULL, NULL), (248290, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 20:43:21', NULL, NULL), (248291, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 20:43:22', NULL, NULL), (248292, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 20:43:24', NULL, NULL), (248293, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 20:43:25', NULL, NULL), (248294, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 20:43:26', NULL, NULL), (248295, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 20:43:28', NULL, NULL), (248296, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 20:43:29', NULL, NULL), (248297, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 20:43:30', NULL, NULL), (248298, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 20:43:32', NULL, NULL), (248299, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 20:43:33', NULL, NULL), (248300, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 20:43:35', NULL, NULL), (248301, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 20:43:36', NULL, NULL), (248302, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 20:43:37', NULL, NULL), (248303, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 20:43:39', NULL, NULL), (248304, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 20:43:40', NULL, NULL), (248305, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 20:43:41', NULL, NULL), (248306, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 20:43:43', NULL, NULL), (248307, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 20:43:44', NULL, NULL), (248308, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 20:43:46', NULL, NULL), (248309, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 20:43:47', NULL, NULL), (248310, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 20:43:48', NULL, NULL), (248311, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 20:43:50', NULL, NULL), (248312, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 20:43:51', NULL, NULL), (248313, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 20:43:53', NULL, NULL), (248314, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 20:43:54', NULL, NULL), (248315, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 20:43:55', NULL, NULL), (248316, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 20:43:57', NULL, NULL), (248317, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 20:43:58', NULL, NULL), (248318, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 20:43:59', NULL, NULL), (248319, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 20:44:01', NULL, NULL), (248320, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 20:44:02', NULL, NULL), (248321, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 20:44:04', NULL, NULL), (248322, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 20:44:05', NULL, NULL), (248323, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 20:44:06', NULL, NULL), (248324, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 20:44:08', NULL, NULL), (248325, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 20:44:09', NULL, NULL), (248326, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 20:44:11', NULL, NULL), (248327, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 20:44:12', NULL, NULL), (248328, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 20:44:13', NULL, NULL), (248329, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 20:44:15', NULL, NULL), (248330, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 20:44:16', NULL, NULL), (248331, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 20:44:17', NULL, NULL), (248332, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 20:44:19', NULL, NULL), (248333, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 20:44:20', NULL, NULL), (248334, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 20:44:21', NULL, NULL), (248335, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 20:44:23', NULL, NULL), (248336, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 20:44:24', NULL, NULL), (248337, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 20:44:26', NULL, NULL), (248338, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 20:44:27', NULL, NULL), (248339, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 20:44:28', NULL, NULL), (248340, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 20:44:29', NULL, NULL), (248341, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 20:44:30', NULL, NULL), (248342, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 20:44:30', NULL, NULL), (248343, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 20:44:31', NULL, NULL), (248344, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 20:44:32', NULL, NULL), (248345, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 20:44:33', NULL, NULL), (248346, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 20:44:33', NULL, NULL), (248347, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 20:44:34', NULL, NULL), (248348, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 20:44:35', NULL, NULL), (248349, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 20:44:36', NULL, NULL), (248350, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 20:44:36', NULL, NULL), (248351, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 20:44:37', NULL, NULL), (248352, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 20:44:38', NULL, NULL), (248353, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 20:44:39', NULL, NULL), (248354, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 20:44:40', NULL, NULL), (248355, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 20:44:41', NULL, NULL), (248356, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 20:44:41', NULL, NULL), (248357, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 20:44:42', NULL, NULL), (248358, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 20:44:43', NULL, NULL), (248359, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 20:44:44', NULL, NULL), (248360, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 20:44:45', NULL, NULL), (248361, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 20:44:46', NULL, NULL), (248362, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 20:44:46', NULL, NULL), (248363, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 20:44:47', NULL, NULL), (248364, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 20:44:48', NULL, NULL), (248365, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 20:44:49', NULL, NULL), (248366, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 20:44:50', NULL, NULL), (248367, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 20:44:51', NULL, NULL), (248368, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 20:44:53', NULL, NULL), (248369, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 20:44:54', NULL, NULL), (248370, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 20:44:58', NULL, NULL), (248371, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 20:45:01', NULL, NULL), (248372, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 20:45:04', NULL, NULL), (248373, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 20:45:05', NULL, NULL), (248374, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 20:45:06', NULL, NULL), (248375, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 20:45:06', NULL, NULL), (248376, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 20:45:07', NULL, NULL), (248377, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 20:45:08', NULL, NULL), (248378, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 20:45:09', NULL, NULL), (248379, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 20:45:09', NULL, NULL), (248380, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 20:45:10', NULL, NULL), (248381, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 20:45:11', NULL, NULL), (248382, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 20:45:12', NULL, NULL), (248383, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 20:45:13', NULL, NULL), (248384, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 20:45:13', NULL, NULL), (248385, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 20:45:14', NULL, NULL), (248386, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 20:45:15', NULL, NULL), (248387, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 20:45:16', NULL, NULL), (248388, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 20:45:17', NULL, NULL), (248389, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 20:45:18', NULL, NULL), (248390, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 20:45:19', NULL, NULL), (248391, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 20:45:19', NULL, NULL), (248392, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 20:45:20', NULL, NULL), (248393, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 20:45:21', NULL, NULL), (248394, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 20:45:22', NULL, NULL), (248395, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 20:45:23', NULL, NULL), (248396, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 20:45:24', NULL, NULL), (248397, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 20:45:25', NULL, NULL), (248398, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 20:45:26', NULL, NULL), (248399, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 20:45:27', NULL, NULL), (248400, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 20:45:28', NULL, NULL), (248401, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 20:45:29', NULL, NULL), (248402, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 20:45:32', NULL, NULL), (248403, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 20:45:35', NULL, NULL), (248404, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 20:45:39', NULL, NULL), (248405, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 20:45:41', NULL, NULL), (248406, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 20:45:42', NULL, NULL), (248407, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 20:45:43', NULL, NULL), (248408, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 20:45:44', NULL, NULL), (248409, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 20:45:44', NULL, NULL), (248410, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 20:45:45', NULL, NULL), (248411, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 20:45:46', NULL, NULL), (248412, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 20:45:47', NULL, NULL), (248413, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 20:45:48', NULL, NULL), (248414, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 20:45:48', NULL, NULL), (248415, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 20:45:49', NULL, NULL), (248416, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 20:45:50', NULL, NULL), (248417, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 20:45:51', NULL, NULL), (248418, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 20:45:52', NULL, NULL), (248419, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 20:45:52', NULL, NULL), (248420, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 20:45:53', NULL, NULL), (248421, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 20:45:54', NULL, NULL), (248422, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 20:45:55', NULL, NULL), (248423, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 20:45:56', NULL, NULL), (248424, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 20:45:57', NULL, NULL), (248425, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 20:45:58', NULL, NULL), (248426, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 20:45:58', NULL, NULL), (248427, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 20:45:59', NULL, NULL), (248428, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 20:46:00', NULL, NULL), (248429, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 20:46:01', NULL, NULL), (248430, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 20:46:02', NULL, NULL), (248431, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 20:46:03', NULL, NULL), (248432, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 20:46:04', NULL, NULL), (248433, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 20:46:05', NULL, NULL), (248434, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 20:46:07', NULL, NULL), (248435, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 20:46:09', NULL, NULL), (248436, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 20:46:13', NULL, NULL), (248437, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 20:46:16', NULL, NULL), (248438, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 20:46:20', NULL, NULL), (248439, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 20:46:21', NULL, NULL), (248440, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 20:46:21', NULL, NULL), (248441, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 20:46:22', NULL, NULL), (248442, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 20:46:23', NULL, NULL), (248443, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 20:46:24', NULL, NULL), (248444, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 20:46:25', NULL, NULL), (248445, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 20:46:25', NULL, NULL), (248446, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 20:46:26', NULL, NULL), (248447, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 20:46:27', NULL, NULL), (248448, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 20:46:28', NULL, NULL), (248449, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 20:46:28', NULL, NULL), (248450, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 20:46:29', NULL, NULL), (248451, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 20:46:30', NULL, NULL), (248452, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 20:46:31', NULL, NULL), (248453, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 20:46:32', NULL, NULL), (248454, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 20:46:33', NULL, NULL), (248455, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 20:46:34', NULL, NULL), (248456, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 20:46:34', NULL, NULL), (248457, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 20:46:35', NULL, NULL), (248458, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 20:46:36', NULL, NULL), (248459, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 20:46:37', NULL, NULL), (248460, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 20:46:38', NULL, NULL), (248461, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 20:46:39', NULL, NULL), (248462, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 20:46:40', NULL, NULL), (248463, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 20:46:41', NULL, NULL), (248464, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 20:46:42', NULL, NULL), (248465, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 20:46:43', NULL, NULL), (248466, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 20:46:44', NULL, NULL), (248467, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 20:46:45', NULL, NULL), (248468, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 20:46:46', NULL, NULL), (248469, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 20:46:48', NULL, NULL), (248470, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 20:46:49', NULL, NULL), (248471, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 20:46:50', NULL, NULL), (248472, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 20:46:52', NULL, NULL), (248473, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 20:46:53', NULL, NULL), (248474, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 20:46:54', NULL, NULL), (248475, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 20:46:56', NULL, NULL), (248476, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 20:46:57', NULL, NULL), (248477, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 20:46:59', NULL, NULL), (248478, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 20:47:00', NULL, NULL), (248479, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 20:47:01', NULL, NULL), (248480, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 20:47:03', NULL, NULL), (248481, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 20:47:04', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (248482, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 20:47:05', NULL, NULL), (248483, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 20:47:07', NULL, NULL), (248484, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 20:47:08', NULL, NULL), (248485, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 20:47:09', NULL, NULL), (248486, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 20:47:11', NULL, NULL), (248487, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 20:47:12', NULL, NULL), (248488, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 20:47:13', NULL, NULL), (248489, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 20:47:15', NULL, NULL), (248490, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 20:47:16', NULL, NULL), (248491, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 20:47:18', NULL, NULL), (248492, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 20:47:19', NULL, NULL), (248493, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 20:47:20', NULL, NULL), (248494, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 20:47:22', NULL, NULL), (248495, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 20:47:23', NULL, NULL), (248496, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 20:47:24', NULL, NULL), (248497, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 20:47:26', NULL, NULL), (248498, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 20:47:27', NULL, NULL), (248499, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 20:47:28', NULL, NULL), (248500, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 20:47:30', NULL, NULL), (248501, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 20:47:31', NULL, NULL), (248502, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 20:47:32', NULL, NULL), (248503, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 20:47:34', NULL, NULL), (248504, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 20:47:35', NULL, NULL), (248505, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 20:47:37', NULL, NULL), (248506, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 20:47:38', NULL, NULL), (248507, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 20:47:39', NULL, NULL), (248508, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 20:47:41', NULL, NULL), (248509, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 20:47:42', NULL, NULL), (248510, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 20:47:42', NULL, NULL), (248511, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 20:47:43', NULL, NULL), (248512, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 20:47:44', NULL, NULL), (248513, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 20:47:45', NULL, NULL), (248514, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 20:47:45', NULL, NULL), (248515, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 20:47:46', NULL, NULL), (248516, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 20:47:47', NULL, NULL), (248517, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 20:47:48', NULL, NULL), (248518, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 20:47:48', NULL, NULL), (248519, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 20:47:49', NULL, NULL), (248520, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 20:47:50', NULL, NULL), (248521, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 20:47:51', NULL, NULL), (248522, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 20:47:52', NULL, NULL), (248523, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 20:47:53', NULL, NULL), (248524, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 20:47:53', NULL, NULL), (248525, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 20:47:54', NULL, NULL), (248526, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 20:47:55', NULL, NULL), (248527, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 20:47:56', NULL, NULL), (248528, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 20:47:57', NULL, NULL), (248529, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 20:47:57', NULL, NULL), (248530, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 20:47:58', NULL, NULL), (248531, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 20:47:59', NULL, NULL), (248532, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 20:48:00', NULL, NULL), (248533, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 20:48:01', NULL, NULL), (248534, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 20:48:02', NULL, NULL), (248535, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 20:48:03', NULL, NULL), (248536, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 20:48:04', NULL, NULL), (248537, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 20:48:05', NULL, NULL), (248538, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 20:48:06', NULL, NULL), (248539, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 20:48:08', NULL, NULL), (248540, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 20:48:09', NULL, NULL), (248541, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 20:48:11', NULL, NULL), (248542, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 20:48:12', NULL, NULL), (248543, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 20:48:13', NULL, NULL), (248544, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 20:48:15', NULL, NULL), (248545, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 20:48:16', NULL, NULL), (248546, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 20:48:17', NULL, NULL), (248547, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 20:48:19', NULL, NULL), (248548, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 20:48:20', NULL, NULL), (248549, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 20:48:22', NULL, NULL), (248550, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 20:48:23', NULL, NULL), (248551, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 20:48:24', NULL, NULL), (248552, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 20:48:26', NULL, NULL), (248553, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 20:48:27', NULL, NULL), (248554, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 20:48:28', NULL, NULL), (248555, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 20:48:30', NULL, NULL), (248556, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 20:48:31', NULL, NULL), (248557, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 20:48:32', NULL, NULL), (248558, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 20:48:34', NULL, NULL), (248559, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 20:48:35', NULL, NULL), (248560, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 20:48:37', NULL, NULL), (248561, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 20:48:38', NULL, NULL), (248562, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 20:48:39', NULL, NULL), (248563, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 20:48:40', NULL, NULL), (248564, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 20:48:41', NULL, NULL), (248565, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 20:48:42', NULL, NULL), (248566, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 20:48:42', NULL, NULL), (248567, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 20:48:43', NULL, NULL), (248568, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 20:48:44', NULL, NULL), (248569, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 20:48:45', NULL, NULL), (248570, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 20:48:46', NULL, NULL), (248571, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 20:48:46', NULL, NULL), (248572, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 20:48:47', NULL, NULL), (248573, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 20:48:48', NULL, NULL), (248574, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 20:48:49', NULL, NULL), (248575, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 20:48:50', NULL, NULL), (248576, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 20:48:51', NULL, NULL), (248577, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 20:48:52', NULL, NULL), (248578, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 20:48:53', NULL, NULL), (248579, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 20:48:54', NULL, NULL), (248580, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 20:48:55', NULL, NULL), (248581, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 20:48:56', NULL, NULL), (248582, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 20:48:57', NULL, NULL), (248583, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 20:48:58', NULL, NULL), (248584, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 20:48:59', NULL, NULL), (248585, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 20:49:00', NULL, NULL), (248586, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 20:49:01', NULL, NULL), (248587, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 20:49:02', NULL, NULL), (248588, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 20:49:03', NULL, NULL), (248589, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 20:49:04', NULL, NULL), (248590, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 20:49:07', NULL, NULL), (248591, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 20:49:10', NULL, NULL), (248592, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 20:49:14', NULL, NULL), (248593, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 20:49:18', NULL, NULL), (248594, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 20:49:20', NULL, NULL), (248595, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 20:49:21', NULL, NULL), (248596, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 20:49:22', NULL, NULL), (248597, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 20:49:23', NULL, NULL), (248598, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 20:49:24', NULL, NULL), (248599, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 20:49:24', NULL, NULL), (248600, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 20:49:25', NULL, NULL), (248601, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 20:49:26', NULL, NULL), (248602, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 20:49:27', NULL, NULL), (248603, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 20:49:28', NULL, NULL), (248604, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 20:49:28', NULL, NULL), (248605, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 20:49:29', NULL, NULL), (248606, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 20:49:30', NULL, NULL), (248607, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 20:49:31', NULL, NULL), (248608, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 20:49:32', NULL, NULL), (248609, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 20:49:33', NULL, NULL), (248610, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 20:49:34', NULL, NULL), (248611, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 20:49:34', NULL, NULL), (248612, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 20:49:35', NULL, NULL), (248613, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 20:49:36', NULL, NULL), (248614, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 20:49:37', NULL, NULL), (248615, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 20:49:38', NULL, NULL), (248616, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 20:49:39', NULL, NULL), (248617, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 20:49:40', NULL, NULL), (248618, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 20:49:41', NULL, NULL), (248619, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 20:49:42', NULL, NULL), (248620, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 20:49:43', NULL, NULL), (248621, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 20:49:44', NULL, NULL), (248622, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 20:49:45', NULL, NULL), (248623, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 20:49:46', NULL, NULL), (248624, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 20:49:50', NULL, NULL), (248625, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 20:49:54', NULL, NULL), (248626, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 20:49:57', NULL, NULL), (248627, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 20:49:59', NULL, NULL), (248628, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 20:50:00', NULL, NULL), (248629, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 20:50:00', NULL, NULL), (248630, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 20:50:01', NULL, NULL), (248631, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 20:50:02', NULL, NULL), (248632, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 20:50:03', NULL, NULL), (248633, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 20:50:03', NULL, NULL), (248634, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 20:50:04', NULL, NULL), (248635, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 20:50:05', NULL, NULL), (248636, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 20:50:06', NULL, NULL), (248637, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 20:50:07', NULL, NULL), (248638, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 20:50:07', NULL, NULL), (248639, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 20:50:08', NULL, NULL), (248640, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 20:50:09', NULL, NULL), (248641, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 20:50:10', NULL, NULL), (248642, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 20:50:11', NULL, NULL), (248643, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 20:50:12', NULL, NULL), (248644, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 20:50:13', NULL, NULL), (248645, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 20:50:13', NULL, NULL), (248646, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 20:50:14', NULL, NULL), (248647, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 20:50:15', NULL, NULL), (248648, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 20:50:16', NULL, NULL), (248649, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 20:50:17', NULL, NULL), (248650, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 20:50:18', NULL, NULL), (248651, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 20:50:19', NULL, NULL), (248652, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 20:50:20', NULL, NULL), (248653, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 20:50:21', NULL, NULL), (248654, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 20:50:22', NULL, NULL), (248655, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 20:50:23', NULL, NULL), (248656, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 20:50:25', NULL, NULL), (248657, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 20:50:28', NULL, NULL), (248658, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 20:50:32', NULL, NULL), (248659, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 20:50:36', NULL, NULL), (248660, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 20:50:38', NULL, NULL), (248661, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 20:50:38', NULL, NULL), (248662, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 20:50:39', NULL, NULL), (248663, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 20:50:40', NULL, NULL), (248664, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 20:50:41', NULL, NULL), (248665, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 20:50:42', NULL, NULL), (248666, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 20:50:42', NULL, NULL), (248667, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 20:50:43', NULL, NULL), (248668, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 20:50:44', NULL, NULL), (248669, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 20:50:45', NULL, NULL), (248670, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 20:50:46', NULL, NULL), (248671, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 20:50:46', NULL, NULL), (248672, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 20:50:47', NULL, NULL), (248673, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 20:50:48', NULL, NULL), (248674, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 20:50:49', NULL, NULL), (248675, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 20:50:50', NULL, NULL), (248676, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 20:50:51', NULL, NULL), (248677, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 20:50:52', NULL, NULL), (248678, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 20:50:52', NULL, NULL), (248679, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 20:50:53', NULL, NULL), (248680, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 20:50:54', NULL, NULL), (248681, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 20:50:55', NULL, NULL), (248682, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 20:50:56', NULL, NULL), (248683, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 20:50:57', NULL, NULL), (248684, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 20:50:58', NULL, NULL), (248685, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 20:50:59', NULL, NULL), (248686, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 20:51:00', NULL, NULL), (248687, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 20:51:01', NULL, NULL), (248688, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 20:51:02', NULL, NULL), (248689, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 20:51:04', NULL, NULL), (248690, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 20:51:08', NULL, NULL), (248691, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 20:51:11', NULL, NULL), (248692, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 20:51:15', NULL, NULL), (248693, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 20:51:17', NULL, NULL), (248694, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 20:51:18', NULL, NULL), (248695, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 20:51:18', NULL, NULL), (248696, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 20:51:19', NULL, NULL), (248697, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 20:51:20', NULL, NULL), (248698, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 20:51:21', NULL, NULL), (248699, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 20:51:22', NULL, NULL), (248700, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 20:51:22', NULL, NULL), (248701, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 20:51:23', 1, '2024-08-05 22:12:36'), (248702, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 20:51:24', 1, '2024-08-06 02:01:48'), (248703, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 20:51:25', 1, '2024-08-07 01:00:33'), (248704, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 20:51:26', 1, '2024-08-08 01:00:40'), (248705, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 20:51:26', 1, '2024-08-09 01:00:34'), (248706, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 20:52:19', NULL, NULL), (248707, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 20:52:20', NULL, NULL), (248708, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 20:52:24', NULL, NULL), (248709, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 20:52:27', NULL, NULL), (248710, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 20:52:31', NULL, NULL), (248711, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 20:52:34', NULL, NULL), (248712, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 20:52:34', NULL, NULL), (248713, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 20:52:35', NULL, NULL), (248714, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 20:52:36', NULL, NULL), (248715, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 20:52:37', NULL, NULL), (248716, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 20:52:37', NULL, NULL), (248717, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 20:52:38', NULL, NULL), (248718, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 20:52:39', NULL, NULL), (248719, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 20:52:40', NULL, NULL), (248720, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 20:52:41', NULL, NULL), (248721, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 20:52:41', NULL, NULL), (248722, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 20:52:42', NULL, NULL), (248723, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 20:52:43', NULL, NULL), (248724, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 20:52:44', NULL, NULL), (248725, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 20:52:45', NULL, NULL), (248726, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 20:52:46', NULL, NULL), (248727, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 20:52:46', NULL, NULL), (248728, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 20:52:47', NULL, NULL), (248729, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 20:52:48', NULL, NULL), (248730, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 20:52:49', NULL, NULL), (248731, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 20:52:50', NULL, NULL), (248732, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 20:52:51', NULL, NULL), (248733, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 20:52:52', NULL, NULL), (248734, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 20:52:52', NULL, NULL), (248735, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 20:52:53', NULL, NULL), (248736, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 20:52:54', NULL, NULL), (248737, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 20:52:55', NULL, NULL), (248738, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 20:52:56', NULL, NULL), (248739, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 20:52:58', NULL, NULL), (248740, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 20:52:59', NULL, NULL), (248741, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 20:53:00', NULL, NULL), (248742, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 20:53:03', NULL, NULL), (248743, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 20:53:07', NULL, NULL), (248744, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 20:53:10', NULL, NULL), (248745, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 20:53:14', NULL, NULL), (248746, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 20:53:14', NULL, NULL), (248747, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 20:53:15', NULL, NULL), (248748, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 20:53:16', NULL, NULL), (248749, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 20:53:17', NULL, NULL), (248750, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 20:53:17', NULL, NULL), (248751, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 20:53:18', NULL, NULL), (248752, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 20:53:19', NULL, NULL), (248753, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 20:53:20', NULL, NULL), (248754, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 20:53:21', NULL, NULL), (248755, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 20:53:21', NULL, NULL), (248756, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 20:53:22', NULL, NULL), (248757, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 20:53:23', NULL, NULL), (248758, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 20:53:24', NULL, NULL), (248759, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 20:53:25', NULL, NULL), (248760, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 20:53:25', NULL, NULL), (248761, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 20:53:26', NULL, NULL), (248762, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 20:53:27', NULL, NULL), (248763, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 20:53:28', NULL, NULL), (248764, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 20:53:29', NULL, NULL), (248765, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 20:53:30', NULL, NULL), (248766, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 20:53:31', NULL, NULL), (248767, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 20:53:32', NULL, NULL), (248768, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 20:53:32', NULL, NULL), (248769, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 20:53:33', NULL, NULL), (248770, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 20:53:34', NULL, NULL), (248771, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 20:53:35', NULL, NULL), (248772, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 20:53:36', NULL, NULL), (248773, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 20:53:38', NULL, NULL), (248774, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 20:53:39', NULL, NULL), (248775, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 20:53:41', NULL, NULL), (248776, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 20:53:45', NULL, NULL), (248777, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 20:53:49', NULL, NULL), (248778, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 20:53:52', NULL, NULL), (248779, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 20:53:53', NULL, NULL), (248780, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 20:53:54', NULL, NULL), (248781, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 20:53:55', NULL, NULL), (248782, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 20:53:56', NULL, NULL), (248783, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 20:53:57', NULL, NULL), (248784, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 20:53:57', NULL, NULL), (248785, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 20:53:58', NULL, NULL), (248786, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 20:53:59', NULL, NULL), (248787, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 20:54:00', NULL, NULL), (248788, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 20:54:01', NULL, NULL), (248789, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 20:54:02', NULL, NULL), (248790, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 20:54:03', NULL, NULL), (248791, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 20:54:04', NULL, NULL), (248792, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 20:54:05', NULL, NULL), (248793, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 20:54:06', NULL, NULL), (248794, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 20:54:07', NULL, NULL), (248795, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 20:54:08', NULL, NULL), (248796, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 20:54:09', NULL, NULL), (248797, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 20:54:10', NULL, NULL), (248798, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 20:54:11', NULL, NULL), (248799, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 20:54:12', NULL, NULL), (248800, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 20:54:13', NULL, NULL), (248801, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 20:54:14', NULL, NULL), (248802, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 20:54:15', NULL, NULL), (248803, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 20:54:16', NULL, NULL), (248804, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 20:54:17', NULL, NULL), (248805, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 20:54:18', NULL, NULL), (248806, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 20:54:22', NULL, NULL), (248807, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 20:54:25', NULL, NULL), (248808, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 20:54:29', NULL, NULL), (248809, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 20:54:32', NULL, NULL), (248810, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 20:54:34', NULL, NULL), (248811, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 20:54:35', NULL, NULL), (248812, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 20:54:36', NULL, NULL), (248813, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 20:54:36', NULL, NULL), (248814, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 20:54:37', NULL, NULL), (248815, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 20:54:38', NULL, NULL), (248816, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 20:54:39', NULL, NULL), (248817, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 20:54:40', NULL, NULL), (248818, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 20:54:40', NULL, NULL), (248819, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 20:54:41', NULL, NULL), (248820, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 20:54:42', NULL, NULL), (248821, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 20:54:43', NULL, NULL), (248822, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 20:54:44', NULL, NULL), (248823, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 20:54:44', NULL, NULL), (248824, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 20:54:45', NULL, NULL), (248825, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 20:54:46', NULL, NULL), (248826, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 20:54:47', NULL, NULL), (248827, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 20:54:48', NULL, NULL), (248828, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 20:54:49', NULL, NULL), (248829, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 20:54:50', NULL, NULL), (248830, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 20:54:50', NULL, NULL), (248831, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 20:54:51', NULL, NULL), (248832, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 20:54:52', NULL, NULL), (248833, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 20:54:53', NULL, NULL), (248834, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 20:54:54', NULL, NULL), (248835, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 20:54:55', NULL, NULL), (248836, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 20:54:56', NULL, NULL), (248837, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 20:54:57', NULL, NULL), (248838, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 20:54:59', NULL, NULL), (248839, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 20:55:00', NULL, NULL), (248840, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 20:55:04', NULL, NULL), (248841, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 20:55:07', NULL, NULL), (248842, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 20:55:11', NULL, NULL), (248843, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 20:55:13', NULL, NULL), (248844, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 20:55:14', NULL, NULL), (248845, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 20:55:15', NULL, NULL), (248846, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 20:55:15', NULL, NULL), (248847, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 20:55:16', NULL, NULL), (248848, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 20:55:17', NULL, NULL), (248849, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 20:55:18', NULL, NULL), (248850, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 20:55:19', NULL, NULL), (248851, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 20:55:19', NULL, NULL), (248852, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 20:55:20', NULL, NULL), (248853, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 20:55:21', NULL, NULL), (248854, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 20:55:22', NULL, NULL), (248855, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 20:55:23', NULL, NULL), (248856, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 20:55:24', NULL, NULL), (248857, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 20:55:24', NULL, NULL), (248858, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 20:55:25', NULL, NULL), (248859, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 20:55:26', NULL, NULL), (248860, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 20:55:27', NULL, NULL), (248861, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 20:55:28', NULL, NULL), (248862, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 20:55:29', NULL, NULL), (248863, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 20:55:29', NULL, NULL), (248864, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 20:55:30', NULL, NULL), (248865, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 20:55:31', NULL, NULL), (248866, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 20:55:32', NULL, NULL), (248867, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 20:55:33', NULL, NULL), (248868, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 20:55:34', NULL, NULL), (248869, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 20:55:35', NULL, NULL), (248870, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 20:55:36', NULL, NULL), (248871, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 20:55:38', NULL, NULL), (248872, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 20:55:39', NULL, NULL), (248873, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 20:55:43', NULL, NULL), (248874, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 20:55:46', NULL, NULL), (248875, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 20:55:50', NULL, NULL), (248876, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 20:55:52', NULL, NULL), (248877, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 20:55:53', NULL, NULL), (248878, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 20:55:54', NULL, NULL), (248879, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 20:55:54', NULL, NULL), (248880, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 20:55:55', NULL, NULL), (248881, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 20:55:56', NULL, NULL), (248882, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 20:55:57', NULL, NULL), (248883, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 20:55:57', NULL, NULL), (248884, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 20:55:58', NULL, NULL), (248885, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 20:55:59', NULL, NULL), (248886, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 20:56:00', NULL, NULL), (248887, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 20:56:01', NULL, NULL), (248888, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 20:56:02', NULL, NULL), (248889, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 20:56:02', NULL, NULL), (248890, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 20:56:03', NULL, NULL), (248891, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 20:56:04', NULL, NULL), (248892, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 20:56:05', NULL, NULL), (248893, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 20:56:06', NULL, NULL), (248894, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 20:56:07', NULL, NULL), (248895, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 20:56:08', NULL, NULL), (248896, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 20:56:08', NULL, NULL), (248897, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 20:56:09', NULL, NULL), (248898, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 20:56:10', NULL, NULL), (248899, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 20:56:11', NULL, NULL), (248900, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 20:56:12', NULL, NULL), (248901, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 20:56:13', NULL, NULL), (248902, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 20:56:14', NULL, NULL), (248903, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 20:56:15', NULL, NULL), (248904, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 20:56:16', NULL, NULL), (248905, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 20:56:18', NULL, NULL), (248906, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 20:56:21', NULL, NULL), (248907, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 20:56:25', NULL, NULL), (248908, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 20:56:29', NULL, NULL), (248909, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 20:56:30', NULL, NULL), (248910, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 20:56:31', NULL, NULL), (248911, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 20:56:32', NULL, NULL), (248912, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 20:56:33', NULL, NULL), (248913, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 20:56:33', NULL, NULL), (248914, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 20:56:34', NULL, NULL), (248915, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 20:56:35', NULL, NULL), (248916, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 20:56:36', NULL, NULL), (248917, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 20:56:37', NULL, NULL), (248918, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 20:56:37', NULL, NULL), (248919, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 20:56:38', NULL, NULL), (248920, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 20:56:39', NULL, NULL), (248921, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 20:56:40', NULL, NULL), (248922, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 20:56:41', NULL, NULL), (248923, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 20:56:42', NULL, NULL), (248924, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 20:56:42', NULL, NULL), (248925, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 20:56:43', NULL, NULL), (248926, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 20:56:44', NULL, NULL), (248927, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 20:56:45', NULL, NULL), (248928, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 20:56:46', NULL, NULL), (248929, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 20:56:47', NULL, NULL), (248930, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 20:56:48', NULL, NULL), (248931, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 20:56:49', NULL, NULL), (248932, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 20:56:49', NULL, NULL), (248933, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 20:56:50', NULL, NULL), (248934, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 20:56:51', NULL, NULL), (248935, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 20:56:52', NULL, NULL), (248936, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 20:56:53', NULL, NULL), (248937, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 20:56:55', NULL, NULL), (248938, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 20:56:57', NULL, NULL), (248939, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 20:57:00', NULL, NULL), (248940, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 20:57:04', NULL, NULL), (248941, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 20:57:07', NULL, NULL), (248942, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 20:57:09', NULL, NULL), (248943, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 20:57:10', NULL, NULL), (248944, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 20:57:11', NULL, NULL), (248945, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 20:57:12', NULL, NULL), (248946, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 20:57:12', NULL, NULL), (248947, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 20:57:13', NULL, NULL), (248948, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 20:57:14', NULL, NULL), (248949, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 20:57:15', NULL, NULL), (248950, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 20:57:16', NULL, NULL), (248951, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 20:57:16', NULL, NULL), (248952, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 20:57:17', NULL, NULL), (248953, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 20:57:18', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (248954, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 20:57:19', NULL, NULL), (248955, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 20:57:20', NULL, NULL), (248956, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 20:57:21', NULL, NULL), (248957, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 20:57:21', NULL, NULL), (248958, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 20:57:22', NULL, NULL), (248959, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 20:57:23', NULL, NULL), (248960, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 20:57:24', NULL, NULL), (248961, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 20:57:25', NULL, NULL), (248962, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 20:57:26', NULL, NULL), (248963, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 20:57:27', NULL, NULL), (248964, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 20:57:27', NULL, NULL), (248965, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 20:57:28', NULL, NULL), (248966, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 20:57:29', NULL, NULL), (248967, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 20:57:30', NULL, NULL), (248968, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 20:57:31', NULL, NULL), (248969, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 20:57:32', NULL, NULL), (248970, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 20:57:34', NULL, NULL), (248971, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 20:57:35', NULL, NULL), (248972, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 20:57:36', NULL, NULL), (248973, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 20:57:38', NULL, NULL), (248974, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 20:57:39', NULL, NULL), (248975, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 20:57:40', NULL, NULL), (248976, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 20:57:42', NULL, NULL), (248977, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 20:57:43', NULL, NULL), (248978, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 20:57:44', NULL, NULL), (248979, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 20:57:46', NULL, NULL), (248980, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 20:57:47', NULL, NULL), (248981, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 20:57:48', NULL, NULL), (248982, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 20:57:50', NULL, NULL), (248983, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 20:57:51', NULL, NULL), (248984, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 20:57:52', NULL, NULL), (248985, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 20:57:54', NULL, NULL), (248986, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 20:57:55', NULL, NULL), (248987, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 20:57:56', NULL, NULL), (248988, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 20:57:58', NULL, NULL), (248989, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 20:57:59', NULL, NULL), (248990, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 20:58:01', NULL, NULL), (248991, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 20:58:02', NULL, NULL), (248992, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 20:58:03', NULL, NULL), (248993, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 20:58:05', NULL, NULL), (248994, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 20:58:06', NULL, NULL), (248995, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 20:58:07', NULL, NULL), (248996, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 20:58:09', NULL, NULL), (248997, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 20:58:10', NULL, NULL), (248998, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 20:58:11', NULL, NULL), (248999, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 20:58:13', NULL, NULL), (249000, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 20:58:14', NULL, NULL), (249001, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 20:58:15', NULL, NULL), (249002, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 20:58:17', NULL, NULL), (249003, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 20:58:18', NULL, NULL), (249004, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 20:58:19', NULL, NULL), (249005, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 20:58:21', NULL, NULL), (249006, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 20:58:22', NULL, NULL), (249007, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 20:58:23', NULL, NULL), (249008, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 20:58:24', NULL, NULL), (249009, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 20:58:25', NULL, NULL), (249010, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 20:58:25', NULL, NULL), (249011, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 20:58:26', NULL, NULL), (249012, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 20:58:27', NULL, NULL), (249013, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 20:58:28', NULL, NULL), (249014, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 20:58:28', NULL, NULL), (249015, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 20:58:29', NULL, NULL), (249016, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 20:58:30', NULL, NULL), (249017, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 20:58:31', NULL, NULL), (249018, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 20:58:31', NULL, NULL), (249019, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 20:58:32', NULL, NULL), (249020, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 20:58:33', NULL, NULL), (249021, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 20:58:34', NULL, NULL), (249022, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 20:58:35', NULL, NULL), (249023, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 20:58:36', NULL, NULL), (249024, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 20:58:36', NULL, NULL), (249025, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 20:58:37', NULL, NULL), (249026, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 20:58:38', NULL, NULL), (249027, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 20:58:39', NULL, NULL), (249028, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 20:58:40', NULL, NULL), (249029, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 20:58:41', NULL, NULL), (249030, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 20:58:41', NULL, NULL), (249031, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 20:58:42', NULL, NULL), (249032, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 20:58:43', NULL, NULL), (249033, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 20:58:44', NULL, NULL), (249034, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 20:58:45', NULL, NULL), (249035, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 20:58:46', NULL, NULL), (249036, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 20:58:48', NULL, NULL), (249037, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 20:58:50', NULL, NULL), (249038, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 20:58:53', NULL, NULL), (249039, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 20:58:57', NULL, NULL), (249040, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 20:59:00', NULL, NULL), (249041, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 20:59:02', NULL, NULL), (249042, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 20:59:03', NULL, NULL), (249043, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 20:59:04', NULL, NULL), (249044, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 20:59:05', NULL, NULL), (249045, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 20:59:06', NULL, NULL), (249046, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 20:59:06', NULL, NULL), (249047, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 20:59:07', NULL, NULL), (249048, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 20:59:08', NULL, NULL), (249049, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 20:59:09', NULL, NULL), (249050, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 20:59:10', NULL, NULL), (249051, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 20:59:11', NULL, NULL), (249052, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 20:59:12', NULL, NULL), (249053, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 20:59:13', NULL, NULL), (249054, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 20:59:14', NULL, NULL), (249055, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 20:59:15', NULL, NULL), (249056, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 20:59:16', NULL, NULL), (249057, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 20:59:17', NULL, NULL), (249058, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 20:59:17', NULL, NULL), (249059, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 20:59:18', NULL, NULL), (249060, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 20:59:19', NULL, NULL), (249061, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 20:59:20', NULL, NULL), (249062, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 20:59:21', NULL, NULL), (249063, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 20:59:22', NULL, NULL), (249064, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 20:59:23', NULL, NULL), (249065, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 20:59:24', NULL, NULL), (249066, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 20:59:25', NULL, NULL), (249067, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 20:59:26', NULL, NULL), (249068, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 20:59:28', NULL, NULL), (249069, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 20:59:31', NULL, NULL), (249070, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 20:59:34', NULL, NULL), (249071, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 20:59:38', NULL, NULL), (249072, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 20:59:41', NULL, NULL), (249073, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 20:59:42', NULL, NULL), (249074, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 20:59:43', NULL, NULL), (249075, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 20:59:43', NULL, NULL), (249076, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 20:59:44', NULL, NULL), (249077, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 20:59:45', NULL, NULL), (249078, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 20:59:46', NULL, NULL), (249079, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 20:59:47', NULL, NULL), (249080, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 20:59:47', NULL, NULL), (249081, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 20:59:48', NULL, NULL), (249082, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 20:59:49', NULL, NULL), (249083, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 20:59:50', NULL, NULL), (249084, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 20:59:51', NULL, NULL), (249085, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 20:59:52', NULL, NULL), (249086, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 20:59:52', NULL, NULL), (249087, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 20:59:53', NULL, NULL), (249088, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 20:59:54', NULL, NULL), (249089, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 20:59:55', NULL, NULL), (249090, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 20:59:56', NULL, NULL), (249091, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 20:59:57', NULL, NULL), (249092, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 20:59:58', NULL, NULL), (249093, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 20:59:59', NULL, NULL), (249094, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 20:59:59', NULL, NULL), (249095, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 21:00:00', NULL, NULL), (249096, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 21:00:01', NULL, NULL), (249097, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 21:00:02', NULL, NULL), (249098, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 21:00:03', NULL, NULL), (249099, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 21:00:04', NULL, NULL), (249100, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 21:00:06', NULL, NULL), (249101, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 21:00:07', NULL, NULL), (249102, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 21:00:11', NULL, NULL), (249103, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 21:00:14', NULL, NULL), (249104, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 21:00:18', NULL, NULL), (249105, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 21:00:20', NULL, NULL), (249106, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 21:00:20', NULL, NULL), (249107, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 21:00:21', NULL, NULL), (249108, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 21:00:22', NULL, NULL), (249109, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 21:00:23', NULL, NULL), (249110, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 21:00:23', NULL, NULL), (249111, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 21:00:24', NULL, NULL), (249112, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 21:00:25', NULL, NULL), (249113, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 21:00:26', NULL, NULL), (249114, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 21:00:27', NULL, NULL), (249115, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 21:00:27', NULL, NULL), (249116, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 21:00:28', NULL, NULL), (249117, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 21:00:29', NULL, NULL), (249118, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 21:00:30', NULL, NULL), (249119, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 21:00:31', NULL, NULL), (249120, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 21:00:32', NULL, NULL), (249121, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 21:00:32', NULL, NULL), (249122, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 21:00:33', NULL, NULL), (249123, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 21:00:34', NULL, NULL), (249124, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 21:00:35', NULL, NULL), (249125, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 21:00:36', NULL, NULL), (249126, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 21:00:37', NULL, NULL), (249127, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 21:00:38', NULL, NULL), (249128, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 21:00:39', NULL, NULL), (249129, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 21:00:40', NULL, NULL), (249130, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 21:00:41', NULL, NULL), (249131, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 21:00:42', NULL, NULL), (249132, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 21:00:43', NULL, NULL), (249133, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 21:00:44', NULL, NULL), (249134, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 21:00:45', NULL, NULL), (249135, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 21:00:47', NULL, NULL), (249136, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 21:00:48', NULL, NULL), (249137, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 21:00:50', NULL, NULL), (249138, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 21:00:54', NULL, NULL), (249139, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 21:00:57', NULL, NULL), (249140, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 21:01:00', NULL, NULL), (249141, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 21:01:01', NULL, NULL), (249142, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 21:01:02', NULL, NULL), (249143, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 21:01:03', NULL, NULL), (249144, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 21:01:03', NULL, NULL), (249145, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 21:01:04', NULL, NULL), (249146, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 21:01:05', NULL, NULL), (249147, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 21:01:06', NULL, NULL), (249148, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 21:01:07', NULL, NULL), (249149, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 21:01:07', NULL, NULL), (249150, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 21:01:08', NULL, NULL), (249151, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 21:01:09', NULL, NULL), (249152, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 21:01:10', NULL, NULL), (249153, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 21:01:11', NULL, NULL), (249154, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 21:01:12', NULL, NULL), (249155, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 21:01:12', NULL, NULL), (249156, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 21:01:13', NULL, NULL), (249157, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 21:01:14', NULL, NULL), (249158, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 21:01:15', NULL, NULL), (249159, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 21:01:16', NULL, NULL), (249160, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 21:01:17', NULL, NULL), (249161, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 21:01:18', NULL, NULL), (249162, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 21:01:18', NULL, NULL), (249163, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 21:01:19', NULL, NULL), (249164, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 21:01:20', NULL, NULL), (249165, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 21:01:21', NULL, NULL), (249166, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 21:01:22', NULL, NULL), (249167, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 21:01:23', NULL, NULL), (249168, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 21:01:25', NULL, NULL), (249169, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 21:01:26', NULL, NULL), (249170, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 21:01:28', NULL, NULL), (249171, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 21:01:31', NULL, NULL), (249172, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 21:01:35', NULL, NULL), (249173, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 21:01:38', NULL, NULL), (249174, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 21:01:39', NULL, NULL), (249175, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 21:01:40', NULL, NULL), (249176, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 21:01:41', NULL, NULL), (249177, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 21:01:41', NULL, NULL), (249178, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 21:01:42', NULL, NULL), (249179, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 21:01:43', NULL, NULL), (249180, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 21:01:44', NULL, NULL), (249181, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 21:01:45', NULL, NULL), (249182, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 21:01:45', NULL, NULL), (249183, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 21:01:46', NULL, NULL), (249184, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 21:01:47', NULL, NULL), (249185, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 21:01:48', NULL, NULL), (249186, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 21:01:49', NULL, NULL), (249187, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 21:01:50', NULL, NULL), (249188, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 21:01:51', NULL, NULL), (249189, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 21:01:51', NULL, NULL), (249190, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 21:01:52', NULL, NULL), (249191, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 21:01:53', NULL, NULL), (249192, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 21:01:54', NULL, NULL), (249193, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 21:01:55', NULL, NULL), (249194, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 21:01:56', NULL, NULL), (249195, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 21:01:57', NULL, NULL), (249196, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 21:01:58', NULL, NULL), (249197, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 21:01:58', NULL, NULL), (249198, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 21:01:59', NULL, NULL), (249199, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 21:02:00', NULL, NULL), (249200, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 21:02:02', NULL, NULL), (249201, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 21:02:03', NULL, NULL), (249202, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 21:02:04', NULL, NULL), (249203, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 21:02:08', NULL, NULL), (249204, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 21:02:12', NULL, NULL), (249205, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 21:02:15', NULL, NULL), (249206, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 21:02:17', NULL, NULL), (249207, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 21:02:18', NULL, NULL), (249208, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 21:02:19', NULL, NULL), (249209, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 21:02:20', NULL, NULL), (249210, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 21:02:21', NULL, NULL), (249211, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 21:02:21', NULL, NULL), (249212, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 21:02:22', NULL, NULL), (249213, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 21:02:23', NULL, NULL), (249214, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 21:02:24', NULL, NULL), (249215, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 21:02:25', NULL, NULL), (249216, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 21:02:25', NULL, NULL), (249217, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 21:02:26', NULL, NULL), (249218, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 21:02:27', NULL, NULL), (249219, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 21:02:28', NULL, NULL), (249220, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 21:02:29', NULL, NULL), (249221, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 21:02:30', NULL, NULL), (249222, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 21:02:30', NULL, NULL), (249223, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 21:02:31', NULL, NULL), (249224, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 21:02:32', NULL, NULL), (249225, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 21:02:33', NULL, NULL), (249226, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 21:02:34', NULL, NULL), (249227, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 21:02:35', NULL, NULL), (249228, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 21:02:36', NULL, NULL), (249229, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 21:02:37', NULL, NULL), (249230, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 21:02:38', NULL, NULL), (249231, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 21:02:39', NULL, NULL), (249232, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 21:02:40', NULL, NULL), (249233, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 21:02:41', NULL, NULL), (249234, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 21:02:42', NULL, NULL), (249235, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 21:02:43', NULL, NULL), (249236, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 21:02:45', NULL, NULL), (249237, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 21:02:46', NULL, NULL), (249238, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 21:02:47', NULL, NULL), (249239, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 21:02:49', NULL, NULL), (249240, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 21:02:50', NULL, NULL), (249241, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 21:02:52', NULL, NULL), (249242, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 21:02:53', NULL, NULL), (249243, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 21:02:54', NULL, NULL), (249244, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 21:02:56', NULL, NULL), (249245, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 21:02:57', NULL, NULL), (249246, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 21:02:58', NULL, NULL), (249247, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 21:03:00', NULL, NULL), (249248, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 21:03:01', NULL, NULL), (249249, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 21:03:03', NULL, NULL), (249250, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 21:03:04', NULL, NULL), (249251, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 21:03:06', NULL, NULL), (249252, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 21:03:07', NULL, NULL), (249253, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 21:03:08', NULL, NULL), (249254, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 21:03:10', NULL, NULL), (249255, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 21:03:11', NULL, NULL), (249256, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 21:03:13', NULL, NULL), (249257, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 21:03:14', NULL, NULL), (249258, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 21:03:15', NULL, NULL), (249259, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 21:03:17', NULL, NULL), (249260, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 21:03:18', NULL, NULL), (249261, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 21:03:20', NULL, NULL), (249262, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 21:03:21', NULL, NULL), (249263, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 21:03:23', NULL, NULL), (249264, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 21:03:24', NULL, NULL), (249265, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 21:03:25', NULL, NULL), (249266, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 21:03:27', NULL, NULL), (249267, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 21:03:28', NULL, NULL), (249268, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 21:03:29', NULL, NULL), (249269, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 21:03:31', NULL, NULL), (249270, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 21:03:32', NULL, NULL), (249271, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 21:03:34', NULL, NULL), (249272, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 21:03:35', NULL, NULL), (249273, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 21:03:36', NULL, NULL), (249274, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 21:03:38', NULL, NULL), (249275, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 21:03:39', NULL, NULL), (249276, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 21:03:40', NULL, NULL), (249277, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 21:03:42', NULL, NULL), (249278, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 21:03:43', NULL, NULL), (249279, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 21:03:45', NULL, NULL), (249280, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 21:03:46', NULL, NULL), (249281, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 21:03:47', NULL, NULL), (249282, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 21:03:49', NULL, NULL), (249283, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 21:03:50', NULL, NULL), (249284, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 21:03:52', 1, '2024-08-05 22:12:36'), (249285, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 21:03:53', 1, '2024-08-06 02:01:47'), (249286, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 21:03:54', 1, '2024-08-07 01:00:33'), (249287, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 21:03:56', 1, '2024-08-08 01:00:40'), (249288, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 21:03:57', 1, '2024-08-09 01:00:34'), (249289, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 21:04:50', NULL, NULL), (249290, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 21:04:52', NULL, NULL), (249291, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 21:04:53', NULL, NULL), (249292, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 21:04:55', NULL, NULL), (249293, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 21:04:56', NULL, NULL), (249294, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 21:04:57', NULL, NULL), (249295, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 21:04:59', NULL, NULL), (249296, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 21:05:00', NULL, NULL), (249297, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 21:05:01', NULL, NULL), (249298, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 21:05:03', NULL, NULL), (249299, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 21:05:04', NULL, NULL), (249300, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 21:05:05', NULL, NULL), (249301, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 21:05:07', NULL, NULL), (249302, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 21:05:08', NULL, NULL), (249303, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 21:05:09', NULL, NULL), (249304, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 21:05:11', NULL, NULL), (249305, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 21:05:12', NULL, NULL), (249306, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 21:05:13', NULL, NULL), (249307, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 21:05:15', NULL, NULL), (249308, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 21:05:16', NULL, NULL), (249309, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 21:05:18', NULL, NULL), (249310, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 21:05:19', NULL, NULL), (249311, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 21:05:20', NULL, NULL), (249312, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 21:05:22', NULL, NULL), (249313, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 21:05:22', NULL, NULL), (249314, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 21:05:23', NULL, NULL), (249315, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 21:05:24', NULL, NULL), (249316, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 21:05:24', NULL, NULL), (249317, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 21:05:25', NULL, NULL), (249318, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 21:05:26', NULL, NULL), (249319, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 21:05:27', NULL, NULL), (249320, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 21:05:28', NULL, NULL), (249321, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 21:05:28', NULL, NULL), (249322, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 21:05:29', NULL, NULL), (249323, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 21:05:30', NULL, NULL), (249324, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 21:05:31', NULL, NULL), (249325, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 21:05:31', NULL, NULL), (249326, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 21:05:32', NULL, NULL), (249327, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 21:05:33', NULL, NULL), (249328, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 21:05:34', NULL, NULL), (249329, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 21:05:35', NULL, NULL), (249330, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 21:05:36', NULL, NULL), (249331, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 21:05:36', NULL, NULL), (249332, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 21:05:37', NULL, NULL), (249333, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 21:05:38', NULL, NULL), (249334, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 21:05:39', NULL, NULL), (249335, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 21:05:40', NULL, NULL), (249336, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 21:05:41', NULL, NULL), (249337, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 21:05:42', NULL, NULL), (249338, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 21:05:43', NULL, NULL), (249339, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 21:05:44', NULL, NULL), (249340, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 21:05:45', NULL, NULL), (249341, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 21:05:46', NULL, NULL), (249342, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 21:05:47', NULL, NULL), (249343, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 21:05:49', NULL, NULL), (249344, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 21:05:50', NULL, NULL), (249345, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 21:05:51', NULL, NULL), (249346, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 21:05:53', NULL, NULL), (249347, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 21:05:54', NULL, NULL), (249348, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 21:05:55', NULL, NULL), (249349, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 21:05:57', NULL, NULL), (249350, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 21:05:58', NULL, NULL), (249351, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 21:05:59', NULL, NULL), (249352, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 21:06:01', NULL, NULL), (249353, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 21:06:02', NULL, NULL), (249354, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 21:06:04', NULL, NULL), (249355, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 21:06:05', NULL, NULL), (249356, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 21:06:06', NULL, NULL), (249357, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 21:06:08', NULL, NULL), (249358, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 21:06:09', NULL, NULL), (249359, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 21:06:10', NULL, NULL), (249360, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 21:06:12', NULL, NULL), (249361, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 21:06:13', NULL, NULL), (249362, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 21:06:14', NULL, NULL), (249363, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 21:06:16', NULL, NULL), (249364, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 21:06:17', NULL, NULL), (249365, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 21:06:19', NULL, NULL), (249366, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 21:06:20', NULL, NULL), (249367, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 21:06:21', NULL, NULL), (249368, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 21:06:23', NULL, NULL), (249369, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 21:06:24', NULL, NULL), (249370, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 21:06:25', NULL, NULL), (249371, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 21:06:26', NULL, NULL), (249372, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 21:06:27', NULL, NULL), (249373, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 21:06:28', NULL, NULL), (249374, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 21:06:28', NULL, NULL), (249375, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 21:06:29', NULL, NULL), (249376, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 21:06:30', NULL, NULL), (249377, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 21:06:31', NULL, NULL), (249378, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 21:06:31', NULL, NULL), (249379, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 21:06:32', NULL, NULL), (249380, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 21:06:33', NULL, NULL), (249381, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 21:06:34', NULL, NULL), (249382, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 21:06:35', NULL, NULL), (249383, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 21:06:35', NULL, NULL), (249384, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 21:06:36', NULL, NULL), (249385, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 21:06:37', NULL, NULL), (249386, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 21:06:38', NULL, NULL), (249387, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 21:06:39', NULL, NULL), (249388, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 21:06:39', NULL, NULL), (249389, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 21:06:40', NULL, NULL), (249390, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 21:06:41', NULL, NULL), (249391, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 21:06:42', NULL, NULL), (249392, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 21:06:43', NULL, NULL), (249393, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 21:06:44', NULL, NULL), (249394, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 21:06:45', NULL, NULL), (249395, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 21:06:45', NULL, NULL), (249396, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 21:06:46', NULL, NULL), (249397, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 21:06:47', NULL, NULL), (249398, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 21:06:48', NULL, NULL), (249399, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 21:06:50', NULL, NULL), (249400, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 21:06:51', NULL, NULL), (249401, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 21:06:54', NULL, NULL), (249402, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 21:06:58', NULL, NULL), (249403, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 21:07:01', NULL, NULL), (249404, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 21:07:02', NULL, NULL), (249405, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 21:07:03', NULL, NULL), (249406, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 21:07:04', NULL, NULL), (249407, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 21:07:05', NULL, NULL), (249408, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 21:07:06', NULL, NULL), (249409, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 21:07:06', NULL, NULL), (249410, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 21:07:07', NULL, NULL), (249411, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 21:07:08', NULL, NULL), (249412, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 21:07:09', NULL, NULL), (249413, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 21:07:10', NULL, NULL), (249414, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 21:07:11', NULL, NULL), (249415, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 21:07:12', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (249416, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 21:07:13', NULL, NULL), (249417, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 21:07:14', NULL, NULL), (249418, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 21:07:15', NULL, NULL), (249419, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 21:07:16', NULL, NULL), (249420, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 21:07:17', NULL, NULL), (249421, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 21:07:18', NULL, NULL), (249422, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 21:07:19', NULL, NULL), (249423, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 21:07:20', NULL, NULL), (249424, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 21:07:21', NULL, NULL), (249425, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 21:07:22', NULL, NULL), (249426, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 21:07:23', NULL, NULL), (249427, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 21:07:24', NULL, NULL), (249428, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 21:07:26', NULL, NULL), (249429, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 21:07:27', NULL, NULL), (249430, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 21:07:31', NULL, NULL), (249431, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 21:07:34', NULL, NULL), (249432, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 21:07:38', NULL, NULL), (249433, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 21:07:41', NULL, NULL), (249434, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 21:07:45', NULL, NULL), (249435, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 21:07:48', NULL, NULL), (249436, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 21:07:49', NULL, NULL), (249437, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 21:07:49', NULL, NULL), (249438, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 21:07:50', NULL, NULL), (249439, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 21:07:51', NULL, NULL), (249440, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 21:07:52', NULL, NULL), (249441, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 21:07:53', NULL, NULL), (249442, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 21:07:54', NULL, NULL), (249443, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 21:07:55', NULL, NULL), (249444, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 21:07:56', NULL, NULL), (249445, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 21:07:57', NULL, NULL), (249446, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 21:07:57', NULL, NULL), (249447, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 21:07:58', NULL, NULL), (249448, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 21:07:59', NULL, NULL), (249449, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 21:08:00', NULL, NULL), (249450, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 21:08:01', NULL, NULL), (249451, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 21:08:02', NULL, NULL), (249452, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 21:08:03', NULL, NULL), (249453, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 21:08:05', NULL, NULL), (249454, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 21:08:06', NULL, NULL), (249455, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 21:08:07', NULL, NULL), (249456, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 21:08:08', NULL, NULL), (249457, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 21:08:09', NULL, NULL), (249458, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 21:08:10', NULL, NULL), (249459, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 21:08:11', NULL, NULL), (249460, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 21:08:13', NULL, NULL), (249461, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 21:08:15', NULL, NULL), (249462, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 21:08:18', NULL, NULL), (249463, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 21:08:22', NULL, NULL), (249464, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 21:08:25', NULL, NULL), (249465, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 21:08:28', NULL, NULL), (249466, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 21:08:29', NULL, NULL), (249467, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 21:08:29', NULL, NULL), (249468, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 21:08:30', NULL, NULL), (249469, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 21:08:31', NULL, NULL), (249470, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 21:08:32', NULL, NULL), (249471, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 21:08:32', NULL, NULL), (249472, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 21:08:33', NULL, NULL), (249473, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 21:08:34', NULL, NULL), (249474, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 21:08:35', NULL, NULL), (249475, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 21:08:36', NULL, NULL), (249476, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 21:08:36', NULL, NULL), (249477, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 21:08:37', NULL, NULL), (249478, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 21:08:38', NULL, NULL), (249479, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 21:08:39', NULL, NULL), (249480, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 21:08:40', NULL, NULL), (249481, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 21:08:41', NULL, NULL), (249482, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 21:08:42', NULL, NULL), (249483, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 21:08:42', NULL, NULL), (249484, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 21:08:43', NULL, NULL), (249485, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 21:08:44', NULL, NULL), (249486, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 21:08:45', NULL, NULL), (249487, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 21:08:46', NULL, NULL), (249488, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 21:08:47', NULL, NULL), (249489, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 21:08:48', NULL, NULL), (249490, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 21:08:49', NULL, NULL), (249491, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 21:08:50', NULL, NULL), (249492, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 21:08:51', NULL, NULL), (249493, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 21:08:53', NULL, NULL), (249494, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 21:08:55', NULL, NULL), (249495, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 21:08:58', NULL, NULL), (249496, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 21:09:02', NULL, NULL), (249497, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 21:09:06', NULL, NULL), (249498, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 21:09:09', NULL, NULL), (249499, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 21:09:12', NULL, NULL), (249500, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 21:09:13', NULL, NULL), (249501, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 21:09:14', NULL, NULL), (249502, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 21:09:15', NULL, NULL), (249503, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 21:09:15', NULL, NULL), (249504, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 21:09:16', NULL, NULL), (249505, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 21:09:17', NULL, NULL), (249506, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 21:09:18', NULL, NULL), (249507, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 21:09:19', NULL, NULL), (249508, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 21:09:20', NULL, NULL), (249509, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 21:09:21', NULL, NULL), (249510, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 21:09:22', NULL, NULL), (249511, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 21:09:23', NULL, NULL), (249512, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 21:09:24', NULL, NULL), (249513, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 21:09:25', NULL, NULL), (249514, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 21:09:26', NULL, NULL), (249515, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 21:09:27', NULL, NULL), (249516, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 21:09:28', NULL, NULL), (249517, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 21:09:29', NULL, NULL), (249518, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 21:09:30', NULL, NULL), (249519, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 21:09:32', NULL, NULL), (249520, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 21:09:33', NULL, NULL), (249521, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 21:09:34', NULL, NULL), (249522, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 21:09:35', NULL, NULL), (249523, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 21:09:36', NULL, NULL), (249524, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 21:09:37', NULL, NULL), (249525, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 21:09:41', NULL, NULL), (249526, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 21:09:44', NULL, NULL), (249527, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 21:09:48', NULL, NULL), (249528, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 21:09:52', NULL, NULL), (249529, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 21:09:55', NULL, NULL), (249530, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 21:09:59', NULL, NULL), (249531, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 21:09:59', NULL, NULL), (249532, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 21:10:00', NULL, NULL), (249533, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 21:10:01', NULL, NULL), (249534, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 21:10:02', NULL, NULL), (249535, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 21:10:03', NULL, NULL), (249536, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 21:10:04', NULL, NULL), (249537, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 21:10:04', NULL, NULL), (249538, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 21:10:05', NULL, NULL), (249539, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 21:10:06', NULL, NULL), (249540, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 21:10:07', NULL, NULL), (249541, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 21:10:08', NULL, NULL), (249542, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 21:10:09', NULL, NULL), (249543, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 21:10:10', NULL, NULL), (249544, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 21:10:11', NULL, NULL), (249545, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 21:10:12', NULL, NULL), (249546, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 21:10:13', NULL, NULL), (249547, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 21:10:14', NULL, NULL), (249548, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 21:10:15', NULL, NULL), (249549, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 21:10:16', NULL, NULL), (249550, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 21:10:17', NULL, NULL), (249551, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 21:10:18', NULL, NULL), (249552, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 21:10:19', NULL, NULL), (249553, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 21:10:20', NULL, NULL), (249554, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 21:10:21', NULL, NULL), (249555, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 21:10:22', NULL, NULL), (249556, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 21:10:24', NULL, NULL), (249557, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 21:10:26', NULL, NULL), (249558, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 21:10:29', NULL, NULL), (249559, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 21:10:33', NULL, NULL), (249560, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 21:10:36', NULL, NULL), (249561, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 21:10:40', NULL, NULL), (249562, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 21:10:43', NULL, NULL), (249563, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 21:10:45', NULL, NULL), (249564, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 21:10:46', NULL, NULL), (249565, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 21:10:47', NULL, NULL), (249566, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 21:10:48', NULL, NULL), (249567, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 21:10:48', NULL, NULL), (249568, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 21:10:49', NULL, NULL), (249569, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 21:10:50', NULL, NULL), (249570, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 21:10:51', NULL, NULL), (249571, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 21:10:51', NULL, NULL), (249572, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 21:10:52', NULL, NULL), (249573, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 21:10:53', NULL, NULL), (249574, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 21:10:54', NULL, NULL), (249575, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 21:10:55', NULL, NULL), (249576, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 21:10:56', NULL, NULL), (249577, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 21:10:56', NULL, NULL), (249578, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 21:10:57', NULL, NULL), (249579, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 21:10:58', NULL, NULL), (249580, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 21:10:59', NULL, NULL), (249581, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 21:11:00', NULL, NULL), (249582, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 21:11:01', NULL, NULL), (249583, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 21:11:02', NULL, NULL), (249584, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 21:11:03', NULL, NULL), (249585, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 21:11:03', NULL, NULL), (249586, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 21:11:04', NULL, NULL), (249587, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 21:11:05', NULL, NULL), (249588, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 21:11:06', NULL, NULL), (249589, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 21:11:07', NULL, NULL), (249590, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 21:11:08', NULL, NULL), (249591, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 21:11:10', NULL, NULL), (249592, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 21:11:12', NULL, NULL), (249593, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 21:11:15', NULL, NULL), (249594, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 21:11:19', NULL, NULL), (249595, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 21:11:22', NULL, NULL), (249596, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 21:11:24', NULL, NULL), (249597, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 21:11:25', NULL, NULL), (249598, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 21:11:26', NULL, NULL), (249599, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 21:11:26', NULL, NULL), (249600, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 21:11:27', NULL, NULL), (249601, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 21:11:28', NULL, NULL), (249602, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 21:11:29', NULL, NULL), (249603, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 21:11:30', NULL, NULL), (249604, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 21:11:30', NULL, NULL), (249605, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 21:11:31', NULL, NULL), (249606, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 21:11:32', NULL, NULL), (249607, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 21:11:33', NULL, NULL), (249608, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 21:11:34', NULL, NULL), (249609, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 21:11:35', NULL, NULL), (249610, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 21:11:35', NULL, NULL), (249611, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 21:11:36', NULL, NULL), (249612, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 21:11:37', NULL, NULL), (249613, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 21:11:38', NULL, NULL), (249614, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 21:11:39', NULL, NULL), (249615, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 21:11:40', NULL, NULL), (249616, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 21:11:41', NULL, NULL), (249617, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 21:11:41', NULL, NULL), (249618, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 21:11:42', NULL, NULL), (249619, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 21:11:43', NULL, NULL), (249620, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 21:11:44', NULL, NULL), (249621, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 21:11:45', NULL, NULL), (249622, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 21:11:46', NULL, NULL), (249623, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 21:11:47', NULL, NULL), (249624, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 21:11:49', NULL, NULL), (249625, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 21:11:50', NULL, NULL), (249626, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 21:11:51', NULL, NULL), (249627, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 21:11:54', NULL, NULL), (249628, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 21:11:58', NULL, NULL), (249629, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 21:12:01', NULL, NULL), (249630, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 21:12:03', NULL, NULL), (249631, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 21:12:04', NULL, NULL), (249632, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 21:12:05', NULL, NULL), (249633, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 21:12:05', NULL, NULL), (249634, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 21:12:06', NULL, NULL), (249635, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 21:12:07', NULL, NULL), (249636, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 21:12:08', NULL, NULL), (249637, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 21:12:09', NULL, NULL), (249638, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 21:12:09', NULL, NULL), (249639, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 21:12:10', NULL, NULL), (249640, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 21:12:11', NULL, NULL), (249641, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 21:12:12', NULL, NULL), (249642, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 21:12:13', NULL, NULL), (249643, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 21:12:14', NULL, NULL), (249644, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 21:12:14', NULL, NULL), (249645, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 21:12:15', NULL, NULL), (249646, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 21:12:16', NULL, NULL), (249647, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 21:12:17', NULL, NULL), (249648, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 21:12:18', NULL, NULL), (249649, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 21:12:19', NULL, NULL), (249650, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 21:12:20', NULL, NULL), (249651, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 21:12:20', NULL, NULL), (249652, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 21:12:21', NULL, NULL), (249653, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 21:12:22', NULL, NULL), (249654, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 21:12:23', NULL, NULL), (249655, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 21:12:24', NULL, NULL), (249656, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 21:12:25', NULL, NULL), (249657, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 21:12:26', NULL, NULL), (249658, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 21:12:28', NULL, NULL), (249659, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 21:12:29', NULL, NULL), (249660, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 21:12:30', NULL, NULL), (249661, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 21:12:32', NULL, NULL), (249662, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 21:12:35', NULL, NULL), (249663, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 21:12:38', NULL, NULL), (249664, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 21:12:42', NULL, NULL), (249665, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 21:12:43', NULL, NULL), (249666, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 21:12:44', NULL, NULL), (249667, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 21:12:45', NULL, NULL), (249668, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 21:12:46', NULL, NULL), (249669, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 21:12:47', NULL, NULL), (249670, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 21:12:47', NULL, NULL), (249671, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 21:12:48', NULL, NULL), (249672, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 21:12:49', NULL, NULL), (249673, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 21:12:50', NULL, NULL), (249674, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 21:12:51', NULL, NULL), (249675, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 21:12:51', NULL, NULL), (249676, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 21:12:52', NULL, NULL), (249677, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 21:12:53', NULL, NULL), (249678, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 21:12:54', NULL, NULL), (249679, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 21:12:55', NULL, NULL), (249680, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 21:12:56', NULL, NULL), (249681, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 21:12:57', NULL, NULL), (249682, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 21:12:57', NULL, NULL), (249683, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 21:12:58', NULL, NULL), (249684, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 21:12:59', NULL, NULL), (249685, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 21:13:00', NULL, NULL), (249686, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 21:13:01', NULL, NULL), (249687, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 21:13:02', NULL, NULL), (249688, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 21:13:03', NULL, NULL), (249689, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 21:13:04', NULL, NULL), (249690, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 21:13:05', NULL, NULL), (249691, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 21:13:06', NULL, NULL), (249692, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 21:13:07', NULL, NULL), (249693, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 21:13:08', NULL, NULL), (249694, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 21:13:11', NULL, NULL), (249695, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 21:13:15', NULL, NULL), (249696, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 21:13:18', NULL, NULL), (249697, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 21:13:22', NULL, NULL), (249698, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 21:13:23', NULL, NULL), (249699, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 21:13:23', NULL, NULL), (249700, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 21:13:24', NULL, NULL), (249701, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 21:13:25', NULL, NULL), (249702, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 21:13:26', NULL, NULL), (249703, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 21:13:27', NULL, NULL), (249704, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 21:13:27', NULL, NULL), (249705, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 21:13:28', NULL, NULL), (249706, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 21:13:29', NULL, NULL), (249707, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 21:13:30', NULL, NULL), (249708, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 21:13:31', NULL, NULL), (249709, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 21:13:31', NULL, NULL), (249710, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 21:13:32', NULL, NULL), (249711, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 21:13:33', NULL, NULL), (249712, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 21:13:34', NULL, NULL), (249713, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 21:13:35', NULL, NULL), (249714, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 21:13:36', NULL, NULL), (249715, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 21:13:37', NULL, NULL), (249716, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 21:13:37', NULL, NULL), (249717, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 21:13:38', NULL, NULL), (249718, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 21:13:39', NULL, NULL), (249719, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 21:13:40', NULL, NULL), (249720, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 21:13:41', NULL, NULL), (249721, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 21:13:42', NULL, NULL), (249722, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 21:13:43', NULL, NULL), (249723, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 21:13:44', NULL, NULL), (249724, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 21:13:45', NULL, NULL), (249725, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 21:13:46', NULL, NULL), (249726, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 21:13:48', NULL, NULL), (249727, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 21:13:51', NULL, NULL), (249728, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 21:13:54', NULL, NULL), (249729, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 21:13:58', NULL, NULL), (249730, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 21:14:02', NULL, NULL), (249731, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 21:14:03', NULL, NULL), (249732, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 21:14:03', NULL, NULL), (249733, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 21:14:04', NULL, NULL), (249734, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 21:14:05', NULL, NULL), (249735, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 21:14:06', NULL, NULL), (249736, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 21:14:07', NULL, NULL), (249737, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 21:14:08', NULL, NULL), (249738, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 21:14:09', NULL, NULL), (249739, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 21:14:10', NULL, NULL), (249740, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 21:14:10', NULL, NULL), (249741, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 21:14:11', NULL, NULL), (249742, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 21:14:12', NULL, NULL), (249743, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 21:14:13', NULL, NULL), (249744, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 21:14:14', NULL, NULL), (249745, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 21:14:15', NULL, NULL), (249746, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 21:14:16', NULL, NULL), (249747, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 21:14:17', NULL, NULL), (249748, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 21:14:18', NULL, NULL), (249749, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 21:14:19', NULL, NULL), (249750, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 21:14:20', NULL, NULL), (249751, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 21:14:21', NULL, NULL), (249752, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 21:14:22', NULL, NULL), (249753, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 21:14:23', NULL, NULL), (249754, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 21:14:24', NULL, NULL), (249755, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 21:14:25', NULL, NULL), (249756, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 21:14:26', NULL, NULL), (249757, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 21:14:27', NULL, NULL), (249758, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 21:14:30', NULL, NULL), (249759, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 21:14:34', NULL, NULL), (249760, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 21:14:37', NULL, NULL), (249761, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 21:14:41', NULL, NULL), (249762, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 21:14:43', NULL, NULL), (249763, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 21:14:44', NULL, NULL), (249764, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 21:14:45', NULL, NULL), (249765, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 21:14:46', NULL, NULL), (249766, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 21:14:46', NULL, NULL), (249767, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 21:14:47', NULL, NULL), (249768, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 21:14:48', NULL, NULL), (249769, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 21:14:49', NULL, NULL), (249770, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 21:14:50', NULL, NULL), (249771, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 21:14:50', NULL, NULL), (249772, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 21:14:51', NULL, NULL), (249773, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 21:14:52', NULL, NULL), (249774, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 21:14:53', NULL, NULL), (249775, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 21:14:54', NULL, NULL), (249776, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 21:14:55', NULL, NULL), (249777, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 21:14:55', NULL, NULL), (249778, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 21:14:56', NULL, NULL), (249779, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 21:14:57', NULL, NULL), (249780, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 21:14:58', NULL, NULL), (249781, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 21:14:59', NULL, NULL), (249782, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 21:15:00', NULL, NULL), (249783, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 21:15:01', NULL, NULL), (249784, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 21:15:02', NULL, NULL), (249785, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 21:15:03', NULL, NULL), (249786, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 21:15:04', NULL, NULL), (249787, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 21:15:05', NULL, NULL), (249788, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 21:15:06', NULL, NULL), (249789, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 21:15:07', NULL, NULL), (249790, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 21:15:08', NULL, NULL), (249791, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 21:15:10', NULL, NULL), (249792, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 21:15:13', NULL, NULL), (249793, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 21:15:17', NULL, NULL), (249794, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 21:15:21', NULL, NULL), (249795, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 21:15:22', NULL, NULL), (249796, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 21:15:22', NULL, NULL), (249797, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 21:15:23', NULL, NULL), (249798, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 21:15:24', NULL, NULL), (249799, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 21:15:25', NULL, NULL), (249800, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 21:15:26', NULL, NULL), (249801, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 21:15:26', NULL, NULL), (249802, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 21:15:27', NULL, NULL), (249803, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 21:15:28', NULL, NULL), (249804, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 21:15:29', NULL, NULL), (249805, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 21:15:30', NULL, NULL), (249806, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 21:15:31', NULL, NULL), (249807, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 21:15:31', NULL, NULL), (249808, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 21:15:32', NULL, NULL), (249809, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 21:15:33', NULL, NULL), (249810, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 21:15:34', NULL, NULL), (249811, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 21:15:35', NULL, NULL), (249812, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 21:15:36', NULL, NULL), (249813, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 21:15:37', NULL, NULL), (249814, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 21:15:37', NULL, NULL), (249815, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 21:15:38', NULL, NULL), (249816, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 21:15:39', NULL, NULL), (249817, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 21:15:40', NULL, NULL), (249818, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 21:15:41', NULL, NULL), (249819, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 21:15:42', NULL, NULL), (249820, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 21:15:43', NULL, NULL), (249821, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 21:15:44', NULL, NULL), (249822, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 21:15:45', NULL, NULL), (249823, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 21:15:47', NULL, NULL), (249824, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 21:15:50', NULL, NULL), (249825, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 21:15:53', NULL, NULL), (249826, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 21:15:57', NULL, NULL), (249827, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 21:16:00', NULL, NULL), (249828, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 21:16:01', NULL, NULL), (249829, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 21:16:02', NULL, NULL), (249830, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 21:16:02', NULL, NULL), (249831, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 21:16:03', NULL, NULL), (249832, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 21:16:04', NULL, NULL), (249833, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 21:16:05', NULL, NULL), (249834, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 21:16:06', NULL, NULL), (249835, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 21:16:06', NULL, NULL), (249836, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 21:16:07', NULL, NULL), (249837, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 21:16:08', NULL, NULL), (249838, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 21:16:09', NULL, NULL), (249839, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 21:16:10', NULL, NULL), (249840, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 21:16:11', NULL, NULL), (249841, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 21:16:11', NULL, NULL), (249842, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 21:16:12', NULL, NULL), (249843, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 21:16:13', NULL, NULL), (249844, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 21:16:14', NULL, NULL), (249845, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 21:16:15', NULL, NULL), (249846, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 21:16:16', NULL, NULL), (249847, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 21:16:17', NULL, NULL), (249848, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 21:16:17', NULL, NULL), (249849, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 21:16:18', NULL, NULL), (249850, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 21:16:19', NULL, NULL), (249851, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 21:16:20', NULL, NULL), (249852, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 21:16:21', NULL, NULL), (249853, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 21:16:22', NULL, NULL), (249854, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 21:16:23', NULL, NULL), (249855, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 21:16:24', NULL, NULL), (249856, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 21:16:26', NULL, NULL), (249857, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 21:16:29', NULL, NULL), (249858, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 21:16:32', NULL, NULL), (249859, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 21:16:36', NULL, NULL), (249860, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 21:16:39', NULL, NULL), (249861, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 21:16:41', NULL, NULL), (249862, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 21:16:42', NULL, NULL), (249863, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 21:16:42', NULL, NULL), (249864, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 21:16:43', NULL, NULL), (249865, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 21:16:44', NULL, NULL), (249866, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 21:16:45', NULL, NULL), (249867, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 21:16:45', 1, '2024-08-05 22:12:41'), (249868, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 21:16:46', 1, '2024-08-06 02:01:49'), (249869, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 21:16:47', 1, '2024-08-07 01:00:34'), (249870, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 21:16:48', 1, '2024-08-08 01:00:40'), (249871, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 21:16:49', 1, '2024-08-09 01:00:36'), (249872, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 1, '2024-08-05 21:17:42', NULL, NULL), (249873, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 2, '2024-08-05 21:17:43', NULL, NULL), (249874, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 3, '2024-08-05 21:17:45', NULL, NULL), (249875, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 4, '2024-08-05 21:17:46', NULL, NULL), (249876, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 5, '2024-08-05 21:17:48', NULL, NULL), (249877, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 6, '2024-08-05 21:17:49', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (249878, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 7, '2024-08-05 21:17:50', NULL, NULL), (249879, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 8, '2024-08-05 21:17:52', NULL, NULL), (249880, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 9, '2024-08-05 21:17:53', NULL, NULL), (249881, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 10, '2024-08-05 21:17:54', NULL, NULL), (249882, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 11, '2024-08-05 21:17:56', NULL, NULL), (249883, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 12, '2024-08-05 21:17:57', NULL, NULL), (249884, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 13, '2024-08-05 21:17:58', NULL, NULL), (249885, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 14, '2024-08-05 21:18:00', NULL, NULL), (249886, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 15, '2024-08-05 21:18:01', NULL, NULL), (249887, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 16, '2024-08-05 21:18:03', NULL, NULL), (249888, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 17, '2024-08-05 21:18:04', NULL, NULL), (249889, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 18, '2024-08-05 21:18:05', NULL, NULL), (249890, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 19, '2024-08-05 21:18:07', NULL, NULL), (249891, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 20, '2024-08-05 21:18:08', NULL, NULL), (249892, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 21, '2024-08-05 21:18:09', NULL, NULL), (249893, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 22, '2024-08-05 21:18:11', NULL, NULL), (249894, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 23, '2024-08-05 21:18:12', NULL, NULL), (249895, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 24, '2024-08-05 21:18:13', NULL, NULL), (249896, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 25, '2024-08-05 21:18:15', NULL, NULL), (249897, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 26, '2024-08-05 21:18:16', NULL, NULL), (249898, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 27, '2024-08-05 21:18:17', NULL, NULL), (249899, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 28, '2024-08-05 21:18:19', NULL, NULL), (249900, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 29, '2024-08-05 21:18:20', NULL, NULL), (249901, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 30, '2024-08-05 21:18:21', NULL, NULL), (249902, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 1, 31, '2024-08-05 21:18:23', NULL, NULL), (249903, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 1, '2024-08-05 21:18:24', NULL, NULL), (249904, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 2, '2024-08-05 21:18:25', NULL, NULL), (249905, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 3, '2024-08-05 21:18:27', NULL, NULL), (249906, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 4, '2024-08-05 21:18:28', NULL, NULL), (249907, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 5, '2024-08-05 21:18:30', NULL, NULL), (249908, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 6, '2024-08-05 21:18:31', NULL, NULL), (249909, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 7, '2024-08-05 21:18:32', NULL, NULL), (249910, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 8, '2024-08-05 21:18:34', NULL, NULL), (249911, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 9, '2024-08-05 21:18:35', NULL, NULL), (249912, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 10, '2024-08-05 21:18:36', NULL, NULL), (249913, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 11, '2024-08-05 21:18:37', NULL, NULL), (249914, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 12, '2024-08-05 21:18:38', NULL, NULL), (249915, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 13, '2024-08-05 21:18:39', NULL, NULL), (249916, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 14, '2024-08-05 21:18:40', NULL, NULL), (249917, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 15, '2024-08-05 21:18:40', NULL, NULL), (249918, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 16, '2024-08-05 21:18:41', NULL, NULL), (249919, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 17, '2024-08-05 21:18:42', NULL, NULL), (249920, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 18, '2024-08-05 21:18:43', NULL, NULL), (249921, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 19, '2024-08-05 21:18:43', NULL, NULL), (249922, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 20, '2024-08-05 21:18:44', NULL, NULL), (249923, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 21, '2024-08-05 21:18:45', NULL, NULL), (249924, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 22, '2024-08-05 21:18:46', NULL, NULL), (249925, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 23, '2024-08-05 21:18:47', NULL, NULL), (249926, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 24, '2024-08-05 21:18:47', NULL, NULL), (249927, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 25, '2024-08-05 21:18:48', NULL, NULL), (249928, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 26, '2024-08-05 21:18:49', NULL, NULL), (249929, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 27, '2024-08-05 21:18:50', NULL, NULL), (249930, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 2, 28, '2024-08-05 21:18:51', NULL, NULL), (249931, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 1, '2024-08-05 21:18:52', NULL, NULL), (249932, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 2, '2024-08-05 21:18:53', NULL, NULL), (249933, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 3, '2024-08-05 21:18:54', NULL, NULL), (249934, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 4, '2024-08-05 21:18:55', NULL, NULL), (249935, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 5, '2024-08-05 21:18:56', NULL, NULL), (249936, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 6, '2024-08-05 21:18:57', NULL, NULL), (249937, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 7, '2024-08-05 21:18:58', NULL, NULL), (249938, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 8, '2024-08-05 21:18:59', NULL, NULL), (249939, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 9, '2024-08-05 21:19:00', NULL, NULL), (249940, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 10, '2024-08-05 21:19:01', NULL, NULL), (249941, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 11, '2024-08-05 21:19:02', NULL, NULL), (249942, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 12, '2024-08-05 21:19:04', NULL, NULL), (249943, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 13, '2024-08-05 21:19:08', NULL, NULL), (249944, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 14, '2024-08-05 21:19:12', NULL, NULL), (249945, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 15, '2024-08-05 21:19:15', NULL, NULL), (249946, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 16, '2024-08-05 21:19:19', NULL, NULL), (249947, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 17, '2024-08-05 21:19:22', NULL, NULL), (249948, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 18, '2024-08-05 21:19:22', NULL, NULL), (249949, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 19, '2024-08-05 21:19:23', NULL, NULL), (249950, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 20, '2024-08-05 21:19:24', NULL, NULL), (249951, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 21, '2024-08-05 21:19:25', NULL, NULL), (249952, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 22, '2024-08-05 21:19:26', NULL, NULL), (249953, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 23, '2024-08-05 21:19:26', NULL, NULL), (249954, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 24, '2024-08-05 21:19:27', NULL, NULL), (249955, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 25, '2024-08-05 21:19:28', NULL, NULL), (249956, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 26, '2024-08-05 21:19:29', NULL, NULL), (249957, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 27, '2024-08-05 21:19:30', NULL, NULL), (249958, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 28, '2024-08-05 21:19:31', NULL, NULL), (249959, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 29, '2024-08-05 21:19:32', NULL, NULL), (249960, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 30, '2024-08-05 21:19:33', NULL, NULL), (249961, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 3, 31, '2024-08-05 21:19:34', NULL, NULL), (249962, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 1, '2024-08-05 21:19:35', NULL, NULL), (249963, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 2, '2024-08-05 21:19:36', NULL, NULL), (249964, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 3, '2024-08-05 21:19:37', NULL, NULL), (249965, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 4, '2024-08-05 21:19:38', NULL, NULL), (249966, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 5, '2024-08-05 21:19:39', NULL, NULL), (249967, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 6, '2024-08-05 21:19:40', NULL, NULL), (249968, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 7, '2024-08-05 21:19:41', NULL, NULL), (249969, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 8, '2024-08-05 21:19:42', NULL, NULL), (249970, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 9, '2024-08-05 21:19:43', NULL, NULL), (249971, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 10, '2024-08-05 21:19:44', NULL, NULL), (249972, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 11, '2024-08-05 21:19:45', NULL, NULL), (249973, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 12, '2024-08-05 21:19:47', NULL, NULL), (249974, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 13, '2024-08-05 21:19:49', NULL, NULL), (249975, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 14, '2024-08-05 21:19:53', NULL, NULL), (249976, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 15, '2024-08-05 21:19:56', NULL, NULL), (249977, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 16, '2024-08-05 21:20:00', NULL, NULL), (249978, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 17, '2024-08-05 21:20:04', NULL, NULL), (249979, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 18, '2024-08-05 21:20:06', NULL, NULL), (249980, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 19, '2024-08-05 21:20:07', NULL, NULL), (249981, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 20, '2024-08-05 21:20:07', NULL, NULL), (249982, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 21, '2024-08-05 21:20:08', NULL, NULL), (249983, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 22, '2024-08-05 21:20:09', NULL, NULL), (249984, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 23, '2024-08-05 21:20:10', NULL, NULL), (249985, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 24, '2024-08-05 21:20:11', NULL, NULL), (249986, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 25, '2024-08-05 21:20:12', NULL, NULL), (249987, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 26, '2024-08-05 21:20:13', NULL, NULL), (249988, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 27, '2024-08-05 21:20:13', NULL, NULL), (249989, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 28, '2024-08-05 21:20:14', NULL, NULL), (249990, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 29, '2024-08-05 21:20:15', NULL, NULL), (249991, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 4, 30, '2024-08-05 21:20:16', NULL, NULL), (249992, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 1, '2024-08-05 21:20:17', NULL, NULL), (249993, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 2, '2024-08-05 21:20:18', NULL, NULL), (249994, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 3, '2024-08-05 21:20:19', NULL, NULL), (249995, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 4, '2024-08-05 21:20:20', NULL, NULL), (249996, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 5, '2024-08-05 21:20:21', NULL, NULL), (249997, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 6, '2024-08-05 21:20:22', NULL, NULL), (249998, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 7, '2024-08-05 21:20:23', NULL, NULL), (249999, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 8, '2024-08-05 21:20:24', NULL, NULL), (250000, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 9, '2024-08-05 21:20:25', NULL, NULL), (250001, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 10, '2024-08-05 21:20:26', NULL, NULL), (250002, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 11, '2024-08-05 21:20:28', NULL, NULL), (250003, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 12, '2024-08-05 21:20:29', NULL, NULL), (250004, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 13, '2024-08-05 21:20:30', NULL, NULL), (250005, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 14, '2024-08-05 21:20:31', NULL, NULL), (250006, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 15, '2024-08-05 21:20:35', NULL, NULL), (250007, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 16, '2024-08-05 21:20:38', NULL, NULL), (250008, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 17, '2024-08-05 21:20:42', NULL, NULL), (250009, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 18, '2024-08-05 21:20:45', NULL, NULL), (250010, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 19, '2024-08-05 21:20:49', NULL, NULL), (250011, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 20, '2024-08-05 21:20:52', NULL, NULL), (250012, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 21, '2024-08-05 21:20:52', NULL, NULL), (250013, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 22, '2024-08-05 21:20:53', NULL, NULL), (250014, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 23, '2024-08-05 21:20:54', NULL, NULL), (250015, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 24, '2024-08-05 21:20:55', NULL, NULL), (250016, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 25, '2024-08-05 21:20:56', NULL, NULL), (250017, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 26, '2024-08-05 21:20:56', NULL, NULL), (250018, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 27, '2024-08-05 21:20:57', NULL, NULL), (250019, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 28, '2024-08-05 21:20:58', NULL, NULL), (250020, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 29, '2024-08-05 21:20:59', NULL, NULL), (250021, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 30, '2024-08-05 21:21:00', NULL, NULL), (250022, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 5, 31, '2024-08-05 21:21:00', NULL, NULL), (250023, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 1, '2024-08-05 21:21:01', NULL, NULL), (250024, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 2, '2024-08-05 21:21:02', NULL, NULL), (250025, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 3, '2024-08-05 21:21:03', NULL, NULL), (250026, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 4, '2024-08-05 21:21:04', NULL, NULL), (250027, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 5, '2024-08-05 21:21:05', NULL, NULL), (250028, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 6, '2024-08-05 21:21:06', NULL, NULL), (250029, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 7, '2024-08-05 21:21:06', NULL, NULL), (250030, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 8, '2024-08-05 21:21:07', NULL, NULL), (250031, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 9, '2024-08-05 21:21:08', NULL, NULL), (250032, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 10, '2024-08-05 21:21:09', NULL, NULL), (250033, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 11, '2024-08-05 21:21:10', NULL, NULL), (250034, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 12, '2024-08-05 21:21:11', NULL, NULL), (250035, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 13, '2024-08-05 21:21:12', NULL, NULL), (250036, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 14, '2024-08-05 21:21:13', NULL, NULL), (250037, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 15, '2024-08-05 21:21:14', NULL, NULL), (250038, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 16, '2024-08-05 21:21:15', NULL, NULL), (250039, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 17, '2024-08-05 21:21:16', NULL, NULL), (250040, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 18, '2024-08-05 21:21:17', NULL, NULL), (250041, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 19, '2024-08-05 21:21:21', NULL, NULL), (250042, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 20, '2024-08-05 21:21:24', NULL, NULL), (250043, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 21, '2024-08-05 21:21:28', NULL, NULL), (250044, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 22, '2024-08-05 21:21:31', NULL, NULL), (250045, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 23, '2024-08-05 21:21:31', NULL, NULL), (250046, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 24, '2024-08-05 21:21:32', NULL, NULL), (250047, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 25, '2024-08-05 21:21:33', NULL, NULL), (250048, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 26, '2024-08-05 21:21:34', NULL, NULL), (250049, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 27, '2024-08-05 21:21:35', NULL, NULL), (250050, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 28, '2024-08-05 21:21:35', NULL, NULL), (250051, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 29, '2024-08-05 21:21:36', NULL, NULL), (250052, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 6, 30, '2024-08-05 21:21:37', NULL, NULL), (250053, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 1, '2024-08-05 21:21:38', NULL, NULL), (250054, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 2, '2024-08-05 21:21:39', NULL, NULL), (250055, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 3, '2024-08-05 21:21:39', NULL, NULL), (250056, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 4, '2024-08-05 21:21:40', NULL, NULL), (250057, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 5, '2024-08-05 21:21:41', NULL, NULL), (250058, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 6, '2024-08-05 21:21:42', NULL, NULL), (250059, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 7, '2024-08-05 21:21:43', NULL, NULL), (250060, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 8, '2024-08-05 21:21:44', NULL, NULL), (250061, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 9, '2024-08-05 21:21:44', NULL, NULL), (250062, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 10, '2024-08-05 21:21:45', NULL, NULL), (250063, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 11, '2024-08-05 21:21:46', NULL, NULL), (250064, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 12, '2024-08-05 21:21:47', NULL, NULL), (250065, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 13, '2024-08-05 21:21:48', NULL, NULL), (250066, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 14, '2024-08-05 21:21:49', NULL, NULL), (250067, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 15, '2024-08-05 21:21:50', NULL, NULL), (250068, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 16, '2024-08-05 21:21:51', NULL, NULL), (250069, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 17, '2024-08-05 21:21:52', NULL, NULL), (250070, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 18, '2024-08-05 21:21:53', NULL, NULL), (250071, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 19, '2024-08-05 21:21:54', NULL, NULL), (250072, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 20, '2024-08-05 21:21:55', NULL, NULL), (250073, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 21, '2024-08-05 21:21:56', NULL, NULL), (250074, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 22, '2024-08-05 21:21:58', NULL, NULL), (250075, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 23, '2024-08-05 21:21:59', NULL, NULL), (250076, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 24, '2024-08-05 21:22:00', NULL, NULL), (250077, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 25, '2024-08-05 21:22:02', NULL, NULL), (250078, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 26, '2024-08-05 21:22:03', NULL, NULL), (250079, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 27, '2024-08-05 21:22:05', NULL, NULL), (250080, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 28, '2024-08-05 21:22:06', NULL, NULL), (250081, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 29, '2024-08-05 21:22:07', NULL, NULL), (250082, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 30, '2024-08-05 21:22:09', NULL, NULL), (250083, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 7, 31, '2024-08-05 21:22:10', NULL, NULL), (250084, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 1, '2024-08-05 21:22:11', NULL, NULL), (250085, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 2, '2024-08-05 21:22:13', NULL, NULL), (250086, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 3, '2024-08-05 21:22:14', NULL, NULL), (250087, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 4, '2024-08-05 21:22:15', NULL, NULL), (250088, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 5, '2024-08-05 21:22:17', NULL, NULL), (250089, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 6, '2024-08-05 21:22:18', NULL, NULL), (250090, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 7, '2024-08-05 21:22:19', NULL, NULL), (250091, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 8, '2024-08-05 21:22:21', NULL, NULL), (250092, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 9, '2024-08-05 21:22:22', NULL, NULL), (250093, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 10, '2024-08-05 21:22:23', NULL, NULL), (250094, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 11, '2024-08-05 21:22:25', NULL, NULL), (250095, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 12, '2024-08-05 21:22:26', NULL, NULL), (250096, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 13, '2024-08-05 21:22:28', NULL, NULL), (250097, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 14, '2024-08-05 21:22:29', NULL, NULL), (250098, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 15, '2024-08-05 21:22:30', NULL, NULL), (250099, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 16, '2024-08-05 21:22:32', NULL, NULL), (250100, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 17, '2024-08-05 21:22:33', NULL, NULL), (250101, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 18, '2024-08-05 21:22:34', NULL, NULL), (250102, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 19, '2024-08-05 21:22:36', NULL, NULL), (250103, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 20, '2024-08-05 21:22:37', NULL, NULL), (250104, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 21, '2024-08-05 21:22:38', NULL, NULL), (250105, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 22, '2024-08-05 21:22:40', NULL, NULL), (250106, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 23, '2024-08-05 21:22:41', NULL, NULL), (250107, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 24, '2024-08-05 21:22:42', NULL, NULL), (250108, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 25, '2024-08-05 21:22:44', NULL, NULL), (250109, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 26, '2024-08-05 21:22:45', NULL, NULL), (250110, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 27, '2024-08-05 21:22:46', NULL, NULL), (250111, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 28, '2024-08-05 21:22:48', NULL, NULL), (250112, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 29, '2024-08-05 21:22:49', NULL, NULL), (250113, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 30, '2024-08-05 21:22:51', NULL, NULL), (250114, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 8, 31, '2024-08-05 21:22:52', NULL, NULL), (250115, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 1, '2024-08-05 21:22:53', NULL, NULL), (250116, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 2, '2024-08-05 21:22:54', NULL, NULL), (250117, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 3, '2024-08-05 21:22:54', NULL, NULL), (250118, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 4, '2024-08-05 21:22:55', NULL, NULL), (250119, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 5, '2024-08-05 21:22:56', NULL, NULL), (250120, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 6, '2024-08-05 21:22:57', NULL, NULL), (250121, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 7, '2024-08-05 21:22:57', NULL, NULL), (250122, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 8, '2024-08-05 21:22:58', NULL, NULL), (250123, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 9, '2024-08-05 21:22:59', NULL, NULL), (250124, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 10, '2024-08-05 21:23:00', NULL, NULL), (250125, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 11, '2024-08-05 21:23:01', NULL, NULL), (250126, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 12, '2024-08-05 21:23:01', NULL, NULL), (250127, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 13, '2024-08-05 21:23:02', NULL, NULL), (250128, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 14, '2024-08-05 21:23:03', NULL, NULL), (250129, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 15, '2024-08-05 21:23:04', NULL, NULL), (250130, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 16, '2024-08-05 21:23:05', NULL, NULL), (250131, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 17, '2024-08-05 21:23:05', NULL, NULL), (250132, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 18, '2024-08-05 21:23:06', NULL, NULL), (250133, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 19, '2024-08-05 21:23:07', NULL, NULL), (250134, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 20, '2024-08-05 21:23:08', NULL, NULL), (250135, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 21, '2024-08-05 21:23:09', NULL, NULL), (250136, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 22, '2024-08-05 21:23:10', NULL, NULL), (250137, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 23, '2024-08-05 21:23:10', NULL, NULL), (250138, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 24, '2024-08-05 21:23:11', NULL, NULL), (250139, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 25, '2024-08-05 21:23:12', NULL, NULL), (250140, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 26, '2024-08-05 21:23:13', NULL, NULL), (250141, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 27, '2024-08-05 21:23:14', NULL, NULL), (250142, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 28, '2024-08-05 21:23:15', NULL, NULL), (250143, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 29, '2024-08-05 21:23:16', NULL, NULL), (250144, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 9, 30, '2024-08-05 21:23:18', NULL, NULL), (250145, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 1, '2024-08-05 21:23:19', NULL, NULL), (250146, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 2, '2024-08-05 21:23:20', NULL, NULL), (250147, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 3, '2024-08-05 21:23:22', NULL, NULL), (250148, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 4, '2024-08-05 21:23:23', NULL, NULL), (250149, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 5, '2024-08-05 21:23:24', NULL, NULL), (250150, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 6, '2024-08-05 21:23:26', NULL, NULL), (250151, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 7, '2024-08-05 21:23:27', NULL, NULL), (250152, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 8, '2024-08-05 21:23:28', NULL, NULL), (250153, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 9, '2024-08-05 21:23:30', NULL, NULL), (250154, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 10, '2024-08-05 21:23:31', NULL, NULL), (250155, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 11, '2024-08-05 21:23:32', NULL, NULL), (250156, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 12, '2024-08-05 21:23:34', NULL, NULL), (250157, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 13, '2024-08-05 21:23:35', NULL, NULL), (250158, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 14, '2024-08-05 21:23:36', NULL, NULL), (250159, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 15, '2024-08-05 21:23:38', NULL, NULL), (250160, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 16, '2024-08-05 21:23:39', NULL, NULL), (250161, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 17, '2024-08-05 21:23:41', NULL, NULL), (250162, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 18, '2024-08-05 21:23:42', NULL, NULL), (250163, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 19, '2024-08-05 21:23:43', NULL, NULL), (250164, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 20, '2024-08-05 21:23:45', NULL, NULL), (250165, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 21, '2024-08-05 21:23:46', NULL, NULL), (250166, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 22, '2024-08-05 21:23:47', NULL, NULL), (250167, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 23, '2024-08-05 21:23:49', NULL, NULL), (250168, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 24, '2024-08-05 21:23:50', NULL, NULL), (250169, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 25, '2024-08-05 21:23:51', NULL, NULL), (250170, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 26, '2024-08-05 21:23:53', NULL, NULL), (250171, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 27, '2024-08-05 21:23:54', NULL, NULL), (250172, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 28, '2024-08-05 21:23:56', NULL, NULL), (250173, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 29, '2024-08-05 21:23:57', NULL, NULL), (250174, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 30, '2024-08-05 21:23:58', NULL, NULL), (250175, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 10, 31, '2024-08-05 21:24:00', NULL, NULL), (250176, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 1, '2024-08-05 21:24:01', NULL, NULL), (250177, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 2, '2024-08-05 21:24:02', NULL, NULL), (250178, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 3, '2024-08-05 21:24:04', NULL, NULL), (250179, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 4, '2024-08-05 21:24:05', NULL, NULL), (250180, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 5, '2024-08-05 21:24:07', NULL, NULL), (250181, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 6, '2024-08-05 21:24:08', NULL, NULL), (250182, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 7, '2024-08-05 21:24:09', NULL, NULL), (250183, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 8, '2024-08-05 21:24:11', NULL, NULL), (250184, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 9, '2024-08-05 21:24:12', NULL, NULL), (250185, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 10, '2024-08-05 21:24:14', NULL, NULL), (250186, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 11, '2024-08-05 21:24:15', NULL, NULL), (250187, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 12, '2024-08-05 21:24:16', NULL, NULL), (250188, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 13, '2024-08-05 21:24:18', NULL, NULL), (250189, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 14, '2024-08-05 21:24:19', NULL, NULL), (250190, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 15, '2024-08-05 21:24:20', NULL, NULL), (250191, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 16, '2024-08-05 21:24:22', NULL, NULL), (250192, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 17, '2024-08-05 21:24:23', NULL, NULL), (250193, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 18, '2024-08-05 21:24:24', NULL, NULL), (250194, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 19, '2024-08-05 21:24:26', NULL, NULL), (250195, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 20, '2024-08-05 21:24:27', NULL, NULL), (250196, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 21, '2024-08-05 21:24:28', NULL, NULL), (250197, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 22, '2024-08-05 21:24:29', NULL, NULL), (250198, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 23, '2024-08-05 21:24:30', NULL, NULL), (250199, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 24, '2024-08-05 21:24:31', NULL, NULL), (250200, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 25, '2024-08-05 21:24:32', NULL, NULL), (250201, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 26, '2024-08-05 21:24:32', NULL, NULL), (250202, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 27, '2024-08-05 21:24:33', NULL, NULL), (250203, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 28, '2024-08-05 21:24:34', NULL, NULL), (250204, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 29, '2024-08-05 21:24:35', NULL, NULL), (250205, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 11, 30, '2024-08-05 21:24:35', NULL, NULL), (250206, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 1, '2024-08-05 21:24:36', NULL, NULL), (250207, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 2, '2024-08-05 21:24:37', NULL, NULL), (250208, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 3, '2024-08-05 21:24:38', NULL, NULL), (250209, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 4, '2024-08-05 21:24:38', NULL, NULL), (250210, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 5, '2024-08-05 21:24:39', NULL, NULL), (250211, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 6, '2024-08-05 21:24:40', NULL, NULL), (250212, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 7, '2024-08-05 21:24:41', NULL, NULL), (250213, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 8, '2024-08-05 21:24:42', NULL, NULL), (250214, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 9, '2024-08-05 21:24:43', NULL, NULL), (250215, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 10, '2024-08-05 21:24:43', NULL, NULL), (250216, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 11, '2024-08-05 21:24:44', NULL, NULL), (250217, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 12, '2024-08-05 21:24:45', NULL, NULL), (250218, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 13, '2024-08-05 21:24:46', NULL, NULL), (250219, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 14, '2024-08-05 21:24:47', NULL, NULL), (250220, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 15, '2024-08-05 21:24:48', NULL, NULL), (250221, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 16, '2024-08-05 21:24:48', NULL, NULL), (250222, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 17, '2024-08-05 21:24:49', NULL, NULL), (250223, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 18, '2024-08-05 21:24:50', NULL, NULL), (250224, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 19, '2024-08-05 21:24:51', NULL, NULL), (250225, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 20, '2024-08-05 21:24:53', NULL, NULL), (250226, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 21, '2024-08-05 21:24:54', NULL, NULL), (250227, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 22, '2024-08-05 21:24:55', NULL, NULL), (250228, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 23, '2024-08-05 21:24:58', NULL, NULL), (250229, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 24, '2024-08-05 21:25:02', NULL, NULL), (250230, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 25, '2024-08-05 21:25:05', NULL, NULL), (250231, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 26, '2024-08-05 21:25:06', NULL, NULL), (250232, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 27, '2024-08-05 21:25:06', NULL, NULL), (250233, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 28, '2024-08-05 21:25:07', NULL, NULL), (250234, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 29, '2024-08-05 21:25:08', NULL, NULL), (250235, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 30, '2024-08-05 21:25:09', NULL, NULL), (250236, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2023, 12, 31, '2024-08-05 21:25:09', NULL, NULL), (250237, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 1, '2024-08-05 21:25:10', NULL, NULL), (250238, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 2, '2024-08-05 21:25:11', NULL, NULL), (250239, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 3, '2024-08-05 21:25:12', NULL, NULL), (250240, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 4, '2024-08-05 21:25:13', NULL, NULL), (250241, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 5, '2024-08-05 21:25:13', NULL, NULL), (250242, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 6, '2024-08-05 21:25:14', NULL, NULL), (250243, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 7, '2024-08-05 21:25:15', NULL, NULL), (250244, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 8, '2024-08-05 21:25:16', NULL, NULL), (250245, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 9, '2024-08-05 21:25:17', NULL, NULL), (250246, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 10, '2024-08-05 21:25:18', NULL, NULL), (250247, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 11, '2024-08-05 21:25:19', NULL, NULL), (250248, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 12, '2024-08-05 21:25:19', NULL, NULL), (250249, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 13, '2024-08-05 21:25:20', NULL, NULL), (250250, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 14, '2024-08-05 21:25:21', NULL, NULL), (250251, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 15, '2024-08-05 21:25:22', NULL, NULL), (250252, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 16, '2024-08-05 21:25:23', NULL, NULL), (250253, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 17, '2024-08-05 21:25:24', NULL, NULL), (250254, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 18, '2024-08-05 21:25:25', NULL, NULL), (250255, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 19, '2024-08-05 21:25:26', NULL, NULL), (250256, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 20, '2024-08-05 21:25:27', NULL, NULL), (250257, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 21, '2024-08-05 21:25:28', NULL, NULL), (250258, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 22, '2024-08-05 21:25:29', NULL, NULL), (250259, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 23, '2024-08-05 21:25:30', NULL, NULL), (250260, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 24, '2024-08-05 21:25:34', NULL, NULL), (250261, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 25, '2024-08-05 21:25:37', NULL, NULL), (250262, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 26, '2024-08-05 21:25:41', NULL, NULL), (250263, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 27, '2024-08-05 21:25:43', NULL, NULL), (250264, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 28, '2024-08-05 21:25:44', NULL, NULL), (250265, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 29, '2024-08-05 21:25:45', NULL, NULL), (250266, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 30, '2024-08-05 21:25:45', NULL, NULL), (250267, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 1, 31, '2024-08-05 21:25:46', NULL, NULL), (250268, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 1, '2024-08-05 21:25:47', NULL, NULL), (250269, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 2, '2024-08-05 21:25:48', NULL, NULL), (250270, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 3, '2024-08-05 21:25:48', NULL, NULL), (250271, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 4, '2024-08-05 21:25:49', NULL, NULL), (250272, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 5, '2024-08-05 21:25:50', NULL, NULL), (250273, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 6, '2024-08-05 21:25:51', NULL, NULL), (250274, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 7, '2024-08-05 21:25:52', NULL, NULL), (250275, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 8, '2024-08-05 21:25:53', NULL, NULL), (250276, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 9, '2024-08-05 21:25:53', NULL, NULL), (250277, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 10, '2024-08-05 21:25:54', NULL, NULL), (250278, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 11, '2024-08-05 21:25:55', NULL, NULL), (250279, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 12, '2024-08-05 21:25:56', NULL, NULL), (250280, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 13, '2024-08-05 21:25:57', NULL, NULL), (250281, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 14, '2024-08-05 21:25:58', NULL, NULL), (250282, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 15, '2024-08-05 21:25:59', NULL, NULL), (250283, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 16, '2024-08-05 21:25:59', NULL, NULL), (250284, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 17, '2024-08-05 21:26:00', NULL, NULL), (250285, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 18, '2024-08-05 21:26:01', NULL, NULL), (250286, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 19, '2024-08-05 21:26:02', NULL, NULL), (250287, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 20, '2024-08-05 21:26:03', NULL, NULL), (250288, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 21, '2024-08-05 21:26:04', NULL, NULL), (250289, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 22, '2024-08-05 21:26:05', NULL, NULL), (250290, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 23, '2024-08-05 21:26:06', NULL, NULL), (250291, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 24, '2024-08-05 21:26:07', NULL, NULL), (250292, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 25, '2024-08-05 21:26:09', NULL, NULL), (250293, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 26, '2024-08-05 21:26:10', NULL, NULL), (250294, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 27, '2024-08-05 21:26:11', NULL, NULL), (250295, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 28, '2024-08-05 21:26:13', NULL, NULL), (250296, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 2, 29, '2024-08-05 21:26:14', NULL, NULL), (250297, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 1, '2024-08-05 21:26:15', NULL, NULL), (250298, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 2, '2024-08-05 21:26:17', NULL, NULL), (250299, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 3, '2024-08-05 21:26:18', NULL, NULL), (250300, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 4, '2024-08-05 21:26:20', NULL, NULL), (250301, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 5, '2024-08-05 21:26:21', NULL, NULL), (250302, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 6, '2024-08-05 21:26:22', NULL, NULL), (250303, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 7, '2024-08-05 21:26:24', NULL, NULL), (250304, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 8, '2024-08-05 21:26:25', NULL, NULL), (250305, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 9, '2024-08-05 21:26:26', NULL, NULL), (250306, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 10, '2024-08-05 21:26:28', NULL, NULL), (250307, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 11, '2024-08-05 21:26:29', NULL, NULL), (250308, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 12, '2024-08-05 21:26:30', NULL, NULL), (250309, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 13, '2024-08-05 21:26:32', NULL, NULL), (250310, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 14, '2024-08-05 21:26:33', NULL, NULL), (250311, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 15, '2024-08-05 21:26:35', NULL, NULL), (250312, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 16, '2024-08-05 21:26:36', NULL, NULL), (250313, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 17, '2024-08-05 21:26:37', NULL, NULL), (250314, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 18, '2024-08-05 21:26:39', NULL, NULL), (250315, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 19, '2024-08-05 21:26:40', NULL, NULL), (250316, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 20, '2024-08-05 21:26:41', NULL, NULL), (250317, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 21, '2024-08-05 21:26:43', NULL, NULL), (250318, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 22, '2024-08-05 21:26:44', NULL, NULL), (250319, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 23, '2024-08-05 21:26:45', NULL, NULL), (250320, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 24, '2024-08-05 21:26:47', NULL, NULL), (250321, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 25, '2024-08-05 21:26:48', NULL, NULL), (250322, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 26, '2024-08-05 21:26:50', NULL, NULL), (250323, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 27, '2024-08-05 21:26:51', NULL, NULL), (250324, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 28, '2024-08-05 21:26:52', NULL, NULL), (250325, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 29, '2024-08-05 21:26:52', NULL, NULL), (250326, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 30, '2024-08-05 21:26:53', NULL, NULL), (250327, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 3, 31, '2024-08-05 21:26:54', NULL, NULL), (250328, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 1, '2024-08-05 21:26:55', NULL, NULL), (250329, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 2, '2024-08-05 21:26:55', NULL, NULL), (250330, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 3, '2024-08-05 21:26:56', NULL, NULL), (250331, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 4, '2024-08-05 21:26:57', NULL, NULL), (250332, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 5, '2024-08-05 21:26:58', NULL, NULL), (250333, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 6, '2024-08-05 21:26:59', NULL, NULL), (250334, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 7, '2024-08-05 21:26:59', NULL, NULL), (250335, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 8, '2024-08-05 21:27:00', NULL, NULL), (250336, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 9, '2024-08-05 21:27:01', NULL, NULL), (250337, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 10, '2024-08-05 21:27:02', NULL, NULL), (250338, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 11, '2024-08-05 21:27:03', NULL, NULL), (250339, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 12, '2024-08-05 21:27:04', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (250340, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 13, '2024-08-05 21:27:04', NULL, NULL), (250341, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 14, '2024-08-05 21:27:05', NULL, NULL), (250342, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 15, '2024-08-05 21:27:06', NULL, NULL), (250343, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 16, '2024-08-05 21:27:07', NULL, NULL), (250344, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 17, '2024-08-05 21:27:08', NULL, NULL), (250345, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 18, '2024-08-05 21:27:09', NULL, NULL), (250346, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 19, '2024-08-05 21:27:09', NULL, NULL), (250347, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 20, '2024-08-05 21:27:10', NULL, NULL), (250348, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 21, '2024-08-05 21:27:11', NULL, NULL), (250349, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 22, '2024-08-05 21:27:12', NULL, NULL), (250350, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 23, '2024-08-05 21:27:13', NULL, NULL), (250351, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 24, '2024-08-05 21:27:14', NULL, NULL), (250352, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 25, '2024-08-05 21:27:16', NULL, NULL), (250353, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 26, '2024-08-05 21:27:17', NULL, NULL), (250354, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 27, '2024-08-05 21:27:18', NULL, NULL), (250355, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 28, '2024-08-05 21:27:20', NULL, NULL), (250356, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 29, '2024-08-05 21:27:21', NULL, NULL), (250357, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 4, 30, '2024-08-05 21:27:23', NULL, NULL), (250358, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 1, '2024-08-05 21:27:24', NULL, NULL), (250359, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 2, '2024-08-05 21:27:25', NULL, NULL), (250360, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 3, '2024-08-05 21:27:27', NULL, NULL), (250361, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 4, '2024-08-05 21:27:28', NULL, NULL), (250362, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 5, '2024-08-05 21:27:29', NULL, NULL), (250363, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 6, '2024-08-05 21:27:31', NULL, NULL), (250364, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 7, '2024-08-05 21:27:32', NULL, NULL), (250365, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 8, '2024-08-05 21:27:33', NULL, NULL), (250366, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 9, '2024-08-05 21:27:35', NULL, NULL), (250367, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 10, '2024-08-05 21:27:36', NULL, NULL), (250368, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 11, '2024-08-05 21:27:38', NULL, NULL), (250369, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 12, '2024-08-05 21:27:39', NULL, NULL), (250370, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 13, '2024-08-05 21:27:40', NULL, NULL), (250371, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 14, '2024-08-05 21:27:42', NULL, NULL), (250372, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 15, '2024-08-05 21:27:43', NULL, NULL), (250373, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 16, '2024-08-05 21:27:44', NULL, NULL), (250374, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 17, '2024-08-05 21:27:46', NULL, NULL), (250375, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 18, '2024-08-05 21:27:47', NULL, NULL), (250376, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 19, '2024-08-05 21:27:49', NULL, NULL), (250377, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 20, '2024-08-05 21:27:50', NULL, NULL), (250378, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 21, '2024-08-05 21:27:51', NULL, NULL), (250379, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 22, '2024-08-05 21:27:53', NULL, NULL), (250380, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 23, '2024-08-05 21:27:54', NULL, NULL), (250381, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 24, '2024-08-05 21:27:55', NULL, NULL), (250382, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 25, '2024-08-05 21:27:57', NULL, NULL), (250383, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 26, '2024-08-05 21:27:58', NULL, NULL), (250384, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 27, '2024-08-05 21:28:00', NULL, NULL), (250385, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 28, '2024-08-05 21:28:00', NULL, NULL), (250386, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 29, '2024-08-05 21:28:01', NULL, NULL), (250387, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 30, '2024-08-05 21:28:02', NULL, NULL), (250388, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 5, 31, '2024-08-05 21:28:03', NULL, NULL), (250389, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 1, '2024-08-05 21:28:03', NULL, NULL), (250390, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 2, '2024-08-05 21:28:04', NULL, NULL), (250391, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 3, '2024-08-05 21:28:05', NULL, NULL), (250392, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 4, '2024-08-05 21:28:06', NULL, NULL), (250393, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 5, '2024-08-05 21:28:07', NULL, NULL), (250394, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 6, '2024-08-05 21:28:07', NULL, NULL), (250395, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 7, '2024-08-05 21:28:08', NULL, NULL), (250396, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 8, '2024-08-05 21:28:09', NULL, NULL), (250397, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 9, '2024-08-05 21:28:10', NULL, NULL), (250398, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 10, '2024-08-05 21:28:11', NULL, NULL), (250399, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 11, '2024-08-05 21:28:11', NULL, NULL), (250400, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 12, '2024-08-05 21:28:12', NULL, NULL), (250401, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 13, '2024-08-05 21:28:13', NULL, NULL), (250402, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 14, '2024-08-05 21:28:14', NULL, NULL), (250403, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 15, '2024-08-05 21:28:15', NULL, NULL), (250404, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 16, '2024-08-05 21:28:16', NULL, NULL), (250405, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 17, '2024-08-05 21:28:16', NULL, NULL), (250406, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 18, '2024-08-05 21:28:17', NULL, NULL), (250407, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 19, '2024-08-05 21:28:18', NULL, NULL), (250408, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 20, '2024-08-05 21:28:19', NULL, NULL), (250409, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 21, '2024-08-05 21:28:20', NULL, NULL), (250410, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 22, '2024-08-05 21:28:21', NULL, NULL), (250411, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 23, '2024-08-05 21:28:22', NULL, NULL), (250412, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 24, '2024-08-05 21:28:23', NULL, NULL), (250413, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 25, '2024-08-05 21:28:24', NULL, NULL), (250414, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 26, '2024-08-05 21:28:26', NULL, NULL), (250415, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 27, '2024-08-05 21:28:27', NULL, NULL), (250416, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 28, '2024-08-05 21:28:28', NULL, NULL), (250417, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 29, '2024-08-05 21:28:30', NULL, NULL), (250418, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 6, 30, '2024-08-05 21:28:31', NULL, NULL), (250419, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 1, '2024-08-05 21:28:32', NULL, NULL), (250420, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 2, '2024-08-05 21:28:34', NULL, NULL), (250421, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 3, '2024-08-05 21:28:35', NULL, NULL), (250422, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 4, '2024-08-05 21:28:36', NULL, NULL), (250423, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 5, '2024-08-05 21:28:38', NULL, NULL), (250424, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 6, '2024-08-05 21:28:39', NULL, NULL), (250425, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 7, '2024-08-05 21:28:41', NULL, NULL), (250426, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 8, '2024-08-05 21:28:42', NULL, NULL), (250427, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 9, '2024-08-05 21:28:43', NULL, NULL), (250428, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 10, '2024-08-05 21:28:45', NULL, NULL), (250429, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 11, '2024-08-05 21:28:46', NULL, NULL), (250430, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 12, '2024-08-05 21:28:47', NULL, NULL), (250431, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 13, '2024-08-05 21:28:49', NULL, NULL), (250432, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 14, '2024-08-05 21:28:50', NULL, NULL), (250433, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 15, '2024-08-05 21:28:52', NULL, NULL), (250434, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 16, '2024-08-05 21:28:53', NULL, NULL), (250435, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 17, '2024-08-05 21:28:54', NULL, NULL), (250436, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 18, '2024-08-05 21:28:56', NULL, NULL), (250437, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 19, '2024-08-05 21:28:57', NULL, NULL), (250438, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 20, '2024-08-05 21:28:59', NULL, NULL), (250439, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 21, '2024-08-05 21:29:00', NULL, NULL), (250440, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 22, '2024-08-05 21:29:01', NULL, NULL), (250441, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 23, '2024-08-05 21:29:03', NULL, NULL), (250442, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 24, '2024-08-05 21:29:04', NULL, NULL), (250443, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 25, '2024-08-05 21:29:06', NULL, NULL), (250444, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 26, '2024-08-05 21:29:07', NULL, NULL), (250445, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 27, '2024-08-05 21:29:09', NULL, NULL), (250446, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 28, '2024-08-05 21:29:10', NULL, NULL), (250447, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 29, '2024-08-05 21:29:11', NULL, NULL), (250448, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 30, '2024-08-05 21:29:13', NULL, NULL), (250449, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 7, 31, '2024-08-05 21:29:14', NULL, NULL), (250450, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 1, '2024-08-05 21:29:16', 1, '2024-08-05 22:12:44'), (250451, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 2, '2024-08-05 21:29:17', 1, '2024-08-06 02:01:48'), (250452, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 3, '2024-08-05 21:29:18', 1, '2024-08-07 01:00:35'), (250453, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 4, '2024-08-05 21:29:20', 1, '2024-08-08 01:00:40'), (250454, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 5, '2024-08-05 21:29:21', 1, '2024-08-09 01:00:36'), (250781, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:08', 1, '2024-08-10 01:00:02'), (250782, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:08', 1, '2024-08-10 01:00:02'), (250783, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:09', 1, '2024-08-10 01:00:02'), (250784, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:09', 1, '2024-08-10 01:00:02'), (250785, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:09', 1, '2024-08-10 01:00:02'), (250786, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:16', 1, '2024-08-10 01:00:10'), (250787, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:16', 1, '2024-08-10 01:00:44'), (250788, 23, '511503003999-0001', '仙源街道办事处', '', '', '不动产服务大厅', '', 41, 3, 2024, 8, 5, '2024-08-06 01:36:15', 1, '2024-08-09 01:00:42'), (250789, 23, '511503003999-0001', '仙源街道办事处', '残疾证办理', '', '', '', 0, 1, 2024, 8, 5, '2024-08-06 01:36:15', 1, '2024-08-09 01:00:42'), (250790, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', '', 124, 1, 2024, 8, 5, '2024-08-06 01:36:15', 1, '2024-08-09 01:00:42'), (250791, 23, '511503003999-0001', '仙源街道办事处', '计划生育奖', '', '', '', 0, 1, 2024, 8, 5, '2024-08-06 01:36:15', 1, '2024-08-09 01:00:43'), (250792, 23, '511503003999-0001', '仙源街道办事处', '', '', '', 'A07', 124, 1, 2024, 8, 5, '2024-08-06 01:36:15', 1, '2024-08-09 01:00:43'), (250793, 23, '511503003999-0001', '仙源街道办事处', '城乡居民养老保险', '', '', 'A07', 124, 1, 2024, 8, 5, '2024-08-06 01:36:15', 1, '2024-08-09 01:00:43'), (250794, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:16', 1, '2024-08-10 01:00:10'), (250795, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2635, 17, 2024, 8, 6, '2024-08-06 01:36:17', 1, '2024-08-10 01:00:42'), (250796, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 299, 16, 2024, 8, 5, '2024-08-06 01:36:15', 1, '2024-08-09 01:00:43'), (250797, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 202, 5, 2024, 8, 5, '2024-08-06 01:36:15', 1, '2024-08-09 01:00:43'), (250798, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 343, 11, 2024, 8, 5, '2024-08-06 01:36:15', 1, '2024-08-09 01:00:43'), (250799, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 358, 1, 2024, 8, 5, '2024-08-06 01:36:15', 1, '2024-08-09 01:00:44'), (250800, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 218, 3, 2024, 8, 5, '2024-08-06 01:36:15', 1, '2024-08-09 01:00:44'), (250801, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 377, 10, 2024, 8, 5, '2024-08-06 01:36:15', 1, '2024-08-09 01:00:44'), (250802, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 377, 10, 2024, 8, 5, '2024-08-06 01:36:16', 1, '2024-08-09 01:00:44'), (250803, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 218, 3, 2024, 8, 5, '2024-08-06 01:36:15', 1, '2024-08-09 01:00:44'), (250804, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 358, 1, 2024, 8, 5, '2024-08-06 01:36:15', 1, '2024-08-09 01:00:44'), (250805, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:18', 1, '2024-08-10 01:00:10'), (250806, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:24', 1, '2024-08-10 01:00:18'), (250807, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:24', 1, '2024-08-10 01:00:14'), (250808, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:25', 1, '2024-08-10 01:00:19'), (250809, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:25', 1, '2024-08-10 01:00:18'), (250810, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:31', 1, '2024-08-10 01:00:18'), (250811, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:32', 1, '2024-08-10 01:00:10'), (250812, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:32', 1, '2024-08-10 01:00:26'), (250813, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:33', 1, '2024-08-10 01:00:25'), (250814, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 621, 11, 2024, 8, 6, '2024-08-06 01:36:34', 1, '2024-08-10 01:00:44'), (250815, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 56, 4, 2024, 8, 5, '2024-08-06 01:36:24', 1, '2024-08-09 01:00:43'), (250816, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 41, 1, 2024, 8, 5, '2024-08-06 01:36:24', 1, '2024-08-09 01:00:43'), (250817, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 67, 1, 2024, 8, 5, '2024-08-06 01:36:24', 1, '2024-08-09 01:00:43'), (250818, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 7, 1, 2024, 8, 5, '2024-08-06 01:36:24', 1, '2024-08-09 01:00:43'), (250819, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 109, 1, 2024, 8, 5, '2024-08-06 01:36:24', 1, '2024-08-09 01:00:43'), (250820, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 67, 1, 2024, 8, 5, '2024-08-06 01:36:24', 1, '2024-08-09 01:00:43'), (250821, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 75, 2, 2024, 8, 5, '2024-08-06 01:36:24', 1, '2024-08-09 01:00:43'), (250822, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 7, 1, 2024, 8, 5, '2024-08-06 01:36:24', 1, '2024-08-09 01:00:43'), (250823, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 7, 1, 2024, 8, 5, '2024-08-06 01:36:26', 1, '2024-08-09 01:00:44'), (250824, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 41, 1, 2024, 8, 5, '2024-08-06 01:36:26', 1, '2024-08-09 01:00:44'), (250825, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 67, 1, 2024, 8, 5, '2024-08-06 01:36:32', 1, '2024-08-09 01:00:44'), (250826, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 109, 1, 2024, 8, 5, '2024-08-06 01:36:24', 1, '2024-08-09 01:00:43'), (250827, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:38', 1, '2024-08-10 01:00:28'), (250828, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:39', 1, '2024-08-10 01:00:21'), (250829, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:40', 1, '2024-08-10 01:00:33'), (250830, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:41', 1, '2024-08-10 01:00:27'), (250831, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:41', 1, '2024-08-10 01:00:29'), (250832, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:47', 1, '2024-08-10 01:00:35'), (250833, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:47', 1, '2024-08-10 01:00:38'), (250834, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:48', 1, '2024-08-10 01:00:34'), (250835, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 6, '2024-08-06 01:36:49', 1, '2024-08-10 01:00:36'), (250836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 568, 850, 2024, 8, 6, '2024-08-06 01:36:59', 1, '2024-08-10 01:00:02'), (250837, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '', 259, 1122, 2024, 8, 6, '2024-08-06 01:37:03', 1, '2024-08-10 01:00:02'), (250838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 286, 2, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:08'), (250839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 866, 449, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:08'), (250840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 854, 90, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:09'), (250841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 856, 8, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:08'), (250842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 903, 71, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:08'), (250843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 797, 12, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:08'), (250844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 730, 85, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:09'), (250845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 769, 64, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:03'), (250846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 1009, 179, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:08'), (250847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 3292, 6, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:08'), (250848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 752, 61, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:09'), (250849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 645, 99, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:09'), (250850, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 1491, 5, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:12'), (250851, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 112, 21, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:12'), (250852, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 6, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:12'), (250853, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 95, 170, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:12'), (250854, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 90, 3, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:12'), (250855, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 10, 2, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:11'), (250856, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 10, 1, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:11'), (250857, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1002, 85, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:11'), (250858, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 565, 28, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:12'), (250859, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 16718, 1, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:11'), (250860, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 318, 11, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:11'), (250861, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 803, 28, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:11'), (250862, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 1384, 6, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:11'), (250863, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 1303, 85, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:11'), (250864, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 916, 29, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:11'), (250865, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1739, 80, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:11'), (250866, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 174, 8, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:10'), (250867, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 8, 1, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:10'), (250868, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 241, 7, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:11'), (250869, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 282, 33, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:11'), (250870, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 207, 1, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:10'), (250871, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1115, 6, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:09'), (250872, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 24834, 1, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:09'), (250873, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 140, 8, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:09'), (250874, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 95, 37, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:09'), (250875, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 247, 64, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:09'), (250876, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1734, 211, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:09'), (250877, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 76, 4, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:09'), (250878, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 275, 13, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:09'), (250879, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 638, 4, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:10'), (250880, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 401, 19, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:10'), (250881, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 498, 33, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:10'), (250882, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 690, 86, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:10'), (250883, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 20, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:10'), (250884, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 538, 15, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:10'), (250885, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 11, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:10'), (250886, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 302, 1, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:10'), (250887, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:10'), (250888, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 2219, 2, 2024, 8, 5, '2024-08-06 01:36:55', 1, '2024-08-09 01:00:10'), (250889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 275, 13, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:16'), (250890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 498, 33, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:16'), (250891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 92, 33, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:16'), (250892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A01', 601, 4, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:16'), (250893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 1147, 23, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:16'), (250894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 121, 18, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:16'), (250895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 1007, 28, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:16'), (250896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 89, 37, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:16'), (250897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 235, 17, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:15'), (250898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 1937, 29, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:15'), (250899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 52, 26, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:15'), (250900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1934, 27, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:15'), (250901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C01', 42, 2, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:15'), (250902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1792, 28, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:16'), (250903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 803, 32, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:16'), (250904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1471, 25, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:16'), (250905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 298, 28, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:15'), (250906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 664, 13, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:15'), (250907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C08', 1780, 4, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:15'), (250908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 273, 24, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:15'), (250909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 697, 33, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:15'), (250910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 122, 32, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:15'), (250911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 95, 37, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:15'), (250912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 103, 22, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:15'), (250913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1339, 36, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:14'), (250914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 256, 24, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:14'), (250915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1635, 71, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:14'), (250916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 136, 2, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:14'), (250917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 625, 17, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:14'), (250918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 524, 19, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:14'), (250919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 140, 8, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:14'), (250920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 174, 8, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:14'), (250921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 4439, 1, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:14'), (250922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 1384, 6, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:14'), (250923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 241, 7, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:13'), (250924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 76, 4, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:13'), (250925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 538, 15, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:13'), (250926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 638, 4, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:13'), (250927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1117, 34, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:13'), (250928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 565, 28, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:13'), (250929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 477, 18, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:14'), (250930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 1205, 32, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:14'), (250931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 1615, 66, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:14'), (250932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1115, 6, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:13'), (250933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 1082, 9, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:13'), (250934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 11, 6, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:12'), (250935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 24834, 1, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:12'), (250936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 8, 1, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:13'), (250937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 3, 3, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:13'), (250938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 6, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:13'), (250939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 4, 4, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:12'), (250940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 2565, 37, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:12'), (250941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 10, 1, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:12'), (250942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 833, 27, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:12'), (250943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 916, 29, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:12'), (250944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 302, 1, 2024, 8, 5, '2024-08-06 01:36:56', 1, '2024-08-09 01:00:13'), (250945, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 507, 4, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:19'), (250946, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 136, 2, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:19'), (250947, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 565, 28, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:24'), (250948, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1117, 34, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:18'), (250949, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 570, 4, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:18'), (250950, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 3, 3, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:18'), (250951, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 477, 18, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:18'), (250952, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 11, 4, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:18'), (250953, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 1205, 32, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:18'), (250954, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 4, 4, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:18'), (250955, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 6, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:18'), (250956, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 498, 33, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:18'), (250957, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 401, 19, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:17'), (250958, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 241, 7, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:17'), (250959, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 211, 7, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:18'), (250960, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 13, 2, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:18'), (250961, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 4439, 1, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:18'), (250962, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 538, 15, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:18'), (250963, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 174, 8, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:19'), (250964, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 140, 8, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:19'), (250965, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C08', 1780, 4, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:19'), (250966, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 697, 33, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:23'), (250967, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 664, 13, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:24'), (250968, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1115, 6, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:24'), (250969, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 833, 27, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:19'), (250970, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 524, 19, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:19'), (250971, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 24834, 1, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:19'), (250972, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 310, 15, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:19'), (250973, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 67, 8, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:17'), (250974, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 8, 1, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:18'), (250975, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 243, 7, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:24'), (250976, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 229, 13, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:17'), (250977, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 275, 13, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:17'), (250978, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 283, 21, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:17'), (250979, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 10, 2, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:17'), (250980, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 625, 17, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:17'), (250981, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1471, 25, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:16'), (250982, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 302, 1, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:17'), (250983, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 1007, 28, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:17'), (250984, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1934, 27, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:17'), (250985, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 1937, 29, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:17'), (250986, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1792, 28, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:17'), (250987, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 1147, 23, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:16'), (250988, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 1491, 5, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:19'), (250989, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 10, 1, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:19'), (250990, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 2565, 37, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:19'), (250991, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 16718, 1, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:19'), (250992, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 103, 22, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:18'), (250993, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 916, 29, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:24'), (250994, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 305, 10, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:24'), (250995, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 122, 32, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:25'), (250996, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 217, 13, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:17'), (250997, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 76, 4, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:20'), (250998, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 207, 1, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:20'), (250999, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 1384, 6, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:20'), (251000, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C01', 42, 2, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:20'), (251001, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 1615, 66, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:21'), (251002, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 254, 4, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:19'), (251003, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 89, 37, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:20'), (251004, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1635, 71, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:20'), (251005, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1339, 36, 2024, 8, 5, '2024-08-06 01:36:57', 1, '2024-08-09 01:00:20'), (251006, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 52, 26, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:20'), (251007, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A01', 601, 4, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:20'), (251008, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 95, 37, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:20'), (251009, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 92, 33, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:20'), (251010, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 638, 4, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:20'), (251011, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 121, 18, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:20'), (251012, 1, '511500000000-0001', '智慧政务服务系统', '', '', '公安综合服务大厅', '', 367, 581, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:03'), (251013, 1, '511500000000-0001', '智慧政务服务系统', '', '', '企业服务综合大厅', '', 271, 108, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:03'), (251014, 1, '511500000000-0001', '智慧政务服务系统', '', '', '公积金服务大厅', '', 1494, 112, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:03'), (251015, 1, '511500000000-0001', '智慧政务服务系统', '', '', '出入境服务大厅', '', 86, 119, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:03'), (251016, 1, '511500000000-0001', '智慧政务服务系统', '', '', '人社保障大厅', '', 237, 251, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:03'), (251017, 1, '511500000000-0001', '智慧政务服务系统', '', '', '不动产服务大厅', '', 290, 80, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:03'), (251018, 1, '511500000000-0001', '智慧政务服务系统', '', '', '医疗保障服务大厅', '', 177, 123, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:03'), (251019, 1, '511500000000-0001', '智慧政务服务系统', '', '', '税务综合大厅', '', 73, 115, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:03'), (251020, 1, '511500000000-0001', '智慧政务服务系统', '取证业务', '', '', '', 0, 3, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:06'), (251021, 1, '511500000000-0001', '智慧政务服务系统', '退休政策咨询及其他相关事宜', '', '', '', 47, 16, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:06'), (251022, 1, '511500000000-0001', '智慧政务服务系统', '企业开办一件事、企业简易注销一件事', '', '', '', 260, 18, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:06'), (251023, 1, '511500000000-0001', '智慧政务服务系统', '失业保险待遇', '', '', '', 399, 23, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:06'), (251024, 1, '511500000000-0001', '智慧政务服务系统', '退休前数据确认', '', '', '', 68, 40, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:06'), (251025, 1, '511500000000-0001', '智慧政务服务系统', '不动产档案查询业务', '', '', '', 230, 17, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:06'), (251026, 1, '511500000000-0001', '智慧政务服务系统', '医保综合业务', '', '', '', 178, 121, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:06'), (251027, 1, '511500000000-0001', '智慧政务服务系统', '贷后业务', '', '', '', 1806, 3, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:06'), (251028, 1, '511500000000-0001', '智慧政务服务系统', '1992年4月前参工退休审核', '', '', '', 118, 2, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:06'), (251029, 1, '511500000000-0001', '智慧政务服务系统', '公积金提取', '', '', '', 1830, 82, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:06'), (251030, 1, '511500000000-0001', '智慧政务服务系统', '药品、药师、医疗器械业务', '', '', '', 141, 10, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:06'), (251031, 1, '511500000000-0001', '智慧政务服务系统', '就业创业服务', '', '', '', 18, 1, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:06'), (251032, 1, '511500000000-0001', '智慧政务服务系统', '跨省通办', '', '', '', 160, 1, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:06'), (251033, 1, '511500000000-0001', '智慧政务服务系统', 'Foreign Citizen（外国人业务）', '', '', '', 0, 1, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:05'), (251034, 1, '511500000000-0001', '智慧政务服务系统', '公积金贷款', '', '', '', 272, 5, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:05'), (251035, 1, '511500000000-0001', '智慧政务服务系统', '社会保障卡业务', '', '', '', 40, 20, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:05'), (251036, 1, '511500000000-0001', '智慧政务服务系统', '咨询业务', '', '', '', 628, 6, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:05'), (251037, 1, '511500000000-0001', '智慧政务服务系统', '特种设备、食品生产', '', '', '', 808, 2, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:05'), (251038, 1, '511500000000-0001', '智慧政务服务系统', '咨询引导', '', '', '', 183, 2, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:05'), (251039, 1, '511500000000-0001', '智慧政务服务系统', '治安、户政（补换领身份证等）', '', '', '', 850, 172, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:05'), (251040, 1, '511500000000-0001', '智慧政务服务系统', '办理工伤认定', '', '', '', 149, 11, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:06'), (251041, 1, '511500000000-0001', '智慧政务服务系统', '交通违法处理', '', '', '', 138, 313, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:05'), (251042, 1, '511500000000-0001', '智慧政务服务系统', '档案查询、迁移', '', '', '', 616, 4, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:05'), (251043, 1, '511500000000-0001', '智慧政务服务系统', '公积金归集', '', '', '', 557, 18, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:05'), (251044, 1, '511500000000-0001', '智慧政务服务系统', '公检法执行', '', '', '', 0, 1, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:04'), (251045, 1, '511500000000-0001', '智慧政务服务系统', '涉企业务', '', '', '', 173, 22, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:04'), (251046, 1, '511500000000-0001', '智慧政务服务系统', '税务综合业务', '', '', '', 73, 115, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:04'), (251047, 1, '511500000000-0001', '智慧政务服务系统', '多重养老保险关系个人账户退费', '', '', '', 710, 5, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:04'), (251048, 1, '511500000000-0001', '智慧政务服务系统', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 592, 18, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:04'), (251049, 1, '511500000000-0001', '智慧政务服务系统', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:04'), (251050, 1, '511500000000-0001', '智慧政务服务系统', '工伤待遇核定', '', '', '', 105, 4, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:03'), (251051, 1, '511500000000-0001', '智慧政务服务系统', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 16, 1, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:03'), (251052, 1, '511500000000-0001', '智慧政务服务系统', '市监证照领取', '', '', '', 5307, 2, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:03'), (251053, 1, '511500000000-0001', '智慧政务服务系统', '无差别综合受理（破产事务综合办理）', '', '', '', 82, 57, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:03'), (251054, 1, '511500000000-0001', '智慧政务服务系统', '社保综合业务', '', '', '', 176, 96, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:03'), (251055, 1, '511500000000-0001', '智慧政务服务系统', '办理特殊工种提前退休', '', '', '', 423, 9, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:04'), (251056, 1, '511500000000-0001', '智慧政务服务系统', '办理行政许可审批', '', '', '', 0, 1, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:04'), (251057, 1, '511500000000-0001', '智慧政务服务系统', '出国境业务办理', '', '', '', 89, 115, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:04'), (251058, 1, '511500000000-0001', '智慧政务服务系统', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 710, 6, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:05'), (251059, 1, '511500000000-0001', '智慧政务服务系统', '转移接续手续办理', '', '', '', 238, 1, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:04'), (251060, 1, '511500000000-0001', '智慧政务服务系统', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 241, 20, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:04'), (251061, 1, '511500000000-0001', '智慧政务服务系统', '车驾管业务（补换领驾驶证等）', '', '', '', 251, 96, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:04'), (251062, 1, '511500000000-0001', '智慧政务服务系统', '出件业务', '', '', '', 9, 9, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:04'), (251063, 1, '511500000000-0001', '智慧政务服务系统', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 3, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:04'), (251064, 1, '511500000000-0001', '智慧政务服务系统', '企业职工养老保险缴费记录维护', '', '', '', 946, 16, 2024, 8, 5, '2024-08-06 01:36:58', 1, '2024-08-09 01:00:05'), (251065, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E04', 453, 17, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251066, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2C06', 2564, 7, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251067, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2A08', 105, 29, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251068, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E03', 214, 7, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:10'), (251069, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2A07', 70, 28, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:16'), (251070, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2A06', 103, 29, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:16'), (251071, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E02', 40, 20, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:17'), (251072, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2C04', 1671, 23, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:17');
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (251073, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2C03', 2339, 12, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:17'), (251074, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E09', 202, 21, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251075, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E08', 170, 15, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251076, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E07', 135, 17, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:16'), (251077, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E06', 104, 14, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:16'), (251078, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2D29', 566, 3, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:17'), (251079, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2D28', 176, 1, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:17'), (251080, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2C07', 496, 17, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:18'), (251081, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E05', 253, 17, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:24'), (251082, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1D26', 15, 5, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251083, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1A07', 215, 26, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:11'), (251084, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E14', 3, 2, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:16'), (251085, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1A06', 84, 44, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:17'), (251086, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2D36', 501, 5, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:17'), (251087, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1D24', 110, 16, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:17'), (251088, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1A05', 118, 55, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:18'), (251089, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E12', 207, 2, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:24'), (251090, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1D23', 101, 9, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:24'), (251091, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2C14', 367, 1, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:24'), (251092, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E11', 149, 4, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251093, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2D34', 503, 3, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251094, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2C13', 1442, 17, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251095, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1A03', 144, 64, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251096, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E10', 186, 8, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251097, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2D33', 1065, 2, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251098, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2C12', 272, 5, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251099, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1D21', 50, 15, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251100, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2D32', 792, 3, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:09'), (251101, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2C11', 2289, 11, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:09'), (251102, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1D20', 74, 17, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:10'), (251103, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1A01', 202, 35, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:10'), (251104, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2D31', 259, 1, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:10'), (251105, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2C10', 1357, 17, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:10'), (251106, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1D28', 628, 6, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:10'), (251107, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E17', 710, 11, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:16'), (251108, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1A09', 133, 47, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:17'), (251109, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1D27', 2, 4, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:18'), (251110, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1A08', 101, 22, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:18'), (251111, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2A10', 79, 29, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251112, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2B07', 54, 18, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:08'), (251113, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E26', 49, 5, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:08'), (251114, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2D04', 4, 1, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:08'), (251115, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E25', 25, 11, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:08'), (251116, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2B05', 121, 13, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:08'), (251117, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E24', 65, 8, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:08'), (251118, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2D02', 5, 2, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:08'), (251119, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2B04', 77, 13, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:08'), (251120, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E23', 112, 15, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:08'), (251121, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2B03', 41, 11, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:08'), (251122, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E22', 6, 4, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:08'), (251123, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E21', 102, 9, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:08'), (251124, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E20', 10, 5, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:08'), (251125, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1E19', 96, 26, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:07'), (251126, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2D09', 198, 4, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:07'), (251127, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1E17', 224, 30, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:07'), (251128, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2B09', 28, 3, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:07'), (251129, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E28', 780, 8, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:07'), (251130, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2D07', 230, 17, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:07'), (251131, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1E16', 111, 16, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:07'), (251132, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E27', 1270, 7, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:07'), (251133, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2B08', 127, 9, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:07'), (251134, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1E15', 269, 29, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:07'), (251135, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1A19', 259, 48, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:07'), (251136, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1A10', 130, 20, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:07'), (251137, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1D04', 616, 4, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:17'), (251138, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1D03', 275, 15, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:17'), (251139, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1D02', 185, 3, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:17'), (251140, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2D12', 374, 5, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251141, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1E20', 133, 22, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:11'), (251142, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2D11', 193, 7, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:16'), (251143, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E32', 149, 11, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:18'), (251144, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2D10', 274, 3, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:24'), (251145, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1A23', 949, 43, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:25'), (251146, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2B12', 101, 17, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:25'), (251147, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2B11', 50, 20, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:26'), (251148, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2E30', 423, 9, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:31'), (251149, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1A22', 651, 72, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:32'), (251150, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1D09', 17, 5, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251151, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1D07', 265, 5, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251152, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2D19', 173, 22, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251153, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1D06', 808, 2, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:17'), (251154, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1D05', 5307, 2, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:17'), (251155, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '2B10', 36, 11, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251156, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1A21', 1027, 57, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251157, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '1A20', 242, 48, 2024, 8, 5, '2024-08-06 01:36:59', 1, '2024-08-09 01:00:09'), (251158, 1, '511500000000-0001', '智慧政务服务系统', '公积金归集', '', '', '2C06', 1589, 1, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251159, 1, '511500000000-0001', '智慧政务服务系统', '出件业务', '', '', '1D26', 15, 5, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251160, 1, '511500000000-0001', '智慧政务服务系统', '公积金归集', '', '', '2C07', 496, 17, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251161, 1, '511500000000-0001', '智慧政务服务系统', '出件业务', '', '', '1D27', 2, 4, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251162, 1, '511500000000-0001', '智慧政务服务系统', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 259, 48, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251163, 1, '511500000000-0001', '智慧政务服务系统', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 242, 48, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251164, 1, '511500000000-0001', '智慧政务服务系统', '不动产档案查询业务', '', '', '2D07', 230, 17, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251165, 1, '511500000000-0001', '智慧政务服务系统', '医保综合业务', '', '', '1E20', 133, 22, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251166, 1, '511500000000-0001', '智慧政务服务系统', '咨询引导', '', '', '2C14', 367, 1, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251167, 1, '511500000000-0001', '智慧政务服务系统', '医保综合业务', '', '', '1E15', 270, 28, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251168, 1, '511500000000-0001', '智慧政务服务系统', '医保综合业务', '', '', '1E17', 224, 30, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251169, 1, '511500000000-0001', '智慧政务服务系统', '医保综合业务', '', '', '1E16', 111, 16, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251170, 1, '511500000000-0001', '智慧政务服务系统', '医保综合业务', '', '', '1E19', 99, 25, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251171, 1, '511500000000-0001', '智慧政务服务系统', '药品、药师、医疗器械业务', '', '', '1D07', 265, 5, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251172, 1, '511500000000-0001', '智慧政务服务系统', '药品、药师、医疗器械业务', '', '', '1D09', 17, 5, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251173, 1, '511500000000-0001', '智慧政务服务系统', '企业职工养老保险缴费记录维护', '', '', '2E27', 1270, 7, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251174, 1, '511500000000-0001', '智慧政务服务系统', '企业职工养老保险缴费记录维护', '', '', '2E28', 780, 8, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251175, 1, '511500000000-0001', '智慧政务服务系统', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 710, 6, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:32'), (251176, 1, '511500000000-0001', '智慧政务服务系统', '交通违法处理', '', '', '1A10', 130, 20, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:32'), (251177, 1, '511500000000-0001', '智慧政务服务系统', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 503, 3, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:32'), (251178, 1, '511500000000-0001', '智慧政务服务系统', '社保综合业务', '', '', '2E10', 186, 8, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:33'), (251179, 1, '511500000000-0001', '智慧政务服务系统', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 501, 5, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:33'), (251180, 1, '511500000000-0001', '智慧政务服务系统', '社保综合业务', '', '', '2E11', 149, 4, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:40'), (251181, 1, '511500000000-0001', '智慧政务服务系统', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E19', 16, 1, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:35'), (251182, 1, '511500000000-0001', '智慧政务服务系统', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 259, 1, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:35'), (251183, 1, '511500000000-0001', '智慧政务服务系统', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 792, 3, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:35'), (251184, 1, '511500000000-0001', '智慧政务服务系统', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 1065, 2, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:35'), (251185, 1, '511500000000-0001', '智慧政务服务系统', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 198, 4, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:35'), (251186, 1, '511500000000-0001', '智慧政务服务系统', '社保综合业务', '', '', '2E09', 202, 21, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251187, 1, '511500000000-0001', '智慧政务服务系统', '治安、户政（补换领身份证等）', '', '', '1A22', 651, 72, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251188, 1, '511500000000-0001', '智慧政务服务系统', '治安、户政（补换领身份证等）', '', '', '1A21', 1027, 57, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251189, 1, '511500000000-0001', '智慧政务服务系统', '治安、户政（补换领身份证等）', '', '', '1A23', 949, 43, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251190, 1, '511500000000-0001', '智慧政务服务系统', '办理工伤认定', '', '', '2E32', 149, 11, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251191, 1, '511500000000-0001', '智慧政务服务系统', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 176, 1, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251192, 1, '511500000000-0001', '智慧政务服务系统', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 566, 3, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251193, 1, '511500000000-0001', '智慧政务服务系统', '交通违法处理', '', '', '1A01', 202, 35, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251194, 1, '511500000000-0001', '智慧政务服务系统', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 193, 7, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251195, 1, '511500000000-0001', '智慧政务服务系统', '跨省通办', '', '', '2C04', 160, 1, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:40'), (251196, 1, '511500000000-0001', '智慧政务服务系统', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 374, 5, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:40'), (251197, 1, '511500000000-0001', '智慧政务服务系统', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 274, 3, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:40'), (251198, 1, '511500000000-0001', '智慧政务服务系统', '多重养老保险关系个人账户退费', '', '', '2E17', 710, 5, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:40'), (251199, 1, '511500000000-0001', '智慧政务服务系统', '交通违法处理', '', '', '1A06', 84, 44, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251200, 1, '511500000000-0001', '智慧政务服务系统', '交通违法处理', '', '', '1A07', 215, 26, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251201, 1, '511500000000-0001', '智慧政务服务系统', '涉企业务', '', '', '2D19', 173, 22, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251202, 1, '511500000000-0001', '智慧政务服务系统', '交通违法处理', '', '', '1A08', 101, 22, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251203, 1, '511500000000-0001', '智慧政务服务系统', '交通违法处理', '', '', '1A09', 133, 47, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:35'), (251204, 1, '511500000000-0001', '智慧政务服务系统', '社保综合业务', '', '', '2E05', 253, 17, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:35'), (251205, 1, '511500000000-0001', '智慧政务服务系统', '社保综合业务', '', '', '2E06', 104, 14, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:35'), (251206, 1, '511500000000-0001', '智慧政务服务系统', '交通违法处理', '', '', '1A03', 144, 64, 2024, 8, 5, '2024-08-06 01:37:02', 1, '2024-08-09 01:00:35'), (251207, 1, '511500000000-0001', '智慧政务服务系统', '社保综合业务', '', '', '2E07', 135, 17, 2024, 8, 5, '2024-08-06 01:37:02', 1, '2024-08-09 01:00:35'), (251208, 1, '511500000000-0001', '智慧政务服务系统', '社保综合业务', '', '', '2E08', 170, 15, 2024, 8, 5, '2024-08-06 01:37:02', 1, '2024-08-09 01:00:35'), (251209, 1, '511500000000-0001', '智慧政务服务系统', '交通违法处理', '', '', '1A05', 118, 55, 2024, 8, 5, '2024-08-06 01:37:02', 1, '2024-08-09 01:00:35'), (251210, 1, '511500000000-0001', '智慧政务服务系统', '工伤待遇核定', '', '', '2E14', 3, 2, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251211, 1, '511500000000-0001', '智慧政务服务系统', '办理特殊工种提前退休', '', '', '2E30', 423, 9, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251212, 1, '511500000000-0001', '智慧政务服务系统', '税务综合业务', '', '', '2B08', 127, 9, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251213, 1, '511500000000-0001', '智慧政务服务系统', '税务综合业务', '', '', '2B09', 28, 3, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251214, 1, '511500000000-0001', '智慧政务服务系统', '税务综合业务', '', '', '2B07', 54, 18, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:32'), (251215, 1, '511500000000-0001', '智慧政务服务系统', '税务综合业务', '', '', '2B04', 77, 13, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:32'), (251216, 1, '511500000000-0001', '智慧政务服务系统', '税务综合业务', '', '', '2B05', 121, 13, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251217, 1, '511500000000-0001', '智慧政务服务系统', '转移接续手续办理', '', '', '1E15', 238, 1, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251218, 1, '511500000000-0001', '智慧政务服务系统', '出国境业务办理', '', '', '2A07', 70, 28, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251219, 1, '511500000000-0001', '智慧政务服务系统', '税务综合业务', '', '', '2B03', 41, 11, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:39'), (251220, 1, '511500000000-0001', '智慧政务服务系统', '出国境业务办理', '', '', '2A06', 103, 29, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:40'), (251221, 1, '511500000000-0001', '智慧政务服务系统', '工伤待遇核定', '', '', '2E12', 207, 2, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:40'), (251222, 1, '511500000000-0001', '智慧政务服务系统', '1992年4月前参工退休审核', '', '', '2E21', 118, 2, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:40'), (251223, 1, '511500000000-0001', '智慧政务服务系统', '出国境业务办理', '', '', '2A08', 105, 29, 2024, 8, 5, '2024-08-06 01:37:02', 1, '2024-08-09 01:00:41'), (251224, 1, '511500000000-0001', '智慧政务服务系统', '档案查询、迁移', '', '', '1D04', 616, 4, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:33'), (251225, 1, '511500000000-0001', '智慧政务服务系统', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 1, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:33'), (251226, 1, '511500000000-0001', '智慧政务服务系统', '失业保险待遇', '', '', '2E04', 480, 16, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:33'), (251227, 1, '511500000000-0001', '智慧政务服务系统', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 5, 2, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:34'), (251228, 1, '511500000000-0001', '智慧政务服务系统', '失业保险待遇', '', '', '2E03', 214, 7, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251229, 1, '511500000000-0001', '智慧政务服务系统', '贷后业务', '', '', '2C04', 1887, 1, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:32'), (251230, 1, '511500000000-0001', '智慧政务服务系统', '贷后业务', '', '', '2C03', 1766, 2, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:32'), (251231, 1, '511500000000-0001', '智慧政务服务系统', '出国境业务办理', '', '', '2A10', 79, 29, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:32'), (251232, 1, '511500000000-0001', '智慧政务服务系统', '税务综合业务', '', '', '2B11', 50, 20, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:32'), (251233, 1, '511500000000-0001', '智慧政务服务系统', '税务综合业务', '', '', '2B12', 101, 17, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:32'), (251234, 1, '511500000000-0001', '智慧政务服务系统', '税务综合业务', '', '', '2B10', 36, 11, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:32'), (251235, 1, '511500000000-0001', '智慧政务服务系统', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 50, 15, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:32'), (251236, 1, '511500000000-0001', '智慧政务服务系统', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 110, 16, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:32'), (251237, 1, '511500000000-0001', '智慧政务服务系统', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 101, 9, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:32'), (251238, 1, '511500000000-0001', '智慧政务服务系统', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 74, 17, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:32'), (251239, 1, '511500000000-0001', '智慧政务服务系统', '咨询业务', '', '', '1D28', 628, 6, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251240, 1, '511500000000-0001', '智慧政务服务系统', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 275, 15, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:34'), (251241, 1, '511500000000-0001', '智慧政务服务系统', '退休前数据确认', '', '', '2E26', 49, 5, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:40'), (251242, 1, '511500000000-0001', '智慧政务服务系统', '退休前数据确认', '', '', '2E25', 25, 11, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:40'), (251243, 1, '511500000000-0001', '智慧政务服务系统', '市监证照领取', '', '', '1D05', 5307, 2, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:40'), (251244, 1, '511500000000-0001', '智慧政务服务系统', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 185, 3, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:40'), (251245, 1, '511500000000-0001', '智慧政务服务系统', '退休前数据确认', '', '', '2E24', 65, 8, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:41'), (251246, 1, '511500000000-0001', '智慧政务服务系统', '退休前数据确认', '', '', '2E23', 112, 15, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:41'), (251247, 1, '511500000000-0001', '智慧政务服务系统', '公积金提取', '', '', '2C11', 2289, 11, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:32'), (251248, 1, '511500000000-0001', '智慧政务服务系统', '公积金提取', '', '', '2C10', 1357, 17, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:33'), (251249, 1, '511500000000-0001', '智慧政务服务系统', '特种设备、食品生产', '', '', '1D06', 808, 2, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:33'), (251250, 1, '511500000000-0001', '智慧政务服务系统', '公积金提取', '', '', '2C13', 1442, 17, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:33'), (251251, 1, '511500000000-0001', '智慧政务服务系统', '退休政策咨询及其他相关事宜', '', '', '2E20', 10, 5, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:33'), (251252, 1, '511500000000-0001', '智慧政务服务系统', '退休政策咨询及其他相关事宜', '', '', '2E21', 97, 7, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:34'), (251253, 1, '511500000000-0001', '智慧政务服务系统', '退休政策咨询及其他相关事宜', '', '', '2E22', 6, 4, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:34'), (251254, 1, '511500000000-0001', '智慧政务服务系统', '公积金贷款', '', '', '2C12', 272, 5, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:32'), (251255, 1, '511500000000-0001', '智慧政务服务系统', '社会保障卡业务', '', '', '2E02', 40, 20, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:32'), (251256, 1, '511500000000-0001', '智慧政务服务系统', '公积金提取', '', '', '2C04', 1732, 21, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:33'), (251257, 1, '511500000000-0001', '智慧政务服务系统', '公积金提取', '', '', '2C03', 2454, 10, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:33'), (251258, 1, '511500000000-0001', '智慧政务服务系统', '就业创业服务', '', '', '2E04', 18, 1, 2024, 8, 5, '2024-08-06 01:37:01', 1, '2024-08-09 01:00:34'), (251259, 1, '511500000000-0001', '智慧政务服务系统', '公积金提取', '', '', '2C06', 2726, 6, 2024, 8, 5, '2024-08-06 01:37:00', 1, '2024-08-09 01:00:32'), (251260, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:09', 1, '2024-08-11 01:00:02'), (251261, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:09', 1, '2024-08-11 01:00:02'), (251262, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:09', 1, '2024-08-11 01:00:02'), (251263, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:09', 1, '2024-08-11 01:00:02'), (251264, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:09', 1, '2024-08-11 01:00:02'), (251265, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:16', 1, '2024-08-11 01:00:10'), (251266, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:16', 1, '2024-08-11 01:00:10'), (251267, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:16', 1, '2024-08-11 01:00:11'), (251268, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:16', 1, '2024-08-11 01:00:10'), (251269, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:17', 1, '2024-08-11 01:00:17'), (251270, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:24', 1, '2024-08-11 01:00:18'), (251271, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:24', 1, '2024-08-11 01:00:18'), (251272, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:24', 1, '2024-08-11 01:00:18'), (251273, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:24', 1, '2024-08-11 01:00:19'), (251274, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:26', 1, '2024-08-11 01:00:25'), (251275, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:31', 1, '2024-08-11 01:00:25'), (251276, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:31', 1, '2024-08-11 01:00:26'), (251277, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:31', 1, '2024-08-11 01:00:27'), (251278, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:32', 1, '2024-08-11 01:00:26'), (251279, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:33', 1, '2024-08-11 01:00:33'), (251280, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:39', 1, '2024-08-11 01:00:34'), (251281, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:39', 1, '2024-08-11 01:00:33'), (251282, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:39', 1, '2024-08-11 01:00:34'), (251283, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:39', 1, '2024-08-11 01:00:35'), (251284, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:41', 1, '2024-08-11 01:00:41'), (251285, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 7, '2024-08-07 01:00:47', 1, '2024-08-11 01:00:44'), (251286, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1974, 10, 2024, 8, 7, '2024-08-07 01:00:48', 1, '2024-08-11 01:00:44'), (251287, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 621, 11, 2024, 8, 6, '2024-08-07 01:00:46', 1, '2024-08-10 01:00:44'), (251288, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 113, 5, 2024, 8, 6, '2024-08-07 01:00:46', 1, '2024-08-10 01:00:45'), (251289, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 16, 1, 2024, 8, 6, '2024-08-07 01:00:46', 1, '2024-08-10 01:00:44'), (251290, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 355, 2, 2024, 8, 6, '2024-08-07 01:00:46', 1, '2024-08-10 01:00:45'), (251291, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 1846, 3, 2024, 8, 6, '2024-08-07 01:00:46', 1, '2024-08-10 01:00:45'), (251292, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 872, 7, 2024, 8, 6, '2024-08-07 01:00:46', 1, '2024-08-10 01:00:45'), (251293, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 16, 1, 2024, 8, 6, '2024-08-07 01:00:46', 1, '2024-08-10 01:00:45'), (251294, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 355, 2, 2024, 8, 6, '2024-08-07 01:00:46', 1, '2024-08-10 01:00:45'), (251295, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 113, 5, 2024, 8, 6, '2024-08-07 01:00:47', 1, '2024-08-10 01:00:45'), (251296, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 16, 1, 2024, 8, 6, '2024-08-07 01:00:47', 1, '2024-08-10 01:00:45'), (251297, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 2769, 2, 2024, 8, 6, '2024-08-07 01:00:47', 1, '2024-08-10 01:00:45'), (251298, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 355, 2, 2024, 8, 6, '2024-08-07 01:00:46', 1, '2024-08-10 01:00:45'), (251299, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 704, 7, 2024, 8, 7, '2024-08-07 01:00:50', 1, '2024-08-11 01:00:44'), (251300, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2635, 17, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:42'), (251301, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 3, 2, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:42'), (251302, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 2, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:43'), (251303, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 3732, 12, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:42'), (251304, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 0, 1, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:42'), (251305, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 3, 2, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:43'), (251306, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 4479, 10, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:43'), (251307, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 4479, 10, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:43'), (251308, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 3, 2, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:43'), (251309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 555, 781, 2024, 8, 7, '2024-08-07 01:00:53', 1, '2024-08-11 01:00:02'), (251310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 660, 6, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:08'), (251311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 612, 297, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:09'), (251312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 535, 51, 2024, 8, 6, '2024-08-07 01:00:47', 1, '2024-08-10 01:00:08'), (251313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 333, 14, 2024, 8, 6, '2024-08-07 01:00:47', 1, '2024-08-10 01:00:08'), (251314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 509, 63, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:08'), (251315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 392, 7, 2024, 8, 6, '2024-08-07 01:00:47', 1, '2024-08-10 01:00:08'), (251316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 661, 54, 2024, 8, 6, '2024-08-07 01:00:47', 1, '2024-08-10 01:00:08'), (251317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 405, 40, 2024, 8, 6, '2024-08-07 01:00:47', 1, '2024-08-10 01:00:03'), (251318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 560, 140, 2024, 8, 6, '2024-08-07 01:00:47', 1, '2024-08-10 01:00:08'), (251319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 414, 66, 2024, 8, 6, '2024-08-07 01:00:47', 1, '2024-08-10 01:00:08'), (251320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 452, 25, 2024, 8, 6, '2024-08-07 01:00:47', 1, '2024-08-10 01:00:08'), (251321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 718, 78, 2024, 8, 6, '2024-08-07 01:00:47', 1, '2024-08-10 01:00:11'), (251322, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:12'), (251323, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 26, 2, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:16'), (251324, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 27, 16, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:12'), (251325, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 19, 126, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:12'), (251326, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 3, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:12'), (251327, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 0, 3, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:12'), (251328, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 1156, 2, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:11'), (251329, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 350, 19, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:12'), (251330, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1734, 76, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:12'), (251331, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 5, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:11'), (251332, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 152, 8, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:12'), (251333, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 65, 13, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:12'), (251334, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 1089, 9, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:16'), (251335, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 555, 53, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:12'), (251336, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 138, 10, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:12'), (251337, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 619, 44, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:16'), (251338, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 78, 5, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:11'), (251339, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 1149, 1, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:12'), (251340, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 679, 7, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:16'), (251341, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 92, 18, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:11'), (251342, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 540, 3, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:11'), (251343, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  区应急管理局', '', '', '', 0, 1, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:11'), (251344, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', '', 202, 2, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:11'), (251345, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 5060, 3, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:11'), (251346, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 1614, 5, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:11'), (251347, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 927, 3, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:11'), (251348, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 183, 37, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:11'), (251349, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 91, 61, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:11'), (251350, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1033, 176, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:11'), (251351, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 255, 2, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:11'), (251352, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 39, 5, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:11'), (251353, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 353, 2, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:12'), (251354, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 643, 24, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:11'), (251355, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 290, 14, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:12'), (251356, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 264, 65, 2024, 8, 6, '2024-08-07 01:00:48', 1, '2024-08-10 01:00:12'), (251357, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 12, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:12'), (251358, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 8, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:12'), (251359, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 164, 6, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:12'), (251360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 39, 5, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:20'), (251361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 15, 20, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:24'), (251362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 643, 24, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:25'), (251363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 29, 16, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:26'), (251364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 445, 17, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:26'), (251365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 23, 19, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:28'), (251366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 22, 24, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:31'), (251367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 674, 18, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:32'), (251368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 94, 9, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:16'), (251369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 541, 18, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:17'), (251370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 557, 16, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:18'), (251371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 106, 20, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:18'), (251372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C01', 18, 11, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:20'), (251373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 591, 10, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:24'), (251374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 52, 17, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:24'), (251375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 202, 2, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:24'), (251376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 690, 18, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:24'), (251377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 287, 11, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:16'), (251378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 162, 13, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:16'), (251379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 251, 16, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:17'), (251380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 84, 14, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:17'), (251381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 328, 19, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:18'), (251382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 220, 12, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:17'), (251383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 14, 17, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:17'), (251384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 12, 19, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:17'), (251385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 183, 37, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:17'), (251386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 112, 17, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:17'), (251387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 926, 56, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:17'), (251388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1370, 21, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:17'), (251389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 316, 11, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:17'), (251390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 268, 10, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:17'), (251391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 255, 2, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:17'), (251392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 927, 3, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:17'), (251393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 131, 3, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:17'), (251394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 1089, 9, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:17'), (251395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 679, 7, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:17'), (251396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 353, 2, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:17'), (251397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 164, 6, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:18'), (251398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 350, 19, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:18'), (251399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1772, 27, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:24'), (251400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 506, 14, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:18'), (251401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 2196, 35, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:18'), (251402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 1048, 54, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:18'), (251403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 1614, 5, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:16'), (251404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 13, 4, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:17'), (251405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 5060, 3, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:17'), (251406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 773, 3, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:17'), (251407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 1149, 1, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:20'), (251408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 100, 4, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:23'), (251409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 5, 5, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:24'), (251410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 1, 3, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:16'), (251411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 993, 45, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:16'), (251412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 77, 11, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:16'), (251413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 138, 10, 2024, 8, 6, '2024-08-07 01:00:49', 1, '2024-08-10 01:00:16'), (251414, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 157, 5, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:34'), (251415, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 350, 19, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251416, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1772, 27, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251417, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 506, 14, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251418, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 1, 2, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251419, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 100, 4, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251420, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 8, 1, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:34'), (251421, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 2196, 35, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:34'), (251422, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 1, 3, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:34'), (251423, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 643, 24, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:34'), (251424, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 5, 5, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:34'), (251425, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 366, 9, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:32'), (251426, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 153, 5, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251427, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 143, 3, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:35'), (251428, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 679, 7, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:40'), (251429, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 201, 2, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:34'), (251430, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 164, 6, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:34'), (251431, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 131, 3, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:32'), (251432, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 927, 3, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251433, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 220, 12, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251434, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 328, 19, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:32'), (251435, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 162, 13, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:34'), (251436, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 1614, 5, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:39'), (251437, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 77, 11, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251438, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 268, 10, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:34'), (251439, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 5060, 3, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251440, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 90, 12, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:32'), (251441, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 256, 3, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251442, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 1149, 1, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251443, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 51, 7, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251444, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 157, 4, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251445, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 69, 5, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251446, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 39, 5, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251447, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 63, 14, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251448, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 94, 16, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251449, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 1156, 2, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251450, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 316, 11, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:34'), (251451, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 690, 18, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:32'), (251452, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 674, 18, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:32'), (251453, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 557, 16, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:32'), (251454, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 541, 18, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:32'), (251455, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 591, 10, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:32'), (251456, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 445, 17, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:32'), (251457, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 26, 2, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:34'), (251458, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 993, 45, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:39'), (251459, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 255, 2, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:40'), (251460, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', 'A06', 202, 2, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:34'), (251461, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 138, 10, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251462, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 12, 19, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:35'), (251463, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 15, 20, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:35'), (251464, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 3, 3, 2024, 8, 6, '2024-08-07 01:00:52', 1, '2024-08-10 01:00:35');
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (251465, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 152, 4, 2024, 8, 6, '2024-08-07 01:00:52', 1, '2024-08-10 01:00:39'), (251466, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 14, 17, 2024, 8, 6, '2024-08-07 01:00:52', 1, '2024-08-10 01:00:40'), (251467, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 16, 2, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251468, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 34, 3, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:33'), (251469, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 540, 3, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:35'), (251470, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 1089, 9, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:36'), (251471, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C01', 18, 11, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:39'), (251472, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 1048, 54, 2024, 8, 6, '2024-08-07 01:00:52', 1, '2024-08-10 01:00:40'), (251473, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 126, 4, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:35'), (251474, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1370, 21, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:39'), (251475, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 22, 24, 2024, 8, 6, '2024-08-07 01:00:51', 1, '2024-08-10 01:00:40'), (251476, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 926, 56, 2024, 8, 6, '2024-08-07 01:00:52', 1, '2024-08-10 01:00:40'), (251477, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 29, 16, 2024, 8, 6, '2024-08-07 01:00:52', 1, '2024-08-10 01:00:40'), (251478, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 183, 37, 2024, 8, 6, '2024-08-07 01:00:52', 1, '2024-08-10 01:00:41'), (251479, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 353, 2, 2024, 8, 6, '2024-08-07 01:00:52', 1, '2024-08-10 01:00:41'), (251480, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 23, 19, 2024, 8, 6, '2024-08-07 01:00:52', 1, '2024-08-10 01:00:41'), (251481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 259, 993, 2024, 8, 7, '2024-08-07 01:00:59', 1, '2024-08-11 01:00:02'), (251482, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 235, 449, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:03'), (251483, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 187, 81, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:03'), (251484, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 704, 70, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:03'), (251485, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 45, 67, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:03'), (251486, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 340, 177, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:03'), (251487, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 115, 79, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:03'), (251488, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 410, 100, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:03'), (251489, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 77, 99, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:03'), (251490, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 52, 13, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:06'), (251491, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 342, 20, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:06'), (251492, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 368, 17, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:05'), (251493, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 58, 17, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:05'), (251494, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 115, 78, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:06'), (251495, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 196, 13, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:06'), (251496, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 1050, 3, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:05'), (251497, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 1126, 2, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:05'), (251498, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 616, 50, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:05'), (251499, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 107, 6, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:05'), (251500, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 158, 1, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:05'), (251501, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 2219, 1, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:05'), (251502, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1180, 1, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:05'), (251503, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 121, 27, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:04'), (251504, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 3, 1, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:04'), (251505, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 1112, 2, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:04'), (251506, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 367, 142, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:04'), (251507, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 70, 9, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:05'), (251508, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 196, 258, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:05'), (251509, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 29, 5, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:05'), (251510, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 796, 15, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:05'), (251511, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 127, 20, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:04'), (251512, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 77, 99, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:04'), (251513, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 532, 23, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:04'), (251514, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 11081, 3, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:03'), (251515, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 97, 1, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:03'), (251516, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 97, 37, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:03'), (251517, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 141, 66, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:03'), (251518, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 105, 9, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:04'), (251519, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 45, 67, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:03'), (251520, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 226, 7, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:04'), (251521, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 634, 37, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:04'), (251522, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 61, 49, 2024, 8, 6, '2024-08-07 01:00:53', 1, '2024-08-10 01:00:04'), (251523, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 172, 10, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:04'), (251524, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 6, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:04'), (251525, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 152, 7, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:04'), (251526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 29, 12, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:09'), (251527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 1022, 11, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:10'), (251528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 521, 11, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:11'), (251529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 19, 13, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:12'), (251530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 88, 6, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:16'), (251531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 58, 19, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:16'), (251532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 121, 27, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:17'), (251533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 535, 19, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:17'), (251534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 244, 17, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:08'), (251535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 120, 17, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:09'), (251536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 469, 3, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:09'), (251537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 68, 12, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:09'), (251538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 121, 1, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:09'), (251539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 799, 9, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:09'), (251540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 79, 14, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:09'), (251541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 394, 3, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:09'), (251542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 180, 32, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:09'), (251543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 3499, 1, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:09'), (251544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 161, 40, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:09'), (251545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 376, 3, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:09'), (251546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 154, 8, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:09'), (251547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 173, 56, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:09'), (251548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 15, 7, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:09'), (251549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E12', 14872, 2, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:10'), (251550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 26, 1, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:11'), (251551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 490, 4, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:11'), (251552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 802, 7, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:12'), (251553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 187, 48, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:16'), (251554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 593, 2, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:16'), (251555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 241, 5, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:17'), (251556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 29, 12, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:17'), (251557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 210, 9, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:17'), (251558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 955, 5, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:18'), (251559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 551, 7, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:18'), (251560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 183, 23, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:23'), (251561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 862, 3, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:24'), (251562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 542, 19, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:24'), (251563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 3, 1, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:08'), (251564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 226, 7, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:10'), (251565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 341, 21, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:11'), (251566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 77, 7, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:11'), (251567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 172, 27, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:11'), (251568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 57, 23, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:10'), (251569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 140, 11, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:07'), (251570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 1, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:07'), (251571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 42, 5, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:07'), (251572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 3, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:07'), (251573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 87, 12, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:07'), (251574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 65, 3, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:08'), (251575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 2, 1, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:08'), (251576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 68, 13, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:08'), (251577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 65, 9, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:08'), (251578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 2, 1, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:07'), (251579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 85, 13, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:07'), (251580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 61, 6, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:07'), (251581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 425, 6, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:07'), (251582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 3, 3, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:07'), (251583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 171, 23, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:06'), (251584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 722, 9, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:06'), (251585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 105, 3, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:06'), (251586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 95, 20, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:06'), (251587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 77, 13, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:06'), (251588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 196, 13, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:06'), (251589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 244, 3, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:06'), (251590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 158, 1, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:06'), (251591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 21, 1, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:07'), (251592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 38, 7, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:07'), (251593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 106, 19, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:07'), (251594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 73, 24, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:07'), (251595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 330, 11, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:06'), (251596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 29, 5, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:09'), (251597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 100, 7, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:11'), (251598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 473, 13, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:12'), (251599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 711, 8, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:09'), (251600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 57, 4, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:09'), (251601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 70, 9, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:10'), (251602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 318, 11, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:11'), (251603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 70, 16, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:12'), (251604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 864, 9, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:16'), (251605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 401, 45, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:16'), (251606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 30, 12, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:17'), (251607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 105, 9, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:17'), (251608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 350, 53, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:18'), (251609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 126, 4, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:08'), (251610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 70, 2, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:08'), (251611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 140, 18, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:08'), (251612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 1112, 2, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:08'), (251613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 14, 2, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:08'), (251614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 351, 44, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:08'), (251615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 85, 15, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:08'), (251616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 49, 25, 2024, 8, 6, '2024-08-07 01:00:54', 1, '2024-08-10 01:00:08'), (251617, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 792, 6, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251618, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 394, 3, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251619, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 158, 1, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251620, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 77, 7, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251621, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 799, 9, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251622, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 73, 24, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251623, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 196, 13, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251624, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 49, 25, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:26'), (251625, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 44, 3, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:28'), (251626, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 106, 19, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251627, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 95, 20, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251628, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 77, 13, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251629, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 171, 23, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251630, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 70, 2, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251631, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 126, 4, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251632, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 21, 1, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:27'), (251633, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 244, 3, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:27'), (251634, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 105, 3, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:27'), (251635, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 14, 2, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:27'), (251636, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 226, 7, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:24'), (251637, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 330, 11, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:24'), (251638, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 490, 4, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251639, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 376, 3, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:26'), (251640, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 241, 5, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:26'), (251641, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 862, 3, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:26'), (251642, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 551, 7, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:27'), (251643, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 593, 2, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:27'), (251644, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 722, 9, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:28'), (251645, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 244, 17, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:28'), (251646, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 350, 53, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:26'), (251647, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 351, 44, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:27'), (251648, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 401, 45, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:28'), (251649, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 70, 9, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:28'), (251650, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 121, 1, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:26'), (251651, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 469, 3, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:26'), (251652, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 183, 23, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:26'), (251653, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 318, 11, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:26'), (251654, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 2219, 1, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:26'), (251655, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 711, 8, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:26'), (251656, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 864, 9, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:26'), (251657, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 161, 40, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:26'), (251658, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 180, 32, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:26'), (251659, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 172, 27, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:26'), (251660, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 140, 18, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:26'), (251661, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 341, 21, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:26'), (251662, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 79, 14, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:26'), (251663, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 68, 12, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:27'), (251664, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 187, 48, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:27'), (251665, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 120, 17, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:27'), (251666, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 173, 56, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:27'), (251667, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 3499, 1, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:27'), (251668, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 105, 9, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:27'), (251669, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 2, 1, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:27'), (251670, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 38, 7, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:27'), (251671, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 140, 11, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:27'), (251672, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 68, 13, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:31'), (251673, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 87, 12, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:31'), (251674, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 19, 13, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:31'), (251675, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 85, 13, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:34'), (251676, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 58, 19, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:34'), (251677, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E12', 14872, 2, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:34'), (251678, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 1126, 2, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:36'), (251679, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 29, 12, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:36'), (251680, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 29, 5, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:25'), (251681, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 1, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251682, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 521, 11, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251683, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 2, 1, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251684, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 3, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:26'), (251685, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 88, 6, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:26'), (251686, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C06', 1978, 1, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:24'), (251687, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 587, 2, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:24'), (251688, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 57, 23, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:24'), (251689, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 30, 12, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:24'), (251690, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 70, 16, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:24'), (251691, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 85, 15, 2024, 8, 6, '2024-08-07 01:00:55', 1, '2024-08-10 01:00:25'), (251692, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E20', 97, 1, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:26'), (251693, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 26, 1, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:24'), (251694, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 29, 12, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:24'), (251695, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 154, 8, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:24'), (251696, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 15, 7, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:24'), (251697, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 210, 9, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251698, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 3, 1, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:24'), (251699, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 1180, 1, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:25'), (251700, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 100, 7, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:24'), (251701, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 42, 5, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:24'), (251702, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 473, 13, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251703, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 65, 3, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:26'), (251704, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 65, 9, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:26'), (251705, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C11', 955, 5, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:24'), (251706, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 542, 19, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:24'), (251707, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 1112, 2, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:24'), (251708, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 802, 7, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251709, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 3, 3, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:25'), (251710, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 75, 4, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:26'), (251711, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 61, 6, 2024, 8, 6, '2024-08-07 01:00:57', 1, '2024-08-10 01:00:27'), (251712, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 121, 27, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:24'), (251713, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 373, 15, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:24'), (251714, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 1129, 4, 2024, 8, 6, '2024-08-07 01:00:56', 1, '2024-08-10 01:00:24'), (251715, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:08', 1, '2024-08-12 01:00:02'), (251716, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:09', 1, '2024-08-12 01:00:02'), (251717, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:09', 1, '2024-08-12 01:00:02'), (251718, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:09', 1, '2024-08-12 01:00:02'), (251719, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:09', 1, '2024-08-12 01:00:41'), (251720, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:09', 1, '2024-08-12 01:00:02'), (251721, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:16', 1, '2024-08-12 01:00:10'), (251722, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:16', 1, '2024-08-12 01:00:10'), (251723, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:16', 1, '2024-08-12 01:00:10'), (251724, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:16', 1, '2024-08-12 01:00:10'), (251725, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:23', 1, '2024-08-12 01:00:17'), (251726, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:23', 1, '2024-08-12 01:00:18'), (251727, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:24', 1, '2024-08-12 01:00:17'), (251728, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:24', 1, '2024-08-12 01:00:18'), (251729, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:30', 1, '2024-08-12 01:00:22'), (251730, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:31', 1, '2024-08-12 01:00:25'), (251731, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:31', 1, '2024-08-12 01:00:25'), (251732, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:31', 1, '2024-08-12 01:00:25'), (251733, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:38', 1, '2024-08-12 01:00:25'), (251734, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:38', 1, '2024-08-12 01:00:32'), (251735, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:39', 1, '2024-08-12 01:00:33'), (251736, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:39', 1, '2024-08-12 01:00:30'), (251737, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:42', 1, '2024-08-12 01:00:02'), (251738, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 704, 7, 2024, 8, 7, '2024-08-08 01:00:40', 1, '2024-08-11 01:00:44'), (251739, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 744, 4, 2024, 8, 7, '2024-08-08 01:00:40', 1, '2024-08-11 01:00:44'), (251740, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 651, 3, 2024, 8, 7, '2024-08-08 01:00:40', 1, '2024-08-11 01:00:44'), (251741, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 744, 4, 2024, 8, 7, '2024-08-08 01:00:41', 1, '2024-08-11 01:00:45'), (251742, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 651, 3, 2024, 8, 7, '2024-08-08 01:00:40', 1, '2024-08-11 01:00:44'), (251743, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 651, 3, 2024, 8, 7, '2024-08-08 01:00:41', 1, '2024-08-11 01:00:45'), (251744, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 744, 4, 2024, 8, 7, '2024-08-08 01:00:41', 1, '2024-08-11 01:00:45'), (251745, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:46', 1, '2024-08-12 01:00:33'), (251746, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:46', 1, '2024-08-12 01:00:33'), (251747, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:46', 1, '2024-08-12 01:00:40'), (251748, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 8, '2024-08-08 01:00:46', 1, '2024-08-12 01:00:33'), (251749, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 541, 4, 2024, 8, 8, '2024-08-08 01:00:52', 1, '2024-08-12 01:00:41'), (251750, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 1974, 10, 2024, 8, 7, '2024-08-08 01:00:50', 1, '2024-08-11 01:00:44'), (251751, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 4615, 4, 2024, 8, 7, '2024-08-08 01:00:50', 1, '2024-08-11 01:00:44'), (251752, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 48, 2, 2024, 8, 7, '2024-08-08 01:00:50', 1, '2024-08-11 01:00:44'), (251753, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 16, 1, 2024, 8, 7, '2024-08-08 01:00:50', 1, '2024-08-11 01:00:44'), (251754, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 12, 1, 2024, 8, 7, '2024-08-08 01:00:50', 1, '2024-08-11 01:00:44'), (251755, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 578, 2, 2024, 8, 7, '2024-08-08 01:00:50', 1, '2024-08-11 01:00:44'), (251756, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 3269, 6, 2024, 8, 7, '2024-08-08 01:00:51', 1, '2024-08-11 01:00:45'), (251757, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 48, 2, 2024, 8, 7, '2024-08-08 01:00:50', 1, '2024-08-11 01:00:45'), (251758, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 12, 1, 2024, 8, 7, '2024-08-08 01:00:51', 1, '2024-08-11 01:00:45'), (251759, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 16, 1, 2024, 8, 7, '2024-08-08 01:00:51', 1, '2024-08-11 01:00:47'), (251760, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 12, 1, 2024, 8, 7, '2024-08-08 01:00:51', 1, '2024-08-11 01:00:47'), (251761, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 4615, 4, 2024, 8, 7, '2024-08-08 01:00:51', 1, '2024-08-11 01:00:47'), (251762, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 48, 2, 2024, 8, 7, '2024-08-08 01:00:51', 1, '2024-08-11 01:00:47'), (251763, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 578, 2, 2024, 8, 7, '2024-08-08 01:00:51', 1, '2024-08-11 01:00:47'), (251764, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 16, 1, 2024, 8, 7, '2024-08-08 01:00:51', 1, '2024-08-11 01:00:47'), (251765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 386, 684, 2024, 8, 8, '2024-08-08 01:01:01', 1, '2024-08-12 01:00:02'), (251766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 539, 6, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:03'), (251767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 632, 293, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:03'), (251768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 567, 43, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:03'), (251769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 718, 1, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 502, 65, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:03'), (251771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1491, 8, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:02'), (251772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 381, 76, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:02'), (251773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 374, 41, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:02'), (251774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 519, 112, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:03'), (251775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 3198, 6, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:02'), (251776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 411, 61, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:03'), (251777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 404, 49, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:03'), (251778, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:16'), (251779, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 5884, 2, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:09'), (251780, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 11, 16, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:15'), (251781, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 47, 101, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:16'), (251782, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 1026, 3, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:17'), (251783, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 3, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251784, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 520, 7, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:15'), (251785, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 702, 51, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:16'), (251786, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 8, 4, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251787, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 38, 3, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251788, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 36, 15, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251789, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 1364, 82, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:09'), (251790, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 506, 12, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:16'), (251791, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1313, 48, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:16'), (251792, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 7902, 2, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251793, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 18, 3, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251794, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 156, 8, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:17'), (251795, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 9, 17, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:09'), (251796, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 355, 2, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:09'), (251797, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', '', 15814, 1, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251798, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 18, 3, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:09'), (251799, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 188, 4, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251800, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 166, 37, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251801, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 15, 50, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251802, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 681, 170, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:09'), (251803, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 309, 14, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251804, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 4, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251805, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 133, 13, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251806, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 372, 28, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251807, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 226, 52, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251808, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 4, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251809, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251810, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 453, 15, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:16'), (251811, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 1, 2024, 8, 7, '2024-08-08 01:00:56', 1, '2024-08-11 01:00:08'), (251812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 309, 14, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:18'), (251813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 21, 16, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:18'), (251814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 23, 19, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:18'), (251815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 386, 27, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:18'), (251816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 74, 9, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:18'), (251817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 918, 26, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:18'), (251818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 110, 21, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:18'), (251819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 1308, 29, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:18'), (251820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 8, 8, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:23'), (251821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 3, 10, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:24'), (251822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 934, 17, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:24'), (251823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1180, 17, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:25'), (251824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 3418, 10, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:31'), (251825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 22, 14, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:32'), (251826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C01', 7, 10, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:32'), (251827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 866, 14, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:32'), (251828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 13, 10, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:32'), (251829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 15814, 1, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:33'), (251830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1814, 17, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 92, 9, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:17'), (251832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 137, 15, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:23'), (251833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 111, 15, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:24'), (251834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 8, 15, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:25'), (251835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 254, 15, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:31'), (251836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 58, 16, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:18'), (251837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 166, 37, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:19'), (251838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 18, 15, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:24'), (251839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 619, 54, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:25'), (251840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 4, 2, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:31'), (251841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 732, 40, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:31'), (251842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 3069, 1, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:32'), (251843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 452, 8, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:32'), (251844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 161, 14, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:32'), (251845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 188, 4, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:23'), (251846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 18, 3, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:23'), (251847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 38, 3, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:24'), (251848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 156, 8, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:23'), (251849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 463, 13, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:24'), (251850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 520, 7, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:31'), (251851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 531, 29, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:32'), (251852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 927, 22, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:18'), (251853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 797, 40, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:18'), (251854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 385, 2, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:17'), (251855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 2943, 4, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:17'), (251856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 18, 3, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:18'), (251857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2, 3, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:17'), (251858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 9, 5, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:17'), (251859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 25, 5, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:17'), (251860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 607, 35, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:17'), (251861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 506, 12, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:17'), (251862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 36, 15, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:17'), (251863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 15804, 1, 2024, 8, 7, '2024-08-08 01:00:57', 1, '2024-08-11 01:00:18'), (251864, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 5, 1, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:42');
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (251865, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 3069, 1, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:42'), (251866, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 4, 2, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:42'), (251867, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 520, 7, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:41'), (251868, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 531, 29, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251869, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 2, 3, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251870, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 927, 22, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251871, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2, 3, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:41'), (251872, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 25, 5, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:41'), (251873, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 9, 5, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:41'), (251874, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 386, 27, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:41'), (251875, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 165, 10, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251876, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 27, 3, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251877, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 9, 3, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251878, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 156, 8, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:41'), (251879, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 21, 3, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:41'), (251880, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 463, 13, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:41'), (251881, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 18, 3, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:41'), (251882, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 188, 4, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:41'), (251883, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 254, 15, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251884, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 137, 15, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251885, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 18, 3, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251886, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 36, 15, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:41'), (251887, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 161, 14, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:41'), (251888, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 385, 2, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:41'), (251889, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 20, 9, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:41'), (251890, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 12, 3, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:41'), (251891, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 5, 11, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:41'), (251892, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 3, 4, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:41'), (251893, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 12, 4, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251894, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 309, 14, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251895, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 14, 9, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:40'), (251896, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 30, 10, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:41'), (251897, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 452, 8, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251898, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 3418, 10, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251899, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1814, 17, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251900, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 1308, 29, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251901, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1180, 17, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251902, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 934, 17, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251903, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 866, 14, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251904, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 918, 26, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251905, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 15804, 1, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251906, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 11768, 1, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:41'), (251907, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 607, 35, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:41'), (251908, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', 'A06', 15814, 1, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251909, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 4, 1, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:41'), (251910, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 58, 16, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:41'), (251911, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 506, 12, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:41'), (251912, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 21, 16, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:41'), (251913, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 3, 1, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:42'), (251914, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 2, 4, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:42'), (251915, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 18, 3, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251916, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 4, 1, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251917, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 355, 2, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:41'), (251918, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 38, 3, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:41'), (251919, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C01', 7, 10, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:41'), (251920, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 797, 40, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:41'), (251921, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 4, 4, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251922, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 110, 21, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:40'), (251923, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 732, 40, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:41'), (251924, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 3, 10, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:41'), (251925, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 619, 54, 2024, 8, 7, '2024-08-08 01:00:58', 1, '2024-08-11 01:00:41'), (251926, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 23, 19, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:41'), (251927, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 166, 37, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:41'), (251928, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 74, 9, 2024, 8, 7, '2024-08-08 01:00:59', 1, '2024-08-11 01:00:41'), (251929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 166, 1062, 2024, 8, 8, '2024-08-08 01:01:09', 1, '2024-08-12 01:00:41'), (251930, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 244, 395, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:08'), (251931, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 607, 90, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:08'), (251932, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 226, 49, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:08'), (251933, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 35, 52, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:08'), (251934, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 257, 153, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:02'), (251935, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 179, 91, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:08'), (251936, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 381, 88, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:08'), (251937, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 55, 75, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:08'), (251938, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 35, 11, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:17'), (251939, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 177, 14, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:16'), (251940, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 5, 12, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:16'), (251941, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 4, 7, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:16'), (251942, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 88, 14, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:17'), (251943, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 179, 91, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:17'), (251944, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 289, 5, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:16'), (251945, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 230, 35, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:16'), (251946, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 11, 7, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:17'), (251947, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 20, 2, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:17'), (251948, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 762, 1, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:16'), (251949, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 28, 2, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:17'), (251950, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 174, 16, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:23'), (251951, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 2, 4, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:24'), (251952, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 7275, 4, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:08'), (251953, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 287, 118, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:08'), (251954, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 544, 7, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:17'), (251955, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 190, 216, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:17'), (251956, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 27, 2, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:17'), (251957, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 125, 5, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:23'), (251958, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '', 152, 1, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:09'), (251959, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 43, 10, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:09'), (251960, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 55, 75, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:09'), (251961, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 369, 18, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:15'), (251962, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 158, 2, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:16'), (251963, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 12, 2, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:08'), (251964, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 62, 53, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:08'), (251965, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 135, 72, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:08'), (251966, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '', 19528, 1, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:09'), (251967, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 336, 4, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:09'), (251968, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 18482, 1, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:09'), (251969, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 35, 52, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:09'), (251970, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 44, 4, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:09'), (251971, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 613, 41, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:09'), (251972, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 352, 61, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:09'), (251973, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 19, 5, 2024, 8, 7, '2024-08-08 01:01:04', 1, '2024-08-11 01:00:16'), (251974, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 3, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:16'), (251975, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 150, 15, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:16'), (251976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 157, 2, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:28'), (251977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 55, 13, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:28'), (251978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 3, 5, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:28'), (251979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 7, 2, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:28'), (251980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 34, 14, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:28'), (251981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 28, 11, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:28'), (251982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 174, 16, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:29'), (251983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 334, 12, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:29'), (251984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 70, 14, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:24'), (251985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 172, 16, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:24'), (251986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 28, 1, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:25'), (251987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 176, 12, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:25'), (251988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 426, 1, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:31'), (251989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 176, 16, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:32'), (251990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 125, 5, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:33'), (251991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 122, 15, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:39'), (251992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 4, 1, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:27'), (251993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 228, 19, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:27'), (251994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 12, 2, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:27'), (251995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 194, 50, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:28'), (251996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 79, 20, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:28'), (251997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 329, 4, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:28'), (251998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 118, 47, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:28'), (251999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 28, 10, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:28'), (252000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 136, 4, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:28'), (252001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 5, 2, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:25'), (252002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 4, 1, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:31'), (252003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 661, 4, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:31'), (252004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 307, 8, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:32'), (252005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 173, 39, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:33'), (252006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 28, 2, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:33'), (252007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 12, 8, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:33'), (252008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 163, 8, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:39'), (252009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 508, 2, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:39'), (252010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 95, 14, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:40'), (252011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 303, 1, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:40'), (252012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 174, 17, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:40'), (252013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 353, 2, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:40'), (252014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 173, 7, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:41'), (252015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 3, 3, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:24'), (252016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 82, 6, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:32'), (252017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 319, 26, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:32'), (252018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 23, 4, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:32'), (252019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 193, 18, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:33'), (252020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 24, 14, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:24'), (252021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 3, 1, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:25'), (252022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 54, 11, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:25'), (252023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 9, 5, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:25'), (252024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 2, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:25'), (252025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 39, 10, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:26'), (252026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 77, 11, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:26'), (252027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 6, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:26'), (252028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 5, 1, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:25'), (252029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 109, 5, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:25'), (252030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 10, 2, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:25'), (252031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 4, 5, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:25'), (252032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 88, 4, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:25'), (252033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 144, 20, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:24'), (252034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 700, 13, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:24'), (252035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 166, 25, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:24'), (252036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 53, 8, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:24'), (252037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 28, 1, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:24'), (252038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 18, 7, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:24'), (252039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 88, 14, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:24'), (252040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 105, 15, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:24'), (252041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 20, 2, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:25'), (252042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 37, 15, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:25'), (252043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 302, 23, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:25'), (252044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 300, 6, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:25'), (252045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 27, 2, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:27'), (252046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 189, 12, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:27'), (252047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 104, 2, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:27'), (252048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 132, 4, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:26'), (252049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 579, 16, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:26'), (252050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 544, 7, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:26'), (252051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 138, 16, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:26'), (252052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 9487, 2, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:27'), (252053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 782, 8, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:27'), (252054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 81, 11, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:27'), (252055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 325, 36, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:27'), (252056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 26, 12, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:27'), (252057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 284, 3, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:27'), (252058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 266, 43, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:27'), (252059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 9768, 2, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:26'), (252060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 11, 6, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:26'), (252061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 47, 9, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:26'), (252062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 7275, 4, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:26'), (252063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 8, 1, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:26'), (252064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 284, 38, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:26'), (252065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 433, 46, 2024, 8, 7, '2024-08-08 01:01:05', 1, '2024-08-11 01:00:26'), (252066, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 4, 1, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252067, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 23, 4, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252068, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 20, 2, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252069, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 125, 5, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252070, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 105, 15, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252071, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 88, 14, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252072, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 433, 46, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252073, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 138, 16, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252074, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 302, 23, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252075, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 166, 25, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252076, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 18, 7, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252077, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 144, 20, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252078, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 11, 6, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:41'), (252079, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 9, 1, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252080, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 300, 6, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252081, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 28, 1, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252082, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 53, 8, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252083, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 8, 1, 2024, 8, 7, '2024-08-08 01:01:08', 1, '2024-08-11 01:00:42'), (252084, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '1D09', 19528, 1, 2024, 8, 7, '2024-08-08 01:01:08', 1, '2024-08-11 01:00:42'), (252085, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '2C06', 152, 1, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252086, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 44, 4, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252087, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 661, 4, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252088, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 136, 4, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252089, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 329, 4, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252090, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 163, 8, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252091, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 5, 2, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252092, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 353, 2, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252093, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 508, 2, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252094, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 700, 13, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252095, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 70, 14, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252096, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 266, 43, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252097, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 284, 38, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252098, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 325, 36, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252099, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 544, 7, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252100, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 426, 1, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:41'), (252101, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 174, 17, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252102, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 579, 16, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252103, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 132, 4, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252104, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 762, 1, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252105, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 782, 8, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252106, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 158, 2, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252107, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 194, 50, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252108, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 228, 19, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252109, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 47, 9, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252110, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 193, 18, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252111, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 319, 26, 2024, 8, 7, '2024-08-08 01:01:08', 1, '2024-08-11 01:00:43'), (252112, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 122, 15, 2024, 8, 7, '2024-08-08 01:01:08', 1, '2024-08-11 01:00:43'), (252113, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 176, 16, 2024, 8, 7, '2024-08-08 01:01:08', 1, '2024-08-11 01:00:43'), (252114, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 173, 39, 2024, 8, 7, '2024-08-08 01:01:08', 1, '2024-08-11 01:00:43'), (252115, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 28, 1, 2024, 8, 7, '2024-08-08 01:01:08', 1, '2024-08-11 01:00:43'), (252116, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 172, 16, 2024, 8, 7, '2024-08-08 01:01:08', 1, '2024-08-11 01:00:43'), (252117, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 118, 47, 2024, 8, 7, '2024-08-08 01:01:08', 1, '2024-08-11 01:00:43'), (252118, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 12, 2, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252119, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 284, 3, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252120, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 5, 1, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252121, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 18482, 1, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252122, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 37, 15, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:43'), (252123, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 54, 11, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252124, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 77, 11, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252125, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 39, 10, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252126, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 493, 1, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252127, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 34, 14, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252128, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 109, 5, 2024, 8, 7, '2024-08-08 01:01:08', 1, '2024-08-11 01:00:43'), (252129, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 28, 11, 2024, 8, 7, '2024-08-08 01:01:08', 1, '2024-08-11 01:00:43'), (252130, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 55, 13, 2024, 8, 7, '2024-08-08 01:01:08', 1, '2024-08-11 01:00:43'), (252131, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 27, 2, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252132, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 3, 5, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252133, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 7, 2, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252134, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 2, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252135, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C06', 163, 1, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252136, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 485, 2, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252137, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 24, 14, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252138, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 26, 12, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:41'), (252139, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 81, 11, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:41'), (252140, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 4, 1, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252141, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 12, 8, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252142, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 79, 20, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252143, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 28, 10, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252144, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 95, 14, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:43'), (252145, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C11', 303, 1, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252146, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 3, 3, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252147, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 3, 1, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:42'), (252148, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 189, 12, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252149, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 9, 5, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252150, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 104, 2, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252151, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 3, 6, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252152, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 173, 7, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:41'), (252153, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 7275, 4, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252154, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 307, 8, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252155, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 88, 4, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:42'), (252156, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 4, 5, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252157, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C09', 13, 1, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252158, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 10, 2, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:42'), (252159, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 28, 2, 2024, 8, 7, '2024-08-08 01:01:06', 1, '2024-08-11 01:00:41'), (252160, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 174, 16, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252161, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 254, 9, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252162, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 191, 11, 2024, 8, 7, '2024-08-08 01:01:07', 1, '2024-08-11 01:00:41'), (252163, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:08', 1, '2024-08-13 01:00:03'), (252164, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:08', 1, '2024-08-13 01:00:03'), (252165, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:08', 1, '2024-08-13 01:00:03'), (252166, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:08', 1, '2024-08-13 01:00:03'), (252167, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:08', 1, '2024-08-13 01:00:03'), (252168, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:16', 1, '2024-08-13 01:00:11'), (252169, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:16', 1, '2024-08-13 01:00:10'), (252170, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:16', 1, '2024-08-13 01:00:11'), (252171, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:17', 1, '2024-08-13 01:00:10'), (252172, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:18', 1, '2024-08-13 01:00:18'), (252173, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:23', 1, '2024-08-13 01:00:19'), (252174, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:23', 1, '2024-08-13 01:00:18'), (252175, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:24', 1, '2024-08-13 01:00:19'), (252176, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:25', 1, '2024-08-13 01:00:21'), (252177, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:25', 1, '2024-08-13 01:00:25'), (252178, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:31', 1, '2024-08-13 01:00:26'), (252179, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:31', 1, '2024-08-13 01:00:27'), (252180, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:32', 1, '2024-08-13 01:00:27'), (252181, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:33', 1, '2024-08-13 01:00:29'), (252182, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:33', 1, '2024-08-13 01:00:33'), (252183, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:39', 1, '2024-08-13 01:00:33'), (252184, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:40', 1, '2024-08-13 01:00:34'), (252185, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:40', 1, '2024-08-13 01:00:36'), (252186, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:41', 1, '2024-08-13 01:00:35'), (252187, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:42', 1, '2024-08-13 01:00:42'), (252188, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 9, '2024-08-09 01:00:49', 1, '2024-08-13 01:00:45'), (252189, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 4069, 14, 2024, 8, 9, '2024-08-09 01:00:52', 1, '2024-08-13 01:00:10'), (252190, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 292, 9, 2024, 8, 9, '2024-08-09 01:00:52', 1, '2024-08-13 01:00:42'), (252191, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 541, 4, 2024, 8, 8, '2024-08-09 01:00:50', 1, '2024-08-12 01:00:41'), (252192, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 18, 2, 2024, 8, 8, '2024-08-09 01:00:50', 1, '2024-08-12 01:00:41'), (252193, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 793, 1, 2024, 8, 8, '2024-08-09 01:00:50', 1, '2024-08-12 01:00:41'), (252194, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 1335, 1, 2024, 8, 8, '2024-08-09 01:00:50', 1, '2024-08-12 01:00:41'), (252195, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 457, 3, 2024, 8, 8, '2024-08-09 01:00:50', 1, '2024-08-12 01:00:41'), (252196, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 793, 1, 2024, 8, 8, '2024-08-09 01:00:51', 1, '2024-08-12 01:00:41'), (252197, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 18, 2, 2024, 8, 8, '2024-08-09 01:00:51', 1, '2024-08-12 01:00:42'), (252198, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 793, 1, 2024, 8, 8, '2024-08-09 01:00:51', 1, '2024-08-12 01:00:42'), (252199, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 1335, 1, 2024, 8, 8, '2024-08-09 01:00:51', 1, '2024-08-12 01:00:42'), (252200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 453, 644, 2024, 8, 9, '2024-08-09 01:01:01', 1, '2024-08-13 01:00:03'), (252201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 213, 960, 2024, 8, 9, '2024-08-09 01:01:05', 1, '2024-08-13 01:00:03'), (252202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 1456, 7, 2024, 8, 8, '2024-08-09 01:00:55', 1, '2024-08-12 01:00:08'), (252203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 708, 3, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:08'), (252204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 344, 238, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:09'), (252205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 369, 64, 2024, 8, 8, '2024-08-09 01:00:55', 1, '2024-08-12 01:00:08'), (252206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 390, 48, 2024, 8, 8, '2024-08-09 01:00:55', 1, '2024-08-12 01:00:08'), (252207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 291, 35, 2024, 8, 8, '2024-08-09 01:00:55', 1, '2024-08-12 01:00:08'), (252208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 497, 85, 2024, 8, 8, '2024-08-09 01:00:55', 1, '2024-08-12 01:00:03'), (252209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 287, 8, 2024, 8, 8, '2024-08-09 01:00:55', 1, '2024-08-12 01:00:08'), (252210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 392, 59, 2024, 8, 8, '2024-08-09 01:00:55', 1, '2024-08-12 01:00:16'), (252211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 263, 59, 2024, 8, 8, '2024-08-09 01:00:55', 1, '2024-08-12 01:00:16'), (252212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 437, 67, 2024, 8, 8, '2024-08-09 01:00:55', 1, '2024-08-12 01:00:08'), (252213, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252214, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 1169, 4, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252215, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252216, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 107, 21, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252217, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 25, 89, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252218, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 4, 2, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:24'), (252219, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 0, 1, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252220, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 243, 11, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252221, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 273, 40, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:24'), (252222, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 422, 6, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252223, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '', '', '', 5, 1, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:20'), (252224, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 17, 14, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:24'), (252225, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 460, 4, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:24'), (252226, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 494, 66, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252227, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 121, 9, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252228, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 727, 38, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252229, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:24'), (252230, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:24'), (252231, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 99, 4, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:28'), (252232, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 14, 1, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:17'), (252233, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 41, 7, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252234, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 79, 16, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252235, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 527, 1, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:17'), (252236, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', '', 0, 1, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252237, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 95, 2, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:17'), (252238, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 2766, 2, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252239, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 191, 34, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:17'), (252240, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 117, 51, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:17'), (252241, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 793, 140, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:17'), (252242, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 1865, 1, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:20'), (252243, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 159, 4, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:21'), (252244, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 198, 8, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:24'), (252245, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 160, 1, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:24'), (252246, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 373, 11, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252247, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 134, 20, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252248, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 156, 44, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:24'), (252249, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 5, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252250, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 2011, 13, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252251, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 7, 2024, 8, 8, '2024-08-09 01:00:56', 1, '2024-08-12 01:00:16'), (252252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 198, 8, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 12, 15, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 79, 7, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 134, 20, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:30'), (252256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 768, 20, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:30'), (252257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 18, 8, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:31'), (252258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 480, 28, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:31'), (252259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 12, 19, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:32'), (252260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 99, 16, 2024, 8, 8, '2024-08-09 01:00:57', 1, '2024-08-12 01:00:29'), (252261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1029, 13, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:30');
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (252262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 213, 18, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:30'), (252263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 14, 4, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:30'), (252264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 254, 15, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:31'), (252265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 416, 11, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:31'), (252266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C01', 57, 13, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:31'), (252267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 83, 17, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:36'), (252268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 690, 14, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:38'), (252269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 376, 9, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:28'), (252270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 84, 11, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 201, 7, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 180, 9, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:30'), (252273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 223, 13, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:31'), (252274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 120, 7, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 9, 11, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:30'), (252276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 191, 34, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:30'), (252277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 17, 12, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:31'), (252278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 92, 13, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 814, 33, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 666, 40, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 9, 1, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 1865, 1, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 170, 13, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 2766, 2, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 99, 4, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 460, 4, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 41, 7, 2024, 8, 8, '2024-08-09 01:00:57', 1, '2024-08-12 01:00:29'), (252288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 159, 4, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1737, 10, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 160, 1, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 243, 11, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:30'), (252292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 207, 11, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:31'), (252293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 408, 14, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 195, 15, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 1016, 29, 2024, 8, 8, '2024-08-09 01:00:58', 1, '2024-08-12 01:00:29'), (252296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 2925, 3, 2024, 8, 8, '2024-08-09 01:00:57', 1, '2024-08-12 01:00:29'), (252297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 95, 2, 2024, 8, 8, '2024-08-09 01:00:57', 1, '2024-08-12 01:00:30'), (252298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 1003, 5, 2024, 8, 8, '2024-08-09 01:00:57', 1, '2024-08-12 01:00:30'), (252299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 217, 4, 2024, 8, 8, '2024-08-09 01:00:57', 1, '2024-08-12 01:00:29'), (252300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 14, 1, 2024, 8, 8, '2024-08-09 01:00:57', 1, '2024-08-12 01:00:29'), (252301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 90, 6, 2024, 8, 8, '2024-08-09 01:00:57', 1, '2024-08-12 01:00:29'), (252302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 111, 3, 2024, 8, 8, '2024-08-09 01:00:57', 1, '2024-08-12 01:00:30'), (252303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 41, 4, 2024, 8, 8, '2024-08-09 01:00:57', 1, '2024-08-12 01:00:28'), (252304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 738, 38, 2024, 8, 8, '2024-08-09 01:00:57', 1, '2024-08-12 01:00:28'), (252305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 17, 14, 2024, 8, 8, '2024-08-09 01:00:57', 1, '2024-08-12 01:00:28'), (252306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 136, 8, 2024, 8, 8, '2024-08-09 01:00:57', 1, '2024-08-12 01:00:29'), (252307, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 503, 3, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252308, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 9, 1, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252309, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 243, 11, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252310, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 207, 11, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:38'), (252311, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 85, 4, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:38'), (252312, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 408, 14, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:38'), (252313, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 90, 6, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252314, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 217, 4, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252315, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 195, 15, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252316, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 41, 4, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252317, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 111, 3, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252318, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 134, 20, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252319, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 234, 6, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:38'), (252320, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 540, 5, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252321, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 342, 3, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252322, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 41, 7, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252323, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 3, 2, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:38'), (252324, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1737, 10, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252325, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 2766, 2, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252326, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 99, 4, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252327, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 120, 7, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252328, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 223, 13, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:38'), (252329, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 84, 11, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252330, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 95, 2, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252331, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 17, 14, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252332, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '', '', 'A08', 5, 1, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252333, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 2925, 3, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252334, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 170, 13, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252335, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 21, 8, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252336, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 69, 2, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252337, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 14, 1, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252338, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 9, 5, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252339, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 67, 8, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:38'), (252340, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 198, 8, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:38'), (252341, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 92, 14, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:38'), (252342, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 272, 14, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252343, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 690, 14, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:38'), (252344, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 480, 28, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:38'), (252345, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1029, 13, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:38'), (252346, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 416, 11, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:38'), (252347, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 213, 18, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:38'), (252348, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 768, 20, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:38'), (252349, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 4676, 1, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252350, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 738, 38, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252351, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 1865, 1, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252352, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 21, 1, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252353, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 17, 12, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252354, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 136, 8, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252355, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 12, 15, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252356, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 41, 3, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252357, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 4, 1, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:40'), (252358, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 9, 11, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:40'), (252359, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 64, 1, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:38'), (252360, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 527, 1, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252361, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 159, 4, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252362, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 460, 4, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252363, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C01', 57, 13, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:40'), (252364, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 1016, 29, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:40'), (252365, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 131, 8, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252366, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 12, 19, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252367, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 666, 40, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252368, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 814, 33, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:39'), (252369, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 14, 4, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:40'), (252370, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 79, 7, 2024, 8, 8, '2024-08-09 01:00:59', 1, '2024-08-12 01:00:40'), (252371, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 191, 34, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:40'), (252372, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 160, 1, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:40'), (252373, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 18, 8, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:40'), (252374, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 167, 380, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252375, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 96, 128, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252376, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 156, 58, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252377, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 97, 63, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252378, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 108, 164, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252379, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 89, 68, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252380, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 461, 98, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252381, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 153, 103, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252382, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 109, 15, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252383, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 113, 25, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252384, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 66, 14, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252385, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 51, 26, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252386, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 280, 9, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252387, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 89, 68, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252388, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 399, 6, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252389, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 96, 33, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252390, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 244, 9, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252391, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 62, 1, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252392, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 437, 1, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252393, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 133, 6, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252394, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 121, 17, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252395, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 830, 5, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252396, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 1, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252397, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 162, 98, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252398, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 244, 6, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252399, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 0, 1, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252400, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 60, 193, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252401, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 126, 6, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252402, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 207, 11, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252403, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 45, 19, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252404, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 155, 102, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252405, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 206, 13, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252406, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 12, 2, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252407, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 68, 62, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252408, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 22, 42, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252409, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 566, 8, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252410, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 97, 63, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252411, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 156, 9, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252412, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 723, 54, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252413, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 406, 89, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:41'), (252414, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 34, 41, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252415, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 5, 2, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252416, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 31, 5, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 93, 3, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 37, 8, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 4, 7, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 128, 7, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 140, 19, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 121, 17, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 63, 12, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 170, 15, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:45'), (252425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 50, 16, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:43'), (252426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 48, 7, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:42'), (252427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 80, 12, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 228, 2, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 88, 11, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 52, 15, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 250, 8, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 40, 29, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 65, 19, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 8, 1, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 59, 32, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 128, 3, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 33, 13, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:45'), (252438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 53, 33, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:45'), (252439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 194, 2, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:45'), (252440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E12', 16, 1, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:45'), (252441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 16, 6, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:45'), (252442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 5, 2, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 177, 3, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 254, 2, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 89, 31, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 234, 3, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 154, 1, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 15, 5, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:45'), (252449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 122, 11, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:45'), (252450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 43, 10, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:45'), (252451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 242, 3, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:45'), (252452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 19, 18, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:45'), (252453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 57, 11, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:46'), (252454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 262, 3, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:46'), (252455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 146, 9, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:46'), (252456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 4154, 1, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 156, 9, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:43'), (252458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 82, 14, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 20, 12, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 44, 27, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 101, 24, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:42'), (252462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 189, 17, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 15, 6, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 166, 15, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 9, 5, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 5, 1, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 346, 8, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 67, 7, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 202, 9, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:43'), (252470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 90, 8, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:44'), (252471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 6, 1, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 175, 17, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 116, 8, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 28, 4, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 198, 3, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 155, 15, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:43'), (252477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 834, 12, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:43'), (252478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 29, 2, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 68, 20, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 46, 1, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 280, 9, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 50, 6, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 62, 1, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 58, 16, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 27, 2, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 135, 12, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 464, 42, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:45'), (252488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 40, 14, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 126, 6, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:44'), (252490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 181, 14, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 25, 11, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 760, 8, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:43'), (252493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 30, 15, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:44'), (252494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 547, 15, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 244, 6, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 115, 7, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 775, 19, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:44'), (252498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 118, 33, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:45'), (252499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 62, 13, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:45'), (252500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 566, 8, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:45'), (252501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 156, 36, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:45'), (252502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 293, 6, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 145, 3, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:43'), (252504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 45, 19, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 220, 29, 2024, 8, 8, '2024-08-09 01:01:00', 1, '2024-08-12 01:00:42'), (252506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 361, 46, 2024, 8, 8, '2024-08-09 01:01:01', 1, '2024-08-12 01:00:43'), (252507, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 93, 3, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:48'), (252508, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 40, 29, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:48'), (252509, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 62, 1, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252510, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 20, 12, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252511, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 250, 8, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252512, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 464, 42, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:48'), (252513, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 280, 9, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252514, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 361, 46, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252515, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 30, 15, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:48'), (252516, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 135, 12, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252517, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 68, 20, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252518, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 50, 6, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252519, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 155, 15, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252520, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 145, 3, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:46'), (252521, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 293, 6, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252522, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 27, 2, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252523, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 46, 1, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252524, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 29, 2, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252525, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 156, 9, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:46'), (252526, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 40, 14, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252527, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 254, 2, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252528, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 194, 2, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252529, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 122, 11, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252530, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 128, 3, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252531, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 5, 2, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252532, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 262, 3, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252533, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 154, 1, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252534, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 834, 12, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252535, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 50, 16, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252536, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 156, 36, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252537, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 220, 29, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252538, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 118, 33, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252539, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 244, 6, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252540, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 228, 2, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:46'), (252541, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 57, 11, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252542, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 547, 15, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252543, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 437, 1, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252544, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 760, 8, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252545, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 775, 19, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252546, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 59, 32, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252547, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 65, 19, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252548, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 45, 19, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252549, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 44, 27, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252550, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 82, 14, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252551, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 52, 15, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252552, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 43, 10, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252553, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 88, 11, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252554, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 89, 31, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252555, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 48, 7, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252556, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 53, 33, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252557, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 8, 1, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252558, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 566, 8, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252559, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 6, 1, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252560, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 58, 16, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252561, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 166, 15, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252562, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 189, 17, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252563, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 202, 9, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252564, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 346, 8, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252565, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 140, 19, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252566, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 63, 12, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252567, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 175, 17, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252568, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E12', 16, 1, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252569, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 37, 8, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252570, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 126, 6, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252571, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 4, 7, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252572, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 5, 1, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252573, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 128, 7, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:47'), (252574, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 437, 4, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:46'), (252575, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 101, 24, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252576, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 62, 13, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:46'), (252577, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 115, 7, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:46'), (252578, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 15, 5, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252579, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 33, 13, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252580, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 16, 6, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252581, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 19, 18, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252582, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C11', 322, 2, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252583, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 4154, 1, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252584, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 8, 2, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252585, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 15, 6, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252586, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 181, 14, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252587, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 9, 5, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252588, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 25, 11, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252589, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 67, 7, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252590, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 90, 8, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252591, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 146, 9, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252592, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 177, 3, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:48'), (252593, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 198, 3, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:48'), (252594, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 28, 4, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252595, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 116, 8, 2024, 8, 8, '2024-08-09 01:01:03', 1, '2024-08-12 01:00:48'), (252596, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 234, 3, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252597, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C11', 81, 1, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252598, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 121, 17, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252599, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 44, 8, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252600, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 80, 12, 2024, 8, 8, '2024-08-09 01:01:02', 1, '2024-08-12 01:00:47'), (252601, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:08', 1, '2024-08-14 01:00:02'), (252602, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:08', 1, '2024-08-14 01:00:02'), (252603, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:08', 1, '2024-08-14 01:00:02'), (252604, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:08', 1, '2024-08-14 01:00:02'), (252605, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:08', 1, '2024-08-14 01:00:40'), (252606, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:16', 1, '2024-08-14 01:00:10'), (252607, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:16', 1, '2024-08-14 01:00:10'), (252608, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:16', 1, '2024-08-14 01:00:10'), (252609, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:16', 1, '2024-08-14 01:00:10'), (252610, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:19', 1, '2024-08-14 01:00:17'), (252611, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:23', 1, '2024-08-14 01:00:17'), (252612, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:23', 1, '2024-08-14 01:00:17'), (252613, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:24', 1, '2024-08-14 01:00:18'), (252614, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:25', 1, '2024-08-14 01:00:17'), (252615, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:27', 1, '2024-08-14 01:00:25'), (252616, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:31', 1, '2024-08-14 01:00:25'), (252617, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:32', 1, '2024-08-14 01:00:25'), (252618, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:33', 1, '2024-08-14 01:00:25'), (252619, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:34', 1, '2024-08-14 01:00:25'), (252620, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:35', 1, '2024-08-14 01:00:33'), (252621, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:39', 1, '2024-08-14 01:00:33'), (252622, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:39', 1, '2024-08-14 01:00:33'), (252623, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:41', 1, '2024-08-14 01:00:33'), (252624, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:42', 1, '2024-08-14 01:00:40'), (252625, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:43', 1, '2024-08-14 01:00:40'), (252626, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:50', 1, '2024-08-14 01:00:02'), (252627, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:50', 1, '2024-08-14 01:00:33'), (252628, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 4069, 14, 2024, 8, 9, '2024-08-10 01:00:48', 1, '2024-08-13 01:00:10'), (252629, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 10265, 4, 2024, 8, 9, '2024-08-10 01:00:48', 1, '2024-08-13 01:00:10'), (252630, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1591, 10, 2024, 8, 9, '2024-08-10 01:00:48', 1, '2024-08-13 01:00:10'), (252631, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 20112, 1, 2024, 8, 9, '2024-08-10 01:00:48', 1, '2024-08-13 01:00:10'), (252632, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A13', 6982, 3, 2024, 8, 9, '2024-08-10 01:00:49', 1, '2024-08-13 01:00:10'), (252633, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 1591, 10, 2024, 8, 9, '2024-08-10 01:00:48', 1, '2024-08-13 01:00:10'), (252634, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 1591, 10, 2024, 8, 9, '2024-08-10 01:00:49', 1, '2024-08-13 01:00:11'), (252635, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A13', 6982, 3, 2024, 8, 9, '2024-08-10 01:00:49', 1, '2024-08-13 01:00:11'), (252636, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 20112, 1, 2024, 8, 9, '2024-08-10 01:00:49', 1, '2024-08-13 01:00:11'), (252637, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 10, '2024-08-10 01:00:54', 1, '2024-08-14 01:00:41'), (252638, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 292, 9, 2024, 8, 9, '2024-08-10 01:00:52', 1, '2024-08-13 01:00:43'), (252639, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 396, 6, 2024, 8, 9, '2024-08-10 01:00:52', 1, '2024-08-13 01:00:43'), (252640, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 49, 1, 2024, 8, 9, '2024-08-10 01:00:52', 1, '2024-08-13 01:00:43'), (252641, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 104, 2, 2024, 8, 9, '2024-08-10 01:00:52', 1, '2024-08-13 01:00:43'), (252642, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 323, 8, 2024, 8, 9, '2024-08-10 01:00:52', 1, '2024-08-13 01:00:43'), (252643, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 49, 1, 2024, 8, 9, '2024-08-10 01:00:52', 1, '2024-08-13 01:00:43'), (252644, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 396, 6, 2024, 8, 9, '2024-08-10 01:00:52', 1, '2024-08-13 01:00:43'), (252645, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 49, 1, 2024, 8, 9, '2024-08-10 01:00:52', 1, '2024-08-13 01:00:43'), (252646, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 104, 2, 2024, 8, 9, '2024-08-10 01:00:52', 1, '2024-08-13 01:00:43'), (252647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 88, 114, 2024, 8, 10, '2024-08-10 01:01:03', 1, '2024-08-14 01:00:02'), (252648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 802, 45, 2024, 8, 10, '2024-08-10 01:01:04', 1, '2024-08-14 01:00:02'), (252649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 98, 5, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:09'), (252650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 438, 198, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:16'), (252651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 357, 47, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:09'), (252652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 859, 35, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:09'), (252653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 280, 45, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:09'), (252654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 419, 103, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:09'), (252655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 329, 13, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:03'), (252656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 280, 8, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:08'), (252657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 719, 83, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:09'), (252658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 147, 36, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:09'), (252659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 311, 60, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:09'), (252660, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 1, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:17'), (252661, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 4, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:17'), (252662, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 26, 14, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:17');
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (252663, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 74, 69, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:17'), (252664, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 36, 3, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:17'), (252665, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 333, 5, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:19'), (252666, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 1036, 62, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:19'), (252667, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 848, 12, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:18'), (252668, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:19'), (252669, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 360, 3, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:24'), (252670, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 117, 14, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:27'), (252671, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 317, 53, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:19'), (252672, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 1219, 5, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:24'), (252673, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 584, 35, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:27'), (252674, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:17'), (252675, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 81, 6, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:17'), (252676, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 13, 2, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:17'), (252677, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 515, 8, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:18'), (252678, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 133, 14, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:18'), (252679, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', '', 1194, 1, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:16'), (252680, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 6, 1, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:17'), (252681, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 2738, 7, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:16'), (252682, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 207, 22, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:16'), (252683, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 89, 55, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:16'), (252684, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 520, 131, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:16'), (252685, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 23820, 1, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:16'), (252686, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 143, 8, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:16'), (252687, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1548, 3, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:17'), (252688, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 123, 7, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:17'), (252689, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 304, 27, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:17'), (252690, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 105, 49, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:17'), (252691, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 4, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:17'), (252692, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1735, 9, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:17'), (252693, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:17'), (252694, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 0, 1, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:17'), (252695, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 1, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:17'), (252696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 143, 8, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:29'), (252697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 5, 11, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:29'), (252698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 304, 27, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:29'), (252699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 141, 19, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:29'), (252700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 362, 16, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:29'), (252701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 280, 14, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:29'), (252702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 462, 18, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:28'), (252703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 60, 16, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:28'), (252704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 10, 9, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:28'), (252705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 829, 11, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:28'), (252706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 125, 15, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:28'), (252707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 476, 15, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:28'), (252708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C01', 29, 12, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:28'), (252709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 106, 19, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:28'), (252710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 1194, 1, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:28'), (252711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 464, 9, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:29'), (252712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 133, 13, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:33'), (252713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 71, 12, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:33'), (252714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 17, 6, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:34'), (252715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 112, 13, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:40'), (252716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 138, 15, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:29'), (252717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 34, 11, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:29'), (252718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 207, 22, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:30'), (252719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 30, 12, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:30'), (252720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 122, 21, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:27'), (252721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 422, 38, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:27'), (252722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 467, 46, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:27'), (252723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1479, 10, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:28'), (252724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 36, 3, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:28'), (252725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 89, 9, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:28'), (252726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 2738, 7, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:31'), (252727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 81, 6, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:32'), (252728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 360, 3, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:33'), (252729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 515, 8, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:31'), (252730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 23820, 1, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:31'), (252731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1548, 3, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:32'), (252732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1735, 9, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:33'), (252733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 333, 5, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:33'), (252734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 998, 20, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:33'), (252735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 937, 10, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:29'), (252736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 1126, 31, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:29'), (252737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 478, 20, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:29'), (252738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 6, 1, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:31'), (252739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 2, 2, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:31'), (252740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 10, 1, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:31'), (252741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 15, 4, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:33'), (252742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 13, 2, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:33'), (252743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 3, 3, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:33'), (252744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 72, 4, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:27'), (252745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 368, 17, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:27'), (252746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 848, 12, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:27'), (252747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 1219, 5, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:27'), (252748, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 25, 4, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252749, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 36, 3, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252750, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 333, 5, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252751, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 998, 20, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252752, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 937, 10, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252753, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 2, 2, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252754, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 15, 4, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252755, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 10, 1, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252756, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 1126, 31, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252757, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 72, 4, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252758, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 3, 3, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252759, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 304, 27, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252760, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 123, 7, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252761, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 154, 10, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252762, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 515, 8, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252763, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 14, 2, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252764, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1735, 9, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252765, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 81, 6, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252766, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 2738, 7, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252767, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 138, 15, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252768, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 112, 13, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252769, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 71, 12, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252770, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 6, 1, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252771, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 848, 12, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252772, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 89, 9, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252773, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 112, 9, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252774, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 117, 5, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252775, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 13, 2, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252776, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 2, 2, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:42'), (252777, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 68, 14, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252778, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 71, 14, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252779, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 143, 8, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252780, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 125, 11, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252781, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 464, 9, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252782, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 362, 16, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252783, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 829, 11, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252784, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 462, 18, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252785, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 476, 15, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252786, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 141, 19, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:40'), (252787, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 368, 17, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252788, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', 'A06', 1194, 1, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252789, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 286, 1, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252790, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 1219, 5, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252791, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 30, 12, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252792, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 206, 5, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:40'), (252793, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 128, 4, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252794, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 34, 11, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252795, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 23820, 1, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252796, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 360, 3, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:42'), (252797, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 478, 20, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:42'), (252798, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C01', 29, 12, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:43'), (252799, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 4, 2, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252800, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 280, 14, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252801, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 467, 46, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252802, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 10, 9, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252803, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 422, 38, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252804, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 5, 11, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252805, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 207, 22, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252806, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1548, 3, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:41'), (252807, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1479, 10, 2024, 8, 9, '2024-08-10 01:01:02', 1, '2024-08-13 01:00:42'), (252808, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 99, 351, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:03'), (252809, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 140, 84, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:03'), (252810, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 392, 57, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:03'), (252811, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 83, 70, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:03'), (252812, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 190, 150, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:03'), (252813, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 950, 96, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:03'), (252814, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 66, 60, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:03'), (252815, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 70, 92, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:03'), (252816, 1, '511500000000-0001', '宜宾市民中心', '取证业务', '', '', '', 0, 2, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:06'), (252817, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 70, 20, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:06'), (252818, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 171, 20, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:06'), (252819, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 71, 8, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:06'), (252820, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 37, 18, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:06'), (252821, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 513, 10, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:06'), (252822, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 66, 60, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:06'), (252823, 1, '511500000000-0001', '宜宾市民中心', '住房信息查询（接新房交契税、房屋套数查询等）', '', '', '', 0, 1, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:06'), (252824, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 124, 4, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:05'), (252825, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 133, 31, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:05'), (252826, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 600, 4, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:06'), (252827, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 11, 1, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:06'), (252828, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 435, 3, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:05'), (252829, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 1675, 2, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:05'), (252830, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 321, 17, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:05'), (252831, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 3, 3, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:05'), (252832, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 5301, 1, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:05'), (252833, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 50, 1, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:05'), (252834, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 156, 96, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:05'), (252835, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 318, 5, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:05'), (252836, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 84, 206, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:05'), (252837, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 69, 6, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:05'), (252838, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 486, 16, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:05'), (252839, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 143, 23, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:04'), (252840, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 70, 92, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:04'), (252841, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 274, 2, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:04'), (252842, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1098, 24, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:04'), (252843, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 3220, 3, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:03'), (252844, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 121, 45, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:03'), (252845, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 70, 55, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:03'), (252846, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 383, 10, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:04'), (252847, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:04'), (252848, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 85, 68, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:04'), (252849, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 137, 4, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:05'), (252850, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 9, 1, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:04'), (252851, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1526, 37, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:04'), (252852, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 49, 49, 2024, 8, 9, '2024-08-10 01:00:57', 1, '2024-08-13 01:00:04'), (252853, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 2, 5, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:04'), (252854, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 51, 6, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:04'), (252855, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 872, 1, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:09'), (252856, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 77, 6, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:09'), (252857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 95, 19, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:16'), (252858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 53, 2, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:16'), (252859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 111, 17, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:17'), (252860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 321, 17, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:25'), (252861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 152, 12, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:31'), (252862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 49, 11, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:33'), (252863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 64, 9, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:09'), (252864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 105, 13, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:17'), (252865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 59, 7, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:18'), (252866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 316, 16, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:24'), (252867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 76, 1, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:24'), (252868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 58, 7, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:25'), (252869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 461, 15, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:25'), (252870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 36, 14, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:27'), (252871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 2, 2, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:10'), (252872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 65, 25, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:10'), (252873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 3220, 3, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:10'), (252874, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 61, 28, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:10'), (252875, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1404, 5, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:10'), (252876, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 45, 42, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:10'), (252877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 5301, 1, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:10'), (252878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 7, 3, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:10'), (252879, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 1493, 6, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:10'), (252880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 39, 1, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:18'), (252881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 8, 1, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:19'), (252882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1168, 3, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:24'), (252883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 323, 4, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:25'), (252884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 52, 37, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:31'), (252885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 186, 3, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:33'), (252886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 90, 17, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:35'), (252887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 163, 24, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:39'), (252888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1198, 5, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:40'), (252889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 159, 23, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:40'), (252890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 138, 8, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:40'), (252891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 246, 3, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:40'), (252892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 3, 3, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:09'), (252893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 183, 6, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:17'), (252894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 134, 17, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:17'), (252895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 3, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:19'), (252896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 80, 21, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:24'), (252897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 66, 1, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:09'), (252898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 73, 21, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:17'), (252899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 4, 1, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:08'), (252900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 83, 16, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:08'), (252901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 96, 15, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:08'), (252902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 36, 9, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:08'), (252903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 76, 12, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:08'), (252904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 108, 3, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:08'), (252905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 5, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:08'), (252906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 107, 12, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:08'), (252907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 41, 9, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:07'), (252908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 28, 8, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:07'), (252909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 117, 8, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:08'), (252910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 48, 5, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:08'), (252911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 53, 15, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:06'), (252912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1362, 10, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:07'), (252913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 28, 2, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:07'), (252914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 180, 16, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:07'), (252915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 513, 10, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:07'), (252916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 6, 9, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:07'), (252917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 157, 1, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:07'), (252918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 11, 1, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:07'), (252919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 30, 3, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:07'), (252920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 12, 9, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:07'), (252921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 27, 11, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:07'), (252922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 65, 26, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:07'), (252923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A10', 192, 13, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:06'), (252924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 69, 6, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:09'), (252925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 314, 7, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:17'), (252926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 94, 13, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:17'), (252927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1912, 10, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:09'), (252928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 318, 5, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:09'), (252929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1727, 9, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:09'), (252930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 9, 11, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:09'), (252931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 54, 2, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:09'), (252932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 1105, 1, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:09'), (252933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1168, 7, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:09'), (252934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 87, 30, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:09'), (252935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 48, 15, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:09'), (252936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 341, 8, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:10'), (252937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 188, 34, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:10'), (252938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 1077, 2, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:08'), (252939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 124, 2, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:09'), (252940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 154, 21, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:09'), (252941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 50, 1, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:09'), (252942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 28, 2, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:09'), (252943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 186, 32, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:08'), (252944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 31, 23, 2024, 8, 9, '2024-08-10 01:00:58', 1, '2024-08-13 01:00:08'), (252945, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 872, 1, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (252946, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 2, 2, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (252947, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 11, 1, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (252948, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 461, 15, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (252949, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 3, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (252950, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 65, 26, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (252951, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 513, 10, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (252952, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 31, 23, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (252953, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 9, 11, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (252954, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 5301, 1, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:41'), (252955, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 12, 9, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252956, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 180, 16, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252957, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 6, 9, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252958, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 53, 15, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252959, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 124, 2, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:41'), (252960, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 1077, 2, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252961, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 30, 3, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:41'), (252962, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 157, 1, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252963, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 28, 2, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252964, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 28, 2, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252965, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 137, 4, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:41'), (252966, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A10', 192, 13, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252967, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1168, 3, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252968, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 1493, 6, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252969, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 186, 3, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252970, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 1404, 5, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (252971, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 39, 1, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (252972, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 66, 1, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (252973, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 246, 3, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (252974, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 1198, 5, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (252975, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1362, 10, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:43'), (252976, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 64, 9, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (252977, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 188, 34, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252978, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 186, 32, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252979, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 87, 30, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252980, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 318, 5, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (252981, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 76, 1, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:41'), (252982, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 159, 23, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:41'), (252983, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1727, 9, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:41'), (252984, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 435, 3, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:41'), (252985, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1912, 10, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:41'), (252986, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 274, 2, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252987, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1168, 7, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252988, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 61, 28, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252989, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 65, 25, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (252990, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 154, 21, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:42'), (252991, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 80, 21, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:42'), (252992, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 134, 17, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:42'), (252993, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E22', 9, 1, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:42'), (252994, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 36, 14, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:42'), (252995, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 58, 7, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:42'), (252996, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 52, 37, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:42'), (252997, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 59, 7, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:42'), (252998, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 105, 13, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:42'), (252999, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 45, 42, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:43'), (253000, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 3220, 3, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:43'), (253001, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 341, 8, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:43'), (253002, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 27, 11, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:43'), (253003, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 96, 15, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (253004, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 83, 16, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (253005, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 107, 12, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (253006, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 76, 12, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (253007, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 1105, 1, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (253008, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 111, 17, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:43'), (253009, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 41, 9, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:43'), (253010, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 49, 11, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:43'), (253011, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 95, 19, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:43'), (253012, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 69, 6, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:41'), (253013, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 77, 6, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (253014, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 53, 2, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (253015, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 73, 21, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:41'), (253016, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 48, 15, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:41'), (253017, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 54, 2, 2024, 8, 9, '2024-08-10 01:00:59', 1, '2024-08-13 01:00:41'), (253018, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 8, 1, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:41'), (253019, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 90, 17, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:41'), (253020, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 7, 3, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:41'), (253021, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 163, 24, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:41'), (253022, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C04', 38, 1, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:43'), (253023, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 3, 3, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:43'), (253024, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 314, 7, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:42'), (253025, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 4, 1, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:42'), (253026, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 36, 9, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:43'), (253027, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C09', 3313, 1, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:43'), (253028, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 94, 13, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:43'), (253029, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 108, 3, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:43'), (253030, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 3, 5, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:43'), (253031, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 138, 8, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (253032, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 50, 1, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (253033, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 323, 4, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (253034, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 48, 5, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (253035, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 117, 8, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:43'), (253036, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 31, 7, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:43'), (253037, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C09', 124, 4, 2024, 8, 9, '2024-08-10 01:01:01', 1, '2024-08-13 01:00:43'), (253038, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 321, 17, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (253039, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 60, 8, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:42'), (253040, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 114, 11, 2024, 8, 9, '2024-08-10 01:01:00', 1, '2024-08-13 01:00:41'), (253041, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:08', 1, '2024-08-15 01:00:02'), (253042, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:08', 1, '2024-08-15 01:00:02'), (253043, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:08', 1, '2024-08-15 01:00:02'), (253044, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:08', 1, '2024-08-15 01:00:02'), (253045, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:08', 1, '2024-08-15 01:00:02'), (253046, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:15', 1, '2024-08-15 01:00:10'), (253047, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:15', 1, '2024-08-15 01:00:10'), (253048, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:16', 1, '2024-08-15 01:00:10'), (253049, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:16', 1, '2024-08-15 01:00:11'), (253050, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:23', 1, '2024-08-15 01:00:18'), (253051, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:23', 1, '2024-08-15 01:00:18'), (253052, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:24', 1, '2024-08-15 01:00:18'), (253053, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:24', 1, '2024-08-15 01:00:18'), (253054, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:25', 1, '2024-08-15 01:00:19'), (253055, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:31', 1, '2024-08-15 01:00:26'), (253056, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:31', 1, '2024-08-15 01:00:26'), (253057, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:31', 1, '2024-08-15 01:00:26'), (253058, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:32', 1, '2024-08-15 01:00:26'), (253059, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:32', 1, '2024-08-15 01:00:33'), (253060, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:39', 1, '2024-08-15 01:00:34'), (253061, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:39', 1, '2024-08-15 01:00:34'), (253062, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:40', 1, '2024-08-15 01:00:35'), (253063, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:40', 1, '2024-08-15 01:00:33');
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (253064, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:41', 1, '2024-08-15 01:00:41'), (253065, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:47', 1, '2024-08-15 01:00:41'), (253066, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:50', 1, '2024-08-15 01:00:26'), (253067, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:52', 1, '2024-08-15 01:00:43'), (253068, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 11, '2024-08-11 01:00:54', 1, '2024-08-15 01:00:43'), (253069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 939, 25, 2024, 8, 11, '2024-08-11 01:01:03', 1, '2024-08-15 01:00:02'), (253070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 200, 82, 2024, 8, 11, '2024-08-11 01:01:04', 1, '2024-08-15 01:00:02'), (253071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 645, 28, 2024, 8, 10, '2024-08-11 01:01:01', 1, '2024-08-14 01:00:08'), (253072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1110, 10, 2024, 8, 10, '2024-08-11 01:01:01', 1, '2024-08-14 01:00:08'), (253073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 566, 2, 2024, 8, 10, '2024-08-11 01:01:01', 1, '2024-08-14 01:00:02'), (253074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 1617, 2, 2024, 8, 10, '2024-08-11 01:01:01', 1, '2024-08-14 01:00:08'), (253075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 922, 2, 2024, 8, 10, '2024-08-11 01:01:01', 1, '2024-08-14 01:00:08'), (253076, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2024, 8, 10, '2024-08-11 01:01:01', 1, '2024-08-14 01:00:15'), (253077, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2024, 8, 10, '2024-08-11 01:01:01', 1, '2024-08-14 01:00:08'), (253078, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 0, 1, 2024, 8, 10, '2024-08-11 01:01:01', 1, '2024-08-14 01:00:16'), (253079, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 895, 10, 2024, 8, 10, '2024-08-11 01:01:01', 1, '2024-08-14 01:00:08'), (253080, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 904, 30, 2024, 8, 10, '2024-08-11 01:01:01', 1, '2024-08-14 01:00:08'), (253081, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 7, 2, 2024, 8, 10, '2024-08-11 01:01:01', 1, '2024-08-14 01:00:08'), (253082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 969, 28, 2024, 8, 10, '2024-08-11 01:01:01', 1, '2024-08-14 01:00:16'), (253083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 7, 2, 2024, 8, 10, '2024-08-11 01:01:01', 1, '2024-08-14 01:00:16'), (253084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 995, 9, 2024, 8, 10, '2024-08-11 01:01:01', 1, '2024-08-14 01:00:16'), (253085, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 995, 9, 2024, 8, 10, '2024-08-11 01:01:01', 1, '2024-08-14 01:00:16'), (253086, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 7, 2, 2024, 8, 10, '2024-08-11 01:01:01', 1, '2024-08-14 01:00:16'), (253087, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 969, 28, 2024, 8, 10, '2024-08-11 01:01:01', 1, '2024-08-14 01:00:16'), (253088, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 51, 60, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:08'), (253089, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 95, 21, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:08'), (253090, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 129, 12, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:02'), (253091, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 13, 4, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:08'), (253092, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 203, 17, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:08'), (253093, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 39, 4, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:08'), (253094, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 93, 2, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:16'), (253095, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 17, 5, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:16'), (253096, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 257, 2, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:15'), (253097, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 87, 8, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:16'), (253098, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 112, 18, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253099, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 13, 4, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:09'), (253100, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 229, 3, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:09'), (253101, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 280, 12, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:09'), (253102, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 0, 1, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:16'), (253103, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 10, 34, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:08'), (253104, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 95, 21, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:16'), (253105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 190, 5, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 21, 9, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 257, 2, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 24, 6, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:24'), (253109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 93, 2, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 102, 6, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 390, 4, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 3, 2, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 7, 17, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 76, 2, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 127, 7, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 264, 3, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 292, 2, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:24'), (253118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 102, 11, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:24'), (253119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 229, 3, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 17, 5, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 6, 2, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 7, 7, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 19, 2, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 213, 2, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 99, 7, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 74, 4, 2024, 8, 10, '2024-08-11 01:01:02', 1, '2024-08-14 01:00:23'), (253127, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 229, 3, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:31'), (253128, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 24, 6, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:31'), (253129, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 102, 6, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:38'), (253130, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 190, 5, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:39'), (253131, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 99, 7, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:25'), (253132, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 390, 4, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:31'), (253133, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 213, 2, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:24'), (253134, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 292, 2, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:24'), (253135, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 264, 3, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:24'), (253136, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 257, 2, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:24'), (253137, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 76, 2, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:31'), (253138, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 3, 2, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:31'), (253139, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 74, 4, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:31'), (253140, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 102, 11, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:24'), (253141, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 127, 7, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:24'), (253142, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 19, 2, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:25'), (253143, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 93, 2, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:25'), (253144, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 6, 2, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:25'), (253145, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 21, 9, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:31'), (253146, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 17, 5, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:31'), (253147, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 7, 7, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:31'), (253148, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 7, 17, 2024, 8, 10, '2024-08-11 01:01:03', 1, '2024-08-14 01:00:25'), (253149, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:08', 1, '2024-08-16 01:00:02'), (253150, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:08', 1, '2024-08-16 01:00:44'), (253151, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:08', 1, '2024-08-16 01:00:02'), (253152, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:08', 1, '2024-08-16 01:00:02'), (253153, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:08', 1, '2024-08-16 01:00:02'), (253154, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:15', 1, '2024-08-16 01:00:10'), (253155, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:16', 1, '2024-08-16 01:00:10'), (253156, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:16', 1, '2024-08-16 01:00:10'), (253157, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:16', 1, '2024-08-16 01:00:10'), (253158, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 3036, 12, 2024, 8, 12, '2024-08-12 01:00:20', 1, '2024-08-16 01:00:44'), (253159, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:23', 1, '2024-08-16 01:00:11'), (253160, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:23', 1, '2024-08-16 01:00:17'), (253161, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:24', 1, '2024-08-16 01:00:18'), (253162, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:24', 1, '2024-08-16 01:00:18'), (253163, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:28', 1, '2024-08-16 01:00:19'), (253164, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:31', 1, '2024-08-16 01:00:19'), (253165, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:31', 1, '2024-08-16 01:00:26'), (253166, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:31', 1, '2024-08-16 01:00:25'), (253167, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:31', 1, '2024-08-16 01:00:27'), (253168, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:36', 1, '2024-08-16 01:00:27'), (253169, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:38', 1, '2024-08-16 01:00:26'), (253170, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:39', 1, '2024-08-16 01:00:34'), (253171, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:39', 1, '2024-08-16 01:00:34'), (253172, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:39', 1, '2024-08-16 01:00:34'), (253173, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:39', 1, '2024-08-16 01:00:35'), (253174, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:46', 1, '2024-08-16 01:00:35'), (253175, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 12, '2024-08-12 01:00:46', 1, '2024-08-16 01:00:02'), (253176, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 3118, 14, 2024, 8, 12, '2024-08-12 01:00:48', 1, '2024-08-16 01:00:43'), (253177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 850, 891, 2024, 8, 12, '2024-08-12 01:00:55', 1, '2024-08-16 01:00:02'), (253178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 905, 16, 2024, 8, 11, '2024-08-12 01:00:53', 1, '2024-08-15 01:00:08'), (253179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 1269, 4, 2024, 8, 11, '2024-08-12 01:00:53', 1, '2024-08-15 01:00:08'), (253180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 542, 4, 2024, 8, 11, '2024-08-12 01:00:53', 1, '2024-08-15 01:00:03'), (253181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 1745, 1, 2024, 8, 11, '2024-08-12 01:00:53', 1, '2024-08-15 01:00:08'), (253182, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 1154, 2, 2024, 8, 11, '2024-08-12 01:00:53', 1, '2024-08-15 01:00:09'), (253183, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 8, 11, '2024-08-12 01:00:53', 1, '2024-08-15 01:00:16'), (253184, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 967, 17, 2024, 8, 11, '2024-08-12 01:00:53', 1, '2024-08-15 01:00:09'), (253185, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 945, 5, 2024, 8, 11, '2024-08-12 01:00:53', 1, '2024-08-15 01:00:09'), (253186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 967, 17, 2024, 8, 11, '2024-08-12 01:00:54', 1, '2024-08-15 01:00:16'), (253187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 4, 1, 2024, 8, 11, '2024-08-12 01:00:54', 1, '2024-08-15 01:00:17'), (253188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 2304, 1, 2024, 8, 11, '2024-08-12 01:00:54', 1, '2024-08-15 01:00:17'), (253189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 945, 5, 2024, 8, 11, '2024-08-12 01:00:54', 1, '2024-08-15 01:00:16'), (253190, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 4, 1, 2024, 8, 11, '2024-08-12 01:00:54', 1, '2024-08-15 01:00:17'), (253191, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 945, 5, 2024, 8, 11, '2024-08-12 01:00:54', 1, '2024-08-15 01:00:17'), (253192, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 2304, 1, 2024, 8, 11, '2024-08-12 01:00:54', 1, '2024-08-15 01:00:17'), (253193, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 967, 17, 2024, 8, 11, '2024-08-12 01:00:54', 1, '2024-08-15 01:00:17'), (253194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 567, 1457, 2024, 8, 12, '2024-08-12 01:01:01', 1, '2024-08-16 01:00:02'), (253195, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 240, 52, 2024, 8, 11, '2024-08-12 01:00:58', 1, '2024-08-15 01:00:08'), (253196, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 4, 19, 2024, 8, 11, '2024-08-12 01:00:58', 1, '2024-08-15 01:00:08'), (253197, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 736, 5, 2024, 8, 11, '2024-08-12 01:00:58', 1, '2024-08-15 01:00:03'), (253198, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 21, 3, 2024, 8, 11, '2024-08-12 01:00:58', 1, '2024-08-15 01:00:08'), (253199, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 25, 3, 2024, 8, 11, '2024-08-12 01:00:58', 1, '2024-08-15 01:00:09'), (253200, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 18, 2, 2024, 8, 11, '2024-08-12 01:00:58', 1, '2024-08-15 01:00:09'), (253201, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 768, 2, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:09'), (253202, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 421, 25, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:09'), (253203, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 79, 6, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:09'), (253204, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 25, 3, 2024, 8, 11, '2024-08-12 01:00:58', 1, '2024-08-15 01:00:09'), (253205, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 27, 1, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:09'), (253206, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 130, 1, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:16'), (253207, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 1008, 2, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:16'), (253208, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 71, 21, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:09'), (253209, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 4, 19, 2024, 8, 11, '2024-08-12 01:00:58', 1, '2024-08-15 01:00:09'), (253210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 4, 5, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:17'), (253211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 67, 4, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:17'), (253212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 4, 5, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:24'), (253213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 2, 2, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:16'), (253214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 768, 2, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:16'), (253215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 30, 12, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:16'), (253216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 37, 1, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:17'), (253217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 550, 12, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:16'), (253218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 302, 13, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:16'), (253219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 8, 1, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:16'), (253220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 30, 1, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:16'), (253221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 27, 1, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:16'), (253222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 130, 1, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:16'), (253223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 1008, 2, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:17'), (253224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 174, 5, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:17'), (253225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 18, 2, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:17'), (253226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 6, 7, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:16'), (253227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 79, 6, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:16'), (253228, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 130, 1, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:25'), (253229, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 6, 7, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:24'), (253230, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 18, 2, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:24'), (253231, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 302, 13, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:24'), (253232, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 4, 5, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:24'), (253233, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 2, 2, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:24'), (253234, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 550, 12, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:24'), (253235, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 4, 5, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:24'), (253236, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 79, 6, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:25'), (253237, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 27, 1, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:24'), (253238, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 30, 1, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:24'), (253239, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 768, 2, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:25'), (253240, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 8, 1, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:24'), (253241, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 1008, 2, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:24'), (253242, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 67, 4, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:24'), (253243, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 37, 1, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:24'), (253244, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 174, 5, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:24'), (253245, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 30, 12, 2024, 8, 11, '2024-08-12 01:00:59', 1, '2024-08-15 01:00:24'), (253246, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:08', 1, '2024-08-17 01:00:03'), (253247, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:08', 1, '2024-08-17 01:00:03'), (253248, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:08', 1, '2024-08-17 01:00:03'), (253249, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:08', 1, '2024-08-17 01:00:03'), (253250, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:08', 1, '2024-08-17 01:00:03'), (253251, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:16', 1, '2024-08-17 01:00:11'), (253252, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:16', 1, '2024-08-17 01:00:11'), (253253, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:17', 1, '2024-08-17 01:00:11'), (253254, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:17', 1, '2024-08-17 01:00:11'), (253255, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1899, 4, 2024, 8, 13, '2024-08-13 01:00:18', 1, '2024-08-17 01:00:42'), (253256, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 3036, 12, 2024, 8, 12, '2024-08-13 01:00:15', 1, '2024-08-16 01:00:44'), (253257, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 3, 2, 2024, 8, 12, '2024-08-13 01:00:15', 1, '2024-08-16 01:00:44'), (253258, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 8, 12, '2024-08-13 01:00:15', 1, '2024-08-16 01:00:44'), (253259, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 4550, 8, 2024, 8, 12, '2024-08-13 01:00:15', 1, '2024-08-16 01:00:44'), (253260, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', '', 24, 1, 2024, 8, 12, '2024-08-13 01:00:15', 1, '2024-08-16 01:00:44'), (253261, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 6, 1, 2024, 8, 12, '2024-08-13 01:00:16', 1, '2024-08-16 01:00:45'), (253262, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A03', 24, 1, 2024, 8, 12, '2024-08-13 01:00:16', 1, '2024-08-16 01:00:45'), (253263, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 9241, 3, 2024, 8, 12, '2024-08-13 01:00:16', 1, '2024-08-16 01:00:44'), (253264, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 1735, 5, 2024, 8, 12, '2024-08-13 01:00:16', 1, '2024-08-16 01:00:45'), (253265, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 9241, 3, 2024, 8, 12, '2024-08-13 01:00:16', 1, '2024-08-16 01:00:45'), (253266, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 1735, 5, 2024, 8, 12, '2024-08-13 01:00:17', 1, '2024-08-16 01:00:45'), (253267, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 6, 1, 2024, 8, 12, '2024-08-13 01:00:16', 1, '2024-08-16 01:00:45'), (253268, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合出件业务', '', '', 'A03', 24, 1, 2024, 8, 12, '2024-08-13 01:00:16', 1, '2024-08-16 01:00:45'), (253269, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:23', 1, '2024-08-17 01:00:13'), (253270, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:24', 1, '2024-08-17 01:00:19'), (253271, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:24', 1, '2024-08-17 01:00:18'), (253272, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:25', 1, '2024-08-17 01:00:19'), (253273, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:27', 1, '2024-08-17 01:00:19'), (253274, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:31', 1, '2024-08-17 01:00:21'), (253275, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:31', 1, '2024-08-17 01:00:26'), (253276, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:32', 1, '2024-08-17 01:00:27'), (253277, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:32', 1, '2024-08-17 01:00:27'), (253278, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:34', 1, '2024-08-17 01:00:27'), (253279, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:39', 1, '2024-08-17 01:00:29'), (253280, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:39', 1, '2024-08-17 01:00:34'), (253281, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:40', 1, '2024-08-17 01:00:35'), (253282, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:41', 1, '2024-08-17 01:00:36'), (253283, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:42', 1, '2024-08-17 01:00:34'), (253284, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:48', 1, '2024-08-17 01:00:37'), (253285, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 35, 2, 2024, 8, 13, '2024-08-13 01:00:50', 1, '2024-08-17 01:00:43'), (253286, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 3118, 14, 2024, 8, 12, '2024-08-13 01:00:48', 1, '2024-08-16 01:00:43'), (253287, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 2783, 2, 2024, 8, 12, '2024-08-13 01:00:48', 1, '2024-08-16 01:00:43'), (253288, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 1589, 1, 2024, 8, 12, '2024-08-13 01:00:48', 1, '2024-08-16 01:00:43'), (253289, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 803, 3, 2024, 8, 12, '2024-08-13 01:00:48', 1, '2024-08-16 01:00:43'), (253290, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 2150, 3, 2024, 8, 12, '2024-08-13 01:00:48', 1, '2024-08-16 01:00:43'), (253291, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 5528, 5, 2024, 8, 12, '2024-08-13 01:00:48', 1, '2024-08-16 01:00:43'), (253292, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 1589, 1, 2024, 8, 12, '2024-08-13 01:00:48', 1, '2024-08-16 01:00:43'), (253293, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 4743, 7, 2024, 8, 12, '2024-08-13 01:00:48', 1, '2024-08-16 01:00:43'), (253294, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 2150, 3, 2024, 8, 12, '2024-08-13 01:00:48', 1, '2024-08-16 01:00:43'), (253295, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 803, 3, 2024, 8, 12, '2024-08-13 01:00:48', 1, '2024-08-16 01:00:44'), (253296, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 2150, 3, 2024, 8, 12, '2024-08-13 01:00:48', 1, '2024-08-16 01:00:44'), (253297, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 1589, 1, 2024, 8, 12, '2024-08-13 01:00:48', 1, '2024-08-16 01:00:44'), (253298, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 2783, 2, 2024, 8, 12, '2024-08-13 01:00:48', 1, '2024-08-16 01:00:44'), (253299, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 5528, 5, 2024, 8, 12, '2024-08-13 01:00:48', 1, '2024-08-16 01:00:44'), (253300, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 803, 3, 2024, 8, 12, '2024-08-13 01:00:48', 1, '2024-08-16 01:00:44'), (253301, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 13, '2024-08-13 01:00:50', 1, '2024-08-17 01:00:42'), (253302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 310, 739, 2024, 8, 13, '2024-08-13 01:00:55', 1, '2024-08-17 01:00:03'), (253303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 82, 7, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:08'), (253304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 784, 270, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:08'), (253305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 745, 72, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:08'), (253306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 1009, 46, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:08'), (253307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 405, 32, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:09'), (253308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 806, 160, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:10'), (253309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 17, 3, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:02'), (253310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 1164, 73, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:08'), (253311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 823, 84, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:16'), (253312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1282, 22, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:16'), (253313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 1044, 109, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:16'), (253314, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 4, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:16'), (253315, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 4, 11, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:18'), (253316, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 164, 140, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:23'), (253317, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 9, 2, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:24'), (253318, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', '', 24, 1, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:17'), (253319, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 1628, 17, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:17'), (253320, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 486, 72, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:17'), (253321, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 817, 8, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:16'), (253322, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 1308, 5, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:17'), (253323, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 141, 22, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:17'), (253324, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:18'), (253325, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 75, 35, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:17'), (253326, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1281, 53, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:18'), (253327, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 425, 19, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:24'), (253328, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:16'), (253329, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 9234, 8, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:17'), (253330, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 939, 2, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:17'), (253331, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 993, 7, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:17'), (253332, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 40, 29, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:17'), (253333, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 209, 8, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:17'), (253334, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', '', 11, 5, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:17'), (253335, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 49, 3, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:17'), (253336, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 1138, 1, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:17'), (253337, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 5, 4, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:16'), (253338, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 117, 18, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:16'), (253339, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 54, 50, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:16'), (253340, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 2077, 204, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:17'), (253341, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 1626, 4, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:16'), (253342, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 392, 7, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:16'), (253343, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 8544, 3, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:17'), (253344, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 38, 12, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:17'), (253345, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 153, 21, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:17'), (253346, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 190, 74, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:24'), (253347, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 15, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:17'), (253348, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 550, 16, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:17'), (253349, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:18'), (253350, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 42, 1, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:16'), (253351, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 1, 2024, 8, 12, '2024-08-13 01:00:49', 1, '2024-08-16 01:00:17'), (253352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 392, 7, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 72, 21, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:25'), (253354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 153, 21, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:31'), (253355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 200, 26, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:32'), (253356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 106, 10, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:32'), (253357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 219, 21, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:33'), (253358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 67, 8, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:33'), (253359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 17, 4, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:33'), (253360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 192, 33, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:40'), (253361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1635, 10, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:25'), (253362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 88, 11, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:25'), (253363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 108, 21, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:31'), (253364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 18, 23, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:32'), (253365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 8, 6, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:33'), (253366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1112, 21, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:33'), (253367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C01', 169, 18, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:33'), (253368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 52, 16, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:34'), (253369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 257, 22, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:40'), (253370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 105, 11, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:40'), (253371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1283, 22, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:40'), (253372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 127, 2, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 139, 18, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 45, 19, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 201, 16, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:25'), (253376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 340, 20, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:25'), (253377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 109, 18, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:31'), (253378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 72, 5, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 117, 18, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:25'), (253380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1456, 56, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:25'), (253381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 5, 1, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:25'), (253382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 2863, 49, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:25'), (253383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 14, 1, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:25'), (253384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1764, 45, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:25'), (253385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 240, 11, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:25'), (253386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 5, 4, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 14775, 5, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 1308, 5, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 993, 7, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 1626, 4, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 560, 15, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 8544, 3, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:25'), (253393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 1628, 17, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:26'), (253394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 598, 21, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:31'), (253395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 215, 1, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:26'), (253396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 550, 30, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:32'), (253397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 286, 20, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:32'), (253398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 2402, 27, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:33'), (253399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 390, 1, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 49, 3, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 3, 3, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:25'), (253402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 1138, 1, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 939, 2, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 1, 1, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:25'), (253405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 5, 4, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:32'), (253406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 3, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:24'), (253407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 2215, 26, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B07', 24, 1, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 141, 22, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 425, 19, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:24'), (253411, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 817, 8, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:42'), (253412, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 14, 1, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:42'), (253413, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 5, 1, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:42'), (253414, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 1628, 17, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:42'), (253415, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 598, 21, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253416, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 3, 3, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253417, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 215, 1, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:42'), (253418, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 1, 1, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:42'), (253419, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 42, 1, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:42'), (253420, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 550, 30, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:42'), (253421, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 286, 20, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:42'), (253422, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 3, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:42'), (253423, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 5, 4, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:42'), (253424, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 153, 21, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:42'), (253425, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 30, 6, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253426, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 46, 6, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253427, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 993, 7, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253428, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 560, 15, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253429, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 5, 4, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:41'), (253430, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 14775, 5, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:41'), (253431, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 72, 5, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253432, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 109, 18, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253433, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 127, 2, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253434, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 201, 16, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253435, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 49, 3, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253436, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 257, 22, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253437, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 141, 22, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253438, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 390, 1, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253439, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 240, 11, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253440, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 1138, 1, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253441, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 263, 2, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253442, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 169, 6, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253443, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 939, 2, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253444, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 22, 5, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:41'), (253445, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 44, 11, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:41'), (253446, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 4, 2, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253447, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 30, 9, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253448, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 392, 7, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253449, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 19, 15, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253450, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 8, 6, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:40'), (253451, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1283, 22, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:40'), (253452, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 67, 8, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253453, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1635, 10, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253454, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1112, 21, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253455, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 88, 11, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253456, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 106, 10, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:40'), (253457, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产公告、公示业务(遗失继承等)', '', '', 'B07', 24, 1, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253458, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 2215, 26, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253459, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  区文广旅游局', '', '', 'A06', 19, 3, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41');
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (253460, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 16, 2, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253461, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 425, 19, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253462, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 42, 2, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253463, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 72, 21, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253464, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 80, 7, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253465, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 17, 8, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:42'), (253466, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 22, 7, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253467, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 94, 2, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253468, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 209, 8, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253469, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 1626, 4, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253470, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 1308, 5, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:42'), (253471, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 2402, 27, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:42'), (253472, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C01', 169, 18, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:42'), (253473, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 2863, 49, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253474, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 192, 33, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253475, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 19, 1, 2024, 8, 12, '2024-08-13 01:00:52', 1, '2024-08-16 01:00:41'), (253476, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1456, 56, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:41'), (253477, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 108, 21, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:41'), (253478, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 117, 18, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:41'), (253479, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 200, 26, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:42'), (253480, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 8544, 3, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:42'), (253481, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1764, 45, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:42'), (253482, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 219, 21, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:42'), (253483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 280, 1056, 2024, 8, 13, '2024-08-13 01:00:58', 1, '2024-08-17 01:00:03'), (253484, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 901, 545, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:03'), (253485, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 280, 122, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:03'), (253486, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 421, 72, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:03'), (253487, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 174, 74, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:03'), (253488, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 159, 201, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:02'), (253489, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 513, 152, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:03'), (253490, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 75, 101, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:03'), (253491, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 740, 190, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:03'), (253492, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 135, 34, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:06'), (253493, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 535, 1, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:06'), (253494, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 177, 28, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:06'), (253495, 1, '511500000000-0001', '宜宾市民中心', '身份证办理', '', '', '', 0, 1, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:06'), (253496, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 12, 13, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:06'), (253497, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 19, 15, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:06'), (253498, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 413, 21, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:06'), (253499, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 75, 101, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:06'), (253500, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 398, 6, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:05'), (253501, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 4, 1, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:05'), (253502, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 298, 44, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:05'), (253503, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 210, 5, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:06'), (253504, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 32, 2, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:06'), (253505, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 1746, 5, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:06'), (253506, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 37, 2, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:05'), (253507, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 310, 18, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:05'), (253508, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 9, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:05'), (253509, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 0, 3, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:04'), (253510, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 872, 3, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:05'), (253511, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 2673, 145, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:05'), (253512, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 383, 8, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:05'), (253513, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '', 321, 1, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:05'), (253514, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 279, 313, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:05'), (253515, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 333, 9, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:05'), (253516, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 283, 12, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:05'), (253517, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 329, 60, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:04'), (253518, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 742, 189, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:04'), (253519, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 646, 37, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:04'), (253520, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 29, 4, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:04'), (253521, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 102, 2, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:03'), (253522, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 0, 1, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:03'), (253523, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 71, 78, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:03'), (253524, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 79, 50, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:03'), (253525, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1101, 7, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:04'), (253526, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 0, 1, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:03'), (253527, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 174, 74, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:03'), (253528, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 414, 7, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:04'), (253529, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1068, 24, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:04'), (253530, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 185, 86, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:04'), (253531, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 1288, 16, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:04'), (253532, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 4, 8, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:04'), (253533, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 129, 12, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:04'), (253534, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '', 237, 1, 2024, 8, 12, '2024-08-13 01:00:53', 1, '2024-08-16 01:00:04'), (253535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 435, 6, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:16'), (253536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 216, 26, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:16'), (253537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 13, 4, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:16'), (253538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 12, 9, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:16'), (253539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 177, 24, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:17'), (253540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 310, 18, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:18'), (253541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 402, 15, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:23'), (253542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 2407, 2, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:24'), (253543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 81, 13, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:16'), (253544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 79, 16, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:16'), (253545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 329, 18, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:16'), (253546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 39, 11, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:17'), (253547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 1134, 1, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:17'), (253548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 367, 10, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:18'), (253549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 86, 10, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:24'), (253550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 209, 8, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:24'), (253551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 49, 13, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:24'), (253552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 1303, 7, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:10'), (253553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 436, 40, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:10'), (253554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 5, 1, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:10'), (253555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 81, 16, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:10'), (253556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 199, 1, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:10'), (253557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 575, 5, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:10'), (253558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 23, 9, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:10'), (253559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 233, 56, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:10'), (253560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 872, 3, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:10'), (253561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 558, 7, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:10'), (253562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 631, 5, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:09'), (253563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 327, 9, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:09'), (253564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 75, 10, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:09'), (253565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 218, 57, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:09'), (253566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 19, 1, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:09'), (253567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 661, 7, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:09'), (253568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 107, 5, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:09'), (253569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 72, 13, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:09'), (253570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 426, 41, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:09'), (253571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 801, 7, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:09'), (253572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 125, 12, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:10'), (253573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 181, 37, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:10'), (253574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 462, 3, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:10'), (253575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 155, 7, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:08'), (253576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 274, 11, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:16'), (253577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 290, 38, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:16'), (253578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 1277, 9, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:17'), (253579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 213, 44, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:24'), (253580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 609, 2, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:09'), (253581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 126, 24, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:09'), (253582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 480, 13, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:08'), (253583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 4, 2, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:08'), (253584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 699, 24, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:08'), (253585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 30, 9, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:08'), (253586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 3, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:08'), (253587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 3, 3, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:08'), (253588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 597, 21, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:08'), (253589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 2374, 3, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:08'), (253590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 4, 1, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:08'), (253591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 3, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:09'), (253592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 1066, 16, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:08'), (253593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 95, 13, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:08'), (253594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 8, 2, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:08'), (253595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 151, 15, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:08'), (253596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 50, 17, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:06'), (253597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 137, 1, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:07'), (253598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 51, 24, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:07'), (253599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 107, 21, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:07'), (253600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 29, 4, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:07'), (253601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 694, 12, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:07'), (253602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 91, 19, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:07'), (253603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 14, 2, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:07'), (253604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 413, 21, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:07'), (253605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 234, 7, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:07'), (253606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 32, 2, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:07'), (253607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 511, 24, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:07'), (253608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 85, 18, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:07'), (253609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 162, 46, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:07'), (253610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 375, 8, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:11'), (253611, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 241, 7, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:12'), (253612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 156, 21, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:12'), (253613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1179, 10, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:11'), (253614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 4, 2, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:11'), (253615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 383, 8, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:11'), (253616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 1171, 9, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:11'), (253617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1142, 12, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:11'), (253618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1436, 31, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:11'), (253619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 810, 34, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:11'), (253620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1101, 7, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:11'), (253621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 3340, 70, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:11'), (253622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 262, 2, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:11'), (253623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 265, 4, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:11'), (253624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 329, 60, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:11'), (253625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 650, 34, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:09'), (253626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 2483, 44, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:16'), (253627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 217, 39, 2024, 8, 12, '2024-08-13 01:00:54', 1, '2024-08-16 01:00:16'), (253628, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 429, 4, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:29'), (253629, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 1303, 7, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:29'), (253630, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 32, 2, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:29'), (253631, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 1277, 9, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:29'), (253632, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 209, 8, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:29'), (253633, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 162, 46, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:29'), (253634, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 413, 21, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:29'), (253635, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 217, 39, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:29'), (253636, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 4, 2, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:29'), (253637, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 872, 3, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:28'), (253638, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 85, 18, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:28'), (253639, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 107, 21, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:28'), (253640, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 91, 19, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:29'), (253641, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 50, 17, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:29'), (253642, 1, '511500000000-0001', '宜宾市民中心', '税务快捷业务', '', '', '2B11', 321, 1, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:29'), (253643, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 51, 24, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:29'), (253644, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 175, 3, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:28'), (253645, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 262, 2, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:28'), (253646, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 233, 6, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:32'), (253647, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 14, 2, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:32'), (253648, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 29, 4, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:33'), (253649, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 414, 7, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:25'), (253650, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 631, 5, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:32'), (253651, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 558, 7, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:32'), (253652, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 575, 5, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:32'), (253653, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 107, 5, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:33'), (253654, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 75, 10, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:33'), (253655, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 609, 2, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:31'), (253656, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 462, 3, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:31'), (253657, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 801, 7, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:32'), (253658, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 661, 7, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:32'), (253659, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 137, 1, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:32'), (253660, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 81, 13, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:31'), (253661, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 3340, 70, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:31'), (253662, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 2483, 44, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:31'), (253663, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 1436, 31, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:31'), (253664, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 383, 8, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:31'), (253665, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 1134, 1, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:30'), (253666, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 181, 37, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:30'), (253667, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1179, 10, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:30'), (253668, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 1305, 3, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:30'), (253669, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 2407, 2, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:30'), (253670, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1142, 12, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:30'), (253671, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 29, 4, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:30'), (253672, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 436, 40, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:30'), (253673, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 329, 60, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:30'), (253674, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 213, 44, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:30'), (253675, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 290, 38, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:30'), (253676, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 49, 13, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:30'), (253677, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 426, 41, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:31'), (253678, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 86, 10, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:31'), (253679, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 218, 57, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:31'), (253680, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 39, 11, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:31'), (253681, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 79, 16, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:31'), (253682, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 233, 56, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:31'), (253683, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 5, 1, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:26'), (253684, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 199, 1, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:26'), (253685, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1101, 7, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:26'), (253686, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 8, 2, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:26'), (253687, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 81, 16, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:26'), (253688, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 511, 24, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:27'), (253689, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 694, 12, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:27'), (253690, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 699, 24, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:26'), (253691, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 480, 13, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:26'), (253692, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 2374, 3, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:26'), (253693, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 597, 21, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:26'), (253694, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 1066, 16, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:26'), (253695, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 177, 24, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:26'), (253696, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 216, 26, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:26'), (253697, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 375, 8, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:25'), (253698, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 535, 1, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:25'), (253699, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 4, 2, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:25'), (253700, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 13, 4, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:25'), (253701, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 4, 1, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:25'), (253702, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 3, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:25'), (253703, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 12, 9, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:25'), (253704, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 198, 1, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:24'), (253705, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 126, 24, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:24'), (253706, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 825, 33, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:24'), (253707, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 1171, 9, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:24'), (253708, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 650, 34, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:25'), (253709, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E19', 4, 1, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:25'), (253710, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 72, 13, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:25'), (253711, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 23, 9, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:25'), (253712, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 125, 12, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:25'), (253713, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 241, 7, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:28'), (253714, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 30, 9, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:28'), (253715, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 55, 1, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:28'), (253716, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 156, 21, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:28'), (253717, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 3, 3, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:28'), (253718, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 3, 3, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:28'), (253719, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 327, 9, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:27'), (253720, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 151, 15, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:27'), (253721, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C09', 411, 1, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:27'), (253722, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 95, 13, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:28'), (253723, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 445, 4, 2024, 8, 12, '2024-08-13 01:00:57', 1, '2024-08-16 01:00:28'), (253724, 1, '511500000000-0001', '宜宾市民中心', '单位历史欠费查询', '', '', '2E27', 237, 1, 2024, 8, 12, '2024-08-13 01:00:55', 1, '2024-08-16 01:00:27'), (253725, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 19, 1, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:27'), (253726, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 310, 18, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:27'), (253727, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 174, 11, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:27'), (253728, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 180, 6, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:27'), (253729, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 367, 5, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:27'), (253730, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 446, 2, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:27'), (253731, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 324, 17, 2024, 8, 12, '2024-08-13 01:00:56', 1, '2024-08-16 01:00:27'), (253732, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:08', 1, '2024-08-18 01:00:42'), (253733, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:08', 1, '2024-08-18 01:00:02'), (253734, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:08', 1, '2024-08-18 01:00:02'), (253735, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:08', 1, '2024-08-18 01:00:02'), (253736, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:08', 1, '2024-08-18 01:00:02'), (253737, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:15', 1, '2024-08-18 01:00:10'), (253738, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:15', 1, '2024-08-18 01:00:10'), (253739, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:15', 1, '2024-08-18 01:00:11'), (253740, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:16', 1, '2024-08-18 01:00:10'), (253741, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:23', 1, '2024-08-18 01:00:18'), (253742, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:23', 1, '2024-08-18 01:00:13'), (253743, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:23', 1, '2024-08-18 01:00:19'), (253744, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:23', 1, '2024-08-18 01:00:18'), (253745, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:23', 1, '2024-08-18 01:00:19'), (253746, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:31', 1, '2024-08-18 01:00:21'), (253747, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:31', 1, '2024-08-18 01:00:26'), (253748, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:31', 1, '2024-08-18 01:00:27'), (253749, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:31', 1, '2024-08-18 01:00:27'), (253750, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:31', 1, '2024-08-18 01:00:27'), (253751, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:38', 1, '2024-08-18 01:00:35'), (253752, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:38', 1, '2024-08-18 01:00:29'), (253753, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:38', 1, '2024-08-18 01:00:34'), (253754, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:38', 1, '2024-08-18 01:00:34'), (253755, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1212, 4, 2024, 8, 14, '2024-08-14 01:00:40', 1, '2024-08-18 01:00:43'), (253756, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1899, 4, 2024, 8, 13, '2024-08-14 01:00:38', 1, '2024-08-17 01:00:43'), (253757, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 8, 13, '2024-08-14 01:00:38', 1, '2024-08-17 01:00:43'), (253758, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 2532, 3, 2024, 8, 13, '2024-08-14 01:00:38', 1, '2024-08-17 01:00:43'), (253759, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 3700, 2, 2024, 8, 13, '2024-08-14 01:00:38', 1, '2024-08-17 01:00:43'), (253760, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 195, 1, 2024, 8, 13, '2024-08-14 01:00:39', 1, '2024-08-17 01:00:43'), (253761, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 3700, 2, 2024, 8, 13, '2024-08-14 01:00:39', 1, '2024-08-17 01:00:43'), (253762, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 195, 1, 2024, 8, 13, '2024-08-14 01:00:39', 1, '2024-08-17 01:00:43'), (253763, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:46', 1, '2024-08-18 01:00:36'), (253764, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:46', 1, '2024-08-18 01:00:02'), (253765, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 14, '2024-08-14 01:00:46', 1, '2024-08-18 01:00:38'), (253766, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 84, 4, 2024, 8, 14, '2024-08-14 01:00:48', 1, '2024-08-18 01:00:42'), (253767, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 35, 2, 2024, 8, 13, '2024-08-14 01:00:46', 1, '2024-08-17 01:00:43'), (253768, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 37, 1, 2024, 8, 13, '2024-08-14 01:00:46', 1, '2024-08-17 01:00:43'), (253769, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 33, 1, 2024, 8, 13, '2024-08-14 01:00:46', 1, '2024-08-17 01:00:43'), (253770, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 37, 1, 2024, 8, 13, '2024-08-14 01:00:46', 1, '2024-08-17 01:00:43'), (253771, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 33, 1, 2024, 8, 13, '2024-08-14 01:00:47', 1, '2024-08-17 01:00:43'), (253772, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 37, 1, 2024, 8, 13, '2024-08-14 01:00:47', 1, '2024-08-17 01:00:43'), (253773, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 33, 1, 2024, 8, 13, '2024-08-14 01:00:47', 1, '2024-08-17 01:00:43'), (253774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 228, 694, 2024, 8, 14, '2024-08-14 01:00:55', 1, '2024-08-18 01:00:02'), (253775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 4, 3, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:09'), (253776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 332, 261, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:09'), (253777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 250, 49, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:09'), (253778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '项目工程审批大厅', '', 2, 2, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:09'), (253779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 3, 1, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:09'), (253780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 158, 54, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:09'), (253781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 69, 4, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:09'), (253782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 130, 58, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:09'), (253783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 216, 44, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:03'), (253784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 336, 109, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:09'), (253785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 151, 46, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:09'), (253786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1023, 34, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:09'), (253787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 356, 68, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:10'), (253788, 22, '511502000000-0001', '翠屏区政务服务中心', '公证业务（继承、委托、协议、声明等）', '', '', '', 0, 2, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:12'), (253789, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 26, 18, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:12'), (253790, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 51, 95, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:12'), (253791, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 3363, 7, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:12'), (253792, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 392, 11, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:12'), (253793, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 457, 74, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:12'), (253794, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '', '', '', 10, 1, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:11'), (253795, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:11'), (253796, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 75, 7, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:11'), (253797, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 2850, 6, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:11'), (253798, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 513, 6, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:11'), (253799, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 176, 58, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:12'), (253800, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 126, 12, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:12'), (253801, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 234, 31, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:12'), (253802, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:11'), (253803, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 1, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:17'), (253804, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 161, 6, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:17'), (253805, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 570, 1, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:12'), (253806, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 1029, 9, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:12'), (253807, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 12, 20, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:12'), (253808, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 625, 2, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:10'), (253809, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 314, 3, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:10'), (253810, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 108, 19, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:10'), (253811, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 10, 47, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:10'), (253812, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 414, 162, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:10'), (253813, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 20, 1, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:10'), (253814, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '', 0, 1, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:10'), (253815, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 3, 1, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:10'), (253816, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 13, 5, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:10'), (253817, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 455, 6, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:11'), (253818, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 125, 20, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:11'), (253819, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 99, 8, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:11'), (253820, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 99, 73, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:11'), (253821, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:11'), (253822, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 4, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:11'), (253823, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 280, 8, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:11'), (253824, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', '', 3974, 1, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:10'), (253825, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 2, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:10'), (253826, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 20151, 1, 2024, 8, 13, '2024-08-14 01:00:50', 1, '2024-08-17 01:00:11'), (253827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 13, 5, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:18'), (253828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 125, 20, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:18'), (253829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 81, 14, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:18'), (253830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 174, 14, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:18'), (253831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 64, 16, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:18'), (253832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 111, 9, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:18'), (253833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 51, 21, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:18'), (253834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 509, 8, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:18'), (253835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 21, 10, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:18'), (253836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 166, 22, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:25'), (253837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 36, 14, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:25'), (253838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 251, 11, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:25'), (253839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 238, 13, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:25'), (253840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C01', 59, 14, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:26'), (253841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 11, 12, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:27'), (253842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 227, 9, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:33'), (253843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 3, 19, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:33'), (253844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 113, 11, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:35'), (253845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 5, 6, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:35'), (253846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 222, 11, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:36'), (253847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 42, 5, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:17'), (253848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 60, 11, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:18'), (253849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 149, 16, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:19'), (253850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 267, 12, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:19'), (253851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 92, 11, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:25'), (253852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 61, 15, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:18'), (253853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 17, 16, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:18'), (253854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 108, 19, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:18'), (253855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 454, 20, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:19'), (253856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 7, 1, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:19'), (253857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 465, 38, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:19');
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (253858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 53, 10, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:19'), (253859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 325, 35, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:19'), (253860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 7845, 3, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:19'), (253861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 20, 1, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:19'), (253862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 118, 10, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:19'), (253863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 314, 3, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:18'), (253864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 161, 6, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:19'), (253865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C15', 20151, 1, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:19'), (253866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 75, 7, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:19'), (253867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 1029, 9, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:17'), (253868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 3, 1, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:17'), (253869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 455, 6, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:17'), (253870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 321, 7, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:18'), (253871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 392, 11, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:19'), (253872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 556, 30, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:25'), (253873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 397, 18, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:20'), (253874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 385, 26, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:25'), (253875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 305, 18, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:25'), (253876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 5, 2, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:17'), (253877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 625, 2, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:18'), (253878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 11, 3, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:17'), (253879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 570, 1, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:17'), (253880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 67, 6, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:17'), (253881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 2, 4, 2024, 8, 13, '2024-08-14 01:00:52', 1, '2024-08-17 01:00:17'), (253882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 3, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:17'), (253883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 460, 51, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:17'), (253884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 2850, 6, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:17'), (253885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 126, 12, 2024, 8, 13, '2024-08-14 01:00:51', 1, '2024-08-17 01:00:17'), (253886, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 513, 6, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:40'), (253887, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 7845, 3, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:41'), (253888, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 7, 1, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:41'), (253889, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 392, 11, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:40'), (253890, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 556, 30, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:40'), (253891, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 5, 2, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:40'), (253892, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 397, 18, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:40'), (253893, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 67, 6, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:40'), (253894, 22, '511502000000-0001', '翠屏区政务服务中心', '综合咨询', '', '', 'A02', 3974, 1, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:40'), (253895, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 11, 3, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:40'), (253896, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 385, 26, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:41'), (253897, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 3, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:41'), (253898, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 2, 4, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:41'), (253899, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 125, 20, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:41'), (253900, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 125, 5, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:40'), (253901, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 55, 3, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:40'), (253902, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 1029, 9, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:40'), (253903, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', 'C15', 20151, 1, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:40'), (253904, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 321, 7, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:40'), (253905, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 161, 6, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:39'), (253906, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 314, 3, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:40'), (253907, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 61, 15, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:39'), (253908, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 92, 11, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:39'), (253909, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 149, 16, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:39'), (253910, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 625, 2, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:39'), (253911, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 113, 11, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:39'), (253912, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 2850, 6, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:39'), (253913, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  区农业农村局', '', '', 'A08', 10, 1, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:39'), (253914, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 118, 10, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:40'), (253915, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 23, 2, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:37'), (253916, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 5, 4, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:37'), (253917, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 570, 1, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:37'), (253918, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 24, 5, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:37'), (253919, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 5, 4, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:37'), (253920, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 28, 7, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:36'), (253921, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 4, 6, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:36'), (253922, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 13, 5, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:37'), (253923, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 4, 15, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:37'), (253924, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 3, 4, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:37'), (253925, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 53, 10, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:36'), (253926, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 238, 13, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:36'), (253927, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 222, 11, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:36'), (253928, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 111, 9, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:36'), (253929, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 251, 11, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:36'), (253930, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 166, 22, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:36'), (253931, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 227, 9, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:36'), (253932, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 174, 14, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:36'), (253933, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 460, 51, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:39'), (253934, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 20, 1, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:39'), (253935, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 126, 12, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:37'), (253936, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 5, 2, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:37'), (253937, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 2, 4, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:37'), (253938, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 17, 16, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:38'), (253939, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 15, 8, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:38'), (253940, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 4, 1, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:37'), (253941, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 4, 1, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:37'), (253942, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 3, 1, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:39'), (253943, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 75, 7, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:39'), (253944, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 305, 18, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:39'), (253945, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C01', 59, 14, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:39'), (253946, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 5, 3, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:38'), (253947, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 465, 38, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:38'), (253948, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 51, 21, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:38'), (253949, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 75, 1, 2024, 8, 13, '2024-08-14 01:00:53', 1, '2024-08-17 01:00:38'), (253950, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 36, 14, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:38'), (253951, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 454, 20, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:38'), (253952, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 108, 19, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:38'), (253953, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 81, 14, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:38'), (253954, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 455, 6, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:38'), (253955, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 325, 35, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:38'), (253956, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 64, 16, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:38'), (253957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 217, 1059, 2024, 8, 14, '2024-08-14 01:01:00', 1, '2024-08-18 01:00:02'), (253958, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 305, 434, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:03'), (253959, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 615, 87, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:03'), (253960, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 562, 60, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:03'), (253961, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 301, 68, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:03'), (253962, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 70, 148, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:03'), (253963, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 310, 80, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:03'), (253964, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 70, 79, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:03'), (253965, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 149, 100, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:03'), (253966, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 37, 1, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:06'), (253967, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 47, 17, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:06'), (253968, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 111, 3, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:06'), (253969, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 798, 12, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:06'), (253970, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 35, 14, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:06'), (253971, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 41, 12, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:06'), (253972, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 493, 13, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:06'), (253973, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 70, 79, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:06'), (253974, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 688, 5, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:06'), (253975, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 611, 43, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:06'), (253976, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 139, 5, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:06'), (253977, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 894, 1, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:06'), (253978, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 33, 3, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:05'), (253979, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 29, 7, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:05'), (253980, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 15, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:05'), (253981, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 0, 4, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:05'), (253982, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 642, 139, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:05'), (253983, 1, '511500000000-0001', '宜宾市民中心', '普通护照', '', '', '', 0, 1, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:05'), (253984, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 48, 4, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:05'), (253985, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 166, 217, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:05'), (253986, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 292, 3, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:05'), (253987, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 423, 7, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:05'), (253988, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 241, 16, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:04'), (253989, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 149, 100, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:04'), (253990, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 414, 1, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:04'), (253991, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 328, 26, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:04'), (253992, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 13, 4, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:04'), (253993, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 12691, 3, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:04'), (253994, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 54, 70, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:04'), (253995, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 19, 32, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:04'), (253996, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 521, 5, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:04'), (253997, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 305, 67, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:04'), (253998, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 111, 8, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:05'), (253999, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 300, 20, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:04'), (254000, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 95, 78, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:04'), (254001, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 339, 10, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:04'), (254002, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 3, 5, 2024, 8, 13, '2024-08-14 01:00:54', 1, '2024-08-17 01:00:05'), (254003, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 67, 6, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:05'), (254004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 7, 1, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:10'), (254005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 5, 6, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:10'), (254006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 285, 42, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:16'), (254007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 58, 8, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:17'), (254008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 29, 7, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:17'), (254009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 5, 1, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:17'), (254010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 705, 16, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:17'), (254011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 990, 4, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:25'), (254012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C01', 37, 1, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:10'), (254013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 41, 7, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 72, 16, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 321, 5, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:10'), (254016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 62, 11, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:10'), (254017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 38, 11, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:11'), (254018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 573, 2, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:11'), (254019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 650, 11, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:17'), (254020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 493, 6, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:17'), (254021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 29, 15, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:17'), (254022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 676, 5, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:16'), (254023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 194, 39, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:17'), (254024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 3, 2, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:20'), (254025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 16, 12, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:25'), (254026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 6, 1, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:25'), (254027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 17, 13, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:25'), (254028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 239, 6, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:27'), (254029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 99, 40, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:27'), (254030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 4, 1, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:32'), (254031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E12', 41, 1, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:33'), (254032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 384, 7, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:33'), (254033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 433, 2, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 439, 12, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:09'), (254035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 96, 7, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:09'), (254036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 161, 34, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:09'), (254037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 769, 2, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:10'), (254038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 44, 3, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:10'), (254039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 33, 3, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:10'), (254040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 40, 4, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:10'), (254041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 140, 30, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:10'), (254042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 10, 2, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:10'), (254043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 1354, 1, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:10'), (254044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 139, 3, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:10'), (254045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 234, 30, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:10'), (254046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 123, 3, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:10'), (254047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 53, 6, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 144, 9, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 170, 23, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 5, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:17'), (254051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 203, 19, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:19'), (254052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 74, 1, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 353, 24, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 127, 12, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:08'), (254055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 3, 1, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:08'), (254056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 138, 17, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:08'), (254057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 87, 5, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:08'), (254058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 1, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:08'), (254059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 11, 4, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:08'), (254060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 253, 4, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:08'), (254061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 3, 3, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:08'), (254062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 98, 5, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:08'), (254063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 5, 3, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:08'), (254064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 43, 8, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:08'), (254065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 49, 9, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:08'), (254066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 27, 2, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:08'), (254067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 87, 9, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:07'), (254068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 335, 7, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:07'), (254069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 25, 11, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:07'), (254070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 52, 3, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:07'), (254071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 34, 16, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:07'), (254072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 493, 13, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:07'), (254073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 98, 1, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:07'), (254074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 161, 10, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:07'), (254075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 69, 16, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:07'), (254076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 73, 2, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:07'), (254077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 200, 10, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:07'), (254078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 32, 14, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:07'), (254079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 117, 39, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:07'), (254080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 292, 3, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 112, 3, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 1027, 9, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:17'), (254083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 218, 8, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 184, 13, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 48, 4, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:17'), (254086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B12', 110, 3, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:17'), (254087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 384, 5, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:17'), (254088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 707, 41, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:19'), (254089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 521, 5, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:19'), (254090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 212, 16, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:25'), (254091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 591, 49, 2024, 8, 13, '2024-08-14 01:00:56', 1, '2024-08-17 01:00:25'), (254092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 146, 6, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 151, 1, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 241, 16, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 19037, 2, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 123, 15, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 639, 49, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 74, 38, 2024, 8, 13, '2024-08-14 01:00:55', 1, '2024-08-17 01:00:09'), (254099, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 7, 1, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:40'), (254100, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 676, 5, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:41'), (254101, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 493, 6, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:41'), (254102, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 5, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:41'), (254103, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 117, 39, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:36'), (254104, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 493, 13, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254105, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 74, 38, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:34'), (254106, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 184, 13, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:35'), (254107, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 32, 14, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254108, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 34, 16, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:34'), (254109, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 69, 16, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:35'), (254110, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 87, 9, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:36'), (254111, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 25, 11, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:40'), (254112, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 151, 1, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254113, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 136, 4, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254114, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 73, 2, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:40'), (254115, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 98, 1, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:40'), (254116, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 52, 3, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:41'), (254117, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '2C01', 37, 1, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:36'), (254118, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 111, 8, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254119, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 433, 2, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254120, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 384, 7, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:34'), (254121, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 44, 3, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:35'), (254122, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 239, 6, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:40'), (254123, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 96, 7, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:41'), (254124, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 74, 1, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:36'), (254125, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 123, 3, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:36'), (254126, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 139, 3, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:36'), (254127, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 769, 2, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:36'), (254128, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 335, 7, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:36'), (254129, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 41, 7, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:35'), (254130, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 591, 49, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:35'), (254131, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 639, 49, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:35'), (254132, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 707, 41, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:35'), (254133, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 48, 4, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:35'), (254134, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 573, 2, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:34'), (254135, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 234, 30, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:34'), (254136, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 894, 1, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:34'), (254137, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 218, 8, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:34'), (254138, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 414, 1, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:34'), (254139, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 384, 5, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:34'), (254140, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 194, 39, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:34'), (254141, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 241, 16, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:34'), (254142, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 203, 19, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:34'), (254143, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 170, 23, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:34'), (254144, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 29, 15, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:35'), (254145, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 140, 30, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:35'), (254146, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 38, 11, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:35'), (254147, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 161, 34, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:35'), (254148, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 62, 11, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:35'), (254149, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 72, 16, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:35'), (254150, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 99, 40, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:35'), (254151, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 3, 2, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:37'), (254152, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 6, 1, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:37'), (254153, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 521, 5, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:37'), (254154, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 16, 12, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:37'), (254155, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 200, 10, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:37'), (254156, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 161, 10, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:37'), (254157, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 138, 17, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:36'), (254158, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 127, 12, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:36'), (254159, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 98, 5, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:36'), (254160, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 253, 4, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:36'), (254161, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 43, 8, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:37'), (254162, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 5, 1, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:37'), (254163, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E12', 41, 1, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:37'), (254164, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 285, 42, 2024, 8, 13, '2024-08-14 01:00:58', 1, '2024-08-17 01:00:37'), (254165, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 292, 3, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254166, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D09', 167, 2, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:34'), (254167, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 3, 1, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:36'), (254168, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 5, 6, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:40'), (254169, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 3, 3, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:40'), (254170, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 1, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:41'), (254171, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 58, 8, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:41'), (254172, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 943, 2, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254173, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 353, 24, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254174, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 212, 16, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254175, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B12', 110, 3, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254176, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 123, 15, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:35'), (254177, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 40, 4, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254178, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 17, 13, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:35'), (254179, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 4, 1, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:40'), (254180, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 10, 2, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:41'), (254181, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 112, 3, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254182, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 87, 5, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254183, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 19037, 2, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254184, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 1027, 9, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:34'), (254185, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 11, 4, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:34'), (254186, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 5, 3, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:34'), (254187, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C11', 1354, 1, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254188, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 439, 12, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254189, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 27, 2, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254190, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 49, 9, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254191, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 518, 3, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:33'), (254192, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 33, 3, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:34'), (254193, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 29, 7, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:36'), (254194, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 692, 15, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:36'), (254195, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 53, 6, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:36'), (254196, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C03', 1038, 2, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:36'), (254197, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 699, 8, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:41'), (254198, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 321, 5, 2024, 8, 13, '2024-08-14 01:00:57', 1, '2024-08-17 01:00:41'), (254199, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:08', 1, '2024-08-19 01:00:02'), (254200, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:08', 1, '2024-08-19 01:00:02'), (254201, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:08', 1, '2024-08-19 01:00:02'), (254202, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:08', 1, '2024-08-19 01:00:02'), (254203, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:08', 1, '2024-08-19 01:00:02'), (254204, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:16', 1, '2024-08-19 01:00:12'), (254205, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:16', 1, '2024-08-19 01:00:10'), (254206, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:16', 1, '2024-08-19 01:00:10'), (254207, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:16', 1, '2024-08-19 01:00:10'), (254208, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:24', 1, '2024-08-19 01:00:19'), (254209, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:24', 1, '2024-08-19 01:00:18'), (254210, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:24', 1, '2024-08-19 01:00:18'), (254211, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:24', 1, '2024-08-19 01:00:18'), (254212, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:24', 1, '2024-08-19 01:00:20'), (254213, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:32', 1, '2024-08-19 01:00:26'), (254214, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:32', 1, '2024-08-19 01:00:27'), (254215, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:32', 1, '2024-08-19 01:00:26'), (254216, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:32', 1, '2024-08-19 01:00:27'), (254217, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:32', 1, '2024-08-19 01:00:43'), (254218, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:39', 1, '2024-08-19 01:00:28'), (254219, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:39', 1, '2024-08-19 01:00:35'), (254220, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:40', 1, '2024-08-19 01:00:35'), (254221, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:40', 1, '2024-08-19 01:00:34'), (254222, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:40', 1, '2024-08-19 01:00:35'), (254223, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:47', 1, '2024-08-19 01:00:42'), (254224, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 15, '2024-08-15 01:00:47', 1, '2024-08-19 01:00:37'), (254225, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 438, 5, 2024, 8, 15, '2024-08-15 01:00:51', 1, '2024-08-19 01:00:43'), (254226, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1212, 4, 2024, 8, 14, '2024-08-15 01:00:49', 1, '2024-08-18 01:00:43'), (254227, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1212, 4, 2024, 8, 14, '2024-08-15 01:00:49', 1, '2024-08-18 01:00:43'), (254228, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 12, 1, 2024, 8, 14, '2024-08-15 01:00:49', 1, '2024-08-18 01:00:43'), (254229, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 1612, 3, 2024, 8, 14, '2024-08-15 01:00:49', 1, '2024-08-18 01:00:43'), (254230, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 12, 1, 2024, 8, 14, '2024-08-15 01:00:49', 1, '2024-08-18 01:00:43'), (254231, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 1612, 3, 2024, 8, 14, '2024-08-15 01:00:49', 1, '2024-08-18 01:00:43'), (254232, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 601, 3, 2024, 8, 15, '2024-08-15 01:00:52', 1, '2024-08-19 01:00:43'), (254233, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 84, 4, 2024, 8, 14, '2024-08-15 01:00:49', 1, '2024-08-18 01:00:42'), (254234, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 40, 1, 2024, 8, 14, '2024-08-15 01:00:49', 1, '2024-08-18 01:00:42'), (254235, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 173, 1, 2024, 8, 14, '2024-08-15 01:00:49', 1, '2024-08-18 01:00:42'), (254236, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 108, 1, 2024, 8, 14, '2024-08-15 01:00:49', 1, '2024-08-18 01:00:42'), (254237, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 18, 1, 2024, 8, 14, '2024-08-15 01:00:49', 1, '2024-08-18 01:00:42'), (254238, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 18, 1, 2024, 8, 14, '2024-08-15 01:00:50', 1, '2024-08-18 01:00:42'), (254239, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 40, 1, 2024, 8, 14, '2024-08-15 01:00:49', 1, '2024-08-18 01:00:42'), (254240, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 173, 1, 2024, 8, 14, '2024-08-15 01:00:50', 1, '2024-08-18 01:00:43'), (254241, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 108, 1, 2024, 8, 14, '2024-08-15 01:00:50', 1, '2024-08-18 01:00:43'), (254242, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 173, 1, 2024, 8, 14, '2024-08-15 01:00:51', 1, '2024-08-18 01:00:43'), (254243, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 40, 1, 2024, 8, 14, '2024-08-15 01:00:51', 1, '2024-08-18 01:00:43'), (254244, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 18, 1, 2024, 8, 14, '2024-08-15 01:00:51', 1, '2024-08-18 01:00:43'), (254245, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 108, 1, 2024, 8, 14, '2024-08-15 01:00:50', 1, '2024-08-18 01:00:43'), (254246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 406, 681, 2024, 8, 15, '2024-08-15 01:01:03', 1, '2024-08-19 01:00:02'), (254247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 263, 1077, 2024, 8, 15, '2024-08-15 01:01:04', 1, '2024-08-19 01:00:02'), (254248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 72, 7, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:08'), (254249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 14, 4, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:09'), (254250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 225, 224, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:09'), (254251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 292, 62, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:08'), (254252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 200, 39, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:08'), (254253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 205, 33, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 270, 104, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:02'), (254255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 19, 8, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:08');
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (254256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 203, 88, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:08'), (254257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 215, 48, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:08'), (254258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 187, 57, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:08'), (254259, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 107, 3, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:11'), (254260, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 69, 93, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:16'), (254261, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 114, 23, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:16'), (254262, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 7, 1, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:16'), (254263, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', '', 26, 1, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:11'), (254264, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 547, 12, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:11'), (254265, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 379, 49, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:11'), (254266, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 108, 6, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:10'), (254267, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 6, 7, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:10'), (254268, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 4, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:10'), (254269, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 66, 6, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:10'), (254270, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 90, 45, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:11'), (254271, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 116, 7, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:16'), (254272, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 618, 30, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:16'), (254273, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 167, 1, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:10'), (254274, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 216, 6, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:11'), (254275, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 7, 22, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:11'), (254276, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 10, 2, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:09'), (254277, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 7, 1, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:09'), (254278, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 185, 6, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:09'), (254279, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 308, 26, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:09'), (254280, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 10, 54, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:09'), (254281, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 321, 155, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:09'), (254282, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 6, 1, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:09'), (254283, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 542, 5, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:09'), (254284, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 3023, 2, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:10'), (254285, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 64, 15, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:10'), (254286, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 120, 24, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:10'), (254287, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 208, 61, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:10'), (254288, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 2, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:10'), (254289, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 697, 18, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:10'), (254290, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 3, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:10'), (254291, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 1, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:10'), (254292, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 2, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:10'), (254293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 542, 5, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:19'), (254294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 77, 12, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:19'), (254295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 54, 15, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:19'), (254296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 120, 24, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:19'), (254297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 73, 12, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:19'), (254298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 51, 16, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:19'), (254299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 449, 1, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:19'), (254300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 9, 3, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:19'), (254301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 125, 13, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:19'), (254302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 11, 10, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:18'), (254303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 58, 9, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:18'), (254304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 78, 11, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:18'), (254305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 696, 21, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:18'), (254306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 94, 11, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:18'), (254307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 6, 16, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:18'), (254308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C01', 70, 20, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:18'), (254309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 164, 20, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:18'), (254310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 5, 16, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:19'), (254311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 20, 11, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:19'), (254312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 436, 9, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:19'), (254313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 61, 14, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:17'), (254314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 16, 18, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:17'), (254315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 248, 22, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:18'), (254316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 37, 12, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:18'), (254317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 208, 19, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:18'), (254318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 308, 26, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:18'), (254319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 65, 18, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:18'), (254320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 296, 23, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:20'), (254321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 7, 1, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:24'), (254322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 375, 45, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:24'), (254323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 311, 43, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:24'), (254324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 167, 1, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:19'), (254325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 8, 5, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:24'), (254326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 216, 6, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:17'), (254327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 6, 1, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:17'), (254328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 697, 18, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:19'), (254329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 3023, 2, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:20'), (254330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 547, 12, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:20'), (254331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 438, 16, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:24'), (254332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 348, 20, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:19'), (254333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 354, 13, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:20'), (254334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 185, 6, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:17'), (254335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 12, 2, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:17'), (254336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 107, 3, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:17'), (254337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 7, 1, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:17'), (254338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 21, 3, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:17'), (254339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 352, 7, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:17'), (254340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 8, 8, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:17'), (254341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 3, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:17'), (254342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 290, 44, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:17'), (254343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 108, 6, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:17'), (254344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 116, 7, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:17'), (254345, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 66, 6, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:27'), (254346, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 7, 1, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:27'), (254347, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 547, 12, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:27'), (254348, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 438, 16, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:26'), (254349, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 12, 2, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:26'), (254350, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 348, 20, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:26'), (254351, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 352, 7, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:26'), (254352, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 354, 13, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:26'), (254353, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 21, 3, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:26'), (254354, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 3, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:26'), (254355, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 8, 8, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:26'), (254356, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 120, 24, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:27'), (254357, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 25, 7, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254358, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 98, 8, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254359, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 216, 6, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:26'), (254360, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  区消防救援大队', '', '', 'A09', 26, 1, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:27'), (254361, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 697, 18, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:32'), (254362, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 167, 1, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:26'), (254363, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 208, 19, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254364, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 248, 22, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254365, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 185, 6, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:26'), (254366, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 164, 20, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:32'), (254367, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 108, 6, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:27'), (254368, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 7, 1, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254369, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 8, 3, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254370, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 26, 8, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254371, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 5, 3, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254372, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 12, 9, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254373, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 11, 5, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254374, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 9, 3, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254375, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 542, 5, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254376, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 4, 11, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254377, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 7, 12, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254378, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 94, 11, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:24'), (254379, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 436, 9, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:24'), (254380, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 125, 13, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254381, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 696, 21, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254382, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 58, 9, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254383, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 73, 12, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:24'), (254384, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 107, 3, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254385, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 290, 44, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254386, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 29, 1, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:28'), (254387, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 65, 18, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:33'), (254388, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 116, 7, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:33'), (254389, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 4, 3, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:33'), (254390, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 77, 12, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:34'), (254391, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 7, 5, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:35'), (254392, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 2, 4, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:36'), (254393, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 5, 2, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:33'), (254394, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 3, 2, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:33'), (254395, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 6, 1, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:26'), (254396, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 10, 2, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:26'), (254397, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 8, 5, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:26'), (254398, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C01', 70, 20, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:26'), (254399, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 449, 1, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254400, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 10, 5, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254401, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 375, 45, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:25'), (254402, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 78, 11, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:33'), (254403, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 296, 23, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:34'), (254404, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 308, 26, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:36'), (254405, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 54, 15, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:36'), (254406, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 51, 16, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:37'), (254407, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 3023, 2, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:40'), (254408, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 311, 43, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:40'), (254409, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 238, 409, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:03'), (254410, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 125, 91, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:03'), (254411, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 172, 60, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:08'), (254412, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 64, 55, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:03'), (254413, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 140, 172, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:02'), (254414, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 619, 115, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:03'), (254415, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 127, 78, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:03'), (254416, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 32, 79, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:02'), (254417, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 15, 27, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:16'), (254418, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 883, 2, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254419, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 163, 16, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254420, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 20, 17, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:08'), (254421, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 285, 12, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254422, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 138, 10, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254423, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 127, 78, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254424, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 126, 3, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254425, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 199, 44, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:08'), (254426, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 600, 7, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254427, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 68, 1, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:11'), (254428, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 144, 2, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254429, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 14, 1, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:09'), (254430, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 258, 21, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254431, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 3, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254432, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 1, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:08'), (254433, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 0, 4, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254434, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 345, 120, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254435, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '', 440, 2, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254436, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 562, 6, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:10'), (254437, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 136, 207, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254438, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 111, 8, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:11'), (254439, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 115, 8, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:11'), (254440, 1, '511500000000-0001', '宜宾市民中心', '公检法执行', '', '', '', 0, 1, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254441, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 195, 15, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254442, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 32, 79, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254443, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 12, 1, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254444, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 786, 34, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254445, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 10, 2, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:08'), (254446, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 0, 2, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:08'), (254447, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 52, 67, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:08'), (254448, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 47, 36, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:08'), (254449, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '', 74, 1, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254450, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1098, 5, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254451, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 64, 55, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254452, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 19, 2, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:10'), (254453, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '', 521, 1, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254454, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 871, 46, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:09'), (254455, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 340, 82, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:10'), (254456, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 7, 12, 2024, 8, 14, '2024-08-15 01:00:57', 1, '2024-08-18 01:00:10'), (254457, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 6, 9, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:10'), (254458, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 76, 9, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:11'), (254459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 9, 2, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 60, 13, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:20'), (254461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 285, 12, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:24'), (254462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 82, 10, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:25'), (254463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 81, 14, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:25'), (254464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 290, 15, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:25'), (254465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 258, 21, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:25'), (254466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 151, 3, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:26'), (254467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 114, 10, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:16'), (254468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 69, 10, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 39, 8, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 194, 11, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 187, 11, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:19'), (254472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 364, 3, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:19'), (254473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 31, 11, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:20'), (254474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 145, 6, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:24'), (254475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 28, 16, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:24'), (254476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 10, 6, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 187, 23, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 4, 1, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 48, 10, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 16, 1, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 698, 5, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 25, 12, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:17'), (254483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 98, 53, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:17'), (254484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 59, 3, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:18'), (254485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 627, 7, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:18'), (254486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1288, 3, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 49, 9, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 46, 11, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:19'), (254489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 130, 35, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:19'), (254490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 14, 1, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:24'), (254491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 23, 1, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:24'), (254492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 873, 4, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:24'), (254493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 112, 5, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:25'), (254494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 169, 32, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:25'), (254495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 30, 6, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:25'), (254496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 792, 5, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:25'), (254497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 173, 21, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:25'), (254498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1065, 6, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:32'), (254499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 57, 5, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:16'), (254500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 17, 3, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:16'), (254501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 159, 20, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 6, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:19'), (254503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 83, 23, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:19'), (254504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 31, 1, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 44, 18, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 15, 12, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 13, 7, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:19'), (254508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 7, 1, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:20'), (254509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 42, 8, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:25'), (254510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 2, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:25'), (254511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 59, 4, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:25'), (254512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 34, 12, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:25'), (254513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 26, 4, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:28'), (254514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 6, 4, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:32'), (254515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 4, 6, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:33'), (254516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 8, 2, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:16'), (254517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 50, 9, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:16'), (254518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 4, 4, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:16'), (254519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 7, 10, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 62, 9, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 28, 9, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:16'), (254522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1230, 7, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:16'), (254523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 129, 16, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:16'), (254524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 187, 16, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:16'), (254525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 77, 5, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:16'), (254526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 138, 10, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:16'), (254527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 19, 11, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:16'), (254528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 108, 3, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:16'), (254529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 68, 1, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:16'), (254530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 360, 29, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 284, 3, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 35, 12, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:17'), (254533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 250, 13, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:17'), (254534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 131, 7, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:18'), (254535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 185, 7, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:18'), (254536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 146, 9, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:19'), (254537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 936, 19, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:18'), (254538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 709, 2, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:18'), (254539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 562, 6, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:18'), (254540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 88, 13, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:18'), (254541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 680, 18, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:18'), (254542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 236, 36, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:18'), (254543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1098, 5, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:18'), (254544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 41, 10, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:18'), (254545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 374, 50, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:18'), (254546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 280, 6, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:19'), (254547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 8, 2, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:19'), (254548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 195, 15, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:19'), (254549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 2175, 2, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:19'), (254550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 418, 34, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:16'), (254551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 22, 12, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 328, 53, 2024, 8, 14, '2024-08-15 01:00:58', 1, '2024-08-18 01:00:17'), (254553, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 9, 2, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:35'), (254554, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 10, 6, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:35'), (254555, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 68, 1, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:35'), (254556, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 145, 6, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:35'), (254557, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 6, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:35'), (254558, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 360, 29, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:34'), (254559, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 138, 10, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:34'), (254560, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 328, 53, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:34'), (254561, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 88, 13, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:34'), (254562, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 250, 13, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:34'), (254563, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 187, 16, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:34'), (254564, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 19, 11, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:34'), (254565, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 28, 9, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:34'), (254566, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 129, 16, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:34'), (254567, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 8, 2, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:34'), (254568, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 2588, 1, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:34'), (254569, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 400, 4, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:34'), (254570, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 17, 2, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:36'), (254571, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 108, 3, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:36'), (254572, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 81, 4, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:36'), (254573, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '1D09', 74, 1, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:36'), (254574, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 19, 2, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:33'), (254575, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1288, 3, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:33'), (254576, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 627, 7, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:34'), (254577, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 23, 1, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:34'), (254578, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 698, 5, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:34'), (254579, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 46, 11, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:34'), (254580, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 31, 1, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:35'), (254581, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 1065, 6, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:36'), (254582, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 792, 5, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:37'), (254583, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 873, 4, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:40'), (254584, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1230, 7, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:40'), (254585, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 114, 10, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:37'), (254586, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 374, 50, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:36'), (254587, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 418, 34, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:36'), (254588, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 236, 36, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:37'), (254589, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 562, 6, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:37'), (254590, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 364, 3, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:36'), (254591, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 173, 21, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:41'), (254592, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 709, 2, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:41'), (254593, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 33, 1, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:42'), (254594, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 936, 19, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:43'), (254595, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C03', 255, 1, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:43'), (254596, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 12, 1, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:44'), (254597, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 680, 18, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:44'), (254598, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 187, 23, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:37'), (254599, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 195, 15, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:37'), (254600, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 83, 23, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:37'), (254601, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 159, 20, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:37'), (254602, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 28, 16, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:37'), (254603, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 169, 32, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:37'), (254604, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 31, 11, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:37'), (254605, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 130, 35, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:37'), (254606, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 39, 8, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:37'), (254607, 1, '511500000000-0001', '宜宾市民中心', '1992年4月后参工退休审核', '', '', '2E20', 521, 1, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:37'), (254608, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 69, 10, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:38'), (254609, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 98, 53, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:38'), (254610, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 4, 1, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:36'), (254611, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 16, 1, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:36'), (254612, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1098, 5, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:36'), (254613, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 8, 2, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:36'), (254614, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 48, 10, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:36'), (254615, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 35, 12, 2024, 8, 14, '2024-08-15 01:01:02', 1, '2024-08-18 01:00:36'), (254616, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 42, 8, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:35'), (254617, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 15, 12, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:35'), (254618, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 26, 4, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:35'), (254619, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E29', 61, 1, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:35'), (254620, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 34, 12, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:35'), (254621, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 82, 10, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:35'), (254622, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 81, 14, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:35'), (254623, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 50, 9, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:35'), (254624, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 60, 13, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:36'), (254625, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D09', 4, 1, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:36'), (254626, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 131, 7, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:36'), (254627, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 1763, 1, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:40'), (254628, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 7, 1, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:36'), (254629, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 285, 12, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:40'), (254630, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 6, 4, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:40'), (254631, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 2, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:40'), (254632, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 181, 1, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:33'), (254633, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 99, 2, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:33'), (254634, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 44, 18, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:33'), (254635, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 41, 10, 2024, 8, 14, '2024-08-15 01:00:59', 1, '2024-08-18 01:00:33'), (254636, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 22, 12, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:34'), (254637, 1, '511500000000-0001', '宜宾市民中心', '提前退休账户备注', '', '', '2E27', 820, 1, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:36'), (254638, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 112, 5, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:33'), (254639, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 25, 12, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:33'), (254640, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 59, 3, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:33'), (254641, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 30, 6, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:33'), (254642, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 185, 7, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:34'), (254643, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 13, 7, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:36'), (254644, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 146, 9, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:37'), (254645, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 59, 4, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:37'), (254646, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 4, 6, 2024, 8, 14, '2024-08-15 01:01:01', 1, '2024-08-18 01:00:40'), (254647, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 49, 9, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:33'), (254648, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 4, 8, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:33'), (254649, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 7, 10, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:33'), (254650, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 4, 4, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:37'), (254651, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 14, 1, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:33');
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (254652, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 258, 21, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:33'), (254653, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 318, 13, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:33'), (254654, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 57, 5, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:34'), (254655, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 187, 11, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:33'), (254656, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 194, 11, 2024, 8, 14, '2024-08-15 01:01:00', 1, '2024-08-18 01:00:33'), (254657, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:08', 1, '2024-08-20 01:00:02'), (254658, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:08', 1, '2024-08-20 01:00:02'), (254659, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:08', 1, '2024-08-20 01:00:02'), (254660, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:08', 1, '2024-08-20 01:00:02'), (254661, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:08', 1, '2024-08-20 01:00:02'), (254662, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:16', 1, '2024-08-20 01:00:10'), (254663, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:16', 1, '2024-08-20 01:00:10'), (254664, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:16', 1, '2024-08-20 01:00:10'), (254665, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:16', 1, '2024-08-20 01:00:10'), (254666, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:17', 1, '2024-08-20 01:00:12'), (254667, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:23', 1, '2024-08-20 01:00:18'), (254668, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:24', 1, '2024-08-20 01:00:18'), (254669, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:24', 1, '2024-08-20 01:00:18'), (254670, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:25', 1, '2024-08-20 01:00:18'), (254671, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:25', 1, '2024-08-20 01:00:23'), (254672, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:31', 1, '2024-08-20 01:00:26'), (254673, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:32', 1, '2024-08-20 01:00:26'), (254674, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:32', 1, '2024-08-20 01:00:26'), (254675, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:33', 1, '2024-08-20 01:00:26'), (254676, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:33', 1, '2024-08-20 01:00:33'), (254677, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:39', 1, '2024-08-20 01:00:34'), (254678, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:40', 1, '2024-08-20 01:00:34'), (254679, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:40', 1, '2024-08-20 01:00:34'), (254680, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:41', 1, '2024-08-20 01:00:35'), (254681, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:41', 1, '2024-08-20 01:00:41'), (254682, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 16, '2024-08-16 01:00:50', 1, '2024-08-20 01:00:42'), (254683, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 140, 9, 2024, 8, 16, '2024-08-16 01:00:52', 1, '2024-08-20 01:00:42'), (254684, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 601, 3, 2024, 8, 15, '2024-08-16 01:00:50', 1, '2024-08-19 01:00:43'), (254685, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 49, 1, 2024, 8, 15, '2024-08-16 01:00:51', 1, '2024-08-19 01:00:43'), (254686, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 877, 2, 2024, 8, 15, '2024-08-16 01:00:50', 1, '2024-08-19 01:00:43'), (254687, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 49, 1, 2024, 8, 15, '2024-08-16 01:00:51', 1, '2024-08-19 01:00:43'), (254688, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 877, 2, 2024, 8, 15, '2024-08-16 01:00:51', 1, '2024-08-19 01:00:43'), (254689, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 877, 2, 2024, 8, 15, '2024-08-16 01:00:51', 1, '2024-08-19 01:00:43'), (254690, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 49, 1, 2024, 8, 15, '2024-08-16 01:00:51', 1, '2024-08-19 01:00:43'), (254691, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 3486, 9, 2024, 8, 16, '2024-08-16 01:00:53', 1, '2024-08-20 01:00:42'), (254692, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 438, 5, 2024, 8, 15, '2024-08-16 01:00:51', 1, '2024-08-19 01:00:43'), (254693, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 0, 1, 2024, 8, 15, '2024-08-16 01:00:51', 1, '2024-08-19 01:00:43'), (254694, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 548, 4, 2024, 8, 15, '2024-08-16 01:00:51', 1, '2024-08-19 01:00:43'), (254695, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 548, 4, 2024, 8, 15, '2024-08-16 01:00:51', 1, '2024-08-19 01:00:44'), (254696, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 548, 4, 2024, 8, 15, '2024-08-16 01:00:51', 1, '2024-08-19 01:00:44'), (254697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 384, 1100, 2024, 8, 16, '2024-08-16 01:01:03', 1, '2024-08-20 01:00:02'), (254698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 453, 826, 2024, 8, 16, '2024-08-16 01:01:05', 1, '2024-08-20 01:00:02'), (254699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 434, 282, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:09'), (254700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 419, 39, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:08'), (254701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 226, 39, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:08'), (254702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 275, 26, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:08'), (254703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 354, 90, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:08'), (254704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 28, 2, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:02'), (254705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1459, 16, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:09'), (254706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 419, 92, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:09'), (254707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 268, 47, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:16'), (254708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 301, 41, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:08'), (254709, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 134, 26, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:17'), (254710, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 23, 79, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:17'), (254711, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 2926, 6, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:18'), (254712, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 88, 10, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:17'), (254713, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 590, 73, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:17'), (254714, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:17'), (254715, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 28, 11, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:17'), (254716, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 72, 7, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:17'), (254717, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 98, 6, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:17'), (254718, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 36, 35, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:17'), (254719, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 543, 8, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:17'), (254720, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 398, 27, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:17'), (254721, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 463, 2, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:16'), (254722, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 218, 11, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:17'), (254723, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 6, 14, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:17'), (254724, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 43, 1, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:16'), (254725, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 234, 9, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:16'), (254726, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 7, 1, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:16'), (254727, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 727, 31, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:16'), (254728, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 11, 45, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:16'), (254729, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 899, 146, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:16'), (254730, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 465, 14, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:16'), (254731, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1080, 4, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:17'), (254732, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 124, 6, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:16'), (254733, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 98, 30, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:17'), (254734, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 236, 50, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:17'), (254735, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 8, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:18'), (254736, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 413, 14, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:24'), (254737, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:24'), (254738, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 0, 1, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:16'), (254739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 465, 14, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:24'), (254740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 42, 15, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:24'), (254741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 36, 16, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:25'), (254742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 98, 30, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:25'), (254743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 5, 8, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:32'), (254744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 33, 11, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:33'), (254745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 7, 5, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:33'), (254746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 125, 8, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:33'), (254747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 8, 9, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:33'), (254748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 9, 8, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:24'), (254749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 14, 11, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:25'), (254750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 5, 15, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:25'), (254751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 8, 8, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:25'), (254752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 397, 11, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:26'), (254753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 5, 15, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:26'), (254754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 10, 15, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:32'), (254755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 3, 2, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:32'), (254756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 398, 16, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:33'), (254757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 127, 7, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:24'), (254758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 6, 5, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:24'), (254759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 197, 16, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:25'), (254760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 40, 16, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:25'), (254761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C07', 85, 7, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:25'), (254762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 314, 15, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:24'), (254763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 8, 13, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:24'), (254764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 727, 31, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:25'), (254765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 945, 43, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:25'), (254766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A11', 619, 1, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:25'), (254767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 855, 46, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:25'), (254768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 3388, 5, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:26'), (254769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 193, 2, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:33'), (254770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 296, 10, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:33'), (254771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 7, 1, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:24'), (254772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 463, 2, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:25'), (254773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 118, 5, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:25'), (254774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 218, 11, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:25'), (254775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 186, 11, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:25'), (254776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1440, 3, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:26'), (254777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 176, 5, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:32'), (254778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 704, 26, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:32'), (254779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 541, 30, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:25'), (254780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 500, 17, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:25'), (254781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 831, 46, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:25'), (254782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 1246, 3, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:25'), (254783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 166, 4, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:25'), (254784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 234, 9, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:26'), (254785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 175, 5, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:24'), (254786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 138, 7, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:25'), (254787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 139, 7, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:25'), (254788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 1301, 10, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:24'), (254789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 3, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:24'), (254790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 543, 8, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:24'), (254791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 28, 11, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:24'), (254792, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 72, 7, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254793, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 3388, 5, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254794, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A11', 619, 1, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254795, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 176, 5, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254796, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 704, 26, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:33'), (254797, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 166, 4, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254798, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 541, 30, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:36'), (254799, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 138, 7, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:41'), (254800, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 175, 5, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:41'), (254801, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 500, 17, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:41'), (254802, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 3, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254803, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 139, 7, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254804, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 98, 30, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254805, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 4, 1, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254806, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 148, 5, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254807, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 218, 11, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254808, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 186, 11, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254809, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 7, 1, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254810, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 463, 2, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254811, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 314, 15, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254812, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C07', 85, 7, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:34'), (254813, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 197, 16, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254814, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 234, 9, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254815, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 28, 11, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254816, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 1246, 3, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254817, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 296, 10, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254818, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 109, 1, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:34'), (254819, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 3, 2, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254820, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 19, 7, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254821, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 7, 4, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254822, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 10, 6, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:33'), (254823, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 13, 1, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:33'), (254824, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 465, 14, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254825, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 11, 12, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254826, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 3, 12, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:40'), (254827, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 193, 2, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:34'), (254828, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 8, 8, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:33'), (254829, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 398, 16, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:33'), (254830, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 125, 8, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:33'), (254831, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 397, 11, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:33'), (254832, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 14, 11, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:33'), (254833, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 5, 8, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:33'), (254834, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 1301, 10, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:34'), (254835, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 543, 8, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:34'), (254836, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 8, 13, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254837, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 42, 15, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254838, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 3, 3, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254839, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 11, 3, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:40'), (254840, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 5, 2, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:33'), (254841, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 43, 1, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:35'), (254842, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 118, 5, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254843, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 831, 46, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:41'), (254844, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 6, 2, 2024, 8, 15, '2024-08-16 01:01:02', 1, '2024-08-19 01:00:35'), (254845, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 8, 9, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254846, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 855, 46, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254847, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 6, 4, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254848, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 5, 15, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254849, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 945, 43, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254850, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 36, 16, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254851, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 727, 31, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254852, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 33, 11, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254853, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1440, 3, 2024, 8, 15, '2024-08-16 01:01:03', 1, '2024-08-19 01:00:35'), (254854, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 382, 410, 2024, 8, 15, '2024-08-16 01:00:57', 1, '2024-08-19 01:00:03'), (254855, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 69, 86, 2024, 8, 15, '2024-08-16 01:00:57', 1, '2024-08-19 01:00:03'), (254856, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 303, 59, 2024, 8, 15, '2024-08-16 01:00:57', 1, '2024-08-19 01:00:03'), (254857, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 102, 62, 2024, 8, 15, '2024-08-16 01:00:57', 1, '2024-08-19 01:00:03'), (254858, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 169, 154, 2024, 8, 15, '2024-08-16 01:00:57', 1, '2024-08-19 01:00:02'), (254859, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 371, 140, 2024, 8, 15, '2024-08-16 01:00:57', 1, '2024-08-19 01:00:03'), (254860, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 19, 67, 2024, 8, 15, '2024-08-16 01:00:57', 1, '2024-08-19 01:00:03'), (254861, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 169, 99, 2024, 8, 15, '2024-08-16 01:00:57', 1, '2024-08-19 01:00:02'), (254862, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 50, 14, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:06'), (254863, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 8, 1, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:06'), (254864, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 122, 11, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:06'), (254865, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 67, 5, 2024, 8, 15, '2024-08-16 01:00:57', 1, '2024-08-19 01:00:06'), (254866, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 110, 23, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:06'), (254867, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 724, 19, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:06'), (254868, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 19, 67, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:06'), (254869, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 11, 2, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:05'), (254870, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 144, 41, 2024, 8, 15, '2024-08-16 01:00:57', 1, '2024-08-19 01:00:05'), (254871, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 70, 3, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:05'), (254872, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 40, 2, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:06'), (254873, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 121, 2, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:05'), (254874, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 18, 1, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:05'), (254875, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 266, 18, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:05'), (254876, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 9, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:05'), (254877, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 1, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:04'), (254878, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 0, 1, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:04'), (254879, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 241, 120, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:05'), (254880, 1, '511500000000-0001', '宜宾市民中心', '机动车变更登记', '', '', '', 0, 1, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:05'), (254881, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 256, 12, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:05'), (254882, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 439, 211, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:05'), (254883, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 445, 9, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:05'), (254884, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 973, 12, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:05'), (254885, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 111, 20, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:04'), (254886, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 169, 99, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:04'), (254887, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 100, 2, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:04'), (254888, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 334, 34, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:04'), (254889, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 6, 4, 2024, 8, 15, '2024-08-16 01:00:57', 1, '2024-08-19 01:00:03'), (254890, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 0, 4, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:03'), (254891, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 7, 42, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:03'), (254892, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 67, 56, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:03'), (254893, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '', 7, 1, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:03'), (254894, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 3036, 3, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:03'), (254895, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 102, 62, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:03'), (254896, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 50, 3, 2024, 8, 15, '2024-08-16 01:00:57', 1, '2024-08-19 01:00:04'), (254897, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 421, 58, 2024, 8, 15, '2024-08-16 01:00:57', 1, '2024-08-19 01:00:04'), (254898, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 446, 79, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:04'), (254899, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 11, 5, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:04'), (254900, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 95, 14, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:04'), (254901, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 6, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:04'), (254902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 17, 3, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:08'), (254903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 143, 16, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:09'), (254904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 4, 1, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:09'), (254905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 83, 4, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:09'), (254906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 48, 12, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:10'), (254907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 129, 16, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:10'), (254908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 266, 18, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:10'), (254909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 67, 10, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:16'), (254910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 56, 14, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:09'), (254911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 106, 12, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:08'), (254912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 63, 8, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:09'), (254913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 275, 11, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:09'), (254914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 95, 2, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:16'), (254915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 166, 10, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:16'), (254916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 52, 8, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:17'), (254917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 1291, 9, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:17'), (254918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 278, 5, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:24'), (254919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 21, 8, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:24'), (254920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 11, 2, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:09'), (254921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 275, 30, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:09'), (254922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 5, 15, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:09'), (254923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 6, 4, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:09'), (254924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 577, 6, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:09'), (254925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D24', 11, 13, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:09'), (254926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 437, 31, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:09'), (254927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 2, 1, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:09'), (254928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 225, 5, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:09'), (254929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 101, 6, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:09'), (254930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 182, 3, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:10'), (254931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 132, 5, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:10'), (254932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 528, 38, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:16'), (254933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 18, 1, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:16'), (254934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 9, 5, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:16'), (254935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 565, 6, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:16'), (254936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 394, 23, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:17'), (254937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 249, 3, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:18'), (254938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 6, 8, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:18'), (254939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 378, 25, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:24'), (254940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 17, 9, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:24'), (254941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 37, 2, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:25'), (254942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 59, 5, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:09'), (254943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 70, 5, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:09'), (254944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 709, 20, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:09'), (254945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 12, 3, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:09'), (254946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 419, 43, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:10'), (254947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 225, 2, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:08'), (254948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 79, 18, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:09'), (254949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 61, 15, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:08'), (254950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 15, 1, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:08'), (254951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 62, 8, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:08'), (254952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 97, 9, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:08'), (254953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 2, 4, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:08'), (254954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 109, 12, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:08'), (254955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 88, 10, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:08'), (254956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 193, 4, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:08'), (254957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 17, 1, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:08'), (254958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 219, 11, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:07'), (254959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 71, 4, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:07'), (254960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 36, 3, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:07'), (254961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 6, 2, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:07'), (254962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 98, 2, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:06'), (254963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 481, 18, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:06'), (254964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 27, 15, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:06'), (254965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 115, 7, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:06'), (254966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 23, 12, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:06'), (254967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 724, 19, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:07'), (254968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 141, 1, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:07'), (254969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 213, 9, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:07'), (254970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 8, 11, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:07'), (254971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 40, 2, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:07'), (254972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 168, 16, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:07'), (254973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 65, 6, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:07'), (254974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 13, 18, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:07'), (254975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 540, 40, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:07'), (254976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 445, 9, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:09'), (254977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 133, 2, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:09'), (254978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 119, 9, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:10'), (254979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 433, 18, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:09'), (254980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 256, 12, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:16'), (254981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 8, 9, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:16'), (254982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 363, 22, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:17'), (254983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 287, 37, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:17'), (254984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 3036, 3, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:17'), (254985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 227, 16, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:17'), (254986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 200, 43, 2024, 8, 15, '2024-08-16 01:00:59', 1, '2024-08-19 01:00:18'), (254987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 24, 4, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:08'), (254988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 128, 1, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:09'), (254989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 111, 20, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:10'), (254990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 279, 12, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:08'), (254991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 249, 39, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:08'), (254992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 350, 39, 2024, 8, 15, '2024-08-16 01:00:58', 1, '2024-08-19 01:00:08'), (254993, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 17, 3, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:28'), (254994, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 11, 2, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:28'), (254995, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 12, 3, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:28'), (254996, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 40, 2, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:28'), (254997, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 1291, 9, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:28'), (254998, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 540, 40, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:28'), (254999, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 724, 19, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:27'), (255000, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 350, 39, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:27'), (255001, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 8, 9, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:28'), (255002, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 13, 18, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:28'), (255003, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 23, 12, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:28'), (255004, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 8, 11, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:28'), (255005, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 98, 2, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:28'), (255006, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 27, 15, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:28'), (255007, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 128, 1, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:26'), (255008, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 41, 2, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:32'), (255009, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 65, 6, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:31'), (255010, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 141, 1, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:31'), (255011, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 115, 7, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:32'), (255012, 1, '511500000000-0001', '宜宾市民中心', '重要工业产品', '', '', '1D09', 7, 1, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:32'), (255013, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 50, 3, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:32'), (255014, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 182, 3, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:32'), (255015, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 225, 5, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:33'), (255016, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 577, 6, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:33'), (255017, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 101, 6, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:33'), (255018, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 225, 2, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:32'), (255019, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 37, 2, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:32'), (255020, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 249, 3, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:32'), (255021, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 565, 6, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:32'), (255022, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 481, 18, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:32'), (255023, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 56, 14, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:31'), (255024, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 200, 43, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:31'), (255025, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 249, 39, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:31'), (255026, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 287, 37, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:31'), (255027, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 256, 12, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:31'), (255028, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 278, 5, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:30'), (255029, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 95, 2, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:30'), (255030, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 378, 25, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:30'), (255031, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 121, 2, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:30'), (255032, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 433, 18, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:30'), (255033, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 100, 2, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:30'), (255034, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 363, 22, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:30'), (255035, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 275, 30, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:30'), (255036, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 111, 20, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:30'), (255037, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 419, 43, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:30'), (255038, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 709, 20, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:30'), (255039, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 21, 8, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:30'), (255040, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 394, 23, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:31'), (255041, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 52, 8, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:31'), (255042, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 528, 38, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:31'), (255043, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 63, 8, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:31'), (255044, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 106, 12, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:31'), (255045, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 437, 31, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:31'), (255046, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 6, 4, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:27'), (255047, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 3036, 3, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:27'), (255048, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 5, 15, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:27'), (255049, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 168, 16, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:27'), (255050, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 213, 9, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:27');
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (255051, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 62, 8, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:26'), (255052, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 61, 15, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:26'), (255053, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 109, 12, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:26'), (255054, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 48, 12, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:27'), (255055, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 129, 16, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:27'), (255056, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 219, 11, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:27'), (255057, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 143, 16, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:27'), (255058, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D09', 8, 1, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:26'), (255059, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 445, 9, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:26'), (255060, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 15, 1, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:26'), (255061, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 4, 1, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:26'), (255062, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 17, 1, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:26'), (255063, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 83, 4, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:26'), (255064, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 2, 4, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:26'), (255065, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 14, 1, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:25'), (255066, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 79, 18, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:25'), (255067, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 227, 16, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:25'), (255068, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 279, 12, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:26'), (255069, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 9, 5, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:25'), (255070, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D24', 11, 13, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:25'), (255071, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 2, 1, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:26'), (255072, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 6, 8, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:26'), (255073, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 133, 2, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:29'), (255074, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 97, 9, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:29'), (255075, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 119, 9, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:29'), (255076, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 88, 10, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:29'), (255077, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 193, 4, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:29'), (255078, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 17, 9, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:28'), (255079, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 132, 5, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:29'), (255080, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 6, 2, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:29'), (255081, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 36, 3, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:29'), (255082, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 71, 4, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:29'), (255083, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 8, 1, 2024, 8, 15, '2024-08-16 01:01:01', 1, '2024-08-19 01:00:29'), (255084, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 18, 1, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:26'), (255085, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 266, 18, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:29'), (255086, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 59, 7, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:29'), (255087, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 59, 5, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:30'), (255088, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 184, 9, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:26'), (255089, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 275, 11, 2024, 8, 15, '2024-08-16 01:01:00', 1, '2024-08-19 01:00:33'), (255090, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:09', 1, '2024-08-21 01:00:03'), (255091, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:09', 1, '2024-08-21 01:00:03'), (255092, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:09', 1, '2024-08-21 01:00:03'), (255093, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:09', 1, '2024-08-21 01:00:03'), (255094, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:09', 1, '2024-08-21 01:00:03'), (255095, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:16', 1, '2024-08-21 01:00:11'), (255096, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:17', 1, '2024-08-21 01:00:10'), (255097, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:17', 1, '2024-08-21 01:00:11'), (255098, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:17', 1, '2024-08-21 01:00:11'), (255099, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:19', 1, '2024-08-21 01:00:11'), (255100, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:25', 1, '2024-08-21 01:00:19'), (255101, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:25', 1, '2024-08-21 01:00:18'), (255102, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:25', 1, '2024-08-21 01:00:18'), (255103, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:25', 1, '2024-08-21 01:00:19'), (255104, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:27', 1, '2024-08-21 01:00:19'), (255105, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:32', 1, '2024-08-21 01:00:26'), (255106, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:32', 1, '2024-08-21 01:00:27'), (255107, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:32', 1, '2024-08-21 01:00:34'), (255108, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:33', 1, '2024-08-21 01:00:27'), (255109, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:35', 1, '2024-08-21 01:00:27'), (255110, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:40', 1, '2024-08-21 01:00:34'), (255111, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:40', 1, '2024-08-21 01:00:35'), (255112, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:41', 1, '2024-08-21 01:00:38'), (255113, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:42', 1, '2024-08-21 01:00:35'), (255114, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:43', 1, '2024-08-21 01:00:42'), (255115, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:48', 1, '2024-08-21 01:00:42'), (255116, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:50', 1, '2024-08-21 01:00:42'), (255117, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 3486, 9, 2024, 8, 16, '2024-08-17 01:00:48', 1, '2024-08-20 01:00:42'), (255118, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 12391, 1, 2024, 8, 16, '2024-08-17 01:00:48', 1, '2024-08-20 01:00:42'), (255119, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 2373, 8, 2024, 8, 16, '2024-08-17 01:00:48', 1, '2024-08-20 01:00:42'), (255120, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 12391, 1, 2024, 8, 16, '2024-08-17 01:00:49', 1, '2024-08-20 01:00:42'), (255121, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 2515, 7, 2024, 8, 16, '2024-08-17 01:00:48', 1, '2024-08-20 01:00:42'), (255122, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 1377, 1, 2024, 8, 16, '2024-08-17 01:00:49', 1, '2024-08-20 01:00:42'), (255123, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 2515, 7, 2024, 8, 16, '2024-08-17 01:00:49', 1, '2024-08-20 01:00:43'), (255124, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 1377, 1, 2024, 8, 16, '2024-08-17 01:00:49', 1, '2024-08-20 01:00:43'), (255125, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 12391, 1, 2024, 8, 16, '2024-08-17 01:00:49', 1, '2024-08-20 01:00:43'), (255126, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 17, '2024-08-17 01:00:52', 1, '2024-08-21 01:00:27'), (255127, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 140, 9, 2024, 8, 16, '2024-08-17 01:00:49', 1, '2024-08-20 01:00:42'), (255128, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 286, 2, 2024, 8, 16, '2024-08-17 01:00:50', 1, '2024-08-20 01:00:42'), (255129, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 5, 1, 2024, 8, 16, '2024-08-17 01:00:49', 1, '2024-08-20 01:00:42'), (255130, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 19, 1, 2024, 8, 16, '2024-08-17 01:00:49', 1, '2024-08-20 01:00:42'), (255131, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 7, 1, 2024, 8, 16, '2024-08-17 01:00:50', 1, '2024-08-20 01:00:42'), (255132, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 166, 4, 2024, 8, 16, '2024-08-17 01:00:50', 1, '2024-08-20 01:00:42'), (255133, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 247, 5, 2024, 8, 16, '2024-08-17 01:00:50', 1, '2024-08-20 01:00:43'), (255134, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 5, 1, 2024, 8, 16, '2024-08-17 01:00:50', 1, '2024-08-20 01:00:42'), (255135, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 7, 1, 2024, 8, 16, '2024-08-17 01:00:50', 1, '2024-08-20 01:00:43'), (255136, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 19, 1, 2024, 8, 16, '2024-08-17 01:00:50', 1, '2024-08-20 01:00:43'), (255137, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 7, 1, 2024, 8, 16, '2024-08-17 01:00:50', 1, '2024-08-20 01:00:43'), (255138, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 286, 2, 2024, 8, 16, '2024-08-17 01:00:50', 1, '2024-08-20 01:00:45'), (255139, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 5, 1, 2024, 8, 16, '2024-08-17 01:00:50', 1, '2024-08-20 01:00:44'), (255140, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 221, 3, 2024, 8, 16, '2024-08-17 01:00:50', 1, '2024-08-20 01:00:45'), (255141, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 19, 1, 2024, 8, 16, '2024-08-17 01:00:50', 1, '2024-08-20 01:00:43'), (255142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 38, 2024, 8, 17, '2024-08-17 01:01:03', 1, '2024-08-21 01:00:03'), (255143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 243, 133, 2024, 8, 17, '2024-08-17 01:01:06', 1, '2024-08-21 01:00:03'), (255144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 289, 10, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:08'), (255145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 487, 280, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:09'), (255146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 494, 47, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:08'), (255147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 162, 8, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:08'), (255148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 294, 64, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:08'), (255149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 601, 8, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:09'), (255150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 363, 55, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:16'), (255151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 698, 47, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:02'), (255152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 489, 113, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:09'), (255153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 0, 1, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:08'), (255154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 404, 120, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:08'), (255155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 452, 60, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:09'), (255156, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 40, 2, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:18'), (255157, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 18, 24, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:18'), (255158, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 137, 122, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:18'), (255159, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 4, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:18'), (255160, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 0, 1, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:18'), (255161, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 319, 65, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:18'), (255162, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 436, 8, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:18'), (255163, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 272, 19, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:17'), (255164, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 266, 8, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:17'), (255165, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 91, 6, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:18'), (255166, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 17, 40, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:18'), (255167, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 743, 15, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:18'), (255168, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 731, 38, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:18'), (255169, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 1, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:17'), (255170, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 9136, 2, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:17'), (255171, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 641, 6, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:17'), (255172, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', '', 307, 1, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:19'), (255173, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 537, 12, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:18'), (255174, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 98, 30, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:18'), (255175, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 111, 5, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:17'), (255176, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 104, 5, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:17'), (255177, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 107, 2, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:17'), (255178, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 7, 2, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:16'), (255179, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 300, 22, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:16'), (255180, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 81, 68, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:17'), (255181, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 832, 160, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:17'), (255182, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 0, 1, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:16'), (255183, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 191, 5, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:16'), (255184, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1444, 7, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:17'), (255185, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 93, 8, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:17'), (255186, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 278, 27, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:17'), (255187, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 1003, 71, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:17'), (255188, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 6, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:17'), (255189, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 5, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:17'), (255190, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 621, 27, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:17'), (255191, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 8, 16, '2024-08-17 01:00:58', 1, '2024-08-20 01:00:17'), (255192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 191, 5, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 93, 24, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:21'), (255194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 278, 27, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:21'), (255195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C05', 172, 25, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:24'), (255196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 13, 10, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:24'), (255197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 113, 16, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:24'), (255198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 10, 10, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:24'), (255199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 86, 23, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:30'), (255200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 311, 9, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 56, 18, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 942, 15, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 24, 9, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1194, 5, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A03', 19, 11, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 73, 31, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:20'), (255207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A06', 88, 16, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:21'), (255208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 427, 18, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:21'), (255209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 1946, 9, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:19'), (255210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 89, 21, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 153, 6, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 162, 27, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 791, 29, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:21'), (255214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 300, 22, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:21'), (255215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 143, 25, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:22'), (255216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 1266, 24, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:21'), (255217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1037, 28, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:21'), (255218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 168, 12, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:21'), (255219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 931, 33, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:21'), (255220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 7, 2, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:21'), (255221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 641, 6, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:21'), (255222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 91, 6, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:21'), (255223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 537, 12, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:19'), (255224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 646, 22, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 2022, 5, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 193, 21, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 436, 8, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:21'), (255228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 343, 29, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:21'), (255229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 448, 15, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:21'), (255230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 693, 40, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:24'), (255231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 635, 4, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 104, 5, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 6, 3, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 40, 2, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:19'), (255235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 107, 2, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:19'), (255236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 47, 5, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:19'), (255237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C26', 307, 1, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:19'), (255238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 5, 10, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 3, 3, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 38, 3, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:19'), (255241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 800, 55, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:19'), (255242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 272, 19, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:19'), (255243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 743, 15, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:19'), (255244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B17', 18273, 1, 2024, 8, 16, '2024-08-17 01:00:59', 1, '2024-08-20 01:00:20'), (255245, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 266, 8, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:33'), (255246, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 436, 8, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255247, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 193, 21, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255248, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 6, 3, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:39'), (255249, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 343, 29, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:40'), (255250, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 5, 10, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:40'), (255251, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 448, 15, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:40'), (255252, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 47, 5, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:40'), (255253, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 38, 3, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:33'), (255254, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 3, 3, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:33'), (255255, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 278, 27, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:33'), (255256, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 128, 4, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255257, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 57, 4, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255258, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 537, 12, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255259, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 646, 22, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255260, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 7, 2, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:33'), (255261, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 641, 6, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:39'), (255262, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 791, 29, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255263, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 1946, 9, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:30'), (255264, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 104, 5, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255265, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 272, 19, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255266, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 635, 4, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:33'), (255267, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 931, 33, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:40'), (255268, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 107, 2, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:33'), (255269, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 102, 10, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:31'), (255270, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A06', 109, 11, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:31'), (255271, 22, '511502000000-0001', '翠屏区政务服务中心', '12号  就业服务', '', '', 'C26', 307, 1, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:31'), (255272, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 115, 10, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:31'), (255273, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 202, 2, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:31'), (255274, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 61, 14, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:31'), (255275, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 191, 5, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:31'), (255276, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 41, 21, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:31'), (255277, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A03', 19, 11, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:30'), (255278, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 427, 18, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:30'), (255279, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 10, 10, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:30'), (255280, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 942, 15, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:30'), (255281, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1194, 5, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:30'), (255282, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 24, 9, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:31'), (255283, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 13, 10, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:30'), (255284, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', 'B17', 18273, 1, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:31'), (255285, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 40, 2, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255286, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 800, 55, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:33'), (255287, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 27, 2, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255288, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 143, 25, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255289, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 743, 15, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255290, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A06', 42, 5, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255291, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 93, 24, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:33'), (255292, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 142, 10, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:39'), (255293, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 123, 9, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:31'), (255294, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 111, 5, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255295, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 91, 6, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255296, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 693, 40, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255297, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 40, 4, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:31'), (255298, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1037, 28, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:31'), (255299, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 86, 23, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255300, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 1266, 24, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255301, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 311, 9, 2024, 8, 16, '2024-08-17 01:01:00', 1, '2024-08-20 01:00:32'), (255302, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 300, 22, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:32'), (255303, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C05', 172, 25, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:32'), (255304, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 168, 12, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:32'), (255305, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 113, 16, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:32'), (255306, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 2022, 5, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:32'), (255307, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 440, 437, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:03'), (255308, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 126, 86, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:03'), (255309, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 410, 66, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:03'), (255310, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 44, 71, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:03'), (255311, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 88, 131, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:02'), (255312, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1060, 143, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:03'), (255313, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 52, 77, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:03'), (255314, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 246, 89, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:02'), (255315, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 12, 13, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:06'), (255316, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 184, 11, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:06'), (255317, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 4, 9, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:05'), (255318, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 76, 15, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:06'), (255319, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 129, 10, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:06'), (255320, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 52, 75, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:06'), (255321, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 268, 4, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:05'), (255322, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 275, 3, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:05'), (255323, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 470, 49, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:05'), (255324, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 88, 5, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:05'), (255325, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 153, 4, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:05'), (255326, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 75, 18, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:05'), (255327, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 3, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:05'), (255328, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 1, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:04'), (255329, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 0, 2, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:04'), (255330, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 970, 145, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:05'), (255331, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 368, 7, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:05'), (255332, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 152, 234, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:05'), (255333, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 246, 12, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:05'), (255334, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 546, 7, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:05'), (255335, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 153, 18, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:04'), (255336, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 246, 89, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:03'), (255337, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 140, 2, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:04'), (255338, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 806, 44, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:04'), (255339, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 7, 5, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:03'), (255340, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '', 30, 1, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:03'), (255341, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 29, 50, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:03'), (255342, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 47, 47, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:03'), (255343, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 33, 5, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:03'), (255344, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 44, 71, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:03'), (255345, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 772, 3, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:04'), (255346, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '', 91, 1, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:04'), (255347, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 282, 58, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:04'), (255348, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1798, 62, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:04'), (255349, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 389, 8, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:04'), (255350, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 15, 5, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:04'), (255351, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 118, 4, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:04'), (255352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 409, 5, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:16'), (255353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 46, 21, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:19'), (255354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 112, 8, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:19'), (255355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 48, 15, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:20'), (255356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 34, 7, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:20'), (255357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 54, 17, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:21'), (255358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 75, 18, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:22'), (255359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 355, 12, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:24'), (255360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 60, 6, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:08'), (255361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 68, 7, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:09'), (255362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 29, 9, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:16'), (255363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 462, 19, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:16'), (255364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 33, 4, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:16'), (255365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D29', 419, 1, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:17'), (255366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 446, 15, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:17'), (255367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 278, 9, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:17'), (255368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D28', 571, 1, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:19'), (255369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 53, 15, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:20'), (255370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 281, 7, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:17'), (255371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 213, 27, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:18'), (255372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 7, 3, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:19'), (255373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 23, 18, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:20'), (255374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E13', 6, 1, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:20'), (255375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 794, 6, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:22'), (255376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 155, 53, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:22'), (255377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 132, 2, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:24'), (255378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D35', 594, 12, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:24'), (255379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E12', 7, 1, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:24'), (255380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 34, 4, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:09'), (255381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 574, 5, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:11'), (255382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 92, 47, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:16'), (255383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 20, 2, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:16'), (255384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1164, 6, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:19'), (255385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 24, 7, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:19'), (255386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 195, 24, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:21'), (255387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C11', 555, 5, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:22'), (255388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 27, 23, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:22'), (255389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 1163, 5, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:22'), (255390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 110, 32, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:24'), (255391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 925, 5, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:24'), (255392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 5, 1, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:09'), (255393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 519, 5, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:11'), (255394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 199, 25, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:16'), (255395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 1142, 1, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:18'), (255396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 159, 25, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:19'), (255397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D30', 763, 3, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:09'), (255398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 28, 18, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:09'), (255399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 300, 15, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:07'), (255400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 12, 1, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:07'), (255401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 3, 5, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:08'), (255402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 219, 9, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:08'), (255403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 3, 2, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:08'), (255404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 6, 2, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:08'), (255405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 316, 14, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:08'), (255406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 8, 1, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:08'), (255407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 2, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:08'), (255408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 154, 4, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:07'), (255409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 49, 1, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:07'), (255410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 4, 4, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:07'), (255411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 158, 6, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:07'), (255412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 2, 5, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:07'), (255413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 67, 7, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:06'), (255414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 2683, 12, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:06'), (255415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 103, 16, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:06'), (255416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 151, 2, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:06'), (255417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 17, 14, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:06'), (255418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 121, 1, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:06'), (255419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 181, 17, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:06'), (255420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 129, 10, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:07'), (255421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 36, 14, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:07'), (255422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 50, 1, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:07'), (255423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 153, 4, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:07'), (255424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 217, 11, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:07'), (255425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 55, 12, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:07'), (255426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 546, 7, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:11'), (255427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 280, 4, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:11'), (255428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 129, 7, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:17'), (255429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1777, 10, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:09'), (255430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1680, 9, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:09'), (255431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 35, 14, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:09'), (255432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 368, 7, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:09'), (255433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 1064, 42, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:09'), (255434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1496, 31, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:09'), (255435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 33, 5, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:09'), (255436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 259, 19, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:09'), (255437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 939, 53, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:09'), (255438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 166, 1, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:08'), (255439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 69, 4, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:08'), (255440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 122, 17, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:08'), (255441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 673, 1, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:08'), (255442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 923, 50, 2024, 8, 16, '2024-08-17 01:01:01', 1, '2024-08-20 01:00:08'), (255443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 287, 57, 2024, 8, 16, '2024-08-17 01:01:02', 1, '2024-08-20 01:00:08'), (255444, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 151, 3, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:30'), (255445, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 281, 7, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:30'), (255446, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 153, 4, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:30'), (255447, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 1142, 1, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:31'), (255448, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 278, 9, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:31'), (255449, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 287, 57, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:25');
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (255450, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 129, 10, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:30'), (255451, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 31, 13, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:27'), (255452, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 55, 12, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:25'), (255453, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 16, 13, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:30'), (255454, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 36, 14, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:31'), (255455, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 67, 7, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:31'), (255456, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 103, 16, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:32'), (255457, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 69, 4, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:30'), (255458, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 166, 1, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:32'), (255459, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 50, 1, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:29'), (255460, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 121, 1, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:29'), (255461, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 151, 2, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:29'), (255462, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 673, 1, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:29'), (255463, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 772, 3, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:25'), (255464, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 574, 5, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:30'), (255465, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D35', 594, 12, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:32'), (255466, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 20, 2, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:32'), (255467, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 794, 6, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:32'), (255468, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 34, 4, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:33'), (255469, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D30', 763, 3, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:29'), (255470, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 925, 5, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:29'), (255471, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 1163, 5, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:29'), (255472, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 1164, 6, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:29'), (255473, 1, '511500000000-0001', '宜宾市民中心', '基本医疗保险参保人员享受门诊慢特病病种待遇', '', '', '1E17', 30, 1, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:29'), (255474, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 2683, 12, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:29'), (255475, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 60, 6, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:29'), (255476, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 939, 53, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:28'), (255477, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 923, 50, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:28'), (255478, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 1064, 42, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:29'), (255479, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 368, 7, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:29'), (255480, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D28', 571, 1, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:27'), (255481, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D29', 419, 1, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:27'), (255482, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 110, 32, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:27'), (255483, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1680, 9, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:27'), (255484, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1777, 10, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:27'), (255485, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 140, 2, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:27'), (255486, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1496, 31, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:27'), (255487, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 213, 27, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:28'), (255488, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 122, 17, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:28'), (255489, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 159, 25, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:28'), (255490, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 199, 25, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:28'), (255491, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 53, 15, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:28'), (255492, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 195, 24, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:28'), (255493, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 33, 4, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:28'), (255494, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 92, 47, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:28'), (255495, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 29, 9, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:28'), (255496, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 68, 7, 2024, 8, 16, '2024-08-17 01:01:05', 1, '2024-08-20 01:00:28'), (255497, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 155, 53, 2024, 8, 16, '2024-08-17 01:01:05', 1, '2024-08-20 01:00:28'), (255498, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 7, 3, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:26'), (255499, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E13', 6, 1, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:26'), (255500, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 33, 5, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:26'), (255501, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 49, 1, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:26'), (255502, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 23, 18, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:27'), (255503, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 217, 11, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:27'), (255504, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 181, 17, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:27'), (255505, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 219, 9, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:25'), (255506, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 300, 15, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:26'), (255507, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 316, 14, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:26'), (255508, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 48, 15, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:26'), (255509, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 154, 4, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:26'), (255510, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 54, 17, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:26'), (255511, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E12', 7, 1, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:26'), (255512, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E21', 275, 3, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:26'), (255513, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 46, 21, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:26'), (255514, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 546, 7, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:25'), (255515, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 12, 1, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:25'), (255516, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 112, 8, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:25'), (255517, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 8, 1, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:25'), (255518, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 3, 2, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:25'), (255519, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 34, 7, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:25'), (255520, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 62, 1, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:25'), (255521, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 28, 18, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:25'), (255522, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 259, 19, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:25'), (255523, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 24, 7, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:25'), (255524, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 132, 2, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:25'), (255525, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 27, 23, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:25'), (255526, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 280, 4, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:31'), (255527, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 3, 5, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:31'), (255528, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 129, 7, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:31'), (255529, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 6, 2, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:32'), (255530, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 3, 2, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:32'), (255531, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C11', 555, 5, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:30'), (255532, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 2, 5, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:30'), (255533, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 41, 3, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:30'), (255534, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 4, 4, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:30'), (255535, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C09', 35, 1, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:30'), (255536, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 488, 2, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:30'), (255537, 1, '511500000000-0001', '宜宾市民中心', '转移接续手续办理', '', '', '1E20', 91, 1, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:30'), (255538, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 75, 18, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:30'), (255539, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 382, 11, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:30'), (255540, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 5, 1, 2024, 8, 16, '2024-08-17 01:01:04', 1, '2024-08-20 01:00:30'), (255541, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 439, 13, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:30'), (255542, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 796, 2, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:30'), (255543, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 485, 18, 2024, 8, 16, '2024-08-17 01:01:03', 1, '2024-08-20 01:00:31'), (255544, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:08', 1, '2024-08-22 01:00:02'), (255545, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:08', 1, '2024-08-22 01:00:02'), (255546, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:08', 1, '2024-08-22 01:00:02'), (255547, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:08', 1, '2024-08-22 01:00:02'), (255548, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:08', 1, '2024-08-22 01:00:02'), (255549, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:16', 1, '2024-08-22 01:00:17'), (255550, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:16', 1, '2024-08-22 01:00:10'), (255551, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:16', 1, '2024-08-22 01:00:10'), (255552, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:17', 1, '2024-08-22 01:00:10'), (255553, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:18', 1, '2024-08-22 01:00:18'), (255554, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:23', 1, '2024-08-22 01:00:18'), (255555, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:25', 1, '2024-08-22 01:00:25'), (255556, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:25', 1, '2024-08-22 01:00:25'), (255557, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:25', 1, '2024-08-22 01:00:26'), (255558, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:28', 1, '2024-08-22 01:00:26'), (255559, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:32', 1, '2024-08-22 01:00:33'), (255560, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:32', 1, '2024-08-22 01:00:33'), (255561, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:33', 1, '2024-08-22 01:00:33'), (255562, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:33', 1, '2024-08-22 01:00:33'), (255563, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:35', 1, '2024-08-22 01:00:33'), (255564, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:40', 1, '2024-08-22 01:00:41'), (255565, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:40', 1, '2024-08-22 01:00:41'), (255566, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:41', 1, '2024-08-22 01:00:41'), (255567, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:42', 1, '2024-08-22 01:00:41'), (255568, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:44', 1, '2024-08-22 01:00:41'), (255569, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:48', 1, '2024-08-22 01:00:49'), (255570, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:51', 1, '2024-08-22 01:00:49'), (255571, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 18, '2024-08-18 01:00:51', 1, '2024-08-22 01:00:10'), (255572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 701, 14, 2024, 8, 18, '2024-08-18 01:00:59', 1, '2024-08-22 01:00:02'), (255573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 283, 72, 2024, 8, 18, '2024-08-18 01:01:03', 1, '2024-08-22 01:00:02'), (255574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 0, 29, 2024, 8, 17, '2024-08-18 01:00:57', 1, '2024-08-21 01:00:09'), (255575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 0, 5, 2024, 8, 17, '2024-08-18 01:00:57', 1, '2024-08-21 01:00:08'), (255576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 0, 2, 2024, 8, 17, '2024-08-18 01:00:57', 1, '2024-08-21 01:00:03'), (255577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 0, 2, 2024, 8, 17, '2024-08-18 01:00:57', 1, '2024-08-21 01:00:09'), (255578, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 1, 2024, 8, 17, '2024-08-18 01:00:57', 1, '2024-08-21 01:00:09'), (255579, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 0, 3, 2024, 8, 17, '2024-08-18 01:00:57', 1, '2024-08-21 01:00:09'), (255580, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 1, 2024, 8, 17, '2024-08-18 01:00:57', 1, '2024-08-21 01:00:09'), (255581, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 4, 2, 2024, 8, 17, '2024-08-18 01:00:57', 1, '2024-08-21 01:00:16'), (255582, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 0, 1, 2024, 8, 17, '2024-08-18 01:00:57', 1, '2024-08-21 01:00:17'), (255583, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 2, 2024, 8, 17, '2024-08-18 01:00:57', 1, '2024-08-21 01:00:17'), (255584, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 0, 1, 2024, 8, 17, '2024-08-18 01:00:57', 1, '2024-08-21 01:00:09'), (255585, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 6, 2024, 8, 17, '2024-08-18 01:00:57', 1, '2024-08-21 01:00:16'), (255586, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 0, 20, 2024, 8, 17, '2024-08-18 01:00:57', 1, '2024-08-21 01:00:16'), (255587, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 1, 2024, 8, 17, '2024-08-18 01:00:57', 1, '2024-08-21 01:00:09'), (255588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 5, 1, 2024, 8, 17, '2024-08-18 01:00:57', 1, '2024-08-21 01:00:17'), (255589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 3, 1, 2024, 8, 17, '2024-08-18 01:00:57', 1, '2024-08-21 01:00:17'), (255590, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 5, 1, 2024, 8, 17, '2024-08-18 01:00:57', 1, '2024-08-21 01:00:17'), (255591, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 3, 1, 2024, 8, 17, '2024-08-18 01:00:58', 1, '2024-08-21 01:00:18'), (255592, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 275, 87, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:09'), (255593, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 2, 2, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:09'), (255594, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 486, 2, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:09'), (255595, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 46, 21, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:09'), (255596, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 562, 11, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:03'), (255597, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 27, 6, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:09'), (255598, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 41, 4, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:09'), (255599, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 277, 3, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:09'), (255600, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 0, 1, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:09'), (255601, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 27, 6, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:09'), (255602, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 41, 4, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:16'), (255603, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '', 509, 1, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:09'), (255604, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 2039, 2, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:09'), (255605, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '', '', '', 5, 1, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:10'), (255606, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 46, 21, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255607, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 486, 2, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:09'), (255608, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 191, 4, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:09'), (255609, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 0, 1, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:09'), (255610, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 453, 30, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:09'), (255611, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 202, 16, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:09'), (255612, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 173, 41, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:09'), (255613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 64, 7, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 10, 3, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 191, 4, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 10, 5, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 98, 1, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 173, 22, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:18'), (255619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 129, 9, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:25'), (255620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 5, 1, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 2039, 2, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 5, 1, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 211, 10, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 32, 2, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 492, 15, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 32, 1, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 335, 4, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 32, 1, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 486, 2, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 25, 4, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:24'), (255631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 413, 15, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 73, 6, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 215, 15, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:17'), (255634, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C08', 486, 2, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:25'), (255635, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 10, 3, 2024, 8, 17, '2024-08-18 01:01:02', 1, '2024-08-21 01:00:25'), (255636, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 10, 5, 2024, 8, 17, '2024-08-18 01:01:02', 1, '2024-08-21 01:00:32'), (255637, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 64, 7, 2024, 8, 17, '2024-08-18 01:01:02', 1, '2024-08-21 01:00:32'), (255638, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 215, 15, 2024, 8, 17, '2024-08-18 01:01:02', 1, '2024-08-21 01:00:25'), (255639, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 5, 1, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:25'), (255640, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 2039, 2, 2024, 8, 17, '2024-08-18 01:01:02', 1, '2024-08-21 01:00:33'), (255641, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 98, 1, 2024, 8, 17, '2024-08-18 01:01:02', 1, '2024-08-21 01:00:33'), (255642, 1, '511500000000-0001', '宜宾市民中心', '诚信考核/继续教育', '', '', '1D21', 5, 1, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:25'), (255643, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 32, 2, 2024, 8, 17, '2024-08-18 01:01:02', 1, '2024-08-21 01:00:25'), (255644, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 73, 6, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:25'), (255645, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 492, 15, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:25'), (255646, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 413, 15, 2024, 8, 17, '2024-08-18 01:01:02', 1, '2024-08-21 01:00:25'), (255647, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 25, 4, 2024, 8, 17, '2024-08-18 01:01:02', 1, '2024-08-21 01:00:25'), (255648, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 32, 1, 2024, 8, 17, '2024-08-18 01:01:02', 1, '2024-08-21 01:00:33'), (255649, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 191, 4, 2024, 8, 17, '2024-08-18 01:01:02', 1, '2024-08-21 01:00:33'), (255650, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 277, 3, 2024, 8, 17, '2024-08-18 01:01:01', 1, '2024-08-21 01:00:25'), (255651, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 32, 1, 2024, 8, 17, '2024-08-18 01:01:02', 1, '2024-08-21 01:00:25'), (255652, 1, '511500000000-0001', '宜宾市民中心', '1992年4月前参工退休审核', '', '', '2E19', 509, 1, 2024, 8, 17, '2024-08-18 01:01:02', 1, '2024-08-21 01:00:25'), (255653, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 211, 10, 2024, 8, 17, '2024-08-18 01:01:02', 1, '2024-08-21 01:00:25'), (255654, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 129, 9, 2024, 8, 17, '2024-08-18 01:01:02', 1, '2024-08-21 01:00:25'), (255655, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 173, 22, 2024, 8, 17, '2024-08-18 01:01:02', 1, '2024-08-21 01:00:25'), (255656, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:08', 1, '2024-08-22 01:00:03'), (255657, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:08', 1, '2024-08-22 01:00:03'), (255658, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:08', 1, '2024-08-22 01:00:03'), (255659, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:08', 1, '2024-08-22 01:00:03'), (255660, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:08', 1, '2024-08-22 01:00:03'), (255661, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:16', 1, '2024-08-22 01:00:19'), (255662, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:16', 1, '2024-08-22 01:00:11'), (255663, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:16', 1, '2024-08-22 01:00:11'), (255664, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:17', 1, '2024-08-22 01:00:11'), (255665, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:24', 1, '2024-08-22 01:00:27'), (255666, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:24', 1, '2024-08-22 01:00:19'), (255667, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:24', 1, '2024-08-22 01:00:27'), (255668, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:25', 1, '2024-08-22 01:00:19'), (255669, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:25', 1, '2024-08-22 01:00:28'), (255670, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:32', 1, '2024-08-22 01:00:34'), (255671, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:32', 1, '2024-08-22 01:00:27'), (255672, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:33', 1, '2024-08-22 01:00:35'), (255673, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:33', 1, '2024-08-22 01:00:35'), (255674, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:34', 1, '2024-08-22 01:00:35'), (255675, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:40', 1, '2024-08-22 01:00:35'), (255676, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:40', 1, '2024-08-22 01:00:42'), (255677, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:40', 1, '2024-08-22 01:00:42'), (255678, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:41', 1, '2024-08-22 01:00:43'), (255679, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:43', 1, '2024-08-22 01:00:42'), (255680, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:48', 1, '2024-08-22 01:00:43'), (255681, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 19, '2024-08-19 01:00:48', 1, '2024-08-22 01:00:51'), (255682, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1688, 13, 2024, 8, 19, '2024-08-19 01:00:50', 1, '2024-08-22 01:00:51'), (255683, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 587, 4, 2024, 8, 19, '2024-08-19 01:00:52', 1, '2024-08-22 01:00:11'), (255684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 612, 897, 2024, 8, 19, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:10'), (255685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 449, 1207, 2024, 8, 19, '2024-08-19 01:01:00', 1, '2024-08-22 01:00:33'), (255686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 454, 6, 2024, 8, 18, '2024-08-19 01:00:56', 1, '2024-08-22 01:00:08'), (255687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 790, 5, 2024, 8, 18, '2024-08-19 01:00:56', 1, '2024-08-22 01:00:08'), (255688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 494, 1, 2024, 8, 18, '2024-08-19 01:00:56', 1, '2024-08-22 01:00:02'), (255689, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 818, 12, 2024, 8, 18, '2024-08-19 01:00:57', 1, '2024-08-22 01:00:08'), (255690, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 0, 1, 2024, 8, 18, '2024-08-19 01:00:57', 1, '2024-08-22 01:00:08'), (255691, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 0, 1, 2024, 8, 18, '2024-08-19 01:00:57', 1, '2024-08-22 01:00:08'), (255692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 552, 4, 2024, 8, 18, '2024-08-19 01:00:57', 1, '2024-08-22 01:00:08'), (255693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 950, 8, 2024, 8, 18, '2024-08-19 01:00:57', 1, '2024-08-22 01:00:08'), (255694, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 552, 4, 2024, 8, 18, '2024-08-19 01:00:57', 1, '2024-08-22 01:00:08'), (255695, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 950, 8, 2024, 8, 18, '2024-08-19 01:00:57', 1, '2024-08-22 01:00:09'), (255696, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 94, 52, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:08'), (255697, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 38, 13, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:08'), (255698, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 3814, 3, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:02'), (255699, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 12, 2, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:08'), (255700, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 1769, 2, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:08'), (255701, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 24, 1, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:08'), (255702, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 118, 10, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:08'), (255703, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 141, 18, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:16'), (255704, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 1769, 2, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:08'), (255705, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 0, 1, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:08'), (255706, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 1839, 2, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:08'), (255707, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 49, 24, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:08'), (255708, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 7766, 1, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:08'), (255709, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 38, 13, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:08'), (255710, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 236, 2, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:16'), (255711, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 2, 3, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:16'), (255712, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 56, 11, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:17'), (255713, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 21, 2, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:23'), (255714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 48, 11, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:16'), (255715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 7766, 1, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:16'), (255716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 91, 10, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:24'), (255717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 655, 1, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:16'), (255718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 24, 1, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:16'), (255719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 1839, 2, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:23'), (255720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 2884, 1, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:24'), (255721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 203, 8, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:16'), (255722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 3, 8, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:16'), (255723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 118, 10, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:16'), (255724, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 7766, 1, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:24'), (255725, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 3, 8, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:24'), (255726, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 91, 10, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:31'), (255727, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 203, 8, 2024, 8, 18, '2024-08-19 01:00:59', 1, '2024-08-22 01:00:31'), (255728, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 2, 3, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:24'), (255729, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 236, 2, 2024, 8, 18, '2024-08-19 01:00:59', 1, '2024-08-22 01:00:24'), (255730, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 118, 10, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:24'), (255731, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 2884, 1, 2024, 8, 18, '2024-08-19 01:00:59', 1, '2024-08-22 01:00:24'), (255732, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 655, 1, 2024, 8, 18, '2024-08-19 01:00:58', 1, '2024-08-22 01:00:24'), (255733, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 24, 1, 2024, 8, 18, '2024-08-19 01:00:59', 1, '2024-08-22 01:00:25'), (255734, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 48, 11, 2024, 8, 18, '2024-08-19 01:00:59', 1, '2024-08-22 01:00:24'), (255735, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 1839, 2, 2024, 8, 18, '2024-08-19 01:00:59', 1, '2024-08-22 01:00:31'), (255736, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 21, 2, 2024, 8, 18, '2024-08-19 01:00:59', 1, '2024-08-22 01:00:32'), (255737, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 56, 11, 2024, 8, 18, '2024-08-19 01:00:59', 1, '2024-08-22 01:00:32'), (255738, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:08', 1, '2024-08-22 01:00:05'), (255739, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:08', 1, '2024-08-22 01:00:05'), (255740, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:08', 1, '2024-08-22 01:00:05'), (255741, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:08', 1, '2024-08-22 01:00:05'), (255742, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:08', 1, '2024-08-22 01:00:05'), (255743, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:16', 1, '2024-08-22 01:00:13'), (255744, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:16', 1, '2024-08-22 01:00:12'), (255745, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:16', 1, '2024-08-22 01:00:20'), (255746, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:16', 1, '2024-08-22 01:00:13'), (255747, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:18', 1, '2024-08-22 01:00:21'), (255748, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:24', 1, '2024-08-22 01:00:21'), (255749, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:24', 1, '2024-08-22 01:00:28'), (255750, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:24', 1, '2024-08-22 01:00:29'), (255751, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:24', 1, '2024-08-22 01:00:28'), (255752, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:29', 1, '2024-08-22 01:00:29'), (255753, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:32', 1, '2024-08-22 01:00:35'), (255754, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:32', 1, '2024-08-22 01:00:36'), (255755, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:32', 1, '2024-08-22 01:00:36'), (255756, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:32', 1, '2024-08-22 01:00:36'), (255757, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:39', 1, '2024-08-22 01:00:36'), (255758, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:40', 1, '2024-08-22 01:00:44'), (255759, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:40', 1, '2024-08-22 01:00:44'), (255760, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:40', 1, '2024-08-22 01:00:44'), (255761, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:41', 1, '2024-08-22 01:00:44'), (255762, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:47', 1, '2024-08-22 01:00:44'), (255763, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 20, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:52'), (255764, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 590, 8, 2024, 8, 20, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:53'), (255765, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 1688, 13, 2024, 8, 19, '2024-08-20 01:00:47', 1, '2024-08-22 01:00:51'), (255766, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 1058, 3, 2024, 8, 19, '2024-08-20 01:00:47', 1, '2024-08-22 01:00:51'), (255767, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 1877, 10, 2024, 8, 19, '2024-08-20 01:00:47', 1, '2024-08-22 01:00:51'), (255768, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 1058, 3, 2024, 8, 19, '2024-08-20 01:00:47', 1, '2024-08-22 01:00:51'), (255769, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 2519, 7, 2024, 8, 19, '2024-08-20 01:00:47', 1, '2024-08-22 01:00:51'), (255770, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 380, 3, 2024, 8, 19, '2024-08-20 01:00:47', 1, '2024-08-22 01:00:51'), (255771, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 2519, 7, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:51'), (255772, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 380, 3, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:51'), (255773, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 1058, 3, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:51'), (255774, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 2852, 16, 2024, 8, 20, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:13'), (255775, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 587, 4, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:11'), (255776, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 1174, 2, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:11'), (255777, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 0, 1, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:11'), (255778, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 0, 1, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:11'), (255779, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 2348, 1, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:12'), (255780, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 2348, 1, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:12'), (255781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 662, 757, 2024, 8, 20, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:52'), (255782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 132, 1, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:16'), (255783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 691, 364, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:16'), (255784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 1161, 33, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:16'), (255785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 269, 5, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:16'), (255786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 487, 50, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:10'), (255787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 4753, 7, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:16'), (255788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 472, 78, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:16'), (255789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 592, 48, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:10'), (255790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 420, 127, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:10'), (255791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 297, 1145, 2024, 8, 20, '2024-08-20 01:00:58', 1, '2024-08-22 01:00:56'), (255792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 407, 14, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:16'), (255793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 573, 78, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:24'), (255794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 292, 63, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:25'), (255795, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 8317, 4, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:26'), (255796, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 378, 13, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:26'), (255797, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 42, 118, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:26'), (255798, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 983, 5, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:26'), (255799, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 442, 17, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:26'), (255800, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 885, 85, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:26'), (255801, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 233, 5, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:26'), (255802, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 3, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:26'), (255803, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 139, 18, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:26'), (255804, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 319, 5, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:26'), (255805, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 210, 49, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:27'), (255806, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 165, 9, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:27'), (255807, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 785, 50, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:27'), (255808, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', '', 178, 1, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:26'), (255809, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 728, 10, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:32'), (255810, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 247, 13, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:26'), (255811, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 25, 27, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:26'), (255812, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 524, 4, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:25'), (255813, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 6, 1, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:26'), (255814, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 131, 3, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:31'), (255815, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 583, 4, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:25'), (255816, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 372, 24, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:25'), (255817, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 33, 55, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:25'), (255818, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 615, 204, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:25'), (255819, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 4, 1, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:25'), (255820, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 0, 2, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:32'), (255821, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 325, 10, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:32'), (255822, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 9449, 8, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:39'), (255823, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 146, 9, 2024, 8, 19, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:25'), (255824, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 141, 21, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:25'), (255825, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 692, 80, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:25'), (255826, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 7, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:25'), (255827, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 1859, 23, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:25'), (255828, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 4519, 6, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:25'), (255829, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', '', 977, 1, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:25'), (255830, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 0, 2, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:27'), (255831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 325, 10, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:40'), (255832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 18, 19, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:40'), (255833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 141, 21, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:47'), (255834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 27, 15, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:47'), (255835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 268, 18, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:47'), (255836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 45, 4, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:47'), (255837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 144, 23, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:47'), (255838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 167, 14, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:48'), (255839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 37, 19, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:47'), (255840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 831, 18, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:47'), (255841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 27, 10, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:47'), (255842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 183, 17, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:48');
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (255843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C01', 10, 16, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:48'), (255844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 764, 13, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:48'), (255845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 20, 25, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:48'), (255846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 681, 26, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:48'), (255847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 755, 19, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:48'), (255848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 171, 20, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:47'), (255849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 534, 17, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:47'), (255850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 57, 10, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:48'), (255851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 17, 17, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:40'), (255852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 372, 24, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:40'), (255853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 13, 17, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:40'), (255854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 76, 22, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:40'), (255855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 634, 33, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:40'), (255856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 344, 32, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:40'), (255857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 983, 5, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:41'), (255858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 801, 17, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:41'), (255859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 652, 58, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:41'), (255860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 748, 20, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:41'), (255861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 583, 4, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:40'), (255862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 728, 10, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:40'), (255863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 319, 5, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:40'), (255864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 247, 13, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:39'), (255865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 4, 1, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:47'), (255866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 9449, 8, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:47'), (255867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 1859, 23, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:47'), (255868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 442, 17, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:47'), (255869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 1179, 19, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:48'), (255870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 720, 32, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:41'), (255871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 872, 21, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:41'), (255872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 881, 13, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:41'), (255873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 693, 32, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:41'), (255874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 201, 2, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:47'), (255875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 131, 3, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:47'), (255876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 8317, 4, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:47'), (255877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 35, 1, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:47'), (255878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 6, 1, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:47'), (255879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 1108, 4, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:47'), (255880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 8, 4, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:48'), (255881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 10, 2, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:39'), (255882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 715, 47, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:39'), (255883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C27', 178, 1, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:39'), (255884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 139, 18, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:40'), (255885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 165, 9, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:40'), (255886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D14', 27118, 1, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:40'), (255887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C30', 977, 1, 2024, 8, 19, '2024-08-20 01:00:49', 1, '2024-08-22 01:00:39'), (255888, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 983, 5, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255889, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 442, 17, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255890, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 1179, 19, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255891, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 201, 2, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255892, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 720, 32, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255893, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 1108, 4, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255894, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 872, 21, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:50'), (255895, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 35, 1, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:51'), (255896, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 881, 13, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:51'), (255897, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 10, 2, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255898, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '3D14', 27118, 1, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255899, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 8, 4, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:51'), (255900, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 141, 21, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:51'), (255901, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 132, 4, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:49'), (255902, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 158, 5, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:49'), (255903, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 233, 5, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255904, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 247, 13, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255905, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 17, 4, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255906, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 1859, 23, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255907, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 728, 10, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:49'), (255908, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 583, 4, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:49'), (255909, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 534, 17, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:48'), (255910, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 131, 3, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:48'), (255911, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 681, 26, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:49'), (255912, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 139, 18, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:49'), (255913, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 748, 20, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255914, 22, '511502000000-0001', '翠屏区政务服务中心', '14号  创业服务', '', '', 'C27', 178, 1, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255915, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 6, 1, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255916, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 33, 13, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:49'), (255917, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 21, 7, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:49'), (255918, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 10, 3, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:49'), (255919, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 52, 13, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:49'), (255920, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 45, 4, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:49'), (255921, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 325, 10, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:49'), (255922, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 22, 15, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:49'), (255923, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 801, 17, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:49'), (255924, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 755, 19, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:48'), (255925, 22, '511502000000-0001', '翠屏区政务服务中心', '15号  失业保险企业业务', '', '', 'C30', 977, 1, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:48'), (255926, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 831, 18, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:48'), (255927, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 167, 14, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:48'), (255928, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 183, 17, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:49'), (255929, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 764, 13, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:49'), (255930, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 268, 18, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:48'), (255931, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 8317, 4, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255932, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 715, 47, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255933, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 98, 4, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:49'), (255934, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 13, 17, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:49'), (255935, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 165, 9, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255936, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 18, 19, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255937, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 16, 10, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255938, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 17, 17, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255939, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 5, 3, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:49'), (255940, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 4, 1, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255941, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 524, 4, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:51'), (255942, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 319, 5, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:51'), (255943, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C01', 10, 16, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:51'), (255944, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 693, 32, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:51'), (255945, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 6, 6, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255946, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 344, 32, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255947, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 144, 23, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255948, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 27, 10, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255949, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 634, 33, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255950, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 372, 24, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:50'), (255951, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 27, 15, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:50'), (255952, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 9449, 8, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:50'), (255953, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 652, 58, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:50'), (255954, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 668, 551, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:39'), (255955, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 238, 101, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:39'), (255956, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 121, 46, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:39'), (255957, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 103, 83, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:39'), (255958, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 205, 168, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:34'), (255959, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 1003, 91, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:39'), (255960, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 31, 77, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:47'), (255961, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 91, 90, 2024, 8, 19, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:39'), (255962, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 12, 20, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (255963, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 341, 25, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (255964, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 101, 11, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:48'), (255965, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 32, 14, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (255966, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 173, 14, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (255967, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 31, 77, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (255968, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 3, 3, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:47'), (255969, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 62, 32, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:47'), (255970, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 57, 3, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:48'), (255971, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 1552, 3, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (255972, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 747, 4, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:48'), (255973, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 217, 19, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:48'), (255974, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 877, 6, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (255975, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 2, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:47'), (255976, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 330, 4, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:47'), (255977, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 652, 161, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:47'), (255978, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 343, 8, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (255979, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 471, 289, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (255980, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 119, 5, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (255981, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 316, 7, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (255982, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 48, 14, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:48'), (255983, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 91, 90, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:47'), (255984, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1974, 40, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:48'), (255985, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 290, 5, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:47'), (255986, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 452, 6, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:47'), (255987, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 52, 41, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:47'), (255988, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 74, 70, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:47'), (255989, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1548, 10, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:47'), (255990, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '', 3167, 1, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:47'), (255991, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 103, 83, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:47'), (255992, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 112, 4, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (255993, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 282, 16, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:48'), (255994, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 1267, 100, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:48'), (255995, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 187, 9, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:48'), (255996, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 4, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (255997, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 26, 6, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (255998, 1, '511500000000-0001', '宜宾市民中心', '1E医保大厅业务', '', '', '', 0, 1, 2024, 8, 19, '2024-08-20 01:00:51', 1, '2024-08-22 01:00:48'), (255999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 8, 1, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 373, 11, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:50'), (256001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 60, 8, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 119, 5, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 445, 31, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A06', 423, 31, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1723, 8, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 284, 31, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 586, 45, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:50'), (256008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A03', 413, 31, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:50'), (256009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C13', 9, 9, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 2299, 10, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1901, 8, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 519, 30, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:51'), (256013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 2779, 9, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:51'), (256014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 526, 22, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:51'), (256015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 489, 4, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:51'), (256016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 31, 10, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:51'), (256017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 502, 33, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (256018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 502, 35, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 34, 12, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:50'), (256020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 180, 13, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:50'), (256021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 71, 10, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 77, 12, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 29, 11, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (256024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 16, 13, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (256025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 21, 13, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (256026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 52, 7, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 65, 15, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 147, 12, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 26, 12, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 946, 46, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 368, 6, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 363, 17, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 292, 8, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 21, 13, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 773, 36, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 120, 13, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 631, 61, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 7, 1, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D08', 9, 1, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 156, 1, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 330, 4, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 679, 4, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 14, 11, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (256044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 604, 64, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 1540, 54, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 153, 7, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:48'), (256047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 110, 18, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:48'), (256048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 9, 4, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 91, 23, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 102, 18, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 217, 19, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 68, 16, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (256053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 90, 16, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (256054, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 37, 6, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256055, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 110, 6, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256056, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 44, 15, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 805, 2, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (256058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 92, 4, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (256059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 26, 20, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (256060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E12', 1082, 1, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 67, 5, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 58, 8, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 115, 10, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 217, 3, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 19, 6, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 49, 1, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (256067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 877, 6, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (256068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 112, 4, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (256069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 10, 7, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (256070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 110, 24, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:48'), (256071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 4, 1, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 40, 6, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 2, 1, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 64, 3, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 11, 1, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 3, 4, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D01', 8, 2, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E22', 16, 5, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 8, 10, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 6, 4, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 167, 1, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:50'), (256082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 24, 1, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:50'), (256083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 34, 2, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:50'), (256084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 173, 14, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:50'), (256085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 1552, 3, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:50'), (256086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 22, 3, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:51'), (256087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 176, 5, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 53, 4, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 343, 8, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256090, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 3167, 1, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256091, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 542, 6, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:49'), (256092, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1548, 10, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:50'), (256093, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 45, 13, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:48'), (256094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D17', 88, 1, 2024, 8, 19, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:49'), (256095, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 805, 2, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256096, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 1552, 3, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256097, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 119, 5, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:53'), (256098, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 10, 7, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:53'), (256099, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 946, 46, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256100, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 1540, 54, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256101, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 173, 14, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256102, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 21, 13, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256103, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 26, 12, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256104, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 21, 13, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256105, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 65, 15, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256106, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 29, 11, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256107, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 16, 13, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256108, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D08', 9, 1, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:51'), (256109, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 156, 1, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256110, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 7, 1, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256111, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 22, 3, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256112, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 34, 2, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256113, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 24, 1, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256114, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D17', 88, 1, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256115, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 112, 4, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:51'), (256116, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 2299, 10, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256117, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 1723, 8, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256118, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 217, 3, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256119, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 58, 8, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256120, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 489, 4, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256121, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 2779, 9, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256122, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 1901, 8, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:53'), (256123, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 167, 1, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:53'), (256124, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 68, 16, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256125, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 631, 61, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256126, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 604, 64, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:53'), (256127, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 773, 36, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:53'), (256128, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 343, 8, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:53'), (256129, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 526, 22, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256130, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 53, 4, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256131, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 176, 5, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256132, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 747, 4, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256133, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 542, 6, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256134, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A06', 423, 31, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256135, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 445, 31, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:53'), (256136, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 45, 13, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:53'), (256137, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 502, 35, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:53'), (256138, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 502, 33, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:53'), (256139, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 44, 15, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:53'), (256140, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 519, 30, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:53'), (256141, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A03', 413, 31, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:53'), (256142, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 110, 6, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:54'), (256143, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 586, 45, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:54'), (256144, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 37, 6, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:54'), (256145, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 90, 16, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:54'), (256146, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 284, 31, 2024, 8, 19, '2024-08-20 01:00:56', 1, '2024-08-22 01:00:54'), (256147, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 92, 4, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256148, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1548, 10, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256149, 1, '511500000000-0001', '宜宾市民中心', '办理行政许可审批', '', '', '2E31', 3167, 1, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:52'), (256150, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D01', 8, 2, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:52'), (256151, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 26, 20, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:52'), (256152, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 147, 12, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:52'), (256153, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 52, 7, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:53'), (256154, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 180, 13, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256155, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 34, 12, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256156, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 71, 10, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256157, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 91, 23, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256158, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 77, 12, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256159, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 102, 18, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256160, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E12', 1082, 1, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256161, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 110, 18, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:52'), (256162, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 368, 6, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:51'), (256163, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 153, 7, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256164, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 11, 1, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256165, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 2, 1, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256166, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 9, 4, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256167, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 110, 24, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256168, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 120, 13, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:51'), (256169, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 14, 11, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256170, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 115, 10, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256171, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 67, 5, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256172, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 19, 6, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256173, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 877, 6, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256174, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C10', 3, 1, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:53'), (256175, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 4, 1, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256176, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 363, 17, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256177, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 40, 6, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256178, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 679, 4, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:52'), (256179, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 292, 8, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:52'), (256180, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 64, 3, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:52'), (256181, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 3, 4, 2024, 8, 19, '2024-08-20 01:00:55', 1, '2024-08-22 01:00:52'), (256182, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 35, 9, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:51'), (256183, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 330, 4, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256184, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C13', 9, 9, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256185, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 6, 4, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256186, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 8, 10, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256187, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C09', 3, 2, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256188, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E22', 16, 5, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:52'), (256189, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 217, 19, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256190, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 160, 7, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256191, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 49, 1, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256192, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C06', 8, 1, 2024, 8, 19, '2024-08-20 01:00:53', 1, '2024-08-22 01:00:51'), (256193, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 80, 6, 2024, 8, 19, '2024-08-20 01:00:54', 1, '2024-08-22 01:00:51'), (256194, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:08', 1, '2024-08-22 01:00:06'), (256195, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:08', 1, '2024-08-22 01:00:06'), (256196, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:08', 1, '2024-08-22 01:00:06'), (256197, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:09', 1, '2024-08-22 01:00:06'), (256198, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:09', 1, '2024-08-22 01:00:06'), (256199, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:16', 1, '2024-08-22 01:00:14'), (256200, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:16', 1, '2024-08-22 01:00:22'), (256201, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:17', 1, '2024-08-22 01:00:14'), (256202, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:17', 1, '2024-08-22 01:00:14'), (256203, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:17', 1, '2024-08-22 01:00:22'), (256204, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:24', 1, '2024-08-22 01:00:22'), (256205, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:24', 1, '2024-08-22 01:00:30'), (256206, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:25', 1, '2024-08-22 01:00:30'), (256207, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:25', 1, '2024-08-22 01:00:30'), (256208, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:25', 1, '2024-08-22 01:00:30'), (256209, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:31', 1, '2024-08-22 01:00:37'), (256210, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:33', 1, '2024-08-22 01:00:38'), (256211, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:33', 1, '2024-08-22 01:00:38'), (256212, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:33', 1, '2024-08-22 01:00:38'), (256213, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 3628, 5, 2024, 8, 21, '2024-08-21 01:00:37', 1, '2024-08-22 01:00:16'), (256214, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 2852, 16, 2024, 8, 20, '2024-08-21 01:00:34', 1, '2024-08-22 01:00:13'), (256215, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '', 317, 2, 2024, 8, 20, '2024-08-21 01:00:35', 1, '2024-08-22 01:00:14'), (256216, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 0, 1, 2024, 8, 20, '2024-08-21 01:00:34', 1, '2024-08-22 01:00:13'), (256217, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 94, 1, 2024, 8, 20, '2024-08-21 01:00:34', 1, '2024-08-22 01:00:13'), (256218, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 8655, 2, 2024, 8, 20, '2024-08-21 01:00:34', 1, '2024-08-22 01:00:13'), (256219, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '', 2760, 10, 2024, 8, 20, '2024-08-21 01:00:35', 1, '2024-08-22 01:00:13'), (256220, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '3', 2352, 12, 2024, 8, 20, '2024-08-21 01:00:35', 1, '2024-08-22 01:00:14'), (256221, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 94, 1, 2024, 8, 20, '2024-08-21 01:00:35', 1, '2024-08-22 01:00:14'), (256222, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 8655, 2, 2024, 8, 20, '2024-08-21 01:00:35', 1, '2024-08-22 01:00:14'), (256223, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 94, 1, 2024, 8, 20, '2024-08-21 01:00:35', 1, '2024-08-22 01:00:14'), (256224, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '城乡居民养老保险、退休人员档案接收', '', '', '3', 317, 2, 2024, 8, 20, '2024-08-21 01:00:35', 1, '2024-08-22 01:00:14'), (256225, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '就业创业、农民工服务', '', '', '3', 2760, 10, 2024, 8, 20, '2024-08-21 01:00:35', 1, '2024-08-22 01:00:14'), (256226, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 8655, 2, 2024, 8, 20, '2024-08-21 01:00:35', 1, '2024-08-22 01:00:14'), (256227, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:40', 1, '2024-08-22 01:00:38'), (256228, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:40', 1, '2024-08-22 01:00:45'), (256229, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:40', 1, '2024-08-22 01:00:46'), (256230, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:40', 1, '2024-08-22 01:00:45'), (256231, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:44', 1, '2024-08-22 01:00:45'), (256232, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:47', 1, '2024-08-22 01:00:45'), (256233, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 21, '2024-08-21 01:00:48', 1, '2024-08-22 01:00:54'), (256234, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2093, 10, 2024, 8, 21, '2024-08-21 01:00:50', 1, '2024-08-22 01:00:55'), (256235, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 590, 8, 2024, 8, 20, '2024-08-21 01:00:48', 1, '2024-08-22 01:00:53'), (256236, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 4, 2, 2024, 8, 20, '2024-08-21 01:00:48', 1, '2024-08-22 01:00:53'), (256237, 24, '511534000000-0001', '宜宾高新区政企服务中心', '综合受理业务', '', '', '', 0, 1, 2024, 8, 20, '2024-08-21 01:00:48', 1, '2024-08-22 01:00:53'), (256238, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 942, 5, 2024, 8, 20, '2024-08-21 01:00:48', 1, '2024-08-22 01:00:53'), (256239, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A11', 5, 1, 2024, 8, 20, '2024-08-21 01:00:48', 1, '2024-08-22 01:00:54'), (256240, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 4, 1, 2024, 8, 20, '2024-08-21 01:00:49', 1, '2024-08-22 01:00:54');
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (256241, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 1037, 4, 2024, 8, 20, '2024-08-21 01:00:48', 1, '2024-08-22 01:00:53'), (256242, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 564, 1, 2024, 8, 20, '2024-08-21 01:00:48', 1, '2024-08-22 01:00:53'), (256243, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 1037, 4, 2024, 8, 20, '2024-08-21 01:00:49', 1, '2024-08-22 01:00:54'), (256244, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 564, 1, 2024, 8, 20, '2024-08-21 01:00:49', 1, '2024-08-22 01:00:54'), (256245, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 4, 1, 2024, 8, 20, '2024-08-21 01:00:49', 1, '2024-08-22 01:00:54'), (256246, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A11', 5, 1, 2024, 8, 20, '2024-08-21 01:00:49', 1, '2024-08-22 01:00:54'), (256247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 491, 712, 2024, 8, 21, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:59'), (256248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 331, 8, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 366, 1069, 2024, 8, 21, '2024-08-21 01:00:59', 1, '2024-08-22 01:01:02'), (256250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 520, 299, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 798, 41, 2024, 8, 20, '2024-08-21 01:00:50', 1, '2024-08-22 01:00:53'), (256252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 151, 10, 2024, 8, 20, '2024-08-21 01:00:50', 1, '2024-08-22 01:00:53'), (256253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 467, 37, 2024, 8, 20, '2024-08-21 01:00:50', 1, '2024-08-22 01:00:53'), (256254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 14521, 5, 2024, 8, 20, '2024-08-21 01:00:50', 1, '2024-08-22 01:00:53'), (256255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 646, 85, 2024, 8, 20, '2024-08-21 01:00:50', 1, '2024-08-22 01:00:53'), (256256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 543, 53, 2024, 8, 20, '2024-08-21 01:00:50', 1, '2024-08-22 01:00:53'), (256257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 738, 83, 2024, 8, 20, '2024-08-21 01:00:50', 1, '2024-08-22 01:00:53'), (256258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 409, 57, 2024, 8, 20, '2024-08-21 01:00:50', 1, '2024-08-22 01:00:53'), (256259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 1783, 10, 2024, 8, 20, '2024-08-21 01:00:50', 1, '2024-08-22 01:00:53'), (256260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 399, 41, 2024, 8, 20, '2024-08-21 01:00:50', 1, '2024-08-22 01:00:53'), (256261, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 24103, 3, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:54'), (256262, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 42, 9, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:54'), (256263, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 100, 102, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:54'), (256264, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 4883, 3, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:54'), (256265, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 271, 13, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256266, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 366, 70, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256267, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 0, 2, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256268, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 45, 12, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:54'), (256269, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 47, 12, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:54'), (256270, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 524, 8, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:54'), (256271, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 546, 49, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256272, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 67, 8, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:54'), (256273, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1668, 30, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:54'), (256274, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 2, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256275, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 610, 3, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256276, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 628, 10, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256277, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 16, 18, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256278, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 163, 3, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256279, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 217, 3, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256280, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 1478, 1, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256281, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 268, 7, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256282, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 256, 23, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256283, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 32, 48, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256284, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 1404, 174, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:54'), (256285, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 925, 1, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256286, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 30, 8, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256287, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 0, 3, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256288, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 91, 23, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256289, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 197, 11, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256290, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 128, 63, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:54'), (256291, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 6, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:54'), (256292, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 646, 21, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256293, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 7, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256294, 22, '511502000000-0001', '翠屏区政务服务中心', '16号  审计稽核', '', '', '', 0, 1, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:53'), (256295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 30, 8, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 101, 19, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 95, 22, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 441, 22, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 114, 21, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 2, 1, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 5, 5, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:55'), (256302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 849, 19, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 23, 11, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 118, 8, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 30, 12, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 1762, 17, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 12, 13, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C01', 54, 13, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1545, 13, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 22, 12, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 124, 12, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 161, 14, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 137, 10, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C05', 153, 17, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 92, 6, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 62, 12, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 130, 7, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 190, 18, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 77, 18, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 256, 23, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D07', 2357, 18, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 40, 19, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 1225, 55, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 7324, 2, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 62, 7, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1353, 34, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 129, 10, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 925, 1, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 268, 7, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 610, 3, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 524, 8, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 628, 10, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 380, 17, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 271, 13, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 312, 34, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D05', 416, 36, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D06', 1270, 60, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 1775, 4, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 217, 3, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 14464, 5, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 9, 1, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 1478, 1, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 15, 2, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:55'), (256344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 2464, 5, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 84, 4, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 47, 12, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 67, 8, 2024, 8, 20, '2024-08-21 01:00:52', 1, '2024-08-22 01:00:54'), (256348, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 135, 3, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:57'), (256349, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 7324, 2, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:57'), (256350, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 271, 13, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:57'), (256351, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 5, 2, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256352, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 312, 34, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256353, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B03', 9, 1, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256354, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D05', 416, 36, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256355, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 84, 4, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:57'), (256356, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 95, 22, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:57'), (256357, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 15, 2, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256358, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 110, 4, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256359, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 247, 7, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256360, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 14, 9, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256361, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 628, 10, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256362, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 380, 17, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256363, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 610, 3, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:57'), (256364, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 268, 7, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:57'), (256365, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 130, 7, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:57'), (256366, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 137, 10, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256367, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C05', 153, 17, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256368, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 217, 3, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256369, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 124, 12, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256370, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 47, 12, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256371, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 1775, 4, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:57'), (256372, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 129, 10, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:57'), (256373, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 1478, 1, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256374, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 64, 10, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256375, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 9, 2, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256376, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 64, 4, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256377, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 58, 2, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256378, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 13, 8, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256379, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 6, 4, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256380, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 26, 9, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256381, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 30, 8, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:56'), (256382, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 16, 9, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256383, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 62, 7, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256384, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 849, 19, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256385, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 1762, 17, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256386, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 118, 8, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256387, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1545, 13, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256388, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 441, 22, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256389, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B01', 24103, 3, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256390, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 2464, 5, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256391, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 925, 1, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256392, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A07', 7, 2, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256393, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 67, 8, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256394, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 77, 18, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256395, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 101, 19, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256396, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 13, 3, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256397, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 3, 4, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:57'), (256398, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 190, 18, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256399, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 17, 5, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256400, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 163, 3, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256401, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 524, 8, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256402, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C01', 54, 13, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256403, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D06', 1270, 60, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256404, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A03', 48, 3, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256405, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 2, 1, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256406, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 1225, 55, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256407, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A02', 3, 1, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256408, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D07', 2357, 18, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:57'), (256409, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 30, 12, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:57'), (256410, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 256, 23, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256411, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 114, 21, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256412, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1353, 34, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256413, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 395, 496, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:56'), (256414, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 172, 102, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:56'), (256415, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 183, 63, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:56'), (256416, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 62, 63, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:56'), (256417, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 185, 151, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256418, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 704, 113, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:56'), (256419, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 29, 74, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:56'), (256420, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 21, 83, 2024, 8, 20, '2024-08-21 01:00:53', 1, '2024-08-22 01:00:56'), (256421, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 80, 15, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256422, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 7, 1, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256423, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 354, 30, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256424, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 12, 10, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256425, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 207, 17, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256426, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 86, 18, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256427, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 29, 74, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256428, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 236, 3, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256429, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 199, 49, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256430, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 28, 7, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256431, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 3512, 3, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256432, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '', 276, 1, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256433, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '', 123, 2, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256434, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 82, 22, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256435, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 731, 3, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256436, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 0, 1, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256437, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 228, 128, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256438, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 652, 8, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256439, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 419, 274, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256440, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 495, 5, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256441, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 78, 7, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256442, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 113, 14, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256443, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 21, 83, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256444, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 27, 3, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256445, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 1258, 27, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256446, 1, '511500000000-0001', '宜宾市民中心', '员工录用、企业职工退休一件事', '', '', '', 0, 1, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256447, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 7, 1, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:56'), (256448, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 30, 1, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:56'), (256449, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 38, 54, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:56'), (256450, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 48, 55, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:56'), (256451, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 1355, 7, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256452, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 62, 63, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256453, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 18, 4, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256454, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 708, 45, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256455, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 553, 94, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256456, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 3, 1, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256457, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 469, 8, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256458, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 7, 6, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 17, 3, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 43, 19, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:58'), (256461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 9, 7, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 52, 12, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 206, 14, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 96, 16, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 82, 22, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C03', 162, 2, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 46, 11, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 51, 12, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:58'), (256469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 19, 5, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:58'), (256470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 258, 14, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 143, 8, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 41, 3, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 78, 7, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 34, 16, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 378, 33, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:58'), (256476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 48, 17, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 1515, 5, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 361, 50, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E12', 7, 1, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D23', 140, 3, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 483, 47, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:59'), (256482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D22', 7, 3, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:58'), (256483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 1114, 6, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:58'), (256484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 91, 7, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 165, 1, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 1327, 7, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C12', 39, 1, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 15, 8, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 493, 34, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 797, 5, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:59'), (256491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 30, 23, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:59'), (256492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 476, 40, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:59'), (256493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 1609, 4, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:59'), (256494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 184, 16, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:59'), (256495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 96, 4, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 22, 7, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:58'), (256497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 484, 32, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 1, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 273, 38, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 57, 16, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 15, 15, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 90, 4, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 4, 8, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 7, 2, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 2, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 42, 10, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 167, 2, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:59'), (256508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 257, 11, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 11, 2, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 16, 10, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:57'), (256511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 83, 5, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 66, 6, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 41, 10, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 666, 10, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 43, 15, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 769, 3, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 10, 12, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 32, 1, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 86, 18, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 10, 5, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 31, 12, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 354, 4, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 5, 12, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 3512, 3, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:58'), (256525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 517, 47, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:58'), (256526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 27, 12, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 495, 5, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 356, 22, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 348, 8, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 652, 8, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 20, 13, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 425, 10, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 838, 25, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 239, 40, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:59'), (256535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 20, 10, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:59'), (256536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 1355, 7, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:59'), (256537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 163, 28, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:59'), (256538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 12, 3, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 113, 14, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 33, 5, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:58'), (256541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 731, 3, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 30, 1, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 47, 13, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:57'), (256544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 252, 60, 2024, 8, 20, '2024-08-21 01:00:54', 1, '2024-08-22 01:00:58'), (256545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 589, 47, 2024, 8, 20, '2024-08-21 01:00:55', 1, '2024-08-22 01:00:58'), (256546, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 1355, 7, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:01:00'), (256547, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 78, 7, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:01:00'), (256548, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 1, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:01:00'), (256549, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 3512, 3, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:01:00'), (256550, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 48, 17, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:01:00'), (256551, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 5, 12, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256552, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 10, 5, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:01'), (256553, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 4, 8, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:01:00'), (256554, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 15, 15, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:01:00'), (256555, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 517, 47, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:01:00'), (256556, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 42, 10, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:01:00'), (256557, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 52, 12, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256558, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 96, 16, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256559, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 16, 10, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256560, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E12', 7, 1, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:01'), (256561, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 43, 19, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:01'), (256562, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 86, 18, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256563, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 589, 47, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256564, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 495, 5, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256565, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 7, 1, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256566, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 17, 3, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256567, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 7, 2, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:01:00'), (256568, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 20, 13, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:01:00'), (256569, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 11, 2, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256570, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 2, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256571, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 9, 7, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256572, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C03', 70, 1, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256573, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 57, 16, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256574, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 20, 10, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256575, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 27, 12, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:00:59'), (256576, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 47, 13, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:00:59'), (256577, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 10, 12, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256578, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 31, 12, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256579, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 41, 10, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:00:59'), (256580, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 43, 15, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:00:59'), (256581, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D22', 7, 3, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256582, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 15, 8, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256583, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D23', 140, 3, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:00:59'), (256584, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 40, 4, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:00:59'), (256585, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 30, 23, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:00:59'), (256586, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 12, 3, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:00:59'), (256587, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 354, 4, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256588, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 32, 1, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256589, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 769, 3, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256590, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C10', 630, 1, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256591, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 356, 22, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256592, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 90, 4, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256593, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 30, 1, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256594, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 348, 8, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256595, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 167, 2, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256596, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 257, 11, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256597, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 18, 4, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:00:59'), (256598, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 151, 14, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256599, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 1114, 6, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256600, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 731, 3, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256601, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 1515, 5, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256602, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 165, 1, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256603, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 91, 7, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256604, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 1609, 4, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256605, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 797, 5, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256606, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 1327, 7, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256607, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 66, 6, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256608, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 83, 5, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256609, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C09', 8, 1, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256610, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 666, 10, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256611, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C10', 208, 1, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:00:59'), (256612, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 46, 11, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256613, 1, '511500000000-0001', '宜宾市民中心', '公积金贷款', '', '', '2C12', 39, 1, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256614, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 163, 28, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:00:59'), (256615, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 252, 60, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:00:59'), (256616, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 239, 40, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:00:59'), (256617, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 652, 8, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:00:59'), (256618, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 82, 22, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256619, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 476, 40, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256620, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 425, 10, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256621, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 201, 13, 2024, 8, 20, '2024-08-21 01:00:56', 1, '2024-08-22 01:00:59'), (256622, 1, '511500000000-0001', '宜宾市民中心', '跨省通办', '', '', '2C04', 276, 1, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:00:59'), (256623, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C03', 255, 1, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:00:59'), (256624, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 96, 4, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256625, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 27, 3, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256626, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 838, 25, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256627, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 143, 8, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:00:59'), (256628, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 378, 33, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256629, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 113, 14, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256630, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 273, 38, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256631, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 484, 32, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256632, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 34, 16, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:00:59'), (256633, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 493, 34, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:00:59'), (256634, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 41, 3, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256635, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 19, 5, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256636, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 483, 47, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00');
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (256637, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 51, 12, 2024, 8, 20, '2024-08-21 01:00:57', 1, '2024-08-22 01:01:00'), (256638, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 277, 13, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256639, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 361, 50, 2024, 8, 20, '2024-08-21 01:00:58', 1, '2024-08-22 01:01:00'), (256640, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:08', NULL, NULL), (256641, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:08', NULL, NULL), (256642, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:08', NULL, NULL), (256643, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:08', NULL, NULL), (256644, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:08', NULL, NULL), (256645, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:15', NULL, NULL), (256646, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:15', NULL, NULL), (256647, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:16', NULL, NULL), (256648, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:23', NULL, NULL), (256649, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:24', NULL, NULL), (256650, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:24', NULL, NULL), (256651, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:26', NULL, NULL), (256652, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '象鼻街道', '', 3628, 5, 2024, 8, 21, '2024-08-22 01:00:16', NULL, NULL), (256653, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '', 64, 1, 2024, 8, 21, '2024-08-22 01:00:16', NULL, NULL), (256654, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '', 16939, 1, 2024, 8, 21, '2024-08-22 01:00:16', NULL, NULL), (256655, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '', 96, 1, 2024, 8, 21, '2024-08-22 01:00:16', NULL, NULL), (256656, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '', 522, 2, 2024, 8, 21, '2024-08-22 01:00:16', NULL, NULL), (256657, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '2', 16939, 1, 2024, 8, 21, '2024-08-22 01:00:17', NULL, NULL), (256658, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '4', 64, 1, 2024, 8, 21, '2024-08-22 01:00:16', NULL, NULL), (256659, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '5', 96, 1, 2024, 8, 21, '2024-08-22 01:00:16', NULL, NULL), (256660, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '6', 522, 2, 2024, 8, 21, '2024-08-22 01:00:16', NULL, NULL), (256661, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '退役军人业务、办理优待证', '', '', '5', 96, 1, 2024, 8, 21, '2024-08-22 01:00:23', NULL, NULL), (256662, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '残疾人服务', '', '', '2', 16939, 1, 2024, 8, 21, '2024-08-22 01:00:25', NULL, NULL), (256663, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '医保服务', '', '', '4', 64, 1, 2024, 8, 21, '2024-08-22 01:00:24', NULL, NULL), (256664, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '办理准生证、老年证、奖励扶助政策服务', '', '', '6', 522, 2, 2024, 8, 21, '2024-08-22 01:00:17', NULL, NULL), (256665, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:31', NULL, NULL), (256666, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:31', NULL, NULL), (256667, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:32', NULL, NULL), (256668, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:32', NULL, NULL), (256669, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:38', NULL, NULL), (256670, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:39', NULL, NULL), (256671, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:39', NULL, NULL), (256672, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:39', NULL, NULL), (256673, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:39', NULL, NULL), (256674, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:47', NULL, NULL), (256675, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:47', NULL, NULL), (256676, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:47', NULL, NULL), (256677, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:47', NULL, NULL), (256678, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:47', NULL, NULL), (256679, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:55', NULL, NULL), (256680, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:00:57', NULL, NULL), (256681, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '高新区政企服务中心', '', 2093, 10, 2024, 8, 21, '2024-08-22 01:00:55', NULL, NULL), (256682, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', '', 5, 1, 2024, 8, 21, '2024-08-22 01:00:55', NULL, NULL), (256683, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', '', 2325, 9, 2024, 8, 21, '2024-08-22 01:00:55', NULL, NULL), (256684, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A12', 5, 1, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL), (256685, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A08', 3366, 5, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL), (256686, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', 'A09', 1023, 4, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL), (256687, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A08', 3366, 5, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL), (256688, 24, '511534000000-0001', '宜宾高新区政企服务中心', '企业开办', '', '', 'A09', 1023, 4, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL), (256689, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务综合业务', '', '', 'A12', 5, 1, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL), (256690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:01:05', NULL, NULL), (256691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 0, 2024, 8, 22, '2024-08-22 01:01:08', NULL, NULL), (256692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '象鼻街道', '', 444, 3, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公安综合服务大厅', '', 418, 289, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '公积金服务大厅', '', 377, 28, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '高新区政企服务中心', '', 352, 9, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '医疗保障服务大厅', '', 484, 40, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '退役军人大厅', '', 2505, 20, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '企业服务综合大厅', '', 339, 58, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '出入境服务大厅', '', 198, 36, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '人社保障大厅', '', 359, 87, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '综合服务大厅', '', 6491, 8, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '不动产服务大厅', '', 328, 69, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '税务综合大厅', '', 156, 55, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256704, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', '', 24, 4, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256705, 22, '511502000000-0001', '翠屏区政务服务中心', '关爱人群办理业务(出入境)', '', '', '', 0, 2, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256706, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', '', 4, 20, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256707, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '', 126, 113, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256708, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', '', 19267, 1, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256709, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', '', 2481, 4, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256710, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', '', 109, 10, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256711, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '', 164, 50, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256712, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', '', 15162, 2, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256713, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', '', 5, 2, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256714, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', '', 112, 11, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256715, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', '', 28, 8, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256716, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '', 730, 54, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256717, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', '', 674, 7, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256718, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', '', 1819, 34, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256719, 22, '511502000000-0001', '翠屏区政务服务中心', '接待登记', '', '', '', 0, 4, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256720, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房保障中心', '', '', '', 0, 3, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256721, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', '', 465, 12, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256722, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', '', 726, 7, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256723, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', '', 3, 14, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256724, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', '', 6, 1, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256725, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', '', 5, 1, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256726, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', '', 375, 8, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256727, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', '', 215, 7, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256728, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '', 325, 33, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256729, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', '', 7, 46, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256730, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '', 560, 119, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256731, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', '', 2837, 1, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256732, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', '', 1302, 1, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256733, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '', 344, 6, 2024, 8, 21, '2024-08-22 01:00:59', NULL, NULL), (256734, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '', 1661, 3, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256735, 22, '511502000000-0001', '翠屏区政务服务中心', '涉外业务（成绩单、毕业证书、亲属关系等）', '', '', '', 0, 3, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256736, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', '', 173, 17, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256737, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '', 172, 29, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256738, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', '', 118, 50, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256739, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件办理', '', '', '', 0, 3, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256740, 22, '511502000000-0001', '翠屏区政务服务中心', '护照、港澳、台湾证件领取', '', '', '', 0, 1, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256741, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', '', 177, 18, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256742, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', '', 12556, 3, 2024, 8, 21, '2024-08-22 01:01:00', NULL, NULL), (256743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A08', 344, 6, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C06', 109, 17, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A07', 172, 29, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C04', 326, 13, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A06', 540, 17, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A02', 4, 4, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A05', 930, 19, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C03', 122, 22, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A03', 5, 3, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C02', 15, 3, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A04', 700, 18, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C02', 2110, 19, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A04', 4, 15, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C01', 112, 24, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C01', 1265, 1, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A05', 1902, 16, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C04', 76, 13, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C03', 1464, 14, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A07', 105, 14, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C06', 63, 9, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A08', 126, 12, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A09', 25, 11, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C09', 143, 10, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C08', 22, 13, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2A09', 325, 33, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '2C07', 117, 21, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A10', 8, 13, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D08', 533, 54, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A12', 19267, 1, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D09', 1197, 1, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C11', 157, 8, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'A13', 1302, 1, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C10', 165, 10, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C13', 215, 7, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C12', 465, 12, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C14', 5, 2, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C17', 726, 7, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C16', 2837, 1, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C19', 153, 14, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D01', 1661, 3, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C18', 109, 10, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D02', 156, 23, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D03', 152, 8, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D04', 177, 19, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C20', 1041, 1, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B01', 2, 3, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C21', 375, 8, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B02', 24, 4, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B03', 2481, 4, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C23', 5, 1, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B04', 5, 9, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B05', 4710, 8, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B06', 5, 3, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '3D10', 572, 64, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'B09', 112, 11, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', 'C29', 674, 7, 2024, 8, 21, '2024-08-22 01:01:01', NULL, NULL), (256799, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A09', 51, 4, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256800, 22, '511502000000-0001', '翠屏区政务服务中心', '11、12号   区卫生健康局', '', '', 'A12', 19267, 1, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256801, 22, '511502000000-0001', '翠屏区政务服务中心', '8号  社保卡管理', '', '', 'C18', 109, 10, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256802, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D02', 156, 23, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256803, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B01', 2, 3, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256804, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D03', 152, 8, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256805, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B04', 5, 9, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256806, 22, '511502000000-0001', '翠屏区政务服务中心', '户籍业务办理', '', '', '3D04', 177, 19, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256807, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B06', 5, 3, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256808, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产一件事一次办业务', '', '', 'B05', 3, 5, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256809, 22, '511502000000-0001', '翠屏区政务服务中心', '档案查询与企业迁出、准迁业务办理', '', '', '2A07', 172, 29, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256810, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A08', 167, 9, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256811, 22, '511502000000-0001', '翠屏区政务服务中心', '社保业务', '', '', 'A07', 181, 8, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256812, 22, '511502000000-0001', '翠屏区政务服务中心', '代开业务', '', '', 'A10', 5, 4, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256813, 22, '511502000000-0001', '翠屏区政务服务中心', '7号  工伤待遇', '', '', 'C17', 726, 7, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256814, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A10', 5, 2, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256815, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C19', 153, 14, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256816, 22, '511502000000-0001', '翠屏区政务服务中心', '3号  企保转移', '', '', 'C12', 465, 12, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256817, 22, '511502000000-0001', '翠屏区政务服务中心', '4号  2018年后被地农保综合', '', '', 'C13', 215, 7, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256818, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C09', 143, 10, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256819, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C06', 63, 9, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256820, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C04', 76, 13, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256821, 22, '511502000000-0001', '翠屏区政务服务中心', '10号  提前退休审批和劳动能力鉴定申请', '', '', 'C21', 375, 8, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256822, 22, '511502000000-0001', '翠屏区政务服务中心', '不动产查询', '', '', 'B09', 112, 11, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256823, 22, '511502000000-0001', '翠屏区政务服务中心', '9号  工伤认定申请', '', '', 'C20', 1041, 1, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256824, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C10', 165, 10, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256825, 22, '511502000000-0001', '翠屏区政务服务中心', '11号  特殊许可', '', '', 'C23', 5, 1, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256826, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A10', 11, 7, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256827, 22, '511502000000-0001', '翠屏区政务服务中心', '权益保障', '', '', 'B05', 12556, 3, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256828, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A07', 4, 5, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256829, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A09', 15, 4, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256830, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A08', 4, 2, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256831, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A03', 5, 3, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256832, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A02', 4, 4, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256833, 22, '511502000000-0001', '翠屏区政务服务中心', '特种设备、食品经营许可证照打印', '', '', '2A08', 344, 6, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256834, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A05', 9, 10, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256835, 22, '511502000000-0001', '翠屏区政务服务中心', '综合业务', '', '', 'A04', 4, 11, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256836, 22, '511502000000-0001', '翠屏区政务服务中心', '安置就业', '', '', 'B03', 2481, 4, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256837, 22, '511502000000-0001', '翠屏区政务服务中心', '2号   企保综合', '', '', 'C11', 157, 8, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256838, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C03', 1464, 14, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256839, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A05', 930, 19, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256840, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C02', 2110, 19, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256841, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A04', 700, 18, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256842, 22, '511502000000-0001', '翠屏区政务服务中心', '1号   企保退休审核', '', '', 'C01', 1265, 1, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256843, 22, '511502000000-0001', '翠屏区政务服务中心', '市场主体业务', '', '', '2A06', 540, 17, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256844, 22, '511502000000-0001', '翠屏区政务服务中心', '优抚服务', '', '', 'B02', 24, 4, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256845, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D10', 572, 64, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256846, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  区综合行政执法局（城市管理）', '', '', 'A05', 15162, 2, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256847, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  区民政局', '', '', 'A13', 1302, 1, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256848, 22, '511502000000-0001', '翠屏区政务服务中心', '13号  失业保险个人业务', '', '', 'C29', 674, 7, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256849, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C07', 117, 21, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256850, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C06', 109, 17, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256851, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A05', 5, 4, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256852, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C08', 22, 13, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256853, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A04', 2, 4, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256854, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A09', 3, 3, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256855, 22, '511502000000-0001', '翠屏区政务服务中心', '临时业务', '', '', 'A08', 3, 1, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256856, 22, '511502000000-0001', '翠屏区政务服务中心', '6号  机保综合', '', '', 'C16', 2837, 1, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256857, 22, '511502000000-0001', '翠屏区政务服务中心', '现金及社保业务', '', '', 'A07', 6, 1, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256858, 22, '511502000000-0001', '翠屏区政务服务中心', '5号  城乡居保综合', '', '', 'C14', 5, 2, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256859, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C01', 112, 24, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256860, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D08', 533, 54, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256861, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C03', 122, 22, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256862, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C02', 15, 3, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256863, 22, '511502000000-0001', '翠屏区政务服务中心', '营业执照打印', '', '', '2A09', 325, 33, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256864, 22, '511502000000-0001', '翠屏区政务服务中心', '身份证办理、领取', '', '', '3D09', 1197, 1, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256865, 22, '511502000000-0001', '翠屏区政务服务中心', '医保综合业务', '', '', '2C04', 326, 13, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256866, 22, '511502000000-0001', '翠屏区政务服务中心', '咨询窗口', '', '', '3D01', 1661, 3, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256867, 1, '511500000000-0001', '宜宾市民中心', '', '', '公安综合服务大厅', '', 454, 441, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256868, 1, '511500000000-0001', '宜宾市民中心', '', '', '企业服务综合大厅', '', 199, 88, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256869, 1, '511500000000-0001', '宜宾市民中心', '', '', '公积金服务大厅', '', 98, 54, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256870, 1, '511500000000-0001', '宜宾市民中心', '', '', '出入境服务大厅', '', 37, 55, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256871, 1, '511500000000-0001', '宜宾市民中心', '', '', '人社保障大厅', '', 168, 133, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256872, 1, '511500000000-0001', '宜宾市民中心', '', '', '不动产服务大厅', '', 935, 144, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256873, 1, '511500000000-0001', '宜宾市民中心', '', '', '医疗保障服务大厅', '', 38, 82, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256874, 1, '511500000000-0001', '宜宾市民中心', '', '', '税务综合大厅', '', 76, 72, 2024, 8, 21, '2024-08-22 01:01:02', NULL, NULL), (256875, 1, '511500000000-0001', '宜宾市民中心', '公积金按揭项目业务', '', '', '', 0, 1, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256876, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '', 5, 7, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256877, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '', 18, 3, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256878, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '', 314, 18, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256879, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '', 394, 7, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256880, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '', 37, 16, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256881, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '', 342, 18, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256882, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '', 38, 82, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256883, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '', 88, 4, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256884, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '', 56, 38, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256885, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '', 67, 6, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256886, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '', 3, 1, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256887, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '', 211, 15, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256888, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '', 3, 2, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256889, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '', 2787, 1, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256890, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '', 515, 1, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256891, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '', 260, 113, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256892, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '', 60, 6, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256893, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '', 642, 249, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256894, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '', 232, 10, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256895, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '', 18, 5, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256896, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '', 230, 12, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256897, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '', 76, 72, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256898, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '', '', '', 4, 1, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256899, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '', 586, 26, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256900, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '', 178, 3, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256901, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '', 150, 7, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256902, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '', 894, 3, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256903, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '', 90, 54, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256904, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '', 143, 41, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256905, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '', 80, 3, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256906, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '', 37, 55, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256907, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '', 434, 2, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256908, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '', 1397, 79, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256909, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '', 138, 79, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256910, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '', 3, 8, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256911, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '', 8, 8, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256912, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '', 609, 13, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256913, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C06', 23, 3, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256914, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E04', 459, 6, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A08', 21, 12, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E03', 8, 1, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A07', 55, 16, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C04', 20, 10, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A06', 32, 10, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E02', 211, 15, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E09', 89, 7, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E08', 91, 10, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C09', 61, 13, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E07', 61, 6, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256925, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C08', 137, 7, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256926, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E06', 170, 8, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256927, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C07', 322, 7, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E05', 58, 15, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A07', 866, 30, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D26', 3, 6, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E14', 46, 5, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D25', 14, 15, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D36', 604, 6, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A05', 529, 59, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256935, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C14', 515, 1, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E12', 411, 2, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A04', 756, 52, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D34', 833, 5, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E11', 76, 6, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D33', 331, 6, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E10', 128, 2, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D21', 226, 13, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A02', 368, 27, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D32', 494, 3, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D20', 194, 14, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A01', 702, 35, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D31', 662, 6, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2C10', 44, 12, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (256949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E19', 3, 1, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D28', 3, 2, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E17', 281, 5, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A09', 670, 30, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D27', 3, 2, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A08', 589, 15, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2A10', 34, 17, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E26', 162, 1, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B07', 41, 12, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E25', 21, 8, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D04', 12, 3, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B06', 91, 9, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D03', 4, 3, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E24', 42, 3, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B05', 51, 8, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E23', 35, 4, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B04', 567, 1, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D02', 8, 2, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B03', 18, 7, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E21', 9, 1, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E20', 5, 5, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E19', 32, 14, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E18', 52, 17, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (256972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D09', 1599, 9, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256973, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E29', 989, 6, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E17', 24, 16, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D07', 342, 18, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B09', 19, 4, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E28', 252, 2, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E16', 77, 14, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D06', 3, 1, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E15', 21, 9, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B08', 56, 12, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (256982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A19', 128, 40, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (256983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E27', 295, 5, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (256984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D04', 18, 5, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D03', 290, 13, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D02', 376, 5, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D12', 1279, 26, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D11', 1258, 15, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1E20', 8, 12, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E32', 60, 6, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E31', 219, 1, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D10', 1513, 29, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A23', 260, 29, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (256994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2E30', 10, 2, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (256995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B11', 140, 10, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (256996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A22', 266, 44, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (256997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D09', 13, 5, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2D19', 230, 12, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (256999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D07', 97, 4, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (257000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D06', 2787, 1, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (257001, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1D05', 894, 3, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (257002, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '2B10', 104, 9, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (257003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A21', 260, 39, 2024, 8, 21, '2024-08-22 01:01:03', NULL, NULL), (257004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '1A20', 153, 38, 2024, 8, 21, '2024-08-22 01:01:04', NULL, NULL), (257005, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C06', 23, 3, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257006, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D26', 3, 6, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257007, 1, '511500000000-0001', '宜宾市民中心', '不动产公告、公示业务（遗失、继承等）', '', '', '2D06', 3, 1, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257008, 1, '511500000000-0001', '宜宾市民中心', '公积金归集', '', '', '2C07', 322, 7, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257009, 1, '511500000000-0001', '宜宾市民中心', '出件业务', '', '', '1D27', 3, 2, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257010, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A19', 128, 40, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257011, 1, '511500000000-0001', '宜宾市民中心', '不动产档案查询业务', '', '', '2D07', 342, 18, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257012, 1, '511500000000-0001', '宜宾市民中心', '车驾管业务（补换领驾驶证等）', '', '', '1A20', 153, 38, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257013, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E20', 8, 12, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257014, 1, '511500000000-0001', '宜宾市民中心', '咨询引导', '', '', '2C14', 515, 1, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257015, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E15', 21, 9, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257016, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E17', 24, 16, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257017, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E16', 77, 14, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257018, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E19', 32, 14, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257019, 1, '511500000000-0001', '宜宾市民中心', '医保综合业务', '', '', '1E18', 52, 17, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257020, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D07', 115, 3, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257021, 1, '511500000000-0001', '宜宾市民中心', '药品、药师、医疗器械业务', '', '', '1D09', 19, 3, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257022, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E27', 295, 5, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257023, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E28', 252, 2, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257024, 1, '511500000000-0001', '宜宾市民中心', '企业职工养老保险缴费记录维护', '', '', '2E29', 989, 6, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257025, 1, '511500000000-0001', '宜宾市民中心', '企业职工社会保险费补缴申报（距申报当月6个月以上的补缴）', '', '', '2E17', 434, 2, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257026, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D34', 833, 5, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257027, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D36', 604, 6, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257028, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E10', 128, 2, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257029, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E11', 76, 6, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257030, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D31', 662, 6, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257031, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D32', 494, 3, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257032, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理涉税）', '', '', '2D33', 331, 6, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257033, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D09', 1599, 9, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257034, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E09', 89, 7, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257035, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A22', 266, 44, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257036, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A21', 260, 39, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257037, 1, '511500000000-0001', '宜宾市民中心', '治安、户政（补换领身份证等）', '', '', '1A23', 260, 29, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257038, 1, '511500000000-0001', '宜宾市民中心', '社会团体变更登记、换届', '', '', '1D21', 4, 1, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257039, 1, '511500000000-0001', '宜宾市民中心', '办理工伤认定', '', '', '2E32', 60, 6, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257040, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A01', 702, 35, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257041, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D11', 1258, 15, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257042, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D12', 1279, 26, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257043, 1, '511500000000-0001', '宜宾市民中心', '不动产一件事一次办业务（一窗受理非税）', '', '', '2D10', 1513, 29, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257044, 1, '511500000000-0001', '宜宾市民中心', '多重养老保险关系个人账户退费', '', '', '2E17', 178, 3, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257045, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A07', 866, 30, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257046, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A08', 589, 15, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257047, 1, '511500000000-0001', '宜宾市民中心', '涉企业务', '', '', '2D19', 230, 12, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257048, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A09', 670, 30, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257049, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E05', 58, 15, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257050, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A02', 368, 27, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257051, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E06', 170, 8, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257052, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E07', 61, 6, 2024, 8, 21, '2024-08-22 01:01:07', NULL, NULL), (257053, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A04', 756, 52, 2024, 8, 21, '2024-08-22 01:01:07', NULL, NULL), (257054, 1, '511500000000-0001', '宜宾市民中心', '社保综合业务', '', '', '2E08', 91, 10, 2024, 8, 21, '2024-08-22 01:01:07', NULL, NULL), (257055, 1, '511500000000-0001', '宜宾市民中心', '交通违法处理', '', '', '1A05', 529, 59, 2024, 8, 21, '2024-08-22 01:01:07', NULL, NULL), (257056, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E14', 46, 5, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257057, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E30', 10, 2, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257058, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D25', 14, 15, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257059, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B08', 56, 12, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257060, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B09', 19, 4, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257061, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B06', 91, 9, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257062, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B07', 41, 12, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257063, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B04', 567, 1, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257064, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B05', 51, 8, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257065, 1, '511500000000-0001', '宜宾市民中心', '办理特殊工种提前退休', '', '', '2E31', 219, 1, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257066, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A07', 55, 16, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257067, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B03', 18, 7, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257068, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A06', 32, 10, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257069, 1, '511500000000-0001', '宜宾市民中心', '工伤待遇核定', '', '', '2E12', 411, 2, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257070, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A08', 21, 12, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257071, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D09', 5, 2, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL);
INSERT INTO `mortals_xhx_ph_queue_stat` VALUES (257072, 1, '511500000000-0001', '宜宾市民中心', '档案查询、迁移', '', '', '1D04', 18, 5, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257073, 1, '511500000000-0001', '宜宾市民中心', '检验检测机构业务', '', '', '1D07', 44, 1, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257074, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E04', 459, 6, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257075, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D04', 12, 3, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257076, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D02', 8, 2, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257077, 1, '511500000000-0001', '宜宾市民中心', '叙州区住保中心业务（查网签、备案、购房补贴等）', '', '', '2D03', 4, 3, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257078, 1, '511500000000-0001', '宜宾市民中心', '失业保险待遇', '', '', '2E03', 8, 1, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257079, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C04', 2, 1, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257080, 1, '511500000000-0001', '宜宾市民中心', '出国境业务办理', '', '', '2A10', 34, 17, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257081, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B11', 140, 10, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257082, 1, '511500000000-0001', '宜宾市民中心', '税务综合业务', '', '', '2B10', 104, 9, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257083, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D21', 244, 12, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257084, 1, '511500000000-0001', '宜宾市民中心', '无差别综合受理（破产事务综合办理）', '', '', '1D20', 194, 14, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257085, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C10', 8, 1, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257086, 1, '511500000000-0001', '宜宾市民中心', '咨询业务', '', '', '1D28', 3, 2, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257087, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E26', 162, 1, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257088, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D03', 290, 13, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257089, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E25', 21, 8, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257090, 1, '511500000000-0001', '宜宾市民中心', '市监证照领取', '', '', '1D05', 894, 3, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257091, 1, '511500000000-0001', '宜宾市民中心', '企业开办一件事、企业简易注销一件事', '', '', '1D02', 376, 5, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257092, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E24', 42, 3, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257093, 1, '511500000000-0001', '宜宾市民中心', '退休前数据确认', '', '', '2E23', 35, 4, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257094, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C10', 47, 11, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257095, 1, '511500000000-0001', '宜宾市民中心', '特种设备、食品生产', '', '', '1D06', 2787, 1, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257096, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E20', 5, 5, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257097, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E21', 9, 1, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257098, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C09', 81, 1, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257099, 1, '511500000000-0001', '宜宾市民中心', '贷后业务', '', '', '2C08', 264, 1, 2024, 8, 21, '2024-08-22 01:01:06', NULL, NULL), (257100, 1, '511500000000-0001', '宜宾市民中心', '社会保障卡业务', '', '', '2E02', 211, 15, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257101, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C04', 22, 9, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257102, 1, '511500000000-0001', '宜宾市民中心', '退休政策咨询及其他相关事宜', '', '', '2E19', 3, 1, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257103, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C08', 116, 6, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL), (257104, 1, '511500000000-0001', '宜宾市民中心', '公积金提取', '', '', '2C09', 60, 12, 2024, 8, 21, '2024-08-22 01:01:05', NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_pj_evaluate
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_pj_evaluate`;
CREATE TABLE `mortals_xhx_pj_evaluate`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `people_idcard` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '评价人身份证号',
  `people_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '评价人姓名',
  `people_sex` char(6) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '评价人性别',
  `people_phone` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '评价人手机号',
  `pj_option` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '评价选项(非常满意,满意,基本满意,不满意,非常不满意)',
  `content_tag` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '评价标签',
  `pic_url` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '评价人图片地址',
  `section_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '部门',
  `hall_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '大厅',
  `pj_source` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '评价来源 (安卓,导视机,微信)',
  `opinion` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '手输意见',
  `siteid` int(11) NOT NULL DEFAULT 0,
  `window_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '窗口名',
  `window_fromnum` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '窗口编号',
  `flounum` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '排号编号',
  `pjxt` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '窗口评价' COMMENT '窗口评价(自助服务终端,背靠背评价,微官网)',
  `workman_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '工作人员姓名',
  `workman_number` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '工作人员工号',
  `devicenum` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '评价器mac',
  `evaluatestatus` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '等待评价' COMMENT '评价状态(等待评价,完成,截图有误,用户截图签名超时,用户评价超时,收到图片等待签名',
  `evaluatetype` char(8) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '截图' COMMENT '截图还是评价 (截图.截图,评价.评价)',
  `photobefor` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '截图地址',
  `photoautograph` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '签字图片',
  `picture` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '抓拍评价人照片',
  `process` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '音频视频地址',
  `eyevaluate` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '（未标记,标记非恶意差评,标记恶意差评',
  `pj_type` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '窗口评价' COMMENT '评价指向 (窗口评价,部门评价,排号评价)',
  `ext_num` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '扩展编号',
  `pj_time` datetime(0) NULL DEFAULT NULL COMMENT '评价时间',
  `create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `create_time` datetime(0) NOT NULL COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `people_idcard`(`people_idcard`) USING BTREE,
  INDEX `people_phone`(`people_phone`) USING BTREE,
  INDEX `window_name`(`window_name`) USING BTREE,
  INDEX `window_fromnum`(`window_fromnum`) USING BTREE,
  INDEX `pjxt`(`pjxt`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '评价汇总';

-- ----------------------------
-- Records of mortals_xhx_pj_evaluate
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_pj_evaluate_stat
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_pj_evaluate_stat`;
CREATE TABLE `mortals_xhx_pj_evaluate_stat`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `siteId` bigint(20) NULL DEFAULT 0 COMMENT '站点Id',
  `siteCode` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点编码',
  `siteName` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `sectionName` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '部门',
  `pjOption` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '评价选项(非常满意,满意,基本满意,不满意,非常不满意)',
  `windowFromnum` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '窗口编号',
  `hallName` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '大厅名称',
  `pjCount` int(9) NOT NULL COMMENT '评价数量',
  `year` int(9) NOT NULL COMMENT '年',
  `month` int(9) NOT NULL COMMENT '月',
  `day` int(9) NOT NULL COMMENT '日',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `year`(`year`) USING BTREE,
  INDEX `month`(`month`) USING BTREE,
  INDEX `day`(`day`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 81339 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '评价汇总统计';

-- ----------------------------
-- Records of mortals_xhx_pj_evaluate_stat
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (1, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 14:36:34', NULL, NULL), (2, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 14:36:34', NULL, NULL), (3, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 14:36:34', NULL, NULL), (4, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 14:36:34', NULL, NULL), (5, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 14:36:34', NULL, NULL), (6, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 14:36:34', NULL, NULL), (7, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 14:36:34', NULL, NULL), (8, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 14:36:35', NULL, NULL), (9, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 14:36:35', NULL, NULL), (10, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 14:36:35', NULL, NULL), (11, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 14:36:35', NULL, NULL), (12, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 14:36:35', NULL, NULL), (13, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 14:36:35', NULL, NULL), (14, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 14:36:35', NULL, NULL), (15, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 14:36:35', NULL, NULL), (16, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 14:36:36', NULL, NULL), (17, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 14:36:36', NULL, NULL), (18, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 14:36:36', NULL, NULL), (19, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 14:36:36', NULL, NULL), (20, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 14:36:36', NULL, NULL), (21, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 14:36:36', NULL, NULL), (22, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 14:36:36', NULL, NULL), (23, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 14:36:36', NULL, NULL), (24, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 14:36:37', NULL, NULL), (25, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 14:36:37', NULL, NULL), (26, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 14:36:37', NULL, NULL), (27, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 14:36:37', NULL, NULL), (28, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 14:36:37', NULL, NULL), (29, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 14:36:37', NULL, NULL), (30, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 14:36:37', NULL, NULL), (31, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 14:36:37', NULL, NULL), (32, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 14:36:38', NULL, NULL), (33, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 14:36:38', NULL, NULL), (34, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 14:36:38', NULL, NULL), (35, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 14:36:38', NULL, NULL), (36, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 14:36:38', NULL, NULL), (37, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 14:36:38', NULL, NULL), (38, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 14:36:38', NULL, NULL), (39, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 14:36:39', NULL, NULL), (40, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 14:36:39', NULL, NULL), (41, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 14:36:39', NULL, NULL), (42, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 14:36:39', NULL, NULL), (43, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 14:36:39', NULL, NULL), (44, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 14:36:39', NULL, NULL), (45, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 14:36:39', NULL, NULL), (46, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 14:36:40', NULL, NULL), (47, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 14:36:40', NULL, NULL), (48, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 14:36:40', NULL, NULL), (49, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 14:36:40', NULL, NULL), (50, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 14:36:40', NULL, NULL), (51, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 14:36:40', NULL, NULL), (52, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 14:36:40', NULL, NULL), (53, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 14:36:41', NULL, NULL), (54, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 14:36:41', NULL, NULL), (55, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 14:36:41', NULL, NULL), (56, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 14:36:41', NULL, NULL), (57, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 14:36:41', NULL, NULL), (58, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 14:36:42', NULL, NULL), (59, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 14:36:42', NULL, NULL), (60, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 608, 2023, 3, 1, '2024-08-05 14:36:42', NULL, NULL), (61, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 488, 2023, 3, 2, '2024-08-05 14:36:42', NULL, NULL), (62, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 442, 2023, 3, 3, '2024-08-05 14:36:42', NULL, NULL), (63, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 71, 2023, 3, 4, '2024-08-05 14:36:43', NULL, NULL), (64, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 87, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (65, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 486, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (66, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 447, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (67, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 342, 2023, 3, 8, '2024-08-05 14:36:44', NULL, NULL), (68, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 323, 2023, 3, 9, '2024-08-05 14:36:45', NULL, NULL), (69, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 301, 2023, 3, 10, '2024-08-05 14:36:45', NULL, NULL), (70, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 23, 2023, 3, 11, '2024-08-05 14:36:46', NULL, NULL), (71, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 10, 2023, 3, 12, '2024-08-05 14:36:46', NULL, NULL), (72, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 388, 2023, 3, 13, '2024-08-05 14:36:47', NULL, NULL), (73, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 470, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (74, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 438, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (75, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 353, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (76, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 345, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (77, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 24, 2023, 3, 18, '2024-08-05 14:36:50', NULL, NULL), (78, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 11, 2023, 3, 19, '2024-08-05 14:36:50', NULL, NULL), (79, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 303, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (80, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 253, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (81, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 251, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (82, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 257, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (83, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 257, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (84, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 20, 2023, 3, 25, '2024-08-05 14:36:54', NULL, NULL), (85, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 2, 2023, 3, 26, '2024-08-05 14:36:54', NULL, NULL), (86, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 210, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (87, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 190, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (88, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 233, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (89, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 156, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (90, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 166, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (91, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 13, 2023, 4, 1, '2024-08-05 14:36:57', NULL, NULL), (92, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 12, 2023, 4, 2, '2024-08-05 14:36:58', NULL, NULL), (93, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 322, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (94, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 416, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (95, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 9, 2023, 4, 5, '2024-08-05 14:37:00', NULL, NULL), (96, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 407, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (97, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 328, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (98, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 29, 2023, 4, 8, '2024-08-05 14:37:01', NULL, NULL), (99, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 20, 2023, 4, 9, '2024-08-05 14:37:01', NULL, NULL), (100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 364, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 313, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 326, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 389, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 302, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 24, 2023, 4, 15, '2024-08-05 14:37:02', NULL, NULL), (106, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 14:37:02', NULL, NULL), (107, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 368, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (108, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 367, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 354, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 401, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 272, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 43, 2023, 4, 22, '2024-08-05 14:37:03', NULL, NULL), (113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 164, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 347, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 353, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 259, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 276, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 274, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 11, 2023, 4, 29, '2024-08-05 14:37:04', NULL, NULL), (120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1, 2023, 4, 30, '2024-08-05 14:37:04', NULL, NULL), (121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 7, 2023, 5, 1, '2024-08-05 14:37:04', NULL, NULL), (122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 34, 2023, 5, 2, '2024-08-05 14:37:04', NULL, NULL), (123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 20, 2023, 5, 3, '2024-08-05 14:37:04', NULL, NULL), (124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 235, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 304, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 277, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 38, 2023, 5, 7, '2024-08-05 14:37:05', NULL, NULL), (128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 348, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 186, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 260, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 278, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 220, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 14, 2023, 5, 13, '2024-08-05 14:37:05', NULL, NULL), (134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 3, 2023, 5, 14, '2024-08-05 14:37:05', NULL, NULL), (135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 222, 2023, 5, 15, '2024-08-05 14:37:05', NULL, NULL), (136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 391, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 192, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 119, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 221, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 42, 2023, 5, 20, '2024-08-05 14:37:06', NULL, NULL), (141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 10, 2023, 5, 21, '2024-08-05 14:37:06', NULL, NULL), (142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 179, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 242, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 289, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 368, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 306, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 27, 2023, 5, 27, '2024-08-05 14:37:07', NULL, NULL), (148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 58, 2023, 5, 28, '2024-08-05 14:37:07', NULL, NULL), (149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 289, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 253, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 209, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 183, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 366, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 24, 2023, 6, 3, '2024-08-05 14:37:08', NULL, NULL), (155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 35, 2023, 6, 4, '2024-08-05 14:37:08', NULL, NULL), (156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 313, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 209, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 278, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 248, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 151, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 67, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 32, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 293, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 382, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 345, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 235, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 328, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 61, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 52, 2023, 6, 18, '2024-08-05 14:37:10', NULL, NULL), (170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 157, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 163, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 374, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 16, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 24, 2023, 6, 23, '2024-08-05 14:37:10', NULL, NULL), (175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 21, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 340, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 247, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 386, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 171, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 175, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 146, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 28, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (183, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 11, 2023, 7, 2, '2024-08-05 14:37:12', NULL, NULL), (184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 228, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 222, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 239, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 174, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 148, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 5, 2023, 7, 8, '2024-08-05 14:37:12', NULL, NULL), (190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 21, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 259, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 205, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 259, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 152, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 177, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 26, 2023, 7, 15, '2024-08-05 14:37:13', NULL, NULL), (197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 36, 2023, 7, 16, '2024-08-05 14:37:14', NULL, NULL), (198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 350, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 295, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 123, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 245, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 260, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 16, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 54, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 286, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 104, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 153, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 84, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 102, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 14:37:15', NULL, NULL), (211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 6, 2023, 7, 30, '2024-08-05 14:37:16', NULL, NULL), (212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 85, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 105, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 108, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 115, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 181, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 40, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 8, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 154, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 275, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 256, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 253, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 170, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 14, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 2, 2023, 8, 13, '2024-08-05 14:37:18', NULL, NULL), (226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 201, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 205, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (228, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 201, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (229, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 200, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (230, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 238, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (231, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 6, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (232, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 14:37:19', NULL, NULL), (233, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 174, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (234, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 116, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (235, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 229, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 287, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 190, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 5, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 14:37:20', NULL, NULL), (240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 222, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 207, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 209, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 126, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 141, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 22, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 7, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 193, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 94, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 132, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 196, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 159, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 18, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 16, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 154, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 217, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 133, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 173, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 137, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 15, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 2, 2023, 9, 17, '2024-08-05 14:37:23', NULL, NULL), (261, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 163, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 103, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 142, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 112, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 111, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 14, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1, 2023, 9, 24, '2024-08-05 14:37:25', NULL, NULL), (268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 108, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 101, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 85, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 59, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 14:37:26', NULL, NULL), (273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 14:37:26', NULL, NULL), (274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 14:37:26', NULL, NULL), (275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 14:37:26', NULL, NULL), (276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 6, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 5, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 44, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1, 2023, 10, 6, '2024-08-05 14:37:27', NULL, NULL), (280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 133, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 129, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 198, 2023, 10, 9, '2024-08-05 14:37:28', NULL, NULL), (283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 148, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 165, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 129, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 142, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 3, 2023, 10, 14, '2024-08-05 14:37:32', NULL, NULL), (288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 3, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 147, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 188, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 232, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 149, 2023, 10, 19, '2024-08-05 14:37:34', NULL, NULL), (293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 113, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 7, 2023, 10, 21, '2024-08-05 14:37:36', NULL, NULL), (295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1, 2023, 10, 22, '2024-08-05 14:37:36', NULL, NULL), (296, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 164, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (297, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 134, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (298, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 94, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (299, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 77, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (300, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 87, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 4, 2023, 10, 28, '2024-08-05 14:37:40', NULL, NULL), (302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 9, 2023, 10, 29, '2024-08-05 14:37:40', NULL, NULL), (303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 104, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 72, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 91, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 80, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 91, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 14, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 6, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 90, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 146, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 76, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 70, 2023, 11, 9, '2024-08-05 14:37:46', NULL, NULL), (314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 78, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 2, 2023, 11, 11, '2024-08-05 14:37:47', NULL, NULL), (316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 2, 2023, 11, 12, '2024-08-05 14:37:47', NULL, NULL), (317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 111, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 108, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 66, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 113, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 59, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 2, 2023, 11, 18, '2024-08-05 14:37:48', NULL, NULL), (323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 4, 2023, 11, 19, '2024-08-05 14:37:48', NULL, NULL), (324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 95, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 48, 2023, 11, 21, '2024-08-05 14:37:48', NULL, NULL), (326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 33, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 142, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 52, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 7, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 30, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 55, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 42, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 47, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 19, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 25, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 6, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 6, 2023, 12, 3, '2024-08-05 14:37:50', NULL, NULL), (338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 60, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 73, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 45, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 59, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 64, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1, 2023, 12, 9, '2024-08-05 14:37:51', NULL, NULL), (344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1, 2023, 12, 10, '2024-08-05 14:37:51', NULL, NULL), (345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 35, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 38, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 54, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 51, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 35, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1, 2023, 12, 16, '2024-08-05 14:37:52', NULL, NULL), (351, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1, 2023, 12, 17, '2024-08-05 14:37:52', NULL, NULL), (352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 52, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 29, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 15, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 56, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 39, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 12, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 3, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 34, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 29, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 25, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 18, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 35, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 2, 2023, 12, 30, '2024-08-05 14:37:53', NULL, NULL), (365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1, 2023, 12, 31, '2024-08-05 14:37:53', NULL, NULL), (366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1, 2024, 1, 1, '2024-08-05 14:37:54', NULL, NULL), (367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 27, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 24, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 35, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 35, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 8, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 19, 2024, 1, 7, '2024-08-05 14:37:54', NULL, NULL), (373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 31, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 26, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 54, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 46, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 41, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (378, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 3, 2024, 1, 13, '2024-08-05 14:37:55', NULL, NULL), (379, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1, 2024, 1, 14, '2024-08-05 14:37:55', NULL, NULL), (380, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 27, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (381, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 64, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 68, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 80, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 62, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 18, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 6, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 56, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 62, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 48, 2024, 1, 24, '2024-08-05 14:37:56', NULL, NULL), (390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 72, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 40, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 7, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1, 2024, 1, 28, '2024-08-05 14:37:57', NULL, NULL), (394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 36, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 40, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 45, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 38, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 33, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 4, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 35, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 40, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 19, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 22, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 12, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 6, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 14:37:59', NULL, NULL), (407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 14:37:59', NULL, NULL), (408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1, 2024, 2, 12, '2024-08-05 14:37:59', NULL, NULL), (409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 14:37:59', NULL, NULL), (410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 2, 2024, 2, 14, '2024-08-05 14:37:59', NULL, NULL), (411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 14:37:59', NULL, NULL), (412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1, 2024, 2, 16, '2024-08-05 14:38:00', NULL, NULL), (413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 5, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 54, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 38, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 28, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 62, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 24, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 22, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1, 2024, 2, 24, '2024-08-05 14:38:01', NULL, NULL), (421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1, 2024, 2, 25, '2024-08-05 14:38:01', NULL, NULL), (422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 35, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 19, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 19, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 30, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 26, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1, 2024, 3, 2, '2024-08-05 14:38:02', NULL, NULL), (428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 1, 2024, 3, 3, '2024-08-05 14:38:02', NULL, NULL), (429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 19, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 33, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 160, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 102, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 73, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 4, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 25, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (436, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 139, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 86, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 127, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 121, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 110, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 4, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 11, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 99, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 105, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 108, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 82, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 100, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 26, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 46, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 109, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 484, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 393, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (453, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 360, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (454, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 331, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 25, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 13, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 256, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 182, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 200, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 3, 2024, 4, 4, '2024-08-05 14:38:07', NULL, NULL), (461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 3, 2024, 4, 5, '2024-08-05 14:38:07', NULL, NULL), (462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 2, 2024, 4, 6, '2024-08-05 14:38:07', NULL, NULL), (463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 235, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 242, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 247, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 259, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 304, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 264, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 20, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 7, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 229, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 249, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 254, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 185, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 155, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 5, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 5, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 247, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 210, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 221, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 201, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 175, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 13, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 170, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 191, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 153, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 8, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 2, 2024, 5, 2, '2024-08-05 14:38:12', NULL, NULL), (489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 2, 2024, 5, 3, '2024-08-05 14:38:12', NULL, NULL), (490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 4, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 10, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 201, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 158, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 126, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 186, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 166, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 120, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 5, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 177, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 161, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 225, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 187, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 251, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 12, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 8, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 212, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 207, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 206, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 218, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 204, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 23, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 9, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 257, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 216, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 237, 2024, 5, 29, '2024-08-05 14:38:27', NULL, NULL), (516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 172, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 154, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 29, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 7, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 222, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 175, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 180, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 174, 2024, 6, 6, '2024-08-05 14:38:32', NULL, NULL), (524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 151, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 13, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 10, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 4, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 160, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 189, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 168, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (531, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 168, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 18, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 27, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 187, 2024, 6, 17, '2024-08-05 14:38:38', NULL, NULL), (535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 177, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 155, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 148, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 107, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 7, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 15, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 158, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 161, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 93, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 114, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 96, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 7, 2024, 6, 29, '2024-08-05 14:38:40', NULL, NULL), (547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 9, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 178, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 155, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 213, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 160, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 168, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 33, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 10, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 208, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 155, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 151, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (558, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 179, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (559, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 122, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (560, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 28, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 9, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 177, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 121, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 102, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 141, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 117, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 24, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 9, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 154, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 145, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 110, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 113, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 112, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 14:38:44', NULL, NULL), (575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 14:38:45', NULL, NULL), (576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 157, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 157, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 101, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 74, 2024, 8, 1, '2024-08-05 14:38:45', 1, '2024-08-05 20:12:41'), (580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 102, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:23'), (581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 9, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 7, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:19'), (583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 120, 2024, 8, 5, '2024-08-05 14:38:46', 1, '2024-08-09 01:01:18'), (584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 3, 1, '2024-08-05 14:36:42', NULL, NULL), (585, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 3, 1, '2024-08-05 14:36:42', NULL, NULL), (586, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2023, 3, 1, '2024-08-05 14:36:42', NULL, NULL), (587, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 5, 2023, 3, 1, '2024-08-05 14:36:42', NULL, NULL), (588, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 3, 1, '2024-08-05 14:36:42', NULL, NULL), (589, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 556, 2023, 3, 1, '2024-08-05 14:36:42', NULL, NULL), (590, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2023, 3, 1, '2024-08-05 14:36:42', NULL, NULL), (591, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 3, 1, '2024-08-05 14:36:42', NULL, NULL), (592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 3, 2, '2024-08-05 14:36:42', NULL, NULL), (593, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 3, 2, '2024-08-05 14:36:42', NULL, NULL), (594, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2023, 3, 2, '2024-08-05 14:36:42', NULL, NULL), (595, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 413, 2023, 3, 2, '2024-08-05 14:36:42', NULL, NULL), (596, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 3, 2, '2024-08-05 14:36:42', NULL, NULL), (597, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 3, 3, '2024-08-05 14:36:42', NULL, NULL), (598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 3, 3, '2024-08-05 14:36:42', NULL, NULL), (599, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 3, 3, '2024-08-05 14:36:42', NULL, NULL), (600, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2023, 3, 3, '2024-08-05 14:36:42', NULL, NULL), (601, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2023, 3, 3, '2024-08-05 14:36:42', NULL, NULL), (602, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 4, 2023, 3, 3, '2024-08-05 14:36:42', NULL, NULL), (603, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 391, 2023, 3, 3, '2024-08-05 14:36:42', NULL, NULL), (604, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 3, 3, '2024-08-05 14:36:42', NULL, NULL), (605, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 3, 3, '2024-08-05 14:36:42', NULL, NULL), (606, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2023, 3, 3, '2024-08-05 14:36:42', NULL, NULL), (607, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 3, 4, '2024-08-05 14:36:43', NULL, NULL), (608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 3, 4, '2024-08-05 14:36:43', NULL, NULL), (609, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 3, 4, '2024-08-05 14:36:43', NULL, NULL), (610, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 3, 2023, 3, 4, '2024-08-05 14:36:43', NULL, NULL), (611, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 12, 2023, 3, 4, '2024-08-05 14:36:43', NULL, NULL), (612, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 42, 2023, 3, 4, '2024-08-05 14:36:43', NULL, NULL), (613, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 5, 2023, 3, 4, '2024-08-05 14:36:43', NULL, NULL), (614, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 5, 2023, 3, 4, '2024-08-05 14:36:43', NULL, NULL), (615, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 3, 4, '2024-08-05 14:36:43', NULL, NULL), (616, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 3, 4, '2024-08-05 14:36:43', NULL, NULL), (617, 1, '511500000000-0001', '宜宾市民中心', '市生态环境局', '', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (618, 1, '511500000000-0001', '宜宾市民中心', '邮政叙州区分公司', '', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (619, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (620, 1, '511500000000-0001', '宜宾市民中心', '市公用事业服务集团有限公司', '', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (621, 1, '511500000000-0001', '宜宾市民中心', '中国银行', '', '', '', 2, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (622, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (623, 1, '511500000000-0001', '宜宾市民中心', '市司法局', '', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (624, 1, '511500000000-0001', '宜宾市民中心', '市消防救援支队', '', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (625, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (626, 1, '511500000000-0001', '宜宾市民中心', '国网（叙州区供电）', '', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (627, 1, '511500000000-0001', '宜宾市民中心', '市气象局', '', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (628, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 3, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (629, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (630, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (631, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (632, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (633, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (634, 1, '511500000000-0001', '宜宾市民中心', '市住房城乡建设局', '', '', '', 2, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 7, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (638, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (639, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (640, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (641, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (642, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (643, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B12', '', 2, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (644, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (645, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D08', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (646, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E05', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (647, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 10, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (648, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 74, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (649, 1, '511500000000-0001', '宜宾市民中心', '市住房城乡建设局', '非常满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (650, 1, '511500000000-0001', '宜宾市民中心', '市气象局', '非常满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (651, 1, '511500000000-0001', '宜宾市民中心', '市住房城乡建设局', '满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (652, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (653, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (654, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (655, 1, '511500000000-0001', '宜宾市民中心', '中国银行', '满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (656, 1, '511500000000-0001', '宜宾市民中心', '中国银行', '非常满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (657, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (658, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '非常满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (659, 1, '511500000000-0001', '宜宾市民中心', '市消防救援支队', '非常满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (660, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (661, 1, '511500000000-0001', '宜宾市民中心', '市司法局', '非常满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (662, 1, '511500000000-0001', '宜宾市民中心', '国网（叙州区供电）', '非常满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (663, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (664, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (665, 1, '511500000000-0001', '宜宾市民中心', '邮政叙州区分公司', '满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (666, 1, '511500000000-0001', '宜宾市民中心', '市公用事业服务集团有限公司', '非常满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (667, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (668, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (669, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (670, 1, '511500000000-0001', '宜宾市民中心', '市生态环境局', '满意', '', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (671, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 2, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (672, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A02', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (673, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (674, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E05', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (675, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D08', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (676, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (677, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B12', '', 2, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (678, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (679, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 3, 5, '2024-08-05 14:36:43', NULL, NULL), (680, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (681, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (682, 1, '511500000000-0001', '宜宾市民中心', '中国银行', '', '', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (683, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 7, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (689, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (690, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (691, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (692, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (693, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A02', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (694, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (695, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (696, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (697, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (698, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D08', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (699, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (700, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (701, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (702, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 3, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (703, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 6, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (704, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 412, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (705, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (706, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (707, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '满意', '', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (708, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (709, 1, '511500000000-0001', '宜宾市民中心', '中国银行', '非常满意', '', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (710, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A02', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (711, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (712, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (713, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (714, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (715, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (716, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 2, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (717, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (718, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (719, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (720, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (721, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D08', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (722, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 1, 2023, 3, 6, '2024-08-05 14:36:43', NULL, NULL), (723, 1, '511500000000-0001', '宜宾市民中心', '邮政叙州区分公司', '', '', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (724, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (725, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 4, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 5, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (728, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (729, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 2, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (730, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (731, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (732, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (733, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (734, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A12', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (735, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (736, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (737, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 8, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (738, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 5, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (739, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 376, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (740, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (741, 1, '511500000000-0001', '宜宾市民中心', '邮政叙州区分公司', '非常满意', '', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (742, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (743, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A12', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (744, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (745, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (746, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (747, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (748, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (749, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (750, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (751, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 2, 2023, 3, 7, '2024-08-05 14:36:44', NULL, NULL), (752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 3, 8, '2024-08-05 14:36:44', NULL, NULL), (753, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2023, 3, 8, '2024-08-05 14:36:44', NULL, NULL), (754, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 32, 2023, 3, 8, '2024-08-05 14:36:44', NULL, NULL), (755, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 3, 8, '2024-08-05 14:36:44', NULL, NULL), (756, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 274, 2023, 3, 8, '2024-08-05 14:36:44', NULL, NULL), (757, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2023, 3, 8, '2024-08-05 14:36:44', NULL, NULL), (758, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 3, 9, '2024-08-05 14:36:45', NULL, NULL), (759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 3, 9, '2024-08-05 14:36:45', NULL, NULL), (760, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A01', '', 1, 2023, 3, 9, '2024-08-05 14:36:45', NULL, NULL), (761, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2023, 3, 9, '2024-08-05 14:36:45', NULL, NULL), (762, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 14, 2023, 3, 9, '2024-08-05 14:36:45', NULL, NULL), (763, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 3, 9, '2024-08-05 14:36:45', NULL, NULL), (764, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 268, 2023, 3, 9, '2024-08-05 14:36:45', NULL, NULL), (765, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 3, 9, '2024-08-05 14:36:45', NULL, NULL), (766, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2023, 3, 9, '2024-08-05 14:36:45', NULL, NULL), (767, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A01', '', 1, 2023, 3, 9, '2024-08-05 14:36:45', NULL, NULL), (768, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 3, 10, '2024-08-05 14:36:45', NULL, NULL), (769, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 3, 10, '2024-08-05 14:36:45', NULL, NULL), (770, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 3, 10, '2024-08-05 14:36:45', NULL, NULL), (771, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 265, 2023, 3, 10, '2024-08-05 14:36:45', NULL, NULL), (772, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 3, 10, '2024-08-05 14:36:45', NULL, NULL), (773, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 3, 11, '2024-08-05 14:36:46', NULL, NULL), (774, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 20, 2023, 3, 11, '2024-08-05 14:36:46', NULL, NULL), (775, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 10, 2023, 3, 12, '2024-08-05 14:36:46', NULL, NULL), (776, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 3, 13, '2024-08-05 14:36:47', NULL, NULL), (777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2023, 3, 13, '2024-08-05 14:36:47', NULL, NULL), (778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 3, 13, '2024-08-05 14:36:47', NULL, NULL), (779, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 3, 13, '2024-08-05 14:36:47', NULL, NULL), (780, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 1, 2023, 3, 13, '2024-08-05 14:36:47', NULL, NULL), (781, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2023, 3, 13, '2024-08-05 14:36:47', NULL, NULL), (782, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 3, 13, '2024-08-05 14:36:47', NULL, NULL), (783, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 4, 2023, 3, 13, '2024-08-05 14:36:47', NULL, NULL), (784, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 3, 13, '2024-08-05 14:36:47', NULL, NULL), (785, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 336, 2023, 3, 13, '2024-08-05 14:36:47', NULL, NULL), (786, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 3, 13, '2024-08-05 14:36:47', NULL, NULL), (787, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2023, 3, 13, '2024-08-05 14:36:47', NULL, NULL), (788, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2023, 3, 13, '2024-08-05 14:36:47', NULL, NULL), (789, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2023, 3, 13, '2024-08-05 14:36:47', NULL, NULL), (790, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 1, 2023, 3, 13, '2024-08-05 14:36:47', NULL, NULL), (791, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 136, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 14, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 66, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 5, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 45, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (798, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (799, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (800, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (801, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 9, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (802, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 8, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (803, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (804, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (805, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 3, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (806, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 24, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (807, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (808, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 24, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (809, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (810, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (811, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 8, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (812, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 6, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (813, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 19, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (814, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 5, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (815, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (816, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (817, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (818, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 12, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (819, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (820, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 3, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (821, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 13, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (822, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (823, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (824, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 21, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (825, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (826, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D09', '', 11, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (827, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 28, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (828, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 14, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (829, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 19, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (830, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 18, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (831, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (832, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 424, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (833, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (834, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A01', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (835, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 2, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (836, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 24, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (837, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 7, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (838, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 8, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (839, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (840, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D13', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (841, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (842, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 8, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (843, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 6, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (844, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D17', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (845, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (846, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (847, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 16, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (848, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (849, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (850, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (851, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (852, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 15, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (853, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (854, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 19, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (855, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 19, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (856, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 2, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (857, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (858, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 3, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (859, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 13, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (860, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 11, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (861, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (862, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (863, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 28, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (864, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 13, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (865, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D09', '', 8, 2023, 3, 14, '2024-08-05 14:36:47', NULL, NULL), (866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 133, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 8, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 81, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 26, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 38, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (872, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (873, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 5, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (874, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (875, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (876, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 11, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (877, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 5, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (878, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 2, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (879, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (880, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A13', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (881, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 4, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (882, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 22, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (883, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (884, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 35, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (885, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (886, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 3, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (887, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 2, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (888, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 9, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (889, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 15, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (890, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 15, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (891, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (892, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 3, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (893, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (894, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (895, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 4, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (896, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 16, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (897, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (898, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 2, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (899, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 12, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (900, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (901, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 29, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (902, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (903, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D09', '', 7, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (904, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 20, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (905, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 19, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (906, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 11, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (907, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 18, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (908, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 5, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (909, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (910, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 379, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (911, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 3, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (912, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A08', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (913, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 22, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (914, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 5, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (915, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A13', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (916, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 9, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (917, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 15, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (918, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (919, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 2, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (920, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 11, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (921, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (922, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 2, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (923, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (924, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 18, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (925, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (926, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (927, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 11, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (928, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 2, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (929, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (930, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D09', '', 7, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (931, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (932, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 8, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (933, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (934, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (935, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (936, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 3, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (937, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (938, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2B01', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (939, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2B06', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (940, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 28, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (941, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 12, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (942, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 4, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (943, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 16, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (944, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (945, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 19, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (946, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 15, 2023, 3, 15, '2024-08-05 14:36:48', NULL, NULL), (947, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '', '', '', 3, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (948, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (949, 1, '511500000000-0001', '宜宾市民中心', '市公共资源交易中心', '', '', '', 1, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 122, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 10, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 80, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 13, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 27, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (958, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 2, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (959, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 3, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (960, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 3, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (961, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (962, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (963, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 17, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (964, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 2, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (965, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 2, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (966, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (967, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 2, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (968, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A12', '', 2, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (969, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 14, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (970, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (971, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 11, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (972, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 6, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (973, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (974, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 16, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (975, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E27', '', 2, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (976, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (977, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 25, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (978, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 7, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (979, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (980, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 2, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (981, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 3, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (982, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (983, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 20, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (984, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 2, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (985, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (986, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (987, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 3, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (988, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 11, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (989, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 23, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (990, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D09', '', 10, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (991, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 12, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (992, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 15, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (993, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 3, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (994, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 19, 2023, 3, 16, '2024-08-05 14:36:48', NULL, NULL), (995, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (996, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 313, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (997, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '非常满意', '', '', 3, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (998, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (999, 1, '511500000000-0001', '宜宾市民中心', '市公共资源交易中心', '非常满意', '', '', 1, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1000, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A01', '', 1, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1001, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 2, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1002, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A12', '', 2, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1003, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 14, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1004, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 2, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1005, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1006, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1007, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 14, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1008, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 3, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1009, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 3, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1010, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 24, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1011, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1012, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 19, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1013, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 3, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1014, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 2, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1015, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 3, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1016, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D09', '', 9, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1017, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1018, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 15, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1019, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1020, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1021, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1022, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 6, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1023, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 22, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1024, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1025, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 10, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1026, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 3, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1027, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 19, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1028, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1029, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 12, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1030, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 13, 2023, 3, 16, '2024-08-05 14:36:49', NULL, NULL), (1031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 85, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 6, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 52, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (1036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 7, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 40, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1038, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 15, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1039, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 6, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1040, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 7, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1041, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1042, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D12', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1043, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 12, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1044, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1045, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1046, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1047, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1048, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 9, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1049, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 13, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1050, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1051, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1052, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1053, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 2, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1054, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 2, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1055, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1056, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 8, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1057, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1058, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 18, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1059, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 4, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1060, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 2, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1061, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1062, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1063, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 9, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1064, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 3, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1065, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 8, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1066, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 2, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1067, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 8, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1068, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D09', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1069, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1070, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1071, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 2, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1072, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 12, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1073, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 3, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1074, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 31, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1075, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1076, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 311, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1077, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1078, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 9, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1079, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 11, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1081, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1082, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D13', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1084, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D12', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1085, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1086, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 8, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1087, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 7, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1088, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1089, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 10, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1090, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1091, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 17, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1092, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1093, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1094, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 2, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1095, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 2, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1096, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 30, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1097, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1098, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 3, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1099, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 2, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1100, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 3, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1101, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 7, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1102, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1103, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 9, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1104, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1105, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 2, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1106, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 10, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1107, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1108, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 3, 17, '2024-08-05 14:36:49', NULL, NULL), (1109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 14, 2023, 3, 18, '2024-08-05 14:36:50', NULL, NULL), (1110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2023, 3, 18, '2024-08-05 14:36:50', NULL, NULL), (1111, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 3, 18, '2024-08-05 14:36:50', NULL, NULL), (1112, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2023, 3, 18, '2024-08-05 14:36:50', NULL, NULL), (1113, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 8, 2023, 3, 18, '2024-08-05 14:36:50', NULL, NULL), (1114, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 3, 18, '2024-08-05 14:36:50', NULL, NULL), (1115, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 3, 2023, 3, 18, '2024-08-05 14:36:50', NULL, NULL), (1116, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 23, 2023, 3, 18, '2024-08-05 14:36:50', NULL, NULL), (1117, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 3, 18, '2024-08-05 14:36:50', NULL, NULL), (1118, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 3, 2023, 3, 18, '2024-08-05 14:36:50', NULL, NULL), (1119, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 3, 2023, 3, 18, '2024-08-05 14:36:50', NULL, NULL), (1120, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 8, 2023, 3, 18, '2024-08-05 14:36:50', NULL, NULL), (1121, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 10, 2023, 3, 19, '2024-08-05 14:36:50', NULL, NULL), (1122, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 3, 19, '2024-08-05 14:36:50', NULL, NULL), (1123, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2023, 3, 19, '2024-08-05 14:36:50', NULL, NULL), (1124, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 7, 2023, 3, 19, '2024-08-05 14:36:50', NULL, NULL), (1125, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 3, 2023, 3, 19, '2024-08-05 14:36:50', NULL, NULL), (1126, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 10, 2023, 3, 19, '2024-08-05 14:36:50', NULL, NULL), (1127, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 3, 2023, 3, 19, '2024-08-05 14:36:50', NULL, NULL), (1128, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 7, 2023, 3, 19, '2024-08-05 14:36:50', NULL, NULL), (1129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 129, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 72, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 10, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 24, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1135, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1136, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1137, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 7, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1138, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1139, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1140, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 1, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1141, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 7, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1142, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 4, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1143, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1144, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 3, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1145, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1146, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 15, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1147, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 13, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1148, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1149, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 2, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1150, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1151, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 3, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1152, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1153, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 5, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1154, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B08', '', 1, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1155, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 25, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1156, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 19, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1157, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 5, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1158, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 6, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1159, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 13, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1160, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 20, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1161, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 4, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1162, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D09', '', 3, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1163, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 34, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1164, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 17, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1165, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1166, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 18, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1167, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1168, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 271, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1169, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 15, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1170, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 3, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1171, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 6, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1172, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1173, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D13', '', 1, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1174, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 3, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1175, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1176, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 5, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1177, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1178, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 1, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1179, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1180, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1181, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1182, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 22, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1183, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 6, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1184, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1185, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 2, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1186, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 3, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1187, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1188, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1189, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 17, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1190, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 4, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1191, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 18, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1192, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 1, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1193, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 5, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1194, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 6, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1195, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 13, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1196, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 19, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1197, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 30, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1198, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 12, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1199, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D09', '', 2, 2023, 3, 20, '2024-08-05 14:36:51', NULL, NULL), (1200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 125, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 46, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 5, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 8, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1207, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1208, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 4, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1209, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1210, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1211, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1212, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 1, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1213, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1214, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 3, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1215, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1216, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 16, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1217, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1218, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 9, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1219, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1220, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 4, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1221, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1222, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 3, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1223, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 9, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1224, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1225, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 16, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1226, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1227, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1228, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 2, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1229, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 4, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1230, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 20, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1231, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1232, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D09', '', 1, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1233, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1234, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 31, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1235, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 33, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1236, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 11, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1237, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 224, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1238, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 2, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1239, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 16, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1240, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 3, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1241, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1242, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D13', '', 1, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1243, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1244, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 2, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1245, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1246, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1247, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1248, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 7, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1249, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1250, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1251, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 4, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1252, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1253, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 11, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1254, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 20, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1255, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1256, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1257, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1258, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1259, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 14, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1260, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 31, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1261, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 30, 2023, 3, 21, '2024-08-05 14:36:51', NULL, NULL), (1262, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 101, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1263, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1264, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 41, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1266, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 8, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 17, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1269, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 3, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1270, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 12, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1271, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1272, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1273, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1274, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 26, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1275, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 8, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1276, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1277, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1278, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1279, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1280, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1281, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 2, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1282, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1283, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 7, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1284, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1285, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 16, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1286, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1287, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 4, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1288, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1289, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 5, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1290, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1291, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 16, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1292, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1293, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 24, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1294, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 19, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1295, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 5, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1296, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 4, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1297, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1298, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 228, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1299, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A01', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1300, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 6, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1301, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A08', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1302, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 26, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1303, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1304, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1305, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 2, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1306, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1307, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 4, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1308, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 3, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1309, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 6, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1310, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1311, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1312, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1313, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1314, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 4, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1315, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 15, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1316, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 5, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1317, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1318, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 4, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1319, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1320, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 4, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1321, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 16, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1322, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1323, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 24, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1324, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 15, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1325, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 3, 22, '2024-08-05 14:36:52', NULL, NULL), (1326, 1, '511500000000-0001', '宜宾市民中心', '宜宾市住房和城乡建设局', '', '', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1327, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1328, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 117, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 31, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 3, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 17, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1335, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1336, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1337, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 5, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1338, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1339, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 11, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1340, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1341, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 15, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1342, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1343, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 11, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1344, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1345, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1346, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 3, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1347, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1348, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 13, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1349, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D03', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1350, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1351, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1352, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1353, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 5, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1354, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 2, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1355, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 29, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1356, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1357, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 33, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1358, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 18, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1359, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1360, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 7, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1361, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 234, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1362, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1363, 1, '511500000000-0001', '宜宾市民中心', '宜宾市住房和城乡建设局', '非常满意', '', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1364, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1365, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 11, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1366, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1367, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 15, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1368, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 10, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1369, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 3, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1370, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1371, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1372, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1373, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 4, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1374, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1375, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1376, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1377, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1378, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 2, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1379, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 7, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1380, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 26, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1381, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1382, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1383, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1384, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 4, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1385, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1386, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 33, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1387, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 16, 2023, 3, 23, '2024-08-05 14:36:52', NULL, NULL), (1388, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1389, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1390, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1391, 1, '511500000000-0001', '宜宾市民中心', '市公共资源交易中心', '', '', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 101, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 40, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 9, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 11, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1399, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1400, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1401, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1402, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1403, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1404, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1405, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 10, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1406, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1407, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1408, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1409, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1410, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A12', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1411, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 19, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1412, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1413, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 11, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1414, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 2, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1415, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1416, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E27', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1417, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 6, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1418, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 16, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1419, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D15', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1420, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1421, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 2, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1422, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 10, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1423, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 16, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1424, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D09', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1425, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 9, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1426, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 24, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1427, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 18, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1428, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 7, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1429, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1430, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 225, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1431, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1432, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1433, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1434, 1, '511500000000-0001', '宜宾市民中心', '市公共资源交易中心', '非常满意', '', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1435, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 14, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1436, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A12', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1437, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 19, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1438, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1439, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 7, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1440, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1441, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1442, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1443, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1444, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1445, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1446, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1447, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 6, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1448, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1449, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1450, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1451, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 7, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1452, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 15, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1453, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 9, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1454, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1455, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 1, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1456, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 9, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1457, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 24, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1458, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 14, 2023, 3, 24, '2024-08-05 14:36:53', NULL, NULL), (1459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2023, 3, 25, '2024-08-05 14:36:54', NULL, NULL), (1460, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 3, 25, '2024-08-05 14:36:54', NULL, NULL), (1461, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 2, 2023, 3, 25, '2024-08-05 14:36:54', NULL, NULL), (1462, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 19, 2023, 3, 25, '2024-08-05 14:36:54', NULL, NULL), (1463, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 2, 2023, 3, 25, '2024-08-05 14:36:54', NULL, NULL), (1464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 3, 26, '2024-08-05 14:36:54', NULL, NULL), (1465, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 3, 26, '2024-08-05 14:36:54', NULL, NULL), (1466, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 2, 2023, 3, 26, '2024-08-05 14:36:54', NULL, NULL), (1467, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 3, 26, '2024-08-05 14:36:54', NULL, NULL), (1468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 55, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 32, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 9, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1475, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1476, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1477, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1478, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1479, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 7, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1480, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1481, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1482, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1483, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1484, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 6, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1485, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1486, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 9, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1487, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1488, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1489, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 11, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1490, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 3, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1491, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 8, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1492, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1493, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1494, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 7, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1495, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 4, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1496, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 14, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1497, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 10, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1498, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1499, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1500, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 2, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1501, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 190, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1502, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1503, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 11, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1504, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 6, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1505, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 6, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1506, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1507, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1508, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1509, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1510, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1511, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1512, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1513, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1514, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 2, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1515, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 4, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1516, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1517, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1518, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 8, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1519, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1520, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 3, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1521, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 4, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1522, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 14, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1523, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 8, 2023, 3, 27, '2024-08-05 14:36:55', NULL, NULL), (1524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 87, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 25, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 19, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (1530, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1531, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1532, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1533, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 12, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1534, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 1, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1535, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1536, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 4, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1537, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1538, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 17, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1539, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 6, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1540, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1541, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1542, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 3, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1543, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 2, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1544, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 19, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1545, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1546, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 2, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1547, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1548, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 7, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1549, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 2, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1550, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1551, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 23, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1552, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 4, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1553, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 15, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1554, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 8, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1555, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 178, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1556, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 19, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1557, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 16, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1558, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1559, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 3, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1560, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D13', '', 1, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1561, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1562, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 3, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1563, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1564, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 12, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1565, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1566, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 2, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1567, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1568, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1569, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1570, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 7, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1571, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 2, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1572, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 7, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1573, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1574, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1575, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 2, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1576, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 4, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1577, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 22, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1578, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 14, 2023, 3, 28, '2024-08-05 14:36:55', NULL, NULL), (1579, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 91, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 32, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 18, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1585, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1586, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1587, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1588, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1589, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 12, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1590, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1591, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 3, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1592, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1593, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 2, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1594, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 4, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1595, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1596, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 14, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1597, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 17, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1598, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1599, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1600, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1601, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1602, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1603, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 29, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1604, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 17, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1605, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 2, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1606, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 20, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1607, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 5, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1608, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1609, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 213, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1610, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '满意', '', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1611, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 17, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1612, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 17, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1613, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 2, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1614, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 3, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1615, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 8, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1616, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1617, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1618, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1619, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1620, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 2, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1621, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1622, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1623, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 5, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1624, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1625, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 12, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1626, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1627, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 3, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1628, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1629, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 29, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1630, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 15, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1631, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 3, 29, '2024-08-05 14:36:56', NULL, NULL), (1632, 1, '511500000000-0001', '宜宾市民中心', '邮政叙州区分公司', '', '', '', 1, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 79, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 21, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 3, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1637, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1638, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 2, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1639, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 4, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1640, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 9, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1641, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 1, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1642, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 3, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1643, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 2, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1644, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 16, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1645, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1646, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1647, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1648, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1649, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 26, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1650, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 11, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1651, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1652, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1653, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 20, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1654, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1655, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1656, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 3, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1657, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 146, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1658, 1, '511500000000-0001', '宜宾市民中心', '邮政叙州区分公司', '满意', '', '', 1, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1659, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1660, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 20, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1661, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 1, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1662, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1663, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 2, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1664, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 2, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1665, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 16, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1666, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 2, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1667, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 9, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1668, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 4, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1669, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1670, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 26, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1671, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 7, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1672, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1673, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1674, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A08', '', 1, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1675, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1676, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 3, 30, '2024-08-05 14:36:56', NULL, NULL), (1677, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 88, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 16, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 11, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1683, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1684, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1685, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1686, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 8, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1687, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1688, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 2, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1689, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 2, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1690, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1691, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 4, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1692, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1693, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1694, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1695, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 17, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1696, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 14, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1697, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1698, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1699, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 27, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1700, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 6, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1701, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1702, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 22, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1703, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1704, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 160, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1705, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '', '', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1706, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 22, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1707, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1708, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 14, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1709, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 2, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1710, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 8, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1711, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1712, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1713, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1714, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1715, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1716, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 16, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1717, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1718, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1719, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1720, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 2, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1721, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 27, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1722, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 5, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1723, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 3, 31, '2024-08-05 14:36:57', NULL, NULL), (1724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 5, 2023, 4, 1, '2024-08-05 14:36:57', NULL, NULL), (1725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 4, 1, '2024-08-05 14:36:57', NULL, NULL), (1726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 4, 1, '2024-08-05 14:36:57', NULL, NULL), (1727, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 4, 1, '2024-08-05 14:36:57', NULL, NULL), (1728, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 4, 1, '2024-08-05 14:36:57', NULL, NULL), (1729, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 2, 2023, 4, 1, '2024-08-05 14:36:57', NULL, NULL), (1730, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 3, 2023, 4, 1, '2024-08-05 14:36:57', NULL, NULL), (1731, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 4, 1, '2024-08-05 14:36:57', NULL, NULL), (1732, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 10, 2023, 4, 1, '2024-08-05 14:36:57', NULL, NULL), (1733, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 2, 2023, 4, 1, '2024-08-05 14:36:57', NULL, NULL), (1734, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 2, 2023, 4, 1, '2024-08-05 14:36:57', NULL, NULL), (1735, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A08', '', 1, 2023, 4, 1, '2024-08-05 14:36:57', NULL, NULL), (1736, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2023, 4, 2, '2024-08-05 14:36:58', NULL, NULL), (1737, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2023, 4, 2, '2024-08-05 14:36:58', NULL, NULL), (1738, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 4, 2, '2024-08-05 14:36:58', NULL, NULL), (1739, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 4, 2, '2024-08-05 14:36:58', NULL, NULL), (1740, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 2, 2023, 4, 2, '2024-08-05 14:36:58', NULL, NULL), (1741, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 12, 2023, 4, 2, '2024-08-05 14:36:58', NULL, NULL), (1742, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 4, 2, '2024-08-05 14:36:58', NULL, NULL), (1743, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2023, 4, 2, '2024-08-05 14:36:58', NULL, NULL), (1744, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 2, 2023, 4, 2, '2024-08-05 14:36:58', NULL, NULL), (1745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 102, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 33, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 38, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 18, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1752, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1753, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 15, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1754, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 3, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1755, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1756, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 17, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1757, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 17, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1758, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 12, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1759, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1760, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1761, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 17, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1762, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 10, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1763, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 15, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1764, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1765, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1766, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 2, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1767, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1768, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1769, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 7, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1770, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1771, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 18, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1772, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1773, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 10, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1774, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 23, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1775, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1776, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 15, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1777, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1778, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1779, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 4, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1780, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 287, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1781, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 15, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1782, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 17, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1783, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 3, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1784, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1785, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 15, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1786, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D17', '', 15, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1787, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1788, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 10, 2023, 4, 3, '2024-08-05 14:36:59', NULL, NULL), (1789, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1790, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1791, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1D17', '', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1792, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 2, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1793, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1D17', '', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1794, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2023, 4, 3, '2024-08-05 14:36:59', NULL, NULL), (1795, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 4, 3, '2024-08-05 14:36:59', NULL, NULL), (1796, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 16, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1797, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1798, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1799, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 7, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1800, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 4, 3, '2024-08-05 14:36:59', NULL, NULL), (1801, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 1, 2023, 4, 3, '2024-08-05 14:36:59', NULL, NULL), (1802, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 2, 2023, 4, 3, '2024-08-05 14:36:59', NULL, NULL), (1803, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2023, 4, 3, '2024-08-05 14:36:59', NULL, NULL), (1804, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 10, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1805, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 23, 2023, 4, 3, '2024-08-05 14:36:58', NULL, NULL), (1806, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 15, 2023, 4, 3, '2024-08-05 14:36:59', NULL, NULL), (1807, 1, '511500000000-0001', '宜宾市民中心', '市卫生健康委', '', '', '', 1, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1808, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 76, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 14, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 78, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 42, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1815, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 3, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1816, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1817, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1818, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 6, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1819, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 27, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1820, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 1, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1821, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 7, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1822, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 8, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1823, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 3, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1824, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 19, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1825, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 20, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1826, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 3, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1827, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 7, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1828, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 7, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1829, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 8, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1830, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1831, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D15', '', 1, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1832, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1833, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 2, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1834, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1835, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1836, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 2, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1837, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 7, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1838, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 11, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1839, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 8, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1840, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1841, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 3, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1842, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 16, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1843, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 27, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1844, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 12, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1845, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1846, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1847, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 384, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1848, 1, '511500000000-0001', '宜宾市民中心', '市卫生健康委', '非常满意', '', '', 1, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1849, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1850, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 7, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1851, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 19, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1852, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 8, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1853, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 6, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1854, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D13', '', 1, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1855, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 3, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1856, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 7, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1857, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 6, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1858, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 27, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1859, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 3, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1860, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1861, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1862, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 7, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1863, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1864, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 7, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1865, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1866, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 2, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1867, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 2, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1868, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 7, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1869, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 11, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1870, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 1, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1871, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1872, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1873, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 16, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1874, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 26, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1875, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 12, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1876, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 4, 4, '2024-08-05 14:36:59', NULL, NULL), (1877, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 4, 5, '2024-08-05 14:37:00', NULL, NULL), (1878, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 4, 2023, 4, 5, '2024-08-05 14:37:00', NULL, NULL), (1879, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2023, 4, 5, '2024-08-05 14:37:00', NULL, NULL), (1880, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 4, 2023, 4, 5, '2024-08-05 14:37:00', NULL, NULL), (1881, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 9, 2023, 4, 5, '2024-08-05 14:37:00', NULL, NULL), (1882, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 4, 2023, 4, 5, '2024-08-05 14:37:00', NULL, NULL), (1883, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2023, 4, 5, '2024-08-05 14:37:00', NULL, NULL), (1884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 115, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 59, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 27, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1890, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 8, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1891, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 21, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1892, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 1, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1893, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 2, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1894, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1895, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 3, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1896, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 4, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1897, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1898, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 2, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1899, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1900, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 2, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1901, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 16, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1902, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1903, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1904, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 18, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1905, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 18, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1906, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 21, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1907, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1908, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 8, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1909, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 34, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1910, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 21, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1911, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 20, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1912, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1913, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 3, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1914, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 5, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1915, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 372, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1916, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1917, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 19, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1918, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 1, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1919, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 18, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1920, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 4, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1921, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1922, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1923, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 8, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1924, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 8, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1925, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 21, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1926, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 3, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1927, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1928, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1929, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 17, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1930, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 2, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1931, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 16, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1932, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1933, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 2, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1934, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 34, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1935, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 21, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1936, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 4, 6, '2024-08-05 14:37:00', NULL, NULL), (1937, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫生', '', '', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1938, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '', '', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 98, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 10, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 64, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1944, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 25, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1946, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1947, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 11, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1948, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1949, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 10, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1950, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1951, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 7, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1952, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B03', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1953, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1954, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1955, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 26, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1956, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1957, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 18, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1958, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1959, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1960, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1961, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 6, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1962, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 4, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1963, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 9, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1964, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1965, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 3, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1966, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 17, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1967, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D03', '', 3, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1968, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1969, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 11, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1970, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 25, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1971, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 5, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1972, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 4, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1973, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 12, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1974, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 15, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1975, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 3, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1976, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1977, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 299, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1978, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '非常满意', '', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1979, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫生', '非常满意', '', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1980, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A01', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1981, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 17, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1982, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 23, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1983, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1984, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 6, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1985, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1986, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B03', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1987, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 4, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1988, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 9, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1989, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1990, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 10, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1991, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 2, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1992, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 11, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1993, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1994, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 6, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1995, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1996, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1997, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1998, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 24, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (1999, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 3, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (2000, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (2001, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 11, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (2002, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D03', '', 3, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (2003, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 4, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (2004, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 12, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (2005, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 14, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (2006, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 4, 2023, 4, 7, '2024-08-05 14:37:01', NULL, NULL), (2007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 7, 2023, 4, 8, '2024-08-05 14:37:01', NULL, NULL), (2008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2023, 4, 8, '2024-08-05 14:37:01', NULL, NULL), (2009, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 4, 8, '2024-08-05 14:37:01', NULL, NULL), (2010, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 7, 2023, 4, 8, '2024-08-05 14:37:01', NULL, NULL), (2011, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 28, 2023, 4, 8, '2024-08-05 14:37:01', NULL, NULL), (2012, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 4, 8, '2024-08-05 14:37:01', NULL, NULL), (2013, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 6, 2023, 4, 8, '2024-08-05 14:37:01', NULL, NULL), (2014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 4, 2023, 4, 9, '2024-08-05 14:37:01', NULL, NULL), (2015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2023, 4, 9, '2024-08-05 14:37:01', NULL, NULL), (2016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 4, 9, '2024-08-05 14:37:01', NULL, NULL), (2017, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2023, 4, 9, '2024-08-05 14:37:01', NULL, NULL), (2018, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2023, 4, 9, '2024-08-05 14:37:01', NULL, NULL), (2019, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 4, 2023, 4, 9, '2024-08-05 14:37:01', NULL, NULL), (2020, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 4, 9, '2024-08-05 14:37:01', NULL, NULL), (2021, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 19, 2023, 4, 9, '2024-08-05 14:37:01', NULL, NULL), (2022, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2023, 4, 9, '2024-08-05 14:37:01', NULL, NULL), (2023, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2023, 4, 9, '2024-08-05 14:37:01', NULL, NULL), (2024, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 4, 2023, 4, 9, '2024-08-05 14:37:01', NULL, NULL), (2025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 116, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (2027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 76, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 39, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2033, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 10, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2034, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 14, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2035, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 15, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2036, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 6, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2037, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2038, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 6, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2039, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2040, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2041, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 3, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2042, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 22, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2043, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2044, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 36, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2045, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2046, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2047, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 2, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2048, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2049, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2050, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 15, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2051, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2052, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2053, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 7, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2054, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 6, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2055, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 20, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2056, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 30, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2057, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 29, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2058, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 8, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2059, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2060, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2061, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 311, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2062, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 12, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2063, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 2, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2064, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 22, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2065, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2066, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 6, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2067, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D13', '', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2068, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2069, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2070, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 15, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2071, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 10, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2072, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 14, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2073, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2074, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 2, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2075, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2076, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1D17', '', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2077, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2078, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 19, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2079, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 8, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2081, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 7, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2082, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 29, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 29, 2023, 4, 10, '2024-08-05 14:37:01', NULL, NULL), (2084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 84, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 48, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 30, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2089, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2090, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 7, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2091, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 9, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2092, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2093, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 9, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2094, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2095, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 2, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2096, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2097, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 6, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2098, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2099, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2100, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 2, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2101, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 7, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2102, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 15, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2103, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 26, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2104, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2105, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2106, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D07', '', 1, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2107, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 27, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2108, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 21, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2109, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 12, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2110, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 11, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2111, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2112, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 282, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2113, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 11, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2114, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 1, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2115, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 15, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2116, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 9, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2117, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 7, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2118, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 9, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2119, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2120, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2121, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2122, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2123, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 2, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2124, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 7, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2125, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 12, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2126, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2127, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2128, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 6, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2129, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 2, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2130, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 27, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2131, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 20, 2023, 4, 11, '2024-08-05 14:37:02', NULL, NULL), (2132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 122, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 43, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 31, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2139, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D27', '', 1, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2140, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 8, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2141, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2142, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 5, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2143, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 19, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2144, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2145, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 9, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2146, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2147, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 11, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2148, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2149, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 21, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2150, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2151, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 2, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2152, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 1, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2153, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 1, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2154, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 12, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2155, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 16, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2156, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 6, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2157, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 3, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2158, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 5, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2159, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 12, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2160, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2161, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2162, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 30, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2163, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 28, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2164, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 2, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2165, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 3, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2166, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 302, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2167, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 16, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2168, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 11, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2169, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2170, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 9, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2171, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2172, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 1, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2173, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 1, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2174, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 5, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2175, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 18, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2176, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 8, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2177, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 11, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2178, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 3, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2179, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 2, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2180, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2181, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 3, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2182, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2183, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 2, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2184, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 3, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2185, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 12, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2186, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 5, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2187, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 6, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2188, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 30, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2189, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 28, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2190, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 4, 12, '2024-08-05 14:37:02', NULL, NULL), (2191, 1, '511500000000-0001', '宜宾市民中心', '国网（叙州区供电）', '', '', '', 1, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 115, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 54, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 39, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2196, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 10, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2197, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 10, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2198, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 31, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2199, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2200, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 6, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2201, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2202, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 4, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2203, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 3, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2204, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2205, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 32, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2206, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 30, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2207, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 22, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2208, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 7, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2209, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 13, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2210, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 3, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2211, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 12, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2212, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 7, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2213, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 14, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2214, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 2, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2215, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2216, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 356, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2217, 1, '511500000000-0001', '宜宾市民中心', '国网（叙州区供电）', '非常满意', '', '', 1, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2218, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A01', '', 1, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2219, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 13, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2220, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 30, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2221, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 1, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2222, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 10, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2223, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 31, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2224, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 6, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2225, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 3, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2226, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2227, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2228, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 31, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2229, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 7, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2230, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 3, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2231, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 4, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2232, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 1, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2233, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 6, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2234, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 3, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2235, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 13, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2236, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 12, 2023, 4, 13, '2024-08-05 14:37:02', NULL, NULL), (2237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 112, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 42, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 4, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2244, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 7, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2245, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 5, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2246, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2247, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2248, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2249, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2250, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 20, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2251, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2252, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 23, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2253, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2254, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 2, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2255, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2256, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 16, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2257, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2258, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D15', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2259, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 7, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2260, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2261, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 4, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2262, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 10, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2263, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2264, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 18, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2265, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2266, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 29, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2267, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2268, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 9, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2269, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2270, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 270, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2271, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2272, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 14, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2273, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2274, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 20, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2275, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2276, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E23', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2277, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2278, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 2, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2279, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 5, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2280, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 6, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2281, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2282, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 3, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2283, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2284, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2285, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 9, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2286, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 17, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2287, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2288, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 10, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2289, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 4, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2290, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 5, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2291, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2292, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 29, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2293, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 4, 14, '2024-08-05 14:37:02', NULL, NULL), (2294, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 6, 2023, 4, 15, '2024-08-05 14:37:02', NULL, NULL), (2295, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 4, 15, '2024-08-05 14:37:02', NULL, NULL), (2296, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2023, 4, 15, '2024-08-05 14:37:02', NULL, NULL), (2297, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 4, 15, '2024-08-05 14:37:02', NULL, NULL), (2298, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 2, 2023, 4, 15, '2024-08-05 14:37:02', NULL, NULL), (2299, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 3, 2023, 4, 15, '2024-08-05 14:37:02', NULL, NULL), (2300, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 4, 15, '2024-08-05 14:37:02', NULL, NULL), (2301, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 23, 2023, 4, 15, '2024-08-05 14:37:02', NULL, NULL), (2302, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 4, 15, '2024-08-05 14:37:02', NULL, NULL), (2303, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2023, 4, 15, '2024-08-05 14:37:02', NULL, NULL), (2304, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 2, 2023, 4, 15, '2024-08-05 14:37:02', NULL, NULL), (2305, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 3, 2023, 4, 15, '2024-08-05 14:37:02', NULL, NULL), (2306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 147, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 64, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 28, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2312, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2313, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 16, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2314, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 22, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2315, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 13, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2316, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2317, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 3, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2318, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2319, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D12', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2320, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2321, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 3, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2322, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2323, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2324, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 20, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2325, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2326, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 10, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2327, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2328, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2329, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 13, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2330, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 16, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2331, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2332, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 3, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2333, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2334, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2335, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 10, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2336, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 10, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2337, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 36, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2338, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2339, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 8, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2340, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 21, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2341, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 24, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2342, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2343, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2344, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 346, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2345, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 15, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2346, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 20, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2347, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2348, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2349, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E23', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2350, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 3, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2351, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2352, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D17', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2353, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 21, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2354, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 13, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2355, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2356, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 12, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2357, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 15, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2358, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2359, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2360, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2361, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2362, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 34, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2363, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 2, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2364, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 10, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2365, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 10, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2366, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 3, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2367, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2368, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2369, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 8, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2370, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 21, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2371, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 24, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2372, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 4, 17, '2024-08-05 14:37:02', NULL, NULL), (2373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 159, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 39, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2376, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2377, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 25, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2378, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2379, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2380, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 5, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2381, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 24, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2382, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2383, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2384, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 5, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2385, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2386, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 16, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2387, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2388, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 5, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2389, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 15, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2390, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 17, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2391, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 25, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2392, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 18, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2393, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 3, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2394, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 1, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2395, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 4, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2396, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 24, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2397, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 39, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2398, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 17, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2399, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2400, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2401, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 341, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2402, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 17, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2403, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 24, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2404, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 1, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2405, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2406, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2407, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 1, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2408, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 5, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2409, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 24, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2410, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2411, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2412, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2413, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2414, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 16, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2415, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 16, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2416, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 14, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2417, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 5, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2418, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 4, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2419, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 4, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2420, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 24, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2421, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 35, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2422, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 3, 2023, 4, 18, '2024-08-05 14:37:02', NULL, NULL), (2423, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 112, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2424, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 42, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 29, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2429, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 6, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2430, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2431, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 21, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2432, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2433, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2434, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 7, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2435, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D12', '', 2, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2436, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 11, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2437, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2438, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 10, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2439, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2440, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 3, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2441, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 13, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2442, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 3, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2443, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 10, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2444, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2445, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2446, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 12, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2447, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 2, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2448, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2449, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 15, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2450, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 14, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2451, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 3, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2452, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2453, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 16, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2454, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 24, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2455, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 6, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2456, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 5, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2457, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2458, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 333, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2459, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2460, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2461, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 10, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2462, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 11, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2463, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 7, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2464, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2465, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D12', '', 2, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2466, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 13, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2467, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2468, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 21, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2469, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 3, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2470, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 6, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2471, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2472, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 3, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2473, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2474, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2475, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 6, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2476, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 13, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2477, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 12, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2478, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 15, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2479, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 2, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2480, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2481, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2482, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2483, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2484, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 16, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2485, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 24, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2486, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 3, 2023, 4, 19, '2024-08-05 14:37:02', NULL, NULL), (2487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 127, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 73, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 29, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2493, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2494, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 1, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2495, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 19, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2496, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 8, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2497, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 8, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2498, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2499, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 1, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2500, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 18, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2501, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 24, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2502, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2503, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 5, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2504, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2505, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 20, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2506, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 15, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2507, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 13, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2508, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2509, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2510, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2511, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 3, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2512, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2513, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 5, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2514, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2515, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 9, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2516, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 15, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2517, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2518, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 5, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2519, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 28, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2520, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 21, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2521, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2522, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 372, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (2523, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 13, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2524, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 18, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2525, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 8, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2526, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2527, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 20, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2528, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 19, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2529, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 8, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2530, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 1, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2531, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 13, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2532, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 3, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2533, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2534, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 5, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2535, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2536, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 15, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2537, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 2, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2538, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 9, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2539, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 5, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2540, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2541, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2542, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2543, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 3, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2544, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2545, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 5, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2546, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 28, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2547, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 19, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2548, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 4, 20, '2024-08-05 14:37:03', NULL, NULL), (2549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 102, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 68, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 15, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2556, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2557, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2558, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 11, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2559, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2560, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 2, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2561, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 2, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2562, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2563, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2564, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 9, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2565, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2566, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 15, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2567, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 16, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2568, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 21, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2569, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2570, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2571, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 6, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2572, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2573, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2574, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2575, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 3, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2576, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 7, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2577, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 16, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2578, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2579, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2580, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 37, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2581, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 25, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2582, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2583, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 244, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2584, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 5, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2585, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 9, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2586, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2587, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E23', '', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2588, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 2, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2589, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2590, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2591, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 21, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2592, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 11, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2593, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2594, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2595, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2596, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 16, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2597, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 13, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2598, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 7, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2599, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2600, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 3, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2601, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2602, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 37, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2603, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 25, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2604, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 4, 21, '2024-08-05 14:37:03', NULL, NULL), (2605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 10, 2023, 4, 22, '2024-08-05 14:37:03', NULL, NULL), (2606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 4, 22, '2024-08-05 14:37:03', NULL, NULL), (2607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2023, 4, 22, '2024-08-05 14:37:03', NULL, NULL), (2608, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2023, 4, 22, '2024-08-05 14:37:03', NULL, NULL), (2609, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 4, 22, '2024-08-05 14:37:03', NULL, NULL), (2610, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 10, 2023, 4, 22, '2024-08-05 14:37:03', NULL, NULL), (2611, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 4, 22, '2024-08-05 14:37:03', NULL, NULL), (2612, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 4, 22, '2024-08-05 14:37:03', NULL, NULL), (2613, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 39, 2023, 4, 22, '2024-08-05 14:37:03', NULL, NULL), (2614, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 4, 22, '2024-08-05 14:37:03', NULL, NULL), (2615, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 10, 2023, 4, 22, '2024-08-05 14:37:03', NULL, NULL), (2616, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 4, 22, '2024-08-05 14:37:03', NULL, NULL), (2617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 40, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 43, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 3, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2622, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D38', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2623, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2624, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2625, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2626, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2627, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2628, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2629, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2630, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2631, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 5, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2632, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 7, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2633, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 9, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2634, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 5, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2635, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 7, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2636, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 6, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2637, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 14, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2638, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2639, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 7, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2640, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 5, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2641, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 4, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2642, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2643, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 7, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2644, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2645, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2646, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 145, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2647, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 6, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2648, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 5, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2649, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2650, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 7, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2651, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2652, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2653, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2654, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 14, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2655, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2656, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2657, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 7, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2658, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2659, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2660, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 5, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2661, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D38', '', 1, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2662, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 4, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2663, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 6, 2023, 4, 23, '2024-08-05 14:37:03', NULL, NULL), (2664, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 114, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 86, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 5, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2669, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2670, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2671, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 8, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2672, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2673, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2674, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2675, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 15, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2676, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 24, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2677, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 4, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2678, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 4, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2679, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2680, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 16, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2681, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 14, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2682, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 16, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2683, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2684, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 17, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2685, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 19, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2686, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2687, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 16, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2688, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 29, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2689, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 11, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2690, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 4, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2691, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2692, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 314, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2693, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常不满意', '', '', 1, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2694, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A06', '', 1, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2695, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 8, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2696, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 4, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2697, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 14, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2698, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 1, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2699, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 16, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2700, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 7, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2701, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2702, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 17, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2703, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2E20', '', 1, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2704, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 4, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2705, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 12, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2706, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 21, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2707, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 14, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2708, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2709, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2710, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2711, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 19, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2712, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 29, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2713, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 4, 24, '2024-08-05 14:37:03', NULL, NULL), (2714, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '', '', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 103, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 81, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 6, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2723, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2724, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 5, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2725, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 3, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2726, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2727, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2728, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 3, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2729, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 17, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2730, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2731, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 12, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2732, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 23, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2733, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 17, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2734, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2735, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2736, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2737, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 8, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2738, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2739, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 2, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2740, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2741, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 3, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2742, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 4, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2743, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 7, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2744, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 6, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2745, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2746, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2747, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 24, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2748, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2749, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D06', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2750, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 8, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2751, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 25, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2752, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 17, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2753, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2754, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 4, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2755, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 332, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2756, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '非常满意', '', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2757, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 8, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2758, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2759, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 3, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2760, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 17, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2761, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2762, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2763, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 17, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2764, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 5, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2765, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 3, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2766, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2767, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2768, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 23, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2769, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2770, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2771, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 23, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2772, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 7, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2773, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 4, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2774, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 6, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2775, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 2, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2776, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 3, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2777, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2778, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2779, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 8, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2780, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 25, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2781, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 17, 2023, 4, 25, '2024-08-05 14:37:03', NULL, NULL), (2782, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 97, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 71, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 5, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2789, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2790, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2791, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2792, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2793, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2794, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2795, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2796, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 11, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2797, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2798, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 18, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2799, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 2, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2800, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 16, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2801, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 2, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2802, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 12, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2803, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 4, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2804, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2805, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2806, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 7, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2807, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 11, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2808, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 8, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2809, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 24, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2810, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 4, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2811, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 20, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2812, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 18, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2813, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 5, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2814, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2815, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 242, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2816, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2817, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2818, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 12, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2819, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2820, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2821, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2822, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 2, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2823, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 16, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2824, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2825, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2826, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2827, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2828, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 18, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2829, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2830, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A01', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2831, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 5, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2832, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 22, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2833, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2834, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 11, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2835, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 7, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2836, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 7, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2837, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2838, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 4, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2839, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 20, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2840, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 18, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2841, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 4, 2023, 4, 26, '2024-08-05 14:37:03', NULL, NULL), (2842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 77, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 6, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 64, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 4, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2847, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2848, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2849, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2850, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2851, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 3, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2852, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 3, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2853, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 5, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2854, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 6, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2855, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 3, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2856, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2857, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 12, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2858, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 18, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2859, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2860, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 12, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2861, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2862, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2863, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 14, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2864, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 6, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2865, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 19, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2866, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 7, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2867, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 23, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2868, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 10, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2869, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2870, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 252, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2871, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 8, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2872, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 17, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2873, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 3, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2874, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2875, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 6, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2876, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 19, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2877, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2878, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 2, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2879, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2880, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2881, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2882, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 14, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2883, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 11, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2884, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 3, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2885, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2886, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 2, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2887, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 5, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2888, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2889, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 6, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2890, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 23, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2891, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 4, 27, '2024-08-05 14:37:03', NULL, NULL), (2892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 82, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 46, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 5, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2897, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2898, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2899, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 3, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2900, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2901, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 2, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2902, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 10, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2903, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 7, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2904, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2905, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 3, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2906, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2907, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2908, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 2, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2909, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 12, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2910, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2911, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 11, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2912, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2913, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2914, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2915, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 5, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2916, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 2, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2917, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2918, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 22, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2919, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2920, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 5, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2921, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 35, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2922, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 257, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2923, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 10, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2924, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 2, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2925, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 8, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2926, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 3, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2927, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2928, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 2, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2929, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 11, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2930, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2931, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2932, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2933, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 3, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2934, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 1, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2935, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2936, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 22, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2937, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 2, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2938, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2939, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 5, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2940, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2941, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2942, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 4, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2943, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 32, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2944, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 4, 28, '2024-08-05 14:37:04', NULL, NULL), (2945, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 4, 29, '2024-08-05 14:37:04', NULL, NULL), (2946, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 4, 29, '2024-08-05 14:37:04', NULL, NULL), (2947, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 4, 29, '2024-08-05 14:37:04', NULL, NULL), (2948, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 4, 29, '2024-08-05 14:37:04', NULL, NULL), (2949, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 10, 2023, 4, 29, '2024-08-05 14:37:04', NULL, NULL), (2950, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2023, 4, 29, '2024-08-05 14:37:04', NULL, NULL), (2951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 4, 30, '2024-08-05 14:37:04', NULL, NULL), (2952, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 4, 30, '2024-08-05 14:37:04', NULL, NULL), (2953, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 1, 2023, 4, 30, '2024-08-05 14:37:04', NULL, NULL), (2954, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 4, 30, '2024-08-05 14:37:04', NULL, NULL), (2955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 5, 1, '2024-08-05 14:37:04', NULL, NULL), (2956, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 5, 1, '2024-08-05 14:37:04', NULL, NULL), (2957, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 7, 2023, 5, 1, '2024-08-05 14:37:04', NULL, NULL), (2958, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2023, 5, 1, '2024-08-05 14:37:04', NULL, NULL), (2959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 5, 2023, 5, 2, '2024-08-05 14:37:04', NULL, NULL), (2960, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 4, 2023, 5, 2, '2024-08-05 14:37:04', NULL, NULL), (2961, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 5, 2, '2024-08-05 14:37:04', NULL, NULL), (2962, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 5, 2023, 5, 2, '2024-08-05 14:37:04', NULL, NULL), (2963, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 28, 2023, 5, 2, '2024-08-05 14:37:04', NULL, NULL), (2964, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 5, 2, '2024-08-05 14:37:04', NULL, NULL), (2965, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2023, 5, 2, '2024-08-05 14:37:04', NULL, NULL), (2966, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 4, 2023, 5, 2, '2024-08-05 14:37:04', NULL, NULL), (2967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 7, 2023, 5, 3, '2024-08-05 14:37:04', NULL, NULL), (2968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2023, 5, 3, '2024-08-05 14:37:04', NULL, NULL), (2969, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 5, 3, '2024-08-05 14:37:04', NULL, NULL), (2970, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 3, 2023, 5, 3, '2024-08-05 14:37:04', NULL, NULL), (2971, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 5, 3, '2024-08-05 14:37:04', NULL, NULL), (2972, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 5, 3, '2024-08-05 14:37:04', NULL, NULL), (2973, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 5, 3, '2024-08-05 14:37:04', NULL, NULL), (2974, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 19, 2023, 5, 3, '2024-08-05 14:37:04', NULL, NULL), (2975, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 5, 3, '2024-08-05 14:37:04', NULL, NULL), (2976, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2023, 5, 3, '2024-08-05 14:37:04', NULL, NULL), (2977, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 2, 2023, 5, 3, '2024-08-05 14:37:04', NULL, NULL), (2978, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 3, 2023, 5, 3, '2024-08-05 14:37:04', NULL, NULL), (2979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 67, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 6, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 76, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2986, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2987, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 6, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2988, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 5, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2989, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2990, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2991, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 11, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2992, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2993, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2994, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2995, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 6, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2996, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 2, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2997, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 26, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2998, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 13, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (2999, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3000, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 16, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3001, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3002, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3003, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 12, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3004, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 3, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3005, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 11, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3006, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 7, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3007, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3008, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 24, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3009, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3010, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3011, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 212, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3012, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3013, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 13, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3014, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E23', '', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3015, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 3, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3016, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 11, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3017, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 5, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (3018, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 5, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3019, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3020, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3021, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3022, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 12, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3023, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3024, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 2, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3025, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 24, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3026, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3027, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3028, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 6, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3029, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 11, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3030, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 7, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3031, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 24, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3032, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 5, 4, '2024-08-05 14:37:04', NULL, NULL), (3033, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 48, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 8, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 129, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 6, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3041, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 10, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3042, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 7, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3043, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 3, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3044, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3045, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3046, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3047, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 4, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3048, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 29, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3049, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 10, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3050, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 3, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3051, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3052, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 29, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3053, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 5, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3054, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3055, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3056, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 14, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3057, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 5, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3058, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 2, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3059, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 13, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3060, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3061, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 2, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3062, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 20, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3063, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 4, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3064, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 12, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3065, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 16, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3066, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3067, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 264, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3068, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3069, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3070, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 4, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3071, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3072, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 4, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3073, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 2, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3074, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3075, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 3, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3076, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 28, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3077, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 10, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3078, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 7, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3079, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 10, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3081, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3082, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 2, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3084, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 17, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3085, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3086, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 5, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3087, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 13, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3088, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3089, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 13, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3090, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3091, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 11, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3092, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 15, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3093, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 4, 2023, 5, 5, '2024-08-05 14:37:04', NULL, NULL), (3094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 48, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 91, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 6, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3100, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3101, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 9, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3102, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 6, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3103, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 3, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3104, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3105, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 12, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3106, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 19, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3107, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 8, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3108, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 23, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3109, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3110, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3111, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3112, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3113, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 11, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3114, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3115, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 7, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3116, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 14, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3117, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 3, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3118, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 9, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3119, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 1, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3120, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3121, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 3, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3122, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 4, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3123, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 9, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3124, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3125, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3126, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 251, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3127, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3128, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 1, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3129, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 12, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3130, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 6, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3131, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 3, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3132, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 23, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3133, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 9, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3134, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3135, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 8, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3136, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3137, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 3, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3138, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3139, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 14, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3140, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3141, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 7, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3142, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3143, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 11, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3144, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3145, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 4, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3146, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 9, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3147, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 3, 2023, 5, 6, '2024-08-05 14:37:04', NULL, NULL), (3148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 5, 2023, 5, 7, '2024-08-05 14:37:05', NULL, NULL), (3149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 5, 7, '2024-08-05 14:37:05', NULL, NULL), (3150, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2023, 5, 7, '2024-08-05 14:37:05', NULL, NULL), (3151, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2023, 5, 7, '2024-08-05 14:37:05', NULL, NULL), (3152, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 5, 2023, 5, 7, '2024-08-05 14:37:05', NULL, NULL), (3153, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 8, 2023, 5, 7, '2024-08-05 14:37:05', NULL, NULL), (3154, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 27, 2023, 5, 7, '2024-08-05 14:37:05', NULL, NULL), (3155, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 5, 7, '2024-08-05 14:37:05', NULL, NULL), (3156, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2023, 5, 7, '2024-08-05 14:37:05', NULL, NULL), (3157, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C13', '', 1, 2023, 5, 7, '2024-08-05 14:37:05', NULL, NULL), (3158, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C05', '', 1, 2023, 5, 7, '2024-08-05 14:37:05', NULL, NULL), (3159, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 5, 2023, 5, 7, '2024-08-05 14:37:05', NULL, NULL), (3160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 73, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 83, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 6, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3164, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3165, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 12, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3166, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 2, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3167, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3168, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 7, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3169, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 3, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3170, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3171, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 8, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3172, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3173, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3174, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 18, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3175, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 15, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3176, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 12, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3177, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3178, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 14, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3179, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 5, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3180, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 7, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3181, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 21, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3182, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 20, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3183, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3184, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 6, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3185, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 3, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3186, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 324, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3187, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 5, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3188, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 15, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3189, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3190, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 5, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3191, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 21, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3192, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 9, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3193, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3194, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3195, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 14, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3196, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3197, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 2, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3198, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 18, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3199, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 1, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3200, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 8, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3201, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 3, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3202, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3203, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 2, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3204, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 7, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3205, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 19, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3206, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 5, 8, '2024-08-05 14:37:05', NULL, NULL), (3207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 53, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 52, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3213, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3214, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 7, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3215, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3216, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 2, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3217, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3218, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3219, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 4, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3220, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3221, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 28, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3222, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3223, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 2, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3224, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 21, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3225, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3226, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 14, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3227, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 1, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3228, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 18, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3229, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3230, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3231, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 161, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3232, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3233, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 2, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3234, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 27, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3235, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 2, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3236, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 1, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3237, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3238, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 2, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3239, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3240, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 4, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3241, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3242, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3243, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 14, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3244, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3245, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 7, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3246, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 18, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3247, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 5, 9, '2024-08-05 14:37:05', NULL, NULL), (3248, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3249, 1, '511500000000-0001', '宜宾市民中心', '市公用事业服务集团有限公司', '', '', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 49, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3251, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 71, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 7, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3256, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3257, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3258, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3259, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3260, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 3, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3261, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3262, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 13, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3263, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3264, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 12, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3265, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 5, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3266, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 14, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3267, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 9, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3268, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 4, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3269, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3270, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3271, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 4, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3272, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 3, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3273, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C12', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3274, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3275, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 15, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3276, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 2, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3277, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 13, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3278, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 5, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3279, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 17, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3280, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3281, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3282, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 235, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3283, 1, '511500000000-0001', '宜宾市民中心', '市公用事业服务集团有限公司', '满意', '', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3284, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3285, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 3, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3286, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 3, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3287, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3288, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 5, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3289, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 14, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3290, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3291, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3292, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 6, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3293, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3294, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3295, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 12, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3296, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 2, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3297, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 13, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3298, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3299, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 2, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3300, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C12', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3301, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 15, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3302, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3303, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 4, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3304, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3305, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 17, 2023, 5, 10, '2024-08-05 14:37:05', NULL, NULL), (3306, 1, '511500000000-0001', '宜宾市民中心', '市商务局', '', '', '', 1, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3307, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3308, 1, '511500000000-0001', '宜宾市民中心', '市民政局', '', '', '', 2, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 57, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 44, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 4, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3313, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3314, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3315, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3316, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D14', '', 1, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3317, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E01', '', 1, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3318, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3319, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3320, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 7, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3321, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3322, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 5, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3323, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 17, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3324, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 14, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3325, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3326, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 3, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3327, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 3, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3328, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 10, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3329, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 2, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3330, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 1, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3331, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 15, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3332, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3333, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 5, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3334, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 9, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3335, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3336, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 257, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3337, 1, '511500000000-0001', '宜宾市民中心', '市商务局', '非常满意', '', '', 1, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3338, 1, '511500000000-0001', '宜宾市民中心', '市民政局', '非常满意', '', '', 2, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3339, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3340, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 4, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3341, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 17, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3342, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E01', '', 1, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3343, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 3, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3344, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 10, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3345, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3346, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 2, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3347, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3348, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3349, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 3, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3350, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 9, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3351, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 4, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3352, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 1, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3353, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 7, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3354, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3355, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3356, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 15, 2023, 5, 11, '2024-08-05 14:37:05', NULL, NULL), (3357, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 34, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 52, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 4, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3362, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 3, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3363, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 5, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3364, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3365, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3366, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 3, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3367, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 6, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3368, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 3, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3369, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3370, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 9, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3371, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 2, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3372, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 24, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3373, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3374, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 1, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3375, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 8, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3376, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 4, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3377, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3378, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3379, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 10, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3380, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 5, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3381, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3382, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 191, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3383, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3384, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 4, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3385, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3386, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 9, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3387, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 2, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3388, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 6, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3389, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3390, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 3, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3391, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 3, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3392, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 4, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3393, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3394, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 5, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3395, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3396, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 10, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3397, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3398, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 8, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3399, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 5, 12, '2024-08-05 14:37:05', NULL, NULL), (3400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 5, 13, '2024-08-05 14:37:05', NULL, NULL), (3401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 5, 13, '2024-08-05 14:37:05', NULL, NULL), (3402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2023, 5, 13, '2024-08-05 14:37:05', NULL, NULL), (3403, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 5, 13, '2024-08-05 14:37:05', NULL, NULL), (3404, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 5, 13, '2024-08-05 14:37:05', NULL, NULL), (3405, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 5, 13, '2024-08-05 14:37:05', NULL, NULL), (3406, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 5, 13, '2024-08-05 14:37:05', NULL, NULL), (3407, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 12, 2023, 5, 13, '2024-08-05 14:37:05', NULL, NULL), (3408, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 5, 13, '2024-08-05 14:37:05', NULL, NULL), (3409, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 5, 13, '2024-08-05 14:37:05', NULL, NULL), (3410, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '', '', '', 1, 2023, 5, 14, '2024-08-05 14:37:05', NULL, NULL), (3411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 5, 14, '2024-08-05 14:37:05', NULL, NULL), (3412, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2023, 5, 14, '2024-08-05 14:37:05', NULL, NULL), (3413, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 3, 2023, 5, 14, '2024-08-05 14:37:05', NULL, NULL), (3414, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '非常满意', '', '', 1, 2023, 5, 14, '2024-08-05 14:37:05', NULL, NULL), (3415, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 1, 2023, 5, 14, '2024-08-05 14:37:05', NULL, NULL), (3416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 73, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 4, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 68, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3423, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 10, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3424, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3425, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 4, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3426, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 8, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3427, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3428, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3429, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 14, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3430, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3431, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3432, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 6, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3433, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3434, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3435, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 24, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3436, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 17, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3437, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 17, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3438, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 9, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3439, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 3, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3440, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3441, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 1, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3442, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 22, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3443, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 5, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3444, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3445, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 198, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3446, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 2, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3447, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 16, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3448, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3449, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 2, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3450, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D17', '', 1, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3451, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 4, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3452, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 6, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3453, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 9, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3454, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 4, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3455, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3456, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 9, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3457, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 23, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3458, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3459, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3460, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3461, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 6, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3462, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 14, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3463, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3464, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3465, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 22, 2023, 5, 15, '2024-08-05 14:37:06', NULL, NULL), (3466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 49, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 6, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 59, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 4, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3472, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3473, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3474, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 6, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3475, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 7, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3476, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 2, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3477, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3478, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 11, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3479, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3480, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 18, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3481, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3482, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 5, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3483, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3484, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3485, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 26, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3486, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 2, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3487, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 11, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3488, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3489, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 13, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3490, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 9, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3491, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3492, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 383, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3493, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3494, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 8, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3495, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 4, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3496, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A10', '', 1, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3497, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 2, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3498, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3499, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 2, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3500, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 4, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3501, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 7, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3502, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3503, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3504, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 26, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3505, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3506, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3507, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 18, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3508, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 10, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3509, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3510, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 11, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3511, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 13, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL), (3512, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 5, 16, '2024-08-05 14:37:06', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (3513, 1, '511500000000-0001', '宜宾市民中心', '应急、消防', '', '', '', 1, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 45, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3516, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 4, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3517, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 58, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3519, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3520, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 4, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3521, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 5, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3522, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3523, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 15, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3524, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3525, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3526, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 17, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3527, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 3, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3528, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 3, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3529, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 13, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3530, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 13, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3531, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 13, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3532, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 4, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3533, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3534, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 11, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3535, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 4, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3536, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 169, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3537, 1, '511500000000-0001', '宜宾市民中心', '应急、消防', '非常满意', '', '', 1, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3538, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 4, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3539, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 13, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3540, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 13, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3541, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3542, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3543, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 17, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3544, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 3, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3545, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 15, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3546, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 3, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3547, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3548, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3549, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 11, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3550, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3551, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 2, 2023, 5, 17, '2024-08-05 14:37:06', NULL, NULL), (3552, 1, '511500000000-0001', '宜宾市民中心', '中国银行', '', '', '', 1, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 18, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3555, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 23, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 6, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3557, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3558, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3559, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 3, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3560, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 6, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3561, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3562, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3563, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 5, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3564, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 4, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3565, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3566, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 5, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3567, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3568, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3569, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3570, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 3, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3571, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3572, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 2, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3573, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 3, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3574, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 3, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3575, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3576, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 108, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3577, 1, '511500000000-0001', '宜宾市民中心', '中国银行', '非常不满意', '', '', 1, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3578, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3579, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 5, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3580, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 2, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3581, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3582, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 2, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3583, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3584, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3585, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3586, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3587, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3588, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 4, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3589, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3590, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 5, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3591, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 6, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3592, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3593, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 3, 2023, 5, 18, '2024-08-05 14:37:06', NULL, NULL), (3594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 39, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 5, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 40, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3599, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 5, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3600, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3601, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3602, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 10, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3603, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 2, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3604, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3605, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 16, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3606, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 7, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3607, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3608, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3609, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3610, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3611, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 4, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3612, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 15, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3613, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 9, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3614, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 5, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3615, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 2, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3616, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 216, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3617, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 5, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3618, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 2, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3619, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 15, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3620, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 7, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3621, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 2, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3622, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3623, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3624, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 10, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3625, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 4, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3626, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 15, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3627, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 5, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3628, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 9, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3629, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3630, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3631, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3632, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 5, 19, '2024-08-05 14:37:06', NULL, NULL), (3633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 5, 20, '2024-08-05 14:37:06', NULL, NULL), (3634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 5, 2023, 5, 20, '2024-08-05 14:37:06', NULL, NULL), (3635, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 5, 20, '2024-08-05 14:37:06', NULL, NULL), (3636, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 5, 2023, 5, 20, '2024-08-05 14:37:06', NULL, NULL), (3637, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 5, 20, '2024-08-05 14:37:06', NULL, NULL), (3638, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 39, 2023, 5, 20, '2024-08-05 14:37:06', NULL, NULL), (3639, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 5, 2023, 5, 20, '2024-08-05 14:37:06', NULL, NULL), (3640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 5, 21, '2024-08-05 14:37:06', NULL, NULL), (3641, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 5, 21, '2024-08-05 14:37:06', NULL, NULL), (3642, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 5, 21, '2024-08-05 14:37:06', NULL, NULL), (3643, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 5, 21, '2024-08-05 14:37:06', NULL, NULL), (3644, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 7, 2023, 5, 21, '2024-08-05 14:37:06', NULL, NULL), (3645, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2023, 5, 21, '2024-08-05 14:37:06', NULL, NULL), (3646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 40, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 46, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 3, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3652, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3653, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3654, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3655, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 2, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3656, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 7, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3657, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3658, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3659, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 3, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3660, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 1, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3661, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3662, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 11, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3663, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 3, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3664, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 2, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3665, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3666, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3667, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 11, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3668, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3669, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 4, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3670, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 3, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3671, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3672, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 21, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3673, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3674, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 3, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3675, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 9, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3676, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3677, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 152, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3678, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 3, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3679, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 2, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3680, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 10, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3681, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3682, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 3, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3683, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3684, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 21, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3685, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 3, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3686, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 10, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3687, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3688, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 3, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3689, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 9, 2023, 5, 22, '2024-08-05 14:37:06', NULL, NULL), (3690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 36, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 66, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 8, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3696, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3697, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D14', '', 1, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3698, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3699, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 1, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3700, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 4, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3701, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3702, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 22, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3703, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 3, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3704, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 2, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3705, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 5, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3706, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 2, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3707, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 29, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3708, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 3, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3709, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3710, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3711, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3712, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 6, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3713, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 4, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3714, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 4, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3715, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 18, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3716, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 2, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3717, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3718, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 219, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3719, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 2, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3720, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 29, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3721, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 3, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3722, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 4, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3723, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 22, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3724, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 3, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3725, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3726, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 4, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3727, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 18, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3728, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 2, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3729, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 6, 2023, 5, 23, '2024-08-05 14:37:06', NULL, NULL), (3730, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 44, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3731, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3732, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 51, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3733, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3734, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 3, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3735, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 12, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3736, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3737, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3738, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3739, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 10, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3740, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3741, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 20, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3742, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3743, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 3, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3744, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 4, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3745, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 29, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3746, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 3, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3747, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3748, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 7, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3749, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3750, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 2, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3751, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 3, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3752, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 14, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3753, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3754, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E16', '', 1, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3755, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 4, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3756, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 3, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3757, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3758, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 279, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3759, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 3, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3760, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1E16', '', 1, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3761, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 29, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3762, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 3, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3763, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 6, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3764, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 4, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3765, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3766, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 3, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3767, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 20, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3768, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E16', '', 1, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3769, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 2, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3770, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 3, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3771, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 14, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3772, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 4, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3773, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3774, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 7, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3775, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 5, 24, '2024-08-05 14:37:07', NULL, NULL), (3776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 45, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 69, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 12, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3782, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3783, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3784, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3785, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3786, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3787, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3788, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3789, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3790, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D11', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3791, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 8, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3792, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 6, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3793, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3794, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 2, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3795, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 14, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3796, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 10, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3797, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 13, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3798, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 6, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3799, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3800, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3801, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 18, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3802, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 3, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3803, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3804, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 29, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3805, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 5, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3806, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3807, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 3, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3808, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 352, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3809, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A01', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3810, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 6, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3811, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 8, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3812, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 9, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3813, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 13, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3814, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3815, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3816, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3817, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3818, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3819, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3820, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 2, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3821, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 14, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3822, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3823, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 28, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3824, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 2, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3825, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3826, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 17, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3827, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3828, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 5, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3829, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2023, 5, 25, '2024-08-05 14:37:07', NULL, NULL), (3830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 35, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3832, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3833, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 68, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3835, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D14', '', 1, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3836, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3837, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3838, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 13, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3839, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3840, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 2, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3841, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 3, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3842, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3843, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 23, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3844, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 9, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3845, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3846, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3847, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 4, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3848, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 7, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3849, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 1, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3850, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 7, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3851, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 25, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3852, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3853, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3854, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 296, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3855, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 2, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3856, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1D18', '', 1, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3857, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 22, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3858, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 9, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3859, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3860, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3861, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3862, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 2, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3863, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 13, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3864, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D14', '', 1, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3865, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 1, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3866, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 7, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3867, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 25, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3868, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3869, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 3, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3870, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 7, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3871, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 5, 26, '2024-08-05 14:37:07', NULL, NULL), (3872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2023, 5, 27, '2024-08-05 14:37:07', NULL, NULL), (3873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2023, 5, 27, '2024-08-05 14:37:07', NULL, NULL), (3874, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 1, 2023, 5, 27, '2024-08-05 14:37:07', NULL, NULL), (3875, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 5, 27, '2024-08-05 14:37:07', NULL, NULL), (3876, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2023, 5, 27, '2024-08-05 14:37:07', NULL, NULL), (3877, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 5, 27, '2024-08-05 14:37:07', NULL, NULL), (3878, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 3, 2023, 5, 27, '2024-08-05 14:37:07', NULL, NULL), (3879, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 5, 27, '2024-08-05 14:37:07', NULL, NULL), (3880, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 16, 2023, 5, 27, '2024-08-05 14:37:07', NULL, NULL), (3881, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 2, 2023, 5, 27, '2024-08-05 14:37:07', NULL, NULL), (3882, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 5, 27, '2024-08-05 14:37:07', NULL, NULL), (3883, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 5, 27, '2024-08-05 14:37:07', NULL, NULL), (3884, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2023, 5, 27, '2024-08-05 14:37:07', NULL, NULL), (3885, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 1, 2023, 5, 27, '2024-08-05 14:37:07', NULL, NULL), (3886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 4, 2023, 5, 28, '2024-08-05 14:37:07', NULL, NULL), (3887, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 4, 2023, 5, 28, '2024-08-05 14:37:07', NULL, NULL), (3888, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 58, 2023, 5, 28, '2024-08-05 14:37:07', NULL, NULL), (3889, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 4, 2023, 5, 28, '2024-08-05 14:37:07', NULL, NULL), (3890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 78, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 55, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 26, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 10, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3897, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3898, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 3, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3899, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 7, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3900, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3901, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3902, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D22', '', 4, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3903, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 8, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3904, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3905, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 7, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3906, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 2, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3907, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 5, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3908, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3909, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 4, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3910, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 2, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3911, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3912, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 16, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3913, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 4, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3914, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 2, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3915, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3916, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3917, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 13, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3918, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 12, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3919, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 2, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3920, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3921, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 7, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3922, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 4, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3923, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 5, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3924, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 29, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3925, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 3, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3926, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E16', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3927, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 2, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3928, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 28, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3929, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3930, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 275, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3931, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3932, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 4, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3933, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 8, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3934, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3935, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D22', '', 4, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3936, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 2, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3937, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 16, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3938, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 3, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3939, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 7, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3940, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3941, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 5, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3942, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3943, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 3, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3944, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 2, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3945, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3946, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2D11', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3947, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 28, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3948, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 5, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3949, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1D18', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3950, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 27, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3951, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 2, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3952, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3953, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 6, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3954, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 11, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3955, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3956, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 4, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3957, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D34', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3958, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3959, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 13, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3960, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E16', '', 1, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3961, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 3, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3962, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 2, 2023, 5, 29, '2024-08-05 14:37:07', NULL, NULL), (3963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 132, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 6, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 79, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 21, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 11, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3969, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3970, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3971, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3972, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 8, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3973, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3974, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3975, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 3, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3976, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 3, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3977, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 4, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3978, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3979, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 34, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3980, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3981, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 3, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3982, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 2, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3983, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3984, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3985, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 6, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3986, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 6, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3987, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 12, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3988, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 51, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3989, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D16', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3990, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 16, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3991, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3992, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C12', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3993, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 10, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3994, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 8, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3995, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 15, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3996, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 31, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3997, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C10', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3998, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (3999, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 8, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4000, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 8, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4001, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4002, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4003, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 245, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4004, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 50, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4005, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 34, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4006, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4007, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E23', '', 3, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4008, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 3, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4009, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 4, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (4010, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E24', '', 8, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4011, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4012, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4013, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D29', '', 6, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4014, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 6, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4015, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 11, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4016, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E25', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4017, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4018, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4019, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4020, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 2, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4021, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4022, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4023, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 3, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4024, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4025, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C10', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4026, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 30, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4027, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 8, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4028, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4029, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C12', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4030, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 10, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4031, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 15, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4032, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 16, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4033, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 7, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4034, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D16', '', 1, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4035, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 8, 2023, 5, 30, '2024-08-05 14:37:07', NULL, NULL), (4036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 128, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 6, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 41, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 21, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 5, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4043, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E14', '', 3, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4044, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4045, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4046, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4047, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4048, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 2, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4049, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 6, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4050, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4051, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4052, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 7, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4053, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 5, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4054, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4055, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4056, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 14, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4057, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4058, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 22, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4059, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 27, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4060, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 24, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4061, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 10, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4062, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 2, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4063, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 10, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4064, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 4, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4065, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 41, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4066, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D07', '', 1, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4067, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4068, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E16', '', 1, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4069, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 8, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4070, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 3, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4071, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 203, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4072, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 6, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4073, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 2, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4074, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4075, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4076, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E14', '', 3, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4077, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4078, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 14, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4079, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4081, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 22, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4082, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4084, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 5, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4085, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4086, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 7, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4087, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 4, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4088, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 39, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4089, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 3, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4090, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 27, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4091, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 10, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4092, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 2, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4093, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 10, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4094, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 24, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4095, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E16', '', 1, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4096, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4097, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 8, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4098, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D07', '', 1, 2023, 5, 31, '2024-08-05 14:37:07', NULL, NULL), (4099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 94, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 50, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 24, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 7, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4106, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4107, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4108, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4109, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 5, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4110, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4111, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4112, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4113, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4114, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 2, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4115, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4116, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 3, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4117, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 12, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4118, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B08', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4119, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 12, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4120, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 27, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4121, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4122, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B14', '', 3, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4123, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 16, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4124, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4125, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 3, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4126, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4127, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 17, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4128, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 9, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4129, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 30, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4130, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 4, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4131, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4132, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 5, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4133, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 2, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4134, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 16, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4135, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 176, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4136, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 12, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4137, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4138, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 5, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4139, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4140, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B08', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4141, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 3, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4142, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 12, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4143, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4144, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4145, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4146, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4147, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 2, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4148, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 4, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4149, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 16, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4150, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 29, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4151, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 2, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4152, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C14', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4153, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4154, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 9, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4155, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 3, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4156, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4157, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 17, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4158, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 27, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4159, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B14', '', 3, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4160, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 16, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4161, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 5, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4162, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 6, 1, '2024-08-05 14:37:08', NULL, NULL), (4163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 136, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 5, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 13, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 149, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 59, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 4, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4169, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 13, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4170, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4171, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4172, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 2, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4173, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4174, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4175, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 2, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4176, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 4, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4177, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4178, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 14, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4179, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 2, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4180, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4181, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 20, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4182, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4183, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4184, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4185, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4186, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 17, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4187, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 56, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4188, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 4, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4189, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 26, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4190, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 4, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4191, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 2, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4192, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 80, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4193, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 14, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4194, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 30, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4195, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 2, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4196, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 39, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4197, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 4, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4198, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4199, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 6, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4200, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 6, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4201, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4202, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4203, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 361, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4204, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2D01', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4205, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 56, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4206, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 20, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4207, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4208, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 2, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4209, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 4, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4210, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4211, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 13, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4212, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4213, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4214, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 17, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4215, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 2, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4216, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E25', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4217, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4218, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 13, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4219, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4220, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4221, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4222, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4223, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4224, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 4, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4225, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4226, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 2, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4227, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 38, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4228, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 14, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4229, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 4, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4230, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 2, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4231, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 80, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4232, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 30, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4233, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D34', '', 4, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4234, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 26, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4235, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 6, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4236, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 6, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4237, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 6, 2, '2024-08-05 14:37:08', NULL, NULL), (4238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 13, 2023, 6, 3, '2024-08-05 14:37:08', NULL, NULL), (4239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 11, 2023, 6, 3, '2024-08-05 14:37:08', NULL, NULL), (4240, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2023, 6, 3, '2024-08-05 14:37:08', NULL, NULL), (4241, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2023, 6, 3, '2024-08-05 14:37:08', NULL, NULL), (4242, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2023, 6, 3, '2024-08-05 14:37:08', NULL, NULL), (4243, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 8, 2023, 6, 3, '2024-08-05 14:37:08', NULL, NULL), (4244, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 8, 2023, 6, 3, '2024-08-05 14:37:08', NULL, NULL), (4245, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 20, 2023, 6, 3, '2024-08-05 14:37:08', NULL, NULL), (4246, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 3, 2023, 6, 3, '2024-08-05 14:37:08', NULL, NULL), (4247, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2023, 6, 3, '2024-08-05 14:37:08', NULL, NULL), (4248, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 7, 2023, 6, 3, '2024-08-05 14:37:08', NULL, NULL), (4249, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 8, 2023, 6, 3, '2024-08-05 14:37:08', NULL, NULL), (4250, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A22', '', 1, 2023, 6, 3, '2024-08-05 14:37:08', NULL, NULL), (4251, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A23', '', 2, 2023, 6, 3, '2024-08-05 14:37:08', NULL, NULL), (4252, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 6, 3, '2024-08-05 14:37:08', NULL, NULL), (4253, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 6, 3, '2024-08-05 14:37:08', NULL, NULL), (4254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 32, 2023, 6, 4, '2024-08-05 14:37:08', NULL, NULL), (4255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 6, 4, '2024-08-05 14:37:08', NULL, NULL), (4256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 6, 4, '2024-08-05 14:37:08', NULL, NULL), (4257, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 6, 4, '2024-08-05 14:37:08', NULL, NULL), (4258, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2023, 6, 4, '2024-08-05 14:37:08', NULL, NULL), (4259, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 30, 2023, 6, 4, '2024-08-05 14:37:08', NULL, NULL), (4260, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 6, 4, '2024-08-05 14:37:08', NULL, NULL), (4261, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B08', '', 1, 2023, 6, 4, '2024-08-05 14:37:08', NULL, NULL), (4262, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 34, 2023, 6, 4, '2024-08-05 14:37:08', NULL, NULL), (4263, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2023, 6, 4, '2024-08-05 14:37:08', NULL, NULL), (4264, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 6, 4, '2024-08-05 14:37:08', NULL, NULL), (4265, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 30, 2023, 6, 4, '2024-08-05 14:37:08', NULL, NULL), (4266, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2023, 6, 4, '2024-08-05 14:37:08', NULL, NULL), (4267, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 146, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4268, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4269, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 10, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 110, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 3, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 32, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4275, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4276, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4277, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4278, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 10, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4279, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 4, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4280, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4281, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A15', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4282, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 7, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4283, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4284, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4285, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4286, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 12, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4287, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4288, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 13, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4289, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4290, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4291, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 2, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4292, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 27, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4293, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4294, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4295, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 17, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4296, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 40, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4297, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 8, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4298, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4299, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 10, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4300, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4301, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4302, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 6, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4303, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 21, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4304, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 34, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4305, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 10, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4306, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4307, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 2, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4308, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4309, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 58, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4310, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 8, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4311, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4312, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4313, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E16', '', 3, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4314, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4315, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 290, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4316, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A02', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4317, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 39, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4318, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4319, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 12, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4320, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E23', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4321, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 6, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4322, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 4, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4323, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4324, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4325, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A15', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4326, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C07', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4327, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 2, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4328, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 27, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4329, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 9, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4330, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4331, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4332, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4333, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 17, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4334, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4335, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4336, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 8, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4337, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 2, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4338, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4339, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4340, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 55, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4341, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4342, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4343, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 9, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4344, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 6, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4345, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 21, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4346, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 34, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4347, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4348, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 10, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4349, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E16', '', 2, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4350, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 8, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4351, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4352, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 6, 5, '2024-08-05 14:37:08', NULL, NULL), (4353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 96, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 95, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 11, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4359, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4360, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4361, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4362, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 11, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4363, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E01', '', 2, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4364, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4365, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 9, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4366, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 16, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4367, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4368, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 3, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4369, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4370, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 26, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4371, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 31, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4372, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 2, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4373, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 2, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4374, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4375, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 1, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4376, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 20, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4377, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 11, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4378, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 2, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4379, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 2, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4380, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 42, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4381, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 8, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4382, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4383, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4384, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 7, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4385, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 193, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4386, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 31, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4387, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 9, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4388, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E01', '', 2, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4389, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 11, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4390, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4391, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 26, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4392, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4393, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4394, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4395, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4396, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 3, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4397, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4398, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 3, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4399, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 8, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4400, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 2, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4401, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 40, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4402, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 11, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4403, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4404, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 2, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4405, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4406, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D34', '', 1, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4407, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 20, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4408, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 2, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4409, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 7, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4410, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4411, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 6, 6, '2024-08-05 14:37:08', NULL, NULL), (4412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 138, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 84, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 45, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4419, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A18', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4420, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4421, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4422, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 5, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4423, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4424, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4425, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 2, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4426, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 17, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4427, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 13, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4428, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4429, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4430, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 2, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4431, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 17, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4432, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 2, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4433, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 25, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4434, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4435, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 26, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4436, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 4, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4437, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D14', '', 2, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4438, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4439, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 9, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4440, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4441, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 28, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4442, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 2, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4443, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 30, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4444, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 37, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4445, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 34, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4446, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4447, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4448, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4449, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 3, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4450, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4451, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 252, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4452, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 25, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4453, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 2, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4454, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 17, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4455, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4456, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 5, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4457, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A18', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4458, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 2, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4459, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 2, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4460, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 17, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4461, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4462, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 25, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4463, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4464, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4465, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4466, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 34, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4467, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4468, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D14', '', 2, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4469, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 30, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4470, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 28, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4471, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 2, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4472, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 37, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4473, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 7, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4474, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4475, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 4, 2023, 6, 7, '2024-08-05 14:37:08', NULL, NULL), (4476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 165, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 10, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 53, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 7, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4484, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4485, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4486, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4487, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4488, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 2, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4489, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 3, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4490, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D10', '', 3, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4491, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 7, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4492, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4493, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 12, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4494, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4495, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4496, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 18, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4497, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 4, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4498, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 23, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4499, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 2, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4500, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 4, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4501, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 3, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4502, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 27, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4503, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 23, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4504, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 10, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4505, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4506, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 38, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4507, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 42, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (4508, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C10', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4509, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4510, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 7, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4511, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 3, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4512, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D07', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4513, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D06', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4514, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4515, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4516, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 230, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4517, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 21, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4518, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 7, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4519, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 3, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4520, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4521, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D10', '', 3, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4522, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D13', '', 2, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4523, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 18, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4524, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4525, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 4, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4526, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4527, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4528, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 4, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4529, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4530, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C10', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4531, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E30', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4532, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4533, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 40, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4534, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 22, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4535, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 37, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4536, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 3, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4537, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4538, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 27, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4539, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 10, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4540, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 2, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4541, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 4, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4542, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4543, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D06', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4544, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D07', '', 1, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4545, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 6, 8, '2024-08-05 14:37:08', NULL, NULL), (4546, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 64, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4547, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4548, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4549, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 4, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 51, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 24, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4552, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4553, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4554, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4555, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4556, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4557, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 2, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4558, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D25', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4559, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D11', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4560, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4561, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 4, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4562, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 12, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4563, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4564, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4565, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4566, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 10, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4567, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 17, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4568, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 2, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4569, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4570, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 17, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4571, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D14', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4572, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4573, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A16', '', 2, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4574, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 12, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4575, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 3, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4576, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 17, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4577, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 16, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4578, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4579, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 9, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4580, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4581, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4582, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4583, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 3, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4584, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4585, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 138, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4586, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A02', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4587, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A16', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4588, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 17, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4589, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 4, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4590, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D11', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4591, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4592, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 2, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4593, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D25', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4594, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D13', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4595, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4596, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C07', '', 2, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4597, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4598, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D07', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4599, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 10, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4600, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4601, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 17, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4602, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4603, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4604, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 3, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4605, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4606, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4607, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4608, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 9, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4609, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A16', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4610, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D14', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4611, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 15, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4612, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 3, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4613, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 17, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4614, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 12, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4615, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 3, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4616, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4617, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 6, 9, '2024-08-05 14:37:09', NULL, NULL), (4618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 64, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4621, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4622, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4623, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4624, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4625, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 48, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4626, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4627, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 12, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4628, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4629, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4630, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 63, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4631, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4632, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4633, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4634, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A22', '', 1, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4635, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4636, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A23', '', 1, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4637, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 12, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4638, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4639, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4640, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A22', '', 1, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4641, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A23', '', 1, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4642, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 46, 2023, 6, 10, '2024-08-05 14:37:09', NULL, NULL), (4643, 1, '511500000000-0001', '宜宾市民中心', '市生态环境局', '', '', '', 1, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 6, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 24, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4646, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4647, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A16', '', 1, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4648, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4649, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4650, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 20, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4651, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4652, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 3, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4653, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 3, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4654, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 29, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4655, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 2, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4656, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4657, 1, '511500000000-0001', '宜宾市民中心', '市生态环境局', '不满意', '', '', 1, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4658, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A16', '', 1, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4659, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4660, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4661, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 20, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4662, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 2, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4663, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2D06', '', 1, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4664, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 3, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4665, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A03', '', 1, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4666, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 6, 11, '2024-08-05 14:37:09', NULL, NULL), (4667, 1, '511500000000-0001', '宜宾市民中心', '市自然资源和规划局', '', '', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 92, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 20, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 14, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 97, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 30, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 30, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4675, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 18, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4676, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4677, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 6, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4678, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 2, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4679, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 8, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4680, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4681, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 5, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4682, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4683, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D10', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4684, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 3, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4685, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 5, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4686, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 19, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4687, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 21, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4688, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 5, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4689, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4690, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 3, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4691, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 2, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4692, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 32, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4693, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 4, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4694, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 26, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4695, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4696, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4697, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4698, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 22, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4699, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 3, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4700, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 16, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4701, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 30, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4702, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C12', '', 10, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4703, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4704, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 6, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4705, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 5, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4706, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 7, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4707, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4708, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4709, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 5, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4710, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4711, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 14, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4712, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4713, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4714, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 265, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4715, 1, '511500000000-0001', '宜宾市民中心', '市自然资源和规划局', '非常满意', '', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4716, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A05', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4717, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 25, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4718, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 5, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4719, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 19, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4720, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 5, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4721, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D10', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4722, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 3, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4723, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4724, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 2, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4725, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 32, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4726, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 2, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4727, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 8, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4728, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 18, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4729, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 4, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4730, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4731, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4732, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 4, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4733, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4734, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4735, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 3, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4736, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4737, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4738, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 6, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4739, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 5, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4740, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4741, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4742, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 30, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4743, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4744, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 3, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4745, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 16, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4746, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C12', '', 10, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4747, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 21, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4748, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4749, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4750, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 14, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4751, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 4, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4752, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 6, 12, '2024-08-05 14:37:09', NULL, NULL), (4753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 209, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 44, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 78, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 30, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 11, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4760, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 6, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4761, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4762, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4763, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 2, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4764, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 5, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4765, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D12', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4766, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 5, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4767, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4768, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 5, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4769, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 2, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4770, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 9, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4771, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 12, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4772, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4773, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4774, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 29, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4775, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4776, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 3, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4777, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E28', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4778, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4779, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4780, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 24, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4781, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4782, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 25, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4783, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 4, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4784, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 42, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4785, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 4, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4786, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 2, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4787, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 18, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4788, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4789, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4790, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 14, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4791, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 3, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4792, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 37, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4793, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 3, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4794, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 20, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4795, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4796, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 4, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4797, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 30, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4798, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 36, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4799, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 7, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4800, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4801, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 7, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4802, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 7, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4803, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4804, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4805, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 364, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4806, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 42, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4807, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 5, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4808, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 2, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4809, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 9, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4810, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 4, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4811, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4812, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E28', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4813, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 25, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4814, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 7, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4815, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 3, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4816, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 20, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4817, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 2, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4818, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 5, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4819, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D12', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4820, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C07', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4821, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 24, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4822, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D17', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4823, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4824, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 4, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4825, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4826, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4827, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 29, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4828, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4829, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 3, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4830, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4831, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4832, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 36, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4833, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4834, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 36, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4835, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 3, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4836, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4837, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4838, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 30, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4839, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 18, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4840, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 4, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4841, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 14, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4842, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 4, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4843, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 2, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4844, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4845, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 7, 2023, 6, 13, '2024-08-05 14:37:09', NULL, NULL), (4846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 128, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 100, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 82, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4850, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 3, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4851, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 10, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4852, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 15, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4853, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 8, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4854, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4855, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 8, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4856, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 2, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4857, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4858, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4859, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4860, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 2, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4861, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 10, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4862, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4863, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4864, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 5, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4865, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 12, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4866, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 7, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4867, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 34, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4868, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 4, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4869, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 4, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4870, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4871, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 8, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4872, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 29, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4873, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4874, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 22, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4875, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 22, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4876, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4877, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D14', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4878, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 29, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4879, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 6, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4880, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4881, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 10, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4882, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 2, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4883, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 2, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4884, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4885, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 25, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4886, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 6, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4887, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 6, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4888, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 39, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4889, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4890, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C10', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4891, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4892, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D09', '', 3, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4893, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D08', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4894, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4895, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 3, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4896, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D07', '', 6, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4897, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4898, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D06', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4899, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 6, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4900, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4901, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 327, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4902, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4903, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 22, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4904, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 4, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4905, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 12, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4906, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4907, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E25', '', 2, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4908, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4909, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4910, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 8, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4911, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4912, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E06', '', 2, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4913, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4914, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 2, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4915, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 2, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4916, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D18', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4917, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D06', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4918, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D08', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4919, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D07', '', 6, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4920, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D09', '', 3, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4921, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4922, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 10, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4923, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4924, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 25, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4925, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D17', '', 8, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4926, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4927, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 22, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4928, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 8, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4929, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4930, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 34, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4931, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 4, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4932, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 4, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4933, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4934, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1D23', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4935, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C10', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4936, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4937, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 6, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4938, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 39, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4939, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4940, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 25, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4941, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 6, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4942, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4943, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4944, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 28, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4945, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 10, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4946, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 5, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4947, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 6, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4948, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 2, 2023, 6, 14, '2024-08-05 14:37:09', NULL, NULL), (4949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 113, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 20, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 55, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 15, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 30, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4955, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4956, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4957, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A18', '', 1, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4958, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4959, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4960, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4961, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E01', '', 2, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4962, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 22, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4963, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 5, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4964, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 16, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4965, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4966, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4967, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 13, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4968, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 8, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4969, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 11, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4970, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 2, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4971, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 28, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4972, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 6, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4973, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4974, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 23, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4975, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 1, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4976, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 10, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4977, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 16, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4978, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 8, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4979, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 7, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4980, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4981, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 5, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4982, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 4, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4983, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 2, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4984, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 1, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4985, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 28, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4986, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4987, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 226, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4988, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4989, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A18', '', 1, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4990, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2D18', '', 1, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4991, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 23, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4992, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 5, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4993, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 16, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4994, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 1, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4995, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E01', '', 2, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4996, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4997, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 22, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4998, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 11, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (4999, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 2, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5000, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5001, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5002, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 28, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5003, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 1, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5004, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 6, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (5005, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5006, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5007, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 13, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5008, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 7, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5009, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 5, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5010, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 7, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5011, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 28, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5012, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5013, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 16, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5014, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D02', '', 1, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5015, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 8, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5016, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 10, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5017, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 2, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5018, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 6, 15, '2024-08-05 14:37:09', NULL, NULL), (5019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 160, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 30, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 6, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 89, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5025, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 29, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 6, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5027, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 2, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5028, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A18', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5029, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5030, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5031, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5032, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 2, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5033, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5034, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 6, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5035, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 2, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5036, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 5, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5037, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5038, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 20, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5039, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5040, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5041, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 13, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5042, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5043, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 12, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5044, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 3, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5045, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 9, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5046, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 27, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5047, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 6, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5048, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5049, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 15, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5050, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 26, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5051, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5052, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 11, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5053, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 46, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5054, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5055, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 24, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5056, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5057, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 18, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5058, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 2, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5059, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 40, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5060, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5061, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 8, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5062, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E09', '', 2, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5063, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5064, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5065, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E16', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5066, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 5, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5067, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5068, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5069, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5070, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 318, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5071, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 13, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5072, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 5, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5073, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5074, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 19, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5075, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 2, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5076, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5077, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 2, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5078, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5079, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D13', '', 6, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A18', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5081, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 8, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5082, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D17', '', 3, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5084, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5085, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 2, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5086, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 27, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5087, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 6, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5088, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 13, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5089, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 12, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5090, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A05', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5091, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 8, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5092, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 2, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5093, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1E17', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5094, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5095, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 40, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5096, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5097, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5098, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 24, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5099, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5100, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 46, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5101, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 25, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5102, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 18, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5103, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5104, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 11, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5105, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E16', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5106, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 5, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5107, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5108, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E09', '', 2, 2023, 6, 16, '2024-08-05 14:37:10', NULL, NULL), (5109, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 23, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5110, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5111, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5112, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 6, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 28, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5115, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 3, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5116, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5117, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 27, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5118, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5119, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 21, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5120, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 2, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5121, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D08', '', 1, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5122, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5123, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 3, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5124, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5125, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 58, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5126, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 27, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5127, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 3, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5128, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5129, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 3, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5130, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A22', '', 1, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5131, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5132, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 2, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5133, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 20, 2023, 6, 17, '2024-08-05 14:37:10', NULL, NULL), (5134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 6, 18, '2024-08-05 14:37:10', NULL, NULL), (5135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2023, 6, 18, '2024-08-05 14:37:10', NULL, NULL), (5136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 46, 2023, 6, 18, '2024-08-05 14:37:10', NULL, NULL), (5137, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 3, 2023, 6, 18, '2024-08-05 14:37:10', NULL, NULL), (5138, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 46, 2023, 6, 18, '2024-08-05 14:37:10', NULL, NULL), (5139, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2023, 6, 18, '2024-08-05 14:37:10', NULL, NULL), (5140, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 52, 2023, 6, 18, '2024-08-05 14:37:10', NULL, NULL), (5141, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 46, 2023, 6, 18, '2024-08-05 14:37:10', NULL, NULL), (5142, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2023, 6, 18, '2024-08-05 14:37:10', NULL, NULL), (5143, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 3, 2023, 6, 18, '2024-08-05 14:37:10', NULL, NULL), (5144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 53, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 18, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5147, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 5, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 59, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 17, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5151, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5152, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5153, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5154, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D25', '', 6, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5155, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 1, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5156, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 4, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5157, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 2, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5158, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5159, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 2, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5160, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 13, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5161, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5162, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 13, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5163, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5164, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 12, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5165, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 10, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5166, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 17, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5167, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 2, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5168, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5169, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 15, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5170, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 3, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5171, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 14, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5172, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 9, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5173, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5174, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 3, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5175, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 8, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5176, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E09', '', 1, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5177, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5178, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5179, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 7, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5180, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5181, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 150, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5182, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 17, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5183, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A21', '', 2, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5184, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 13, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5185, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 2, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5186, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D25', '', 6, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5187, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 4, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5188, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5189, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D13', '', 1, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5190, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 2, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5191, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 10, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5192, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5193, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5194, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5195, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 13, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5196, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 12, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5197, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A02', '', 2, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5198, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5199, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 3, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5200, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 7, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5201, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5202, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 3, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5203, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 12, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5204, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 9, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5205, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 15, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5206, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5207, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5208, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E09', '', 1, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5209, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 6, 19, '2024-08-05 14:37:10', NULL, NULL), (5210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 25, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 20, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 62, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 36, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 3, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 15, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5217, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 5, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5218, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5219, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5220, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5221, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5222, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5223, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D10', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5224, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 8, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5225, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 5, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5226, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 2, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5227, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5228, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 6, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5229, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 16, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5230, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5231, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 9, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5232, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 15, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5233, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5234, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B08', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5235, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5236, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5237, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 22, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5238, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5239, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5240, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5241, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5242, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 8, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5243, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 9, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5244, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5245, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5246, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 6, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5247, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 15, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5248, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5249, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 5, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5250, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 5, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5251, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 4, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5252, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E16', '', 2, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5253, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 151, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5254, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 21, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5255, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 5, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5256, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5257, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 2, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5258, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5259, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D10', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5260, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 8, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5261, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5262, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B08', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5263, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 15, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5264, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5265, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5266, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5267, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 5, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5268, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5269, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5270, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 16, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5271, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 9, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5272, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5273, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 5, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5274, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 15, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5275, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5276, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5277, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5278, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5279, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5280, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 6, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5281, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5282, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D34', '', 8, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5283, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 8, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5284, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E16', '', 2, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5285, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 4, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5286, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 3, 2023, 6, 20, '2024-08-05 14:37:10', NULL, NULL), (5287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 254, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 16, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 6, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 6, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 35, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5292, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 51, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5293, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 6, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5294, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A18', '', 6, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5295, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 4, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5296, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5297, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5298, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 2, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5299, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 2, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5300, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5301, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5302, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 5, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5303, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 21, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5304, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5305, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 5, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5306, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5307, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 2, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5308, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 5, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5309, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B08', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5310, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 5, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5311, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5312, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 38, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5313, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 20, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5314, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5315, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 6, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5316, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 4, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5317, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 2, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5318, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 51, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5319, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 37, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5320, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 2, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5321, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 14, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5322, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 19, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5323, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 3, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5324, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 31, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5325, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 3, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5326, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5327, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 3, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5328, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 3, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5329, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5330, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 13, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5331, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5332, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D07', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5333, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 5, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5334, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5335, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5336, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 5, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5337, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D17', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5338, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5339, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 34, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5340, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5341, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5342, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5343, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 365, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5344, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 18, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5345, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 5, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5346, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 21, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5347, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A18', '', 6, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5348, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B08', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5349, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 38, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5350, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5351, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2C05', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5352, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E30', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5353, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 34, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5354, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5355, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 3, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5356, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 31, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5357, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D17', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5358, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D18', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5359, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5360, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 5, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5361, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 5, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5362, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C05', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5363, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5364, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5365, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 4, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5366, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5367, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 5, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5368, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5369, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 2, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5370, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A10', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5371, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 13, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5372, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 3, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5373, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 3, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5374, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 37, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5375, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 2, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5376, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 2, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5377, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 19, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5378, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 3, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5379, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 4, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5380, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 51, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5381, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 14, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5382, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5383, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 6, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5384, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5385, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 5, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5386, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 5, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5387, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 6, 21, '2024-08-05 14:37:10', NULL, NULL), (5388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 6, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 3, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5392, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D38', '', 1, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5393, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E13', '', 1, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5394, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5395, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 1, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5396, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5397, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 1, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5398, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 3, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5399, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5400, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A02', '', 4, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5401, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 2, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5402, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 3, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5403, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 11, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5404, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5405, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 1, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5406, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 1, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5407, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 3, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5408, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A02', '', 1, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5409, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E13', '', 1, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5410, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A06', '', 1, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5411, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D38', '', 1, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5412, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A10', '', 1, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5413, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A02', '', 1, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5414, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A02', '', 2, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5415, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5416, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 1, 2023, 6, 22, '2024-08-05 14:37:10', NULL, NULL), (5417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 24, 2023, 6, 23, '2024-08-05 14:37:10', NULL, NULL), (5418, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A17', '', 1, 2023, 6, 23, '2024-08-05 14:37:10', NULL, NULL), (5419, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 6, 2023, 6, 23, '2024-08-05 14:37:10', NULL, NULL), (5420, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 4, 2023, 6, 23, '2024-08-05 14:37:10', NULL, NULL), (5421, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 8, 2023, 6, 23, '2024-08-05 14:37:10', NULL, NULL), (5422, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 4, 2023, 6, 23, '2024-08-05 14:37:10', NULL, NULL), (5423, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 6, 23, '2024-08-05 14:37:10', NULL, NULL), (5424, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 6, 23, '2024-08-05 14:37:10', NULL, NULL), (5425, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 22, 2023, 6, 23, '2024-08-05 14:37:10', NULL, NULL), (5426, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A22', '', 1, 2023, 6, 23, '2024-08-05 14:37:10', NULL, NULL), (5427, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 4, 2023, 6, 23, '2024-08-05 14:37:10', NULL, NULL), (5428, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 6, 23, '2024-08-05 14:37:10', NULL, NULL), (5429, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 6, 2023, 6, 23, '2024-08-05 14:37:10', NULL, NULL), (5430, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 4, 2023, 6, 23, '2024-08-05 14:37:10', NULL, NULL), (5431, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 7, 2023, 6, 23, '2024-08-05 14:37:10', NULL, NULL), (5432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 14, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5435, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 4, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5436, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5437, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 7, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5438, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 5, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5439, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5440, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5441, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5442, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5443, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 2, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5444, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5445, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5446, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 17, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5447, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5448, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 1, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5449, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A10', '', 1, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5450, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 2, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5451, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5452, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5453, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 6, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5454, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 5, 2023, 6, 24, '2024-08-05 14:37:11', NULL, NULL), (5455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 247, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 9, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 44, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 35, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 5, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5460, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A18', '', 13, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5461, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5462, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5463, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 8, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5464, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5465, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 5, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5466, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 8, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5467, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5468, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5469, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 2, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5470, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5471, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 6, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5472, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5473, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 26, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5474, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 4, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5475, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 20, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5476, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 24, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5477, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 15, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5478, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 74, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5479, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5480, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5481, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 18, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5482, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 21, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5483, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 2, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5484, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 19, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5485, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 2, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5486, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 3, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5487, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5488, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5489, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 3, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5490, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5491, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 1, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5492, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 21, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5493, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 26, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5494, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5495, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 332, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5496, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A03', '', 1, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5497, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 20, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5498, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 5, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5499, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 8, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5500, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 8, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5501, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A18', '', 13, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (5502, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 6, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5503, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5504, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 26, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5505, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5506, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 4, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5507, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 2, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5508, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5509, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 3, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5510, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 26, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5511, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5512, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5513, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 19, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5514, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 2, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5515, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 15, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5516, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 21, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5517, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5518, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 74, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5519, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 18, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5520, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 24, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5521, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5522, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 21, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5523, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 3, 2023, 6, 25, '2024-08-05 14:37:11', NULL, NULL), (5524, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 145, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5526, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 21, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5527, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 10, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5528, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 42, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5529, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 20, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5530, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 7, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5531, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5532, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5533, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5534, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5535, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5536, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5537, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 5, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5538, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 14, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5539, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 6, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5540, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5541, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 7, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5542, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 13, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5543, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 18, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5544, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 8, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5545, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 30, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5546, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 2, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5547, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D37', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5548, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 13, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5549, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 48, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5550, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 2, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5551, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5552, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 7, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5553, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5554, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 10, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5555, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5556, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 7, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5557, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 5, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5558, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 5, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5559, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5560, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 11, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5561, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E09', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5562, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 2, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5563, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 4, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5564, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 12, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5565, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 230, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5566, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5567, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 29, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5568, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 5, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5569, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A21', '', 2, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5570, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 8, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5571, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 14, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5572, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5573, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5574, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 13, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5575, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5576, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5577, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5578, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 18, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5579, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5580, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5581, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 7, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5582, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 11, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5583, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 5, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5584, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 12, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5585, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 5, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5586, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 48, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5587, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 2, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5588, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 6, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5589, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 10, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5590, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 13, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5591, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5592, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5593, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D34', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5594, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 3, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5595, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D37', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5596, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 2, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5597, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E09', '', 1, 2023, 6, 26, '2024-08-05 14:37:11', NULL, NULL), (5598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 96, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 8, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 130, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 148, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5603, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 6, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5604, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5605, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5606, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D10', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5607, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 18, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5608, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5609, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5610, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 24, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5611, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5612, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 11, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5613, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5614, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 24, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5615, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 27, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5616, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 8, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5617, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 2, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5618, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E23', '', 2, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5619, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 2, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5620, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5621, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 16, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5622, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5623, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 35, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5624, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 6, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5625, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 58, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5626, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 6, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5627, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 100, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5628, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 10, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5629, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 12, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5630, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5631, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E08', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5632, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5633, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D07', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5634, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 4, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5635, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5636, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5637, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 377, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5638, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 27, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5639, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 18, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5640, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5641, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 11, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5642, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5643, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5644, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 6, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5645, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 22, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5646, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5647, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5648, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 24, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5649, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 12, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5650, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5651, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 100, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5652, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 10, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5653, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5654, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 6, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5655, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 35, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5656, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 58, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5657, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D02', '', 2, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5658, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 6, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5659, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E23', '', 2, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5660, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 2, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5661, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5662, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1E08', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5663, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 15, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5664, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D34', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5665, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 8, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5666, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 3, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5667, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 6, 27, '2024-08-05 14:37:11', NULL, NULL), (5668, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 52, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 14, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 65, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 27, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 11, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5675, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 2, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5676, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5677, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5678, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D12', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5679, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5680, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5681, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5682, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 10, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5683, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 16, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5684, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5685, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5686, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 3, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5687, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5688, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 19, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5689, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 12, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5690, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5691, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5692, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 14, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5693, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 8, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5694, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 10, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5695, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5696, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5697, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 10, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5698, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 11, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5699, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 7, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5700, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 2, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5701, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 3, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5702, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 9, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5703, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5704, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5705, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 8, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5706, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5707, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5708, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5709, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5710, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 158, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5711, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 14, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5712, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 10, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5713, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 16, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5714, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5715, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5716, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D12', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5717, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 12, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5718, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5719, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5720, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5721, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5722, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5723, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5724, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 17, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5725, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 3, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5726, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E30', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5727, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5728, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 3, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5729, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5730, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 9, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5731, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5732, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5733, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 11, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5734, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 2, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5735, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5736, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 10, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5737, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 7, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5738, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 8, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5739, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 10, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5740, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 6, 28, '2024-08-05 14:37:11', NULL, NULL), (5741, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 66, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5742, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 23, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5743, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 64, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 9, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5747, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5748, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 6, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5749, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5750, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 10, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5751, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 6, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5752, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5753, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 7, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5754, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 15, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5755, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5756, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 15, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5757, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 11, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5758, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 2, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5759, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 2, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5760, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 3, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5761, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 16, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5762, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5763, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 3, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5764, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 7, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5765, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5766, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 13, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5767, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 26, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5768, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 2, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5769, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5770, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 8, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5771, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5772, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5773, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 3, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5774, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5775, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 3, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5776, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5777, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 164, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5778, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 3, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5779, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 6, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5780, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A04', '', 10, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5781, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 11, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5782, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5783, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 1, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5784, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5785, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 2, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5786, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 6, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5787, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 15, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5788, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 15, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5789, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 1, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5790, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5791, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 2, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5792, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5793, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5794, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 3, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5795, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5796, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 25, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5797, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5798, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 13, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5799, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 7, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5800, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5801, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 16, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5802, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 3, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5803, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 3, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5804, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 6, 29, '2024-08-05 14:37:11', NULL, NULL), (5805, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 54, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 31, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 36, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 18, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 5, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5812, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5813, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 5, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5814, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 8, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5815, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5816, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 22, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5817, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5818, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 4, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5819, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 16, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5820, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5821, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5822, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 5, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5823, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5824, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 22, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5825, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5826, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5827, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 3, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5828, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 3, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5829, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5830, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 15, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5831, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 3, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5832, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 2, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5833, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5834, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 2, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5835, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 8, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5836, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 5, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5837, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 3, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5838, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 5, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5839, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D17', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5840, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5841, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5842, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5843, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 136, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5844, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常不满意', '', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5845, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 22, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5846, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 5, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5847, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 7, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5848, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5849, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5850, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 16, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5851, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5852, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5853, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 5, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5854, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 22, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5855, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 4, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5856, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5857, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 8, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5858, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5859, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 2, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5860, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5861, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5862, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 3, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5863, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 15, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5864, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 3, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5865, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 1, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5866, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 3, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5867, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 4, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5868, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 3, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5869, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 5, 2023, 6, 30, '2024-08-05 14:37:11', NULL, NULL), (5870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 6, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 10, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 10, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5874, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 10, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5875, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5876, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5877, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 2, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5878, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 10, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5879, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5880, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5881, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 26, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5882, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5883, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 10, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5884, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A23', '', 1, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5885, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5886, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 10, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5887, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A23', '', 1, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5888, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A21', '', 2, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5889, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5890, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2023, 7, 1, '2024-08-05 14:37:12', NULL, NULL), (5891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 8, 2023, 7, 2, '2024-08-05 14:37:12', NULL, NULL), (5892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 7, 2, '2024-08-05 14:37:12', NULL, NULL), (5893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2023, 7, 2, '2024-08-05 14:37:12', NULL, NULL), (5894, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 7, 2, '2024-08-05 14:37:12', NULL, NULL), (5895, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 7, 2, '2024-08-05 14:37:12', NULL, NULL), (5896, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 6, 2023, 7, 2, '2024-08-05 14:37:12', NULL, NULL), (5897, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 7, 2, '2024-08-05 14:37:12', NULL, NULL), (5898, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 2, 2023, 7, 2, '2024-08-05 14:37:12', NULL, NULL), (5899, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 6, 2023, 7, 2, '2024-08-05 14:37:12', NULL, NULL), (5900, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 3, 2023, 7, 2, '2024-08-05 14:37:12', NULL, NULL), (5901, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 5, 2023, 7, 2, '2024-08-05 14:37:12', NULL, NULL), (5902, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A07', '', 1, 2023, 7, 2, '2024-08-05 14:37:12', NULL, NULL), (5903, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2023, 7, 2, '2024-08-05 14:37:12', NULL, NULL), (5904, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 7, 2, '2024-08-05 14:37:12', NULL, NULL), (5905, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 7, 2, '2024-08-05 14:37:12', NULL, NULL), (5906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 40, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 138, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 42, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5912, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 6, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5913, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5914, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5915, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5916, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 2, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5917, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 22, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5918, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5919, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 61, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5920, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 18, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5921, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 8, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5922, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 9, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5923, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 3, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5924, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5925, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 21, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5926, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5927, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 2, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5928, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 22, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5929, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 12, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5930, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5931, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D17', '', 1, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5932, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 7, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5933, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 23, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5934, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 2, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5935, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 210, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5936, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 22, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5937, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5938, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5939, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 12, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5940, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C05', '', 1, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5941, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5942, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 6, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5943, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 6, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5944, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 3, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5945, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 2, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5946, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 20, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5947, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 2, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5948, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 7, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5949, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 61, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5950, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 18, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5951, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 21, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5952, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D17', '', 1, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5953, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D18', '', 22, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5954, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 7, 3, '2024-08-05 14:37:12', NULL, NULL), (5955, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 37, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5956, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 10, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5957, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5958, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 8, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 157, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 5, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5962, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 3, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5963, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 6, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5964, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 5, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5965, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 3, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5966, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5967, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E01', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5968, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5969, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5970, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5971, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5972, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A03', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5973, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A02', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5974, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 5, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5975, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A01', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5976, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 2, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5977, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 9, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5978, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 3, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5979, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 3, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5980, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 31, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5981, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 25, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5982, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E27', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5983, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5984, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 20, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5985, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 66, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5986, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 9, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5987, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 2, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5988, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 4, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5989, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 7, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5990, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5991, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 2, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5992, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5993, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5994, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5995, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5996, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5997, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 205, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (5998, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 3, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (5999, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E01', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6000, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A07', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6001, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A01', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6002, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 20, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6003, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A02', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6004, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 5, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6005, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 2, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6006, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6007, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6008, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6009, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A03', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6010, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D13', '', 3, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6011, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6012, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A04', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6013, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 24, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6014, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 4, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6015, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6016, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 3, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6017, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 6, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6018, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6019, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 3, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6020, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 3, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6021, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 31, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6022, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6023, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A23', '', 2, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6024, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6025, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 3, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6026, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 4, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6027, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 2, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6028, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 9, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6029, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 66, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6030, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D18', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6031, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6032, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 2, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6033, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 7, 4, '2024-08-05 14:37:12', NULL, NULL), (6034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 58, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 17, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6037, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 11, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6038, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 97, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 50, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 5, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6041, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 15, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6042, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 2, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6043, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 3, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6044, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6045, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 5, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6046, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6047, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 5, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6048, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 3, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6049, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 11, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6050, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 12, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6051, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 3, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6052, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6053, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 11, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6054, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 6, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6055, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 19, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6056, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 10, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6057, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6058, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6059, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 25, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6060, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 5, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6061, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6062, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 3, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6063, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 44, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6064, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6065, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 2, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6066, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6067, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6068, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6069, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6070, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 24, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6071, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6072, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6073, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6074, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 3, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6075, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 12, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6076, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 8, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6077, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 3, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6078, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 206, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6079, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A10', '', 2, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6080, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A07', '', 2, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6081, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 18, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6082, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 5, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 3, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6084, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A08', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6085, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6086, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6087, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 11, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6088, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6089, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6090, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 6, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6091, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 15, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6092, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6093, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 12, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6094, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 3, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6095, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A10', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6096, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A05', '', 5, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6097, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 9, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6098, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6099, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6100, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6101, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6102, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 3, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6103, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 5, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6104, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 44, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6105, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6106, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 23, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6107, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 24, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6108, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 10, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6109, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6110, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6111, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 7, 5, '2024-08-05 14:37:12', NULL, NULL), (6112, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6113, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 35, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6114, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 8, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6115, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6116, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 6, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6117, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 111, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6118, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6119, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6120, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 5, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6121, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6122, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 6, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6123, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6124, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E13', '', 2, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6125, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6126, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 2, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6127, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6128, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 5, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6129, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 4, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6130, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 2, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6131, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A01', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6132, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 16, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6133, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6134, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 26, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6135, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6136, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 4, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6137, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 31, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6138, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6139, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 5, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6140, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 20, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6141, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6142, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D16', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6143, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6144, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 11, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6145, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6146, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 11, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6147, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6148, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 6, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6149, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6150, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6151, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6152, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 2, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6153, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A11', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6154, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 2, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6155, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 4, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6156, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 152, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6157, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6158, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6159, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A10', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6160, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 20, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6161, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 4, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6162, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D13', '', 5, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6163, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 2, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6164, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 4, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6165, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E13', '', 2, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6166, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 31, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6167, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6168, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6169, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6170, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6171, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 5, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6172, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6173, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6174, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6175, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6176, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 26, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6177, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6178, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2E11', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6179, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A01', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6180, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A07', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6181, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6182, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6183, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2E04', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6184, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 6, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6185, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A11', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6186, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6187, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6188, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6189, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 11, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6190, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 10, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6191, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 2, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6192, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6193, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6194, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6195, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2023, 7, 6, '2024-08-05 14:37:12', NULL, NULL), (6196, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 41, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 14, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 5, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 65, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 3, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 16, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6205, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6206, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6207, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6208, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6209, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D14', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6210, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6211, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6212, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6213, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D10', '', 3, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6214, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6215, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 5, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6216, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A01', '', 3, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6217, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 10, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6218, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 6, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6219, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 12, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6220, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6221, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 2, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6222, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 10, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6223, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 20, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6224, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 12, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6225, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 14, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6226, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 13, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6227, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6228, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 10, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6229, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6230, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 2, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6231, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 2, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6232, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6233, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6234, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6235, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 4, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6236, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6237, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6238, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6239, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 126, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6240, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6241, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6242, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 14, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6243, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 5, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6244, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D10', '', 3, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6245, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6246, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6247, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6248, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6249, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 10, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6250, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 20, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6251, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D14', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6252, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6253, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6254, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6255, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 11, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6256, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6257, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6258, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 6, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6259, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 2, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6260, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 12, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6261, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A01', '', 2, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6262, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 2, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6263, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6264, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6265, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 2, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6266, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 10, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6267, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 12, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6268, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6269, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6270, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6271, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A01', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6272, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6273, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2023, 7, 7, '2024-08-05 14:37:12', NULL, NULL), (6274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 7, 8, '2024-08-05 14:37:12', NULL, NULL), (6275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2023, 7, 8, '2024-08-05 14:37:12', NULL, NULL), (6276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 7, 8, '2024-08-05 14:37:12', NULL, NULL), (6277, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2023, 7, 8, '2024-08-05 14:37:12', NULL, NULL), (6278, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 7, 8, '2024-08-05 14:37:12', NULL, NULL), (6279, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 3, 2023, 7, 8, '2024-08-05 14:37:12', NULL, NULL), (6280, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 5, 2023, 7, 8, '2024-08-05 14:37:12', NULL, NULL), (6281, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 3, 2023, 7, 8, '2024-08-05 14:37:12', NULL, NULL), (6282, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 7, 8, '2024-08-05 14:37:12', NULL, NULL), (6283, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2023, 7, 8, '2024-08-05 14:37:12', NULL, NULL), (6284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 14, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6288, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 8, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6289, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D14', '', 1, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6290, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6291, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 1, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6292, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A12', '', 4, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6293, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A01', '', 2, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6294, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 2, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6295, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6296, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6297, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 17, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6298, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6299, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6300, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D14', '', 1, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6301, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6302, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 8, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6303, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A12', '', 4, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6304, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A01', '', 2, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6305, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 2, 2023, 7, 9, '2024-08-05 14:37:13', NULL, NULL), (6306, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 9, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6307, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 44, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 7, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 12, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 192, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6315, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A18', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6316, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6317, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6318, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6319, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A17', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6320, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6321, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6322, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6323, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 12, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6324, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D10', '', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6325, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A01', '', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6326, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 20, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6327, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6328, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 35, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6329, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 4, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6330, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 26, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6331, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6332, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6333, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 26, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6334, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 3, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6335, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6336, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6337, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6338, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 59, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6339, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 31, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6340, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6341, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 3, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6342, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6343, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 9, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6344, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 3, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6345, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6346, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6347, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6348, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6349, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 3, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6350, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 223, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6351, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6352, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6353, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6354, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 3, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6355, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '不满意', '', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6356, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 5, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6357, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A06', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6358, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A18', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6359, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A17', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6360, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A06', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6361, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A01', '', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6362, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A22', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6363, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6364, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6365, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D10', '', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6366, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 12, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6367, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6368, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 26, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6369, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6370, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6371, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6372, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6373, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 24, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6374, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6375, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 3, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6376, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 35, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6377, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A20', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6378, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6379, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6380, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6381, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6382, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6383, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 31, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6384, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 3, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6385, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 58, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6386, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6387, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6388, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6389, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A22', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6390, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A17', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6391, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A18', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6392, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6393, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6394, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6395, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6396, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6397, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6398, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 2, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6399, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6400, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A20', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6401, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A06', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6402, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A17', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6403, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A18', '', 1, 2023, 7, 10, '2024-08-05 14:37:13', NULL, NULL), (6404, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6405, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6406, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6407, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6408, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 54, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6409, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6410, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6411, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 113, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 23, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 4, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6416, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6417, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6418, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A18', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6419, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6420, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6421, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 2, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6422, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6423, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 2, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6424, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6425, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 4, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6426, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6427, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 13, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6428, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6429, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6430, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 37, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6431, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 26, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6432, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6433, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6434, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 17, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6435, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 26, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6436, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 3, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6437, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 14, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6438, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6439, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C12', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6440, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 20, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6441, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 4, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6442, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 2, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6443, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6444, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6445, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6446, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 3, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6447, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 2, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6448, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6449, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 7, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6450, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6451, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6452, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 176, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6453, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6454, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6455, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常不满意', '', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6456, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6457, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6458, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A01', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6459, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 25, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6460, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 4, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6461, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6462, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6463, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 2, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6464, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6465, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 25, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6466, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6467, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6468, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6469, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6470, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 16, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6471, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 37, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6472, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6473, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6474, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6475, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 2, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6476, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 20, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6477, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 4, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6478, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 14, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6479, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 3, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6480, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D18', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6481, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 6, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6482, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 2, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6483, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 3, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6484, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6485, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6486, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6487, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6488, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6489, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6490, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A01', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (6491, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D06', '', 1, 2023, 7, 11, '2024-08-05 14:37:13', NULL, NULL), (6492, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6493, 1, '511500000000-0001', '宜宾市民中心', '市气象局', '', '', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6494, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6495, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6496, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 87, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 15, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6500, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 10, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6501, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 103, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6502, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 5, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 32, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6504, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6505, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6506, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6507, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6508, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6509, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 2, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6510, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6511, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6512, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D11', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6513, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6514, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6515, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A01', '', 3, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6516, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 11, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6517, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 12, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6518, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 12, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6519, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6520, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6521, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6522, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 14, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6523, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B08', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6524, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 12, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6525, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 3, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6526, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 35, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6527, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 11, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6528, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 14, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6529, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 4, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6530, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E01', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6531, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 51, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6532, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6533, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6534, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 29, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6535, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6536, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 3, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6537, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 4, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6538, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6539, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6540, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 5, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6541, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6542, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 3, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6543, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6544, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6545, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6546, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6547, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 234, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6548, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6549, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6550, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6551, 1, '511500000000-0001', '宜宾市民中心', '市气象局', '非常满意', '', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6552, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6553, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6554, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6555, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A01', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6556, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A01', '', 2, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6557, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 34, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6558, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D11', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6559, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6560, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6561, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6562, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 3, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6563, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D29', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6564, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 14, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6565, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 4, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6566, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6567, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 2, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6568, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6569, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6570, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 10, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6571, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 12, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6572, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 12, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6573, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6574, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A01', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6575, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6576, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6577, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6578, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 2, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6579, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 3, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6580, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A21', '', 2, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6581, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6582, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6583, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 4, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6584, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 29, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6585, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E01', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6586, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 51, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6587, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 11, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6588, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 14, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6589, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 5, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6590, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6591, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6592, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6593, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E01', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6594, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 3, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6595, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E01', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6596, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 2, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6597, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A01', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6598, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 7, 12, '2024-08-05 14:37:13', NULL, NULL), (6599, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6600, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 47, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 11, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 72, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 14, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6608, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6609, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 6, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6610, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6611, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6612, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E01', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6613, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6614, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6615, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6616, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 13, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6617, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 6, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6618, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6619, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6620, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 16, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6621, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6622, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6623, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 19, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6624, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 2, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6625, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6626, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E27', '', 3, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6627, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 27, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6628, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6629, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 12, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6630, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6631, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D14', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6632, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6633, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6634, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6635, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 13, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6636, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 4, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6637, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 3, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6638, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 4, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6639, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D07', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6640, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 3, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6641, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6642, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 140, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6643, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常不满意', '', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6644, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6645, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 27, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6646, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1D07', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6647, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E01', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6648, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6649, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 13, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6650, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E27', '', 2, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6651, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6652, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D07', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6653, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6654, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 18, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6655, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6656, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6657, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 2, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6658, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6659, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 6, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6660, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6661, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 16, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6662, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 3, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6663, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 4, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6664, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D13', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6665, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6666, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D14', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6667, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 4, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6668, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6669, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6670, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 13, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6671, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6672, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 12, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6673, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 3, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6674, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 2, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6675, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D07', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6676, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常不满意', '1D07', '', 1, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6677, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 2, 2023, 7, 13, '2024-08-05 14:37:13', NULL, NULL), (6678, 1, '511500000000-0001', '宜宾市民中心', '市民政局', '', '', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 38, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 22, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 95, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6684, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 10, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6687, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6688, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6689, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6690, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 10, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6691, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 6, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6692, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6693, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6694, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A01', '', 2, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6695, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 16, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6696, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 8, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6697, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 2, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6698, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6699, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 15, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6700, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6701, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 18, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6702, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6703, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 32, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6704, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6705, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D16', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6706, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D15', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6707, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6708, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 23, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6709, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 3, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6710, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 4, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6711, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6712, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 6, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6713, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6714, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 3, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6715, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6716, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6717, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 5, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6718, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6719, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6720, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 2, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6721, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 155, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6722, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6723, 1, '511500000000-0001', '宜宾市民中心', '市民政局', '非常满意', '', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6724, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1E16', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6725, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A01', '', 2, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6726, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 32, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6727, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6728, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 6, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6729, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6730, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 18, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6731, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6732, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 10, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6733, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6734, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6735, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6736, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 8, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6737, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6738, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6739, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 15, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6740, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6741, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E30', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6742, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6743, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 2, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6744, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 3, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6745, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 3, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6746, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 6, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6747, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 4, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6748, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 23, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6749, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6750, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6751, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D15', '', 1, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6752, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 5, 2023, 7, 14, '2024-08-05 14:37:13', NULL, NULL), (6753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 24, 2023, 7, 15, '2024-08-05 14:37:13', NULL, NULL), (6754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2023, 7, 15, '2024-08-05 14:37:13', NULL, NULL), (6755, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 7, 15, '2024-08-05 14:37:13', NULL, NULL), (6756, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 7, 15, '2024-08-05 14:37:13', NULL, NULL), (6757, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 1, 2023, 7, 15, '2024-08-05 14:37:13', NULL, NULL), (6758, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 4, 2023, 7, 15, '2024-08-05 14:37:13', NULL, NULL), (6759, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 18, 2023, 7, 15, '2024-08-05 14:37:13', NULL, NULL), (6760, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 7, 15, '2024-08-05 14:37:13', NULL, NULL), (6761, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 5, 2023, 7, 15, '2024-08-05 14:37:13', NULL, NULL), (6762, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 21, 2023, 7, 15, '2024-08-05 14:37:13', NULL, NULL), (6763, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 7, 15, '2024-08-05 14:37:13', NULL, NULL), (6764, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A04', '', 1, 2023, 7, 15, '2024-08-05 14:37:13', NULL, NULL), (6765, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A01', '', 4, 2023, 7, 15, '2024-08-05 14:37:13', NULL, NULL), (6766, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A04', '', 1, 2023, 7, 15, '2024-08-05 14:37:13', NULL, NULL), (6767, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 18, 2023, 7, 15, '2024-08-05 14:37:13', NULL, NULL), (6768, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 7, 15, '2024-08-05 14:37:13', NULL, NULL), (6769, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 26, 2023, 7, 16, '2024-08-05 14:37:14', NULL, NULL), (6770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 9, 2023, 7, 16, '2024-08-05 14:37:14', NULL, NULL), (6771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2023, 7, 16, '2024-08-05 14:37:14', NULL, NULL), (6772, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 7, 16, '2024-08-05 14:37:14', NULL, NULL), (6773, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 7, 2023, 7, 16, '2024-08-05 14:37:14', NULL, NULL), (6774, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A01', '', 1, 2023, 7, 16, '2024-08-05 14:37:14', NULL, NULL), (6775, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 4, 2023, 7, 16, '2024-08-05 14:37:14', NULL, NULL), (6776, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 22, 2023, 7, 16, '2024-08-05 14:37:14', NULL, NULL), (6777, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 7, 16, '2024-08-05 14:37:14', NULL, NULL), (6778, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 36, 2023, 7, 16, '2024-08-05 14:37:14', NULL, NULL), (6779, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 7, 16, '2024-08-05 14:37:14', NULL, NULL), (6780, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 7, 16, '2024-08-05 14:37:14', NULL, NULL), (6781, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 7, 2023, 7, 16, '2024-08-05 14:37:14', NULL, NULL), (6782, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 4, 2023, 7, 16, '2024-08-05 14:37:14', NULL, NULL), (6783, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 22, 2023, 7, 16, '2024-08-05 14:37:14', NULL, NULL), (6784, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A01', '', 1, 2023, 7, 16, '2024-08-05 14:37:14', NULL, NULL), (6785, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 65, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 9, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 233, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 33, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6792, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6793, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A18', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6794, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 6, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6795, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6796, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 9, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6797, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6798, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6799, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 2, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6800, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D10', '', 2, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6801, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6802, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A01', '', 4, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6803, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 21, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6804, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6805, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E28', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6806, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 11, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6807, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 2, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6808, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 32, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6809, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6810, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6811, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 7, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6812, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A14', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6813, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 107, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6814, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 26, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6815, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 12, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6816, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 4, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6817, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 58, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6818, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 10, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6819, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E16', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6820, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6821, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A11', '', 2, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6822, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 20, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6823, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6824, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 3, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6825, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 3, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6826, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 313, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6827, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6828, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 4, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6829, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6830, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A04', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6831, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A11', '', 2, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6832, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A01', '', 3, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6833, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 32, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6834, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A01', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6835, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6836, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6837, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6838, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A18', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6839, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 2, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6840, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 11, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6841, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 6, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6842, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6843, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 9, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6844, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6845, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6846, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6847, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A14', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6848, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2E16', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6849, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A04', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6850, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A21', '', 3, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6851, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 16, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6852, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6853, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A21', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6854, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D13', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6855, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 107, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6856, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 26, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6857, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 12, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6858, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6859, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 7, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6860, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 57, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6861, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 10, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6862, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 7, 17, '2024-08-05 14:37:14', NULL, NULL), (6863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 18, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 12, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 39, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6866, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 87, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6867, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 65, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6870, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6871, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6872, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6873, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 2, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6874, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6875, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 16, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6876, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6877, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 2, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6878, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6879, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A01', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6880, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A23', '', 59, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6881, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6882, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 17, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6883, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6884, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6885, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 14, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6886, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 2, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6887, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6888, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 17, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6889, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 29, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6890, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 5, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6891, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A20', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6892, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D38', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6893, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6894, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6895, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 2, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6896, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6897, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 26, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6898, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 3, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6899, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 15, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6900, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 45, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6901, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 3, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6902, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 2, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6903, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D09', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6904, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6905, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6906, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 4, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6907, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A11', '', 11, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6908, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6909, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 31, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6910, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 236, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6911, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6912, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A23', '', 22, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6913, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A06', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6914, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A20', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6915, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A21', '', 4, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6916, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A22', '', 4, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6917, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A01', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6918, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 17, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6919, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A23', '', 37, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6920, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6921, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A21', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6922, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 24, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6923, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 16, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6924, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6925, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6926, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6927, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6928, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 14, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6929, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6930, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 2, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6931, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6932, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6933, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6934, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A22', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6935, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 45, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6936, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 2, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6937, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 3, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6938, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A11', '', 11, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6939, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 2, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6940, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 3, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6941, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6942, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 13, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6943, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D34', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6944, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 26, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6945, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 3, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6946, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D38', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6947, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D09', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6948, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 7, 18, '2024-08-05 14:37:14', NULL, NULL), (6949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 26, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 9, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 13, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 70, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 3, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6955, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6956, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6957, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A18', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6958, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 11, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6959, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6960, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6961, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 2, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6962, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A01', '', 2, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6963, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 10, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6964, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 4, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6965, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6966, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6967, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 23, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6968, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6969, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 18, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6970, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6971, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6972, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 2, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6973, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6974, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6975, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6976, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 17, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6977, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 7, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6978, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 3, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6979, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 2, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6980, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6981, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6982, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 2, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6983, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6984, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (6985, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6986, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 97, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6987, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6988, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A18', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6989, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 17, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6990, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A01', '', 2, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6991, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6992, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6993, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 22, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6994, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D17', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6995, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 10, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6996, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6997, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6998, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (6999, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A07', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (7000, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 2, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (7001, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (7002, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (7003, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (7004, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (7005, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 3, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (7006, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (7007, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 7, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (7008, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (7009, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (7010, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 17, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (7011, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 2, 2023, 7, 19, '2024-08-05 14:37:14', NULL, NULL), (7012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 19, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 19, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 57, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 52, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 34, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7019, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7020, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7021, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7022, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7023, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7024, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 7, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7025, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 8, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7026, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D12', '', 4, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7027, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D11', '', 2, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7028, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 60, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7029, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A02', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7030, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7031, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A01', '', 46, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7032, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 8, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7033, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7034, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 11, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7035, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7036, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 13, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7037, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7038, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7039, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7040, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 7, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7041, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D16', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7042, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7043, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7044, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7045, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 4, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7046, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 32, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7047, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 4, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7048, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 4, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7049, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 6, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7050, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 2, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7051, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 3, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7052, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7053, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D08', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7054, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7055, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7056, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7057, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 228, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7058, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7059, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7060, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A06', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7061, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A09', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7062, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1D12', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7063, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A01', '', 45, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7064, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 7, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7065, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A02', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7066, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7067, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D11', '', 2, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7068, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 7, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7069, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 7, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7070, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D12', '', 3, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7071, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A04', '', 60, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7072, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 13, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7073, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7074, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7075, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7076, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7077, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7078, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7079, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7081, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 10, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7082, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 2, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7083, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A22', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7084, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 6, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7085, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 2, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7086, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 3, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7087, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 4, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7088, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7089, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 4, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7090, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 32, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7091, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 4, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7092, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7093, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D16', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7094, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D08', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7095, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7096, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A01', '', 1, 2023, 7, 20, '2024-08-05 14:37:14', NULL, NULL), (7097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 66, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 25, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 5, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 65, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 46, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 49, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7105, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7106, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7107, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 4, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7108, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7109, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7110, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 11, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7111, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 4, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7112, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7113, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7114, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 3, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7115, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7116, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7117, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A01', '', 46, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7118, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7119, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 9, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7120, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7121, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7122, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 3, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7123, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 8, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7124, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 10, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7125, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 3, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7126, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B08', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7127, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 2, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7128, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 20, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7129, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D16', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7130, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7131, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 2, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7132, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 12, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7133, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7134, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 6, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7135, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 5, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7136, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 19, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7137, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 47, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7138, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 3, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7139, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 10, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7140, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D08', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7141, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D06', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7142, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7143, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7144, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7145, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 7, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7146, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7147, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 3, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7148, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 6, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7149, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 237, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7150, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7151, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E03', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7152, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A23', '', 2, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7153, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A01', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7154, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A21', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7155, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 20, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7156, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A01', '', 45, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7157, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7158, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7159, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7160, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7161, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D13', '', 4, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7162, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 2, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7163, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 3, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7164, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 10, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7165, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C05', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7166, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7167, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 11, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7168, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7169, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 2, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7170, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 4, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7171, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 9, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7172, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 3, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7173, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 8, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7174, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 4, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7175, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 6, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7176, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A23', '', 2, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7177, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 47, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7178, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 11, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7179, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7180, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 3, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7181, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 10, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7182, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7183, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 6, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7184, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 5, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7185, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 12, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7186, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 2, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7187, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7188, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D06', '', 1, 2023, 7, 21, '2024-08-05 14:37:14', NULL, NULL), (7189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 8, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 4, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7192, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 2, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7193, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7194, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7195, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7196, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7197, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7198, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7199, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A13', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7200, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7201, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 3, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7202, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7203, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7204, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 15, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7205, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7206, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7207, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7208, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7209, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7210, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7211, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7212, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 2, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7213, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A13', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7214, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7215, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7216, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 1, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7217, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 3, 2023, 7, 22, '2024-08-05 14:37:14', NULL, NULL), (7218, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 46, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 4, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 4, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7222, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7223, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7224, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 3, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7225, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A02', '', 1, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7226, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 34, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7227, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 8, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7228, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7229, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7230, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 2, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7231, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 2, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7232, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7233, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 51, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7234, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7235, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7236, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7237, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7238, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 3, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7239, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7240, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A09', '', 1, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7241, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A21', '', 1, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7242, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 2, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7243, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7244, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A23', '', 1, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7245, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A02', '', 1, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7246, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 33, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7247, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 8, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7248, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7249, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7250, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7251, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2023, 7, 23, '2024-08-05 14:37:15', NULL, NULL), (7252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 187, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 7, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 7, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 54, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 9, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7259, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7260, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A18', '', 65, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7261, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 5, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7262, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A17', '', 87, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7263, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 5, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7264, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A16', '', 19, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7265, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 4, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7266, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 2, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7267, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7268, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7269, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7270, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D11', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7271, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A02', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7272, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A01', '', 2, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7273, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7274, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7275, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7276, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 8, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7277, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7278, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 18, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7279, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 2, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7280, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 17, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7281, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7282, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7283, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7284, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7285, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7286, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 7, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7287, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 2, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7288, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7289, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 14, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7290, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7291, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 2, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7292, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7293, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7294, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7295, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7296, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7297, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 16, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7298, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 256, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7299, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7300, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A23', '', 6, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7301, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A18', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7302, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A21', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7303, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A01', '', 2, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7304, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A02', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7305, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D11', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7306, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7307, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7308, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7309, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 4, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7310, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 2, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7311, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A16', '', 19, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7312, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2E09', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7313, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 2, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7314, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A18', '', 56, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7315, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A17', '', 87, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7316, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 18, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7317, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7318, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 5, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7319, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 5, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7320, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7321, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 16, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7322, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7323, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 8, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7324, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 8, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7325, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A18', '', 8, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7326, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7327, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7328, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7329, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 2, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7330, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 7, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7331, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7332, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7333, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 7, 24, '2024-08-05 14:37:15', NULL, NULL), (7334, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 19, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 6, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 62, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 5, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 5, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7343, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7344, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7345, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7346, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 6, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7347, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7348, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7349, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7350, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7351, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7352, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 3, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7353, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7354, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 15, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7355, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7356, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7357, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 12, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7358, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 2, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7359, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7360, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7361, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7362, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 12, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7363, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 2, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7364, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 7, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7365, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7366, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 9, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7367, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7368, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7369, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7370, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7371, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7372, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7373, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7374, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7375, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7376, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7377, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7378, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 96, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7379, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7380, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 3, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7381, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7382, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7383, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7384, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 6, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7385, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7386, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7387, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7388, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7389, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 12, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7390, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7391, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 4, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7392, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7393, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D17', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7394, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7395, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7396, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 12, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7397, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1D17', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7398, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7399, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7400, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7401, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7402, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7403, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7404, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7405, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7406, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7407, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 9, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7408, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 7, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7409, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7410, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 12, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7411, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7412, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 7, 25, '2024-08-05 14:37:15', NULL, NULL), (7413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 19, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 8, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 42, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 61, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 9, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7420, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 3, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7421, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 8, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7422, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7423, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 2, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7424, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7425, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7426, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7427, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 2, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7428, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D11', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7429, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7430, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7431, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7432, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A01', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7433, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7434, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7435, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7436, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 15, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7437, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 5, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7438, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 8, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7439, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 28, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7440, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7441, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A16', '', 9, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7442, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 13, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7443, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7444, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 3, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7445, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C12', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7446, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7447, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 4, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7448, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 3, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7449, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7450, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C11', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7451, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7452, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C10', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7453, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 13, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7454, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7455, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7456, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D06', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7457, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 2, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7458, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7459, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 8, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7460, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 7, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7461, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 128, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7462, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 2, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7463, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7464, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A05', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7465, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A07', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7466, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A08', '', 3, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7467, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A22', '', 2, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7468, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A16', '', 6, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7469, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A01', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7470, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7471, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D11', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7472, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7473, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7474, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7475, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E22', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7476, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 28, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7477, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 5, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7478, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7479, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 8, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7480, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (7481, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 3, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7482, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 4, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7483, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7484, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A16', '', 2, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7485, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7486, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7487, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 15, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7488, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7489, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A22', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7490, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C10', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7491, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A20', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7492, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 3, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7493, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C11', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7494, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 4, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7495, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7496, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 10, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7497, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A16', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7498, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7499, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7500, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 3, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7501, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C12', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7502, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 13, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7503, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7504, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7505, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D06', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7506, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D05', '', 2, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7507, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 7, 26, '2024-08-05 14:37:15', NULL, NULL), (7508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 6, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 8, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 9, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 48, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7514, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 4, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7515, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 5, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7516, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 6, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7517, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7518, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 5, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7519, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7520, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 7, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7521, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7522, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7523, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 4, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7524, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7525, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7526, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7527, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 7, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7528, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7529, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 19, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7530, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7531, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 2, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7532, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D38', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7533, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 2, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7534, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 2, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7535, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7536, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 3, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7537, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C11', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7538, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7539, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7540, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7541, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7542, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 3, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7543, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D06', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7544, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7545, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7546, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7547, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 74, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7548, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7549, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 4, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7550, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2D38', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7551, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7552, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 7, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7553, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7554, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 2, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7555, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D29', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7556, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 19, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7557, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7558, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7559, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 6, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7560, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7561, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 7, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7562, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7563, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2E03', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7564, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C11', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7565, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A23', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7566, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7567, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7568, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 2, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7569, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7570, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 3, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7571, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7572, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7573, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D06', '', 1, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7574, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 3, 2023, 7, 27, '2024-08-05 14:37:15', NULL, NULL), (7575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 28, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 14, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 6, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 40, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 6, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 3, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7583, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7584, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7585, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 2, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7586, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7587, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7588, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 5, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7589, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 3, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7590, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7591, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7592, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7593, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 9, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7594, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7595, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 16, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7596, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7597, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7598, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 13, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7599, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7600, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7601, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A16', '', 2, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7602, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7603, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 10, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7604, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7605, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 9, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7606, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D32', '', 2, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7607, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7608, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7609, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 3, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7610, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7611, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 3, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7612, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7613, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7614, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 93, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7615, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A23', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7616, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A21', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7617, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7618, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 5, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7619, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 3, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7620, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7621, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 16, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7622, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 6, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7623, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7624, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7625, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7626, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 2, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7627, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7628, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7629, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 9, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7630, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7631, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 3, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7632, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D32', '', 2, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7633, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7634, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 7, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7635, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7636, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7637, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D13', '', 1, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7638, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A16', '', 2, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7639, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 10, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7640, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 13, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7641, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 3, 2023, 7, 28, '2024-08-05 14:37:15', NULL, NULL), (7642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2023, 7, 30, '2024-08-05 14:37:16', NULL, NULL), (7643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 7, 30, '2024-08-05 14:37:16', NULL, NULL), (7644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 7, 30, '2024-08-05 14:37:16', NULL, NULL), (7645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 7, 30, '2024-08-05 14:37:16', NULL, NULL), (7646, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 7, 30, '2024-08-05 14:37:16', NULL, NULL), (7647, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D14', '', 1, 2023, 7, 30, '2024-08-05 14:37:16', NULL, NULL), (7648, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 7, 30, '2024-08-05 14:37:16', NULL, NULL), (7649, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2023, 7, 30, '2024-08-05 14:37:16', NULL, NULL), (7650, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2023, 7, 30, '2024-08-05 14:37:16', NULL, NULL), (7651, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 7, 30, '2024-08-05 14:37:16', NULL, NULL), (7652, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 2, 2023, 7, 30, '2024-08-05 14:37:16', NULL, NULL), (7653, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D14', '', 1, 2023, 7, 30, '2024-08-05 14:37:16', NULL, NULL), (7654, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A21', '', 1, 2023, 7, 30, '2024-08-05 14:37:16', NULL, NULL), (7655, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2023, 7, 30, '2024-08-05 14:37:16', NULL, NULL), (7656, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 16, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 10, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 52, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7663, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7664, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7665, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D26', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7666, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 2, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7667, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 5, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7668, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7669, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7670, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 15, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7671, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 21, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7672, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7673, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7674, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7675, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 10, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7676, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A16', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7677, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 4, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7678, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7679, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7680, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7681, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 3, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7682, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7683, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7684, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7685, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 2, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7686, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7687, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D06', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7688, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7689, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 75, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7690, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7691, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7692, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 5, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7693, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7694, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 20, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7695, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D26', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7696, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 2, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7697, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7698, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7699, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 15, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7700, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A22', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7701, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7702, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7703, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7704, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 4, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7705, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A16', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7706, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 3, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7707, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 10, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7708, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7709, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7710, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7711, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 2, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7712, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7713, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2023, 7, 31, '2024-08-05 14:37:16', NULL, NULL), (7714, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 18, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 16, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 31, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 21, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 12, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7723, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7724, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7725, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7726, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 6, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7727, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 5, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7728, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7729, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7730, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7731, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7732, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 16, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7733, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7734, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 3, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7735, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7736, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 14, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7737, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 11, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7738, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7739, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 2, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7740, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 10, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7741, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 2, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7742, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7743, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7744, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D32', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7745, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7746, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7747, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7748, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7749, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7750, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7751, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 3, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7752, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 90, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7753, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7754, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7755, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A06', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7756, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 10, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7757, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7758, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7759, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 6, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7760, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 4, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7761, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 8, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7762, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 2, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7763, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 14, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7764, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 4, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7765, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7766, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C05', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7767, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7768, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 16, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7769, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 3, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7770, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 2, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7771, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 5, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7772, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D32', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7773, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7774, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A09', '', 3, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7775, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7776, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7777, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 2, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7778, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 8, 1, '2024-08-05 14:37:16', NULL, NULL), (7779, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 6, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7780, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 2, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7781, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 40, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7782, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7783, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 22, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7784, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7785, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7786, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 10, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 22, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 7, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 51, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 12, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 9, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7795, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7796, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7797, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7798, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7799, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7800, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7801, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7802, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7803, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 2, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7804, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 4, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7805, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7806, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7807, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 20, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7808, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7809, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 17, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7810, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7811, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E22', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7812, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7813, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 19, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7814, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7815, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7816, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7817, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C10', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7818, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 10, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7819, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 2, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7820, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 2, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7821, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D06', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7822, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7823, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 101, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7824, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 5, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7825, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7826, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7827, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 37, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7828, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7829, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 10, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7830, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 22, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7831, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 2, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7832, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 17, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7833, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7834, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7835, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7836, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 20, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7837, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7838, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7839, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7840, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7841, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7842, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7843, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 2, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7844, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 4, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7845, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7846, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C10', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7847, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 10, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7848, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7849, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 3, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7850, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7851, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7852, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E22', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7853, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 19, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7854, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D18', '', 2, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7855, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7856, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D06', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7857, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 2, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7858, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7859, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 3, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7860, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7861, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7862, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7863, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7864, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7865, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7866, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 14, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7867, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7868, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 17, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7869, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B09', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7870, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D18', '', 2, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7871, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E22', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7872, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D18', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7873, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7874, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 18, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7875, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C10', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7876, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E18', '', 2, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7877, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 8, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7878, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7879, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D20', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7880, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 3, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7881, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7882, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E18', '', 2, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7883, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E22', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7884, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 18, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7885, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7886, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D18', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7887, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7888, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 3, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7889, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D18', '', 2, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7890, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C10', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7891, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7892, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7893, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7894, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 14, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7895, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7896, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 8, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7897, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7898, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B09', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7899, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7900, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7901, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 17, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7902, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7903, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7904, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D20', '', 1, 2023, 8, 2, '2024-08-05 14:37:16', NULL, NULL), (7905, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '', '', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7906, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 6, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7907, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7908, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 3, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7909, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 44, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7910, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7911, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 43, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7912, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7913, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7914, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 11, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7915, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 43, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 44, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 6, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 11, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7923, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7924, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7925, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7926, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7927, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7928, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7929, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 3, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7930, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7931, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7932, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7933, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D10', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7934, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7935, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7936, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 6, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7937, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7938, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 26, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7939, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7940, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7941, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7942, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7943, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 40, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7944, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7945, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B15', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7946, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7947, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7948, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7949, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7950, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7951, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7952, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 4, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7953, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7954, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7955, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7956, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7957, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 107, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7958, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 3, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7959, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 44, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7960, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7961, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 9, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7962, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 3, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7963, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 4, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7964, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7965, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常不满意', '', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (7966, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 41, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7967, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7968, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2D02', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7969, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1E20', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7970, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 40, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7971, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7972, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7973, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7974, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7975, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7976, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7977, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 26, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7978, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7979, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7980, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7981, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7982, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7983, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7984, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7985, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7986, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7987, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7988, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 6, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7989, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 4, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7990, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E30', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7991, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B15', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7992, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7993, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7994, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7995, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7996, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7997, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 4, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7998, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (7999, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8000, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8001, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8002, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8003, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 26, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8004, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8005, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 6, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8006, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D12', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8007, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 40, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8008, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8009, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8010, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D16', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8011, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D18', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8012, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8013, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8014, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E30', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8015, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8016, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B15', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8017, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 4, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8018, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8019, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '', '1D10', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8020, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 3, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8021, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8022, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8023, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8024, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D21', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8025, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8026, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8027, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E30', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8028, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8029, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D16', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8030, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '2D02', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8031, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B15', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8032, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D18', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8033, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常不满意', '1E20', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8034, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8035, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8036, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8037, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 4, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8038, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 26, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8039, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 6, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8040, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8041, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 4, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8042, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8043, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8044, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8045, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8046, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 40, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8047, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8048, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8049, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8050, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8051, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8052, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8053, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D21', '', 1, 2023, 8, 3, '2024-08-05 14:37:16', NULL, NULL), (8054, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 3, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8055, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8056, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8057, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8058, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 37, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8059, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 39, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8060, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8061, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8062, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 92, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8063, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 39, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 37, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 92, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8072, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8073, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8074, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8075, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8076, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8077, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8078, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 8, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8079, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 28, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8080, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8081, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8082, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8083, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 19, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8084, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8085, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 39, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8086, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D14', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8087, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 17, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8088, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8089, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E22', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8090, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8091, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 12, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8092, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8093, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8094, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8095, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 23, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8096, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 8, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8097, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D06', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8098, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8099, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 172, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8100, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 3, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8101, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8102, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8103, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 30, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8104, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8105, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 92, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8106, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 39, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8107, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8108, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8109, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 39, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8110, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8111, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 19, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8112, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8113, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8114, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8115, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8116, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8117, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8118, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8119, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D08', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8120, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8121, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 28, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8122, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 8, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8123, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 23, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8124, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 17, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8125, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D13', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8126, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8127, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D14', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8128, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8129, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D34', '', 12, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8130, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C13', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8131, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8132, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E22', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8133, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D06', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8134, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8135, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8136, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8137, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8138, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 3, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8139, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 8, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8140, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 19, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8141, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8142, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 23, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8143, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B07', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8144, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D34', '', 12, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8145, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D12', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8146, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 17, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8147, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8148, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B06', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8149, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 39, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8150, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D14', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8151, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8152, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E22', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8153, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8154, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8155, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8156, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 8, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8157, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D22', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8158, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D06', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8159, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8160, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 28, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8161, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E22', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8162, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8163, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D14', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8164, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C13', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8165, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D34', '', 12, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8166, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D12', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8167, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 17, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8168, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D13', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8169, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 3, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8170, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8171, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 19, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8172, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 23, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8173, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8174, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8175, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 8, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8176, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D06', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8177, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8178, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8179, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B07', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8180, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 28, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8181, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 2, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8182, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 39, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8183, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B06', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8184, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D08', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8185, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D22', '', 1, 2023, 8, 4, '2024-08-05 14:37:16', NULL, NULL), (8186, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 8, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8187, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8188, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 31, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 8, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 31, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8192, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8193, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 31, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8194, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 8, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8195, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8196, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 38, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8197, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 1, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8198, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 31, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8199, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 7, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8200, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A08', '', 1, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8201, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 7, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8202, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 31, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8203, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8204, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 8, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8205, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 31, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8206, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A08', '', 1, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8207, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 7, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8208, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 31, 2023, 8, 5, '2024-08-05 14:37:16', NULL, NULL), (8209, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 1, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8210, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 7, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 7, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8213, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8214, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 6, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8215, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 1, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8216, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 8, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8217, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 7, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8218, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 1, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8219, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 1, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8220, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 6, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8221, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8222, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 6, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8223, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8224, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D16', '', 1, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8225, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D16', '', 1, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8226, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8227, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 6, 2023, 8, 6, '2024-08-05 14:37:17', NULL, NULL), (8228, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '', '', '', 7, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8229, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 24, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8230, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 4, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8231, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 48, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8232, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8233, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 47, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8234, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 5, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8235, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 18, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8236, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 47, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8237, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 11, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 48, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 24, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 18, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 5, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8243, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8244, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8245, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8246, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8247, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8248, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8249, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8250, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D10', '', 7, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8251, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 4, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8252, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8253, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8254, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8255, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8256, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 28, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8257, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 21, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8258, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8259, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8260, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 38, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8261, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8262, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 11, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8263, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8264, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8265, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8266, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8267, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8268, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D32', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8269, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8270, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 4, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8271, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8272, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8273, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8274, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 140, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8275, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 24, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8276, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 5, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8277, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8278, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 41, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8279, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '非常满意', '', '', 7, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8280, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 16, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8281, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 43, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8282, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 4, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8283, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 37, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8284, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 4, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8285, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D10', '', 7, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8286, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8287, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 28, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8288, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8289, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D17', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8290, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8291, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 21, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8292, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8293, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8294, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8295, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8296, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8297, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8298, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D32', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8299, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8300, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8301, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 4, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8302, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 10, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8303, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8304, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8305, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8306, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8307, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8308, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8309, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8310, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E25', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8311, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 3, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8312, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 21, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8313, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8314, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 5, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8315, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 28, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8316, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B01', '', 4, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8317, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8318, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8319, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D32', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8320, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8321, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 11, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8322, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B06', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8323, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 38, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8324, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8325, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D17', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8326, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D18', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8327, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8328, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8329, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8330, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8331, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '', '1D10', '', 7, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8332, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 4, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8333, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8334, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8335, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D20', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8336, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8337, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8338, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8339, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8340, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8341, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D17', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8342, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 4, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8343, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D18', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8344, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 10, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8345, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8346, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8347, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '非常满意', '1D10', '', 7, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8348, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 3, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8349, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8350, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 28, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8351, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A23', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8352, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8353, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D32', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8354, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8355, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8356, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B01', '', 4, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8357, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8358, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 21, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8359, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8360, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 37, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8361, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B06', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8362, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D20', '', 1, 2023, 8, 7, '2024-08-05 14:37:17', NULL, NULL), (8363, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 20, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8364, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 51, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8365, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 150, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8366, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 51, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8367, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 150, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 51, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 20, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 51, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8373, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8374, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8375, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8376, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8377, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8378, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 20, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8379, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 17, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8380, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 16, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8381, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8382, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8383, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 23, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8384, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 12, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8385, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 17, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8386, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 6, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8387, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 17, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8388, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8389, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 7, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8390, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 10, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8391, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 9, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8392, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 13, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8393, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 6, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8394, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8395, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 7, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8396, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 10, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8397, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 8, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8398, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8399, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 12, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8400, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8401, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8402, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 3, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8403, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 28, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8404, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 9, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8405, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8406, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 6, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8407, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 254, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8408, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 20, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8409, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8410, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 35, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8411, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 51, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8412, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 147, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8413, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 17, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8414, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 20, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8415, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8416, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8417, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 23, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8418, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8419, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 12, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8420, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8421, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 17, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8422, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 6, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8423, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8424, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8425, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8426, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 16, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8427, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8428, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8429, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 6, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8430, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 12, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8431, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 7, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (8432, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8433, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 13, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8434, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 10, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8435, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 7, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8436, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 9, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8437, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8438, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 6, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8439, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 6, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8440, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 3, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8441, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 9, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8442, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 28, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8443, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 9, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8444, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8445, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8446, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8447, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8448, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8449, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 12, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8450, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 6, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8451, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 17, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8452, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 23, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8453, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8454, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 12, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8455, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 7, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8456, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 13, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8457, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 17, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8458, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 20, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8459, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 17, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8460, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8461, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 3, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8462, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E18', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8463, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8464, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8465, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 6, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8466, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8467, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A21', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8468, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 8, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8469, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8470, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 10, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8471, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 6, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8472, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 9, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8473, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 16, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8474, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 10, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8475, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8476, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 7, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8477, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 9, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8478, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 28, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8479, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 3, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8480, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E18', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8481, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8482, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8483, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 6, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8484, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 6, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8485, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 10, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8486, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 13, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8487, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 7, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8488, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8489, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 9, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8490, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 6, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8491, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 9, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8492, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 9, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8493, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8494, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8495, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 28, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8496, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 23, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8497, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8498, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 12, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8499, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 7, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8500, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8501, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8502, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 6, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8503, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 12, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8504, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 2, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8505, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8506, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 16, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8507, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 20, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8508, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 17, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8509, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8510, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 17, 2023, 8, 8, '2024-08-05 14:37:17', NULL, NULL), (8511, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 7, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8512, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8513, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 2, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8514, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 44, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8515, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8516, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 171, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8517, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8518, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 27, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 171, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 44, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 7, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8525, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 27, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8526, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8527, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8528, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D14', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8529, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8530, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8531, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8532, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 15, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8533, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 9, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8534, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 12, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8535, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8536, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8537, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 25, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8538, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8539, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 19, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8540, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 32, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8541, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 12, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8542, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 4, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8543, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 20, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8544, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 6, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8545, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 2, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8546, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8547, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 6, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8548, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D32', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8549, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 8, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8550, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8551, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8552, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 10, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8553, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 4, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8554, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8555, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 3, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8556, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 28, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8557, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 3, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8558, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8559, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 11, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8560, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8561, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8562, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 237, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8563, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8564, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8565, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 33, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8566, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8567, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8568, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 26, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8569, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常不满意', '', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8570, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 2, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8571, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 7, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8572, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8573, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8574, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 166, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8575, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常不满意', '', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8576, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2D32', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8577, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1D28', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8578, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 31, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8579, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 15, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8580, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 24, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8581, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8582, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 4, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8583, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8584, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8585, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8586, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 18, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8587, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8588, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8589, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 12, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8590, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E06', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8591, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8592, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8593, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 4, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8594, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 8, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8595, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 11, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8596, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8597, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 3, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8598, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 9, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8599, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A21', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8600, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8601, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 6, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8602, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 20, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8603, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 5, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8604, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D34', '', 2, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8605, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 12, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8606, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 3, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8607, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 4, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8608, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 28, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8609, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 3, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8610, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E24', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8611, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8612, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 4, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8613, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8614, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 4, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8615, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8616, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 9, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8617, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 25, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8618, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D32', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8619, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 8, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8620, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D34', '', 2, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8621, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 32, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8622, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 15, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8623, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8624, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 19, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8625, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8626, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 3, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8627, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 4, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8628, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 11, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8629, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 2, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8630, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D20', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8631, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 3, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8632, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 10, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8633, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D21', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8634, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 6, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8635, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 6, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8636, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 12, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8637, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 20, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8638, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 4, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8639, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8640, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 12, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8641, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 3, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8642, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 28, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8643, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 3, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8644, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常不满意', '2D32', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8645, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8646, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 11, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8647, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 5, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8648, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 6, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8649, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D34', '', 2, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8650, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 3, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8651, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 9, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8652, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 3, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8653, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常不满意', '1D28', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8654, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 12, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8655, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 4, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8656, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 20, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8657, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8658, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 4, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8659, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 24, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8660, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 28, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8661, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A01', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8662, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 8, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8663, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 4, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8664, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8665, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 4, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8666, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '2E06', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8667, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8668, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 12, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8669, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8670, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8671, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 15, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8672, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 31, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8673, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A21', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8674, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D20', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8675, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 18, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8676, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D21', '', 1, 2023, 8, 9, '2024-08-05 14:37:17', NULL, NULL), (8677, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 10, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8678, 1, '511500000000-0001', '宜宾市民中心', '市司法局', '', '', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8679, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 9, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8680, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 49, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8681, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8682, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 156, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8683, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8684, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 22, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8685, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 156, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 11, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 49, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 10, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 22, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8692, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8693, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8694, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 8, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8695, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8696, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8697, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 32, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8698, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 14, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8699, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8700, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 7, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8701, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8702, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 25, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8703, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8704, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8705, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8706, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 12, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8707, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8708, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 13, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8709, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8710, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 5, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8711, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8712, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8713, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8714, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 16, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8715, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 6, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8716, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8717, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 13, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8718, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 5, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8719, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8720, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 37, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8721, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 14, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8722, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D17', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8723, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 13, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8724, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8725, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 233, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8726, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8727, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8728, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 37, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8729, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8730, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 18, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8731, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 9, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8732, 1, '511500000000-0001', '宜宾市民中心', '市司法局', '非常满意', '', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8733, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8734, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 10, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8735, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8736, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 153, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8737, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A20', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8738, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 12, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8739, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8740, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 32, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8741, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 7, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8742, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8743, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8744, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8745, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 25, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8746, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 7, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8747, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8748, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8749, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8750, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8751, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8752, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A04', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8753, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 5, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8754, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 6, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8755, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 12, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8756, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8757, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 13, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8758, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8759, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8760, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 16, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8761, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8762, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 13, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8763, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8764, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8765, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8766, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 37, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8767, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 14, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8768, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8769, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8770, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 7, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8771, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8772, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8773, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 14, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8774, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 25, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8775, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8776, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8777, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 6, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8778, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8779, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 12, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8780, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 32, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8781, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D17', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8782, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8783, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8784, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8785, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 5, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8786, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D22', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8787, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 13, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8788, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 8, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8789, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D20', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8790, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 13, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8791, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D21', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8792, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 16, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8793, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8794, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 5, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8795, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 13, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8796, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8797, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 14, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8798, 1, '511500000000-0001', '宜宾市民中心', '市司法局', '', '1D24', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8799, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 37, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8800, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8801, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8802, 1, '511500000000-0001', '宜宾市民中心', '市司法局', '非常满意', '1D24', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8803, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 12, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8804, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8805, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 16, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8806, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 13, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8807, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 14, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8808, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 13, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8809, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8810, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 37, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8811, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 25, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8812, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 6, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8813, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8814, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8815, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 5, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8816, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A20', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8817, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A04', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8818, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E21', '', 2, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8819, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8820, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 7, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8821, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8822, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 32, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8823, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 12, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8824, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8825, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A22', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8826, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 7, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8827, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 1, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8828, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D20', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8829, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D21', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8830, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D22', '', 3, 2023, 8, 10, '2024-08-05 14:37:17', NULL, NULL), (8831, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '', '', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8832, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 7, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8833, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 3, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8834, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 42, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8835, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 85, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8836, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8837, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 7, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8838, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 18, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8839, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 5, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 85, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 4, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 42, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 7, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 18, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 7, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8848, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8849, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 2, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8850, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8851, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8852, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8853, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8854, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8855, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8856, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 2, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8857, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D10', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8858, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 5, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8859, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A23', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8860, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 15, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8861, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8862, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 6, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8863, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8864, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 27, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8865, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B08', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8866, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 3, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8867, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8868, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8869, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 10, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8870, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8871, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 6, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8872, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 5, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8873, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8874, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 3, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8875, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8876, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8877, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8878, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8879, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 6, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8880, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8881, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8882, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 17, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8883, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8884, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C10', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8885, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8886, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 22, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8887, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D17', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8888, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8889, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8890, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 158, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8891, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 4, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8892, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 34, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8893, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8894, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8895, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '非常满意', '', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8896, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 17, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (8897, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 3, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8898, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 7, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8899, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 6, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8900, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 84, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8901, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A23', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8902, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 10, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8903, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 5, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8904, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 15, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8905, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D10', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8906, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E24', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8907, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8908, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8909, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 25, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8910, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8911, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8912, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8913, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8914, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8915, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 3, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8916, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8917, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 2, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8918, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 6, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8919, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E06', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8920, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8921, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8922, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C10', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8923, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 6, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8924, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8925, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8926, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 16, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8927, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8928, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D13', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8929, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8930, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8931, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 5, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8932, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8933, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 3, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8934, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8935, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D17', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8936, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 6, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8937, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 22, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8938, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8939, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8940, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E24', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8941, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8942, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8943, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8944, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8945, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 5, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8946, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 27, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8947, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B01', '', 5, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8948, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 6, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8949, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 6, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8950, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B08', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8951, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D12', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8952, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8953, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B06', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8954, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 10, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8955, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 15, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8956, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D17', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8957, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8958, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 3, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8959, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8960, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 2, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8961, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C10', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8962, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8963, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8964, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D22', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8965, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 2, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8966, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '', '1D10', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8967, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8968, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8969, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8970, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D20', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8971, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 17, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8972, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D21', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8973, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 3, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8974, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A23', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8975, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 5, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8976, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 6, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8977, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8978, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8979, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 22, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8980, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8981, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8982, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 3, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8983, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D12', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8984, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D13', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8985, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8986, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 16, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8987, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 2, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8988, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C10', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8989, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '非常满意', '1D10', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8990, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 6, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8991, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D17', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8992, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 5, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8993, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8994, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 25, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8995, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 22, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8996, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 6, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8997, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 6, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8998, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (8999, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B01', '', 5, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9000, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9001, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9002, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '2E06', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9003, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E24', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9004, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9005, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 2, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9006, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9007, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 15, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9008, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 10, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9009, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B06', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9010, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9011, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9012, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9013, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A23', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9014, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 3, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9015, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D20', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9016, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D21', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9017, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D22', '', 1, 2023, 8, 11, '2024-08-05 14:37:17', NULL, NULL), (9018, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 10, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9019, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 10, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9022, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9023, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 3, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9024, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9025, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 8, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9026, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 14, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9027, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9028, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 10, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9029, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 3, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9030, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9031, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 8, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9032, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9033, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 3, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9034, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9035, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9036, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 8, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9037, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9038, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 3, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9039, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9040, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 8, 2023, 8, 12, '2024-08-05 14:37:18', NULL, NULL), (9041, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2023, 8, 13, '2024-08-05 14:37:18', NULL, NULL), (9042, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 8, 13, '2024-08-05 14:37:18', NULL, NULL), (9043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2023, 8, 13, '2024-08-05 14:37:18', NULL, NULL), (9044, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 8, 13, '2024-08-05 14:37:18', NULL, NULL), (9045, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 8, 13, '2024-08-05 14:37:18', NULL, NULL), (9046, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 8, 13, '2024-08-05 14:37:18', NULL, NULL), (9047, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 1, 2023, 8, 13, '2024-08-05 14:37:18', NULL, NULL), (9048, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2023, 8, 13, '2024-08-05 14:37:18', NULL, NULL), (9049, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 8, 13, '2024-08-05 14:37:18', NULL, NULL), (9050, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2023, 8, 13, '2024-08-05 14:37:18', NULL, NULL), (9051, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E18', '', 1, 2023, 8, 13, '2024-08-05 14:37:18', NULL, NULL), (9052, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E18', '', 1, 2023, 8, 13, '2024-08-05 14:37:18', NULL, NULL), (9053, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 11, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9054, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 5, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9055, 1, '511500000000-0001', '宜宾市民中心', '应急、消防', '', '', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9056, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 43, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9057, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9058, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 106, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9059, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9060, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 30, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9061, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 106, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 6, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 43, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 11, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 30, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9070, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9071, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 2, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9072, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9073, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 2, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9074, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9075, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9076, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 26, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9077, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 13, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9078, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 7, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9079, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9080, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9081, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 2, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9082, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 11, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9083, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 23, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9084, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9085, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 15, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9086, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 34, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9087, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9088, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 5, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9089, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 3, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9090, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9091, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 2, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9092, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9093, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9094, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 13, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9095, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9096, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 7, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9097, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9098, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9099, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 10, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9100, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 5, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9101, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 4, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9102, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 181, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9103, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 11, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9104, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 3, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9105, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9106, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 28, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9107, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9108, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 27, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9109, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 105, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9110, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 5, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9111, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 34, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9112, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 26, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9113, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9114, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 22, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9115, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 2, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9116, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 11, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9117, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9118, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9119, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9120, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 15, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9121, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9122, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 2, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9123, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9124, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9125, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 7, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9126, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9127, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 13, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9128, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 4, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9129, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9130, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9131, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9132, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 2, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9133, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 5, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9134, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 3, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9135, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 10, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9136, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 5, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9137, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9138, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 3, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9139, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9140, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 11, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9141, 1, '511500000000-0001', '宜宾市民中心', '应急、消防', '', '1D13', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9142, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 13, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9143, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 23, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9144, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9145, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 13, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9146, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9147, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B06', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9148, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 34, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9149, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 26, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9150, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 15, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9151, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D18', '', 2, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9152, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9153, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9154, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E18', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9155, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 7, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9156, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 4, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9157, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9158, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D20', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9159, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9160, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 2, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9161, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D21', '', 2, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9162, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 3, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9163, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 5, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9164, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 7, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9165, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 2, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9166, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9167, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 5, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9168, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 10, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9169, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9170, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D18', '', 2, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9171, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 4, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9172, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 3, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9173, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9174, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 5, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9175, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 5, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9176, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 3, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9177, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9178, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 10, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9179, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 22, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9180, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 13, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9181, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9182, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9183, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 7, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9184, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 11, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9185, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 2, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9186, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9187, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 7, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9188, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9189, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 26, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9190, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 34, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9191, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B06', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9192, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D20', '', 1, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9193, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 15, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9194, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D21', '', 2, 2023, 8, 14, '2024-08-05 14:37:18', NULL, NULL), (9195, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 9, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9196, 1, '511500000000-0001', '宜宾市民中心', '市司法局', '', '', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9197, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 4, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9198, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 57, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9199, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9200, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 121, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9201, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9202, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 11, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 121, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 57, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 11, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 9, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9210, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9211, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 3, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9212, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9213, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9214, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9215, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9216, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9217, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 22, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9218, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 9, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9219, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9220, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 3, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9221, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 9, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9222, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9223, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 23, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9224, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 7, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9225, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9226, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E27', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9227, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 28, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9228, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 15, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9229, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 4, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9230, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9231, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9232, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 13, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9233, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 21, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9234, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9235, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 5, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9236, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9237, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9238, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9239, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 17, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9240, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9241, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 191, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9242, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 9, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9243, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9244, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 47, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9245, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9246, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 10, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9247, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 119, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9248, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 4, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9249, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 28, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9250, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 22, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9251, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9252, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9253, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E27', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9254, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 23, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9255, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 7, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9256, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9257, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9258, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9259, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 3, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9260, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9261, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D19', '', 3, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9262, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 9, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9263, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D08', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9264, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9265, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9266, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9267, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 5, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9268, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9269, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9270, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9271, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 13, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9272, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 20, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9273, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 14, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9274, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 4, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9275, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9276, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 17, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9277, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9278, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 3, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9279, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 5, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9280, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9281, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 7, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9282, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9283, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 9, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9284, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 23, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9285, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E27', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9286, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9287, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 9, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9288, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9289, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 5, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9290, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 28, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9291, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D36', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9292, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 22, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9293, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D19', '', 3, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9294, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9295, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9296, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 2, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9297, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9298, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D22', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9299, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9300, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9301, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9302, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 21, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9303, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 13, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9304, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 4, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9305, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 15, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9306, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 17, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9307, 1, '511500000000-0001', '宜宾市民中心', '市司法局', '', '1D24', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9308, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9309, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9310, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9311, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D19', '', 3, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9312, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 20, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9313, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D36', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9314, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 17, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9315, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 14, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9316, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 4, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9317, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 13, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9318, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9319, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 3, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9320, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 5, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9321, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E27', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9322, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 23, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9323, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 9, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9324, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 5, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9325, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9326, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9327, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9328, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 7, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9329, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9330, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9331, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 22, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9332, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 28, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9333, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9334, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D08', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9335, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D22', '', 1, 2023, 8, 15, '2024-08-05 14:37:18', NULL, NULL), (9336, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '', '', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9337, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 12, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9338, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9339, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 35, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9340, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 109, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9341, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9342, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 35, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9343, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 6, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 109, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 35, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9348, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 35, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9349, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 9, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9350, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 6, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9351, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 2, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9352, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9353, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 5, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9354, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D10', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9355, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 14, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9356, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 7, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (9357, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 9, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9358, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9359, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9360, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 21, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9361, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 8, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9362, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9363, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 13, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9364, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 38, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9365, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 6, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9366, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9367, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 6, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9368, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 16, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9369, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 15, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9370, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9371, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 12, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9372, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 2, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9373, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 11, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9374, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E09', '', 3, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9375, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D17', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9376, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9377, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9378, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9379, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9380, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 185, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9381, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9382, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '基本满意', '', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9383, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9384, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 29, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9385, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '满意', '', '', 2, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9386, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 34, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9387, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9388, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9389, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9390, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 12, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9391, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 2, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9392, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 106, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9393, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2B02', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9394, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2B02', '', 2, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9395, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 38, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9396, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 13, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9397, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 2, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9398, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 21, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9399, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 8, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9400, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9401, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9402, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9403, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 13, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9404, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9405, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9406, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9407, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 9, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9408, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A11', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9409, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 11, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9410, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 12, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9411, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 2, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9412, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A08', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9413, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 15, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9414, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9415, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 6, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9416, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 16, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9417, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D34', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9418, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 5, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9419, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E09', '', 3, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9420, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 4, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9421, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 8, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9422, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9423, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 7, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9424, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 21, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9425, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 5, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9426, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9427, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 12, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9428, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D34', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9429, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 38, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9430, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D36', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9431, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 14, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9432, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D17', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9433, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 13, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9434, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D18', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9435, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E09', '', 3, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9436, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 2, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9437, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 2, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9438, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B10', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9439, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 11, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9440, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '', '1D10', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9441, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9442, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 15, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9443, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 16, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9444, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 6, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9445, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 9, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9446, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 6, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9447, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E09', '', 3, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9448, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '满意', '2B02', '', 2, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9449, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 2, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9450, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D18', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9451, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A11', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9452, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D36', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9453, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 16, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9454, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 15, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9455, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D34', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9456, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '基本满意', '2B02', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9457, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 5, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9458, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 6, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9459, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 4, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9460, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 21, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9461, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9462, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 12, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9463, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9464, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 11, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9465, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 2, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9466, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9467, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 8, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9468, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 9, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9469, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9470, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 13, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9471, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 38, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9472, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 13, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9473, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A08', '', 1, 2023, 8, 16, '2024-08-05 14:37:18', NULL, NULL), (9474, 1, '511500000000-0001', '宜宾市民中心', '市卫生健康委', '', '', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9475, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 5, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9476, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 82, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9477, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9478, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 79, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9479, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9480, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 5, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9481, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 25, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 79, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 5, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 82, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 25, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 5, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9489, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9490, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9491, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9492, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9493, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9494, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D26', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9495, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9496, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9497, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9498, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9499, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9500, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9501, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 17, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9502, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9503, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 10, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9504, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9505, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 5, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9506, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 26, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9507, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9508, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9509, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E27', '', 30, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9510, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 11, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9511, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 41, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9512, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9513, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D14', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9514, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9515, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 2, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9516, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9517, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9518, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9519, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 13, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9520, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9521, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9522, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 8, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9523, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9524, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 182, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9525, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9526, 1, '511500000000-0001', '宜宾市民中心', '市卫生健康委', '非常满意', '', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9527, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9528, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9529, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 72, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9530, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9531, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '满意', '', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9532, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9533, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 25, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9534, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 4, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9535, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 76, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9536, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E02', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9537, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 41, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9538, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 17, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9539, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E23', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9540, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9541, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9542, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9543, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E27', '', 30, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9544, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 26, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9545, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9546, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E25', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9547, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D26', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9548, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9549, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9550, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9551, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9552, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9553, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9554, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 9, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9555, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9556, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 5, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9557, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9558, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9559, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A02', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9560, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1E20', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9561, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9562, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 13, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9563, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 2, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9564, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D14', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9565, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D34', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9566, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9567, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 8, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9568, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9569, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9570, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E23', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9571, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9572, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9573, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E25', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9574, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9575, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9576, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9577, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 10, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9578, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 26, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9579, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E27', '', 30, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9580, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9581, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 5, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9582, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 13, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9583, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D34', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9584, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9585, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 2, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9586, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D14', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9587, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 41, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9588, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 17, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9589, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9590, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 11, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9591, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9592, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9593, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C14', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9594, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E18', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9595, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9596, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D26', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9597, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9598, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9599, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9600, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9601, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9602, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 8, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9603, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E18', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9604, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D14', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9605, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D34', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9606, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 2, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9607, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9608, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E25', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9609, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9610, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9611, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9612, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9613, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E27', '', 30, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9614, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 8, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9615, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 26, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9616, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 13, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9617, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 5, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9618, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9619, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9620, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9621, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E23', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9622, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9623, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9624, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '1A02', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9625, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9626, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '2E02', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9627, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 3, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9628, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9629, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 17, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9630, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 41, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9631, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9632, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D26', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9633, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '满意', '1E20', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9634, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 9, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9635, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D05', '', 1, 2023, 8, 17, '2024-08-05 14:37:18', NULL, NULL), (9636, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 10, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9637, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 3, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9638, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 123, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9639, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 80, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9640, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 6, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9641, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 15, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9642, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 80, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 6, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 123, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9647, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 10, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9648, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 15, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9650, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9651, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9652, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9653, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 5, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9654, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9655, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 3, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9656, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 33, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9657, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B03', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9658, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 66, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9659, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9660, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 5, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9661, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9662, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 9, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9663, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 35, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9664, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 6, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9665, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 23, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9666, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9667, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 13, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9668, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 4, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9669, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9670, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 12, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9671, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9672, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 6, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9673, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9674, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 227, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9675, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 10, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9676, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 5, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9677, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9678, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 118, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9679, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9680, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 14, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9681, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 77, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9682, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 3, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9683, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9684, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 35, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9685, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 5, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9686, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 3, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9687, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 13, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9688, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9689, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 6, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9690, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9691, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9692, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 12, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9693, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9694, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A09', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9695, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A22', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9696, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 9, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9697, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 5, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9698, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 6, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9699, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9700, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 66, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9701, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 33, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9702, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 3, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9703, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 23, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9704, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 5, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9705, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 4, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9706, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9707, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 33, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9708, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 6, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9709, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 66, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9710, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9711, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 6, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9712, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 13, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9713, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B03', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9714, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 9, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9715, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 5, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9716, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D23', '', 3, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9717, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 6, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9718, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9719, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9720, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 35, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9721, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9722, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9723, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9724, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9725, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 12, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9726, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 23, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9727, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 66, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9728, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 33, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9729, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 6, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9730, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 23, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9731, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A09', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9732, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 13, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9733, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 5, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9734, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9735, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A22', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9736, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 9, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9737, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9738, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 6, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9739, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 5, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9740, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9741, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 3, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9742, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9743, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 35, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9744, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9745, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9746, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 12, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9747, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D23', '', 3, 2023, 8, 18, '2024-08-05 14:37:18', NULL, NULL), (9748, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 4, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9749, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 4, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9752, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9753, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9754, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9755, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 6, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9756, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 4, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9757, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9758, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9759, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9760, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9761, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9762, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9763, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9764, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9765, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 2, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9766, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 8, 19, '2024-08-05 14:37:19', NULL, NULL), (9767, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 16, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9768, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 47, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9769, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9770, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 96, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9771, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 3, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9772, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9773, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 93, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 47, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 16, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9781, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9782, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 6, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9783, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A18', '', 3, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9784, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9785, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 5, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9786, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9787, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 14, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9788, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9789, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9790, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 20, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9791, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 9, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9792, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 7, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9793, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 22, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9794, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 30, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9795, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9796, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9797, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9798, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 12, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9799, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9800, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9801, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9802, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 24, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9803, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9804, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9805, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9806, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9807, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9808, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 154, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9809, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9810, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 16, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9811, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9812, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 3, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9813, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 33, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9814, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9815, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9816, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9817, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 91, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9818, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 30, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9819, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A21', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9820, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9821, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 5, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (9822, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A18', '', 3, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9823, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9824, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 20, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9825, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9826, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 9, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9827, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9828, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 6, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9829, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 7, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9830, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 22, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9831, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9832, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9833, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9834, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A01', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9835, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 21, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9836, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9837, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9838, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9839, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 12, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9840, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9841, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9842, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 5, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9843, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 6, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9844, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9845, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 9, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9846, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 7, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9847, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 14, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9848, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 20, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9849, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9850, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9851, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D12', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9852, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B06', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9853, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9854, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 30, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9855, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B09', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9856, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A18', '', 3, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9857, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 22, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9858, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9859, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B10', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9860, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9861, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9862, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A21', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9863, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9864, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 24, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9865, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 12, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9866, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9867, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9868, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9869, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B10', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9870, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9871, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9872, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9873, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D12', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9874, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9875, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 21, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9876, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 12, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9877, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 6, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9878, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 20, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9879, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9880, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9881, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A01', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9882, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 7, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9883, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 9, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9884, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 5, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9885, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B09', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9886, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9887, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 30, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9888, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B06', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9889, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A21', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9890, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 1, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9891, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 22, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9892, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A18', '', 3, 2023, 8, 21, '2024-08-05 14:37:19', NULL, NULL), (9893, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '', '', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9894, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 19, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9895, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 5, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9896, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 22, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9897, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9898, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 44, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9899, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9900, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 10, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9901, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 11, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 44, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 6, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9905, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 9, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9906, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 22, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9907, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 11, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9908, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 19, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9910, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9911, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 6, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9912, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9913, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9914, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9915, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D10', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9916, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9917, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 7, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9918, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9919, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 11, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9920, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9921, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9922, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 15, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9923, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9924, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D14', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9925, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A16', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9926, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9927, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9928, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 2, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9929, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9930, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9931, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9932, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 22, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9933, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9934, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 7, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9935, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E16', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9936, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9937, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9938, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 20, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9939, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9940, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 98, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9941, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 2, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9942, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 8, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9943, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 14, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9944, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9945, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '非常满意', '', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9946, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 10, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9947, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 5, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9948, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '', '', 2, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9949, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 19, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9950, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9951, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 2, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9952, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 38, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9953, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A08', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9954, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9955, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9956, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D10', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9957, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9958, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9959, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9960, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 11, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9961, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 6, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9962, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 4, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9963, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 15, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9964, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9965, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A16', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9966, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9967, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A21', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9968, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9969, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 17, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9970, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9971, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9972, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 20, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9973, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9974, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 2, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9975, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9976, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9977, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9978, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E16', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9979, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9980, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9981, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 4, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9982, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 15, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9983, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 2, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9984, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 7, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9985, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 11, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9986, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9987, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D12', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9988, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D36', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9989, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D14', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9990, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A16', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9991, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9992, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9993, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9994, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9995, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E16', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9996, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9997, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 7, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9998, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D22', '', 2, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (9999, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '', '1D10', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10000, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 20, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10001, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10002, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D20', '', 2, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10003, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10004, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 22, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10005, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D21', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10006, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 6, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10007, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10008, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E16', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10009, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '2A16', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10010, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 17, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10011, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D36', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10012, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D12', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10013, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10014, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 20, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10015, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '非常满意', '1D10', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10016, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 11, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10017, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A01', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10018, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10019, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10020, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A21', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10021, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 7, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10022, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 15, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10023, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 4, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10024, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10025, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 6, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10026, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10027, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10028, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B04', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10029, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '2A08', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10030, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 2, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10031, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D20', '', 2, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10032, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D21', '', 1, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10033, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D22', '', 2, 2023, 8, 22, '2024-08-05 14:37:19', NULL, NULL), (10034, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 99, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10035, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 2, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10036, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 32, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10037, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 90, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10038, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10039, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 89, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10040, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10041, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 32, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10042, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10043, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 99, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10044, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10045, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10046, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 2, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10047, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A12', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10048, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 21, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10049, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10050, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10051, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10052, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 72, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10053, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 2, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10054, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 13, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10055, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 12, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10056, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10057, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 2, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10058, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 9, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10059, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 34, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10060, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10061, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10062, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10063, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10064, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10065, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10066, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 29, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10067, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10068, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10069, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E16', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10070, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 222, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10071, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 99, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10072, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 27, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10073, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10074, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 88, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10075, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 2, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10076, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 34, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10077, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A12', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10078, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 21, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10079, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 12, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10081, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10082, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 2, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10084, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10085, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 9, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10086, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 72, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10087, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 13, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10088, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 2, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10089, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10090, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10091, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10092, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 28, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10093, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10094, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10095, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10096, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10097, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10098, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10099, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 72, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10100, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 13, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10101, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 2, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10102, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10103, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10104, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10105, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 2, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10106, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 9, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10107, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10108, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 12, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10109, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10110, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 2, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10111, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 34, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10112, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 21, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10113, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A12', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10114, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10115, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D16', '', 2, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10116, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10117, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10118, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E16', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10119, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10120, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10121, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 29, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10122, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10123, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10124, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10125, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10126, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10127, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10128, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D16', '', 2, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10129, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 28, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10130, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10131, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10132, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10133, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10134, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10135, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 12, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10136, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 2, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10137, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10138, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10139, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E21', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10140, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 9, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10141, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10142, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 13, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10143, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 72, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10144, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 21, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10145, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 34, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10146, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10147, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A12', '', 1, 2023, 8, 23, '2024-08-05 14:37:19', NULL, NULL), (10148, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 30, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10149, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 5, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10150, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 31, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10151, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10152, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 171, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10153, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10154, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 46, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 171, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 31, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 46, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 30, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10162, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10163, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10164, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10165, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10166, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E01', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10167, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10168, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10169, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 15, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10170, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 6, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10171, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 30, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10172, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 10, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10173, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10174, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 9, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10175, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 2, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10176, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10177, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 12, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10178, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10179, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 8, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10180, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 24, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10181, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10182, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 24, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10183, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 47, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10184, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 6, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10185, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 23, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10186, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10187, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10188, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10189, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10190, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10191, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 11, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10192, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10193, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 31, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10194, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10195, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10196, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10197, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10198, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10199, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 272, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10200, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10201, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 21, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10202, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10203, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10204, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 45, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10205, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 4, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10206, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 29, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10207, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 169, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10208, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E01', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10209, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 24, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10210, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 15, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10211, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10212, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10213, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10214, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10215, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 11, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10216, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10217, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10218, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10219, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 8, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10220, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 24, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10221, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10222, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 9, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10223, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 9, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10224, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 2, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10225, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 30, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10226, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10227, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 11, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10228, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10229, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 29, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10230, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10231, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10232, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10233, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 23, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10234, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10235, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10236, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 47, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10237, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10238, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 6, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10239, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10240, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 10, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10241, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E01', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10242, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 9, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10243, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10244, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10245, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10246, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 8, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10247, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10248, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 6, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10249, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 12, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10250, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 2, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10251, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 11, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10252, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10253, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 24, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10254, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 15, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10255, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 24, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10256, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D18', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10257, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10258, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10259, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10260, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10261, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10262, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10263, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D22', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10264, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D23', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10265, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10266, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D20', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10267, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 31, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10268, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D21', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10269, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10270, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 30, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10271, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 23, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10272, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 6, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10273, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 47, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10274, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10275, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10276, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10277, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10278, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 29, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10279, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 47, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10280, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 6, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10281, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 23, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10282, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (10283, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 11, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10284, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 11, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10285, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 2, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10286, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10287, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 8, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10288, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10289, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 9, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10290, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 9, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10291, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10292, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10293, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 30, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10294, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10295, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '2E01', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10296, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10297, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 15, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10298, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 24, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10299, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10300, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D20', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10301, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 24, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10302, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D21', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10303, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D22', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10304, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D23', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10305, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D06', '', 1, 2023, 8, 24, '2024-08-05 14:37:19', NULL, NULL), (10306, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '', '', '', 5, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10307, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 25, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10308, 1, '511500000000-0001', '宜宾市民中心', '市司法局', '', '', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10309, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10310, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 38, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10311, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 82, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10312, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 3, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10313, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 12, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10314, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 23, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 80, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 7, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10317, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 23, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10318, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 38, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10319, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 3, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10320, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 24, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10321, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 12, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10322, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A18', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10323, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 20, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10324, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10325, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10326, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 5, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10327, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 2, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10328, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10329, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D10', '', 5, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10330, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A12', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10331, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 13, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10332, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 8, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10333, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 4, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10334, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10335, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 15, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10336, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 15, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10337, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 20, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10338, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10339, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 3, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10340, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10341, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10342, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10343, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 24, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10344, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10345, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E09', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10346, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10347, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10348, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 4, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10349, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E16', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10350, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 11, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10351, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 15, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10352, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10353, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 176, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10354, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 22, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10355, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 30, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10356, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '非常满意', '', '', 5, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10357, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10358, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10359, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10360, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 25, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10361, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 11, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10362, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 79, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10363, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 19, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10364, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A12', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10365, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A21', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10366, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 13, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10367, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D10', '', 5, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10368, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 5, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10369, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10370, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A18', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10371, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 15, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10372, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10373, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10374, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 20, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10375, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10376, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 15, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10377, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10378, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 4, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10379, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A10', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10380, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10381, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 15, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10382, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 23, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10383, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 11, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10384, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10385, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E16', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10386, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 3, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10387, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10388, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 4, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10389, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E09', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10390, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 5, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10391, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 4, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10392, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 5, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10393, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10394, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10395, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 15, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10396, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 8, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10397, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 15, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10398, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10399, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 20, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10400, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 13, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10401, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A12', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10402, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A18', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10403, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E09', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10404, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 20, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10405, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B10', '', 11, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10406, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 2, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10407, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E16', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10408, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10409, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10410, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D22', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10411, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '', '1D10', '', 5, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10412, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 15, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10413, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A21', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10414, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 24, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10415, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10416, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 3, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10417, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 4, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10418, 1, '511500000000-0001', '宜宾市民中心', '市司法局', '', '1D24', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10419, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 2, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10420, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E09', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10421, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E16', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10422, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 2, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10423, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A10', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10424, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B10', '', 11, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10425, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 15, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10426, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 23, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10427, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 4, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10428, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 3, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10429, 1, '511500000000-0001', '宜宾市民中心', '市住建局', '非常满意', '1D10', '', 5, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10430, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10431, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 5, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10432, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 15, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10433, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10434, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10435, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 15, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10436, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10437, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 5, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10438, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 4, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10439, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10440, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 20, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10441, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 13, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10442, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 19, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10443, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A21', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10444, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A12', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10445, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A18', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10446, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D22', '', 1, 2023, 8, 25, '2024-08-05 14:37:20', NULL, NULL), (10447, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 4, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10448, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 4, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10450, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A18', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10451, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10452, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10453, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10454, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10455, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 5, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10456, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 4, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10457, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10458, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E22', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10459, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A18', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10460, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10461, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10462, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10463, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10464, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10465, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A18', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10466, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10467, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E18', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10468, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10469, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E18', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10470, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10471, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E22', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10472, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A18', '', 1, 2023, 8, 26, '2024-08-05 14:37:20', NULL, NULL), (10473, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 30, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10474, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 10, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10475, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10476, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 47, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10477, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 110, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10478, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10479, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 7, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10480, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10481, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 12, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 106, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 13, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 7, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 47, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 30, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 12, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10490, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10491, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A18', '', 4, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10492, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10493, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10494, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 8, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10495, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10496, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D26', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10497, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10498, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10499, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E01', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10500, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10501, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10502, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10503, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 9, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10504, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10505, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 5, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10506, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10507, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10508, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10509, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 8, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10510, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 18, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10511, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10512, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 16, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10513, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 34, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10514, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10515, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10516, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10517, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 28, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10518, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 35, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10519, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 5, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10520, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 7, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10521, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10522, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 10, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10523, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10524, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10525, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10526, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 197, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10527, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10528, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10529, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 5, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10530, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 35, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10531, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10532, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10533, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 10, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10534, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10535, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10536, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10537, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 30, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10538, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10539, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10540, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 10, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10541, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10542, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 102, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10543, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A06', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10544, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A18', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10545, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A06', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10546, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 34, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10547, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E01', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10548, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10549, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10550, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10551, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10552, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A18', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10553, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10554, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 18, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10555, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10556, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D26', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10557, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 8, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10558, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10559, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10560, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 7, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10561, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10562, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 16, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10563, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10564, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 5, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10565, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10566, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10567, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A19', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10568, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10569, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10570, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10571, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 31, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10572, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 5, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10573, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10574, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 27, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10575, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 10, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10576, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A05', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10577, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10578, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10579, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 5, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10580, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E01', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10581, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10582, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10583, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 8, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10584, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 8, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10585, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 16, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10586, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 9, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10587, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 18, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10588, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10589, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10590, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10591, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10592, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 34, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10593, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B09', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10594, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 10, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10595, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A18', '', 4, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10596, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10597, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D18', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10598, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10599, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10600, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10601, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 7, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10602, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10603, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 5, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10604, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D26', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10605, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10606, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 35, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10607, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 28, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10608, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10609, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10610, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10611, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10612, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10613, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 10, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10614, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A18', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10615, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 5, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10616, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D18', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10617, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10618, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 27, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10619, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10620, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 31, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10621, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 7, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10622, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10623, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 18, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10624, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A01', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10625, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10626, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 7, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10627, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A06', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10628, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 16, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10629, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 8, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10630, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E01', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10631, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10632, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10633, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 5, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10634, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10635, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A06', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10636, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10637, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 2, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10638, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B09', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10639, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '2A05', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10640, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 34, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10641, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10642, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10643, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D26', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10644, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10645, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A18', '', 3, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10646, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A19', '', 1, 2023, 8, 28, '2024-08-05 14:37:20', NULL, NULL), (10647, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 28, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10648, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10649, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 51, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10650, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 103, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10651, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10652, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 7, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10653, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 16, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 103, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 7, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 51, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 28, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 16, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10660, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10661, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10662, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 4, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10663, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10664, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10665, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10666, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10667, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10668, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10669, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 12, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10670, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 7, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10671, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10672, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 3, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10673, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10674, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10675, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 4, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10676, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E28', '', 2, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10677, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10678, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 26, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10679, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10680, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 18, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10681, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10682, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 25, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10683, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10684, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 2, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10685, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10686, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 18, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10687, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 6, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10688, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 7, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10689, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 32, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10690, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 5, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10691, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10692, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 3, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10693, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10694, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10695, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E16', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10696, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10697, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 5, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10698, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10699, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10700, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 182, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10701, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10702, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10703, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 7, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10704, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10705, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 40, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10706, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10707, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 14, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10708, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 2, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10709, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 28, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10710, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10711, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10712, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10713, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 92, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10714, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A23', '', 2, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10715, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 25, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10716, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10717, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 12, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10718, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10719, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10720, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E28', '', 2, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10721, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 26, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10722, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 6, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10723, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 4, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10724, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 18, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10725, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10726, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10727, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10728, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 3, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10729, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10730, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D08', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10731, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 4, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10732, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10733, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A09', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10734, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E11', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10735, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 5, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10736, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 6, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10737, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A23', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10738, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 3, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10739, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 32, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10740, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 18, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10741, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 2, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10742, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10743, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E16', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10744, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (10745, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10746, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D05', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10747, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 3, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10748, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10749, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E23', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10750, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10751, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 4, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10752, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10753, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 6, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10754, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 18, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10755, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 7, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10756, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E28', '', 2, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10757, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 26, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10758, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10759, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 4, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10760, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 6, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10761, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D12', '', 2, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10762, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10763, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 25, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10764, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 12, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10765, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10766, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 4, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10767, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10768, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10769, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E16', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10770, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10771, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10772, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 5, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10773, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 5, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10774, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10775, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10776, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 7, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10777, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 32, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10778, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 18, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10779, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10780, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10781, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10782, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10783, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 3, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10784, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E16', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10785, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10786, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '2E11', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10787, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D12', '', 2, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10788, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 18, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10789, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 3, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10790, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 32, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10791, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10792, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10793, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 4, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10794, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E28', '', 2, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10795, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10796, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 26, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10797, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 6, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10798, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A23', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10799, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 4, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10800, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10801, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 5, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10802, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A23', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10803, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D05', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10804, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 18, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10805, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 6, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10806, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10807, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '1A09', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10808, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 3, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10809, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10810, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10811, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 4, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10812, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 12, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10813, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 25, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10814, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A23', '', 2, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10815, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A22', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10816, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D08', '', 1, 2023, 8, 29, '2024-08-05 14:37:20', NULL, NULL), (10817, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 20, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10818, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 7, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10819, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 41, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10820, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10821, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 73, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10822, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10823, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 66, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 73, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 7, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 41, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 66, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 19, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10831, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10832, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 8, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10833, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10834, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10835, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10836, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10837, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10838, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10839, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 4, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10840, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10841, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 16, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10842, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 14, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10843, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 28, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10844, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D38', '', 45, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10845, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10846, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 3, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10847, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10848, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10849, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 11, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10850, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 15, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10851, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10852, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 22, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10853, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 5, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10854, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10855, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E08', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10856, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10857, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 3, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10858, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 5, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10859, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 3, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10860, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 198, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10861, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 20, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10862, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10863, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 3, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10864, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 36, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10865, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10866, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 66, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10867, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 67, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10868, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 7, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10869, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 28, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10870, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10871, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10872, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10873, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 15, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10874, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10875, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10876, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 14, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10877, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 8, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10878, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10879, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10880, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 4, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10881, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10882, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10883, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A22', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10884, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10885, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 15, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10886, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10887, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 19, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10888, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 3, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10889, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 3, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10890, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10891, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10892, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 11, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10893, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10894, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 3, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10895, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 5, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10896, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D38', '', 45, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10897, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E08', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10898, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10899, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10900, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 8, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10901, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10902, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10903, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 14, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10904, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10905, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 16, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10906, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10907, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10908, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 4, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10909, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 15, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10910, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10911, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 28, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10912, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D38', '', 45, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10913, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10914, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E08', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10915, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 3, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10916, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10917, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10918, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D22', '', 3, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10919, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 5, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10920, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D20', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10921, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 22, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10922, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D21', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10923, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 11, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10924, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10925, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 5, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10926, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E08', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10927, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 3, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10928, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 3, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10929, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 11, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10930, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 19, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10931, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 5, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10932, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10933, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D38', '', 45, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10934, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10935, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10936, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 8, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10937, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 15, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10938, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10939, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A01', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10940, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 15, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10941, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 4, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10942, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10943, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A22', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10944, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10945, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 14, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10946, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10947, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10948, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 28, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10949, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10950, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B05', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10951, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10952, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D20', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10953, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D21', '', 2, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10954, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D22', '', 3, 2023, 8, 30, '2024-08-05 14:37:20', NULL, NULL), (10955, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 23, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10956, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '', '', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10957, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 31, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10958, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 64, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10959, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 64, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 31, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 23, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10965, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10966, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10967, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D11', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10968, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 23, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10969, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 13, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10970, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10971, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10972, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10973, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10974, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10975, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 3, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10976, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10977, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 20, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10978, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 21, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10979, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 28, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10980, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10981, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 117, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10982, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10983, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 23, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10984, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10985, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 26, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10986, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10987, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10988, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10989, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 61, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10990, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10991, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 28, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10992, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10993, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A23', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10994, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 11, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10995, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 22, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10996, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 20, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10997, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10998, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (10999, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11000, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 21, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11001, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E09', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11002, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D08', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11003, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 2, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11004, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11005, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11006, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 2, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11007, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11008, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11009, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11010, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 21, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11011, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11012, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 20, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11013, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11014, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11015, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 3, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11016, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 28, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11017, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 13, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11018, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 23, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11019, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11020, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '', '1D11', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11021, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11022, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 2, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11023, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11024, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 20, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11025, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A23', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11026, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 2, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11027, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11028, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11029, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A23', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11030, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '2E09', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11031, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 21, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11032, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11033, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 28, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11034, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 22, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11035, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 11, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11036, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D08', '', 1, 2023, 8, 31, '2024-08-05 14:37:21', NULL, NULL), (11037, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 33, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11038, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 2, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11039, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 37, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11040, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 2, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11041, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11042, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 57, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11043, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11044, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11045, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 57, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 37, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 32, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11052, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11053, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11054, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E23', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11055, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11056, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11057, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11058, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11059, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11060, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11061, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11062, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11063, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 15, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11064, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 19, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11065, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D32', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11066, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 5, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11067, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 6, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11068, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D09', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11069, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11070, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11071, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11072, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11073, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 22, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11074, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 27, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11075, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 22, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11076, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 132, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11077, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11078, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 32, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11079, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11080, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 33, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11081, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11082, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '基本满意', '', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11083, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11084, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 56, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11085, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11086, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 22, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11087, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E23', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11088, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11089, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11090, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 22, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11091, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 4, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11092, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 27, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11093, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11094, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11095, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11096, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D08', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11097, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1D23', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11098, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 5, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11099, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D32', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11100, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 18, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11101, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11102, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 15, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11103, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E23', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11104, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11105, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11106, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11107, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E23', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11108, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 5, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11109, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 4, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11110, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 27, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11111, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11112, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 6, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11113, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 2, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11114, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 22, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11115, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11116, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 5, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11117, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11118, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D32', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11119, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D23', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11120, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D02', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11121, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D12', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11122, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 22, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11123, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 19, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11124, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D21', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11125, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 15, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11126, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D09', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11127, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11128, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11129, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E23', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11130, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11131, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 2, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11132, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E23', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11133, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D12', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11134, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 15, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11135, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 18, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11136, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11137, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 5, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11138, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 22, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11139, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11140, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D32', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11141, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 2, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11142, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 5, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11143, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '基本满意', '1D23', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11144, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11145, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 27, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11146, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 4, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11147, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E23', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11148, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 22, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11149, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11150, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D21', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11151, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D08', '', 1, 2023, 9, 1, '2024-08-05 14:37:21', NULL, NULL), (11152, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 5, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11153, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 14, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11154, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '', '', '', 1, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11155, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 14, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 5, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11160, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11161, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D12', '', 1, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11162, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 13, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11163, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 2, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11164, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 5, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11165, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 3, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11166, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 15, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11167, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11168, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 2, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11169, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 5, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11170, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11171, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 2, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11172, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 9, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11173, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '', '', 1, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11174, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 2, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11175, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 5, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11176, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 1, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11177, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A23', '', 2, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11178, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 9, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11179, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2D09', '', 1, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11180, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '', '1D12', '', 1, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11181, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 13, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11182, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 2, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11183, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11184, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 5, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11185, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 1, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11186, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 5, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11187, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A23', '', 2, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11188, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A23', '', 2, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11189, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '2D09', '', 1, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11190, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 9, 2023, 9, 2, '2024-08-05 14:37:21', NULL, NULL), (11191, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 3, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (11192, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (11193, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (11194, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (11195, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (11196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (11197, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 3, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (11198, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (11199, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (11200, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 4, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (11201, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (11202, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 3, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (11203, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 3, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (11204, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (11205, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 3, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (11206, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 3, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (11207, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (11208, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (11209, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 3, 2023, 9, 3, '2024-08-05 14:37:21', NULL, NULL), (11210, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 26, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11211, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11212, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 40, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11213, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11214, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 86, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11215, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 3, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11216, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 10, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11217, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 26, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 85, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 10, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 40, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 26, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 26, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11226, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A18', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11227, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11228, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 3, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11229, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 5, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11230, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11231, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 3, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11232, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11233, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11234, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 2, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11235, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 43, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11236, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 23, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11237, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11238, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 28, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11239, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11240, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11241, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 8, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11242, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 7, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11243, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 21, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11244, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 2, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11245, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 8, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11246, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 19, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11247, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 6, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11248, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11249, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 183, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11250, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '', '', 2, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11251, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 26, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11252, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 2, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11253, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 8, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11254, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 39, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11255, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11256, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 26, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11257, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 80, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11258, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11259, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11260, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 2, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11261, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A18', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11262, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11263, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 21, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11264, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 3, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11265, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C05', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11266, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 7, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11267, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 3, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11268, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 7, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11269, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 4, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11270, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11271, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 19, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11272, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11273, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11274, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 23, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11275, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 6, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11276, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A08', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11277, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11278, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 26, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11279, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A09', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11280, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 40, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11281, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 8, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11282, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11283, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 2, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11284, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 3, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11285, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 5, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11286, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 5, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11287, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 7, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11288, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 19, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11289, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11290, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C05', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11291, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 8, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11292, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 21, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11293, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 2, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11294, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11295, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B07', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11296, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 23, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11297, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 6, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11298, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D20', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11299, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 28, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11300, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 43, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11301, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 3, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11302, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A18', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11303, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 8, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11304, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 8, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11305, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 6, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11306, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 40, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11307, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 26, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11308, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 3, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11309, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 5, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11310, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 21, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11311, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 23, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11312, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11313, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11314, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 2, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11315, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 19, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11316, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 7, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11317, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11318, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 3, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11319, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11320, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 4, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11321, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C05', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11322, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A09', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11323, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 7, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11324, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D20', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11325, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A18', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11326, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A08', '', 1, 2023, 9, 4, '2024-08-05 14:37:21', NULL, NULL), (11327, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 30, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11328, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 3, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11329, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 30, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11330, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11331, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11332, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 26, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 30, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 26, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 30, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11338, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11339, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11340, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11341, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D37', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11342, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11343, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11344, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 8, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11345, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 3, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11346, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11347, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 11, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11348, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11349, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11350, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 5, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11351, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11352, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11353, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 4, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11354, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 10, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11355, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 3, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11356, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 13, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11357, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 20, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11358, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 88, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11359, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 30, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11360, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 3, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11361, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 25, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11362, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 26, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11363, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11364, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 2, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11365, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 5, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11366, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11367, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11368, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D13', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11369, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 8, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11370, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11371, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A04', '', 3, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11372, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11373, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D34', '', 11, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11374, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 4, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11375, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 13, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11376, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 10, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11377, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D17', '', 2, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11378, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D37', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11379, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11380, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11381, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 20, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11382, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11383, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11384, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 4, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11385, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 2, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11386, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11387, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 10, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11388, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11389, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 20, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11390, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 3, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11391, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 4, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11392, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 13, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11393, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11394, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 5, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11395, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D34', '', 11, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11396, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11397, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 8, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11398, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D37', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11399, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11400, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11401, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D17', '', 3, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11402, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A04', '', 3, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11403, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 3, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11404, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 2, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11405, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 4, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11406, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 13, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11407, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11408, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 5, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11409, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 20, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11410, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 10, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11411, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11412, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11413, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D17', '', 2, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11414, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A04', '', 3, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11415, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D37', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11416, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D34', '', 11, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11417, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D13', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11418, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11419, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11420, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 8, 2023, 9, 5, '2024-08-05 14:37:21', NULL, NULL), (11421, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 31, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11422, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 4, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11423, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫生', '', '', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11424, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11425, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 43, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11426, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 41, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11427, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 3, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11428, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 41, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 6, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 43, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11433, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 31, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11434, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11435, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11436, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11437, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11438, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11439, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11440, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 4, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11441, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11442, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11443, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11444, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11445, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 20, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11446, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11447, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 20, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11448, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11449, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11450, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11451, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D18', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11452, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11453, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11454, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E28', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11455, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 9, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11456, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 12, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11457, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 21, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11458, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 18, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11459, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11460, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 119, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11461, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 31, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11462, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 35, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11463, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 4, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11464, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '满意', '', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11465, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫生', '非常满意', '', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11466, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11467, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 39, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11468, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11469, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2B06', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11470, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11471, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 21, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11472, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 12, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11473, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11474, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11475, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 18, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11476, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D18', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11477, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11478, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11479, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11480, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 18, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11481, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11482, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 20, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11483, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11484, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11485, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 4, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11486, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 9, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11487, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11488, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11489, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11490, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 3, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11491, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 12, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11492, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 18, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11493, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 5, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11494, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫生', '', '1D25', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11495, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E28', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11496, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 9, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11497, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 21, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11498, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11499, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11500, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11501, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11502, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B07', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11503, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11504, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D12', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11505, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B06', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11506, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 20, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11507, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 20, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11508, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11509, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11510, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 3, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11511, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D18', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11512, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 9, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11513, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 3, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11514, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '满意', '2B06', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11515, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11516, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D18', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11517, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11518, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D12', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11519, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 20, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11520, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 18, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11521, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11522, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 3, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11523, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 21, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11524, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11525, 1, '511500000000-0001', '宜宾市民中心', '民政、商务、卫生', '非常满意', '1D25', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11526, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11527, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 18, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11528, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 12, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11529, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11530, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 9, 6, '2024-08-05 14:37:21', NULL, NULL), (11531, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 68, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11532, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 12, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11533, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 5, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11534, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 55, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11535, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11536, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 46, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11537, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11538, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 46, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 18, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 55, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 68, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11545, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11546, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D15', '', 2, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11547, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11548, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 8, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11549, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11550, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11551, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11552, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11553, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11554, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 5, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11555, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 41, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11556, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 8, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11557, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11558, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 13, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11559, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 26, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11560, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 2, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11561, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 6, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11562, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 10, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11563, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11564, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11565, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11566, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11567, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 3, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11568, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 20, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11569, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 2, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11570, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 24, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11571, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 7, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11572, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D09', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11573, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11574, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11575, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11576, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11577, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 184, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11578, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 49, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11579, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11580, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 5, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11581, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11582, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 68, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11583, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 11, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11584, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 44, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11585, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A01', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11586, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11587, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D15', '', 2, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11588, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 26, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11589, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D17', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11590, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11591, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 13, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11592, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 2, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11593, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11594, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 6, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11595, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 8, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11596, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 5, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11597, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 41, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11598, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 8, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11599, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11600, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 2, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11601, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 23, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11602, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 3, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11603, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 20, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11604, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11605, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 10, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11606, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11607, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11608, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 5, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11609, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11610, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 41, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11611, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11612, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 8, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11613, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11614, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11615, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 13, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11616, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11617, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 6, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11618, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 3, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11619, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 26, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11620, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 8, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11621, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11622, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 10, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11623, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 3, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11624, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D15', '', 2, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11625, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11626, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D16', '', 2, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11627, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D17', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11628, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 2, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11629, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11630, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11631, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 7, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11632, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11633, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11634, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 24, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11635, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 20, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11636, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11637, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D09', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11638, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11639, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 10, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11640, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11641, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 2, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11642, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 2, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11643, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D15', '', 2, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11644, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D16', '', 2, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11645, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D17', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11646, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 20, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11647, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 23, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11648, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11649, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11650, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 8, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11651, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11652, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 26, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11653, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 8, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11654, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 7, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11655, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 6, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11656, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 13, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11657, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 41, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11658, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 5, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11659, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11660, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 3, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (11661, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A01', '', 1, 2023, 9, 7, '2024-08-05 14:37:22', NULL, NULL), (11662, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 13, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11663, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11664, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 48, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11665, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11666, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 80, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11667, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11668, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11669, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 14, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 80, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 48, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 13, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 14, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11678, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 36, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11679, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D16', '', 2, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11680, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 6, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11681, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11682, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11683, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11684, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11685, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11686, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11687, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 13, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11688, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 15, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11689, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 9, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11690, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11691, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 7, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11692, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11693, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11694, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11695, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11696, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11697, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 30, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11698, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 5, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11699, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11700, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 16, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11701, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 3, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11702, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 145, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11703, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 13, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11704, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11705, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11706, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 3, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11707, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 40, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11708, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11709, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11710, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 12, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11711, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 76, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11712, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 16, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11713, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11714, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 29, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11715, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11716, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 6, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11717, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 5, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11718, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11719, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11720, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11721, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11722, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A07', '', 3, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11723, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 9, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11724, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 14, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11725, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11726, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C14', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11727, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11728, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 13, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11729, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 33, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11730, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11731, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11732, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D16', '', 2, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11733, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11734, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11735, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 6, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11736, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11737, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11738, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 5, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11739, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B10', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11740, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 7, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11741, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11742, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 30, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11743, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C14', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11744, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11745, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11746, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 9, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11747, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11748, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11749, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 16, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11750, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11751, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D16', '', 2, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11752, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 15, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11753, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 13, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11754, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 36, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11755, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11756, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11757, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11758, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B10', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11759, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C14', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11760, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 13, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11761, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11762, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 14, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11763, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 33, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11764, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A07', '', 3, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11765, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D16', '', 2, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11766, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 2, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11767, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 6, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11768, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 29, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11769, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11770, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11771, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 9, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11772, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 5, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11773, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11774, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11775, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11776, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 16, 2023, 9, 8, '2024-08-05 14:37:22', NULL, NULL), (11777, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 3, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11778, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 11, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11779, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11780, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 3, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 11, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 3, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11785, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11786, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 11, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11787, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 2, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11788, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11789, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11790, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 16, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11791, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11792, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11793, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 11, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11794, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11795, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11796, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 11, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11797, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11798, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11799, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 11, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11800, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 2, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11801, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11802, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E18', '', 1, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11803, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E18', '', 1, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11804, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11805, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 11, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11806, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2023, 9, 9, '2024-08-05 14:37:22', NULL, NULL), (11807, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 9, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11808, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 7, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 9, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 7, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11811, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 9, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11812, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 4, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11813, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 3, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11814, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 16, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11815, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 7, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11816, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 9, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11817, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 3, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11818, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 9, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11819, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 4, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11820, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 3, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11821, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 4, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11822, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 9, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11823, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 3, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11824, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 9, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11825, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 4, 2023, 9, 10, '2024-08-05 14:37:22', NULL, NULL), (11826, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 23, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11827, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 5, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11828, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 4, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11829, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 52, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11830, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11831, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 55, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11832, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11833, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 13, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11834, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 55, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11835, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 9, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11836, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11837, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 52, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 13, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 22, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11841, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D15', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11842, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11843, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11844, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11845, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11846, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11847, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B03', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11848, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11849, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11850, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 7, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11851, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11852, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11853, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11854, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11855, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11856, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 32, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11857, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11858, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 7, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11859, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 30, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11860, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11861, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11862, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E22', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11863, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11864, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 2, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11865, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11866, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 8, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11867, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 16, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11868, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 10, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11869, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 9, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11870, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11871, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11872, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 2, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11873, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 140, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11874, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 23, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11875, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11876, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 46, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11877, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11878, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 13, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11879, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 53, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11880, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 2, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11881, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 30, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11882, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11883, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B03', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11884, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 32, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11885, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D17', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11886, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11887, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11888, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11889, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 7, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11890, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 7, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11891, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11892, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11893, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 10, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11894, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 15, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11895, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D13', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11896, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 2, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11897, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11898, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 8, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11899, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E22', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11900, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 9, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11901, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11902, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11903, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11904, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E24', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11905, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11906, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 7, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11907, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E23', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11908, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 4, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11909, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11910, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E25', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11911, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11912, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 7, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11913, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11914, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B03', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11915, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 32, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11916, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11917, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11918, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 2, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11919, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 30, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11920, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 2, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11921, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D19', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11922, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11923, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11924, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E22', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11925, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11926, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D15', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11927, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D16', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11928, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11929, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D17', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11930, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 9, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11931, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 10, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11932, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 16, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11933, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 8, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11934, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11935, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 9, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11936, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11937, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11938, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E22', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11939, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D16', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11940, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D17', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11941, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 8, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11942, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D13', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11943, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 2, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11944, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 15, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11945, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 2, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11946, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 3, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11947, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 32, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11948, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11949, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 10, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11950, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 7, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11951, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11952, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11953, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 7, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11954, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B03', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11955, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 30, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11956, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2023, 9, 11, '2024-08-05 14:37:22', NULL, NULL), (11957, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 14, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11958, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11959, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 2, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11960, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 52, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11961, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11962, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 99, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11963, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11964, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 47, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 99, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11966, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11967, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11968, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 52, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11969, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 47, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 14, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11972, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 7, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11973, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11974, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11975, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11976, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11977, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11978, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 8, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11979, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 22, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11980, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 8, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11981, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11982, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 2, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11983, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11984, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11985, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D19', '', 2, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11986, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 37, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11987, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 8, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11988, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 39, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11989, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 24, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11990, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11991, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E27', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11992, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11993, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11994, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 36, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11995, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11996, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 200, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11997, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 14, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11998, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (11999, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 41, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12000, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12001, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12002, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 46, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12003, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 96, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12004, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 36, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12005, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12006, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12007, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12008, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 38, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12009, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 8, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12010, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12011, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12012, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 2, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12013, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D08', '', 37, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12014, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12015, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 8, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12016, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12017, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 19, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12018, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 8, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12019, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 7, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12020, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 24, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12021, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12022, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 2, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12023, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12024, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 4, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12025, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 8, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12026, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12027, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12028, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 39, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12029, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E27', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12030, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12031, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12032, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 8, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12033, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12034, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D12', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12035, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12036, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 36, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12037, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 22, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12038, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 8, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12039, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12040, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D19', '', 2, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12041, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 37, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12042, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12043, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 7, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12044, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 24, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12045, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12046, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12047, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12048, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 8, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12049, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 19, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12050, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 24, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12051, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 7, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12052, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 38, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12053, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 8, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12054, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12055, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 8, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12056, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 2, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12057, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12058, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12059, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 36, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12060, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B05', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12061, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12062, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 1, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12063, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D08', '', 37, 2023, 9, 12, '2024-08-05 14:37:22', NULL, NULL), (12064, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 28, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12065, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12066, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12067, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 41, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12068, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12069, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 50, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12070, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12071, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 2, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12072, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 50, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12074, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12075, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12076, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12077, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 41, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12078, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 27, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12081, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12082, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12083, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12084, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12085, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12086, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12087, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12088, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12089, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12090, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 5, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12091, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12092, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12093, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 24, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12094, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12095, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 13, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12096, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 2, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12097, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 30, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12098, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12099, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12100, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12101, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12102, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12103, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B12', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12104, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 17, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12105, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12106, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 5, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12107, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E08', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12108, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 10, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12109, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12110, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 124, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12111, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12112, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 36, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12113, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12114, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '不满意', '', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12115, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12116, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12117, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 27, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12118, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12119, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12120, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12121, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 49, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (12122, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2B09', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12123, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 30, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12124, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12125, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 23, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12126, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C05', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12127, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 6, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12128, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12129, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12130, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12131, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 13, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12132, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 2, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12133, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12134, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 4, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12135, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12136, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12137, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12138, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 5, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12139, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B12', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12140, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 16, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12141, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12142, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12143, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12144, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12145, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12146, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 10, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12147, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E08', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12148, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12149, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 5, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12150, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12151, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12152, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12153, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12154, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 6, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12155, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 13, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12156, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12157, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 3, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12158, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C05', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12159, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 24, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12160, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12161, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 30, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12162, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B09', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12163, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12164, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D16', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12165, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 2, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12166, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12167, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12168, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E08', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12169, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12170, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 10, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12171, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B12', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12172, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 5, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12173, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A21', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12174, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12175, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 17, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12176, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E08', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12177, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 10, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12178, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12179, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12180, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B12', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12181, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12182, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D16', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12183, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12184, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '不满意', '2B09', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12185, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 16, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12186, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12187, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12188, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 23, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12189, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12190, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A01', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12191, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 5, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12192, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 13, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12193, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 6, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12194, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 4, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12195, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12196, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12197, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 30, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12198, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12199, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C05', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12200, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12201, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 2, 2023, 9, 13, '2024-08-05 14:37:23', NULL, NULL), (12202, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 13, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12203, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 9, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12204, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 48, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12205, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12206, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 78, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12207, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 7, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12208, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 9, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12209, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 78, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 9, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 6, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 48, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 13, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 7, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12218, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12219, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12220, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12221, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12222, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 6, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12223, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12224, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12225, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 7, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12226, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 6, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12227, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12228, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12229, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 4, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12230, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 8, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12231, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 21, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12232, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 5, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12233, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 4, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12234, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 3, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12235, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 5, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12236, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 23, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12237, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12238, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12239, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A16', '', 3, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12240, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12241, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 24, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12242, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 23, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12243, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 4, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12244, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 8, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12245, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12246, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12247, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12248, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 163, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12249, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 13, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12250, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 7, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12251, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 9, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12252, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 40, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12253, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12254, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12255, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 76, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12256, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 9, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12257, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 23, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12258, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 6, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12259, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12260, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12261, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12262, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 4, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12263, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 20, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12264, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D17', '', 4, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12265, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 8, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12266, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12267, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 5, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12268, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12269, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 3, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12270, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 5, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12271, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12272, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12273, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12274, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 6, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12275, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 4, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12276, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12277, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 21, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12278, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12279, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A16', '', 3, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12280, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12281, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 24, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12282, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12283, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12284, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 8, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12285, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12286, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12287, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12288, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 8, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12289, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12290, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 5, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12291, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 7, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12292, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 21, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12293, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 6, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12294, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 6, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12295, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12296, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12297, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12298, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D12', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12299, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12300, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 23, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12301, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D36', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12302, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D16', '', 5, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12303, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 3, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12304, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D17', '', 4, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12305, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A16', '', 3, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12306, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 4, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12307, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12308, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 8, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12309, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12310, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 4, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12311, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12312, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 23, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12313, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 24, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12314, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12315, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12316, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 8, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12317, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D16', '', 5, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12318, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D17', '', 4, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12319, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12320, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A16', '', 3, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12321, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D36', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12322, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D12', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12323, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 24, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12324, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 21, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12325, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12326, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12327, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12328, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 20, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12329, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12330, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12331, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 6, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12332, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12333, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 4, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12334, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E21', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12335, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 5, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12336, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 8, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12337, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 4, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12338, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 2, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12339, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B04', '', 6, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12340, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12341, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 23, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12342, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B05', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12343, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12344, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 3, 2023, 9, 14, '2024-08-05 14:37:23', NULL, NULL), (12345, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 40, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12346, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12347, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 5, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12348, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 41, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12349, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12350, 1, '511500000000-0001', '宜宾市民中心', '华润天然气有限公司', '', '', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12351, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 30, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12352, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12353, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 3, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12354, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 13, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 30, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 7, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 41, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12360, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 40, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 13, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12363, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12364, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12365, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D15', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12366, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12367, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12368, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12369, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B03', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12370, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D23', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12371, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12372, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12373, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12374, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 27, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12375, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12376, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12377, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 32, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12378, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12379, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12380, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 7, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12381, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 11, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12382, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12383, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12384, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12385, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D32', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12386, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 17, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12387, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 9, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12388, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12389, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12390, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12391, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 122, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12392, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12393, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 39, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12394, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12395, 1, '511500000000-0001', '宜宾市民中心', '华润天然气有限公司', '非常满意', '', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12396, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 12, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12397, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 3, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12398, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 39, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12399, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12400, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 24, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12401, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D23', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12402, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 32, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12403, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D17', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12404, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12405, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C05', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12406, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12407, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12408, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12409, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 7, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12410, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12411, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 11, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12412, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12413, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 26, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12414, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 9, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12415, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D32', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12416, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 12, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12417, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12418, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12419, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12420, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12421, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12422, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 27, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12423, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12424, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12425, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12426, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 7, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12427, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12428, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B03', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12429, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C05', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12430, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 32, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12431, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12432, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D32', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12433, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12434, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12435, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D15', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12436, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D16', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12437, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 11, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12438, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D17', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12439, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12440, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12441, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B10', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12442, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12443, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12444, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 9, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12445, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D23', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12446, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 17, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12447, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12448, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12449, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12450, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12451, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12452, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D16', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12453, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D17', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12454, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 12, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12455, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12456, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12457, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12458, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 32, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12459, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D32', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12460, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 9, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12461, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 7, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12462, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12463, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 26, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12464, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12465, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12466, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C05', '', 1, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12467, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D23', '', 2, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12468, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 11, 2023, 9, 15, '2024-08-05 14:37:23', NULL, NULL), (12469, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 10, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12470, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12471, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12472, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12473, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 10, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12479, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12480, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12481, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12482, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 1, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12483, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 10, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12484, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 14, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12485, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12486, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 10, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12487, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12488, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12489, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12490, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12491, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12492, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 10, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12493, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12494, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12495, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 10, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12496, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12497, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C14', '', 1, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12498, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12499, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 10, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12500, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12501, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 2, 2023, 9, 16, '2024-08-05 14:37:23', NULL, NULL), (12502, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2023, 9, 17, '2024-08-05 14:37:23', NULL, NULL), (12503, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 9, 17, '2024-08-05 14:37:23', NULL, NULL), (12504, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 2, 2023, 9, 17, '2024-08-05 14:37:23', NULL, NULL), (12505, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 2, 2023, 9, 17, '2024-08-05 14:37:23', NULL, NULL), (12506, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2023, 9, 17, '2024-08-05 14:37:23', NULL, NULL), (12507, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 2, 2023, 9, 17, '2024-08-05 14:37:23', NULL, NULL), (12508, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 2, 2023, 9, 17, '2024-08-05 14:37:23', NULL, NULL), (12509, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 2, 2023, 9, 17, '2024-08-05 14:37:23', NULL, NULL), (12510, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 11, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12511, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 5, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12512, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 3, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12513, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 34, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12514, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 5, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12515, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 33, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12516, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12517, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 70, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 33, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 8, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 5, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 34, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 70, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12524, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 11, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12525, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12526, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12527, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12528, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12529, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12530, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12531, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12532, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 6, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12533, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12534, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12535, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 20, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12536, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 2, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12537, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12538, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 5, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12539, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12540, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A16', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12541, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 2, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12542, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 3, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12543, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 10, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12544, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 21, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12545, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 11, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12546, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 58, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12547, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12548, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 4, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12549, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12550, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12551, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12552, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 149, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12553, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12554, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 27, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12555, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 5, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12556, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12557, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 70, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12558, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 3, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12559, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常不满意', '', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12560, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 11, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12561, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12562, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12563, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 4, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12564, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 28, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12565, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A01', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12566, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12567, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12568, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12569, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C07', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12570, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 18, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12571, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D17', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12572, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12573, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 6, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12574, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E25', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12575, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 2, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12576, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12577, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (12578, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 5, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12579, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12580, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A16', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12581, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12582, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 11, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12583, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2E06', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12584, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 18, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12585, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12586, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C14', '', 2, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12587, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 10, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12588, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 3, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12589, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D18', '', 58, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12590, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 4, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12591, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12592, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12593, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12594, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12595, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E25', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12596, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 3, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12597, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 6, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12598, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 5, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12599, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12600, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 6, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12601, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 20, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12602, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12603, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C14', '', 2, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12604, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 11, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12605, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12606, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12607, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 21, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12608, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 10, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12609, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D18', '', 58, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12610, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 4, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12611, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12612, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12613, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D16', '', 2, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12614, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D17', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12615, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A16', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12616, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常不满意', '2E06', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12617, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 4, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12618, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 3, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12619, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A16', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12620, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D16', '', 2, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12621, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D17', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12622, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C14', '', 2, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12623, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 10, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12624, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 18, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12625, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D18', '', 58, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12626, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E25', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12627, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12628, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12629, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 18, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12630, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A01', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12631, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12632, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12633, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 11, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12634, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 5, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12635, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 6, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12636, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12637, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12638, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C07', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12639, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A01', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12640, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12641, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 9, 18, '2024-08-05 14:37:23', NULL, NULL), (12642, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 10, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12643, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12644, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 2, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12645, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12646, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 42, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12647, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12648, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 36, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12649, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12650, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 36, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 42, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 10, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12658, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12659, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D15', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12660, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12661, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12662, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12663, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12664, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12665, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12666, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 10, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12667, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12668, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12669, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 20, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12670, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12671, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 6, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12672, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12673, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D38', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12674, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12675, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 3, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12676, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12677, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 4, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12678, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 17, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12679, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 10, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12680, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 5, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12681, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D07', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12682, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12683, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 4, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12684, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 86, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12685, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12686, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 32, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12687, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12688, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12689, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12690, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 10, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12691, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12692, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12693, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 32, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12694, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12695, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12696, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12697, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12698, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12699, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 20, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12700, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 4, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12701, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12702, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 6, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12703, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12704, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12705, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 5, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12706, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 3, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12707, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 9, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12708, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 17, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12709, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12710, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 4, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12711, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12712, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D38', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12713, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12714, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D07', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12715, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12716, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 5, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12717, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E20', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12718, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 4, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12719, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 6, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12720, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12721, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 10, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12722, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 20, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12723, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12724, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12725, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12726, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D38', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12727, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D15', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12728, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D16', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12729, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12730, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 4, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12731, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C14', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12732, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 5, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12733, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 4, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12734, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12735, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 10, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12736, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 17, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12737, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D07', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12738, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 3, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12739, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12740, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12741, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12742, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 4, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12743, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D16', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12744, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 3, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12745, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 17, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12746, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 9, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12747, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12748, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D38', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12749, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 2, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12750, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 5, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12751, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 20, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12752, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12753, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 5, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12754, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E20', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12755, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 6, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12756, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 4, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12757, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D07', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12758, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12759, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12760, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12761, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 9, 19, '2024-08-05 14:37:24', NULL, NULL), (12762, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 10, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12763, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 7, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12764, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 9, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12765, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 27, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12766, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12767, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12768, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 56, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12769, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12770, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 28, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 56, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 18, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 27, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 10, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 28, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12778, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12779, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12780, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12781, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12782, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12783, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12784, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12785, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 6, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12786, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12787, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12788, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D17', '', 7, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12789, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 12, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12790, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12791, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D16', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12792, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 18, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12793, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12794, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D16', '', 3, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12795, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 4, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12796, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 7, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12797, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12798, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 6, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12799, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 18, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12800, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12801, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 12, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12802, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12803, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D07', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12804, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12805, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12806, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12807, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12808, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12809, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 11, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12810, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12811, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 130, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12812, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12813, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 21, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12814, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12815, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 28, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12816, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 8, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12817, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12818, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 10, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12819, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 5, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12820, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12821, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 54, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12822, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A01', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12823, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 18, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12824, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12825, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12826, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12827, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12828, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 12, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12829, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 6, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12830, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D17', '', 7, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12831, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12832, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D16', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12833, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12834, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12835, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12836, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 6, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12837, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 12, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12838, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 6, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12839, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 11, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12840, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 17, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12841, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12842, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 7, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12843, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12844, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12845, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 4, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12846, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D16', '', 3, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12847, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D07', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12848, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12849, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12850, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12851, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12852, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 6, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12853, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12854, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12855, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12856, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 5, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12857, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 12, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12858, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12859, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12860, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 6, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12861, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 18, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12862, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12863, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D16', '', 3, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12864, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12865, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D16', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12866, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '1D17', '', 7, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12867, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 4, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12868, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12869, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12870, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12871, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12872, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E18', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12873, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 12, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12874, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 11, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12875, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12876, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 18, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12877, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12878, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 7, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12879, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D07', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12880, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 6, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12881, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12882, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12883, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E18', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12884, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12885, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 4, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12886, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D16', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12887, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '1D17', '', 7, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12888, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 11, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12889, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 7, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12890, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 17, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12891, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D16', '', 3, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12892, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12893, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12894, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 12, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12895, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 2, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12896, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 6, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12897, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12898, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 12, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12899, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12900, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 6, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12901, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D07', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12902, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 6, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12903, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12904, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 18, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12905, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A01', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12906, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12907, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12908, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12909, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A22', '', 1, 2023, 9, 20, '2024-08-05 14:37:24', NULL, NULL), (12910, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 10, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12911, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 3, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12912, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12913, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 33, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12914, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12915, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 32, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12916, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 5, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12917, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 27, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 32, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 33, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12922, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 9, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12923, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 27, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12924, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 5, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12925, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12926, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12927, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 5, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12928, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 8, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12929, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 9, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12930, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12931, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12932, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12933, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12934, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 16, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12935, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12936, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12937, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12938, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D15', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12939, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12940, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12941, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12942, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12943, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12944, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 4, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12945, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 11, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12946, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 13, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12947, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12948, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E09', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12949, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E16', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12950, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 13, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12951, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12952, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12953, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 98, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12954, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 25, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12955, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12956, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 27, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12957, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12958, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 10, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12959, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 5, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12960, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12961, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12962, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 28, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12963, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A01', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12964, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12965, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B01', '', 5, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12966, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 16, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12967, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C05', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12968, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 4, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12969, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12970, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12971, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12972, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12973, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12974, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 9, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12975, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12976, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12977, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 11, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12978, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 12, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12979, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 11, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12980, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12981, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 4, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12982, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12983, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12984, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E16', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12985, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D15', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12986, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E09', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12987, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12988, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 5, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12989, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 4, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12990, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12991, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 8, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12992, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C05', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12993, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 16, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12994, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B01', '', 5, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12995, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12996, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12997, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 11, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12998, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (12999, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D15', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13000, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13001, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13002, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13003, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E09', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13004, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13005, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E16', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13006, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13007, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D02', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13008, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 13, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13009, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 13, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13010, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 4, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13011, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 9, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13012, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13013, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E09', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13014, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E16', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13015, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13016, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 12, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13017, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D15', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13018, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 4, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13019, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 11, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13020, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 5, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13021, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 16, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13022, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 11, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13023, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A01', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13024, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13025, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13026, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13027, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B01', '', 5, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (13028, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13029, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 4, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13030, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13031, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 9, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13032, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13033, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A01', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13034, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C05', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13035, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13036, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D23', '', 1, 2023, 9, 21, '2024-08-05 14:37:24', NULL, NULL), (13037, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 16, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13038, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 9, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13039, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '', '', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13040, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 31, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13041, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 32, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13042, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13043, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 7, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13044, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13045, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 10, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 32, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 10, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 7, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 31, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13051, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 16, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13052, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 10, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13053, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13054, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 2, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13055, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 11, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13056, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 2, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13057, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 6, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13058, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13059, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 2, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13060, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13061, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13062, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D11', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13063, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13064, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13065, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13066, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13067, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 10, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13068, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13069, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13070, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13071, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13072, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13073, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 15, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13074, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 4, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13075, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 12, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13076, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 29, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13077, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13078, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13079, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 104, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13081, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 7, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13082, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 27, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13083, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13084, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '非常满意', '', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13085, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 10, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13086, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13087, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 16, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13088, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13089, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13090, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 8, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13091, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 30, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13092, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A22', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13093, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 29, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13094, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D11', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13095, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13096, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13097, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13098, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13099, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 15, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13100, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 6, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13101, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13102, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 10, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13103, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 12, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13104, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 2, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13105, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13106, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13107, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13108, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A22', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13109, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 10, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13110, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13111, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 2, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13112, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13113, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 2, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13114, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 4, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13115, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13116, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 11, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13117, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13118, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 2, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13119, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13120, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13121, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 12, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13122, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13123, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 3, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13124, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 15, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13125, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13126, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13127, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 10, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13128, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13129, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13130, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 29, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13131, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13132, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 4, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13133, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 2, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13134, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 6, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13135, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13136, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13137, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '', '1D11', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13138, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 2, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13139, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 2, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13140, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 2, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13141, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 4, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13142, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13143, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13144, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13145, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 10, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13146, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 15, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13147, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13148, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A22', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13149, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 10, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13150, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 12, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13151, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13152, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13153, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 6, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13154, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13155, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 2, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13156, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 29, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13157, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A22', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13158, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '非常满意', '1D11', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13159, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B05', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13160, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13161, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 9, 22, '2024-08-05 14:37:24', NULL, NULL), (13162, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 2, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13163, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13164, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 9, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13165, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 9, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13169, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E14', '', 2, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13170, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13171, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 3, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13172, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 3, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13173, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 2, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13174, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13175, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 2, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13176, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 13, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13177, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 2, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13178, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13179, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 9, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13180, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13181, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E14', '', 2, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13182, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 2, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13183, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 2, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13184, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 3, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13185, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 3, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13186, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E14', '', 2, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13187, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 3, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13188, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 3, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13189, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 1, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13190, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 2, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13191, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 2, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13192, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E18', '', 1, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13193, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 3, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13194, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 2, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13195, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 1, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13196, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E14', '', 2, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13197, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 3, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13198, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 2, 2023, 9, 23, '2024-08-05 14:37:24', NULL, NULL), (13199, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 9, 24, '2024-08-05 14:37:25', NULL, NULL), (13200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 9, 24, '2024-08-05 14:37:25', NULL, NULL), (13201, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 9, 24, '2024-08-05 14:37:25', NULL, NULL), (13202, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 1, 2023, 9, 24, '2024-08-05 14:37:25', NULL, NULL), (13203, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 9, 24, '2024-08-05 14:37:25', NULL, NULL), (13204, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 9, 24, '2024-08-05 14:37:25', NULL, NULL), (13205, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2023, 9, 24, '2024-08-05 14:37:25', NULL, NULL), (13206, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2023, 9, 24, '2024-08-05 14:37:25', NULL, NULL), (13207, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 10, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13208, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 3, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13209, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 42, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13210, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 42, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13211, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13212, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 9, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 42, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 42, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 10, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 9, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13219, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13220, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13221, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 9, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13222, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13223, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13224, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13225, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13226, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13227, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13228, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 15, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13229, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 8, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13230, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13231, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13232, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13233, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13234, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13235, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 24, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13236, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13237, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 24, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13238, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13239, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 86, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13240, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 10, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13241, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13242, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 29, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13243, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13244, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13245, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 36, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13246, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 24, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13247, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 8, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13248, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13249, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 11, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13250, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13251, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13252, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13253, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13254, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 24, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13255, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 6, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13256, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13257, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13258, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13259, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13260, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 9, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13261, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13262, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13263, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 6, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13264, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13265, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 5, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13266, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 2, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13267, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 24, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13268, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13269, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 8, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13270, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13271, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 24, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13272, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13273, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 15, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13274, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13275, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13276, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13277, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13278, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13279, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13280, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13281, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 2, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13282, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 24, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13283, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13284, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13285, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13286, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 8, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13287, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13288, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13289, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 6, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13290, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13291, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 24, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13292, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13293, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 11, 2023, 9, 25, '2024-08-05 14:37:25', NULL, NULL), (13294, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 12, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13295, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13296, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 49, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13297, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13298, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 34, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13299, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13300, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13301, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 34, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13302, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 49, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 12, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13308, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13309, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 8, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13310, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13311, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13312, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13313, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13314, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13315, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13316, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 3, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13317, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13318, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 3, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13319, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13320, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 5, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13321, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13322, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13323, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13324, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13325, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13326, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13327, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 29, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13328, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 6, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13329, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 23, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13330, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13331, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 79, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13332, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 12, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13333, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 35, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13334, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13335, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13336, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13337, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13338, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 30, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13339, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A07', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13340, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13341, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 23, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13342, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13343, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 3, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13344, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13345, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 3, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13346, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13347, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 3, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13348, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13349, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13350, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 29, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13351, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 6, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13352, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13353, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 6, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13354, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13355, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13356, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 8, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13357, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 6, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13358, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 3, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13359, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 6, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13360, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13361, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 5, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13362, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13363, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 29, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13364, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13365, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13366, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13367, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 23, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13368, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13369, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 5, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13370, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13371, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 3, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13372, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13373, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13374, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13375, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13376, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13377, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13378, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 29, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13379, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A01', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13380, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13381, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 6, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13382, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A07', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13383, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 6, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13384, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 3, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13385, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13386, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 23, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13387, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 3, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13388, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13389, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 3, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13390, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2023, 9, 26, '2024-08-05 14:37:25', NULL, NULL), (13391, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 22, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13392, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13393, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13394, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 37, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13395, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 5, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13396, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 9, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13397, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13398, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13399, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13400, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 9, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13401, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 5, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13403, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13404, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 37, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13405, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13406, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 22, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13407, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13408, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13409, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13410, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D38', '', 2, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13411, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 6, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13412, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13413, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13414, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13415, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13416, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 2, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13417, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B03', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13418, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13419, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13420, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 8, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13421, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13422, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13423, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 5, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13424, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13425, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 23, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13426, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13427, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13428, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 11, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13429, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13430, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13431, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 68, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13432, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 26, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13433, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 5, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13434, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13435, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 21, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13436, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13437, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13438, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 7, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13439, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13440, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 2, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13441, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B03', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13442, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13443, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 22, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13444, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13445, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13446, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13447, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 11, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13448, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13449, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 5, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13450, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13451, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 7, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13452, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D13', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13453, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13454, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13455, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13456, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D38', '', 2, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13457, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 5, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13458, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13459, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 6, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13460, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13461, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13462, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 6, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13463, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 11, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13464, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 2, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13465, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13466, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B03', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13467, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13468, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 23, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13469, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 2, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13470, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13471, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13472, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13473, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13474, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D38', '', 2, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13475, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 8, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13476, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13477, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13478, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13479, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13480, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13481, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13482, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D13', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13483, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 7, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (13484, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D38', '', 2, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13485, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13486, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 22, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13487, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13488, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13489, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 11, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13490, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13491, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 5, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13492, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13493, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B03', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13494, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 2, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13495, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13496, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 2, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13497, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D06', '', 1, 2023, 9, 27, '2024-08-05 14:37:25', NULL, NULL), (13498, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 14, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13499, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13500, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 22, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13501, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13502, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13503, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 15, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13504, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13505, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 15, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13506, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 22, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 14, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13511, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13512, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13513, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13514, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13515, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13516, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C12', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13517, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13518, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 3, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13519, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 2, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13520, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13521, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13522, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13523, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 18, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13524, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13525, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 12, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13526, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13527, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 11, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13528, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 54, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13529, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 14, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13530, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 20, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13531, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13532, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13533, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13534, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 14, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13535, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 11, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13536, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 2, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13537, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 3, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13538, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13539, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C12', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13540, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13541, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13542, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13543, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 18, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13544, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13545, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13546, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 12, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13547, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13548, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13549, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13550, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13551, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 12, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13552, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C12', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13553, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13554, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13555, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 18, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13556, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13557, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 2, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13558, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 11, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13559, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13560, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13561, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 3, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13562, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13563, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13564, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13565, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 18, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13566, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 2, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13567, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 12, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13568, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13569, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13570, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 11, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13571, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13572, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13573, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C12', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13574, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13575, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 3, 2023, 9, 28, '2024-08-05 14:37:25', NULL, NULL), (13576, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 4, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13577, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13578, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 4, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13582, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13583, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13584, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 3, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13585, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13586, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13587, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 5, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13588, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13589, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13590, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13591, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 3, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13592, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13593, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A22', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13594, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13595, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13596, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13597, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13598, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 3, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13599, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13600, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13601, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13602, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13603, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13604, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A22', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13605, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2023, 10, 3, '2024-08-05 14:37:26', NULL, NULL), (13606, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13607, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 4, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 4, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13609, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13610, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13611, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 1, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13612, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 3, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13613, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 5, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13614, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13615, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 4, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13616, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13617, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 1, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13618, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 3, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13619, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 1, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13620, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 3, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13621, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13622, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 1, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13623, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 3, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13624, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2023, 10, 4, '2024-08-05 14:37:27', NULL, NULL), (13625, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13626, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13627, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 42, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 42, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13631, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13632, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 40, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13633, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 2, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13634, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13635, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 43, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13636, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 42, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13637, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13638, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 40, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13639, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 2, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13640, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13641, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 2, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13642, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 40, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13643, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13644, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13645, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 2, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13646, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13647, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 40, 2023, 10, 5, '2024-08-05 14:37:27', NULL, NULL), (13648, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 10, 6, '2024-08-05 14:37:27', NULL, NULL), (13649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 10, 6, '2024-08-05 14:37:27', NULL, NULL), (13650, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 10, 6, '2024-08-05 14:37:27', NULL, NULL), (13651, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 1, 2023, 10, 6, '2024-08-05 14:37:27', NULL, NULL), (13652, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 10, 6, '2024-08-05 14:37:27', NULL, NULL), (13653, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 10, 6, '2024-08-05 14:37:27', NULL, NULL), (13654, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2023, 10, 6, '2024-08-05 14:37:27', NULL, NULL), (13655, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2023, 10, 6, '2024-08-05 14:37:27', NULL, NULL), (13656, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 7, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13657, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13658, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 56, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13659, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 7, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13660, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 51, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13661, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 10, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 51, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 7, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 56, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 7, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 10, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13668, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13669, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13670, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13671, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13672, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13673, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 2, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13674, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 8, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13675, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 2, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13676, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13677, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13678, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 4, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13679, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13680, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 30, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13681, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13682, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13683, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 42, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13684, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 4, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13685, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C12', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13686, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13687, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13688, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 6, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13689, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13690, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13691, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13692, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D17', '', 8, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13693, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13694, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13695, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 115, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13696, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 6, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13697, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 43, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13698, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 6, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13699, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13700, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 9, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13701, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 50, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13702, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 41, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13703, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13704, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13705, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13706, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C07', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13707, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 30, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13708, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13709, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13710, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13711, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13712, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 4, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13713, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 2, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13714, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13715, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 6, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13716, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13717, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13718, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13719, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13720, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C12', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13721, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 4, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13722, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D17', '', 8, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13723, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13724, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13725, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13726, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 3, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13727, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13728, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13729, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13730, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13731, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 8, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13732, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 30, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13733, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13734, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 2, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13735, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 2, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13736, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 4, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13737, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 42, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13738, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D17', '', 8, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13739, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13740, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13741, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13742, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 4, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13743, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C12', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13744, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13745, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13746, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13747, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13748, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 6, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13749, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13750, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 4, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13751, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13752, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13753, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13754, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C12', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13755, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 6, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13756, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D17', '', 8, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13757, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13758, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 30, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13759, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 4, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13760, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 2, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13761, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13762, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13763, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13764, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13765, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13766, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 41, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13767, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C07', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13768, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13769, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13770, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2023, 10, 7, '2024-08-05 14:37:27', NULL, NULL), (13771, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 38, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13772, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13773, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '', '', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13774, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 57, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13775, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13776, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 21, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13777, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13778, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 9, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 21, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 57, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 9, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 38, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13786, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13787, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13788, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13789, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13790, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13791, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13792, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D11', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13793, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 7, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13794, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 12, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13795, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13796, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 8, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13797, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 7, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13798, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13799, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 10, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13800, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 12, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13801, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13802, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 5, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13803, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 8, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13804, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13805, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 9, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13806, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 25, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13807, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13808, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 10, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13809, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13810, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 113, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13811, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 37, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13812, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 45, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13813, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13814, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13815, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13816, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '非常满意', '', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13817, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13818, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 21, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13819, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D11', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13820, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13821, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13822, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 25, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13823, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 9, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13824, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13825, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 10, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13826, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 12, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13827, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13828, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 4, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13829, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 8, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13830, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13831, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E08', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13832, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13833, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13834, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 12, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13835, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 7, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13836, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13837, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13838, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 12, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13839, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13840, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 5, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13841, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13842, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 2, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13843, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13844, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13845, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 9, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13846, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 7, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13847, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 10, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13848, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13849, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 10, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13850, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 25, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13851, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13852, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 7, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13853, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 8, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13854, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13855, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13856, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 8, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13857, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 12, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13858, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13859, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13860, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '', '1D11', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13861, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 2, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13862, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 2, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13863, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13864, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 25, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13865, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 8, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13866, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13867, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13868, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 7, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13869, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '2E08', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13870, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 10, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13871, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 9, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13872, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 7, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13873, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 4, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13874, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 12, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13875, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13876, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '非常满意', '1D11', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13877, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 12, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13878, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13879, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 8, 2023, 10, 8, '2024-08-05 14:37:28', NULL, NULL), (13880, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 53, 2023, 10, 9, '2024-08-05 14:37:28', NULL, NULL), (13881, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 10, 9, '2024-08-05 14:37:28', NULL, NULL), (13882, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 50, 2023, 10, 9, '2024-08-05 14:37:28', NULL, NULL), (13883, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 10, 9, '2024-08-05 14:37:28', NULL, NULL), (13884, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 32, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13885, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13886, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13887, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 56, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 32, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 50, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 53, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 56, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13896, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13897, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13898, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 9, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13899, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13900, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13901, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13902, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13903, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13904, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13905, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 7, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13906, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13907, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 17, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13908, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13909, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13910, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 25, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13911, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 17, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13912, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13913, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13914, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E27', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13915, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 13, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13916, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13917, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13918, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13919, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 28, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13920, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 50, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13921, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13922, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D32', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13923, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13924, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13925, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D17', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13926, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 176, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13927, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13928, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13929, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 33, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13930, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13931, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '不满意', '', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13932, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 55, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13933, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 51, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13934, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13935, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13936, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 31, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13937, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1E17', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (13938, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13939, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13940, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13941, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13942, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13943, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13944, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13945, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 25, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13946, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13947, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 17, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13948, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13949, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13950, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 13, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13951, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 17, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13952, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13953, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13954, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13955, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 50, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13956, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D32', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13957, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13958, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 28, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13959, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13960, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13961, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D17', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13962, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13963, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13964, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 17, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13965, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13966, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13967, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 9, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13968, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13969, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 17, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13970, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 13, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13971, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 7, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13972, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 25, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13973, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E27', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13974, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13975, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13976, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13977, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 50, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13978, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D32', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13979, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13980, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13981, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13982, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D17', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13983, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13984, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13985, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13986, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13987, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13988, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13989, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13990, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13991, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 28, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13992, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13993, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13994, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13995, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13996, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '不满意', '1E17', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13997, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 28, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13998, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (13999, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D17', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14000, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14001, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14002, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 25, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14003, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 50, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14004, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14005, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D32', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14006, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14007, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14008, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 13, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14009, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 17, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14010, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14011, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 17, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14012, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14013, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14014, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14015, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14016, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B05', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14017, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14018, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2023, 10, 9, '2024-08-05 14:37:29', NULL, NULL), (14019, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 51, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14020, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14021, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 49, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14022, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 12, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14023, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 29, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14024, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14025, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14026, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 29, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14027, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14028, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 10, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14029, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14030, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 49, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 51, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14033, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14034, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14035, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 5, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14036, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 6, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14037, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E01', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14038, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 2, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14039, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 9, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14040, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14041, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 11, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14042, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 10, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14043, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 13, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14044, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 23, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14045, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14046, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14047, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 12, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14048, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14049, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14050, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D37', '', 3, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14051, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14052, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C12', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14053, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 18, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14054, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C11', '', 2, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14055, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 10, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14056, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14057, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14058, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 5, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14059, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 130, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14060, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 51, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14061, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14062, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 35, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14063, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 12, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14064, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14065, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 27, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14066, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 6, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14067, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 5, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14068, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 2, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14069, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14070, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C07', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14071, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 23, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14072, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E25', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14073, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 13, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14074, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 12, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14075, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 11, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14076, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 10, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14077, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14078, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14079, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C11', '', 2, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 9, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14081, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 18, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14082, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C12', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 5, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14084, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D37', '', 3, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14085, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14086, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 11, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14087, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 5, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14088, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 10, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14089, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E01', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14090, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14091, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 4, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14092, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E25', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14093, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14094, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 13, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14095, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 12, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14096, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 9, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14097, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 23, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14098, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 6, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14099, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 2, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14100, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14101, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D37', '', 3, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14102, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14103, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14104, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14105, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C12', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14106, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C11', '', 2, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14107, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 5, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14108, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E18', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14109, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14110, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 10, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14111, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 18, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14112, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 5, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14113, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E18', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14114, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D37', '', 3, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14115, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C11', '', 2, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14116, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 18, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14117, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C12', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14118, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 9, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14119, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E25', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14120, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14121, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 23, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14122, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14123, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 12, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14124, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 13, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14125, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 10, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14126, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 11, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14127, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 5, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14128, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14129, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C07', '', 1, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14130, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 2, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14131, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 6, 2023, 10, 10, '2024-08-05 14:37:29', NULL, NULL), (14132, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 58, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14133, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14134, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 62, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14135, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14136, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 21, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14137, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 20, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 21, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 62, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 20, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 56, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14144, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 3, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14145, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14146, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14147, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14148, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 2, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14149, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14150, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 6, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14151, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 14, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14152, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14153, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E09', '', 2, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14154, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 12, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14155, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 9, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14156, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 26, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14157, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14158, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 8, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14159, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 21, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14160, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 24, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14161, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14162, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 10, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14163, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 13, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14164, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14165, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14166, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14167, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 150, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14168, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14169, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 57, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14170, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 52, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14171, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14172, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14173, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14174, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 20, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14175, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 17, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14176, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E02', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14177, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A01', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14178, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14179, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 2, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14180, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D07', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14181, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 21, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14182, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 8, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14183, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 3, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14184, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 10, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14185, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 26, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14186, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14187, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 11, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14188, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14189, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 11, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14190, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 13, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14191, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C14', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14192, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 6, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14193, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14194, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 24, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14195, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14196, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E09', '', 2, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14197, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 26, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14198, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14199, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 3, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14200, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E09', '', 2, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14201, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14202, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 12, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14203, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 8, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14204, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14205, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 10, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14206, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 9, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14207, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 21, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14208, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 24, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14209, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 13, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14210, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C14', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14211, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 2, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14212, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14213, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14214, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 14, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14215, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 6, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14216, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14217, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14218, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E09', '', 2, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14219, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 24, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14220, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14221, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14222, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C14', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14223, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 6, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14224, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 11, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14225, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 11, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14226, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 3, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14227, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 21, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14228, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 13, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14229, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 2, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14230, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14231, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 10, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14232, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 8, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14233, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14234, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 26, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14235, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '2E02', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14236, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A01', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14237, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 2, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14238, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D07', '', 1, 2023, 10, 11, '2024-08-05 14:37:30', NULL, NULL), (14239, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 36, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14240, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 3, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14241, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 58, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14242, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 9, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14243, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 4, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14244, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 19, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14245, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 9, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14246, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 58, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14248, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 36, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14249, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 19, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14250, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 4, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14251, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14252, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 7, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14253, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 3, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14254, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14255, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14256, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B03', '', 4, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14257, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14258, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14259, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 10, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14260, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14261, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 13, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14262, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14263, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14264, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 21, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14265, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14266, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 10, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14267, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14268, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D15', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14269, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14270, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14271, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14272, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 9, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14273, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14274, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 15, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14275, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 18, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14276, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 2, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14277, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14278, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 122, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14279, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 36, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14280, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 3, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14281, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14282, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 54, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14283, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 3, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14284, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 19, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14285, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 7, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14286, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14287, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B03', '', 3, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14288, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 21, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14289, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D29', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14290, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E25', '', 3, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14291, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14292, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14293, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14294, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 7, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14295, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 10, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14296, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 13, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14297, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14298, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14299, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 10, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14300, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14301, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E30', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14302, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 15, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14303, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 7, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14304, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14305, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14306, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14307, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14308, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 17, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14309, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D15', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14310, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 2, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14311, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14312, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 13, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14313, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14314, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14315, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 7, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14316, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E25', '', 3, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14317, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14318, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 10, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14319, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14320, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14321, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 10, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14322, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14323, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B03', '', 4, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14324, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 21, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14325, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14326, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D15', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14327, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 2, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14328, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14329, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14330, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E30', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14331, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14332, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 18, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14333, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 15, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14334, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 9, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14335, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14336, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14337, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 17, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14338, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14339, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 2, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14340, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E30', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14341, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 2, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14342, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D15', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14343, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14344, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 7, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14345, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E25', '', 3, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14346, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14347, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 10, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14348, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14349, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 7, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14350, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 21, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14351, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A01', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14352, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 15, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14353, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 10, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14354, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14355, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14356, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14357, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 13, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14358, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14359, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B03', '', 3, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14360, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14361, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D29', '', 1, 2023, 10, 12, '2024-08-05 14:37:30', NULL, NULL), (14362, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 76, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14363, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14364, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 43, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14365, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14366, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 11, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14367, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14368, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14369, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 11, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14370, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14371, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14372, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 43, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14373, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14374, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 76, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14375, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14376, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14377, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14378, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14379, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14380, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14381, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D25', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14382, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14383, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14384, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14385, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14386, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (14387, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 8, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14388, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14389, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 7, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14390, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14391, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 10, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14392, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 44, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14393, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14394, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14395, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 8, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14396, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 22, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14397, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 8, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14398, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 13, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14399, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14400, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 135, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14401, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14402, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 76, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14403, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 41, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14404, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14405, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14406, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14407, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14408, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 7, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14409, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D25', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14410, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14411, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14412, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 22, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14413, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14414, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 8, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14415, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14416, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 13, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14417, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 44, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14418, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14419, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 10, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14420, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14421, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 5, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14422, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A21', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14423, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14424, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14425, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14426, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14427, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14428, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 8, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14429, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14430, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D28', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14431, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14432, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 44, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14433, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 4, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14434, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14435, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 10, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14436, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14437, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 8, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14438, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14439, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 13, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14440, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14441, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 8, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14442, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 22, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14443, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14444, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14445, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 7, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14446, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B06', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14447, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14448, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D25', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14449, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14450, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 8, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14451, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14452, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14453, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14454, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14455, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D28', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14456, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 8, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14457, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14458, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14459, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 2, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14460, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14461, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 5, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14462, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14463, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14464, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 10, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14465, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 4, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14466, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 22, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14467, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14468, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 7, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14469, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 13, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14470, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 8, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14471, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14472, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 44, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14473, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14474, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A21', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14475, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14476, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D25', '', 1, 2023, 10, 13, '2024-08-05 14:37:31', NULL, NULL), (14477, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2023, 10, 14, '2024-08-05 14:37:32', NULL, NULL), (14478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2023, 10, 14, '2024-08-05 14:37:32', NULL, NULL), (14479, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 3, 2023, 10, 14, '2024-08-05 14:37:32', NULL, NULL), (14480, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 10, 14, '2024-08-05 14:37:32', NULL, NULL), (14481, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 1, 2023, 10, 14, '2024-08-05 14:37:32', NULL, NULL), (14482, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 10, 14, '2024-08-05 14:37:32', NULL, NULL), (14483, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2023, 10, 14, '2024-08-05 14:37:32', NULL, NULL), (14484, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2023, 10, 14, '2024-08-05 14:37:32', NULL, NULL), (14485, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 10, 14, '2024-08-05 14:37:32', NULL, NULL), (14486, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A01', '', 1, 2023, 10, 14, '2024-08-05 14:37:32', NULL, NULL), (14487, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A01', '', 1, 2023, 10, 14, '2024-08-05 14:37:32', NULL, NULL), (14488, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 10, 14, '2024-08-05 14:37:32', NULL, NULL), (14489, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 3, 2023, 10, 14, '2024-08-05 14:37:32', NULL, NULL), (14490, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A01', '', 1, 2023, 10, 14, '2024-08-05 14:37:32', NULL, NULL), (14491, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A01', '', 1, 2023, 10, 14, '2024-08-05 14:37:32', NULL, NULL), (14492, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2023, 10, 14, '2024-08-05 14:37:32', NULL, NULL), (14493, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14494, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14497, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14498, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 1, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14499, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14500, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 3, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14501, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14502, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14503, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 1, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14504, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14505, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14506, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 1, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14507, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14508, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14509, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14510, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14511, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 1, 2023, 10, 15, '2024-08-05 14:37:32', NULL, NULL), (14512, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 65, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14513, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14514, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 43, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14515, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 17, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14516, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14517, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 18, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14518, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 17, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14519, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14520, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14521, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 43, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14522, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 18, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14523, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 65, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14524, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14525, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14526, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 12, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14527, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14528, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14529, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14530, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14531, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14532, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14533, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14534, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 16, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14535, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 13, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14536, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 11, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14537, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 30, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14538, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14539, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 3, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14540, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14541, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 2, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14542, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14543, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 11, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14544, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 5, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14545, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 19, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14546, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 11, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14547, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 135, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14548, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 63, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14549, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 40, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14550, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14551, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14552, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 15, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14553, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 13, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14554, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14555, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14556, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14557, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 18, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14558, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 11, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14559, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14560, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 11, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14561, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 11, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14562, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 30, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14563, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D08', '', 3, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14564, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14565, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14566, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 11, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14567, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 12, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14568, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 13, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14569, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14570, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14571, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 5, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14572, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14573, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14574, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 30, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14575, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14576, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14577, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 12, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14578, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 11, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14579, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14580, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 11, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14581, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 11, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14582, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14583, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 5, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14584, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 19, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14585, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 2, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14586, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14587, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 13, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14588, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14589, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 16, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14590, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14591, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 3, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14592, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14593, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14594, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14595, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 5, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14596, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14597, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14598, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 13, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14599, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 11, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14600, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14601, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 11, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14602, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 18, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14603, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14604, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 12, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14605, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 11, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14606, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 11, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14607, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14608, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 30, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14609, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14610, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14611, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14612, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D08', '', 3, 2023, 10, 16, '2024-08-05 14:37:33', NULL, NULL), (14613, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 78, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14614, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14615, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 71, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14616, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 2, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14617, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14618, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 23, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14619, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14620, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 11, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 23, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 71, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 11, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 78, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14628, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14629, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14630, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 14, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14631, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 17, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14632, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14633, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14634, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14635, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14636, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 11, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14637, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 11, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14638, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14639, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14640, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14641, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 46, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14642, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 7, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14643, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 17, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14644, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E27', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14645, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 13, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14646, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14647, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D16', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14648, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14649, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D01', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14650, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14651, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14652, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14653, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 9, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14654, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D32', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14655, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 2, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14656, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 7, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14657, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D08', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14658, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14659, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 10, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14660, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14661, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14662, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 175, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14663, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 65, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14664, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14665, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '', '', 2, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14666, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 9, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14667, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14668, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 77, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14669, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14670, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 21, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14671, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14672, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A06', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14673, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 11, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14674, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14675, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E22', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14676, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14677, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E27', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14678, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 17, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14679, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E25', '', 17, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14680, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 7, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14681, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14682, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14683, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 13, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14684, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 14, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14685, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 46, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14686, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 11, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14687, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E30', '', 2, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14688, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14689, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D32', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14690, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 9, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14691, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14692, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14693, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D01', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14694, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14695, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 10, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14696, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D16', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14697, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14698, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 46, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14699, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 2, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14700, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 14, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14701, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E25', '', 17, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14702, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 11, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14703, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14704, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 7, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14705, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 13, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14706, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 3, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14707, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 17, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14708, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E27', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14709, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14710, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14711, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B07', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14712, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D32', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14713, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14714, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 11, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14715, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D16', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14716, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14717, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14718, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E30', '', 2, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14719, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14720, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14721, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 10, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14722, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 7, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14723, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D01', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14724, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14725, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 9, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14726, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14727, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14728, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D08', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14729, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 10, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14730, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14731, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14732, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '2E30', '', 2, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14733, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 9, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14734, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D16', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14735, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14736, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E25', '', 17, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14737, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 11, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14738, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D01', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14739, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 2, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14740, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 14, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14741, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E27', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14742, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 17, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14743, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D32', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14744, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 7, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14745, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 13, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14746, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E22', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14747, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 7, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14748, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14749, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 46, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14750, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A06', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14751, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B07', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14752, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 11, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14753, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 10, 17, '2024-08-05 14:37:33', NULL, NULL), (14754, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 68, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14755, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14756, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 53, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14757, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 10, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14758, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 95, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14759, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14760, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 95, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 8, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 53, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 68, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14767, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14768, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14769, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 11, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14770, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14771, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14772, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B03', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14773, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 22, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14774, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14775, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14776, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 41, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14777, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14778, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 10, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14779, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 31, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14780, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 10, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14781, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 2, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14782, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 23, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14783, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14784, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 6, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14785, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14786, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C11', '', 2, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14787, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 13, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14788, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14789, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 4, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14790, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14791, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14792, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 3, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14793, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 36, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14794, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 223, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14795, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 68, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14796, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 51, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14797, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 10, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14798, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14799, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 90, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14800, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 22, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14801, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14802, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 31, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14803, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14804, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 10, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14805, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14806, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 10, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14807, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 11, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14808, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 41, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14809, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14810, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14811, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 4, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14812, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C11', '', 2, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14813, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 9, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14814, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14815, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C14', '', 2, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14816, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14817, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14818, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 22, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14819, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C13', '', 6, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14820, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 3, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14821, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 36, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14822, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14823, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 41, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14824, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14825, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14826, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14827, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 11, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14828, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14829, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14830, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 10, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14831, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 10, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14832, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14833, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B03', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14834, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 31, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14835, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 22, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14836, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14837, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14838, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14839, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C11', '', 2, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (14840, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 3, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14841, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14842, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C14', '', 2, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14843, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 6, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14844, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 4, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14845, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14846, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 13, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14847, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 23, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14848, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 36, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14849, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 3, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14850, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14851, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14852, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14853, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 22, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14854, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C13', '', 6, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14855, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C14', '', 2, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14856, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C11', '', 2, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14857, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 9, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14858, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 36, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14859, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14860, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14861, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14862, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 11, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14863, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 31, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14864, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 4, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14865, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 10, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14866, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 10, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14867, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14868, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 41, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14869, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14870, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 22, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14871, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2023, 10, 18, '2024-08-05 14:37:34', NULL, NULL), (14872, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 66, 2023, 10, 19, '2024-08-05 14:37:34', NULL, NULL), (14873, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 10, 19, '2024-08-05 14:37:34', NULL, NULL), (14874, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 3, 2023, 10, 19, '2024-08-05 14:37:34', NULL, NULL), (14875, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 36, 2023, 10, 19, '2024-08-05 14:37:34', NULL, NULL), (14876, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2023, 10, 19, '2024-08-05 14:37:34', NULL, NULL), (14877, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 30, 2023, 10, 19, '2024-08-05 14:37:34', NULL, NULL), (14878, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 10, 19, '2024-08-05 14:37:34', NULL, NULL), (14879, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 10, 2023, 10, 19, '2024-08-05 14:37:34', NULL, NULL), (14880, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 30, 2023, 10, 19, '2024-08-05 14:37:34', NULL, NULL), (14881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2023, 10, 19, '2024-08-05 14:37:34', NULL, NULL), (14882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 10, 19, '2024-08-05 14:37:34', NULL, NULL), (14883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 10, 19, '2024-08-05 14:37:34', NULL, NULL), (14884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 36, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 10, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 66, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14887, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 10, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14888, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14889, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14890, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14891, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14892, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14893, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 8, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14894, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 35, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14895, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 5, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14896, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 8, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14897, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 17, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14898, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 10, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14899, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 11, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14900, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14901, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14902, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14903, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14904, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14905, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 8, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14906, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 8, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14907, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D07', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14908, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D06', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14909, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 3, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14910, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 10, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14911, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14912, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 137, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14913, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14914, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 65, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14915, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 29, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14916, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14917, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14918, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '不满意', '', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14919, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 10, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14920, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 2, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14921, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 28, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14922, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 10, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14923, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14924, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14925, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 17, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14926, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 8, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14927, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 9, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14928, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 9, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14929, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 35, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14930, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 5, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14931, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 8, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14932, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1D06', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14933, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 8, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14934, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14935, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14936, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14937, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D02', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14938, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14939, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14940, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 10, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14941, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D07', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14942, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14943, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 35, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14944, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 5, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14945, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 10, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14946, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14947, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 8, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14948, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14949, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 8, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14950, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 10, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14951, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 2, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14952, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14953, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 3, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14954, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 17, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14955, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14956, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 8, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14957, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14958, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D02', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14959, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 11, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14960, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A21', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14961, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D06', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14962, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14963, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 8, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14964, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D07', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14965, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 10, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14966, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14967, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14968, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14969, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 8, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14970, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 10, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14971, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 8, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14972, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D02', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14973, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 9, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14974, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 17, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14975, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14976, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14977, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 8, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14978, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 9, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14979, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 8, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14980, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D07', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14981, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 5, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14982, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14983, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 35, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14984, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 10, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14985, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '不满意', '1D06', '', 1, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14986, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 2, 2023, 10, 19, '2024-08-05 14:37:35', NULL, NULL), (14987, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 66, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (14988, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 30, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (14989, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 6, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (14990, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (14991, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (14992, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (14993, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (14994, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 6, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (14995, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (14996, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (14997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 30, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (14998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (14999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 66, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15000, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15001, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 10, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15002, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15003, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15004, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 2, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15005, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15006, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 3, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15007, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15008, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15009, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 18, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15010, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 26, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15011, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15012, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 13, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15013, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 6, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15014, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 13, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15015, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C08', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15016, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15017, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 9, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15018, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 103, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15019, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15020, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15021, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 66, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15022, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15023, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 27, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15024, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15025, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15026, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15027, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A09', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15028, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15029, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15030, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15031, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15032, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 5, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15033, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 12, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15034, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C08', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15035, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 13, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15036, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 10, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15037, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 9, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15038, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 26, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15039, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 18, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15040, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 26, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15041, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C08', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15042, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15043, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 10, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15044, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 18, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15045, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 13, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15046, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 9, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15047, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15048, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 6, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15049, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 13, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15050, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 2, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15051, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15052, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B09', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15053, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 3, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15054, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15055, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15056, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15057, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 18, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15058, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 10, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15059, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 5, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15060, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 12, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15061, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15062, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 9, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15063, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 13, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15064, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 26, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15065, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '2A09', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15066, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C08', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15067, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B09', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15068, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15069, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2023, 10, 20, '2024-08-05 14:37:35', NULL, NULL), (15070, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 3, 2023, 10, 21, '2024-08-05 14:37:36', NULL, NULL), (15071, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2023, 10, 21, '2024-08-05 14:37:36', NULL, NULL), (15072, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2023, 10, 21, '2024-08-05 14:37:36', NULL, NULL), (15073, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2023, 10, 21, '2024-08-05 14:37:36', NULL, NULL), (15074, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 10, 21, '2024-08-05 14:37:36', NULL, NULL), (15075, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 1, 2023, 10, 21, '2024-08-05 14:37:36', NULL, NULL), (15076, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2023, 10, 21, '2024-08-05 14:37:36', NULL, NULL), (15077, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 4, 2023, 10, 21, '2024-08-05 14:37:36', NULL, NULL), (15078, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2023, 10, 21, '2024-08-05 14:37:36', NULL, NULL), (15079, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 1, 2023, 10, 21, '2024-08-05 14:37:36', NULL, NULL), (15080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2023, 10, 21, '2024-08-05 14:37:36', NULL, NULL), (15081, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 1, 2023, 10, 21, '2024-08-05 14:37:36', NULL, NULL), (15082, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 3, 2023, 10, 21, '2024-08-05 14:37:36', NULL, NULL), (15083, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2023, 10, 21, '2024-08-05 14:37:36', NULL, NULL), (15084, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 1, 2023, 10, 21, '2024-08-05 14:37:36', NULL, NULL), (15085, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2023, 10, 21, '2024-08-05 14:37:36', NULL, NULL), (15086, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 10, 22, '2024-08-05 14:37:36', NULL, NULL), (15087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 10, 22, '2024-08-05 14:37:36', NULL, NULL), (15088, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2023, 10, 22, '2024-08-05 14:37:36', NULL, NULL), (15089, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2023, 10, 22, '2024-08-05 14:37:36', NULL, NULL), (15090, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 80, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15091, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15092, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15093, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 34, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15094, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 30, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15095, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 17, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 30, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 34, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 17, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 80, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15101, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15102, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 2, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15103, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 13, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15104, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D03', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15105, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15106, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15107, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15108, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 11, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15109, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 18, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15110, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 36, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15111, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 24, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15112, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15113, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 12, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15114, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 8, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15115, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 4, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15116, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 11, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15117, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15118, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 14, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15119, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 3, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15120, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15121, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 152, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15122, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 80, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15123, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 31, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15124, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常不满意', '', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15125, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 15, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15126, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 26, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15127, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1D03', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15128, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15129, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15130, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 10, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15131, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 12, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15132, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15133, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 14, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15134, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15135, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 12, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15136, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 36, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15137, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 18, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15138, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 11, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15139, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15140, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D18', '', 3, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15141, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 7, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15142, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 24, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15143, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15144, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 36, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15145, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15146, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 13, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15147, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 18, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15148, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 12, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15149, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 14, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15150, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 8, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15151, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 11, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15152, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 11, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15153, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 3, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15154, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D03', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15155, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 2, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15156, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15157, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 2, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15158, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15159, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D18', '', 4, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15160, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15161, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 24, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15162, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 7, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15163, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15164, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D18', '', 3, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15165, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 18, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15166, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15167, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 12, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15168, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 24, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15169, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 10, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15170, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 11, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15171, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常不满意', '1D03', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15172, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 14, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15173, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 12, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15174, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15175, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 36, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15176, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15177, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D05', '', 1, 2023, 10, 23, '2024-08-05 14:37:37', NULL, NULL), (15178, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 75, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15179, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15180, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 32, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15181, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15182, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15183, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 20, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15184, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 32, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 75, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 20, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15190, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15191, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 11, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15192, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15193, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15194, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15195, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15196, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15197, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15198, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15199, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15200, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 18, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15201, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15202, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 18, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15203, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 30, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15204, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 6, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15205, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 16, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15206, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 9, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15207, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15208, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15209, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 11, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15210, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15211, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 127, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15212, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 75, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15213, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 28, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15214, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15215, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 19, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15216, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15217, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 18, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15218, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C14', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15219, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15220, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15221, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C13', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15222, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D34', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15223, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15224, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 6, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15225, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 9, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15226, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C05', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15227, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 16, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15228, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15229, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 11, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15230, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 10, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15231, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15232, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 30, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15233, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 18, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15234, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15235, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E24', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15236, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 30, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15237, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 11, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15238, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15239, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 18, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15240, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15241, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 16, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15242, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 11, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15243, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 3, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15244, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C05', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15245, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 6, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15246, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 9, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15247, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C14', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15248, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15249, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 18, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15250, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D34', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15251, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15252, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D18', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15253, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15254, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15255, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 18, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15256, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 10, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15257, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 6, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15258, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 9, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15259, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15260, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 18, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15261, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 11, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15262, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15263, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 16, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15264, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15265, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 30, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15266, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15267, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C05', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15268, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C13', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15269, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15270, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C14', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15271, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D34', '', 1, 2023, 10, 24, '2024-08-05 14:37:37', NULL, NULL), (15272, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 48, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15273, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15274, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 4, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15275, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 26, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15276, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15277, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15278, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 12, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 26, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 12, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 48, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15285, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15286, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 9, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15287, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D03', '', 3, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15288, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (15289, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15290, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15291, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15292, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15293, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 12, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15294, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 12, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15295, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 21, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15296, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15297, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15298, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 13, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15299, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 8, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15300, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 6, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15301, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15302, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 88, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15303, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 47, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15304, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 23, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15305, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15306, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15307, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 12, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15308, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 4, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15309, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 12, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15310, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15311, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15312, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D02', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15313, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D03', '', 3, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15314, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15315, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 12, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15316, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15317, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 8, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15318, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 6, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15319, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15320, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 8, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15321, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 21, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15322, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 12, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15323, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15324, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 21, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15325, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15326, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 9, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15327, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15328, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15329, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 12, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15330, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 8, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15331, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 6, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15332, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 2, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15333, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 13, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15334, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 12, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15335, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D02', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15336, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15337, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D03', '', 3, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15338, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15339, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15340, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15341, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 12, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15342, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D02', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15343, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 8, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15344, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D03', '', 3, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15345, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15346, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 12, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15347, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 12, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15348, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 6, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15349, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 8, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15350, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15351, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 21, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15352, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15353, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2023, 10, 25, '2024-08-05 14:37:38', NULL, NULL), (15354, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 24, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15355, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 3, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15356, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 18, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15357, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 8, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15358, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 21, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15359, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15360, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15361, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 8, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15362, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 18, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 21, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 24, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15368, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15369, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 8, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15370, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15371, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15372, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15373, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15374, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15375, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15376, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15377, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 11, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15378, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15379, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 5, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15380, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 9, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15381, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 9, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15382, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 5, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15383, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 8, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15384, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15385, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15386, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 6, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15387, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15388, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15389, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 10, 26, '2024-08-05 14:37:38', NULL, NULL), (15390, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 64, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15391, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 24, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15392, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15393, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 14, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15394, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15395, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 21, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15396, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15397, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15398, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15399, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 5, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15400, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 8, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15401, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15402, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15403, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 6, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15404, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 5, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15405, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 9, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15406, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 9, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15407, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 2, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15408, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15409, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15410, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 11, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15411, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15412, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15413, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15414, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 5, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15415, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15416, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15417, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 8, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15418, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15419, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 9, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15420, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15421, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 8, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15422, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15423, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15424, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 6, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15425, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 9, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15426, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 11, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15427, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B06', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15428, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15429, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15430, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 5, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15431, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15432, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15433, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15434, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15435, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 9, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15436, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 6, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15437, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15438, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 5, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15439, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15440, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 11, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15441, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 9, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15442, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15443, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15444, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 8, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15445, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15446, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 5, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15447, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15448, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15449, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 2, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15450, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D05', '', 1, 2023, 10, 26, '2024-08-05 14:37:39', NULL, NULL), (15451, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 38, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15452, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15453, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 29, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15454, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15455, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15456, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15457, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 12, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15458, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 29, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 12, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 38, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15467, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15468, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15469, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15470, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15471, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15472, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B03', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15473, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15474, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15475, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15476, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15477, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 10, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15478, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15479, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 7, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15480, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 14, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15481, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15482, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15483, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15484, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15485, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 9, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15486, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 11, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15487, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15488, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15489, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15490, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 9, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15491, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 77, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15492, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 37, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15493, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15494, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 25, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15495, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15496, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 11, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15497, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15498, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15499, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15500, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 11, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15501, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15502, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15503, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 9, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15504, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 14, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15505, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 7, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15506, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 10, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15507, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15508, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15509, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D34', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15510, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15511, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 9, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15512, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15513, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15514, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 14, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15515, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15516, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15517, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 3, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15518, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 7, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15519, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15520, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15521, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15522, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15523, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 9, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15524, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15525, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 9, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15526, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 11, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15527, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B03', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15528, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15529, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15530, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 10, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15531, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E18', '', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15532, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D34', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15533, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15534, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D18', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15535, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15536, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15537, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15538, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 7, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15539, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15540, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 9, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15541, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 11, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15542, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E18', '', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15543, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 10, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15544, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 9, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15545, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15546, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15547, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 14, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15548, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15549, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 2, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15550, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15551, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D34', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15552, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15553, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 1, 2023, 10, 27, '2024-08-05 14:37:39', NULL, NULL), (15554, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 3, 2023, 10, 28, '2024-08-05 14:37:40', NULL, NULL), (15555, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 10, 28, '2024-08-05 14:37:40', NULL, NULL), (15556, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 10, 28, '2024-08-05 14:37:40', NULL, NULL), (15557, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 3, 2023, 10, 28, '2024-08-05 14:37:40', NULL, NULL), (15558, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 10, 28, '2024-08-05 14:37:40', NULL, NULL), (15559, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2023, 10, 28, '2024-08-05 14:37:40', NULL, NULL), (15560, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 3, 2023, 10, 28, '2024-08-05 14:37:40', NULL, NULL), (15561, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 3, 2023, 10, 28, '2024-08-05 14:37:40', NULL, NULL), (15562, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2023, 10, 28, '2024-08-05 14:37:40', NULL, NULL), (15563, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2023, 10, 28, '2024-08-05 14:37:40', NULL, NULL), (15564, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2023, 10, 28, '2024-08-05 14:37:40', NULL, NULL), (15565, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2023, 10, 28, '2024-08-05 14:37:40', NULL, NULL), (15566, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 9, 2023, 10, 29, '2024-08-05 14:37:40', NULL, NULL), (15567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 9, 2023, 10, 29, '2024-08-05 14:37:40', NULL, NULL), (15568, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 8, 2023, 10, 29, '2024-08-05 14:37:40', NULL, NULL), (15569, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 10, 29, '2024-08-05 14:37:40', NULL, NULL), (15570, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 8, 2023, 10, 29, '2024-08-05 14:37:40', NULL, NULL), (15571, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 8, 2023, 10, 29, '2024-08-05 14:37:40', NULL, NULL), (15572, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 8, 2023, 10, 29, '2024-08-05 14:37:40', NULL, NULL), (15573, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 10, 29, '2024-08-05 14:37:40', NULL, NULL), (15574, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 8, 2023, 10, 29, '2024-08-05 14:37:40', NULL, NULL), (15575, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 8, 2023, 10, 29, '2024-08-05 14:37:40', NULL, NULL), (15576, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 50, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15577, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 3, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15578, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 23, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15579, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15580, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 24, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15581, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 3, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15582, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 24, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15583, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15584, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15585, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 23, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15586, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 3, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 50, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15588, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 13, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15589, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15590, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15591, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15592, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15593, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15594, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15595, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15596, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15597, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 10, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15598, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 11, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15599, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15600, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15601, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 9, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15602, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15603, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 18, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15604, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15605, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15606, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 3, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15607, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 14, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15608, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 9, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15609, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15610, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15611, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 93, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15612, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 49, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15613, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 19, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15614, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15615, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15616, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 21, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15617, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15618, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15619, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 11, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15620, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15621, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15622, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15623, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15624, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15625, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 3, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15626, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 14, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15627, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 9, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15628, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 13, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15629, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 17, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15630, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15631, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 9, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15632, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15633, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 18, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15634, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 13, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15635, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 9, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15636, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E20', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15637, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 14, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15638, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15639, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 9, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15640, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15641, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15642, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 3, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15643, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C14', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15644, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15645, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15646, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15647, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15648, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 11, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15649, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 10, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15650, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15651, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15652, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15653, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15654, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15655, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 9, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15656, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 13, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15657, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15658, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 3, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15659, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15660, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15661, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15662, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 9, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15663, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 14, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15664, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15665, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 17, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15666, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 11, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15667, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15668, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15669, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 8, 2023, 10, 30, '2024-08-05 14:37:41', NULL, NULL), (15670, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 36, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15671, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 2, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15672, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 18, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15673, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 5, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15674, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15675, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 2, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15676, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 5, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 18, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15682, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 36, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15683, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15684, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15685, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15686, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D15', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15687, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D03', '', 2, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15688, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15689, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15690, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15691, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15692, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15693, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15694, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15695, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 2, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15696, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15697, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15698, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 7, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15699, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15700, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 11, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15701, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15702, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15703, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 8, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15704, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 12, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15705, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 6, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15706, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 65, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15707, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 36, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15708, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 2, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15709, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 14, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15710, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15711, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15712, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 2, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15713, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 3, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15714, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15715, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15716, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15717, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15718, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15719, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15720, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15721, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D03', '', 2, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15722, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 7, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15723, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D15', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15724, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 12, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15725, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15726, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15727, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 6, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15728, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 11, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15729, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15730, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15731, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 7, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15732, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 11, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15733, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E24', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15734, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 4, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15735, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15736, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 7, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15737, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 12, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15738, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15739, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 6, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15740, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15741, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 8, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15742, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15743, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (15744, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15745, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E18', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15746, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15747, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15748, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D15', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15749, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15750, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D03', '', 2, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15751, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 2, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15752, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15753, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15754, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 7, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15755, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 4, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15756, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D03', '', 2, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15757, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 7, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15758, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15759, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E18', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15760, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15761, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15762, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 6, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15763, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 12, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15764, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 11, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15765, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B04', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15766, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15767, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B05', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15768, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15769, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D15', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15770, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15771, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2023, 10, 31, '2024-08-05 14:37:41', NULL, NULL), (15772, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 35, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15773, 1, '511500000000-0001', '宜宾市民中心', '中国银行', '', '', '', 3, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15774, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 15, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15775, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 5, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15776, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 23, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15777, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '', '', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15778, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15779, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 23, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 5, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15783, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 15, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 32, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15787, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15788, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15789, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15790, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15791, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15792, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15793, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D12', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15794, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 2, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15795, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15796, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 10, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15797, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 11, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15798, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15799, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 3, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15800, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15801, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 7, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15802, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 11, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15803, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 3, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15804, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E01', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15805, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 2, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15806, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15807, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15808, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15809, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 5, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15810, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15811, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15812, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 4, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15813, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15814, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E04', '', 2, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15815, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 5, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15816, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 73, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15817, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 2, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15818, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15819, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '', '', 2, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15820, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 9, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15821, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '非常满意', '', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15822, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 5, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15823, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15824, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15825, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 33, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15826, 1, '511500000000-0001', '宜宾市民中心', '中国银行', '非常不满意', '', '', 3, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15827, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常不满意', '', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15828, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 17, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15829, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A02', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15830, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1E04', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15831, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 10, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15832, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15833, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15834, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15835, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15836, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D12', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15837, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 2, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15838, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15839, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C05', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15840, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 7, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15841, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15842, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 10, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15843, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 3, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15844, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A01', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15845, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 11, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15846, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A08', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15847, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15848, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 4, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15849, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15850, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E01', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15851, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15852, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 4, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15853, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15854, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E04', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15855, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15856, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 3, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15857, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 4, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15858, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 11, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15859, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 7, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15860, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15861, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 11, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15862, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15863, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C05', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15864, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15865, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15866, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15867, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 2, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15868, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15869, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D34', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15870, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 3, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15871, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 10, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15872, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E01', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15873, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '', '1D12', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15874, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E04', '', 2, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15875, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 4, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15876, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15877, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 5, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15878, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15879, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 2, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15880, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15881, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15882, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15883, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 4, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15884, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E01', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15885, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E04', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15886, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常不满意', '1E04', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15887, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 4, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15888, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 2, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15889, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 11, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15890, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 3, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15891, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15892, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15893, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15894, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15895, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '非常满意', '1D12', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15896, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 10, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15897, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 7, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15898, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '1A08', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15899, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15900, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 3, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15901, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A02', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15902, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 10, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15903, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15904, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15905, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '1A01', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15906, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C05', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15907, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 2, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15908, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 1, 2023, 11, 1, '2024-08-05 14:37:42', NULL, NULL), (15909, 1, '511500000000-0001', '宜宾市民中心', '国网（叙州区供电）', '', '', '', 1, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15910, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 48, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15911, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 9, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15912, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 8, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15913, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15914, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15915, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 11, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 8, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 9, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 47, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 11, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15922, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15923, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E13', '', 1, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15924, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15925, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15926, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 2, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15927, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15928, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15929, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15930, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 5, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15931, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 8, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15932, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15933, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15934, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15935, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 18, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15936, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15937, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 1, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15938, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 11, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15939, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 13, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15940, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D17', '', 1, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15941, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15942, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 11, 2, '2024-08-05 14:37:42', NULL, NULL), (15943, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 70, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15944, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 48, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15945, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15946, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15947, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 5, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15948, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 9, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15949, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 5, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15950, 1, '511500000000-0001', '宜宾市民中心', '国网（叙州区供电）', '非常不满意', '', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15951, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 8, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15952, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 5, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15953, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15954, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 2, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15955, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15956, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15957, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E13', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15958, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15959, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 11, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15960, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 13, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15961, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15962, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 18, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15963, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15964, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15965, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 18, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15966, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 3, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15967, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15968, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E13', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15969, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15970, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 11, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15971, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15972, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 13, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15973, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15974, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15975, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 8, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15976, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15977, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15978, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B09', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15979, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 5, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15980, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D17', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15981, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15982, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15983, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 2, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15984, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15985, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 3, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15986, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15987, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 8, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15988, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E13', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15989, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 13, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15990, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15991, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 11, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15992, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15993, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 18, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15994, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 2, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15995, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B09', '', 1, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15996, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 5, 2023, 11, 2, '2024-08-05 14:37:43', NULL, NULL), (15997, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 48, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (15998, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (15999, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16000, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 13, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16001, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 6, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16002, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 5, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16003, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 17, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16004, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 6, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16005, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 5, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 13, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 17, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 48, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16010, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16011, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D04', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16012, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16013, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16014, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16015, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 3, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16016, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16017, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16018, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16019, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 15, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16020, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16021, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16022, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 11, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16023, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16024, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16025, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 22, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16026, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16027, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16028, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16029, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 11, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16030, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16031, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16032, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 81, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16033, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 48, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16034, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 4, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16035, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 8, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16036, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16037, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 16, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16038, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16039, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 4, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16040, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A06', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16041, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 15, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16042, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16043, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16044, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16045, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16046, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16047, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D04', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16048, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 22, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16049, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16050, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16051, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16052, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 11, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16053, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16054, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 11, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16055, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16056, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16057, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 11, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16058, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E24', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16059, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16060, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16061, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 5, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16062, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16063, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 22, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16064, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 11, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16065, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16066, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16067, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 15, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16068, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16069, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16070, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16071, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16072, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D04', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16073, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D18', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16074, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16075, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 3, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16076, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16077, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16078, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16079, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 5, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16080, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D04', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16081, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 15, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16082, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A06', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16083, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 11, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16084, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 22, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16085, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16086, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 11, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16087, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16088, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16089, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16090, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16091, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 2, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16092, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 1, 2023, 11, 3, '2024-08-05 14:37:43', NULL, NULL), (16093, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16094, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16095, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16096, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 11, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 11, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16101, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D38', '', 8, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16102, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16103, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16104, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16105, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16106, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 12, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16107, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16108, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 11, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16109, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16110, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D38', '', 8, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16111, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16112, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16113, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16114, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D38', '', 8, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16115, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16116, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16117, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16118, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16119, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D38', '', 8, 2023, 11, 4, '2024-08-05 14:37:44', NULL, NULL), (16120, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16121, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16122, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16123, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16124, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16125, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16126, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16127, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 2, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16128, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16129, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 1, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16130, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16131, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 1, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16132, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 3, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16133, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '', '', 3, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16134, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16135, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16136, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A08', '', 1, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16137, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A07', '', 2, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16138, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16139, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16140, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16141, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 1, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16142, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 2, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16143, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '2A07', '', 2, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16144, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '2A08', '', 1, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16145, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2023, 11, 5, '2024-08-05 14:37:44', NULL, NULL), (16146, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 50, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16147, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16148, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 10, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16149, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 2, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16150, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16151, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16152, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16153, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16154, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 17, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 10, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 17, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 50, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16163, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16164, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D16', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16165, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 8, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16166, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16167, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16168, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D25', '', 2, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16169, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 2, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16170, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B03', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16171, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16172, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 4, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16173, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16174, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16175, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 8, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16176, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16177, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 12, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16178, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D09', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16179, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 10, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16180, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D07', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16181, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E28', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16182, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 13, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16183, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16184, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 15, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16185, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 2, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16186, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16187, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 85, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16188, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16189, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 9, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16190, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16191, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 16, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16192, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 50, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16193, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16194, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16195, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 3, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16196, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16197, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16198, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D25', '', 2, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16199, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 3, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16200, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B03', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16201, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E28', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16202, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 13, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16203, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (16204, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16205, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 8, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16206, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 15, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16207, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 10, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16208, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 12, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16209, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 8, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16210, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16211, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 2, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16212, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16213, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 2, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16214, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16215, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16216, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D07', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16217, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 10, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16218, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 8, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16219, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16220, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 12, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16221, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 13, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16222, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 15, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16223, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 4, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16224, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16225, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B03', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16226, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E28', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16227, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 2, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16228, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 8, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16229, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16230, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16231, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D25', '', 2, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16232, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D36', '', 2, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16233, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16234, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16235, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D16', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16236, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16237, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16238, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D09', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16239, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D07', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16240, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16241, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16242, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16243, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D36', '', 2, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16244, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16245, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 12, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16246, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 8, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16247, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E28', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16248, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16249, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 2, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16250, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 8, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16251, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 15, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16252, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 13, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16253, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D07', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16254, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 10, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16255, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16256, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16257, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B03', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16258, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D25', '', 2, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16259, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16260, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 3, 2023, 11, 6, '2024-08-05 14:37:45', NULL, NULL), (16261, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 100, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16262, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 18, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16263, 1, '511500000000-0001', '宜宾市民中心', '中国银行', '', '', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16264, 1, '511500000000-0001', '宜宾市民中心', '应急、消防', '', '', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16265, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16266, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 5, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16267, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16268, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16269, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16270, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 14, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 20, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 5, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 100, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16277, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 14, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16278, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16279, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16280, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16281, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16282, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16283, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 13, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16284, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16285, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 25, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16286, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 18, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16287, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16288, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 25, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16289, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16290, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 19, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16291, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16292, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16293, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D14', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16294, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 6, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16295, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 10, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16296, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C12', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16297, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16298, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 11, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16299, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D06', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16300, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16301, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16302, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16303, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 140, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16304, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 4, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16305, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16306, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 13, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16307, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 100, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16308, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 17, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16309, 1, '511500000000-0001', '宜宾市民中心', '中国银行', '非常不满意', '', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16310, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16311, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16312, 1, '511500000000-0001', '宜宾市民中心', '应急、消防', '非常满意', '', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16313, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 11, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16314, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16315, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16316, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 6, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16317, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 10, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16318, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16319, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16320, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C12', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16321, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D13', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16322, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16323, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D06', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16324, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 25, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16325, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16326, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16327, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16328, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 19, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16329, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 25, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16330, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 18, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16331, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 13, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16332, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 25, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16333, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 18, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16334, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 3, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16335, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 13, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16336, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 25, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16337, 1, '511500000000-0001', '宜宾市民中心', '应急、消防', '', '1D13', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16338, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 19, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16339, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16340, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16341, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16342, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D14', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16343, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16344, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 6, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16345, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16346, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 10, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16347, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16348, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C12', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16349, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16350, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 11, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16351, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D06', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16352, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16353, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16354, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16355, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16356, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C12', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16357, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16358, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 13, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16359, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 3, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16360, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16361, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16362, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 11, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16363, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 19, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16364, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D06', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16365, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 25, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16366, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 18, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16367, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 25, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16368, 1, '511500000000-0001', '宜宾市民中心', '应急、消防', '非常满意', '1D13', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16369, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16370, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 10, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16371, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 6, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16372, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16373, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16374, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D05', '', 1, 2023, 11, 7, '2024-08-05 14:37:45', NULL, NULL), (16375, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 35, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16376, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16377, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 9, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16378, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16379, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 12, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16380, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 4, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16381, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 10, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16382, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 12, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 4, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 9, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 35, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 10, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16389, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16390, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16391, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16392, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16393, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16394, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16395, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16396, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16397, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16398, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16399, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 8, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16400, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 7, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16401, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16402, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16403, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 14, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16404, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16405, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 7, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16406, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 11, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16407, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16408, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16409, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16410, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16411, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 66, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16412, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 35, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16413, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 4, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16414, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 5, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16415, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16416, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16417, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 9, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16418, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 10, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16419, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16420, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16421, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16422, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16423, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16424, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16425, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16426, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16427, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16428, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16429, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16430, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16431, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16432, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 7, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16433, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 11, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16434, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 14, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16435, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16436, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16437, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 14, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16438, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16439, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16440, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16441, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16442, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 7, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16443, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 11, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16444, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16445, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C05', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16446, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16447, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 7, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16448, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16449, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16450, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16451, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16452, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16453, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 8, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16454, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16455, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16456, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16457, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16458, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16459, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16460, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16461, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 7, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16462, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 11, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16463, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16464, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 7, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16465, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16466, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 14, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16467, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16468, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16469, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16470, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16471, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16472, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16473, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A22', '', 2, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16474, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 8, 2023, 11, 8, '2024-08-05 14:37:46', NULL, NULL), (16475, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 36, 2023, 11, 9, '2024-08-05 14:37:46', NULL, NULL), (16476, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 11, 9, '2024-08-05 14:37:46', NULL, NULL), (16477, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '', '', '', 2, 2023, 11, 9, '2024-08-05 14:37:46', NULL, NULL), (16478, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 5, 2023, 11, 9, '2024-08-05 14:37:46', NULL, NULL), (16479, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2023, 11, 9, '2024-08-05 14:37:46', NULL, NULL), (16480, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 11, 9, '2024-08-05 14:37:46', NULL, NULL), (16481, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 11, 9, '2024-08-05 14:37:46', NULL, NULL), (16482, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 20, 2023, 11, 9, '2024-08-05 14:37:46', NULL, NULL), (16483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 11, 9, '2024-08-05 14:37:46', NULL, NULL), (16484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 6, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 19, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 36, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16490, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 3, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16491, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16492, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 2, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16493, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16494, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D11', '', 2, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16495, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16496, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16497, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 17, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16498, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16499, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16500, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 12, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16501, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16502, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 9, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16503, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16504, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 11, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16505, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 2, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16506, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16507, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 66, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16508, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 36, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16509, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16510, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16511, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16512, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16513, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '非常满意', '', '', 2, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16514, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 19, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16515, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16516, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 17, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16517, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16518, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 2, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16519, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D11', '', 2, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16520, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 2, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16521, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D28', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16522, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 9, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16523, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16524, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16525, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 11, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16526, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 3, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16527, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 12, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16528, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16529, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 12, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16530, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 3, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16531, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16532, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 9, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16533, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16534, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 11, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16535, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 2, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16536, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16537, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 2, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16538, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 17, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16539, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D34', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16540, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16541, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16542, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16543, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16544, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16545, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '', '1D11', '', 2, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16546, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D28', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16547, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16548, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 3, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16549, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 2, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16550, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16551, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 17, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16552, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 11, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16553, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 9, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16554, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 12, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16555, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16556, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '非常满意', '1D11', '', 2, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16557, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 2, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16558, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2023, 11, 9, '2024-08-05 14:37:47', NULL, NULL), (16559, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 35, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16560, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16561, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 5, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16562, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 10, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16563, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 23, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16564, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 8, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 5, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16568, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 9, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16569, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 19, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16570, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 35, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16571, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16572, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16573, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16574, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16575, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16576, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16577, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16578, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 4, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16579, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16580, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16581, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 19, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16582, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16583, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16584, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 8, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16585, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16586, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16587, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16588, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 9, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16589, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16590, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 12, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16591, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16592, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 71, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16593, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 35, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16594, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16595, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16596, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 23, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16597, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 9, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16598, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 19, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16599, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16600, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16601, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 4, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16602, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16603, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16604, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16605, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16606, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16607, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16608, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 9, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16609, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16610, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 12, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16611, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 8, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16612, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16613, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16614, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 8, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16615, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16616, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16617, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E23', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16618, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16619, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16620, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16621, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 9, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16622, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 12, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16623, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16624, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16625, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16626, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 19, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16627, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16628, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D36', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16629, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16630, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16631, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 4, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16632, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16633, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16634, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16635, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16636, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16637, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 19, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16638, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 12, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16639, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 9, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16640, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16641, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 8, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16642, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16643, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16644, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16645, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D36', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16646, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 4, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16647, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16648, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16649, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 2, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16650, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 1, 2023, 11, 10, '2024-08-05 14:37:47', NULL, NULL), (16651, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 11, 11, '2024-08-05 14:37:47', NULL, NULL), (16652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 11, 11, '2024-08-05 14:37:47', NULL, NULL), (16653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 11, 11, '2024-08-05 14:37:47', NULL, NULL), (16654, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 11, 11, '2024-08-05 14:37:47', NULL, NULL), (16655, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 11, 11, '2024-08-05 14:37:47', NULL, NULL), (16656, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 2, 2023, 11, 11, '2024-08-05 14:37:47', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (16657, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 11, 11, '2024-08-05 14:37:47', NULL, NULL), (16658, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 11, 11, '2024-08-05 14:37:47', NULL, NULL), (16659, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 11, 11, '2024-08-05 14:37:47', NULL, NULL), (16660, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 11, 11, '2024-08-05 14:37:47', NULL, NULL), (16661, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 1, 2023, 11, 11, '2024-08-05 14:37:47', NULL, NULL), (16662, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2023, 11, 11, '2024-08-05 14:37:47', NULL, NULL), (16663, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 1, 2023, 11, 11, '2024-08-05 14:37:47', NULL, NULL), (16664, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 11, 12, '2024-08-05 14:37:47', NULL, NULL), (16665, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 11, 12, '2024-08-05 14:37:47', NULL, NULL), (16666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 11, 12, '2024-08-05 14:37:47', NULL, NULL), (16667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 11, 12, '2024-08-05 14:37:47', NULL, NULL), (16668, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 11, 12, '2024-08-05 14:37:47', NULL, NULL), (16669, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 11, 12, '2024-08-05 14:37:47', NULL, NULL), (16670, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 2, 2023, 11, 12, '2024-08-05 14:37:47', NULL, NULL), (16671, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 11, 12, '2024-08-05 14:37:47', NULL, NULL), (16672, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 11, 12, '2024-08-05 14:37:47', NULL, NULL), (16673, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 11, 12, '2024-08-05 14:37:47', NULL, NULL), (16674, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 11, 12, '2024-08-05 14:37:47', NULL, NULL), (16675, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2023, 11, 12, '2024-08-05 14:37:47', NULL, NULL), (16676, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 1, 2023, 11, 12, '2024-08-05 14:37:47', NULL, NULL), (16677, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2023, 11, 12, '2024-08-05 14:37:47', NULL, NULL), (16678, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 1, 2023, 11, 12, '2024-08-05 14:37:47', NULL, NULL), (16679, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 61, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16680, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 7, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16681, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 20, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16682, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16683, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16684, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 15, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16685, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 3, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16686, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16687, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 7, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16688, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16689, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 20, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 15, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 61, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16693, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16694, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16695, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16696, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 2, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16697, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16698, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16699, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B03', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16700, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16701, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16702, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16703, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 11, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16704, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 17, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16705, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16706, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 6, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16707, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 11, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16708, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 2, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16709, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 16, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16710, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16711, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16712, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16713, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16714, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16715, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 6, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16716, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 5, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16717, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16718, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16719, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 2, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16720, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 5, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16721, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 103, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16722, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 61, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16723, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16724, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 18, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16725, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16726, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 7, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16727, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 13, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16728, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16729, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16730, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16731, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16732, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16733, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16734, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16735, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 11, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16736, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16737, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16738, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 16, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16739, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 17, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16740, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 6, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16741, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 11, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16742, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16743, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 5, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16744, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 6, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16745, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16746, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16747, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16748, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16749, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 5, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16750, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16751, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16752, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16753, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 17, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16754, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 6, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16755, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 2, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16756, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 5, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16757, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 11, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16758, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 11, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16759, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16760, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 16, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16761, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16762, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16763, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B03', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16764, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16765, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16766, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 5, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16767, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16768, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 2, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16769, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16770, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16771, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 6, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16772, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16773, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16774, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 5, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16775, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16776, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E18', '', 2, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16777, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16778, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 2, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16779, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16780, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 5, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16781, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E18', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16782, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16783, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16784, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16785, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16786, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 11, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16787, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 2, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16788, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 5, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16789, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 5, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16790, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16791, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16792, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E21', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16793, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 16, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16794, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 11, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16795, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 6, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16796, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16797, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 17, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16798, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B05', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16799, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 6, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16800, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16801, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16802, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D06', '', 1, 2023, 11, 13, '2024-08-05 14:37:48', NULL, NULL), (16803, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 53, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16804, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16805, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 7, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16806, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16807, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 14, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16808, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16809, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 28, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 14, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 7, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 28, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 53, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16817, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16818, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16819, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16820, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16821, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 2, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16822, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16823, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16824, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16825, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16826, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16827, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16828, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C11', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16829, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 4, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16830, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 4, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16831, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 16, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16832, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 10, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16833, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 13, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16834, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16835, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 3, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16836, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 10, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16837, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16838, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 20, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16839, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 11, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16840, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16841, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 101, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16842, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 53, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16843, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 6, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16844, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16845, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16846, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 28, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16847, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 10, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16848, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 4, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16849, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16850, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16851, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 10, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16852, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 20, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16853, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16854, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 13, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16855, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 10, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16856, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 16, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16857, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C11', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16858, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16859, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 3, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16860, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 11, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16861, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16862, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16863, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16864, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16865, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16866, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 3, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16867, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16868, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 13, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16869, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 2, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16870, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 10, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16871, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16872, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 10, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16873, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 20, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16874, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16875, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C11', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16876, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 3, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16877, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 11, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16878, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16879, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 16, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16880, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16881, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16882, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 4, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16883, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B09', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16884, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 4, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16885, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16886, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 2, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16887, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16888, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16889, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16890, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16891, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 3, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16892, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16893, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16894, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16895, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C11', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16896, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 3, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16897, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16898, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 10, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16899, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 2, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16900, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16901, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 11, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16902, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 16, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16903, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 20, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16904, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 10, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16905, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16906, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 13, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16907, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 4, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16908, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16909, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 11, 14, '2024-08-05 14:37:48', NULL, NULL), (16910, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 39, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16911, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 3, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16912, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 3, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16913, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16914, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16915, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 18, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16916, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16917, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16918, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 39, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 18, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16922, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16923, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D16', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16924, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16925, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16926, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16927, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16928, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 2, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16929, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 10, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16930, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 8, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16931, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 15, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16932, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16933, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 7, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16934, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 9, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16935, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 7, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16936, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 65, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16937, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 39, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16938, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16939, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16940, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16941, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 18, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16942, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16943, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 10, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16944, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 7, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16945, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 2, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16946, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 2, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16947, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16948, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16949, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 7, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16950, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16951, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 9, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16952, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D16', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16953, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 15, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16954, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16955, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 8, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16956, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16957, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 15, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16958, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16959, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 2, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16960, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 8, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16961, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 7, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16962, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 9, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16963, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16964, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 7, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16965, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16966, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 10, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16967, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D16', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16968, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 2, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16969, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16970, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 8, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16971, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16972, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16973, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 7, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16974, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 10, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16975, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 9, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16976, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 7, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16977, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16978, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 15, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16979, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16980, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 2, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16981, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 2, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16982, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D16', '', 1, 2023, 11, 15, '2024-08-05 14:37:48', NULL, NULL), (16983, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 35, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (16984, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 47, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (16985, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 4, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (16986, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (16987, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (16988, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 25, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (16989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 48, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (16990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (16991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 21, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (16992, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (16993, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 34, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (16994, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E14', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (16995, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 47, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (16996, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (16997, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 17, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (16998, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (16999, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17000, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17001, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 7, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17002, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17003, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 6, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17004, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 15, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17005, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17006, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17007, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 7, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17008, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 112, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17009, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 35, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17010, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17011, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17012, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 47, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17013, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 25, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17014, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17015, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17016, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17017, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 17, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17018, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17019, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17020, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17021, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E14', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17022, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 47, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17023, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 6, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17024, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 7, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17025, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17026, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 15, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17027, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 6, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17028, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17029, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 15, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17030, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 6, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17031, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E14', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17032, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 6, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17033, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17034, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 7, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17035, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17036, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 7, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17037, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17038, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 17, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17039, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17040, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17041, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 47, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17042, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 6, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17043, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 47, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17044, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17045, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 7, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17046, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E14', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17047, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 7, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17048, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 6, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17049, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17050, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 15, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17051, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17052, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17053, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 17, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17054, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D06', '', 1, 2023, 11, 16, '2024-08-05 14:37:48', NULL, NULL), (17055, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 23, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17056, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '', '', '', 6, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17057, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 5, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17058, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17059, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17060, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '', '', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17061, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17062, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17063, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 19, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 7, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 5, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 23, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 19, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17072, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17073, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17074, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 2, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17075, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17076, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17077, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D12', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17078, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17079, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D11', '', 6, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17080, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17081, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17082, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 10, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17083, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 7, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17084, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 5, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17085, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17086, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 10, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17087, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 9, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17088, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17089, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 57, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17090, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常不满意', '', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17091, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 23, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17092, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17093, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17094, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17095, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '非常满意', '', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17096, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17097, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '非常满意', '', '', 6, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17098, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 19, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17099, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17100, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2E22', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17101, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 10, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17102, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 9, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17103, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17104, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D11', '', 6, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17105, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17106, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17107, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17108, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (17109, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D12', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17110, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17111, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17112, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 10, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17113, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 5, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17114, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 7, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17115, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '', '1D12', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17116, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 5, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17117, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17118, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 7, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17119, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E25', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17120, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17121, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17122, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 10, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17123, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17124, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17125, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17126, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 9, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17127, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 10, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17128, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 2, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17129, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17130, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '', '1D11', '', 6, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17131, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 7, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17132, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 9, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17133, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 10, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17134, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 10, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17135, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '非常满意', '1D12', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17136, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17137, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17138, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 5, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17139, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17140, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17141, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B04', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17142, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '非常满意', '1D11', '', 6, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17143, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常不满意', '2E22', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17144, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17145, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 2, 2023, 11, 17, '2024-08-05 14:37:48', NULL, NULL), (17146, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 11, 18, '2024-08-05 14:37:48', NULL, NULL), (17147, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 11, 18, '2024-08-05 14:37:48', NULL, NULL), (17148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 11, 18, '2024-08-05 14:37:48', NULL, NULL), (17149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 11, 18, '2024-08-05 14:37:48', NULL, NULL), (17150, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 11, 18, '2024-08-05 14:37:48', NULL, NULL), (17151, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 11, 18, '2024-08-05 14:37:48', NULL, NULL), (17152, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2023, 11, 18, '2024-08-05 14:37:48', NULL, NULL), (17153, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 1, 2023, 11, 18, '2024-08-05 14:37:48', NULL, NULL), (17154, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2023, 11, 19, '2024-08-05 14:37:48', NULL, NULL), (17155, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 3, 2023, 11, 19, '2024-08-05 14:37:48', NULL, NULL), (17156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2023, 11, 19, '2024-08-05 14:37:48', NULL, NULL), (17157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 3, 2023, 11, 19, '2024-08-05 14:37:48', NULL, NULL), (17158, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 11, 19, '2024-08-05 14:37:48', NULL, NULL), (17159, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2023, 11, 19, '2024-08-05 14:37:48', NULL, NULL), (17160, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 4, 2023, 11, 19, '2024-08-05 14:37:48', NULL, NULL), (17161, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2023, 11, 19, '2024-08-05 14:37:48', NULL, NULL), (17162, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2023, 11, 19, '2024-08-05 14:37:48', NULL, NULL), (17163, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 11, 19, '2024-08-05 14:37:48', NULL, NULL), (17164, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2023, 11, 19, '2024-08-05 14:37:48', NULL, NULL), (17165, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 11, 19, '2024-08-05 14:37:48', NULL, NULL), (17166, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2023, 11, 19, '2024-08-05 14:37:48', NULL, NULL), (17167, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2023, 11, 19, '2024-08-05 14:37:48', NULL, NULL), (17168, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 11, 19, '2024-08-05 14:37:48', NULL, NULL), (17169, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 52, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17170, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 2, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17171, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17172, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 6, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17173, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17174, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 31, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 6, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17178, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17179, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 51, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 30, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17182, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E14', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17183, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17184, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17185, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17186, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17187, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17188, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17189, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17190, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A23', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17191, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 13, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17192, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 7, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17193, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17194, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 17, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17195, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17196, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 7, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17197, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 19, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17198, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17199, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 15, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17200, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 5, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17201, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17202, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 88, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17203, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 51, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17204, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 3, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17205, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17206, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17207, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 28, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17208, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 4, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17209, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17210, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2D31', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17211, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A23', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17212, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 3, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17213, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 11, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17214, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17215, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 15, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17216, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17217, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17218, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17219, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E14', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17220, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17221, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17222, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 7, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17223, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 19, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17224, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 17, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17225, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17226, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 7, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17227, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17228, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 17, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17229, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E23', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17230, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 7, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17231, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E14', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17232, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 7, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17233, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 19, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17234, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17235, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 15, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17236, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 13, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17237, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17238, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 5, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17239, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17240, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17241, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17242, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A23', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17243, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17244, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17245, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17246, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 7, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17247, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 15, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17248, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 11, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17249, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E14', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17250, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 19, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17251, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 7, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17252, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17253, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 17, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17254, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17255, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17256, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 3, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17257, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A23', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17258, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17259, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A22', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17260, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17261, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17262, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '2D31', '', 1, 2023, 11, 20, '2024-08-05 14:37:48', NULL, NULL), (17263, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 27, 2023, 11, 21, '2024-08-05 14:37:48', NULL, NULL), (17264, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 11, 21, '2024-08-05 14:37:48', NULL, NULL), (17265, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 4, 2023, 11, 21, '2024-08-05 14:37:48', NULL, NULL), (17266, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 2, 2023, 11, 21, '2024-08-05 14:37:48', NULL, NULL), (17267, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2023, 11, 21, '2024-08-05 14:37:48', NULL, NULL), (17268, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 6, 2023, 11, 21, '2024-08-05 14:37:48', NULL, NULL), (17269, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2023, 11, 21, '2024-08-05 14:37:48', NULL, NULL), (17270, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 4, 2023, 11, 21, '2024-08-05 14:37:48', NULL, NULL), (17271, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2023, 11, 21, '2024-08-05 14:37:48', NULL, NULL), (17272, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 11, 21, '2024-08-05 14:37:48', NULL, NULL), (17273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17274, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 4, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17275, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17276, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 27, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17277, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17278, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17279, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 3, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17280, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17281, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 2, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17282, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17283, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17284, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 2, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17285, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17286, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17287, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D08', '', 2, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17288, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 10, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17289, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17290, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17291, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17292, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 8, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17293, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17294, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 3, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17295, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 40, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17296, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 26, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17297, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17298, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17299, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17300, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 3, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17301, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17302, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 2, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17303, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17304, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17305, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 3, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17306, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17307, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 3, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17308, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17309, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17310, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 8, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17311, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17312, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D08', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17313, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 10, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17314, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17315, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17316, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 10, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17317, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17318, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17319, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E30', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17320, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17321, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 8, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17322, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 3, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17323, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17324, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 3, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17325, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 2, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17326, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17327, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17328, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17329, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 2, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17330, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17331, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17332, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D08', '', 2, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17333, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17334, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17335, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 3, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17336, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 2, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17337, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 8, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17338, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17339, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17340, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D08', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17341, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 10, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17342, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17343, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17344, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17345, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 3, 2023, 11, 21, '2024-08-05 14:37:49', NULL, NULL), (17346, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 21, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17347, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17348, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17349, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17350, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '', '', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17351, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17352, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 21, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17358, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17359, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17360, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17361, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D12', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17362, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17363, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17364, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17365, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 8, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17366, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17367, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17368, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 10, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17369, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 31, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17370, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 19, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17371, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17372, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '非常满意', '', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17373, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17374, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17375, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17376, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17377, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D12', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17378, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C07', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17379, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17380, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C05', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17381, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17382, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 10, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17383, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 8, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17384, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17385, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17386, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '', '1D12', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17387, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17388, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17389, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 8, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17390, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17391, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17392, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 10, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17393, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17394, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17395, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C05', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17396, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17397, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17398, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 8, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17399, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C07', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17400, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17401, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C05', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17402, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17403, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '非常满意', '1D12', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17404, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 10, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17405, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17406, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 1, 2023, 11, 22, '2024-08-05 14:37:49', NULL, NULL), (17407, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 45, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17408, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 8, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17409, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 56, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17410, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17411, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17412, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 27, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 56, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 27, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 45, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17420, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 4, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17421, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 4, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17422, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17423, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 8, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17424, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17425, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 39, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17426, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17427, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17428, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17429, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 16, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17430, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17431, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 6, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17432, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 11, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17433, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 3, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17434, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 11, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17435, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17436, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17437, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 3, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17438, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 14, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17439, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 10, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17440, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 136, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17441, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 44, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17442, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 52, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17443, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17444, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 8, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17445, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 27, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17446, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17447, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 16, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17448, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17449, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17450, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 10, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17451, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 4, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17452, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 39, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17453, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17454, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 8, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17455, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17456, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 4, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17457, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D29', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17458, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 11, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17459, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17460, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 3, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17461, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 14, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17462, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17463, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 11, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17464, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 3, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17465, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17466, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 4, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17467, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 11, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17468, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 3, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17469, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17470, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 6, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17471, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 8, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17472, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 11, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17473, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 39, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17474, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 14, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17475, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 2, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17476, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 5, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17477, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 10, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17478, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17479, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 16, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17480, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17481, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 3, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17482, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17483, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 4, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17484, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17485, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17486, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17487, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 10, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17488, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17489, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 4, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17490, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 3, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17491, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 16, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17492, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 39, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17493, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 14, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17494, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 8, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17495, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 11, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17496, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 3, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17497, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 4, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17498, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 11, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17499, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17500, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17501, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17502, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 2, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17503, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17504, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D29', '', 1, 2023, 11, 23, '2024-08-05 14:37:49', NULL, NULL), (17505, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 19, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17506, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 9, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17507, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17508, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 22, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 9, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17511, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 19, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 22, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17513, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17514, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17515, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17516, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17517, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17518, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 10, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17519, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17520, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17521, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17522, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 7, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17523, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17524, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 9, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17525, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17526, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17527, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 2, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17528, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17529, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17530, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 45, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17531, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 19, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17532, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 4, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17533, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 22, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17534, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 10, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17535, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17536, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17537, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17538, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17539, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 2, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17540, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D29', '', 9, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17541, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17542, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17543, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17544, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 7, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17545, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17546, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17547, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17548, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 7, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17549, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17550, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E30', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17551, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17552, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17553, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17554, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17555, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17556, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17557, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E18', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17558, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 10, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17559, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 2, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17560, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 9, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17561, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (17562, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17563, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17564, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17565, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E18', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17566, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17567, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17568, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 10, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17569, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17570, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17571, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17572, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17573, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 7, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17574, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17575, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D29', '', 9, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17576, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D06', '', 2, 2023, 11, 24, '2024-08-05 14:37:49', NULL, NULL), (17577, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 6, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17578, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17582, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17583, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17584, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17585, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 3, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17586, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17587, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 4, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17588, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17589, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17590, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17591, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17592, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 3, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17593, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17594, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A22', '', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17595, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A23', '', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17596, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17597, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17598, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17599, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 3, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17600, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17601, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17602, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17603, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17604, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A22', '', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17605, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A23', '', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17606, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2023, 11, 25, '2024-08-05 14:37:49', NULL, NULL), (17607, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17608, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17609, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 8, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17610, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 19, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17611, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 8, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 19, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17616, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17617, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 19, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17618, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17619, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 7, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17620, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A23', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17621, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17622, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17623, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 29, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17624, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17625, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17626, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17627, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 19, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17628, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 8, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17629, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17630, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 19, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17631, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A23', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17632, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17633, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17634, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 7, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17635, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17636, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 19, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17637, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17638, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 7, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17639, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17640, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A23', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17641, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17642, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 7, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17643, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A23', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17644, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 19, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17645, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17646, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 11, 26, '2024-08-05 14:37:49', NULL, NULL), (17647, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 19, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17648, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 21, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17649, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17650, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 13, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 23, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 19, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 11, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17655, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17656, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17657, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17658, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17659, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17660, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D32', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17661, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 10, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17662, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17663, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 17, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17664, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 2, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17665, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17666, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17667, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 13, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17668, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 35, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17669, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 17, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17670, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 4, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17671, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 13, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17672, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17673, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 10, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17674, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D32', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17675, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17676, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17677, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17678, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17679, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17680, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17681, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 13, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17682, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 2, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17683, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17684, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17685, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 2, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17686, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17687, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17688, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17689, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 13, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17690, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 17, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17691, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 10, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17692, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D32', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17693, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17694, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17695, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17696, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17697, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17698, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D32', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17699, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17700, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17701, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 10, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17702, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 13, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17703, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17704, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17705, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17706, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 2, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17707, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 1, 2023, 11, 27, '2024-08-05 14:37:49', NULL, NULL), (17708, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 27, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17709, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17710, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 4, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17711, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17712, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17713, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 4, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 27, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17721, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17722, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17723, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17724, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17725, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17726, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 4, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17727, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17728, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17729, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17730, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17731, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 4, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17732, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 20, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17733, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17734, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 34, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17735, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 27, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17736, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17737, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17738, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17739, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17740, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 4, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17741, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17742, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C13', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17743, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 20, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17744, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17745, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 4, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17746, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17747, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E24', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17748, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 4, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17749, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17750, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17751, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E30', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17752, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 20, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17753, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17754, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17755, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 4, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17756, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17757, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17758, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17759, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17760, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17761, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17762, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 4, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17763, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 20, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17764, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 4, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17765, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17766, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C13', '', 1, 2023, 11, 28, '2024-08-05 14:37:49', NULL, NULL), (17767, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 26, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17768, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 3, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17769, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 2, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17770, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 5, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17771, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17772, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17773, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 9, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17775, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17776, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17777, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17778, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 6, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17779, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17780, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 26, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17781, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17782, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17783, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17784, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17785, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17786, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17787, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 8, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17788, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D09', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17789, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17790, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 12, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17791, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17792, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17793, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 14, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17794, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 39, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17795, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 25, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17796, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17797, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17798, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17799, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 9, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17800, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17801, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E30', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17802, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 8, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17803, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C14', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17804, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17805, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17806, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 11, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17807, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D28', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17808, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 14, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17809, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D09', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17810, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E30', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17811, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 12, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17812, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 14, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17813, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17814, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C14', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17815, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 8, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17816, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17817, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D36', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17818, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D09', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17819, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17820, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17821, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17822, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17823, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D28', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17824, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17825, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 8, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17826, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D09', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17827, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E30', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17828, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 14, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17829, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 11, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17830, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D36', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17831, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C14', '', 1, 2023, 11, 29, '2024-08-05 14:37:49', NULL, NULL), (17832, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 11, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17833, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17834, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17835, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17836, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17837, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17838, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17839, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17841, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17842, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 11, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17844, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17845, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17846, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17847, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17848, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17849, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17850, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D09', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17851, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17852, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17853, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 9, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17854, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 13, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17855, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 10, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17856, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17857, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17858, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D18', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17859, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 9, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17860, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17861, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17862, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17863, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17864, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A21', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17865, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17866, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17867, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 9, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17868, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D18', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17869, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D09', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17870, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17871, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17872, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17873, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17874, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17875, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17876, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 9, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17877, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D18', '', 1, 2023, 11, 30, '2024-08-05 14:37:50', NULL, NULL), (17878, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 10, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17879, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 3, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17880, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 4, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17881, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17882, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17883, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 3, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 5, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 5, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 10, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17889, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 2, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17890, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17891, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17892, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17893, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17894, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 3, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17895, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17896, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 3, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17897, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17898, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17899, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 10, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17900, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 18, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17901, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 10, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17902, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17903, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17904, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17905, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17906, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17907, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 2, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17908, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D29', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17909, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D28', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17910, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 10, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17911, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 2, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17912, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17913, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17914, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17915, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17916, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 10, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17917, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17918, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17919, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 3, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17920, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 2, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17921, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17922, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E18', '', 3, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17923, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17924, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D28', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17925, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 2, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17926, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E18', '', 2, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17927, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17928, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17929, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D29', '', 1, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17930, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 10, 2023, 12, 1, '2024-08-05 14:37:50', NULL, NULL), (17931, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 2, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17932, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17933, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17934, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17935, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17936, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17938, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17939, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17941, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17942, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17943, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17944, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17945, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17946, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 5, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17947, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 2, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17948, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17949, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17950, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17951, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17952, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17953, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17954, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17955, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17956, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17957, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17958, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17959, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17960, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17961, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17962, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17963, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 12, 2, '2024-08-05 14:37:50', NULL, NULL), (17964, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 6, 2023, 12, 3, '2024-08-05 14:37:50', NULL, NULL), (17965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 6, 2023, 12, 3, '2024-08-05 14:37:50', NULL, NULL), (17966, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 12, 3, '2024-08-05 14:37:50', NULL, NULL), (17967, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 4, 2023, 12, 3, '2024-08-05 14:37:50', NULL, NULL), (17968, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 6, 2023, 12, 3, '2024-08-05 14:37:50', NULL, NULL), (17969, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 6, 2023, 12, 3, '2024-08-05 14:37:50', NULL, NULL), (17970, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 12, 3, '2024-08-05 14:37:50', NULL, NULL), (17971, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 4, 2023, 12, 3, '2024-08-05 14:37:50', NULL, NULL), (17972, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 12, 3, '2024-08-05 14:37:50', NULL, NULL), (17973, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 4, 2023, 12, 3, '2024-08-05 14:37:50', NULL, NULL), (17974, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 4, 2023, 12, 3, '2024-08-05 14:37:50', NULL, NULL), (17975, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 12, 3, '2024-08-05 14:37:50', NULL, NULL), (17976, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 33, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17977, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17978, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 6, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17979, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17980, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 5, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17981, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17982, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 9, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 4, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 6, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 9, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 33, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17990, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 3, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17991, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 2, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17992, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17993, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17994, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17995, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17996, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C12', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17997, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17998, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 9, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (17999, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18000, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18001, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18002, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 13, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18003, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18004, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 2, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18005, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 7, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18006, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18007, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18008, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 9, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18009, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18010, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 53, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18011, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18012, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18013, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 32, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18014, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18015, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18016, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (18017, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18018, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 9, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18019, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 3, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18020, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A07', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18021, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 9, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18022, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18023, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18024, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C12', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18025, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C07', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18026, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18027, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18028, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C05', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18029, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 7, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18030, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18031, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 9, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18032, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18033, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 13, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18034, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18035, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18036, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18037, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18038, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18039, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18040, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 13, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18041, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 2, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18042, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18043, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 3, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18044, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18045, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 7, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18046, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 9, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18047, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C12', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18048, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18049, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C05', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18050, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18051, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 9, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18052, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18053, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18054, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18055, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 2, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18056, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18057, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18058, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 2, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18059, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 2, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18060, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '2A07', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18061, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18062, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 9, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18063, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 9, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18064, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 7, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18065, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18066, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 13, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18067, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18068, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18069, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18070, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C07', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18071, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C05', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18072, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18073, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C12', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18074, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18075, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2023, 12, 4, '2024-08-05 14:37:50', NULL, NULL), (18076, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 34, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18077, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18078, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 14, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18079, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18080, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 7, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18081, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 5, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18082, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 9, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18084, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18085, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 7, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18086, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 5, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18087, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 15, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18088, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18089, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 34, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18090, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18091, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 3, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18092, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18093, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 5, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18094, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 4, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18095, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18096, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18097, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18098, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 8, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18099, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18100, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 9, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18101, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 6, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18102, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18103, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18104, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18105, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 10, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18106, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E16', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18107, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 17, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18108, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18109, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 60, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18110, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18111, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 34, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18112, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 5, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18113, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18114, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18115, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 7, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18116, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 9, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18117, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18118, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 8, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18119, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18120, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 5, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18121, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 4, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18122, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 3, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18123, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18124, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18125, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18126, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 10, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18127, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 17, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18128, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 6, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18129, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18130, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18131, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A10', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18132, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 6, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18133, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18134, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18135, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18136, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 10, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18137, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 17, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18138, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 9, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18139, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 3, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18140, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E16', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18141, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18142, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 4, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18143, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18144, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 8, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18145, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18146, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18147, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18148, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18149, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 5, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18150, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18151, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18152, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18153, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18154, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 2, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18155, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 8, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18156, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 17, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18157, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 10, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18158, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 6, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18159, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18160, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '1A10', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18161, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 3, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18162, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 5, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18163, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 4, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18164, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2023, 12, 5, '2024-08-05 14:37:50', NULL, NULL), (18165, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 21, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18166, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 5, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18167, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 6, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18168, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18169, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 2, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18170, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 10, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 5, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18172, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18173, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 10, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 21, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18177, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18178, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18179, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18180, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18181, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 5, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18182, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18183, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18184, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18185, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 4, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18186, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18187, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18188, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18189, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18190, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18191, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18192, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18193, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18194, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 18, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18195, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 42, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18196, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 21, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18197, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18198, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18199, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 4, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18200, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 9, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18201, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 6, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18202, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18203, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18204, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18205, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18206, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 5, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18207, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18208, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18209, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 4, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18210, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18211, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18212, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 18, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18213, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18214, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18215, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18216, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18217, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18218, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18219, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18220, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 18, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18221, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18222, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18223, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18224, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18225, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18226, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 5, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18227, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18228, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18229, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18230, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 4, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18231, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18232, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18233, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 2, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18234, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18235, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18236, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18237, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 18, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18238, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18239, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18240, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18241, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B04', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18242, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18243, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 4, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18244, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18245, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 5, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18246, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D05', '', 1, 2023, 12, 6, '2024-08-05 14:37:50', NULL, NULL), (18247, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 38, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18248, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18249, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 8, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18250, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18251, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 9, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 9, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 38, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18257, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18258, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18259, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18260, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18261, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 2, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18262, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18263, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 7, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18264, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 4, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18265, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18266, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18267, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 5, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18268, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 3, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18269, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 12, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18270, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18271, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 11, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18272, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D17', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18273, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18274, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 48, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18275, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 37, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18276, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18277, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18278, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18279, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 4, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18280, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18281, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18282, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 7, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18283, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 2, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18284, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18285, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 12, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18286, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 10, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18287, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 5, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18288, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 2, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18289, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18290, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 5, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18291, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18292, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 12, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18293, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18294, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 11, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18295, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18296, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 4, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18297, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E18', '', 3, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18298, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 2, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18299, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18300, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18301, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18302, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18303, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D17', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18304, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18305, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 7, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18306, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18307, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18308, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E18', '', 2, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18309, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 2, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18310, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 4, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18311, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 10, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18312, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 12, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18313, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 5, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18314, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 7, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18315, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18316, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18317, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2023, 12, 7, '2024-08-05 14:37:50', NULL, NULL), (18318, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 33, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18319, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 7, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18320, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18321, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 14, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18322, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18323, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 14, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 7, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 33, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18330, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D25', '', 2, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18331, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18332, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18333, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18334, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18335, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18336, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 11, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18337, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 5, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18338, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18339, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18340, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 6, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18341, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18342, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18343, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 19, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18344, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 3, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18345, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 57, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18346, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 33, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18347, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18348, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18349, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18350, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18351, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 11, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18352, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 5, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18353, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 11, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18354, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C14', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18355, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18356, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D25', '', 2, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18357, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18358, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18359, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 6, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18360, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 19, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18361, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18362, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 6, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18363, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18364, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18365, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18366, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 6, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18367, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18368, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18369, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18370, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 6, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18371, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 19, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18372, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18373, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C14', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18374, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 5, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18375, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18376, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 3, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18377, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D25', '', 2, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18378, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 11, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18379, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18380, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18381, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18382, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18383, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 5, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18384, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 19, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18385, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 6, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18386, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18387, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18388, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 6, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18389, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 11, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18390, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18391, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D25', '', 2, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18392, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C14', '', 1, 2023, 12, 8, '2024-08-05 14:37:51', NULL, NULL), (18393, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 12, 9, '2024-08-05 14:37:51', NULL, NULL), (18394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 12, 9, '2024-08-05 14:37:51', NULL, NULL), (18395, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2023, 12, 9, '2024-08-05 14:37:51', NULL, NULL), (18396, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 1, 2023, 12, 9, '2024-08-05 14:37:51', NULL, NULL), (18397, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 12, 9, '2024-08-05 14:37:51', NULL, NULL), (18398, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 1, 2023, 12, 9, '2024-08-05 14:37:51', NULL, NULL), (18399, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 1, 2023, 12, 9, '2024-08-05 14:37:51', NULL, NULL), (18400, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A22', '', 1, 2023, 12, 9, '2024-08-05 14:37:51', NULL, NULL), (18401, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 12, 10, '2024-08-05 14:37:51', NULL, NULL), (18402, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 12, 10, '2024-08-05 14:37:51', NULL, NULL), (18403, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 12, 10, '2024-08-05 14:37:51', NULL, NULL), (18404, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 1, 2023, 12, 10, '2024-08-05 14:37:51', NULL, NULL), (18405, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 12, 10, '2024-08-05 14:37:51', NULL, NULL), (18406, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2023, 12, 10, '2024-08-05 14:37:51', NULL, NULL), (18407, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2023, 12, 10, '2024-08-05 14:37:51', NULL, NULL), (18408, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2023, 12, 10, '2024-08-05 14:37:51', NULL, NULL), (18409, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 19, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18410, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 3, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18411, 1, '511500000000-0001', '宜宾市民中心', '宜宾市邮政管理局', '', '', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18412, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 4, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18413, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18414, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 4, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18415, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 4, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 4, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 19, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18421, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18422, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18423, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18424, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18425, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18426, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A14', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18427, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18428, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18429, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18430, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18431, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18432, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18433, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 9, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18434, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18435, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 8, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18436, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 2, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18437, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18438, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 2, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18439, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18440, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 27, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18441, 1, '511500000000-0001', '宜宾市民中心', '宜宾市邮政管理局', '非常满意', '', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18442, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 18, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18443, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 4, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18444, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18445, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '满意', '', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18446, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18447, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18448, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A21', '', 2, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18449, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 2, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18450, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A14', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18451, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18452, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18453, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 9, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18454, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18455, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 8, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18456, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1D28', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18457, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18458, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18459, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18460, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18461, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 9, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18462, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 2, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18463, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 8, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18464, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18465, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18466, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A21', '', 2, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18467, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18468, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18469, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18470, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A14', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18471, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 2, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18472, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18473, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (18474, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18475, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18476, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 8, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18477, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 9, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18478, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18479, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '满意', '1D28', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18480, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A21', '', 2, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18481, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A14', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18482, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D23', '', 1, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18483, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A22', '', 2, 2023, 12, 11, '2024-08-05 14:37:51', NULL, NULL), (18484, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 17, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18485, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 10, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18486, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 5, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18487, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18488, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18489, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 4, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 10, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 17, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18497, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18498, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18499, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18500, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18501, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18502, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18503, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18504, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18505, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18506, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 2, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18507, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18508, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18509, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18510, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18511, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18512, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 7, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18513, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18514, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 8, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18515, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18516, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 27, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18517, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 17, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18518, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 4, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18519, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18520, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18521, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18522, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 2, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18523, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18524, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18525, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18526, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18527, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D29', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18528, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 7, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18529, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 8, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18530, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18531, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18532, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18533, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A19', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18534, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18535, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18536, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E24', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18537, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18538, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 7, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18539, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 8, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18540, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 5, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18541, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18542, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18543, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 2, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18544, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18545, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18546, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18547, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18548, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18549, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18550, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18551, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18552, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18553, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18554, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18555, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 2, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18556, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 8, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18557, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 7, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18558, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18559, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18560, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18561, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D29', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18562, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18563, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A19', '', 1, 2023, 12, 12, '2024-08-05 14:37:51', NULL, NULL), (18564, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 25, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18565, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18566, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 6, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18567, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18568, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 17, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18569, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18570, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18571, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 5, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 13, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 6, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 25, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18579, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18580, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18581, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18582, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18583, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18584, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18585, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18586, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18587, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18588, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 12, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18589, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18590, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 6, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18591, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18592, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18593, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18594, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18595, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18596, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 16, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18597, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18598, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18599, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 43, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18600, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18601, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 24, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18602, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18603, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18604, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18605, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18606, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 14, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18607, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A23', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18608, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18609, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 11, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18610, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18611, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C14', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18612, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18613, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18614, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18615, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18616, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18617, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18618, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 16, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18619, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18620, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 6, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18621, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18622, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18623, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 6, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18624, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18625, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 16, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18626, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18627, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18628, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18629, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C14', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18630, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18631, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18632, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18633, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18634, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 12, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18635, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18636, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18637, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18638, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18639, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18640, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 6, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18641, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18642, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18643, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 16, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18644, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18645, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18646, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18647, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18648, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18649, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A23', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18650, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C14', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18651, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18652, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18653, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 11, 2023, 12, 13, '2024-08-05 14:37:51', NULL, NULL), (18654, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 26, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18655, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18656, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18657, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 3, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18658, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 8, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18659, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18660, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 11, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18661, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 8, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18664, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 6, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18665, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 26, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18666, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18667, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D16', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18668, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18669, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18670, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18671, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18672, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18673, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D14', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18674, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18675, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 2, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18676, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18677, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18678, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18679, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18680, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18681, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18682, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18683, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18684, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18685, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18686, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D17', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18687, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 2, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18688, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 18, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18689, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18690, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 3, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18691, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18692, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18693, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 43, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18694, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 26, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18695, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18696, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18697, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 9, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18698, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18699, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 5, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18700, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A01', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18701, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18702, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E23', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18703, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18704, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D29', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18705, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18706, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18707, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 18, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18708, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18709, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D08', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18710, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18711, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18712, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18713, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 2, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18714, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D02', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18715, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18716, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D17', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18717, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D18', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18718, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D16', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18719, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 2, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18720, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18721, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E24', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18722, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18723, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18724, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E23', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18725, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18726, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18727, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 18, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18728, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D02', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18729, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18730, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18731, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18732, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 2, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18733, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18734, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 3, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18735, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D14', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18736, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18737, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D16', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18738, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18739, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D17', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18740, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D18', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18741, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18742, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18743, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18744, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 2, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18745, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18746, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18747, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 2, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18748, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D18', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18749, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 2, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18750, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D16', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18751, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D17', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18752, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 2, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18753, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D02', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18754, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18755, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 18, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18756, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18757, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E23', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18758, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18759, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18760, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18761, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A01', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18762, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18763, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D29', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18764, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D08', '', 1, 2023, 12, 14, '2024-08-05 14:37:51', NULL, NULL), (18765, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 17, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18766, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 5, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18767, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18768, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18769, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18770, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18771, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18772, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 6, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18773, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18774, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 17, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18775, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 3, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18776, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18777, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18778, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18779, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18780, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 6, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18781, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18782, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18783, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18784, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18785, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18786, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 12, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18787, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18788, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18789, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 30, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18790, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18791, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常不满意', '', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18792, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 17, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18793, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18794, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18795, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18796, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18797, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18798, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18799, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A06', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18800, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A06', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18801, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2E02', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18802, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18803, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18804, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 6, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18805, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18806, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18807, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18808, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18809, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18810, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 12, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18811, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18812, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18813, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18814, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18815, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 6, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18816, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18817, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18818, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18819, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 12, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18820, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18821, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 3, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18822, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18823, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18824, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18825, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18826, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18827, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18828, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 6, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18829, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18830, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常不满意', '2E02', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18831, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '1A06', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18832, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 12, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18833, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18834, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18835, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18836, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18837, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A06', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18838, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2023, 12, 15, '2024-08-05 14:37:51', NULL, NULL), (18839, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 12, 16, '2024-08-05 14:37:52', NULL, NULL), (18840, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 12, 16, '2024-08-05 14:37:52', NULL, NULL), (18841, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 12, 16, '2024-08-05 14:37:52', NULL, NULL), (18842, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 1, 2023, 12, 16, '2024-08-05 14:37:52', NULL, NULL), (18843, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 12, 16, '2024-08-05 14:37:52', NULL, NULL), (18844, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2023, 12, 16, '2024-08-05 14:37:52', NULL, NULL), (18845, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2023, 12, 16, '2024-08-05 14:37:52', NULL, NULL), (18846, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2023, 12, 16, '2024-08-05 14:37:52', NULL, NULL), (18847, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 1, 2023, 12, 17, '2024-08-05 14:37:52', NULL, NULL), (18848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 12, 17, '2024-08-05 14:37:52', NULL, NULL), (18849, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2023, 12, 17, '2024-08-05 14:37:52', NULL, NULL), (18850, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 1, 2023, 12, 17, '2024-08-05 14:37:52', NULL, NULL), (18851, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 1, 2023, 12, 17, '2024-08-05 14:37:52', NULL, NULL), (18852, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2023, 12, 17, '2024-08-05 14:37:52', NULL, NULL), (18853, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2023, 12, 17, '2024-08-05 14:37:52', NULL, NULL), (18854, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2023, 12, 17, '2024-08-05 14:37:52', NULL, NULL), (18855, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 19, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18856, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 23, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18857, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 6, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18858, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18859, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 3, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 24, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 18, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18865, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18866, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18867, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E14', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18868, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 8, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18869, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18870, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18871, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18872, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A14', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18873, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 10, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18874, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18875, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 2, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18876, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18877, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18878, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18879, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18880, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18881, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18882, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18883, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 13, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18884, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18885, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18886, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 47, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18887, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 18, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18888, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18889, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 22, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18890, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18891, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18892, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 3, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18893, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18894, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 2, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18895, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18896, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18897, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18898, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A14', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18899, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 10, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18900, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E14', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18901, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 8, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18902, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E25', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18903, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18904, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18905, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 13, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18906, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18907, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18908, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18909, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18910, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18911, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18912, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 8, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18913, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E25', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18914, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18915, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E14', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18916, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18917, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 10, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18918, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 13, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18919, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18920, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18921, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18922, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 2, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18923, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18924, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18925, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 3, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18926, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A14', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18927, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18928, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 8, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18929, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E25', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18930, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18931, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (18932, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18933, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A23', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18934, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 2, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18935, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E14', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18936, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 10, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18937, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 13, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18938, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18939, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18940, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B04', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18941, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A14', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18942, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 1, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18943, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2023, 12, 18, '2024-08-05 14:37:52', NULL, NULL), (18944, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 20, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18945, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18946, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18947, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 2, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18948, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18949, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 20, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18955, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D03', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18956, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18957, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18958, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18959, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18960, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18961, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18962, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18963, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18964, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 13, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18965, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 27, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18966, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18967, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 20, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18968, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18969, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18970, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '不满意', '', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18971, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18972, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18973, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18974, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18975, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18976, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2D08', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18977, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D03', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18978, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 6, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18979, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 13, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18980, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18981, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18982, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18983, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18984, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18985, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D03', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18986, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 6, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18987, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18988, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 13, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18989, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18990, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18991, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18992, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18993, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D03', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18994, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18995, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18996, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E21', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18997, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 13, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18998, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 6, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (18999, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '不满意', '2D08', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (19000, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 12, 19, '2024-08-05 14:37:52', NULL, NULL), (19001, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 3, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19002, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19003, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 5, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19004, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19005, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 3, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19006, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 7, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 3, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19011, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19012, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19013, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19014, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19015, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19016, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19017, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19018, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19019, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19020, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19021, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19022, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E05', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19023, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 11, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19024, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 3, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19025, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19026, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19027, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19028, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19029, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19030, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19031, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19032, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19033, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19034, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E25', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19035, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19036, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19037, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19038, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19039, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E25', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19040, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19041, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19042, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19043, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19044, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19045, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E05', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19046, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19047, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19048, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19049, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E25', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19050, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19051, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19052, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19053, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19054, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 1, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19055, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19056, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 12, 20, '2024-08-05 14:37:52', NULL, NULL), (19057, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 22, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19058, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 7, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19059, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19060, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19061, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19062, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19063, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 19, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19065, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19066, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 10, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 22, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19070, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 16, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19071, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19072, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19073, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19074, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19075, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19076, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19077, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19078, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19079, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19080, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19081, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19082, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19083, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19084, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19085, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19086, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19087, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 6, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19088, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E27', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19089, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D38', '', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19090, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19091, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19092, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19093, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19094, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19095, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 5, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19096, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 8, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19097, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19098, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19099, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19100, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19101, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 51, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19102, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19103, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 22, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19104, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19105, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 5, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19106, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19107, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 19, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19108, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19109, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A02', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19110, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19111, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19112, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19113, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19114, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19115, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E27', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19116, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D29', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19117, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19118, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19119, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19120, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19121, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 6, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19122, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19123, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D08', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19124, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19125, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19126, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 8, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19127, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19128, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 5, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19129, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19130, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C13', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19131, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19132, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D18', '', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19133, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D38', '', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19134, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19135, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19136, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19137, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19138, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19139, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 6, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19140, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19141, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E27', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19142, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19143, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19144, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19145, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D38', '', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19146, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D18', '', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19147, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 5, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19148, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19149, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19150, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 8, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19151, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19152, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19153, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19154, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19155, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19156, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19157, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19158, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19159, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19160, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19161, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19162, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19163, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C13', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19164, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19165, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D18', '', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19166, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D38', '', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19167, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19168, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19169, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19170, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E27', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19171, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19172, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 8, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19173, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19174, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 6, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19175, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19176, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19177, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19178, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19179, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A02', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19180, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 5, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19181, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19182, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 2, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19183, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19184, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D29', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19185, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D08', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19186, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D05', '', 1, 2023, 12, 21, '2024-08-05 14:37:52', NULL, NULL), (19187, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 13, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19188, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19189, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19190, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 3, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19191, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19192, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19193, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 3, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19194, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19195, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 13, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19196, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19197, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19198, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 13, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 13, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19204, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19205, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19206, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19207, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 3, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19208, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19209, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19210, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19211, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 3, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19212, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19213, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 9, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19214, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19215, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 2, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19216, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19217, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 6, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19218, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19219, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19220, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 37, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19221, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 13, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19222, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 3, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19223, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19224, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19225, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19226, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19227, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 13, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19228, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19229, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 9, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19230, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D13', '', 3, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19231, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C14', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19232, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19233, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19234, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 3, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19235, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19236, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19237, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 4, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19238, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19239, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 6, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19240, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19241, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 2, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19242, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19243, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19244, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 2, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19245, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19246, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19247, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19248, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 4, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19249, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 6, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19250, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C14', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19251, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 3, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19252, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 9, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19253, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19254, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 3, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19255, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19256, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19257, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19258, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19259, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19260, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19261, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19262, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 9, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19263, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 3, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19264, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 6, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19265, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 4, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19266, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 2, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19267, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19268, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19269, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C14', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19270, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19271, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19272, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D13', '', 3, 2023, 12, 22, '2024-08-05 14:37:52', NULL, NULL), (19273, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 3, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19274, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19275, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 5, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19276, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19277, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19278, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 6, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19279, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19281, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 2, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19282, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E23', '', 3, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19283, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19284, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19285, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 3, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19286, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D08', '', 1, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19287, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 11, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19288, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 3, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19289, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19290, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19291, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 5, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19292, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 1, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19293, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E23', '', 3, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19294, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 2, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19295, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19296, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 3, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19297, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 3, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19298, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19299, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E23', '', 3, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19300, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D08', '', 1, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19301, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 2, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19302, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 1, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19303, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 2, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19304, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 3, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19305, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B04', '', 1, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19306, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E23', '', 3, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19307, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2023, 12, 23, '2024-08-05 14:37:52', NULL, NULL), (19308, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19309, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19310, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19314, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19315, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19316, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19317, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 3, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19318, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19319, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19320, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19321, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19322, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19323, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19324, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19325, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19326, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19327, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19328, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19329, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2023, 12, 24, '2024-08-05 14:37:53', NULL, NULL), (19330, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 19, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19331, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19332, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 4, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19333, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19334, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19335, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 4, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19340, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 19, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19342, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19343, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19344, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19345, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19346, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19347, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19348, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19349, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19350, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 14, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19351, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 5, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19352, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 30, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19353, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 19, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19354, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 4, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19355, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19356, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19357, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19358, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19359, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 14, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19360, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19361, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 5, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19362, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19363, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19364, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D02', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19365, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19366, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19367, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19368, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 14, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19369, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 5, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19370, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19371, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19372, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19373, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19374, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19375, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19376, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 5, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19377, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 14, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19378, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2023, 12, 25, '2024-08-05 14:37:53', NULL, NULL), (19379, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 9, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19380, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19381, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 2, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19382, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19383, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 4, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (19384, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 3, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19385, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 8, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19393, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19394, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19395, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 2, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19396, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19397, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19398, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19399, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19400, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19401, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19402, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 7, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19403, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E08', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19404, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19405, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 8, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19406, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19407, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19408, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 24, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19409, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 9, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19410, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 3, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19411, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19412, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19413, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19414, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19415, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19416, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19417, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 2, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19418, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19419, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19420, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19421, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19422, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19423, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 8, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19424, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E08', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19425, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19426, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19427, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E08', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19428, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 8, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19429, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19430, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19431, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19432, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 2, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19433, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19434, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19435, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 7, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19436, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19437, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19438, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19439, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19440, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E08', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19441, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 7, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19442, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19443, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 8, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19444, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19445, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B04', '', 2, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19446, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19447, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19448, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19449, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2023, 12, 26, '2024-08-05 14:37:53', NULL, NULL), (19450, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 10, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19451, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19452, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19453, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 11, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19454, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19455, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19456, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19457, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 10, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19458, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 11, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19459, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19460, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19461, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B01', '', 1, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19462, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 11, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19463, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 1, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19464, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19465, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19466, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 9, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19467, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 21, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19468, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 10, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19469, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 11, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19470, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19471, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 9, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19472, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 11, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19473, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19474, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 1, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19475, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19476, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 9, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19477, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19478, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B01', '', 1, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19479, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 11, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19480, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 11, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19481, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 9, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19482, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2023, 12, 27, '2024-08-05 14:37:53', NULL, NULL), (19483, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 6, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19484, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 2, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19485, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19486, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19487, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19488, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 6, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19495, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19496, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19497, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 7, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19498, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19499, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19500, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19501, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19502, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19503, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 17, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19504, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 5, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19505, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19506, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19507, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19508, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19509, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19510, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19511, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19512, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19513, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19514, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19515, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19516, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19517, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19518, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19519, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19520, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19521, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19522, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19523, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19524, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19525, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 7, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19526, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19527, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19528, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19529, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B04', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19530, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19531, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19532, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 7, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19533, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2023, 12, 28, '2024-08-05 14:37:53', NULL, NULL), (19534, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 2, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19535, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19536, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 5, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19537, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19538, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 3, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19539, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 23, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 5, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 22, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19546, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19547, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D25', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19548, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19549, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B03', '', 3, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19550, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19551, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D32', '', 6, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19552, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 13, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19553, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19554, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19555, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19556, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19557, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19558, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19559, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19560, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19561, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 3, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19562, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 21, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19563, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19564, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19565, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 3, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19566, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19567, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '基本满意', '', '', 2, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19568, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 16, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19569, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常不满意', '', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19570, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19571, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '', '', 2, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19572, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2D25', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19573, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A03', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19574, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2D32', '', 2, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19575, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2D34', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19576, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2D32', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19577, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 13, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19578, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D32', '', 3, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19579, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19580, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B03', '', 3, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19581, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19582, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19583, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19584, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19585, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B03', '', 3, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19586, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 13, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19587, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D32', '', 6, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19588, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D34', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19589, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D25', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19590, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A21', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19591, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19592, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19593, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 2, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19594, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19595, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19596, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D32', '', 3, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19597, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 13, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19598, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19599, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常不满意', '2D34', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19600, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '2D32', '', 2, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19601, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '基本满意', '2D32', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19602, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B03', '', 3, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19603, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19604, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A03', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19605, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '基本满意', '2D25', '', 1, 2023, 12, 29, '2024-08-05 14:37:53', NULL, NULL), (19606, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2023, 12, 30, '2024-08-05 14:37:53', NULL, NULL), (19607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2023, 12, 30, '2024-08-05 14:37:53', NULL, NULL), (19608, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2023, 12, 30, '2024-08-05 14:37:53', NULL, NULL), (19609, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 2, 2023, 12, 30, '2024-08-05 14:37:53', NULL, NULL), (19610, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2023, 12, 30, '2024-08-05 14:37:53', NULL, NULL), (19611, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2023, 12, 30, '2024-08-05 14:37:53', NULL, NULL), (19612, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2023, 12, 30, '2024-08-05 14:37:53', NULL, NULL), (19613, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2023, 12, 30, '2024-08-05 14:37:53', NULL, NULL), (19614, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2023, 12, 31, '2024-08-05 14:37:53', NULL, NULL), (19615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2023, 12, 31, '2024-08-05 14:37:53', NULL, NULL), (19616, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2023, 12, 31, '2024-08-05 14:37:53', NULL, NULL), (19617, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2023, 12, 31, '2024-08-05 14:37:53', NULL, NULL), (19618, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 1, 1, '2024-08-05 14:37:54', NULL, NULL), (19619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 1, 1, '2024-08-05 14:37:54', NULL, NULL), (19620, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 1, 1, '2024-08-05 14:37:54', NULL, NULL), (19621, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 1, 1, '2024-08-05 14:37:54', NULL, NULL), (19622, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 6, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19623, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 8, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19624, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19625, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19626, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 9, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19627, 1, '511500000000-0001', '宜宾市民中心', '高新区发展改革科技创新局', '', '', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 8, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 9, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 6, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19633, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D26', '', 3, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19634, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19635, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19636, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19637, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19638, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19639, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 7, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19640, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19641, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19642, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19643, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 3, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19644, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 13, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19645, 1, '511500000000-0001', '宜宾市民中心', '高新区发展改革科技创新局', '非常满意', '', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19646, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 5, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19647, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19648, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19649, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常不满意', '', '', 3, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19650, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19651, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19652, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19653, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2D26', '', 3, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19654, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19655, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19656, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D26', '', 3, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19657, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19658, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19659, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19660, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19661, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 7, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19662, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19663, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19664, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19665, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常不满意', '2D26', '', 3, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19666, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19667, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19668, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19669, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 1, 2, '2024-08-05 14:37:54', NULL, NULL), (19670, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 4, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19671, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19672, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 8, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19673, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19674, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19675, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 9, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 4, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19682, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19683, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19684, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19685, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19686, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19687, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19688, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19689, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 5, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19690, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19691, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 7, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19692, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19693, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 12, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19694, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 4, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19695, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19696, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19697, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19698, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19699, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19700, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19701, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 5, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19702, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19703, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19704, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19705, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19706, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19707, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19708, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19709, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 7, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19710, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19711, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19712, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 5, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19713, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 2, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19714, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 5, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19715, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19716, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2024, 1, 3, '2024-08-05 14:37:54', NULL, NULL), (19717, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 11, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19718, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19719, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 13, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19720, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19721, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19722, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19724, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19725, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 13, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 11, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19729, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19730, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19731, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 5, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19732, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 3, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19733, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19734, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19735, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19736, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19737, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 7, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19738, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D06', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19739, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19740, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 8, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19741, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19742, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19743, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 23, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19744, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 11, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19745, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 6, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19746, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19747, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19748, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常不满意', '', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19749, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2D11', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19750, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19751, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 3, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19752, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 5, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19753, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19754, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 8, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19755, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19756, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19757, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 5, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19758, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19759, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19760, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19761, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 8, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19762, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 7, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19763, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 3, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19764, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19765, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19766, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19767, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19768, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D06', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19769, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19770, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19771, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19772, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19773, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 8, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19774, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19775, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常不满意', '2D11', '', 1, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19776, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 5, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19777, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 3, 2024, 1, 4, '2024-08-05 14:37:54', NULL, NULL), (19778, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 7, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19779, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 16, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19780, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19781, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19782, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19783, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19784, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19785, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19786, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19787, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 16, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19788, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 7, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19791, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19792, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19793, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D14', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19794, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B03', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19795, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19796, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19797, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19798, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 14, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19799, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 4, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19800, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19801, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19802, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19803, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A20', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19804, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19805, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 16, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19806, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 6, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19807, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19808, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19809, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19810, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19811, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19812, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A22', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19813, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A20', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19814, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19815, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19816, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19817, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19818, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19819, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 4, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19820, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19821, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 4, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19822, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19823, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19824, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19825, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 14, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19826, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B03', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19827, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19828, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D14', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19829, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19830, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A20', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19831, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19832, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19833, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19834, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A22', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19835, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19836, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19837, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19838, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 4, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19839, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A20', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19840, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2024, 1, 5, '2024-08-05 14:37:54', NULL, NULL), (19841, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 3, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19842, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19843, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (19844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19847, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19848, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 2, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19849, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 3, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19850, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19851, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19852, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 6, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19853, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19854, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19855, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 1, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19856, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19857, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19858, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A22', '', 1, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19859, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 2, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19860, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 2, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19861, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19862, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 3, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19863, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 1, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19864, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 2, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19865, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19866, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 2, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19867, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A22', '', 1, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19868, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A22', '', 2, 2024, 1, 6, '2024-08-05 14:37:54', NULL, NULL), (19869, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2024, 1, 7, '2024-08-05 14:37:54', NULL, NULL), (19870, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 18, 2024, 1, 7, '2024-08-05 14:37:54', NULL, NULL), (19871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 18, 2024, 1, 7, '2024-08-05 14:37:54', NULL, NULL), (19872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2024, 1, 7, '2024-08-05 14:37:54', NULL, NULL), (19873, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 18, 2024, 1, 7, '2024-08-05 14:37:54', NULL, NULL), (19874, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D32', '', 1, 2024, 1, 7, '2024-08-05 14:37:54', NULL, NULL), (19875, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 19, 2024, 1, 7, '2024-08-05 14:37:54', NULL, NULL), (19876, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 18, 2024, 1, 7, '2024-08-05 14:37:54', NULL, NULL), (19877, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2024, 1, 7, '2024-08-05 14:37:54', NULL, NULL), (19878, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 18, 2024, 1, 7, '2024-08-05 14:37:54', NULL, NULL), (19879, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D32', '', 1, 2024, 1, 7, '2024-08-05 14:37:54', NULL, NULL), (19880, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D32', '', 1, 2024, 1, 7, '2024-08-05 14:37:54', NULL, NULL), (19881, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 18, 2024, 1, 7, '2024-08-05 14:37:54', NULL, NULL), (19882, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D32', '', 1, 2024, 1, 7, '2024-08-05 14:37:54', NULL, NULL), (19883, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 18, 2024, 1, 7, '2024-08-05 14:37:54', NULL, NULL), (19884, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 7, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19885, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19886, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '', '', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19887, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 6, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19888, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19889, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 13, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 8, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 7, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 11, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19895, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D26', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19896, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19897, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19898, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19899, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19900, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19901, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D32', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19902, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 7, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19903, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19904, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19905, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19906, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 5, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19907, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19908, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19909, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 26, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19910, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 7, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19911, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19912, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19913, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 12, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19914, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19915, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常不满意', '', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19916, 1, '511500000000-0001', '宜宾市民中心', '市交通运输局', '非常满意', '', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19917, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2D11', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19918, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19919, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D32', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19920, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19921, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19922, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19923, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D34', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19924, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19925, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D26', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19926, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19927, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 5, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19928, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19929, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19930, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19931, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 5, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19932, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19933, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 7, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19934, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D32', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19935, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19936, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D34', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19937, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19938, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D26', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19939, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19940, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19941, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19942, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D32', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19943, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19944, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 7, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19945, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 5, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19946, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19947, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常不满意', '2D11', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19948, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19949, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19950, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D26', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19951, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19952, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D34', '', 2, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19953, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 1, 2024, 1, 8, '2024-08-05 14:37:54', NULL, NULL), (19954, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 7, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19955, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 10, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19956, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19957, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 3, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19958, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 10, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 6, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19964, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19965, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E23', '', 1, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19966, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 3, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19967, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19968, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19969, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 10, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19970, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19971, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19972, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 5, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19973, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 15, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19974, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 7, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19975, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 2, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19976, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19977, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19978, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E23', '', 1, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19979, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 2, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19980, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19981, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 5, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19982, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19983, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D08', '', 1, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19984, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19985, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19986, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19987, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 5, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19988, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 10, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19989, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19990, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E23', '', 1, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19991, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19992, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19993, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 3, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19994, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 2, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19995, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19996, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E23', '', 1, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19997, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 2, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19998, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 5, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (19999, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (20000, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D08', '', 1, 2024, 1, 9, '2024-08-05 14:37:55', NULL, NULL), (20001, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 11, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20002, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20003, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 25, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20004, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20005, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 4, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20006, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 12, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 4, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 25, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 11, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 12, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20013, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20014, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20015, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20016, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20017, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20018, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20019, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20020, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 9, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20021, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 2, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20022, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 20, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20023, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20024, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20025, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 8, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20026, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20027, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 2, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20028, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 29, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20029, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 11, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20030, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 4, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20031, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20032, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 11, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20033, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20034, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E30', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20035, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 9, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20036, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20037, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20038, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20039, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20040, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E22', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20041, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20042, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 8, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20043, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20044, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20045, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D08', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20046, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20047, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20048, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20049, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E30', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20050, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20051, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 8, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20052, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20053, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20054, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 20, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20055, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 2, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20056, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20057, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 9, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20058, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 2, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20059, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20060, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20061, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20062, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20063, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 9, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20064, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E30', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20065, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20066, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E22', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20067, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 8, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20068, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20069, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20070, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20071, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D08', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20072, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2024, 1, 10, '2024-08-05 14:37:55', NULL, NULL), (20073, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 6, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20074, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 22, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20075, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20076, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20077, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20078, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 14, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20079, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20080, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 22, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20081, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 14, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20082, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 6, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20083, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20084, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20085, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20086, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20087, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20088, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20089, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 14, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20090, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20091, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20092, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 20, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20093, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20094, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20095, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20096, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 23, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20097, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 6, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20098, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20099, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 14, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20100, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 14, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20101, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20102, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20103, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20104, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20105, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20106, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20107, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20108, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20109, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20110, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20111, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20112, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20113, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20114, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20115, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20116, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20117, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 20, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20118, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20119, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 14, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20120, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20121, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20122, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 14, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20123, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20124, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20125, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20126, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20127, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2024, 1, 11, '2024-08-05 14:37:55', NULL, NULL), (20128, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 6, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20129, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20130, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 23, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20131, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20132, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 2, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20133, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20134, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 23, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 6, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20142, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20143, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20144, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20145, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20146, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20147, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20148, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20149, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20150, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20151, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 5, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20152, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 20, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20153, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20154, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20155, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E27', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20156, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20157, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20158, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 15, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20159, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 5, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20160, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20161, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20162, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20163, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '满意', '', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20164, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20165, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2B06', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20166, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 5, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20167, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20168, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20169, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20170, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20171, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20172, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20173, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20174, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20175, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20176, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20177, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20178, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20179, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20180, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 20, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20181, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E27', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20182, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20183, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 5, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20184, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B06', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20185, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20186, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20187, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20188, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20189, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '满意', '2B06', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20190, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 5, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20191, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20192, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20193, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20194, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20195, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20196, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20197, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D06', '', 1, 2024, 1, 12, '2024-08-05 14:37:55', NULL, NULL), (20198, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 1, 13, '2024-08-05 14:37:55', NULL, NULL), (20199, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2024, 1, 13, '2024-08-05 14:37:55', NULL, NULL), (20200, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2024, 1, 13, '2024-08-05 14:37:55', NULL, NULL), (20201, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 1, 13, '2024-08-05 14:37:55', NULL, NULL), (20202, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 1, 13, '2024-08-05 14:37:55', NULL, NULL), (20203, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 1, 13, '2024-08-05 14:37:55', NULL, NULL), (20204, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2024, 1, 13, '2024-08-05 14:37:55', NULL, NULL), (20205, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 1, 2024, 1, 13, '2024-08-05 14:37:55', NULL, NULL), (20206, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2024, 1, 13, '2024-08-05 14:37:55', NULL, NULL), (20207, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 1, 13, '2024-08-05 14:37:55', NULL, NULL), (20208, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 1, 13, '2024-08-05 14:37:55', NULL, NULL), (20209, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 1, 13, '2024-08-05 14:37:55', NULL, NULL), (20210, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 1, 2024, 1, 13, '2024-08-05 14:37:55', NULL, NULL), (20211, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 1, 13, '2024-08-05 14:37:55', NULL, NULL), (20212, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2024, 1, 14, '2024-08-05 14:37:55', NULL, NULL), (20213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2024, 1, 14, '2024-08-05 14:37:55', NULL, NULL), (20214, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 1, 14, '2024-08-05 14:37:55', NULL, NULL), (20215, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 1, 14, '2024-08-05 14:37:55', NULL, NULL), (20216, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 5, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20217, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 9, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20218, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 12, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20219, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 9, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 12, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 5, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20223, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20224, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 1, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20225, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 10, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20226, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 2, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20227, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 8, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20228, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20229, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20230, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 18, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20231, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 5, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20232, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20233, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 1, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20234, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 12, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20235, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E24', '', 1, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20236, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20237, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A04', '', 1, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20238, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 10, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20239, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 2, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20240, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E24', '', 1, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20241, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20242, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 8, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20243, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 2, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20244, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 10, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20245, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A04', '', 1, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20246, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 2, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20247, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 10, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20248, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20249, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A04', '', 1, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20250, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E24', '', 1, 2024, 1, 15, '2024-08-05 14:37:55', NULL, NULL), (20251, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 5, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20252, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 24, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20253, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 9, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20254, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20255, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 23, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20256, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 7, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20257, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20258, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 24, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20259, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 5, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20260, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 23, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20261, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 3, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20262, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D37', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20263, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20264, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20265, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20266, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20267, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A15', '', 1, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20268, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20269, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20270, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A12', '', 1, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20271, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 19, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20272, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 17, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20273, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 4, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20274, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 3, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20275, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20276, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20277, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 40, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20278, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 5, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20279, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 9, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20280, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20281, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 21, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20282, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 4, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20283, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 19, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20284, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A12', '', 1, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20285, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20286, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20287, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20288, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A15', '', 1, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20289, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 3, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20290, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D37', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20291, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E25', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20292, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20293, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 4, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20294, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20295, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20296, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 4, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20297, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E25', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20298, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20299, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20300, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 17, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20301, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 3, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20302, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20303, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 19, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20304, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (20305, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20306, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D37', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20307, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A12', '', 1, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20308, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20309, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A15', '', 1, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20310, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 3, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20311, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E25', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20312, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 3, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20313, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20314, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 19, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20315, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20316, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20317, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 4, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20318, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A15', '', 1, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20319, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D37', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20320, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 2, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20321, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20322, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A12', '', 1, 2024, 1, 16, '2024-08-05 14:37:55', NULL, NULL), (20323, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 20, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20324, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 31, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20325, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20326, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 15, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 31, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 15, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 20, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20331, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20332, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20333, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 5, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20334, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D25', '', 1, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20335, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20336, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20337, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20338, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 10, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20339, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 18, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20340, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20341, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20342, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20343, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 5, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20344, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20345, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 8, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20346, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 41, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20347, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 17, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20348, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 13, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20349, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 11, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20350, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 10, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20351, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 5, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20352, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D25', '', 1, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20353, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20354, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20355, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 4, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20356, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 6, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20357, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 7, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20358, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20359, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20360, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20361, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 5, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20362, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20363, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20364, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 6, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20365, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20366, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 8, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20367, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 18, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20368, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 5, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20369, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20370, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 10, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20371, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20372, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D25', '', 1, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20373, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20374, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20375, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20376, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 4, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20377, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20378, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20379, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 10, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20380, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 7, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20381, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 6, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20382, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20383, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 5, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20384, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20385, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 2, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20386, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D25', '', 1, 2024, 1, 17, '2024-08-05 14:37:56', NULL, NULL), (20387, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 14, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20388, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20389, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20390, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 14, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20391, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 5, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20392, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 14, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20393, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 27, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 14, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 6, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20396, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 5, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20397, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 14, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20398, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 27, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20399, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 14, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20400, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D16', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20401, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20402, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20403, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20404, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20405, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20406, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20407, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20408, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20409, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 6, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20410, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20411, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 21, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20412, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 8, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20413, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20414, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20415, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20416, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 8, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20417, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20418, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 3, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20419, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20420, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 56, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20421, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 6, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20422, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20423, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 27, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20424, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20425, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 12, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20426, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '满意', '', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20427, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20428, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常不满意', '', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20429, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20430, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 5, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20431, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20432, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A03', '', 1, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20433, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 21, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20434, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20435, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20436, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1E15', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20437, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20438, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20439, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20440, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20441, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 6, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20442, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D05', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20443, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D16', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20444, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 6, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20445, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1D05', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20446, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20447, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 6, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20448, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 8, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20449, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20450, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 8, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20451, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20452, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20453, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 21, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20454, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20455, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20456, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20457, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 6, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20458, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D16', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20459, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20460, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20461, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20462, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20463, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20464, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20465, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A23', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20466, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20467, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 21, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20468, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '满意', '1D05', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20469, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D05', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20470, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 6, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20471, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 6, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20472, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20473, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A03', '', 1, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20474, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常不满意', '1E15', '', 2, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20475, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20476, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20477, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20478, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D16', '', 4, 2024, 1, 18, '2024-08-05 14:37:56', NULL, NULL), (20479, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 19, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20480, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 4, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20481, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 10, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20482, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 6, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20483, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20484, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 19, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20485, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 6, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 10, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 19, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20491, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 19, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20492, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20493, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D16', '', 1, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20494, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20495, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 3, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20496, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20497, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B03', '', 1, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20498, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20499, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20500, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20501, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 16, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20502, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20503, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20504, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20505, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 4, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20506, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20507, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 13, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20508, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20509, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20510, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 47, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20511, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20512, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 6, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20513, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 5, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20514, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '满意', '', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20515, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 16, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20516, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 17, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20517, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20518, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20519, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20520, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A22', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20521, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20522, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 16, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20523, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20524, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 3, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20525, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20526, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20527, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20528, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D28', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20529, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 6, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20530, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 11, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20531, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1D28', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20532, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20533, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 1, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20534, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 6, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20535, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 13, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20536, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20537, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20538, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20539, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B03', '', 1, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20540, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 3, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20541, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20542, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 16, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20543, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20544, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20545, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D16', '', 1, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20546, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20547, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 4, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20548, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D28', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20549, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20550, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 16, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20551, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 1, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20552, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 11, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20553, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 6, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20554, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20555, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '满意', '1D28', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20556, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20557, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A22', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20558, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 3, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20559, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 2, 2024, 1, 19, '2024-08-05 14:37:56', NULL, NULL), (20560, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 8, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20561, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 8, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20562, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 6, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 6, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20566, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A18', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20567, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20568, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20569, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20570, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20571, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 4, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20572, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20573, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20574, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 4, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20575, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 12, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20576, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 6, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20577, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20578, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20579, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 6, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20580, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A06', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20581, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A04', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20582, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A18', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20583, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20584, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20585, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A21', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20586, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 4, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20587, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20588, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20589, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 4, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20590, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20591, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A18', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20592, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20593, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20594, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A04', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20595, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20596, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20597, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A21', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20598, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A04', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20599, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 4, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20600, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A06', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20601, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A18', '', 2, 2024, 1, 20, '2024-08-05 14:37:56', NULL, NULL), (20602, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 2, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20603, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20604, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20607, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20608, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 2, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20609, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20610, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20611, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 4, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20612, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20613, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20614, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 2, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20615, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20616, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 2, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20617, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20618, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 2, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20619, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 2, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20620, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 2, 2024, 1, 21, '2024-08-05 14:37:56', NULL, NULL), (20621, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 13, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20622, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 26, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20623, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20624, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20625, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20626, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 10, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 26, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 10, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 13, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20633, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 4, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20634, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20635, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 8, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20636, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20637, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20638, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20639, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 3, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20640, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20641, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 12, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20642, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20643, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20644, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 9, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20645, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20646, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 36, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20647, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 11, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20648, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 10, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20649, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20650, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20651, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20652, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20653, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20654, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20655, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20656, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 8, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20657, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 3, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20658, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D02', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20659, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 9, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20660, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20661, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20662, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 8, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20663, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20664, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 4, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20665, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 9, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20666, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20667, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 3, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20668, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 12, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20669, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20670, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20671, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D02', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20672, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20673, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20674, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20675, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20676, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D02', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20677, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20678, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20679, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 9, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20680, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 8, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20681, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20682, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20683, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 3, 2024, 1, 22, '2024-08-05 14:37:56', NULL, NULL), (20684, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 16, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20685, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20686, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 21, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20687, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 7, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20688, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20689, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 12, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20690, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 7, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20691, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 21, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 16, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 12, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20696, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20697, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 10, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20698, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20699, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20700, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 6, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20701, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20702, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D32', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20703, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 5, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20704, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 10, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20705, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 11, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20706, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20707, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20708, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 8, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20709, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 48, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20710, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 16, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20711, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 11, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20712, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20713, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20714, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 12, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20715, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 5, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20716, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 10, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20717, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D32', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20718, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 5, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20719, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20720, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 6, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20721, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 10, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20722, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20723, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20724, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20725, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 8, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20726, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20727, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D32', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20728, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 10, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20729, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 5, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20730, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20731, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 8, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20732, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20733, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20734, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 6, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20735, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 11, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20736, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20737, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20738, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20739, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 10, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20740, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D32', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20741, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20742, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20743, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 10, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20744, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 8, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20745, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20746, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 10, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20747, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 5, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20748, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 6, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20749, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20750, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 2, 2024, 1, 23, '2024-08-05 14:37:56', NULL, NULL), (20751, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 5, 2024, 1, 24, '2024-08-05 14:37:56', NULL, NULL), (20752, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 1, 24, '2024-08-05 14:37:56', NULL, NULL), (20753, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 21, 2024, 1, 24, '2024-08-05 14:37:56', NULL, NULL), (20754, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2024, 1, 24, '2024-08-05 14:37:56', NULL, NULL), (20755, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 4, 2024, 1, 24, '2024-08-05 14:37:56', NULL, NULL), (20756, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 2, 2024, 1, 24, '2024-08-05 14:37:56', NULL, NULL), (20757, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 1, 24, '2024-08-05 14:37:56', NULL, NULL), (20758, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 9, 2024, 1, 24, '2024-08-05 14:37:56', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (20759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 4, 2024, 1, 24, '2024-08-05 14:37:56', NULL, NULL), (20760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 1, 24, '2024-08-05 14:37:56', NULL, NULL), (20761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 21, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 9, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20765, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 5, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20766, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20767, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20768, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20769, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20770, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20771, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 5, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20772, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20773, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20774, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 4, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20775, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20776, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 8, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20777, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 9, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20778, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 3, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20779, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 5, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20780, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 29, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20781, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20782, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20783, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 5, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20784, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20785, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 12, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20786, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20787, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20788, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A08', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20789, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 8, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20790, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 5, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20791, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20792, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20793, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 3, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20794, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 5, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20795, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20796, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 5, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20797, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20798, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20799, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20800, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 5, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20801, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 4, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20802, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 9, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20803, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 3, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20804, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 8, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20805, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20806, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20807, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20808, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20809, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '2A08', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20810, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 3, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20811, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20812, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 8, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20813, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 5, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20814, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20815, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 5, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20816, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 2, 2024, 1, 24, '2024-08-05 14:37:57', NULL, NULL), (20817, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 20, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20818, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 16, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20819, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 12, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20820, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20821, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 5, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20822, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 17, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20823, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 12, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20824, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20825, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 5, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20826, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 16, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20827, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 20, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 17, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20829, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20830, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 4, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20831, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20832, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 8, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20833, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 4, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20834, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 2, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20835, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 3, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20836, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 13, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20837, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 6, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20838, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 8, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20839, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 4, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20840, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 12, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20841, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 2, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20842, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 3, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20843, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 57, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20844, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 20, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20845, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 5, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20846, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 10, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20847, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 17, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20848, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 5, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20849, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 13, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20850, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 3, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20851, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D13', '', 4, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20852, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 8, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20853, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 4, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20854, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 8, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20855, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20856, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20857, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 12, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20858, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 2, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20859, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 8, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20860, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20861, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 4, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20862, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20863, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 8, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20864, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 12, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20865, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 6, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20866, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 13, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20867, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 2, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20868, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 4, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20869, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 3, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20870, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 3, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20871, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 4, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20872, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 2, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20873, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20874, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 13, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20875, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 12, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20876, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 8, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20877, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 8, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20878, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 4, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20879, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20880, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 3, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20881, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D13', '', 4, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20882, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 2, 2024, 1, 25, '2024-08-05 14:37:57', NULL, NULL), (20883, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 11, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20884, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20885, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 11, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20886, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20887, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 7, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20888, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 6, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 11, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 11, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20895, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20896, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20897, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20898, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 2, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20899, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20900, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20901, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20902, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A23', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20903, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20904, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 5, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20905, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 9, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20906, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20907, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20908, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20909, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20910, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20911, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 8, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20912, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20913, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 29, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20914, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20915, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20916, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 11, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20917, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 6, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20918, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 4, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20919, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20920, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20921, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A06', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20922, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A23', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20923, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 5, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20924, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A21', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20925, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20926, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20927, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20928, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20929, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20930, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20931, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20932, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20933, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 8, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20934, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20935, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D08', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20936, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20937, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20938, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20939, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20940, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20941, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 8, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20942, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 9, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20943, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20944, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 5, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20945, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A21', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20946, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20947, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20948, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20949, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20950, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A23', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20951, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20952, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20953, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20954, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 2, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20955, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '2A06', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20956, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20957, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 2, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20958, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 5, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20959, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 8, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20960, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20961, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20962, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20963, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20964, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20965, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20966, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20967, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A21', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20968, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A23', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20969, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20970, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D08', '', 1, 2024, 1, 26, '2024-08-05 14:37:57', NULL, NULL), (20971, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20972, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20973, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20974, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20979, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20980, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D03', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20981, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20982, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20983, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20984, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20985, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20986, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 3, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20987, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20988, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20989, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D29', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20990, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D03', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20991, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20992, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20993, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D03', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20994, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20995, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20996, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20997, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20998, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (20999, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D03', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (21000, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (21001, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D29', '', 1, 2024, 1, 27, '2024-08-05 14:37:57', NULL, NULL), (21002, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2024, 1, 28, '2024-08-05 14:37:57', NULL, NULL), (21003, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2024, 1, 28, '2024-08-05 14:37:57', NULL, NULL), (21004, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2024, 1, 28, '2024-08-05 14:37:57', NULL, NULL), (21005, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 1, 2024, 1, 28, '2024-08-05 14:37:57', NULL, NULL), (21006, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2024, 1, 28, '2024-08-05 14:37:57', NULL, NULL), (21007, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2024, 1, 28, '2024-08-05 14:37:57', NULL, NULL), (21008, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2024, 1, 28, '2024-08-05 14:37:57', NULL, NULL), (21009, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2024, 1, 28, '2024-08-05 14:37:57', NULL, NULL), (21010, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 6, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21011, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 9, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21012, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 8, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21013, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21014, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21015, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 3, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 8, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 9, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 6, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21022, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21023, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21024, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 2, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21025, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21026, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21027, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21028, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 4, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21029, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 4, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21030, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 7, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21031, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21032, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B08', '', 2, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21033, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21034, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21035, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21036, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 3, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21037, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21038, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 23, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21039, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21040, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 6, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21041, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21042, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21043, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21044, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21045, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21046, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21047, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常不满意', '', '', 2, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21048, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常不满意', '', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21049, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 6, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21050, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2D04', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21051, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 4, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21052, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21053, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2B08', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21054, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 4, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21055, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21056, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21057, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A04', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21058, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B08', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21059, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21060, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21061, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21062, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21063, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21064, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A09', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21065, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21066, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21067, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21068, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21069, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 7, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21070, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 4, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21071, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B08', '', 2, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21072, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21073, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 2, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21074, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 4, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21075, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21076, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21077, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21078, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A04', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21079, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常不满意', '2D04', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21080, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A09', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21081, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21082, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常不满意', '2B08', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21083, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 4, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21084, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21085, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21086, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21087, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B08', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21088, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 4, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21089, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21090, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A04', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21091, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21092, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21093, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D05', '', 1, 2024, 1, 29, '2024-08-05 14:37:57', NULL, NULL), (21094, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 12, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21095, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21096, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 15, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21097, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21098, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21099, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21100, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21103, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 15, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21104, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 12, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21105, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21106, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21107, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21108, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21109, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 4, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21110, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21111, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 13, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21112, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21113, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21114, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21115, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21116, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 3, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21117, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 6, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21118, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 24, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21119, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 12, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21120, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 3, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21121, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21122, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21123, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21124, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21125, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 3, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21126, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D29', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21127, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21128, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 6, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21129, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21130, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21131, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 4, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21132, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21133, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21134, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21135, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 3, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21136, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21137, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21138, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 6, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21139, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21140, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 13, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21141, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21142, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21143, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21144, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 4, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21145, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21146, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 4, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21147, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 6, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21148, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21149, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21150, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21151, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 3, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21152, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21153, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D29', '', 1, 2024, 1, 30, '2024-08-05 14:37:57', NULL, NULL), (21154, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 13, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21155, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 3, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21156, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '', '', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21157, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 8, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21158, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21159, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 10, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21160, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 10, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 8, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 13, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21167, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21168, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21169, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D11', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21170, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21171, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 4, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21172, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 8, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21173, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21174, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 3, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21175, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 8, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21176, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21177, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C08', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21178, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E05', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21179, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 5, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21180, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21181, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21182, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21183, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21184, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 35, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21185, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 13, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21186, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21187, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21188, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 3, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21189, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '非常满意', '', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21190, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21191, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 5, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21192, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 8, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21193, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21194, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 4, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21195, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D11', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21196, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21197, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C07', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21198, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C08', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21199, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D28', '', 3, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21200, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 8, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21201, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 5, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21202, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21203, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21204, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C08', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21205, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21206, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 8, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21207, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 5, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21208, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 5, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21209, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E05', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21210, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 8, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21211, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21212, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21213, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 4, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21214, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21215, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 3, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21216, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21217, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21218, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '', '1D11', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (21219, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21220, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D28', '', 3, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21221, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21222, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 8, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21223, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 5, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21224, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 8, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21225, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21226, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C08', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21227, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 4, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21228, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C07', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21229, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '非常满意', '1D11', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21230, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 1, 31, '2024-08-05 14:37:57', NULL, NULL), (21231, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 12, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21232, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 12, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21233, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21234, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21235, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21236, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21237, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 12, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 12, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21244, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21245, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21246, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 6, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21247, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21248, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21249, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21250, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21251, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21252, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21253, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21254, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21255, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21256, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21257, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B08', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21258, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 6, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21259, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21260, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 30, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21261, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 12, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21262, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21263, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21264, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 6, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21265, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21266, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21267, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21268, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21269, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21270, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21271, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 6, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21272, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21273, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21274, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21275, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B08', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21276, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21277, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 6, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21278, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21279, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 6, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21280, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E24', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21281, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21282, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21283, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 6, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21284, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 5, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21285, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21286, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21287, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21288, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B08', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21289, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21290, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21291, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21292, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21293, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21294, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21295, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21296, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21297, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 6, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21298, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21299, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 6, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21300, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B08', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21301, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21302, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21303, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21304, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 1, 2024, 2, 1, '2024-08-05 14:37:58', NULL, NULL), (21305, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 3, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21306, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 14, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21307, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21308, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21309, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21310, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 14, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21316, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21317, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D16', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21318, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21319, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21320, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21321, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21322, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E23', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21323, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21324, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21325, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21326, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 5, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21327, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 10, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21328, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21329, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C08', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21330, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21331, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21332, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21333, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A20', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21334, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21335, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 17, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21336, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 3, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21337, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 5, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21338, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21339, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 2, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21340, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21341, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A20', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21342, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 4, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21343, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21344, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21345, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21346, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21347, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21348, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E23', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21349, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21350, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C08', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21351, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21352, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21353, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21354, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A09', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21355, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21356, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C08', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21357, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21358, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E20', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21359, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21360, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 10, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21361, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21362, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21363, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21364, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21365, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 5, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21366, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21367, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A20', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21368, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D16', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21369, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E23', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21370, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21371, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21372, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A09', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21373, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21374, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21375, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21376, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 4, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21377, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E23', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21378, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E20', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21379, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21380, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21381, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C08', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21382, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A20', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21383, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21384, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21385, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 2, 2, '2024-08-05 14:37:58', NULL, NULL), (21386, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21387, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21388, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21389, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21394, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21395, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21396, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D03', '', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21397, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21398, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 2, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21399, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21400, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21401, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21402, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21403, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21404, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D03', '', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21405, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C05', '', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21406, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21407, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21408, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2024, 2, 3, '2024-08-05 14:37:58', NULL, NULL), (21409, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 4, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21410, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 16, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21411, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21412, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21413, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 8, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21414, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21416, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21417, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21418, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 16, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21419, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 4, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21420, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21421, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21422, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21423, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 10, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21424, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 7, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21425, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21426, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 2, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21427, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 4, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21428, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21429, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21430, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21431, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21432, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21433, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21434, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 25, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21435, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 2, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21436, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '', '', 2, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21437, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 4, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21438, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '', '', 2, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21439, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 4, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21440, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 13, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21441, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21442, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A04', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21443, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 4, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21444, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 2, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21445, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A09', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21446, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 10, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21447, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A04', '', 4, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21448, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21449, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21450, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21451, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21452, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A04', '', 2, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21453, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21454, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 10, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21455, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21456, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 2, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21457, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21458, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21459, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21460, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21461, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21462, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A04', '', 7, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21463, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21464, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 4, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21465, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21466, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 4, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21467, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 2, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21468, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21469, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21470, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21471, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 10, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21472, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A04', '', 4, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21473, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A04', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21474, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '2A04', '', 2, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21475, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A09', '', 1, 2024, 2, 4, '2024-08-05 14:37:58', NULL, NULL), (21476, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 14, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21477, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21478, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 9, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21479, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21480, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21481, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21482, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 12, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 9, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 11, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21488, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 12, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21490, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D16', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21491, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21492, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21493, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E23', '', 3, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21494, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 9, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21495, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21496, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B03', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21497, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 9, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21498, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21499, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21500, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21501, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21502, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21503, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D17', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21504, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 36, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21505, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 14, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21506, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21507, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21508, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 9, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21509, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21510, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 10, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21511, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 9, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21512, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21513, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 9, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21514, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E23', '', 3, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21515, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B03', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21516, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D17', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21517, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D28', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21518, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 6, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21519, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21520, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21521, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 9, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21522, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21523, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 6, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21524, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21525, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B03', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21526, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C05', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21527, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21528, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 9, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21529, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D16', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21530, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D17', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21531, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E23', '', 3, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21532, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21533, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21534, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21535, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D28', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21536, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 9, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21537, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E23', '', 3, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21538, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21539, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 6, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21540, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21541, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 9, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21542, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21543, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B03', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21544, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D17', '', 1, 2024, 2, 5, '2024-08-05 14:37:58', NULL, NULL), (21545, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 3, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21546, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 3, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21547, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21548, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 10, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21549, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21550, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21551, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21552, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21553, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 10, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21554, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21555, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 1, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21556, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D26', '', 3, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21557, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21558, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 7, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21559, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E08', '', 1, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21560, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21561, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21562, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 15, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21563, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 3, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21564, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 10, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21565, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21566, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D26', '', 3, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21567, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21568, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E08', '', 1, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21569, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21570, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21571, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B07', '', 1, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21572, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E08', '', 1, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21573, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21574, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D26', '', 3, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21575, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21576, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 3, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21577, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 7, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21578, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E08', '', 1, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21579, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21580, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 7, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21581, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D26', '', 3, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21582, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 2, 6, '2024-08-05 14:37:58', NULL, NULL), (21583, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 9, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21584, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 3, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21585, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21586, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 9, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21591, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21592, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21593, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D23', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21594, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21595, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 5, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21596, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21597, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21598, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21599, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21600, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21601, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21602, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21603, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 17, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21604, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 8, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21605, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21606, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21607, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21608, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21609, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A22', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21610, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 5, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21611, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21612, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D23', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21613, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21614, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21615, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21616, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21617, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21618, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21619, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21620, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D23', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21621, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21622, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21623, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21624, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21625, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21626, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21627, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21628, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 5, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21629, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21630, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A22', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21631, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 5, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21632, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D23', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21633, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21634, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21635, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21636, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21637, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2024, 2, 7, '2024-08-05 14:37:58', NULL, NULL), (21638, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 2, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21639, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 8, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21640, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21641, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 8, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21646, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21647, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21648, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 5, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21649, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21650, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21651, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21652, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21653, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21654, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 10, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21655, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 2, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21656, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 7, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21657, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21658, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 5, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21659, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21660, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21661, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21662, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21663, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E18', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21664, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 5, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21665, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21666, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21667, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21668, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21669, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21670, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21671, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E18', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21672, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21673, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E18', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21674, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21675, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21676, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL), (21677, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 5, 2024, 2, 8, '2024-08-05 14:37:59', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (21678, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 2, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21679, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 4, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 4, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21682, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21683, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21684, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21685, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21686, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21687, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 3, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21688, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 2, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21689, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21690, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21691, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21692, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21693, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21694, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21695, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21696, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21697, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21698, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 2, 9, '2024-08-05 14:37:59', NULL, NULL), (21699, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 2, 12, '2024-08-05 14:37:59', NULL, NULL), (21700, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 2, 12, '2024-08-05 14:37:59', NULL, NULL), (21701, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2024, 2, 12, '2024-08-05 14:37:59', NULL, NULL), (21702, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B10', '', 1, 2024, 2, 12, '2024-08-05 14:37:59', NULL, NULL), (21703, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2024, 2, 14, '2024-08-05 14:37:59', NULL, NULL), (21704, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2024, 2, 14, '2024-08-05 14:37:59', NULL, NULL), (21705, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2024, 2, 14, '2024-08-05 14:37:59', NULL, NULL), (21706, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2024, 2, 14, '2024-08-05 14:37:59', NULL, NULL), (21707, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 2, 14, '2024-08-05 14:37:59', NULL, NULL), (21708, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 2, 14, '2024-08-05 14:37:59', NULL, NULL), (21709, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 1, 2024, 2, 14, '2024-08-05 14:37:59', NULL, NULL), (21710, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2024, 2, 14, '2024-08-05 14:37:59', NULL, NULL), (21711, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2024, 2, 14, '2024-08-05 14:37:59', NULL, NULL), (21712, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 2, 14, '2024-08-05 14:37:59', NULL, NULL), (21713, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 2, 14, '2024-08-05 14:37:59', NULL, NULL), (21714, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2024, 2, 14, '2024-08-05 14:37:59', NULL, NULL), (21715, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2024, 2, 16, '2024-08-05 14:38:00', NULL, NULL), (21716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2024, 2, 16, '2024-08-05 14:38:00', NULL, NULL), (21717, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D15', '', 1, 2024, 2, 16, '2024-08-05 14:38:00', NULL, NULL), (21718, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 2, 16, '2024-08-05 14:38:00', NULL, NULL), (21719, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '基本满意', '', '', 1, 2024, 2, 16, '2024-08-05 14:38:00', NULL, NULL), (21720, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2D15', '', 1, 2024, 2, 16, '2024-08-05 14:38:00', NULL, NULL), (21721, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D15', '', 1, 2024, 2, 16, '2024-08-05 14:38:00', NULL, NULL), (21722, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '基本满意', '2D15', '', 1, 2024, 2, 16, '2024-08-05 14:38:00', NULL, NULL), (21723, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 3, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21724, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21725, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21726, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21727, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21728, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21729, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 2, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21730, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21731, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21732, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C12', '', 1, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21733, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 4, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21734, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21735, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 3, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21736, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21737, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21738, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 2, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21739, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C12', '', 1, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21740, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21741, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21742, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 2, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21743, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 2, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21744, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21745, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2024, 2, 17, '2024-08-05 14:38:00', NULL, NULL), (21746, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 2, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21747, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21748, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 12, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21749, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21750, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 7, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21751, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 26, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21752, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 7, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 24, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 12, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21760, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21761, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 9, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21762, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D16', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21763, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 11, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21764, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21765, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 2, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21766, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21767, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 8, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21768, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A16', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21769, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21770, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21771, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21772, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21773, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21774, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21775, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21776, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21777, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21778, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21779, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21780, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21781, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21782, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21783, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 2, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21784, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21785, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 50, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21786, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21787, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 2, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21788, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 25, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21789, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 11, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21790, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21791, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21792, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21793, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 6, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21794, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21795, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 3, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21796, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21797, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21798, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A09', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21799, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A16', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21800, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21801, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 2, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21802, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21803, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 8, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21804, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21805, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A04', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21806, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21807, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21808, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21809, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 11, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21810, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E25', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21811, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 9, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21812, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D16', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21813, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21814, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21815, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21816, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21817, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 8, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21818, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 2, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21819, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 9, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21820, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E25', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21821, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21822, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 2, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21823, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21824, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21825, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21826, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21827, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21828, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21829, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21830, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 3, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21831, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D16', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21832, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21833, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21834, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21835, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 11, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21836, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21837, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 2, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21838, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A16', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21839, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A04', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21840, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21841, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A16', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21842, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21843, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 3, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21844, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21845, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D16', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21846, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E25', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21847, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21848, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21849, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21850, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21851, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21852, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 8, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21853, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 11, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21854, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 2, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21855, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21856, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 9, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21857, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21858, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A04', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21859, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 2, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21860, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D23', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21861, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A09', '', 1, 2024, 2, 18, '2024-08-05 14:38:00', NULL, NULL), (21862, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 4, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21863, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 8, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21864, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 9, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21865, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 5, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21866, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 7, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21867, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21868, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 7, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21869, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 8, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21870, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 5, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 9, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21873, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 4, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21874, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21875, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 5, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21876, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21877, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 3, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21878, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21879, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21880, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21881, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21882, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21883, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21884, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21885, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21886, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D15', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21887, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21888, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21889, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21890, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21891, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21892, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21893, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21894, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21895, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21896, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21897, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21898, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21899, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21900, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21901, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 32, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21902, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 3, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21903, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 7, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21904, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21905, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 8, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21906, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21907, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 6, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21908, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21909, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 5, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21910, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21911, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21912, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C07', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21913, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21914, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21915, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2D15', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21916, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 2, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21917, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21918, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21919, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21920, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21921, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21922, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21923, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21924, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21925, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21926, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21927, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21928, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D28', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21929, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21930, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21931, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E24', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21932, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 5, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21933, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21934, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E20', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21935, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21936, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21937, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 3, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21938, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21939, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21940, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D12', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21941, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D15', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21942, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21943, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21944, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21945, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21946, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21947, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21948, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21949, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21950, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21951, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21952, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 2, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21953, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21954, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21955, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21956, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21957, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D28', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21958, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21959, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21960, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21961, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21962, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21963, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21964, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 2, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21965, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D12', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21966, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21967, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21968, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21969, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21970, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21971, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 5, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21972, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C07', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21973, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '2D15', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21974, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21975, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21976, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21977, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D23', '', 1, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21978, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 2, 2024, 2, 19, '2024-08-05 14:38:00', NULL, NULL), (21979, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 2, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21980, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21981, 1, '511500000000-0001', '宜宾市民中心', '市中医药管理局', '', '', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21982, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 11, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21983, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21984, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 7, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21985, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21986, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 7, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21987, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21988, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21989, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 11, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21990, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21991, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21992, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 3, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21993, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21994, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21995, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 8, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21996, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21997, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21998, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (21999, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22000, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22001, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E18', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22002, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22003, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E28', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22004, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22005, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22006, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 18, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22007, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22008, 1, '511500000000-0001', '宜宾市民中心', '市中医药管理局', '非常不满意', '', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22009, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22010, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 2, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22011, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 9, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22012, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22013, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 2, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22014, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22015, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22016, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A06', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22017, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22018, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A23', '', 2, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22019, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22020, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E23', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22021, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 8, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22022, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22023, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22024, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22025, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22026, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 8, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22027, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E23', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22028, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22029, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22030, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E28', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22031, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22032, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E18', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22033, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22034, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22035, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D02', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22036, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22037, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22038, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 3, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22039, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22040, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22041, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22042, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A23', '', 2, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22043, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22044, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E23', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22045, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 8, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22046, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A06', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22047, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22048, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2024, 2, 20, '2024-08-05 14:38:00', NULL, NULL), (22049, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 5, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22050, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22051, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 5, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22052, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22053, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22054, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 15, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22055, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 23, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22056, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 11, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22057, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 15, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 23, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 5, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 11, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 5, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22064, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 5, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22065, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22066, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22067, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 5, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22068, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22069, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22070, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22071, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22072, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 7, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22073, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 11, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22074, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22075, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22076, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22077, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 20, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22078, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22079, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22080, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22081, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 6, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22082, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 39, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22084, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 2, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22085, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 7, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22086, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '', '', 7, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22087, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 7, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22088, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 5, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22089, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22090, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 11, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22091, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '', '', 6, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22092, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '', '', 2, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22093, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 4, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22094, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22095, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 11, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22096, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A09', '', 2, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22097, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A09', '', 7, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22098, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A07', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22099, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 11, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22100, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22101, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 7, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22102, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A09', '', 5, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22103, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22104, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22105, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22106, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 5, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22107, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 5, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22108, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 3, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22109, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22110, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22111, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A09', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22112, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 5, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22113, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 20, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22114, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22115, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22116, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22117, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 11, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22118, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22119, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22120, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22121, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22122, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 7, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22123, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22124, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22125, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22126, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 5, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22127, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22128, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22129, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '2A09', '', 7, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22130, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A09', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22131, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 11, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (22132, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22133, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22134, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 5, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22135, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '2A09', '', 2, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22136, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22137, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 5, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22138, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22139, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22140, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22141, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 7, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22142, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A09', '', 5, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22143, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 3, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22144, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A07', '', 1, 2024, 2, 21, '2024-08-05 14:38:00', NULL, NULL), (22145, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 9, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22146, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 4, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22147, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22148, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 5, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22149, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22150, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 3, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 5, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 4, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 3, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 9, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22157, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22158, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22159, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22160, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 4, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22161, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22162, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22163, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22164, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22165, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22166, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22167, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22168, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22169, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22170, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 21, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22171, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 8, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22172, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22173, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 4, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22174, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22175, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22176, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 3, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22177, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22178, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22179, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22180, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22181, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 4, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22182, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22183, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22184, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22185, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22186, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22187, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22188, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 4, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22189, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22190, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22191, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22192, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22193, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22194, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22195, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22196, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22197, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22198, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22199, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22200, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22201, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22202, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22203, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22204, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 4, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22205, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22206, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22207, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22208, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22209, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22210, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22211, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2024, 2, 22, '2024-08-05 14:38:00', NULL, NULL), (22212, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 4, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22213, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 5, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22214, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22215, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22216, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22217, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22218, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22220, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 5, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 4, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22225, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22226, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D03', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22227, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22228, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 5, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22229, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A16', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22230, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22231, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22232, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22233, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22234, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22235, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 17, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22236, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 3, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22237, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22238, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 5, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22239, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22240, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22241, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22242, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A16', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22243, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 5, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22244, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22245, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D03', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22246, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22247, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22248, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 5, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22249, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22250, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D03', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22251, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 4, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22252, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22253, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22254, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A16', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22255, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22256, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22257, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22258, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D03', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22259, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A16', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22260, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22261, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22262, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22263, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 5, 2024, 2, 23, '2024-08-05 14:38:01', NULL, NULL), (22264, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2024, 2, 24, '2024-08-05 14:38:01', NULL, NULL), (22265, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2024, 2, 24, '2024-08-05 14:38:01', NULL, NULL), (22266, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 2, 24, '2024-08-05 14:38:01', NULL, NULL), (22267, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 1, 2024, 2, 24, '2024-08-05 14:38:01', NULL, NULL), (22268, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2024, 2, 24, '2024-08-05 14:38:01', NULL, NULL), (22269, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2024, 2, 24, '2024-08-05 14:38:01', NULL, NULL), (22270, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 2, 24, '2024-08-05 14:38:01', NULL, NULL), (22271, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2024, 2, 24, '2024-08-05 14:38:01', NULL, NULL), (22272, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2024, 2, 25, '2024-08-05 14:38:01', NULL, NULL), (22273, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2024, 2, 25, '2024-08-05 14:38:01', NULL, NULL), (22274, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2024, 2, 25, '2024-08-05 14:38:01', NULL, NULL), (22275, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 1, 2024, 2, 25, '2024-08-05 14:38:01', NULL, NULL), (22276, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2024, 2, 25, '2024-08-05 14:38:01', NULL, NULL), (22277, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2024, 2, 25, '2024-08-05 14:38:01', NULL, NULL), (22278, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2024, 2, 25, '2024-08-05 14:38:01', NULL, NULL), (22279, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2024, 2, 25, '2024-08-05 14:38:01', NULL, NULL), (22280, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 12, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22281, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 3, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22282, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 4, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22283, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 7, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22284, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 4, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22285, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 4, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 7, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 4, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 12, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22292, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22293, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22294, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22295, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22296, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22297, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 3, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22298, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22299, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22300, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C12', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22301, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22302, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 3, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22303, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22304, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22305, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 5, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22306, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22307, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 7, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22308, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22309, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22310, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 25, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22311, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '满意', '', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22312, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 11, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22313, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22314, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22315, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22316, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22317, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22318, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2C02', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22319, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 5, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22320, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22321, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22322, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22323, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22324, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 2, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22325, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22326, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 7, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22327, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22328, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22329, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22330, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22331, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E25', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22332, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22333, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 7, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22334, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22335, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C12', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22336, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 3, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22337, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 3, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22338, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 5, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22339, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22340, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22341, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22342, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22343, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22344, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22345, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22346, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22347, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22348, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 5, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22349, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '满意', '2C02', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22350, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22351, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 7, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22352, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22353, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22354, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 2, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22355, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22356, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 2, 26, '2024-08-05 14:38:01', NULL, NULL), (22357, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 7, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22358, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22359, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 4, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22360, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22361, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22362, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22363, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22364, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22365, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22366, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 4, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22367, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 7, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22368, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22369, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D14', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22370, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22371, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22372, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22373, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22374, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22375, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22376, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22377, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22378, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22379, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22380, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22381, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22382, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 13, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22383, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 7, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22384, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22385, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22386, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22387, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22388, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22389, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22390, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22391, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22392, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22393, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22394, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22395, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22396, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22397, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22398, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22399, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D14', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22400, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22401, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22402, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22403, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22404, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22405, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22406, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22407, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22408, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22409, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22410, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22411, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22412, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22413, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22414, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22415, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22416, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 2, 27, '2024-08-05 14:38:01', NULL, NULL), (22417, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 5, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22418, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22419, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22420, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22421, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22422, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22423, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22424, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22425, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22426, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22427, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22428, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22430, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 5, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22432, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22433, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22434, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22435, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22436, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 5, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22437, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22438, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22439, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22440, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22441, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22442, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 2, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22443, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 15, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22444, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 4, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22445, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22446, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22447, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22448, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 3, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22449, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22450, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D28', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22451, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22452, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 2, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22453, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D08', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22454, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 5, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22455, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22456, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22457, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22458, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22459, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22460, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22461, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22462, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22463, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22464, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 2, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22465, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22466, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 5, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22467, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D28', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22468, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22469, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 5, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22470, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22471, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22472, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 2, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22473, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D08', '', 1, 2024, 2, 28, '2024-08-05 14:38:01', NULL, NULL), (22474, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 6, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22475, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 11, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22476, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22477, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22478, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 11, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 11, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 6, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 11, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22484, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 4, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22485, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22486, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D26', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22487, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22488, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 3, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22489, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22490, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22491, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22492, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 9, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22493, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22494, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22495, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22496, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22497, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 23, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22498, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 6, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22499, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22500, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 10, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22501, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 6, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22502, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 8, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22503, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22504, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22505, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 2, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22506, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 3, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22507, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D29', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22508, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22509, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D26', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22510, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22511, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22512, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22513, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 9, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22514, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B06', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22515, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22516, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D26', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22517, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22518, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22519, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22520, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22521, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 3, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22522, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 4, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22523, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22524, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 8, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22525, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22526, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22527, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22528, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 2, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22529, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D26', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22530, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22531, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D29', '', 1, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22532, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 3, 2024, 2, 29, '2024-08-05 14:38:01', NULL, NULL), (22533, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 4, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22534, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22535, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 3, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22536, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22537, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 8, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22538, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22539, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 8, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22542, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22543, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22544, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22545, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22546, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E14', '', 2, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22547, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D03', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22548, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22549, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22550, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 2, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22551, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22552, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22553, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22554, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22555, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22556, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22557, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22558, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 2, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22559, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22560, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22561, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 22, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22562, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 4, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22563, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22564, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22565, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22566, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 3, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22567, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 5, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22568, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22569, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 3, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22570, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 2, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22571, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22572, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22573, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22574, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E14', '', 2, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22575, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D03', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22576, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22577, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D05', '', 2, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22578, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22579, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22580, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E14', '', 2, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22581, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22582, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22583, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22584, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22585, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 2, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22586, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22587, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 3, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22588, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D03', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (22589, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22590, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22591, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22592, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22593, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22594, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 2, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22595, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D03', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22596, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22597, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E14', '', 2, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22598, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D05', '', 2, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22599, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22600, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22601, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 2, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22602, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22603, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22604, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22605, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 3, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22606, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 1, 2024, 3, 1, '2024-08-05 14:38:02', NULL, NULL), (22607, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 3, 2, '2024-08-05 14:38:02', NULL, NULL), (22608, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 3, 2, '2024-08-05 14:38:02', NULL, NULL), (22609, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2024, 3, 2, '2024-08-05 14:38:02', NULL, NULL), (22610, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 1, 2024, 3, 2, '2024-08-05 14:38:02', NULL, NULL), (22611, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 3, 2, '2024-08-05 14:38:02', NULL, NULL), (22612, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2024, 3, 2, '2024-08-05 14:38:02', NULL, NULL), (22613, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2024, 3, 2, '2024-08-05 14:38:02', NULL, NULL), (22614, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2024, 3, 2, '2024-08-05 14:38:02', NULL, NULL), (22615, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2024, 3, 3, '2024-08-05 14:38:02', NULL, NULL), (22616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2024, 3, 3, '2024-08-05 14:38:02', NULL, NULL), (22617, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 3, 3, '2024-08-05 14:38:02', NULL, NULL), (22618, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 3, 3, '2024-08-05 14:38:02', NULL, NULL), (22619, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 2, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22620, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 2, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22621, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22622, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22623, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 10, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22624, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22625, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 10, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22633, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22634, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22635, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22636, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22637, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22638, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22639, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22640, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 8, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22641, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22642, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22643, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22644, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 13, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22645, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22646, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 10, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22647, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22648, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22649, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22650, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22651, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D29', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22652, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 8, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22653, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22654, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22655, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22656, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B06', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22657, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22658, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22659, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22660, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22661, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C14', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22662, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22663, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 8, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22664, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22665, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 8, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22666, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22667, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D29', '', 1, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22668, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 3, 4, '2024-08-05 14:38:02', NULL, NULL), (22669, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 13, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22670, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 3, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22671, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22672, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 4, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22673, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 10, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 4, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 10, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 13, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22679, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22680, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D38', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22681, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22682, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 2, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22683, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22684, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22685, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 5, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22686, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22687, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22688, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 3, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22689, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22690, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22691, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22692, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22693, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22694, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D17', '', 4, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22695, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22696, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 28, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22697, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 12, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22698, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22699, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22700, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 10, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22701, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22702, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 5, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22703, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22704, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22705, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D17', '', 4, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22706, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 6, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22707, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22708, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E26', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22709, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D38', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22710, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 3, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22711, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22712, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22713, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22714, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22715, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 3, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22716, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22717, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22718, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22719, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22720, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 6, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22721, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22722, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 2, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22723, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22724, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22725, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 5, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22726, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22727, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22728, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22729, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D38', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22730, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D17', '', 4, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22731, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22732, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22733, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E26', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22734, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22735, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22736, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 5, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22737, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22738, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 6, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22739, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 3, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22740, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22741, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22742, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22743, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D38', '', 1, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22744, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D17', '', 4, 2024, 3, 5, '2024-08-05 14:38:02', NULL, NULL), (22745, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 29, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22746, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 4, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22747, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 2, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22748, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 5, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22749, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 103, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22750, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 15, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22751, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 103, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 5, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 15, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 29, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22759, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 2, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22760, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22761, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 2, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22762, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22763, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22764, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22765, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 3, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22766, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22767, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 10, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22768, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22769, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 7, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22770, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 6, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22771, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 12, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22772, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 4, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22773, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22774, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22775, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22776, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 4, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22777, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 27, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22778, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 8, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22779, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 7, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22780, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22781, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22782, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 12, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22783, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 10, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22784, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 3, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22785, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 14, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22786, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 14, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22787, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 152, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22788, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 27, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22789, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22790, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22791, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22792, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 4, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22793, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 14, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22794, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 100, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22795, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 4, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22796, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22797, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 2, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22798, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 2, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22799, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22800, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 7, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22801, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22802, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22803, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 6, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22804, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 12, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22805, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 10, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22806, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22807, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 12, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22808, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 14, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22809, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22810, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 8, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22811, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 5, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22812, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22813, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 4, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22814, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 27, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22815, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22816, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22817, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 10, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22818, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 3, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22819, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 13, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22820, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 10, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22821, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22822, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22823, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22824, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22825, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 7, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22826, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 6, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22827, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 2, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22828, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 3, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22829, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D36', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22830, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 4, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22831, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 3, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22832, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22833, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 12, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22834, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22835, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 12, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22836, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 14, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22837, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 2, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22838, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22839, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 7, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22840, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 8, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22841, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 27, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22842, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 4, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22843, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22844, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 14, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22845, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22846, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22847, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 10, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22848, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22849, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 3, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22850, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 14, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22851, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D36', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22852, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 27, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22853, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 8, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22854, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 5, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22855, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22856, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 13, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22857, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 2, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22858, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 4, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22859, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22860, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22861, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 10, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22862, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 12, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22863, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 6, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22864, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 7, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22865, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 10, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22866, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22867, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 4, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22868, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22869, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 2, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22870, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 2, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22871, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 12, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22872, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D05', '', 1, 2024, 3, 6, '2024-08-05 14:38:02', NULL, NULL), (22873, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 19, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22874, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22875, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22876, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 5, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22877, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22878, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 62, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22879, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 3, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22880, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 9, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22881, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 62, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 5, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 19, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 9, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22887, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22888, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22889, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22890, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22891, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22892, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 6, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22893, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 6, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22894, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22895, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22896, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22897, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B08', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22898, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22899, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 5, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22900, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22901, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22902, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22903, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 8, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22904, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22905, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 18, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22906, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22907, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 15, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22908, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22909, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 6, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22910, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 4, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22911, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22912, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 3, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22913, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 3, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22914, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 3, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22915, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22916, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 93, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22917, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 5, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22918, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22919, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22920, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 19, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22921, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22922, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22923, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22924, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 57, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22925, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22926, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22927, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B08', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22928, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22929, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22930, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22931, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 4, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22932, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 6, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22933, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22934, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 6, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22935, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A03', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22936, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 4, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22937, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22938, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 13, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22939, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22940, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 5, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22941, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D02', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22942, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22943, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 8, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22944, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 18, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22945, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22946, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 3, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22947, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 3, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22948, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22949, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 6, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22950, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22951, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 6, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22952, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22953, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22954, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22955, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22956, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B08', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22957, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22958, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B06', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22959, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D36', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22960, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22961, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 5, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22962, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C14', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22963, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22964, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 4, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22965, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D02', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22966, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22967, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 3, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22968, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22969, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 6, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22970, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 15, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22971, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 18, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22972, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 8, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22973, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22974, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 3, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22975, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 3, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22976, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22977, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22978, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D36', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22979, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 18, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22980, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 13, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22981, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A03', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22982, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 5, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22983, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 3, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22984, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22985, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 8, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22986, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 6, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22987, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D02', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22988, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 3, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22989, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22990, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22991, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 4, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22992, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22993, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22994, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 6, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22995, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22996, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B08', '', 2, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22997, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22998, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 4, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (22999, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D06', '', 1, 2024, 3, 7, '2024-08-05 14:38:02', NULL, NULL), (23000, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 13, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23001, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23002, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23003, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23004, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 31, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23005, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '', '', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23006, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 9, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23007, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 12, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 31, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 13, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 12, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23015, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23016, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23017, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23018, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23019, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23020, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D12', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23021, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23022, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 4, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23023, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A02', '', 3, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23024, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23025, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 8, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23026, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23027, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23028, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 6, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23029, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D38', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23030, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23031, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 7, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23032, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23033, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 4, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23034, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23035, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 6, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23036, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 9, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23037, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23038, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23039, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A11', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23040, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23041, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 3, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23042, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23043, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23044, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 60, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23045, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23046, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23047, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '满意', '', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23048, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23049, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 4, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23050, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23051, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23052, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '非常满意', '', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (23053, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23054, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 12, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23055, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '基本满意', '', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23056, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23057, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23058, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 13, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23059, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23060, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 25, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23061, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2C01', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23062, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A02', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23063, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2C01', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23064, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A02', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23065, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23066, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23067, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D12', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23068, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A04', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23069, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23070, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23071, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23072, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E25', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23073, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23074, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23075, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 6, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23076, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 8, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23077, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23078, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A11', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23079, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A04', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23081, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 9, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23082, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 3, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23084, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 3, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23085, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23086, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23087, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23088, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 7, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23089, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23090, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23091, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D38', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23092, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A02', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23093, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 8, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23094, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23095, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23096, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E25', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23097, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23098, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23099, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 4, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23100, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D38', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23101, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23102, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A11', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23103, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23104, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 6, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23105, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '', '1D12', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23106, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 9, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23107, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 3, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23108, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23109, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23110, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 6, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23111, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 4, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23112, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A02', '', 3, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23113, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 7, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23114, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23115, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23116, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23117, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23118, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23119, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A04', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23120, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '2A02', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23121, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '基本满意', '2C01', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23122, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23123, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 3, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23124, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 7, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23125, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 3, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23126, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23127, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23128, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D38', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23129, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '2A11', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23130, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23131, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23132, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23133, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E25', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23134, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23135, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 9, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23136, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A02', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23137, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23138, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '非常满意', '1D12', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23139, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '满意', '2C01', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23140, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23141, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 8, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23142, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23143, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23144, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23145, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A04', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23146, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '2A02', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23147, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23148, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23149, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A04', '', 1, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23150, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 6, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23151, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D05', '', 2, 2024, 3, 8, '2024-08-05 14:38:03', NULL, NULL), (23152, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 1, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23153, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23156, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 2, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23157, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23158, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23159, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 3, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23160, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 1, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23161, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23162, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23163, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23164, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23165, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23166, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 2, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23167, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 1, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23168, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23169, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 1, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23170, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 3, 9, '2024-08-05 14:38:03', NULL, NULL), (23171, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23172, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23173, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 21, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23174, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23175, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 20, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23176, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23177, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23178, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 16, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23179, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23180, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23181, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23182, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23183, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 4, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23184, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 3, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23185, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23186, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 19, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23187, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '', '', 3, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23188, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 17, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23189, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23190, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23191, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23192, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23193, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A07', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23194, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A04', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23195, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 3, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23196, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 13, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23197, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A07', '', 2, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23198, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A09', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23199, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 4, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23200, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23201, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23202, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23203, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23204, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 16, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23205, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A04', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23206, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 13, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23207, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 3, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23208, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A04', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23209, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23210, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A09', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23211, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A07', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23212, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A07', '', 2, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23213, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 1, 2024, 3, 10, '2024-08-05 14:38:03', NULL, NULL), (23214, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 26, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23215, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23216, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23217, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 10, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23218, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 80, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23219, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23220, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 18, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 80, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 10, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 18, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23227, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 26, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23228, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23229, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23230, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23231, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23232, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23233, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23234, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 13, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23235, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23236, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23237, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23238, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23239, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 7, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23240, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 22, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23241, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23242, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D38', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23243, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 4, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23244, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 8, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23245, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 12, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23246, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23247, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 19, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23248, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23249, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23250, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 7, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23251, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23252, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23253, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23254, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23255, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 4, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23256, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23257, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23258, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23259, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 6, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23260, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 124, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23261, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 23, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23262, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23263, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 7, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23264, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 17, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23265, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 75, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23266, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23267, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23268, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23269, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23270, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23271, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D29', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23272, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23273, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 7, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23274, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 21, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23275, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 13, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23276, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D08', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23277, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23278, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23279, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 4, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23280, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 6, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23281, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 6, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23282, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23283, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 12, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23284, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 18, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23285, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23286, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 8, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23287, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23288, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23289, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D38', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23290, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23291, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 13, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23292, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23293, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23294, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23295, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 7, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23296, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23297, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23298, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23299, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 7, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23300, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23301, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23302, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D38', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23303, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23304, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23305, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 22, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23306, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C14', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23307, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23308, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23309, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 4, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23310, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 6, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23311, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23312, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23313, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23314, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23315, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 19, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23316, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 12, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23317, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 8, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23318, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 4, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23319, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23320, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23321, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23322, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 6, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23323, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 18, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23324, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23325, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23326, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D38', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23327, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 8, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23328, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 12, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23329, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23330, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23331, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 6, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23332, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23333, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 4, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23334, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 7, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23335, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23336, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 13, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23337, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23338, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 3, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23339, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23340, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23341, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 2, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23342, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23343, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 21, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23344, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D29', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23345, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D08', '', 1, 2024, 3, 11, '2024-08-05 14:38:03', NULL, NULL), (23346, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 27, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23347, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 5, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23348, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23349, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 39, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23350, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23351, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23352, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 10, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23353, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 39, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23354, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23355, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23356, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23357, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 5, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23358, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 10, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23359, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 27, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23360, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D38', '', 5, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23361, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23362, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 3, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23363, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23364, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23365, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 4, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23366, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 3, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23367, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 7, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23368, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23369, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 4, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23370, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23371, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23372, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 5, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23373, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 10, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23374, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23375, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23376, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 9, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23377, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23378, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23379, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23380, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 17, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23381, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23382, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23383, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 82, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23384, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 27, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23385, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23386, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 5, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23387, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23388, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 10, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23389, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 36, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23390, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23391, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23392, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23393, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23394, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 9, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23395, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23396, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 17, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23397, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23398, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23399, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 10, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23400, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 5, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23401, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23402, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23403, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23404, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 4, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23405, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23406, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 3, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23407, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D02', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23408, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 7, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23409, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23410, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23411, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23412, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D38', '', 5, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23413, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23414, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23415, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 10, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23416, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23417, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 9, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23418, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23419, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 3, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23420, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23421, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 5, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23422, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D02', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23423, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23424, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D38', '', 5, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23425, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23426, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23427, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 4, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23428, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 7, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23429, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 4, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23430, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23431, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 3, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23432, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23433, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23434, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 17, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23435, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23436, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23437, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23438, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 7, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23439, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23440, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23441, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23442, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23443, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D38', '', 5, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23444, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 3, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23445, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 10, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23446, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D02', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23447, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23448, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23449, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 5, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23450, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23451, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 9, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23452, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23453, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23454, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 4, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23455, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 2, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23456, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A22', '', 1, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23457, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 17, 2024, 3, 12, '2024-08-05 14:38:03', NULL, NULL), (23458, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 39, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23459, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23460, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 3, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23461, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23462, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 60, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23463, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 18, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23464, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 5, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 60, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 5, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 18, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 39, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23472, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23473, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23474, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 4, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23475, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23476, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 8, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23477, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23478, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 22, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23479, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 2, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23480, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23481, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23482, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23483, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 16, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23484, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23485, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 11, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23486, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D14', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23487, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 7, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23488, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23489, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 13, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23490, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 2, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23491, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 4, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23492, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23493, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23494, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23495, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 3, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23496, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23497, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 9, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23498, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23499, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 3, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23500, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 2, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23501, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23502, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 120, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23503, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 39, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23504, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 5, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23505, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23506, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23507, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 18, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23508, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 55, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23509, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 4, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23510, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23511, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23512, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D29', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23513, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (23514, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 15, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23515, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23516, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 22, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23517, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D08', '', 2, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23518, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23519, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 8, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23520, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 9, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23521, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23522, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23523, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23524, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D13', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23525, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 4, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23526, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D14', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23527, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23528, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 3, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23529, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23530, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 7, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23531, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 2, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23532, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 13, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23533, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 9, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23534, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23535, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 3, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23536, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23537, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 22, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23538, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 8, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23539, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23540, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23541, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23542, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23543, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23544, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D12', '', 2, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23545, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23546, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23547, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D14', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23548, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23549, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 3, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23550, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 16, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23551, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23552, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 9, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23553, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 2, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23554, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23555, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23556, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23557, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 4, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23558, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 2, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23559, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 13, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23560, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23561, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 7, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23562, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 11, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23563, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 3, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23564, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 4, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23565, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23566, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23567, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D14', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23568, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 13, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23569, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23570, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 4, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23571, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23572, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D12', '', 2, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23573, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D13', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23574, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23575, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 3, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23576, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 9, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23577, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 7, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23578, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 8, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23579, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23580, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23581, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 9, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23582, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23583, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23584, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23585, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 22, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23586, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23587, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23588, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 4, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23589, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 3, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23590, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D29', '', 1, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23591, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 15, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23592, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D08', '', 2, 2024, 3, 13, '2024-08-05 14:38:03', NULL, NULL), (23593, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 27, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23594, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23595, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 16, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23596, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 58, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23597, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23598, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 4, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23599, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 12, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 58, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23602, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 4, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 16, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 12, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23606, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 27, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23607, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23608, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23609, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23610, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 13, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23611, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 3, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23612, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 11, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23613, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23614, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 9, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23615, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23616, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 7, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23617, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 19, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23618, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23619, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 5, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23620, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 6, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23621, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 14, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23622, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 5, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23623, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23624, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23625, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23626, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23627, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23628, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 10, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23629, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23630, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23631, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23632, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 5, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23633, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23634, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 112, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23635, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常不满意', '', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23636, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 27, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23637, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 4, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23638, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 13, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23639, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23640, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 12, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23641, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 55, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23642, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 3, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23643, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23644, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 12, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23645, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23646, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 7, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23647, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 19, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23648, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 9, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23649, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23650, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23651, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 11, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23652, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2E02', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23653, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 10, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23654, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23655, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 4, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23656, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23657, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 4, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23658, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23659, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 6, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23660, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 14, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23661, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 5, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23662, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23663, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 13, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23664, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 9, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23665, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 11, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23666, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23667, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 7, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23668, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23669, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23670, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23671, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23672, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23673, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23674, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 19, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23675, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23676, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23677, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 10, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23678, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 5, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23679, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23680, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23681, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 5, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23682, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 14, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23683, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23684, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 6, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23685, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 5, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23686, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23687, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23688, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 3, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23689, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常不满意', '2E02', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23690, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 4, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23691, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 14, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23692, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 4, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23693, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23694, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23695, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23696, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 5, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23697, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 6, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23698, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 11, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23699, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23700, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23701, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 10, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23702, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 7, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23703, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 12, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23704, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 9, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23705, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23706, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23707, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 3, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23708, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23709, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 19, 2024, 3, 14, '2024-08-05 14:38:03', NULL, NULL), (23710, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 22, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23711, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23712, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 26, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23713, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 8, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23714, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 33, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23715, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23716, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 18, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 33, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 8, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23720, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23721, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 23, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23722, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 18, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23723, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 22, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23724, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23725, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23726, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23727, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 3, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23728, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 15, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23729, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23730, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23731, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 4, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23732, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 8, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23733, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23734, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23735, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 2, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23736, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23737, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23738, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23739, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E28', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23740, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 10, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23741, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E27', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23742, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 9, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23743, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23744, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23745, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E15', '', 3, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23746, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23747, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 3, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23748, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23749, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23750, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23751, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 7, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23752, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23753, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23754, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23755, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 13, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23756, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23757, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 4, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23758, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 3, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23759, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23760, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 100, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23761, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 22, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23762, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23763, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 26, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23764, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 8, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23765, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23766, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 17, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23767, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 25, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23768, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23769, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 3, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23770, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 15, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23771, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 4, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23772, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E27', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23773, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23774, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E28', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23775, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 10, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23776, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23777, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 9, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23778, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23779, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23780, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 2, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23781, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23782, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23783, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23784, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23785, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23786, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 8, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23787, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23788, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 13, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23789, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23790, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 3, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23791, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23792, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23793, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23794, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 3, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23795, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23796, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23797, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23798, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23799, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E15', '', 3, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23800, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 4, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23801, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 2, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23802, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 15, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23803, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23804, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23805, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23806, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 8, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23807, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 10, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23808, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23809, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E28', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23810, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E27', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23811, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 3, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23812, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23813, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23814, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23815, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23816, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 4, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23817, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23818, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23819, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 9, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23820, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E15', '', 3, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23821, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23822, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 13, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23823, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 3, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23824, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23825, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 3, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23826, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23827, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 7, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23828, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23829, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23830, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23831, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 3, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23832, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23833, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 4, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23834, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23835, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23836, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E15', '', 3, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23837, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 3, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23838, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23839, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23840, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 3, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23841, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23842, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 4, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23843, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23844, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 2, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23845, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23846, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 8, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23847, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23848, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E27', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23849, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E28', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23850, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23851, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23852, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23853, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A23', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23854, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23855, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23856, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 13, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23857, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23858, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 10, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23859, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23860, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 2, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23861, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 15, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23862, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23863, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 3, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23864, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23865, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 4, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23866, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23867, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 9, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23868, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D06', '', 1, 2024, 3, 15, '2024-08-05 14:38:04', NULL, NULL), (23869, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23870, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23871, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23872, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23873, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23874, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23875, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23876, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D06', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23877, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23878, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 3, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23879, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23880, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23881, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23882, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A23', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23883, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D06', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23884, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23885, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23886, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23887, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23888, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D06', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23889, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23890, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23891, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23892, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A23', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23893, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D06', '', 1, 2024, 3, 16, '2024-08-05 14:38:04', NULL, NULL), (23894, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 2, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23895, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23896, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 6, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23897, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23898, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 6, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23904, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23905, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23906, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23907, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23908, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23909, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23910, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23911, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23912, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23913, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 6, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23914, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23915, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 2, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23916, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23917, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 2, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23918, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 3, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23919, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A02', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23920, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23921, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A22', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23922, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23923, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23924, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A21', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23925, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23926, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23927, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23928, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23929, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A21', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23930, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23931, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23932, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23933, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23934, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23935, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 2, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23936, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23937, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A22', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23938, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23939, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A02', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23940, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A21', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23941, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 3, 17, '2024-08-05 14:38:04', NULL, NULL), (23942, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 26, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23943, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23944, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 16, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23945, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23946, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 52, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23947, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 52, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 16, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 26, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23954, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23955, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 3, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23956, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23957, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23958, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 9, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23959, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 13, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23960, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 20, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23961, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23962, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23963, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23964, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23965, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 11, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23966, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23967, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D08', '', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23968, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23969, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 7, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23970, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 5, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23971, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 3, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23972, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23973, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 13, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (23974, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23975, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 93, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23976, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 25, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23977, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23978, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 15, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23979, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23980, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '满意', '', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23981, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23982, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 48, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23983, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23984, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 13, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23985, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23986, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 12, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23987, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 9, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23988, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23989, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 19, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23990, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 3, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23991, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23992, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23993, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 7, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23994, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 5, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23995, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23996, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 3, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23997, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23998, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D08', '', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (23999, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24000, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 10, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24001, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1E19', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24002, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24003, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 13, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24004, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24005, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24006, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24007, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 11, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24008, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24009, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 7, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24010, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 5, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24011, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24012, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 13, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24013, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24014, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24015, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24016, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 20, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24017, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 9, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24018, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 3, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24019, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D08', '', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24020, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24021, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 3, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24022, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24023, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 10, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24024, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24025, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24026, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 5, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24027, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 7, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24028, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24029, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24030, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D08', '', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24031, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 12, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24032, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '满意', '1E19', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24033, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24034, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24035, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 13, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24036, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 2, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24037, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 19, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24038, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 3, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24039, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 3, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24040, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 9, 2024, 3, 18, '2024-08-05 14:38:04', NULL, NULL), (24041, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 35, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24042, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24043, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 19, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24044, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 34, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24045, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 16, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24046, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 34, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24047, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24048, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 19, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24049, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 16, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24050, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 33, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24051, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24052, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 14, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24053, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 4, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24054, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24055, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24056, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24057, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 7, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24058, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24059, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24060, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 15, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24061, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24062, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E09', '', 2, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24063, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24064, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 12, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24065, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 8, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24066, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 7, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24067, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 6, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24068, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24069, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 12, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24070, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 8, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24071, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 97, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24072, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 35, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24073, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 18, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24074, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24075, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 15, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24076, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 28, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24077, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 15, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24078, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 8, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24079, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24081, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 2, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24082, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 14, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24084, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 4, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24085, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24086, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24087, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 7, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24088, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 6, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24089, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24090, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 12, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24091, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24092, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 8, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24093, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E09', '', 2, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24094, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 12, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24095, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 8, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24096, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 14, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24097, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E09', '', 2, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24098, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24099, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 12, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24100, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24101, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 7, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24102, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 6, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24103, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 2, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24104, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24105, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 15, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24106, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24107, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 8, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24108, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24109, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24110, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 7, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24111, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 4, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24112, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24113, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24114, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 12, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24115, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24116, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 12, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24117, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E09', '', 2, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24118, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24119, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 15, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24120, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24121, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 6, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24122, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24123, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 7, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24124, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 8, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24125, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 14, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24126, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 8, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24127, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 2, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24128, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24129, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24130, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 1, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24131, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 12, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24132, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 4, 2024, 3, 19, '2024-08-05 14:38:04', NULL, NULL), (24133, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 37, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24134, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 19, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24135, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 5, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24136, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 28, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24137, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24138, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 18, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 28, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 5, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 19, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 18, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 37, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24145, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 1, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24146, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24147, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 3, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24148, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 11, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24149, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 5, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24150, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 2, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24151, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 3, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24152, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 2, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24153, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 2, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24154, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 6, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24155, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 15, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24156, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 9, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24157, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24158, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24159, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 7, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24160, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 13, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24161, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 8, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24162, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 6, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24163, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 3, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24164, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24165, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24166, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 5, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24167, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 103, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24168, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 37, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24169, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 18, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24170, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 5, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24171, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 17, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24172, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 26, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24173, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 2, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24174, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 15, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24175, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 6, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24176, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 5, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24177, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 11, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24178, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 3, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24179, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 3, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24180, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 2, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24181, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 2, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24182, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 5, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24183, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 2, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24184, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 13, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24185, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 8, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24186, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 6, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24187, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 3, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24188, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 7, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24189, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24190, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 9, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24191, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 11, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24192, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 7, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24193, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 9, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24194, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 6, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24195, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 13, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24196, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 8, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24197, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 3, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24198, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 1, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24199, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24200, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24201, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 2, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24202, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 15, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24203, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B07', '', 1, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24204, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 2, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24205, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 5, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24206, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 2, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24207, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 2, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24208, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 5, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24209, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 3, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24210, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24211, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 6, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24212, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 3, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24213, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 9, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24214, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 1, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24215, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 2, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24216, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 15, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24217, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 6, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24218, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 8, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24219, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 13, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24220, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 11, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24221, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 7, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24222, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 2, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24223, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 5, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24224, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 2, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24225, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 5, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24226, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 3, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24227, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 6, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24228, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 3, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24229, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 2, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24230, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 3, 2024, 3, 20, '2024-08-05 14:38:04', NULL, NULL), (24231, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 32, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24232, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24233, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 21, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24234, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24235, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 12, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24236, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24237, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 12, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24238, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 12, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24239, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24240, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24241, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 21, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24242, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 12, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24243, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 32, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24244, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24245, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24246, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D26', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24247, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24248, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24249, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 16, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24250, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24251, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24252, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24253, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 3, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24254, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 5, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24255, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A23', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24256, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24257, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 7, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24258, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24259, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24260, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 12, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24261, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24262, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 10, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24263, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24264, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 3, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24265, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 79, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24266, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 31, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24267, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24268, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 21, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24269, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24270, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24271, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 12, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24272, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 10, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24273, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A23', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24274, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 7, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24275, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 3, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24276, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 5, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24277, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24278, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24279, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 16, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24280, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24281, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24282, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24283, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24284, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D26', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24285, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 10, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24286, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24287, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24288, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24289, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 11, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24290, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24291, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24292, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24293, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 12, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24294, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 16, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24295, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24296, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24297, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24298, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 10, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24299, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24300, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24301, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24302, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24303, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 7, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24304, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 3, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24305, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24306, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D26', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24307, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 5, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24308, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24309, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A23', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24310, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24311, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24312, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 3, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24313, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24314, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24315, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24316, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24317, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 3, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24318, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24319, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24320, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 7, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24321, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24322, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 10, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24323, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 11, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24324, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 16, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24325, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24326, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24327, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D26', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24328, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A23', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24329, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24330, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 5, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24331, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24332, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24333, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 2, 2024, 3, 21, '2024-08-05 14:38:04', NULL, NULL), (24334, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 20, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24335, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 12, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24336, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24337, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 47, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24338, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24339, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24340, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 17, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24341, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 47, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 12, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 17, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 20, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24347, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24348, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24349, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D26', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24350, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24351, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 10, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24352, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 11, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24353, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24354, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24355, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 6, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24356, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24357, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24358, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 2, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24359, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 22, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24360, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 15, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24361, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 6, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24362, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 3, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24363, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24364, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 11, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24365, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 3, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24366, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24367, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24368, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24369, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 3, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24370, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 89, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24371, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 20, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24372, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24373, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24374, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 2, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24375, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 10, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24376, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24377, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24378, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 16, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24379, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 40, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24380, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E02', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24381, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E23', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24382, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24383, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 8, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24384, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24385, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D26', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24386, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 11, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24387, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 3, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24388, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 3, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24389, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 6, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24390, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24391, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 2, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24392, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 15, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24393, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24394, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 20, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24395, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24396, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 10, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24397, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 6, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24398, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 3, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24399, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 10, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24400, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E23', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24401, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 6, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24402, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 11, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24403, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24404, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B10', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24405, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C05', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24406, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24407, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 15, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24408, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D34', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24409, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24410, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24411, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D26', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24412, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 22, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24413, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 2, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24414, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 6, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24415, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 11, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24416, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24417, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 3, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24418, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24419, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B10', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24420, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24421, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 6, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24422, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 20, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24423, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 10, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24424, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 6, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24425, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A23', '', 2, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24426, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24427, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 15, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24428, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 11, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24429, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E23', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24430, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 3, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24431, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 8, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (24432, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '2E02', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24433, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24434, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D26', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24435, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24436, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 3, 2024, 3, 22, '2024-08-05 14:38:05', NULL, NULL), (24437, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 21, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24438, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 21, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24441, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24442, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 6, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24443, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 2, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24444, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 9, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24445, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 6, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24446, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 2, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24447, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 4, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24448, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 19, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24449, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24450, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24451, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '', '', 1, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24452, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 4, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24453, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24454, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24455, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 15, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24456, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 3, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24457, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A02', '', 2, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24458, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 2, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24459, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 1, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24460, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A22', '', 1, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24461, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A02', '', 1, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24462, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A22', '', 1, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24463, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 2, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24464, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 8, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24465, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 4, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24466, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 2, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24467, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 6, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24468, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 9, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24469, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24470, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 6, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24471, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 2, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24472, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '1A02', '', 1, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24473, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A23', '', 1, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24474, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 4, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24475, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A02', '', 2, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24476, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 2, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24477, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A22', '', 1, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24478, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A22', '', 1, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24479, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 2, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24480, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 3, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24481, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 8, 2024, 3, 23, '2024-08-05 14:38:05', NULL, NULL), (24482, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24483, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 44, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24484, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 44, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24487, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24488, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24489, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 15, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24490, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24491, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 25, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24492, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 2, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24493, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 6, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24494, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 38, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24495, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24496, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24497, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24498, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24499, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 6, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24500, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24501, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24502, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 36, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24503, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A02', '', 6, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24504, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 8, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24505, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24506, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A02', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24507, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A04', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24508, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 2, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24509, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A23', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24510, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24511, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 25, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24512, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24513, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 25, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24514, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24515, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 15, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24516, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 2, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24517, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A04', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24518, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 25, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24519, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A02', '', 6, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24520, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A04', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24521, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '1A23', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24522, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A02', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24523, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 8, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24524, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24525, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 2, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24526, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2024, 3, 24, '2024-08-05 14:38:05', NULL, NULL), (24527, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 13, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24528, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 6, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24529, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24530, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 17, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24531, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24532, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 50, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24533, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 18, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24534, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24535, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 50, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24536, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 7, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24537, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24538, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 17, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24539, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 18, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24540, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 13, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24541, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24542, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24543, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 12, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24544, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24545, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24546, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24547, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24548, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24549, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24550, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 8, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24551, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24552, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24553, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24554, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24555, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24556, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24557, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24558, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 4, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24559, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24560, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 4, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24561, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 24, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24562, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 7, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24563, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 3, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24564, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24565, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 3, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24566, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24567, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24568, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24569, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 15, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24570, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D07', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24571, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24572, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24573, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 98, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24574, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 15, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24575, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24576, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 16, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24577, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 12, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24578, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24579, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 5, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24580, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 47, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24581, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24582, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24583, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 11, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24584, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24585, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24586, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24587, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24588, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24589, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24590, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 8, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24591, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24592, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24593, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 15, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24594, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24595, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24596, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24597, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24598, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 3, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24599, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24600, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 24, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24601, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 7, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24602, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 4, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24603, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 4, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24604, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24605, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24606, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 12, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24607, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 8, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24608, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24609, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24610, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24611, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24612, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24613, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24614, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24615, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24616, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24617, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24618, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B06', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24619, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24620, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24621, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 4, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24622, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24623, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24624, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 15, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24625, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24626, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24627, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24628, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 3, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24629, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24630, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 3, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24631, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24632, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 7, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24633, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D07', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24634, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 24, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24635, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 4, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24636, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24637, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24638, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 4, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24639, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24640, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24641, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 7, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24642, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 3, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24643, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24644, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24645, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 2, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24646, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 4, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24647, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 24, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24648, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24649, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24650, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24651, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 15, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24652, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24653, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24654, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 11, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24655, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 8, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24656, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B04', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24657, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24658, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24659, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24660, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24661, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D06', '', 1, 2024, 3, 25, '2024-08-05 14:38:05', NULL, NULL), (24662, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 19, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24663, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 36, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24664, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 85, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24665, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24666, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 264, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24667, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 27, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24668, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 49, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 264, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 36, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 85, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 27, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 19, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 49, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24676, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 9, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24677, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24678, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 23, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24679, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24680, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 13, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24681, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24682, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24683, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24684, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24685, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D37', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24686, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 28, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24687, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24688, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24689, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 27, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24690, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24691, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 22, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24692, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24693, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24694, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 35, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24695, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24696, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 3, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24697, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 28, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24698, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24699, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 10, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24700, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24701, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24702, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24703, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24704, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 7, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24705, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 7, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24706, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24707, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24708, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B03', '', 16, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24709, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24710, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 18, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24711, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 6, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24712, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 7, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24713, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24714, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24715, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24716, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24717, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24718, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 14, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24719, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 6, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24720, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 3, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24721, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 2, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24722, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 21, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24723, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 18, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24724, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24725, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 9, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24726, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24727, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24728, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 461, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24729, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 76, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24730, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24731, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 26, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24732, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24733, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 19, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24734, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 48, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24735, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24736, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 35, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24737, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 254, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24738, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A05', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24739, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24740, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 7, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24741, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 3, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24742, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 7, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24743, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 18, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24744, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24745, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B03', '', 16, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24746, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E22', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24747, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24748, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24749, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24750, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 13, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24751, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 7, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24752, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24753, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 6, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24754, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 2, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24755, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 9, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24756, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 20, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24757, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 18, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24758, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 3, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24759, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 23, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24760, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24761, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C07', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24762, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24763, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24764, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 9, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24765, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24766, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A05', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24767, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24768, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24769, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 10, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24770, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24771, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 34, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24772, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 3, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24773, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 28, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24774, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 3, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24775, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 24, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24776, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24777, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24778, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 22, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24779, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24780, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 27, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24781, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24782, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24783, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24784, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D37', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24785, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24786, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 14, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24787, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24788, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24789, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 6, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24790, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 14, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24791, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24792, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24793, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24794, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24795, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24796, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 9, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24797, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24798, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 18, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24799, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 21, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24800, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24801, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 7, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24802, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 23, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24803, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24804, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 9, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24805, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 6, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24806, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24807, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24808, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24809, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 2, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24810, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 13, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24811, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B03', '', 16, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24812, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24813, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 7, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24814, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 18, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24815, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 7, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24816, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D37', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24817, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B09', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24818, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24819, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24820, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24821, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24822, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24823, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 3, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24824, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24825, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 2, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24826, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 3, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24827, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24828, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 10, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24829, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 28, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24830, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 35, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24831, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 22, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24832, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 27, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24833, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 28, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24834, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24835, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24836, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24837, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 2, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24838, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 3, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24839, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 18, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24840, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 9, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24841, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D37', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24842, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 20, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24843, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24844, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 9, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24845, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24846, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24847, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24848, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24849, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 23, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24850, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A05', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24851, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C07', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24852, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24853, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 2, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24854, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 13, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24855, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24856, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 3, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24857, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24858, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24859, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24860, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A05', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24861, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 22, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24862, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 34, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24863, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 28, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24864, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 10, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24865, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 14, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24866, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 15, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24867, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 27, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24868, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 24, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24869, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 6, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24870, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24871, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 18, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24872, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24873, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24874, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E22', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24875, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 7, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24876, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B04', '', 7, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24877, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B03', '', 16, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24878, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B05', '', 7, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24879, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24880, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 3, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24881, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 4, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24882, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24883, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D23', '', 5, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24884, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 3, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24885, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D06', '', 1, 2024, 3, 26, '2024-08-05 14:38:05', NULL, NULL), (24886, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 17, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24887, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 26, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24888, 1, '511500000000-0001', '宜宾市民中心', '应急、消防', '', '', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (24889, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 3, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24890, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 56, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24891, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 12, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24892, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 227, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24893, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 6, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24894, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 25, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24895, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 20, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 227, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 30, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 9, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 6, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 55, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 20, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24902, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 17, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24903, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 25, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24904, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 8, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24905, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24906, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24907, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24908, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 3, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24909, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 19, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24910, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24911, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24912, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 7, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24913, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24914, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 3, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24915, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 3, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24916, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 11, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24917, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24918, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 7, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24919, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 6, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24920, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D37', '', 5, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24921, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 13, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24922, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24923, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 22, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24924, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 3, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24925, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 18, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24926, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24927, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24928, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 27, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24929, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 5, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24930, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 26, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24931, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24932, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C11', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24933, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 19, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24934, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C10', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24935, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 6, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24936, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 14, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24937, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 23, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24938, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E16', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24939, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24940, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24941, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24942, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24943, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24944, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B03', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24945, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 9, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24946, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24947, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 7, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24948, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24949, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24950, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24951, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 13, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24952, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24953, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 5, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24954, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24955, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D03', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24956, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24957, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24958, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 7, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24959, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 14, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24960, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 10, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24961, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 10, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24962, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 12, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24963, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24964, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 372, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24965, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 6, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24966, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 48, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24967, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 12, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24968, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 19, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24969, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24970, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 17, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24971, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 25, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24972, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 24, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24973, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 3, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24974, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 217, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24975, 1, '511500000000-0001', '宜宾市民中心', '应急、消防', '非常满意', '', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24976, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A05', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24977, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 5, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24978, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A21', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24979, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A08', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24980, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24981, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24982, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24983, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24984, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 9, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24985, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B03', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24986, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24987, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24988, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24989, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24990, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 13, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24991, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 7, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24992, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D08', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24993, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24994, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 12, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24995, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 13, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24996, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 10, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24997, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 8, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24998, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (24999, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D02', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25000, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 7, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25001, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D03', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25002, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 3, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25003, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 19, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25004, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25005, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D13', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25006, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25007, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 3, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25008, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C05', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25009, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25010, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 8, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25011, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 3, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25012, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25013, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C10', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25014, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 6, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25015, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C11', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25016, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25017, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 19, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25018, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25019, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 27, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25020, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 5, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25021, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 25, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25022, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25023, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 21, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25024, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25025, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25026, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 17, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25027, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 11, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25028, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E16', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25029, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 7, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25030, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 13, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25031, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 13, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25032, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 6, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25033, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D37', '', 5, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25034, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 20, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25035, 1, '511500000000-0001', '宜宾市民中心', '应急、消防', '', '1D13', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25036, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 5, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25037, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 13, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25038, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 6, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25039, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25040, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C11', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25041, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C10', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25042, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E16', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25043, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25044, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 12, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25045, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25046, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 10, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25047, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25048, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 14, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25049, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25050, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25051, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 3, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25052, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 7, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25053, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 19, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25054, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 8, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25055, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25056, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25057, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25058, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25059, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 7, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25060, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 3, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25061, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B03', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25062, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C05', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25063, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25064, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 3, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25065, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25066, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25067, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 9, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25068, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B07', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25069, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D37', '', 5, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25070, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25071, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25072, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 3, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25073, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25074, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 7, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25075, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25076, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 5, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25077, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25078, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 7, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25079, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B10', '', 10, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25080, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 6, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25081, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D02', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25082, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A21', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25083, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D03', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25084, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 19, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25085, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 26, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25086, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 27, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25087, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 18, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25088, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 22, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25089, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25090, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 13, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25091, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 11, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25092, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 23, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25093, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 14, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25094, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 7, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25095, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 8, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25096, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 12, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25097, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D37', '', 5, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25098, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 13, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25099, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25100, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D02', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25101, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 8, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25102, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D03', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25103, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 3, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25104, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 13, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25105, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25106, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 6, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25107, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 19, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25108, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A05', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25109, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 3, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25110, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 5, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25111, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 3, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25112, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C05', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25113, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25114, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A21', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25115, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25116, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A22', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25117, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 13, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25118, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A08', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25119, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 6, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25120, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E16', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25121, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25122, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 7, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25123, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B10', '', 10, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25124, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25125, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 17, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25126, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 27, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25127, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C11', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25128, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 25, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25129, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 19, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25130, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 20, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25131, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 11, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25132, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C10', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25133, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 13, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25134, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 21, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25135, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25136, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 9, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25137, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25138, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 7, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25139, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B07', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25140, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B04', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25141, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B03', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25142, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25143, 1, '511500000000-0001', '宜宾市民中心', '应急、消防', '非常满意', '1D13', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25144, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25145, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25146, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 5, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25147, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25148, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D23', '', 2, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25149, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25150, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D08', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25151, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D05', '', 4, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25152, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D06', '', 1, 2024, 3, 27, '2024-08-05 14:38:05', NULL, NULL), (25153, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 15, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25154, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 21, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25155, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25156, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 50, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25157, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 11, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25158, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 216, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25159, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 6, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25160, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 33, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25161, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 7, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 216, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 22, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 11, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 7, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 50, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 33, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 15, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 6, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25170, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25171, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25172, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25173, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 20, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25174, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25175, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25176, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25177, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 6, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25178, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25179, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25180, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 11, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25181, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 6, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25182, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25183, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 7, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25184, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 40, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25185, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25186, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 22, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25187, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25188, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 17, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25189, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25190, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 20, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25191, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25192, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25193, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 30, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25194, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25195, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 12, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25196, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 10, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25197, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 14, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25198, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 17, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25199, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25200, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25201, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25202, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25203, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25204, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25205, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25206, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 7, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25207, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25208, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25209, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25210, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25211, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25212, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 7, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25213, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25214, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D03', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25215, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D14', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25216, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 8, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25217, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 14, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25218, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25219, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25220, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25221, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 333, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25222, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25223, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 47, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25224, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 10, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25225, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 28, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25226, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25227, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 15, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25228, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 6, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25229, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25230, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 21, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25231, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常不满意', '', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25232, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25233, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 200, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25234, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25235, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A21', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25236, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25237, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25238, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25239, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25240, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25241, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25242, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25243, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25244, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25245, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 7, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25246, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25247, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2C04', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25248, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25249, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 8, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25250, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 13, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25251, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D14', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25252, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D03', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25253, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A22', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25254, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25255, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25256, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 20, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25257, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25258, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D29', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25259, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 11, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25260, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25261, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25262, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25263, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25264, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A05', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25265, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 10, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25266, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25267, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 12, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25268, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25269, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25270, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 19, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25271, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25272, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 26, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25273, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25274, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25275, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 17, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25276, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25277, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 16, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25278, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 6, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25279, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 7, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25280, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 40, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25281, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25282, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 14, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25283, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 17, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25284, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D14', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25285, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 7, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25286, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25287, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25288, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25289, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25290, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25291, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 14, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25292, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 8, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25293, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25294, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25295, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25296, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 20, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25297, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 7, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25298, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25299, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25300, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25301, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25302, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25303, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 6, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25304, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 11, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25305, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25306, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25307, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25308, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25309, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25310, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25311, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B06', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25312, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25313, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25314, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 7, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25315, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25316, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25317, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25318, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25319, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 10, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25320, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A21', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25321, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D03', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25322, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 12, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25323, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 30, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25324, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25325, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 20, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25326, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 17, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25327, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 22, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25328, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25329, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 40, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25330, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 6, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25331, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 17, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25332, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 14, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25333, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 13, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25334, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25335, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 8, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25336, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25337, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25338, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D03', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25339, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 11, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25340, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 14, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25341, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25342, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25343, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25344, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25345, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 10, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25346, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 20, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (25347, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25348, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25349, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25350, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A21', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25351, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25352, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A22', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25353, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D29', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25354, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25355, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25356, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25357, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 7, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25358, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常不满意', '2C04', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25359, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A05', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25360, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D14', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25361, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 16, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25362, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 19, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25363, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 26, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25364, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 12, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25365, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 17, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25366, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 6, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25367, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 40, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25368, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 17, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25369, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25370, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 5, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25371, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25372, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25373, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 7, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25374, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B06', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25375, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A22', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25376, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25377, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25378, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25379, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25380, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 2, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25381, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D23', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25382, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D05', '', 4, 2024, 3, 28, '2024-08-05 14:38:06', NULL, NULL), (25383, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 27, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25384, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 24, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25385, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25386, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 68, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25387, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 193, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25388, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25389, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 17, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 193, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 25, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25392, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25393, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 68, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25394, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 17, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25395, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 24, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25396, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E14', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25397, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25398, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 17, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25399, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E13', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25400, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25401, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 23, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25402, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25403, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25404, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 13, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25405, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 6, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25406, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 10, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25407, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25408, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 8, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25409, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25410, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 9, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25411, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25412, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 3, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25413, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D03', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25414, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 8, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25415, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 18, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25416, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 12, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25417, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 4, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25418, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 27, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25419, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25420, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 20, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25421, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25422, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 21, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25423, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25424, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 13, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25425, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 18, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25426, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25427, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 7, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25428, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 10, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25429, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 21, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25430, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25431, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 14, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25432, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25433, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 17, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25434, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 5, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25435, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25436, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25437, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 297, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25438, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25439, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25440, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 56, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25441, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25442, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 14, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25443, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25444, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 27, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25445, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '基本满意', '', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25446, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25447, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 23, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25448, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25449, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 175, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25450, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E04', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25451, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A21', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25452, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A08', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25453, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25454, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25455, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E14', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25456, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E13', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25457, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25458, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 8, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25459, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 9, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25460, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 10, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25461, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 6, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25462, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 5, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25463, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 18, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25464, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 20, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25465, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D03', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25466, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 23, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25467, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25468, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25469, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 16, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25470, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 3, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25471, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1D25', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25472, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A05', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25473, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 10, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25474, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 5, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25475, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25476, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25477, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 20, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25478, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25479, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 11, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25480, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 4, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25481, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 22, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25482, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25483, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 18, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25484, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25485, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 17, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25486, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 11, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25487, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 8, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25488, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 13, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25489, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25490, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 15, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25491, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 10, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25492, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 23, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25493, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 17, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25494, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 4, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25495, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 6, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25496, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E14', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25497, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E13', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25498, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 8, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25499, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 13, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25500, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25501, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25502, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25503, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25504, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 9, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25505, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 12, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25506, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 4, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25507, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25508, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 8, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25509, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25510, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E30', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25511, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 10, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25512, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25513, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25514, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 5, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25515, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A21', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25516, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 21, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25517, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25518, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D03', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25519, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 18, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25520, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 7, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25521, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25522, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 13, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25523, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 21, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25524, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 20, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25525, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 27, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25526, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 18, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25527, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 3, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25528, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 17, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25529, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 14, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25530, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 20, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25531, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 5, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25532, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 18, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25533, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 4, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25534, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 16, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25535, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D03', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25536, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25537, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 13, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25538, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 3, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25539, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 10, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25540, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 23, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25541, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A21', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25542, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 9, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25543, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A08', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25544, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 8, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25545, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 4, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25546, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 11, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25547, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25548, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '基本满意', '1D25', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25549, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A05', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25550, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 18, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25551, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 20, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25552, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 11, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25553, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 5, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25554, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 15, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25555, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25556, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 17, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25557, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 22, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25558, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 6, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25559, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E13', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25560, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E14', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25561, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 8, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25562, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 10, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25563, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '2E04', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25564, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25565, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25566, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25567, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 2, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25568, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D23', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25569, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25570, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D05', '', 1, 2024, 3, 29, '2024-08-05 14:38:06', NULL, NULL), (25571, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25572, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 8, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25573, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 6, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25574, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 10, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 6, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25576, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 10, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25578, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 10, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25579, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C16', '', 4, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25580, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 6, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25581, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C15', '', 4, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25582, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25583, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 23, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25584, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 6, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25585, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 8, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25586, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 9, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25587, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C15', '', 4, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25588, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C16', '', 4, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25589, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 6, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25590, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 9, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25591, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 10, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25592, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C16', '', 4, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25593, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 6, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25594, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C15', '', 4, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25595, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25596, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 6, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25597, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C15', '', 4, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25598, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C16', '', 4, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25599, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D05', '', 9, 2024, 3, 30, '2024-08-05 14:38:06', NULL, NULL), (25600, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 7, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25601, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 5, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25602, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25603, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 5, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25604, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 7, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25605, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25606, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25607, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25608, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25609, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25610, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25611, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25612, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 2, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25613, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 9, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25614, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 7, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25615, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25616, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25617, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25618, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25619, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25620, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25621, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25622, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 4, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25623, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25624, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25625, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25626, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 2, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25627, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 4, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25628, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25629, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 1, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25630, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2024, 3, 31, '2024-08-05 14:38:06', NULL, NULL), (25631, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 8, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25632, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 9, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25633, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 65, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25634, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 16, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25635, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 143, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25636, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '', '', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25637, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25638, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 3, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25639, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 10, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25640, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 143, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25641, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 10, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25642, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 16, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25643, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 65, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25644, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 3, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25645, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 8, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25646, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 10, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25647, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25648, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 16, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25649, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 10, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25650, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25651, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25652, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 10, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25653, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 20, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25654, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D12', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25655, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25656, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25657, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25658, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 9, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25659, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 6, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25660, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25661, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25662, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25663, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25664, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 14, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25665, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25666, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 9, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25667, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D37', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25668, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 20, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25669, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 3, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25670, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 19, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25671, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 19, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25672, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25673, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25674, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 3, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25675, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 14, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25676, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 5, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25677, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25678, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 4, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25679, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25680, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 23, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25681, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 15, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25682, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25683, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 8, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25684, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25685, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25686, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 231, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25687, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25688, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 59, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25689, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '非常满意', '', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25690, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 15, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25691, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25692, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常不满意', '', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25693, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25694, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 8, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25695, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 10, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25696, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25697, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 8, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25698, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 128, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25699, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E24', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25700, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 9, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25701, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25702, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25703, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 14, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25704, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25705, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2E03', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25706, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 7, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25707, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 4, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25708, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25709, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25710, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 3, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25711, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A04', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25712, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25713, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 10, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25714, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 19, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25715, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D12', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25716, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25717, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 9, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25718, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25719, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 16, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25720, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25721, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A05', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25722, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25723, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 5, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25724, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25725, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 10, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25726, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 16, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25727, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 18, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25728, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25729, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 20, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25730, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25731, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 9, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25732, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D37', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25733, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 23, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25734, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 11, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25735, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E24', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25736, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 20, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25737, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25738, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 16, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25739, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 10, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25740, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25741, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25742, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25743, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25744, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 6, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25745, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 10, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25746, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25747, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25748, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 9, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25749, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25750, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D37', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25751, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25752, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 14, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25753, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 3, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25754, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '', '1D12', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25755, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 9, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25756, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 5, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25757, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 3, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25758, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 8, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25759, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25760, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25761, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25762, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25763, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 4, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25764, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 14, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25765, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25766, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 19, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25767, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 19, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25768, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 20, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25769, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 15, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25770, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 23, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25771, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A04', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25772, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常不满意', '2E03', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25773, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 3, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25774, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25775, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 7, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25776, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D37', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25777, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 4, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25778, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 9, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25779, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 16, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25780, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 23, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25781, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25782, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 19, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25783, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25784, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 10, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25785, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25786, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25787, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 14, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25788, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 9, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25789, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25790, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25791, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A05', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25792, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 18, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25793, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25794, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 10, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25795, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25796, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 11, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25797, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 20, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25798, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 16, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (25799, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25800, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25801, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 9, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25802, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '非常满意', '1D12', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25803, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25804, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25805, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E24', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25806, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 5, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25807, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '2A04', '', 1, 2024, 4, 1, '2024-08-05 14:38:06', NULL, NULL), (25808, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 15, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25809, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 5, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25810, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 35, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25811, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 9, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25812, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 112, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25813, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25814, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 5, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 112, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25816, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25817, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 9, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25818, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 35, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25819, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25820, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 15, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25821, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 5, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25822, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 7, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25823, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25824, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 6, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25825, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 22, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25826, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25827, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25828, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 5, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25829, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25830, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25831, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 6, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25832, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25833, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25834, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25835, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25836, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25837, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 13, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25838, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25839, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25840, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 22, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25841, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 2, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25842, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 23, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25843, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25844, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 3, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25845, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25846, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25847, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 2, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25848, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 4, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25849, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 14, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25850, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25851, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 17, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25852, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 13, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25853, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25854, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25855, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 160, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25856, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25857, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 15, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25858, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 5, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25859, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 32, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25860, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 9, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25861, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 4, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25862, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25863, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 95, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25864, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E02', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25865, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A05', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25866, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25867, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 6, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25868, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 21, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25869, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25870, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 5, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25871, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25872, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25873, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25874, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 13, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25875, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 7, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25876, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 6, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25877, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25878, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25879, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25880, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 13, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25881, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25882, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25883, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25884, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 18, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25885, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 3, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25886, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25887, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 21, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25888, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 13, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25889, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 2, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25890, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25891, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 13, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25892, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25893, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 6, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25894, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 22, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25895, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25896, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 7, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25897, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25898, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25899, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25900, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25901, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25902, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25903, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 6, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25904, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25905, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 5, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25906, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25907, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25908, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25909, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25910, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 13, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25911, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25912, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 2, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25913, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 13, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25914, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 4, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25915, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 2, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25916, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25917, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 3, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25918, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 23, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25919, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 22, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25920, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25921, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 17, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25922, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 14, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25923, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 2, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25924, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25925, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25926, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 13, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25927, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 3, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25928, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25929, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 13, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25930, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 21, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25931, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 18, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25932, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25933, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25934, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 7, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25935, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 13, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25936, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 5, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25937, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25938, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25939, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25940, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 6, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25941, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 21, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25942, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '2E02', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25943, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25944, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A05', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25945, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 6, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25946, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25947, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25948, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25949, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25950, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 13, 2024, 4, 2, '2024-08-05 14:38:06', NULL, NULL), (25951, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 23, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25952, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 6, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25953, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25954, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 46, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25955, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25956, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 101, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25957, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25958, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 10, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25959, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 101, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25960, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 8, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25961, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25962, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 9, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25963, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 46, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25964, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25965, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 23, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25966, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25967, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25968, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 11, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25969, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25970, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25971, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 3, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25972, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 14, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25973, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 3, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25974, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25975, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25976, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25977, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 8, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25978, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25979, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 11, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25980, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25981, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25982, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 16, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25983, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25984, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D37', '', 3, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25985, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 20, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25986, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 9, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25987, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25988, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 19, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25989, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25990, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 14, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25991, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25992, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25993, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25994, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25995, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25996, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25997, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25998, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D07', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (25999, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 11, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26000, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26001, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 13, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26002, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 3, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26003, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26004, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26005, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26006, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 180, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26007, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26008, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26009, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 37, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26010, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26011, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26012, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26013, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26014, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26015, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26016, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 23, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26017, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26018, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 6, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26019, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26020, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 96, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26021, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A06', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26022, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E02', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26023, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26024, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 3, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26025, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26026, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 3, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26027, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 13, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26028, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26029, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26030, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26031, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26032, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 15, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26033, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26034, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 11, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26035, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26036, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 11, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26037, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26038, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26039, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A05', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26040, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A06', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26041, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A04', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26042, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26043, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26044, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26045, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26046, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26047, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26048, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26049, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26050, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D02', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26051, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 17, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26052, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26053, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 14, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26054, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 20, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26055, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D37', '', 3, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26056, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 11, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26057, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 9, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26058, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26059, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 12, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26060, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A05', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26061, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D07', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26062, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 11, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26063, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 14, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26064, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26065, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 11, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26066, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26067, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26068, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26069, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26070, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26071, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 8, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26072, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 3, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26073, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26074, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 3, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26075, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D37', '', 3, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26076, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26077, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26078, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26079, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 16, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26080, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26081, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26082, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 9, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26083, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D02', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26084, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26085, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 3, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26086, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26087, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26088, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26089, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26090, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26091, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 14, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26092, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D07', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26093, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 19, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26094, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 20, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26095, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26096, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 13, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26097, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 11, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26098, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26099, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A04', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26100, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 9, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26101, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26102, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26103, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26104, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A05', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26105, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 14, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26106, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D37', '', 3, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26107, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26108, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26109, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26110, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 12, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26111, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 20, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26112, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 17, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26113, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26114, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26115, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D02', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26116, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 11, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26117, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 11, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26118, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26119, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26120, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A06', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26121, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26122, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26123, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D07', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26124, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 13, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26125, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 11, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26126, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26127, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '2E02', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26128, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26129, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '2A05', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26130, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26131, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26132, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 3, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26133, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26134, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A06', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26135, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26136, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 2, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26137, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D23', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26138, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 3, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26139, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A04', '', 1, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26140, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 15, 2024, 4, 3, '2024-08-05 14:38:07', NULL, NULL), (26141, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2024, 4, 4, '2024-08-05 14:38:07', NULL, NULL), (26142, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 4, 4, '2024-08-05 14:38:07', NULL, NULL), (26143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2024, 4, 4, '2024-08-05 14:38:07', NULL, NULL), (26144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 4, 4, '2024-08-05 14:38:07', NULL, NULL), (26145, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 2, 2024, 4, 4, '2024-08-05 14:38:07', NULL, NULL), (26146, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 1, 2024, 4, 4, '2024-08-05 14:38:07', NULL, NULL), (26147, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 3, 2024, 4, 4, '2024-08-05 14:38:07', NULL, NULL), (26148, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2024, 4, 4, '2024-08-05 14:38:07', NULL, NULL), (26149, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2024, 4, 4, '2024-08-05 14:38:07', NULL, NULL), (26150, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2024, 4, 4, '2024-08-05 14:38:07', NULL, NULL), (26151, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 1, 2024, 4, 4, '2024-08-05 14:38:07', NULL, NULL), (26152, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B09', '', 1, 2024, 4, 4, '2024-08-05 14:38:07', NULL, NULL), (26153, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 2, 2024, 4, 4, '2024-08-05 14:38:07', NULL, NULL), (26154, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B09', '', 1, 2024, 4, 4, '2024-08-05 14:38:07', NULL, NULL), (26155, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 2, 2024, 4, 4, '2024-08-05 14:38:07', NULL, NULL), (26156, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2024, 4, 5, '2024-08-05 14:38:07', NULL, NULL), (26157, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 4, 5, '2024-08-05 14:38:07', NULL, NULL), (26158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2024, 4, 5, '2024-08-05 14:38:07', NULL, NULL), (26159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 4, 5, '2024-08-05 14:38:07', NULL, NULL), (26160, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2024, 4, 5, '2024-08-05 14:38:07', NULL, NULL), (26161, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2024, 4, 5, '2024-08-05 14:38:07', NULL, NULL), (26162, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 4, 5, '2024-08-05 14:38:07', NULL, NULL), (26163, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 1, 2024, 4, 5, '2024-08-05 14:38:07', NULL, NULL), (26164, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2024, 4, 5, '2024-08-05 14:38:07', NULL, NULL), (26165, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2024, 4, 5, '2024-08-05 14:38:07', NULL, NULL), (26166, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 4, 5, '2024-08-05 14:38:07', NULL, NULL), (26167, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2024, 4, 5, '2024-08-05 14:38:07', NULL, NULL), (26168, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 1, 2024, 4, 5, '2024-08-05 14:38:07', NULL, NULL), (26169, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 1, 2024, 4, 5, '2024-08-05 14:38:07', NULL, NULL), (26170, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2024, 4, 6, '2024-08-05 14:38:07', NULL, NULL), (26171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2024, 4, 6, '2024-08-05 14:38:07', NULL, NULL), (26172, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 4, 6, '2024-08-05 14:38:07', NULL, NULL), (26173, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 2, 2024, 4, 6, '2024-08-05 14:38:07', NULL, NULL), (26174, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2024, 4, 6, '2024-08-05 14:38:07', NULL, NULL), (26175, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 4, 6, '2024-08-05 14:38:07', NULL, NULL), (26176, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 4, 6, '2024-08-05 14:38:07', NULL, NULL), (26177, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 4, 6, '2024-08-05 14:38:07', NULL, NULL), (26178, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 37, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26179, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 4, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26180, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 30, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26181, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26182, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 145, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26183, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26184, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 7, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26185, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 7, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 145, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 7, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 30, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 37, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 7, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26194, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 7, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26195, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26196, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 2, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26197, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26198, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 19, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26199, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26200, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26201, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 6, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26202, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26203, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26204, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 8, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26205, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26206, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 15, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26207, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 23, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26208, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 10, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26209, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26210, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26211, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 31, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26212, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 34, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26213, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 11, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26214, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 2, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26215, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26216, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26217, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26218, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26219, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 2, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26220, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 19, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26221, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26222, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 6, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26223, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 21, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26224, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26225, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 222, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26226, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 7, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26227, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 29, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26228, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26229, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26230, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 36, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26231, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 7, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26232, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26233, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 4, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26234, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 135, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26235, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26236, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26237, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 2, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26238, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26239, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 19, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26240, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 6, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26241, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26242, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26243, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 15, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26244, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 9, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26245, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 21, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26246, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 7, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26247, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26248, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 8, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26249, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26250, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A05', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26251, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26252, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 20, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26253, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26254, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26255, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 6, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26256, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26257, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 2, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26258, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 32, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26259, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 11, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26260, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 31, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (26261, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26262, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26263, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 16, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26264, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 8, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26265, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 19, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26266, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 7, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26267, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26268, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26269, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 15, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26270, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 10, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26271, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26272, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 2, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26273, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 6, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26274, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26275, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26276, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 6, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26277, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 23, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26278, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 2, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26279, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26280, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26281, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26282, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 21, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26283, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26284, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26285, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26286, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26287, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26288, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 11, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26289, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 34, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26290, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26291, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 31, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26292, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 19, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26293, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 2, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26294, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26295, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26296, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 20, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26297, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A05', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26298, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 6, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26299, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 11, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26300, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26301, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26302, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 16, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26303, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 31, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26304, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 32, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26305, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26306, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26307, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 7, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26308, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26309, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26310, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 6, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26311, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 9, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26312, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 15, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26313, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 8, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26314, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 19, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26315, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 2, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26316, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B05', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26317, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26318, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26319, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 2, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26320, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A22', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26321, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26322, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 21, 2024, 4, 7, '2024-08-05 14:38:07', NULL, NULL), (26323, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 8, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26324, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 5, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26325, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26326, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 60, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26327, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 7, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26328, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 128, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26329, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26330, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 7, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26331, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 23, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 128, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 7, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 6, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 60, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 8, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 23, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26339, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 7, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26340, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 12, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26341, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26342, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 4, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26343, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 28, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26344, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26345, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26346, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26347, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26348, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 7, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26349, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26350, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 12, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26351, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 4, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26352, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 18, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26353, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 30, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26354, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26355, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D03', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26356, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 5, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26357, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 28, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26358, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26359, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 14, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26360, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26361, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26362, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C12', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26363, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26364, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 3, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26365, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C11', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26366, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26367, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 13, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26368, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 14, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26369, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 25, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26370, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26371, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26372, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 201, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26373, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26374, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 48, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26375, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 7, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26376, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26377, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26378, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 8, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26379, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 7, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26380, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26381, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 3, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26382, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26383, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 121, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26384, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A21', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26385, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26386, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 4, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26387, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 27, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26388, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26389, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 7, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26390, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26391, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26392, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26393, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 12, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26394, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 28, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26395, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 4, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26396, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26397, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26398, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C11', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26399, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 25, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26400, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26401, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A19', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26402, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26403, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26404, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D02', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26405, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C12', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26406, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 14, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26407, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D03', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26408, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 28, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26409, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 4, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26410, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 13, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26411, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 11, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26412, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A08', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26413, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 4, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26414, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 28, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26415, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 12, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26416, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 3, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26417, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26418, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 12, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26419, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 4, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26420, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26421, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 7, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26422, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 30, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26423, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26424, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 3, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26425, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 5, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26426, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C12', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26427, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C11', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26428, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26429, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D02', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26430, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26431, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26432, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 25, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26433, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A21', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26434, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26435, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D03', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26436, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26437, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26438, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 18, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26439, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 14, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26440, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 28, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26441, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 14, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26442, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 13, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26443, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 4, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26444, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 25, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26445, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 14, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26446, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26447, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C11', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26448, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C12', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26449, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 11, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26450, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A19', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26451, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 28, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26452, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A08', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26453, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 3, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26454, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26455, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D02', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26456, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 12, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26457, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D03', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26458, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 13, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26459, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26460, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 7, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26461, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 4, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26462, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 27, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26463, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 4, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26464, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26465, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26466, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A21', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26467, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26468, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26469, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26470, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26471, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 28, 2024, 4, 8, '2024-08-05 14:38:07', NULL, NULL), (26472, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 19, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26473, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26474, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 45, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26475, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26476, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 117, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26477, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26478, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 26, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26479, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 27, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26480, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 117, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26481, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 27, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 45, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 26, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 19, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26488, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26489, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26490, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26491, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26492, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 29, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26493, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26494, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26495, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26496, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26497, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26498, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 7, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26499, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 24, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26500, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 7, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26501, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26502, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 26, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26503, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 24, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26504, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A20', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26505, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26506, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 16, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26507, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26508, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 18, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26509, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26510, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26511, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26512, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26513, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26514, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26515, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26516, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26517, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 2, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26518, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 11, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26519, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 23, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26520, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 2, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26521, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26522, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 212, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26523, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 26, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26524, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 43, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26525, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26526, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26527, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26528, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 15, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26529, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26530, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26531, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 114, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26532, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A20', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26533, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A21', '', 23, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26534, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26535, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26536, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 29, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26537, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26538, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26539, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26540, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 7, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26541, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26542, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 26, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26543, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26544, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26545, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26546, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A21', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26547, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 23, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26548, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26549, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26550, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 2, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26551, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26552, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 5, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26553, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26554, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26555, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26556, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 18, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26557, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 16, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26558, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26559, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 5, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26560, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 2, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26561, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 11, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26562, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 7, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26563, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 29, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26564, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 4, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26565, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26566, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26567, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 7, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26568, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26569, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26570, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26571, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26572, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26573, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 2, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26574, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 2, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26575, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26576, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 26, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26577, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26578, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26579, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26580, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26581, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 23, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26582, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26583, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A21', '', 24, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26584, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A20', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26585, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26586, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26587, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26588, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26589, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 24, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26590, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 18, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26591, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26592, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 16, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26593, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 11, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26594, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26595, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26596, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 2, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26597, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26598, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 5, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26599, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 23, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26600, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 2, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26601, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 18, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26602, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26603, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26604, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 11, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26605, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 16, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26606, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26607, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26608, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26609, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 4, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26610, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 5, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26611, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A21', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26612, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 6, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26613, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26614, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 7, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26615, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26616, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 29, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26617, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26618, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 3, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26619, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26620, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A21', '', 23, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26621, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26622, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A20', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26623, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26624, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 26, 2024, 4, 9, '2024-08-05 14:38:08', NULL, NULL), (26625, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 28, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26626, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 4, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26627, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 44, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26628, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 145, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26629, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26630, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 3, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26631, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 32, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 145, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26633, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26634, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26635, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 44, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26636, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 26, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26637, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 32, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26638, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26639, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 7, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26640, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26641, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26642, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 21, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26643, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26644, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26645, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 3, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26646, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 8, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26647, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 7, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26648, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26649, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 7, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26650, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26651, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26652, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 21, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26653, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 6, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26654, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 18, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26655, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26656, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26657, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26658, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 24, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26659, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 5, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26660, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 15, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26661, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26662, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 13, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26663, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 5, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26664, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 3, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26665, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26666, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26667, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26668, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 10, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26669, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26670, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E09', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26671, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E08', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26672, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 22, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26673, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26674, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 15, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26675, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 18, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26676, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26677, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 222, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26678, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 28, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26679, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26680, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 3, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26681, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 37, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26682, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 4, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26683, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26684, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 9, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26685, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 139, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26686, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A07', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26687, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26688, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A21', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26689, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26690, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 21, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26691, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26692, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 3, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26693, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26694, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 4, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26695, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 6, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26696, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 7, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26697, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 17, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26698, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26699, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 7, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26700, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26701, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26702, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 7, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26703, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26704, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 17, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26705, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26706, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 10, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26707, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 13, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26708, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26709, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26710, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26711, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 5, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26712, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 5, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26713, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 13, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26714, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 24, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26715, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 22, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26716, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26717, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26718, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 15, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26719, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E09', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26720, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E08', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (26721, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 21, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26722, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 7, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26723, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 7, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26724, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 4, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26725, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 7, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26726, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 4, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26727, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 6, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26728, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 8, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26729, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26730, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26731, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 3, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26732, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 5, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26733, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D34', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26734, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26735, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26736, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26737, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 18, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26738, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E09', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26739, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26740, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E08', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26741, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26742, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26743, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26744, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26745, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 18, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26746, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A21', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26747, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26748, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 10, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26749, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 3, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26750, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 13, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26751, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 21, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26752, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 15, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26753, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 5, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26754, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 24, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26755, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26756, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 15, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26757, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 22, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26758, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E08', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26759, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26760, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E09', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26761, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26762, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 17, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26763, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 13, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26764, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 13, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26765, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26766, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 10, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26767, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 15, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26768, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 24, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26769, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 5, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26770, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 4, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26771, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 7, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26772, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 7, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26773, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 22, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26774, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26775, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 5, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26776, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26777, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26778, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26779, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 3, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26780, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 6, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26781, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A07', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26782, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 4, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26783, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 21, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26784, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 7, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26785, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26786, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26787, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26788, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A21', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26789, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26790, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26791, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26792, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 17, 2024, 4, 10, '2024-08-05 14:38:08', NULL, NULL), (26793, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 14, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26794, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 8, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26795, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 39, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26796, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26797, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 220, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26798, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26799, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26800, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 17, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 220, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 8, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26805, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 39, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26806, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 13, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26807, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 17, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26808, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26809, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26810, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 6, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26811, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26812, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 13, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26813, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26814, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26815, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26816, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26817, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26818, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26819, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26820, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 6, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26821, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26822, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 15, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26823, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26824, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 47, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26825, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26826, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26827, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26828, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 10, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26829, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 15, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26830, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 7, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26831, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E23', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26832, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 14, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26833, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 20, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26834, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 4, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26835, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 20, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26836, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 15, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26837, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26838, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26839, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 4, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26840, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 11, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26841, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26842, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26843, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 20, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26844, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26845, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 18, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26846, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26847, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26848, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 23, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26849, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 272, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26850, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 3, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26851, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 32, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26852, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26853, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26854, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 13, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26855, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26856, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 7, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26857, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 212, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26858, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26859, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A21', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26860, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26861, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26862, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26863, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26864, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26865, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 46, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26866, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 6, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26867, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26868, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 23, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26869, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 4, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26870, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26871, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26872, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E23', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26873, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 12, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26874, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26875, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26876, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 6, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26877, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26878, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26879, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 11, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26880, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 19, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26881, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 15, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26882, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26883, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 11, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26884, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 4, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26885, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 20, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26886, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26887, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 9, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26888, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 14, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26889, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 20, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26890, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 7, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26891, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26892, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 17, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26893, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 6, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26894, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 13, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26895, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E23', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26896, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 6, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26897, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26898, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26899, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 4, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26900, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26901, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26902, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26903, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 3, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26904, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26905, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26906, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26907, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26908, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26909, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E23', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26910, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26911, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 47, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26912, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26913, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26914, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 7, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26915, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 4, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26916, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B10', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26917, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26918, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26919, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 23, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26920, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A21', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26921, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26922, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 4, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26923, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 11, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26924, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 15, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26925, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 15, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26926, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 20, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26927, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 20, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26928, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 14, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26929, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 15, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26930, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 10, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26931, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 18, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26932, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 20, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26933, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26934, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 23, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26935, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 4, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26936, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 3, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26937, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 6, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26938, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 20, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26939, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 12, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26940, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26941, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26942, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A21', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26943, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 46, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26944, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 7, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26945, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26946, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26947, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E23', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26948, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B10', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26949, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 4, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26950, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26951, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 20, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26952, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 19, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26953, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 15, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26954, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 11, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26955, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 17, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26956, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 9, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26957, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 14, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26958, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 11, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26959, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26960, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26961, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26962, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26963, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 6, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26964, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26965, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 2, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26966, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26967, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 4, 11, '2024-08-05 14:38:08', NULL, NULL), (26968, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 40, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26969, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 6, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26970, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 38, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26971, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 5, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26972, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 154, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26973, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26974, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 4, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26975, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 16, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 154, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 6, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 5, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 38, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 40, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 16, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 4, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26984, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26985, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26986, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26987, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26988, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 3, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26989, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 26, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26990, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26991, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26992, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26993, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 6, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26994, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 6, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26995, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 11, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26996, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26997, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 11, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26998, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (26999, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 29, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27000, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27001, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 3, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27002, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27003, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 7, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27004, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 8, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27005, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 15, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27006, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 14, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27007, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 10, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27008, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 18, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27009, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 5, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27010, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27011, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 17, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27012, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 22, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27013, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27014, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 15, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27015, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27016, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 3, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27017, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 6, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27018, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27019, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 246, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27020, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 40, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27021, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27022, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 4, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27023, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 37, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27024, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 5, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27025, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 6, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27026, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27027, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27028, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 148, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27029, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E02', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27030, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27031, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27032, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27033, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 3, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27034, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 25, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27035, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27036, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27037, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 4, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27038, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27039, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27040, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27041, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 29, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27042, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 6, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27043, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 11, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27044, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 6, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27045, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27046, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 5, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27047, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 5, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27048, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27049, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 16, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27050, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 3, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27051, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 14, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27052, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 10, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27053, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 18, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27054, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 8, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27055, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 15, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27056, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27057, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 3, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27058, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 21, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27059, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 7, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27060, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27061, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 13, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27062, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 6, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27063, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 26, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27064, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 11, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27065, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 5, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27066, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27067, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 6, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27068, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 4, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27069, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27070, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27071, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27072, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27073, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27074, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 3, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27075, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 10, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27076, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 29, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27077, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27078, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 7, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27079, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B10', '', 3, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27080, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27081, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 6, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27082, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27083, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 3, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27084, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 5, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27085, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 17, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27086, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 18, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27087, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 11, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27088, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 14, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27089, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 15, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27090, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 8, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27091, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27092, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27093, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27094, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 15, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27095, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 22, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27096, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 7, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27097, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 3, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27098, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27099, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B10', '', 3, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27100, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27101, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 5, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27102, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 15, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27103, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 14, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27104, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 18, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27105, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 5, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27106, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 16, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27107, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 13, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27108, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27109, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 8, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27110, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 6, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27111, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 5, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27112, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 21, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27113, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27114, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27115, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 4, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27116, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 11, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27117, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 6, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27118, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 25, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27119, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27120, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '2E02', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27121, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27122, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27123, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 10, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27124, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27125, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 3, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27126, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27127, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27128, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 29, 2024, 4, 12, '2024-08-05 14:38:08', NULL, NULL), (27129, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 2, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27130, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 2, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27131, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 14, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27132, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27133, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27134, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 14, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27135, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27139, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27140, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27141, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27142, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27143, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 5, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27144, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27145, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 4, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27146, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27147, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 20, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27148, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 2, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27149, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27150, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27151, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27152, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 14, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27153, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 2, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27154, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27155, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27156, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27157, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 5, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27158, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27159, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 4, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27160, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 3, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27161, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27162, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 4, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27163, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27164, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 3, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27165, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27166, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 5, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27167, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 2, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27168, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27169, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27170, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 4, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27171, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27172, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 2, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27173, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 5, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27174, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 3, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (27175, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27176, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 4, 13, '2024-08-05 14:38:08', NULL, NULL), (27177, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 3, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27178, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27179, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27180, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27181, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27182, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 3, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27183, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27184, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27185, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27186, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27187, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27188, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 4, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27189, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 3, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27190, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27191, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27192, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27193, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27194, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27195, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27196, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27197, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 1, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27198, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27199, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2024, 4, 14, '2024-08-05 14:38:08', NULL, NULL), (27200, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 29, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27201, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 10, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27202, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 36, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27203, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 7, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27204, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 116, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27205, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 6, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27206, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 6, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27207, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 19, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 116, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 10, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 6, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 6, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 36, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 29, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 19, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 6, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27216, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 7, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27217, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27218, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 4, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27219, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27220, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 19, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27221, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27222, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27223, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27224, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27225, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27226, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 6, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27227, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27228, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27229, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 7, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27230, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 6, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27231, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 12, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27232, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27233, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 8, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27234, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27235, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27236, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27237, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27238, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 13, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27239, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 5, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27240, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 21, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27241, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C12', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27242, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 11, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27243, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27244, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 11, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27245, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C11', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27246, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27247, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 13, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27248, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27249, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 20, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27250, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 20, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27251, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 5, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27252, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 5, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27253, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 3, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27254, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27255, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 202, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27256, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 6, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27257, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 30, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27258, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 7, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27259, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27260, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27261, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 29, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27262, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 6, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27263, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 8, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27264, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 110, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27265, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E02', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27266, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27267, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27268, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27269, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 4, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27270, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27271, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 18, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27272, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 6, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27273, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27274, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 6, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27275, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27276, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27277, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 8, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27278, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 7, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27279, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 7, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27280, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27281, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C11', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27282, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 3, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27283, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 5, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27284, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27285, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 13, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27286, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 10, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27287, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27288, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 11, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27289, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C12', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27290, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 5, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27291, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 20, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27292, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27293, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27294, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27295, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 12, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27296, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27297, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 19, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27298, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 18, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27299, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 4, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27300, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27301, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 7, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27302, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 19, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27303, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 7, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27304, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 3, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27305, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27306, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 6, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27307, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27308, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 5, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27309, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27310, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27311, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27312, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 6, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27313, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 5, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27314, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 5, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27315, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27316, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 11, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27317, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 8, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27318, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27319, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27320, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27321, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27322, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C12', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27323, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C11', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27324, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27325, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27326, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27327, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 3, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27328, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 4, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27329, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 13, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27330, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 11, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27331, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 12, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27332, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 21, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27333, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 5, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27334, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 13, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27335, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27336, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 20, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27337, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27338, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 20, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27339, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27340, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27341, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27342, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27343, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 4, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27344, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 3, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27345, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 5, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27346, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 20, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27347, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C11', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27348, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 10, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27349, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C12', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27350, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 13, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27351, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 18, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27352, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27353, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 12, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27354, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 5, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27355, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 3, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27356, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27357, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 7, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27358, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 19, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27359, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 6, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27360, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27361, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 6, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27362, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 7, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27363, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 18, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27364, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '2E02', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27365, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27366, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27367, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 11, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27368, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 4, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27369, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27370, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27371, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27372, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27373, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27374, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 8, 2024, 4, 15, '2024-08-05 14:38:09', NULL, NULL), (27375, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 19, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27376, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 9, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27377, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 38, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27378, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 7, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27379, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 156, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27380, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27381, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 12, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27382, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 6, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27383, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 156, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27384, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 9, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27385, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 7, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27386, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27387, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 38, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27388, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 12, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27389, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 19, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 6, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27391, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27392, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27393, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 4, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27394, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27395, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27396, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 25, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27397, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27398, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27399, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27400, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27401, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B03', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27402, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 3, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27403, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27404, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27405, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27406, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27407, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 12, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27408, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27409, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27410, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27411, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 4, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27412, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27413, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 13, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27414, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27415, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 4, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27416, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27417, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 10, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27418, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27419, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 11, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27420, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 9, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27421, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 25, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27422, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27423, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 24, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27424, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27425, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27426, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 14, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27427, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 4, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27428, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 11, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27429, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27430, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27431, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 13, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27432, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 14, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27433, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27434, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27435, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 8, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27436, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27437, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 233, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27438, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27439, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 34, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27440, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 6, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27441, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 9, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27442, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 19, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27443, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 5, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27444, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27445, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 8, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27446, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 150, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27447, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 4, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27448, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27449, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27450, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27451, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 3, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27452, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27453, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27454, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D07', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27455, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27456, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B07', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27457, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 13, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27458, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27459, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 12, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27460, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27461, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27462, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27463, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 7, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27464, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27465, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27466, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 3, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27467, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 25, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27468, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27469, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27470, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27471, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27472, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27473, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27474, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27475, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 4, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27476, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 11, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27477, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 23, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27478, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27479, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 12, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27480, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 9, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27481, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27482, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 25, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27483, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27484, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 10, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27485, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 11, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27486, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27487, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 13, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27488, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 12, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27489, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27490, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A08', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27491, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 12, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27492, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 25, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27493, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27494, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 3, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27495, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27496, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27497, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27498, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27499, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B03', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27500, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 4, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27501, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27502, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27503, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27504, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 3, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27505, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27506, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B07', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27507, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27508, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27509, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 4, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27510, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27511, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27512, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27513, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27514, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 13, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27515, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27516, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27517, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 4, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27518, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27519, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27520, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27521, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 8, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27522, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27523, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27524, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 11, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27525, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27526, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 14, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27527, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 24, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27528, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 4, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27529, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 25, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27530, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27531, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 9, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27532, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 11, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27533, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 10, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27534, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 14, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27535, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 13, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27536, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 7, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27537, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 3, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27538, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 13, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27539, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27540, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27541, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27542, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 25, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27543, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 4, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27544, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 3, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27545, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27546, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27547, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27548, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 13, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27549, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27550, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27551, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27552, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27553, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27554, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 25, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27555, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 23, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27556, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 12, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27557, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 11, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27558, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 12, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27559, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 10, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27560, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 11, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27561, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A08', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27562, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 9, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27563, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27564, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 3, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27565, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27566, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27567, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27568, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 12, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27569, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B07', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27570, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27571, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27572, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B05', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27573, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27574, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 4, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27575, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27576, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 2, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27577, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27578, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D07', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27579, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D06', '', 1, 2024, 4, 16, '2024-08-05 14:38:09', NULL, NULL), (27580, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 28, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27581, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 10, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27582, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 48, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27583, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27584, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 153, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27585, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27586, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 11, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27587, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 153, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27588, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 10, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27589, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27590, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27591, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 48, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27592, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 28, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 11, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27594, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 2, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27595, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 7, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27596, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 6, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27597, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 25, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27598, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27599, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27600, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 12, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27601, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27602, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27603, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 11, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27604, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27605, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27606, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27607, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27608, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 21, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27609, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27610, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27611, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 8, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27612, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27613, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27614, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 4, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27615, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27616, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 17, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27617, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27618, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 14, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27619, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27620, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 12, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27621, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27622, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 12, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27623, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 14, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27624, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27625, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 14, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27626, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 14, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27627, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27628, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27629, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27630, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 12, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27631, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27632, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 234, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27633, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (27634, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 37, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27635, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27636, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27637, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 27, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27638, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27639, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 9, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27640, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 149, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27641, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27642, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27643, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27644, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 25, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27645, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C07', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27646, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27647, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27648, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 2, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27649, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 7, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27650, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 20, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27651, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27652, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27653, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 10, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27654, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A19', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27655, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27656, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 12, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27657, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27658, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27659, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 11, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27660, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 14, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27661, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 14, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27662, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 12, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27663, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 4, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27664, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27665, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 16, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27666, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27667, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 8, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27668, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27669, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27670, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 14, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27671, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 14, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27672, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27673, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27674, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 25, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27675, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 11, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27676, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27677, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 7, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27678, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27679, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 2, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27680, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27681, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27682, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27683, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 12, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27684, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27685, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27686, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27687, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27688, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27689, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 21, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27690, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27691, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27692, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27693, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27694, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27695, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27696, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 12, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27697, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 6, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27698, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27699, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 12, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27700, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 14, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27701, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 12, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27702, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27703, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 14, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27704, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 17, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27705, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 4, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27706, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27707, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 8, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27708, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 14, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27709, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 14, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27710, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27711, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27712, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27713, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27714, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 12, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27715, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27716, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 16, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27717, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 14, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27718, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 12, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27719, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 11, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27720, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 14, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27721, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 14, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27722, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 8, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27723, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27724, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 4, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27725, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 2, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27726, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 7, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27727, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 14, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27728, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27729, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27730, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27731, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 10, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27732, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27733, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 25, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27734, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 2, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27735, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C07', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27736, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27737, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27738, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 5, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27739, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 3, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27740, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 20, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27741, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A19', '', 1, 2024, 4, 17, '2024-08-05 14:38:09', NULL, NULL), (27742, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 24, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27743, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 6, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27744, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 32, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27745, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 7, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27746, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 107, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27747, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27748, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 107, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 6, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27751, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 6, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27752, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27753, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 32, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 22, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27756, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27757, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27758, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 3, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27759, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 17, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27760, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27761, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27762, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27763, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27764, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27765, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 6, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27766, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 9, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27767, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27768, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27769, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27770, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 3, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27771, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27772, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27773, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27774, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 10, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27775, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 3, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27776, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27777, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 4, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27778, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 4, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27779, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 6, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27780, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 9, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27781, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27782, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27783, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 7, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27784, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27785, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27786, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 12, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27787, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27788, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C10', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27789, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E09', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27790, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 19, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27791, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27792, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 11, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27793, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27794, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27795, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 21, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27796, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27797, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27798, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 164, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27799, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27800, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 23, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27801, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 7, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27802, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27803, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27804, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27805, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 23, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27806, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 6, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27807, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 100, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27808, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27809, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A08', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27810, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27811, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27812, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 3, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27813, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 17, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27814, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27815, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27816, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27817, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27818, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 9, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27819, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 9, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27820, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27821, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27822, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27823, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A09', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27824, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C10', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27825, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27826, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27827, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 21, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27828, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27829, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27830, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 12, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27831, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27832, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27833, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27834, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 6, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27835, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 6, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27836, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 9, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27837, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27838, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 3, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27839, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 3, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27840, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 18, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27841, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27842, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 9, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27843, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E09', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27844, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27845, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 9, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27846, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 17, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27847, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27848, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E23', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27849, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27850, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27851, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E20', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27852, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27853, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27854, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 6, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27855, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 3, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27856, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27857, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27858, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27859, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 3, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27860, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27861, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27862, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 10, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27863, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E09', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27864, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27865, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27866, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27867, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 4, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27868, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27869, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C10', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27870, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27871, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 21, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27872, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27873, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27874, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27875, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 12, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27876, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 7, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27877, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27878, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 3, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27879, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 9, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27880, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 6, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27881, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 4, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27882, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 11, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27883, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 19, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27884, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 3, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27885, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E09', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27886, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27887, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27888, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27889, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27890, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 21, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27891, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27892, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 9, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27893, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27894, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 6, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27895, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27896, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 12, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27897, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 9, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27898, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C10', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27899, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 3, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27900, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 6, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27901, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27902, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27903, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A09', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27904, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 18, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27905, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27906, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27907, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27908, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 9, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27909, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 17, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27910, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27911, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27912, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 3, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27913, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27914, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27915, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27916, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27917, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 2, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27918, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 9, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27919, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A08', '', 1, 2024, 4, 18, '2024-08-05 14:38:09', NULL, NULL), (27920, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 15, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27921, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 4, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27922, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27923, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 27, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27924, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27925, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 99, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27926, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27927, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27928, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 99, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27929, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27930, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27931, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27932, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 27, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27933, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27934, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 15, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27935, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27936, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27937, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27938, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 3, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27939, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 15, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27940, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27941, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27942, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27943, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27944, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 8, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27945, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27946, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27947, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27948, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 11, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27949, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27950, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27951, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 5, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27952, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 2, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27953, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27954, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 5, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27955, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27956, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 9, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27957, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 11, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27958, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27959, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27960, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27961, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 10, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27962, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 19, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27963, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 24, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27964, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 2, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27965, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 6, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27966, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 151, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27967, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 15, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27968, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 3, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27969, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 25, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27970, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27971, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 4, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27972, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27973, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27974, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 97, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27975, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27976, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27977, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27978, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 3, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27979, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 15, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27980, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27981, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27982, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27983, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27984, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27985, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 10, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27986, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 8, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27987, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27988, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27989, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 6, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27990, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 2, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27991, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27992, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27993, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 10, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27994, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 11, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27995, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27996, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D02', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27997, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 9, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27998, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 5, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (27999, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 2, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28000, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28001, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 5, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28002, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 19, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28003, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 24, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28004, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 8, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28005, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 15, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28006, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 4, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28007, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28008, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28009, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28010, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28011, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28012, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28013, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28014, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 2, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28015, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28016, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 2, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28017, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 11, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28018, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28019, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28020, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 5, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28021, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D02', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28022, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28023, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28024, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 6, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28025, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 3, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28026, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28027, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 10, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28028, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 11, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28029, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 9, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28030, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28031, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28032, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 5, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28033, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 24, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28034, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 19, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28035, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 5, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28036, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 2, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28037, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 6, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28038, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 2, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28039, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 11, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28040, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28041, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 10, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28042, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 24, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28043, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 5, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28044, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28045, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 9, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28046, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28047, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28048, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D02', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28049, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 3, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28050, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 19, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28051, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28052, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28053, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28054, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 8, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28055, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 15, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28056, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28057, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28058, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 3, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28059, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28060, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28061, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A22', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28062, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28063, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 10, 2024, 4, 19, '2024-08-05 14:38:09', NULL, NULL), (28064, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 2, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28065, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28066, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28067, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28068, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28069, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28070, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28071, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 2, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28072, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 1, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28073, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28074, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 3, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28075, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28076, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28077, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28078, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '基本满意', '', '', 1, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28079, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '', '', 1, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28081, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2D34', '', 1, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28082, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2D34', '', 1, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 1, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28084, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28085, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D34', '', 2, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (28086, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 1, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28087, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '2D34', '', 1, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28088, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 1, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28089, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '基本满意', '2D34', '', 1, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28090, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 4, 20, '2024-08-05 14:38:10', NULL, NULL), (28091, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 1, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28092, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 3, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28093, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28094, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28097, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28098, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28099, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D28', '', 1, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28100, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28101, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 4, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28102, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常不满意', '', '', 1, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28103, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 1, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28104, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28105, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28106, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28107, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D28', '', 1, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28108, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28109, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2E02', '', 1, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28110, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28111, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28112, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D28', '', 1, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28113, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常不满意', '2E02', '', 1, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28114, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28115, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D28', '', 1, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28116, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 4, 21, '2024-08-05 14:38:10', NULL, NULL), (28117, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 18, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28118, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 8, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28119, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28120, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 34, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28121, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28122, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 166, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28123, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28124, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28125, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 13, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28126, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 166, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28127, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 9, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28128, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28129, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28130, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 34, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28131, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 13, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28132, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 18, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28133, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28134, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D27', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28135, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28136, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28137, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28138, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28139, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 4, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28140, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28141, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 21, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28142, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28143, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28144, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28145, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28146, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28147, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28148, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28149, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 9, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28150, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28151, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28152, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 4, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28153, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28154, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28155, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 42, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28156, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28157, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28158, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28159, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 8, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28160, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 10, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28161, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 24, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28162, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28163, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28164, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28165, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28166, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 11, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28167, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28168, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 21, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28169, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D08', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28170, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 19, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28171, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 5, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28172, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 22, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28173, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28174, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28175, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28176, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 232, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28177, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 18, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28178, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28179, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 30, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28180, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28181, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 8, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28182, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28183, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 162, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28184, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28185, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28186, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 4, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28187, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E24', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28188, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 21, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28189, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28190, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28191, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28192, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C07', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28193, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28194, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28195, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28196, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D27', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28197, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 41, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28198, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28199, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28200, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 9, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28201, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28202, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28203, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28204, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28205, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28206, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28207, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 21, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28208, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28209, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28210, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 11, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28211, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28212, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 10, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28213, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28214, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 23, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28215, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28216, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 8, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28217, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28218, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 18, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28219, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 5, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28220, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 21, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28221, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E24', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28222, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 9, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28223, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 21, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28224, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28225, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28226, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28227, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28228, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28229, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28230, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28231, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28232, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28233, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28234, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28235, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28236, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28237, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28238, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28239, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 5, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28240, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 42, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28241, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28242, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28243, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28244, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28245, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28246, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28247, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28248, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28249, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 4, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28250, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28251, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D27', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28252, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 21, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28253, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 11, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28254, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28255, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 4, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28256, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 24, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28257, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 10, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28258, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 8, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28259, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D08', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28260, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28261, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 22, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28262, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 19, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28263, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28264, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 5, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28265, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28266, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28267, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28268, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28269, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28270, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 23, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28271, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28272, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 11, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28273, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 21, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28274, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 21, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28275, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28276, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 8, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28277, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 10, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28278, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28279, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28280, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28281, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 18, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28282, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28283, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28284, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28285, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28286, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E24', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28287, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 9, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28288, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 21, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28289, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C07', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28290, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28291, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28292, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28293, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28294, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 4, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28295, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28296, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 3, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28297, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28298, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 41, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28299, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D27', '', 1, 2024, 4, 22, '2024-08-05 14:38:10', NULL, NULL), (28300, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 16, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28301, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 5, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28302, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28303, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 36, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28304, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28305, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 140, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28306, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28307, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 140, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 8, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 36, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 16, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28315, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28316, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28317, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 17, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28318, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28319, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28320, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28321, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28322, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28323, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 9, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28324, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28325, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28326, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28327, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 5, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28328, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 34, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28329, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28330, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28331, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 2, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28332, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28333, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 4, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28334, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 6, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28335, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 13, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28336, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 13, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28337, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 5, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28338, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28339, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28340, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 6, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28341, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28342, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 16, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28343, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28344, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D08', '', 2, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28345, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 18, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28346, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28347, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28348, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 7, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28349, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28350, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 23, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28351, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 203, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28352, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 16, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28353, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28354, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 34, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28355, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 5, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28356, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28357, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28358, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 137, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28359, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 2, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28360, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28361, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28362, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 17, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28363, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28364, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 5, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28365, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28366, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28367, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 34, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28368, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28369, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 9, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28370, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28371, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28372, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28373, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 22, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28374, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28375, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 16, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28376, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28377, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28378, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28379, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 6, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28380, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 13, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28381, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 5, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28382, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 13, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28383, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 2, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28384, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28385, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 6, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28386, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 4, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28387, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 17, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28388, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28389, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D05', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28390, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 7, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28391, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D08', '', 2, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28392, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 9, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28393, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 17, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28394, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28395, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28396, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28397, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28398, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28399, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 5, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28400, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28401, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28402, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28403, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28404, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28405, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28406, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 2, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28407, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28408, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 34, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28409, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28410, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 4, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28411, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28412, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 5, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28413, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28414, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28415, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28416, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 23, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28417, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28418, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28419, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 16, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28420, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 6, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28421, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 13, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28422, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 13, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28423, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D08', '', 2, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28424, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 6, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28425, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28426, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 7, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28427, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 18, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28428, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 4, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28429, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 2, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28430, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28431, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 5, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28432, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 22, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28433, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28434, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 13, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28435, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 6, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28436, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 16, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28437, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 7, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28438, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28439, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 6, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28440, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 13, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28441, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28442, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28443, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 17, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28444, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 5, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28445, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28446, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28447, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D05', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28448, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28449, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28450, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D08', '', 2, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28451, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 9, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28452, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 17, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28453, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 2, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28454, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28455, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28456, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28457, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28458, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28459, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 3, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28460, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 34, 2024, 4, 23, '2024-08-05 14:38:10', NULL, NULL), (28461, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 25, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28462, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 8, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28463, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28464, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 44, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28465, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 7, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28466, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 127, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28467, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28468, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 127, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 9, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 7, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 44, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 25, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28476, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28477, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28478, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 27, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28479, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28480, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28481, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 2, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28482, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 4, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28483, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28484, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28485, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 8, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28486, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28487, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 13, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28488, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28489, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28490, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28491, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 36, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28492, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28493, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 5, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28494, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 6, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28495, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28496, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 7, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28497, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 16, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28498, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28499, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28500, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 4, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28501, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28502, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28503, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 9, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28504, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 4, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28505, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 21, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28506, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 15, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28507, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 6, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28508, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 3, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28509, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 11, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28510, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 3, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28511, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 209, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28512, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 25, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28513, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 3, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28514, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 40, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28515, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 7, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28516, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 7, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28517, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28518, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28519, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 122, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28520, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28521, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28522, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28523, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 27, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28524, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 4, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28525, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28526, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 2, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28527, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C07', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28528, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28529, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28530, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 36, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28531, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28532, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28533, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 13, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28534, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 8, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28535, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 10, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28536, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 3, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28537, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 21, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28538, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 3, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28539, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28540, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 8, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28541, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28542, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D02', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28543, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 6, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28544, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (28545, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 4, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28546, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 16, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28547, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 4, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28548, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 5, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28549, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 15, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28550, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 6, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28551, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 3, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28552, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 13, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28553, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 27, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28554, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28555, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28556, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 8, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28557, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E20', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28558, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28559, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28560, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 4, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28561, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28562, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28563, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 2, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28564, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D12', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28565, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D34', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28566, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 3, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28567, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 3, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28568, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 36, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28569, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28570, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 4, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28571, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 5, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28572, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 4, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28573, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28574, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D02', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28575, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28576, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28577, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 11, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28578, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28579, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 21, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28580, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 9, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28581, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28582, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 16, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28583, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 7, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28584, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 6, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28585, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 6, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28586, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 15, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28587, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 5, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28588, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 3, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28589, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28590, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 4, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28591, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 10, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28592, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 16, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28593, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 3, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28594, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D12', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28595, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 8, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28596, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 21, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28597, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 6, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28598, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 4, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28599, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 6, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28600, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 8, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28601, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28602, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D02', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28603, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 15, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28604, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28605, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E20', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28606, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28607, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28608, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 13, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28609, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 27, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28610, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C07', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28611, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 2, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28612, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 3, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28613, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28614, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28615, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28616, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28617, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 4, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28618, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 36, 2024, 4, 24, '2024-08-05 14:38:10', NULL, NULL), (28619, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 32, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28620, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 7, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28621, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 43, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28622, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28623, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 106, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28624, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28625, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 106, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 7, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28629, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28630, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 43, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28631, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 32, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28632, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28633, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28634, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28635, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28636, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28637, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 15, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28638, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28639, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28640, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28641, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28642, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28643, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28644, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 10, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28645, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 9, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28646, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28647, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28648, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28649, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28650, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 5, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28651, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 32, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28652, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28653, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28654, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 5, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28655, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28656, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 6, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28657, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 8, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28658, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28659, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 8, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28660, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28661, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 5, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28662, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28663, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 4, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28664, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28665, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 9, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28666, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28667, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 16, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28668, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28669, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28670, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28671, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28672, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 20, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28673, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28674, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 186, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28675, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28676, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 32, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28677, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28678, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 38, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28679, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28680, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 6, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28681, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28682, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 100, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28683, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A09', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28684, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28685, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28686, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28687, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 15, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28688, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28689, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28690, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28691, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28692, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28693, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 5, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28694, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28695, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 31, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28696, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28697, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 10, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28698, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 9, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28699, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28700, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28701, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28702, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 19, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28703, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28704, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28705, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 9, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28706, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28707, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28708, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28709, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 4, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28710, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 4, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28711, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28712, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 6, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28713, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 8, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28714, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 8, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28715, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28716, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28717, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28718, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 5, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28719, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 12, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28720, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28721, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28722, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 10, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28723, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 15, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28724, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 9, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28725, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28726, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28727, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28728, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E20', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28729, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28730, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 5, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28731, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28732, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28733, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28734, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28735, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28736, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28737, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28738, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 32, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28739, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28740, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28741, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 5, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28742, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 8, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28743, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28744, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 5, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28745, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28746, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 20, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28747, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28748, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28749, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28750, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 9, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28751, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28752, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 4, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28753, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28754, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28755, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 8, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28756, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 6, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28757, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28758, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28759, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28760, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28761, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 16, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28762, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 5, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28763, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28764, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28765, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 4, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28766, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28767, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 8, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28768, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28769, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28770, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 19, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28771, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28772, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 8, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28773, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28774, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 4, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28775, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 9, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28776, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28777, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28778, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28779, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 6, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28780, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28781, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28782, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 12, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28783, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28784, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28785, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 5, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28786, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28787, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 9, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28788, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 10, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28789, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 15, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28790, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28791, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28792, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28793, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28794, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28795, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28796, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 2, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28797, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28798, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 31, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28799, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A09', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28800, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D06', '', 1, 2024, 4, 25, '2024-08-05 14:38:11', NULL, NULL), (28801, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 16, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28802, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 6, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28803, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28804, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 37, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28805, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28806, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 104, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28807, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28808, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 5, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28809, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 104, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28810, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 7, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28811, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28812, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 5, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28813, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 37, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28814, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28815, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 16, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28816, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28817, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28818, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28819, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28820, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 22, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28821, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28822, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28823, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28824, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28825, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 6, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28826, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28827, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28828, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28829, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 29, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28830, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28831, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28832, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28833, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 4, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28834, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 5, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28835, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 10, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28836, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 6, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28837, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28838, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28839, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 6, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28840, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28841, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28842, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28843, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 9, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28844, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28845, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 16, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28846, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28847, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28848, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28849, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 5, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28850, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 20, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28851, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28852, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 170, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28853, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 16, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28854, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 5, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28855, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28856, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 35, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28857, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28858, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 6, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28859, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28860, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28861, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 101, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28862, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28863, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28864, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28865, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 22, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28866, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28867, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28868, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28869, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28870, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28871, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 29, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28872, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 6, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28873, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28874, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28875, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28876, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 20, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28877, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28878, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 5, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28879, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28880, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28881, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28882, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28883, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28884, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 6, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28885, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 5, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28886, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 5, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28887, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 10, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28888, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28889, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28890, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28891, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 15, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28892, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 4, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28893, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28894, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D05', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28895, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28896, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A08', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28897, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 6, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28898, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 22, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28899, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28900, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28901, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28902, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28903, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28904, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28905, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28906, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28907, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28908, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 5, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28909, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28910, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28911, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28912, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 29, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28913, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28914, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28915, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 4, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28916, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 6, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28917, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28918, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28919, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 20, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28920, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28921, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28922, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28923, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28924, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 9, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28925, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 6, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28926, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 10, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28927, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 5, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28928, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28929, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28930, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28931, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 16, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28932, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 4, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28933, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28934, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28935, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 5, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28936, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28937, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 20, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28938, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 5, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28939, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 10, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28940, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 6, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28941, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28942, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 8, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28943, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28944, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28945, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28946, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 5, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28947, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A08', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28948, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28949, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28950, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28951, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 15, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28952, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28953, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28954, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D05', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28955, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28956, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28957, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 6, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28958, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 22, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28959, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28960, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28961, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28962, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28963, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28964, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28965, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28966, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 29, 2024, 4, 26, '2024-08-05 14:38:11', NULL, NULL), (28967, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 3, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28968, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 9, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28969, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28970, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 9, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28971, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28972, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28973, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28974, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28975, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28976, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 3, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28977, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28978, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 3, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28979, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 13, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28980, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28981, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28982, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 9, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28983, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28984, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28985, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 3, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28986, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28987, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 3, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28988, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28989, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28990, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 3, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28991, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28992, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28993, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28994, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 3, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28995, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (28996, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 3, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28997, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28998, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (28999, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 3, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (29000, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2024, 4, 27, '2024-08-05 14:38:11', NULL, NULL), (29001, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 10, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29002, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 8, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29003, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29004, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 34, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29005, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29006, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 108, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29007, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29008, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 108, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 9, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 34, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 10, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29016, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29017, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29018, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29019, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29020, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 17, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29021, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29022, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29023, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29024, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29025, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29026, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29027, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29028, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29029, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29030, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29031, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 27, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29032, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29033, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29034, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 4, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29035, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29036, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 7, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29037, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 9, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29038, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 6, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29039, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29040, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29041, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 6, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29042, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29043, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 11, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29044, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 5, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29045, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D08', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29046, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 22, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29047, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29048, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29049, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 13, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29050, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29051, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 162, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29052, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29053, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 10, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29054, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 33, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29055, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29056, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 7, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29057, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29058, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29059, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 103, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29060, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A09', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29061, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29062, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29063, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29064, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 17, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29065, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D07', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29066, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29067, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29068, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29069, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29070, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 26, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29071, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29072, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29073, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29074, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29075, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 12, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29076, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 6, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29077, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29078, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 11, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29079, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 5, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29081, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29082, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 7, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 6, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29084, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 9, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29085, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29086, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 4, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29087, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29088, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 20, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29089, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29090, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29091, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D08', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29092, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29093, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 17, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29094, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29095, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29096, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29097, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29098, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29099, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29100, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29101, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29102, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29103, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29104, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29105, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29106, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 27, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29107, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29108, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29109, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29110, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 6, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29111, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29112, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 13, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29113, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29114, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 5, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29115, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 6, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29116, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 11, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29117, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29118, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29119, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 9, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29120, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 7, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29121, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 4, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29122, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D08', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29123, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29124, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 22, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29125, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29126, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29127, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29128, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29129, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 6, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29130, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 5, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29131, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 12, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29132, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 9, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29133, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29134, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 6, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29135, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 11, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29136, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29137, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 4, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29138, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 7, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29139, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29140, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29141, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29142, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 20, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29143, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29144, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29145, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29146, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29147, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29148, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29149, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 17, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29150, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D08', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29151, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 3, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29152, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29153, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29154, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29155, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D07', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29156, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 26, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29157, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A09', '', 1, 2024, 4, 28, '2024-08-05 14:38:11', NULL, NULL), (29158, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 7, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29159, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 4, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29160, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29161, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 47, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29162, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 122, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29163, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '', '', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29164, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29165, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 122, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 7, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29168, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29169, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 47, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 7, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29172, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 8, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29173, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29174, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29175, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 20, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29176, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29177, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D12', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29178, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29179, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29180, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29181, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29182, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 19, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29183, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29184, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29185, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29186, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29187, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 8, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29188, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 4, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29189, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29190, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 9, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29191, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29192, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 11, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29193, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 6, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29194, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29195, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29196, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29197, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 6, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29198, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29199, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29200, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 22, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29201, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 5, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29202, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29203, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 27, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29204, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 7, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29205, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29206, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 3, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29207, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 6, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29208, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29209, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 177, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29210, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 3, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29211, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 43, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29212, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '非常满意', '', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29213, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29214, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 6, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29215, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29216, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 4, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29217, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29218, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 115, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29219, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29220, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29221, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29222, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 20, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29223, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D12', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29224, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29225, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29226, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 8, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29227, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 19, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29228, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29229, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29230, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 5, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29231, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29232, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 3, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29233, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 20, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29234, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 5, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29235, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29236, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 5, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29237, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29238, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D02', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29239, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 9, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29240, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 5, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29241, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 11, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29242, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29243, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29244, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 4, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29245, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D28', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29246, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 8, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29247, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 25, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29248, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 7, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29249, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A09', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29250, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29251, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 20, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29252, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 8, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29253, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29254, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29255, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29256, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29257, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29258, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29259, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29260, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29261, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 3, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29262, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29263, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29264, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 19, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29265, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '', '1D12', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29266, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29267, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29268, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 8, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29269, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 6, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29270, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29271, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D02', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29272, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29273, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 6, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29274, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29275, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29276, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 5, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29277, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 22, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29278, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 6, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29279, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29280, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 11, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29281, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 9, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29282, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 4, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29283, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29284, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 7, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29285, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 27, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29286, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D28', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29287, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 8, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29288, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29289, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29290, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 5, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29291, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 5, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29292, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29293, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 5, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29294, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 3, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29295, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 11, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29296, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 5, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29297, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 20, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29298, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A09', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29299, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 7, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29300, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29301, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 4, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29302, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 9, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29303, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29304, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D02', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29305, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 8, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29306, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 25, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29307, 1, '511500000000-0001', '宜宾市民中心', '水利、人防', '非常满意', '1D12', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29308, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29309, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29310, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 20, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29311, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29312, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29313, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29314, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29315, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29316, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 19, 2024, 4, 29, '2024-08-05 14:38:12', NULL, NULL), (29317, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 17, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29318, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 6, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29319, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 28, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29320, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 94, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29321, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29322, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29323, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 94, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 6, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 28, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 17, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29331, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 6, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29332, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29333, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29334, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29335, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 15, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29336, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29337, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29338, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 8, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29339, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29340, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29341, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 21, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29342, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29343, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29344, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29345, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 6, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29346, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 13, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29347, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29348, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29349, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29350, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29351, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29352, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 7, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29353, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29354, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 12, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29355, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29356, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 14, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29357, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29358, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 2, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29359, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 3, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29360, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 14, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29361, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29362, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 144, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29363, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 17, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29364, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 3, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29365, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29366, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29367, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 27, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29368, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 5, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29369, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29370, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 88, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29371, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29372, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 15, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29373, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B06', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29374, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29375, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29376, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29377, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 6, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29378, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 20, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29379, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29380, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 8, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29381, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29382, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29383, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 14, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29384, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29385, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 3, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29386, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29387, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 12, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29388, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29389, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 6, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29390, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29391, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 6, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29392, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 13, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29393, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29394, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29395, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29396, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 13, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29397, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29398, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 2, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29399, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 8, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29400, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 15, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29401, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 6, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29402, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 4, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29403, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29404, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29405, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29406, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29407, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29408, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29409, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B06', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29410, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 3, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29411, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 2, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29412, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29413, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 21, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29414, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29415, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29416, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29417, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29418, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 14, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29419, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29420, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 3, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29421, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 12, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29422, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 7, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29423, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29424, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 13, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29425, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 6, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29426, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29427, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29428, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 14, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29429, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29430, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 2, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29431, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29432, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 14, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29433, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 13, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29434, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 3, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29435, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 6, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29436, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29437, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 12, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29438, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29439, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29440, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 6, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29441, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 4, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29442, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29443, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 6, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29444, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 13, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29445, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A23', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29446, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29447, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29448, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29449, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29450, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 8, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29451, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 15, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29452, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B06', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29453, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (29454, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29455, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29456, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 20, 2024, 4, 30, '2024-08-05 14:38:12', NULL, NULL), (29457, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 2, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29458, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 4, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29459, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29460, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 4, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29463, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29464, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29465, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29466, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29467, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29468, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 2, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29469, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 6, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29470, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29471, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29472, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29473, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29474, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29475, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29476, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 2, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29477, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29478, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 2, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29479, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 1, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29480, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29481, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29482, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29483, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29484, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29485, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 2, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29486, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 5, 1, '2024-08-05 14:38:12', NULL, NULL), (29487, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2024, 5, 2, '2024-08-05 14:38:12', NULL, NULL), (29488, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2024, 5, 2, '2024-08-05 14:38:12', NULL, NULL), (29489, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2024, 5, 2, '2024-08-05 14:38:12', NULL, NULL), (29490, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2024, 5, 2, '2024-08-05 14:38:12', NULL, NULL), (29491, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 5, 2, '2024-08-05 14:38:12', NULL, NULL), (29492, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 5, 2, '2024-08-05 14:38:12', NULL, NULL), (29493, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 5, 2, '2024-08-05 14:38:12', NULL, NULL), (29494, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 5, 2, '2024-08-05 14:38:12', NULL, NULL), (29495, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 1, 2024, 5, 3, '2024-08-05 14:38:12', NULL, NULL), (29496, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2024, 5, 3, '2024-08-05 14:38:12', NULL, NULL), (29497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2024, 5, 3, '2024-08-05 14:38:12', NULL, NULL), (29498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2024, 5, 3, '2024-08-05 14:38:12', NULL, NULL), (29499, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2024, 5, 3, '2024-08-05 14:38:12', NULL, NULL), (29500, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 5, 3, '2024-08-05 14:38:12', NULL, NULL), (29501, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 2, 2024, 5, 3, '2024-08-05 14:38:12', NULL, NULL), (29502, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 1, 2024, 5, 3, '2024-08-05 14:38:12', NULL, NULL), (29503, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2024, 5, 3, '2024-08-05 14:38:12', NULL, NULL), (29504, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2024, 5, 3, '2024-08-05 14:38:12', NULL, NULL), (29505, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 5, 3, '2024-08-05 14:38:12', NULL, NULL), (29506, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2024, 5, 3, '2024-08-05 14:38:12', NULL, NULL), (29507, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 5, 3, '2024-08-05 14:38:12', NULL, NULL), (29508, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 5, 3, '2024-08-05 14:38:12', NULL, NULL), (29509, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2024, 5, 3, '2024-08-05 14:38:12', NULL, NULL), (29510, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29511, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29512, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29513, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29514, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29515, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 2, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29516, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29517, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 4, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29518, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29519, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 3, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29520, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29521, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29522, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29523, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29524, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29525, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 2, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29526, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29527, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29528, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 2, 2024, 5, 4, '2024-08-05 14:38:13', NULL, NULL), (29529, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29530, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 5, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29531, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29532, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 5, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29533, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29534, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29535, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29536, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29537, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 4, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29538, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 4, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29539, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 9, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29540, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29541, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29542, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 4, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29543, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29544, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 4, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29545, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 4, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29546, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29547, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 4, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29548, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 4, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29549, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29550, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 4, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29551, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 4, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29552, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2024, 5, 5, '2024-08-05 14:38:13', NULL, NULL), (29553, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 17, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29554, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 9, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29555, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29556, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 57, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29557, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29558, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 114, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29559, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29560, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29561, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 114, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29562, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 10, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29563, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29564, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29565, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 57, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29566, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 17, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29567, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29568, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 7, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29569, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29570, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29571, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29572, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 39, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29573, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29574, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29575, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 10, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29576, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29577, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 21, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29578, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29579, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 4, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29580, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29581, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 4, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29582, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 14, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29583, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29584, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 9, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29585, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 9, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29586, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29587, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29588, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29589, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 11, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29590, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 4, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29591, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 12, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29592, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D09', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29593, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 20, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29594, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 7, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29595, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29596, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 4, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29597, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 185, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29598, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 17, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29599, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29600, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 55, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29601, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29602, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 9, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29603, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 102, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29604, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29605, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29606, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 39, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29607, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29608, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29609, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 7, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29610, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 20, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29611, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 10, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29612, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29613, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29614, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 4, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29615, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 4, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29616, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 12, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29617, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29618, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29619, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 8, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29620, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29621, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 9, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29622, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29623, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 9, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29624, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29625, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29626, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 13, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29627, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 4, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29628, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 19, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29629, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 3, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29630, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 10, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29631, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 39, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29632, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 7, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29633, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29634, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 3, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29635, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29636, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29637, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29638, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29639, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29640, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29641, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29642, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 21, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29643, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29644, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29645, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 4, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29646, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 4, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29647, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29648, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 4, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29649, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29650, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 12, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29651, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 11, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29652, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D09', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29653, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 9, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29654, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 9, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29655, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 14, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29656, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 4, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29657, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 7, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29658, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 20, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29659, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 4, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29660, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29661, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29662, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29663, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29664, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 4, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29665, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 9, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29666, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 8, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29667, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 12, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29668, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 3, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29669, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29670, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 13, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29671, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 9, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29672, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29673, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 3, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29674, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 7, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29675, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 19, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29676, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29677, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 10, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29678, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 39, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29679, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29680, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29681, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29682, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 4, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29683, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 2, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29684, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 20, 2024, 5, 6, '2024-08-05 14:38:13', NULL, NULL), (29685, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 18, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29686, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 9, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29687, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 43, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29688, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29689, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 80, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29690, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29691, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 2, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29692, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 80, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 9, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 43, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 18, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29699, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29700, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 9, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29701, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29702, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29703, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 19, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29704, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29705, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29706, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B03', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29707, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B02', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29708, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29709, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29710, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29711, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29712, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 7, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29713, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 2, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29714, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29715, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29716, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 16, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29717, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29718, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29719, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29720, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29721, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 4, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29722, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 5, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29723, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 10, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29724, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29725, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 9, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29726, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29727, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29728, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29729, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29730, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 7, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29731, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29732, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29733, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29734, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29735, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29736, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 21, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29737, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 4, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29738, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29739, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 147, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29740, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 40, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29741, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29742, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29743, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 17, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29744, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29745, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 8, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29746, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 77, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29747, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29748, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29749, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 19, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29750, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B02', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29751, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29752, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29753, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29754, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29755, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29756, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 15, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29757, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 9, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29758, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29759, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 7, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29760, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 2, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29761, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29762, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29763, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29764, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29765, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29766, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29767, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 5, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29768, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29769, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 10, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29770, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29771, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 9, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29772, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29773, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29774, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D18', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29775, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29776, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 4, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29777, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 5, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29778, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 21, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29779, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 4, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29780, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 7, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29781, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 19, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29782, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E23', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29783, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 2, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29784, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 9, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29785, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29786, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29787, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29788, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29789, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29790, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29791, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B03', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29792, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29793, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B02', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29794, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29795, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29796, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D18', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29797, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29798, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29799, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29800, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 16, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29801, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29802, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29803, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29804, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 5, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29805, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29806, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29807, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29808, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29809, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29810, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29811, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 7, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29812, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29813, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 9, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29814, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29815, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 10, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29816, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 4, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29817, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29818, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 4, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29819, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 21, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29820, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 5, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29821, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29822, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29823, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29824, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29825, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29826, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 9, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29827, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29828, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 5, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29829, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29830, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D18', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29831, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 4, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29832, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29833, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 4, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29834, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 10, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29835, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29836, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29837, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 9, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29838, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 21, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29839, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29840, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B02', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29841, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29842, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29843, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 2, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29844, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 7, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29845, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 19, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29846, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29847, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29848, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 3, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29849, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29850, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29851, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 15, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29852, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D05', '', 1, 2024, 5, 7, '2024-08-05 14:38:14', NULL, NULL), (29853, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 11, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29854, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29855, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 32, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29856, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29857, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 77, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29858, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 77, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 32, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29864, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 11, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29865, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29866, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29867, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 4, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29868, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 11, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29869, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29870, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29871, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 3, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29872, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29873, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 4, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29874, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29875, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 4, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29876, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29877, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 8, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29878, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 5, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29879, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 7, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29880, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29881, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 3, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29882, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29883, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 10, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29884, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29885, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 8, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29886, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 12, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29887, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D17', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29888, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 16, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29889, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 6, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29890, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29891, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 112, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29892, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 11, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29893, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29894, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 28, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29895, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29896, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29897, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29898, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 67, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29899, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A03', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29900, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 3, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29901, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 4, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29902, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 11, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29903, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29904, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29905, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 4, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29906, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29907, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29908, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 3, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29909, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29910, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 5, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29911, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29912, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29913, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 5, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29914, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 5, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29915, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29916, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 7, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (29917, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D17', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29918, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 2, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29919, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 8, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29920, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 12, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29921, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 16, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29922, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 3, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29923, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 11, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29924, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 5, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29925, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 3, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29926, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29927, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29928, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29929, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 3, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29930, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 4, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29931, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 4, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29932, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D17', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29933, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 4, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29934, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29935, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 8, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29936, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29937, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29938, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 6, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29939, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 8, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29940, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 10, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29941, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 3, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29942, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 7, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29943, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 5, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29944, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29945, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 16, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29946, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 12, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29947, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 8, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29948, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29949, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 5, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29950, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 7, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29951, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 5, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29952, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 8, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29953, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 16, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29954, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 2, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29955, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D17', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29956, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 5, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29957, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 3, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29958, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29959, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 5, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29960, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 12, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29961, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29962, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29963, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 3, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29964, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 11, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29965, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 3, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29966, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A03', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29967, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 4, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29968, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29969, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 4, 2024, 5, 8, '2024-08-05 14:38:14', NULL, NULL), (29970, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 18, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29971, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 8, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29972, 1, '511500000000-0001', '宜宾市民中心', '应急、消防', '', '', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29973, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29974, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 47, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29975, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 8, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29976, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 94, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29977, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29978, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 94, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 10, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 8, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 47, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29983, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 18, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29984, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29985, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29986, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29987, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29988, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29989, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29990, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D13', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29991, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29992, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 23, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29993, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29994, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29995, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 5, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29996, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29997, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29998, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 6, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (29999, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 8, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30000, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30001, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30002, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30003, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 13, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30004, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B08', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30005, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 4, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30006, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30007, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30008, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 5, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30009, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30010, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 12, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30011, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 9, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30012, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30013, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30014, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30015, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30016, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 5, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30017, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30018, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 5, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30019, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D07', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30020, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 14, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30021, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30022, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 18, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30023, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30024, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 11, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30025, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30026, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 165, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30027, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '满意', '', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30028, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 43, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30029, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 5, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30030, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30031, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 18, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30032, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 6, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30033, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30034, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 86, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30035, 1, '511500000000-0001', '宜宾市民中心', '应急、消防', '非常满意', '', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30036, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2C01', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30037, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 4, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30038, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30039, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30040, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30041, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 23, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30042, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D13', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30043, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30044, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30045, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30046, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30047, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30048, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30049, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30050, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 13, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30051, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 8, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30052, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30053, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 6, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30054, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 11, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30055, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30056, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 5, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30057, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 12, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30058, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30059, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30060, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 9, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30061, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30062, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30063, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 13, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30064, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 5, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30065, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30066, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 17, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30067, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D07', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30068, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 8, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30069, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 23, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30070, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 4, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30071, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 4, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30072, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 6, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30073, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30074, 1, '511500000000-0001', '宜宾市民中心', '应急、消防', '', '1D13', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30075, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30076, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30077, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 5, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30078, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30079, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30080, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30081, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B07', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30082, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B08', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30083, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 4, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30084, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30085, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30086, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 13, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30087, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30088, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30089, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30090, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 5, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30091, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30092, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30093, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30094, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30095, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 11, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30096, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30097, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30098, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 5, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30099, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 5, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30100, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30101, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 9, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30102, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D07', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30103, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 12, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30104, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30105, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 18, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30106, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 14, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30107, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 5, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30108, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30109, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30110, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30111, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30112, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 11, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30113, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 9, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30114, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 5, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30115, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 17, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30116, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30117, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 12, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30118, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30119, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 6, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30120, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 4, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30121, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 13, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30122, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30123, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30124, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E21', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30125, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '满意', '2C01', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30126, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30127, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D07', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30128, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 8, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30129, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 23, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30130, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 4, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30131, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 3, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30132, 1, '511500000000-0001', '宜宾市民中心', '应急、消防', '非常满意', '1D13', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30133, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30134, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30135, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30136, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30137, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30138, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 13, 2024, 5, 9, '2024-08-05 14:38:15', NULL, NULL), (30139, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 20, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30140, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30141, 1, '511500000000-0001', '宜宾市民中心', '应急、消防', '', '', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30142, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 35, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30143, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30144, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 7, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30145, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 95, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30146, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 3, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30147, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30148, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 95, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 7, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 35, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 3, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 20, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30155, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30156, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30157, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30158, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30159, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 4, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30160, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 27, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30161, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30162, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30163, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30164, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30165, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 8, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30166, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30167, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30168, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 5, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30169, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 20, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30170, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30171, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A21', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30172, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 8, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30173, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30174, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30175, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 13, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30176, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 10, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30177, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30178, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30179, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30180, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30181, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D07', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30182, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30183, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 12, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30184, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 9, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30185, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 14, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30186, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30187, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 150, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30188, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30189, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 33, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30190, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 6, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30191, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30192, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30193, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 20, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30194, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30195, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 85, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30196, 1, '511500000000-0001', '宜宾市民中心', '应急、消防', '非常满意', '', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30197, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A20', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30198, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A08', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30199, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30200, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30201, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 4, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30202, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 27, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30203, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30204, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30205, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30206, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30207, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 5, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30208, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30209, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 19, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30210, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 8, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30211, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30212, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 13, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30213, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30214, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30215, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 7, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30216, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30217, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 12, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30218, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 8, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30219, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30220, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 12, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30221, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 8, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30222, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 8, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30223, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 27, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30224, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30225, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 4, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30226, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30227, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30228, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30229, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 5, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30230, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30231, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 4, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30232, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30233, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30234, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D18', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30235, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 20, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30236, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30237, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30238, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30239, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 14, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30240, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30241, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A21', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30242, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30243, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30244, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 10, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30245, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 13, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30246, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30247, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D07', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30248, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30249, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 8, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30250, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30251, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 9, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30252, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 12, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30253, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 13, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30254, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 12, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30255, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 7, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30256, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30257, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 8, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30258, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 8, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30259, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30260, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30261, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30262, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30263, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 4, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30264, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 12, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30265, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A20', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30266, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 5, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30267, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30268, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 8, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30269, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 27, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30270, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30271, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 4, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30272, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30273, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30274, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30275, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 2, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30276, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 19, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30277, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A08', '', 1, 2024, 5, 10, '2024-08-05 14:38:16', NULL, NULL), (30278, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 5, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30279, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 16, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30280, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 20, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30281, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 5, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30282, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 66, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30283, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30284, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 66, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 16, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 5, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 20, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30289, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30290, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 4, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30291, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30292, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E14', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30293, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30294, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30295, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D26', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30296, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30297, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30298, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 3, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30299, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 10, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30300, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30301, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30302, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30303, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30304, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 3, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30305, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D28', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30306, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 13, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30307, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 5, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30308, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30309, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30310, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30311, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30312, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 3, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30313, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30314, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 5, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30315, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 3, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30316, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 8, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30317, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30318, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30319, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30320, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 9, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30321, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 12, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30322, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30323, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30324, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30325, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 9, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30326, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30327, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30328, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 107, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30329, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 18, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30330, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30331, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30332, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常不满意', '', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30333, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 4, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30334, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 16, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30335, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 62, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30336, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30337, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2D26', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30338, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 4, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30339, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30340, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30341, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 10, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30342, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30343, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D28', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30344, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E14', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30345, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30346, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30347, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 12, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30348, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 3, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30349, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30350, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 8, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30351, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30352, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 9, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30353, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 3, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30354, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 8, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30355, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30356, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30357, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 3, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30358, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30359, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 5, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30360, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30361, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30362, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 12, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30363, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30364, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30365, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30366, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 3, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30367, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 10, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30368, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30369, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 4, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30370, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30371, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E14', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30372, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30373, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30374, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 3, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30375, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B07', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30376, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 5, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (30377, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30378, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30379, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30380, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 3, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30381, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 13, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30382, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30383, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 3, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30384, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30385, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30386, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30387, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30388, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 9, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30389, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30390, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30391, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D26', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30392, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 9, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30393, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D28', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30394, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30395, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 8, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30396, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 5, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30397, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30398, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30399, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 12, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30400, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30401, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 3, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30402, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30403, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30404, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30405, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '2D26', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30406, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30407, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 8, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30408, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 5, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30409, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 8, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30410, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30411, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 9, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30412, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30413, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 4, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30414, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30415, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 12, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30416, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E14', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30417, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 3, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30418, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 10, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30419, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 4, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30420, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30421, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30422, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30423, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 3, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30424, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30425, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D23', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30426, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30427, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 12, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30428, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D28', '', 1, 2024, 5, 11, '2024-08-05 14:38:16', NULL, NULL), (30429, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 2, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30430, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30431, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30432, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30433, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30434, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30435, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30436, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30437, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 4, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30438, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30439, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30440, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30441, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30442, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30443, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30444, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A21', '', 1, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30445, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30446, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30447, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30448, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30449, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 1, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30450, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30451, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A21', '', 1, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30452, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 1, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30453, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 5, 12, '2024-08-05 14:38:17', NULL, NULL), (30454, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 24, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30455, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 4, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30456, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30457, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 35, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30458, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30459, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 101, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30460, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 101, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 35, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 24, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30467, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 6, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30468, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30469, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30470, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30471, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 4, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30472, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 23, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30473, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 3, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30474, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30475, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30476, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 19, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30477, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30478, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30479, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30480, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 29, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30481, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 3, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30482, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30483, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30484, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30485, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 6, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30486, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30487, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 14, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30488, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 7, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30489, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30490, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30491, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30492, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 5, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30493, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 2, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30494, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D06', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30495, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 10, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30496, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30497, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 12, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30498, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 12, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30499, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 159, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30500, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 24, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30501, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 33, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30502, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30503, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30504, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30505, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 91, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30506, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 3, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30507, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 3, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30508, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30509, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 4, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30510, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 23, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30511, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30512, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30513, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30514, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30515, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 6, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30516, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 29, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30517, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 19, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30518, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30519, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30520, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 11, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30521, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30522, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30523, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 5, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30524, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 2, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30525, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 6, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30526, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 14, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30527, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30528, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 9, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30529, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 11, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30530, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 19, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30531, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 23, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30532, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30533, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 6, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30534, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30535, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 4, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30536, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30537, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30538, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30539, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 4, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30540, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30541, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 3, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30542, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30543, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30544, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 2, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30545, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30546, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 29, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30547, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30548, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 3, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30549, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 12, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30550, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30551, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D06', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30552, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30553, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30554, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 5, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30555, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 7, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30556, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 14, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30557, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 6, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30558, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30559, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30560, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 12, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30561, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 10, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30562, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30563, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 11, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30564, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 14, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30565, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 2, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30566, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30567, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 5, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30568, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 11, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30569, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 6, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30570, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 2, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30571, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 4, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30572, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 6, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30573, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 9, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30574, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30575, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30576, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30577, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 19, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30578, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 23, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30579, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 3, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30580, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 4, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30581, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30582, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30583, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30584, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 3, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30585, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 29, 2024, 5, 13, '2024-08-05 14:38:17', NULL, NULL), (30586, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 20, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30587, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 8, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30588, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 32, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30589, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30590, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 86, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30591, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 5, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30592, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 9, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30593, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 86, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30594, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 8, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30595, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 5, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 32, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 9, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 20, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30600, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 4, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30601, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 6, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30602, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30603, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30604, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30605, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30606, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 20, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30607, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 4, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30608, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30609, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 9, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30610, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 7, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30611, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30612, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30613, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D28', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30614, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 19, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30615, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 3, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30616, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30617, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 6, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30618, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30619, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 4, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30620, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30621, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 9, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30622, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30623, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30624, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30625, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 3, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30626, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30627, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30628, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 8, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30629, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30630, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 14, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30631, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30632, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 17, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30633, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 3, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30634, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 153, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30635, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 20, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30636, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 5, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30637, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 31, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30638, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30639, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 8, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30640, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30641, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 81, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30642, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30643, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 4, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30644, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30645, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30646, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 20, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30647, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30648, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30649, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30650, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30651, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 4, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30652, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 19, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30653, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 6, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30654, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 7, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30655, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 9, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30656, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E30', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30657, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 3, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30658, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30659, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30660, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30661, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30662, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30663, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30664, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 4, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30665, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30666, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 9, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30667, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30668, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 5, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30669, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30670, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 12, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30671, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30672, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 17, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30673, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 7, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30674, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 20, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30675, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 6, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30676, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 9, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30677, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30678, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30679, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30680, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30681, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30682, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30683, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30684, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 3, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30685, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30686, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30687, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30688, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30689, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 19, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30690, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30691, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30692, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 4, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30693, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30694, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E30', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30695, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 3, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30696, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 4, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30697, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30698, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 8, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30699, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D28', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30700, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 3, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30701, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 9, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30702, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 4, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30703, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30704, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 6, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30705, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 17, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30706, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 14, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30707, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30708, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30709, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30710, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E30', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30711, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 3, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30712, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 9, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30713, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30714, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 8, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30715, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 17, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30716, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 5, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30717, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 4, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30718, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 9, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30719, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30720, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 6, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30721, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 12, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30722, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30723, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30724, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30725, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 7, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30726, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 20, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30727, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30728, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 4, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30729, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30730, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30731, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30732, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30733, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30734, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 2, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30735, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D23', '', 1, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30736, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 4, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30737, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 19, 2024, 5, 14, '2024-08-05 14:38:18', NULL, NULL), (30738, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 13, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30739, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 5, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30740, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 31, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30741, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30742, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 172, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30743, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 172, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 30, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 13, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30750, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30751, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30752, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30753, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30754, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30755, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 16, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30756, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30757, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30758, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 8, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30759, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30760, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30761, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 23, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30762, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 10, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30763, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E15', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30764, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30765, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 24, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30766, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 4, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30767, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30768, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 26, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30769, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 12, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30770, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30771, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 26, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30772, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30773, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 15, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30774, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30775, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 12, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30776, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 10, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30777, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30778, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 12, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30779, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30780, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 219, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30781, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 13, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30782, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30783, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 30, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30784, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30785, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 5, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30786, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30787, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 167, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30788, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 10, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30789, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30790, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30791, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 16, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30792, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30793, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30794, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30795, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E25', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30796, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30797, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30798, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 23, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30799, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30800, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 8, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30801, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A02', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30802, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30803, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 12, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30804, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30805, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 15, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30806, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30807, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 22, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30808, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30809, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 26, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30810, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 12, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30811, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30812, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 23, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30813, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30814, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 4, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30815, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 12, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30816, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E15', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30817, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 10, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30818, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 16, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30819, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 5, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30820, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E25', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30821, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30822, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 8, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30823, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30824, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30825, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30826, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30827, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 10, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30828, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30829, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 23, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30830, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (30831, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E15', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30832, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30833, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 4, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30834, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30835, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30836, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 12, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30837, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30838, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30839, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30840, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 15, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30841, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 26, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30842, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 12, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30843, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 26, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30844, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 24, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30845, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 10, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30846, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 12, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30847, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 4, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30848, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E15', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30849, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30850, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30851, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30852, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30853, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30854, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 12, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30855, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 12, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30856, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 22, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30857, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 15, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30858, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 10, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30859, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 23, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30860, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 26, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30861, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E25', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30862, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30863, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 8, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30864, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 5, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30865, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 12, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30866, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A02', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30867, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30868, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30869, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 16, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30870, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 10, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30871, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30872, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30873, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30874, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30875, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30876, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 23, 2024, 5, 15, '2024-08-05 14:38:19', NULL, NULL), (30877, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 19, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30878, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 3, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30879, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 18, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30880, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 140, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30881, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30882, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 140, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30883, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30884, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 18, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30885, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30886, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 19, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30887, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30888, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 3, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30889, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30890, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30891, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 9, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30892, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30893, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30894, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30895, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 11, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30896, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30897, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30898, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30899, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 29, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30900, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 14, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30901, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 10, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30902, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30903, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 2, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30904, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 20, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30905, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 15, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30906, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30907, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30908, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 13, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30909, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30910, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30911, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 8, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30912, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 7, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30913, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 12, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30914, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 12, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30915, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30916, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 176, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30917, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30918, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 19, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30919, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 18, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30920, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30921, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30922, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 130, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30923, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 13, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30924, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A08', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30925, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30926, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30927, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 9, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30928, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30929, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 3, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30930, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30931, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30932, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30933, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 28, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30934, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30935, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 11, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30936, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30937, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30938, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30939, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 12, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30940, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30941, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 7, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30942, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 10, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30943, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30944, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 18, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30945, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30946, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 15, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30947, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 9, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30948, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30949, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 2, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30950, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 7, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30951, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 11, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30952, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 11, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30953, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 9, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30954, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30955, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30956, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 3, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30957, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30958, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30959, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30960, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D12', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30961, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 14, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30962, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 29, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30963, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30964, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 2, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30965, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30966, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30967, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30968, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30969, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30970, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 12, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30971, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30972, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 3, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30973, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 8, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30974, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 13, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30975, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 15, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30976, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 20, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30977, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 10, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30978, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 12, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30979, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 7, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30980, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 2, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30981, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30982, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30983, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30984, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 12, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30985, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 15, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30986, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D12', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30987, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 10, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30988, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 7, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30989, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 11, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30990, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 9, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30991, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 18, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30992, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30993, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 3, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30994, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30995, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 7, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30996, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30997, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30998, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (30999, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 11, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (31000, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 9, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (31001, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 13, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (31002, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (31003, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (31004, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 3, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (31005, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (31006, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (31007, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 28, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (31008, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A08', '', 1, 2024, 5, 16, '2024-08-05 14:38:19', NULL, NULL), (31009, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 23, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31010, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 9, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31011, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31012, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 46, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31013, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 17, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31014, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 148, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31015, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31016, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 148, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 10, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 17, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 46, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 23, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31024, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31025, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E26', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31026, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31027, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31028, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 9, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31029, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 15, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31030, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31031, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31032, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31033, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 7, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31034, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 6, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31035, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 2, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31036, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 9, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31037, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31038, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31039, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31040, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 5, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31041, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 16, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31042, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 12, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31043, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31044, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 22, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31045, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31046, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D03', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31047, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 6, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31048, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31049, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 13, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31050, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 11, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31051, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 7, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31052, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31053, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31054, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31055, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31056, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31057, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 5, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31058, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 2, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31059, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31060, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31061, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 2, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31062, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31063, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 26, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31064, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31065, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 26, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31066, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31067, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 9, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31068, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31069, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 237, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31070, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '满意', '', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31071, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31072, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 42, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31073, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 16, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31074, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31075, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 23, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31076, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 7, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31077, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31078, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 144, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31079, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2C01', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 12, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31081, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31082, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E22', '', 2, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31084, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31085, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 5, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31086, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 16, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31087, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 9, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31088, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 6, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31089, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E30', '', 2, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31090, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 5, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31091, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 8, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31092, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31093, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 7, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31094, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D03', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31095, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31096, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 9, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31097, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 15, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31098, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 6, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31099, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31100, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31101, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31102, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31103, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31104, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31105, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31106, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 2, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31107, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31108, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 13, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31109, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 10, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31110, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31111, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 22, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31112, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 6, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31113, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31114, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 25, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31115, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31116, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 26, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31117, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31118, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 15, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31119, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 9, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31120, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31121, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E26', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31122, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31123, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 6, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31124, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31125, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31126, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 5, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31127, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 7, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31128, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31129, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 9, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31130, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 2, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31131, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31132, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31133, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31134, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 12, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31135, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31136, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31137, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 2, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31138, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31139, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 16, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31140, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31141, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31142, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31143, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 5, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31144, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E30', '', 2, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31145, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 7, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31146, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31147, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31148, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31149, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31150, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 9, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31151, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31152, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31153, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31154, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D03', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31155, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31156, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 11, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31157, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 13, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31158, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 6, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31159, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 22, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31160, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 26, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31161, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 26, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31162, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E30', '', 2, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31163, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 5, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31164, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 7, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31165, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 8, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31166, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31167, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31168, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31169, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D03', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31170, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 25, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31171, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31172, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31173, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '满意', '2C01', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31174, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 15, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31175, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 12, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31176, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 9, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31177, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31178, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 6, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31179, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 16, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31180, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31181, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31182, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31183, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31184, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31185, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31186, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 10, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31187, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 2, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31188, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31189, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 26, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31190, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 22, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31191, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 6, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31192, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 13, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31193, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 6, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31194, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 5, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31195, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E22', '', 2, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31196, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31197, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 9, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31198, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31199, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31200, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 5, 17, '2024-08-05 14:38:20', NULL, NULL), (31201, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 3, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31202, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 5, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31203, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 4, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 5, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 4, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31207, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31208, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31209, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31210, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 2, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31211, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31212, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 2, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31213, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31214, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31215, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31216, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31217, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 10, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31218, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31219, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31220, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31221, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31222, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 5, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31223, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31224, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31225, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31226, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A07', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31227, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A22', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31228, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31229, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 2, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31230, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31231, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31232, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31233, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31234, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 2, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31235, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31236, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31237, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 2, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31238, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31239, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31240, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31241, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31242, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 2, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31243, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A22', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31244, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A22', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31245, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31246, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31247, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A07', '', 1, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31248, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2024, 5, 18, '2024-08-05 14:38:21', NULL, NULL), (31249, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 3, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31250, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 4, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31251, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 4, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31255, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31256, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31257, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31258, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 3, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31259, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 7, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31260, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31261, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31262, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 3, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31263, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31264, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31265, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 2, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31266, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31267, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31268, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31269, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31270, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 3, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31271, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 1, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31272, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31273, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 2, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31274, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2024, 5, 19, '2024-08-05 14:38:21', NULL, NULL), (31275, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 30, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31276, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31277, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 42, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31278, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 8, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31279, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 124, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31280, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31281, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 124, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (31283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 8, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 42, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31286, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31287, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 30, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31288, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31289, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31290, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31291, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31292, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 3, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31293, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 5, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31294, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 29, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31295, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C02', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31296, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31297, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31298, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 15, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31299, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 12, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31300, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31301, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31302, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31303, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 13, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31304, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E05', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31305, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 7, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31306, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D04', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31307, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 20, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31308, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 4, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31309, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 8, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31310, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 9, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31311, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 18, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31312, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 5, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31313, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31314, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31315, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 9, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31316, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31317, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31318, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 16, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31319, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 9, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31320, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 8, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31321, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31322, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 197, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31323, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31324, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 30, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31325, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31326, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 40, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31327, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 7, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31328, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常不满意', '', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31329, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31330, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31331, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 114, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31332, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A06', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31333, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 6, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31334, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31335, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31336, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 4, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31337, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 29, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31338, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31339, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C02', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31340, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E05', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31341, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D07', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31342, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31343, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31344, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31345, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31346, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 13, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31347, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31348, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 12, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31349, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 15, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31350, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2C04', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31351, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 6, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31352, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31353, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 9, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31354, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31355, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 4, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31356, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31357, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 9, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31358, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 18, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31359, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D04', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31360, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 19, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31361, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 7, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31362, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 12, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31363, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 4, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31364, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 9, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31365, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 29, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31366, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 12, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31367, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31368, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31369, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 15, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31370, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31371, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31372, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31373, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31374, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 5, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31375, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E05', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31376, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C02', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31377, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31378, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31379, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31380, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 7, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31381, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 13, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31382, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 4, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31383, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31384, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 8, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31385, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 3, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31386, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31387, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 9, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31388, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D04', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31389, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 5, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31390, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31391, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 18, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31392, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 9, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31393, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 8, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31394, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 20, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31395, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 9, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31396, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 16, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31397, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 4, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31398, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31399, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常不满意', '2C04', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31400, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31401, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 6, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31402, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 18, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31403, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 4, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31404, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 9, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31405, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 9, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31406, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 19, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31407, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 7, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31408, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 9, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31409, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31410, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 15, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31411, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31412, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E05', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31413, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D04', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31414, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 12, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31415, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31416, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31417, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31418, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31419, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 29, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31420, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 12, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31421, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A06', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31422, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 6, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31423, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 4, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31424, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B05', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31425, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31426, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C02', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31427, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 2, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31428, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D07', '', 1, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31429, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 13, 2024, 5, 20, '2024-08-05 14:38:22', NULL, NULL), (31430, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 24, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31431, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31432, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31433, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 35, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31434, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31435, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 129, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31436, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31437, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 11, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31438, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 129, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31443, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 35, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31444, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 11, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31445, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 23, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31447, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31448, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B07', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31449, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 6, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31450, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31451, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 3, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31452, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31453, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 19, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31454, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31455, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31456, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31457, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31458, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 7, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31459, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 8, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31460, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31461, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E05', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31462, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31463, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 17, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31464, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31465, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 2, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31466, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D03', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31467, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 8, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31468, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 3, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31469, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 4, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31470, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E23', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31471, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 23, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31472, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 24, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31473, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 9, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31474, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31475, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 5, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31476, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31477, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31478, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 18, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31479, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D17', '', 2, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31480, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 9, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31481, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 13, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31482, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 200, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31483, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 24, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31484, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 34, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31485, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31486, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31487, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 11, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31488, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31489, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 125, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31490, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 2, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31491, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31492, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31493, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 3, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31494, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31495, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 19, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31496, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E05', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31497, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 6, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31498, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 4, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31499, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31500, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31501, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31502, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 17, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31503, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 8, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31504, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 7, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31505, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 13, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31506, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31507, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 5, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31508, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31509, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 24, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31510, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 6, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31511, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 4, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31512, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E23', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31513, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 23, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31514, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 2, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31515, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D17', '', 2, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31516, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D03', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31517, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 3, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31518, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 8, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31519, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 17, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31520, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 9, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31521, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31522, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 19, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31523, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 8, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31524, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31525, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 3, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31526, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 7, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31527, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E20', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31528, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 4, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31529, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31530, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31531, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 3, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31532, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E05', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31533, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B07', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31534, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31535, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D17', '', 2, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31536, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 2, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31537, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E23', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31538, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 17, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31539, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 8, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31540, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31541, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31542, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 13, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31543, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31544, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 6, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31545, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31546, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31547, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D03', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31548, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 5, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31549, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 9, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31550, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 24, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31551, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 23, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31552, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 4, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31553, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 3, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31554, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 9, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31555, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31556, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 18, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31557, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 8, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31558, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31559, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 2, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31560, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E23', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31561, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31562, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 13, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31563, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 23, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31564, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 24, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31565, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 6, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31566, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31567, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 5, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31568, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 9, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31569, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 3, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31570, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 4, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31571, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D17', '', 2, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31572, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 3, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31573, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 7, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31574, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31575, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D03', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31576, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E05', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31577, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 17, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31578, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E20', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31579, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31580, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 4, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31581, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 19, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31582, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 8, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31583, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 2, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31584, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 3, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31585, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31586, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 6, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31587, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31588, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 17, 2024, 5, 21, '2024-08-05 14:38:22', NULL, NULL), (31589, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 15, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31590, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 4, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31591, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31592, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 27, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31593, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 5, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31594, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 150, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31595, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31596, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 150, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31597, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31598, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 5, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31599, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 27, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31600, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31601, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 15, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31602, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31603, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31604, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31605, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 19, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31606, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 4, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31607, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31608, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31609, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31610, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31611, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 9, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31612, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31613, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31614, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31615, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 15, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31616, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 13, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31617, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31618, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 11, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31619, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 7, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31620, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 7, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31621, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31622, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 8, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31623, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31624, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 16, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31625, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31626, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31627, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 5, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31628, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 16, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31629, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31630, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 12, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31631, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31632, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31633, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 11, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31634, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 6, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31635, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 20, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31636, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 197, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31637, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 15, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31638, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 25, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31639, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31640, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31641, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31642, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 147, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31643, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 13, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31644, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 4, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31645, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31646, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 19, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31647, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31648, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C07', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31649, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31650, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31651, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31652, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31653, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 15, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31654, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 9, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31655, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31656, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 6, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31657, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31658, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 20, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31659, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 5, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31660, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 15, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31661, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31662, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 16, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31663, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31664, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 6, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31665, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31666, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 8, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31667, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31668, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 10, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31669, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 7, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31670, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 12, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31671, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31672, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 11, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31673, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 9, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31674, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 19, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31675, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31676, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31677, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31678, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31679, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31680, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31681, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31682, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31683, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31684, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31685, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 13, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31686, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31687, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31688, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31689, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 15, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31690, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31691, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31692, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 4, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31693, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 20, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31694, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31695, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 6, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31696, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31697, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 5, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31698, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 16, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31699, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31700, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 16, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31701, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 8, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31702, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 7, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31703, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 7, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31704, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 11, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31705, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 11, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31706, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 12, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31707, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31708, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31709, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31710, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31711, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31712, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 6, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31713, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 20, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31714, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 8, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31715, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 16, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31716, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31717, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 5, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31718, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 15, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31719, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 11, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31720, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 10, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31721, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 7, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31722, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 6, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31723, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31724, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31725, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31726, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 12, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31727, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31728, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31729, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 9, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31730, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 19, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31731, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C07', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31732, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 13, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31733, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 2, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31734, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31735, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 4, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31736, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 15, 2024, 5, 22, '2024-08-05 14:38:23', NULL, NULL), (31737, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 25, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31738, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31739, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 26, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31740, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (31741, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 151, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31742, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31743, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 10, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31744, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 151, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31745, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31746, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31747, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31748, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 26, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31749, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 25, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31750, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 10, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31751, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 3, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31752, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31753, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31754, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 20, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31755, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31756, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31757, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31758, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 3, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31759, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31760, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D21', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31761, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 6, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31762, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 10, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31763, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31764, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 6, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31765, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 13, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31766, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 8, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31767, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31768, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 14, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31769, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31770, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 5, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31771, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 17, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31772, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 19, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31773, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31774, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 8, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31775, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31776, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 7, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31777, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 19, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31778, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 4, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31779, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 13, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31780, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 8, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31781, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 16, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31782, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 5, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31783, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 206, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31784, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常不满意', '', '', 5, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31785, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 25, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31786, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 21, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31787, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31788, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31789, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 9, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31790, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 146, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31791, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 8, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31792, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D21', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31793, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31794, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31795, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31796, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 20, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31797, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31798, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 3, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31799, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31800, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 6, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31801, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 13, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31802, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 10, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31803, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 6, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31804, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2E21', '', 3, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31805, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2E22', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31806, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31807, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 16, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31808, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 7, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31809, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 19, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31810, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 4, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31811, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 16, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31812, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 8, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31813, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 17, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31814, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31815, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 13, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31816, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 5, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31817, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31818, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 12, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31819, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 8, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31820, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 10, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31821, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 20, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31822, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 6, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31823, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31824, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31825, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 3, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31826, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 6, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31827, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31828, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31829, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31830, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D12', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31831, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 8, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31832, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31833, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 13, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31834, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31835, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D21', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31836, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 16, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31837, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31838, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31839, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 3, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31840, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 4, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31841, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 7, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31842, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 19, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31843, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 8, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31844, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 19, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31845, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 17, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31846, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 5, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31847, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 14, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31848, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 8, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31849, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31850, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 13, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31851, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31852, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D21', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31853, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31854, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 4, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31855, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 16, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31856, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 17, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31857, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 16, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31858, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 8, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31859, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 7, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31860, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 19, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31861, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 8, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31862, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 13, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31863, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 5, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31864, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 6, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31865, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 12, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31866, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31867, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 6, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31868, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31869, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 10, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31870, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 20, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31871, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 8, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31872, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31873, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常不满意', '2E22', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31874, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31875, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 3, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31876, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常不满意', '2E21', '', 3, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31877, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31878, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31879, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 13, 2024, 5, 23, '2024-08-05 14:38:24', NULL, NULL), (31880, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 22, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31881, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 4, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31882, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 26, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31883, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31884, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31885, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 130, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31886, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 10, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31887, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 10, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 130, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 9, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 26, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 10, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 22, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31895, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31896, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 7, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31897, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31898, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31899, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31900, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 11, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31901, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31902, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31903, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31904, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 6, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31905, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 6, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31906, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E28', '', 2, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31907, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31908, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C08', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31909, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31910, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 7, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31911, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 4, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31912, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 9, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31913, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31914, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 17, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31915, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 3, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31916, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 2, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31917, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 5, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31918, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 4, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31919, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 11, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31920, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 7, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31921, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31922, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31923, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 4, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31924, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D32', '', 4, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31925, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 9, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31926, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 9, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31927, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31928, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 11, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31929, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31930, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 12, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31931, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 11, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31932, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31933, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 5, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31934, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 6, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31935, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 12, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31936, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 194, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31937, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 22, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31938, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 9, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31939, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 25, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31940, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31941, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 4, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31942, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31943, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 125, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31944, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 8, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31945, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31946, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31947, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31948, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 11, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31949, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A04', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31950, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E28', '', 2, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31951, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C08', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31952, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31953, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31954, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31955, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 7, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31956, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 4, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31957, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 7, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31958, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 6, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31959, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 6, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31960, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 5, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31961, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D32', '', 4, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31962, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 12, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31963, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 6, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31964, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 9, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31965, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 9, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31966, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 11, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31967, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 6, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31968, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 4, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31969, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31970, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31971, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 4, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31972, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 11, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31973, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31974, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 15, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31975, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 3, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31976, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 5, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31977, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 2, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31978, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 11, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31979, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 11, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31980, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 11, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31981, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 6, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31982, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C08', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31983, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 7, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31984, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 6, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31985, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E20', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31986, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31987, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 7, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31988, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E28', '', 2, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31989, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D32', '', 4, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31990, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 6, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31991, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 9, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31992, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31993, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 4, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31994, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 3, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31995, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31996, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 2, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31997, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31998, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (31999, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32000, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32001, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32002, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 12, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32003, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32004, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 5, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32005, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32006, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32007, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 11, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32008, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 9, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32009, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 9, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32010, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 4, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32011, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32012, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 7, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32013, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 11, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32014, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 4, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32015, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 5, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32016, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32017, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 17, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32018, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 11, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32019, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 12, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32020, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A04', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32021, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 2, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32022, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 3, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32023, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32024, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32025, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32026, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 11, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32027, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 5, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32028, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 12, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32029, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 6, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32030, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 11, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32031, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 6, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32032, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 4, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32033, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 9, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32034, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 9, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32035, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 11, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32036, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 15, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32037, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 5, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32038, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 4, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32039, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 6, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32040, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 7, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32041, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E28', '', 2, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32042, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 11, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32043, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D32', '', 4, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32044, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E20', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32045, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 7, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32046, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32047, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 11, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32048, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 6, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32049, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C08', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32050, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32051, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 8, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32052, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A04', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32053, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32054, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32055, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32056, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 4, 2024, 5, 24, '2024-08-05 14:38:24', NULL, NULL), (32057, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 3, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32058, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 17, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32059, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32060, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 17, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32065, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32066, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 14, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32067, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32068, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32069, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32070, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32071, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32072, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32073, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 21, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32074, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32075, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32076, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 16, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32077, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32078, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32079, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 13, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32081, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32082, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32084, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32085, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32086, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32087, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32088, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32089, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32090, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32091, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 14, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32092, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32093, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32094, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32095, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32096, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32097, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 13, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32098, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 5, 25, '2024-08-05 14:38:25', NULL, NULL), (32099, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 4, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32100, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 5, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32101, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 5, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32102, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32103, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 3, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32104, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32105, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32106, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32107, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E16', '', 1, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32108, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32109, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 8, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32110, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 4, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32111, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 4, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32112, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32113, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E16', '', 1, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32114, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 3, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32115, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32116, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32117, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32118, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32119, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32120, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 3, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32121, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E16', '', 1, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32122, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 1, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32123, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32124, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E16', '', 1, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32125, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32126, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 3, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32127, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 5, 26, '2024-08-05 14:38:26', NULL, NULL), (32128, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 26, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32129, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 5, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32130, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32131, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 31, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32132, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32133, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 182, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32134, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 3, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32135, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32136, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 182, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32137, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 6, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32138, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32139, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 31, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32140, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 26, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32143, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32144, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32145, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32146, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 24, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32147, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32148, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32149, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 10, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32150, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32151, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 9, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32152, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32153, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32154, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32155, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32156, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 22, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32157, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 18, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32158, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 2, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32159, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 15, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32160, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 3, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32161, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32162, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 5, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32163, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D03', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32164, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 11, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32165, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 22, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32166, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32167, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 16, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32168, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32169, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 15, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32170, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32171, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32172, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 7, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32173, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 10, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32174, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32175, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32176, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32177, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 17, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32178, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D17', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32179, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32180, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 8, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32181, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 3, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32182, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 4, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32183, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 10, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32184, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 237, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32185, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32186, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 29, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32187, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32188, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 26, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32189, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 3, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32190, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 3, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32191, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32192, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 171, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32193, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 17, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32194, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32195, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32196, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E24', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32197, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 24, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32198, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32199, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D07', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32200, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32201, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32202, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 21, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32203, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 9, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (32204, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 10, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32205, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A09', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32206, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E30', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32207, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 2, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32208, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 10, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32209, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 7, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32210, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 10, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32211, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 3, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32212, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32213, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 15, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32214, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32215, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 11, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32216, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 11, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32217, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 22, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32218, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D17', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32219, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32220, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 15, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32221, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32222, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 5, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32223, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 3, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32224, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 15, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32225, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32226, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 8, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32227, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E24', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32228, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 9, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32229, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 24, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32230, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32231, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 10, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32232, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32233, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32234, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32235, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32236, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32237, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 18, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32238, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D17', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32239, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32240, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32241, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 2, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32242, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32243, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 22, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32244, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32245, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 3, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32246, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32247, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E30', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32248, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B10', '', 3, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32249, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32250, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32251, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32252, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 10, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32253, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32254, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 4, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32255, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32256, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D03', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32257, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 7, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32258, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 10, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32259, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 15, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32260, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32261, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 16, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32262, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 22, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32263, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 11, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32264, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 5, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32265, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 15, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32266, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 8, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32267, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 17, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32268, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 3, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32269, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32270, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32271, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32272, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B10', '', 3, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32273, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E30', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32274, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32275, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 2, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32276, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 10, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32277, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 22, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32278, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 15, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32279, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 11, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32280, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 7, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32281, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 10, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32282, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 8, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32283, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 15, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32284, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 5, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32285, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D17', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32286, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 11, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32287, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 10, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32288, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A09', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32289, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 15, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32290, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32291, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32292, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E24', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32293, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 9, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32294, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 24, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32295, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 17, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32296, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32297, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32298, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32299, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32300, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D07', '', 1, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32301, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 21, 2024, 5, 27, '2024-08-05 14:38:26', NULL, NULL), (32302, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 19, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32303, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 5, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32304, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 23, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32305, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32306, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 160, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32307, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32308, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 160, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32310, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32311, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32312, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32313, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 23, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32314, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32315, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 19, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32316, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32317, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32318, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32319, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32320, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 14, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32321, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32322, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32323, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32324, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32325, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32326, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32327, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32328, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 6, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32329, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D08', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32330, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32331, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32332, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32333, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 14, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32334, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 17, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32335, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 9, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32336, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 3, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32337, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32338, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 8, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32339, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 7, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32340, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32341, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 16, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32342, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 7, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32343, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32344, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32345, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32346, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32347, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 12, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32348, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32349, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32350, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 8, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32351, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 14, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32352, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32353, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 12, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32354, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 16, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32355, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 4, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32356, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 14, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32357, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32358, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32359, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 205, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32360, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32361, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 19, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32362, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32363, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 20, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32364, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32365, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32366, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 4, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32367, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32368, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 154, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32369, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A23', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32370, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 17, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32371, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32372, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32373, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 14, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32374, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32375, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32376, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D07', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32377, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32378, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32379, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32380, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32381, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 14, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32382, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 6, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32383, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D08', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32384, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32385, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 4, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32386, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32387, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 12, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32388, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32389, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 7, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32390, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 14, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32391, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32392, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 6, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32393, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32394, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 11, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32395, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32396, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32397, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 7, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32398, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D11', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32399, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 16, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32400, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 9, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32401, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 3, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32402, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 8, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32403, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32404, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 12, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32405, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 15, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32406, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A08', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32407, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 6, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32408, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 14, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32409, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E23', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32410, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32411, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32412, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32413, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E20', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32414, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32415, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32416, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32417, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32418, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32419, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32420, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 17, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32421, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32422, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32423, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 14, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32424, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 3, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32425, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32426, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32427, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32428, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32429, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32430, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 14, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32431, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 4, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32432, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32433, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32434, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 8, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32435, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 14, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32436, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 12, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32437, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32438, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 7, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32439, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D08', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32440, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 16, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32441, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 7, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32442, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 8, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32443, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 9, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32444, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32445, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 16, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32446, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32447, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 12, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32448, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32449, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 3, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32450, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32451, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32452, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32453, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32454, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 4, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32455, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 12, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32456, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 16, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32457, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 6, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32458, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 11, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32459, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 7, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32460, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 14, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32461, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 15, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32462, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 9, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32463, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 8, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32464, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 7, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32465, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A08', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32466, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32467, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32468, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32469, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 12, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32470, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D11', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32471, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32472, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32473, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 6, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32474, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 14, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32475, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 17, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32476, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32477, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32478, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32479, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A23', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32480, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32481, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32482, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32483, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D07', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32484, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 14, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32485, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D08', '', 1, 2024, 5, 28, '2024-08-05 14:38:27', NULL, NULL), (32486, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 14, 2024, 5, 29, '2024-08-05 14:38:27', NULL, NULL), (32487, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 6, 2024, 5, 29, '2024-08-05 14:38:27', NULL, NULL), (32488, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 31, 2024, 5, 29, '2024-08-05 14:38:27', NULL, NULL), (32489, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 5, 29, '2024-08-05 14:38:27', NULL, NULL), (32490, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 171, 2024, 5, 29, '2024-08-05 14:38:27', NULL, NULL), (32491, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 5, 29, '2024-08-05 14:38:27', NULL, NULL), (32492, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 13, 2024, 5, 29, '2024-08-05 14:38:27', NULL, NULL), (32493, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 171, 2024, 5, 29, '2024-08-05 14:38:27', NULL, NULL), (32494, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 6, 2024, 5, 29, '2024-08-05 14:38:27', NULL, NULL), (32495, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 5, 29, '2024-08-05 14:38:27', NULL, NULL), (32496, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32497, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 31, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32498, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 13, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32499, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 14, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32500, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32501, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32502, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32503, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 21, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32504, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32505, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 4, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32506, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32507, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 10, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32508, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32509, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32510, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32511, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32512, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 25, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32513, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 13, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32514, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32515, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 13, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32516, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 6, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32517, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 6, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32518, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 17, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32519, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32520, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32521, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 11, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32522, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32523, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 7, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32524, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 3, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32525, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32526, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32527, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 17, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32528, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 5, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32529, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 3, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32530, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32531, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 4, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32532, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 11, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32533, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 15, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32534, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 12, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32535, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 11, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32536, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 215, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32537, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 14, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32538, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32539, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 29, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32540, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 5, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32541, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32542, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 158, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32543, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 13, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32544, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32545, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 4, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32546, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32547, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 21, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32548, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32549, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32550, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32551, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32552, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32553, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 23, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32554, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32555, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 10, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32556, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 12, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32557, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32558, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 11, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32559, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32560, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 17, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32561, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 3, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32562, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32563, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32564, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 10, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32565, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32566, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 6, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32567, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 6, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32568, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 3, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32569, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 16, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32570, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32571, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 12, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32572, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 4, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32573, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 11, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32574, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 12, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32575, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32576, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 21, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32577, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32578, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32579, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 10, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32580, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32581, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32582, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32583, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32584, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 13, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32585, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32586, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 4, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32587, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32588, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 25, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32589, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32590, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32591, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 3, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32592, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 3, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32593, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32594, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32595, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 4, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32596, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 11, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32597, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32598, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 12, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32599, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32600, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 17, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32601, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 5, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32602, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 7, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32603, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 11, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32604, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 17, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32605, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 6, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32606, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 6, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32607, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 13, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32608, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 15, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32609, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32610, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 11, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32611, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32612, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32613, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 3, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32614, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32615, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 12, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32616, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 11, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32617, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 16, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32618, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 10, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32619, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 6, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32620, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 17, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32621, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 3, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32622, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 12, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32623, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 12, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32624, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 4, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32625, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 6, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32626, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32627, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 10, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32628, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32629, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 11, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32630, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32631, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32632, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32633, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32634, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 21, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32635, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 13, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32636, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32637, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32638, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 2, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32639, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32640, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32641, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 4, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32642, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 23, 2024, 5, 29, '2024-08-05 14:38:28', NULL, NULL), (32643, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 17, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32644, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32645, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 23, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32646, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 120, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32647, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32648, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 9, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32649, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 120, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32650, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32651, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 23, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 17, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 9, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32655, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32656, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32657, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32658, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 17, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (32659, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32660, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 2, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32661, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32662, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32663, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 8, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32664, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32665, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32666, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 21, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32667, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 9, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32668, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32669, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 5, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32670, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 4, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32671, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 10, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32672, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 5, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32673, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32674, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 7, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32675, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 15, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32676, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 3, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32677, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32678, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32679, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 7, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32680, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32681, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32682, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 6, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32683, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 8, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32684, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 9, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32685, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32686, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 11, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32687, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 164, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32688, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 17, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32689, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32690, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 21, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32691, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32692, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32693, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 117, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32694, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 9, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32695, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32696, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32697, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32698, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 16, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32699, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 2, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32700, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32701, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32702, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32703, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 20, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32704, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 8, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32705, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32706, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 9, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32707, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 11, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32708, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 3, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32709, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32710, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 7, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32711, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32712, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 14, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32713, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 3, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32714, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 5, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32715, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 7, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32716, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32717, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 5, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32718, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 10, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32719, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 4, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32720, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 6, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32721, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 7, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32722, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 8, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32723, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 17, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32724, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32725, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32726, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32727, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32728, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32729, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32730, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32731, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32732, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 9, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32733, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32734, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32735, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 21, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32736, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 4, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32737, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 2, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32738, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32739, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 11, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32740, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32741, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 9, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32742, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32743, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 3, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32744, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 7, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32745, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 3, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32746, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 15, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32747, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 7, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32748, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 5, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32749, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 10, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32750, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 5, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32751, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32752, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 8, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32753, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 6, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32754, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 4, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32755, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32756, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32757, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 9, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32758, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 11, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32759, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32760, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 7, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32761, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 14, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32762, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 3, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32763, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 3, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32764, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 7, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32765, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 7, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32766, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 5, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32767, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 10, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32768, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 5, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32769, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32770, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32771, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 6, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32772, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32773, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32774, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 8, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32775, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 16, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32776, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32777, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 9, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32778, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32779, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 2, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32780, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32781, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 20, 2024, 5, 30, '2024-08-05 14:38:28', NULL, NULL), (32782, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 17, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32783, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32784, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 29, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32785, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32786, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 101, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32787, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32788, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32789, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 101, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32790, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32791, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32792, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 29, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32793, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 17, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32795, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32796, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32797, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32798, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 19, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32799, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32800, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32801, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32802, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 8, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32803, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 5, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32804, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32805, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32806, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 15, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32807, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 6, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32808, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 6, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32809, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 3, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32810, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32811, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 5, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32812, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32813, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 8, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32814, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32815, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 6, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32816, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32817, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32818, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 5, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32819, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32820, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32821, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 8, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32822, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 3, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32823, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D08', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32824, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 12, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32825, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 8, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32826, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 9, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32827, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 7, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32828, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32829, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32830, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 142, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32831, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32832, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 17, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32833, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32834, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32835, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 28, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32836, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32837, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32838, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 92, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32839, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A21', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32840, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 5, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32841, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32842, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32843, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32844, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 18, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32845, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32846, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32847, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32848, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32849, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 15, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32850, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32851, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 5, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32852, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 8, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32853, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A22', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32854, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 8, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32855, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 6, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32856, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32857, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32858, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32859, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 5, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32860, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 5, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32861, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32862, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32863, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 5, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32864, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32865, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 7, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32866, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 6, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32867, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32868, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 3, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32869, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 11, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32870, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 7, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32871, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 5, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32872, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 19, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32873, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 8, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32874, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32875, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32876, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32877, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32878, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 6, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32879, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32880, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 15, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32881, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32882, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32883, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 3, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32884, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32885, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32886, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32887, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32888, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 7, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32889, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32890, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 9, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32891, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 3, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32892, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32893, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 8, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32894, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 5, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32895, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 6, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32896, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 8, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32897, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 5, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32898, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32899, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D08', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32900, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 6, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32901, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32902, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 8, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32903, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 12, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32904, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 3, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32905, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32906, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32907, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32908, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32909, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 8, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32910, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 6, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32911, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 7, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32912, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 5, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32913, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 5, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32914, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 8, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32915, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 7, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32916, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 6, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32917, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32918, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 5, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32919, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 8, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32920, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 11, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32921, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32922, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A22', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32923, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A21', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32924, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E21', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32925, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32926, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32927, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 5, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32928, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 18, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32929, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32930, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32931, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 5, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32932, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32933, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32934, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32935, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 15, 2024, 5, 31, '2024-08-05 14:38:29', NULL, NULL), (32936, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32937, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 5, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32938, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 14, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32939, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 9, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32940, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 14, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32941, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32942, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 9, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32943, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 5, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32944, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32945, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 6, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32946, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32947, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32948, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32949, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32950, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D07', '', 1, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32951, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 3, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32952, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32953, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 4, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32954, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32955, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32956, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 26, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32957, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32958, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 7, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32959, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 5, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32960, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 14, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32961, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 4, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32962, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32963, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32964, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 3, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32965, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 4, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32966, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32967, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32968, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A06', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32969, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 3, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32970, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32971, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32972, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32973, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32974, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32975, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32976, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32977, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 3, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32978, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D07', '', 1, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32979, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 4, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32980, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 6, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32981, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32982, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 3, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32983, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 4, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32984, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32985, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32986, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 3, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32987, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32988, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32989, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A06', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32990, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 3, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32991, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 4, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32992, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 2, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32993, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2024, 6, 1, '2024-08-05 14:38:29', NULL, NULL), (32994, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 1, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (32995, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 4, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (32996, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (32997, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (32998, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 4, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (32999, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (33000, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 4, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (33001, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 2, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (33002, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (33003, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 6, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (33004, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (33005, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 4, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (33006, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 4, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (33007, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 2, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (33008, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 4, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (33009, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (33010, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 2, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (33011, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 2, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (33012, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 4, 2024, 6, 2, '2024-08-05 14:38:30', NULL, NULL), (33013, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 20, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33014, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 57, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33015, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 6, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33016, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 130, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33017, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33018, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 130, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 6, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33021, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33022, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 57, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33023, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33024, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 20, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33025, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 2, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33026, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33027, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33028, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 4, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33029, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 27, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33030, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33031, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33032, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33033, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33034, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33035, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 8, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33036, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 6, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33037, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33038, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33039, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33040, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 20, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33041, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33042, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 5, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33043, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 10, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33044, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 4, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33045, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 22, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33046, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 2, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33047, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 16, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33048, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 5, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33049, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33050, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 16, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33051, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33052, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33053, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 2, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33054, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 16, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33055, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 6, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33056, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 13, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33057, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 11, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33058, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 204, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33059, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 20, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33060, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 53, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33061, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 5, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33062, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33063, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 121, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33064, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33065, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33066, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33067, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 27, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33068, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33069, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33070, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 2, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33071, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33072, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 20, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33073, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33074, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 6, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33075, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33076, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 8, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33077, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E30', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33078, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 13, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33079, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 11, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 14, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33081, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33082, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 21, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33084, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 2, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33085, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33086, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 16, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33087, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 4, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33088, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 9, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33089, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 5, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33090, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33091, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 15, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33092, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 5, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33093, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 6, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33094, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 27, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33095, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 8, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33096, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33097, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33098, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33099, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33100, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 4, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33101, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33102, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33103, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 2, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33104, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 20, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33105, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33106, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E30', '', 2, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33107, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 4, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33108, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 16, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33109, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33110, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33111, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33112, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 11, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33113, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 13, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33114, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33115, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33116, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 2, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33117, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33118, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 16, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33119, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 5, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33120, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 22, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33121, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 10, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33122, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 5, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33123, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33124, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 6, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (33125, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 16, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33126, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33127, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E30', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33128, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 16, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33129, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 4, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33130, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33131, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 13, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33132, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 11, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33133, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 9, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33134, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 21, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33135, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33136, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 14, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33137, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33138, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 5, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33139, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 5, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33140, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 8, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33141, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 15, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33142, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33143, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33144, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33145, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33146, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 6, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33147, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 27, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33148, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 2, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33149, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33150, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 3, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33151, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33152, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 2, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33153, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33154, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 20, 2024, 6, 3, '2024-08-05 14:38:31', NULL, NULL), (33155, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 18, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33156, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33157, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33158, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 37, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33159, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33160, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 104, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33161, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 10, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 104, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33163, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33164, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33165, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 37, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33166, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 18, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33167, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 10, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33168, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33169, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33170, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33171, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 15, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33172, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33173, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33174, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33175, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33176, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33177, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33178, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33179, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 6, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33180, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 18, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33181, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D04', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33182, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 6, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33183, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33184, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 3, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33185, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 6, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33186, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33187, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33188, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 3, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33189, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 10, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33190, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 8, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33191, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33192, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33193, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 6, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33194, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 10, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33195, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33196, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33197, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 16, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33198, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33199, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 6, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33200, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 15, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33201, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 8, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33202, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33203, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33204, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 161, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33205, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33206, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33207, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33208, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 34, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33209, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33210, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33211, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 2, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33212, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 18, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33213, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33214, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33215, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33216, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33217, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 97, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33218, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A23', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33219, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A21', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33220, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33221, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33222, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33223, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 15, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33224, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33225, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33226, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 6, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33227, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 18, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33228, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33229, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33230, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33231, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A21', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33232, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A21', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33233, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 11, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33234, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33235, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 8, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33236, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33237, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 10, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33238, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33239, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A21', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33240, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33241, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 9, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33242, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33243, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 8, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33244, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 3, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33245, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C13', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33246, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 3, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33247, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 6, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33248, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D04', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33249, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33250, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 6, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33251, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 16, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33252, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 6, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33253, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33254, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33255, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 15, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33256, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33257, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33258, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33259, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 6, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33260, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33261, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33262, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D18', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33263, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33264, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33265, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 18, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33266, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 6, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33267, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33268, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 3, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33269, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 8, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33270, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33271, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33272, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 8, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33273, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33274, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 15, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33275, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33276, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33277, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 6, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33278, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 10, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33279, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D04', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33280, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33281, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 10, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33282, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 6, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33283, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 3, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33284, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33285, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 6, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33286, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 16, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33287, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 6, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33288, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33289, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 8, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33290, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 3, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33291, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33292, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 11, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33293, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 8, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33294, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C13', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33295, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 6, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33296, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 9, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33297, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33298, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33299, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 10, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33300, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 6, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33301, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33302, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 3, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33303, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33304, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D04', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33305, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 16, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33306, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33307, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A21', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33308, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A21', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33309, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 6, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33310, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33311, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33312, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 15, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33313, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '1A21', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33314, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33315, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A23', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33316, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A21', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33317, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33318, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 4, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33319, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33320, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33321, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 18, 2024, 6, 4, '2024-08-05 14:38:31', NULL, NULL), (33322, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 18, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33323, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33324, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 34, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33325, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 122, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33326, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 122, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 34, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 18, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33332, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33333, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33334, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 14, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33335, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33336, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33337, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33338, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33339, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33340, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 7, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33341, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 7, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33342, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33343, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E27', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33344, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 21, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33345, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 3, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33346, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 4, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33347, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 9, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33348, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 6, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33349, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33350, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 9, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33351, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 7, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33352, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 9, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33353, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33354, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 4, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33355, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 8, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33356, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33357, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33358, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 18, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33359, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 14, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33360, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 6, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33361, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 14, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33362, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33363, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 168, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33364, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 17, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33365, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33366, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 29, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33367, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33368, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 117, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33369, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33370, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33371, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33372, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 14, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33373, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E27', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33374, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33375, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 7, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33376, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33377, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 21, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33378, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33379, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 7, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33380, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 6, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33381, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 13, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33382, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 4, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33383, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33384, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 9, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33385, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 8, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33386, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 7, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33387, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 8, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33388, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33389, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 6, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33390, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 4, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33391, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 3, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33392, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 18, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33393, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 12, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33394, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D19', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33395, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A08', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33396, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33397, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 7, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33398, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 14, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33399, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33400, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33401, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E20', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33402, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 7, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33403, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33404, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33405, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 5, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33406, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E27', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33407, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33408, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33409, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33410, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 21, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33411, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 3, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33412, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 7, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33413, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33414, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33415, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 14, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33416, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 6, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33417, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33418, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 4, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33419, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 8, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33420, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 9, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33421, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 9, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33422, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 6, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33423, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 9, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33424, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 4, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33425, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 14, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33426, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 18, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33427, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 3, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33428, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33429, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 7, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33430, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 6, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33431, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 13, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33432, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 6, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33433, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 9, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33434, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 8, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33435, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 4, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33436, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 8, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33437, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 12, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33438, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D19', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33439, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 4, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33440, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A08', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33441, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 8, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33442, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33443, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E27', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33444, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 18, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33445, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33446, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33447, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E20', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33448, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33449, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 7, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33450, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 7, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33451, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 14, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33452, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33453, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33454, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 21, 2024, 6, 5, '2024-08-05 14:38:32', NULL, NULL), (33455, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 15, 2024, 6, 6, '2024-08-05 14:38:32', NULL, NULL), (33456, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 6, 6, '2024-08-05 14:38:32', NULL, NULL), (33457, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 6, 6, '2024-08-05 14:38:32', NULL, NULL), (33458, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 35, 2024, 6, 6, '2024-08-05 14:38:32', NULL, NULL), (33459, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 5, 2024, 6, 6, '2024-08-05 14:38:32', NULL, NULL), (33460, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 111, 2024, 6, 6, '2024-08-05 14:38:32', NULL, NULL), (33461, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2024, 6, 6, '2024-08-05 14:38:32', NULL, NULL), (33462, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 2, 2024, 6, 6, '2024-08-05 14:38:32', NULL, NULL), (33463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 111, 2024, 6, 6, '2024-08-05 14:38:32', NULL, NULL), (33464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 6, 6, '2024-08-05 14:38:32', NULL, NULL), (33465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 5, 2024, 6, 6, '2024-08-05 14:38:32', NULL, NULL), (33466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 35, 2024, 6, 6, '2024-08-05 14:38:32', NULL, NULL), (33467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2024, 6, 6, '2024-08-05 14:38:32', NULL, NULL), (33468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 15, 2024, 6, 6, '2024-08-05 14:38:32', NULL, NULL), (33469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2024, 6, 6, '2024-08-05 14:38:32', NULL, NULL), (33470, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33471, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 6, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33472, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33473, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 16, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33474, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33475, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33476, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 2, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33477, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33478, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 6, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33479, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 4, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33480, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33481, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33482, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33483, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C07', '', 3, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33484, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E27', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33485, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 18, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33486, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D04', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33487, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33488, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 3, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33489, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 11, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33490, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33491, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 7, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33492, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33493, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 3, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33494, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33495, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B12', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33496, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 11, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33497, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33498, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 13, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33499, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33500, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 9, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33501, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33502, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 16, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33503, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 17, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33504, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33505, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 154, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33506, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 15, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33507, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 2, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33508, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33509, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 29, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33510, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33511, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33512, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33513, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 102, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33514, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33515, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33516, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33517, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 16, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33518, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33519, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E27', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33520, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33521, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33522, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 6, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33523, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33524, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 15, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33525, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33526, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 4, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33527, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 6, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33528, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A21', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33529, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 15, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33530, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B12', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33531, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 16, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33532, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33533, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 11, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33534, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33535, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33536, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 7, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33537, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 2, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33538, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33539, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 3, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33540, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33541, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 11, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33542, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D04', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33543, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 13, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33544, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 6, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33545, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33546, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 4, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33547, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 16, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33548, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C07', '', 3, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33549, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 6, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33550, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 6, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33551, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E20', '', 2, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33552, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33553, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33554, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33555, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 5, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33556, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E27', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33557, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33558, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 18, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33559, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33560, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33561, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 3, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33562, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B10', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33563, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B12', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33564, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33565, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 17, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33566, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33567, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 16, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33568, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33569, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33570, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33571, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 11, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33572, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D04', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33573, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 3, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33574, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 7, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33575, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 11, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33576, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 3, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33577, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 9, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33578, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 13, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33579, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B10', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33580, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B12', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33581, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 3, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33582, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33583, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33584, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 15, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33585, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 16, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33586, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 11, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (33587, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 7, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33588, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 2, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33589, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33590, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 11, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33591, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 6, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33592, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 3, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33593, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 6, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33594, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 6, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33595, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E27', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33596, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D04', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33597, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 13, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33598, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A21', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33599, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33600, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E20', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33601, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33602, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33603, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 4, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33604, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 16, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33605, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33606, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33607, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33608, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33609, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 15, 2024, 6, 6, '2024-08-05 14:38:33', NULL, NULL), (33610, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 16, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33611, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 3, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33612, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 23, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33613, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 5, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33614, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 98, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33615, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33616, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 98, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33619, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 5, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33620, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 23, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 16, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33624, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33625, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33626, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 13, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33627, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33628, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33629, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33630, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33631, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33632, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33633, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 7, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33634, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33635, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33636, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33637, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 31, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33638, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33639, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33640, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 3, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33641, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 6, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33642, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33643, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33644, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 3, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33645, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 7, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33646, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 5, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33647, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33648, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 6, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33649, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 16, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33650, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33651, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33652, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 13, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33653, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 7, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33654, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33655, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 4, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33656, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 6, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33657, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 129, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33658, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 20, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33659, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33660, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33661, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33662, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 11, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33663, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33664, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33665, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常不满意', '', '', 5, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33666, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 88, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33667, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33668, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33669, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33670, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33671, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 13, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33672, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33673, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1E18', '', 3, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33674, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33675, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33676, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 28, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33677, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 4, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33678, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33679, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1E17', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33680, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 3, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33681, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33682, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 6, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33683, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A19', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33684, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33685, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 16, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33686, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33687, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 3, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33688, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 6, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33689, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 3, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33690, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33691, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 6, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33692, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33693, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33694, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D28', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33695, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 12, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33696, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 6, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33697, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 13, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33698, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 7, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33699, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33700, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33701, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33702, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33703, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33704, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33705, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33706, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33707, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D18', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33708, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33709, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 31, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33710, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33711, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33712, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 7, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33713, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B10', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33714, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33715, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33716, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 4, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33717, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33718, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 16, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33719, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33720, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 6, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33721, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 5, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33722, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 3, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33723, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 6, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33724, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33725, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 3, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33726, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33727, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 7, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33728, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 13, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33729, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D28', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33730, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33731, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B10', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33732, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常不满意', '1E18', '', 3, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33733, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 6, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33734, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33735, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 16, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33736, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 3, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33737, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 6, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33738, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33739, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 3, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33740, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33741, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 6, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33742, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 6, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33743, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A19', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33744, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33745, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 3, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33746, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33747, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 12, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33748, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33749, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33750, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 13, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33751, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 4, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33752, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常不满意', '1E17', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33753, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33754, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33755, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33756, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33757, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 2, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33758, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 28, 2024, 6, 7, '2024-08-05 14:38:33', NULL, NULL), (33759, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 10, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33760, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 10, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33763, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33764, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 6, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33765, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33766, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33767, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 2, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33768, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33769, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 11, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33770, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33771, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '', '', 1, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33772, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33773, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 9, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33774, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33775, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 2, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33776, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33777, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 1, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33778, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A10', '', 1, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33779, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 6, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33780, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33781, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33782, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 2, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33783, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 2, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33784, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 6, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33785, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33786, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33787, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 6, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33788, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 2, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33789, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33790, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 1, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33791, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '2A10', '', 1, 2024, 6, 8, '2024-08-05 14:38:34', NULL, NULL), (33792, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 1, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33793, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 2, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33794, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33795, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33796, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33801, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33802, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E23', '', 1, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33803, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33804, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 5, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33805, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33806, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 9, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33807, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 1, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33808, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33809, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33810, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33811, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33812, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 5, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33813, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E23', '', 1, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33814, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33815, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33816, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 5, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33817, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33818, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E23', '', 1, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33819, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 1, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33820, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 5, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33821, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33822, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E23', '', 1, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33823, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 6, 9, '2024-08-05 14:38:34', NULL, NULL), (33824, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33825, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33826, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33827, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33828, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33829, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33830, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33831, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33832, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33833, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33834, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33835, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33836, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 3, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33837, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33838, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33839, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33840, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33841, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33842, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33843, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E25', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33844, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33845, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33846, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33847, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33848, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33849, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 6, 10, '2024-08-05 14:38:35', NULL, NULL), (33850, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 18, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33851, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33852, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 25, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33853, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33854, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 107, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33855, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33856, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 107, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 25, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33862, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 18, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33863, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33864, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33865, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 2, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33866, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33867, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33868, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 11, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33869, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33870, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33871, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33872, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33873, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 2, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33874, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33875, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33876, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B08', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33877, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 5, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33878, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 25, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33879, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33880, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 3, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33881, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 4, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33882, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 6, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33883, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 23, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33884, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 8, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33885, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 4, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33886, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33887, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 2, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33888, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33889, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 10, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33890, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C10', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33891, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 2, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33892, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33893, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33894, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 9, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33895, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 7, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33896, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33897, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 8, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33898, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 149, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33899, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 18, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33900, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33901, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 24, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33902, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33903, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33904, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 100, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33905, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33906, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33907, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 11, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33908, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B08', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33909, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 2, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33910, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33911, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33912, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 5, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33913, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 24, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33914, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33915, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 2, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33916, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33917, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33918, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E30', '', 2, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33919, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33920, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 8, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33921, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33922, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 10, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33923, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33924, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 7, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33925, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 4, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33926, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 2, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33927, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33928, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 5, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33929, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 20, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33930, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33931, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 3, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33932, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 3, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33933, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 9, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33934, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 7, 2024, 6, 11, '2024-08-05 14:38:35', NULL, NULL), (33935, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 11, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33936, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33937, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 2, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33938, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 5, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33939, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33940, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33941, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 5, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33942, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33943, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33944, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33945, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B08', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33946, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33947, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 2, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33948, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 25, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33949, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33950, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 3, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33951, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E30', '', 2, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33952, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 2, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33953, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C10', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33954, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 8, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33955, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33956, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33957, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33958, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 2, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33959, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33960, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33961, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 10, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33962, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 4, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33963, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 8, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33964, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 23, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33965, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 6, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33966, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 4, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33967, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 7, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33968, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 9, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33969, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 3, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33970, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33971, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E30', '', 2, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33972, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 2, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33973, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33974, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33975, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 8, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33976, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 20, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33977, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 7, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33978, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 4, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33979, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33980, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 10, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33981, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 7, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33982, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 3, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33983, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 5, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33984, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33985, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 5, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33986, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 9, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33987, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33988, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 5, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33989, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33990, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 2, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33991, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 11, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33992, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33993, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B08', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33994, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 2, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33995, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33996, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 2, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33997, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33998, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 24, 2024, 6, 11, '2024-08-05 14:38:36', NULL, NULL), (33999, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 16, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34000, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 5, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34001, 1, '511500000000-0001', '宜宾市民中心', '市中医药管理局', '', '', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34002, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 49, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34003, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34004, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 111, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34005, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34006, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34007, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 111, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34008, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34009, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 49, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 16, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34014, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34015, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34016, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34017, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 27, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34018, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34019, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34020, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 7, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34021, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34022, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34023, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34024, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E28', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34025, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34026, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E05', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34027, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34028, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 16, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34029, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34030, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34031, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34032, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34033, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34034, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 4, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34035, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E12', '', 3, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34036, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 9, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34037, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34038, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 7, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34039, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34040, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 4, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34041, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 8, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34042, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34043, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34044, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 6, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34045, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 6, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34046, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B11', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34047, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34048, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C10', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34049, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 10, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34050, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 10, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (34051, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 14, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34052, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 12, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34053, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 6, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34054, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34055, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 177, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34056, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 45, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34057, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34058, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34059, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 15, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34060, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34061, 1, '511500000000-0001', '宜宾市民中心', '市中医药管理局', '非常满意', '', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34062, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 4, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34063, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 107, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34064, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A08', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34065, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34066, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34067, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 27, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34068, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E05', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34069, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E28', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34070, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34071, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 4, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34072, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34073, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34074, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 16, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34075, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34076, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34077, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 7, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34078, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B11', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34079, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 12, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34081, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 6, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34082, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 6, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34084, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 6, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34085, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 10, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34086, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E12', '', 3, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34087, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 7, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34088, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34089, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E13', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34090, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 8, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34091, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 3, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34092, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 4, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34093, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34094, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 9, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34095, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34096, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34097, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34098, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34099, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 10, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34100, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 12, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34101, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34102, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 27, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34103, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34104, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34105, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 7, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34106, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34107, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 4, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34108, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34109, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 3, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34110, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E28', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34111, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E05', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34112, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34113, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34114, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 16, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34115, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34116, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34117, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E12', '', 3, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34118, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34119, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34120, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34121, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34122, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 4, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34123, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B11', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34124, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C10', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34125, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34126, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34127, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 6, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34128, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34129, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 12, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34130, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 10, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34131, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 6, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34132, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 6, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34133, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 8, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34134, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 7, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34135, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 9, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34136, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 4, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34137, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34138, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34139, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 14, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34140, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 10, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34141, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34142, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34143, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B11', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34144, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 4, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34145, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34146, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E12', '', 3, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34147, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E13', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34148, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 10, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34149, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 12, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34150, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 6, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34151, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 9, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34152, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 7, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34153, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 8, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34154, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 6, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34155, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 6, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34156, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 12, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34157, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34158, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34159, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 3, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34160, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34161, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 7, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34162, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34163, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E05', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34164, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E28', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34165, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 10, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34166, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34167, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34168, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34169, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 4, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34170, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34171, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 27, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34172, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34173, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34174, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34175, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34176, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 16, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34177, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A08', '', 1, 2024, 6, 12, '2024-08-05 14:38:36', NULL, NULL), (34178, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 4, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34179, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 9, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34180, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 27, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34181, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34182, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 116, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34183, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 2, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34184, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34185, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 116, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 9, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34188, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34189, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34190, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 27, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34191, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34192, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 4, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34193, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34194, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34195, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34196, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34197, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34198, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 15, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34199, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34200, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34201, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34202, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34203, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34204, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 22, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34205, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 16, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34206, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D38', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34207, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34208, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34209, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 6, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34210, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 7, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34211, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34212, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34213, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 8, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34214, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 3, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34215, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34216, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 2, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34217, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 6, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34218, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C10', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34219, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B11', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34220, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 15, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34221, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 2, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34222, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 11, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34223, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 9, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34224, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 9, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34225, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34226, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 10, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34227, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 6, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34228, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34229, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 153, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34230, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34231, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 26, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34232, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34233, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34234, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 3, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34235, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34236, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常不满意', '', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34237, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 9, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34238, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 109, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34239, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2B10', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34240, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 14, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34241, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34242, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34243, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34244, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 15, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34245, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34246, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34247, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 22, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34248, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34249, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B11', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34250, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 10, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34251, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 6, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34252, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 2, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34253, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 6, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34254, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 13, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34255, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34256, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 3, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34257, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 8, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34258, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 6, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34259, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34260, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 7, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34261, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34262, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 11, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34263, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D38', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34264, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D05', '', 9, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34265, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 8, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34266, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34267, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 15, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34268, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34269, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34270, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34271, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34272, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34273, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34274, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 16, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34275, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D38', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34276, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 2, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34277, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 22, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34278, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34279, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34280, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 8, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34281, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B10', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34282, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B11', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34283, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C10', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34284, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34285, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 6, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34286, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 9, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34287, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 10, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34288, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34289, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 15, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34290, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 2, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34291, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 6, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34292, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 3, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34293, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 2, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34294, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 7, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34295, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 6, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34296, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34297, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34298, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 9, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34299, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 11, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34300, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34301, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B11', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34302, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 8, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34303, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34304, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 13, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34305, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 10, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34306, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 6, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34307, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 7, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34308, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34309, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 3, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34310, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 2, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34311, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 6, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34312, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 8, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34313, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D38', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34314, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 6, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34315, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34316, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34317, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 11, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34318, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D05', '', 9, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34319, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常不满意', '2B10', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34320, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 15, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34321, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34322, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 14, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34323, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34324, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34325, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34326, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 22, 2024, 6, 13, '2024-08-05 14:38:37', NULL, NULL), (34327, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 11, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34328, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 47, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34329, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34330, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 92, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34331, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34332, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 15, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 92, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34335, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34336, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 47, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34337, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 11, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34338, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 15, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34339, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34340, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 3, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34341, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 5, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34342, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 25, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34343, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 4, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34344, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34345, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D21', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34346, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 7, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34347, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34348, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34349, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34350, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34351, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 6, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34352, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 13, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34353, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 2, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34354, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 3, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34355, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 4, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34356, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D14', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34357, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E12', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34358, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 13, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34359, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34360, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 3, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34361, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34362, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34363, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34364, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 6, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34365, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34366, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 7, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34367, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34368, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34369, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34370, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 3, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34371, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C10', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34372, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 15, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34373, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34374, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 16, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34375, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 7, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34376, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34377, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34378, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34379, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34380, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 155, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34381, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34382, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 11, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34383, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34384, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 44, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34385, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34386, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 15, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34387, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 84, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34388, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E02', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34389, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 11, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34390, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D21', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34391, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34392, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 24, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34393, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 4, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34394, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34395, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 3, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34396, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 5, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34397, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 5, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34398, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34399, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34400, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34401, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34402, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 7, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34403, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A10', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34404, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E30', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34405, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 3, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34406, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34407, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D10', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34408, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34409, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 6, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34410, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34411, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 15, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34412, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 3, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34413, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E12', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34414, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E13', '', 2, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34415, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34416, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 6, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34417, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D14', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34418, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34419, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 4, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34420, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34421, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 11, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34422, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 2, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34423, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 14, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34424, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 7, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34425, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2024, 6, 14, '2024-08-05 14:38:37', NULL, NULL), (34426, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34427, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 25, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34428, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 3, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34429, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 5, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34430, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 7, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34431, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34432, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34433, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34434, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34435, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34436, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 13, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34437, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D14', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34438, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34439, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 6, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34440, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 3, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34441, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E12', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34442, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 2, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34443, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34444, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E30', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34445, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34446, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34447, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C10', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34448, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34449, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 3, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34450, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34451, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D21', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34452, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34453, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34454, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 4, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34455, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 3, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34456, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 15, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34457, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 7, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34458, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34459, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 6, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34460, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 3, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34461, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 13, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34462, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 4, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34463, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 7, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34464, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 16, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34465, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 2, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34466, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D21', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34467, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34468, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A10', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34469, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E30', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34470, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34471, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 2, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34472, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E12', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34473, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E13', '', 2, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34474, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 15, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34475, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34476, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34477, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 11, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34478, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D14', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34479, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 3, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34480, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 6, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34481, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 6, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34482, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34483, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 7, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34484, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 4, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34485, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 5, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34486, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 7, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34487, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 3, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34488, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 14, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34489, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34490, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34491, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D10', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34492, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 3, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34493, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34494, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34495, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 24, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34496, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '2E02', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34497, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 11, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34498, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34499, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 4, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34500, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 3, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34501, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34502, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 5, 2024, 6, 14, '2024-08-05 14:38:38', NULL, NULL), (34503, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 2, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34504, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 12, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34505, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (34506, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34507, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 11, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34508, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34509, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34510, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34511, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34512, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34513, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34514, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34515, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A14', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34516, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 2, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34517, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34518, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A23', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34519, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34520, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34521, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34522, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 3, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34523, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34524, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 16, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34525, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34526, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34527, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34528, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34529, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34530, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 11, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34531, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34532, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A14', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34533, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34534, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 2, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34535, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34536, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34537, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 3, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34538, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34539, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A23', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34540, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34541, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A22', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34542, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34543, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34544, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34545, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34546, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34547, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34548, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 2, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34549, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A14', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34550, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A23', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34551, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34552, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34553, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34554, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34555, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 3, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34556, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 3, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34557, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34558, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34559, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34560, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34561, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A14', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34562, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A23', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34563, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 2, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34564, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34565, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34566, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '2A22', '', 1, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34567, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 6, 15, '2024-08-05 14:38:38', NULL, NULL), (34568, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 1, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34569, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 2, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34570, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 8, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34571, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 16, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34572, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 8, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34573, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 16, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34574, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34575, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34576, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34577, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34578, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 15, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34579, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34580, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34581, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 6, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34582, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34583, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 16, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34584, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 2, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34585, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 4, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34586, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '', '', 4, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34587, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '', '', 2, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34588, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 7, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34589, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34590, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 2, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34591, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 7, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34592, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A05', '', 2, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34593, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 7, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34594, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A05', '', 4, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34595, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34596, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 6, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34597, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A05', '', 2, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34598, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34599, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34600, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34601, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34602, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34603, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 6, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34604, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 15, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34605, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '2A05', '', 2, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34606, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '2A05', '', 4, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34607, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 1, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34608, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 7, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34609, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 6, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34610, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A05', '', 2, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34611, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 6, 16, '2024-08-05 14:38:38', NULL, NULL), (34612, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心', '', '', '', 1, 2024, 6, 17, '2024-08-05 14:38:38', NULL, NULL), (34613, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 14, 2024, 6, 17, '2024-08-05 14:38:38', NULL, NULL), (34614, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 5, 2024, 6, 17, '2024-08-05 14:38:38', NULL, NULL), (34615, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 43, 2024, 6, 17, '2024-08-05 14:38:38', NULL, NULL), (34616, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 6, 17, '2024-08-05 14:38:38', NULL, NULL), (34617, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 110, 2024, 6, 17, '2024-08-05 14:38:38', NULL, NULL), (34618, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 9, 2024, 6, 17, '2024-08-05 14:38:38', NULL, NULL), (34619, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 6, 17, '2024-08-05 14:38:38', NULL, NULL), (34620, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 6, 17, '2024-08-05 14:38:38', NULL, NULL), (34621, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 110, 2024, 6, 17, '2024-08-05 14:38:38', NULL, NULL), (34622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 5, 2024, 6, 17, '2024-08-05 14:38:38', NULL, NULL), (34623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 6, 17, '2024-08-05 14:38:38', NULL, NULL), (34624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 6, 17, '2024-08-05 14:38:38', NULL, NULL), (34625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 43, 2024, 6, 17, '2024-08-05 14:38:38', NULL, NULL), (34626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 9, 2024, 6, 17, '2024-08-05 14:38:38', NULL, NULL), (34627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 13, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34629, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34630, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34631, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34632, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34633, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 4, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34634, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 23, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34635, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34636, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 6, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34637, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 7, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34638, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34639, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34640, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E05', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34641, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 12, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34642, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34643, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 18, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34644, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 4, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34645, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 6, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34646, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 3, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34647, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34648, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A16', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34649, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E22', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34650, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 8, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34651, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34652, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34653, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 6, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34654, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34655, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 5, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34656, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 4, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34657, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 5, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34658, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 6, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34659, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 11, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34660, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34661, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 2, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34662, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 17, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34663, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34664, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 9, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34665, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34666, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 4, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34667, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34668, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 177, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34669, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34670, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 43, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34671, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34672, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心', '非常满意', '', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34673, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34674, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34675, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 14, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34676, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34677, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34678, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 104, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34679, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 11, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34680, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34681, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34682, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 3, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34683, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 23, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34684, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E05', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34685, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34686, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34687, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34688, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 7, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34689, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34690, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34691, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 6, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34692, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A10', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34693, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34694, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 3, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34695, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 5, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34696, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 6, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34697, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B10', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34698, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 11, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34699, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 6, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34700, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A16', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34701, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 5, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34702, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 3, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34703, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 4, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34704, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34705, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34706, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 7, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34707, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E22', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34708, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34709, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 18, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34710, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D18', '', 2, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34711, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 4, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34712, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 4, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34713, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 16, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34714, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 9, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34715, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 7, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34716, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34717, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 23, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34718, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 5, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34719, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 3, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34720, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 6, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34721, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34722, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E05', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34723, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34724, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 12, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34725, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D18', '', 2, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34726, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34727, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34728, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E22', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34729, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34730, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A16', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34731, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34732, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34733, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 4, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34734, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34735, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 4, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34736, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B10', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34737, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34738, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34739, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 4, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34740, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 4, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34741, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34742, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 11, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34743, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 5, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34744, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 6, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34745, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 5, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34746, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 6, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34747, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 8, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34748, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 3, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34749, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 6, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34750, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 18, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34751, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 9, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34752, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 17, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34753, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 4, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34754, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34755, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34756, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E22', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34757, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A10', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34758, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B10', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34759, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 4, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34760, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 2, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34761, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 11, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34762, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 3, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34763, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A16', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34764, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 7, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34765, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 6, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34766, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 5, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34767, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 5, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34768, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 6, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34769, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D18', '', 2, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34770, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 9, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34771, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 18, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34772, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 4, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34773, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 3, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34774, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 3, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34775, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 6, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34776, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 5, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34777, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E05', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34778, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 16, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34779, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34780, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34781, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 7, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34782, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 23, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34783, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34784, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 11, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34785, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34786, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 3, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34787, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34788, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 6, 17, '2024-08-05 14:38:39', NULL, NULL), (34789, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 17, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34790, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 9, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34791, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 50, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34792, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34793, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 90, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34794, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34795, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 90, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34796, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 9, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34797, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34798, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 50, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34799, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 17, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34801, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34802, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34803, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 3, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34804, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 2, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34805, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34806, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 24, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34807, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34808, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34809, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 10, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34810, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34811, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 7, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34812, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34813, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 19, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34814, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34815, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 8, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34816, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34817, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 5, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34818, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34819, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 3, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34820, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 2, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34821, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34822, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34823, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 5, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34824, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34825, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 8, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34826, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34827, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 12, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34828, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 2, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34829, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34830, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34831, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34832, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34833, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34834, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 9, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34835, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34836, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 12, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34837, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34838, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 4, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34839, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 13, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34840, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34841, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34842, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 172, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34843, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34844, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 17, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34845, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34846, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 50, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34847, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34848, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 9, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34849, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34850, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 88, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34851, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A20', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34852, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 8, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34853, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34854, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 2, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34855, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34856, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 24, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34857, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34858, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34859, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 3, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34860, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 19, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34861, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34862, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 7, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34863, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34864, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34865, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 10, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34866, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A22', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34867, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 12, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34868, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34869, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34870, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34871, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 8, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34872, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34873, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 2, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34874, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E13', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34875, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D21', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34876, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D24', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34877, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34878, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 5, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34879, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D23', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34880, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 12, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34881, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 8, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34882, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34883, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 5, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34884, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34885, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 3, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34886, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 2, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34887, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 12, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34888, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34889, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 4, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34890, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34891, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 7, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34892, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 24, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34893, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 5, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34894, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34895, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 10, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34896, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34897, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34898, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 2, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34899, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 8, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34900, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34901, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34902, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34903, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34904, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34905, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 19, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34906, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34907, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34908, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34909, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34910, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34911, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 2, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34912, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 12, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34913, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 3, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34914, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 13, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34915, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34916, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34917, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 3, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34918, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 9, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34919, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34920, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34921, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 2, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34922, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34923, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 8, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34924, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 5, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34925, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 3, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34926, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 5, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34927, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 4, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34928, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 12, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34929, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 2, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34930, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D24', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34931, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34932, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34933, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34934, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 3, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34935, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 12, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34936, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E13', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34937, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 8, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34938, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 12, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34939, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 8, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34940, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 2, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34941, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34942, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34943, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 4, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34944, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 5, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34945, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 3, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34946, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 5, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34947, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34948, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 10, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34949, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 5, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34950, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 12, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34951, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34952, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A22', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34953, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A20', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34954, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E21', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34955, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 7, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34956, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 24, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34957, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34958, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 8, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34959, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 2, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34960, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34961, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34962, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D21', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (34963, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 3, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34964, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34965, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34966, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D23', '', 1, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34967, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 19, 2024, 6, 18, '2024-08-05 14:38:39', NULL, NULL), (34968, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 12, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34969, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34970, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 52, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34971, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34972, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 82, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34973, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34974, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 82, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 50, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 12, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34980, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34981, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34982, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34983, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34984, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34985, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 27, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34986, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34987, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34988, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 2, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34989, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34990, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34991, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 3, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34992, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34993, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 14, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34994, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 4, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34995, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 6, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34996, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E15', '', 2, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34997, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34998, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 7, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (34999, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35000, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35001, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35002, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 5, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35003, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E12', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35004, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 6, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35005, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35006, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35007, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 8, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35008, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 4, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35009, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35010, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35011, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 3, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35012, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35013, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 8, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35014, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35015, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 8, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35016, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 4, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35017, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 14, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35018, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 146, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35019, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 12, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35020, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 50, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35021, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35022, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35023, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35024, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 76, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35025, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 5, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35026, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35027, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35028, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35029, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 27, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35030, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 2, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35031, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35032, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35033, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35034, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35035, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 13, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35036, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 4, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35037, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35038, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 3, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35039, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35040, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35041, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 14, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35042, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 3, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35043, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35044, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 7, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35045, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35046, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E12', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35047, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35048, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E13', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35049, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35050, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 5, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35051, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35052, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 6, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35053, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 7, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35054, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35055, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 7, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35056, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35057, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 8, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35058, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E15', '', 2, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35059, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 4, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35060, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35061, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 3, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35062, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 27, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35063, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 5, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35064, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35065, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35066, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35067, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 4, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35068, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 2, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35069, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35070, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35071, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D12', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35072, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 6, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35073, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35074, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 14, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35075, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35076, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35077, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E12', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35078, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E15', '', 2, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35079, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35080, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 8, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35081, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35082, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35083, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35084, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 14, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35085, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35086, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35087, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35088, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 8, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35089, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 3, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35090, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35091, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 4, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35092, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35093, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 6, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35094, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 5, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35095, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35096, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 7, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35097, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 4, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35098, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 8, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35099, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E15', '', 2, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35100, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35101, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35102, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35103, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35104, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 7, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35105, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E12', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35106, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E13', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35107, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 7, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35108, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 14, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35109, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 6, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35110, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35111, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D12', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35112, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35113, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 3, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35114, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35115, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 4, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35116, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 7, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35117, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35118, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 5, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35119, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35120, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35121, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 5, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35122, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 8, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35123, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 4, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35124, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E21', '', 2, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35125, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35126, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 3, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35127, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 27, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35128, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 5, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35129, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35130, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35131, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35132, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 1, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35133, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35134, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 13, 2024, 6, 19, '2024-08-05 14:38:39', NULL, NULL), (35135, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 11, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35136, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 49, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35137, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35138, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 77, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35139, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35140, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 9, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 77, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35142, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35143, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35144, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 49, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35145, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 10, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35146, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 9, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35147, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 4, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35148, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35149, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 2, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35150, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35151, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35152, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 20, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35153, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35154, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35155, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35156, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35157, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35158, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35159, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35160, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35161, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35162, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E05', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35163, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 12, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35164, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 15, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35165, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35166, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E23', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35167, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 4, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35168, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 3, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35169, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E12', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35170, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 5, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35171, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35172, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 8, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35173, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 6, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35174, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 8, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35175, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 3, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35176, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 3, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35177, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 12, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35178, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 15, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35179, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 143, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35180, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 11, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35181, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 48, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35182, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35183, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 76, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35184, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 15, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35185, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35186, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35187, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 20, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35188, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E05', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35189, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35190, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35191, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35192, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 4, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35193, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35194, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 11, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35195, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 4, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35196, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35197, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35198, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35199, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E30', '', 3, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35200, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 15, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35201, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35202, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 3, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35203, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 3, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35204, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E12', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35205, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35206, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 6, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35207, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E23', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35208, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 4, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35209, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 8, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35210, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 5, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35211, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35212, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 12, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35213, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35214, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35215, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 20, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35216, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 4, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35217, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 3, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35218, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35219, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E20', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35220, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 4, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35221, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35222, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35223, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35224, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E05', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35225, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 3, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35226, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 15, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35227, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E23', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35228, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 12, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35229, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E12', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35230, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E30', '', 3, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35231, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 8, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35232, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 6, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35233, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35234, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 15, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35235, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35236, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 3, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35237, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 2, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35238, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 8, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35239, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35240, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 5, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35241, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 4, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35242, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35243, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35244, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 12, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35245, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E23', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35246, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E30', '', 3, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35247, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 6, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35248, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 8, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35249, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E12', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35250, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 3, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35251, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 15, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35252, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 5, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35253, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35254, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 3, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35255, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 8, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35256, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 2, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35257, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 4, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35258, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 3, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35259, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35260, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 4, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35261, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E05', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35262, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35263, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 12, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35264, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35265, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35266, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 4, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35267, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35268, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 20, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35269, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 15, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35270, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35271, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35272, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35273, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 11, 2024, 6, 20, '2024-08-05 14:38:39', NULL, NULL), (35274, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 7, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35275, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 40, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35276, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35277, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 52, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35278, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35279, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35280, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 52, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35282, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 40, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35283, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 7, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35286, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 10, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35287, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 7, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35288, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35289, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 14, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35290, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35291, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35292, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35293, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35294, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35295, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35296, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35297, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 2, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35298, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 9, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35299, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35300, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35301, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 4, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35302, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35303, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 13, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35304, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 4, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35305, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35306, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35307, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 4, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35308, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35309, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 10, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35310, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35311, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 4, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35312, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 96, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35313, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 5, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35314, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 38, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35315, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35316, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35317, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 48, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35318, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 8, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35319, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35320, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 14, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35321, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35322, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 7, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35323, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 10, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35324, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35325, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35326, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35327, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35328, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35329, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35330, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35331, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35332, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 4, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35333, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35334, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E13', '', 4, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35335, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35336, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 12, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35337, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 2, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35338, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35339, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 10, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35340, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35341, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35342, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 14, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35343, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 2, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35344, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 10, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35345, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35346, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 7, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35347, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35348, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35349, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35350, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35351, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 9, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35352, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35353, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 4, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35354, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35355, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 4, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35356, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35357, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35358, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 4, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35359, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35360, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35361, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 4, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35362, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 13, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35363, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35364, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35365, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 10, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35366, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35367, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E13', '', 4, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35368, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 4, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35369, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35370, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35371, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 12, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35372, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35373, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35374, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35375, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 2, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35376, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35377, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35378, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 7, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35379, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 10, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35380, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 10, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35381, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35382, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35383, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35384, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 14, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35385, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 8, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35386, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 3, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35387, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 6, 21, '2024-08-05 14:38:39', NULL, NULL), (35388, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 5, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35389, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35390, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 5, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35391, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35392, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35393, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35394, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35395, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 7, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35396, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 5, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35397, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35398, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35399, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35400, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35401, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35402, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35403, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35404, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35405, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35406, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2024, 6, 22, '2024-08-05 14:38:39', NULL, NULL), (35407, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 4, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35408, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35409, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 7, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35410, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35411, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35412, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 7, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35413, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35414, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 4, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35415, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35416, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 2, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35417, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35418, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 2, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35419, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35420, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35421, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (35422, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A11', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35423, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35424, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35425, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 3, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35426, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 12, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35427, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 4, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35428, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35429, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35430, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35431, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 5, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35432, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 2, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35433, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35434, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35435, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 3, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35436, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35437, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35438, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A11', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35439, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35440, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35441, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35442, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35443, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 2, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35444, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35445, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35446, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35447, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 2, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35448, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A11', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35449, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 3, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35450, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 2, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35451, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35452, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 2, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35453, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35454, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A11', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35455, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35456, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35457, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 3, 2024, 6, 23, '2024-08-05 14:38:39', NULL, NULL), (35458, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 15, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35459, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35460, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35461, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 44, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35462, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35463, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 86, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35464, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35465, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 86, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35469, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 44, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 15, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35473, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 7, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35474, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35475, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35476, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35477, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 21, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35478, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35479, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35480, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 7, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35481, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 4, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35482, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C08', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35483, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35484, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35485, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35486, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E05', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35487, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 21, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35488, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 11, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35489, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35490, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 4, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35491, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35492, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 12, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35493, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 6, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35494, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 5, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35495, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 8, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35496, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35497, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35498, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35499, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35500, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D08', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35501, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35502, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 12, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35503, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35504, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 6, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35505, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 5, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35506, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35507, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35508, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 143, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35509, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35510, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 44, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35511, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35512, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35513, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 14, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35514, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35515, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35516, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35517, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 80, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35518, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A02', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35519, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A10', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35520, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 10, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35521, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35522, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 21, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35523, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35524, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E05', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35525, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35526, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35527, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35528, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35529, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 7, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35530, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 21, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35531, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 3, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35532, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 7, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35533, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 6, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35534, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A23', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35535, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 5, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35536, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35537, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35538, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E13', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35539, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 6, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35540, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 4, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35541, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 5, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35542, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 6, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35543, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 11, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35544, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35545, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 12, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35546, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D08', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35547, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 4, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35548, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 21, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35549, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C08', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35550, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 7, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35551, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35552, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 7, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35553, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35554, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35555, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35556, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E05', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35557, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 11, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35558, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B09', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35559, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35560, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35561, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 21, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35562, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35563, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 6, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35564, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 5, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35565, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35566, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35567, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 5, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35568, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35569, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 6, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35570, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35571, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35572, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35573, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35574, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 8, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35575, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 12, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35576, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 4, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35577, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D08', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35578, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35579, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 12, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35580, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A10', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35581, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 5, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35582, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 6, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35583, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E13', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35584, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35585, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 6, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35586, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 5, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35587, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 11, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35588, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 6, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35589, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35590, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35591, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 4, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35592, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35593, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 7, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35594, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 7, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35595, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E05', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35596, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 12, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35597, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A23', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35598, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35599, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E21', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35600, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35601, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D08', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35602, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 3, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35603, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 21, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35604, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A02', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35605, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 10, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35606, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35607, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35608, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 21, 2024, 6, 24, '2024-08-05 14:38:39', NULL, NULL), (35609, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 20, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35610, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 53, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35611, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35612, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 77, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35613, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 77, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35616, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 53, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35617, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 20, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35618, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35619, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35620, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35621, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35622, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35623, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 24, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35624, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35625, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35626, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35627, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 6, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35628, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 8, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35629, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 10, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35630, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35631, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35632, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35633, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 19, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35634, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 8, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35635, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35636, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 6, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35637, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35638, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E12', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35639, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 9, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35640, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35641, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 8, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35642, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 5, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35643, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35644, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35645, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 10, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35646, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C10', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35647, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35648, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35649, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 11, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35650, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35651, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35652, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 155, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35653, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 20, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35654, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 52, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35655, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35656, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35657, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 73, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35658, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 7, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35659, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35660, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35661, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35662, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 24, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35663, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35664, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35665, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35666, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35667, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 19, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35668, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35669, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 8, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35670, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35671, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 10, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35672, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 6, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35673, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35674, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35675, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35676, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35677, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 10, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35678, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35679, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E12', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35680, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35681, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35682, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35683, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 8, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35684, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 9, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35685, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 5, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35686, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D18', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35687, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35688, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 11, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35689, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 8, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35690, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 24, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35691, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35692, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 6, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35693, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35694, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35695, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35696, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35697, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35698, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 10, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35699, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35700, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 8, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35701, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D18', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35702, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 19, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35703, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E12', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35704, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35705, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 8, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35706, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35707, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C10', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35708, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35709, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35710, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35711, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35712, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35713, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35714, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35715, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 10, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35716, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 5, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35717, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35718, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 9, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35719, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35720, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 6, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35721, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 11, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35722, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35723, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35724, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 8, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35725, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E12', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35726, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35727, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35728, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 9, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35729, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35730, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35731, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35732, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 10, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35733, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D18', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35734, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 5, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35735, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35736, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 6, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35737, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35738, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 11, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35739, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35740, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 10, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35741, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35742, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35743, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35744, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 8, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35745, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 24, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35746, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 7, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35747, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35748, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35749, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 2, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35750, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35751, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35752, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 19, 2024, 6, 25, '2024-08-05 14:38:40', NULL, NULL), (35753, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 10, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35754, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35755, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 25, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35756, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35757, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 49, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35758, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 49, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 25, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35763, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35764, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 10, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35765, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35766, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35767, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35768, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 12, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35769, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35770, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35771, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35772, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35773, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35774, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35775, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35776, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35777, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 14, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35778, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 11, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35779, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35780, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35781, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35782, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35783, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35784, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 5, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35785, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35786, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 5, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35787, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35788, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 3, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35789, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35790, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35791, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 7, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35792, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 4, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35793, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35794, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 89, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35795, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 9, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35796, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35797, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 25, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35798, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35799, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35800, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35801, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 47, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35802, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A10', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35803, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 10, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35804, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35805, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35806, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 12, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35807, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35808, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35809, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35810, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 4, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35811, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35812, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35813, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 14, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35814, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35815, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35816, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 4, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35817, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35818, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D13', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35819, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35820, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35821, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35822, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35823, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C13', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35824, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 5, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35825, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 5, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35826, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35827, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35828, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 7, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35829, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 12, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35830, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35831, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35832, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 5, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35833, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35834, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35835, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 4, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35836, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35837, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35838, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35839, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35840, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35841, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 11, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35842, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 14, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35843, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35844, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 5, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35845, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35846, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35847, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35848, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35849, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 4, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35850, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35851, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35852, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 3, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35853, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 5, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35854, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35855, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35856, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 7, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35857, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35858, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A10', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35859, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35860, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 5, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35861, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 4, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35862, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C13', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35863, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 5, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35864, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35865, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D13', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35866, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35867, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35868, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35869, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35870, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35871, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35872, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 5, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35873, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 7, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35874, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35875, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 4, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35876, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 12, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35877, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 2, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35878, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 10, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35879, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35880, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35881, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (35882, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35883, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 14, 2024, 6, 26, '2024-08-05 14:38:40', NULL, NULL), (35884, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 5, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35885, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 3, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35886, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 32, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35887, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35888, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 64, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35889, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35890, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 64, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35891, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35892, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35893, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 32, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35894, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 5, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35896, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35897, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35898, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 5, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35899, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 17, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35900, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 2, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35901, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35902, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35903, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35904, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35905, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35906, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35907, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35908, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 16, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35909, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 10, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35910, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35911, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35912, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35913, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35914, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E12', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35915, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 4, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35916, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 5, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35917, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35918, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 2, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35919, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35920, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35921, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 6, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35922, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D32', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35923, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 14, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35924, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35925, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35926, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 7, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35927, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35928, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 105, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35929, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35930, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 31, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35931, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35932, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35933, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35934, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 5, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35935, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35936, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 2, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35937, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 59, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35938, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 9, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35939, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 2, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35940, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35941, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 5, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35942, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 17, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35943, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35944, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35945, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35946, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35947, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35948, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 16, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35949, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35950, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A10', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35951, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35952, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A23', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35953, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 7, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35954, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 6, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35955, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A21', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35956, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E12', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35957, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E13', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35958, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 2, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35959, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35960, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 5, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35961, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 4, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35962, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35963, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35964, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 14, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35965, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35966, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35967, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 17, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35968, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35969, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35970, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35971, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35972, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35973, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35974, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35975, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 2, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35976, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D32', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35977, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 10, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35978, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35979, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35980, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 16, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35981, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35982, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E12', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35983, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35984, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35985, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 5, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35986, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 3, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35987, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35988, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 7, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35989, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 5, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35990, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 2, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35991, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35992, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 6, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35993, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 2, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35994, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 4, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35995, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35996, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 14, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35997, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35998, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (35999, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36000, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A10', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36001, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 3, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36002, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 5, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36003, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E12', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36004, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E13', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36005, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36006, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 7, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36007, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 4, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36008, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 2, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36009, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 6, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36010, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36011, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36012, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36013, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36014, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 14, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36015, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A23', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36016, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36017, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36018, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 17, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36019, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 9, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36020, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A21', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36021, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 5, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36022, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 2, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36023, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36024, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 16, 2024, 6, 27, '2024-08-05 14:38:40', NULL, NULL), (36025, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 7, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36026, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 33, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36027, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 7, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36028, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 40, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36029, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36030, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36031, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 40, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36032, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 7, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36033, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36034, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 33, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36035, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 7, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36036, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36037, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36038, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36039, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 3, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36040, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36041, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36042, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 15, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36043, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36044, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36045, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36046, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36047, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36048, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36049, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36050, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36051, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36052, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 12, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36053, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 9, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36054, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36055, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36056, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36057, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 7, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36058, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C12', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36059, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36060, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36061, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36062, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36063, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36064, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36065, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36066, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 10, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36067, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36068, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36069, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36070, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 86, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36071, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36072, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 7, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36073, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36074, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 31, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36075, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36076, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36077, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 36, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36078, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 8, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36079, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36081, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 15, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36082, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D01', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36084, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36085, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36086, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36087, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 3, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36088, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 12, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36089, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36090, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36091, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36092, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36093, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A04', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36094, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36095, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36096, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36097, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36098, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36099, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E13', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36100, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36101, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36102, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C13', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36103, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 7, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36104, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 10, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36105, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D19', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36106, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E19', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36107, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36108, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36109, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 15, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36110, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36111, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36112, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 3, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36113, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36114, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36115, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 3, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36116, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36117, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 9, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36118, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36119, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 12, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36120, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36121, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36122, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 7, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36123, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36124, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36125, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C12', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36126, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36127, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36128, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36129, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36130, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36131, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36132, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 3, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36133, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36134, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36135, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36136, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36137, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 10, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36138, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A04', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36139, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E19', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36140, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36141, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36142, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 7, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36143, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E13', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36144, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36145, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36146, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C13', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36147, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36148, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36149, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36150, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D19', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36151, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36152, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 3, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36153, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36154, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 10, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36155, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36156, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36157, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36158, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 15, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36159, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36160, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 8, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36161, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36162, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36163, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 3, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36164, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D01', '', 2, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36165, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A04', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36166, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36167, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 12, 2024, 6, 28, '2024-08-05 14:38:40', NULL, NULL), (36168, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 6, 2024, 6, 29, '2024-08-05 14:38:40', NULL, NULL), (36169, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 6, 29, '2024-08-05 14:38:40', NULL, NULL), (36170, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 6, 2024, 6, 29, '2024-08-05 14:38:40', NULL, NULL), (36171, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 6, 29, '2024-08-05 14:38:40', NULL, NULL), (36172, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2024, 6, 29, '2024-08-05 14:38:40', NULL, NULL), (36173, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 6, 29, '2024-08-05 14:38:40', NULL, NULL), (36174, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 5, 2024, 6, 29, '2024-08-05 14:38:40', NULL, NULL), (36175, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 5, 2024, 6, 29, '2024-08-05 14:38:40', NULL, NULL), (36176, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 5, 2024, 6, 29, '2024-08-05 14:38:40', NULL, NULL), (36177, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 5, 2024, 6, 29, '2024-08-05 14:38:40', NULL, NULL), (36178, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 5, 2024, 6, 29, '2024-08-05 14:38:40', NULL, NULL), (36179, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 6, 29, '2024-08-05 14:38:40', NULL, NULL), (36180, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 1, 2024, 6, 29, '2024-08-05 14:38:40', NULL, NULL), (36181, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 5, 2024, 6, 29, '2024-08-05 14:38:40', NULL, NULL), (36182, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 7, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36183, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 1, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36184, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36185, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 1, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36186, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 7, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36187, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36188, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 5, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36189, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36190, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 1, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36191, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36192, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36193, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 7, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36194, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 7, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36195, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 5, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36196, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E22', '', 1, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36197, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36198, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 1, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36199, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 5, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36200, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36201, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36202, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36203, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36204, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E22', '', 1, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36205, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 5, 2024, 6, 30, '2024-08-05 14:38:40', NULL, NULL), (36206, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 6, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36207, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36208, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 47, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36209, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36210, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 116, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36211, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36212, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 116, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36215, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36216, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36217, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 47, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36218, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36219, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 6, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36220, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 6, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36221, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36222, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36223, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36224, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36225, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 26, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36226, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36227, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36228, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 4, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36229, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36230, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 19, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36231, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 19, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36232, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36233, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36234, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 18, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36235, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 5, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36236, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36237, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36238, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 7, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36239, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36240, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 6, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36241, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 6, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36242, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D28', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36243, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 8, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36244, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36245, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 31, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36246, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 160, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36247, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 6, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36248, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 43, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36249, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36250, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36251, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 107, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36252, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 17, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36253, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36254, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36255, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 26, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36256, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36257, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36258, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36259, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 18, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36260, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 6, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36261, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36262, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 4, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36263, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 31, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36264, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 6, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36265, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36266, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 16, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36267, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 7, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36268, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36269, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 4, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36270, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36271, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 6, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36272, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 6, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36273, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 4, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36274, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 26, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36275, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 6, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36276, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36277, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36278, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 5, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36279, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36280, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36281, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 19, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36282, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D28', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36283, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 19, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36284, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36285, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36286, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 7, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36287, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 31, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36288, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36289, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36290, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36291, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 6, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36292, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36293, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 5, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36294, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36295, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 18, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36296, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36297, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 8, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36298, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 6, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36299, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 7, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36300, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36301, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 31, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36302, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 4, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36303, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36304, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 6, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36305, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 6, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36306, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36307, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 16, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36308, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36309, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 6, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36310, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 6, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36311, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36312, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36313, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 4, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36314, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 26, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36315, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 17, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36316, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36317, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36318, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36319, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 18, 2024, 7, 1, '2024-08-05 14:38:40', NULL, NULL), (36320, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 11, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36321, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36322, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36323, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 31, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36324, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36325, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 99, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36326, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36327, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 9, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 99, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36330, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36331, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 31, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 9, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36334, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 11, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36335, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 4, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36336, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36337, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36338, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36339, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 17, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (36340, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36341, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36342, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 8, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36343, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36344, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36345, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36346, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36347, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 15, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36348, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 18, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36349, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36350, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 3, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36351, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 9, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36352, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 4, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36353, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36354, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36355, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36356, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36357, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 8, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36358, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36359, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C10', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36360, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 10, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36361, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36362, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36363, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36364, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36365, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 29, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36366, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36367, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 146, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36368, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 11, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36369, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36370, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 29, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36371, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36372, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36373, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常不满意', '', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36374, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 95, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36375, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 17, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36376, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36377, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36378, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 17, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36379, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36380, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36381, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36382, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 3, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36383, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36384, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36385, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 15, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36386, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36387, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 8, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36388, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 29, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36389, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36390, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36391, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2D05', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36392, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36393, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36394, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36395, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36396, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 8, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36397, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36398, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 3, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36399, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36400, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 3, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36401, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 10, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36402, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36403, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36404, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 17, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36405, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 3, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36406, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36407, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 8, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36408, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36409, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36410, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36411, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36412, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 18, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36413, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 15, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36414, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 3, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36415, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36416, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36417, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36418, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C10', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36419, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36420, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 29, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36421, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36422, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36423, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36424, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36425, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36426, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 4, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36427, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 8, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36428, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36429, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 4, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36430, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 9, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36431, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36432, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36433, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 10, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36434, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 3, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36435, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36436, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36437, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36438, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 29, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36439, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36440, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 3, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36441, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36442, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 8, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36443, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36444, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36445, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 8, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36446, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36447, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 8, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36448, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 3, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36449, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常不满意', '2D05', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36450, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 10, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36451, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36452, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36453, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36454, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 17, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36455, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 17, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36456, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36457, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36458, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36459, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 15, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36460, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D05', '', 3, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36461, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D06', '', 2, 2024, 7, 2, '2024-08-05 14:38:41', NULL, NULL), (36462, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 7, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36463, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36464, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 35, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36465, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36466, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 149, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36467, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36468, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36469, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 10, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36470, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 149, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36471, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36472, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36473, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 10, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 35, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 7, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36478, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36479, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36480, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36481, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36482, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36483, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 3, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36484, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 22, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36485, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 3, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36486, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36487, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36488, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 7, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36489, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 19, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36490, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 14, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36491, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 5, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36492, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36493, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 11, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36494, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36495, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 15, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36496, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36497, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 9, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36498, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36499, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 32, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36500, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36501, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 8, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36502, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36503, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36504, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36505, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B11', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36506, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 3, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36507, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 9, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36508, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 14, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36509, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36510, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 9, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36511, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 7, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36512, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 206, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36513, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 7, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36514, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 10, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36515, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 34, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36516, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36517, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36518, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 145, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36519, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 14, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36520, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 3, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36521, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36522, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36523, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 3, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36524, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 21, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36525, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36526, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36527, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36528, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36529, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 18, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36530, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36531, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 7, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36532, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 7, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36533, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E31', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36534, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 9, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36535, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36536, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 3, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36537, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 32, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36538, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E13', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36539, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 6, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36540, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 15, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36541, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36542, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36543, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36544, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 9, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36545, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 5, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36546, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 11, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36547, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36548, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 9, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36549, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 14, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36550, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 22, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36551, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36552, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36553, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 7, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36554, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36555, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36556, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 3, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36557, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 9, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36558, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 14, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36559, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36560, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 19, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36561, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36562, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36563, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36564, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36565, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 3, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36566, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36567, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B11', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36568, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 3, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36569, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 7, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36570, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36571, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36572, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 3, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36573, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36574, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36575, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 8, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36576, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 32, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36577, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 9, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36578, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 15, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36579, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 11, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36580, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 5, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36581, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36582, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 14, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36583, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 9, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36584, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36585, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E31', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36586, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 3, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36587, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36588, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36589, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E13', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36590, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 3, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36591, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 7, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36592, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 9, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36593, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 9, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36594, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 32, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36595, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 6, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36596, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36597, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 14, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36598, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 5, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36599, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 11, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36600, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 15, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36601, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36602, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 7, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36603, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36604, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 9, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36605, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36606, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 21, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36607, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36608, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 14, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36609, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 3, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36610, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36611, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36612, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 3, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36613, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36614, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 18, 2024, 7, 3, '2024-08-05 14:38:41', NULL, NULL), (36615, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36616, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36617, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 33, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36618, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36619, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 106, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36620, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36621, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 9, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36622, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 105, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36623, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36624, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36625, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 9, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36626, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 33, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36627, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36628, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36629, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36630, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36631, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36632, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36633, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A16', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36634, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 22, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36635, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36636, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36637, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36638, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36639, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36640, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36641, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 22, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36642, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 4, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36643, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36644, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 8, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36645, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 4, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36646, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 8, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36647, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36648, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 4, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36649, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 7, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36650, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 17, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36651, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36652, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 9, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36653, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 8, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36654, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 8, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36655, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 13, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36656, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 9, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36657, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36658, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 152, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36659, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36660, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 9, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36661, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36662, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 32, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36663, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36664, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36665, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36666, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 100, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36667, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A16', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36668, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 3, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36669, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36670, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36671, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36672, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 22, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36673, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36674, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36675, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36676, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36677, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36678, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 21, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36679, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36680, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A19', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36681, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 9, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36682, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36683, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 17, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36684, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 8, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36685, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36686, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 7, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36687, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 7, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36688, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 4, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36689, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36690, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 8, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36691, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 3, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36692, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 8, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36693, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 13, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36694, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36695, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 22, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36696, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36697, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36698, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36699, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36700, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36701, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36702, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 9, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36703, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 4, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36704, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36705, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A16', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36706, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36707, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 22, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36708, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 7, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36709, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36710, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36711, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36712, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36713, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 8, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36714, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 9, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36715, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 17, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36716, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 4, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36717, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 8, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36718, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 4, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36719, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 8, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36720, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 13, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36721, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 8, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36722, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36723, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36724, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 7, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36725, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 9, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36726, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 4, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36727, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 17, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36728, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 8, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36729, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 8, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36730, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 13, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36731, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 8, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36732, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 3, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36733, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 7, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36734, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36735, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 8, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36736, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E21', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36737, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36738, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36739, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 22, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36740, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 3, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36741, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36742, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36743, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A16', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36744, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 2, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36745, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36746, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36747, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 21, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36748, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A19', '', 1, 2024, 7, 4, '2024-08-05 14:38:41', NULL, NULL), (36749, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 11, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36750, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36751, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 20, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36752, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 5, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36753, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 106, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36754, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 3, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36755, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 21, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 106, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 21, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 20, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36761, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 3, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36762, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 11, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36763, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36764, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 15, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36765, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C05', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36766, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36767, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36768, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36769, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36770, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36771, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 8, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36772, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36773, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36774, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 6, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36775, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36776, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36777, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36778, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36779, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 11, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36780, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A22', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36781, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36782, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 8, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36783, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36784, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 8, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36785, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 13, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36786, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 14, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36787, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 12, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36788, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36789, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36790, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36791, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36792, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36793, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36794, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36795, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36796, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 10, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36797, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 13, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36798, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36799, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 153, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36800, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36801, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36802, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '满意', '', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36803, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36804, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 15, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (36805, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 18, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36806, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36807, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36808, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36809, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36810, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 11, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36811, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36812, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 101, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36813, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A06', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36814, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2C06', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36815, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A06', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36816, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36817, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A22', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36818, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36819, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36820, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36821, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36822, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 8, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36823, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C05', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36824, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36825, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36826, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36827, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36828, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 12, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36829, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 11, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36830, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36831, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 6, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36832, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A09', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36833, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 13, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36834, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36835, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36836, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 11, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36837, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36838, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36839, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36840, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 12, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36841, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 14, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36842, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 8, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36843, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D25', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36844, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 7, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36845, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 3, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36846, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 10, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36847, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 8, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36848, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36849, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36850, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36851, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 6, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36852, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36853, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36854, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C05', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36855, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36856, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36857, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36858, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36859, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 11, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36860, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36861, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36862, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 15, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36863, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36864, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36865, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 13, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36866, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36867, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36868, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36869, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36870, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36871, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36872, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36873, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 12, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36874, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 14, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36875, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 13, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36876, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A22', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36877, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 8, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36878, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 8, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36879, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36880, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 10, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36881, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36882, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '2A06', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36883, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D25', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36884, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36885, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36886, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36887, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 13, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36888, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 14, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36889, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 11, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36890, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36891, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36892, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 10, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36893, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 8, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36894, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 7, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36895, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 12, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36896, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36897, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 6, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36898, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A09', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36899, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 3, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36900, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36901, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 8, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36902, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36903, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36904, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 12, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36905, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36906, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '2A06', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36907, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 4, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36908, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '满意', '2C06', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36909, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36910, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C05', '', 2, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36911, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36912, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36913, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36914, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A22', '', 1, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36915, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 11, 2024, 7, 5, '2024-08-05 14:38:41', NULL, NULL), (36916, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36917, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 30, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36918, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36919, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 30, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36920, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36921, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36922, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36923, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36924, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 4, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36925, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 16, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36926, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36927, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36928, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A11', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36929, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36930, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36931, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36932, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 3, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36933, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 26, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36934, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36935, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36936, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36937, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36938, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 3, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36939, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36940, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36941, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 24, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36942, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A03', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36943, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36944, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A02', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36945, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A02', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36946, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36947, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36948, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A11', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36949, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36950, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 14, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36951, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36952, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36953, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36954, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A23', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36955, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36956, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36957, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36958, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A11', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36959, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 3, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36960, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 16, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36961, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 4, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36962, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36963, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36964, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36965, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A23', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36966, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A02', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36967, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36968, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36969, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A02', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36970, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A11', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36971, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '1A23', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36972, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36973, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A03', '', 2, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36974, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 14, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36975, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36976, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 1, 2024, 7, 6, '2024-08-05 14:38:41', NULL, NULL), (36977, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 1, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36978, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 6, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36979, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 6, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36982, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 1, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36983, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36984, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 1, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36985, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 6, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36986, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36987, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 1, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36988, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 9, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36989, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 1, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36990, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 6, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36991, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36992, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 6, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36993, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 1, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36994, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 1, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36995, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36996, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 1, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36997, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36998, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (36999, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 1, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (37000, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 6, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (37001, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 6, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (37002, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (37003, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 1, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (37004, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 1, 2024, 7, 7, '2024-08-05 14:38:41', NULL, NULL), (37005, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 6, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37006, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37007, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 46, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37008, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37009, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 134, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37010, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 18, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37011, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 134, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37012, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37013, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37014, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 46, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37015, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 6, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 18, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37017, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37018, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37019, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37020, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37021, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37022, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 31, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37023, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 13, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37024, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37025, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37026, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37027, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37028, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 11, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37029, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 9, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37030, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 14, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37031, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 5, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37032, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37033, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37034, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37035, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37036, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 3, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37037, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 12, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37038, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37039, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37040, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 6, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37041, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 9, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37042, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37043, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37044, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 10, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37045, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 3, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37046, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 21, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37047, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37048, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37049, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 198, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37050, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 5, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37051, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37052, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37053, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 46, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37054, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37055, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 17, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37056, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 128, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37057, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A23', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37058, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37059, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 12, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37060, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37061, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37062, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 31, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37063, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37064, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37065, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37066, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37067, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 10, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37068, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37069, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37070, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D09', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37071, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A10', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37072, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A21', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37073, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37074, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 21, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37075, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 5, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37076, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37077, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37078, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 11, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37079, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37080, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37081, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37082, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 3, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37083, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37084, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 14, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37085, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 5, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37086, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37087, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 10, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37088, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37089, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 31, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37090, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37091, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 3, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37092, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37093, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37094, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37095, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 9, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37096, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37097, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 11, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37098, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 3, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37099, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37100, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C14', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37101, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 13, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37102, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 21, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37103, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37104, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 3, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37105, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37106, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37107, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 6, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37108, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 9, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37109, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37110, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 12, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37111, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37112, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37113, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37114, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 5, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37115, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 14, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37116, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 10, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37117, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37118, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A10', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37119, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37120, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 3, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37121, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37122, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37123, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 21, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37124, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37125, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 11, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37126, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37127, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 5, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37128, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37129, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 10, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37130, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 14, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37131, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 5, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37132, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37133, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 3, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37134, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37135, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37136, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37137, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A21', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37138, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37139, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37140, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 31, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37141, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D09', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37142, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 8, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37143, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37144, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A23', '', 1, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37145, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37146, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 2, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37147, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 12, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37148, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 10, 2024, 7, 8, '2024-08-05 14:38:41', NULL, NULL), (37149, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 5, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37150, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37151, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 35, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37152, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37153, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 77, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37154, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37155, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 26, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37156, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 77, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37157, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37158, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37159, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 26, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37160, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 35, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37161, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37162, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 5, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37163, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37164, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37165, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37166, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37167, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37168, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37169, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 19, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37170, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37171, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E05', '', 2, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37172, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 16, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37173, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37174, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37175, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37176, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37177, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37178, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 5, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37179, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37180, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37181, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37182, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 4, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37183, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37184, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 4, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37185, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 9, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37186, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C10', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37187, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 2, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37188, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37189, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 9, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37190, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37191, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 10, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37192, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 2, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37193, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 22, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37194, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 12, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37195, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 10, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37196, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 137, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37197, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 17, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37198, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 34, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37199, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 9, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37200, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37201, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 5, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37202, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37203, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37204, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 73, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37205, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 2, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37206, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37207, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37208, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 19, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37209, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E05', '', 2, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37210, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37211, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37212, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37213, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37214, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 16, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37215, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37216, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A10', '', 9, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37217, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A21', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37218, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37219, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 2, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37220, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 12, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37221, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 9, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37222, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 13, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37223, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37224, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37225, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 4, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37226, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37227, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37228, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 4, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37229, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37230, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37231, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 9, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37232, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37233, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 9, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37234, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 19, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37235, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37236, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37237, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37238, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E05', '', 2, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37239, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37240, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 22, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37241, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37242, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37243, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 16, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37244, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37245, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37246, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37247, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 4, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37248, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37249, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C10', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37250, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 2, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37251, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 12, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37252, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 2, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37253, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37254, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37255, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 9, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37256, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 4, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37257, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37258, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 5, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37259, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37260, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37261, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37262, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37263, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37264, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 10, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37265, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 9, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (37266, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37267, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 4, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37268, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37269, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37270, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 12, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37271, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 4, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37272, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 13, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37273, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37274, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37275, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 9, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37276, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 9, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37277, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37278, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37279, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37280, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37281, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37282, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37283, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E05', '', 2, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37284, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 9, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37285, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A21', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37286, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 2, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37287, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 19, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37288, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37289, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37290, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A10', '', 9, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37291, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 2, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37292, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37293, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 3, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37294, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 16, 2024, 7, 9, '2024-08-05 14:38:42', NULL, NULL), (37295, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 9, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37296, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37297, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37298, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 30, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37299, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37300, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 86, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37301, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 16, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37302, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37303, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 86, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37304, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37305, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37306, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 11, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37307, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 30, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37308, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37309, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 7, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37310, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37311, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37312, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 4, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37313, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37314, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37315, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37316, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 25, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37317, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37318, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37319, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37320, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37321, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A09', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37322, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37323, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 23, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37324, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 5, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37325, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37326, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37327, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 8, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37328, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37329, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 4, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37330, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37331, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37332, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 7, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37333, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37334, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 4, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37335, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E09', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37336, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37337, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 5, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37338, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37339, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 7, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37340, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A11', '', 5, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37341, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37342, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37343, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 16, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37344, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37345, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 136, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37346, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 14, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37347, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 28, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37348, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37349, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37350, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37351, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37352, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 9, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37353, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 79, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37354, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A11', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37355, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 4, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37356, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37357, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37358, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37359, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37360, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 25, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37361, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A09', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37362, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37363, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37364, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37365, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37366, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37367, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 20, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37368, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37369, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A10', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37370, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A07', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37371, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 16, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37372, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37373, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37374, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37375, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A11', '', 4, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37376, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37377, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 6, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37378, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37379, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 8, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37380, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 4, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37381, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37382, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37383, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 5, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37384, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 6, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37385, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E09', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37386, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 25, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37387, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37388, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37389, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37390, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37391, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37392, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37393, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37394, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 5, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37395, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37396, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A11', '', 5, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37397, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37398, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 23, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37399, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E09', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37400, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A09', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37401, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37402, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37403, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37404, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37405, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37406, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 16, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37407, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37408, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37409, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37410, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 4, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37411, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 7, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37412, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37413, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 4, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37414, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 8, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37415, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37416, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 4, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37417, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37418, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 7, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37419, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 5, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37420, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37421, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E09', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37422, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A11', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37423, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A10', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37424, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37425, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 16, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37426, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37427, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 4, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37428, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37429, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 6, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37430, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37431, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A11', '', 4, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37432, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37433, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 6, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37434, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37435, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 8, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37436, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37437, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37438, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 5, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37439, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37440, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37441, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 25, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37442, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37443, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37444, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A09', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37445, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37446, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 4, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37447, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 3, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37448, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37449, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37450, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 20, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37451, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A07', '', 1, 2024, 7, 10, '2024-08-05 14:38:42', NULL, NULL), (37452, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 7, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37453, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 5, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37454, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '', '', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37455, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 33, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37456, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37457, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 109, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37458, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 6, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37459, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37460, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 15, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 108, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 6, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 6, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 33, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 7, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 15, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37468, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37469, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37470, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37471, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37472, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37473, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37474, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37475, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 23, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37476, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B04', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37477, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37478, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D11', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37479, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A13', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37480, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E20', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37481, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37482, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37483, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37484, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37485, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37486, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37487, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37488, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 18, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37489, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 7, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37490, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37491, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37492, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37493, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37494, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37495, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37496, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 7, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37497, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37498, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 12, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37499, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37500, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37501, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 5, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37502, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37503, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37504, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 12, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37505, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37506, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 4, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37507, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 16, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37508, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 5, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37509, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 17, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37510, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37511, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37512, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 159, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37513, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37514, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 6, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37515, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 31, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37516, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '非常满意', '', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37517, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 10, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37518, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37519, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 6, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37520, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37521, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37522, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '不满意', '', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37523, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 101, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37524, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37525, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常不满意', '', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37526, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1D20', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37527, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 6, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37528, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E20', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37529, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B04', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37530, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A13', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37531, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37532, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D07', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37533, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37534, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37535, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37536, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 18, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37537, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37538, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 15, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37539, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37540, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A20', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37541, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D11', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37542, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 23, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37543, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37544, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37545, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37546, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2D35', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37547, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37548, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2D34', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37549, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 5, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37550, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 11, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37551, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37552, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37553, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 12, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37554, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 5, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37555, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D33', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37556, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37557, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37558, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D34', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37559, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 6, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37560, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37561, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D26', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37562, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37563, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 4, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37564, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 13, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37565, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 23, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37566, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37567, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37568, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37569, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37570, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E20', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37571, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37572, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37573, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37574, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B04', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37575, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37576, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37577, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37578, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D34', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37579, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37580, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 5, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37581, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 7, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37582, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A13', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37583, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37584, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 18, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37585, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37586, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37587, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37588, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37589, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37590, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 17, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37591, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37592, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37593, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37594, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 12, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37595, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 5, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37596, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37597, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 12, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37598, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 7, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37599, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37600, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37601, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37602, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37603, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 16, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37604, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 4, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37605, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '', '1D11', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37606, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 15, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37607, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D34', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37608, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37609, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37610, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37611, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37612, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 4, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37613, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D33', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37614, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37615, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 23, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37616, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 6, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37617, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A13', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37618, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 18, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37619, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '不满意', '2D35', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37620, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D26', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37621, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37622, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常不满意', '1D20', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37623, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 5, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37624, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 6, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37625, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 12, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37626, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 5, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37627, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 11, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37628, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 13, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37629, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37630, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37631, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37632, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37633, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A20', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37634, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E20', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37635, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37636, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37637, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37638, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '2D34', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37639, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B04', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37640, 1, '511500000000-0001', '宜宾市民中心', '市发展改革委', '非常满意', '1D11', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37641, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37642, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37643, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 3, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37644, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D07', '', 1, 2024, 7, 11, '2024-08-05 14:38:42', NULL, NULL), (37645, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 8, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37646, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37647, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 41, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37648, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37649, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 59, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37650, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37651, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37652, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 59, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37653, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37654, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37655, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37656, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 41, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37657, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37658, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 8, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37659, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37660, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 4, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37661, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 3, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37662, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37663, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 23, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37664, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37665, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 6, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37666, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 4, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37667, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37668, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37669, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37670, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 11, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37671, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37672, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37673, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37674, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 5, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37675, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 4, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37676, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D13', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37677, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 7, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37678, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37679, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37680, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 8, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37681, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 7, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37682, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 8, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37683, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37684, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 3, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37685, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37686, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 6, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37687, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A11', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37688, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 3, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37689, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 111, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37690, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 8, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37691, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 3, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37692, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 37, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37693, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37694, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37695, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 56, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37696, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37697, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37698, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 23, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37699, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37700, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 4, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37701, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 3, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37702, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37703, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 11, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37704, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37705, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37706, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37707, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 6, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37708, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 3, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37709, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 8, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37710, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A11', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37711, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37712, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D13', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37713, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 6, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37714, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 8, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37715, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 4, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37716, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 7, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37717, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37718, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 5, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37719, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37720, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37721, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 5, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37722, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37723, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37724, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 23, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37725, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 6, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (37726, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 3, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37727, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37728, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37729, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 4, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37730, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D13', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37731, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37732, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37733, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37734, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A11', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37735, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37736, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 11, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37737, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37738, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37739, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 8, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37740, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 3, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37741, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37742, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 4, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37743, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 8, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37744, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 7, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37745, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37746, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 7, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37747, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 4, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37748, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 5, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37749, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37750, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 6, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37751, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 3, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37752, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37753, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 8, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37754, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 3, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37755, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 7, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37756, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37757, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 6, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37758, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A11', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37759, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D13', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37760, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 8, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37761, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 5, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37762, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37763, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 5, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37764, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 4, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37765, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 6, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37766, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 3, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37767, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37768, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37769, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37770, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37771, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 23, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37772, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37773, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37774, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 2, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37775, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37776, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 4, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37777, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 11, 2024, 7, 12, '2024-08-05 14:38:42', NULL, NULL), (37778, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 6, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37779, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 17, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37780, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 5, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37781, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 17, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37782, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 6, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37783, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37784, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37785, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37786, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 4, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37787, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 4, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37788, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37789, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37790, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 7, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37791, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A11', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37792, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37793, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37794, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 3, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37795, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 3, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37796, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 17, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37797, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 2, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37798, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 2, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37799, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37800, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 2, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37801, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37802, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37803, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '', '', 2, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37804, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 5, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37805, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 2, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37806, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 2, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37807, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 10, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37808, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A03', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37809, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A01', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37810, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A04', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37811, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A04', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37812, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A03', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37813, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A04', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37814, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A11', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37815, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A23', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37816, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37817, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 4, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37818, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 2, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37819, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37820, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37821, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A04', '', 2, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37822, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37823, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37824, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37825, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A01', '', 2, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37826, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37827, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37828, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 7, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37829, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37830, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 4, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37831, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 3, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37832, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37833, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37834, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A11', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37835, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37836, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A04', '', 4, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37837, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 2, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37838, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A23', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37839, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A11', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37840, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A03', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37841, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A04', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37842, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37843, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A03', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37844, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A01', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37845, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '1A01', '', 2, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37846, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A04', '', 2, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37847, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 2, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37848, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37849, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37850, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A04', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37851, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 4, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37852, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A04', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37853, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37854, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2024, 7, 13, '2024-08-05 14:38:42', NULL, NULL), (37855, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 5, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37856, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 4, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37857, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 4, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37858, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 5, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37859, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37860, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 3, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37861, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37862, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37863, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37864, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37865, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37866, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 8, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37867, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 5, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37868, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 3, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37869, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 3, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37870, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37871, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37872, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37873, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37874, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37875, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 3, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37876, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37877, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37878, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37879, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37880, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37881, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37882, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37883, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37884, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37885, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37886, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37887, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 3, 2024, 7, 14, '2024-08-05 14:38:42', NULL, NULL), (37888, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37889, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37890, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 53, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37891, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37892, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 106, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37893, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37894, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 11, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37895, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 103, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37896, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37897, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37898, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37899, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 53, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37900, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37901, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 11, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37902, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37903, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 5, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37904, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37905, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37906, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37907, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37908, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 22, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37909, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37910, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37911, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A13', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37912, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37913, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 4, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37914, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37915, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37916, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E27', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37917, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37918, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 5, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37919, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 17, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37920, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37921, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37922, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37923, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37924, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 8, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37925, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 7, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37926, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 11, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37927, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37928, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37929, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 9, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37930, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37931, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 12, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37932, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37933, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D18', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37934, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 10, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37935, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 14, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37936, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 12, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37937, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37938, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 161, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37939, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37940, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37941, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37942, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37943, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37944, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 47, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37945, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37946, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37947, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 9, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37948, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 99, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37949, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A13', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37950, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 5, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37951, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37952, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A13', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37953, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37954, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 22, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37955, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37956, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E27', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37957, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37958, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37959, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37960, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37961, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 5, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37962, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37963, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37964, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 11, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37965, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37966, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37967, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 12, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37968, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 6, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37969, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E13', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37970, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 8, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37971, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37972, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37973, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 8, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37974, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 11, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37975, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 17, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37976, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D18', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37977, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37978, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37979, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 9, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37980, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 14, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37981, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A13', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37982, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 22, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37983, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 5, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37984, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37985, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37986, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37987, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37988, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 4, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37989, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37990, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E27', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37991, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37992, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 5, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37993, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37994, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A13', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37995, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D18', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37996, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37997, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37998, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (37999, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38000, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38001, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 11, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38002, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38003, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38004, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 12, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38005, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38006, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38007, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38008, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38009, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 12, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38010, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 9, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38011, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 7, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38012, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 8, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38013, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38014, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38015, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 17, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38016, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 14, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38017, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 10, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38018, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38019, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A13', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38020, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38021, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 11, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38022, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E13', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38023, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '1A13', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38024, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 11, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38025, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 8, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38026, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38027, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 6, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38028, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 8, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38029, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38030, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 12, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38031, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D18', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38032, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 14, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38033, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 17, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38034, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38035, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38036, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38037, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38038, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 5, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38039, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E27', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38040, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 9, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38041, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E21', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38042, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38043, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 22, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38044, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 5, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38045, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38046, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38047, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 3, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38048, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A13', '', 1, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38049, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38050, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D05', '', 2, 2024, 7, 15, '2024-08-05 14:38:43', NULL, NULL), (38051, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 3, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38052, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38053, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 37, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38054, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38055, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 61, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38056, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38057, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 14, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38058, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 61, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38059, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38060, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38061, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 14, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38062, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 37, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38063, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38064, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 3, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38065, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38066, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38067, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 8, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38068, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38069, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38070, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 17, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38071, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38072, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E23', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38073, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 5, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38074, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38075, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38076, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38077, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 5, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38078, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38079, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 3, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38080, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38081, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38082, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 5, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38083, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 11, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38084, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 9, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38085, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38086, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 8, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38087, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38088, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 7, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38089, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 8, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38090, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38091, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 8, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38092, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 4, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38093, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 4, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38094, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38095, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38096, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 108, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38097, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38098, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38099, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 11, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38100, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 34, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38101, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38102, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38103, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38104, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 3, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38105, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38106, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 56, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38107, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A20', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38108, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A07', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38109, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A07', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38110, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 4, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38111, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38112, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E23', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38113, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38114, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38115, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 17, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38116, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 6, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38117, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38118, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38119, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38120, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38121, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38122, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38123, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 3, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38124, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 3, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38125, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 7, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38126, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 10, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38127, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38128, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 7, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38129, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38130, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38131, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 9, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38132, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 5, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38133, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38134, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 8, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38135, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38136, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 8, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38137, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 17, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38138, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E23', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38139, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38140, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38141, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38142, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 5, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38143, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38144, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38145, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 4, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38146, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 5, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38147, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38148, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38149, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38150, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38151, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38152, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 9, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38153, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38154, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38155, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 4, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38156, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38157, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 7, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38158, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 8, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38159, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 11, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38160, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 5, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38161, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38162, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 3, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38163, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 8, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38164, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 8, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38165, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 8, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38166, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38167, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '2A07', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38168, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38169, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 9, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38170, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 3, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38171, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 3, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38172, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 5, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38173, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 10, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38174, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 7, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38175, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 7, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38176, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 8, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38177, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38178, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38179, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38180, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 8, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38181, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38182, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38183, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A20', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (38184, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38185, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A07', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38186, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38187, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E23', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38188, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 17, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38189, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 6, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38190, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38191, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 4, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38192, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38193, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 2, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38194, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38195, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 7, 16, '2024-08-05 14:38:43', NULL, NULL), (38196, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 4, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38197, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38198, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 29, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38199, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38200, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 59, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38201, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38202, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 59, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38203, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38204, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38205, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 29, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38206, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 4, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38207, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38208, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38209, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38210, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38211, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 18, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38212, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38213, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38214, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38215, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38216, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E05', '', 3, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38217, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38218, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38219, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 11, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38220, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38221, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38222, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38223, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 4, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38224, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38225, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 6, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38226, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 5, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38227, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38228, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 14, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38229, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38230, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38231, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 12, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38232, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 4, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38233, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 4, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38234, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38235, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 95, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38236, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 4, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38237, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38238, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 28, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38239, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38240, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38241, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 56, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38242, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38243, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38244, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38245, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38246, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 18, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38247, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E05', '', 3, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38248, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38249, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38250, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38251, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38252, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38253, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 4, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38254, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38255, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 14, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38256, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38257, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E13', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38258, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 3, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38259, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 4, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38260, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 6, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38261, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 11, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38262, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38263, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 12, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38264, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 4, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38265, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 18, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38266, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38267, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38268, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38269, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38270, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E05', '', 3, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38271, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38272, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38273, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38274, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38275, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38276, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 6, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38277, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38278, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 4, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38279, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38280, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38281, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38282, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38283, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 14, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38284, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 5, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38285, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38286, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 4, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38287, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38288, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 11, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38289, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 4, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38290, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 12, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38291, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 6, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38292, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E13', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38293, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 4, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38294, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38295, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 3, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38296, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38297, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 14, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38298, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 4, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38299, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 11, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38300, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38301, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 4, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38302, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38303, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E05', '', 3, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38304, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 12, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38305, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A23', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38306, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38307, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38308, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 18, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38309, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38310, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38311, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38312, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38313, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 7, 17, '2024-08-05 14:38:43', NULL, NULL), (38314, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38315, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38316, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 3, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38317, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 40, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38318, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38319, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 88, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38320, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38321, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38322, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 88, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38323, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38324, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38325, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 40, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38326, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38327, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38328, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38329, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38330, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38331, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38332, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38333, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B06', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38334, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38335, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 16, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38336, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38337, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38338, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E28', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38339, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38340, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 22, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38341, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 8, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38342, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 12, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38343, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D04', '', 3, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38344, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 3, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38345, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38346, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 7, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38347, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E12', '', 6, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38348, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38349, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 9, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38350, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38351, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 9, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38352, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38353, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38354, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 10, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38355, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38356, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 3, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38357, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 5, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38358, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38359, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 4, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38360, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38361, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 126, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38362, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38363, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38364, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 38, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38365, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38366, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38367, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 4, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38368, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 3, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38369, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 78, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38370, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A10', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38371, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 7, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38372, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38373, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38374, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 16, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38375, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38376, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38377, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C06', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38378, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38379, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38380, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 20, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38381, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38382, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38383, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38384, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 10, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38385, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E12', '', 6, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38386, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38387, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 9, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38388, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38389, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 7, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38390, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 9, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38391, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 10, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38392, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D04', '', 3, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38393, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 3, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38394, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 3, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38395, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 5, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38396, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 16, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38397, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38398, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38399, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38400, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38401, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 3, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38402, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E28', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38403, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B06', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38404, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D36', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38405, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 8, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38406, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 22, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38407, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E12', '', 6, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38408, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38409, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 9, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38410, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38411, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38412, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38413, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 4, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38414, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38415, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38416, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38417, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38418, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 10, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38419, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D04', '', 3, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38420, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 9, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38421, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38422, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 7, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38423, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 3, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38424, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 12, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38425, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 5, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38426, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 3, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38427, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A10', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38428, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38429, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 9, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38430, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E12', '', 6, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38431, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38432, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 9, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38433, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38434, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 10, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38435, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 5, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38436, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 10, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38437, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 3, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38438, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 7, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38439, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38440, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38441, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D04', '', 3, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38442, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 3, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38443, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38444, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38445, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 16, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38446, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C06', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38447, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 7, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38448, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38449, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38450, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38451, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38452, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 20, 2024, 7, 18, '2024-08-05 14:38:43', NULL, NULL), (38453, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 6, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38454, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38455, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 2, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38456, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 35, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38457, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 6, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38458, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 50, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38459, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 7, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38460, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 9, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38461, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 50, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38462, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38463, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 6, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38464, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 5, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38465, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 35, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38466, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 9, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 6, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38468, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C06', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38469, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38470, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38471, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E24', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38472, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 3, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38473, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 4, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38474, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 3, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38475, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 16, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38476, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 3, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38477, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38478, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A04', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38479, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38480, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38481, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38482, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38483, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38484, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38485, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 15, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38486, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 6, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38487, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38488, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38489, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38490, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C14', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38491, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38492, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E12', '', 2, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38493, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 12, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38494, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38495, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 6, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38496, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 11, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38497, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 7, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38498, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 2, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38499, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 3, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38500, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A11', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38501, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38502, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38503, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38504, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 107, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38505, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38506, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 6, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38507, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 7, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38508, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 35, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38509, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 4, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38510, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38511, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 2, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38512, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 45, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38513, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 6, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38514, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 3, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38515, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38516, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E24', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38517, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 3, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38518, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 4, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38519, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 3, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38520, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 16, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38521, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38522, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A04', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38523, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38524, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38525, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38526, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 14, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38527, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38528, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38529, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38530, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38531, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 11, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38532, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A11', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38533, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A19', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38534, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E12', '', 2, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38535, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 4, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38536, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38537, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38538, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 12, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38539, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38540, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 7, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38541, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D05', '', 2, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38542, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 2, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38543, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38544, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E24', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38545, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38546, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 16, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38547, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38548, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C06', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38549, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38550, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38551, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38552, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 3, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38553, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38554, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 6, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38555, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A11', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38556, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38557, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 15, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38558, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38559, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E12', '', 2, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38560, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38561, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 12, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38562, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38563, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C14', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38564, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 3, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38565, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38566, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 2, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38567, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 4, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38568, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38569, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 11, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38570, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 6, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38571, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38572, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38573, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 3, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38574, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 3, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38575, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38576, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 7, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38577, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A04', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38578, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38579, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38580, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 12, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38581, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E12', '', 2, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38582, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38583, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 4, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38584, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A11', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38585, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 11, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38586, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 2, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38587, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A19', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38588, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38589, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38590, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38591, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 7, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38592, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38593, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D05', '', 2, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38594, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E21', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38595, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38596, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E24', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38597, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 16, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38598, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 3, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38599, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38600, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 6, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38601, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38602, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 3, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38603, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A04', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38604, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 4, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38605, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38606, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 3, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38607, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 14, 2024, 7, 19, '2024-08-05 14:38:43', NULL, NULL), (38608, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 5, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38609, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 5, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38610, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 5, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38611, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 9, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 5, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38613, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 4, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38614, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 5, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38615, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 5, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38616, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 4, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38617, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 5, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38618, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38619, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38620, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A11', '', 5, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38621, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38622, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38623, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38624, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 3, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38625, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 17, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38626, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38627, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '', '', 2, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38628, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '', '', 1, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38629, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 5, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38630, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 4, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38631, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38632, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 5, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38633, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 2, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38634, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 3, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38635, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A06', '', 1, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38636, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A06', '', 2, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38637, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 5, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38638, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A22', '', 1, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38639, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A11', '', 1, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38640, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A06', '', 1, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38641, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (38642, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 3, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38643, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A11', '', 4, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38644, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 5, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38645, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38646, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38647, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38648, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 3, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38649, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A11', '', 5, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38650, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 4, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38651, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38652, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '2A06', '', 1, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38653, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A22', '', 1, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38654, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A11', '', 1, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38655, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A06', '', 1, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38656, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 3, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38657, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A11', '', 4, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38658, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A06', '', 2, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38659, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 5, 2024, 7, 20, '2024-08-05 14:38:43', NULL, NULL), (38660, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 1, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38661, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 8, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 8, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38664, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 4, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38665, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38666, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38667, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38668, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38669, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 5, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38670, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38671, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38672, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38673, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 5, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38674, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 1, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38675, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 4, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38676, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A23', '', 1, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38677, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38678, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 3, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38679, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38680, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38681, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 4, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38682, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A23', '', 1, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38683, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A23', '', 1, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38684, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38685, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 4, 2024, 7, 21, '2024-08-05 14:38:43', NULL, NULL), (38686, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 6, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38687, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 4, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38688, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 43, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38689, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 4, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38690, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 87, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38691, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38692, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38693, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 87, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38694, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 4, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38695, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 4, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38696, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38697, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 43, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38698, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 6, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38699, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38700, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38701, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38702, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38703, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38704, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38705, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38706, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 24, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38707, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38708, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38709, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38710, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38711, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38712, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 14, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38713, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 5, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38714, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 7, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38715, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38716, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D25', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38717, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38718, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38719, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 9, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38720, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C13', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38721, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 9, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38722, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38723, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 7, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38724, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38725, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38726, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 7, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38727, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E19', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38728, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38729, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 10, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38730, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 8, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38731, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38732, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 11, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38733, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38734, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 144, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38735, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 6, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38736, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38737, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38738, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 42, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38739, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38740, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38741, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38742, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 83, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38743, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 5, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38744, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38745, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38746, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38747, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38748, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 24, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38749, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38750, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E22', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38751, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38752, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38753, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38754, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38755, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 14, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38756, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38757, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 10, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38758, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38759, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38760, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 7, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38761, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E13', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38762, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 6, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38763, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38764, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38765, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C13', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38766, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 9, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38767, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 9, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38768, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 7, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38769, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38770, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 9, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38771, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 7, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38772, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A09', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38773, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 24, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38774, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38775, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38776, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38777, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38778, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38779, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38780, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38781, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 5, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38782, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38783, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38784, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 14, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38785, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D25', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38786, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38787, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38788, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 9, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38789, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38790, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E19', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38791, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C13', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38792, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38793, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 11, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38794, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38795, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38796, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38797, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 7, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38798, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 7, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38799, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 9, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38800, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38801, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38802, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 7, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38803, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38804, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 8, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38805, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 10, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38806, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38807, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 9, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38808, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E13', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38809, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 10, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38810, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C13', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38811, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 9, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38812, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 6, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38813, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38814, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 7, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38815, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A09', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38816, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 7, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38817, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 7, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38818, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38819, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38820, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38821, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38822, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38823, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 9, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38824, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E21', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38825, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38826, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E22', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38827, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 24, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38828, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 3, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38829, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 5, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38830, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38831, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38832, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38833, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 2, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38834, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38835, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 14, 2024, 7, 22, '2024-08-05 14:38:44', NULL, NULL), (38836, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 8, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38837, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 33, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38838, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38839, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 94, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38840, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38841, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38842, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38843, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 94, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38844, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38845, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38846, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 33, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38847, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38848, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 8, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38849, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38850, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 3, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38851, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38852, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38853, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 14, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38854, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38855, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38856, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 3, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38857, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38858, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38859, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 13, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38860, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 12, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38861, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 4, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38862, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38863, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 2, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38864, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 9, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38865, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 8, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38866, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D33', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38867, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38868, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 12, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38869, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 13, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38870, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38871, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 2, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38872, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D17', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38873, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 8, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38874, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B10', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38875, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38876, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 17, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38877, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 137, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38878, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 2, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38879, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 8, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38880, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38881, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38882, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 31, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38883, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38884, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '不满意', '', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38885, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38886, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 90, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38887, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38888, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38889, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 14, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38890, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 3, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38891, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38892, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38893, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 13, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38894, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38895, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38896, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38897, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A22', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38898, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2B10', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38899, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 17, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38900, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38901, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 13, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38902, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38903, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E13', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38904, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 10, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38905, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38906, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38907, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 8, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38908, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 8, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38909, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D17', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38910, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 12, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38911, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 4, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38912, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 2, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38913, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 8, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38914, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38915, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 14, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38916, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38917, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 4, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38918, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38919, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 3, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38920, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38921, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D33', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38922, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38923, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D17', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38924, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 13, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38925, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38926, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 8, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38927, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 3, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38928, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B10', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38929, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38930, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 17, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38931, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38932, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 3, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38933, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 13, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38934, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 12, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38935, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 9, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38936, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 2, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38937, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 4, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38938, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 12, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38939, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 8, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38940, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 2, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38941, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '不满意', '2B10', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38942, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 3, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38943, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 8, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38944, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E13', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38945, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38946, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 17, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38947, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38948, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 8, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38949, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 10, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38950, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 13, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38951, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 8, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38952, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 12, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38953, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 4, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38954, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 2, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38955, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D17', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38956, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38957, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 4, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38958, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 2, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38959, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38960, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38961, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 14, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38962, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38963, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '1A22', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38964, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38965, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 3, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38966, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38967, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 13, 2024, 7, 23, '2024-08-05 14:38:44', NULL, NULL), (38968, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 8, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38969, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 21, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38970, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38971, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 61, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38972, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38973, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 8, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38974, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38975, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 61, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38976, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38977, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 8, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38978, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 21, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38979, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38980, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 8, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38981, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38982, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38983, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38984, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38985, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38986, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38987, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 5, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38988, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 16, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38989, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38990, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38991, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38992, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38993, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E05', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38994, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 25, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38995, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38996, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38997, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 9, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38998, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 4, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (38999, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39000, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39001, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 4, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39002, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E31', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39003, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C10', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39004, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39005, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 6, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39006, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 9, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39007, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39008, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 100, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39009, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39010, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39011, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 6, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39012, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 19, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39013, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39014, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39015, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 7, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39016, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39017, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 59, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39018, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2A06', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39019, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39020, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39021, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39022, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39023, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 4, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39024, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 16, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39025, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E05', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39026, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39027, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39028, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39029, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39030, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 25, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39031, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39032, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39033, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39034, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 4, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39035, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39036, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39037, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 9, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39038, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39039, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 6, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39040, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 8, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39041, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 16, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39042, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39043, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39044, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39045, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39046, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39047, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E05', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39048, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39049, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39050, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39051, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39052, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 25, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39053, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39054, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E31', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39055, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39056, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C10', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39057, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39058, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39059, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39060, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 4, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39061, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 4, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39062, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 9, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39063, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39064, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 5, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39065, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 9, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39066, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 6, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39067, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '基本满意', '2A06', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39068, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39069, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39070, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 9, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39071, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39072, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39073, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 4, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39074, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 8, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39075, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39076, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39077, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39078, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E05', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39079, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 6, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39080, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39081, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39082, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 16, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39083, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 4, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39084, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39085, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B05', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39086, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39087, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 3, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39088, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 1, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39089, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 25, 2024, 7, 24, '2024-08-05 14:38:44', NULL, NULL), (39090, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 9, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39091, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 46, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39092, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39093, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 52, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39094, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39095, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 52, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39096, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39097, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 46, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39098, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39099, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 9, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (39100, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39101, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 5, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39102, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39103, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39104, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 24, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39105, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39106, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39107, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39108, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39109, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39110, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39111, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C08', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39112, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E28', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39113, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39114, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E05', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39115, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 16, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39116, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A10', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39117, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 3, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39118, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 9, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39119, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39120, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39121, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 6, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39122, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 5, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39123, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 5, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39124, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39125, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39126, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39127, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 7, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39128, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 4, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39129, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39130, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 101, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39131, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 8, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39132, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39133, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 43, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39134, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39135, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39136, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 47, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39137, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A10', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39138, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39139, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39140, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39141, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 24, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39142, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E05', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39143, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39144, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 5, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39145, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39146, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39147, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 16, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39148, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39149, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39150, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39151, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 4, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39152, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 3, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39153, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 5, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39154, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A22', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39155, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 5, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39156, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39157, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 9, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39158, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39159, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39160, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 7, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39161, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 24, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39162, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C08', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39163, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39164, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39165, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 5, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39166, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39167, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39168, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39169, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E28', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39170, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39171, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E05', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39172, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39173, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39174, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A10', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39175, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39176, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39177, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 16, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39178, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 9, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39179, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39180, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39181, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 4, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39182, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39183, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39184, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 5, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39185, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 5, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39186, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 6, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39187, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 3, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39188, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 7, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39189, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39190, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39191, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 9, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39192, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A22', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39193, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 4, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39194, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39195, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 5, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39196, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 3, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39197, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 5, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39198, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 7, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39199, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39200, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 5, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39201, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39202, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E05', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39203, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39204, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A23', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39205, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39206, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39207, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39208, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 24, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39209, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A10', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39210, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39211, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39212, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39213, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 16, 2024, 7, 25, '2024-08-05 14:38:44', NULL, NULL), (39214, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 6, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39215, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39216, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39217, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 31, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39218, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39219, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 66, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39220, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39221, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 66, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39222, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39223, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39224, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 31, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39225, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39226, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 6, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39227, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39228, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39229, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 4, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39230, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39231, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39232, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 14, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39233, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 3, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39234, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39235, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39236, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 2, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39237, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39238, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39239, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 15, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39240, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 16, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39241, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39242, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39243, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D03', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39244, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39245, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 8, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39246, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 4, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39247, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39248, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39249, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 3, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39250, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39251, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 5, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39252, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39253, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 16, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39254, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39255, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 105, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39256, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 6, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39257, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 30, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39258, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39259, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常不满意', '', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39260, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39261, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 63, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39262, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1D03', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39263, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 3, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39264, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39265, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39266, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 14, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39267, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39268, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39269, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 4, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39270, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39271, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39272, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 15, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39273, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E09', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39274, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E08', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39275, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39276, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 15, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39277, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 3, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39278, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39279, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39280, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 4, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39281, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 7, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39282, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 16, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39283, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 2, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39284, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39285, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 5, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39286, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 14, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39287, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39288, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39289, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 4, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39290, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39291, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39292, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39293, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39294, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 2, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39295, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39296, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39297, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 15, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39298, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39299, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 4, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39300, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39301, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 3, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39302, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 3, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39303, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 16, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39304, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39305, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39306, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39307, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 3, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39308, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D03', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39309, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 8, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39310, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39311, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 16, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39312, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 5, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39313, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39314, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39315, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 3, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39316, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 4, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39317, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 15, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39318, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 7, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39319, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 3, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39320, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 5, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39321, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 16, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39322, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 2, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39323, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 2, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39324, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 4, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39325, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39326, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E08', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39327, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E09', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39328, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常不满意', '1D03', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39329, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39330, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39331, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 14, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39332, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39333, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39334, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39335, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 3, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39336, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 15, 2024, 7, 26, '2024-08-05 14:38:44', NULL, NULL), (39337, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 8, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39338, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 50, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39339, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 94, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39340, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 3, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39341, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 2, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39342, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 94, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39343, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 3, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39344, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 50, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39345, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39346, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 8, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39347, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 24, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39348, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 8, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39349, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 2, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39350, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39351, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 10, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39352, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 7, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39353, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 21, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39354, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A05', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39355, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39356, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39357, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 4, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39358, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39359, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39360, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39361, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39362, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39363, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39364, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39365, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 3, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39366, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 7, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39367, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E27', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39368, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 21, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39369, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39370, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 30, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39371, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 147, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39372, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 8, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39373, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39374, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 46, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39375, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39376, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 89, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39377, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A05', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39378, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39379, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 21, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39380, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39381, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 10, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39382, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 8, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39383, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 21, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39384, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 3, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39385, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39386, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 29, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39387, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39388, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39389, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39390, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39391, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 4, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39392, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 23, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39393, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 6, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39394, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39395, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 6, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39396, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 3, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39397, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 21, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39398, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 8, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39399, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39400, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 10, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39401, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39402, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39403, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 4, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39404, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39405, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 2, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39406, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E27', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39407, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39408, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39409, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 30, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39410, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39411, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39412, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39413, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39414, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 7, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39415, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 2, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39416, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 24, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39417, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 21, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39418, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A05', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39419, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 7, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39420, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39421, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 2, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39422, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 4, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39423, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 29, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39424, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39425, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39426, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39427, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 23, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39428, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 6, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39429, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 10, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39430, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39431, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 8, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39432, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 6, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39433, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 3, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39434, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 21, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39435, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39436, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A05', '', 1, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39437, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39438, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 21, 2024, 7, 29, '2024-08-05 14:38:45', NULL, NULL), (39439, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 6, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39440, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 7, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39441, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 24, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39442, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 110, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39443, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39444, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39445, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39446, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 110, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39447, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 7, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39448, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39449, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 24, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39450, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 6, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39451, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39452, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39453, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39454, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39455, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39456, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39457, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 17, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39458, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39459, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39460, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39461, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 4, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39462, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 8, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39463, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 60, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39464, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39465, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 5, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39466, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39467, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39468, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 4, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39469, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39470, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39471, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39472, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D22', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39473, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39474, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 3, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39475, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39476, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 5, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39477, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 3, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39478, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39479, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 3, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39480, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 17, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39481, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 3, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39482, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 148, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39483, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 6, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39484, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39485, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 3, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39486, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 23, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39487, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 5, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39488, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39489, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 105, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39490, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39491, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 17, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39492, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 4, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39493, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39494, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39495, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39496, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 8, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39497, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39498, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39499, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39500, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39501, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A21', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39502, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 17, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39503, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39504, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 4, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39505, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 3, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39506, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D22', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39507, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39508, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39509, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E13', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39510, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 3, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39511, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 3, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39512, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39513, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39514, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 60, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39515, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 5, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39516, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D27', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39517, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39518, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 17, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39519, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39520, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39521, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39522, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39523, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D36', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39524, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B09', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39525, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39526, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D22', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39527, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 8, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39528, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39529, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39530, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39531, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39532, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39533, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 17, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39534, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 3, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39535, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39536, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 5, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39537, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 3, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39538, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 4, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39539, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 3, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39540, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39541, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 4, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39542, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 5, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39543, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 60, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39544, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39545, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D27', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39546, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39547, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E13', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39548, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39549, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 17, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39550, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D36', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39551, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39552, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 3, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39553, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 4, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39554, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39555, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 3, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39556, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 60, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39557, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 5, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39558, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 3, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39559, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39560, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (39561, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39562, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A23', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39563, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A21', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39564, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39565, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 17, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39566, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B09', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39567, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39568, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39569, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D22', '', 2, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39570, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 8, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39571, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D06', '', 4, 2024, 7, 30, '2024-08-05 14:38:45', NULL, NULL), (39572, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 6, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39573, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39574, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 27, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39575, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 63, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39576, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39577, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 63, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39578, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39579, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 27, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39580, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39581, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 6, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39582, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 21, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39583, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39584, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 3, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39585, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D02', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39586, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39587, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39588, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 20, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39589, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39590, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39591, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D12', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39592, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 3, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39593, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39594, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39595, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39596, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 5, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39597, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39598, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E06', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39599, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39600, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 15, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39601, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 19, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39602, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 96, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39603, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 5, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39604, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 27, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39605, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 3, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39606, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39607, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 60, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39608, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 18, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39609, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39610, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39611, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E13', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39612, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 20, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39613, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39614, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D02', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39615, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39616, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39617, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D12', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39618, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 3, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39619, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 20, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39620, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E06', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39621, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 3, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39622, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39623, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 15, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39624, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 5, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39625, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39626, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 20, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39627, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 5, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39628, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39629, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 3, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39630, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 2, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39631, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E06', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39632, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D02', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39633, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D12', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39634, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 19, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39635, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39636, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39637, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39638, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39639, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39640, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39641, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39642, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 3, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39643, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 21, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39644, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 15, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39645, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 5, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39646, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D02', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39647, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E06', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39648, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 2, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39649, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 3, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39650, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E13', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39651, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 20, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39652, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 18, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39653, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39654, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39655, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39656, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D12', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39657, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39658, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39659, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 15, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39660, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 20, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39661, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 3, 2024, 7, 31, '2024-08-05 14:38:45', NULL, NULL), (39662, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 2, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39663, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 20, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39664, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39665, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 39, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39666, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39667, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39668, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 2, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39669, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 39, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39670, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39671, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 2, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39672, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 20, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39673, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39674, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39676, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E25', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39677, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 2, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39678, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39679, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39680, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39681, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39682, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 17, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39683, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 5, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39684, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39685, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 5, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39686, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39687, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39688, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B11', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39689, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39690, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39691, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E05', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39692, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 14, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39693, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 17, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39694, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39695, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 67, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39696, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 2, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39697, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 18, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39698, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39699, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39700, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 39, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39701, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 17, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39702, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39703, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 16, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39704, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 5, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39705, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39706, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 5, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39707, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E05', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39708, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 2, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39709, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 2, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39710, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39711, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39712, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 14, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39713, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39714, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 17, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39715, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E25', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39716, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39717, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39718, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39719, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39720, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B11', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39721, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E05', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39722, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39723, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39724, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 17, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39725, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 5, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39726, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39727, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 2, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39728, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39729, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 5, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39730, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39731, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39732, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 14, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39733, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39734, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39735, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E05', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39736, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39737, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 16, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39738, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 17, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39739, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 5, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39740, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 5, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39741, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 2, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39742, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39743, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39744, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 14, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39745, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 2, 2024, 8, 1, '2024-08-05 14:38:45', NULL, NULL), (39746, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 5, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:23'), (39747, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:23'), (39748, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:23'), (39749, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 16, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:23'), (39750, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:23'), (39751, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 63, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:23'), (39752, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 6, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39753, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39754, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 63, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39755, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39756, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39757, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 6, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39758, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 16, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39759, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 5, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39760, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39761, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39762, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 12, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39763, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 5, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39764, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39765, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A07', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39766, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 2, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39767, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 3, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39768, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 4, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39769, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 14, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39770, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39771, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 13, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39772, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39773, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39774, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39775, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39776, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39777, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D09', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39778, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39779, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39780, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 16, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39781, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39782, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 18, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39783, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39784, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39785, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 94, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39786, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 5, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39787, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 14, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39788, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39789, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39790, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39791, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39792, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 4, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39793, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39794, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39795, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 60, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39796, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2E32', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39797, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 18, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39798, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39799, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2A08', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39800, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A03', '', 13, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39801, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 3, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39802, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 4, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39803, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 13, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39804, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 12, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39805, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39806, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39807, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A07', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39808, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 2, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39809, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39810, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D05', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39811, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A08', '', 4, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39812, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 16, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39813, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39814, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39815, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39816, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 14, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39817, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39818, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39819, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39820, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 5, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39821, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39822, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39823, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 3, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39824, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 18, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39825, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39826, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39827, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 4, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39828, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 2, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39829, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39830, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 13, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39831, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D09', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39832, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39833, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39834, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 12, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39835, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A07', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39836, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 16, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39837, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39838, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39839, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D05', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39840, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39841, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39842, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 13, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39843, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A07', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39844, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A08', '', 4, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39845, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '满意', '2E32', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39846, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 3, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39847, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 18, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39848, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39849, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 4, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39850, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 2, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39851, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A03', '', 13, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:25'), (39852, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 16, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39853, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 12, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39854, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39855, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常不满意', '2A08', '', 1, 2024, 8, 2, '2024-08-05 14:38:45', 1, '2024-08-06 02:02:24'), (39856, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 3, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39857, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 5, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39858, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 1, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39859, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 5, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39860, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 3, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39861, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 1, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39862, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39863, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39864, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39865, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39866, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 4, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39867, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 9, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39868, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 3, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39869, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39870, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 5, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39871, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39872, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39873, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39874, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39875, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 4, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39876, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39877, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39878, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39879, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 4, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39880, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 1, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39881, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39882, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 1, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39883, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39884, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 4, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39885, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 8, 3, '2024-08-05 14:38:45', 1, '2024-08-07 01:01:06'), (39886, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 6, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:19'), (39887, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:19'), (39888, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 6, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:19'), (39889, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:19'), (39890, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A08', '', 1, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:19'), (39891, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 2, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:19'), (39892, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 3, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:19'), (39893, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:19'), (39894, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 5, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:19'), (39895, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 5, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:19'), (39896, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 3, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:19'), (39897, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:19'), (39898, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:19'), (39899, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A08', '', 1, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:19'), (39900, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:19'), (39901, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 3, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:20'), (39902, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 2, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:19'), (39903, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 3, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:20'), (39904, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:20'), (39905, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 1, 2024, 8, 4, '2024-08-05 14:38:46', 1, '2024-08-08 01:01:20'), (39906, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 14:57:48', NULL, NULL), (39907, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 14:57:48', NULL, NULL), (39908, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 14:57:48', NULL, NULL), (39909, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 14:57:48', NULL, NULL), (39910, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 14:57:48', NULL, NULL), (39911, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 14:57:48', NULL, NULL), (39912, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 14:57:48', NULL, NULL), (39913, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 14:57:48', NULL, NULL), (39914, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 14:57:48', NULL, NULL), (39915, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 14:57:48', NULL, NULL), (39916, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 14:57:48', NULL, NULL), (39917, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 14:57:48', NULL, NULL), (39918, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 14:57:48', NULL, NULL), (39919, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 14:57:48', NULL, NULL), (39920, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 14:57:48', NULL, NULL), (39921, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 14:57:48', NULL, NULL), (39922, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 14:57:48', NULL, NULL), (39923, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 14:57:48', NULL, NULL), (39924, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 14:57:48', NULL, NULL), (39925, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 14:57:48', NULL, NULL), (39926, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 14:57:48', NULL, NULL), (39927, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 14:57:48', NULL, NULL), (39928, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 14:57:48', NULL, NULL), (39929, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 14:57:48', NULL, NULL), (39930, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 14:57:48', NULL, NULL), (39931, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 14:57:48', NULL, NULL), (39932, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 14:57:48', NULL, NULL), (39933, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 14:57:48', NULL, NULL), (39934, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 14:57:48', NULL, NULL), (39935, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 14:57:48', NULL, NULL), (39936, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 14:57:48', NULL, NULL), (39937, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 14:57:48', NULL, NULL), (39938, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 14:57:48', NULL, NULL), (39939, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 14:57:48', NULL, NULL), (39940, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 14:57:48', NULL, NULL), (39941, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 14:57:48', NULL, NULL), (39942, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 14:57:48', NULL, NULL), (39943, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 14:57:48', NULL, NULL), (39944, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 14:57:48', NULL, NULL), (39945, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 14:57:48', NULL, NULL), (39946, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 14:57:48', NULL, NULL), (39947, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 14:57:48', NULL, NULL), (39948, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 14:57:48', NULL, NULL), (39949, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 14:57:48', NULL, NULL), (39950, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 14:57:48', NULL, NULL), (39951, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 14:57:48', NULL, NULL), (39952, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 14:57:48', NULL, NULL), (39953, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 14:57:48', NULL, NULL), (39954, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 14:57:48', NULL, NULL), (39955, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 14:57:48', NULL, NULL), (39956, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 14:57:48', NULL, NULL), (39957, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 14:57:48', NULL, NULL), (39958, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 14:57:48', NULL, NULL), (39959, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 14:57:48', NULL, NULL), (39960, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 14:57:48', NULL, NULL), (39961, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 14:57:48', NULL, NULL), (39962, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 14:57:48', NULL, NULL), (39963, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 14:57:48', NULL, NULL), (39964, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 14:57:48', NULL, NULL), (39965, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 14:57:48', NULL, NULL), (39966, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 14:57:48', NULL, NULL), (39967, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 14:57:48', NULL, NULL), (39968, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 14:57:48', NULL, NULL), (39969, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 14:57:48', NULL, NULL), (39970, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 14:57:48', NULL, NULL), (39971, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 14:57:48', NULL, NULL), (39972, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 14:57:48', NULL, NULL), (39973, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 14:57:48', NULL, NULL), (39974, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 14:57:48', NULL, NULL), (39975, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 14:57:48', NULL, NULL), (39976, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 14:57:48', NULL, NULL), (39977, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 14:57:48', NULL, NULL), (39978, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 14:57:48', NULL, NULL), (39979, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 14:57:48', NULL, NULL), (39980, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 14:57:48', NULL, NULL), (39981, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 14:57:48', NULL, NULL), (39982, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 14:57:48', NULL, NULL), (39983, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 14:57:48', NULL, NULL), (39984, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 14:57:48', NULL, NULL), (39985, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 14:57:48', NULL, NULL), (39986, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 14:57:48', NULL, NULL), (39987, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 14:57:48', NULL, NULL), (39988, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 14:57:48', NULL, NULL), (39989, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 14:57:48', NULL, NULL), (39990, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 14:57:48', NULL, NULL), (39991, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 14:57:48', NULL, NULL), (39992, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 14:57:48', NULL, NULL), (39993, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 14:57:48', NULL, NULL), (39994, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 14:57:48', NULL, NULL), (39995, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 14:57:48', NULL, NULL), (39996, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 14:57:48', NULL, NULL), (39997, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 14:57:48', NULL, NULL), (39998, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 14:57:48', NULL, NULL), (39999, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 14:57:48', NULL, NULL), (40000, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 14:57:48', NULL, NULL), (40001, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 14:57:48', NULL, NULL), (40002, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 14:57:48', NULL, NULL), (40003, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 14:57:48', NULL, NULL), (40004, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 14:57:48', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (40005, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 14:57:48', NULL, NULL), (40006, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 14:57:48', NULL, NULL), (40007, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 14:57:48', NULL, NULL), (40008, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 14:57:48', NULL, NULL), (40009, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 14:57:48', NULL, NULL), (40010, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 14:57:48', NULL, NULL), (40011, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 14:57:48', NULL, NULL), (40012, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 14:57:48', NULL, NULL), (40013, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 14:57:48', NULL, NULL), (40014, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 14:57:48', NULL, NULL), (40015, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 14:57:48', NULL, NULL), (40016, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 14:57:48', NULL, NULL), (40017, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 14:57:48', NULL, NULL), (40018, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 14:57:48', NULL, NULL), (40019, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 14:57:48', NULL, NULL), (40020, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 14:57:48', NULL, NULL), (40021, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 14:57:48', NULL, NULL), (40022, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 14:57:48', NULL, NULL), (40023, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 14:57:48', NULL, NULL), (40024, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 14:57:48', NULL, NULL), (40025, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 14:57:48', NULL, NULL), (40026, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 14:57:48', NULL, NULL), (40027, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 14:57:48', NULL, NULL), (40028, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 14:57:48', NULL, NULL), (40029, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 14:57:48', NULL, NULL), (40030, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 14:57:48', NULL, NULL), (40031, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 14:57:48', NULL, NULL), (40032, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 14:57:48', NULL, NULL), (40033, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 14:57:48', NULL, NULL), (40034, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 14:57:48', NULL, NULL), (40035, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 14:57:48', NULL, NULL), (40036, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 14:57:48', NULL, NULL), (40037, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 14:57:48', NULL, NULL), (40038, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 14:57:48', NULL, NULL), (40039, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 14:57:48', NULL, NULL), (40040, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 14:57:48', NULL, NULL), (40041, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 14:57:48', NULL, NULL), (40042, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 14:57:48', NULL, NULL), (40043, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 14:57:48', NULL, NULL), (40044, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 14:57:48', NULL, NULL), (40045, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 14:57:48', NULL, NULL), (40046, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 14:57:49', NULL, NULL), (40047, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 14:57:49', NULL, NULL), (40048, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 14:57:49', NULL, NULL), (40049, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 14:57:49', NULL, NULL), (40050, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 14:57:49', NULL, NULL), (40051, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 14:57:49', NULL, NULL), (40052, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 14:57:49', NULL, NULL), (40053, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 14:57:49', NULL, NULL), (40054, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 14:57:49', NULL, NULL), (40055, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 14:57:49', NULL, NULL), (40056, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 14:57:49', NULL, NULL), (40057, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 14:57:49', NULL, NULL), (40058, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 14:57:49', NULL, NULL), (40059, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 14:57:49', NULL, NULL), (40060, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 14:57:49', NULL, NULL), (40061, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 14:57:49', NULL, NULL), (40062, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 14:57:49', NULL, NULL), (40063, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 14:57:49', NULL, NULL), (40064, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 14:57:49', NULL, NULL), (40065, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 14:57:49', NULL, NULL), (40066, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 14:57:49', NULL, NULL), (40067, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 14:57:49', NULL, NULL), (40068, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 14:57:49', NULL, NULL), (40069, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 14:57:49', NULL, NULL), (40070, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 14:57:49', NULL, NULL), (40071, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 14:57:49', NULL, NULL), (40072, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 14:57:49', NULL, NULL), (40073, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 14:57:49', NULL, NULL), (40074, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 14:57:49', NULL, NULL), (40075, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 14:57:49', NULL, NULL), (40076, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 14:57:49', NULL, NULL), (40077, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 14:57:49', NULL, NULL), (40078, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 14:57:49', NULL, NULL), (40079, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 14:57:49', NULL, NULL), (40080, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 14:57:49', NULL, NULL), (40081, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 14:57:49', NULL, NULL), (40082, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 14:57:49', NULL, NULL), (40083, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 14:57:49', NULL, NULL), (40084, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 14:57:49', NULL, NULL), (40085, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 14:57:49', NULL, NULL), (40086, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 14:57:49', NULL, NULL), (40087, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 14:57:49', NULL, NULL), (40088, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 14:57:49', NULL, NULL), (40089, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 14:57:49', NULL, NULL), (40090, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 14:57:49', NULL, NULL), (40091, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 14:57:49', NULL, NULL), (40092, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 14:57:49', NULL, NULL), (40093, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 14:57:49', NULL, NULL), (40094, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 14:57:49', NULL, NULL), (40095, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 14:57:49', NULL, NULL), (40096, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 14:57:49', NULL, NULL), (40097, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 14:57:49', NULL, NULL), (40098, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 14:57:49', NULL, NULL), (40099, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 14:57:49', NULL, NULL), (40100, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 14:57:49', NULL, NULL), (40101, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 14:57:49', NULL, NULL), (40102, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 14:57:49', NULL, NULL), (40103, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 14:57:49', NULL, NULL), (40104, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 14:57:49', NULL, NULL), (40105, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 14:57:49', NULL, NULL), (40106, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 14:57:49', NULL, NULL), (40107, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 14:57:49', NULL, NULL), (40108, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 14:57:49', NULL, NULL), (40109, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 14:57:49', NULL, NULL), (40110, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 14:57:49', NULL, NULL), (40111, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 14:57:49', NULL, NULL), (40112, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 14:57:49', NULL, NULL), (40113, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 14:57:49', NULL, NULL), (40114, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 14:57:49', NULL, NULL), (40115, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 14:57:49', NULL, NULL), (40116, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 14:57:49', NULL, NULL), (40117, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 14:57:49', NULL, NULL), (40118, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 14:57:49', NULL, NULL), (40119, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 14:57:49', NULL, NULL), (40120, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 14:57:49', NULL, NULL), (40121, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 14:57:49', NULL, NULL), (40122, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 14:57:49', NULL, NULL), (40123, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 14:57:49', NULL, NULL), (40124, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 14:57:49', NULL, NULL), (40125, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 14:57:49', NULL, NULL), (40126, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 14:57:49', NULL, NULL), (40127, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 14:57:49', NULL, NULL), (40128, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 14:57:49', NULL, NULL), (40129, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 14:57:49', NULL, NULL), (40130, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 14:57:49', NULL, NULL), (40131, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 14:57:49', NULL, NULL), (40132, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 14:57:49', NULL, NULL), (40133, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 14:57:49', NULL, NULL), (40134, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 14:57:49', NULL, NULL), (40135, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 14:57:49', NULL, NULL), (40136, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 14:57:49', NULL, NULL), (40137, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 14:57:49', NULL, NULL), (40138, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 14:57:49', NULL, NULL), (40139, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 14:57:49', NULL, NULL), (40140, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 14:57:49', NULL, NULL), (40141, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 14:57:49', NULL, NULL), (40142, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 14:57:49', NULL, NULL), (40143, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 14:57:49', NULL, NULL), (40144, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 14:57:49', NULL, NULL), (40145, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 14:57:49', NULL, NULL), (40146, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 14:57:49', NULL, NULL), (40147, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 14:57:49', NULL, NULL), (40148, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 14:57:49', NULL, NULL), (40149, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 14:57:50', NULL, NULL), (40150, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 14:57:50', NULL, NULL), (40151, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 14:57:50', NULL, NULL), (40152, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 14:57:50', NULL, NULL), (40153, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 14:57:50', NULL, NULL), (40154, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 14:57:50', NULL, NULL), (40155, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 14:57:50', NULL, NULL), (40156, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 14:57:50', NULL, NULL), (40157, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 14:57:50', NULL, NULL), (40158, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 14:57:50', NULL, NULL), (40159, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 14:57:50', NULL, NULL), (40160, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 14:57:50', NULL, NULL), (40161, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 14:57:50', NULL, NULL), (40162, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 14:57:50', NULL, NULL), (40163, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 14:57:50', NULL, NULL), (40164, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 14:57:50', NULL, NULL), (40165, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 14:57:50', NULL, NULL), (40166, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 14:57:50', NULL, NULL), (40167, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 14:57:50', NULL, NULL), (40168, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 14:57:50', NULL, NULL), (40169, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 14:57:50', NULL, NULL), (40170, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 14:57:50', NULL, NULL), (40171, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 14:57:50', NULL, NULL), (40172, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 14:57:50', NULL, NULL), (40173, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 14:57:50', NULL, NULL), (40174, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 14:57:50', NULL, NULL), (40175, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 14:57:50', NULL, NULL), (40176, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 14:57:50', NULL, NULL), (40177, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 14:57:50', NULL, NULL), (40178, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 14:57:50', NULL, NULL), (40179, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 14:57:50', NULL, NULL), (40180, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 14:57:50', NULL, NULL), (40181, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 14:57:50', NULL, NULL), (40182, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 14:57:50', NULL, NULL), (40183, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 14:57:50', NULL, NULL), (40184, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 14:57:50', NULL, NULL), (40185, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 14:57:50', NULL, NULL), (40186, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 14:57:50', NULL, NULL), (40187, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 14:57:50', NULL, NULL), (40188, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 14:57:50', NULL, NULL), (40189, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 14:57:50', NULL, NULL), (40190, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 14:57:50', NULL, NULL), (40191, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 14:57:50', NULL, NULL), (40192, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 14:57:50', NULL, NULL), (40193, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 14:57:50', NULL, NULL), (40194, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 14:57:50', NULL, NULL), (40195, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 14:57:50', NULL, NULL), (40196, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 14:57:50', NULL, NULL), (40197, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 14:57:50', NULL, NULL), (40198, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 14:57:50', NULL, NULL), (40199, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 14:57:50', NULL, NULL), (40200, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 14:57:50', NULL, NULL), (40201, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 14:57:50', NULL, NULL), (40202, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 14:57:50', NULL, NULL), (40203, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 14:57:50', NULL, NULL), (40204, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 14:57:50', NULL, NULL), (40205, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 14:57:50', NULL, NULL), (40206, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 14:57:50', NULL, NULL), (40207, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 14:57:50', NULL, NULL), (40208, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 14:57:50', NULL, NULL), (40209, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 14:57:50', NULL, NULL), (40210, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 14:57:50', NULL, NULL), (40211, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 14:57:50', NULL, NULL), (40212, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 14:57:50', NULL, NULL), (40213, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 14:57:50', NULL, NULL), (40214, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 14:57:50', NULL, NULL), (40215, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 14:57:50', NULL, NULL), (40216, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 14:57:50', NULL, NULL), (40217, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 14:57:50', NULL, NULL), (40218, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 14:57:50', NULL, NULL), (40219, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 14:57:50', NULL, NULL), (40220, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 14:57:50', NULL, NULL), (40221, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 14:57:50', NULL, NULL), (40222, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 14:57:50', NULL, NULL), (40223, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 14:57:50', NULL, NULL), (40224, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 14:57:50', NULL, NULL), (40225, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 14:57:50', NULL, NULL), (40226, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 14:57:50', NULL, NULL), (40227, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 14:57:50', NULL, NULL), (40228, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 14:57:50', NULL, NULL), (40229, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 14:57:50', NULL, NULL), (40230, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 14:57:50', NULL, NULL), (40231, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 14:57:50', NULL, NULL), (40232, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 14:57:50', NULL, NULL), (40233, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 14:57:50', NULL, NULL), (40234, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 14:57:50', NULL, NULL), (40235, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 14:57:50', NULL, NULL), (40236, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 14:57:50', NULL, NULL), (40237, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 14:57:50', NULL, NULL), (40238, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 14:57:50', NULL, NULL), (40239, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 14:57:50', NULL, NULL), (40240, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 14:57:50', NULL, NULL), (40241, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 14:57:50', NULL, NULL), (40242, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 14:57:50', NULL, NULL), (40243, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 14:57:50', NULL, NULL), (40244, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 14:57:50', NULL, NULL), (40245, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 14:57:50', NULL, NULL), (40246, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 14:57:50', NULL, NULL), (40247, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 14:57:50', NULL, NULL), (40248, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 14:57:50', NULL, NULL), (40249, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 14:57:50', NULL, NULL), (40250, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 14:57:50', NULL, NULL), (40251, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 14:57:50', NULL, NULL), (40252, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 14:57:50', NULL, NULL), (40253, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 14:57:50', NULL, NULL), (40254, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 14:57:50', NULL, NULL), (40255, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 14:57:50', NULL, NULL), (40256, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 14:57:50', NULL, NULL), (40257, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 14:57:50', NULL, NULL), (40258, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 14:57:50', NULL, NULL), (40259, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 14:57:50', NULL, NULL), (40260, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 14:57:50', NULL, NULL), (40261, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 14:57:50', NULL, NULL), (40262, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 14:57:50', NULL, NULL), (40263, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 14:57:50', NULL, NULL), (40264, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 14:57:50', NULL, NULL), (40265, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 14:57:50', NULL, NULL), (40266, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 14:57:50', NULL, NULL), (40267, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 14:57:50', NULL, NULL), (40268, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 14:57:50', NULL, NULL), (40269, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 14:57:50', NULL, NULL), (40270, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 14:57:50', NULL, NULL), (40271, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 14:57:50', NULL, NULL), (40272, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 14:57:50', NULL, NULL), (40273, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 14:57:50', NULL, NULL), (40274, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 14:57:50', NULL, NULL), (40275, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 14:57:50', NULL, NULL), (40276, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 14:57:50', NULL, NULL), (40277, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 14:57:50', NULL, NULL), (40278, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 14:57:50', NULL, NULL), (40279, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 14:57:50', NULL, NULL), (40280, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 14:57:50', NULL, NULL), (40281, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 14:57:50', NULL, NULL), (40282, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 14:57:50', NULL, NULL), (40283, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 14:57:50', NULL, NULL), (40284, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 14:57:50', NULL, NULL), (40285, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 14:57:50', NULL, NULL), (40286, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 14:57:50', NULL, NULL), (40287, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 14:57:50', NULL, NULL), (40288, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 14:57:50', NULL, NULL), (40289, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 14:57:50', NULL, NULL), (40290, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 14:57:50', NULL, NULL), (40291, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 14:57:50', NULL, NULL), (40292, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 14:57:50', NULL, NULL), (40293, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 14:57:50', NULL, NULL), (40294, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 14:57:50', NULL, NULL), (40295, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 14:57:50', NULL, NULL), (40296, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 14:57:51', NULL, NULL), (40297, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 14:57:51', NULL, NULL), (40298, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 14:57:51', NULL, NULL), (40299, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 14:57:51', NULL, NULL), (40300, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 14:57:51', NULL, NULL), (40301, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 14:57:51', NULL, NULL), (40302, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 14:57:51', NULL, NULL), (40303, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 14:57:51', NULL, NULL), (40304, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 14:57:51', NULL, NULL), (40305, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 14:57:51', NULL, NULL), (40306, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 14:57:51', NULL, NULL), (40307, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 14:57:51', NULL, NULL), (40308, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 14:57:51', NULL, NULL), (40309, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 14:57:51', NULL, NULL), (40310, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 14:57:51', NULL, NULL), (40311, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 14:57:51', NULL, NULL), (40312, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 14:57:51', NULL, NULL), (40313, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 14:57:51', NULL, NULL), (40314, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 14:57:51', NULL, NULL), (40315, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 14:57:51', NULL, NULL), (40316, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 14:57:51', NULL, NULL), (40317, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 14:57:51', NULL, NULL), (40318, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 14:57:51', NULL, NULL), (40319, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 14:57:51', NULL, NULL), (40320, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 14:57:51', NULL, NULL), (40321, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 14:57:51', NULL, NULL), (40322, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 14:57:51', NULL, NULL), (40323, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 14:57:51', NULL, NULL), (40324, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 14:57:51', NULL, NULL), (40325, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 14:57:51', NULL, NULL), (40326, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 14:57:51', NULL, NULL), (40327, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 14:57:51', NULL, NULL), (40328, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 14:57:51', NULL, NULL), (40329, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 14:57:51', NULL, NULL), (40330, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 14:57:51', NULL, NULL), (40331, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 14:57:51', NULL, NULL), (40332, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 14:57:51', NULL, NULL), (40333, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 14:57:51', NULL, NULL), (40334, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 14:57:51', NULL, NULL), (40335, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 14:57:51', NULL, NULL), (40336, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 14:57:51', NULL, NULL), (40337, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 14:57:51', NULL, NULL), (40338, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 14:57:51', NULL, NULL), (40339, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 14:57:51', NULL, NULL), (40340, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 14:57:51', NULL, NULL), (40341, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 14:57:51', NULL, NULL), (40342, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 14:57:51', NULL, NULL), (40343, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 14:57:51', NULL, NULL), (40344, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 14:57:51', NULL, NULL), (40345, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 14:57:51', NULL, NULL), (40346, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 14:57:51', NULL, NULL), (40347, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 14:57:51', NULL, NULL), (40348, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 14:57:51', NULL, NULL), (40349, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 14:57:51', NULL, NULL), (40350, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 14:57:51', NULL, NULL), (40351, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 14:57:51', NULL, NULL), (40352, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 14:57:51', NULL, NULL), (40353, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 14:57:51', NULL, NULL), (40354, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 14:57:51', NULL, NULL), (40355, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 14:57:51', NULL, NULL), (40356, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 14:57:51', NULL, NULL), (40357, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 14:57:51', NULL, NULL), (40358, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 14:57:51', NULL, NULL), (40359, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 14:57:51', NULL, NULL), (40360, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 14:57:51', NULL, NULL), (40361, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 14:57:51', NULL, NULL), (40362, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 14:57:51', NULL, NULL), (40363, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 14:57:51', NULL, NULL), (40364, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 14:57:51', NULL, NULL), (40365, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 14:57:51', NULL, NULL), (40366, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 14:57:51', NULL, NULL), (40367, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 14:57:51', NULL, NULL), (40368, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 14:57:51', NULL, NULL), (40369, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 14:57:51', NULL, NULL), (40370, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 14:57:51', NULL, NULL), (40371, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 14:57:51', NULL, NULL), (40372, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 14:57:51', NULL, NULL), (40373, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 14:57:51', NULL, NULL), (40374, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 14:57:51', NULL, NULL), (40375, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 14:57:51', NULL, NULL), (40376, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 14:57:51', NULL, NULL), (40377, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 14:57:51', NULL, NULL), (40378, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 14:57:51', NULL, NULL), (40379, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 14:57:51', NULL, NULL), (40380, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 14:57:51', NULL, NULL), (40381, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 14:57:51', NULL, NULL), (40382, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 14:57:51', NULL, NULL), (40383, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 14:57:51', NULL, NULL), (40384, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 14:57:51', NULL, NULL), (40385, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 14:57:51', NULL, NULL), (40386, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 14:57:51', NULL, NULL), (40387, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 14:57:51', NULL, NULL), (40388, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 14:57:51', NULL, NULL), (40389, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 14:57:51', NULL, NULL), (40390, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 14:57:51', NULL, NULL), (40391, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 14:57:51', NULL, NULL), (40392, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 14:57:51', NULL, NULL), (40393, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 14:57:51', NULL, NULL), (40394, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 14:57:51', NULL, NULL), (40395, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 14:57:51', NULL, NULL), (40396, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 14:57:51', NULL, NULL), (40397, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 14:57:51', NULL, NULL), (40398, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 14:57:51', NULL, NULL), (40399, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 14:57:51', NULL, NULL), (40400, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 14:57:51', NULL, NULL), (40401, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 14:57:51', NULL, NULL), (40402, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 14:57:51', NULL, NULL), (40403, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 14:57:51', NULL, NULL), (40404, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 14:57:51', NULL, NULL), (40405, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 14:57:51', NULL, NULL), (40406, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 14:57:51', NULL, NULL), (40407, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 14:57:51', NULL, NULL), (40408, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 14:57:51', NULL, NULL), (40409, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 14:57:51', NULL, NULL), (40410, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 14:57:51', NULL, NULL), (40411, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 14:57:51', NULL, NULL), (40412, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 14:57:51', NULL, NULL), (40413, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 14:57:51', NULL, NULL), (40414, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 14:57:51', NULL, NULL), (40415, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 14:57:51', NULL, NULL), (40416, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 14:57:51', NULL, NULL), (40417, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 14:57:51', NULL, NULL), (40418, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 14:57:51', NULL, NULL), (40419, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 14:57:51', NULL, NULL), (40420, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 14:57:51', NULL, NULL), (40421, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 14:57:51', NULL, NULL), (40422, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 14:57:51', NULL, NULL), (40423, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 14:57:52', NULL, NULL), (40424, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 14:57:52', NULL, NULL), (40425, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 14:57:52', NULL, NULL), (40426, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 14:57:52', NULL, NULL), (40427, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 14:57:52', NULL, NULL), (40428, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 14:57:52', NULL, NULL), (40429, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 14:57:52', NULL, NULL), (40430, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 14:57:52', NULL, NULL), (40431, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 14:57:52', NULL, NULL), (40432, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 14:57:52', NULL, NULL), (40433, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 14:57:52', NULL, NULL), (40434, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 14:57:52', NULL, NULL), (40435, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 14:57:52', NULL, NULL), (40436, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 14:57:52', NULL, NULL), (40437, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 14:57:52', NULL, NULL), (40438, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 14:57:52', NULL, NULL), (40439, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 14:57:52', NULL, NULL), (40440, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 14:57:52', NULL, NULL), (40441, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 14:57:52', NULL, NULL), (40442, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 14:57:52', NULL, NULL), (40443, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 14:57:52', NULL, NULL), (40444, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 14:57:52', NULL, NULL), (40445, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 14:57:52', NULL, NULL), (40446, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 14:57:52', NULL, NULL), (40447, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 14:57:52', NULL, NULL), (40448, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 14:57:52', NULL, NULL), (40449, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 14:57:52', NULL, NULL), (40450, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 14:57:52', NULL, NULL), (40451, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 14:57:52', NULL, NULL), (40452, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 14:57:52', NULL, NULL), (40453, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 14:57:52', NULL, NULL), (40454, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 14:57:52', NULL, NULL), (40455, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 14:57:52', NULL, NULL), (40456, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 14:57:52', NULL, NULL), (40457, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 14:57:52', NULL, NULL), (40458, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 14:57:52', NULL, NULL), (40459, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 14:57:52', NULL, NULL), (40460, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 14:57:52', NULL, NULL), (40461, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 14:57:52', NULL, NULL), (40462, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 14:57:52', NULL, NULL), (40463, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 14:57:52', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (40464, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 14:57:52', NULL, NULL), (40465, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 14:57:52', NULL, NULL), (40466, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 14:57:52', NULL, NULL), (40467, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 14:57:52', NULL, NULL), (40468, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 14:57:52', NULL, NULL), (40469, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 14:57:52', NULL, NULL), (40470, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 14:57:52', NULL, NULL), (40471, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 14:57:52', NULL, NULL), (40472, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 14:57:52', NULL, NULL), (40473, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 14:57:52', NULL, NULL), (40474, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 14:57:52', NULL, NULL), (40475, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 14:57:52', NULL, NULL), (40476, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 14:57:52', NULL, NULL), (40477, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 14:57:52', NULL, NULL), (40478, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 14:57:52', NULL, NULL), (40479, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 14:57:52', NULL, NULL), (40480, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 14:57:52', NULL, NULL), (40481, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 14:57:52', NULL, NULL), (40482, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 14:57:52', NULL, NULL), (40483, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 14:57:52', NULL, NULL), (40484, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 14:57:52', 1, '2024-08-05 22:12:08'), (40485, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 14:57:52', 1, '2024-08-06 02:01:09'), (40486, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 14:57:52', 1, '2024-08-07 01:00:09'), (40487, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 14:57:52', 1, '2024-08-08 01:00:09'), (40488, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 14:57:52', 1, '2024-08-09 01:00:08'), (40489, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 15:10:18', NULL, NULL), (40490, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 15:10:18', NULL, NULL), (40491, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 15:10:18', NULL, NULL), (40492, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 15:10:18', NULL, NULL), (40493, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 15:10:18', NULL, NULL), (40494, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 15:10:18', NULL, NULL), (40495, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 15:10:18', NULL, NULL), (40496, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 15:10:18', NULL, NULL), (40497, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 15:10:18', NULL, NULL), (40498, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 15:10:18', NULL, NULL), (40499, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 15:10:18', NULL, NULL), (40500, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 15:10:18', NULL, NULL), (40501, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 15:10:18', NULL, NULL), (40502, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 15:10:18', NULL, NULL), (40503, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 15:10:18', NULL, NULL), (40504, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 15:10:18', NULL, NULL), (40505, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 15:10:18', NULL, NULL), (40506, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 15:10:18', NULL, NULL), (40507, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 15:10:18', NULL, NULL), (40508, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 15:10:18', NULL, NULL), (40509, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 15:10:18', NULL, NULL), (40510, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 15:10:18', NULL, NULL), (40511, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 15:10:18', NULL, NULL), (40512, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 15:10:18', NULL, NULL), (40513, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 15:10:18', NULL, NULL), (40514, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 15:10:18', NULL, NULL), (40515, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 15:10:18', NULL, NULL), (40516, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 15:10:18', NULL, NULL), (40517, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 15:10:18', NULL, NULL), (40518, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 15:10:18', NULL, NULL), (40519, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 15:10:18', NULL, NULL), (40520, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 15:10:18', NULL, NULL), (40521, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 15:10:18', NULL, NULL), (40522, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 15:10:18', NULL, NULL), (40523, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 15:10:18', NULL, NULL), (40524, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 15:10:18', NULL, NULL), (40525, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 15:10:18', NULL, NULL), (40526, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 15:10:18', NULL, NULL), (40527, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 15:10:18', NULL, NULL), (40528, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 15:10:18', NULL, NULL), (40529, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 15:10:18', NULL, NULL), (40530, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 15:10:18', NULL, NULL), (40531, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 15:10:18', NULL, NULL), (40532, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 15:10:18', NULL, NULL), (40533, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 15:10:18', NULL, NULL), (40534, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 15:10:18', NULL, NULL), (40535, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 15:10:18', NULL, NULL), (40536, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 15:10:18', NULL, NULL), (40537, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 15:10:18', NULL, NULL), (40538, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 15:10:18', NULL, NULL), (40539, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 15:10:18', NULL, NULL), (40540, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 15:10:18', NULL, NULL), (40541, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 15:10:18', NULL, NULL), (40542, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 15:10:18', NULL, NULL), (40543, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 15:10:18', NULL, NULL), (40544, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 15:10:18', NULL, NULL), (40545, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 15:10:18', NULL, NULL), (40546, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 15:10:18', NULL, NULL), (40547, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 15:10:18', NULL, NULL), (40548, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 15:10:18', NULL, NULL), (40549, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 15:10:18', NULL, NULL), (40550, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 15:10:18', NULL, NULL), (40551, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 15:10:18', NULL, NULL), (40552, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 15:10:18', NULL, NULL), (40553, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 15:10:18', NULL, NULL), (40554, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 15:10:18', NULL, NULL), (40555, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 15:10:18', NULL, NULL), (40556, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 15:10:18', NULL, NULL), (40557, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 15:10:18', NULL, NULL), (40558, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 15:10:18', NULL, NULL), (40559, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 15:10:18', NULL, NULL), (40560, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 15:10:18', NULL, NULL), (40561, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 15:10:18', NULL, NULL), (40562, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 15:10:18', NULL, NULL), (40563, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 15:10:18', NULL, NULL), (40564, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 15:10:18', NULL, NULL), (40565, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 15:10:18', NULL, NULL), (40566, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 15:10:18', NULL, NULL), (40567, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 15:10:18', NULL, NULL), (40568, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 15:10:18', NULL, NULL), (40569, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 15:10:18', NULL, NULL), (40570, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 15:10:18', NULL, NULL), (40571, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 15:10:18', NULL, NULL), (40572, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 15:10:18', NULL, NULL), (40573, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 15:10:18', NULL, NULL), (40574, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 15:10:18', NULL, NULL), (40575, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 15:10:18', NULL, NULL), (40576, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 15:10:18', NULL, NULL), (40577, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 15:10:18', NULL, NULL), (40578, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 15:10:18', NULL, NULL), (40579, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 15:10:18', NULL, NULL), (40580, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 15:10:18', NULL, NULL), (40581, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 15:10:18', NULL, NULL), (40582, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 15:10:18', NULL, NULL), (40583, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 15:10:18', NULL, NULL), (40584, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 15:10:18', NULL, NULL), (40585, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 15:10:18', NULL, NULL), (40586, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 15:10:18', NULL, NULL), (40587, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 15:10:18', NULL, NULL), (40588, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 15:10:18', NULL, NULL), (40589, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 15:10:18', NULL, NULL), (40590, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 15:10:18', NULL, NULL), (40591, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 15:10:18', NULL, NULL), (40592, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 15:10:18', NULL, NULL), (40593, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 15:10:18', NULL, NULL), (40594, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 15:10:18', NULL, NULL), (40595, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 15:10:18', NULL, NULL), (40596, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 15:10:18', NULL, NULL), (40597, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 15:10:18', NULL, NULL), (40598, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 15:10:18', NULL, NULL), (40599, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 15:10:18', NULL, NULL), (40600, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 15:10:18', NULL, NULL), (40601, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 15:10:18', NULL, NULL), (40602, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 15:10:18', NULL, NULL), (40603, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 15:10:18', NULL, NULL), (40604, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 15:10:18', NULL, NULL), (40605, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 15:10:18', NULL, NULL), (40606, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 15:10:18', NULL, NULL), (40607, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 15:10:18', NULL, NULL), (40608, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 15:10:18', NULL, NULL), (40609, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 15:10:18', NULL, NULL), (40610, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 15:10:18', NULL, NULL), (40611, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 15:10:18', NULL, NULL), (40612, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 15:10:18', NULL, NULL), (40613, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 15:10:18', NULL, NULL), (40614, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 15:10:18', NULL, NULL), (40615, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 15:10:18', NULL, NULL), (40616, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 15:10:18', NULL, NULL), (40617, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 15:10:18', NULL, NULL), (40618, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 15:10:19', NULL, NULL), (40619, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 15:10:19', NULL, NULL), (40620, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 15:10:19', NULL, NULL), (40621, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 15:10:19', NULL, NULL), (40622, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 15:10:19', NULL, NULL), (40623, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 15:10:19', NULL, NULL), (40624, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 15:10:19', NULL, NULL), (40625, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 15:10:19', NULL, NULL), (40626, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 15:10:19', NULL, NULL), (40627, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 15:10:19', NULL, NULL), (40628, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 15:10:19', NULL, NULL), (40629, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 15:10:19', NULL, NULL), (40630, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 15:10:19', NULL, NULL), (40631, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 15:10:19', NULL, NULL), (40632, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 15:10:19', NULL, NULL), (40633, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 15:10:19', NULL, NULL), (40634, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 15:10:19', NULL, NULL), (40635, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 15:10:19', NULL, NULL), (40636, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 15:10:19', NULL, NULL), (40637, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 15:10:19', NULL, NULL), (40638, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 15:10:19', NULL, NULL), (40639, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 15:10:19', NULL, NULL), (40640, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 15:10:19', NULL, NULL), (40641, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 15:10:19', NULL, NULL), (40642, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 15:10:19', NULL, NULL), (40643, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 15:10:19', NULL, NULL), (40644, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 15:10:19', NULL, NULL), (40645, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 15:10:19', NULL, NULL), (40646, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 15:10:19', NULL, NULL), (40647, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 15:10:19', NULL, NULL), (40648, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 15:10:19', NULL, NULL), (40649, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 15:10:19', NULL, NULL), (40650, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 15:10:19', NULL, NULL), (40651, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 15:10:19', NULL, NULL), (40652, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 15:10:19', NULL, NULL), (40653, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 15:10:19', NULL, NULL), (40654, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 15:10:19', NULL, NULL), (40655, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 15:10:19', NULL, NULL), (40656, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 15:10:19', NULL, NULL), (40657, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 15:10:19', NULL, NULL), (40658, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 15:10:19', NULL, NULL), (40659, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 15:10:19', NULL, NULL), (40660, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 15:10:19', NULL, NULL), (40661, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 15:10:19', NULL, NULL), (40662, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 15:10:19', NULL, NULL), (40663, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 15:10:19', NULL, NULL), (40664, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 15:10:19', NULL, NULL), (40665, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 15:10:19', NULL, NULL), (40666, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 15:10:19', NULL, NULL), (40667, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 15:10:19', NULL, NULL), (40668, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 15:10:19', NULL, NULL), (40669, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 15:10:19', NULL, NULL), (40670, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 15:10:19', NULL, NULL), (40671, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 15:10:19', NULL, NULL), (40672, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 15:10:19', NULL, NULL), (40673, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 15:10:19', NULL, NULL), (40674, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 15:10:19', NULL, NULL), (40675, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 15:10:19', NULL, NULL), (40676, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 15:10:19', NULL, NULL), (40677, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 15:10:19', NULL, NULL), (40678, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 15:10:19', NULL, NULL), (40679, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 15:10:19', NULL, NULL), (40680, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 15:10:19', NULL, NULL), (40681, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 15:10:19', NULL, NULL), (40682, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 15:10:19', NULL, NULL), (40683, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 15:10:19', NULL, NULL), (40684, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 15:10:19', NULL, NULL), (40685, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 15:10:19', NULL, NULL), (40686, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 15:10:19', NULL, NULL), (40687, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 15:10:19', NULL, NULL), (40688, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 15:10:19', NULL, NULL), (40689, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 15:10:19', NULL, NULL), (40690, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 15:10:19', NULL, NULL), (40691, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 15:10:19', NULL, NULL), (40692, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 15:10:19', NULL, NULL), (40693, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 15:10:19', NULL, NULL), (40694, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 15:10:19', NULL, NULL), (40695, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 15:10:19', NULL, NULL), (40696, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 15:10:19', NULL, NULL), (40697, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 15:10:19', NULL, NULL), (40698, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 15:10:19', NULL, NULL), (40699, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 15:10:19', NULL, NULL), (40700, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 15:10:19', NULL, NULL), (40701, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 15:10:19', NULL, NULL), (40702, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 15:10:19', NULL, NULL), (40703, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 15:10:19', NULL, NULL), (40704, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 15:10:19', NULL, NULL), (40705, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 15:10:19', NULL, NULL), (40706, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 15:10:19', NULL, NULL), (40707, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 15:10:19', NULL, NULL), (40708, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 15:10:19', NULL, NULL), (40709, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 15:10:19', NULL, NULL), (40710, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 15:10:19', NULL, NULL), (40711, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 15:10:19', NULL, NULL), (40712, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 15:10:19', NULL, NULL), (40713, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 15:10:19', NULL, NULL), (40714, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 15:10:19', NULL, NULL), (40715, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 15:10:19', NULL, NULL), (40716, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 15:10:19', NULL, NULL), (40717, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 15:10:19', NULL, NULL), (40718, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 15:10:20', NULL, NULL), (40719, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 15:10:20', NULL, NULL), (40720, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 15:10:20', NULL, NULL), (40721, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 15:10:20', NULL, NULL), (40722, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 15:10:20', NULL, NULL), (40723, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 15:10:20', NULL, NULL), (40724, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 15:10:20', NULL, NULL), (40725, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 15:10:20', NULL, NULL), (40726, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 15:10:20', NULL, NULL), (40727, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 15:10:20', NULL, NULL), (40728, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 15:10:20', NULL, NULL), (40729, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 15:10:20', NULL, NULL), (40730, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 15:10:20', NULL, NULL), (40731, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 15:10:20', NULL, NULL), (40732, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 15:10:20', NULL, NULL), (40733, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 15:10:20', NULL, NULL), (40734, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 15:10:20', NULL, NULL), (40735, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 15:10:20', NULL, NULL), (40736, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 15:10:20', NULL, NULL), (40737, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 15:10:20', NULL, NULL), (40738, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 15:10:20', NULL, NULL), (40739, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 15:10:20', NULL, NULL), (40740, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 15:10:20', NULL, NULL), (40741, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 15:10:20', NULL, NULL), (40742, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 15:10:20', NULL, NULL), (40743, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 15:10:20', NULL, NULL), (40744, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 15:10:20', NULL, NULL), (40745, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 15:10:20', NULL, NULL), (40746, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 15:10:20', NULL, NULL), (40747, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 15:10:20', NULL, NULL), (40748, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 15:10:20', NULL, NULL), (40749, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 15:10:20', NULL, NULL), (40750, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 15:10:20', NULL, NULL), (40751, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 15:10:20', NULL, NULL), (40752, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 15:10:20', NULL, NULL), (40753, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 15:10:20', NULL, NULL), (40754, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 15:10:20', NULL, NULL), (40755, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 15:10:20', NULL, NULL), (40756, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 15:10:20', NULL, NULL), (40757, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 15:10:20', NULL, NULL), (40758, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 15:10:20', NULL, NULL), (40759, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 15:10:20', NULL, NULL), (40760, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 15:10:20', NULL, NULL), (40761, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 15:10:20', NULL, NULL), (40762, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 15:10:20', NULL, NULL), (40763, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 15:10:20', NULL, NULL), (40764, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 15:10:20', NULL, NULL), (40765, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 15:10:20', NULL, NULL), (40766, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 15:10:20', NULL, NULL), (40767, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 15:10:20', NULL, NULL), (40768, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 15:10:20', NULL, NULL), (40769, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 15:10:20', NULL, NULL), (40770, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 15:10:20', NULL, NULL), (40771, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 15:10:20', NULL, NULL), (40772, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 15:10:20', NULL, NULL), (40773, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 15:10:20', NULL, NULL), (40774, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 15:10:20', NULL, NULL), (40775, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 15:10:20', NULL, NULL), (40776, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 15:10:20', NULL, NULL), (40777, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 15:10:20', NULL, NULL), (40778, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 15:10:20', NULL, NULL), (40779, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 15:10:20', NULL, NULL), (40780, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 15:10:20', NULL, NULL), (40781, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 15:10:20', NULL, NULL), (40782, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 15:10:20', NULL, NULL), (40783, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 15:10:20', NULL, NULL), (40784, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 15:10:20', NULL, NULL), (40785, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 15:10:20', NULL, NULL), (40786, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 15:10:20', NULL, NULL), (40787, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 15:10:20', NULL, NULL), (40788, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 15:10:20', NULL, NULL), (40789, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 15:10:20', NULL, NULL), (40790, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 15:10:20', NULL, NULL), (40791, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 15:10:20', NULL, NULL), (40792, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 15:10:20', NULL, NULL), (40793, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 15:10:20', NULL, NULL), (40794, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 15:10:20', NULL, NULL), (40795, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 15:10:20', NULL, NULL), (40796, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 15:10:20', NULL, NULL), (40797, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 15:10:20', NULL, NULL), (40798, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 15:10:20', NULL, NULL), (40799, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 15:10:20', NULL, NULL), (40800, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 15:10:20', NULL, NULL), (40801, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 15:10:20', NULL, NULL), (40802, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 15:10:20', NULL, NULL), (40803, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 15:10:20', NULL, NULL), (40804, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 15:10:20', NULL, NULL), (40805, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 15:10:20', NULL, NULL), (40806, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 15:10:20', NULL, NULL), (40807, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 15:10:20', NULL, NULL), (40808, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 15:10:20', NULL, NULL), (40809, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 15:10:20', NULL, NULL), (40810, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 15:10:20', NULL, NULL), (40811, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 15:10:20', NULL, NULL), (40812, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 15:10:20', NULL, NULL), (40813, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 15:10:20', NULL, NULL), (40814, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 15:10:20', NULL, NULL), (40815, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 15:10:20', NULL, NULL), (40816, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 15:10:20', NULL, NULL), (40817, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 15:10:20', NULL, NULL), (40818, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 15:10:20', NULL, NULL), (40819, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 15:10:20', NULL, NULL), (40820, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 15:10:20', NULL, NULL), (40821, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 15:10:20', NULL, NULL), (40822, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 15:10:20', NULL, NULL), (40823, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 15:10:20', NULL, NULL), (40824, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 15:10:20', NULL, NULL), (40825, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 15:10:20', NULL, NULL), (40826, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 15:10:20', NULL, NULL), (40827, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 15:10:20', NULL, NULL), (40828, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 15:10:20', NULL, NULL), (40829, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 15:10:20', NULL, NULL), (40830, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 15:10:20', NULL, NULL), (40831, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 15:10:20', NULL, NULL), (40832, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 15:10:20', NULL, NULL), (40833, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 15:10:20', NULL, NULL), (40834, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 15:10:20', NULL, NULL), (40835, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 15:10:20', NULL, NULL), (40836, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 15:10:20', NULL, NULL), (40837, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 15:10:21', NULL, NULL), (40838, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 15:10:21', NULL, NULL), (40839, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 15:10:21', NULL, NULL), (40840, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 15:10:21', NULL, NULL), (40841, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 15:10:21', NULL, NULL), (40842, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 15:10:21', NULL, NULL), (40843, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 15:10:21', NULL, NULL), (40844, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 15:10:21', NULL, NULL), (40845, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 15:10:21', NULL, NULL), (40846, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 15:10:21', NULL, NULL), (40847, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 15:10:21', NULL, NULL), (40848, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 15:10:21', NULL, NULL), (40849, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 15:10:21', NULL, NULL), (40850, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 15:10:21', NULL, NULL), (40851, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 15:10:21', NULL, NULL), (40852, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 15:10:21', NULL, NULL), (40853, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 15:10:21', NULL, NULL), (40854, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 15:10:21', NULL, NULL), (40855, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 15:10:21', NULL, NULL), (40856, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 15:10:21', NULL, NULL), (40857, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 15:10:21', NULL, NULL), (40858, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 15:10:21', NULL, NULL), (40859, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 15:10:21', NULL, NULL), (40860, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 15:10:21', NULL, NULL), (40861, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 15:10:21', NULL, NULL), (40862, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 15:10:21', NULL, NULL), (40863, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 15:10:21', NULL, NULL), (40864, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 15:10:21', NULL, NULL), (40865, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 15:10:21', NULL, NULL), (40866, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 15:10:21', NULL, NULL), (40867, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 15:10:21', NULL, NULL), (40868, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 15:10:21', NULL, NULL), (40869, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 15:10:21', NULL, NULL), (40870, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 15:10:21', NULL, NULL), (40871, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 15:10:21', NULL, NULL), (40872, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 15:10:21', NULL, NULL), (40873, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 15:10:21', NULL, NULL), (40874, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 15:10:21', NULL, NULL), (40875, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 15:10:21', NULL, NULL), (40876, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 15:10:21', NULL, NULL), (40877, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 15:10:21', NULL, NULL), (40878, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 15:10:21', NULL, NULL), (40879, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 15:10:21', NULL, NULL), (40880, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 15:10:21', NULL, NULL), (40881, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 15:10:21', NULL, NULL), (40882, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 15:10:21', NULL, NULL), (40883, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 15:10:21', NULL, NULL), (40884, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 15:10:21', NULL, NULL), (40885, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 15:10:21', NULL, NULL), (40886, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 15:10:21', NULL, NULL), (40887, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 15:10:21', NULL, NULL), (40888, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 15:10:21', NULL, NULL), (40889, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 15:10:21', NULL, NULL), (40890, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 15:10:21', NULL, NULL), (40891, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 15:10:21', NULL, NULL), (40892, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 15:10:21', NULL, NULL), (40893, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 15:10:21', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (40894, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 15:10:21', NULL, NULL), (40895, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 15:10:21', NULL, NULL), (40896, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 15:10:21', NULL, NULL), (40897, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 15:10:21', NULL, NULL), (40898, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 15:10:21', NULL, NULL), (40899, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 15:10:21', NULL, NULL), (40900, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 15:10:21', NULL, NULL), (40901, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 15:10:21', NULL, NULL), (40902, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 15:10:21', NULL, NULL), (40903, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 15:10:21', NULL, NULL), (40904, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 15:10:21', NULL, NULL), (40905, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 15:10:21', NULL, NULL), (40906, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 15:10:21', NULL, NULL), (40907, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 15:10:21', NULL, NULL), (40908, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 15:10:21', NULL, NULL), (40909, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 15:10:21', NULL, NULL), (40910, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 15:10:21', NULL, NULL), (40911, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 15:10:21', NULL, NULL), (40912, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 15:10:21', NULL, NULL), (40913, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 15:10:21', NULL, NULL), (40914, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 15:10:21', NULL, NULL), (40915, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 15:10:21', NULL, NULL), (40916, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 15:10:21', NULL, NULL), (40917, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 15:10:21', NULL, NULL), (40918, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 15:10:21', NULL, NULL), (40919, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 15:10:21', NULL, NULL), (40920, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 15:10:21', NULL, NULL), (40921, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 15:10:21', NULL, NULL), (40922, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 15:10:21', NULL, NULL), (40923, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 15:10:21', NULL, NULL), (40924, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 15:10:21', NULL, NULL), (40925, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 15:10:21', NULL, NULL), (40926, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 15:10:21', NULL, NULL), (40927, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 15:10:21', NULL, NULL), (40928, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 15:10:21', NULL, NULL), (40929, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 15:10:21', NULL, NULL), (40930, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 15:10:21', NULL, NULL), (40931, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 15:10:21', NULL, NULL), (40932, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 15:10:21', NULL, NULL), (40933, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 15:10:21', NULL, NULL), (40934, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 15:10:21', NULL, NULL), (40935, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 15:10:21', NULL, NULL), (40936, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 15:10:21', NULL, NULL), (40937, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 15:10:21', NULL, NULL), (40938, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 15:10:21', NULL, NULL), (40939, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 15:10:21', NULL, NULL), (40940, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 15:10:21', NULL, NULL), (40941, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 15:10:21', NULL, NULL), (40942, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 15:10:21', NULL, NULL), (40943, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 15:10:21', NULL, NULL), (40944, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 15:10:21', NULL, NULL), (40945, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 15:10:21', NULL, NULL), (40946, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 15:10:21', NULL, NULL), (40947, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 15:10:21', NULL, NULL), (40948, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 15:10:21', NULL, NULL), (40949, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 15:10:21', NULL, NULL), (40950, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 15:10:21', NULL, NULL), (40951, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 15:10:21', NULL, NULL), (40952, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 15:10:21', NULL, NULL), (40953, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 15:10:21', NULL, NULL), (40954, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 15:10:21', NULL, NULL), (40955, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 15:10:21', NULL, NULL), (40956, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 15:10:21', NULL, NULL), (40957, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 15:10:21', NULL, NULL), (40958, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 15:10:21', NULL, NULL), (40959, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 15:10:21', NULL, NULL), (40960, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 15:10:21', NULL, NULL), (40961, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 15:10:21', NULL, NULL), (40962, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 15:10:21', NULL, NULL), (40963, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 15:10:21', NULL, NULL), (40964, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 15:10:21', NULL, NULL), (40965, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 15:10:21', NULL, NULL), (40966, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 15:10:21', NULL, NULL), (40967, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 15:10:21', NULL, NULL), (40968, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 15:10:21', NULL, NULL), (40969, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 15:10:21', NULL, NULL), (40970, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 15:10:21', NULL, NULL), (40971, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 15:10:21', NULL, NULL), (40972, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 15:10:21', NULL, NULL), (40973, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 15:10:21', NULL, NULL), (40974, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 15:10:21', NULL, NULL), (40975, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 15:10:21', NULL, NULL), (40976, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 15:10:21', NULL, NULL), (40977, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 15:10:21', NULL, NULL), (40978, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 15:10:21', NULL, NULL), (40979, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 15:10:21', NULL, NULL), (40980, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 15:10:21', NULL, NULL), (40981, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 15:10:22', NULL, NULL), (40982, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 15:10:22', NULL, NULL), (40983, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 15:10:22', NULL, NULL), (40984, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 15:10:22', NULL, NULL), (40985, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 15:10:22', NULL, NULL), (40986, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 15:10:22', NULL, NULL), (40987, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 15:10:22', NULL, NULL), (40988, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 15:10:22', NULL, NULL), (40989, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 15:10:22', NULL, NULL), (40990, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 15:10:22', NULL, NULL), (40991, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 15:10:22', NULL, NULL), (40992, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 15:10:22', NULL, NULL), (40993, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 15:10:22', NULL, NULL), (40994, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 15:10:22', NULL, NULL), (40995, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 15:10:22', NULL, NULL), (40996, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 15:10:22', NULL, NULL), (40997, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 15:10:22', NULL, NULL), (40998, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 15:10:22', NULL, NULL), (40999, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 15:10:22', NULL, NULL), (41000, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 15:10:22', NULL, NULL), (41001, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 15:10:22', NULL, NULL), (41002, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 15:10:22', NULL, NULL), (41003, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 15:10:22', NULL, NULL), (41004, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 15:10:22', NULL, NULL), (41005, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 15:10:22', NULL, NULL), (41006, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 15:10:22', NULL, NULL), (41007, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 15:10:22', NULL, NULL), (41008, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 15:10:22', NULL, NULL), (41009, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 15:10:22', NULL, NULL), (41010, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 15:10:22', NULL, NULL), (41011, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 15:10:22', NULL, NULL), (41012, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 15:10:22', NULL, NULL), (41013, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 15:10:22', NULL, NULL), (41014, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 15:10:22', NULL, NULL), (41015, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 15:10:22', NULL, NULL), (41016, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 15:10:22', NULL, NULL), (41017, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 15:10:22', NULL, NULL), (41018, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 15:10:22', NULL, NULL), (41019, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 15:10:22', NULL, NULL), (41020, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 15:10:22', NULL, NULL), (41021, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 15:10:22', NULL, NULL), (41022, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 15:10:22', NULL, NULL), (41023, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 15:10:22', NULL, NULL), (41024, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 15:10:22', NULL, NULL), (41025, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 15:10:22', NULL, NULL), (41026, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 15:10:22', NULL, NULL), (41027, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 15:10:22', NULL, NULL), (41028, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 15:10:22', NULL, NULL), (41029, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 15:10:22', NULL, NULL), (41030, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 15:10:22', NULL, NULL), (41031, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 15:10:22', NULL, NULL), (41032, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 15:10:22', NULL, NULL), (41033, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 15:10:22', NULL, NULL), (41034, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 15:10:22', NULL, NULL), (41035, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 15:10:22', NULL, NULL), (41036, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 15:10:22', NULL, NULL), (41037, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 15:10:22', NULL, NULL), (41038, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 15:10:22', NULL, NULL), (41039, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 15:10:22', NULL, NULL), (41040, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 15:10:22', NULL, NULL), (41041, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 15:10:22', NULL, NULL), (41042, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 15:10:22', NULL, NULL), (41043, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 15:10:22', NULL, NULL), (41044, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 15:10:22', NULL, NULL), (41045, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 15:10:22', NULL, NULL), (41046, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 15:10:22', NULL, NULL), (41047, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 15:10:22', NULL, NULL), (41048, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 15:10:22', NULL, NULL), (41049, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 15:10:22', NULL, NULL), (41050, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 15:10:22', NULL, NULL), (41051, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 15:10:22', NULL, NULL), (41052, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 15:10:22', NULL, NULL), (41053, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 15:10:22', NULL, NULL), (41054, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 15:10:22', NULL, NULL), (41055, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 15:10:22', NULL, NULL), (41056, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 15:10:22', NULL, NULL), (41057, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 15:10:22', NULL, NULL), (41058, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 15:10:22', NULL, NULL), (41059, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 15:10:22', NULL, NULL), (41060, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 15:10:22', NULL, NULL), (41061, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 15:10:22', NULL, NULL), (41062, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 15:10:22', NULL, NULL), (41063, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 15:10:22', NULL, NULL), (41064, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 15:10:22', NULL, NULL), (41065, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 15:10:22', NULL, NULL), (41066, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 15:10:22', NULL, NULL), (41067, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 15:10:22', 1, '2024-08-05 22:12:08'), (41068, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 15:10:22', 1, '2024-08-06 02:01:08'), (41069, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 15:10:22', 1, '2024-08-07 01:00:09'), (41070, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 15:10:22', 1, '2024-08-08 01:00:09'), (41071, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 15:10:22', 1, '2024-08-09 01:00:08'), (41072, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 15:22:16', NULL, NULL), (41073, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 15:22:16', NULL, NULL), (41074, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 15:22:16', NULL, NULL), (41075, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 15:22:16', NULL, NULL), (41076, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 15:22:16', NULL, NULL), (41077, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 15:22:16', NULL, NULL), (41078, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 15:22:16', NULL, NULL), (41079, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 15:22:16', NULL, NULL), (41080, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 15:22:16', NULL, NULL), (41081, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 15:22:16', NULL, NULL), (41082, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 15:22:16', NULL, NULL), (41083, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 15:22:16', NULL, NULL), (41084, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 15:22:16', NULL, NULL), (41085, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 15:22:16', NULL, NULL), (41086, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 15:22:16', NULL, NULL), (41087, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 15:22:16', NULL, NULL), (41088, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 15:22:16', NULL, NULL), (41089, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 15:22:16', NULL, NULL), (41090, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 15:22:16', NULL, NULL), (41091, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 15:22:16', NULL, NULL), (41092, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 15:22:16', NULL, NULL), (41093, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 15:22:16', NULL, NULL), (41094, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 15:22:16', NULL, NULL), (41095, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 15:22:16', NULL, NULL), (41096, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 15:22:16', NULL, NULL), (41097, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 15:22:16', NULL, NULL), (41098, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 15:22:16', NULL, NULL), (41099, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 15:22:16', NULL, NULL), (41100, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 15:22:16', NULL, NULL), (41101, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 15:22:16', NULL, NULL), (41102, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 15:22:16', NULL, NULL), (41103, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 15:22:16', NULL, NULL), (41104, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 15:22:16', NULL, NULL), (41105, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 15:22:16', NULL, NULL), (41106, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 15:22:16', NULL, NULL), (41107, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 15:22:16', NULL, NULL), (41108, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 15:22:16', NULL, NULL), (41109, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 15:22:16', NULL, NULL), (41110, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 15:22:16', NULL, NULL), (41111, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 15:22:16', NULL, NULL), (41112, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 15:22:16', NULL, NULL), (41113, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 15:22:16', NULL, NULL), (41114, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 15:22:16', NULL, NULL), (41115, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 15:22:16', NULL, NULL), (41116, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 15:22:16', NULL, NULL), (41117, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 15:22:16', NULL, NULL), (41118, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 15:22:16', NULL, NULL), (41119, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 15:22:16', NULL, NULL), (41120, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 15:22:16', NULL, NULL), (41121, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 15:22:16', NULL, NULL), (41122, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 15:22:16', NULL, NULL), (41123, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 15:22:16', NULL, NULL), (41124, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 15:22:16', NULL, NULL), (41125, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 15:22:17', NULL, NULL), (41126, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 15:22:17', NULL, NULL), (41127, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 15:22:17', NULL, NULL), (41128, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 15:22:17', NULL, NULL), (41129, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 15:22:17', NULL, NULL), (41130, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 15:22:17', NULL, NULL), (41131, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 15:22:17', NULL, NULL), (41132, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 15:22:17', NULL, NULL), (41133, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 15:22:17', NULL, NULL), (41134, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 15:22:17', NULL, NULL), (41135, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 15:22:17', NULL, NULL), (41136, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 15:22:17', NULL, NULL), (41137, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 15:22:17', NULL, NULL), (41138, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 15:22:17', NULL, NULL), (41139, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 15:22:17', NULL, NULL), (41140, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 15:22:17', NULL, NULL), (41141, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 15:22:17', NULL, NULL), (41142, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 15:22:17', NULL, NULL), (41143, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 15:22:17', NULL, NULL), (41144, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 15:22:17', NULL, NULL), (41145, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 15:22:17', NULL, NULL), (41146, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 15:22:17', NULL, NULL), (41147, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 15:22:17', NULL, NULL), (41148, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 15:22:17', NULL, NULL), (41149, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 15:22:17', NULL, NULL), (41150, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 15:22:17', NULL, NULL), (41151, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 15:22:17', NULL, NULL), (41152, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 15:22:17', NULL, NULL), (41153, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 15:22:17', NULL, NULL), (41154, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 15:22:17', NULL, NULL), (41155, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 15:22:17', NULL, NULL), (41156, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 15:22:17', NULL, NULL), (41157, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 15:22:17', NULL, NULL), (41158, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 15:22:17', NULL, NULL), (41159, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 15:22:17', NULL, NULL), (41160, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 15:22:17', NULL, NULL), (41161, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 15:22:17', NULL, NULL), (41162, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 15:22:17', NULL, NULL), (41163, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 15:22:17', NULL, NULL), (41164, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 15:22:17', NULL, NULL), (41165, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 15:22:17', NULL, NULL), (41166, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 15:22:17', NULL, NULL), (41167, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 15:22:17', NULL, NULL), (41168, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 15:22:17', NULL, NULL), (41169, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 15:22:17', NULL, NULL), (41170, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 15:22:17', NULL, NULL), (41171, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 15:22:17', NULL, NULL), (41172, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 15:22:17', NULL, NULL), (41173, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 15:22:17', NULL, NULL), (41174, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 15:22:17', NULL, NULL), (41175, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 15:22:17', NULL, NULL), (41176, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 15:22:17', NULL, NULL), (41177, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 15:22:17', NULL, NULL), (41178, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 15:22:17', NULL, NULL), (41179, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 15:22:18', NULL, NULL), (41180, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 15:22:18', NULL, NULL), (41181, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 15:22:18', NULL, NULL), (41182, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 15:22:18', NULL, NULL), (41183, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 15:22:18', NULL, NULL), (41184, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 15:22:18', NULL, NULL), (41185, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 15:22:18', NULL, NULL), (41186, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 15:22:18', NULL, NULL), (41187, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 15:22:18', NULL, NULL), (41188, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 15:22:18', NULL, NULL), (41189, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 15:22:18', NULL, NULL), (41190, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 15:22:18', NULL, NULL), (41191, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 15:22:18', NULL, NULL), (41192, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 15:22:18', NULL, NULL), (41193, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 15:22:18', NULL, NULL), (41194, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 15:22:18', NULL, NULL), (41195, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 15:22:18', NULL, NULL), (41196, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 15:22:18', NULL, NULL), (41197, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 15:22:18', NULL, NULL), (41198, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 15:22:18', NULL, NULL), (41199, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 15:22:18', NULL, NULL), (41200, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 15:22:18', NULL, NULL), (41201, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 15:22:18', NULL, NULL), (41202, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 15:22:18', NULL, NULL), (41203, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 15:22:18', NULL, NULL), (41204, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 15:22:18', NULL, NULL), (41205, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 15:22:18', NULL, NULL), (41206, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 15:22:18', NULL, NULL), (41207, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 15:22:18', NULL, NULL), (41208, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 15:22:18', NULL, NULL), (41209, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 15:22:18', NULL, NULL), (41210, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 15:22:18', NULL, NULL), (41211, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 15:22:18', NULL, NULL), (41212, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 15:22:18', NULL, NULL), (41213, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 15:22:18', NULL, NULL), (41214, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 15:22:18', NULL, NULL), (41215, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 15:22:18', NULL, NULL), (41216, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 15:22:18', NULL, NULL), (41217, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 15:22:18', NULL, NULL), (41218, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 15:22:18', NULL, NULL), (41219, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 15:22:18', NULL, NULL), (41220, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 15:22:18', NULL, NULL), (41221, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 15:22:18', NULL, NULL), (41222, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 15:22:18', NULL, NULL), (41223, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 15:22:18', NULL, NULL), (41224, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 15:22:18', NULL, NULL), (41225, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 15:22:18', NULL, NULL), (41226, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 15:22:18', NULL, NULL), (41227, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 15:22:18', NULL, NULL), (41228, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 15:22:18', NULL, NULL), (41229, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 15:22:18', NULL, NULL), (41230, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 15:22:18', NULL, NULL), (41231, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 15:22:19', NULL, NULL), (41232, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 15:22:19', NULL, NULL), (41233, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 15:22:19', NULL, NULL), (41234, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 15:22:19', NULL, NULL), (41235, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 15:22:19', NULL, NULL), (41236, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 15:22:19', NULL, NULL), (41237, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 15:22:19', NULL, NULL), (41238, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 15:22:19', NULL, NULL), (41239, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 15:22:19', NULL, NULL), (41240, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 15:22:19', NULL, NULL), (41241, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 15:22:19', NULL, NULL), (41242, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 15:22:19', NULL, NULL), (41243, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 15:22:19', NULL, NULL), (41244, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 15:22:19', NULL, NULL), (41245, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 15:22:19', NULL, NULL), (41246, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 15:22:19', NULL, NULL), (41247, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 15:22:19', NULL, NULL), (41248, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 15:22:19', NULL, NULL), (41249, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 15:22:19', NULL, NULL), (41250, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 15:22:19', NULL, NULL), (41251, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 15:22:19', NULL, NULL), (41252, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 15:22:19', NULL, NULL), (41253, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 15:22:19', NULL, NULL), (41254, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 15:22:19', NULL, NULL), (41255, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 15:22:19', NULL, NULL), (41256, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 15:22:19', NULL, NULL), (41257, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 15:22:19', NULL, NULL), (41258, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 15:22:19', NULL, NULL), (41259, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 15:22:19', NULL, NULL), (41260, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 15:22:19', NULL, NULL), (41261, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 15:22:19', NULL, NULL), (41262, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 15:22:19', NULL, NULL), (41263, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 15:22:19', NULL, NULL), (41264, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 15:22:19', NULL, NULL), (41265, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 15:22:19', NULL, NULL), (41266, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 15:22:19', NULL, NULL), (41267, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 15:22:19', NULL, NULL), (41268, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 15:22:19', NULL, NULL), (41269, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 15:22:19', NULL, NULL), (41270, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 15:22:19', NULL, NULL), (41271, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 15:22:19', NULL, NULL), (41272, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 15:22:19', NULL, NULL), (41273, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 15:22:19', NULL, NULL), (41274, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 15:22:19', NULL, NULL), (41275, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 15:22:19', NULL, NULL), (41276, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 15:22:19', NULL, NULL), (41277, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 15:22:19', NULL, NULL), (41278, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 15:22:19', NULL, NULL), (41279, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 15:22:19', NULL, NULL), (41280, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 15:22:19', NULL, NULL), (41281, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 15:22:20', NULL, NULL), (41282, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 15:22:20', NULL, NULL), (41283, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 15:22:20', NULL, NULL), (41284, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 15:22:20', NULL, NULL), (41285, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 15:22:20', NULL, NULL), (41286, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 15:22:20', NULL, NULL), (41287, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 15:22:20', NULL, NULL), (41288, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 15:22:20', NULL, NULL), (41289, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 15:22:20', NULL, NULL), (41290, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 15:22:20', NULL, NULL), (41291, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 15:22:20', NULL, NULL), (41292, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 15:22:20', NULL, NULL), (41293, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 15:22:20', NULL, NULL), (41294, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 15:22:20', NULL, NULL), (41295, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 15:22:20', NULL, NULL), (41296, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 15:22:20', NULL, NULL), (41297, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 15:22:20', NULL, NULL), (41298, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 15:22:20', NULL, NULL), (41299, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 15:22:20', NULL, NULL), (41300, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 15:22:20', NULL, NULL), (41301, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 15:22:20', NULL, NULL), (41302, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 15:22:20', NULL, NULL), (41303, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 15:22:20', NULL, NULL), (41304, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 15:22:20', NULL, NULL), (41305, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 15:22:20', NULL, NULL), (41306, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 15:22:20', NULL, NULL), (41307, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 15:22:20', NULL, NULL), (41308, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 15:22:20', NULL, NULL), (41309, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 15:22:20', NULL, NULL), (41310, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 15:22:20', NULL, NULL), (41311, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 15:22:20', NULL, NULL), (41312, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 15:22:20', NULL, NULL), (41313, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 15:22:20', NULL, NULL), (41314, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 15:22:20', NULL, NULL), (41315, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 15:22:20', NULL, NULL), (41316, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 15:22:20', NULL, NULL), (41317, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 15:22:20', NULL, NULL), (41318, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 15:22:20', NULL, NULL), (41319, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 15:22:20', NULL, NULL), (41320, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 15:22:20', NULL, NULL), (41321, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 15:22:20', NULL, NULL), (41322, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 15:22:20', NULL, NULL), (41323, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 15:22:20', NULL, NULL), (41324, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 15:22:20', NULL, NULL), (41325, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 15:22:20', NULL, NULL), (41326, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 15:22:20', NULL, NULL), (41327, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 15:22:20', NULL, NULL), (41328, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 15:22:20', NULL, NULL), (41329, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 15:22:20', NULL, NULL), (41330, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 15:22:20', NULL, NULL), (41331, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 15:22:20', NULL, NULL), (41332, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 15:22:20', NULL, NULL), (41333, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 15:22:21', NULL, NULL), (41334, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 15:22:21', NULL, NULL), (41335, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 15:22:21', NULL, NULL), (41336, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 15:22:21', NULL, NULL), (41337, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 15:22:21', NULL, NULL), (41338, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 15:22:21', NULL, NULL), (41339, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 15:22:21', NULL, NULL), (41340, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 15:22:21', NULL, NULL), (41341, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 15:22:21', NULL, NULL), (41342, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 15:22:21', NULL, NULL), (41343, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 15:22:21', NULL, NULL), (41344, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 15:22:21', NULL, NULL), (41345, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 15:22:21', NULL, NULL), (41346, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 15:22:21', NULL, NULL), (41347, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 15:22:21', NULL, NULL), (41348, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 15:22:21', NULL, NULL), (41349, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 15:22:21', NULL, NULL), (41350, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 15:22:21', NULL, NULL), (41351, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 15:22:21', NULL, NULL), (41352, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 15:22:21', NULL, NULL), (41353, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 15:22:21', NULL, NULL), (41354, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 15:22:21', NULL, NULL), (41355, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 15:22:21', NULL, NULL), (41356, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 15:22:21', NULL, NULL), (41357, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 15:22:21', NULL, NULL), (41358, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 15:22:21', NULL, NULL), (41359, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 15:22:21', NULL, NULL), (41360, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 15:22:21', NULL, NULL), (41361, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 15:22:21', NULL, NULL), (41362, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 15:22:21', NULL, NULL), (41363, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 15:22:21', NULL, NULL), (41364, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 15:22:21', NULL, NULL), (41365, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 15:22:21', NULL, NULL), (41366, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 15:22:21', NULL, NULL), (41367, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 15:22:21', NULL, NULL), (41368, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 15:22:21', NULL, NULL), (41369, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 15:22:21', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (41370, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 15:22:21', NULL, NULL), (41371, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 15:22:21', NULL, NULL), (41372, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 15:22:21', NULL, NULL), (41373, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 15:22:21', NULL, NULL), (41374, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 15:22:21', NULL, NULL), (41375, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 15:22:21', NULL, NULL), (41376, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 15:22:21', NULL, NULL), (41377, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 15:22:21', NULL, NULL), (41378, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 15:22:21', NULL, NULL), (41379, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 15:22:21', NULL, NULL), (41380, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 15:22:21', NULL, NULL), (41381, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 15:22:21', NULL, NULL), (41382, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 15:22:21', NULL, NULL), (41383, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 15:22:21', NULL, NULL), (41384, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 15:22:21', NULL, NULL), (41385, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 15:22:21', NULL, NULL), (41386, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 15:22:21', NULL, NULL), (41387, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 15:22:21', NULL, NULL), (41388, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 15:22:21', NULL, NULL), (41389, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 15:22:21', NULL, NULL), (41390, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 15:22:22', NULL, NULL), (41391, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 15:22:22', NULL, NULL), (41392, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 15:22:22', NULL, NULL), (41393, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 15:22:22', NULL, NULL), (41394, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 15:22:22', NULL, NULL), (41395, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 15:22:22', NULL, NULL), (41396, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 15:22:22', NULL, NULL), (41397, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 15:22:22', NULL, NULL), (41398, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 15:22:22', NULL, NULL), (41399, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 15:22:22', NULL, NULL), (41400, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 15:22:22', NULL, NULL), (41401, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 15:22:22', NULL, NULL), (41402, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 15:22:22', NULL, NULL), (41403, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 15:22:22', NULL, NULL), (41404, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 15:22:22', NULL, NULL), (41405, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 15:22:22', NULL, NULL), (41406, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 15:22:22', NULL, NULL), (41407, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 15:22:22', NULL, NULL), (41408, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 15:22:22', NULL, NULL), (41409, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 15:22:22', NULL, NULL), (41410, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 15:22:22', NULL, NULL), (41411, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 15:22:22', NULL, NULL), (41412, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 15:22:22', NULL, NULL), (41413, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 15:22:22', NULL, NULL), (41414, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 15:22:22', NULL, NULL), (41415, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 15:22:22', NULL, NULL), (41416, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 15:22:22', NULL, NULL), (41417, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 15:22:22', NULL, NULL), (41418, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 15:22:22', NULL, NULL), (41419, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 15:22:22', NULL, NULL), (41420, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 15:22:22', NULL, NULL), (41421, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 15:22:22', NULL, NULL), (41422, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 15:22:22', NULL, NULL), (41423, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 15:22:22', NULL, NULL), (41424, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 15:22:22', NULL, NULL), (41425, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 15:22:22', NULL, NULL), (41426, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 15:22:22', NULL, NULL), (41427, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 15:22:22', NULL, NULL), (41428, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 15:22:22', NULL, NULL), (41429, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 15:22:22', NULL, NULL), (41430, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 15:22:22', NULL, NULL), (41431, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 15:22:22', NULL, NULL), (41432, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 15:22:22', NULL, NULL), (41433, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 15:22:22', NULL, NULL), (41434, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 15:22:22', NULL, NULL), (41435, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 15:22:22', NULL, NULL), (41436, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 15:22:22', NULL, NULL), (41437, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 15:22:22', NULL, NULL), (41438, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 15:22:22', NULL, NULL), (41439, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 15:22:22', NULL, NULL), (41440, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 15:22:22', NULL, NULL), (41441, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 15:22:22', NULL, NULL), (41442, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 15:22:22', NULL, NULL), (41443, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 15:22:22', NULL, NULL), (41444, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 15:22:22', NULL, NULL), (41445, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 15:22:22', NULL, NULL), (41446, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 15:22:22', NULL, NULL), (41447, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 15:22:22', NULL, NULL), (41448, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 15:22:22', NULL, NULL), (41449, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 15:22:22', NULL, NULL), (41450, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 15:22:22', NULL, NULL), (41451, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 15:22:22', NULL, NULL), (41452, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 15:22:22', NULL, NULL), (41453, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 15:22:22', NULL, NULL), (41454, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 15:22:22', NULL, NULL), (41455, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 15:22:22', NULL, NULL), (41456, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 15:22:22', NULL, NULL), (41457, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 15:22:22', NULL, NULL), (41458, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 15:22:22', NULL, NULL), (41459, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 15:22:22', NULL, NULL), (41460, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 15:22:22', NULL, NULL), (41461, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 15:22:22', NULL, NULL), (41462, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 15:22:22', NULL, NULL), (41463, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 15:22:22', NULL, NULL), (41464, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 15:22:23', NULL, NULL), (41465, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 15:22:23', NULL, NULL), (41466, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 15:22:23', NULL, NULL), (41467, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 15:22:23', NULL, NULL), (41468, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 15:22:23', NULL, NULL), (41469, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 15:22:23', NULL, NULL), (41470, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 15:22:23', NULL, NULL), (41471, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 15:22:23', NULL, NULL), (41472, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 15:22:23', NULL, NULL), (41473, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 15:22:23', NULL, NULL), (41474, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 15:22:23', NULL, NULL), (41475, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 15:22:23', NULL, NULL), (41476, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 15:22:23', NULL, NULL), (41477, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 15:22:23', NULL, NULL), (41478, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 15:22:23', NULL, NULL), (41479, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 15:22:23', NULL, NULL), (41480, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 15:22:23', NULL, NULL), (41481, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 15:22:23', NULL, NULL), (41482, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 15:22:23', NULL, NULL), (41483, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 15:22:23', NULL, NULL), (41484, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 15:22:23', NULL, NULL), (41485, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 15:22:23', NULL, NULL), (41486, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 15:22:23', NULL, NULL), (41487, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 15:22:23', NULL, NULL), (41488, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 15:22:23', NULL, NULL), (41489, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 15:22:23', NULL, NULL), (41490, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 15:22:23', NULL, NULL), (41491, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 15:22:23', NULL, NULL), (41492, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 15:22:23', NULL, NULL), (41493, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 15:22:23', NULL, NULL), (41494, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 15:22:23', NULL, NULL), (41495, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 15:22:23', NULL, NULL), (41496, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 15:22:23', NULL, NULL), (41497, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 15:22:23', NULL, NULL), (41498, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 15:22:23', NULL, NULL), (41499, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 15:22:23', NULL, NULL), (41500, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 15:22:23', NULL, NULL), (41501, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 15:22:23', NULL, NULL), (41502, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 15:22:23', NULL, NULL), (41503, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 15:22:23', NULL, NULL), (41504, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 15:22:23', NULL, NULL), (41505, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 15:22:23', NULL, NULL), (41506, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 15:22:23', NULL, NULL), (41507, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 15:22:23', NULL, NULL), (41508, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 15:22:23', NULL, NULL), (41509, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 15:22:23', NULL, NULL), (41510, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 15:22:23', NULL, NULL), (41511, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 15:22:23', NULL, NULL), (41512, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 15:22:23', NULL, NULL), (41513, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 15:22:23', NULL, NULL), (41514, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 2, 2024, 3, 18, '2024-08-05 15:22:23', NULL, NULL), (41515, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 17, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41516, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 15, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41517, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 22, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41518, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 19, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41519, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 15:22:25', NULL, NULL), (41520, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 15:22:25', NULL, NULL), (41521, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 10, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41522, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 13, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41523, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 7, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41524, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 8, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41525, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 3, 2024, 3, 29, '2024-08-05 15:22:26', NULL, NULL), (41526, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 15:22:26', NULL, NULL), (41527, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 15:22:26', NULL, NULL), (41528, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 2, 2024, 4, 1, '2024-08-05 15:22:26', NULL, NULL), (41529, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 3, 2024, 4, 2, '2024-08-05 15:22:26', NULL, NULL), (41530, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 5, 2024, 4, 3, '2024-08-05 15:22:26', NULL, NULL), (41531, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 15:22:27', NULL, NULL), (41532, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 15:22:27', NULL, NULL), (41533, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 15:22:27', NULL, NULL), (41534, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 3, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (41535, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 18, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (41536, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 6, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (41537, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 15:22:27', NULL, NULL), (41538, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 3, 2024, 4, 11, '2024-08-05 15:22:27', NULL, NULL), (41539, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 9, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (41540, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 1, 2024, 4, 13, '2024-08-05 15:22:28', NULL, NULL), (41541, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 15:22:28', NULL, NULL), (41542, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 1, 2024, 4, 15, '2024-08-05 15:22:28', NULL, NULL), (41543, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 14, 2024, 4, 16, '2024-08-05 15:22:28', NULL, NULL), (41544, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 15:22:28', NULL, NULL), (41545, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 1, 2024, 4, 18, '2024-08-05 15:22:28', NULL, NULL), (41546, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 4, 2024, 4, 19, '2024-08-05 15:22:28', NULL, NULL), (41547, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 15:22:29', NULL, NULL), (41548, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 15:22:29', NULL, NULL), (41549, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 4, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (41550, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 3, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (41551, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 4, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (41552, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 1, 2024, 4, 25, '2024-08-05 15:22:29', NULL, NULL), (41553, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 2, 2024, 4, 26, '2024-08-05 15:22:30', NULL, NULL), (41554, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 15:22:30', NULL, NULL), (41555, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 15:22:30', NULL, NULL), (41556, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 6, 2024, 4, 29, '2024-08-05 15:22:30', NULL, NULL), (41557, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 5, 2024, 4, 30, '2024-08-05 15:22:30', NULL, NULL), (41558, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 15:22:30', NULL, NULL), (41559, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 15:22:30', NULL, NULL), (41560, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 15:22:30', NULL, NULL), (41561, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 15:22:30', NULL, NULL), (41562, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 15:22:30', NULL, NULL), (41563, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 1, 2024, 5, 6, '2024-08-05 15:22:30', NULL, NULL), (41564, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 3, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (41565, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 6, 2024, 5, 8, '2024-08-05 15:22:30', NULL, NULL), (41566, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 3, 2024, 5, 9, '2024-08-05 15:22:31', NULL, NULL), (41567, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 9, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (41568, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 4, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (41569, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 15:22:32', NULL, NULL), (41570, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 6, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (41571, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 3, 2024, 5, 14, '2024-08-05 15:22:32', NULL, NULL), (41572, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 7, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (41573, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 2, 2024, 5, 16, '2024-08-05 15:22:32', NULL, NULL), (41574, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 2, 2024, 5, 17, '2024-08-05 15:22:33', NULL, NULL), (41575, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 15:22:33', NULL, NULL), (41576, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 15:22:33', NULL, NULL), (41577, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 4, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (41578, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 12, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (41579, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 30, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (41580, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 14, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (41581, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 16, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (41582, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 15:22:34', NULL, NULL), (41583, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 15:22:34', NULL, NULL), (41584, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 120, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (41585, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 34, 2024, 5, 28, '2024-08-05 15:22:35', NULL, NULL), (41586, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 29, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (41587, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 41, 2024, 5, 30, '2024-08-05 15:22:35', NULL, NULL), (41588, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 26, 2024, 5, 31, '2024-08-05 15:22:35', NULL, NULL), (41589, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 15:22:35', NULL, NULL), (41590, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 15:22:35', NULL, NULL), (41591, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 18, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (41592, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 43, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (41593, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 15, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (41594, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 55, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (41595, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 25, 2024, 6, 7, '2024-08-05 15:22:36', NULL, NULL), (41596, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 1, 2024, 6, 8, '2024-08-05 15:22:37', NULL, NULL), (41597, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 15:22:37', NULL, NULL), (41598, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 15:22:37', NULL, NULL), (41599, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 19, 2024, 6, 11, '2024-08-05 15:22:37', NULL, NULL), (41600, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 45, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (41601, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 28, 2024, 6, 13, '2024-08-05 15:22:37', NULL, NULL), (41602, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 25, 2024, 6, 14, '2024-08-05 15:22:38', NULL, NULL), (41603, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 15:22:38', NULL, NULL), (41604, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 15:22:38', NULL, NULL), (41605, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 19, 2024, 6, 17, '2024-08-05 15:22:38', NULL, NULL), (41606, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 24, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (41607, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 19, 2024, 6, 19, '2024-08-05 15:22:38', NULL, NULL), (41608, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 26, 2024, 6, 20, '2024-08-05 15:22:38', NULL, NULL), (41609, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 24, 2024, 6, 21, '2024-08-05 15:22:39', NULL, NULL), (41610, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 15:22:39', NULL, NULL), (41611, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 15:22:39', NULL, NULL), (41612, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 13, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (41613, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 18, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (41614, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 37, 2024, 6, 26, '2024-08-05 15:22:39', NULL, NULL), (41615, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 19, 2024, 6, 27, '2024-08-05 15:22:40', NULL, NULL), (41616, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 17, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (41617, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 15:22:40', NULL, NULL), (41618, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 15:22:40', NULL, NULL), (41619, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 11, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (41620, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 17, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (41621, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 15, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (41622, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 18, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (41623, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 30, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (41624, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 15:22:42', NULL, NULL), (41625, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 1, 2024, 7, 7, '2024-08-05 15:22:42', NULL, NULL), (41626, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 8, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (41627, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 6, 2024, 7, 9, '2024-08-05 15:22:42', NULL, NULL), (41628, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 1, 2024, 7, 10, '2024-08-05 15:22:42', NULL, NULL), (41629, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 4, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (41630, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 3, 2024, 7, 12, '2024-08-05 15:22:43', NULL, NULL), (41631, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 15:22:43', NULL, NULL), (41632, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 15:22:43', NULL, NULL), (41633, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 9, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (41634, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 15:22:43', NULL, NULL), (41635, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 3, 2024, 7, 17, '2024-08-05 15:22:43', NULL, NULL), (41636, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 4, 2024, 7, 18, '2024-08-05 15:22:44', NULL, NULL), (41637, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 5, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (41638, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 15:22:44', NULL, NULL), (41639, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 15:22:44', NULL, NULL), (41640, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 1, 2024, 7, 22, '2024-08-05 15:22:44', NULL, NULL), (41641, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 8, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (41642, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 10, 2024, 7, 24, '2024-08-05 15:22:44', NULL, NULL), (41643, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 17, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (41644, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 6, 2024, 7, 26, '2024-08-05 15:22:45', NULL, NULL), (41645, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 15:22:45', NULL, NULL), (41646, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 15:22:45', NULL, NULL), (41647, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 12, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (41648, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 18, 2024, 7, 30, '2024-08-05 15:22:45', NULL, NULL), (41649, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 21, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (41650, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 11, 2024, 8, 1, '2024-08-05 15:22:46', 1, '2024-08-05 20:13:03'), (41651, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 13, 2024, 8, 2, '2024-08-05 15:22:46', 1, '2024-08-06 02:01:09'), (41652, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 15:22:47', 1, '2024-08-07 01:00:09'), (41653, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 15:22:47', 1, '2024-08-08 01:00:09'), (41654, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 9, 2024, 8, 5, '2024-08-05 15:22:47', 1, '2024-08-09 01:00:08'), (41655, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 2, 2024, 3, 18, '2024-08-05 15:22:23', NULL, NULL), (41656, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj19', '', 2, 2024, 3, 18, '2024-08-05 15:22:23', NULL, NULL), (41657, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 2, 2024, 3, 18, '2024-08-05 15:22:23', NULL, NULL), (41658, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 2, 2024, 3, 18, '2024-08-05 15:22:23', NULL, NULL), (41659, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj19', '', 2, 2024, 3, 18, '2024-08-05 15:22:23', NULL, NULL), (41660, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj19', '', 2, 2024, 3, 18, '2024-08-05 15:22:23', NULL, NULL), (41661, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj19', '', 2, 2024, 3, 18, '2024-08-05 15:22:23', NULL, NULL), (41662, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 5, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41663, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '', '', '', 7, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41664, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 3, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41665, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 2, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41666, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc10', '', 1, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41667, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zjcg01', '', 7, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41668, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 2, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41669, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc09', '', 1, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41670, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 3, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41671, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj19', '', 2, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41672, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc20', '', 1, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41673, 13, '511525000000-0001', '高县政务服务中心', '', '满意', '', '', 1, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41674, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 16, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41675, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '满意', '', '', 1, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41676, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 3, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41677, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '非常满意', '', '', 6, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41678, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 5, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41679, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 2, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41680, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 3, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41681, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj19', '', 2, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41682, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc09', '', 1, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41683, 13, '511525000000-0001', '高县政务服务中心', '', '满意', 'zjcg01', '', 1, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41684, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc20', '', 1, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41685, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc10', '', 1, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41686, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 2, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41687, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zjcg01', '', 6, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41688, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 2, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41689, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 3, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41690, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj19', '', 2, 2024, 3, 19, '2024-08-05 15:22:24', NULL, NULL), (41691, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '', 'zjcg01', '', 7, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41692, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc09', '', 1, 2024, 3, 19, '2024-08-05 15:22:24', NULL, NULL), (41693, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc10', '', 1, 2024, 3, 19, '2024-08-05 15:22:23', NULL, NULL), (41694, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc20', '', 1, 2024, 3, 19, '2024-08-05 15:22:24', NULL, NULL), (41695, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 3, 2024, 3, 19, '2024-08-05 15:22:24', NULL, NULL), (41696, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj19', '', 2, 2024, 3, 19, '2024-08-05 15:22:24', NULL, NULL), (41697, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '非常满意', 'zjcg01', '', 6, 2024, 3, 19, '2024-08-05 15:22:24', NULL, NULL), (41698, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc10', '', 1, 2024, 3, 19, '2024-08-05 15:22:24', NULL, NULL), (41699, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc20', '', 1, 2024, 3, 19, '2024-08-05 15:22:24', NULL, NULL), (41700, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '满意', 'zjcg01', '', 1, 2024, 3, 19, '2024-08-05 15:22:24', NULL, NULL), (41701, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc09', '', 1, 2024, 3, 19, '2024-08-05 15:22:24', NULL, NULL), (41702, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 2, 2024, 3, 19, '2024-08-05 15:22:24', NULL, NULL), (41703, 13, '511525000000-0001', '高县政务服务中心', '行政审批局', '', '', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41704, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', '', '', 7, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41705, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 2, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41706, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41707, 13, '511525000000-0001', '高县政务服务中心', '应急管理局', '', '', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41708, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', '', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41709, 13, '511525000000-0001', '高县政务服务中心', '经济商务信息化和科学技术局', '', '', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41710, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41711, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg06', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41712, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wsjk27', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41713, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zrzy01', '', 2, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41714, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc37', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41715, 13, '511525000000-0001', '高县政务服务中心', '', '', 'jxj31', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41716, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zjsp38', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41717, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjgl35', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41718, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zrzy33', '', 5, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41719, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 2, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41720, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 15, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41721, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', '', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41722, 13, '511525000000-0001', '高县政务服务中心', '应急管理局', '非常满意', '', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41723, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', '', '', 7, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41724, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41725, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41726, 13, '511525000000-0001', '高县政务服务中心', '行政审批局', '非常满意', '', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41727, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 2, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41728, 13, '511525000000-0001', '高县政务服务中心', '经济商务信息化和科学技术局', '非常满意', '', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41729, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wsjk27', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41730, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 2, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41731, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zjsp38', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41732, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zrzy33', '', 5, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41733, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjgl35', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41734, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg06', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41735, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'jxj31', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41736, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zrzy01', '', 2, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41737, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc37', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41738, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc37', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41739, 13, '511525000000-0001', '高县政务服务中心', '行政审批局', '', 'zjsp38', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41740, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 2, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41741, 13, '511525000000-0001', '高县政务服务中心', '应急管理局', '', 'yjgl35', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41742, 13, '511525000000-0001', '高县政务服务中心', '经济商务信息化和科学技术局', '', 'jxj31', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41743, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', 'zrzy33', '', 5, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41744, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg06', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41745, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', 'zrzy01', '', 2, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41746, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', 'wsjk27', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41747, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 2, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41748, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc37', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41749, 13, '511525000000-0001', '高县政务服务中心', '应急管理局', '非常满意', 'yjgl35', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41750, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', 'zrzy01', '', 2, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41751, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg06', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41752, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', 'wsjk27', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41753, 13, '511525000000-0001', '高县政务服务中心', '经济商务信息化和科学技术局', '非常满意', 'jxj31', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41754, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', 'zrzy33', '', 5, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41755, 13, '511525000000-0001', '高县政务服务中心', '行政审批局', '非常满意', 'zjsp38', '', 1, 2024, 3, 20, '2024-08-05 15:22:24', NULL, NULL), (41756, 13, '511525000000-0001', '高县政务服务中心', '行政审批局', '', '', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41757, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 4, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41758, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 6, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41759, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41760, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 3, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41761, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', '', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41762, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '', '', '', 3, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41763, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj21', '', 1, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41764, 13, '511525000000-0001', '高县政务服务中心', '', '', 'jtys04', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41765, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc37', '', 4, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41766, 13, '511525000000-0001', '高县政务服务中心', '', '', 'nync29', '', 3, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41767, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zjsp38', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41768, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs01', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41769, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 3, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41770, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41771, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 3, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41772, 13, '511525000000-0001', '高县政务服务中心', '', '满意', '', '', 1, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41773, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 21, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41774, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41775, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '非常满意', '', '', 3, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41776, 13, '511525000000-0001', '高县政务服务中心', '不动产', '满意', '', '', 1, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41777, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 5, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41778, 13, '511525000000-0001', '高县政务服务中心', '行政审批局', '非常满意', '', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41779, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 4, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41780, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 3, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41781, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', '', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41782, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'jtys04', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41783, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 3, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41784, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zjsp38', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41785, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj21', '', 1, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41786, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41787, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'nync29', '', 3, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41788, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs01', '', 1, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41789, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 3, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41790, 13, '511525000000-0001', '高县政务服务中心', '', '满意', 'yjs01', '', 1, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41791, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc37', '', 4, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41792, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc37', '', 4, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41793, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 3, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41794, 13, '511525000000-0001', '高县政务服务中心', '行政审批局', '', 'zjsp38', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41795, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', 'jtys04', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41796, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 3, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41797, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41798, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '', 'nync29', '', 3, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41799, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs01', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41800, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj21', '', 1, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41801, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', 'jtys04', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41802, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 3, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41803, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc37', '', 4, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41804, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41805, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj21', '', 1, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41806, 13, '511525000000-0001', '高县政务服务中心', '不动产', '满意', 'yjs01', '', 1, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41807, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '非常满意', 'nync29', '', 3, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41808, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 3, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41809, 13, '511525000000-0001', '高县政务服务中心', '行政审批局', '非常满意', 'zjsp38', '', 2, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41810, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs01', '', 1, 2024, 3, 21, '2024-08-05 15:22:24', NULL, NULL), (41811, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '', '', '', 1, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41812, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41813, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41814, 13, '511525000000-0001', '高县政务服务中心', '经济商务信息化和科学技术局', '', '', '', 1, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41815, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', '', '', 4, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41816, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 4, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41817, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', '', '', 7, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41818, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wsjk27', '', 4, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41819, 13, '511525000000-0001', '高县政务服务中心', '', '', 'jtys04', '', 7, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41820, 13, '511525000000-0001', '高县政务服务中心', '', '', 'jxj31', '', 1, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41821, 13, '511525000000-0001', '高县政务服务中心', '', '', 'sw17', '', 1, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41822, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 4, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41823, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 1, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41824, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs13', '', 1, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41825, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 19, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41826, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 4, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41827, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', '', '', 4, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41828, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41829, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41830, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '非常满意', '', '', 1, 2024, 3, 22, '2024-08-05 15:22:24', NULL, NULL), (41831, 13, '511525000000-0001', '高县政务服务中心', '经济商务信息化和科学技术局', '非常满意', '', '', 1, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41832, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', '', '', 7, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41833, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wsjk27', '', 4, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41834, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'jtys04', '', 7, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41835, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 1, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41836, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'sw17', '', 1, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41837, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 4, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41838, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs13', '', 1, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41839, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'jxj31', '', 1, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41840, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', 'jtys04', '', 7, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41841, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 1, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41842, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs13', '', 1, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41843, 13, '511525000000-0001', '高县政务服务中心', '经济商务信息化和科学技术局', '', 'jxj31', '', 1, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41844, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 4, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41845, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '', 'sw17', '', 1, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41846, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', 'wsjk27', '', 4, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41847, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', 'jtys04', '', 7, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41848, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 1, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41849, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', 'wsjk27', '', 4, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (41850, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 4, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41851, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs13', '', 1, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41852, 13, '511525000000-0001', '高县政务服务中心', '经济商务信息化和科学技术局', '非常满意', 'jxj31', '', 1, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41853, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '非常满意', 'sw17', '', 1, 2024, 3, 22, '2024-08-05 15:22:25', NULL, NULL), (41854, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 3, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41855, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 4, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41856, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', '', '', 2, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41857, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 1, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41858, 13, '511525000000-0001', '高县政务服务中心', '', '', 'jtys04', '', 2, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41859, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc09', '', 1, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41860, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 1, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41861, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj19', '', 1, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41862, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc20', '', 2, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41863, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 2, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41864, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 1, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41865, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 10, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41866, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 4, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41867, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 3, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41868, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', '', '', 2, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41869, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 1, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41870, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'jtys04', '', 2, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41871, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj19', '', 1, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41872, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 2, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41873, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc09', '', 1, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41874, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 1, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41875, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc20', '', 2, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41876, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 1, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41877, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 1, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41878, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', 'jtys04', '', 2, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41879, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj19', '', 1, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41880, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 2, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41881, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc09', '', 1, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41882, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc20', '', 2, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41883, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 1, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41884, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', 'jtys04', '', 2, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41885, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj19', '', 1, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41886, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 2, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41887, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc20', '', 2, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41888, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 1, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41889, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc09', '', 1, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41890, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 1, 2024, 3, 25, '2024-08-05 15:22:25', NULL, NULL), (41891, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', '', '', 9, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41892, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41893, 13, '511525000000-0001', '高县政务服务中心', '水利局', '', '', '', 3, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41894, 13, '511525000000-0001', '高县政务服务中心', '', '', 'sl30', '', 3, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41895, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zrzy01', '', 2, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41896, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zrzy33', '', 7, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41897, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs13', '', 1, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41898, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 13, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41899, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', '', '', 9, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41900, 13, '511525000000-0001', '高县政务服务中心', '水利局', '非常满意', '', '', 3, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41901, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41902, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'sl30', '', 3, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41903, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs13', '', 1, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41904, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zrzy33', '', 7, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41905, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zrzy01', '', 2, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41906, 13, '511525000000-0001', '高县政务服务中心', '水利局', '', 'sl30', '', 3, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41907, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs13', '', 1, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41908, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', 'zrzy33', '', 7, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41909, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', 'zrzy01', '', 2, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41910, 13, '511525000000-0001', '高县政务服务中心', '水利局', '非常满意', 'sl30', '', 3, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41911, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', 'zrzy01', '', 2, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41912, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs13', '', 1, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41913, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', 'zrzy33', '', 7, 2024, 3, 26, '2024-08-05 15:22:25', NULL, NULL), (41914, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', '', '', 2, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41915, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 3, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41916, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', '', '', 2, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41917, 13, '511525000000-0001', '高县政务服务中心', '', '', 'jtys04', '', 2, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41918, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zrzy01', '', 2, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41919, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc20', '', 1, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41920, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41921, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 1, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41922, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 7, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41923, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', '', '', 2, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41924, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 3, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41925, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', '', '', 2, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41926, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'jtys04', '', 2, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41927, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41928, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 1, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41929, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc20', '', 1, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41930, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zrzy01', '', 2, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41931, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', 'jtys04', '', 2, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41932, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 1, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41933, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc20', '', 1, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41934, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41935, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', 'zrzy01', '', 2, 2024, 3, 27, '2024-08-05 15:22:25', NULL, NULL), (41936, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', 'jtys04', '', 2, 2024, 3, 27, '2024-08-05 15:22:26', NULL, NULL), (41937, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', 'zrzy01', '', 2, 2024, 3, 27, '2024-08-05 15:22:26', NULL, NULL), (41938, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc20', '', 1, 2024, 3, 27, '2024-08-05 15:22:26', NULL, NULL), (41939, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 3, 27, '2024-08-05 15:22:26', NULL, NULL), (41940, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 1, 2024, 3, 27, '2024-08-05 15:22:26', NULL, NULL), (41941, 13, '511525000000-0001', '高县政务服务中心', '民政局', '', '', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41942, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '', '', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41943, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41944, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41945, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 4, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41946, 13, '511525000000-0001', '高县政务服务中心', '', '', 'mzj26', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41947, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 4, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41948, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41949, 13, '511525000000-0001', '高县政务服务中心', '', '', 'sw17', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41950, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc20', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41951, 13, '511525000000-0001', '高县政务服务中心', '', '满意', '', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41952, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 7, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41953, 13, '511525000000-0001', '高县政务服务中心', '不动产', '满意', '', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41954, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41955, 13, '511525000000-0001', '高县政务服务中心', '民政局', '非常满意', '', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41956, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '非常满意', '', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41957, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 4, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41958, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41959, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'sw17', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41960, 13, '511525000000-0001', '高县政务服务中心', '', '满意', 'bdc20', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41961, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 4, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41962, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'mzj26', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41963, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 4, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41964, 13, '511525000000-0001', '高县政务服务中心', '民政局', '', 'mzj26', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41965, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41966, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '', 'sw17', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41967, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc20', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41968, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41969, 13, '511525000000-0001', '高县政务服务中心', '民政局', '非常满意', 'mzj26', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41970, 13, '511525000000-0001', '高县政务服务中心', '不动产', '满意', 'bdc20', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41971, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '非常满意', 'sw17', '', 1, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41972, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 4, 2024, 3, 28, '2024-08-05 15:22:26', NULL, NULL), (41973, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 3, 29, '2024-08-05 15:22:26', NULL, NULL), (41974, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '', '', '', 2, 2024, 3, 29, '2024-08-05 15:22:26', NULL, NULL), (41975, 13, '511525000000-0001', '高县政务服务中心', '', '', 'nync29', '', 2, 2024, 3, 29, '2024-08-05 15:22:26', NULL, NULL), (41976, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 1, 2024, 3, 29, '2024-08-05 15:22:26', NULL, NULL), (41977, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 3, 2024, 3, 29, '2024-08-05 15:22:26', NULL, NULL), (41978, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '非常满意', '', '', 2, 2024, 3, 29, '2024-08-05 15:22:26', NULL, NULL), (41979, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 3, 29, '2024-08-05 15:22:26', NULL, NULL), (41980, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 1, 2024, 3, 29, '2024-08-05 15:22:26', NULL, NULL), (41981, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'nync29', '', 2, 2024, 3, 29, '2024-08-05 15:22:26', NULL, NULL), (41982, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '', 'nync29', '', 2, 2024, 3, 29, '2024-08-05 15:22:26', NULL, NULL), (41983, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 1, 2024, 3, 29, '2024-08-05 15:22:26', NULL, NULL), (41984, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '非常满意', 'nync29', '', 2, 2024, 3, 29, '2024-08-05 15:22:26', NULL, NULL), (41985, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 1, 2024, 3, 29, '2024-08-05 15:22:26', NULL, NULL), (41986, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 4, 1, '2024-08-05 15:22:26', NULL, NULL), (41987, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '', '', '', 1, 2024, 4, 1, '2024-08-05 15:22:26', NULL, NULL), (41988, 13, '511525000000-0001', '高县政务服务中心', '', '', 'nync29', '', 1, 2024, 4, 1, '2024-08-05 15:22:26', NULL, NULL), (41989, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjgfz06', '', 1, 2024, 4, 1, '2024-08-05 15:22:26', NULL, NULL), (41990, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 2, 2024, 4, 1, '2024-08-05 15:22:26', NULL, NULL), (41991, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '非常满意', '', '', 1, 2024, 4, 1, '2024-08-05 15:22:26', NULL, NULL), (41992, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 4, 1, '2024-08-05 15:22:26', NULL, NULL), (41993, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjgfz06', '', 1, 2024, 4, 1, '2024-08-05 15:22:26', NULL, NULL), (41994, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'nync29', '', 1, 2024, 4, 1, '2024-08-05 15:22:26', NULL, NULL), (41995, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '', 'nync29', '', 1, 2024, 4, 1, '2024-08-05 15:22:26', NULL, NULL), (41996, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjgfz06', '', 1, 2024, 4, 1, '2024-08-05 15:22:26', NULL, NULL), (41997, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjgfz06', '', 1, 2024, 4, 1, '2024-08-05 15:22:26', NULL, NULL), (41998, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '非常满意', 'nync29', '', 1, 2024, 4, 1, '2024-08-05 15:22:26', NULL, NULL), (41999, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 3, 2024, 4, 2, '2024-08-05 15:22:26', NULL, NULL), (42000, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs12', '', 1, 2024, 4, 2, '2024-08-05 15:22:26', NULL, NULL), (42001, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc20', '', 2, 2024, 4, 2, '2024-08-05 15:22:26', NULL, NULL), (42002, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 3, 2024, 4, 2, '2024-08-05 15:22:26', NULL, NULL), (42003, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 3, 2024, 4, 2, '2024-08-05 15:22:26', NULL, NULL), (42004, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc20', '', 2, 2024, 4, 2, '2024-08-05 15:22:26', NULL, NULL), (42005, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs12', '', 1, 2024, 4, 2, '2024-08-05 15:22:26', NULL, NULL), (42006, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs12', '', 1, 2024, 4, 2, '2024-08-05 15:22:26', NULL, NULL), (42007, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc20', '', 2, 2024, 4, 2, '2024-08-05 15:22:26', NULL, NULL), (42008, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc20', '', 2, 2024, 4, 2, '2024-08-05 15:22:26', NULL, NULL), (42009, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs12', '', 1, 2024, 4, 2, '2024-08-05 15:22:26', NULL, NULL), (42010, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 2, 2024, 4, 3, '2024-08-05 15:22:26', NULL, NULL), (42011, 13, '511525000000-0001', '高县政务服务中心', '水利局', '', '', '', 3, 2024, 4, 3, '2024-08-05 15:22:26', NULL, NULL), (42012, 13, '511525000000-0001', '高县政务服务中心', '', '', 'sl30', '', 3, 2024, 4, 3, '2024-08-05 15:22:26', NULL, NULL), (42013, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc20', '', 2, 2024, 4, 3, '2024-08-05 15:22:26', NULL, NULL), (42014, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 5, 2024, 4, 3, '2024-08-05 15:22:26', NULL, NULL), (42015, 13, '511525000000-0001', '高县政务服务中心', '水利局', '非常满意', '', '', 3, 2024, 4, 3, '2024-08-05 15:22:26', NULL, NULL), (42016, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 2, 2024, 4, 3, '2024-08-05 15:22:26', NULL, NULL), (42017, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'sl30', '', 3, 2024, 4, 3, '2024-08-05 15:22:26', NULL, NULL), (42018, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc20', '', 2, 2024, 4, 3, '2024-08-05 15:22:26', NULL, NULL), (42019, 13, '511525000000-0001', '高县政务服务中心', '水利局', '', 'sl30', '', 3, 2024, 4, 3, '2024-08-05 15:22:27', NULL, NULL), (42020, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc20', '', 2, 2024, 4, 3, '2024-08-05 15:22:27', NULL, NULL), (42021, 13, '511525000000-0001', '高县政务服务中心', '水利局', '非常满意', 'sl30', '', 3, 2024, 4, 3, '2024-08-05 15:22:27', NULL, NULL), (42022, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc20', '', 2, 2024, 4, 3, '2024-08-05 15:22:27', NULL, NULL), (42023, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42024, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42025, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '', '', '', 1, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42026, 13, '511525000000-0001', '高县政务服务中心', '', '', 'nync29', '', 1, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42027, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj19', '', 1, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42028, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc20', '', 1, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42029, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 3, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42030, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '非常满意', '', '', 1, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42031, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42032, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42033, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj19', '', 1, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42034, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'nync29', '', 1, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42035, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc20', '', 1, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42036, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj19', '', 1, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42037, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '', 'nync29', '', 1, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42038, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc20', '', 1, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42039, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj19', '', 1, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42040, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc20', '', 1, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42041, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '非常满意', 'nync29', '', 1, 2024, 4, 7, '2024-08-05 15:22:27', NULL, NULL), (42042, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', '', '', 1, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42043, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 12, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42044, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 4, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42045, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '', '', '', 1, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42046, 13, '511525000000-0001', '高县政务服务中心', '', '', 'nync29', '', 1, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42047, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 4, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42048, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zrzy33', '', 1, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42049, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc20', '', 1, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42050, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 6, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42051, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 2, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42052, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs13', '', 3, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42053, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 18, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42054, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '非常满意', '', '', 1, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42055, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', '', '', 1, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42056, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 12, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42057, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 4, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42058, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 6, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42059, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 2, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42060, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc20', '', 1, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42061, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs13', '', 3, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42062, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'nync29', '', 1, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42063, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 4, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42064, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zrzy33', '', 1, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42065, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 4, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42066, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs13', '', 3, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42067, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '', 'nync29', '', 1, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42068, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', 'zrzy33', '', 1, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42069, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc20', '', 1, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42070, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 2, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42071, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 6, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42072, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc20', '', 1, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42073, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs13', '', 3, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42074, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', 'zrzy33', '', 1, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42075, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 6, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42076, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '非常满意', 'nync29', '', 1, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42077, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 2, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42078, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 4, 2024, 4, 8, '2024-08-05 15:22:27', NULL, NULL), (42079, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42080, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', '', '', 1, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42081, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 3, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42082, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '', '', '', 1, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42083, 13, '511525000000-0001', '高县政务服务中心', '', '', 'nync29', '', 1, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42084, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zrzy33', '', 1, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42085, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 3, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42086, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 1, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42087, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 6, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42088, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '非常满意', '', '', 1, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42089, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', '', '', 1, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42090, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42091, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 3, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42092, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 1, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42093, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'nync29', '', 1, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42094, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zrzy33', '', 1, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42095, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 3, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42096, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 3, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42097, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 1, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42098, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '', 'nync29', '', 1, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42099, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', 'zrzy33', '', 1, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42100, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 1, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42101, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', 'zrzy33', '', 1, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42102, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '非常满意', 'nync29', '', 1, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42103, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 3, 2024, 4, 9, '2024-08-05 15:22:27', NULL, NULL), (42104, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 3, 2024, 4, 11, '2024-08-05 15:22:27', NULL, NULL), (42105, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc20', '', 3, 2024, 4, 11, '2024-08-05 15:22:28', NULL, NULL), (42106, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 3, 2024, 4, 11, '2024-08-05 15:22:28', NULL, NULL), (42107, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 3, 2024, 4, 11, '2024-08-05 15:22:28', NULL, NULL), (42108, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc20', '', 3, 2024, 4, 11, '2024-08-05 15:22:28', NULL, NULL), (42109, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc20', '', 3, 2024, 4, 11, '2024-08-05 15:22:28', NULL, NULL), (42110, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc20', '', 3, 2024, 4, 11, '2024-08-05 15:22:28', NULL, NULL), (42111, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 3, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42112, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 3, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42113, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', '', '', 3, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42114, 13, '511525000000-0001', '高县政务服务中心', '', '', 'jtys04', '', 3, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42115, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc37', '', 1, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42116, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs01', '', 1, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42117, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 3, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42118, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc20', '', 1, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42119, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 9, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42120, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 3, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42121, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 3, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42122, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', '', '', 3, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42123, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'jtys04', '', 3, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42124, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc20', '', 1, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42125, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs01', '', 1, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42126, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 3, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42127, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc37', '', 1, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42128, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc37', '', 1, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42129, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 3, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42130, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', 'jtys04', '', 3, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42131, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs01', '', 1, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42132, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc20', '', 1, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42133, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', 'jtys04', '', 3, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42134, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc37', '', 1, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42135, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc20', '', 1, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42136, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 3, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42137, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs01', '', 1, 2024, 4, 12, '2024-08-05 15:22:28', NULL, NULL), (42138, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 4, 13, '2024-08-05 15:22:28', NULL, NULL), (42139, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj19', '', 1, 2024, 4, 13, '2024-08-05 15:22:28', NULL, NULL), (42140, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 1, 2024, 4, 13, '2024-08-05 15:22:28', NULL, NULL), (42141, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 4, 13, '2024-08-05 15:22:28', NULL, NULL), (42142, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj19', '', 1, 2024, 4, 13, '2024-08-05 15:22:28', NULL, NULL), (42143, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj19', '', 1, 2024, 4, 13, '2024-08-05 15:22:28', NULL, NULL), (42144, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj19', '', 1, 2024, 4, 13, '2024-08-05 15:22:28', NULL, NULL), (42145, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '', '', '', 1, 2024, 4, 15, '2024-08-05 15:22:28', NULL, NULL), (42146, 13, '511525000000-0001', '高县政务服务中心', '', '', 'gdwl23', '', 1, 2024, 4, 15, '2024-08-05 15:22:28', NULL, NULL), (42147, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 1, 2024, 4, 15, '2024-08-05 15:22:28', NULL, NULL), (42148, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '非常满意', '', '', 1, 2024, 4, 15, '2024-08-05 15:22:28', NULL, NULL), (42149, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'gdwl23', '', 1, 2024, 4, 15, '2024-08-05 15:22:28', NULL, NULL), (42150, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '', 'gdwl23', '', 1, 2024, 4, 15, '2024-08-05 15:22:28', NULL, NULL), (42151, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '非常满意', 'gdwl23', '', 1, 2024, 4, 15, '2024-08-05 15:22:28', NULL, NULL), (42152, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 2, 2024, 4, 16, '2024-08-05 15:22:28', NULL, NULL), (42153, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', '', '', 12, 2024, 4, 16, '2024-08-05 15:22:28', NULL, NULL), (42154, 13, '511525000000-0001', '高县政务服务中心', '', '', 'jtys04', '', 12, 2024, 4, 16, '2024-08-05 15:22:28', NULL, NULL), (42155, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs01', '', 2, 2024, 4, 16, '2024-08-05 15:22:28', NULL, NULL), (42156, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 14, 2024, 4, 16, '2024-08-05 15:22:28', NULL, NULL), (42157, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 2, 2024, 4, 16, '2024-08-05 15:22:28', NULL, NULL), (42158, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', '', '', 12, 2024, 4, 16, '2024-08-05 15:22:28', NULL, NULL), (42159, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'jtys04', '', 12, 2024, 4, 16, '2024-08-05 15:22:28', NULL, NULL), (42160, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs01', '', 2, 2024, 4, 16, '2024-08-05 15:22:28', NULL, NULL), (42161, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', 'jtys04', '', 12, 2024, 4, 16, '2024-08-05 15:22:28', NULL, NULL), (42162, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs01', '', 2, 2024, 4, 16, '2024-08-05 15:22:28', NULL, NULL), (42163, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', 'jtys04', '', 12, 2024, 4, 16, '2024-08-05 15:22:28', NULL, NULL), (42164, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs01', '', 2, 2024, 4, 16, '2024-08-05 15:22:28', NULL, NULL), (42165, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 4, 18, '2024-08-05 15:22:28', NULL, NULL), (42166, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs01', '', 1, 2024, 4, 18, '2024-08-05 15:22:28', NULL, NULL), (42167, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 1, 2024, 4, 18, '2024-08-05 15:22:28', NULL, NULL), (42168, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 4, 18, '2024-08-05 15:22:28', NULL, NULL), (42169, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs01', '', 1, 2024, 4, 18, '2024-08-05 15:22:28', NULL, NULL), (42170, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs01', '', 1, 2024, 4, 18, '2024-08-05 15:22:28', NULL, NULL), (42171, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs01', '', 1, 2024, 4, 18, '2024-08-05 15:22:28', NULL, NULL), (42172, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', '', '', 1, 2024, 4, 19, '2024-08-05 15:22:28', NULL, NULL), (42173, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', '', '', 2, 2024, 4, 19, '2024-08-05 15:22:28', NULL, NULL), (42174, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '', '', '', 1, 2024, 4, 19, '2024-08-05 15:22:28', NULL, NULL), (42175, 13, '511525000000-0001', '高县政务服务中心', '', '', 'jtys04', '', 2, 2024, 4, 19, '2024-08-05 15:22:28', NULL, NULL), (42176, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zrzy01', '', 1, 2024, 4, 19, '2024-08-05 15:22:28', NULL, NULL), (42177, 13, '511525000000-0001', '高县政务服务中心', '', '', 'gdwl23', '', 1, 2024, 4, 19, '2024-08-05 15:22:28', NULL, NULL), (42178, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 4, 2024, 4, 19, '2024-08-05 15:22:28', NULL, NULL), (42179, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', '', '', 1, 2024, 4, 19, '2024-08-05 15:22:29', NULL, NULL), (42180, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', '', '', 2, 2024, 4, 19, '2024-08-05 15:22:29', NULL, NULL), (42181, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '非常满意', '', '', 1, 2024, 4, 19, '2024-08-05 15:22:29', NULL, NULL), (42182, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'jtys04', '', 2, 2024, 4, 19, '2024-08-05 15:22:29', NULL, NULL), (42183, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'gdwl23', '', 1, 2024, 4, 19, '2024-08-05 15:22:29', NULL, NULL), (42184, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zrzy01', '', 1, 2024, 4, 19, '2024-08-05 15:22:29', NULL, NULL), (42185, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '', 'gdwl23', '', 1, 2024, 4, 19, '2024-08-05 15:22:29', NULL, NULL), (42186, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', 'jtys04', '', 2, 2024, 4, 19, '2024-08-05 15:22:29', NULL, NULL), (42187, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', 'zrzy01', '', 1, 2024, 4, 19, '2024-08-05 15:22:29', NULL, NULL), (42188, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', 'jtys04', '', 2, 2024, 4, 19, '2024-08-05 15:22:29', NULL, NULL), (42189, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '非常满意', 'gdwl23', '', 1, 2024, 4, 19, '2024-08-05 15:22:29', NULL, NULL), (42190, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', 'zrzy01', '', 1, 2024, 4, 19, '2024-08-05 15:22:29', NULL, NULL), (42191, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42192, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42193, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', '', '', 2, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42194, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj21', '', 1, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42195, 13, '511525000000-0001', '高县政务服务中心', '', '', 'jtys04', '', 2, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42196, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc09', '', 1, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42197, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 4, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42198, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42199, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42200, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', '', '', 2, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42201, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'jtys04', '', 2, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42202, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc09', '', 1, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42203, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj21', '', 1, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42204, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', 'jtys04', '', 2, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42205, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc09', '', 1, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42206, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj21', '', 1, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42207, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', 'jtys04', '', 2, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42208, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj21', '', 1, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42209, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc09', '', 1, 2024, 4, 22, '2024-08-05 15:22:29', NULL, NULL), (42210, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '', '', '', 1, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42211, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42212, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', '', '', 1, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42213, 13, '511525000000-0001', '高县政务服务中心', '', '', 'jtys04', '', 1, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42214, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc09', '', 1, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42215, 13, '511525000000-0001', '高县政务服务中心', '', '', 'sw17', '', 1, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42216, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 3, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42217, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42218, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '非常满意', '', '', 1, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42219, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', '', '', 1, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42220, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'jtys04', '', 1, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42221, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc09', '', 1, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42222, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'sw17', '', 1, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42223, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', 'jtys04', '', 1, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42224, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc09', '', 1, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42225, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '', 'sw17', '', 1, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42226, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', 'jtys04', '', 1, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42227, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '非常满意', 'sw17', '', 1, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42228, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc09', '', 1, 2024, 4, 23, '2024-08-05 15:22:29', NULL, NULL), (42229, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42230, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '', '', '', 1, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42231, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 2, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42232, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zjcg01', '', 1, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42233, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 2, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42234, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 1, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42235, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 4, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42236, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '非常满意', '', '', 1, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42237, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42238, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 2, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42239, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 1, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42240, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 2, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42241, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zjcg01', '', 1, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42242, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 2, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42243, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 1, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42244, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '', 'zjcg01', '', 1, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42245, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 1, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42246, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '非常满意', 'zjcg01', '', 1, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42247, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 2, 2024, 4, 24, '2024-08-05 15:22:29', NULL, NULL), (42248, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 4, 25, '2024-08-05 15:22:29', NULL, NULL), (42249, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 1, 2024, 4, 25, '2024-08-05 15:22:29', NULL, NULL), (42250, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 1, 2024, 4, 25, '2024-08-05 15:22:29', NULL, NULL), (42251, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 4, 25, '2024-08-05 15:22:29', NULL, NULL), (42252, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 1, 2024, 4, 25, '2024-08-05 15:22:30', NULL, NULL), (42253, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 1, 2024, 4, 25, '2024-08-05 15:22:30', NULL, NULL), (42254, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 1, 2024, 4, 25, '2024-08-05 15:22:30', NULL, NULL), (42255, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 2, 2024, 4, 26, '2024-08-05 15:22:30', NULL, NULL), (42256, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 2, 2024, 4, 26, '2024-08-05 15:22:30', NULL, NULL), (42257, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 2, 2024, 4, 26, '2024-08-05 15:22:30', NULL, NULL), (42258, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 2, 2024, 4, 26, '2024-08-05 15:22:30', NULL, NULL), (42259, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 2, 2024, 4, 26, '2024-08-05 15:22:30', NULL, NULL), (42260, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 2, 2024, 4, 26, '2024-08-05 15:22:30', NULL, NULL), (42261, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 2, 2024, 4, 26, '2024-08-05 15:22:30', NULL, NULL), (42262, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', '', '', 1, 2024, 4, 29, '2024-08-05 15:22:30', NULL, NULL), (42263, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 5, 2024, 4, 29, '2024-08-05 15:22:30', NULL, NULL), (42264, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zrzy01', '', 1, 2024, 4, 29, '2024-08-05 15:22:30', NULL, NULL), (42265, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc37', '', 5, 2024, 4, 29, '2024-08-05 15:22:30', NULL, NULL), (42266, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 6, 2024, 4, 29, '2024-08-05 15:22:30', NULL, NULL), (42267, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', '', '', 1, 2024, 4, 29, '2024-08-05 15:22:30', NULL, NULL), (42268, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 5, 2024, 4, 29, '2024-08-05 15:22:30', NULL, NULL), (42269, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zrzy01', '', 1, 2024, 4, 29, '2024-08-05 15:22:30', NULL, NULL), (42270, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc37', '', 5, 2024, 4, 29, '2024-08-05 15:22:30', NULL, NULL), (42271, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc37', '', 5, 2024, 4, 29, '2024-08-05 15:22:30', NULL, NULL), (42272, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', 'zrzy01', '', 1, 2024, 4, 29, '2024-08-05 15:22:30', NULL, NULL), (42273, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc37', '', 5, 2024, 4, 29, '2024-08-05 15:22:30', NULL, NULL), (42274, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', 'zrzy01', '', 1, 2024, 4, 29, '2024-08-05 15:22:30', NULL, NULL), (42275, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', '', '', 1, 2024, 4, 30, '2024-08-05 15:22:30', NULL, NULL), (42276, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', '', '', 4, 2024, 4, 30, '2024-08-05 15:22:30', NULL, NULL), (42277, 13, '511525000000-0001', '高县政务服务中心', '', '', 'jtys04', '', 4, 2024, 4, 30, '2024-08-05 15:22:30', NULL, NULL), (42278, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zrzy01', '', 1, 2024, 4, 30, '2024-08-05 15:22:30', NULL, NULL), (42279, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 5, 2024, 4, 30, '2024-08-05 15:22:30', NULL, NULL), (42280, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', '', '', 1, 2024, 4, 30, '2024-08-05 15:22:30', NULL, NULL), (42281, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', '', '', 4, 2024, 4, 30, '2024-08-05 15:22:30', NULL, NULL), (42282, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'jtys04', '', 4, 2024, 4, 30, '2024-08-05 15:22:30', NULL, NULL), (42283, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zrzy01', '', 1, 2024, 4, 30, '2024-08-05 15:22:30', NULL, NULL), (42284, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', 'jtys04', '', 4, 2024, 4, 30, '2024-08-05 15:22:30', NULL, NULL), (42285, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', 'zrzy01', '', 1, 2024, 4, 30, '2024-08-05 15:22:30', NULL, NULL), (42286, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', 'jtys04', '', 4, 2024, 4, 30, '2024-08-05 15:22:30', NULL, NULL), (42287, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', 'zrzy01', '', 1, 2024, 4, 30, '2024-08-05 15:22:30', NULL, NULL), (42288, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '', '', '', 1, 2024, 5, 6, '2024-08-05 15:22:30', NULL, NULL), (42289, 13, '511525000000-0001', '高县政务服务中心', '', '', 'nync29', '', 1, 2024, 5, 6, '2024-08-05 15:22:30', NULL, NULL), (42290, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 1, 2024, 5, 6, '2024-08-05 15:22:30', NULL, NULL), (42291, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '非常满意', '', '', 1, 2024, 5, 6, '2024-08-05 15:22:30', NULL, NULL), (42292, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'nync29', '', 1, 2024, 5, 6, '2024-08-05 15:22:30', NULL, NULL), (42293, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '', 'nync29', '', 1, 2024, 5, 6, '2024-08-05 15:22:30', NULL, NULL), (42294, 13, '511525000000-0001', '高县政务服务中心', '农业农村局', '非常满意', 'nync29', '', 1, 2024, 5, 6, '2024-08-05 15:22:30', NULL, NULL), (42295, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '', '', '', 1, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (42296, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (42297, 13, '511525000000-0001', '高县政务服务中心', '发展和改革局', '', '', '', 1, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (42298, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zjcg34', '', 1, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (42299, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgw32', '', 1, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (42300, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (42301, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 3, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (42302, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (42303, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '非常满意', '', '', 1, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (42304, 13, '511525000000-0001', '高县政务服务中心', '发展和改革局', '非常满意', '', '', 1, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (42305, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgw32', '', 1, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (42306, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (42307, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zjcg34', '', 1, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (42308, 13, '511525000000-0001', '高县政务服务中心', '发展和改革局', '', 'fgw32', '', 1, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (42309, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '', 'zjcg34', '', 1, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (42310, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (42311, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '非常满意', 'zjcg34', '', 1, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (42312, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (42313, 13, '511525000000-0001', '高县政务服务中心', '发展和改革局', '非常满意', 'fgw32', '', 1, 2024, 5, 7, '2024-08-05 15:22:30', NULL, NULL), (42314, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', '', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42315, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 2, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42316, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 2, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42317, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '', '', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42318, 13, '511525000000-0001', '高县政务服务中心', '', '', 'dl24', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42319, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj21', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42320, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zrzy01', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42321, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42322, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42323, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42324, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 6, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42325, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', '', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42326, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 2, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42327, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 2, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42328, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '非常满意', '', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42329, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'dl24', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42330, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42331, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42332, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42333, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj21', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42334, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zrzy01', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42335, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42336, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42337, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '', 'dl24', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42338, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42339, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', 'zrzy01', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42340, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj21', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42341, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42342, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', 'zrzy01', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42343, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj21', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42344, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '非常满意', 'dl24', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42345, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42346, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 1, 2024, 5, 8, '2024-08-05 15:22:31', NULL, NULL), (42347, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', '', '', 1, 2024, 5, 9, '2024-08-05 15:22:31', NULL, NULL), (42348, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 2, 2024, 5, 9, '2024-08-05 15:22:31', NULL, NULL), (42349, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zrzy01', '', 1, 2024, 5, 9, '2024-08-05 15:22:31', NULL, NULL), (42350, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs01', '', 1, 2024, 5, 9, '2024-08-05 15:22:31', NULL, NULL), (42351, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs13', '', 1, 2024, 5, 9, '2024-08-05 15:22:31', NULL, NULL), (42352, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 3, 2024, 5, 9, '2024-08-05 15:22:31', NULL, NULL), (42353, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', '', '', 1, 2024, 5, 9, '2024-08-05 15:22:31', NULL, NULL), (42354, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 2, 2024, 5, 9, '2024-08-05 15:22:31', NULL, NULL), (42355, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs13', '', 1, 2024, 5, 9, '2024-08-05 15:22:31', NULL, NULL), (42356, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs01', '', 1, 2024, 5, 9, '2024-08-05 15:22:31', NULL, NULL), (42357, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zrzy01', '', 1, 2024, 5, 9, '2024-08-05 15:22:31', NULL, NULL), (42358, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs13', '', 1, 2024, 5, 9, '2024-08-05 15:22:31', NULL, NULL), (42359, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs01', '', 1, 2024, 5, 9, '2024-08-05 15:22:31', NULL, NULL), (42360, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', 'zrzy01', '', 1, 2024, 5, 9, '2024-08-05 15:22:31', NULL, NULL), (42361, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', 'zrzy01', '', 1, 2024, 5, 9, '2024-08-05 15:22:31', NULL, NULL), (42362, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs13', '', 1, 2024, 5, 9, '2024-08-05 15:22:31', NULL, NULL), (42363, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs01', '', 1, 2024, 5, 9, '2024-08-05 15:22:31', NULL, NULL), (42364, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42365, 13, '511525000000-0001', '高县政务服务中心', '行政审批局', '', '', '', 1, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42366, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 4, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42367, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 3, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42368, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 3, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42369, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zjsp38', '', 1, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42370, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs01', '', 3, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42371, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc09', '', 1, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42372, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 1, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42373, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 9, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42374, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 4, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42375, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 3, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42376, 13, '511525000000-0001', '高县政务服务中心', '行政审批局', '非常满意', '', '', 1, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42377, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42378, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 1, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42379, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc09', '', 1, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42380, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zjsp38', '', 1, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42381, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs01', '', 3, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42382, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 3, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42383, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 1, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42384, 13, '511525000000-0001', '高县政务服务中心', '行政审批局', '', 'zjsp38', '', 1, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42385, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc09', '', 1, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42386, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs01', '', 3, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42387, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 3, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42388, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 1, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42389, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 3, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42390, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc09', '', 1, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42391, 13, '511525000000-0001', '高县政务服务中心', '行政审批局', '非常满意', 'zjsp38', '', 1, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42392, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs01', '', 3, 2024, 5, 10, '2024-08-05 15:22:31', NULL, NULL), (42393, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '', '', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42394, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42395, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42396, 13, '511525000000-0001', '高县政务服务中心', '水利局', '', '', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42397, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42398, 13, '511525000000-0001', '高县政务服务中心', '', '', 'sl30', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42399, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zjcg01', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42400, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42401, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 4, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42402, 13, '511525000000-0001', '高县政务服务中心', '水利局', '非常满意', '', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42403, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42404, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '非常满意', '', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42405, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42406, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'sl30', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42407, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42408, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42409, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zjcg01', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42410, 13, '511525000000-0001', '高县政务服务中心', '水利局', '', 'sl30', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42411, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '', 'zjcg01', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42412, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42413, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 5, 11, '2024-08-05 15:22:31', NULL, NULL), (42414, 13, '511525000000-0001', '高县政务服务中心', '水利局', '非常满意', 'sl30', '', 1, 2024, 5, 11, '2024-08-05 15:22:32', NULL, NULL), (42415, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '非常满意', 'zjcg01', '', 1, 2024, 5, 11, '2024-08-05 15:22:32', NULL, NULL), (42416, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 5, 11, '2024-08-05 15:22:32', NULL, NULL), (42417, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 1, 2024, 5, 11, '2024-08-05 15:22:32', NULL, NULL), (42418, 13, '511525000000-0001', '高县政务服务中心', '民政局', '', '', '', 1, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42419, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 3, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42420, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 2, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42421, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 2, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42422, 13, '511525000000-0001', '高县政务服务中心', '', '', 'mzj26', '', 1, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42423, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs01', '', 1, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42424, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 2, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42425, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 6, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42426, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 3, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42427, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 2, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42428, 13, '511525000000-0001', '高县政务服务中心', '民政局', '非常满意', '', '', 1, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42429, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 2, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42430, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs01', '', 1, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42431, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 2, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42432, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'mzj26', '', 1, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42433, 13, '511525000000-0001', '高县政务服务中心', '民政局', '', 'mzj26', '', 1, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42434, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs01', '', 1, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42435, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 2, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42436, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 2, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42437, 13, '511525000000-0001', '高县政务服务中心', '民政局', '非常满意', 'mzj26', '', 1, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42438, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 2, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42439, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 2, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42440, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs01', '', 1, 2024, 5, 13, '2024-08-05 15:22:32', NULL, NULL), (42441, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 3, 2024, 5, 14, '2024-08-05 15:22:32', NULL, NULL), (42442, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 5, 14, '2024-08-05 15:22:32', NULL, NULL), (42443, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 1, 2024, 5, 14, '2024-08-05 15:22:32', NULL, NULL), (42444, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs14', '', 1, 2024, 5, 14, '2024-08-05 15:22:32', NULL, NULL), (42445, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 3, 2024, 5, 14, '2024-08-05 15:22:32', NULL, NULL), (42446, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 3, 2024, 5, 14, '2024-08-05 15:22:32', NULL, NULL), (42447, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 5, 14, '2024-08-05 15:22:32', NULL, NULL), (42448, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 1, 2024, 5, 14, '2024-08-05 15:22:32', NULL, NULL), (42449, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs14', '', 1, 2024, 5, 14, '2024-08-05 15:22:32', NULL, NULL), (42450, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs14', '', 1, 2024, 5, 14, '2024-08-05 15:22:32', NULL, NULL), (42451, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 1, 2024, 5, 14, '2024-08-05 15:22:32', NULL, NULL), (42452, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 5, 14, '2024-08-05 15:22:32', NULL, NULL), (42453, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs14', '', 1, 2024, 5, 14, '2024-08-05 15:22:32', NULL, NULL), (42454, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 5, 14, '2024-08-05 15:22:32', NULL, NULL), (42455, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 1, 2024, 5, 14, '2024-08-05 15:22:32', NULL, NULL), (42456, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '', '', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42457, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42458, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 5, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42459, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc10', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42460, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc09', '', 2, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42461, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42462, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42463, 13, '511525000000-0001', '高县政务服务中心', '', '', 'sw18', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42464, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42465, 13, '511525000000-0001', '高县政务服务中心', '', '满意', '', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42466, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 6, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42467, 13, '511525000000-0001', '高县政务服务中心', '不动产', '满意', '', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42468, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 4, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42469, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42470, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '非常满意', '', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42471, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42472, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc09', '', 2, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42473, 13, '511525000000-0001', '高县政务服务中心', '', '满意', 'bdc10', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42474, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42475, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42476, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'sw18', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42477, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42478, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc09', '', 2, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42479, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc10', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42480, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42481, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '', 'sw18', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42482, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42483, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42484, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '非常满意', 'sw18', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42485, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42486, 13, '511525000000-0001', '高县政务服务中心', '不动产', '满意', 'bdc10', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42487, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 1, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42488, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc09', '', 2, 2024, 5, 15, '2024-08-05 15:22:32', NULL, NULL), (42489, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', '', '', 1, 2024, 5, 16, '2024-08-05 15:22:32', NULL, NULL), (42490, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 5, 16, '2024-08-05 15:22:32', NULL, NULL), (42491, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 5, 16, '2024-08-05 15:22:32', NULL, NULL), (42492, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zrzy01', '', 1, 2024, 5, 16, '2024-08-05 15:22:32', NULL, NULL), (42493, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 2, 2024, 5, 16, '2024-08-05 15:22:32', NULL, NULL), (42494, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', '', '', 1, 2024, 5, 16, '2024-08-05 15:22:32', NULL, NULL), (42495, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 5, 16, '2024-08-05 15:22:32', NULL, NULL), (42496, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 5, 16, '2024-08-05 15:22:32', NULL, NULL), (42497, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zrzy01', '', 1, 2024, 5, 16, '2024-08-05 15:22:32', NULL, NULL), (42498, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 5, 16, '2024-08-05 15:22:32', NULL, NULL), (42499, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', 'zrzy01', '', 1, 2024, 5, 16, '2024-08-05 15:22:32', NULL, NULL), (42500, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', 'zrzy01', '', 1, 2024, 5, 16, '2024-08-05 15:22:33', NULL, NULL), (42501, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 5, 16, '2024-08-05 15:22:33', NULL, NULL), (42502, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 2, 2024, 5, 17, '2024-08-05 15:22:33', NULL, NULL), (42503, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 2, 2024, 5, 17, '2024-08-05 15:22:33', NULL, NULL), (42504, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 2, 2024, 5, 17, '2024-08-05 15:22:33', NULL, NULL), (42505, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 2, 2024, 5, 17, '2024-08-05 15:22:33', NULL, NULL), (42506, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 2, 2024, 5, 17, '2024-08-05 15:22:33', NULL, NULL), (42507, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 2, 2024, 5, 17, '2024-08-05 15:22:33', NULL, NULL), (42508, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 2, 2024, 5, 17, '2024-08-05 15:22:33', NULL, NULL), (42509, 13, '511525000000-0001', '高县政务服务中心', '行政审批局', '', '', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42510, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42511, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42512, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', '', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42513, 13, '511525000000-0001', '高县政务服务中心', '', '', 'jtys04', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42514, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zjsp38', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42515, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42516, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42517, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 4, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42518, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42519, 13, '511525000000-0001', '高县政务服务中心', '行政审批局', '非常满意', '', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42520, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42521, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', '', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42522, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42523, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'jtys04', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42524, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zjsp38', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42525, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42526, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42527, 13, '511525000000-0001', '高县政务服务中心', '行政审批局', '', 'zjsp38', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42528, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', 'jtys04', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42529, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42530, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42531, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', 'jtys04', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42532, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42533, 13, '511525000000-0001', '高县政务服务中心', '行政审批局', '非常满意', 'zjsp38', '', 1, 2024, 5, 20, '2024-08-05 15:22:33', NULL, NULL), (42534, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', '', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42535, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 2, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42536, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 6, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42537, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42538, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '', '', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42539, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', '', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42540, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wsjk27', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42541, 13, '511525000000-0001', '高县政务服务中心', '', '', 'jtys04', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42542, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42543, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 6, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42544, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42545, 13, '511525000000-0001', '高县政务服务中心', '', '', 'gdwl23', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42546, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs13', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42547, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 12, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42548, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 6, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42549, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', '', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42550, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 2, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42551, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '非常满意', '', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42552, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42553, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', '', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42554, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wsjk27', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42555, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'jtys04', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42556, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42557, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'gdwl23', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42558, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 6, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42559, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs13', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42560, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42561, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '', 'gdwl23', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42562, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42563, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', 'jtys04', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42564, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs13', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42565, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 6, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42566, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', 'wsjk27', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42567, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42568, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', 'jtys04', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42569, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '非常满意', 'gdwl23', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42570, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', 'wsjk27', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42571, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 6, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42572, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs13', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42573, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42574, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 1, 2024, 5, 21, '2024-08-05 15:22:33', NULL, NULL), (42575, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42576, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', '', '', 2, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42577, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 6, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42578, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 20, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42579, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 1, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42580, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wsjk27', '', 2, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42581, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc37', '', 5, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42582, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 1, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42583, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42584, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 1, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42585, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 20, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42586, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 30, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42587, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 20, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42588, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', '', '', 2, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42589, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 6, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42590, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42591, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 1, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42592, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 1, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42593, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wsjk27', '', 2, 2024, 5, 22, '2024-08-05 15:22:34', NULL, NULL), (42594, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42595, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 20, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42596, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 1, 2024, 5, 22, '2024-08-05 15:22:33', NULL, NULL), (42597, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc37', '', 5, 2024, 5, 22, '2024-08-05 15:22:34', NULL, NULL), (42598, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc37', '', 5, 2024, 5, 22, '2024-08-05 15:22:34', NULL, NULL), (42599, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 1, 2024, 5, 22, '2024-08-05 15:22:34', NULL, NULL), (42600, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 1, 2024, 5, 22, '2024-08-05 15:22:34', NULL, NULL), (42601, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 20, 2024, 5, 22, '2024-08-05 15:22:34', NULL, NULL), (42602, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 5, 22, '2024-08-05 15:22:34', NULL, NULL), (42603, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', 'wsjk27', '', 2, 2024, 5, 22, '2024-08-05 15:22:34', NULL, NULL), (42604, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 1, 2024, 5, 22, '2024-08-05 15:22:34', NULL, NULL), (42605, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc37', '', 5, 2024, 5, 22, '2024-08-05 15:22:34', NULL, NULL), (42606, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', 'wsjk27', '', 2, 2024, 5, 22, '2024-08-05 15:22:34', NULL, NULL), (42607, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 20, 2024, 5, 22, '2024-08-05 15:22:34', NULL, NULL), (42608, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 5, 22, '2024-08-05 15:22:34', NULL, NULL), (42609, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 1, 2024, 5, 22, '2024-08-05 15:22:34', NULL, NULL), (42610, 13, '511525000000-0001', '高县政务服务中心', '消防救援大队', '', '', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42611, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 2, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42612, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 9, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42613, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42614, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42615, 13, '511525000000-0001', '高县政务服务中心', '', '', 'xfjy36', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42616, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42617, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjgfz06', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42618, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42619, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 9, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42620, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42621, 13, '511525000000-0001', '高县政务服务中心', '', '满意', '', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42622, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 13, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42623, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 9, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42624, 13, '511525000000-0001', '高县政务服务中心', '消防救援大队', '非常满意', '', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42625, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '满意', '', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42626, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 2, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42627, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42628, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'xfjy36', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42629, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjgfz06', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42630, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42631, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42632, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 9, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42633, 13, '511525000000-0001', '高县政务服务中心', '', '满意', 'zyty03', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42634, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42635, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 9, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42636, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjgfz06', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42637, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42638, 13, '511525000000-0001', '高县政务服务中心', '消防救援大队', '', 'xfjy36', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42639, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42640, 13, '511525000000-0001', '高县政务服务中心', '消防救援大队', '非常满意', 'xfjy36', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42641, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '满意', 'zyty03', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42642, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjgfz06', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42643, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 9, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42644, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42645, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 1, 2024, 5, 23, '2024-08-05 15:22:34', NULL, NULL), (42646, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 2, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42647, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42648, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', '', '', 2, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42649, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 9, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42650, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 2, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42651, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj21', '', 2, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42652, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wsjk27', '', 2, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42653, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 2, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42654, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42655, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 9, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42656, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 16, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42657, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 9, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42658, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', '', '', 2, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42659, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42660, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 2, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42661, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 2, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42662, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wsjk27', '', 2, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42663, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42664, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj21', '', 2, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42665, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 9, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42666, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 2, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42667, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 2, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42668, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 9, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42669, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42670, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj21', '', 2, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42671, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', 'wsjk27', '', 2, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42672, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', 'wsjk27', '', 2, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42673, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 9, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42674, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj21', '', 2, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42675, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42676, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 2, 2024, 5, 24, '2024-08-05 15:22:34', NULL, NULL), (42677, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42678, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', '', '', 2, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42679, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 116, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42680, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 1, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42681, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wsjk27', '', 2, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42682, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc37', '', 1, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42683, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 1, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42684, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 116, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42685, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 120, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42686, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 116, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42687, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', '', '', 2, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42688, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42689, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 1, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42690, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wsjk27', '', 2, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42691, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 116, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42692, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 1, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42693, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc37', '', 1, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42694, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc37', '', 1, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42695, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 1, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42696, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 116, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42697, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', 'wsjk27', '', 2, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42698, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc37', '', 1, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42699, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', 'wsjk27', '', 2, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42700, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 116, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42701, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 1, 2024, 5, 27, '2024-08-05 15:22:34', NULL, NULL), (42702, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 32, 2024, 5, 28, '2024-08-05 15:22:35', NULL, NULL), (42703, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 2, 2024, 5, 28, '2024-08-05 15:22:35', NULL, NULL), (42704, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjgfz06', '', 2, 2024, 5, 28, '2024-08-05 15:22:35', NULL, NULL), (42705, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 32, 2024, 5, 28, '2024-08-05 15:22:35', NULL, NULL), (42706, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 34, 2024, 5, 28, '2024-08-05 15:22:35', NULL, NULL), (42707, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 32, 2024, 5, 28, '2024-08-05 15:22:35', NULL, NULL), (42708, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 2, 2024, 5, 28, '2024-08-05 15:22:35', NULL, NULL), (42709, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjgfz06', '', 2, 2024, 5, 28, '2024-08-05 15:22:35', NULL, NULL), (42710, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 32, 2024, 5, 28, '2024-08-05 15:22:35', NULL, NULL), (42711, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 32, 2024, 5, 28, '2024-08-05 15:22:35', NULL, NULL), (42712, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjgfz06', '', 2, 2024, 5, 28, '2024-08-05 15:22:35', NULL, NULL), (42713, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjgfz06', '', 2, 2024, 5, 28, '2024-08-05 15:22:35', NULL, NULL), (42714, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 32, 2024, 5, 28, '2024-08-05 15:22:35', NULL, NULL), (42715, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42716, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 3, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42717, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 25, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42718, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj21', '', 1, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42719, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs01', '', 2, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42720, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42721, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 25, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42722, 13, '511525000000-0001', '高县政务服务中心', '', '非常不满意', '', '', 1, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42723, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 28, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42724, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常不满意', '', '', 1, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42725, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 25, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42726, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 2, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42727, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42728, 13, '511525000000-0001', '高县政务服务中心', '', '非常不满意', 'yjs16', '', 1, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42729, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj21', '', 1, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42730, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 25, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42731, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs01', '', 2, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42732, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 25, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42733, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs01', '', 2, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42734, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42735, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj21', '', 1, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42736, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常不满意', 'yjs16', '', 1, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42737, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 25, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42738, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj21', '', 1, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42739, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs01', '', 2, 2024, 5, 29, '2024-08-05 15:22:35', NULL, NULL), (42740, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 40, 2024, 5, 30, '2024-08-05 15:22:35', NULL, NULL), (42741, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 5, 30, '2024-08-05 15:22:35', NULL, NULL), (42742, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjgfz06', '', 1, 2024, 5, 30, '2024-08-05 15:22:35', NULL, NULL), (42743, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 40, 2024, 5, 30, '2024-08-05 15:22:35', NULL, NULL), (42744, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 41, 2024, 5, 30, '2024-08-05 15:22:35', NULL, NULL), (42745, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 40, 2024, 5, 30, '2024-08-05 15:22:35', NULL, NULL), (42746, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 5, 30, '2024-08-05 15:22:35', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (42747, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjgfz06', '', 1, 2024, 5, 30, '2024-08-05 15:22:35', NULL, NULL), (42748, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 40, 2024, 5, 30, '2024-08-05 15:22:35', NULL, NULL), (42749, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 40, 2024, 5, 30, '2024-08-05 15:22:35', NULL, NULL), (42750, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjgfz06', '', 1, 2024, 5, 30, '2024-08-05 15:22:35', NULL, NULL), (42751, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjgfz06', '', 1, 2024, 5, 30, '2024-08-05 15:22:35', NULL, NULL), (42752, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 40, 2024, 5, 30, '2024-08-05 15:22:35', NULL, NULL), (42753, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 5, 31, '2024-08-05 15:22:35', NULL, NULL), (42754, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 25, 2024, 5, 31, '2024-08-05 15:22:35', NULL, NULL), (42755, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc09', '', 1, 2024, 5, 31, '2024-08-05 15:22:35', NULL, NULL), (42756, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 25, 2024, 5, 31, '2024-08-05 15:22:35', NULL, NULL), (42757, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 26, 2024, 5, 31, '2024-08-05 15:22:35', NULL, NULL), (42758, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 25, 2024, 5, 31, '2024-08-05 15:22:35', NULL, NULL), (42759, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 5, 31, '2024-08-05 15:22:35', NULL, NULL), (42760, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc09', '', 1, 2024, 5, 31, '2024-08-05 15:22:35', NULL, NULL), (42761, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 25, 2024, 5, 31, '2024-08-05 15:22:35', NULL, NULL), (42762, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 25, 2024, 5, 31, '2024-08-05 15:22:35', NULL, NULL), (42763, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc09', '', 1, 2024, 5, 31, '2024-08-05 15:22:35', NULL, NULL), (42764, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 25, 2024, 5, 31, '2024-08-05 15:22:35', NULL, NULL), (42765, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc09', '', 1, 2024, 5, 31, '2024-08-05 15:22:35', NULL, NULL), (42766, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', '', '', 2, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42767, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 5, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42768, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 11, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42769, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wsjk27', '', 2, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42770, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs01', '', 1, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42771, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 3, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42772, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 11, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42773, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs14', '', 1, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42774, 13, '511525000000-0001', '高县政务服务中心', '', '满意', '', '', 1, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42775, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 17, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42776, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 11, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42777, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', '', '', 2, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42778, 13, '511525000000-0001', '高县政务服务中心', '不动产', '满意', '', '', 1, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42779, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 4, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42780, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wsjk27', '', 2, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42781, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 3, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42782, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 11, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42783, 13, '511525000000-0001', '高县政务服务中心', '', '满意', 'yjs14', '', 1, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42784, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs01', '', 1, 2024, 6, 3, '2024-08-05 15:22:35', NULL, NULL), (42785, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 11, 2024, 6, 3, '2024-08-05 15:22:36', NULL, NULL), (42786, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs14', '', 1, 2024, 6, 3, '2024-08-05 15:22:36', NULL, NULL), (42787, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs01', '', 1, 2024, 6, 3, '2024-08-05 15:22:36', NULL, NULL), (42788, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 3, 2024, 6, 3, '2024-08-05 15:22:36', NULL, NULL), (42789, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', 'wsjk27', '', 2, 2024, 6, 3, '2024-08-05 15:22:36', NULL, NULL), (42790, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', 'wsjk27', '', 2, 2024, 6, 3, '2024-08-05 15:22:36', NULL, NULL), (42791, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 11, 2024, 6, 3, '2024-08-05 15:22:36', NULL, NULL), (42792, 13, '511525000000-0001', '高县政务服务中心', '不动产', '满意', 'yjs14', '', 1, 2024, 6, 3, '2024-08-05 15:22:36', NULL, NULL), (42793, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 3, 2024, 6, 3, '2024-08-05 15:22:36', NULL, NULL), (42794, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs01', '', 1, 2024, 6, 3, '2024-08-05 15:22:36', NULL, NULL), (42795, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', '', '', 5, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42796, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 2, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42797, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 36, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42798, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wsjk27', '', 5, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42799, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 36, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42800, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 2, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42801, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 43, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42802, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 36, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42803, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', '', '', 5, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42804, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 2, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42805, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wsjk27', '', 5, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42806, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 2, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42807, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 36, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42808, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 36, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42809, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', 'wsjk27', '', 5, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42810, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 2, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42811, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', 'wsjk27', '', 5, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42812, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 36, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42813, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 2, 2024, 6, 4, '2024-08-05 15:22:36', NULL, NULL), (42814, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42815, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 13, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42816, 13, '511525000000-0001', '高县政务服务中心', '发展和改革局', '', '', '', 1, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42817, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj21', '', 1, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42818, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgw32', '', 1, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42819, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 13, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42820, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 15, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42821, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 13, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42822, 13, '511525000000-0001', '高县政务服务中心', '发展和改革局', '非常满意', '', '', 1, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42823, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42824, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgw32', '', 1, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42825, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj21', '', 1, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42826, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 13, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42827, 13, '511525000000-0001', '高县政务服务中心', '发展和改革局', '', 'fgw32', '', 1, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42828, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 13, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42829, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj21', '', 1, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42830, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 13, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42831, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj21', '', 1, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42832, 13, '511525000000-0001', '高县政务服务中心', '发展和改革局', '非常满意', 'fgw32', '', 1, 2024, 6, 5, '2024-08-05 15:22:36', NULL, NULL), (42833, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', '', '', 6, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42834, 13, '511525000000-0001', '高县政务服务中心', '应急管理局', '', '', '', 2, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42835, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 3, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42836, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 43, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42837, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', '', '', 1, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42838, 13, '511525000000-0001', '高县政务服务中心', '', '', 'jtys04', '', 1, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42839, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wsjk27', '', 6, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42840, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjgl35', '', 2, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42841, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc09', '', 1, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42842, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 43, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42843, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 2, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42844, 13, '511525000000-0001', '高县政务服务中心', '', '满意', '', '', 1, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42845, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 54, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42846, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 43, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42847, 13, '511525000000-0001', '高县政务服务中心', '应急管理局', '满意', '', '', 1, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42848, 13, '511525000000-0001', '高县政务服务中心', '应急管理局', '非常满意', '', '', 1, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42849, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', '', '', 6, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42850, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 3, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42851, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', '', '', 1, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42852, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'jtys04', '', 1, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42853, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wsjk27', '', 6, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42854, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc09', '', 1, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42855, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 2, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42856, 13, '511525000000-0001', '高县政务服务中心', '', '满意', 'yjgl35', '', 1, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42857, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 43, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42858, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjgl35', '', 1, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42859, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', 'jtys04', '', 1, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42860, 13, '511525000000-0001', '高县政务服务中心', '应急管理局', '', 'yjgl35', '', 2, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42861, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 43, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42862, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc09', '', 1, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42863, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', 'wsjk27', '', 6, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42864, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 2, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42865, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', 'jtys04', '', 1, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42866, 13, '511525000000-0001', '高县政务服务中心', '应急管理局', '非常满意', 'yjgl35', '', 1, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42867, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', 'wsjk27', '', 6, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42868, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 43, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42869, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 2, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42870, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc09', '', 1, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42871, 13, '511525000000-0001', '高县政务服务中心', '应急管理局', '满意', 'yjgl35', '', 1, 2024, 6, 6, '2024-08-05 15:22:36', NULL, NULL), (42872, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 6, 2024, 6, 7, '2024-08-05 15:22:36', NULL, NULL), (42873, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 19, 2024, 6, 7, '2024-08-05 15:22:36', NULL, NULL), (42874, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 19, 2024, 6, 7, '2024-08-05 15:22:36', NULL, NULL), (42875, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs14', '', 4, 2024, 6, 7, '2024-08-05 15:22:36', NULL, NULL), (42876, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs13', '', 2, 2024, 6, 7, '2024-08-05 15:22:36', NULL, NULL), (42877, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 25, 2024, 6, 7, '2024-08-05 15:22:37', NULL, NULL), (42878, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 19, 2024, 6, 7, '2024-08-05 15:22:37', NULL, NULL), (42879, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 6, 2024, 6, 7, '2024-08-05 15:22:37', NULL, NULL), (42880, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs14', '', 4, 2024, 6, 7, '2024-08-05 15:22:37', NULL, NULL), (42881, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 19, 2024, 6, 7, '2024-08-05 15:22:37', NULL, NULL), (42882, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs13', '', 2, 2024, 6, 7, '2024-08-05 15:22:37', NULL, NULL), (42883, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs13', '', 2, 2024, 6, 7, '2024-08-05 15:22:37', NULL, NULL), (42884, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs14', '', 4, 2024, 6, 7, '2024-08-05 15:22:37', NULL, NULL), (42885, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 19, 2024, 6, 7, '2024-08-05 15:22:37', NULL, NULL), (42886, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs14', '', 4, 2024, 6, 7, '2024-08-05 15:22:37', NULL, NULL), (42887, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 19, 2024, 6, 7, '2024-08-05 15:22:37', NULL, NULL), (42888, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs13', '', 2, 2024, 6, 7, '2024-08-05 15:22:37', NULL, NULL), (42889, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 6, 8, '2024-08-05 15:22:37', NULL, NULL), (42890, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjgfz06', '', 1, 2024, 6, 8, '2024-08-05 15:22:37', NULL, NULL), (42891, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 1, 2024, 6, 8, '2024-08-05 15:22:37', NULL, NULL), (42892, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 6, 8, '2024-08-05 15:22:37', NULL, NULL), (42893, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjgfz06', '', 1, 2024, 6, 8, '2024-08-05 15:22:37', NULL, NULL), (42894, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjgfz06', '', 1, 2024, 6, 8, '2024-08-05 15:22:37', NULL, NULL), (42895, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjgfz06', '', 1, 2024, 6, 8, '2024-08-05 15:22:37', NULL, NULL), (42896, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 18, 2024, 6, 11, '2024-08-05 15:22:37', NULL, NULL), (42897, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 1, 2024, 6, 11, '2024-08-05 15:22:37', NULL, NULL), (42898, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 1, 2024, 6, 11, '2024-08-05 15:22:37', NULL, NULL), (42899, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 18, 2024, 6, 11, '2024-08-05 15:22:37', NULL, NULL), (42900, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 19, 2024, 6, 11, '2024-08-05 15:22:37', NULL, NULL), (42901, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 18, 2024, 6, 11, '2024-08-05 15:22:37', NULL, NULL), (42902, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 1, 2024, 6, 11, '2024-08-05 15:22:37', NULL, NULL), (42903, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 18, 2024, 6, 11, '2024-08-05 15:22:37', NULL, NULL), (42904, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 1, 2024, 6, 11, '2024-08-05 15:22:37', NULL, NULL), (42905, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 1, 2024, 6, 11, '2024-08-05 15:22:37', NULL, NULL), (42906, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 18, 2024, 6, 11, '2024-08-05 15:22:37', NULL, NULL), (42907, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 18, 2024, 6, 11, '2024-08-05 15:22:37', NULL, NULL), (42908, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 1, 2024, 6, 11, '2024-08-05 15:22:37', NULL, NULL), (42909, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 2, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42910, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 8, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42911, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 31, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42912, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', '', '', 1, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42913, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42914, 13, '511525000000-0001', '高县政务服务中心', '水利局', '', '', '', 2, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42915, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42916, 13, '511525000000-0001', '高县政务服务中心', '', '', 'sl30', '', 2, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42917, 13, '511525000000-0001', '高县政务服务中心', '', '', 'jtys04', '', 1, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42918, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj21', '', 2, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42919, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc37', '', 4, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42920, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc20', '', 4, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42921, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 31, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42922, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 45, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42923, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 31, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42924, 13, '511525000000-0001', '高县政务服务中心', '水利局', '非常满意', '', '', 2, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42925, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 8, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42926, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42927, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 2, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42928, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', '', '', 1, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42929, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'jtys04', '', 1, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42930, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'sl30', '', 2, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42931, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj21', '', 2, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42932, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 31, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42933, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc20', '', 4, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42934, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42935, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc37', '', 4, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42936, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc37', '', 4, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42937, 13, '511525000000-0001', '高县政务服务中心', '水利局', '', 'sl30', '', 2, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42938, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '', 'jtys04', '', 1, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42939, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 31, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42940, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc20', '', 4, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42941, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42942, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj21', '', 2, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42943, 13, '511525000000-0001', '高县政务服务中心', '交通运输', '非常满意', 'jtys04', '', 1, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42944, 13, '511525000000-0001', '高县政务服务中心', '水利局', '非常满意', 'sl30', '', 2, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42945, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc37', '', 4, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42946, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42947, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 31, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42948, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj21', '', 2, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42949, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc20', '', 4, 2024, 6, 12, '2024-08-05 15:22:37', NULL, NULL), (42950, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 3, 2024, 6, 13, '2024-08-05 15:22:37', NULL, NULL), (42951, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 16, 2024, 6, 13, '2024-08-05 15:22:37', NULL, NULL), (42952, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 5, 2024, 6, 13, '2024-08-05 15:22:37', NULL, NULL), (42953, 13, '511525000000-0001', '高县政务服务中心', '水利局', '', '', '', 4, 2024, 6, 13, '2024-08-05 15:22:37', NULL, NULL), (42954, 13, '511525000000-0001', '高县政务服务中心', '', '', 'sl30', '', 4, 2024, 6, 13, '2024-08-05 15:22:37', NULL, NULL), (42955, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 5, 2024, 6, 13, '2024-08-05 15:22:37', NULL, NULL), (42956, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 16, 2024, 6, 13, '2024-08-05 15:22:37', NULL, NULL), (42957, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 1, 2024, 6, 13, '2024-08-05 15:22:37', NULL, NULL), (42958, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs14', '', 2, 2024, 6, 13, '2024-08-05 15:22:37', NULL, NULL), (42959, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 28, 2024, 6, 13, '2024-08-05 15:22:37', NULL, NULL), (42960, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 16, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42961, 13, '511525000000-0001', '高县政务服务中心', '水利局', '非常满意', '', '', 4, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42962, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 3, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42963, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 5, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42964, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'sl30', '', 4, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42965, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 1, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42966, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs14', '', 2, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42967, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 16, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42968, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 5, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42969, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 5, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42970, 13, '511525000000-0001', '高县政务服务中心', '水利局', '', 'sl30', '', 4, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42971, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs14', '', 2, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42972, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 16, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42973, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 1, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42974, 13, '511525000000-0001', '高县政务服务中心', '水利局', '非常满意', 'sl30', '', 4, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42975, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs14', '', 2, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42976, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 16, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42977, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 1, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42978, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 5, 2024, 6, 13, '2024-08-05 15:22:38', NULL, NULL), (42979, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 24, 2024, 6, 14, '2024-08-05 15:22:38', NULL, NULL), (42980, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 1, 2024, 6, 14, '2024-08-05 15:22:38', NULL, NULL), (42981, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 1, 2024, 6, 14, '2024-08-05 15:22:38', NULL, NULL), (42982, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 24, 2024, 6, 14, '2024-08-05 15:22:38', NULL, NULL), (42983, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 25, 2024, 6, 14, '2024-08-05 15:22:38', NULL, NULL), (42984, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 24, 2024, 6, 14, '2024-08-05 15:22:38', NULL, NULL), (42985, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 1, 2024, 6, 14, '2024-08-05 15:22:38', NULL, NULL), (42986, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 24, 2024, 6, 14, '2024-08-05 15:22:38', NULL, NULL), (42987, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 1, 2024, 6, 14, '2024-08-05 15:22:38', NULL, NULL), (42988, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 1, 2024, 6, 14, '2024-08-05 15:22:38', NULL, NULL), (42989, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 24, 2024, 6, 14, '2024-08-05 15:22:38', NULL, NULL), (42990, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 24, 2024, 6, 14, '2024-08-05 15:22:38', NULL, NULL), (42991, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 1, 2024, 6, 14, '2024-08-05 15:22:38', NULL, NULL), (42992, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 19, 2024, 6, 17, '2024-08-05 15:22:38', NULL, NULL), (42993, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 19, 2024, 6, 17, '2024-08-05 15:22:38', NULL, NULL), (42994, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 19, 2024, 6, 17, '2024-08-05 15:22:38', NULL, NULL), (42995, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 19, 2024, 6, 17, '2024-08-05 15:22:38', NULL, NULL), (42996, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 19, 2024, 6, 17, '2024-08-05 15:22:38', NULL, NULL), (42997, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 19, 2024, 6, 17, '2024-08-05 15:22:38', NULL, NULL), (42998, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 19, 2024, 6, 17, '2024-08-05 15:22:38', NULL, NULL), (42999, 13, '511525000000-0001', '高县政务服务中心', '消防救援大队', '', '', '', 1, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43000, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43001, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 21, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43002, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43003, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43004, 13, '511525000000-0001', '高县政务服务中心', '', '', 'xfjy36', '', 1, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43005, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43006, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 21, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43007, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 24, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43008, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 21, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43009, 13, '511525000000-0001', '高县政务服务中心', '消防救援大队', '非常满意', '', '', 1, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43010, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43011, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43012, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'xfjy36', '', 1, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43013, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43014, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 21, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43015, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43016, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 21, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43017, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43018, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43019, 13, '511525000000-0001', '高县政务服务中心', '消防救援大队', '', 'xfjy36', '', 1, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43020, 13, '511525000000-0001', '高县政务服务中心', '消防救援大队', '非常满意', 'xfjy36', '', 1, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43021, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43022, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 21, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43023, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 6, 18, '2024-08-05 15:22:38', NULL, NULL), (43024, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 3, 2024, 6, 19, '2024-08-05 15:22:38', NULL, NULL), (43025, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 16, 2024, 6, 19, '2024-08-05 15:22:38', NULL, NULL), (43026, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 3, 2024, 6, 19, '2024-08-05 15:22:38', NULL, NULL), (43027, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 16, 2024, 6, 19, '2024-08-05 15:22:38', NULL, NULL), (43028, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 19, 2024, 6, 19, '2024-08-05 15:22:38', NULL, NULL), (43029, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 16, 2024, 6, 19, '2024-08-05 15:22:38', NULL, NULL), (43030, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 3, 2024, 6, 19, '2024-08-05 15:22:38', NULL, NULL), (43031, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 3, 2024, 6, 19, '2024-08-05 15:22:38', NULL, NULL), (43032, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 16, 2024, 6, 19, '2024-08-05 15:22:38', NULL, NULL), (43033, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 16, 2024, 6, 19, '2024-08-05 15:22:38', NULL, NULL), (43034, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 3, 2024, 6, 19, '2024-08-05 15:22:38', NULL, NULL), (43035, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 16, 2024, 6, 19, '2024-08-05 15:22:38', NULL, NULL), (43036, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 3, 2024, 6, 19, '2024-08-05 15:22:38', NULL, NULL), (43037, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 4, 2024, 6, 20, '2024-08-05 15:22:38', NULL, NULL), (43038, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 21, 2024, 6, 20, '2024-08-05 15:22:38', NULL, NULL), (43039, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 6, 20, '2024-08-05 15:22:38', NULL, NULL), (43040, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 6, 20, '2024-08-05 15:22:38', NULL, NULL), (43041, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc10', '', 1, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43042, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc37', '', 2, 2024, 6, 20, '2024-08-05 15:22:38', NULL, NULL), (43043, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 6, 20, '2024-08-05 15:22:38', NULL, NULL), (43044, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 21, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43045, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 26, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43046, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 21, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43047, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 4, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43048, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43049, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43050, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 21, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43051, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc10', '', 1, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43052, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43053, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc37', '', 2, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43054, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc37', '', 2, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43055, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 21, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43056, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc10', '', 1, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43057, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43058, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43059, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc37', '', 2, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43060, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc10', '', 1, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43061, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43062, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 21, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43063, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 6, 20, '2024-08-05 15:22:39', NULL, NULL), (43064, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 23, 2024, 6, 21, '2024-08-05 15:22:39', NULL, NULL), (43065, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 1, 2024, 6, 21, '2024-08-05 15:22:39', NULL, NULL), (43066, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 1, 2024, 6, 21, '2024-08-05 15:22:39', NULL, NULL), (43067, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 23, 2024, 6, 21, '2024-08-05 15:22:39', NULL, NULL), (43068, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 24, 2024, 6, 21, '2024-08-05 15:22:39', NULL, NULL), (43069, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 23, 2024, 6, 21, '2024-08-05 15:22:39', NULL, NULL), (43070, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 1, 2024, 6, 21, '2024-08-05 15:22:39', NULL, NULL), (43071, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 23, 2024, 6, 21, '2024-08-05 15:22:39', NULL, NULL), (43072, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 1, 2024, 6, 21, '2024-08-05 15:22:39', NULL, NULL), (43073, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 1, 2024, 6, 21, '2024-08-05 15:22:39', NULL, NULL), (43074, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 23, 2024, 6, 21, '2024-08-05 15:22:39', NULL, NULL), (43075, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 23, 2024, 6, 21, '2024-08-05 15:22:39', NULL, NULL), (43076, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 1, 2024, 6, 21, '2024-08-05 15:22:39', NULL, NULL), (43077, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '', '', '', 3, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43078, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43079, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 9, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43080, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 9, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43081, 13, '511525000000-0001', '高县政务服务中心', '', '', 'sw18', '', 3, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43082, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs13', '', 1, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43083, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 13, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43084, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 9, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43085, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43086, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '非常满意', '', '', 3, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43087, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 9, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43088, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'sw18', '', 3, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43089, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs13', '', 1, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43090, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs13', '', 1, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43091, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 9, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43092, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '', 'sw18', '', 3, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43093, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '非常满意', 'sw18', '', 3, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43094, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 9, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43095, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs13', '', 1, 2024, 6, 24, '2024-08-05 15:22:39', NULL, NULL), (43096, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 3, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43097, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 15, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43098, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43099, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 15, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43100, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 1, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43101, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs13', '', 1, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43102, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 18, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43103, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 15, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43104, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 3, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43105, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43106, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 1, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43107, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 15, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43108, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs13', '', 1, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43109, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs13', '', 1, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43110, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 15, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43111, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 1, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43112, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43113, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 15, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43114, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs13', '', 1, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43115, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43116, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 1, 2024, 6, 25, '2024-08-05 15:22:39', NULL, NULL), (43117, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '', '', '', 1, 2024, 6, 26, '2024-08-05 15:22:39', NULL, NULL), (43118, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 7, 2024, 6, 26, '2024-08-05 15:22:39', NULL, NULL), (43119, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 28, 2024, 6, 26, '2024-08-05 15:22:39', NULL, NULL), (43120, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 1, 2024, 6, 26, '2024-08-05 15:22:39', NULL, NULL), (43121, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc09', '', 1, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43122, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 1, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43123, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc20', '', 2, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43124, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 28, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43125, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 4, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43126, 13, '511525000000-0001', '高县政务服务中心', '', '', 'sw18', '', 1, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43127, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 37, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43128, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 28, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43129, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 7, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43130, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '非常满意', '', '', 1, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43131, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 1, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43132, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc09', '', 1, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43133, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 4, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43134, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 28, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43135, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc20', '', 2, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43136, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'sw18', '', 1, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43137, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 1, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43138, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 1, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43139, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 28, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43140, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc09', '', 1, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43141, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc20', '', 2, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43142, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '', 'sw18', '', 1, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43143, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 4, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43144, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '非常满意', 'sw18', '', 1, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43145, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 28, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43146, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc20', '', 2, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43147, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 4, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43148, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc09', '', 1, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43149, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 1, 2024, 6, 26, '2024-08-05 15:22:40', NULL, NULL), (43150, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 2, 2024, 6, 27, '2024-08-05 15:22:40', NULL, NULL), (43151, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 17, 2024, 6, 27, '2024-08-05 15:22:40', NULL, NULL), (43152, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 6, 27, '2024-08-05 15:22:40', NULL, NULL), (43153, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 17, 2024, 6, 27, '2024-08-05 15:22:40', NULL, NULL), (43154, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 1, 2024, 6, 27, '2024-08-05 15:22:40', NULL, NULL), (43155, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 19, 2024, 6, 27, '2024-08-05 15:22:40', NULL, NULL), (43156, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 17, 2024, 6, 27, '2024-08-05 15:22:40', NULL, NULL), (43157, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 2, 2024, 6, 27, '2024-08-05 15:22:40', NULL, NULL), (43158, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 6, 27, '2024-08-05 15:22:40', NULL, NULL), (43159, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 1, 2024, 6, 27, '2024-08-05 15:22:40', NULL, NULL), (43160, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 17, 2024, 6, 27, '2024-08-05 15:22:40', NULL, NULL), (43161, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 17, 2024, 6, 27, '2024-08-05 15:22:40', NULL, NULL), (43162, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 1, 2024, 6, 27, '2024-08-05 15:22:40', NULL, NULL), (43163, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 6, 27, '2024-08-05 15:22:40', NULL, NULL), (43164, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 17, 2024, 6, 27, '2024-08-05 15:22:40', NULL, NULL), (43165, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 6, 27, '2024-08-05 15:22:40', NULL, NULL), (43166, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 1, 2024, 6, 27, '2024-08-05 15:22:40', NULL, NULL), (43167, 13, '511525000000-0001', '高县政务服务中心', '消防救援大队', '', '', '', 2, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43168, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43169, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43170, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 13, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43171, 13, '511525000000-0001', '高县政务服务中心', '', '', 'xfjy36', '', 2, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43172, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43173, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 1, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43174, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 13, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43175, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 17, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43176, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 13, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43177, 13, '511525000000-0001', '高县政务服务中心', '消防救援大队', '非常满意', '', '', 2, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43178, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43179, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43180, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'xfjy36', '', 2, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43181, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 1, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43182, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43183, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 13, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43184, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 1, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43185, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 13, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43186, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (43187, 13, '511525000000-0001', '高县政务服务中心', '消防救援大队', '', 'xfjy36', '', 2, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43188, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 1, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43189, 13, '511525000000-0001', '高县政务服务中心', '消防救援大队', '非常满意', 'xfjy36', '', 2, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43190, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 13, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43191, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 6, 28, '2024-08-05 15:22:40', NULL, NULL), (43192, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '', '', '', 1, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (43193, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', '', '', 2, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (43194, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 7, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (43195, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (43196, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wsjk27', '', 2, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (43197, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zjcg01', '', 1, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (43198, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjgfz06', '', 1, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (43199, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 7, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (43200, 13, '511525000000-0001', '高县政务服务中心', '', '非常不满意', '', '', 1, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (43201, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 10, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (43202, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 7, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (43203, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', '', '', 2, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (43204, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '非常不满意', '', '', 1, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (43205, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (43206, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wsjk27', '', 2, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (43207, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjgfz06', '', 1, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (43208, 13, '511525000000-0001', '高县政务服务中心', '', '非常不满意', 'zjcg01', '', 1, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (43209, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 7, 2024, 7, 1, '2024-08-05 15:22:40', NULL, NULL), (43210, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '', 'zjcg01', '', 1, 2024, 7, 1, '2024-08-05 15:22:41', NULL, NULL), (43211, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 7, 2024, 7, 1, '2024-08-05 15:22:41', NULL, NULL), (43212, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjgfz06', '', 1, 2024, 7, 1, '2024-08-05 15:22:41', NULL, NULL), (43213, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', 'wsjk27', '', 2, 2024, 7, 1, '2024-08-05 15:22:41', NULL, NULL), (43214, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjgfz06', '', 1, 2024, 7, 1, '2024-08-05 15:22:41', NULL, NULL), (43215, 13, '511525000000-0001', '高县政务服务中心', '住建城管', '非常不满意', 'zjcg01', '', 1, 2024, 7, 1, '2024-08-05 15:22:41', NULL, NULL), (43216, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', 'wsjk27', '', 2, 2024, 7, 1, '2024-08-05 15:22:41', NULL, NULL), (43217, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 7, 2024, 7, 1, '2024-08-05 15:22:41', NULL, NULL), (43218, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43219, 13, '511525000000-0001', '高县政务服务中心', '消防救援大队', '', '', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43220, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43221, 13, '511525000000-0001', '高县政务服务中心', '应急管理局', '', '', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43222, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 13, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43223, 13, '511525000000-0001', '高县政务服务中心', '', '', 'xfjy36', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43224, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj21', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43225, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc37', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43226, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjgl35', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43227, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 13, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43228, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 17, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43229, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 13, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43230, 13, '511525000000-0001', '高县政务服务中心', '应急管理局', '非常满意', '', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43231, 13, '511525000000-0001', '高县政务服务中心', '消防救援大队', '非常满意', '', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43232, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43233, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43234, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'xfjy36', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43235, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj21', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43236, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 13, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43237, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjgl35', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43238, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc37', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43239, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc37', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43240, 13, '511525000000-0001', '高县政务服务中心', '应急管理局', '', 'yjgl35', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43241, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 13, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43242, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj21', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43243, 13, '511525000000-0001', '高县政务服务中心', '消防救援大队', '', 'xfjy36', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43244, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc37', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43245, 13, '511525000000-0001', '高县政务服务中心', '消防救援大队', '非常满意', 'xfjy36', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43246, 13, '511525000000-0001', '高县政务服务中心', '应急管理局', '非常满意', 'yjgl35', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43247, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 13, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43248, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj21', '', 1, 2024, 7, 2, '2024-08-05 15:22:41', NULL, NULL), (43249, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 5, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43250, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 7, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43251, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 2, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43252, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43253, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43254, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs01', '', 1, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43255, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 2, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43256, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 7, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43257, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 2, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43258, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 2, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43259, 13, '511525000000-0001', '高县政务服务中心', '', '满意', '', '', 1, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43260, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 14, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43261, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 7, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43262, 13, '511525000000-0001', '高县政务服务中心', '不动产', '满意', '', '', 1, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43263, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 4, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43264, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43265, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 2, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43266, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43267, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 2, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43268, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 7, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43269, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs01', '', 1, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43270, 13, '511525000000-0001', '高县政务服务中心', '', '满意', 'yjs16', '', 1, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43271, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43272, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 2, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43273, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 2, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43274, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 7, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43275, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs01', '', 1, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43276, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 2, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43277, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43278, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 2, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43279, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43280, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 7, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43281, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43282, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 2, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43283, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 2, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43284, 13, '511525000000-0001', '高县政务服务中心', '不动产', '满意', 'yjs16', '', 1, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43285, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs01', '', 1, 2024, 7, 3, '2024-08-05 15:22:41', NULL, NULL), (43286, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43287, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 3, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43288, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 13, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43289, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43290, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43291, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc10', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43292, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43293, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43294, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 13, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43295, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs13', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43296, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 18, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43297, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 13, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43298, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 3, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43299, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43300, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43301, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43302, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43303, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 13, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43304, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs13', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43305, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc10', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43306, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43307, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43308, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs13', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43309, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 13, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43310, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc10', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43311, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43312, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 7, 4, '2024-08-05 15:22:41', NULL, NULL), (43313, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 1, 2024, 7, 4, '2024-08-05 15:22:42', NULL, NULL), (43314, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc10', '', 1, 2024, 7, 4, '2024-08-05 15:22:42', NULL, NULL), (43315, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 7, 4, '2024-08-05 15:22:42', NULL, NULL), (43316, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 13, 2024, 7, 4, '2024-08-05 15:22:42', NULL, NULL), (43317, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs13', '', 1, 2024, 7, 4, '2024-08-05 15:22:42', NULL, NULL), (43318, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 7, 4, '2024-08-05 15:22:42', NULL, NULL), (43319, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', '', '', 6, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43320, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 4, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43321, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 17, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43322, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 2, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43323, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43324, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc10', '', 1, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43325, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wsjk27', '', 6, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43326, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc37', '', 3, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43327, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 2, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43328, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjgfz06', '', 1, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43329, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 17, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43330, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 30, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43331, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 17, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43332, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', '', '', 6, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43333, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 4, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43334, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43335, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 2, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43336, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wsjk27', '', 6, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43337, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjgfz06', '', 1, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43338, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 17, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43339, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc10', '', 1, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43340, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 2, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43341, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc37', '', 3, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43342, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc37', '', 3, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43343, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 2, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43344, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 17, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43345, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc10', '', 1, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43346, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjgfz06', '', 1, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43347, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', 'wsjk27', '', 6, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43348, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc37', '', 3, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43349, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc10', '', 1, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43350, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', 'wsjk27', '', 6, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43351, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjgfz06', '', 1, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43352, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 17, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43353, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 2, 2024, 7, 5, '2024-08-05 15:22:42', NULL, NULL), (43354, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 7, 7, '2024-08-05 15:22:42', NULL, NULL), (43355, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc09', '', 1, 2024, 7, 7, '2024-08-05 15:22:42', NULL, NULL), (43356, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 1, 2024, 7, 7, '2024-08-05 15:22:42', NULL, NULL), (43357, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 7, 7, '2024-08-05 15:22:42', NULL, NULL), (43358, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc09', '', 1, 2024, 7, 7, '2024-08-05 15:22:42', NULL, NULL), (43359, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc09', '', 1, 2024, 7, 7, '2024-08-05 15:22:42', NULL, NULL), (43360, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc09', '', 1, 2024, 7, 7, '2024-08-05 15:22:42', NULL, NULL), (43361, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', '', '', 5, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43362, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 1, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43363, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43364, 13, '511525000000-0001', '高县政务服务中心', '生态环境局', '', '', '', 1, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43365, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wsjk27', '', 5, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43366, 13, '511525000000-0001', '高县政务服务中心', '', '', 'sthj39', '', 1, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43367, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjgfz06', '', 1, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43368, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 1, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43369, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 8, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43370, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 1, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43371, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', '', '', 5, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43372, 13, '511525000000-0001', '高县政务服务中心', '生态环境局', '非常满意', '', '', 1, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43373, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43374, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wsjk27', '', 5, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43375, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjgfz06', '', 1, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43376, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 1, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43377, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'sthj39', '', 1, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43378, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 1, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43379, 13, '511525000000-0001', '高县政务服务中心', '生态环境局', '', 'sthj39', '', 1, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43380, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjgfz06', '', 1, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43381, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', 'wsjk27', '', 5, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43382, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjgfz06', '', 1, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43383, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', 'wsjk27', '', 5, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43384, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 1, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43385, 13, '511525000000-0001', '高县政务服务中心', '生态环境局', '非常满意', 'sthj39', '', 1, 2024, 7, 8, '2024-08-05 15:22:42', NULL, NULL), (43386, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 4, 2024, 7, 9, '2024-08-05 15:22:42', NULL, NULL), (43387, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 2, 2024, 7, 9, '2024-08-05 15:22:42', NULL, NULL), (43388, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 2, 2024, 7, 9, '2024-08-05 15:22:42', NULL, NULL), (43389, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc37', '', 1, 2024, 7, 9, '2024-08-05 15:22:42', NULL, NULL), (43390, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 3, 2024, 7, 9, '2024-08-05 15:22:42', NULL, NULL), (43391, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 6, 2024, 7, 9, '2024-08-05 15:22:42', NULL, NULL), (43392, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 4, 2024, 7, 9, '2024-08-05 15:22:42', NULL, NULL), (43393, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 2, 2024, 7, 9, '2024-08-05 15:22:42', NULL, NULL), (43394, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 3, 2024, 7, 9, '2024-08-05 15:22:42', NULL, NULL), (43395, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 2, 2024, 7, 9, '2024-08-05 15:22:42', NULL, NULL), (43396, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc37', '', 1, 2024, 7, 9, '2024-08-05 15:22:42', NULL, NULL), (43397, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc37', '', 1, 2024, 7, 9, '2024-08-05 15:22:42', NULL, NULL), (43398, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 3, 2024, 7, 9, '2024-08-05 15:22:42', NULL, NULL), (43399, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 2, 2024, 7, 9, '2024-08-05 15:22:42', NULL, NULL), (43400, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc37', '', 1, 2024, 7, 9, '2024-08-05 15:22:42', NULL, NULL), (43401, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 2, 2024, 7, 9, '2024-08-05 15:22:42', NULL, NULL), (43402, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 3, 2024, 7, 9, '2024-08-05 15:22:42', NULL, NULL), (43403, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 7, 10, '2024-08-05 15:22:43', NULL, NULL), (43404, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 7, 10, '2024-08-05 15:22:43', NULL, NULL), (43405, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 1, 2024, 7, 10, '2024-08-05 15:22:43', NULL, NULL), (43406, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 7, 10, '2024-08-05 15:22:43', NULL, NULL), (43407, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 7, 10, '2024-08-05 15:22:43', NULL, NULL), (43408, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 7, 10, '2024-08-05 15:22:43', NULL, NULL), (43409, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 7, 10, '2024-08-05 15:22:43', NULL, NULL), (43410, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 3, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43411, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43412, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43413, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs01', '', 2, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43414, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43415, 13, '511525000000-0001', '高县政务服务中心', '', '满意', '', '', 1, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43416, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 3, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43417, 13, '511525000000-0001', '高县政务服务中心', '不动产', '满意', '', '', 1, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43418, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 2, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43419, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43420, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43421, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs01', '', 1, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43422, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43423, 13, '511525000000-0001', '高县政务服务中心', '', '满意', 'yjs01', '', 1, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43424, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs01', '', 2, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43425, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43426, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43427, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43428, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43429, 13, '511525000000-0001', '高县政务服务中心', '不动产', '满意', 'yjs01', '', 1, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43430, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs01', '', 1, 2024, 7, 11, '2024-08-05 15:22:43', NULL, NULL), (43431, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', '', '', 2, 2024, 7, 12, '2024-08-05 15:22:43', NULL, NULL), (43432, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 7, 12, '2024-08-05 15:22:43', NULL, NULL), (43433, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 7, 12, '2024-08-05 15:22:43', NULL, NULL), (43434, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wsjk27', '', 2, 2024, 7, 12, '2024-08-05 15:22:43', NULL, NULL), (43435, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 3, 2024, 7, 12, '2024-08-05 15:22:43', NULL, NULL), (43436, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', '', '', 2, 2024, 7, 12, '2024-08-05 15:22:43', NULL, NULL), (43437, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 7, 12, '2024-08-05 15:22:43', NULL, NULL), (43438, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wsjk27', '', 2, 2024, 7, 12, '2024-08-05 15:22:43', NULL, NULL), (43439, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 7, 12, '2024-08-05 15:22:43', NULL, NULL), (43440, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', 'wsjk27', '', 2, 2024, 7, 12, '2024-08-05 15:22:43', NULL, NULL), (43441, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 7, 12, '2024-08-05 15:22:43', NULL, NULL), (43442, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', 'wsjk27', '', 2, 2024, 7, 12, '2024-08-05 15:22:43', NULL, NULL), (43443, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 7, 12, '2024-08-05 15:22:43', NULL, NULL), (43444, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43445, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', '', '', 5, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43446, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', '', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43447, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '', '', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43448, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43449, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43450, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wsjk27', '', 5, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43451, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zyty03', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43452, 13, '511525000000-0001', '高县政务服务中心', '', '', 'kf22', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43453, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43454, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 9, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43455, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', '', '', 5, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43456, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43457, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43458, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', '', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43459, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '非常满意', '', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43460, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wsjk27', '', 5, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43461, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43462, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'kf22', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43463, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43464, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zyty03', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43465, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '', 'zyty03', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43466, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43467, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '', 'kf22', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43468, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43469, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', 'wsjk27', '', 5, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43470, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43471, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43472, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', 'wsjk27', '', 5, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43473, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '非常满意', 'kf22', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43474, 13, '511525000000-0001', '高县政务服务中心', '教育体育', '非常满意', 'zyty03', '', 1, 2024, 7, 15, '2024-08-05 15:22:43', NULL, NULL), (43475, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 2, 2024, 7, 17, '2024-08-05 15:22:43', NULL, NULL), (43476, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 7, 17, '2024-08-05 15:22:43', NULL, NULL), (43477, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 7, 17, '2024-08-05 15:22:43', NULL, NULL), (43478, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc09', '', 2, 2024, 7, 17, '2024-08-05 15:22:43', NULL, NULL), (43479, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 3, 2024, 7, 17, '2024-08-05 15:22:43', NULL, NULL), (43480, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 2, 2024, 7, 17, '2024-08-05 15:22:43', NULL, NULL), (43481, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 7, 17, '2024-08-05 15:22:44', NULL, NULL), (43482, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc09', '', 2, 2024, 7, 17, '2024-08-05 15:22:44', NULL, NULL), (43483, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 7, 17, '2024-08-05 15:22:44', NULL, NULL), (43484, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc09', '', 2, 2024, 7, 17, '2024-08-05 15:22:44', NULL, NULL), (43485, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 7, 17, '2024-08-05 15:22:44', NULL, NULL), (43486, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 7, 17, '2024-08-05 15:22:44', NULL, NULL), (43487, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc09', '', 2, 2024, 7, 17, '2024-08-05 15:22:44', NULL, NULL), (43488, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', '', '', 4, 2024, 7, 18, '2024-08-05 15:22:44', NULL, NULL), (43489, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wsjk27', '', 4, 2024, 7, 18, '2024-08-05 15:22:44', NULL, NULL), (43490, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 4, 2024, 7, 18, '2024-08-05 15:22:44', NULL, NULL), (43491, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', '', '', 4, 2024, 7, 18, '2024-08-05 15:22:44', NULL, NULL), (43492, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wsjk27', '', 4, 2024, 7, 18, '2024-08-05 15:22:44', NULL, NULL), (43493, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', 'wsjk27', '', 4, 2024, 7, 18, '2024-08-05 15:22:44', NULL, NULL), (43494, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', 'wsjk27', '', 4, 2024, 7, 18, '2024-08-05 15:22:44', NULL, NULL), (43495, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 3, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43496, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43497, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43498, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43499, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj21', '', 1, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43500, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 2, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43501, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43502, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 5, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43503, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43504, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43505, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 3, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43506, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 2, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43507, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43508, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj21', '', 1, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43509, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43510, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 2, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43511, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj21', '', 1, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43512, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43513, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43514, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 2, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43515, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43516, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj21', '', 1, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43517, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 7, 19, '2024-08-05 15:22:44', NULL, NULL), (43518, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 7, 22, '2024-08-05 15:22:44', NULL, NULL), (43519, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 1, 2024, 7, 22, '2024-08-05 15:22:44', NULL, NULL), (43520, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 1, 2024, 7, 22, '2024-08-05 15:22:44', NULL, NULL), (43521, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 7, 22, '2024-08-05 15:22:44', NULL, NULL), (43522, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 1, 2024, 7, 22, '2024-08-05 15:22:44', NULL, NULL), (43523, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 1, 2024, 7, 22, '2024-08-05 15:22:44', NULL, NULL), (43524, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 1, 2024, 7, 22, '2024-08-05 15:22:44', NULL, NULL), (43525, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 2, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43526, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43527, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 3, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43528, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 2, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43529, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43530, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjgfz06', '', 1, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43531, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 2, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43532, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 3, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43533, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 1, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43534, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 8, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43535, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 3, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43536, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43537, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 2, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43538, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 2, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43539, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 2, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43540, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjgfz06', '', 1, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43541, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 1, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43542, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 3, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43543, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43544, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 2, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43545, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 3, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43546, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjgfz06', '', 1, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43547, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 1, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43548, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43549, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 2, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43550, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjgfz06', '', 1, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43551, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43552, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 3, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43553, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 1, 2024, 7, 23, '2024-08-05 15:22:44', NULL, NULL), (43554, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 7, 24, '2024-08-05 15:22:44', NULL, NULL), (43555, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 8, 2024, 7, 24, '2024-08-05 15:22:44', NULL, NULL), (43556, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 7, 24, '2024-08-05 15:22:44', NULL, NULL), (43557, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 7, 24, '2024-08-05 15:22:45', NULL, NULL), (43558, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 8, 2024, 7, 24, '2024-08-05 15:22:45', NULL, NULL), (43559, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 1, 2024, 7, 24, '2024-08-05 15:22:45', NULL, NULL), (43560, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 10, 2024, 7, 24, '2024-08-05 15:22:45', NULL, NULL), (43561, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 8, 2024, 7, 24, '2024-08-05 15:22:45', NULL, NULL), (43562, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 7, 24, '2024-08-05 15:22:45', NULL, NULL), (43563, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 7, 24, '2024-08-05 15:22:45', NULL, NULL), (43564, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 1, 2024, 7, 24, '2024-08-05 15:22:45', NULL, NULL), (43565, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 8, 2024, 7, 24, '2024-08-05 15:22:45', NULL, NULL), (43566, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 7, 24, '2024-08-05 15:22:45', NULL, NULL), (43567, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 1, 2024, 7, 24, '2024-08-05 15:22:45', NULL, NULL), (43568, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 8, 2024, 7, 24, '2024-08-05 15:22:45', NULL, NULL), (43569, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 7, 24, '2024-08-05 15:22:45', NULL, NULL), (43570, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 1, 2024, 7, 24, '2024-08-05 15:22:45', NULL, NULL), (43571, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 7, 24, '2024-08-05 15:22:45', NULL, NULL), (43572, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 8, 2024, 7, 24, '2024-08-05 15:22:45', NULL, NULL), (43573, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 3, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43574, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 13, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43575, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43576, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43577, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc20', '', 1, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43578, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43579, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 13, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43580, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs13', '', 1, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43581, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 17, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43582, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 13, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43583, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 3, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43584, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43585, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43586, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 13, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43587, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc20', '', 1, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43588, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs13', '', 1, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43589, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43590, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs13', '', 1, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43591, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 13, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43592, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc20', '', 1, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43593, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43594, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43595, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43596, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 13, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43597, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc20', '', 1, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43598, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs13', '', 1, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43599, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 7, 25, '2024-08-05 15:22:45', NULL, NULL), (43600, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 5, 2024, 7, 26, '2024-08-05 15:22:45', NULL, NULL), (43601, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 7, 26, '2024-08-05 15:22:45', NULL, NULL), (43602, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 7, 26, '2024-08-05 15:22:45', NULL, NULL), (43603, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 5, 2024, 7, 26, '2024-08-05 15:22:45', NULL, NULL), (43604, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 6, 2024, 7, 26, '2024-08-05 15:22:45', NULL, NULL), (43605, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 5, 2024, 7, 26, '2024-08-05 15:22:45', NULL, NULL), (43606, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 7, 26, '2024-08-05 15:22:45', NULL, NULL), (43607, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 5, 2024, 7, 26, '2024-08-05 15:22:45', NULL, NULL), (43608, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 7, 26, '2024-08-05 15:22:45', NULL, NULL), (43609, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 5, 2024, 7, 26, '2024-08-05 15:22:45', NULL, NULL), (43610, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 7, 26, '2024-08-05 15:22:45', NULL, NULL), (43611, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 7, 26, '2024-08-05 15:22:45', NULL, NULL), (43612, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 5, 2024, 7, 26, '2024-08-05 15:22:45', NULL, NULL), (43613, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', '', '', 1, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (43614, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 10, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (43615, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (43616, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (43617, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zrzy01', '', 1, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (43618, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 10, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (43619, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 12, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (43620, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 10, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (43621, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', '', '', 1, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (43622, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (43623, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 10, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (43624, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (43625, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zrzy01', '', 1, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (43626, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 10, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (43627, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (43628, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', 'zrzy01', '', 1, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (43629, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', 'zrzy01', '', 1, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (43630, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (43631, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 10, 2024, 7, 29, '2024-08-05 15:22:45', NULL, NULL), (43632, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '', '', '', 1, 2024, 7, 30, '2024-08-05 15:22:45', NULL, NULL), (43633, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 5, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43634, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 10, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43635, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 2, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43636, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 2, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43637, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs12', '', 1, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43638, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43639, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 10, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43640, 13, '511525000000-0001', '高县政务服务中心', '', '', 'sw18', '', 1, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43641, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 1, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43642, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs13', '', 2, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43643, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 18, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43644, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 10, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43645, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 5, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43646, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 2, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43647, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '非常满意', '', '', 1, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43648, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43649, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 1, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43650, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 10, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43651, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'sw18', '', 1, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43652, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs13', '', 2, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43653, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs12', '', 1, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43654, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 2, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43655, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs13', '', 2, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43656, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 10, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43657, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs12', '', 1, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43658, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 1, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43659, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '', 'sw18', '', 1, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43660, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43661, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 2, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43662, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '非常满意', 'sw18', '', 1, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43663, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 2, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43664, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 10, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43665, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs13', '', 2, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43666, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43667, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 1, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43668, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs12', '', 1, 2024, 7, 30, '2024-08-05 15:22:46', NULL, NULL), (43669, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', '', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43670, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '', '', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43671, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 2, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43672, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 16, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43673, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43674, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43675, 13, '511525000000-0001', '高县政务服务中心', '', '', 'zrzy01', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43676, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43677, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 16, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43678, 13, '511525000000-0001', '高县政务服务中心', '', '', 'sw18', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43679, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43680, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 21, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43681, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 16, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43682, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', '', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43683, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 2, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43684, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43685, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '非常满意', '', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43686, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43687, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43688, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 16, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43689, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'sw18', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43690, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43691, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'zrzy01', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43692, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 16, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43693, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43694, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43695, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '', 'sw18', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43696, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '', 'zrzy01', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43697, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43698, 13, '511525000000-0001', '高县政务服务中心', '税务部门', '非常满意', 'sw18', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43699, 13, '511525000000-0001', '高县政务服务中心', '自然资源', '非常满意', 'zrzy01', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43700, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43701, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 16, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43702, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43703, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 1, 2024, 7, 31, '2024-08-05 15:22:46', NULL, NULL), (43704, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 2, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43705, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 6, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43706, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 3, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43707, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjgfz06', '', 3, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43708, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 6, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43709, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43710, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs13', '', 1, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43711, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 11, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43712, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 6, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43713, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 2, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43714, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 3, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43715, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjgfz06', '', 3, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43716, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43717, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 6, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43718, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs13', '', 1, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43719, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs13', '', 1, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43720, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 6, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43721, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjgfz06', '', 3, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43722, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43723, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjgfz06', '', 3, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43724, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 6, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43725, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs13', '', 1, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43726, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 8, 1, '2024-08-05 15:22:46', NULL, NULL), (43727, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', '', '', 1, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:09'), (43728, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', '', '', 3, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:09'), (43729, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 8, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:09'), (43730, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:09'), (43731, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wsjk27', '', 3, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:16'), (43732, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjgfz06', '', 1, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:09'), (43733, 13, '511525000000-0001', '高县政务服务中心', '', '', 'fgj08', '', 1, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:09'), (43734, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 8, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:16'), (43735, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 13, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:16'), (43736, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 8, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:16'), (43737, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', '', '', 3, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:17'), (43738, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:16'), (43739, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', '', '', 1, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:16'), (43740, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'fgj08', '', 1, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:32'), (43741, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wsjk27', '', 3, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:39'), (43742, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjgfz06', '', 1, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:39'), (43743, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 8, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:17'), (43744, 13, '511525000000-0001', '高县政务服务中心', '非公局', '', 'fgj08', '', 1, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:39'), (43745, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 8, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:39'), (43746, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjgfz06', '', 1, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:39'), (43747, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', 'wsjk27', '', 3, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:39'), (43748, 13, '511525000000-0001', '高县政务服务中心', '非公局', '非常满意', 'fgj08', '', 1, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:39'), (43749, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjgfz06', '', 1, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:39'), (43750, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', 'wsjk27', '', 3, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:39'), (43751, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 8, 2024, 8, 2, '2024-08-05 15:22:47', 1, '2024-08-06 02:01:39'), (43752, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 15:34:45', NULL, NULL), (43753, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 15:34:45', NULL, NULL), (43754, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 15:34:45', NULL, NULL), (43755, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 15:34:45', NULL, NULL), (43756, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 15:34:45', NULL, NULL), (43757, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 15:34:45', NULL, NULL), (43758, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 15:34:45', NULL, NULL), (43759, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 15:34:45', NULL, NULL), (43760, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 15:34:45', NULL, NULL), (43761, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 15:34:45', NULL, NULL), (43762, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 15:34:45', NULL, NULL), (43763, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 15:34:45', NULL, NULL), (43764, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 15:34:45', NULL, NULL), (43765, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 15:34:45', NULL, NULL), (43766, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 15:34:45', NULL, NULL), (43767, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 15:34:45', NULL, NULL), (43768, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 15:34:45', NULL, NULL), (43769, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 15:34:45', NULL, NULL), (43770, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 15:34:45', NULL, NULL), (43771, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 15:34:45', NULL, NULL), (43772, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 15:34:45', NULL, NULL), (43773, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 15:34:45', NULL, NULL), (43774, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 15:34:45', NULL, NULL), (43775, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 15:34:45', NULL, NULL), (43776, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 15:34:45', NULL, NULL), (43777, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 15:34:45', NULL, NULL), (43778, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 15:34:45', NULL, NULL), (43779, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 15:34:45', NULL, NULL), (43780, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 15:34:45', NULL, NULL), (43781, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 15:34:45', NULL, NULL), (43782, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 15:34:45', NULL, NULL), (43783, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 15:34:45', NULL, NULL), (43784, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 15:34:45', NULL, NULL), (43785, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 15:34:45', NULL, NULL), (43786, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 15:34:45', NULL, NULL), (43787, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 15:34:45', NULL, NULL), (43788, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 15:34:45', NULL, NULL), (43789, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 15:34:45', NULL, NULL), (43790, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 15:34:45', NULL, NULL), (43791, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 15:34:45', NULL, NULL), (43792, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 15:34:45', NULL, NULL), (43793, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 15:34:45', NULL, NULL), (43794, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 15:34:45', NULL, NULL), (43795, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 15:34:45', NULL, NULL), (43796, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 15:34:45', NULL, NULL), (43797, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 15:34:45', NULL, NULL), (43798, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 15:34:45', NULL, NULL), (43799, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 15:34:45', NULL, NULL), (43800, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 15:34:45', NULL, NULL), (43801, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 15:34:45', NULL, NULL), (43802, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 15:34:45', NULL, NULL), (43803, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 15:34:45', NULL, NULL), (43804, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 15:34:45', NULL, NULL), (43805, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 15:34:45', NULL, NULL), (43806, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 15:34:45', NULL, NULL), (43807, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 15:34:45', NULL, NULL), (43808, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 15:34:45', NULL, NULL), (43809, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 15:34:45', NULL, NULL), (43810, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 15:34:45', NULL, NULL), (43811, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 15:34:45', NULL, NULL), (43812, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 15:34:45', NULL, NULL), (43813, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 15:34:45', NULL, NULL), (43814, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 15:34:45', NULL, NULL), (43815, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 15:34:45', NULL, NULL), (43816, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 15:34:45', NULL, NULL), (43817, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 15:34:46', NULL, NULL), (43818, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 15:34:46', NULL, NULL), (43819, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 15:34:46', NULL, NULL), (43820, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 15:34:46', NULL, NULL), (43821, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 15:34:46', NULL, NULL), (43822, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 15:34:46', NULL, NULL), (43823, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 15:34:46', NULL, NULL), (43824, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 15:34:46', NULL, NULL), (43825, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 15:34:46', NULL, NULL), (43826, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 15:34:46', NULL, NULL), (43827, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 15:34:46', NULL, NULL), (43828, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 15:34:46', NULL, NULL), (43829, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 15:34:46', NULL, NULL), (43830, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 15:34:46', NULL, NULL), (43831, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 15:34:46', NULL, NULL), (43832, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 15:34:46', NULL, NULL), (43833, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 15:34:46', NULL, NULL), (43834, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 15:34:46', NULL, NULL), (43835, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 15:34:46', NULL, NULL), (43836, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 15:34:46', NULL, NULL), (43837, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 15:34:46', NULL, NULL), (43838, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 15:34:46', NULL, NULL), (43839, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 15:34:46', NULL, NULL), (43840, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 15:34:46', NULL, NULL), (43841, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 15:34:46', NULL, NULL), (43842, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 15:34:46', NULL, NULL), (43843, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 15:34:46', NULL, NULL), (43844, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 15:34:46', NULL, NULL), (43845, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 15:34:46', NULL, NULL), (43846, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 15:34:46', NULL, NULL), (43847, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 15:34:46', NULL, NULL), (43848, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 15:34:46', NULL, NULL), (43849, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 15:34:46', NULL, NULL), (43850, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 15:34:46', NULL, NULL), (43851, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 15:34:46', NULL, NULL), (43852, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 15:34:46', NULL, NULL), (43853, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 15:34:46', NULL, NULL), (43854, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 15:34:46', NULL, NULL), (43855, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 15:34:46', NULL, NULL), (43856, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 15:34:46', NULL, NULL), (43857, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 15:34:46', NULL, NULL), (43858, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 15:34:46', NULL, NULL), (43859, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 15:34:46', NULL, NULL), (43860, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 15:34:46', NULL, NULL), (43861, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 15:34:46', NULL, NULL), (43862, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 15:34:46', NULL, NULL), (43863, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 15:34:46', NULL, NULL), (43864, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 15:34:46', NULL, NULL), (43865, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 15:34:46', NULL, NULL), (43866, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 15:34:46', NULL, NULL), (43867, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 15:34:46', NULL, NULL), (43868, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 15:34:46', NULL, NULL), (43869, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 15:34:46', NULL, NULL), (43870, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 15:34:46', NULL, NULL), (43871, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 15:34:46', NULL, NULL), (43872, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 15:34:46', NULL, NULL), (43873, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 15:34:46', NULL, NULL), (43874, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 15:34:46', NULL, NULL), (43875, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 15:34:46', NULL, NULL), (43876, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 15:34:46', NULL, NULL), (43877, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 15:34:46', NULL, NULL), (43878, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 15:34:46', NULL, NULL), (43879, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 15:34:46', NULL, NULL), (43880, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 15:34:46', NULL, NULL), (43881, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 15:34:46', NULL, NULL), (43882, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 15:34:46', NULL, NULL), (43883, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 15:34:46', NULL, NULL), (43884, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 15:34:46', NULL, NULL), (43885, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 15:34:46', NULL, NULL), (43886, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 15:34:46', NULL, NULL), (43887, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 15:34:46', NULL, NULL), (43888, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 15:34:46', NULL, NULL), (43889, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 15:34:46', NULL, NULL), (43890, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 15:34:46', NULL, NULL), (43891, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 15:34:46', NULL, NULL), (43892, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 15:34:46', NULL, NULL), (43893, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 15:34:46', NULL, NULL), (43894, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 15:34:46', NULL, NULL), (43895, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 15:34:46', NULL, NULL), (43896, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 15:34:46', NULL, NULL), (43897, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 15:34:46', NULL, NULL), (43898, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 15:34:46', NULL, NULL), (43899, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 15:34:47', NULL, NULL), (43900, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 15:34:47', NULL, NULL), (43901, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 15:34:47', NULL, NULL), (43902, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 15:34:47', NULL, NULL), (43903, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 15:34:47', NULL, NULL), (43904, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 15:34:47', NULL, NULL), (43905, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 15:34:47', NULL, NULL), (43906, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 15:34:47', NULL, NULL), (43907, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 7, 2023, 6, 5, '2024-08-05 15:34:47', NULL, NULL), (43908, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 15:34:47', NULL, NULL), (43909, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 15:34:47', NULL, NULL), (43910, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 1, 2023, 6, 8, '2024-08-05 15:34:47', NULL, NULL), (43911, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 15:34:47', NULL, NULL), (43912, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 15:34:47', NULL, NULL), (43913, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 15:34:47', NULL, NULL), (43914, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 1, 2023, 6, 12, '2024-08-05 15:34:47', NULL, NULL), (43915, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 15:34:47', NULL, NULL), (43916, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 15:34:47', NULL, NULL), (43917, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 15:34:47', NULL, NULL), (43918, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 15:34:47', NULL, NULL), (43919, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 15:34:47', NULL, NULL), (43920, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 15:34:47', NULL, NULL), (43921, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 2, 2023, 6, 19, '2024-08-05 15:34:47', NULL, NULL), (43922, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 15:34:47', NULL, NULL), (43923, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 15:34:47', NULL, NULL), (43924, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 15:34:47', NULL, NULL), (43925, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 15:34:47', NULL, NULL), (43926, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 15:34:47', NULL, NULL), (43927, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 15:34:47', NULL, NULL), (43928, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 15:34:47', NULL, NULL), (43929, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 15:34:47', NULL, NULL), (43930, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 15:34:47', NULL, NULL), (43931, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 15:34:47', NULL, NULL), (43932, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 15:34:47', NULL, NULL), (43933, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 15:34:47', NULL, NULL), (43934, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 15:34:47', NULL, NULL), (43935, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 15:34:47', NULL, NULL), (43936, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 15:34:47', NULL, NULL), (43937, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 15:34:47', NULL, NULL), (43938, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 1, 2023, 7, 6, '2024-08-05 15:34:47', NULL, NULL), (43939, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 1, 2023, 7, 7, '2024-08-05 15:34:47', NULL, NULL), (43940, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 15:34:47', NULL, NULL), (43941, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 15:34:47', NULL, NULL), (43942, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 15:34:47', NULL, NULL), (43943, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 15:34:47', NULL, NULL), (43944, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 15:34:47', NULL, NULL), (43945, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 15:34:47', NULL, NULL), (43946, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 15:34:47', NULL, NULL), (43947, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 15:34:47', NULL, NULL), (43948, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 15:34:47', NULL, NULL), (43949, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 15:34:47', NULL, NULL), (43950, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 15:34:47', NULL, NULL), (43951, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 15:34:47', NULL, NULL), (43952, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 15:34:47', NULL, NULL), (43953, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 15:34:47', NULL, NULL), (43954, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 15:34:47', NULL, NULL), (43955, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 15:34:47', NULL, NULL), (43956, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 15:34:47', NULL, NULL), (43957, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 15:34:47', NULL, NULL), (43958, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 15:34:47', NULL, NULL), (43959, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 15:34:47', NULL, NULL), (43960, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 15:34:47', NULL, NULL), (43961, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 15:34:47', NULL, NULL), (43962, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 15:34:47', NULL, NULL), (43963, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 15:34:47', NULL, NULL), (43964, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 15:34:47', NULL, NULL), (43965, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 15:34:47', NULL, NULL), (43966, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 15:34:47', NULL, NULL), (43967, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 15:34:47', NULL, NULL), (43968, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 15:34:47', NULL, NULL), (43969, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 15:34:47', NULL, NULL), (43970, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 15:34:47', NULL, NULL), (43971, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 15:34:47', NULL, NULL), (43972, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 15:34:47', NULL, NULL), (43973, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 15:34:47', NULL, NULL), (43974, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 15:34:47', NULL, NULL), (43975, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 15:34:48', NULL, NULL), (43976, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 15:34:48', NULL, NULL), (43977, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 15:34:48', NULL, NULL), (43978, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 15:34:48', NULL, NULL), (43979, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 15:34:48', NULL, NULL), (43980, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 15:34:48', NULL, NULL), (43981, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 15:34:48', NULL, NULL), (43982, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 15:34:48', NULL, NULL), (43983, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 15:34:48', NULL, NULL), (43984, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 15:34:48', NULL, NULL), (43985, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 15:34:48', NULL, NULL), (43986, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 15:34:48', NULL, NULL), (43987, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 15:34:48', NULL, NULL), (43988, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 15:34:48', NULL, NULL), (43989, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 15:34:48', NULL, NULL), (43990, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 15:34:48', NULL, NULL), (43991, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 15:34:48', NULL, NULL), (43992, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 15:34:48', NULL, NULL), (43993, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 15:34:48', NULL, NULL), (43994, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 15:34:48', NULL, NULL), (43995, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 15:34:48', NULL, NULL), (43996, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 15:34:48', NULL, NULL), (43997, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 15:34:48', NULL, NULL), (43998, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 15:34:48', NULL, NULL), (43999, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 15:34:48', NULL, NULL), (44000, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 15:34:48', NULL, NULL), (44001, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 15:34:48', NULL, NULL), (44002, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 15:34:48', NULL, NULL), (44003, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 15:34:48', NULL, NULL), (44004, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 15:34:48', NULL, NULL), (44005, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 15:34:48', NULL, NULL), (44006, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 15:34:48', NULL, NULL), (44007, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 15:34:48', NULL, NULL), (44008, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 15:34:48', NULL, NULL), (44009, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 15:34:48', NULL, NULL), (44010, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 15:34:48', NULL, NULL), (44011, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 15:34:48', NULL, NULL), (44012, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 15:34:48', NULL, NULL), (44013, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 15:34:48', NULL, NULL), (44014, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 15:34:48', NULL, NULL), (44015, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 15:34:48', NULL, NULL), (44016, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 15:34:48', NULL, NULL), (44017, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 15:34:48', NULL, NULL), (44018, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 15:34:48', NULL, NULL), (44019, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 15:34:48', NULL, NULL), (44020, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 15:34:48', NULL, NULL), (44021, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 15:34:48', NULL, NULL), (44022, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 15:34:48', NULL, NULL), (44023, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 15:34:48', NULL, NULL), (44024, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 15:34:48', NULL, NULL), (44025, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 15:34:48', NULL, NULL), (44026, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 15:34:48', NULL, NULL), (44027, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 15:34:48', NULL, NULL), (44028, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 15:34:48', NULL, NULL), (44029, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 15:34:48', NULL, NULL), (44030, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 15:34:48', NULL, NULL), (44031, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 15:34:48', NULL, NULL), (44032, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 15:34:48', NULL, NULL), (44033, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 15:34:48', NULL, NULL), (44034, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 15:34:48', NULL, NULL), (44035, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 15:34:48', NULL, NULL), (44036, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 15:34:48', NULL, NULL), (44037, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 15:34:48', NULL, NULL), (44038, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 15:34:48', NULL, NULL), (44039, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 15:34:48', NULL, NULL), (44040, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 15:34:48', NULL, NULL), (44041, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 15:34:48', NULL, NULL), (44042, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 15:34:48', NULL, NULL), (44043, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 2, 2023, 10, 19, '2024-08-05 15:34:48', NULL, NULL), (44044, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 15:34:48', NULL, NULL), (44045, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 15:34:48', NULL, NULL), (44046, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 15:34:48', NULL, NULL), (44047, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 15:34:48', NULL, NULL), (44048, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 15:34:48', NULL, NULL), (44049, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 15:34:48', NULL, NULL), (44050, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 15:34:48', NULL, NULL), (44051, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 15:34:48', NULL, NULL), (44052, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 15:34:48', NULL, NULL), (44053, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 15:34:48', NULL, NULL), (44054, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 15:34:48', NULL, NULL), (44055, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 15:34:48', NULL, NULL), (44056, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 15:34:48', NULL, NULL), (44057, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 15:34:48', NULL, NULL), (44058, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 15:34:48', NULL, NULL), (44059, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 15:34:49', NULL, NULL), (44060, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 15:34:49', NULL, NULL), (44061, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 15:34:49', NULL, NULL), (44062, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 15:34:49', NULL, NULL), (44063, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 15:34:49', NULL, NULL), (44064, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 15:34:49', NULL, NULL), (44065, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 15:34:49', NULL, NULL), (44066, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 15:34:49', NULL, NULL), (44067, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 15:34:49', NULL, NULL), (44068, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 15:34:49', NULL, NULL), (44069, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 15:34:49', NULL, NULL), (44070, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 15:34:49', NULL, NULL), (44071, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 15:34:49', NULL, NULL), (44072, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 15:34:49', NULL, NULL), (44073, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 15:34:49', NULL, NULL), (44074, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 15:34:49', NULL, NULL), (44075, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 15:34:49', NULL, NULL), (44076, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 15:34:49', NULL, NULL), (44077, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 15:34:49', NULL, NULL), (44078, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 15:34:49', NULL, NULL), (44079, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 15:34:49', NULL, NULL), (44080, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 15:34:49', NULL, NULL), (44081, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 15:34:49', NULL, NULL), (44082, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 15:34:49', NULL, NULL), (44083, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 15:34:49', NULL, NULL), (44084, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 15:34:49', NULL, NULL), (44085, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 15:34:49', NULL, NULL), (44086, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 15:34:49', NULL, NULL), (44087, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 15:34:49', NULL, NULL), (44088, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 15:34:49', NULL, NULL), (44089, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 15:34:49', NULL, NULL), (44090, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 15:34:49', NULL, NULL), (44091, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 6, 2023, 12, 6, '2024-08-05 15:34:49', NULL, NULL), (44092, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 15:34:49', NULL, NULL), (44093, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 15:34:49', NULL, NULL), (44094, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 15:34:49', NULL, NULL), (44095, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 15:34:49', NULL, NULL), (44096, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 15:34:49', NULL, NULL), (44097, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 15:34:49', NULL, NULL), (44098, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 15:34:49', NULL, NULL), (44099, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 15:34:49', NULL, NULL), (44100, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 15:34:49', NULL, NULL), (44101, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 15:34:49', NULL, NULL), (44102, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 15:34:49', NULL, NULL), (44103, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 15:34:49', NULL, NULL), (44104, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 15:34:49', NULL, NULL), (44105, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 15:34:49', NULL, NULL), (44106, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 15:34:49', NULL, NULL), (44107, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 15:34:49', NULL, NULL), (44108, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 15:34:49', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (44109, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 15:34:49', NULL, NULL), (44110, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 15:34:49', NULL, NULL), (44111, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 15:34:49', NULL, NULL), (44112, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 15:34:49', NULL, NULL), (44113, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 3, 2023, 12, 28, '2024-08-05 15:34:49', NULL, NULL), (44114, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 15:34:49', NULL, NULL), (44115, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 15:34:49', NULL, NULL), (44116, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 15:34:49', NULL, NULL), (44117, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 15:34:49', NULL, NULL), (44118, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 15:34:49', NULL, NULL), (44119, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 15:34:49', NULL, NULL), (44120, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 15:34:49', NULL, NULL), (44121, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 15:34:49', NULL, NULL), (44122, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 15:34:49', NULL, NULL), (44123, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 15:34:49', NULL, NULL), (44124, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 15:34:49', NULL, NULL), (44125, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 15:34:49', NULL, NULL), (44126, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 15:34:49', NULL, NULL), (44127, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 15:34:49', NULL, NULL), (44128, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 15:34:49', NULL, NULL), (44129, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 15:34:49', NULL, NULL), (44130, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 15:34:49', NULL, NULL), (44131, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 15:34:49', NULL, NULL), (44132, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 15:34:49', NULL, NULL), (44133, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 15:34:49', NULL, NULL), (44134, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 15:34:49', NULL, NULL), (44135, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 15:34:49', NULL, NULL), (44136, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 15:34:49', NULL, NULL), (44137, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 15:34:49', NULL, NULL), (44138, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 15:34:49', NULL, NULL), (44139, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 15:34:49', NULL, NULL), (44140, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 15:34:49', NULL, NULL), (44141, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 15:34:49', NULL, NULL), (44142, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 15:34:49', NULL, NULL), (44143, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 15:34:49', NULL, NULL), (44144, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 15:34:50', NULL, NULL), (44145, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 15:34:50', NULL, NULL), (44146, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 15:34:50', NULL, NULL), (44147, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 15:34:50', NULL, NULL), (44148, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 15:34:50', NULL, NULL), (44149, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 15:34:50', NULL, NULL), (44150, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 15:34:50', NULL, NULL), (44151, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 15:34:50', NULL, NULL), (44152, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 15:34:50', NULL, NULL), (44153, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 15:34:50', NULL, NULL), (44154, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 15:34:50', NULL, NULL), (44155, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 15:34:50', NULL, NULL), (44156, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 15:34:50', NULL, NULL), (44157, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 15:34:50', NULL, NULL), (44158, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 15:34:50', NULL, NULL), (44159, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 15:34:50', NULL, NULL), (44160, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 15:34:50', NULL, NULL), (44161, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 15:34:50', NULL, NULL), (44162, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 15:34:50', NULL, NULL), (44163, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 15:34:50', NULL, NULL), (44164, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 15:34:50', NULL, NULL), (44165, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 15:34:50', NULL, NULL), (44166, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 15:34:50', NULL, NULL), (44167, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 15:34:50', NULL, NULL), (44168, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 15:34:50', NULL, NULL), (44169, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 15:34:50', NULL, NULL), (44170, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 15:34:50', NULL, NULL), (44171, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 15:34:50', NULL, NULL), (44172, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 15:34:50', NULL, NULL), (44173, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 15:34:50', NULL, NULL), (44174, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 15:34:50', NULL, NULL), (44175, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 15:34:50', NULL, NULL), (44176, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 15:34:50', NULL, NULL), (44177, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 15:34:50', NULL, NULL), (44178, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 15:34:50', NULL, NULL), (44179, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 15:34:50', NULL, NULL), (44180, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 15:34:50', NULL, NULL), (44181, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 15:34:50', NULL, NULL), (44182, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 15:34:50', NULL, NULL), (44183, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 15:34:50', NULL, NULL), (44184, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 15:34:50', NULL, NULL), (44185, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 15:34:50', NULL, NULL), (44186, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 15:34:50', NULL, NULL), (44187, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 15:34:50', NULL, NULL), (44188, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 15:34:50', NULL, NULL), (44189, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 15:34:50', NULL, NULL), (44190, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 15:34:50', NULL, NULL), (44191, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 15:34:50', NULL, NULL), (44192, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 15:34:50', NULL, NULL), (44193, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 15:34:50', NULL, NULL), (44194, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 15:34:50', NULL, NULL), (44195, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 3, 2024, 3, 19, '2024-08-05 15:34:50', NULL, NULL), (44196, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 15:34:50', NULL, NULL), (44197, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 15:34:50', NULL, NULL), (44198, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 15:34:50', NULL, NULL), (44199, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 15:34:50', NULL, NULL), (44200, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 15:34:50', NULL, NULL), (44201, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 15:34:50', NULL, NULL), (44202, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 15:34:50', NULL, NULL), (44203, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 15:34:50', NULL, NULL), (44204, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 15:34:50', NULL, NULL), (44205, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 15:34:50', NULL, NULL), (44206, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 15:34:50', NULL, NULL), (44207, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 15:34:50', NULL, NULL), (44208, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 15:34:50', NULL, NULL), (44209, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 15:34:50', NULL, NULL), (44210, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 15:34:50', NULL, NULL), (44211, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 15:34:50', NULL, NULL), (44212, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 15:34:50', NULL, NULL), (44213, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 15:34:50', NULL, NULL), (44214, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 15:34:50', NULL, NULL), (44215, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 15:34:50', NULL, NULL), (44216, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 15:34:50', NULL, NULL), (44217, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 15:34:50', NULL, NULL), (44218, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 15:34:50', NULL, NULL), (44219, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 15:34:50', NULL, NULL), (44220, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 15:34:50', NULL, NULL), (44221, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 15:34:51', NULL, NULL), (44222, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 15:34:51', NULL, NULL), (44223, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 15:34:51', NULL, NULL), (44224, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 15:34:51', NULL, NULL), (44225, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 15:34:51', NULL, NULL), (44226, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 15:34:51', NULL, NULL), (44227, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 15:34:51', NULL, NULL), (44228, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 15:34:51', NULL, NULL), (44229, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 15:34:51', NULL, NULL), (44230, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 15:34:51', NULL, NULL), (44231, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 15:34:51', NULL, NULL), (44232, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 15:34:51', NULL, NULL), (44233, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 15:34:51', NULL, NULL), (44234, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 15:34:51', NULL, NULL), (44235, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 6, 2024, 4, 28, '2024-08-05 15:34:51', NULL, NULL), (44236, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 15:34:51', NULL, NULL), (44237, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 15:34:51', NULL, NULL), (44238, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 15:34:51', NULL, NULL), (44239, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 15:34:51', NULL, NULL), (44240, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 15:34:51', NULL, NULL), (44241, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 15:34:51', NULL, NULL), (44242, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 15:34:51', NULL, NULL), (44243, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 15:34:51', NULL, NULL), (44244, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 15:34:51', NULL, NULL), (44245, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 15:34:51', NULL, NULL), (44246, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 15:34:51', NULL, NULL), (44247, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 15:34:51', NULL, NULL), (44248, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 15:34:51', NULL, NULL), (44249, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 15:34:51', NULL, NULL), (44250, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 15:34:51', NULL, NULL), (44251, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 15:34:51', NULL, NULL), (44252, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 15:34:51', NULL, NULL), (44253, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 15:34:51', NULL, NULL), (44254, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 15:34:51', NULL, NULL), (44255, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 15:34:51', NULL, NULL), (44256, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 15:34:51', NULL, NULL), (44257, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 15:34:51', NULL, NULL), (44258, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 15:34:51', NULL, NULL), (44259, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 15:34:51', NULL, NULL), (44260, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 15:34:51', NULL, NULL), (44261, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 15:34:51', NULL, NULL), (44262, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 15:34:51', NULL, NULL), (44263, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 15:34:51', NULL, NULL), (44264, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 15:34:51', NULL, NULL), (44265, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 15:34:51', NULL, NULL), (44266, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 15:34:51', NULL, NULL), (44267, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 15:34:51', NULL, NULL), (44268, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 15:34:51', NULL, NULL), (44269, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 15:34:51', NULL, NULL), (44270, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 15:34:51', NULL, NULL), (44271, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 15:34:51', NULL, NULL), (44272, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 15:34:52', NULL, NULL), (44273, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 15:34:52', NULL, NULL), (44274, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 15:34:52', NULL, NULL), (44275, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 15:34:52', NULL, NULL), (44276, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 15:34:52', NULL, NULL), (44277, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 15:34:52', NULL, NULL), (44278, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 15:34:52', NULL, NULL), (44279, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 15:34:52', NULL, NULL), (44280, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 15:34:52', NULL, NULL), (44281, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 15:34:52', NULL, NULL), (44282, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 15:34:52', NULL, NULL), (44283, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 15:34:52', NULL, NULL), (44284, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 15:34:52', NULL, NULL), (44285, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 15:34:52', NULL, NULL), (44286, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 15:34:52', NULL, NULL), (44287, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 15:34:52', NULL, NULL), (44288, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 15:34:52', NULL, NULL), (44289, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 15:34:52', NULL, NULL), (44290, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 15:34:52', NULL, NULL), (44291, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 15:34:52', NULL, NULL), (44292, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 15:34:52', NULL, NULL), (44293, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 15:34:52', NULL, NULL), (44294, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 15:34:53', NULL, NULL), (44295, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 15:34:53', NULL, NULL), (44296, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 15:34:53', NULL, NULL), (44297, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 15:34:53', NULL, NULL), (44298, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 15:34:53', NULL, NULL), (44299, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 15:34:53', NULL, NULL), (44300, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 15:34:53', NULL, NULL), (44301, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 15:34:53', NULL, NULL), (44302, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 15:34:53', NULL, NULL), (44303, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 15:34:53', NULL, NULL), (44304, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 15:34:53', NULL, NULL), (44305, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 15:34:53', NULL, NULL), (44306, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 15:34:53', NULL, NULL), (44307, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 15:34:53', NULL, NULL), (44308, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 15:34:53', NULL, NULL), (44309, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 15:34:53', NULL, NULL), (44310, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 15:34:53', NULL, NULL), (44311, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 15:34:53', NULL, NULL), (44312, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 15:34:53', NULL, NULL), (44313, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 15:34:53', NULL, NULL), (44314, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 15:34:53', NULL, NULL), (44315, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 15:34:54', NULL, NULL), (44316, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 15:34:54', NULL, NULL), (44317, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 15:34:54', NULL, NULL), (44318, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 15:34:54', NULL, NULL), (44319, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 15:34:54', NULL, NULL), (44320, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 15:34:54', NULL, NULL), (44321, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 15:34:54', NULL, NULL), (44322, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 15:34:54', NULL, NULL), (44323, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 15:34:54', NULL, NULL), (44324, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 15:34:54', NULL, NULL), (44325, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 15:34:54', NULL, NULL), (44326, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 15:34:54', NULL, NULL), (44327, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 15:34:54', NULL, NULL), (44328, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 15:34:54', NULL, NULL), (44329, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 15:34:54', NULL, NULL), (44330, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 15:34:54', 1, '2024-08-05 22:12:08'), (44331, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 15:34:54', 1, '2024-08-06 02:01:08'), (44332, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 15:34:54', 1, '2024-08-07 01:00:09'), (44333, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 15:34:54', 1, '2024-08-08 01:00:09'), (44334, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 15:34:54', 1, '2024-08-09 01:00:08'), (44335, 15, '511527000000-0001', '筠连县政务服务中心', '', '非常不满意', '', '', 6, 2023, 6, 5, '2024-08-05 15:34:47', NULL, NULL), (44336, 15, '511527000000-0001', '筠连县政务服务中心', '', '不满意', '', '', 1, 2023, 6, 5, '2024-08-05 15:34:47', NULL, NULL), (44337, 15, '511527000000-0001', '筠连县政务服务中心', '', '非常不满意', '', '', 1, 2023, 6, 8, '2024-08-05 15:34:47', NULL, NULL), (44338, 15, '511527000000-0001', '筠连县政务服务中心', '', '非常不满意', '', '', 1, 2023, 6, 12, '2024-08-05 15:34:47', NULL, NULL), (44339, 15, '511527000000-0001', '筠连县政务服务中心', '', '非常不满意', '', '', 1, 2023, 6, 19, '2024-08-05 15:34:47', NULL, NULL), (44340, 15, '511527000000-0001', '筠连县政务服务中心', '', '非常满意', '', '', 1, 2023, 6, 19, '2024-08-05 15:34:47', NULL, NULL), (44341, 15, '511527000000-0001', '筠连县政务服务中心', '', '非常不满意', '', '', 1, 2023, 7, 6, '2024-08-05 15:34:47', NULL, NULL), (44342, 15, '511527000000-0001', '筠连县政务服务中心', '', '非常不满意', '', '', 1, 2023, 7, 7, '2024-08-05 15:34:47', NULL, NULL), (44343, 15, '511527000000-0001', '筠连县政务服务中心', '', '非常不满意', '', '', 2, 2023, 10, 19, '2024-08-05 15:34:48', NULL, NULL), (44344, 15, '511527000000-0001', '筠连县政务服务中心', '', '非常不满意', '', '', 6, 2023, 12, 6, '2024-08-05 15:34:49', NULL, NULL), (44345, 15, '511527000000-0001', '筠连县政务服务中心', '', '非常不满意', '', '', 3, 2023, 12, 28, '2024-08-05 15:34:49', NULL, NULL), (44346, 15, '511527000000-0001', '筠连县政务服务中心', '', '非常不满意', '', '', 3, 2024, 3, 19, '2024-08-05 15:34:50', NULL, NULL), (44347, 15, '511527000000-0001', '筠连县政务服务中心', '', '非常不满意', '', '', 6, 2024, 4, 28, '2024-08-05 15:34:51', NULL, NULL), (44348, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 15:46:50', NULL, NULL), (44349, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 15:46:50', NULL, NULL), (44350, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 15:46:50', NULL, NULL), (44351, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 15:46:50', NULL, NULL), (44352, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 15:46:50', NULL, NULL), (44353, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 15:46:50', NULL, NULL), (44354, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 15:46:50', NULL, NULL), (44355, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 15:46:50', NULL, NULL), (44356, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 15:46:50', NULL, NULL), (44357, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 15:46:50', NULL, NULL), (44358, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 15:46:50', NULL, NULL), (44359, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 15:46:50', NULL, NULL), (44360, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 15:46:50', NULL, NULL), (44361, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 15:46:50', NULL, NULL), (44362, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 15:46:50', NULL, NULL), (44363, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 15:46:50', NULL, NULL), (44364, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 15:46:50', NULL, NULL), (44365, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 15:46:50', NULL, NULL), (44366, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 15:46:50', NULL, NULL), (44367, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 15:46:50', NULL, NULL), (44368, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 15:46:50', NULL, NULL), (44369, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 15:46:50', NULL, NULL), (44370, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 15:46:50', NULL, NULL), (44371, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 15:46:50', NULL, NULL), (44372, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 15:46:50', NULL, NULL), (44373, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 15:46:50', NULL, NULL), (44374, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 15:46:50', NULL, NULL), (44375, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 15:46:50', NULL, NULL), (44376, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 15:46:50', NULL, NULL), (44377, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 15:46:50', NULL, NULL), (44378, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 15:46:50', NULL, NULL), (44379, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 15:46:50', NULL, NULL), (44380, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 15:46:50', NULL, NULL), (44381, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 15:46:50', NULL, NULL), (44382, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 15:46:50', NULL, NULL), (44383, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 15:46:50', NULL, NULL), (44384, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 15:46:50', NULL, NULL), (44385, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 15:46:50', NULL, NULL), (44386, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 15:46:50', NULL, NULL), (44387, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 15:46:50', NULL, NULL), (44388, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 15:46:50', NULL, NULL), (44389, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 15:46:50', NULL, NULL), (44390, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 15:46:50', NULL, NULL), (44391, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 15:46:50', NULL, NULL), (44392, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 15:46:50', NULL, NULL), (44393, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 15:46:50', NULL, NULL), (44394, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 15:46:50', NULL, NULL), (44395, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 15:46:50', NULL, NULL), (44396, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 15:46:50', NULL, NULL), (44397, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 15:46:50', NULL, NULL), (44398, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 15:46:50', NULL, NULL), (44399, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 15:46:50', NULL, NULL), (44400, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 15:46:50', NULL, NULL), (44401, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 15:46:50', NULL, NULL), (44402, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 15:46:50', NULL, NULL), (44403, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 15:46:50', NULL, NULL), (44404, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 15:46:50', NULL, NULL), (44405, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 15:46:50', NULL, NULL), (44406, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 15:46:50', NULL, NULL), (44407, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 15:46:50', NULL, NULL), (44408, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 15:46:50', NULL, NULL), (44409, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 15:46:50', NULL, NULL), (44410, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 15:46:50', NULL, NULL), (44411, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 15:46:50', NULL, NULL), (44412, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 15:46:50', NULL, NULL), (44413, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 15:46:50', NULL, NULL), (44414, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 15:46:50', NULL, NULL), (44415, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 15:46:50', NULL, NULL), (44416, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 15:46:50', NULL, NULL), (44417, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 15:46:50', NULL, NULL), (44418, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 15:46:50', NULL, NULL), (44419, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 15:46:50', NULL, NULL), (44420, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 15:46:50', NULL, NULL), (44421, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 15:46:50', NULL, NULL), (44422, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 15:46:50', NULL, NULL), (44423, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 15:46:50', NULL, NULL), (44424, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 15:46:50', NULL, NULL), (44425, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 15:46:50', NULL, NULL), (44426, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 15:46:50', NULL, NULL), (44427, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 15:46:50', NULL, NULL), (44428, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 15:46:50', NULL, NULL), (44429, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 15:46:50', NULL, NULL), (44430, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 15:46:50', NULL, NULL), (44431, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 15:46:50', NULL, NULL), (44432, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 15:46:50', NULL, NULL), (44433, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 15:46:50', NULL, NULL), (44434, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 15:46:50', NULL, NULL), (44435, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 15:46:50', NULL, NULL), (44436, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 15:46:50', NULL, NULL), (44437, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 15:46:50', NULL, NULL), (44438, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 15:46:50', NULL, NULL), (44439, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 15:46:50', NULL, NULL), (44440, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 15:46:50', NULL, NULL), (44441, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 15:46:50', NULL, NULL), (44442, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 15:46:50', NULL, NULL), (44443, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 15:46:50', NULL, NULL), (44444, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 15:46:50', NULL, NULL), (44445, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 15:46:50', NULL, NULL), (44446, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 15:46:50', NULL, NULL), (44447, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 15:46:50', NULL, NULL), (44448, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 15:46:50', NULL, NULL), (44449, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 15:46:50', NULL, NULL), (44450, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 15:46:50', NULL, NULL), (44451, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 15:46:50', NULL, NULL), (44452, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 15:46:50', NULL, NULL), (44453, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 15:46:50', NULL, NULL), (44454, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 15:46:50', NULL, NULL), (44455, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 15:46:50', NULL, NULL), (44456, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 15:46:50', NULL, NULL), (44457, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 15:46:50', NULL, NULL), (44458, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 15:46:50', NULL, NULL), (44459, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 15:46:50', NULL, NULL), (44460, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 15:46:50', NULL, NULL), (44461, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 15:46:50', NULL, NULL), (44462, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 15:46:50', NULL, NULL), (44463, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 15:46:50', NULL, NULL), (44464, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 15:46:50', NULL, NULL), (44465, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 15:46:50', NULL, NULL), (44466, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 15:46:50', NULL, NULL), (44467, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 15:46:50', NULL, NULL), (44468, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 15:46:50', NULL, NULL), (44469, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 15:46:50', NULL, NULL), (44470, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 15:46:50', NULL, NULL), (44471, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 15:46:50', NULL, NULL), (44472, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 15:46:50', NULL, NULL), (44473, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 15:46:50', NULL, NULL), (44474, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 15:46:50', NULL, NULL), (44475, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 15:46:50', NULL, NULL), (44476, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 15:46:50', NULL, NULL), (44477, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 15:46:50', NULL, NULL), (44478, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 15:46:50', NULL, NULL), (44479, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 15:46:50', NULL, NULL), (44480, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 15:46:50', NULL, NULL), (44481, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 15:46:50', NULL, NULL), (44482, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 15:46:50', NULL, NULL), (44483, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 15:46:50', NULL, NULL), (44484, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 15:46:50', NULL, NULL), (44485, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 15:46:50', NULL, NULL), (44486, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 15:46:50', NULL, NULL), (44487, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 15:46:50', NULL, NULL), (44488, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 15:46:50', NULL, NULL), (44489, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 15:46:50', NULL, NULL), (44490, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 15:46:50', NULL, NULL), (44491, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 15:46:51', NULL, NULL), (44492, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 15:46:51', NULL, NULL), (44493, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 15:46:51', NULL, NULL), (44494, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 15:46:51', NULL, NULL), (44495, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 15:46:51', NULL, NULL), (44496, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 15:46:51', NULL, NULL), (44497, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 15:46:51', NULL, NULL), (44498, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 15:46:51', NULL, NULL), (44499, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 15:46:51', NULL, NULL), (44500, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 15:46:51', NULL, NULL), (44501, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 15:46:51', NULL, NULL), (44502, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 15:46:51', NULL, NULL), (44503, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 15:46:51', NULL, NULL), (44504, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 15:46:51', NULL, NULL), (44505, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 15:46:51', NULL, NULL), (44506, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 15:46:51', NULL, NULL), (44507, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 15:46:51', NULL, NULL), (44508, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 15:46:51', NULL, NULL), (44509, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 15:46:51', NULL, NULL), (44510, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 15:46:51', NULL, NULL), (44511, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 15:46:51', NULL, NULL), (44512, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 15:46:51', NULL, NULL), (44513, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 15:46:51', NULL, NULL), (44514, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 15:46:51', NULL, NULL), (44515, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 15:46:51', NULL, NULL), (44516, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 15:46:51', NULL, NULL), (44517, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 15:46:51', NULL, NULL), (44518, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 15:46:51', NULL, NULL), (44519, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 15:46:51', NULL, NULL), (44520, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 15:46:51', NULL, NULL), (44521, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 15:46:51', NULL, NULL), (44522, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 15:46:51', NULL, NULL), (44523, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 15:46:51', NULL, NULL), (44524, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 15:46:51', NULL, NULL), (44525, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 15:46:51', NULL, NULL), (44526, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 15:46:51', NULL, NULL), (44527, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 15:46:51', NULL, NULL), (44528, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 15:46:51', NULL, NULL), (44529, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 15:46:51', NULL, NULL), (44530, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 15:46:51', NULL, NULL), (44531, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 15:46:51', NULL, NULL), (44532, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 15:46:51', NULL, NULL), (44533, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 15:46:51', NULL, NULL), (44534, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 15:46:51', NULL, NULL), (44535, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 15:46:51', NULL, NULL), (44536, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 15:46:51', NULL, NULL), (44537, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 15:46:51', NULL, NULL), (44538, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 15:46:51', NULL, NULL), (44539, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 15:46:51', NULL, NULL), (44540, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 15:46:51', NULL, NULL), (44541, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 15:46:51', NULL, NULL), (44542, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 15:46:51', NULL, NULL), (44543, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 15:46:51', NULL, NULL), (44544, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 15:46:51', NULL, NULL), (44545, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 15:46:51', NULL, NULL), (44546, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 15:46:51', NULL, NULL), (44547, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 15:46:51', NULL, NULL), (44548, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 15:46:51', NULL, NULL), (44549, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 15:46:51', NULL, NULL), (44550, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 15:46:51', NULL, NULL), (44551, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 15:46:51', NULL, NULL), (44552, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 15:46:51', NULL, NULL), (44553, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 15:46:51', NULL, NULL), (44554, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 15:46:51', NULL, NULL), (44555, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 15:46:51', NULL, NULL), (44556, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 15:46:51', NULL, NULL), (44557, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 15:46:51', NULL, NULL), (44558, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 15:46:51', NULL, NULL), (44559, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 15:46:51', NULL, NULL), (44560, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 15:46:51', NULL, NULL), (44561, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 15:46:51', NULL, NULL), (44562, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 15:46:51', NULL, NULL), (44563, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 15:46:51', NULL, NULL), (44564, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 15:46:51', NULL, NULL), (44565, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 15:46:51', NULL, NULL), (44566, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 15:46:51', NULL, NULL), (44567, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 15:46:51', NULL, NULL), (44568, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 15:46:51', NULL, NULL), (44569, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 15:46:51', NULL, NULL), (44570, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 15:46:51', NULL, NULL), (44571, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 15:46:51', NULL, NULL), (44572, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 15:46:51', NULL, NULL), (44573, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 15:46:51', NULL, NULL), (44574, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 15:46:51', NULL, NULL), (44575, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 15:46:51', NULL, NULL), (44576, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 15:46:51', NULL, NULL), (44577, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 15:46:51', NULL, NULL), (44578, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 15:46:51', NULL, NULL), (44579, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 15:46:51', NULL, NULL), (44580, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 15:46:51', NULL, NULL), (44581, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 15:46:51', NULL, NULL), (44582, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 15:46:51', NULL, NULL), (44583, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 15:46:51', NULL, NULL), (44584, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 15:46:51', NULL, NULL), (44585, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 15:46:51', NULL, NULL), (44586, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 15:46:51', NULL, NULL), (44587, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 15:46:51', NULL, NULL), (44588, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 15:46:51', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (44589, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 15:46:51', NULL, NULL), (44590, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 15:46:51', NULL, NULL), (44591, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 15:46:51', NULL, NULL), (44592, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 15:46:51', NULL, NULL), (44593, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 15:46:51', NULL, NULL), (44594, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 15:46:51', NULL, NULL), (44595, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 15:46:51', NULL, NULL), (44596, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 15:46:51', NULL, NULL), (44597, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 15:46:51', NULL, NULL), (44598, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 15:46:51', NULL, NULL), (44599, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 15:46:51', NULL, NULL), (44600, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 15:46:51', NULL, NULL), (44601, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 15:46:51', NULL, NULL), (44602, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 15:46:51', NULL, NULL), (44603, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 15:46:51', NULL, NULL), (44604, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 15:46:51', NULL, NULL), (44605, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 15:46:51', NULL, NULL), (44606, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 15:46:51', NULL, NULL), (44607, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 15:46:51', NULL, NULL), (44608, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 15:46:52', NULL, NULL), (44609, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 15:46:52', NULL, NULL), (44610, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 15:46:52', NULL, NULL), (44611, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 15:46:52', NULL, NULL), (44612, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 15:46:52', NULL, NULL), (44613, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 15:46:52', NULL, NULL), (44614, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 15:46:52', NULL, NULL), (44615, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 15:46:52', NULL, NULL), (44616, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 15:46:52', NULL, NULL), (44617, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 15:46:52', NULL, NULL), (44618, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 15:46:52', NULL, NULL), (44619, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 15:46:52', NULL, NULL), (44620, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 15:46:52', NULL, NULL), (44621, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 15:46:52', NULL, NULL), (44622, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 15:46:52', NULL, NULL), (44623, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 15:46:52', NULL, NULL), (44624, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 15:46:52', NULL, NULL), (44625, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 15:46:52', NULL, NULL), (44626, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 15:46:52', NULL, NULL), (44627, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 15:46:52', NULL, NULL), (44628, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 15:46:52', NULL, NULL), (44629, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 15:46:52', NULL, NULL), (44630, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 15:46:52', NULL, NULL), (44631, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 15:46:52', NULL, NULL), (44632, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 15:46:52', NULL, NULL), (44633, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 15:46:52', NULL, NULL), (44634, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 15:46:52', NULL, NULL), (44635, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 15:46:52', NULL, NULL), (44636, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 15:46:52', NULL, NULL), (44637, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 15:46:52', NULL, NULL), (44638, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 15:46:52', NULL, NULL), (44639, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 15:46:52', NULL, NULL), (44640, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 15:46:52', NULL, NULL), (44641, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 15:46:52', NULL, NULL), (44642, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 15:46:52', NULL, NULL), (44643, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 15:46:52', NULL, NULL), (44644, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 15:46:52', NULL, NULL), (44645, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 15:46:52', NULL, NULL), (44646, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 15:46:52', NULL, NULL), (44647, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 15:46:52', NULL, NULL), (44648, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 15:46:52', NULL, NULL), (44649, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 15:46:52', NULL, NULL), (44650, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 15:46:52', NULL, NULL), (44651, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 15:46:52', NULL, NULL), (44652, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 15:46:52', NULL, NULL), (44653, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 15:46:52', NULL, NULL), (44654, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 15:46:52', NULL, NULL), (44655, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 15:46:52', NULL, NULL), (44656, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 15:46:52', NULL, NULL), (44657, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 15:46:52', NULL, NULL), (44658, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 15:46:52', NULL, NULL), (44659, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 15:46:52', NULL, NULL), (44660, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 15:46:52', NULL, NULL), (44661, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 15:46:52', NULL, NULL), (44662, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 15:46:52', NULL, NULL), (44663, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 15:46:52', NULL, NULL), (44664, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 15:46:52', NULL, NULL), (44665, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 15:46:52', NULL, NULL), (44666, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 15:46:52', NULL, NULL), (44667, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 15:46:52', NULL, NULL), (44668, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 15:46:52', NULL, NULL), (44669, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 15:46:52', NULL, NULL), (44670, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 15:46:52', NULL, NULL), (44671, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 15:46:52', NULL, NULL), (44672, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 15:46:52', NULL, NULL), (44673, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 15:46:52', NULL, NULL), (44674, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 15:46:52', NULL, NULL), (44675, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 15:46:52', NULL, NULL), (44676, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 15:46:52', NULL, NULL), (44677, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 15:46:52', NULL, NULL), (44678, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 15:46:52', NULL, NULL), (44679, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 15:46:52', NULL, NULL), (44680, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 15:46:52', NULL, NULL), (44681, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 15:46:52', NULL, NULL), (44682, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 15:46:52', NULL, NULL), (44683, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 15:46:52', NULL, NULL), (44684, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 15:46:52', NULL, NULL), (44685, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 15:46:52', NULL, NULL), (44686, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 15:46:52', NULL, NULL), (44687, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 15:46:52', NULL, NULL), (44688, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 15:46:52', NULL, NULL), (44689, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 15:46:52', NULL, NULL), (44690, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 15:46:52', NULL, NULL), (44691, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 15:46:52', NULL, NULL), (44692, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 15:46:52', NULL, NULL), (44693, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 15:46:52', NULL, NULL), (44694, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 15:46:52', NULL, NULL), (44695, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 15:46:52', NULL, NULL), (44696, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 15:46:52', NULL, NULL), (44697, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 15:46:52', NULL, NULL), (44698, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 15:46:52', NULL, NULL), (44699, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 15:46:52', NULL, NULL), (44700, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 15:46:52', NULL, NULL), (44701, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 15:46:52', NULL, NULL), (44702, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 15:46:52', NULL, NULL), (44703, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 15:46:52', NULL, NULL), (44704, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 15:46:52', NULL, NULL), (44705, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 15:46:52', NULL, NULL), (44706, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 15:46:52', NULL, NULL), (44707, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 15:46:52', NULL, NULL), (44708, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 15:46:52', NULL, NULL), (44709, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 15:46:52', NULL, NULL), (44710, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 15:46:52', NULL, NULL), (44711, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 15:46:52', NULL, NULL), (44712, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 15:46:52', NULL, NULL), (44713, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 15:46:52', NULL, NULL), (44714, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 15:46:52', NULL, NULL), (44715, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 15:46:52', NULL, NULL), (44716, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 15:46:52', NULL, NULL), (44717, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 15:46:52', NULL, NULL), (44718, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 15:46:52', NULL, NULL), (44719, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 15:46:52', NULL, NULL), (44720, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 15:46:52', NULL, NULL), (44721, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 15:46:52', NULL, NULL), (44722, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 15:46:52', NULL, NULL), (44723, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 15:46:52', NULL, NULL), (44724, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 15:46:52', NULL, NULL), (44725, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 15:46:52', NULL, NULL), (44726, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 15:46:52', NULL, NULL), (44727, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 15:46:52', NULL, NULL), (44728, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 15:46:52', NULL, NULL), (44729, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 15:46:52', NULL, NULL), (44730, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 15:46:52', NULL, NULL), (44731, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 15:46:52', NULL, NULL), (44732, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 15:46:52', NULL, NULL), (44733, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 15:46:52', NULL, NULL), (44734, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 15:46:52', NULL, NULL), (44735, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 15:46:52', NULL, NULL), (44736, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 15:46:52', NULL, NULL), (44737, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 15:46:52', NULL, NULL), (44738, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 15:46:52', NULL, NULL), (44739, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 15:46:52', NULL, NULL), (44740, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 15:46:52', NULL, NULL), (44741, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 15:46:52', NULL, NULL), (44742, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 15:46:52', NULL, NULL), (44743, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 15:46:52', NULL, NULL), (44744, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 15:46:52', NULL, NULL), (44745, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 15:46:52', NULL, NULL), (44746, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 15:46:52', NULL, NULL), (44747, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 15:46:52', NULL, NULL), (44748, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 15:46:52', NULL, NULL), (44749, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 15:46:52', NULL, NULL), (44750, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 15:46:52', NULL, NULL), (44751, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 15:46:52', NULL, NULL), (44752, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 15:46:52', NULL, NULL), (44753, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 15:46:52', NULL, NULL), (44754, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 15:46:52', NULL, NULL), (44755, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 15:46:52', NULL, NULL), (44756, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 15:46:52', NULL, NULL), (44757, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 15:46:52', NULL, NULL), (44758, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 15:46:52', NULL, NULL), (44759, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 15:46:52', NULL, NULL), (44760, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 15:46:52', NULL, NULL), (44761, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 15:46:52', NULL, NULL), (44762, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 15:46:52', NULL, NULL), (44763, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 15:46:52', NULL, NULL), (44764, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 15:46:52', NULL, NULL), (44765, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 15:46:52', NULL, NULL), (44766, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 15:46:52', NULL, NULL), (44767, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 15:46:52', NULL, NULL), (44768, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 15:46:52', NULL, NULL), (44769, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 15:46:52', NULL, NULL), (44770, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 15:46:52', NULL, NULL), (44771, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 15:46:52', NULL, NULL), (44772, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 15:46:53', NULL, NULL), (44773, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 15:46:53', NULL, NULL), (44774, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 15:46:53', NULL, NULL), (44775, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 15:46:53', NULL, NULL), (44776, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 15:46:53', NULL, NULL), (44777, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 15:46:53', NULL, NULL), (44778, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 15:46:53', NULL, NULL), (44779, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 15:46:53', NULL, NULL), (44780, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 15:46:53', NULL, NULL), (44781, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 15:46:53', NULL, NULL), (44782, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 15:46:53', NULL, NULL), (44783, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 15:46:53', NULL, NULL), (44784, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 15:46:53', NULL, NULL), (44785, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 15:46:53', NULL, NULL), (44786, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 15:46:53', NULL, NULL), (44787, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 15:46:53', NULL, NULL), (44788, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 15:46:53', NULL, NULL), (44789, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 15:46:53', NULL, NULL), (44790, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 15:46:53', NULL, NULL), (44791, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 15:46:53', NULL, NULL), (44792, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 15:46:53', NULL, NULL), (44793, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 15:46:53', NULL, NULL), (44794, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 15:46:53', NULL, NULL), (44795, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 15:46:53', NULL, NULL), (44796, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 15:46:53', NULL, NULL), (44797, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 15:46:53', NULL, NULL), (44798, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 15:46:53', NULL, NULL), (44799, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 15:46:53', NULL, NULL), (44800, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 15:46:53', NULL, NULL), (44801, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 15:46:53', NULL, NULL), (44802, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 15:46:53', NULL, NULL), (44803, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 15:46:53', NULL, NULL), (44804, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 15:46:53', NULL, NULL), (44805, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 15:46:53', NULL, NULL), (44806, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 15:46:53', NULL, NULL), (44807, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 15:46:53', NULL, NULL), (44808, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 15:46:53', NULL, NULL), (44809, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 15:46:53', NULL, NULL), (44810, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 15:46:53', NULL, NULL), (44811, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 15:46:53', NULL, NULL), (44812, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 15:46:53', NULL, NULL), (44813, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 15:46:53', NULL, NULL), (44814, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 15:46:53', NULL, NULL), (44815, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 15:46:53', NULL, NULL), (44816, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 15:46:53', NULL, NULL), (44817, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 15:46:53', NULL, NULL), (44818, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 15:46:53', NULL, NULL), (44819, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 15:46:53', NULL, NULL), (44820, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 15:46:53', NULL, NULL), (44821, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 15:46:53', NULL, NULL), (44822, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 15:46:53', NULL, NULL), (44823, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 15:46:53', NULL, NULL), (44824, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 15:46:53', NULL, NULL), (44825, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 15:46:53', NULL, NULL), (44826, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 15:46:53', NULL, NULL), (44827, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 15:46:53', NULL, NULL), (44828, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 15:46:53', NULL, NULL), (44829, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 15:46:53', NULL, NULL), (44830, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 15:46:53', NULL, NULL), (44831, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 15:46:53', NULL, NULL), (44832, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 15:46:53', NULL, NULL), (44833, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 15:46:53', NULL, NULL), (44834, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 15:46:53', NULL, NULL), (44835, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 15:46:53', NULL, NULL), (44836, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 15:46:53', NULL, NULL), (44837, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 15:46:53', NULL, NULL), (44838, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 15:46:53', NULL, NULL), (44839, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 15:46:53', NULL, NULL), (44840, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 15:46:53', NULL, NULL), (44841, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 15:46:53', NULL, NULL), (44842, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 15:46:53', NULL, NULL), (44843, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 15:46:53', NULL, NULL), (44844, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 15:46:53', NULL, NULL), (44845, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 15:46:53', NULL, NULL), (44846, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 15:46:53', NULL, NULL), (44847, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 15:46:53', NULL, NULL), (44848, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 15:46:53', NULL, NULL), (44849, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 15:46:53', NULL, NULL), (44850, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 15:46:53', NULL, NULL), (44851, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 15:46:53', NULL, NULL), (44852, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 15:46:53', NULL, NULL), (44853, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 15:46:53', NULL, NULL), (44854, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 15:46:53', NULL, NULL), (44855, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 15:46:53', NULL, NULL), (44856, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 15:46:53', NULL, NULL), (44857, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 15:46:53', NULL, NULL), (44858, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 15:46:53', NULL, NULL), (44859, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 15:46:53', NULL, NULL), (44860, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 15:46:53', NULL, NULL), (44861, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 15:46:53', NULL, NULL), (44862, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 15:46:53', NULL, NULL), (44863, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 15:46:53', NULL, NULL), (44864, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 15:46:53', NULL, NULL), (44865, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 15:46:53', NULL, NULL), (44866, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 15:46:53', NULL, NULL), (44867, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 15:46:53', NULL, NULL), (44868, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 15:46:53', NULL, NULL), (44869, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 15:46:53', NULL, NULL), (44870, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 15:46:53', NULL, NULL), (44871, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 15:46:53', NULL, NULL), (44872, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 15:46:53', NULL, NULL), (44873, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 15:46:53', NULL, NULL), (44874, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 15:46:53', NULL, NULL), (44875, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 15:46:53', NULL, NULL), (44876, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 15:46:53', NULL, NULL), (44877, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 15:46:54', NULL, NULL), (44878, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 15:46:54', NULL, NULL), (44879, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 15:46:54', NULL, NULL), (44880, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 15:46:54', NULL, NULL), (44881, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 15:46:54', NULL, NULL), (44882, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 15:46:54', NULL, NULL), (44883, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 15:46:54', NULL, NULL), (44884, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 15:46:54', NULL, NULL), (44885, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 15:46:54', NULL, NULL), (44886, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 15:46:54', NULL, NULL), (44887, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 15:46:54', NULL, NULL), (44888, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 15:46:54', NULL, NULL), (44889, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 15:46:54', NULL, NULL), (44890, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 15:46:54', NULL, NULL), (44891, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 15:46:54', NULL, NULL), (44892, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 15:46:54', NULL, NULL), (44893, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 15:46:54', NULL, NULL), (44894, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 15:46:54', NULL, NULL), (44895, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 15:46:54', NULL, NULL), (44896, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 15:46:54', NULL, NULL), (44897, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 15:46:54', NULL, NULL), (44898, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 15:46:54', NULL, NULL), (44899, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 15:46:54', NULL, NULL), (44900, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 15:46:54', NULL, NULL), (44901, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 15:46:54', NULL, NULL), (44902, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 15:46:54', NULL, NULL), (44903, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 15:46:54', NULL, NULL), (44904, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 15:46:54', NULL, NULL), (44905, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 15:46:54', NULL, NULL), (44906, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 15:46:54', NULL, NULL), (44907, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 15:46:54', NULL, NULL), (44908, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 15:46:54', NULL, NULL), (44909, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 15:46:54', NULL, NULL), (44910, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 15:46:54', NULL, NULL), (44911, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 15:46:54', NULL, NULL), (44912, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 15:46:54', NULL, NULL), (44913, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 15:46:54', NULL, NULL), (44914, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 15:46:54', NULL, NULL), (44915, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 15:46:54', NULL, NULL), (44916, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 15:46:54', NULL, NULL), (44917, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 15:46:54', NULL, NULL), (44918, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 15:46:54', NULL, NULL), (44919, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 15:46:54', NULL, NULL), (44920, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 15:46:54', NULL, NULL), (44921, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 15:46:54', NULL, NULL), (44922, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 15:46:54', NULL, NULL), (44923, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 15:46:54', NULL, NULL), (44924, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 15:46:54', NULL, NULL), (44925, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 15:46:54', NULL, NULL), (44926, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 15:46:54', 1, '2024-08-05 22:12:08'), (44927, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 15:46:54', 1, '2024-08-06 02:01:09'), (44928, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 15:46:54', 1, '2024-08-07 01:00:09'), (44929, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 15:46:54', 1, '2024-08-08 01:00:09'), (44930, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 15:46:54', 1, '2024-08-09 01:00:09'), (44931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 16:26:08', NULL, NULL), (44932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 16:26:08', NULL, NULL), (44933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 16:26:08', NULL, NULL), (44934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 16:26:08', NULL, NULL), (44935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 16:26:08', NULL, NULL), (44936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 16:26:08', NULL, NULL), (44937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 16:26:08', NULL, NULL), (44938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 16:26:08', NULL, NULL), (44939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 16:26:08', NULL, NULL), (44940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 16:26:08', NULL, NULL), (44941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 16:26:08', NULL, NULL), (44942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 16:26:08', NULL, NULL), (44943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 16:26:09', NULL, NULL), (44944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 16:26:09', NULL, NULL), (44945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 16:26:09', NULL, NULL), (44946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 16:26:09', NULL, NULL), (44947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 16:26:09', NULL, NULL), (44948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 16:26:09', NULL, NULL), (44949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 16:26:09', NULL, NULL), (44950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 16:26:09', NULL, NULL), (44951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 16:26:09', NULL, NULL), (44952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 16:26:09', NULL, NULL), (44953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 16:26:09', NULL, NULL), (44954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 16:26:09', NULL, NULL), (44955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 16:26:09', NULL, NULL), (44956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 16:26:09', NULL, NULL), (44957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 16:26:10', NULL, NULL), (44958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 16:26:10', NULL, NULL), (44959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 16:26:10', NULL, NULL), (44960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 16:26:10', NULL, NULL), (44961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 16:26:10', NULL, NULL), (44962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 16:26:10', NULL, NULL), (44963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 16:26:10', NULL, NULL), (44964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 16:26:10', NULL, NULL), (44965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 16:26:10', NULL, NULL), (44966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 16:26:10', NULL, NULL), (44967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 16:26:10', NULL, NULL), (44968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 16:26:10', NULL, NULL), (44969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 16:26:10', NULL, NULL), (44970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 16:26:10', NULL, NULL), (44971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 16:26:10', NULL, NULL), (44972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 16:26:11', NULL, NULL), (44973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 16:26:11', NULL, NULL), (44974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 16:26:11', NULL, NULL), (44975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 16:26:11', NULL, NULL), (44976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 16:26:11', NULL, NULL), (44977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 16:26:11', NULL, NULL), (44978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 16:26:11', NULL, NULL), (44979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 16:26:11', NULL, NULL), (44980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 16:26:11', NULL, NULL), (44981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 16:26:11', NULL, NULL), (44982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 16:26:11', NULL, NULL), (44983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 16:26:11', NULL, NULL), (44984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 16:26:11', NULL, NULL), (44985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 16:26:11', NULL, NULL), (44986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 16:26:11', NULL, NULL), (44987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 16:26:12', NULL, NULL), (44988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 16:26:12', NULL, NULL), (44989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 16:26:12', NULL, NULL), (44990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 16:26:12', NULL, NULL), (44991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 16:26:12', NULL, NULL), (44992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 16:26:12', NULL, NULL), (44993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 16:26:12', NULL, NULL), (44994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 16:26:12', NULL, NULL), (44995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 16:26:12', NULL, NULL), (44996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 16:26:12', NULL, NULL), (44997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 16:26:13', NULL, NULL), (44998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 16:26:13', NULL, NULL), (44999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 16:26:13', NULL, NULL), (45000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 16:26:13', NULL, NULL), (45001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 16:26:13', NULL, NULL), (45002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 16:26:13', NULL, NULL), (45003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 16:26:13', NULL, NULL), (45004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 16:26:13', NULL, NULL), (45005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 16:26:13', NULL, NULL), (45006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 16:26:13', NULL, NULL), (45007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 16:26:14', NULL, NULL), (45008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 16:26:14', NULL, NULL), (45009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 16:26:14', NULL, NULL), (45010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 16:26:14', NULL, NULL), (45011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 16:26:14', NULL, NULL), (45012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 16:26:14', NULL, NULL), (45013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 16:26:14', NULL, NULL), (45014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 16:26:14', NULL, NULL), (45015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 16:26:14', NULL, NULL), (45016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 16:26:14', NULL, NULL), (45017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 16:26:15', NULL, NULL), (45018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 16:26:15', NULL, NULL), (45019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 16:26:15', NULL, NULL), (45020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 16:26:15', NULL, NULL), (45021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 16:26:16', NULL, NULL), (45022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 16:26:16', NULL, NULL), (45023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 16:26:16', NULL, NULL), (45024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 16:26:16', NULL, NULL), (45025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 16:26:17', NULL, NULL), (45026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 16:26:17', NULL, NULL), (45027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 16:26:17', NULL, NULL), (45028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 16:26:18', NULL, NULL), (45029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 16:26:18', NULL, NULL), (45030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 16:26:18', NULL, NULL), (45031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 16:26:18', NULL, NULL), (45032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 16:26:19', NULL, NULL), (45033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 16:26:19', NULL, NULL), (45034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 16:26:19', NULL, NULL), (45035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 16:26:19', NULL, NULL), (45036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 16:26:20', NULL, NULL), (45037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 16:26:20', NULL, NULL), (45038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 16:26:20', NULL, NULL), (45039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 16:26:20', NULL, NULL), (45040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 16:26:21', NULL, NULL), (45041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 16:26:21', NULL, NULL), (45042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 16:26:21', NULL, NULL), (45043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 16:26:21', NULL, NULL), (45044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 16:26:22', NULL, NULL), (45045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 16:26:22', NULL, NULL), (45046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 16:26:22', NULL, NULL), (45047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 16:26:23', NULL, NULL), (45048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 16:26:23', NULL, NULL), (45049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 16:26:23', NULL, NULL), (45050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 16:26:23', NULL, NULL), (45051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 16:26:24', NULL, NULL), (45052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 16:26:24', NULL, NULL), (45053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 16:26:24', NULL, NULL), (45054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 16:26:24', NULL, NULL), (45055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 16:26:25', NULL, NULL), (45056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 16:26:25', NULL, NULL), (45057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 16:26:25', NULL, NULL), (45058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 16:26:25', NULL, NULL), (45059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 16:26:26', NULL, NULL), (45060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 16:26:26', NULL, NULL), (45061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 16:26:26', NULL, NULL), (45062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 16:26:27', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (45063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 16:26:27', NULL, NULL), (45064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 16:26:27', NULL, NULL), (45065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 16:26:27', NULL, NULL), (45066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 16:26:27', NULL, NULL), (45067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 16:26:27', NULL, NULL), (45068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 16:26:27', NULL, NULL), (45069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 16:26:27', NULL, NULL), (45070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 16:26:27', NULL, NULL), (45071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 16:26:27', NULL, NULL), (45072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 16:26:27', NULL, NULL), (45073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 16:26:27', NULL, NULL), (45074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 16:26:27', NULL, NULL), (45075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 16:26:27', NULL, NULL), (45076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 16:26:27', NULL, NULL), (45077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 16:26:27', NULL, NULL), (45078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 16:26:27', NULL, NULL), (45079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 16:26:28', NULL, NULL), (45080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 16:26:28', NULL, NULL), (45081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 16:26:28', NULL, NULL), (45082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 16:26:28', NULL, NULL), (45083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 16:26:28', NULL, NULL), (45084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 16:26:28', NULL, NULL), (45085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 16:26:28', NULL, NULL), (45086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 16:26:28', NULL, NULL), (45087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 16:26:28', NULL, NULL), (45088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 16:26:28', NULL, NULL), (45089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 16:26:28', NULL, NULL), (45090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 16:26:28', NULL, NULL), (45091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 16:26:28', NULL, NULL), (45092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 16:26:28', NULL, NULL), (45093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 16:26:28', NULL, NULL), (45094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 16:26:28', NULL, NULL), (45095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 16:26:28', NULL, NULL), (45096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 16:26:28', NULL, NULL), (45097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 16:26:29', NULL, NULL), (45098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 16:26:29', NULL, NULL), (45099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 16:26:29', NULL, NULL), (45100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 16:26:29', NULL, NULL), (45101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 16:26:29', NULL, NULL), (45102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 16:26:29', NULL, NULL), (45103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 16:26:29', NULL, NULL), (45104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 16:26:29', NULL, NULL), (45105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 16:26:29', NULL, NULL), (45106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 16:26:29', NULL, NULL), (45107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 16:26:29', NULL, NULL), (45108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 16:26:29', NULL, NULL), (45109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 16:26:29', NULL, NULL), (45110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 16:26:29', NULL, NULL), (45111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 16:26:29', NULL, NULL), (45112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 16:26:29', NULL, NULL), (45113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 16:26:29', NULL, NULL), (45114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 16:26:30', NULL, NULL), (45115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 16:26:30', NULL, NULL), (45116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 16:26:30', NULL, NULL), (45117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 16:26:30', NULL, NULL), (45118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 16:26:30', NULL, NULL), (45119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 16:26:30', NULL, NULL), (45120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 16:26:30', NULL, NULL), (45121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 16:26:30', NULL, NULL), (45122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 16:26:30', NULL, NULL), (45123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 16:26:30', NULL, NULL), (45124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 16:26:30', NULL, NULL), (45125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 16:26:30', NULL, NULL), (45126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 16:26:30', NULL, NULL), (45127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 16:26:30', NULL, NULL), (45128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 16:26:30', NULL, NULL), (45129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 16:26:30', NULL, NULL), (45130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 16:26:30', NULL, NULL), (45131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 16:26:31', NULL, NULL), (45132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 16:26:31', NULL, NULL), (45133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 16:26:31', NULL, NULL), (45134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 16:26:31', NULL, NULL), (45135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 16:26:31', NULL, NULL), (45136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 16:26:31', NULL, NULL), (45137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 16:26:31', NULL, NULL), (45138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 16:26:31', NULL, NULL), (45139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 16:26:31', NULL, NULL), (45140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 16:26:31', NULL, NULL), (45141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 16:26:31', NULL, NULL), (45142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 16:26:31', NULL, NULL), (45143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 16:26:31', NULL, NULL), (45144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 16:26:31', NULL, NULL), (45145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 16:26:31', NULL, NULL), (45146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 16:26:31', NULL, NULL), (45147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 16:26:31', NULL, NULL), (45148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 16:26:32', NULL, NULL), (45149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 16:26:32', NULL, NULL), (45150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 16:26:32', NULL, NULL), (45151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 16:26:32', NULL, NULL), (45152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 16:26:32', NULL, NULL), (45153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 16:26:32', NULL, NULL), (45154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 16:26:32', NULL, NULL), (45155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 16:26:32', NULL, NULL), (45156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 16:26:32', NULL, NULL), (45157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 16:26:32', NULL, NULL), (45158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 16:26:32', NULL, NULL), (45159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 16:26:32', NULL, NULL), (45160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 16:26:32', NULL, NULL), (45161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 16:26:32', NULL, NULL), (45162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 16:26:32', NULL, NULL), (45163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 16:26:32', NULL, NULL), (45164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 16:26:32', NULL, NULL), (45165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 16:26:33', NULL, NULL), (45166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 16:26:33', NULL, NULL), (45167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 16:26:33', NULL, NULL), (45168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 16:26:33', NULL, NULL), (45169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 16:26:33', NULL, NULL), (45170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 16:26:33', NULL, NULL), (45171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 16:26:33', NULL, NULL), (45172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 16:26:33', NULL, NULL), (45173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 16:26:33', NULL, NULL), (45174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 16:26:33', NULL, NULL), (45175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 16:26:33', NULL, NULL), (45176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 16:26:33', NULL, NULL), (45177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 16:26:33', NULL, NULL), (45178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 16:26:33', NULL, NULL), (45179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 16:26:33', NULL, NULL), (45180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 16:26:33', NULL, NULL), (45181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 16:26:33', NULL, NULL), (45182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 16:26:34', NULL, NULL), (45183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 16:26:34', NULL, NULL), (45184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 16:26:34', NULL, NULL), (45185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 16:26:34', NULL, NULL), (45186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 16:26:34', NULL, NULL), (45187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 16:26:34', NULL, NULL), (45188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 16:26:34', NULL, NULL), (45189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 16:26:34', NULL, NULL), (45190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 16:26:34', NULL, NULL), (45191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 16:26:34', NULL, NULL), (45192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 16:26:34', NULL, NULL), (45193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 16:26:34', NULL, NULL), (45194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 16:26:34', NULL, NULL), (45195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 16:26:34', NULL, NULL), (45196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 16:26:34', NULL, NULL), (45197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 16:26:34', NULL, NULL), (45198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 16:26:34', NULL, NULL), (45199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 16:26:35', NULL, NULL), (45200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 16:26:35', NULL, NULL), (45201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 16:26:35', NULL, NULL), (45202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 16:26:35', NULL, NULL), (45203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 16:26:35', NULL, NULL), (45204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 16:26:35', NULL, NULL), (45205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 16:26:35', NULL, NULL), (45206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 16:26:35', NULL, NULL), (45207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 16:26:35', NULL, NULL), (45208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 16:26:35', NULL, NULL), (45209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 16:26:35', NULL, NULL), (45210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 16:26:35', NULL, NULL), (45211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 16:26:35', NULL, NULL), (45212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 16:26:35', NULL, NULL), (45213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 16:26:35', NULL, NULL), (45214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 16:26:35', NULL, NULL), (45215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 16:26:35', NULL, NULL), (45216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 16:26:36', NULL, NULL), (45217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 16:26:36', NULL, NULL), (45218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 16:26:36', NULL, NULL), (45219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 16:26:36', NULL, NULL), (45220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 16:26:36', NULL, NULL), (45221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 16:26:36', NULL, NULL), (45222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 16:26:36', NULL, NULL), (45223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 16:26:36', NULL, NULL), (45224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 16:26:36', NULL, NULL), (45225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 16:26:36', NULL, NULL), (45226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 16:26:36', NULL, NULL), (45227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 16:26:36', NULL, NULL), (45228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 16:26:36', NULL, NULL), (45229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 16:26:36', NULL, NULL), (45230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 16:26:36', NULL, NULL), (45231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 16:26:36', NULL, NULL), (45232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 16:26:37', NULL, NULL), (45233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 16:26:37', NULL, NULL), (45234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 16:26:37', NULL, NULL), (45235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 16:26:37', NULL, NULL), (45236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 16:26:37', NULL, NULL), (45237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 16:26:37', NULL, NULL), (45238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 16:26:37', NULL, NULL), (45239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 16:26:37', NULL, NULL), (45240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 16:26:37', NULL, NULL), (45241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 4, 2023, 11, 7, '2024-08-05 16:26:37', NULL, NULL), (45242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 2, 2023, 11, 8, '2024-08-05 16:26:37', NULL, NULL), (45243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 39, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 156, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 16:26:38', NULL, NULL), (45246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 16:26:38', NULL, NULL), (45247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 214, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 200, 2023, 11, 14, '2024-08-05 16:26:38', NULL, NULL), (45249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 133, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 149, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (45251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 202, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (45252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 16:26:40', NULL, NULL), (45253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 16:26:40', NULL, NULL), (45254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 83, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (45255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 102, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (45256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 376, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (45257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 55, 2023, 11, 23, '2024-08-05 16:26:41', NULL, NULL), (45258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 125, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (45259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 16:26:42', NULL, NULL), (45260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 16:26:42', NULL, NULL), (45261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 96, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (45262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 120, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (45263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 112, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (45264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 105, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (45265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 73, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (45266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1, 2023, 12, 2, '2024-08-05 16:26:44', NULL, NULL), (45267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 16:26:44', NULL, NULL), (45268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 59, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (45269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 67, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (45270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 61, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (45271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 75, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (45272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 77, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (45273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 16:26:45', NULL, NULL), (45274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 16:26:45', NULL, NULL), (45275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 88, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (45276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 59, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (45277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 51, 2023, 12, 13, '2024-08-05 16:26:45', NULL, NULL), (45278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 65, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (45279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 52, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (45280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 3, 2023, 12, 16, '2024-08-05 16:26:46', NULL, NULL), (45281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 16:26:46', NULL, NULL), (45282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 59, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (45283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 58, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (45284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 60, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (45285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 40, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (45286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 30, 2023, 12, 22, '2024-08-05 16:26:47', NULL, NULL), (45287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 16:26:48', NULL, NULL), (45288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 3, 2023, 12, 24, '2024-08-05 16:26:48', NULL, NULL), (45289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 56, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (45290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 62, 2023, 12, 26, '2024-08-05 16:26:48', NULL, NULL), (45291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 18, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (45292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 27, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (45293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 15, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (45294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 16:26:49', NULL, NULL), (45295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 16:26:49', NULL, NULL), (45296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 16:26:50', NULL, NULL), (45297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 20, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (45298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 31, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (45299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 28, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (45300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 12, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (45301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1, 2024, 1, 6, '2024-08-05 16:26:50', NULL, NULL), (45302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 16:26:50', NULL, NULL), (45303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 29, 2024, 1, 8, '2024-08-05 16:26:50', NULL, NULL), (45304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 31, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (45305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 41, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (45306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 148, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (45307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 118, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (45308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1, 2024, 1, 13, '2024-08-05 16:26:52', NULL, NULL), (45309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 16:26:52', NULL, NULL), (45310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 201, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (45311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 189, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (45312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 252, 2024, 1, 17, '2024-08-05 16:26:54', NULL, NULL), (45313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 217, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (45314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 188, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (45315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 16:26:58', NULL, NULL), (45316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 16:26:58', NULL, NULL), (45317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 276, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (45318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 148, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (45319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 184, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (45320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 236, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (45321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 110, 2024, 1, 26, '2024-08-05 16:27:03', NULL, NULL), (45322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 16:27:05', NULL, NULL), (45323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 16:27:05', NULL, NULL), (45324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 107, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (45325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 188, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (45326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 219, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (45327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 150, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (45328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 192, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (45329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 16:27:08', NULL, NULL), (45330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 94, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (45331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 207, 2024, 2, 5, '2024-08-05 16:27:09', NULL, NULL), (45332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 228, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (45333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 168, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (45334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 96, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (45335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 6, 2024, 2, 9, '2024-08-05 16:27:12', NULL, NULL), (45336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 6, 2024, 2, 10, '2024-08-05 16:27:13', NULL, NULL), (45337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 16:27:13', NULL, NULL), (45338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 16:27:13', NULL, NULL), (45339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 16:27:14', NULL, NULL), (45340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 16:27:14', NULL, NULL), (45341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 16:27:14', NULL, NULL), (45342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1, 2024, 2, 16, '2024-08-05 16:27:14', NULL, NULL), (45343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1, 2024, 2, 17, '2024-08-05 16:27:14', NULL, NULL), (45344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 154, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (45345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 233, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (45346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 229, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (45347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 179, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (45348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 172, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (45349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 194, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (45350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 16:27:15', NULL, NULL), (45351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 10, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (45352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 377, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (45353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 299, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (45354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 257, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (45355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 237, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (45356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 313, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (45357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 2, 2024, 3, 2, '2024-08-05 16:27:16', NULL, NULL), (45358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1, 2024, 3, 3, '2024-08-05 16:27:16', NULL, NULL), (45359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 332, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (45360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 285, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (45361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 273, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (45362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 233, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (45363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 181, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (45364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 16:27:18', NULL, NULL), (45365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 16:27:18', NULL, NULL), (45366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 293, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (45367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 318, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (45368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 266, 2024, 3, 13, '2024-08-05 16:27:19', NULL, NULL), (45369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 226, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (45370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 187, 2024, 3, 15, '2024-08-05 16:27:20', NULL, NULL), (45371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 16:27:21', NULL, NULL), (45372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 16:27:21', NULL, NULL), (45373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 249, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (45374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 258, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (45375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 267, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (45376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 243, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (45377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 235, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (45378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 3, 2024, 3, 23, '2024-08-05 16:27:24', NULL, NULL), (45379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 16:27:24', NULL, NULL), (45380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 281, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (45381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 244, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (45382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 136, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (45383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 228, 2024, 3, 28, '2024-08-05 16:27:25', NULL, NULL), (45384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 167, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (45385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1, 2024, 3, 30, '2024-08-05 16:27:26', NULL, NULL), (45386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 16:27:26', NULL, NULL), (45387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 250, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (45388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 258, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (45389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 186, 2024, 4, 3, '2024-08-05 16:27:27', NULL, NULL), (45390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1, 2024, 4, 4, '2024-08-05 16:27:28', NULL, NULL), (45391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1, 2024, 4, 5, '2024-08-05 16:27:28', NULL, NULL), (45392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 16:27:28', NULL, NULL), (45393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 159, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (45394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 231, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (45395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 187, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (45396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 190, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (45397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 188, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (45398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 193, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (45399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 16:27:31', NULL, NULL), (45400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 16:27:31', NULL, NULL), (45401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 210, 2024, 4, 15, '2024-08-05 16:27:31', NULL, NULL), (45402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 217, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (45403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 214, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (45404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 215, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (45405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 166, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (45406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 16:27:34', NULL, NULL), (45407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 16:27:34', NULL, NULL), (45408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 213, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (45409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 241, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (45410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 161, 2024, 4, 24, '2024-08-05 16:27:35', NULL, NULL), (45411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 245, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (45412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 201, 2024, 4, 26, '2024-08-05 16:27:36', NULL, NULL), (45413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1, 2024, 4, 27, '2024-08-05 16:27:37', NULL, NULL), (45414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 176, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (45415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 248, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (45416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 200, 2024, 4, 30, '2024-08-05 16:27:38', NULL, NULL), (45417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 16:27:39', NULL, NULL), (45418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 16:27:39', NULL, NULL), (45419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 16:27:39', NULL, NULL), (45420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 16:27:39', NULL, NULL), (45421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1, 2024, 5, 5, '2024-08-05 16:27:39', NULL, NULL), (45422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 165, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (45423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 141, 2024, 5, 7, '2024-08-05 16:27:41', NULL, NULL), (45424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 126, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (45425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 170, 2024, 5, 9, '2024-08-05 16:27:44', NULL, NULL), (45426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 164, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (45427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 90, 2024, 5, 11, '2024-08-05 16:27:47', NULL, NULL), (45428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 16:27:49', NULL, NULL), (45429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 228, 2024, 5, 13, '2024-08-05 16:27:49', NULL, NULL), (45430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 171, 2024, 5, 14, '2024-08-05 16:27:51', NULL, NULL), (45431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 183, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (45432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 138, 2024, 5, 16, '2024-08-05 16:27:54', NULL, NULL), (45433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 151, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (45434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 16:27:57', NULL, NULL), (45435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1, 2024, 5, 19, '2024-08-05 16:27:58', NULL, NULL), (45436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 149, 2024, 5, 20, '2024-08-05 16:27:58', NULL, NULL), (45437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 197, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (45438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 174, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (45439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 176, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (45440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 166, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (45441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 16:28:05', NULL, NULL), (45442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 16:28:05', NULL, NULL), (45443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 206, 2024, 5, 27, '2024-08-05 16:28:05', NULL, NULL), (45444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 150, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (45445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 159, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (45446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 209, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (45447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 179, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (45448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 16:28:07', NULL, NULL), (45449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 16:28:07', NULL, NULL), (45450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 150, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (45451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 178, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (45452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 162, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (45453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 159, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (45454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 123, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (45455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1, 2024, 6, 8, '2024-08-05 16:28:09', NULL, NULL), (45456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 16:28:10', NULL, NULL), (45457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 16:28:10', NULL, NULL), (45458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 123, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (45459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 132, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (45460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 120, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (45461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 196, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (45462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 16:28:11', NULL, NULL), (45463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 16:28:11', NULL, NULL), (45464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 122, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (45465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 128, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (45466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 135, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (45467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 157, 2024, 6, 20, '2024-08-05 16:28:12', NULL, NULL), (45468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 140, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (45469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 16:28:13', NULL, NULL), (45470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 16:28:13', NULL, NULL), (45471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 138, 2024, 6, 24, '2024-08-05 16:28:13', NULL, NULL), (45472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 128, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (45473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 131, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (45474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 184, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (45475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 143, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (45476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 16:28:16', NULL, NULL), (45477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1, 2024, 6, 30, '2024-08-05 16:28:16', NULL, NULL), (45478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 178, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (45479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 118, 2024, 7, 2, '2024-08-05 16:28:16', NULL, NULL), (45480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 203, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (45481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 215, 2024, 7, 4, '2024-08-05 16:28:17', NULL, NULL), (45482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 206, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (45483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 16:28:19', NULL, NULL), (45484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 6, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (45485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 247, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (45486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 167, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (45487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 128, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (45488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 164, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (45489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 141, 2024, 7, 12, '2024-08-05 16:28:21', NULL, NULL), (45490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 16:28:22', NULL, NULL), (45491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 16:28:22', NULL, NULL), (45492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 224, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (45493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 111, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (45494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 81, 2024, 7, 17, '2024-08-05 16:28:23', NULL, NULL), (45495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 135, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (45496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 137, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (45497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 3, 2024, 7, 20, '2024-08-05 16:28:25', NULL, NULL), (45498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 16:28:26', NULL, NULL), (45499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 174, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (45500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 150, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (45501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 120, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (45502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 136, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (45503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 124, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (45504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 2, 2024, 7, 27, '2024-08-05 16:28:29', NULL, NULL), (45505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 3, 2024, 7, 28, '2024-08-05 16:28:29', NULL, NULL), (45506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 139, 2024, 7, 29, '2024-08-05 16:28:29', NULL, NULL), (45507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 139, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (45508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 131, 2024, 7, 31, '2024-08-05 16:28:31', NULL, NULL), (45509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 104, 2024, 8, 1, '2024-08-05 16:28:33', 1, '2024-08-05 20:13:50'), (45510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 104, 2024, 8, 2, '2024-08-05 16:28:34', 1, '2024-08-06 02:02:14'), (45511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 3, 2024, 8, 3, '2024-08-05 16:28:36', 1, '2024-08-07 01:00:58'), (45512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 16:28:36', 1, '2024-08-08 01:01:08'), (45513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 209, 2024, 8, 5, '2024-08-05 16:28:37', 1, '2024-08-09 01:01:11'), (45514, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 4, 2023, 11, 7, '2024-08-05 16:26:37', NULL, NULL), (45515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '退役军人大厅', 4, 2023, 11, 7, '2024-08-05 16:26:37', NULL, NULL), (45516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 4, 2023, 11, 7, '2024-08-05 16:26:37', NULL, NULL), (45517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 4, 2023, 11, 7, '2024-08-05 16:26:37', NULL, NULL), (45518, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', '', '', 4, 2023, 11, 7, '2024-08-05 16:26:37', NULL, NULL), (45519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 4, 2023, 11, 7, '2024-08-05 16:26:37', NULL, NULL), (45520, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B03', '', 4, 2023, 11, 7, '2024-08-05 16:26:37', NULL, NULL), (45521, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', 'B03', '', 4, 2023, 11, 7, '2024-08-05 16:26:37', NULL, NULL), (45522, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 2, 2023, 11, 8, '2024-08-05 16:26:37', NULL, NULL), (45523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '退役军人大厅', 2, 2023, 11, 8, '2024-08-05 16:26:37', NULL, NULL), (45524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B02', '', 2, 2023, 11, 8, '2024-08-05 16:26:37', NULL, NULL), (45525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 2, 2023, 11, 8, '2024-08-05 16:26:37', NULL, NULL), (45526, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', '', '', 2, 2023, 11, 8, '2024-08-05 16:26:37', NULL, NULL), (45527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B02', '', 2, 2023, 11, 8, '2024-08-05 16:26:37', NULL, NULL), (45528, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B02', '', 2, 2023, 11, 8, '2024-08-05 16:26:37', NULL, NULL), (45529, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', 'B02', '', 2, 2023, 11, 8, '2024-08-05 16:26:37', NULL, NULL), (45530, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45531, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45532, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 3, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45533, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 33, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45534, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B06', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B05', '', 2, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 15, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 10, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B10', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 8, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 32, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45544, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 27, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45545, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45546, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '非常满意', '', '', 3, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45547, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', '', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 11, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B05', '', 2, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 8, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (45553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 8, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B06', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45555, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45556, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '2B10', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45557, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 8, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45558, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B05', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45559, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '2B05', '', 2, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45560, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 10, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45561, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '2B06', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45562, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 15, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45563, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 8, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45564, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', 'B05', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45565, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 11, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45566, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 8, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45567, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '非常满意', '2B05', '', 2, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45568, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45569, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '非常满意', '2B06', '', 1, 2023, 11, 9, '2024-08-05 16:26:37', NULL, NULL), (45570, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 24, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45571, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 45, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45572, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 63, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45573, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 24, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D07', '', 7, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A10', '', 47, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 8, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 8, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A02', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 27, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 14, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 18, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 3, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A07', '', 7, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 4, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D02', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D03', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D04', '', 7, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 114, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45592, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 5, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45593, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 23, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45594, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 23, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45595, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 63, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 3, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 4, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 14, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 8, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D04', '', 7, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A07', '', 7, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D02', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D07', '', 7, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A09', '', 4, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D09', '', 8, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A10', '', 47, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A02', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45611, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A10', '', 47, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45612, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 18, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45613, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 27, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45614, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45615, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 8, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45616, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A08', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45617, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A09', '', 4, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45618, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A06', '', 3, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45619, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A07', '', 7, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45620, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D07', '', 7, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45621, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D02', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45622, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45623, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A02', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45624, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D04', '', 7, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45625, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 14, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45626, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 8, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45627, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D03', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45628, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D02', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45629, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 4, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45630, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A06', '', 3, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45631, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A07', '', 7, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45632, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45633, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A08', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45634, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A09', '', 4, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45635, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A10', '', 47, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45636, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A02', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45637, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D09', '', 8, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45638, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D07', '', 7, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45639, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 1, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45640, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D04', '', 7, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45641, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 14, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45642, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 8, 2023, 11, 10, '2024-08-05 16:26:38', NULL, NULL), (45643, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 16, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45644, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 3, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45645, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 65, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45646, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 12, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45647, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 34, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45648, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 22, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45649, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45650, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 46, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45651, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 13, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45652, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 16, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B01', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 3, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 39, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 25, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 3, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C26', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B01', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 22, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 2, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A07', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C27', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B09', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 5, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A10', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D07', '', 21, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 5, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 12, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 8, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B16', '', 2, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B17', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 24, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B19', '', 3, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D03', '', 8, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 167, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45685, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 25, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45686, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 16, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45687, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 3, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45688, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 21, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45689, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '非常满意', '', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45690, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 43, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45691, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 13, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45692, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 32, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45693, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45694, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 11, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B01', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C26', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 11, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 5, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C03', '', 2, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 22, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A07', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C27', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 13, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B09', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 16, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 3, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D03', '', 6, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B16', '', 2, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B17', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 24, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D07', '', 21, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B19', '', 3, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D09', '', 11, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 5, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 8, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45724, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45725, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 3, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45726, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A10', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45727, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 3, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45728, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 25, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45729, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 39, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45730, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 12, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45731, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 8, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45732, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B17', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45733, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B19', '', 3, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45734, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D07', '', 21, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45735, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 24, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45736, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45737, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '2B01', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45738, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B16', '', 2, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45739, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D03', '', 8, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45740, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 5, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45741, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B01', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45742, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45743, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45744, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45745, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A06', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45746, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B09', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45747, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A07', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45748, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C27', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45749, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 3, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45750, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C26', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45751, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 16, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45752, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 2, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45753, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A05', '', 19, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45754, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 5, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45755, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45756, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B09', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45757, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45758, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45759, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A05', '', 19, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45760, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A06', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45761, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A07', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45762, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 24, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45763, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45764, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 3, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45765, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D09', '', 11, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45766, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D07', '', 21, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45767, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 8, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45768, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D03', '', 6, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45769, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 5, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45770, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B19', '', 3, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45771, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 11, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45772, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B17', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45773, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B16', '', 2, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45774, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45775, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '非常满意', '2B01', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45776, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C26', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45777, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C03', '', 2, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45778, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C27', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45779, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 13, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45780, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45781, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 16, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45782, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45783, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45784, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 5, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45785, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 3, 2023, 11, 13, '2024-08-05 16:26:38', NULL, NULL), (45786, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 6, 2023, 11, 14, '2024-08-05 16:26:38', NULL, NULL), (45787, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 5, 2023, 11, 14, '2024-08-05 16:26:38', NULL, NULL), (45788, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 62, 2023, 11, 14, '2024-08-05 16:26:38', NULL, NULL), (45789, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 3, 2023, 11, 14, '2024-08-05 16:26:38', NULL, NULL), (45790, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 4, 2023, 11, 14, '2024-08-05 16:26:38', NULL, NULL), (45791, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 55, 2023, 11, 14, '2024-08-05 16:26:38', NULL, NULL), (45792, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 33, 2023, 11, 14, '2024-08-05 16:26:38', NULL, NULL), (45793, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 17, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45794, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 15, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D07', '', 10, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 3, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 6, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 12, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 44, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 18, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C15', '', 8, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C26', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 28, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B16', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A07', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 4, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 22, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 9, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D02', '', 3, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 19, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D03', '', 3, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 151, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45818, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 18, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45819, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 5, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45820, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 4, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45821, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 5, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45822, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 32, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45823, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 16, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45824, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 15, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45825, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 53, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45826, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 3, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C26', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 11, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 27, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 4, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A07', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 7, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A09', '', 9, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 18, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 5, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 2, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C15', '', 8, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D03', '', 3, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B16', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D02', '', 3, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 22, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D07', '', 10, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 3, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 12, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45848, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45849, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 3, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45850, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 5, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45851, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 18, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45852, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 44, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45853, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 4, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45854, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 12, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45855, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A09', '', 9, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45856, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 19, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45857, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45858, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D07', '', 10, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45859, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A07', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45860, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 22, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45861, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45862, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C15', '', 8, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45863, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D02', '', 3, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45864, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C26', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45865, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 6, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45866, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A05', '', 23, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45867, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B16', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45868, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45869, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D03', '', 3, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45870, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45871, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D02', '', 3, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45872, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45873, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C15', '', 8, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45874, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A05', '', 22, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45875, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A07', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45876, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 22, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45877, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A09', '', 9, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45878, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 2, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45879, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45880, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D07', '', 10, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45881, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 12, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45882, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D03', '', 3, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45883, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 3, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45884, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 11, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45885, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B16', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45886, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C26', '', 1, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45887, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 7, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45888, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 18, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45889, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 5, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45890, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 4, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45891, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45892, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 5, 2023, 11, 14, '2024-08-05 16:26:39', NULL, NULL), (45893, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 5, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45894, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45895, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 45, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45896, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45897, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45898, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 47, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45899, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 17, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45900, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 5, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45901, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 7, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45902, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D07', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 5, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 3, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 3, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 6, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 3, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 24, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B03', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 4, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 21, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 7, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 12, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B17', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 18, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 14, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D03', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 100, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45926, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 18, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45927, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 5, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45928, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45929, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45930, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 16, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45931, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45932, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 7, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45933, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 45, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45934, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45935, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '非常满意', '', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 11, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 12, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B03', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 7, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 13, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 5, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 6, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D03', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B17', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 17, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D07', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 3, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C11', '', 3, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 6, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 4, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45957, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 3, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45958, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45959, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 3, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45960, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45961, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '2B03', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45962, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 21, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45963, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 24, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45964, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45965, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 6, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45966, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B17', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45967, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 14, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45968, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 3, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45969, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45970, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D07', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45971, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 18, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45972, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 5, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45973, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 7, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45974, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45975, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A05', '', 10, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45976, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 4, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45977, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45978, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45979, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D03', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45980, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45981, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 6, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45982, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45983, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A05', '', 10, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45984, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 17, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45985, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45986, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D07', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45987, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 6, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45988, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45989, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D03', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (45990, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 11, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45991, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B17', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45992, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45993, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 7, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45994, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 13, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45995, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 5, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45996, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45997, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 3, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45998, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C11', '', 3, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (45999, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 4, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (46000, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '非常满意', '2B03', '', 1, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (46001, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 2, 2023, 11, 15, '2024-08-05 16:26:39', NULL, NULL), (46002, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 9, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46003, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 3, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46004, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 61, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46005, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 6, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46006, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46007, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 32, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46008, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 9, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46009, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 16, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46010, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 11, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46011, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 2, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 6, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 7, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 2, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 5, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 46, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 13, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 5, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 3, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 7, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B17', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D10', '', 13, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B07', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 18, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D01', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 11, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D04', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C09', '', 2, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 113, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46037, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 28, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46038, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 9, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46039, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46040, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 3, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46041, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 9, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46042, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 15, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46043, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 11, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46044, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 30, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46045, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46046, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', '', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46047, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 6, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D10', '', 12, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 23, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 2, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 3, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 7, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B07', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 3, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 9, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 7, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C09', '', 2, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 5, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'C29', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D04', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D01', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B17', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 18, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D09', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 6, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2023, 11, 16, '2024-08-05 16:26:39', NULL, NULL), (46071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 5, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46072, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46073, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 2, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46074, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D10', '', 13, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46075, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C09', '', 2, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46076, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 3, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46077, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46078, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 13, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46079, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 46, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46080, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46081, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46082, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B07', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46083, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 5, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46084, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B17', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46085, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 11, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46086, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 18, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46087, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 5, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46088, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 7, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46089, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D01', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46090, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A05', '', 4, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46091, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D04', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46092, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46093, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 2, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46094, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 6, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46095, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 3, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46096, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D01', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46097, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B07', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46098, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46099, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 3, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46100, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 5, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46101, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A05', '', 4, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46102, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 18, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46103, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46104, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D09', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46105, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 5, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46106, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D04', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46107, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 6, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46108, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C09', '', 2, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46109, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D10', '', 12, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46110, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 23, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46111, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B17', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46112, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 3, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46113, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 9, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46114, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 7, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46115, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46116, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46117, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46118, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', 'C29', '', 1, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46119, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 3, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46120, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 2, 2023, 11, 16, '2024-08-05 16:26:40', NULL, NULL), (46121, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 4, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46122, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46123, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 37, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46124, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46125, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 2, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46126, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 13, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46127, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 119, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46128, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 11, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46129, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 13, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 5, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 3, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 2, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 6, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 12, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 27, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 2, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 10, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 21, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 25, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 26, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A07', '', 24, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 2, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 24, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D01', '', 1, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 9, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C09', '', 1, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 172, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46150, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 11, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46151, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 13, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46152, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 2, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46153, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 2, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46154, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 119, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46155, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 11, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46156, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 11, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46157, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46158, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 2, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 26, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 11, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 25, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 1, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D01', '', 1, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 2, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A07', '', 24, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A09', '', 24, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 8, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 2, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 5, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D09', '', 12, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 3, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 6, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 21, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46175, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46176, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 3, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46177, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 10, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46178, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 27, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46179, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 2, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46180, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 2, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46181, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 12, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46182, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C09', '', 1, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46183, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 6, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46184, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A09', '', 24, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46185, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 9, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46186, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A06', '', 25, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46187, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A07', '', 24, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46188, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 21, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46189, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 2, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46190, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D01', '', 1, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46191, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A05', '', 25, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46192, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46193, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46194, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 5, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46195, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D01', '', 1, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46196, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46197, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 11, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46198, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46199, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 1, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46200, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 21, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46201, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A05', '', 25, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46202, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A06', '', 25, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46203, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A07', '', 24, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46204, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A09', '', 24, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46205, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 8, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46206, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 2, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46207, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 3, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46208, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 2, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46209, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D09', '', 12, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46210, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 6, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46211, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 5, 2023, 11, 17, '2024-08-05 16:26:40', NULL, NULL), (46212, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 6, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46213, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 3, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46214, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 5, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46215, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 22, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46216, 22, '511502000000-0001', '翠屏区政务服务中心', '区司法局', '', '', '', 1, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46217, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 2, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46218, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 17, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46219, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 5, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46220, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 9, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46221, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 13, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 5, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 3, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 5, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B05', '', 3, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 13, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C10', '', 1, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 18, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 1, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 4, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 3, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 6, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 3, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 2, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 1, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 2, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 8, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 56, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46241, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 1, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46242, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 5, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46243, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 2, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46244, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 4, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46245, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 2, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46246, 22, '511502000000-0001', '翠屏区政务服务中心', '区司法局', '非常满意', '', '', 1, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46247, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 13, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46248, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '非常满意', '', '', 3, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46249, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 9, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46250, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 16, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 1, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 5, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B05', '', 3, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 3, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 2, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 8, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 5, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 5, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D09', '', 13, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 3, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C10', '', 1, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 4, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 2, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46265, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C10', '', 1, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46266, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46267, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 3, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46268, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 5, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46269, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '2B05', '', 3, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46270, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 4, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46271, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 18, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46272, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 1, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46273, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 2, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46274, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 13, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46275, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46276, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A09', '', 2, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46277, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 8, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46278, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 1, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46279, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 5, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46280, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 2, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46281, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A05', '', 1, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46282, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 3, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46283, 22, '511502000000-0001', '翠屏区政务服务中心', '区司法局', '', 'A04', '', 1, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46284, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 5, 2023, 11, 20, '2024-08-05 16:26:40', NULL, NULL), (46285, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 1, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46286, 22, '511502000000-0001', '翠屏区政务服务中心', '区司法局', '非常满意', 'A04', '', 1, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46287, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46288, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A05', '', 1, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46289, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 3, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46290, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 8, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46291, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 5, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46292, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 3, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46293, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 2, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46294, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C10', '', 1, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46295, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46296, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D09', '', 13, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46297, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '非常满意', '2B05', '', 3, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46298, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 4, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46299, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 4, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46300, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 5, 2023, 11, 20, '2024-08-05 16:26:41', NULL, NULL), (46301, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 3, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46302, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 6, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46303, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 31, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46304, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 15, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46305, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 23, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46306, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46307, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 10, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46308, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 13, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 5, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 3, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 5, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 13, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 25, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 6, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 7, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 20, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 10, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B08', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 73, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46326, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 3, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46327, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 13, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46328, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 3, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46329, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 6, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46330, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46331, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 23, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46332, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 10, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46333, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 14, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 7, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 2, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B08', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 10, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A09', '', 20, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 3, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 5, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D09', '', 13, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 5, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46349, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46350, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46351, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46352, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 6, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46353, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '2B08', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46354, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 6, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46355, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 25, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46356, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 13, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46357, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 5, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46358, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 10, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46359, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A09', '', 20, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46360, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46361, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 3, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46362, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A05', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46363, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46364, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46365, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 5, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46366, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46367, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46368, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A05', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46369, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46370, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 2, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46371, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 10, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46372, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A09', '', 20, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46373, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 3, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46374, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '2B08', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46375, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46376, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46377, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46378, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D09', '', 13, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46379, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 5, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46380, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 6, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46381, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 5, 2023, 11, 21, '2024-08-05 16:26:41', NULL, NULL), (46382, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 7, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46383, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46384, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 10, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46385, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46386, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 19, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46387, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 293, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46388, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 26, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46389, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 18, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 6, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A02', '', 34, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 10, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 48, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D10', '', 11, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A07', '', 47, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 79, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 21, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A10', '', 32, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 9, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 9, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 12, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 13, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B17', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D01', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 360, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46415, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46416, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 6, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46417, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 293, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46418, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 25, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46419, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 17, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46420, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 15, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46421, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46422, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D10', '', 11, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (46427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 79, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A07', '', 47, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A09', '', 21, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 5, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A02', '', 34, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 48, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 12, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D01', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B17', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D09', '', 11, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 9, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A10', '', 32, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 6, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46446, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46447, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46448, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A10', '', 32, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46449, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 10, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46450, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 12, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46451, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 9, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46452, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B17', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46453, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46454, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 13, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46455, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D01', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46456, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 9, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46457, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46458, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D10', '', 11, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46459, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A08', '', 79, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46460, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A09', '', 21, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46461, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46462, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A06', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46463, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A07', '', 47, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46464, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 48, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46465, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46466, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 6, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46467, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A05', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46468, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A02', '', 34, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46469, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46470, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46471, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D01', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46472, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46473, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46474, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 48, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46475, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 12, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46476, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A05', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46477, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A06', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46478, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A07', '', 47, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46479, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A08', '', 79, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46480, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A09', '', 21, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46481, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46482, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A02', '', 34, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46483, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D09', '', 11, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46484, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 6, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46485, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 9, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46486, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46487, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D10', '', 11, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46488, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B17', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46489, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46490, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46491, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 5, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46492, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46493, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A10', '', 32, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46494, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 1, 2023, 11, 22, '2024-08-05 16:26:41', NULL, NULL), (46495, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 4, 2023, 11, 23, '2024-08-05 16:26:41', NULL, NULL), (46496, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 9, 2023, 11, 23, '2024-08-05 16:26:41', NULL, NULL), (46497, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 7, 2023, 11, 23, '2024-08-05 16:26:41', NULL, NULL), (46498, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 7, 2023, 11, 23, '2024-08-05 16:26:41', NULL, NULL), (46499, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2023, 11, 23, '2024-08-05 16:26:41', NULL, NULL), (46500, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 8, 2023, 11, 23, '2024-08-05 16:26:41', NULL, NULL), (46501, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 14, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46502, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 13, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 5, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B16', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B17', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B09', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D04', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 48, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46522, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 5, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46523, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 12, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46524, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 3, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46525, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46526, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 8, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46527, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 7, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46528, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46529, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 7, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B16', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B17', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B09', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D09', '', 12, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46547, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46548, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46549, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46550, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46551, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 5, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46552, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46553, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 13, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46554, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46555, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46556, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B17', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46557, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B09', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46558, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46559, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A06', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46560, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46561, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46562, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D04', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46563, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B16', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46564, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46565, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46566, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B09', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46567, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46568, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B17', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46569, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46570, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B16', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46571, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46572, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A06', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46573, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46574, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46575, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 1, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46576, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46577, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46578, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 2, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46579, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D09', '', 12, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46580, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46581, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 4, 2023, 11, 23, '2024-08-05 16:26:42', NULL, NULL), (46582, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 11, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46583, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 2, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46584, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 14, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46585, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 7, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46586, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 18, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46587, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 49, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46588, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46589, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 21, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 1, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 11, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 21, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 6, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 5, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 7, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B15', '', 1, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 48, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 3, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B16', '', 1, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B17', '', 5, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 6, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 2, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 109, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46606, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 3, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46607, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 21, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46608, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 10, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46609, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 49, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46610, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 2, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46611, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46612, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 14, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46613, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', '', '', 2, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46614, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 7, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'C29', '', 2, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 3, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B16', '', 1, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 3, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B15', '', 1, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 48, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B17', '', 5, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 6, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 10, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 3, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D09', '', 21, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 4, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46628, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 1, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46629, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 5, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46630, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 2, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46631, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 7, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46632, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 6, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46633, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 21, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46634, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B17', '', 5, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46635, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46636, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A06', '', 3, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46637, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 6, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46638, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 11, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46639, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A05', '', 46, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46640, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B16', '', 1, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46641, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B15', '', 1, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46642, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46643, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 3, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46644, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B17', '', 5, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46645, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B16', '', 1, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46646, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B15', '', 1, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46647, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A05', '', 46, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46648, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A06', '', 3, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46649, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 6, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46650, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46651, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 10, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46652, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 4, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46653, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D09', '', 21, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46654, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', 'C29', '', 2, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46655, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 2, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46656, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 3, 2023, 11, 24, '2024-08-05 16:26:42', NULL, NULL), (46657, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 22, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46658, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46659, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 39, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46660, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46661, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 20, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46662, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 13, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C20', '', 2, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 13, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 20, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 8, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 11, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C01', '', 2, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B16', '', 1, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 11, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 11, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C18', '', 1, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C07', '', 1, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 11, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 1, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 80, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46680, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 10, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46681, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 20, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46682, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46683, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 13, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46684, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 35, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46685, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常不满意', '', '', 1, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46686, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '2C07', '', 1, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B16', '', 1, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 11, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 1, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 11, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 9, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 1, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C07', '', 1, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C20', '', 2, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D09', '', 20, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 13, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 8, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2023, 11, 27, '2024-08-05 16:26:42', NULL, NULL), (46701, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 8, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46702, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C20', '', 2, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46703, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 11, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46704, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 11, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46705, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 20, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46706, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C18', '', 1, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46707, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C07', '', 1, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46708, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46709, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 11, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46710, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 11, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46711, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46712, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46713, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B16', '', 1, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46714, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C01', '', 2, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46715, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 13, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46716, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 9, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46717, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B16', '', 1, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46718, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46719, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46720, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 11, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46721, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常不满意', '2C07', '', 1, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46722, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 1, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46723, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 11, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46724, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 1, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46725, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C07', '', 1, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46726, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C20', '', 2, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46727, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 8, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46728, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D09', '', 20, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46729, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 13, 2023, 11, 27, '2024-08-05 16:26:43', NULL, NULL), (46730, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 3, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46731, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46732, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46733, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 42, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46734, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 3, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46735, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 54, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46736, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 13, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46737, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 2, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 13, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 37, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 29, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C02', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 5, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B16', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 2, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 9, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 8, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C07', '', 3, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 3, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 81, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46756, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 5, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46757, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 13, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46758, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 3, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46759, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46760, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46761, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 52, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46762, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46763, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 3, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B16', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 5, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 2, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 8, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 8, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 3, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C07', '', 3, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 3, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D09', '', 13, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 29, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C02', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46779, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46780, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 29, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46781, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 2, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46782, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46783, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 5, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46784, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 37, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46785, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 13, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46786, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C07', '', 3, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46787, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46788, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 9, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46789, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 3, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46790, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 8, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46791, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B16', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46792, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C02', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46793, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 2, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46794, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46795, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46796, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 5, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46797, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46798, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B16', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46799, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 2, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46800, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 8, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46801, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 8, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46802, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C07', '', 3, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46803, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46804, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 3, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46805, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46806, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 29, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46807, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C02', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46808, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D09', '', 13, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46809, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46810, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 3, 2023, 11, 28, '2024-08-05 16:26:43', NULL, NULL), (46811, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 5, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46812, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 49, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46813, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46814, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 32, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46815, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46816, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 8, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46817, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 16, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 2, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 2, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 14, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 5, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 16, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 37, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 9, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 5, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B17', '', 1, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 8, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 3, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 68, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46832, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 7, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46833, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 15, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46834, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 5, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46835, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 8, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46836, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 32, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46837, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 2, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 5, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B17', '', 1, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 8, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 2, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 3, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D08', '', 1, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D09', '', 14, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 3, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 5, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 16, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46851, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 16, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46852, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 3, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46853, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 2, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46854, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 5, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46855, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 9, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46856, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 37, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46857, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 14, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46858, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 5, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46859, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B17', '', 1, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46860, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46861, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 2, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46862, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 8, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46863, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (46864, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 3, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46865, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 2, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46866, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B17', '', 1, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46867, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 8, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46868, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 2, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46869, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46870, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46871, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 16, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46872, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D09', '', 14, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46873, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D08', '', 1, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46874, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 5, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46875, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 5, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46876, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 3, 2023, 11, 29, '2024-08-05 16:26:43', NULL, NULL), (46877, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 2, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46878, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 3, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46879, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 31, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46880, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 3, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46881, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 44, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46882, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 6, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46883, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 15, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46884, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 11, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 4, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C22', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 6, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 8, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 27, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 3, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C01', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 3, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B17', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B06', '', 2, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 10, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 12, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B09', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C09', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 69, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46906, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46907, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 6, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46908, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 3, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46909, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', '', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46910, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 15, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46911, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 41, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46912, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46913, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 3, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 10, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B17', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B06', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 12, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 11, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D09', '', 6, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 3, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C22', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 4, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 8, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46929, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C22', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46930, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 8, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46931, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 4, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46932, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C09', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46933, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 3, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46934, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46935, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 3, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46936, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 27, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46937, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 6, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46938, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46939, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B17', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46940, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46941, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B09', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46942, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 10, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46943, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B06', '', 2, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46944, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46945, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 12, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46946, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 11, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46947, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46948, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C01', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46949, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', 'B06', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46950, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46951, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B17', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46952, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 10, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46953, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46954, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 12, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46955, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46956, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 3, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46957, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C22', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46958, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46959, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 8, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46960, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D09', '', 6, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46961, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 4, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46962, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 3, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46963, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 11, 2023, 11, 30, '2024-08-05 16:26:43', NULL, NULL), (46964, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46965, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 3, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46966, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46967, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 28, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46968, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 27, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46969, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46970, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 10, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 5, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B05', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 9, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 9, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 26, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 2, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C02', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 3, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D10', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 8, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 37, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46987, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 8, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46988, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46989, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '非常满意', '', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46990, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 3, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46991, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46992, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 21, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46993, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', '', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'C06', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D10', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B05', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 3, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 7, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (46999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D09', '', 7, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 5, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 9, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47005, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 9, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47006, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 5, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47007, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D10', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47008, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 3, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47009, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '2B05', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47010, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 2, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47011, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 26, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47012, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 9, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47013, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47014, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47015, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 8, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47016, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47017, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C02', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47018, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47019, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D10', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47020, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 7, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47021, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47022, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 5, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47023, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 9, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47024, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D09', '', 7, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47025, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47026, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '非常满意', '2B05', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47027, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 3, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47028, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', 'C06', '', 1, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47029, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2023, 12, 1, '2024-08-05 16:26:44', NULL, NULL), (47030, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2023, 12, 2, '2024-08-05 16:26:44', NULL, NULL), (47031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2023, 12, 2, '2024-08-05 16:26:44', NULL, NULL), (47032, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A05', '', 1, 2023, 12, 2, '2024-08-05 16:26:44', NULL, NULL), (47033, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 2, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47034, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 4, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47035, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 38, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47036, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 12, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47037, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 3, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 2, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 8, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 3, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 3, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 11, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 4, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 2, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 14, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 2, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C18', '', 1, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 54, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47052, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 3, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47053, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 2, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47054, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 4, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47055, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 12, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47056, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 33, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 4, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 2, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 14, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 1, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 2, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 8, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D09', '', 3, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 3, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 4, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 8, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47069, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 11, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47070, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 3, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47071, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 4, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47072, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 3, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47073, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47074, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C18', '', 1, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47075, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47076, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 14, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47077, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 2, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47078, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 2, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47079, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 2, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47080, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47081, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 8, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47082, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 2, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47083, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 14, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47084, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 1, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47085, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47086, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 2, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47087, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 3, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47088, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 8, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47089, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47090, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D09', '', 3, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47091, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 4, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47092, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 4, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47093, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 8, 2023, 12, 4, '2024-08-05 16:26:44', NULL, NULL), (47094, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 3, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47095, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 2, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47096, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 6, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47097, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47098, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 5, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47099, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 34, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47100, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47101, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47102, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 2, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47103, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 12, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 2, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 4, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 8, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 11, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 6, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 7, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 19, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D03', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D04', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B08', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 62, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47118, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47119, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 2, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47120, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 3, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47121, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47122, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 5, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47123, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', '', '', 2, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47124, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 11, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47125, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 34, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47126, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 3, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 5, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D03', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 5, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D04', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 19, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B08', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 2, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 4, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 7, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 11, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47140, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 11, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47141, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B05', '', 2, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47142, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 6, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47143, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '2B08', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47144, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47145, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 8, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47146, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47147, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 19, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47148, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47149, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 2, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47150, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D04', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47151, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 5, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47152, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 4, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47153, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D03', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47154, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', 'B05', '', 2, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47155, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47156, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 3, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47157, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 19, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47158, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47159, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47160, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '2B08', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47161, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 2, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47162, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 11, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47163, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 7, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47164, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 5, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47165, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D04', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47166, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 4, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47167, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D03', '', 1, 2023, 12, 5, '2024-08-05 16:26:44', NULL, NULL), (47168, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 21, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47169, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47170, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 2, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47171, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 19, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47172, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 4, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47173, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47174, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 13, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 5, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 8, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 16, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 5, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 9, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 2, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 7, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D05', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 57, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47188, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 2, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47189, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47190, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 21, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47191, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47192, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 3, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47193, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 13, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47194, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 16, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 6, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D05', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 16, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 5, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 8, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 5, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 7, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 2, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47207, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47208, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 9, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47209, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47210, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47211, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 5, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47212, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D05', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47213, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47214, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 7, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47215, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 2, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47216, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 16, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47217, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 5, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47218, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 8, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47219, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47220, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47221, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 2, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47222, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 6, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47223, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47224, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 16, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47225, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 5, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47226, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 7, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47227, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 5, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47228, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D05', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47229, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47230, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 8, 2023, 12, 6, '2024-08-05 16:26:44', NULL, NULL), (47231, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 36, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47232, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 6, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47233, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', '', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47234, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47235, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 13, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47236, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 6, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47237, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 3, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47238, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 9, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 25, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 9, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 8, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 2, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 3, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 4, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 2, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D01', '', 3, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C19', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 2, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 73, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47259, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '非常满意', '', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47260, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 6, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47261, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 3, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47262, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 36, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47263, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 6, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47264, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 11, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47265, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 9, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47266, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 2, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D01', '', 3, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 2, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 2, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A09', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 9, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 25, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 3, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 8, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 4, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47284, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47285, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 3, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47286, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 2, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47287, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47288, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 2, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47289, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', 'A09', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47290, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C19', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47291, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 8, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47292, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47293, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 2, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47294, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47295, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 9, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47296, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 4, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47297, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 25, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47298, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D01', '', 3, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47299, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47300, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47301, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47302, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (47303, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 2, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47304, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47305, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D01', '', 3, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47306, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 2, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47307, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47308, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47309, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 4, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47310, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 2, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47311, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47312, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 9, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47313, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 25, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47314, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 3, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47315, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '非常满意', 'A09', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47316, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 8, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47317, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47318, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47319, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 1, 2023, 12, 7, '2024-08-05 16:26:44', NULL, NULL), (47320, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47321, 22, '511502000000-0001', '翠屏区政务服务中心', '区林业竹业局', '', '', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47322, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 47, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47323, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47324, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47325, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 13, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47326, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 4, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47327, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 6, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47328, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 6, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 6, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 13, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A07', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C07', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 24, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 55, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47351, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 34, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47352, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47353, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47354, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47355, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 5, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47356, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 11, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47357, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 23, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C07', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 5, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 5, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D09', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47375, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 6, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47376, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47377, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47378, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 24, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47379, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47380, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47381, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 13, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47382, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47383, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47384, 22, '511502000000-0001', '翠屏区政务服务中心', '区林业竹业局', '', 'A07', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47385, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47386, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C07', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47387, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47388, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47389, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47390, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47391, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47392, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47393, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A05', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47394, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47395, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 6, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47396, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47397, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47398, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47399, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D09', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47400, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 5, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47401, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 23, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47402, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47403, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47404, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 5, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47405, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47406, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 2, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47407, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47408, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C07', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47409, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47410, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47411, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47412, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2023, 12, 8, '2024-08-05 16:26:45', NULL, NULL), (47413, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 8, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47414, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 4, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47415, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 21, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47416, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 43, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47417, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 3, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47418, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 9, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 7, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 1, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 2, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 4, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 11, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 11, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 11, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 10, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 21, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 7, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 82, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47432, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 20, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47433, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 8, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47434, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 4, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47435, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 9, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47436, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 41, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 4, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 1, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 11, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 11, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 10, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 20, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 7, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 9, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 7, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47447, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 21, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47448, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 4, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47449, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47450, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A08', '', 1, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47451, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 10, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47452, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 11, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47453, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 7, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47454, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 11, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47455, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 2, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47456, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 11, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47457, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 7, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47458, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 1, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47459, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 20, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47460, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 11, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47461, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 11, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47462, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 10, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47463, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 9, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47464, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 7, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47465, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47466, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 4, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47467, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 7, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47468, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 1, 2023, 12, 11, '2024-08-05 16:26:45', NULL, NULL), (47469, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 4, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47470, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47471, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 44, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47472, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47473, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 9, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 3, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 8, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 5, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 4, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 14, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D10', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 2, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 12, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C07', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 49, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47488, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47489, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 4, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47490, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 7, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47491, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 37, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47492, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', '', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'C29', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D10', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 4, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 13, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 2, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 12, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C07', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 6, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 3, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47504, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 5, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47505, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D10', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47506, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 3, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47507, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 4, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47508, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47509, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C07', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47510, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47511, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 2, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47512, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 12, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47513, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 14, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47514, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47515, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 8, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47516, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D10', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47517, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 13, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47518, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 2, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47519, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 12, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47520, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C07', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47521, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47522, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 3, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47523, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47524, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', 'C29', '', 1, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47525, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 4, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47526, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 6, 2023, 12, 12, '2024-08-05 16:26:45', NULL, NULL), (47527, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 2, 2023, 12, 13, '2024-08-05 16:26:45', NULL, NULL), (47528, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2023, 12, 13, '2024-08-05 16:26:45', NULL, NULL), (47529, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 16, 2023, 12, 13, '2024-08-05 16:26:45', NULL, NULL), (47530, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 17, 2023, 12, 13, '2024-08-05 16:26:45', NULL, NULL), (47531, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2023, 12, 13, '2024-08-05 16:26:45', NULL, NULL), (47532, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 3, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47533, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 10, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 9, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 4, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 11, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D10', '', 2, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A07', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 15, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 43, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47550, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 15, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47551, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 3, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47552, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47553, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 10, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47554, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 14, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D10', '', 2, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 9, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 14, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 9, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 3, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47566, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 4, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47567, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 15, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47568, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D10', '', 2, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47569, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47570, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47571, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47572, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47573, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A09', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47574, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47575, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A07', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47576, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 11, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47577, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47578, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47579, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47580, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 9, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47581, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 14, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47582, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D10', '', 2, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47583, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 9, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47584, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47585, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47586, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 3, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47587, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47588, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47589, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47590, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47591, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 9, 2023, 12, 13, '2024-08-05 16:26:46', NULL, NULL), (47592, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47593, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47594, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47595, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 3, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47596, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47597, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 33, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47598, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47599, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47600, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47601, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 18, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47602, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 8, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 10, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B02', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 12, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A07', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 8, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C07', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 8, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 59, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47623, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47624, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47625, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47626, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47627, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 31, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47628, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 18, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47629, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47630, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47631, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 12, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 8, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 8, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 10, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47646, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47647, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47648, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47649, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B02', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47650, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47651, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47652, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47653, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 10, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47654, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C07', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47655, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 8, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47656, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47657, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 8, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47658, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A07', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47659, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47660, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 12, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47661, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47662, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47663, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47664, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 8, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47665, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47666, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47667, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47668, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 12, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47669, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 8, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47670, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47671, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47672, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47673, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47674, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47675, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47676, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 10, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47677, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 1, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47678, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 8, 2023, 12, 14, '2024-08-05 16:26:46', NULL, NULL), (47679, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 5, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47680, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 4, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47681, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 10, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47682, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 24, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47683, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47684, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47685, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47686, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 3, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 3, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 4, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 10, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 3, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 9, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 5, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 9, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 47, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47702, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 8, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47703, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47704, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 5, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47705, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 4, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47706, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47707, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 22, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47708, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47709, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 3, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 10, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 4, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 3, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 5, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 7, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D09', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 3, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47723, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47724, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 9, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47725, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 4, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47726, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 3, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47727, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47728, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47729, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47730, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 9, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47731, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 5, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47732, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 3, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47733, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47734, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 10, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47735, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47736, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47737, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 7, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47738, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47739, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 10, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47740, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 3, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (47741, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47742, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 5, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47743, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 3, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47744, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47745, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47746, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D09', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47747, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47748, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 4, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47749, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2023, 12, 15, '2024-08-05 16:26:46', NULL, NULL), (47750, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2023, 12, 16, '2024-08-05 16:26:46', NULL, NULL), (47751, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 2, 2023, 12, 16, '2024-08-05 16:26:46', NULL, NULL), (47752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2023, 12, 16, '2024-08-05 16:26:46', NULL, NULL), (47753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D10', '', 2, 2023, 12, 16, '2024-08-05 16:26:46', NULL, NULL), (47754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 3, 2023, 12, 16, '2024-08-05 16:26:46', NULL, NULL), (47755, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 2, 2023, 12, 16, '2024-08-05 16:26:46', NULL, NULL), (47756, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2023, 12, 16, '2024-08-05 16:26:46', NULL, NULL), (47757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2023, 12, 16, '2024-08-05 16:26:46', NULL, NULL), (47758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D10', '', 2, 2023, 12, 16, '2024-08-05 16:26:46', NULL, NULL), (47759, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D10', '', 2, 2023, 12, 16, '2024-08-05 16:26:46', NULL, NULL), (47760, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2023, 12, 16, '2024-08-05 16:26:46', NULL, NULL), (47761, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D10', '', 2, 2023, 12, 16, '2024-08-05 16:26:46', NULL, NULL), (47762, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2023, 12, 16, '2024-08-05 16:26:46', NULL, NULL), (47763, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 3, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47764, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47765, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 28, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47766, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 22, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47767, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47768, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 3, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 2, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 2, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 3, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 8, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C07', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 9, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D02', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 27, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 50, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47783, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 24, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47784, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 3, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47785, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 3, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47786, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47787, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 18, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47788, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 7, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D02', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 23, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C07', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D08', '', 2, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 8, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 2, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 2, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47801, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47802, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47803, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 3, 2023, 12, 18, '2024-08-05 16:26:47', NULL, NULL), (47804, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 27, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47805, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C07', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47806, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 9, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47807, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 2, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47808, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 8, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47809, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 1, 2023, 12, 18, '2024-08-05 16:26:47', NULL, NULL), (47810, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 1, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47811, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 2, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47812, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D02', '', 1, 2023, 12, 18, '2024-08-05 16:26:47', NULL, NULL), (47813, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2023, 12, 18, '2024-08-05 16:26:46', NULL, NULL), (47814, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 23, 2023, 12, 18, '2024-08-05 16:26:47', NULL, NULL), (47815, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D02', '', 1, 2023, 12, 18, '2024-08-05 16:26:47', NULL, NULL), (47816, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2023, 12, 18, '2024-08-05 16:26:47', NULL, NULL), (47817, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 1, 2023, 12, 18, '2024-08-05 16:26:47', NULL, NULL), (47818, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 7, 2023, 12, 18, '2024-08-05 16:26:47', NULL, NULL), (47819, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C07', '', 1, 2023, 12, 18, '2024-08-05 16:26:47', NULL, NULL), (47820, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 8, 2023, 12, 18, '2024-08-05 16:26:47', NULL, NULL), (47821, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 2, 2023, 12, 18, '2024-08-05 16:26:47', NULL, NULL), (47822, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 1, 2023, 12, 18, '2024-08-05 16:26:47', NULL, NULL), (47823, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 2, 2023, 12, 18, '2024-08-05 16:26:47', NULL, NULL), (47824, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D08', '', 2, 2023, 12, 18, '2024-08-05 16:26:47', NULL, NULL), (47825, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2023, 12, 18, '2024-08-05 16:26:47', NULL, NULL), (47826, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 21, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47827, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 4, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47828, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 21, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47829, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47830, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 5, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47831, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47832, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 4, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 7, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 2, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 7, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B08', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 2, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 3, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 19, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 47, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47847, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 20, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47848, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 5, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47849, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 17, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47850, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47851, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 3, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 3, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 7, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 2, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 18, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B08', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 3, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47864, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 7, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47865, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 19, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47866, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47867, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47868, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47869, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47870, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 7, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47871, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B08', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47872, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47873, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 2, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47874, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 3, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47875, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 2, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47876, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 4, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47877, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 2, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47878, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 18, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47879, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B08', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47880, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47881, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47882, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 7, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47883, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47884, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47885, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 3, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47886, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47887, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 1, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47888, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 3, 2023, 12, 19, '2024-08-05 16:26:47', NULL, NULL), (47889, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 13, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47890, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47891, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 9, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47892, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 32, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47893, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 9, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 2, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 1, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 3, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 6, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A03', '', 4, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 1, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 6, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C18', '', 2, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 4, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 8, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 2, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 52, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47912, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 9, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47913, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常不满意', '', '', 2, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47914, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 9, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47915, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47916, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47917, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 29, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', 'C18', '', 2, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 1, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 3, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C03', '', 1, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A03', '', 3, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 6, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 3, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 8, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 9, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 4, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 5, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 3, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47932, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 6, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47933, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 8, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47934, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 9, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47935, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47936, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 1, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47937, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A03', '', 4, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47938, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47939, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C18', '', 2, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47940, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47941, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 4, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47942, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 6, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47943, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 1, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47944, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47945, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 3, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47946, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47947, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 2, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47948, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 8, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47949, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 1, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47950, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C03', '', 1, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47951, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 6, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47952, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47953, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 3, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47954, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 9, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47955, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 5, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47956, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 3, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47957, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 4, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47958, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A03', '', 3, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47959, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47960, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 3, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47961, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常不满意', 'C18', '', 2, 2023, 12, 20, '2024-08-05 16:26:47', NULL, NULL), (47962, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47963, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 4, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47964, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47965, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 27, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47966, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 3, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47967, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47968, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 3, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 4, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 3, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C10', '', 4, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 5, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 3, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D14', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 34, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47989, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 4, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47990, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 3, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47991, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47992, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47993, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47994, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 24, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D14', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (47999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 3, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 4, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C11', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 3, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C10', '', 4, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 4, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48012, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48013, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 3, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48014, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C10', '', 4, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48015, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48016, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 4, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48017, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48018, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48019, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48020, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48021, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48022, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48023, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48024, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 3, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48025, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48026, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48027, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48028, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A05', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48029, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48030, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 5, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48031, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D14', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48032, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48033, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48034, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48035, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48036, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48037, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 3, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48038, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48039, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 4, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48040, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48041, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C11', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48042, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 3, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48043, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C10', '', 4, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48044, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48045, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 4, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48046, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48047, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48048, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D14', '', 2, 2023, 12, 21, '2024-08-05 16:26:47', NULL, NULL), (48049, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2023, 12, 22, '2024-08-05 16:26:47', NULL, NULL), (48050, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 3, 2023, 12, 22, '2024-08-05 16:26:47', NULL, NULL), (48051, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48052, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 13, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48053, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48054, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48055, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 6, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B15', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A07', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 3, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D11', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D12', '', 3, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D03', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D04', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 23, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48076, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48077, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 6, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48078, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48079, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48080, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 12, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48081, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D11', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D03', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D04', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B15', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D12', '', 3, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 3, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48097, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48098, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48099, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D11', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48100, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48101, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48102, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48103, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48104, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48105, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 3, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48106, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A07', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48107, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48108, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D12', '', 3, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48109, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48110, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D04', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48111, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48112, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48113, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48114, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B15', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48115, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D03', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48116, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48117, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D12', '', 3, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48118, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D11', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48119, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B15', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48120, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48121, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 3, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48122, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48123, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48124, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48125, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48126, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48127, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48128, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D04', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48129, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48130, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D03', '', 1, 2023, 12, 22, '2024-08-05 16:26:48', NULL, NULL), (48131, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 3, 2023, 12, 24, '2024-08-05 16:26:48', NULL, NULL), (48132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B06', '', 3, 2023, 12, 24, '2024-08-05 16:26:48', NULL, NULL), (48133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 2, 2023, 12, 24, '2024-08-05 16:26:48', NULL, NULL), (48134, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 2, 2023, 12, 24, '2024-08-05 16:26:48', NULL, NULL), (48135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B06', '', 2, 2023, 12, 24, '2024-08-05 16:26:48', NULL, NULL), (48136, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B06', '', 3, 2023, 12, 24, '2024-08-05 16:26:48', NULL, NULL), (48137, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B06', '', 2, 2023, 12, 24, '2024-08-05 16:26:48', NULL, NULL), (48138, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48139, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48140, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48141, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48142, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 26, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48143, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 3, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48144, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 4, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48145, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 15, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48146, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B07', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 3, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 10, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 5, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B12', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A03', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 9, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 9, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B08', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 53, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48164, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48165, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 3, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48166, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48167, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48168, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '', '', 4, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48169, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 14, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48170, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 26, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48171, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 9, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A03', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 9, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B08', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D08', '', 3, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (48180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B07', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 9, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 5, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48186, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48187, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B12', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48188, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48189, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48190, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48191, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '2B08', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48192, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '2B07', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48193, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A03', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48194, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48195, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48196, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 5, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48197, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48198, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 3, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48199, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 9, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48200, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 9, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48201, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 10, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48202, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48203, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 9, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48204, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 9, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48205, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48206, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '2B07', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48207, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '2B08', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48208, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48209, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48210, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48211, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 2, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48212, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D08', '', 3, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48213, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 5, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48214, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A03', '', 1, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48215, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 9, 2023, 12, 25, '2024-08-05 16:26:48', NULL, NULL), (48216, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48217, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 3, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48218, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48219, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48220, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 4, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48221, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 32, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48222, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48223, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48224, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 17, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 8, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 9, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 5, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 3, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B16', '', 4, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 11, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 10, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 59, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48241, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48242, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48243, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 3, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48244, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48245, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 17, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48246, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 31, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48247, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48248, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 4, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B16', '', 4, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 3, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 10, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 10, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D08', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 8, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 5, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 9, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48262, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48263, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48264, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 5, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48265, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 3, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48266, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A08', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48267, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 9, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48268, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48269, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48270, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48271, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 10, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48272, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48273, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 11, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48274, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48275, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B16', '', 4, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48276, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 8, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48277, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48278, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B16', '', 4, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48279, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48280, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48281, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 10, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48282, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48283, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 10, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48284, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48285, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 5, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48286, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D08', '', 1, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48287, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 9, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48288, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 3, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48289, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 8, 2023, 12, 26, '2024-08-05 16:26:49', NULL, NULL), (48290, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 1, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48291, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 15, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48292, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 1, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 3, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 4, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C07', '', 1, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 13, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48301, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48302, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 11, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 4, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 2, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48308, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 3, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48309, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48310, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C07', '', 1, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48311, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48312, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 4, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48313, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 1, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48314, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48315, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 2, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48316, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 4, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48317, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48318, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48319, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2023, 12, 27, '2024-08-05 16:26:49', NULL, NULL), (48320, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 3, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48321, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 16, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48322, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 6, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48323, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 2, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C01', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 8, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 2, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D06', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 21, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48337, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48338, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48339, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 6, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48340, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 13, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 8, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 2, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D06', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 4, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48348, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48349, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48350, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D06', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48351, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48352, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48353, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 2, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48354, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48355, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 8, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48356, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48357, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48358, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48359, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C01', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48360, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 8, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48361, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 2, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48362, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48363, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D06', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48364, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 4, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48365, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 1, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48366, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2023, 12, 28, '2024-08-05 16:26:49', NULL, NULL), (48367, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 2, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48368, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48369, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 6, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48370, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48371, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 4, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C22', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 4, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A03', '', 2, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D03', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 13, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48381, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48382, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 2, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48383, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 5, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48384, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 5, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A03', '', 2, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 4, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 4, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48391, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C22', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48392, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A03', '', 2, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48393, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 4, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48394, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48395, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48396, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D03', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48397, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48398, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 4, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48399, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48400, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 4, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48401, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48402, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48403, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A03', '', 2, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48404, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 4, 2023, 12, 29, '2024-08-05 16:26:49', NULL, NULL), (48405, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48406, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 4, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48407, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48408, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 7, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48409, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48410, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 11, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48424, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 4, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48425, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48426, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48427, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 3, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C03', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48436, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48437, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48438, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48439, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A08', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48440, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48441, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48442, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48443, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48444, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48445, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48446, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48447, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48448, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48449, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48450, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48451, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48452, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C03', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48453, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48454, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 1, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48455, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48456, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 2, 2024, 1, 2, '2024-08-05 16:26:50', NULL, NULL), (48457, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 3, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48458, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 22, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48459, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 6, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 2, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 5, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 2, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B16', '', 1, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 4, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 10, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 29, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48470, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 6, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48471, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 20, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48472, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 3, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 2, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B16', '', 1, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 4, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 9, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 3, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 3, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 4, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48482, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 5, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48483, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 2, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48484, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48485, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 10, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48486, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 4, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48487, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48488, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 2, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48489, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B16', '', 1, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48490, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48491, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48492, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 4, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48493, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48494, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 2, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48495, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B16', '', 1, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48496, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 4, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48497, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 3, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48498, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 9, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48499, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 3, 2024, 1, 3, '2024-08-05 16:26:50', NULL, NULL), (48500, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48501, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 20, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48502, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 7, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 5, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 7, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 13, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 27, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48509, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 7, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48510, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 19, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48511, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 7, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 12, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 5, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48517, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48518, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48519, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 13, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48520, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 7, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48521, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 5, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48522, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48523, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 7, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48524, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48525, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 12, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48526, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 5, 2024, 1, 4, '2024-08-05 16:26:50', NULL, NULL), (48527, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48528, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 4, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48529, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48530, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48531, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48532, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 3, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 3, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D10', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 7, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48543, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 3, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48544, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48545, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48546, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '满意', '', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'A13', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48552, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D10', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48553, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48554, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 3, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48555, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48556, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48557, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48558, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48559, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48560, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '满意', 'A13', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48561, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48562, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 1, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48563, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48564, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 1, 5, '2024-08-05 16:26:50', NULL, NULL), (48565, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 1, 2024, 1, 6, '2024-08-05 16:26:50', NULL, NULL), (48566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B01', '', 1, 2024, 1, 6, '2024-08-05 16:26:50', NULL, NULL), (48567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 1, 2024, 1, 6, '2024-08-05 16:26:50', NULL, NULL), (48568, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', '', '', 1, 2024, 1, 6, '2024-08-05 16:26:50', NULL, NULL), (48569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B01', '', 1, 2024, 1, 6, '2024-08-05 16:26:50', NULL, NULL), (48570, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B01', '', 1, 2024, 1, 6, '2024-08-05 16:26:50', NULL, NULL), (48571, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', 'B01', '', 1, 2024, 1, 6, '2024-08-05 16:26:50', NULL, NULL), (48572, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 1, 2024, 1, 8, '2024-08-05 16:26:50', NULL, NULL), (48573, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 1, 2024, 1, 8, '2024-08-05 16:26:50', NULL, NULL), (48574, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 1, 2024, 1, 8, '2024-08-05 16:26:50', NULL, NULL), (48575, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 1, 8, '2024-08-05 16:26:50', NULL, NULL), (48576, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2024, 1, 8, '2024-08-05 16:26:50', NULL, NULL), (48577, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 11, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48578, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 3, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48579, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 10, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 8, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B06', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D11', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 9, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D12', '', 2, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 24, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48594, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48595, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48596, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48597, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', '', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48598, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 10, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48599, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 11, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48600, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常不满意', '', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D12', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B06', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '3D12', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 9, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '3D11', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 8, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48610, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48611, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48612, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48613, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D11', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48614, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48615, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48616, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B06', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48617, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 9, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48618, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48619, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D12', '', 2, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48620, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 8, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (48621, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', 'B06', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48622, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48623, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D12', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48624, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '3D12', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48625, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 9, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48626, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常不满意', '3D11', '', 1, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48627, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48628, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48629, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 8, 2024, 1, 8, '2024-08-05 16:26:51', NULL, NULL), (48630, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48631, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48632, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 17, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48633, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 10, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48634, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 9, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 4, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B16', '', 2, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 7, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 30, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48645, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48646, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 10, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48647, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 16, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48648, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48649, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 2, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B16', '', 2, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 7, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 9, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 3, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48659, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48660, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 4, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48661, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48662, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48663, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48664, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48665, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 7, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48666, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B16', '', 2, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48667, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 9, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48668, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48669, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48670, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 3, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48671, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48672, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B16', '', 2, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48673, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 7, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48674, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48675, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48676, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 9, 2024, 1, 9, '2024-08-05 16:26:51', NULL, NULL), (48677, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 2, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48678, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48679, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 2, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48680, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 7, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48681, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48682, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 23, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48683, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48684, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48685, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 2, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 2, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 2, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 10, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B09', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 3, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D06', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 38, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48704, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 6, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48705, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48706, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 2, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48707, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48708, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48709, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 23, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48710, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 2, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 2, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 2, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 10, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 3, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D06', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 3, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 2, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 3, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48727, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 2, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48728, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 2, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48729, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48730, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 3, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48731, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48732, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48733, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '2B09', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48734, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48735, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48736, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 2, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48737, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D06', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48738, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48739, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48740, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 10, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48741, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48742, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48743, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48744, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 3, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48745, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48746, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 2, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48747, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48748, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48749, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48750, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48751, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 10, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48752, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48753, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48754, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 2, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48755, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 3, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48756, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D06', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48757, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 2, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48758, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48759, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 3, 2024, 1, 10, '2024-08-05 16:26:51', NULL, NULL), (48760, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 1, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48761, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 117, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48762, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 15, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48763, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 9, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48764, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48765, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 26, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 10, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 1, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 1, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 17, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 39, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 2, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 6, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D14', '', 8, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 1, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 11, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 13, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 140, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48785, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '', '', 1, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48786, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 112, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48787, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 9, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48788, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 1, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48789, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 1, 11, '2024-08-05 16:26:51', NULL, NULL), (48790, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 13, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48791, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 1, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D14', '', 8, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 16, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 2, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 1, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 1, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 6, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 39, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 12, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 8, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 10, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 26, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '2C07', '', 1, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48810, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 10, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48811, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 26, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48812, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 13, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48813, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 11, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48814, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48815, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 39, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48816, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 17, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48817, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 1, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48818, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48819, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48820, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 6, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48821, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 2, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48822, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 1, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48823, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 1, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48824, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48825, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48826, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D14', '', 8, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48827, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 12, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48828, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 8, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48829, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 16, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48830, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 1, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48831, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 10, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48832, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 26, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48833, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 2, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48834, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 6, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48835, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 39, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48836, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48837, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '2C07', '', 1, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48838, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48839, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48840, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48841, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 1, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48842, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 1, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48843, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48844, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D14', '', 8, 2024, 1, 11, '2024-08-05 16:26:52', NULL, NULL), (48845, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 100, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48846, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 9, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48847, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48848, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48849, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 6, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B07', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 22, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 4, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 9, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 13, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 9, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 18, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A07', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 2, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 11, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 18, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 115, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48869, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48870, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 98, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48871, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48872, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48873, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 6, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48874, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 9, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '2C06', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 9, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 13, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 2, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 18, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 18, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 11, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 9, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B07', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 20, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 4, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 2, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48892, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 9, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48893, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 22, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48894, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48895, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 18, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48896, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48897, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 11, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48898, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '2B07', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48899, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 18, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48900, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 9, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48901, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 13, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48902, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48903, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48904, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 2, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48905, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A07', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48906, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48907, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48908, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 4, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48909, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 18, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48910, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 11, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48911, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 9, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48912, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 13, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48913, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 9, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48914, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 20, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48915, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48916, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 2, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48917, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 18, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48918, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48919, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '2B07', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48920, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '2C06', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48921, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48922, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 2, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48923, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48924, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48925, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 4, 2024, 1, 12, '2024-08-05 16:26:52', NULL, NULL), (48926, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 1, 13, '2024-08-05 16:26:52', NULL, NULL), (48927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2024, 1, 13, '2024-08-05 16:26:52', NULL, NULL), (48928, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2024, 1, 13, '2024-08-05 16:26:52', NULL, NULL), (48929, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 2, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48930, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 5, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48931, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 165, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48932, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48933, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 17, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48934, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48935, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 7, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 1, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B20', '', 1, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 10, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 4, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 14, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 34, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 2, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 33, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 5, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 7, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 8, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 7, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 18, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 55, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 195, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48953, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 163, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48954, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 7, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48955, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 2, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48956, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 5, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48957, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48958, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 14, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 33, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 14, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 7, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 5, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 6, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 2, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 33, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 54, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 18, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 10, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 1, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 4, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48973, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 10, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48974, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 1, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48975, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B20', '', 1, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48976, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48977, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 55, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48978, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48979, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 18, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48980, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 5, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48981, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 33, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48982, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 34, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48983, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 14, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48984, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 2, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48985, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 8, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48986, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 7, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48987, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 7, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48988, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 4, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48989, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 54, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48990, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 18, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48991, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 33, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48992, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 14, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48993, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 10, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48994, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 1, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48995, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 6, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48996, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 33, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48997, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48998, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (48999, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 2, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (49000, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 7, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (49001, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 5, 2024, 1, 15, '2024-08-05 16:26:53', NULL, NULL), (49002, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 4, 2024, 1, 15, '2024-08-05 16:26:54', NULL, NULL), (49003, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 3, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49004, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 158, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49005, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 4, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49006, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 10, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49007, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 3, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49008, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49009, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 10, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 2, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 53, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 2, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 10, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 18, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 40, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 4, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 1, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 26, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 2, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 2, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 4, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 2, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D14', '', 1, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 6, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 11, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 177, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49029, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 156, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49030, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49031, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 8, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49032, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 10, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49033, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 2, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 4, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 2, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 40, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 4, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 24, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 11, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 6, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 18, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 53, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 10, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49047, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 18, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49048, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 53, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49049, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 11, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49050, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 2, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49051, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 6, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49052, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 26, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49053, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 4, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49054, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 40, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49055, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A08', '', 2, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49056, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49057, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 4, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49058, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 2, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49059, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49060, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 2, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49061, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 1, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49062, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 2, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (49063, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D14', '', 1, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49064, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 10, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49065, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 11, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49066, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 6, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49067, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 4, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49068, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 40, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49069, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 18, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49070, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 2, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49071, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 53, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49072, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49073, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 4, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49074, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 24, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49075, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49076, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49077, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 10, 2024, 1, 16, '2024-08-05 16:26:54', NULL, NULL), (49078, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 217, 2024, 1, 17, '2024-08-05 16:26:54', NULL, NULL), (49079, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 4, 2024, 1, 17, '2024-08-05 16:26:54', NULL, NULL), (49080, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 16, 2024, 1, 17, '2024-08-05 16:26:54', NULL, NULL), (49081, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 9, 2024, 1, 17, '2024-08-05 16:26:54', NULL, NULL), (49082, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 4, 2024, 1, 17, '2024-08-05 16:26:54', NULL, NULL), (49083, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B07', '', 2, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 31, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 9, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 4, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 18, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 43, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 38, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 39, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 4, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 9, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C09', '', 2, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 34, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B08', '', 2, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 14, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 241, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49101, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 215, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49102, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '', '', 4, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49103, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 9, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49104, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 11, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49105, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 38, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 43, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 37, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B08', '', 2, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 14, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 34, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 18, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B07', '', 2, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 31, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 9, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 4, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49119, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 18, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49120, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49121, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 31, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49122, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 14, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49123, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 4, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49124, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 34, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49125, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49126, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '2B08', '', 2, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49127, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 39, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49128, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '2B07', '', 2, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49129, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 38, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49130, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 43, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49131, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 4, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49132, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C09', '', 2, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49133, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 9, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49134, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 9, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49135, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 14, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49136, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 34, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49137, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 38, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49138, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 43, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49139, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 18, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49140, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 31, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49141, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 37, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49142, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49143, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '2B07', '', 2, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49144, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '2B08', '', 2, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49145, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 4, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49146, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49147, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 9, 2024, 1, 17, '2024-08-05 16:26:55', NULL, NULL), (49148, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 8, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49149, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 2, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49150, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 179, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49151, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49152, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 17, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49153, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 3, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49154, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49155, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 2, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 38, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 15, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 2, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 30, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 4, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 34, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C01', '', 4, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 3, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 8, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 2, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 2, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 9, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C09', '', 2, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 40, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 18, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 206, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49175, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 178, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49176, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 8, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49177, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 5, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49178, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 13, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49179, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 2, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 2, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 34, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 8, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 30, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C01', '', 4, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 2, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 18, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 39, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 15, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 38, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 3, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 4, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49194, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 2, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49195, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 15, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49196, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 4, 2024, 1, 18, '2024-08-05 16:26:57', NULL, NULL), (49197, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 38, 2024, 1, 18, '2024-08-05 16:26:57', NULL, NULL), (49198, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 18, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49199, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 40, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49200, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 8, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49201, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C01', '', 4, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49202, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 34, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49203, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 30, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49204, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49205, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C09', '', 2, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49206, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49207, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 9, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49208, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 2, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49209, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 2, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49210, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 3, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49211, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2024, 1, 18, '2024-08-05 16:26:56', NULL, NULL), (49212, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 18, 2024, 1, 18, '2024-08-05 16:26:57', NULL, NULL), (49213, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 39, 2024, 1, 18, '2024-08-05 16:26:57', NULL, NULL), (49214, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 2, 2024, 1, 18, '2024-08-05 16:26:57', NULL, NULL), (49215, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 34, 2024, 1, 18, '2024-08-05 16:26:57', NULL, NULL), (49216, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 30, 2024, 1, 18, '2024-08-05 16:26:57', NULL, NULL), (49217, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 15, 2024, 1, 18, '2024-08-05 16:26:57', NULL, NULL), (49218, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 38, 2024, 1, 18, '2024-08-05 16:26:57', NULL, NULL), (49219, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C01', '', 4, 2024, 1, 18, '2024-08-05 16:26:57', NULL, NULL), (49220, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 2, 2024, 1, 18, '2024-08-05 16:26:57', NULL, NULL), (49221, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2024, 1, 18, '2024-08-05 16:26:57', NULL, NULL), (49222, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 4, 2024, 1, 18, '2024-08-05 16:26:57', NULL, NULL), (49223, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 1, 18, '2024-08-05 16:26:57', NULL, NULL), (49224, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 8, 2024, 1, 18, '2024-08-05 16:26:57', NULL, NULL), (49225, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 3, 2024, 1, 18, '2024-08-05 16:26:57', NULL, NULL), (49226, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 6, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49227, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 170, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49228, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 8, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49229, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49230, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 4, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 30, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 14, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 32, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 36, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 36, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A03', '', 2, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 2, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 8, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 18, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 4, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 175, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49244, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 163, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49245, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 2, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49246, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 2, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49247, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 8, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 32, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 32, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A03', '', 2, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 36, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 3, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 8, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 18, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 12, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 30, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 2, 2024, 1, 19, '2024-08-05 16:26:57', NULL, NULL), (49258, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 14, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49259, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A03', '', 2, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49260, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 30, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49261, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 4, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49262, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 18, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49263, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 8, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49264, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 2, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49265, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 4, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49266, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 36, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49267, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 36, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49268, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49269, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 32, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49270, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 3, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49271, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 18, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49272, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 32, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49273, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 32, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49274, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 12, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49275, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 30, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49276, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 2, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49277, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 36, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49278, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 8, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49279, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A03', '', 2, 2024, 1, 19, '2024-08-05 16:26:58', NULL, NULL), (49280, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 2, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49281, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 1, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49282, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 235, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49283, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 36, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49284, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49285, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '退役军人大厅', 1, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 18, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 4, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 2, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 50, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 12, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 63, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 2, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B06', '', 1, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 2, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 8, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 12, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 36, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 62, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 2, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 267, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49305, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 229, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49306, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49307, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 2, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49308, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', '', '', 1, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49309, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 34, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49310, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常不满意', '', '', 2, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '2C06', '', 2, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 48, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 2, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 2, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 2, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B06', '', 1, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 8, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 63, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 62, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 12, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 34, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 4, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 16, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 12, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49326, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 4, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49327, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 18, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49328, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 12, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49329, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 62, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49330, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 36, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49331, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 2, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49332, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 63, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49333, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 50, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49334, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 2, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49335, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 12, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49336, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A06', '', 1, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49337, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 2, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49338, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B06', '', 1, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49339, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 8, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49340, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 2, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49341, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 1, 22, '2024-08-05 16:26:59', NULL, NULL), (49342, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', 'B06', '', 1, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49343, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 62, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49344, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 34, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49345, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 48, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49346, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 2, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49347, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 4, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49348, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 16, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49349, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A06', '', 1, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49350, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常不满意', '2C06', '', 2, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49351, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 2, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49352, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 8, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49353, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 63, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49354, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 12, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49355, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 12, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49356, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 2, 2024, 1, 22, '2024-08-05 16:27:00', NULL, NULL), (49357, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 1, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49358, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 115, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49359, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49360, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 19, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49361, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 3, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49362, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49363, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49364, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 16, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 17, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 14, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 1, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 25, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 3, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D10', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 13, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 18, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 25, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 137, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49384, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 111, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49385, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 1, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49386, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49387, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 19, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49388, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49389, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常不满意', '', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49390, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '2C04', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 14, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 1, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 15, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 25, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 25, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 13, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 16, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 16, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49407, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 16, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49408, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49409, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 25, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49410, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49411, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D10', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49412, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 18, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49413, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49414, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 25, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49415, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 14, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49416, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 17, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49417, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49418, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 13, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49419, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49420, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 3, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49421, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 1, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49422, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49423, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49424, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 25, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49425, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 16, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49426, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 14, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49427, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 15, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49428, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 16, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49429, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49430, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49431, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 25, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49432, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常不满意', '2C04', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49433, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 13, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49434, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49435, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49436, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49437, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49438, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 1, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49439, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 1, 23, '2024-08-05 16:27:00', NULL, NULL), (49440, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 2, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49441, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49442, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 129, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49443, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 3, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49444, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 38, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49445, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 6, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49446, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D07', '', 2, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 6, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 5, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 4, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 9, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 9, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 28, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 34, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 2, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D10', '', 2, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 3, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B07', '', 1, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 4, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B08', '', 2, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C07', '', 1, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 21, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D03', '', 2, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 27, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 21, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 170, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49468, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 127, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49469, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49470, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49471, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 36, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49472, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 2, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 26, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 9, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 3, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 34, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 4, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 21, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B08', '', 2, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 21, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 27, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 4, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 6, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 4, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 8, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49487, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 4, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49488, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 9, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49489, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 6, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49490, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 21, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49491, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D10', '', 2, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49492, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 27, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49493, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49494, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 34, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49495, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 28, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49496, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 9, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49497, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 2, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49498, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B07', '', 1, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49499, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C07', '', 1, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49500, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 21, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49501, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 3, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49502, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B08', '', 2, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49503, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D07', '', 2, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (49504, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 4, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49505, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D03', '', 2, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49506, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 5, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49507, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 21, 2024, 1, 24, '2024-08-05 16:27:02', NULL, NULL), (49508, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 27, 2024, 1, 24, '2024-08-05 16:27:02', NULL, NULL), (49509, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B08', '', 2, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49510, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 26, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49511, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 9, 2024, 1, 24, '2024-08-05 16:27:02', NULL, NULL), (49512, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 4, 2024, 1, 24, '2024-08-05 16:27:02', NULL, NULL), (49513, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 6, 2024, 1, 24, '2024-08-05 16:27:02', NULL, NULL), (49514, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 3, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49515, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 34, 2024, 1, 24, '2024-08-05 16:27:02', NULL, NULL), (49516, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 4, 2024, 1, 24, '2024-08-05 16:27:02', NULL, NULL), (49517, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 21, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49518, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 8, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49519, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2024, 1, 24, '2024-08-05 16:27:01', NULL, NULL), (49520, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 4, 2024, 1, 24, '2024-08-05 16:27:02', NULL, NULL), (49521, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 3, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49522, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49523, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 193, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49524, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49525, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 34, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49526, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49527, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 42, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 20, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 49, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 42, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 30, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 26, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 3, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 2, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 8, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 6, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 235, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49545, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 193, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49546, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49547, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 3, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49548, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49549, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 34, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49550, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2024, 1, 25, '2024-08-05 16:27:02', NULL, NULL), (49551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 42, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 3, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 49, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 2, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 26, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 6, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 8, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 20, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 42, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 30, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49566, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 20, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49567, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49568, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 30, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49569, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 42, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49570, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 6, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49571, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 8, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49572, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 3, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49573, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 26, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49574, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 42, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49575, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 49, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49576, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49577, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49578, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 2, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49579, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49580, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49581, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49582, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 6, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49583, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 8, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49584, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49585, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 42, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49586, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 49, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49587, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 20, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49588, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 42, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49589, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49590, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 2, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49591, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 26, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49592, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49593, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 30, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49594, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49595, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 3, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49596, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 1, 25, '2024-08-05 16:27:03', NULL, NULL), (49597, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 2, 2024, 1, 26, '2024-08-05 16:27:03', NULL, NULL), (49598, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 75, 2024, 1, 26, '2024-08-05 16:27:03', NULL, NULL), (49599, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 1, 26, '2024-08-05 16:27:03', NULL, NULL), (49600, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 24, 2024, 1, 26, '2024-08-05 16:27:03', NULL, NULL), (49601, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 1, 26, '2024-08-05 16:27:03', NULL, NULL), (49602, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 1, 26, '2024-08-05 16:27:03', NULL, NULL), (49603, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 4, 2024, 1, 26, '2024-08-05 16:27:03', NULL, NULL), (49604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 27, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 2, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 16, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 9, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 5, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 16, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B08', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D14', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 2, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 14, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 103, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49625, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49626, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 74, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49627, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 4, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49628, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49629, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49630, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49631, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 19, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49632, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '2C06', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 16, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D14', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 2, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 16, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 14, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B08', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 2, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 26, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 3, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 6, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 5, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49650, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 2, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49651, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 9, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49652, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 27, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49653, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 14, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49654, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49655, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 16, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49656, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 16, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49657, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49658, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49659, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B08', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49660, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49661, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49662, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49663, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49664, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49665, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 5, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49666, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 2, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49667, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49668, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D14', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49669, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 14, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49670, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49671, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B08', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49672, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 16, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49673, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 2, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49674, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 26, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49675, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49676, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 16, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49677, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49678, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49679, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '2C06', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49680, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 6, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49681, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 5, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49682, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49683, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 2, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49684, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 3, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49685, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D14', '', 1, 2024, 1, 26, '2024-08-05 16:27:04', NULL, NULL), (49686, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 91, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49687, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 14, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49688, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49689, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 23, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 6, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 2, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 15, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 5, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 4, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 3, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C18', '', 1, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D04', '', 1, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 19, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 24, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 103, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49704, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 90, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49705, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49706, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 12, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 3, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 15, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 4, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 24, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 19, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 6, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 22, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 5, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49718, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 6, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49719, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 5, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49720, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 23, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49721, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 24, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49722, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 19, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49723, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 2, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49724, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 4, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49725, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 15, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49726, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C18', '', 1, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49727, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49728, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49729, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 3, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49730, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D04', '', 1, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49731, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 24, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49732, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 19, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49733, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 15, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49734, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 6, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49735, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 22, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49736, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49737, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 3, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49738, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 4, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49739, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49740, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49741, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 5, 2024, 1, 29, '2024-08-05 16:27:05', NULL, NULL), (49742, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 52, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49743, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49744, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 85, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49745, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 20, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49746, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49747, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 7, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49748, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 20, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49749, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49750, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 15, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 22, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 16, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 16, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B01', '', 6, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 20, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 3, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 9, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 8, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 6, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A02', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 3, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B06', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B07', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B08', '', 3, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B09', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 15, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B08', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 14, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B10', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 181, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49785, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 84, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49786, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 50, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49787, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49788, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49789, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 19, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49790, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 6, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49791, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49792, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 19, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A02', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 3, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 20, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 6, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 16, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B07', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 3, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 9, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B09', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B08', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 13, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B08', '', 3, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 14, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 15, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 15, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 22, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B01', '', 6, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 8, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B10', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C11', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49823, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B10', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49824, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49825, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 22, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49826, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49827, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 15, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49828, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49829, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '2B08', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49830, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 9, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49831, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 20, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49832, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 16, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49833, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49834, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49835, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49836, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B01', '', 6, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49837, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49838, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 3, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49839, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49840, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A02', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49841, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B07', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49842, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B06', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49843, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49844, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B09', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49845, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49846, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A06', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49847, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 14, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49848, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B08', '', 3, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49849, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49850, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 8, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49851, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 16, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49852, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A05', '', 5, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49853, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 15, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49854, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 3, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49855, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49856, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49857, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B09', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49858, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B08', '', 3, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49859, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B07', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49860, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 3, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49861, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49862, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 8, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49863, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A05', '', 5, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49864, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A06', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49865, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49866, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B01', '', 6, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49867, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49868, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 14, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49869, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 20, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49870, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 16, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49871, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49872, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 22, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49873, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49874, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 9, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49875, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49876, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 15, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49877, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '2B08', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49878, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 15, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49879, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 13, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49880, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C11', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49881, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49882, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49883, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A02', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49884, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B10', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49885, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 3, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49886, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49887, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 2, 2024, 1, 30, '2024-08-05 16:27:06', NULL, NULL), (49888, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 91, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49889, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49890, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 91, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49891, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 3, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49892, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 8, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49893, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 18, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49894, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 2, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49895, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 2, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49896, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49897, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '', 1, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B07', '', 1, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 11, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 10, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 14, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 12, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 19, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 12, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 17, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B03', '', 1, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 12, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 30, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 10, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 2, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 3, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 1, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A07', '', 1, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D14', '', 2, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 17, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B08', '', 1, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 20, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 8, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 212, 2024, 1, 31, '2024-08-05 16:27:06', NULL, NULL), (49926, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 91, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49927, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 2, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49928, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 86, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49929, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '', '', 2, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49930, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 17, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49931, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 8, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49932, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49933, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49934, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 2, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49935, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '非常满意', '', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 12, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 3, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D14', '', 2, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 17, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 2, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 19, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B03', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 25, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 12, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (49946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A07', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B08', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 20, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 8, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 17, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 14, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 12, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B07', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 11, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 10, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 9, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49962, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49963, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 12, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49964, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49965, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 11, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49966, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 8, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49967, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 17, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49968, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '2B08', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49969, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '2B07', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49970, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 12, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49971, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 12, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49972, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 19, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49973, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49974, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49975, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49976, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '2B03', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49977, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 30, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49978, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49979, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A06', '', 2, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49980, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49981, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 20, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49982, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A07', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49983, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49984, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 10, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49985, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 14, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49986, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 10, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49987, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 17, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49988, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D14', '', 2, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49989, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 2, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49990, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49991, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 2, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49992, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 9, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49993, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A06', '', 2, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49994, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A07', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49995, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49996, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49997, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 8, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49998, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 17, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (49999, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 12, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (50000, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 19, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (50001, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 12, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (50002, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 11, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (50003, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (50004, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 12, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (50005, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (50006, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '2B07', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (50007, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 14, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (50008, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '2B08', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (50009, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 10, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (50010, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 20, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (50011, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (50012, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (50013, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '非常满意', '2B03', '', 1, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (50014, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 25, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (50015, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 17, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (50016, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D14', '', 2, 2024, 1, 31, '2024-08-05 16:27:07', NULL, NULL), (50017, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 16, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50018, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50019, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50020, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 68, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50021, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 4, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50022, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50023, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 29, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50024, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 24, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50025, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 2, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50026, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50027, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B07', '', 2, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 17, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 7, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 5, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 12, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 16, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 8, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 2, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 5, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 4, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C02', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 10, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 3, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 5, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 5, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 4, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 8, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 4, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 4, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 142, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50058, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 64, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50059, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 15, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50060, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50061, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50062, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '', '', 2, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50063, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 24, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50064, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 27, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50065, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50066, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50067, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50068, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常不满意', '', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50069, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 4, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 15, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 2, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 3, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 12, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 5, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 5, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 4, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 3, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 7, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 4, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 4, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 7, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 5, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B07', '', 2, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 16, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 8, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 10, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '2C02', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 4, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 3, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50098, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 7, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50099, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50100, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 8, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50101, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 17, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50102, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 8, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50103, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 4, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50104, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50105, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '2B07', '', 2, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50106, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 4, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50107, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 16, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50108, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 12, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50109, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50110, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 4, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50111, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50112, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50113, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50114, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 5, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50115, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50116, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50117, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 5, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50118, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 4, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50119, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 5, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50120, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50121, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 5, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50122, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 10, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50123, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 2, 2024, 2, 1, '2024-08-05 16:27:07', NULL, NULL), (50124, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C02', '', 1, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50125, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 3, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50126, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50127, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 3, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50128, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 10, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50129, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 4, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50130, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常不满意', '2C02', '', 1, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50131, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 8, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50132, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 1, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50133, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50134, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50135, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 7, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50136, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 4, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50137, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 15, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50138, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 12, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50139, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 7, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50140, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 16, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50141, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 5, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50142, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 5, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50143, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 3, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50144, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50145, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '2B07', '', 2, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50146, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 5, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50147, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 4, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50148, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 1, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50149, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50150, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 3, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50151, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 4, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50152, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50153, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 2, 2024, 2, 1, '2024-08-05 16:27:08', NULL, NULL), (50154, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 82, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50155, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 3, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50156, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 93, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50157, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50158, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 8, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50159, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 5, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 9, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 18, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 12, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 12, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 7, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 27, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 18, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 3, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 30, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 4, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 3, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 2, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 7, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 13, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 19, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 186, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50181, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '', '', 1, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50182, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 92, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50183, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 78, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50184, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 3, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50185, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 5, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50186, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 7, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50187, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '2C06', '', 1, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 27, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 18, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 3, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 7, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 1, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 2, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 3, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 27, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 13, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 19, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 7, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 11, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 12, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 9, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 17, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 4, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50208, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 12, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50209, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 18, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50210, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50211, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 19, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50212, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50213, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 7, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50214, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 3, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50215, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 3, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50216, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 27, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50217, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 7, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50218, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 30, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50219, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50220, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 13, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50221, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 2, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50222, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 12, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50223, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 4, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50224, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 9, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50225, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 18, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50226, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50227, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 19, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50228, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 7, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50229, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 27, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50230, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 7, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50231, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 12, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50232, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 1, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50233, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 17, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50234, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 4, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50235, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 2, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50236, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 3, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50237, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50238, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 11, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50239, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 9, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50240, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 13, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50241, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '2C06', '', 1, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50242, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50243, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50244, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 27, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50245, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 3, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50246, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 18, 2024, 2, 2, '2024-08-05 16:27:08', NULL, NULL), (50247, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 44, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50248, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 2, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50249, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50250, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 29, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50251, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50252, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50253, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 13, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50254, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50255, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50256, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '退役军人大厅', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 5, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 3, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 8, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 12, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 7, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 5, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 9, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B02', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 2, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 7, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C18', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D14', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 3, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 10, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 10, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 90, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50282, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 29, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50283, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50284, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 42, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50285, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50286, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50287, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50288, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 13, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50289, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50290, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D14', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 12, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 7, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C03', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 7, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 5, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 7, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 10, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 10, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 3, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 8, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 5, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 3, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 2, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C18', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50313, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50314, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 3, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50315, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 10, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50316, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 3, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50317, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 2, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50318, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B02', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50319, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50320, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 5, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50321, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 7, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50322, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 9, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50323, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50324, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C18', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50325, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50326, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 10, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50327, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 2, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50328, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 7, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50329, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 8, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50330, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 5, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50331, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50332, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 12, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50333, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50334, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D14', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50335, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50336, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50337, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 2, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50338, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C18', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50339, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50340, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 10, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50341, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 3, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50342, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 7, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50343, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50344, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 3, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50345, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C03', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50346, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 7, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50347, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 5, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50348, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50349, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 8, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50350, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 5, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50351, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 10, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50352, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50353, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50354, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 7, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50355, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50356, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 12, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50357, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D14', '', 1, 2024, 2, 4, '2024-08-05 16:27:09', NULL, NULL), (50358, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 56, 2024, 2, 5, '2024-08-05 16:27:09', NULL, NULL), (50359, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 123, 2024, 2, 5, '2024-08-05 16:27:09', NULL, NULL), (50360, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 5, 2024, 2, 5, '2024-08-05 16:27:09', NULL, NULL), (50361, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2024, 2, 5, '2024-08-05 16:27:09', NULL, NULL), (50362, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 17, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50363, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50364, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50365, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50366, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 11, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 10, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 22, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 13, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 2, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 3, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 21, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 25, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 4, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 2, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A03', '', 3, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A02', '', 3, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 2, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 5, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 30, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 12, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 23, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (50387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B14', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 7, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D04', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 201, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50394, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 123, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50395, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50396, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 54, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50397, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50398, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50399, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50400, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 15, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50401, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50402, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 3, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A02', '', 3, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 2, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 21, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 13, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A03', '', 3, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 5, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 25, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 4, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 12, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 23, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 30, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 21, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 11, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 9, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 2, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D04', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 7, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50428, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 11, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50429, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 3, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50430, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 23, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50431, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 30, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50432, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 25, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50433, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 21, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50434, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 13, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50435, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 7, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50436, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B14', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50437, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D04', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50438, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50439, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50440, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50441, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A03', '', 3, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50442, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 4, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50443, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50444, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A02', '', 3, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50445, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50446, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 5, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50447, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 12, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50448, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 2, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50449, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50450, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 22, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50451, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 10, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50452, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 2, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50453, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 2, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50454, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50455, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50456, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 7, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50457, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50458, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 2, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50459, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D04', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50460, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50461, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 23, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50462, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 30, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50463, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 21, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50464, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 13, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50465, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 11, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50466, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 5, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50467, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 25, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50468, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50469, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 21, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50470, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 9, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50471, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 12, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50472, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50473, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 1, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50474, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50475, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A02', '', 3, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50476, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A03', '', 3, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50477, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 4, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50478, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 2, 2024, 2, 5, '2024-08-05 16:27:10', NULL, NULL), (50479, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 91, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50480, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 103, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50481, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 3, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50482, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 2, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50483, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 18, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50484, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 8, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50485, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 3, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 15, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 11, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 12, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 14, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 18, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 30, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 24, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 9, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 15, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 2, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A03', '', 11, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 5, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 3, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 2, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 8, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 2, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 1, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 14, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 21, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 226, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50510, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 102, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50511, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 3, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50512, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 90, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50513, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 2, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50514, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 8, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50515, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 18, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50516, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 3, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 29, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 24, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 1, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 1, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 18, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 2, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A03', '', 11, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 3, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 2, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 9, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 15, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 14, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 20, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 12, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 14, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 15, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 11, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 2, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 2, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 5, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 8, 2024, 2, 6, '2024-08-05 16:27:10', NULL, NULL), (50540, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 14, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50541, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50542, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 11, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50543, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 21, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50544, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 15, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50545, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 24, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50546, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 18, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50547, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A03', '', 11, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50548, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 9, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50549, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 2, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50550, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50551, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A06', '', 1, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50552, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 3, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50553, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 14, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50554, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 8, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50555, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 2, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50556, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 2, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50557, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 12, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50558, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 5, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50559, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 15, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50560, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 1, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50561, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 30, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50562, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50563, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 1, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50564, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 5, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50565, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A06', '', 1, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50566, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 8, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50567, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 2, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50568, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 2, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50569, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 2, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50570, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 20, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50571, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 24, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50572, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 18, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50573, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 14, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50574, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 11, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50575, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 3, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50576, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 15, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50577, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50578, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 12, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50579, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 15, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50580, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 14, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50581, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 2, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50582, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A03', '', 11, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50583, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 9, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50584, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 1, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50585, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 29, 2024, 2, 6, '2024-08-05 16:27:11', NULL, NULL), (50586, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 62, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50587, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 78, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50588, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50589, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 12, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50590, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 9, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50591, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50592, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 7, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 17, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 2, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 10, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 17, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 19, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 16, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 11, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 17, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 7, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A03', '', 10, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 2, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 9, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 5, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 11, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 2, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 158, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50616, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 76, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50617, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 59, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50618, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 8, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50619, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 11, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50620, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50621, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常不满意', '', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50622, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常不满意', '', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50623, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 19, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 15, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A03', '', 10, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 10, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 17, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 5, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 11, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 8, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A09', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 10, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 17, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 5, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 16, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 7, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '3D15', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '2C06', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50645, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 17, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50646, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50647, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 17, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50648, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 11, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50649, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 2, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50650, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 17, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50651, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 16, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50652, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A03', '', 10, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50653, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 11, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50654, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50655, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 9, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50656, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A09', '', 2, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50657, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 5, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50658, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 7, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50659, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50660, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 10, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50661, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 7, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50662, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50663, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50664, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 19, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50665, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50666, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 7, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50667, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常不满意', '2C06', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50668, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A09', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50669, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常不满意', '3D15', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50670, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50671, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50672, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50673, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50674, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 11, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50675, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 15, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50676, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 17, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50677, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 16, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50678, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 17, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50679, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 8, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50680, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 10, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50681, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 5, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50682, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 5, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50683, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50684, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A03', '', 10, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50685, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 10, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50686, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 19, 2024, 2, 7, '2024-08-05 16:27:11', NULL, NULL), (50687, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 4, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50688, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50689, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 46, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50690, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 20, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50691, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 4, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50692, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 15, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50693, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 4, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 12, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 2, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 12, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 6, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A07', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D12', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C08', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D14', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 9, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D07', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 7, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 2, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 5, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D06', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 93, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50724, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 46, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50725, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 14, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50726, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 4, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50727, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50728, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50729, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 20, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50730, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50731, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常不满意', '', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '3D07', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 6, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D14', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 12, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D12', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C08', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 9, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 12, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 2, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 4, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 5, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D08', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D06', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 7, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 2, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50759, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 12, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50760, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50761, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 4, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50762, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 9, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50763, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50764, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 6, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50765, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 12, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50766, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D06', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50767, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50768, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50769, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D07', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50770, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 5, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50771, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 7, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50772, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 2, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50773, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50774, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50775, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50776, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C08', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50777, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50778, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A07', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50779, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50780, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50781, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50782, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 2, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50783, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D12', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50784, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50785, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50786, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D14', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50787, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50788, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50789, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 5, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50790, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D08', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50791, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D06', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50792, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50793, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50794, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50795, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 9, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50796, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D12', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50797, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 6, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50798, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 12, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50799, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 12, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50800, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 4, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50801, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50802, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50803, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C08', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50804, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50805, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 2, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50806, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50807, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常不满意', '3D07', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50808, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50809, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 7, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50810, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 2, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50811, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 1, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50812, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50813, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D14', '', 3, 2024, 2, 8, '2024-08-05 16:27:12', NULL, NULL), (50814, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 2, 2024, 2, 9, '2024-08-05 16:27:12', NULL, NULL), (50815, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 1, 2024, 2, 9, '2024-08-05 16:27:12', NULL, NULL), (50816, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 3, 2024, 2, 9, '2024-08-05 16:27:12', NULL, NULL), (50817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 2, 2024, 2, 9, '2024-08-05 16:27:12', NULL, NULL), (50818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 1, 2024, 2, 9, '2024-08-05 16:27:12', NULL, NULL), (50819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 1, 2024, 2, 9, '2024-08-05 16:27:12', NULL, NULL), (50820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D14', '', 2, 2024, 2, 9, '2024-08-05 16:27:12', NULL, NULL), (50821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 2, 9, '2024-08-05 16:27:12', NULL, NULL), (50822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 5, 2024, 2, 9, '2024-08-05 16:27:12', NULL, NULL), (50823, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 2, 2024, 2, 9, '2024-08-05 16:27:12', NULL, NULL), (50824, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 2, 2024, 2, 9, '2024-08-05 16:27:12', NULL, NULL), (50825, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 1, 2024, 2, 9, '2024-08-05 16:27:12', NULL, NULL), (50826, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '', '', 1, 2024, 2, 9, '2024-08-05 16:27:12', NULL, NULL), (50827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D14', '', 1, 2024, 2, 9, '2024-08-05 16:27:12', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (50828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 1, 2024, 2, 9, '2024-08-05 16:27:12', NULL, NULL), (50829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '3D14', '', 1, 2024, 2, 9, '2024-08-05 16:27:13', NULL, NULL), (50830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 1, 2024, 2, 9, '2024-08-05 16:27:13', NULL, NULL), (50831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 2, 2024, 2, 9, '2024-08-05 16:27:12', NULL, NULL), (50832, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 2, 2024, 2, 9, '2024-08-05 16:27:13', NULL, NULL), (50833, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 1, 2024, 2, 9, '2024-08-05 16:27:13', NULL, NULL), (50834, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 1, 2024, 2, 9, '2024-08-05 16:27:13', NULL, NULL), (50835, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D14', '', 2, 2024, 2, 9, '2024-08-05 16:27:13', NULL, NULL), (50836, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 1, 2024, 2, 9, '2024-08-05 16:27:13', NULL, NULL), (50837, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 2, 2024, 2, 9, '2024-08-05 16:27:13', NULL, NULL), (50838, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 1, 2024, 2, 9, '2024-08-05 16:27:13', NULL, NULL), (50839, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D14', '', 1, 2024, 2, 9, '2024-08-05 16:27:13', NULL, NULL), (50840, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '3D14', '', 1, 2024, 2, 9, '2024-08-05 16:27:13', NULL, NULL), (50841, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 6, 2024, 2, 10, '2024-08-05 16:27:13', NULL, NULL), (50842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D12', '', 2, 2024, 2, 10, '2024-08-05 16:27:13', NULL, NULL), (50843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 2, 2024, 2, 10, '2024-08-05 16:27:13', NULL, NULL), (50844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D14', '', 2, 2024, 2, 10, '2024-08-05 16:27:13', NULL, NULL), (50845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 6, 2024, 2, 10, '2024-08-05 16:27:13', NULL, NULL), (50846, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 6, 2024, 2, 10, '2024-08-05 16:27:13', NULL, NULL), (50847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D14', '', 2, 2024, 2, 10, '2024-08-05 16:27:13', NULL, NULL), (50848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D12', '', 2, 2024, 2, 10, '2024-08-05 16:27:13', NULL, NULL), (50849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 2, 2024, 2, 10, '2024-08-05 16:27:13', NULL, NULL), (50850, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 2, 2024, 2, 10, '2024-08-05 16:27:13', NULL, NULL), (50851, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D12', '', 2, 2024, 2, 10, '2024-08-05 16:27:13', NULL, NULL), (50852, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D14', '', 2, 2024, 2, 10, '2024-08-05 16:27:13', NULL, NULL), (50853, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 2, 2024, 2, 10, '2024-08-05 16:27:13', NULL, NULL), (50854, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D12', '', 2, 2024, 2, 10, '2024-08-05 16:27:13', NULL, NULL), (50855, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D14', '', 2, 2024, 2, 10, '2024-08-05 16:27:13', NULL, NULL), (50856, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 2, 16, '2024-08-05 16:27:14', NULL, NULL), (50857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D07', '', 1, 2024, 2, 16, '2024-08-05 16:27:14', NULL, NULL), (50858, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D07', '', 1, 2024, 2, 16, '2024-08-05 16:27:14', NULL, NULL), (50859, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 2, 17, '2024-08-05 16:27:14', NULL, NULL), (50860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 1, 2024, 2, 17, '2024-08-05 16:27:14', NULL, NULL), (50861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 1, 2024, 2, 17, '2024-08-05 16:27:14', NULL, NULL), (50862, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 2, 17, '2024-08-05 16:27:14', NULL, NULL), (50863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 1, 2024, 2, 17, '2024-08-05 16:27:14', NULL, NULL), (50864, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 1, 2024, 2, 17, '2024-08-05 16:27:14', NULL, NULL), (50865, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 1, 2024, 2, 17, '2024-08-05 16:27:14', NULL, NULL), (50866, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 41, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50867, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 83, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50868, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50869, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 17, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50870, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 11, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50871, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 5, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 16, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 18, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 21, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 4, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 6, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 18, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A03', '', 15, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 9, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A02', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D03', '', 1, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 5, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 5, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 5, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 147, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50895, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 83, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50896, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 38, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50897, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 9, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50898, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 16, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50899, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A02', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 21, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A03', '', 15, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 4, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 18, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 5, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 5, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 5, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 18, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 5, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 16, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 9, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50920, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 18, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50921, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50922, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 16, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50923, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 5, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50924, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 5, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50925, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 18, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50926, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 21, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50927, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A03', '', 15, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50928, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 6, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50929, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A02', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50930, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A08', '', 1, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50931, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50932, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50933, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 5, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50934, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50935, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 9, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50936, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 5, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50937, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50938, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 4, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50939, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50940, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50941, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D03', '', 1, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50942, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50943, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 9, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50944, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50945, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50946, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 5, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50947, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 5, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50948, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 21, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50949, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 18, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50950, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 16, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50951, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50952, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 18, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50953, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50954, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50955, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 5, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50956, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 5, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50957, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50958, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A02', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50959, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A03', '', 15, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50960, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 4, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50961, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 3, 2024, 2, 18, '2024-08-05 16:27:14', NULL, NULL), (50962, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 41, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50963, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50964, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50965, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 145, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50966, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 4, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50967, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 26, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50968, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 14, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50969, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 2, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 30, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 5, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 18, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 36, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 6, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 31, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 14, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A03', '', 7, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 13, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A02', '', 3, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A01', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B06', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 4, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B07', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 12, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 23, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 3, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 7, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 8, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 230, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (50999, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51000, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 144, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51001, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 41, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51002, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51003, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 14, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51004, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 24, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51005, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51006, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51007, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 4, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '2C06', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A01', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A02', '', 3, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 6, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 31, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 36, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B07', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 4, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A03', '', 7, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B06', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 14, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 3, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 7, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 23, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 10, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 5, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 18, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 2, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 29, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 13, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 8, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51036, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51037, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 18, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51038, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51039, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 30, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51040, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 7, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51041, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 23, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51042, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51043, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 31, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51044, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 36, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51045, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 8, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51046, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51047, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51048, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A03', '', 7, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51049, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 14, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51050, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A01', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51051, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A02', '', 3, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51052, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B07', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51053, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B06', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51054, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 12, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51055, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 3, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51056, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 4, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51057, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 5, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51058, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 13, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51059, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 2, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51060, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51061, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 6, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51062, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51063, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B07', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51064, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51065, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B06', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51066, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51067, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51068, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 13, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51069, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 8, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51070, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '2C06', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51071, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51072, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 7, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51073, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 23, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51074, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 31, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51075, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 36, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51076, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 18, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51077, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 29, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51078, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 4, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51079, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 10, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51080, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 5, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51081, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 2, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51082, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 3, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51083, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51084, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51085, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A01', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51086, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A02', '', 3, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51087, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A03', '', 7, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51088, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 14, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51089, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51090, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 6, 2024, 2, 19, '2024-08-05 16:27:14', NULL, NULL), (51091, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 61, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51092, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 140, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51093, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51094, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 11, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51095, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 12, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51096, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51097, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51098, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 6, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B07', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 15, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 17, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 15, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 5, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 26, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B01', '', 2, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 4, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 5, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 34, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B04', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 20, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 13, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A03', '', 8, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 11, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A01', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 13, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 6, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 17, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 2, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 226, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51126, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51127, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 139, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51128, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 60, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51129, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51130, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 12, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51131, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 10, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51132, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51133, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 2, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51134, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '非常满意', '', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '2C06', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A01', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 4, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 34, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B04', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 5, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 26, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A03', '', 8, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 20, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 13, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 6, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 17, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 13, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 17, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 15, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 6, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B07', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 14, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B01', '', 2, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 4, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 11, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51161, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 15, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51162, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 4, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51163, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 15, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51164, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 17, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51165, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 13, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51166, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 20, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51167, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '2B07', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51168, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 34, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51169, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 26, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51170, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 2, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51171, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B01', '', 2, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51172, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51173, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '', '2B04', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51174, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51175, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A03', '', 8, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51176, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 13, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51177, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A01', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51178, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51179, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51180, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 6, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51181, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 17, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51182, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 11, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51183, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 6, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51184, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 5, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51185, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 5, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51186, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 11, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51187, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51188, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '2C06', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51189, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 4, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51190, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B01', '', 2, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51191, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 17, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51192, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 13, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51193, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 34, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51194, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 26, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51195, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 15, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51196, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 14, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51197, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51198, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 20, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51199, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51200, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 17, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51201, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '2B07', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51202, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 6, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51203, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 6, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51204, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51205, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51206, 22, '511502000000-0001', '翠屏区政务服务中心', '区自然资源和规划分局', '非常满意', '2B04', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51207, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A01', '', 1, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51208, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A03', '', 8, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51209, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 13, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51210, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 4, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51211, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 5, 2024, 2, 20, '2024-08-05 16:27:14', NULL, NULL), (51212, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 60, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51213, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51214, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 86, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51215, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 3, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51216, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 13, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51217, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 12, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51218, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 5, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 6, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B10', '', 1, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 5, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 13, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 4, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 25, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 22, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 9, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 24, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A03', '', 8, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 11, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A02', '', 1, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B06', '', 1, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C18', '', 1, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 6, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 22, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 174, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51243, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 85, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51244, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 57, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51245, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51246, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 12, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51247, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51248, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 12, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51249, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 3, 2024, 2, 21, '2024-08-05 16:27:14', NULL, NULL), (51250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A02', '', 1, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 25, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 22, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 1, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 13, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A03', '', 8, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B06', '', 1, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 6, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 24, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 6, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 22, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 5, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 4, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 6, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 4, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 11, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B10', '', 1, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (51270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 3, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51272, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B10', '', 1, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51273, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 4, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51274, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 5, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51275, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 22, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51276, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51277, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 24, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51278, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 22, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51279, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 13, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51280, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A03', '', 8, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51281, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 9, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51282, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A02', '', 1, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51283, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51284, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B06', '', 1, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51285, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C18', '', 1, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51286, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51287, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 6, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51288, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 5, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51289, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 11, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51290, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 6, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51291, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51292, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 25, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51293, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51294, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51295, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B06', '', 1, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51296, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 1, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51297, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 11, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51298, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 4, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51299, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51300, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51301, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 22, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51302, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 22, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51303, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 13, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51304, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 4, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51305, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 24, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51306, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51307, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 5, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51308, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 6, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51309, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 6, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51310, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 3, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51311, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A02', '', 1, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51312, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A03', '', 8, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51313, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B10', '', 1, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51314, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 6, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51315, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51316, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 25, 2024, 2, 21, '2024-08-05 16:27:15', NULL, NULL), (51317, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 65, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51318, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 97, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51319, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 8, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51320, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51321, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 3, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 11, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 15, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 24, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 28, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C22', '', 1, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 6, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 10, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 22, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 12, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A03', '', 10, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 2, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D14', '', 1, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 14, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 7, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 169, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51341, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 96, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51342, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51343, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 64, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51344, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 7, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51345, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D14', '', 1, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 6, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 10, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 28, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 2, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A03', '', 10, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 21, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 11, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 14, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 7, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 15, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 24, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 3, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 11, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51363, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C22', '', 1, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51364, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 24, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51365, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 3, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51366, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51367, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 14, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51368, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51369, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 22, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51370, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 6, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51371, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 28, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51372, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A03', '', 10, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51373, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 12, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51374, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51375, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 7, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51376, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 15, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51377, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 2, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51378, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 11, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51379, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 10, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51380, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D14', '', 1, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51381, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 14, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51382, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 6, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51383, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 28, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51384, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 24, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51385, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 3, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51386, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 2, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51387, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 21, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51388, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51389, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 15, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51390, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 11, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51391, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 7, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51392, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51393, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51394, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A03', '', 10, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51395, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 11, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51396, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 10, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51397, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D14', '', 1, 2024, 2, 22, '2024-08-05 16:27:15', NULL, NULL), (51398, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 73, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51399, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51400, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 101, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51401, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51402, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 5, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51403, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 9, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51404, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 2, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51405, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 8, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 11, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 17, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 20, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 3, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 12, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 33, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 12, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 30, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 7, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A03', '', 7, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A02', '', 4, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D14', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 10, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 10, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 188, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51430, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 98, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51431, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 2, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51432, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 72, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51433, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 8, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51434, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51435, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 5, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51436, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 2, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A02', '', 4, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D14', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 12, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 32, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A03', '', 7, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 12, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 29, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 10, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 10, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 16, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 19, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 8, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 11, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 3, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 6, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51460, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 17, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51461, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 3, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51462, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 11, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51463, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 10, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51464, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51465, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 30, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51466, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 33, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51467, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A03', '', 7, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51468, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 12, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51469, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A02', '', 4, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51470, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A06', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51471, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 10, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51472, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51473, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51474, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51475, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 7, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51476, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 20, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51477, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 8, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51478, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A05', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51479, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51480, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 12, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51481, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51482, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D14', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51483, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51484, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51485, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 6, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51486, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A05', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51487, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51488, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A06', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51489, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 3, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51490, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51491, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51492, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51493, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 10, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51494, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 32, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51495, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 16, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51496, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 11, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51497, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51498, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 29, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51499, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 19, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51500, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 8, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51501, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 10, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51502, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A02', '', 4, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51503, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A03', '', 7, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51504, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 12, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51505, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 12, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51506, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D14', '', 1, 2024, 2, 23, '2024-08-05 16:27:15', NULL, NULL), (51507, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 10, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D12', '', 2, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 2, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D14', '', 2, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 4, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 4, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 4, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51516, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 4, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51517, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51518, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常不满意', '', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51519, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '', '', 4, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D14', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '3D15', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '3D14', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '3D15', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D12', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '3D12', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '3D13', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '3D15', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51530, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 2, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51531, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D12', '', 2, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51532, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 4, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51533, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D14', '', 2, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51534, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常不满意', '3D15', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51535, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51536, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D12', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51537, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '3D13', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51538, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '3D12', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51539, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '3D15', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51540, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51541, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '3D15', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51542, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D14', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51543, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '3D14', '', 1, 2024, 2, 25, '2024-08-05 16:27:15', NULL, NULL), (51544, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 66, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51545, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 5, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51546, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 254, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51547, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51548, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51549, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 31, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51550, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 10, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51551, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 8, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 5, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 31, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 32, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 26, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 50, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 16, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 42, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 3, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 31, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 10, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 10, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 5, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 4, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 9, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 68, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B10', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 5, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 3, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 15, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C18', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 369, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51578, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 254, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51579, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 65, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51580, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51581, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 2, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51582, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 9, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51583, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 8, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51584, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 28, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51585, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 2, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 42, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 2, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 50, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 16, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 4, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 31, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 9, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 9, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 68, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 32, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 26, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 5, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 31, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 2, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 9, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 3, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 15, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 3, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B10', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 5, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51610, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 32, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51611, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B10', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51612, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 3, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51613, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 31, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51614, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 68, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51615, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 5, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51616, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 31, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51617, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 42, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51618, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 50, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51619, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 5, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51620, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C18', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51621, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 15, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51622, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 3, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51623, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51624, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51625, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 10, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51626, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51627, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51628, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 9, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51629, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 4, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51630, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 10, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51631, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51632, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 26, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51633, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 5, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51634, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 16, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51635, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 9, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51636, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 3, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51637, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 15, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51638, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 2, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51639, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51640, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 5, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51641, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 3, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51642, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 68, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51643, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 42, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51644, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 50, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51645, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 32, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51646, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 31, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51647, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 4, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51648, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 31, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51649, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51650, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 26, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51651, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 5, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51652, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 9, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51653, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51654, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51655, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B10', '', 1, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51656, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 9, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51657, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 2, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51658, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 16, 2024, 2, 26, '2024-08-05 16:27:15', NULL, NULL), (51659, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 108, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51660, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51661, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 150, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51662, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51663, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 26, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51664, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 5, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51665, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51666, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 7, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 10, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 22, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 21, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 22, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 19, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 14, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 21, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 35, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 26, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 17, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 4, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C09', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 27, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 24, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 2, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 5, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 5, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 2, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 13, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 293, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51695, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 149, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51696, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51697, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 108, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51698, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 4, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51699, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 6, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51700, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 25, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51701, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常不满意', '', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 21, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 35, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 19, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 14, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 26, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 17, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (51709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 27, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 24, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 21, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 22, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 10, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 21, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 4, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '2C06', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 2, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 13, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C11', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 5, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 5, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51725, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 21, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51726, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 22, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51727, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 27, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51728, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51729, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 26, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51730, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 35, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51731, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 19, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51732, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 5, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51733, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 13, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51734, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 2, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51735, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 5, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51736, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51737, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51738, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 2, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51739, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 17, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51740, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C09', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51741, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A09', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51742, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51743, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 24, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51744, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51745, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51746, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 4, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51747, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 22, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51748, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 10, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51749, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 21, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51750, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 14, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51751, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 4, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51752, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 2, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51753, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常不满意', '2C06', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51754, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 13, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51755, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 5, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51756, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51757, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51758, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 27, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51759, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 35, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51760, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 19, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51761, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 21, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51762, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 21, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51763, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 26, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51764, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51765, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 22, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51766, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 10, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51767, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 24, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51768, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51769, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C11', '', 1, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51770, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 5, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51771, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 17, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51772, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 21, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51773, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 14, 2024, 2, 27, '2024-08-05 16:27:15', NULL, NULL), (51774, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 73, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51775, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 2, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51776, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51777, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 145, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51778, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 4, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51779, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 15, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51780, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 12, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51781, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51782, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 8, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 22, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 21, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 28, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 30, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 14, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 8, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 31, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 22, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 6, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 4, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 11, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C08', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 12, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 16, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 4, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 249, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51812, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 144, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51813, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 71, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51814, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 2, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51815, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 11, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51816, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51817, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 12, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51818, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51819, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51820, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 3, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 8, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 31, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 2, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 30, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 14, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 22, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 6, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 12, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 16, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 27, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 19, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 8, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 22, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 3, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 11, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 4, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51845, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51846, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 28, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51847, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51848, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 22, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51849, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 12, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51850, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 2, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51851, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 22, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51852, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 31, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51853, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 30, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51854, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51855, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 4, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51856, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51857, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51858, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51859, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51860, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 6, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51861, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A08', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51862, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C08', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51863, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51864, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 16, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51865, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51866, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 21, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51867, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 4, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51868, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 11, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51869, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 8, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51870, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 8, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51871, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 14, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51872, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51873, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51874, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 11, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51875, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 4, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51876, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51877, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 3, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51878, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51879, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51880, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 12, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51881, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 31, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51882, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 30, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51883, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 27, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51884, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 22, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51885, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51886, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 22, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51887, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51888, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 19, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51889, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 8, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51890, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 16, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51891, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51892, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51893, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 6, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51894, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 2, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51895, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 8, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51896, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 14, 2024, 2, 28, '2024-08-05 16:27:15', NULL, NULL), (51897, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 78, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51898, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 129, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51899, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 7, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51900, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 2, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51901, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 12, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51902, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 5, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51903, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51904, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51905, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 20, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 4, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 16, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 25, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 22, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 12, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 15, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 28, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 20, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 6, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 4, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 2, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 4, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C09', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B08', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 21, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 23, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 233, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51930, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 129, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51931, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 78, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51932, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 2, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51933, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51934, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 5, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51935, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 11, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51936, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51937, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51938, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 4, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 15, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 28, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 22, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 12, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 2, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 20, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B08', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 21, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 23, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 16, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 25, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 20, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 4, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 3, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 4, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 4, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51961, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 16, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51962, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 20, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51963, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 23, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51964, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51965, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '2B08', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51966, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 20, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51967, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 28, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51968, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 22, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51969, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51970, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 2, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51971, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C09', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51972, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51973, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51974, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 21, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51975, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 4, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51976, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 25, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51977, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 6, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51978, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 4, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51979, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51980, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 4, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51981, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51982, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 15, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51983, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 12, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51984, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51985, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 4, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51986, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51987, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 4, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51988, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 3, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51989, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51990, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 23, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51991, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 28, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51992, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 22, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51993, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 16, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51994, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 20, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51995, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 20, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51996, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51997, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 25, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51998, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '2B08', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (51999, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 4, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (52000, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 21, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (52001, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 2, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (52002, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (52003, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 1, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (52004, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 15, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (52005, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 12, 2024, 2, 29, '2024-08-05 16:27:16', NULL, NULL), (52006, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 112, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52007, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 122, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52008, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 8, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52009, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 11, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52010, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 17, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52011, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 34, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52012, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 9, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 12, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 24, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 14, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 19, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 24, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 20, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 15, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 4, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 25, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 7, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 19, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 4, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 34, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A02', '', 2, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B06', '', 1, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 11, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 37, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 16, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 7, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B16', '', 2, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 1, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 10, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 307, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52039, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 122, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52040, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 112, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52041, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 11, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52042, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 34, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52043, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 15, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52044, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 9, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52045, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 4, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A02', '', 2, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 15, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 25, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 24, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 20, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 11, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 7, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 19, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 37, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 16, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 14, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 19, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 12, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 24, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 3, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 2, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 34, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B16', '', 2, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 10, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 7, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52068, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 14, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52069, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 4, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52070, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 24, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52071, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 16, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52072, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 19, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52073, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 25, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52074, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 24, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52075, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 7, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52076, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 1, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52077, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 10, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52078, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B16', '', 2, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52079, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52080, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 7, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52081, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 11, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52082, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A02', '', 2, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52083, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52084, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B06', '', 1, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52085, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 37, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52086, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 19, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52087, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 4, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52088, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 34, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52089, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 12, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52090, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 15, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52091, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52092, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 20, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52093, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 34, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52094, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 10, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52095, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 3, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52096, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 2, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52097, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 7, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52098, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52099, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 16, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52100, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 25, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52101, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 24, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52102, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 14, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52103, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B16', '', 2, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52104, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 24, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52105, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 19, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52106, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52107, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 19, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52108, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 12, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52109, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 37, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52110, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 11, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52111, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A02', '', 2, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52112, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 7, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52113, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 15, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52114, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 20, 2024, 3, 1, '2024-08-05 16:27:16', NULL, NULL), (52115, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 2, 2024, 3, 2, '2024-08-05 16:27:16', NULL, NULL), (52116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C22', '', 2, 2024, 3, 2, '2024-08-05 16:27:16', NULL, NULL), (52117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 2, 2024, 3, 2, '2024-08-05 16:27:16', NULL, NULL), (52118, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 2, 2024, 3, 2, '2024-08-05 16:27:16', NULL, NULL), (52119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C22', '', 2, 2024, 3, 2, '2024-08-05 16:27:16', NULL, NULL), (52120, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C22', '', 2, 2024, 3, 2, '2024-08-05 16:27:16', NULL, NULL), (52121, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C22', '', 2, 2024, 3, 2, '2024-08-05 16:27:16', NULL, NULL), (52122, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 3, 3, '2024-08-05 16:27:16', NULL, NULL), (52123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D07', '', 1, 2024, 3, 3, '2024-08-05 16:27:16', NULL, NULL), (52124, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D07', '', 1, 2024, 3, 3, '2024-08-05 16:27:16', NULL, NULL), (52125, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 87, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52126, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 8, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52127, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 192, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52128, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52129, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 25, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52130, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 12, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52131, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 6, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52132, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 12, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 44, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 31, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 6, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 10, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 49, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 6, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 14, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 44, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C02', '', 1, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 4, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 5, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 21, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 10, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 8, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (52150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 2, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 1, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 1, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 10, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 15, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 34, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 325, 2024, 3, 4, '2024-08-05 16:27:16', NULL, NULL), (52158, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 190, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52159, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 86, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52160, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 8, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52161, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 11, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52162, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 6, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52163, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 23, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52164, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52165, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '', '', 1, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '3D13', '', 1, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 13, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 43, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 8, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 48, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 10, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 2, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 5, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 21, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 15, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 34, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 8, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 31, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 12, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 44, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 6, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C02', '', 1, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 10, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 1, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 6, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 4, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52189, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 6, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52190, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 44, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52191, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 34, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52192, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52193, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 8, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52194, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 21, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52195, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 44, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52196, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 49, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52197, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 5, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52198, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 6, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52199, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 10, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52200, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 15, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52201, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 2, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52202, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 1, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52203, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52204, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 1, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52205, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 10, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52206, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 31, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52207, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 12, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52208, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C02', '', 1, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52209, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 4, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52210, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 14, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52211, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 10, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52212, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 10, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52213, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 1, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52214, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '3D13', '', 1, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52215, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 6, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52216, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C02', '', 1, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52217, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 1, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52218, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 6, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52219, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 34, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52220, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 43, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52221, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 48, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52222, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 44, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52223, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 2, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52224, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 21, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52225, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 8, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52226, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 31, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52227, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 12, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52228, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 15, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52229, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52230, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 4, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52231, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 5, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52232, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 8, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52233, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 13, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52234, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 10, 2024, 3, 4, '2024-08-05 16:27:17', NULL, NULL), (52235, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 117, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52236, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 9, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52237, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 128, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52238, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 5, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52239, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 2, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52240, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 10, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52241, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 4, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52242, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 10, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 16, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 25, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 29, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 26, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 10, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 18, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 19, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 22, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 13, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 28, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 4, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 5, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 9, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 2, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 2, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 27, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 22, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 281, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52264, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 127, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52265, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 116, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52266, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 2, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52267, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 9, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52268, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 4, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52269, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 10, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52270, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 10, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52271, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 3, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 19, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 22, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 26, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 9, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 18, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 2, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 2, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 12, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 27, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 27, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 22, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 29, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 16, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 25, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 10, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 4, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 3, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52292, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52293, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 25, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52294, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 27, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52295, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 9, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52296, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 28, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52297, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 22, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52298, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 26, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52299, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 13, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52300, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 2, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52301, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 10, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52302, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52303, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 2, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52304, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 22, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52305, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 4, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52306, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 5, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52307, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 29, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52308, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 16, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52309, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 19, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52310, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52311, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 18, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52312, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 27, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52313, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 22, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52314, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 26, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52315, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 25, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52316, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 4, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52317, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 2, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52318, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 27, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52319, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52320, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 29, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52321, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 16, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52322, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 22, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52323, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 2, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52324, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52325, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52326, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 3, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52327, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 10, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52328, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 12, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52329, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 19, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52330, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 9, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52331, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 18, 2024, 3, 5, '2024-08-05 16:27:17', NULL, NULL), (52332, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 107, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52333, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52334, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 130, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52335, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 6, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52336, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 2, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52337, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 7, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52338, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 9, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52339, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52340, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52341, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 6, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 4, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 33, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 13, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 45, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 32, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 15, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 10, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 6, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 17, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 16, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 7, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 6, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 8, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 1, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A07', '', 1, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 2, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D01', '', 1, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C09', '', 1, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 19, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 26, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 267, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52367, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 130, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52368, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 107, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52369, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 2, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52370, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52371, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 8, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52372, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52373, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 6, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52374, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 6, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52375, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 3, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 10, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 17, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 32, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 15, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C03', '', 1, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 2, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 16, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 7, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 19, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 26, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 13, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 45, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 4, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 33, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 3, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 8, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 6, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 3, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52397, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 13, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52398, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 33, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52399, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 19, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52400, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52401, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 6, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52402, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 16, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52403, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 17, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52404, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 32, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52405, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 7, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52406, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 2, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52407, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C09', '', 1, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52408, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52409, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52410, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 26, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52411, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A07', '', 1, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52412, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 6, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52413, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 8, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52414, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 45, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52415, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 4, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52416, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 1, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52417, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D01', '', 1, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52418, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 10, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52419, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52420, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 15, 2024, 3, 6, '2024-08-05 16:27:17', NULL, NULL), (52421, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 8, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52422, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 3, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52423, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 3, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52424, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52425, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 19, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52426, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 17, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52427, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 32, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52428, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 13, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52429, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 33, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52430, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C03', '', 1, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52431, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 16, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52432, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52433, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 45, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52434, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 4, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52435, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 26, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52436, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 2, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52437, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 6, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52438, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 7, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52439, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52440, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 10, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52441, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 15, 2024, 3, 6, '2024-08-05 16:27:18', NULL, NULL), (52442, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 63, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52443, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 140, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52444, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52445, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 14, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52446, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 5, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52447, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', '', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52448, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52449, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 4, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52450, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 14, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 25, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 22, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 17, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A01', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 31, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 16, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 4, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 28, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C02', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 2, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 14, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 2, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C01', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 5, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D03', '', 4, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 20, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 14, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 231, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52474, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 139, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52475, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 4, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52476, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 63, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52477, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 5, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52478, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52479, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 14, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52480, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52481, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', '', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52482, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D03', '', 4, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 28, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 31, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 16, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 2, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 14, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 19, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 14, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 22, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 17, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 14, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 25, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A01', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 3, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 4, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C02', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 5, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C01', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52505, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 22, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52506, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 4, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52507, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 25, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52508, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 20, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52509, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52510, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 14, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52511, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 28, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52512, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 31, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52513, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 2, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52514, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', 'A01', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52515, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52516, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52517, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 14, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52518, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 2, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52519, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 17, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52520, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 5, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52521, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52522, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 14, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52523, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C02', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52524, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C01', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52525, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D03', '', 4, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52526, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 16, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52527, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 19, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52528, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 28, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52529, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 31, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52530, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 22, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52531, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 25, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52532, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 5, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52533, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52534, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', 'A01', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52535, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 14, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52536, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52537, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 17, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52538, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 14, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52539, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 14, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52540, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 4, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52541, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52542, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C02', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52543, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C01', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52544, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 1, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52545, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 3, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52546, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 2, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52547, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D03', '', 4, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52548, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 16, 2024, 3, 7, '2024-08-05 16:27:18', NULL, NULL), (52549, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 83, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52550, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 81, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52551, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 6, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52552, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 8, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52553, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52554, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 11, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 14, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 15, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 18, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 14, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 11, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 19, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 20, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 17, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 4, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B16', '', 2, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 5, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 2, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 23, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 180, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52574, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 81, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52575, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 83, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52576, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52577, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52578, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 8, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52579, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 5, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B16', '', 2, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 19, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 14, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 11, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 5, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 20, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 17, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 2, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 23, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 15, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (52591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 18, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 11, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 14, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52594, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52595, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52596, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52597, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 3, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52598, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 15, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52599, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52600, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 14, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52601, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 2, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52602, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 17, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52603, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 19, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52604, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 14, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52605, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 20, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52606, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52607, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52608, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 23, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52609, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52610, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 4, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52611, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 18, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52612, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 11, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52613, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 5, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52614, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B16', '', 2, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52615, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 11, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52616, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 2, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52617, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 19, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52618, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 14, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52619, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B16', '', 2, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52620, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 15, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52621, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 14, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52622, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52623, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 5, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52624, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 17, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52625, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52626, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 18, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52627, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 11, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52628, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 23, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52629, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52630, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 3, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52631, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52632, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 20, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52633, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 11, 2024, 3, 8, '2024-08-05 16:27:18', NULL, NULL), (52634, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 96, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52635, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 2, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52636, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 1, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52637, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 165, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52638, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52639, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 20, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52640, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 8, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '退役军人大厅', 1, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 11, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 21, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 28, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 18, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 30, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 15, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 6, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 22, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 29, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 29, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 2, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B16', '', 1, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 1, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 7, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C18', '', 1, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 9, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C09', '', 1, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 28, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 28, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 284, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52666, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 164, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52667, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 95, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52668, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 2, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52669, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 8, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52670, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 15, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 22, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 29, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 30, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 2, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 15, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 29, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 2, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 1, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 28, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 27, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 28, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 18, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 11, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 20, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 7, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 6, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52689, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 28, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52690, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 21, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52691, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 28, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52692, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 2, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52693, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B03', '', 1, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52694, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 29, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52695, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 29, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52696, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 30, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52697, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 2, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52698, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C09', '', 1, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52699, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 6, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52700, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C18', '', 1, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52701, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 9, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52702, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 28, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52703, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 1, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52704, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 7, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52705, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 18, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52706, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 11, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52707, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52708, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B16', '', 1, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52709, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 22, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52710, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52711, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 15, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52712, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 7, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52713, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 6, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52714, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52715, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 28, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52716, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 29, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52717, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 30, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52718, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 28, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52719, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 20, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52720, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 29, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52721, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 1, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52722, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52723, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 18, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52724, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 11, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52725, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 27, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52726, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 2, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52727, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 2, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52728, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 22, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52729, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 15, 2024, 3, 11, '2024-08-05 16:27:19', NULL, NULL), (52730, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 153, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52731, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 2, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52732, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 138, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52733, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52734, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 16, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52735, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52736, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52737, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 17, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 30, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 27, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 1, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 36, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 2, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 28, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 29, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 5, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 43, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 26, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 3, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 26, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 2, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C26', '', 2, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 7, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 26, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 316, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52760, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 138, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52761, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 153, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52762, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 2, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52763, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 2, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52764, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 5, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52765, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 15, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52766, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C26', '', 1, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 43, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 26, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 28, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 29, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 2, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 3, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 7, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 26, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 26, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 27, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 36, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 17, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 30, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 5, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 2, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52787, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 27, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52788, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52789, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 30, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52790, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 2, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52791, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 2, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52792, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 26, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52793, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 26, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52794, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 29, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52795, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 3, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52796, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 5, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52797, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52798, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 26, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52799, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 1, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52800, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 7, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52801, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C26', '', 2, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52802, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 2, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52803, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52804, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 36, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52805, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 17, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52806, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 43, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52807, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 28, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52808, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 26, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52809, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 29, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52810, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 27, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52811, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 30, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52812, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C26', '', 1, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52813, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 2, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52814, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 7, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52815, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 26, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52816, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52817, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 36, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52818, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 17, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52819, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 26, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52820, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52821, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52822, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 1, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52823, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 5, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52824, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 3, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52825, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 2, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52826, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 43, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52827, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 28, 2024, 3, 12, '2024-08-05 16:27:19', NULL, NULL), (52828, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 120, 2024, 3, 13, '2024-08-05 16:27:19', NULL, NULL), (52829, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 1, 2024, 3, 13, '2024-08-05 16:27:19', NULL, NULL), (52830, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 123, 2024, 3, 13, '2024-08-05 16:27:19', NULL, NULL), (52831, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2024, 3, 13, '2024-08-05 16:27:19', NULL, NULL), (52832, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 11, 2024, 3, 13, '2024-08-05 16:27:19', NULL, NULL), (52833, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 3, 13, '2024-08-05 16:27:19', NULL, NULL), (52834, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 2, 2024, 3, 13, '2024-08-05 16:27:19', NULL, NULL), (52835, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 3, 13, '2024-08-05 16:27:19', NULL, NULL), (52836, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 3, 13, '2024-08-05 16:27:19', NULL, NULL), (52837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 6, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 15, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B06', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 13, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 25, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 22, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 22, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 29, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 27, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 25, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 20, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 6, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D04', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 9, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D06', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 30, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 259, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52862, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 122, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52863, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 120, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52864, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52865, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 10, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52866, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 5, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52867, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 29, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 26, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 22, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 22, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 25, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 20, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 9, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 30, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 13, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 25, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 6, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 15, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 6, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 3, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52887, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 25, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52888, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52889, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 15, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52890, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 9, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52891, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52892, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '2B06', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52893, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 25, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52894, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 27, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52895, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 22, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52896, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 20, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52897, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D06', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52898, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52899, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52900, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 30, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52901, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 6, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52902, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52903, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52904, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 13, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52905, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 6, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52906, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 29, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52907, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D04', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52908, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 22, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52909, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52910, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52911, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52912, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 6, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52913, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52914, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 3, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52915, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52916, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 9, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52917, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 26, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52918, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 22, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52919, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 25, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52920, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 15, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52921, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 25, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52922, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52923, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 13, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52924, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 6, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52925, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 30, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52926, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52927, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 20, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52928, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 29, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52929, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 22, 2024, 3, 13, '2024-08-05 16:27:20', NULL, NULL), (52930, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 103, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52931, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52932, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 2, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52933, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 89, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52934, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 4, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52935, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 12, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52936, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52937, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '', 9, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52938, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52939, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52940, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B07', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 9, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 23, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B06', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 22, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 10, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 6, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 35, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 6, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 27, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B02', '', 6, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 3, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A02', '', 3, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B01', '', 3, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 2, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B06', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 22, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 28, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 8, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 2, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 218, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52968, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 86, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52969, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 102, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52970, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '非常满意', '', '', 9, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52971, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52972, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常不满意', '', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52973, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52974, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 12, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52975, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52976, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 2, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52977, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常不满意', '', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52978, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 3, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A02', '', 2, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B01', '', 3, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52981, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 35, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 2, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 6, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B02', '', 6, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 6, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 27, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 22, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 28, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 22, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 9, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 9, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 22, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 3, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '2A02', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '2C05', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 8, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (52999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D08', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53002, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 2, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53003, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 10, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53004, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 23, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53005, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 28, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53006, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '2B06', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53007, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '2B07', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53008, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 27, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53009, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53010, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53011, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 8, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53012, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '2B02', '', 6, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53013, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '2B01', '', 3, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53014, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53015, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53016, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 6, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53017, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A02', '', 3, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53018, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B06', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53019, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53020, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 22, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53021, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 22, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53022, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 3, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53023, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 9, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53024, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 35, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53025, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 6, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53026, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53027, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 2, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53028, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 8, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53029, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常不满意', '2C05', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53030, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (53031, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 3, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53032, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D08', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53033, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常不满意', '2A02', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53034, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53035, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 28, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53036, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 9, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53037, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '非常满意', '2B01', '', 3, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53038, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 22, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53039, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '非常满意', '2B02', '', 6, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53040, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 27, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53041, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53042, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 22, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53043, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 9, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53044, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 22, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53045, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53046, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A02', '', 2, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53047, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 6, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53048, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 35, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53049, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 6, 2024, 3, 14, '2024-08-05 16:27:20', NULL, NULL), (53050, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 72, 2024, 3, 15, '2024-08-05 16:27:20', NULL, NULL), (53051, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53052, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 84, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53053, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 5, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53054, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 12, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53055, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 3, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53056, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53057, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53058, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 7, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53059, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 14, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 16, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 15, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 14, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 11, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 7, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 6, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 5, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 23, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 8, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 11, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B02', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 5, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 3, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 2, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 4, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 12, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 21, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 185, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53083, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 82, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53084, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53085, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 72, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53086, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 3, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53087, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '非常满意', '', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53088, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 7, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53089, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 12, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53090, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53091, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53092, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 5, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 5, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 23, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 9, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 6, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B02', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 8, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 4, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 11, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 12, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 21, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 15, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 14, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 14, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 16, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 7, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 5, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 3, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 2, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53115, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53116, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 14, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53117, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 16, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53118, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 12, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53119, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53120, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 8, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53121, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 23, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53122, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 11, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53123, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 11, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53124, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 7, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53125, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53126, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 21, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53127, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 4, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53128, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 15, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53129, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 5, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53130, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 3, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53131, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '2B02', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53132, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 14, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53133, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53134, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 5, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53135, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 6, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53136, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 2, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53137, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 12, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53138, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53139, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 23, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53140, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 9, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53141, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 14, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53142, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 16, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53143, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '非常满意', '2B02', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53144, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 3, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53145, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 8, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53146, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 4, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53147, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53148, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 15, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53149, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 14, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53150, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 21, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53151, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53152, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 2, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53153, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 5, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53154, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 7, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53155, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 11, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53156, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 1, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53157, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 5, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53158, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 6, 2024, 3, 15, '2024-08-05 16:27:21', NULL, NULL), (53159, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 121, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53160, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53161, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 104, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53162, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53163, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53164, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 11, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53165, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53166, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53167, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53168, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 19, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 15, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 13, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 32, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 12, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 6, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A02', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 22, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 21, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 21, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 20, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C02', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 2, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B01', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 18, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 26, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 246, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53197, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 104, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53198, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 121, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53199, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53200, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53201, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53202, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '非常满意', '', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53203, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53204, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 9, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53205, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53206, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 2, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B01', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 22, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 21, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 12, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 6, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 21, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 20, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 18, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 26, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 13, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 32, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 19, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 15, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 2, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 3, 18, '2024-08-05 16:27:21', NULL, NULL), (53231, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 13, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53232, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 19, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53233, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53234, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 18, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53235, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53236, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 21, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53237, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 21, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53238, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 12, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53239, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53240, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 1, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53241, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53242, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '2B01', '', 1, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53243, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53244, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53245, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53246, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 20, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53247, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53248, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53249, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 26, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53250, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 32, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53251, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 2, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53252, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53253, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 15, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53254, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A02', '', 1, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53255, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 22, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53256, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C02', '', 1, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53257, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 6, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53258, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53259, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53260, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53261, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 2, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53262, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53263, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53264, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 18, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53265, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 21, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53266, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 12, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53267, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 13, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53268, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '非常满意', '2B01', '', 1, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53269, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 19, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53270, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 21, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53271, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53272, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 32, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53273, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 15, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53274, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 26, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53275, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53276, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 1, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53277, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53278, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 20, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53279, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53280, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 22, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53281, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 6, 2024, 3, 18, '2024-08-05 16:27:22', NULL, NULL), (53282, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 121, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53283, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 2, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53284, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 104, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53285, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 5, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53286, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 20, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53287, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53288, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53289, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 25, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 14, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 3, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 17, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 26, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 24, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 31, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 8, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 20, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 15, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 5, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 3, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D01', '', 1, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 1, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 11, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C09', '', 1, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 18, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 27, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 253, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53314, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 103, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53315, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 121, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53316, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 2, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53317, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53318, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 19, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53319, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 5, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 8, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 19, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 24, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 2, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 3, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 31, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 15, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 18, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 27, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 11, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 17, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 26, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 25, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 14, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 3, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 2, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 5, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53339, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 17, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53340, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53341, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 25, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53342, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 18, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53343, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 3, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53344, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 2, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53345, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 20, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53346, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 24, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53347, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 15, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53348, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C09', '', 1, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53349, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53350, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 11, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53351, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A09', '', 1, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53352, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 27, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53353, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 5, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53354, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53355, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 26, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53356, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 3, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53357, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D01', '', 1, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53358, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 14, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53359, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 8, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53360, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53361, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 31, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53362, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 18, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53363, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 19, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53364, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 24, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53365, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 17, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53366, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 25, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53367, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 3, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53368, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 11, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53369, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 26, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53370, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 14, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53371, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 27, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53372, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 3, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53373, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 2, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53374, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 5, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53375, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53376, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 15, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53377, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 2, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53378, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 8, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53379, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53380, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 31, 2024, 3, 19, '2024-08-05 16:27:22', NULL, NULL), (53381, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 117, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53382, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 1, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53383, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 122, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53384, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 3, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53385, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 12, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53386, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53387, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53388, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 9, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53389, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '退役军人大厅', 1, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 11, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 22, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 5, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 26, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 32, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 27, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 22, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 14, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C10', '', 2, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 26, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 4, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 21, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B02', '', 1, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 14, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 2, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B06', '', 1, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D04', '', 1, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 24, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 264, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53416, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 121, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53417, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53418, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 117, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53419, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53420, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 9, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53421, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 12, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53422, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53423, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 2, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 14, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 26, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 27, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 22, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 21, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 14, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 24, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 26, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 32, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 11, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 21, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 2, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 2, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D04', '', 1, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53440, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53441, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 5, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C10', '', 2, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 4, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 4, 2024, 3, 20, '2024-08-05 16:27:22', NULL, NULL), (53446, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 26, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53447, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53448, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C10', '', 2, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53449, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 22, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53450, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B02', '', 1, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53451, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53452, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 21, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53453, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 26, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53454, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 27, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53455, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 14, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53456, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53457, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B06', '', 1, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53458, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53459, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 24, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53460, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53461, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 2, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53462, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 32, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53463, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53464, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 11, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53465, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D04', '', 1, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53466, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 14, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53467, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 4, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53468, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 22, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53469, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 5, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53470, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (53471, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53472, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 2, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53473, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 2, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53474, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 4, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53475, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D04', '', 1, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53476, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 5, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53477, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 26, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53478, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 27, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53479, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 26, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53480, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 21, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53481, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 21, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53482, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53483, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 32, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53484, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 11, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53485, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 24, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53486, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C10', '', 2, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53487, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53488, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 4, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53489, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 14, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53490, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 14, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53491, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 22, 2024, 3, 20, '2024-08-05 16:27:23', NULL, NULL), (53492, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 113, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53493, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53494, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53495, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 99, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53496, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 8, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53497, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 16, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53498, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53499, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 2, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53500, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53501, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 14, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 10, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B06', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 23, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 19, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 18, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 21, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 5, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 23, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 16, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 18, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B02', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 6, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 2, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 13, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 37, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C15', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 4, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 237, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53528, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 97, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53529, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 113, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53530, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53531, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53532, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 2, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53533, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53534, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 14, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53535, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53536, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 7, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 21, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 23, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 2, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 18, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 15, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 18, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 13, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 37, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 23, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 18, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 14, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 10, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 5, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 6, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C15', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 3, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53560, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 19, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53561, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 5, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53562, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 10, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53563, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 13, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53564, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53565, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53566, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '2B06', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53567, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 16, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53568, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 23, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53569, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 18, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53570, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 18, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53571, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53572, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 37, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53573, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53574, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 23, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53575, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 6, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53576, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C15', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53577, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 14, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53578, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 4, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53579, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B02', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53580, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 2, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53581, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 21, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53582, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53583, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53584, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53585, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53586, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53587, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C15', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53588, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 3, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53589, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 5, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53590, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 6, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53591, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53592, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 13, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53593, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 23, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53594, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 18, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53595, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 18, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53596, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 10, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53597, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 15, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53598, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53599, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 23, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53600, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 14, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53601, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 37, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53602, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53603, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53604, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 18, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53605, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 2, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53606, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 21, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53607, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2024, 3, 21, '2024-08-05 16:27:23', NULL, NULL), (53608, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 76, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53609, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 133, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53610, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 15, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53611, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53612, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 10, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 13, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 23, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 4, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 22, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 23, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 24, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 6, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C10', '', 2, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 8, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 19, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 17, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 8, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 6, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C27', '', 1, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C09', '', 3, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 3, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 25, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 21, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 234, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53637, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 132, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53638, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 76, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53639, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53640, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 10, 2024, 3, 22, '2024-08-05 16:27:23', NULL, NULL), (53641, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 15, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 8, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 18, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 24, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 6, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C27', '', 1, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 17, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 8, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 25, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 21, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 3, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 22, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 23, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 13, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 23, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 4, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C09', '', 3, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C10', '', 2, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 6, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53665, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 23, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53666, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53667, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C10', '', 2, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53668, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 23, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53669, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 21, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53670, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 3, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53671, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53672, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C09', '', 3, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53673, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 17, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53674, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 19, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53675, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 24, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53676, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 8, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53677, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 6, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53678, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53679, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 25, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53680, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C27', '', 1, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53681, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53682, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 22, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53683, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 13, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53684, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 6, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53685, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 8, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53686, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53687, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 4, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53688, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 21, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53689, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 3, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53690, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C09', '', 3, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53691, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 18, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53692, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 24, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53693, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 23, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53694, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 23, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53695, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53696, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 6, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53697, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C27', '', 1, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53698, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 17, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53699, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53700, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 22, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53701, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 13, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53702, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 25, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53703, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53704, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53705, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C10', '', 2, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53706, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53707, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 6, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53708, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 8, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53709, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 8, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53710, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 4, 2024, 3, 22, '2024-08-05 16:27:24', NULL, NULL), (53711, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 3, 2024, 3, 23, '2024-08-05 16:27:24', NULL, NULL), (53712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 3, 2024, 3, 23, '2024-08-05 16:27:24', NULL, NULL), (53713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 3, 2024, 3, 23, '2024-08-05 16:27:24', NULL, NULL), (53714, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 3, 2024, 3, 23, '2024-08-05 16:27:24', NULL, NULL), (53715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 3, 2024, 3, 23, '2024-08-05 16:27:24', NULL, NULL), (53716, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 3, 2024, 3, 23, '2024-08-05 16:27:24', NULL, NULL), (53717, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 3, 2024, 3, 23, '2024-08-05 16:27:24', NULL, NULL), (53718, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 117, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53719, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53720, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 129, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53721, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 7, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53722, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 2, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53723, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 16, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53724, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53725, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53726, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53727, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 6, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 23, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 34, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 24, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 26, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 23, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 19, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 18, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 33, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 7, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 2, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B08', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 15, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 25, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C10', '', 3, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 6, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C18', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D02', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 275, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53755, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53756, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 128, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53757, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 117, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53758, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 2, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53759, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53760, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53761, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 5, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53762, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 14, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53763, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 7, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '2C06', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 23, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 19, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 26, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 2, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 18, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 33, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B08', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 15, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 25, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 34, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 24, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 6, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 22, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 7, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 5, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 4, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C10', '', 3, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 3, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53787, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 24, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53788, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53789, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 23, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53790, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 15, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53791, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53792, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '2B08', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53793, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 18, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53794, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 23, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53795, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 26, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53796, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53797, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C18', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53798, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D02', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53799, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 6, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53800, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53801, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53802, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C10', '', 3, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53803, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 33, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53804, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 2, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53805, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53806, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 25, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53807, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 34, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53808, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53809, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 7, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53810, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A05', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53811, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 6, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53812, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 19, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53813, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 3, 25, '2024-08-05 16:27:25', NULL, NULL), (53814, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 5, 2024, 3, 25, '2024-08-05 16:27:25', NULL, NULL), (53815, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '2C06', '', 1, 2024, 3, 25, '2024-08-05 16:27:25', NULL, NULL), (53816, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53817, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 7, 2024, 3, 25, '2024-08-05 16:27:25', NULL, NULL), (53818, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 4, 2024, 3, 25, '2024-08-05 16:27:25', NULL, NULL), (53819, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 3, 25, '2024-08-05 16:27:25', NULL, NULL), (53820, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 15, 2024, 3, 25, '2024-08-05 16:27:25', NULL, NULL), (53821, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 23, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53822, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 26, 2024, 3, 25, '2024-08-05 16:27:25', NULL, NULL), (53823, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 24, 2024, 3, 25, '2024-08-05 16:27:25', NULL, NULL), (53824, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 22, 2024, 3, 25, '2024-08-05 16:27:25', NULL, NULL), (53825, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 18, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53826, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 3, 25, '2024-08-05 16:27:25', NULL, NULL), (53827, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 34, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53828, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '2B08', '', 1, 2024, 3, 25, '2024-08-05 16:27:25', NULL, NULL), (53829, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 6, 2024, 3, 25, '2024-08-05 16:27:25', NULL, NULL), (53830, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 25, 2024, 3, 25, '2024-08-05 16:27:25', NULL, NULL), (53831, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 2, 2024, 3, 25, '2024-08-05 16:27:25', NULL, NULL), (53832, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C10', '', 3, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53833, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 3, 2024, 3, 25, '2024-08-05 16:27:25', NULL, NULL), (53834, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 33, 2024, 3, 25, '2024-08-05 16:27:24', NULL, NULL), (53835, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 19, 2024, 3, 25, '2024-08-05 16:27:25', NULL, NULL), (53836, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 126, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53837, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 2, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53838, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 94, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53839, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 5, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53840, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 14, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53841, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 19, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 28, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 37, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 6, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 24, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 8, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 14, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 18, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 6, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B02', '', 1, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 25, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 4, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 16, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 27, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 240, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53862, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 93, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53863, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 125, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53864, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 2, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53865, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53866, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 14, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53867, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 3, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 13, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 18, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 24, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 2, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 6, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 25, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 16, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 26, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 37, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 6, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 19, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 28, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 3, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 8, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 3, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53886, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 6, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53887, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 8, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53888, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 28, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53889, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 16, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53890, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53891, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 2, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53892, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 6, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53893, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 14, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53894, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 24, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53895, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 25, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53896, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53897, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53898, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 27, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53899, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 4, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53900, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 37, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53901, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B02', '', 1, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53902, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 19, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53903, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53904, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 18, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53905, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 16, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53906, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 13, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53907, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 24, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53908, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 6, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53909, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 28, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (53910, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 6, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53911, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53912, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 37, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53913, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 19, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53914, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 26, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53915, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53916, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 8, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53917, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53918, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 3, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53919, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 3, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53920, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 25, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53921, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 2, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53922, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 18, 2024, 3, 26, '2024-08-05 16:27:25', NULL, NULL), (53923, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 65, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53924, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 61, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53925, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 8, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53926, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '', 1, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53927, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 7, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 18, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 7, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 6, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 2, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 7, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 20, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 3, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 1, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 12, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C01', '', 1, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 2, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 16, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 32, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B10', '', 1, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 1, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 133, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53946, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 61, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53947, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 64, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53948, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常不满意', '', '', 1, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53949, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 8, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '2A04', '', 1, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 7, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 20, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 1, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 2, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 11, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 16, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 32, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 7, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 6, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 7, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 18, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 3, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C01', '', 1, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53965, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 6, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53966, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 18, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53967, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 3, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53968, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 16, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53969, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 2, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53970, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 1, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53971, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 20, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53972, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '2B10', '', 1, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53973, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 12, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53974, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53975, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 32, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53976, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 2, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53977, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 7, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53978, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 7, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53979, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 7, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53980, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C01', '', 1, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53981, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 16, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53982, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 20, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53983, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 6, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53984, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 18, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53985, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 1, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53986, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 2, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53987, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 7, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53988, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 7, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53989, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 32, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53990, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53991, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 3, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53992, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C01', '', 1, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53993, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常不满意', '2A04', '', 1, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53994, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 11, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53995, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 7, 2024, 3, 27, '2024-08-05 16:27:25', NULL, NULL), (53996, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 112, 2024, 3, 28, '2024-08-05 16:27:25', NULL, NULL), (53997, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 94, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (53998, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', '', '', 1, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (53999, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 5, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54000, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 10, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54001, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54002, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 3, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 21, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 31, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 20, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 2, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 20, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 16, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 22, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 18, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 5, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 4, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 1, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 17, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 38, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 223, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54023, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 94, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54024, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 111, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54025, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54026, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 9, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54027, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 5, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 16, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 22, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 20, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 4, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 18, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 17, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 37, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 31, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 20, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 3, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 21, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 3, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 5, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54045, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 20, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54046, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54047, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 21, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54048, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 17, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54049, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 2, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54050, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 16, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54051, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 20, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54052, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', 'A09', '', 1, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54053, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 18, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54054, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54055, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54056, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 38, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54057, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 4, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54058, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 5, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54059, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 31, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54060, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54061, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 3, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54062, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 22, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54063, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54064, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 17, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54065, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 16, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54066, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 20, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54067, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 20, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54068, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 21, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54069, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 4, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54070, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54071, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 31, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54072, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 3, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54073, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 37, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54074, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54075, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54076, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 5, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54077, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 3, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54078, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 18, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54079, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 22, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54080, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 3, 28, '2024-08-05 16:27:26', NULL, NULL), (54081, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 86, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54082, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 55, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54083, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54084, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 18, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54085, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 7, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 4, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 20, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 15, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 12, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 6, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 13, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 15, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 12, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 8, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 12, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 3, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 25, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 12, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 161, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54107, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 55, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54108, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 86, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54109, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 12, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54110, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 7, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54111, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 15, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 12, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 2, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 12, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 13, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 12, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 25, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 12, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 20, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 15, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 4, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 6, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 6, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54130, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 15, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54131, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 8, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54132, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 12, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54133, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54134, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54135, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 15, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54136, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 12, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54137, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 12, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54138, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 6, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54139, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54140, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54141, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 25, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54142, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 20, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54143, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54144, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 4, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54145, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 3, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54146, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 12, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54147, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54148, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 13, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54149, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54150, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 12, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54151, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 15, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54152, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 12, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54153, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 15, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54154, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 2, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54155, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54156, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54157, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 20, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54158, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 4, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54159, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 25, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54160, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54161, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 6, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54162, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54163, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 6, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54164, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 12, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54165, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 12, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54166, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 13, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54167, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 3, 29, '2024-08-05 16:27:26', NULL, NULL), (54168, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 3, 30, '2024-08-05 16:27:26', NULL, NULL), (54169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D07', '', 1, 2024, 3, 30, '2024-08-05 16:27:26', NULL, NULL), (54170, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D07', '', 1, 2024, 3, 30, '2024-08-05 16:27:26', NULL, NULL), (54171, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 100, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54172, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 129, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54173, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 4, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54174, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 10, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54175, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54176, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54177, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 16, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 27, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 20, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 21, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 7, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 15, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B01', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 8, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 33, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 3, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 24, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B16', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 25, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 33, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 245, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54201, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 129, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54202, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 100, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54203, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54204, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54205, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 7, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54206, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54207, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 2, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 8, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 33, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 7, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 15, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 24, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 25, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 33, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 20, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 21, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 16, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 27, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B01', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 4, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54227, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 21, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54228, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 27, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54229, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 3, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54230, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B01', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54231, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 33, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54232, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54233, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 33, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54234, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 15, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54235, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 24, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54236, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54237, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54238, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 25, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54239, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 20, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54240, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54241, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54242, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 16, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54243, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54244, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B16', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54245, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 8, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54246, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54247, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54248, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 7, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54249, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 33, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54250, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 33, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54251, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 15, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54252, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 21, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54253, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 27, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54254, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54255, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54256, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 20, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54257, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 16, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54258, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 25, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54259, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54260, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54261, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54262, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54263, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B01', '', 1, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54264, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 4, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54265, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 24, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54266, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 8, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54267, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 7, 2024, 4, 1, '2024-08-05 16:27:27', NULL, NULL), (54268, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 95, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54269, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 128, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54270, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 11, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54271, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 14, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54272, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 5, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54273, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 10, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 31, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 28, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 46, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 26, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 9, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C02', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 20, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 7, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 4, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 3, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 9, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D06', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 28, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 25, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 253, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54297, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 127, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54298, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 5, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54299, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 93, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54300, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 5, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54301, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 12, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54302, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 11, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 26, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 9, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 4, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 3, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 18, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 28, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 24, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D08', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 9, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 28, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 46, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D06', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 10, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 31, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 4, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 7, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54323, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 46, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54324, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54325, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 31, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54326, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 25, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54327, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54328, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 26, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54329, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 20, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54330, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D06', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54331, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54332, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 9, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54333, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54334, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 28, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54335, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 28, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54336, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 3, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54337, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 7, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54338, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 10, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54339, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C02', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54340, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 9, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54341, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54342, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54343, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54344, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 4, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54345, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 3, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54346, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 24, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54347, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 26, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54348, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 46, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54349, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 4, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54350, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 31, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54351, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 9, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (54352, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 28, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54353, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 10, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54354, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 28, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54355, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54356, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54357, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54358, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 7, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54359, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D08', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54360, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D06', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54361, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 4, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54362, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 18, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54363, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 9, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54364, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 4, 2, '2024-08-05 16:27:27', NULL, NULL), (54365, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 68, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54366, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 1, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54367, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 2, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54368, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 98, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54369, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 13, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54370, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54371, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 8, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 25, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 20, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B06', '', 1, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 11, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 28, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 20, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 10, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 29, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 25, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 185, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54389, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 98, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54390, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 68, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54391, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 2, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54392, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54393, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 13, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54394, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 11, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 28, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 2, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 20, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 29, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 25, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 10, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 20, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 8, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 25, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 2, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54410, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 20, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54411, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54412, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 25, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54413, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 25, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54414, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 2, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54415, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54416, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '2B06', '', 1, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54417, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 28, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54418, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 20, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54419, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54420, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 10, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54421, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 29, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54422, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 8, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54423, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54424, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 11, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54425, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54426, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 25, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54427, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 28, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54428, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 20, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54429, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 25, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54430, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 10, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54431, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 8, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54432, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 29, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54433, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54434, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 2, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54435, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54436, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54437, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 20, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54438, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 2, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54439, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 11, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54440, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 4, 3, '2024-08-05 16:27:28', NULL, NULL), (54441, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 1, 2024, 4, 4, '2024-08-05 16:27:28', NULL, NULL), (54442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 1, 2024, 4, 4, '2024-08-05 16:27:28', NULL, NULL), (54443, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 1, 2024, 4, 4, '2024-08-05 16:27:28', NULL, NULL), (54444, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 1, 2024, 4, 5, '2024-08-05 16:27:28', NULL, NULL), (54445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 1, 2024, 4, 5, '2024-08-05 16:27:28', NULL, NULL), (54446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 1, 2024, 4, 5, '2024-08-05 16:27:28', NULL, NULL), (54447, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 1, 2024, 4, 5, '2024-08-05 16:27:28', NULL, NULL), (54448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 1, 2024, 4, 5, '2024-08-05 16:27:28', NULL, NULL), (54449, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 1, 2024, 4, 5, '2024-08-05 16:27:28', NULL, NULL), (54450, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 1, 2024, 4, 5, '2024-08-05 16:27:28', NULL, NULL), (54451, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 36, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54452, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 102, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54453, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54454, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 14, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54455, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 1, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 11, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 20, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 17, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 1, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 27, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 13, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 8, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 2, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 1, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 4, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 13, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 27, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 154, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54476, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '', '', 1, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54477, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 101, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54478, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 34, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54479, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 5, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54480, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 13, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54481, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 27, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 13, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 17, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 7, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 4, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 13, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 26, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 20, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 1, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 11, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '2C07', '', 1, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 2, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 4, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54499, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 20, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54500, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54501, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 11, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54502, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 27, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54503, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 27, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54504, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 17, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54505, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 8, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54506, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54507, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54508, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 1, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54509, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 13, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54510, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 4, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54511, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 2, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54512, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 1, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54513, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 4, 7, '2024-08-05 16:27:28', NULL, NULL), (54514, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 13, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54515, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54516, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 1, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54517, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 26, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54518, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 27, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54519, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 17, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54520, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 20, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54521, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 11, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54522, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 4, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54523, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54524, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '2C07', '', 1, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54525, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 1, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54526, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 13, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54527, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 2, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54528, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54529, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 1, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54530, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 4, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54531, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 7, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54532, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 13, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54533, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 4, 7, '2024-08-05 16:27:29', NULL, NULL), (54534, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 73, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54535, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 5, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54536, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 2, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54537, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 124, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54538, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54539, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 19, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54540, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54541, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54542, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '项目工程审批大厅', 2, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 10, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 14, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 28, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 29, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B06', '', 2, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 6, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 21, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 24, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 14, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 11, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 5, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A02', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B16', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D02', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 12, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C09', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 27, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 22, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 222, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54570, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 123, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54571, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 73, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54572, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 5, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54573, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54574, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 18, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A02', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 23, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 14, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 5, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 6, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 21, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 11, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 27, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 22, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 11, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 29, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C09', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 14, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 28, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 3, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 3, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54594, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 29, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54595, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 28, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54596, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 22, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54597, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54598, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 5, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54599, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '2B06', '', 2, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54600, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 24, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54601, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 21, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54602, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 11, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54603, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A02', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54604, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C09', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54605, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54606, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 12, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54607, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 27, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54608, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54609, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D02', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54610, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54611, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 14, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54612, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54613, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 14, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54614, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B16', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54615, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54616, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 6, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54617, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54618, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54619, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 3, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54620, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 22, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54621, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 23, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54622, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 21, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54623, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 29, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54624, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 28, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54625, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54626, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 11, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54627, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C09', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54628, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 14, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54629, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 27, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54630, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54631, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 3, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54632, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A02', '', 1, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54633, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 11, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54634, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 5, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54635, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 14, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54636, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 6, 2024, 4, 8, '2024-08-05 16:27:29', NULL, NULL), (54637, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 66, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54638, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 92, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54639, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 3, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54640, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 21, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54641, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54642, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54643, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 3, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 6, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 24, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 17, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C22', '', 1, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 9, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 13, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 23, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 15, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 19, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 1, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 2, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 2, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 16, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D05', '', 1, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 17, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 15, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 182, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54666, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 92, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54667, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 65, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54668, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54669, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54670, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 20, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54671, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 23, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 15, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 9, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 13, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 2, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 18, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 17, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 15, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 15, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 17, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 6, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 24, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C22', '', 1, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 3, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 1, 2024, 4, 9, '2024-08-05 16:27:29', NULL, NULL), (54690, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C22', '', 1, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54691, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 17, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54692, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 24, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54693, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 15, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54694, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54695, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 23, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54696, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 13, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54697, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 19, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54698, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54699, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D05', '', 1, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54700, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 16, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54701, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 17, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54702, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 2, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54703, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54704, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 2, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54705, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 6, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54706, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 15, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54707, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 1, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54708, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 9, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54709, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54710, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 15, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54711, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 23, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54712, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 13, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54713, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 17, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54714, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 24, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54715, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54716, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 2, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54717, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 15, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54718, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 6, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54719, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 17, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54720, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54721, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C22', '', 1, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54722, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 1, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54723, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 1, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54724, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 3, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54725, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 18, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54726, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 15, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54727, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 9, 2024, 4, 9, '2024-08-05 16:27:30', NULL, NULL), (54728, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 75, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54729, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 1, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54730, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 94, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54731, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 15, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54732, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54733, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '退役军人大厅', 1, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 3, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 17, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 17, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C22', '', 1, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 12, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 11, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 18, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 33, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 4, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 20, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 18, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 2, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B06', '', 1, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 2, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 8, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 10, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 13, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 187, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54754, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 94, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54755, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 73, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54756, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 2, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54757, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 15, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54758, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 18, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 32, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 12, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 11, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 2, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 19, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 18, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 10, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 13, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 8, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 17, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 17, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C22', '', 1, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 3, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 4, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 2, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54775, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C22', '', 1, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54776, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 17, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54777, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 17, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54778, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 13, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54779, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 18, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54780, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 18, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54781, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 11, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54782, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 20, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54783, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54784, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 8, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54785, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 10, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54786, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B06', '', 1, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54787, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 2, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54788, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 2, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54789, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 4, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54790, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 33, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54791, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 12, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54792, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 13, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54793, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 18, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54794, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 11, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (54795, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 17, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54796, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 17, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54797, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 2, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54798, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 2, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54799, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 18, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54800, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 8, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54801, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 10, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54802, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C22', '', 1, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54803, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 4, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54804, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 3, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54805, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 19, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54806, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 32, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54807, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 12, 2024, 4, 10, '2024-08-05 16:27:30', NULL, NULL), (54808, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 73, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54809, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54810, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 87, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54811, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '', 2, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54812, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 15, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54813, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54814, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '', 3, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54815, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54816, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '', '', 2, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54817, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '项目工程审批大厅', 8, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 4, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 14, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B06', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 2, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 12, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 16, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 14, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 24, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 12, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 19, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 14, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B02', '', 2, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B01', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 3, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 4, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B09', '', 2, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 14, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 21, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B10', '', 2, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 181, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54847, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 86, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54848, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常不满意', '', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54849, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 72, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54850, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54851, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '非常满意', '', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54852, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '非常满意', '', '', 2, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54853, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54854, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54855, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '非常满意', '', '', 2, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54856, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 14, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54857, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B01', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 24, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 12, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 15, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 14, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', 'C30', '', 1, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 19, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 14, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 14, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 20, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B09', '', 2, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 12, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 14, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '2C07', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B10', '', 2, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 3, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 4, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 3, 2024, 4, 11, '2024-08-05 16:27:30', NULL, NULL), (54881, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 12, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54882, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 14, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54883, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 21, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54884, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 2, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54885, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54886, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '2B09', '', 2, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54887, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '2B06', '', 1, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54888, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 14, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54889, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 12, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54890, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 14, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54891, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 19, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54892, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '', '2B10', '', 2, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54893, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54894, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54895, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 14, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54896, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 4, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54897, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54898, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '2B02', '', 2, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54899, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 3, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54900, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '2B01', '', 1, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54901, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54902, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 24, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54903, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54904, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 16, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54905, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54906, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 3, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54907, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 4, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54908, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '2C07', '', 1, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54909, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常不满意', 'C30', '', 1, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54910, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '非常满意', '2B09', '', 2, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54911, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54912, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 20, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54913, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 12, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54914, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 14, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54915, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 12, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54916, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '非常满意', '2B01', '', 1, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54917, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 14, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54918, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 14, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54919, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏生态环境局', '非常满意', '2B10', '', 2, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54920, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54921, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 14, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54922, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54923, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54924, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 3, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54925, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 19, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54926, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 24, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54927, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 15, 2024, 4, 11, '2024-08-05 16:27:31', NULL, NULL), (54928, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 73, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54929, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54930, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 101, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54931, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54932, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 15, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54933, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54934, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 2, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 18, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 21, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 17, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 21, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 34, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 22, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 23, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 18, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B16', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D12', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C07', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 11, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 2, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 187, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54955, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '', '', 2, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54956, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 99, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54957, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54958, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 72, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54959, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 13, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54960, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54961, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '2C03', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '2C04', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 33, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 21, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 16, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 21, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D12', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 23, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 18, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 11, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 21, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 18, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54978, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54979, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 21, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54980, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 18, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54981, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54982, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 23, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54983, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 22, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54984, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 17, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54985, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 18, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54986, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54987, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C07', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54988, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 11, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54989, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54990, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D12', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54991, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B16', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54992, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 34, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54993, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54994, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 21, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54995, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D12', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54996, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54997, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 21, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54998, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 16, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (54999, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 21, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (55000, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 18, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (55001, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 23, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (55002, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '2C03', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (55003, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '2C04', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (55004, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 11, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (55005, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (55006, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (55007, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (55008, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 18, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (55009, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 33, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (55010, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 21, 2024, 4, 12, '2024-08-05 16:27:31', NULL, NULL), (55011, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 65, 2024, 4, 15, '2024-08-05 16:27:31', NULL, NULL), (55012, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 1, 2024, 4, 15, '2024-08-05 16:27:31', NULL, NULL), (55013, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 119, 2024, 4, 15, '2024-08-05 16:27:31', NULL, NULL), (55014, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 20, 2024, 4, 15, '2024-08-05 16:27:31', NULL, NULL), (55015, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 4, 15, '2024-08-05 16:27:31', NULL, NULL), (55016, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 4, 15, '2024-08-05 16:27:31', NULL, NULL), (55017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '退役军人大厅', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 4, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 19, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 18, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 17, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 15, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B01', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 18, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 27, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 11, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 23, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 4, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 12, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 9, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 26, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 201, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55040, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55041, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 116, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55042, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 63, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55043, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', '', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55044, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55045, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 17, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '2C02', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 17, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 25, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 17, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 4, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 15, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 11, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 22, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 9, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 25, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 11, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 18, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 19, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B01', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 4, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55063, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B01', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55064, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 18, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55065, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55066, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 19, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55067, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 26, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55068, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 23, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55069, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 18, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55070, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 15, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55071, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 11, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55072, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55073, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 12, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55074, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 9, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55075, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55076, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55077, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55078, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 4, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55079, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55080, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 27, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55081, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 17, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55082, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 25, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55083, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 17, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55084, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 15, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55085, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 18, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55086, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', 'B01', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55087, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 19, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55088, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 4, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55089, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 22, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55090, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 11, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55091, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '2C02', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55092, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 1, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55093, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 9, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55094, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55095, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 4, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55096, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 11, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55097, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 25, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55098, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 17, 2024, 4, 15, '2024-08-05 16:27:32', NULL, NULL), (55099, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 82, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55100, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 106, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55101, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55102, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55103, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 14, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55104, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55105, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 5, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55106, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55107, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 7, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 15, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 18, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 24, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 18, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 17, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 18, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 28, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 18, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 8, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C07', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 5, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C09', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 14, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 10, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 4, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B16', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 210, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55136, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 105, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55137, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 81, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55138, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55139, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55140, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 5, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55141, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55142, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 13, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55143, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 18, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 28, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 5, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 18, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 17, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 18, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 7, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 14, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 10, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 24, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 15, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C09', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 17, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C11', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 4, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55167, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 24, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55168, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 18, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55169, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 10, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55170, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 18, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55171, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 18, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55172, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 18, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55173, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55174, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55175, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B16', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55176, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 4, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55177, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55178, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55179, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55180, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 8, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55181, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55182, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C09', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55183, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55184, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C07', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55185, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 14, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55186, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55187, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55188, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55189, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 15, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55190, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 5, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55191, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 28, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55192, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 17, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55193, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55194, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55195, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55196, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 10, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55197, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 18, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55198, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 18, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55199, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 24, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55200, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 17, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55201, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55202, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55203, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 18, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55204, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55205, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C09', '', 1, 2024, 4, 16, '2024-08-05 16:27:33', NULL, NULL), (55206, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 15, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55207, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 14, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55208, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55209, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C11', '', 1, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55210, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55211, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 4, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55212, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 7, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55213, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 5, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55214, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 28, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55215, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 17, 2024, 4, 16, '2024-08-05 16:27:32', NULL, NULL), (55216, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 91, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55217, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55218, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 95, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55219, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55220, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 21, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55221, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55222, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55223, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '项目工程审批大厅', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 3, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B07', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 16, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 13, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 17, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 14, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 19, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 16, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (55235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 19, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 17, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 6, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 15, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 2, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C15', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 4, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 2, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C09', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 23, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 17, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 210, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55251, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 95, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55252, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 91, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55253, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55254, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 2, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55255, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 20, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55256, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 16, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 4, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 19, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 14, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 19, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 2, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 17, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 15, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 23, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 17, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55269, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 17, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B07', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 16, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C09', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 13, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 2, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C15', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 6, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55279, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55280, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 17, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55281, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 13, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55282, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 17, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55283, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55284, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '', '2B07', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55285, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 15, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55286, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 19, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55287, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 14, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55288, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 17, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55289, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C09', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55290, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55291, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 23, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55292, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 2, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55293, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55294, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 2, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55295, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C15', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55296, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 4, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55297, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 16, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55298, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55299, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 16, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55300, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 6, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55301, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55302, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 19, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55303, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55304, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 2, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55305, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C15', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55306, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55307, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 17, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55308, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 19, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55309, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 14, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55310, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 17, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55311, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 13, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55312, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 4, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55313, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 2, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55314, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 15, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55315, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55316, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C09', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55317, 22, '511502000000-0001', '翠屏区政务服务中心', '区交通运输局', '非常满意', '2B07', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55318, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 16, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55319, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 23, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55320, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55321, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 6, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55322, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 17, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55323, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 16, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55324, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 19, 2024, 4, 17, '2024-08-05 16:27:33', NULL, NULL), (55325, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 95, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55326, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 101, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55327, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55328, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 15, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55329, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 3, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 9, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 8, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C20', '', 1, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 22, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C22', '', 2, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 24, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 26, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 3, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 18, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55343, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 25, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55344, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 21, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55345, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55346, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 1, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B07', '', 1, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 15, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 28, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 207, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55352, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 100, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55353, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 94, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55354, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55355, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 12, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 1, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 26, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 18, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 24, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 25, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 20, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 15, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 28, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 21, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 9, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 8, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C22', '', 1, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 3, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55372, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C22', '', 2, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55373, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 22, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55374, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 8, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55375, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 3, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55376, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 28, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55377, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C20', '', 1, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55378, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 25, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55379, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 18, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55380, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 21, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55381, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B07', '', 1, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55382, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55383, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55384, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 15, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55385, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 1, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55386, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 9, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55387, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55388, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 26, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55389, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55390, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55391, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 24, 2024, 4, 18, '2024-08-05 16:27:33', NULL, NULL), (55392, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 28, 2024, 4, 18, '2024-08-05 16:27:34', NULL, NULL), (55393, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 18, 2024, 4, 18, '2024-08-05 16:27:34', NULL, NULL), (55394, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 21, 2024, 4, 18, '2024-08-05 16:27:34', NULL, NULL), (55395, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 8, 2024, 4, 18, '2024-08-05 16:27:34', NULL, NULL), (55396, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 1, 2024, 4, 18, '2024-08-05 16:27:34', NULL, NULL), (55397, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 25, 2024, 4, 18, '2024-08-05 16:27:34', NULL, NULL), (55398, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2024, 4, 18, '2024-08-05 16:27:34', NULL, NULL), (55399, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 9, 2024, 4, 18, '2024-08-05 16:27:34', NULL, NULL), (55400, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 15, 2024, 4, 18, '2024-08-05 16:27:34', NULL, NULL), (55401, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C22', '', 1, 2024, 4, 18, '2024-08-05 16:27:34', NULL, NULL), (55402, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 3, 2024, 4, 18, '2024-08-05 16:27:34', NULL, NULL), (55403, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2024, 4, 18, '2024-08-05 16:27:34', NULL, NULL), (55404, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 20, 2024, 4, 18, '2024-08-05 16:27:34', NULL, NULL), (55405, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 26, 2024, 4, 18, '2024-08-05 16:27:34', NULL, NULL), (55406, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 4, 18, '2024-08-05 16:27:34', NULL, NULL), (55407, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 24, 2024, 4, 18, '2024-08-05 16:27:34', NULL, NULL), (55408, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 61, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55409, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55410, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 91, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55411, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55412, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 6, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55413, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55414, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 5, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 6, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 21, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 4, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 14, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 10, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 16, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 21, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 20, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 2, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 5, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 2, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A02', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 18, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 18, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 162, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55437, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55438, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 90, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55439, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 60, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55440, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55441, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55442, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55443, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 6, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '2C03', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A02', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 20, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 19, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 10, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 16, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 2, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 5, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 18, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 18, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 14, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 6, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 21, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 4, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55463, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 14, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55464, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 21, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55465, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 18, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55466, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55467, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 2, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55468, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 20, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55469, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 16, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55470, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 5, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55471, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A02', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55472, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55473, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 18, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55474, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55475, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 2, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55476, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 6, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55477, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55478, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 21, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55479, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55480, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 4, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55481, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 10, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55482, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 18, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55483, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 19, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55484, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 16, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55485, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 14, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55486, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 21, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55487, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55488, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55489, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 2, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55490, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '2C03', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55491, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55492, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 6, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55493, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 18, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55494, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55495, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A02', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55496, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 5, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55497, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55498, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 20, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55499, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 4, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55500, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 10, 2024, 4, 19, '2024-08-05 16:27:34', NULL, NULL), (55501, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 43, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55502, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 2, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55503, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55504, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 134, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55505, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', '', '', 1, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55506, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 26, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55507, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', '', '', 1, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55508, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '退役军人大厅', 2, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 8, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 34, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 4, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 15, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 33, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 18, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A02', '', 1, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 26, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 17, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 7, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 8, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 2, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55525, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55526, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 3, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55527, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 6, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55528, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 1, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55529, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 14, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55530, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 19, 2024, 4, 22, '2024-08-05 16:27:34', NULL, NULL), (55531, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 204, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55532, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 134, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55533, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 38, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55534, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', '', '', 2, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55535, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55536, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 24, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55537, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', '', '', 1, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55538, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 26, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 17, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 33, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 16, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 3, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 6, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 5, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 7, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 19, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 14, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 15, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 34, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 4, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A02', '', 1, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 2, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55556, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 15, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55557, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55558, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55559, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 34, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55560, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 19, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55561, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55562, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B03', '', 2, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55563, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 7, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55564, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 26, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55565, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 33, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55566, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', 'A09', '', 1, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55567, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 8, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55568, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', 'A02', '', 1, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55569, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55570, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 14, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55571, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 6, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55572, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 3, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55573, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 17, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55574, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 4, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55575, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 18, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55576, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 19, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55577, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55578, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 26, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55579, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', 'B03', '', 2, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55580, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 33, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55581, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 15, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55582, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 34, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55583, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 3, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55584, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', 'A02', '', 1, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55585, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 6, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55586, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 7, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55587, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 14, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55588, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55589, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 5, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55590, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 17, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55591, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 4, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55592, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 16, 2024, 4, 22, '2024-08-05 16:27:35', NULL, NULL), (55593, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 89, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55594, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 105, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55595, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55596, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 32, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55597, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55598, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', '', '', 5, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55599, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 6, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55600, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 11, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 22, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 15, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 16, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 24, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A02', '', 5, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 4, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 29, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 16, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 21, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 18, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 2, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 2, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 8, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C09', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 15, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 18, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D07', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 2, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 4, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 9, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C19', '', 3, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 228, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55630, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 104, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55631, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 86, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55632, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 2, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55633, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55634, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 27, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55635, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', '', '', 5, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55636, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', '', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 29, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 16, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 16, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 24, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 18, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 18, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 15, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 18, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 14, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C09', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 22, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A02', '', 5, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 4, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 2, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 2, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'C29', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 9, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 4, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55659, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 15, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55660, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 4, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55661, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 22, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55662, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 18, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55663, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 18, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55664, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 16, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55665, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 16, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55666, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', 'A02', '', 5, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55667, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55668, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C19', '', 3, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55669, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55670, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 9, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55671, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D07', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55672, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 4, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55673, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55674, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 2, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55675, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 21, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (55676, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C09', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55677, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 8, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55678, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 15, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55679, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55680, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 2, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55681, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 29, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55682, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55683, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 2, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55684, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 24, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55685, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 2, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55686, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', 'A02', '', 5, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55687, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 9, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55688, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 4, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55689, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 2, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55690, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 4, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55691, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 18, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55692, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 16, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55693, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 16, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55694, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 14, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55695, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 22, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55696, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55697, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 18, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55698, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55699, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C09', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55700, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 15, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55701, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55702, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55703, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', 'C29', '', 1, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55704, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 18, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55705, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 29, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55706, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 24, 2024, 4, 23, '2024-08-05 16:27:35', NULL, NULL), (55707, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 64, 2024, 4, 24, '2024-08-05 16:27:35', NULL, NULL), (55708, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 75, 2024, 4, 24, '2024-08-05 16:27:35', NULL, NULL), (55709, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 4, 24, '2024-08-05 16:27:35', NULL, NULL), (55710, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 15, 2024, 4, 24, '2024-08-05 16:27:35', NULL, NULL), (55711, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 6, 2024, 4, 24, '2024-08-05 16:27:35', NULL, NULL), (55712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 6, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C20', '', 1, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 4, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 14, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 6, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 18, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 11, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 10, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 12, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 17, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 19, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B16', '', 1, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 3, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 1, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 1, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C19', '', 5, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 9, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 19, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 2, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 156, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55735, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 75, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55736, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 64, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55737, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 5, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55738, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 12, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55739, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', '', '', 2, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'C19', '', 2, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 10, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 12, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 18, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 11, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C17', '', 2, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 1, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 1, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 17, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 19, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 9, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C19', '', 3, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 19, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 14, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 6, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 4, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C20', '', 1, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 3, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55760, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 14, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55761, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 4, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55762, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C20', '', 1, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55763, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 19, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55764, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 17, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55765, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 10, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55766, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 11, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55767, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 19, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55768, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55769, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C19', '', 5, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55770, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55771, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 9, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55772, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 3, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55773, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 1, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55774, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 1, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55775, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 6, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55776, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B16', '', 1, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55777, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 12, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55778, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55779, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 18, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55780, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 19, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55781, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 10, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55782, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 11, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55783, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 14, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55784, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 4, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55785, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C17', '', 2, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55786, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 1, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55787, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 1, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55788, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 17, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55789, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C19', '', 3, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55790, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55791, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 6, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55792, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C20', '', 1, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55793, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 9, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55794, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 3, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55795, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', 'C19', '', 2, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55796, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 19, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55797, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 12, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55798, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55799, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 18, 2024, 4, 24, '2024-08-05 16:27:36', NULL, NULL), (55800, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 100, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55801, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 97, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55802, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 44, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55803, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55804, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', '', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55805, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 2, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 13, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 3, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 22, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 18, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C22', '', 3, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 18, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 15, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A02', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 16, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 15, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 16, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 23, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 2, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 8, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 2, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C19', '', 11, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C18', '', 5, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 10, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 23, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 17, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 240, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55832, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 97, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55833, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 98, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55834, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 2, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55835, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55836, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 41, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55837, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', '', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 16, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 15, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 18, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 15, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 16, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 22, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 23, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 17, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 10, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 22, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 18, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 13, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C22', '', 3, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A02', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 2, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C17', '', 8, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 2, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C19', '', 10, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C18', '', 5, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55860, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C22', '', 3, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55861, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 18, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55862, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 13, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55863, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 17, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55864, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 3, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55865, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 16, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55866, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 15, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55867, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 18, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55868, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 23, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55869, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', 'A02', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55870, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55871, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C19', '', 11, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55872, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C18', '', 5, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55873, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 10, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55874, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 23, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55875, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55876, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 8, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55877, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 2, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55878, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 2, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55879, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 22, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55880, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55881, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55882, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 16, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55883, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 15, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55884, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 2, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55885, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C17', '', 8, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55886, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', 'A02', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55887, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 2, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55888, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C19', '', 10, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55889, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C18', '', 5, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55890, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C22', '', 3, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55891, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55892, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 17, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55893, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 15, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55894, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 18, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55895, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 18, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55896, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 13, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55897, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 1, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55898, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 16, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55899, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 10, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55900, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 22, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55901, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 23, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55902, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55903, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 22, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55904, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 16, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55905, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 15, 2024, 4, 25, '2024-08-05 16:27:36', NULL, NULL), (55906, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 69, 2024, 4, 26, '2024-08-05 16:27:36', NULL, NULL), (55907, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 106, 2024, 4, 26, '2024-08-05 16:27:36', NULL, NULL), (55908, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 20, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55909, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55910, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 6, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 16, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 16, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 15, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 18, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C22', '', 2, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 19, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 9, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 22, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 16, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 13, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C26', '', 2, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 3, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C19', '', 4, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 12, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 19, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 199, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55932, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 106, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55933, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 69, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55934, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55935, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 18, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55936, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C26', '', 1, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 9, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 22, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 18, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 19, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 3, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 16, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 13, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 12, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 19, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C19', '', 4, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 16, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 15, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 16, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C22', '', 2, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 4, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C21', '', 1, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55956, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C22', '', 2, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55957, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 15, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55958, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55959, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 16, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55960, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 19, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55961, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55962, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 16, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55963, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 22, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55964, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 18, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55965, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 13, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55966, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55967, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C19', '', 4, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55968, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55969, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 12, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55970, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 3, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55971, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C26', '', 2, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55972, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 16, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55973, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 9, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55974, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 19, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55975, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 19, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55976, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 22, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55977, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 18, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55978, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 15, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55979, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 16, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55980, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C26', '', 1, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55981, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 3, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55982, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 16, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55983, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C19', '', 4, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55984, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55985, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 16, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55986, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 12, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55987, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C22', '', 2, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55988, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55989, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C21', '', 1, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55990, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 4, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55991, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 13, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55992, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 9, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55993, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 19, 2024, 4, 26, '2024-08-05 16:27:37', NULL, NULL), (55994, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 4, 27, '2024-08-05 16:27:37', NULL, NULL), (55995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D10', '', 1, 2024, 4, 27, '2024-08-05 16:27:37', NULL, NULL), (55996, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D10', '', 1, 2024, 4, 27, '2024-08-05 16:27:37', NULL, NULL), (55997, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 64, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (55998, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 96, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (55999, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56000, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 8, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56001, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 6, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56002, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 6, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 20, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 20, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 15, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 1, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 11, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 22, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 12, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 18, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 16, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 11, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 1, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 10, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 5, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 172, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56022, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 96, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56023, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 63, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56024, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56025, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 8, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56026, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 12, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 18, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 11, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 22, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C17', '', 1, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56032, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 10, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56033, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 16, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56034, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 10, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56035, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 5, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56036, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56037, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 20, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56038, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 15, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56039, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 20, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56040, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2024, 4, 28, '2024-08-05 16:27:37', NULL, NULL), (56043, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 15, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56044, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 20, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56045, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 5, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56046, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 16, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56047, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 18, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56048, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 22, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56049, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 11, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56050, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56051, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56052, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 10, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56053, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 1, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56054, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 1, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56055, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56056, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 20, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56057, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 12, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56058, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56059, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 11, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56060, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 5, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56061, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 18, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56062, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 22, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56063, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 15, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56064, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 20, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56065, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C17', '', 1, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56066, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 16, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56067, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56068, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 20, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56069, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 10, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56070, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 1, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56071, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56072, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 10, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56073, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 12, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56074, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56075, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 11, 2024, 4, 28, '2024-08-05 16:27:38', NULL, NULL), (56076, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 94, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56077, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 2, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56078, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 135, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56079, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 11, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56080, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 6, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 8, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 22, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 20, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 22, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 1, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 21, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 24, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C10', '', 1, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56091, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 21, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56092, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 29, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56093, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 19, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56094, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 24, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 2, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 1, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 2, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C19', '', 1, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 8, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 19, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 243, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56104, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 132, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56105, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 93, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56106, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 6, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56107, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 10, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56108, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 2, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56109, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 20, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 2, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 29, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56112, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 18, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56113, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 24, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56114, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 19, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 24, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (56116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C19', '', 1, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 8, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 19, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 20, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 22, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 22, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C11', '', 1, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C10', '', 1, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 4, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 2, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56129, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 2, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56130, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 1, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56131, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 20, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56132, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C10', '', 1, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56133, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 22, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56134, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 19, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56135, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 24, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56136, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 29, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56137, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 21, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56138, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 19, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56139, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C19', '', 1, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56140, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56141, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56142, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 8, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56143, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 22, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56144, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 1, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56145, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 21, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56146, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56147, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 2, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56148, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56149, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 24, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56150, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 19, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56151, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 2, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56152, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 29, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56153, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 18, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56154, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 20, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56155, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 22, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56156, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 24, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56157, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C19', '', 1, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56158, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56159, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 22, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56160, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 8, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56161, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C11', '', 1, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56162, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C10', '', 1, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56163, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56164, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 2, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56165, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 4, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56166, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 19, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56167, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 20, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56168, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56169, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 24, 2024, 4, 29, '2024-08-05 16:27:38', NULL, NULL), (56170, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 77, 2024, 4, 30, '2024-08-05 16:27:38', NULL, NULL), (56171, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 85, 2024, 4, 30, '2024-08-05 16:27:38', NULL, NULL), (56172, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 29, 2024, 4, 30, '2024-08-05 16:27:38', NULL, NULL), (56173, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 8, 2024, 4, 30, '2024-08-05 16:27:38', NULL, NULL), (56174, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 4, 30, '2024-08-05 16:27:38', NULL, NULL), (56175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 8, 2024, 4, 30, '2024-08-05 16:27:38', NULL, NULL), (56176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 13, 2024, 4, 30, '2024-08-05 16:27:38', NULL, NULL), (56177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 15, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 24, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 5, 2024, 4, 30, '2024-08-05 16:27:38', NULL, NULL), (56181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 1, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 15, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 15, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 18, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 11, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 2, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2024, 4, 30, '2024-08-05 16:27:38', NULL, NULL), (56188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 13, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 13, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 2, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 4, 30, '2024-08-05 16:27:38', NULL, NULL), (56192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 8, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C19', '', 6, 2024, 4, 30, '2024-08-05 16:27:38', NULL, NULL), (56194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 7, 2024, 4, 30, '2024-08-05 16:27:38', NULL, NULL), (56196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D06', '', 1, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 18, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 193, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56200, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 85, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56201, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 74, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56202, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 8, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56203, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 26, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56204, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', '', '', 1, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 18, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 11, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 15, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 14, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 11, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 13, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 7, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 18, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 15, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 24, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 13, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'C29', '', 1, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C17', '', 8, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C19', '', 6, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 3, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C11', '', 1, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 5, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 2, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56226, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 15, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56227, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 1, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56228, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 13, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56229, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 2, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56230, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 18, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56231, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 13, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56232, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 11, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56233, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 15, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56234, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 13, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56235, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 5, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56236, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C19', '', 6, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56237, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D06', '', 1, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56238, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56239, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 7, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56240, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 8, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56241, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 24, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56242, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56243, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56244, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 18, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56245, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56246, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 2, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56247, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 15, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56248, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56249, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C17', '', 8, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56250, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C19', '', 6, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56251, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 5, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56252, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 3, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56253, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 18, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56254, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 11, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56255, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 15, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56256, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 15, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56257, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 13, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56258, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 13, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56259, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56260, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 24, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56261, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 7, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56262, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C11', '', 1, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56263, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56264, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 2, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56265, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', 'C29', '', 1, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56266, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 11, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56267, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 18, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56268, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 14, 2024, 4, 30, '2024-08-05 16:27:39', NULL, NULL), (56269, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 1, 2024, 5, 5, '2024-08-05 16:27:39', NULL, NULL), (56270, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 1, 2024, 5, 5, '2024-08-05 16:27:39', NULL, NULL), (56271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 1, 2024, 5, 5, '2024-08-05 16:27:39', NULL, NULL), (56272, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 1, 2024, 5, 5, '2024-08-05 16:27:39', NULL, NULL), (56273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 1, 2024, 5, 5, '2024-08-05 16:27:39', NULL, NULL), (56274, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 1, 2024, 5, 5, '2024-08-05 16:27:40', NULL, NULL), (56275, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 1, 2024, 5, 5, '2024-08-05 16:27:40', NULL, NULL), (56276, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 1, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56277, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 120, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56278, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 36, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56279, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56280, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', '', '', 1, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56281, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 6, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 7, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 25, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 26, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 3, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A01', '', 1, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 1, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 26, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 5, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 31, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 1, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 5, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 13, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 5, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C19', '', 1, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 12, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 159, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56303, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 117, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56304, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 1, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56305, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 35, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56306, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 6, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 5, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 31, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 1, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 25, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C17', '', 13, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 5, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 10, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 26, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 25, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 3, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 5, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 1, 2024, 5, 6, '2024-08-05 16:27:40', NULL, NULL), (56323, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 26, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56324, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 25, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56325, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 12, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56326, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 3, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56327, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 31, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56328, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 26, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56329, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', 'A01', '', 1, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56330, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C19', '', 1, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56331, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 5, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56332, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56333, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 13, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56334, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 5, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56335, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 5, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56336, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56337, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56338, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 1, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56339, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56340, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 1, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56341, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56342, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 10, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56343, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 31, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56344, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 25, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56345, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 26, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56346, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 25, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56347, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 5, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56348, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C17', '', 13, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56349, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 5, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56350, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56351, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 3, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56352, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56353, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56354, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 1, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56355, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 5, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56356, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 1, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56357, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 5, 6, '2024-08-05 16:27:41', NULL, NULL), (56358, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 105, 2024, 5, 7, '2024-08-05 16:27:41', NULL, NULL), (56359, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 5, 7, '2024-08-05 16:27:41', NULL, NULL), (56360, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 26, 2024, 5, 7, '2024-08-05 16:27:41', NULL, NULL), (56361, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 5, 7, '2024-08-05 16:27:41', NULL, NULL), (56362, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', '', '', 1, 2024, 5, 7, '2024-08-05 16:27:41', NULL, NULL), (56363, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 6, 2024, 5, 7, '2024-08-05 16:27:41', NULL, NULL), (56364, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 5, 7, '2024-08-05 16:27:41', NULL, NULL), (56365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 8, 2024, 5, 7, '2024-08-05 16:27:41', NULL, NULL), (56366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 25, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 4, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 16, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C22', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 18, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 8, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 11, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A16', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C26', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 8, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 5, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 27, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 135, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '不满意', '', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56388, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 105, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56389, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56390, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '不满意', '', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56391, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 22, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56392, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 6, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56393, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56394, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', '', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'C16', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '不满意', 'C13', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 8, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C26', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 18, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C17', '', 8, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 4, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 11, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 27, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 16, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 25, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 4, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C22', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56414, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C22', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56415, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 16, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56416, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 25, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56417, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 27, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56418, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56419, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 11, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56420, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 8, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56421, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 18, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56422, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', 'A16', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56423, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56424, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56425, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 8, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56426, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 5, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56427, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56428, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C26', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56429, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56430, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56431, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56432, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 4, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56433, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 27, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56434, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 8, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56435, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 18, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56436, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '不满意', 'C13', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56437, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 16, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56438, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 25, 2024, 5, 7, '2024-08-05 16:27:43', NULL, NULL), (56439, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56440, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C26', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56441, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C17', '', 8, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56442, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 4, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56443, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 11, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56444, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56445, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C22', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56446, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56447, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56448, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 5, 7, '2024-08-05 16:27:43', NULL, NULL), (56449, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56450, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', 'C16', '', 1, 2024, 5, 7, '2024-08-05 16:27:42', NULL, NULL), (56451, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 4, 2024, 5, 7, '2024-08-05 16:27:43', NULL, NULL), (56452, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 96, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56453, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56454, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 19, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56455, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', '', '', 1, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56456, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 8, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56457, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 10, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 21, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 7, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 27, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A01', '', 1, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C22', '', 2, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 23, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 8, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 17, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 2, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 7, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 4, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B08', '', 1, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 119, 2024, 5, 8, '2024-08-05 16:27:43', NULL, NULL), (56477, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 92, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56478, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 8, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56479, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 18, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56480, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56481, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', '', '', 1, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'C16', '', 1, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 8, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 21, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C17', '', 7, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 15, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 3, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 27, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 21, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 7, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C22', '', 2, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 2, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56497, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C22', '', 2, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56498, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 27, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56499, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 21, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56500, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56501, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 17, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56502, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 8, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56503, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 23, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56504, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', 'A01', '', 1, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56505, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56506, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56507, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 7, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56508, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 4, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56509, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B08', '', 1, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56510, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56511, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 2, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56512, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 7, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56513, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 8, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56514, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 21, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56515, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 27, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56516, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 21, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56517, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C17', '', 7, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56518, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 15, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56519, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 3, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56520, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56521, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C22', '', 2, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56522, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56523, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56524, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 2, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56525, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56526, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', 'C16', '', 1, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56527, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 7, 2024, 5, 8, '2024-08-05 16:27:44', NULL, NULL), (56528, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 24, 2024, 5, 9, '2024-08-05 16:27:44', NULL, NULL), (56529, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 115, 2024, 5, 9, '2024-08-05 16:27:44', NULL, NULL), (56530, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 25, 2024, 5, 9, '2024-08-05 16:27:44', NULL, NULL), (56531, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 3, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56532, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56533, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 2, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 30, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 12, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 17, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 6, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 21, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 6, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 29, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 2, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 1, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 6, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 4, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D02', '', 1, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 10, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 18, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 2, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 162, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56556, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 113, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56557, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 23, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56558, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (56559, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56560, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 23, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56561, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', '', '', 2, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'C16', '', 2, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 1, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 5, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 6, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 19, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C17', '', 6, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 2, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 29, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 18, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 10, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 12, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 17, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 30, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56580, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 17, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56581, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 30, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56582, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 18, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56583, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56584, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 29, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56585, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 21, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56586, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56587, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 10, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56588, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 6, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56589, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 4, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56590, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 1, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56591, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 12, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56592, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D02', '', 1, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56593, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 2, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56594, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A05', '', 1, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56595, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 6, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56596, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56597, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56598, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 6, 2024, 5, 9, '2024-08-05 16:27:45', NULL, NULL), (56599, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 18, 2024, 5, 9, '2024-08-05 16:27:46', NULL, NULL), (56600, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 19, 2024, 5, 9, '2024-08-05 16:27:46', NULL, NULL), (56601, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 17, 2024, 5, 9, '2024-08-05 16:27:46', NULL, NULL), (56602, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 30, 2024, 5, 9, '2024-08-05 16:27:46', NULL, NULL), (56603, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 1, 2024, 5, 9, '2024-08-05 16:27:46', NULL, NULL), (56604, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A05', '', 1, 2024, 5, 9, '2024-08-05 16:27:46', NULL, NULL), (56605, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C17', '', 6, 2024, 5, 9, '2024-08-05 16:27:46', NULL, NULL), (56606, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 2, 2024, 5, 9, '2024-08-05 16:27:46', NULL, NULL), (56607, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 29, 2024, 5, 9, '2024-08-05 16:27:46', NULL, NULL), (56608, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 10, 2024, 5, 9, '2024-08-05 16:27:46', NULL, NULL), (56609, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 12, 2024, 5, 9, '2024-08-05 16:27:46', NULL, NULL), (56610, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 5, 9, '2024-08-05 16:27:46', NULL, NULL), (56611, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2024, 5, 9, '2024-08-05 16:27:46', NULL, NULL), (56612, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 5, 9, '2024-08-05 16:27:46', NULL, NULL), (56613, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 5, 9, '2024-08-05 16:27:46', NULL, NULL), (56614, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 5, 2024, 5, 9, '2024-08-05 16:27:46', NULL, NULL), (56615, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', 'C16', '', 2, 2024, 5, 9, '2024-08-05 16:27:46', NULL, NULL), (56616, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 6, 2024, 5, 9, '2024-08-05 16:27:46', NULL, NULL), (56617, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 96, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56618, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 51, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56619, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 14, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56620, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56621, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 8, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 7, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 10, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 26, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 22, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 17, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C21', '', 1, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 7, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 23, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 17, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 10, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 2, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 3, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 1, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C19', '', 3, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D06', '', 1, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 5, 10, '2024-08-05 16:27:46', NULL, NULL), (56642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 149, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56643, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 47, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56644, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56645, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 94, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56646, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 7, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56647, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', '', '', 1, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'C16', '', 1, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 7, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56650, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 22, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 21, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 13, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C17', '', 3, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 17, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 10, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 10, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 26, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D06', '', 1, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 8, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 7, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56663, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 10, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56664, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C21', '', 1, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56665, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 7, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56666, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 10, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56667, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 7, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56668, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 17, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56669, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 17, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56670, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C19', '', 3, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56671, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D06', '', 1, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56672, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56673, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 3, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56674, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 1, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56675, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 2, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56676, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 26, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56677, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56678, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 8, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56679, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56680, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 23, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56681, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 22, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56682, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 7, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56683, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 13, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56684, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 10, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56685, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 7, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56686, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C17', '', 3, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56687, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 10, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56688, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56689, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 26, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56690, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 8, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56691, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56692, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D06', '', 1, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56693, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 17, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56694, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', 'C16', '', 1, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56695, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 22, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56696, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 21, 2024, 5, 10, '2024-08-05 16:27:47', NULL, NULL), (56697, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 42, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56698, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 35, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56699, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 9, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56700, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56701, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56702, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 2, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 12, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 9, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 9, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 7, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 6, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 12, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56711, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56712, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 14, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56713, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 7, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56714, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 2, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C07', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C09', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D06', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 86, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56723, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 35, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56724, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 2, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56725, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 42, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56726, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56727, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 6, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56728, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', '', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'C29', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 14, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 6, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 12, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C17', '', 2, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 7, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 9, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 7, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 12, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D06', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 9, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56744, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 9, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56745, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 12, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56746, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 7, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56747, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56748, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 6, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56749, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C09', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56750, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56751, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D06', '', 1, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56752, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C07', '', 1, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56753, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56754, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 2, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56755, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 5, 11, '2024-08-05 16:27:48', NULL, NULL), (56756, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 7, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56757, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 9, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56758, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 1, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56759, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 14, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56760, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 12, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56761, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 1, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56762, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 6, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56763, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 9, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56764, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 12, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56765, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C17', '', 2, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56766, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 7, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56767, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56768, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 7, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56769, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 9, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56770, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56771, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', 'C29', '', 1, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56772, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D06', '', 1, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56773, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 1, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56774, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 14, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56775, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 12, 2024, 5, 11, '2024-08-05 16:27:49', NULL, NULL), (56776, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 86, 2024, 5, 13, '2024-08-05 16:27:49', NULL, NULL), (56777, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 110, 2024, 5, 13, '2024-08-05 16:27:49', NULL, NULL), (56778, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 22, 2024, 5, 13, '2024-08-05 16:27:49', NULL, NULL), (56779, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56780, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56781, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56782, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 3, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 8, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 19, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 11, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 13, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 24, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 2, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 4, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 1, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 12, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 25, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 3, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 24, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 19, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 27, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 2, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 4, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 2, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C19', '', 2, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 10, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 20, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 221, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56807, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 109, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56808, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 85, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56809, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56810, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56811, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 22, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56812, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 3, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 18, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 23, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 12, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 4, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 25, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C17', '', 2, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 27, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 2, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 20, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C19', '', 2, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 10, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 13, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 24, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 19, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 11, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 3, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2024, 5, 13, '2024-08-05 16:27:50', NULL, NULL), (56833, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 13, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56834, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 19, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56835, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 20, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56836, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 2, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56837, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 3, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56838, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 27, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56839, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 19, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56840, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 12, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56841, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 2, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56842, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56843, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C19', '', 2, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56844, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 10, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56845, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 2, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56846, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 1, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56847, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 24, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56848, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56849, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 4, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56850, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 11, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56851, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56852, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 24, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56853, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 25, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56854, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 4, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56855, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 20, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56856, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 18, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56857, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 12, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56858, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 13, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56859, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 19, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56860, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56861, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 4, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56862, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C17', '', 2, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56863, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 27, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56864, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C19', '', 2, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56865, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 10, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56866, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 24, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56867, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 11, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56868, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56869, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 3, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56870, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56871, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56872, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 2, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56873, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 23, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56874, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 25, 2024, 5, 13, '2024-08-05 16:27:51', NULL, NULL), (56875, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 42, 2024, 5, 14, '2024-08-05 16:27:51', NULL, NULL), (56876, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 111, 2024, 5, 14, '2024-08-05 16:27:51', NULL, NULL), (56877, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 12, 2024, 5, 14, '2024-08-05 16:27:51', NULL, NULL), (56878, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 5, 14, '2024-08-05 16:27:51', NULL, NULL), (56879, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 5, 14, '2024-08-05 16:27:51', NULL, NULL), (56880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 6, 2024, 5, 14, '2024-08-05 16:27:51', NULL, NULL), (56881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 12, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 20, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 30, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 15, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2024, 5, 14, '2024-08-05 16:27:51', NULL, NULL), (56888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 21, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 15, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C24', '', 1, 2024, 5, 14, '2024-08-05 16:27:51', NULL, NULL), (56892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 22, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 3, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 2, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 2, 2024, 5, 14, '2024-08-05 16:27:51', NULL, NULL), (56896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C19', '', 1, 2024, 5, 14, '2024-08-05 16:27:51', NULL, NULL), (56897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 18, 2024, 5, 14, '2024-08-05 16:27:51', NULL, NULL), (56899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 165, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56900, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 109, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56901, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 42, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56902, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56903, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 9, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56904, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 14, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 21, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 2, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C17', '', 2, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 22, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 18, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 1, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 30, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 15, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 12, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 19, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 4, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 3, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56920, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 15, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56921, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 20, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56922, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 18, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56923, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56924, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56925, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 22, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56926, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 15, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56927, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 21, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56928, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C19', '', 1, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56929, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56930, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56931, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 2, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56932, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 30, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56933, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 2, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56934, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 12, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56935, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C24', '', 1, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56936, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56937, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 3, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56938, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 18, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56939, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 14, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56940, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 21, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56941, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 15, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56942, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 19, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56943, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 2, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56944, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C17', '', 2, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56945, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 22, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56946, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 1, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56947, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 30, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56948, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 12, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56949, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56950, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56951, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 3, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56952, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 4, 2024, 5, 14, '2024-08-05 16:27:52', NULL, NULL), (56953, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 67, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56954, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 93, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56955, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 19, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56956, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56957, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56958, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 3, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 15, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 14, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 23, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 20, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 1, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 17, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 16, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 13, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 1, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 12, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 12, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 2, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 6, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 9, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 17, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 179, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56980, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '', '', 1, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56981, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 92, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (56982, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 66, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56983, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2024, 5, 15, '2024-08-05 16:27:53', NULL, NULL), (56984, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 18, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (56985, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (56986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '2C04', '', 1, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (56987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 2, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (56988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 13, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (56989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 6, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (56990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 17, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (56991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 15, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (56992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 12, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (56993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 12, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (56994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 17, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (56995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 8, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (56996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 23, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (56997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 20, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (56998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 15, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (56999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 14, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (57001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57003, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 20, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57004, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 15, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57005, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 17, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57006, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57007, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 12, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57008, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 13, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57009, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 16, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57010, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 12, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57011, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 1, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57012, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57013, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 9, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57014, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 2, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57015, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 23, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57016, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 14, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57017, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 6, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57018, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57019, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 1, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57020, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 17, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57021, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 17, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57022, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 13, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57023, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 15, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57024, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 20, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57025, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 15, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57026, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 2, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57027, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 6, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57028, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 12, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57029, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '满意', '2C04', '', 1, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57030, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 8, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57031, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 23, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57032, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 14, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57033, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57034, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57035, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57036, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 12, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57037, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 17, 2024, 5, 15, '2024-08-05 16:27:54', NULL, NULL), (57038, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 54, 2024, 5, 16, '2024-08-05 16:27:54', NULL, NULL), (57039, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 69, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57040, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 14, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57041, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 14, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 7, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 16, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 26, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 14, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 20, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 16, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 7, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 3, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 137, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57061, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 69, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57062, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 54, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57063, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 13, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57064, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 16, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 14, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 20, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57070, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 7, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 3, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 16, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 26, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 14, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 7, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57082, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 16, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57083, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 14, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57084, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 3, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57085, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57086, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57087, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 16, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57088, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 20, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57089, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 7, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57090, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57091, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57092, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57093, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 26, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57094, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57095, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 7, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57096, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57097, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 14, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57098, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57099, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 3, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57100, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 16, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57101, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 20, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57102, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 16, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57103, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 14, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57104, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 5, 16, '2024-08-05 16:27:56', NULL, NULL), (57105, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57106, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57107, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57108, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 26, 2024, 5, 16, '2024-08-05 16:27:56', NULL, NULL), (57109, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 7, 2024, 5, 16, '2024-08-05 16:27:56', NULL, NULL), (57110, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 5, 16, '2024-08-05 16:27:56', NULL, NULL), (57111, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57112, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57113, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 1, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57114, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 7, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57115, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 14, 2024, 5, 16, '2024-08-05 16:27:55', NULL, NULL), (57116, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 41, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57117, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 82, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57118, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 22, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57119, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57120, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 5, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 18, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 22, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 5, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 16, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 2, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 20, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 18, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 5, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 11, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 2, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 2, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 9, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 1, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 8, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 11, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 1, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 143, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57140, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 81, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57141, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57142, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常不满意', '', '', 1, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57143, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 41, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57144, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 20, 2024, 5, 17, '2024-08-05 16:27:56', NULL, NULL), (57145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', 'C29', '', 1, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 2, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 18, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 2, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 2, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 20, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 1, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 9, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 5, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 11, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 10, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 16, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 18, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 22, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57161, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 22, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57162, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 11, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57163, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57164, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 11, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57165, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 18, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57166, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 20, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57167, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 5, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57168, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 8, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57169, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 9, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57170, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 1, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57171, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 2, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57172, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 16, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57173, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 2, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57174, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 18, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57175, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 5, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57176, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 2, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57177, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 1, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57178, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 10, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57179, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 18, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57180, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 20, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57181, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 22, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57182, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 2, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57183, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 2, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57184, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 9, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57185, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 11, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57186, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57187, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 16, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57188, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 18, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57189, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57190, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 5, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57191, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常不满意', 'C29', '', 1, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57192, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 2, 2024, 5, 17, '2024-08-05 16:27:57', NULL, NULL), (57193, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 5, 19, '2024-08-05 16:27:58', NULL, NULL), (57194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D12', '', 1, 2024, 5, 19, '2024-08-05 16:27:58', NULL, NULL), (57195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 1, 2024, 5, 19, '2024-08-05 16:27:58', NULL, NULL), (57196, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 5, 19, '2024-08-05 16:27:58', NULL, NULL), (57197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D12', '', 1, 2024, 5, 19, '2024-08-05 16:27:58', NULL, NULL), (57198, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D12', '', 1, 2024, 5, 19, '2024-08-05 16:27:58', NULL, NULL), (57199, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D12', '', 1, 2024, 5, 19, '2024-08-05 16:27:58', NULL, NULL), (57200, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 41, 2024, 5, 20, '2024-08-05 16:27:58', NULL, NULL), (57201, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 90, 2024, 5, 20, '2024-08-05 16:27:58', NULL, NULL), (57202, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 7, 2024, 5, 20, '2024-08-05 16:27:58', NULL, NULL), (57203, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 11, 2024, 5, 20, '2024-08-05 16:27:58', NULL, NULL), (57204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 11, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 20, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 20, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 11, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 14, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 1, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 18, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 10, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 14, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 20, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 1, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 1, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 2, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 12, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 144, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57220, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 90, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57221, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 39, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57222, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 6, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57223, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 9, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 1, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 13, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 10, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 18, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 1, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57229, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 20, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 2, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 12, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57232, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57233, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 20, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 14, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 20, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 9, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57237, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 20, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57238, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 20, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57239, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 2, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57240, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 20, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57241, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 10, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57242, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 18, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57243, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57244, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 12, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57245, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 1, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57246, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 1, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57247, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 14, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57248, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 14, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57249, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 1, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57250, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 11, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57251, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 2, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57252, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 10, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57253, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 18, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57254, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 20, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57255, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 20, 2024, 5, 20, '2024-08-05 16:28:00', NULL, NULL), (57256, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 1, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57257, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 1, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57258, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 20, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57259, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57260, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 14, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57261, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 12, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57262, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 13, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57263, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 9, 2024, 5, 20, '2024-08-05 16:27:59', NULL, NULL), (57264, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 82, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57265, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 76, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57266, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 3, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57267, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 3, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57268, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 21, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57269, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 3, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57270, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 9, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57271, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 12, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57272, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 12, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57273, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 11, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 10, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 26, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 8, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 26, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 19, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 15, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 20, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 3, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B15', '', 3, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 2, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 7, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 3, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 5, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C07', '', 2, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 18, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 1, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 5, 21, '2024-08-05 16:28:00', NULL, NULL), (57295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 192, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57296, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 76, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57297, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 81, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57298, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 3, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57299, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57300, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 9, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57301, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 20, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57302, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', '', '', 1, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57303, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 2, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'C16', '', 1, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 2, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 15, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 26, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 19, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 3, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 20, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 18, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 1, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C07', '', 2, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 10, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 26, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 11, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57318, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 11, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57319, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57320, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B15', '', 2, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57321, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 7, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57322, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 4, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 8, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57327, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 10, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57328, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 11, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57329, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 1, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57330, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57331, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 20, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57332, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 15, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57333, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 19, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57334, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 3, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57335, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 8, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57336, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C07', '', 2, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57337, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57338, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 18, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57339, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 5, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57340, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 2, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57341, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 3, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57342, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 26, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57343, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 12, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57344, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 7, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57345, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57346, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B15', '', 3, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57347, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 26, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57348, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57349, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57350, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 7, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57351, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 4, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57352, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 8, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57353, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', 'C16', '', 1, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57354, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57355, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 1, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57356, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 15, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57357, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 19, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57358, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 10, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57359, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B15', '', 2, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57360, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 11, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57361, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 2, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57362, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 20, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57363, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C07', '', 2, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57364, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57365, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 26, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57366, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 11, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57367, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 18, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57368, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 3, 2024, 5, 21, '2024-08-05 16:28:02', NULL, NULL), (57369, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 5, 21, '2024-08-05 16:28:02', NULL, NULL), (57370, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57371, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 26, 2024, 5, 21, '2024-08-05 16:28:01', NULL, NULL), (57372, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 71, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57373, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 74, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57374, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 21, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57375, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57376, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57377, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 7, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 6, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 14, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 16, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 25, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 15, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 18, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 10, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 4, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 1, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 16, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 1, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C15', '', 1, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 2, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 3, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 1, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 1, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 5, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 20, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 2, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 168, 2024, 5, 22, '2024-08-05 16:28:02', NULL, NULL), (57406, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 73, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57407, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 68, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57408, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常不满意', '', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57409, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 5, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57410, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 20, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57411, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57412, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', '', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57413, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常不满意', '', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 2, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 9, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 2, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 14, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 18, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 16, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 20, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 16, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 25, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 6, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 14, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'C29', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '2A05', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '2C03', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C15', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 3, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 5, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 3, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57439, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57440, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 16, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57441, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 14, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (57442, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57443, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 16, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57444, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 10, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57445, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 18, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57446, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57447, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57448, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57449, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57450, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 20, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57451, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57452, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 5, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57453, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C15', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57454, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 2, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57455, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 25, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57456, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57457, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 6, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57458, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 3, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57459, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57460, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 4, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57461, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57462, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 15, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57463, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57464, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C15', '', 1, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57465, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 3, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57466, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 5, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57467, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常不满意', '2C03', '', 1, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57468, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57469, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 3, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57470, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常不满意', '2A05', '', 1, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57471, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57472, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 9, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57473, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 18, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57474, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 16, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57475, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 14, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57476, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 2, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57477, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 1, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57478, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 1, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57479, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 16, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57480, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57481, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 25, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57482, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 6, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57483, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 20, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57484, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57485, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57486, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', 'C29', '', 1, 2024, 5, 22, '2024-08-05 16:28:03', NULL, NULL), (57487, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 1, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57488, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 2, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57489, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 14, 2024, 5, 22, '2024-08-05 16:28:04', NULL, NULL), (57490, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 89, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57491, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 1, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57492, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 53, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57493, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 22, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57494, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 3, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57495, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 6, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57496, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '退役军人大厅', 1, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 8, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 8, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 21, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 31, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 9, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 1, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 2, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 12, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 20, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 5, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 9, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 15, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 2, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 1, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 2, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 9, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57520, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57521, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 1, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57522, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 12, 2024, 5, 23, '2024-08-05 16:28:04', NULL, NULL), (57523, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57524, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 170, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57525, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 52, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57526, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57527, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常不满意', '', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57528, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 89, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57529, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 6, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57530, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 20, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57531, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57532, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', 'C05', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57533, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 5, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57534, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 9, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57535, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57536, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 11, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57537, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 20, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57539, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57540, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 15, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57541, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 12, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57542, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57543, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 31, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 9, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 8, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 21, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 2, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 9, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 3, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C11', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 3, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57554, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57555, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 9, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57556, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 8, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57557, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B03', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57558, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57559, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 15, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57560, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 9, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57561, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 12, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57562, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 2, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57563, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57564, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57565, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57566, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 12, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57567, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 2, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57568, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 9, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57569, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 31, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57570, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 2, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57571, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 21, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57572, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57573, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57574, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 5, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57575, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57576, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57577, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 20, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57578, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 2, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57579, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 9, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57580, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 3, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57581, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 3, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57582, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 9, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57583, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 11, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57584, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 9, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57585, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 8, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57586, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57587, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57588, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 15, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57589, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57590, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 31, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57591, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 21, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57592, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 12, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57593, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C11', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57594, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57595, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57596, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常不满意', 'C05', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57597, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 1, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57598, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 5, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57599, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 20, 2024, 5, 23, '2024-08-05 16:28:05', NULL, NULL), (57600, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 90, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57601, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 56, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57602, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', '', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57603, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57604, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 12, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57605, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 4, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57606, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 3, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 7, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 15, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 19, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 14, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 12, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 7, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 26, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 7, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 13, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C18', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 10, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D03', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D04', '', 2, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 26, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 157, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57628, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 56, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57629, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '非常满意', '', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57630, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57631, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 88, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57632, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 9, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57633, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 26, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 7, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D04', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 10, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 7, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 13, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 26, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C18', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A09', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 19, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 14, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 7, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57647, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 15, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57648, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57649, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57650, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 14, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57651, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 15, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57652, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57653, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 13, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57654, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 7, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57655, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 7, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57656, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', 'A09', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57657, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57658, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C18', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57659, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 10, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57660, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 26, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57661, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 19, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57662, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57663, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 7, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57664, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D04', '', 2, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57665, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 26, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57666, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D03', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57667, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57668, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 12, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57669, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 7, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57670, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 7, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57671, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 14, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57672, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 15, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57673, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 13, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57674, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C18', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57675, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57676, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 19, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57677, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 7, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57678, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 26, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57679, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57680, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57681, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '非常满意', 'A09', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57682, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D04', '', 1, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57683, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 26, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57684, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 10, 2024, 5, 24, '2024-08-05 16:28:05', NULL, NULL), (57685, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 99, 2024, 5, 27, '2024-08-05 16:28:05', NULL, NULL), (57686, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 1, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57687, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 90, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57688, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 12, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57689, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '退役军人大厅', 1, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 4, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 18, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 16, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 20, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 16, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 16, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 13, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 27, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 17, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 6, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 23, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 5, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 2, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 17, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 206, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57710, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 90, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57711, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 99, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57712, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57713, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', '', '', 1, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57714, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 12, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 2, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 27, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 17, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 16, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 13, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 6, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 23, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 17, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 20, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 16, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 18, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 16, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 4, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 5, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57732, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 16, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57733, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 18, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57734, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B03', '', 1, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57735, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 23, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57736, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 17, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57737, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 16, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57738, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 6, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57739, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57740, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57741, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 17, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57742, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 2, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57743, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 20, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57744, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 16, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57745, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 27, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57746, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 5, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57747, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57748, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 13, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57749, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 17, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57750, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', 'B03', '', 1, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57751, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 16, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57752, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 16, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57753, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 18, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57754, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 2, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57755, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 23, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57756, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57757, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 20, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57758, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 16, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57759, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 17, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57760, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 5, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57761, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57762, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 4, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57763, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 6, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57764, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 27, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57765, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 13, 2024, 5, 27, '2024-08-05 16:28:06', NULL, NULL), (57766, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 74, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57767, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 69, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57768, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 3, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57769, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57770, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 2, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57772, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A10', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57773, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 11, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57774, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 21, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 10, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 22, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 12, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 19, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 6, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 10, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 17, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 9, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 6, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 148, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57791, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 69, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57792, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 74, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57793, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 3, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57794, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 6, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 10, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 12, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 19, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57801, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 17, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57802, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 9, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57803, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 6, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57804, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 10, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57805, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 22, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57806, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 11, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 21, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57811, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 10, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57812, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 11, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57813, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 9, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57814, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A10', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57815, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 17, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57816, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 10, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57817, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 12, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57818, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57819, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 6, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57820, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57821, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57822, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 22, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57823, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57824, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 21, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57825, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57826, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 6, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57827, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57828, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 19, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57829, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 9, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57830, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 10, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57831, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 12, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57832, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 10, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57833, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 11, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57834, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57835, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57836, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 17, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57837, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 22, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57838, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 21, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57839, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 6, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57840, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57841, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57842, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 6, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57843, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57844, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 19, 2024, 5, 28, '2024-08-05 16:28:06', NULL, NULL), (57845, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 85, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57846, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 2, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57847, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 54, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57848, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 7, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57849, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 9, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57850, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57851, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 3, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 15, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 17, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 8, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 4, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 15, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 16, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 14, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 20, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 3, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 3, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B06', '', 2, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 27, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 157, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57877, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 54, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57878, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 85, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57879, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 2, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57880, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 9, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57881, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (57882, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 6, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 14, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 20, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 3, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 2, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 3, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 15, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 16, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B06', '', 2, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 27, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 8, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 4, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 15, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 17, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57904, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 8, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57905, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 15, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57906, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57907, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 2, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57908, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57909, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57910, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 14, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57911, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 15, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57912, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57913, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B06', '', 2, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57914, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57915, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 27, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57916, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57917, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 3, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57918, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 4, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57919, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57920, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57921, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 17, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57922, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57923, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57924, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 20, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57925, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 3, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57926, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 16, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57927, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 1, 2024, 5, 29, '2024-08-05 16:28:07', NULL, NULL), (57928, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 14, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57929, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B06', '', 2, 2024, 5, 29, '2024-08-05 16:28:07', NULL, NULL), (57930, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 15, 2024, 5, 29, '2024-08-05 16:28:07', NULL, NULL), (57931, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 8, 2024, 5, 29, '2024-08-05 16:28:07', NULL, NULL), (57932, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2024, 5, 29, '2024-08-05 16:28:07', NULL, NULL), (57933, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 15, 2024, 5, 29, '2024-08-05 16:28:07', NULL, NULL), (57934, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 3, 2024, 5, 29, '2024-08-05 16:28:07', NULL, NULL), (57935, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 3, 2024, 5, 29, '2024-08-05 16:28:07', NULL, NULL), (57936, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 5, 29, '2024-08-05 16:28:07', NULL, NULL), (57937, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57938, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57939, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 4, 2024, 5, 29, '2024-08-05 16:28:07', NULL, NULL), (57940, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 17, 2024, 5, 29, '2024-08-05 16:28:07', NULL, NULL), (57941, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 27, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57942, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57943, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 5, 29, '2024-08-05 16:28:07', NULL, NULL), (57944, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 1, 2024, 5, 29, '2024-08-05 16:28:06', NULL, NULL), (57945, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 2, 2024, 5, 29, '2024-08-05 16:28:07', NULL, NULL), (57946, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 20, 2024, 5, 29, '2024-08-05 16:28:07', NULL, NULL), (57947, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 16, 2024, 5, 29, '2024-08-05 16:28:07', NULL, NULL), (57948, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 96, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57949, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 7, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57950, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 93, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57951, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57952, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 4, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57953, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 2, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57954, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57955, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 14, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 18, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57958, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 16, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57959, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 21, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57960, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57961, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 30, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57962, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 15, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 18, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 6, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 13, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A02', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C26', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 7, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B17', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 2, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B08', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 22, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 28, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 205, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57980, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 93, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57981, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 95, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57982, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 2, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57983, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 6, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57984, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常不满意', '', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57985, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 4, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57986, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57987, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '2A07', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A02', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C26', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 6, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 6, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 15, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 18, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 2, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 13, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 22, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (57999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 28, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 21, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 29, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 18, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 16, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 3, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58008, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 21, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58009, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 16, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58010, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 22, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58011, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 7, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58012, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58013, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 13, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58014, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 6, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58015, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 15, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58016, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58017, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 2, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58018, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A02', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58019, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58020, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58021, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B17', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58022, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 28, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58023, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B08', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58024, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C26', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58025, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 30, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58026, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 18, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58027, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 18, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58028, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58029, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 22, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58030, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 6, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58031, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 15, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58032, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 21, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58033, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 16, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58034, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C26', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58035, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 13, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58036, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58037, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 29, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58038, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 18, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58039, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 28, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58040, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 2, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58041, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58042, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A02', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58043, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58044, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58045, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常不满意', '2A07', '', 1, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58046, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 6, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58047, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 18, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58048, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 3, 2024, 5, 30, '2024-08-05 16:28:07', NULL, NULL), (58049, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 87, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58050, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 87, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58051, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 3, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58052, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58053, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 11, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 21, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 16, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 18, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 1, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 14, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 18, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 16, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 17, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 19, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 3, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 24, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 175, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58068, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 87, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58069, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 84, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58070, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58071, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 3, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 15, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 17, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 3, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 14, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 16, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 19, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 24, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 16, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 18, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 11, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 21, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58084, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 16, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58085, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 21, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58086, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 19, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58087, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 17, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58088, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 14, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58089, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 24, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58090, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 1, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58091, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58092, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 18, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58093, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 3, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58094, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 11, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58095, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 16, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58096, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 18, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58097, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 17, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58098, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 14, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58099, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 16, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58100, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 21, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58101, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58102, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 3, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58103, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 19, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58104, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 18, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58105, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 11, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58106, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 24, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58107, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 15, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58108, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 16, 2024, 5, 31, '2024-08-05 16:28:07', NULL, NULL), (58109, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 45, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58110, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 4, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58111, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 84, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58112, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 15, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58113, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58114, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58115, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 5, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 5, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 11, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 25, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 1, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 10, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 32, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 31, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 7, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C01', '', 2, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 4, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 2, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 15, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 148, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58131, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 84, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58132, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 45, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58133, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 15, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58134, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 4, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 4, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 32, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 10, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 31, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 2, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 15, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 25, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 5, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 11, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 7, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C01', '', 2, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58147, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 4, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58148, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 11, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58149, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 31, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58150, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 32, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58151, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 10, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58152, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58153, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 15, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58154, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 1, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58155, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 2, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58156, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 25, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58157, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 5, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58158, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 7, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58159, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58160, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C01', '', 2, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58161, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 4, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58162, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 32, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58163, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 10, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58164, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 11, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58165, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 31, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58166, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 2, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58167, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58168, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 25, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58169, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 5, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58170, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 15, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58171, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 7, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58172, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C01', '', 2, 2024, 6, 3, '2024-08-05 16:28:08', NULL, NULL), (58173, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 50, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58174, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 102, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58175, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58176, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 19, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58177, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58178, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58179, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 3, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 5, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 7, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 23, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 10, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 29, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 13, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 3, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 25, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 13, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C15', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58193, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58194, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A02', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58195, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58196, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C27', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58197, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 7, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C07', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 7, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 13, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 11, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 174, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58204, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 101, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58205, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 50, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58206, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 19, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58207, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 3, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58208, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A02', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C15', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 25, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 13, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C27', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 13, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 7, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 13, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 11, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 6, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C07', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 10, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 29, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 7, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 23, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 3, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58229, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 10, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58230, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 23, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58231, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 11, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58232, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 7, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58233, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 3, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58234, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 13, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58235, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 25, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58236, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 13, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58237, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A02', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58238, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58239, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C07', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58240, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58241, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 13, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58242, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C27', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58243, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 7, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58244, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C15', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58245, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58246, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58247, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 29, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58248, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 7, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58249, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58250, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58251, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 11, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58252, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 6, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58253, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 25, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58254, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 13, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58255, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 10, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58256, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58257, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 23, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58258, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C15', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58259, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58260, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C27', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58261, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 13, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58262, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 7, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58263, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C07', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58264, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58265, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 29, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58266, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 7, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58267, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 13, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58268, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 3, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58269, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58270, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A02', '', 1, 2024, 6, 4, '2024-08-05 16:28:08', NULL, NULL), (58271, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 57, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58272, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 90, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58273, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 8, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58274, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 2, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58275, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58276, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58277, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 4, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 18, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 11, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 11, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 24, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 23, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 1, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 19, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 2, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C07', '', 1, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 19, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 22, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 160, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58295, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 90, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58296, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 57, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58297, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58298, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58299, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 8, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58300, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 23, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 19, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 22, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C07', '', 1, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 19, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 11, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 24, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 18, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 11, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 3, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58315, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 11, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58316, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 18, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58317, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 19, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58318, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58319, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 19, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58320, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 23, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58321, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 1, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58322, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C07', '', 1, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (58323, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58324, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 22, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58325, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 2, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58326, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 24, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58327, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 11, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58328, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 6, 5, '2024-08-05 16:28:08', NULL, NULL), (58329, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2024, 6, 5, '2024-08-05 16:28:09', NULL, NULL), (58330, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 19, 2024, 6, 5, '2024-08-05 16:28:09', NULL, NULL), (58331, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 23, 2024, 6, 5, '2024-08-05 16:28:09', NULL, NULL), (58332, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 11, 2024, 6, 5, '2024-08-05 16:28:09', NULL, NULL), (58333, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 18, 2024, 6, 5, '2024-08-05 16:28:09', NULL, NULL), (58334, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 6, 5, '2024-08-05 16:28:09', NULL, NULL), (58335, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 19, 2024, 6, 5, '2024-08-05 16:28:09', NULL, NULL), (58336, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C07', '', 1, 2024, 6, 5, '2024-08-05 16:28:09', NULL, NULL), (58337, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 6, 5, '2024-08-05 16:28:09', NULL, NULL), (58338, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 24, 2024, 6, 5, '2024-08-05 16:28:09', NULL, NULL), (58339, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 11, 2024, 6, 5, '2024-08-05 16:28:09', NULL, NULL), (58340, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 22, 2024, 6, 5, '2024-08-05 16:28:09', NULL, NULL), (58341, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 6, 5, '2024-08-05 16:28:09', NULL, NULL), (58342, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 6, 5, '2024-08-05 16:28:09', NULL, NULL), (58343, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 3, 2024, 6, 5, '2024-08-05 16:28:09', NULL, NULL), (58344, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 66, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58345, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 72, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58346, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58347, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 12, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58348, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58349, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 6, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58350, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 7, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 11, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 17, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 25, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 6, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 19, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 14, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 13, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 5, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C07', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 14, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 23, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 149, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58373, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 72, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58374, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 64, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58375, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58376, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 11, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58377, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58378, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', '', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'C16', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 14, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 19, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 4, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 13, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 23, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C07', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 14, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 24, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 11, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 17, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 3, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58396, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58397, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 11, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58398, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 14, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58399, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58400, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 13, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58401, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 14, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58402, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 19, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58403, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 6, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58404, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C07', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58405, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58406, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 23, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58407, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58408, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 5, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58409, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58410, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 25, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58411, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58412, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 17, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58413, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58414, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58415, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 14, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58416, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 14, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58417, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 19, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58418, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58419, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 11, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58420, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58421, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58422, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 4, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58423, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 13, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58424, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C07', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58425, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58426, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 24, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58427, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 17, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58428, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 23, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58429, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58430, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 3, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58431, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', 'C16', '', 1, 2024, 6, 6, '2024-08-05 16:28:09', NULL, NULL), (58432, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 54, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58433, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58434, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58435, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 47, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58436, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58437, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 10, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58438, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 4, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58439, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58440, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58441, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 3, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58442, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '退役军人大厅', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58443, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '项目工程审批大厅', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58444, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 4, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58445, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 6, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58446, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 15, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58447, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B06', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 6, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 24, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 9, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 3, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C02', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 13, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 2, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 2, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 4, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 24, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 119, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58467, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 45, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58468, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58469, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 53, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58470, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 4, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58471, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', '', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58472, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58473, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 10, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58474, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 3, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58475, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 2, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C03', '', 2, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 2, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 8, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 13, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 24, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 4, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 6, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 23, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 6, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 14, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 3, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C02', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 3, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58496, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 6, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58497, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 15, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58498, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 4, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58499, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B03', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58500, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 3, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58501, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '2B06', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58502, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 13, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58503, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 9, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58504, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58505, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A06', '', 2, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58506, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 24, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58507, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58508, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 24, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58509, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 2, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58510, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A05', '', 2, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58511, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 6, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58512, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C02', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58513, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58514, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58515, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58516, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58517, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 4, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58518, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', 'B03', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58519, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 8, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58520, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 6, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58521, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58522, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 14, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58523, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58524, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C03', '', 2, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58525, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A05', '', 2, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58526, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A06', '', 2, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58527, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 13, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58528, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58529, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 23, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58530, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 6, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58531, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 24, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58532, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 3, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58533, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C02', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58534, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 3, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58535, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58536, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 6, 7, '2024-08-05 16:28:09', NULL, NULL), (58537, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 6, 8, '2024-08-05 16:28:09', NULL, NULL), (58538, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D07', '', 1, 2024, 6, 8, '2024-08-05 16:28:09', NULL, NULL), (58539, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D07', '', 1, 2024, 6, 8, '2024-08-05 16:28:09', NULL, NULL), (58540, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 35, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58541, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 86, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58542, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 1, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58543, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 1, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 2, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 15, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 15, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 23, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 17, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 1, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 18, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 21, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C02', '', 1, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A03', '', 9, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 123, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58557, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 86, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58558, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 35, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58559, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58560, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 1, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 1, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 18, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 17, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A03', '', 9, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 21, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 15, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 23, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 2, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 15, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C02', '', 1, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58572, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A03', '', 9, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58573, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 15, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58574, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 15, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58575, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 23, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58576, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 2, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58577, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 21, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58578, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 1, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58579, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 18, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58580, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C02', '', 1, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58581, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58582, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 17, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58583, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 23, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58584, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 2, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58585, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 18, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58586, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 17, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58587, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 15, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58588, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C02', '', 1, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58589, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 15, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58590, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 21, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58591, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A03', '', 9, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58592, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 1, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58593, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 6, 11, '2024-08-05 16:28:10', NULL, NULL), (58594, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 44, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58595, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58596, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 2, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58597, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 80, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58598, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58599, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', '', '', 2, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58600, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58601, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 6, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 11, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 12, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 11, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 33, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 17, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A02', '', 2, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 21, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 2, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B09', '', 1, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 1, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 19, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 130, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58617, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 80, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58618, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58619, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 44, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58620, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58621, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 2, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58622, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', '', '', 2, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 2, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 21, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 1, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 17, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 19, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 11, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 33, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 11, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 12, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A02', '', 2, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58634, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 2, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58635, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 11, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58636, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 12, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58637, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 19, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58638, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58639, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58640, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 21, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58641, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 17, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58642, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', 'A02', '', 2, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58643, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B09', '', 1, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58644, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 33, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58645, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 11, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58646, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 1, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58647, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 33, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58648, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 11, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58649, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 19, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58650, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 2, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58651, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 21, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58652, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 17, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58653, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58654, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 11, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58655, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 12, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58656, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', 'A02', '', 2, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58657, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 1, 2024, 6, 12, '2024-08-05 16:28:10', NULL, NULL), (58658, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 31, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58659, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 3, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58660, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 69, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58661, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 10, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58662, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58663, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', '', '', 1, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58664, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58665, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58666, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 3, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 8, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 6, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58669, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 15, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58670, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 20, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58671, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58672, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 16, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 21, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A02', '', 1, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58675, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 3, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 8, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58677, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 4, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58678, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 8, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58679, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58680, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 3, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58681, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D01', '', 1, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 6, 2024, 6, 13, '2024-08-05 16:28:10', NULL, NULL), (58684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 119, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58685, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 69, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58686, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 31, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58687, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58688, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58689, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 10, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58690, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 3, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58691, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 3, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58692, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', '', '', 1, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 3, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 8, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 21, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 8, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 6, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 20, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 16, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 6, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 15, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A02', '', 1, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 3, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 4, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58708, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 20, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58709, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 3, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58710, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 6, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58711, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 6, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58712, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 3, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58713, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 8, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58714, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 8, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58715, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 21, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58716, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', 'A02', '', 1, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58717, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58718, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58719, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 16, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58720, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 15, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58721, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D01', '', 1, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58722, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 4, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58723, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58724, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 6, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58725, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 3, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58726, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 8, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58727, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 21, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58728, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 20, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58729, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 6, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58730, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58731, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 8, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58732, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', 'A02', '', 1, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58733, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58734, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 16, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58735, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 15, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58736, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 3, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58737, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 4, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58738, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 6, 13, '2024-08-05 16:28:11', NULL, NULL), (58739, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 74, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58740, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58741, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 82, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58742, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 33, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58743, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58744, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 7, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 12, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 16, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 8, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 4, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58750, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 17, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58751, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58752, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 16, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C10', '', 4, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 10, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C02', '', 1, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 25, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C01', '', 3, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 12, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A03', '', 26, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 3, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (58764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C09', '', 2, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 7, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 19, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 195, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58769, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 82, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58770, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 74, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58771, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58772, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58773, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 33, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58774, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58775, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 10, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58776, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 3, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58777, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58778, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 16, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58779, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A03', '', 26, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 25, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 7, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 19, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 8, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 17, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C09', '', 2, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 12, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 16, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 4, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C10', '', 4, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C02', '', 1, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 3, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C01', '', 3, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 12, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58796, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 8, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58797, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C10', '', 4, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58798, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 16, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58799, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 7, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58800, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58801, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58802, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 25, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58803, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 10, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58804, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 16, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58805, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A03', '', 26, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58806, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C09', '', 2, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58807, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58808, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58809, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 19, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58810, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 17, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58811, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 12, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58812, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 3, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58813, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C02', '', 1, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58814, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58815, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C01', '', 3, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58816, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 12, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58817, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 4, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58818, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 7, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58819, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 10, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58820, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 16, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58821, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 8, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58822, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 16, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58823, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 3, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58824, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 25, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58825, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58826, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C09', '', 2, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58827, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 17, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58828, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 12, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58829, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 19, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58830, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C10', '', 4, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58831, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58832, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C02', '', 1, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58833, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 3, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58834, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C01', '', 3, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58835, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 12, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58836, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A03', '', 26, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58837, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58838, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 4, 2024, 6, 14, '2024-08-05 16:28:11', NULL, NULL), (58839, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 37, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58840, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 67, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58841, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58842, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 14, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58843, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58844, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58845, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 2, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 18, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 12, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 12, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 20, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 5, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 3, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D12', '', 1, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 17, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 25, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 121, 2024, 6, 17, '2024-08-05 16:28:11', NULL, NULL), (58861, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 67, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58862, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58863, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 37, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58864, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58865, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 14, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58866, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 12, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D12', '', 1, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 3, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 12, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 20, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 25, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 17, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 18, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 5, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58879, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 18, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58880, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 17, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58881, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58882, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 20, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58883, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 12, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58884, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 12, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58885, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58886, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 25, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58887, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 3, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58888, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58889, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D12', '', 1, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58890, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58891, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 5, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58892, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D12', '', 1, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58893, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 17, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58894, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 25, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58895, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58896, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 12, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58897, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 5, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58898, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 18, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58899, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 3, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58900, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 20, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58901, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 12, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58902, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58903, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 6, 17, '2024-08-05 16:28:12', NULL, NULL), (58904, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 41, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58905, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 71, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58906, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 13, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58907, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 3, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 9, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 16, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 2, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 11, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 3, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 4, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 14, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 21, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 2, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 3, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 18, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 18, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 2, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 122, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58926, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 71, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58927, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 38, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58928, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常不满意', '', '', 2, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58929, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 13, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '2A08', '', 2, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 3, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 11, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 14, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 3, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 21, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 18, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 18, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 2, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 6, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 16, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 4, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 2, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58945, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 2, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58946, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 16, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58947, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 18, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58948, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 21, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58949, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 3, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58950, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 11, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58951, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 14, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58952, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58953, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58954, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 18, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58955, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 3, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58956, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 9, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58957, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58958, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 4, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58959, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 2, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58960, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常不满意', '2A08', '', 2, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58961, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 18, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58962, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 3, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58963, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 11, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58964, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 2, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58965, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 16, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58966, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58967, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 3, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58968, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 21, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58969, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58970, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 6, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58971, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 18, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58972, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 4, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58973, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 2, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58974, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 14, 2024, 6, 18, '2024-08-05 16:28:12', NULL, NULL), (58975, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 49, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58976, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58977, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 66, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58978, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58979, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 11, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58980, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58981, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 4, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58982, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 8, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58983, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 28, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58984, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 17, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58985, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 1, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 4, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 21, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 17, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 3, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 2, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 31, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 135, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58997, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 66, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58998, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 49, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (58999, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59000, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 11, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59001, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 4, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59002, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59003, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 2, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 21, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 17, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 31, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 17, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 1, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 28, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 4, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 3, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 3, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59017, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 17, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59018, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59019, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 28, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59020, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 17, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59021, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59022, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59023, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 4, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59024, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 31, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59025, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 2, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59026, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 1, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59027, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 21, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59028, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59029, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 3, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59030, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59031, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 17, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59032, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59033, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 28, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59034, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 2, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59035, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 21, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59036, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59037, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 1, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59038, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 31, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59039, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 4, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59040, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 3, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59041, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 3, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59042, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 17, 2024, 6, 19, '2024-08-05 16:28:12', NULL, NULL), (59043, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 31, 2024, 6, 20, '2024-08-05 16:28:12', NULL, NULL), (59044, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 1, 2024, 6, 20, '2024-08-05 16:28:12', NULL, NULL), (59045, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 113, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59046, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 9, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59047, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59048, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59049, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 3, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 6, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 12, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 18, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 15, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 4, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 21, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A07', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B08', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 25, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 16, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 27, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 157, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59068, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 113, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59069, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 31, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59070, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59071, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', '', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59072, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59073, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 9, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59074, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 15, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 18, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C03', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A07', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 4, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 21, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 16, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 27, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 25, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B08', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 12, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 6, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59091, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 12, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59092, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 6, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59093, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 16, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59094, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 25, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59095, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59096, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 21, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59097, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 15, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59098, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 18, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59099, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 4, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59100, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B08', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59101, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59102, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 27, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59103, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A07', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59104, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59105, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59106, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59107, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 16, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59108, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 25, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59109, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 15, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59110, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 18, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59111, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 12, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59112, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 6, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59113, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C03', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59114, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A07', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59115, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 21, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59116, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59117, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 27, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59118, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59119, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59120, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 4, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59121, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', 'B08', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59122, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 6, 20, '2024-08-05 16:28:13', NULL, NULL), (59123, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 26, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59124, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 2, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59125, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 88, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59126, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 22, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59127, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59128, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 3, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 1, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 23, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 5, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 4, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 2, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 2, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A07', '', 1, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 1, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 2, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 9, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C09', '', 12, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 25, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 28, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 21, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 138, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59147, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 88, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59148, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 26, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59149, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 21, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59150, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59151, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 2, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 2, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 4, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 2, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 28, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 21, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 25, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 9, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 1, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 23, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C09', '', 12, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C11', '', 5, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 3, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 2, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59166, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 2, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59167, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 5, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59168, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 23, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59169, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 28, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59170, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 25, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59171, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C09', '', 12, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59172, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59173, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 4, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59174, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 9, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59175, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 1, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59176, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 21, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59177, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A07', '', 1, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59178, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 2, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59179, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 1, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59180, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59181, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 2, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59182, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 28, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59183, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 25, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59184, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C09', '', 12, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59185, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 2, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59186, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 23, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59187, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 2, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59188, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 9, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59189, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 1, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59190, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 21, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59191, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C11', '', 5, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59192, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59193, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 3, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59194, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 2, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59195, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 4, 2024, 6, 21, '2024-08-05 16:28:13', NULL, NULL), (59196, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 39, 2024, 6, 24, '2024-08-05 16:28:13', NULL, NULL), (59197, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 4, 2024, 6, 24, '2024-08-05 16:28:13', NULL, NULL), (59198, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 67, 2024, 6, 24, '2024-08-05 16:28:13', NULL, NULL), (59199, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', '', '', 1, 2024, 6, 24, '2024-08-05 16:28:13', NULL, NULL), (59200, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 6, 24, '2024-08-05 16:28:13', NULL, NULL), (59201, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 3, 2024, 6, 24, '2024-08-05 16:28:13', NULL, NULL), (59202, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 11, 2024, 6, 24, '2024-08-05 16:28:13', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (59203, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 6, 24, '2024-08-05 16:28:13', NULL, NULL), (59204, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', '', '', 1, 2024, 6, 24, '2024-08-05 16:28:13', NULL, NULL), (59205, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 10, 2024, 6, 24, '2024-08-05 16:28:13', NULL, NULL), (59206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 19, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 14, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 10, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 13, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C10', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 24, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59214, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 12, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59215, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59216, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 5, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59217, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B16', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59218, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59219, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A17', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59220, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 3, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59221, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59222, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59223, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 16, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59224, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 26, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59225, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 133, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59226, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '非常满意', '', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59227, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 67, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59228, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 39, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59229, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 2, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59230, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 4, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59231, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59232, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 9, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59233, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 10, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59234, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 24, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59235, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 5, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59236, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C03', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59237, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 13, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59238, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 2, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59239, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 12, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59240, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 26, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59241, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 16, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59242, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A09', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59243, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 14, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 9, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C10', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59250, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C10', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59251, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 14, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59252, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 16, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59253, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 4, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59254, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 24, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59255, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 13, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59256, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', 'A17', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59257, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', 'A09', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59258, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 12, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59259, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 3, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59260, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59261, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 26, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59262, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59263, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A05', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59264, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59265, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B16', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59266, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59267, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59268, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 10, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59269, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 16, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59270, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 24, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59271, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 13, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59272, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 14, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59273, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A05', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59274, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C03', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59275, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59276, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59277, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 26, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59278, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 2, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59279, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C10', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59280, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59281, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59282, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '非常满意', 'A09', '', 1, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59283, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 12, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59284, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 4, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59285, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 9, 2024, 6, 24, '2024-08-05 16:28:14', NULL, NULL), (59286, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 45, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59287, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 68, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59288, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59289, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 5, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59290, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', '', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59291, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 6, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59292, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59293, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 8, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 12, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 11, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59297, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59298, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 4, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59299, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 4, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59300, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 11, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 15, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 12, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 11, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A17', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B17', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 14, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 22, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 127, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59316, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 68, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59317, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59318, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 45, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59319, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 5, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59320, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 6, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59321, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59322, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', '', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59323, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A17', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59324, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 15, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 11, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59326, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 12, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 11, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59328, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 22, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59329, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59330, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 14, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59331, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59332, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D08', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59333, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 4, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59334, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 12, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59335, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 11, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59336, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 4, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59337, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59338, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C11', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59339, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59340, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59341, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59342, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59343, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 4, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59344, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 12, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59345, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59346, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 14, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59347, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59348, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59349, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 11, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59350, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 15, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59351, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 11, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59352, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', 'A17', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59353, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 12, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59354, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59355, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59356, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B17', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59357, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 22, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59358, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59359, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 11, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59360, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59361, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 4, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59362, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59363, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 14, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59364, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 15, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59365, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 11, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59366, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 4, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59367, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 12, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59368, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 11, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59369, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59370, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', 'A17', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59371, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 11, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59372, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 22, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59373, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59374, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C11', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59375, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59376, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59377, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D08', '', 1, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59378, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59379, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 12, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59380, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 4, 2024, 6, 25, '2024-08-05 16:28:14', NULL, NULL), (59381, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 47, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59382, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 68, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59383, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59384, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 8, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59385, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59386, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 8, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 10, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 10, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 4, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 5, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 13, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 11, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 17, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 9, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C15', '', 2, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C27', '', 1, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 13, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 28, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 131, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59405, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 68, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59406, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 47, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59407, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 1, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59408, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 5, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59409, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 8, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59410, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C15', '', 2, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 11, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 13, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 1, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C27', '', 1, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 17, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 9, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 28, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 13, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 4, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 10, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 10, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 5, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 6, 26, '2024-08-05 16:28:14', NULL, NULL), (59427, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 4, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59428, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 10, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59429, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 13, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59430, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59431, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 17, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59432, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 11, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59433, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 13, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59434, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 9, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59435, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59436, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59437, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 28, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59438, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C27', '', 1, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59439, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C15', '', 2, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59440, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 10, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59441, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59442, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 5, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59443, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 13, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59444, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 11, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59445, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 13, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59446, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 4, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59447, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 10, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59448, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C15', '', 2, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59449, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C27', '', 1, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59450, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 17, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59451, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59452, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 10, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59453, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 28, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59454, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 1, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59455, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59456, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59457, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 9, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59458, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 5, 2024, 6, 26, '2024-08-05 16:28:15', NULL, NULL), (59459, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 67, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59460, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59461, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59462, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 100, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59463, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59464, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 8, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59465, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59466, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 6, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 17, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 13, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 19, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D09', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 18, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 22, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 15, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A03', '', 3, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A01', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 12, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 19, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 27, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 182, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59490, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 100, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59491, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 67, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59492, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59493, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59494, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59495, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 8, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59496, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59497, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '3D15', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59499, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A01', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59500, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 18, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 19, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A03', '', 3, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 22, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 15, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 19, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 27, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 12, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 17, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 13, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59517, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59518, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 17, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59519, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 19, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59520, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 12, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59521, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59522, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 15, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59523, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 18, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59524, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 19, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59525, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A03', '', 3, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59526, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 22, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59527, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A01', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59528, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D09', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59529, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59530, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59531, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 27, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59532, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59533, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 13, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59534, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59535, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59536, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59537, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 19, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59538, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 12, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59539, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59540, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 18, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59541, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 19, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59542, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59543, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 17, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59544, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59545, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 15, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59546, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59547, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 13, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59548, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 27, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59549, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A01', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59550, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A03', '', 3, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59551, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59552, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '3D15', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59553, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 22, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59554, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 2, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59555, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 6, 27, '2024-08-05 16:28:15', NULL, NULL), (59556, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 32, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59557, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 66, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59558, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', '', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59559, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59560, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 30, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59561, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 2, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59562, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 8, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59563, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 3, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 13, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59565, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 12, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59566, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 9, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59567, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 17, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 2, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 4, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 12, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 2, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 5, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 3, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C02', '', 3, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 22, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 20, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C01', '', 2, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 5, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 6, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 138, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59591, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '非常满意', '', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59592, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 66, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59593, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59594, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 32, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59595, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59596, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 26, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59597, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 8, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59598, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 3, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 5, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 5, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C03', '', 4, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 12, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 22, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 20, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A09', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 17, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 12, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 9, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C02', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C01', '', 2, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 4, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C11', '', 2, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 3, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 4, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59623, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 17, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59624, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 2, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59625, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 12, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59626, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 2, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59627, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 3, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59628, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 20, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59629, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 5, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59630, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 12, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59631, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', 'A09', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59632, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 22, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59633, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59634, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59635, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59636, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 1, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59637, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 1, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59638, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 1, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59639, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 1, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59640, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 5, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59641, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 6, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59642, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 9, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (59643, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2024, 6, 28, '2024-08-05 16:28:15', NULL, NULL), (59644, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C02', '', 3, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59645, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 1, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59646, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C01', '', 2, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59647, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 4, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59648, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 1, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59649, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C02', '', 1, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59650, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C01', '', 2, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59651, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '非常满意', 'A09', '', 1, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59652, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 4, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59653, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 4, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59654, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 5, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59655, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 12, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59656, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 17, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59657, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 12, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59658, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 5, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59659, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C03', '', 4, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59660, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 1, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59661, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 20, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59662, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59663, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 9, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59664, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 1, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59665, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 1, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59666, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59667, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C11', '', 2, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59668, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 3, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59669, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59670, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 22, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59671, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 1, 2024, 6, 28, '2024-08-05 16:28:16', NULL, NULL), (59672, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 6, 30, '2024-08-05 16:28:16', NULL, NULL), (59673, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 1, 2024, 6, 30, '2024-08-05 16:28:16', NULL, NULL), (59674, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 1, 2024, 6, 30, '2024-08-05 16:28:16', NULL, NULL), (59675, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 6, 30, '2024-08-05 16:28:16', NULL, NULL), (59676, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 1, 2024, 6, 30, '2024-08-05 16:28:16', NULL, NULL), (59677, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 1, 2024, 6, 30, '2024-08-05 16:28:16', NULL, NULL), (59678, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 1, 2024, 6, 30, '2024-08-05 16:28:16', NULL, NULL), (59679, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 38, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59680, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 2, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59681, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 97, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59682, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 38, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59683, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', '', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59684, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59685, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 5, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 6, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C20', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 29, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 21, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A02', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 14, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 15, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 6, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 7, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 3, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 7, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 3, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 8, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 8, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 20, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 24, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 173, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59708, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 97, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59709, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 37, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59710, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 2, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59711, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59712, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 34, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59713, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59714, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', '', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 14, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 6, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 15, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59718, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 2, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 21, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59720, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 3, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59721, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 6, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59722, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 8, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 23, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 20, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 29, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 6, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A02', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 7, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 3, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59733, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 29, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59734, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 6, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59735, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C20', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59736, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 20, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59737, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59738, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 2, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59739, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59740, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 6, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59741, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 15, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59742, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 21, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59743, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', 'A02', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59744, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 8, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59745, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 24, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59746, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 8, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59747, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 7, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59748, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 3, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59749, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 14, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59750, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 7, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59751, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 3, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59752, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59753, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 20, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59754, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 15, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59755, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 21, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59756, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 29, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59757, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 6, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59758, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 6, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59759, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 3, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59760, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 6, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59761, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', 'A02', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59762, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 8, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59763, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59764, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 23, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59765, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59766, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 7, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59767, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 3, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59768, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 2, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59769, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 14, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59770, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 7, 1, '2024-08-05 16:28:16', NULL, NULL), (59771, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 19, 2024, 7, 2, '2024-08-05 16:28:16', NULL, NULL), (59772, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 66, 2024, 7, 2, '2024-08-05 16:28:16', NULL, NULL), (59773, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', '', '', 2, 2024, 7, 2, '2024-08-05 16:28:16', NULL, NULL), (59774, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 7, 2, '2024-08-05 16:28:16', NULL, NULL), (59775, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 19, 2024, 7, 2, '2024-08-05 16:28:16', NULL, NULL), (59776, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 7, 2, '2024-08-05 16:28:16', NULL, NULL), (59777, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 7, 2, '2024-08-05 16:28:16', NULL, NULL), (59778, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 7, 2, '2024-08-05 16:28:16', NULL, NULL), (59779, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 5, 2024, 7, 2, '2024-08-05 16:28:16', NULL, NULL), (59780, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 11, 2024, 7, 2, '2024-08-05 16:28:16', NULL, NULL), (59781, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 12, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59782, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 13, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59783, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 4, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59784, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 6, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59785, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 15, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59786, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 9, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59787, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 5, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59788, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59789, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59790, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59791, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 2, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59792, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59793, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59794, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 6, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59795, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 2, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59796, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59797, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 20, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59798, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D06', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59799, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 10, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59800, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 117, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59801, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '非常满意', '', '', 2, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59802, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 66, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59803, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59804, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 18, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59805, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59806, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59807, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 19, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59808, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 5, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59809, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 2, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 15, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 9, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 6, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 6, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 9, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 20, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A09', '', 2, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 13, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D06', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 12, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 4, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 5, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59829, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 13, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59830, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 12, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59831, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 20, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59832, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 5, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59833, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 15, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59834, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 6, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59835, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', 'A09', '', 2, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59836, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D06', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59837, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59838, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A06', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59839, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 10, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59840, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59841, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 6, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59842, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 2, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59843, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59844, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59845, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 9, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59846, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59847, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 4, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59848, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 20, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59849, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 15, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59850, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 6, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59851, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 13, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59852, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 12, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59853, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 2, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59854, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A06', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59855, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59856, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 6, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59857, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59858, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 9, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59859, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 5, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59860, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59861, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59862, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '非常满意', 'A09', '', 2, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59863, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B03', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59864, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D06', '', 1, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59865, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 9, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59866, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 4, 2024, 7, 2, '2024-08-05 16:28:17', NULL, NULL), (59867, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 46, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59868, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59869, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 115, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59870, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 31, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59871, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59872, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59873, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59874, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 4, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '项目工程审批大厅', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 8, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 11, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 21, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 13, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 9, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59881, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 27, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59882, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C02', '', 3, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59883, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 11, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59884, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59885, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C01', '', 3, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B01', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C27', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 24, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 19, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 26, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D07', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 4, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C15', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 8, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 200, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59906, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 115, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59907, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 46, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59908, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59909, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59910, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '非常满意', '', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59911, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 29, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59912, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 4, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B01', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 9, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 27, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C03', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 13, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 11, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 19, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 26, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 24, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 21, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 11, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C02', '', 3, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C01', '', 3, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C15', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 8, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 4, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 3, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59939, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 21, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59940, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 11, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59941, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 19, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59942, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 24, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59943, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59944, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 27, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59945, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 13, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59946, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59947, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 8, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59948, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D07', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59949, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C15', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59950, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59951, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59952, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '', '2B01', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59953, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59954, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59955, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59956, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 4, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59957, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 11, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59958, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59959, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 26, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59960, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C27', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59961, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59962, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59963, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C02', '', 3, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59964, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 9, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59965, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59966, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C01', '', 3, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59967, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C15', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59968, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59969, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 8, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59970, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C02', '', 3, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59971, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59972, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C01', '', 3, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59973, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59974, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59975, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 19, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59976, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 24, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59977, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 27, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59978, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 13, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59979, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 21, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59980, 22, '511502000000-0001', '翠屏区政务服务中心', '区发展改革局', '非常满意', '2B01', '', 2, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59981, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 11, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59982, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59983, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C03', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59984, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59985, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 26, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59986, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59987, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 4, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59988, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 3, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59989, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59990, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 11, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59991, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 9, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59992, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2024, 7, 3, '2024-08-05 16:28:17', NULL, NULL), (59993, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 45, 2024, 7, 4, '2024-08-05 16:28:17', NULL, NULL), (59994, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 116, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (59995, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (59996, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', '', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (59997, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (59998, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (59999, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 32, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60000, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60001, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60002, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 6, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60003, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 10, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60004, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '项目工程审批大厅', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60005, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 18, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60006, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D07', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60007, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 20, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C20', '', 3, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 23, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 2, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 17, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 8, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 10, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 20, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 15, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C02', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60021, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 14, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60022, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60023, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60024, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C19', '', 9, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60025, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60026, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B09', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60027, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 17, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60028, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 19, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60029, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 22, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60030, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60031, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 208, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60032, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '非常满意', '', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60033, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 115, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60034, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 45, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60035, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60036, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60037, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 6, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60038, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 29, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60039, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 10, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60040, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', '', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 8, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 20, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 17, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 15, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 19, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 22, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 17, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A09', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 23, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 19, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C20', '', 2, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C02', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'C29', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 13, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C19', '', 9, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 3, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C11', '', 2, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 10, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 3, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60063, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 2, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60064, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 23, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60065, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 20, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60066, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 19, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60067, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C20', '', 3, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60068, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 17, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60069, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 10, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60070, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '2B09', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60071, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 20, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60072, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 17, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60073, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 15, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60074, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', 'A09', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60075, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60076, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60077, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C19', '', 9, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60078, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60079, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 22, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60080, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D07', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60081, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 14, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60082, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60083, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C02', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60084, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 8, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60085, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (60086, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60087, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60088, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 13, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60089, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C19', '', 9, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60090, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C20', '', 2, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60091, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C02', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60092, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '非常满意', 'A09', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60093, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 3, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60094, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 3, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60095, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 19, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60096, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 17, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60097, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 20, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60098, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 17, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60099, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 23, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60100, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 19, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60101, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60102, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 22, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60103, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60104, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C11', '', 2, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60105, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 10, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60106, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', 'C29', '', 1, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60107, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 15, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60108, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 8, 2024, 7, 4, '2024-08-05 16:28:18', NULL, NULL), (60109, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 43, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60110, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60111, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 84, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60112, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 52, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60113, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60114, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 19, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60115, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60116, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 8, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 15, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 21, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 7, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 6, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 17, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 17, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C24', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 8, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C02', '', 2, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 25, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 10, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C09', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 16, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 19, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D07', '', 8, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 3, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C15', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 10, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C19', '', 6, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D02', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 4, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 195, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '', '', 3, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60148, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 84, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60149, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 42, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60150, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '', '', 3, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60151, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60152, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 12, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60153, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 5, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60154, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 49, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60155, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60156, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', '', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60157, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '', '', 3, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '3D15', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '3D15', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 6, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 17, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 8, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 7, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 17, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 8, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 19, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 16, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 23, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 21, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 15, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C24', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C02', '', 2, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '3D07', '', 2, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'C29', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C15', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 10, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D07', '', 4, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C19', '', 6, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 3, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '3D07', '', 2, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C11', '', 3, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60188, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 21, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60189, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 15, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60190, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 16, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60191, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60192, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 8, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60193, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 17, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60194, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 7, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60195, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60196, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C19', '', 6, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60197, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D07', '', 8, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60198, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 10, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60199, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C15', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60200, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D02', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60201, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60202, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60203, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 3, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60204, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60205, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60206, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 17, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60207, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C09', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60208, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 25, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60209, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 19, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60210, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60211, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C24', '', 1, 2024, 7, 5, '2024-08-05 16:28:18', NULL, NULL), (60212, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 10, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60213, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 6, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60214, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C02', '', 2, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60215, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 1, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60216, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C15', '', 1, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60217, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 10, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60218, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C19', '', 6, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60219, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '3D15', '', 1, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60220, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C24', '', 1, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60221, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C02', '', 2, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60222, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '3D07', '', 2, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60223, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D07', '', 4, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60224, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60225, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 3, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60226, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 16, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60227, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 17, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60228, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 7, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60229, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 21, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60230, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 15, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60231, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 1, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60232, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '3D07', '', 2, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60233, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 8, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60234, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 23, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60235, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 19, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60236, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60237, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C11', '', 3, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60238, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60239, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60240, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', 'C29', '', 1, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60241, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 17, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60242, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '3D15', '', 1, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60243, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60244, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 8, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60245, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 6, 2024, 7, 5, '2024-08-05 16:28:19', NULL, NULL), (60246, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60247, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 5, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D12', '', 2, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 2, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 1, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 6, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60253, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 5, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60254, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 1, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D12', '', 2, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 2, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60259, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 2, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60260, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60261, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D12', '', 2, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60262, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 1, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60263, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 2, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60264, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D12', '', 2, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60265, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60266, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 1, 2024, 7, 7, '2024-08-05 16:28:19', NULL, NULL), (60267, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 53, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60268, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60269, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 136, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60270, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', '', '', 1, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60271, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 42, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60272, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 10, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60273, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 4, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60274, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 16, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60275, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 21, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 11, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 26, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 8, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 30, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 2, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 4, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 6, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 17, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 17, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 3, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 4, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 12, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 1, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 17, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 31, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 34, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 239, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60295, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 133, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60296, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 52, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60297, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 8, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60298, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 41, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60299, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 4, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60300, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60301, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60302, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 30, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60303, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 2, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60304, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 3, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60305, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 12, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60306, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 26, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60307, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 16, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60308, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 17, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60309, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 33, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60310, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 29, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60311, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 17, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60312, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 11, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60313, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 21, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60314, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 4, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60315, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 8, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60316, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 6, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60317, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 3, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60318, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 11, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60319, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60320, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 21, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60321, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 31, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60322, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 4, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60323, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 17, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60324, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 30, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60325, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 26, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60326, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 17, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60327, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', 'A09', '', 1, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60328, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 8, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60329, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 17, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60330, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 34, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60331, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 4, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60332, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 12, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60333, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 6, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60334, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 2, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60335, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60336, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 3, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60337, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 29, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60338, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60339, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 30, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60340, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 26, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60341, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 11, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60342, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 21, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60343, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 3, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60344, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 12, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60345, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 16, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60346, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 17, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60347, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 33, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60348, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 4, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60349, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 6, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60350, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 3, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60351, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 8, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60352, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 17, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60353, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 2, 2024, 7, 8, '2024-08-05 16:28:19', NULL, NULL), (60354, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 34, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60355, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 100, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60356, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60357, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 17, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60358, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60359, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60360, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 10, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 3, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 22, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 10, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 7, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 19, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 15, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 7, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60371, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60372, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60373, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B07', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D12', '', 3, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 4, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 2, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 19, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 8, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 26, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 5, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 4, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 152, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60390, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 100, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60391, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 5, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60392, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 32, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60393, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60394, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 12, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60395, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常不满意', '', '', 4, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 19, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 7, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D12', '', 2, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 3, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 15, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 6, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 8, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 25, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 19, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 10, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 22, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '3D12', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '3D15', '', 2, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '3D13', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 5, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C11', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 3, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60417, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 10, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60418, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 22, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60419, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 8, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60420, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 19, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60421, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 15, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60422, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 19, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60423, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 7, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60424, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60425, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60426, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60427, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 5, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60428, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60429, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60430, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 7, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60431, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B07', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60432, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A09', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60433, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60434, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 26, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60435, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 4, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60436, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60437, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D12', '', 3, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60438, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60439, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 2, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60440, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60441, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60442, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60443, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 5, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60444, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常不满意', '3D15', '', 2, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60445, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 3, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60446, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常不满意', '3D12', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60447, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常不满意', '3D13', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60448, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 3, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60449, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 8, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60450, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 19, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60451, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D12', '', 2, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60452, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 19, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60453, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 7, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60454, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 10, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60455, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 22, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60456, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60457, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 15, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60458, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60459, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 25, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60460, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C11', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60461, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60462, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 6, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60463, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 1, 2024, 7, 9, '2024-08-05 16:28:20', NULL, NULL), (60464, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 40, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60465, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 53, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60466, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60467, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 26, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60468, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60469, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60470, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 3, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60471, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 4, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60472, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 17, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60473, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D07', '', 1, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60474, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60475, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 2, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60476, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 13, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60477, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60478, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C10', '', 2, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60479, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 2, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 8, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 15, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 13, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 3, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 9, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 2, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 1, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D04', '', 1, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D05', '', 1, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 25, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 124, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60495, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 53, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60496, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 2, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60497, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 40, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60498, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60499, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60500, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 24, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60501, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 3, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60502, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 2, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60503, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 8, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60504, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D04', '', 1, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60505, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 9, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60506, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 13, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60507, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C03', '', 2, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60508, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 15, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60509, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 13, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60510, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 25, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60511, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 4, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60512, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D05', '', 1, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60513, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 17, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60514, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60515, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 2, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60516, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C10', '', 2, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60517, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 3, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60518, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60519, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60520, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C10', '', 2, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60521, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 17, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60522, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 2, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60523, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 15, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60524, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 8, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60525, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 13, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60526, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 13, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60527, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60528, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D05', '', 1, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (60529, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60530, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 1, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60531, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 25, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60532, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D07', '', 1, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60533, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60534, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 3, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60535, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60536, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 9, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60537, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 2, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60538, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D04', '', 1, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60539, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 2, 2024, 7, 10, '2024-08-05 16:28:20', NULL, NULL), (60540, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60541, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60542, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 8, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60543, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 13, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60544, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 17, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60545, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60546, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 3, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60547, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 9, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60548, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C03', '', 2, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60549, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 15, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60550, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 4, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60551, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 25, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60552, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 2, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60553, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C10', '', 2, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60554, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60555, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 3, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60556, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D05', '', 1, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60557, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 13, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60558, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D04', '', 1, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60559, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 2, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60560, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 7, 10, '2024-08-05 16:28:21', NULL, NULL), (60561, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 34, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60562, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 96, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60563, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', '', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60564, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 4, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60565, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 17, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60566, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60567, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 8, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60568, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 13, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60569, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60570, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 13, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 18, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B11', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B12', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 8, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 25, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 13, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B13', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 18, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 2, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C26', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60588, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 3, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60589, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60591, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 22, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60592, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 18, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60593, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 162, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60594, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '非常满意', '', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60595, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 96, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60596, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 32, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60597, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60598, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 17, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60599, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 8, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60600, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 4, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C26', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 25, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 18, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 12, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 18, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 17, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 22, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A09', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 13, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 3, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60617, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B12', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60618, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C11', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60619, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 8, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60620, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B11', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60621, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 3, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B13', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 2, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60625, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 13, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60626, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60627, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B12', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60628, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 22, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60629, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B11', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60630, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 8, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60631, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 18, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60632, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 25, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60633, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 18, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60634, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 13, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60635, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', 'A09', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60636, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60637, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60638, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 18, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60639, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60640, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C26', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60641, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60642, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B13', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60643, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 3, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60644, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60645, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60646, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60647, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 2, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60648, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60649, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60650, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 3, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60651, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '非常满意', 'A09', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60652, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60653, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60654, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 22, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60655, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 25, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60656, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 18, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60657, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 13, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60658, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C26', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60659, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 18, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60660, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60661, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60662, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60663, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 17, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60664, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C11', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60665, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 8, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60666, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 3, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60667, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 2, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60668, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B13', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60669, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B12', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60670, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B11', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60671, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 12, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60672, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 1, 2024, 7, 11, '2024-08-05 16:28:21', NULL, NULL), (60673, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 19, 2024, 7, 12, '2024-08-05 16:28:21', NULL, NULL), (60674, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 1, 2024, 7, 12, '2024-08-05 16:28:21', NULL, NULL), (60675, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 79, 2024, 7, 12, '2024-08-05 16:28:21', NULL, NULL), (60676, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', '', '', 1, 2024, 7, 12, '2024-08-05 16:28:21', NULL, NULL), (60677, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 7, 12, '2024-08-05 16:28:21', NULL, NULL), (60678, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 22, 2024, 7, 12, '2024-08-05 16:28:21', NULL, NULL), (60679, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 7, 2024, 7, 12, '2024-08-05 16:28:21', NULL, NULL), (60680, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 6, 2024, 7, 12, '2024-08-05 16:28:21', NULL, NULL), (60681, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 5, 2024, 7, 12, '2024-08-05 16:28:21', NULL, NULL), (60682, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '退役军人大厅', 1, 2024, 7, 12, '2024-08-05 16:28:21', NULL, NULL), (60683, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 12, 2024, 7, 12, '2024-08-05 16:28:21', NULL, NULL), (60684, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 15, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60685, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 16, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60686, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 4, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60687, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 7, 12, '2024-08-05 16:28:21', NULL, NULL), (60688, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60689, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 20, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60690, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 5, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60691, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 3, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60692, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 21, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60693, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 7, 12, '2024-08-05 16:28:21', NULL, NULL), (60694, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 7, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60695, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 11, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60696, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60697, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60698, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60699, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 7, 2024, 7, 12, '2024-08-05 16:28:21', NULL, NULL), (60700, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60701, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A09', '', 1, 2024, 7, 12, '2024-08-05 16:28:21', NULL, NULL), (60702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 2, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 9, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D14', '', 2, 2024, 7, 12, '2024-08-05 16:28:21', NULL, NULL), (60705, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 3, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60706, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A09', '', 5, 2024, 7, 12, '2024-08-05 16:28:21', NULL, NULL), (60707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 2, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 132, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60709, 22, '511502000000-0001', '翠屏区政务服务中心', '', '不满意', '', '', 2, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60710, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '', '', 2, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60711, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '非常满意', '', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60712, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 78, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60713, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 19, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60714, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '', '', 2, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60715, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', '', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60716, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '不满意', '', '', 2, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60717, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60718, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 20, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60719, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 6, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60720, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 5, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60721, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60722, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '', '', 2, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60723, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '3D15', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60724, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '3D14', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60725, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '3D15', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60726, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '3D13', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60727, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60728, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 3, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60729, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 20, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 20, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 7, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 11, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A09', '', 5, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A09', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 16, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 15, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 7, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '不满意', '3D14', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '不满意', '3D13', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 4, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 5, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C11', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 3, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60750, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 16, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60751, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60752, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 15, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60753, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B03', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60754, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 5, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60755, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 7, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60756, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 21, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60757, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 20, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60758, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '', 'A09', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60759, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 11, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60760, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60761, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 9, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60762, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A09', '', 5, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60763, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 2, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60764, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 7, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60765, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 3, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60766, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60767, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60768, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 3, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60769, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60770, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60771, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D14', '', 2, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60772, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 4, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60773, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', 'B03', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60774, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60775, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 7, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60776, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '3D15', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60777, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '3D14', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60778, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60779, 22, '511502000000-0001', '翠屏区政务服务中心', '区消防大队', '非常满意', 'A09', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60780, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60781, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 4, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60782, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 20, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60783, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 20, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60784, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 16, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60785, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 15, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60786, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '不满意', '3D14', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60787, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '不满意', '3D13', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60788, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 7, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60789, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60790, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A09', '', 5, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60791, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '3D13', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60792, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C11', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60793, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 5, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60794, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 3, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60795, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60796, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '3D15', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60797, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 11, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60798, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 1, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60799, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 3, 2024, 7, 12, '2024-08-05 16:28:22', NULL, NULL), (60800, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 34, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60801, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60802, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 163, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60803, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60804, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 22, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60805, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60806, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60807, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 2, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 30, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60809, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 27, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60810, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 20, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 4, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 19, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 28, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 11, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 2, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 1, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 9, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 30, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 28, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 223, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60829, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 163, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60830, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 34, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60831, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60832, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 22, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60833, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60834, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 2, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 19, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 2, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60839, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 28, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60840, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 20, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60841, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 4, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60842, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C03', '', 1, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 9, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 1, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 11, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 28, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 30, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 27, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 30, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 3, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 7, 15, '2024-08-05 16:28:22', NULL, NULL), (60854, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 27, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60855, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60856, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 30, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60857, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 28, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60858, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 30, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60859, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60860, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60861, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 28, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60862, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 20, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60863, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 11, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60864, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60865, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60866, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 2, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60867, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 1, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60868, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 9, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60869, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60870, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60871, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 19, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60872, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 4, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60873, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60874, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 28, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60875, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 30, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60876, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60877, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 28, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60878, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 20, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60879, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 27, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60880, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60881, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 1, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60882, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 30, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60883, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60884, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 2, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60885, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C03', '', 1, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60886, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 9, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60887, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60888, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60889, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 3, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60890, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 11, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60891, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 19, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60892, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 4, 2024, 7, 15, '2024-08-05 16:28:23', NULL, NULL), (60893, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 42, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60894, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 53, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60895, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 13, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60896, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 3, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C20', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 11, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 12, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60902, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60903, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 17, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60904, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 25, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60905, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 13, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C15', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 6, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C19', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 17, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 110, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60913, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 52, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60914, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 42, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60915, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 13, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60916, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 17, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C15', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 24, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 6, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 12, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 13, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C19', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 17, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 11, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60927, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C20', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60928, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60929, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60930, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60931, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 11, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60932, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C20', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60933, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 17, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60934, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 25, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60935, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 13, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60936, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C19', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60937, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60938, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60939, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C15', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60940, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 6, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60941, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 17, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60942, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60943, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 12, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60944, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60945, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 17, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60946, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 24, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60947, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 11, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60948, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C15', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60949, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 6, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60950, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C19', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60951, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60952, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C20', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60953, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60954, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60955, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 13, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60956, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 17, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60957, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 12, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60958, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 7, 16, '2024-08-05 16:28:23', NULL, NULL), (60959, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 17, 2024, 7, 17, '2024-08-05 16:28:23', NULL, NULL), (60960, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 41, 2024, 7, 17, '2024-08-05 16:28:23', NULL, NULL), (60961, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 7, 17, '2024-08-05 16:28:23', NULL, NULL), (60962, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 21, 2024, 7, 17, '2024-08-05 16:28:23', NULL, NULL), (60963, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 7, 17, '2024-08-05 16:28:23', NULL, NULL), (60964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 14, 2024, 7, 17, '2024-08-05 16:28:23', NULL, NULL), (60965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 6, 2024, 7, 17, '2024-08-05 16:28:23', NULL, NULL), (60967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 11, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (60968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 15, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C02', '', 1, 2024, 7, 17, '2024-08-05 16:28:23', NULL, NULL), (60970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 8, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 4, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C01', '', 4, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 2, 2024, 7, 17, '2024-08-05 16:28:23', NULL, NULL), (60975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 2, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 5, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60978, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 7, 17, '2024-08-05 16:28:23', NULL, NULL), (60979, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 3, 2024, 7, 17, '2024-08-05 16:28:23', NULL, NULL), (60980, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 79, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60981, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 41, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60982, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 17, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60983, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60984, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 19, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60985, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 11, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 2, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 15, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C03', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 6, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 5, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 8, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 3, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 14, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C02', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (60999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 4, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C01', '', 3, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61002, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61003, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 14, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61004, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 3, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61005, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 8, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61006, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 15, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61007, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61008, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 2, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61009, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61010, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 2, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61011, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 5, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61012, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C02', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61013, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61014, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 11, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61015, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 4, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61016, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C01', '', 4, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61017, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 6, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61018, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 3, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61019, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 15, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61020, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61021, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61022, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 14, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61023, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 2, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61024, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61025, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C03', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61026, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 5, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61027, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 8, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61028, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61029, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C02', '', 1, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61030, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 4, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61031, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C01', '', 3, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61032, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 11, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61033, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 6, 2024, 7, 17, '2024-08-05 16:28:24', NULL, NULL), (61034, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 36, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61035, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 57, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61036, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 26, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61037, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61038, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 6, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61039, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61040, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 4, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61041, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 9, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61042, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 18, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61043, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 5, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61044, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 11, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61045, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 4, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61046, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 21, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61047, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 4, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61048, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 19, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61049, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 15, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61050, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 11, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61051, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C24', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61052, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 4, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61053, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 8, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61054, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 4, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A07', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C07', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D14', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D05', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D06', '', 2, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 132, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61065, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 56, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61066, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 6, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61067, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 35, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61068, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 26, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61069, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 5, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61070, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 4, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D14', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 21, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 19, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 11, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 4, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 4, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 15, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 3, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C07', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D05', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D06', '', 2, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 18, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 5, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 4, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 11, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C24', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 8, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61091, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 18, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61092, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61093, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 4, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61094, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 15, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61095, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 19, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61096, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 4, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61097, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 4, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61098, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D06', '', 2, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61099, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D05', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61100, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C07', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61101, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61102, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A07', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61103, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61104, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 4, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61105, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 11, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61106, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C24', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61107, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61108, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 21, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61109, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D14', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61110, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 11, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61111, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 8, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61112, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 5, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61113, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61114, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 19, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61115, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 4, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61116, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 18, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61117, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 4, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61118, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 15, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61119, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C07', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61120, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61121, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 4, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61122, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 11, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61123, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C24', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61124, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 8, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61125, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D06', '', 2, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61126, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D05', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61127, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 3, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61128, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 1, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61129, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 21, 2024, 7, 18, '2024-08-05 16:28:24', NULL, NULL), (61130, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D14', '', 1, 2024, 7, 18, '2024-08-05 16:28:25', NULL, NULL), (61131, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 11, 2024, 7, 18, '2024-08-05 16:28:25', NULL, NULL), (61132, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 5, 2024, 7, 18, '2024-08-05 16:28:25', NULL, NULL), (61133, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 31, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61134, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 70, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61135, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61136, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 25, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61137, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 8, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61138, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 10, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 19, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 2, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 7, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 11, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 3, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 17, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 14, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 7, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 12, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 2, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61153, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 7, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61154, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61155, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C07', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61156, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C09', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 20, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 2, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 133, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61161, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 68, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61162, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 31, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61163, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 8, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61164, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 23, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61165, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61166, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 17, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 14, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B05', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61170, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 7, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61171, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 11, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61172, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 3, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61173, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 12, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 2, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 20, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C07', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 7, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 2, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 17, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 7, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 7, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61186, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 19, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61187, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 2, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61188, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 20, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61189, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61190, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 12, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61191, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 14, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61192, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 3, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61193, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C09', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61194, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61195, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C07', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61196, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61197, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 2, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61198, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61199, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 7, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61200, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 7, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61201, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 17, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61202, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61203, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 2, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61204, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 7, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61205, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 11, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61206, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 2, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61207, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 20, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61208, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 14, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61209, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 3, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61210, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B05', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61211, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 17, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61212, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 7, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61213, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 12, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61214, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C07', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61215, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 7, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61216, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 2, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61217, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61218, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61219, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 7, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61220, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61221, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 1, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61222, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 17, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61223, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 7, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61224, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 11, 2024, 7, 19, '2024-08-05 16:28:25', NULL, NULL), (61225, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 3, 2024, 7, 20, '2024-08-05 16:28:25', NULL, NULL), (61226, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 1, 2024, 7, 20, '2024-08-05 16:28:25', NULL, NULL), (61227, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C01', '', 2, 2024, 7, 20, '2024-08-05 16:28:25', NULL, NULL), (61228, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 3, 2024, 7, 20, '2024-08-05 16:28:25', NULL, NULL), (61229, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 3, 2024, 7, 20, '2024-08-05 16:28:25', NULL, NULL), (61230, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C01', '', 2, 2024, 7, 20, '2024-08-05 16:28:25', NULL, NULL), (61231, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 1, 2024, 7, 20, '2024-08-05 16:28:25', NULL, NULL), (61232, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C01', '', 2, 2024, 7, 20, '2024-08-05 16:28:25', NULL, NULL), (61233, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 1, 2024, 7, 20, '2024-08-05 16:28:25', NULL, NULL), (61234, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C01', '', 2, 2024, 7, 20, '2024-08-05 16:28:25', NULL, NULL), (61235, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 1, 2024, 7, 20, '2024-08-05 16:28:25', NULL, NULL), (61236, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 45, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61237, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61238, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61239, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 89, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61240, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 24, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61241, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61242, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 12, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61243, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61244, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '项目工程审批大厅', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61245, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 14, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61246, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 18, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61247, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B06', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61248, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 8, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61249, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 11, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61250, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 2, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61251, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 21, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61252, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 18, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61253, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61254, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61255, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 13, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61256, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 19, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61257, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61258, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 16, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61259, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 2, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61260, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61261, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61262, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 9, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61263, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61264, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C07', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61265, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 8, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61266, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 16, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61267, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D06', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61268, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 169, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61269, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 89, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61270, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61271, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 41, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61272, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 12, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61273, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 24, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61274, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61275, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61276, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61277, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61278, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 13, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61279, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 19, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 9, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61281, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C03', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61282, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 21, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61283, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 18, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61284, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 16, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61285, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 16, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61286, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C07', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61287, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 8, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61288, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 7, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61289, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 2, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61290, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D06', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61291, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 18, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61292, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 8, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61293, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61294, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 4, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61295, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 2, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61296, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 2, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61297, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61298, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 2, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61299, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 18, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61300, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 16, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61301, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61302, 22, '511502000000-0001', '翠屏区政务服务中心', '区住房城乡建设局', '', '2B06', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61303, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 16, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61304, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 19, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61305, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 18, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61306, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D06', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61307, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61308, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C07', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61309, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 8, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61310, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61311, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 11, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61312, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 9, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61313, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61314, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61315, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 13, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61316, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 8, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61317, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 2, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61318, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 21, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61319, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 16, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61320, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61321, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 19, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61322, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 18, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61323, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 2, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61324, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 18, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61325, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61326, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 9, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61327, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C03', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61328, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 16, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61329, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C07', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61330, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 8, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61331, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 7, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61332, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61333, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 2, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61334, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 2, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61335, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D06', '', 1, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61336, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 4, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61337, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 13, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61338, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 8, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61339, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 21, 2024, 7, 22, '2024-08-05 16:28:26', NULL, NULL), (61340, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 60, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61341, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 60, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61342, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61343, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 25, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61344, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', '', '', 1, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61345, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61346, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61347, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 4, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C20', '', 1, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 17, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 9, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 12, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 12, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C10', '', 1, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 18, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A02', '', 1, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 4, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 10, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 20, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 7, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C02', '', 1, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A03', '', 1, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 5, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B07', '', 1, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 8, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61369, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 17, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61370, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 142, 2024, 7, 23, '2024-08-05 16:28:26', NULL, NULL), (61371, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 60, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61372, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 53, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61373, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61374, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 25, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61375, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61376, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', '', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 18, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 4, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 12, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 5, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 12, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A03', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 10, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 20, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 17, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 8, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 17, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 2, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C20', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A02', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C10', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 7, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C02', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61398, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 17, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61399, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C10', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61400, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C20', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61401, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 17, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61402, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61403, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61404, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 10, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61405, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 4, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61406, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 12, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61407, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A03', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61408, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 20, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61409, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', 'A02', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (61410, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B07', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61411, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 8, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61412, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 9, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61413, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 5, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61414, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 18, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61415, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 7, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61416, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C02', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61417, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61418, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61419, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 12, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61420, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 17, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61421, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 4, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61422, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 12, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61423, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 17, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61424, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 5, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61425, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 10, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61426, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', 'A02', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61427, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 8, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61428, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 2, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61429, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C20', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61430, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61431, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C10', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61432, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61433, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 7, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61434, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C02', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61435, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61436, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A03', '', 1, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61437, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 20, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61438, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 18, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61439, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61440, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 12, 2024, 7, 23, '2024-08-05 16:28:27', NULL, NULL), (61441, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 48, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61442, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61443, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 45, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61444, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 18, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61445, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61446, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 3, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61447, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 4, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61448, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 5, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61449, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 6, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61450, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61451, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61452, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 11, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61453, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 15, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61454, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61455, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C10', '', 2, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61456, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 16, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61457, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 20, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61458, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 13, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61459, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 6, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61460, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 12, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61461, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61462, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C15', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61463, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61464, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61465, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 7, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61466, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C09', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61467, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D05', '', 2, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61468, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61469, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 116, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61470, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61471, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 45, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61472, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61473, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 48, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61474, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61475, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61476, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61477, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 16, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61478, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 4, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61479, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', '', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61480, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', 'C29', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61481, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '3D05', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61482, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C15', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61483, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 16, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61484, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 20, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61485, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61486, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 11, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61487, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 15, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61488, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 13, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61489, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 12, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61490, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61491, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D05', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61492, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C09', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61493, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 6, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61494, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61495, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C10', '', 2, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61496, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 3, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61497, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61498, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 6, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61499, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C10', '', 2, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61500, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 6, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61501, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61502, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 12, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61503, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 16, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61504, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 11, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61505, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 13, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61506, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C09', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61507, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61508, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D05', '', 2, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61509, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 7, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61510, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61511, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61512, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C15', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61513, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61514, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 6, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61515, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 20, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61516, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61517, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 15, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61518, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 16, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61519, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 11, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61520, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 6, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61521, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61522, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C15', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61523, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 12, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61524, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61525, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C09', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61526, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C10', '', 2, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61527, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 6, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61528, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '满意', 'C29', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61529, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 3, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61530, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 13, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61531, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D05', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61532, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '3D05', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61533, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61534, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 20, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61535, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61536, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 15, 2024, 7, 24, '2024-08-05 16:28:27', NULL, NULL), (61537, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 32, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61538, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61539, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 83, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61540, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61541, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 13, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61542, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', '', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61543, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61544, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 7, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61545, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 15, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61546, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 14, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61547, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61548, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 12, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61549, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61550, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 12, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61551, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 15, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61552, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A02', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61553, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 18, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61554, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61555, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 2, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61556, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 5, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61557, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 2, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61558, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61559, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61560, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B08', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61561, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 9, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61562, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 12, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61563, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 10, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61564, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 133, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61565, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 83, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61566, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 32, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61567, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 5, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61568, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 11, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61569, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61570, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', '', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61571, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61572, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 15, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61573, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 18, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61574, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61575, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 12, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61576, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 12, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61577, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 2, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61578, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 5, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61579, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 10, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61580, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 12, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61581, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 9, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61582, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 14, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61583, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 15, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61584, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 3, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61585, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A02', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61586, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61587, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61588, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 14, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61589, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61590, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 15, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61591, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 10, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61592, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 12, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61593, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 2, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61594, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 18, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61595, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 12, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61596, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 5, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61597, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', 'A02', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61598, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61599, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 9, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61600, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B08', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61601, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 2, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61602, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61603, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61604, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 15, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61605, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 12, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61606, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61607, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 10, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61608, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 12, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61609, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61610, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 18, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61611, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 12, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61612, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 14, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61613, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 15, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61614, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61615, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 2, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61616, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', 'A02', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61617, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 9, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61618, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61619, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61620, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 5, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61621, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 15, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61622, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 12, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61623, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 3, 2024, 7, 25, '2024-08-05 16:28:28', NULL, NULL), (61624, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 28, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61625, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 85, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61626, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 8, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61627, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61628, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 2, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 12, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 12, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 12, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 6, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 15, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 17, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 6, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 7, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 2, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 4, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 14, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61645, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 12, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61646, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 123, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61647, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 85, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61648, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 28, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61649, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61650, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2024, 7, 26, '2024-08-05 16:28:28', NULL, NULL), (61651, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 7, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 15, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 17, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 12, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 6, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 6, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 7, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 12, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 14, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 12, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 12, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A12', '', 2, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 2, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61668, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 12, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61669, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 12, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61670, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 12, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61671, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 14, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61672, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61673, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 6, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61674, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 17, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61675, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 12, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61676, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 7, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61677, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61678, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 4, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61679, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61680, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 15, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61681, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61682, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 2, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61683, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 6, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61684, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 12, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61685, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 14, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61686, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 17, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61687, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 12, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61688, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 12, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61689, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 12, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61690, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61691, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 6, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61692, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61693, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61694, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61695, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 2, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61696, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A12', '', 2, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61697, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 7, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61698, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 15, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61699, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 6, 2024, 7, 26, '2024-08-05 16:28:29', NULL, NULL), (61700, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 7, 27, '2024-08-05 16:28:29', NULL, NULL), (61701, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 1, 2024, 7, 27, '2024-08-05 16:28:29', NULL, NULL), (61702, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B04', '', 1, 2024, 7, 27, '2024-08-05 16:28:29', NULL, NULL), (61703, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 1, 2024, 7, 27, '2024-08-05 16:28:29', NULL, NULL), (61704, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 2, 2024, 7, 27, '2024-08-05 16:28:29', NULL, NULL), (61705, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 1, 2024, 7, 27, '2024-08-05 16:28:29', NULL, NULL), (61706, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', '', '', 1, 2024, 7, 27, '2024-08-05 16:28:29', NULL, NULL), (61707, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B04', '', 1, 2024, 7, 27, '2024-08-05 16:28:29', NULL, NULL), (61708, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 1, 2024, 7, 27, '2024-08-05 16:28:29', NULL, NULL), (61709, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 1, 2024, 7, 27, '2024-08-05 16:28:29', NULL, NULL), (61710, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B04', '', 1, 2024, 7, 27, '2024-08-05 16:28:29', NULL, NULL), (61711, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '非常满意', 'B04', '', 1, 2024, 7, 27, '2024-08-05 16:28:29', NULL, NULL), (61712, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 1, 2024, 7, 27, '2024-08-05 16:28:29', NULL, NULL), (61713, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 1, 2024, 7, 28, '2024-08-05 16:28:29', NULL, NULL), (61714, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 2, 2024, 7, 28, '2024-08-05 16:28:29', NULL, NULL), (61715, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 1, 2024, 7, 28, '2024-08-05 16:28:29', NULL, NULL), (61716, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D14', '', 2, 2024, 7, 28, '2024-08-05 16:28:29', NULL, NULL), (61717, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 2, 2024, 7, 28, '2024-08-05 16:28:29', NULL, NULL), (61718, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 2, 2024, 7, 28, '2024-08-05 16:28:29', NULL, NULL), (61719, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D14', '', 2, 2024, 7, 28, '2024-08-05 16:28:29', NULL, NULL), (61720, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D14', '', 2, 2024, 7, 28, '2024-08-05 16:28:29', NULL, NULL), (61721, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 1, 2024, 7, 28, '2024-08-05 16:28:29', NULL, NULL), (61722, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D14', '', 2, 2024, 7, 28, '2024-08-05 16:28:29', NULL, NULL), (61723, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 27, 2024, 7, 29, '2024-08-05 16:28:29', NULL, NULL), (61724, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 3, 2024, 7, 29, '2024-08-05 16:28:29', NULL, NULL), (61725, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 89, 2024, 7, 29, '2024-08-05 16:28:29', NULL, NULL), (61726, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 9, 2024, 7, 29, '2024-08-05 16:28:29', NULL, NULL), (61727, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 4, 2024, 7, 29, '2024-08-05 16:28:29', NULL, NULL), (61728, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2024, 7, 29, '2024-08-05 16:28:29', NULL, NULL), (61729, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 5, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '退役军人大厅', 3, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61731, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 7, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61732, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 20, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61733, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 2, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 19, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 13, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 8, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 25, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 5, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 18, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 6, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 3, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 5, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 1, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C18', '', 1, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 2, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 7, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 134, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61750, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 89, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61751, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 3, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61752, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 25, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61753, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', '', '', 3, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61754, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 2, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61755, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 7, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61756, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 5, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 8, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 25, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 2, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 13, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C03', '', 5, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 18, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A04', '', 4, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D08', '', 1, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 7, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61766, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61767, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 19, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61768, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 20, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61769, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 2, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61770, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 5, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61771, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 3, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61772, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 19, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61773, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 20, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61774, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 7, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61775, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B03', '', 3, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61776, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 5, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61777, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 18, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61778, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 25, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61779, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 6, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61780, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61781, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C18', '', 1, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61782, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 2, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61783, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 1, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61784, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 5, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61785, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 8, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61786, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 2, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61787, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61788, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 13, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61789, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 7, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61790, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 25, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61791, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', 'B03', '', 3, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61792, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 19, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61793, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 20, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61794, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C03', '', 5, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61795, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 18, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61796, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61797, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 5, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61798, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D08', '', 1, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61799, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A04', '', 4, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61800, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 8, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61801, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 2, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61802, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 2, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61803, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 13, 2024, 7, 29, '2024-08-05 16:28:30', NULL, NULL), (61804, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 35, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61805, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 75, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61806, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 7, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61807, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61808, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 5, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61809, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 14, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61810, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61811, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 16, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61812, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 18, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61813, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61814, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 13, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61815, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 14, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61816, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 5, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 15, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 20, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 20, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 17, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C26', '', 1, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 2, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 2, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 1, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D02', '', 1, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D04', '', 1, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D05', '', 1, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 1, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D06', '', 2, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 2, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 129, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61835, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 72, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61836, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 2, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61837, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 34, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61838, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61839, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 6, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61840, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 12, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61841, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61842, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '', '', 2, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61843, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C26', '', 1, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61844, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61845, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 20, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61846, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 20, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61847, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 5, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61848, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 14, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (61849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 2, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 17, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 1, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 12, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 18, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '3D05', '', 1, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '3D06', '', 1, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 2, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D02', '', 1, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D06', '', 1, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 12, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 7, 30, '2024-08-05 16:28:30', NULL, NULL), (61861, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 14, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61862, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 18, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61863, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61864, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 1, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61865, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61866, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 17, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61867, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 20, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61868, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 5, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61869, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D06', '', 2, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61870, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61871, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D05', '', 1, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61872, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 1, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61873, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A06', '', 1, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61874, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 2, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61875, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C26', '', 1, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61876, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D02', '', 1, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61877, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 2, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61878, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D04', '', 1, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61879, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 20, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61880, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 13, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61881, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 15, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61882, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D02', '', 1, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61883, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 2, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61884, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A06', '', 1, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61885, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D06', '', 1, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61886, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 12, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61887, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 20, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61888, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 5, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61889, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 12, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61890, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 18, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61891, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '3D06', '', 1, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61892, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C26', '', 1, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61893, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '3D05', '', 1, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61894, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 2, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61895, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 17, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61896, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 1, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61897, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61898, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 20, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61899, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 14, 2024, 7, 30, '2024-08-05 16:28:31', NULL, NULL), (61900, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 39, 2024, 7, 31, '2024-08-05 16:28:31', NULL, NULL), (61901, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 3, 2024, 7, 31, '2024-08-05 16:28:31', NULL, NULL), (61902, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 68, 2024, 7, 31, '2024-08-05 16:28:31', NULL, NULL), (61903, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 7, 31, '2024-08-05 16:28:31', NULL, NULL), (61904, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 8, 2024, 7, 31, '2024-08-05 16:28:31', NULL, NULL), (61905, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 12, 2024, 7, 31, '2024-08-05 16:28:31', NULL, NULL), (61906, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 15, 2024, 7, 31, '2024-08-05 16:28:31', NULL, NULL), (61907, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 18, 2024, 7, 31, '2024-08-05 16:28:31', NULL, NULL), (61908, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61909, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 14, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61910, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61911, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 6, 2024, 7, 31, '2024-08-05 16:28:31', NULL, NULL), (61912, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 23, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61913, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 10, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61914, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 2, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61915, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 20, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61916, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 7, 31, '2024-08-05 16:28:31', NULL, NULL), (61917, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 17, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61918, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 3, 2024, 7, 31, '2024-08-05 16:28:31', NULL, NULL), (61919, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C26', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61920, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61921, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61922, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61923, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B06', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61924, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 2, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61925, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 7, 2024, 7, 31, '2024-08-05 16:28:31', NULL, NULL), (61926, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 116, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61927, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 67, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61928, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 39, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61929, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 3, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61930, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 7, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61931, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 2, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C26', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61933, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 19, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61934, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 3, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61935, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61936, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 6, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61937, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 23, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61938, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C03', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 2, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 17, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 7, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 14, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 18, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61946, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 18, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61947, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 7, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61948, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61949, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 3, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61950, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 17, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61951, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 20, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61952, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 6, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61953, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 10, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61954, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B06', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61955, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61956, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 2, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61957, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 14, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61958, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C26', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61959, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61960, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61961, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61962, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 2, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61963, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61964, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 23, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61965, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 7, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61966, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 19, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61967, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 6, 2024, 7, 31, '2024-08-05 16:28:33', NULL, NULL), (61968, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 18, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61969, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C26', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61970, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 7, 31, '2024-08-05 16:28:33', NULL, NULL), (61971, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C03', '', 1, 2024, 7, 31, '2024-08-05 16:28:33', NULL, NULL), (61972, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 2, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61973, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 17, 2024, 7, 31, '2024-08-05 16:28:33', NULL, NULL), (61974, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 14, 2024, 7, 31, '2024-08-05 16:28:33', NULL, NULL), (61975, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 7, 31, '2024-08-05 16:28:33', NULL, NULL), (61976, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 7, 31, '2024-08-05 16:28:32', NULL, NULL), (61977, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 3, 2024, 7, 31, '2024-08-05 16:28:33', NULL, NULL), (61978, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 2, 2024, 7, 31, '2024-08-05 16:28:33', NULL, NULL), (61979, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 23, 2024, 7, 31, '2024-08-05 16:28:33', NULL, NULL), (61980, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 27, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61981, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 2, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61982, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 58, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61983, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 10, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61984, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61985, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 6, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61986, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 8, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61987, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 13, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61988, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 1, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61989, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61990, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 12, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61991, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 11, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61992, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 4, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61993, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 1, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61994, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 15, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61995, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 14, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61996, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 2, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61997, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C01', '', 10, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61998, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 2, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (61999, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (62000, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 6, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (62001, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D01', '', 1, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (62002, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 8, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (62003, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 96, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (62004, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 58, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (62005, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 27, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (62006, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 2, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (62007, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 9, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (62008, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 1, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (62009, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 15, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62010, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 2, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62011, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 11, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62012, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C01', '', 10, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62013, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 14, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62014, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 6, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62015, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 8, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62016, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 1, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (62017, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 12, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62018, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 13, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62019, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 8, 1, '2024-08-05 16:28:33', NULL, NULL), (62020, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 2, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62021, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 12, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62022, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 13, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62023, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 8, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62024, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 2, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62025, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C01', '', 10, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62026, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 14, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62027, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 1, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62028, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 4, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62029, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 6, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62030, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 1, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62031, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D01', '', 1, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62032, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 2, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62033, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 15, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62034, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 11, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62035, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62036, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 2, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62037, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 8, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62038, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 1, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62039, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 12, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62040, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 13, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62041, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C01', '', 10, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62042, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 14, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62043, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 6, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62044, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 1, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62045, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62046, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 2, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62047, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 2, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62048, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 15, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62049, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 11, 2024, 8, 1, '2024-08-05 16:28:34', NULL, NULL), (62050, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 34, 2024, 8, 2, '2024-08-05 16:28:34', 1, '2024-08-06 02:02:14'), (62051, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 63, 2024, 8, 2, '2024-08-05 16:28:34', 1, '2024-08-06 02:02:14'), (62052, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '', '', 1, 2024, 8, 2, '2024-08-05 16:28:34', 1, '2024-08-06 02:02:14'), (62053, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 1, 2024, 8, 2, '2024-08-05 16:28:34', 1, '2024-08-06 02:02:14'), (62054, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 5, 2024, 8, 2, '2024-08-05 16:28:34', 1, '2024-08-06 02:02:14'), (62055, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '项目工程审批大厅', 1, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62056, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 5, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62057, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C30', '', 1, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62058, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62059, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 7, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62060, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 14, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62061, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 12, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62062, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62063, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 13, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 14, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62065, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 12, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62066, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C01', '', 10, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62067, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2B09', '', 1, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62068, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 15, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62069, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 98, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62070, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 62, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62071, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 34, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62072, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 1, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62073, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '非常满意', '', '', 1, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:14'), (62074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 13, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 14, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 14, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 12, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C01', '', 9, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 12, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 15, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2B09', '', 1, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 7, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C30', '', 1, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62084, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 15, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62085, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C30', '', 1, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62086, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62087, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '', '2B09', '', 1, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62088, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C01', '', 10, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62089, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 7, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62090, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 12, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62091, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 13, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62092, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 14, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62093, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 14, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62094, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 12, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62095, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62096, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 15, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62097, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 14, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62098, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 12, 2024, 8, 2, '2024-08-05 16:28:36', 1, '2024-08-06 02:02:15'), (62099, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C01', '', 9, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62100, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 12, 2024, 8, 2, '2024-08-05 16:28:36', 1, '2024-08-06 02:02:15'), (62101, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 7, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62102, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C30', '', 1, 2024, 8, 2, '2024-08-05 16:28:36', 1, '2024-08-06 02:02:15'), (62103, 22, '511502000000-0001', '翠屏区政务服务中心', '区水利局', '非常满意', '2B09', '', 1, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62104, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 13, 2024, 8, 2, '2024-08-05 16:28:35', 1, '2024-08-06 02:02:15'), (62105, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 14, 2024, 8, 2, '2024-08-05 16:28:36', 1, '2024-08-06 02:02:15'), (62106, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 3, 2024, 8, 3, '2024-08-05 16:28:36', 1, '2024-08-07 01:00:58'), (62107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 3, 2024, 8, 3, '2024-08-05 16:28:36', 1, '2024-08-07 01:00:58'), (62108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 3, 2024, 8, 3, '2024-08-05 16:28:36', 1, '2024-08-07 01:00:58'), (62109, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 3, 2024, 8, 3, '2024-08-05 16:28:36', 1, '2024-08-07 01:00:58'), (62110, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 3, 2024, 8, 3, '2024-08-05 16:28:36', 1, '2024-08-07 01:00:58'), (62111, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 3, 2024, 8, 3, '2024-08-05 16:28:36', 1, '2024-08-07 01:00:58'), (62112, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 3, 2024, 8, 3, '2024-08-05 16:28:36', 1, '2024-08-07 01:00:58'), (62113, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 16:44:28', NULL, NULL), (62114, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 16:44:28', NULL, NULL), (62115, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 16:44:28', NULL, NULL), (62116, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 16:44:28', NULL, NULL), (62117, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 16:44:28', NULL, NULL), (62118, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 16:44:28', NULL, NULL), (62119, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 16:44:28', NULL, NULL), (62120, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 16:44:28', NULL, NULL), (62121, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 16:44:28', NULL, NULL), (62122, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 16:44:28', NULL, NULL), (62123, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 16:44:28', NULL, NULL), (62124, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 16:44:28', NULL, NULL), (62125, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 16:44:28', NULL, NULL), (62126, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 16:44:28', NULL, NULL), (62127, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 16:44:28', NULL, NULL), (62128, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 16:44:28', NULL, NULL), (62129, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 16:44:28', NULL, NULL), (62130, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 16:44:28', NULL, NULL), (62131, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 16:44:28', NULL, NULL), (62132, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 16:44:28', NULL, NULL), (62133, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 16:44:28', NULL, NULL), (62134, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 16:44:28', NULL, NULL), (62135, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 16:44:28', NULL, NULL), (62136, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 16:44:28', NULL, NULL), (62137, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 16:44:28', NULL, NULL), (62138, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 16:44:28', NULL, NULL), (62139, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 16:44:28', NULL, NULL), (62140, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 16:44:28', NULL, NULL), (62141, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 16:44:28', NULL, NULL), (62142, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 16:44:28', NULL, NULL), (62143, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 16:44:28', NULL, NULL), (62144, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 16:44:28', NULL, NULL), (62145, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 16:44:28', NULL, NULL), (62146, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 16:44:28', NULL, NULL), (62147, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 16:44:28', NULL, NULL), (62148, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 16:44:28', NULL, NULL), (62149, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 16:44:28', NULL, NULL), (62150, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 16:44:28', NULL, NULL), (62151, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 16:44:28', NULL, NULL), (62152, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 16:44:28', NULL, NULL), (62153, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 16:44:28', NULL, NULL), (62154, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 16:44:28', NULL, NULL), (62155, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 16:44:28', NULL, NULL), (62156, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 16:44:28', NULL, NULL), (62157, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 16:44:28', NULL, NULL), (62158, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 16:44:28', NULL, NULL), (62159, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 16:44:28', NULL, NULL), (62160, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 16:44:28', NULL, NULL), (62161, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 16:44:28', NULL, NULL), (62162, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 16:44:28', NULL, NULL), (62163, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 16:44:28', NULL, NULL), (62164, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 16:44:28', NULL, NULL), (62165, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 16:44:28', NULL, NULL), (62166, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 16:44:28', NULL, NULL), (62167, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 16:44:28', NULL, NULL), (62168, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 16:44:28', NULL, NULL), (62169, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 16:44:28', NULL, NULL), (62170, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 16:44:28', NULL, NULL), (62171, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 16:44:28', NULL, NULL), (62172, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 16:44:28', NULL, NULL), (62173, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 16:44:28', NULL, NULL), (62174, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 16:44:28', NULL, NULL), (62175, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 16:44:28', NULL, NULL), (62176, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 16:44:28', NULL, NULL), (62177, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 16:44:28', NULL, NULL), (62178, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 16:44:28', NULL, NULL), (62179, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 16:44:28', NULL, NULL), (62180, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 16:44:28', NULL, NULL), (62181, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 16:44:28', NULL, NULL), (62182, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 16:44:29', NULL, NULL), (62183, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 16:44:29', NULL, NULL), (62184, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 16:44:29', NULL, NULL), (62185, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 16:44:29', NULL, NULL), (62186, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 16:44:29', NULL, NULL), (62187, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 16:44:29', NULL, NULL), (62188, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 16:44:29', NULL, NULL), (62189, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 16:44:29', NULL, NULL), (62190, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 16:44:29', NULL, NULL), (62191, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 16:44:29', NULL, NULL), (62192, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 16:44:29', NULL, NULL), (62193, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 16:44:29', NULL, NULL), (62194, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 16:44:29', NULL, NULL), (62195, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 16:44:29', NULL, NULL), (62196, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 16:44:29', NULL, NULL), (62197, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 16:44:29', NULL, NULL), (62198, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 16:44:29', NULL, NULL), (62199, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 16:44:29', NULL, NULL), (62200, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 16:44:29', NULL, NULL), (62201, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 16:44:29', NULL, NULL), (62202, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 16:44:29', NULL, NULL), (62203, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 16:44:29', NULL, NULL), (62204, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 16:44:29', NULL, NULL), (62205, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 16:44:29', NULL, NULL), (62206, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 16:44:29', NULL, NULL), (62207, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 16:44:29', NULL, NULL), (62208, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 16:44:29', NULL, NULL), (62209, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 16:44:29', NULL, NULL), (62210, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 16:44:29', NULL, NULL), (62211, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 16:44:29', NULL, NULL), (62212, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 16:44:29', NULL, NULL), (62213, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 16:44:29', NULL, NULL), (62214, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 16:44:29', NULL, NULL), (62215, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 16:44:29', NULL, NULL), (62216, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 16:44:29', NULL, NULL), (62217, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 16:44:29', NULL, NULL), (62218, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 16:44:29', NULL, NULL), (62219, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 16:44:29', NULL, NULL), (62220, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 16:44:29', NULL, NULL), (62221, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 16:44:29', NULL, NULL), (62222, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 16:44:29', NULL, NULL), (62223, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 16:44:29', NULL, NULL), (62224, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 16:44:29', NULL, NULL), (62225, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 16:44:29', NULL, NULL), (62226, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 16:44:29', NULL, NULL), (62227, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 16:44:29', NULL, NULL), (62228, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 16:44:29', NULL, NULL), (62229, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 16:44:29', NULL, NULL), (62230, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 16:44:29', NULL, NULL), (62231, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 16:44:29', NULL, NULL), (62232, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 16:44:29', NULL, NULL), (62233, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 16:44:29', NULL, NULL), (62234, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 16:44:29', NULL, NULL), (62235, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 16:44:29', NULL, NULL), (62236, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 16:44:29', NULL, NULL), (62237, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 16:44:29', NULL, NULL), (62238, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 16:44:29', NULL, NULL), (62239, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 16:44:29', NULL, NULL), (62240, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 16:44:29', NULL, NULL), (62241, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 16:44:29', NULL, NULL), (62242, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 16:44:29', NULL, NULL), (62243, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 16:44:29', NULL, NULL), (62244, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 16:44:29', NULL, NULL), (62245, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 16:44:29', NULL, NULL), (62246, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 16:44:29', NULL, NULL), (62247, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 16:44:29', NULL, NULL), (62248, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 16:44:29', NULL, NULL), (62249, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 16:44:29', NULL, NULL), (62250, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 16:44:29', NULL, NULL), (62251, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 16:44:29', NULL, NULL), (62252, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 16:44:29', NULL, NULL), (62253, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 16:44:29', NULL, NULL), (62254, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 16:44:29', NULL, NULL), (62255, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 16:44:29', NULL, NULL), (62256, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 16:44:29', NULL, NULL), (62257, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 16:44:29', NULL, NULL), (62258, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 16:44:29', NULL, NULL), (62259, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 16:44:29', NULL, NULL), (62260, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 16:44:29', NULL, NULL), (62261, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 16:44:29', NULL, NULL), (62262, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 16:44:29', NULL, NULL), (62263, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 16:44:29', NULL, NULL), (62264, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 16:44:30', NULL, NULL), (62265, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 16:44:30', NULL, NULL), (62266, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 16:44:30', NULL, NULL), (62267, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 16:44:30', NULL, NULL), (62268, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 16:44:30', NULL, NULL), (62269, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 16:44:30', NULL, NULL), (62270, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 16:44:30', NULL, NULL), (62271, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 16:44:30', NULL, NULL), (62272, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 16:44:30', NULL, NULL), (62273, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 16:44:30', NULL, NULL), (62274, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 16:44:30', NULL, NULL), (62275, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 16:44:30', NULL, NULL), (62276, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 16:44:30', NULL, NULL), (62277, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 16:44:30', NULL, NULL), (62278, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 16:44:30', NULL, NULL), (62279, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 16:44:30', NULL, NULL), (62280, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 16:44:30', NULL, NULL), (62281, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 16:44:30', NULL, NULL), (62282, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 16:44:30', NULL, NULL), (62283, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 16:44:30', NULL, NULL), (62284, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 16:44:30', NULL, NULL), (62285, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 16:44:30', NULL, NULL), (62286, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 16:44:30', NULL, NULL), (62287, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 16:44:30', NULL, NULL), (62288, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 16:44:30', NULL, NULL), (62289, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 16:44:30', NULL, NULL), (62290, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 16:44:30', NULL, NULL), (62291, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 16:44:30', NULL, NULL), (62292, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 16:44:30', NULL, NULL), (62293, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 16:44:30', NULL, NULL), (62294, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 16:44:30', NULL, NULL), (62295, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 16:44:30', NULL, NULL), (62296, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 16:44:30', NULL, NULL), (62297, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 16:44:30', NULL, NULL), (62298, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 16:44:30', NULL, NULL), (62299, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 16:44:30', NULL, NULL), (62300, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 16:44:30', NULL, NULL), (62301, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 16:44:30', NULL, NULL), (62302, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 16:44:30', NULL, NULL), (62303, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 16:44:30', NULL, NULL), (62304, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 16:44:30', NULL, NULL), (62305, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 16:44:30', NULL, NULL), (62306, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 16:44:30', NULL, NULL), (62307, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 16:44:30', NULL, NULL), (62308, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 16:44:30', NULL, NULL), (62309, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 16:44:30', NULL, NULL), (62310, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 16:44:30', NULL, NULL), (62311, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 16:44:30', NULL, NULL), (62312, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 16:44:30', NULL, NULL), (62313, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 16:44:30', NULL, NULL), (62314, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 16:44:30', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (62315, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 16:44:30', NULL, NULL), (62316, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 16:44:30', NULL, NULL), (62317, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 16:44:30', NULL, NULL), (62318, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 16:44:30', NULL, NULL), (62319, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 16:44:30', NULL, NULL), (62320, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 16:44:30', NULL, NULL), (62321, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 16:44:30', NULL, NULL), (62322, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 16:44:30', NULL, NULL), (62323, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 16:44:30', NULL, NULL), (62324, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 16:44:30', NULL, NULL), (62325, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 16:44:30', NULL, NULL), (62326, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 16:44:30', NULL, NULL), (62327, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 16:44:30', NULL, NULL), (62328, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 16:44:30', NULL, NULL), (62329, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 16:44:30', NULL, NULL), (62330, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 16:44:30', NULL, NULL), (62331, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 16:44:30', NULL, NULL), (62332, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 16:44:30', NULL, NULL), (62333, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 16:44:30', NULL, NULL), (62334, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 16:44:30', NULL, NULL), (62335, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 16:44:30', NULL, NULL), (62336, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 16:44:30', NULL, NULL), (62337, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 16:44:30', NULL, NULL), (62338, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 16:44:30', NULL, NULL), (62339, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 16:44:30', NULL, NULL), (62340, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 16:44:30', NULL, NULL), (62341, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 16:44:30', NULL, NULL), (62342, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 16:44:30', NULL, NULL), (62343, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 16:44:30', NULL, NULL), (62344, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 16:44:30', NULL, NULL), (62345, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 16:44:30', NULL, NULL), (62346, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 16:44:30', NULL, NULL), (62347, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 16:44:30', NULL, NULL), (62348, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 16:44:31', NULL, NULL), (62349, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 16:44:31', NULL, NULL), (62350, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 16:44:31', NULL, NULL), (62351, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 16:44:31', NULL, NULL), (62352, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 16:44:31', NULL, NULL), (62353, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 16:44:31', NULL, NULL), (62354, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 16:44:31', NULL, NULL), (62355, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 16:44:31', NULL, NULL), (62356, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 16:44:31', NULL, NULL), (62357, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 16:44:31', NULL, NULL), (62358, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 16:44:31', NULL, NULL), (62359, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 16:44:31', NULL, NULL), (62360, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 16:44:31', NULL, NULL), (62361, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 16:44:31', NULL, NULL), (62362, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 16:44:31', NULL, NULL), (62363, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 16:44:31', NULL, NULL), (62364, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 16:44:31', NULL, NULL), (62365, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 16:44:31', NULL, NULL), (62366, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 16:44:31', NULL, NULL), (62367, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 16:44:31', NULL, NULL), (62368, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 16:44:31', NULL, NULL), (62369, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 16:44:31', NULL, NULL), (62370, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 16:44:31', NULL, NULL), (62371, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 16:44:31', NULL, NULL), (62372, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 16:44:31', NULL, NULL), (62373, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 16:44:31', NULL, NULL), (62374, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 16:44:31', NULL, NULL), (62375, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 16:44:31', NULL, NULL), (62376, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 16:44:31', NULL, NULL), (62377, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 16:44:31', NULL, NULL), (62378, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 16:44:31', NULL, NULL), (62379, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 16:44:31', NULL, NULL), (62380, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 16:44:31', NULL, NULL), (62381, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 16:44:31', NULL, NULL), (62382, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 16:44:31', NULL, NULL), (62383, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 16:44:31', NULL, NULL), (62384, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 16:44:31', NULL, NULL), (62385, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 16:44:31', NULL, NULL), (62386, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 16:44:31', NULL, NULL), (62387, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 16:44:31', NULL, NULL), (62388, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 16:44:31', NULL, NULL), (62389, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 16:44:31', NULL, NULL), (62390, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 16:44:31', NULL, NULL), (62391, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 16:44:31', NULL, NULL), (62392, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 16:44:31', NULL, NULL), (62393, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 16:44:31', NULL, NULL), (62394, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 16:44:31', NULL, NULL), (62395, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 16:44:31', NULL, NULL), (62396, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 16:44:31', NULL, NULL), (62397, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 16:44:31', NULL, NULL), (62398, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 16:44:31', NULL, NULL), (62399, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 16:44:31', NULL, NULL), (62400, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 16:44:31', NULL, NULL), (62401, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 16:44:31', NULL, NULL), (62402, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 16:44:31', NULL, NULL), (62403, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 16:44:31', NULL, NULL), (62404, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 16:44:31', NULL, NULL), (62405, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 16:44:31', NULL, NULL), (62406, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 16:44:31', NULL, NULL), (62407, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 16:44:31', NULL, NULL), (62408, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 16:44:31', NULL, NULL), (62409, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 16:44:31', NULL, NULL), (62410, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 16:44:31', NULL, NULL), (62411, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 16:44:31', NULL, NULL), (62412, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 16:44:31', NULL, NULL), (62413, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 16:44:31', NULL, NULL), (62414, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 16:44:31', NULL, NULL), (62415, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 16:44:31', NULL, NULL), (62416, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 16:44:31', NULL, NULL), (62417, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 16:44:31', NULL, NULL), (62418, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 16:44:31', NULL, NULL), (62419, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 16:44:31', NULL, NULL), (62420, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 16:44:31', NULL, NULL), (62421, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 16:44:31', NULL, NULL), (62422, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 16:44:31', NULL, NULL), (62423, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 16:44:31', NULL, NULL), (62424, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 16:44:31', NULL, NULL), (62425, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 16:44:31', NULL, NULL), (62426, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 16:44:31', NULL, NULL), (62427, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 16:44:31', NULL, NULL), (62428, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 16:44:31', NULL, NULL), (62429, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 16:44:31', NULL, NULL), (62430, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 16:44:31', NULL, NULL), (62431, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 16:44:31', NULL, NULL), (62432, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 16:44:31', NULL, NULL), (62433, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 16:44:31', NULL, NULL), (62434, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 16:44:31', NULL, NULL), (62435, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 16:44:31', NULL, NULL), (62436, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 16:44:31', NULL, NULL), (62437, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 16:44:31', NULL, NULL), (62438, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 16:44:31', NULL, NULL), (62439, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 16:44:31', NULL, NULL), (62440, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 16:44:31', NULL, NULL), (62441, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 16:44:31', NULL, NULL), (62442, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 16:44:31', NULL, NULL), (62443, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 16:44:31', NULL, NULL), (62444, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 16:44:31', NULL, NULL), (62445, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 16:44:31', NULL, NULL), (62446, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 16:44:31', NULL, NULL), (62447, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 16:44:31', NULL, NULL), (62448, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 16:44:31', NULL, NULL), (62449, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 16:44:31', NULL, NULL), (62450, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 16:44:31', NULL, NULL), (62451, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 16:44:31', NULL, NULL), (62452, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 16:44:31', NULL, NULL), (62453, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 16:44:31', NULL, NULL), (62454, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 16:44:31', NULL, NULL), (62455, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 16:44:31', NULL, NULL), (62456, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2, 2023, 12, 10, '2024-08-05 16:44:31', NULL, NULL), (62457, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 13, 2023, 12, 11, '2024-08-05 16:44:31', NULL, NULL), (62458, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 7, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62459, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 16:44:32', NULL, NULL), (62460, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 8, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62461, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2, 2023, 12, 15, '2024-08-05 16:44:32', NULL, NULL), (62462, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 16:44:32', NULL, NULL), (62463, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 16:44:32', NULL, NULL), (62464, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 7, 2023, 12, 18, '2024-08-05 16:44:32', NULL, NULL), (62465, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 16:44:32', NULL, NULL), (62466, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 3, 2023, 12, 20, '2024-08-05 16:44:32', NULL, NULL), (62467, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 3, 2023, 12, 21, '2024-08-05 16:44:32', NULL, NULL), (62468, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2, 2023, 12, 22, '2024-08-05 16:44:33', NULL, NULL), (62469, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 16:44:33', NULL, NULL), (62470, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 16:44:33', NULL, NULL), (62471, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2, 2023, 12, 25, '2024-08-05 16:44:33', NULL, NULL), (62472, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 16:44:33', NULL, NULL), (62473, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 16:44:33', NULL, NULL), (62474, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 16:44:33', NULL, NULL), (62475, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 16:44:33', NULL, NULL), (62476, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 16:44:33', NULL, NULL), (62477, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 16:44:33', NULL, NULL), (62478, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 16:44:33', NULL, NULL), (62479, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 7, 2024, 1, 2, '2024-08-05 16:44:33', NULL, NULL), (62480, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 1, 3, '2024-08-05 16:44:33', NULL, NULL), (62481, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 16:44:33', NULL, NULL), (62482, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 1, 5, '2024-08-05 16:44:33', NULL, NULL), (62483, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 16:44:33', NULL, NULL), (62484, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 16:44:33', NULL, NULL), (62485, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 16:44:33', NULL, NULL), (62486, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2, 2024, 1, 9, '2024-08-05 16:44:33', NULL, NULL), (62487, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 16:44:34', NULL, NULL), (62488, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 16:44:34', NULL, NULL), (62489, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 1, 12, '2024-08-05 16:44:34', NULL, NULL), (62490, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 16:44:34', NULL, NULL), (62491, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 16:44:34', NULL, NULL), (62492, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 1, 15, '2024-08-05 16:44:34', NULL, NULL), (62493, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 1, 16, '2024-08-05 16:44:34', NULL, NULL), (62494, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2, 2024, 1, 17, '2024-08-05 16:44:34', NULL, NULL), (62495, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 1, 18, '2024-08-05 16:44:34', NULL, NULL), (62496, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 4, 2024, 1, 19, '2024-08-05 16:44:34', NULL, NULL), (62497, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 16:44:34', NULL, NULL), (62498, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 16:44:34', NULL, NULL), (62499, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2, 2024, 1, 22, '2024-08-05 16:44:34', NULL, NULL), (62500, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 16:44:35', NULL, NULL), (62501, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 8, 2024, 1, 24, '2024-08-05 16:44:35', NULL, NULL), (62502, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 16:44:35', NULL, NULL), (62503, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 16:44:35', NULL, NULL), (62504, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 16:44:35', NULL, NULL), (62505, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 1, 28, '2024-08-05 16:44:35', NULL, NULL), (62506, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 16:44:35', NULL, NULL), (62507, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 1, 30, '2024-08-05 16:44:35', NULL, NULL), (62508, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 16:44:35', NULL, NULL), (62509, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 16:44:35', NULL, NULL), (62510, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 2, 2, '2024-08-05 16:44:35', NULL, NULL), (62511, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 16:44:35', NULL, NULL), (62512, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 16:44:35', NULL, NULL), (62513, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 16:44:35', NULL, NULL), (62514, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2, 2024, 2, 6, '2024-08-05 16:44:35', NULL, NULL), (62515, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 2, 7, '2024-08-05 16:44:35', NULL, NULL), (62516, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 2, 8, '2024-08-05 16:44:35', NULL, NULL), (62517, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 16:44:36', NULL, NULL), (62518, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 16:44:36', NULL, NULL), (62519, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 16:44:36', NULL, NULL), (62520, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 16:44:36', NULL, NULL), (62521, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 16:44:36', NULL, NULL), (62522, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 16:44:36', NULL, NULL), (62523, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 16:44:36', NULL, NULL), (62524, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 16:44:36', NULL, NULL), (62525, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 16:44:36', NULL, NULL), (62526, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 16:44:36', NULL, NULL), (62527, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 16:44:36', NULL, NULL), (62528, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 2, 20, '2024-08-05 16:44:36', NULL, NULL), (62529, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 16:44:36', NULL, NULL), (62530, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 2, 22, '2024-08-05 16:44:36', NULL, NULL), (62531, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 16:44:36', NULL, NULL), (62532, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 16:44:36', NULL, NULL), (62533, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 16:44:36', NULL, NULL), (62534, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 16:44:36', NULL, NULL), (62535, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 16:44:36', NULL, NULL), (62536, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 16:44:36', NULL, NULL), (62537, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 16:44:36', NULL, NULL), (62538, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 16:44:36', NULL, NULL), (62539, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 16:44:36', NULL, NULL), (62540, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 16:44:36', NULL, NULL), (62541, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 16:44:36', NULL, NULL), (62542, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 16:44:36', NULL, NULL), (62543, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 16:44:36', NULL, NULL), (62544, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 16:44:36', NULL, NULL), (62545, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 3, 8, '2024-08-05 16:44:36', NULL, NULL), (62546, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 16:44:37', NULL, NULL), (62547, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 16:44:37', NULL, NULL), (62548, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 6, 2024, 3, 11, '2024-08-05 16:44:37', NULL, NULL), (62549, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 16:44:37', NULL, NULL), (62550, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 16:44:37', NULL, NULL), (62551, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 16:44:37', NULL, NULL), (62552, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 3, 2024, 3, 15, '2024-08-05 16:44:37', NULL, NULL), (62553, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 16:44:37', NULL, NULL), (62554, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 16:44:37', NULL, NULL), (62555, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 16:44:37', NULL, NULL), (62556, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 16:44:37', NULL, NULL), (62557, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 16:44:37', NULL, NULL), (62558, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 16:44:37', NULL, NULL), (62559, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 3, 22, '2024-08-05 16:44:37', NULL, NULL), (62560, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 16:44:38', NULL, NULL), (62561, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 16:44:38', NULL, NULL), (62562, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 16:44:38', NULL, NULL), (62563, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 16:44:38', NULL, NULL), (62564, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 3, 27, '2024-08-05 16:44:38', NULL, NULL), (62565, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 16:44:38', NULL, NULL), (62566, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 3, 29, '2024-08-05 16:44:38', NULL, NULL), (62567, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 16:44:38', NULL, NULL), (62568, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 16:44:38', NULL, NULL), (62569, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 16:44:38', NULL, NULL), (62570, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 4, 2, '2024-08-05 16:44:38', NULL, NULL), (62571, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 16:44:38', NULL, NULL), (62572, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 16:44:38', NULL, NULL), (62573, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 16:44:38', NULL, NULL), (62574, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 16:44:38', NULL, NULL), (62575, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 16:44:38', NULL, NULL), (62576, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 3, 2024, 4, 8, '2024-08-05 16:44:38', NULL, NULL), (62577, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 4, 2024, 4, 9, '2024-08-05 16:44:39', NULL, NULL), (62578, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 16:44:39', NULL, NULL), (62579, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2, 2024, 4, 11, '2024-08-05 16:44:39', NULL, NULL), (62580, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 16:44:39', NULL, NULL), (62581, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 16:44:39', NULL, NULL), (62582, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 16:44:39', NULL, NULL), (62583, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 16:44:39', NULL, NULL), (62584, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 16:44:39', NULL, NULL), (62585, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2, 2024, 4, 17, '2024-08-05 16:44:39', NULL, NULL), (62586, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 16:44:40', NULL, NULL), (62587, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 16:44:40', NULL, NULL), (62588, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 16:44:40', NULL, NULL), (62589, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 16:44:40', NULL, NULL), (62590, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 4, 22, '2024-08-05 16:44:40', NULL, NULL), (62591, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 16:44:40', NULL, NULL), (62592, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 16:44:40', NULL, NULL), (62593, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 16:44:40', NULL, NULL), (62594, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2, 2024, 4, 26, '2024-08-05 16:44:40', NULL, NULL), (62595, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 16:44:40', NULL, NULL), (62596, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 16:44:40', NULL, NULL), (62597, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 16:44:41', NULL, NULL), (62598, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 4, 30, '2024-08-05 16:44:41', NULL, NULL), (62599, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 16:44:41', NULL, NULL), (62600, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 16:44:41', NULL, NULL), (62601, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 16:44:41', NULL, NULL), (62602, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 16:44:41', NULL, NULL), (62603, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 16:44:41', NULL, NULL), (62604, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 16:44:41', NULL, NULL), (62605, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2, 2024, 5, 7, '2024-08-05 16:44:41', NULL, NULL), (62606, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 5, 8, '2024-08-05 16:44:42', NULL, NULL), (62607, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 3, 2024, 5, 9, '2024-08-05 16:44:43', NULL, NULL), (62608, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 16:44:43', NULL, NULL), (62609, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 16:44:43', NULL, NULL), (62610, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 16:44:44', NULL, NULL), (62611, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 16:44:44', NULL, NULL), (62612, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 16:44:44', NULL, NULL), (62613, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 16:44:44', NULL, NULL), (62614, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 16:44:44', NULL, NULL), (62615, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 5, 17, '2024-08-05 16:44:44', NULL, NULL), (62616, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 16:44:44', NULL, NULL), (62617, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 16:44:44', NULL, NULL), (62618, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2, 2024, 5, 20, '2024-08-05 16:44:44', NULL, NULL), (62619, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 16:44:45', NULL, NULL), (62620, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 16:44:45', NULL, NULL), (62621, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 16:44:45', NULL, NULL), (62622, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 16:44:45', NULL, NULL), (62623, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 16:44:45', NULL, NULL), (62624, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 16:44:45', NULL, NULL), (62625, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 16:44:45', NULL, NULL), (62626, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 16:44:45', NULL, NULL), (62627, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 16:44:46', NULL, NULL), (62628, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2, 2024, 5, 30, '2024-08-05 16:44:46', NULL, NULL), (62629, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 16:44:46', NULL, NULL), (62630, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 16:44:46', NULL, NULL), (62631, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 16:44:46', NULL, NULL), (62632, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 16:44:46', NULL, NULL), (62633, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 16:44:47', NULL, NULL), (62634, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 16:44:47', NULL, NULL), (62635, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 6, 6, '2024-08-05 16:44:47', NULL, NULL), (62636, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 16:44:47', NULL, NULL), (62637, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 16:44:47', NULL, NULL), (62638, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 16:44:47', NULL, NULL), (62639, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 16:44:47', NULL, NULL), (62640, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 6, 11, '2024-08-05 16:44:47', NULL, NULL), (62641, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 6, 12, '2024-08-05 16:44:48', NULL, NULL), (62642, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2, 2024, 6, 13, '2024-08-05 16:44:48', NULL, NULL), (62643, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 16:44:49', NULL, NULL), (62644, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 16:44:49', NULL, NULL), (62645, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 16:44:49', NULL, NULL), (62646, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 16:44:49', NULL, NULL), (62647, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 16:44:49', NULL, NULL), (62648, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 16:44:49', NULL, NULL), (62649, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 16:44:49', NULL, NULL), (62650, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 16:44:49', NULL, NULL), (62651, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 16:44:50', NULL, NULL), (62652, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 16:44:50', NULL, NULL), (62653, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 16:44:50', NULL, NULL), (62654, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 16:44:50', NULL, NULL), (62655, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 6, 26, '2024-08-05 16:44:50', NULL, NULL), (62656, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 16:44:50', NULL, NULL), (62657, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 16:44:50', NULL, NULL), (62658, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 16:44:50', NULL, NULL), (62659, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 16:44:50', NULL, NULL), (62660, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 16:44:51', NULL, NULL), (62661, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 16:44:51', NULL, NULL), (62662, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 16:44:51', NULL, NULL), (62663, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 16:44:51', NULL, NULL), (62664, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 16:44:51', NULL, NULL), (62665, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 16:44:51', NULL, NULL), (62666, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 16:44:51', NULL, NULL), (62667, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 16:44:51', NULL, NULL), (62668, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 16:44:51', NULL, NULL), (62669, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 16:44:51', NULL, NULL), (62670, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 16:44:51', NULL, NULL), (62671, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2, 2024, 7, 12, '2024-08-05 16:44:51', NULL, NULL), (62672, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 16:44:51', NULL, NULL), (62673, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 16:44:51', NULL, NULL), (62674, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 7, 15, '2024-08-05 16:44:51', NULL, NULL), (62675, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 16:44:51', NULL, NULL), (62676, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 16:44:51', NULL, NULL), (62677, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 16:44:51', NULL, NULL), (62678, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 16:44:51', NULL, NULL), (62679, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 16:44:51', NULL, NULL), (62680, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 16:44:51', NULL, NULL), (62681, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 16:44:51', NULL, NULL), (62682, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 16:44:51', NULL, NULL), (62683, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 16:44:51', NULL, NULL), (62684, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 16:44:51', NULL, NULL), (62685, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 16:44:51', NULL, NULL), (62686, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 16:44:51', NULL, NULL), (62687, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 16:44:51', NULL, NULL), (62688, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 16:44:51', NULL, NULL), (62689, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 16:44:51', NULL, NULL), (62690, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 7, 31, '2024-08-05 16:44:51', NULL, NULL), (62691, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 1, 2024, 8, 1, '2024-08-05 16:44:52', 1, '2024-08-05 20:14:09'), (62692, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 16:44:52', 1, '2024-08-06 02:01:16'), (62693, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 16:44:52', 1, '2024-08-07 01:00:47'), (62694, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 16:44:52', 1, '2024-08-08 01:00:16'), (62695, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 16:44:52', 1, '2024-08-09 01:00:49'), (62696, 23, '511503003999-0001', '仙源街道办事处', '社保', '', '', '', 2, 2023, 12, 10, '2024-08-05 16:44:31', NULL, NULL), (62697, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A08', '', 2, 2023, 12, 10, '2024-08-05 16:44:31', NULL, NULL), (62698, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 2, 2023, 12, 10, '2024-08-05 16:44:31', NULL, NULL), (62699, 23, '511503003999-0001', '仙源街道办事处', '社保', '非常满意', '', '', 2, 2023, 12, 10, '2024-08-05 16:44:31', NULL, NULL), (62700, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A08', '', 2, 2023, 12, 10, '2024-08-05 16:44:31', NULL, NULL), (62701, 23, '511503003999-0001', '仙源街道办事处', '社保', '', 'A08', '', 2, 2023, 12, 10, '2024-08-05 16:44:31', NULL, NULL), (62702, 23, '511503003999-0001', '仙源街道办事处', '社保', '非常满意', 'A08', '', 2, 2023, 12, 10, '2024-08-05 16:44:31', NULL, NULL), (62703, 23, '511503003999-0001', '仙源街道办事处', '民政', '', '', '', 4, 2023, 12, 11, '2024-08-05 16:44:31', NULL, NULL), (62704, 23, '511503003999-0001', '仙源街道办事处', '不动产', '', '', '', 4, 2023, 12, 11, '2024-08-05 16:44:31', NULL, NULL), (62705, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 4, 2023, 12, 11, '2024-08-05 16:44:31', NULL, NULL), (62706, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 1, 2023, 12, 11, '2024-08-05 16:44:31', NULL, NULL), (62707, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 1, 2023, 12, 11, '2024-08-05 16:44:31', NULL, NULL), (62708, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 4, 2023, 12, 11, '2024-08-05 16:44:31', NULL, NULL), (62709, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A04', '', 4, 2023, 12, 11, '2024-08-05 16:44:31', NULL, NULL), (62710, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A06', '', 4, 2023, 12, 11, '2024-08-05 16:44:32', NULL, NULL), (62711, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 13, 2023, 12, 11, '2024-08-05 16:44:32', NULL, NULL), (62712, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 4, 2023, 12, 11, '2024-08-05 16:44:32', NULL, NULL), (62713, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', '', '', 4, 2023, 12, 11, '2024-08-05 16:44:32', NULL, NULL), (62714, 23, '511503003999-0001', '仙源街道办事处', '不动产', '非常满意', '', '', 4, 2023, 12, 11, '2024-08-05 16:44:32', NULL, NULL), (62715, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 1, 2023, 12, 11, '2024-08-05 16:44:32', NULL, NULL), (62716, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A06', '', 4, 2023, 12, 11, '2024-08-05 16:44:32', NULL, NULL), (62717, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 1, 2023, 12, 11, '2024-08-05 16:44:32', NULL, NULL), (62718, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A04', '', 4, 2023, 12, 11, '2024-08-05 16:44:32', NULL, NULL), (62719, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 4, 2023, 12, 11, '2024-08-05 16:44:32', NULL, NULL), (62720, 23, '511503003999-0001', '仙源街道办事处', '不动产', '', 'A06', '', 4, 2023, 12, 11, '2024-08-05 16:44:32', NULL, NULL), (62721, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 4, 2023, 12, 11, '2024-08-05 16:44:32', NULL, NULL), (62722, 23, '511503003999-0001', '仙源街道办事处', '民政', '', 'A04', '', 4, 2023, 12, 11, '2024-08-05 16:44:32', NULL, NULL), (62723, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 1, 2023, 12, 11, '2024-08-05 16:44:32', NULL, NULL), (62724, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', 'A04', '', 4, 2023, 12, 11, '2024-08-05 16:44:32', NULL, NULL), (62725, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 4, 2023, 12, 11, '2024-08-05 16:44:32', NULL, NULL), (62726, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 1, 2023, 12, 11, '2024-08-05 16:44:32', NULL, NULL), (62727, 23, '511503003999-0001', '仙源街道办事处', '不动产', '非常满意', 'A06', '', 4, 2023, 12, 11, '2024-08-05 16:44:32', NULL, NULL), (62728, 23, '511503003999-0001', '仙源街道办事处', '就业', '', '', '', 2, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62729, 23, '511503003999-0001', '仙源街道办事处', '民政', '', '', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62730, 23, '511503003999-0001', '仙源街道办事处', '不动产', '', '', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62731, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62732, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 2, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62733, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 2, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62734, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62735, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A04', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62736, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A06', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62737, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A07', '', 2, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62738, 23, '511503003999-0001', '仙源街道办事处', '', '非常不满意', '', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62739, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 6, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62740, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62741, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', '', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62742, 23, '511503003999-0001', '仙源街道办事处', '不动产', '非常满意', '', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62743, 23, '511503003999-0001', '仙源街道办事处', '就业', '非常满意', '', '', 2, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62744, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62745, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常不满意', '', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62746, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A06', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62747, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A07', '', 2, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62748, 23, '511503003999-0001', '仙源街道办事处', '', '非常不满意', 'A02', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62749, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62750, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A04', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62751, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62752, 23, '511503003999-0001', '仙源街道办事处', '不动产', '', 'A06', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62753, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62754, 23, '511503003999-0001', '仙源街道办事处', '民政', '', 'A04', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62755, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 2, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62756, 23, '511503003999-0001', '仙源街道办事处', '就业', '', 'A07', '', 2, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62757, 23, '511503003999-0001', '仙源街道办事处', '就业', '非常满意', 'A07', '', 2, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62758, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', 'A04', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62759, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62760, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常不满意', 'A02', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62761, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62762, 23, '511503003999-0001', '仙源街道办事处', '不动产', '非常满意', 'A06', '', 1, 2023, 12, 12, '2024-08-05 16:44:32', NULL, NULL), (62763, 23, '511503003999-0001', '仙源街道办事处', '民政', '', '', '', 3, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62764, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 4, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62765, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 1, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62766, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 1, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62767, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 4, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62768, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A04', '', 3, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62769, 23, '511503003999-0001', '仙源街道办事处', '', '满意', '', '', 3, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62770, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 5, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62771, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 1, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62772, 23, '511503003999-0001', '仙源街道办事处', '卫建', '满意', '', '', 3, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62773, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', '', '', 3, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62774, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 1, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62775, 23, '511503003999-0001', '仙源街道办事处', '', '满意', 'A03', '', 3, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62776, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 1, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62777, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A04', '', 3, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62778, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 1, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62779, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 4, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62780, 23, '511503003999-0001', '仙源街道办事处', '民政', '', 'A04', '', 3, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62781, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 1, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62782, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', 'A04', '', 3, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62783, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 1, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62784, 23, '511503003999-0001', '仙源街道办事处', '卫建', '满意', 'A03', '', 3, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62785, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 1, 2023, 12, 14, '2024-08-05 16:44:32', NULL, NULL), (62786, 23, '511503003999-0001', '仙源街道办事处', '就业', '', '', '', 2, 2023, 12, 15, '2024-08-05 16:44:32', NULL, NULL), (62787, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A07', '', 2, 2023, 12, 15, '2024-08-05 16:44:32', NULL, NULL), (62788, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 2, 2023, 12, 15, '2024-08-05 16:44:32', NULL, NULL), (62789, 23, '511503003999-0001', '仙源街道办事处', '就业', '非常满意', '', '', 2, 2023, 12, 15, '2024-08-05 16:44:32', NULL, NULL), (62790, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A07', '', 2, 2023, 12, 15, '2024-08-05 16:44:32', NULL, NULL), (62791, 23, '511503003999-0001', '仙源街道办事处', '就业', '', 'A07', '', 2, 2023, 12, 15, '2024-08-05 16:44:32', NULL, NULL), (62792, 23, '511503003999-0001', '仙源街道办事处', '就业', '非常满意', 'A07', '', 2, 2023, 12, 15, '2024-08-05 16:44:32', NULL, NULL), (62793, 23, '511503003999-0001', '仙源街道办事处', '民政', '', '', '', 2, 2023, 12, 18, '2024-08-05 16:44:32', NULL, NULL), (62794, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 5, 2023, 12, 18, '2024-08-05 16:44:32', NULL, NULL), (62795, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 5, 2023, 12, 18, '2024-08-05 16:44:32', NULL, NULL), (62796, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A04', '', 2, 2023, 12, 18, '2024-08-05 16:44:32', NULL, NULL), (62797, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 7, 2023, 12, 18, '2024-08-05 16:44:32', NULL, NULL), (62798, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 5, 2023, 12, 18, '2024-08-05 16:44:32', NULL, NULL), (62799, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', '', '', 2, 2023, 12, 18, '2024-08-05 16:44:32', NULL, NULL), (62800, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A04', '', 2, 2023, 12, 18, '2024-08-05 16:44:32', NULL, NULL), (62801, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 5, 2023, 12, 18, '2024-08-05 16:44:32', NULL, NULL), (62802, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 5, 2023, 12, 18, '2024-08-05 16:44:32', NULL, NULL), (62803, 23, '511503003999-0001', '仙源街道办事处', '民政', '', 'A04', '', 2, 2023, 12, 18, '2024-08-05 16:44:32', NULL, NULL), (62804, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', 'A04', '', 2, 2023, 12, 18, '2024-08-05 16:44:32', NULL, NULL), (62805, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 5, 2023, 12, 18, '2024-08-05 16:44:32', NULL, NULL), (62806, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 1, 2023, 12, 20, '2024-08-05 16:44:32', NULL, NULL), (62807, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '', '', '', 2, 2023, 12, 20, '2024-08-05 16:44:32', NULL, NULL), (62808, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 1, 2023, 12, 20, '2024-08-05 16:44:32', NULL, NULL), (62809, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A05', '', 2, 2023, 12, 20, '2024-08-05 16:44:32', NULL, NULL), (62810, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 3, 2023, 12, 20, '2024-08-05 16:44:32', NULL, NULL), (62811, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 1, 2023, 12, 20, '2024-08-05 16:44:32', NULL, NULL), (62812, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '非常满意', '', '', 2, 2023, 12, 20, '2024-08-05 16:44:32', NULL, NULL), (62813, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A05', '', 2, 2023, 12, 20, '2024-08-05 16:44:32', NULL, NULL), (62814, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 1, 2023, 12, 20, '2024-08-05 16:44:32', NULL, NULL), (62815, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 1, 2023, 12, 20, '2024-08-05 16:44:32', NULL, NULL), (62816, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '', 'A05', '', 2, 2023, 12, 20, '2024-08-05 16:44:32', NULL, NULL), (62817, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 1, 2023, 12, 20, '2024-08-05 16:44:32', NULL, NULL), (62818, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '非常满意', 'A05', '', 2, 2023, 12, 20, '2024-08-05 16:44:32', NULL, NULL), (62819, 23, '511503003999-0001', '仙源街道办事处', '就业', '', '', '', 1, 2023, 12, 21, '2024-08-05 16:44:32', NULL, NULL), (62820, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 1, 2023, 12, 21, '2024-08-05 16:44:32', NULL, NULL), (62821, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '', '', '', 1, 2023, 12, 21, '2024-08-05 16:44:32', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (62822, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 1, 2023, 12, 21, '2024-08-05 16:44:32', NULL, NULL), (62823, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A05', '', 1, 2023, 12, 21, '2024-08-05 16:44:32', NULL, NULL), (62824, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A07', '', 1, 2023, 12, 21, '2024-08-05 16:44:32', NULL, NULL), (62825, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 3, 2023, 12, 21, '2024-08-05 16:44:32', NULL, NULL), (62826, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '非常满意', '', '', 1, 2023, 12, 21, '2024-08-05 16:44:33', NULL, NULL), (62827, 23, '511503003999-0001', '仙源街道办事处', '就业', '非常满意', '', '', 1, 2023, 12, 21, '2024-08-05 16:44:33', NULL, NULL), (62828, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 1, 2023, 12, 21, '2024-08-05 16:44:33', NULL, NULL), (62829, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A05', '', 1, 2023, 12, 21, '2024-08-05 16:44:33', NULL, NULL), (62830, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A07', '', 1, 2023, 12, 21, '2024-08-05 16:44:33', NULL, NULL), (62831, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 1, 2023, 12, 21, '2024-08-05 16:44:33', NULL, NULL), (62832, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '', 'A05', '', 1, 2023, 12, 21, '2024-08-05 16:44:33', NULL, NULL), (62833, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 1, 2023, 12, 21, '2024-08-05 16:44:33', NULL, NULL), (62834, 23, '511503003999-0001', '仙源街道办事处', '就业', '', 'A07', '', 1, 2023, 12, 21, '2024-08-05 16:44:33', NULL, NULL), (62835, 23, '511503003999-0001', '仙源街道办事处', '就业', '非常满意', 'A07', '', 1, 2023, 12, 21, '2024-08-05 16:44:33', NULL, NULL), (62836, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 1, 2023, 12, 21, '2024-08-05 16:44:33', NULL, NULL), (62837, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '非常满意', 'A05', '', 1, 2023, 12, 21, '2024-08-05 16:44:33', NULL, NULL), (62838, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '', '', '', 2, 2023, 12, 22, '2024-08-05 16:44:33', NULL, NULL), (62839, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A05', '', 2, 2023, 12, 22, '2024-08-05 16:44:33', NULL, NULL), (62840, 23, '511503003999-0001', '仙源街道办事处', '', '满意', '', '', 2, 2023, 12, 22, '2024-08-05 16:44:33', NULL, NULL), (62841, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '满意', '', '', 2, 2023, 12, 22, '2024-08-05 16:44:33', NULL, NULL), (62842, 23, '511503003999-0001', '仙源街道办事处', '', '满意', 'A05', '', 2, 2023, 12, 22, '2024-08-05 16:44:33', NULL, NULL), (62843, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '', 'A05', '', 2, 2023, 12, 22, '2024-08-05 16:44:33', NULL, NULL), (62844, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '满意', 'A05', '', 2, 2023, 12, 22, '2024-08-05 16:44:33', NULL, NULL), (62845, 23, '511503003999-0001', '仙源街道办事处', '就业', '', '', '', 1, 2023, 12, 25, '2024-08-05 16:44:33', NULL, NULL), (62846, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 1, 2023, 12, 25, '2024-08-05 16:44:33', NULL, NULL), (62847, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 1, 2023, 12, 25, '2024-08-05 16:44:33', NULL, NULL), (62848, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A07', '', 1, 2023, 12, 25, '2024-08-05 16:44:33', NULL, NULL), (62849, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 2, 2023, 12, 25, '2024-08-05 16:44:33', NULL, NULL), (62850, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 1, 2023, 12, 25, '2024-08-05 16:44:33', NULL, NULL), (62851, 23, '511503003999-0001', '仙源街道办事处', '就业', '非常满意', '', '', 1, 2023, 12, 25, '2024-08-05 16:44:33', NULL, NULL), (62852, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A07', '', 1, 2023, 12, 25, '2024-08-05 16:44:33', NULL, NULL), (62853, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 1, 2023, 12, 25, '2024-08-05 16:44:33', NULL, NULL), (62854, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 1, 2023, 12, 25, '2024-08-05 16:44:33', NULL, NULL), (62855, 23, '511503003999-0001', '仙源街道办事处', '就业', '', 'A07', '', 1, 2023, 12, 25, '2024-08-05 16:44:33', NULL, NULL), (62856, 23, '511503003999-0001', '仙源街道办事处', '就业', '非常满意', 'A07', '', 1, 2023, 12, 25, '2024-08-05 16:44:33', NULL, NULL), (62857, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 1, 2023, 12, 25, '2024-08-05 16:44:33', NULL, NULL), (62858, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 1, 2024, 1, 2, '2024-08-05 16:44:33', NULL, NULL), (62859, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 6, 2024, 1, 2, '2024-08-05 16:44:33', NULL, NULL), (62860, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 6, 2024, 1, 2, '2024-08-05 16:44:33', NULL, NULL), (62861, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 1, 2024, 1, 2, '2024-08-05 16:44:33', NULL, NULL), (62862, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 7, 2024, 1, 2, '2024-08-05 16:44:33', NULL, NULL), (62863, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 1, 2024, 1, 2, '2024-08-05 16:44:33', NULL, NULL), (62864, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 6, 2024, 1, 2, '2024-08-05 16:44:33', NULL, NULL), (62865, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 6, 2024, 1, 2, '2024-08-05 16:44:33', NULL, NULL), (62866, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 1, 2024, 1, 2, '2024-08-05 16:44:33', NULL, NULL), (62867, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 1, 2024, 1, 2, '2024-08-05 16:44:33', NULL, NULL), (62868, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 6, 2024, 1, 2, '2024-08-05 16:44:33', NULL, NULL), (62869, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 1, 2024, 1, 2, '2024-08-05 16:44:33', NULL, NULL), (62870, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 6, 2024, 1, 2, '2024-08-05 16:44:33', NULL, NULL), (62871, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 1, 2024, 1, 3, '2024-08-05 16:44:33', NULL, NULL), (62872, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 1, 2024, 1, 3, '2024-08-05 16:44:33', NULL, NULL), (62873, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 1, 3, '2024-08-05 16:44:33', NULL, NULL), (62874, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 1, 2024, 1, 3, '2024-08-05 16:44:33', NULL, NULL), (62875, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 1, 2024, 1, 3, '2024-08-05 16:44:33', NULL, NULL), (62876, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 1, 2024, 1, 3, '2024-08-05 16:44:33', NULL, NULL), (62877, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 1, 2024, 1, 3, '2024-08-05 16:44:33', NULL, NULL), (62878, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 1, 2024, 1, 5, '2024-08-05 16:44:33', NULL, NULL), (62879, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 1, 2024, 1, 5, '2024-08-05 16:44:33', NULL, NULL), (62880, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 1, 5, '2024-08-05 16:44:33', NULL, NULL), (62881, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 1, 2024, 1, 5, '2024-08-05 16:44:33', NULL, NULL), (62882, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 1, 2024, 1, 5, '2024-08-05 16:44:33', NULL, NULL), (62883, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 1, 2024, 1, 5, '2024-08-05 16:44:33', NULL, NULL), (62884, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 1, 2024, 1, 5, '2024-08-05 16:44:33', NULL, NULL), (62885, 23, '511503003999-0001', '仙源街道办事处', '不动产', '', '', '', 1, 2024, 1, 9, '2024-08-05 16:44:33', NULL, NULL), (62886, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 1, 2024, 1, 9, '2024-08-05 16:44:33', NULL, NULL), (62887, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 1, 2024, 1, 9, '2024-08-05 16:44:33', NULL, NULL), (62888, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A06', '', 1, 2024, 1, 9, '2024-08-05 16:44:33', NULL, NULL), (62889, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 2, 2024, 1, 9, '2024-08-05 16:44:33', NULL, NULL), (62890, 23, '511503003999-0001', '仙源街道办事处', '不动产', '非常满意', '', '', 1, 2024, 1, 9, '2024-08-05 16:44:33', NULL, NULL), (62891, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 1, 2024, 1, 9, '2024-08-05 16:44:33', NULL, NULL), (62892, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A06', '', 1, 2024, 1, 9, '2024-08-05 16:44:33', NULL, NULL), (62893, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 1, 2024, 1, 9, '2024-08-05 16:44:33', NULL, NULL), (62894, 23, '511503003999-0001', '仙源街道办事处', '不动产', '', 'A06', '', 1, 2024, 1, 9, '2024-08-05 16:44:34', NULL, NULL), (62895, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 1, 2024, 1, 9, '2024-08-05 16:44:34', NULL, NULL), (62896, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 1, 2024, 1, 9, '2024-08-05 16:44:34', NULL, NULL), (62897, 23, '511503003999-0001', '仙源街道办事处', '不动产', '非常满意', 'A06', '', 1, 2024, 1, 9, '2024-08-05 16:44:34', NULL, NULL), (62898, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 1, 2024, 1, 12, '2024-08-05 16:44:34', NULL, NULL), (62899, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 1, 2024, 1, 12, '2024-08-05 16:44:34', NULL, NULL), (62900, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 1, 12, '2024-08-05 16:44:34', NULL, NULL), (62901, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 1, 2024, 1, 12, '2024-08-05 16:44:34', NULL, NULL), (62902, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 1, 2024, 1, 12, '2024-08-05 16:44:34', NULL, NULL), (62903, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 1, 2024, 1, 12, '2024-08-05 16:44:34', NULL, NULL), (62904, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 1, 2024, 1, 12, '2024-08-05 16:44:34', NULL, NULL), (62905, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 1, 2024, 1, 15, '2024-08-05 16:44:34', NULL, NULL), (62906, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 1, 2024, 1, 15, '2024-08-05 16:44:34', NULL, NULL), (62907, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 1, 15, '2024-08-05 16:44:34', NULL, NULL), (62908, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 1, 2024, 1, 15, '2024-08-05 16:44:34', NULL, NULL), (62909, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 1, 2024, 1, 15, '2024-08-05 16:44:34', NULL, NULL), (62910, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 1, 2024, 1, 15, '2024-08-05 16:44:34', NULL, NULL), (62911, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 1, 2024, 1, 15, '2024-08-05 16:44:34', NULL, NULL), (62912, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 1, 2024, 1, 16, '2024-08-05 16:44:34', NULL, NULL), (62913, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 1, 2024, 1, 16, '2024-08-05 16:44:34', NULL, NULL), (62914, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 1, 16, '2024-08-05 16:44:34', NULL, NULL), (62915, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 1, 2024, 1, 16, '2024-08-05 16:44:34', NULL, NULL), (62916, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 1, 2024, 1, 16, '2024-08-05 16:44:34', NULL, NULL), (62917, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 1, 2024, 1, 16, '2024-08-05 16:44:34', NULL, NULL), (62918, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 1, 2024, 1, 16, '2024-08-05 16:44:34', NULL, NULL), (62919, 23, '511503003999-0001', '仙源街道办事处', '民政', '', '', '', 2, 2024, 1, 17, '2024-08-05 16:44:34', NULL, NULL), (62920, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A04', '', 2, 2024, 1, 17, '2024-08-05 16:44:34', NULL, NULL), (62921, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 2, 2024, 1, 17, '2024-08-05 16:44:34', NULL, NULL), (62922, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', '', '', 2, 2024, 1, 17, '2024-08-05 16:44:34', NULL, NULL), (62923, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A04', '', 2, 2024, 1, 17, '2024-08-05 16:44:34', NULL, NULL), (62924, 23, '511503003999-0001', '仙源街道办事处', '民政', '', 'A04', '', 2, 2024, 1, 17, '2024-08-05 16:44:34', NULL, NULL), (62925, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', 'A04', '', 2, 2024, 1, 17, '2024-08-05 16:44:34', NULL, NULL), (62926, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 1, 2024, 1, 18, '2024-08-05 16:44:34', NULL, NULL), (62927, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 1, 2024, 1, 18, '2024-08-05 16:44:34', NULL, NULL), (62928, 23, '511503003999-0001', '仙源街道办事处', '', '满意', '', '', 1, 2024, 1, 18, '2024-08-05 16:44:34', NULL, NULL), (62929, 23, '511503003999-0001', '仙源街道办事处', '医保', '满意', '', '', 1, 2024, 1, 18, '2024-08-05 16:44:34', NULL, NULL), (62930, 23, '511503003999-0001', '仙源街道办事处', '', '满意', 'A02', '', 1, 2024, 1, 18, '2024-08-05 16:44:34', NULL, NULL), (62931, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 1, 2024, 1, 18, '2024-08-05 16:44:34', NULL, NULL), (62932, 23, '511503003999-0001', '仙源街道办事处', '医保', '满意', 'A02', '', 1, 2024, 1, 18, '2024-08-05 16:44:34', NULL, NULL), (62933, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '', '', '', 4, 2024, 1, 19, '2024-08-05 16:44:34', NULL, NULL), (62934, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A05', '', 4, 2024, 1, 19, '2024-08-05 16:44:34', NULL, NULL), (62935, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 4, 2024, 1, 19, '2024-08-05 16:44:34', NULL, NULL), (62936, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '非常满意', '', '', 4, 2024, 1, 19, '2024-08-05 16:44:34', NULL, NULL), (62937, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A05', '', 4, 2024, 1, 19, '2024-08-05 16:44:34', NULL, NULL), (62938, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '', 'A05', '', 4, 2024, 1, 19, '2024-08-05 16:44:34', NULL, NULL), (62939, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '非常满意', 'A05', '', 4, 2024, 1, 19, '2024-08-05 16:44:34', NULL, NULL), (62940, 23, '511503003999-0001', '仙源街道办事处', '不动产', '', '', '', 2, 2024, 1, 22, '2024-08-05 16:44:34', NULL, NULL), (62941, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A06', '', 2, 2024, 1, 22, '2024-08-05 16:44:34', NULL, NULL), (62942, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 2, 2024, 1, 22, '2024-08-05 16:44:34', NULL, NULL), (62943, 23, '511503003999-0001', '仙源街道办事处', '不动产', '非常满意', '', '', 2, 2024, 1, 22, '2024-08-05 16:44:34', NULL, NULL), (62944, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A06', '', 2, 2024, 1, 22, '2024-08-05 16:44:34', NULL, NULL), (62945, 23, '511503003999-0001', '仙源街道办事处', '不动产', '', 'A06', '', 2, 2024, 1, 22, '2024-08-05 16:44:34', NULL, NULL), (62946, 23, '511503003999-0001', '仙源街道办事处', '不动产', '非常满意', 'A06', '', 2, 2024, 1, 22, '2024-08-05 16:44:35', NULL, NULL), (62947, 23, '511503003999-0001', '仙源街道办事处', '民政', '', '', '', 5, 2024, 1, 24, '2024-08-05 16:44:35', NULL, NULL), (62948, 23, '511503003999-0001', '仙源街道办事处', '不动产', '', '', '', 3, 2024, 1, 24, '2024-08-05 16:44:35', NULL, NULL), (62949, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A04', '', 5, 2024, 1, 24, '2024-08-05 16:44:35', NULL, NULL), (62950, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A06', '', 3, 2024, 1, 24, '2024-08-05 16:44:35', NULL, NULL), (62951, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 7, 2024, 1, 24, '2024-08-05 16:44:35', NULL, NULL), (62952, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', '', '', 5, 2024, 1, 24, '2024-08-05 16:44:35', NULL, NULL), (62953, 23, '511503003999-0001', '仙源街道办事处', '不动产', '非常满意', '', '', 2, 2024, 1, 24, '2024-08-05 16:44:35', NULL, NULL), (62954, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A06', '', 2, 2024, 1, 24, '2024-08-05 16:44:35', NULL, NULL), (62955, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A04', '', 5, 2024, 1, 24, '2024-08-05 16:44:35', NULL, NULL), (62956, 23, '511503003999-0001', '仙源街道办事处', '不动产', '', 'A06', '', 3, 2024, 1, 24, '2024-08-05 16:44:35', NULL, NULL), (62957, 23, '511503003999-0001', '仙源街道办事处', '民政', '', 'A04', '', 5, 2024, 1, 24, '2024-08-05 16:44:35', NULL, NULL), (62958, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', 'A04', '', 5, 2024, 1, 24, '2024-08-05 16:44:35', NULL, NULL), (62959, 23, '511503003999-0001', '仙源街道办事处', '不动产', '非常满意', 'A06', '', 2, 2024, 1, 24, '2024-08-05 16:44:35', NULL, NULL), (62960, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '', '', '', 1, 2024, 1, 28, '2024-08-05 16:44:35', NULL, NULL), (62961, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A01', '', 1, 2024, 1, 28, '2024-08-05 16:44:35', NULL, NULL), (62962, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 1, 28, '2024-08-05 16:44:35', NULL, NULL), (62963, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '非常满意', '', '', 1, 2024, 1, 28, '2024-08-05 16:44:35', NULL, NULL), (62964, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A01', '', 1, 2024, 1, 28, '2024-08-05 16:44:35', NULL, NULL), (62965, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '', 'A01', '', 1, 2024, 1, 28, '2024-08-05 16:44:35', NULL, NULL), (62966, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '非常满意', 'A01', '', 1, 2024, 1, 28, '2024-08-05 16:44:35', NULL, NULL), (62967, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 1, 2024, 1, 30, '2024-08-05 16:44:35', NULL, NULL), (62968, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 1, 2024, 1, 30, '2024-08-05 16:44:35', NULL, NULL), (62969, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 1, 30, '2024-08-05 16:44:35', NULL, NULL), (62970, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 1, 2024, 1, 30, '2024-08-05 16:44:35', NULL, NULL), (62971, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 1, 2024, 1, 30, '2024-08-05 16:44:35', NULL, NULL), (62972, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 1, 2024, 1, 30, '2024-08-05 16:44:35', NULL, NULL), (62973, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 1, 2024, 1, 30, '2024-08-05 16:44:35', NULL, NULL), (62974, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 1, 2024, 2, 2, '2024-08-05 16:44:35', NULL, NULL), (62975, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 1, 2024, 2, 2, '2024-08-05 16:44:35', NULL, NULL), (62976, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 2, 2, '2024-08-05 16:44:35', NULL, NULL), (62977, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 1, 2024, 2, 2, '2024-08-05 16:44:35', NULL, NULL), (62978, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 1, 2024, 2, 2, '2024-08-05 16:44:35', NULL, NULL), (62979, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 1, 2024, 2, 2, '2024-08-05 16:44:35', NULL, NULL), (62980, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 1, 2024, 2, 2, '2024-08-05 16:44:35', NULL, NULL), (62981, 23, '511503003999-0001', '仙源街道办事处', '民政', '', '', '', 1, 2024, 2, 6, '2024-08-05 16:44:35', NULL, NULL), (62982, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 1, 2024, 2, 6, '2024-08-05 16:44:35', NULL, NULL), (62983, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 1, 2024, 2, 6, '2024-08-05 16:44:35', NULL, NULL), (62984, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A04', '', 1, 2024, 2, 6, '2024-08-05 16:44:35', NULL, NULL), (62985, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 2, 2024, 2, 6, '2024-08-05 16:44:35', NULL, NULL), (62986, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 1, 2024, 2, 6, '2024-08-05 16:44:35', NULL, NULL), (62987, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', '', '', 1, 2024, 2, 6, '2024-08-05 16:44:35', NULL, NULL), (62988, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A04', '', 1, 2024, 2, 6, '2024-08-05 16:44:35', NULL, NULL), (62989, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 1, 2024, 2, 6, '2024-08-05 16:44:35', NULL, NULL), (62990, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 1, 2024, 2, 6, '2024-08-05 16:44:35', NULL, NULL), (62991, 23, '511503003999-0001', '仙源街道办事处', '民政', '', 'A04', '', 1, 2024, 2, 6, '2024-08-05 16:44:35', NULL, NULL), (62992, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', 'A04', '', 1, 2024, 2, 6, '2024-08-05 16:44:35', NULL, NULL), (62993, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 1, 2024, 2, 6, '2024-08-05 16:44:35', NULL, NULL), (62994, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 1, 2024, 2, 7, '2024-08-05 16:44:35', NULL, NULL), (62995, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 1, 2024, 2, 7, '2024-08-05 16:44:35', NULL, NULL), (62996, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 2, 7, '2024-08-05 16:44:35', NULL, NULL), (62997, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 1, 2024, 2, 7, '2024-08-05 16:44:35', NULL, NULL), (62998, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 1, 2024, 2, 7, '2024-08-05 16:44:35', NULL, NULL), (62999, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 1, 2024, 2, 7, '2024-08-05 16:44:35', NULL, NULL), (63000, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 1, 2024, 2, 7, '2024-08-05 16:44:35', NULL, NULL), (63001, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 1, 2024, 2, 8, '2024-08-05 16:44:36', NULL, NULL), (63002, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 1, 2024, 2, 8, '2024-08-05 16:44:36', NULL, NULL), (63003, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 2, 8, '2024-08-05 16:44:36', NULL, NULL), (63004, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 1, 2024, 2, 8, '2024-08-05 16:44:36', NULL, NULL), (63005, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 1, 2024, 2, 8, '2024-08-05 16:44:36', NULL, NULL), (63006, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 1, 2024, 2, 8, '2024-08-05 16:44:36', NULL, NULL), (63007, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 1, 2024, 2, 8, '2024-08-05 16:44:36', NULL, NULL), (63008, 23, '511503003999-0001', '仙源街道办事处', '民政', '', '', '', 1, 2024, 2, 20, '2024-08-05 16:44:36', NULL, NULL), (63009, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A04', '', 1, 2024, 2, 20, '2024-08-05 16:44:36', NULL, NULL), (63010, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 2, 20, '2024-08-05 16:44:36', NULL, NULL), (63011, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', '', '', 1, 2024, 2, 20, '2024-08-05 16:44:36', NULL, NULL), (63012, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A04', '', 1, 2024, 2, 20, '2024-08-05 16:44:36', NULL, NULL), (63013, 23, '511503003999-0001', '仙源街道办事处', '民政', '', 'A04', '', 1, 2024, 2, 20, '2024-08-05 16:44:36', NULL, NULL), (63014, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', 'A04', '', 1, 2024, 2, 20, '2024-08-05 16:44:36', NULL, NULL), (63015, 23, '511503003999-0001', '仙源街道办事处', '民政', '', '', '', 1, 2024, 2, 22, '2024-08-05 16:44:36', NULL, NULL), (63016, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A04', '', 1, 2024, 2, 22, '2024-08-05 16:44:36', NULL, NULL), (63017, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 2, 22, '2024-08-05 16:44:36', NULL, NULL), (63018, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', '', '', 1, 2024, 2, 22, '2024-08-05 16:44:36', NULL, NULL), (63019, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A04', '', 1, 2024, 2, 22, '2024-08-05 16:44:36', NULL, NULL), (63020, 23, '511503003999-0001', '仙源街道办事处', '民政', '', 'A04', '', 1, 2024, 2, 22, '2024-08-05 16:44:36', NULL, NULL), (63021, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', 'A04', '', 1, 2024, 2, 22, '2024-08-05 16:44:36', NULL, NULL), (63022, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '', '', '', 1, 2024, 3, 8, '2024-08-05 16:44:36', NULL, NULL), (63023, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A01', '', 1, 2024, 3, 8, '2024-08-05 16:44:36', NULL, NULL), (63024, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 3, 8, '2024-08-05 16:44:36', NULL, NULL), (63025, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '非常满意', '', '', 1, 2024, 3, 8, '2024-08-05 16:44:37', NULL, NULL), (63026, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A01', '', 1, 2024, 3, 8, '2024-08-05 16:44:37', NULL, NULL), (63027, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '', 'A01', '', 1, 2024, 3, 8, '2024-08-05 16:44:37', NULL, NULL), (63028, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '非常满意', 'A01', '', 1, 2024, 3, 8, '2024-08-05 16:44:37', NULL, NULL), (63029, 23, '511503003999-0001', '仙源街道办事处', '民政', '', '', '', 5, 2024, 3, 11, '2024-08-05 16:44:37', NULL, NULL), (63030, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 1, 2024, 3, 11, '2024-08-05 16:44:37', NULL, NULL), (63031, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 1, 2024, 3, 11, '2024-08-05 16:44:37', NULL, NULL), (63032, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A04', '', 5, 2024, 3, 11, '2024-08-05 16:44:37', NULL, NULL), (63033, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 6, 2024, 3, 11, '2024-08-05 16:44:37', NULL, NULL), (63034, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 1, 2024, 3, 11, '2024-08-05 16:44:37', NULL, NULL), (63035, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', '', '', 5, 2024, 3, 11, '2024-08-05 16:44:37', NULL, NULL), (63036, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A04', '', 5, 2024, 3, 11, '2024-08-05 16:44:37', NULL, NULL), (63037, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 1, 2024, 3, 11, '2024-08-05 16:44:37', NULL, NULL), (63038, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 1, 2024, 3, 11, '2024-08-05 16:44:37', NULL, NULL), (63039, 23, '511503003999-0001', '仙源街道办事处', '民政', '', 'A04', '', 5, 2024, 3, 11, '2024-08-05 16:44:37', NULL, NULL), (63040, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', 'A04', '', 5, 2024, 3, 11, '2024-08-05 16:44:37', NULL, NULL), (63041, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 1, 2024, 3, 11, '2024-08-05 16:44:37', NULL, NULL), (63042, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 1, 2024, 3, 15, '2024-08-05 16:44:37', NULL, NULL), (63043, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 2, 2024, 3, 15, '2024-08-05 16:44:37', NULL, NULL), (63044, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 2, 2024, 3, 15, '2024-08-05 16:44:37', NULL, NULL), (63045, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 1, 2024, 3, 15, '2024-08-05 16:44:37', NULL, NULL), (63046, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 3, 2024, 3, 15, '2024-08-05 16:44:37', NULL, NULL), (63047, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 1, 2024, 3, 15, '2024-08-05 16:44:37', NULL, NULL), (63048, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 2, 2024, 3, 15, '2024-08-05 16:44:37', NULL, NULL), (63049, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 2, 2024, 3, 15, '2024-08-05 16:44:37', NULL, NULL), (63050, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 1, 2024, 3, 15, '2024-08-05 16:44:37', NULL, NULL), (63051, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 1, 2024, 3, 15, '2024-08-05 16:44:37', NULL, NULL), (63052, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 2, 2024, 3, 15, '2024-08-05 16:44:37', NULL, NULL), (63053, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 1, 2024, 3, 15, '2024-08-05 16:44:37', NULL, NULL), (63054, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 2, 2024, 3, 15, '2024-08-05 16:44:37', NULL, NULL), (63055, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 1, 2024, 3, 22, '2024-08-05 16:44:37', NULL, NULL), (63056, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 1, 2024, 3, 22, '2024-08-05 16:44:37', NULL, NULL), (63057, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 3, 22, '2024-08-05 16:44:37', NULL, NULL), (63058, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 1, 2024, 3, 22, '2024-08-05 16:44:38', NULL, NULL), (63059, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 1, 2024, 3, 22, '2024-08-05 16:44:38', NULL, NULL), (63060, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 1, 2024, 3, 22, '2024-08-05 16:44:38', NULL, NULL), (63061, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 1, 2024, 3, 22, '2024-08-05 16:44:38', NULL, NULL), (63062, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 1, 2024, 3, 27, '2024-08-05 16:44:38', NULL, NULL), (63063, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 1, 2024, 3, 27, '2024-08-05 16:44:38', NULL, NULL), (63064, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 3, 27, '2024-08-05 16:44:38', NULL, NULL), (63065, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 1, 2024, 3, 27, '2024-08-05 16:44:38', NULL, NULL), (63066, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 1, 2024, 3, 27, '2024-08-05 16:44:38', NULL, NULL), (63067, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 1, 2024, 3, 27, '2024-08-05 16:44:38', NULL, NULL), (63068, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 1, 2024, 3, 27, '2024-08-05 16:44:38', NULL, NULL), (63069, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 1, 2024, 3, 29, '2024-08-05 16:44:38', NULL, NULL), (63070, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 1, 2024, 3, 29, '2024-08-05 16:44:38', NULL, NULL), (63071, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 3, 29, '2024-08-05 16:44:38', NULL, NULL), (63072, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 1, 2024, 3, 29, '2024-08-05 16:44:38', NULL, NULL), (63073, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 1, 2024, 3, 29, '2024-08-05 16:44:38', NULL, NULL), (63074, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 1, 2024, 3, 29, '2024-08-05 16:44:38', NULL, NULL), (63075, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 1, 2024, 3, 29, '2024-08-05 16:44:38', NULL, NULL), (63076, 23, '511503003999-0001', '仙源街道办事处', '民政', '', '', '', 1, 2024, 4, 2, '2024-08-05 16:44:38', NULL, NULL), (63077, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A04', '', 1, 2024, 4, 2, '2024-08-05 16:44:38', NULL, NULL), (63078, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 4, 2, '2024-08-05 16:44:38', NULL, NULL), (63079, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', '', '', 1, 2024, 4, 2, '2024-08-05 16:44:38', NULL, NULL), (63080, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A04', '', 1, 2024, 4, 2, '2024-08-05 16:44:38', NULL, NULL), (63081, 23, '511503003999-0001', '仙源街道办事处', '民政', '', 'A04', '', 1, 2024, 4, 2, '2024-08-05 16:44:38', NULL, NULL), (63082, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', 'A04', '', 1, 2024, 4, 2, '2024-08-05 16:44:38', NULL, NULL), (63083, 23, '511503003999-0001', '仙源街道办事处', '就业', '', '', '', 3, 2024, 4, 8, '2024-08-05 16:44:38', NULL, NULL), (63084, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A07', '', 3, 2024, 4, 8, '2024-08-05 16:44:38', NULL, NULL), (63085, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 3, 2024, 4, 8, '2024-08-05 16:44:39', NULL, NULL), (63086, 23, '511503003999-0001', '仙源街道办事处', '就业', '非常满意', '', '', 3, 2024, 4, 8, '2024-08-05 16:44:39', NULL, NULL), (63087, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A07', '', 3, 2024, 4, 8, '2024-08-05 16:44:39', NULL, NULL), (63088, 23, '511503003999-0001', '仙源街道办事处', '就业', '', 'A07', '', 3, 2024, 4, 8, '2024-08-05 16:44:39', NULL, NULL), (63089, 23, '511503003999-0001', '仙源街道办事处', '就业', '非常满意', 'A07', '', 3, 2024, 4, 8, '2024-08-05 16:44:39', NULL, NULL), (63090, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '', '', '', 2, 2024, 4, 9, '2024-08-05 16:44:39', NULL, NULL), (63091, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 2, 2024, 4, 9, '2024-08-05 16:44:39', NULL, NULL), (63092, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A01', '', 2, 2024, 4, 9, '2024-08-05 16:44:39', NULL, NULL), (63093, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 2, 2024, 4, 9, '2024-08-05 16:44:39', NULL, NULL), (63094, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 4, 2024, 4, 9, '2024-08-05 16:44:39', NULL, NULL), (63095, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '非常满意', '', '', 2, 2024, 4, 9, '2024-08-05 16:44:39', NULL, NULL), (63096, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 2, 2024, 4, 9, '2024-08-05 16:44:39', NULL, NULL), (63097, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 2, 2024, 4, 9, '2024-08-05 16:44:39', NULL, NULL), (63098, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A01', '', 2, 2024, 4, 9, '2024-08-05 16:44:39', NULL, NULL), (63099, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 2, 2024, 4, 9, '2024-08-05 16:44:39', NULL, NULL), (63100, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '', 'A01', '', 2, 2024, 4, 9, '2024-08-05 16:44:39', NULL, NULL), (63101, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '非常满意', 'A01', '', 2, 2024, 4, 9, '2024-08-05 16:44:39', NULL, NULL), (63102, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 2, 2024, 4, 9, '2024-08-05 16:44:39', NULL, NULL), (63103, 23, '511503003999-0001', '仙源街道办事处', '就业', '', '', '', 1, 2024, 4, 11, '2024-08-05 16:44:39', NULL, NULL), (63104, 23, '511503003999-0001', '仙源街道办事处', '不动产', '', '', '', 1, 2024, 4, 11, '2024-08-05 16:44:39', NULL, NULL), (63105, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A06', '', 1, 2024, 4, 11, '2024-08-05 16:44:39', NULL, NULL), (63106, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A07', '', 1, 2024, 4, 11, '2024-08-05 16:44:39', NULL, NULL), (63107, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 2, 2024, 4, 11, '2024-08-05 16:44:39', NULL, NULL), (63108, 23, '511503003999-0001', '仙源街道办事处', '不动产', '非常满意', '', '', 1, 2024, 4, 11, '2024-08-05 16:44:39', NULL, NULL), (63109, 23, '511503003999-0001', '仙源街道办事处', '就业', '非常满意', '', '', 1, 2024, 4, 11, '2024-08-05 16:44:39', NULL, NULL), (63110, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A06', '', 1, 2024, 4, 11, '2024-08-05 16:44:39', NULL, NULL), (63111, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A07', '', 1, 2024, 4, 11, '2024-08-05 16:44:39', NULL, NULL), (63112, 23, '511503003999-0001', '仙源街道办事处', '不动产', '', 'A06', '', 1, 2024, 4, 11, '2024-08-05 16:44:39', NULL, NULL), (63113, 23, '511503003999-0001', '仙源街道办事处', '就业', '', 'A07', '', 1, 2024, 4, 11, '2024-08-05 16:44:39', NULL, NULL), (63114, 23, '511503003999-0001', '仙源街道办事处', '就业', '非常满意', 'A07', '', 1, 2024, 4, 11, '2024-08-05 16:44:39', NULL, NULL), (63115, 23, '511503003999-0001', '仙源街道办事处', '不动产', '非常满意', 'A06', '', 1, 2024, 4, 11, '2024-08-05 16:44:39', NULL, NULL), (63116, 23, '511503003999-0001', '仙源街道办事处', '民政', '', '', '', 1, 2024, 4, 17, '2024-08-05 16:44:39', NULL, NULL), (63117, 23, '511503003999-0001', '仙源街道办事处', '不动产', '', '', '', 1, 2024, 4, 17, '2024-08-05 16:44:39', NULL, NULL), (63118, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A04', '', 1, 2024, 4, 17, '2024-08-05 16:44:39', NULL, NULL), (63119, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A06', '', 1, 2024, 4, 17, '2024-08-05 16:44:39', NULL, NULL), (63120, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 2, 2024, 4, 17, '2024-08-05 16:44:39', NULL, NULL), (63121, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', '', '', 1, 2024, 4, 17, '2024-08-05 16:44:39', NULL, NULL), (63122, 23, '511503003999-0001', '仙源街道办事处', '不动产', '非常满意', '', '', 1, 2024, 4, 17, '2024-08-05 16:44:39', NULL, NULL), (63123, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A06', '', 1, 2024, 4, 17, '2024-08-05 16:44:39', NULL, NULL), (63124, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A04', '', 1, 2024, 4, 17, '2024-08-05 16:44:39', NULL, NULL), (63125, 23, '511503003999-0001', '仙源街道办事处', '不动产', '', 'A06', '', 1, 2024, 4, 17, '2024-08-05 16:44:39', NULL, NULL), (63126, 23, '511503003999-0001', '仙源街道办事处', '民政', '', 'A04', '', 1, 2024, 4, 17, '2024-08-05 16:44:39', NULL, NULL), (63127, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', 'A04', '', 1, 2024, 4, 17, '2024-08-05 16:44:40', NULL, NULL), (63128, 23, '511503003999-0001', '仙源街道办事处', '不动产', '非常满意', 'A06', '', 1, 2024, 4, 17, '2024-08-05 16:44:40', NULL, NULL), (63129, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 1, 2024, 4, 22, '2024-08-05 16:44:40', NULL, NULL), (63130, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 1, 2024, 4, 22, '2024-08-05 16:44:40', NULL, NULL), (63131, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 4, 22, '2024-08-05 16:44:40', NULL, NULL), (63132, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 1, 2024, 4, 22, '2024-08-05 16:44:40', NULL, NULL), (63133, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 1, 2024, 4, 22, '2024-08-05 16:44:40', NULL, NULL), (63134, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 1, 2024, 4, 22, '2024-08-05 16:44:40', NULL, NULL), (63135, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 1, 2024, 4, 22, '2024-08-05 16:44:40', NULL, NULL), (63136, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 2, 2024, 4, 26, '2024-08-05 16:44:40', NULL, NULL), (63137, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 2, 2024, 4, 26, '2024-08-05 16:44:40', NULL, NULL), (63138, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 2, 2024, 4, 26, '2024-08-05 16:44:40', NULL, NULL), (63139, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 2, 2024, 4, 26, '2024-08-05 16:44:40', NULL, NULL), (63140, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 2, 2024, 4, 26, '2024-08-05 16:44:40', NULL, NULL), (63141, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 2, 2024, 4, 26, '2024-08-05 16:44:40', NULL, NULL), (63142, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 2, 2024, 4, 26, '2024-08-05 16:44:40', NULL, NULL), (63143, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 1, 2024, 4, 30, '2024-08-05 16:44:41', NULL, NULL), (63144, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 1, 2024, 4, 30, '2024-08-05 16:44:41', NULL, NULL), (63145, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 4, 30, '2024-08-05 16:44:41', NULL, NULL), (63146, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 1, 2024, 4, 30, '2024-08-05 16:44:41', NULL, NULL), (63147, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 1, 2024, 4, 30, '2024-08-05 16:44:41', NULL, NULL), (63148, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 1, 2024, 4, 30, '2024-08-05 16:44:41', NULL, NULL), (63149, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 1, 2024, 4, 30, '2024-08-05 16:44:41', NULL, NULL), (63150, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '', '', '', 1, 2024, 5, 7, '2024-08-05 16:44:42', NULL, NULL), (63151, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 1, 2024, 5, 7, '2024-08-05 16:44:42', NULL, NULL), (63152, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A01', '', 1, 2024, 5, 7, '2024-08-05 16:44:42', NULL, NULL), (63153, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 1, 2024, 5, 7, '2024-08-05 16:44:42', NULL, NULL), (63154, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 2, 2024, 5, 7, '2024-08-05 16:44:42', NULL, NULL), (63155, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '非常满意', '', '', 1, 2024, 5, 7, '2024-08-05 16:44:42', NULL, NULL), (63156, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 1, 2024, 5, 7, '2024-08-05 16:44:42', NULL, NULL), (63157, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 1, 2024, 5, 7, '2024-08-05 16:44:42', NULL, NULL), (63158, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A01', '', 1, 2024, 5, 7, '2024-08-05 16:44:42', NULL, NULL), (63159, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 1, 2024, 5, 7, '2024-08-05 16:44:42', NULL, NULL), (63160, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '', 'A01', '', 1, 2024, 5, 7, '2024-08-05 16:44:42', NULL, NULL), (63161, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '非常满意', 'A01', '', 1, 2024, 5, 7, '2024-08-05 16:44:42', NULL, NULL), (63162, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 1, 2024, 5, 7, '2024-08-05 16:44:42', NULL, NULL), (63163, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '', '', '', 1, 2024, 5, 8, '2024-08-05 16:44:42', NULL, NULL), (63164, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A01', '', 1, 2024, 5, 8, '2024-08-05 16:44:42', NULL, NULL), (63165, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 5, 8, '2024-08-05 16:44:42', NULL, NULL), (63166, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '非常满意', '', '', 1, 2024, 5, 8, '2024-08-05 16:44:42', NULL, NULL), (63167, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A01', '', 1, 2024, 5, 8, '2024-08-05 16:44:43', NULL, NULL), (63168, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '', 'A01', '', 1, 2024, 5, 8, '2024-08-05 16:44:43', NULL, NULL), (63169, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '非常满意', 'A01', '', 1, 2024, 5, 8, '2024-08-05 16:44:43', NULL, NULL), (63170, 23, '511503003999-0001', '仙源街道办事处', '民政', '', '', '', 2, 2024, 5, 9, '2024-08-05 16:44:43', NULL, NULL), (63171, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 1, 2024, 5, 9, '2024-08-05 16:44:43', NULL, NULL), (63172, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 1, 2024, 5, 9, '2024-08-05 16:44:43', NULL, NULL), (63173, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A04', '', 2, 2024, 5, 9, '2024-08-05 16:44:43', NULL, NULL), (63174, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 3, 2024, 5, 9, '2024-08-05 16:44:43', NULL, NULL), (63175, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', '', '', 2, 2024, 5, 9, '2024-08-05 16:44:43', NULL, NULL), (63176, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 1, 2024, 5, 9, '2024-08-05 16:44:43', NULL, NULL), (63177, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 1, 2024, 5, 9, '2024-08-05 16:44:43', NULL, NULL), (63178, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A04', '', 2, 2024, 5, 9, '2024-08-05 16:44:43', NULL, NULL), (63179, 23, '511503003999-0001', '仙源街道办事处', '民政', '', 'A04', '', 2, 2024, 5, 9, '2024-08-05 16:44:43', NULL, NULL), (63180, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 1, 2024, 5, 9, '2024-08-05 16:44:43', NULL, NULL), (63181, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', 'A04', '', 2, 2024, 5, 9, '2024-08-05 16:44:43', NULL, NULL), (63182, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 1, 2024, 5, 9, '2024-08-05 16:44:43', NULL, NULL), (63183, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 1, 2024, 5, 17, '2024-08-05 16:44:44', NULL, NULL), (63184, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 1, 2024, 5, 17, '2024-08-05 16:44:44', NULL, NULL), (63185, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 5, 17, '2024-08-05 16:44:44', NULL, NULL), (63186, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 1, 2024, 5, 17, '2024-08-05 16:44:44', NULL, NULL), (63187, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 1, 2024, 5, 17, '2024-08-05 16:44:44', NULL, NULL), (63188, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 1, 2024, 5, 17, '2024-08-05 16:44:44', NULL, NULL), (63189, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 1, 2024, 5, 17, '2024-08-05 16:44:44', NULL, NULL), (63190, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 2, 2024, 5, 20, '2024-08-05 16:44:45', NULL, NULL), (63191, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 2, 2024, 5, 20, '2024-08-05 16:44:45', NULL, NULL), (63192, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 2, 2024, 5, 20, '2024-08-05 16:44:45', NULL, NULL), (63193, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 2, 2024, 5, 20, '2024-08-05 16:44:45', NULL, NULL), (63194, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 2, 2024, 5, 20, '2024-08-05 16:44:45', NULL, NULL), (63195, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 2, 2024, 5, 20, '2024-08-05 16:44:45', NULL, NULL), (63196, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 2, 2024, 5, 20, '2024-08-05 16:44:45', NULL, NULL), (63197, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '', '', '', 1, 2024, 5, 30, '2024-08-05 16:44:46', NULL, NULL), (63198, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 1, 2024, 5, 30, '2024-08-05 16:44:46', NULL, NULL), (63199, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A01', '', 1, 2024, 5, 30, '2024-08-05 16:44:46', NULL, NULL), (63200, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 1, 2024, 5, 30, '2024-08-05 16:44:46', NULL, NULL), (63201, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 2, 2024, 5, 30, '2024-08-05 16:44:46', NULL, NULL), (63202, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '非常满意', '', '', 1, 2024, 5, 30, '2024-08-05 16:44:46', NULL, NULL), (63203, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 1, 2024, 5, 30, '2024-08-05 16:44:46', NULL, NULL), (63204, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 1, 2024, 5, 30, '2024-08-05 16:44:46', NULL, NULL), (63205, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A01', '', 1, 2024, 5, 30, '2024-08-05 16:44:46', NULL, NULL), (63206, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 1, 2024, 5, 30, '2024-08-05 16:44:46', NULL, NULL), (63207, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '', 'A01', '', 1, 2024, 5, 30, '2024-08-05 16:44:46', NULL, NULL), (63208, 23, '511503003999-0001', '仙源街道办事处', '综合便民服务中心', '非常满意', 'A01', '', 1, 2024, 5, 30, '2024-08-05 16:44:46', NULL, NULL), (63209, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 1, 2024, 5, 30, '2024-08-05 16:44:46', NULL, NULL), (63210, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 1, 2024, 6, 6, '2024-08-05 16:44:47', NULL, NULL), (63211, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 1, 2024, 6, 6, '2024-08-05 16:44:47', NULL, NULL), (63212, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 6, 6, '2024-08-05 16:44:47', NULL, NULL), (63213, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 1, 2024, 6, 6, '2024-08-05 16:44:47', NULL, NULL), (63214, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 1, 2024, 6, 6, '2024-08-05 16:44:47', NULL, NULL), (63215, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 1, 2024, 6, 6, '2024-08-05 16:44:47', NULL, NULL), (63216, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 1, 2024, 6, 6, '2024-08-05 16:44:47', NULL, NULL), (63217, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 1, 2024, 6, 11, '2024-08-05 16:44:47', NULL, NULL), (63218, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 1, 2024, 6, 11, '2024-08-05 16:44:48', NULL, NULL), (63219, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 6, 11, '2024-08-05 16:44:48', NULL, NULL), (63220, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 1, 2024, 6, 11, '2024-08-05 16:44:48', NULL, NULL), (63221, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 1, 2024, 6, 11, '2024-08-05 16:44:48', NULL, NULL), (63222, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 1, 2024, 6, 11, '2024-08-05 16:44:48', NULL, NULL), (63223, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 1, 2024, 6, 11, '2024-08-05 16:44:48', NULL, NULL), (63224, 23, '511503003999-0001', '仙源街道办事处', '社保', '', '', '', 1, 2024, 6, 12, '2024-08-05 16:44:48', NULL, NULL), (63225, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A08', '', 1, 2024, 6, 12, '2024-08-05 16:44:48', NULL, NULL), (63226, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 6, 12, '2024-08-05 16:44:48', NULL, NULL), (63227, 23, '511503003999-0001', '仙源街道办事处', '社保', '非常满意', '', '', 1, 2024, 6, 12, '2024-08-05 16:44:48', NULL, NULL), (63228, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A08', '', 1, 2024, 6, 12, '2024-08-05 16:44:48', NULL, NULL), (63229, 23, '511503003999-0001', '仙源街道办事处', '社保', '', 'A08', '', 1, 2024, 6, 12, '2024-08-05 16:44:48', NULL, NULL), (63230, 23, '511503003999-0001', '仙源街道办事处', '社保', '非常满意', 'A08', '', 1, 2024, 6, 12, '2024-08-05 16:44:48', NULL, NULL), (63231, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 1, 2024, 6, 13, '2024-08-05 16:44:48', NULL, NULL), (63232, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 1, 2024, 6, 13, '2024-08-05 16:44:48', NULL, NULL), (63233, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 1, 2024, 6, 13, '2024-08-05 16:44:49', NULL, NULL), (63234, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 1, 2024, 6, 13, '2024-08-05 16:44:49', NULL, NULL), (63235, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 2, 2024, 6, 13, '2024-08-05 16:44:49', NULL, NULL), (63236, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 1, 2024, 6, 13, '2024-08-05 16:44:49', NULL, NULL), (63237, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', '', '', 1, 2024, 6, 13, '2024-08-05 16:44:49', NULL, NULL), (63238, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A02', '', 1, 2024, 6, 13, '2024-08-05 16:44:49', NULL, NULL), (63239, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 1, 2024, 6, 13, '2024-08-05 16:44:49', NULL, NULL), (63240, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 1, 2024, 6, 13, '2024-08-05 16:44:49', NULL, NULL), (63241, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 1, 2024, 6, 13, '2024-08-05 16:44:49', NULL, NULL), (63242, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 1, 2024, 6, 13, '2024-08-05 16:44:49', NULL, NULL), (63243, 23, '511503003999-0001', '仙源街道办事处', '医保', '非常满意', 'A02', '', 1, 2024, 6, 13, '2024-08-05 16:44:49', NULL, NULL), (63244, 23, '511503003999-0001', '仙源街道办事处', '民政', '', '', '', 1, 2024, 6, 26, '2024-08-05 16:44:50', NULL, NULL), (63245, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A04', '', 1, 2024, 6, 26, '2024-08-05 16:44:50', NULL, NULL), (63246, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 6, 26, '2024-08-05 16:44:50', NULL, NULL), (63247, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', '', '', 1, 2024, 6, 26, '2024-08-05 16:44:50', NULL, NULL), (63248, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A04', '', 1, 2024, 6, 26, '2024-08-05 16:44:50', NULL, NULL), (63249, 23, '511503003999-0001', '仙源街道办事处', '民政', '', 'A04', '', 1, 2024, 6, 26, '2024-08-05 16:44:50', NULL, NULL), (63250, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', 'A04', '', 1, 2024, 6, 26, '2024-08-05 16:44:50', NULL, NULL), (63251, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', '', '', 2, 2024, 7, 12, '2024-08-05 16:44:51', NULL, NULL), (63252, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A03', '', 2, 2024, 7, 12, '2024-08-05 16:44:51', NULL, NULL), (63253, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 2, 2024, 7, 12, '2024-08-05 16:44:51', NULL, NULL), (63254, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', '', '', 2, 2024, 7, 12, '2024-08-05 16:44:51', NULL, NULL), (63255, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A03', '', 2, 2024, 7, 12, '2024-08-05 16:44:51', NULL, NULL), (63256, 23, '511503003999-0001', '仙源街道办事处', '卫建', '', 'A03', '', 2, 2024, 7, 12, '2024-08-05 16:44:51', NULL, NULL), (63257, 23, '511503003999-0001', '仙源街道办事处', '卫建', '非常满意', 'A03', '', 2, 2024, 7, 12, '2024-08-05 16:44:51', NULL, NULL), (63258, 23, '511503003999-0001', '仙源街道办事处', '医保', '', '', '', 1, 2024, 7, 15, '2024-08-05 16:44:51', NULL, NULL), (63259, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A02', '', 1, 2024, 7, 15, '2024-08-05 16:44:51', NULL, NULL), (63260, 23, '511503003999-0001', '仙源街道办事处', '', '满意', '', '', 1, 2024, 7, 15, '2024-08-05 16:44:51', NULL, NULL), (63261, 23, '511503003999-0001', '仙源街道办事处', '医保', '满意', '', '', 1, 2024, 7, 15, '2024-08-05 16:44:51', NULL, NULL), (63262, 23, '511503003999-0001', '仙源街道办事处', '', '满意', 'A02', '', 1, 2024, 7, 15, '2024-08-05 16:44:51', NULL, NULL), (63263, 23, '511503003999-0001', '仙源街道办事处', '医保', '', 'A02', '', 1, 2024, 7, 15, '2024-08-05 16:44:51', NULL, NULL), (63264, 23, '511503003999-0001', '仙源街道办事处', '医保', '满意', 'A02', '', 1, 2024, 7, 15, '2024-08-05 16:44:51', NULL, NULL), (63265, 23, '511503003999-0001', '仙源街道办事处', '民政', '', '', '', 1, 2024, 7, 31, '2024-08-05 16:44:51', NULL, NULL), (63266, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A04', '', 1, 2024, 7, 31, '2024-08-05 16:44:51', NULL, NULL), (63267, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 7, 31, '2024-08-05 16:44:51', NULL, NULL), (63268, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', '', '', 1, 2024, 7, 31, '2024-08-05 16:44:51', NULL, NULL), (63269, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A04', '', 1, 2024, 7, 31, '2024-08-05 16:44:52', NULL, NULL), (63270, 23, '511503003999-0001', '仙源街道办事处', '民政', '', 'A04', '', 1, 2024, 7, 31, '2024-08-05 16:44:52', NULL, NULL), (63271, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', 'A04', '', 1, 2024, 7, 31, '2024-08-05 16:44:52', NULL, NULL), (63272, 23, '511503003999-0001', '仙源街道办事处', '民政', '', '', '', 1, 2024, 8, 1, '2024-08-05 16:44:52', NULL, NULL), (63273, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A04', '', 1, 2024, 8, 1, '2024-08-05 16:44:52', NULL, NULL), (63274, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 1, 2024, 8, 1, '2024-08-05 16:44:52', NULL, NULL), (63275, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', '', '', 1, 2024, 8, 1, '2024-08-05 16:44:52', NULL, NULL), (63276, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A04', '', 1, 2024, 8, 1, '2024-08-05 16:44:52', NULL, NULL), (63277, 23, '511503003999-0001', '仙源街道办事处', '民政', '', 'A04', '', 1, 2024, 8, 1, '2024-08-05 16:44:52', NULL, NULL), (63278, 23, '511503003999-0001', '仙源街道办事处', '民政', '非常满意', 'A04', '', 1, 2024, 8, 1, '2024-08-05 16:44:52', NULL, NULL), (63279, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 16:59:49', NULL, NULL), (63280, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 16:59:50', NULL, NULL), (63281, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 16:59:50', NULL, NULL), (63282, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 16:59:50', NULL, NULL), (63283, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 16:59:50', NULL, NULL), (63284, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 16:59:50', NULL, NULL), (63285, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 16:59:50', NULL, NULL), (63286, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 16:59:50', NULL, NULL), (63287, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 16:59:50', NULL, NULL), (63288, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 16:59:50', NULL, NULL), (63289, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 16:59:50', NULL, NULL), (63290, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 16:59:50', NULL, NULL), (63291, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 16:59:50', NULL, NULL), (63292, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 16:59:50', NULL, NULL), (63293, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 16:59:50', NULL, NULL), (63294, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 16:59:50', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (63295, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 16:59:50', NULL, NULL), (63296, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 16:59:50', NULL, NULL), (63297, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 16:59:50', NULL, NULL), (63298, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 16:59:50', NULL, NULL), (63299, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 16:59:50', NULL, NULL), (63300, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 16:59:50', NULL, NULL), (63301, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 16:59:50', NULL, NULL), (63302, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 16:59:50', NULL, NULL), (63303, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 16:59:50', NULL, NULL), (63304, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 16:59:50', NULL, NULL), (63305, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 16:59:50', NULL, NULL), (63306, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 16:59:50', NULL, NULL), (63307, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 16:59:50', NULL, NULL), (63308, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 16:59:50', NULL, NULL), (63309, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 16:59:50', NULL, NULL), (63310, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 16:59:50', NULL, NULL), (63311, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 16:59:50', NULL, NULL), (63312, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 16:59:50', NULL, NULL), (63313, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 16:59:50', NULL, NULL), (63314, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 16:59:50', NULL, NULL), (63315, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 16:59:50', NULL, NULL), (63316, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 16:59:50', NULL, NULL), (63317, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 16:59:50', NULL, NULL), (63318, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 16:59:50', NULL, NULL), (63319, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 16:59:50', NULL, NULL), (63320, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 16:59:50', NULL, NULL), (63321, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 16:59:50', NULL, NULL), (63322, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 16:59:50', NULL, NULL), (63323, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 16:59:50', NULL, NULL), (63324, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 16:59:50', NULL, NULL), (63325, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 16:59:50', NULL, NULL), (63326, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 16:59:50', NULL, NULL), (63327, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 16:59:50', NULL, NULL), (63328, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 16:59:50', NULL, NULL), (63329, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 16:59:50', NULL, NULL), (63330, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 16:59:50', NULL, NULL), (63331, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 16:59:50', NULL, NULL), (63332, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 16:59:50', NULL, NULL), (63333, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 16:59:50', NULL, NULL), (63334, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 16:59:50', NULL, NULL), (63335, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 16:59:50', NULL, NULL), (63336, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 16:59:50', NULL, NULL), (63337, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 16:59:50', NULL, NULL), (63338, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 16:59:50', NULL, NULL), (63339, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 16:59:50', NULL, NULL), (63340, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 16:59:50', NULL, NULL), (63341, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 16:59:50', NULL, NULL), (63342, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 16:59:50', NULL, NULL), (63343, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 16:59:50', NULL, NULL), (63344, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 16:59:50', NULL, NULL), (63345, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 16:59:50', NULL, NULL), (63346, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 16:59:50', NULL, NULL), (63347, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 16:59:50', NULL, NULL), (63348, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 16:59:50', NULL, NULL), (63349, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 16:59:50', NULL, NULL), (63350, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 16:59:50', NULL, NULL), (63351, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 16:59:50', NULL, NULL), (63352, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 16:59:50', NULL, NULL), (63353, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 16:59:50', NULL, NULL), (63354, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 16:59:50', NULL, NULL), (63355, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 16:59:50', NULL, NULL), (63356, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 16:59:50', NULL, NULL), (63357, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 16:59:50', NULL, NULL), (63358, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 16:59:50', NULL, NULL), (63359, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 16:59:51', NULL, NULL), (63360, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 16:59:51', NULL, NULL), (63361, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 16:59:51', NULL, NULL), (63362, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 16:59:51', NULL, NULL), (63363, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 16:59:51', NULL, NULL), (63364, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 16:59:51', NULL, NULL), (63365, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 16:59:51', NULL, NULL), (63366, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 16:59:51', NULL, NULL), (63367, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 16:59:51', NULL, NULL), (63368, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 16:59:51', NULL, NULL), (63369, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 16:59:51', NULL, NULL), (63370, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 16:59:51', NULL, NULL), (63371, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 16:59:51', NULL, NULL), (63372, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 16:59:51', NULL, NULL), (63373, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 16:59:51', NULL, NULL), (63374, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 16:59:51', NULL, NULL), (63375, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 16:59:51', NULL, NULL), (63376, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 16:59:51', NULL, NULL), (63377, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 16:59:51', NULL, NULL), (63378, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 16:59:51', NULL, NULL), (63379, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 16:59:51', NULL, NULL), (63380, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 16:59:51', NULL, NULL), (63381, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 16:59:51', NULL, NULL), (63382, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 16:59:51', NULL, NULL), (63383, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 16:59:51', NULL, NULL), (63384, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 16:59:51', NULL, NULL), (63385, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 16:59:51', NULL, NULL), (63386, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 16:59:51', NULL, NULL), (63387, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 16:59:51', NULL, NULL), (63388, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 16:59:51', NULL, NULL), (63389, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 16:59:51', NULL, NULL), (63390, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 16:59:51', NULL, NULL), (63391, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 16:59:51', NULL, NULL), (63392, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 16:59:51', NULL, NULL), (63393, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 16:59:51', NULL, NULL), (63394, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 16:59:51', NULL, NULL), (63395, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 16:59:51', NULL, NULL), (63396, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 16:59:51', NULL, NULL), (63397, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 16:59:51', NULL, NULL), (63398, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 16:59:51', NULL, NULL), (63399, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 16:59:51', NULL, NULL), (63400, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 16:59:51', NULL, NULL), (63401, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 16:59:51', NULL, NULL), (63402, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 16:59:51', NULL, NULL), (63403, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 16:59:51', NULL, NULL), (63404, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 16:59:51', NULL, NULL), (63405, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 16:59:51', NULL, NULL), (63406, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 16:59:51', NULL, NULL), (63407, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 16:59:51', NULL, NULL), (63408, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 16:59:51', NULL, NULL), (63409, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 16:59:51', NULL, NULL), (63410, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 16:59:51', NULL, NULL), (63411, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 16:59:51', NULL, NULL), (63412, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 16:59:51', NULL, NULL), (63413, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 16:59:51', NULL, NULL), (63414, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 16:59:51', NULL, NULL), (63415, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 16:59:51', NULL, NULL), (63416, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 16:59:51', NULL, NULL), (63417, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 16:59:51', NULL, NULL), (63418, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 16:59:51', NULL, NULL), (63419, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 16:59:51', NULL, NULL), (63420, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 16:59:51', NULL, NULL), (63421, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 16:59:51', NULL, NULL), (63422, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 16:59:51', NULL, NULL), (63423, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 16:59:51', NULL, NULL), (63424, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 16:59:51', NULL, NULL), (63425, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 16:59:51', NULL, NULL), (63426, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 16:59:51', NULL, NULL), (63427, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 16:59:51', NULL, NULL), (63428, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 16:59:52', NULL, NULL), (63429, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 16:59:52', NULL, NULL), (63430, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 16:59:52', NULL, NULL), (63431, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 16:59:52', NULL, NULL), (63432, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 16:59:52', NULL, NULL), (63433, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 16:59:52', NULL, NULL), (63434, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 16:59:52', NULL, NULL), (63435, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 16:59:52', NULL, NULL), (63436, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 16:59:52', NULL, NULL), (63437, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 16:59:52', NULL, NULL), (63438, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 16:59:52', NULL, NULL), (63439, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 16:59:52', NULL, NULL), (63440, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 16:59:52', NULL, NULL), (63441, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 16:59:52', NULL, NULL), (63442, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 16:59:52', NULL, NULL), (63443, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 16:59:52', NULL, NULL), (63444, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 16:59:52', NULL, NULL), (63445, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 16:59:52', NULL, NULL), (63446, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 16:59:52', NULL, NULL), (63447, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 16:59:52', NULL, NULL), (63448, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 16:59:52', NULL, NULL), (63449, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 16:59:52', NULL, NULL), (63450, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 16:59:52', NULL, NULL), (63451, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 16:59:52', NULL, NULL), (63452, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 16:59:52', NULL, NULL), (63453, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 16:59:52', NULL, NULL), (63454, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 16:59:52', NULL, NULL), (63455, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 16:59:52', NULL, NULL), (63456, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 16:59:52', NULL, NULL), (63457, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 16:59:52', NULL, NULL), (63458, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 16:59:52', NULL, NULL), (63459, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 16:59:52', NULL, NULL), (63460, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 16:59:52', NULL, NULL), (63461, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 16:59:52', NULL, NULL), (63462, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 16:59:52', NULL, NULL), (63463, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 16:59:52', NULL, NULL), (63464, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 16:59:52', NULL, NULL), (63465, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 16:59:52', NULL, NULL), (63466, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 16:59:52', NULL, NULL), (63467, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 16:59:52', NULL, NULL), (63468, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 16:59:52', NULL, NULL), (63469, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 16:59:52', NULL, NULL), (63470, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 16:59:52', NULL, NULL), (63471, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 16:59:52', NULL, NULL), (63472, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 16:59:52', NULL, NULL), (63473, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 16:59:52', NULL, NULL), (63474, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 16:59:52', NULL, NULL), (63475, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 16:59:52', NULL, NULL), (63476, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 16:59:52', NULL, NULL), (63477, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 16:59:52', NULL, NULL), (63478, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 16:59:52', NULL, NULL), (63479, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 16:59:52', NULL, NULL), (63480, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 16:59:52', NULL, NULL), (63481, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 16:59:52', NULL, NULL), (63482, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 16:59:52', NULL, NULL), (63483, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 16:59:52', NULL, NULL), (63484, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 16:59:52', NULL, NULL), (63485, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 16:59:52', NULL, NULL), (63486, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 16:59:52', NULL, NULL), (63487, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 16:59:52', NULL, NULL), (63488, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 16:59:52', NULL, NULL), (63489, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 16:59:52', NULL, NULL), (63490, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 16:59:52', NULL, NULL), (63491, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 16:59:52', NULL, NULL), (63492, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 16:59:52', NULL, NULL), (63493, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 16:59:52', NULL, NULL), (63494, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 16:59:52', NULL, NULL), (63495, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 16:59:53', NULL, NULL), (63496, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 16:59:53', NULL, NULL), (63497, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 16:59:53', NULL, NULL), (63498, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 16:59:53', NULL, NULL), (63499, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 16:59:53', NULL, NULL), (63500, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 16:59:53', NULL, NULL), (63501, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 16:59:53', NULL, NULL), (63502, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 16:59:53', NULL, NULL), (63503, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 16:59:53', NULL, NULL), (63504, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 16:59:53', NULL, NULL), (63505, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 16:59:53', NULL, NULL), (63506, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 16:59:53', NULL, NULL), (63507, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 16:59:53', NULL, NULL), (63508, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 16:59:53', NULL, NULL), (63509, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 16:59:53', NULL, NULL), (63510, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 16:59:53', NULL, NULL), (63511, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 16:59:53', NULL, NULL), (63512, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 16:59:53', NULL, NULL), (63513, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 16:59:53', NULL, NULL), (63514, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 16:59:53', NULL, NULL), (63515, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 16:59:53', NULL, NULL), (63516, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 16:59:53', NULL, NULL), (63517, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 16:59:53', NULL, NULL), (63518, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 16:59:53', NULL, NULL), (63519, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 16:59:53', NULL, NULL), (63520, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 16:59:53', NULL, NULL), (63521, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 16:59:53', NULL, NULL), (63522, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 16:59:53', NULL, NULL), (63523, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 16:59:53', NULL, NULL), (63524, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 16:59:53', NULL, NULL), (63525, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 16:59:53', NULL, NULL), (63526, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 16:59:53', NULL, NULL), (63527, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 16:59:53', NULL, NULL), (63528, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 16:59:53', NULL, NULL), (63529, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 16:59:53', NULL, NULL), (63530, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 16:59:53', NULL, NULL), (63531, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 16:59:53', NULL, NULL), (63532, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 16:59:53', NULL, NULL), (63533, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 16:59:53', NULL, NULL), (63534, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 16:59:53', NULL, NULL), (63535, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 16:59:53', NULL, NULL), (63536, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 16:59:53', NULL, NULL), (63537, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 16:59:53', NULL, NULL), (63538, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 16:59:53', NULL, NULL), (63539, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 16:59:53', NULL, NULL), (63540, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 16:59:53', NULL, NULL), (63541, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 16:59:53', NULL, NULL), (63542, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 16:59:53', NULL, NULL), (63543, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 16:59:53', NULL, NULL), (63544, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 16:59:53', NULL, NULL), (63545, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 16:59:53', NULL, NULL), (63546, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 16:59:53', NULL, NULL), (63547, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 16:59:53', NULL, NULL), (63548, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 16:59:53', NULL, NULL), (63549, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 16:59:53', NULL, NULL), (63550, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 16:59:53', NULL, NULL), (63551, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 16:59:53', NULL, NULL), (63552, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 16:59:53', NULL, NULL), (63553, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 16:59:53', NULL, NULL), (63554, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 16:59:53', NULL, NULL), (63555, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 16:59:53', NULL, NULL), (63556, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 16:59:53', NULL, NULL), (63557, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 16:59:53', NULL, NULL), (63558, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 16:59:53', NULL, NULL), (63559, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 16:59:53', NULL, NULL), (63560, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 16:59:53', NULL, NULL), (63561, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 16:59:53', NULL, NULL), (63562, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 16:59:53', NULL, NULL), (63563, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 16:59:53', NULL, NULL), (63564, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 16:59:53', NULL, NULL), (63565, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 16:59:53', NULL, NULL), (63566, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 16:59:53', NULL, NULL), (63567, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 16:59:53', NULL, NULL), (63568, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 16:59:53', NULL, NULL), (63569, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 16:59:53', NULL, NULL), (63570, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 16:59:53', NULL, NULL), (63571, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 16:59:53', NULL, NULL), (63572, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 16:59:53', NULL, NULL), (63573, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 16:59:53', NULL, NULL), (63574, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 16:59:53', NULL, NULL), (63575, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 16:59:53', NULL, NULL), (63576, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 16:59:53', NULL, NULL), (63577, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 16:59:53', NULL, NULL), (63578, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 16:59:53', NULL, NULL), (63579, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 16:59:53', NULL, NULL), (63580, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 16:59:53', NULL, NULL), (63581, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 16:59:53', NULL, NULL), (63582, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 16:59:53', NULL, NULL), (63583, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 16:59:53', NULL, NULL), (63584, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 16:59:53', NULL, NULL), (63585, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 16:59:53', NULL, NULL), (63586, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 16:59:53', NULL, NULL), (63587, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 16:59:53', NULL, NULL), (63588, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 16:59:53', NULL, NULL), (63589, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 16:59:53', NULL, NULL), (63590, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 16:59:53', NULL, NULL), (63591, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 16:59:53', NULL, NULL), (63592, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 16:59:53', NULL, NULL), (63593, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 16:59:53', NULL, NULL), (63594, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 16:59:53', NULL, NULL), (63595, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 16:59:53', NULL, NULL), (63596, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 16:59:53', NULL, NULL), (63597, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 16:59:53', NULL, NULL), (63598, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 16:59:53', NULL, NULL), (63599, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 16:59:53', NULL, NULL), (63600, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 16:59:53', NULL, NULL), (63601, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 16:59:53', NULL, NULL), (63602, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 16:59:53', NULL, NULL), (63603, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 16:59:54', NULL, NULL), (63604, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 16:59:54', NULL, NULL), (63605, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 16:59:54', NULL, NULL), (63606, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 16:59:54', NULL, NULL), (63607, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 16:59:54', NULL, NULL), (63608, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 16:59:54', NULL, NULL), (63609, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 16:59:54', NULL, NULL), (63610, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 16:59:54', NULL, NULL), (63611, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 16:59:54', NULL, NULL), (63612, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 16:59:54', NULL, NULL), (63613, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 16:59:54', NULL, NULL), (63614, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 16:59:54', NULL, NULL), (63615, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 16:59:54', NULL, NULL), (63616, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 16:59:54', NULL, NULL), (63617, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 16:59:54', NULL, NULL), (63618, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 16:59:54', NULL, NULL), (63619, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 16:59:54', NULL, NULL), (63620, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 16:59:54', NULL, NULL), (63621, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 16:59:54', NULL, NULL), (63622, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 16:59:54', NULL, NULL), (63623, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 16:59:54', NULL, NULL), (63624, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 16:59:54', NULL, NULL), (63625, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 16:59:54', NULL, NULL), (63626, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 16:59:54', NULL, NULL), (63627, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 16:59:54', NULL, NULL), (63628, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 16:59:54', NULL, NULL), (63629, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2023, 12, 17, '2024-08-05 16:59:54', NULL, NULL), (63630, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 15, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63631, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 7, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63632, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 25, 2023, 12, 20, '2024-08-05 16:59:54', NULL, NULL), (63633, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 16:59:55', NULL, NULL), (63634, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2023, 12, 22, '2024-08-05 16:59:55', NULL, NULL), (63635, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 16:59:55', NULL, NULL), (63636, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 16:59:55', NULL, NULL), (63637, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2023, 12, 25, '2024-08-05 16:59:55', NULL, NULL), (63638, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 4, 2023, 12, 26, '2024-08-05 16:59:55', NULL, NULL), (63639, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 5, 2023, 12, 27, '2024-08-05 16:59:55', NULL, NULL), (63640, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2023, 12, 28, '2024-08-05 16:59:55', NULL, NULL), (63641, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2023, 12, 29, '2024-08-05 16:59:55', NULL, NULL), (63642, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 16:59:55', NULL, NULL), (63643, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 16:59:55', NULL, NULL), (63644, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 16:59:55', NULL, NULL), (63645, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 1, 2, '2024-08-05 16:59:55', NULL, NULL), (63646, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 16:59:56', NULL, NULL), (63647, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 3, 2024, 1, 4, '2024-08-05 16:59:56', NULL, NULL), (63648, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 16:59:56', NULL, NULL), (63649, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 16:59:56', NULL, NULL), (63650, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 16:59:56', NULL, NULL), (63651, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 16:59:56', NULL, NULL), (63652, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 1, 9, '2024-08-05 16:59:56', NULL, NULL), (63653, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 4, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (63654, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 1, 11, '2024-08-05 16:59:56', NULL, NULL), (63655, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 16:59:56', NULL, NULL), (63656, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 16:59:56', NULL, NULL), (63657, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 16:59:56', NULL, NULL), (63658, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 1, 15, '2024-08-05 16:59:56', NULL, NULL), (63659, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 16:59:56', NULL, NULL), (63660, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 4, 2024, 1, 17, '2024-08-05 16:59:56', NULL, NULL), (63661, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 16:59:57', NULL, NULL), (63662, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 3, 2024, 1, 19, '2024-08-05 16:59:57', NULL, NULL), (63663, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 16:59:57', NULL, NULL), (63664, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 16:59:57', NULL, NULL), (63665, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 16:59:57', NULL, NULL), (63666, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 1, 23, '2024-08-05 16:59:57', NULL, NULL), (63667, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 16:59:57', NULL, NULL), (63668, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 16:59:57', NULL, NULL), (63669, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 6, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (63670, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 16:59:57', NULL, NULL), (63671, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 16:59:57', NULL, NULL), (63672, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 1, 29, '2024-08-05 16:59:57', NULL, NULL), (63673, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 3, 2024, 1, 30, '2024-08-05 16:59:57', NULL, NULL), (63674, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 16:59:58', NULL, NULL), (63675, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 16:59:58', NULL, NULL), (63676, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 16:59:58', NULL, NULL), (63677, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 16:59:58', NULL, NULL), (63678, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 3, 2024, 2, 4, '2024-08-05 16:59:58', NULL, NULL), (63679, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 3, 2024, 2, 5, '2024-08-05 16:59:58', NULL, NULL), (63680, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 16:59:58', NULL, NULL), (63681, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 16:59:58', NULL, NULL), (63682, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 16:59:58', NULL, NULL), (63683, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 16:59:58', NULL, NULL), (63684, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 16:59:58', NULL, NULL), (63685, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 16:59:58', NULL, NULL), (63686, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 16:59:58', NULL, NULL), (63687, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 16:59:58', NULL, NULL), (63688, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 16:59:58', NULL, NULL), (63689, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 16:59:58', NULL, NULL), (63690, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 16:59:58', NULL, NULL), (63691, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 16:59:58', NULL, NULL), (63692, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 16:59:58', NULL, NULL), (63693, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 16:59:58', NULL, NULL), (63694, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 16:59:58', NULL, NULL), (63695, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 16:59:58', NULL, NULL), (63696, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 4, 2024, 2, 22, '2024-08-05 16:59:58', NULL, NULL), (63697, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 16:59:59', NULL, NULL), (63698, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 16:59:59', NULL, NULL), (63699, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 16:59:59', NULL, NULL), (63700, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 2, 26, '2024-08-05 16:59:59', NULL, NULL), (63701, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 2, 27, '2024-08-05 16:59:59', NULL, NULL), (63702, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 2, 28, '2024-08-05 16:59:59', NULL, NULL), (63703, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 4, 2024, 2, 29, '2024-08-05 16:59:59', NULL, NULL), (63704, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 3, 1, '2024-08-05 17:00:00', NULL, NULL), (63705, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 17:00:00', NULL, NULL), (63706, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 17:00:00', NULL, NULL), (63707, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 3, 4, '2024-08-05 17:00:00', NULL, NULL), (63708, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 3, 5, '2024-08-05 17:00:00', NULL, NULL), (63709, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 3, 6, '2024-08-05 17:00:00', NULL, NULL), (63710, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 17:00:01', NULL, NULL), (63711, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 3, 8, '2024-08-05 17:00:01', NULL, NULL), (63712, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 17:00:01', NULL, NULL), (63713, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 17:00:01', NULL, NULL), (63714, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 3, 11, '2024-08-05 17:00:01', NULL, NULL), (63715, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 3, 12, '2024-08-05 17:00:01', NULL, NULL), (63716, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 17:00:02', NULL, NULL), (63717, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 17:00:02', NULL, NULL), (63718, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 3, 15, '2024-08-05 17:00:02', NULL, NULL), (63719, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 17:00:02', NULL, NULL), (63720, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 17:00:02', NULL, NULL), (63721, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 17:00:02', NULL, NULL), (63722, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 3, 19, '2024-08-05 17:00:02', NULL, NULL), (63723, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 17:00:03', NULL, NULL), (63724, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 3, 21, '2024-08-05 17:00:03', NULL, NULL), (63725, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 3, 22, '2024-08-05 17:00:04', NULL, NULL), (63726, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 17:00:04', NULL, NULL), (63727, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 17:00:04', NULL, NULL), (63728, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 17:00:04', NULL, NULL), (63729, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 3, 2024, 3, 26, '2024-08-05 17:00:04', NULL, NULL), (63730, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 17:00:05', NULL, NULL), (63731, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 3, 28, '2024-08-05 17:00:05', NULL, NULL), (63732, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 17:00:06', NULL, NULL), (63733, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 17:00:06', NULL, NULL), (63734, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 17:00:06', NULL, NULL), (63735, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 17:00:06', NULL, NULL), (63736, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 17:00:06', NULL, NULL), (63737, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 17:00:06', NULL, NULL), (63738, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 17:00:06', NULL, NULL), (63739, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 17:00:06', NULL, NULL), (63740, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 17:00:06', NULL, NULL), (63741, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 17:00:06', NULL, NULL), (63742, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 4, 8, '2024-08-05 17:00:07', NULL, NULL), (63743, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 4, 9, '2024-08-05 17:00:07', NULL, NULL), (63744, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 4, 10, '2024-08-05 17:00:08', NULL, NULL), (63745, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 17:00:08', NULL, NULL), (63746, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 4, 12, '2024-08-05 17:00:08', NULL, NULL), (63747, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 17:00:08', NULL, NULL), (63748, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 4, 14, '2024-08-05 17:00:08', NULL, NULL), (63749, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 4, 15, '2024-08-05 17:00:09', NULL, NULL), (63750, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 17:00:09', NULL, NULL), (63751, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 4, 17, '2024-08-05 17:00:09', NULL, NULL), (63752, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 17:00:10', NULL, NULL), (63753, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 4, 19, '2024-08-05 17:00:10', NULL, NULL), (63754, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 17:00:11', NULL, NULL), (63755, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 17:00:11', NULL, NULL), (63756, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 4, 22, '2024-08-05 17:00:11', NULL, NULL), (63757, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 4, 23, '2024-08-05 17:00:11', NULL, NULL), (63758, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 4, 24, '2024-08-05 17:00:12', NULL, NULL), (63759, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 4, 25, '2024-08-05 17:00:12', NULL, NULL), (63760, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 4, 26, '2024-08-05 17:00:13', NULL, NULL), (63761, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 17:00:13', NULL, NULL), (63762, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 4, 28, '2024-08-05 17:00:13', NULL, NULL), (63763, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 3, 2024, 4, 29, '2024-08-05 17:00:14', NULL, NULL), (63764, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 17:00:15', NULL, NULL), (63765, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 17:00:15', NULL, NULL), (63766, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 17:00:15', NULL, NULL), (63767, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 17:00:15', NULL, NULL), (63768, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 17:00:15', NULL, NULL), (63769, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 17:00:15', NULL, NULL), (63770, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 5, 6, '2024-08-05 17:00:15', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (63771, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 3, 2024, 5, 7, '2024-08-05 17:00:16', NULL, NULL), (63772, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 17:00:16', NULL, NULL), (63773, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 17:00:17', NULL, NULL), (63774, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 5, 10, '2024-08-05 17:00:17', NULL, NULL), (63775, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 17:00:17', NULL, NULL), (63776, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 17:00:17', NULL, NULL), (63777, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 17:00:17', NULL, NULL), (63778, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 5, 14, '2024-08-05 17:00:18', NULL, NULL), (63779, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 5, 15, '2024-08-05 17:00:18', NULL, NULL), (63780, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 5, 16, '2024-08-05 17:00:19', NULL, NULL), (63781, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 17:00:19', NULL, NULL), (63782, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 17:00:19', NULL, NULL), (63783, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 17:00:19', NULL, NULL), (63784, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 17:00:19', NULL, NULL), (63785, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 5, 21, '2024-08-05 17:00:19', NULL, NULL), (63786, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 17:00:20', NULL, NULL), (63787, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 5, 23, '2024-08-05 17:00:20', NULL, NULL), (63788, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 17:00:20', NULL, NULL), (63789, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 17:00:20', NULL, NULL), (63790, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 17:00:20', NULL, NULL), (63791, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 17:00:20', NULL, NULL), (63792, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 5, 28, '2024-08-05 17:00:21', NULL, NULL), (63793, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 17:00:21', NULL, NULL), (63794, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 17:00:21', NULL, NULL), (63795, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 17:00:21', NULL, NULL), (63796, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 17:00:21', NULL, NULL), (63797, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 17:00:21', NULL, NULL), (63798, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 17:00:21', NULL, NULL), (63799, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 17:00:21', NULL, NULL), (63800, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 6, 5, '2024-08-05 17:00:21', NULL, NULL), (63801, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 6, 6, '2024-08-05 17:00:21', NULL, NULL), (63802, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 17:00:21', NULL, NULL), (63803, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 17:00:21', NULL, NULL), (63804, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 17:00:21', NULL, NULL), (63805, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 17:00:21', NULL, NULL), (63806, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 17:00:21', NULL, NULL), (63807, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 17:00:21', NULL, NULL), (63808, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 6, 13, '2024-08-05 17:00:21', NULL, NULL), (63809, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 6, 14, '2024-08-05 17:00:21', NULL, NULL), (63810, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 17:00:22', NULL, NULL), (63811, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 17:00:22', NULL, NULL), (63812, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 17:00:22', NULL, NULL), (63813, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 6, 18, '2024-08-05 17:00:22', NULL, NULL), (63814, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 6, 19, '2024-08-05 17:00:22', NULL, NULL), (63815, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 17:00:22', NULL, NULL), (63816, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 6, 21, '2024-08-05 17:00:22', NULL, NULL), (63817, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 17:00:22', NULL, NULL), (63818, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 17:00:22', NULL, NULL), (63819, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 17:00:22', NULL, NULL), (63820, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 6, 25, '2024-08-05 17:00:22', NULL, NULL), (63821, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 6, 26, '2024-08-05 17:00:22', NULL, NULL), (63822, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 6, 27, '2024-08-05 17:00:22', NULL, NULL), (63823, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 8, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (63824, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 17:00:23', NULL, NULL), (63825, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 17:00:23', NULL, NULL), (63826, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 7, 1, '2024-08-05 17:00:23', NULL, NULL), (63827, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 17:00:23', NULL, NULL), (63828, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 7, 3, '2024-08-05 17:00:23', NULL, NULL), (63829, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 17:00:23', NULL, NULL), (63830, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 17:00:23', NULL, NULL), (63831, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 17:00:23', NULL, NULL), (63832, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 17:00:23', NULL, NULL), (63833, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 7, 8, '2024-08-05 17:00:23', NULL, NULL), (63834, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 17:00:23', NULL, NULL), (63835, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 17:00:23', NULL, NULL), (63836, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 17:00:23', NULL, NULL), (63837, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 17:00:23', NULL, NULL), (63838, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 17:00:23', NULL, NULL), (63839, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 17:00:23', NULL, NULL), (63840, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 17:00:23', NULL, NULL), (63841, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 17:00:23', NULL, NULL), (63842, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 17:00:23', NULL, NULL), (63843, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 17:00:23', NULL, NULL), (63844, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 17:00:23', NULL, NULL), (63845, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 17:00:23', NULL, NULL), (63846, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 17:00:23', NULL, NULL), (63847, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 17:00:23', NULL, NULL), (63848, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 17:00:23', NULL, NULL), (63849, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 7, 24, '2024-08-05 17:00:23', NULL, NULL), (63850, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 17:00:23', NULL, NULL), (63851, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 7, 26, '2024-08-05 17:00:23', NULL, NULL), (63852, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 17:00:24', NULL, NULL), (63853, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 17:00:24', NULL, NULL), (63854, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 17:00:24', NULL, NULL), (63855, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 7, 30, '2024-08-05 17:00:24', NULL, NULL), (63856, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 7, 31, '2024-08-05 17:00:24', NULL, NULL), (63857, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 17:00:24', 1, '2024-08-05 20:14:26'), (63858, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 17:00:24', 1, '2024-08-06 02:01:24'), (63859, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 17:00:24', 1, '2024-08-07 01:00:50'), (63860, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 17:00:24', 1, '2024-08-08 01:00:43'), (63861, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 2, 2024, 8, 5, '2024-08-05 17:00:24', 1, '2024-08-09 01:00:52'), (63862, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2023, 12, 17, '2024-08-05 16:59:54', NULL, NULL), (63863, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A07', '', 1, 2023, 12, 17, '2024-08-05 16:59:54', NULL, NULL), (63864, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2023, 12, 17, '2024-08-05 16:59:54', NULL, NULL), (63865, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 1, 2023, 12, 17, '2024-08-05 16:59:54', NULL, NULL), (63866, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A07', '', 1, 2023, 12, 17, '2024-08-05 16:59:54', NULL, NULL), (63867, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A07', '', 1, 2023, 12, 17, '2024-08-05 16:59:54', NULL, NULL), (63868, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A07', '', 1, 2023, 12, 17, '2024-08-05 16:59:54', NULL, NULL), (63869, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 5, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63870, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 8, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63871, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', '', '', 2, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63872, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A11', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63873, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A13', '', 2, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63874, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A03', '', 2, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63875, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A04', '', 3, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63876, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A05', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63877, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A06', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63878, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A07', '', 2, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63879, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 2, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63880, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A09', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63881, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常不满意', '', '', 3, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63882, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 9, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63883, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', '', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63884, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常不满意', '', '', 3, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63885, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 3, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63886, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 5, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63887, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A06', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63888, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A05', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63889, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A07', '', 2, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63890, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A11', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63891, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A13', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63892, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常不满意', 'A09', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63893, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常不满意', 'A08', '', 2, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63894, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A04', '', 2, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63895, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A03', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63896, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A04', '', 3, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63897, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A03', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63898, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', 'A13', '', 2, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63899, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A03', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63900, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A05', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63901, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A06', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63902, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A07', '', 2, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63903, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 2, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63904, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A09', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63905, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A11', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63906, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A04', '', 2, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63907, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A07', '', 2, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63908, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常不满意', 'A09', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63909, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常不满意', 'A08', '', 2, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63910, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A11', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63911, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A06', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63912, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A05', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63913, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', 'A13', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63914, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A03', '', 1, 2023, 12, 18, '2024-08-05 16:59:54', NULL, NULL), (63915, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 2, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63916, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 4, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63917, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', '', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63918, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A11', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63919, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A12', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63920, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A03', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63921, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A14', '', 2, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63922, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A06', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63923, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A09', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63924, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '满意', '', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63925, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 6, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63926, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', '', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63927, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '满意', '', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63928, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 2, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63929, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 3, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63930, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A06', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63931, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A09', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63932, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '满意', 'A14', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63933, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A11', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63934, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A12', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63935, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A03', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63936, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A14', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63937, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A03', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63938, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A14', '', 2, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63939, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A06', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63940, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', 'A12', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63941, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A09', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63942, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A11', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63943, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A09', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63944, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A03', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63945, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A11', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63946, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A06', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63947, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', 'A12', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63948, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '满意', 'A14', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63949, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A14', '', 1, 2023, 12, 19, '2024-08-05 16:59:54', NULL, NULL), (63950, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 20, 2023, 12, 20, '2024-08-05 16:59:54', NULL, NULL), (63951, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 5, 2023, 12, 20, '2024-08-05 16:59:54', NULL, NULL), (63952, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A03', '', 2, 2023, 12, 20, '2024-08-05 16:59:54', NULL, NULL), (63953, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A04', '', 6, 2023, 12, 20, '2024-08-05 16:59:54', NULL, NULL), (63954, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A05', '', 12, 2023, 12, 20, '2024-08-05 16:59:54', NULL, NULL), (63955, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A06', '', 2, 2023, 12, 20, '2024-08-05 16:59:54', NULL, NULL), (63956, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A07', '', 1, 2023, 12, 20, '2024-08-05 16:59:54', NULL, NULL), (63957, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2023, 12, 20, '2024-08-05 16:59:54', NULL, NULL), (63958, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A09', '', 1, 2023, 12, 20, '2024-08-05 16:59:54', NULL, NULL), (63959, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 16, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63960, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '基本满意', '', '', 1, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63961, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 11, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63962, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 5, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63963, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '基本满意', '', '', 1, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63964, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A06', '', 2, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63965, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A05', '', 8, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63966, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A08', '', 1, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63967, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A07', '', 1, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63968, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '基本满意', 'A05', '', 1, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63969, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A09', '', 1, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63970, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A04', '', 2, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63971, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A03', '', 1, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63972, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A04', '', 6, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63973, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A03', '', 2, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63974, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A05', '', 12, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63975, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A06', '', 2, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63976, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A07', '', 1, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63977, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63978, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A09', '', 1, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63979, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A09', '', 1, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63980, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A05', '', 8, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63981, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A04', '', 2, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63982, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A08', '', 1, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63983, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A07', '', 1, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63984, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A03', '', 1, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63985, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A06', '', 2, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63986, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '基本满意', 'A05', '', 1, 2023, 12, 20, '2024-08-05 16:59:55', NULL, NULL), (63987, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2023, 12, 22, '2024-08-05 16:59:55', NULL, NULL), (63988, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A05', '', 1, 2023, 12, 22, '2024-08-05 16:59:55', NULL, NULL), (63989, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A05', '', 1, 2023, 12, 22, '2024-08-05 16:59:55', NULL, NULL), (63990, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 2, 2023, 12, 25, '2024-08-05 16:59:55', NULL, NULL), (63991, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A03', '', 1, 2023, 12, 25, '2024-08-05 16:59:55', NULL, NULL), (63992, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A04', '', 1, 2023, 12, 25, '2024-08-05 16:59:55', NULL, NULL), (63993, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2023, 12, 25, '2024-08-05 16:59:55', NULL, NULL), (63994, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2023, 12, 25, '2024-08-05 16:59:55', NULL, NULL), (63995, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A04', '', 1, 2023, 12, 25, '2024-08-05 16:59:55', NULL, NULL), (63996, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A04', '', 1, 2023, 12, 25, '2024-08-05 16:59:55', NULL, NULL), (63997, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A03', '', 1, 2023, 12, 25, '2024-08-05 16:59:55', NULL, NULL), (63998, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A04', '', 1, 2023, 12, 25, '2024-08-05 16:59:55', NULL, NULL), (63999, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 2, 2023, 12, 26, '2024-08-05 16:59:55', NULL, NULL), (64000, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 2, 2023, 12, 26, '2024-08-05 16:59:55', NULL, NULL), (64001, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A04', '', 1, 2023, 12, 26, '2024-08-05 16:59:55', NULL, NULL), (64002, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A05', '', 1, 2023, 12, 26, '2024-08-05 16:59:55', NULL, NULL), (64003, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 2, 2023, 12, 26, '2024-08-05 16:59:55', NULL, NULL), (64004, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 3, 2023, 12, 26, '2024-08-05 16:59:55', NULL, NULL), (64005, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 2, 2023, 12, 26, '2024-08-05 16:59:55', NULL, NULL), (64006, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 1, 2023, 12, 26, '2024-08-05 16:59:55', NULL, NULL), (64007, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A05', '', 1, 2023, 12, 26, '2024-08-05 16:59:55', NULL, NULL), (64008, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A08', '', 1, 2023, 12, 26, '2024-08-05 16:59:55', NULL, NULL), (64009, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A04', '', 1, 2023, 12, 26, '2024-08-05 16:59:55', NULL, NULL), (64010, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A04', '', 1, 2023, 12, 26, '2024-08-05 16:59:55', NULL, NULL), (64011, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A05', '', 1, 2023, 12, 26, '2024-08-05 16:59:55', NULL, NULL), (64012, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 2, 2023, 12, 26, '2024-08-05 16:59:55', NULL, NULL), (64013, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A05', '', 1, 2023, 12, 26, '2024-08-05 16:59:55', NULL, NULL), (64014, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A08', '', 1, 2023, 12, 26, '2024-08-05 16:59:55', NULL, NULL), (64015, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A04', '', 1, 2023, 12, 26, '2024-08-05 16:59:55', NULL, NULL), (64016, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 2, 2023, 12, 27, '2024-08-05 16:59:55', NULL, NULL), (64017, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 3, 2023, 12, 27, '2024-08-05 16:59:55', NULL, NULL), (64018, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A11', '', 2, 2023, 12, 27, '2024-08-05 16:59:55', NULL, NULL), (64019, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A14', '', 1, 2023, 12, 27, '2024-08-05 16:59:55', NULL, NULL), (64020, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A09', '', 2, 2023, 12, 27, '2024-08-05 16:59:55', NULL, NULL), (64021, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 4, 2023, 12, 27, '2024-08-05 16:59:55', NULL, NULL), (64022, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 2, 2023, 12, 27, '2024-08-05 16:59:55', NULL, NULL), (64023, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 2, 2023, 12, 27, '2024-08-05 16:59:55', NULL, NULL), (64024, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A09', '', 1, 2023, 12, 27, '2024-08-05 16:59:55', NULL, NULL), (64025, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A11', '', 2, 2023, 12, 27, '2024-08-05 16:59:55', NULL, NULL), (64026, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A14', '', 1, 2023, 12, 27, '2024-08-05 16:59:55', NULL, NULL), (64027, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A14', '', 1, 2023, 12, 27, '2024-08-05 16:59:55', NULL, NULL), (64028, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A11', '', 2, 2023, 12, 27, '2024-08-05 16:59:55', NULL, NULL), (64029, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A09', '', 2, 2023, 12, 27, '2024-08-05 16:59:55', NULL, NULL), (64030, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A09', '', 1, 2023, 12, 27, '2024-08-05 16:59:55', NULL, NULL), (64031, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A11', '', 2, 2023, 12, 27, '2024-08-05 16:59:55', NULL, NULL), (64032, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A14', '', 1, 2023, 12, 27, '2024-08-05 16:59:55', NULL, NULL), (64033, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2023, 12, 28, '2024-08-05 16:59:55', NULL, NULL), (64034, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A02', '', 1, 2023, 12, 28, '2024-08-05 16:59:55', NULL, NULL), (64035, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2023, 12, 28, '2024-08-05 16:59:55', NULL, NULL), (64036, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2023, 12, 28, '2024-08-05 16:59:55', NULL, NULL), (64037, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A02', '', 1, 2023, 12, 28, '2024-08-05 16:59:55', NULL, NULL), (64038, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A02', '', 1, 2023, 12, 28, '2024-08-05 16:59:55', NULL, NULL), (64039, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A02', '', 1, 2023, 12, 28, '2024-08-05 16:59:55', NULL, NULL), (64040, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2023, 12, 29, '2024-08-05 16:59:55', NULL, NULL), (64041, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A03', '', 1, 2023, 12, 29, '2024-08-05 16:59:55', NULL, NULL), (64042, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2023, 12, 29, '2024-08-05 16:59:55', NULL, NULL), (64043, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2023, 12, 29, '2024-08-05 16:59:55', NULL, NULL), (64044, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A03', '', 1, 2023, 12, 29, '2024-08-05 16:59:55', NULL, NULL), (64045, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A03', '', 1, 2023, 12, 29, '2024-08-05 16:59:55', NULL, NULL), (64046, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A03', '', 1, 2023, 12, 29, '2024-08-05 16:59:55', NULL, NULL), (64047, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 2, 2024, 1, 2, '2024-08-05 16:59:55', NULL, NULL), (64048, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A04', '', 1, 2024, 1, 2, '2024-08-05 16:59:55', NULL, NULL), (64049, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A05', '', 1, 2024, 1, 2, '2024-08-05 16:59:55', NULL, NULL), (64050, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 1, 2, '2024-08-05 16:59:55', NULL, NULL), (64051, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 2, 2024, 1, 2, '2024-08-05 16:59:55', NULL, NULL), (64052, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A05', '', 1, 2024, 1, 2, '2024-08-05 16:59:56', NULL, NULL), (64053, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A04', '', 1, 2024, 1, 2, '2024-08-05 16:59:56', NULL, NULL), (64054, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A04', '', 1, 2024, 1, 2, '2024-08-05 16:59:56', NULL, NULL), (64055, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A05', '', 1, 2024, 1, 2, '2024-08-05 16:59:56', NULL, NULL), (64056, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A05', '', 1, 2024, 1, 2, '2024-08-05 16:59:56', NULL, NULL), (64057, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A04', '', 1, 2024, 1, 2, '2024-08-05 16:59:56', NULL, NULL), (64058, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 2, 2024, 1, 4, '2024-08-05 16:59:56', NULL, NULL), (64059, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 1, 4, '2024-08-05 16:59:56', NULL, NULL), (64060, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A04', '', 1, 2024, 1, 4, '2024-08-05 16:59:56', NULL, NULL), (64061, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A05', '', 1, 2024, 1, 4, '2024-08-05 16:59:56', NULL, NULL), (64062, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 1, 4, '2024-08-05 16:59:56', NULL, NULL), (64063, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 1, 4, '2024-08-05 16:59:56', NULL, NULL), (64064, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 2, 2024, 1, 4, '2024-08-05 16:59:56', NULL, NULL), (64065, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A05', '', 1, 2024, 1, 4, '2024-08-05 16:59:56', NULL, NULL), (64066, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A04', '', 1, 2024, 1, 4, '2024-08-05 16:59:56', NULL, NULL), (64067, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A04', '', 1, 2024, 1, 4, '2024-08-05 16:59:56', NULL, NULL), (64068, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A05', '', 1, 2024, 1, 4, '2024-08-05 16:59:56', NULL, NULL), (64069, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 1, 4, '2024-08-05 16:59:56', NULL, NULL), (64070, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A05', '', 1, 2024, 1, 4, '2024-08-05 16:59:56', NULL, NULL), (64071, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A04', '', 1, 2024, 1, 4, '2024-08-05 16:59:56', NULL, NULL), (64072, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 1, 9, '2024-08-05 16:59:56', NULL, NULL), (64073, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 1, 9, '2024-08-05 16:59:56', NULL, NULL), (64074, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 1, 9, '2024-08-05 16:59:56', NULL, NULL), (64075, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 3, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (64076, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (64077, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A03', '', 1, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (64078, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A04', '', 1, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (64079, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A05', '', 1, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (64080, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (64081, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 3, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (64082, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 3, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (64083, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A05', '', 1, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (64084, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A04', '', 1, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (64085, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A03', '', 1, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (64086, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A04', '', 1, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (64087, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A03', '', 1, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (64088, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A05', '', 1, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (64089, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (64090, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A05', '', 1, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (64091, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A04', '', 1, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (64092, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A03', '', 1, 2024, 1, 10, '2024-08-05 16:59:56', NULL, NULL), (64093, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 1, 11, '2024-08-05 16:59:56', NULL, NULL), (64094, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 1, 11, '2024-08-05 16:59:56', NULL, NULL), (64095, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A04', '', 1, 2024, 1, 11, '2024-08-05 16:59:56', NULL, NULL), (64096, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A06', '', 1, 2024, 1, 11, '2024-08-05 16:59:56', NULL, NULL), (64097, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 1, 11, '2024-08-05 16:59:56', NULL, NULL), (64098, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 1, 11, '2024-08-05 16:59:56', NULL, NULL), (64099, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 1, 2024, 1, 11, '2024-08-05 16:59:56', NULL, NULL), (64100, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A06', '', 1, 2024, 1, 11, '2024-08-05 16:59:56', NULL, NULL), (64101, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A04', '', 1, 2024, 1, 11, '2024-08-05 16:59:56', NULL, NULL), (64102, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A04', '', 1, 2024, 1, 11, '2024-08-05 16:59:56', NULL, NULL), (64103, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A06', '', 1, 2024, 1, 11, '2024-08-05 16:59:56', NULL, NULL), (64104, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A04', '', 1, 2024, 1, 11, '2024-08-05 16:59:56', NULL, NULL), (64105, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A06', '', 1, 2024, 1, 11, '2024-08-05 16:59:56', NULL, NULL), (64106, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 2, 2024, 1, 15, '2024-08-05 16:59:56', NULL, NULL), (64107, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A05', '', 2, 2024, 1, 15, '2024-08-05 16:59:56', NULL, NULL), (64108, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 1, 15, '2024-08-05 16:59:56', NULL, NULL), (64109, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 2, 2024, 1, 15, '2024-08-05 16:59:56', NULL, NULL), (64110, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A05', '', 2, 2024, 1, 15, '2024-08-05 16:59:56', NULL, NULL), (64111, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A05', '', 2, 2024, 1, 15, '2024-08-05 16:59:56', NULL, NULL), (64112, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A05', '', 2, 2024, 1, 15, '2024-08-05 16:59:56', NULL, NULL), (64113, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 4, 2024, 1, 17, '2024-08-05 16:59:57', NULL, NULL), (64114, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A03', '', 2, 2024, 1, 17, '2024-08-05 16:59:57', NULL, NULL), (64115, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A05', '', 2, 2024, 1, 17, '2024-08-05 16:59:57', NULL, NULL), (64116, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 4, 2024, 1, 17, '2024-08-05 16:59:57', NULL, NULL), (64117, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 4, 2024, 1, 17, '2024-08-05 16:59:57', NULL, NULL), (64118, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A05', '', 2, 2024, 1, 17, '2024-08-05 16:59:57', NULL, NULL), (64119, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A03', '', 2, 2024, 1, 17, '2024-08-05 16:59:57', NULL, NULL), (64120, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A03', '', 2, 2024, 1, 17, '2024-08-05 16:59:57', NULL, NULL), (64121, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A05', '', 2, 2024, 1, 17, '2024-08-05 16:59:57', NULL, NULL), (64122, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A05', '', 2, 2024, 1, 17, '2024-08-05 16:59:57', NULL, NULL), (64123, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A03', '', 2, 2024, 1, 17, '2024-08-05 16:59:57', NULL, NULL), (64124, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 3, 2024, 1, 19, '2024-08-05 16:59:57', NULL, NULL), (64125, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A04', '', 2, 2024, 1, 19, '2024-08-05 16:59:57', NULL, NULL), (64126, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A05', '', 1, 2024, 1, 19, '2024-08-05 16:59:57', NULL, NULL), (64127, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 3, 2024, 1, 19, '2024-08-05 16:59:57', NULL, NULL), (64128, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 3, 2024, 1, 19, '2024-08-05 16:59:57', NULL, NULL), (64129, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A05', '', 1, 2024, 1, 19, '2024-08-05 16:59:57', NULL, NULL), (64130, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A04', '', 2, 2024, 1, 19, '2024-08-05 16:59:57', NULL, NULL), (64131, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A04', '', 2, 2024, 1, 19, '2024-08-05 16:59:57', NULL, NULL), (64132, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A05', '', 1, 2024, 1, 19, '2024-08-05 16:59:57', NULL, NULL), (64133, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A05', '', 1, 2024, 1, 19, '2024-08-05 16:59:57', NULL, NULL), (64134, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A04', '', 2, 2024, 1, 19, '2024-08-05 16:59:57', NULL, NULL), (64135, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 2, 2024, 1, 23, '2024-08-05 16:59:57', NULL, NULL), (64136, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A03', '', 2, 2024, 1, 23, '2024-08-05 16:59:57', NULL, NULL), (64137, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 1, 23, '2024-08-05 16:59:57', NULL, NULL), (64138, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 2, 2024, 1, 23, '2024-08-05 16:59:57', NULL, NULL), (64139, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A03', '', 2, 2024, 1, 23, '2024-08-05 16:59:57', NULL, NULL), (64140, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A03', '', 2, 2024, 1, 23, '2024-08-05 16:59:57', NULL, NULL), (64141, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A03', '', 2, 2024, 1, 23, '2024-08-05 16:59:57', NULL, NULL), (64142, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 6, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64143, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A06', '', 1, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64144, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A07', '', 1, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64145, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64146, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A09', '', 3, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64147, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 6, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64148, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 6, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64149, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A06', '', 1, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64150, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A08', '', 1, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64151, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A07', '', 1, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64152, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A09', '', 3, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64153, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A06', '', 1, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64154, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A07', '', 1, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64155, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64156, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A09', '', 3, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64157, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A09', '', 3, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64158, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A08', '', 1, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64159, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A07', '', 1, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64160, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A06', '', 1, 2024, 1, 26, '2024-08-05 16:59:57', NULL, NULL), (64161, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 1, 29, '2024-08-05 16:59:57', NULL, NULL), (64162, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A06', '', 1, 2024, 1, 29, '2024-08-05 16:59:57', NULL, NULL), (64163, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 1, 29, '2024-08-05 16:59:57', NULL, NULL), (64164, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 1, 2024, 1, 29, '2024-08-05 16:59:57', NULL, NULL), (64165, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A06', '', 1, 2024, 1, 29, '2024-08-05 16:59:57', NULL, NULL), (64166, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A06', '', 1, 2024, 1, 29, '2024-08-05 16:59:57', NULL, NULL), (64167, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A06', '', 1, 2024, 1, 29, '2024-08-05 16:59:57', NULL, NULL), (64168, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 2, 2024, 1, 30, '2024-08-05 16:59:57', NULL, NULL), (64169, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 1, 30, '2024-08-05 16:59:58', NULL, NULL), (64170, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A04', '', 1, 2024, 1, 30, '2024-08-05 16:59:58', NULL, NULL), (64171, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 1, 30, '2024-08-05 16:59:58', NULL, NULL), (64172, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 1, 30, '2024-08-05 16:59:58', NULL, NULL), (64173, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 2, 2024, 1, 30, '2024-08-05 16:59:58', NULL, NULL), (64174, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A04', '', 1, 2024, 1, 30, '2024-08-05 16:59:58', NULL, NULL), (64175, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A04', '', 1, 2024, 1, 30, '2024-08-05 16:59:58', NULL, NULL), (64176, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 1, 30, '2024-08-05 16:59:58', NULL, NULL), (64177, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A04', '', 1, 2024, 1, 30, '2024-08-05 16:59:58', NULL, NULL), (64178, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 2, 2024, 2, 4, '2024-08-05 16:59:58', NULL, NULL), (64179, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 2, 4, '2024-08-05 16:59:58', NULL, NULL), (64180, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 3, 2024, 2, 4, '2024-08-05 16:59:58', NULL, NULL), (64181, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A04', '', 2, 2024, 2, 4, '2024-08-05 16:59:58', NULL, NULL), (64182, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 2, 4, '2024-08-05 16:59:58', NULL, NULL), (64183, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 2, 4, '2024-08-05 16:59:58', NULL, NULL), (64184, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 2, 2024, 2, 4, '2024-08-05 16:59:58', NULL, NULL), (64185, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A04', '', 2, 2024, 2, 4, '2024-08-05 16:59:58', NULL, NULL), (64186, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A04', '', 2, 2024, 2, 4, '2024-08-05 16:59:58', NULL, NULL), (64187, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 2, 4, '2024-08-05 16:59:58', NULL, NULL), (64188, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A04', '', 2, 2024, 2, 4, '2024-08-05 16:59:58', NULL, NULL), (64189, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 2, 2024, 2, 5, '2024-08-05 16:59:58', NULL, NULL), (64190, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', '', '', 1, 2024, 2, 5, '2024-08-05 16:59:58', NULL, NULL), (64191, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 3, 2024, 2, 5, '2024-08-05 16:59:58', NULL, NULL), (64192, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A11', '', 2, 2024, 2, 5, '2024-08-05 16:59:58', NULL, NULL), (64193, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A12', '', 1, 2024, 2, 5, '2024-08-05 16:59:58', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (64194, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 3, 2024, 2, 5, '2024-08-05 16:59:58', NULL, NULL), (64195, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', '', '', 1, 2024, 2, 5, '2024-08-05 16:59:58', NULL, NULL), (64196, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 2, 2024, 2, 5, '2024-08-05 16:59:58', NULL, NULL), (64197, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A11', '', 2, 2024, 2, 5, '2024-08-05 16:59:58', NULL, NULL), (64198, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A12', '', 1, 2024, 2, 5, '2024-08-05 16:59:58', NULL, NULL), (64199, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', 'A12', '', 1, 2024, 2, 5, '2024-08-05 16:59:58', NULL, NULL), (64200, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A11', '', 2, 2024, 2, 5, '2024-08-05 16:59:58', NULL, NULL), (64201, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A11', '', 2, 2024, 2, 5, '2024-08-05 16:59:58', NULL, NULL), (64202, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', 'A12', '', 1, 2024, 2, 5, '2024-08-05 16:59:58', NULL, NULL), (64203, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 3, 2024, 2, 22, '2024-08-05 16:59:58', NULL, NULL), (64204, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', '', '', 1, 2024, 2, 22, '2024-08-05 16:59:58', NULL, NULL), (64205, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 4, 2024, 2, 22, '2024-08-05 16:59:59', NULL, NULL), (64206, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A12', '', 1, 2024, 2, 22, '2024-08-05 16:59:59', NULL, NULL), (64207, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A03', '', 3, 2024, 2, 22, '2024-08-05 16:59:59', NULL, NULL), (64208, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 3, 2024, 2, 22, '2024-08-05 16:59:59', NULL, NULL), (64209, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', '', '', 1, 2024, 2, 22, '2024-08-05 16:59:59', NULL, NULL), (64210, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 2, 2024, 2, 22, '2024-08-05 16:59:59', NULL, NULL), (64211, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A12', '', 1, 2024, 2, 22, '2024-08-05 16:59:59', NULL, NULL), (64212, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A03', '', 2, 2024, 2, 22, '2024-08-05 16:59:59', NULL, NULL), (64213, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A03', '', 3, 2024, 2, 22, '2024-08-05 16:59:59', NULL, NULL), (64214, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', 'A12', '', 1, 2024, 2, 22, '2024-08-05 16:59:59', NULL, NULL), (64215, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A03', '', 2, 2024, 2, 22, '2024-08-05 16:59:59', NULL, NULL), (64216, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', 'A12', '', 1, 2024, 2, 22, '2024-08-05 16:59:59', NULL, NULL), (64217, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 2, 26, '2024-08-05 16:59:59', NULL, NULL), (64218, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', '', '', 1, 2024, 2, 26, '2024-08-05 16:59:59', NULL, NULL), (64219, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 2, 2024, 2, 26, '2024-08-05 16:59:59', NULL, NULL), (64220, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A11', '', 1, 2024, 2, 26, '2024-08-05 16:59:59', NULL, NULL), (64221, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A12', '', 1, 2024, 2, 26, '2024-08-05 16:59:59', NULL, NULL), (64222, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 2, 26, '2024-08-05 16:59:59', NULL, NULL), (64223, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', '', '', 1, 2024, 2, 26, '2024-08-05 16:59:59', NULL, NULL), (64224, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 2, 26, '2024-08-05 16:59:59', NULL, NULL), (64225, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A11', '', 1, 2024, 2, 26, '2024-08-05 16:59:59', NULL, NULL), (64226, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A12', '', 1, 2024, 2, 26, '2024-08-05 16:59:59', NULL, NULL), (64227, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', 'A12', '', 1, 2024, 2, 26, '2024-08-05 16:59:59', NULL, NULL), (64228, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A11', '', 1, 2024, 2, 26, '2024-08-05 16:59:59', NULL, NULL), (64229, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A11', '', 1, 2024, 2, 26, '2024-08-05 16:59:59', NULL, NULL), (64230, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', 'A12', '', 1, 2024, 2, 26, '2024-08-05 16:59:59', NULL, NULL), (64231, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 2, 2024, 2, 27, '2024-08-05 16:59:59', NULL, NULL), (64232, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 2, 2024, 2, 27, '2024-08-05 16:59:59', NULL, NULL), (64233, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 2, 2024, 2, 27, '2024-08-05 16:59:59', NULL, NULL), (64234, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 2, 2024, 2, 27, '2024-08-05 16:59:59', NULL, NULL), (64235, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 2, 2024, 2, 28, '2024-08-05 16:59:59', NULL, NULL), (64236, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 2, 2024, 2, 28, '2024-08-05 16:59:59', NULL, NULL), (64237, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 2, 2024, 2, 28, '2024-08-05 16:59:59', NULL, NULL), (64238, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常不满意', '', '', 1, 2024, 2, 28, '2024-08-05 16:59:59', NULL, NULL), (64239, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常不满意', '', '', 1, 2024, 2, 28, '2024-08-05 16:59:59', NULL, NULL), (64240, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常不满意', 'A08', '', 1, 2024, 2, 28, '2024-08-05 16:59:59', NULL, NULL), (64241, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 2, 2024, 2, 28, '2024-08-05 16:59:59', NULL, NULL), (64242, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常不满意', 'A08', '', 1, 2024, 2, 28, '2024-08-05 16:59:59', NULL, NULL), (64243, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 2, 2024, 2, 29, '2024-08-05 16:59:59', NULL, NULL), (64244, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 2, 2024, 2, 29, '2024-08-05 16:59:59', NULL, NULL), (64245, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 4, 2024, 2, 29, '2024-08-05 16:59:59', NULL, NULL), (64246, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A03', '', 1, 2024, 2, 29, '2024-08-05 16:59:59', NULL, NULL), (64247, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A04', '', 1, 2024, 2, 29, '2024-08-05 17:00:00', NULL, NULL), (64248, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 2, 2024, 2, 29, '2024-08-05 16:59:59', NULL, NULL), (64249, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 2, 29, '2024-08-05 17:00:00', NULL, NULL), (64250, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 2, 2024, 2, 29, '2024-08-05 17:00:00', NULL, NULL), (64251, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A04', '', 1, 2024, 2, 29, '2024-08-05 17:00:00', NULL, NULL), (64252, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A03', '', 1, 2024, 2, 29, '2024-08-05 17:00:00', NULL, NULL), (64253, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A04', '', 1, 2024, 2, 29, '2024-08-05 17:00:00', NULL, NULL), (64254, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A03', '', 1, 2024, 2, 29, '2024-08-05 17:00:00', NULL, NULL), (64255, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 2, 2024, 2, 29, '2024-08-05 17:00:00', NULL, NULL), (64256, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A04', '', 1, 2024, 2, 29, '2024-08-05 17:00:00', NULL, NULL), (64257, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A03', '', 1, 2024, 2, 29, '2024-08-05 17:00:00', NULL, NULL), (64258, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 3, 1, '2024-08-05 17:00:00', NULL, NULL), (64259, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 3, 1, '2024-08-05 17:00:00', NULL, NULL), (64260, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 3, 1, '2024-08-05 17:00:00', NULL, NULL), (64261, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 3, 1, '2024-08-05 17:00:00', NULL, NULL), (64262, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 3, 4, '2024-08-05 17:00:00', NULL, NULL), (64263, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 3, 4, '2024-08-05 17:00:00', NULL, NULL), (64264, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A05', '', 1, 2024, 3, 4, '2024-08-05 17:00:00', NULL, NULL), (64265, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 3, 4, '2024-08-05 17:00:00', NULL, NULL), (64266, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 3, 4, '2024-08-05 17:00:00', NULL, NULL), (64267, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A05', '', 1, 2024, 3, 4, '2024-08-05 17:00:00', NULL, NULL), (64268, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A05', '', 1, 2024, 3, 4, '2024-08-05 17:00:00', NULL, NULL), (64269, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A05', '', 1, 2024, 3, 4, '2024-08-05 17:00:00', NULL, NULL), (64270, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 2, 2024, 3, 5, '2024-08-05 17:00:00', NULL, NULL), (64271, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 2, 2024, 3, 5, '2024-08-05 17:00:00', NULL, NULL), (64272, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A03', '', 1, 2024, 3, 5, '2024-08-05 17:00:00', NULL, NULL), (64273, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A04', '', 1, 2024, 3, 5, '2024-08-05 17:00:00', NULL, NULL), (64274, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 3, 5, '2024-08-05 17:00:00', NULL, NULL), (64275, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 2, 2024, 3, 5, '2024-08-05 17:00:00', NULL, NULL), (64276, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A04', '', 1, 2024, 3, 5, '2024-08-05 17:00:00', NULL, NULL), (64277, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A03', '', 1, 2024, 3, 5, '2024-08-05 17:00:00', NULL, NULL), (64278, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A04', '', 1, 2024, 3, 5, '2024-08-05 17:00:00', NULL, NULL), (64279, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A03', '', 1, 2024, 3, 5, '2024-08-05 17:00:00', NULL, NULL), (64280, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A04', '', 1, 2024, 3, 5, '2024-08-05 17:00:00', NULL, NULL), (64281, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A03', '', 1, 2024, 3, 5, '2024-08-05 17:00:00', NULL, NULL), (64282, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 3, 6, '2024-08-05 17:00:00', NULL, NULL), (64283, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 3, 6, '2024-08-05 17:00:00', NULL, NULL), (64284, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A11', '', 1, 2024, 3, 6, '2024-08-05 17:00:00', NULL, NULL), (64285, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 3, 6, '2024-08-05 17:00:00', NULL, NULL), (64286, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 3, 6, '2024-08-05 17:00:00', NULL, NULL), (64287, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A11', '', 1, 2024, 3, 6, '2024-08-05 17:00:00', NULL, NULL), (64288, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A11', '', 1, 2024, 3, 6, '2024-08-05 17:00:01', NULL, NULL), (64289, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A11', '', 1, 2024, 3, 6, '2024-08-05 17:00:01', NULL, NULL), (64290, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 2, 2024, 3, 8, '2024-08-05 17:00:01', NULL, NULL), (64291, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 2, 2024, 3, 8, '2024-08-05 17:00:01', NULL, NULL), (64292, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 2, 2024, 3, 8, '2024-08-05 17:00:01', NULL, NULL), (64293, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 3, 8, '2024-08-05 17:00:01', NULL, NULL), (64294, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 1, 2024, 3, 8, '2024-08-05 17:00:01', NULL, NULL), (64295, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A08', '', 1, 2024, 3, 8, '2024-08-05 17:00:01', NULL, NULL), (64296, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 2, 2024, 3, 8, '2024-08-05 17:00:01', NULL, NULL), (64297, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A08', '', 1, 2024, 3, 8, '2024-08-05 17:00:01', NULL, NULL), (64298, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 3, 11, '2024-08-05 17:00:01', NULL, NULL), (64299, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A07', '', 1, 2024, 3, 11, '2024-08-05 17:00:01', NULL, NULL), (64300, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 3, 11, '2024-08-05 17:00:01', NULL, NULL), (64301, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 1, 2024, 3, 11, '2024-08-05 17:00:01', NULL, NULL), (64302, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A07', '', 1, 2024, 3, 11, '2024-08-05 17:00:01', NULL, NULL), (64303, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A07', '', 1, 2024, 3, 11, '2024-08-05 17:00:01', NULL, NULL), (64304, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A07', '', 1, 2024, 3, 11, '2024-08-05 17:00:01', NULL, NULL), (64305, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 3, 12, '2024-08-05 17:00:01', NULL, NULL), (64306, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 3, 12, '2024-08-05 17:00:01', NULL, NULL), (64307, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A11', '', 1, 2024, 3, 12, '2024-08-05 17:00:01', NULL, NULL), (64308, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 3, 12, '2024-08-05 17:00:01', NULL, NULL), (64309, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 3, 12, '2024-08-05 17:00:01', NULL, NULL), (64310, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A11', '', 1, 2024, 3, 12, '2024-08-05 17:00:02', NULL, NULL), (64311, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A11', '', 1, 2024, 3, 12, '2024-08-05 17:00:02', NULL, NULL), (64312, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A11', '', 1, 2024, 3, 12, '2024-08-05 17:00:02', NULL, NULL), (64313, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', '', '', 1, 2024, 3, 15, '2024-08-05 17:00:02', NULL, NULL), (64314, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 3, 15, '2024-08-05 17:00:02', NULL, NULL), (64315, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A12', '', 1, 2024, 3, 15, '2024-08-05 17:00:02', NULL, NULL), (64316, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', 'A12', '', 1, 2024, 3, 15, '2024-08-05 17:00:02', NULL, NULL), (64317, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 2, 2024, 3, 19, '2024-08-05 17:00:02', NULL, NULL), (64318, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 2, 2024, 3, 19, '2024-08-05 17:00:03', NULL, NULL), (64319, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 2, 2024, 3, 19, '2024-08-05 17:00:03', NULL, NULL), (64320, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 3, 19, '2024-08-05 17:00:03', NULL, NULL), (64321, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 2, 2024, 3, 19, '2024-08-05 17:00:03', NULL, NULL), (64322, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A08', '', 2, 2024, 3, 19, '2024-08-05 17:00:03', NULL, NULL), (64323, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 2, 2024, 3, 19, '2024-08-05 17:00:03', NULL, NULL), (64324, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A08', '', 2, 2024, 3, 19, '2024-08-05 17:00:03', NULL, NULL), (64325, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 3, 21, '2024-08-05 17:00:03', NULL, NULL), (64326, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 3, 21, '2024-08-05 17:00:03', NULL, NULL), (64327, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 3, 21, '2024-08-05 17:00:03', NULL, NULL), (64328, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 3, 21, '2024-08-05 17:00:03', NULL, NULL), (64329, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 1, 2024, 3, 21, '2024-08-05 17:00:03', NULL, NULL), (64330, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A08', '', 1, 2024, 3, 21, '2024-08-05 17:00:03', NULL, NULL), (64331, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 3, 21, '2024-08-05 17:00:03', NULL, NULL), (64332, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A08', '', 1, 2024, 3, 21, '2024-08-05 17:00:03', NULL, NULL), (64333, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 3, 22, '2024-08-05 17:00:04', NULL, NULL), (64334, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 3, 22, '2024-08-05 17:00:04', NULL, NULL), (64335, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 3, 22, '2024-08-05 17:00:04', NULL, NULL), (64336, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 3, 22, '2024-08-05 17:00:04', NULL, NULL), (64337, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 1, 2024, 3, 22, '2024-08-05 17:00:04', NULL, NULL), (64338, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A08', '', 1, 2024, 3, 22, '2024-08-05 17:00:04', NULL, NULL), (64339, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 3, 22, '2024-08-05 17:00:04', NULL, NULL), (64340, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A08', '', 1, 2024, 3, 22, '2024-08-05 17:00:04', NULL, NULL), (64341, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 3, 2024, 3, 26, '2024-08-05 17:00:04', NULL, NULL), (64342, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 2, 2024, 3, 26, '2024-08-05 17:00:04', NULL, NULL), (64343, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A07', '', 1, 2024, 3, 26, '2024-08-05 17:00:04', NULL, NULL), (64344, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 2, 2024, 3, 26, '2024-08-05 17:00:05', NULL, NULL), (64345, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 3, 26, '2024-08-05 17:00:05', NULL, NULL), (64346, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 2, 2024, 3, 26, '2024-08-05 17:00:05', NULL, NULL), (64347, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A08', '', 1, 2024, 3, 26, '2024-08-05 17:00:05', NULL, NULL), (64348, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A07', '', 1, 2024, 3, 26, '2024-08-05 17:00:05', NULL, NULL), (64349, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A07', '', 1, 2024, 3, 26, '2024-08-05 17:00:05', NULL, NULL), (64350, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 2, 2024, 3, 26, '2024-08-05 17:00:05', NULL, NULL), (64351, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A08', '', 1, 2024, 3, 26, '2024-08-05 17:00:05', NULL, NULL), (64352, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A07', '', 1, 2024, 3, 26, '2024-08-05 17:00:05', NULL, NULL), (64353, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 3, 28, '2024-08-05 17:00:05', NULL, NULL), (64354, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 3, 28, '2024-08-05 17:00:05', NULL, NULL), (64355, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 2, 2024, 3, 28, '2024-08-05 17:00:05', NULL, NULL), (64356, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A11', '', 1, 2024, 3, 28, '2024-08-05 17:00:05', NULL, NULL), (64357, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 3, 28, '2024-08-05 17:00:05', NULL, NULL), (64358, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 3, 28, '2024-08-05 17:00:05', NULL, NULL), (64359, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 3, 28, '2024-08-05 17:00:05', NULL, NULL), (64360, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 1, 2024, 3, 28, '2024-08-05 17:00:05', NULL, NULL), (64361, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A08', '', 1, 2024, 3, 28, '2024-08-05 17:00:06', NULL, NULL), (64362, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A11', '', 1, 2024, 3, 28, '2024-08-05 17:00:06', NULL, NULL), (64363, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 3, 28, '2024-08-05 17:00:06', NULL, NULL), (64364, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A11', '', 1, 2024, 3, 28, '2024-08-05 17:00:06', NULL, NULL), (64365, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A08', '', 1, 2024, 3, 28, '2024-08-05 17:00:06', NULL, NULL), (64366, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A11', '', 1, 2024, 3, 28, '2024-08-05 17:00:06', NULL, NULL), (64367, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 2, 2024, 4, 8, '2024-08-05 17:00:07', NULL, NULL), (64368, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 2, 2024, 4, 8, '2024-08-05 17:00:07', NULL, NULL), (64369, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 2, 2024, 4, 8, '2024-08-05 17:00:07', NULL, NULL), (64370, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 4, 8, '2024-08-05 17:00:07', NULL, NULL), (64371, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 1, 2024, 4, 8, '2024-08-05 17:00:07', NULL, NULL), (64372, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A08', '', 1, 2024, 4, 8, '2024-08-05 17:00:07', NULL, NULL), (64373, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 2, 2024, 4, 8, '2024-08-05 17:00:07', NULL, NULL), (64374, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A08', '', 1, 2024, 4, 8, '2024-08-05 17:00:07', NULL, NULL), (64375, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 4, 9, '2024-08-05 17:00:07', NULL, NULL), (64376, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 4, 9, '2024-08-05 17:00:07', NULL, NULL), (64377, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A11', '', 1, 2024, 4, 9, '2024-08-05 17:00:07', NULL, NULL), (64378, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 4, 9, '2024-08-05 17:00:07', NULL, NULL), (64379, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 4, 9, '2024-08-05 17:00:07', NULL, NULL), (64380, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A11', '', 1, 2024, 4, 9, '2024-08-05 17:00:07', NULL, NULL), (64381, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A11', '', 1, 2024, 4, 9, '2024-08-05 17:00:08', NULL, NULL), (64382, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A11', '', 1, 2024, 4, 9, '2024-08-05 17:00:08', NULL, NULL), (64383, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 4, 10, '2024-08-05 17:00:08', NULL, NULL), (64384, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 4, 10, '2024-08-05 17:00:08', NULL, NULL), (64385, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 4, 10, '2024-08-05 17:00:08', NULL, NULL), (64386, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 4, 10, '2024-08-05 17:00:08', NULL, NULL), (64387, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 4, 12, '2024-08-05 17:00:08', NULL, NULL), (64388, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 4, 12, '2024-08-05 17:00:08', NULL, NULL), (64389, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 4, 12, '2024-08-05 17:00:08', NULL, NULL), (64390, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 4, 12, '2024-08-05 17:00:08', NULL, NULL), (64391, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 4, 14, '2024-08-05 17:00:08', NULL, NULL), (64392, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 4, 14, '2024-08-05 17:00:08', NULL, NULL), (64393, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A10', '', 1, 2024, 4, 14, '2024-08-05 17:00:09', NULL, NULL), (64394, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A10', '', 1, 2024, 4, 14, '2024-08-05 17:00:09', NULL, NULL), (64395, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', '', '', 1, 2024, 4, 15, '2024-08-05 17:00:09', NULL, NULL), (64396, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 4, 15, '2024-08-05 17:00:09', NULL, NULL), (64397, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A12', '', 1, 2024, 4, 15, '2024-08-05 17:00:09', NULL, NULL), (64398, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 4, 15, '2024-08-05 17:00:09', NULL, NULL), (64399, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', '', '', 1, 2024, 4, 15, '2024-08-05 17:00:09', NULL, NULL), (64400, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A12', '', 1, 2024, 4, 15, '2024-08-05 17:00:09', NULL, NULL), (64401, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', 'A12', '', 1, 2024, 4, 15, '2024-08-05 17:00:09', NULL, NULL), (64402, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', 'A12', '', 1, 2024, 4, 15, '2024-08-05 17:00:09', NULL, NULL), (64403, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 4, 17, '2024-08-05 17:00:09', NULL, NULL), (64404, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 4, 17, '2024-08-05 17:00:09', NULL, NULL), (64405, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 2, 2024, 4, 17, '2024-08-05 17:00:09', NULL, NULL), (64406, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A04', '', 1, 2024, 4, 17, '2024-08-05 17:00:10', NULL, NULL), (64407, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 4, 17, '2024-08-05 17:00:10', NULL, NULL), (64408, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 4, 17, '2024-08-05 17:00:10', NULL, NULL), (64409, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 4, 17, '2024-08-05 17:00:10', NULL, NULL), (64410, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A04', '', 1, 2024, 4, 17, '2024-08-05 17:00:10', NULL, NULL), (64411, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A04', '', 1, 2024, 4, 17, '2024-08-05 17:00:10', NULL, NULL), (64412, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 4, 17, '2024-08-05 17:00:10', NULL, NULL), (64413, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A04', '', 1, 2024, 4, 17, '2024-08-05 17:00:10', NULL, NULL), (64414, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 4, 19, '2024-08-05 17:00:10', NULL, NULL), (64415, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', '', '', 1, 2024, 4, 19, '2024-08-05 17:00:10', NULL, NULL), (64416, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 2, 2024, 4, 19, '2024-08-05 17:00:10', NULL, NULL), (64417, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A12', '', 1, 2024, 4, 19, '2024-08-05 17:00:10', NULL, NULL), (64418, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A04', '', 1, 2024, 4, 19, '2024-08-05 17:00:10', NULL, NULL), (64419, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 4, 19, '2024-08-05 17:00:10', NULL, NULL), (64420, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', '', '', 1, 2024, 4, 19, '2024-08-05 17:00:10', NULL, NULL), (64421, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 4, 19, '2024-08-05 17:00:10', NULL, NULL), (64422, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A12', '', 1, 2024, 4, 19, '2024-08-05 17:00:11', NULL, NULL), (64423, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A04', '', 1, 2024, 4, 19, '2024-08-05 17:00:11', NULL, NULL), (64424, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A04', '', 1, 2024, 4, 19, '2024-08-05 17:00:11', NULL, NULL), (64425, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', 'A12', '', 1, 2024, 4, 19, '2024-08-05 17:00:11', NULL, NULL), (64426, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A04', '', 1, 2024, 4, 19, '2024-08-05 17:00:11', NULL, NULL), (64427, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', 'A12', '', 1, 2024, 4, 19, '2024-08-05 17:00:11', NULL, NULL), (64428, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 4, 22, '2024-08-05 17:00:11', NULL, NULL), (64429, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 4, 22, '2024-08-05 17:00:11', NULL, NULL), (64430, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A04', '', 1, 2024, 4, 22, '2024-08-05 17:00:11', NULL, NULL), (64431, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 4, 22, '2024-08-05 17:00:11', NULL, NULL), (64432, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 4, 22, '2024-08-05 17:00:11', NULL, NULL), (64433, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A04', '', 1, 2024, 4, 22, '2024-08-05 17:00:11', NULL, NULL), (64434, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A04', '', 1, 2024, 4, 22, '2024-08-05 17:00:11', NULL, NULL), (64435, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A04', '', 1, 2024, 4, 22, '2024-08-05 17:00:11', NULL, NULL), (64436, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 4, 23, '2024-08-05 17:00:12', NULL, NULL), (64437, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 4, 23, '2024-08-05 17:00:12', NULL, NULL), (64438, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 2, 2024, 4, 23, '2024-08-05 17:00:12', NULL, NULL), (64439, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A04', '', 1, 2024, 4, 23, '2024-08-05 17:00:12', NULL, NULL), (64440, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 4, 23, '2024-08-05 17:00:12', NULL, NULL), (64441, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 4, 23, '2024-08-05 17:00:12', NULL, NULL), (64442, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 4, 23, '2024-08-05 17:00:12', NULL, NULL), (64443, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A04', '', 1, 2024, 4, 23, '2024-08-05 17:00:12', NULL, NULL), (64444, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A04', '', 1, 2024, 4, 23, '2024-08-05 17:00:12', NULL, NULL), (64445, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 4, 23, '2024-08-05 17:00:12', NULL, NULL), (64446, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A04', '', 1, 2024, 4, 23, '2024-08-05 17:00:12', NULL, NULL), (64447, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 4, 24, '2024-08-05 17:00:12', NULL, NULL), (64448, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 4, 24, '2024-08-05 17:00:12', NULL, NULL), (64449, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 4, 24, '2024-08-05 17:00:12', NULL, NULL), (64450, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 4, 24, '2024-08-05 17:00:12', NULL, NULL), (64451, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 4, 25, '2024-08-05 17:00:13', NULL, NULL), (64452, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 4, 25, '2024-08-05 17:00:13', NULL, NULL), (64453, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 4, 25, '2024-08-05 17:00:13', NULL, NULL), (64454, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 4, 25, '2024-08-05 17:00:13', NULL, NULL), (64455, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 4, 26, '2024-08-05 17:00:13', NULL, NULL), (64456, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 4, 26, '2024-08-05 17:00:13', NULL, NULL), (64457, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A04', '', 1, 2024, 4, 26, '2024-08-05 17:00:13', NULL, NULL), (64458, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 4, 26, '2024-08-05 17:00:13', NULL, NULL), (64459, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 4, 26, '2024-08-05 17:00:13', NULL, NULL), (64460, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A04', '', 1, 2024, 4, 26, '2024-08-05 17:00:13', NULL, NULL), (64461, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A04', '', 1, 2024, 4, 26, '2024-08-05 17:00:13', NULL, NULL), (64462, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A04', '', 1, 2024, 4, 26, '2024-08-05 17:00:13', NULL, NULL), (64463, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 4, 28, '2024-08-05 17:00:13', NULL, NULL), (64464, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 4, 28, '2024-08-05 17:00:13', NULL, NULL), (64465, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 4, 28, '2024-08-05 17:00:14', NULL, NULL), (64466, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 4, 28, '2024-08-05 17:00:14', NULL, NULL), (64467, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 1, 2024, 4, 28, '2024-08-05 17:00:14', NULL, NULL), (64468, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A08', '', 1, 2024, 4, 28, '2024-08-05 17:00:14', NULL, NULL), (64469, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 4, 28, '2024-08-05 17:00:14', NULL, NULL), (64470, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A08', '', 1, 2024, 4, 28, '2024-08-05 17:00:14', NULL, NULL), (64471, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 4, 29, '2024-08-05 17:00:14', NULL, NULL), (64472, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 2, 2024, 4, 29, '2024-08-05 17:00:14', NULL, NULL), (64473, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 3, 2024, 4, 29, '2024-08-05 17:00:14', NULL, NULL), (64474, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A11', '', 1, 2024, 4, 29, '2024-08-05 17:00:14', NULL, NULL), (64475, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 4, 29, '2024-08-05 17:00:14', NULL, NULL), (64476, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A09', '', 1, 2024, 4, 29, '2024-08-05 17:00:14', NULL, NULL), (64477, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 4, 29, '2024-08-05 17:00:14', NULL, NULL), (64478, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 4, 29, '2024-08-05 17:00:14', NULL, NULL), (64479, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 1, 2024, 4, 29, '2024-08-05 17:00:14', NULL, NULL), (64480, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A09', '', 1, 2024, 4, 29, '2024-08-05 17:00:14', NULL, NULL), (64481, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A11', '', 1, 2024, 4, 29, '2024-08-05 17:00:14', NULL, NULL), (64482, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 4, 29, '2024-08-05 17:00:14', NULL, NULL), (64483, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A09', '', 1, 2024, 4, 29, '2024-08-05 17:00:15', NULL, NULL), (64484, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A11', '', 1, 2024, 4, 29, '2024-08-05 17:00:15', NULL, NULL), (64485, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A09', '', 1, 2024, 4, 29, '2024-08-05 17:00:15', NULL, NULL), (64486, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A11', '', 1, 2024, 4, 29, '2024-08-05 17:00:15', NULL, NULL), (64487, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 5, 6, '2024-08-05 17:00:15', NULL, NULL), (64488, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 5, 6, '2024-08-05 17:00:15', NULL, NULL), (64489, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A11', '', 1, 2024, 5, 6, '2024-08-05 17:00:15', NULL, NULL), (64490, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 5, 6, '2024-08-05 17:00:15', NULL, NULL), (64491, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 5, 6, '2024-08-05 17:00:15', NULL, NULL), (64492, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A11', '', 1, 2024, 5, 6, '2024-08-05 17:00:15', NULL, NULL), (64493, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A11', '', 1, 2024, 5, 6, '2024-08-05 17:00:16', NULL, NULL), (64494, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A11', '', 1, 2024, 5, 6, '2024-08-05 17:00:16', NULL, NULL), (64495, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 5, 7, '2024-08-05 17:00:16', NULL, NULL), (64496, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 5, 7, '2024-08-05 17:00:16', NULL, NULL), (64497, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', '', '', 1, 2024, 5, 7, '2024-08-05 17:00:16', NULL, NULL), (64498, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 3, 2024, 5, 7, '2024-08-05 17:00:16', NULL, NULL), (64499, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A12', '', 1, 2024, 5, 7, '2024-08-05 17:00:16', NULL, NULL), (64500, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A05', '', 1, 2024, 5, 7, '2024-08-05 17:00:16', NULL, NULL), (64501, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 5, 7, '2024-08-05 17:00:16', NULL, NULL), (64502, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 5, 7, '2024-08-05 17:00:16', NULL, NULL), (64503, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', '', '', 1, 2024, 5, 7, '2024-08-05 17:00:16', NULL, NULL), (64504, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 5, 7, '2024-08-05 17:00:16', NULL, NULL), (64505, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A05', '', 1, 2024, 5, 7, '2024-08-05 17:00:16', NULL, NULL), (64506, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A12', '', 1, 2024, 5, 7, '2024-08-05 17:00:16', NULL, NULL), (64507, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A05', '', 1, 2024, 5, 7, '2024-08-05 17:00:16', NULL, NULL), (64508, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', 'A12', '', 1, 2024, 5, 7, '2024-08-05 17:00:16', NULL, NULL), (64509, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 5, 7, '2024-08-05 17:00:16', NULL, NULL), (64510, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A05', '', 1, 2024, 5, 7, '2024-08-05 17:00:16', NULL, NULL), (64511, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', 'A12', '', 1, 2024, 5, 7, '2024-08-05 17:00:16', NULL, NULL), (64512, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 5, 10, '2024-08-05 17:00:17', NULL, NULL), (64513, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 5, 10, '2024-08-05 17:00:17', NULL, NULL), (64514, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 5, 10, '2024-08-05 17:00:17', NULL, NULL), (64515, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A05', '', 1, 2024, 5, 10, '2024-08-05 17:00:17', NULL, NULL), (64516, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A07', '', 1, 2024, 5, 10, '2024-08-05 17:00:17', NULL, NULL), (64517, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 5, 10, '2024-08-05 17:00:17', NULL, NULL), (64518, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 5, 10, '2024-08-05 17:00:17', NULL, NULL), (64519, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 1, 2024, 5, 10, '2024-08-05 17:00:17', NULL, NULL), (64520, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A05', '', 1, 2024, 5, 10, '2024-08-05 17:00:17', NULL, NULL), (64521, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A07', '', 1, 2024, 5, 10, '2024-08-05 17:00:17', NULL, NULL), (64522, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A05', '', 1, 2024, 5, 10, '2024-08-05 17:00:17', NULL, NULL), (64523, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A07', '', 1, 2024, 5, 10, '2024-08-05 17:00:17', NULL, NULL), (64524, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A05', '', 1, 2024, 5, 10, '2024-08-05 17:00:17', NULL, NULL), (64525, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A07', '', 1, 2024, 5, 10, '2024-08-05 17:00:17', NULL, NULL), (64526, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 5, 14, '2024-08-05 17:00:18', NULL, NULL), (64527, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 5, 14, '2024-08-05 17:00:18', NULL, NULL), (64528, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A11', '', 1, 2024, 5, 14, '2024-08-05 17:00:18', NULL, NULL), (64529, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 5, 14, '2024-08-05 17:00:18', NULL, NULL), (64530, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 5, 14, '2024-08-05 17:00:18', NULL, NULL), (64531, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A11', '', 1, 2024, 5, 14, '2024-08-05 17:00:18', NULL, NULL), (64532, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A11', '', 1, 2024, 5, 14, '2024-08-05 17:00:18', NULL, NULL), (64533, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A11', '', 1, 2024, 5, 14, '2024-08-05 17:00:18', NULL, NULL), (64534, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 5, 15, '2024-08-05 17:00:18', NULL, NULL), (64535, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 5, 15, '2024-08-05 17:00:18', NULL, NULL), (64536, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A05', '', 1, 2024, 5, 15, '2024-08-05 17:00:18', NULL, NULL), (64537, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 5, 15, '2024-08-05 17:00:18', NULL, NULL), (64538, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 5, 15, '2024-08-05 17:00:18', NULL, NULL), (64539, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A05', '', 1, 2024, 5, 15, '2024-08-05 17:00:18', NULL, NULL), (64540, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A05', '', 1, 2024, 5, 15, '2024-08-05 17:00:18', NULL, NULL), (64541, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A05', '', 1, 2024, 5, 15, '2024-08-05 17:00:19', NULL, NULL), (64542, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 5, 16, '2024-08-05 17:00:19', NULL, NULL), (64543, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 5, 16, '2024-08-05 17:00:19', NULL, NULL), (64544, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A11', '', 1, 2024, 5, 16, '2024-08-05 17:00:19', NULL, NULL), (64545, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 5, 16, '2024-08-05 17:00:19', NULL, NULL), (64546, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 5, 16, '2024-08-05 17:00:19', NULL, NULL), (64547, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A11', '', 1, 2024, 5, 16, '2024-08-05 17:00:19', NULL, NULL), (64548, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A11', '', 1, 2024, 5, 16, '2024-08-05 17:00:19', NULL, NULL), (64549, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A11', '', 1, 2024, 5, 16, '2024-08-05 17:00:19', NULL, NULL), (64550, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 5, 21, '2024-08-05 17:00:19', NULL, NULL), (64551, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 5, 21, '2024-08-05 17:00:19', NULL, NULL), (64552, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 5, 21, '2024-08-05 17:00:20', NULL, NULL), (64553, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 5, 21, '2024-08-05 17:00:20', NULL, NULL), (64554, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 1, 2024, 5, 21, '2024-08-05 17:00:20', NULL, NULL), (64555, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A08', '', 1, 2024, 5, 21, '2024-08-05 17:00:20', NULL, NULL), (64556, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 5, 21, '2024-08-05 17:00:20', NULL, NULL), (64557, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A08', '', 1, 2024, 5, 21, '2024-08-05 17:00:20', NULL, NULL), (64558, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', '', '', 1, 2024, 5, 23, '2024-08-05 17:00:20', NULL, NULL), (64559, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 5, 23, '2024-08-05 17:00:20', NULL, NULL), (64560, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A12', '', 1, 2024, 5, 23, '2024-08-05 17:00:20', NULL, NULL), (64561, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', 'A12', '', 1, 2024, 5, 23, '2024-08-05 17:00:20', NULL, NULL), (64562, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 5, 28, '2024-08-05 17:00:21', NULL, NULL), (64563, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 5, 28, '2024-08-05 17:00:21', NULL, NULL), (64564, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A11', '', 1, 2024, 5, 28, '2024-08-05 17:00:21', NULL, NULL), (64565, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '满意', '', '', 1, 2024, 5, 28, '2024-08-05 17:00:21', NULL, NULL), (64566, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '满意', '', '', 1, 2024, 5, 28, '2024-08-05 17:00:21', NULL, NULL), (64567, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '满意', 'A11', '', 1, 2024, 5, 28, '2024-08-05 17:00:21', NULL, NULL), (64568, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A11', '', 1, 2024, 5, 28, '2024-08-05 17:00:21', NULL, NULL), (64569, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '满意', 'A11', '', 1, 2024, 5, 28, '2024-08-05 17:00:21', NULL, NULL), (64570, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 6, 5, '2024-08-05 17:00:21', NULL, NULL), (64571, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 6, 5, '2024-08-05 17:00:21', NULL, NULL), (64572, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A11', '', 1, 2024, 6, 5, '2024-08-05 17:00:21', NULL, NULL), (64573, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 6, 5, '2024-08-05 17:00:21', NULL, NULL), (64574, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 6, 5, '2024-08-05 17:00:21', NULL, NULL), (64575, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A11', '', 1, 2024, 6, 5, '2024-08-05 17:00:21', NULL, NULL), (64576, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A11', '', 1, 2024, 6, 5, '2024-08-05 17:00:21', NULL, NULL), (64577, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A11', '', 1, 2024, 6, 5, '2024-08-05 17:00:21', NULL, NULL), (64578, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 6, 6, '2024-08-05 17:00:21', NULL, NULL), (64579, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 6, 6, '2024-08-05 17:00:21', NULL, NULL), (64580, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 6, 6, '2024-08-05 17:00:21', NULL, NULL), (64581, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 6, 6, '2024-08-05 17:00:21', NULL, NULL), (64582, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 6, 13, '2024-08-05 17:00:21', NULL, NULL), (64583, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 6, 13, '2024-08-05 17:00:21', NULL, NULL), (64584, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A05', '', 1, 2024, 6, 13, '2024-08-05 17:00:21', NULL, NULL), (64585, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A05', '', 1, 2024, 6, 13, '2024-08-05 17:00:21', NULL, NULL), (64586, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', '', '', 1, 2024, 6, 14, '2024-08-05 17:00:21', NULL, NULL), (64587, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 6, 14, '2024-08-05 17:00:21', NULL, NULL), (64588, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A12', '', 1, 2024, 6, 14, '2024-08-05 17:00:21', NULL, NULL), (64589, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '基本满意', '', '', 1, 2024, 6, 14, '2024-08-05 17:00:21', NULL, NULL), (64590, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '基本满意', '', '', 1, 2024, 6, 14, '2024-08-05 17:00:22', NULL, NULL), (64591, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '基本满意', 'A12', '', 1, 2024, 6, 14, '2024-08-05 17:00:22', NULL, NULL), (64592, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', 'A12', '', 1, 2024, 6, 14, '2024-08-05 17:00:22', NULL, NULL), (64593, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '基本满意', 'A12', '', 1, 2024, 6, 14, '2024-08-05 17:00:22', NULL, NULL), (64594, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 6, 18, '2024-08-05 17:00:22', NULL, NULL), (64595, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 6, 18, '2024-08-05 17:00:22', NULL, NULL), (64596, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 2, 2024, 6, 18, '2024-08-05 17:00:22', NULL, NULL), (64597, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A03', '', 1, 2024, 6, 18, '2024-08-05 17:00:22', NULL, NULL), (64598, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 6, 18, '2024-08-05 17:00:22', NULL, NULL), (64599, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 6, 18, '2024-08-05 17:00:22', NULL, NULL), (64600, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 6, 18, '2024-08-05 17:00:22', NULL, NULL), (64601, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A03', '', 1, 2024, 6, 18, '2024-08-05 17:00:22', NULL, NULL), (64602, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A03', '', 1, 2024, 6, 18, '2024-08-05 17:00:22', NULL, NULL), (64603, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 6, 18, '2024-08-05 17:00:22', NULL, NULL), (64604, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A03', '', 1, 2024, 6, 18, '2024-08-05 17:00:22', NULL, NULL), (64605, 24, '511534000000-0001', '宜宾高新区政企服务中心', '燃气部门', '', '', '', 1, 2024, 6, 19, '2024-08-05 17:00:22', NULL, NULL), (64606, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 6, 19, '2024-08-05 17:00:22', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (64607, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A01', '', 1, 2024, 6, 19, '2024-08-05 17:00:22', NULL, NULL), (64608, 24, '511534000000-0001', '宜宾高新区政企服务中心', '燃气部门', '', 'A01', '', 1, 2024, 6, 19, '2024-08-05 17:00:22', NULL, NULL), (64609, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 6, 21, '2024-08-05 17:00:22', NULL, NULL), (64610, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 6, 21, '2024-08-05 17:00:22', NULL, NULL), (64611, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 6, 21, '2024-08-05 17:00:22', NULL, NULL), (64612, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 6, 21, '2024-08-05 17:00:22', NULL, NULL), (64613, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', '', '', 1, 2024, 6, 25, '2024-08-05 17:00:22', NULL, NULL), (64614, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 6, 25, '2024-08-05 17:00:22', NULL, NULL), (64615, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A13', '', 1, 2024, 6, 25, '2024-08-05 17:00:22', NULL, NULL), (64616, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 6, 25, '2024-08-05 17:00:22', NULL, NULL), (64617, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', '', '', 1, 2024, 6, 25, '2024-08-05 17:00:22', NULL, NULL), (64618, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A13', '', 1, 2024, 6, 25, '2024-08-05 17:00:22', NULL, NULL), (64619, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', 'A13', '', 1, 2024, 6, 25, '2024-08-05 17:00:22', NULL, NULL), (64620, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', 'A13', '', 1, 2024, 6, 25, '2024-08-05 17:00:22', NULL, NULL), (64621, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 6, 26, '2024-08-05 17:00:22', NULL, NULL), (64622, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 6, 26, '2024-08-05 17:00:22', NULL, NULL), (64623, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 6, 26, '2024-08-05 17:00:22', NULL, NULL), (64624, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 6, 26, '2024-08-05 17:00:22', NULL, NULL), (64625, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 1, 2024, 6, 26, '2024-08-05 17:00:22', NULL, NULL), (64626, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A08', '', 1, 2024, 6, 26, '2024-08-05 17:00:22', NULL, NULL), (64627, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 6, 26, '2024-08-05 17:00:22', NULL, NULL), (64628, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A08', '', 1, 2024, 6, 26, '2024-08-05 17:00:22', NULL, NULL), (64629, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 6, 27, '2024-08-05 17:00:22', NULL, NULL), (64630, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 6, 27, '2024-08-05 17:00:22', NULL, NULL), (64631, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A11', '', 1, 2024, 6, 27, '2024-08-05 17:00:22', NULL, NULL), (64632, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 6, 27, '2024-08-05 17:00:22', NULL, NULL), (64633, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 6, 27, '2024-08-05 17:00:22', NULL, NULL), (64634, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A11', '', 1, 2024, 6, 27, '2024-08-05 17:00:22', NULL, NULL), (64635, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A11', '', 1, 2024, 6, 27, '2024-08-05 17:00:22', NULL, NULL), (64636, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A11', '', 1, 2024, 6, 27, '2024-08-05 17:00:22', NULL, NULL), (64637, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64638, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', '', '', 7, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64639, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 8, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64640, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A12', '', 7, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64641, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64642, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '满意', '', '', 4, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64643, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 3, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64644, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '基本满意', '', '', 1, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64645, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', '', '', 2, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64646, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '满意', '', '', 4, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64647, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '基本满意', '', '', 1, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64648, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 1, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64649, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A08', '', 1, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64650, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A12', '', 2, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64651, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '满意', 'A12', '', 4, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64652, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '基本满意', 'A12', '', 1, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64653, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', 'A12', '', 7, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64654, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64655, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '基本满意', 'A12', '', 1, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64656, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A08', '', 1, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64657, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '满意', 'A12', '', 4, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64658, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', 'A12', '', 2, 2024, 6, 28, '2024-08-05 17:00:22', NULL, NULL), (64659, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 7, 1, '2024-08-05 17:00:23', NULL, NULL), (64660, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 7, 1, '2024-08-05 17:00:23', NULL, NULL), (64661, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 7, 1, '2024-08-05 17:00:23', NULL, NULL), (64662, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 7, 1, '2024-08-05 17:00:23', NULL, NULL), (64663, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', '', '', 2, 2024, 7, 3, '2024-08-05 17:00:23', NULL, NULL), (64664, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 2, 2024, 7, 3, '2024-08-05 17:00:23', NULL, NULL), (64665, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A13', '', 2, 2024, 7, 3, '2024-08-05 17:00:23', NULL, NULL), (64666, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 7, 3, '2024-08-05 17:00:23', NULL, NULL), (64667, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', '', '', 2, 2024, 7, 3, '2024-08-05 17:00:23', NULL, NULL), (64668, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A13', '', 2, 2024, 7, 3, '2024-08-05 17:00:23', NULL, NULL), (64669, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', 'A13', '', 2, 2024, 7, 3, '2024-08-05 17:00:23', NULL, NULL), (64670, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', 'A13', '', 2, 2024, 7, 3, '2024-08-05 17:00:23', NULL, NULL), (64671, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 7, 8, '2024-08-05 17:00:23', NULL, NULL), (64672, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 7, 8, '2024-08-05 17:00:23', NULL, NULL), (64673, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 7, 8, '2024-08-05 17:00:23', NULL, NULL), (64674, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '不满意', '', '', 1, 2024, 7, 8, '2024-08-05 17:00:23', NULL, NULL), (64675, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '不满意', '', '', 1, 2024, 7, 8, '2024-08-05 17:00:23', NULL, NULL), (64676, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '不满意', 'A08', '', 1, 2024, 7, 8, '2024-08-05 17:00:23', NULL, NULL), (64677, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 7, 8, '2024-08-05 17:00:23', NULL, NULL), (64678, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '不满意', 'A08', '', 1, 2024, 7, 8, '2024-08-05 17:00:23', NULL, NULL), (64679, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 7, 24, '2024-08-05 17:00:23', NULL, NULL), (64680, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 7, 24, '2024-08-05 17:00:23', NULL, NULL), (64681, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 7, 24, '2024-08-05 17:00:23', NULL, NULL), (64682, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 7, 24, '2024-08-05 17:00:23', NULL, NULL), (64683, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 1, 2024, 7, 24, '2024-08-05 17:00:23', NULL, NULL), (64684, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A08', '', 1, 2024, 7, 24, '2024-08-05 17:00:23', NULL, NULL), (64685, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 7, 24, '2024-08-05 17:00:23', NULL, NULL), (64686, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A08', '', 1, 2024, 7, 24, '2024-08-05 17:00:23', NULL, NULL), (64687, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 7, 26, '2024-08-05 17:00:23', NULL, NULL), (64688, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', '', '', 1, 2024, 7, 26, '2024-08-05 17:00:23', NULL, NULL), (64689, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 2, 2024, 7, 26, '2024-08-05 17:00:23', NULL, NULL), (64690, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A11', '', 1, 2024, 7, 26, '2024-08-05 17:00:23', NULL, NULL), (64691, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A12', '', 1, 2024, 7, 26, '2024-08-05 17:00:23', NULL, NULL), (64692, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '满意', '', '', 1, 2024, 7, 26, '2024-08-05 17:00:23', NULL, NULL), (64693, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 7, 26, '2024-08-05 17:00:23', NULL, NULL), (64694, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '满意', '', '', 1, 2024, 7, 26, '2024-08-05 17:00:23', NULL, NULL), (64695, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 7, 26, '2024-08-05 17:00:23', NULL, NULL), (64696, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A11', '', 1, 2024, 7, 26, '2024-08-05 17:00:23', NULL, NULL), (64697, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '满意', 'A12', '', 1, 2024, 7, 26, '2024-08-05 17:00:23', NULL, NULL), (64698, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', 'A12', '', 1, 2024, 7, 26, '2024-08-05 17:00:23', NULL, NULL), (64699, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A11', '', 1, 2024, 7, 26, '2024-08-05 17:00:23', NULL, NULL), (64700, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A11', '', 1, 2024, 7, 26, '2024-08-05 17:00:24', NULL, NULL), (64701, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '满意', 'A12', '', 1, 2024, 7, 26, '2024-08-05 17:00:24', NULL, NULL), (64702, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 7, 30, '2024-08-05 17:00:24', NULL, NULL), (64703, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 7, 30, '2024-08-05 17:00:24', NULL, NULL), (64704, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 7, 30, '2024-08-05 17:00:24', NULL, NULL), (64705, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 7, 30, '2024-08-05 17:00:24', NULL, NULL), (64706, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', '', '', 1, 2024, 7, 30, '2024-08-05 17:00:24', NULL, NULL), (64707, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A08', '', 1, 2024, 7, 30, '2024-08-05 17:00:24', NULL, NULL), (64708, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 7, 30, '2024-08-05 17:00:24', NULL, NULL), (64709, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '非常满意', 'A08', '', 1, 2024, 7, 30, '2024-08-05 17:00:24', NULL, NULL), (64710, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 7, 31, '2024-08-05 17:00:24', NULL, NULL), (64711, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', '', '', 1, 2024, 7, 31, '2024-08-05 17:00:24', NULL, NULL), (64712, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 2, 2024, 7, 31, '2024-08-05 17:00:24', NULL, NULL), (64713, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 2, 2024, 7, 31, '2024-08-05 17:00:24', NULL, NULL), (64714, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', '', '', 1, 2024, 7, 31, '2024-08-05 17:00:24', NULL, NULL), (64715, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 7, 31, '2024-08-05 17:00:24', NULL, NULL), (64716, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 17:14:22', NULL, NULL), (64717, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 17:14:22', NULL, NULL), (64718, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 17:14:22', NULL, NULL), (64719, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 17:14:22', NULL, NULL), (64720, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 17:14:22', NULL, NULL), (64721, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 17:14:22', NULL, NULL), (64722, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 17:14:22', NULL, NULL), (64723, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 17:14:22', NULL, NULL), (64724, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 17:14:22', NULL, NULL), (64725, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 17:14:23', NULL, NULL), (64726, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 17:14:23', NULL, NULL), (64727, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 17:14:23', NULL, NULL), (64728, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 17:14:23', NULL, NULL), (64729, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 17:14:23', NULL, NULL), (64730, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 17:14:23', NULL, NULL), (64731, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 17:14:23', NULL, NULL), (64732, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 17:14:23', NULL, NULL), (64733, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 17:14:23', NULL, NULL), (64734, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 17:14:23', NULL, NULL), (64735, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 17:14:23', NULL, NULL), (64736, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 17:14:23', NULL, NULL), (64737, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 17:14:23', NULL, NULL), (64738, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 17:14:23', NULL, NULL), (64739, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 17:14:23', NULL, NULL), (64740, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 17:14:23', NULL, NULL), (64741, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 17:14:23', NULL, NULL), (64742, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 17:14:23', NULL, NULL), (64743, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 17:14:23', NULL, NULL), (64744, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 17:14:23', NULL, NULL), (64745, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 17:14:23', NULL, NULL), (64746, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 17:14:23', NULL, NULL), (64747, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 17:14:23', NULL, NULL), (64748, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 17:14:23', NULL, NULL), (64749, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 17:14:23', NULL, NULL), (64750, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 17:14:23', NULL, NULL), (64751, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 17:14:23', NULL, NULL), (64752, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 17:14:23', NULL, NULL), (64753, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 17:14:23', NULL, NULL), (64754, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 17:14:23', NULL, NULL), (64755, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 17:14:23', NULL, NULL), (64756, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 17:14:23', NULL, NULL), (64757, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 17:14:23', NULL, NULL), (64758, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 17:14:23', NULL, NULL), (64759, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 17:14:23', NULL, NULL), (64760, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 17:14:23', NULL, NULL), (64761, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 17:14:23', NULL, NULL), (64762, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 17:14:23', NULL, NULL), (64763, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 17:14:23', NULL, NULL), (64764, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 17:14:23', NULL, NULL), (64765, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 17:14:23', NULL, NULL), (64766, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 17:14:23', NULL, NULL), (64767, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 17:14:23', NULL, NULL), (64768, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 17:14:23', NULL, NULL), (64769, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 17:14:23', NULL, NULL), (64770, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 17:14:23', NULL, NULL), (64771, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 17:14:23', NULL, NULL), (64772, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 17:14:23', NULL, NULL), (64773, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 17:14:23', NULL, NULL), (64774, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 17:14:23', NULL, NULL), (64775, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 17:14:23', NULL, NULL), (64776, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 17:14:23', NULL, NULL), (64777, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 17:14:23', NULL, NULL), (64778, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 17:14:23', NULL, NULL), (64779, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 17:14:23', NULL, NULL), (64780, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 17:14:23', NULL, NULL), (64781, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 17:14:23', NULL, NULL), (64782, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 17:14:23', NULL, NULL), (64783, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 17:14:23', NULL, NULL), (64784, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 17:14:23', NULL, NULL), (64785, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 17:14:23', NULL, NULL), (64786, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 17:14:23', NULL, NULL), (64787, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 17:14:23', NULL, NULL), (64788, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 17:14:23', NULL, NULL), (64789, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 17:14:23', NULL, NULL), (64790, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 17:14:23', NULL, NULL), (64791, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 17:14:23', NULL, NULL), (64792, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 17:14:23', NULL, NULL), (64793, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 17:14:23', NULL, NULL), (64794, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 17:14:23', NULL, NULL), (64795, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 17:14:23', NULL, NULL), (64796, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 17:14:23', NULL, NULL), (64797, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 17:14:23', NULL, NULL), (64798, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 17:14:23', NULL, NULL), (64799, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 17:14:23', NULL, NULL), (64800, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 17:14:23', NULL, NULL), (64801, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 17:14:23', NULL, NULL), (64802, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 17:14:23', NULL, NULL), (64803, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 17:14:23', NULL, NULL), (64804, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 17:14:23', NULL, NULL), (64805, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 17:14:23', NULL, NULL), (64806, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 17:14:23', NULL, NULL), (64807, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 17:14:23', NULL, NULL), (64808, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 17:14:23', NULL, NULL), (64809, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 17:14:23', NULL, NULL), (64810, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 17:14:23', NULL, NULL), (64811, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 17:14:23', NULL, NULL), (64812, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 17:14:23', NULL, NULL), (64813, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 17:14:23', NULL, NULL), (64814, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 17:14:23', NULL, NULL), (64815, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 17:14:23', NULL, NULL), (64816, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 17:14:23', NULL, NULL), (64817, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 17:14:23', NULL, NULL), (64818, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 17:14:24', NULL, NULL), (64819, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 17:14:24', NULL, NULL), (64820, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 17:14:24', NULL, NULL), (64821, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 17:14:24', NULL, NULL), (64822, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 17:14:24', NULL, NULL), (64823, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 17:14:24', NULL, NULL), (64824, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 17:14:24', NULL, NULL), (64825, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 17:14:24', NULL, NULL), (64826, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 17:14:24', NULL, NULL), (64827, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 17:14:24', NULL, NULL), (64828, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 17:14:24', NULL, NULL), (64829, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 17:14:24', NULL, NULL), (64830, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 17:14:24', NULL, NULL), (64831, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 17:14:24', NULL, NULL), (64832, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 17:14:24', NULL, NULL), (64833, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 17:14:24', NULL, NULL), (64834, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 17:14:24', NULL, NULL), (64835, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 17:14:24', NULL, NULL), (64836, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 17:14:24', NULL, NULL), (64837, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 17:14:24', NULL, NULL), (64838, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 17:14:24', NULL, NULL), (64839, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 17:14:24', NULL, NULL), (64840, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 17:14:24', NULL, NULL), (64841, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 17:14:24', NULL, NULL), (64842, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 17:14:24', NULL, NULL), (64843, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 17:14:24', NULL, NULL), (64844, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 17:14:24', NULL, NULL), (64845, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 17:14:24', NULL, NULL), (64846, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 17:14:24', NULL, NULL), (64847, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 17:14:24', NULL, NULL), (64848, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 17:14:24', NULL, NULL), (64849, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 17:14:24', NULL, NULL), (64850, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 17:14:24', NULL, NULL), (64851, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 17:14:24', NULL, NULL), (64852, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 17:14:24', NULL, NULL), (64853, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 17:14:24', NULL, NULL), (64854, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 17:14:24', NULL, NULL), (64855, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 17:14:24', NULL, NULL), (64856, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 17:14:24', NULL, NULL), (64857, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 17:14:24', NULL, NULL), (64858, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 17:14:24', NULL, NULL), (64859, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 17:14:24', NULL, NULL), (64860, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 17:14:24', NULL, NULL), (64861, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 17:14:24', NULL, NULL), (64862, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 17:14:24', NULL, NULL), (64863, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 17:14:24', NULL, NULL), (64864, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 17:14:24', NULL, NULL), (64865, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 17:14:24', NULL, NULL), (64866, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 17:14:24', NULL, NULL), (64867, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 17:14:24', NULL, NULL), (64868, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 17:14:24', NULL, NULL), (64869, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 17:14:24', NULL, NULL), (64870, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 17:14:24', NULL, NULL), (64871, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 17:14:24', NULL, NULL), (64872, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 17:14:24', NULL, NULL), (64873, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 17:14:24', NULL, NULL), (64874, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 17:14:24', NULL, NULL), (64875, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 17:14:24', NULL, NULL), (64876, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 17:14:24', NULL, NULL), (64877, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 17:14:24', NULL, NULL), (64878, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 17:14:24', NULL, NULL), (64879, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 17:14:24', NULL, NULL), (64880, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 17:14:24', NULL, NULL), (64881, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 17:14:24', NULL, NULL), (64882, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 17:14:24', NULL, NULL), (64883, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 17:14:24', NULL, NULL), (64884, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 17:14:24', NULL, NULL), (64885, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 17:14:24', NULL, NULL), (64886, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 17:14:24', NULL, NULL), (64887, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 17:14:24', NULL, NULL), (64888, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 17:14:24', NULL, NULL), (64889, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 17:14:24', NULL, NULL), (64890, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 17:14:24', NULL, NULL), (64891, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 17:14:24', NULL, NULL), (64892, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 17:14:24', NULL, NULL), (64893, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 17:14:24', NULL, NULL), (64894, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 17:14:24', NULL, NULL), (64895, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 17:14:24', NULL, NULL), (64896, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 17:14:24', NULL, NULL), (64897, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 17:14:24', NULL, NULL), (64898, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 17:14:24', NULL, NULL), (64899, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 17:14:24', NULL, NULL), (64900, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 17:14:24', NULL, NULL), (64901, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 17:14:25', NULL, NULL), (64902, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 17:14:25', NULL, NULL), (64903, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 17:14:25', NULL, NULL), (64904, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 17:14:25', NULL, NULL), (64905, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 17:14:25', NULL, NULL), (64906, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 17:14:25', NULL, NULL), (64907, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 17:14:25', NULL, NULL), (64908, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 17:14:25', NULL, NULL), (64909, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 17:14:25', NULL, NULL), (64910, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 17:14:25', NULL, NULL), (64911, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 17:14:25', NULL, NULL), (64912, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 17:14:25', NULL, NULL), (64913, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 17:14:25', NULL, NULL), (64914, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 17:14:25', NULL, NULL), (64915, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 17:14:25', NULL, NULL), (64916, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 17:14:25', NULL, NULL), (64917, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 17:14:25', NULL, NULL), (64918, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 17:14:25', NULL, NULL), (64919, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 17:14:25', NULL, NULL), (64920, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 17:14:25', NULL, NULL), (64921, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 17:14:25', NULL, NULL), (64922, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 17:14:25', NULL, NULL), (64923, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 17:14:25', NULL, NULL), (64924, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 17:14:25', NULL, NULL), (64925, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 17:14:25', NULL, NULL), (64926, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 17:14:25', NULL, NULL), (64927, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 17:14:25', NULL, NULL), (64928, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 17:14:25', NULL, NULL), (64929, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 17:14:25', NULL, NULL), (64930, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 17:14:25', NULL, NULL), (64931, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 17:14:25', NULL, NULL), (64932, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 17:14:25', NULL, NULL), (64933, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 17:14:25', NULL, NULL), (64934, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 17:14:25', NULL, NULL), (64935, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 17:14:25', NULL, NULL), (64936, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 17:14:25', NULL, NULL), (64937, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 17:14:25', NULL, NULL), (64938, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 17:14:25', NULL, NULL), (64939, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 17:14:25', NULL, NULL), (64940, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 17:14:25', NULL, NULL), (64941, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 17:14:25', NULL, NULL), (64942, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 17:14:25', NULL, NULL), (64943, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 17:14:25', NULL, NULL), (64944, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 17:14:25', NULL, NULL), (64945, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 17:14:25', NULL, NULL), (64946, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 17:14:25', NULL, NULL), (64947, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 17:14:25', NULL, NULL), (64948, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 17:14:25', NULL, NULL), (64949, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 17:14:25', NULL, NULL), (64950, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 17:14:25', NULL, NULL), (64951, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 17:14:25', NULL, NULL), (64952, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 17:14:25', NULL, NULL), (64953, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 17:14:25', NULL, NULL), (64954, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 17:14:25', NULL, NULL), (64955, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 17:14:25', NULL, NULL), (64956, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 17:14:25', NULL, NULL), (64957, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 17:14:25', NULL, NULL), (64958, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 17:14:25', NULL, NULL), (64959, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 17:14:25', NULL, NULL), (64960, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 17:14:25', NULL, NULL), (64961, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 17:14:25', NULL, NULL), (64962, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 17:14:25', NULL, NULL), (64963, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 17:14:25', NULL, NULL), (64964, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 17:14:25', NULL, NULL), (64965, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 17:14:25', NULL, NULL), (64966, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 17:14:25', NULL, NULL), (64967, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 17:14:25', NULL, NULL), (64968, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 17:14:25', NULL, NULL), (64969, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 17:14:25', NULL, NULL), (64970, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 17:14:25', NULL, NULL), (64971, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 17:14:25', NULL, NULL), (64972, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 17:14:25', NULL, NULL), (64973, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 17:14:25', NULL, NULL), (64974, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 17:14:25', NULL, NULL), (64975, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 17:14:25', NULL, NULL), (64976, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 17:14:25', NULL, NULL), (64977, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 17:14:25', NULL, NULL), (64978, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 17:14:25', NULL, NULL), (64979, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 17:14:25', NULL, NULL), (64980, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 17:14:25', NULL, NULL), (64981, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 17:14:25', NULL, NULL), (64982, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 17:14:25', NULL, NULL), (64983, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 17:14:25', NULL, NULL), (64984, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 17:14:25', NULL, NULL), (64985, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 17:14:25', NULL, NULL), (64986, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 17:14:25', NULL, NULL), (64987, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 17:14:25', NULL, NULL), (64988, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 17:14:25', NULL, NULL), (64989, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 17:14:25', NULL, NULL), (64990, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 17:14:25', NULL, NULL), (64991, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 17:14:25', NULL, NULL), (64992, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 17:14:25', NULL, NULL), (64993, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 17:14:25', NULL, NULL), (64994, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 17:14:25', NULL, NULL), (64995, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 17:14:25', NULL, NULL), (64996, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 17:14:25', NULL, NULL), (64997, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 17:14:25', NULL, NULL), (64998, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 17:14:25', NULL, NULL), (64999, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 17:14:25', NULL, NULL), (65000, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 17:14:25', NULL, NULL), (65001, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 17:14:25', NULL, NULL), (65002, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 17:14:25', NULL, NULL), (65003, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 17:14:25', NULL, NULL), (65004, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 17:14:25', NULL, NULL), (65005, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 17:14:25', NULL, NULL), (65006, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 17:14:25', NULL, NULL), (65007, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 17:14:25', NULL, NULL), (65008, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 17:14:25', NULL, NULL), (65009, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 17:14:25', NULL, NULL), (65010, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 17:14:25', NULL, NULL), (65011, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 17:14:25', NULL, NULL), (65012, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 17:14:25', NULL, NULL), (65013, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 17:14:25', NULL, NULL), (65014, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 17:14:25', NULL, NULL), (65015, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 17:14:25', NULL, NULL), (65016, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 17:14:25', NULL, NULL), (65017, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 17:14:25', NULL, NULL), (65018, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 17:14:25', NULL, NULL), (65019, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 17:14:25', NULL, NULL), (65020, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 17:14:25', NULL, NULL), (65021, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 17:14:26', NULL, NULL), (65022, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 17:14:26', NULL, NULL), (65023, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 17:14:26', NULL, NULL), (65024, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 17:14:26', NULL, NULL), (65025, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 17:14:26', NULL, NULL), (65026, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 17:14:26', NULL, NULL), (65027, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 17:14:26', NULL, NULL), (65028, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 17:14:26', NULL, NULL), (65029, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 17:14:26', NULL, NULL), (65030, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 17:14:26', NULL, NULL), (65031, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 17:14:26', NULL, NULL), (65032, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 17:14:26', NULL, NULL), (65033, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 17:14:26', NULL, NULL), (65034, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 17:14:26', NULL, NULL), (65035, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 17:14:26', NULL, NULL), (65036, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 17:14:26', NULL, NULL), (65037, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 17:14:26', NULL, NULL), (65038, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 17:14:26', NULL, NULL), (65039, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 17:14:26', NULL, NULL), (65040, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 17:14:26', NULL, NULL), (65041, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 17:14:26', NULL, NULL), (65042, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 17:14:26', NULL, NULL), (65043, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 17:14:26', NULL, NULL), (65044, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 17:14:26', NULL, NULL), (65045, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 17:14:26', NULL, NULL), (65046, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 17:14:26', NULL, NULL), (65047, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 17:14:26', NULL, NULL), (65048, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 17:14:26', NULL, NULL), (65049, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 17:14:26', NULL, NULL), (65050, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 17:14:26', NULL, NULL), (65051, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 17:14:26', NULL, NULL), (65052, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 17:14:26', NULL, NULL), (65053, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 17:14:26', NULL, NULL), (65054, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 17:14:26', NULL, NULL), (65055, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 17:14:26', NULL, NULL), (65056, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 17:14:26', NULL, NULL), (65057, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 17:14:26', NULL, NULL), (65058, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 17:14:26', NULL, NULL), (65059, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 17:14:26', NULL, NULL), (65060, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 17:14:26', NULL, NULL), (65061, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 17:14:26', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (65062, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 17:14:26', NULL, NULL), (65063, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 17:14:26', NULL, NULL), (65064, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 17:14:26', NULL, NULL), (65065, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 17:14:26', NULL, NULL), (65066, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 17:14:26', NULL, NULL), (65067, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 17:14:26', NULL, NULL), (65068, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 17:14:26', NULL, NULL), (65069, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 17:14:26', NULL, NULL), (65070, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 17:14:26', NULL, NULL), (65071, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 17:14:26', NULL, NULL), (65072, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 17:14:26', NULL, NULL), (65073, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 17:14:26', NULL, NULL), (65074, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 17:14:26', NULL, NULL), (65075, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 17:14:26', NULL, NULL), (65076, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 17:14:26', NULL, NULL), (65077, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 17:14:26', NULL, NULL), (65078, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 17:14:26', NULL, NULL), (65079, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 17:14:26', NULL, NULL), (65080, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 17:14:26', NULL, NULL), (65081, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 17:14:26', NULL, NULL), (65082, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 17:14:26', NULL, NULL), (65083, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 17:14:26', NULL, NULL), (65084, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 17:14:26', NULL, NULL), (65085, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 17:14:26', NULL, NULL), (65086, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 17:14:26', NULL, NULL), (65087, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 17:14:26', NULL, NULL), (65088, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 17:14:26', NULL, NULL), (65089, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 17:14:26', NULL, NULL), (65090, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 17:14:26', NULL, NULL), (65091, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 17:14:26', NULL, NULL), (65092, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 17:14:26', NULL, NULL), (65093, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 17:14:26', NULL, NULL), (65094, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 17:14:26', NULL, NULL), (65095, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 17:14:26', NULL, NULL), (65096, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 17:14:26', NULL, NULL), (65097, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 17:14:26', NULL, NULL), (65098, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 17:14:26', NULL, NULL), (65099, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 17:14:26', NULL, NULL), (65100, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 17:14:26', NULL, NULL), (65101, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 17:14:26', NULL, NULL), (65102, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 17:14:26', NULL, NULL), (65103, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 17:14:26', NULL, NULL), (65104, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 17:14:26', NULL, NULL), (65105, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 17:14:27', NULL, NULL), (65106, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 17:14:27', NULL, NULL), (65107, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 17:14:27', NULL, NULL), (65108, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 17:14:27', NULL, NULL), (65109, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 17:14:27', NULL, NULL), (65110, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 17:14:27', NULL, NULL), (65111, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 17:14:27', NULL, NULL), (65112, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 17:14:27', NULL, NULL), (65113, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 17:14:27', NULL, NULL), (65114, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 17:14:27', NULL, NULL), (65115, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 17:14:27', NULL, NULL), (65116, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 17:14:27', NULL, NULL), (65117, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 17:14:27', NULL, NULL), (65118, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 17:14:27', NULL, NULL), (65119, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 17:14:27', NULL, NULL), (65120, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 17:14:27', NULL, NULL), (65121, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 17:14:27', NULL, NULL), (65122, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 17:14:27', NULL, NULL), (65123, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 17:14:27', NULL, NULL), (65124, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 17:14:27', NULL, NULL), (65125, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 17:14:27', NULL, NULL), (65126, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 17:14:27', NULL, NULL), (65127, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 17:14:27', NULL, NULL), (65128, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 17:14:27', NULL, NULL), (65129, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 17:14:27', NULL, NULL), (65130, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 17:14:27', NULL, NULL), (65131, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 17:14:27', NULL, NULL), (65132, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 17:14:27', NULL, NULL), (65133, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 17:14:27', NULL, NULL), (65134, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 17:14:27', NULL, NULL), (65135, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 17:14:27', NULL, NULL), (65136, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 17:14:27', NULL, NULL), (65137, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 17:14:27', NULL, NULL), (65138, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 17:14:27', NULL, NULL), (65139, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 17:14:27', NULL, NULL), (65140, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 17:14:27', NULL, NULL), (65141, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 17:14:27', NULL, NULL), (65142, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 17:14:27', NULL, NULL), (65143, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 17:14:27', NULL, NULL), (65144, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 17:14:27', NULL, NULL), (65145, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 17:14:27', NULL, NULL), (65146, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 17:14:27', NULL, NULL), (65147, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 17:14:27', NULL, NULL), (65148, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 17:14:27', NULL, NULL), (65149, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 17:14:27', NULL, NULL), (65150, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 17:14:27', NULL, NULL), (65151, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 17:14:27', NULL, NULL), (65152, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 17:14:27', NULL, NULL), (65153, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 17:14:27', NULL, NULL), (65154, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 17:14:27', NULL, NULL), (65155, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 17:14:27', NULL, NULL), (65156, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 17:14:27', NULL, NULL), (65157, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 17:14:27', NULL, NULL), (65158, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 17:14:27', NULL, NULL), (65159, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 17:14:27', NULL, NULL), (65160, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 17:14:27', NULL, NULL), (65161, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 17:14:27', NULL, NULL), (65162, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 17:14:27', NULL, NULL), (65163, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 17:14:27', NULL, NULL), (65164, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 17:14:27', NULL, NULL), (65165, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 17:14:27', NULL, NULL), (65166, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 17:14:27', NULL, NULL), (65167, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 17:14:27', NULL, NULL), (65168, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 17:14:27', NULL, NULL), (65169, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 17:14:27', NULL, NULL), (65170, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 17:14:27', NULL, NULL), (65171, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 17:14:27', NULL, NULL), (65172, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 17:14:27', NULL, NULL), (65173, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 17:14:28', NULL, NULL), (65174, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 17:14:28', NULL, NULL), (65175, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 17:14:28', NULL, NULL), (65176, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 17:14:28', NULL, NULL), (65177, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 17:14:28', NULL, NULL), (65178, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 17:14:28', NULL, NULL), (65179, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 17:14:28', NULL, NULL), (65180, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 17:14:28', NULL, NULL), (65181, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 17:14:28', NULL, NULL), (65182, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 6, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65183, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 4, 2024, 4, 12, '2024-08-05 17:14:28', NULL, NULL), (65184, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 17:14:28', NULL, NULL), (65185, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 17:14:28', NULL, NULL), (65186, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 5, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65187, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 2, 2024, 4, 16, '2024-08-05 17:14:28', NULL, NULL), (65188, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 8, 2024, 4, 17, '2024-08-05 17:14:28', NULL, NULL), (65189, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1, 2024, 4, 18, '2024-08-05 17:14:29', NULL, NULL), (65190, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 17:14:29', NULL, NULL), (65191, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 17:14:29', NULL, NULL), (65192, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 17:14:29', NULL, NULL), (65193, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1, 2024, 4, 22, '2024-08-05 17:14:29', NULL, NULL), (65194, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 3, 2024, 4, 23, '2024-08-05 17:14:29', NULL, NULL), (65195, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 4, 2024, 4, 24, '2024-08-05 17:14:29', NULL, NULL), (65196, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 6, 2024, 4, 25, '2024-08-05 17:14:29', NULL, NULL), (65197, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 17, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65198, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 17:14:30', NULL, NULL), (65199, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 3, 2024, 4, 28, '2024-08-05 17:14:30', NULL, NULL), (65200, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 9, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65201, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 3, 2024, 4, 30, '2024-08-05 17:14:30', NULL, NULL), (65202, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 17:14:31', NULL, NULL), (65203, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 17:14:31', NULL, NULL), (65204, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 17:14:31', NULL, NULL), (65205, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 17:14:31', NULL, NULL), (65206, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 17:14:31', NULL, NULL), (65207, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1, 2024, 5, 6, '2024-08-05 17:14:31', NULL, NULL), (65208, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 3, 2024, 5, 7, '2024-08-05 17:14:31', NULL, NULL), (65209, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 3, 2024, 5, 8, '2024-08-05 17:14:31', NULL, NULL), (65210, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 3, 2024, 5, 9, '2024-08-05 17:14:31', NULL, NULL), (65211, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 7, 2024, 5, 10, '2024-08-05 17:14:31', NULL, NULL), (65212, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 4, 2024, 5, 11, '2024-08-05 17:14:32', NULL, NULL), (65213, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 17:14:32', NULL, NULL), (65214, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 8, 2024, 5, 13, '2024-08-05 17:14:32', NULL, NULL), (65215, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 8, 2024, 5, 14, '2024-08-05 17:14:32', NULL, NULL), (65216, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 4, 2024, 5, 15, '2024-08-05 17:14:32', NULL, NULL), (65217, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 6, 2024, 5, 16, '2024-08-05 17:14:32', NULL, NULL), (65218, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 4, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65219, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 17:14:33', NULL, NULL), (65220, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 17:14:33', NULL, NULL), (65221, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 5, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65222, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 3, 2024, 5, 21, '2024-08-05 17:14:33', NULL, NULL), (65223, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 2, 2024, 5, 22, '2024-08-05 17:14:34', NULL, NULL), (65224, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 7, 2024, 5, 23, '2024-08-05 17:14:34', NULL, NULL), (65225, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 3, 2024, 5, 24, '2024-08-05 17:14:34', NULL, NULL), (65226, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 17:14:34', NULL, NULL), (65227, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 17:14:34', NULL, NULL), (65228, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1, 2024, 5, 27, '2024-08-05 17:14:34', NULL, NULL), (65229, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 4, 2024, 5, 28, '2024-08-05 17:14:34', NULL, NULL), (65230, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 2, 2024, 5, 29, '2024-08-05 17:14:34', NULL, NULL), (65231, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 2, 2024, 5, 30, '2024-08-05 17:14:35', NULL, NULL), (65232, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 4, 2024, 5, 31, '2024-08-05 17:14:35', NULL, NULL), (65233, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 17:14:35', NULL, NULL), (65234, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 17:14:35', NULL, NULL), (65235, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1, 2024, 6, 3, '2024-08-05 17:14:35', NULL, NULL), (65236, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 5, 2024, 6, 4, '2024-08-05 17:14:35', NULL, NULL), (65237, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 4, 2024, 6, 5, '2024-08-05 17:14:35', NULL, NULL), (65238, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 5, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65239, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 17:14:36', NULL, NULL), (65240, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 17:14:36', NULL, NULL), (65241, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 17:14:36', NULL, NULL), (65242, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 17:14:36', NULL, NULL), (65243, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 9, 2024, 6, 11, '2024-08-05 17:14:36', NULL, NULL), (65244, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 7, 2024, 6, 12, '2024-08-05 17:14:36', NULL, NULL), (65245, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 4, 2024, 6, 13, '2024-08-05 17:14:36', NULL, NULL), (65246, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 6, 2024, 6, 14, '2024-08-05 17:14:36', NULL, NULL), (65247, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 17:14:37', NULL, NULL), (65248, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 17:14:37', NULL, NULL), (65249, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 3, 2024, 6, 17, '2024-08-05 17:14:37', NULL, NULL), (65250, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 6, 2024, 6, 18, '2024-08-05 17:14:37', NULL, NULL), (65251, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 10, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65252, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 7, 2024, 6, 20, '2024-08-05 17:14:37', NULL, NULL), (65253, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1, 2024, 6, 21, '2024-08-05 17:14:38', NULL, NULL), (65254, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 17:14:38', NULL, NULL), (65255, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 17:14:38', NULL, NULL), (65256, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 4, 2024, 6, 24, '2024-08-05 17:14:38', NULL, NULL), (65257, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 7, 2024, 6, 25, '2024-08-05 17:14:38', NULL, NULL), (65258, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1, 2024, 6, 26, '2024-08-05 17:14:38', NULL, NULL), (65259, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 4, 2024, 6, 27, '2024-08-05 17:14:38', NULL, NULL), (65260, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 7, 2024, 6, 28, '2024-08-05 17:14:39', NULL, NULL), (65261, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 17:14:39', NULL, NULL), (65262, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 17:14:39', NULL, NULL), (65263, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 4, 2024, 7, 1, '2024-08-05 17:14:39', NULL, NULL), (65264, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 17:14:39', NULL, NULL), (65265, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 3, 2024, 7, 3, '2024-08-05 17:14:39', NULL, NULL), (65266, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 4, 2024, 7, 4, '2024-08-05 17:14:40', NULL, NULL), (65267, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1, 2024, 7, 5, '2024-08-05 17:14:40', NULL, NULL), (65268, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 17:14:40', NULL, NULL), (65269, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 17:14:40', NULL, NULL), (65270, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1, 2024, 7, 8, '2024-08-05 17:14:40', NULL, NULL), (65271, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 2, 2024, 7, 9, '2024-08-05 17:14:40', NULL, NULL), (65272, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 17:14:40', NULL, NULL), (65273, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 6, 2024, 7, 11, '2024-08-05 17:14:40', NULL, NULL), (65274, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 3, 2024, 7, 12, '2024-08-05 17:14:41', NULL, NULL), (65275, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 17:14:41', NULL, NULL), (65276, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 17:14:41', NULL, NULL), (65277, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 4, 2024, 7, 15, '2024-08-05 17:14:41', NULL, NULL), (65278, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 4, 2024, 7, 16, '2024-08-05 17:14:41', NULL, NULL), (65279, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 5, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (65280, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 2, 2024, 7, 18, '2024-08-05 17:14:42', NULL, NULL), (65281, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 2, 2024, 7, 19, '2024-08-05 17:14:43', NULL, NULL), (65282, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 17:14:43', NULL, NULL), (65283, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 17:14:43', NULL, NULL), (65284, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 17:14:43', NULL, NULL), (65285, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 17:14:43', NULL, NULL), (65286, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 3, 2024, 7, 24, '2024-08-05 17:14:43', NULL, NULL), (65287, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 17:14:44', NULL, NULL), (65288, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 6, 2024, 7, 26, '2024-08-05 17:14:44', NULL, NULL), (65289, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 17:14:45', NULL, NULL), (65290, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 17:14:45', NULL, NULL), (65291, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1, 2024, 7, 29, '2024-08-05 17:14:45', NULL, NULL), (65292, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 2, 2024, 7, 30, '2024-08-05 17:14:46', NULL, NULL), (65293, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 17:14:46', NULL, NULL), (65294, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 17:14:46', 1, '2024-08-05 20:14:32'), (65295, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 11, 2024, 8, 2, '2024-08-05 17:14:46', 1, '2024-08-06 02:01:18'), (65296, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 17:14:47', 1, '2024-08-07 01:00:48'), (65297, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 17:14:47', 1, '2024-08-08 01:00:53'), (65298, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 3, 2024, 8, 5, '2024-08-05 17:14:48', 1, '2024-08-09 01:00:53'), (65299, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 3, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65300, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道办事处', '', '', '', 3, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65301, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 6, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65302, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '1', '', 2, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65303, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65304, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65305, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '4', '', 2, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65306, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 5, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65307, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 2, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65308, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道办事处', '非常满意', '', '', 3, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65309, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '4', '', 2, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65310, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65311, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65312, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '1', '', 1, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65313, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '1', '', 2, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65314, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65315, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道办事处', '', '3', '', 1, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65316, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道办事处', '', '4', '', 2, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65317, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '1', '', 1, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65318, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道办事处', '非常满意', '3', '', 1, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65319, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道办事处', '非常满意', '4', '', 2, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65320, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 4, 11, '2024-08-05 17:14:28', NULL, NULL), (65321, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 4, 2024, 4, 12, '2024-08-05 17:14:28', NULL, NULL), (65322, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 4, 2024, 4, 12, '2024-08-05 17:14:28', NULL, NULL), (65323, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 4, 2024, 4, 12, '2024-08-05 17:14:28', NULL, NULL), (65324, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 3, 2024, 4, 12, '2024-08-05 17:14:28', NULL, NULL), (65325, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 3, 2024, 4, 12, '2024-08-05 17:14:28', NULL, NULL), (65326, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 3, 2024, 4, 12, '2024-08-05 17:14:28', NULL, NULL), (65327, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 4, 2024, 4, 12, '2024-08-05 17:14:28', NULL, NULL), (65328, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 3, 2024, 4, 12, '2024-08-05 17:14:28', NULL, NULL), (65329, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 5, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65330, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 5, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65331, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65332, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 2, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65333, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '4', '', 1, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65334, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65335, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 4, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65336, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 4, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65337, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65338, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 2, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65339, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65340, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '4', '', 1, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65341, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65342, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65343, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 2, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65344, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 2, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65345, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65346, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 4, 15, '2024-08-05 17:14:28', NULL, NULL), (65347, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 2, 2024, 4, 16, '2024-08-05 17:14:28', NULL, NULL), (65348, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 2, 2024, 4, 16, '2024-08-05 17:14:28', NULL, NULL), (65349, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 2, 2024, 4, 16, '2024-08-05 17:14:28', NULL, NULL), (65350, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 2, 2024, 4, 16, '2024-08-05 17:14:28', NULL, NULL), (65351, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 2, 2024, 4, 16, '2024-08-05 17:14:28', NULL, NULL), (65352, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 2, 2024, 4, 16, '2024-08-05 17:14:28', NULL, NULL), (65353, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 2, 2024, 4, 16, '2024-08-05 17:14:28', NULL, NULL), (65354, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 2, 2024, 4, 16, '2024-08-05 17:14:28', NULL, NULL), (65355, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 8, 2024, 4, 17, '2024-08-05 17:14:28', NULL, NULL), (65356, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 8, 2024, 4, 17, '2024-08-05 17:14:28', NULL, NULL), (65357, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '1', '', 2, 2024, 4, 17, '2024-08-05 17:14:28', NULL, NULL), (65358, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 4, 17, '2024-08-05 17:14:28', NULL, NULL), (65359, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 3, 2024, 4, 17, '2024-08-05 17:14:28', NULL, NULL), (65360, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '4', '', 2, 2024, 4, 17, '2024-08-05 17:14:28', NULL, NULL), (65361, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 7, 2024, 4, 17, '2024-08-05 17:14:29', NULL, NULL), (65362, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 7, 2024, 4, 17, '2024-08-05 17:14:29', NULL, NULL), (65363, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '4', '', 2, 2024, 4, 17, '2024-08-05 17:14:29', NULL, NULL), (65364, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 3, 2024, 4, 17, '2024-08-05 17:14:29', NULL, NULL), (65365, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 4, 17, '2024-08-05 17:14:29', NULL, NULL), (65366, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '1', '', 1, 2024, 4, 17, '2024-08-05 17:14:29', NULL, NULL), (65367, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '4', '', 2, 2024, 4, 17, '2024-08-05 17:14:29', NULL, NULL), (65368, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '1', '', 2, 2024, 4, 17, '2024-08-05 17:14:29', NULL, NULL), (65369, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 4, 17, '2024-08-05 17:14:29', NULL, NULL), (65370, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 3, 2024, 4, 17, '2024-08-05 17:14:29', NULL, NULL), (65371, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '1', '', 1, 2024, 4, 17, '2024-08-05 17:14:29', NULL, NULL), (65372, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 3, 2024, 4, 17, '2024-08-05 17:14:29', NULL, NULL), (65373, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 4, 17, '2024-08-05 17:14:29', NULL, NULL), (65374, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '4', '', 2, 2024, 4, 17, '2024-08-05 17:14:29', NULL, NULL), (65375, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 1, 2024, 4, 18, '2024-08-05 17:14:29', NULL, NULL), (65376, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 1, 2024, 4, 18, '2024-08-05 17:14:29', NULL, NULL), (65377, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '1', '', 1, 2024, 4, 18, '2024-08-05 17:14:29', NULL, NULL), (65378, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 1, 2024, 4, 18, '2024-08-05 17:14:29', NULL, NULL), (65379, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 1, 2024, 4, 18, '2024-08-05 17:14:29', NULL, NULL), (65380, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '1', '', 1, 2024, 4, 18, '2024-08-05 17:14:29', NULL, NULL), (65381, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '1', '', 1, 2024, 4, 18, '2024-08-05 17:14:29', NULL, NULL), (65382, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '1', '', 1, 2024, 4, 18, '2024-08-05 17:14:29', NULL, NULL), (65383, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 1, 2024, 4, 22, '2024-08-05 17:14:29', NULL, NULL), (65384, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 1, 2024, 4, 22, '2024-08-05 17:14:29', NULL, NULL), (65385, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 1, 2024, 4, 22, '2024-08-05 17:14:29', NULL, NULL), (65386, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 1, 2024, 4, 22, '2024-08-05 17:14:29', NULL, NULL), (65387, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 1, 2024, 4, 22, '2024-08-05 17:14:29', NULL, NULL), (65388, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '6', '', 1, 2024, 4, 22, '2024-08-05 17:14:29', NULL, NULL), (65389, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 1, 2024, 4, 22, '2024-08-05 17:14:29', NULL, NULL), (65390, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '6', '', 1, 2024, 4, 22, '2024-08-05 17:14:29', NULL, NULL), (65391, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 3, 2024, 4, 23, '2024-08-05 17:14:29', NULL, NULL), (65392, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 3, 2024, 4, 23, '2024-08-05 17:14:29', NULL, NULL), (65393, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '1', '', 1, 2024, 4, 23, '2024-08-05 17:14:29', NULL, NULL), (65394, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 4, 23, '2024-08-05 17:14:29', NULL, NULL), (65395, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '4', '', 1, 2024, 4, 23, '2024-08-05 17:14:29', NULL, NULL), (65396, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 3, 2024, 4, 23, '2024-08-05 17:14:29', NULL, NULL), (65397, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 3, 2024, 4, 23, '2024-08-05 17:14:29', NULL, NULL), (65398, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '4', '', 1, 2024, 4, 23, '2024-08-05 17:14:29', NULL, NULL), (65399, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 4, 23, '2024-08-05 17:14:29', NULL, NULL), (65400, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '1', '', 1, 2024, 4, 23, '2024-08-05 17:14:29', NULL, NULL), (65401, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '4', '', 1, 2024, 4, 23, '2024-08-05 17:14:29', NULL, NULL), (65402, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '1', '', 1, 2024, 4, 23, '2024-08-05 17:14:29', NULL, NULL), (65403, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 4, 23, '2024-08-05 17:14:29', NULL, NULL), (65404, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '1', '', 1, 2024, 4, 23, '2024-08-05 17:14:29', NULL, NULL), (65405, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 4, 23, '2024-08-05 17:14:29', NULL, NULL), (65406, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '4', '', 1, 2024, 4, 23, '2024-08-05 17:14:29', NULL, NULL), (65407, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 4, 2024, 4, 24, '2024-08-05 17:14:29', NULL, NULL), (65408, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 4, 2024, 4, 24, '2024-08-05 17:14:29', NULL, NULL), (65409, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '1', '', 1, 2024, 4, 24, '2024-08-05 17:14:29', NULL, NULL), (65410, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 4, 24, '2024-08-05 17:14:29', NULL, NULL), (65411, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 2, 2024, 4, 24, '2024-08-05 17:14:29', NULL, NULL), (65412, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 4, 2024, 4, 24, '2024-08-05 17:14:29', NULL, NULL), (65413, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 4, 2024, 4, 24, '2024-08-05 17:14:29', NULL, NULL), (65414, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 2, 2024, 4, 24, '2024-08-05 17:14:29', NULL, NULL), (65415, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 4, 24, '2024-08-05 17:14:29', NULL, NULL), (65416, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '1', '', 1, 2024, 4, 24, '2024-08-05 17:14:29', NULL, NULL), (65417, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 2, 2024, 4, 24, '2024-08-05 17:14:29', NULL, NULL), (65418, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '1', '', 1, 2024, 4, 24, '2024-08-05 17:14:29', NULL, NULL), (65419, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 4, 24, '2024-08-05 17:14:29', NULL, NULL), (65420, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '1', '', 1, 2024, 4, 24, '2024-08-05 17:14:29', NULL, NULL), (65421, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 4, 24, '2024-08-05 17:14:29', NULL, NULL), (65422, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 2, 2024, 4, 24, '2024-08-05 17:14:29', NULL, NULL), (65423, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 6, 2024, 4, 25, '2024-08-05 17:14:29', NULL, NULL), (65424, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 6, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65425, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '1', '', 1, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65426, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65427, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 2, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65428, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65429, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 1, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65430, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 6, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65431, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 6, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65432, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65433, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 2, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65434, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65435, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '1', '', 1, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65436, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '6', '', 1, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65437, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65438, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 1, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65439, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '1', '', 1, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65440, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65441, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 2, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65442, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '1', '', 1, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65443, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '6', '', 1, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65444, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 2, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65445, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65446, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 4, 25, '2024-08-05 17:14:30', NULL, NULL), (65447, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 17, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65448, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 17, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65449, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 7, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65450, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 7, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65451, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '4', '', 1, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65452, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 2, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65453, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 16, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65454, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 16, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65455, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 2, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65456, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '4', '', 1, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65457, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 7, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65458, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 6, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65459, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '4', '', 1, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65460, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 2, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65461, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 7, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65462, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 7, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65463, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 7, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65464, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 6, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65465, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 2, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65466, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '4', '', 1, 2024, 4, 26, '2024-08-05 17:14:30', NULL, NULL), (65467, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 3, 2024, 4, 28, '2024-08-05 17:14:30', NULL, NULL), (65468, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 3, 2024, 4, 28, '2024-08-05 17:14:30', NULL, NULL), (65469, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '1', '', 1, 2024, 4, 28, '2024-08-05 17:14:30', NULL, NULL), (65470, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 2, 2024, 4, 28, '2024-08-05 17:14:30', NULL, NULL), (65471, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 3, 2024, 4, 28, '2024-08-05 17:14:30', NULL, NULL), (65472, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 3, 2024, 4, 28, '2024-08-05 17:14:30', NULL, NULL), (65473, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 2, 2024, 4, 28, '2024-08-05 17:14:30', NULL, NULL), (65474, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '1', '', 1, 2024, 4, 28, '2024-08-05 17:14:30', NULL, NULL), (65475, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '1', '', 1, 2024, 4, 28, '2024-08-05 17:14:30', NULL, NULL), (65476, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 2, 2024, 4, 28, '2024-08-05 17:14:30', NULL, NULL), (65477, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '1', '', 1, 2024, 4, 28, '2024-08-05 17:14:30', NULL, NULL), (65478, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 2, 2024, 4, 28, '2024-08-05 17:14:30', NULL, NULL), (65479, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 9, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65480, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 9, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65481, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '1', '', 1, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65482, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65483, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 3, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65484, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '4', '', 2, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65485, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 2, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65486, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 8, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65487, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 8, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65488, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65489, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '4', '', 2, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65490, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 3, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65491, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65492, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '1', '', 1, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65493, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '4', '', 2, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (65494, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 2, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65495, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '1', '', 1, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65496, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65497, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 3, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65498, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '1', '', 1, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65499, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 3, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65500, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65501, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65502, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '4', '', 2, 2024, 4, 29, '2024-08-05 17:14:30', NULL, NULL), (65503, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 3, 2024, 4, 30, '2024-08-05 17:14:30', NULL, NULL), (65504, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 3, 2024, 4, 30, '2024-08-05 17:14:30', NULL, NULL), (65505, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 4, 30, '2024-08-05 17:14:31', NULL, NULL), (65506, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 4, 30, '2024-08-05 17:14:31', NULL, NULL), (65507, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '4', '', 1, 2024, 4, 30, '2024-08-05 17:14:31', NULL, NULL), (65508, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 3, 2024, 4, 30, '2024-08-05 17:14:31', NULL, NULL), (65509, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 3, 2024, 4, 30, '2024-08-05 17:14:31', NULL, NULL), (65510, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '4', '', 1, 2024, 4, 30, '2024-08-05 17:14:31', NULL, NULL), (65511, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 4, 30, '2024-08-05 17:14:31', NULL, NULL), (65512, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 4, 30, '2024-08-05 17:14:31', NULL, NULL), (65513, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '4', '', 1, 2024, 4, 30, '2024-08-05 17:14:31', NULL, NULL), (65514, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 4, 30, '2024-08-05 17:14:31', NULL, NULL), (65515, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 4, 30, '2024-08-05 17:14:31', NULL, NULL), (65516, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 4, 30, '2024-08-05 17:14:31', NULL, NULL), (65517, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 4, 30, '2024-08-05 17:14:31', NULL, NULL), (65518, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '4', '', 1, 2024, 4, 30, '2024-08-05 17:14:31', NULL, NULL), (65519, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 1, 2024, 5, 6, '2024-08-05 17:14:31', NULL, NULL), (65520, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 1, 2024, 5, 6, '2024-08-05 17:14:31', NULL, NULL), (65521, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 5, 6, '2024-08-05 17:14:31', NULL, NULL), (65522, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 1, 2024, 5, 6, '2024-08-05 17:14:31', NULL, NULL), (65523, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 1, 2024, 5, 6, '2024-08-05 17:14:31', NULL, NULL), (65524, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 5, 6, '2024-08-05 17:14:31', NULL, NULL), (65525, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 5, 6, '2024-08-05 17:14:31', NULL, NULL), (65526, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 5, 6, '2024-08-05 17:14:31', NULL, NULL), (65527, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 3, 2024, 5, 7, '2024-08-05 17:14:31', NULL, NULL), (65528, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 3, 2024, 5, 7, '2024-08-05 17:14:31', NULL, NULL), (65529, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 5, 7, '2024-08-05 17:14:31', NULL, NULL), (65530, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '7', '', 2, 2024, 5, 7, '2024-08-05 17:14:31', NULL, NULL), (65531, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 3, 2024, 5, 7, '2024-08-05 17:14:31', NULL, NULL), (65532, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 3, 2024, 5, 7, '2024-08-05 17:14:31', NULL, NULL), (65533, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 5, 7, '2024-08-05 17:14:31', NULL, NULL), (65534, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '7', '', 2, 2024, 5, 7, '2024-08-05 17:14:31', NULL, NULL), (65535, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '7', '', 2, 2024, 5, 7, '2024-08-05 17:14:31', NULL, NULL), (65536, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 5, 7, '2024-08-05 17:14:31', NULL, NULL), (65537, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '7', '', 2, 2024, 5, 7, '2024-08-05 17:14:31', NULL, NULL), (65538, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 5, 7, '2024-08-05 17:14:31', NULL, NULL), (65539, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 3, 2024, 5, 8, '2024-08-05 17:14:31', NULL, NULL), (65540, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 3, 2024, 5, 8, '2024-08-05 17:14:31', NULL, NULL), (65541, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 3, 2024, 5, 8, '2024-08-05 17:14:31', NULL, NULL), (65542, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 3, 2024, 5, 8, '2024-08-05 17:14:31', NULL, NULL), (65543, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 3, 2024, 5, 8, '2024-08-05 17:14:31', NULL, NULL), (65544, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 3, 2024, 5, 8, '2024-08-05 17:14:31', NULL, NULL), (65545, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 3, 2024, 5, 8, '2024-08-05 17:14:31', NULL, NULL), (65546, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 3, 2024, 5, 8, '2024-08-05 17:14:31', NULL, NULL), (65547, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 3, 2024, 5, 9, '2024-08-05 17:14:31', NULL, NULL), (65548, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 3, 2024, 5, 9, '2024-08-05 17:14:31', NULL, NULL), (65549, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 5, 9, '2024-08-05 17:14:31', NULL, NULL), (65550, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 5, 9, '2024-08-05 17:14:31', NULL, NULL), (65551, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 5, 9, '2024-08-05 17:14:31', NULL, NULL), (65552, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 3, 2024, 5, 9, '2024-08-05 17:14:31', NULL, NULL), (65553, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 3, 2024, 5, 9, '2024-08-05 17:14:31', NULL, NULL), (65554, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 5, 9, '2024-08-05 17:14:31', NULL, NULL), (65555, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 5, 9, '2024-08-05 17:14:31', NULL, NULL), (65556, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 5, 9, '2024-08-05 17:14:31', NULL, NULL), (65557, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 5, 9, '2024-08-05 17:14:31', NULL, NULL), (65558, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 5, 9, '2024-08-05 17:14:31', NULL, NULL), (65559, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 5, 9, '2024-08-05 17:14:31', NULL, NULL), (65560, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 5, 9, '2024-08-05 17:14:31', NULL, NULL), (65561, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 5, 9, '2024-08-05 17:14:31', NULL, NULL), (65562, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 5, 9, '2024-08-05 17:14:31', NULL, NULL), (65563, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 7, 2024, 5, 10, '2024-08-05 17:14:31', NULL, NULL), (65564, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 7, 2024, 5, 10, '2024-08-05 17:14:31', NULL, NULL), (65565, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 3, 2024, 5, 10, '2024-08-05 17:14:32', NULL, NULL), (65566, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 2, 2024, 5, 10, '2024-08-05 17:14:32', NULL, NULL), (65567, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '7', '', 2, 2024, 5, 10, '2024-08-05 17:14:32', NULL, NULL), (65568, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 6, 2024, 5, 10, '2024-08-05 17:14:32', NULL, NULL), (65569, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 6, 2024, 5, 10, '2024-08-05 17:14:32', NULL, NULL), (65570, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 5, 10, '2024-08-05 17:14:32', NULL, NULL), (65571, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 3, 2024, 5, 10, '2024-08-05 17:14:32', NULL, NULL), (65572, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '7', '', 2, 2024, 5, 10, '2024-08-05 17:14:32', NULL, NULL), (65573, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 2, 2024, 5, 10, '2024-08-05 17:14:32', NULL, NULL), (65574, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '7', '', 2, 2024, 5, 10, '2024-08-05 17:14:32', NULL, NULL), (65575, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 3, 2024, 5, 10, '2024-08-05 17:14:32', NULL, NULL), (65576, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '7', '', 2, 2024, 5, 10, '2024-08-05 17:14:32', NULL, NULL), (65577, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 3, 2024, 5, 10, '2024-08-05 17:14:32', NULL, NULL), (65578, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 5, 10, '2024-08-05 17:14:32', NULL, NULL), (65579, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 4, 2024, 5, 11, '2024-08-05 17:14:32', NULL, NULL), (65580, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 4, 2024, 5, 11, '2024-08-05 17:14:32', NULL, NULL), (65581, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 4, 2024, 5, 11, '2024-08-05 17:14:32', NULL, NULL), (65582, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 4, 2024, 5, 11, '2024-08-05 17:14:32', NULL, NULL), (65583, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 4, 2024, 5, 11, '2024-08-05 17:14:32', NULL, NULL), (65584, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 4, 2024, 5, 11, '2024-08-05 17:14:32', NULL, NULL), (65585, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 4, 2024, 5, 11, '2024-08-05 17:14:32', NULL, NULL), (65586, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 4, 2024, 5, 11, '2024-08-05 17:14:32', NULL, NULL), (65587, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 8, 2024, 5, 13, '2024-08-05 17:14:32', NULL, NULL), (65588, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 8, 2024, 5, 13, '2024-08-05 17:14:32', NULL, NULL), (65589, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '1', '', 1, 2024, 5, 13, '2024-08-05 17:14:32', NULL, NULL), (65590, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 2, 2024, 5, 13, '2024-08-05 17:14:32', NULL, NULL), (65591, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 5, 2024, 5, 13, '2024-08-05 17:14:32', NULL, NULL), (65592, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 8, 2024, 5, 13, '2024-08-05 17:14:32', NULL, NULL), (65593, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 8, 2024, 5, 13, '2024-08-05 17:14:32', NULL, NULL), (65594, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 5, 2024, 5, 13, '2024-08-05 17:14:32', NULL, NULL), (65595, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 2, 2024, 5, 13, '2024-08-05 17:14:32', NULL, NULL), (65596, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '1', '', 1, 2024, 5, 13, '2024-08-05 17:14:32', NULL, NULL), (65597, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '1', '', 1, 2024, 5, 13, '2024-08-05 17:14:32', NULL, NULL), (65598, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 2, 2024, 5, 13, '2024-08-05 17:14:32', NULL, NULL), (65599, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 5, 2024, 5, 13, '2024-08-05 17:14:32', NULL, NULL), (65600, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '1', '', 1, 2024, 5, 13, '2024-08-05 17:14:32', NULL, NULL), (65601, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 5, 2024, 5, 13, '2024-08-05 17:14:32', NULL, NULL), (65602, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 2, 2024, 5, 13, '2024-08-05 17:14:32', NULL, NULL), (65603, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 8, 2024, 5, 14, '2024-08-05 17:14:32', NULL, NULL), (65604, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 8, 2024, 5, 14, '2024-08-05 17:14:32', NULL, NULL), (65605, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 2, 2024, 5, 14, '2024-08-05 17:14:32', NULL, NULL), (65606, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 2, 2024, 5, 14, '2024-08-05 17:14:32', NULL, NULL), (65607, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 4, 2024, 5, 14, '2024-08-05 17:14:32', NULL, NULL), (65608, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 8, 2024, 5, 14, '2024-08-05 17:14:32', NULL, NULL), (65609, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 8, 2024, 5, 14, '2024-08-05 17:14:32', NULL, NULL), (65610, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 2, 2024, 5, 14, '2024-08-05 17:14:32', NULL, NULL), (65611, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 2, 2024, 5, 14, '2024-08-05 17:14:32', NULL, NULL), (65612, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '6', '', 4, 2024, 5, 14, '2024-08-05 17:14:32', NULL, NULL), (65613, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 4, 2024, 5, 14, '2024-08-05 17:14:32', NULL, NULL), (65614, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 2, 2024, 5, 14, '2024-08-05 17:14:32', NULL, NULL), (65615, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 2, 2024, 5, 14, '2024-08-05 17:14:32', NULL, NULL), (65616, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '6', '', 4, 2024, 5, 14, '2024-08-05 17:14:32', NULL, NULL), (65617, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 2, 2024, 5, 14, '2024-08-05 17:14:32', NULL, NULL), (65618, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 2, 2024, 5, 14, '2024-08-05 17:14:32', NULL, NULL), (65619, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 4, 2024, 5, 15, '2024-08-05 17:14:32', NULL, NULL), (65620, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 4, 2024, 5, 15, '2024-08-05 17:14:32', NULL, NULL), (65621, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 2, 2024, 5, 15, '2024-08-05 17:14:32', NULL, NULL), (65622, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 2, 2024, 5, 15, '2024-08-05 17:14:32', NULL, NULL), (65623, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 4, 2024, 5, 15, '2024-08-05 17:14:32', NULL, NULL), (65624, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 4, 2024, 5, 15, '2024-08-05 17:14:32', NULL, NULL), (65625, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 2, 2024, 5, 15, '2024-08-05 17:14:32', NULL, NULL), (65626, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 2, 2024, 5, 15, '2024-08-05 17:14:32', NULL, NULL), (65627, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 2, 2024, 5, 15, '2024-08-05 17:14:32', NULL, NULL), (65628, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 2, 2024, 5, 15, '2024-08-05 17:14:32', NULL, NULL), (65629, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 2, 2024, 5, 15, '2024-08-05 17:14:32', NULL, NULL), (65630, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 2, 2024, 5, 15, '2024-08-05 17:14:32', NULL, NULL), (65631, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 6, 2024, 5, 16, '2024-08-05 17:14:32', NULL, NULL), (65632, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 6, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65633, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65634, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 3, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65635, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65636, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 1, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65637, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 6, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65638, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 6, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65639, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65640, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 3, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65641, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65642, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '6', '', 1, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65643, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65644, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 1, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65645, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65646, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 3, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65647, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '6', '', 1, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65648, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 3, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65649, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65650, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 5, 16, '2024-08-05 17:14:33', NULL, NULL), (65651, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 4, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65652, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 4, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65653, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65654, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '4', '', 1, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65655, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65656, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 1, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65657, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 4, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65658, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 4, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65659, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65660, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '4', '', 1, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65661, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65662, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '6', '', 1, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65663, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '4', '', 1, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65664, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65665, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 1, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65666, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65667, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '6', '', 1, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65668, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65669, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65670, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '4', '', 1, 2024, 5, 17, '2024-08-05 17:14:33', NULL, NULL), (65671, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 5, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65672, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 5, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65673, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '1', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65674, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65675, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65676, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '4', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65677, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65678, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 5, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65679, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 5, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65680, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65681, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '4', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65682, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65683, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65684, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '1', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65685, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '4', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65686, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65687, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '1', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65688, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65689, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65690, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '1', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65691, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65692, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65693, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65694, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '4', '', 1, 2024, 5, 20, '2024-08-05 17:14:33', NULL, NULL), (65695, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 3, 2024, 5, 21, '2024-08-05 17:14:33', NULL, NULL), (65696, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 3, 2024, 5, 21, '2024-08-05 17:14:33', NULL, NULL), (65697, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 5, 21, '2024-08-05 17:14:33', NULL, NULL), (65698, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 5, 21, '2024-08-05 17:14:33', NULL, NULL), (65699, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '4', '', 1, 2024, 5, 21, '2024-08-05 17:14:33', NULL, NULL), (65700, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 3, 2024, 5, 21, '2024-08-05 17:14:33', NULL, NULL), (65701, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 3, 2024, 5, 21, '2024-08-05 17:14:33', NULL, NULL), (65702, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '4', '', 1, 2024, 5, 21, '2024-08-05 17:14:33', NULL, NULL), (65703, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 5, 21, '2024-08-05 17:14:33', NULL, NULL), (65704, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 5, 21, '2024-08-05 17:14:33', NULL, NULL), (65705, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '4', '', 1, 2024, 5, 21, '2024-08-05 17:14:33', NULL, NULL), (65706, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 5, 21, '2024-08-05 17:14:33', NULL, NULL), (65707, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 5, 21, '2024-08-05 17:14:33', NULL, NULL), (65708, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 5, 21, '2024-08-05 17:14:33', NULL, NULL), (65709, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 5, 21, '2024-08-05 17:14:33', NULL, NULL), (65710, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '4', '', 1, 2024, 5, 21, '2024-08-05 17:14:33', NULL, NULL), (65711, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 2, 2024, 5, 22, '2024-08-05 17:14:34', NULL, NULL), (65712, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 2, 2024, 5, 22, '2024-08-05 17:14:34', NULL, NULL), (65713, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '1', '', 1, 2024, 5, 22, '2024-08-05 17:14:34', NULL, NULL), (65714, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 5, 22, '2024-08-05 17:14:34', NULL, NULL), (65715, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 2, 2024, 5, 22, '2024-08-05 17:14:34', NULL, NULL), (65716, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 2, 2024, 5, 22, '2024-08-05 17:14:34', NULL, NULL), (65717, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 5, 22, '2024-08-05 17:14:34', NULL, NULL), (65718, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '1', '', 1, 2024, 5, 22, '2024-08-05 17:14:34', NULL, NULL), (65719, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '1', '', 1, 2024, 5, 22, '2024-08-05 17:14:34', NULL, NULL), (65720, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 5, 22, '2024-08-05 17:14:34', NULL, NULL), (65721, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '1', '', 1, 2024, 5, 22, '2024-08-05 17:14:34', NULL, NULL), (65722, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 5, 22, '2024-08-05 17:14:34', NULL, NULL), (65723, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 7, 2024, 5, 23, '2024-08-05 17:14:34', NULL, NULL), (65724, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 7, 2024, 5, 23, '2024-08-05 17:14:34', NULL, NULL), (65725, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 4, 2024, 5, 23, '2024-08-05 17:14:34', NULL, NULL), (65726, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 2, 2024, 5, 23, '2024-08-05 17:14:34', NULL, NULL), (65727, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '4', '', 1, 2024, 5, 23, '2024-08-05 17:14:34', NULL, NULL), (65728, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 7, 2024, 5, 23, '2024-08-05 17:14:34', NULL, NULL), (65729, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 7, 2024, 5, 23, '2024-08-05 17:14:34', NULL, NULL), (65730, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '4', '', 1, 2024, 5, 23, '2024-08-05 17:14:34', NULL, NULL), (65731, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 2, 2024, 5, 23, '2024-08-05 17:14:34', NULL, NULL), (65732, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 4, 2024, 5, 23, '2024-08-05 17:14:34', NULL, NULL), (65733, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '4', '', 1, 2024, 5, 23, '2024-08-05 17:14:34', NULL, NULL), (65734, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 4, 2024, 5, 23, '2024-08-05 17:14:34', NULL, NULL), (65735, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 2, 2024, 5, 23, '2024-08-05 17:14:34', NULL, NULL), (65736, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 2, 2024, 5, 23, '2024-08-05 17:14:34', NULL, NULL), (65737, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 4, 2024, 5, 23, '2024-08-05 17:14:34', NULL, NULL), (65738, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '4', '', 1, 2024, 5, 23, '2024-08-05 17:14:34', NULL, NULL), (65739, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 3, 2024, 5, 24, '2024-08-05 17:14:34', NULL, NULL), (65740, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 3, 2024, 5, 24, '2024-08-05 17:14:34', NULL, NULL), (65741, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 5, 24, '2024-08-05 17:14:34', NULL, NULL), (65742, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 2, 2024, 5, 24, '2024-08-05 17:14:34', NULL, NULL), (65743, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 3, 2024, 5, 24, '2024-08-05 17:14:34', NULL, NULL), (65744, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 3, 2024, 5, 24, '2024-08-05 17:14:34', NULL, NULL), (65745, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 2, 2024, 5, 24, '2024-08-05 17:14:34', NULL, NULL), (65746, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 5, 24, '2024-08-05 17:14:34', NULL, NULL), (65747, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 5, 24, '2024-08-05 17:14:34', NULL, NULL), (65748, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 2, 2024, 5, 24, '2024-08-05 17:14:34', NULL, NULL), (65749, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 2, 2024, 5, 24, '2024-08-05 17:14:34', NULL, NULL), (65750, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 5, 24, '2024-08-05 17:14:34', NULL, NULL), (65751, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 1, 2024, 5, 27, '2024-08-05 17:14:34', NULL, NULL), (65752, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 1, 2024, 5, 27, '2024-08-05 17:14:34', NULL, NULL), (65753, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 1, 2024, 5, 27, '2024-08-05 17:14:34', NULL, NULL), (65754, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 1, 2024, 5, 27, '2024-08-05 17:14:34', NULL, NULL), (65755, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 4, 2024, 5, 28, '2024-08-05 17:14:34', NULL, NULL), (65756, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 4, 2024, 5, 28, '2024-08-05 17:14:34', NULL, NULL), (65757, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 2, 2024, 5, 28, '2024-08-05 17:14:34', NULL, NULL), (65758, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 2, 2024, 5, 28, '2024-08-05 17:14:34', NULL, NULL), (65759, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 4, 2024, 5, 28, '2024-08-05 17:14:34', NULL, NULL), (65760, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 4, 2024, 5, 28, '2024-08-05 17:14:34', NULL, NULL), (65761, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 2, 2024, 5, 28, '2024-08-05 17:14:34', NULL, NULL), (65762, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '6', '', 2, 2024, 5, 28, '2024-08-05 17:14:34', NULL, NULL), (65763, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 2, 2024, 5, 28, '2024-08-05 17:14:34', NULL, NULL), (65764, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 2, 2024, 5, 28, '2024-08-05 17:14:34', NULL, NULL), (65765, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '6', '', 2, 2024, 5, 28, '2024-08-05 17:14:34', NULL, NULL), (65766, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 2, 2024, 5, 28, '2024-08-05 17:14:34', NULL, NULL), (65767, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 2, 2024, 5, 29, '2024-08-05 17:14:34', NULL, NULL), (65768, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 2, 2024, 5, 29, '2024-08-05 17:14:34', NULL, NULL), (65769, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 5, 29, '2024-08-05 17:14:34', NULL, NULL), (65770, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 5, 29, '2024-08-05 17:14:34', NULL, NULL), (65771, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 2, 2024, 5, 29, '2024-08-05 17:14:34', NULL, NULL), (65772, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 2, 2024, 5, 29, '2024-08-05 17:14:34', NULL, NULL), (65773, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 5, 29, '2024-08-05 17:14:35', NULL, NULL), (65774, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 5, 29, '2024-08-05 17:14:35', NULL, NULL), (65775, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 5, 29, '2024-08-05 17:14:35', NULL, NULL), (65776, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 5, 29, '2024-08-05 17:14:35', NULL, NULL), (65777, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 5, 29, '2024-08-05 17:14:35', NULL, NULL), (65778, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 5, 29, '2024-08-05 17:14:35', NULL, NULL), (65779, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 2, 2024, 5, 30, '2024-08-05 17:14:35', NULL, NULL), (65780, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 2, 2024, 5, 30, '2024-08-05 17:14:35', NULL, NULL), (65781, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 5, 30, '2024-08-05 17:14:35', NULL, NULL), (65782, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 5, 30, '2024-08-05 17:14:35', NULL, NULL), (65783, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 2, 2024, 5, 30, '2024-08-05 17:14:35', NULL, NULL), (65784, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 2, 2024, 5, 30, '2024-08-05 17:14:35', NULL, NULL), (65785, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 5, 30, '2024-08-05 17:14:35', NULL, NULL), (65786, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 5, 30, '2024-08-05 17:14:35', NULL, NULL), (65787, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 5, 30, '2024-08-05 17:14:35', NULL, NULL), (65788, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 5, 30, '2024-08-05 17:14:35', NULL, NULL), (65789, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 5, 30, '2024-08-05 17:14:35', NULL, NULL), (65790, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 5, 30, '2024-08-05 17:14:35', NULL, NULL), (65791, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 4, 2024, 5, 31, '2024-08-05 17:14:35', NULL, NULL), (65792, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 4, 2024, 5, 31, '2024-08-05 17:14:35', NULL, NULL), (65793, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 5, 31, '2024-08-05 17:14:35', NULL, NULL), (65794, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 2, 2024, 5, 31, '2024-08-05 17:14:35', NULL, NULL), (65795, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 5, 31, '2024-08-05 17:14:35', NULL, NULL), (65796, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 4, 2024, 5, 31, '2024-08-05 17:14:35', NULL, NULL), (65797, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 4, 2024, 5, 31, '2024-08-05 17:14:35', NULL, NULL), (65798, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 5, 31, '2024-08-05 17:14:35', NULL, NULL), (65799, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 2, 2024, 5, 31, '2024-08-05 17:14:35', NULL, NULL), (65800, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 5, 31, '2024-08-05 17:14:35', NULL, NULL), (65801, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 5, 31, '2024-08-05 17:14:35', NULL, NULL), (65802, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 5, 31, '2024-08-05 17:14:35', NULL, NULL), (65803, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 2, 2024, 5, 31, '2024-08-05 17:14:35', NULL, NULL), (65804, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 2, 2024, 5, 31, '2024-08-05 17:14:35', NULL, NULL), (65805, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 5, 31, '2024-08-05 17:14:35', NULL, NULL), (65806, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 5, 31, '2024-08-05 17:14:35', NULL, NULL), (65807, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 1, 2024, 6, 3, '2024-08-05 17:14:35', NULL, NULL), (65808, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 1, 2024, 6, 3, '2024-08-05 17:14:35', NULL, NULL), (65809, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 6, 3, '2024-08-05 17:14:35', NULL, NULL), (65810, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 1, 2024, 6, 3, '2024-08-05 17:14:35', NULL, NULL), (65811, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 1, 2024, 6, 3, '2024-08-05 17:14:35', NULL, NULL), (65812, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 6, 3, '2024-08-05 17:14:35', NULL, NULL), (65813, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 6, 3, '2024-08-05 17:14:35', NULL, NULL), (65814, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 6, 3, '2024-08-05 17:14:35', NULL, NULL), (65815, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 5, 2024, 6, 4, '2024-08-05 17:14:35', NULL, NULL), (65816, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 5, 2024, 6, 4, '2024-08-05 17:14:35', NULL, NULL), (65817, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 6, 4, '2024-08-05 17:14:35', NULL, NULL), (65818, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 3, 2024, 6, 4, '2024-08-05 17:14:35', NULL, NULL), (65819, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 6, 4, '2024-08-05 17:14:35', NULL, NULL), (65820, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 4, 2024, 6, 4, '2024-08-05 17:14:35', NULL, NULL), (65821, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 4, 2024, 6, 4, '2024-08-05 17:14:35', NULL, NULL), (65822, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 3, 2024, 6, 4, '2024-08-05 17:14:35', NULL, NULL), (65823, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 6, 4, '2024-08-05 17:14:35', NULL, NULL), (65824, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 6, 4, '2024-08-05 17:14:35', NULL, NULL), (65825, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 6, 4, '2024-08-05 17:14:35', NULL, NULL), (65826, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 3, 2024, 6, 4, '2024-08-05 17:14:35', NULL, NULL), (65827, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 3, 2024, 6, 4, '2024-08-05 17:14:35', NULL, NULL), (65828, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 6, 4, '2024-08-05 17:14:35', NULL, NULL), (65829, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 4, 2024, 6, 5, '2024-08-05 17:14:35', NULL, NULL), (65830, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 4, 2024, 6, 5, '2024-08-05 17:14:35', NULL, NULL), (65831, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 4, 2024, 6, 5, '2024-08-05 17:14:35', NULL, NULL), (65832, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 4, 2024, 6, 5, '2024-08-05 17:14:35', NULL, NULL), (65833, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 4, 2024, 6, 5, '2024-08-05 17:14:35', NULL, NULL), (65834, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 4, 2024, 6, 5, '2024-08-05 17:14:36', NULL, NULL), (65835, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 4, 2024, 6, 5, '2024-08-05 17:14:36', NULL, NULL), (65836, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 4, 2024, 6, 5, '2024-08-05 17:14:36', NULL, NULL), (65837, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 5, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65838, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 5, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65839, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '1', '', 1, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65840, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 2, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65841, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65842, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 1, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65843, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 5, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65844, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 5, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65845, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65846, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 2, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65847, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '1', '', 1, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65848, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '6', '', 1, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65849, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 1, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65850, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '1', '', 1, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65851, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 2, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65852, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65853, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '1', '', 1, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65854, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '6', '', 1, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65855, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65856, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 2, 2024, 6, 6, '2024-08-05 17:14:36', NULL, NULL), (65857, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 9, 2024, 6, 11, '2024-08-05 17:14:36', NULL, NULL), (65858, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 9, 2024, 6, 11, '2024-08-05 17:14:36', NULL, NULL), (65859, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 2, 2024, 6, 11, '2024-08-05 17:14:36', NULL, NULL), (65860, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 7, 2024, 6, 11, '2024-08-05 17:14:36', NULL, NULL), (65861, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 9, 2024, 6, 11, '2024-08-05 17:14:36', NULL, NULL), (65862, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 9, 2024, 6, 11, '2024-08-05 17:14:36', NULL, NULL), (65863, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 7, 2024, 6, 11, '2024-08-05 17:14:36', NULL, NULL), (65864, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 2, 2024, 6, 11, '2024-08-05 17:14:36', NULL, NULL), (65865, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 7, 2024, 6, 11, '2024-08-05 17:14:36', NULL, NULL), (65866, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 2, 2024, 6, 11, '2024-08-05 17:14:36', NULL, NULL), (65867, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 2, 2024, 6, 11, '2024-08-05 17:14:36', NULL, NULL), (65868, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 7, 2024, 6, 11, '2024-08-05 17:14:36', NULL, NULL), (65869, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 7, 2024, 6, 12, '2024-08-05 17:14:36', NULL, NULL), (65870, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 7, 2024, 6, 12, '2024-08-05 17:14:36', NULL, NULL), (65871, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 4, 2024, 6, 12, '2024-08-05 17:14:36', NULL, NULL), (65872, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 2, 2024, 6, 12, '2024-08-05 17:14:36', NULL, NULL), (65873, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 1, 2024, 6, 12, '2024-08-05 17:14:36', NULL, NULL), (65874, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 7, 2024, 6, 12, '2024-08-05 17:14:36', NULL, NULL), (65875, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 7, 2024, 6, 12, '2024-08-05 17:14:36', NULL, NULL), (65876, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 2, 2024, 6, 12, '2024-08-05 17:14:36', NULL, NULL), (65877, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 4, 2024, 6, 12, '2024-08-05 17:14:36', NULL, NULL), (65878, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '6', '', 1, 2024, 6, 12, '2024-08-05 17:14:36', NULL, NULL), (65879, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 2, 2024, 6, 12, '2024-08-05 17:14:36', NULL, NULL), (65880, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 1, 2024, 6, 12, '2024-08-05 17:14:36', NULL, NULL), (65881, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 4, 2024, 6, 12, '2024-08-05 17:14:36', NULL, NULL), (65882, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '6', '', 1, 2024, 6, 12, '2024-08-05 17:14:36', NULL, NULL), (65883, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 4, 2024, 6, 12, '2024-08-05 17:14:36', NULL, NULL), (65884, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 2, 2024, 6, 12, '2024-08-05 17:14:36', NULL, NULL), (65885, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 4, 2024, 6, 13, '2024-08-05 17:14:36', NULL, NULL), (65886, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 4, 2024, 6, 13, '2024-08-05 17:14:36', NULL, NULL), (65887, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 2, 2024, 6, 13, '2024-08-05 17:14:36', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (65888, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 6, 13, '2024-08-05 17:14:36', NULL, NULL), (65889, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 1, 2024, 6, 13, '2024-08-05 17:14:36', NULL, NULL), (65890, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 3, 2024, 6, 13, '2024-08-05 17:14:36', NULL, NULL), (65891, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 3, 2024, 6, 13, '2024-08-05 17:14:36', NULL, NULL), (65892, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 2, 2024, 6, 13, '2024-08-05 17:14:36', NULL, NULL), (65893, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '6', '', 1, 2024, 6, 13, '2024-08-05 17:14:36', NULL, NULL), (65894, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 6, 13, '2024-08-05 17:14:36', NULL, NULL), (65895, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 1, 2024, 6, 13, '2024-08-05 17:14:36', NULL, NULL), (65896, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 2, 2024, 6, 13, '2024-08-05 17:14:36', NULL, NULL), (65897, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '6', '', 1, 2024, 6, 13, '2024-08-05 17:14:36', NULL, NULL), (65898, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 2, 2024, 6, 13, '2024-08-05 17:14:36', NULL, NULL), (65899, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 6, 2024, 6, 14, '2024-08-05 17:14:36', NULL, NULL), (65900, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 6, 2024, 6, 14, '2024-08-05 17:14:37', NULL, NULL), (65901, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 5, 2024, 6, 14, '2024-08-05 17:14:37', NULL, NULL), (65902, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 1, 2024, 6, 14, '2024-08-05 17:14:37', NULL, NULL), (65903, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 6, 2024, 6, 14, '2024-08-05 17:14:37', NULL, NULL), (65904, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 6, 2024, 6, 14, '2024-08-05 17:14:37', NULL, NULL), (65905, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 5, 2024, 6, 14, '2024-08-05 17:14:37', NULL, NULL), (65906, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '6', '', 1, 2024, 6, 14, '2024-08-05 17:14:37', NULL, NULL), (65907, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 1, 2024, 6, 14, '2024-08-05 17:14:37', NULL, NULL), (65908, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 5, 2024, 6, 14, '2024-08-05 17:14:37', NULL, NULL), (65909, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '6', '', 1, 2024, 6, 14, '2024-08-05 17:14:37', NULL, NULL), (65910, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 5, 2024, 6, 14, '2024-08-05 17:14:37', NULL, NULL), (65911, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 3, 2024, 6, 17, '2024-08-05 17:14:37', NULL, NULL), (65912, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 3, 2024, 6, 17, '2024-08-05 17:14:37', NULL, NULL), (65913, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 6, 17, '2024-08-05 17:14:37', NULL, NULL), (65914, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '4', '', 1, 2024, 6, 17, '2024-08-05 17:14:37', NULL, NULL), (65915, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 6, 17, '2024-08-05 17:14:37', NULL, NULL), (65916, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 3, 2024, 6, 17, '2024-08-05 17:14:37', NULL, NULL), (65917, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 3, 2024, 6, 17, '2024-08-05 17:14:37', NULL, NULL), (65918, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 6, 17, '2024-08-05 17:14:37', NULL, NULL), (65919, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '4', '', 1, 2024, 6, 17, '2024-08-05 17:14:37', NULL, NULL), (65920, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 6, 17, '2024-08-05 17:14:37', NULL, NULL), (65921, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '4', '', 1, 2024, 6, 17, '2024-08-05 17:14:37', NULL, NULL), (65922, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 6, 17, '2024-08-05 17:14:37', NULL, NULL), (65923, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 6, 17, '2024-08-05 17:14:37', NULL, NULL), (65924, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 6, 17, '2024-08-05 17:14:37', NULL, NULL), (65925, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 6, 17, '2024-08-05 17:14:37', NULL, NULL), (65926, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '4', '', 1, 2024, 6, 17, '2024-08-05 17:14:37', NULL, NULL), (65927, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 6, 2024, 6, 18, '2024-08-05 17:14:37', NULL, NULL), (65928, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 6, 2024, 6, 18, '2024-08-05 17:14:37', NULL, NULL), (65929, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 5, 2024, 6, 18, '2024-08-05 17:14:37', NULL, NULL), (65930, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 6, 18, '2024-08-05 17:14:37', NULL, NULL), (65931, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 4, 2024, 6, 18, '2024-08-05 17:14:37', NULL, NULL), (65932, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 4, 2024, 6, 18, '2024-08-05 17:14:37', NULL, NULL), (65933, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 6, 18, '2024-08-05 17:14:37', NULL, NULL), (65934, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 3, 2024, 6, 18, '2024-08-05 17:14:37', NULL, NULL), (65935, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 6, 18, '2024-08-05 17:14:37', NULL, NULL), (65936, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 5, 2024, 6, 18, '2024-08-05 17:14:37', NULL, NULL), (65937, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 3, 2024, 6, 18, '2024-08-05 17:14:37', NULL, NULL), (65938, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 6, 18, '2024-08-05 17:14:37', NULL, NULL), (65939, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 10, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65940, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 10, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65941, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 6, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65942, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65943, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 2, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65944, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 1, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65945, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常不满意', '', '', 1, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65946, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 8, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65947, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '不满意', '', '', 1, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65948, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 8, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65949, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '不满意', '', '', 1, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65950, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常不满意', '', '', 1, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65951, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65952, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 6, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65953, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '不满意', '5', '', 1, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65954, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常不满意', '5', '', 1, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65955, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '6', '', 1, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65956, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 2, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65957, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 1, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65958, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 6, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65959, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65960, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常不满意', '5', '', 1, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65961, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '不满意', '5', '', 1, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65962, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '6', '', 1, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65963, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65964, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 6, 2024, 6, 19, '2024-08-05 17:14:37', NULL, NULL), (65965, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 7, 2024, 6, 20, '2024-08-05 17:14:37', NULL, NULL), (65966, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 7, 2024, 6, 20, '2024-08-05 17:14:37', NULL, NULL), (65967, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '1', '', 1, 2024, 6, 20, '2024-08-05 17:14:37', NULL, NULL), (65968, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 6, 20, '2024-08-05 17:14:38', NULL, NULL), (65969, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 3, 2024, 6, 20, '2024-08-05 17:14:37', NULL, NULL), (65970, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 2, 2024, 6, 20, '2024-08-05 17:14:38', NULL, NULL), (65971, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 7, 2024, 6, 20, '2024-08-05 17:14:38', NULL, NULL), (65972, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 7, 2024, 6, 20, '2024-08-05 17:14:38', NULL, NULL), (65973, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 3, 2024, 6, 20, '2024-08-05 17:14:38', NULL, NULL), (65974, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 6, 20, '2024-08-05 17:14:38', NULL, NULL), (65975, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '1', '', 1, 2024, 6, 20, '2024-08-05 17:14:38', NULL, NULL), (65976, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '6', '', 2, 2024, 6, 20, '2024-08-05 17:14:38', NULL, NULL), (65977, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 3, 2024, 6, 20, '2024-08-05 17:14:38', NULL, NULL), (65978, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 2, 2024, 6, 20, '2024-08-05 17:14:38', NULL, NULL), (65979, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '1', '', 1, 2024, 6, 20, '2024-08-05 17:14:38', NULL, NULL), (65980, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 6, 20, '2024-08-05 17:14:38', NULL, NULL), (65981, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '1', '', 1, 2024, 6, 20, '2024-08-05 17:14:38', NULL, NULL), (65982, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '6', '', 2, 2024, 6, 20, '2024-08-05 17:14:38', NULL, NULL), (65983, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 6, 20, '2024-08-05 17:14:38', NULL, NULL), (65984, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 3, 2024, 6, 20, '2024-08-05 17:14:38', NULL, NULL), (65985, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 1, 2024, 6, 21, '2024-08-05 17:14:38', NULL, NULL), (65986, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 1, 2024, 6, 21, '2024-08-05 17:14:38', NULL, NULL), (65987, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 1, 2024, 6, 21, '2024-08-05 17:14:38', NULL, NULL), (65988, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 1, 2024, 6, 21, '2024-08-05 17:14:38', NULL, NULL), (65989, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 1, 2024, 6, 21, '2024-08-05 17:14:38', NULL, NULL), (65990, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '6', '', 1, 2024, 6, 21, '2024-08-05 17:14:38', NULL, NULL), (65991, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 1, 2024, 6, 21, '2024-08-05 17:14:38', NULL, NULL), (65992, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '6', '', 1, 2024, 6, 21, '2024-08-05 17:14:38', NULL, NULL), (65993, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 4, 2024, 6, 24, '2024-08-05 17:14:38', NULL, NULL), (65994, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 4, 2024, 6, 24, '2024-08-05 17:14:38', NULL, NULL), (65995, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 3, 2024, 6, 24, '2024-08-05 17:14:38', NULL, NULL), (65996, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 6, 24, '2024-08-05 17:14:38', NULL, NULL), (65997, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 4, 2024, 6, 24, '2024-08-05 17:14:38', NULL, NULL), (65998, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 4, 2024, 6, 24, '2024-08-05 17:14:38', NULL, NULL), (65999, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 6, 24, '2024-08-05 17:14:38', NULL, NULL), (66000, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 3, 2024, 6, 24, '2024-08-05 17:14:38', NULL, NULL), (66001, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 3, 2024, 6, 24, '2024-08-05 17:14:38', NULL, NULL), (66002, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 6, 24, '2024-08-05 17:14:38', NULL, NULL), (66003, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 6, 24, '2024-08-05 17:14:38', NULL, NULL), (66004, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 3, 2024, 6, 24, '2024-08-05 17:14:38', NULL, NULL), (66005, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 7, 2024, 6, 25, '2024-08-05 17:14:38', NULL, NULL), (66006, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 7, 2024, 6, 25, '2024-08-05 17:14:38', NULL, NULL), (66007, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 3, 2024, 6, 25, '2024-08-05 17:14:38', NULL, NULL), (66008, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 6, 25, '2024-08-05 17:14:38', NULL, NULL), (66009, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 3, 2024, 6, 25, '2024-08-05 17:14:38', NULL, NULL), (66010, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 6, 2024, 6, 25, '2024-08-05 17:14:38', NULL, NULL), (66011, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 6, 2024, 6, 25, '2024-08-05 17:14:38', NULL, NULL), (66012, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 3, 2024, 6, 25, '2024-08-05 17:14:38', NULL, NULL), (66013, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '6', '', 3, 2024, 6, 25, '2024-08-05 17:14:38', NULL, NULL), (66014, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 6, 25, '2024-08-05 17:14:38', NULL, NULL), (66015, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 3, 2024, 6, 25, '2024-08-05 17:14:38', NULL, NULL), (66016, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 3, 2024, 6, 25, '2024-08-05 17:14:38', NULL, NULL), (66017, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '6', '', 3, 2024, 6, 25, '2024-08-05 17:14:38', NULL, NULL), (66018, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 3, 2024, 6, 25, '2024-08-05 17:14:38', NULL, NULL), (66019, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 1, 2024, 6, 26, '2024-08-05 17:14:38', NULL, NULL), (66020, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 1, 2024, 6, 26, '2024-08-05 17:14:38', NULL, NULL), (66021, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 6, 26, '2024-08-05 17:14:38', NULL, NULL), (66022, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 1, 2024, 6, 26, '2024-08-05 17:14:38', NULL, NULL), (66023, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 1, 2024, 6, 26, '2024-08-05 17:14:38', NULL, NULL), (66024, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 6, 26, '2024-08-05 17:14:38', NULL, NULL), (66025, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 6, 26, '2024-08-05 17:14:38', NULL, NULL), (66026, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 6, 26, '2024-08-05 17:14:38', NULL, NULL), (66027, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 4, 2024, 6, 27, '2024-08-05 17:14:38', NULL, NULL), (66028, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 4, 2024, 6, 27, '2024-08-05 17:14:38', NULL, NULL), (66029, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 2, 2024, 6, 27, '2024-08-05 17:14:38', NULL, NULL), (66030, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 2, 2024, 6, 27, '2024-08-05 17:14:39', NULL, NULL), (66031, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 4, 2024, 6, 27, '2024-08-05 17:14:39', NULL, NULL), (66032, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 4, 2024, 6, 27, '2024-08-05 17:14:39', NULL, NULL), (66033, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 2, 2024, 6, 27, '2024-08-05 17:14:39', NULL, NULL), (66034, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 2, 2024, 6, 27, '2024-08-05 17:14:39', NULL, NULL), (66035, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 2, 2024, 6, 27, '2024-08-05 17:14:39', NULL, NULL), (66036, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 2, 2024, 6, 27, '2024-08-05 17:14:39', NULL, NULL), (66037, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 2, 2024, 6, 27, '2024-08-05 17:14:39', NULL, NULL), (66038, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 2, 2024, 6, 27, '2024-08-05 17:14:39', NULL, NULL), (66039, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 7, 2024, 6, 28, '2024-08-05 17:14:39', NULL, NULL), (66040, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 7, 2024, 6, 28, '2024-08-05 17:14:39', NULL, NULL), (66041, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 2, 2024, 6, 28, '2024-08-05 17:14:39', NULL, NULL), (66042, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 4, 2024, 6, 28, '2024-08-05 17:14:39', NULL, NULL), (66043, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 6, 28, '2024-08-05 17:14:39', NULL, NULL), (66044, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 7, 2024, 6, 28, '2024-08-05 17:14:39', NULL, NULL), (66045, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 7, 2024, 6, 28, '2024-08-05 17:14:39', NULL, NULL), (66046, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 6, 28, '2024-08-05 17:14:39', NULL, NULL), (66047, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 4, 2024, 6, 28, '2024-08-05 17:14:39', NULL, NULL), (66048, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 2, 2024, 6, 28, '2024-08-05 17:14:39', NULL, NULL), (66049, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 6, 28, '2024-08-05 17:14:39', NULL, NULL), (66050, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 2, 2024, 6, 28, '2024-08-05 17:14:39', NULL, NULL), (66051, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 4, 2024, 6, 28, '2024-08-05 17:14:39', NULL, NULL), (66052, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 4, 2024, 6, 28, '2024-08-05 17:14:39', NULL, NULL), (66053, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 2, 2024, 6, 28, '2024-08-05 17:14:39', NULL, NULL), (66054, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 6, 28, '2024-08-05 17:14:39', NULL, NULL), (66055, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 4, 2024, 7, 1, '2024-08-05 17:14:39', NULL, NULL), (66056, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 4, 2024, 7, 1, '2024-08-05 17:14:39', NULL, NULL), (66057, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 7, 1, '2024-08-05 17:14:39', NULL, NULL), (66058, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 2, 2024, 7, 1, '2024-08-05 17:14:39', NULL, NULL), (66059, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 7, 1, '2024-08-05 17:14:39', NULL, NULL), (66060, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 4, 2024, 7, 1, '2024-08-05 17:14:39', NULL, NULL), (66061, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 4, 2024, 7, 1, '2024-08-05 17:14:39', NULL, NULL), (66062, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 7, 1, '2024-08-05 17:14:39', NULL, NULL), (66063, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 2, 2024, 7, 1, '2024-08-05 17:14:39', NULL, NULL), (66064, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 7, 1, '2024-08-05 17:14:39', NULL, NULL), (66065, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 7, 1, '2024-08-05 17:14:39', NULL, NULL), (66066, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 7, 1, '2024-08-05 17:14:39', NULL, NULL), (66067, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 2, 2024, 7, 1, '2024-08-05 17:14:39', NULL, NULL), (66068, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 2, 2024, 7, 1, '2024-08-05 17:14:39', NULL, NULL), (66069, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 7, 1, '2024-08-05 17:14:39', NULL, NULL), (66070, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 7, 1, '2024-08-05 17:14:39', NULL, NULL), (66071, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 3, 2024, 7, 3, '2024-08-05 17:14:39', NULL, NULL), (66072, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 3, 2024, 7, 3, '2024-08-05 17:14:39', NULL, NULL), (66073, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 7, 3, '2024-08-05 17:14:39', NULL, NULL), (66074, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 7, 3, '2024-08-05 17:14:39', NULL, NULL), (66075, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 1, 2024, 7, 3, '2024-08-05 17:14:39', NULL, NULL), (66076, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 3, 2024, 7, 3, '2024-08-05 17:14:39', NULL, NULL), (66077, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 3, 2024, 7, 3, '2024-08-05 17:14:39', NULL, NULL), (66078, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 7, 3, '2024-08-05 17:14:39', NULL, NULL), (66079, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 7, 3, '2024-08-05 17:14:39', NULL, NULL), (66080, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '6', '', 1, 2024, 7, 3, '2024-08-05 17:14:39', NULL, NULL), (66081, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 7, 3, '2024-08-05 17:14:39', NULL, NULL), (66082, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 1, 2024, 7, 3, '2024-08-05 17:14:39', NULL, NULL), (66083, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 7, 3, '2024-08-05 17:14:39', NULL, NULL), (66084, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '6', '', 1, 2024, 7, 3, '2024-08-05 17:14:40', NULL, NULL), (66085, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 7, 3, '2024-08-05 17:14:40', NULL, NULL), (66086, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 7, 3, '2024-08-05 17:14:40', NULL, NULL), (66087, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 4, 2024, 7, 4, '2024-08-05 17:14:40', NULL, NULL), (66088, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 4, 2024, 7, 4, '2024-08-05 17:14:40', NULL, NULL), (66089, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 2, 2024, 7, 4, '2024-08-05 17:14:40', NULL, NULL), (66090, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 7, 4, '2024-08-05 17:14:40', NULL, NULL), (66091, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 7, 4, '2024-08-05 17:14:40', NULL, NULL), (66092, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 3, 2024, 7, 4, '2024-08-05 17:14:40', NULL, NULL), (66093, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 3, 2024, 7, 4, '2024-08-05 17:14:40', NULL, NULL), (66094, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 7, 4, '2024-08-05 17:14:40', NULL, NULL), (66095, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 2, 2024, 7, 4, '2024-08-05 17:14:40', NULL, NULL), (66096, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 7, 4, '2024-08-05 17:14:40', NULL, NULL), (66097, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 2, 2024, 7, 4, '2024-08-05 17:14:40', NULL, NULL), (66098, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 7, 4, '2024-08-05 17:14:40', NULL, NULL), (66099, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 7, 4, '2024-08-05 17:14:40', NULL, NULL), (66100, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 2, 2024, 7, 4, '2024-08-05 17:14:40', NULL, NULL), (66101, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 1, 2024, 7, 5, '2024-08-05 17:14:40', NULL, NULL), (66102, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 1, 2024, 7, 5, '2024-08-05 17:14:40', NULL, NULL), (66103, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 7, 5, '2024-08-05 17:14:40', NULL, NULL), (66104, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 1, 2024, 7, 5, '2024-08-05 17:14:40', NULL, NULL), (66105, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 1, 2024, 7, 5, '2024-08-05 17:14:40', NULL, NULL), (66106, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 7, 5, '2024-08-05 17:14:40', NULL, NULL), (66107, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 7, 5, '2024-08-05 17:14:40', NULL, NULL), (66108, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 7, 5, '2024-08-05 17:14:40', NULL, NULL), (66109, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 1, 2024, 7, 8, '2024-08-05 17:14:40', NULL, NULL), (66110, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 1, 2024, 7, 8, '2024-08-05 17:14:40', NULL, NULL), (66111, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 7, 8, '2024-08-05 17:14:40', NULL, NULL), (66112, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 1, 2024, 7, 8, '2024-08-05 17:14:40', NULL, NULL), (66113, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 1, 2024, 7, 8, '2024-08-05 17:14:40', NULL, NULL), (66114, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 7, 8, '2024-08-05 17:14:40', NULL, NULL), (66115, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 7, 8, '2024-08-05 17:14:40', NULL, NULL), (66116, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 7, 8, '2024-08-05 17:14:40', NULL, NULL), (66117, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 2, 2024, 7, 9, '2024-08-05 17:14:40', NULL, NULL), (66118, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 2, 2024, 7, 9, '2024-08-05 17:14:40', NULL, NULL), (66119, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 2, 2024, 7, 9, '2024-08-05 17:14:40', NULL, NULL), (66120, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 2, 2024, 7, 9, '2024-08-05 17:14:40', NULL, NULL), (66121, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 2, 2024, 7, 9, '2024-08-05 17:14:40', NULL, NULL), (66122, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 2, 2024, 7, 9, '2024-08-05 17:14:40', NULL, NULL), (66123, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 2, 2024, 7, 9, '2024-08-05 17:14:40', NULL, NULL), (66124, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 2, 2024, 7, 9, '2024-08-05 17:14:40', NULL, NULL), (66125, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 6, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66126, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 6, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66127, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66128, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 2, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66129, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 2, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66130, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 1, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66131, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 5, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66132, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 5, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66133, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66134, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 2, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66135, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66136, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '6', '', 1, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66137, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 2, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66138, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 1, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66139, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66140, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 2, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66141, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '6', '', 1, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66142, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 2, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66143, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66144, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 7, 11, '2024-08-05 17:14:41', NULL, NULL), (66145, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 3, 2024, 7, 12, '2024-08-05 17:14:41', NULL, NULL), (66146, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 3, 2024, 7, 12, '2024-08-05 17:14:41', NULL, NULL), (66147, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 3, 2024, 7, 12, '2024-08-05 17:14:41', NULL, NULL), (66148, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 3, 2024, 7, 12, '2024-08-05 17:14:41', NULL, NULL), (66149, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 3, 2024, 7, 12, '2024-08-05 17:14:41', NULL, NULL), (66150, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 3, 2024, 7, 12, '2024-08-05 17:14:41', NULL, NULL), (66151, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 3, 2024, 7, 12, '2024-08-05 17:14:41', NULL, NULL), (66152, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 3, 2024, 7, 12, '2024-08-05 17:14:41', NULL, NULL), (66153, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 4, 2024, 7, 15, '2024-08-05 17:14:41', NULL, NULL), (66154, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 4, 2024, 7, 15, '2024-08-05 17:14:41', NULL, NULL), (66155, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 2, 2024, 7, 15, '2024-08-05 17:14:41', NULL, NULL), (66156, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 7, 15, '2024-08-05 17:14:41', NULL, NULL), (66157, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '4', '', 1, 2024, 7, 15, '2024-08-05 17:14:41', NULL, NULL), (66158, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 2, 2024, 7, 15, '2024-08-05 17:14:41', NULL, NULL), (66159, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 2, 2024, 7, 15, '2024-08-05 17:14:41', NULL, NULL), (66160, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 7, 15, '2024-08-05 17:14:41', NULL, NULL), (66161, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 7, 15, '2024-08-05 17:14:41', NULL, NULL), (66162, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '4', '', 1, 2024, 7, 15, '2024-08-05 17:14:41', NULL, NULL), (66163, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 2, 2024, 7, 15, '2024-08-05 17:14:41', NULL, NULL), (66164, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 7, 15, '2024-08-05 17:14:41', NULL, NULL), (66165, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 7, 15, '2024-08-05 17:14:41', NULL, NULL), (66166, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 7, 15, '2024-08-05 17:14:41', NULL, NULL), (66167, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 4, 2024, 7, 16, '2024-08-05 17:14:41', NULL, NULL), (66168, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 4, 2024, 7, 16, '2024-08-05 17:14:42', NULL, NULL), (66169, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 2, 2024, 7, 16, '2024-08-05 17:14:42', NULL, NULL), (66170, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '4', '', 1, 2024, 7, 16, '2024-08-05 17:14:42', NULL, NULL), (66171, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 7, 16, '2024-08-05 17:14:42', NULL, NULL), (66172, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 4, 2024, 7, 16, '2024-08-05 17:14:42', NULL, NULL), (66173, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 4, 2024, 7, 16, '2024-08-05 17:14:42', NULL, NULL), (66174, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 7, 16, '2024-08-05 17:14:42', NULL, NULL), (66175, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '4', '', 1, 2024, 7, 16, '2024-08-05 17:14:42', NULL, NULL), (66176, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 2, 2024, 7, 16, '2024-08-05 17:14:42', NULL, NULL), (66177, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '4', '', 1, 2024, 7, 16, '2024-08-05 17:14:42', NULL, NULL), (66178, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 7, 16, '2024-08-05 17:14:42', NULL, NULL), (66179, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 2, 2024, 7, 16, '2024-08-05 17:14:42', NULL, NULL), (66180, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 2, 2024, 7, 16, '2024-08-05 17:14:42', NULL, NULL), (66181, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 7, 16, '2024-08-05 17:14:42', NULL, NULL), (66182, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '4', '', 1, 2024, 7, 16, '2024-08-05 17:14:42', NULL, NULL), (66183, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 5, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66184, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 5, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66185, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66186, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 2, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66187, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '4', '', 1, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66188, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66189, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 4, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66190, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 4, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66191, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66192, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '4', '', 1, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66193, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66194, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66195, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '4', '', 1, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66196, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66197, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66198, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 2, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66199, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66200, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66201, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66202, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '4', '', 1, 2024, 7, 17, '2024-08-05 17:14:42', NULL, NULL), (66203, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 2, 2024, 7, 18, '2024-08-05 17:14:42', NULL, NULL), (66204, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 2, 2024, 7, 18, '2024-08-05 17:14:42', NULL, NULL), (66205, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 7, 18, '2024-08-05 17:14:42', NULL, NULL), (66206, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 7, 18, '2024-08-05 17:14:42', NULL, NULL), (66207, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 2, 2024, 7, 18, '2024-08-05 17:14:42', NULL, NULL), (66208, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 2, 2024, 7, 18, '2024-08-05 17:14:42', NULL, NULL), (66209, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 7, 18, '2024-08-05 17:14:42', NULL, NULL), (66210, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 7, 18, '2024-08-05 17:14:42', NULL, NULL), (66211, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 7, 18, '2024-08-05 17:14:42', NULL, NULL), (66212, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 7, 18, '2024-08-05 17:14:43', NULL, NULL), (66213, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 7, 18, '2024-08-05 17:14:43', NULL, NULL), (66214, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 7, 18, '2024-08-05 17:14:43', NULL, NULL), (66215, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 2, 2024, 7, 19, '2024-08-05 17:14:43', NULL, NULL), (66216, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 2, 2024, 7, 19, '2024-08-05 17:14:43', NULL, NULL), (66217, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 7, 19, '2024-08-05 17:14:43', NULL, NULL), (66218, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 7, 19, '2024-08-05 17:14:43', NULL, NULL), (66219, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 2, 2024, 7, 19, '2024-08-05 17:14:43', NULL, NULL), (66220, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 2, 2024, 7, 19, '2024-08-05 17:14:43', NULL, NULL), (66221, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 7, 19, '2024-08-05 17:14:43', NULL, NULL), (66222, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 7, 19, '2024-08-05 17:14:43', NULL, NULL), (66223, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 7, 19, '2024-08-05 17:14:43', NULL, NULL), (66224, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 7, 19, '2024-08-05 17:14:43', NULL, NULL), (66225, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 7, 19, '2024-08-05 17:14:43', NULL, NULL), (66226, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 7, 19, '2024-08-05 17:14:43', NULL, NULL), (66227, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 3, 2024, 7, 24, '2024-08-05 17:14:43', NULL, NULL), (66228, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 3, 2024, 7, 24, '2024-08-05 17:14:43', NULL, NULL), (66229, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 2, 2024, 7, 24, '2024-08-05 17:14:43', NULL, NULL), (66230, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 7, 24, '2024-08-05 17:14:43', NULL, NULL), (66231, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 3, 2024, 7, 24, '2024-08-05 17:14:43', NULL, NULL), (66232, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 3, 2024, 7, 24, '2024-08-05 17:14:43', NULL, NULL), (66233, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 7, 24, '2024-08-05 17:14:43', NULL, NULL), (66234, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 2, 2024, 7, 24, '2024-08-05 17:14:44', NULL, NULL), (66235, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 2, 2024, 7, 24, '2024-08-05 17:14:44', NULL, NULL), (66236, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 7, 24, '2024-08-05 17:14:44', NULL, NULL), (66237, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 7, 24, '2024-08-05 17:14:44', NULL, NULL), (66238, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 2, 2024, 7, 24, '2024-08-05 17:14:44', NULL, NULL), (66239, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 6, 2024, 7, 26, '2024-08-05 17:14:44', NULL, NULL), (66240, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 6, 2024, 7, 26, '2024-08-05 17:14:44', NULL, NULL), (66241, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 3, 2024, 7, 26, '2024-08-05 17:14:44', NULL, NULL), (66242, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 2, 2024, 7, 26, '2024-08-05 17:14:44', NULL, NULL), (66243, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 7, 26, '2024-08-05 17:14:44', NULL, NULL), (66244, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 6, 2024, 7, 26, '2024-08-05 17:14:44', NULL, NULL), (66245, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 6, 2024, 7, 26, '2024-08-05 17:14:44', NULL, NULL), (66246, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 7, 26, '2024-08-05 17:14:44', NULL, NULL), (66247, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 2, 2024, 7, 26, '2024-08-05 17:14:44', NULL, NULL), (66248, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 3, 2024, 7, 26, '2024-08-05 17:14:45', NULL, NULL), (66249, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 7, 26, '2024-08-05 17:14:45', NULL, NULL), (66250, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 3, 2024, 7, 26, '2024-08-05 17:14:45', NULL, NULL), (66251, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 2, 2024, 7, 26, '2024-08-05 17:14:45', NULL, NULL), (66252, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 2, 2024, 7, 26, '2024-08-05 17:14:45', NULL, NULL), (66253, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 3, 2024, 7, 26, '2024-08-05 17:14:45', NULL, NULL), (66254, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 7, 26, '2024-08-05 17:14:45', NULL, NULL), (66255, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 1, 2024, 7, 29, '2024-08-05 17:14:45', NULL, NULL), (66256, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 1, 2024, 7, 29, '2024-08-05 17:14:45', NULL, NULL), (66257, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 7, 29, '2024-08-05 17:14:45', NULL, NULL), (66258, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 1, 2024, 7, 29, '2024-08-05 17:14:45', NULL, NULL), (66259, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 1, 2024, 7, 29, '2024-08-05 17:14:45', NULL, NULL), (66260, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 7, 29, '2024-08-05 17:14:45', NULL, NULL), (66261, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 7, 29, '2024-08-05 17:14:46', NULL, NULL), (66262, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 7, 29, '2024-08-05 17:14:46', NULL, NULL), (66263, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 2, 2024, 7, 30, '2024-08-05 17:14:46', NULL, NULL), (66264, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 2, 2024, 7, 30, '2024-08-05 17:14:46', NULL, NULL), (66265, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 2, 2024, 7, 30, '2024-08-05 17:14:46', NULL, NULL), (66266, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 2, 2024, 7, 30, '2024-08-05 17:14:46', NULL, NULL), (66267, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 2, 2024, 7, 30, '2024-08-05 17:14:46', NULL, NULL), (66268, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 2, 2024, 7, 30, '2024-08-05 17:14:46', NULL, NULL), (66269, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 2, 2024, 7, 30, '2024-08-05 17:14:46', NULL, NULL), (66270, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 2, 2024, 7, 30, '2024-08-05 17:14:46', NULL, NULL), (66271, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 11, 2024, 8, 2, '2024-08-05 17:14:46', 1, '2024-08-06 02:01:18'), (66272, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 11, 2024, 8, 2, '2024-08-05 17:14:46', 1, '2024-08-06 02:01:18'), (66273, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:38'), (66274, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 2, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:40'), (66275, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '4', '', 3, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:24'), (66276, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 3, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:30'), (66277, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 2, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:46'), (66278, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 11, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:46'), (66279, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 11, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:46'), (66280, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 3, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:47'), (66281, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '4', '', 3, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:47');
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (66282, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 2, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:52'), (66283, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:53'), (66284, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '6', '', 2, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:47'), (66285, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '4', '', 3, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:53'), (66286, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 3, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:53'), (66287, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 2, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:54'), (66288, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:53'), (66289, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 2, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:53'), (66290, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '6', '', 2, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:54'), (66291, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 2, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:54'), (66292, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:54'), (66293, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 3, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:54'), (66294, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '4', '', 3, 2024, 8, 2, '2024-08-05 17:14:47', 1, '2024-08-06 02:01:54'), (66295, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 17:27:09', NULL, NULL), (66296, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 17:27:09', NULL, NULL), (66297, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 17:27:09', NULL, NULL), (66298, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 17:27:09', NULL, NULL), (66299, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 17:27:09', NULL, NULL), (66300, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 17:27:09', NULL, NULL), (66301, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 17:27:09', NULL, NULL), (66302, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 17:27:09', NULL, NULL), (66303, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 17:27:09', NULL, NULL), (66304, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 17:27:09', NULL, NULL), (66305, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 17:27:09', NULL, NULL), (66306, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 17:27:09', NULL, NULL), (66307, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 17:27:09', NULL, NULL), (66308, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 17:27:09', NULL, NULL), (66309, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 17:27:09', NULL, NULL), (66310, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 17:27:09', NULL, NULL), (66311, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 17:27:09', NULL, NULL), (66312, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 17:27:09', NULL, NULL), (66313, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 17:27:09', NULL, NULL), (66314, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 17:27:09', NULL, NULL), (66315, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 17:27:09', NULL, NULL), (66316, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 17:27:09', NULL, NULL), (66317, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 17:27:09', NULL, NULL), (66318, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 17:27:09', NULL, NULL), (66319, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 17:27:09', NULL, NULL), (66320, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 17:27:09', NULL, NULL), (66321, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 17:27:09', NULL, NULL), (66322, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 17:27:09', NULL, NULL), (66323, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 17:27:09', NULL, NULL), (66324, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 17:27:09', NULL, NULL), (66325, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 17:27:10', NULL, NULL), (66326, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 17:27:10', NULL, NULL), (66327, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 17:27:10', NULL, NULL), (66328, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 17:27:10', NULL, NULL), (66329, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 17:27:10', NULL, NULL), (66330, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 17:27:10', NULL, NULL), (66331, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 17:27:10', NULL, NULL), (66332, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 17:27:10', NULL, NULL), (66333, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 17:27:10', NULL, NULL), (66334, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 17:27:10', NULL, NULL), (66335, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 17:27:10', NULL, NULL), (66336, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 17:27:10', NULL, NULL), (66337, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 17:27:10', NULL, NULL), (66338, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 17:27:10', NULL, NULL), (66339, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 17:27:10', NULL, NULL), (66340, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 17:27:10', NULL, NULL), (66341, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 17:27:10', NULL, NULL), (66342, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 17:27:10', NULL, NULL), (66343, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 17:27:10', NULL, NULL), (66344, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 17:27:10', NULL, NULL), (66345, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 17:27:10', NULL, NULL), (66346, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 17:27:10', NULL, NULL), (66347, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 17:27:10', NULL, NULL), (66348, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 17:27:10', NULL, NULL), (66349, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 17:27:10', NULL, NULL), (66350, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 17:27:10', NULL, NULL), (66351, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 17:27:10', NULL, NULL), (66352, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 17:27:10', NULL, NULL), (66353, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 17:27:10', NULL, NULL), (66354, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 17:27:10', NULL, NULL), (66355, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 17:27:10', NULL, NULL), (66356, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 17:27:10', NULL, NULL), (66357, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 17:27:10', NULL, NULL), (66358, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 17:27:10', NULL, NULL), (66359, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 17:27:10', NULL, NULL), (66360, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 17:27:10', NULL, NULL), (66361, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 17:27:10', NULL, NULL), (66362, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 17:27:10', NULL, NULL), (66363, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 17:27:10', NULL, NULL), (66364, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 17:27:10', NULL, NULL), (66365, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 17:27:10', NULL, NULL), (66366, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 17:27:10', NULL, NULL), (66367, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 17:27:10', NULL, NULL), (66368, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 17:27:10', NULL, NULL), (66369, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 17:27:10', NULL, NULL), (66370, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 17:27:10', NULL, NULL), (66371, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 17:27:10', NULL, NULL), (66372, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 17:27:10', NULL, NULL), (66373, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 17:27:10', NULL, NULL), (66374, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 17:27:10', NULL, NULL), (66375, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 17:27:10', NULL, NULL), (66376, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 17:27:10', NULL, NULL), (66377, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 17:27:10', NULL, NULL), (66378, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 17:27:10', NULL, NULL), (66379, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 17:27:10', NULL, NULL), (66380, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 17:27:10', NULL, NULL), (66381, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 17:27:10', NULL, NULL), (66382, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 17:27:10', NULL, NULL), (66383, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 17:27:10', NULL, NULL), (66384, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 17:27:10', NULL, NULL), (66385, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 17:27:10', NULL, NULL), (66386, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 17:27:10', NULL, NULL), (66387, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 17:27:10', NULL, NULL), (66388, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 17:27:10', NULL, NULL), (66389, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 17:27:10', NULL, NULL), (66390, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 17:27:10', NULL, NULL), (66391, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 17:27:10', NULL, NULL), (66392, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 17:27:10', NULL, NULL), (66393, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 17:27:10', NULL, NULL), (66394, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 17:27:10', NULL, NULL), (66395, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 17:27:10', NULL, NULL), (66396, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 17:27:10', NULL, NULL), (66397, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 17:27:10', NULL, NULL), (66398, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 17:27:10', NULL, NULL), (66399, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 17:27:10', NULL, NULL), (66400, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 17:27:10', NULL, NULL), (66401, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 17:27:10', NULL, NULL), (66402, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 17:27:10', NULL, NULL), (66403, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 17:27:10', NULL, NULL), (66404, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 17:27:10', NULL, NULL), (66405, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 17:27:10', NULL, NULL), (66406, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 17:27:10', NULL, NULL), (66407, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 17:27:10', NULL, NULL), (66408, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 17:27:10', NULL, NULL), (66409, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 17:27:10', NULL, NULL), (66410, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 17:27:10', NULL, NULL), (66411, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 17:27:10', NULL, NULL), (66412, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 17:27:10', NULL, NULL), (66413, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 17:27:10', NULL, NULL), (66414, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 17:27:10', NULL, NULL), (66415, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 17:27:10', NULL, NULL), (66416, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 17:27:10', NULL, NULL), (66417, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 17:27:10', NULL, NULL), (66418, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 17:27:10', NULL, NULL), (66419, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 17:27:10', NULL, NULL), (66420, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 17:27:10', NULL, NULL), (66421, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 17:27:11', NULL, NULL), (66422, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 17:27:11', NULL, NULL), (66423, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 17:27:11', NULL, NULL), (66424, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 17:27:11', NULL, NULL), (66425, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 17:27:11', NULL, NULL), (66426, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 17:27:11', NULL, NULL), (66427, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 17:27:11', NULL, NULL), (66428, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 17:27:11', NULL, NULL), (66429, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 17:27:11', NULL, NULL), (66430, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 17:27:11', NULL, NULL), (66431, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 17:27:11', NULL, NULL), (66432, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 17:27:11', NULL, NULL), (66433, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 17:27:11', NULL, NULL), (66434, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 17:27:11', NULL, NULL), (66435, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 17:27:11', NULL, NULL), (66436, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 17:27:11', NULL, NULL), (66437, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 17:27:11', NULL, NULL), (66438, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 17:27:11', NULL, NULL), (66439, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 17:27:11', NULL, NULL), (66440, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 17:27:11', NULL, NULL), (66441, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 17:27:11', NULL, NULL), (66442, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 17:27:11', NULL, NULL), (66443, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 17:27:11', NULL, NULL), (66444, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 17:27:11', NULL, NULL), (66445, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 17:27:11', NULL, NULL), (66446, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 17:27:11', NULL, NULL), (66447, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 17:27:11', NULL, NULL), (66448, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 17:27:11', NULL, NULL), (66449, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 17:27:11', NULL, NULL), (66450, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 17:27:11', NULL, NULL), (66451, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 17:27:11', NULL, NULL), (66452, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 17:27:11', NULL, NULL), (66453, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 17:27:11', NULL, NULL), (66454, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 17:27:11', NULL, NULL), (66455, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 17:27:11', NULL, NULL), (66456, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 17:27:11', NULL, NULL), (66457, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 17:27:11', NULL, NULL), (66458, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 17:27:11', NULL, NULL), (66459, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 17:27:11', NULL, NULL), (66460, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 17:27:11', NULL, NULL), (66461, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 17:27:11', NULL, NULL), (66462, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 17:27:11', NULL, NULL), (66463, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 17:27:11', NULL, NULL), (66464, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 17:27:11', NULL, NULL), (66465, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 17:27:11', NULL, NULL), (66466, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 17:27:11', NULL, NULL), (66467, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 17:27:11', NULL, NULL), (66468, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 17:27:11', NULL, NULL), (66469, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 17:27:11', NULL, NULL), (66470, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 17:27:11', NULL, NULL), (66471, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 17:27:11', NULL, NULL), (66472, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 17:27:11', NULL, NULL), (66473, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 17:27:11', NULL, NULL), (66474, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 17:27:11', NULL, NULL), (66475, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 17:27:11', NULL, NULL), (66476, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 17:27:11', NULL, NULL), (66477, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 17:27:11', NULL, NULL), (66478, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 17:27:11', NULL, NULL), (66479, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 17:27:11', NULL, NULL), (66480, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 17:27:11', NULL, NULL), (66481, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 17:27:11', NULL, NULL), (66482, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 17:27:11', NULL, NULL), (66483, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 17:27:11', NULL, NULL), (66484, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 17:27:11', NULL, NULL), (66485, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 17:27:11', NULL, NULL), (66486, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 17:27:11', NULL, NULL), (66487, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 17:27:11', NULL, NULL), (66488, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 17:27:11', NULL, NULL), (66489, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 17:27:11', NULL, NULL), (66490, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 17:27:11', NULL, NULL), (66491, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 17:27:11', NULL, NULL), (66492, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 17:27:11', NULL, NULL), (66493, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 17:27:11', NULL, NULL), (66494, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 17:27:11', NULL, NULL), (66495, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 17:27:11', NULL, NULL), (66496, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 17:27:11', NULL, NULL), (66497, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 17:27:11', NULL, NULL), (66498, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 17:27:11', NULL, NULL), (66499, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 17:27:11', NULL, NULL), (66500, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 17:27:11', NULL, NULL), (66501, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 17:27:11', NULL, NULL), (66502, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 17:27:11', NULL, NULL), (66503, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 17:27:11', NULL, NULL), (66504, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 17:27:11', NULL, NULL), (66505, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 17:27:11', NULL, NULL), (66506, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 17:27:11', NULL, NULL), (66507, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 17:27:11', NULL, NULL), (66508, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 17:27:11', NULL, NULL), (66509, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 17:27:11', NULL, NULL), (66510, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 17:27:11', NULL, NULL), (66511, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 17:27:12', NULL, NULL), (66512, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 17:27:12', NULL, NULL), (66513, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 17:27:12', NULL, NULL), (66514, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 17:27:12', NULL, NULL), (66515, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 17:27:12', NULL, NULL), (66516, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 17:27:12', NULL, NULL), (66517, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 17:27:12', NULL, NULL), (66518, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 17:27:12', NULL, NULL), (66519, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 17:27:12', NULL, NULL), (66520, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 17:27:12', NULL, NULL), (66521, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 17:27:12', NULL, NULL), (66522, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 17:27:12', NULL, NULL), (66523, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 17:27:12', NULL, NULL), (66524, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 17:27:12', NULL, NULL), (66525, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 17:27:12', NULL, NULL), (66526, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 17:27:12', NULL, NULL), (66527, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 17:27:12', NULL, NULL), (66528, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 17:27:12', NULL, NULL), (66529, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 17:27:12', NULL, NULL), (66530, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 17:27:12', NULL, NULL), (66531, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 17:27:12', NULL, NULL), (66532, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 17:27:12', NULL, NULL), (66533, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 17:27:12', NULL, NULL), (66534, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 17:27:12', NULL, NULL), (66535, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 17:27:12', NULL, NULL), (66536, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 17:27:12', NULL, NULL), (66537, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 17:27:12', NULL, NULL), (66538, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 17:27:12', NULL, NULL), (66539, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 17:27:12', NULL, NULL), (66540, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 17:27:12', NULL, NULL), (66541, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 17:27:12', NULL, NULL), (66542, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 17:27:12', NULL, NULL), (66543, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 17:27:12', NULL, NULL), (66544, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 17:27:12', NULL, NULL), (66545, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 17:27:12', NULL, NULL), (66546, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 17:27:12', NULL, NULL), (66547, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 17:27:12', NULL, NULL), (66548, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 17:27:12', NULL, NULL), (66549, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 17:27:12', NULL, NULL), (66550, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 17:27:12', NULL, NULL), (66551, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 17:27:12', NULL, NULL), (66552, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 17:27:12', NULL, NULL), (66553, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 17:27:12', NULL, NULL), (66554, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 17:27:12', NULL, NULL), (66555, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 17:27:12', NULL, NULL), (66556, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 17:27:12', NULL, NULL), (66557, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 17:27:12', NULL, NULL), (66558, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 17:27:12', NULL, NULL), (66559, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 17:27:12', NULL, NULL), (66560, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 17:27:12', NULL, NULL), (66561, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 17:27:12', NULL, NULL), (66562, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 17:27:12', NULL, NULL), (66563, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 17:27:12', NULL, NULL), (66564, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 17:27:12', NULL, NULL), (66565, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 17:27:12', NULL, NULL), (66566, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 17:27:12', NULL, NULL), (66567, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 17:27:12', NULL, NULL), (66568, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 17:27:12', NULL, NULL), (66569, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 17:27:12', NULL, NULL), (66570, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 17:27:12', NULL, NULL), (66571, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 17:27:12', NULL, NULL), (66572, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 17:27:12', NULL, NULL), (66573, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 17:27:12', NULL, NULL), (66574, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 17:27:12', NULL, NULL), (66575, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 17:27:12', NULL, NULL), (66576, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 17:27:12', NULL, NULL), (66577, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 17:27:12', NULL, NULL), (66578, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 17:27:12', NULL, NULL), (66579, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 17:27:12', NULL, NULL), (66580, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 17:27:12', NULL, NULL), (66581, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 17:27:12', NULL, NULL), (66582, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 17:27:12', NULL, NULL), (66583, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 17:27:12', NULL, NULL), (66584, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 17:27:12', NULL, NULL), (66585, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 17:27:12', NULL, NULL), (66586, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 17:27:12', NULL, NULL), (66587, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 17:27:12', NULL, NULL), (66588, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 17:27:12', NULL, NULL), (66589, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 17:27:12', NULL, NULL), (66590, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 17:27:12', NULL, NULL), (66591, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 17:27:12', NULL, NULL), (66592, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 17:27:12', NULL, NULL), (66593, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 17:27:12', NULL, NULL), (66594, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 17:27:12', NULL, NULL), (66595, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 17:27:12', NULL, NULL), (66596, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 17:27:12', NULL, NULL), (66597, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 17:27:12', NULL, NULL), (66598, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 17:27:12', NULL, NULL), (66599, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 17:27:12', NULL, NULL), (66600, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 17:27:12', NULL, NULL), (66601, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 17:27:12', NULL, NULL), (66602, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 17:27:12', NULL, NULL), (66603, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 17:27:12', NULL, NULL), (66604, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 17:27:12', NULL, NULL), (66605, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 17:27:12', NULL, NULL), (66606, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 17:27:12', NULL, NULL), (66607, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 17:27:12', NULL, NULL), (66608, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 17:27:12', NULL, NULL), (66609, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 17:27:12', NULL, NULL), (66610, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 17:27:12', NULL, NULL), (66611, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 17:27:12', NULL, NULL), (66612, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 17:27:12', NULL, NULL), (66613, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 17:27:12', NULL, NULL), (66614, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 17:27:12', NULL, NULL), (66615, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 17:27:12', NULL, NULL), (66616, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 17:27:12', NULL, NULL), (66617, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 17:27:12', NULL, NULL), (66618, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 17:27:12', NULL, NULL), (66619, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 17:27:12', NULL, NULL), (66620, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 17:27:12', NULL, NULL), (66621, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 17:27:12', NULL, NULL), (66622, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 17:27:12', NULL, NULL), (66623, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 17:27:12', NULL, NULL), (66624, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 17:27:12', NULL, NULL), (66625, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 17:27:12', NULL, NULL), (66626, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 17:27:12', NULL, NULL), (66627, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 17:27:12', NULL, NULL), (66628, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 17:27:12', NULL, NULL), (66629, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 17:27:12', NULL, NULL), (66630, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 17:27:12', NULL, NULL), (66631, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 17:27:12', NULL, NULL), (66632, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 17:27:12', NULL, NULL), (66633, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 17:27:12', NULL, NULL), (66634, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 17:27:12', NULL, NULL), (66635, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 17:27:12', NULL, NULL), (66636, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 17:27:12', NULL, NULL), (66637, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 17:27:12', NULL, NULL), (66638, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 17:27:12', NULL, NULL), (66639, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 17:27:12', NULL, NULL), (66640, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 17:27:12', NULL, NULL), (66641, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 17:27:12', NULL, NULL), (66642, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 17:27:12', NULL, NULL), (66643, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 17:27:12', NULL, NULL), (66644, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 17:27:13', NULL, NULL), (66645, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 17:27:13', NULL, NULL), (66646, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 17:27:13', NULL, NULL), (66647, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 17:27:13', NULL, NULL), (66648, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 17:27:13', NULL, NULL), (66649, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 17:27:13', NULL, NULL), (66650, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 17:27:13', NULL, NULL), (66651, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 17:27:13', NULL, NULL), (66652, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 17:27:13', NULL, NULL), (66653, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 17:27:13', NULL, NULL), (66654, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 17:27:13', NULL, NULL), (66655, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 17:27:13', NULL, NULL), (66656, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 17:27:13', NULL, NULL), (66657, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 17:27:13', NULL, NULL), (66658, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 17:27:13', NULL, NULL), (66659, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 17:27:13', NULL, NULL), (66660, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 17:27:13', NULL, NULL), (66661, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 17:27:13', NULL, NULL), (66662, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 17:27:13', NULL, NULL), (66663, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 17:27:13', NULL, NULL), (66664, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 17:27:13', NULL, NULL), (66665, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 17:27:13', NULL, NULL), (66666, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 17:27:13', NULL, NULL), (66667, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 17:27:13', NULL, NULL), (66668, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 17:27:13', NULL, NULL), (66669, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 17:27:13', NULL, NULL), (66670, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 17:27:13', NULL, NULL), (66671, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 17:27:13', NULL, NULL), (66672, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 17:27:13', NULL, NULL), (66673, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 17:27:13', NULL, NULL), (66674, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 17:27:13', NULL, NULL), (66675, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 17:27:13', NULL, NULL), (66676, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 17:27:13', NULL, NULL), (66677, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 17:27:13', NULL, NULL), (66678, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 17:27:13', NULL, NULL), (66679, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 17:27:13', NULL, NULL), (66680, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 17:27:13', NULL, NULL), (66681, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 17:27:13', NULL, NULL), (66682, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 17:27:13', NULL, NULL), (66683, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 17:27:13', NULL, NULL), (66684, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 17:27:13', NULL, NULL), (66685, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 17:27:13', NULL, NULL), (66686, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 17:27:13', NULL, NULL), (66687, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 17:27:13', NULL, NULL), (66688, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 17:27:13', NULL, NULL), (66689, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 17:27:13', NULL, NULL), (66690, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 17:27:13', NULL, NULL), (66691, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 17:27:13', NULL, NULL), (66692, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 17:27:13', NULL, NULL), (66693, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 17:27:13', NULL, NULL), (66694, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 17:27:13', NULL, NULL), (66695, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 17:27:13', NULL, NULL), (66696, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 17:27:13', NULL, NULL), (66697, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 17:27:13', NULL, NULL), (66698, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 17:27:13', NULL, NULL), (66699, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 17:27:13', NULL, NULL), (66700, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 17:27:13', NULL, NULL), (66701, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 17:27:13', NULL, NULL), (66702, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 17:27:13', NULL, NULL), (66703, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 17:27:13', NULL, NULL), (66704, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 17:27:13', NULL, NULL), (66705, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 17:27:13', NULL, NULL), (66706, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 17:27:13', NULL, NULL), (66707, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 17:27:13', NULL, NULL), (66708, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 17:27:13', NULL, NULL), (66709, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 17:27:13', NULL, NULL), (66710, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 17:27:13', NULL, NULL), (66711, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 17:27:13', NULL, NULL), (66712, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 17:27:13', NULL, NULL), (66713, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 17:27:13', NULL, NULL), (66714, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 17:27:13', NULL, NULL), (66715, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 17:27:13', NULL, NULL), (66716, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 17:27:13', NULL, NULL), (66717, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 17:27:13', NULL, NULL), (66718, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 17:27:13', NULL, NULL), (66719, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 17:27:13', NULL, NULL), (66720, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 17:27:13', NULL, NULL), (66721, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 17:27:13', NULL, NULL), (66722, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 17:27:14', NULL, NULL), (66723, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 17:27:14', NULL, NULL), (66724, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 17:27:14', NULL, NULL), (66725, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 17:27:14', NULL, NULL), (66726, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 17:27:14', NULL, NULL), (66727, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 17:27:14', NULL, NULL), (66728, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 17:27:14', NULL, NULL), (66729, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 17:27:14', NULL, NULL), (66730, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 17:27:14', NULL, NULL), (66731, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 17:27:14', NULL, NULL), (66732, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 17:27:14', NULL, NULL), (66733, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 17:27:14', NULL, NULL), (66734, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 17:27:14', NULL, NULL), (66735, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 17:27:14', NULL, NULL), (66736, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 17:27:14', NULL, NULL), (66737, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 17:27:14', NULL, NULL), (66738, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 17:27:14', NULL, NULL), (66739, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 17:27:14', NULL, NULL), (66740, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 17:27:14', NULL, NULL), (66741, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 17:27:14', NULL, NULL), (66742, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 17:27:14', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (66743, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 17:27:14', NULL, NULL), (66744, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 17:27:14', NULL, NULL), (66745, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 17:27:14', NULL, NULL), (66746, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 17:27:14', NULL, NULL), (66747, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 17:27:14', NULL, NULL), (66748, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 17:27:14', NULL, NULL), (66749, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 17:27:14', NULL, NULL), (66750, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 17:27:14', NULL, NULL), (66751, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 17:27:14', NULL, NULL), (66752, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 17:27:14', NULL, NULL), (66753, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 17:27:14', NULL, NULL), (66754, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 17:27:14', NULL, NULL), (66755, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 17:27:14', NULL, NULL), (66756, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 17:27:14', NULL, NULL), (66757, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 17:27:14', NULL, NULL), (66758, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 17:27:14', NULL, NULL), (66759, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 17:27:14', NULL, NULL), (66760, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 17:27:14', NULL, NULL), (66761, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 17:27:14', NULL, NULL), (66762, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 17:27:14', NULL, NULL), (66763, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 17:27:14', NULL, NULL), (66764, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 17:27:14', NULL, NULL), (66765, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 17:27:14', NULL, NULL), (66766, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 17:27:14', NULL, NULL), (66767, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 17:27:14', NULL, NULL), (66768, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 17:27:14', NULL, NULL), (66769, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 17:27:14', NULL, NULL), (66770, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 17:27:14', NULL, NULL), (66771, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 17:27:14', NULL, NULL), (66772, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 17:27:14', NULL, NULL), (66773, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 17:27:14', NULL, NULL), (66774, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 17:27:14', NULL, NULL), (66775, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 17:27:14', NULL, NULL), (66776, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 17:27:14', NULL, NULL), (66777, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 17:27:14', NULL, NULL), (66778, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 17:27:14', NULL, NULL), (66779, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 17:27:14', NULL, NULL), (66780, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 17:27:14', NULL, NULL), (66781, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 17:27:14', NULL, NULL), (66782, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 17:27:14', NULL, NULL), (66783, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 17:27:14', NULL, NULL), (66784, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 17:27:14', NULL, NULL), (66785, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 17:27:14', NULL, NULL), (66786, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 17:27:14', NULL, NULL), (66787, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 17:27:14', NULL, NULL), (66788, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 17:27:15', NULL, NULL), (66789, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 17:27:15', NULL, NULL), (66790, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 17:27:15', NULL, NULL), (66791, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 17:27:15', NULL, NULL), (66792, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 17:27:15', NULL, NULL), (66793, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 17:27:15', NULL, NULL), (66794, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 17:27:15', NULL, NULL), (66795, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 17:27:15', NULL, NULL), (66796, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 17:27:15', NULL, NULL), (66797, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 17:27:15', NULL, NULL), (66798, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 17:27:15', NULL, NULL), (66799, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 17:27:15', NULL, NULL), (66800, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 17:27:15', NULL, NULL), (66801, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 17:27:15', NULL, NULL), (66802, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 17:27:15', NULL, NULL), (66803, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 17:27:15', NULL, NULL), (66804, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 17:27:15', NULL, NULL), (66805, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 17:27:15', NULL, NULL), (66806, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 17:27:15', NULL, NULL), (66807, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 17:27:15', NULL, NULL), (66808, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 17:27:15', NULL, NULL), (66809, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 17:27:15', NULL, NULL), (66810, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 17:27:15', NULL, NULL), (66811, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 17:27:15', NULL, NULL), (66812, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 17:27:15', NULL, NULL), (66813, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 17:27:15', NULL, NULL), (66814, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 17:27:15', NULL, NULL), (66815, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 17:27:15', NULL, NULL), (66816, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 17:27:15', NULL, NULL), (66817, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 17:27:15', NULL, NULL), (66818, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 17:27:15', NULL, NULL), (66819, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 17:27:15', NULL, NULL), (66820, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 17:27:15', NULL, NULL), (66821, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 17:27:15', NULL, NULL), (66822, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 17:27:15', NULL, NULL), (66823, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 17:27:15', NULL, NULL), (66824, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 17:27:15', NULL, NULL), (66825, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 17:27:15', NULL, NULL), (66826, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 17:27:15', NULL, NULL), (66827, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 17:27:15', NULL, NULL), (66828, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 17:27:15', NULL, NULL), (66829, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 17:27:15', NULL, NULL), (66830, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 17:27:15', NULL, NULL), (66831, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 17:27:15', NULL, NULL), (66832, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 17:27:15', NULL, NULL), (66833, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 17:27:15', NULL, NULL), (66834, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 17:27:15', NULL, NULL), (66835, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 17:27:15', NULL, NULL), (66836, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 17:27:15', NULL, NULL), (66837, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 17:27:15', NULL, NULL), (66838, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 17:27:15', NULL, NULL), (66839, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 17:27:15', NULL, NULL), (66840, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 17:27:15', NULL, NULL), (66841, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 17:27:15', NULL, NULL), (66842, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 17:27:15', NULL, NULL), (66843, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 17:27:15', NULL, NULL), (66844, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 17:27:15', NULL, NULL), (66845, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 17:27:15', NULL, NULL), (66846, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 17:27:15', NULL, NULL), (66847, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 17:27:15', NULL, NULL), (66848, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 17:27:15', NULL, NULL), (66849, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 17:27:15', NULL, NULL), (66850, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 17:27:15', NULL, NULL), (66851, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 17:27:15', NULL, NULL), (66852, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 17:27:15', NULL, NULL), (66853, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 17:27:15', NULL, NULL), (66854, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 17:27:16', NULL, NULL), (66855, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 17:27:16', NULL, NULL), (66856, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 17:27:16', NULL, NULL), (66857, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 17:27:16', NULL, NULL), (66858, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 17:27:16', NULL, NULL), (66859, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 17:27:16', NULL, NULL), (66860, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 17:27:16', NULL, NULL), (66861, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 17:27:16', NULL, NULL), (66862, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 17:27:16', NULL, NULL), (66863, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 17:27:16', NULL, NULL), (66864, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 17:27:16', NULL, NULL), (66865, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 17:27:16', NULL, NULL), (66866, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 17:27:16', NULL, NULL), (66867, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 17:27:16', NULL, NULL), (66868, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 17:27:16', NULL, NULL), (66869, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 17:27:16', NULL, NULL), (66870, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 17:27:16', NULL, NULL), (66871, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 17:27:16', NULL, NULL), (66872, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 17:27:16', NULL, NULL), (66873, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 17:27:16', 1, '2024-08-05 22:12:16'), (66874, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 17:27:16', 1, '2024-08-06 02:01:17'), (66875, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 17:27:16', 1, '2024-08-07 01:00:16'), (66876, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 17:27:16', 1, '2024-08-08 01:00:16'), (66877, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 17:27:16', 1, '2024-08-09 01:00:16'), (66878, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 17:40:31', NULL, NULL), (66879, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 17:40:31', NULL, NULL), (66880, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 17:40:31', NULL, NULL), (66881, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 17:40:31', NULL, NULL), (66882, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 17:40:31', NULL, NULL), (66883, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 17:40:31', NULL, NULL), (66884, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 17:40:31', NULL, NULL), (66885, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 17:40:31', NULL, NULL), (66886, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 17:40:31', NULL, NULL), (66887, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 17:40:31', NULL, NULL), (66888, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 17:40:31', NULL, NULL), (66889, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 17:40:31', NULL, NULL), (66890, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 17:40:31', NULL, NULL), (66891, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 17:40:31', NULL, NULL), (66892, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 17:40:31', NULL, NULL), (66893, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 17:40:31', NULL, NULL), (66894, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 17:40:31', NULL, NULL), (66895, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 17:40:31', NULL, NULL), (66896, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 17:40:31', NULL, NULL), (66897, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 17:40:31', NULL, NULL), (66898, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 17:40:31', NULL, NULL), (66899, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 17:40:31', NULL, NULL), (66900, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 17:40:31', NULL, NULL), (66901, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 17:40:31', NULL, NULL), (66902, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 17:40:31', NULL, NULL), (66903, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 17:40:31', NULL, NULL), (66904, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 17:40:31', NULL, NULL), (66905, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 17:40:31', NULL, NULL), (66906, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 17:40:31', NULL, NULL), (66907, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 17:40:31', NULL, NULL), (66908, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 17:40:31', NULL, NULL), (66909, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 17:40:31', NULL, NULL), (66910, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 17:40:31', NULL, NULL), (66911, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 17:40:31', NULL, NULL), (66912, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 17:40:31', NULL, NULL), (66913, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 17:40:31', NULL, NULL), (66914, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 17:40:31', NULL, NULL), (66915, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 17:40:31', NULL, NULL), (66916, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 17:40:31', NULL, NULL), (66917, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 17:40:32', NULL, NULL), (66918, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 17:40:32', NULL, NULL), (66919, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 17:40:32', NULL, NULL), (66920, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 17:40:32', NULL, NULL), (66921, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 17:40:32', NULL, NULL), (66922, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 17:40:32', NULL, NULL), (66923, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 17:40:32', NULL, NULL), (66924, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 17:40:32', NULL, NULL), (66925, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 17:40:32', NULL, NULL), (66926, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 17:40:32', NULL, NULL), (66927, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 17:40:32', NULL, NULL), (66928, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 17:40:32', NULL, NULL), (66929, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 17:40:32', NULL, NULL), (66930, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 17:40:32', NULL, NULL), (66931, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 17:40:32', NULL, NULL), (66932, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 17:40:32', NULL, NULL), (66933, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 17:40:32', NULL, NULL), (66934, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 17:40:32', NULL, NULL), (66935, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 17:40:32', NULL, NULL), (66936, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 17:40:32', NULL, NULL), (66937, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 17:40:32', NULL, NULL), (66938, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 17:40:32', NULL, NULL), (66939, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 17:40:32', NULL, NULL), (66940, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 17:40:32', NULL, NULL), (66941, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 17:40:32', NULL, NULL), (66942, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 17:40:32', NULL, NULL), (66943, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 17:40:32', NULL, NULL), (66944, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 17:40:32', NULL, NULL), (66945, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 17:40:32', NULL, NULL), (66946, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 17:40:32', NULL, NULL), (66947, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 17:40:32', NULL, NULL), (66948, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 17:40:32', NULL, NULL), (66949, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 17:40:32', NULL, NULL), (66950, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 17:40:32', NULL, NULL), (66951, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 17:40:32', NULL, NULL), (66952, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 17:40:32', NULL, NULL), (66953, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 17:40:32', NULL, NULL), (66954, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 17:40:32', NULL, NULL), (66955, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 17:40:32', NULL, NULL), (66956, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 17:40:32', NULL, NULL), (66957, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 17:40:32', NULL, NULL), (66958, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 17:40:32', NULL, NULL), (66959, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 17:40:32', NULL, NULL), (66960, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 17:40:32', NULL, NULL), (66961, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 17:40:32', NULL, NULL), (66962, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 17:40:32', NULL, NULL), (66963, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 17:40:32', NULL, NULL), (66964, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 17:40:32', NULL, NULL), (66965, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 17:40:32', NULL, NULL), (66966, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 17:40:32', NULL, NULL), (66967, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 17:40:32', NULL, NULL), (66968, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 17:40:32', NULL, NULL), (66969, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 17:40:32', NULL, NULL), (66970, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 17:40:32', NULL, NULL), (66971, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 17:40:32', NULL, NULL), (66972, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 17:40:32', NULL, NULL), (66973, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 17:40:32', NULL, NULL), (66974, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 17:40:32', NULL, NULL), (66975, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 17:40:32', NULL, NULL), (66976, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 17:40:32', NULL, NULL), (66977, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 17:40:32', NULL, NULL), (66978, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 17:40:32', NULL, NULL), (66979, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 17:40:32', NULL, NULL), (66980, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 17:40:32', NULL, NULL), (66981, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 17:40:32', NULL, NULL), (66982, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 17:40:33', NULL, NULL), (66983, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 17:40:33', NULL, NULL), (66984, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 17:40:33', NULL, NULL), (66985, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 17:40:33', NULL, NULL), (66986, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 17:40:33', NULL, NULL), (66987, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 17:40:33', NULL, NULL), (66988, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 17:40:33', NULL, NULL), (66989, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 17:40:33', NULL, NULL), (66990, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 17:40:33', NULL, NULL), (66991, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 17:40:33', NULL, NULL), (66992, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 17:40:33', NULL, NULL), (66993, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 17:40:33', NULL, NULL), (66994, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 17:40:33', NULL, NULL), (66995, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 17:40:33', NULL, NULL), (66996, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 17:40:33', NULL, NULL), (66997, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 17:40:33', NULL, NULL), (66998, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 17:40:33', NULL, NULL), (66999, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 17:40:33', NULL, NULL), (67000, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 17:40:33', NULL, NULL), (67001, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 17:40:33', NULL, NULL), (67002, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 17:40:33', NULL, NULL), (67003, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 17:40:33', NULL, NULL), (67004, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 17:40:33', NULL, NULL), (67005, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 17:40:33', NULL, NULL), (67006, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 17:40:33', NULL, NULL), (67007, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 17:40:33', NULL, NULL), (67008, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 17:40:33', NULL, NULL), (67009, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 17:40:33', NULL, NULL), (67010, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 17:40:33', NULL, NULL), (67011, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 17:40:33', NULL, NULL), (67012, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 17:40:33', NULL, NULL), (67013, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 17:40:33', NULL, NULL), (67014, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 17:40:33', NULL, NULL), (67015, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 17:40:33', NULL, NULL), (67016, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 17:40:33', NULL, NULL), (67017, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 17:40:33', NULL, NULL), (67018, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 17:40:33', NULL, NULL), (67019, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 17:40:33', NULL, NULL), (67020, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 17:40:33', NULL, NULL), (67021, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 17:40:33', NULL, NULL), (67022, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 17:40:33', NULL, NULL), (67023, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 17:40:33', NULL, NULL), (67024, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 17:40:33', NULL, NULL), (67025, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 17:40:33', NULL, NULL), (67026, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 17:40:33', NULL, NULL), (67027, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 17:40:33', NULL, NULL), (67028, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 17:40:33', NULL, NULL), (67029, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 17:40:33', NULL, NULL), (67030, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 17:40:33', NULL, NULL), (67031, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 17:40:33', NULL, NULL), (67032, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 17:40:33', NULL, NULL), (67033, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 17:40:33', NULL, NULL), (67034, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 17:40:33', NULL, NULL), (67035, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 17:40:33', NULL, NULL), (67036, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 17:40:33', NULL, NULL), (67037, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 17:40:33', NULL, NULL), (67038, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 17:40:33', NULL, NULL), (67039, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 17:40:33', NULL, NULL), (67040, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 17:40:33', NULL, NULL), (67041, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 17:40:33', NULL, NULL), (67042, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 17:40:33', NULL, NULL), (67043, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 17:40:33', NULL, NULL), (67044, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 17:40:33', NULL, NULL), (67045, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 17:40:34', NULL, NULL), (67046, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 17:40:34', NULL, NULL), (67047, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 17:40:34', NULL, NULL), (67048, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 17:40:34', NULL, NULL), (67049, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 17:40:34', NULL, NULL), (67050, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 17:40:34', NULL, NULL), (67051, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 17:40:34', NULL, NULL), (67052, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 17:40:34', NULL, NULL), (67053, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 17:40:34', NULL, NULL), (67054, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 17:40:34', NULL, NULL), (67055, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 17:40:34', NULL, NULL), (67056, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 17:40:34', NULL, NULL), (67057, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 17:40:34', NULL, NULL), (67058, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 17:40:34', NULL, NULL), (67059, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 17:40:34', NULL, NULL), (67060, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 17:40:34', NULL, NULL), (67061, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 17:40:34', NULL, NULL), (67062, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 17:40:34', NULL, NULL), (67063, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 17:40:34', NULL, NULL), (67064, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 17:40:34', NULL, NULL), (67065, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 17:40:34', NULL, NULL), (67066, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 17:40:34', NULL, NULL), (67067, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 17:40:34', NULL, NULL), (67068, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 17:40:34', NULL, NULL), (67069, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 17:40:34', NULL, NULL), (67070, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 17:40:34', NULL, NULL), (67071, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 17:40:34', NULL, NULL), (67072, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 17:40:34', NULL, NULL), (67073, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 17:40:34', NULL, NULL), (67074, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 17:40:34', NULL, NULL), (67075, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 17:40:34', NULL, NULL), (67076, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 17:40:34', NULL, NULL), (67077, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 17:40:34', NULL, NULL), (67078, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 17:40:34', NULL, NULL), (67079, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 17:40:34', NULL, NULL), (67080, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 17:40:34', NULL, NULL), (67081, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 17:40:34', NULL, NULL), (67082, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 17:40:34', NULL, NULL), (67083, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 17:40:34', NULL, NULL), (67084, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 17:40:34', NULL, NULL), (67085, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 17:40:34', NULL, NULL), (67086, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 17:40:34', NULL, NULL), (67087, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 17:40:34', NULL, NULL), (67088, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 17:40:34', NULL, NULL), (67089, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 17:40:34', NULL, NULL), (67090, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 17:40:34', NULL, NULL), (67091, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 17:40:34', NULL, NULL), (67092, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 17:40:34', NULL, NULL), (67093, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 17:40:34', NULL, NULL), (67094, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 17:40:34', NULL, NULL), (67095, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 17:40:34', NULL, NULL), (67096, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 17:40:34', NULL, NULL), (67097, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 17:40:34', NULL, NULL), (67098, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 17:40:34', NULL, NULL), (67099, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 17:40:34', NULL, NULL), (67100, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 17:40:34', NULL, NULL), (67101, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 17:40:34', NULL, NULL), (67102, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 17:40:34', NULL, NULL), (67103, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 17:40:34', NULL, NULL), (67104, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 17:40:34', NULL, NULL), (67105, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 17:40:34', NULL, NULL), (67106, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 17:40:34', NULL, NULL), (67107, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 17:40:34', NULL, NULL), (67108, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 17:40:35', NULL, NULL), (67109, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 17:40:35', NULL, NULL), (67110, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 17:40:35', NULL, NULL), (67111, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 17:40:35', NULL, NULL), (67112, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 17:40:35', NULL, NULL), (67113, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 17:40:35', NULL, NULL), (67114, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 17:40:35', NULL, NULL), (67115, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 17:40:35', NULL, NULL), (67116, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 17:40:35', NULL, NULL), (67117, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 17:40:35', NULL, NULL), (67118, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 17:40:35', NULL, NULL), (67119, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 17:40:35', NULL, NULL), (67120, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 17:40:35', NULL, NULL), (67121, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 17:40:35', NULL, NULL), (67122, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 17:40:35', NULL, NULL), (67123, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 17:40:35', NULL, NULL), (67124, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 17:40:35', NULL, NULL), (67125, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 17:40:35', NULL, NULL), (67126, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 17:40:35', NULL, NULL), (67127, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 17:40:35', NULL, NULL), (67128, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 17:40:35', NULL, NULL), (67129, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 17:40:35', NULL, NULL), (67130, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 17:40:35', NULL, NULL), (67131, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 17:40:35', NULL, NULL), (67132, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 17:40:35', NULL, NULL), (67133, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 17:40:35', NULL, NULL), (67134, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 17:40:35', NULL, NULL), (67135, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 17:40:35', NULL, NULL), (67136, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 17:40:35', NULL, NULL), (67137, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 17:40:35', NULL, NULL), (67138, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 17:40:35', NULL, NULL), (67139, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 17:40:35', NULL, NULL), (67140, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 17:40:35', NULL, NULL), (67141, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 17:40:35', NULL, NULL), (67142, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 17:40:35', NULL, NULL), (67143, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 17:40:35', NULL, NULL), (67144, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 17:40:35', NULL, NULL), (67145, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 17:40:35', NULL, NULL), (67146, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 17:40:35', NULL, NULL), (67147, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 17:40:35', NULL, NULL), (67148, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 17:40:35', NULL, NULL), (67149, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 17:40:35', NULL, NULL), (67150, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 17:40:35', NULL, NULL), (67151, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 17:40:35', NULL, NULL), (67152, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 17:40:35', NULL, NULL), (67153, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 17:40:35', NULL, NULL), (67154, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 17:40:35', NULL, NULL), (67155, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 17:40:35', NULL, NULL), (67156, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 17:40:35', NULL, NULL), (67157, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 17:40:35', NULL, NULL), (67158, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 17:40:35', NULL, NULL), (67159, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 17:40:35', NULL, NULL), (67160, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 17:40:35', NULL, NULL), (67161, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 17:40:35', NULL, NULL), (67162, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 17:40:35', NULL, NULL), (67163, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 17:40:35', NULL, NULL), (67164, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 17:40:35', NULL, NULL), (67165, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 17:40:35', NULL, NULL), (67166, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 17:40:35', NULL, NULL), (67167, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 17:40:35', NULL, NULL), (67168, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 17:40:35', NULL, NULL), (67169, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 17:40:35', NULL, NULL), (67170, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 17:40:35', NULL, NULL), (67171, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 17:40:35', NULL, NULL), (67172, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 17:40:35', NULL, NULL), (67173, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 17:40:35', NULL, NULL), (67174, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 17:40:35', NULL, NULL), (67175, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 17:40:35', NULL, NULL), (67176, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 17:40:35', NULL, NULL), (67177, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 17:40:35', NULL, NULL), (67178, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 17:40:35', NULL, NULL), (67179, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 17:40:35', NULL, NULL), (67180, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 17:40:35', NULL, NULL), (67181, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 17:40:35', NULL, NULL), (67182, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 17:40:35', NULL, NULL), (67183, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 17:40:35', NULL, NULL), (67184, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 17:40:35', NULL, NULL), (67185, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 17:40:35', NULL, NULL), (67186, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 17:40:35', NULL, NULL), (67187, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 17:40:35', NULL, NULL), (67188, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 17:40:35', NULL, NULL), (67189, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 17:40:35', NULL, NULL), (67190, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 17:40:35', NULL, NULL), (67191, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 17:40:35', NULL, NULL), (67192, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 17:40:35', NULL, NULL), (67193, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 17:40:35', NULL, NULL), (67194, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 17:40:35', NULL, NULL), (67195, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 17:40:35', NULL, NULL), (67196, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 17:40:35', NULL, NULL), (67197, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 17:40:35', NULL, NULL), (67198, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 17:40:35', NULL, NULL), (67199, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 17:40:35', NULL, NULL), (67200, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 17:40:35', NULL, NULL), (67201, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 17:40:35', NULL, NULL), (67202, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 17:40:35', NULL, NULL), (67203, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 17:40:35', NULL, NULL), (67204, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 17:40:35', NULL, NULL), (67205, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 17:40:35', NULL, NULL), (67206, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 17:40:35', NULL, NULL), (67207, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 17:40:35', NULL, NULL), (67208, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 17:40:35', NULL, NULL), (67209, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 17:40:35', NULL, NULL), (67210, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 17:40:35', NULL, NULL), (67211, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 17:40:35', NULL, NULL), (67212, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 17:40:35', NULL, NULL), (67213, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 17:40:35', NULL, NULL), (67214, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 17:40:36', NULL, NULL), (67215, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 17:40:36', NULL, NULL), (67216, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 17:40:36', NULL, NULL), (67217, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 17:40:36', NULL, NULL), (67218, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 17:40:36', NULL, NULL), (67219, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 17:40:36', NULL, NULL), (67220, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 17:40:36', NULL, NULL), (67221, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 17:40:36', NULL, NULL), (67222, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 17:40:36', NULL, NULL), (67223, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 17:40:36', NULL, NULL), (67224, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 17:40:36', NULL, NULL), (67225, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 17:40:36', NULL, NULL), (67226, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 17:40:36', NULL, NULL), (67227, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 17:40:36', NULL, NULL), (67228, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 17:40:36', NULL, NULL), (67229, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 17:40:36', NULL, NULL), (67230, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 17:40:36', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (67231, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 17:40:36', NULL, NULL), (67232, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 17:40:36', NULL, NULL), (67233, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 17:40:36', NULL, NULL), (67234, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 17:40:36', NULL, NULL), (67235, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 17:40:36', NULL, NULL), (67236, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 17:40:36', NULL, NULL), (67237, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 17:40:36', NULL, NULL), (67238, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 17:40:36', NULL, NULL), (67239, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 17:40:36', NULL, NULL), (67240, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 17:40:36', NULL, NULL), (67241, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 17:40:36', NULL, NULL), (67242, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 17:40:36', NULL, NULL), (67243, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 17:40:36', NULL, NULL), (67244, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 17:40:36', NULL, NULL), (67245, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 17:40:36', NULL, NULL), (67246, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 17:40:36', NULL, NULL), (67247, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 17:40:36', NULL, NULL), (67248, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 17:40:36', NULL, NULL), (67249, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 17:40:36', NULL, NULL), (67250, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 17:40:36', NULL, NULL), (67251, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 17:40:36', NULL, NULL), (67252, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 17:40:36', NULL, NULL), (67253, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 17:40:36', NULL, NULL), (67254, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 17:40:36', NULL, NULL), (67255, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 17:40:36', NULL, NULL), (67256, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 17:40:36', NULL, NULL), (67257, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 17:40:36', NULL, NULL), (67258, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 17:40:36', NULL, NULL), (67259, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 17:40:36', NULL, NULL), (67260, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 17:40:36', NULL, NULL), (67261, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 17:40:36', NULL, NULL), (67262, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 17:40:36', NULL, NULL), (67263, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 17:40:36', NULL, NULL), (67264, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 17:40:36', NULL, NULL), (67265, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 17:40:36', NULL, NULL), (67266, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 17:40:36', NULL, NULL), (67267, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 17:40:36', NULL, NULL), (67268, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 17:40:36', NULL, NULL), (67269, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 17:40:36', NULL, NULL), (67270, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 17:40:36', NULL, NULL), (67271, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 17:40:36', NULL, NULL), (67272, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 17:40:37', NULL, NULL), (67273, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 17:40:37', NULL, NULL), (67274, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 17:40:37', NULL, NULL), (67275, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 17:40:37', NULL, NULL), (67276, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 17:40:37', NULL, NULL), (67277, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 17:40:37', NULL, NULL), (67278, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 17:40:37', NULL, NULL), (67279, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 17:40:37', NULL, NULL), (67280, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 17:40:37', NULL, NULL), (67281, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 17:40:37', NULL, NULL), (67282, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 17:40:37', NULL, NULL), (67283, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 17:40:37', NULL, NULL), (67284, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 17:40:37', NULL, NULL), (67285, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 17:40:37', NULL, NULL), (67286, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 17:40:37', NULL, NULL), (67287, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 17:40:37', NULL, NULL), (67288, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 17:40:37', NULL, NULL), (67289, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 17:40:37', NULL, NULL), (67290, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 17:40:37', NULL, NULL), (67291, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 17:40:37', NULL, NULL), (67292, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 17:40:37', NULL, NULL), (67293, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 17:40:37', NULL, NULL), (67294, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 17:40:37', NULL, NULL), (67295, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 17:40:37', NULL, NULL), (67296, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 17:40:37', NULL, NULL), (67297, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 17:40:37', NULL, NULL), (67298, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 17:40:37', NULL, NULL), (67299, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 17:40:37', NULL, NULL), (67300, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 17:40:37', NULL, NULL), (67301, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 17:40:37', NULL, NULL), (67302, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 17:40:37', NULL, NULL), (67303, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 17:40:37', NULL, NULL), (67304, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 17:40:37', NULL, NULL), (67305, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 17:40:37', NULL, NULL), (67306, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 17:40:37', NULL, NULL), (67307, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 17:40:37', NULL, NULL), (67308, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 17:40:37', NULL, NULL), (67309, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 17:40:37', NULL, NULL), (67310, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 17:40:37', NULL, NULL), (67311, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 17:40:37', NULL, NULL), (67312, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 17:40:37', NULL, NULL), (67313, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 17:40:37', NULL, NULL), (67314, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 17:40:37', NULL, NULL), (67315, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 17:40:37', NULL, NULL), (67316, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 17:40:37', NULL, NULL), (67317, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 17:40:37', NULL, NULL), (67318, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 17:40:37', NULL, NULL), (67319, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 17:40:37', NULL, NULL), (67320, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 17:40:37', NULL, NULL), (67321, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 17:40:37', NULL, NULL), (67322, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 17:40:37', NULL, NULL), (67323, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 17:40:37', NULL, NULL), (67324, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 17:40:38', NULL, NULL), (67325, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 17:40:38', NULL, NULL), (67326, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 17:40:38', NULL, NULL), (67327, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 17:40:38', NULL, NULL), (67328, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 17:40:38', NULL, NULL), (67329, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 17:40:38', NULL, NULL), (67330, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 17:40:38', NULL, NULL), (67331, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 17:40:38', NULL, NULL), (67332, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 17:40:38', NULL, NULL), (67333, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 17:40:38', NULL, NULL), (67334, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 17:40:38', NULL, NULL), (67335, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 17:40:38', NULL, NULL), (67336, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 17:40:38', NULL, NULL), (67337, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 17:40:38', NULL, NULL), (67338, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 17:40:38', NULL, NULL), (67339, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 17:40:38', NULL, NULL), (67340, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 17:40:38', NULL, NULL), (67341, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 17:40:38', NULL, NULL), (67342, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 17:40:38', NULL, NULL), (67343, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 17:40:38', NULL, NULL), (67344, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 17:40:38', NULL, NULL), (67345, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 17:40:38', NULL, NULL), (67346, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 17:40:38', NULL, NULL), (67347, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 17:40:38', NULL, NULL), (67348, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 17:40:38', NULL, NULL), (67349, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 17:40:38', NULL, NULL), (67350, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 17:40:38', NULL, NULL), (67351, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 17:40:38', NULL, NULL), (67352, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 17:40:38', NULL, NULL), (67353, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 17:40:38', NULL, NULL), (67354, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 17:40:38', NULL, NULL), (67355, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 17:40:38', NULL, NULL), (67356, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 17:40:38', NULL, NULL), (67357, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 17:40:38', NULL, NULL), (67358, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 17:40:38', NULL, NULL), (67359, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 17:40:38', NULL, NULL), (67360, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 17:40:38', NULL, NULL), (67361, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 17:40:38', NULL, NULL), (67362, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 17:40:38', NULL, NULL), (67363, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 17:40:38', NULL, NULL), (67364, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 17:40:38', NULL, NULL), (67365, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 17:40:38', NULL, NULL), (67366, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 17:40:38', NULL, NULL), (67367, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 17:40:38', NULL, NULL), (67368, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 17:40:38', NULL, NULL), (67369, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 17:40:38', NULL, NULL), (67370, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 17:40:38', NULL, NULL), (67371, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 17:40:38', NULL, NULL), (67372, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 17:40:38', NULL, NULL), (67373, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 17:40:39', NULL, NULL), (67374, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 17:40:39', NULL, NULL), (67375, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 17:40:39', NULL, NULL), (67376, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 17:40:39', NULL, NULL), (67377, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 17:40:39', NULL, NULL), (67378, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 17:40:39', NULL, NULL), (67379, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 17:40:39', NULL, NULL), (67380, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 17:40:39', NULL, NULL), (67381, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 17:40:39', NULL, NULL), (67382, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 17:40:39', NULL, NULL), (67383, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 17:40:39', NULL, NULL), (67384, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 17:40:39', NULL, NULL), (67385, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 17:40:39', NULL, NULL), (67386, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 17:40:39', NULL, NULL), (67387, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 17:40:39', NULL, NULL), (67388, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 17:40:39', NULL, NULL), (67389, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 17:40:39', NULL, NULL), (67390, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 17:40:39', NULL, NULL), (67391, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 17:40:39', NULL, NULL), (67392, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 17:40:39', NULL, NULL), (67393, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 17:40:39', NULL, NULL), (67394, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 17:40:39', NULL, NULL), (67395, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 17:40:39', NULL, NULL), (67396, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 17:40:39', NULL, NULL), (67397, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 17:40:39', NULL, NULL), (67398, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 17:40:39', NULL, NULL), (67399, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 17:40:39', NULL, NULL), (67400, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 17:40:39', NULL, NULL), (67401, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 17:40:39', NULL, NULL), (67402, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 17:40:39', NULL, NULL), (67403, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 17:40:39', NULL, NULL), (67404, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 17:40:39', NULL, NULL), (67405, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 17:40:39', NULL, NULL), (67406, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 17:40:39', NULL, NULL), (67407, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 17:40:39', NULL, NULL), (67408, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 17:40:39', NULL, NULL), (67409, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 17:40:39', NULL, NULL), (67410, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 17:40:39', NULL, NULL), (67411, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 17:40:39', NULL, NULL), (67412, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 17:40:39', NULL, NULL), (67413, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 17:40:39', NULL, NULL), (67414, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 17:40:39', NULL, NULL), (67415, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 17:40:39', NULL, NULL), (67416, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 17:40:39', NULL, NULL), (67417, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 17:40:39', NULL, NULL), (67418, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 17:40:39', NULL, NULL), (67419, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 17:40:39', NULL, NULL), (67420, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 17:40:39', NULL, NULL), (67421, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 17:40:40', NULL, NULL), (67422, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 17:40:40', NULL, NULL), (67423, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 17:40:40', NULL, NULL), (67424, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 17:40:40', NULL, NULL), (67425, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 17:40:40', NULL, NULL), (67426, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 17:40:40', NULL, NULL), (67427, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 17:40:40', NULL, NULL), (67428, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 17:40:40', NULL, NULL), (67429, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 17:40:40', NULL, NULL), (67430, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 17:40:40', NULL, NULL), (67431, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 17:40:40', NULL, NULL), (67432, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 17:40:40', NULL, NULL), (67433, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 17:40:40', NULL, NULL), (67434, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 17:40:40', NULL, NULL), (67435, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 17:40:40', NULL, NULL), (67436, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 17:40:40', NULL, NULL), (67437, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 17:40:40', NULL, NULL), (67438, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 17:40:40', NULL, NULL), (67439, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 17:40:40', NULL, NULL), (67440, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 17:40:40', NULL, NULL), (67441, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 17:40:40', NULL, NULL), (67442, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 17:40:40', NULL, NULL), (67443, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 17:40:40', NULL, NULL), (67444, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 17:40:40', NULL, NULL), (67445, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 17:40:40', NULL, NULL), (67446, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 17:40:40', NULL, NULL), (67447, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 17:40:40', NULL, NULL), (67448, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 17:40:40', NULL, NULL), (67449, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 17:40:40', NULL, NULL), (67450, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 17:40:40', NULL, NULL), (67451, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 17:40:40', NULL, NULL), (67452, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 17:40:40', NULL, NULL), (67453, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 17:40:40', NULL, NULL), (67454, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 17:40:40', NULL, NULL), (67455, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 17:40:40', NULL, NULL), (67456, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 17:40:40', 1, '2024-08-05 22:12:16'), (67457, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 17:40:40', 1, '2024-08-06 02:01:31'), (67458, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 17:40:40', 1, '2024-08-07 01:00:16'), (67459, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 17:40:40', 1, '2024-08-08 01:00:16'), (67460, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 17:40:40', 1, '2024-08-09 01:00:17'), (67461, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 17:54:02', NULL, NULL), (67462, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 17:54:02', NULL, NULL), (67463, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 17:54:02', NULL, NULL), (67464, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 17:54:02', NULL, NULL), (67465, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 17:54:02', NULL, NULL), (67466, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 17:54:02', NULL, NULL), (67467, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 17:54:02', NULL, NULL), (67468, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 17:54:02', NULL, NULL), (67469, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 17:54:02', NULL, NULL), (67470, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 17:54:02', NULL, NULL), (67471, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 17:54:02', NULL, NULL), (67472, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 17:54:02', NULL, NULL), (67473, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 17:54:02', NULL, NULL), (67474, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 17:54:02', NULL, NULL), (67475, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 17:54:02', NULL, NULL), (67476, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 17:54:02', NULL, NULL), (67477, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 17:54:02', NULL, NULL), (67478, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 17:54:02', NULL, NULL), (67479, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 17:54:02', NULL, NULL), (67480, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 17:54:02', NULL, NULL), (67481, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 17:54:02', NULL, NULL), (67482, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 17:54:02', NULL, NULL), (67483, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 17:54:02', NULL, NULL), (67484, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 17:54:02', NULL, NULL), (67485, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 17:54:02', NULL, NULL), (67486, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 17:54:02', NULL, NULL), (67487, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 17:54:02', NULL, NULL), (67488, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 17:54:02', NULL, NULL), (67489, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 17:54:02', NULL, NULL), (67490, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 17:54:02', NULL, NULL), (67491, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 17:54:02', NULL, NULL), (67492, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 17:54:02', NULL, NULL), (67493, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 17:54:02', NULL, NULL), (67494, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 17:54:03', NULL, NULL), (67495, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 17:54:03', NULL, NULL), (67496, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 17:54:03', NULL, NULL), (67497, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 17:54:03', NULL, NULL), (67498, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 17:54:03', NULL, NULL), (67499, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 17:54:03', NULL, NULL), (67500, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 17:54:03', NULL, NULL), (67501, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 17:54:03', NULL, NULL), (67502, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 17:54:03', NULL, NULL), (67503, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 17:54:03', NULL, NULL), (67504, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 17:54:03', NULL, NULL), (67505, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 17:54:03', NULL, NULL), (67506, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 17:54:03', NULL, NULL), (67507, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 17:54:03', NULL, NULL), (67508, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 17:54:03', NULL, NULL), (67509, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 17:54:03', NULL, NULL), (67510, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 17:54:03', NULL, NULL), (67511, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 17:54:03', NULL, NULL), (67512, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 17:54:03', NULL, NULL), (67513, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 17:54:03', NULL, NULL), (67514, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 17:54:03', NULL, NULL), (67515, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 17:54:03', NULL, NULL), (67516, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 17:54:03', NULL, NULL), (67517, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 17:54:03', NULL, NULL), (67518, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 17:54:03', NULL, NULL), (67519, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 17:54:03', NULL, NULL), (67520, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 17:54:03', NULL, NULL), (67521, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 17:54:03', NULL, NULL), (67522, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 17:54:03', NULL, NULL), (67523, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 17:54:03', NULL, NULL), (67524, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 17:54:03', NULL, NULL), (67525, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 17:54:03', NULL, NULL), (67526, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 17:54:03', NULL, NULL), (67527, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 17:54:03', NULL, NULL), (67528, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 17:54:03', NULL, NULL), (67529, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 17:54:03', NULL, NULL), (67530, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 17:54:03', NULL, NULL), (67531, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 17:54:03', NULL, NULL), (67532, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 17:54:03', NULL, NULL), (67533, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 17:54:03', NULL, NULL), (67534, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 17:54:03', NULL, NULL), (67535, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 17:54:03', NULL, NULL), (67536, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 17:54:03', NULL, NULL), (67537, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 17:54:03', NULL, NULL), (67538, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 17:54:03', NULL, NULL), (67539, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 17:54:03', NULL, NULL), (67540, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 17:54:03', NULL, NULL), (67541, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 17:54:03', NULL, NULL), (67542, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 17:54:03', NULL, NULL), (67543, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 17:54:03', NULL, NULL), (67544, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 17:54:03', NULL, NULL), (67545, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 17:54:03', NULL, NULL), (67546, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 17:54:03', NULL, NULL), (67547, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 17:54:03', NULL, NULL), (67548, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 17:54:03', NULL, NULL), (67549, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 17:54:03', NULL, NULL), (67550, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 17:54:03', NULL, NULL), (67551, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 17:54:03', NULL, NULL), (67552, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 17:54:03', NULL, NULL), (67553, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 17:54:03', NULL, NULL), (67554, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 17:54:03', NULL, NULL), (67555, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 17:54:03', NULL, NULL), (67556, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 17:54:03', NULL, NULL), (67557, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 17:54:03', NULL, NULL), (67558, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 17:54:03', NULL, NULL), (67559, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 17:54:03', NULL, NULL), (67560, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 17:54:03', NULL, NULL), (67561, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 17:54:03', NULL, NULL), (67562, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 17:54:03', NULL, NULL), (67563, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 17:54:03', NULL, NULL), (67564, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 17:54:03', NULL, NULL), (67565, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 17:54:03', NULL, NULL), (67566, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 17:54:03', NULL, NULL), (67567, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 17:54:03', NULL, NULL), (67568, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 17:54:03', NULL, NULL), (67569, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 17:54:03', NULL, NULL), (67570, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 17:54:04', NULL, NULL), (67571, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 17:54:04', NULL, NULL), (67572, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 17:54:04', NULL, NULL), (67573, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 17:54:04', NULL, NULL), (67574, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 17:54:04', NULL, NULL), (67575, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 17:54:04', NULL, NULL), (67576, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 17:54:04', NULL, NULL), (67577, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 17:54:04', NULL, NULL), (67578, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 17:54:04', NULL, NULL), (67579, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 17:54:04', NULL, NULL), (67580, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 17:54:04', NULL, NULL), (67581, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 17:54:04', NULL, NULL), (67582, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 17:54:04', NULL, NULL), (67583, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 17:54:04', NULL, NULL), (67584, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 17:54:04', NULL, NULL), (67585, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 17:54:04', NULL, NULL), (67586, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 17:54:04', NULL, NULL), (67587, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 17:54:04', NULL, NULL), (67588, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 17:54:04', NULL, NULL), (67589, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 17:54:04', NULL, NULL), (67590, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 17:54:04', NULL, NULL), (67591, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 17:54:04', NULL, NULL), (67592, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 17:54:04', NULL, NULL), (67593, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 17:54:04', NULL, NULL), (67594, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 17:54:04', NULL, NULL), (67595, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 17:54:04', NULL, NULL), (67596, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 17:54:04', NULL, NULL), (67597, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 17:54:04', NULL, NULL), (67598, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 17:54:04', NULL, NULL), (67599, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 17:54:04', NULL, NULL), (67600, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 17:54:04', NULL, NULL), (67601, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 17:54:04', NULL, NULL), (67602, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 17:54:04', NULL, NULL), (67603, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 17:54:04', NULL, NULL), (67604, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 17:54:04', NULL, NULL), (67605, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 17:54:04', NULL, NULL), (67606, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 17:54:04', NULL, NULL), (67607, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 17:54:04', NULL, NULL), (67608, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 17:54:04', NULL, NULL), (67609, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 17:54:04', NULL, NULL), (67610, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 17:54:04', NULL, NULL), (67611, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 17:54:04', NULL, NULL), (67612, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 17:54:04', NULL, NULL), (67613, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 17:54:04', NULL, NULL), (67614, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 17:54:04', NULL, NULL), (67615, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 17:54:04', NULL, NULL), (67616, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 17:54:04', NULL, NULL), (67617, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 17:54:04', NULL, NULL), (67618, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 17:54:04', NULL, NULL), (67619, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 17:54:04', NULL, NULL), (67620, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 17:54:04', NULL, NULL), (67621, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 17:54:04', NULL, NULL), (67622, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 17:54:04', NULL, NULL), (67623, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 17:54:04', NULL, NULL), (67624, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 17:54:04', NULL, NULL), (67625, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 17:54:04', NULL, NULL), (67626, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 17:54:04', NULL, NULL), (67627, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 17:54:04', NULL, NULL), (67628, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 17:54:04', NULL, NULL), (67629, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 17:54:04', NULL, NULL), (67630, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 17:54:04', NULL, NULL), (67631, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 17:54:04', NULL, NULL), (67632, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 17:54:04', NULL, NULL), (67633, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 17:54:04', NULL, NULL), (67634, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 17:54:04', NULL, NULL), (67635, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 17:54:04', NULL, NULL), (67636, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 17:54:04', NULL, NULL), (67637, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 17:54:04', NULL, NULL), (67638, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 17:54:04', NULL, NULL), (67639, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 17:54:04', NULL, NULL), (67640, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 17:54:04', NULL, NULL), (67641, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 17:54:04', NULL, NULL), (67642, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 17:54:05', NULL, NULL), (67643, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 17:54:05', NULL, NULL), (67644, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 17:54:05', NULL, NULL), (67645, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 17:54:05', NULL, NULL), (67646, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 17:54:05', NULL, NULL), (67647, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 17:54:05', NULL, NULL), (67648, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 17:54:05', NULL, NULL), (67649, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 17:54:05', NULL, NULL), (67650, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 17:54:05', NULL, NULL), (67651, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 17:54:05', NULL, NULL), (67652, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 17:54:05', NULL, NULL), (67653, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 17:54:05', NULL, NULL), (67654, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 17:54:05', NULL, NULL), (67655, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 17:54:05', NULL, NULL), (67656, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 17:54:05', NULL, NULL), (67657, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 17:54:05', NULL, NULL), (67658, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 17:54:05', NULL, NULL), (67659, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 17:54:05', NULL, NULL), (67660, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 17:54:05', NULL, NULL), (67661, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 17:54:05', NULL, NULL), (67662, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 17:54:05', NULL, NULL), (67663, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 17:54:05', NULL, NULL), (67664, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 17:54:05', NULL, NULL), (67665, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 17:54:05', NULL, NULL), (67666, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 17:54:05', NULL, NULL), (67667, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 17:54:05', NULL, NULL), (67668, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 17:54:05', NULL, NULL), (67669, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 17:54:05', NULL, NULL), (67670, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 17:54:05', NULL, NULL), (67671, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 17:54:05', NULL, NULL), (67672, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 17:54:05', NULL, NULL), (67673, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 17:54:05', NULL, NULL), (67674, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 17:54:05', NULL, NULL), (67675, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 17:54:05', NULL, NULL), (67676, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 17:54:05', NULL, NULL), (67677, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 17:54:05', NULL, NULL), (67678, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 17:54:05', NULL, NULL), (67679, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 17:54:05', NULL, NULL), (67680, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 17:54:05', NULL, NULL), (67681, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 17:54:05', NULL, NULL), (67682, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 17:54:05', NULL, NULL), (67683, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 17:54:05', NULL, NULL), (67684, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 17:54:05', NULL, NULL), (67685, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 17:54:05', NULL, NULL), (67686, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 17:54:05', NULL, NULL), (67687, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 17:54:05', NULL, NULL), (67688, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 17:54:05', NULL, NULL), (67689, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 17:54:05', NULL, NULL), (67690, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 17:54:05', NULL, NULL), (67691, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 17:54:05', NULL, NULL), (67692, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 17:54:05', NULL, NULL), (67693, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 17:54:05', NULL, NULL), (67694, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 17:54:05', NULL, NULL), (67695, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 17:54:05', NULL, NULL), (67696, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 17:54:05', NULL, NULL), (67697, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 17:54:05', NULL, NULL), (67698, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 17:54:05', NULL, NULL), (67699, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 17:54:05', NULL, NULL), (67700, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 17:54:05', NULL, NULL), (67701, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 17:54:05', NULL, NULL), (67702, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 17:54:05', NULL, NULL), (67703, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 17:54:05', NULL, NULL), (67704, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 17:54:05', NULL, NULL), (67705, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 17:54:05', NULL, NULL), (67706, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 17:54:05', NULL, NULL), (67707, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 17:54:05', NULL, NULL), (67708, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 17:54:05', NULL, NULL), (67709, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 17:54:05', NULL, NULL), (67710, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 17:54:05', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (67711, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 17:54:05', NULL, NULL), (67712, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 17:54:05', NULL, NULL), (67713, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 17:54:05', NULL, NULL), (67714, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 17:54:05', NULL, NULL), (67715, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 17:54:05', NULL, NULL), (67716, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 17:54:05', NULL, NULL), (67717, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 17:54:05', NULL, NULL), (67718, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 17:54:05', NULL, NULL), (67719, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 17:54:05', NULL, NULL), (67720, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 17:54:05', NULL, NULL), (67721, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 17:54:05', NULL, NULL), (67722, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 17:54:05', NULL, NULL), (67723, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 17:54:05', NULL, NULL), (67724, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 17:54:05', NULL, NULL), (67725, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 17:54:06', NULL, NULL), (67726, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 17:54:06', NULL, NULL), (67727, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 17:54:06', NULL, NULL), (67728, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 17:54:06', NULL, NULL), (67729, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 17:54:06', NULL, NULL), (67730, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 17:54:06', NULL, NULL), (67731, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 17:54:06', NULL, NULL), (67732, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 17:54:06', NULL, NULL), (67733, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 17:54:06', NULL, NULL), (67734, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 17:54:06', NULL, NULL), (67735, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 17:54:06', NULL, NULL), (67736, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 17:54:06', NULL, NULL), (67737, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 17:54:06', NULL, NULL), (67738, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 17:54:06', NULL, NULL), (67739, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 17:54:06', NULL, NULL), (67740, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 17:54:06', NULL, NULL), (67741, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 17:54:06', NULL, NULL), (67742, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 17:54:06', NULL, NULL), (67743, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 17:54:06', NULL, NULL), (67744, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 17:54:06', NULL, NULL), (67745, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 17:54:06', NULL, NULL), (67746, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 17:54:06', NULL, NULL), (67747, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 17:54:06', NULL, NULL), (67748, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 17:54:06', NULL, NULL), (67749, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 17:54:06', NULL, NULL), (67750, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 17:54:06', NULL, NULL), (67751, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 17:54:06', NULL, NULL), (67752, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 17:54:06', NULL, NULL), (67753, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 17:54:06', NULL, NULL), (67754, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 17:54:06', NULL, NULL), (67755, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 17:54:06', NULL, NULL), (67756, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 17:54:06', NULL, NULL), (67757, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 17:54:06', NULL, NULL), (67758, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 17:54:06', NULL, NULL), (67759, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 17:54:06', NULL, NULL), (67760, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 17:54:06', NULL, NULL), (67761, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 17:54:06', NULL, NULL), (67762, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 17:54:06', NULL, NULL), (67763, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 17:54:06', NULL, NULL), (67764, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 17:54:06', NULL, NULL), (67765, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 17:54:06', NULL, NULL), (67766, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 17:54:06', NULL, NULL), (67767, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 17:54:06', NULL, NULL), (67768, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 17:54:06', NULL, NULL), (67769, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 17:54:06', NULL, NULL), (67770, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 17:54:06', NULL, NULL), (67771, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 17:54:06', NULL, NULL), (67772, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 17:54:06', NULL, NULL), (67773, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 17:54:06', NULL, NULL), (67774, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 17:54:06', NULL, NULL), (67775, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 17:54:06', NULL, NULL), (67776, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 17:54:06', NULL, NULL), (67777, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 17:54:06', NULL, NULL), (67778, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 17:54:06', NULL, NULL), (67779, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 17:54:06', NULL, NULL), (67780, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 17:54:06', NULL, NULL), (67781, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 17:54:06', NULL, NULL), (67782, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 17:54:06', NULL, NULL), (67783, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 17:54:06', NULL, NULL), (67784, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 17:54:06', NULL, NULL), (67785, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 17:54:06', NULL, NULL), (67786, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 17:54:06', NULL, NULL), (67787, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 17:54:06', NULL, NULL), (67788, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 17:54:06', NULL, NULL), (67789, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 17:54:06', NULL, NULL), (67790, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 17:54:06', NULL, NULL), (67791, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 17:54:06', NULL, NULL), (67792, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 17:54:06', NULL, NULL), (67793, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 17:54:06', NULL, NULL), (67794, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 17:54:06', NULL, NULL), (67795, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 17:54:06', NULL, NULL), (67796, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 17:54:06', NULL, NULL), (67797, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 17:54:06', NULL, NULL), (67798, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 17:54:06', NULL, NULL), (67799, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 17:54:06', NULL, NULL), (67800, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 17:54:06', NULL, NULL), (67801, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 17:54:06', NULL, NULL), (67802, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 17:54:06', NULL, NULL), (67803, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 17:54:06', NULL, NULL), (67804, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 17:54:06', NULL, NULL), (67805, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 17:54:06', NULL, NULL), (67806, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 17:54:06', NULL, NULL), (67807, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 17:54:06', NULL, NULL), (67808, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 17:54:06', NULL, NULL), (67809, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 17:54:06', NULL, NULL), (67810, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 17:54:06', NULL, NULL), (67811, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 17:54:06', NULL, NULL), (67812, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 17:54:06', NULL, NULL), (67813, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 17:54:06', NULL, NULL), (67814, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 17:54:06', NULL, NULL), (67815, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 17:54:06', NULL, NULL), (67816, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 17:54:06', NULL, NULL), (67817, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 17:54:06', NULL, NULL), (67818, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 17:54:06', NULL, NULL), (67819, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 17:54:06', NULL, NULL), (67820, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 17:54:06', NULL, NULL), (67821, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 17:54:06', NULL, NULL), (67822, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 17:54:06', NULL, NULL), (67823, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 17:54:06', NULL, NULL), (67824, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 17:54:06', NULL, NULL), (67825, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 17:54:06', NULL, NULL), (67826, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 17:54:06', NULL, NULL), (67827, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 17:54:07', NULL, NULL), (67828, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 17:54:07', NULL, NULL), (67829, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 17:54:07', NULL, NULL), (67830, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 17:54:07', NULL, NULL), (67831, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 17:54:07', NULL, NULL), (67832, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 17:54:07', NULL, NULL), (67833, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 17:54:07', NULL, NULL), (67834, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 17:54:07', NULL, NULL), (67835, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 17:54:07', NULL, NULL), (67836, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 17:54:07', NULL, NULL), (67837, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 17:54:07', NULL, NULL), (67838, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 17:54:07', NULL, NULL), (67839, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 17:54:07', NULL, NULL), (67840, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 17:54:07', NULL, NULL), (67841, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 17:54:07', NULL, NULL), (67842, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 17:54:07', NULL, NULL), (67843, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 17:54:07', NULL, NULL), (67844, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 17:54:07', NULL, NULL), (67845, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 17:54:07', NULL, NULL), (67846, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 17:54:07', NULL, NULL), (67847, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 17:54:07', NULL, NULL), (67848, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 17:54:07', NULL, NULL), (67849, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 17:54:07', NULL, NULL), (67850, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 17:54:07', NULL, NULL), (67851, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 17:54:07', NULL, NULL), (67852, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 17:54:07', NULL, NULL), (67853, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 17:54:07', NULL, NULL), (67854, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 17:54:07', NULL, NULL), (67855, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 17:54:07', NULL, NULL), (67856, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 17:54:07', NULL, NULL), (67857, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 17:54:07', NULL, NULL), (67858, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 17:54:07', NULL, NULL), (67859, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 17:54:07', NULL, NULL), (67860, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 17:54:07', NULL, NULL), (67861, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 17:54:07', NULL, NULL), (67862, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 17:54:07', NULL, NULL), (67863, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 17:54:07', NULL, NULL), (67864, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 17:54:07', NULL, NULL), (67865, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 17:54:07', NULL, NULL), (67866, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 17:54:07', NULL, NULL), (67867, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 17:54:07', NULL, NULL), (67868, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 17:54:07', NULL, NULL), (67869, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 17:54:07', NULL, NULL), (67870, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 17:54:07', NULL, NULL), (67871, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 17:54:07', NULL, NULL), (67872, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 17:54:07', NULL, NULL), (67873, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 17:54:07', NULL, NULL), (67874, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 17:54:07', NULL, NULL), (67875, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 17:54:07', NULL, NULL), (67876, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 17:54:07', NULL, NULL), (67877, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 17:54:07', NULL, NULL), (67878, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 17:54:07', NULL, NULL), (67879, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 17:54:07', NULL, NULL), (67880, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 17:54:07', NULL, NULL), (67881, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 17:54:07', NULL, NULL), (67882, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 17:54:07', NULL, NULL), (67883, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 17:54:08', NULL, NULL), (67884, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 17:54:08', NULL, NULL), (67885, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 17:54:08', NULL, NULL), (67886, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 17:54:08', NULL, NULL), (67887, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 17:54:08', NULL, NULL), (67888, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 17:54:08', NULL, NULL), (67889, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 17:54:08', NULL, NULL), (67890, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 17:54:08', NULL, NULL), (67891, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 17:54:08', NULL, NULL), (67892, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 17:54:08', NULL, NULL), (67893, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 17:54:08', NULL, NULL), (67894, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 17:54:08', NULL, NULL), (67895, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 17:54:08', NULL, NULL), (67896, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 17:54:08', NULL, NULL), (67897, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 17:54:08', NULL, NULL), (67898, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 17:54:08', NULL, NULL), (67899, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 17:54:08', NULL, NULL), (67900, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 17:54:08', NULL, NULL), (67901, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 17:54:08', NULL, NULL), (67902, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 17:54:08', NULL, NULL), (67903, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 17:54:08', NULL, NULL), (67904, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 17:54:08', NULL, NULL), (67905, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 17:54:08', NULL, NULL), (67906, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 17:54:08', NULL, NULL), (67907, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 17:54:08', NULL, NULL), (67908, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 17:54:08', NULL, NULL), (67909, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 17:54:08', NULL, NULL), (67910, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 17:54:08', NULL, NULL), (67911, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 17:54:08', NULL, NULL), (67912, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 17:54:08', NULL, NULL), (67913, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 17:54:08', NULL, NULL), (67914, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 17:54:08', NULL, NULL), (67915, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 17:54:08', NULL, NULL), (67916, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 17:54:08', NULL, NULL), (67917, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 17:54:08', NULL, NULL), (67918, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 17:54:08', NULL, NULL), (67919, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 17:54:08', NULL, NULL), (67920, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 17:54:08', NULL, NULL), (67921, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 17:54:08', NULL, NULL), (67922, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 17:54:08', NULL, NULL), (67923, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 17:54:08', NULL, NULL), (67924, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 17:54:08', NULL, NULL), (67925, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 17:54:08', NULL, NULL), (67926, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 17:54:08', NULL, NULL), (67927, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 17:54:08', NULL, NULL), (67928, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 17:54:08', NULL, NULL), (67929, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 17:54:08', NULL, NULL), (67930, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 17:54:08', NULL, NULL), (67931, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 17:54:08', NULL, NULL), (67932, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 17:54:08', NULL, NULL), (67933, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 17:54:08', NULL, NULL), (67934, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 17:54:08', NULL, NULL), (67935, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 17:54:09', NULL, NULL), (67936, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 17:54:09', NULL, NULL), (67937, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 17:54:09', NULL, NULL), (67938, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 17:54:09', NULL, NULL), (67939, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 17:54:09', NULL, NULL), (67940, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 17:54:09', NULL, NULL), (67941, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 17:54:09', NULL, NULL), (67942, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 17:54:09', NULL, NULL), (67943, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 17:54:09', NULL, NULL), (67944, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 17:54:09', NULL, NULL), (67945, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 17:54:09', NULL, NULL), (67946, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 17:54:09', NULL, NULL), (67947, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 17:54:09', NULL, NULL), (67948, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 17:54:09', NULL, NULL), (67949, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 17:54:09', NULL, NULL), (67950, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 17:54:09', NULL, NULL), (67951, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 17:54:09', NULL, NULL), (67952, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 17:54:09', NULL, NULL), (67953, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 17:54:09', NULL, NULL), (67954, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 17:54:09', NULL, NULL), (67955, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 17:54:09', NULL, NULL), (67956, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 17:54:09', NULL, NULL), (67957, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 17:54:09', NULL, NULL), (67958, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 17:54:09', NULL, NULL), (67959, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 17:54:09', NULL, NULL), (67960, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 17:54:09', NULL, NULL), (67961, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 17:54:09', NULL, NULL), (67962, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 17:54:09', NULL, NULL), (67963, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 17:54:09', NULL, NULL), (67964, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 17:54:09', NULL, NULL), (67965, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 17:54:09', NULL, NULL), (67966, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 17:54:09', NULL, NULL), (67967, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 17:54:09', NULL, NULL), (67968, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 17:54:09', NULL, NULL), (67969, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 17:54:09', NULL, NULL), (67970, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 17:54:09', NULL, NULL), (67971, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 17:54:09', NULL, NULL), (67972, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 17:54:09', NULL, NULL), (67973, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 17:54:09', NULL, NULL), (67974, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 17:54:09', NULL, NULL), (67975, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 17:54:09', NULL, NULL), (67976, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 17:54:09', NULL, NULL), (67977, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 17:54:09', NULL, NULL), (67978, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 17:54:09', NULL, NULL), (67979, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 17:54:09', NULL, NULL), (67980, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 17:54:09', NULL, NULL), (67981, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 17:54:09', NULL, NULL), (67982, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 17:54:09', NULL, NULL), (67983, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 17:54:09', NULL, NULL), (67984, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 17:54:09', NULL, NULL), (67985, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 17:54:10', NULL, NULL), (67986, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 17:54:10', NULL, NULL), (67987, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 17:54:10', NULL, NULL), (67988, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 17:54:10', NULL, NULL), (67989, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 17:54:10', NULL, NULL), (67990, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 17:54:10', NULL, NULL), (67991, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 17:54:10', NULL, NULL), (67992, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 17:54:10', NULL, NULL), (67993, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 17:54:10', NULL, NULL), (67994, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 17:54:10', NULL, NULL), (67995, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 17:54:10', NULL, NULL), (67996, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 17:54:10', NULL, NULL), (67997, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 17:54:10', NULL, NULL), (67998, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 17:54:10', NULL, NULL), (67999, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 17:54:10', NULL, NULL), (68000, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 17:54:10', NULL, NULL), (68001, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 17:54:10', NULL, NULL), (68002, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 17:54:10', NULL, NULL), (68003, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 17:54:10', NULL, NULL), (68004, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 17:54:10', NULL, NULL), (68005, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 17:54:10', NULL, NULL), (68006, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 17:54:10', NULL, NULL), (68007, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 17:54:10', NULL, NULL), (68008, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 17:54:10', NULL, NULL), (68009, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 17:54:10', NULL, NULL), (68010, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 17:54:10', NULL, NULL), (68011, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 17:54:10', NULL, NULL), (68012, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 17:54:10', NULL, NULL), (68013, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 17:54:10', NULL, NULL), (68014, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 17:54:10', NULL, NULL), (68015, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 17:54:10', NULL, NULL), (68016, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 17:54:10', NULL, NULL), (68017, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 17:54:10', NULL, NULL), (68018, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 17:54:10', NULL, NULL), (68019, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 17:54:10', NULL, NULL), (68020, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 17:54:10', NULL, NULL), (68021, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 17:54:10', NULL, NULL), (68022, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 17:54:10', NULL, NULL), (68023, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 17:54:10', NULL, NULL), (68024, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 17:54:10', NULL, NULL), (68025, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 17:54:10', NULL, NULL), (68026, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 17:54:10', NULL, NULL), (68027, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 17:54:10', NULL, NULL), (68028, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 17:54:10', NULL, NULL), (68029, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 17:54:10', NULL, NULL), (68030, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 17:54:10', NULL, NULL), (68031, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 17:54:10', NULL, NULL), (68032, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 17:54:10', NULL, NULL), (68033, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 17:54:10', NULL, NULL), (68034, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 17:54:11', NULL, NULL), (68035, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 17:54:11', NULL, NULL), (68036, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 17:54:11', NULL, NULL), (68037, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 17:54:11', NULL, NULL), (68038, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 17:54:11', NULL, NULL), (68039, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 17:54:11', 1, '2024-08-05 22:12:16'), (68040, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 17:54:11', 1, '2024-08-06 02:01:18'), (68041, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 17:54:11', 1, '2024-08-07 01:00:17'), (68042, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 17:54:11', 1, '2024-08-08 01:00:16'), (68043, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 17:54:11', 1, '2024-08-09 01:00:16'), (68044, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 18:07:44', NULL, NULL), (68045, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 18:07:44', NULL, NULL), (68046, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 18:07:44', NULL, NULL), (68047, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 18:07:44', NULL, NULL), (68048, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 18:07:44', NULL, NULL), (68049, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 18:07:44', NULL, NULL), (68050, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 18:07:44', NULL, NULL), (68051, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 18:07:44', NULL, NULL), (68052, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 18:07:44', NULL, NULL), (68053, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 18:07:44', NULL, NULL), (68054, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 18:07:44', NULL, NULL), (68055, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 18:07:44', NULL, NULL), (68056, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 18:07:44', NULL, NULL), (68057, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 18:07:44', NULL, NULL), (68058, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 18:07:44', NULL, NULL), (68059, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 18:07:44', NULL, NULL), (68060, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 18:07:44', NULL, NULL), (68061, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 18:07:44', NULL, NULL), (68062, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 18:07:44', NULL, NULL), (68063, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 18:07:44', NULL, NULL), (68064, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 18:07:44', NULL, NULL), (68065, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 18:07:44', NULL, NULL), (68066, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 18:07:44', NULL, NULL), (68067, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 18:07:44', NULL, NULL), (68068, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 18:07:44', NULL, NULL), (68069, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 18:07:44', NULL, NULL), (68070, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 18:07:44', NULL, NULL), (68071, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 18:07:44', NULL, NULL), (68072, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 18:07:44', NULL, NULL), (68073, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 18:07:44', NULL, NULL), (68074, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 18:07:44', NULL, NULL), (68075, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 18:07:44', NULL, NULL), (68076, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 18:07:44', NULL, NULL), (68077, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 18:07:44', NULL, NULL), (68078, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 18:07:44', NULL, NULL), (68079, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 18:07:44', NULL, NULL), (68080, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 18:07:44', NULL, NULL), (68081, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 18:07:44', NULL, NULL), (68082, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 18:07:44', NULL, NULL), (68083, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 18:07:44', NULL, NULL), (68084, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 18:07:44', NULL, NULL), (68085, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 18:07:44', NULL, NULL), (68086, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 18:07:44', NULL, NULL), (68087, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 18:07:44', NULL, NULL), (68088, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 18:07:44', NULL, NULL), (68089, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 18:07:45', NULL, NULL), (68090, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 18:07:45', NULL, NULL), (68091, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 18:07:45', NULL, NULL), (68092, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 18:07:45', NULL, NULL), (68093, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 18:07:45', NULL, NULL), (68094, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 18:07:45', NULL, NULL), (68095, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 18:07:45', NULL, NULL), (68096, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 18:07:45', NULL, NULL), (68097, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 18:07:45', NULL, NULL), (68098, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 18:07:45', NULL, NULL), (68099, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 18:07:45', NULL, NULL), (68100, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 18:07:45', NULL, NULL), (68101, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 18:07:45', NULL, NULL), (68102, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 18:07:45', NULL, NULL), (68103, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 18:07:45', NULL, NULL), (68104, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 18:07:45', NULL, NULL), (68105, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 18:07:45', NULL, NULL), (68106, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 18:07:45', NULL, NULL), (68107, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 18:07:45', NULL, NULL), (68108, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 18:07:45', NULL, NULL), (68109, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 18:07:45', NULL, NULL), (68110, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 18:07:45', NULL, NULL), (68111, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 18:07:45', NULL, NULL), (68112, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 18:07:45', NULL, NULL), (68113, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 18:07:45', NULL, NULL), (68114, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 18:07:45', NULL, NULL), (68115, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 18:07:45', NULL, NULL), (68116, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 18:07:45', NULL, NULL), (68117, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 18:07:45', NULL, NULL), (68118, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 18:07:45', NULL, NULL), (68119, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 18:07:45', NULL, NULL), (68120, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 18:07:45', NULL, NULL), (68121, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 18:07:45', NULL, NULL), (68122, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 18:07:45', NULL, NULL), (68123, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 18:07:45', NULL, NULL), (68124, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 18:07:45', NULL, NULL), (68125, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 18:07:45', NULL, NULL), (68126, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 18:07:45', NULL, NULL), (68127, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 18:07:45', NULL, NULL), (68128, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 18:07:45', NULL, NULL), (68129, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 18:07:45', NULL, NULL), (68130, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 18:07:45', NULL, NULL), (68131, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 18:07:45', NULL, NULL), (68132, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 18:07:45', NULL, NULL), (68133, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 18:07:45', NULL, NULL), (68134, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 18:07:45', NULL, NULL), (68135, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 18:07:45', NULL, NULL), (68136, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 18:07:45', NULL, NULL), (68137, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 18:07:45', NULL, NULL), (68138, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 18:07:45', NULL, NULL), (68139, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 18:07:45', NULL, NULL), (68140, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 18:07:45', NULL, NULL), (68141, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 18:07:45', NULL, NULL), (68142, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 18:07:45', NULL, NULL), (68143, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 18:07:45', NULL, NULL), (68144, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 18:07:45', NULL, NULL), (68145, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 18:07:45', NULL, NULL), (68146, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 18:07:45', NULL, NULL), (68147, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 18:07:45', NULL, NULL), (68148, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 18:07:45', NULL, NULL), (68149, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 18:07:45', NULL, NULL), (68150, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 18:07:45', NULL, NULL), (68151, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 18:07:45', NULL, NULL), (68152, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 18:07:45', NULL, NULL), (68153, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 18:07:45', NULL, NULL), (68154, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 18:07:45', NULL, NULL), (68155, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 18:07:45', NULL, NULL), (68156, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 18:07:45', NULL, NULL), (68157, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 18:07:45', NULL, NULL), (68158, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 18:07:45', NULL, NULL), (68159, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 18:07:45', NULL, NULL), (68160, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 18:07:45', NULL, NULL), (68161, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 18:07:45', NULL, NULL), (68162, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 18:07:45', NULL, NULL), (68163, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 18:07:45', NULL, NULL), (68164, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 18:07:45', NULL, NULL), (68165, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 18:07:45', NULL, NULL), (68166, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 18:07:45', NULL, NULL), (68167, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 18:07:45', NULL, NULL), (68168, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 18:07:45', NULL, NULL), (68169, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 18:07:45', NULL, NULL), (68170, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 18:07:45', NULL, NULL), (68171, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 18:07:45', NULL, NULL), (68172, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 18:07:45', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (68173, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 18:07:45', NULL, NULL), (68174, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 18:07:45', NULL, NULL), (68175, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 18:07:45', NULL, NULL), (68176, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 18:07:46', NULL, NULL), (68177, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 18:07:46', NULL, NULL), (68178, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 18:07:46', NULL, NULL), (68179, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 18:07:46', NULL, NULL), (68180, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 18:07:46', NULL, NULL), (68181, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 18:07:46', NULL, NULL), (68182, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 18:07:46', NULL, NULL), (68183, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 18:07:46', NULL, NULL), (68184, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 18:07:46', NULL, NULL), (68185, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 18:07:46', NULL, NULL), (68186, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 18:07:46', NULL, NULL), (68187, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 18:07:46', NULL, NULL), (68188, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 18:07:46', NULL, NULL), (68189, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 18:07:46', NULL, NULL), (68190, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 18:07:46', NULL, NULL), (68191, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 18:07:46', NULL, NULL), (68192, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 18:07:46', NULL, NULL), (68193, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 18:07:46', NULL, NULL), (68194, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 18:07:46', NULL, NULL), (68195, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 18:07:46', NULL, NULL), (68196, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 18:07:46', NULL, NULL), (68197, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 18:07:46', NULL, NULL), (68198, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 18:07:46', NULL, NULL), (68199, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 18:07:46', NULL, NULL), (68200, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 18:07:46', NULL, NULL), (68201, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 18:07:46', NULL, NULL), (68202, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 18:07:46', NULL, NULL), (68203, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 18:07:46', NULL, NULL), (68204, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 18:07:46', NULL, NULL), (68205, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 18:07:46', NULL, NULL), (68206, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 18:07:46', NULL, NULL), (68207, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 18:07:46', NULL, NULL), (68208, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 18:07:46', NULL, NULL), (68209, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 18:07:46', NULL, NULL), (68210, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 18:07:46', NULL, NULL), (68211, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 18:07:46', NULL, NULL), (68212, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 18:07:46', NULL, NULL), (68213, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 18:07:46', NULL, NULL), (68214, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 18:07:46', NULL, NULL), (68215, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 18:07:46', NULL, NULL), (68216, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 18:07:46', NULL, NULL), (68217, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 18:07:46', NULL, NULL), (68218, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 18:07:46', NULL, NULL), (68219, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 18:07:46', NULL, NULL), (68220, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 18:07:46', NULL, NULL), (68221, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 18:07:46', NULL, NULL), (68222, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 18:07:46', NULL, NULL), (68223, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 18:07:46', NULL, NULL), (68224, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 18:07:46', NULL, NULL), (68225, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 18:07:46', NULL, NULL), (68226, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 18:07:46', NULL, NULL), (68227, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 18:07:46', NULL, NULL), (68228, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 18:07:46', NULL, NULL), (68229, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 18:07:46', NULL, NULL), (68230, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 18:07:46', NULL, NULL), (68231, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 18:07:46', NULL, NULL), (68232, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 18:07:46', NULL, NULL), (68233, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 18:07:46', NULL, NULL), (68234, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 18:07:46', NULL, NULL), (68235, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 18:07:46', NULL, NULL), (68236, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 18:07:46', NULL, NULL), (68237, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 18:07:46', NULL, NULL), (68238, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 18:07:46', NULL, NULL), (68239, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 18:07:46', NULL, NULL), (68240, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 18:07:46', NULL, NULL), (68241, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 18:07:46', NULL, NULL), (68242, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 18:07:46', NULL, NULL), (68243, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 18:07:46', NULL, NULL), (68244, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 18:07:46', NULL, NULL), (68245, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 18:07:46', NULL, NULL), (68246, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 18:07:46', NULL, NULL), (68247, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 18:07:46', NULL, NULL), (68248, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 18:07:46', NULL, NULL), (68249, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 18:07:46', NULL, NULL), (68250, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 18:07:46', NULL, NULL), (68251, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 18:07:46', NULL, NULL), (68252, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 18:07:46', NULL, NULL), (68253, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 18:07:46', NULL, NULL), (68254, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 18:07:46', NULL, NULL), (68255, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 18:07:46', NULL, NULL), (68256, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 18:07:46', NULL, NULL), (68257, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 18:07:46', NULL, NULL), (68258, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 18:07:46', NULL, NULL), (68259, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 18:07:47', NULL, NULL), (68260, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 18:07:47', NULL, NULL), (68261, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 18:07:47', NULL, NULL), (68262, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 18:07:47', NULL, NULL), (68263, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 18:07:47', NULL, NULL), (68264, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 18:07:47', NULL, NULL), (68265, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 18:07:47', NULL, NULL), (68266, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 18:07:47', NULL, NULL), (68267, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 18:07:47', NULL, NULL), (68268, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 18:07:47', NULL, NULL), (68269, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 18:07:47', NULL, NULL), (68270, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 18:07:47', NULL, NULL), (68271, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 18:07:47', NULL, NULL), (68272, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 18:07:47', NULL, NULL), (68273, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 18:07:47', NULL, NULL), (68274, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 18:07:47', NULL, NULL), (68275, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 18:07:47', NULL, NULL), (68276, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 18:07:47', NULL, NULL), (68277, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 18:07:47', NULL, NULL), (68278, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 18:07:47', NULL, NULL), (68279, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 18:07:47', NULL, NULL), (68280, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 18:07:47', NULL, NULL), (68281, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 18:07:47', NULL, NULL), (68282, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 18:07:47', NULL, NULL), (68283, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 18:07:47', NULL, NULL), (68284, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 18:07:47', NULL, NULL), (68285, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 18:07:47', NULL, NULL), (68286, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 18:07:47', NULL, NULL), (68287, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 18:07:47', NULL, NULL), (68288, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 18:07:47', NULL, NULL), (68289, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 18:07:47', NULL, NULL), (68290, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 18:07:47', NULL, NULL), (68291, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 18:07:47', NULL, NULL), (68292, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 18:07:47', NULL, NULL), (68293, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 18:07:47', NULL, NULL), (68294, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 18:07:47', NULL, NULL), (68295, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 18:07:47', NULL, NULL), (68296, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 18:07:47', NULL, NULL), (68297, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 18:07:47', NULL, NULL), (68298, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 18:07:47', NULL, NULL), (68299, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 18:07:47', NULL, NULL), (68300, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 18:07:47', NULL, NULL), (68301, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 18:07:47', NULL, NULL), (68302, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 18:07:47', NULL, NULL), (68303, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 18:07:47', NULL, NULL), (68304, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 18:07:47', NULL, NULL), (68305, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 18:07:47', NULL, NULL), (68306, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 18:07:47', NULL, NULL), (68307, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 18:07:47', NULL, NULL), (68308, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 18:07:47', NULL, NULL), (68309, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 18:07:47', NULL, NULL), (68310, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 18:07:47', NULL, NULL), (68311, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 18:07:47', NULL, NULL), (68312, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 18:07:47', NULL, NULL), (68313, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 18:07:47', NULL, NULL), (68314, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 18:07:47', NULL, NULL), (68315, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 18:07:47', NULL, NULL), (68316, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 18:07:47', NULL, NULL), (68317, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 18:07:47', NULL, NULL), (68318, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 18:07:47', NULL, NULL), (68319, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 18:07:47', NULL, NULL), (68320, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 18:07:47', NULL, NULL), (68321, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 18:07:47', NULL, NULL), (68322, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 18:07:47', NULL, NULL), (68323, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 18:07:47', NULL, NULL), (68324, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 18:07:47', NULL, NULL), (68325, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 18:07:47', NULL, NULL), (68326, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 18:07:47', NULL, NULL), (68327, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 18:07:47', NULL, NULL), (68328, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 18:07:47', NULL, NULL), (68329, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 18:07:47', NULL, NULL), (68330, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 18:07:47', NULL, NULL), (68331, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 18:07:47', NULL, NULL), (68332, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 18:07:47', NULL, NULL), (68333, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 18:07:47', NULL, NULL), (68334, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 18:07:47', NULL, NULL), (68335, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 18:07:47', NULL, NULL), (68336, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 18:07:47', NULL, NULL), (68337, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 18:07:47', NULL, NULL), (68338, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 18:07:47', NULL, NULL), (68339, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 18:07:47', NULL, NULL), (68340, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 18:07:47', NULL, NULL), (68341, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 18:07:47', NULL, NULL), (68342, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 18:07:47', NULL, NULL), (68343, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 18:07:47', NULL, NULL), (68344, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 18:07:47', NULL, NULL), (68345, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 18:07:47', NULL, NULL), (68346, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 18:07:47', NULL, NULL), (68347, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 18:07:47', NULL, NULL), (68348, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 18:07:47', NULL, NULL), (68349, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 18:07:47', NULL, NULL), (68350, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 18:07:47', NULL, NULL), (68351, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 18:07:47', NULL, NULL), (68352, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 18:07:47', NULL, NULL), (68353, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 18:07:47', NULL, NULL), (68354, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 18:07:47', NULL, NULL), (68355, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 18:07:47', NULL, NULL), (68356, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 18:07:47', NULL, NULL), (68357, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 18:07:47', NULL, NULL), (68358, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 18:07:47', NULL, NULL), (68359, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 18:07:47', NULL, NULL), (68360, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 18:07:47', NULL, NULL), (68361, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 18:07:47', NULL, NULL), (68362, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 18:07:47', NULL, NULL), (68363, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 18:07:47', NULL, NULL), (68364, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 18:07:47', NULL, NULL), (68365, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 18:07:47', NULL, NULL), (68366, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 18:07:47', NULL, NULL), (68367, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 18:07:47', NULL, NULL), (68368, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 18:07:47', NULL, NULL), (68369, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 18:07:47', NULL, NULL), (68370, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 18:07:47', NULL, NULL), (68371, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 18:07:47', NULL, NULL), (68372, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 18:07:47', NULL, NULL), (68373, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 18:07:47', NULL, NULL), (68374, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 18:07:47', NULL, NULL), (68375, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 18:07:47', NULL, NULL), (68376, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 18:07:47', NULL, NULL), (68377, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 18:07:47', NULL, NULL), (68378, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 18:07:47', NULL, NULL), (68379, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 18:07:47', NULL, NULL), (68380, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 18:07:47', NULL, NULL), (68381, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 18:07:47', NULL, NULL), (68382, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 18:07:47', NULL, NULL), (68383, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 18:07:47', NULL, NULL), (68384, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 18:07:47', NULL, NULL), (68385, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 18:07:47', NULL, NULL), (68386, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 18:07:47', NULL, NULL), (68387, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 18:07:47', NULL, NULL), (68388, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 18:07:48', NULL, NULL), (68389, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 18:07:48', NULL, NULL), (68390, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 18:07:48', NULL, NULL), (68391, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 18:07:48', NULL, NULL), (68392, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 18:07:48', NULL, NULL), (68393, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 18:07:48', NULL, NULL), (68394, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 18:07:48', NULL, NULL), (68395, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 18:07:48', NULL, NULL), (68396, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 18:07:48', NULL, NULL), (68397, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 18:07:48', NULL, NULL), (68398, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 18:07:48', NULL, NULL), (68399, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 18:07:48', NULL, NULL), (68400, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 18:07:48', NULL, NULL), (68401, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 18:07:48', NULL, NULL), (68402, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 18:07:48', NULL, NULL), (68403, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 18:07:48', NULL, NULL), (68404, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 18:07:48', NULL, NULL), (68405, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 18:07:48', NULL, NULL), (68406, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 18:07:48', NULL, NULL), (68407, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 18:07:48', NULL, NULL), (68408, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 18:07:48', NULL, NULL), (68409, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 18:07:48', NULL, NULL), (68410, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 18:07:48', NULL, NULL), (68411, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 18:07:48', NULL, NULL), (68412, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 18:07:48', NULL, NULL), (68413, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 18:07:48', NULL, NULL), (68414, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 18:07:48', NULL, NULL), (68415, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 18:07:48', NULL, NULL), (68416, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 18:07:48', NULL, NULL), (68417, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 18:07:48', NULL, NULL), (68418, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 18:07:48', NULL, NULL), (68419, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 18:07:48', NULL, NULL), (68420, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 18:07:48', NULL, NULL), (68421, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 18:07:48', NULL, NULL), (68422, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 18:07:48', NULL, NULL), (68423, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 18:07:48', NULL, NULL), (68424, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 18:07:48', NULL, NULL), (68425, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 18:07:48', NULL, NULL), (68426, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 18:07:48', NULL, NULL), (68427, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 18:07:48', NULL, NULL), (68428, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 18:07:48', NULL, NULL), (68429, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 18:07:48', NULL, NULL), (68430, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 18:07:48', NULL, NULL), (68431, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 18:07:48', NULL, NULL), (68432, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 18:07:48', NULL, NULL), (68433, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 18:07:48', NULL, NULL), (68434, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 18:07:48', NULL, NULL), (68435, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 18:07:48', NULL, NULL), (68436, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 18:07:48', NULL, NULL), (68437, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 18:07:48', NULL, NULL), (68438, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 18:07:48', NULL, NULL), (68439, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 18:07:48', NULL, NULL), (68440, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 18:07:48', NULL, NULL), (68441, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 18:07:48', NULL, NULL), (68442, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 18:07:48', NULL, NULL), (68443, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 18:07:48', NULL, NULL), (68444, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 18:07:48', NULL, NULL), (68445, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 18:07:48', NULL, NULL), (68446, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 18:07:48', NULL, NULL), (68447, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 18:07:48', NULL, NULL), (68448, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 18:07:48', NULL, NULL), (68449, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 18:07:48', NULL, NULL), (68450, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 18:07:48', NULL, NULL), (68451, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 18:07:48', NULL, NULL), (68452, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 18:07:48', NULL, NULL), (68453, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 18:07:48', NULL, NULL), (68454, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 18:07:48', NULL, NULL), (68455, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 18:07:48', NULL, NULL), (68456, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 18:07:48', NULL, NULL), (68457, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 18:07:48', NULL, NULL), (68458, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 18:07:48', NULL, NULL), (68459, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 18:07:48', NULL, NULL), (68460, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 18:07:48', NULL, NULL), (68461, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 18:07:48', NULL, NULL), (68462, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 18:07:49', NULL, NULL), (68463, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 18:07:49', NULL, NULL), (68464, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 18:07:49', NULL, NULL), (68465, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 18:07:49', NULL, NULL), (68466, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 18:07:49', NULL, NULL), (68467, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 18:07:49', NULL, NULL), (68468, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 18:07:49', NULL, NULL), (68469, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 18:07:49', NULL, NULL), (68470, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 18:07:49', NULL, NULL), (68471, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 18:07:49', NULL, NULL), (68472, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 18:07:49', NULL, NULL), (68473, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 18:07:49', NULL, NULL), (68474, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 18:07:49', NULL, NULL), (68475, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 18:07:49', NULL, NULL), (68476, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 18:07:49', NULL, NULL), (68477, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 18:07:49', NULL, NULL), (68478, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 18:07:49', NULL, NULL), (68479, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 18:07:49', NULL, NULL), (68480, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 18:07:49', NULL, NULL), (68481, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 18:07:49', NULL, NULL), (68482, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 18:07:49', NULL, NULL), (68483, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 18:07:49', NULL, NULL), (68484, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 18:07:49', NULL, NULL), (68485, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 18:07:49', NULL, NULL), (68486, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 18:07:49', NULL, NULL), (68487, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 18:07:49', NULL, NULL), (68488, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 18:07:49', NULL, NULL), (68489, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 18:07:49', NULL, NULL), (68490, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 18:07:49', NULL, NULL), (68491, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 18:07:49', NULL, NULL), (68492, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 18:07:49', NULL, NULL), (68493, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 18:07:49', NULL, NULL), (68494, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 18:07:49', NULL, NULL), (68495, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 18:07:49', NULL, NULL), (68496, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 18:07:49', NULL, NULL), (68497, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 18:07:49', NULL, NULL), (68498, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 18:07:49', NULL, NULL), (68499, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 18:07:49', NULL, NULL), (68500, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 18:07:49', NULL, NULL), (68501, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 18:07:49', NULL, NULL), (68502, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 18:07:49', NULL, NULL), (68503, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 18:07:49', NULL, NULL), (68504, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 18:07:49', NULL, NULL), (68505, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 18:07:49', NULL, NULL), (68506, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 18:07:49', NULL, NULL), (68507, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 18:07:49', NULL, NULL), (68508, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 18:07:49', NULL, NULL), (68509, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 18:07:49', NULL, NULL), (68510, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 18:07:49', NULL, NULL), (68511, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 18:07:49', NULL, NULL), (68512, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 18:07:49', NULL, NULL), (68513, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 18:07:49', NULL, NULL), (68514, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 18:07:49', NULL, NULL), (68515, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 18:07:49', NULL, NULL), (68516, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 18:07:49', NULL, NULL), (68517, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 18:07:49', NULL, NULL), (68518, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 18:07:49', NULL, NULL), (68519, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 18:07:49', NULL, NULL), (68520, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 18:07:49', NULL, NULL), (68521, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 18:07:49', NULL, NULL), (68522, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 18:07:49', NULL, NULL), (68523, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 18:07:49', NULL, NULL), (68524, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 18:07:49', NULL, NULL), (68525, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 18:07:49', NULL, NULL), (68526, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 18:07:50', NULL, NULL), (68527, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 18:07:50', NULL, NULL), (68528, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 18:07:50', NULL, NULL), (68529, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 18:07:50', NULL, NULL), (68530, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 18:07:50', NULL, NULL), (68531, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 18:07:50', NULL, NULL), (68532, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 18:07:50', NULL, NULL), (68533, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 18:07:50', NULL, NULL), (68534, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 18:07:50', NULL, NULL), (68535, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 18:07:50', NULL, NULL), (68536, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 18:07:50', NULL, NULL), (68537, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 18:07:50', NULL, NULL), (68538, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 18:07:50', NULL, NULL), (68539, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 18:07:50', NULL, NULL), (68540, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 18:07:50', NULL, NULL), (68541, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 18:07:50', NULL, NULL), (68542, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 18:07:50', NULL, NULL), (68543, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 18:07:50', NULL, NULL), (68544, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 18:07:50', NULL, NULL), (68545, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 18:07:50', NULL, NULL), (68546, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 18:07:50', NULL, NULL), (68547, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 18:07:50', NULL, NULL), (68548, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 18:07:50', NULL, NULL), (68549, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 18:07:50', NULL, NULL), (68550, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 18:07:50', NULL, NULL), (68551, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 18:07:50', NULL, NULL), (68552, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 18:07:50', NULL, NULL), (68553, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 18:07:50', NULL, NULL), (68554, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 18:07:50', NULL, NULL), (68555, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 18:07:50', NULL, NULL), (68556, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 18:07:50', NULL, NULL), (68557, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 18:07:50', NULL, NULL), (68558, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 18:07:50', NULL, NULL), (68559, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 18:07:50', NULL, NULL), (68560, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 18:07:50', NULL, NULL), (68561, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 18:07:50', NULL, NULL), (68562, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 18:07:50', NULL, NULL), (68563, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 18:07:50', NULL, NULL), (68564, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 18:07:50', NULL, NULL), (68565, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 18:07:50', NULL, NULL), (68566, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 18:07:50', NULL, NULL), (68567, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 18:07:50', NULL, NULL), (68568, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 18:07:50', NULL, NULL), (68569, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 18:07:50', NULL, NULL), (68570, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 18:07:50', NULL, NULL), (68571, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 18:07:50', NULL, NULL), (68572, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 18:07:50', NULL, NULL), (68573, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 18:07:50', NULL, NULL), (68574, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 18:07:50', NULL, NULL), (68575, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 18:07:50', NULL, NULL), (68576, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 18:07:50', NULL, NULL), (68577, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 18:07:50', NULL, NULL), (68578, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 18:07:50', NULL, NULL), (68579, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 18:07:50', NULL, NULL), (68580, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 18:07:50', NULL, NULL), (68581, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 18:07:50', NULL, NULL), (68582, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 18:07:50', NULL, NULL), (68583, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 18:07:50', NULL, NULL), (68584, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 18:07:50', NULL, NULL), (68585, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 18:07:50', NULL, NULL), (68586, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 18:07:50', NULL, NULL), (68587, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 18:07:50', NULL, NULL), (68588, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 18:07:51', NULL, NULL), (68589, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 18:07:51', NULL, NULL), (68590, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 18:07:51', NULL, NULL), (68591, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 18:07:51', NULL, NULL), (68592, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 18:07:51', NULL, NULL), (68593, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 18:07:51', NULL, NULL), (68594, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 18:07:51', NULL, NULL), (68595, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 18:07:51', NULL, NULL), (68596, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 18:07:51', NULL, NULL), (68597, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 18:07:51', NULL, NULL), (68598, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 18:07:51', NULL, NULL), (68599, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 18:07:51', NULL, NULL), (68600, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 18:07:51', NULL, NULL), (68601, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 18:07:51', NULL, NULL), (68602, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 18:07:51', NULL, NULL), (68603, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 18:07:51', NULL, NULL), (68604, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 18:07:51', NULL, NULL), (68605, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 18:07:51', NULL, NULL), (68606, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 18:07:51', NULL, NULL), (68607, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 18:07:51', NULL, NULL), (68608, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 18:07:51', NULL, NULL), (68609, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 18:07:51', NULL, NULL), (68610, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 18:07:51', NULL, NULL), (68611, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 18:07:51', NULL, NULL), (68612, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 18:07:51', NULL, NULL), (68613, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 18:07:51', NULL, NULL), (68614, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 18:07:51', NULL, NULL), (68615, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 18:07:51', NULL, NULL), (68616, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 18:07:51', NULL, NULL), (68617, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 18:07:51', NULL, NULL), (68618, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 18:07:51', NULL, NULL), (68619, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 18:07:51', NULL, NULL), (68620, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 18:07:51', NULL, NULL), (68621, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 18:07:51', NULL, NULL), (68622, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 18:07:51', 1, '2024-08-05 22:12:18'), (68623, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 18:07:51', 1, '2024-08-06 02:01:17'), (68624, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 18:07:51', 1, '2024-08-07 01:00:16'), (68625, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 18:07:51', 1, '2024-08-08 01:00:17'), (68626, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 18:07:51', 1, '2024-08-09 01:00:18'), (68627, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 18:20:43', NULL, NULL), (68628, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 18:20:43', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (68629, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 18:20:43', NULL, NULL), (68630, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 18:20:43', NULL, NULL), (68631, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 18:20:43', NULL, NULL), (68632, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 18:20:43', NULL, NULL), (68633, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 18:20:43', NULL, NULL), (68634, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 18:20:43', NULL, NULL), (68635, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 18:20:43', NULL, NULL), (68636, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 18:20:43', NULL, NULL), (68637, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 18:20:43', NULL, NULL), (68638, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 18:20:43', NULL, NULL), (68639, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 18:20:43', NULL, NULL), (68640, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 18:20:43', NULL, NULL), (68641, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 18:20:43', NULL, NULL), (68642, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 18:20:43', NULL, NULL), (68643, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 18:20:43', NULL, NULL), (68644, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 18:20:43', NULL, NULL), (68645, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 18:20:43', NULL, NULL), (68646, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 18:20:44', NULL, NULL), (68647, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 18:20:44', NULL, NULL), (68648, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 18:20:44', NULL, NULL), (68649, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 18:20:44', NULL, NULL), (68650, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 18:20:44', NULL, NULL), (68651, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 18:20:44', NULL, NULL), (68652, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 18:20:44', NULL, NULL), (68653, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 18:20:44', NULL, NULL), (68654, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 18:20:44', NULL, NULL), (68655, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 18:20:44', NULL, NULL), (68656, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 18:20:44', NULL, NULL), (68657, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 1, 2023, 1, 31, '2024-08-05 18:20:44', NULL, NULL), (68658, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 18:20:44', NULL, NULL), (68659, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 18:20:44', NULL, NULL), (68660, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 18:20:44', NULL, NULL), (68661, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 18:20:44', NULL, NULL), (68662, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 18:20:44', NULL, NULL), (68663, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 18:20:44', NULL, NULL), (68664, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 18:20:44', NULL, NULL), (68665, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 18:20:44', NULL, NULL), (68666, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 18:20:44', NULL, NULL), (68667, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 18:20:44', NULL, NULL), (68668, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 18:20:44', NULL, NULL), (68669, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 18:20:44', NULL, NULL), (68670, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 18:20:44', NULL, NULL), (68671, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 18:20:44', NULL, NULL), (68672, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 18:20:44', NULL, NULL), (68673, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 18:20:44', NULL, NULL), (68674, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 18:20:44', NULL, NULL), (68675, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 18:20:44', NULL, NULL), (68676, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 18:20:44', NULL, NULL), (68677, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 18:20:44', NULL, NULL), (68678, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 18:20:44', NULL, NULL), (68679, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 18:20:44', NULL, NULL), (68680, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 18:20:44', NULL, NULL), (68681, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 18:20:44', NULL, NULL), (68682, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 18:20:44', NULL, NULL), (68683, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 18:20:44', NULL, NULL), (68684, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 18:20:44', NULL, NULL), (68685, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 18:20:44', NULL, NULL), (68686, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 18:20:44', NULL, NULL), (68687, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 18:20:44', NULL, NULL), (68688, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 18:20:44', NULL, NULL), (68689, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 18:20:44', NULL, NULL), (68690, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 18:20:44', NULL, NULL), (68691, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 4, 2023, 3, 6, '2024-08-05 18:20:44', NULL, NULL), (68692, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 18:20:44', NULL, NULL), (68693, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 18:20:44', NULL, NULL), (68694, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 18:20:44', NULL, NULL), (68695, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 18:20:44', NULL, NULL), (68696, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 18:20:44', NULL, NULL), (68697, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 18:20:44', NULL, NULL), (68698, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 18:20:45', NULL, NULL), (68699, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 18:20:45', NULL, NULL), (68700, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 18:20:45', NULL, NULL), (68701, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 18:20:45', NULL, NULL), (68702, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 18:20:45', NULL, NULL), (68703, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 18:20:45', NULL, NULL), (68704, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 18:20:45', NULL, NULL), (68705, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 18:20:45', NULL, NULL), (68706, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 18:20:45', NULL, NULL), (68707, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 18:20:45', NULL, NULL), (68708, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 18:20:45', NULL, NULL), (68709, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 18:20:45', NULL, NULL), (68710, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 18:20:45', NULL, NULL), (68711, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 18:20:45', NULL, NULL), (68712, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 18:20:45', NULL, NULL), (68713, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 18:20:45', NULL, NULL), (68714, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 18:20:45', NULL, NULL), (68715, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 18:20:45', NULL, NULL), (68716, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 18:20:45', NULL, NULL), (68717, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 18:20:45', NULL, NULL), (68718, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 18:20:45', NULL, NULL), (68719, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 18:20:45', NULL, NULL), (68720, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 18:20:45', NULL, NULL), (68721, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 18:20:45', NULL, NULL), (68722, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 18:20:45', NULL, NULL), (68723, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 18:20:45', NULL, NULL), (68724, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 18:20:45', NULL, NULL), (68725, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 18:20:45', NULL, NULL), (68726, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 18:20:45', NULL, NULL), (68727, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 18:20:45', NULL, NULL), (68728, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 18:20:45', NULL, NULL), (68729, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 18:20:45', NULL, NULL), (68730, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 18:20:45', NULL, NULL), (68731, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 18:20:45', NULL, NULL), (68732, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 18:20:45', NULL, NULL), (68733, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 18:20:45', NULL, NULL), (68734, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 18:20:45', NULL, NULL), (68735, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 18:20:45', NULL, NULL), (68736, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 18:20:45', NULL, NULL), (68737, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 18:20:45', NULL, NULL), (68738, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 18:20:45', NULL, NULL), (68739, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 18:20:45', NULL, NULL), (68740, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 18:20:45', NULL, NULL), (68741, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 18:20:45', NULL, NULL), (68742, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 18:20:45', NULL, NULL), (68743, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 18:20:45', NULL, NULL), (68744, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 18:20:45', NULL, NULL), (68745, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 18:20:45', NULL, NULL), (68746, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 18:20:45', NULL, NULL), (68747, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 18:20:46', NULL, NULL), (68748, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 18:20:46', NULL, NULL), (68749, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 18:20:46', NULL, NULL), (68750, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 18:20:46', NULL, NULL), (68751, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 18:20:46', NULL, NULL), (68752, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 18:20:46', NULL, NULL), (68753, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 18:20:46', NULL, NULL), (68754, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 18:20:46', NULL, NULL), (68755, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 18:20:46', NULL, NULL), (68756, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 18:20:46', NULL, NULL), (68757, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 18:20:46', NULL, NULL), (68758, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 18:20:46', NULL, NULL), (68759, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 18:20:46', NULL, NULL), (68760, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 18:20:46', NULL, NULL), (68761, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 18:20:46', NULL, NULL), (68762, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 18:20:46', NULL, NULL), (68763, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 18:20:46', NULL, NULL), (68764, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 18:20:46', NULL, NULL), (68765, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 18:20:46', NULL, NULL), (68766, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 18:20:46', NULL, NULL), (68767, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 18:20:46', NULL, NULL), (68768, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 18:20:46', NULL, NULL), (68769, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 18:20:46', NULL, NULL), (68770, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 18:20:46', NULL, NULL), (68771, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 18:20:46', NULL, NULL), (68772, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 18:20:46', NULL, NULL), (68773, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 18:20:46', NULL, NULL), (68774, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 18:20:46', NULL, NULL), (68775, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 18:20:46', NULL, NULL), (68776, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 18:20:46', NULL, NULL), (68777, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 18:20:46', NULL, NULL), (68778, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 18:20:46', NULL, NULL), (68779, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 18:20:46', NULL, NULL), (68780, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 18:20:46', NULL, NULL), (68781, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 18:20:46', NULL, NULL), (68782, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 18:20:46', NULL, NULL), (68783, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 18:20:46', NULL, NULL), (68784, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 18:20:46', NULL, NULL), (68785, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 18:20:46', NULL, NULL), (68786, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 18:20:46', NULL, NULL), (68787, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 18:20:46', NULL, NULL), (68788, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 18:20:46', NULL, NULL), (68789, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 18:20:46', NULL, NULL), (68790, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 18:20:46', NULL, NULL), (68791, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 18:20:46', NULL, NULL), (68792, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 18:20:46', NULL, NULL), (68793, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 18:20:46', NULL, NULL), (68794, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 18:20:46', NULL, NULL), (68795, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 18:20:47', NULL, NULL), (68796, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 18:20:47', NULL, NULL), (68797, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 18:20:47', NULL, NULL), (68798, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 18:20:47', NULL, NULL), (68799, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 18:20:47', NULL, NULL), (68800, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 18:20:47', NULL, NULL), (68801, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 18:20:47', NULL, NULL), (68802, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 18:20:47', NULL, NULL), (68803, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 18:20:47', NULL, NULL), (68804, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 18:20:47', NULL, NULL), (68805, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 18:20:47', NULL, NULL), (68806, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 18:20:47', NULL, NULL), (68807, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 18:20:47', NULL, NULL), (68808, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 18:20:47', NULL, NULL), (68809, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 18:20:47', NULL, NULL), (68810, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 18:20:47', NULL, NULL), (68811, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 18:20:47', NULL, NULL), (68812, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 18:20:47', NULL, NULL), (68813, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 18:20:47', NULL, NULL), (68814, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 18:20:47', NULL, NULL), (68815, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 18:20:47', NULL, NULL), (68816, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 18:20:47', NULL, NULL), (68817, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 18:20:47', NULL, NULL), (68818, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 18:20:47', NULL, NULL), (68819, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 18:20:47', NULL, NULL), (68820, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 18:20:47', NULL, NULL), (68821, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 18:20:47', NULL, NULL), (68822, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 18:20:47', NULL, NULL), (68823, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 18:20:47', NULL, NULL), (68824, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 18:20:47', NULL, NULL), (68825, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 18:20:47', NULL, NULL), (68826, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 18:20:47', NULL, NULL), (68827, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 18:20:47', NULL, NULL), (68828, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 18:20:47', NULL, NULL), (68829, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 18:20:47', NULL, NULL), (68830, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 18:20:47', NULL, NULL), (68831, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 18:20:47', NULL, NULL), (68832, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 18:20:47', NULL, NULL), (68833, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 18:20:47', NULL, NULL), (68834, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 18:20:47', NULL, NULL), (68835, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 18:20:47', NULL, NULL), (68836, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 18:20:47', NULL, NULL), (68837, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 18:20:47', NULL, NULL), (68838, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 18:20:47', NULL, NULL), (68839, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 18:20:47', NULL, NULL), (68840, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 18:20:47', NULL, NULL), (68841, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 18:20:47', NULL, NULL), (68842, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 18:20:47', NULL, NULL), (68843, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 18:20:47', NULL, NULL), (68844, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 18:20:48', NULL, NULL), (68845, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 18:20:48', NULL, NULL), (68846, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 18:20:48', NULL, NULL), (68847, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 18:20:48', NULL, NULL), (68848, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 18:20:48', NULL, NULL), (68849, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 18:20:48', NULL, NULL), (68850, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 18:20:48', NULL, NULL), (68851, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 18:20:48', NULL, NULL), (68852, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 18:20:48', NULL, NULL), (68853, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 18:20:48', NULL, NULL), (68854, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 18:20:48', NULL, NULL), (68855, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 18:20:48', NULL, NULL), (68856, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 18:20:48', NULL, NULL), (68857, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 18:20:48', NULL, NULL), (68858, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 18:20:48', NULL, NULL), (68859, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 18:20:48', NULL, NULL), (68860, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 18:20:48', NULL, NULL), (68861, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 18:20:48', NULL, NULL), (68862, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 18:20:48', NULL, NULL), (68863, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 18:20:48', NULL, NULL), (68864, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 18:20:48', NULL, NULL), (68865, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 18:20:48', NULL, NULL), (68866, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 18:20:48', NULL, NULL), (68867, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 18:20:48', NULL, NULL), (68868, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 18:20:48', NULL, NULL), (68869, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 2, 2023, 8, 31, '2024-08-05 18:20:48', NULL, NULL), (68870, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 18:20:48', NULL, NULL), (68871, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 18:20:48', NULL, NULL), (68872, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 18:20:48', NULL, NULL), (68873, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 18:20:48', NULL, NULL), (68874, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 18:20:48', NULL, NULL), (68875, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 18:20:48', NULL, NULL), (68876, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 18:20:48', NULL, NULL), (68877, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 18:20:48', NULL, NULL), (68878, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 18:20:48', NULL, NULL), (68879, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 18:20:48', NULL, NULL), (68880, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 18:20:48', NULL, NULL), (68881, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 18:20:48', NULL, NULL), (68882, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 18:20:48', NULL, NULL), (68883, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 1, 2023, 9, 14, '2024-08-05 18:20:48', NULL, NULL), (68884, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 18:20:48', NULL, NULL), (68885, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 18:20:48', NULL, NULL), (68886, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 18:20:48', NULL, NULL), (68887, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 18:20:48', NULL, NULL), (68888, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 18:20:48', NULL, NULL), (68889, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 18:20:48', NULL, NULL), (68890, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 18:20:48', NULL, NULL), (68891, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 18:20:48', NULL, NULL), (68892, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 18:20:48', NULL, NULL), (68893, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 18:20:48', NULL, NULL), (68894, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 18:20:48', NULL, NULL), (68895, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 18:20:48', NULL, NULL), (68896, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 18:20:48', NULL, NULL), (68897, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 18:20:48', NULL, NULL), (68898, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 18:20:48', NULL, NULL), (68899, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 18:20:48', NULL, NULL), (68900, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 18:20:48', NULL, NULL), (68901, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 18:20:48', NULL, NULL), (68902, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 18:20:48', NULL, NULL), (68903, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 18:20:48', NULL, NULL), (68904, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 18:20:48', NULL, NULL), (68905, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 18:20:48', NULL, NULL), (68906, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 18:20:48', NULL, NULL), (68907, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 18:20:48', NULL, NULL), (68908, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 18:20:48', NULL, NULL), (68909, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 18:20:48', NULL, NULL), (68910, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 18:20:48', NULL, NULL), (68911, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 18:20:48', NULL, NULL), (68912, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 18:20:48', NULL, NULL), (68913, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 18:20:48', NULL, NULL), (68914, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 18:20:48', NULL, NULL), (68915, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 18:20:48', NULL, NULL), (68916, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 18:20:48', NULL, NULL), (68917, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 18:20:48', NULL, NULL), (68918, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 18:20:48', NULL, NULL), (68919, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 18:20:48', NULL, NULL), (68920, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 18:20:48', NULL, NULL), (68921, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 18:20:48', NULL, NULL), (68922, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 18:20:48', NULL, NULL), (68923, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 18:20:48', NULL, NULL), (68924, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 18:20:49', NULL, NULL), (68925, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 18:20:49', NULL, NULL), (68926, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 18:20:49', NULL, NULL), (68927, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 18:20:49', NULL, NULL), (68928, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 18:20:49', NULL, NULL), (68929, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 18:20:49', NULL, NULL), (68930, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 18:20:49', NULL, NULL), (68931, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 18:20:49', NULL, NULL), (68932, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 18:20:49', NULL, NULL), (68933, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 18:20:49', NULL, NULL), (68934, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 18:20:49', NULL, NULL), (68935, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 18:20:49', NULL, NULL), (68936, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 18:20:49', NULL, NULL), (68937, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 18:20:49', NULL, NULL), (68938, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 18:20:49', NULL, NULL), (68939, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 18:20:49', NULL, NULL), (68940, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 18:20:49', NULL, NULL), (68941, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 18:20:49', NULL, NULL), (68942, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 18:20:49', NULL, NULL), (68943, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 18:20:49', NULL, NULL), (68944, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 18:20:49', NULL, NULL), (68945, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 18:20:49', NULL, NULL), (68946, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 18:20:49', NULL, NULL), (68947, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 18:20:49', NULL, NULL), (68948, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 18:20:49', NULL, NULL), (68949, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 18:20:49', NULL, NULL), (68950, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 18:20:49', NULL, NULL), (68951, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 18:20:49', NULL, NULL), (68952, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 18:20:49', NULL, NULL), (68953, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 18:20:49', NULL, NULL), (68954, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 18:20:49', NULL, NULL), (68955, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 18:20:49', NULL, NULL), (68956, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 18:20:49', NULL, NULL), (68957, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 18:20:49', NULL, NULL), (68958, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 18:20:49', NULL, NULL), (68959, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 18:20:49', NULL, NULL), (68960, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 18:20:49', NULL, NULL), (68961, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 18:20:49', NULL, NULL), (68962, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 18:20:49', NULL, NULL), (68963, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 18:20:49', NULL, NULL), (68964, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 18:20:49', NULL, NULL), (68965, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 18:20:49', NULL, NULL), (68966, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 18:20:49', NULL, NULL), (68967, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 18:20:49', NULL, NULL), (68968, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 18:20:49', NULL, NULL), (68969, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 18:20:49', NULL, NULL), (68970, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 18:20:49', NULL, NULL), (68971, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 18:20:49', NULL, NULL), (68972, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 18:20:49', NULL, NULL), (68973, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 18:20:49', NULL, NULL), (68974, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 18:20:49', NULL, NULL), (68975, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 18:20:49', NULL, NULL), (68976, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 18:20:49', NULL, NULL), (68977, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 18:20:49', NULL, NULL), (68978, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 18:20:49', NULL, NULL), (68979, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 18:20:49', NULL, NULL), (68980, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 18:20:49', NULL, NULL), (68981, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 18:20:49', NULL, NULL), (68982, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 18:20:49', NULL, NULL), (68983, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 18:20:49', NULL, NULL), (68984, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 18:20:50', NULL, NULL), (68985, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 18:20:50', NULL, NULL), (68986, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 18:20:50', NULL, NULL), (68987, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 18:20:50', NULL, NULL), (68988, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 18:20:50', NULL, NULL), (68989, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 18:20:50', NULL, NULL), (68990, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 18:20:50', NULL, NULL), (68991, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 18:20:50', NULL, NULL), (68992, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 18:20:50', NULL, NULL), (68993, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 18:20:50', NULL, NULL), (68994, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 18:20:50', NULL, NULL), (68995, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 18:20:50', NULL, NULL), (68996, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 18:20:50', NULL, NULL), (68997, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 18:20:50', NULL, NULL), (68998, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 18:20:50', NULL, NULL), (68999, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 18:20:50', NULL, NULL), (69000, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 18:20:50', NULL, NULL), (69001, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 18:20:50', NULL, NULL), (69002, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 18:20:50', NULL, NULL), (69003, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 18:20:50', NULL, NULL), (69004, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 18:20:50', NULL, NULL), (69005, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 18:20:50', NULL, NULL), (69006, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 18:20:50', NULL, NULL), (69007, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 18:20:50', NULL, NULL), (69008, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 18:20:50', NULL, NULL), (69009, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 18:20:50', NULL, NULL), (69010, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 18:20:50', NULL, NULL), (69011, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 18:20:50', NULL, NULL), (69012, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 18:20:50', NULL, NULL), (69013, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 18:20:50', NULL, NULL), (69014, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 18:20:50', NULL, NULL), (69015, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 18:20:50', NULL, NULL), (69016, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 18:20:50', NULL, NULL), (69017, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 18:20:50', NULL, NULL), (69018, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 18:20:50', NULL, NULL), (69019, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 18:20:50', NULL, NULL), (69020, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 18:20:50', NULL, NULL), (69021, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 18:20:50', NULL, NULL), (69022, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 18:20:50', NULL, NULL), (69023, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 18:20:50', NULL, NULL), (69024, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 18:20:50', NULL, NULL), (69025, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 18:20:51', NULL, NULL), (69026, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 18:20:51', NULL, NULL), (69027, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 18:20:51', NULL, NULL), (69028, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 18:20:51', NULL, NULL), (69029, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 18:20:51', NULL, NULL), (69030, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 18:20:51', NULL, NULL), (69031, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 18:20:51', NULL, NULL), (69032, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 18:20:51', NULL, NULL), (69033, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 18:20:51', NULL, NULL), (69034, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 18:20:51', NULL, NULL), (69035, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 18:20:51', NULL, NULL), (69036, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 18:20:51', NULL, NULL), (69037, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 18:20:51', NULL, NULL), (69038, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 18:20:51', NULL, NULL), (69039, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 18:20:51', NULL, NULL), (69040, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 18:20:51', NULL, NULL), (69041, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 18:20:51', NULL, NULL), (69042, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 18:20:51', NULL, NULL), (69043, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 18:20:51', NULL, NULL), (69044, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 18:20:51', NULL, NULL), (69045, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 18:20:51', NULL, NULL), (69046, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 18:20:51', NULL, NULL), (69047, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 18:20:51', NULL, NULL), (69048, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 18:20:51', NULL, NULL), (69049, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 18:20:51', NULL, NULL), (69050, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 18:20:51', NULL, NULL), (69051, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 18:20:51', NULL, NULL), (69052, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 18:20:51', NULL, NULL), (69053, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 18:20:51', NULL, NULL), (69054, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 18:20:51', NULL, NULL), (69055, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 18:20:51', NULL, NULL), (69056, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 18:20:51', NULL, NULL), (69057, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 18:20:51', NULL, NULL), (69058, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 18:20:51', NULL, NULL), (69059, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 18:20:51', NULL, NULL), (69060, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 18:20:51', NULL, NULL), (69061, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 18:20:51', NULL, NULL), (69062, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 18:20:51', NULL, NULL), (69063, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 18:20:52', NULL, NULL), (69064, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 18:20:52', NULL, NULL), (69065, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 18:20:52', NULL, NULL), (69066, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 18:20:52', NULL, NULL), (69067, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 18:20:52', NULL, NULL), (69068, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 18:20:52', NULL, NULL), (69069, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 18:20:52', NULL, NULL), (69070, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 18:20:52', NULL, NULL), (69071, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 18:20:52', NULL, NULL), (69072, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 18:20:52', NULL, NULL), (69073, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 18:20:52', NULL, NULL), (69074, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 18:20:52', NULL, NULL), (69075, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 18:20:52', NULL, NULL), (69076, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 18:20:52', NULL, NULL), (69077, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 18:20:52', NULL, NULL), (69078, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 18:20:52', NULL, NULL), (69079, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 18:20:52', NULL, NULL), (69080, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 18:20:52', NULL, NULL), (69081, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 18:20:52', NULL, NULL), (69082, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 18:20:52', NULL, NULL), (69083, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 18:20:52', NULL, NULL), (69084, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 18:20:52', NULL, NULL), (69085, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 18:20:52', NULL, NULL), (69086, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 18:20:52', NULL, NULL), (69087, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 18:20:52', NULL, NULL), (69088, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 18:20:52', NULL, NULL), (69089, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 18:20:52', NULL, NULL), (69090, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 18:20:52', NULL, NULL), (69091, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 18:20:52', NULL, NULL), (69092, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 18:20:52', NULL, NULL), (69093, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 18:20:52', NULL, NULL), (69094, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 18:20:52', NULL, NULL), (69095, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 18:20:52', NULL, NULL), (69096, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 18:20:52', NULL, NULL), (69097, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 18:20:52', NULL, NULL), (69098, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 18:20:52', NULL, NULL), (69099, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 18:20:52', NULL, NULL), (69100, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 18:20:53', NULL, NULL), (69101, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 18:20:53', NULL, NULL), (69102, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 18:20:53', NULL, NULL), (69103, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 18:20:53', NULL, NULL), (69104, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 18:20:53', NULL, NULL), (69105, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 18:20:53', NULL, NULL), (69106, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 18:20:53', NULL, NULL), (69107, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 18:20:53', NULL, NULL), (69108, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 18:20:53', NULL, NULL), (69109, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 18:20:53', NULL, NULL), (69110, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 18:20:53', NULL, NULL), (69111, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 18:20:53', NULL, NULL), (69112, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 18:20:53', NULL, NULL), (69113, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 18:20:53', NULL, NULL), (69114, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 18:20:53', NULL, NULL), (69115, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 18:20:53', NULL, NULL), (69116, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 18:20:53', NULL, NULL), (69117, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 18:20:53', NULL, NULL), (69118, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 18:20:53', NULL, NULL), (69119, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 18:20:53', NULL, NULL), (69120, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 18:20:53', NULL, NULL), (69121, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 18:20:53', NULL, NULL), (69122, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 18:20:53', NULL, NULL), (69123, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 18:20:53', NULL, NULL), (69124, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 18:20:53', NULL, NULL), (69125, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 18:20:53', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (69126, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 18:20:53', NULL, NULL), (69127, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 18:20:53', NULL, NULL), (69128, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 18:20:53', NULL, NULL), (69129, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 18:20:53', NULL, NULL), (69130, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 18:20:53', NULL, NULL), (69131, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 18:20:53', NULL, NULL), (69132, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 18:20:53', NULL, NULL), (69133, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 18:20:53', NULL, NULL), (69134, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 18:20:53', NULL, NULL), (69135, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 18:20:53', NULL, NULL), (69136, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 18:20:53', NULL, NULL), (69137, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 18:20:54', NULL, NULL), (69138, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 18:20:54', NULL, NULL), (69139, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 18:20:54', NULL, NULL), (69140, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 18:20:54', NULL, NULL), (69141, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 18:20:54', NULL, NULL), (69142, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 18:20:54', NULL, NULL), (69143, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 18:20:54', NULL, NULL), (69144, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 18:20:54', NULL, NULL), (69145, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 18:20:54', NULL, NULL), (69146, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 18:20:54', NULL, NULL), (69147, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 18:20:54', NULL, NULL), (69148, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 18:20:54', NULL, NULL), (69149, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 18:20:54', NULL, NULL), (69150, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 18:20:54', NULL, NULL), (69151, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 18:20:54', NULL, NULL), (69152, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 18:20:54', NULL, NULL), (69153, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 18:20:54', NULL, NULL), (69154, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 18:20:54', NULL, NULL), (69155, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 18:20:54', NULL, NULL), (69156, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 18:20:54', NULL, NULL), (69157, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 18:20:54', NULL, NULL), (69158, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 18:20:54', NULL, NULL), (69159, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 18:20:54', NULL, NULL), (69160, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 18:20:54', NULL, NULL), (69161, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 18:20:54', NULL, NULL), (69162, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 18:20:54', NULL, NULL), (69163, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 18:20:54', NULL, NULL), (69164, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 18:20:54', NULL, NULL), (69165, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 18:20:54', NULL, NULL), (69166, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 18:20:54', NULL, NULL), (69167, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 18:20:54', NULL, NULL), (69168, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 18:20:54', NULL, NULL), (69169, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 18:20:54', NULL, NULL), (69170, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 18:20:54', NULL, NULL), (69171, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 18:20:54', NULL, NULL), (69172, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 18:20:54', NULL, NULL), (69173, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 18:20:55', NULL, NULL), (69174, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 18:20:55', NULL, NULL), (69175, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 18:20:55', NULL, NULL), (69176, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 18:20:55', NULL, NULL), (69177, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 18:20:55', NULL, NULL), (69178, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 18:20:55', NULL, NULL), (69179, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 18:20:55', NULL, NULL), (69180, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 18:20:55', NULL, NULL), (69181, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 18:20:55', NULL, NULL), (69182, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 18:20:55', NULL, NULL), (69183, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 18:20:55', NULL, NULL), (69184, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 18:20:55', NULL, NULL), (69185, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 18:20:55', NULL, NULL), (69186, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 18:20:55', NULL, NULL), (69187, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 18:20:55', NULL, NULL), (69188, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 18:20:55', NULL, NULL), (69189, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 18:20:55', NULL, NULL), (69190, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 18:20:55', NULL, NULL), (69191, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 18:20:55', NULL, NULL), (69192, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 18:20:55', NULL, NULL), (69193, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 18:20:55', NULL, NULL), (69194, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 18:20:55', NULL, NULL), (69195, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 18:20:55', NULL, NULL), (69196, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 18:20:55', NULL, NULL), (69197, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 18:20:55', NULL, NULL), (69198, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 18:20:55', NULL, NULL), (69199, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 18:20:55', NULL, NULL), (69200, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 18:20:55', NULL, NULL), (69201, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 18:20:55', NULL, NULL), (69202, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 18:20:55', NULL, NULL), (69203, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 18:20:55', NULL, NULL), (69204, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 18:20:55', NULL, NULL), (69205, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 18:20:55', 1, '2024-08-05 22:12:24'), (69206, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 18:20:55', 1, '2024-08-06 02:01:24'), (69207, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 18:20:55', 1, '2024-08-07 01:00:18'), (69208, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 18:20:55', 1, '2024-08-08 01:00:23'), (69209, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 18:20:55', 1, '2024-08-09 01:00:18'), (69210, 30, '511527102000-0001', '巡司镇便民服务中心', '', '非常不满意', '', '', 1, 2023, 1, 31, '2024-08-05 18:20:44', NULL, NULL), (69211, 30, '511527102000-0001', '巡司镇便民服务中心', '', '非常不满意', '', '', 4, 2023, 3, 6, '2024-08-05 18:20:44', NULL, NULL), (69212, 30, '511527102000-0001', '巡司镇便民服务中心', '', '非常不满意', '', '', 2, 2023, 8, 31, '2024-08-05 18:20:48', NULL, NULL), (69213, 30, '511527102000-0001', '巡司镇便民服务中心', '', '非常不满意', '', '', 1, 2023, 9, 14, '2024-08-05 18:20:48', NULL, NULL), (69214, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 18:33:11', NULL, NULL), (69215, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 18:33:11', NULL, NULL), (69216, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 18:33:11', NULL, NULL), (69217, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 18:33:11', NULL, NULL), (69218, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 18:33:11', NULL, NULL), (69219, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 18:33:11', NULL, NULL), (69220, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 18:33:11', NULL, NULL), (69221, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 18:33:11', NULL, NULL), (69222, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 18:33:11', NULL, NULL), (69223, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 18:33:11', NULL, NULL), (69224, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 18:33:11', NULL, NULL), (69225, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 18:33:11', NULL, NULL), (69226, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 18:33:11', NULL, NULL), (69227, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 18:33:11', NULL, NULL), (69228, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 18:33:11', NULL, NULL), (69229, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 18:33:11', NULL, NULL), (69230, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 18:33:11', NULL, NULL), (69231, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 18:33:11', NULL, NULL), (69232, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 18:33:11', NULL, NULL), (69233, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 18:33:11', NULL, NULL), (69234, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 18:33:11', NULL, NULL), (69235, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 18:33:11', NULL, NULL), (69236, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 18:33:11', NULL, NULL), (69237, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 18:33:11', NULL, NULL), (69238, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 18:33:11', NULL, NULL), (69239, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 18:33:12', NULL, NULL), (69240, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 18:33:12', NULL, NULL), (69241, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 18:33:12', NULL, NULL), (69242, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 18:33:12', NULL, NULL), (69243, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 18:33:12', NULL, NULL), (69244, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 18:33:12', NULL, NULL), (69245, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 18:33:12', NULL, NULL), (69246, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 18:33:12', NULL, NULL), (69247, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 18:33:12', NULL, NULL), (69248, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 18:33:12', NULL, NULL), (69249, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 18:33:12', NULL, NULL), (69250, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 18:33:12', NULL, NULL), (69251, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 18:33:12', NULL, NULL), (69252, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 18:33:12', NULL, NULL), (69253, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 18:33:12', NULL, NULL), (69254, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 18:33:12', NULL, NULL), (69255, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 18:33:12', NULL, NULL), (69256, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 18:33:12', NULL, NULL), (69257, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 18:33:12', NULL, NULL), (69258, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 18:33:12', NULL, NULL), (69259, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 18:33:12', NULL, NULL), (69260, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 18:33:12', NULL, NULL), (69261, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 18:33:12', NULL, NULL), (69262, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 18:33:12', NULL, NULL), (69263, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 18:33:12', NULL, NULL), (69264, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 18:33:12', NULL, NULL), (69265, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 18:33:12', NULL, NULL), (69266, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 18:33:12', NULL, NULL), (69267, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 18:33:12', NULL, NULL), (69268, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 18:33:12', NULL, NULL), (69269, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 18:33:12', NULL, NULL), (69270, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 18:33:12', NULL, NULL), (69271, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 18:33:12', NULL, NULL), (69272, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 18:33:12', NULL, NULL), (69273, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 18:33:12', NULL, NULL), (69274, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 18:33:12', NULL, NULL), (69275, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 18:33:12', NULL, NULL), (69276, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 18:33:12', NULL, NULL), (69277, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 18:33:12', NULL, NULL), (69278, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 18:33:12', NULL, NULL), (69279, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 18:33:12', NULL, NULL), (69280, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 18:33:12', NULL, NULL), (69281, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 18:33:12', NULL, NULL), (69282, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 18:33:12', NULL, NULL), (69283, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 18:33:12', NULL, NULL), (69284, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 18:33:12', NULL, NULL), (69285, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 18:33:12', NULL, NULL), (69286, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 18:33:12', NULL, NULL), (69287, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 18:33:12', NULL, NULL), (69288, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 18:33:12', NULL, NULL), (69289, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 18:33:12', NULL, NULL), (69290, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 18:33:12', NULL, NULL), (69291, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 18:33:13', NULL, NULL), (69292, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 18:33:13', NULL, NULL), (69293, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 18:33:13', NULL, NULL), (69294, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 18:33:13', NULL, NULL), (69295, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 18:33:13', NULL, NULL), (69296, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 18:33:13', NULL, NULL), (69297, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 18:33:13', NULL, NULL), (69298, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 18:33:13', NULL, NULL), (69299, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 18:33:13', NULL, NULL), (69300, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 18:33:13', NULL, NULL), (69301, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 18:33:13', NULL, NULL), (69302, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 18:33:13', NULL, NULL), (69303, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 18:33:13', NULL, NULL), (69304, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 18:33:13', NULL, NULL), (69305, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 18:33:13', NULL, NULL), (69306, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 18:33:13', NULL, NULL), (69307, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 18:33:13', NULL, NULL), (69308, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 18:33:13', NULL, NULL), (69309, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 18:33:13', NULL, NULL), (69310, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 18:33:13', NULL, NULL), (69311, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 18:33:13', NULL, NULL), (69312, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 18:33:13', NULL, NULL), (69313, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 18:33:13', NULL, NULL), (69314, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 18:33:13', NULL, NULL), (69315, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 18:33:13', NULL, NULL), (69316, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 18:33:13', NULL, NULL), (69317, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 18:33:13', NULL, NULL), (69318, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 18:33:13', NULL, NULL), (69319, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 18:33:13', NULL, NULL), (69320, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 18:33:13', NULL, NULL), (69321, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 18:33:13', NULL, NULL), (69322, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 18:33:13', NULL, NULL), (69323, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 18:33:13', NULL, NULL), (69324, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 18:33:13', NULL, NULL), (69325, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 18:33:13', NULL, NULL), (69326, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 18:33:13', NULL, NULL), (69327, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 18:33:13', NULL, NULL), (69328, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 18:33:13', NULL, NULL), (69329, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 18:33:13', NULL, NULL), (69330, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 18:33:13', NULL, NULL), (69331, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 18:33:13', NULL, NULL), (69332, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 18:33:13', NULL, NULL), (69333, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 18:33:13', NULL, NULL), (69334, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 18:33:13', NULL, NULL), (69335, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 18:33:13', NULL, NULL), (69336, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 18:33:13', NULL, NULL), (69337, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 18:33:13', NULL, NULL), (69338, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 18:33:13', NULL, NULL), (69339, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 18:33:14', NULL, NULL), (69340, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 18:33:14', NULL, NULL), (69341, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 18:33:14', NULL, NULL), (69342, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 18:33:14', NULL, NULL), (69343, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 18:33:14', NULL, NULL), (69344, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 18:33:14', NULL, NULL), (69345, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 18:33:14', NULL, NULL), (69346, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 18:33:14', NULL, NULL), (69347, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 18:33:14', NULL, NULL), (69348, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 18:33:14', NULL, NULL), (69349, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 18:33:14', NULL, NULL), (69350, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 18:33:14', NULL, NULL), (69351, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 18:33:14', NULL, NULL), (69352, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 18:33:14', NULL, NULL), (69353, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 18:33:14', NULL, NULL), (69354, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 18:33:14', NULL, NULL), (69355, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 18:33:14', NULL, NULL), (69356, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 18:33:14', NULL, NULL), (69357, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 18:33:14', NULL, NULL), (69358, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 18:33:14', NULL, NULL), (69359, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 18:33:14', NULL, NULL), (69360, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 18:33:14', NULL, NULL), (69361, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 18:33:14', NULL, NULL), (69362, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 18:33:14', NULL, NULL), (69363, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 18:33:14', NULL, NULL), (69364, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 18:33:14', NULL, NULL), (69365, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 18:33:14', NULL, NULL), (69366, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 18:33:14', NULL, NULL), (69367, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 18:33:14', NULL, NULL), (69368, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 18:33:14', NULL, NULL), (69369, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 18:33:14', NULL, NULL), (69370, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 18:33:14', NULL, NULL), (69371, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 18:33:14', NULL, NULL), (69372, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 18:33:14', NULL, NULL), (69373, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 18:33:14', NULL, NULL), (69374, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 18:33:14', NULL, NULL), (69375, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 18:33:14', NULL, NULL), (69376, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 18:33:14', NULL, NULL), (69377, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 18:33:14', NULL, NULL), (69378, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 18:33:14', NULL, NULL), (69379, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 18:33:14', NULL, NULL), (69380, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 18:33:14', NULL, NULL), (69381, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 18:33:14', NULL, NULL), (69382, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 18:33:14', NULL, NULL), (69383, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 18:33:14', NULL, NULL), (69384, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 18:33:14', NULL, NULL), (69385, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 18:33:14', NULL, NULL), (69386, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 18:33:14', NULL, NULL), (69387, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 18:33:14', NULL, NULL), (69388, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 18:33:15', NULL, NULL), (69389, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 18:33:15', NULL, NULL), (69390, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 18:33:15', NULL, NULL), (69391, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 18:33:15', NULL, NULL), (69392, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 18:33:15', NULL, NULL), (69393, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 18:33:15', NULL, NULL), (69394, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 18:33:15', NULL, NULL), (69395, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 18:33:15', NULL, NULL), (69396, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 18:33:15', NULL, NULL), (69397, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 18:33:15', NULL, NULL), (69398, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 18:33:15', NULL, NULL), (69399, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 18:33:15', NULL, NULL), (69400, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 18:33:15', NULL, NULL), (69401, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 18:33:15', NULL, NULL), (69402, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 18:33:15', NULL, NULL), (69403, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 18:33:15', NULL, NULL), (69404, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 18:33:15', NULL, NULL), (69405, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 18:33:15', NULL, NULL), (69406, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 18:33:15', NULL, NULL), (69407, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 18:33:15', NULL, NULL), (69408, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 18:33:15', NULL, NULL), (69409, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 18:33:15', NULL, NULL), (69410, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 18:33:15', NULL, NULL), (69411, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 18:33:15', NULL, NULL), (69412, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 18:33:15', NULL, NULL), (69413, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 18:33:15', NULL, NULL), (69414, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 18:33:15', NULL, NULL), (69415, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 18:33:15', NULL, NULL), (69416, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 18:33:15', NULL, NULL), (69417, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 18:33:15', NULL, NULL), (69418, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 18:33:15', NULL, NULL), (69419, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 18:33:15', NULL, NULL), (69420, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 18:33:15', NULL, NULL), (69421, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 18:33:15', NULL, NULL), (69422, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 18:33:15', NULL, NULL), (69423, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 18:33:15', NULL, NULL), (69424, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 18:33:15', NULL, NULL), (69425, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 18:33:15', NULL, NULL), (69426, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 18:33:15', NULL, NULL), (69427, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 18:33:15', NULL, NULL), (69428, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 18:33:15', NULL, NULL), (69429, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 18:33:15', NULL, NULL), (69430, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 18:33:15', NULL, NULL), (69431, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 18:33:15', NULL, NULL), (69432, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 18:33:15', NULL, NULL), (69433, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 18:33:15', NULL, NULL), (69434, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 18:33:15', NULL, NULL), (69435, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 18:33:15', NULL, NULL), (69436, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 18:33:16', NULL, NULL), (69437, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 18:33:16', NULL, NULL), (69438, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 18:33:16', NULL, NULL), (69439, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 18:33:16', NULL, NULL), (69440, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 18:33:16', NULL, NULL), (69441, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 18:33:16', NULL, NULL), (69442, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 18:33:16', NULL, NULL), (69443, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 18:33:16', NULL, NULL), (69444, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 18:33:16', NULL, NULL), (69445, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 18:33:16', NULL, NULL), (69446, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 18:33:16', NULL, NULL), (69447, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 18:33:16', NULL, NULL), (69448, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 18:33:16', NULL, NULL), (69449, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 18:33:16', NULL, NULL), (69450, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 18:33:16', NULL, NULL), (69451, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 18:33:16', NULL, NULL), (69452, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 18:33:16', NULL, NULL), (69453, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 18:33:16', NULL, NULL), (69454, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 18:33:16', NULL, NULL), (69455, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 18:33:16', NULL, NULL), (69456, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 18:33:16', NULL, NULL), (69457, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 18:33:16', NULL, NULL), (69458, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 18:33:16', NULL, NULL), (69459, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 18:33:16', NULL, NULL), (69460, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 18:33:16', NULL, NULL), (69461, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 18:33:16', NULL, NULL), (69462, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 18:33:16', NULL, NULL), (69463, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 18:33:16', NULL, NULL), (69464, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 18:33:16', NULL, NULL), (69465, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 18:33:16', NULL, NULL), (69466, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 18:33:16', NULL, NULL), (69467, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 18:33:16', NULL, NULL), (69468, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 18:33:16', NULL, NULL), (69469, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 18:33:16', NULL, NULL), (69470, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 18:33:16', NULL, NULL), (69471, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 18:33:16', NULL, NULL), (69472, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 18:33:16', NULL, NULL), (69473, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 18:33:16', NULL, NULL), (69474, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 18:33:16', NULL, NULL), (69475, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 18:33:16', NULL, NULL), (69476, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 18:33:16', NULL, NULL), (69477, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 18:33:16', NULL, NULL), (69478, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 18:33:16', NULL, NULL), (69479, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 18:33:16', NULL, NULL), (69480, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 18:33:16', NULL, NULL), (69481, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 18:33:16', NULL, NULL), (69482, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 18:33:16', NULL, NULL), (69483, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 18:33:16', NULL, NULL), (69484, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 18:33:16', NULL, NULL), (69485, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 18:33:16', NULL, NULL), (69486, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 18:33:16', NULL, NULL), (69487, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 18:33:16', NULL, NULL), (69488, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 18:33:16', NULL, NULL), (69489, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 18:33:16', NULL, NULL), (69490, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 18:33:16', NULL, NULL), (69491, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 18:33:16', NULL, NULL), (69492, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 18:33:16', NULL, NULL), (69493, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 18:33:16', NULL, NULL), (69494, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 18:33:16', NULL, NULL), (69495, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 18:33:16', NULL, NULL), (69496, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 18:33:16', NULL, NULL), (69497, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 18:33:16', NULL, NULL), (69498, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 18:33:16', NULL, NULL), (69499, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 18:33:16', NULL, NULL), (69500, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 18:33:16', NULL, NULL), (69501, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 18:33:16', NULL, NULL), (69502, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 18:33:16', NULL, NULL), (69503, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 18:33:16', NULL, NULL), (69504, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 18:33:16', NULL, NULL), (69505, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 18:33:16', NULL, NULL), (69506, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 18:33:16', NULL, NULL), (69507, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 18:33:16', NULL, NULL), (69508, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 18:33:16', NULL, NULL), (69509, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 18:33:16', NULL, NULL), (69510, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 18:33:16', NULL, NULL), (69511, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 18:33:16', NULL, NULL), (69512, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 18:33:16', NULL, NULL), (69513, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 18:33:16', NULL, NULL), (69514, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 18:33:16', NULL, NULL), (69515, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 18:33:16', NULL, NULL), (69516, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 18:33:16', NULL, NULL), (69517, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 18:33:16', NULL, NULL), (69518, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 18:33:16', NULL, NULL), (69519, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 18:33:16', NULL, NULL), (69520, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 18:33:16', NULL, NULL), (69521, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 18:33:16', NULL, NULL), (69522, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 18:33:16', NULL, NULL), (69523, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 18:33:16', NULL, NULL), (69524, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 18:33:16', NULL, NULL), (69525, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 18:33:17', NULL, NULL), (69526, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 18:33:17', NULL, NULL), (69527, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 18:33:17', NULL, NULL), (69528, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 18:33:17', NULL, NULL), (69529, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 18:33:17', NULL, NULL), (69530, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 18:33:17', NULL, NULL), (69531, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 18:33:17', NULL, NULL), (69532, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 18:33:17', NULL, NULL), (69533, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 18:33:17', NULL, NULL), (69534, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 18:33:17', NULL, NULL), (69535, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 18:33:17', NULL, NULL), (69536, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 18:33:17', NULL, NULL), (69537, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 18:33:17', NULL, NULL), (69538, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 18:33:17', NULL, NULL), (69539, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 18:33:17', NULL, NULL), (69540, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 18:33:17', NULL, NULL), (69541, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 18:33:17', NULL, NULL), (69542, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 18:33:17', NULL, NULL), (69543, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 18:33:17', NULL, NULL), (69544, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 18:33:17', NULL, NULL), (69545, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 18:33:17', NULL, NULL), (69546, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 18:33:17', NULL, NULL), (69547, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 18:33:17', NULL, NULL), (69548, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 18:33:17', NULL, NULL), (69549, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 18:33:17', NULL, NULL), (69550, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 18:33:17', NULL, NULL), (69551, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 18:33:17', NULL, NULL), (69552, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 18:33:17', NULL, NULL), (69553, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 18:33:17', NULL, NULL), (69554, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 18:33:17', NULL, NULL), (69555, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 18:33:17', NULL, NULL), (69556, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 18:33:17', NULL, NULL), (69557, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 18:33:17', NULL, NULL), (69558, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 18:33:17', NULL, NULL), (69559, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 18:33:17', NULL, NULL), (69560, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 18:33:17', NULL, NULL), (69561, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 18:33:17', NULL, NULL), (69562, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 18:33:17', NULL, NULL), (69563, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 18:33:17', NULL, NULL), (69564, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 18:33:17', NULL, NULL), (69565, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 18:33:17', NULL, NULL), (69566, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 18:33:17', NULL, NULL), (69567, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 18:33:17', NULL, NULL), (69568, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 18:33:17', NULL, NULL), (69569, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 18:33:17', NULL, NULL), (69570, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 18:33:17', NULL, NULL), (69571, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 18:33:17', NULL, NULL), (69572, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 18:33:17', NULL, NULL), (69573, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 18:33:17', NULL, NULL), (69574, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 18:33:17', NULL, NULL), (69575, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 18:33:17', NULL, NULL), (69576, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 18:33:17', NULL, NULL), (69577, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 18:33:17', NULL, NULL), (69578, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 18:33:17', NULL, NULL), (69579, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 18:33:18', NULL, NULL), (69580, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 18:33:18', NULL, NULL), (69581, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 18:33:18', NULL, NULL), (69582, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 18:33:18', NULL, NULL), (69583, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 18:33:18', NULL, NULL), (69584, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 18:33:18', NULL, NULL), (69585, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 18:33:18', NULL, NULL), (69586, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 18:33:18', NULL, NULL), (69587, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 18:33:18', NULL, NULL), (69588, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 18:33:18', NULL, NULL), (69589, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 18:33:18', NULL, NULL), (69590, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 18:33:18', NULL, NULL), (69591, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 18:33:18', NULL, NULL), (69592, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 18:33:18', NULL, NULL), (69593, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 18:33:18', NULL, NULL), (69594, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 18:33:18', NULL, NULL), (69595, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 18:33:18', NULL, NULL), (69596, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 18:33:18', NULL, NULL), (69597, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 18:33:18', NULL, NULL), (69598, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 18:33:18', NULL, NULL), (69599, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 18:33:18', NULL, NULL), (69600, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 18:33:18', NULL, NULL), (69601, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 18:33:18', NULL, NULL), (69602, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 18:33:18', NULL, NULL), (69603, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 18:33:18', NULL, NULL), (69604, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 18:33:18', NULL, NULL), (69605, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 18:33:18', NULL, NULL), (69606, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 18:33:18', NULL, NULL), (69607, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 18:33:18', NULL, NULL), (69608, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 18:33:18', NULL, NULL), (69609, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 18:33:18', NULL, NULL), (69610, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 18:33:18', NULL, NULL), (69611, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 18:33:18', NULL, NULL), (69612, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 18:33:18', NULL, NULL), (69613, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 18:33:18', NULL, NULL), (69614, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 18:33:18', NULL, NULL), (69615, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 18:33:18', NULL, NULL), (69616, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 18:33:18', NULL, NULL), (69617, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 18:33:18', NULL, NULL), (69618, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 18:33:18', NULL, NULL), (69619, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 18:33:19', NULL, NULL), (69620, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 18:33:19', NULL, NULL), (69621, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 18:33:19', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (69622, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 18:33:19', NULL, NULL), (69623, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 18:33:19', NULL, NULL), (69624, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 18:33:19', NULL, NULL), (69625, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 18:33:19', NULL, NULL), (69626, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 18:33:19', NULL, NULL), (69627, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 18:33:19', NULL, NULL), (69628, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 18:33:19', NULL, NULL), (69629, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 18:33:19', NULL, NULL), (69630, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 18:33:19', NULL, NULL), (69631, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 18:33:19', NULL, NULL), (69632, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 18:33:19', NULL, NULL), (69633, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 18:33:19', NULL, NULL), (69634, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 18:33:19', NULL, NULL), (69635, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 18:33:19', NULL, NULL), (69636, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 18:33:19', NULL, NULL), (69637, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 18:33:19', NULL, NULL), (69638, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 18:33:19', NULL, NULL), (69639, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 18:33:19', NULL, NULL), (69640, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 18:33:19', NULL, NULL), (69641, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 18:33:19', NULL, NULL), (69642, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 18:33:19', NULL, NULL), (69643, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 18:33:19', NULL, NULL), (69644, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 18:33:19', NULL, NULL), (69645, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 18:33:19', NULL, NULL), (69646, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 18:33:19', NULL, NULL), (69647, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 18:33:19', NULL, NULL), (69648, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 18:33:19', NULL, NULL), (69649, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 18:33:19', NULL, NULL), (69650, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 18:33:19', NULL, NULL), (69651, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 18:33:19', NULL, NULL), (69652, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 18:33:19', NULL, NULL), (69653, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 18:33:19', NULL, NULL), (69654, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 18:33:19', NULL, NULL), (69655, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 18:33:19', NULL, NULL), (69656, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 18:33:19', NULL, NULL), (69657, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 18:33:19', NULL, NULL), (69658, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 18:33:20', NULL, NULL), (69659, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 18:33:20', NULL, NULL), (69660, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 18:33:20', NULL, NULL), (69661, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 18:33:20', NULL, NULL), (69662, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 18:33:20', NULL, NULL), (69663, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 18:33:20', NULL, NULL), (69664, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 18:33:20', NULL, NULL), (69665, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 18:33:20', NULL, NULL), (69666, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 18:33:20', NULL, NULL), (69667, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 18:33:20', NULL, NULL), (69668, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 18:33:20', NULL, NULL), (69669, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 18:33:20', NULL, NULL), (69670, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 18:33:20', NULL, NULL), (69671, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 18:33:20', NULL, NULL), (69672, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 18:33:20', NULL, NULL), (69673, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 18:33:20', NULL, NULL), (69674, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 18:33:20', NULL, NULL), (69675, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 18:33:20', NULL, NULL), (69676, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 18:33:20', NULL, NULL), (69677, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 18:33:20', NULL, NULL), (69678, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 18:33:20', NULL, NULL), (69679, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 18:33:20', NULL, NULL), (69680, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 18:33:20', NULL, NULL), (69681, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 18:33:20', NULL, NULL), (69682, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 18:33:20', NULL, NULL), (69683, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 18:33:20', NULL, NULL), (69684, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 18:33:20', NULL, NULL), (69685, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 18:33:20', NULL, NULL), (69686, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 18:33:20', NULL, NULL), (69687, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 18:33:20', NULL, NULL), (69688, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 18:33:20', NULL, NULL), (69689, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 18:33:20', NULL, NULL), (69690, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 18:33:20', NULL, NULL), (69691, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 18:33:20', NULL, NULL), (69692, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 18:33:20', NULL, NULL), (69693, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 18:33:20', NULL, NULL), (69694, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 18:33:20', NULL, NULL), (69695, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 18:33:20', NULL, NULL), (69696, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 18:33:21', NULL, NULL), (69697, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 18:33:21', NULL, NULL), (69698, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 18:33:21', NULL, NULL), (69699, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 18:33:21', NULL, NULL), (69700, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 18:33:21', NULL, NULL), (69701, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 18:33:21', NULL, NULL), (69702, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 18:33:21', NULL, NULL), (69703, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 18:33:21', NULL, NULL), (69704, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 18:33:21', NULL, NULL), (69705, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 18:33:21', NULL, NULL), (69706, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 18:33:21', NULL, NULL), (69707, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 18:33:21', NULL, NULL), (69708, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 18:33:21', NULL, NULL), (69709, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 18:33:21', NULL, NULL), (69710, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 18:33:21', NULL, NULL), (69711, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 18:33:21', NULL, NULL), (69712, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 18:33:21', NULL, NULL), (69713, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 18:33:21', NULL, NULL), (69714, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 18:33:21', NULL, NULL), (69715, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 18:33:21', NULL, NULL), (69716, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 18:33:21', NULL, NULL), (69717, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 18:33:21', NULL, NULL), (69718, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 18:33:21', NULL, NULL), (69719, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 18:33:21', NULL, NULL), (69720, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 18:33:21', NULL, NULL), (69721, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 18:33:21', NULL, NULL), (69722, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 18:33:21', NULL, NULL), (69723, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 18:33:21', NULL, NULL), (69724, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 18:33:21', NULL, NULL), (69725, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 18:33:21', NULL, NULL), (69726, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 18:33:21', NULL, NULL), (69727, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 18:33:21', NULL, NULL), (69728, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 18:33:21', NULL, NULL), (69729, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 18:33:21', NULL, NULL), (69730, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 18:33:21', NULL, NULL), (69731, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 18:33:21', NULL, NULL), (69732, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 18:33:21', NULL, NULL), (69733, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 18:33:22', NULL, NULL), (69734, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 18:33:22', NULL, NULL), (69735, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 18:33:22', NULL, NULL), (69736, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 18:33:22', NULL, NULL), (69737, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 18:33:22', NULL, NULL), (69738, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 18:33:22', NULL, NULL), (69739, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 18:33:22', NULL, NULL), (69740, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 18:33:22', NULL, NULL), (69741, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 18:33:22', NULL, NULL), (69742, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 18:33:22', NULL, NULL), (69743, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 18:33:22', NULL, NULL), (69744, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 18:33:22', NULL, NULL), (69745, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 18:33:22', NULL, NULL), (69746, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 18:33:22', NULL, NULL), (69747, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 18:33:22', NULL, NULL), (69748, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 18:33:22', NULL, NULL), (69749, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 18:33:22', NULL, NULL), (69750, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 18:33:22', NULL, NULL), (69751, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 18:33:22', NULL, NULL), (69752, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 18:33:22', NULL, NULL), (69753, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 18:33:22', NULL, NULL), (69754, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 18:33:22', NULL, NULL), (69755, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 18:33:22', NULL, NULL), (69756, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 18:33:22', NULL, NULL), (69757, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 18:33:22', NULL, NULL), (69758, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 18:33:22', NULL, NULL), (69759, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 18:33:22', NULL, NULL), (69760, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 18:33:22', NULL, NULL), (69761, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 18:33:22', NULL, NULL), (69762, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 18:33:22', NULL, NULL), (69763, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 18:33:22', NULL, NULL), (69764, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 18:33:22', NULL, NULL), (69765, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 18:33:22', NULL, NULL), (69766, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 18:33:22', NULL, NULL), (69767, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 18:33:22', NULL, NULL), (69768, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 18:33:22', NULL, NULL), (69769, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 18:33:22', NULL, NULL), (69770, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 18:33:22', NULL, NULL), (69771, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 18:33:23', NULL, NULL), (69772, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 18:33:23', NULL, NULL), (69773, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 18:33:23', NULL, NULL), (69774, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 18:33:23', NULL, NULL), (69775, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 18:33:23', NULL, NULL), (69776, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 18:33:23', NULL, NULL), (69777, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 18:33:23', NULL, NULL), (69778, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 18:33:23', NULL, NULL), (69779, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 18:33:23', NULL, NULL), (69780, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 18:33:23', NULL, NULL), (69781, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 18:33:23', NULL, NULL), (69782, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 18:33:23', NULL, NULL), (69783, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 18:33:23', NULL, NULL), (69784, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 18:33:23', NULL, NULL), (69785, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 18:33:23', NULL, NULL), (69786, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 18:33:23', NULL, NULL), (69787, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 18:33:23', NULL, NULL), (69788, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 18:33:23', NULL, NULL), (69789, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 18:33:23', NULL, NULL), (69790, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 18:33:23', NULL, NULL), (69791, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 18:33:23', NULL, NULL), (69792, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 18:33:23', 1, '2024-08-05 22:12:24'), (69793, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 18:33:23', 1, '2024-08-06 02:01:24'), (69794, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 18:33:23', 1, '2024-08-07 01:00:24'), (69795, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 18:33:23', 1, '2024-08-08 01:00:24'), (69796, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 18:33:23', 1, '2024-08-09 01:00:24'), (69797, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 18:45:10', NULL, NULL), (69798, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 18:45:10', NULL, NULL), (69799, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 18:45:10', NULL, NULL), (69800, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 18:45:10', NULL, NULL), (69801, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 18:45:10', NULL, NULL), (69802, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 18:45:10', NULL, NULL), (69803, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 18:45:10', NULL, NULL), (69804, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 18:45:10', NULL, NULL), (69805, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 18:45:10', NULL, NULL), (69806, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 18:45:10', NULL, NULL), (69807, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 18:45:10', NULL, NULL), (69808, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 18:45:10', NULL, NULL), (69809, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 18:45:10', NULL, NULL), (69810, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 18:45:10', NULL, NULL), (69811, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 18:45:10', NULL, NULL), (69812, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 18:45:10', NULL, NULL), (69813, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 18:45:11', NULL, NULL), (69814, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 18:45:11', NULL, NULL), (69815, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 18:45:11', NULL, NULL), (69816, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 18:45:11', NULL, NULL), (69817, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 18:45:11', NULL, NULL), (69818, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 18:45:11', NULL, NULL), (69819, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 18:45:11', NULL, NULL), (69820, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 18:45:11', NULL, NULL), (69821, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 18:45:11', NULL, NULL), (69822, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 18:45:11', NULL, NULL), (69823, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 18:45:11', NULL, NULL), (69824, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 18:45:11', NULL, NULL), (69825, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 18:45:11', NULL, NULL), (69826, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 18:45:11', NULL, NULL), (69827, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 18:45:11', NULL, NULL), (69828, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 18:45:11', NULL, NULL), (69829, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 18:45:11', NULL, NULL), (69830, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 18:45:11', NULL, NULL), (69831, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 18:45:11', NULL, NULL), (69832, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 18:45:11', NULL, NULL), (69833, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 18:45:11', NULL, NULL), (69834, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 18:45:11', NULL, NULL), (69835, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 18:45:11', NULL, NULL), (69836, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 18:45:11', NULL, NULL), (69837, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 18:45:11', NULL, NULL), (69838, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 18:45:11', NULL, NULL), (69839, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 18:45:11', NULL, NULL), (69840, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 18:45:11', NULL, NULL), (69841, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 18:45:11', NULL, NULL), (69842, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 18:45:11', NULL, NULL), (69843, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 18:45:11', NULL, NULL), (69844, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 18:45:11', NULL, NULL), (69845, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 18:45:11', NULL, NULL), (69846, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 18:45:11', NULL, NULL), (69847, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 18:45:11', NULL, NULL), (69848, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 18:45:11', NULL, NULL), (69849, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 18:45:11', NULL, NULL), (69850, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 18:45:11', NULL, NULL), (69851, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 18:45:11', NULL, NULL), (69852, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 18:45:11', NULL, NULL), (69853, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 18:45:11', NULL, NULL), (69854, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 18:45:11', NULL, NULL), (69855, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 18:45:11', NULL, NULL), (69856, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 18:45:11', NULL, NULL), (69857, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 18:45:11', NULL, NULL), (69858, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 18:45:11', NULL, NULL), (69859, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 18:45:11', NULL, NULL), (69860, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 18:45:11', NULL, NULL), (69861, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 18:45:11', NULL, NULL), (69862, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 18:45:11', NULL, NULL), (69863, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 18:45:11', NULL, NULL), (69864, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 18:45:11', NULL, NULL), (69865, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 18:45:11', NULL, NULL), (69866, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 18:45:11', NULL, NULL), (69867, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 18:45:11', NULL, NULL), (69868, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 18:45:11', NULL, NULL), (69869, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 18:45:11', NULL, NULL), (69870, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 18:45:11', NULL, NULL), (69871, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 18:45:11', NULL, NULL), (69872, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 18:45:11', NULL, NULL), (69873, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 18:45:11', NULL, NULL), (69874, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 18:45:11', NULL, NULL), (69875, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 18:45:11', NULL, NULL), (69876, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 18:45:11', NULL, NULL), (69877, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 18:45:11', NULL, NULL), (69878, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 18:45:11', NULL, NULL), (69879, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 18:45:11', NULL, NULL), (69880, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 18:45:11', NULL, NULL), (69881, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 18:45:11', NULL, NULL), (69882, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 18:45:11', NULL, NULL), (69883, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 18:45:11', NULL, NULL), (69884, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 18:45:11', NULL, NULL), (69885, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 18:45:11', NULL, NULL), (69886, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 18:45:11', NULL, NULL), (69887, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 18:45:11', NULL, NULL), (69888, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 18:45:11', NULL, NULL), (69889, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 18:45:11', NULL, NULL), (69890, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 18:45:11', NULL, NULL), (69891, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 18:45:11', NULL, NULL), (69892, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 18:45:11', NULL, NULL), (69893, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 18:45:11', NULL, NULL), (69894, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 18:45:11', NULL, NULL), (69895, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 18:45:11', NULL, NULL), (69896, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 18:45:11', NULL, NULL), (69897, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 18:45:11', NULL, NULL), (69898, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 18:45:11', NULL, NULL), (69899, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 18:45:11', NULL, NULL), (69900, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 18:45:11', NULL, NULL), (69901, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 18:45:11', NULL, NULL), (69902, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 18:45:12', NULL, NULL), (69903, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 18:45:12', NULL, NULL), (69904, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 18:45:12', NULL, NULL), (69905, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 18:45:12', NULL, NULL), (69906, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 18:45:12', NULL, NULL), (69907, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 18:45:12', NULL, NULL), (69908, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 18:45:12', NULL, NULL), (69909, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 18:45:12', NULL, NULL), (69910, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 18:45:12', NULL, NULL), (69911, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 18:45:12', NULL, NULL), (69912, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 18:45:12', NULL, NULL), (69913, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 18:45:12', NULL, NULL), (69914, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 18:45:12', NULL, NULL), (69915, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 18:45:12', NULL, NULL), (69916, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 18:45:12', NULL, NULL), (69917, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 18:45:12', NULL, NULL), (69918, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 18:45:12', NULL, NULL), (69919, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 18:45:12', NULL, NULL), (69920, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 18:45:12', NULL, NULL), (69921, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 18:45:12', NULL, NULL), (69922, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 18:45:12', NULL, NULL), (69923, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 18:45:12', NULL, NULL), (69924, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 18:45:12', NULL, NULL), (69925, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 18:45:12', NULL, NULL), (69926, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 18:45:12', NULL, NULL), (69927, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 18:45:12', NULL, NULL), (69928, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 18:45:12', NULL, NULL), (69929, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 18:45:12', NULL, NULL), (69930, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 18:45:12', NULL, NULL), (69931, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 18:45:12', NULL, NULL), (69932, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 18:45:12', NULL, NULL), (69933, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 18:45:12', NULL, NULL), (69934, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 18:45:12', NULL, NULL), (69935, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 18:45:12', NULL, NULL), (69936, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 18:45:12', NULL, NULL), (69937, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 18:45:12', NULL, NULL), (69938, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 18:45:12', NULL, NULL), (69939, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 18:45:12', NULL, NULL), (69940, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 18:45:12', NULL, NULL), (69941, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 18:45:12', NULL, NULL), (69942, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 18:45:12', NULL, NULL), (69943, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 18:45:12', NULL, NULL), (69944, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 18:45:12', NULL, NULL), (69945, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 18:45:12', NULL, NULL), (69946, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 18:45:12', NULL, NULL), (69947, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 18:45:12', NULL, NULL), (69948, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 18:45:12', NULL, NULL), (69949, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 18:45:12', NULL, NULL), (69950, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 18:45:12', NULL, NULL), (69951, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 18:45:12', NULL, NULL), (69952, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 18:45:12', NULL, NULL), (69953, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 18:45:12', NULL, NULL), (69954, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 18:45:12', NULL, NULL), (69955, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 18:45:12', NULL, NULL), (69956, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 18:45:12', NULL, NULL), (69957, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 18:45:12', NULL, NULL), (69958, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 18:45:12', NULL, NULL), (69959, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 18:45:12', NULL, NULL), (69960, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 18:45:12', NULL, NULL), (69961, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 18:45:12', NULL, NULL), (69962, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 18:45:12', NULL, NULL), (69963, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 18:45:12', NULL, NULL), (69964, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 18:45:12', NULL, NULL), (69965, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 18:45:12', NULL, NULL), (69966, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 18:45:12', NULL, NULL), (69967, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 18:45:12', NULL, NULL), (69968, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 18:45:12', NULL, NULL), (69969, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 18:45:12', NULL, NULL), (69970, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 18:45:12', NULL, NULL), (69971, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 18:45:12', NULL, NULL), (69972, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 18:45:12', NULL, NULL), (69973, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 18:45:12', NULL, NULL), (69974, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 18:45:12', NULL, NULL), (69975, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 18:45:12', NULL, NULL), (69976, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 18:45:12', NULL, NULL), (69977, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 18:45:12', NULL, NULL), (69978, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 18:45:12', NULL, NULL), (69979, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 18:45:12', NULL, NULL), (69980, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 18:45:12', NULL, NULL), (69981, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 18:45:12', NULL, NULL), (69982, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 18:45:12', NULL, NULL), (69983, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 18:45:12', NULL, NULL), (69984, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 18:45:12', NULL, NULL), (69985, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 18:45:12', NULL, NULL), (69986, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 18:45:12', NULL, NULL), (69987, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 18:45:12', NULL, NULL), (69988, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 18:45:12', NULL, NULL), (69989, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 18:45:13', NULL, NULL), (69990, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 18:45:13', NULL, NULL), (69991, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 18:45:13', NULL, NULL), (69992, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 18:45:13', NULL, NULL), (69993, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 18:45:13', NULL, NULL), (69994, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 18:45:13', NULL, NULL), (69995, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 18:45:13', NULL, NULL), (69996, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 18:45:13', NULL, NULL), (69997, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 18:45:13', NULL, NULL), (69998, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 18:45:13', NULL, NULL), (69999, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 18:45:13', NULL, NULL), (70000, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 18:45:13', NULL, NULL), (70001, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 18:45:13', NULL, NULL), (70002, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 18:45:13', NULL, NULL), (70003, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 18:45:13', NULL, NULL), (70004, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 18:45:13', NULL, NULL), (70005, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 18:45:13', NULL, NULL), (70006, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 18:45:13', NULL, NULL), (70007, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 18:45:13', NULL, NULL), (70008, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 18:45:13', NULL, NULL), (70009, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 18:45:13', NULL, NULL), (70010, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 18:45:13', NULL, NULL), (70011, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 18:45:13', NULL, NULL), (70012, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 18:45:13', NULL, NULL), (70013, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 18:45:13', NULL, NULL), (70014, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 18:45:13', NULL, NULL), (70015, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 18:45:13', NULL, NULL), (70016, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 18:45:13', NULL, NULL), (70017, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 18:45:13', NULL, NULL), (70018, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 18:45:13', NULL, NULL), (70019, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 18:45:13', NULL, NULL), (70020, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 18:45:13', NULL, NULL), (70021, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 18:45:13', NULL, NULL), (70022, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 18:45:13', NULL, NULL), (70023, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 18:45:13', NULL, NULL), (70024, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 18:45:13', NULL, NULL), (70025, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 18:45:13', NULL, NULL), (70026, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 18:45:13', NULL, NULL), (70027, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 18:45:13', NULL, NULL), (70028, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 18:45:13', NULL, NULL), (70029, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 18:45:13', NULL, NULL), (70030, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 18:45:13', NULL, NULL), (70031, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 18:45:13', NULL, NULL), (70032, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 18:45:13', NULL, NULL), (70033, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 18:45:13', NULL, NULL), (70034, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 18:45:13', NULL, NULL), (70035, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 18:45:13', NULL, NULL), (70036, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 18:45:13', NULL, NULL), (70037, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 18:45:13', NULL, NULL), (70038, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 18:45:13', NULL, NULL), (70039, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 18:45:13', NULL, NULL), (70040, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 18:45:13', NULL, NULL), (70041, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 18:45:13', NULL, NULL), (70042, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 18:45:13', NULL, NULL), (70043, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 18:45:13', NULL, NULL), (70044, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 18:45:13', NULL, NULL), (70045, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 18:45:13', NULL, NULL), (70046, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 18:45:13', NULL, NULL), (70047, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 18:45:13', NULL, NULL), (70048, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 18:45:13', NULL, NULL), (70049, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 18:45:13', NULL, NULL), (70050, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 18:45:13', NULL, NULL), (70051, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 18:45:13', NULL, NULL), (70052, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 18:45:13', NULL, NULL), (70053, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 18:45:13', NULL, NULL), (70054, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 18:45:13', NULL, NULL), (70055, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 18:45:13', NULL, NULL), (70056, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 18:45:13', NULL, NULL), (70057, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 18:45:13', NULL, NULL), (70058, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 18:45:13', NULL, NULL), (70059, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 18:45:13', NULL, NULL), (70060, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 18:45:13', NULL, NULL), (70061, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 18:45:13', NULL, NULL), (70062, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 18:45:13', NULL, NULL), (70063, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 18:45:13', NULL, NULL), (70064, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 18:45:13', NULL, NULL), (70065, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 18:45:13', NULL, NULL), (70066, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 18:45:13', NULL, NULL), (70067, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 18:45:13', NULL, NULL), (70068, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 18:45:13', NULL, NULL), (70069, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 18:45:13', NULL, NULL), (70070, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 18:45:13', NULL, NULL), (70071, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 18:45:13', NULL, NULL), (70072, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 18:45:13', NULL, NULL), (70073, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 18:45:13', NULL, NULL), (70074, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 18:45:13', NULL, NULL), (70075, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 18:45:13', NULL, NULL), (70076, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 18:45:13', NULL, NULL), (70077, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 18:45:13', NULL, NULL), (70078, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 18:45:13', NULL, NULL), (70079, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 18:45:13', NULL, NULL), (70080, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 18:45:13', NULL, NULL), (70081, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 18:45:13', NULL, NULL), (70082, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 18:45:13', NULL, NULL), (70083, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 18:45:13', NULL, NULL), (70084, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 18:45:13', NULL, NULL), (70085, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 18:45:13', NULL, NULL), (70086, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 18:45:13', NULL, NULL), (70087, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 18:45:13', NULL, NULL), (70088, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 18:45:13', NULL, NULL), (70089, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 18:45:13', NULL, NULL), (70090, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 18:45:13', NULL, NULL), (70091, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 18:45:13', NULL, NULL), (70092, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 18:45:13', NULL, NULL), (70093, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 18:45:13', NULL, NULL), (70094, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 18:45:13', NULL, NULL), (70095, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 18:45:13', NULL, NULL), (70096, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 18:45:13', NULL, NULL), (70097, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 18:45:13', NULL, NULL), (70098, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 18:45:13', NULL, NULL), (70099, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 18:45:13', NULL, NULL), (70100, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 18:45:13', NULL, NULL), (70101, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 18:45:13', NULL, NULL), (70102, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 18:45:13', NULL, NULL), (70103, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 18:45:13', NULL, NULL), (70104, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 18:45:13', NULL, NULL), (70105, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 18:45:13', NULL, NULL), (70106, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 18:45:13', NULL, NULL), (70107, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 18:45:13', NULL, NULL), (70108, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 18:45:13', NULL, NULL), (70109, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 18:45:13', NULL, NULL), (70110, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 18:45:13', NULL, NULL), (70111, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 18:45:13', NULL, NULL), (70112, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 18:45:13', NULL, NULL), (70113, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 18:45:13', NULL, NULL), (70114, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 18:45:14', NULL, NULL), (70115, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 18:45:14', NULL, NULL), (70116, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 18:45:14', NULL, NULL), (70117, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 18:45:14', NULL, NULL), (70118, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 18:45:14', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (70119, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 18:45:14', NULL, NULL), (70120, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 18:45:14', NULL, NULL), (70121, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 18:45:14', NULL, NULL), (70122, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 18:45:14', NULL, NULL), (70123, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 18:45:14', NULL, NULL), (70124, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 18:45:14', NULL, NULL), (70125, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 18:45:14', NULL, NULL), (70126, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 18:45:14', NULL, NULL), (70127, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 18:45:14', NULL, NULL), (70128, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 18:45:14', NULL, NULL), (70129, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 18:45:14', NULL, NULL), (70130, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 18:45:14', NULL, NULL), (70131, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 18:45:14', NULL, NULL), (70132, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 18:45:14', NULL, NULL), (70133, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 18:45:14', NULL, NULL), (70134, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 18:45:14', NULL, NULL), (70135, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 18:45:14', NULL, NULL), (70136, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 18:45:14', NULL, NULL), (70137, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 18:45:14', NULL, NULL), (70138, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 18:45:14', NULL, NULL), (70139, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 18:45:14', NULL, NULL), (70140, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 18:45:14', NULL, NULL), (70141, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 18:45:14', NULL, NULL), (70142, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 18:45:14', NULL, NULL), (70143, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 18:45:14', NULL, NULL), (70144, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 18:45:14', NULL, NULL), (70145, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 18:45:14', NULL, NULL), (70146, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 18:45:14', NULL, NULL), (70147, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 18:45:14', NULL, NULL), (70148, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 18:45:14', NULL, NULL), (70149, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 18:45:14', NULL, NULL), (70150, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 18:45:14', NULL, NULL), (70151, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 18:45:14', NULL, NULL), (70152, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 18:45:14', NULL, NULL), (70153, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 18:45:14', NULL, NULL), (70154, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 18:45:14', NULL, NULL), (70155, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 18:45:14', NULL, NULL), (70156, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 18:45:14', NULL, NULL), (70157, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 18:45:14', NULL, NULL), (70158, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 18:45:14', NULL, NULL), (70159, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 18:45:14', NULL, NULL), (70160, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 18:45:14', NULL, NULL), (70161, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 18:45:14', NULL, NULL), (70162, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 18:45:14', NULL, NULL), (70163, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 18:45:14', NULL, NULL), (70164, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 18:45:14', NULL, NULL), (70165, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 18:45:14', NULL, NULL), (70166, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 18:45:14', NULL, NULL), (70167, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 18:45:14', NULL, NULL), (70168, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 18:45:14', NULL, NULL), (70169, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 18:45:14', NULL, NULL), (70170, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 18:45:14', NULL, NULL), (70171, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 18:45:14', NULL, NULL), (70172, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 18:45:14', NULL, NULL), (70173, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 18:45:14', NULL, NULL), (70174, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 18:45:14', NULL, NULL), (70175, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 18:45:14', NULL, NULL), (70176, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 18:45:14', NULL, NULL), (70177, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 18:45:14', NULL, NULL), (70178, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 18:45:14', NULL, NULL), (70179, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 18:45:14', NULL, NULL), (70180, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 18:45:14', NULL, NULL), (70181, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 18:45:14', NULL, NULL), (70182, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 18:45:14', NULL, NULL), (70183, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 18:45:14', NULL, NULL), (70184, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 18:45:14', NULL, NULL), (70185, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 18:45:14', NULL, NULL), (70186, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 18:45:14', NULL, NULL), (70187, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 18:45:14', NULL, NULL), (70188, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 18:45:14', NULL, NULL), (70189, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 18:45:14', NULL, NULL), (70190, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 18:45:14', NULL, NULL), (70191, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 18:45:14', NULL, NULL), (70192, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 18:45:14', NULL, NULL), (70193, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 18:45:14', NULL, NULL), (70194, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 18:45:14', NULL, NULL), (70195, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 18:45:14', NULL, NULL), (70196, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 18:45:14', NULL, NULL), (70197, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 18:45:14', NULL, NULL), (70198, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 18:45:14', NULL, NULL), (70199, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 18:45:15', NULL, NULL), (70200, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 18:45:15', NULL, NULL), (70201, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 18:45:15', NULL, NULL), (70202, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 18:45:15', NULL, NULL), (70203, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 18:45:15', NULL, NULL), (70204, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 18:45:15', NULL, NULL), (70205, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 18:45:15', NULL, NULL), (70206, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 18:45:15', NULL, NULL), (70207, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 18:45:15', NULL, NULL), (70208, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 18:45:15', NULL, NULL), (70209, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 18:45:15', NULL, NULL), (70210, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 18:45:15', NULL, NULL), (70211, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 18:45:15', NULL, NULL), (70212, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 18:45:15', NULL, NULL), (70213, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 18:45:15', NULL, NULL), (70214, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 18:45:15', NULL, NULL), (70215, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 18:45:15', NULL, NULL), (70216, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 18:45:15', NULL, NULL), (70217, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 18:45:15', NULL, NULL), (70218, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 18:45:15', NULL, NULL), (70219, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 18:45:15', NULL, NULL), (70220, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 18:45:15', NULL, NULL), (70221, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 18:45:15', NULL, NULL), (70222, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 18:45:15', NULL, NULL), (70223, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 18:45:15', NULL, NULL), (70224, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 18:45:15', NULL, NULL), (70225, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 18:45:15', NULL, NULL), (70226, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 18:45:15', NULL, NULL), (70227, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 18:45:15', NULL, NULL), (70228, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 18:45:15', NULL, NULL), (70229, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 18:45:15', NULL, NULL), (70230, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 18:45:15', NULL, NULL), (70231, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 18:45:15', NULL, NULL), (70232, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 18:45:15', NULL, NULL), (70233, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 18:45:15', NULL, NULL), (70234, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 18:45:15', NULL, NULL), (70235, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 18:45:15', NULL, NULL), (70236, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 18:45:15', NULL, NULL), (70237, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 18:45:15', NULL, NULL), (70238, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 18:45:15', NULL, NULL), (70239, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 18:45:15', NULL, NULL), (70240, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 18:45:15', NULL, NULL), (70241, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 18:45:15', NULL, NULL), (70242, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 18:45:15', NULL, NULL), (70243, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 18:45:15', NULL, NULL), (70244, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 18:45:15', NULL, NULL), (70245, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 18:45:15', NULL, NULL), (70246, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 18:45:15', NULL, NULL), (70247, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 18:45:15', NULL, NULL), (70248, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 18:45:15', NULL, NULL), (70249, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 18:45:15', NULL, NULL), (70250, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 18:45:15', NULL, NULL), (70251, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 18:45:15', NULL, NULL), (70252, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 18:45:15', NULL, NULL), (70253, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 18:45:15', NULL, NULL), (70254, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 18:45:15', NULL, NULL), (70255, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 18:45:15', NULL, NULL), (70256, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 18:45:15', NULL, NULL), (70257, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 18:45:15', NULL, NULL), (70258, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 18:45:15', NULL, NULL), (70259, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 18:45:15', NULL, NULL), (70260, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 18:45:15', NULL, NULL), (70261, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 18:45:15', NULL, NULL), (70262, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 18:45:15', NULL, NULL), (70263, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 18:45:15', NULL, NULL), (70264, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 18:45:15', NULL, NULL), (70265, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 18:45:15', NULL, NULL), (70266, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 18:45:15', NULL, NULL), (70267, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 18:45:15', NULL, NULL), (70268, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 18:45:16', NULL, NULL), (70269, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 18:45:16', NULL, NULL), (70270, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 18:45:16', NULL, NULL), (70271, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 18:45:16', NULL, NULL), (70272, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 18:45:16', NULL, NULL), (70273, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 18:45:16', NULL, NULL), (70274, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 18:45:16', NULL, NULL), (70275, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 18:45:16', NULL, NULL), (70276, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 18:45:16', NULL, NULL), (70277, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 18:45:16', NULL, NULL), (70278, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 18:45:16', NULL, NULL), (70279, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 18:45:16', NULL, NULL), (70280, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 18:45:16', NULL, NULL), (70281, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 18:45:16', NULL, NULL), (70282, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 18:45:16', NULL, NULL), (70283, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 18:45:16', NULL, NULL), (70284, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 18:45:16', NULL, NULL), (70285, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 18:45:16', NULL, NULL), (70286, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 18:45:16', NULL, NULL), (70287, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 18:45:16', NULL, NULL), (70288, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 18:45:16', NULL, NULL), (70289, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 18:45:16', NULL, NULL), (70290, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 18:45:16', NULL, NULL), (70291, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 18:45:16', NULL, NULL), (70292, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 18:45:16', NULL, NULL), (70293, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 18:45:16', NULL, NULL), (70294, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 18:45:16', NULL, NULL), (70295, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 18:45:16', NULL, NULL), (70296, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 18:45:16', NULL, NULL), (70297, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 18:45:16', NULL, NULL), (70298, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 18:45:16', NULL, NULL), (70299, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 18:45:16', NULL, NULL), (70300, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 18:45:16', NULL, NULL), (70301, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 18:45:16', NULL, NULL), (70302, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 18:45:16', NULL, NULL), (70303, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 18:45:16', NULL, NULL), (70304, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 18:45:16', NULL, NULL), (70305, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 18:45:16', NULL, NULL), (70306, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 18:45:16', NULL, NULL), (70307, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 18:45:16', NULL, NULL), (70308, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 18:45:16', NULL, NULL), (70309, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 18:45:16', NULL, NULL), (70310, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 18:45:16', NULL, NULL), (70311, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 18:45:16', NULL, NULL), (70312, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 18:45:16', NULL, NULL), (70313, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 18:45:16', NULL, NULL), (70314, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 18:45:16', NULL, NULL), (70315, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 18:45:16', NULL, NULL), (70316, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 18:45:16', NULL, NULL), (70317, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 18:45:16', NULL, NULL), (70318, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 18:45:16', NULL, NULL), (70319, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 18:45:16', NULL, NULL), (70320, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 18:45:16', NULL, NULL), (70321, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 18:45:16', NULL, NULL), (70322, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 18:45:16', NULL, NULL), (70323, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 18:45:16', NULL, NULL), (70324, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 18:45:16', NULL, NULL), (70325, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 18:45:16', NULL, NULL), (70326, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 18:45:16', NULL, NULL), (70327, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 18:45:16', NULL, NULL), (70328, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 18:45:16', NULL, NULL), (70329, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 18:45:16', NULL, NULL), (70330, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 18:45:16', NULL, NULL), (70331, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 18:45:16', NULL, NULL), (70332, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 18:45:16', NULL, NULL), (70333, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 18:45:16', NULL, NULL), (70334, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 18:45:16', NULL, NULL), (70335, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 18:45:16', NULL, NULL), (70336, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 18:45:17', NULL, NULL), (70337, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 18:45:17', NULL, NULL), (70338, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 18:45:17', NULL, NULL), (70339, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 18:45:17', NULL, NULL), (70340, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 18:45:17', NULL, NULL), (70341, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 18:45:17', NULL, NULL), (70342, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 18:45:17', NULL, NULL), (70343, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 18:45:17', NULL, NULL), (70344, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 18:45:17', NULL, NULL), (70345, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 18:45:17', NULL, NULL), (70346, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 18:45:17', NULL, NULL), (70347, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 18:45:17', NULL, NULL), (70348, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 18:45:17', NULL, NULL), (70349, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 18:45:17', NULL, NULL), (70350, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 18:45:17', NULL, NULL), (70351, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 18:45:17', NULL, NULL), (70352, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 18:45:17', NULL, NULL), (70353, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 18:45:17', NULL, NULL), (70354, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 18:45:17', NULL, NULL), (70355, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 18:45:17', NULL, NULL), (70356, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 18:45:17', NULL, NULL), (70357, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 18:45:17', NULL, NULL), (70358, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 18:45:17', NULL, NULL), (70359, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 18:45:17', NULL, NULL), (70360, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 18:45:17', NULL, NULL), (70361, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 18:45:17', NULL, NULL), (70362, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 18:45:17', NULL, NULL), (70363, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 18:45:17', NULL, NULL), (70364, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 18:45:17', NULL, NULL), (70365, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 18:45:17', NULL, NULL), (70366, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 18:45:17', NULL, NULL), (70367, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 18:45:17', NULL, NULL), (70368, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 18:45:17', NULL, NULL), (70369, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 18:45:17', NULL, NULL), (70370, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 18:45:17', NULL, NULL), (70371, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 18:45:17', NULL, NULL), (70372, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 18:45:17', NULL, NULL), (70373, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 18:45:17', NULL, NULL), (70374, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 18:45:17', NULL, NULL), (70375, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 18:45:17', 1, '2024-08-05 22:12:25'), (70376, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 18:45:17', 1, '2024-08-06 02:01:32'), (70377, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 18:45:17', 1, '2024-08-07 01:00:24'), (70378, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 18:45:17', 1, '2024-08-08 01:00:24'), (70379, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 18:45:17', 1, '2024-08-09 01:00:24'), (70380, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 18:56:52', NULL, NULL), (70381, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 18:56:52', NULL, NULL), (70382, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 18:56:52', NULL, NULL), (70383, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 18:56:52', NULL, NULL), (70384, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 18:56:52', NULL, NULL), (70385, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 18:56:52', NULL, NULL), (70386, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 18:56:52', NULL, NULL), (70387, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 18:56:52', NULL, NULL), (70388, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 18:56:52', NULL, NULL), (70389, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 18:56:52', NULL, NULL), (70390, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 18:56:52', NULL, NULL), (70391, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 18:56:52', NULL, NULL), (70392, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 18:56:52', NULL, NULL), (70393, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 18:56:52', NULL, NULL), (70394, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 18:56:52', NULL, NULL), (70395, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 18:56:52', NULL, NULL), (70396, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 18:56:52', NULL, NULL), (70397, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 18:56:52', NULL, NULL), (70398, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 18:56:52', NULL, NULL), (70399, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 18:56:52', NULL, NULL), (70400, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 18:56:52', NULL, NULL), (70401, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 18:56:53', NULL, NULL), (70402, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 18:56:53', NULL, NULL), (70403, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 18:56:53', NULL, NULL), (70404, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 18:56:53', NULL, NULL), (70405, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 18:56:53', NULL, NULL), (70406, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 18:56:53', NULL, NULL), (70407, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 18:56:53', NULL, NULL), (70408, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 18:56:53', NULL, NULL), (70409, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 18:56:53', NULL, NULL), (70410, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 18:56:53', NULL, NULL), (70411, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 18:56:53', NULL, NULL), (70412, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 18:56:53', NULL, NULL), (70413, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 18:56:53', NULL, NULL), (70414, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 18:56:53', NULL, NULL), (70415, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 18:56:53', NULL, NULL), (70416, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 18:56:53', NULL, NULL), (70417, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 18:56:53', NULL, NULL), (70418, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 18:56:53', NULL, NULL), (70419, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 18:56:53', NULL, NULL), (70420, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 18:56:53', NULL, NULL), (70421, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 18:56:53', NULL, NULL), (70422, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 18:56:53', NULL, NULL), (70423, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 18:56:53', NULL, NULL), (70424, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 18:56:53', NULL, NULL), (70425, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 18:56:53', NULL, NULL), (70426, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 18:56:53', NULL, NULL), (70427, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 18:56:53', NULL, NULL), (70428, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 18:56:53', NULL, NULL), (70429, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 18:56:53', NULL, NULL), (70430, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 18:56:53', NULL, NULL), (70431, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 18:56:53', NULL, NULL), (70432, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 18:56:53', NULL, NULL), (70433, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 18:56:53', NULL, NULL), (70434, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 18:56:53', NULL, NULL), (70435, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 18:56:53', NULL, NULL), (70436, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 18:56:53', NULL, NULL), (70437, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 18:56:53', NULL, NULL), (70438, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 18:56:53', NULL, NULL), (70439, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 18:56:53', NULL, NULL), (70440, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 18:56:53', NULL, NULL), (70441, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 18:56:53', NULL, NULL), (70442, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 18:56:53', NULL, NULL), (70443, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 18:56:53', NULL, NULL), (70444, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 18:56:53', NULL, NULL), (70445, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 18:56:53', NULL, NULL), (70446, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 18:56:53', NULL, NULL), (70447, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 18:56:53', NULL, NULL), (70448, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 18:56:53', NULL, NULL), (70449, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 18:56:53', NULL, NULL), (70450, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 18:56:53', NULL, NULL), (70451, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 18:56:53', NULL, NULL), (70452, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 18:56:53', NULL, NULL), (70453, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 18:56:54', NULL, NULL), (70454, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 18:56:54', NULL, NULL), (70455, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 18:56:54', NULL, NULL), (70456, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 18:56:54', NULL, NULL), (70457, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 18:56:54', NULL, NULL), (70458, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 18:56:54', NULL, NULL), (70459, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 18:56:54', NULL, NULL), (70460, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 18:56:54', NULL, NULL), (70461, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 18:56:54', NULL, NULL), (70462, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 18:56:54', NULL, NULL), (70463, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 18:56:54', NULL, NULL), (70464, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 18:56:54', NULL, NULL), (70465, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 18:56:54', NULL, NULL), (70466, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 18:56:54', NULL, NULL), (70467, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 18:56:54', NULL, NULL), (70468, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 18:56:54', NULL, NULL), (70469, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 18:56:54', NULL, NULL), (70470, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 18:56:54', NULL, NULL), (70471, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 18:56:54', NULL, NULL), (70472, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 18:56:54', NULL, NULL), (70473, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 18:56:54', NULL, NULL), (70474, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 18:56:54', NULL, NULL), (70475, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 18:56:54', NULL, NULL), (70476, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 18:56:54', NULL, NULL), (70477, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 18:56:54', NULL, NULL), (70478, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 18:56:54', NULL, NULL), (70479, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 18:56:54', NULL, NULL), (70480, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 18:56:54', NULL, NULL), (70481, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 18:56:54', NULL, NULL), (70482, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 18:56:54', NULL, NULL), (70483, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 18:56:54', NULL, NULL), (70484, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 18:56:54', NULL, NULL), (70485, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 18:56:54', NULL, NULL), (70486, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 18:56:54', NULL, NULL), (70487, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 18:56:54', NULL, NULL), (70488, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 18:56:54', NULL, NULL), (70489, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 18:56:54', NULL, NULL), (70490, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 18:56:54', NULL, NULL), (70491, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 18:56:54', NULL, NULL), (70492, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 18:56:54', NULL, NULL), (70493, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 18:56:54', NULL, NULL), (70494, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 18:56:54', NULL, NULL), (70495, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 18:56:54', NULL, NULL), (70496, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 18:56:54', NULL, NULL), (70497, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 18:56:54', NULL, NULL), (70498, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 18:56:54', NULL, NULL), (70499, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 18:56:54', NULL, NULL), (70500, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 18:56:54', NULL, NULL), (70501, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 18:56:55', NULL, NULL), (70502, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 18:56:55', NULL, NULL), (70503, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 18:56:55', NULL, NULL), (70504, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 18:56:55', NULL, NULL), (70505, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 18:56:55', NULL, NULL), (70506, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 18:56:55', NULL, NULL), (70507, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 18:56:55', NULL, NULL), (70508, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 18:56:55', NULL, NULL), (70509, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 18:56:55', NULL, NULL), (70510, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 18:56:55', NULL, NULL), (70511, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 18:56:55', NULL, NULL), (70512, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 18:56:55', NULL, NULL), (70513, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 18:56:55', NULL, NULL), (70514, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 18:56:55', NULL, NULL), (70515, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 18:56:55', NULL, NULL), (70516, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 18:56:55', NULL, NULL), (70517, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 18:56:55', NULL, NULL), (70518, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 18:56:55', NULL, NULL), (70519, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 18:56:55', NULL, NULL), (70520, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 18:56:55', NULL, NULL), (70521, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 18:56:55', NULL, NULL), (70522, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 18:56:55', NULL, NULL), (70523, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 18:56:55', NULL, NULL), (70524, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 18:56:55', NULL, NULL), (70525, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 18:56:55', NULL, NULL), (70526, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 18:56:55', NULL, NULL), (70527, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 18:56:55', NULL, NULL), (70528, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 18:56:55', NULL, NULL), (70529, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 18:56:55', NULL, NULL), (70530, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 18:56:55', NULL, NULL), (70531, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 18:56:55', NULL, NULL), (70532, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 18:56:55', NULL, NULL), (70533, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 18:56:55', NULL, NULL), (70534, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 18:56:55', NULL, NULL), (70535, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 18:56:55', NULL, NULL), (70536, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 18:56:55', NULL, NULL), (70537, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 18:56:55', NULL, NULL), (70538, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 18:56:55', NULL, NULL), (70539, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 18:56:55', NULL, NULL), (70540, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 18:56:55', NULL, NULL), (70541, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 18:56:55', NULL, NULL), (70542, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 18:56:55', NULL, NULL), (70543, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 18:56:55', NULL, NULL), (70544, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 18:56:55', NULL, NULL), (70545, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 18:56:55', NULL, NULL), (70546, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 18:56:55', NULL, NULL), (70547, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 18:56:55', NULL, NULL), (70548, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 18:56:55', NULL, NULL), (70549, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 18:56:55', NULL, NULL), (70550, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 18:56:56', NULL, NULL), (70551, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 18:56:56', NULL, NULL), (70552, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 18:56:56', NULL, NULL), (70553, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 18:56:56', NULL, NULL), (70554, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 18:56:56', NULL, NULL), (70555, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 18:56:56', NULL, NULL), (70556, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 18:56:56', NULL, NULL), (70557, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 18:56:56', NULL, NULL), (70558, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 18:56:56', NULL, NULL), (70559, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 18:56:56', NULL, NULL), (70560, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 18:56:56', NULL, NULL), (70561, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 18:56:56', NULL, NULL), (70562, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 18:56:56', NULL, NULL), (70563, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 18:56:56', NULL, NULL), (70564, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 18:56:56', NULL, NULL), (70565, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 18:56:56', NULL, NULL), (70566, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 18:56:56', NULL, NULL), (70567, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 18:56:56', NULL, NULL), (70568, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 18:56:56', NULL, NULL), (70569, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 18:56:56', NULL, NULL), (70570, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 18:56:56', NULL, NULL), (70571, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 18:56:56', NULL, NULL), (70572, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 18:56:56', NULL, NULL), (70573, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 18:56:56', NULL, NULL), (70574, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 18:56:56', NULL, NULL), (70575, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 18:56:56', NULL, NULL), (70576, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 18:56:56', NULL, NULL), (70577, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 18:56:56', NULL, NULL), (70578, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 18:56:56', NULL, NULL), (70579, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 18:56:56', NULL, NULL), (70580, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 18:56:56', NULL, NULL), (70581, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 18:56:56', NULL, NULL), (70582, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 18:56:56', NULL, NULL), (70583, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 18:56:56', NULL, NULL), (70584, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 18:56:56', NULL, NULL), (70585, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 18:56:56', NULL, NULL), (70586, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 18:56:56', NULL, NULL), (70587, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 18:56:56', NULL, NULL), (70588, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 18:56:56', NULL, NULL), (70589, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 18:56:56', NULL, NULL), (70590, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 18:56:56', NULL, NULL), (70591, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 18:56:56', NULL, NULL), (70592, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 18:56:56', NULL, NULL), (70593, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 18:56:56', NULL, NULL), (70594, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 18:56:56', NULL, NULL), (70595, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 18:56:56', NULL, NULL), (70596, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 18:56:56', NULL, NULL), (70597, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 18:56:56', NULL, NULL), (70598, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 18:56:57', NULL, NULL), (70599, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 18:56:57', NULL, NULL), (70600, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 18:56:57', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (70601, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 18:56:57', NULL, NULL), (70602, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 18:56:57', NULL, NULL), (70603, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 18:56:57', NULL, NULL), (70604, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 18:56:57', NULL, NULL), (70605, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 18:56:57', NULL, NULL), (70606, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 18:56:57', NULL, NULL), (70607, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 18:56:57', NULL, NULL), (70608, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 18:56:57', NULL, NULL), (70609, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 18:56:57', NULL, NULL), (70610, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 18:56:57', NULL, NULL), (70611, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 18:56:57', NULL, NULL), (70612, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 18:56:57', NULL, NULL), (70613, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 18:56:57', NULL, NULL), (70614, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 18:56:57', NULL, NULL), (70615, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 18:56:57', NULL, NULL), (70616, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 18:56:57', NULL, NULL), (70617, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 18:56:57', NULL, NULL), (70618, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 18:56:57', NULL, NULL), (70619, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 18:56:57', NULL, NULL), (70620, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 18:56:57', NULL, NULL), (70621, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 18:56:57', NULL, NULL), (70622, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 18:56:57', NULL, NULL), (70623, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 18:56:57', NULL, NULL), (70624, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 18:56:57', NULL, NULL), (70625, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 18:56:57', NULL, NULL), (70626, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 18:56:57', NULL, NULL), (70627, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 18:56:57', NULL, NULL), (70628, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 18:56:57', NULL, NULL), (70629, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 18:56:57', NULL, NULL), (70630, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 18:56:57', NULL, NULL), (70631, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 18:56:57', NULL, NULL), (70632, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 18:56:57', NULL, NULL), (70633, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 18:56:57', NULL, NULL), (70634, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 18:56:57', NULL, NULL), (70635, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 18:56:57', NULL, NULL), (70636, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 18:56:57', NULL, NULL), (70637, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 18:56:57', NULL, NULL), (70638, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 18:56:57', NULL, NULL), (70639, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 18:56:57', NULL, NULL), (70640, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 18:56:57', NULL, NULL), (70641, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 18:56:57', NULL, NULL), (70642, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 18:56:57', NULL, NULL), (70643, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 18:56:57', NULL, NULL), (70644, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 18:56:57', NULL, NULL), (70645, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 18:56:57', NULL, NULL), (70646, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 18:56:57', NULL, NULL), (70647, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 18:56:57', NULL, NULL), (70648, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 18:56:57', NULL, NULL), (70649, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 18:56:57', NULL, NULL), (70650, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 18:56:57', NULL, NULL), (70651, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 18:56:57', NULL, NULL), (70652, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 18:56:57', NULL, NULL), (70653, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 18:56:57', NULL, NULL), (70654, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 18:56:57', NULL, NULL), (70655, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 18:56:57', NULL, NULL), (70656, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 18:56:57', NULL, NULL), (70657, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 18:56:57', NULL, NULL), (70658, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 18:56:57', NULL, NULL), (70659, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 18:56:57', NULL, NULL), (70660, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 18:56:57', NULL, NULL), (70661, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 18:56:57', NULL, NULL), (70662, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 18:56:57', NULL, NULL), (70663, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 18:56:57', NULL, NULL), (70664, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 18:56:57', NULL, NULL), (70665, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 18:56:57', NULL, NULL), (70666, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 18:56:57', NULL, NULL), (70667, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 18:56:57', NULL, NULL), (70668, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 18:56:57', NULL, NULL), (70669, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 18:56:57', NULL, NULL), (70670, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 18:56:57', NULL, NULL), (70671, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 18:56:57', NULL, NULL), (70672, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 18:56:57', NULL, NULL), (70673, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 18:56:57', NULL, NULL), (70674, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 18:56:57', NULL, NULL), (70675, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 18:56:57', NULL, NULL), (70676, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 18:56:57', NULL, NULL), (70677, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 18:56:57', NULL, NULL), (70678, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 18:56:57', NULL, NULL), (70679, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 18:56:57', NULL, NULL), (70680, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 18:56:57', NULL, NULL), (70681, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 18:56:57', NULL, NULL), (70682, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 18:56:57', NULL, NULL), (70683, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 18:56:57', NULL, NULL), (70684, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 18:56:58', NULL, NULL), (70685, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 18:56:58', NULL, NULL), (70686, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 18:56:58', NULL, NULL), (70687, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 18:56:58', NULL, NULL), (70688, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 18:56:58', NULL, NULL), (70689, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 18:56:58', NULL, NULL), (70690, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 18:56:58', NULL, NULL), (70691, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 18:56:58', NULL, NULL), (70692, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 18:56:58', NULL, NULL), (70693, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 18:56:58', NULL, NULL), (70694, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 18:56:58', NULL, NULL), (70695, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 18:56:58', NULL, NULL), (70696, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 18:56:58', NULL, NULL), (70697, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 18:56:58', NULL, NULL), (70698, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 18:56:58', NULL, NULL), (70699, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 18:56:58', NULL, NULL), (70700, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 18:56:58', NULL, NULL), (70701, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 18:56:58', NULL, NULL), (70702, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 18:56:58', NULL, NULL), (70703, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 18:56:58', NULL, NULL), (70704, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 18:56:58', NULL, NULL), (70705, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 18:56:58', NULL, NULL), (70706, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 18:56:58', NULL, NULL), (70707, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 18:56:58', NULL, NULL), (70708, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 18:56:58', NULL, NULL), (70709, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 18:56:58', NULL, NULL), (70710, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 18:56:58', NULL, NULL), (70711, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 18:56:58', NULL, NULL), (70712, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 18:56:58', NULL, NULL), (70713, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 18:56:58', NULL, NULL), (70714, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 18:56:58', NULL, NULL), (70715, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 18:56:58', NULL, NULL), (70716, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 18:56:58', NULL, NULL), (70717, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 18:56:58', NULL, NULL), (70718, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 18:56:58', NULL, NULL), (70719, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 18:56:58', NULL, NULL), (70720, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 18:56:58', NULL, NULL), (70721, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 18:56:58', NULL, NULL), (70722, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 18:56:58', NULL, NULL), (70723, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 18:56:58', NULL, NULL), (70724, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 18:56:58', NULL, NULL), (70725, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 18:56:58', NULL, NULL), (70726, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 18:56:58', NULL, NULL), (70727, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 18:56:58', NULL, NULL), (70728, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 18:56:58', NULL, NULL), (70729, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 18:56:58', NULL, NULL), (70730, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 18:56:58', NULL, NULL), (70731, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 18:56:58', NULL, NULL), (70732, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 18:56:58', NULL, NULL), (70733, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 18:56:58', NULL, NULL), (70734, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 18:56:58', NULL, NULL), (70735, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 18:56:58', NULL, NULL), (70736, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 18:56:58', NULL, NULL), (70737, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 18:56:58', NULL, NULL), (70738, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 18:56:59', NULL, NULL), (70739, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 18:56:59', NULL, NULL), (70740, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 18:56:59', NULL, NULL), (70741, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 18:56:59', NULL, NULL), (70742, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 18:56:59', NULL, NULL), (70743, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 18:56:59', NULL, NULL), (70744, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 18:56:59', NULL, NULL), (70745, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 18:56:59', NULL, NULL), (70746, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 18:56:59', NULL, NULL), (70747, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 18:56:59', NULL, NULL), (70748, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 18:56:59', NULL, NULL), (70749, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 18:56:59', NULL, NULL), (70750, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 18:56:59', NULL, NULL), (70751, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 18:56:59', NULL, NULL), (70752, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 18:56:59', NULL, NULL), (70753, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 18:56:59', NULL, NULL), (70754, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 18:56:59', NULL, NULL), (70755, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 18:56:59', NULL, NULL), (70756, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 18:56:59', NULL, NULL), (70757, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 18:56:59', NULL, NULL), (70758, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 18:56:59', NULL, NULL), (70759, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 18:56:59', NULL, NULL), (70760, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 18:56:59', NULL, NULL), (70761, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 18:56:59', NULL, NULL), (70762, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 18:56:59', NULL, NULL), (70763, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 18:56:59', NULL, NULL), (70764, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 18:56:59', NULL, NULL), (70765, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 18:56:59', NULL, NULL), (70766, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 18:56:59', NULL, NULL), (70767, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 18:56:59', NULL, NULL), (70768, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 18:56:59', NULL, NULL), (70769, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 18:56:59', NULL, NULL), (70770, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 18:56:59', NULL, NULL), (70771, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 18:56:59', NULL, NULL), (70772, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 18:56:59', NULL, NULL), (70773, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 18:56:59', NULL, NULL), (70774, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 18:56:59', NULL, NULL), (70775, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 18:56:59', NULL, NULL), (70776, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 18:56:59', NULL, NULL), (70777, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 18:56:59', NULL, NULL), (70778, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 18:56:59', NULL, NULL), (70779, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 18:56:59', NULL, NULL), (70780, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 18:56:59', NULL, NULL), (70781, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 18:57:00', NULL, NULL), (70782, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 18:57:00', NULL, NULL), (70783, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 18:57:00', NULL, NULL), (70784, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 18:57:00', NULL, NULL), (70785, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 18:57:00', NULL, NULL), (70786, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 18:57:00', NULL, NULL), (70787, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 18:57:00', NULL, NULL), (70788, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 18:57:00', NULL, NULL), (70789, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 18:57:00', NULL, NULL), (70790, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 18:57:00', NULL, NULL), (70791, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 18:57:00', NULL, NULL), (70792, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 18:57:00', NULL, NULL), (70793, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 18:57:00', NULL, NULL), (70794, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 18:57:00', NULL, NULL), (70795, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 18:57:00', NULL, NULL), (70796, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 18:57:00', NULL, NULL), (70797, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 18:57:00', NULL, NULL), (70798, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 18:57:00', NULL, NULL), (70799, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 18:57:00', NULL, NULL), (70800, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 18:57:00', NULL, NULL), (70801, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 18:57:00', NULL, NULL), (70802, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 18:57:00', NULL, NULL), (70803, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 18:57:00', NULL, NULL), (70804, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 18:57:00', NULL, NULL), (70805, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 18:57:00', NULL, NULL), (70806, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 18:57:00', NULL, NULL), (70807, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 18:57:00', NULL, NULL), (70808, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 18:57:00', NULL, NULL), (70809, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 18:57:00', NULL, NULL), (70810, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 18:57:00', NULL, NULL), (70811, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 18:57:00', NULL, NULL), (70812, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 18:57:00', NULL, NULL), (70813, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 18:57:00', NULL, NULL), (70814, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 18:57:00', NULL, NULL), (70815, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 18:57:00', NULL, NULL), (70816, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 18:57:00', NULL, NULL), (70817, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 18:57:00', NULL, NULL), (70818, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 18:57:00', NULL, NULL), (70819, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 18:57:00', NULL, NULL), (70820, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 18:57:01', NULL, NULL), (70821, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 18:57:01', NULL, NULL), (70822, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 18:57:01', NULL, NULL), (70823, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 18:57:01', NULL, NULL), (70824, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 18:57:01', NULL, NULL), (70825, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 18:57:01', NULL, NULL), (70826, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 18:57:01', NULL, NULL), (70827, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 18:57:01', NULL, NULL), (70828, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 18:57:01', NULL, NULL), (70829, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 18:57:01', NULL, NULL), (70830, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 18:57:01', NULL, NULL), (70831, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 18:57:01', NULL, NULL), (70832, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 18:57:01', NULL, NULL), (70833, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 18:57:01', NULL, NULL), (70834, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 18:57:01', NULL, NULL), (70835, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 18:57:01', NULL, NULL), (70836, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 18:57:01', NULL, NULL), (70837, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 18:57:01', NULL, NULL), (70838, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 18:57:01', NULL, NULL), (70839, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 18:57:01', NULL, NULL), (70840, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 18:57:01', NULL, NULL), (70841, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 18:57:01', NULL, NULL), (70842, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 18:57:01', NULL, NULL), (70843, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 18:57:01', NULL, NULL), (70844, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 18:57:01', NULL, NULL), (70845, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 18:57:01', NULL, NULL), (70846, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 18:57:01', NULL, NULL), (70847, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 18:57:01', NULL, NULL), (70848, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 18:57:01', NULL, NULL), (70849, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 18:57:01', NULL, NULL), (70850, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 18:57:01', NULL, NULL), (70851, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 18:57:01', NULL, NULL), (70852, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 18:57:01', NULL, NULL), (70853, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 18:57:01', NULL, NULL), (70854, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 18:57:01', NULL, NULL), (70855, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 18:57:01', NULL, NULL), (70856, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 18:57:01', NULL, NULL), (70857, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 18:57:01', NULL, NULL), (70858, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 18:57:02', NULL, NULL), (70859, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 18:57:02', NULL, NULL), (70860, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 18:57:02', NULL, NULL), (70861, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 18:57:02', NULL, NULL), (70862, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 18:57:02', NULL, NULL), (70863, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 18:57:02', NULL, NULL), (70864, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 18:57:02', NULL, NULL), (70865, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 18:57:02', NULL, NULL), (70866, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 18:57:02', NULL, NULL), (70867, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 18:57:02', NULL, NULL), (70868, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 18:57:02', NULL, NULL), (70869, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 18:57:02', NULL, NULL), (70870, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 18:57:02', NULL, NULL), (70871, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 18:57:02', NULL, NULL), (70872, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 18:57:02', NULL, NULL), (70873, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 18:57:02', NULL, NULL), (70874, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 18:57:02', NULL, NULL), (70875, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 18:57:02', NULL, NULL), (70876, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 18:57:02', NULL, NULL), (70877, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 18:57:02', NULL, NULL), (70878, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 18:57:02', NULL, NULL), (70879, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 18:57:02', NULL, NULL), (70880, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 18:57:02', NULL, NULL), (70881, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 18:57:02', NULL, NULL), (70882, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 18:57:02', NULL, NULL), (70883, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 18:57:02', NULL, NULL), (70884, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 18:57:02', NULL, NULL), (70885, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 18:57:02', NULL, NULL), (70886, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 18:57:02', NULL, NULL), (70887, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 18:57:02', NULL, NULL), (70888, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 18:57:02', NULL, NULL), (70889, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 18:57:02', NULL, NULL), (70890, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 18:57:02', NULL, NULL), (70891, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 18:57:02', NULL, NULL), (70892, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 18:57:02', NULL, NULL), (70893, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 18:57:02', NULL, NULL), (70894, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 18:57:02', NULL, NULL), (70895, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 18:57:02', NULL, NULL), (70896, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 18:57:03', NULL, NULL), (70897, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 18:57:03', NULL, NULL), (70898, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 18:57:03', NULL, NULL), (70899, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 18:57:03', NULL, NULL), (70900, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 18:57:03', NULL, NULL), (70901, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 18:57:03', NULL, NULL), (70902, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 18:57:03', NULL, NULL), (70903, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 18:57:03', NULL, NULL), (70904, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 18:57:03', NULL, NULL), (70905, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 18:57:03', NULL, NULL), (70906, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 18:57:03', NULL, NULL), (70907, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 18:57:03', NULL, NULL), (70908, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 18:57:03', NULL, NULL), (70909, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 18:57:03', NULL, NULL), (70910, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 18:57:03', NULL, NULL), (70911, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 18:57:03', NULL, NULL), (70912, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 18:57:03', NULL, NULL), (70913, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 18:57:03', NULL, NULL), (70914, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 18:57:03', NULL, NULL), (70915, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 18:57:03', NULL, NULL), (70916, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 18:57:03', NULL, NULL), (70917, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 18:57:03', NULL, NULL), (70918, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 18:57:03', NULL, NULL), (70919, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 18:57:03', NULL, NULL), (70920, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 18:57:03', NULL, NULL), (70921, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 18:57:03', NULL, NULL), (70922, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 18:57:03', NULL, NULL), (70923, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 18:57:03', NULL, NULL), (70924, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 18:57:03', NULL, NULL), (70925, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 18:57:03', NULL, NULL), (70926, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 18:57:03', NULL, NULL), (70927, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 18:57:03', NULL, NULL), (70928, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 18:57:03', NULL, NULL), (70929, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 18:57:03', NULL, NULL), (70930, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 18:57:03', NULL, NULL), (70931, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 18:57:03', NULL, NULL), (70932, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 18:57:03', NULL, NULL), (70933, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 18:57:03', NULL, NULL), (70934, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 18:57:04', NULL, NULL), (70935, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 18:57:04', NULL, NULL), (70936, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 18:57:04', NULL, NULL), (70937, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 18:57:04', NULL, NULL), (70938, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 18:57:04', NULL, NULL), (70939, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 18:57:04', NULL, NULL), (70940, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 18:57:04', NULL, NULL), (70941, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 18:57:04', NULL, NULL), (70942, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 18:57:04', NULL, NULL), (70943, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 18:57:04', NULL, NULL), (70944, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 18:57:04', NULL, NULL), (70945, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 18:57:04', NULL, NULL), (70946, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 18:57:04', NULL, NULL), (70947, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 18:57:04', NULL, NULL), (70948, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 18:57:04', NULL, NULL), (70949, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 18:57:04', NULL, NULL), (70950, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 18:57:04', NULL, NULL), (70951, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 18:57:04', NULL, NULL), (70952, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 18:57:04', NULL, NULL), (70953, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 18:57:04', NULL, NULL), (70954, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 18:57:04', NULL, NULL), (70955, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 18:57:04', NULL, NULL), (70956, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 18:57:04', NULL, NULL), (70957, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 18:57:04', NULL, NULL), (70958, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 18:57:04', 1, '2024-08-05 22:12:25'), (70959, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 18:57:04', 1, '2024-08-06 02:01:38'), (70960, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 18:57:04', 1, '2024-08-07 01:00:24'), (70961, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 18:57:04', 1, '2024-08-08 01:00:30'), (70962, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 18:57:04', 1, '2024-08-09 01:00:24'), (70963, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 19:09:06', NULL, NULL), (70964, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 19:09:06', NULL, NULL), (70965, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 19:09:06', NULL, NULL), (70966, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 19:09:06', NULL, NULL), (70967, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 19:09:06', NULL, NULL), (70968, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 19:09:06', NULL, NULL), (70969, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 19:09:06', NULL, NULL), (70970, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 19:09:06', NULL, NULL), (70971, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 19:09:06', NULL, NULL), (70972, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 19:09:06', NULL, NULL), (70973, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 19:09:06', NULL, NULL), (70974, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 19:09:06', NULL, NULL), (70975, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 19:09:06', NULL, NULL), (70976, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 19:09:06', NULL, NULL), (70977, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 19:09:06', NULL, NULL), (70978, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 19:09:06', NULL, NULL), (70979, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 19:09:06', NULL, NULL), (70980, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 19:09:06', NULL, NULL), (70981, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 19:09:06', NULL, NULL), (70982, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 19:09:06', NULL, NULL), (70983, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 19:09:06', NULL, NULL), (70984, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 19:09:06', NULL, NULL), (70985, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 19:09:06', NULL, NULL), (70986, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 19:09:06', NULL, NULL), (70987, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 19:09:06', NULL, NULL), (70988, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 19:09:06', NULL, NULL), (70989, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 19:09:06', NULL, NULL), (70990, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 19:09:06', NULL, NULL), (70991, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 19:09:06', NULL, NULL), (70992, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 19:09:06', NULL, NULL), (70993, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 19:09:06', NULL, NULL), (70994, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 19:09:06', NULL, NULL), (70995, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 19:09:06', NULL, NULL), (70996, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 19:09:06', NULL, NULL), (70997, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 19:09:06', NULL, NULL), (70998, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 19:09:06', NULL, NULL), (70999, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 19:09:06', NULL, NULL), (71000, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 19:09:06', NULL, NULL), (71001, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 19:09:07', NULL, NULL), (71002, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 19:09:07', NULL, NULL), (71003, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 19:09:07', NULL, NULL), (71004, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 19:09:07', NULL, NULL), (71005, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 19:09:07', NULL, NULL), (71006, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 19:09:07', NULL, NULL), (71007, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 19:09:07', NULL, NULL), (71008, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 19:09:07', NULL, NULL), (71009, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 19:09:07', NULL, NULL), (71010, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 19:09:07', NULL, NULL), (71011, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 19:09:07', NULL, NULL), (71012, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 19:09:07', NULL, NULL), (71013, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 19:09:07', NULL, NULL), (71014, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 19:09:07', NULL, NULL), (71015, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 19:09:07', NULL, NULL), (71016, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 19:09:07', NULL, NULL), (71017, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 19:09:07', NULL, NULL), (71018, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 19:09:07', NULL, NULL), (71019, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 19:09:07', NULL, NULL), (71020, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 19:09:07', NULL, NULL), (71021, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 19:09:07', NULL, NULL), (71022, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 19:09:07', NULL, NULL), (71023, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 19:09:07', NULL, NULL), (71024, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 19:09:07', NULL, NULL), (71025, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 19:09:07', NULL, NULL), (71026, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 19:09:07', NULL, NULL), (71027, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 19:09:07', NULL, NULL), (71028, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 19:09:07', NULL, NULL), (71029, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 19:09:07', NULL, NULL), (71030, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 19:09:07', NULL, NULL), (71031, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 19:09:07', NULL, NULL), (71032, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 19:09:07', NULL, NULL), (71033, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 19:09:07', NULL, NULL), (71034, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 19:09:07', NULL, NULL), (71035, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 19:09:07', NULL, NULL), (71036, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 19:09:07', NULL, NULL), (71037, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 19:09:07', NULL, NULL), (71038, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 19:09:07', NULL, NULL), (71039, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 19:09:07', NULL, NULL), (71040, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 19:09:07', NULL, NULL), (71041, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 19:09:07', NULL, NULL), (71042, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 19:09:07', NULL, NULL), (71043, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 19:09:07', NULL, NULL), (71044, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 19:09:07', NULL, NULL), (71045, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 19:09:07', NULL, NULL), (71046, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 19:09:07', NULL, NULL), (71047, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 19:09:07', NULL, NULL), (71048, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 19:09:07', NULL, NULL), (71049, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 19:09:07', NULL, NULL), (71050, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 19:09:07', NULL, NULL), (71051, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 19:09:07', NULL, NULL), (71052, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 19:09:07', NULL, NULL), (71053, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 19:09:07', NULL, NULL), (71054, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 19:09:07', NULL, NULL), (71055, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 19:09:07', NULL, NULL), (71056, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 19:09:07', NULL, NULL), (71057, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 19:09:07', NULL, NULL), (71058, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 19:09:07', NULL, NULL), (71059, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 19:09:07', NULL, NULL), (71060, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 19:09:07', NULL, NULL), (71061, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 19:09:07', NULL, NULL), (71062, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 19:09:07', NULL, NULL), (71063, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 19:09:07', NULL, NULL), (71064, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 19:09:07', NULL, NULL), (71065, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 19:09:07', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (71066, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 19:09:07', NULL, NULL), (71067, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 19:09:07', NULL, NULL), (71068, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 19:09:07', NULL, NULL), (71069, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 19:09:07', NULL, NULL), (71070, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 19:09:08', NULL, NULL), (71071, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 19:09:08', NULL, NULL), (71072, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 19:09:08', NULL, NULL), (71073, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 19:09:08', NULL, NULL), (71074, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 19:09:08', NULL, NULL), (71075, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 19:09:08', NULL, NULL), (71076, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 19:09:08', NULL, NULL), (71077, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 19:09:08', NULL, NULL), (71078, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 19:09:08', NULL, NULL), (71079, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 19:09:08', NULL, NULL), (71080, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 19:09:08', NULL, NULL), (71081, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 19:09:08', NULL, NULL), (71082, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 19:09:08', NULL, NULL), (71083, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 19:09:08', NULL, NULL), (71084, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 19:09:08', NULL, NULL), (71085, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 19:09:08', NULL, NULL), (71086, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 19:09:08', NULL, NULL), (71087, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 19:09:08', NULL, NULL), (71088, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 19:09:08', NULL, NULL), (71089, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 19:09:08', NULL, NULL), (71090, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 19:09:08', NULL, NULL), (71091, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 19:09:08', NULL, NULL), (71092, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 19:09:08', NULL, NULL), (71093, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 19:09:08', NULL, NULL), (71094, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 19:09:08', NULL, NULL), (71095, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 19:09:08', NULL, NULL), (71096, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 19:09:08', NULL, NULL), (71097, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 19:09:08', NULL, NULL), (71098, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 19:09:08', NULL, NULL), (71099, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 19:09:08', NULL, NULL), (71100, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 19:09:08', NULL, NULL), (71101, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 19:09:08', NULL, NULL), (71102, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 19:09:08', NULL, NULL), (71103, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 19:09:08', NULL, NULL), (71104, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 19:09:08', NULL, NULL), (71105, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 19:09:08', NULL, NULL), (71106, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 19:09:08', NULL, NULL), (71107, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 19:09:08', NULL, NULL), (71108, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 19:09:08', NULL, NULL), (71109, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 19:09:08', NULL, NULL), (71110, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 19:09:08', NULL, NULL), (71111, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 19:09:08', NULL, NULL), (71112, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 19:09:08', NULL, NULL), (71113, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 19:09:08', NULL, NULL), (71114, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 19:09:08', NULL, NULL), (71115, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 19:09:08', NULL, NULL), (71116, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 19:09:08', NULL, NULL), (71117, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 19:09:08', NULL, NULL), (71118, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 19:09:08', NULL, NULL), (71119, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 19:09:08', NULL, NULL), (71120, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 19:09:08', NULL, NULL), (71121, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 19:09:08', NULL, NULL), (71122, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 19:09:08', NULL, NULL), (71123, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 19:09:08', NULL, NULL), (71124, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 19:09:08', NULL, NULL), (71125, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 19:09:08', NULL, NULL), (71126, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 19:09:08', NULL, NULL), (71127, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 19:09:08', NULL, NULL), (71128, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 19:09:08', NULL, NULL), (71129, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 19:09:08', NULL, NULL), (71130, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 19:09:08', NULL, NULL), (71131, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 19:09:08', NULL, NULL), (71132, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 19:09:08', NULL, NULL), (71133, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 19:09:08', NULL, NULL), (71134, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 19:09:08', NULL, NULL), (71135, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 19:09:08', NULL, NULL), (71136, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 19:09:09', NULL, NULL), (71137, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 19:09:09', NULL, NULL), (71138, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 19:09:09', NULL, NULL), (71139, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 19:09:09', NULL, NULL), (71140, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 19:09:09', NULL, NULL), (71141, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 19:09:09', NULL, NULL), (71142, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 19:09:09', NULL, NULL), (71143, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 19:09:09', NULL, NULL), (71144, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 19:09:09', NULL, NULL), (71145, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 19:09:09', NULL, NULL), (71146, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 19:09:09', NULL, NULL), (71147, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 19:09:09', NULL, NULL), (71148, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 19:09:09', NULL, NULL), (71149, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 19:09:09', NULL, NULL), (71150, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 19:09:09', NULL, NULL), (71151, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 19:09:09', NULL, NULL), (71152, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 19:09:09', NULL, NULL), (71153, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 19:09:09', NULL, NULL), (71154, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 19:09:09', NULL, NULL), (71155, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 19:09:09', NULL, NULL), (71156, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 19:09:09', NULL, NULL), (71157, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 19:09:09', NULL, NULL), (71158, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 19:09:09', NULL, NULL), (71159, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 19:09:09', NULL, NULL), (71160, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 19:09:09', NULL, NULL), (71161, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 19:09:09', NULL, NULL), (71162, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 19:09:09', NULL, NULL), (71163, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 19:09:09', NULL, NULL), (71164, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 19:09:09', NULL, NULL), (71165, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 19:09:09', NULL, NULL), (71166, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 19:09:09', NULL, NULL), (71167, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 19:09:09', NULL, NULL), (71168, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 19:09:09', NULL, NULL), (71169, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 19:09:09', NULL, NULL), (71170, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 19:09:09', NULL, NULL), (71171, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 19:09:09', NULL, NULL), (71172, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 19:09:09', NULL, NULL), (71173, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 19:09:09', NULL, NULL), (71174, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 19:09:09', NULL, NULL), (71175, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 19:09:09', NULL, NULL), (71176, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 19:09:09', NULL, NULL), (71177, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 19:09:09', NULL, NULL), (71178, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 19:09:09', NULL, NULL), (71179, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 19:09:09', NULL, NULL), (71180, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 19:09:09', NULL, NULL), (71181, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 19:09:09', NULL, NULL), (71182, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 19:09:09', NULL, NULL), (71183, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 19:09:09', NULL, NULL), (71184, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 19:09:09', NULL, NULL), (71185, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 19:09:09', NULL, NULL), (71186, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 19:09:09', NULL, NULL), (71187, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 19:09:09', NULL, NULL), (71188, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 19:09:09', NULL, NULL), (71189, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 19:09:09', NULL, NULL), (71190, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 19:09:09', NULL, NULL), (71191, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 19:09:09', NULL, NULL), (71192, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 19:09:09', NULL, NULL), (71193, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 19:09:09', NULL, NULL), (71194, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 19:09:09', NULL, NULL), (71195, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 19:09:09', NULL, NULL), (71196, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 19:09:09', NULL, NULL), (71197, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 19:09:09', NULL, NULL), (71198, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 19:09:09', NULL, NULL), (71199, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 19:09:09', NULL, NULL), (71200, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 19:09:10', NULL, NULL), (71201, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 19:09:10', NULL, NULL), (71202, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 19:09:10', NULL, NULL), (71203, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 19:09:10', NULL, NULL), (71204, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 19:09:10', NULL, NULL), (71205, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 19:09:10', NULL, NULL), (71206, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 19:09:10', NULL, NULL), (71207, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 19:09:10', NULL, NULL), (71208, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 19:09:10', NULL, NULL), (71209, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 19:09:10', NULL, NULL), (71210, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 19:09:10', NULL, NULL), (71211, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 19:09:10', NULL, NULL), (71212, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 19:09:10', NULL, NULL), (71213, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 19:09:10', NULL, NULL), (71214, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 19:09:10', NULL, NULL), (71215, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 19:09:10', NULL, NULL), (71216, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 19:09:10', NULL, NULL), (71217, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 19:09:10', NULL, NULL), (71218, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 19:09:10', NULL, NULL), (71219, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 19:09:10', NULL, NULL), (71220, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 19:09:10', NULL, NULL), (71221, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 19:09:10', NULL, NULL), (71222, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 19:09:10', NULL, NULL), (71223, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 19:09:10', NULL, NULL), (71224, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 19:09:10', NULL, NULL), (71225, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 19:09:10', NULL, NULL), (71226, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 19:09:10', NULL, NULL), (71227, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 19:09:10', NULL, NULL), (71228, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 19:09:10', NULL, NULL), (71229, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 19:09:10', NULL, NULL), (71230, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 19:09:10', NULL, NULL), (71231, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 19:09:10', NULL, NULL), (71232, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 19:09:10', NULL, NULL), (71233, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 19:09:10', NULL, NULL), (71234, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 19:09:10', NULL, NULL), (71235, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 19:09:10', NULL, NULL), (71236, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 19:09:10', NULL, NULL), (71237, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 19:09:10', NULL, NULL), (71238, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 19:09:10', NULL, NULL), (71239, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 19:09:10', NULL, NULL), (71240, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 19:09:10', NULL, NULL), (71241, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 19:09:10', NULL, NULL), (71242, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 19:09:10', NULL, NULL), (71243, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 19:09:10', NULL, NULL), (71244, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 19:09:10', NULL, NULL), (71245, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 19:09:10', NULL, NULL), (71246, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 19:09:10', NULL, NULL), (71247, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 19:09:10', NULL, NULL), (71248, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 19:09:10', NULL, NULL), (71249, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 19:09:10', NULL, NULL), (71250, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 19:09:10', NULL, NULL), (71251, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 19:09:10', NULL, NULL), (71252, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 19:09:10', NULL, NULL), (71253, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 19:09:10', NULL, NULL), (71254, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 19:09:10', NULL, NULL), (71255, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 19:09:10', NULL, NULL), (71256, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 19:09:10', NULL, NULL), (71257, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 19:09:10', NULL, NULL), (71258, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 19:09:10', NULL, NULL), (71259, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 19:09:10', NULL, NULL), (71260, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 19:09:10', NULL, NULL), (71261, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 19:09:10', NULL, NULL), (71262, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 19:09:10', NULL, NULL), (71263, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 19:09:10', NULL, NULL), (71264, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 19:09:10', NULL, NULL), (71265, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 19:09:10', NULL, NULL), (71266, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 19:09:10', NULL, NULL), (71267, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 19:09:10', NULL, NULL), (71268, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 19:09:10', NULL, NULL), (71269, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 19:09:10', NULL, NULL), (71270, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 19:09:10', NULL, NULL), (71271, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 19:09:10', NULL, NULL), (71272, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 19:09:10', NULL, NULL), (71273, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 19:09:10', NULL, NULL), (71274, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 19:09:10', NULL, NULL), (71275, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 19:09:10', NULL, NULL), (71276, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 19:09:10', NULL, NULL), (71277, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 19:09:10', NULL, NULL), (71278, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 19:09:10', NULL, NULL), (71279, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 19:09:10', NULL, NULL), (71280, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 19:09:10', NULL, NULL), (71281, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 19:09:10', NULL, NULL), (71282, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 19:09:10', NULL, NULL), (71283, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 19:09:10', NULL, NULL), (71284, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 19:09:10', NULL, NULL), (71285, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 19:09:10', NULL, NULL), (71286, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 19:09:10', NULL, NULL), (71287, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 19:09:10', NULL, NULL), (71288, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 19:09:10', NULL, NULL), (71289, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 19:09:10', NULL, NULL), (71290, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 19:09:10', NULL, NULL), (71291, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 19:09:10', NULL, NULL), (71292, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 19:09:10', NULL, NULL), (71293, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 19:09:10', NULL, NULL), (71294, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 19:09:10', NULL, NULL), (71295, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 19:09:10', NULL, NULL), (71296, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 19:09:10', NULL, NULL), (71297, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 19:09:10', NULL, NULL), (71298, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 19:09:10', NULL, NULL), (71299, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 19:09:10', NULL, NULL), (71300, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 19:09:10', NULL, NULL), (71301, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 19:09:10', NULL, NULL), (71302, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 19:09:10', NULL, NULL), (71303, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 19:09:11', NULL, NULL), (71304, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 19:09:11', NULL, NULL), (71305, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 19:09:11', NULL, NULL), (71306, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 19:09:11', NULL, NULL), (71307, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 19:09:11', NULL, NULL), (71308, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 19:09:11', NULL, NULL), (71309, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 19:09:11', NULL, NULL), (71310, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 19:09:11', NULL, NULL), (71311, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 19:09:11', NULL, NULL), (71312, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 19:09:11', NULL, NULL), (71313, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 19:09:11', NULL, NULL), (71314, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 19:09:11', NULL, NULL), (71315, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 19:09:11', NULL, NULL), (71316, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 19:09:11', NULL, NULL), (71317, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 19:09:11', NULL, NULL), (71318, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 19:09:11', NULL, NULL), (71319, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 19:09:11', NULL, NULL), (71320, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 19:09:11', NULL, NULL), (71321, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 19:09:11', NULL, NULL), (71322, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 19:09:11', NULL, NULL), (71323, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 19:09:11', NULL, NULL), (71324, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 19:09:11', NULL, NULL), (71325, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 19:09:11', NULL, NULL), (71326, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 19:09:11', NULL, NULL), (71327, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 19:09:11', NULL, NULL), (71328, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 19:09:11', NULL, NULL), (71329, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 19:09:11', NULL, NULL), (71330, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 19:09:11', NULL, NULL), (71331, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 19:09:11', NULL, NULL), (71332, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 19:09:11', NULL, NULL), (71333, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 19:09:11', NULL, NULL), (71334, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 19:09:11', NULL, NULL), (71335, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 19:09:11', NULL, NULL), (71336, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 19:09:11', NULL, NULL), (71337, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 19:09:11', NULL, NULL), (71338, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 19:09:11', NULL, NULL), (71339, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 19:09:11', NULL, NULL), (71340, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 19:09:11', NULL, NULL), (71341, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 19:09:11', NULL, NULL), (71342, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 19:09:11', NULL, NULL), (71343, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 19:09:11', NULL, NULL), (71344, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 19:09:11', NULL, NULL), (71345, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 19:09:11', NULL, NULL), (71346, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 19:09:11', NULL, NULL), (71347, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 19:09:11', NULL, NULL), (71348, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 19:09:11', NULL, NULL), (71349, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 19:09:11', NULL, NULL), (71350, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 19:09:11', NULL, NULL), (71351, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 19:09:11', NULL, NULL), (71352, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 19:09:11', NULL, NULL), (71353, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 19:09:11', NULL, NULL), (71354, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 19:09:11', NULL, NULL), (71355, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 19:09:11', NULL, NULL), (71356, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 19:09:11', NULL, NULL), (71357, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 19:09:11', NULL, NULL), (71358, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 19:09:11', NULL, NULL), (71359, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 19:09:11', NULL, NULL), (71360, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 19:09:11', NULL, NULL), (71361, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 19:09:11', NULL, NULL), (71362, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 19:09:12', NULL, NULL), (71363, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 19:09:12', NULL, NULL), (71364, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 19:09:12', NULL, NULL), (71365, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 19:09:12', NULL, NULL), (71366, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 19:09:12', NULL, NULL), (71367, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 19:09:12', NULL, NULL), (71368, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 19:09:12', NULL, NULL), (71369, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 19:09:12', NULL, NULL), (71370, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 19:09:12', NULL, NULL), (71371, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 19:09:12', NULL, NULL), (71372, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 19:09:12', NULL, NULL), (71373, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 19:09:12', NULL, NULL), (71374, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 19:09:12', NULL, NULL), (71375, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 19:09:12', NULL, NULL), (71376, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 19:09:12', NULL, NULL), (71377, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 19:09:12', NULL, NULL), (71378, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 19:09:12', NULL, NULL), (71379, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 19:09:12', NULL, NULL), (71380, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 19:09:12', NULL, NULL), (71381, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 19:09:12', NULL, NULL), (71382, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 19:09:12', NULL, NULL), (71383, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 19:09:12', NULL, NULL), (71384, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 19:09:12', NULL, NULL), (71385, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 19:09:12', NULL, NULL), (71386, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 19:09:12', NULL, NULL), (71387, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 19:09:12', NULL, NULL), (71388, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 19:09:12', NULL, NULL), (71389, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 19:09:12', NULL, NULL), (71390, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 19:09:12', NULL, NULL), (71391, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 19:09:12', NULL, NULL), (71392, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 19:09:12', NULL, NULL), (71393, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 19:09:12', NULL, NULL), (71394, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 19:09:12', NULL, NULL), (71395, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 19:09:12', NULL, NULL), (71396, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 19:09:12', NULL, NULL), (71397, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 19:09:12', NULL, NULL), (71398, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 19:09:12', NULL, NULL), (71399, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 19:09:12', NULL, NULL), (71400, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 19:09:12', NULL, NULL), (71401, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 19:09:12', NULL, NULL), (71402, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 19:09:12', NULL, NULL), (71403, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 19:09:12', NULL, NULL), (71404, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 19:09:12', NULL, NULL), (71405, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 19:09:12', NULL, NULL), (71406, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 19:09:12', NULL, NULL), (71407, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 19:09:12', NULL, NULL), (71408, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 19:09:12', NULL, NULL), (71409, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 19:09:12', NULL, NULL), (71410, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 19:09:12', NULL, NULL), (71411, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 19:09:12', NULL, NULL), (71412, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 19:09:12', NULL, NULL), (71413, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 19:09:12', NULL, NULL), (71414, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 19:09:13', NULL, NULL), (71415, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 19:09:13', NULL, NULL), (71416, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 19:09:13', NULL, NULL), (71417, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 19:09:13', NULL, NULL), (71418, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 19:09:13', NULL, NULL), (71419, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 19:09:13', NULL, NULL), (71420, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 19:09:13', NULL, NULL), (71421, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 19:09:13', NULL, NULL), (71422, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 19:09:13', NULL, NULL), (71423, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 19:09:13', NULL, NULL), (71424, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 19:09:13', NULL, NULL), (71425, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 19:09:13', NULL, NULL), (71426, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 19:09:13', NULL, NULL), (71427, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 19:09:13', NULL, NULL), (71428, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 19:09:13', NULL, NULL), (71429, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 19:09:13', NULL, NULL), (71430, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 19:09:13', NULL, NULL), (71431, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 19:09:13', NULL, NULL), (71432, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 19:09:13', NULL, NULL), (71433, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 19:09:13', NULL, NULL), (71434, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 19:09:13', NULL, NULL), (71435, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 19:09:13', NULL, NULL), (71436, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 19:09:13', NULL, NULL), (71437, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 19:09:13', NULL, NULL), (71438, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 19:09:13', NULL, NULL), (71439, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 19:09:13', NULL, NULL), (71440, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 19:09:13', NULL, NULL), (71441, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 19:09:13', NULL, NULL), (71442, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 19:09:13', NULL, NULL), (71443, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 19:09:13', NULL, NULL), (71444, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 19:09:13', NULL, NULL), (71445, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 19:09:13', NULL, NULL), (71446, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 19:09:13', NULL, NULL), (71447, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 19:09:13', NULL, NULL), (71448, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 19:09:13', NULL, NULL), (71449, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 19:09:13', NULL, NULL), (71450, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 19:09:13', NULL, NULL), (71451, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 19:09:13', NULL, NULL), (71452, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 19:09:13', NULL, NULL), (71453, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 19:09:13', NULL, NULL), (71454, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 19:09:13', NULL, NULL), (71455, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 19:09:13', NULL, NULL), (71456, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 19:09:13', NULL, NULL), (71457, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 19:09:13', NULL, NULL), (71458, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 19:09:13', NULL, NULL), (71459, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 19:09:13', NULL, NULL), (71460, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 19:09:13', NULL, NULL), (71461, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 19:09:13', NULL, NULL), (71462, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 19:09:13', NULL, NULL), (71463, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 19:09:14', NULL, NULL), (71464, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 19:09:14', NULL, NULL), (71465, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 19:09:14', NULL, NULL), (71466, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 19:09:14', NULL, NULL), (71467, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 19:09:14', NULL, NULL), (71468, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 19:09:14', NULL, NULL), (71469, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 19:09:14', NULL, NULL), (71470, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 19:09:14', NULL, NULL), (71471, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 19:09:14', NULL, NULL), (71472, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 19:09:14', NULL, NULL), (71473, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 19:09:14', NULL, NULL), (71474, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 19:09:14', NULL, NULL), (71475, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 19:09:14', NULL, NULL), (71476, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 19:09:14', NULL, NULL), (71477, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 19:09:14', NULL, NULL), (71478, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 19:09:14', NULL, NULL), (71479, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 19:09:14', NULL, NULL), (71480, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 19:09:14', NULL, NULL), (71481, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 19:09:14', NULL, NULL), (71482, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 19:09:14', NULL, NULL), (71483, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 19:09:14', NULL, NULL), (71484, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 19:09:14', NULL, NULL), (71485, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 19:09:14', NULL, NULL), (71486, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 19:09:14', NULL, NULL), (71487, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 19:09:14', NULL, NULL), (71488, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 19:09:14', NULL, NULL), (71489, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 19:09:14', NULL, NULL), (71490, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 19:09:14', NULL, NULL), (71491, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 19:09:14', NULL, NULL), (71492, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 19:09:14', NULL, NULL), (71493, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 19:09:14', NULL, NULL), (71494, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 19:09:14', NULL, NULL), (71495, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 19:09:14', NULL, NULL), (71496, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 19:09:14', NULL, NULL), (71497, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 19:09:14', NULL, NULL), (71498, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 19:09:14', NULL, NULL), (71499, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 19:09:14', NULL, NULL), (71500, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 19:09:14', NULL, NULL), (71501, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 19:09:14', NULL, NULL), (71502, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 19:09:14', NULL, NULL), (71503, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 19:09:14', NULL, NULL), (71504, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 19:09:14', NULL, NULL), (71505, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 19:09:14', NULL, NULL), (71506, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 19:09:14', NULL, NULL), (71507, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 19:09:14', NULL, NULL), (71508, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 19:09:14', NULL, NULL), (71509, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 19:09:14', NULL, NULL), (71510, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 19:09:14', NULL, NULL), (71511, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 19:09:14', NULL, NULL), (71512, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 19:09:14', NULL, NULL), (71513, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 19:09:15', NULL, NULL), (71514, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 19:09:15', NULL, NULL), (71515, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 19:09:15', NULL, NULL), (71516, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 19:09:15', NULL, NULL), (71517, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 19:09:15', NULL, NULL), (71518, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 19:09:15', NULL, NULL), (71519, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 19:09:15', NULL, NULL), (71520, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 19:09:15', NULL, NULL), (71521, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 19:09:15', NULL, NULL), (71522, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 19:09:15', NULL, NULL), (71523, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 19:09:15', NULL, NULL), (71524, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 19:09:15', NULL, NULL), (71525, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 19:09:15', NULL, NULL), (71526, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 19:09:15', NULL, NULL), (71527, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 19:09:15', NULL, NULL), (71528, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 19:09:15', NULL, NULL), (71529, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 19:09:15', NULL, NULL), (71530, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 19:09:15', NULL, NULL), (71531, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 19:09:15', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (71532, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 19:09:15', NULL, NULL), (71533, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 19:09:15', NULL, NULL), (71534, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 19:09:15', NULL, NULL), (71535, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 19:09:15', NULL, NULL), (71536, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 19:09:15', NULL, NULL), (71537, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 19:09:15', NULL, NULL), (71538, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 19:09:15', NULL, NULL), (71539, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 19:09:15', NULL, NULL), (71540, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 19:09:15', NULL, NULL), (71541, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 19:09:15', 1, '2024-08-05 22:12:28'), (71542, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 19:09:15', 1, '2024-08-06 02:01:38'), (71543, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 19:09:15', 1, '2024-08-07 01:00:24'), (71544, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 19:09:15', 1, '2024-08-08 01:00:31'), (71545, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 19:09:15', 1, '2024-08-09 01:00:25'), (71546, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 19:21:32', NULL, NULL), (71547, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 19:21:32', NULL, NULL), (71548, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 19:21:32', NULL, NULL), (71549, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 19:21:32', NULL, NULL), (71550, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 19:21:32', NULL, NULL), (71551, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 19:21:32', NULL, NULL), (71552, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 19:21:32', NULL, NULL), (71553, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 19:21:32', NULL, NULL), (71554, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 19:21:32', NULL, NULL), (71555, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 19:21:32', NULL, NULL), (71556, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 19:21:32', NULL, NULL), (71557, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 19:21:32', NULL, NULL), (71558, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 19:21:32', NULL, NULL), (71559, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 19:21:32', NULL, NULL), (71560, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 19:21:32', NULL, NULL), (71561, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 19:21:32', NULL, NULL), (71562, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 19:21:32', NULL, NULL), (71563, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 19:21:32', NULL, NULL), (71564, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 19:21:32', NULL, NULL), (71565, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 19:21:32', NULL, NULL), (71566, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 19:21:32', NULL, NULL), (71567, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 19:21:32', NULL, NULL), (71568, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 19:21:32', NULL, NULL), (71569, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 19:21:32', NULL, NULL), (71570, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 19:21:32', NULL, NULL), (71571, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 19:21:33', NULL, NULL), (71572, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 19:21:33', NULL, NULL), (71573, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 19:21:33', NULL, NULL), (71574, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 19:21:33', NULL, NULL), (71575, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 19:21:33', NULL, NULL), (71576, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 19:21:33', NULL, NULL), (71577, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 19:21:33', NULL, NULL), (71578, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 19:21:33', NULL, NULL), (71579, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 19:21:33', NULL, NULL), (71580, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 19:21:33', NULL, NULL), (71581, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 19:21:33', NULL, NULL), (71582, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 19:21:33', NULL, NULL), (71583, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 19:21:33', NULL, NULL), (71584, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 19:21:33', NULL, NULL), (71585, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 19:21:33', NULL, NULL), (71586, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 19:21:33', NULL, NULL), (71587, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 19:21:33', NULL, NULL), (71588, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 19:21:33', NULL, NULL), (71589, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 19:21:33', NULL, NULL), (71590, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 19:21:33', NULL, NULL), (71591, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 19:21:33', NULL, NULL), (71592, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 19:21:33', NULL, NULL), (71593, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 19:21:33', NULL, NULL), (71594, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 19:21:33', NULL, NULL), (71595, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 19:21:33', NULL, NULL), (71596, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 19:21:33', NULL, NULL), (71597, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 19:21:33', NULL, NULL), (71598, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 19:21:33', NULL, NULL), (71599, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 19:21:33', NULL, NULL), (71600, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 19:21:33', NULL, NULL), (71601, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 19:21:33', NULL, NULL), (71602, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 19:21:33', NULL, NULL), (71603, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 19:21:33', NULL, NULL), (71604, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 19:21:33', NULL, NULL), (71605, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 19:21:33', NULL, NULL), (71606, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 19:21:33', NULL, NULL), (71607, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 19:21:33', NULL, NULL), (71608, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 19:21:33', NULL, NULL), (71609, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 19:21:33', NULL, NULL), (71610, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 19:21:33', NULL, NULL), (71611, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 19:21:33', NULL, NULL), (71612, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 19:21:33', NULL, NULL), (71613, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 19:21:33', NULL, NULL), (71614, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 19:21:33', NULL, NULL), (71615, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 19:21:33', NULL, NULL), (71616, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 19:21:33', NULL, NULL), (71617, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 19:21:33', NULL, NULL), (71618, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 19:21:33', NULL, NULL), (71619, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 19:21:33', NULL, NULL), (71620, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 19:21:33', NULL, NULL), (71621, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 19:21:33', NULL, NULL), (71622, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 19:21:33', NULL, NULL), (71623, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 19:21:33', NULL, NULL), (71624, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 19:21:33', NULL, NULL), (71625, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 19:21:33', NULL, NULL), (71626, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 19:21:33', NULL, NULL), (71627, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 19:21:33', NULL, NULL), (71628, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 19:21:33', NULL, NULL), (71629, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 19:21:33', NULL, NULL), (71630, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 19:21:33', NULL, NULL), (71631, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 19:21:33', NULL, NULL), (71632, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 19:21:33', NULL, NULL), (71633, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 19:21:33', NULL, NULL), (71634, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 19:21:33', NULL, NULL), (71635, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 19:21:33', NULL, NULL), (71636, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 19:21:33', NULL, NULL), (71637, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 19:21:33', NULL, NULL), (71638, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 19:21:33', NULL, NULL), (71639, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 19:21:33', NULL, NULL), (71640, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 19:21:33', NULL, NULL), (71641, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 19:21:33', NULL, NULL), (71642, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 19:21:33', NULL, NULL), (71643, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 19:21:33', NULL, NULL), (71644, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 19:21:33', NULL, NULL), (71645, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 19:21:33', NULL, NULL), (71646, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 19:21:33', NULL, NULL), (71647, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 19:21:33', NULL, NULL), (71648, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 19:21:33', NULL, NULL), (71649, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 19:21:33', NULL, NULL), (71650, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 19:21:33', NULL, NULL), (71651, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 19:21:33', NULL, NULL), (71652, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 19:21:34', NULL, NULL), (71653, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 19:21:34', NULL, NULL), (71654, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 19:21:34', NULL, NULL), (71655, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 19:21:34', NULL, NULL), (71656, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 19:21:34', NULL, NULL), (71657, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 19:21:34', NULL, NULL), (71658, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 19:21:34', NULL, NULL), (71659, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 19:21:34', NULL, NULL), (71660, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 19:21:34', NULL, NULL), (71661, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 19:21:34', NULL, NULL), (71662, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 19:21:34', NULL, NULL), (71663, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 19:21:34', NULL, NULL), (71664, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 19:21:34', NULL, NULL), (71665, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 19:21:34', NULL, NULL), (71666, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 19:21:34', NULL, NULL), (71667, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 19:21:34', NULL, NULL), (71668, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 19:21:34', NULL, NULL), (71669, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 19:21:34', NULL, NULL), (71670, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 19:21:34', NULL, NULL), (71671, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 19:21:34', NULL, NULL), (71672, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 19:21:34', NULL, NULL), (71673, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 19:21:34', NULL, NULL), (71674, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 19:21:34', NULL, NULL), (71675, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 19:21:34', NULL, NULL), (71676, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 19:21:34', NULL, NULL), (71677, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 19:21:34', NULL, NULL), (71678, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 19:21:34', NULL, NULL), (71679, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 19:21:34', NULL, NULL), (71680, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 19:21:34', NULL, NULL), (71681, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 19:21:34', NULL, NULL), (71682, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 19:21:34', NULL, NULL), (71683, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 19:21:34', NULL, NULL), (71684, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 19:21:34', NULL, NULL), (71685, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 19:21:34', NULL, NULL), (71686, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 19:21:34', NULL, NULL), (71687, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 19:21:34', NULL, NULL), (71688, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 19:21:34', NULL, NULL), (71689, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 19:21:34', NULL, NULL), (71690, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 19:21:34', NULL, NULL), (71691, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 19:21:34', NULL, NULL), (71692, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 19:21:34', NULL, NULL), (71693, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 19:21:34', NULL, NULL), (71694, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 19:21:34', NULL, NULL), (71695, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 19:21:34', NULL, NULL), (71696, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 19:21:34', NULL, NULL), (71697, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 19:21:34', NULL, NULL), (71698, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 19:21:34', NULL, NULL), (71699, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 19:21:34', NULL, NULL), (71700, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 19:21:34', NULL, NULL), (71701, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 19:21:34', NULL, NULL), (71702, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 19:21:34', NULL, NULL), (71703, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 19:21:34', NULL, NULL), (71704, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 19:21:34', NULL, NULL), (71705, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 19:21:34', NULL, NULL), (71706, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 19:21:34', NULL, NULL), (71707, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 19:21:34', NULL, NULL), (71708, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 19:21:34', NULL, NULL), (71709, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 19:21:34', NULL, NULL), (71710, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 19:21:34', NULL, NULL), (71711, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 19:21:34', NULL, NULL), (71712, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 19:21:34', NULL, NULL), (71713, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 19:21:34', NULL, NULL), (71714, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 19:21:34', NULL, NULL), (71715, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 19:21:34', NULL, NULL), (71716, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 19:21:34', NULL, NULL), (71717, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 19:21:34', NULL, NULL), (71718, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 19:21:34', NULL, NULL), (71719, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 19:21:34', NULL, NULL), (71720, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 19:21:34', NULL, NULL), (71721, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 19:21:34', NULL, NULL), (71722, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 19:21:34', NULL, NULL), (71723, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 19:21:34', NULL, NULL), (71724, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 19:21:34', NULL, NULL), (71725, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 19:21:34', NULL, NULL), (71726, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 19:21:34', NULL, NULL), (71727, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 19:21:34', NULL, NULL), (71728, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 19:21:34', NULL, NULL), (71729, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 19:21:34', NULL, NULL), (71730, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 19:21:35', NULL, NULL), (71731, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 19:21:35', NULL, NULL), (71732, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 19:21:35', NULL, NULL), (71733, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 19:21:35', NULL, NULL), (71734, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 19:21:35', NULL, NULL), (71735, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 19:21:35', NULL, NULL), (71736, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 19:21:35', NULL, NULL), (71737, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 19:21:35', NULL, NULL), (71738, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 19:21:35', NULL, NULL), (71739, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 19:21:35', NULL, NULL), (71740, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 19:21:35', NULL, NULL), (71741, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 19:21:35', NULL, NULL), (71742, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 19:21:35', NULL, NULL), (71743, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 19:21:35', NULL, NULL), (71744, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 19:21:35', NULL, NULL), (71745, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 19:21:35', NULL, NULL), (71746, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 19:21:35', NULL, NULL), (71747, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 19:21:35', NULL, NULL), (71748, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 19:21:35', NULL, NULL), (71749, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 19:21:35', NULL, NULL), (71750, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 19:21:35', NULL, NULL), (71751, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 19:21:35', NULL, NULL), (71752, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 19:21:35', NULL, NULL), (71753, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 19:21:35', NULL, NULL), (71754, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 19:21:35', NULL, NULL), (71755, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 19:21:35', NULL, NULL), (71756, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 19:21:35', NULL, NULL), (71757, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 19:21:35', NULL, NULL), (71758, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 19:21:35', NULL, NULL), (71759, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 19:21:35', NULL, NULL), (71760, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 19:21:35', NULL, NULL), (71761, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 19:21:35', NULL, NULL), (71762, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 19:21:35', NULL, NULL), (71763, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 19:21:35', NULL, NULL), (71764, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 19:21:35', NULL, NULL), (71765, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 19:21:35', NULL, NULL), (71766, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 19:21:35', NULL, NULL), (71767, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 19:21:35', NULL, NULL), (71768, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 19:21:35', NULL, NULL), (71769, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 19:21:35', NULL, NULL), (71770, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 19:21:35', NULL, NULL), (71771, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 19:21:35', NULL, NULL), (71772, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 19:21:35', NULL, NULL), (71773, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 19:21:35', NULL, NULL), (71774, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 19:21:35', NULL, NULL), (71775, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 19:21:35', NULL, NULL), (71776, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 19:21:35', NULL, NULL), (71777, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 19:21:35', NULL, NULL), (71778, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 19:21:35', NULL, NULL), (71779, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 19:21:35', NULL, NULL), (71780, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 19:21:35', NULL, NULL), (71781, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 19:21:35', NULL, NULL), (71782, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 19:21:35', NULL, NULL), (71783, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 19:21:35', NULL, NULL), (71784, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 19:21:35', NULL, NULL), (71785, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 19:21:35', NULL, NULL), (71786, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 19:21:35', NULL, NULL), (71787, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 19:21:35', NULL, NULL), (71788, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 19:21:35', NULL, NULL), (71789, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 19:21:35', NULL, NULL), (71790, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 19:21:35', NULL, NULL), (71791, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 19:21:35', NULL, NULL), (71792, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 19:21:35', NULL, NULL), (71793, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 19:21:35', NULL, NULL), (71794, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 19:21:35', NULL, NULL), (71795, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 19:21:35', NULL, NULL), (71796, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 19:21:35', NULL, NULL), (71797, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 19:21:35', NULL, NULL), (71798, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 19:21:35', NULL, NULL), (71799, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 19:21:35', NULL, NULL), (71800, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 19:21:35', NULL, NULL), (71801, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 19:21:35', NULL, NULL), (71802, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 19:21:35', NULL, NULL), (71803, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 19:21:35', NULL, NULL), (71804, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 19:21:35', NULL, NULL), (71805, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 19:21:35', NULL, NULL), (71806, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 19:21:35', NULL, NULL), (71807, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 19:21:35', NULL, NULL), (71808, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 19:21:35', NULL, NULL), (71809, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 19:21:35', NULL, NULL), (71810, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 19:21:35', NULL, NULL), (71811, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 19:21:35', NULL, NULL), (71812, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 19:21:35', NULL, NULL), (71813, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 19:21:35', NULL, NULL), (71814, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 19:21:35', NULL, NULL), (71815, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 19:21:35', NULL, NULL), (71816, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 19:21:35', NULL, NULL), (71817, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 19:21:35', NULL, NULL), (71818, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 19:21:35', NULL, NULL), (71819, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 19:21:35', NULL, NULL), (71820, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 19:21:35', NULL, NULL), (71821, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 19:21:35', NULL, NULL), (71822, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 19:21:35', NULL, NULL), (71823, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 19:21:35', NULL, NULL), (71824, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 19:21:35', NULL, NULL), (71825, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 19:21:35', NULL, NULL), (71826, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 19:21:35', NULL, NULL), (71827, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 19:21:35', NULL, NULL), (71828, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 19:21:35', NULL, NULL), (71829, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 19:21:35', NULL, NULL), (71830, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 19:21:35', NULL, NULL), (71831, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 19:21:35', NULL, NULL), (71832, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 19:21:35', NULL, NULL), (71833, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 19:21:35', NULL, NULL), (71834, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 19:21:35', NULL, NULL), (71835, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 19:21:36', NULL, NULL), (71836, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 19:21:36', NULL, NULL), (71837, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 19:21:36', NULL, NULL), (71838, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 19:21:36', NULL, NULL), (71839, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 19:21:36', NULL, NULL), (71840, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 19:21:36', NULL, NULL), (71841, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 19:21:36', NULL, NULL), (71842, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 19:21:36', NULL, NULL), (71843, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 19:21:36', NULL, NULL), (71844, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 19:21:36', NULL, NULL), (71845, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 19:21:36', NULL, NULL), (71846, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 19:21:36', NULL, NULL), (71847, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 19:21:36', NULL, NULL), (71848, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 19:21:36', NULL, NULL), (71849, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 19:21:36', NULL, NULL), (71850, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 19:21:36', NULL, NULL), (71851, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 19:21:36', NULL, NULL), (71852, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 19:21:36', NULL, NULL), (71853, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 19:21:36', NULL, NULL), (71854, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 19:21:36', NULL, NULL), (71855, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 19:21:36', NULL, NULL), (71856, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 19:21:36', NULL, NULL), (71857, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 19:21:36', NULL, NULL), (71858, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 19:21:36', NULL, NULL), (71859, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 19:21:36', NULL, NULL), (71860, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 19:21:36', NULL, NULL), (71861, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 19:21:36', NULL, NULL), (71862, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 19:21:36', NULL, NULL), (71863, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 19:21:36', NULL, NULL), (71864, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 19:21:36', NULL, NULL), (71865, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 19:21:36', NULL, NULL), (71866, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 19:21:36', NULL, NULL), (71867, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 19:21:36', NULL, NULL), (71868, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 19:21:36', NULL, NULL), (71869, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 19:21:36', NULL, NULL), (71870, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 19:21:36', NULL, NULL), (71871, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 19:21:36', NULL, NULL), (71872, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 19:21:36', NULL, NULL), (71873, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 19:21:36', NULL, NULL), (71874, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 19:21:36', NULL, NULL), (71875, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 19:21:36', NULL, NULL), (71876, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 19:21:36', NULL, NULL), (71877, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 19:21:36', NULL, NULL), (71878, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 19:21:36', NULL, NULL), (71879, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 19:21:36', NULL, NULL), (71880, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 19:21:36', NULL, NULL), (71881, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 19:21:36', NULL, NULL), (71882, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 19:21:36', NULL, NULL), (71883, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 19:21:36', NULL, NULL), (71884, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 19:21:36', NULL, NULL), (71885, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 19:21:36', NULL, NULL), (71886, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 19:21:36', NULL, NULL), (71887, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 19:21:36', NULL, NULL), (71888, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 19:21:36', NULL, NULL), (71889, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 19:21:36', NULL, NULL), (71890, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 19:21:36', NULL, NULL), (71891, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 19:21:36', NULL, NULL), (71892, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 19:21:36', NULL, NULL), (71893, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 19:21:36', NULL, NULL), (71894, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 19:21:36', NULL, NULL), (71895, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 19:21:36', NULL, NULL), (71896, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 19:21:36', NULL, NULL), (71897, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 19:21:36', NULL, NULL), (71898, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 19:21:36', NULL, NULL), (71899, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 19:21:36', NULL, NULL), (71900, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 19:21:36', NULL, NULL), (71901, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 19:21:36', NULL, NULL), (71902, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 19:21:36', NULL, NULL), (71903, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 19:21:36', NULL, NULL), (71904, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 19:21:36', NULL, NULL), (71905, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 19:21:36', NULL, NULL), (71906, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 19:21:36', NULL, NULL), (71907, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 19:21:36', NULL, NULL), (71908, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 19:21:36', NULL, NULL), (71909, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 19:21:36', NULL, NULL), (71910, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 19:21:36', NULL, NULL), (71911, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 19:21:36', NULL, NULL), (71912, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 19:21:36', NULL, NULL), (71913, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 19:21:36', NULL, NULL), (71914, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 19:21:36', NULL, NULL), (71915, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 19:21:36', NULL, NULL), (71916, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 19:21:36', NULL, NULL), (71917, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 19:21:36', NULL, NULL), (71918, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 19:21:36', NULL, NULL), (71919, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 19:21:36', NULL, NULL), (71920, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 19:21:36', NULL, NULL), (71921, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 19:21:36', NULL, NULL), (71922, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 19:21:36', NULL, NULL), (71923, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 19:21:36', NULL, NULL), (71924, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 19:21:36', NULL, NULL), (71925, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 19:21:37', NULL, NULL), (71926, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 19:21:37', NULL, NULL), (71927, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 19:21:37', NULL, NULL), (71928, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 19:21:37', NULL, NULL), (71929, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 19:21:37', NULL, NULL), (71930, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 19:21:37', NULL, NULL), (71931, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 19:21:37', NULL, NULL), (71932, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 19:21:37', NULL, NULL), (71933, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 19:21:37', NULL, NULL), (71934, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 19:21:37', NULL, NULL), (71935, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 19:21:37', NULL, NULL), (71936, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 19:21:37', NULL, NULL), (71937, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 19:21:37', NULL, NULL), (71938, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 19:21:37', NULL, NULL), (71939, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 19:21:37', NULL, NULL), (71940, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 19:21:37', NULL, NULL), (71941, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 19:21:37', NULL, NULL), (71942, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 19:21:37', NULL, NULL), (71943, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 19:21:37', NULL, NULL), (71944, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 19:21:37', NULL, NULL), (71945, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 19:21:37', NULL, NULL), (71946, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 19:21:37', NULL, NULL), (71947, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 19:21:37', NULL, NULL), (71948, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 19:21:37', NULL, NULL), (71949, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 19:21:37', NULL, NULL), (71950, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 19:21:37', NULL, NULL), (71951, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 19:21:37', NULL, NULL), (71952, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 19:21:37', NULL, NULL), (71953, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 19:21:37', NULL, NULL), (71954, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 19:21:37', NULL, NULL), (71955, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 19:21:37', NULL, NULL), (71956, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 19:21:37', NULL, NULL), (71957, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 19:21:37', NULL, NULL), (71958, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 19:21:37', NULL, NULL), (71959, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 19:21:37', NULL, NULL), (71960, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 19:21:37', NULL, NULL), (71961, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 19:21:37', NULL, NULL), (71962, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 19:21:37', NULL, NULL), (71963, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 19:21:37', NULL, NULL), (71964, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 19:21:37', NULL, NULL), (71965, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 19:21:37', NULL, NULL), (71966, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 19:21:37', NULL, NULL), (71967, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 19:21:37', NULL, NULL), (71968, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 19:21:37', NULL, NULL), (71969, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 19:21:37', NULL, NULL), (71970, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 19:21:37', NULL, NULL), (71971, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 19:21:37', NULL, NULL), (71972, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 19:21:37', NULL, NULL), (71973, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 19:21:37', NULL, NULL), (71974, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 19:21:37', NULL, NULL), (71975, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 19:21:37', NULL, NULL), (71976, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 19:21:37', NULL, NULL), (71977, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 19:21:37', NULL, NULL), (71978, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 19:21:37', NULL, NULL), (71979, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 19:21:37', NULL, NULL), (71980, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 19:21:37', NULL, NULL), (71981, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 19:21:37', NULL, NULL), (71982, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 19:21:37', NULL, NULL), (71983, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 19:21:37', NULL, NULL), (71984, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 19:21:37', NULL, NULL), (71985, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 19:21:37', NULL, NULL), (71986, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 19:21:37', NULL, NULL), (71987, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 19:21:37', NULL, NULL), (71988, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 19:21:38', NULL, NULL), (71989, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 19:21:38', NULL, NULL), (71990, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 19:21:38', NULL, NULL), (71991, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 19:21:38', NULL, NULL), (71992, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 19:21:38', NULL, NULL), (71993, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 19:21:38', NULL, NULL), (71994, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 19:21:38', NULL, NULL), (71995, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 19:21:38', NULL, NULL), (71996, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 19:21:38', NULL, NULL), (71997, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 19:21:38', NULL, NULL), (71998, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 19:21:38', NULL, NULL), (71999, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 19:21:38', NULL, NULL), (72000, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 19:21:38', NULL, NULL), (72001, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 19:21:38', NULL, NULL), (72002, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 19:21:38', NULL, NULL), (72003, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 19:21:38', NULL, NULL), (72004, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 19:21:38', NULL, NULL), (72005, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 19:21:38', NULL, NULL), (72006, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 19:21:38', NULL, NULL), (72007, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 19:21:38', NULL, NULL), (72008, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 19:21:38', NULL, NULL), (72009, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 19:21:38', NULL, NULL), (72010, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 19:21:38', NULL, NULL), (72011, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 19:21:38', NULL, NULL), (72012, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 19:21:38', NULL, NULL), (72013, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 19:21:38', NULL, NULL), (72014, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 19:21:38', NULL, NULL), (72015, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 19:21:38', NULL, NULL), (72016, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 19:21:38', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (72017, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 19:21:38', NULL, NULL), (72018, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 19:21:38', NULL, NULL), (72019, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 19:21:38', NULL, NULL), (72020, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 19:21:38', NULL, NULL), (72021, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 19:21:38', NULL, NULL), (72022, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 19:21:38', NULL, NULL), (72023, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 19:21:38', NULL, NULL), (72024, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 19:21:38', NULL, NULL), (72025, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 19:21:38', NULL, NULL), (72026, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 19:21:38', NULL, NULL), (72027, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 19:21:38', NULL, NULL), (72028, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 19:21:38', NULL, NULL), (72029, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 19:21:38', NULL, NULL), (72030, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 19:21:38', NULL, NULL), (72031, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 19:21:38', NULL, NULL), (72032, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 19:21:38', NULL, NULL), (72033, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 19:21:38', NULL, NULL), (72034, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 19:21:38', NULL, NULL), (72035, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 19:21:38', NULL, NULL), (72036, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 19:21:38', NULL, NULL), (72037, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 19:21:38', NULL, NULL), (72038, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 19:21:38', NULL, NULL), (72039, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 19:21:38', NULL, NULL), (72040, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 19:21:38', NULL, NULL), (72041, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 19:21:38', NULL, NULL), (72042, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 19:21:38', NULL, NULL), (72043, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 19:21:38', NULL, NULL), (72044, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 19:21:38', NULL, NULL), (72045, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 19:21:38', NULL, NULL), (72046, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 19:21:39', NULL, NULL), (72047, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 19:21:39', NULL, NULL), (72048, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 19:21:39', NULL, NULL), (72049, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 19:21:39', NULL, NULL), (72050, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 19:21:39', NULL, NULL), (72051, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 19:21:39', NULL, NULL), (72052, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 19:21:39', NULL, NULL), (72053, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 19:21:39', NULL, NULL), (72054, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 19:21:39', NULL, NULL), (72055, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 19:21:39', NULL, NULL), (72056, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 19:21:39', NULL, NULL), (72057, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 19:21:39', NULL, NULL), (72058, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 19:21:39', NULL, NULL), (72059, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 19:21:39', NULL, NULL), (72060, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 19:21:39', NULL, NULL), (72061, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 19:21:39', NULL, NULL), (72062, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 19:21:39', NULL, NULL), (72063, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 19:21:39', NULL, NULL), (72064, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 19:21:39', NULL, NULL), (72065, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 19:21:39', NULL, NULL), (72066, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 19:21:39', NULL, NULL), (72067, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 19:21:39', NULL, NULL), (72068, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 19:21:39', NULL, NULL), (72069, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 19:21:39', NULL, NULL), (72070, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 19:21:39', NULL, NULL), (72071, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 19:21:39', NULL, NULL), (72072, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 19:21:39', NULL, NULL), (72073, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 19:21:39', NULL, NULL), (72074, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 19:21:39', NULL, NULL), (72075, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 19:21:39', NULL, NULL), (72076, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 19:21:39', NULL, NULL), (72077, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 19:21:39', NULL, NULL), (72078, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 19:21:39', NULL, NULL), (72079, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 19:21:39', NULL, NULL), (72080, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 19:21:39', NULL, NULL), (72081, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 19:21:39', NULL, NULL), (72082, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 19:21:39', NULL, NULL), (72083, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 19:21:39', NULL, NULL), (72084, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 19:21:39', NULL, NULL), (72085, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 19:21:39', NULL, NULL), (72086, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 19:21:39', NULL, NULL), (72087, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 19:21:39', NULL, NULL), (72088, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 19:21:39', NULL, NULL), (72089, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 19:21:39', NULL, NULL), (72090, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 19:21:39', NULL, NULL), (72091, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 19:21:39', NULL, NULL), (72092, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 19:21:39', NULL, NULL), (72093, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 19:21:39', NULL, NULL), (72094, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 19:21:39', NULL, NULL), (72095, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 19:21:39', NULL, NULL), (72096, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 19:21:39', NULL, NULL), (72097, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 19:21:39', NULL, NULL), (72098, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 19:21:39', NULL, NULL), (72099, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 19:21:40', NULL, NULL), (72100, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 19:21:40', NULL, NULL), (72101, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 19:21:40', NULL, NULL), (72102, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 19:21:40', NULL, NULL), (72103, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 19:21:40', NULL, NULL), (72104, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 19:21:40', NULL, NULL), (72105, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 19:21:40', NULL, NULL), (72106, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 19:21:40', NULL, NULL), (72107, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 19:21:40', NULL, NULL), (72108, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 19:21:40', NULL, NULL), (72109, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 19:21:40', NULL, NULL), (72110, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 19:21:40', NULL, NULL), (72111, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 19:21:40', NULL, NULL), (72112, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 19:21:40', NULL, NULL), (72113, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 19:21:40', NULL, NULL), (72114, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 19:21:40', NULL, NULL), (72115, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 19:21:40', NULL, NULL), (72116, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 19:21:40', NULL, NULL), (72117, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 19:21:40', NULL, NULL), (72118, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 19:21:40', NULL, NULL), (72119, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 19:21:40', NULL, NULL), (72120, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 19:21:40', NULL, NULL), (72121, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 19:21:40', NULL, NULL), (72122, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 19:21:40', NULL, NULL), (72123, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 19:21:40', NULL, NULL), (72124, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 19:21:40', 1, '2024-08-05 22:12:33'), (72125, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 19:21:40', 1, '2024-08-06 02:01:47'), (72126, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 19:21:40', 1, '2024-08-07 01:00:26'), (72127, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 19:21:40', 1, '2024-08-08 01:00:31'), (72128, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 19:21:40', 1, '2024-08-09 01:00:25'), (72129, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 19:33:56', NULL, NULL), (72130, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 19:33:56', NULL, NULL), (72131, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 19:33:56', NULL, NULL), (72132, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 19:33:56', NULL, NULL), (72133, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 19:33:56', NULL, NULL), (72134, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 19:33:56', NULL, NULL), (72135, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 19:33:56', NULL, NULL), (72136, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 19:33:56', NULL, NULL), (72137, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 19:33:56', NULL, NULL), (72138, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 19:33:56', NULL, NULL), (72139, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 19:33:56', NULL, NULL), (72140, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 19:33:56', NULL, NULL), (72141, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 19:33:56', NULL, NULL), (72142, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 19:33:56', NULL, NULL), (72143, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 19:33:56', NULL, NULL), (72144, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 19:33:56', NULL, NULL), (72145, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 19:33:56', NULL, NULL), (72146, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 19:33:56', NULL, NULL), (72147, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 19:33:56', NULL, NULL), (72148, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 19:33:56', NULL, NULL), (72149, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 19:33:56', NULL, NULL), (72150, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 19:33:56', NULL, NULL), (72151, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 19:33:56', NULL, NULL), (72152, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 19:33:56', NULL, NULL), (72153, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 19:33:56', NULL, NULL), (72154, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 19:33:56', NULL, NULL), (72155, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 19:33:56', NULL, NULL), (72156, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 19:33:56', NULL, NULL), (72157, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 19:33:56', NULL, NULL), (72158, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 19:33:56', NULL, NULL), (72159, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 19:33:56', NULL, NULL), (72160, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 19:33:56', NULL, NULL), (72161, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 19:33:56', NULL, NULL), (72162, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 19:33:56', NULL, NULL), (72163, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 19:33:56', NULL, NULL), (72164, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 19:33:56', NULL, NULL), (72165, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 19:33:56', NULL, NULL), (72166, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 19:33:56', NULL, NULL), (72167, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 19:33:56', NULL, NULL), (72168, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 19:33:56', NULL, NULL), (72169, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 19:33:56', NULL, NULL), (72170, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 19:33:57', NULL, NULL), (72171, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 19:33:57', NULL, NULL), (72172, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 19:33:57', NULL, NULL), (72173, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 19:33:57', NULL, NULL), (72174, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 19:33:57', NULL, NULL), (72175, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 19:33:57', NULL, NULL), (72176, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 19:33:57', NULL, NULL), (72177, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 19:33:57', NULL, NULL), (72178, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 19:33:57', NULL, NULL), (72179, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 19:33:57', NULL, NULL), (72180, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 19:33:57', NULL, NULL), (72181, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 19:33:57', NULL, NULL), (72182, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 19:33:57', NULL, NULL), (72183, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 19:33:57', NULL, NULL), (72184, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 19:33:57', NULL, NULL), (72185, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 19:33:57', NULL, NULL), (72186, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 19:33:57', NULL, NULL), (72187, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 19:33:57', NULL, NULL), (72188, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 19:33:57', NULL, NULL), (72189, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 19:33:57', NULL, NULL), (72190, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 19:33:57', NULL, NULL), (72191, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 19:33:57', NULL, NULL), (72192, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 19:33:57', NULL, NULL), (72193, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 19:33:57', NULL, NULL), (72194, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 19:33:57', NULL, NULL), (72195, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 19:33:57', NULL, NULL), (72196, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 19:33:57', NULL, NULL), (72197, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 19:33:57', NULL, NULL), (72198, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 19:33:57', NULL, NULL), (72199, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 19:33:57', NULL, NULL), (72200, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 19:33:57', NULL, NULL), (72201, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 19:33:57', NULL, NULL), (72202, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 19:33:57', NULL, NULL), (72203, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 19:33:57', NULL, NULL), (72204, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 19:33:57', NULL, NULL), (72205, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 19:33:57', NULL, NULL), (72206, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 19:33:57', NULL, NULL), (72207, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 19:33:57', NULL, NULL), (72208, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 19:33:57', NULL, NULL), (72209, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 19:33:57', NULL, NULL), (72210, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 19:33:57', NULL, NULL), (72211, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 19:33:57', NULL, NULL), (72212, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 19:33:57', NULL, NULL), (72213, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 19:33:57', NULL, NULL), (72214, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 19:33:57', NULL, NULL), (72215, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 19:33:57', NULL, NULL), (72216, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 19:33:58', NULL, NULL), (72217, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 19:33:58', NULL, NULL), (72218, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 19:33:58', NULL, NULL), (72219, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 19:33:58', NULL, NULL), (72220, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 19:33:58', NULL, NULL), (72221, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 19:33:58', NULL, NULL), (72222, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 19:33:58', NULL, NULL), (72223, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 19:33:58', NULL, NULL), (72224, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 19:33:58', NULL, NULL), (72225, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 19:33:58', NULL, NULL), (72226, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 19:33:58', NULL, NULL), (72227, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 19:33:58', NULL, NULL), (72228, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 19:33:58', NULL, NULL), (72229, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 19:33:58', NULL, NULL), (72230, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 19:33:58', NULL, NULL), (72231, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 19:33:58', NULL, NULL), (72232, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 19:33:58', NULL, NULL), (72233, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 19:33:58', NULL, NULL), (72234, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 19:33:58', NULL, NULL), (72235, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 19:33:58', NULL, NULL), (72236, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 19:33:58', NULL, NULL), (72237, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 19:33:58', NULL, NULL), (72238, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 19:33:58', NULL, NULL), (72239, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 19:33:58', NULL, NULL), (72240, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 19:33:58', NULL, NULL), (72241, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 19:33:58', NULL, NULL), (72242, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 19:33:58', NULL, NULL), (72243, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 19:33:58', NULL, NULL), (72244, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 19:33:58', NULL, NULL), (72245, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 19:33:58', NULL, NULL), (72246, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 19:33:58', NULL, NULL), (72247, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 19:33:58', NULL, NULL), (72248, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 19:33:58', NULL, NULL), (72249, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 19:33:58', NULL, NULL), (72250, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 19:33:58', NULL, NULL), (72251, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 19:33:58', NULL, NULL), (72252, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 19:33:58', NULL, NULL), (72253, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 19:33:58', NULL, NULL), (72254, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 19:33:58', NULL, NULL), (72255, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 19:33:58', NULL, NULL), (72256, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 19:33:58', NULL, NULL), (72257, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 19:33:58', NULL, NULL), (72258, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 19:33:58', NULL, NULL), (72259, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 19:33:58', NULL, NULL), (72260, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 19:33:58', NULL, NULL), (72261, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 19:33:59', NULL, NULL), (72262, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 19:33:59', NULL, NULL), (72263, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 19:33:59', NULL, NULL), (72264, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 19:33:59', NULL, NULL), (72265, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 19:33:59', NULL, NULL), (72266, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 19:33:59', NULL, NULL), (72267, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 19:33:59', NULL, NULL), (72268, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 19:33:59', NULL, NULL), (72269, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 19:33:59', NULL, NULL), (72270, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 19:33:59', NULL, NULL), (72271, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 19:33:59', NULL, NULL), (72272, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 19:33:59', NULL, NULL), (72273, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 19:33:59', NULL, NULL), (72274, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 19:33:59', NULL, NULL), (72275, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 19:33:59', NULL, NULL), (72276, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 19:33:59', NULL, NULL), (72277, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 19:33:59', NULL, NULL), (72278, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 19:33:59', NULL, NULL), (72279, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 19:33:59', NULL, NULL), (72280, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 19:33:59', NULL, NULL), (72281, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 19:33:59', NULL, NULL), (72282, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 19:33:59', NULL, NULL), (72283, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 19:33:59', NULL, NULL), (72284, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 19:33:59', NULL, NULL), (72285, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 19:33:59', NULL, NULL), (72286, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 19:33:59', NULL, NULL), (72287, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 19:33:59', NULL, NULL), (72288, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 19:33:59', NULL, NULL), (72289, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 19:33:59', NULL, NULL), (72290, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 19:33:59', NULL, NULL), (72291, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 19:33:59', NULL, NULL), (72292, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 19:33:59', NULL, NULL), (72293, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 19:33:59', NULL, NULL), (72294, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 19:33:59', NULL, NULL), (72295, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 19:33:59', NULL, NULL), (72296, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 19:33:59', NULL, NULL), (72297, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 19:33:59', NULL, NULL), (72298, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 19:33:59', NULL, NULL), (72299, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 19:33:59', NULL, NULL), (72300, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 19:33:59', NULL, NULL), (72301, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 19:33:59', NULL, NULL), (72302, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 19:33:59', NULL, NULL), (72303, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 19:33:59', NULL, NULL), (72304, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 19:33:59', NULL, NULL), (72305, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 19:33:59', NULL, NULL), (72306, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 19:34:00', NULL, NULL), (72307, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 19:34:00', NULL, NULL), (72308, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 19:34:00', NULL, NULL), (72309, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 19:34:00', NULL, NULL), (72310, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 19:34:00', NULL, NULL), (72311, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 19:34:00', NULL, NULL), (72312, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 19:34:00', NULL, NULL), (72313, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 19:34:00', NULL, NULL), (72314, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 19:34:00', NULL, NULL), (72315, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 19:34:00', NULL, NULL), (72316, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 19:34:00', NULL, NULL), (72317, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 19:34:00', NULL, NULL), (72318, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 19:34:00', NULL, NULL), (72319, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 19:34:00', NULL, NULL), (72320, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 19:34:00', NULL, NULL), (72321, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 19:34:00', NULL, NULL), (72322, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 19:34:00', NULL, NULL), (72323, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 19:34:00', NULL, NULL), (72324, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 19:34:00', NULL, NULL), (72325, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 19:34:00', NULL, NULL), (72326, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 19:34:00', NULL, NULL), (72327, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 19:34:00', NULL, NULL), (72328, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 19:34:00', NULL, NULL), (72329, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 19:34:00', NULL, NULL), (72330, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 19:34:00', NULL, NULL), (72331, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 19:34:00', NULL, NULL), (72332, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 19:34:00', NULL, NULL), (72333, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 19:34:00', NULL, NULL), (72334, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 19:34:00', NULL, NULL), (72335, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 19:34:00', NULL, NULL), (72336, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 19:34:00', NULL, NULL), (72337, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 19:34:00', NULL, NULL), (72338, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 19:34:00', NULL, NULL), (72339, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 19:34:00', NULL, NULL), (72340, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 19:34:00', NULL, NULL), (72341, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 19:34:00', NULL, NULL), (72342, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 19:34:00', NULL, NULL), (72343, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 19:34:00', NULL, NULL), (72344, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 19:34:00', NULL, NULL), (72345, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 19:34:00', NULL, NULL), (72346, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 19:34:00', NULL, NULL), (72347, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 19:34:00', NULL, NULL), (72348, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 19:34:00', NULL, NULL), (72349, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 19:34:00', NULL, NULL), (72350, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 19:34:00', NULL, NULL), (72351, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 19:34:01', NULL, NULL), (72352, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 19:34:01', NULL, NULL), (72353, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 19:34:01', NULL, NULL), (72354, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 19:34:01', NULL, NULL), (72355, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 19:34:01', NULL, NULL), (72356, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 19:34:01', NULL, NULL), (72357, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 19:34:01', NULL, NULL), (72358, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 19:34:01', NULL, NULL), (72359, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 19:34:01', NULL, NULL), (72360, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 19:34:01', NULL, NULL), (72361, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 19:34:01', NULL, NULL), (72362, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 19:34:01', NULL, NULL), (72363, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 19:34:01', NULL, NULL), (72364, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 19:34:01', NULL, NULL), (72365, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 19:34:01', NULL, NULL), (72366, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 19:34:01', NULL, NULL), (72367, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 19:34:01', NULL, NULL), (72368, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 19:34:01', NULL, NULL), (72369, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 19:34:01', NULL, NULL), (72370, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 19:34:01', NULL, NULL), (72371, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 19:34:01', NULL, NULL), (72372, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 19:34:01', NULL, NULL), (72373, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 19:34:01', NULL, NULL), (72374, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 19:34:01', NULL, NULL), (72375, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 19:34:01', NULL, NULL), (72376, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 19:34:01', NULL, NULL), (72377, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 19:34:01', NULL, NULL), (72378, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 19:34:01', NULL, NULL), (72379, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 19:34:01', NULL, NULL), (72380, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 19:34:01', NULL, NULL), (72381, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 19:34:01', NULL, NULL), (72382, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 19:34:01', NULL, NULL), (72383, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 19:34:01', NULL, NULL), (72384, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 19:34:01', NULL, NULL), (72385, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 19:34:01', NULL, NULL), (72386, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 19:34:01', NULL, NULL), (72387, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 19:34:01', NULL, NULL), (72388, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 19:34:01', NULL, NULL), (72389, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 19:34:01', NULL, NULL), (72390, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 19:34:01', NULL, NULL), (72391, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 19:34:01', NULL, NULL), (72392, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 19:34:01', NULL, NULL), (72393, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 19:34:01', NULL, NULL), (72394, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 19:34:01', NULL, NULL), (72395, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 19:34:01', NULL, NULL), (72396, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 19:34:01', NULL, NULL), (72397, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 19:34:01', NULL, NULL), (72398, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 19:34:01', NULL, NULL), (72399, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 19:34:01', NULL, NULL), (72400, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 19:34:01', NULL, NULL), (72401, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 19:34:01', NULL, NULL), (72402, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 19:34:01', NULL, NULL), (72403, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 19:34:01', NULL, NULL), (72404, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 19:34:01', NULL, NULL), (72405, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 19:34:01', NULL, NULL), (72406, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 19:34:01', NULL, NULL), (72407, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 19:34:01', NULL, NULL), (72408, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 19:34:01', NULL, NULL), (72409, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 19:34:01', NULL, NULL), (72410, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 19:34:01', NULL, NULL), (72411, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 19:34:01', NULL, NULL), (72412, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 19:34:01', NULL, NULL), (72413, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 19:34:01', NULL, NULL), (72414, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 19:34:01', NULL, NULL), (72415, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 19:34:01', NULL, NULL), (72416, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 19:34:01', NULL, NULL), (72417, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 19:34:01', NULL, NULL), (72418, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 19:34:01', NULL, NULL), (72419, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 19:34:01', NULL, NULL), (72420, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 19:34:01', NULL, NULL), (72421, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 19:34:01', NULL, NULL), (72422, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 19:34:01', NULL, NULL), (72423, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 19:34:01', NULL, NULL), (72424, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 19:34:01', NULL, NULL), (72425, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 19:34:01', NULL, NULL), (72426, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 19:34:01', NULL, NULL), (72427, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 19:34:01', NULL, NULL), (72428, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 19:34:01', NULL, NULL), (72429, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 19:34:01', NULL, NULL), (72430, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 19:34:01', NULL, NULL), (72431, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 19:34:01', NULL, NULL), (72432, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 19:34:01', NULL, NULL), (72433, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 19:34:02', NULL, NULL), (72434, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 19:34:02', NULL, NULL), (72435, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 19:34:02', NULL, NULL), (72436, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 19:34:02', NULL, NULL), (72437, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 19:34:02', NULL, NULL), (72438, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 19:34:02', NULL, NULL), (72439, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 19:34:02', NULL, NULL), (72440, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 19:34:02', NULL, NULL), (72441, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 19:34:02', NULL, NULL), (72442, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 19:34:02', NULL, NULL), (72443, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 19:34:02', NULL, NULL), (72444, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 19:34:02', NULL, NULL), (72445, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 19:34:02', NULL, NULL), (72446, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 19:34:02', NULL, NULL), (72447, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 19:34:02', NULL, NULL), (72448, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 19:34:02', NULL, NULL), (72449, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 19:34:02', NULL, NULL), (72450, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 19:34:02', NULL, NULL), (72451, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 19:34:02', NULL, NULL), (72452, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 19:34:02', NULL, NULL), (72453, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 19:34:02', NULL, NULL), (72454, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 19:34:02', NULL, NULL), (72455, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 19:34:02', NULL, NULL), (72456, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 19:34:02', NULL, NULL), (72457, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 19:34:02', NULL, NULL), (72458, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 19:34:02', NULL, NULL), (72459, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 19:34:02', NULL, NULL), (72460, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 19:34:02', NULL, NULL), (72461, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 19:34:02', NULL, NULL), (72462, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 19:34:02', NULL, NULL), (72463, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 19:34:02', NULL, NULL), (72464, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 19:34:02', NULL, NULL), (72465, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 19:34:02', NULL, NULL), (72466, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 19:34:02', NULL, NULL), (72467, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 19:34:02', NULL, NULL), (72468, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 19:34:02', NULL, NULL), (72469, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 19:34:02', NULL, NULL), (72470, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 19:34:02', NULL, NULL), (72471, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 19:34:02', NULL, NULL), (72472, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 19:34:02', NULL, NULL), (72473, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 19:34:02', NULL, NULL), (72474, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 19:34:02', NULL, NULL), (72475, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 19:34:02', NULL, NULL), (72476, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 19:34:02', NULL, NULL), (72477, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 19:34:02', NULL, NULL), (72478, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 19:34:02', NULL, NULL), (72479, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 19:34:02', NULL, NULL), (72480, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 19:34:02', NULL, NULL), (72481, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 19:34:02', NULL, NULL), (72482, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 19:34:02', NULL, NULL), (72483, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 19:34:02', NULL, NULL), (72484, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 19:34:03', NULL, NULL), (72485, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 19:34:03', NULL, NULL), (72486, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 19:34:03', NULL, NULL), (72487, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 19:34:03', NULL, NULL), (72488, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 19:34:03', NULL, NULL), (72489, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 19:34:03', NULL, NULL), (72490, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 19:34:03', NULL, NULL), (72491, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 19:34:03', NULL, NULL), (72492, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 19:34:03', NULL, NULL), (72493, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 19:34:03', NULL, NULL), (72494, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 19:34:03', NULL, NULL), (72495, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 19:34:03', NULL, NULL), (72496, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 19:34:03', NULL, NULL), (72497, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 19:34:03', NULL, NULL), (72498, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 19:34:03', NULL, NULL), (72499, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 19:34:03', NULL, NULL), (72500, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 19:34:03', NULL, NULL), (72501, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 19:34:03', NULL, NULL), (72502, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 19:34:03', NULL, NULL), (72503, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 19:34:03', NULL, NULL), (72504, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 19:34:03', NULL, NULL), (72505, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 19:34:03', NULL, NULL), (72506, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 19:34:03', NULL, NULL), (72507, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 19:34:03', NULL, NULL), (72508, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 19:34:03', NULL, NULL), (72509, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 19:34:03', NULL, NULL), (72510, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 19:34:03', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (72511, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 19:34:03', NULL, NULL), (72512, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 19:34:03', NULL, NULL), (72513, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 19:34:03', NULL, NULL), (72514, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 19:34:03', NULL, NULL), (72515, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 19:34:03', NULL, NULL), (72516, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 19:34:03', NULL, NULL), (72517, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 19:34:03', NULL, NULL), (72518, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 19:34:03', NULL, NULL), (72519, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 19:34:03', NULL, NULL), (72520, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 19:34:03', NULL, NULL), (72521, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 19:34:03', NULL, NULL), (72522, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 19:34:03', NULL, NULL), (72523, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 19:34:03', NULL, NULL), (72524, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 19:34:03', NULL, NULL), (72525, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 19:34:03', NULL, NULL), (72526, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 19:34:04', NULL, NULL), (72527, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 19:34:04', NULL, NULL), (72528, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 19:34:04', NULL, NULL), (72529, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 19:34:04', NULL, NULL), (72530, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 19:34:04', NULL, NULL), (72531, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 19:34:04', NULL, NULL), (72532, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 19:34:04', NULL, NULL), (72533, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 19:34:04', NULL, NULL), (72534, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 19:34:04', NULL, NULL), (72535, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 19:34:04', NULL, NULL), (72536, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 19:34:04', NULL, NULL), (72537, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 19:34:04', NULL, NULL), (72538, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 19:34:04', NULL, NULL), (72539, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 19:34:04', NULL, NULL), (72540, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 19:34:04', NULL, NULL), (72541, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 19:34:04', NULL, NULL), (72542, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 19:34:04', NULL, NULL), (72543, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 19:34:04', NULL, NULL), (72544, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 19:34:04', NULL, NULL), (72545, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 19:34:04', NULL, NULL), (72546, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 19:34:04', NULL, NULL), (72547, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 19:34:04', NULL, NULL), (72548, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 19:34:04', NULL, NULL), (72549, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 19:34:04', NULL, NULL), (72550, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 19:34:04', NULL, NULL), (72551, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 19:34:04', NULL, NULL), (72552, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 19:34:04', NULL, NULL), (72553, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 19:34:04', NULL, NULL), (72554, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 19:34:04', NULL, NULL), (72555, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 19:34:04', NULL, NULL), (72556, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 19:34:04', NULL, NULL), (72557, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 19:34:04', NULL, NULL), (72558, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 19:34:04', NULL, NULL), (72559, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 19:34:04', NULL, NULL), (72560, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 19:34:04', NULL, NULL), (72561, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 19:34:04', NULL, NULL), (72562, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 19:34:04', NULL, NULL), (72563, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 19:34:05', NULL, NULL), (72564, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 19:34:05', NULL, NULL), (72565, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 19:34:05', NULL, NULL), (72566, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 19:34:05', NULL, NULL), (72567, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 19:34:05', NULL, NULL), (72568, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 19:34:05', NULL, NULL), (72569, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 19:34:05', NULL, NULL), (72570, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 19:34:05', NULL, NULL), (72571, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 19:34:05', NULL, NULL), (72572, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 19:34:05', NULL, NULL), (72573, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 19:34:05', NULL, NULL), (72574, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 19:34:05', NULL, NULL), (72575, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 19:34:05', NULL, NULL), (72576, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 19:34:05', NULL, NULL), (72577, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 19:34:05', NULL, NULL), (72578, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 19:34:05', NULL, NULL), (72579, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 19:34:05', NULL, NULL), (72580, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 19:34:05', NULL, NULL), (72581, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 19:34:05', NULL, NULL), (72582, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 19:34:05', NULL, NULL), (72583, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 19:34:05', NULL, NULL), (72584, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 19:34:05', NULL, NULL), (72585, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 19:34:05', NULL, NULL), (72586, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 19:34:05', NULL, NULL), (72587, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 19:34:05', NULL, NULL), (72588, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 19:34:05', NULL, NULL), (72589, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 19:34:05', NULL, NULL), (72590, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 19:34:05', NULL, NULL), (72591, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 19:34:05', NULL, NULL), (72592, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 19:34:05', NULL, NULL), (72593, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 19:34:05', NULL, NULL), (72594, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 19:34:05', NULL, NULL), (72595, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 19:34:05', NULL, NULL), (72596, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 19:34:05', NULL, NULL), (72597, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 19:34:05', NULL, NULL), (72598, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 19:34:05', NULL, NULL), (72599, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 19:34:05', NULL, NULL), (72600, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 19:34:06', NULL, NULL), (72601, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 19:34:06', NULL, NULL), (72602, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 19:34:06', NULL, NULL), (72603, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 19:34:06', NULL, NULL), (72604, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 19:34:06', NULL, NULL), (72605, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 19:34:06', NULL, NULL), (72606, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 19:34:06', NULL, NULL), (72607, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 19:34:06', NULL, NULL), (72608, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 19:34:06', NULL, NULL), (72609, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 19:34:06', NULL, NULL), (72610, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 19:34:06', NULL, NULL), (72611, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 19:34:06', NULL, NULL), (72612, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 19:34:06', NULL, NULL), (72613, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 19:34:06', NULL, NULL), (72614, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 19:34:06', NULL, NULL), (72615, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 19:34:06', NULL, NULL), (72616, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 19:34:06', NULL, NULL), (72617, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 19:34:06', NULL, NULL), (72618, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 19:34:06', NULL, NULL), (72619, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 19:34:06', NULL, NULL), (72620, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 19:34:06', NULL, NULL), (72621, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 19:34:06', NULL, NULL), (72622, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 19:34:06', NULL, NULL), (72623, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 19:34:06', NULL, NULL), (72624, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 19:34:06', NULL, NULL), (72625, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 19:34:06', NULL, NULL), (72626, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 19:34:06', NULL, NULL), (72627, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 19:34:06', NULL, NULL), (72628, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 19:34:06', NULL, NULL), (72629, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 19:34:06', NULL, NULL), (72630, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 19:34:06', NULL, NULL), (72631, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 19:34:06', NULL, NULL), (72632, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 19:34:06', NULL, NULL), (72633, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 19:34:06', NULL, NULL), (72634, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 19:34:06', NULL, NULL), (72635, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 19:34:06', NULL, NULL), (72636, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 19:34:07', NULL, NULL), (72637, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 19:34:07', NULL, NULL), (72638, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 19:34:07', NULL, NULL), (72639, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 19:34:07', NULL, NULL), (72640, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 19:34:07', NULL, NULL), (72641, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 19:34:07', NULL, NULL), (72642, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 19:34:07', NULL, NULL), (72643, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 19:34:07', NULL, NULL), (72644, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 19:34:07', NULL, NULL), (72645, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 19:34:07', NULL, NULL), (72646, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 19:34:07', NULL, NULL), (72647, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 19:34:07', NULL, NULL), (72648, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 19:34:07', NULL, NULL), (72649, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 19:34:07', NULL, NULL), (72650, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 19:34:07', NULL, NULL), (72651, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 19:34:07', NULL, NULL), (72652, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 19:34:07', NULL, NULL), (72653, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 19:34:07', NULL, NULL), (72654, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 19:34:07', NULL, NULL), (72655, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 19:34:07', NULL, NULL), (72656, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 19:34:07', NULL, NULL), (72657, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 19:34:07', NULL, NULL), (72658, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 19:34:07', NULL, NULL), (72659, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 19:34:07', NULL, NULL), (72660, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 19:34:07', NULL, NULL), (72661, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 19:34:07', NULL, NULL), (72662, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 19:34:07', NULL, NULL), (72663, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 19:34:07', NULL, NULL), (72664, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 19:34:07', NULL, NULL), (72665, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 19:34:07', NULL, NULL), (72666, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 19:34:07', NULL, NULL), (72667, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 19:34:07', NULL, NULL), (72668, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 19:34:07', NULL, NULL), (72669, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 19:34:07', NULL, NULL), (72670, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 19:34:07', NULL, NULL), (72671, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 19:34:07', NULL, NULL), (72672, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 19:34:07', NULL, NULL), (72673, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 19:34:07', NULL, NULL), (72674, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 19:34:07', NULL, NULL), (72675, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 19:34:07', NULL, NULL), (72676, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 19:34:07', NULL, NULL), (72677, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 19:34:07', NULL, NULL), (72678, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 19:34:07', NULL, NULL), (72679, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 19:34:07', NULL, NULL), (72680, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 19:34:07', NULL, NULL), (72681, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 19:34:07', NULL, NULL), (72682, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 19:34:07', NULL, NULL), (72683, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 19:34:07', NULL, NULL), (72684, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 19:34:07', NULL, NULL), (72685, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 19:34:07', NULL, NULL), (72686, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 19:34:07', NULL, NULL), (72687, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 19:34:07', NULL, NULL), (72688, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 19:34:07', NULL, NULL), (72689, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 19:34:07', NULL, NULL), (72690, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 19:34:07', NULL, NULL), (72691, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 19:34:07', NULL, NULL), (72692, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 19:34:07', NULL, NULL), (72693, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 19:34:07', NULL, NULL), (72694, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 19:34:07', NULL, NULL), (72695, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 19:34:07', NULL, NULL), (72696, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 19:34:08', NULL, NULL), (72697, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 19:34:08', NULL, NULL), (72698, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 19:34:08', NULL, NULL), (72699, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 19:34:08', NULL, NULL), (72700, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 19:34:08', NULL, NULL), (72701, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 19:34:08', NULL, NULL), (72702, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 19:34:08', NULL, NULL), (72703, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 19:34:08', NULL, NULL), (72704, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 19:34:08', NULL, NULL), (72705, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 19:34:08', NULL, NULL), (72706, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 19:34:08', NULL, NULL), (72707, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 19:34:08', 1, '2024-08-05 22:12:33'), (72708, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 19:34:08', 1, '2024-08-06 02:01:32'), (72709, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 19:34:08', 1, '2024-08-07 01:00:31'), (72710, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 19:34:08', 1, '2024-08-08 01:00:31'), (72711, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 19:34:08', 1, '2024-08-09 01:00:32'), (72712, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 19:46:06', NULL, NULL), (72713, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 19:46:06', NULL, NULL), (72714, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 19:46:06', NULL, NULL), (72715, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 19:46:06', NULL, NULL), (72716, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 19:46:06', NULL, NULL), (72717, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 19:46:06', NULL, NULL), (72718, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 19:46:06', NULL, NULL), (72719, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 19:46:06', NULL, NULL), (72720, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 19:46:06', NULL, NULL), (72721, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 19:46:06', NULL, NULL), (72722, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 19:46:06', NULL, NULL), (72723, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 19:46:06', NULL, NULL), (72724, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 19:46:06', NULL, NULL), (72725, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 19:46:06', NULL, NULL), (72726, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 19:46:06', NULL, NULL), (72727, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 19:46:06', NULL, NULL), (72728, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 19:46:06', NULL, NULL), (72729, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 19:46:06', NULL, NULL), (72730, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 19:46:06', NULL, NULL), (72731, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 19:46:06', NULL, NULL), (72732, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 19:46:06', NULL, NULL), (72733, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 19:46:06', NULL, NULL), (72734, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 19:46:07', NULL, NULL), (72735, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 19:46:07', NULL, NULL), (72736, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 19:46:07', NULL, NULL), (72737, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 19:46:07', NULL, NULL), (72738, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 19:46:07', NULL, NULL), (72739, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 19:46:07', NULL, NULL), (72740, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 19:46:07', NULL, NULL), (72741, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 19:46:07', NULL, NULL), (72742, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 19:46:07', NULL, NULL), (72743, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 19:46:07', NULL, NULL), (72744, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 19:46:07', NULL, NULL), (72745, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 19:46:07', NULL, NULL), (72746, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 19:46:07', NULL, NULL), (72747, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 19:46:07', NULL, NULL), (72748, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 19:46:07', NULL, NULL), (72749, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 19:46:07', NULL, NULL), (72750, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 19:46:07', NULL, NULL), (72751, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 19:46:07', NULL, NULL), (72752, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 19:46:07', NULL, NULL), (72753, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 19:46:07', NULL, NULL), (72754, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 19:46:07', NULL, NULL), (72755, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 19:46:07', NULL, NULL), (72756, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 19:46:07', NULL, NULL), (72757, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 19:46:07', NULL, NULL), (72758, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 19:46:07', NULL, NULL), (72759, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 19:46:07', NULL, NULL), (72760, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 19:46:07', NULL, NULL), (72761, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 19:46:07', NULL, NULL), (72762, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 19:46:07', NULL, NULL), (72763, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 19:46:07', NULL, NULL), (72764, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 19:46:07', NULL, NULL), (72765, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 19:46:07', NULL, NULL), (72766, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 19:46:07', NULL, NULL), (72767, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 19:46:07', NULL, NULL), (72768, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 19:46:07', NULL, NULL), (72769, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 19:46:07', NULL, NULL), (72770, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 19:46:07', NULL, NULL), (72771, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 19:46:07', NULL, NULL), (72772, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 19:46:07', NULL, NULL), (72773, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 19:46:07', NULL, NULL), (72774, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 19:46:07', NULL, NULL), (72775, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 19:46:07', NULL, NULL), (72776, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 19:46:07', NULL, NULL), (72777, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 19:46:07', NULL, NULL), (72778, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 19:46:07', NULL, NULL), (72779, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 19:46:07', NULL, NULL), (72780, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 19:46:07', NULL, NULL), (72781, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 19:46:07', NULL, NULL), (72782, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 19:46:07', NULL, NULL), (72783, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 19:46:07', NULL, NULL), (72784, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 19:46:07', NULL, NULL), (72785, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 19:46:07', NULL, NULL), (72786, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 19:46:07', NULL, NULL), (72787, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 19:46:07', NULL, NULL), (72788, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 19:46:07', NULL, NULL), (72789, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 19:46:07', NULL, NULL), (72790, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 19:46:07', NULL, NULL), (72791, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 19:46:07', NULL, NULL), (72792, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 19:46:07', NULL, NULL), (72793, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 19:46:07', NULL, NULL), (72794, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 19:46:07', NULL, NULL), (72795, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 19:46:07', NULL, NULL), (72796, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 19:46:07', NULL, NULL), (72797, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 19:46:07', NULL, NULL), (72798, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 19:46:07', NULL, NULL), (72799, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 19:46:07', NULL, NULL), (72800, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 19:46:07', NULL, NULL), (72801, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 19:46:07', NULL, NULL), (72802, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 19:46:07', NULL, NULL), (72803, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 19:46:07', NULL, NULL), (72804, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 19:46:07', NULL, NULL), (72805, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 19:46:07', NULL, NULL), (72806, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 19:46:07', NULL, NULL), (72807, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 19:46:07', NULL, NULL), (72808, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 19:46:07', NULL, NULL), (72809, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 19:46:07', NULL, NULL), (72810, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 19:46:07', NULL, NULL), (72811, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 19:46:07', NULL, NULL), (72812, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 19:46:07', NULL, NULL), (72813, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 19:46:07', NULL, NULL), (72814, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 19:46:07', NULL, NULL), (72815, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 19:46:07', NULL, NULL), (72816, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 19:46:07', NULL, NULL), (72817, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 19:46:07', NULL, NULL), (72818, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 19:46:07', NULL, NULL), (72819, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 19:46:07', NULL, NULL), (72820, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 19:46:07', NULL, NULL), (72821, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 19:46:08', NULL, NULL), (72822, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 19:46:08', NULL, NULL), (72823, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 19:46:08', NULL, NULL), (72824, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 19:46:08', NULL, NULL), (72825, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 19:46:08', NULL, NULL), (72826, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 19:46:08', NULL, NULL), (72827, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 19:46:08', NULL, NULL), (72828, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 19:46:08', NULL, NULL), (72829, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 19:46:08', NULL, NULL), (72830, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 19:46:08', NULL, NULL), (72831, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 19:46:08', NULL, NULL), (72832, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 19:46:08', NULL, NULL), (72833, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 19:46:08', NULL, NULL), (72834, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 19:46:08', NULL, NULL), (72835, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 19:46:08', NULL, NULL), (72836, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 19:46:08', NULL, NULL), (72837, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 19:46:08', NULL, NULL), (72838, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 19:46:08', NULL, NULL), (72839, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 19:46:08', NULL, NULL), (72840, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 19:46:08', NULL, NULL), (72841, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 19:46:08', NULL, NULL), (72842, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 19:46:08', NULL, NULL), (72843, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 19:46:08', NULL, NULL), (72844, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 19:46:08', NULL, NULL), (72845, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 19:46:08', NULL, NULL), (72846, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 19:46:08', NULL, NULL), (72847, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 19:46:08', NULL, NULL), (72848, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 19:46:08', NULL, NULL), (72849, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 19:46:08', NULL, NULL), (72850, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 19:46:08', NULL, NULL), (72851, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 19:46:08', NULL, NULL), (72852, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 19:46:08', NULL, NULL), (72853, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 19:46:08', NULL, NULL), (72854, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 19:46:08', NULL, NULL), (72855, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 19:46:08', NULL, NULL), (72856, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 19:46:08', NULL, NULL), (72857, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 19:46:08', NULL, NULL), (72858, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 19:46:08', NULL, NULL), (72859, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 19:46:08', NULL, NULL), (72860, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 19:46:08', NULL, NULL), (72861, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 19:46:08', NULL, NULL), (72862, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 19:46:08', NULL, NULL), (72863, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 19:46:08', NULL, NULL), (72864, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 19:46:08', NULL, NULL), (72865, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 19:46:08', NULL, NULL), (72866, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 19:46:08', NULL, NULL), (72867, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 19:46:08', NULL, NULL), (72868, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 19:46:08', NULL, NULL), (72869, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 19:46:08', NULL, NULL), (72870, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 19:46:08', NULL, NULL), (72871, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 19:46:08', NULL, NULL), (72872, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 19:46:08', NULL, NULL), (72873, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 19:46:08', NULL, NULL), (72874, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 19:46:08', NULL, NULL), (72875, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 19:46:08', NULL, NULL), (72876, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 19:46:08', NULL, NULL), (72877, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 19:46:08', NULL, NULL), (72878, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 19:46:08', NULL, NULL), (72879, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 19:46:08', NULL, NULL), (72880, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 19:46:08', NULL, NULL), (72881, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 19:46:08', NULL, NULL), (72882, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 19:46:08', NULL, NULL), (72883, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 19:46:08', NULL, NULL), (72884, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 19:46:08', NULL, NULL), (72885, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 19:46:08', NULL, NULL), (72886, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 19:46:08', NULL, NULL), (72887, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 19:46:08', NULL, NULL), (72888, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 19:46:08', NULL, NULL), (72889, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 19:46:08', NULL, NULL), (72890, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 19:46:08', NULL, NULL), (72891, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 19:46:08', NULL, NULL), (72892, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 19:46:08', NULL, NULL), (72893, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 19:46:08', NULL, NULL), (72894, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 19:46:08', NULL, NULL), (72895, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 19:46:08', NULL, NULL), (72896, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 19:46:08', NULL, NULL), (72897, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 19:46:08', NULL, NULL), (72898, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 19:46:08', NULL, NULL), (72899, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 19:46:08', NULL, NULL), (72900, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 19:46:08', NULL, NULL), (72901, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 19:46:08', NULL, NULL), (72902, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 19:46:08', NULL, NULL), (72903, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 19:46:09', NULL, NULL), (72904, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 19:46:09', NULL, NULL), (72905, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 19:46:09', NULL, NULL), (72906, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 19:46:09', NULL, NULL), (72907, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 19:46:09', NULL, NULL), (72908, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 19:46:09', NULL, NULL), (72909, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 19:46:09', NULL, NULL), (72910, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 19:46:09', NULL, NULL), (72911, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 19:46:09', NULL, NULL), (72912, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 19:46:09', NULL, NULL), (72913, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 19:46:09', NULL, NULL), (72914, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 19:46:09', NULL, NULL), (72915, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 19:46:09', NULL, NULL), (72916, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 19:46:09', NULL, NULL), (72917, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 19:46:09', NULL, NULL), (72918, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 19:46:09', NULL, NULL), (72919, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 19:46:09', NULL, NULL), (72920, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 19:46:09', NULL, NULL), (72921, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 19:46:09', NULL, NULL), (72922, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 19:46:09', NULL, NULL), (72923, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 19:46:09', NULL, NULL), (72924, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 19:46:09', NULL, NULL), (72925, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 19:46:09', NULL, NULL), (72926, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 19:46:09', NULL, NULL), (72927, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 19:46:09', NULL, NULL), (72928, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 19:46:09', NULL, NULL), (72929, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 19:46:09', NULL, NULL), (72930, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 19:46:09', NULL, NULL), (72931, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 19:46:09', NULL, NULL), (72932, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 19:46:09', NULL, NULL), (72933, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 19:46:09', NULL, NULL), (72934, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 19:46:09', NULL, NULL), (72935, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 19:46:09', NULL, NULL), (72936, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 19:46:09', NULL, NULL), (72937, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 19:46:09', NULL, NULL), (72938, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 19:46:09', NULL, NULL), (72939, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 19:46:09', NULL, NULL), (72940, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 19:46:09', NULL, NULL), (72941, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 19:46:09', NULL, NULL), (72942, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 19:46:09', NULL, NULL), (72943, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 19:46:09', NULL, NULL), (72944, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 19:46:09', NULL, NULL), (72945, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 19:46:09', NULL, NULL), (72946, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 19:46:09', NULL, NULL), (72947, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 19:46:09', NULL, NULL), (72948, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 19:46:09', NULL, NULL), (72949, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 19:46:09', NULL, NULL), (72950, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 19:46:09', NULL, NULL), (72951, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 19:46:09', NULL, NULL), (72952, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 19:46:09', NULL, NULL), (72953, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 19:46:09', NULL, NULL), (72954, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 19:46:09', NULL, NULL), (72955, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 19:46:09', NULL, NULL), (72956, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 19:46:09', NULL, NULL), (72957, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 19:46:09', NULL, NULL), (72958, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 19:46:09', NULL, NULL), (72959, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 19:46:09', NULL, NULL), (72960, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 19:46:09', NULL, NULL), (72961, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 19:46:09', NULL, NULL), (72962, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 19:46:09', NULL, NULL), (72963, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 19:46:09', NULL, NULL), (72964, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 19:46:09', NULL, NULL), (72965, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 19:46:09', NULL, NULL), (72966, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 19:46:09', NULL, NULL), (72967, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 19:46:09', NULL, NULL), (72968, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 19:46:09', NULL, NULL), (72969, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 19:46:09', NULL, NULL), (72970, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 19:46:09', NULL, NULL), (72971, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 19:46:09', NULL, NULL), (72972, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 19:46:09', NULL, NULL), (72973, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 19:46:09', NULL, NULL), (72974, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 19:46:09', NULL, NULL), (72975, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 19:46:09', NULL, NULL), (72976, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 19:46:09', NULL, NULL), (72977, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 19:46:09', NULL, NULL), (72978, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 19:46:09', NULL, NULL), (72979, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 19:46:09', NULL, NULL), (72980, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 19:46:09', NULL, NULL), (72981, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 19:46:09', NULL, NULL), (72982, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 19:46:09', NULL, NULL), (72983, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 19:46:09', NULL, NULL), (72984, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 19:46:09', NULL, NULL), (72985, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 19:46:09', NULL, NULL), (72986, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 19:46:09', NULL, NULL), (72987, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 19:46:09', NULL, NULL), (72988, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 19:46:09', NULL, NULL), (72989, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 19:46:09', NULL, NULL), (72990, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 19:46:09', NULL, NULL), (72991, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 19:46:09', NULL, NULL), (72992, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 19:46:09', NULL, NULL), (72993, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 19:46:09', NULL, NULL), (72994, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 19:46:09', NULL, NULL), (72995, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 19:46:09', NULL, NULL), (72996, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 19:46:09', NULL, NULL), (72997, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 19:46:09', NULL, NULL), (72998, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 19:46:09', NULL, NULL), (72999, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 19:46:09', NULL, NULL), (73000, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 19:46:09', NULL, NULL), (73001, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 19:46:09', NULL, NULL), (73002, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 19:46:09', NULL, NULL), (73003, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 19:46:09', NULL, NULL), (73004, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 19:46:09', NULL, NULL), (73005, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 19:46:09', NULL, NULL), (73006, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 19:46:09', NULL, NULL), (73007, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 19:46:09', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (73008, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 19:46:09', NULL, NULL), (73009, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 19:46:09', NULL, NULL), (73010, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 19:46:09', NULL, NULL), (73011, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 19:46:09', NULL, NULL), (73012, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 19:46:09', NULL, NULL), (73013, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 19:46:09', NULL, NULL), (73014, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 19:46:09', NULL, NULL), (73015, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 19:46:09', NULL, NULL), (73016, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 19:46:09', NULL, NULL), (73017, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 19:46:09', NULL, NULL), (73018, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 19:46:09', NULL, NULL), (73019, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 19:46:09', NULL, NULL), (73020, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 19:46:09', NULL, NULL), (73021, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 19:46:09', NULL, NULL), (73022, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 19:46:09', NULL, NULL), (73023, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 19:46:10', NULL, NULL), (73024, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 19:46:10', NULL, NULL), (73025, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 19:46:10', NULL, NULL), (73026, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 19:46:10', NULL, NULL), (73027, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 19:46:10', NULL, NULL), (73028, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 19:46:10', NULL, NULL), (73029, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 19:46:10', NULL, NULL), (73030, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 19:46:10', NULL, NULL), (73031, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 19:46:10', NULL, NULL), (73032, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 19:46:10', NULL, NULL), (73033, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 19:46:10', NULL, NULL), (73034, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 19:46:10', NULL, NULL), (73035, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 19:46:10', NULL, NULL), (73036, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 19:46:10', NULL, NULL), (73037, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 19:46:10', NULL, NULL), (73038, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 19:46:10', NULL, NULL), (73039, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 19:46:10', NULL, NULL), (73040, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 19:46:10', NULL, NULL), (73041, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 19:46:10', NULL, NULL), (73042, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 19:46:10', NULL, NULL), (73043, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 19:46:10', NULL, NULL), (73044, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 19:46:10', NULL, NULL), (73045, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 19:46:10', NULL, NULL), (73046, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 19:46:10', NULL, NULL), (73047, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 19:46:10', NULL, NULL), (73048, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 19:46:10', NULL, NULL), (73049, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 19:46:10', NULL, NULL), (73050, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 19:46:10', NULL, NULL), (73051, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 19:46:10', NULL, NULL), (73052, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 19:46:10', NULL, NULL), (73053, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 19:46:10', NULL, NULL), (73054, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 19:46:10', NULL, NULL), (73055, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 19:46:10', NULL, NULL), (73056, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 19:46:10', NULL, NULL), (73057, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 19:46:10', NULL, NULL), (73058, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 19:46:10', NULL, NULL), (73059, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 19:46:10', NULL, NULL), (73060, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 19:46:10', NULL, NULL), (73061, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 19:46:10', NULL, NULL), (73062, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 19:46:10', NULL, NULL), (73063, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 19:46:10', NULL, NULL), (73064, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 19:46:10', NULL, NULL), (73065, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 19:46:10', NULL, NULL), (73066, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 19:46:10', NULL, NULL), (73067, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 19:46:10', NULL, NULL), (73068, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 19:46:10', NULL, NULL), (73069, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 19:46:10', NULL, NULL), (73070, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 19:46:10', NULL, NULL), (73071, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 19:46:10', NULL, NULL), (73072, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 19:46:10', NULL, NULL), (73073, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 19:46:10', NULL, NULL), (73074, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 19:46:10', NULL, NULL), (73075, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 19:46:10', NULL, NULL), (73076, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 19:46:10', NULL, NULL), (73077, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 19:46:10', NULL, NULL), (73078, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 19:46:10', NULL, NULL), (73079, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 19:46:10', NULL, NULL), (73080, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 19:46:10', NULL, NULL), (73081, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 19:46:10', NULL, NULL), (73082, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 19:46:10', NULL, NULL), (73083, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 19:46:10', NULL, NULL), (73084, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 19:46:10', NULL, NULL), (73085, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 19:46:10', NULL, NULL), (73086, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 19:46:10', NULL, NULL), (73087, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 19:46:10', NULL, NULL), (73088, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 19:46:10', NULL, NULL), (73089, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 19:46:10', NULL, NULL), (73090, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 19:46:10', NULL, NULL), (73091, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 19:46:10', NULL, NULL), (73092, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 19:46:10', NULL, NULL), (73093, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 19:46:10', NULL, NULL), (73094, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 19:46:10', NULL, NULL), (73095, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 19:46:10', NULL, NULL), (73096, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 19:46:10', NULL, NULL), (73097, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 19:46:10', NULL, NULL), (73098, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 19:46:10', NULL, NULL), (73099, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 19:46:10', NULL, NULL), (73100, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 19:46:10', NULL, NULL), (73101, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 19:46:10', NULL, NULL), (73102, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 19:46:10', NULL, NULL), (73103, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 19:46:10', NULL, NULL), (73104, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 19:46:10', NULL, NULL), (73105, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 19:46:11', NULL, NULL), (73106, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 19:46:11', NULL, NULL), (73107, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 19:46:11', NULL, NULL), (73108, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 19:46:11', NULL, NULL), (73109, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 19:46:11', NULL, NULL), (73110, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 19:46:11', NULL, NULL), (73111, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 19:46:11', NULL, NULL), (73112, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 19:46:11', NULL, NULL), (73113, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 19:46:11', NULL, NULL), (73114, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 19:46:11', NULL, NULL), (73115, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 19:46:11', NULL, NULL), (73116, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 19:46:11', NULL, NULL), (73117, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 19:46:11', NULL, NULL), (73118, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 19:46:11', NULL, NULL), (73119, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 19:46:11', NULL, NULL), (73120, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 19:46:11', NULL, NULL), (73121, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 19:46:11', NULL, NULL), (73122, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 19:46:11', NULL, NULL), (73123, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 19:46:11', NULL, NULL), (73124, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 19:46:11', NULL, NULL), (73125, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 19:46:11', NULL, NULL), (73126, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 19:46:11', NULL, NULL), (73127, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 19:46:11', NULL, NULL), (73128, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 19:46:11', NULL, NULL), (73129, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 19:46:11', NULL, NULL), (73130, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 19:46:11', NULL, NULL), (73131, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 19:46:11', NULL, NULL), (73132, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 19:46:11', NULL, NULL), (73133, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 19:46:11', NULL, NULL), (73134, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 19:46:11', NULL, NULL), (73135, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 19:46:11', NULL, NULL), (73136, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 19:46:11', NULL, NULL), (73137, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 19:46:11', NULL, NULL), (73138, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 19:46:11', NULL, NULL), (73139, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 19:46:11', NULL, NULL), (73140, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 19:46:11', NULL, NULL), (73141, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 19:46:11', NULL, NULL), (73142, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 19:46:11', NULL, NULL), (73143, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 19:46:11', NULL, NULL), (73144, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 19:46:11', NULL, NULL), (73145, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 19:46:11', NULL, NULL), (73146, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 19:46:11', NULL, NULL), (73147, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 19:46:11', NULL, NULL), (73148, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 19:46:11', NULL, NULL), (73149, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 19:46:11', NULL, NULL), (73150, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 19:46:11', NULL, NULL), (73151, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 19:46:11', NULL, NULL), (73152, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 19:46:11', NULL, NULL), (73153, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 19:46:11', NULL, NULL), (73154, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 19:46:11', NULL, NULL), (73155, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 19:46:11', NULL, NULL), (73156, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 19:46:11', NULL, NULL), (73157, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 19:46:11', NULL, NULL), (73158, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 19:46:11', NULL, NULL), (73159, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 19:46:11', NULL, NULL), (73160, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 19:46:11', NULL, NULL), (73161, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 19:46:11', NULL, NULL), (73162, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 19:46:11', NULL, NULL), (73163, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 19:46:11', NULL, NULL), (73164, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 19:46:11', NULL, NULL), (73165, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 19:46:11', NULL, NULL), (73166, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 19:46:11', NULL, NULL), (73167, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 19:46:11', NULL, NULL), (73168, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 19:46:11', NULL, NULL), (73169, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 19:46:11', NULL, NULL), (73170, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 19:46:11', NULL, NULL), (73171, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 19:46:11', NULL, NULL), (73172, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 19:46:11', NULL, NULL), (73173, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 19:46:11', NULL, NULL), (73174, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 19:46:12', NULL, NULL), (73175, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 19:46:12', NULL, NULL), (73176, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 19:46:12', NULL, NULL), (73177, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 19:46:12', NULL, NULL), (73178, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 19:46:12', NULL, NULL), (73179, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 19:46:12', NULL, NULL), (73180, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 19:46:12', NULL, NULL), (73181, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 19:46:12', NULL, NULL), (73182, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 19:46:12', NULL, NULL), (73183, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 19:46:12', NULL, NULL), (73184, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 19:46:12', NULL, NULL), (73185, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 19:46:12', NULL, NULL), (73186, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 19:46:12', NULL, NULL), (73187, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 19:46:12', NULL, NULL), (73188, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 19:46:12', NULL, NULL), (73189, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 19:46:12', NULL, NULL), (73190, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 19:46:12', NULL, NULL), (73191, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 19:46:12', NULL, NULL), (73192, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 19:46:12', NULL, NULL), (73193, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 19:46:12', NULL, NULL), (73194, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 19:46:12', NULL, NULL), (73195, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 19:46:12', NULL, NULL), (73196, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 19:46:12', NULL, NULL), (73197, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 19:46:12', NULL, NULL), (73198, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 19:46:12', NULL, NULL), (73199, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 19:46:12', NULL, NULL), (73200, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 19:46:12', NULL, NULL), (73201, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 19:46:12', NULL, NULL), (73202, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 19:46:12', NULL, NULL), (73203, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 19:46:12', NULL, NULL), (73204, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 19:46:12', NULL, NULL), (73205, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 19:46:12', NULL, NULL), (73206, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 19:46:12', NULL, NULL), (73207, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 19:46:12', NULL, NULL), (73208, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 19:46:12', NULL, NULL), (73209, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 19:46:12', NULL, NULL), (73210, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 19:46:12', NULL, NULL), (73211, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 19:46:12', NULL, NULL), (73212, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 19:46:12', NULL, NULL), (73213, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 19:46:12', NULL, NULL), (73214, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 19:46:12', NULL, NULL), (73215, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 19:46:12', NULL, NULL), (73216, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 19:46:12', NULL, NULL), (73217, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 19:46:12', NULL, NULL), (73218, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 19:46:12', NULL, NULL), (73219, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 19:46:12', NULL, NULL), (73220, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 19:46:12', NULL, NULL), (73221, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 19:46:12', NULL, NULL), (73222, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 19:46:12', NULL, NULL), (73223, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 19:46:12', NULL, NULL), (73224, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 19:46:12', NULL, NULL), (73225, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 19:46:12', NULL, NULL), (73226, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 19:46:12', NULL, NULL), (73227, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 19:46:12', NULL, NULL), (73228, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 19:46:12', NULL, NULL), (73229, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 19:46:12', NULL, NULL), (73230, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 19:46:12', NULL, NULL), (73231, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 19:46:12', NULL, NULL), (73232, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 19:46:12', NULL, NULL), (73233, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 19:46:12', NULL, NULL), (73234, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 19:46:12', NULL, NULL), (73235, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 19:46:12', NULL, NULL), (73236, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 19:46:12', NULL, NULL), (73237, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 19:46:13', NULL, NULL), (73238, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 19:46:13', NULL, NULL), (73239, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 19:46:13', NULL, NULL), (73240, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 19:46:13', NULL, NULL), (73241, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 19:46:13', NULL, NULL), (73242, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 19:46:13', NULL, NULL), (73243, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 19:46:13', NULL, NULL), (73244, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 19:46:13', NULL, NULL), (73245, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 19:46:13', NULL, NULL), (73246, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 19:46:13', NULL, NULL), (73247, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 19:46:13', NULL, NULL), (73248, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 19:46:13', NULL, NULL), (73249, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 19:46:13', NULL, NULL), (73250, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 19:46:13', NULL, NULL), (73251, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 19:46:13', NULL, NULL), (73252, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 19:46:13', NULL, NULL), (73253, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 19:46:13', NULL, NULL), (73254, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 19:46:13', NULL, NULL), (73255, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 19:46:13', NULL, NULL), (73256, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 19:46:13', NULL, NULL), (73257, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 19:46:13', NULL, NULL), (73258, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 19:46:13', NULL, NULL), (73259, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 19:46:13', NULL, NULL), (73260, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 19:46:13', NULL, NULL), (73261, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 19:46:13', NULL, NULL), (73262, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 19:46:13', NULL, NULL), (73263, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 19:46:13', NULL, NULL), (73264, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 19:46:13', NULL, NULL), (73265, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 19:46:13', NULL, NULL), (73266, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 19:46:13', NULL, NULL), (73267, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 19:46:13', NULL, NULL), (73268, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 19:46:13', NULL, NULL), (73269, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 19:46:13', NULL, NULL), (73270, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 19:46:13', NULL, NULL), (73271, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 19:46:13', NULL, NULL), (73272, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 19:46:13', NULL, NULL), (73273, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 19:46:13', NULL, NULL), (73274, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 19:46:13', NULL, NULL), (73275, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 19:46:13', NULL, NULL), (73276, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 19:46:13', NULL, NULL), (73277, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 19:46:13', NULL, NULL), (73278, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 19:46:13', NULL, NULL), (73279, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 19:46:13', NULL, NULL), (73280, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 19:46:13', NULL, NULL), (73281, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 19:46:13', NULL, NULL), (73282, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 19:46:13', NULL, NULL), (73283, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 19:46:13', NULL, NULL), (73284, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 19:46:13', NULL, NULL), (73285, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 19:46:13', NULL, NULL), (73286, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 19:46:13', NULL, NULL), (73287, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 19:46:13', NULL, NULL), (73288, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 19:46:13', NULL, NULL), (73289, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 19:46:13', NULL, NULL), (73290, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 19:46:13', 1, '2024-08-05 22:12:34'), (73291, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 19:46:13', 1, '2024-08-06 02:01:47'), (73292, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 19:46:13', 1, '2024-08-07 01:00:32'), (73293, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 19:46:13', 1, '2024-08-08 01:00:31'), (73294, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 19:46:13', 1, '2024-08-09 01:00:32'), (73295, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 19:58:17', NULL, NULL), (73296, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 19:58:17', NULL, NULL), (73297, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 19:58:17', NULL, NULL), (73298, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 19:58:17', NULL, NULL), (73299, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 19:58:17', NULL, NULL), (73300, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 19:58:17', NULL, NULL), (73301, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 19:58:17', NULL, NULL), (73302, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 19:58:17', NULL, NULL), (73303, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 19:58:17', NULL, NULL), (73304, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 19:58:17', NULL, NULL), (73305, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 19:58:17', NULL, NULL), (73306, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 19:58:17', NULL, NULL), (73307, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 19:58:17', NULL, NULL), (73308, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 19:58:17', NULL, NULL), (73309, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 19:58:17', NULL, NULL), (73310, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 19:58:17', NULL, NULL), (73311, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 19:58:17', NULL, NULL), (73312, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 19:58:17', NULL, NULL), (73313, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 19:58:17', NULL, NULL), (73314, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 19:58:17', NULL, NULL), (73315, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 19:58:17', NULL, NULL), (73316, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 19:58:17', NULL, NULL), (73317, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 19:58:17', NULL, NULL), (73318, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 19:58:17', NULL, NULL), (73319, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 19:58:17', NULL, NULL), (73320, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 19:58:17', NULL, NULL), (73321, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 19:58:17', NULL, NULL), (73322, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 19:58:17', NULL, NULL), (73323, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 19:58:17', NULL, NULL), (73324, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 19:58:17', NULL, NULL), (73325, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 19:58:17', NULL, NULL), (73326, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 19:58:17', NULL, NULL), (73327, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 19:58:17', NULL, NULL), (73328, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 19:58:17', NULL, NULL), (73329, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 19:58:17', NULL, NULL), (73330, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 19:58:17', NULL, NULL), (73331, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 19:58:17', NULL, NULL), (73332, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 19:58:17', NULL, NULL), (73333, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 19:58:17', NULL, NULL), (73334, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 19:58:17', NULL, NULL), (73335, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 19:58:17', NULL, NULL), (73336, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 19:58:17', NULL, NULL), (73337, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 19:58:17', NULL, NULL), (73338, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 19:58:17', NULL, NULL), (73339, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 19:58:17', NULL, NULL), (73340, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 19:58:17', NULL, NULL), (73341, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 19:58:17', NULL, NULL), (73342, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 19:58:17', NULL, NULL), (73343, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 19:58:17', NULL, NULL), (73344, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 19:58:17', NULL, NULL), (73345, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 19:58:17', NULL, NULL), (73346, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 19:58:17', NULL, NULL), (73347, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 19:58:17', NULL, NULL), (73348, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 19:58:17', NULL, NULL), (73349, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 19:58:17', NULL, NULL), (73350, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 19:58:17', NULL, NULL), (73351, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 19:58:17', NULL, NULL), (73352, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 19:58:17', NULL, NULL), (73353, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 19:58:17', NULL, NULL), (73354, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 19:58:17', NULL, NULL), (73355, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 19:58:17', NULL, NULL), (73356, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 19:58:17', NULL, NULL), (73357, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 19:58:18', NULL, NULL), (73358, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 19:58:18', NULL, NULL), (73359, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 19:58:18', NULL, NULL), (73360, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 19:58:18', NULL, NULL), (73361, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 19:58:18', NULL, NULL), (73362, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 19:58:18', NULL, NULL), (73363, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 19:58:18', NULL, NULL), (73364, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 19:58:18', NULL, NULL), (73365, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 19:58:18', NULL, NULL), (73366, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 19:58:18', NULL, NULL), (73367, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 19:58:18', NULL, NULL), (73368, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 19:58:18', NULL, NULL), (73369, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 19:58:18', NULL, NULL), (73370, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 19:58:18', NULL, NULL), (73371, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 19:58:18', NULL, NULL), (73372, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 19:58:18', NULL, NULL), (73373, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 19:58:18', NULL, NULL), (73374, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 19:58:18', NULL, NULL), (73375, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 19:58:18', NULL, NULL), (73376, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 19:58:18', NULL, NULL), (73377, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 19:58:18', NULL, NULL), (73378, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 19:58:18', NULL, NULL), (73379, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 19:58:18', NULL, NULL), (73380, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 19:58:18', NULL, NULL), (73381, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 19:58:18', NULL, NULL), (73382, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 19:58:18', NULL, NULL), (73383, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 19:58:18', NULL, NULL), (73384, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 19:58:18', NULL, NULL), (73385, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 19:58:18', NULL, NULL), (73386, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 19:58:18', NULL, NULL), (73387, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 19:58:18', NULL, NULL), (73388, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 19:58:18', NULL, NULL), (73389, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 19:58:18', NULL, NULL), (73390, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 19:58:18', NULL, NULL), (73391, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 19:58:18', NULL, NULL), (73392, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 19:58:18', NULL, NULL), (73393, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 19:58:18', NULL, NULL), (73394, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 19:58:18', NULL, NULL), (73395, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 19:58:18', NULL, NULL), (73396, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 19:58:18', NULL, NULL), (73397, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 19:58:18', NULL, NULL), (73398, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 19:58:18', NULL, NULL), (73399, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 19:58:18', NULL, NULL), (73400, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 19:58:18', NULL, NULL), (73401, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 19:58:18', NULL, NULL), (73402, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 19:58:18', NULL, NULL), (73403, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 19:58:18', NULL, NULL), (73404, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 19:58:18', NULL, NULL), (73405, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 19:58:18', NULL, NULL), (73406, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 19:58:18', NULL, NULL), (73407, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 19:58:18', NULL, NULL), (73408, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 19:58:18', NULL, NULL), (73409, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 19:58:18', NULL, NULL), (73410, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 19:58:18', NULL, NULL), (73411, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 19:58:18', NULL, NULL), (73412, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 19:58:18', NULL, NULL), (73413, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 19:58:18', NULL, NULL), (73414, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 19:58:18', NULL, NULL), (73415, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 19:58:18', NULL, NULL), (73416, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 19:58:18', NULL, NULL), (73417, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 19:58:18', NULL, NULL), (73418, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 19:58:18', NULL, NULL), (73419, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 19:58:18', NULL, NULL), (73420, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 19:58:18', NULL, NULL), (73421, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 19:58:18', NULL, NULL), (73422, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 19:58:18', NULL, NULL), (73423, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 19:58:18', NULL, NULL), (73424, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 19:58:18', NULL, NULL), (73425, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 19:58:18', NULL, NULL), (73426, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 19:58:18', NULL, NULL), (73427, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 19:58:18', NULL, NULL), (73428, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 19:58:18', NULL, NULL), (73429, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 19:58:18', NULL, NULL), (73430, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 19:58:18', NULL, NULL), (73431, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 19:58:18', NULL, NULL), (73432, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 19:58:18', NULL, NULL), (73433, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 19:58:18', NULL, NULL), (73434, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 19:58:18', NULL, NULL), (73435, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 19:58:18', NULL, NULL), (73436, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 19:58:19', NULL, NULL), (73437, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 19:58:19', NULL, NULL), (73438, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 19:58:19', NULL, NULL), (73439, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 19:58:19', NULL, NULL), (73440, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 19:58:19', NULL, NULL), (73441, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 19:58:19', NULL, NULL), (73442, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 19:58:19', NULL, NULL), (73443, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 19:58:19', NULL, NULL), (73444, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 19:58:19', NULL, NULL), (73445, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 19:58:19', NULL, NULL), (73446, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 19:58:19', NULL, NULL), (73447, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 19:58:19', NULL, NULL), (73448, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 19:58:19', NULL, NULL), (73449, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 19:58:19', NULL, NULL), (73450, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 19:58:19', NULL, NULL), (73451, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 19:58:19', NULL, NULL), (73452, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 19:58:19', NULL, NULL), (73453, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 19:58:19', NULL, NULL), (73454, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 19:58:19', NULL, NULL), (73455, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 19:58:19', NULL, NULL), (73456, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 19:58:19', NULL, NULL), (73457, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 19:58:19', NULL, NULL), (73458, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 19:58:19', NULL, NULL), (73459, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 19:58:19', NULL, NULL), (73460, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 19:58:19', NULL, NULL), (73461, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 19:58:19', NULL, NULL), (73462, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 19:58:19', NULL, NULL), (73463, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 19:58:19', NULL, NULL), (73464, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 19:58:19', NULL, NULL), (73465, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 19:58:19', NULL, NULL), (73466, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 19:58:19', NULL, NULL), (73467, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 19:58:19', NULL, NULL), (73468, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 19:58:19', NULL, NULL), (73469, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 19:58:19', NULL, NULL), (73470, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 19:58:19', NULL, NULL), (73471, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 19:58:19', NULL, NULL), (73472, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 19:58:19', NULL, NULL), (73473, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 19:58:19', NULL, NULL), (73474, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 19:58:19', NULL, NULL), (73475, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 19:58:19', NULL, NULL), (73476, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 19:58:19', NULL, NULL), (73477, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 19:58:19', NULL, NULL), (73478, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 19:58:19', NULL, NULL), (73479, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 19:58:19', NULL, NULL), (73480, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 19:58:19', NULL, NULL), (73481, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 19:58:19', NULL, NULL), (73482, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 19:58:19', NULL, NULL), (73483, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 19:58:19', NULL, NULL), (73484, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 19:58:19', NULL, NULL), (73485, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 19:58:19', NULL, NULL), (73486, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 19:58:19', NULL, NULL), (73487, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 19:58:19', NULL, NULL), (73488, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 19:58:19', NULL, NULL), (73489, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 19:58:19', NULL, NULL), (73490, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 19:58:19', NULL, NULL), (73491, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 19:58:19', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (73492, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 19:58:19', NULL, NULL), (73493, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 19:58:19', NULL, NULL), (73494, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 19:58:19', NULL, NULL), (73495, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 19:58:19', NULL, NULL), (73496, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 19:58:19', NULL, NULL), (73497, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 19:58:19', NULL, NULL), (73498, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 19:58:19', NULL, NULL), (73499, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 19:58:19', NULL, NULL), (73500, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 19:58:19', NULL, NULL), (73501, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 19:58:19', NULL, NULL), (73502, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 19:58:19', NULL, NULL), (73503, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 19:58:19', NULL, NULL), (73504, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 19:58:19', NULL, NULL), (73505, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 19:58:19', NULL, NULL), (73506, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 19:58:19', NULL, NULL), (73507, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 19:58:19', NULL, NULL), (73508, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 19:58:19', NULL, NULL), (73509, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 19:58:19', NULL, NULL), (73510, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 19:58:19', NULL, NULL), (73511, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 19:58:19', NULL, NULL), (73512, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 19:58:20', NULL, NULL), (73513, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 19:58:20', NULL, NULL), (73514, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 19:58:20', NULL, NULL), (73515, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 19:58:20', NULL, NULL), (73516, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 19:58:20', NULL, NULL), (73517, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 19:58:20', NULL, NULL), (73518, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 19:58:20', NULL, NULL), (73519, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 19:58:20', NULL, NULL), (73520, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 19:58:20', NULL, NULL), (73521, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 19:58:20', NULL, NULL), (73522, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 19:58:20', NULL, NULL), (73523, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 19:58:20', NULL, NULL), (73524, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 19:58:20', NULL, NULL), (73525, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 19:58:20', NULL, NULL), (73526, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 19:58:20', NULL, NULL), (73527, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 19:58:20', NULL, NULL), (73528, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 19:58:20', NULL, NULL), (73529, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 19:58:20', NULL, NULL), (73530, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 19:58:20', NULL, NULL), (73531, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 19:58:20', NULL, NULL), (73532, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 19:58:20', NULL, NULL), (73533, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 19:58:20', NULL, NULL), (73534, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 19:58:20', NULL, NULL), (73535, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 19:58:20', NULL, NULL), (73536, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 19:58:20', NULL, NULL), (73537, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 19:58:20', NULL, NULL), (73538, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 19:58:20', NULL, NULL), (73539, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 19:58:20', NULL, NULL), (73540, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 19:58:20', NULL, NULL), (73541, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 19:58:20', NULL, NULL), (73542, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 19:58:20', NULL, NULL), (73543, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 19:58:20', NULL, NULL), (73544, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 19:58:20', NULL, NULL), (73545, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 19:58:20', NULL, NULL), (73546, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 19:58:20', NULL, NULL), (73547, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 19:58:20', NULL, NULL), (73548, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 19:58:20', NULL, NULL), (73549, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 19:58:20', NULL, NULL), (73550, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 19:58:20', NULL, NULL), (73551, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 19:58:20', NULL, NULL), (73552, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 19:58:20', NULL, NULL), (73553, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 19:58:20', NULL, NULL), (73554, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 19:58:20', NULL, NULL), (73555, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 19:58:20', NULL, NULL), (73556, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 19:58:20', NULL, NULL), (73557, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 19:58:20', NULL, NULL), (73558, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 19:58:20', NULL, NULL), (73559, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 19:58:20', NULL, NULL), (73560, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 19:58:20', NULL, NULL), (73561, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 19:58:20', NULL, NULL), (73562, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 19:58:20', NULL, NULL), (73563, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 19:58:20', NULL, NULL), (73564, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 19:58:20', NULL, NULL), (73565, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 19:58:20', NULL, NULL), (73566, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 19:58:20', NULL, NULL), (73567, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 19:58:20', NULL, NULL), (73568, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 19:58:20', NULL, NULL), (73569, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 19:58:20', NULL, NULL), (73570, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 19:58:20', NULL, NULL), (73571, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 19:58:20', NULL, NULL), (73572, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 19:58:20', NULL, NULL), (73573, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 19:58:20', NULL, NULL), (73574, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 19:58:20', NULL, NULL), (73575, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 19:58:20', NULL, NULL), (73576, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 19:58:20', NULL, NULL), (73577, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 19:58:20', NULL, NULL), (73578, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 19:58:20', NULL, NULL), (73579, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 19:58:20', NULL, NULL), (73580, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 19:58:20', NULL, NULL), (73581, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 19:58:20', NULL, NULL), (73582, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 19:58:20', NULL, NULL), (73583, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 19:58:20', NULL, NULL), (73584, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 19:58:20', NULL, NULL), (73585, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 19:58:20', NULL, NULL), (73586, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 19:58:20', NULL, NULL), (73587, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 19:58:20', NULL, NULL), (73588, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 19:58:20', NULL, NULL), (73589, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 19:58:20', NULL, NULL), (73590, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 19:58:20', NULL, NULL), (73591, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 19:58:20', NULL, NULL), (73592, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 19:58:20', NULL, NULL), (73593, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 19:58:20', NULL, NULL), (73594, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 19:58:20', NULL, NULL), (73595, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 19:58:20', NULL, NULL), (73596, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 19:58:20', NULL, NULL), (73597, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 19:58:20', NULL, NULL), (73598, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 19:58:20', NULL, NULL), (73599, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 19:58:20', NULL, NULL), (73600, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 19:58:20', NULL, NULL), (73601, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 19:58:20', NULL, NULL), (73602, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 19:58:20', NULL, NULL), (73603, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 19:58:20', NULL, NULL), (73604, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 19:58:20', NULL, NULL), (73605, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 19:58:20', NULL, NULL), (73606, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 19:58:20', NULL, NULL), (73607, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 19:58:20', NULL, NULL), (73608, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 19:58:20', NULL, NULL), (73609, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 19:58:20', NULL, NULL), (73610, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 19:58:20', NULL, NULL), (73611, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 19:58:20', NULL, NULL), (73612, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 19:58:20', NULL, NULL), (73613, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 19:58:20', NULL, NULL), (73614, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 19:58:20', NULL, NULL), (73615, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 19:58:20', NULL, NULL), (73616, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 19:58:20', NULL, NULL), (73617, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 19:58:20', NULL, NULL), (73618, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 19:58:20', NULL, NULL), (73619, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 19:58:20', NULL, NULL), (73620, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 19:58:20', NULL, NULL), (73621, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 19:58:20', NULL, NULL), (73622, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 19:58:20', NULL, NULL), (73623, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 19:58:20', NULL, NULL), (73624, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 19:58:20', NULL, NULL), (73625, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 19:58:20', NULL, NULL), (73626, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 19:58:20', NULL, NULL), (73627, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 19:58:20', NULL, NULL), (73628, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 19:58:21', NULL, NULL), (73629, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 19:58:21', NULL, NULL), (73630, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 19:58:21', NULL, NULL), (73631, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 19:58:21', NULL, NULL), (73632, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 19:58:21', NULL, NULL), (73633, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 19:58:21', NULL, NULL), (73634, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 19:58:21', NULL, NULL), (73635, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 19:58:21', NULL, NULL), (73636, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 19:58:21', NULL, NULL), (73637, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 19:58:21', NULL, NULL), (73638, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 19:58:21', NULL, NULL), (73639, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 19:58:21', NULL, NULL), (73640, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 19:58:21', NULL, NULL), (73641, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 19:58:21', NULL, NULL), (73642, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 19:58:21', NULL, NULL), (73643, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 19:58:21', NULL, NULL), (73644, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 19:58:21', NULL, NULL), (73645, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 19:58:21', NULL, NULL), (73646, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 19:58:21', NULL, NULL), (73647, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 19:58:21', NULL, NULL), (73648, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 19:58:21', NULL, NULL), (73649, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 19:58:21', NULL, NULL), (73650, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 19:58:21', NULL, NULL), (73651, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 19:58:21', NULL, NULL), (73652, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 19:58:21', NULL, NULL), (73653, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 19:58:21', NULL, NULL), (73654, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 19:58:21', NULL, NULL), (73655, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 19:58:21', NULL, NULL), (73656, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 19:58:21', NULL, NULL), (73657, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 19:58:21', NULL, NULL), (73658, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 19:58:21', NULL, NULL), (73659, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 19:58:21', NULL, NULL), (73660, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 19:58:21', NULL, NULL), (73661, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 19:58:21', NULL, NULL), (73662, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 19:58:21', NULL, NULL), (73663, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 19:58:21', NULL, NULL), (73664, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 19:58:21', NULL, NULL), (73665, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 19:58:21', NULL, NULL), (73666, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 19:58:21', NULL, NULL), (73667, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 19:58:21', NULL, NULL), (73668, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 19:58:21', NULL, NULL), (73669, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 19:58:21', NULL, NULL), (73670, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 19:58:21', NULL, NULL), (73671, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 19:58:21', NULL, NULL), (73672, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 19:58:21', NULL, NULL), (73673, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 19:58:21', NULL, NULL), (73674, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 19:58:21', NULL, NULL), (73675, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 19:58:21', NULL, NULL), (73676, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 19:58:21', NULL, NULL), (73677, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 19:58:21', NULL, NULL), (73678, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 19:58:21', NULL, NULL), (73679, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 19:58:21', NULL, NULL), (73680, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 19:58:21', NULL, NULL), (73681, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 19:58:21', NULL, NULL), (73682, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 19:58:21', NULL, NULL), (73683, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 19:58:21', NULL, NULL), (73684, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 19:58:21', NULL, NULL), (73685, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 19:58:21', NULL, NULL), (73686, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 19:58:21', NULL, NULL), (73687, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 19:58:21', NULL, NULL), (73688, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 19:58:21', NULL, NULL), (73689, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 19:58:21', NULL, NULL), (73690, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 19:58:21', NULL, NULL), (73691, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 19:58:21', NULL, NULL), (73692, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 19:58:21', NULL, NULL), (73693, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 19:58:21', NULL, NULL), (73694, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 19:58:21', NULL, NULL), (73695, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 19:58:21', NULL, NULL), (73696, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 19:58:21', NULL, NULL), (73697, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 19:58:21', NULL, NULL), (73698, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 19:58:21', NULL, NULL), (73699, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 19:58:21', NULL, NULL), (73700, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 19:58:21', NULL, NULL), (73701, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 19:58:21', NULL, NULL), (73702, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 19:58:22', NULL, NULL), (73703, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 19:58:22', NULL, NULL), (73704, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 19:58:22', NULL, NULL), (73705, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 19:58:22', NULL, NULL), (73706, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 19:58:22', NULL, NULL), (73707, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 19:58:22', NULL, NULL), (73708, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 19:58:22', NULL, NULL), (73709, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 19:58:22', NULL, NULL), (73710, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 19:58:22', NULL, NULL), (73711, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 19:58:22', NULL, NULL), (73712, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 19:58:22', NULL, NULL), (73713, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 19:58:22', NULL, NULL), (73714, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 19:58:22', NULL, NULL), (73715, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 19:58:22', NULL, NULL), (73716, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 19:58:22', NULL, NULL), (73717, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 19:58:22', NULL, NULL), (73718, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 19:58:22', NULL, NULL), (73719, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 19:58:22', NULL, NULL), (73720, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 19:58:22', NULL, NULL), (73721, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 19:58:22', NULL, NULL), (73722, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 19:58:22', NULL, NULL), (73723, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 19:58:22', NULL, NULL), (73724, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 19:58:22', NULL, NULL), (73725, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 19:58:22', NULL, NULL), (73726, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 19:58:22', NULL, NULL), (73727, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 19:58:22', NULL, NULL), (73728, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 19:58:22', NULL, NULL), (73729, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 19:58:22', NULL, NULL), (73730, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 19:58:22', NULL, NULL), (73731, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 19:58:22', NULL, NULL), (73732, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 19:58:22', NULL, NULL), (73733, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 19:58:22', NULL, NULL), (73734, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 19:58:22', NULL, NULL), (73735, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 19:58:22', NULL, NULL), (73736, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 19:58:22', NULL, NULL), (73737, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 19:58:22', NULL, NULL), (73738, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 19:58:22', NULL, NULL), (73739, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 19:58:22', NULL, NULL), (73740, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 19:58:22', NULL, NULL), (73741, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 19:58:22', NULL, NULL), (73742, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 19:58:22', NULL, NULL), (73743, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 19:58:22', NULL, NULL), (73744, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 19:58:22', NULL, NULL), (73745, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 19:58:22', NULL, NULL), (73746, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 19:58:22', NULL, NULL), (73747, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 19:58:22', NULL, NULL), (73748, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 19:58:22', NULL, NULL), (73749, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 19:58:22', NULL, NULL), (73750, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 19:58:22', NULL, NULL), (73751, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 19:58:22', NULL, NULL), (73752, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 19:58:22', NULL, NULL), (73753, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 19:58:22', NULL, NULL), (73754, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 19:58:22', NULL, NULL), (73755, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 19:58:22', NULL, NULL), (73756, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 19:58:22', NULL, NULL), (73757, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 19:58:22', NULL, NULL), (73758, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 19:58:22', NULL, NULL), (73759, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 19:58:22', NULL, NULL), (73760, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 19:58:22', NULL, NULL), (73761, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 19:58:22', NULL, NULL), (73762, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 19:58:22', NULL, NULL), (73763, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 19:58:22', NULL, NULL), (73764, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 19:58:23', NULL, NULL), (73765, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 19:58:23', NULL, NULL), (73766, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 19:58:23', NULL, NULL), (73767, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 19:58:23', NULL, NULL), (73768, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 19:58:23', NULL, NULL), (73769, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 19:58:23', NULL, NULL), (73770, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 19:58:23', NULL, NULL), (73771, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 19:58:23', NULL, NULL), (73772, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 19:58:23', NULL, NULL), (73773, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 19:58:23', NULL, NULL), (73774, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 19:58:23', NULL, NULL), (73775, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 19:58:23', NULL, NULL), (73776, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 19:58:23', NULL, NULL), (73777, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 19:58:23', NULL, NULL), (73778, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 19:58:23', NULL, NULL), (73779, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 19:58:23', NULL, NULL), (73780, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 19:58:23', NULL, NULL), (73781, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 19:58:23', NULL, NULL), (73782, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 19:58:23', NULL, NULL), (73783, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 19:58:23', NULL, NULL), (73784, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 19:58:23', NULL, NULL), (73785, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 19:58:23', NULL, NULL), (73786, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 19:58:23', NULL, NULL), (73787, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 19:58:23', NULL, NULL), (73788, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 19:58:23', NULL, NULL), (73789, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 19:58:23', NULL, NULL), (73790, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 19:58:23', NULL, NULL), (73791, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 19:58:23', NULL, NULL), (73792, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 19:58:23', NULL, NULL), (73793, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 19:58:23', NULL, NULL), (73794, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 19:58:23', NULL, NULL), (73795, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 19:58:23', NULL, NULL), (73796, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 19:58:23', NULL, NULL), (73797, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 19:58:23', NULL, NULL), (73798, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 19:58:23', NULL, NULL), (73799, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 19:58:23', NULL, NULL), (73800, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 19:58:23', NULL, NULL), (73801, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 19:58:23', NULL, NULL), (73802, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 19:58:23', NULL, NULL), (73803, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 19:58:23', NULL, NULL), (73804, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 19:58:23', NULL, NULL), (73805, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 19:58:23', NULL, NULL), (73806, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 19:58:23', NULL, NULL), (73807, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 19:58:23', NULL, NULL), (73808, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 19:58:23', NULL, NULL), (73809, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 19:58:23', NULL, NULL), (73810, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 19:58:23', NULL, NULL), (73811, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 19:58:23', NULL, NULL), (73812, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 19:58:23', NULL, NULL), (73813, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 19:58:23', NULL, NULL), (73814, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 19:58:23', NULL, NULL), (73815, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 19:58:23', NULL, NULL), (73816, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 19:58:23', NULL, NULL), (73817, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 19:58:23', NULL, NULL), (73818, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 19:58:23', NULL, NULL), (73819, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 19:58:23', NULL, NULL), (73820, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 19:58:23', NULL, NULL), (73821, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 19:58:23', NULL, NULL), (73822, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 19:58:23', NULL, NULL), (73823, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 19:58:24', NULL, NULL), (73824, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 19:58:24', NULL, NULL), (73825, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 19:58:24', NULL, NULL), (73826, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 19:58:24', NULL, NULL), (73827, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 19:58:24', NULL, NULL), (73828, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 19:58:24', NULL, NULL), (73829, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 19:58:24', NULL, NULL), (73830, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 19:58:24', NULL, NULL), (73831, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 19:58:24', NULL, NULL), (73832, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 19:58:24', NULL, NULL), (73833, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 19:58:24', NULL, NULL), (73834, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 19:58:24', NULL, NULL), (73835, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 19:58:24', NULL, NULL), (73836, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 19:58:24', NULL, NULL), (73837, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 19:58:24', NULL, NULL), (73838, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 19:58:24', NULL, NULL), (73839, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 19:58:24', NULL, NULL), (73840, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 19:58:24', NULL, NULL), (73841, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 19:58:24', NULL, NULL), (73842, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 19:58:24', NULL, NULL), (73843, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 19:58:24', NULL, NULL), (73844, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 19:58:24', NULL, NULL), (73845, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 19:58:24', NULL, NULL), (73846, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 19:58:24', NULL, NULL), (73847, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 19:58:24', NULL, NULL), (73848, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 19:58:24', NULL, NULL), (73849, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 19:58:24', NULL, NULL), (73850, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 19:58:24', NULL, NULL), (73851, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 19:58:24', NULL, NULL), (73852, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 19:58:24', NULL, NULL), (73853, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 19:58:24', NULL, NULL), (73854, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 19:58:24', NULL, NULL), (73855, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 19:58:24', NULL, NULL), (73856, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 19:58:24', NULL, NULL), (73857, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 19:58:24', NULL, NULL), (73858, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 19:58:24', NULL, NULL), (73859, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 19:58:24', NULL, NULL), (73860, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 19:58:24', NULL, NULL), (73861, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 19:58:24', NULL, NULL), (73862, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 19:58:24', NULL, NULL), (73863, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 19:58:24', NULL, NULL), (73864, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 19:58:24', NULL, NULL), (73865, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 19:58:24', NULL, NULL), (73866, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 19:58:24', NULL, NULL), (73867, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 19:58:24', NULL, NULL), (73868, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 19:58:24', NULL, NULL), (73869, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 19:58:24', NULL, NULL), (73870, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 19:58:24', NULL, NULL), (73871, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 19:58:24', NULL, NULL), (73872, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 19:58:24', NULL, NULL), (73873, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 19:58:24', 1, '2024-08-05 22:12:33'), (73874, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 19:58:24', 1, '2024-08-06 02:01:39'), (73875, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 19:58:24', 1, '2024-08-07 01:00:32'), (73876, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 19:58:24', 1, '2024-08-08 01:00:38'), (73877, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 19:58:24', 1, '2024-08-09 01:00:32'), (73878, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 20:11:23', NULL, NULL), (73879, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 20:11:23', NULL, NULL), (73880, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 20:11:23', NULL, NULL), (73881, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 1, 2023, 1, 4, '2024-08-05 20:11:23', NULL, NULL), (73882, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 20:11:23', NULL, NULL), (73883, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 20:11:23', NULL, NULL), (73884, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 20:11:23', NULL, NULL), (73885, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 20:11:23', NULL, NULL), (73886, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 20:11:23', NULL, NULL), (73887, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 20:11:23', NULL, NULL), (73888, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 20:11:23', NULL, NULL), (73889, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 20:11:23', NULL, NULL), (73890, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 20:11:23', NULL, NULL), (73891, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 20:11:23', NULL, NULL), (73892, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 20:11:23', NULL, NULL), (73893, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 20:11:23', NULL, NULL), (73894, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 20:11:23', NULL, NULL), (73895, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 20:11:23', NULL, NULL), (73896, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 20:11:23', NULL, NULL), (73897, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 20:11:23', NULL, NULL), (73898, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 20:11:23', NULL, NULL), (73899, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 20:11:23', NULL, NULL), (73900, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 20:11:23', NULL, NULL), (73901, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 20:11:23', NULL, NULL), (73902, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 20:11:23', NULL, NULL), (73903, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 20:11:23', NULL, NULL), (73904, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 20:11:23', NULL, NULL), (73905, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 20:11:23', NULL, NULL), (73906, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 20:11:23', NULL, NULL), (73907, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 3, 2023, 1, 30, '2024-08-05 20:11:23', NULL, NULL), (73908, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 20:11:23', NULL, NULL), (73909, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 1, 2023, 2, 1, '2024-08-05 20:11:23', NULL, NULL), (73910, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 20:11:23', NULL, NULL), (73911, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 20:11:23', NULL, NULL), (73912, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 20:11:23', NULL, NULL), (73913, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 20:11:23', NULL, NULL), (73914, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 20:11:23', NULL, NULL), (73915, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 20:11:23', NULL, NULL), (73916, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 20:11:23', NULL, NULL), (73917, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 20:11:23', NULL, NULL), (73918, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 20:11:23', NULL, NULL), (73919, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 20:11:23', NULL, NULL), (73920, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 20:11:23', NULL, NULL), (73921, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 20:11:23', NULL, NULL), (73922, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 20:11:23', NULL, NULL), (73923, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 20:11:23', NULL, NULL), (73924, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 20:11:23', NULL, NULL), (73925, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 20:11:23', NULL, NULL), (73926, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 20:11:23', NULL, NULL), (73927, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 20:11:23', NULL, NULL), (73928, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 20:11:23', NULL, NULL), (73929, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 20:11:23', NULL, NULL), (73930, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 20:11:23', NULL, NULL), (73931, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 20:11:23', NULL, NULL), (73932, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 20:11:23', NULL, NULL), (73933, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 20:11:23', NULL, NULL), (73934, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 20:11:23', NULL, NULL), (73935, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 20:11:23', NULL, NULL), (73936, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 20:11:23', NULL, NULL), (73937, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 6, 2023, 3, 1, '2024-08-05 20:11:23', NULL, NULL), (73938, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 1, 2023, 3, 2, '2024-08-05 20:11:23', NULL, NULL), (73939, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 20:11:23', NULL, NULL), (73940, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 20:11:23', NULL, NULL), (73941, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 20:11:23', NULL, NULL), (73942, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 20:11:24', NULL, NULL), (73943, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 20:11:24', NULL, NULL), (73944, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 20:11:24', NULL, NULL), (73945, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 20:11:24', NULL, NULL), (73946, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 20:11:24', NULL, NULL), (73947, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 20:11:24', NULL, NULL), (73948, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 20:11:24', NULL, NULL), (73949, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 20:11:24', NULL, NULL), (73950, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 20:11:24', NULL, NULL), (73951, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 20:11:24', NULL, NULL), (73952, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 20:11:24', NULL, NULL), (73953, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 20:11:24', NULL, NULL), (73954, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 20:11:24', NULL, NULL), (73955, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 20:11:24', NULL, NULL), (73956, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 20:11:24', NULL, NULL), (73957, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 20:11:24', NULL, NULL), (73958, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 20:11:24', NULL, NULL), (73959, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 20:11:24', NULL, NULL), (73960, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 20:11:24', NULL, NULL), (73961, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 20:11:24', NULL, NULL), (73962, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 20:11:24', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (73963, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 20:11:24', NULL, NULL), (73964, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 20:11:24', NULL, NULL), (73965, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 20:11:24', NULL, NULL), (73966, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 20:11:24', NULL, NULL), (73967, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 20:11:24', NULL, NULL), (73968, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 20:11:24', NULL, NULL), (73969, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 20:11:24', NULL, NULL), (73970, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 2, 2023, 4, 3, '2024-08-05 20:11:24', NULL, NULL), (73971, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 5, 2023, 4, 4, '2024-08-05 20:11:24', NULL, NULL), (73972, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 20:11:24', NULL, NULL), (73973, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 20:11:24', NULL, NULL), (73974, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 20:11:24', NULL, NULL), (73975, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 20:11:24', NULL, NULL), (73976, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 20:11:24', NULL, NULL), (73977, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 20:11:24', NULL, NULL), (73978, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 20:11:24', NULL, NULL), (73979, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 5, 2023, 4, 12, '2024-08-05 20:11:24', NULL, NULL), (73980, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 20:11:24', NULL, NULL), (73981, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 1, 2023, 4, 14, '2024-08-05 20:11:24', NULL, NULL), (73982, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 20:11:24', NULL, NULL), (73983, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 20:11:24', NULL, NULL), (73984, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 20:11:24', NULL, NULL), (73985, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 20:11:24', NULL, NULL), (73986, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 20:11:24', NULL, NULL), (73987, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 20:11:24', NULL, NULL), (73988, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 20:11:24', NULL, NULL), (73989, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 20:11:24', NULL, NULL), (73990, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 20:11:24', NULL, NULL), (73991, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 20:11:24', NULL, NULL), (73992, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 20:11:24', NULL, NULL), (73993, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 20:11:24', NULL, NULL), (73994, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 20:11:24', NULL, NULL), (73995, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 20:11:24', NULL, NULL), (73996, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 20:11:25', NULL, NULL), (73997, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 20:11:25', NULL, NULL), (73998, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 20:11:25', NULL, NULL), (73999, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 20:11:25', NULL, NULL), (74000, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 20:11:25', NULL, NULL), (74001, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 20:11:25', NULL, NULL), (74002, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 20:11:25', NULL, NULL), (74003, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 20:11:25', NULL, NULL), (74004, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 20:11:25', NULL, NULL), (74005, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 20:11:25', NULL, NULL), (74006, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 20:11:25', NULL, NULL), (74007, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 20:11:25', NULL, NULL), (74008, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 20:11:25', NULL, NULL), (74009, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 20:11:25', NULL, NULL), (74010, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 20:11:25', NULL, NULL), (74011, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 20:11:25', NULL, NULL), (74012, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 20:11:25', NULL, NULL), (74013, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 20:11:25', NULL, NULL), (74014, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 20:11:25', NULL, NULL), (74015, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 20:11:25', NULL, NULL), (74016, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 20:11:25', NULL, NULL), (74017, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 20:11:25', NULL, NULL), (74018, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 20:11:25', NULL, NULL), (74019, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 20:11:25', NULL, NULL), (74020, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 20:11:25', NULL, NULL), (74021, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 20:11:25', NULL, NULL), (74022, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 20:11:25', NULL, NULL), (74023, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 20:11:25', NULL, NULL), (74024, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 20:11:25', NULL, NULL), (74025, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 20:11:25', NULL, NULL), (74026, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 20:11:25', NULL, NULL), (74027, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 20:11:25', NULL, NULL), (74028, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 2, 2023, 5, 31, '2024-08-05 20:11:25', NULL, NULL), (74029, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 20:11:25', NULL, NULL), (74030, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 20:11:25', NULL, NULL), (74031, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 20:11:25', NULL, NULL), (74032, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 20:11:25', NULL, NULL), (74033, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 20:11:25', NULL, NULL), (74034, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 20:11:25', NULL, NULL), (74035, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 20:11:25', NULL, NULL), (74036, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 20:11:25', NULL, NULL), (74037, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 20:11:25', NULL, NULL), (74038, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 20:11:25', NULL, NULL), (74039, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 20:11:25', NULL, NULL), (74040, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 20:11:25', NULL, NULL), (74041, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 20:11:25', NULL, NULL), (74042, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 20:11:25', NULL, NULL), (74043, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 20:11:25', NULL, NULL), (74044, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 20:11:25', NULL, NULL), (74045, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 20:11:25', NULL, NULL), (74046, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 20:11:25', NULL, NULL), (74047, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 20:11:25', NULL, NULL), (74048, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 2, 2023, 6, 20, '2024-08-05 20:11:25', NULL, NULL), (74049, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 1, 2023, 6, 21, '2024-08-05 20:11:25', NULL, NULL), (74050, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 20:11:25', NULL, NULL), (74051, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 20:11:26', NULL, NULL), (74052, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 20:11:26', NULL, NULL), (74053, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 2, 2023, 6, 25, '2024-08-05 20:11:26', NULL, NULL), (74054, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 20:11:26', NULL, NULL), (74055, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 6, 2023, 6, 27, '2024-08-05 20:11:26', NULL, NULL), (74056, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 20:11:26', NULL, NULL), (74057, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 20:11:26', NULL, NULL), (74058, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 20:11:26', NULL, NULL), (74059, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 20:11:26', NULL, NULL), (74060, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 20:11:26', NULL, NULL), (74061, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 20:11:26', NULL, NULL), (74062, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 20:11:26', NULL, NULL), (74063, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 20:11:26', NULL, NULL), (74064, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 20:11:26', NULL, NULL), (74065, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 20:11:26', NULL, NULL), (74066, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 20:11:26', NULL, NULL), (74067, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 20:11:26', NULL, NULL), (74068, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 20:11:26', NULL, NULL), (74069, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 20:11:26', NULL, NULL), (74070, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 20:11:26', NULL, NULL), (74071, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 20:11:26', NULL, NULL), (74072, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 20:11:26', NULL, NULL), (74073, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 20:11:26', NULL, NULL), (74074, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 20:11:26', NULL, NULL), (74075, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 20:11:26', NULL, NULL), (74076, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 20:11:26', NULL, NULL), (74077, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 20:11:26', NULL, NULL), (74078, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 20:11:26', NULL, NULL), (74079, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 1, 2023, 7, 21, '2024-08-05 20:11:26', NULL, NULL), (74080, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 20:11:26', NULL, NULL), (74081, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 20:11:26', NULL, NULL), (74082, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 20:11:26', NULL, NULL), (74083, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 20:11:26', NULL, NULL), (74084, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 20:11:26', NULL, NULL), (74085, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 20:11:26', NULL, NULL), (74086, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 20:11:26', NULL, NULL), (74087, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 20:11:26', NULL, NULL), (74088, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 20:11:26', NULL, NULL), (74089, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 20:11:26', NULL, NULL), (74090, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 20:11:26', NULL, NULL), (74091, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 20:11:26', NULL, NULL), (74092, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 20:11:26', NULL, NULL), (74093, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 20:11:26', NULL, NULL), (74094, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 20:11:26', NULL, NULL), (74095, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 20:11:26', NULL, NULL), (74096, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 20:11:26', NULL, NULL), (74097, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 20:11:26', NULL, NULL), (74098, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 20:11:26', NULL, NULL), (74099, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 3, 2023, 8, 10, '2024-08-05 20:11:26', NULL, NULL), (74100, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 20:11:26', NULL, NULL), (74101, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 20:11:26', NULL, NULL), (74102, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 1, 2023, 8, 13, '2024-08-05 20:11:26', NULL, NULL), (74103, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 20:11:27', NULL, NULL), (74104, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 20:11:27', NULL, NULL), (74105, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 20:11:27', NULL, NULL), (74106, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 20:11:27', NULL, NULL), (74107, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 20:11:27', NULL, NULL), (74108, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 20:11:27', NULL, NULL), (74109, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 20:11:27', NULL, NULL), (74110, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 20:11:27', NULL, NULL), (74111, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 20:11:27', NULL, NULL), (74112, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 20:11:27', NULL, NULL), (74113, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 20:11:27', NULL, NULL), (74114, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 20:11:27', NULL, NULL), (74115, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 20:11:27', NULL, NULL), (74116, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 20:11:27', NULL, NULL), (74117, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 20:11:27', NULL, NULL), (74118, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 20:11:27', NULL, NULL), (74119, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 20:11:27', NULL, NULL), (74120, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 20:11:27', NULL, NULL), (74121, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 20:11:27', NULL, NULL), (74122, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 20:11:27', NULL, NULL), (74123, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 20:11:27', NULL, NULL), (74124, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 20:11:27', NULL, NULL), (74125, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 20:11:27', NULL, NULL), (74126, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 20:11:27', NULL, NULL), (74127, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 20:11:27', NULL, NULL), (74128, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 20:11:27', NULL, NULL), (74129, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 20:11:27', NULL, NULL), (74130, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 1, 2023, 9, 10, '2024-08-05 20:11:27', NULL, NULL), (74131, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 20:11:27', NULL, NULL), (74132, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 20:11:27', NULL, NULL), (74133, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 20:11:27', NULL, NULL), (74134, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 20:11:27', NULL, NULL), (74135, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 20:11:27', NULL, NULL), (74136, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 20:11:27', NULL, NULL), (74137, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 20:11:27', NULL, NULL), (74138, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 20:11:27', NULL, NULL), (74139, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 20:11:27', NULL, NULL), (74140, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 20:11:27', NULL, NULL), (74141, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 20:11:27', NULL, NULL), (74142, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 20:11:27', NULL, NULL), (74143, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 20:11:27', NULL, NULL), (74144, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 20:11:27', NULL, NULL), (74145, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 20:11:27', NULL, NULL), (74146, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 20:11:27', NULL, NULL), (74147, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 20:11:27', NULL, NULL), (74148, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 20:11:27', NULL, NULL), (74149, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 20:11:27', NULL, NULL), (74150, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 20:11:27', NULL, NULL), (74151, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 20:11:27', NULL, NULL), (74152, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 20:11:27', NULL, NULL), (74153, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 20:11:27', NULL, NULL), (74154, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 20:11:27', NULL, NULL), (74155, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 20:11:27', NULL, NULL), (74156, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 20:11:27', NULL, NULL), (74157, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 20:11:27', NULL, NULL), (74158, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 20:11:27', NULL, NULL), (74159, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 20:11:27', NULL, NULL), (74160, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 20:11:27', NULL, NULL), (74161, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 20:11:27', NULL, NULL), (74162, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 20:11:27', NULL, NULL), (74163, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 20:11:27', NULL, NULL), (74164, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 20:11:27', NULL, NULL), (74165, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 20:11:27', NULL, NULL), (74166, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 1, 2023, 10, 16, '2024-08-05 20:11:27', NULL, NULL), (74167, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 20:11:27', NULL, NULL), (74168, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 20:11:27', NULL, NULL), (74169, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 1, 2023, 10, 19, '2024-08-05 20:11:27', NULL, NULL), (74170, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 20:11:27', NULL, NULL), (74171, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 20:11:27', NULL, NULL), (74172, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 20:11:27', NULL, NULL), (74173, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 20:11:27', NULL, NULL), (74174, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 20:11:27', NULL, NULL), (74175, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 20:11:27', NULL, NULL), (74176, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 20:11:27', NULL, NULL), (74177, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 20:11:27', NULL, NULL), (74178, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 20:11:27', NULL, NULL), (74179, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 20:11:27', NULL, NULL), (74180, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 20:11:27', NULL, NULL), (74181, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 20:11:27', NULL, NULL), (74182, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 20:11:27', NULL, NULL), (74183, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 20:11:27', NULL, NULL), (74184, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 7, 2023, 11, 3, '2024-08-05 20:11:27', NULL, NULL), (74185, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 20:11:28', NULL, NULL), (74186, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 20:11:28', NULL, NULL), (74187, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 20:11:28', NULL, NULL), (74188, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 20:11:28', NULL, NULL), (74189, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 20:11:28', NULL, NULL), (74190, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 20:11:28', NULL, NULL), (74191, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 20:11:28', NULL, NULL), (74192, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 20:11:28', NULL, NULL), (74193, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 20:11:28', NULL, NULL), (74194, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 20:11:28', NULL, NULL), (74195, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 20:11:28', NULL, NULL), (74196, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 20:11:28', NULL, NULL), (74197, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 20:11:28', NULL, NULL), (74198, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 20:11:28', NULL, NULL), (74199, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 20:11:28', NULL, NULL), (74200, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 20:11:28', NULL, NULL), (74201, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 20:11:28', NULL, NULL), (74202, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 20:11:28', NULL, NULL), (74203, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 20:11:28', NULL, NULL), (74204, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 3, 2023, 11, 23, '2024-08-05 20:11:28', NULL, NULL), (74205, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 1, 2023, 11, 24, '2024-08-05 20:11:28', NULL, NULL), (74206, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 20:11:28', NULL, NULL), (74207, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 20:11:28', NULL, NULL), (74208, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 20:11:28', NULL, NULL), (74209, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 20:11:28', NULL, NULL), (74210, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 20:11:28', NULL, NULL), (74211, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 20:11:28', NULL, NULL), (74212, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 20:11:28', NULL, NULL), (74213, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 20:11:28', NULL, NULL), (74214, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 20:11:28', NULL, NULL), (74215, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 20:11:28', NULL, NULL), (74216, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 20:11:28', NULL, NULL), (74217, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 20:11:28', NULL, NULL), (74218, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 20:11:28', NULL, NULL), (74219, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 20:11:28', NULL, NULL), (74220, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 20:11:28', NULL, NULL), (74221, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 20:11:28', NULL, NULL), (74222, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 3, 2023, 12, 11, '2024-08-05 20:11:28', NULL, NULL), (74223, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 20:11:28', NULL, NULL), (74224, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 20:11:28', NULL, NULL), (74225, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 20:11:28', NULL, NULL), (74226, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 20:11:28', NULL, NULL), (74227, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 20:11:28', NULL, NULL), (74228, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 20:11:28', NULL, NULL), (74229, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 20:11:29', NULL, NULL), (74230, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 20:11:29', NULL, NULL), (74231, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 20:11:29', NULL, NULL), (74232, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 20:11:29', NULL, NULL), (74233, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 20:11:29', NULL, NULL), (74234, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 20:11:29', NULL, NULL), (74235, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 20:11:29', NULL, NULL), (74236, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 20:11:29', NULL, NULL), (74237, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 20:11:29', NULL, NULL), (74238, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 20:11:29', NULL, NULL), (74239, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 20:11:29', NULL, NULL), (74240, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 20:11:29', NULL, NULL), (74241, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 20:11:29', NULL, NULL), (74242, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 20:11:29', NULL, NULL), (74243, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 20:11:29', NULL, NULL), (74244, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 20:11:29', NULL, NULL), (74245, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 20:11:29', NULL, NULL), (74246, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 20:11:29', NULL, NULL), (74247, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 20:11:29', NULL, NULL), (74248, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 20:11:29', NULL, NULL), (74249, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 20:11:29', NULL, NULL), (74250, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 20:11:29', NULL, NULL), (74251, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 20:11:29', NULL, NULL), (74252, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 20:11:29', NULL, NULL), (74253, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 20:11:29', NULL, NULL), (74254, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 20:11:29', NULL, NULL), (74255, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 20:11:29', NULL, NULL), (74256, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 20:11:29', NULL, NULL), (74257, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 20:11:29', NULL, NULL), (74258, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 20:11:29', NULL, NULL), (74259, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 20:11:29', NULL, NULL), (74260, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 20:11:29', NULL, NULL), (74261, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 20:11:29', NULL, NULL), (74262, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 20:11:29', NULL, NULL), (74263, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 20:11:29', NULL, NULL), (74264, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 20:11:29', NULL, NULL), (74265, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 20:11:30', NULL, NULL), (74266, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 20:11:30', NULL, NULL), (74267, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 20:11:30', NULL, NULL), (74268, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 20:11:30', NULL, NULL), (74269, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 20:11:30', NULL, NULL), (74270, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 20:11:30', NULL, NULL), (74271, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 20:11:30', NULL, NULL), (74272, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 20:11:30', NULL, NULL), (74273, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 20:11:30', NULL, NULL), (74274, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 20:11:30', NULL, NULL), (74275, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 20:11:30', NULL, NULL), (74276, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 20:11:30', NULL, NULL), (74277, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 20:11:30', NULL, NULL), (74278, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 20:11:30', NULL, NULL), (74279, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 20:11:30', NULL, NULL), (74280, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 20:11:31', NULL, NULL), (74281, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 20:11:31', NULL, NULL), (74282, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 20:11:31', NULL, NULL), (74283, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 20:11:31', NULL, NULL), (74284, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 20:11:31', NULL, NULL), (74285, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 20:11:31', NULL, NULL), (74286, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 20:11:31', NULL, NULL), (74287, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 20:11:31', NULL, NULL), (74288, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 20:11:31', NULL, NULL), (74289, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 20:11:31', NULL, NULL), (74290, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 20:11:31', NULL, NULL), (74291, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 20:11:31', NULL, NULL), (74292, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 20:11:31', NULL, NULL), (74293, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 20:11:31', NULL, NULL), (74294, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 20:11:31', NULL, NULL), (74295, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 20:11:32', NULL, NULL), (74296, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 20:11:32', NULL, NULL), (74297, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 20:11:32', NULL, NULL), (74298, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 20:11:32', NULL, NULL), (74299, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 20:11:32', NULL, NULL), (74300, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 20:11:32', NULL, NULL), (74301, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 20:11:32', NULL, NULL), (74302, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 20:11:32', NULL, NULL), (74303, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 20:11:32', NULL, NULL), (74304, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 20:11:32', NULL, NULL), (74305, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 20:11:32', NULL, NULL), (74306, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 20:11:32', NULL, NULL), (74307, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 20:11:32', NULL, NULL), (74308, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 20:11:32', NULL, NULL), (74309, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 20:11:33', NULL, NULL), (74310, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 20:11:33', NULL, NULL), (74311, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 20:11:33', NULL, NULL), (74312, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 20:11:33', NULL, NULL), (74313, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 20:11:33', NULL, NULL), (74314, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 20:11:33', NULL, NULL), (74315, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 20:11:33', NULL, NULL), (74316, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 20:11:33', NULL, NULL), (74317, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 20:11:33', NULL, NULL), (74318, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 20:11:33', NULL, NULL), (74319, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 20:11:33', NULL, NULL), (74320, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 20:11:33', NULL, NULL), (74321, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 20:11:33', NULL, NULL), (74322, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 20:11:34', NULL, NULL), (74323, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 20:11:34', NULL, NULL), (74324, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 20:11:34', NULL, NULL), (74325, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 20:11:34', NULL, NULL), (74326, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 20:11:34', NULL, NULL), (74327, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 20:11:34', NULL, NULL), (74328, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 20:11:34', NULL, NULL), (74329, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 20:11:34', NULL, NULL), (74330, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 20:11:34', NULL, NULL), (74331, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 20:11:34', NULL, NULL), (74332, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 20:11:34', NULL, NULL), (74333, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 20:11:34', NULL, NULL), (74334, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 20:11:34', NULL, NULL), (74335, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 20:11:34', NULL, NULL), (74336, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 20:11:35', NULL, NULL), (74337, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 20:11:35', NULL, NULL), (74338, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 20:11:35', NULL, NULL), (74339, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 20:11:35', NULL, NULL), (74340, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 20:11:35', NULL, NULL), (74341, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 20:11:35', NULL, NULL), (74342, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 20:11:35', NULL, NULL), (74343, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 20:11:35', NULL, NULL), (74344, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 20:11:35', NULL, NULL), (74345, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 20:11:35', NULL, NULL), (74346, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 20:11:35', NULL, NULL), (74347, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 20:11:35', NULL, NULL), (74348, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 20:11:35', NULL, NULL), (74349, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 20:11:36', NULL, NULL), (74350, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 20:11:36', NULL, NULL), (74351, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 20:11:36', NULL, NULL), (74352, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 20:11:36', NULL, NULL), (74353, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 20:11:36', NULL, NULL), (74354, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 20:11:36', NULL, NULL), (74355, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 20:11:36', NULL, NULL), (74356, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 20:11:36', NULL, NULL), (74357, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 20:11:36', NULL, NULL), (74358, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 20:11:36', NULL, NULL), (74359, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 20:11:36', NULL, NULL), (74360, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 20:11:36', NULL, NULL), (74361, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 20:11:36', NULL, NULL), (74362, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 20:11:36', NULL, NULL), (74363, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 20:11:37', NULL, NULL), (74364, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 20:11:37', NULL, NULL), (74365, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 20:11:37', NULL, NULL), (74366, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 20:11:37', NULL, NULL), (74367, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 20:11:37', NULL, NULL), (74368, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 20:11:37', NULL, NULL), (74369, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 20:11:37', NULL, NULL), (74370, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 20:11:37', NULL, NULL), (74371, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 20:11:37', NULL, NULL), (74372, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 20:11:37', NULL, NULL), (74373, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 20:11:37', NULL, NULL), (74374, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 20:11:37', NULL, NULL), (74375, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 20:11:37', NULL, NULL), (74376, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 20:11:38', NULL, NULL), (74377, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 20:11:38', NULL, NULL), (74378, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 20:11:38', NULL, NULL), (74379, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 20:11:38', NULL, NULL), (74380, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 20:11:38', NULL, NULL), (74381, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 20:11:38', NULL, NULL), (74382, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 20:11:38', NULL, NULL), (74383, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 20:11:38', NULL, NULL), (74384, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 20:11:38', NULL, NULL), (74385, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 20:11:38', NULL, NULL), (74386, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 20:11:38', NULL, NULL), (74387, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 20:11:38', NULL, NULL), (74388, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 20:11:38', NULL, NULL), (74389, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 20:11:38', NULL, NULL), (74390, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 20:11:39', NULL, NULL), (74391, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 20:11:39', NULL, NULL), (74392, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 20:11:39', NULL, NULL), (74393, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 20:11:39', NULL, NULL), (74394, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 20:11:39', NULL, NULL), (74395, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 20:11:39', NULL, NULL), (74396, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 20:11:39', NULL, NULL), (74397, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 20:11:39', NULL, NULL), (74398, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 20:11:39', NULL, NULL), (74399, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 20:11:39', NULL, NULL), (74400, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 20:11:39', NULL, NULL), (74401, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 20:11:39', NULL, NULL), (74402, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 20:11:39', NULL, NULL), (74403, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 20:11:40', NULL, NULL), (74404, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 20:11:40', NULL, NULL), (74405, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 20:11:40', NULL, NULL), (74406, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 20:11:40', NULL, NULL), (74407, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 20:11:40', NULL, NULL), (74408, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 20:11:40', NULL, NULL), (74409, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 20:11:40', NULL, NULL), (74410, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 20:11:40', NULL, NULL), (74411, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 20:11:40', NULL, NULL), (74412, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 20:11:40', NULL, NULL), (74413, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 20:11:40', NULL, NULL), (74414, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 20:11:40', NULL, NULL), (74415, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 20:11:40', NULL, NULL), (74416, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 20:11:40', NULL, NULL), (74417, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 20:11:41', NULL, NULL), (74418, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 20:11:41', NULL, NULL), (74419, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 20:11:41', NULL, NULL), (74420, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 20:11:41', NULL, NULL), (74421, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 20:11:41', NULL, NULL), (74422, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 20:11:41', NULL, NULL), (74423, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 20:11:41', NULL, NULL), (74424, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 20:11:41', NULL, NULL), (74425, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 20:11:41', NULL, NULL), (74426, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 20:11:41', NULL, NULL), (74427, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 20:11:41', NULL, NULL), (74428, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 20:11:41', NULL, NULL), (74429, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 20:11:41', NULL, NULL), (74430, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 20:11:42', NULL, NULL), (74431, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 20:11:42', NULL, NULL), (74432, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 20:11:42', NULL, NULL), (74433, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 20:11:42', NULL, NULL), (74434, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 20:11:42', NULL, NULL), (74435, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 20:11:42', NULL, NULL), (74436, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 20:11:42', NULL, NULL), (74437, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 20:11:42', NULL, NULL), (74438, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 20:11:42', NULL, NULL), (74439, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 20:11:42', NULL, NULL), (74440, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 20:11:42', NULL, NULL), (74441, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 20:11:42', NULL, NULL), (74442, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 20:11:42', NULL, NULL), (74443, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 20:11:42', NULL, NULL), (74444, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 20:11:42', NULL, NULL), (74445, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 20:11:42', NULL, NULL), (74446, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 20:11:42', NULL, NULL), (74447, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 20:11:42', NULL, NULL), (74448, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 20:11:42', NULL, NULL), (74449, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 20:11:42', NULL, NULL), (74450, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 20:11:43', NULL, NULL), (74451, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 20:11:43', NULL, NULL), (74452, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 20:11:43', NULL, NULL), (74453, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 20:11:43', NULL, NULL), (74454, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 20:11:43', NULL, NULL), (74455, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 20:11:43', NULL, NULL), (74456, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 20:11:43', 1, '2024-08-05 22:12:37'), (74457, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 20:11:43', 1, '2024-08-06 02:01:46'), (74458, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 20:11:43', 1, '2024-08-07 01:00:32'), (74459, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 20:11:43', 1, '2024-08-08 01:00:38');
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (74460, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 20:11:43', 1, '2024-08-09 01:00:33'), (74461, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 1, 2023, 1, 4, '2024-08-05 20:11:23', NULL, NULL), (74462, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 3, 2023, 1, 30, '2024-08-05 20:11:23', NULL, NULL), (74463, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 1, 2023, 2, 1, '2024-08-05 20:11:23', NULL, NULL), (74464, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 6, 2023, 3, 1, '2024-08-05 20:11:23', NULL, NULL), (74465, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 1, 2023, 3, 2, '2024-08-05 20:11:23', NULL, NULL), (74466, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 2, 2023, 4, 3, '2024-08-05 20:11:24', NULL, NULL), (74467, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 5, 2023, 4, 4, '2024-08-05 20:11:24', NULL, NULL), (74468, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 5, 2023, 4, 12, '2024-08-05 20:11:24', NULL, NULL), (74469, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 1, 2023, 4, 14, '2024-08-05 20:11:24', NULL, NULL), (74470, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 2, 2023, 5, 31, '2024-08-05 20:11:25', NULL, NULL), (74471, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 1, 2023, 6, 20, '2024-08-05 20:11:25', NULL, NULL), (74472, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '满意', '', '', 1, 2023, 6, 20, '2024-08-05 20:11:25', NULL, NULL), (74473, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 1, 2023, 6, 21, '2024-08-05 20:11:25', NULL, NULL), (74474, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 2, 2023, 6, 25, '2024-08-05 20:11:26', NULL, NULL), (74475, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 6, 2023, 6, 27, '2024-08-05 20:11:26', NULL, NULL), (74476, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 1, 2023, 7, 21, '2024-08-05 20:11:26', NULL, NULL), (74477, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 2, 2023, 8, 10, '2024-08-05 20:11:26', NULL, NULL), (74478, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常满意', '', '', 1, 2023, 8, 10, '2024-08-05 20:11:26', NULL, NULL), (74479, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 1, 2023, 8, 13, '2024-08-05 20:11:27', NULL, NULL), (74480, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 1, 2023, 9, 10, '2024-08-05 20:11:27', NULL, NULL), (74481, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 1, 2023, 10, 16, '2024-08-05 20:11:27', NULL, NULL), (74482, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 1, 2023, 10, 19, '2024-08-05 20:11:27', NULL, NULL), (74483, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 7, 2023, 11, 3, '2024-08-05 20:11:27', NULL, NULL), (74484, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 3, 2023, 11, 23, '2024-08-05 20:11:28', NULL, NULL), (74485, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常满意', '', '', 1, 2023, 11, 24, '2024-08-05 20:11:28', NULL, NULL), (74486, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '非常不满意', '', '', 3, 2023, 12, 11, '2024-08-05 20:11:28', NULL, NULL), (74487, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 20:24:57', NULL, NULL), (74488, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 20:24:57', NULL, NULL), (74489, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 20:24:57', NULL, NULL), (74490, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 20:24:57', NULL, NULL), (74491, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 20:24:57', NULL, NULL), (74492, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 20:24:57', NULL, NULL), (74493, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 20:24:58', NULL, NULL), (74494, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 20:24:58', NULL, NULL), (74495, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 20:24:58', NULL, NULL), (74496, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 20:24:58', NULL, NULL), (74497, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 20:24:58', NULL, NULL), (74498, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 20:24:58', NULL, NULL), (74499, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 20:24:58', NULL, NULL), (74500, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 20:24:58', NULL, NULL), (74501, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 20:24:58', NULL, NULL), (74502, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 20:24:58', NULL, NULL), (74503, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 20:24:58', NULL, NULL), (74504, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 20:24:58', NULL, NULL), (74505, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 20:24:58', NULL, NULL), (74506, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 20:24:58', NULL, NULL), (74507, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 20:24:58', NULL, NULL), (74508, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 20:24:58', NULL, NULL), (74509, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 20:24:58', NULL, NULL), (74510, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 20:24:58', NULL, NULL), (74511, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 20:24:58', NULL, NULL), (74512, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 20:24:58', NULL, NULL), (74513, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 20:24:58', NULL, NULL), (74514, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 20:24:58', NULL, NULL), (74515, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 20:24:58', NULL, NULL), (74516, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 4, 2023, 1, 30, '2024-08-05 20:24:58', NULL, NULL), (74517, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 2, 2023, 1, 31, '2024-08-05 20:24:58', NULL, NULL), (74518, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 20:24:58', NULL, NULL), (74519, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 20:24:58', NULL, NULL), (74520, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 20:24:58', NULL, NULL), (74521, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 20:24:58', NULL, NULL), (74522, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 20:24:58', NULL, NULL), (74523, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 20:24:58', NULL, NULL), (74524, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 20:24:58', NULL, NULL), (74525, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 20:24:58', NULL, NULL), (74526, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 20:24:58', NULL, NULL), (74527, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 20:24:58', NULL, NULL), (74528, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 20:24:58', NULL, NULL), (74529, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 20:24:58', NULL, NULL), (74530, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 20:24:58', NULL, NULL), (74531, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 20:24:58', NULL, NULL), (74532, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 20:24:58', NULL, NULL), (74533, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 20:24:59', NULL, NULL), (74534, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 20:24:59', NULL, NULL), (74535, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 20:24:59', NULL, NULL), (74536, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 20:24:59', NULL, NULL), (74537, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 20:24:59', NULL, NULL), (74538, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 20:24:59', NULL, NULL), (74539, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 6, 2023, 2, 22, '2024-08-05 20:24:59', NULL, NULL), (74540, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 3, 2023, 2, 23, '2024-08-05 20:24:59', NULL, NULL), (74541, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 20:24:59', NULL, NULL), (74542, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 20:24:59', NULL, NULL), (74543, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 20:24:59', NULL, NULL), (74544, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 20:24:59', NULL, NULL), (74545, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 20:24:59', NULL, NULL), (74546, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 20:24:59', NULL, NULL), (74547, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 1, 2023, 3, 2, '2024-08-05 20:24:59', NULL, NULL), (74548, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 20:24:59', NULL, NULL), (74549, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 20:24:59', NULL, NULL), (74550, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 20:24:59', NULL, NULL), (74551, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 3, 2023, 3, 6, '2024-08-05 20:24:59', NULL, NULL), (74552, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 7, 2023, 3, 7, '2024-08-05 20:24:59', NULL, NULL), (74553, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 1, 2023, 3, 8, '2024-08-05 20:24:59', NULL, NULL), (74554, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 20:24:59', NULL, NULL), (74555, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 20:24:59', NULL, NULL), (74556, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 20:24:59', NULL, NULL), (74557, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 20:24:59', NULL, NULL), (74558, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 20:24:59', NULL, NULL), (74559, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 20:24:59', NULL, NULL), (74560, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 20:24:59', NULL, NULL), (74561, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 20:24:59', NULL, NULL), (74562, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 20:24:59', NULL, NULL), (74563, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 20:24:59', NULL, NULL), (74564, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 20:24:59', NULL, NULL), (74565, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 20:24:59', NULL, NULL), (74566, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 20:24:59', NULL, NULL), (74567, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 20:24:59', NULL, NULL), (74568, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 20:24:59', NULL, NULL), (74569, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 20:24:59', NULL, NULL), (74570, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 20:24:59', NULL, NULL), (74571, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 20:25:00', NULL, NULL), (74572, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 2, 2023, 3, 27, '2024-08-05 20:25:00', NULL, NULL), (74573, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 3, 2023, 3, 28, '2024-08-05 20:25:00', NULL, NULL), (74574, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 20:25:00', NULL, NULL), (74575, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 20:25:00', NULL, NULL), (74576, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 20:25:00', NULL, NULL), (74577, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 20:25:00', NULL, NULL), (74578, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 20:25:00', NULL, NULL), (74579, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 20:25:00', NULL, NULL), (74580, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 20:25:00', NULL, NULL), (74581, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 20:25:00', NULL, NULL), (74582, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 20:25:00', NULL, NULL), (74583, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 20:25:00', NULL, NULL), (74584, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 20:25:00', NULL, NULL), (74585, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 20:25:00', NULL, NULL), (74586, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 20:25:00', NULL, NULL), (74587, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 2, 2023, 4, 11, '2024-08-05 20:25:00', NULL, NULL), (74588, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 20:25:00', NULL, NULL), (74589, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 20:25:00', NULL, NULL), (74590, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 20:25:00', NULL, NULL), (74591, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 20:25:00', NULL, NULL), (74592, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 20:25:00', NULL, NULL), (74593, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 20:25:00', NULL, NULL), (74594, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 20:25:00', NULL, NULL), (74595, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 20:25:00', NULL, NULL), (74596, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 20:25:00', NULL, NULL), (74597, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 20:25:00', NULL, NULL), (74598, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 20:25:00', NULL, NULL), (74599, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 20:25:00', NULL, NULL), (74600, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 20:25:00', NULL, NULL), (74601, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 20:25:00', NULL, NULL), (74602, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 20:25:00', NULL, NULL), (74603, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 20:25:00', NULL, NULL), (74604, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 20:25:00', NULL, NULL), (74605, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 20:25:00', NULL, NULL), (74606, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 20:25:00', NULL, NULL), (74607, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 20:25:00', NULL, NULL), (74608, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 20:25:00', NULL, NULL), (74609, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 20:25:00', NULL, NULL), (74610, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 20:25:00', NULL, NULL), (74611, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 20:25:00', NULL, NULL), (74612, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 20:25:00', NULL, NULL), (74613, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 20:25:01', NULL, NULL), (74614, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 20:25:01', NULL, NULL), (74615, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 20:25:01', NULL, NULL), (74616, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 20:25:01', NULL, NULL), (74617, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 20:25:01', NULL, NULL), (74618, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 20:25:01', NULL, NULL), (74619, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 20:25:01', NULL, NULL), (74620, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 20:25:01', NULL, NULL), (74621, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 20:25:01', NULL, NULL), (74622, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 20:25:01', NULL, NULL), (74623, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 20:25:01', NULL, NULL), (74624, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 20:25:01', NULL, NULL), (74625, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 20:25:01', NULL, NULL), (74626, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 20:25:01', NULL, NULL), (74627, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 20:25:01', NULL, NULL), (74628, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 20:25:01', NULL, NULL), (74629, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 20:25:01', NULL, NULL), (74630, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 20:25:01', NULL, NULL), (74631, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 20:25:01', NULL, NULL), (74632, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 20:25:01', NULL, NULL), (74633, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 20:25:01', NULL, NULL), (74634, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 20:25:01', NULL, NULL), (74635, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 20:25:01', NULL, NULL), (74636, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 20:25:01', NULL, NULL), (74637, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 20:25:01', NULL, NULL), (74638, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 20:25:01', NULL, NULL), (74639, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 20:25:01', NULL, NULL), (74640, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 20:25:01', NULL, NULL), (74641, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 20:25:01', NULL, NULL), (74642, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 20:25:01', NULL, NULL), (74643, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 20:25:01', NULL, NULL), (74644, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 20:25:01', NULL, NULL), (74645, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 20:25:01', NULL, NULL), (74646, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 20:25:01', NULL, NULL), (74647, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 20:25:01', NULL, NULL), (74648, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 20:25:01', NULL, NULL), (74649, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 20:25:01', NULL, NULL), (74650, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 20:25:01', NULL, NULL), (74651, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 20:25:01', NULL, NULL), (74652, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 20:25:01', NULL, NULL), (74653, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 20:25:01', NULL, NULL), (74654, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 20:25:01', NULL, NULL), (74655, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 20:25:01', NULL, NULL), (74656, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 20:25:01', NULL, NULL), (74657, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 20:25:02', NULL, NULL), (74658, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 20:25:02', NULL, NULL), (74659, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 20:25:02', NULL, NULL), (74660, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 20:25:02', NULL, NULL), (74661, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 20:25:02', NULL, NULL), (74662, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 20:25:02', NULL, NULL), (74663, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 20:25:02', NULL, NULL), (74664, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 20:25:02', NULL, NULL), (74665, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 20:25:02', NULL, NULL), (74666, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 20:25:02', NULL, NULL), (74667, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 20:25:02', NULL, NULL), (74668, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 20:25:02', NULL, NULL), (74669, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 20:25:02', NULL, NULL), (74670, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 20:25:02', NULL, NULL), (74671, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 20:25:02', NULL, NULL), (74672, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 1, 2023, 7, 5, '2024-08-05 20:25:02', NULL, NULL), (74673, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 20:25:02', NULL, NULL), (74674, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 20:25:02', NULL, NULL), (74675, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 20:25:02', NULL, NULL), (74676, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 20:25:02', NULL, NULL), (74677, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 20:25:02', NULL, NULL), (74678, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 20:25:02', NULL, NULL), (74679, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 20:25:02', NULL, NULL), (74680, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 20:25:02', NULL, NULL), (74681, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 20:25:02', NULL, NULL), (74682, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 20:25:02', NULL, NULL), (74683, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 20:25:02', NULL, NULL), (74684, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 20:25:02', NULL, NULL), (74685, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 20:25:02', NULL, NULL), (74686, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 20:25:02', NULL, NULL), (74687, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 20:25:02', NULL, NULL), (74688, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 20:25:02', NULL, NULL), (74689, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 20:25:02', NULL, NULL), (74690, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 20:25:02', NULL, NULL), (74691, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 20:25:02', NULL, NULL), (74692, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 20:25:02', NULL, NULL), (74693, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 20:25:02', NULL, NULL), (74694, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 20:25:02', NULL, NULL), (74695, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 20:25:02', NULL, NULL), (74696, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 20:25:02', NULL, NULL), (74697, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 20:25:02', NULL, NULL), (74698, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 20:25:02', NULL, NULL), (74699, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 20:25:03', NULL, NULL), (74700, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 1, 2023, 8, 2, '2024-08-05 20:25:03', NULL, NULL), (74701, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 20:25:03', NULL, NULL), (74702, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 20:25:03', NULL, NULL), (74703, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 20:25:03', NULL, NULL), (74704, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 20:25:03', NULL, NULL), (74705, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 20:25:03', NULL, NULL), (74706, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 20:25:03', NULL, NULL), (74707, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 20:25:03', NULL, NULL), (74708, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 20:25:03', NULL, NULL), (74709, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 20:25:03', NULL, NULL), (74710, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 20:25:03', NULL, NULL), (74711, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 20:25:03', NULL, NULL), (74712, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 20:25:03', NULL, NULL), (74713, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 20:25:03', NULL, NULL), (74714, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 20:25:03', NULL, NULL), (74715, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 20:25:03', NULL, NULL), (74716, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 20:25:03', NULL, NULL), (74717, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 20:25:03', NULL, NULL), (74718, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 20:25:03', NULL, NULL), (74719, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 20:25:03', NULL, NULL), (74720, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 20:25:03', NULL, NULL), (74721, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 20:25:03', NULL, NULL), (74722, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 20:25:03', NULL, NULL), (74723, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 20:25:03', NULL, NULL), (74724, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 20:25:03', NULL, NULL), (74725, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 20:25:03', NULL, NULL), (74726, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 20:25:03', NULL, NULL), (74727, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 20:25:03', NULL, NULL), (74728, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 20:25:03', NULL, NULL), (74729, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 20:25:03', NULL, NULL), (74730, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 20:25:03', NULL, NULL), (74731, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 20:25:03', NULL, NULL), (74732, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 20:25:03', NULL, NULL), (74733, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 20:25:03', NULL, NULL), (74734, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 20:25:03', NULL, NULL), (74735, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 20:25:03', NULL, NULL), (74736, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 20:25:03', NULL, NULL), (74737, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 20:25:03', NULL, NULL), (74738, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 20:25:03', NULL, NULL), (74739, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 20:25:03', NULL, NULL), (74740, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 20:25:03', NULL, NULL), (74741, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 20:25:03', NULL, NULL), (74742, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 20:25:03', NULL, NULL), (74743, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 20:25:03', NULL, NULL), (74744, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 20:25:03', NULL, NULL), (74745, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 20:25:03', NULL, NULL), (74746, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 20:25:03', NULL, NULL), (74747, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 20:25:03', NULL, NULL), (74748, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 20:25:03', NULL, NULL), (74749, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 20:25:03', NULL, NULL), (74750, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 20:25:03', NULL, NULL), (74751, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 20:25:03', NULL, NULL), (74752, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 20:25:03', NULL, NULL), (74753, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 20:25:03', NULL, NULL), (74754, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 20:25:03', NULL, NULL), (74755, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 20:25:03', NULL, NULL), (74756, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 20:25:03', NULL, NULL), (74757, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 20:25:03', NULL, NULL), (74758, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 20:25:03', NULL, NULL), (74759, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 20:25:03', NULL, NULL), (74760, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 20:25:03', NULL, NULL), (74761, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 20:25:03', NULL, NULL), (74762, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 20:25:03', NULL, NULL), (74763, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 20:25:03', NULL, NULL), (74764, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 20:25:03', NULL, NULL), (74765, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 20:25:03', NULL, NULL), (74766, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 20:25:03', NULL, NULL), (74767, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 20:25:03', NULL, NULL), (74768, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 20:25:03', NULL, NULL), (74769, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 20:25:03', NULL, NULL), (74770, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 20:25:03', NULL, NULL), (74771, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 20:25:03', NULL, NULL), (74772, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 20:25:03', NULL, NULL), (74773, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 20:25:04', NULL, NULL), (74774, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 20:25:04', NULL, NULL), (74775, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 20:25:04', NULL, NULL), (74776, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 20:25:04', NULL, NULL), (74777, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 20:25:04', NULL, NULL), (74778, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 20:25:04', NULL, NULL), (74779, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 20:25:04', NULL, NULL), (74780, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 20:25:04', NULL, NULL), (74781, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 20:25:04', NULL, NULL), (74782, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 20:25:04', NULL, NULL), (74783, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 20:25:04', NULL, NULL), (74784, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 20:25:04', NULL, NULL), (74785, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 20:25:04', NULL, NULL), (74786, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 20:25:04', NULL, NULL), (74787, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 20:25:04', NULL, NULL), (74788, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 20:25:04', NULL, NULL), (74789, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 20:25:04', NULL, NULL), (74790, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 20:25:04', NULL, NULL), (74791, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 20:25:04', NULL, NULL), (74792, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 20:25:04', NULL, NULL), (74793, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 20:25:04', NULL, NULL), (74794, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 20:25:04', NULL, NULL), (74795, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 20:25:04', NULL, NULL), (74796, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 20:25:04', NULL, NULL), (74797, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 20:25:04', NULL, NULL), (74798, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 20:25:04', NULL, NULL), (74799, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 20:25:04', NULL, NULL), (74800, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 20:25:04', NULL, NULL), (74801, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 20:25:04', NULL, NULL), (74802, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 20:25:04', NULL, NULL), (74803, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 20:25:04', NULL, NULL), (74804, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 20:25:04', NULL, NULL), (74805, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 20:25:04', NULL, NULL), (74806, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 20:25:04', NULL, NULL), (74807, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 20:25:04', NULL, NULL), (74808, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 20:25:04', NULL, NULL), (74809, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 20:25:04', NULL, NULL), (74810, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 20:25:04', NULL, NULL), (74811, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 20:25:04', NULL, NULL), (74812, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 20:25:04', NULL, NULL), (74813, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 4, 2023, 11, 23, '2024-08-05 20:25:04', NULL, NULL), (74814, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 20:25:04', NULL, NULL), (74815, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 20:25:04', NULL, NULL), (74816, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 20:25:04', NULL, NULL), (74817, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 16, 2023, 11, 27, '2024-08-05 20:25:04', NULL, NULL), (74818, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 20:25:04', NULL, NULL), (74819, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 20:25:04', NULL, NULL), (74820, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 20:25:04', NULL, NULL), (74821, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 20:25:04', NULL, NULL), (74822, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 20:25:04', NULL, NULL), (74823, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 20:25:04', NULL, NULL), (74824, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 20:25:04', NULL, NULL), (74825, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 20:25:04', NULL, NULL), (74826, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 20:25:04', NULL, NULL), (74827, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 20:25:04', NULL, NULL), (74828, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 20:25:04', NULL, NULL), (74829, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 20:25:04', NULL, NULL), (74830, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 20:25:04', NULL, NULL), (74831, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 12, 2023, 12, 11, '2024-08-05 20:25:05', NULL, NULL), (74832, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 20:25:05', NULL, NULL), (74833, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 20:25:05', NULL, NULL), (74834, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 20:25:05', NULL, NULL), (74835, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 20:25:05', NULL, NULL), (74836, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 20:25:05', NULL, NULL), (74837, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 20:25:05', NULL, NULL), (74838, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 20:25:05', NULL, NULL), (74839, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 20:25:05', NULL, NULL), (74840, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 20:25:05', NULL, NULL), (74841, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 3, 2023, 12, 21, '2024-08-05 20:25:05', NULL, NULL), (74842, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 42, 2023, 12, 22, '2024-08-05 20:25:05', NULL, NULL), (74843, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 20:25:05', NULL, NULL), (74844, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 20:25:05', NULL, NULL), (74845, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 20:25:05', NULL, NULL), (74846, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 20:25:05', NULL, NULL), (74847, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 20:25:05', NULL, NULL), (74848, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 20:25:05', NULL, NULL), (74849, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 20:25:05', NULL, NULL), (74850, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 20:25:05', NULL, NULL), (74851, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 20:25:05', NULL, NULL), (74852, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 20:25:05', NULL, NULL), (74853, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 20:25:05', NULL, NULL), (74854, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 20:25:05', NULL, NULL), (74855, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 3, 2024, 1, 4, '2024-08-05 20:25:05', NULL, NULL), (74856, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 20:25:05', NULL, NULL), (74857, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 20:25:05', NULL, NULL), (74858, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 20:25:05', NULL, NULL), (74859, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 20:25:05', NULL, NULL), (74860, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 20:25:05', NULL, NULL), (74861, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 20:25:05', NULL, NULL), (74862, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 20:25:05', NULL, NULL), (74863, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 20:25:05', NULL, NULL), (74864, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 20:25:05', NULL, NULL), (74865, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 20:25:05', NULL, NULL), (74866, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 20:25:05', NULL, NULL), (74867, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 20:25:05', NULL, NULL), (74868, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 20:25:06', NULL, NULL), (74869, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 20:25:06', NULL, NULL), (74870, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 20:25:06', NULL, NULL), (74871, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 20:25:06', NULL, NULL), (74872, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 20:25:06', NULL, NULL), (74873, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 20:25:06', NULL, NULL), (74874, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 20:25:06', NULL, NULL), (74875, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 20:25:06', NULL, NULL), (74876, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 20:25:06', NULL, NULL), (74877, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 20:25:06', NULL, NULL), (74878, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 20:25:06', NULL, NULL), (74879, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 20:25:06', NULL, NULL), (74880, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 20:25:06', NULL, NULL), (74881, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 20:25:06', NULL, NULL), (74882, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 20:25:06', NULL, NULL), (74883, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 20:25:06', NULL, NULL), (74884, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 20:25:06', NULL, NULL), (74885, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 20:25:06', NULL, NULL), (74886, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 20:25:06', NULL, NULL), (74887, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 20:25:06', NULL, NULL), (74888, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 20:25:06', NULL, NULL), (74889, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 20:25:06', NULL, NULL), (74890, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 20:25:06', NULL, NULL), (74891, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 20:25:06', NULL, NULL), (74892, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 20:25:06', NULL, NULL), (74893, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 20:25:06', NULL, NULL), (74894, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 20:25:06', NULL, NULL), (74895, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 20:25:06', NULL, NULL), (74896, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 20:25:06', NULL, NULL), (74897, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 20:25:06', NULL, NULL), (74898, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 20:25:06', NULL, NULL), (74899, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 20:25:06', NULL, NULL), (74900, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 20:25:06', NULL, NULL), (74901, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 20:25:06', NULL, NULL), (74902, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 20:25:06', NULL, NULL), (74903, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 20:25:06', NULL, NULL), (74904, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 20:25:06', NULL, NULL), (74905, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 20:25:06', NULL, NULL), (74906, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 20:25:06', NULL, NULL), (74907, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 20:25:07', NULL, NULL), (74908, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 3, 2024, 2, 26, '2024-08-05 20:25:07', NULL, NULL), (74909, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 3, 2024, 2, 27, '2024-08-05 20:25:07', NULL, NULL), (74910, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 20:25:07', NULL, NULL), (74911, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 20:25:07', NULL, NULL), (74912, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 20:25:07', NULL, NULL), (74913, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 20:25:07', NULL, NULL), (74914, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 20:25:07', NULL, NULL), (74915, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 20:25:07', NULL, NULL), (74916, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 20:25:07', NULL, NULL), (74917, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 20:25:07', NULL, NULL), (74918, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 20:25:07', NULL, NULL), (74919, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 20:25:07', NULL, NULL), (74920, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 20:25:07', NULL, NULL), (74921, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 20:25:07', NULL, NULL), (74922, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 20:25:07', NULL, NULL), (74923, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 20:25:07', NULL, NULL), (74924, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 20:25:07', NULL, NULL), (74925, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 20:25:07', NULL, NULL), (74926, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 20:25:07', NULL, NULL), (74927, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 20:25:07', NULL, NULL), (74928, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 20:25:07', NULL, NULL), (74929, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 20:25:07', NULL, NULL), (74930, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 20:25:07', NULL, NULL), (74931, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 20:25:07', NULL, NULL), (74932, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 20:25:07', NULL, NULL), (74933, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 20:25:07', NULL, NULL), (74934, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 20:25:07', NULL, NULL), (74935, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 20:25:07', NULL, NULL), (74936, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 20:25:07', NULL, NULL), (74937, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 20:25:07', NULL, NULL), (74938, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 20:25:07', NULL, NULL), (74939, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 20:25:07', NULL, NULL), (74940, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 20:25:08', NULL, NULL), (74941, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 20:25:08', NULL, NULL), (74942, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 20:25:08', NULL, NULL), (74943, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 20:25:08', NULL, NULL), (74944, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 20:25:08', NULL, NULL), (74945, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 20:25:08', NULL, NULL), (74946, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 20:25:08', NULL, NULL), (74947, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 20:25:08', NULL, NULL), (74948, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 20:25:08', NULL, NULL), (74949, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 20:25:08', NULL, NULL), (74950, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 20:25:08', NULL, NULL), (74951, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 20:25:08', NULL, NULL), (74952, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 20:25:08', NULL, NULL), (74953, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 20:25:08', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (74954, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 20:25:08', NULL, NULL), (74955, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 20:25:08', NULL, NULL), (74956, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 20:25:08', NULL, NULL), (74957, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 20:25:08', NULL, NULL), (74958, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 20:25:08', NULL, NULL), (74959, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 20:25:08', NULL, NULL), (74960, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 20:25:08', NULL, NULL), (74961, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 20:25:08', NULL, NULL), (74962, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 20:25:08', NULL, NULL), (74963, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 20:25:08', NULL, NULL), (74964, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 20:25:08', NULL, NULL), (74965, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 20:25:08', NULL, NULL), (74966, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 20:25:08', NULL, NULL), (74967, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 20:25:08', NULL, NULL), (74968, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 20:25:08', NULL, NULL), (74969, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 20:25:08', NULL, NULL), (74970, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 20:25:08', NULL, NULL), (74971, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 20:25:08', NULL, NULL), (74972, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 20:25:08', NULL, NULL), (74973, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 20:25:08', NULL, NULL), (74974, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 20:25:08', NULL, NULL), (74975, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 20:25:08', NULL, NULL), (74976, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 20:25:09', NULL, NULL), (74977, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 20:25:09', NULL, NULL), (74978, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 20:25:09', NULL, NULL), (74979, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 20:25:09', NULL, NULL), (74980, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 20:25:09', NULL, NULL), (74981, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 20:25:09', NULL, NULL), (74982, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 20:25:09', NULL, NULL), (74983, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 20:25:09', NULL, NULL), (74984, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 20:25:09', NULL, NULL), (74985, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 20:25:09', NULL, NULL), (74986, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 20:25:09', NULL, NULL), (74987, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 20:25:09', NULL, NULL), (74988, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 20:25:09', NULL, NULL), (74989, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 20:25:09', NULL, NULL), (74990, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 20:25:09', NULL, NULL), (74991, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 20:25:09', NULL, NULL), (74992, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 20:25:09', NULL, NULL), (74993, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 20:25:09', NULL, NULL), (74994, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 20:25:09', NULL, NULL), (74995, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 20:25:09', NULL, NULL), (74996, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 20:25:09', NULL, NULL), (74997, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 20:25:09', NULL, NULL), (74998, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 20:25:09', NULL, NULL), (74999, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 20:25:09', NULL, NULL), (75000, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 20:25:09', NULL, NULL), (75001, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 20:25:09', NULL, NULL), (75002, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 20:25:09', NULL, NULL), (75003, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 20:25:09', NULL, NULL), (75004, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 20:25:09', NULL, NULL), (75005, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 20:25:09', NULL, NULL), (75006, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 20:25:09', NULL, NULL), (75007, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 20:25:09', NULL, NULL), (75008, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 20:25:09', NULL, NULL), (75009, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 20:25:09', NULL, NULL), (75010, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 20:25:10', NULL, NULL), (75011, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 20:25:10', NULL, NULL), (75012, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 20:25:10', NULL, NULL), (75013, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 20:25:10', NULL, NULL), (75014, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 20:25:10', NULL, NULL), (75015, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 20:25:10', NULL, NULL), (75016, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 20:25:10', NULL, NULL), (75017, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 20:25:10', NULL, NULL), (75018, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 20:25:10', NULL, NULL), (75019, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 20:25:10', NULL, NULL), (75020, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 20:25:10', NULL, NULL), (75021, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 20:25:10', NULL, NULL), (75022, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 20:25:10', NULL, NULL), (75023, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 20:25:10', NULL, NULL), (75024, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 20:25:10', NULL, NULL), (75025, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 20:25:10', NULL, NULL), (75026, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 20:25:10', NULL, NULL), (75027, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 20:25:10', NULL, NULL), (75028, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 20:25:10', NULL, NULL), (75029, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 20:25:10', NULL, NULL), (75030, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 20:25:10', NULL, NULL), (75031, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 20:25:10', NULL, NULL), (75032, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 20:25:10', NULL, NULL), (75033, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 20:25:10', NULL, NULL), (75034, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 20:25:10', NULL, NULL), (75035, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 15, 2024, 7, 2, '2024-08-05 20:25:10', NULL, NULL), (75036, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 20:25:10', NULL, NULL), (75037, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 20:25:10', NULL, NULL), (75038, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 20:25:11', NULL, NULL), (75039, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 20:25:11', NULL, NULL), (75040, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 20:25:11', NULL, NULL), (75041, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 20:25:11', NULL, NULL), (75042, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 20:25:11', NULL, NULL), (75043, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 20:25:11', NULL, NULL), (75044, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 20:25:11', NULL, NULL), (75045, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 15, 2024, 7, 12, '2024-08-05 20:25:11', NULL, NULL), (75046, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 20:25:11', NULL, NULL), (75047, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 20:25:11', NULL, NULL), (75048, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 20:25:11', NULL, NULL), (75049, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 20:25:11', NULL, NULL), (75050, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 20:25:11', NULL, NULL), (75051, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 20:25:11', NULL, NULL), (75052, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 20:25:11', NULL, NULL), (75053, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 20:25:11', NULL, NULL), (75054, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 20:25:11', NULL, NULL), (75055, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 20:25:11', NULL, NULL), (75056, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 20:25:11', NULL, NULL), (75057, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 20:25:11', NULL, NULL), (75058, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 20:25:11', NULL, NULL), (75059, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 20:25:11', NULL, NULL), (75060, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 20:25:11', NULL, NULL), (75061, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 20:25:11', NULL, NULL), (75062, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 20:25:11', NULL, NULL), (75063, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 20:25:11', NULL, NULL), (75064, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 20:25:11', NULL, NULL), (75065, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 20:25:11', 1, '2024-08-05 22:12:41'), (75066, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 20:25:12', 1, '2024-08-06 02:01:47'), (75067, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 20:25:12', 1, '2024-08-07 01:00:33'), (75068, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 20:25:12', 1, '2024-08-08 01:00:39'), (75069, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 20:25:12', 1, '2024-08-09 01:00:34'), (75070, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '', '', '', 4, 2023, 1, 30, '2024-08-05 20:24:58', NULL, NULL), (75071, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '8', '', 4, 2023, 1, 30, '2024-08-05 20:24:58', NULL, NULL), (75072, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 3, 2023, 1, 30, '2024-08-05 20:24:58', NULL, NULL), (75073, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常满意', '', '', 1, 2023, 1, 30, '2024-08-05 20:24:58', NULL, NULL), (75074, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '非常满意', '', '', 1, 2023, 1, 30, '2024-08-05 20:24:58', NULL, NULL), (75075, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '非常不满意', '', '', 3, 2023, 1, 30, '2024-08-05 20:24:58', NULL, NULL), (75076, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '8', '', 3, 2023, 1, 30, '2024-08-05 20:24:58', NULL, NULL), (75077, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常满意', '8', '', 1, 2023, 1, 30, '2024-08-05 20:24:58', NULL, NULL), (75078, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '', '8', '', 4, 2023, 1, 30, '2024-08-05 20:24:58', NULL, NULL), (75079, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '非常不满意', '8', '', 3, 2023, 1, 30, '2024-08-05 20:24:58', NULL, NULL), (75080, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '非常满意', '8', '', 1, 2023, 1, 30, '2024-08-05 20:24:58', NULL, NULL), (75081, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '', '', '', 2, 2023, 1, 31, '2024-08-05 20:24:58', NULL, NULL), (75082, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '8', '', 2, 2023, 1, 31, '2024-08-05 20:24:58', NULL, NULL), (75083, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 2, 2023, 1, 31, '2024-08-05 20:24:58', NULL, NULL), (75084, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '非常不满意', '', '', 2, 2023, 1, 31, '2024-08-05 20:24:58', NULL, NULL), (75085, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '8', '', 2, 2023, 1, 31, '2024-08-05 20:24:58', NULL, NULL), (75086, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '', '8', '', 2, 2023, 1, 31, '2024-08-05 20:24:58', NULL, NULL), (75087, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '非常不满意', '8', '', 2, 2023, 1, 31, '2024-08-05 20:24:58', NULL, NULL), (75088, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 5, 2023, 2, 22, '2024-08-05 20:24:59', NULL, NULL), (75089, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常满意', '', '', 1, 2023, 2, 22, '2024-08-05 20:24:59', NULL, NULL), (75090, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 2, 2023, 2, 23, '2024-08-05 20:24:59', NULL, NULL), (75091, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常满意', '', '', 1, 2023, 2, 23, '2024-08-05 20:24:59', NULL, NULL), (75092, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 1, 2023, 3, 2, '2024-08-05 20:24:59', NULL, NULL), (75093, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 3, 2023, 3, 6, '2024-08-05 20:24:59', NULL, NULL), (75094, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 7, 2023, 3, 7, '2024-08-05 20:24:59', NULL, NULL), (75095, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 1, 2023, 3, 8, '2024-08-05 20:24:59', NULL, NULL), (75096, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 2, 2023, 3, 27, '2024-08-05 20:25:00', NULL, NULL), (75097, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 3, 2023, 3, 28, '2024-08-05 20:25:00', NULL, NULL), (75098, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 2, 2023, 4, 11, '2024-08-05 20:25:00', NULL, NULL), (75099, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 1, 2023, 7, 5, '2024-08-05 20:25:02', NULL, NULL), (75100, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 1, 2023, 8, 2, '2024-08-05 20:25:03', NULL, NULL), (75101, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 2, 2023, 11, 23, '2024-08-05 20:25:04', NULL, NULL), (75102, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常满意', '', '', 1, 2023, 11, 23, '2024-08-05 20:25:04', NULL, NULL), (75103, 41, '511526101000-0001', '巡场镇便民服务中心', '', '不满意', '', '', 1, 2023, 11, 23, '2024-08-05 20:25:04', NULL, NULL), (75104, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 16, 2023, 11, 27, '2024-08-05 20:25:04', NULL, NULL), (75105, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 6, 2023, 12, 11, '2024-08-05 20:25:05', NULL, NULL), (75106, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常满意', '', '', 3, 2023, 12, 11, '2024-08-05 20:25:05', NULL, NULL), (75107, 41, '511526101000-0001', '巡场镇便民服务中心', '', '不满意', '', '', 3, 2023, 12, 11, '2024-08-05 20:25:05', NULL, NULL), (75108, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 3, 2023, 12, 21, '2024-08-05 20:25:05', NULL, NULL), (75109, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 39, 2023, 12, 22, '2024-08-05 20:25:05', NULL, NULL), (75110, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常满意', '', '', 3, 2023, 12, 22, '2024-08-05 20:25:05', NULL, NULL), (75111, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 3, 2024, 1, 4, '2024-08-05 20:25:05', NULL, NULL), (75112, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常满意', '', '', 3, 2024, 2, 26, '2024-08-05 20:25:07', NULL, NULL), (75113, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 3, 2024, 2, 27, '2024-08-05 20:25:07', NULL, NULL), (75114, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '', '', '', 15, 2024, 7, 2, '2024-08-05 20:25:10', NULL, NULL), (75115, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '8', '', 15, 2024, 7, 2, '2024-08-05 20:25:10', NULL, NULL), (75116, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 15, 2024, 7, 2, '2024-08-05 20:25:10', NULL, NULL), (75117, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '非常不满意', '', '', 15, 2024, 7, 2, '2024-08-05 20:25:10', NULL, NULL), (75118, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '8', '', 15, 2024, 7, 2, '2024-08-05 20:25:10', NULL, NULL), (75119, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '', '8', '', 15, 2024, 7, 2, '2024-08-05 20:25:10', NULL, NULL), (75120, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '非常不满意', '8', '', 15, 2024, 7, 2, '2024-08-05 20:25:10', NULL, NULL), (75121, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '', '', '', 15, 2024, 7, 12, '2024-08-05 20:25:11', NULL, NULL), (75122, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '8', '', 15, 2024, 7, 12, '2024-08-05 20:25:11', NULL, NULL), (75123, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 15, 2024, 7, 12, '2024-08-05 20:25:11', NULL, NULL), (75124, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '非常不满意', '', '', 15, 2024, 7, 12, '2024-08-05 20:25:11', NULL, NULL), (75125, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '8', '', 15, 2024, 7, 12, '2024-08-05 20:25:11', NULL, NULL), (75126, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '', '8', '', 15, 2024, 7, 12, '2024-08-05 20:25:11', NULL, NULL), (75127, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '非常不满意', '8', '', 15, 2024, 7, 12, '2024-08-05 20:25:11', NULL, NULL), (75128, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 20:39:00', NULL, NULL), (75129, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 20:39:00', NULL, NULL), (75130, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 20:39:00', NULL, NULL), (75131, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 20:39:00', NULL, NULL), (75132, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 20:39:00', NULL, NULL), (75133, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 20:39:00', NULL, NULL), (75134, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 20:39:00', NULL, NULL), (75135, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 20:39:00', NULL, NULL), (75136, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 20:39:00', NULL, NULL), (75137, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 20:39:00', NULL, NULL), (75138, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 20:39:00', NULL, NULL), (75139, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 20:39:00', NULL, NULL), (75140, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 20:39:00', NULL, NULL), (75141, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 20:39:00', NULL, NULL), (75142, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 20:39:00', NULL, NULL), (75143, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 20:39:00', NULL, NULL), (75144, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 20:39:00', NULL, NULL), (75145, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 20:39:00', NULL, NULL), (75146, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 20:39:00', NULL, NULL), (75147, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 20:39:00', NULL, NULL), (75148, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 20:39:00', NULL, NULL), (75149, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 20:39:00', NULL, NULL), (75150, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 20:39:01', NULL, NULL), (75151, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 20:39:01', NULL, NULL), (75152, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 20:39:01', NULL, NULL), (75153, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 20:39:01', NULL, NULL), (75154, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 20:39:01', NULL, NULL), (75155, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 20:39:01', NULL, NULL), (75156, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 20:39:01', NULL, NULL), (75157, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 20:39:01', NULL, NULL), (75158, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 20:39:01', NULL, NULL), (75159, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 20:39:01', NULL, NULL), (75160, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 20:39:01', NULL, NULL), (75161, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 20:39:01', NULL, NULL), (75162, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 20:39:01', NULL, NULL), (75163, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 20:39:01', NULL, NULL), (75164, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 20:39:01', NULL, NULL), (75165, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 20:39:01', NULL, NULL), (75166, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 20:39:01', NULL, NULL), (75167, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 20:39:01', NULL, NULL), (75168, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 20:39:01', NULL, NULL), (75169, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 20:39:01', NULL, NULL), (75170, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 20:39:01', NULL, NULL), (75171, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 20:39:01', NULL, NULL), (75172, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 20:39:01', NULL, NULL), (75173, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 20:39:01', NULL, NULL), (75174, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 20:39:01', NULL, NULL), (75175, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 20:39:01', NULL, NULL), (75176, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 20:39:01', NULL, NULL), (75177, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 20:39:01', NULL, NULL), (75178, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 20:39:01', NULL, NULL), (75179, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 20:39:01', NULL, NULL), (75180, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 20:39:01', NULL, NULL), (75181, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 20:39:01', NULL, NULL), (75182, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 20:39:01', NULL, NULL), (75183, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 20:39:01', NULL, NULL), (75184, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 20:39:01', NULL, NULL), (75185, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 20:39:01', NULL, NULL), (75186, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 20:39:01', NULL, NULL), (75187, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 20:39:01', NULL, NULL), (75188, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 20:39:01', NULL, NULL), (75189, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 20:39:01', NULL, NULL), (75190, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 20:39:01', NULL, NULL), (75191, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 20:39:01', NULL, NULL), (75192, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 20:39:01', NULL, NULL), (75193, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 20:39:01', NULL, NULL), (75194, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 20:39:01', NULL, NULL), (75195, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 20:39:01', NULL, NULL), (75196, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 20:39:01', NULL, NULL), (75197, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 20:39:01', NULL, NULL), (75198, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 20:39:01', NULL, NULL), (75199, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 20:39:01', NULL, NULL), (75200, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 20:39:01', NULL, NULL), (75201, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 20:39:01', NULL, NULL), (75202, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 20:39:01', NULL, NULL), (75203, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 20:39:01', NULL, NULL), (75204, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 20:39:01', NULL, NULL), (75205, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 20:39:01', NULL, NULL), (75206, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 20:39:01', NULL, NULL), (75207, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 20:39:01', NULL, NULL), (75208, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 20:39:01', NULL, NULL), (75209, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 20:39:01', NULL, NULL), (75210, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 20:39:01', NULL, NULL), (75211, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 20:39:01', NULL, NULL), (75212, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 20:39:01', NULL, NULL), (75213, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 20:39:01', NULL, NULL), (75214, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 20:39:01', NULL, NULL), (75215, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 20:39:02', NULL, NULL), (75216, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 20:39:02', NULL, NULL), (75217, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 20:39:02', NULL, NULL), (75218, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 20:39:02', NULL, NULL), (75219, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 20:39:02', NULL, NULL), (75220, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 20:39:02', NULL, NULL), (75221, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 20:39:02', NULL, NULL), (75222, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 20:39:02', NULL, NULL), (75223, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 20:39:02', NULL, NULL), (75224, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 20:39:02', NULL, NULL), (75225, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 20:39:02', NULL, NULL), (75226, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 20:39:02', NULL, NULL), (75227, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 20:39:02', NULL, NULL), (75228, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 20:39:02', NULL, NULL), (75229, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 20:39:02', NULL, NULL), (75230, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 20:39:02', NULL, NULL), (75231, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 20:39:02', NULL, NULL), (75232, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 20:39:02', NULL, NULL), (75233, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 20:39:02', NULL, NULL), (75234, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 20:39:02', NULL, NULL), (75235, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 20:39:02', NULL, NULL), (75236, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 20:39:02', NULL, NULL), (75237, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 20:39:02', NULL, NULL), (75238, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 20:39:02', NULL, NULL), (75239, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 20:39:02', NULL, NULL), (75240, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 20:39:02', NULL, NULL), (75241, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 20:39:02', NULL, NULL), (75242, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 20:39:02', NULL, NULL), (75243, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 20:39:02', NULL, NULL), (75244, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 20:39:02', NULL, NULL), (75245, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 20:39:02', NULL, NULL), (75246, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 20:39:02', NULL, NULL), (75247, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 20:39:02', NULL, NULL), (75248, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 20:39:02', NULL, NULL), (75249, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 20:39:02', NULL, NULL), (75250, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 20:39:02', NULL, NULL), (75251, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 20:39:02', NULL, NULL), (75252, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 20:39:02', NULL, NULL), (75253, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 20:39:02', NULL, NULL), (75254, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 20:39:02', NULL, NULL), (75255, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 20:39:02', NULL, NULL), (75256, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 20:39:02', NULL, NULL), (75257, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 20:39:02', NULL, NULL), (75258, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 20:39:02', NULL, NULL), (75259, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 20:39:02', NULL, NULL), (75260, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 20:39:02', NULL, NULL), (75261, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 20:39:02', NULL, NULL), (75262, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 20:39:02', NULL, NULL), (75263, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 20:39:02', NULL, NULL), (75264, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 20:39:02', NULL, NULL), (75265, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 20:39:02', NULL, NULL), (75266, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 20:39:02', NULL, NULL), (75267, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 20:39:02', NULL, NULL), (75268, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 20:39:02', NULL, NULL), (75269, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 20:39:02', NULL, NULL), (75270, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 20:39:02', NULL, NULL), (75271, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 20:39:02', NULL, NULL), (75272, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 20:39:02', NULL, NULL), (75273, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 20:39:02', NULL, NULL), (75274, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 20:39:02', NULL, NULL), (75275, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 20:39:02', NULL, NULL), (75276, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 20:39:02', NULL, NULL), (75277, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 20:39:02', NULL, NULL), (75278, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 20:39:02', NULL, NULL), (75279, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 20:39:03', NULL, NULL), (75280, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 20:39:03', NULL, NULL), (75281, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 20:39:03', NULL, NULL), (75282, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 20:39:03', NULL, NULL), (75283, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 20:39:03', NULL, NULL), (75284, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 20:39:03', NULL, NULL), (75285, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 20:39:03', NULL, NULL), (75286, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 20:39:03', NULL, NULL), (75287, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 20:39:03', NULL, NULL), (75288, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 20:39:03', NULL, NULL), (75289, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 20:39:03', NULL, NULL), (75290, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 20:39:03', NULL, NULL), (75291, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 20:39:03', NULL, NULL), (75292, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 20:39:03', NULL, NULL), (75293, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 20:39:03', NULL, NULL), (75294, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 20:39:03', NULL, NULL), (75295, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 20:39:03', NULL, NULL), (75296, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 20:39:03', NULL, NULL), (75297, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 20:39:03', NULL, NULL), (75298, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 20:39:03', NULL, NULL), (75299, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 20:39:03', NULL, NULL), (75300, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 20:39:03', NULL, NULL), (75301, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 20:39:03', NULL, NULL), (75302, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 20:39:03', NULL, NULL), (75303, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 20:39:03', NULL, NULL), (75304, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 20:39:03', NULL, NULL), (75305, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 20:39:03', NULL, NULL), (75306, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 20:39:03', NULL, NULL), (75307, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 20:39:03', NULL, NULL), (75308, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 20:39:03', NULL, NULL), (75309, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 20:39:03', NULL, NULL), (75310, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 20:39:03', NULL, NULL), (75311, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 20:39:03', NULL, NULL), (75312, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 20:39:03', NULL, NULL), (75313, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 20:39:03', NULL, NULL), (75314, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 20:39:03', NULL, NULL), (75315, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 20:39:03', NULL, NULL), (75316, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 20:39:03', NULL, NULL), (75317, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 20:39:03', NULL, NULL), (75318, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 20:39:03', NULL, NULL), (75319, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 20:39:03', NULL, NULL), (75320, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 20:39:03', NULL, NULL), (75321, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 20:39:03', NULL, NULL), (75322, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 20:39:03', NULL, NULL), (75323, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 20:39:03', NULL, NULL), (75324, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 20:39:03', NULL, NULL), (75325, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 20:39:03', NULL, NULL), (75326, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 20:39:03', NULL, NULL), (75327, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 20:39:03', NULL, NULL), (75328, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 20:39:03', NULL, NULL), (75329, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 20:39:03', NULL, NULL), (75330, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 20:39:03', NULL, NULL), (75331, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 20:39:03', NULL, NULL), (75332, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 20:39:03', NULL, NULL), (75333, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 20:39:03', NULL, NULL), (75334, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 20:39:03', NULL, NULL), (75335, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 20:39:03', NULL, NULL), (75336, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 20:39:03', NULL, NULL), (75337, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 20:39:03', NULL, NULL), (75338, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 20:39:04', NULL, NULL), (75339, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 20:39:04', NULL, NULL), (75340, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 20:39:04', NULL, NULL), (75341, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 20:39:04', NULL, NULL), (75342, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 20:39:04', NULL, NULL), (75343, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 20:39:04', NULL, NULL), (75344, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 20:39:04', NULL, NULL), (75345, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 20:39:04', NULL, NULL), (75346, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 20:39:04', NULL, NULL), (75347, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 20:39:04', NULL, NULL), (75348, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 20:39:04', NULL, NULL), (75349, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 20:39:04', NULL, NULL), (75350, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 20:39:04', NULL, NULL), (75351, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 20:39:04', NULL, NULL), (75352, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 20:39:04', NULL, NULL), (75353, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 20:39:04', NULL, NULL), (75354, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 20:39:04', NULL, NULL), (75355, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 20:39:04', NULL, NULL), (75356, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 20:39:04', NULL, NULL), (75357, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 20:39:04', NULL, NULL), (75358, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 20:39:04', NULL, NULL), (75359, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 20:39:04', NULL, NULL), (75360, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 20:39:04', NULL, NULL), (75361, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 20:39:04', NULL, NULL), (75362, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 20:39:04', NULL, NULL), (75363, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 20:39:04', NULL, NULL), (75364, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 20:39:04', NULL, NULL), (75365, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 20:39:04', NULL, NULL), (75366, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 20:39:04', NULL, NULL), (75367, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 20:39:04', NULL, NULL), (75368, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 20:39:04', NULL, NULL), (75369, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 20:39:04', NULL, NULL), (75370, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 20:39:04', NULL, NULL), (75371, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 20:39:04', NULL, NULL), (75372, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 20:39:04', NULL, NULL), (75373, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 20:39:04', NULL, NULL), (75374, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 20:39:04', NULL, NULL), (75375, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 20:39:04', NULL, NULL), (75376, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 20:39:04', NULL, NULL), (75377, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 20:39:04', NULL, NULL), (75378, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 20:39:04', NULL, NULL), (75379, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 20:39:04', NULL, NULL), (75380, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 20:39:04', NULL, NULL), (75381, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 20:39:04', NULL, NULL), (75382, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 20:39:04', NULL, NULL), (75383, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 20:39:04', NULL, NULL), (75384, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 20:39:04', NULL, NULL), (75385, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 20:39:04', NULL, NULL), (75386, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 20:39:04', NULL, NULL), (75387, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 20:39:04', NULL, NULL), (75388, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 20:39:04', NULL, NULL), (75389, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 20:39:04', NULL, NULL), (75390, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 20:39:04', NULL, NULL), (75391, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 20:39:04', NULL, NULL), (75392, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 20:39:04', NULL, NULL), (75393, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 20:39:04', NULL, NULL), (75394, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 20:39:04', NULL, NULL), (75395, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 20:39:04', NULL, NULL), (75396, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 20:39:04', NULL, NULL), (75397, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 20:39:04', NULL, NULL), (75398, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 20:39:04', NULL, NULL), (75399, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 20:39:04', NULL, NULL), (75400, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 20:39:04', NULL, NULL), (75401, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 20:39:04', NULL, NULL), (75402, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 20:39:04', NULL, NULL), (75403, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 20:39:04', NULL, NULL), (75404, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 20:39:04', NULL, NULL), (75405, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 20:39:04', NULL, NULL), (75406, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 20:39:04', NULL, NULL), (75407, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 20:39:04', NULL, NULL), (75408, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 20:39:04', NULL, NULL), (75409, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 20:39:04', NULL, NULL), (75410, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 20:39:04', NULL, NULL), (75411, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 20:39:04', NULL, NULL), (75412, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 20:39:04', NULL, NULL), (75413, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 20:39:04', NULL, NULL), (75414, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 20:39:04', NULL, NULL), (75415, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 20:39:04', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (75416, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 20:39:04', NULL, NULL), (75417, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 20:39:04', NULL, NULL), (75418, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 20:39:04', NULL, NULL), (75419, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 20:39:04', NULL, NULL), (75420, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 20:39:04', NULL, NULL), (75421, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 20:39:04', NULL, NULL), (75422, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 20:39:04', NULL, NULL), (75423, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 20:39:04', NULL, NULL), (75424, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 20:39:04', NULL, NULL), (75425, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 20:39:04', NULL, NULL), (75426, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 20:39:04', NULL, NULL), (75427, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 20:39:04', NULL, NULL), (75428, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 20:39:04', NULL, NULL), (75429, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 20:39:04', NULL, NULL), (75430, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 20:39:04', NULL, NULL), (75431, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 20:39:04', NULL, NULL), (75432, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 20:39:04', NULL, NULL), (75433, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 20:39:04', NULL, NULL), (75434, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 20:39:04', NULL, NULL), (75435, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 20:39:04', NULL, NULL), (75436, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 20:39:04', NULL, NULL), (75437, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 20:39:04', NULL, NULL), (75438, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 20:39:04', NULL, NULL), (75439, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 20:39:04', NULL, NULL), (75440, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 20:39:04', NULL, NULL), (75441, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 20:39:04', NULL, NULL), (75442, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 20:39:04', NULL, NULL), (75443, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 20:39:05', NULL, NULL), (75444, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 20:39:05', NULL, NULL), (75445, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 20:39:05', NULL, NULL), (75446, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 20:39:05', NULL, NULL), (75447, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 20:39:05', NULL, NULL), (75448, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 20:39:05', NULL, NULL), (75449, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 20:39:05', NULL, NULL), (75450, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 20:39:05', NULL, NULL), (75451, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 20:39:05', NULL, NULL), (75452, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 20:39:05', NULL, NULL), (75453, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 20:39:05', NULL, NULL), (75454, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 20:39:05', NULL, NULL), (75455, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 20:39:05', NULL, NULL), (75456, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 20:39:05', NULL, NULL), (75457, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 20:39:05', NULL, NULL), (75458, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 20:39:05', NULL, NULL), (75459, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 20:39:05', NULL, NULL), (75460, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 20:39:05', NULL, NULL), (75461, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 20:39:05', NULL, NULL), (75462, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 20:39:05', NULL, NULL), (75463, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 20:39:05', NULL, NULL), (75464, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 20:39:05', NULL, NULL), (75465, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 20:39:05', NULL, NULL), (75466, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 20:39:05', NULL, NULL), (75467, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 20:39:05', NULL, NULL), (75468, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 20:39:05', NULL, NULL), (75469, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 20:39:05', NULL, NULL), (75470, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 20:39:05', NULL, NULL), (75471, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 20:39:05', NULL, NULL), (75472, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 20:39:05', NULL, NULL), (75473, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 20:39:05', NULL, NULL), (75474, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 20:39:05', NULL, NULL), (75475, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 20:39:05', NULL, NULL), (75476, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 20:39:05', NULL, NULL), (75477, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 20:39:05', NULL, NULL), (75478, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 20:39:05', NULL, NULL), (75479, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 20:39:05', NULL, NULL), (75480, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 20:39:05', NULL, NULL), (75481, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 20:39:05', NULL, NULL), (75482, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 20:39:05', NULL, NULL), (75483, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 20:39:05', NULL, NULL), (75484, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 20:39:05', NULL, NULL), (75485, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 20:39:05', NULL, NULL), (75486, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 20:39:05', NULL, NULL), (75487, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 20:39:05', NULL, NULL), (75488, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 20:39:05', NULL, NULL), (75489, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 20:39:05', NULL, NULL), (75490, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 20:39:05', NULL, NULL), (75491, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 20:39:05', NULL, NULL), (75492, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 20:39:05', NULL, NULL), (75493, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 20:39:05', NULL, NULL), (75494, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 20:39:05', NULL, NULL), (75495, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 20:39:05', NULL, NULL), (75496, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 20:39:05', NULL, NULL), (75497, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 20:39:05', NULL, NULL), (75498, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 20:39:05', NULL, NULL), (75499, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 20:39:05', NULL, NULL), (75500, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 20:39:05', NULL, NULL), (75501, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 20:39:05', NULL, NULL), (75502, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 20:39:05', NULL, NULL), (75503, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 20:39:05', NULL, NULL), (75504, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 20:39:05', NULL, NULL), (75505, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 20:39:05', NULL, NULL), (75506, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 20:39:05', NULL, NULL), (75507, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 20:39:06', NULL, NULL), (75508, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 20:39:06', NULL, NULL), (75509, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 20:39:06', NULL, NULL), (75510, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 20:39:06', NULL, NULL), (75511, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 20:39:06', NULL, NULL), (75512, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 20:39:06', NULL, NULL), (75513, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 20:39:06', NULL, NULL), (75514, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 20:39:06', NULL, NULL), (75515, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 20:39:06', NULL, NULL), (75516, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 20:39:06', NULL, NULL), (75517, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 20:39:06', NULL, NULL), (75518, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 20:39:06', NULL, NULL), (75519, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 20:39:06', NULL, NULL), (75520, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 20:39:06', NULL, NULL), (75521, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 20:39:06', NULL, NULL), (75522, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 20:39:06', NULL, NULL), (75523, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 20:39:06', NULL, NULL), (75524, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 20:39:06', NULL, NULL), (75525, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 20:39:06', NULL, NULL), (75526, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 20:39:06', NULL, NULL), (75527, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 20:39:06', NULL, NULL), (75528, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 20:39:06', NULL, NULL), (75529, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 20:39:06', NULL, NULL), (75530, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 20:39:06', NULL, NULL), (75531, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 20:39:06', NULL, NULL), (75532, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 20:39:06', NULL, NULL), (75533, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 20:39:06', NULL, NULL), (75534, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 20:39:06', NULL, NULL), (75535, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 20:39:06', NULL, NULL), (75536, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 20:39:06', NULL, NULL), (75537, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 20:39:06', NULL, NULL), (75538, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 20:39:06', NULL, NULL), (75539, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 20:39:06', NULL, NULL), (75540, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 20:39:06', NULL, NULL), (75541, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 20:39:06', NULL, NULL), (75542, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 20:39:06', NULL, NULL), (75543, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 20:39:06', NULL, NULL), (75544, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 20:39:06', NULL, NULL), (75545, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 20:39:06', NULL, NULL), (75546, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 20:39:06', NULL, NULL), (75547, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 20:39:07', NULL, NULL), (75548, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 20:39:07', NULL, NULL), (75549, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 20:39:07', NULL, NULL), (75550, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 20:39:07', NULL, NULL), (75551, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 20:39:07', NULL, NULL), (75552, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 20:39:07', NULL, NULL), (75553, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 20:39:07', NULL, NULL), (75554, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 20:39:07', NULL, NULL), (75555, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 20:39:07', NULL, NULL), (75556, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 20:39:07', NULL, NULL), (75557, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 20:39:07', NULL, NULL), (75558, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 20:39:07', NULL, NULL), (75559, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 20:39:07', NULL, NULL), (75560, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 20:39:07', NULL, NULL), (75561, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 20:39:07', NULL, NULL), (75562, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 20:39:07', NULL, NULL), (75563, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 20:39:07', NULL, NULL), (75564, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 20:39:07', NULL, NULL), (75565, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 20:39:07', NULL, NULL), (75566, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 20:39:07', NULL, NULL), (75567, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 20:39:07', NULL, NULL), (75568, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 20:39:07', NULL, NULL), (75569, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 20:39:07', NULL, NULL), (75570, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 20:39:07', NULL, NULL), (75571, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 20:39:07', NULL, NULL), (75572, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 20:39:07', NULL, NULL), (75573, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 20:39:07', NULL, NULL), (75574, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 20:39:07', NULL, NULL), (75575, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 20:39:07', NULL, NULL), (75576, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 20:39:07', NULL, NULL), (75577, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 20:39:07', NULL, NULL), (75578, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 20:39:07', NULL, NULL), (75579, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 20:39:07', NULL, NULL), (75580, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 20:39:07', NULL, NULL), (75581, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 20:39:07', NULL, NULL), (75582, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 20:39:07', NULL, NULL), (75583, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 20:39:07', NULL, NULL), (75584, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 20:39:08', NULL, NULL), (75585, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 20:39:08', NULL, NULL), (75586, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 20:39:08', NULL, NULL), (75587, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 20:39:08', NULL, NULL), (75588, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 20:39:08', NULL, NULL), (75589, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 20:39:08', NULL, NULL), (75590, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 20:39:08', NULL, NULL), (75591, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 20:39:08', NULL, NULL), (75592, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 20:39:08', NULL, NULL), (75593, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 20:39:08', NULL, NULL), (75594, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 20:39:08', NULL, NULL), (75595, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 20:39:08', NULL, NULL), (75596, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 20:39:08', NULL, NULL), (75597, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 20:39:08', NULL, NULL), (75598, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 20:39:08', NULL, NULL), (75599, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 20:39:08', NULL, NULL), (75600, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 20:39:08', NULL, NULL), (75601, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 20:39:08', NULL, NULL), (75602, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 20:39:08', NULL, NULL), (75603, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 20:39:08', NULL, NULL), (75604, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 20:39:08', NULL, NULL), (75605, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 20:39:08', NULL, NULL), (75606, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 20:39:08', NULL, NULL), (75607, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 20:39:08', NULL, NULL), (75608, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 20:39:08', NULL, NULL), (75609, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 20:39:08', NULL, NULL), (75610, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 20:39:08', NULL, NULL), (75611, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 20:39:08', NULL, NULL), (75612, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 20:39:08', NULL, NULL), (75613, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 20:39:08', NULL, NULL), (75614, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 20:39:08', NULL, NULL), (75615, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 20:39:08', NULL, NULL), (75616, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 20:39:08', NULL, NULL), (75617, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 20:39:08', NULL, NULL), (75618, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 20:39:08', NULL, NULL), (75619, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 20:39:08', NULL, NULL), (75620, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 20:39:08', NULL, NULL), (75621, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 20:39:09', NULL, NULL), (75622, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 20:39:09', NULL, NULL), (75623, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 20:39:09', NULL, NULL), (75624, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 20:39:09', NULL, NULL), (75625, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 20:39:09', NULL, NULL), (75626, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 20:39:09', NULL, NULL), (75627, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 20:39:09', NULL, NULL), (75628, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 20:39:09', NULL, NULL), (75629, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 20:39:09', NULL, NULL), (75630, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 20:39:09', NULL, NULL), (75631, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 20:39:09', NULL, NULL), (75632, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 20:39:09', NULL, NULL), (75633, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 20:39:09', NULL, NULL), (75634, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 20:39:09', NULL, NULL), (75635, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 20:39:10', NULL, NULL), (75636, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 20:39:10', NULL, NULL), (75637, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 20:39:10', NULL, NULL), (75638, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 20:39:10', NULL, NULL), (75639, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 20:39:10', NULL, NULL), (75640, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 20:39:10', NULL, NULL), (75641, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 20:39:10', NULL, NULL), (75642, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 20:39:10', NULL, NULL), (75643, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 20:39:10', NULL, NULL), (75644, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 20:39:10', NULL, NULL), (75645, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 20:39:10', NULL, NULL), (75646, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 20:39:10', NULL, NULL), (75647, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 20:39:10', NULL, NULL), (75648, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 20:39:10', NULL, NULL), (75649, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 20:39:11', NULL, NULL), (75650, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 20:39:11', NULL, NULL), (75651, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 20:39:11', NULL, NULL), (75652, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 20:39:11', NULL, NULL), (75653, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 20:39:11', NULL, NULL), (75654, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 20:39:11', NULL, NULL), (75655, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 20:39:11', NULL, NULL), (75656, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 20:39:11', NULL, NULL), (75657, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 20:39:11', NULL, NULL), (75658, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 20:39:11', NULL, NULL), (75659, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 20:39:11', NULL, NULL), (75660, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 20:39:11', NULL, NULL), (75661, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 20:39:11', NULL, NULL), (75662, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 20:39:11', NULL, NULL), (75663, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 20:39:12', NULL, NULL), (75664, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 20:39:12', NULL, NULL), (75665, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 20:39:12', NULL, NULL), (75666, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 20:39:12', NULL, NULL), (75667, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 20:39:12', NULL, NULL), (75668, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 20:39:12', NULL, NULL), (75669, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 20:39:12', NULL, NULL), (75670, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 20:39:12', NULL, NULL), (75671, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 20:39:12', NULL, NULL), (75672, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 20:39:12', NULL, NULL), (75673, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 20:39:12', NULL, NULL), (75674, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 20:39:12', NULL, NULL), (75675, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 20:39:12', NULL, NULL), (75676, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 20:39:12', NULL, NULL), (75677, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 20:39:13', NULL, NULL), (75678, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 20:39:13', NULL, NULL), (75679, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 20:39:13', NULL, NULL), (75680, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 20:39:13', NULL, NULL), (75681, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 20:39:13', NULL, NULL), (75682, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 20:39:13', NULL, NULL), (75683, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 20:39:13', NULL, NULL), (75684, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 20:39:13', NULL, NULL), (75685, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 20:39:13', NULL, NULL), (75686, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 20:39:13', NULL, NULL), (75687, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 20:39:13', NULL, NULL), (75688, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 20:39:13', NULL, NULL), (75689, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 20:39:13', NULL, NULL), (75690, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 20:39:14', NULL, NULL), (75691, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 20:39:14', NULL, NULL), (75692, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 20:39:14', NULL, NULL), (75693, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 20:39:14', NULL, NULL), (75694, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 20:39:14', NULL, NULL), (75695, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 20:39:14', NULL, NULL), (75696, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 20:39:14', NULL, NULL), (75697, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 20:39:14', NULL, NULL), (75698, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 20:39:14', NULL, NULL), (75699, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 20:39:14', NULL, NULL), (75700, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 20:39:14', NULL, NULL), (75701, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 20:39:14', NULL, NULL), (75702, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 20:39:14', NULL, NULL), (75703, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 20:39:14', NULL, NULL), (75704, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 20:39:15', NULL, NULL), (75705, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 20:39:15', NULL, NULL), (75706, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 20:39:15', 1, '2024-08-05 22:12:42'), (75707, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 20:39:15', 1, '2024-08-06 02:01:48'), (75708, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 20:39:15', 1, '2024-08-07 01:00:39'), (75709, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 20:39:15', 1, '2024-08-08 01:00:39'), (75710, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 20:39:15', 1, '2024-08-09 01:00:39'), (75711, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 20:51:26', NULL, NULL), (75712, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 20:51:26', NULL, NULL), (75713, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 20:51:26', NULL, NULL), (75714, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 20:51:26', NULL, NULL), (75715, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 20:51:26', NULL, NULL), (75716, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 20:51:26', NULL, NULL), (75717, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 20:51:26', NULL, NULL), (75718, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 20:51:26', NULL, NULL), (75719, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 20:51:26', NULL, NULL), (75720, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 20:51:27', NULL, NULL), (75721, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 20:51:27', NULL, NULL), (75722, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 20:51:27', NULL, NULL), (75723, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 20:51:27', NULL, NULL), (75724, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 20:51:27', NULL, NULL), (75725, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 20:51:27', NULL, NULL), (75726, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 20:51:27', NULL, NULL), (75727, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 20:51:27', NULL, NULL), (75728, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 20:51:27', NULL, NULL), (75729, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 20:51:27', NULL, NULL), (75730, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 20:51:27', NULL, NULL), (75731, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 20:51:27', NULL, NULL), (75732, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 20:51:27', NULL, NULL), (75733, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 20:51:27', NULL, NULL), (75734, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 20:51:27', NULL, NULL), (75735, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 20:51:27', NULL, NULL), (75736, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 20:51:27', NULL, NULL), (75737, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 20:51:27', NULL, NULL), (75738, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 20:51:27', NULL, NULL), (75739, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 20:51:27', NULL, NULL), (75740, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 20:51:27', NULL, NULL), (75741, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 20:51:27', NULL, NULL), (75742, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 20:51:27', NULL, NULL), (75743, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 20:51:27', NULL, NULL), (75744, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 20:51:27', NULL, NULL), (75745, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 20:51:27', NULL, NULL), (75746, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 20:51:27', NULL, NULL), (75747, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 20:51:27', NULL, NULL), (75748, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 20:51:27', NULL, NULL), (75749, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 20:51:27', NULL, NULL), (75750, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 20:51:27', NULL, NULL), (75751, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 20:51:27', NULL, NULL), (75752, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 20:51:27', NULL, NULL), (75753, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 20:51:27', NULL, NULL), (75754, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 20:51:27', NULL, NULL), (75755, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 20:51:27', NULL, NULL), (75756, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 20:51:27', NULL, NULL), (75757, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 20:51:27', NULL, NULL), (75758, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 20:51:27', NULL, NULL), (75759, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 20:51:27', NULL, NULL), (75760, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 20:51:27', NULL, NULL), (75761, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 20:51:27', NULL, NULL), (75762, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 20:51:27', NULL, NULL), (75763, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 20:51:27', NULL, NULL), (75764, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 20:51:27', NULL, NULL), (75765, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 20:51:27', NULL, NULL), (75766, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 20:51:27', NULL, NULL), (75767, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 20:51:27', NULL, NULL), (75768, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 20:51:27', NULL, NULL), (75769, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 20:51:27', NULL, NULL), (75770, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 20:51:27', NULL, NULL), (75771, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 20:51:27', NULL, NULL), (75772, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 20:51:27', NULL, NULL), (75773, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 20:51:27', NULL, NULL), (75774, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 20:51:27', NULL, NULL), (75775, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 20:51:27', NULL, NULL), (75776, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 20:51:27', NULL, NULL), (75777, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 20:51:27', NULL, NULL), (75778, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 20:51:27', NULL, NULL), (75779, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 20:51:27', NULL, NULL), (75780, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 20:51:27', NULL, NULL), (75781, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 20:51:27', NULL, NULL), (75782, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 20:51:27', NULL, NULL), (75783, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 20:51:27', NULL, NULL), (75784, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 20:51:27', NULL, NULL), (75785, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 20:51:27', NULL, NULL), (75786, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 20:51:27', NULL, NULL), (75787, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 20:51:27', NULL, NULL), (75788, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 20:51:27', NULL, NULL), (75789, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 20:51:27', NULL, NULL), (75790, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 20:51:27', NULL, NULL), (75791, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 20:51:27', NULL, NULL), (75792, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 20:51:27', NULL, NULL), (75793, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 20:51:27', NULL, NULL), (75794, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 20:51:27', NULL, NULL), (75795, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 20:51:27', NULL, NULL), (75796, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 20:51:28', NULL, NULL), (75797, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 20:51:28', NULL, NULL), (75798, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 20:51:28', NULL, NULL), (75799, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 20:51:28', NULL, NULL), (75800, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 20:51:28', NULL, NULL), (75801, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 20:51:28', NULL, NULL), (75802, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 20:51:28', NULL, NULL), (75803, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 20:51:28', NULL, NULL), (75804, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 20:51:28', NULL, NULL), (75805, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 20:51:28', NULL, NULL), (75806, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 20:51:28', NULL, NULL), (75807, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 20:51:28', NULL, NULL), (75808, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 20:51:28', NULL, NULL), (75809, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 20:51:28', NULL, NULL), (75810, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 20:51:28', NULL, NULL), (75811, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 20:51:28', NULL, NULL), (75812, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 20:51:28', NULL, NULL), (75813, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 20:51:28', NULL, NULL), (75814, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 20:51:28', NULL, NULL), (75815, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 20:51:28', NULL, NULL), (75816, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 20:51:28', NULL, NULL), (75817, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 20:51:28', NULL, NULL), (75818, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 20:51:28', NULL, NULL), (75819, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 20:51:28', NULL, NULL), (75820, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 20:51:28', NULL, NULL), (75821, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 20:51:28', NULL, NULL), (75822, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 20:51:28', NULL, NULL), (75823, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 20:51:28', NULL, NULL), (75824, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 20:51:28', NULL, NULL), (75825, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 20:51:28', NULL, NULL), (75826, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 20:51:28', NULL, NULL), (75827, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 20:51:28', NULL, NULL), (75828, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 20:51:28', NULL, NULL), (75829, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 20:51:28', NULL, NULL), (75830, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 20:51:28', NULL, NULL), (75831, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 20:51:28', NULL, NULL), (75832, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 20:51:28', NULL, NULL), (75833, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 20:51:28', NULL, NULL), (75834, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 20:51:28', NULL, NULL), (75835, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 20:51:28', NULL, NULL), (75836, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 20:51:28', NULL, NULL), (75837, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 20:51:28', NULL, NULL), (75838, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 20:51:28', NULL, NULL), (75839, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 20:51:28', NULL, NULL), (75840, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 20:51:28', NULL, NULL), (75841, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 20:51:28', NULL, NULL), (75842, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 20:51:28', NULL, NULL), (75843, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 20:51:28', NULL, NULL), (75844, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 20:51:28', NULL, NULL), (75845, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 20:51:28', NULL, NULL), (75846, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 20:51:28', NULL, NULL), (75847, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 20:51:28', NULL, NULL), (75848, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 20:51:28', NULL, NULL), (75849, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 20:51:28', NULL, NULL), (75850, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 20:51:28', NULL, NULL), (75851, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 20:51:28', NULL, NULL), (75852, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 20:51:28', NULL, NULL), (75853, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 20:51:28', NULL, NULL), (75854, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 20:51:28', NULL, NULL), (75855, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 20:51:28', NULL, NULL), (75856, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 20:51:28', NULL, NULL), (75857, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 20:51:28', NULL, NULL), (75858, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 20:51:28', NULL, NULL), (75859, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 20:51:28', NULL, NULL), (75860, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 20:51:28', NULL, NULL), (75861, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 20:51:28', NULL, NULL), (75862, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 20:51:28', NULL, NULL), (75863, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 20:51:28', NULL, NULL), (75864, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 20:51:28', NULL, NULL), (75865, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 20:51:28', NULL, NULL), (75866, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 20:51:28', NULL, NULL), (75867, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 20:51:28', NULL, NULL), (75868, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 20:51:28', NULL, NULL), (75869, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 20:51:29', NULL, NULL), (75870, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 20:51:29', NULL, NULL), (75871, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 20:51:29', NULL, NULL), (75872, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 20:51:29', NULL, NULL), (75873, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 20:51:29', NULL, NULL), (75874, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 20:51:29', NULL, NULL), (75875, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 20:51:29', NULL, NULL), (75876, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 20:51:29', NULL, NULL), (75877, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 20:51:29', NULL, NULL), (75878, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 20:51:29', NULL, NULL), (75879, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 20:51:29', NULL, NULL), (75880, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 20:51:29', NULL, NULL), (75881, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 20:51:29', NULL, NULL), (75882, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 20:51:29', NULL, NULL), (75883, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 20:51:29', NULL, NULL), (75884, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 20:51:29', NULL, NULL), (75885, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 20:51:29', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (75886, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 20:51:29', NULL, NULL), (75887, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 20:51:29', NULL, NULL), (75888, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 20:51:29', NULL, NULL), (75889, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 20:51:29', NULL, NULL), (75890, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 20:51:29', NULL, NULL), (75891, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 20:51:29', NULL, NULL), (75892, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 20:51:29', NULL, NULL), (75893, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 20:51:29', NULL, NULL), (75894, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 20:51:29', NULL, NULL), (75895, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 20:51:29', NULL, NULL), (75896, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 20:51:29', NULL, NULL), (75897, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 20:51:29', NULL, NULL), (75898, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 20:51:29', NULL, NULL), (75899, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 20:51:29', NULL, NULL), (75900, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 20:51:29', NULL, NULL), (75901, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 20:51:29', NULL, NULL), (75902, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 20:51:29', NULL, NULL), (75903, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 20:51:29', NULL, NULL), (75904, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 20:51:29', NULL, NULL), (75905, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 20:51:29', NULL, NULL), (75906, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 20:51:29', NULL, NULL), (75907, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 20:51:29', NULL, NULL), (75908, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 20:51:29', NULL, NULL), (75909, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 20:51:29', NULL, NULL), (75910, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 20:51:29', NULL, NULL), (75911, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 20:51:29', NULL, NULL), (75912, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 20:51:29', NULL, NULL), (75913, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 20:51:29', NULL, NULL), (75914, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 20:51:29', NULL, NULL), (75915, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 20:51:29', NULL, NULL), (75916, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 20:51:29', NULL, NULL), (75917, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 20:51:29', NULL, NULL), (75918, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 20:51:29', NULL, NULL), (75919, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 20:51:29', NULL, NULL), (75920, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 20:51:29', NULL, NULL), (75921, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 20:51:29', NULL, NULL), (75922, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 20:51:29', NULL, NULL), (75923, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 20:51:29', NULL, NULL), (75924, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 20:51:29', NULL, NULL), (75925, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 20:51:29', NULL, NULL), (75926, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 20:51:29', NULL, NULL), (75927, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 20:51:29', NULL, NULL), (75928, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 20:51:29', NULL, NULL), (75929, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 20:51:29', NULL, NULL), (75930, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 20:51:29', NULL, NULL), (75931, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 20:51:29', NULL, NULL), (75932, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 20:51:29', NULL, NULL), (75933, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 20:51:29', NULL, NULL), (75934, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 20:51:29', NULL, NULL), (75935, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 20:51:29', NULL, NULL), (75936, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 20:51:29', NULL, NULL), (75937, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 20:51:29', NULL, NULL), (75938, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 20:51:29', NULL, NULL), (75939, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 20:51:29', NULL, NULL), (75940, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 20:51:29', NULL, NULL), (75941, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 20:51:30', NULL, NULL), (75942, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 20:51:30', NULL, NULL), (75943, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 20:51:30', NULL, NULL), (75944, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 20:51:30', NULL, NULL), (75945, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 20:51:30', NULL, NULL), (75946, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 20:51:30', NULL, NULL), (75947, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 20:51:30', NULL, NULL), (75948, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 20:51:30', NULL, NULL), (75949, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 20:51:30', NULL, NULL), (75950, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 20:51:30', NULL, NULL), (75951, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 20:51:30', NULL, NULL), (75952, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 20:51:30', NULL, NULL), (75953, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 20:51:30', NULL, NULL), (75954, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 20:51:30', NULL, NULL), (75955, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 20:51:30', NULL, NULL), (75956, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 20:51:30', NULL, NULL), (75957, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 20:51:30', NULL, NULL), (75958, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 20:51:30', NULL, NULL), (75959, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 20:51:30', NULL, NULL), (75960, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 20:51:30', NULL, NULL), (75961, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 20:51:30', NULL, NULL), (75962, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 20:51:30', NULL, NULL), (75963, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 20:51:30', NULL, NULL), (75964, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 20:51:30', NULL, NULL), (75965, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 20:51:30', NULL, NULL), (75966, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 20:51:30', NULL, NULL), (75967, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 20:51:30', NULL, NULL), (75968, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 20:51:30', NULL, NULL), (75969, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 20:51:30', NULL, NULL), (75970, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 20:51:30', NULL, NULL), (75971, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 20:51:30', NULL, NULL), (75972, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 20:51:30', NULL, NULL), (75973, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 20:51:30', NULL, NULL), (75974, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 20:51:30', NULL, NULL), (75975, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 20:51:30', NULL, NULL), (75976, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 20:51:30', NULL, NULL), (75977, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 20:51:30', NULL, NULL), (75978, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 20:51:30', NULL, NULL), (75979, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 20:51:30', NULL, NULL), (75980, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 20:51:30', NULL, NULL), (75981, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 20:51:30', NULL, NULL), (75982, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 20:51:30', NULL, NULL), (75983, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 20:51:30', NULL, NULL), (75984, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 20:51:30', NULL, NULL), (75985, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 20:51:30', NULL, NULL), (75986, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 20:51:30', NULL, NULL), (75987, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 20:51:30', NULL, NULL), (75988, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 20:51:30', NULL, NULL), (75989, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 20:51:30', NULL, NULL), (75990, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 20:51:30', NULL, NULL), (75991, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 20:51:30', NULL, NULL), (75992, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 20:51:30', NULL, NULL), (75993, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 20:51:30', NULL, NULL), (75994, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 20:51:30', NULL, NULL), (75995, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 20:51:30', NULL, NULL), (75996, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 20:51:30', NULL, NULL), (75997, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 20:51:30', NULL, NULL), (75998, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 20:51:30', NULL, NULL), (75999, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 20:51:30', NULL, NULL), (76000, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 20:51:30', NULL, NULL), (76001, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 20:51:30', NULL, NULL), (76002, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 20:51:30', NULL, NULL), (76003, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 20:51:30', NULL, NULL), (76004, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 20:51:30', NULL, NULL), (76005, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 20:51:30', NULL, NULL), (76006, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 20:51:30', NULL, NULL), (76007, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 20:51:30', NULL, NULL), (76008, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 20:51:30', NULL, NULL), (76009, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 20:51:30', NULL, NULL), (76010, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 20:51:30', NULL, NULL), (76011, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 20:51:30', NULL, NULL), (76012, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 20:51:30', NULL, NULL), (76013, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 20:51:30', NULL, NULL), (76014, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 20:51:30', NULL, NULL), (76015, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 20:51:30', NULL, NULL), (76016, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 20:51:30', NULL, NULL), (76017, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 20:51:30', NULL, NULL), (76018, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 20:51:30', NULL, NULL), (76019, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 20:51:30', NULL, NULL), (76020, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 20:51:30', NULL, NULL), (76021, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 20:51:30', NULL, NULL), (76022, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 20:51:30', NULL, NULL), (76023, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 20:51:30', NULL, NULL), (76024, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 20:51:30', NULL, NULL), (76025, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 20:51:30', NULL, NULL), (76026, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 20:51:30', NULL, NULL), (76027, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 20:51:30', NULL, NULL), (76028, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 20:51:30', NULL, NULL), (76029, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 20:51:30', NULL, NULL), (76030, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 20:51:30', NULL, NULL), (76031, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 20:51:30', NULL, NULL), (76032, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 20:51:30', NULL, NULL), (76033, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 20:51:30', NULL, NULL), (76034, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 20:51:30', NULL, NULL), (76035, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 20:51:30', NULL, NULL), (76036, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 20:51:30', NULL, NULL), (76037, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 20:51:30', NULL, NULL), (76038, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 20:51:30', NULL, NULL), (76039, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 20:51:30', NULL, NULL), (76040, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 20:51:30', NULL, NULL), (76041, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 20:51:30', NULL, NULL), (76042, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 20:51:30', NULL, NULL), (76043, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 20:51:30', NULL, NULL), (76044, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 20:51:30', NULL, NULL), (76045, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 20:51:30', NULL, NULL), (76046, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 20:51:30', NULL, NULL), (76047, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 20:51:30', NULL, NULL), (76048, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 20:51:30', NULL, NULL), (76049, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 20:51:30', NULL, NULL), (76050, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 20:51:30', NULL, NULL), (76051, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 20:51:30', NULL, NULL), (76052, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 20:51:30', NULL, NULL), (76053, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 20:51:30', NULL, NULL), (76054, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 20:51:30', NULL, NULL), (76055, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 20:51:30', NULL, NULL), (76056, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 20:51:30', NULL, NULL), (76057, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 20:51:30', NULL, NULL), (76058, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 20:51:30', NULL, NULL), (76059, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 20:51:30', NULL, NULL), (76060, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 20:51:30', NULL, NULL), (76061, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 20:51:31', NULL, NULL), (76062, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 20:51:31', NULL, NULL), (76063, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 20:51:31', NULL, NULL), (76064, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 20:51:31', NULL, NULL), (76065, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 20:51:31', NULL, NULL), (76066, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 20:51:31', NULL, NULL), (76067, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 20:51:31', NULL, NULL), (76068, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 20:51:31', NULL, NULL), (76069, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 20:51:31', NULL, NULL), (76070, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 20:51:31', NULL, NULL), (76071, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 20:51:31', NULL, NULL), (76072, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 20:51:31', NULL, NULL), (76073, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 20:51:31', NULL, NULL), (76074, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 20:51:31', NULL, NULL), (76075, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 20:51:31', NULL, NULL), (76076, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 20:51:31', NULL, NULL), (76077, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 20:51:31', NULL, NULL), (76078, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 20:51:31', NULL, NULL), (76079, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 20:51:31', NULL, NULL), (76080, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 20:51:31', NULL, NULL), (76081, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 20:51:31', NULL, NULL), (76082, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 20:51:31', NULL, NULL), (76083, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 20:51:31', NULL, NULL), (76084, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 20:51:31', NULL, NULL), (76085, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 20:51:31', NULL, NULL), (76086, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 20:51:31', NULL, NULL), (76087, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 20:51:31', NULL, NULL), (76088, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 20:51:31', NULL, NULL), (76089, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 20:51:31', NULL, NULL), (76090, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 20:51:31', NULL, NULL), (76091, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 20:51:31', NULL, NULL), (76092, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 20:51:31', NULL, NULL), (76093, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 20:51:31', NULL, NULL), (76094, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 20:51:31', NULL, NULL), (76095, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 20:51:31', NULL, NULL), (76096, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 20:51:31', NULL, NULL), (76097, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 20:51:31', NULL, NULL), (76098, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 20:51:31', NULL, NULL), (76099, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 20:51:31', NULL, NULL), (76100, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 20:51:31', NULL, NULL), (76101, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 20:51:31', NULL, NULL), (76102, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 20:51:31', NULL, NULL), (76103, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 20:51:31', NULL, NULL), (76104, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 20:51:31', NULL, NULL), (76105, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 20:51:31', NULL, NULL), (76106, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 20:51:31', NULL, NULL), (76107, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 20:51:31', NULL, NULL), (76108, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 20:51:31', NULL, NULL), (76109, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 20:51:31', NULL, NULL), (76110, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 20:51:31', NULL, NULL), (76111, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 20:51:31', NULL, NULL), (76112, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 20:51:31', NULL, NULL), (76113, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 20:51:31', NULL, NULL), (76114, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 20:51:31', NULL, NULL), (76115, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 20:51:31', NULL, NULL), (76116, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 20:51:31', NULL, NULL), (76117, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 20:51:31', NULL, NULL), (76118, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 20:51:31', NULL, NULL), (76119, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 20:51:31', NULL, NULL), (76120, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 20:51:31', NULL, NULL), (76121, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 20:51:31', NULL, NULL), (76122, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 20:51:31', NULL, NULL), (76123, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 20:51:31', NULL, NULL), (76124, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 20:51:31', NULL, NULL), (76125, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 20:51:31', NULL, NULL), (76126, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 20:51:32', NULL, NULL), (76127, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 20:51:32', NULL, NULL), (76128, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 20:51:32', NULL, NULL), (76129, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 20:51:32', NULL, NULL), (76130, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 20:51:32', NULL, NULL), (76131, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 20:51:32', NULL, NULL), (76132, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 20:51:32', NULL, NULL), (76133, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 20:51:32', NULL, NULL), (76134, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 20:51:32', NULL, NULL), (76135, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 20:51:32', NULL, NULL), (76136, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 20:51:32', NULL, NULL), (76137, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 20:51:32', NULL, NULL), (76138, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 20:51:32', NULL, NULL), (76139, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 20:51:32', NULL, NULL), (76140, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 20:51:32', NULL, NULL), (76141, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 20:51:32', NULL, NULL), (76142, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 20:51:32', NULL, NULL), (76143, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 20:51:32', NULL, NULL), (76144, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 20:51:32', NULL, NULL), (76145, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 20:51:32', NULL, NULL), (76146, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 20:51:32', NULL, NULL), (76147, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 20:51:32', NULL, NULL), (76148, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 20:51:32', NULL, NULL), (76149, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 20:51:32', NULL, NULL), (76150, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 20:51:32', NULL, NULL), (76151, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 20:51:32', NULL, NULL), (76152, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 20:51:32', NULL, NULL), (76153, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 20:51:32', NULL, NULL), (76154, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 20:51:32', NULL, NULL), (76155, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 20:51:32', NULL, NULL), (76156, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 20:51:32', NULL, NULL), (76157, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 20:51:32', NULL, NULL), (76158, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 20:51:32', NULL, NULL), (76159, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 20:51:32', NULL, NULL), (76160, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 20:51:32', NULL, NULL), (76161, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 20:51:32', NULL, NULL), (76162, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 20:51:32', NULL, NULL), (76163, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 20:51:32', NULL, NULL), (76164, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 20:51:32', NULL, NULL), (76165, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 20:51:32', NULL, NULL), (76166, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 20:51:32', NULL, NULL), (76167, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 20:51:32', NULL, NULL), (76168, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 20:51:32', NULL, NULL), (76169, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 20:51:32', NULL, NULL), (76170, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 20:51:32', NULL, NULL), (76171, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 20:51:32', NULL, NULL), (76172, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 20:51:32', NULL, NULL), (76173, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 20:51:32', NULL, NULL), (76174, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 20:51:32', NULL, NULL), (76175, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 20:51:32', NULL, NULL), (76176, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 20:51:32', NULL, NULL), (76177, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 20:51:32', NULL, NULL), (76178, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 20:51:32', NULL, NULL), (76179, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 20:51:32', NULL, NULL), (76180, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 20:51:32', NULL, NULL), (76181, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 20:51:32', NULL, NULL), (76182, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 20:51:32', NULL, NULL), (76183, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 20:51:32', NULL, NULL), (76184, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 20:51:32', NULL, NULL), (76185, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 20:51:33', NULL, NULL), (76186, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 20:51:33', NULL, NULL), (76187, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 20:51:33', NULL, NULL), (76188, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 20:51:33', NULL, NULL), (76189, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 20:51:33', NULL, NULL), (76190, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 20:51:33', NULL, NULL), (76191, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 20:51:33', NULL, NULL), (76192, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 20:51:33', NULL, NULL), (76193, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 20:51:33', NULL, NULL), (76194, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 20:51:33', NULL, NULL), (76195, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 20:51:33', NULL, NULL), (76196, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 20:51:33', NULL, NULL), (76197, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 20:51:33', NULL, NULL), (76198, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 20:51:33', NULL, NULL), (76199, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 20:51:33', NULL, NULL), (76200, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 20:51:33', NULL, NULL), (76201, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 20:51:33', NULL, NULL), (76202, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 20:51:33', NULL, NULL), (76203, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 20:51:33', NULL, NULL), (76204, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 20:51:33', NULL, NULL), (76205, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 20:51:33', NULL, NULL), (76206, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 20:51:33', NULL, NULL), (76207, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 20:51:33', NULL, NULL), (76208, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 20:51:33', NULL, NULL), (76209, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 20:51:33', NULL, NULL), (76210, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 20:51:33', NULL, NULL), (76211, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 20:51:33', NULL, NULL), (76212, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 20:51:33', NULL, NULL), (76213, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 20:51:33', NULL, NULL), (76214, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 20:51:33', NULL, NULL), (76215, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 20:51:33', NULL, NULL), (76216, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 20:51:33', NULL, NULL), (76217, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 20:51:33', NULL, NULL), (76218, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 20:51:33', NULL, NULL), (76219, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 20:51:33', NULL, NULL), (76220, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 20:51:33', NULL, NULL), (76221, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 20:51:33', NULL, NULL), (76222, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 20:51:33', NULL, NULL), (76223, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 20:51:33', NULL, NULL), (76224, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 20:51:33', NULL, NULL), (76225, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 20:51:33', NULL, NULL), (76226, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 20:51:33', NULL, NULL), (76227, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 20:51:33', NULL, NULL), (76228, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 20:51:33', NULL, NULL), (76229, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 20:51:33', NULL, NULL), (76230, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 20:51:33', NULL, NULL), (76231, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 20:51:33', NULL, NULL), (76232, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 20:51:33', NULL, NULL), (76233, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 20:51:33', NULL, NULL), (76234, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 20:51:33', NULL, NULL), (76235, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 20:51:33', NULL, NULL), (76236, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 20:51:33', NULL, NULL), (76237, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 20:51:33', NULL, NULL), (76238, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 20:51:33', NULL, NULL), (76239, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 20:51:33', NULL, NULL), (76240, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 20:51:33', NULL, NULL), (76241, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 20:51:33', NULL, NULL), (76242, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 20:51:34', NULL, NULL), (76243, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 20:51:34', NULL, NULL), (76244, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 20:51:34', NULL, NULL), (76245, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 20:51:34', NULL, NULL), (76246, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 20:51:34', NULL, NULL), (76247, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 20:51:34', NULL, NULL), (76248, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 20:51:34', NULL, NULL), (76249, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 20:51:34', NULL, NULL), (76250, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 20:51:34', NULL, NULL), (76251, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 20:51:34', NULL, NULL), (76252, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 20:51:34', NULL, NULL), (76253, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 20:51:34', NULL, NULL), (76254, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 20:51:34', NULL, NULL), (76255, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 20:51:34', NULL, NULL), (76256, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 20:51:34', NULL, NULL), (76257, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 20:51:34', NULL, NULL), (76258, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 20:51:34', NULL, NULL), (76259, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 20:51:34', NULL, NULL), (76260, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 20:51:34', NULL, NULL), (76261, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 20:51:34', NULL, NULL), (76262, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 20:51:34', NULL, NULL), (76263, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 20:51:34', NULL, NULL), (76264, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 20:51:34', NULL, NULL), (76265, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 20:51:34', NULL, NULL), (76266, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 20:51:34', NULL, NULL), (76267, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 20:51:34', NULL, NULL), (76268, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 20:51:34', NULL, NULL), (76269, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 20:51:34', NULL, NULL), (76270, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 20:51:34', NULL, NULL), (76271, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 20:51:34', NULL, NULL), (76272, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 20:51:34', NULL, NULL), (76273, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 20:51:34', NULL, NULL), (76274, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 20:51:34', NULL, NULL), (76275, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 20:51:34', NULL, NULL), (76276, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 20:51:34', NULL, NULL), (76277, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 20:51:34', NULL, NULL), (76278, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 20:51:34', NULL, NULL), (76279, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 20:51:34', NULL, NULL), (76280, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 20:51:34', NULL, NULL), (76281, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 20:51:34', NULL, NULL), (76282, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 20:51:34', NULL, NULL), (76283, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 20:51:34', NULL, NULL), (76284, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 20:51:34', NULL, NULL), (76285, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 20:51:34', NULL, NULL), (76286, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 20:51:34', NULL, NULL), (76287, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 20:51:34', NULL, NULL), (76288, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 20:51:34', NULL, NULL), (76289, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 20:51:34', 1, '2024-08-05 22:12:41'), (76290, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 20:51:34', 1, '2024-08-06 02:01:54'), (76291, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 20:51:34', 1, '2024-08-07 01:00:39'), (76292, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 20:51:34', 1, '2024-08-08 01:00:46'), (76293, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 20:51:34', 1, '2024-08-09 01:00:40'), (76294, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 21:03:57', NULL, NULL), (76295, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 21:03:57', NULL, NULL), (76296, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 21:03:57', NULL, NULL), (76297, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 21:03:57', NULL, NULL), (76298, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 21:03:57', NULL, NULL), (76299, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 21:03:57', NULL, NULL), (76300, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 21:03:57', NULL, NULL), (76301, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 21:03:57', NULL, NULL), (76302, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 21:03:57', NULL, NULL), (76303, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 21:03:57', NULL, NULL), (76304, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 21:03:57', NULL, NULL), (76305, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 21:03:57', NULL, NULL), (76306, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 21:03:57', NULL, NULL), (76307, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 21:03:57', NULL, NULL), (76308, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 21:03:58', NULL, NULL), (76309, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 21:03:58', NULL, NULL), (76310, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 21:03:58', NULL, NULL), (76311, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 21:03:58', NULL, NULL), (76312, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 21:03:58', NULL, NULL), (76313, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 21:03:58', NULL, NULL), (76314, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 21:03:58', NULL, NULL), (76315, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 21:03:58', NULL, NULL), (76316, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 21:03:58', NULL, NULL), (76317, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 21:03:58', NULL, NULL), (76318, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 21:03:58', NULL, NULL), (76319, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 21:03:58', NULL, NULL), (76320, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 21:03:58', NULL, NULL), (76321, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 21:03:58', NULL, NULL), (76322, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 21:03:58', NULL, NULL), (76323, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 21:03:58', NULL, NULL), (76324, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 21:03:58', NULL, NULL), (76325, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 21:03:58', NULL, NULL), (76326, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 21:03:58', NULL, NULL), (76327, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 21:03:58', NULL, NULL), (76328, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 21:03:58', NULL, NULL), (76329, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 21:03:58', NULL, NULL), (76330, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 21:03:58', NULL, NULL), (76331, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 21:03:58', NULL, NULL), (76332, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 21:03:58', NULL, NULL), (76333, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 21:03:58', NULL, NULL), (76334, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 21:03:58', NULL, NULL), (76335, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 21:03:58', NULL, NULL), (76336, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 21:03:58', NULL, NULL), (76337, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 21:03:58', NULL, NULL), (76338, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 21:03:58', NULL, NULL), (76339, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 21:03:58', NULL, NULL), (76340, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 21:03:58', NULL, NULL), (76341, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 21:03:58', NULL, NULL), (76342, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 21:03:58', NULL, NULL), (76343, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 21:03:58', NULL, NULL), (76344, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 21:03:58', NULL, NULL), (76345, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 21:03:58', NULL, NULL), (76346, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 21:03:58', NULL, NULL), (76347, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 21:03:58', NULL, NULL), (76348, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 21:03:58', NULL, NULL), (76349, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 21:03:58', NULL, NULL), (76350, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 21:03:58', NULL, NULL), (76351, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 21:03:58', NULL, NULL), (76352, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 21:03:58', NULL, NULL), (76353, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 21:03:58', NULL, NULL), (76354, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 21:03:58', NULL, NULL), (76355, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 21:03:59', NULL, NULL), (76356, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 21:03:59', NULL, NULL), (76357, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 21:03:59', NULL, NULL), (76358, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 21:03:59', NULL, NULL), (76359, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 21:03:59', NULL, NULL), (76360, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 21:03:59', NULL, NULL), (76361, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 21:03:59', NULL, NULL), (76362, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 21:03:59', NULL, NULL), (76363, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 21:03:59', NULL, NULL), (76364, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 21:03:59', NULL, NULL), (76365, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 21:03:59', NULL, NULL), (76366, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 21:03:59', NULL, NULL), (76367, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 21:03:59', NULL, NULL), (76368, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 21:03:59', NULL, NULL), (76369, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 21:03:59', NULL, NULL), (76370, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 21:03:59', NULL, NULL), (76371, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 21:03:59', NULL, NULL), (76372, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 21:03:59', NULL, NULL), (76373, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 21:03:59', NULL, NULL), (76374, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 21:03:59', NULL, NULL), (76375, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 21:03:59', NULL, NULL), (76376, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 21:03:59', NULL, NULL), (76377, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 21:03:59', NULL, NULL), (76378, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 21:03:59', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (76379, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 21:03:59', NULL, NULL), (76380, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 21:03:59', NULL, NULL), (76381, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 21:03:59', NULL, NULL), (76382, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 21:03:59', NULL, NULL), (76383, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 21:03:59', NULL, NULL), (76384, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 21:03:59', NULL, NULL), (76385, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 21:03:59', NULL, NULL), (76386, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 21:03:59', NULL, NULL), (76387, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 21:03:59', NULL, NULL), (76388, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 21:03:59', NULL, NULL), (76389, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 21:03:59', NULL, NULL), (76390, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 21:03:59', NULL, NULL), (76391, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 21:03:59', NULL, NULL), (76392, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 21:03:59', NULL, NULL), (76393, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 21:03:59', NULL, NULL), (76394, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 21:03:59', NULL, NULL), (76395, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 21:03:59', NULL, NULL), (76396, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 21:03:59', NULL, NULL), (76397, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 21:04:00', NULL, NULL), (76398, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 21:04:00', NULL, NULL), (76399, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 21:04:00', NULL, NULL), (76400, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 21:04:00', NULL, NULL), (76401, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 21:04:00', NULL, NULL), (76402, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 21:04:00', NULL, NULL), (76403, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 21:04:00', NULL, NULL), (76404, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 21:04:00', NULL, NULL), (76405, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 21:04:00', NULL, NULL), (76406, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 21:04:00', NULL, NULL), (76407, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 21:04:00', NULL, NULL), (76408, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 21:04:00', NULL, NULL), (76409, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 21:04:00', NULL, NULL), (76410, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 21:04:00', NULL, NULL), (76411, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 21:04:00', NULL, NULL), (76412, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 21:04:00', NULL, NULL), (76413, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 21:04:00', NULL, NULL), (76414, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 21:04:00', NULL, NULL), (76415, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 21:04:00', NULL, NULL), (76416, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 21:04:00', NULL, NULL), (76417, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 21:04:00', NULL, NULL), (76418, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 21:04:00', NULL, NULL), (76419, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 21:04:00', NULL, NULL), (76420, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 21:04:00', NULL, NULL), (76421, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 21:04:00', NULL, NULL), (76422, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 21:04:00', NULL, NULL), (76423, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 21:04:00', NULL, NULL), (76424, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 21:04:00', NULL, NULL), (76425, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 21:04:00', NULL, NULL), (76426, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 21:04:00', NULL, NULL), (76427, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 21:04:00', NULL, NULL), (76428, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 21:04:00', NULL, NULL), (76429, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 21:04:00', NULL, NULL), (76430, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 21:04:00', NULL, NULL), (76431, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 21:04:00', NULL, NULL), (76432, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 21:04:00', NULL, NULL), (76433, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 21:04:00', NULL, NULL), (76434, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 21:04:00', NULL, NULL), (76435, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 21:04:00', NULL, NULL), (76436, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 21:04:00', NULL, NULL), (76437, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 21:04:00', NULL, NULL), (76438, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 21:04:00', NULL, NULL), (76439, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 21:04:01', NULL, NULL), (76440, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 21:04:01', NULL, NULL), (76441, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 21:04:01', NULL, NULL), (76442, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 21:04:01', NULL, NULL), (76443, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 21:04:01', NULL, NULL), (76444, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 21:04:01', NULL, NULL), (76445, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 21:04:01', NULL, NULL), (76446, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 21:04:01', NULL, NULL), (76447, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 21:04:01', NULL, NULL), (76448, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 21:04:01', NULL, NULL), (76449, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 21:04:01', NULL, NULL), (76450, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 21:04:01', NULL, NULL), (76451, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 21:04:01', NULL, NULL), (76452, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 21:04:01', NULL, NULL), (76453, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 21:04:01', NULL, NULL), (76454, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 21:04:01', NULL, NULL), (76455, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 21:04:01', NULL, NULL), (76456, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 21:04:01', NULL, NULL), (76457, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 21:04:01', NULL, NULL), (76458, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 21:04:01', NULL, NULL), (76459, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 21:04:01', NULL, NULL), (76460, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 21:04:01', NULL, NULL), (76461, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 21:04:01', NULL, NULL), (76462, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 21:04:01', NULL, NULL), (76463, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 21:04:01', NULL, NULL), (76464, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 21:04:01', NULL, NULL), (76465, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 21:04:01', NULL, NULL), (76466, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 21:04:01', NULL, NULL), (76467, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 21:04:01', NULL, NULL), (76468, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 21:04:01', NULL, NULL), (76469, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 21:04:01', NULL, NULL), (76470, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 21:04:01', NULL, NULL), (76471, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 21:04:01', NULL, NULL), (76472, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 21:04:01', NULL, NULL), (76473, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 21:04:01', NULL, NULL), (76474, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 21:04:01', NULL, NULL), (76475, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 21:04:01', NULL, NULL), (76476, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 21:04:01', NULL, NULL), (76477, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 21:04:01', NULL, NULL), (76478, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 21:04:01', NULL, NULL), (76479, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 21:04:01', NULL, NULL), (76480, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 21:04:01', NULL, NULL), (76481, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 21:04:02', NULL, NULL), (76482, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 21:04:02', NULL, NULL), (76483, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 21:04:02', NULL, NULL), (76484, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 21:04:02', NULL, NULL), (76485, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 21:04:02', NULL, NULL), (76486, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 21:04:02', NULL, NULL), (76487, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 21:04:02', NULL, NULL), (76488, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 21:04:02', NULL, NULL), (76489, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 21:04:02', NULL, NULL), (76490, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 21:04:02', NULL, NULL), (76491, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 21:04:02', NULL, NULL), (76492, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 21:04:02', NULL, NULL), (76493, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 21:04:02', NULL, NULL), (76494, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 21:04:02', NULL, NULL), (76495, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 21:04:02', NULL, NULL), (76496, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 21:04:02', NULL, NULL), (76497, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 21:04:02', NULL, NULL), (76498, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 21:04:02', NULL, NULL), (76499, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 21:04:02', NULL, NULL), (76500, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 21:04:02', NULL, NULL), (76501, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 21:04:02', NULL, NULL), (76502, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 21:04:02', NULL, NULL), (76503, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 21:04:02', NULL, NULL), (76504, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 21:04:02', NULL, NULL), (76505, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 21:04:02', NULL, NULL), (76506, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 21:04:02', NULL, NULL), (76507, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 21:04:02', NULL, NULL), (76508, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 21:04:02', NULL, NULL), (76509, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 21:04:02', NULL, NULL), (76510, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 21:04:02', NULL, NULL), (76511, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 21:04:02', NULL, NULL), (76512, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 21:04:02', NULL, NULL), (76513, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 21:04:02', NULL, NULL), (76514, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 21:04:02', NULL, NULL), (76515, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 21:04:02', NULL, NULL), (76516, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 21:04:02', NULL, NULL), (76517, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 21:04:02', NULL, NULL), (76518, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 21:04:02', NULL, NULL), (76519, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 21:04:02', NULL, NULL), (76520, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 21:04:02', NULL, NULL), (76521, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 21:04:02', NULL, NULL), (76522, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 21:04:02', NULL, NULL), (76523, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 21:04:02', NULL, NULL), (76524, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 21:04:03', NULL, NULL), (76525, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 21:04:03', NULL, NULL), (76526, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 21:04:03', NULL, NULL), (76527, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 21:04:03', NULL, NULL), (76528, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 21:04:03', NULL, NULL), (76529, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 21:04:03', NULL, NULL), (76530, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 21:04:03', NULL, NULL), (76531, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 21:04:03', NULL, NULL), (76532, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 21:04:03', NULL, NULL), (76533, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 21:04:03', NULL, NULL), (76534, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 21:04:03', NULL, NULL), (76535, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 21:04:03', NULL, NULL), (76536, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 21:04:03', NULL, NULL), (76537, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 21:04:03', NULL, NULL), (76538, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 21:04:03', NULL, NULL), (76539, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 21:04:03', NULL, NULL), (76540, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 21:04:03', NULL, NULL), (76541, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 21:04:03', NULL, NULL), (76542, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 21:04:03', NULL, NULL), (76543, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 21:04:03', NULL, NULL), (76544, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 21:04:03', NULL, NULL), (76545, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 21:04:03', NULL, NULL), (76546, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 21:04:03', NULL, NULL), (76547, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 21:04:03', NULL, NULL), (76548, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 21:04:03', NULL, NULL), (76549, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 21:04:03', NULL, NULL), (76550, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 21:04:03', NULL, NULL), (76551, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 21:04:03', NULL, NULL), (76552, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 21:04:03', NULL, NULL), (76553, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 21:04:03', NULL, NULL), (76554, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 21:04:03', NULL, NULL), (76555, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 21:04:03', NULL, NULL), (76556, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 21:04:03', NULL, NULL), (76557, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 21:04:03', NULL, NULL), (76558, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 21:04:03', NULL, NULL), (76559, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 21:04:03', NULL, NULL), (76560, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 21:04:03', NULL, NULL), (76561, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 21:04:03', NULL, NULL), (76562, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 21:04:03', NULL, NULL), (76563, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 21:04:03', NULL, NULL), (76564, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 21:04:03', NULL, NULL), (76565, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 21:04:03', NULL, NULL), (76566, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 21:04:03', NULL, NULL), (76567, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 21:04:03', NULL, NULL), (76568, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 21:04:03', NULL, NULL), (76569, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 21:04:03', NULL, NULL), (76570, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 21:04:03', NULL, NULL), (76571, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 21:04:03', NULL, NULL), (76572, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 21:04:03', NULL, NULL), (76573, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 21:04:03', NULL, NULL), (76574, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 21:04:03', NULL, NULL), (76575, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 21:04:03', NULL, NULL), (76576, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 21:04:03', NULL, NULL), (76577, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 21:04:03', NULL, NULL), (76578, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 21:04:03', NULL, NULL), (76579, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 21:04:03', NULL, NULL), (76580, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 21:04:03', NULL, NULL), (76581, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 21:04:03', NULL, NULL), (76582, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 21:04:03', NULL, NULL), (76583, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 21:04:03', NULL, NULL), (76584, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 21:04:03', NULL, NULL), (76585, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 21:04:03', NULL, NULL), (76586, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 21:04:03', NULL, NULL), (76587, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 21:04:03', NULL, NULL), (76588, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 21:04:03', NULL, NULL), (76589, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 21:04:03', NULL, NULL), (76590, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 21:04:03', NULL, NULL), (76591, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 21:04:03', NULL, NULL), (76592, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 21:04:03', NULL, NULL), (76593, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 21:04:03', NULL, NULL), (76594, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 21:04:03', NULL, NULL), (76595, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 21:04:03', NULL, NULL), (76596, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 21:04:03', NULL, NULL), (76597, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 21:04:03', NULL, NULL), (76598, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 21:04:03', NULL, NULL), (76599, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 21:04:03', NULL, NULL), (76600, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 21:04:03', NULL, NULL), (76601, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 21:04:03', NULL, NULL), (76602, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 21:04:03', NULL, NULL), (76603, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 21:04:03', NULL, NULL), (76604, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 21:04:03', NULL, NULL), (76605, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 21:04:03', NULL, NULL), (76606, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 21:04:03', NULL, NULL), (76607, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 21:04:03', NULL, NULL), (76608, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 21:04:03', NULL, NULL), (76609, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 21:04:04', NULL, NULL), (76610, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 21:04:04', NULL, NULL), (76611, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 21:04:04', NULL, NULL), (76612, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 21:04:04', NULL, NULL), (76613, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 21:04:04', NULL, NULL), (76614, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 21:04:04', NULL, NULL), (76615, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 21:04:04', NULL, NULL), (76616, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 21:04:04', NULL, NULL), (76617, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 21:04:04', NULL, NULL), (76618, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 21:04:04', NULL, NULL), (76619, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 21:04:04', NULL, NULL), (76620, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 21:04:04', NULL, NULL), (76621, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 21:04:04', NULL, NULL), (76622, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 21:04:04', NULL, NULL), (76623, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 21:04:04', NULL, NULL), (76624, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 21:04:04', NULL, NULL), (76625, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 21:04:04', NULL, NULL), (76626, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 21:04:04', NULL, NULL), (76627, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 21:04:04', NULL, NULL), (76628, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 21:04:04', NULL, NULL), (76629, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 21:04:04', NULL, NULL), (76630, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 21:04:04', NULL, NULL), (76631, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 21:04:04', NULL, NULL), (76632, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 21:04:04', NULL, NULL), (76633, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 21:04:04', NULL, NULL), (76634, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 21:04:04', NULL, NULL), (76635, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 21:04:04', NULL, NULL), (76636, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 21:04:04', NULL, NULL), (76637, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 21:04:04', NULL, NULL), (76638, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 21:04:04', NULL, NULL), (76639, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 21:04:04', NULL, NULL), (76640, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 21:04:04', NULL, NULL), (76641, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 21:04:04', NULL, NULL), (76642, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 21:04:04', NULL, NULL), (76643, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 21:04:04', NULL, NULL), (76644, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 21:04:04', NULL, NULL), (76645, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 21:04:04', NULL, NULL), (76646, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 21:04:04', NULL, NULL), (76647, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 21:04:04', NULL, NULL), (76648, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 21:04:04', NULL, NULL), (76649, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 21:04:04', NULL, NULL), (76650, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 21:04:04', NULL, NULL), (76651, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 21:04:04', NULL, NULL), (76652, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 21:04:04', NULL, NULL), (76653, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 21:04:04', NULL, NULL), (76654, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 21:04:04', NULL, NULL), (76655, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 21:04:04', NULL, NULL), (76656, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 21:04:05', NULL, NULL), (76657, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 21:04:05', NULL, NULL), (76658, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 21:04:05', NULL, NULL), (76659, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 21:04:05', NULL, NULL), (76660, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 21:04:05', NULL, NULL), (76661, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 21:04:05', NULL, NULL), (76662, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 21:04:05', NULL, NULL), (76663, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 21:04:05', NULL, NULL), (76664, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 21:04:05', NULL, NULL), (76665, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 21:04:05', NULL, NULL), (76666, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 21:04:05', NULL, NULL), (76667, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 21:04:05', NULL, NULL), (76668, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 21:04:05', NULL, NULL), (76669, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 21:04:05', NULL, NULL), (76670, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 21:04:05', NULL, NULL), (76671, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 21:04:05', NULL, NULL), (76672, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 21:04:05', NULL, NULL), (76673, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 21:04:05', NULL, NULL), (76674, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 21:04:05', NULL, NULL), (76675, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 21:04:05', NULL, NULL), (76676, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 21:04:05', NULL, NULL), (76677, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 21:04:05', NULL, NULL), (76678, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 21:04:05', NULL, NULL), (76679, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 21:04:05', NULL, NULL), (76680, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 21:04:05', NULL, NULL), (76681, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 21:04:05', NULL, NULL), (76682, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 21:04:05', NULL, NULL), (76683, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 21:04:05', NULL, NULL), (76684, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 21:04:05', NULL, NULL), (76685, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 21:04:05', NULL, NULL), (76686, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 21:04:05', NULL, NULL), (76687, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 21:04:05', NULL, NULL), (76688, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 21:04:05', NULL, NULL), (76689, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 21:04:05', NULL, NULL), (76690, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 21:04:05', NULL, NULL), (76691, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 21:04:05', NULL, NULL), (76692, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 21:04:05', NULL, NULL), (76693, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 21:04:05', NULL, NULL), (76694, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 21:04:06', NULL, NULL), (76695, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 21:04:06', NULL, NULL), (76696, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 21:04:06', NULL, NULL), (76697, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 21:04:06', NULL, NULL), (76698, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 21:04:06', NULL, NULL), (76699, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 21:04:06', NULL, NULL), (76700, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 21:04:06', NULL, NULL), (76701, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 21:04:06', NULL, NULL), (76702, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 21:04:06', NULL, NULL), (76703, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 21:04:06', NULL, NULL), (76704, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 21:04:06', NULL, NULL), (76705, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 21:04:06', NULL, NULL), (76706, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 21:04:06', NULL, NULL), (76707, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 21:04:06', NULL, NULL), (76708, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 21:04:06', NULL, NULL), (76709, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 21:04:06', NULL, NULL), (76710, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 21:04:06', NULL, NULL), (76711, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 21:04:06', NULL, NULL), (76712, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 21:04:06', NULL, NULL), (76713, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 21:04:06', NULL, NULL), (76714, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 21:04:06', NULL, NULL), (76715, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 21:04:06', NULL, NULL), (76716, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 21:04:06', NULL, NULL), (76717, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 21:04:06', NULL, NULL), (76718, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 21:04:06', NULL, NULL), (76719, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 21:04:06', NULL, NULL), (76720, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 21:04:06', NULL, NULL), (76721, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 21:04:06', NULL, NULL), (76722, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 21:04:06', NULL, NULL), (76723, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 21:04:06', NULL, NULL), (76724, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 21:04:06', NULL, NULL), (76725, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 21:04:06', NULL, NULL), (76726, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 21:04:06', NULL, NULL), (76727, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 21:04:06', NULL, NULL), (76728, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 21:04:06', NULL, NULL), (76729, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 21:04:06', NULL, NULL), (76730, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 21:04:06', NULL, NULL), (76731, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 21:04:07', NULL, NULL), (76732, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 21:04:07', NULL, NULL), (76733, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 21:04:07', NULL, NULL), (76734, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 21:04:07', NULL, NULL), (76735, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 21:04:07', NULL, NULL), (76736, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 21:04:07', NULL, NULL), (76737, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 21:04:07', NULL, NULL), (76738, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 21:04:07', NULL, NULL), (76739, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 21:04:07', NULL, NULL), (76740, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 21:04:07', NULL, NULL), (76741, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 21:04:07', NULL, NULL), (76742, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 21:04:07', NULL, NULL), (76743, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 21:04:07', NULL, NULL), (76744, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 21:04:07', NULL, NULL), (76745, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 21:04:07', NULL, NULL), (76746, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 21:04:07', NULL, NULL), (76747, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 21:04:07', NULL, NULL), (76748, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 21:04:07', NULL, NULL), (76749, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 21:04:07', NULL, NULL), (76750, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 21:04:07', NULL, NULL), (76751, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 21:04:07', NULL, NULL), (76752, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 21:04:07', NULL, NULL), (76753, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 21:04:07', NULL, NULL), (76754, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 21:04:07', NULL, NULL), (76755, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 21:04:07', NULL, NULL), (76756, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 21:04:07', NULL, NULL), (76757, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 21:04:07', NULL, NULL), (76758, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 21:04:07', NULL, NULL), (76759, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 21:04:07', NULL, NULL), (76760, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 21:04:07', NULL, NULL), (76761, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 21:04:07', NULL, NULL), (76762, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 21:04:07', NULL, NULL), (76763, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 21:04:07', NULL, NULL), (76764, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 21:04:07', NULL, NULL), (76765, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 21:04:08', NULL, NULL), (76766, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 21:04:08', NULL, NULL), (76767, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 21:04:08', NULL, NULL), (76768, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 21:04:08', NULL, NULL), (76769, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 21:04:08', NULL, NULL), (76770, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 21:04:08', NULL, NULL), (76771, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 21:04:08', NULL, NULL), (76772, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 21:04:08', NULL, NULL), (76773, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 21:04:08', NULL, NULL), (76774, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 21:04:08', NULL, NULL), (76775, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 21:04:08', NULL, NULL), (76776, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 21:04:08', NULL, NULL), (76777, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 21:04:08', NULL, NULL), (76778, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 21:04:08', NULL, NULL), (76779, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 21:04:08', NULL, NULL), (76780, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 21:04:08', NULL, NULL), (76781, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 21:04:08', NULL, NULL), (76782, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 21:04:08', NULL, NULL), (76783, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 21:04:08', NULL, NULL), (76784, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 21:04:08', NULL, NULL), (76785, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 21:04:08', NULL, NULL), (76786, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 21:04:08', NULL, NULL), (76787, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 21:04:08', NULL, NULL), (76788, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 21:04:08', NULL, NULL), (76789, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 21:04:08', NULL, NULL), (76790, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 21:04:08', NULL, NULL), (76791, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 21:04:08', NULL, NULL), (76792, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 21:04:08', NULL, NULL), (76793, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 21:04:08', NULL, NULL), (76794, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 21:04:08', NULL, NULL), (76795, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 21:04:08', NULL, NULL), (76796, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 21:04:08', NULL, NULL), (76797, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 21:04:08', NULL, NULL), (76798, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 21:04:08', NULL, NULL), (76799, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 21:04:09', NULL, NULL), (76800, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 21:04:09', NULL, NULL), (76801, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 21:04:09', NULL, NULL), (76802, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 21:04:09', NULL, NULL), (76803, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 21:04:09', NULL, NULL), (76804, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 21:04:09', NULL, NULL), (76805, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 21:04:09', NULL, NULL), (76806, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 21:04:09', NULL, NULL), (76807, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 21:04:09', NULL, NULL), (76808, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 21:04:09', NULL, NULL), (76809, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 21:04:09', NULL, NULL), (76810, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 21:04:09', NULL, NULL), (76811, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 21:04:09', NULL, NULL), (76812, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 21:04:09', NULL, NULL), (76813, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 21:04:09', NULL, NULL), (76814, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 21:04:09', NULL, NULL), (76815, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 21:04:09', NULL, NULL), (76816, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 21:04:09', NULL, NULL), (76817, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 21:04:09', NULL, NULL), (76818, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 21:04:09', NULL, NULL), (76819, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 21:04:09', NULL, NULL), (76820, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 21:04:09', NULL, NULL), (76821, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 21:04:09', NULL, NULL), (76822, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 21:04:09', NULL, NULL), (76823, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 21:04:09', NULL, NULL), (76824, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 21:04:09', NULL, NULL), (76825, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 21:04:09', NULL, NULL), (76826, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 21:04:09', NULL, NULL), (76827, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 21:04:09', NULL, NULL), (76828, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 21:04:09', NULL, NULL), (76829, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 21:04:09', NULL, NULL), (76830, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 21:04:09', NULL, NULL), (76831, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 21:04:09', NULL, NULL), (76832, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 21:04:09', NULL, NULL), (76833, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 21:04:10', NULL, NULL), (76834, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 21:04:10', NULL, NULL), (76835, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 21:04:10', NULL, NULL), (76836, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 21:04:10', NULL, NULL), (76837, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 21:04:10', NULL, NULL), (76838, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 21:04:10', NULL, NULL), (76839, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 21:04:10', NULL, NULL), (76840, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 21:04:10', NULL, NULL), (76841, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 21:04:10', NULL, NULL), (76842, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 21:04:10', NULL, NULL), (76843, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 21:04:10', NULL, NULL), (76844, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 21:04:10', NULL, NULL), (76845, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 21:04:10', NULL, NULL), (76846, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 21:04:10', NULL, NULL), (76847, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 21:04:10', NULL, NULL), (76848, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 21:04:10', NULL, NULL), (76849, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 21:04:10', NULL, NULL), (76850, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 21:04:10', NULL, NULL), (76851, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 21:04:10', NULL, NULL), (76852, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 21:04:10', NULL, NULL), (76853, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 21:04:10', NULL, NULL), (76854, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 21:04:10', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (76855, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 21:04:10', NULL, NULL), (76856, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 21:04:10', NULL, NULL), (76857, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 21:04:10', NULL, NULL), (76858, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 21:04:10', NULL, NULL), (76859, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 21:04:10', NULL, NULL), (76860, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 21:04:10', NULL, NULL), (76861, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 21:04:10', NULL, NULL), (76862, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 21:04:10', NULL, NULL), (76863, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 21:04:10', NULL, NULL), (76864, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 21:04:10', NULL, NULL), (76865, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 21:04:10', NULL, NULL), (76866, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 21:04:10', NULL, NULL), (76867, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 21:04:11', NULL, NULL), (76868, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 21:04:11', NULL, NULL), (76869, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 21:04:11', NULL, NULL), (76870, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 21:04:11', NULL, NULL), (76871, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 21:04:11', NULL, NULL), (76872, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 21:04:11', 1, '2024-08-05 22:12:42'), (76873, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 21:04:11', 1, '2024-08-06 02:01:53'), (76874, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 21:04:11', 1, '2024-08-07 01:00:39'), (76875, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 21:04:11', 1, '2024-08-08 01:00:46'), (76876, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 21:04:11', 1, '2024-08-09 01:00:40'), (76877, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 21:16:49', NULL, NULL), (76878, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 21:16:49', NULL, NULL), (76879, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 21:16:49', NULL, NULL), (76880, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 21:16:49', NULL, NULL), (76881, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 21:16:49', NULL, NULL), (76882, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 21:16:49', NULL, NULL), (76883, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 21:16:49', NULL, NULL), (76884, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 21:16:49', NULL, NULL), (76885, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 21:16:49', NULL, NULL), (76886, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 21:16:49', NULL, NULL), (76887, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 21:16:49', NULL, NULL), (76888, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 21:16:49', NULL, NULL), (76889, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 21:16:49', NULL, NULL), (76890, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 21:16:49', NULL, NULL), (76891, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 21:16:49', NULL, NULL), (76892, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 21:16:49', NULL, NULL), (76893, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 21:16:49', NULL, NULL), (76894, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 21:16:49', NULL, NULL), (76895, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 21:16:49', NULL, NULL), (76896, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 21:16:49', NULL, NULL), (76897, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 21:16:49', NULL, NULL), (76898, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 21:16:49', NULL, NULL), (76899, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 21:16:49', NULL, NULL), (76900, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 21:16:49', NULL, NULL), (76901, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 21:16:49', NULL, NULL), (76902, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 21:16:49', NULL, NULL), (76903, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 21:16:49', NULL, NULL), (76904, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 21:16:49', NULL, NULL), (76905, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 21:16:49', NULL, NULL), (76906, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 21:16:49', NULL, NULL), (76907, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 21:16:49', NULL, NULL), (76908, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 21:16:49', NULL, NULL), (76909, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 1, 2023, 2, 2, '2024-08-05 21:16:49', NULL, NULL), (76910, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 2, 2023, 2, 3, '2024-08-05 21:16:49', NULL, NULL), (76911, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 21:16:49', NULL, NULL), (76912, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 21:16:49', NULL, NULL), (76913, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 21:16:49', NULL, NULL), (76914, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 21:16:49', NULL, NULL), (76915, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 21:16:49', NULL, NULL), (76916, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 21:16:49', NULL, NULL), (76917, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 21:16:49', NULL, NULL), (76918, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 21:16:49', NULL, NULL), (76919, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 21:16:49', NULL, NULL), (76920, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 21:16:49', NULL, NULL), (76921, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 21:16:49', NULL, NULL), (76922, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 21:16:49', NULL, NULL), (76923, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 21:16:49', NULL, NULL), (76924, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 21:16:49', NULL, NULL), (76925, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 21:16:49', NULL, NULL), (76926, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 21:16:49', NULL, NULL), (76927, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 21:16:49', NULL, NULL), (76928, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 21:16:49', NULL, NULL), (76929, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 21:16:49', NULL, NULL), (76930, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 21:16:49', NULL, NULL), (76931, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 21:16:49', NULL, NULL), (76932, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 21:16:49', NULL, NULL), (76933, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 21:16:49', NULL, NULL), (76934, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 21:16:49', NULL, NULL), (76935, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 21:16:49', NULL, NULL), (76936, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 21:16:49', NULL, NULL), (76937, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 21:16:49', NULL, NULL), (76938, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 21:16:49', NULL, NULL), (76939, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 21:16:50', NULL, NULL), (76940, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 21:16:50', NULL, NULL), (76941, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 21:16:50', NULL, NULL), (76942, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 21:16:50', NULL, NULL), (76943, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 21:16:50', NULL, NULL), (76944, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 21:16:50', NULL, NULL), (76945, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 21:16:50', NULL, NULL), (76946, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 21:16:50', NULL, NULL), (76947, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 21:16:50', NULL, NULL), (76948, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 21:16:50', NULL, NULL), (76949, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 21:16:50', NULL, NULL), (76950, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 21:16:50', NULL, NULL), (76951, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 21:16:50', NULL, NULL), (76952, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 21:16:50', NULL, NULL), (76953, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 21:16:50', NULL, NULL), (76954, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 21:16:50', NULL, NULL), (76955, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 21:16:50', NULL, NULL), (76956, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 21:16:50', NULL, NULL), (76957, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 21:16:50', NULL, NULL), (76958, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 21:16:50', NULL, NULL), (76959, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 21:16:50', NULL, NULL), (76960, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 21:16:50', NULL, NULL), (76961, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 21:16:50', NULL, NULL), (76962, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 21:16:50', NULL, NULL), (76963, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 21:16:50', NULL, NULL), (76964, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 21:16:50', NULL, NULL), (76965, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 21:16:50', NULL, NULL), (76966, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 21:16:50', NULL, NULL), (76967, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 21:16:50', NULL, NULL), (76968, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 21:16:50', NULL, NULL), (76969, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 21:16:50', NULL, NULL), (76970, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 21:16:50', NULL, NULL), (76971, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 21:16:50', NULL, NULL), (76972, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 21:16:50', NULL, NULL), (76973, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 21:16:50', NULL, NULL), (76974, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 21:16:50', NULL, NULL), (76975, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 21:16:50', NULL, NULL), (76976, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 21:16:50', NULL, NULL), (76977, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 21:16:50', NULL, NULL), (76978, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 21:16:50', NULL, NULL), (76979, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 21:16:50', NULL, NULL), (76980, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 21:16:50', NULL, NULL), (76981, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 21:16:50', NULL, NULL), (76982, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 21:16:50', NULL, NULL), (76983, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 21:16:50', NULL, NULL), (76984, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 21:16:50', NULL, NULL), (76985, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 21:16:50', NULL, NULL), (76986, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 21:16:50', NULL, NULL), (76987, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 21:16:50', NULL, NULL), (76988, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 21:16:50', NULL, NULL), (76989, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 21:16:50', NULL, NULL), (76990, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 21:16:50', NULL, NULL), (76991, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 21:16:50', NULL, NULL), (76992, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 21:16:50', NULL, NULL), (76993, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 21:16:50', NULL, NULL), (76994, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 21:16:50', NULL, NULL), (76995, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 21:16:50', NULL, NULL), (76996, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 21:16:50', NULL, NULL), (76997, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 21:16:50', NULL, NULL), (76998, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 21:16:50', NULL, NULL), (76999, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 21:16:50', NULL, NULL), (77000, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 21:16:50', NULL, NULL), (77001, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 21:16:50', NULL, NULL), (77002, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 21:16:50', NULL, NULL), (77003, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 21:16:50', NULL, NULL), (77004, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 21:16:50', NULL, NULL), (77005, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 21:16:50', NULL, NULL), (77006, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 21:16:50', NULL, NULL), (77007, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 21:16:50', NULL, NULL), (77008, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 21:16:50', NULL, NULL), (77009, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 21:16:50', NULL, NULL), (77010, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 21:16:50', NULL, NULL), (77011, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 21:16:51', NULL, NULL), (77012, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 21:16:51', NULL, NULL), (77013, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 21:16:51', NULL, NULL), (77014, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 21:16:51', NULL, NULL), (77015, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 21:16:51', NULL, NULL), (77016, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 21:16:51', NULL, NULL), (77017, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 21:16:51', NULL, NULL), (77018, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 21:16:51', NULL, NULL), (77019, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 21:16:51', NULL, NULL), (77020, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 21:16:51', NULL, NULL), (77021, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 21:16:51', NULL, NULL), (77022, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 21:16:51', NULL, NULL), (77023, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 21:16:51', NULL, NULL), (77024, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 21:16:51', NULL, NULL), (77025, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 21:16:51', NULL, NULL), (77026, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 21:16:51', NULL, NULL), (77027, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 21:16:51', NULL, NULL), (77028, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 21:16:51', NULL, NULL), (77029, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 21:16:51', NULL, NULL), (77030, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 21:16:51', NULL, NULL), (77031, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 21:16:51', NULL, NULL), (77032, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 21:16:51', NULL, NULL), (77033, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 21:16:51', NULL, NULL), (77034, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 21:16:51', NULL, NULL), (77035, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 21:16:51', NULL, NULL), (77036, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 21:16:51', NULL, NULL), (77037, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 21:16:51', NULL, NULL), (77038, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 21:16:51', NULL, NULL), (77039, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 21:16:51', NULL, NULL), (77040, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 21:16:51', NULL, NULL), (77041, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 21:16:51', NULL, NULL), (77042, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 21:16:51', NULL, NULL), (77043, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 21:16:51', NULL, NULL), (77044, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 21:16:51', NULL, NULL), (77045, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 21:16:51', NULL, NULL), (77046, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 21:16:51', NULL, NULL), (77047, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 21:16:51', NULL, NULL), (77048, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 21:16:51', NULL, NULL), (77049, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 21:16:51', NULL, NULL), (77050, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 21:16:51', NULL, NULL), (77051, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 21:16:51', NULL, NULL), (77052, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 21:16:51', NULL, NULL), (77053, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 21:16:51', NULL, NULL), (77054, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 21:16:51', NULL, NULL), (77055, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 21:16:51', NULL, NULL), (77056, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 21:16:51', NULL, NULL), (77057, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 21:16:51', NULL, NULL), (77058, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 21:16:51', NULL, NULL), (77059, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 21:16:51', NULL, NULL), (77060, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 21:16:51', NULL, NULL), (77061, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 21:16:51', NULL, NULL), (77062, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 21:16:51', NULL, NULL), (77063, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 21:16:51', NULL, NULL), (77064, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 21:16:51', NULL, NULL), (77065, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 21:16:51', NULL, NULL), (77066, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 21:16:51', NULL, NULL), (77067, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 21:16:51', NULL, NULL), (77068, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 21:16:51', NULL, NULL), (77069, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 21:16:51', NULL, NULL), (77070, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 21:16:51', NULL, NULL), (77071, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 21:16:51', NULL, NULL), (77072, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 21:16:51', NULL, NULL), (77073, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 21:16:51', NULL, NULL), (77074, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 21:16:51', NULL, NULL), (77075, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 21:16:51', NULL, NULL), (77076, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 21:16:51', NULL, NULL), (77077, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 21:16:51', NULL, NULL), (77078, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 21:16:51', NULL, NULL), (77079, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 21:16:51', NULL, NULL), (77080, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 21:16:51', NULL, NULL), (77081, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 21:16:52', NULL, NULL), (77082, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 21:16:52', NULL, NULL), (77083, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 21:16:52', NULL, NULL), (77084, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 21:16:52', NULL, NULL), (77085, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 21:16:52', NULL, NULL), (77086, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 21:16:52', NULL, NULL), (77087, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 21:16:52', NULL, NULL), (77088, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 21:16:52', NULL, NULL), (77089, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 21:16:52', NULL, NULL), (77090, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 21:16:52', NULL, NULL), (77091, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 21:16:52', NULL, NULL), (77092, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 21:16:52', NULL, NULL), (77093, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 21:16:52', NULL, NULL), (77094, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 21:16:52', NULL, NULL), (77095, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 21:16:52', NULL, NULL), (77096, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 2, 2023, 8, 8, '2024-08-05 21:16:52', NULL, NULL), (77097, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 21:16:52', NULL, NULL), (77098, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 21:16:52', NULL, NULL), (77099, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 21:16:52', NULL, NULL), (77100, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 21:16:52', NULL, NULL), (77101, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 21:16:52', NULL, NULL), (77102, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 21:16:52', NULL, NULL), (77103, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 21:16:52', NULL, NULL), (77104, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 21:16:52', NULL, NULL), (77105, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 21:16:52', NULL, NULL), (77106, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 21:16:52', NULL, NULL), (77107, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 21:16:52', NULL, NULL), (77108, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 21:16:52', NULL, NULL), (77109, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 21:16:52', NULL, NULL), (77110, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 21:16:52', NULL, NULL), (77111, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 1, 2023, 8, 23, '2024-08-05 21:16:52', NULL, NULL), (77112, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 1, 2023, 8, 24, '2024-08-05 21:16:52', NULL, NULL), (77113, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 21:16:52', NULL, NULL), (77114, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 21:16:52', NULL, NULL), (77115, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 21:16:52', NULL, NULL), (77116, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 21:16:52', NULL, NULL), (77117, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 21:16:52', NULL, NULL), (77118, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 21:16:52', NULL, NULL), (77119, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 21:16:52', NULL, NULL), (77120, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 21:16:52', NULL, NULL), (77121, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 21:16:52', NULL, NULL), (77122, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 21:16:52', NULL, NULL), (77123, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 21:16:52', NULL, NULL), (77124, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 21:16:52', NULL, NULL), (77125, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 21:16:52', NULL, NULL), (77126, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 21:16:52', NULL, NULL), (77127, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 21:16:52', NULL, NULL), (77128, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 21:16:52', NULL, NULL), (77129, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 21:16:52', NULL, NULL), (77130, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 21:16:52', NULL, NULL), (77131, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 21:16:52', NULL, NULL), (77132, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 21:16:52', NULL, NULL), (77133, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 21:16:52', NULL, NULL), (77134, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 21:16:52', NULL, NULL), (77135, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 21:16:52', NULL, NULL), (77136, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 21:16:52', NULL, NULL), (77137, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 21:16:52', NULL, NULL), (77138, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 21:16:52', NULL, NULL), (77139, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 21:16:52', NULL, NULL), (77140, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 21:16:52', NULL, NULL), (77141, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 21:16:52', NULL, NULL), (77142, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 21:16:52', NULL, NULL), (77143, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 21:16:52', NULL, NULL), (77144, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 21:16:52', NULL, NULL), (77145, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 21:16:52', NULL, NULL), (77146, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 21:16:52', NULL, NULL), (77147, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 21:16:52', NULL, NULL), (77148, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 21:16:52', NULL, NULL), (77149, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 21:16:52', NULL, NULL), (77150, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 21:16:52', NULL, NULL), (77151, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 21:16:52', NULL, NULL), (77152, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 21:16:52', NULL, NULL), (77153, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 21:16:52', NULL, NULL), (77154, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 21:16:52', NULL, NULL), (77155, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 21:16:52', NULL, NULL), (77156, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 21:16:52', NULL, NULL), (77157, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 21:16:52', NULL, NULL), (77158, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 21:16:52', NULL, NULL), (77159, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 21:16:52', NULL, NULL), (77160, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 21:16:52', NULL, NULL), (77161, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 21:16:52', NULL, NULL), (77162, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 21:16:52', NULL, NULL), (77163, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 21:16:52', NULL, NULL), (77164, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 21:16:52', NULL, NULL), (77165, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 21:16:52', NULL, NULL), (77166, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 21:16:52', NULL, NULL), (77167, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 21:16:52', NULL, NULL), (77168, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 21:16:52', NULL, NULL), (77169, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 21:16:52', NULL, NULL), (77170, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 21:16:52', NULL, NULL), (77171, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 21:16:52', NULL, NULL), (77172, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 21:16:52', NULL, NULL), (77173, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 21:16:52', NULL, NULL), (77174, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 21:16:52', NULL, NULL), (77175, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 21:16:52', NULL, NULL), (77176, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 21:16:52', NULL, NULL), (77177, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 21:16:52', NULL, NULL), (77178, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 21:16:52', NULL, NULL), (77179, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 21:16:52', NULL, NULL), (77180, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 21:16:52', NULL, NULL), (77181, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 21:16:52', NULL, NULL), (77182, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 21:16:52', NULL, NULL), (77183, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 21:16:52', NULL, NULL), (77184, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 21:16:52', NULL, NULL), (77185, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 21:16:52', NULL, NULL), (77186, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 21:16:52', NULL, NULL), (77187, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 21:16:52', NULL, NULL), (77188, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 21:16:52', NULL, NULL), (77189, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 21:16:52', NULL, NULL), (77190, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 21:16:52', NULL, NULL), (77191, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 21:16:52', NULL, NULL), (77192, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 21:16:52', NULL, NULL), (77193, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 21:16:52', NULL, NULL), (77194, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 21:16:53', NULL, NULL), (77195, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 21:16:53', NULL, NULL), (77196, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 21:16:53', NULL, NULL), (77197, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 21:16:53', NULL, NULL), (77198, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 21:16:53', NULL, NULL), (77199, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 21:16:53', NULL, NULL), (77200, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 21:16:53', NULL, NULL), (77201, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 21:16:53', NULL, NULL), (77202, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 21:16:53', NULL, NULL), (77203, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 21:16:53', NULL, NULL), (77204, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 21:16:53', NULL, NULL), (77205, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 21:16:53', NULL, NULL), (77206, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 21:16:53', NULL, NULL), (77207, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 21:16:53', NULL, NULL), (77208, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 21:16:53', NULL, NULL), (77209, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 21:16:53', NULL, NULL), (77210, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 21:16:53', NULL, NULL), (77211, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 21:16:53', NULL, NULL), (77212, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 21:16:53', NULL, NULL), (77213, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 21:16:53', NULL, NULL), (77214, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 21:16:53', NULL, NULL), (77215, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 21:16:53', NULL, NULL), (77216, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 21:16:53', NULL, NULL), (77217, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 21:16:53', NULL, NULL), (77218, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 21:16:53', NULL, NULL), (77219, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 21:16:53', NULL, NULL), (77220, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 21:16:53', NULL, NULL), (77221, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 21:16:53', NULL, NULL), (77222, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 21:16:53', NULL, NULL), (77223, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 21:16:53', NULL, NULL), (77224, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 21:16:53', NULL, NULL), (77225, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 21:16:53', NULL, NULL), (77226, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 21:16:53', NULL, NULL), (77227, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 21:16:53', NULL, NULL), (77228, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 21:16:53', NULL, NULL), (77229, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 21:16:53', NULL, NULL), (77230, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 21:16:53', NULL, NULL), (77231, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 21:16:53', NULL, NULL), (77232, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 21:16:53', NULL, NULL), (77233, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 21:16:53', NULL, NULL), (77234, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 21:16:53', NULL, NULL), (77235, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 21:16:53', NULL, NULL), (77236, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 21:16:53', NULL, NULL), (77237, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 21:16:53', NULL, NULL), (77238, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 21:16:53', NULL, NULL), (77239, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 21:16:53', NULL, NULL), (77240, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 21:16:53', NULL, NULL), (77241, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 21:16:53', NULL, NULL), (77242, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 21:16:53', NULL, NULL), (77243, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 21:16:53', NULL, NULL), (77244, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 21:16:53', NULL, NULL), (77245, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 21:16:53', NULL, NULL), (77246, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 21:16:53', NULL, NULL), (77247, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 21:16:53', NULL, NULL), (77248, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 21:16:53', NULL, NULL), (77249, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 21:16:53', NULL, NULL), (77250, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 21:16:53', NULL, NULL), (77251, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 21:16:53', NULL, NULL), (77252, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 21:16:53', NULL, NULL), (77253, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 21:16:53', NULL, NULL), (77254, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 21:16:53', NULL, NULL), (77255, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 21:16:53', NULL, NULL), (77256, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 21:16:53', NULL, NULL), (77257, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 21:16:53', NULL, NULL), (77258, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 21:16:53', NULL, NULL), (77259, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 21:16:53', NULL, NULL), (77260, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 21:16:53', NULL, NULL), (77261, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 21:16:53', NULL, NULL), (77262, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 21:16:53', NULL, NULL), (77263, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 21:16:53', NULL, NULL), (77264, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 21:16:53', NULL, NULL), (77265, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 21:16:54', NULL, NULL), (77266, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 21:16:54', NULL, NULL), (77267, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 21:16:54', NULL, NULL), (77268, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 21:16:54', NULL, NULL), (77269, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 21:16:54', NULL, NULL), (77270, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 21:16:54', NULL, NULL), (77271, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 21:16:54', NULL, NULL), (77272, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 21:16:54', NULL, NULL), (77273, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 21:16:54', NULL, NULL), (77274, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 21:16:54', NULL, NULL), (77275, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 21:16:54', NULL, NULL), (77276, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 21:16:54', NULL, NULL), (77277, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 21:16:54', NULL, NULL), (77278, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 21:16:54', NULL, NULL), (77279, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 21:16:54', NULL, NULL), (77280, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 21:16:54', NULL, NULL), (77281, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 21:16:54', NULL, NULL), (77282, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 21:16:54', NULL, NULL), (77283, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 21:16:54', NULL, NULL), (77284, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 21:16:54', NULL, NULL), (77285, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 21:16:54', NULL, NULL), (77286, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 21:16:54', NULL, NULL), (77287, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 21:16:54', NULL, NULL), (77288, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 21:16:54', NULL, NULL), (77289, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 21:16:54', NULL, NULL), (77290, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 21:16:54', NULL, NULL), (77291, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 21:16:54', NULL, NULL), (77292, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 21:16:54', NULL, NULL), (77293, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 21:16:54', NULL, NULL), (77294, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 21:16:54', NULL, NULL), (77295, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 21:16:54', NULL, NULL), (77296, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 21:16:54', NULL, NULL), (77297, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 21:16:54', NULL, NULL), (77298, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 21:16:54', NULL, NULL), (77299, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 21:16:54', NULL, NULL), (77300, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 21:16:54', NULL, NULL), (77301, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 21:16:54', NULL, NULL), (77302, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 21:16:54', NULL, NULL), (77303, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 21:16:54', NULL, NULL), (77304, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 21:16:54', NULL, NULL), (77305, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 21:16:54', NULL, NULL), (77306, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 21:16:54', NULL, NULL), (77307, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 21:16:54', NULL, NULL), (77308, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 21:16:54', NULL, NULL), (77309, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 21:16:54', NULL, NULL), (77310, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 21:16:54', NULL, NULL), (77311, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 21:16:54', NULL, NULL), (77312, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 21:16:54', NULL, NULL), (77313, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 21:16:54', NULL, NULL), (77314, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 21:16:54', NULL, NULL), (77315, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 21:16:54', NULL, NULL), (77316, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 21:16:54', NULL, NULL), (77317, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 21:16:54', NULL, NULL), (77318, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 21:16:54', NULL, NULL), (77319, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 21:16:54', NULL, NULL), (77320, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 21:16:54', NULL, NULL), (77321, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 21:16:54', NULL, NULL), (77322, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 21:16:54', NULL, NULL), (77323, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 21:16:54', NULL, NULL), (77324, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 21:16:54', NULL, NULL), (77325, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 21:16:55', NULL, NULL), (77326, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 21:16:55', NULL, NULL), (77327, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 21:16:55', NULL, NULL), (77328, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 21:16:55', NULL, NULL), (77329, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 21:16:55', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (77330, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 21:16:55', NULL, NULL), (77331, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 21:16:55', NULL, NULL), (77332, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 21:16:55', NULL, NULL), (77333, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 21:16:55', NULL, NULL), (77334, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 21:16:55', NULL, NULL), (77335, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 21:16:55', NULL, NULL), (77336, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 21:16:55', NULL, NULL), (77337, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 21:16:55', NULL, NULL), (77338, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 21:16:55', NULL, NULL), (77339, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 21:16:55', NULL, NULL), (77340, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 21:16:55', NULL, NULL), (77341, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 21:16:55', NULL, NULL), (77342, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 21:16:55', NULL, NULL), (77343, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 21:16:55', NULL, NULL), (77344, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 21:16:55', NULL, NULL), (77345, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 21:16:55', NULL, NULL), (77346, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 21:16:55', NULL, NULL), (77347, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 21:16:55', NULL, NULL), (77348, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 21:16:55', NULL, NULL), (77349, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 21:16:55', NULL, NULL), (77350, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 21:16:55', NULL, NULL), (77351, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 21:16:55', NULL, NULL), (77352, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 21:16:55', NULL, NULL), (77353, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 21:16:55', NULL, NULL), (77354, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 21:16:55', NULL, NULL), (77355, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 21:16:55', NULL, NULL), (77356, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 21:16:55', NULL, NULL), (77357, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 21:16:55', NULL, NULL), (77358, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 6, 2024, 4, 26, '2024-08-05 21:16:55', NULL, NULL), (77359, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 21:16:55', NULL, NULL), (77360, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 21:16:55', NULL, NULL), (77361, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 21:16:55', NULL, NULL), (77362, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 21:16:55', NULL, NULL), (77363, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 21:16:55', NULL, NULL), (77364, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 21:16:55', NULL, NULL), (77365, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 21:16:55', NULL, NULL), (77366, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 21:16:55', NULL, NULL), (77367, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 21:16:55', NULL, NULL), (77368, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 21:16:55', NULL, NULL), (77369, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 21:16:55', NULL, NULL), (77370, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 21:16:55', NULL, NULL), (77371, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 21:16:55', NULL, NULL), (77372, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 21:16:55', NULL, NULL), (77373, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 21:16:55', NULL, NULL), (77374, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 21:16:55', NULL, NULL), (77375, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 21:16:55', NULL, NULL), (77376, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 21:16:55', NULL, NULL), (77377, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 21:16:55', NULL, NULL), (77378, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 21:16:55', NULL, NULL), (77379, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 21:16:55', NULL, NULL), (77380, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 21:16:55', NULL, NULL), (77381, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 21:16:56', NULL, NULL), (77382, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 21:16:56', NULL, NULL), (77383, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 21:16:56', NULL, NULL), (77384, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 21:16:56', NULL, NULL), (77385, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 21:16:56', NULL, NULL), (77386, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 21:16:56', NULL, NULL), (77387, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 21:16:56', NULL, NULL), (77388, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 21:16:56', NULL, NULL), (77389, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 21:16:56', NULL, NULL), (77390, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 21:16:56', NULL, NULL), (77391, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 21:16:56', NULL, NULL), (77392, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 21:16:56', NULL, NULL), (77393, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 21:16:56', NULL, NULL), (77394, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 21:16:56', NULL, NULL), (77395, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 21:16:56', NULL, NULL), (77396, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 21:16:56', NULL, NULL), (77397, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 21:16:56', NULL, NULL), (77398, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 21:16:56', NULL, NULL), (77399, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 21:16:56', NULL, NULL), (77400, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 21:16:56', NULL, NULL), (77401, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 21:16:56', NULL, NULL), (77402, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 21:16:56', NULL, NULL), (77403, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 21:16:56', NULL, NULL), (77404, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 21:16:56', NULL, NULL), (77405, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 21:16:56', NULL, NULL), (77406, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 21:16:56', NULL, NULL), (77407, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 21:16:56', NULL, NULL), (77408, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 21:16:56', NULL, NULL), (77409, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 21:16:56', NULL, NULL), (77410, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 21:16:56', NULL, NULL), (77411, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 21:16:56', NULL, NULL), (77412, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 21:16:56', NULL, NULL), (77413, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 21:16:56', NULL, NULL), (77414, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 21:16:56', NULL, NULL), (77415, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 21:16:56', NULL, NULL), (77416, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 21:16:56', NULL, NULL), (77417, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 21:16:56', NULL, NULL), (77418, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 21:16:56', NULL, NULL), (77419, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 21:16:56', NULL, NULL), (77420, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 21:16:56', NULL, NULL), (77421, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 21:16:56', NULL, NULL), (77422, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 21:16:56', NULL, NULL), (77423, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 21:16:56', NULL, NULL), (77424, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 21:16:56', NULL, NULL), (77425, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 21:16:56', NULL, NULL), (77426, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 21:16:56', NULL, NULL), (77427, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 21:16:56', NULL, NULL), (77428, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 21:16:56', NULL, NULL), (77429, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 21:16:56', NULL, NULL), (77430, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 21:16:56', NULL, NULL), (77431, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 21:16:56', NULL, NULL), (77432, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 21:16:56', NULL, NULL), (77433, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 21:16:56', NULL, NULL), (77434, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 21:16:56', NULL, NULL), (77435, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 21:16:57', NULL, NULL), (77436, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 21:16:57', NULL, NULL), (77437, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 21:16:57', NULL, NULL), (77438, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 21:16:57', NULL, NULL), (77439, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 21:16:57', NULL, NULL), (77440, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 21:16:57', NULL, NULL), (77441, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 21:16:57', NULL, NULL), (77442, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 21:16:57', NULL, NULL), (77443, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 21:16:57', NULL, NULL), (77444, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 21:16:57', NULL, NULL), (77445, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 21:16:57', NULL, NULL), (77446, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 21:16:57', NULL, NULL), (77447, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 21:16:57', NULL, NULL), (77448, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 21:16:57', NULL, NULL), (77449, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 21:16:57', NULL, NULL), (77450, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 21:16:57', NULL, NULL), (77451, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 21:16:57', NULL, NULL), (77452, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 21:16:57', NULL, NULL), (77453, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 21:16:57', NULL, NULL), (77454, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 21:16:57', NULL, NULL), (77455, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 21:16:57', 1, '2024-08-05 22:12:47'), (77456, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 21:16:57', 1, '2024-08-06 02:01:55'), (77457, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 21:16:57', 1, '2024-08-07 01:00:39'), (77458, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 21:16:57', 1, '2024-08-08 01:00:46'), (77459, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 21:16:57', 1, '2024-08-09 01:00:42'), (77460, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '非常不满意', '', '', 1, 2023, 2, 2, '2024-08-05 21:16:49', NULL, NULL), (77461, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '非常不满意', '', '', 2, 2023, 2, 3, '2024-08-05 21:16:49', NULL, NULL), (77462, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '非常不满意', '', '', 2, 2023, 8, 8, '2024-08-05 21:16:52', NULL, NULL), (77463, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '非常不满意', '', '', 1, 2023, 8, 23, '2024-08-05 21:16:52', NULL, NULL), (77464, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '非常不满意', '', '', 1, 2023, 8, 24, '2024-08-05 21:16:52', NULL, NULL), (77465, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '非常不满意', '', '', 6, 2024, 4, 26, '2024-08-05 21:16:55', NULL, NULL), (77466, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 1, '2024-08-05 21:29:21', NULL, NULL), (77467, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 2, '2024-08-05 21:29:21', NULL, NULL), (77468, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 3, '2024-08-05 21:29:21', NULL, NULL), (77469, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 4, '2024-08-05 21:29:21', NULL, NULL), (77470, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 5, '2024-08-05 21:29:21', NULL, NULL), (77471, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 6, '2024-08-05 21:29:21', NULL, NULL), (77472, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 7, '2024-08-05 21:29:21', NULL, NULL), (77473, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 8, '2024-08-05 21:29:21', NULL, NULL), (77474, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 9, '2024-08-05 21:29:21', NULL, NULL), (77475, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 10, '2024-08-05 21:29:21', NULL, NULL), (77476, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 11, '2024-08-05 21:29:21', NULL, NULL), (77477, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 12, '2024-08-05 21:29:21', NULL, NULL), (77478, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 13, '2024-08-05 21:29:22', NULL, NULL), (77479, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 14, '2024-08-05 21:29:22', NULL, NULL), (77480, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 15, '2024-08-05 21:29:22', NULL, NULL), (77481, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 16, '2024-08-05 21:29:22', NULL, NULL), (77482, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 17, '2024-08-05 21:29:22', NULL, NULL), (77483, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 18, '2024-08-05 21:29:22', NULL, NULL), (77484, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 19, '2024-08-05 21:29:22', NULL, NULL), (77485, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 20, '2024-08-05 21:29:22', NULL, NULL), (77486, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 21, '2024-08-05 21:29:22', NULL, NULL), (77487, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 22, '2024-08-05 21:29:22', NULL, NULL), (77488, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 23, '2024-08-05 21:29:22', NULL, NULL), (77489, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 24, '2024-08-05 21:29:22', NULL, NULL), (77490, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 25, '2024-08-05 21:29:22', NULL, NULL), (77491, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 26, '2024-08-05 21:29:22', NULL, NULL), (77492, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 27, '2024-08-05 21:29:22', NULL, NULL), (77493, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 28, '2024-08-05 21:29:22', NULL, NULL), (77494, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 29, '2024-08-05 21:29:22', NULL, NULL), (77495, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 30, '2024-08-05 21:29:22', NULL, NULL), (77496, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 1, 31, '2024-08-05 21:29:22', NULL, NULL), (77497, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 1, '2024-08-05 21:29:22', NULL, NULL), (77498, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 2, '2024-08-05 21:29:22', NULL, NULL), (77499, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 3, '2024-08-05 21:29:22', NULL, NULL), (77500, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 4, '2024-08-05 21:29:22', NULL, NULL), (77501, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 5, '2024-08-05 21:29:22', NULL, NULL), (77502, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 6, '2024-08-05 21:29:22', NULL, NULL), (77503, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 7, '2024-08-05 21:29:22', NULL, NULL), (77504, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 8, '2024-08-05 21:29:22', NULL, NULL), (77505, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 9, '2024-08-05 21:29:22', NULL, NULL), (77506, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 10, '2024-08-05 21:29:22', NULL, NULL), (77507, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 11, '2024-08-05 21:29:22', NULL, NULL), (77508, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 12, '2024-08-05 21:29:22', NULL, NULL), (77509, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 13, '2024-08-05 21:29:22', NULL, NULL), (77510, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 14, '2024-08-05 21:29:22', NULL, NULL), (77511, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 15, '2024-08-05 21:29:22', NULL, NULL), (77512, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 16, '2024-08-05 21:29:22', NULL, NULL), (77513, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 17, '2024-08-05 21:29:22', NULL, NULL), (77514, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 18, '2024-08-05 21:29:22', NULL, NULL), (77515, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 19, '2024-08-05 21:29:22', NULL, NULL), (77516, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 20, '2024-08-05 21:29:22', NULL, NULL), (77517, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 21, '2024-08-05 21:29:22', NULL, NULL), (77518, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 22, '2024-08-05 21:29:22', NULL, NULL), (77519, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 23, '2024-08-05 21:29:22', NULL, NULL), (77520, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 24, '2024-08-05 21:29:22', NULL, NULL), (77521, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 25, '2024-08-05 21:29:22', NULL, NULL), (77522, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 26, '2024-08-05 21:29:22', NULL, NULL), (77523, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 27, '2024-08-05 21:29:22', NULL, NULL), (77524, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 2, 28, '2024-08-05 21:29:23', NULL, NULL), (77525, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 1, '2024-08-05 21:29:23', NULL, NULL), (77526, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 2, '2024-08-05 21:29:23', NULL, NULL), (77527, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 3, '2024-08-05 21:29:23', NULL, NULL), (77528, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 4, '2024-08-05 21:29:23', NULL, NULL), (77529, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 5, '2024-08-05 21:29:23', NULL, NULL), (77530, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 6, '2024-08-05 21:29:23', NULL, NULL), (77531, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 7, '2024-08-05 21:29:23', NULL, NULL), (77532, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 8, '2024-08-05 21:29:23', NULL, NULL), (77533, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 9, '2024-08-05 21:29:23', NULL, NULL), (77534, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 10, '2024-08-05 21:29:23', NULL, NULL), (77535, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 11, '2024-08-05 21:29:23', NULL, NULL), (77536, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 12, '2024-08-05 21:29:23', NULL, NULL), (77537, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 13, '2024-08-05 21:29:23', NULL, NULL), (77538, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 14, '2024-08-05 21:29:23', NULL, NULL), (77539, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 15, '2024-08-05 21:29:23', NULL, NULL), (77540, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 16, '2024-08-05 21:29:23', NULL, NULL), (77541, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 17, '2024-08-05 21:29:23', NULL, NULL), (77542, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 18, '2024-08-05 21:29:23', NULL, NULL), (77543, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 19, '2024-08-05 21:29:23', NULL, NULL), (77544, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 20, '2024-08-05 21:29:23', NULL, NULL), (77545, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 21, '2024-08-05 21:29:23', NULL, NULL), (77546, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 22, '2024-08-05 21:29:23', NULL, NULL), (77547, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 23, '2024-08-05 21:29:23', NULL, NULL), (77548, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 24, '2024-08-05 21:29:23', NULL, NULL), (77549, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 25, '2024-08-05 21:29:23', NULL, NULL), (77550, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 26, '2024-08-05 21:29:23', NULL, NULL), (77551, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 27, '2024-08-05 21:29:23', NULL, NULL), (77552, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 28, '2024-08-05 21:29:23', NULL, NULL), (77553, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 29, '2024-08-05 21:29:23', NULL, NULL), (77554, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 30, '2024-08-05 21:29:23', NULL, NULL), (77555, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 3, 31, '2024-08-05 21:29:23', NULL, NULL), (77556, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 1, '2024-08-05 21:29:23', NULL, NULL), (77557, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 2, '2024-08-05 21:29:23', NULL, NULL), (77558, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 3, '2024-08-05 21:29:23', NULL, NULL), (77559, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 4, '2024-08-05 21:29:23', NULL, NULL), (77560, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 5, '2024-08-05 21:29:23', NULL, NULL), (77561, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 6, '2024-08-05 21:29:23', NULL, NULL), (77562, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 7, '2024-08-05 21:29:23', NULL, NULL), (77563, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 8, '2024-08-05 21:29:23', NULL, NULL), (77564, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 9, '2024-08-05 21:29:23', NULL, NULL), (77565, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 10, '2024-08-05 21:29:23', NULL, NULL), (77566, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 11, '2024-08-05 21:29:23', NULL, NULL), (77567, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 12, '2024-08-05 21:29:23', NULL, NULL), (77568, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 13, '2024-08-05 21:29:24', NULL, NULL), (77569, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 14, '2024-08-05 21:29:24', NULL, NULL), (77570, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 15, '2024-08-05 21:29:24', NULL, NULL), (77571, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 16, '2024-08-05 21:29:24', NULL, NULL), (77572, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 17, '2024-08-05 21:29:24', NULL, NULL), (77573, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 18, '2024-08-05 21:29:24', NULL, NULL), (77574, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 19, '2024-08-05 21:29:24', NULL, NULL), (77575, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 20, '2024-08-05 21:29:24', NULL, NULL), (77576, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 21, '2024-08-05 21:29:24', NULL, NULL), (77577, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 22, '2024-08-05 21:29:24', NULL, NULL), (77578, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 23, '2024-08-05 21:29:24', NULL, NULL), (77579, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 24, '2024-08-05 21:29:24', NULL, NULL), (77580, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 25, '2024-08-05 21:29:24', NULL, NULL), (77581, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 26, '2024-08-05 21:29:24', NULL, NULL), (77582, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 27, '2024-08-05 21:29:24', NULL, NULL), (77583, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 28, '2024-08-05 21:29:24', NULL, NULL), (77584, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 29, '2024-08-05 21:29:24', NULL, NULL), (77585, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 4, 30, '2024-08-05 21:29:24', NULL, NULL), (77586, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 1, '2024-08-05 21:29:24', NULL, NULL), (77587, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 2, '2024-08-05 21:29:24', NULL, NULL), (77588, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 3, '2024-08-05 21:29:24', NULL, NULL), (77589, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 4, '2024-08-05 21:29:24', NULL, NULL), (77590, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 5, '2024-08-05 21:29:24', NULL, NULL), (77591, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 6, '2024-08-05 21:29:24', NULL, NULL), (77592, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 7, '2024-08-05 21:29:24', NULL, NULL), (77593, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 8, '2024-08-05 21:29:24', NULL, NULL), (77594, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 9, '2024-08-05 21:29:24', NULL, NULL), (77595, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 10, '2024-08-05 21:29:24', NULL, NULL), (77596, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 11, '2024-08-05 21:29:24', NULL, NULL), (77597, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 12, '2024-08-05 21:29:24', NULL, NULL), (77598, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 13, '2024-08-05 21:29:24', NULL, NULL), (77599, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 14, '2024-08-05 21:29:24', NULL, NULL), (77600, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 15, '2024-08-05 21:29:24', NULL, NULL), (77601, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 16, '2024-08-05 21:29:24', NULL, NULL), (77602, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 17, '2024-08-05 21:29:24', NULL, NULL), (77603, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 18, '2024-08-05 21:29:24', NULL, NULL), (77604, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 19, '2024-08-05 21:29:24', NULL, NULL), (77605, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 20, '2024-08-05 21:29:24', NULL, NULL), (77606, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 21, '2024-08-05 21:29:24', NULL, NULL), (77607, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 22, '2024-08-05 21:29:24', NULL, NULL), (77608, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 23, '2024-08-05 21:29:24', NULL, NULL), (77609, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 24, '2024-08-05 21:29:24', NULL, NULL), (77610, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 25, '2024-08-05 21:29:25', NULL, NULL), (77611, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 26, '2024-08-05 21:29:25', NULL, NULL), (77612, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 27, '2024-08-05 21:29:25', NULL, NULL), (77613, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 28, '2024-08-05 21:29:25', NULL, NULL), (77614, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 29, '2024-08-05 21:29:25', NULL, NULL), (77615, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 30, '2024-08-05 21:29:25', NULL, NULL), (77616, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 5, 31, '2024-08-05 21:29:25', NULL, NULL), (77617, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 1, '2024-08-05 21:29:25', NULL, NULL), (77618, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 2, '2024-08-05 21:29:25', NULL, NULL), (77619, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 3, '2024-08-05 21:29:25', NULL, NULL), (77620, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 4, '2024-08-05 21:29:25', NULL, NULL), (77621, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 5, '2024-08-05 21:29:25', NULL, NULL), (77622, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 6, '2024-08-05 21:29:25', NULL, NULL), (77623, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 7, '2024-08-05 21:29:25', NULL, NULL), (77624, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 8, '2024-08-05 21:29:25', NULL, NULL), (77625, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 9, '2024-08-05 21:29:25', NULL, NULL), (77626, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 10, '2024-08-05 21:29:25', NULL, NULL), (77627, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 11, '2024-08-05 21:29:25', NULL, NULL), (77628, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 12, '2024-08-05 21:29:25', NULL, NULL), (77629, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 13, '2024-08-05 21:29:25', NULL, NULL), (77630, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 14, '2024-08-05 21:29:25', NULL, NULL), (77631, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 15, '2024-08-05 21:29:25', NULL, NULL), (77632, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 16, '2024-08-05 21:29:25', NULL, NULL), (77633, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 17, '2024-08-05 21:29:25', NULL, NULL), (77634, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 18, '2024-08-05 21:29:25', NULL, NULL), (77635, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 19, '2024-08-05 21:29:25', NULL, NULL), (77636, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 20, '2024-08-05 21:29:25', NULL, NULL), (77637, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 21, '2024-08-05 21:29:25', NULL, NULL), (77638, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 22, '2024-08-05 21:29:25', NULL, NULL), (77639, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 23, '2024-08-05 21:29:25', NULL, NULL), (77640, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 24, '2024-08-05 21:29:25', NULL, NULL), (77641, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 25, '2024-08-05 21:29:25', NULL, NULL), (77642, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 26, '2024-08-05 21:29:25', NULL, NULL), (77643, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 27, '2024-08-05 21:29:25', NULL, NULL), (77644, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 28, '2024-08-05 21:29:25', NULL, NULL), (77645, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 29, '2024-08-05 21:29:25', NULL, NULL), (77646, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 6, 30, '2024-08-05 21:29:25', NULL, NULL), (77647, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 1, '2024-08-05 21:29:25', NULL, NULL), (77648, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 2, '2024-08-05 21:29:25', NULL, NULL), (77649, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 3, '2024-08-05 21:29:25', NULL, NULL), (77650, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 4, '2024-08-05 21:29:25', NULL, NULL), (77651, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 5, '2024-08-05 21:29:25', NULL, NULL), (77652, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 6, '2024-08-05 21:29:26', NULL, NULL), (77653, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 7, '2024-08-05 21:29:26', NULL, NULL), (77654, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 8, '2024-08-05 21:29:26', NULL, NULL), (77655, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 9, '2024-08-05 21:29:26', NULL, NULL), (77656, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 10, '2024-08-05 21:29:26', NULL, NULL), (77657, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 11, '2024-08-05 21:29:26', NULL, NULL), (77658, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 12, '2024-08-05 21:29:26', NULL, NULL), (77659, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 13, '2024-08-05 21:29:26', NULL, NULL), (77660, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 14, '2024-08-05 21:29:26', NULL, NULL), (77661, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 15, '2024-08-05 21:29:26', NULL, NULL), (77662, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 16, '2024-08-05 21:29:26', NULL, NULL), (77663, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 17, '2024-08-05 21:29:26', NULL, NULL), (77664, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 18, '2024-08-05 21:29:26', NULL, NULL), (77665, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 19, '2024-08-05 21:29:26', NULL, NULL), (77666, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 20, '2024-08-05 21:29:26', NULL, NULL), (77667, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 21, '2024-08-05 21:29:26', NULL, NULL), (77668, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 22, '2024-08-05 21:29:26', NULL, NULL), (77669, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 23, '2024-08-05 21:29:26', NULL, NULL), (77670, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 24, '2024-08-05 21:29:26', NULL, NULL), (77671, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 25, '2024-08-05 21:29:26', NULL, NULL), (77672, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 26, '2024-08-05 21:29:26', NULL, NULL), (77673, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 27, '2024-08-05 21:29:26', NULL, NULL), (77674, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 28, '2024-08-05 21:29:26', NULL, NULL), (77675, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 29, '2024-08-05 21:29:26', NULL, NULL), (77676, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 30, '2024-08-05 21:29:26', NULL, NULL), (77677, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 7, 31, '2024-08-05 21:29:26', NULL, NULL), (77678, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 1, '2024-08-05 21:29:26', NULL, NULL), (77679, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 2, '2024-08-05 21:29:26', NULL, NULL), (77680, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 3, '2024-08-05 21:29:26', NULL, NULL), (77681, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 4, '2024-08-05 21:29:26', NULL, NULL), (77682, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 5, '2024-08-05 21:29:26', NULL, NULL), (77683, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 6, '2024-08-05 21:29:26', NULL, NULL), (77684, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 7, '2024-08-05 21:29:26', NULL, NULL), (77685, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 8, '2024-08-05 21:29:26', NULL, NULL), (77686, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 9, '2024-08-05 21:29:26', NULL, NULL), (77687, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 10, '2024-08-05 21:29:26', NULL, NULL), (77688, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 11, '2024-08-05 21:29:26', NULL, NULL), (77689, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 12, '2024-08-05 21:29:26', NULL, NULL), (77690, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 13, '2024-08-05 21:29:26', NULL, NULL), (77691, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 14, '2024-08-05 21:29:26', NULL, NULL), (77692, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 15, '2024-08-05 21:29:26', NULL, NULL), (77693, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 16, '2024-08-05 21:29:26', NULL, NULL), (77694, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 17, '2024-08-05 21:29:26', NULL, NULL), (77695, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 18, '2024-08-05 21:29:26', NULL, NULL), (77696, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 19, '2024-08-05 21:29:27', NULL, NULL), (77697, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 20, '2024-08-05 21:29:27', NULL, NULL), (77698, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 21, '2024-08-05 21:29:27', NULL, NULL), (77699, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 22, '2024-08-05 21:29:27', NULL, NULL), (77700, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 23, '2024-08-05 21:29:27', NULL, NULL), (77701, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 24, '2024-08-05 21:29:27', NULL, NULL), (77702, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 25, '2024-08-05 21:29:27', NULL, NULL), (77703, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 26, '2024-08-05 21:29:27', NULL, NULL), (77704, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 27, '2024-08-05 21:29:27', NULL, NULL), (77705, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 28, '2024-08-05 21:29:27', NULL, NULL), (77706, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 29, '2024-08-05 21:29:27', NULL, NULL), (77707, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 30, '2024-08-05 21:29:27', NULL, NULL), (77708, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 8, 31, '2024-08-05 21:29:27', NULL, NULL), (77709, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 1, '2024-08-05 21:29:27', NULL, NULL), (77710, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 2, '2024-08-05 21:29:27', NULL, NULL), (77711, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 3, '2024-08-05 21:29:27', NULL, NULL), (77712, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 4, '2024-08-05 21:29:27', NULL, NULL), (77713, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 5, '2024-08-05 21:29:27', NULL, NULL), (77714, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 6, '2024-08-05 21:29:27', NULL, NULL), (77715, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 7, '2024-08-05 21:29:27', NULL, NULL), (77716, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 8, '2024-08-05 21:29:27', NULL, NULL), (77717, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 9, '2024-08-05 21:29:27', NULL, NULL), (77718, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 10, '2024-08-05 21:29:27', NULL, NULL), (77719, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 11, '2024-08-05 21:29:27', NULL, NULL), (77720, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 12, '2024-08-05 21:29:27', NULL, NULL), (77721, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 13, '2024-08-05 21:29:27', NULL, NULL), (77722, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 14, '2024-08-05 21:29:27', NULL, NULL), (77723, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 15, '2024-08-05 21:29:27', NULL, NULL), (77724, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 16, '2024-08-05 21:29:27', NULL, NULL), (77725, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 17, '2024-08-05 21:29:27', NULL, NULL), (77726, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 18, '2024-08-05 21:29:27', NULL, NULL), (77727, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 19, '2024-08-05 21:29:27', NULL, NULL), (77728, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 20, '2024-08-05 21:29:27', NULL, NULL), (77729, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 21, '2024-08-05 21:29:27', NULL, NULL), (77730, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 22, '2024-08-05 21:29:27', NULL, NULL), (77731, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 23, '2024-08-05 21:29:27', NULL, NULL), (77732, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 24, '2024-08-05 21:29:27', NULL, NULL), (77733, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 25, '2024-08-05 21:29:27', NULL, NULL), (77734, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 26, '2024-08-05 21:29:27', NULL, NULL), (77735, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 27, '2024-08-05 21:29:27', NULL, NULL), (77736, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 28, '2024-08-05 21:29:27', NULL, NULL), (77737, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 29, '2024-08-05 21:29:27', NULL, NULL), (77738, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 9, 30, '2024-08-05 21:29:27', NULL, NULL), (77739, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 1, '2024-08-05 21:29:27', NULL, NULL), (77740, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 2, '2024-08-05 21:29:27', NULL, NULL), (77741, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 3, '2024-08-05 21:29:27', NULL, NULL), (77742, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 4, '2024-08-05 21:29:27', NULL, NULL), (77743, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 5, '2024-08-05 21:29:27', NULL, NULL), (77744, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 6, '2024-08-05 21:29:27', NULL, NULL), (77745, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 7, '2024-08-05 21:29:27', NULL, NULL), (77746, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 8, '2024-08-05 21:29:27', NULL, NULL), (77747, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 9, '2024-08-05 21:29:27', NULL, NULL), (77748, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 10, '2024-08-05 21:29:27', NULL, NULL), (77749, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 11, '2024-08-05 21:29:27', NULL, NULL), (77750, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 12, '2024-08-05 21:29:27', NULL, NULL), (77751, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 13, '2024-08-05 21:29:27', NULL, NULL), (77752, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 14, '2024-08-05 21:29:27', NULL, NULL), (77753, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 15, '2024-08-05 21:29:27', NULL, NULL), (77754, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 16, '2024-08-05 21:29:27', NULL, NULL), (77755, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 17, '2024-08-05 21:29:27', NULL, NULL), (77756, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 18, '2024-08-05 21:29:27', NULL, NULL), (77757, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 19, '2024-08-05 21:29:27', NULL, NULL), (77758, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 20, '2024-08-05 21:29:27', NULL, NULL), (77759, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 21, '2024-08-05 21:29:27', NULL, NULL), (77760, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 22, '2024-08-05 21:29:27', NULL, NULL), (77761, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 23, '2024-08-05 21:29:27', NULL, NULL), (77762, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 24, '2024-08-05 21:29:27', NULL, NULL), (77763, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 25, '2024-08-05 21:29:27', NULL, NULL), (77764, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 26, '2024-08-05 21:29:27', NULL, NULL), (77765, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 27, '2024-08-05 21:29:27', NULL, NULL), (77766, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 28, '2024-08-05 21:29:27', NULL, NULL), (77767, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 29, '2024-08-05 21:29:27', NULL, NULL), (77768, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 30, '2024-08-05 21:29:27', NULL, NULL), (77769, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 10, 31, '2024-08-05 21:29:27', NULL, NULL), (77770, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 1, '2024-08-05 21:29:27', NULL, NULL), (77771, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 2, '2024-08-05 21:29:27', NULL, NULL), (77772, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 3, '2024-08-05 21:29:27', NULL, NULL), (77773, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 4, '2024-08-05 21:29:27', NULL, NULL), (77774, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 5, '2024-08-05 21:29:27', NULL, NULL), (77775, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 6, '2024-08-05 21:29:27', NULL, NULL), (77776, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 7, '2024-08-05 21:29:27', NULL, NULL), (77777, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 8, '2024-08-05 21:29:27', NULL, NULL), (77778, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 9, '2024-08-05 21:29:27', NULL, NULL), (77779, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 10, '2024-08-05 21:29:27', NULL, NULL), (77780, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 11, '2024-08-05 21:29:27', NULL, NULL), (77781, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 12, '2024-08-05 21:29:28', NULL, NULL), (77782, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 13, '2024-08-05 21:29:28', NULL, NULL), (77783, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 14, '2024-08-05 21:29:28', NULL, NULL), (77784, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 15, '2024-08-05 21:29:28', NULL, NULL), (77785, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 16, '2024-08-05 21:29:28', NULL, NULL), (77786, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 17, '2024-08-05 21:29:28', NULL, NULL), (77787, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 18, '2024-08-05 21:29:28', NULL, NULL), (77788, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 19, '2024-08-05 21:29:28', NULL, NULL), (77789, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 20, '2024-08-05 21:29:28', NULL, NULL), (77790, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 21, '2024-08-05 21:29:28', NULL, NULL), (77791, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 22, '2024-08-05 21:29:28', NULL, NULL), (77792, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 23, '2024-08-05 21:29:28', NULL, NULL), (77793, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 24, '2024-08-05 21:29:28', NULL, NULL), (77794, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 25, '2024-08-05 21:29:28', NULL, NULL), (77795, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 26, '2024-08-05 21:29:28', NULL, NULL), (77796, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 27, '2024-08-05 21:29:28', NULL, NULL), (77797, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 28, '2024-08-05 21:29:28', NULL, NULL), (77798, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 29, '2024-08-05 21:29:28', NULL, NULL), (77799, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 11, 30, '2024-08-05 21:29:28', NULL, NULL), (77800, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 1, '2024-08-05 21:29:28', NULL, NULL), (77801, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 2, '2024-08-05 21:29:28', NULL, NULL), (77802, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 3, '2024-08-05 21:29:28', NULL, NULL), (77803, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 4, '2024-08-05 21:29:28', NULL, NULL), (77804, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 5, '2024-08-05 21:29:28', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (77805, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 6, '2024-08-05 21:29:28', NULL, NULL), (77806, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 7, '2024-08-05 21:29:28', NULL, NULL), (77807, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 8, '2024-08-05 21:29:28', NULL, NULL), (77808, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 9, '2024-08-05 21:29:28', NULL, NULL), (77809, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 10, '2024-08-05 21:29:28', NULL, NULL), (77810, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 11, '2024-08-05 21:29:28', NULL, NULL), (77811, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 12, '2024-08-05 21:29:28', NULL, NULL), (77812, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 13, '2024-08-05 21:29:28', NULL, NULL), (77813, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 14, '2024-08-05 21:29:28', NULL, NULL), (77814, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 15, '2024-08-05 21:29:28', NULL, NULL), (77815, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 16, '2024-08-05 21:29:28', NULL, NULL), (77816, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 17, '2024-08-05 21:29:28', NULL, NULL), (77817, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 18, '2024-08-05 21:29:28', NULL, NULL), (77818, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 19, '2024-08-05 21:29:28', NULL, NULL), (77819, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 20, '2024-08-05 21:29:28', NULL, NULL), (77820, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 21, '2024-08-05 21:29:28', NULL, NULL), (77821, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 22, '2024-08-05 21:29:28', NULL, NULL), (77822, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 23, '2024-08-05 21:29:28', NULL, NULL), (77823, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 24, '2024-08-05 21:29:28', NULL, NULL), (77824, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 25, '2024-08-05 21:29:28', NULL, NULL), (77825, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 26, '2024-08-05 21:29:28', NULL, NULL), (77826, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 27, '2024-08-05 21:29:28', NULL, NULL), (77827, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 28, '2024-08-05 21:29:29', NULL, NULL), (77828, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 29, '2024-08-05 21:29:29', NULL, NULL), (77829, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 30, '2024-08-05 21:29:29', NULL, NULL), (77830, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2023, 12, 31, '2024-08-05 21:29:29', NULL, NULL), (77831, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 1, '2024-08-05 21:29:29', NULL, NULL), (77832, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 2, '2024-08-05 21:29:29', NULL, NULL), (77833, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 3, '2024-08-05 21:29:29', NULL, NULL), (77834, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 4, '2024-08-05 21:29:29', NULL, NULL), (77835, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 5, '2024-08-05 21:29:29', NULL, NULL), (77836, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 6, '2024-08-05 21:29:29', NULL, NULL), (77837, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 7, '2024-08-05 21:29:29', NULL, NULL), (77838, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 8, '2024-08-05 21:29:29', NULL, NULL), (77839, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 9, '2024-08-05 21:29:29', NULL, NULL), (77840, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 10, '2024-08-05 21:29:29', NULL, NULL), (77841, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 11, '2024-08-05 21:29:29', NULL, NULL), (77842, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 12, '2024-08-05 21:29:29', NULL, NULL), (77843, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 13, '2024-08-05 21:29:29', NULL, NULL), (77844, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 14, '2024-08-05 21:29:29', NULL, NULL), (77845, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 15, '2024-08-05 21:29:29', NULL, NULL), (77846, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 16, '2024-08-05 21:29:29', NULL, NULL), (77847, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 17, '2024-08-05 21:29:29', NULL, NULL), (77848, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 18, '2024-08-05 21:29:29', NULL, NULL), (77849, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 19, '2024-08-05 21:29:29', NULL, NULL), (77850, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 20, '2024-08-05 21:29:29', NULL, NULL), (77851, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 21, '2024-08-05 21:29:29', NULL, NULL), (77852, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 22, '2024-08-05 21:29:29', NULL, NULL), (77853, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 23, '2024-08-05 21:29:29', NULL, NULL), (77854, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 24, '2024-08-05 21:29:29', NULL, NULL), (77855, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 25, '2024-08-05 21:29:29', NULL, NULL), (77856, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 26, '2024-08-05 21:29:29', NULL, NULL), (77857, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 27, '2024-08-05 21:29:29', NULL, NULL), (77858, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 28, '2024-08-05 21:29:29', NULL, NULL), (77859, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 29, '2024-08-05 21:29:29', NULL, NULL), (77860, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 30, '2024-08-05 21:29:29', NULL, NULL), (77861, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 1, 31, '2024-08-05 21:29:29', NULL, NULL), (77862, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 1, '2024-08-05 21:29:29', NULL, NULL), (77863, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 2, '2024-08-05 21:29:29', NULL, NULL), (77864, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 3, '2024-08-05 21:29:30', NULL, NULL), (77865, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 4, '2024-08-05 21:29:30', NULL, NULL), (77866, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 5, '2024-08-05 21:29:30', NULL, NULL), (77867, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 6, '2024-08-05 21:29:30', NULL, NULL), (77868, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 7, '2024-08-05 21:29:30', NULL, NULL), (77869, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 8, '2024-08-05 21:29:30', NULL, NULL), (77870, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 9, '2024-08-05 21:29:30', NULL, NULL), (77871, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 10, '2024-08-05 21:29:30', NULL, NULL), (77872, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 11, '2024-08-05 21:29:30', NULL, NULL), (77873, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 12, '2024-08-05 21:29:30', NULL, NULL), (77874, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 13, '2024-08-05 21:29:30', NULL, NULL), (77875, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 14, '2024-08-05 21:29:30', NULL, NULL), (77876, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 15, '2024-08-05 21:29:30', NULL, NULL), (77877, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 16, '2024-08-05 21:29:30', NULL, NULL), (77878, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 17, '2024-08-05 21:29:30', NULL, NULL), (77879, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 18, '2024-08-05 21:29:30', NULL, NULL), (77880, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 19, '2024-08-05 21:29:30', NULL, NULL), (77881, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 20, '2024-08-05 21:29:30', NULL, NULL), (77882, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 21, '2024-08-05 21:29:30', NULL, NULL), (77883, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 22, '2024-08-05 21:29:30', NULL, NULL), (77884, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 23, '2024-08-05 21:29:30', NULL, NULL), (77885, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 24, '2024-08-05 21:29:30', NULL, NULL), (77886, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 25, '2024-08-05 21:29:30', NULL, NULL), (77887, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 26, '2024-08-05 21:29:30', NULL, NULL), (77888, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 27, '2024-08-05 21:29:30', NULL, NULL), (77889, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 28, '2024-08-05 21:29:30', NULL, NULL), (77890, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 2, 29, '2024-08-05 21:29:30', NULL, NULL), (77891, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 1, '2024-08-05 21:29:30', NULL, NULL), (77892, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 2, '2024-08-05 21:29:30', NULL, NULL), (77893, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 3, '2024-08-05 21:29:30', NULL, NULL), (77894, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 4, '2024-08-05 21:29:30', NULL, NULL), (77895, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 5, '2024-08-05 21:29:30', NULL, NULL), (77896, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 6, '2024-08-05 21:29:30', NULL, NULL), (77897, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 7, '2024-08-05 21:29:30', NULL, NULL), (77898, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 8, '2024-08-05 21:29:30', NULL, NULL), (77899, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 9, '2024-08-05 21:29:30', NULL, NULL), (77900, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 10, '2024-08-05 21:29:31', NULL, NULL), (77901, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 11, '2024-08-05 21:29:31', NULL, NULL), (77902, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 12, '2024-08-05 21:29:31', NULL, NULL), (77903, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 13, '2024-08-05 21:29:31', NULL, NULL), (77904, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 14, '2024-08-05 21:29:31', NULL, NULL), (77905, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 15, '2024-08-05 21:29:31', NULL, NULL), (77906, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 16, '2024-08-05 21:29:31', NULL, NULL), (77907, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 17, '2024-08-05 21:29:31', NULL, NULL), (77908, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 18, '2024-08-05 21:29:31', NULL, NULL), (77909, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 19, '2024-08-05 21:29:31', NULL, NULL), (77910, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 20, '2024-08-05 21:29:31', NULL, NULL), (77911, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 21, '2024-08-05 21:29:31', NULL, NULL), (77912, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 22, '2024-08-05 21:29:31', NULL, NULL), (77913, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 23, '2024-08-05 21:29:31', NULL, NULL), (77914, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 24, '2024-08-05 21:29:31', NULL, NULL), (77915, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 25, '2024-08-05 21:29:31', NULL, NULL), (77916, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 26, '2024-08-05 21:29:31', NULL, NULL), (77917, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 27, '2024-08-05 21:29:31', NULL, NULL), (77918, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 28, '2024-08-05 21:29:31', NULL, NULL), (77919, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 29, '2024-08-05 21:29:31', NULL, NULL), (77920, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 30, '2024-08-05 21:29:31', NULL, NULL), (77921, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 3, 31, '2024-08-05 21:29:31', NULL, NULL), (77922, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 1, '2024-08-05 21:29:31', NULL, NULL), (77923, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 2, '2024-08-05 21:29:31', NULL, NULL), (77924, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 3, '2024-08-05 21:29:31', NULL, NULL), (77925, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 4, '2024-08-05 21:29:31', NULL, NULL), (77926, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 5, '2024-08-05 21:29:31', NULL, NULL), (77927, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 6, '2024-08-05 21:29:31', NULL, NULL), (77928, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 7, '2024-08-05 21:29:31', NULL, NULL), (77929, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 8, '2024-08-05 21:29:31', NULL, NULL), (77930, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 9, '2024-08-05 21:29:31', NULL, NULL), (77931, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 10, '2024-08-05 21:29:31', NULL, NULL), (77932, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 11, '2024-08-05 21:29:31', NULL, NULL), (77933, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 12, '2024-08-05 21:29:31', NULL, NULL), (77934, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 13, '2024-08-05 21:29:31', NULL, NULL), (77935, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 14, '2024-08-05 21:29:32', NULL, NULL), (77936, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 15, '2024-08-05 21:29:32', NULL, NULL), (77937, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 16, '2024-08-05 21:29:32', NULL, NULL), (77938, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 17, '2024-08-05 21:29:32', NULL, NULL), (77939, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 18, '2024-08-05 21:29:32', NULL, NULL), (77940, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 19, '2024-08-05 21:29:32', NULL, NULL), (77941, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 20, '2024-08-05 21:29:32', NULL, NULL), (77942, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 21, '2024-08-05 21:29:32', NULL, NULL), (77943, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 22, '2024-08-05 21:29:32', NULL, NULL), (77944, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 23, '2024-08-05 21:29:32', NULL, NULL), (77945, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 24, '2024-08-05 21:29:32', NULL, NULL), (77946, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 25, '2024-08-05 21:29:32', NULL, NULL), (77947, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 26, '2024-08-05 21:29:32', NULL, NULL), (77948, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 27, '2024-08-05 21:29:32', NULL, NULL), (77949, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 28, '2024-08-05 21:29:32', NULL, NULL), (77950, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 29, '2024-08-05 21:29:32', NULL, NULL), (77951, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 4, 30, '2024-08-05 21:29:32', NULL, NULL), (77952, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 1, '2024-08-05 21:29:32', NULL, NULL), (77953, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 2, '2024-08-05 21:29:32', NULL, NULL), (77954, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 3, '2024-08-05 21:29:32', NULL, NULL), (77955, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 4, '2024-08-05 21:29:32', NULL, NULL), (77956, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 5, '2024-08-05 21:29:32', NULL, NULL), (77957, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 6, '2024-08-05 21:29:32', NULL, NULL), (77958, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 7, '2024-08-05 21:29:32', NULL, NULL), (77959, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 8, '2024-08-05 21:29:32', NULL, NULL), (77960, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 9, '2024-08-05 21:29:32', NULL, NULL), (77961, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 10, '2024-08-05 21:29:32', NULL, NULL), (77962, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 11, '2024-08-05 21:29:32', NULL, NULL), (77963, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 12, '2024-08-05 21:29:32', NULL, NULL), (77964, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 13, '2024-08-05 21:29:32', NULL, NULL), (77965, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 14, '2024-08-05 21:29:32', NULL, NULL), (77966, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 15, '2024-08-05 21:29:32', NULL, NULL), (77967, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 16, '2024-08-05 21:29:32', NULL, NULL), (77968, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 17, '2024-08-05 21:29:33', NULL, NULL), (77969, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 18, '2024-08-05 21:29:33', NULL, NULL), (77970, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 19, '2024-08-05 21:29:33', NULL, NULL), (77971, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 20, '2024-08-05 21:29:33', NULL, NULL), (77972, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 21, '2024-08-05 21:29:33', NULL, NULL), (77973, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 22, '2024-08-05 21:29:33', NULL, NULL), (77974, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 23, '2024-08-05 21:29:33', NULL, NULL), (77975, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 24, '2024-08-05 21:29:33', NULL, NULL), (77976, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 25, '2024-08-05 21:29:33', NULL, NULL), (77977, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 26, '2024-08-05 21:29:33', NULL, NULL), (77978, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 27, '2024-08-05 21:29:33', NULL, NULL), (77979, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 28, '2024-08-05 21:29:33', NULL, NULL), (77980, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 29, '2024-08-05 21:29:33', NULL, NULL), (77981, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 30, '2024-08-05 21:29:33', NULL, NULL), (77982, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 5, 31, '2024-08-05 21:29:33', NULL, NULL), (77983, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 1, '2024-08-05 21:29:33', NULL, NULL), (77984, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 2, '2024-08-05 21:29:33', NULL, NULL), (77985, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 3, '2024-08-05 21:29:33', NULL, NULL), (77986, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 4, '2024-08-05 21:29:33', NULL, NULL), (77987, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 5, '2024-08-05 21:29:33', NULL, NULL), (77988, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 6, '2024-08-05 21:29:33', NULL, NULL), (77989, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 7, '2024-08-05 21:29:33', NULL, NULL), (77990, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 8, '2024-08-05 21:29:33', NULL, NULL), (77991, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 9, '2024-08-05 21:29:33', NULL, NULL), (77992, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 10, '2024-08-05 21:29:33', NULL, NULL), (77993, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 11, '2024-08-05 21:29:33', NULL, NULL), (77994, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 12, '2024-08-05 21:29:33', NULL, NULL), (77995, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 13, '2024-08-05 21:29:33', NULL, NULL), (77996, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 14, '2024-08-05 21:29:33', NULL, NULL), (77997, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 15, '2024-08-05 21:29:33', NULL, NULL), (77998, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 16, '2024-08-05 21:29:33', NULL, NULL), (77999, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 17, '2024-08-05 21:29:33', NULL, NULL), (78000, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 18, '2024-08-05 21:29:33', NULL, NULL), (78001, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 19, '2024-08-05 21:29:33', NULL, NULL), (78002, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 20, '2024-08-05 21:29:34', NULL, NULL), (78003, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 21, '2024-08-05 21:29:34', NULL, NULL), (78004, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 22, '2024-08-05 21:29:34', NULL, NULL), (78005, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 23, '2024-08-05 21:29:34', NULL, NULL), (78006, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 24, '2024-08-05 21:29:34', NULL, NULL), (78007, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 25, '2024-08-05 21:29:34', NULL, NULL), (78008, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 26, '2024-08-05 21:29:34', NULL, NULL), (78009, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 27, '2024-08-05 21:29:34', NULL, NULL), (78010, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 28, '2024-08-05 21:29:34', NULL, NULL), (78011, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 29, '2024-08-05 21:29:34', NULL, NULL), (78012, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 6, 30, '2024-08-05 21:29:34', NULL, NULL), (78013, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 1, '2024-08-05 21:29:34', NULL, NULL), (78014, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 2, '2024-08-05 21:29:34', NULL, NULL), (78015, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 3, '2024-08-05 21:29:34', NULL, NULL), (78016, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 4, '2024-08-05 21:29:34', NULL, NULL), (78017, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 5, '2024-08-05 21:29:34', NULL, NULL), (78018, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 6, '2024-08-05 21:29:34', NULL, NULL), (78019, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 7, '2024-08-05 21:29:34', NULL, NULL), (78020, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 8, '2024-08-05 21:29:34', NULL, NULL), (78021, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 9, '2024-08-05 21:29:34', NULL, NULL), (78022, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 10, '2024-08-05 21:29:34', NULL, NULL), (78023, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 11, '2024-08-05 21:29:34', NULL, NULL), (78024, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 12, '2024-08-05 21:29:34', NULL, NULL), (78025, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 13, '2024-08-05 21:29:34', NULL, NULL), (78026, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 14, '2024-08-05 21:29:34', NULL, NULL), (78027, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 15, '2024-08-05 21:29:34', NULL, NULL), (78028, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 16, '2024-08-05 21:29:34', NULL, NULL), (78029, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 17, '2024-08-05 21:29:34', NULL, NULL), (78030, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 18, '2024-08-05 21:29:34', NULL, NULL), (78031, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 19, '2024-08-05 21:29:34', NULL, NULL), (78032, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 20, '2024-08-05 21:29:34', NULL, NULL), (78033, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 21, '2024-08-05 21:29:34', NULL, NULL), (78034, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 22, '2024-08-05 21:29:34', NULL, NULL), (78035, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 23, '2024-08-05 21:29:34', NULL, NULL), (78036, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 24, '2024-08-05 21:29:35', NULL, NULL), (78037, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 25, '2024-08-05 21:29:35', NULL, NULL), (78038, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 26, '2024-08-05 21:29:35', NULL, NULL), (78039, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 27, '2024-08-05 21:29:35', NULL, NULL), (78040, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 28, '2024-08-05 21:29:35', NULL, NULL), (78041, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 29, '2024-08-05 21:29:35', NULL, NULL), (78042, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 30, '2024-08-05 21:29:35', NULL, NULL), (78043, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 7, 31, '2024-08-05 21:29:35', NULL, NULL), (78044, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 1, '2024-08-05 21:29:35', 1, '2024-08-05 22:12:49'), (78045, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 2, '2024-08-05 21:29:35', 1, '2024-08-06 02:01:54'), (78046, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 3, '2024-08-05 21:29:35', 1, '2024-08-07 01:00:41'), (78047, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 4, '2024-08-05 21:29:35', 1, '2024-08-08 01:00:46'), (78048, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 5, '2024-08-05 21:29:35', 1, '2024-08-09 01:00:42'), (78056, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:09', 1, '2024-08-10 01:00:09'), (78057, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:09', 1, '2024-08-10 01:00:08'), (78058, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:09', 1, '2024-08-10 01:00:08'), (78059, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:09', 1, '2024-08-10 01:00:08'), (78060, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 14, 2024, 8, 6, '2024-08-06 01:36:10', 1, '2024-08-10 01:00:08'), (78061, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 9, 2024, 8, 5, '2024-08-06 01:36:10', 1, '2024-08-09 01:00:09'), (78062, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 9, 2024, 8, 5, '2024-08-06 01:36:10', 1, '2024-08-09 01:00:09'), (78063, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 9, 2024, 8, 5, '2024-08-06 01:36:10', 1, '2024-08-09 01:00:09'), (78064, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 9, 2024, 8, 5, '2024-08-06 01:36:10', 1, '2024-08-09 01:00:09'), (78065, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 9, 2024, 8, 5, '2024-08-06 01:36:10', 1, '2024-08-09 01:00:09'), (78066, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 9, 2024, 8, 5, '2024-08-06 01:36:10', 1, '2024-08-09 01:00:09'), (78067, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 9, 2024, 8, 5, '2024-08-06 01:36:10', 1, '2024-08-09 01:00:09'), (78068, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:16', 1, '2024-08-10 01:00:16'), (78069, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:17', 1, '2024-08-10 01:00:50'), (78070, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:17', 1, '2024-08-10 01:00:16'), (78071, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 8, 6, '2024-08-06 01:36:18', 1, '2024-08-10 01:00:50'), (78072, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 2, 2024, 8, 5, '2024-08-06 01:36:18', 1, '2024-08-09 01:00:52'), (78073, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 2, 2024, 8, 5, '2024-08-06 01:36:18', 1, '2024-08-09 01:00:52'), (78074, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 2, 2024, 8, 5, '2024-08-06 01:36:18', 1, '2024-08-09 01:00:52'), (78075, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 2, 2024, 8, 5, '2024-08-06 01:36:18', 1, '2024-08-09 01:00:52'), (78076, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:24', 1, '2024-08-10 01:00:16'), (78077, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:25', 1, '2024-08-10 01:00:25'), (78078, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:25', 1, '2024-08-10 01:00:20'), (78079, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:26', 1, '2024-08-10 01:00:26'), (78080, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:26', 1, '2024-08-10 01:00:23'), (78081, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:32', 1, '2024-08-10 01:00:32'), (78082, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:33', 1, '2024-08-10 01:00:16'), (78083, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:38', 1, '2024-08-10 01:00:24'), (78084, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:40', 1, '2024-08-10 01:00:27'), (78085, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:40', 1, '2024-08-10 01:00:34'), (78086, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:40', 1, '2024-08-10 01:00:31'), (78087, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 2, 2024, 8, 6, '2024-08-06 01:36:41', 1, '2024-08-10 01:00:36'), (78088, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:41', 1, '2024-08-10 01:00:39'), (78089, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:41', 1, '2024-08-10 01:00:34'), (78090, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:47', 1, '2024-08-10 01:00:41'), (78091, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:47', 1, '2024-08-10 01:00:44'), (78092, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:48', 1, '2024-08-10 01:00:40'), (78093, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:48', 1, '2024-08-10 01:00:54'), (78094, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 3, 2024, 8, 5, '2024-08-06 01:36:48', 1, '2024-08-09 01:00:53'), (78095, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 3, 2024, 8, 5, '2024-08-06 01:36:48', 1, '2024-08-09 01:00:53'), (78096, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '2', '', 1, 2024, 8, 5, '2024-08-06 01:36:48', 1, '2024-08-09 01:00:53'), (78097, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 8, 5, '2024-08-06 01:36:48', 1, '2024-08-09 01:00:53'), (78098, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 8, 5, '2024-08-06 01:36:48', 1, '2024-08-09 01:00:53'), (78099, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 3, 2024, 8, 5, '2024-08-06 01:36:48', 1, '2024-08-09 01:00:53'), (78100, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 3, 2024, 8, 5, '2024-08-06 01:36:48', 1, '2024-08-09 01:00:53'), (78101, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 8, 5, '2024-08-06 01:36:48', 1, '2024-08-09 01:00:53'), (78102, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 8, 5, '2024-08-06 01:36:48', 1, '2024-08-09 01:00:53'), (78103, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '2', '', 1, 2024, 8, 5, '2024-08-06 01:36:48', 1, '2024-08-09 01:00:53'), (78104, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 8, 5, '2024-08-06 01:36:48', 1, '2024-08-09 01:00:53'), (78105, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '2', '', 1, 2024, 8, 5, '2024-08-06 01:36:48', 1, '2024-08-09 01:00:53'), (78106, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 8, 5, '2024-08-06 01:36:48', 1, '2024-08-09 01:00:53'), (78107, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 8, 5, '2024-08-06 01:36:48', 1, '2024-08-09 01:00:53'), (78108, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '2', '', 1, 2024, 8, 5, '2024-08-06 01:36:48', 1, '2024-08-09 01:00:53'), (78109, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 8, 5, '2024-08-06 01:36:48', 1, '2024-08-09 01:00:53'), (78110, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 6, '2024-08-06 01:36:49', 1, '2024-08-10 01:00:42'), (78111, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 170, 2024, 8, 6, '2024-08-06 01:37:07', 1, '2024-08-10 01:01:13'), (78112, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 46, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78113, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 1, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78114, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', '', '', 1, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78115, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 133, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78116, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 28, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78117, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '退役军人大厅', 1, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78118, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 1, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78119, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 15, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78120, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 27, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78121, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 18, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78122, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 37, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78123, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 26, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78124, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 1, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78125, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78126, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C01', '', 2, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78128, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 1, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78129, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 6, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78130, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C05', '', 1, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78131, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 18, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78132, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 31, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78133, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 22, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78134, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 205, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78135, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 133, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78136, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 45, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78137, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', '', '', 1, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78138, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 26, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 18, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 37, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 6, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:12'), (78142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C01', '', 2, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 26, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:12'), (78144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C05', '', 1, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:12'), (78145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 22, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 31, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 16, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:12'), (78148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 15, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 27, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'B03', '', 1, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 3, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:11'), (78152, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 15, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:12'), (78153, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 22, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:12'), (78154, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 31, 2024, 8, 5, '2024-08-06 01:37:07', 1, '2024-08-09 01:01:12'), (78155, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 1, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:12'), (78156, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '', 'B03', '', 1, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:12'), (78157, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C01', '', 2, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:12'), (78158, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 26, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:12'), (78159, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 37, 2024, 8, 5, '2024-08-06 01:37:07', 1, '2024-08-09 01:01:12'), (78160, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 1, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:12'), (78161, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 18, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:12'), (78162, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C05', '', 1, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:12'), (78163, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 27, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:12'), (78164, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 6, 2024, 8, 5, '2024-08-06 01:37:06', 1, '2024-08-09 01:01:12'), (78165, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 8, 5, '2024-08-06 01:37:07', 1, '2024-08-09 01:01:12'), (78166, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 18, 2024, 8, 5, '2024-08-06 01:37:07', 1, '2024-08-09 01:01:12'), (78167, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 22, 2024, 8, 5, '2024-08-06 01:37:07', 1, '2024-08-09 01:01:12'), (78168, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 31, 2024, 8, 5, '2024-08-06 01:37:07', 1, '2024-08-09 01:01:12'), (78169, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 37, 2024, 8, 5, '2024-08-06 01:37:07', 1, '2024-08-09 01:01:12'), (78170, 22, '511502000000-0001', '翠屏区政务服务中心', '区退役军人局', '非常满意', 'B03', '', 1, 2024, 8, 5, '2024-08-06 01:37:07', 1, '2024-08-09 01:01:12'), (78171, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 15, 2024, 8, 5, '2024-08-06 01:37:07', 1, '2024-08-09 01:01:12'), (78172, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 6, 2024, 8, 5, '2024-08-06 01:37:07', 1, '2024-08-09 01:01:12'), (78173, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C01', '', 2, 2024, 8, 5, '2024-08-06 01:37:07', 1, '2024-08-09 01:01:12'), (78174, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 26, 2024, 8, 5, '2024-08-06 01:37:07', 1, '2024-08-09 01:01:12'), (78175, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C05', '', 1, 2024, 8, 5, '2024-08-06 01:37:07', 1, '2024-08-09 01:01:12'), (78176, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 16, 2024, 8, 5, '2024-08-06 01:37:07', 1, '2024-08-09 01:01:12'), (78177, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 27, 2024, 8, 5, '2024-08-06 01:37:07', 1, '2024-08-09 01:01:12'), (78178, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 3, 2024, 8, 5, '2024-08-06 01:37:07', 1, '2024-08-09 01:01:12'), (78179, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 18, 2024, 8, 5, '2024-08-06 01:37:07', 1, '2024-08-09 01:01:12'), (78180, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '', 126, 2024, 8, 6, '2024-08-06 01:37:15', 1, '2024-08-10 01:01:16'), (78181, 1, '511500000000-0001', '智慧政务服务系统', '市医保局', '', '', '', 5, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:18'), (78182, 1, '511500000000-0001', '智慧政务服务系统', '市人力资源社会保障局', '', '', '', 36, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:18'), (78183, 1, '511500000000-0001', '智慧政务服务系统', '市公积金中心（叙州区管理部）', '', '', '', 5, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:18'), (78184, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '', '', '', 70, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:18'), (78185, 1, '511500000000-0001', '智慧政务服务系统', '出入境管理支队', '', '', '', 2, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:18'), (78186, 1, '511500000000-0001', '智慧政务服务系统', '不动产登记中心', '', '', '', 2, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:18'), (78187, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '公安综合服务大厅', 70, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78188, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '公积金服务大厅', 5, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78189, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '出入境服务大厅', 2, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78190, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '人社保障大厅', 36, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78191, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '不动产服务大厅', 2, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78192, 1, '511500000000-0001', '智慧政务服务系统', '', '', '', '医疗保障服务大厅', 5, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78193, 1, '511500000000-0001', '智慧政务服务系统', '', '', '1A07', '', 5, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78194, 1, '511500000000-0001', '智慧政务服务系统', '', '', '2E04', '', 5, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78195, 1, '511500000000-0001', '智慧政务服务系统', '', '', '2D04', '', 1, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78196, 1, '511500000000-0001', '智慧政务服务系统', '', '', '1A06', '', 5, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78197, 1, '511500000000-0001', '智慧政务服务系统', '', '', '2C04', '', 2, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78198, 1, '511500000000-0001', '智慧政务服务系统', '', '', '2E02', '', 21, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78199, 1, '511500000000-0001', '智慧政务服务系统', '', '', '2D02', '', 1, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78200, 1, '511500000000-0001', '智慧政务服务系统', '', '', '1A03', '', 1, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78201, 1, '511500000000-0001', '智慧政务服务系统', '', '', '2E11', '', 2, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78202, 1, '511500000000-0001', '智慧政务服务系统', '', '', '2E10', '', 8, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78203, 1, '511500000000-0001', '智慧政务服务系统', '', '', '1A23', '', 2, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78204, 1, '511500000000-0001', '智慧政务服务系统', '', '', '1A01', '', 2, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78205, 1, '511500000000-0001', '智慧政务服务系统', '', '', '1E19', '', 5, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78206, 1, '511500000000-0001', '智慧政务服务系统', '', '', '2C09', '', 3, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78207, 1, '511500000000-0001', '智慧政务服务系统', '', '', '1A09', '', 7, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78208, 1, '511500000000-0001', '智慧政务服务系统', '', '', '1A19', '', 6, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78209, 1, '511500000000-0001', '智慧政务服务系统', '', '', '1A08', '', 12, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78210, 1, '511500000000-0001', '智慧政务服务系统', '', '', '1A10', '', 2, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78211, 1, '511500000000-0001', '智慧政务服务系统', '', '', '1A21', '', 2, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78212, 1, '511500000000-0001', '智慧政务服务系统', '', '', '2A10', '', 1, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78213, 1, '511500000000-0001', '智慧政务服务系统', '', '', '1A20', '', 26, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78214, 1, '511500000000-0001', '智慧政务服务系统', '', '满意', '', '', 1, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78215, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '', '', 114, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78216, 1, '511500000000-0001', '智慧政务服务系统', '市医保局', '非常满意', '', '', 5, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78217, 1, '511500000000-0001', '智慧政务服务系统', '出入境管理支队', '非常满意', '', '', 1, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78218, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '满意', '', '', 1, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78219, 1, '511500000000-0001', '智慧政务服务系统', '市人力资源社会保障局', '非常满意', '', '', 36, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78220, 1, '511500000000-0001', '智慧政务服务系统', '市公积金中心（叙州区管理部）', '非常满意', '', '', 5, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78221, 1, '511500000000-0001', '智慧政务服务系统', '不动产登记中心', '非常满意', '', '', 2, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78222, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '非常满意', '', '', 65, 2024, 8, 5, '2024-08-06 01:37:14', 1, '2024-08-09 01:01:19'), (78223, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '1A10', '', 2, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78224, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '2D02', '', 1, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78225, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '2C04', '', 2, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78226, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '2E02', '', 21, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78227, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '2D04', '', 1, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78228, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '2E04', '', 5, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78229, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '1A19', '', 6, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78230, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '2C09', '', 3, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78231, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '1E19', '', 5, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78232, 1, '511500000000-0001', '智慧政务服务系统', '', '满意', '1A23', '', 1, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78233, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '1A21', '', 2, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78234, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '1A20', '', 25, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78235, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '1A23', '', 1, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78236, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '1A01', '', 2, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78237, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '2E10', '', 8, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78238, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '2E11', '', 2, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78239, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '1A07', '', 4, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78240, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '1A06', '', 5, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78241, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '1A09', '', 6, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78242, 1, '511500000000-0001', '智慧政务服务系统', '', '非常满意', '1A08', '', 12, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78243, 1, '511500000000-0001', '智慧政务服务系统', '市公积金中心（叙州区管理部）', '', '2C09', '', 3, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78244, 1, '511500000000-0001', '智慧政务服务系统', '市人力资源社会保障局', '', '2E02', '', 21, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78245, 1, '511500000000-0001', '智慧政务服务系统', '市人力资源社会保障局', '', '2E04', '', 5, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78246, 1, '511500000000-0001', '智慧政务服务系统', '市医保局', '', '1E19', '', 5, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78247, 1, '511500000000-0001', '智慧政务服务系统', '市人力资源社会保障局', '', '2E11', '', 2, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78248, 1, '511500000000-0001', '智慧政务服务系统', '市人力资源社会保障局', '', '2E10', '', 8, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78249, 1, '511500000000-0001', '智慧政务服务系统', '市公积金中心（叙州区管理部）', '', '2C04', '', 2, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78250, 1, '511500000000-0001', '智慧政务服务系统', '不动产登记中心', '', '2D02', '', 1, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78251, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '', '1A20', '', 26, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78252, 1, '511500000000-0001', '智慧政务服务系统', '出入境管理支队', '', '2A10', '', 1, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78253, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '', '1A10', '', 2, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78254, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '', '1A21', '', 2, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19');
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (78255, 1, '511500000000-0001', '智慧政务服务系统', '不动产登记中心', '', '2D04', '', 1, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78256, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '', '1A23', '', 2, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78257, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '', '1A01', '', 2, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78258, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '', '1A03', '', 1, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78259, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '', '1A06', '', 5, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78260, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '', '1A07', '', 5, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78261, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '', '1A19', '', 6, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78262, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '', '1A08', '', 12, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78263, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '', '1A09', '', 7, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78264, 1, '511500000000-0001', '智慧政务服务系统', '市人力资源社会保障局', '非常满意', '2E10', '', 8, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78265, 1, '511500000000-0001', '智慧政务服务系统', '市人力资源社会保障局', '非常满意', '2E11', '', 2, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78266, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '非常满意', '1A21', '', 2, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78267, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '非常满意', '1A20', '', 25, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78268, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '非常满意', '1A23', '', 1, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78269, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '非常满意', '1A01', '', 2, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78270, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '非常满意', '1A08', '', 12, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78271, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '非常满意', '1A07', '', 4, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78272, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '非常满意', '1A06', '', 5, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78273, 1, '511500000000-0001', '智慧政务服务系统', '市医保局', '非常满意', '1E19', '', 5, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78274, 1, '511500000000-0001', '智慧政务服务系统', '市人力资源社会保障局', '非常满意', '2E04', '', 5, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78275, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '非常满意', '1A09', '', 6, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78276, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '满意', '1A23', '', 1, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78277, 1, '511500000000-0001', '智慧政务服务系统', '市人力资源社会保障局', '非常满意', '2E02', '', 21, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78278, 1, '511500000000-0001', '智慧政务服务系统', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 3, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78279, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '非常满意', '1A10', '', 2, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78280, 1, '511500000000-0001', '智慧政务服务系统', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 2, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78281, 1, '511500000000-0001', '智慧政务服务系统', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78282, 1, '511500000000-0001', '智慧政务服务系统', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78283, 1, '511500000000-0001', '智慧政务服务系统', '市公安局', '非常满意', '1A19', '', 6, 2024, 8, 5, '2024-08-06 01:37:15', 1, '2024-08-09 01:01:19'), (78284, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:09', 1, '2024-08-11 01:00:08'), (78285, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:09', 1, '2024-08-11 01:00:08'), (78286, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:09', 1, '2024-08-11 01:00:09'), (78287, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:09', 1, '2024-08-11 01:00:08'), (78288, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 5, 2024, 8, 7, '2024-08-07 01:00:10', 1, '2024-08-11 01:00:09'), (78289, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', '', '', 1, 2024, 8, 6, '2024-08-07 01:00:09', 1, '2024-08-10 01:00:08'), (78290, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 12, 2024, 8, 6, '2024-08-07 01:00:09', 1, '2024-08-10 01:00:08'), (78291, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', '', '', 1, 2024, 8, 6, '2024-08-07 01:00:09', 1, '2024-08-10 01:00:08'), (78292, 13, '511525000000-0001', '高县政务服务中心', '', '', 'scjg05', '', 1, 2024, 8, 6, '2024-08-07 01:00:09', 1, '2024-08-10 01:00:08'), (78293, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wsjk27', '', 1, 2024, 8, 6, '2024-08-07 01:00:09', 1, '2024-08-10 01:00:08'), (78294, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 12, 2024, 8, 6, '2024-08-07 01:00:09', 1, '2024-08-10 01:00:08'), (78295, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 14, 2024, 8, 6, '2024-08-07 01:00:09', 1, '2024-08-10 01:00:08'), (78296, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 12, 2024, 8, 6, '2024-08-07 01:00:09', 1, '2024-08-10 01:00:08'), (78297, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', '', '', 1, 2024, 8, 6, '2024-08-07 01:00:09', 1, '2024-08-10 01:00:08'), (78298, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', '', '', 1, 2024, 8, 6, '2024-08-07 01:00:09', 1, '2024-08-10 01:00:08'), (78299, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wsjk27', '', 1, 2024, 8, 6, '2024-08-07 01:00:09', 1, '2024-08-10 01:00:09'), (78300, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 12, 2024, 8, 6, '2024-08-07 01:00:09', 1, '2024-08-10 01:00:09'), (78301, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'scjg05', '', 1, 2024, 8, 6, '2024-08-07 01:00:09', 1, '2024-08-10 01:00:09'), (78302, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 12, 2024, 8, 6, '2024-08-07 01:00:09', 1, '2024-08-10 01:00:09'), (78303, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '', 'scjg05', '', 1, 2024, 8, 6, '2024-08-07 01:00:09', 1, '2024-08-10 01:00:09'), (78304, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', 'wsjk27', '', 1, 2024, 8, 6, '2024-08-07 01:00:10', 1, '2024-08-10 01:00:09'), (78305, 13, '511525000000-0001', '高县政务服务中心', '市场监管局', '非常满意', 'scjg05', '', 1, 2024, 8, 6, '2024-08-07 01:00:10', 1, '2024-08-10 01:00:09'), (78306, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', 'wsjk27', '', 1, 2024, 8, 6, '2024-08-07 01:00:10', 1, '2024-08-10 01:00:09'), (78307, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 12, 2024, 8, 6, '2024-08-07 01:00:10', 1, '2024-08-10 01:00:09'), (78308, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:16', 1, '2024-08-11 01:00:15'), (78309, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:16', 1, '2024-08-11 01:00:16'), (78310, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:17', 1, '2024-08-11 01:00:17'), (78311, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:17', 1, '2024-08-11 01:00:16'), (78312, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:18', 1, '2024-08-11 01:00:23'), (78313, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:24', 1, '2024-08-11 01:00:24'), (78314, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:24', 1, '2024-08-11 01:00:24'), (78315, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:24', 1, '2024-08-11 01:00:25'), (78316, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:24', 1, '2024-08-11 01:00:24'), (78317, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:26', 1, '2024-08-11 01:00:31'), (78318, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:32', 1, '2024-08-11 01:00:32'), (78319, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:32', 1, '2024-08-11 01:00:31'), (78320, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:32', 1, '2024-08-11 01:00:33'), (78321, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:32', 1, '2024-08-11 01:00:32'), (78322, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:34', 1, '2024-08-11 01:00:39'), (78323, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '', '', '', 2, 2024, 8, 6, '2024-08-07 01:00:33', 1, '2024-08-10 01:00:36'), (78324, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '8', '', 2, 2024, 8, 6, '2024-08-07 01:00:33', 1, '2024-08-10 01:00:36'), (78325, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 2, 2024, 8, 6, '2024-08-07 01:00:33', 1, '2024-08-10 01:00:36'), (78326, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '非常不满意', '', '', 2, 2024, 8, 6, '2024-08-07 01:00:33', 1, '2024-08-10 01:00:36'), (78327, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '8', '', 2, 2024, 8, 6, '2024-08-07 01:00:33', 1, '2024-08-10 01:00:36'), (78328, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '', '8', '', 2, 2024, 8, 6, '2024-08-07 01:00:34', 1, '2024-08-10 01:00:36'), (78329, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '非常不满意', '8', '', 2, 2024, 8, 6, '2024-08-07 01:00:34', 1, '2024-08-10 01:00:36'), (78330, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:39', 1, '2024-08-11 01:00:40'), (78331, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:39', 1, '2024-08-11 01:00:39'), (78332, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:39', 1, '2024-08-11 01:00:40'), (78333, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:39', 1, '2024-08-11 01:00:41'), (78334, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:41', 1, '2024-08-11 01:00:47'), (78335, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:48', 1, '2024-08-11 01:00:50'), (78336, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 4, 2024, 8, 7, '2024-08-07 01:00:49', 1, '2024-08-11 01:00:54'), (78337, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 8, 7, '2024-08-07 01:00:50', 1, '2024-08-11 01:00:52'), (78338, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', '', '', 1, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:50'), (78339, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:50'), (78340, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A08', '', 1, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:50'), (78341, 24, '511534000000-0001', '宜宾高新区政企服务中心', '市场监管', '', 'A08', '', 1, 2024, 8, 6, '2024-08-07 01:00:50', 1, '2024-08-10 01:00:51'), (78342, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 114, 2024, 8, 7, '2024-08-07 01:01:00', 1, '2024-08-11 01:01:12'), (78343, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 25, 2024, 8, 6, '2024-08-07 01:00:59', 1, '2024-08-10 01:01:13'), (78344, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 2, 2024, 8, 6, '2024-08-07 01:00:59', 1, '2024-08-10 01:01:13'), (78345, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 126, 2024, 8, 6, '2024-08-07 01:00:59', 1, '2024-08-10 01:01:13'), (78346, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 15, 2024, 8, 6, '2024-08-07 01:00:59', 1, '2024-08-10 01:01:13'), (78347, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 2, 2024, 8, 6, '2024-08-07 01:00:59', 1, '2024-08-10 01:01:13'), (78348, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 4, 2024, 8, 6, '2024-08-07 01:00:59', 1, '2024-08-10 01:01:13'), (78349, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 20, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78350, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 7, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78351, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 16, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78352, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 19, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78353, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78354, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 2, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78355, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 24, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78356, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 18, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78357, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78358, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C01', '', 11, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78359, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78360, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C01', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78361, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 2, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78362, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 4, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78363, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C06', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78364, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C18', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78365, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78366, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 17, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78367, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 19, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78368, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 169, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78369, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 126, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78370, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 25, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78371, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 14, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78372, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 2, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78373, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 2, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 2, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78375, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 24, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78376, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 18, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78377, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 19, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78378, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 4, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78379, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C06', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78380, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C01', '', 11, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78381, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 19, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78382, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 17, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 7, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 16, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 20, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C11', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 2, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C01', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78392, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 16, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78393, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78394, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 2, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78395, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 20, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78396, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 19, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78397, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 17, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78398, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 2, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78399, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C01', '', 11, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78400, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 24, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78401, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 19, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78402, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C18', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78403, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78404, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C06', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78405, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 7, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78406, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 4, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78407, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78408, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 18, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:13'), (78409, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78410, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C01', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78411, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 19, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78412, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 17, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78413, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 2, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78414, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 24, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78415, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 19, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78416, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 16, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78417, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 20, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78418, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 4, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78419, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C06', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78420, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C01', '', 11, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78421, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78422, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 7, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78423, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C11', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78424, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 2, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78425, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78426, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78427, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C01', '', 1, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78428, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 18, 2024, 8, 6, '2024-08-07 01:01:00', 1, '2024-08-10 01:01:14'), (78429, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 79, 2024, 8, 7, '2024-08-07 01:01:09', 1, '2024-08-11 01:01:17'), (78430, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 4, 2024, 8, 6, '2024-08-07 01:01:08', 1, '2024-08-10 01:01:16'), (78431, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 8, 6, '2024-08-07 01:01:08', 1, '2024-08-10 01:01:16'), (78432, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 33, 2024, 8, 6, '2024-08-07 01:01:08', 1, '2024-08-10 01:01:16'), (78433, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 3, 2024, 8, 6, '2024-08-07 01:01:08', 1, '2024-08-10 01:01:16'), (78434, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 77, 2024, 8, 6, '2024-08-07 01:01:08', 1, '2024-08-10 01:01:16'), (78435, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 8, 6, '2024-08-07 01:01:08', 1, '2024-08-10 01:01:16'), (78436, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 8, 6, '2024-08-07 01:01:08', 1, '2024-08-10 01:01:16'), (78437, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 77, 2024, 8, 6, '2024-08-07 01:01:08', 1, '2024-08-10 01:01:16'), (78438, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 8, 6, '2024-08-07 01:01:08', 1, '2024-08-10 01:01:16'), (78439, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 3, 2024, 8, 6, '2024-08-07 01:01:08', 1, '2024-08-10 01:01:16'), (78440, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 33, 2024, 8, 6, '2024-08-07 01:01:08', 1, '2024-08-10 01:01:16'), (78441, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78442, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 4, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78443, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78444, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 17, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78445, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78446, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 4, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78447, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 3, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78448, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 7, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78449, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 3, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78450, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 28, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78451, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78452, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78453, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78454, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 2, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78455, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D32', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78456, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 5, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78457, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78458, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78459, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 5, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78460, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 11, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78461, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78462, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 11, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78463, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A11', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78464, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 15, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78465, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 121, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78466, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 4, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78467, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78468, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 32, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78469, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 3, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78470, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78471, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78472, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 75, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:16'), (78473, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 15, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78474, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 2, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78475, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 5, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78476, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A11', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78477, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78478, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 3, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78479, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 3, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78480, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 28, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78481, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78482, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 7, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78483, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 15, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78484, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 4, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78485, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78486, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 5, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78487, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78488, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 11, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78489, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D05', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78490, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 11, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78491, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78492, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 28, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78493, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78494, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78495, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 3, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78496, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78497, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 3, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78498, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D32', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78499, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78500, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 15, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78501, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 3, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78502, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78503, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78504, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 2, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78505, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 5, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78506, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78507, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 7, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78508, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A11', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78509, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 4, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78510, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 17, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78511, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 11, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78512, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 11, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78513, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 5, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78514, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78515, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78516, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 5, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78517, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 3, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78518, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D05', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78519, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 28, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78520, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 3, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78521, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 15, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78522, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 3, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78523, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78524, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78525, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 2, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78526, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A11', '', 1, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78527, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 5, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78528, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 11, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78529, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 11, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78530, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 15, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78531, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 4, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78532, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 7, 2024, 8, 6, '2024-08-07 01:01:09', 1, '2024-08-10 01:01:17'), (78533, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:09', 1, '2024-08-12 01:00:08'), (78534, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:09', 1, '2024-08-12 01:00:08'), (78535, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:09', 1, '2024-08-12 01:00:08'), (78536, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:09', 1, '2024-08-12 01:00:47'), (78537, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:16', 1, '2024-08-12 01:00:08'), (78538, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:16', 1, '2024-08-12 01:00:16'), (78539, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:16', 1, '2024-08-12 01:00:16'), (78540, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:16', 1, '2024-08-12 01:00:16'), (78541, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:17', 1, '2024-08-12 01:00:16'), (78542, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:23', 1, '2024-08-12 01:00:24'), (78543, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:24', 1, '2024-08-12 01:00:24'), (78544, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:24', 1, '2024-08-12 01:00:24'), (78545, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:31', 1, '2024-08-12 01:00:24'), (78546, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:31', 1, '2024-08-12 01:00:31'), (78547, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:31', 1, '2024-08-12 01:00:31'), (78548, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:31', 1, '2024-08-12 01:00:28'), (78549, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:32', 1, '2024-08-12 01:00:31'), (78550, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:39', 1, '2024-08-12 01:00:38'), (78551, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:39', 1, '2024-08-12 01:00:31'), (78552, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 3, 2024, 8, 8, '2024-08-08 01:00:39', 1, '2024-08-12 01:00:08'), (78553, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 2, 2024, 8, 7, '2024-08-08 01:00:31', 1, '2024-08-11 01:00:09'), (78554, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 3, 2024, 8, 7, '2024-08-08 01:00:31', 1, '2024-08-11 01:00:09'), (78555, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc10', '', 1, 2024, 8, 7, '2024-08-08 01:00:31', 1, '2024-08-11 01:00:09'), (78556, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 8, 7, '2024-08-08 01:00:31', 1, '2024-08-11 01:00:09'), (78557, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 3, 2024, 8, 7, '2024-08-08 01:00:31', 1, '2024-08-11 01:00:09'), (78558, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 5, 2024, 8, 7, '2024-08-08 01:00:31', 1, '2024-08-11 01:00:09'), (78559, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 3, 2024, 8, 7, '2024-08-08 01:00:31', 1, '2024-08-11 01:00:09'), (78560, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 2, 2024, 8, 7, '2024-08-08 01:00:31', 1, '2024-08-11 01:00:09'), (78561, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 8, 7, '2024-08-08 01:00:38', 1, '2024-08-11 01:00:09'), (78562, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 3, 2024, 8, 7, '2024-08-08 01:00:31', 1, '2024-08-11 01:00:09'), (78563, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc10', '', 1, 2024, 8, 7, '2024-08-08 01:00:31', 1, '2024-08-11 01:00:09'), (78564, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 3, 2024, 8, 7, '2024-08-08 01:00:38', 1, '2024-08-11 01:00:09'), (78565, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc10', '', 1, 2024, 8, 7, '2024-08-08 01:00:38', 1, '2024-08-11 01:00:09'), (78566, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 8, 7, '2024-08-08 01:00:38', 1, '2024-08-11 01:00:09'), (78567, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc10', '', 1, 2024, 8, 7, '2024-08-08 01:00:39', 1, '2024-08-11 01:00:15'), (78568, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 3, 2024, 8, 7, '2024-08-08 01:00:38', 1, '2024-08-11 01:00:09'), (78569, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 8, 7, '2024-08-08 01:00:38', 1, '2024-08-11 01:00:09'), (78570, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:39', 1, '2024-08-12 01:00:39'), (78571, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:39', 1, '2024-08-12 01:00:36'), (78572, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 8, 8, '2024-08-08 01:00:43', 1, '2024-08-12 01:00:20'), (78573, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:46', 1, '2024-08-12 01:00:39'), (78574, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:46', 1, '2024-08-12 01:00:39'), (78575, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:46', 1, '2024-08-12 01:00:39'), (78576, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:47', 1, '2024-08-12 01:00:46'), (78577, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 8, '2024-08-08 01:00:54', 1, '2024-08-12 01:00:48'), (78578, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 4, 2024, 8, 7, '2024-08-08 01:00:53', 1, '2024-08-11 01:00:54'), (78579, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 4, 2024, 8, 7, '2024-08-08 01:00:53', 1, '2024-08-11 01:00:54'), (78580, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 3, 2024, 8, 7, '2024-08-08 01:00:53', 1, '2024-08-11 01:00:55'), (78581, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '6', '', 1, 2024, 8, 7, '2024-08-08 01:00:53', 1, '2024-08-11 01:00:55'), (78582, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 4, 2024, 8, 7, '2024-08-08 01:00:53', 1, '2024-08-11 01:00:55'), (78583, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 4, 2024, 8, 7, '2024-08-08 01:00:53', 1, '2024-08-11 01:00:55'), (78584, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 3, 2024, 8, 7, '2024-08-08 01:00:53', 1, '2024-08-11 01:00:55'), (78585, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '6', '', 1, 2024, 8, 7, '2024-08-08 01:00:53', 1, '2024-08-11 01:00:55'), (78586, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '6', '', 1, 2024, 8, 7, '2024-08-08 01:00:53', 1, '2024-08-11 01:00:55'), (78587, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 3, 2024, 8, 7, '2024-08-08 01:00:54', 1, '2024-08-11 01:00:55'), (78588, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '6', '', 1, 2024, 8, 7, '2024-08-08 01:00:54', 1, '2024-08-11 01:00:55'), (78589, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 3, 2024, 8, 7, '2024-08-08 01:00:54', 1, '2024-08-11 01:00:55'), (78590, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 140, 2024, 8, 8, '2024-08-08 01:01:11', 1, '2024-08-12 01:01:02'), (78591, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 20, 2024, 8, 7, '2024-08-08 01:01:10', 1, '2024-08-11 01:01:12'), (78592, 22, '511502000000-0001', '翠屏区政务服务中心', '区林业竹业局', '', '', '', 1, 2024, 8, 7, '2024-08-08 01:01:10', 1, '2024-08-11 01:01:12'), (78593, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 77, 2024, 8, 7, '2024-08-08 01:01:10', 1, '2024-08-11 01:01:12'), (78594, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 12, 2024, 8, 7, '2024-08-08 01:01:10', 1, '2024-08-11 01:01:12'), (78595, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 8, 7, '2024-08-08 01:01:10', 1, '2024-08-11 01:01:12'), (78596, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2024, 8, 7, '2024-08-08 01:01:10', 1, '2024-08-11 01:01:12'), (78597, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 8, 7, '2024-08-08 01:01:10', 1, '2024-08-11 01:01:12'), (78598, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 3, 2024, 8, 7, '2024-08-08 01:01:10', 1, '2024-08-11 01:01:12'), (78599, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 16, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78600, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 2, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78601, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 8, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78602, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C10', '', 1, 2024, 8, 7, '2024-08-08 01:01:10', 1, '2024-08-11 01:01:12'), (78603, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 18, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78604, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 21, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78605, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 7, 2024, 8, 7, '2024-08-08 01:01:10', 1, '2024-08-11 01:01:12'), (78606, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C02', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78607, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 4, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78608, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A03', '', 2, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78610, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C01', '', 10, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78611, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78612, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A07', '', 1, 2024, 8, 7, '2024-08-08 01:01:10', 1, '2024-08-11 01:01:12'), (78613, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D01', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78614, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 15, 2024, 8, 7, '2024-08-08 01:01:10', 1, '2024-08-11 01:01:12'), (78616, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 108, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78617, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 76, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78618, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 18, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78619, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78620, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 12, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78621, 22, '511502000000-0001', '翠屏区政务服务中心', '区林业竹业局', '非常满意', '', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78622, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 18, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78623, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 20, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C01', '', 10, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 7, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A07', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 15, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 8, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 16, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C10', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C02', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 4, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78636, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 8, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78637, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C10', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78638, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 16, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78639, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 15, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78640, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C01', '', 10, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78641, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 7, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78642, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 21, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78643, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A03', '', 2, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78644, 22, '511502000000-0001', '翠屏区政务服务中心', '区林业竹业局', '', 'A07', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78645, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78646, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78647, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78648, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D01', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78649, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C02', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78650, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 4, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78651, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 18, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78652, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 2, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78653, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 15, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78654, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 20, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78655, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 8, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78656, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 16, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78657, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78658, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78659, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C01', '', 10, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78660, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 7, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78661, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78662, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C10', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78663, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C02', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78664, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 4, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12');
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (78665, 22, '511502000000-0001', '翠屏区政务服务中心', '区林业竹业局', '非常满意', 'A07', '', 1, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78666, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 18, 2024, 8, 7, '2024-08-08 01:01:11', 1, '2024-08-11 01:01:12'), (78667, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 106, 2024, 8, 8, '2024-08-08 01:01:23', 1, '2024-08-12 01:01:10'), (78668, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 2, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:17'), (78669, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:17'), (78670, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 25, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:17'), (78671, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:17'), (78672, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 40, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:17'), (78673, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 3, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:17'), (78674, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 5, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:17'), (78675, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 40, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:17'), (78676, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:17'), (78677, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:17'), (78678, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 25, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:17'), (78679, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:18'), (78680, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 5, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:18'), (78681, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 3, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:18'), (78682, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:18'), (78683, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 5, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:18'), (78684, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:18'), (78685, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 2, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:18'), (78686, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78687, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B05', '', 3, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78688, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 6, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78689, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 16, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78690, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:18'), (78691, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E21', '', 1, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:18'), (78692, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 4, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78693, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E30', '', 1, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:18'), (78694, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 2, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78695, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:18'), (78696, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D29', '', 1, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:18'), (78697, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 5, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78698, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78699, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 4, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78700, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 4, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78701, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D27', '', 1, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78702, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 16, 2024, 8, 7, '2024-08-08 01:01:22', 1, '2024-08-11 01:01:18'), (78703, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 73, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78704, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 2, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78705, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 3, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78706, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 23, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78707, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78708, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78709, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 38, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78710, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 2, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78711, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 16, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78712, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 2, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78713, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78714, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B05', '', 3, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78715, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 16, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78716, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 5, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78717, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E21', '', 1, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78718, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 4, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78719, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78720, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D29', '', 1, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78721, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 4, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78722, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 5, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78723, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78724, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78725, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 4, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78726, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 4, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78727, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 16, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78728, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78729, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E30', '', 1, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78730, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78731, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78732, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E21', '', 1, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78733, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 4, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78734, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78735, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 2, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78736, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 2, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78737, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B05', '', 3, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78738, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 16, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78739, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78740, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D29', '', 1, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78741, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D27', '', 1, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78742, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 6, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78743, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 5, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78744, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 4, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78745, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 4, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78746, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 5, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78747, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78748, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78749, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 5, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78750, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 2, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78751, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78752, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E21', '', 1, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78753, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 4, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78754, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78755, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 16, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78756, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 2, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78757, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 16, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78758, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B05', '', 3, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78759, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78760, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D29', '', 1, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78761, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 4, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78762, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 4, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78763, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 4, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78764, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 5, 2024, 8, 7, '2024-08-08 01:01:23', 1, '2024-08-11 01:01:18'), (78765, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:08', 1, '2024-08-13 01:00:09'), (78766, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:09', 1, '2024-08-13 01:00:08'), (78767, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:09', 1, '2024-08-13 01:00:09'), (78768, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:09', 1, '2024-08-13 01:00:09'), (78769, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 9, 2024, 8, 9, '2024-08-09 01:00:10', 1, '2024-08-13 01:00:09'), (78770, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 3, 2024, 8, 8, '2024-08-09 01:00:10', 1, '2024-08-12 01:00:08'), (78771, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 3, 2024, 8, 8, '2024-08-09 01:00:10', 1, '2024-08-12 01:00:08'), (78772, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 3, 2024, 8, 8, '2024-08-09 01:00:10', 1, '2024-08-12 01:00:08'), (78773, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 3, 2024, 8, 8, '2024-08-09 01:00:10', 1, '2024-08-12 01:00:08'), (78774, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 3, 2024, 8, 8, '2024-08-09 01:00:10', 1, '2024-08-12 01:00:08'), (78775, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 3, 2024, 8, 8, '2024-08-09 01:00:10', 1, '2024-08-12 01:00:08'), (78776, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 3, 2024, 8, 8, '2024-08-09 01:00:10', 1, '2024-08-12 01:00:08'), (78777, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:16', 1, '2024-08-13 01:00:17'), (78778, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:16', 1, '2024-08-13 01:00:16'), (78779, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:17', 1, '2024-08-13 01:00:17'), (78780, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:18', 1, '2024-08-13 01:00:19'), (78781, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:18', 1, '2024-08-13 01:00:25'), (78782, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:24', 1, '2024-08-13 01:00:25'), (78783, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:24', 1, '2024-08-13 01:00:24'), (78784, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:25', 1, '2024-08-13 01:00:25'), (78785, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:26', 1, '2024-08-13 01:00:27'), (78786, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:26', 1, '2024-08-13 01:00:31'), (78787, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:32', 1, '2024-08-13 01:00:32'), (78788, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:32', 1, '2024-08-13 01:00:34'), (78789, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:33', 1, '2024-08-13 01:00:33'), (78790, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:33', 1, '2024-08-13 01:00:40'), (78791, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 3, 2024, 8, 9, '2024-08-09 01:00:34', 1, '2024-08-13 01:00:39'), (78792, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:39', 1, '2024-08-13 01:00:39'), (78793, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:40', 1, '2024-08-13 01:00:40'), (78794, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:40', 1, '2024-08-13 01:00:42'), (78795, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:42', 1, '2024-08-13 01:00:41'), (78796, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:42', 1, '2024-08-13 01:00:48'), (78797, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:49', 1, '2024-08-13 01:00:50'), (78798, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 8, 9, '2024-08-09 01:00:52', 1, '2024-08-13 01:00:19'), (78799, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', '', '', 1, 2024, 8, 8, '2024-08-09 01:00:52', 1, '2024-08-12 01:00:20'), (78800, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 8, 8, '2024-08-09 01:00:52', 1, '2024-08-12 01:00:20'), (78801, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A12', '', 1, 2024, 8, 8, '2024-08-09 01:00:52', 1, '2024-08-12 01:00:21'), (78802, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 8, 8, '2024-08-09 01:00:52', 1, '2024-08-12 01:00:21'), (78803, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', '', '', 1, 2024, 8, 8, '2024-08-09 01:00:52', 1, '2024-08-12 01:00:21'), (78804, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A12', '', 1, 2024, 8, 8, '2024-08-09 01:00:52', 1, '2024-08-12 01:00:21'), (78805, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '', 'A12', '', 1, 2024, 8, 8, '2024-08-09 01:00:52', 1, '2024-08-12 01:00:21'), (78806, 24, '511534000000-0001', '宜宾高新区政企服务中心', '税务', '非常满意', 'A12', '', 1, 2024, 8, 8, '2024-08-09 01:00:52', 1, '2024-08-12 01:00:21'), (78807, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 2, 2024, 8, 9, '2024-08-09 01:00:53', 1, '2024-08-13 01:00:50'), (78808, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 126, 2024, 8, 9, '2024-08-09 01:01:15', 1, '2024-08-13 01:00:59'), (78809, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 49, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78810, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 71, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78811, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78812, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78813, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 9, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78814, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78815, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 7, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78816, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78817, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 2, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78818, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78819, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 15, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78820, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 20, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78821, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 28, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78822, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78823, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C10', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78824, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 19, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78825, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C01', '', 13, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78826, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78827, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B03', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78828, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 2, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78829, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78830, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 5, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78831, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 6, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78832, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D14', '', 2, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78833, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 12, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78834, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 12, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78835, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78836, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78837, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 133, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78838, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '', '', 3, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78839, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 71, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78840, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 2, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78841, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 48, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78842, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '', '', 3, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78843, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78844, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78845, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 9, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78846, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78847, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常不满意', '', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78848, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78849, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '3D14', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78850, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '3D13', '', 2, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78851, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '3D13', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78852, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '3D13', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 28, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78854, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D14', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78855, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 19, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78856, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 20, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78857, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 2, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78858, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C01', '', 13, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78859, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 1, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 12, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 12, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 6, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 15, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C10', '', 1, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 8, 8, '2024-08-09 01:01:14', 1, '2024-08-12 01:01:02'), (78868, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C10', '', 1, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78869, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 15, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78870, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 12, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78871, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 12, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78872, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78873, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C01', '', 13, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78874, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 19, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78875, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78876, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 6, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78877, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78878, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 5, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78879, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B03', '', 1, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78880, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 1, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78881, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 2, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78882, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 28, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78883, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 20, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78884, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D14', '', 2, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:02'), (78885, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 1, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78886, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 12, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78887, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 12, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78888, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 19, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78889, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 15, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78890, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78891, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 2, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78892, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C01', '', 13, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78893, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '3D13', '', 1, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78894, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 6, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78895, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '3D13', '', 2, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78896, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 1, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78897, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78898, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C10', '', 1, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78899, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '3D14', '', 1, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78900, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 28, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78901, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常不满意', '3D13', '', 1, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78902, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 20, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78903, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D14', '', 1, 2024, 8, 8, '2024-08-09 01:01:15', 1, '2024-08-12 01:01:03'), (78904, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 86, 2024, 8, 9, '2024-08-09 01:01:23', 1, '2024-08-13 01:01:05'), (78905, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 8, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78906, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 31, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78907, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 63, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78908, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78909, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 63, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78910, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 31, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78911, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 8, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78912, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78913, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 6, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78914, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78915, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78916, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 1, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78917, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 2, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78918, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78919, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 17, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78920, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E22', '', 1, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78921, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78922, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 2, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78923, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 10, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78924, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 3, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78925, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 2, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78926, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78927, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78928, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 3, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78929, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 24, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78930, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 7, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78931, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78932, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 20, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:10'), (78933, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78934, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 98, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78935, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78936, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 8, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78937, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 29, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78938, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '基本满意', '', '', 1, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78939, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78940, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 59, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78941, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '', '', 1, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78942, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78943, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 20, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78944, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 1, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78945, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 2, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78946, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78947, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 17, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78948, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78949, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 10, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78950, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78951, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 6, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78952, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 2, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78953, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78954, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 6, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78955, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 3, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78956, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 22, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78957, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 3, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78958, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '2D19', '', 1, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78959, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2D19', '', 1, 2024, 8, 8, '2024-08-09 01:01:22', 1, '2024-08-12 01:01:11'), (78960, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 17, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78961, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 3, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78962, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78963, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E22', '', 1, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78964, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78965, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 3, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78966, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 10, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78967, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 1, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78968, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 20, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78969, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78970, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D36', '', 1, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78971, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78972, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 2, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78973, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 2, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78974, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 2, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78975, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78976, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 6, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78977, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 24, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78978, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 7, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78979, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 1, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78980, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 3, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78981, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78982, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '2D19', '', 1, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78983, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 3, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78984, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 10, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78985, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78986, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 17, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78987, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78988, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 2, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78989, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 20, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78990, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D36', '', 1, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78991, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78992, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '基本满意', '2D19', '', 1, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78993, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 6, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78994, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 22, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78995, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 6, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78996, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 2, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78997, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 2, 2024, 8, 8, '2024-08-09 01:01:23', 1, '2024-08-12 01:01:11'), (78998, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:08', 1, '2024-08-14 01:00:08'), (78999, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:09', 1, '2024-08-14 01:00:08'), (79000, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:09', 1, '2024-08-14 01:00:08'), (79001, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:09', 1, '2024-08-14 01:00:46'), (79002, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:10', 1, '2024-08-14 01:00:08'), (79003, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', '', '', 2, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79004, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79005, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 6, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79006, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc10', '', 1, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79007, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wsjk27', '', 2, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79008, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 6, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79009, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 9, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79010, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 6, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79011, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', '', '', 2, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79012, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79013, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wsjk27', '', 2, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79014, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 6, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79015, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc10', '', 1, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79016, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 6, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79017, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc10', '', 1, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79018, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '', 'wsjk27', '', 2, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79019, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc10', '', 1, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79020, 13, '511525000000-0001', '高县政务服务中心', '卫生健康局', '非常满意', 'wsjk27', '', 2, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79021, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 6, 2024, 8, 9, '2024-08-10 01:00:10', 1, '2024-08-13 01:00:09'), (79022, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:16', 1, '2024-08-14 01:00:15'), (79023, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:16', 1, '2024-08-14 01:00:15'), (79024, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:16', 1, '2024-08-14 01:00:16'), (79025, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:17', 1, '2024-08-14 01:00:16'), (79026, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:20', 1, '2024-08-14 01:00:23'), (79027, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:24', 1, '2024-08-14 01:00:23'), (79028, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:24', 1, '2024-08-14 01:00:24'), (79029, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:25', 1, '2024-08-14 01:00:23'), (79030, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:26', 1, '2024-08-14 01:00:23'), (79031, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:27', 1, '2024-08-14 01:00:31'), (79032, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:31', 1, '2024-08-14 01:00:31'), (79033, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:32', 1, '2024-08-14 01:00:31'), (79034, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:34', 1, '2024-08-14 01:00:31'), (79035, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:34', 1, '2024-08-14 01:00:38'), (79036, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:36', 1, '2024-08-14 01:00:39'), (79037, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '', '', '', 3, 2024, 8, 9, '2024-08-10 01:00:36', 1, '2024-08-13 01:00:39'), (79038, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '8', '', 3, 2024, 8, 9, '2024-08-10 01:00:36', 1, '2024-08-13 01:00:39'), (79039, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '', '', 1, 2024, 8, 9, '2024-08-10 01:00:36', 1, '2024-08-13 01:00:39'), (79040, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常满意', '', '', 2, 2024, 8, 9, '2024-08-10 01:00:36', 1, '2024-08-13 01:00:39'), (79041, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '非常满意', '', '', 2, 2024, 8, 9, '2024-08-10 01:00:36', 1, '2024-08-13 01:00:40'), (79042, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '非常不满意', '', '', 1, 2024, 8, 9, '2024-08-10 01:00:36', 1, '2024-08-13 01:00:39'), (79043, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常不满意', '8', '', 1, 2024, 8, 9, '2024-08-10 01:00:36', 1, '2024-08-13 01:00:40'), (79044, 41, '511526101000-0001', '巡场镇便民服务中心', '', '非常满意', '8', '', 2, 2024, 8, 9, '2024-08-10 01:00:36', 1, '2024-08-13 01:00:40'), (79045, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '', '8', '', 3, 2024, 8, 9, '2024-08-10 01:00:36', 1, '2024-08-13 01:00:40'), (79046, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '非常不满意', '8', '', 1, 2024, 8, 9, '2024-08-10 01:00:36', 1, '2024-08-13 01:00:40'), (79047, 41, '511526101000-0001', '巡场镇便民服务中心', '珙县巡场镇便民服务中心', '非常满意', '8', '', 2, 2024, 8, 9, '2024-08-10 01:00:36', 1, '2024-08-13 01:00:40'), (79048, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:39', 1, '2024-08-14 01:00:38'), (79049, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:40', 1, '2024-08-14 01:00:39'), (79050, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:41', 1, '2024-08-14 01:00:38'), (79051, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:42', 1, '2024-08-14 01:00:46'), (79052, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:44', 1, '2024-08-14 01:00:46'), (79053, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:50', 1, '2024-08-14 01:00:08'), (79054, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:51', 1, '2024-08-14 01:00:41'), (79055, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:00:55', 1, '2024-08-14 01:00:48'), (79056, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 2, 2024, 8, 9, '2024-08-10 01:00:55', 1, '2024-08-13 01:00:50'), (79057, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 2, 2024, 8, 9, '2024-08-10 01:00:55', 1, '2024-08-13 01:00:50'), (79058, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 2, 2024, 8, 9, '2024-08-10 01:00:55', 1, '2024-08-13 01:00:50'), (79059, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 2, 2024, 8, 9, '2024-08-10 01:00:55', 1, '2024-08-13 01:00:50'), (79060, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 2, 2024, 8, 9, '2024-08-10 01:00:55', 1, '2024-08-13 01:00:50'), (79061, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 2, 2024, 8, 9, '2024-08-10 01:00:55', 1, '2024-08-13 01:00:50'), (79062, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 2, 2024, 8, 9, '2024-08-10 01:00:55', 1, '2024-08-13 01:00:50'), (79063, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 2, 2024, 8, 9, '2024-08-10 01:00:55', 1, '2024-08-13 01:00:50'), (79064, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 8, 10, '2024-08-10 01:01:17', 1, '2024-08-14 01:01:00'), (79065, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 33, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79066, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', '', '', 1, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79067, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 69, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79068, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 19, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79069, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79070, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79071, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 4, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79072, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 11, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79073, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 17, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79074, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 3, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79075, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 16, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79076, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 14, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79077, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A03', '', 1, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79078, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 9, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79079, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 5, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59');
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (79080, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C01', '', 12, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79081, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C15', '', 5, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79082, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A06', '', 1, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79083, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79084, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C17', '', 1, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79085, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 3, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79086, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C18', '', 1, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79087, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79088, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 11, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79089, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 12, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79090, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 119, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79091, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 69, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79092, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 33, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79093, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 16, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79094, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', '', '', 1, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79095, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A06', '', 1, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79096, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 16, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79097, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C15', '', 5, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:00:59'), (79098, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 14, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:00:59'), (79099, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:00:59'), (79100, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 17, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:00:59'), (79101, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C01', '', 12, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79102, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 9, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79103, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 3, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:00:59'), (79104, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 12, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79105, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 11, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79106, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79107, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 11, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79108, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 5, 2024, 8, 9, '2024-08-10 01:01:16', 1, '2024-08-13 01:00:59'), (79109, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 11, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:00:59'), (79110, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '', 'A06', '', 1, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:00:59'), (79111, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 12, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:00:59'), (79112, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 11, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79113, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C01', '', 12, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:00:59'), (79114, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 9, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:00:59'), (79115, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 14, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:00:59'), (79116, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 3, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79117, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C18', '', 1, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79118, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79119, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C17', '', 1, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:00:59'), (79120, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 3, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79121, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C15', '', 5, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:00:59'), (79122, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:00:59'), (79123, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 16, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:00:59'), (79124, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 5, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79125, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A03', '', 1, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79126, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 17, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79127, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 12, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79128, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 11, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79129, 22, '511502000000-0001', '翠屏区政务服务中心', '区文广旅游局', '非常满意', 'A06', '', 1, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79130, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 14, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79131, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 11, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79132, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C15', '', 5, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79133, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79134, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C01', '', 12, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79135, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 9, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79136, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 3, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79137, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79138, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 5, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79139, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 16, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79140, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 17, 2024, 8, 9, '2024-08-10 01:01:17', 1, '2024-08-13 01:01:00'), (79141, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 4, 2024, 8, 10, '2024-08-10 01:01:21', 1, '2024-08-14 01:01:07'), (79142, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 5, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79143, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 2, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79144, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 23, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79145, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79146, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 51, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79147, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79148, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 3, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79149, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 51, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79150, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79151, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79152, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79153, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 23, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79154, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 2, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79155, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 5, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79156, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D26', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79157, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 6, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79158, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E14', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79159, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D37', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79160, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A06', '', 2, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79161, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79162, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 4, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79163, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 17, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79164, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79165, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79166, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E20', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79167, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79168, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D20', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79169, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 4, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79170, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A22', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79171, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79172, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 2, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79173, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E17', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79174, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 5, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79175, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79176, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 4, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79177, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 13, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79178, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:05'), (79179, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 11, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79180, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 78, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79181, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 5, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79182, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79183, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 23, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79184, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79185, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79186, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79187, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 46, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79188, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79189, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 17, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79190, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79191, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 4, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79192, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79193, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 11, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79194, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79195, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D20', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79196, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 4, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79197, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E20', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79198, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79199, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 4, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79200, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79201, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 5, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79202, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E17', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79203, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A06', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79204, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E14', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79205, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D37', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79206, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 5, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79207, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 12, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79208, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 17, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79209, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E14', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79210, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79211, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D20', '', 1, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79212, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79213, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79214, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 3, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79215, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E17', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79216, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79217, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 11, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79218, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79219, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A22', '', 1, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79220, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D37', '', 1, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79221, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 4, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79222, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79223, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E20', '', 1, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79224, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 2, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79225, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D26', '', 1, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79226, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 4, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79227, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A06', '', 2, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79228, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 6, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79229, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 4, 2024, 8, 9, '2024-08-10 01:01:20', 1, '2024-08-13 01:01:06'), (79230, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 13, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79231, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 5, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79232, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E14', '', 1, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79233, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E17', '', 1, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79234, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 3, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79235, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79236, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 11, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79237, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 1, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79238, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D37', '', 1, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79239, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 4, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79240, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 12, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79241, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 5, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79242, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A06', '', 1, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79243, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 4, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79244, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 2, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79245, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 5, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79246, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79247, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 17, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79248, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79249, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E20', '', 1, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79250, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '非常满意', '1D20', '', 1, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79251, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 4, 2024, 8, 9, '2024-08-10 01:01:21', 1, '2024-08-13 01:01:06'), (79252, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:08', 1, '2024-08-15 01:00:09'), (79253, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:08', 1, '2024-08-15 01:00:09'), (79254, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:08', 1, '2024-08-15 01:00:08'), (79255, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:09', 1, '2024-08-15 01:00:08'), (79256, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:16', 1, '2024-08-15 01:00:16'), (79257, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:16', 1, '2024-08-15 01:00:16'), (79258, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:16', 1, '2024-08-15 01:00:16'), (79259, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:16', 1, '2024-08-15 01:00:08'), (79260, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:17', 1, '2024-08-15 01:00:17'), (79261, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:23', 1, '2024-08-15 01:00:24'), (79262, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:24', 1, '2024-08-15 01:00:24'), (79263, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:24', 1, '2024-08-15 01:00:24'), (79264, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:24', 1, '2024-08-15 01:00:24'), (79265, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:25', 1, '2024-08-15 01:00:24'), (79266, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:31', 1, '2024-08-15 01:00:32'), (79267, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:32', 1, '2024-08-15 01:00:32'), (79268, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:32', 1, '2024-08-15 01:00:32'), (79269, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:32', 1, '2024-08-15 01:00:32'), (79270, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:33', 1, '2024-08-15 01:00:39'), (79271, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:39', 1, '2024-08-15 01:00:40'), (79272, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:40', 1, '2024-08-15 01:00:41'), (79273, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:40', 1, '2024-08-15 01:00:39'), (79274, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:40', 1, '2024-08-15 01:00:40'), (79275, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:41', 1, '2024-08-15 01:00:47'), (79276, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:47', 1, '2024-08-15 01:00:47'), (79277, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:50', 1, '2024-08-15 01:00:32'), (79278, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:53', 1, '2024-08-15 01:00:51'), (79279, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 11, '2024-08-11 01:00:55', 1, '2024-08-15 01:00:52'), (79280, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1, 2024, 8, 11, '2024-08-11 01:01:15', 1, '2024-08-15 01:01:11'), (79281, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 4, 2024, 8, 11, '2024-08-11 01:01:22', 1, '2024-08-15 01:01:14'), (79282, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 2, 2024, 8, 10, '2024-08-11 01:01:21', 1, '2024-08-14 01:01:07'), (79283, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2024, 8, 10, '2024-08-11 01:01:21', 1, '2024-08-14 01:01:07'), (79284, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2024, 8, 10, '2024-08-11 01:01:21', 1, '2024-08-14 01:01:07'), (79285, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2024, 8, 10, '2024-08-11 01:01:21', 1, '2024-08-14 01:01:07'), (79286, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 8, 10, '2024-08-11 01:01:21', 1, '2024-08-14 01:01:07'), (79287, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 2, 2024, 8, 10, '2024-08-11 01:01:21', 1, '2024-08-14 01:01:07'), (79288, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 3, 2024, 8, 10, '2024-08-11 01:01:21', 1, '2024-08-14 01:01:07'), (79289, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 8, 10, '2024-08-11 01:01:21', 1, '2024-08-14 01:01:07'), (79290, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2024, 8, 10, '2024-08-11 01:01:21', 1, '2024-08-14 01:01:07'), (79291, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 8, 10, '2024-08-11 01:01:21', 1, '2024-08-14 01:01:07'), (79292, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2024, 8, 10, '2024-08-11 01:01:21', 1, '2024-08-14 01:01:07'), (79293, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 8, 10, '2024-08-11 01:01:21', 1, '2024-08-14 01:01:07'), (79294, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 2, 2024, 8, 10, '2024-08-11 01:01:21', 1, '2024-08-14 01:01:07'), (79295, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 1, 2024, 8, 10, '2024-08-11 01:01:21', 1, '2024-08-14 01:01:07'), (79296, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 8, 10, '2024-08-11 01:01:21', 1, '2024-08-14 01:01:07'), (79297, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:08', 1, '2024-08-16 01:00:08'), (79298, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:08', 1, '2024-08-16 01:00:50'), (79299, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:08', 1, '2024-08-16 01:00:08'), (79300, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:09', 1, '2024-08-16 01:00:08'), (79301, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:16', 1, '2024-08-16 01:00:16'), (79302, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:16', 1, '2024-08-16 01:00:16'), (79303, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:16', 1, '2024-08-16 01:00:16'), (79304, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:16', 1, '2024-08-16 01:00:16'), (79305, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 8, 12, '2024-08-12 01:00:21', 1, '2024-08-16 01:00:53'), (79306, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:24', 1, '2024-08-16 01:00:17'), (79307, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:24', 1, '2024-08-16 01:00:24'), (79308, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:24', 1, '2024-08-16 01:00:24'), (79309, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:24', 1, '2024-08-16 01:00:25'), (79310, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:28', 1, '2024-08-16 01:00:25'), (79311, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:28', 1, '2024-08-16 01:00:08'), (79312, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:31', 1, '2024-08-16 01:00:25'), (79313, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:31', 1, '2024-08-16 01:00:32'), (79314, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:31', 1, '2024-08-16 01:00:32'), (79315, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:32', 1, '2024-08-16 01:00:33'), (79316, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:38', 1, '2024-08-16 01:00:33'), (79317, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:39', 1, '2024-08-16 01:00:40'), (79318, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:39', 1, '2024-08-16 01:00:40'), (79319, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:39', 1, '2024-08-16 01:00:40'), (79320, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:39', 1, '2024-08-16 01:00:41'), (79321, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:39', 1, '2024-08-16 01:00:33'), (79322, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:46', 1, '2024-08-16 01:00:41'), (79323, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 12, '2024-08-12 01:00:47', 1, '2024-08-16 01:00:08'), (79324, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1, 2024, 8, 12, '2024-08-12 01:00:49', 1, '2024-08-16 01:00:53'), (79325, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 186, 2024, 8, 12, '2024-08-12 01:01:04', 1, '2024-08-16 01:01:15'), (79326, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 8, 11, '2024-08-12 01:01:04', 1, '2024-08-15 01:01:11'), (79327, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 1, 2024, 8, 11, '2024-08-12 01:01:04', 1, '2024-08-15 01:01:11'), (79328, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 1, 2024, 8, 11, '2024-08-12 01:01:04', 1, '2024-08-15 01:01:11'), (79329, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 102, 2024, 8, 12, '2024-08-12 01:01:14', 1, '2024-08-16 01:01:17'), (79330, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 2, 2024, 8, 11, '2024-08-12 01:01:13', 1, '2024-08-15 01:01:14'), (79331, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 2, 2024, 8, 11, '2024-08-12 01:01:13', 1, '2024-08-15 01:01:14'), (79332, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 2, 2024, 8, 11, '2024-08-12 01:01:13', 1, '2024-08-15 01:01:14'), (79333, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 2, 2024, 8, 11, '2024-08-12 01:01:13', 1, '2024-08-15 01:01:14'), (79334, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 2, 2024, 8, 11, '2024-08-12 01:01:13', 1, '2024-08-15 01:01:14'), (79335, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2024, 8, 11, '2024-08-12 01:01:13', 1, '2024-08-15 01:01:14'), (79336, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 1, 2024, 8, 11, '2024-08-12 01:01:13', 1, '2024-08-15 01:01:14'), (79337, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 3, 2024, 8, 11, '2024-08-12 01:01:13', 1, '2024-08-15 01:01:14'), (79338, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 2, 2024, 8, 11, '2024-08-12 01:01:13', 1, '2024-08-15 01:01:14'), (79339, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 1, 2024, 8, 11, '2024-08-12 01:01:13', 1, '2024-08-15 01:01:14'), (79340, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 2, 2024, 8, 11, '2024-08-12 01:01:13', 1, '2024-08-15 01:01:14'), (79341, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 1, 2024, 8, 11, '2024-08-12 01:01:13', 1, '2024-08-15 01:01:15'), (79342, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 2, 2024, 8, 11, '2024-08-12 01:01:13', 1, '2024-08-15 01:01:15'), (79343, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2024, 8, 11, '2024-08-12 01:01:13', 1, '2024-08-15 01:01:15'), (79344, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 1, 2024, 8, 11, '2024-08-12 01:01:13', 1, '2024-08-15 01:01:15'), (79345, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 1, 2024, 8, 11, '2024-08-12 01:01:14', 1, '2024-08-15 01:01:15'), (79346, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 2, 2024, 8, 11, '2024-08-12 01:01:14', 1, '2024-08-15 01:01:15'), (79347, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:09', 1, '2024-08-17 01:00:09'), (79348, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:09', 1, '2024-08-17 01:00:09'), (79349, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:09', 1, '2024-08-17 01:00:09'), (79350, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:09', 1, '2024-08-17 01:00:09'), (79351, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 11, 2024, 8, 13, '2024-08-13 01:00:09', 1, '2024-08-17 01:00:09'), (79352, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:16', 1, '2024-08-17 01:00:17'), (79353, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:17', 1, '2024-08-17 01:00:17'), (79354, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:17', 1, '2024-08-17 01:00:17'), (79355, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:19', 1, '2024-08-17 01:00:17'), (79356, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:19', 1, '2024-08-17 01:00:50'), (79357, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 8, 12, '2024-08-13 01:00:19', 1, '2024-08-16 01:00:53'), (79358, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 8, 12, '2024-08-13 01:00:19', 1, '2024-08-16 01:00:53'), (79359, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A03', '', 1, 2024, 8, 12, '2024-08-13 01:00:19', 1, '2024-08-16 01:00:53'), (79360, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A03', '', 1, 2024, 8, 12, '2024-08-13 01:00:19', 1, '2024-08-16 01:00:53'), (79361, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:24', 1, '2024-08-17 01:00:25'), (79362, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:25', 1, '2024-08-17 01:00:19'), (79363, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:25', 1, '2024-08-17 01:00:25'), (79364, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:25', 1, '2024-08-17 01:00:25'), (79365, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:27', 1, '2024-08-17 01:00:26'), (79366, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:32', 1, '2024-08-17 01:00:27'), (79367, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:32', 1, '2024-08-17 01:00:32'), (79368, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:33', 1, '2024-08-17 01:00:33'), (79369, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:34', 1, '2024-08-17 01:00:33'), (79370, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:39', 1, '2024-08-17 01:00:40'), (79371, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:40', 1, '2024-08-17 01:00:35'), (79372, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:40', 1, '2024-08-17 01:00:41'), (79373, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:40', 1, '2024-08-17 01:00:34'), (79374, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:41', 1, '2024-08-17 01:00:42'), (79375, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:42', 1, '2024-08-17 01:00:41'), (79376, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:48', 1, '2024-08-17 01:00:43'), (79377, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:51', 1, '2024-08-17 01:00:52'), (79378, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 1, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:53'), (79379, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 1, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:53'), (79380, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:53'), (79381, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 1, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:53'), (79382, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 1, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:53'), (79383, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:53'), (79384, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 8, 12, '2024-08-13 01:00:50', 1, '2024-08-16 01:00:53'), (79385, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 8, 12, '2024-08-13 01:00:51', 1, '2024-08-16 01:00:53'), (79386, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 13, '2024-08-13 01:00:51', 1, '2024-08-17 01:00:48'), (79387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 135, 2024, 8, 13, '2024-08-13 01:01:01', 1, '2024-08-17 01:01:12'), (79388, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 24, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79389, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 127, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79390, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 31, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79391, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', '', '', 1, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79392, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 2, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79393, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 2, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 21, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 1, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 15, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 19, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 20, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 5, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A02', '', 1, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 33, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 4, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 21, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C01', '', 17, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79406, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C23', '', 1, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79407, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 1, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79408, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 5, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79409, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 8, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79410, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 12, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79411, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 2, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79412, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 179, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79413, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '', '', 1, 2024, 8, 12, '2024-08-13 01:01:00', 1, '2024-08-16 01:01:15'), (79414, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 125, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79415, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79416, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 24, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79417, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79418, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79419, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 27, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79420, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', '', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '基本满意', '3D15', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 33, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 19, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 5, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 5, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C01', '', 17, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 21, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 8, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79431, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 8, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79432, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 15, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79433, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 19, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79434, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 20, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79435, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79436, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A02', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79437, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 4, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79438, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C23', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79439, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 15, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79440, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 21, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79441, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C01', '', 17, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79442, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 21, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79443, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 33, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79444, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 20, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79445, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', 'A02', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79446, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 12, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79447, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 8, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79448, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 19, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79449, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79450, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 5, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79451, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 4, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79452, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 2, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79453, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79454, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C23', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79455, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 5, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79456, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 33, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79457, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 19, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79458, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 15, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79459, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 20, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79460, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79461, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 5, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79462, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C01', '', 17, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79463, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', 'A02', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79464, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 21, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79465, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 8, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:16'), (79466, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 8, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79467, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 19, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79468, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 4, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79469, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C23', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79470, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '基本满意', '3D15', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79471, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79472, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 1, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79473, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 5, 2024, 8, 12, '2024-08-13 01:01:01', 1, '2024-08-16 01:01:15'), (79474, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 97, 2024, 8, 13, '2024-08-13 01:01:09', 1, '2024-08-17 01:01:20'), (79475, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 7, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79476, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79477, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79478, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 23, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79479, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79480, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 60, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79481, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 9, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79482, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 60, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79483, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79484, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79485, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 23, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79486, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 7, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79487, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 9, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79488, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 26, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79489, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 3, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79490, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79491, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 3, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79492, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 2, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79493, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 18, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79494, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17');
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (79495, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79496, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D21', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79497, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79498, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79499, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79500, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79501, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 5, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79502, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 5, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79503, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D05', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79504, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79505, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 18, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79506, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 5, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79507, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E27', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79508, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 3, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:17'), (79509, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79510, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 93, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79511, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79512, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 7, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79513, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 22, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79514, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79515, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79516, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79517, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 57, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79518, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79519, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A02', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79520, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2D31', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79521, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 3, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79522, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79523, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79524, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 3, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79525, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 18, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79526, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 2, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79527, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79528, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79529, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 24, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79530, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 2, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79531, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 5, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79532, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 5, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79533, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79534, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 18, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79535, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 5, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79536, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 18, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79537, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D21', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79538, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79539, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 5, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79540, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79541, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 3, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79542, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79543, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E27', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79544, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79545, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79546, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 3, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79547, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D05', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79548, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 3, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79549, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 3, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79550, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79551, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79552, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 2, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79553, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 26, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79554, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 18, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79555, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 5, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79556, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 5, 2024, 8, 12, '2024-08-13 01:01:08', 1, '2024-08-16 01:01:18'), (79557, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 5, 2024, 8, 12, '2024-08-13 01:01:09', 1, '2024-08-16 01:01:18'), (79558, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A02', '', 1, 2024, 8, 12, '2024-08-13 01:01:09', 1, '2024-08-16 01:01:18'), (79559, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 8, 12, '2024-08-13 01:01:09', 1, '2024-08-16 01:01:18'), (79560, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 3, 2024, 8, 12, '2024-08-13 01:01:09', 1, '2024-08-16 01:01:18'), (79561, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 8, 12, '2024-08-13 01:01:09', 1, '2024-08-16 01:01:18'), (79562, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 5, 2024, 8, 12, '2024-08-13 01:01:09', 1, '2024-08-16 01:01:18'), (79563, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 18, 2024, 8, 12, '2024-08-13 01:01:09', 1, '2024-08-16 01:01:18'), (79564, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 8, 12, '2024-08-13 01:01:09', 1, '2024-08-16 01:01:18'), (79565, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 3, 2024, 8, 12, '2024-08-13 01:01:09', 1, '2024-08-16 01:01:18'), (79566, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 3, 2024, 8, 12, '2024-08-13 01:01:09', 1, '2024-08-16 01:01:18'), (79567, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 2, 2024, 8, 12, '2024-08-13 01:01:09', 1, '2024-08-16 01:01:18'), (79568, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 8, 12, '2024-08-13 01:01:09', 1, '2024-08-16 01:01:18'), (79569, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 18, 2024, 8, 12, '2024-08-13 01:01:09', 1, '2024-08-16 01:01:18'), (79570, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 5, 2024, 8, 12, '2024-08-13 01:01:09', 1, '2024-08-16 01:01:18'), (79571, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 24, 2024, 8, 12, '2024-08-13 01:01:09', 1, '2024-08-16 01:01:18'), (79572, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '满意', '2D31', '', 1, 2024, 8, 12, '2024-08-13 01:01:09', 1, '2024-08-16 01:01:18'), (79573, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 2, 2024, 8, 12, '2024-08-13 01:01:09', 1, '2024-08-16 01:01:18'), (79574, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:08', 1, '2024-08-18 01:00:08'), (79575, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:08', 1, '2024-08-18 01:00:08'), (79576, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:08', 1, '2024-08-18 01:00:48'), (79577, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:08', 1, '2024-08-18 01:00:09'), (79578, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:16', 1, '2024-08-18 01:00:16'), (79579, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:16', 1, '2024-08-18 01:00:17'), (79580, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:16', 1, '2024-08-18 01:00:17'), (79581, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 10, 2024, 8, 14, '2024-08-14 01:00:16', 1, '2024-08-18 01:00:08'), (79582, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 1, 2024, 8, 13, '2024-08-14 01:00:08', 1, '2024-08-17 01:00:09'), (79583, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 10, 2024, 8, 13, '2024-08-14 01:00:08', 1, '2024-08-17 01:00:09'), (79584, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc10', '', 1, 2024, 8, 13, '2024-08-14 01:00:15', 1, '2024-08-17 01:00:09'), (79585, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 10, 2024, 8, 13, '2024-08-14 01:00:08', 1, '2024-08-17 01:00:09'), (79586, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 11, 2024, 8, 13, '2024-08-14 01:00:15', 1, '2024-08-17 01:00:09'), (79587, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 10, 2024, 8, 13, '2024-08-14 01:00:16', 1, '2024-08-17 01:00:09'), (79588, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 1, 2024, 8, 13, '2024-08-14 01:00:15', 1, '2024-08-17 01:00:09'), (79589, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 10, 2024, 8, 13, '2024-08-14 01:00:16', 1, '2024-08-17 01:00:09'), (79590, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc10', '', 1, 2024, 8, 13, '2024-08-14 01:00:16', 1, '2024-08-17 01:00:09'), (79591, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 10, 2024, 8, 13, '2024-08-14 01:00:16', 1, '2024-08-17 01:00:09'), (79592, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc10', '', 1, 2024, 8, 13, '2024-08-14 01:00:16', 1, '2024-08-17 01:00:09'), (79593, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc10', '', 1, 2024, 8, 13, '2024-08-14 01:00:16', 1, '2024-08-17 01:00:09'), (79594, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 10, 2024, 8, 13, '2024-08-14 01:00:16', 1, '2024-08-17 01:00:09'), (79595, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:16', 1, '2024-08-18 01:00:17'), (79596, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:23', 1, '2024-08-18 01:00:24'), (79597, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:23', 1, '2024-08-18 01:00:19'), (79598, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:23', 1, '2024-08-18 01:00:25'), (79599, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:23', 1, '2024-08-18 01:00:25'), (79600, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:24', 1, '2024-08-18 01:00:25'), (79601, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:31', 1, '2024-08-18 01:00:28'), (79602, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:31', 1, '2024-08-18 01:00:34'), (79603, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:31', 1, '2024-08-18 01:00:32'), (79604, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:31', 1, '2024-08-18 01:00:33'), (79605, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:38', 1, '2024-08-18 01:00:41'), (79606, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:39', 1, '2024-08-18 01:00:40'), (79607, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:39', 1, '2024-08-18 01:00:33'), (79608, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:39', 1, '2024-08-18 01:00:35'), (79609, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:39', 1, '2024-08-18 01:00:40'), (79610, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:42', 1, '2024-08-18 01:00:51'), (79611, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:46', 1, '2024-08-18 01:00:08'), (79612, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:46', 1, '2024-08-18 01:00:44'), (79613, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 14, '2024-08-14 01:00:46', 1, '2024-08-18 01:00:42'), (79614, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1, 2024, 8, 14, '2024-08-14 01:00:49', 1, '2024-08-18 01:00:52'), (79615, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 130, 2024, 8, 14, '2024-08-14 01:01:03', 1, '2024-08-18 01:01:08'), (79616, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 30, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79617, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 81, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79618, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79619, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 18, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79620, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79621, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', '', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79622, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 2, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79623, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79624, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 5, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79625, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 15, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79626, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 16, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79627, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 14, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79628, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 2, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79629, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79630, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A02', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79631, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 21, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79632, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C13', '', 3, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79633, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A04', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79634, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 14, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79635, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C01', '', 14, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79636, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C01', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79637, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C15', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79638, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 5, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79639, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 2, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79640, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 3, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79641, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79642, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C09', '', 2, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79643, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 16, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79644, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 130, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79645, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 80, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79646, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 29, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79647, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79648, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79649, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 17, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79650, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79651, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', '', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79652, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C15', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 21, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 16, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79655, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 14, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 5, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79657, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C01', '', 14, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79658, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 2, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79659, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 13, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79660, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 3, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79661, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 16, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79662, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79663, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 15, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79664, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C09', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79665, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79666, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A02', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79667, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C13', '', 3, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79668, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C01', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79669, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 16, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79670, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79671, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C01', '', 14, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79672, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 14, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79673, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 21, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79674, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 16, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79675, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A04', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79676, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79677, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '', 'A02', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79678, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C09', '', 2, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79679, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A08', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79680, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 2, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:13'), (79681, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:13'), (79682, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 3, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79683, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C15', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79684, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 15, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79685, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 5, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:13'), (79686, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C13', '', 3, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:12'), (79687, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C01', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:13'), (79688, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 14, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:13'), (79689, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 16, 2024, 8, 13, '2024-08-14 01:01:03', 1, '2024-08-17 01:01:13'), (79690, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 21, 2024, 8, 13, '2024-08-14 01:01:03', 1, '2024-08-17 01:01:13'), (79691, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 16, 2024, 8, 13, '2024-08-14 01:01:03', 1, '2024-08-17 01:01:13'), (79692, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C15', '', 1, 2024, 8, 13, '2024-08-14 01:01:03', 1, '2024-08-17 01:01:13'), (79693, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 5, 2024, 8, 13, '2024-08-14 01:01:03', 1, '2024-08-17 01:01:13'), (79694, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C01', '', 14, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:13'), (79695, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 13, 2024, 8, 13, '2024-08-14 01:01:03', 1, '2024-08-17 01:01:13'), (79696, 22, '511502000000-0001', '翠屏区政务服务中心', '区行政审批和非公经济局', '非常满意', 'A02', '', 1, 2024, 8, 13, '2024-08-14 01:01:03', 1, '2024-08-17 01:01:13'), (79697, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 3, 2024, 8, 13, '2024-08-14 01:01:03', 1, '2024-08-17 01:01:13'), (79698, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A08', '', 1, 2024, 8, 13, '2024-08-14 01:01:03', 1, '2024-08-17 01:01:13'), (79699, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 8, 13, '2024-08-14 01:01:03', 1, '2024-08-17 01:01:13'), (79700, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C09', '', 1, 2024, 8, 13, '2024-08-14 01:01:03', 1, '2024-08-17 01:01:13'), (79701, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 15, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:13'), (79702, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:13'), (79703, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:13'), (79704, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C13', '', 3, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:13'), (79705, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C01', '', 1, 2024, 8, 13, '2024-08-14 01:01:03', 1, '2024-08-17 01:01:13'), (79706, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 14, 2024, 8, 13, '2024-08-14 01:01:02', 1, '2024-08-17 01:01:13'), (79707, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 111, 2024, 8, 14, '2024-08-14 01:01:11', 1, '2024-08-18 01:01:17'), (79708, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 4, 2024, 8, 13, '2024-08-14 01:01:09', 1, '2024-08-17 01:01:20'), (79709, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79710, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 16, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79711, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79712, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 68, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79713, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 6, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79714, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 68, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79715, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79716, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79717, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 16, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79718, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 6, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79719, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 4, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79720, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 29, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79721, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79722, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79723, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79724, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79725, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79726, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79727, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 7, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79728, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 3, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79729, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E12', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79730, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79731, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 2, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79732, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79733, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C01', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79734, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79735, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E07', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79736, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79737, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 3, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79738, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 4, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79739, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79740, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 3, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79741, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 12, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79742, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 18, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79743, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 90, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79744, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 4, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79745, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 14, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79746, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79747, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 6, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79748, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 64, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79749, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 3, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79750, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79751, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79752, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 7, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79753, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C01', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79754, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79755, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 3, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79756, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79757, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 12, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79758, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E07', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79759, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 17, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79760, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E13', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79761, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79762, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79763, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 2, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79764, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 28, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79765, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 3, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79766, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 3, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79767, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D19', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79768, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79769, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 7, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79770, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E12', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79771, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 2, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79772, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 3, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79773, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 3, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79774, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79775, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C01', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79776, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79777, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79778, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E07', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79779, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 3, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79780, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 18, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79781, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79782, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79783, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79784, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79785, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79786, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 29, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79787, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 3, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:20'), (79788, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 12, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79789, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 4, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79790, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79791, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 3, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79792, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 2, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79793, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E13', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79794, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 17, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79795, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 3, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79796, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 28, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79797, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D19', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79798, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 1, 2024, 8, 13, '2024-08-14 01:01:11', 1, '2024-08-17 01:01:21'), (79799, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 3, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79800, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E07', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79801, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79802, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 3, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79803, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 7, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79804, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79805, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79806, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79807, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 3, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79808, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C01', '', 1, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79809, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 12, 2024, 8, 13, '2024-08-14 01:01:10', 1, '2024-08-17 01:01:21'), (79810, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:09', 1, '2024-08-19 01:00:08'), (79811, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:09', 1, '2024-08-19 01:00:08'), (79812, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:09', 1, '2024-08-19 01:00:08'), (79813, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:09', 1, '2024-08-19 01:00:08'), (79814, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:16', 1, '2024-08-19 01:00:16'), (79815, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:16', 1, '2024-08-19 01:00:18'), (79816, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 9, 2024, 8, 15, '2024-08-15 01:00:16', 1, '2024-08-19 01:00:09'), (79817, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 10, 2024, 8, 14, '2024-08-15 01:00:16', 1, '2024-08-18 01:00:08'), (79818, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 10, 2024, 8, 14, '2024-08-15 01:00:16', 1, '2024-08-18 01:00:08'), (79819, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 10, 2024, 8, 14, '2024-08-15 01:00:16', 1, '2024-08-18 01:00:08'), (79820, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 10, 2024, 8, 14, '2024-08-15 01:00:16', 1, '2024-08-18 01:00:08'), (79821, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 10, 2024, 8, 14, '2024-08-15 01:00:16', 1, '2024-08-18 01:00:08'), (79822, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 10, 2024, 8, 14, '2024-08-15 01:00:16', 1, '2024-08-18 01:00:08'), (79823, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 10, 2024, 8, 14, '2024-08-15 01:00:16', 1, '2024-08-18 01:00:08'), (79824, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:16', 1, '2024-08-19 01:00:16'), (79825, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:17', 1, '2024-08-19 01:00:16'), (79826, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:24', 1, '2024-08-19 01:00:25'), (79827, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:24', 1, '2024-08-19 01:00:24'), (79828, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:24', 1, '2024-08-19 01:00:24'), (79829, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:24', 1, '2024-08-19 01:00:24'), (79830, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:25', 1, '2024-08-19 01:00:26'), (79831, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:32', 1, '2024-08-19 01:00:33'), (79832, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:32', 1, '2024-08-19 01:00:32'), (79833, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:32', 1, '2024-08-19 01:00:33'), (79834, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:32', 1, '2024-08-19 01:00:33'), (79835, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:32', 1, '2024-08-19 01:00:49'), (79836, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:39', 1, '2024-08-19 01:00:34'), (79837, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:40', 1, '2024-08-19 01:00:40'), (79838, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:40', 1, '2024-08-19 01:00:41'), (79839, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:40', 1, '2024-08-19 01:00:40'), (79840, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:41', 1, '2024-08-19 01:00:41'), (79841, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:47', 1, '2024-08-19 01:00:48'), (79842, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:47', 1, '2024-08-19 01:00:44'), (79843, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:51', 1, '2024-08-19 01:00:51'), (79844, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 15, '2024-08-15 01:00:53', 1, '2024-08-19 01:00:52'), (79845, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 1, 2024, 8, 14, '2024-08-15 01:00:53', 1, '2024-08-18 01:00:52'), (79846, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 1, 2024, 8, 14, '2024-08-15 01:00:53', 1, '2024-08-18 01:00:52'), (79847, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '5', '', 1, 2024, 8, 14, '2024-08-15 01:00:53', 1, '2024-08-18 01:00:52'), (79848, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 1, 2024, 8, 14, '2024-08-15 01:00:53', 1, '2024-08-18 01:00:52'), (79849, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 1, 2024, 8, 14, '2024-08-15 01:00:53', 1, '2024-08-18 01:00:52'), (79850, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '5', '', 1, 2024, 8, 14, '2024-08-15 01:00:53', 1, '2024-08-18 01:00:52'), (79851, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '5', '', 1, 2024, 8, 14, '2024-08-15 01:00:53', 1, '2024-08-18 01:00:52'), (79852, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '5', '', 1, 2024, 8, 14, '2024-08-15 01:00:53', 1, '2024-08-18 01:00:52'), (79853, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 130, 2024, 8, 15, '2024-08-15 01:01:14', 1, '2024-08-19 01:01:05'), (79854, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 37, 2024, 8, 14, '2024-08-15 01:01:13', 1, '2024-08-18 01:01:08'), (79855, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 77, 2024, 8, 14, '2024-08-15 01:01:13', 1, '2024-08-18 01:01:08'), (79856, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 8, 14, '2024-08-15 01:01:13', 1, '2024-08-18 01:01:08'), (79857, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 9, 2024, 8, 14, '2024-08-15 01:01:13', 1, '2024-08-18 01:01:08'), (79858, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 3, 2024, 8, 14, '2024-08-15 01:01:13', 1, '2024-08-18 01:01:08'), (79859, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 3, 2024, 8, 14, '2024-08-15 01:01:13', 1, '2024-08-18 01:01:08'), (79860, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 3, 2024, 8, 14, '2024-08-15 01:01:13', 1, '2024-08-18 01:01:08'), (79861, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79862, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 12, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79863, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 15, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79864, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A11', '', 3, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79865, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 24, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79866, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D08', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79867, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 12, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79868, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 14, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79869, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79870, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C01', '', 19, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79871, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79872, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 2, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79873, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79874, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 2, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79875, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79876, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D13', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79877, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79878, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D14', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79879, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 16, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79880, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 127, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79881, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 77, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79882, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 2, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79883, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 36, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79884, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', '', '', 3, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79885, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 9, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79886, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D14', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79887, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 2, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79888, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79889, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 12, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79890, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 14, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79891, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C03', '', 2, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79892, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79893, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C01', '', 19, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79894, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D13', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79895, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 16, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79896, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79897, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 15, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79898, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 24, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79899, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 12, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79900, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A11', '', 3, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79901, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:08'), (79902, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 15, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79903, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 12, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79904, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 16, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79905, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C01', '', 19, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79906, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09');
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (79907, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 14, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79908, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79909, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D08', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79910, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D13', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79911, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 24, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79912, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 2, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79913, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 2, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79914, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79915, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79916, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79917, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D14', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79918, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 12, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79919, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A11', '', 3, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79920, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79921, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D13', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79922, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 16, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79923, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79924, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 14, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79925, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 15, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79926, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 12, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79927, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 2, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79928, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C03', '', 2, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79929, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79930, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C01', '', 19, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79931, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79932, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 24, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79933, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79934, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D14', '', 1, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79935, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 12, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79936, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '非常满意', 'A11', '', 3, 2024, 8, 14, '2024-08-15 01:01:14', 1, '2024-08-18 01:01:09'), (79937, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 84, 2024, 8, 15, '2024-08-15 01:01:19', 1, '2024-08-19 01:01:10'), (79938, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 2, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79939, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79940, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79941, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 28, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79942, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79943, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 45, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79944, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '', '', 9, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79945, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79946, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 22, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79947, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 45, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79948, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79949, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79950, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79951, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 28, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79952, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 2, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79953, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 21, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79954, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '税务综合大厅', 9, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79955, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79956, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79957, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 2, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79958, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C04', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79959, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79960, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 21, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79961, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 4, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:18'), (79962, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D01', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79963, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E09', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79964, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E18', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79965, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E08', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79966, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:18'), (79967, 1, '511500000000-0001', '宜宾市民中心', '', '', '2B09', '', 9, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79968, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 6, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79969, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 3, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79970, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:18'), (79971, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D38', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79972, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D04', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79973, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:18'), (79974, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D35', '', 4, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79975, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D23', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79976, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A03', '', 2, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79977, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79978, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 3, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79979, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79980, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79981, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:18'), (79982, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79983, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 2, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79984, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 14, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79985, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D30', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79986, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79987, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:17'), (79988, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 18, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:18'), (79989, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:18'), (79990, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 100, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:18'), (79991, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:18'), (79992, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 26, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:18'), (79993, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:18'), (79994, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 19, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:18'), (79995, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常不满意', '', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:18'), (79996, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 2, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:18'), (79997, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '', '', 9, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:18'), (79998, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '', '', 1, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:18'), (79999, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 41, 2024, 8, 14, '2024-08-15 01:01:18', 1, '2024-08-18 01:01:18'), (80000, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '2D38', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80001, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 4, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80002, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C04', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80003, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80004, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 21, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80005, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D06', '', 3, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80006, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2B09', '', 9, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80007, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 2, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80008, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80009, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 6, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80010, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80011, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80012, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E18', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80013, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80014, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80015, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 18, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80016, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80017, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A10', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80018, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D30', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80019, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D35', '', 4, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80020, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80021, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D34', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80022, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 3, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80023, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1D04', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80024, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 2, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80025, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 13, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80026, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E18', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80027, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80028, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 21, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80029, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80030, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80031, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E09', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80032, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C04', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80033, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E08', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80034, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D34', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80035, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D35', '', 4, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80036, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80037, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '', '2B09', '', 9, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80038, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D38', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80039, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80040, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D23', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80041, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 6, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80042, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 3, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80043, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80044, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D30', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80045, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80046, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D01', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80047, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 18, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80048, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 4, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80049, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80050, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80051, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 2, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80052, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80053, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80054, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D04', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80055, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 3, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80056, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A03', '', 2, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80057, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80058, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 14, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80059, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 2, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80060, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常不满意', '2D38', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80061, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80062, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 3, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80063, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80064, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 18, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80065, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A10', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80066, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D34', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80067, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D35', '', 4, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80068, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80069, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 13, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80070, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80071, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '非常满意', '1D04', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80072, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 2, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80073, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D30', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80074, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80075, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80076, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E18', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80077, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 21, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80078, 1, '511500000000-0001', '宜宾市民中心', '市税务局', '非常满意', '2B09', '', 9, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80079, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C04', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80080, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80081, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 2, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80082, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 4, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80083, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 6, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80084, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D05', '', 1, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80085, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D06', '', 3, 2024, 8, 14, '2024-08-15 01:01:19', 1, '2024-08-18 01:01:18'), (80086, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:08', 1, '2024-08-20 01:00:09'), (80087, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:08', 1, '2024-08-20 01:00:09'), (80088, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:08', 1, '2024-08-20 01:00:08'), (80089, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:08', 1, '2024-08-20 01:00:08'), (80090, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 15, 2024, 8, 16, '2024-08-16 01:00:10', 1, '2024-08-20 01:00:08'), (80091, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 2, 2024, 8, 15, '2024-08-16 01:00:09', 1, '2024-08-19 01:00:09'), (80092, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 7, 2024, 8, 15, '2024-08-16 01:00:09', 1, '2024-08-19 01:00:09'), (80093, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 7, 2024, 8, 15, '2024-08-16 01:00:09', 1, '2024-08-19 01:00:09'), (80094, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 2, 2024, 8, 15, '2024-08-16 01:00:09', 1, '2024-08-19 01:00:09'), (80095, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 9, 2024, 8, 15, '2024-08-16 01:00:09', 1, '2024-08-19 01:00:09'), (80096, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 7, 2024, 8, 15, '2024-08-16 01:00:09', 1, '2024-08-19 01:00:09'), (80097, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 2, 2024, 8, 15, '2024-08-16 01:00:09', 1, '2024-08-19 01:00:09'), (80098, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 2, 2024, 8, 15, '2024-08-16 01:00:09', 1, '2024-08-19 01:00:09'), (80099, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 7, 2024, 8, 15, '2024-08-16 01:00:09', 1, '2024-08-19 01:00:09'), (80100, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 7, 2024, 8, 15, '2024-08-16 01:00:09', 1, '2024-08-19 01:00:09'), (80101, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 2, 2024, 8, 15, '2024-08-16 01:00:09', 1, '2024-08-19 01:00:09'), (80102, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 7, 2024, 8, 15, '2024-08-16 01:00:09', 1, '2024-08-19 01:00:09'), (80103, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 2, 2024, 8, 15, '2024-08-16 01:00:09', 1, '2024-08-19 01:00:09'), (80104, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:16', 1, '2024-08-20 01:00:16'), (80105, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:16', 1, '2024-08-20 01:00:16'), (80106, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:16', 1, '2024-08-20 01:00:16'), (80107, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:17', 1, '2024-08-20 01:00:16'), (80108, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:17', 1, '2024-08-20 01:00:19'), (80109, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:24', 1, '2024-08-20 01:00:24'), (80110, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:24', 1, '2024-08-20 01:00:24'), (80111, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:25', 1, '2024-08-20 01:00:24'), (80112, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:25', 1, '2024-08-20 01:00:24'), (80113, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:25', 1, '2024-08-20 01:00:31'), (80114, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:32', 1, '2024-08-20 01:00:32'), (80115, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:32', 1, '2024-08-20 01:00:32'), (80116, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:33', 1, '2024-08-20 01:00:33'), (80117, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:33', 1, '2024-08-20 01:00:32'), (80118, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:33', 1, '2024-08-20 01:00:39'), (80119, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:40', 1, '2024-08-20 01:00:40'), (80120, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:40', 1, '2024-08-20 01:00:40'), (80121, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:41', 1, '2024-08-20 01:00:40'), (80122, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:41', 1, '2024-08-20 01:00:41'), (80123, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:41', 1, '2024-08-20 01:00:47'), (80124, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:50', 1, '2024-08-20 01:00:48'), (80125, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 8, 16, '2024-08-16 01:00:53', 1, '2024-08-20 01:00:49'), (80126, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 1, 2024, 8, 16, '2024-08-16 01:00:53', 1, '2024-08-20 01:00:51'), (80127, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 177, 2024, 8, 16, '2024-08-16 01:01:19', 1, '2024-08-20 01:00:59'), (80128, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 43, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80129, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 78, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80130, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 1, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80131, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 5, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80132, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 1, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80133, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80134, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80135, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 1, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80136, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 5, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80137, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 15, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80138, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 15, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80139, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 29, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80140, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 11, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80141, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80142, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 8, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80143, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 1, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80144, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 9, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80145, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 15, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80146, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 1, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80147, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 2, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80148, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D02', '', 1, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80149, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 3, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80150, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B09', '', 1, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80151, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 13, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80152, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 127, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80153, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 78, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80154, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 43, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80155, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 1, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80156, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 5, 2024, 8, 15, '2024-08-16 01:01:18', 1, '2024-08-19 01:01:05'), (80157, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A05', '', 1, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80158, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 9, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80159, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 11, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80160, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 8, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80161, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 15, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80162, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 2, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80163, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 13, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80164, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 3, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80165, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 15, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80166, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 29, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 5, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80168, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 15, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80169, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 1, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80170, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 15, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80171, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 15, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80172, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 13, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80173, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 15, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80174, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 9, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80175, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 11, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80176, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80177, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 3, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80178, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B09', '', 1, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80179, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 2, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80180, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D02', '', 1, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80181, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 29, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80182, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 1, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80183, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 5, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80184, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 1, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80185, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 8, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80186, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 13, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80187, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 9, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80188, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 11, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80189, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 15, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80190, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 15, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80191, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 1, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80192, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 15, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80193, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 2, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80194, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 3, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80195, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 29, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80196, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 5, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80197, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A05', '', 1, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80198, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 8, 2024, 8, 15, '2024-08-16 01:01:19', 1, '2024-08-19 01:01:05'), (80199, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 100, 2024, 8, 16, '2024-08-16 01:01:23', 1, '2024-08-20 01:01:04'), (80200, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:10'), (80201, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:10'), (80202, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:10'), (80203, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 20, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:10'), (80204, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:10'), (80205, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 47, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:10'), (80206, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '', '', 4, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:10'), (80207, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 9, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:10'), (80208, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 47, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:10'), (80209, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '企业服务综合大厅', 2, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:10'), (80210, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:10'), (80211, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '出入境服务大厅', 4, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:10'), (80212, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 20, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:10'), (80213, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:10'), (80214, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 9, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80215, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D04', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80216, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80217, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A06', '', 2, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80218, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E13', '', 2, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80219, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 3, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80220, 1, '511500000000-0001', '宜宾市民中心', '', '', '1D24', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80221, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 18, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80222, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80223, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80224, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80225, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80226, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80227, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C10', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80228, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80229, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D19', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80230, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E17', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80231, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80232, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 13, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80233, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 6, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80234, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 13, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80235, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A21', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80236, 1, '511500000000-0001', '宜宾市民中心', '', '', '2A10', '', 2, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80237, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 11, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80238, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80239, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 75, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80240, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80241, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80242, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80243, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '', '', 2, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80244, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 20, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80245, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80246, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 8, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80247, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 44, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80248, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '2A10', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80249, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80250, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A21', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80251, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 11, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80252, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80253, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80254, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2A06', '', 2, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80255, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E13', '', 2, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80256, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 3, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80257, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 18, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80258, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D07', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80259, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80260, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 12, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80261, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 6, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80262, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 13, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80263, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E17', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80264, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D19', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80265, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '2A10', '', 1, 2024, 8, 15, '2024-08-16 01:01:22', 1, '2024-08-19 01:01:11'), (80266, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E13', '', 2, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80267, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 18, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80268, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E17', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80269, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C10', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80270, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80271, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80272, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 11, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80273, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80274, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 3, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80275, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A21', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80276, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A10', '', 2, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80277, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80278, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80279, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80280, 1, '511500000000-0001', '宜宾市民中心', '宜宾市市场监管局', '', '1D04', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80281, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80282, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D19', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80283, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80284, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '', '2A06', '', 2, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80285, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 6, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80286, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 13, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80287, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 13, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80288, 1, '511500000000-0001', '宜宾市民中心', '宜宾市政务服务和非公经济发展局', '', '1D24', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80289, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 12, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80290, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80291, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E17', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80292, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E13', '', 2, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80293, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 18, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80294, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '非常满意', '2A06', '', 2, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80295, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A21', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80296, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '满意', '2A10', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80297, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 11, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80298, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 3, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80299, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80300, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80301, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80302, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D07', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80303, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 6, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80304, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 13, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80305, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D19', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80306, 1, '511500000000-0001', '宜宾市民中心', '出入境管理支队', '不满意', '2A10', '', 1, 2024, 8, 15, '2024-08-16 01:01:23', 1, '2024-08-19 01:01:11'), (80307, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:09', 1, '2024-08-21 01:00:09'), (80308, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:09', 1, '2024-08-21 01:00:09'), (80309, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:09', 1, '2024-08-21 01:00:09'), (80310, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:09', 1, '2024-08-21 01:00:09'), (80311, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:11', 1, '2024-08-21 01:00:09'), (80312, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 3, 2024, 8, 16, '2024-08-17 01:00:10', 1, '2024-08-20 01:00:08'), (80313, 13, '511525000000-0001', '高县政务服务中心', '应急管理局', '', '', '', 1, 2024, 8, 16, '2024-08-17 01:00:10', 1, '2024-08-20 01:00:08'), (80314, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 11, 2024, 8, 16, '2024-08-17 01:00:10', 1, '2024-08-20 01:00:09'), (80315, 13, '511525000000-0001', '高县政务服务中心', '', '', 'bdc10', '', 1, 2024, 8, 16, '2024-08-17 01:00:10', 1, '2024-08-20 01:00:09'), (80316, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs01', '', 1, 2024, 8, 16, '2024-08-17 01:00:10', 1, '2024-08-20 01:00:09'), (80317, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjgl35', '', 1, 2024, 8, 16, '2024-08-17 01:00:10', 1, '2024-08-20 01:00:09'), (80318, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 8, 16, '2024-08-17 01:00:10', 1, '2024-08-20 01:00:09'), (80319, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 11, 2024, 8, 16, '2024-08-17 01:00:10', 1, '2024-08-20 01:00:09'), (80320, 13, '511525000000-0001', '高县政务服务中心', '', '满意', '', '', 1, 2024, 8, 16, '2024-08-17 01:00:10', 1, '2024-08-20 01:00:09'), (80321, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 14, 2024, 8, 16, '2024-08-17 01:00:10', 1, '2024-08-20 01:00:09');
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (80322, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 10, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:09'), (80323, 13, '511525000000-0001', '高县政务服务中心', '应急管理局', '非常满意', '', '', 1, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:09'), (80324, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '满意', '', '', 1, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:09'), (80325, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 3, 2024, 8, 16, '2024-08-17 01:00:10', 1, '2024-08-20 01:00:09'), (80326, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:09'), (80327, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 10, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:09'), (80328, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'bdc10', '', 1, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:09'), (80329, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs01', '', 1, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:09'), (80330, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjgl35', '', 1, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:09'), (80331, 13, '511525000000-0001', '高县政务服务中心', '', '满意', 'wgly28', '', 1, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:09'), (80332, 13, '511525000000-0001', '高县政务服务中心', '应急管理局', '', 'yjgl35', '', 1, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:09'), (80333, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 11, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:09'), (80334, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs01', '', 1, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:09'), (80335, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'bdc10', '', 1, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:09'), (80336, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:09'), (80337, 13, '511525000000-0001', '高县政务服务中心', '应急管理局', '非常满意', 'yjgl35', '', 1, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:10'), (80338, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'bdc10', '', 1, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:10'), (80339, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '满意', 'wgly28', '', 1, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:10'), (80340, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 10, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:10'), (80341, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:10'), (80342, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs01', '', 1, 2024, 8, 16, '2024-08-17 01:00:11', 1, '2024-08-20 01:00:10'), (80343, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:17', 1, '2024-08-21 01:00:17'), (80344, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:17', 1, '2024-08-21 01:00:16'), (80345, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:17', 1, '2024-08-21 01:00:17'), (80346, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:18', 1, '2024-08-21 01:00:17'), (80347, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:19', 1, '2024-08-21 01:00:17'), (80348, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:25', 1, '2024-08-21 01:00:24'), (80349, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:25', 1, '2024-08-21 01:00:25'), (80350, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:25', 1, '2024-08-21 01:00:25'), (80351, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:26', 1, '2024-08-21 01:00:25'), (80352, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:27', 1, '2024-08-21 01:00:25'), (80353, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:33', 1, '2024-08-21 01:00:32'), (80354, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:33', 1, '2024-08-21 01:00:40'), (80355, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:33', 1, '2024-08-21 01:00:33'), (80356, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:34', 1, '2024-08-21 01:00:33'), (80357, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:35', 1, '2024-08-21 01:00:33'), (80358, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:40', 1, '2024-08-21 01:00:41'), (80359, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:41', 1, '2024-08-21 01:00:41'), (80360, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:41', 1, '2024-08-21 01:00:44'), (80361, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:42', 1, '2024-08-21 01:00:41'), (80362, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:44', 1, '2024-08-21 01:00:48'), (80363, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:49', 1, '2024-08-21 01:00:48'), (80364, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:51', 1, '2024-08-21 01:00:51'), (80365, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:00:53', 1, '2024-08-21 01:00:40'), (80366, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 1, 2024, 8, 16, '2024-08-17 01:00:52', 1, '2024-08-20 01:00:51'), (80367, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 1, 2024, 8, 16, '2024-08-17 01:00:52', 1, '2024-08-20 01:00:51'), (80368, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 1, 2024, 8, 16, '2024-08-17 01:00:52', 1, '2024-08-20 01:00:51'), (80369, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 1, 2024, 8, 16, '2024-08-17 01:00:52', 1, '2024-08-20 01:00:51'), (80370, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 1, 2024, 8, 16, '2024-08-17 01:00:52', 1, '2024-08-20 01:00:51'), (80371, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 1, 2024, 8, 16, '2024-08-17 01:00:52', 1, '2024-08-20 01:00:52'), (80372, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 1, 2024, 8, 16, '2024-08-17 01:00:53', 1, '2024-08-20 01:00:52'), (80373, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 1, 2024, 8, 16, '2024-08-17 01:00:53', 1, '2024-08-20 01:00:52'), (80374, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 8, 17, '2024-08-17 01:01:16', 1, '2024-08-21 01:01:00'), (80375, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 37, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80376, 22, '511502000000-0001', '翠屏区政务服务中心', '区林业竹业局', '', '', '', 2, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80377, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 111, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80378, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', '', '', 2, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80379, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', '', '', 2, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80380, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 17, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80381, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', '', '', 4, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80382, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 2, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80383, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 4, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80384, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 24, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80385, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 27, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80386, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C05', '', 18, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80387, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 10, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80388, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 13, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80389, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 23, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80390, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 8, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80391, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A04', '', 4, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80392, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C12', '', 1, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80393, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 2, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80394, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B05', '', 1, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80395, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A07', '', 2, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80396, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A08', '', 2, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80397, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 1, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80398, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 13, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80399, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D02', '', 1, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80400, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'B09', '', 1, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80401, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 1, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80402, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 25, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80403, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', '', '', 1, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80404, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '', '', 1, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80405, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 170, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80406, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 111, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80407, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常不满意', '', '', 1, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80408, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 37, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80409, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', '', '', 2, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80410, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', '', '', 3, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80411, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 15, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80412, 22, '511502000000-0001', '翠屏区政务服务中心', '区林业竹业局', '非常满意', '', '', 2, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80413, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '', '', 1, 2024, 8, 16, '2024-08-17 01:01:15', 1, '2024-08-20 01:00:59'), (80414, 22, '511502000000-0001', '翠屏区政务服务中心', '', '满意', '3D15', '', 1, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80415, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常不满意', 'C29', '', 1, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80416, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 23, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80417, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 10, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80418, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 13, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80419, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 2, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80420, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A08', '', 2, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80421, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A07', '', 2, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80422, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 8, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80423, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 1, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80424, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 25, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80425, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 11, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80426, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 27, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80427, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C05', '', 18, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80428, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 24, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80429, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A04', '', 3, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80430, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C12', '', 1, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80431, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C05', '', 18, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80432, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 24, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80433, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 25, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80434, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 8, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80435, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 23, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80436, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 13, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80437, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '', 'A08', '', 2, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80438, 22, '511502000000-0001', '翠屏区政务服务中心', '区林业竹业局', '', 'A07', '', 2, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80439, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 13, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80440, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B09', '', 1, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80441, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 1, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80442, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 27, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80443, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '', 'A04', '', 4, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80444, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D02', '', 1, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80445, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 2, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80446, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 1, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80447, 22, '511502000000-0001', '翠屏区政务服务中心', '区不动产', '', 'B05', '', 1, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80448, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 10, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80449, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C12', '', 1, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80450, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 25, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80451, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 23, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80452, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 13, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80453, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C05', '', 18, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80454, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 24, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80455, 22, '511502000000-0001', '翠屏区政务服务中心', '区税务局', '非常满意', 'A04', '', 3, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80456, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 2, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80457, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 8, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80458, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 1, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80459, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 11, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80460, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '满意', '3D15', '', 1, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80461, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 27, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80462, 22, '511502000000-0001', '翠屏区政务服务中心', '区农业农村局', '非常满意', 'A08', '', 2, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80463, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C12', '', 1, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80464, 22, '511502000000-0001', '翠屏区政务服务中心', '区林业竹业局', '非常满意', 'A07', '', 2, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80465, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 10, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80466, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常不满意', 'C29', '', 1, 2024, 8, 16, '2024-08-17 01:01:16', 1, '2024-08-20 01:00:59'), (80467, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 8, 2024, 8, 17, '2024-08-17 01:01:25', 1, '2024-08-21 01:01:06'), (80468, 1, '511500000000-0001', '宜宾市民中心', '市退役军人事务局', '', '', '', 1, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:04'), (80469, 1, '511500000000-0001', '宜宾市民中心', '宜宾市住房和城乡建设局', '', '', '', 1, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:04'), (80470, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 4, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80471, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 20, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80472, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80473, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 64, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80474, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 8, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80475, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 63, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80476, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80477, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 20, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80478, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 4, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80479, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 8, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80480, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 20, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80481, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80482, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80483, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 18, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80484, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80485, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D34', '', 1, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80486, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A13', '', 1, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80487, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D11', '', 1, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80488, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80489, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80490, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D10', '', 1, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80491, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 11, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80492, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 1, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80493, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D31', '', 1, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80494, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80495, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 2, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80496, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 2, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80497, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 9, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80498, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80499, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 3, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80500, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D06', '', 1, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80501, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 18, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80502, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '', '', 2, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80503, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '', '', 2, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80504, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 87, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80505, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80506, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '', '', 1, 2024, 8, 16, '2024-08-17 01:01:24', 1, '2024-08-20 01:01:05'), (80507, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80508, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 20, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80509, 1, '511500000000-0001', '宜宾市民中心', '市退役军人事务局', '非常满意', '', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80510, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 2, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80511, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '满意', '', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80512, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 5, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80513, 1, '511500000000-0001', '宜宾市民中心', '宜宾市住房和城乡建设局', '非常不满意', '', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80514, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80515, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 2, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80516, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80517, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80518, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 57, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80519, 1, '511500000000-0001', '宜宾市民中心', '', '非常不满意', '1A23', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80520, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80521, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A13', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80522, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80523, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 18, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80524, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80525, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 2, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80526, 1, '511500000000-0001', '宜宾市民中心', '', '不满意', '1A23', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80527, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C09', '', 2, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80528, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1E15', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80529, 1, '511500000000-0001', '宜宾市民中心', '', '满意', '1A23', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80530, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D31', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80531, 1, '511500000000-0001', '宜宾市民中心', '', '基本满意', '1A23', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80532, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 18, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80533, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 7, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80534, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80535, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D34', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80536, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 20, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80537, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 8, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80538, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 3, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80539, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 2, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80540, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 18, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80541, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80542, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 2, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80543, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80544, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 2, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80545, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D31', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80546, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D10', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80547, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D11', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80548, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D34', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80549, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80550, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 18, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80551, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80552, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80553, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 11, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80554, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80555, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A13', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80556, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D06', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80557, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80558, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 20, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80559, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 3, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80560, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 9, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80561, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 2, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80562, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '满意', '1E15', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80563, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 18, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80564, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D34', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80565, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 7, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:06'), (80566, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 3, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80567, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 20, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80568, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 8, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80569, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '满意', '1A23', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80570, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D31', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80571, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '基本满意', '1A23', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80572, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 2, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80573, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 18, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80574, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C09', '', 2, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80575, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常不满意', '1A23', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80576, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '不满意', '1A23', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80577, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80578, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:05'), (80579, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A13', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:06'), (80580, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 8, 16, '2024-08-17 01:01:25', 1, '2024-08-20 01:01:06'), (80581, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:08', 1, '2024-08-22 01:00:08'), (80582, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:08', 1, '2024-08-22 01:00:08'), (80583, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:08', 1, '2024-08-22 01:00:08'), (80584, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:09', 1, '2024-08-22 01:00:08'), (80585, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:10', 1, '2024-08-22 01:00:08'), (80586, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:16', 1, '2024-08-22 01:00:23'), (80587, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:17', 1, '2024-08-22 01:00:16'), (80588, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:17', 1, '2024-08-22 01:00:16'), (80589, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:17', 1, '2024-08-22 01:00:15'), (80590, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:19', 1, '2024-08-22 01:00:24'), (80591, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:24', 1, '2024-08-22 01:00:24'), (80592, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:25', 1, '2024-08-22 01:00:32'), (80593, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:25', 1, '2024-08-22 01:00:39'), (80594, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:25', 1, '2024-08-22 01:00:32'), (80595, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:28', 1, '2024-08-22 01:00:32'), (80596, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:32', 1, '2024-08-22 01:00:39'), (80597, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:33', 1, '2024-08-22 01:00:39'), (80598, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:33', 1, '2024-08-22 01:00:39'), (80599, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:34', 1, '2024-08-22 01:00:39'), (80600, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:36', 1, '2024-08-22 01:00:39'), (80601, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:40', 1, '2024-08-22 01:00:47'), (80602, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:40', 1, '2024-08-22 01:00:47'), (80603, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:41', 1, '2024-08-22 01:00:47'), (80604, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:42', 1, '2024-08-22 01:00:47'), (80605, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:45', 1, '2024-08-22 01:00:47'), (80606, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:48', 1, '2024-08-22 01:00:55'), (80607, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:52', 1, '2024-08-22 01:00:58'), (80608, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 18, '2024-08-18 01:00:53', 1, '2024-08-22 01:00:27'), (80609, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 1, 2024, 8, 18, '2024-08-18 01:01:11', 1, '2024-08-22 01:01:11'), (80610, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 4, 2024, 8, 18, '2024-08-18 01:01:22', 1, '2024-08-22 01:01:18'), (80611, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 8, 2024, 8, 17, '2024-08-18 01:01:21', 1, '2024-08-21 01:01:06'), (80612, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 8, 2024, 8, 17, '2024-08-18 01:01:21', 1, '2024-08-21 01:01:06'), (80613, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 6, 2024, 8, 17, '2024-08-18 01:01:21', 1, '2024-08-21 01:01:06'), (80614, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 2, 2024, 8, 17, '2024-08-18 01:01:21', 1, '2024-08-21 01:01:06'), (80615, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 8, 2024, 8, 17, '2024-08-18 01:01:21', 1, '2024-08-21 01:01:06'), (80616, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 8, 2024, 8, 17, '2024-08-18 01:01:21', 1, '2024-08-21 01:01:06'), (80617, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 6, 2024, 8, 17, '2024-08-18 01:01:21', 1, '2024-08-21 01:01:06'), (80618, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 2, 2024, 8, 17, '2024-08-18 01:01:22', 1, '2024-08-21 01:01:06'), (80619, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 6, 2024, 8, 17, '2024-08-18 01:01:22', 1, '2024-08-21 01:01:06'), (80620, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 2, 2024, 8, 17, '2024-08-18 01:01:22', 1, '2024-08-21 01:01:06'), (80621, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 2, 2024, 8, 17, '2024-08-18 01:01:22', 1, '2024-08-21 01:01:06'), (80622, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 6, 2024, 8, 17, '2024-08-18 01:01:22', 1, '2024-08-21 01:01:06'), (80623, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:08', 1, '2024-08-22 01:00:08'), (80624, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:08', 1, '2024-08-22 01:00:08'), (80625, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 6, 2024, 8, 19, '2024-08-19 01:00:08', 1, '2024-08-22 01:00:08'), (80626, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:09', 1, '2024-08-22 01:00:08'), (80627, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:16', 1, '2024-08-22 01:00:16'), (80628, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:16', 1, '2024-08-22 01:00:16'), (80629, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:16', 1, '2024-08-22 01:00:23'), (80630, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 12, 2024, 8, 19, '2024-08-19 01:00:16', 1, '2024-08-22 01:00:08'), (80631, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:18', 1, '2024-08-22 01:00:16'), (80632, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:24', 1, '2024-08-22 01:00:32'), (80633, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:24', 1, '2024-08-22 01:00:32'), (80634, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:25', 1, '2024-08-22 01:00:24'), (80635, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:25', 1, '2024-08-22 01:00:24'), (80636, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:26', 1, '2024-08-22 01:00:39'), (80637, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:33', 1, '2024-08-22 01:00:32'), (80638, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:33', 1, '2024-08-22 01:00:39'), (80639, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:33', 1, '2024-08-22 01:00:39'), (80640, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:33', 1, '2024-08-22 01:00:39'), (80641, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:34', 1, '2024-08-22 01:00:40'), (80642, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:40', 1, '2024-08-22 01:00:39'), (80643, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:41', 1, '2024-08-22 01:00:47'), (80644, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:41', 1, '2024-08-22 01:00:47'), (80645, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:41', 1, '2024-08-22 01:00:47'), (80646, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:45', 1, '2024-08-22 01:00:47'), (80647, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:49', 1, '2024-08-22 01:00:47'), (80648, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:49', 1, '2024-08-22 01:00:55'), (80649, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:51', 1, '2024-08-22 01:00:58'), (80650, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 19, '2024-08-19 01:00:52', 1, '2024-08-22 01:00:27'), (80651, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 158, 2024, 8, 19, '2024-08-19 01:01:07', 1, '2024-08-22 01:01:11'), (80652, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 1, 2024, 8, 18, '2024-08-19 01:01:07', 1, '2024-08-22 01:01:11'), (80653, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D14', '', 1, 2024, 8, 18, '2024-08-19 01:01:07', 1, '2024-08-22 01:01:11'), (80654, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 1, 2024, 8, 18, '2024-08-19 01:01:07', 1, '2024-08-22 01:01:11'), (80655, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 1, 2024, 8, 18, '2024-08-19 01:01:07', 1, '2024-08-22 01:01:11'), (80656, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D14', '', 1, 2024, 8, 18, '2024-08-19 01:01:07', 1, '2024-08-22 01:01:11'), (80657, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D14', '', 1, 2024, 8, 18, '2024-08-19 01:01:07', 1, '2024-08-22 01:01:11'), (80658, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D14', '', 1, 2024, 8, 18, '2024-08-19 01:01:07', 1, '2024-08-22 01:01:11'), (80659, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 136, 2024, 8, 19, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:19'), (80660, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 1, 2024, 8, 18, '2024-08-19 01:01:13', 1, '2024-08-22 01:01:18'), (80661, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 3, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80662, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 3, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80663, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 1, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80664, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80665, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A02', '', 1, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80666, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80667, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80668, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 3, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80669, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 1, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80670, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 2, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80671, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A02', '', 1, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80672, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80673, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80674, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80675, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80676, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A02', '', 1, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80677, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80678, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A02', '', 1, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80679, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80680, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 1, 2024, 8, 18, '2024-08-19 01:01:14', 1, '2024-08-22 01:01:18'), (80681, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:09', 1, '2024-08-22 01:00:08'), (80682, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:09', 1, '2024-08-22 01:00:08'), (80683, 15, '511527000000-0001', '筠连县政务服务中心', '', '非常不满意', '', '', 5, 2024, 8, 19, '2024-08-20 01:00:09', 1, '2024-08-22 01:00:08'), (80684, 15, '511527000000-0001', '筠连县政务服务中心', '', '非常满意', '', '', 1, 2024, 8, 19, '2024-08-20 01:00:09', 1, '2024-08-22 01:00:08'), (80685, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:09', 1, '2024-08-22 01:00:08'), (80686, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:09', 1, '2024-08-22 01:00:08'), (80687, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 3, 2024, 8, 20, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:16'), (80688, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 2, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:08'), (80689, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 9, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:08'), (80690, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '', '', '', 1, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:08'), (80691, 13, '511525000000-0001', '高县政务服务中心', '', '', 'dl24', '', 1, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:08'), (80692, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 9, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:08'), (80693, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 2, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:08'), (80694, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 12, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:08'), (80695, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 9, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:16'), (80696, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 2, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:08'), (80697, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '非常满意', '', '', 1, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:08'), (80698, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'dl24', '', 1, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:16'), (80699, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 2, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:16'), (80700, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 9, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:16'), (80701, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 9, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:16'), (80702, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 2, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:16'), (80703, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '', 'dl24', '', 1, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:16'), (80704, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 9, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:16'), (80705, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '非常满意', 'dl24', '', 1, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:16'), (80706, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 2, 2024, 8, 19, '2024-08-20 01:00:10', 1, '2024-08-22 01:00:16'), (80707, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:16', 1, '2024-08-22 01:00:16'), (80708, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:16', 1, '2024-08-22 01:00:23'), (80709, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:16', 1, '2024-08-22 01:00:16'), (80710, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:16', 1, '2024-08-22 01:00:16'), (80711, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:19', 1, '2024-08-22 01:00:24'), (80712, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:24', 1, '2024-08-22 01:00:24'), (80713, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:24', 1, '2024-08-22 01:00:32'), (80714, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:24', 1, '2024-08-22 01:00:39'), (80715, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:25', 1, '2024-08-22 01:00:32'), (80716, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:31', 1, '2024-08-22 01:00:32'), (80717, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:32', 1, '2024-08-22 01:00:39'), (80718, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:32', 1, '2024-08-22 01:00:39'), (80719, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:32', 1, '2024-08-22 01:00:39'), (80720, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:33', 1, '2024-08-22 01:00:40'), (80721, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:40', 1, '2024-08-22 01:00:39'), (80722, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:40', 1, '2024-08-22 01:00:47'), (80723, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:40', 1, '2024-08-22 01:00:47'), (80724, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:40', 1, '2024-08-22 01:00:47'), (80725, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:41', 1, '2024-08-22 01:00:47'), (80726, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:47', 1, '2024-08-22 01:00:47'), (80727, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 20, '2024-08-20 01:00:48', 1, '2024-08-22 01:00:55'), (80728, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 1, 2024, 8, 20, '2024-08-20 01:00:50', 1, '2024-08-22 01:00:58'), (80729, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 5, 2024, 8, 20, '2024-08-20 01:00:52', 1, '2024-08-22 01:00:27'), (80730, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 142, 2024, 8, 20, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80731, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 41, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:11'), (80732, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 99, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:11'), (80733, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 18, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80734, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A08', '', 6, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80735, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 19, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80736, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 21, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80737, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 13, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80738, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 22, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12');
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (80739, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A05', '', 1, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80740, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 10, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80741, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C01', '', 14, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80742, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C03', '', 4, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80743, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 3, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80744, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 5, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80745, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C18', '', 1, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80746, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 5, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80747, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 17, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80748, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 17, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80749, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 154, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80750, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 98, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80751, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 39, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80752, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 17, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80753, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 22, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80754, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C03', '', 4, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80755, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 13, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80756, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 3, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80757, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C01', '', 14, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80758, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 5, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80759, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 10, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80760, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 17, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80761, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 16, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80762, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 5, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80763, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 20, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80764, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A08', '', 6, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80765, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 19, 2024, 8, 19, '2024-08-20 01:01:00', 1, '2024-08-22 01:01:12'), (80766, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 19, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80767, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 17, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80768, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 17, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80769, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C01', '', 14, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80770, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 10, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80771, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 22, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80772, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C18', '', 1, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80773, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 5, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80774, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 5, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80775, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 21, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80776, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C03', '', 4, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80777, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A08', '', 6, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80778, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 3, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80779, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A05', '', 1, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80780, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 13, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80781, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 17, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80782, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 16, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80783, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 22, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80784, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 19, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80785, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C03', '', 4, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80786, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 3, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80787, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C01', '', 14, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80788, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 5, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80789, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 10, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80790, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 5, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80791, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 20, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80792, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A08', '', 6, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80793, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 13, 2024, 8, 19, '2024-08-20 01:01:01', 1, '2024-08-22 01:01:12'), (80794, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 84, 2024, 8, 20, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:20'), (80795, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 13, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80796, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 25, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80797, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80798, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 92, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80799, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 4, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80800, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 92, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80801, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80802, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 25, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80803, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 13, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80804, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 4, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80805, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 30, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80806, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80807, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 1, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80808, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 1, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80809, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A05', '', 1, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80810, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 20, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80811, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80812, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A04', '', 2, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80813, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 3, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80814, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A01', '', 4, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80815, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C10', '', 1, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80816, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 4, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80817, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 7, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80818, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 8, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80819, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D07', '', 1, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80820, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80821, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 23, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80822, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 6, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80823, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 18, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80824, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 132, 2024, 8, 19, '2024-08-20 01:01:07', 1, '2024-08-22 01:01:19'), (80825, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 13, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80826, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 25, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80827, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80828, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 2, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80829, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 91, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80830, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 18, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80831, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A01', '', 4, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80832, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80833, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 1, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80834, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 20, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80835, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 3, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80836, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A05', '', 1, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80837, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A04', '', 1, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80838, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 30, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80839, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 2, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80840, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 7, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80841, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 8, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80842, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80843, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 23, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80844, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 6, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80845, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 4, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80846, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 20, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80847, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80848, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 4, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80849, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 7, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80850, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80851, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 3, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80852, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C10', '', 1, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80853, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80854, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 18, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80855, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 1, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80856, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 1, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80857, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A01', '', 4, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80858, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D07', '', 1, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80859, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A04', '', 2, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80860, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A05', '', 1, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80861, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 30, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80862, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 23, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80863, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 6, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80864, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 8, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80865, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 2, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80866, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 4, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:20'), (80867, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 8, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80868, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:20'), (80869, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 3, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:20'), (80870, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 7, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:20'), (80871, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 20, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80872, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 18, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80873, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 1, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:19'), (80874, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A04', '', 1, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:20'), (80875, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A01', '', 4, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:20'), (80876, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:20'), (80877, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 23, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:20'), (80878, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 6, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:20'), (80879, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 30, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:20'), (80880, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A05', '', 1, 2024, 8, 19, '2024-08-20 01:01:08', 1, '2024-08-22 01:01:20'), (80881, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:09', 1, '2024-08-22 01:00:08'), (80882, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:09', 1, '2024-08-22 01:00:08'), (80883, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:09', 1, '2024-08-22 01:00:08'), (80884, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:09', 1, '2024-08-22 01:00:08'), (80885, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 6, 2024, 8, 21, '2024-08-21 01:00:10', 1, '2024-08-22 01:00:16'), (80886, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 3, 2024, 8, 20, '2024-08-21 01:00:09', 1, '2024-08-22 01:00:16'), (80887, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 3, 2024, 8, 20, '2024-08-21 01:00:10', 1, '2024-08-22 01:00:16'), (80888, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 3, 2024, 8, 20, '2024-08-21 01:00:10', 1, '2024-08-22 01:00:16'), (80889, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 3, 2024, 8, 20, '2024-08-21 01:00:10', 1, '2024-08-22 01:00:16'), (80890, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 3, 2024, 8, 20, '2024-08-21 01:00:10', 1, '2024-08-22 01:00:16'), (80891, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 3, 2024, 8, 20, '2024-08-21 01:00:10', 1, '2024-08-22 01:00:16'), (80892, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 3, 2024, 8, 20, '2024-08-21 01:00:10', 1, '2024-08-22 01:00:16'), (80893, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:16', 1, '2024-08-22 01:00:16'), (80894, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:17', 1, '2024-08-22 01:00:23'), (80895, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:17', 1, '2024-08-22 01:00:16'), (80896, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:17', 1, '2024-08-22 01:00:16'), (80897, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:18', 1, '2024-08-22 01:00:24'), (80898, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:24', 1, '2024-08-22 01:00:24'), (80899, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:25', 1, '2024-08-22 01:00:32'), (80900, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:25', 1, '2024-08-22 01:00:32'), (80901, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:25', 1, '2024-08-22 01:00:39'), (80902, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:25', 1, '2024-08-22 01:00:32'), (80903, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:32', 1, '2024-08-22 01:00:39'), (80904, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:33', 1, '2024-08-22 01:00:39'), (80905, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:33', 1, '2024-08-22 01:00:39'), (80906, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:33', 1, '2024-08-22 01:00:40'), (80907, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:40', 1, '2024-08-22 01:00:31'), (80908, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '', '', 5, 2024, 8, 20, '2024-08-21 01:00:40', 1, '2024-08-22 01:00:27'), (80909, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '象鼻街道', 5, 2024, 8, 20, '2024-08-21 01:00:40', 1, '2024-08-22 01:00:27'), (80910, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '3', '', 5, 2024, 8, 20, '2024-08-21 01:00:40', 1, '2024-08-22 01:00:27'), (80911, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '', '', 4, 2024, 8, 20, '2024-08-21 01:00:40', 1, '2024-08-22 01:00:27'), (80912, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '', '', 4, 2024, 8, 20, '2024-08-21 01:00:40', 1, '2024-08-22 01:00:31'), (80913, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '非常满意', '3', '', 4, 2024, 8, 20, '2024-08-21 01:00:40', 1, '2024-08-22 01:00:31'), (80914, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '', '3', '', 5, 2024, 8, 20, '2024-08-21 01:00:40', 1, '2024-08-22 01:00:31'), (80915, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '象鼻街道综合便民服务中心', '非常满意', '3', '', 4, 2024, 8, 20, '2024-08-21 01:00:40', 1, '2024-08-22 01:00:31'), (80916, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:41', 1, '2024-08-22 01:00:39'), (80917, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:41', 1, '2024-08-22 01:00:47'), (80918, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:41', 1, '2024-08-22 01:00:47'), (80919, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:41', 1, '2024-08-22 01:00:47'), (80920, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:45', 1, '2024-08-22 01:00:47'), (80921, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:48', 1, '2024-08-22 01:00:47'), (80922, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 2, 2024, 8, 21, '2024-08-21 01:00:49', 1, '2024-08-22 01:00:56'), (80923, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 8, 21, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:58'), (80924, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', '', '', 1, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:58'), (80925, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '高新区政企服务中心', 1, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:58'), (80926, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', 'A11', '', 1, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:58'), (80927, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', '', '', 1, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:58'), (80928, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', '', '', 1, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:58'), (80929, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '非常满意', 'A11', '', 1, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:58'), (80930, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '', 'A11', '', 1, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:58'), (80931, 24, '511534000000-0001', '宜宾高新区政企服务中心', '宜宾高新区政企服务中心', '非常满意', 'A11', '', 1, 2024, 8, 20, '2024-08-21 01:00:51', 1, '2024-08-22 01:00:58'), (80932, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 140, 2024, 8, 21, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (80933, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 34, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:12'), (80934, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 87, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:12'), (80935, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 17, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:12'), (80936, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '', '', 2, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:12'), (80937, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:12'), (80938, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80939, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 2, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80940, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 19, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80941, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 12, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80942, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 22, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80943, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C04', '', 20, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80944, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80945, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 1, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80946, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80947, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 12, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80948, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C02', '', 1, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80949, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C01', '', 6, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80950, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 6, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80951, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 2, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80952, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80953, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D03', '', 1, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80954, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '3D15', '', 1, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80955, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 17, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80956, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 18, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80957, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 139, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80958, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 87, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80959, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '', '', 2, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80960, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 33, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80961, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 16, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80962, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80963, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 1, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80964, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D03', '', 1, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80965, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 22, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80966, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C04', '', 20, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80967, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '3D15', '', 1, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80968, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 6, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80969, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 12, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80970, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 2, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80971, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 18, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80972, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 17, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80973, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80974, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 11, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80975, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 19, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80976, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80977, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C01', '', 6, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80978, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 19, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80979, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 18, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80980, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 17, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (80981, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80982, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 12, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80983, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 1, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80984, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C04', '', 20, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (80985, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (80986, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (80987, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 2, 2024, 8, 20, '2024-08-21 01:01:02', 1, '2024-08-22 01:01:13'), (80988, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 12, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (80989, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 6, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (80990, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C02', '', 1, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (80991, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D15', '', 1, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (80992, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 22, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (80993, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C01', '', 6, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (80994, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '', '3D03', '', 1, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (80995, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 18, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (80996, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 17, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (80997, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 1, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (80998, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C04', '', 20, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (80999, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 19, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (81000, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 6, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (81001, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 12, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (81002, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 2, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (81003, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (81004, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 11, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (81005, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (81006, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C01', '', 6, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (81007, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D15', '', 1, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (81008, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 22, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (81009, 22, '511502000000-0001', '翠屏区政务服务中心', '翠屏区公安', '非常满意', '3D03', '', 1, 2024, 8, 20, '2024-08-21 01:01:03', 1, '2024-08-22 01:01:13'), (81010, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 63, 2024, 8, 21, '2024-08-21 01:01:10', 1, '2024-08-22 01:01:21'), (81011, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 4, 2024, 8, 20, '2024-08-21 01:01:08', 1, '2024-08-22 01:01:20'), (81012, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 24, 2024, 8, 20, '2024-08-21 01:01:08', 1, '2024-08-22 01:01:20'), (81013, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '', '', 2, 2024, 8, 20, '2024-08-21 01:01:08', 1, '2024-08-22 01:01:20'), (81014, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 44, 2024, 8, 20, '2024-08-21 01:01:08', 1, '2024-08-22 01:01:20'), (81015, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 10, 2024, 8, 20, '2024-08-21 01:01:08', 1, '2024-08-22 01:01:20'), (81016, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 44, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81017, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公积金服务大厅', 2, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81018, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 24, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81019, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 4, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81020, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 10, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81021, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D05', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81022, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A07', '', 14, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81023, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81024, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 3, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81025, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D36', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81026, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 2, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81027, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 22, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81028, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C03', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81029, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 2, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81030, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81031, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81032, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81033, 1, '511500000000-0001', '宜宾市民中心', '', '', '2C09', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81034, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81035, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 9, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81036, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81037, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 2, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81038, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 15, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81039, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D17', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81040, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 4, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81041, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 82, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81042, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 4, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81043, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 24, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81044, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81045, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 9, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81046, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 44, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81047, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 4, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81048, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81049, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2C03', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81050, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 2, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81051, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D36', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81052, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 2, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81053, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 22, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81054, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81055, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A07', '', 14, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81056, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81057, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81058, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 3, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81059, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 9, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81060, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81061, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D05', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81062, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 2, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81063, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 15, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81064, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:20'), (81065, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C09', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81066, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 22, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81067, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81068, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81069, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81070, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81071, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 2, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81072, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '', '2C03', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81073, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 4, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81074, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 2, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81075, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D36', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81076, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 2, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81077, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 3, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81078, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D05', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81079, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81080, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D17', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81081, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A07', '', 14, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81082, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81083, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 15, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81084, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 9, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81085, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81086, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81087, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 9, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81088, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81089, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 2, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81090, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81091, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 22, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81092, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 4, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81093, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D36', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81094, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 2, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81095, 1, '511500000000-0001', '宜宾市民中心', '市公积金中心（叙州区管理部）', '非常满意', '2C03', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81096, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 3, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81097, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81098, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 2, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81099, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81100, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 15, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81101, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A07', '', 14, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81102, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D05', '', 1, 2024, 8, 20, '2024-08-21 01:01:09', 1, '2024-08-22 01:01:21'), (81103, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:08', NULL, NULL), (81104, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:08', NULL, NULL), (81105, 15, '511527000000-0001', '筠连县政务服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:08', NULL, NULL), (81106, 16, '511526000000-0001', '珙县人民政府政务服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:08', NULL, NULL), (81107, 26, '511502007000-0001', '安阜街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:16', NULL, NULL), (81108, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:16', NULL, NULL), (81109, 27, '511527100000-0001', '筠连镇便民服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:16', NULL, NULL), (81110, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:23', NULL, NULL), (81111, 32, '511527101000-0001', '腾达镇便民服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:24', NULL, NULL), (81112, 13, '511525000000-0001', '高县政务服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:24', NULL, NULL), (81113, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', '', '', 2, 2024, 8, 21, '2024-08-22 01:00:16', NULL, NULL), (81114, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', '', '', 3, 2024, 8, 21, '2024-08-22 01:00:17', NULL, NULL), (81115, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '', '', '', 1, 2024, 8, 21, '2024-08-22 01:00:17', NULL, NULL), (81116, 13, '511525000000-0001', '高县政务服务中心', '', '', 'dl24', '', 1, 2024, 8, 21, '2024-08-22 01:00:23', NULL, NULL), (81117, 13, '511525000000-0001', '高县政务服务中心', '', '', 'wgly28', '', 3, 2024, 8, 21, '2024-08-22 01:00:17', NULL, NULL), (81118, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs16', '', 1, 2024, 8, 21, '2024-08-22 01:00:17', NULL, NULL), (81119, 13, '511525000000-0001', '高县政务服务中心', '', '', 'yjs15', '', 1, 2024, 8, 21, '2024-08-22 01:00:17', NULL, NULL), (81120, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', '', '', 6, 2024, 8, 21, '2024-08-22 01:00:23', NULL, NULL), (81121, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', '', '', 3, 2024, 8, 21, '2024-08-22 01:00:24', NULL, NULL), (81122, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', '', '', 2, 2024, 8, 21, '2024-08-22 01:00:23', NULL, NULL), (81123, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '非常满意', '', '', 1, 2024, 8, 21, '2024-08-22 01:00:23', NULL, NULL), (81124, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'dl24', '', 1, 2024, 8, 21, '2024-08-22 01:00:24', NULL, NULL), (81125, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs16', '', 1, 2024, 8, 21, '2024-08-22 01:00:24', NULL, NULL), (81126, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'yjs15', '', 1, 2024, 8, 21, '2024-08-22 01:00:24', NULL, NULL), (81127, 13, '511525000000-0001', '高县政务服务中心', '', '非常满意', 'wgly28', '', 3, 2024, 8, 21, '2024-08-22 01:00:24', NULL, NULL), (81128, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '', 'wgly28', '', 3, 2024, 8, 21, '2024-08-22 01:00:24', NULL, NULL), (81129, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs15', '', 1, 2024, 8, 21, '2024-08-22 01:00:24', NULL, NULL), (81130, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '', 'dl24', '', 1, 2024, 8, 21, '2024-08-22 01:00:24', NULL, NULL), (81131, 13, '511525000000-0001', '高县政务服务中心', '不动产', '', 'yjs16', '', 1, 2024, 8, 21, '2024-08-22 01:00:24', NULL, NULL), (81132, 13, '511525000000-0001', '高县政务服务中心', '文化广播电视和旅游局', '非常满意', 'wgly28', '', 3, 2024, 8, 21, '2024-08-22 01:00:24', NULL, NULL), (81133, 13, '511525000000-0001', '高县政务服务中心', '客服部门', '非常满意', 'dl24', '', 1, 2024, 8, 21, '2024-08-22 01:00:24', NULL, NULL), (81134, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs16', '', 1, 2024, 8, 21, '2024-08-22 01:00:24', NULL, NULL), (81135, 13, '511525000000-0001', '高县政务服务中心', '不动产', '非常满意', 'yjs15', '', 1, 2024, 8, 21, '2024-08-22 01:00:24', NULL, NULL), (81136, 30, '511527102000-0001', '巡司镇便民服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:24', NULL, NULL), (81137, 25, '511502010000-0001', '象鼻街道综合便民服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:31', NULL, NULL), (81138, 33, '511527104000-0001', '沐爱镇便民服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:32', NULL, NULL), (81139, 36, '511527109000-0001', '大雪山镇便民服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:32', NULL, NULL), (81140, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:32', NULL, NULL), (81141, 37, '511527774000-0001', '篙坝镇便民服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:39', NULL, NULL), (81142, 35, '511527102534-0001', '巡司镇武德便民服务分中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:39', NULL, NULL), (81143, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:39', NULL, NULL), (81144, 38, '511527204000-0001', '丰乐乡便民服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:39', NULL, NULL), (81145, 41, '511526101000-0001', '巡场镇便民服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:39', NULL, NULL), (81146, 40, '511527107000-0001', '镇舟镇便民服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:40', NULL, NULL), (81147, 43, '511527205000-0001', '乐义乡便民服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:47', NULL, NULL), (81148, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:47', NULL, NULL), (81149, 46, '511527210000-0001', '高坪苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:47', NULL, NULL), (81150, 45, '511527208000-0001', '团林苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:47', NULL, NULL), (81151, 44, '511527844000-0001', '联合苗族乡便民服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:47', NULL, NULL), (81152, 23, '511503003999-0001', '仙源街道办事处', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:56', NULL, NULL), (81153, 23, '511503003999-0001', '仙源街道办事处', '不动产', '', '', '', 1, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL), (81154, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '', '', '', 1, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL), (81155, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A05', '', 1, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL);
INSERT INTO `mortals_xhx_pj_evaluate_stat` VALUES (81156, 23, '511503003999-0001', '仙源街道办事处', '', '', 'A06', '', 1, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL), (81157, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', '', '', 2, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL), (81158, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '非常满意', '', '', 1, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL), (81159, 23, '511503003999-0001', '仙源街道办事处', '不动产', '非常满意', '', '', 1, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL), (81160, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A06', '', 1, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL), (81161, 23, '511503003999-0001', '仙源街道办事处', '', '非常满意', 'A05', '', 1, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL), (81162, 23, '511503003999-0001', '仙源街道办事处', '不动产', '', 'A06', '', 1, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL), (81163, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '', 'A05', '', 1, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL), (81164, 23, '511503003999-0001', '仙源街道办事处', '不动产', '非常满意', 'A06', '', 1, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL), (81165, 23, '511503003999-0001', '仙源街道办事处', '农业农村', '非常满意', 'A05', '', 1, 2024, 8, 21, '2024-08-22 01:00:56', NULL, NULL), (81166, 24, '511534000000-0001', '宜宾高新区政企服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:00:58', NULL, NULL), (81167, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:01:15', NULL, NULL), (81168, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '', '', 34, 2024, 8, 21, '2024-08-22 01:01:13', NULL, NULL), (81169, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', '', '', 2, 2024, 8, 21, '2024-08-22 01:01:13', NULL, NULL), (81170, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '', '', 94, 2024, 8, 21, '2024-08-22 01:01:13', NULL, NULL), (81171, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', '', '', 8, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81172, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', '', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81173, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', '', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81174, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '', '综合服务大厅', 4, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81175, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C06', '', 17, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81176, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A07', '', 27, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81177, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A12', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81178, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2A06', '', 7, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81179, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C11', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81180, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C10', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81181, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A13', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81182, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C03', '', 22, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81183, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C02', '', 3, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81184, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C01', '', 24, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81185, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'A05', '', 2, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81186, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C04', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81187, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C14', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81188, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C16', '', 2, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81189, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', 'C29', '', 2, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81190, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C08', '', 7, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81191, 22, '511502000000-0001', '翠屏区政务服务中心', '', '', '2C07', '', 21, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81192, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '', '', 139, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81193, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '', '', 94, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81194, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '', '', 34, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81195, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', '', '', 2, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81196, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', '', '', 8, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81197, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', '', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81198, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C04', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81199, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C03', '', 22, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81200, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A05', '', 2, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81201, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A06', '', 7, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81202, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C14', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81203, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C01', '', 24, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81204, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C02', '', 3, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81205, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C16', '', 2, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81206, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C07', '', 21, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81207, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C08', '', 7, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81208, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C29', '', 2, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81209, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2A07', '', 27, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81210, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', '2C06', '', 17, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81211, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C11', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81212, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'A13', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81213, 22, '511502000000-0001', '翠屏区政务服务中心', '', '非常满意', 'C10', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81214, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C11', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81215, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C10', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81216, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C06', '', 17, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81217, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C07', '', 21, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81218, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C08', '', 7, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81219, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '', 'A05', '', 2, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81220, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '', 'A13', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81221, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C01', '', 24, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81222, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C02', '', 3, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81223, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '', '2C03', '', 22, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81224, 22, '511502000000-0001', '翠屏区政务服务中心', '区卫生健康局', '', 'A12', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81225, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C29', '', 2, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81226, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C16', '', 2, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81227, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C04', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81228, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A07', '', 27, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81229, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '', 'C14', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81230, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '', '2A06', '', 7, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81231, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C07', '', 21, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81232, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C08', '', 7, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81233, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C03', '', 22, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81234, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C06', '', 17, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81235, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C04', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81236, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C14', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81237, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C01', '', 24, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81238, 22, '511502000000-0001', '翠屏区政务服务中心', '区医保局', '非常满意', '2C02', '', 3, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81239, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C16', '', 2, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81240, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C29', '', 2, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81241, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A07', '', 27, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81242, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C11', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81243, 22, '511502000000-0001', '翠屏区政务服务中心', '区人社局', '非常满意', 'C10', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81244, 22, '511502000000-0001', '翠屏区政务服务中心', '区民政局', '非常满意', 'A13', '', 1, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81245, 22, '511502000000-0001', '翠屏区政务服务中心', '区综合行政执法局', '非常满意', 'A05', '', 2, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81246, 22, '511502000000-0001', '翠屏区政务服务中心', '区市场监管', '非常满意', '2A06', '', 7, 2024, 8, 21, '2024-08-22 01:01:14', NULL, NULL), (81247, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '', 0, 2024, 8, 22, '2024-08-22 01:01:22', NULL, NULL), (81248, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '', '', 7, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81249, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '', '', 26, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81250, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '', '', 23, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81251, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '', '', 7, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81252, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '公安综合服务大厅', 23, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81253, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '人社保障大厅', 26, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81254, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '不动产服务大厅', 7, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81255, 1, '511500000000-0001', '宜宾市民中心', '', '', '', '医疗保障服务大厅', 7, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81256, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E04', '', 2, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81257, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E03', '', 2, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81258, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D04', '', 3, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81259, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D03', '', 3, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81260, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E02', '', 16, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81261, 1, '511500000000-0001', '宜宾市民中心', '', '', '2D02', '', 1, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81262, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E11', '', 1, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81263, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E10', '', 1, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81264, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E32', '', 1, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81265, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A23', '', 1, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81266, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E19', '', 2, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81267, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E29', '', 1, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81268, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E16', '', 4, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81269, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A09', '', 3, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81270, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E05', '', 1, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81271, 1, '511500000000-0001', '宜宾市民中心', '', '', '1E15', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81272, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A08', '', 3, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81273, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A19', '', 8, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81274, 1, '511500000000-0001', '宜宾市民中心', '', '', '2E27', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81275, 1, '511500000000-0001', '宜宾市民中心', '', '', '1A20', '', 8, 2024, 8, 21, '2024-08-22 01:01:21', NULL, NULL), (81276, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '', '', 59, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81277, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '', '', 7, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81278, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '', '', 24, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81279, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '', '', 7, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81280, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '', '', 21, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81281, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A20', '', 7, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81282, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A23', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81283, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D02', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81284, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D03', '', 3, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81285, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E02', '', 16, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81286, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E10', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81287, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E32', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81288, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E11', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81289, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E05', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81290, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E03', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81291, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E16', '', 4, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81292, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A09', '', 2, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81293, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2D04', '', 3, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81294, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E15', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81295, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A08', '', 3, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81296, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E04', '', 2, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81297, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1A19', '', 8, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81298, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '2E29', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81299, 1, '511500000000-0001', '宜宾市民中心', '', '非常满意', '1E19', '', 2, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81300, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E02', '', 16, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81301, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E04', '', 2, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81302, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E03', '', 2, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81303, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E19', '', 2, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81304, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E16', '', 4, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81305, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E11', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81306, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E10', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81307, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E32', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81308, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '', '1E15', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81309, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E05', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81310, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E27', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81311, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '', '2E29', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81312, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D02', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81313, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A20', '', 8, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81314, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D03', '', 3, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81315, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '', '2D04', '', 3, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81316, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A23', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81317, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A08', '', 3, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81318, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A19', '', 8, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81319, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '', '1A09', '', 3, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81320, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E03', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81321, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E19', '', 2, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81322, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E04', '', 2, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81323, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E05', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81324, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A09', '', 2, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81325, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E29', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81326, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E10', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81327, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E32', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81328, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E15', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81329, 1, '511500000000-0001', '宜宾市民中心', '市医保局', '非常满意', '1E16', '', 4, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81330, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E11', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81331, 1, '511500000000-0001', '宜宾市民中心', '市人力资源社会保障局', '非常满意', '2E02', '', 16, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81332, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A20', '', 7, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81333, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D03', '', 3, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81334, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D04', '', 3, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81335, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A23', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81336, 1, '511500000000-0001', '宜宾市民中心', '不动产登记中心', '非常满意', '2D02', '', 1, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81337, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A08', '', 3, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL), (81338, 1, '511500000000-0001', '宜宾市民中心', '市公安局', '非常满意', '1A19', '', 8, 2024, 8, 21, '2024-08-22 01:01:22', NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_product
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_product`;
CREATE TABLE `mortals_xhx_product`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `productName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '产品名称',
  `productCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '产品编码',
  `productRemark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 17 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '产品';

-- ----------------------------
-- Records of mortals_xhx_product
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_product` VALUES (1, '排号机', 'pdj', '排号机', 1, '2023-01-11 17:21:07', NULL, NULL), (2, '窗口屏', 'ckp', '窗口屏', 1, '2023-01-11 17:21:07', NULL, NULL), (3, '呼叫器', 'hjq', '呼叫器', 1, '2023-01-11 17:21:07', NULL, NULL), (4, '集中显示屏', 'jzxsp', '集中显示屏', 1, '2023-01-11 17:21:07', NULL, NULL), (5, '导视机', 'dsj', '导视机', 1, '2023-01-11 17:21:07', NULL, NULL), (6, '评价器', 'pjq', '评价器', 1, '2023-01-11 17:21:07', NULL, NULL), (7, '自助服务终端', 'zzfwzd', '自助服务终端', 1, '2023-01-11 17:21:07', NULL, NULL), (8, '填单机', 'tdj', '填单机', 1, '2023-01-11 17:21:07', NULL, NULL), (9, '样表机', 'ybj', '样表机', 1, '2023-01-11 17:21:07', NULL, NULL), (10, '信息发布终端', 'xxfbp', '信息发布终端', 1, '2023-02-01 15:29:21', NULL, NULL), (11, '存取件', 'cqj', '存取件', 1, '2023-02-26 17:58:55', 1, '2023-02-26 17:58:55'), (13, '电子门牌', 'dzmp', '电子门牌', 1, '2023-05-25 20:00:47', NULL, NULL), (14, '会议室电子门牌', 'hysdzmp', '会议室电子门牌', 1, '2023-05-25 20:01:08', NULL, NULL), (15, '智慧信息公开', 'xxgk', '智慧信息公开', 1, '2023-12-12 13:53:29', NULL, NULL), (16, '证照打印终端', 'zzdyzd', '证照打印终端', 1, '2023-12-24 18:10:20', NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_resource
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_resource`;
CREATE TABLE `mortals_xhx_resource`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称',
  `url` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '连接地址，多个地址以逗号分隔',
  `authType` tinyint(2) NULL DEFAULT 3 COMMENT '权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3',
  `sourceType` tinyint(2) NULL DEFAULT 0 COMMENT '资源类型，0：系统资源，1：开放资源，默认0',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  `userType` tinyint(2) NULL DEFAULT NULL COMMENT '用户类型，0：系统用户 1:代理商用户 2:品牌商用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 150064 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '资源信息';

-- ----------------------------
-- Records of mortals_xhx_resource
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_resource` VALUES (101001, '系统管理-菜单管理-查看', '/menu/list,/menu/view', 3, 0, NULL, NULL, NULL, 0), (101002, '系统管理-菜单管理-维护', '/menu/add,/menu/edit,/menu/delete,/menu/save', 3, 0, NULL, NULL, NULL, 0), (101003, '系统管理-角色管理-查看', '/role/list,/role/view', 3, 0, NULL, NULL, NULL, 0), (101004, '系统管理-角色管理-维护', '/role/add,/role/edit,/role/save,/role/delete,/role/auth/list,/role/auth/distributionSource,/role/user/distributionUser,/user/list,/role/user/list,/role/user/distributionUser', 3, 0, NULL, NULL, NULL, 0), (101005, '系统管理-用户管理-查看', '/user/list,/user/view,/role/roleNameByUserId', 3, 0, NULL, NULL, NULL, 0), (101006, '系统管理-用户管理-维护', '/user/add,/user/edit,/user/delete,/user/save', 3, 0, NULL, NULL, NULL, 0), (101007, '系统管理-任务设置-查看', '/task/list,/task/view', 3, 0, NULL, NULL, NULL, 0), (101008, '系统管理-任务设置-维护', '/task/add,/task/edit,/task/delete,/task/save', 3, 0, NULL, NULL, NULL, 0), (101009, '系统管理-参数设置-查看', '/param/list,/param/view', 3, 0, NULL, NULL, NULL, 0), (101010, '系统管理-参数设置-维护', '/param/add,/param/edit,/param/delete,/param/save', 3, 0, NULL, NULL, NULL, 0), (101011, '系统管理-资源管理-查看', '/resource/list,/resource/view', 3, 0, NULL, NULL, NULL, 0), (101012, '系统管理-资源管理-维护', '/resource/add,/resource/edit,/resource/delete,/resource/save', 3, 0, NULL, NULL, NULL, 0), (101013, '系统管理-操作日志-查看', '/oper/log/list,/oper/log/view', 3, 0, NULL, NULL, NULL, 0), (101014, '系统管理-区域管理-查看', '/area/list,/area/view', 3, 0, NULL, NULL, NULL, 0), (101015, '系统管理-区域管理-维护', '/area/add,/area/edit,/area/delete,/area/save', 3, 0, NULL, NULL, NULL, 0), (150000, '控制台-主页', '/index', 3, 0, '2019-06-01 13:04:18', 1, '系统管理员', NULL), (150001, '公共资源', '/area/list', 2, 0, '2019-06-01 23:56:55', 1, '系统管理员', NULL), (150002, '站点部门窗口-菜单管理-查看', '/window/list,/window/view,/window/export,/window/exportExcel,/window/downloadTemplate,/window/download', 3, 0, NULL, NULL, NULL, 0), (150003, '站点部门窗口-菜单管理-维护', '/window/add,/window/edit,/window/delete,/window/logicDelete,/window/save,/window/importData', 3, 0, NULL, NULL, NULL, 0), (150004, '站点业务-菜单管理-查看', '/business/list,/business/view,/business/export,/business/exportExcel,/business/downloadTemplate,/business/download', 3, 0, NULL, NULL, NULL, 0), (150005, '站点业务-菜单管理-维护', '/business/add,/business/edit,/business/delete,/business/logicDelete,/business/save,/business/importData', 3, 0, NULL, NULL, NULL, 0), (150006, '业务事项关联-菜单管理-查看', '/business/matter/list,/business/matter/view,/business/matter/export,/business/matter/exportExcel,/business/matter/downloadTemplate,/business/matter/download', 3, 0, NULL, NULL, NULL, 0), (150007, '业务事项关联-菜单管理-维护', '/business/matter/add,/business/matter/edit,/business/matter/delete,/business/matter/logicDelete,/business/matter/save,/business/matter/importData', 3, 0, NULL, NULL, NULL, 0), (150008, '部门-菜单管理-查看', '/dept/list,/dept/view,/dept/export,/dept/exportExcel,/dept/downloadTemplate,/dept/download', 3, 0, NULL, NULL, NULL, 0), (150009, '部门-菜单管理-维护', '/dept/add,/dept/edit,/dept/delete,/dept/logicDelete,/dept/save,/dept/importData', 3, 0, NULL, NULL, NULL, 0), (150010, '节假日-菜单管理-查看', '/holiday/list,/holiday/view,/holiday/export,/holiday/exportExcel,/holiday/downloadTemplate,/holiday/download', 3, 0, NULL, NULL, NULL, 0), (150011, '节假日-菜单管理-维护', '/holiday/add,/holiday/edit,/holiday/delete,/holiday/logicDelete,/holiday/save,/holiday/importData', 3, 0, NULL, NULL, NULL, 0), (150012, '基础事项-菜单管理-查看', '/matter/list,/matter/view,/matter/export,/matter/exportExcel,/matter/downloadTemplate,/matter/download', 3, 0, NULL, NULL, NULL, 0), (150013, '基础事项-菜单管理-维护', '/matter/add,/matter/edit,/matter/delete,/matter/logicDelete,/matter/save,/matter/importData', 3, 0, NULL, NULL, NULL, 0), (150014, '事项受理条件-菜单管理-查看', '/matter/accept/list,/matter/accept/view,/matter/accept/export,/matter/accept/exportExcel,/matter/accept/downloadTemplate,/matter/accept/download', 3, 0, NULL, NULL, NULL, 0), (150015, '事项受理条件-菜单管理-维护', '/matter/accept/add,/matter/accept/edit,/matter/accept/delete,/matter/accept/logicDelete,/matter/accept/save,/matter/accept/importData', 3, 0, NULL, NULL, NULL, 0), (150016, '事项收费标准-菜单管理-查看', '/matter/charges/list,/matter/charges/view,/matter/charges/export,/matter/charges/exportExcel,/matter/charges/downloadTemplate,/matter/charges/download', 3, 0, NULL, NULL, NULL, 0), (150017, '事项收费标准-菜单管理-维护', '/matter/charges/add,/matter/charges/edit,/matter/charges/delete,/matter/charges/logicDelete,/matter/charges/save,/matter/charges/importData', 3, 0, NULL, NULL, NULL, 0), (150018, '事项申请材料-菜单管理-查看', '/matter/datum/list,/matter/datum/view,/matter/datum/export,/matter/datum/exportExcel,/matter/datum/downloadTemplate,/matter/datum/download', 3, 0, NULL, NULL, NULL, 0), (150019, '事项申请材料-菜单管理-维护', '/matter/datum/add,/matter/datum/edit,/matter/datum/delete,/matter/datum/logicDelete,/matter/datum/save,/matter/datum/importData', 3, 0, NULL, NULL, NULL, 0), (150020, '材料附件-菜单管理-查看', '/matter/datum/file/list,/matter/datum/file/view,/matter/datum/file/export,/matter/datum/file/exportExcel,/matter/datum/file/downloadTemplate,/matter/datum/file/download', 3, 0, NULL, NULL, NULL, 0), (150021, '材料附件-菜单管理-维护', '/matter/datum/file/add,/matter/datum/file/edit,/matter/datum/file/delete,/matter/datum/file/logicDelete,/matter/datum/file/save,/matter/datum/file/importData', 3, 0, NULL, NULL, NULL, 0), (150022, '事项办理流程-菜单管理-查看', '/matter/flowlimit/list,/matter/flowlimit/view,/matter/flowlimit/export,/matter/flowlimit/exportExcel,/matter/flowlimit/downloadTemplate,/matter/flowlimit/download', 3, 0, NULL, NULL, NULL, 0), (150023, '事项办理流程-菜单管理-维护', '/matter/flowlimit/add,/matter/flowlimit/edit,/matter/flowlimit/delete,/matter/flowlimit/logicDelete,/matter/flowlimit/save,/matter/flowlimit/importData', 3, 0, NULL, NULL, NULL, 0), (150024, '事项中介服务-菜单管理-查看', '/matter/intermediary/list,/matter/intermediary/view,/matter/intermediary/export,/matter/intermediary/exportExcel,/matter/intermediary/downloadTemplate,/matter/intermediary/download', 3, 0, NULL, NULL, NULL, 0), (150025, '事项中介服务-菜单管理-维护', '/matter/intermediary/add,/matter/intermediary/edit,/matter/intermediary/delete,/matter/intermediary/logicDelete,/matter/intermediary/save,/matter/intermediary/importData', 3, 0, NULL, NULL, NULL, 0), (150026, '事项常见问题-菜单管理-查看', '/matter/question/list,/matter/question/view,/matter/question/export,/matter/question/exportExcel,/matter/question/downloadTemplate,/matter/question/download', 3, 0, NULL, NULL, NULL, 0), (150027, '事项常见问题-菜单管理-维护', '/matter/question/add,/matter/question/edit,/matter/question/delete,/matter/question/logicDelete,/matter/question/save,/matter/question/importData', 3, 0, NULL, NULL, NULL, 0), (150028, '事项设定依据-菜单管理-查看', '/matter/setbase/list,/matter/setbase/view,/matter/setbase/export,/matter/setbase/exportExcel,/matter/setbase/downloadTemplate,/matter/setbase/download', 3, 0, NULL, NULL, NULL, 0), (150029, '事项设定依据-菜单管理-维护', '/matter/setbase/add,/matter/setbase/edit,/matter/setbase/delete,/matter/setbase/logicDelete,/matter/setbase/save,/matter/setbase/importData', 3, 0, NULL, NULL, NULL, 0), (150030, '模块-菜单管理-查看', '/model/list,/model/view,/model/export,/model/exportExcel,/model/downloadTemplate,/model/download', 3, 0, NULL, NULL, NULL, 0), (150031, '模块-菜单管理-维护', '/model/add,/model/edit,/model/delete,/model/logicDelete,/model/save,/model/importData', 3, 0, NULL, NULL, NULL, 0), (150032, '站点事项-菜单管理-查看', '/site/matter/list,/site/matter/view,/site/matter/export,/site/matter/exportExcel,/site/matter/downloadTemplate,/site/matter/download', 3, 0, NULL, NULL, NULL, 0), (150033, '站点事项-菜单管理-维护', '/site/matter/add,/site/matter/edit,/site/matter/delete,/site/matter/logicDelete,/site/matter/save,/site/matter/importData', 3, 0, NULL, NULL, NULL, 0), (150034, '站点模块-菜单管理-查看', '/site/model/list,/site/model/view,/site/model/export,/site/model/exportExcel,/site/model/downloadTemplate,/site/model/download', 3, 0, NULL, NULL, NULL, 0), (150035, '站点模块-菜单管理-维护', '/site/model/add,/site/model/edit,/site/model/delete,/site/model/logicDelete,/site/model/save,/site/model/importData', 3, 0, NULL, NULL, NULL, 0), (150036, '短信设置-菜单管理-查看', '/sms/set/list,/sms/set/view,/sms/set/export,/sms/set/exportExcel,/sms/set/downloadTemplate,/sms/set/download', 3, 0, NULL, NULL, NULL, 0), (150037, '短信设置-菜单管理-维护', '/sms/set/add,/sms/set/edit,/sms/set/delete,/sms/set/logicDelete,/sms/set/save,/sms/set/importData', 3, 0, NULL, NULL, NULL, 0), (150038, '短信模板-菜单管理-查看', '/sms/template/list,/sms/template/view,/sms/template/export,/sms/template/exportExcel,/sms/template/downloadTemplate,/sms/template/download', 3, 0, NULL, NULL, NULL, 0), (150039, '短信模板-菜单管理-维护', '/sms/template/add,/sms/template/edit,/sms/template/delete,/sms/template/logicDelete,/sms/template/save,/sms/template/importData', 3, 0, NULL, NULL, NULL, 0), (150040, '窗口业务-菜单管理-查看', '/window/business/list,/window/business/view,/window/business/export,/window/business/exportExcel,/window/business/downloadTemplate,/window/business/download', 3, 0, NULL, NULL, NULL, 0), (150041, '窗口业务-菜单管理-维护', '/window/business/add,/window/business/edit,/window/business/delete,/window/business/logicDelete,/window/business/save,/window/business/importData', 3, 0, NULL, NULL, NULL, 0), (150042, '窗口事项-菜单管理-查看', '/window/matter/list,/window/matter/view,/window/matter/export,/window/matter/exportExcel,/window/matter/downloadTemplate,/window/matter/download', 3, 0, NULL, NULL, NULL, 0), (150043, '窗口事项-菜单管理-维护', '/window/matter/add,/window/matter/edit,/window/matter/delete,/window/matter/logicDelete,/window/matter/save,/window/matter/importData', 3, 0, NULL, NULL, NULL, 0), (150044, '工作人员-菜单管理-查看', '/workman/list,/workman/view,/workman/export,/workman/exportExcel,/workman/downloadTemplate,/workman/download', 3, 0, NULL, NULL, NULL, 0), (150045, '工作人员-菜单管理-维护', '/workman/add,/workman/edit,/workman/delete,/workman/logicDelete,/workman/save,/workman/importData', 3, 0, NULL, NULL, NULL, 0), (150046, '站点-菜单管理-查看', '/site/list,/site/view,/site/export,/site/exportExcel,/site/downloadTemplate,/site/download', 3, 0, NULL, NULL, NULL, 0), (150047, '站点-菜单管理-维护', '/site/add,/site/edit,/site/delete,/site/logicDelete,/site/save,/site/importData', 3, 0, NULL, NULL, NULL, 0), (150048, '区域-菜单管理-查看', '/area/list,/area/view,/area/export,/area/exportExcel,/area/downloadTemplate,/area/download', 3, 0, NULL, NULL, NULL, 0), (150049, '区域-菜单管理-维护', '/area/add,/area/edit,/area/delete,/area/logicDelete,/area/save,/area/importData', 3, 0, NULL, NULL, NULL, 0), (150050, '产品-菜单管理-查看', '/product/list,/product/view,/product/info,/product/export,/product/exportExcel,/product/downloadTemplate,/product/download', 3, 0, NULL, NULL, NULL, 0), (150051, '产品-菜单管理-维护', '/product/add,/product/edit,/product/delete,/product/logicDelete,/product/save,/product/importData', 3, 0, NULL, NULL, NULL, 0), (150052, '系统基础皮肤-菜单管理-查看', '/skin/base/list,/skin/base/view,/skin/base/info,/skin/base/export,/skin/base/exportExcel,/skin/base/downloadTemplate,/skin/base/download', 3, 0, NULL, NULL, NULL, 0), (150053, '系统基础皮肤-菜单管理-维护', '/skin/base/add,/skin/base/edit,/skin/base/delete,/skin/base/logicDelete,/skin/base/save,/skin/base/importData', 3, 0, NULL, NULL, NULL, 0), (150054, '系统皮肤模板-菜单管理-查看', '/skin/template/list,/skin/template/view,/skin/template/info,/skin/template/export,/skin/template/exportExcel,/skin/template/downloadTemplate,/skin/template/download', 3, 0, NULL, NULL, NULL, 0), (150055, '系统皮肤模板-菜单管理-维护', '/skin/template/add,/skin/template/edit,/skin/template/delete,/skin/template/logicDelete,/skin/template/save,/skin/template/importData', 3, 0, NULL, NULL, NULL, 0), (150056, '皮肤属性字段配置-菜单管理-查看', '/skin/field/list,/skin/field/view,/skin/field/info,/skin/field/export,/skin/field/exportExcel,/skin/field/downloadTemplate,/skin/field/download', 3, 0, NULL, NULL, NULL, 0), (150057, '皮肤属性字段配置-菜单管理-维护', '/skin/field/add,/skin/field/edit,/skin/field/delete,/skin/field/logicDelete,/skin/field/save,/skin/field/importData', 3, 0, NULL, NULL, NULL, 0), (150058, '系统皮肤分类-菜单管理-查看', '/skin/category/list,/skin/category/view,/skin/category/info,/skin/category/export,/skin/category/exportExcel,/skin/category/downloadTemplate,/skin/category/download', 3, 0, NULL, NULL, NULL, 0), (150059, '系统皮肤分类-菜单管理-维护', '/skin/category/add,/skin/category/edit,/skin/category/delete,/skin/category/logicDelete,/skin/category/save,/skin/category/importData', 3, 0, NULL, NULL, NULL, 0), (150060, '站点大厅信息-菜单管理-查看', '/site/hall/list,/site/hall/view,/site/hall/info,/site/hall/export,/site/hall/exportExcel,/site/hall/downloadTemplate,/site/hall/download', 3, 0, NULL, NULL, NULL, 0), (150061, '站点大厅信息-菜单管理-维护', '/site/hall/add,/site/hall/edit,/site/hall/delete,/site/hall/logicDelete,/site/hall/save,/site/hall/importData', 3, 0, NULL, NULL, NULL, 0), (150062, '大厅窗口-菜单管理-查看', '/window/hall/list,/window/hall/view,/window/hall/info,/window/hall/export,/window/hall/exportExcel,/window/hall/downloadTemplate,/window/hall/download', 3, 0, NULL, NULL, NULL, 0), (150063, '大厅窗口-菜单管理-维护', '/window/hall/add,/window/hall/edit,/window/hall/delete,/window/hall/logicDelete,/window/hall/save,/window/hall/importData', 3, 0, NULL, NULL, NULL, 0);
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_role
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role`;
CREATE TABLE `mortals_xhx_role`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色名称',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `roleType` tinyint(2) NULL DEFAULT 2 COMMENT '角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2',
  `customerId` bigint(20) NULL DEFAULT NULL COMMENT '归属客户ID',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  `userType` tinyint(2) NULL DEFAULT NULL COMMENT '用户类型，0：系统用户 1:代理商用户 2:品牌商用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色信息';

-- ----------------------------
-- Records of mortals_xhx_role
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_role` VALUES (1, '管理员', '类似admin', 0, NULL, '2019-03-04 11:41:06', 1, 'admin', NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_role_auth
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role_auth`;
CREATE TABLE `mortals_xhx_role_auth`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `roleId` bigint(20) NULL DEFAULT NULL COMMENT '角色ID',
  `resourceId` bigint(20) NULL DEFAULT NULL COMMENT '资源ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色资源权限';

-- ----------------------------
-- Records of mortals_xhx_role_auth
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_role_user
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role_user`;
CREATE TABLE `mortals_xhx_role_user`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `roleId` bigint(20) NULL DEFAULT NULL COMMENT '角色ID',
  `userId` bigint(20) NULL DEFAULT NULL COMMENT '用户ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 9 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色用户';

-- ----------------------------
-- Records of mortals_xhx_role_user
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_role_user` VALUES (1, 1, 1), (2, 1, 2091), (3, 1, 2090), (4, 1, 2089), (5, 1, 2088), (6, 1, 2087), (7, 1, 2086), (8, 1, 2085);
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_stat
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_stat`;
CREATE TABLE `mortals_xhx_stat`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点Id',
  `siteCode` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '站点编码',
  `siteName` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '站点名称',
  `count` int(9) NOT NULL COMMENT '数量',
  `year` int(9) NOT NULL COMMENT '年',
  `month` int(9) NOT NULL COMMENT '月',
  `day` int(9) NOT NULL COMMENT '日',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `year`(`year`) USING BTREE,
  INDEX `month`(`month`) USING BTREE,
  INDEX `day`(`day`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 18001 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '汇总统计';

-- ----------------------------
-- Records of mortals_xhx_stat
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_stat` VALUES (1, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 1, 1, '2024-08-05 14:44:36', NULL), (2, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 2, 1, '2024-08-05 14:44:36', NULL), (3, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 3, 1, '2024-08-05 14:44:36', NULL), (4, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 4, 1, '2024-08-05 14:44:36', NULL), (5, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 5, 1, '2024-08-05 14:44:36', NULL), (6, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 6, 1, '2024-08-05 14:44:36', NULL), (7, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 7, 1, '2024-08-05 14:44:36', NULL), (8, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 8, 1, '2024-08-05 14:44:36', NULL), (9, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 9, 1, '2024-08-05 14:44:36', NULL), (10, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 10, 1, '2024-08-05 14:44:36', NULL), (11, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 11, 1, '2024-08-05 14:44:36', NULL), (12, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 12, 1, '2024-08-05 14:44:36', NULL), (13, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 13, 1, '2024-08-05 14:44:36', NULL), (14, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 14, 1, '2024-08-05 14:44:36', NULL), (15, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 15, 1, '2024-08-05 14:44:36', NULL), (16, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 16, 1, '2024-08-05 14:44:36', NULL), (17, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 17, 1, '2024-08-05 14:44:36', NULL), (18, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 18, 1, '2024-08-05 14:44:36', NULL), (19, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 19, 1, '2024-08-05 14:44:36', NULL), (20, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 20, 1, '2024-08-05 14:44:36', NULL), (21, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 21, 1, '2024-08-05 14:44:37', NULL), (22, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 22, 1, '2024-08-05 14:44:37', NULL), (23, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 23, 1, '2024-08-05 14:44:37', NULL), (24, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 24, 1, '2024-08-05 14:44:37', NULL), (25, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 25, 1, '2024-08-05 14:44:37', NULL), (26, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 26, 1, '2024-08-05 14:44:37', NULL), (27, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 27, 1, '2024-08-05 14:44:37', NULL), (28, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 28, 1, '2024-08-05 14:44:37', NULL), (29, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 29, 1, '2024-08-05 14:44:37', NULL), (30, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 30, 1, '2024-08-05 14:44:37', NULL), (31, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 1, 31, 1, '2024-08-05 14:44:37', NULL), (32, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 1, 1, '2024-08-05 14:44:37', NULL), (33, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 2, 1, '2024-08-05 14:44:37', NULL), (34, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 3, 1, '2024-08-05 14:44:37', NULL), (35, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 4, 1, '2024-08-05 14:44:37', NULL), (36, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 5, 1, '2024-08-05 14:44:37', NULL), (37, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 6, 1, '2024-08-05 14:44:37', NULL), (38, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 7, 1, '2024-08-05 14:44:37', NULL), (39, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 8, 1, '2024-08-05 14:44:37', NULL), (40, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 9, 1, '2024-08-05 14:44:37', NULL), (41, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 10, 1, '2024-08-05 14:44:37', NULL), (42, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 11, 1, '2024-08-05 14:44:38', NULL), (43, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 12, 1, '2024-08-05 14:44:38', NULL), (44, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 13, 1, '2024-08-05 14:44:38', NULL), (45, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 14, 1, '2024-08-05 14:44:38', NULL), (46, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 15, 1, '2024-08-05 14:44:38', NULL), (47, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 16, 1, '2024-08-05 14:44:38', NULL), (48, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 17, 1, '2024-08-05 14:44:38', NULL), (49, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 18, 1, '2024-08-05 14:44:38', NULL), (50, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 19, 1, '2024-08-05 14:44:38', NULL), (51, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 20, 1, '2024-08-05 14:44:38', NULL), (52, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 21, 1, '2024-08-05 14:44:38', NULL), (53, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 22, 1, '2024-08-05 14:44:38', NULL), (54, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 23, 1, '2024-08-05 14:44:38', NULL), (55, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 24, 1, '2024-08-05 14:44:38', NULL), (56, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 25, 1, '2024-08-05 14:44:38', NULL), (57, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 26, 1, '2024-08-05 14:44:38', NULL), (58, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 27, 1, '2024-08-05 14:44:38', NULL), (59, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 2, 28, 1, '2024-08-05 14:44:38', NULL), (60, 1, '511500000000-0001', '宜宾市民中心', 3250, 2023, 3, 1, 1, '2024-08-05 14:44:39', NULL), (61, 1, '511500000000-0001', '宜宾市民中心', 2947, 2023, 3, 2, 1, '2024-08-05 14:44:39', NULL), (62, 1, '511500000000-0001', '宜宾市民中心', 2568, 2023, 3, 3, 1, '2024-08-05 14:44:39', NULL), (63, 1, '511500000000-0001', '宜宾市民中心', 286, 2023, 3, 4, 1, '2024-08-05 14:44:39', NULL), (64, 1, '511500000000-0001', '宜宾市民中心', 213, 2023, 3, 5, 1, '2024-08-05 14:44:39', NULL), (65, 1, '511500000000-0001', '宜宾市民中心', 2715, 2023, 3, 6, 1, '2024-08-05 14:44:39', NULL), (66, 1, '511500000000-0001', '宜宾市民中心', 2436, 2023, 3, 7, 1, '2024-08-05 14:44:40', NULL), (67, 1, '511500000000-0001', '宜宾市民中心', 1676, 2023, 3, 8, 1, '2024-08-05 14:44:40', NULL), (68, 1, '511500000000-0001', '宜宾市民中心', 2145, 2023, 3, 9, 1, '2024-08-05 14:44:40', NULL), (69, 1, '511500000000-0001', '宜宾市民中心', 1917, 2023, 3, 10, 1, '2024-08-05 14:44:40', NULL), (70, 1, '511500000000-0001', '宜宾市民中心', 185, 2023, 3, 11, 1, '2024-08-05 14:44:40', NULL), (71, 1, '511500000000-0001', '宜宾市民中心', 76, 2023, 3, 12, 1, '2024-08-05 14:44:40', NULL), (72, 1, '511500000000-0001', '宜宾市民中心', 2322, 2023, 3, 13, 1, '2024-08-05 14:44:41', NULL), (73, 1, '511500000000-0001', '宜宾市民中心', 2306, 2023, 3, 14, 1, '2024-08-05 14:44:41', NULL), (74, 1, '511500000000-0001', '宜宾市民中心', 2163, 2023, 3, 15, 1, '2024-08-05 14:44:41', NULL), (75, 1, '511500000000-0001', '宜宾市民中心', 2011, 2023, 3, 16, 1, '2024-08-05 14:44:41', NULL), (76, 1, '511500000000-0001', '宜宾市民中心', 2082, 2023, 3, 17, 1, '2024-08-05 14:44:41', NULL), (77, 1, '511500000000-0001', '宜宾市民中心', 166, 2023, 3, 18, 1, '2024-08-05 14:44:41', NULL), (78, 1, '511500000000-0001', '宜宾市民中心', 83, 2023, 3, 19, 1, '2024-08-05 14:44:41', NULL), (79, 1, '511500000000-0001', '宜宾市民中心', 2244, 2023, 3, 20, 1, '2024-08-05 14:44:42', NULL), (80, 1, '511500000000-0001', '宜宾市民中心', 1917, 2023, 3, 21, 1, '2024-08-05 14:44:42', NULL), (81, 1, '511500000000-0001', '宜宾市民中心', 1834, 2023, 3, 22, 1, '2024-08-05 14:44:42', NULL), (82, 1, '511500000000-0001', '宜宾市民中心', 1736, 2023, 3, 23, 1, '2024-08-05 14:44:42', NULL), (83, 1, '511500000000-0001', '宜宾市民中心', 1877, 2023, 3, 24, 1, '2024-08-05 14:44:42', NULL), (84, 1, '511500000000-0001', '宜宾市民中心', 154, 2023, 3, 25, 1, '2024-08-05 14:44:42', NULL), (85, 1, '511500000000-0001', '宜宾市民中心', 71, 2023, 3, 26, 1, '2024-08-05 14:44:43', NULL), (86, 1, '511500000000-0001', '宜宾市民中心', 2129, 2023, 3, 27, 1, '2024-08-05 14:44:43', NULL), (87, 1, '511500000000-0001', '宜宾市民中心', 1843, 2023, 3, 28, 1, '2024-08-05 14:44:43', NULL), (88, 1, '511500000000-0001', '宜宾市民中心', 1833, 2023, 3, 29, 1, '2024-08-05 14:44:43', NULL), (89, 1, '511500000000-0001', '宜宾市民中心', 1636, 2023, 3, 30, 1, '2024-08-05 14:44:43', NULL), (90, 1, '511500000000-0001', '宜宾市民中心', 1743, 2023, 3, 31, 1, '2024-08-05 14:44:43', NULL), (91, 1, '511500000000-0001', '宜宾市民中心', 181, 2023, 4, 1, 1, '2024-08-05 14:44:43', NULL), (92, 1, '511500000000-0001', '宜宾市民中心', 183, 2023, 4, 2, 1, '2024-08-05 14:44:44', NULL), (93, 1, '511500000000-0001', '宜宾市民中心', 2620, 2023, 4, 3, 1, '2024-08-05 14:44:44', NULL), (94, 1, '511500000000-0001', '宜宾市民中心', 2366, 2023, 4, 4, 1, '2024-08-05 14:44:44', NULL), (95, 1, '511500000000-0001', '宜宾市民中心', 89, 2023, 4, 5, 1, '2024-08-05 14:44:44', NULL), (96, 1, '511500000000-0001', '宜宾市民中心', 2343, 2023, 4, 6, 1, '2024-08-05 14:44:44', NULL), (97, 1, '511500000000-0001', '宜宾市民中心', 2228, 2023, 4, 7, 1, '2024-08-05 14:44:44', NULL), (98, 1, '511500000000-0001', '宜宾市民中心', 148, 2023, 4, 8, 1, '2024-08-05 14:44:45', NULL), (99, 1, '511500000000-0001', '宜宾市民中心', 103, 2023, 4, 9, 1, '2024-08-05 14:44:45', NULL), (100, 1, '511500000000-0001', '宜宾市民中心', 2562, 2023, 4, 10, 1, '2024-08-05 14:44:45', NULL), (101, 1, '511500000000-0001', '宜宾市民中心', 2320, 2023, 4, 11, 1, '2024-08-05 14:44:45', NULL), (102, 1, '511500000000-0001', '宜宾市民中心', 2261, 2023, 4, 12, 1, '2024-08-05 14:44:45', NULL), (103, 1, '511500000000-0001', '宜宾市民中心', 2361, 2023, 4, 13, 1, '2024-08-05 14:44:45', NULL), (104, 1, '511500000000-0001', '宜宾市民中心', 2085, 2023, 4, 14, 1, '2024-08-05 14:44:46', NULL), (105, 1, '511500000000-0001', '宜宾市民中心', 181, 2023, 4, 15, 1, '2024-08-05 14:44:46', NULL), (106, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 4, 16, 1, '2024-08-05 14:44:46', NULL), (107, 1, '511500000000-0001', '宜宾市民中心', 2394, 2023, 4, 17, 1, '2024-08-05 14:44:46', NULL), (108, 1, '511500000000-0001', '宜宾市民中心', 2105, 2023, 4, 18, 1, '2024-08-05 14:44:46', NULL), (109, 1, '511500000000-0001', '宜宾市民中心', 1909, 2023, 4, 19, 1, '2024-08-05 14:44:46', NULL), (110, 1, '511500000000-0001', '宜宾市民中心', 1977, 2023, 4, 20, 1, '2024-08-05 14:44:46', NULL), (111, 1, '511500000000-0001', '宜宾市民中心', 2060, 2023, 4, 21, 1, '2024-08-05 14:44:47', NULL), (112, 1, '511500000000-0001', '宜宾市民中心', 248, 2023, 4, 22, 1, '2024-08-05 14:44:47', NULL), (113, 1, '511500000000-0001', '宜宾市民中心', 1158, 2023, 4, 23, 1, '2024-08-05 14:44:47', NULL), (114, 1, '511500000000-0001', '宜宾市民中心', 2154, 2023, 4, 24, 1, '2024-08-05 14:44:47', NULL), (115, 1, '511500000000-0001', '宜宾市民中心', 2092, 2023, 4, 25, 1, '2024-08-05 14:44:47', NULL), (116, 1, '511500000000-0001', '宜宾市民中心', 1998, 2023, 4, 26, 1, '2024-08-05 14:44:47', NULL), (117, 1, '511500000000-0001', '宜宾市民中心', 1860, 2023, 4, 27, 1, '2024-08-05 14:44:48', NULL), (118, 1, '511500000000-0001', '宜宾市民中心', 1843, 2023, 4, 28, 1, '2024-08-05 14:44:48', NULL), (119, 1, '511500000000-0001', '宜宾市民中心', 99, 2023, 4, 29, 1, '2024-08-05 14:44:48', NULL), (120, 1, '511500000000-0001', '宜宾市民中心', 60, 2023, 4, 30, 1, '2024-08-05 14:44:48', NULL), (121, 1, '511500000000-0001', '宜宾市民中心', 47, 2023, 5, 1, 1, '2024-08-05 14:44:48', NULL), (122, 1, '511500000000-0001', '宜宾市民中心', 88, 2023, 5, 2, 1, '2024-08-05 14:44:48', NULL), (123, 1, '511500000000-0001', '宜宾市民中心', 73, 2023, 5, 3, 1, '2024-08-05 14:44:48', NULL), (124, 1, '511500000000-0001', '宜宾市民中心', 1864, 2023, 5, 4, 1, '2024-08-05 14:44:49', NULL), (125, 1, '511500000000-0001', '宜宾市民中心', 2078, 2023, 5, 5, 1, '2024-08-05 14:44:49', NULL), (126, 1, '511500000000-0001', '宜宾市民中心', 1679, 2023, 5, 6, 1, '2024-08-05 14:44:49', NULL), (127, 1, '511500000000-0001', '宜宾市民中心', 185, 2023, 5, 7, 1, '2024-08-05 14:44:49', NULL), (128, 1, '511500000000-0001', '宜宾市民中心', 1981, 2023, 5, 8, 1, '2024-08-05 14:44:49', NULL), (129, 1, '511500000000-0001', '宜宾市民中心', 1864, 2023, 5, 9, 1, '2024-08-05 14:44:49', NULL), (130, 1, '511500000000-0001', '宜宾市民中心', 1888, 2023, 5, 10, 1, '2024-08-05 14:44:50', NULL), (131, 1, '511500000000-0001', '宜宾市民中心', 1754, 2023, 5, 11, 1, '2024-08-05 14:44:50', NULL), (132, 1, '511500000000-0001', '宜宾市民中心', 1708, 2023, 5, 12, 1, '2024-08-05 14:44:50', NULL), (133, 1, '511500000000-0001', '宜宾市民中心', 161, 2023, 5, 13, 1, '2024-08-05 14:44:50', NULL), (134, 1, '511500000000-0001', '宜宾市民中心', 99, 2023, 5, 14, 1, '2024-08-05 14:44:50', NULL), (135, 1, '511500000000-0001', '宜宾市民中心', 2047, 2023, 5, 15, 1, '2024-08-05 14:44:50', NULL), (136, 1, '511500000000-0001', '宜宾市民中心', 1984, 2023, 5, 16, 1, '2024-08-05 14:44:50', NULL), (137, 1, '511500000000-0001', '宜宾市民中心', 1690, 2023, 5, 17, 1, '2024-08-05 14:44:51', NULL), (138, 1, '511500000000-0001', '宜宾市民中心', 1330, 2023, 5, 18, 1, '2024-08-05 14:44:51', NULL), (139, 1, '511500000000-0001', '宜宾市民中心', 1581, 2023, 5, 19, 1, '2024-08-05 14:44:51', NULL), (140, 1, '511500000000-0001', '宜宾市民中心', 167, 2023, 5, 20, 1, '2024-08-05 14:44:51', NULL), (141, 1, '511500000000-0001', '宜宾市民中心', 74, 2023, 5, 21, 1, '2024-08-05 14:44:51', NULL), (142, 1, '511500000000-0001', '宜宾市民中心', 1801, 2023, 5, 22, 1, '2024-08-05 14:44:51', NULL), (143, 1, '511500000000-0001', '宜宾市民中心', 1838, 2023, 5, 23, 1, '2024-08-05 14:44:52', NULL), (144, 1, '511500000000-0001', '宜宾市民中心', 1813, 2023, 5, 24, 1, '2024-08-05 14:44:52', NULL), (145, 1, '511500000000-0001', '宜宾市民中心', 2006, 2023, 5, 25, 1, '2024-08-05 14:44:52', NULL), (146, 1, '511500000000-0001', '宜宾市民中心', 1964, 2023, 5, 26, 1, '2024-08-05 14:44:52', NULL), (147, 1, '511500000000-0001', '宜宾市民中心', 248, 2023, 5, 27, 1, '2024-08-05 14:44:52', NULL), (148, 1, '511500000000-0001', '宜宾市民中心', 225, 2023, 5, 28, 1, '2024-08-05 14:44:52', NULL), (149, 1, '511500000000-0001', '宜宾市民中心', 1934, 2023, 5, 29, 1, '2024-08-05 14:44:52', NULL), (150, 1, '511500000000-0001', '宜宾市民中心', 1720, 2023, 5, 30, 1, '2024-08-05 14:44:53', NULL), (151, 1, '511500000000-0001', '宜宾市民中心', 1414, 2023, 5, 31, 1, '2024-08-05 14:44:53', NULL), (152, 1, '511500000000-0001', '宜宾市民中心', 1434, 2023, 6, 1, 1, '2024-08-05 14:44:53', NULL), (153, 1, '511500000000-0001', '宜宾市民中心', 1909, 2023, 6, 2, 1, '2024-08-05 14:44:53', NULL), (154, 1, '511500000000-0001', '宜宾市民中心', 183, 2023, 6, 3, 1, '2024-08-05 14:44:53', NULL), (155, 1, '511500000000-0001', '宜宾市民中心', 156, 2023, 6, 4, 1, '2024-08-05 14:44:53', NULL), (156, 1, '511500000000-0001', '宜宾市民中心', 2137, 2023, 6, 5, 1, '2024-08-05 14:44:54', NULL), (157, 1, '511500000000-0001', '宜宾市民中心', 1769, 2023, 6, 6, 1, '2024-08-05 14:44:54', NULL), (158, 1, '511500000000-0001', '宜宾市民中心', 1765, 2023, 6, 7, 1, '2024-08-05 14:44:54', NULL), (159, 1, '511500000000-0001', '宜宾市民中心', 1640, 2023, 6, 8, 1, '2024-08-05 14:44:54', NULL), (160, 1, '511500000000-0001', '宜宾市民中心', 1116, 2023, 6, 9, 1, '2024-08-05 14:44:54', NULL), (161, 1, '511500000000-0001', '宜宾市民中心', 285, 2023, 6, 10, 1, '2024-08-05 14:44:54', NULL), (162, 1, '511500000000-0001', '宜宾市民中心', 153, 2023, 6, 11, 1, '2024-08-05 14:44:55', NULL), (163, 1, '511500000000-0001', '宜宾市民中心', 1961, 2023, 6, 12, 1, '2024-08-05 14:44:55', NULL), (164, 1, '511500000000-0001', '宜宾市民中心', 1889, 2023, 6, 13, 1, '2024-08-05 14:44:55', NULL), (165, 1, '511500000000-0001', '宜宾市民中心', 1886, 2023, 6, 14, 1, '2024-08-05 14:44:55', NULL), (166, 1, '511500000000-0001', '宜宾市民中心', 1394, 2023, 6, 15, 1, '2024-08-05 14:44:55', NULL), (167, 1, '511500000000-0001', '宜宾市民中心', 1788, 2023, 6, 16, 1, '2024-08-05 14:44:55', NULL), (168, 1, '511500000000-0001', '宜宾市民中心', 259, 2023, 6, 17, 1, '2024-08-05 14:44:55', NULL), (169, 1, '511500000000-0001', '宜宾市民中心', 179, 2023, 6, 18, 1, '2024-08-05 14:44:55', NULL), (170, 1, '511500000000-0001', '宜宾市民中心', 1779, 2023, 6, 19, 1, '2024-08-05 14:44:55', NULL), (171, 1, '511500000000-0001', '宜宾市民中心', 1524, 2023, 6, 20, 1, '2024-08-05 14:44:55', NULL), (172, 1, '511500000000-0001', '宜宾市民中心', 1672, 2023, 6, 21, 1, '2024-08-05 14:44:55', NULL), (173, 1, '511500000000-0001', '宜宾市民中心', 80, 2023, 6, 22, 1, '2024-08-05 14:44:55', NULL), (174, 1, '511500000000-0001', '宜宾市民中心', 112, 2023, 6, 23, 1, '2024-08-05 14:44:55', NULL), (175, 1, '511500000000-0001', '宜宾市民中心', 112, 2023, 6, 24, 1, '2024-08-05 14:44:55', NULL), (176, 1, '511500000000-0001', '宜宾市民中心', 1525, 2023, 6, 25, 1, '2024-08-05 14:44:55', NULL), (177, 1, '511500000000-0001', '宜宾市民中心', 1809, 2023, 6, 26, 1, '2024-08-05 14:44:55', NULL), (178, 1, '511500000000-0001', '宜宾市民中心', 1777, 2023, 6, 27, 1, '2024-08-05 14:44:55', NULL), (179, 1, '511500000000-0001', '宜宾市民中心', 1641, 2023, 6, 28, 1, '2024-08-05 14:44:55', NULL), (180, 1, '511500000000-0001', '宜宾市民中心', 1511, 2023, 6, 29, 1, '2024-08-05 14:44:55', NULL), (181, 1, '511500000000-0001', '宜宾市民中心', 1435, 2023, 6, 30, 1, '2024-08-05 14:44:55', NULL), (182, 1, '511500000000-0001', '宜宾市民中心', 203, 2023, 7, 1, 1, '2024-08-05 14:44:55', NULL), (183, 1, '511500000000-0001', '宜宾市民中心', 142, 2023, 7, 2, 1, '2024-08-05 14:44:55', NULL), (184, 1, '511500000000-0001', '宜宾市民中心', 2168, 2023, 7, 3, 1, '2024-08-05 14:44:55', NULL), (185, 1, '511500000000-0001', '宜宾市民中心', 1964, 2023, 7, 4, 1, '2024-08-05 14:44:56', NULL), (186, 1, '511500000000-0001', '宜宾市民中心', 1839, 2023, 7, 5, 1, '2024-08-05 14:44:56', NULL), (187, 1, '511500000000-0001', '宜宾市民中心', 1800, 2023, 7, 6, 1, '2024-08-05 14:44:56', NULL), (188, 1, '511500000000-0001', '宜宾市民中心', 1982, 2023, 7, 7, 1, '2024-08-05 14:44:56', NULL), (189, 1, '511500000000-0001', '宜宾市民中心', 232, 2023, 7, 8, 1, '2024-08-05 14:44:56', NULL), (190, 1, '511500000000-0001', '宜宾市民中心', 164, 2023, 7, 9, 1, '2024-08-05 14:44:56', NULL), (191, 1, '511500000000-0001', '宜宾市民中心', 2039, 2023, 7, 10, 1, '2024-08-05 14:44:56', NULL), (192, 1, '511500000000-0001', '宜宾市民中心', 1758, 2023, 7, 11, 1, '2024-08-05 14:44:56', NULL), (193, 1, '511500000000-0001', '宜宾市民中心', 1957, 2023, 7, 12, 1, '2024-08-05 14:44:56', NULL), (194, 1, '511500000000-0001', '宜宾市民中心', 1745, 2023, 7, 13, 1, '2024-08-05 14:44:56', NULL), (195, 1, '511500000000-0001', '宜宾市民中心', 2166, 2023, 7, 14, 1, '2024-08-05 14:44:56', NULL), (196, 1, '511500000000-0001', '宜宾市民中心', 213, 2023, 7, 15, 1, '2024-08-05 14:44:56', NULL), (197, 1, '511500000000-0001', '宜宾市民中心', 233, 2023, 7, 16, 1, '2024-08-05 14:44:56', NULL), (198, 1, '511500000000-0001', '宜宾市民中心', 2352, 2023, 7, 17, 1, '2024-08-05 14:44:56', NULL), (199, 1, '511500000000-0001', '宜宾市民中心', 1873, 2023, 7, 18, 1, '2024-08-05 14:44:56', NULL), (200, 1, '511500000000-0001', '宜宾市民中心', 1721, 2023, 7, 19, 1, '2024-08-05 14:44:56', NULL), (201, 1, '511500000000-0001', '宜宾市民中心', 1754, 2023, 7, 20, 1, '2024-08-05 14:44:56', NULL), (202, 1, '511500000000-0001', '宜宾市民中心', 1783, 2023, 7, 21, 1, '2024-08-05 14:44:56', NULL), (203, 1, '511500000000-0001', '宜宾市民中心', 236, 2023, 7, 22, 1, '2024-08-05 14:44:56', NULL), (204, 1, '511500000000-0001', '宜宾市民中心', 220, 2023, 7, 23, 1, '2024-08-05 14:44:56', NULL), (205, 1, '511500000000-0001', '宜宾市民中心', 1955, 2023, 7, 24, 1, '2024-08-05 14:44:56', NULL), (206, 1, '511500000000-0001', '宜宾市民中心', 1443, 2023, 7, 25, 1, '2024-08-05 14:44:56', NULL), (207, 1, '511500000000-0001', '宜宾市民中心', 1683, 2023, 7, 26, 1, '2024-08-05 14:44:56', NULL), (208, 1, '511500000000-0001', '宜宾市民中心', 1612, 2023, 7, 27, 1, '2024-08-05 14:44:56', NULL), (209, 1, '511500000000-0001', '宜宾市民中心', 1686, 2023, 7, 28, 1, '2024-08-05 14:44:56', NULL), (210, 1, '511500000000-0001', '宜宾市民中心', 202, 2023, 7, 29, 1, '2024-08-05 14:44:56', NULL), (211, 1, '511500000000-0001', '宜宾市民中心', 152, 2023, 7, 30, 1, '2024-08-05 14:44:56', NULL), (212, 1, '511500000000-0001', '宜宾市民中心', 1739, 2023, 7, 31, 1, '2024-08-05 14:44:56', NULL), (213, 1, '511500000000-0001', '宜宾市民中心', 1684, 2023, 8, 1, 1, '2024-08-05 14:44:56', NULL), (214, 1, '511500000000-0001', '宜宾市民中心', 1630, 2023, 8, 2, 1, '2024-08-05 14:44:56', NULL), (215, 1, '511500000000-0001', '宜宾市民中心', 1634, 2023, 8, 3, 1, '2024-08-05 14:44:57', NULL), (216, 1, '511500000000-0001', '宜宾市民中心', 1737, 2023, 8, 4, 1, '2024-08-05 14:44:57', NULL), (217, 1, '511500000000-0001', '宜宾市民中心', 202, 2023, 8, 5, 1, '2024-08-05 14:44:57', NULL), (218, 1, '511500000000-0001', '宜宾市民中心', 104, 2023, 8, 6, 1, '2024-08-05 14:44:57', NULL), (219, 1, '511500000000-0001', '宜宾市民中心', 2006, 2023, 8, 7, 1, '2024-08-05 14:44:57', NULL), (220, 1, '511500000000-0001', '宜宾市民中心', 1902, 2023, 8, 8, 1, '2024-08-05 14:44:57', NULL), (221, 1, '511500000000-0001', '宜宾市民中心', 1668, 2023, 8, 9, 1, '2024-08-05 14:44:57', NULL), (222, 1, '511500000000-0001', '宜宾市民中心', 1714, 2023, 8, 10, 1, '2024-08-05 14:44:57', NULL), (223, 1, '511500000000-0001', '宜宾市民中心', 1664, 2023, 8, 11, 1, '2024-08-05 14:44:57', NULL), (224, 1, '511500000000-0001', '宜宾市民中心', 134, 2023, 8, 12, 1, '2024-08-05 14:44:57', NULL), (225, 1, '511500000000-0001', '宜宾市民中心', 98, 2023, 8, 13, 1, '2024-08-05 14:44:57', NULL), (226, 1, '511500000000-0001', '宜宾市民中心', 1795, 2023, 8, 14, 1, '2024-08-05 14:44:57', NULL), (227, 1, '511500000000-0001', '宜宾市民中心', 1521, 2023, 8, 15, 1, '2024-08-05 14:44:57', NULL), (228, 1, '511500000000-0001', '宜宾市民中心', 1442, 2023, 8, 16, 1, '2024-08-05 14:44:57', NULL), (229, 1, '511500000000-0001', '宜宾市民中心', 1561, 2023, 8, 17, 1, '2024-08-05 14:44:57', NULL), (230, 1, '511500000000-0001', '宜宾市民中心', 1583, 2023, 8, 18, 1, '2024-08-05 14:44:57', NULL), (231, 1, '511500000000-0001', '宜宾市民中心', 138, 2023, 8, 19, 1, '2024-08-05 14:44:57', NULL), (232, 1, '511500000000-0001', '宜宾市民中心', 104, 2023, 8, 20, 1, '2024-08-05 14:44:57', NULL), (233, 1, '511500000000-0001', '宜宾市民中心', 1737, 2023, 8, 21, 1, '2024-08-05 14:44:57', NULL), (234, 1, '511500000000-0001', '宜宾市民中心', 1530, 2023, 8, 22, 1, '2024-08-05 14:44:57', NULL), (235, 1, '511500000000-0001', '宜宾市民中心', 1603, 2023, 8, 23, 1, '2024-08-05 14:44:57', NULL), (236, 1, '511500000000-0001', '宜宾市民中心', 1699, 2023, 8, 24, 1, '2024-08-05 14:44:57', NULL), (237, 1, '511500000000-0001', '宜宾市民中心', 1613, 2023, 8, 25, 1, '2024-08-05 14:44:57', NULL), (238, 1, '511500000000-0001', '宜宾市民中心', 125, 2023, 8, 26, 1, '2024-08-05 14:44:57', NULL), (239, 1, '511500000000-0001', '宜宾市民中心', 91, 2023, 8, 27, 1, '2024-08-05 14:44:57', NULL), (240, 1, '511500000000-0001', '宜宾市民中心', 1916, 2023, 8, 28, 1, '2024-08-05 14:44:57', NULL), (241, 1, '511500000000-0001', '宜宾市民中心', 1645, 2023, 8, 29, 1, '2024-08-05 14:44:57', NULL), (242, 1, '511500000000-0001', '宜宾市民中心', 1526, 2023, 8, 30, 1, '2024-08-05 14:44:57', NULL), (243, 1, '511500000000-0001', '宜宾市民中心', 1293, 2023, 8, 31, 1, '2024-08-05 14:44:57', NULL), (244, 1, '511500000000-0001', '宜宾市民中心', 1553, 2023, 9, 1, 1, '2024-08-05 14:44:57', NULL), (245, 1, '511500000000-0001', '宜宾市民中心', 173, 2023, 9, 2, 1, '2024-08-05 14:44:57', NULL), (246, 1, '511500000000-0001', '宜宾市民中心', 96, 2023, 9, 3, 1, '2024-08-05 14:44:58', NULL), (247, 1, '511500000000-0001', '宜宾市民中心', 2006, 2023, 9, 4, 1, '2024-08-05 14:44:58', NULL), (248, 1, '511500000000-0001', '宜宾市民中心', 1113, 2023, 9, 5, 1, '2024-08-05 14:44:58', NULL), (249, 1, '511500000000-0001', '宜宾市民中心', 1596, 2023, 9, 6, 1, '2024-08-05 14:44:58', NULL), (250, 1, '511500000000-0001', '宜宾市民中心', 1626, 2023, 9, 7, 1, '2024-08-05 14:44:58', NULL), (251, 1, '511500000000-0001', '宜宾市民中心', 1581, 2023, 9, 8, 1, '2024-08-05 14:44:58', NULL), (252, 1, '511500000000-0001', '宜宾市民中心', 166, 2023, 9, 9, 1, '2024-08-05 14:44:58', NULL), (253, 1, '511500000000-0001', '宜宾市民中心', 122, 2023, 9, 10, 1, '2024-08-05 14:44:58', NULL), (254, 1, '511500000000-0001', '宜宾市民中心', 1875, 2023, 9, 11, 1, '2024-08-05 14:44:58', NULL), (255, 1, '511500000000-0001', '宜宾市民中心', 1829, 2023, 9, 12, 1, '2024-08-05 14:44:58', NULL), (256, 1, '511500000000-0001', '宜宾市民中心', 1668, 2023, 9, 13, 1, '2024-08-05 14:44:58', NULL), (257, 1, '511500000000-0001', '宜宾市民中心', 1588, 2023, 9, 14, 1, '2024-08-05 14:44:58', NULL), (258, 1, '511500000000-0001', '宜宾市民中心', 1669, 2023, 9, 15, 1, '2024-08-05 14:44:58', NULL), (259, 1, '511500000000-0001', '宜宾市民中心', 165, 2023, 9, 16, 1, '2024-08-05 14:44:58', NULL), (260, 1, '511500000000-0001', '宜宾市民中心', 113, 2023, 9, 17, 1, '2024-08-05 14:44:58', NULL), (261, 1, '511500000000-0001', '宜宾市民中心', 1688, 2023, 9, 18, 1, '2024-08-05 14:44:58', NULL), (262, 1, '511500000000-0001', '宜宾市民中心', 1522, 2023, 9, 19, 1, '2024-08-05 14:44:58', NULL), (263, 1, '511500000000-0001', '宜宾市民中心', 1377, 2023, 9, 20, 1, '2024-08-05 14:44:58', NULL), (264, 1, '511500000000-0001', '宜宾市民中心', 1533, 2023, 9, 21, 1, '2024-08-05 14:44:58', NULL), (265, 1, '511500000000-0001', '宜宾市民中心', 1412, 2023, 9, 22, 1, '2024-08-05 14:44:58', NULL), (266, 1, '511500000000-0001', '宜宾市民中心', 197, 2023, 9, 23, 1, '2024-08-05 14:44:58', NULL), (267, 1, '511500000000-0001', '宜宾市民中心', 39, 2023, 9, 24, 1, '2024-08-05 14:44:58', NULL), (268, 1, '511500000000-0001', '宜宾市民中心', 1663, 2023, 9, 25, 1, '2024-08-05 14:44:58', NULL), (269, 1, '511500000000-0001', '宜宾市民中心', 1518, 2023, 9, 26, 1, '2024-08-05 14:44:58', NULL), (270, 1, '511500000000-0001', '宜宾市民中心', 1561, 2023, 9, 27, 1, '2024-08-05 14:44:58', NULL), (271, 1, '511500000000-0001', '宜宾市民中心', 1349, 2023, 9, 28, 1, '2024-08-05 14:44:58', NULL), (272, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 9, 29, 1, '2024-08-05 14:44:58', NULL), (273, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 9, 30, 1, '2024-08-05 14:44:58', NULL), (274, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 10, 1, 1, '2024-08-05 14:44:58', NULL), (275, 1, '511500000000-0001', '宜宾市民中心', 0, 2023, 10, 2, 1, '2024-08-05 14:44:58', NULL), (276, 1, '511500000000-0001', '宜宾市民中心', 129, 2023, 10, 3, 1, '2024-08-05 14:44:58', NULL), (277, 1, '511500000000-0001', '宜宾市民中心', 121, 2023, 10, 4, 1, '2024-08-05 14:44:58', NULL), (278, 1, '511500000000-0001', '宜宾市民中心', 102, 2023, 10, 5, 1, '2024-08-05 14:44:58', NULL), (279, 1, '511500000000-0001', '宜宾市民中心', 89, 2023, 10, 6, 1, '2024-08-05 14:44:58', NULL), (280, 1, '511500000000-0001', '宜宾市民中心', 1970, 2023, 10, 7, 1, '2024-08-05 14:44:58', NULL), (281, 1, '511500000000-0001', '宜宾市民中心', 2140, 2023, 10, 8, 1, '2024-08-05 14:44:58', NULL), (282, 1, '511500000000-0001', '宜宾市民中心', 2018, 2023, 10, 9, 1, '2024-08-05 14:44:58', NULL), (283, 1, '511500000000-0001', '宜宾市民中心', 1952, 2023, 10, 10, 1, '2024-08-05 14:44:58', NULL), (284, 1, '511500000000-0001', '宜宾市民中心', 1890, 2023, 10, 11, 1, '2024-08-05 14:44:58', NULL), (285, 1, '511500000000-0001', '宜宾市民中心', 1726, 2023, 10, 12, 1, '2024-08-05 14:44:58', NULL), (286, 1, '511500000000-0001', '宜宾市民中心', 1697, 2023, 10, 13, 1, '2024-08-05 14:44:58', NULL), (287, 1, '511500000000-0001', '宜宾市民中心', 138, 2023, 10, 14, 1, '2024-08-05 14:44:58', NULL), (288, 1, '511500000000-0001', '宜宾市民中心', 107, 2023, 10, 15, 1, '2024-08-05 14:44:58', NULL), (289, 1, '511500000000-0001', '宜宾市民中心', 1950, 2023, 10, 16, 1, '2024-08-05 14:44:58', NULL), (290, 1, '511500000000-0001', '宜宾市民中心', 1960, 2023, 10, 17, 1, '2024-08-05 14:44:59', NULL), (291, 1, '511500000000-0001', '宜宾市民中心', 1783, 2023, 10, 18, 1, '2024-08-05 14:44:59', NULL), (292, 1, '511500000000-0001', '宜宾市民中心', 1688, 2023, 10, 19, 1, '2024-08-05 14:44:59', NULL), (293, 1, '511500000000-0001', '宜宾市民中心', 1651, 2023, 10, 20, 1, '2024-08-05 14:44:59', NULL), (294, 1, '511500000000-0001', '宜宾市民中心', 161, 2023, 10, 21, 1, '2024-08-05 14:44:59', NULL), (295, 1, '511500000000-0001', '宜宾市民中心', 78, 2023, 10, 22, 1, '2024-08-05 14:44:59', NULL), (296, 1, '511500000000-0001', '宜宾市民中心', 1908, 2023, 10, 23, 1, '2024-08-05 14:44:59', NULL), (297, 1, '511500000000-0001', '宜宾市民中心', 1807, 2023, 10, 24, 1, '2024-08-05 14:44:59', NULL), (298, 1, '511500000000-0001', '宜宾市民中心', 1438, 2023, 10, 25, 1, '2024-08-05 14:44:59', NULL), (299, 1, '511500000000-0001', '宜宾市民中心', 1442, 2023, 10, 26, 1, '2024-08-05 14:44:59', NULL), (300, 1, '511500000000-0001', '宜宾市民中心', 1671, 2023, 10, 27, 1, '2024-08-05 14:44:59', NULL), (301, 1, '511500000000-0001', '宜宾市民中心', 118, 2023, 10, 28, 1, '2024-08-05 14:44:59', NULL), (302, 1, '511500000000-0001', '宜宾市民中心', 86, 2023, 10, 29, 1, '2024-08-05 14:44:59', NULL), (303, 1, '511500000000-0001', '宜宾市民中心', 1676, 2023, 10, 30, 1, '2024-08-05 14:44:59', NULL), (304, 1, '511500000000-0001', '宜宾市民中心', 1734, 2023, 10, 31, 1, '2024-08-05 14:44:59', NULL), (305, 1, '511500000000-0001', '宜宾市民中心', 1803, 2023, 11, 1, 1, '2024-08-05 14:44:59', NULL), (306, 1, '511500000000-0001', '宜宾市民中心', 1705, 2023, 11, 2, 1, '2024-08-05 14:44:59', NULL), (307, 1, '511500000000-0001', '宜宾市民中心', 1683, 2023, 11, 3, 1, '2024-08-05 14:44:59', NULL), (308, 1, '511500000000-0001', '宜宾市民中心', 153, 2023, 11, 4, 1, '2024-08-05 14:44:59', NULL), (309, 1, '511500000000-0001', '宜宾市民中心', 64, 2023, 11, 5, 1, '2024-08-05 14:44:59', NULL), (310, 1, '511500000000-0001', '宜宾市民中心', 2112, 2023, 11, 6, 1, '2024-08-05 14:44:59', NULL), (311, 1, '511500000000-0001', '宜宾市民中心', 1904, 2023, 11, 7, 1, '2024-08-05 14:44:59', NULL), (312, 1, '511500000000-0001', '宜宾市民中心', 1606, 2023, 11, 8, 1, '2024-08-05 14:44:59', NULL), (313, 1, '511500000000-0001', '宜宾市民中心', 1600, 2023, 11, 9, 1, '2024-08-05 14:44:59', NULL), (314, 1, '511500000000-0001', '宜宾市民中心', 1731, 2023, 11, 10, 1, '2024-08-05 14:44:59', NULL), (315, 1, '511500000000-0001', '宜宾市民中心', 116, 2023, 11, 11, 1, '2024-08-05 14:44:59', NULL), (316, 1, '511500000000-0001', '宜宾市民中心', 80, 2023, 11, 12, 1, '2024-08-05 14:44:59', NULL), (317, 1, '511500000000-0001', '宜宾市民中心', 2143, 2023, 11, 13, 1, '2024-08-05 14:44:59', NULL), (318, 1, '511500000000-0001', '宜宾市民中心', 1835, 2023, 11, 14, 1, '2024-08-05 14:44:59', NULL), (319, 1, '511500000000-0001', '宜宾市民中心', 1448, 2023, 11, 15, 1, '2024-08-05 14:44:59', NULL), (320, 1, '511500000000-0001', '宜宾市民中心', 1541, 2023, 11, 16, 1, '2024-08-05 14:44:59', NULL), (321, 1, '511500000000-0001', '宜宾市民中心', 1475, 2023, 11, 17, 1, '2024-08-05 14:44:59', NULL), (322, 1, '511500000000-0001', '宜宾市民中心', 158, 2023, 11, 18, 1, '2024-08-05 14:44:59', NULL), (323, 1, '511500000000-0001', '宜宾市民中心', 101, 2023, 11, 19, 1, '2024-08-05 14:44:59', NULL), (324, 1, '511500000000-0001', '宜宾市民中心', 1835, 2023, 11, 20, 1, '2024-08-05 14:44:59', NULL), (325, 1, '511500000000-0001', '宜宾市民中心', 1663, 2023, 11, 21, 1, '2024-08-05 14:44:59', NULL), (326, 1, '511500000000-0001', '宜宾市民中心', 1631, 2023, 11, 22, 1, '2024-08-05 14:45:00', NULL), (327, 1, '511500000000-0001', '宜宾市民中心', 1635, 2023, 11, 23, 1, '2024-08-05 14:45:00', NULL), (328, 1, '511500000000-0001', '宜宾市民中心', 1547, 2023, 11, 24, 1, '2024-08-05 14:45:00', NULL), (329, 1, '511500000000-0001', '宜宾市民中心', 127, 2023, 11, 25, 1, '2024-08-05 14:45:00', NULL), (330, 1, '511500000000-0001', '宜宾市民中心', 111, 2023, 11, 26, 1, '2024-08-05 14:45:00', NULL), (331, 1, '511500000000-0001', '宜宾市民中心', 1861, 2023, 11, 27, 1, '2024-08-05 14:45:00', NULL), (332, 1, '511500000000-0001', '宜宾市民中心', 1669, 2023, 11, 28, 1, '2024-08-05 14:45:00', NULL), (333, 1, '511500000000-0001', '宜宾市民中心', 1513, 2023, 11, 29, 1, '2024-08-05 14:45:00', NULL), (334, 1, '511500000000-0001', '宜宾市民中心', 870, 2023, 11, 30, 1, '2024-08-05 14:45:00', NULL), (335, 1, '511500000000-0001', '宜宾市民中心', 1529, 2023, 12, 1, 1, '2024-08-05 14:45:00', NULL), (336, 1, '511500000000-0001', '宜宾市民中心', 146, 2023, 12, 2, 1, '2024-08-05 14:45:00', NULL), (337, 1, '511500000000-0001', '宜宾市民中心', 100, 2023, 12, 3, 1, '2024-08-05 14:45:00', NULL), (338, 1, '511500000000-0001', '宜宾市民中心', 2162, 2023, 12, 4, 1, '2024-08-05 14:45:00', NULL), (339, 1, '511500000000-0001', '宜宾市民中心', 1938, 2023, 12, 5, 1, '2024-08-05 14:45:00', NULL), (340, 1, '511500000000-0001', '宜宾市民中心', 1863, 2023, 12, 6, 1, '2024-08-05 14:45:00', NULL), (341, 1, '511500000000-0001', '宜宾市民中心', 1879, 2023, 12, 7, 1, '2024-08-05 14:45:00', NULL), (342, 1, '511500000000-0001', '宜宾市民中心', 1764, 2023, 12, 8, 1, '2024-08-05 14:45:00', NULL), (343, 1, '511500000000-0001', '宜宾市民中心', 91, 2023, 12, 9, 1, '2024-08-05 14:45:00', NULL), (344, 1, '511500000000-0001', '宜宾市民中心', 102, 2023, 12, 10, 1, '2024-08-05 14:45:00', NULL), (345, 1, '511500000000-0001', '宜宾市民中心', 1957, 2023, 12, 11, 1, '2024-08-05 14:45:00', NULL), (346, 1, '511500000000-0001', '宜宾市民中心', 1959, 2023, 12, 12, 1, '2024-08-05 14:45:00', NULL), (347, 1, '511500000000-0001', '宜宾市民中心', 1628, 2023, 12, 13, 1, '2024-08-05 14:45:00', NULL), (348, 1, '511500000000-0001', '宜宾市民中心', 1723, 2023, 12, 14, 1, '2024-08-05 14:45:00', NULL), (349, 1, '511500000000-0001', '宜宾市民中心', 1545, 2023, 12, 15, 1, '2024-08-05 14:45:00', NULL), (350, 1, '511500000000-0001', '宜宾市民中心', 137, 2023, 12, 16, 1, '2024-08-05 14:45:00', NULL), (351, 1, '511500000000-0001', '宜宾市民中心', 69, 2023, 12, 17, 1, '2024-08-05 14:45:00', NULL), (352, 1, '511500000000-0001', '宜宾市民中心', 1711, 2023, 12, 18, 1, '2024-08-05 14:45:00', NULL), (353, 1, '511500000000-0001', '宜宾市民中心', 1516, 2023, 12, 19, 1, '2024-08-05 14:45:00', NULL), (354, 1, '511500000000-0001', '宜宾市民中心', 1363, 2023, 12, 20, 1, '2024-08-05 14:45:00', NULL), (355, 1, '511500000000-0001', '宜宾市民中心', 1511, 2023, 12, 21, 1, '2024-08-05 14:45:00', NULL), (356, 1, '511500000000-0001', '宜宾市民中心', 1542, 2023, 12, 22, 1, '2024-08-05 14:45:00', NULL), (357, 1, '511500000000-0001', '宜宾市民中心', 171, 2023, 12, 23, 1, '2024-08-05 14:45:00', NULL), (358, 1, '511500000000-0001', '宜宾市民中心', 118, 2023, 12, 24, 1, '2024-08-05 14:45:00', NULL), (359, 1, '511500000000-0001', '宜宾市民中心', 2128, 2023, 12, 25, 1, '2024-08-05 14:45:01', NULL), (360, 1, '511500000000-0001', '宜宾市民中心', 1989, 2023, 12, 26, 1, '2024-08-05 14:45:01', NULL), (361, 1, '511500000000-0001', '宜宾市民中心', 1936, 2023, 12, 27, 1, '2024-08-05 14:45:01', NULL), (362, 1, '511500000000-0001', '宜宾市民中心', 1898, 2023, 12, 28, 1, '2024-08-05 14:45:01', NULL), (363, 1, '511500000000-0001', '宜宾市民中心', 1489, 2023, 12, 29, 1, '2024-08-05 14:45:01', NULL), (364, 1, '511500000000-0001', '宜宾市民中心', 111, 2023, 12, 30, 1, '2024-08-05 14:45:01', NULL), (365, 1, '511500000000-0001', '宜宾市民中心', 69, 2023, 12, 31, 1, '2024-08-05 14:45:01', NULL), (366, 1, '511500000000-0001', '宜宾市民中心', 45, 2024, 1, 1, 1, '2024-08-05 14:45:01', NULL), (367, 1, '511500000000-0001', '宜宾市民中心', 1570, 2024, 1, 2, 1, '2024-08-05 14:45:01', NULL), (368, 1, '511500000000-0001', '宜宾市民中心', 1532, 2024, 1, 3, 1, '2024-08-05 14:45:01', NULL), (369, 1, '511500000000-0001', '宜宾市民中心', 1662, 2024, 1, 4, 1, '2024-08-05 14:45:01', NULL), (370, 1, '511500000000-0001', '宜宾市民中心', 1628, 2024, 1, 5, 1, '2024-08-05 14:45:01', NULL), (371, 1, '511500000000-0001', '宜宾市民中心', 191, 2024, 1, 6, 1, '2024-08-05 14:45:01', NULL), (372, 1, '511500000000-0001', '宜宾市民中心', 119, 2024, 1, 7, 1, '2024-08-05 14:45:01', NULL), (373, 1, '511500000000-0001', '宜宾市民中心', 1878, 2024, 1, 8, 1, '2024-08-05 14:45:01', NULL), (374, 1, '511500000000-0001', '宜宾市民中心', 1595, 2024, 1, 9, 1, '2024-08-05 14:45:01', NULL), (375, 1, '511500000000-0001', '宜宾市民中心', 1366, 2024, 1, 10, 1, '2024-08-05 14:45:01', NULL), (376, 1, '511500000000-0001', '宜宾市民中心', 1380, 2024, 1, 11, 1, '2024-08-05 14:45:01', NULL), (377, 1, '511500000000-0001', '宜宾市民中心', 1593, 2024, 1, 12, 1, '2024-08-05 14:45:01', NULL), (378, 1, '511500000000-0001', '宜宾市民中心', 197, 2024, 1, 13, 1, '2024-08-05 14:45:01', NULL), (379, 1, '511500000000-0001', '宜宾市民中心', 114, 2024, 1, 14, 1, '2024-08-05 14:45:01', NULL), (380, 1, '511500000000-0001', '宜宾市民中心', 1802, 2024, 1, 15, 1, '2024-08-05 14:45:01', NULL), (381, 1, '511500000000-0001', '宜宾市民中心', 1591, 2024, 1, 16, 1, '2024-08-05 14:45:01', NULL), (382, 1, '511500000000-0001', '宜宾市民中心', 1452, 2024, 1, 17, 1, '2024-08-05 14:45:01', NULL), (383, 1, '511500000000-0001', '宜宾市民中心', 1397, 2024, 1, 18, 1, '2024-08-05 14:45:01', NULL), (384, 1, '511500000000-0001', '宜宾市民中心', 1436, 2024, 1, 19, 1, '2024-08-05 14:45:01', NULL), (385, 1, '511500000000-0001', '宜宾市民中心', 286, 2024, 1, 20, 1, '2024-08-05 14:45:01', NULL), (386, 1, '511500000000-0001', '宜宾市民中心', 150, 2024, 1, 21, 1, '2024-08-05 14:45:01', NULL), (387, 1, '511500000000-0001', '宜宾市民中心', 1549, 2024, 1, 22, 1, '2024-08-05 14:45:01', NULL), (388, 1, '511500000000-0001', '宜宾市民中心', 1418, 2024, 1, 23, 1, '2024-08-05 14:45:01', NULL), (389, 1, '511500000000-0001', '宜宾市民中心', 1211, 2024, 1, 24, 1, '2024-08-05 14:45:01', NULL), (390, 1, '511500000000-0001', '宜宾市民中心', 1402, 2024, 1, 25, 1, '2024-08-05 14:45:01', NULL), (391, 1, '511500000000-0001', '宜宾市民中心', 1351, 2024, 1, 26, 1, '2024-08-05 14:45:01', NULL), (392, 1, '511500000000-0001', '宜宾市民中心', 147, 2024, 1, 27, 1, '2024-08-05 14:45:01', NULL), (393, 1, '511500000000-0001', '宜宾市民中心', 120, 2024, 1, 28, 1, '2024-08-05 14:45:01', NULL), (394, 1, '511500000000-0001', '宜宾市民中心', 1634, 2024, 1, 29, 1, '2024-08-05 14:45:01', NULL), (395, 1, '511500000000-0001', '宜宾市民中心', 1382, 2024, 1, 30, 1, '2024-08-05 14:45:01', NULL), (396, 1, '511500000000-0001', '宜宾市民中心', 1155, 2024, 1, 31, 1, '2024-08-05 14:45:01', NULL), (397, 1, '511500000000-0001', '宜宾市民中心', 1532, 2024, 2, 1, 1, '2024-08-05 14:45:01', NULL), (398, 1, '511500000000-0001', '宜宾市民中心', 1323, 2024, 2, 2, 1, '2024-08-05 14:45:01', NULL), (399, 1, '511500000000-0001', '宜宾市民中心', 135, 2024, 2, 3, 1, '2024-08-05 14:45:01', NULL), (400, 1, '511500000000-0001', '宜宾市民中心', 814, 2024, 2, 4, 1, '2024-08-05 14:45:01', NULL), (401, 1, '511500000000-0001', '宜宾市民中心', 1454, 2024, 2, 5, 1, '2024-08-05 14:45:01', NULL), (402, 1, '511500000000-0001', '宜宾市民中心', 1202, 2024, 2, 6, 1, '2024-08-05 14:45:01', NULL), (403, 1, '511500000000-0001', '宜宾市民中心', 911, 2024, 2, 7, 1, '2024-08-05 14:45:01', NULL), (404, 1, '511500000000-0001', '宜宾市民中心', 681, 2024, 2, 8, 1, '2024-08-05 14:45:01', NULL), (405, 1, '511500000000-0001', '宜宾市民中心', 156, 2024, 2, 9, 1, '2024-08-05 14:45:01', NULL), (406, 1, '511500000000-0001', '宜宾市民中心', 0, 2024, 2, 10, 1, '2024-08-05 14:45:01', NULL), (407, 1, '511500000000-0001', '宜宾市民中心', 0, 2024, 2, 11, 1, '2024-08-05 14:45:01', NULL), (408, 1, '511500000000-0001', '宜宾市民中心', 2, 2024, 2, 12, 1, '2024-08-05 14:45:01', NULL), (409, 1, '511500000000-0001', '宜宾市民中心', 0, 2024, 2, 13, 1, '2024-08-05 14:45:01', NULL), (410, 1, '511500000000-0001', '宜宾市民中心', 76, 2024, 2, 14, 1, '2024-08-05 14:45:01', NULL), (411, 1, '511500000000-0001', '宜宾市民中心', 57, 2024, 2, 15, 1, '2024-08-05 14:45:01', NULL), (412, 1, '511500000000-0001', '宜宾市民中心', 70, 2024, 2, 16, 1, '2024-08-05 14:45:01', NULL), (413, 1, '511500000000-0001', '宜宾市民中心', 9, 2024, 2, 17, 1, '2024-08-05 14:45:01', NULL), (414, 1, '511500000000-0001', '宜宾市民中心', 1421, 2024, 2, 18, 1, '2024-08-05 14:45:01', NULL), (415, 1, '511500000000-0001', '宜宾市民中心', 1654, 2024, 2, 19, 1, '2024-08-05 14:45:01', NULL), (416, 1, '511500000000-0001', '宜宾市民中心', 1596, 2024, 2, 20, 1, '2024-08-05 14:45:01', NULL), (417, 1, '511500000000-0001', '宜宾市民中心', 1416, 2024, 2, 21, 1, '2024-08-05 14:45:01', NULL), (418, 1, '511500000000-0001', '宜宾市民中心', 1367, 2024, 2, 22, 1, '2024-08-05 14:45:01', NULL), (419, 1, '511500000000-0001', '宜宾市民中心', 1359, 2024, 2, 23, 1, '2024-08-05 14:45:01', NULL), (420, 1, '511500000000-0001', '宜宾市民中心', 99, 2024, 2, 24, 1, '2024-08-05 14:45:01', NULL), (421, 1, '511500000000-0001', '宜宾市民中心', 87, 2024, 2, 25, 1, '2024-08-05 14:45:01', NULL), (422, 1, '511500000000-0001', '宜宾市民中心', 1664, 2024, 2, 26, 1, '2024-08-05 14:45:01', NULL), (423, 1, '511500000000-0001', '宜宾市民中心', 1545, 2024, 2, 27, 1, '2024-08-05 14:45:01', NULL), (424, 1, '511500000000-0001', '宜宾市民中心', 1415, 2024, 2, 28, 1, '2024-08-05 14:45:01', NULL), (425, 1, '511500000000-0001', '宜宾市民中心', 1281, 2024, 2, 29, 1, '2024-08-05 14:45:01', NULL), (426, 1, '511500000000-0001', '宜宾市民中心', 1397, 2024, 3, 1, 1, '2024-08-05 14:45:01', NULL), (427, 1, '511500000000-0001', '宜宾市民中心', 147, 2024, 3, 2, 1, '2024-08-05 14:45:01', NULL), (428, 1, '511500000000-0001', '宜宾市民中心', 77, 2024, 3, 3, 1, '2024-08-05 14:45:01', NULL), (429, 1, '511500000000-0001', '宜宾市民中心', 1766, 2024, 3, 4, 1, '2024-08-05 14:45:01', NULL), (430, 1, '511500000000-0001', '宜宾市民中心', 1495, 2024, 3, 5, 1, '2024-08-05 14:45:01', NULL), (431, 1, '511500000000-0001', '宜宾市民中心', 1623, 2024, 3, 6, 1, '2024-08-05 14:45:01', NULL), (432, 1, '511500000000-0001', '宜宾市民中心', 1394, 2024, 3, 7, 1, '2024-08-05 14:45:01', NULL), (433, 1, '511500000000-0001', '宜宾市民中心', 1235, 2024, 3, 8, 1, '2024-08-05 14:45:01', NULL), (434, 1, '511500000000-0001', '宜宾市民中心', 132, 2024, 3, 9, 1, '2024-08-05 14:45:01', NULL), (435, 1, '511500000000-0001', '宜宾市民中心', 118, 2024, 3, 10, 1, '2024-08-05 14:45:01', NULL), (436, 1, '511500000000-0001', '宜宾市民中心', 1842, 2024, 3, 11, 1, '2024-08-05 14:45:01', NULL), (437, 1, '511500000000-0001', '宜宾市民中心', 1505, 2024, 3, 12, 1, '2024-08-05 14:45:01', NULL), (438, 1, '511500000000-0001', '宜宾市民中心', 1592, 2024, 3, 13, 1, '2024-08-05 14:45:01', NULL), (439, 1, '511500000000-0001', '宜宾市民中心', 1392, 2024, 3, 14, 1, '2024-08-05 14:45:01', NULL), (440, 1, '511500000000-0001', '宜宾市民中心', 1512, 2024, 3, 15, 1, '2024-08-05 14:45:01', NULL), (441, 1, '511500000000-0001', '宜宾市民中心', 165, 2024, 3, 16, 1, '2024-08-05 14:45:01', NULL), (442, 1, '511500000000-0001', '宜宾市民中心', 122, 2024, 3, 17, 1, '2024-08-05 14:45:02', NULL), (443, 1, '511500000000-0001', '宜宾市民中心', 1654, 2024, 3, 18, 1, '2024-08-05 14:45:02', NULL), (444, 1, '511500000000-0001', '宜宾市民中心', 1453, 2024, 3, 19, 1, '2024-08-05 14:45:02', NULL), (445, 1, '511500000000-0001', '宜宾市民中心', 1380, 2024, 3, 20, 1, '2024-08-05 14:45:02', NULL), (446, 1, '511500000000-0001', '宜宾市民中心', 1369, 2024, 3, 21, 1, '2024-08-05 14:45:02', NULL), (447, 1, '511500000000-0001', '宜宾市民中心', 1392, 2024, 3, 22, 1, '2024-08-05 14:45:02', NULL), (448, 1, '511500000000-0001', '宜宾市民中心', 206, 2024, 3, 23, 1, '2024-08-05 14:45:02', NULL), (449, 1, '511500000000-0001', '宜宾市民中心', 174, 2024, 3, 24, 1, '2024-08-05 14:45:02', NULL), (450, 1, '511500000000-0001', '宜宾市民中心', 1739, 2024, 3, 25, 1, '2024-08-05 14:45:02', NULL), (451, 1, '511500000000-0001', '宜宾市民中心', 1733, 2024, 3, 26, 1, '2024-08-05 14:45:02', NULL), (452, 1, '511500000000-0001', '宜宾市民中心', 1551, 2024, 3, 27, 1, '2024-08-05 14:45:02', NULL), (453, 1, '511500000000-0001', '宜宾市民中心', 1593, 2024, 3, 28, 1, '2024-08-05 14:45:02', NULL), (454, 1, '511500000000-0001', '宜宾市民中心', 1632, 2024, 3, 29, 1, '2024-08-05 14:45:02', NULL), (455, 1, '511500000000-0001', '宜宾市民中心', 176, 2024, 3, 30, 1, '2024-08-05 14:45:02', NULL), (456, 1, '511500000000-0001', '宜宾市民中心', 82, 2024, 3, 31, 1, '2024-08-05 14:45:02', NULL), (457, 1, '511500000000-0001', '宜宾市民中心', 1731, 2024, 4, 1, 1, '2024-08-05 14:45:02', NULL), (458, 1, '511500000000-0001', '宜宾市民中心', 1392, 2024, 4, 2, 1, '2024-08-05 14:45:02', NULL), (459, 1, '511500000000-0001', '宜宾市民中心', 1522, 2024, 4, 3, 1, '2024-08-05 14:45:02', NULL), (460, 1, '511500000000-0001', '宜宾市民中心', 70, 2024, 4, 4, 1, '2024-08-05 14:45:02', NULL), (461, 1, '511500000000-0001', '宜宾市民中心', 78, 2024, 4, 5, 1, '2024-08-05 14:45:02', NULL), (462, 1, '511500000000-0001', '宜宾市民中心', 61, 2024, 4, 6, 1, '2024-08-05 14:45:02', NULL), (463, 1, '511500000000-0001', '宜宾市民中心', 1365, 2024, 4, 7, 1, '2024-08-05 14:45:02', NULL), (464, 1, '511500000000-0001', '宜宾市民中心', 1784, 2024, 4, 8, 1, '2024-08-05 14:45:02', NULL), (465, 1, '511500000000-0001', '宜宾市民中心', 1535, 2024, 4, 9, 1, '2024-08-05 14:45:02', NULL), (466, 1, '511500000000-0001', '宜宾市民中心', 1470, 2024, 4, 10, 1, '2024-08-05 14:45:02', NULL), (467, 1, '511500000000-0001', '宜宾市民中心', 1605, 2024, 4, 11, 1, '2024-08-05 14:45:02', NULL), (468, 1, '511500000000-0001', '宜宾市民中心', 1590, 2024, 4, 12, 1, '2024-08-05 14:45:02', NULL), (469, 1, '511500000000-0001', '宜宾市民中心', 195, 2024, 4, 13, 1, '2024-08-05 14:45:02', NULL), (470, 1, '511500000000-0001', '宜宾市民中心', 73, 2024, 4, 14, 1, '2024-08-05 14:45:02', NULL), (471, 1, '511500000000-0001', '宜宾市民中心', 1656, 2024, 4, 15, 1, '2024-08-05 14:45:02', NULL), (472, 1, '511500000000-0001', '宜宾市民中心', 1519, 2024, 4, 16, 1, '2024-08-05 14:45:02', NULL), (473, 1, '511500000000-0001', '宜宾市民中心', 1531, 2024, 4, 17, 1, '2024-08-05 14:45:02', NULL), (474, 1, '511500000000-0001', '宜宾市民中心', 1441, 2024, 4, 18, 1, '2024-08-05 14:45:02', NULL), (475, 1, '511500000000-0001', '宜宾市民中心', 1404, 2024, 4, 19, 1, '2024-08-05 14:45:02', NULL), (476, 1, '511500000000-0001', '宜宾市民中心', 107, 2024, 4, 20, 1, '2024-08-05 14:45:02', NULL), (477, 1, '511500000000-0001', '宜宾市民中心', 93, 2024, 4, 21, 1, '2024-08-05 14:45:02', NULL), (478, 1, '511500000000-0001', '宜宾市民中心', 1602, 2024, 4, 22, 1, '2024-08-05 14:45:02', NULL), (479, 1, '511500000000-0001', '宜宾市民中心', 1424, 2024, 4, 23, 1, '2024-08-05 14:45:02', NULL), (480, 1, '511500000000-0001', '宜宾市民中心', 1566, 2024, 4, 24, 1, '2024-08-05 14:45:02', NULL), (481, 1, '511500000000-0001', '宜宾市民中心', 1311, 2024, 4, 25, 1, '2024-08-05 14:45:02', NULL), (482, 1, '511500000000-0001', '宜宾市民中心', 1402, 2024, 4, 26, 1, '2024-08-05 14:45:02', NULL), (483, 1, '511500000000-0001', '宜宾市民中心', 191, 2024, 4, 27, 1, '2024-08-05 14:45:02', NULL), (484, 1, '511500000000-0001', '宜宾市民中心', 1127, 2024, 4, 28, 1, '2024-08-05 14:45:02', NULL), (485, 1, '511500000000-0001', '宜宾市民中心', 1370, 2024, 4, 29, 1, '2024-08-05 14:45:02', NULL), (486, 1, '511500000000-0001', '宜宾市民中心', 1223, 2024, 4, 30, 1, '2024-08-05 14:45:02', NULL), (487, 1, '511500000000-0001', '宜宾市民中心', 101, 2024, 5, 1, 1, '2024-08-05 14:45:02', NULL), (488, 1, '511500000000-0001', '宜宾市民中心', 66, 2024, 5, 2, 1, '2024-08-05 14:45:02', NULL), (489, 1, '511500000000-0001', '宜宾市民中心', 66, 2024, 5, 3, 1, '2024-08-05 14:45:03', NULL), (490, 1, '511500000000-0001', '宜宾市民中心', 72, 2024, 5, 4, 1, '2024-08-05 14:45:03', NULL), (491, 1, '511500000000-0001', '宜宾市民中心', 65, 2024, 5, 5, 1, '2024-08-05 14:45:03', NULL), (492, 1, '511500000000-0001', '宜宾市民中心', 1673, 2024, 5, 6, 1, '2024-08-05 14:45:03', NULL), (493, 1, '511500000000-0001', '宜宾市民中心', 1575, 2024, 5, 7, 1, '2024-08-05 14:45:03', NULL), (494, 1, '511500000000-0001', '宜宾市民中心', 1182, 2024, 5, 8, 1, '2024-08-05 14:45:03', NULL), (495, 1, '511500000000-0001', '宜宾市民中心', 1440, 2024, 5, 9, 1, '2024-08-05 14:45:03', NULL), (496, 1, '511500000000-0001', '宜宾市民中心', 1483, 2024, 5, 10, 1, '2024-08-05 14:45:03', NULL), (497, 1, '511500000000-0001', '宜宾市民中心', 1000, 2024, 5, 11, 1, '2024-08-05 14:45:03', NULL), (498, 1, '511500000000-0001', '宜宾市民中心', 122, 2024, 5, 12, 1, '2024-08-05 14:45:03', NULL), (499, 1, '511500000000-0001', '宜宾市民中心', 1642, 2024, 5, 13, 1, '2024-08-05 14:45:03', NULL), (500, 1, '511500000000-0001', '宜宾市民中心', 1601, 2024, 5, 14, 1, '2024-08-05 14:45:03', NULL), (501, 1, '511500000000-0001', '宜宾市民中心', 1495, 2024, 5, 15, 1, '2024-08-05 14:45:03', NULL), (502, 1, '511500000000-0001', '宜宾市民中心', 1310, 2024, 5, 16, 1, '2024-08-05 14:45:03', NULL), (503, 1, '511500000000-0001', '宜宾市民中心', 1492, 2024, 5, 17, 1, '2024-08-05 14:45:03', NULL), (504, 1, '511500000000-0001', '宜宾市民中心', 169, 2024, 5, 18, 1, '2024-08-05 14:45:03', NULL), (505, 1, '511500000000-0001', '宜宾市民中心', 131, 2024, 5, 19, 1, '2024-08-05 14:45:03', NULL), (506, 1, '511500000000-0001', '宜宾市民中心', 1625, 2024, 5, 20, 1, '2024-08-05 14:45:03', NULL), (507, 1, '511500000000-0001', '宜宾市民中心', 1405, 2024, 5, 21, 1, '2024-08-05 14:45:03', NULL), (508, 1, '511500000000-0001', '宜宾市民中心', 1385, 2024, 5, 22, 1, '2024-08-05 14:45:03', NULL), (509, 1, '511500000000-0001', '宜宾市民中心', 1363, 2024, 5, 23, 1, '2024-08-05 14:45:03', NULL), (510, 1, '511500000000-0001', '宜宾市民中心', 1436, 2024, 5, 24, 1, '2024-08-05 14:45:03', NULL), (511, 1, '511500000000-0001', '宜宾市民中心', 196, 2024, 5, 25, 1, '2024-08-05 14:45:03', NULL), (512, 1, '511500000000-0001', '宜宾市民中心', 97, 2024, 5, 26, 1, '2024-08-05 14:45:03', NULL), (513, 1, '511500000000-0001', '宜宾市民中心', 1615, 2024, 5, 27, 1, '2024-08-05 14:45:03', NULL), (514, 1, '511500000000-0001', '宜宾市民中心', 1308, 2024, 5, 28, 1, '2024-08-05 14:45:03', NULL), (515, 1, '511500000000-0001', '宜宾市民中心', 1314, 2024, 5, 29, 1, '2024-08-05 14:45:03', NULL), (516, 1, '511500000000-0001', '宜宾市民中心', 1367, 2024, 5, 30, 1, '2024-08-05 14:45:03', NULL), (517, 1, '511500000000-0001', '宜宾市民中心', 1201, 2024, 5, 31, 1, '2024-08-05 14:45:03', NULL), (518, 1, '511500000000-0001', '宜宾市民中心', 165, 2024, 6, 1, 1, '2024-08-05 14:45:03', NULL), (519, 1, '511500000000-0001', '宜宾市民中心', 91, 2024, 6, 2, 1, '2024-08-05 14:45:03', NULL), (520, 1, '511500000000-0001', '宜宾市民中心', 1546, 2024, 6, 3, 1, '2024-08-05 14:45:03', NULL), (521, 1, '511500000000-0001', '宜宾市民中心', 1273, 2024, 6, 4, 1, '2024-08-05 14:45:03', NULL), (522, 1, '511500000000-0001', '宜宾市民中心', 1378, 2024, 6, 5, 1, '2024-08-05 14:45:03', NULL), (523, 1, '511500000000-0001', '宜宾市民中心', 1289, 2024, 6, 6, 1, '2024-08-05 14:45:03', NULL), (524, 1, '511500000000-0001', '宜宾市民中心', 1262, 2024, 6, 7, 1, '2024-08-05 14:45:03', NULL), (525, 1, '511500000000-0001', '宜宾市民中心', 138, 2024, 6, 8, 1, '2024-08-05 14:45:03', NULL), (526, 1, '511500000000-0001', '宜宾市民中心', 99, 2024, 6, 9, 1, '2024-08-05 14:45:04', NULL), (527, 1, '511500000000-0001', '宜宾市民中心', 41, 2024, 6, 10, 1, '2024-08-05 14:45:04', NULL), (528, 1, '511500000000-0001', '宜宾市民中心', 1509, 2024, 6, 11, 1, '2024-08-05 14:45:04', NULL), (529, 1, '511500000000-0001', '宜宾市民中心', 1621, 2024, 6, 12, 1, '2024-08-05 14:45:04', NULL), (530, 1, '511500000000-0001', '宜宾市民中心', 1571, 2024, 6, 13, 1, '2024-08-05 14:45:04', NULL), (531, 1, '511500000000-0001', '宜宾市民中心', 1524, 2024, 6, 14, 1, '2024-08-05 14:45:04', NULL), (532, 1, '511500000000-0001', '宜宾市民中心', 205, 2024, 6, 15, 1, '2024-08-05 14:45:04', NULL), (533, 1, '511500000000-0001', '宜宾市民中心', 161, 2024, 6, 16, 1, '2024-08-05 14:45:04', NULL), (534, 1, '511500000000-0001', '宜宾市民中心', 1639, 2024, 6, 17, 1, '2024-08-05 14:45:04', NULL), (535, 1, '511500000000-0001', '宜宾市民中心', 1511, 2024, 6, 18, 1, '2024-08-05 14:45:04', NULL), (536, 1, '511500000000-0001', '宜宾市民中心', 1475, 2024, 6, 19, 1, '2024-08-05 14:45:04', NULL), (537, 1, '511500000000-0001', '宜宾市民中心', 1450, 2024, 6, 20, 1, '2024-08-05 14:45:04', NULL), (538, 1, '511500000000-0001', '宜宾市民中心', 1281, 2024, 6, 21, 1, '2024-08-05 14:45:04', NULL), (539, 1, '511500000000-0001', '宜宾市民中心', 51, 2024, 6, 22, 1, '2024-08-05 14:45:04', NULL), (540, 1, '511500000000-0001', '宜宾市民中心', 240, 2024, 6, 23, 1, '2024-08-05 14:45:04', NULL), (541, 1, '511500000000-0001', '宜宾市民中心', 1638, 2024, 6, 24, 1, '2024-08-05 14:45:04', NULL), (542, 1, '511500000000-0001', '宜宾市民中心', 1472, 2024, 6, 25, 1, '2024-08-05 14:45:04', NULL), (543, 1, '511500000000-0001', '宜宾市民中心', 1195, 2024, 6, 26, 1, '2024-08-05 14:45:04', NULL), (544, 1, '511500000000-0001', '宜宾市民中心', 1438, 2024, 6, 27, 1, '2024-08-05 14:45:04', NULL), (545, 1, '511500000000-0001', '宜宾市民中心', 1751, 2024, 6, 28, 1, '2024-08-05 14:45:04', NULL), (546, 1, '511500000000-0001', '宜宾市民中心', 255, 2024, 6, 29, 1, '2024-08-05 14:45:04', NULL), (547, 1, '511500000000-0001', '宜宾市民中心', 166, 2024, 6, 30, 1, '2024-08-05 14:45:04', NULL), (548, 1, '511500000000-0001', '宜宾市民中心', 1577, 2024, 7, 1, 1, '2024-08-05 14:45:04', NULL), (549, 1, '511500000000-0001', '宜宾市民中心', 1416, 2024, 7, 2, 1, '2024-08-05 14:45:04', NULL), (550, 1, '511500000000-0001', '宜宾市民中心', 1554, 2024, 7, 3, 1, '2024-08-05 14:45:04', NULL), (551, 1, '511500000000-0001', '宜宾市民中心', 1385, 2024, 7, 4, 1, '2024-08-05 14:45:04', NULL), (552, 1, '511500000000-0001', '宜宾市民中心', 1366, 2024, 7, 5, 1, '2024-08-05 14:45:04', NULL), (553, 1, '511500000000-0001', '宜宾市民中心', 214, 2024, 7, 6, 1, '2024-08-05 14:45:04', NULL), (554, 1, '511500000000-0001', '宜宾市民中心', 125, 2024, 7, 7, 1, '2024-08-05 14:45:04', NULL), (555, 1, '511500000000-0001', '宜宾市民中心', 1843, 2024, 7, 8, 1, '2024-08-05 14:45:04', NULL), (556, 1, '511500000000-0001', '宜宾市民中心', 1467, 2024, 7, 9, 1, '2024-08-05 14:45:04', NULL), (557, 1, '511500000000-0001', '宜宾市民中心', 1319, 2024, 7, 10, 1, '2024-08-05 14:45:04', NULL), (558, 1, '511500000000-0001', '宜宾市民中心', 1686, 2024, 7, 11, 1, '2024-08-05 14:45:05', NULL), (559, 1, '511500000000-0001', '宜宾市民中心', 1481, 2024, 7, 12, 1, '2024-08-05 14:45:05', NULL), (560, 1, '511500000000-0001', '宜宾市民中心', 205, 2024, 7, 13, 1, '2024-08-05 14:45:05', NULL), (561, 1, '511500000000-0001', '宜宾市民中心', 141, 2024, 7, 14, 1, '2024-08-05 14:45:05', NULL), (562, 1, '511500000000-0001', '宜宾市民中心', 1805, 2024, 7, 15, 1, '2024-08-05 14:45:05', NULL), (563, 1, '511500000000-0001', '宜宾市民中心', 1462, 2024, 7, 16, 1, '2024-08-05 14:45:05', NULL), (564, 1, '511500000000-0001', '宜宾市民中心', 1344, 2024, 7, 17, 1, '2024-08-05 14:45:05', NULL), (565, 1, '511500000000-0001', '宜宾市民中心', 1521, 2024, 7, 18, 1, '2024-08-05 14:45:05', NULL), (566, 1, '511500000000-0001', '宜宾市民中心', 1295, 2024, 7, 19, 1, '2024-08-05 14:45:05', NULL), (567, 1, '511500000000-0001', '宜宾市民中心', 223, 2024, 7, 20, 1, '2024-08-05 14:45:05', NULL), (568, 1, '511500000000-0001', '宜宾市民中心', 136, 2024, 7, 21, 1, '2024-08-05 14:45:05', NULL), (569, 1, '511500000000-0001', '宜宾市民中心', 1674, 2024, 7, 22, 1, '2024-08-05 14:45:05', NULL), (570, 1, '511500000000-0001', '宜宾市民中心', 1324, 2024, 7, 23, 1, '2024-08-05 14:45:05', NULL), (571, 1, '511500000000-0001', '宜宾市民中心', 1358, 2024, 7, 24, 1, '2024-08-05 14:45:05', NULL), (572, 1, '511500000000-0001', '宜宾市民中心', 1258, 2024, 7, 25, 1, '2024-08-05 14:45:05', NULL), (573, 1, '511500000000-0001', '宜宾市民中心', 1419, 2024, 7, 26, 1, '2024-08-05 14:45:05', NULL), (574, 1, '511500000000-0001', '宜宾市民中心', 2, 2024, 7, 27, 1, '2024-08-05 14:45:05', NULL), (575, 1, '511500000000-0001', '宜宾市民中心', 2, 2024, 7, 28, 1, '2024-08-05 14:45:05', NULL), (576, 1, '511500000000-0001', '宜宾市民中心', 1638, 2024, 7, 29, 1, '2024-08-05 14:45:05', NULL), (577, 1, '511500000000-0001', '宜宾市民中心', 1370, 2024, 7, 30, 1, '2024-08-05 14:45:05', NULL), (578, 1, '511500000000-0001', '宜宾市民中心', 1225, 2024, 7, 31, 1, '2024-08-05 14:45:05', NULL), (579, 1, '511500000000-0001', '宜宾市民中心', 1162, 2024, 8, 1, 1, '2024-08-05 14:45:05', '2024-08-05 20:12:44'), (580, 1, '511500000000-0001', '宜宾市民中心', 1326, 2024, 8, 2, 1, '2024-08-05 14:45:05', '2024-08-06 02:20:03'), (581, 1, '511500000000-0001', '宜宾市民中心', 177, 2024, 8, 3, 1, '2024-08-05 14:45:05', '2024-08-07 01:30:01'), (582, 1, '511500000000-0001', '宜宾市民中心', 112, 2024, 8, 4, 1, '2024-08-05 14:45:05', '2024-08-08 01:30:01'), (583, 1, '511500000000-0001', '宜宾市民中心', 1609, 2024, 8, 5, 1, '2024-08-05 14:45:05', '2024-08-09 01:30:01'), (584, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 1, 1, '2024-08-05 14:57:52', NULL), (585, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 2, 1, '2024-08-05 14:57:52', NULL), (586, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 3, 1, '2024-08-05 14:57:52', NULL), (587, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 4, 1, '2024-08-05 14:57:52', NULL), (588, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 5, 1, '2024-08-05 14:57:52', NULL), (589, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 6, 1, '2024-08-05 14:57:52', NULL), (590, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 7, 1, '2024-08-05 14:57:52', NULL), (591, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 8, 1, '2024-08-05 14:57:52', NULL), (592, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 9, 1, '2024-08-05 14:57:53', NULL), (593, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 10, 1, '2024-08-05 14:57:53', NULL), (594, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 11, 1, '2024-08-05 14:57:53', NULL), (595, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 12, 1, '2024-08-05 14:57:53', NULL), (596, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 13, 1, '2024-08-05 14:57:53', NULL), (597, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 14, 1, '2024-08-05 14:57:53', NULL), (598, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 15, 1, '2024-08-05 14:57:53', NULL), (599, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 16, 1, '2024-08-05 14:57:53', NULL), (600, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 17, 1, '2024-08-05 14:57:53', NULL), (601, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 18, 1, '2024-08-05 14:57:53', NULL), (602, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 19, 1, '2024-08-05 14:57:53', NULL), (603, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 20, 1, '2024-08-05 14:57:53', NULL), (604, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 21, 1, '2024-08-05 14:57:53', NULL), (605, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 22, 1, '2024-08-05 14:57:53', NULL), (606, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 23, 1, '2024-08-05 14:57:53', NULL), (607, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 24, 1, '2024-08-05 14:57:53', NULL), (608, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 25, 1, '2024-08-05 14:57:53', NULL), (609, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 26, 1, '2024-08-05 14:57:53', NULL), (610, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 27, 1, '2024-08-05 14:57:53', NULL), (611, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 28, 1, '2024-08-05 14:57:53', NULL), (612, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 29, 1, '2024-08-05 14:57:53', NULL), (613, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 30, 1, '2024-08-05 14:57:53', NULL), (614, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 1, 31, 1, '2024-08-05 14:57:53', NULL), (615, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 1, 1, '2024-08-05 14:57:53', NULL), (616, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 2, 1, '2024-08-05 14:57:53', NULL), (617, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 3, 1, '2024-08-05 14:57:53', NULL), (618, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 4, 1, '2024-08-05 14:57:53', NULL), (619, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 5, 1, '2024-08-05 14:57:53', NULL), (620, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 6, 1, '2024-08-05 14:57:53', NULL), (621, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 7, 1, '2024-08-05 14:57:53', NULL), (622, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 8, 1, '2024-08-05 14:57:53', NULL), (623, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 9, 1, '2024-08-05 14:57:53', NULL), (624, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 10, 1, '2024-08-05 14:57:53', NULL), (625, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 11, 1, '2024-08-05 14:57:53', NULL), (626, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 12, 1, '2024-08-05 14:57:53', NULL), (627, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 13, 1, '2024-08-05 14:57:53', NULL), (628, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 14, 1, '2024-08-05 14:57:53', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (629, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 15, 1, '2024-08-05 14:57:53', NULL), (630, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 16, 1, '2024-08-05 14:57:53', NULL), (631, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 17, 1, '2024-08-05 14:57:53', NULL), (632, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 18, 1, '2024-08-05 14:57:54', NULL), (633, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 19, 1, '2024-08-05 14:57:54', NULL), (634, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 20, 1, '2024-08-05 14:57:54', NULL), (635, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 21, 1, '2024-08-05 14:57:54', NULL), (636, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 22, 1, '2024-08-05 14:57:54', NULL), (637, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 23, 1, '2024-08-05 14:57:54', NULL), (638, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 24, 1, '2024-08-05 14:57:54', NULL), (639, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 25, 1, '2024-08-05 14:57:54', NULL), (640, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 26, 1, '2024-08-05 14:57:54', NULL), (641, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 27, 1, '2024-08-05 14:57:54', NULL), (642, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 2, 28, 1, '2024-08-05 14:57:54', NULL), (643, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 1, 1, '2024-08-05 14:57:54', NULL), (644, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 2, 1, '2024-08-05 14:57:54', NULL), (645, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 3, 1, '2024-08-05 14:57:54', NULL), (646, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 4, 1, '2024-08-05 14:57:54', NULL), (647, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 5, 1, '2024-08-05 14:57:54', NULL), (648, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 6, 1, '2024-08-05 14:57:54', NULL), (649, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 7, 1, '2024-08-05 14:57:54', NULL), (650, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 8, 1, '2024-08-05 14:57:54', NULL), (651, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 9, 1, '2024-08-05 14:57:54', NULL), (652, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 10, 1, '2024-08-05 14:57:54', NULL), (653, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 11, 1, '2024-08-05 14:57:54', NULL), (654, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 12, 1, '2024-08-05 14:57:54', NULL), (655, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 13, 1, '2024-08-05 14:57:54', NULL), (656, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 14, 1, '2024-08-05 14:57:54', NULL), (657, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 15, 1, '2024-08-05 14:57:54', NULL), (658, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 16, 1, '2024-08-05 14:57:54', NULL), (659, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 17, 1, '2024-08-05 14:57:55', NULL), (660, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 18, 1, '2024-08-05 14:57:55', NULL), (661, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 19, 1, '2024-08-05 14:57:55', NULL), (662, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 20, 1, '2024-08-05 14:57:55', NULL), (663, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 21, 1, '2024-08-05 14:57:55', NULL), (664, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 22, 1, '2024-08-05 14:57:55', NULL), (665, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 23, 1, '2024-08-05 14:57:55', NULL), (666, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 24, 1, '2024-08-05 14:57:55', NULL), (667, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 25, 1, '2024-08-05 14:57:55', NULL), (668, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 26, 1, '2024-08-05 14:57:55', NULL), (669, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 27, 1, '2024-08-05 14:57:55', NULL), (670, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 28, 1, '2024-08-05 14:57:55', NULL), (671, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 29, 1, '2024-08-05 14:57:55', NULL), (672, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 30, 1, '2024-08-05 14:57:55', NULL), (673, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 3, 31, 1, '2024-08-05 14:57:55', NULL), (674, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 1, 1, '2024-08-05 14:57:55', NULL), (675, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 2, 1, '2024-08-05 14:57:55', NULL), (676, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 3, 1, '2024-08-05 14:57:55', NULL), (677, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 4, 1, '2024-08-05 14:57:56', NULL), (678, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 5, 1, '2024-08-05 14:57:56', NULL), (679, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 6, 1, '2024-08-05 14:57:56', NULL), (680, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 7, 1, '2024-08-05 14:57:56', NULL), (681, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 8, 1, '2024-08-05 14:57:56', NULL), (682, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 9, 1, '2024-08-05 14:57:56', NULL), (683, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 10, 1, '2024-08-05 14:57:56', NULL), (684, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 11, 1, '2024-08-05 14:57:56', NULL), (685, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 12, 1, '2024-08-05 14:57:56', NULL), (686, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 13, 1, '2024-08-05 14:57:56', NULL), (687, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 14, 1, '2024-08-05 14:57:56', NULL), (688, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 15, 1, '2024-08-05 14:57:56', NULL), (689, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 16, 1, '2024-08-05 14:57:56', NULL), (690, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 17, 1, '2024-08-05 14:57:56', NULL), (691, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 18, 1, '2024-08-05 14:57:56', NULL), (692, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 19, 1, '2024-08-05 14:57:57', NULL), (693, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 20, 1, '2024-08-05 14:57:57', NULL), (694, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 21, 1, '2024-08-05 14:57:57', NULL), (695, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 22, 1, '2024-08-05 14:57:57', NULL), (696, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 23, 1, '2024-08-05 14:57:57', NULL), (697, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 24, 1, '2024-08-05 14:57:57', NULL), (698, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 25, 1, '2024-08-05 14:57:57', NULL), (699, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 26, 1, '2024-08-05 14:57:57', NULL), (700, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 27, 1, '2024-08-05 14:57:57', NULL), (701, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 28, 1, '2024-08-05 14:57:57', NULL), (702, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 29, 1, '2024-08-05 14:57:57', NULL), (703, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 4, 30, 1, '2024-08-05 14:57:57', NULL), (704, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 1, 1, '2024-08-05 14:57:57', NULL), (705, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 2, 1, '2024-08-05 14:57:57', NULL), (706, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 3, 1, '2024-08-05 14:57:57', NULL), (707, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 4, 1, '2024-08-05 14:57:57', NULL), (708, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 5, 1, '2024-08-05 14:57:58', NULL), (709, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 6, 1, '2024-08-05 14:57:58', NULL), (710, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 7, 1, '2024-08-05 14:57:58', NULL), (711, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 8, 1, '2024-08-05 14:57:58', NULL), (712, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 9, 1, '2024-08-05 14:57:58', NULL), (713, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 10, 1, '2024-08-05 14:57:58', NULL), (714, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 11, 1, '2024-08-05 14:57:58', NULL), (715, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 12, 1, '2024-08-05 14:57:58', NULL), (716, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 13, 1, '2024-08-05 14:57:58', NULL), (717, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 14, 1, '2024-08-05 14:57:59', NULL), (718, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 15, 1, '2024-08-05 14:57:59', NULL), (719, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 16, 1, '2024-08-05 14:57:59', NULL), (720, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 17, 1, '2024-08-05 14:57:59', NULL), (721, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 18, 1, '2024-08-05 14:57:59', NULL), (722, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 19, 1, '2024-08-05 14:57:59', NULL), (723, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 20, 1, '2024-08-05 14:58:00', NULL), (724, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 21, 1, '2024-08-05 14:58:00', NULL), (725, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 22, 1, '2024-08-05 14:58:00', NULL), (726, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 23, 1, '2024-08-05 14:58:00', NULL), (727, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 24, 1, '2024-08-05 14:58:00', NULL), (728, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 25, 1, '2024-08-05 14:58:00', NULL), (729, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 26, 1, '2024-08-05 14:58:01', NULL), (730, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 27, 1, '2024-08-05 14:58:01', NULL), (731, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 28, 1, '2024-08-05 14:58:01', NULL), (732, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 29, 1, '2024-08-05 14:58:01', NULL), (733, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 30, 1, '2024-08-05 14:58:01', NULL), (734, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 5, 31, 1, '2024-08-05 14:58:01', NULL), (735, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 1, 1, '2024-08-05 14:58:02', NULL), (736, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 2, 1, '2024-08-05 14:58:02', NULL), (737, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 3, 1, '2024-08-05 14:58:02', NULL), (738, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 4, 1, '2024-08-05 14:58:02', NULL), (739, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 5, 1, '2024-08-05 14:58:02', NULL), (740, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 6, 1, '2024-08-05 14:58:02', NULL), (741, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 7, 1, '2024-08-05 14:58:03', NULL), (742, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 8, 1, '2024-08-05 14:58:03', NULL), (743, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 9, 1, '2024-08-05 14:58:03', NULL), (744, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 10, 1, '2024-08-05 14:58:03', NULL), (745, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 11, 1, '2024-08-05 14:58:03', NULL), (746, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 12, 1, '2024-08-05 14:58:03', NULL), (747, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 13, 1, '2024-08-05 14:58:04', NULL), (748, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 14, 1, '2024-08-05 14:58:04', NULL), (749, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 15, 1, '2024-08-05 14:58:04', NULL), (750, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 16, 1, '2024-08-05 14:58:04', NULL), (751, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 17, 1, '2024-08-05 14:58:04', NULL), (752, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 18, 1, '2024-08-05 14:58:04', NULL), (753, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 19, 1, '2024-08-05 14:58:05', NULL), (754, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 20, 1, '2024-08-05 14:58:05', NULL), (755, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 21, 1, '2024-08-05 14:58:05', NULL), (756, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 22, 1, '2024-08-05 14:58:05', NULL), (757, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 23, 1, '2024-08-05 14:58:05', NULL), (758, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 24, 1, '2024-08-05 14:58:05', NULL), (759, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 25, 1, '2024-08-05 14:58:06', NULL), (760, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 26, 1, '2024-08-05 14:58:06', NULL), (761, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 27, 1, '2024-08-05 14:58:06', NULL), (762, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 28, 1, '2024-08-05 14:58:06', NULL), (763, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 29, 1, '2024-08-05 14:58:06', NULL), (764, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 6, 30, 1, '2024-08-05 14:58:06', NULL), (765, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 1, 1, '2024-08-05 14:58:07', NULL), (766, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 2, 1, '2024-08-05 14:58:07', NULL), (767, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 3, 1, '2024-08-05 14:58:07', NULL), (768, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 4, 1, '2024-08-05 14:58:07', NULL), (769, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 5, 1, '2024-08-05 14:58:07', NULL), (770, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 6, 1, '2024-08-05 14:58:07', NULL), (771, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 7, 1, '2024-08-05 14:58:08', NULL), (772, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 8, 1, '2024-08-05 14:58:08', NULL), (773, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 9, 1, '2024-08-05 14:58:08', NULL), (774, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 10, 1, '2024-08-05 14:58:08', NULL), (775, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 11, 1, '2024-08-05 14:58:08', NULL), (776, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 12, 1, '2024-08-05 14:58:08', NULL), (777, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 13, 1, '2024-08-05 14:58:09', NULL), (778, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 14, 1, '2024-08-05 14:58:09', NULL), (779, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 15, 1, '2024-08-05 14:58:09', NULL), (780, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 16, 1, '2024-08-05 14:58:09', NULL), (781, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 17, 1, '2024-08-05 14:58:09', NULL), (782, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 18, 1, '2024-08-05 14:58:09', NULL), (783, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 19, 1, '2024-08-05 14:58:10', NULL), (784, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 20, 1, '2024-08-05 14:58:10', NULL), (785, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 21, 1, '2024-08-05 14:58:10', NULL), (786, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 22, 1, '2024-08-05 14:58:10', NULL), (787, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 23, 1, '2024-08-05 14:58:10', NULL), (788, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 24, 1, '2024-08-05 14:58:11', NULL), (789, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 25, 1, '2024-08-05 14:58:11', NULL), (790, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 26, 1, '2024-08-05 14:58:11', NULL), (791, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 27, 1, '2024-08-05 14:58:11', NULL), (792, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 28, 1, '2024-08-05 14:58:11', NULL), (793, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 29, 1, '2024-08-05 14:58:11', NULL), (794, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 30, 1, '2024-08-05 14:58:12', NULL), (795, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 7, 31, 1, '2024-08-05 14:58:12', NULL), (796, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 1, 1, '2024-08-05 14:58:12', NULL), (797, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 2, 1, '2024-08-05 14:58:12', NULL), (798, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 3, 1, '2024-08-05 14:58:12', NULL), (799, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 4, 1, '2024-08-05 14:58:12', NULL), (800, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 5, 1, '2024-08-05 14:58:13', NULL), (801, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 6, 1, '2024-08-05 14:58:13', NULL), (802, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 7, 1, '2024-08-05 14:58:13', NULL), (803, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 8, 1, '2024-08-05 14:58:13', NULL), (804, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 9, 1, '2024-08-05 14:58:13', NULL), (805, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 10, 1, '2024-08-05 14:58:13', NULL), (806, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 11, 1, '2024-08-05 14:58:13', NULL), (807, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 12, 1, '2024-08-05 14:58:14', NULL), (808, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 13, 1, '2024-08-05 14:58:14', NULL), (809, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 14, 1, '2024-08-05 14:58:14', NULL), (810, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 15, 1, '2024-08-05 14:58:14', NULL), (811, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 16, 1, '2024-08-05 14:58:14', NULL), (812, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 17, 1, '2024-08-05 14:58:14', NULL), (813, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 18, 1, '2024-08-05 14:58:14', NULL), (814, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 19, 1, '2024-08-05 14:58:14', NULL), (815, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 20, 1, '2024-08-05 14:58:14', NULL), (816, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 21, 1, '2024-08-05 14:58:14', NULL), (817, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 22, 1, '2024-08-05 14:58:14', NULL), (818, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 23, 1, '2024-08-05 14:58:14', NULL), (819, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 24, 1, '2024-08-05 14:58:14', NULL), (820, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 25, 1, '2024-08-05 14:58:14', NULL), (821, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 26, 1, '2024-08-05 14:58:14', NULL), (822, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 27, 1, '2024-08-05 14:58:14', NULL), (823, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 28, 1, '2024-08-05 14:58:14', NULL), (824, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 29, 1, '2024-08-05 14:58:14', NULL), (825, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 30, 1, '2024-08-05 14:58:14', NULL), (826, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 8, 31, 1, '2024-08-05 14:58:14', NULL), (827, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 1, 1, '2024-08-05 14:58:14', NULL), (828, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 2, 1, '2024-08-05 14:58:14', NULL), (829, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 3, 1, '2024-08-05 14:58:15', NULL), (830, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 4, 1, '2024-08-05 14:58:15', NULL), (831, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 5, 1, '2024-08-05 14:58:15', NULL), (832, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 6, 1, '2024-08-05 14:58:15', NULL), (833, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 7, 1, '2024-08-05 14:58:15', NULL), (834, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 8, 1, '2024-08-05 14:58:15', NULL), (835, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 9, 1, '2024-08-05 14:58:15', NULL), (836, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 10, 1, '2024-08-05 14:58:15', NULL), (837, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 11, 1, '2024-08-05 14:58:15', NULL), (838, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 12, 1, '2024-08-05 14:58:15', NULL), (839, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 13, 1, '2024-08-05 14:58:15', NULL), (840, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 14, 1, '2024-08-05 14:58:15', NULL), (841, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 15, 1, '2024-08-05 14:58:15', NULL), (842, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 16, 1, '2024-08-05 14:58:15', NULL), (843, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 17, 1, '2024-08-05 14:58:15', NULL), (844, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 18, 1, '2024-08-05 14:58:15', NULL), (845, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 19, 1, '2024-08-05 14:58:15', NULL), (846, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 20, 1, '2024-08-05 14:58:15', NULL), (847, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 21, 1, '2024-08-05 14:58:15', NULL), (848, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 22, 1, '2024-08-05 14:58:15', NULL), (849, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 23, 1, '2024-08-05 14:58:15', NULL), (850, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 24, 1, '2024-08-05 14:58:15', NULL), (851, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 25, 1, '2024-08-05 14:58:15', NULL), (852, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 26, 1, '2024-08-05 14:58:15', NULL), (853, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 27, 1, '2024-08-05 14:58:15', NULL), (854, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 28, 1, '2024-08-05 14:58:15', NULL), (855, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 29, 1, '2024-08-05 14:58:15', NULL), (856, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 9, 30, 1, '2024-08-05 14:58:15', NULL), (857, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 1, 1, '2024-08-05 14:58:15', NULL), (858, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 2, 1, '2024-08-05 14:58:15', NULL), (859, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 3, 1, '2024-08-05 14:58:15', NULL), (860, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 4, 1, '2024-08-05 14:58:15', NULL), (861, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 5, 1, '2024-08-05 14:58:16', NULL), (862, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 6, 1, '2024-08-05 14:58:16', NULL), (863, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 7, 1, '2024-08-05 14:58:16', NULL), (864, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 8, 1, '2024-08-05 14:58:16', NULL), (865, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 9, 1, '2024-08-05 14:58:16', NULL), (866, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 10, 1, '2024-08-05 14:58:16', NULL), (867, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 11, 1, '2024-08-05 14:58:16', NULL), (868, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 12, 1, '2024-08-05 14:58:16', NULL), (869, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 13, 1, '2024-08-05 14:58:16', NULL), (870, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 14, 1, '2024-08-05 14:58:16', NULL), (871, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 15, 1, '2024-08-05 14:58:16', NULL), (872, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 16, 1, '2024-08-05 14:58:16', NULL), (873, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 17, 1, '2024-08-05 14:58:16', NULL), (874, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 18, 1, '2024-08-05 14:58:16', NULL), (875, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 19, 1, '2024-08-05 14:58:16', NULL), (876, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 20, 1, '2024-08-05 14:58:16', NULL), (877, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 21, 1, '2024-08-05 14:58:16', NULL), (878, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 22, 1, '2024-08-05 14:58:16', NULL), (879, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 23, 1, '2024-08-05 14:58:16', NULL), (880, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 24, 1, '2024-08-05 14:58:16', NULL), (881, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 25, 1, '2024-08-05 14:58:16', NULL), (882, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 26, 1, '2024-08-05 14:58:16', NULL), (883, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 27, 1, '2024-08-05 14:58:16', NULL), (884, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 28, 1, '2024-08-05 14:58:16', NULL), (885, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 29, 1, '2024-08-05 14:58:16', NULL), (886, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 30, 1, '2024-08-05 14:58:16', NULL), (887, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 10, 31, 1, '2024-08-05 14:58:16', NULL), (888, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 1, 1, '2024-08-05 14:58:16', NULL), (889, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 2, 1, '2024-08-05 14:58:16', NULL), (890, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 3, 1, '2024-08-05 14:58:16', NULL), (891, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 4, 1, '2024-08-05 14:58:16', NULL), (892, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 5, 1, '2024-08-05 14:58:16', NULL), (893, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 6, 1, '2024-08-05 14:58:16', NULL), (894, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 7, 1, '2024-08-05 14:58:17', NULL), (895, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 8, 1, '2024-08-05 14:58:17', NULL), (896, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 9, 1, '2024-08-05 14:58:17', NULL), (897, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 10, 1, '2024-08-05 14:58:17', NULL), (898, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 11, 1, '2024-08-05 14:58:17', NULL), (899, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 12, 1, '2024-08-05 14:58:17', NULL), (900, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 13, 1, '2024-08-05 14:58:17', NULL), (901, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 14, 1, '2024-08-05 14:58:17', NULL), (902, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 15, 1, '2024-08-05 14:58:17', NULL), (903, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 16, 1, '2024-08-05 14:58:17', NULL), (904, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 17, 1, '2024-08-05 14:58:17', NULL), (905, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 18, 1, '2024-08-05 14:58:17', NULL), (906, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 19, 1, '2024-08-05 14:58:17', NULL), (907, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 20, 1, '2024-08-05 14:58:17', NULL), (908, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 21, 1, '2024-08-05 14:58:17', NULL), (909, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 22, 1, '2024-08-05 14:58:17', NULL), (910, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 23, 1, '2024-08-05 14:58:17', NULL), (911, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 24, 1, '2024-08-05 14:58:17', NULL), (912, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 25, 1, '2024-08-05 14:58:17', NULL), (913, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 26, 1, '2024-08-05 14:58:17', NULL), (914, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 27, 1, '2024-08-05 14:58:17', NULL), (915, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 28, 1, '2024-08-05 14:58:17', NULL), (916, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 29, 1, '2024-08-05 14:58:17', NULL), (917, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 11, 30, 1, '2024-08-05 14:58:17', NULL), (918, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 1, 1, '2024-08-05 14:58:17', NULL), (919, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 2, 1, '2024-08-05 14:58:17', NULL), (920, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 3, 1, '2024-08-05 14:58:17', NULL), (921, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 4, 1, '2024-08-05 14:58:17', NULL), (922, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 5, 1, '2024-08-05 14:58:17', NULL), (923, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 6, 1, '2024-08-05 14:58:17', NULL), (924, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 7, 1, '2024-08-05 14:58:18', NULL), (925, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 8, 1, '2024-08-05 14:58:18', NULL), (926, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 9, 1, '2024-08-05 14:58:18', NULL), (927, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 10, 1, '2024-08-05 14:58:18', NULL), (928, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 11, 1, '2024-08-05 14:58:18', NULL), (929, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 12, 1, '2024-08-05 14:58:18', NULL), (930, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 13, 1, '2024-08-05 14:58:18', NULL), (931, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 14, 1, '2024-08-05 14:58:18', NULL), (932, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 15, 1, '2024-08-05 14:58:18', NULL), (933, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 16, 1, '2024-08-05 14:58:18', NULL), (934, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 17, 1, '2024-08-05 14:58:18', NULL), (935, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 18, 1, '2024-08-05 14:58:18', NULL), (936, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 19, 1, '2024-08-05 14:58:18', NULL), (937, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 20, 1, '2024-08-05 14:58:18', NULL), (938, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 21, 1, '2024-08-05 14:58:18', NULL), (939, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 22, 1, '2024-08-05 14:58:18', NULL), (940, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 23, 1, '2024-08-05 14:58:18', NULL), (941, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 24, 1, '2024-08-05 14:58:18', NULL), (942, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 25, 1, '2024-08-05 14:58:18', NULL), (943, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 26, 1, '2024-08-05 14:58:18', NULL), (944, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 27, 1, '2024-08-05 14:58:18', NULL), (945, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 28, 1, '2024-08-05 14:58:18', NULL), (946, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 29, 1, '2024-08-05 14:58:18', NULL), (947, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 30, 1, '2024-08-05 14:58:18', NULL), (948, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2023, 12, 31, 1, '2024-08-05 14:58:18', NULL), (949, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 1, 1, '2024-08-05 14:58:18', NULL), (950, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 2, 1, '2024-08-05 14:58:18', NULL), (951, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 3, 1, '2024-08-05 14:58:18', NULL), (952, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 4, 1, '2024-08-05 14:58:18', NULL), (953, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 5, 1, '2024-08-05 14:58:18', NULL), (954, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 6, 1, '2024-08-05 14:58:18', NULL), (955, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 7, 1, '2024-08-05 14:58:18', NULL), (956, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 8, 1, '2024-08-05 14:58:19', NULL), (957, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 9, 1, '2024-08-05 14:58:19', NULL), (958, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 10, 1, '2024-08-05 14:58:19', NULL), (959, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 11, 1, '2024-08-05 14:58:19', NULL), (960, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 12, 1, '2024-08-05 14:58:19', NULL), (961, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 13, 1, '2024-08-05 14:58:19', NULL), (962, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 14, 1, '2024-08-05 14:58:19', NULL), (963, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 15, 1, '2024-08-05 14:58:19', NULL), (964, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 16, 1, '2024-08-05 14:58:19', NULL), (965, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 17, 1, '2024-08-05 14:58:19', NULL), (966, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 18, 1, '2024-08-05 14:58:19', NULL), (967, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 19, 1, '2024-08-05 14:58:19', NULL), (968, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 20, 1, '2024-08-05 14:58:19', NULL), (969, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 21, 1, '2024-08-05 14:58:19', NULL), (970, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 22, 1, '2024-08-05 14:58:19', NULL), (971, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 23, 1, '2024-08-05 14:58:19', NULL), (972, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 24, 1, '2024-08-05 14:58:19', NULL), (973, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 25, 1, '2024-08-05 14:58:19', NULL), (974, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 26, 1, '2024-08-05 14:58:19', NULL), (975, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 27, 1, '2024-08-05 14:58:19', NULL), (976, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 28, 1, '2024-08-05 14:58:19', NULL), (977, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 29, 1, '2024-08-05 14:58:19', NULL), (978, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 30, 1, '2024-08-05 14:58:19', NULL), (979, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 1, 31, 1, '2024-08-05 14:58:19', NULL), (980, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 1, 1, '2024-08-05 14:58:19', NULL), (981, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 2, 1, '2024-08-05 14:58:19', NULL), (982, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 3, 1, '2024-08-05 14:58:19', NULL), (983, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 4, 1, '2024-08-05 14:58:19', NULL), (984, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 5, 1, '2024-08-05 14:58:19', NULL), (985, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 6, 1, '2024-08-05 14:58:19', NULL), (986, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 7, 1, '2024-08-05 14:58:19', NULL), (987, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 8, 1, '2024-08-05 14:58:19', NULL), (988, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 9, 1, '2024-08-05 14:58:19', NULL), (989, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 10, 1, '2024-08-05 14:58:19', NULL), (990, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 11, 1, '2024-08-05 14:58:19', NULL), (991, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 12, 1, '2024-08-05 14:58:19', NULL), (992, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 13, 1, '2024-08-05 14:58:19', NULL), (993, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 14, 1, '2024-08-05 14:58:19', NULL), (994, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 15, 1, '2024-08-05 14:58:19', NULL), (995, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 16, 1, '2024-08-05 14:58:19', NULL), (996, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 17, 1, '2024-08-05 14:58:19', NULL), (997, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 18, 1, '2024-08-05 14:58:19', NULL), (998, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 19, 1, '2024-08-05 14:58:19', NULL), (999, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 20, 1, '2024-08-05 14:58:19', NULL), (1000, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 21, 1, '2024-08-05 14:58:19', NULL), (1001, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 22, 1, '2024-08-05 14:58:19', NULL), (1002, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 23, 1, '2024-08-05 14:58:19', NULL), (1003, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 24, 1, '2024-08-05 14:58:19', NULL), (1004, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 25, 1, '2024-08-05 14:58:19', NULL), (1005, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 26, 1, '2024-08-05 14:58:19', NULL), (1006, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 27, 1, '2024-08-05 14:58:19', NULL), (1007, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 28, 1, '2024-08-05 14:58:19', NULL), (1008, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 2, 29, 1, '2024-08-05 14:58:19', NULL), (1009, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 1, 1, '2024-08-05 14:58:20', NULL), (1010, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 2, 1, '2024-08-05 14:58:20', NULL), (1011, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 3, 1, '2024-08-05 14:58:20', NULL), (1012, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 4, 1, '2024-08-05 14:58:20', NULL), (1013, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 5, 1, '2024-08-05 14:58:20', NULL), (1014, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 6, 1, '2024-08-05 14:58:20', NULL), (1015, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 7, 1, '2024-08-05 14:58:20', NULL), (1016, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 8, 1, '2024-08-05 14:58:20', NULL), (1017, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 9, 1, '2024-08-05 14:58:20', NULL), (1018, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 10, 1, '2024-08-05 14:58:20', NULL), (1019, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 11, 1, '2024-08-05 14:58:20', NULL), (1020, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 12, 1, '2024-08-05 14:58:20', NULL), (1021, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 13, 1, '2024-08-05 14:58:20', NULL), (1022, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 14, 1, '2024-08-05 14:58:20', NULL), (1023, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 15, 1, '2024-08-05 14:58:20', NULL), (1024, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 16, 1, '2024-08-05 14:58:20', NULL), (1025, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 17, 1, '2024-08-05 14:58:20', NULL), (1026, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 18, 1, '2024-08-05 14:58:20', NULL), (1027, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 19, 1, '2024-08-05 14:58:20', NULL), (1028, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 20, 1, '2024-08-05 14:58:20', NULL), (1029, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 21, 1, '2024-08-05 14:58:20', NULL), (1030, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 22, 1, '2024-08-05 14:58:20', NULL), (1031, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 23, 1, '2024-08-05 14:58:20', NULL), (1032, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 24, 1, '2024-08-05 14:58:20', NULL), (1033, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 25, 1, '2024-08-05 14:58:20', NULL), (1034, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 26, 1, '2024-08-05 14:58:20', NULL), (1035, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 27, 1, '2024-08-05 14:58:20', NULL), (1036, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 28, 1, '2024-08-05 14:58:20', NULL), (1037, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 29, 1, '2024-08-05 14:58:21', NULL), (1038, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 30, 1, '2024-08-05 14:58:21', NULL), (1039, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 3, 31, 1, '2024-08-05 14:58:21', NULL), (1040, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 1, 1, '2024-08-05 14:58:21', NULL), (1041, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 2, 1, '2024-08-05 14:58:21', NULL), (1042, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 3, 1, '2024-08-05 14:58:21', NULL), (1043, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 4, 1, '2024-08-05 14:58:21', NULL), (1044, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 5, 1, '2024-08-05 14:58:21', NULL), (1045, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 6, 1, '2024-08-05 14:58:21', NULL), (1046, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 7, 1, '2024-08-05 14:58:21', NULL), (1047, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 8, 1, '2024-08-05 14:58:21', NULL), (1048, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 9, 1, '2024-08-05 14:58:21', NULL), (1049, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 10, 1, '2024-08-05 14:58:21', NULL), (1050, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 11, 1, '2024-08-05 14:58:21', NULL), (1051, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 12, 1, '2024-08-05 14:58:21', NULL), (1052, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 13, 1, '2024-08-05 14:58:21', NULL), (1053, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 14, 1, '2024-08-05 14:58:21', NULL), (1054, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 15, 1, '2024-08-05 14:58:21', NULL), (1055, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 16, 1, '2024-08-05 14:58:21', NULL), (1056, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 17, 1, '2024-08-05 14:58:21', NULL), (1057, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 18, 1, '2024-08-05 14:58:21', NULL), (1058, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 19, 1, '2024-08-05 14:58:21', NULL), (1059, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 20, 1, '2024-08-05 14:58:21', NULL), (1060, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 21, 1, '2024-08-05 14:58:21', NULL), (1061, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 22, 1, '2024-08-05 14:58:21', NULL), (1062, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 23, 1, '2024-08-05 14:58:21', NULL), (1063, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 24, 1, '2024-08-05 14:58:21', NULL), (1064, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 25, 1, '2024-08-05 14:58:22', NULL), (1065, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 26, 1, '2024-08-05 14:58:22', NULL), (1066, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 27, 1, '2024-08-05 14:58:22', NULL), (1067, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 28, 1, '2024-08-05 14:58:22', NULL), (1068, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 29, 1, '2024-08-05 14:58:22', NULL), (1069, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 4, 30, 1, '2024-08-05 14:58:22', NULL), (1070, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 1, 1, '2024-08-05 14:58:22', NULL), (1071, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 2, 1, '2024-08-05 14:58:22', NULL), (1072, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 3, 1, '2024-08-05 14:58:22', NULL), (1073, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 4, 1, '2024-08-05 14:58:22', NULL), (1074, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 5, 1, '2024-08-05 14:58:22', NULL), (1075, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 6, 1, '2024-08-05 14:58:22', NULL), (1076, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 7, 1, '2024-08-05 14:58:22', NULL), (1077, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 8, 1, '2024-08-05 14:58:22', NULL), (1078, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 9, 1, '2024-08-05 14:58:22', NULL), (1079, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 10, 1, '2024-08-05 14:58:22', NULL), (1080, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 11, 1, '2024-08-05 14:58:22', NULL), (1081, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 12, 1, '2024-08-05 14:58:22', NULL), (1082, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 13, 1, '2024-08-05 14:58:22', NULL), (1083, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 14, 1, '2024-08-05 14:58:22', NULL), (1084, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 15, 1, '2024-08-05 14:58:22', NULL), (1085, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 16, 1, '2024-08-05 14:58:22', NULL), (1086, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 17, 1, '2024-08-05 14:58:22', NULL), (1087, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 18, 1, '2024-08-05 14:58:22', NULL), (1088, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 19, 1, '2024-08-05 14:58:22', NULL), (1089, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 20, 1, '2024-08-05 14:58:22', NULL), (1090, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 21, 1, '2024-08-05 14:58:23', NULL), (1091, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 22, 1, '2024-08-05 14:58:23', NULL), (1092, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 23, 1, '2024-08-05 14:58:23', NULL), (1093, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 24, 1, '2024-08-05 14:58:23', NULL), (1094, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 25, 1, '2024-08-05 14:58:23', NULL), (1095, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 26, 1, '2024-08-05 14:58:23', NULL), (1096, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 27, 1, '2024-08-05 14:58:23', NULL), (1097, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 28, 1, '2024-08-05 14:58:23', NULL), (1098, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 29, 1, '2024-08-05 14:58:23', NULL), (1099, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 30, 1, '2024-08-05 14:58:23', NULL), (1100, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 5, 31, 1, '2024-08-05 14:58:23', NULL), (1101, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 1, 1, '2024-08-05 14:58:23', NULL), (1102, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 2, 1, '2024-08-05 14:58:23', NULL), (1103, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 3, 1, '2024-08-05 14:58:23', NULL), (1104, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 4, 1, '2024-08-05 14:58:23', NULL), (1105, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 5, 1, '2024-08-05 14:58:23', NULL), (1106, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 6, 1, '2024-08-05 14:58:23', NULL), (1107, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 7, 1, '2024-08-05 14:58:23', NULL), (1108, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 8, 1, '2024-08-05 14:58:23', NULL), (1109, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 9, 1, '2024-08-05 14:58:23', NULL), (1110, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 10, 1, '2024-08-05 14:58:23', NULL), (1111, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 11, 1, '2024-08-05 14:58:23', NULL), (1112, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 12, 1, '2024-08-05 14:58:23', NULL), (1113, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 13, 1, '2024-08-05 14:58:23', NULL), (1114, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 14, 1, '2024-08-05 14:58:23', NULL), (1115, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 15, 1, '2024-08-05 14:58:23', NULL), (1116, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 16, 1, '2024-08-05 14:58:24', NULL), (1117, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 17, 1, '2024-08-05 14:58:24', NULL), (1118, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 18, 1, '2024-08-05 14:58:24', NULL), (1119, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 19, 1, '2024-08-05 14:58:24', NULL), (1120, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 20, 1, '2024-08-05 14:58:24', NULL), (1121, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 21, 1, '2024-08-05 14:58:24', NULL), (1122, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 22, 1, '2024-08-05 14:58:24', NULL), (1123, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 23, 1, '2024-08-05 14:58:24', NULL), (1124, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 24, 1, '2024-08-05 14:58:24', NULL), (1125, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 25, 1, '2024-08-05 14:58:24', NULL), (1126, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 26, 1, '2024-08-05 14:58:24', NULL), (1127, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 27, 1, '2024-08-05 14:58:24', NULL), (1128, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 28, 1, '2024-08-05 14:58:24', NULL), (1129, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 29, 1, '2024-08-05 14:58:24', NULL), (1130, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 6, 30, 1, '2024-08-05 14:58:24', NULL), (1131, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 1, 1, '2024-08-05 14:58:24', NULL), (1132, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 2, 1, '2024-08-05 14:58:24', NULL), (1133, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 3, 1, '2024-08-05 14:58:24', NULL), (1134, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 4, 1, '2024-08-05 14:58:24', NULL), (1135, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 5, 1, '2024-08-05 14:58:24', NULL), (1136, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 6, 1, '2024-08-05 14:58:24', NULL), (1137, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 7, 1, '2024-08-05 14:58:24', NULL), (1138, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 8, 1, '2024-08-05 14:58:24', NULL), (1139, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 9, 1, '2024-08-05 14:58:24', NULL), (1140, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 10, 1, '2024-08-05 14:58:24', NULL), (1141, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 11, 1, '2024-08-05 14:58:25', NULL), (1142, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 12, 1, '2024-08-05 14:58:25', NULL), (1143, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 13, 1, '2024-08-05 14:58:25', NULL), (1144, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 14, 1, '2024-08-05 14:58:25', NULL), (1145, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 15, 1, '2024-08-05 14:58:25', NULL), (1146, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 16, 1, '2024-08-05 14:58:25', NULL), (1147, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 17, 1, '2024-08-05 14:58:25', NULL), (1148, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 18, 1, '2024-08-05 14:58:25', NULL), (1149, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 19, 1, '2024-08-05 14:58:25', NULL), (1150, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 20, 1, '2024-08-05 14:58:25', NULL), (1151, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 21, 1, '2024-08-05 14:58:25', NULL), (1152, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 22, 1, '2024-08-05 14:58:25', NULL), (1153, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 23, 1, '2024-08-05 14:58:25', NULL), (1154, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 24, 1, '2024-08-05 14:58:25', NULL), (1155, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 25, 1, '2024-08-05 14:58:25', NULL), (1156, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 26, 1, '2024-08-05 14:58:25', NULL), (1157, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 27, 1, '2024-08-05 14:58:25', NULL), (1158, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 28, 1, '2024-08-05 14:58:25', NULL), (1159, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 29, 1, '2024-08-05 14:58:25', NULL), (1160, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 30, 1, '2024-08-05 14:58:25', NULL), (1161, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 7, 31, 1, '2024-08-05 14:58:25', NULL), (1162, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 1, 1, '2024-08-05 14:58:25', '2024-08-05 22:12:09'), (1163, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 2, 1, '2024-08-05 14:58:25', '2024-08-06 02:20:03'), (1164, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 3, 1, '2024-08-05 14:58:25', '2024-08-07 01:30:01');
INSERT INTO `mortals_xhx_stat` VALUES (1165, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 4, 1, '2024-08-05 14:58:25', '2024-08-08 01:30:01'), (1166, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 5, 1, '2024-08-05 14:58:26', '2024-08-09 01:30:01'), (1167, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 1, 1, '2024-08-05 15:10:22', NULL), (1168, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 2, 1, '2024-08-05 15:10:22', NULL), (1169, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 3, 1, '2024-08-05 15:10:22', NULL), (1170, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 4, 1, '2024-08-05 15:10:23', NULL), (1171, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 5, 1, '2024-08-05 15:10:23', NULL), (1172, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 6, 1, '2024-08-05 15:10:23', NULL), (1173, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 7, 1, '2024-08-05 15:10:23', NULL), (1174, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 8, 1, '2024-08-05 15:10:23', NULL), (1175, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 9, 1, '2024-08-05 15:10:23', NULL), (1176, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 10, 1, '2024-08-05 15:10:23', NULL), (1177, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 11, 1, '2024-08-05 15:10:23', NULL), (1178, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 12, 1, '2024-08-05 15:10:23', NULL), (1179, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 13, 1, '2024-08-05 15:10:23', NULL), (1180, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 14, 1, '2024-08-05 15:10:23', NULL), (1181, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 15, 1, '2024-08-05 15:10:23', NULL), (1182, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 16, 1, '2024-08-05 15:10:23', NULL), (1183, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 17, 1, '2024-08-05 15:10:23', NULL), (1184, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 18, 1, '2024-08-05 15:10:23', NULL), (1185, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 19, 1, '2024-08-05 15:10:23', NULL), (1186, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 20, 1, '2024-08-05 15:10:23', NULL), (1187, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 21, 1, '2024-08-05 15:10:23', NULL), (1188, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 22, 1, '2024-08-05 15:10:23', NULL), (1189, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 23, 1, '2024-08-05 15:10:23', NULL), (1190, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 24, 1, '2024-08-05 15:10:23', NULL), (1191, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 25, 1, '2024-08-05 15:10:23', NULL), (1192, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 26, 1, '2024-08-05 15:10:23', NULL), (1193, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 27, 1, '2024-08-05 15:10:23', NULL), (1194, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 28, 1, '2024-08-05 15:10:23', NULL), (1195, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 29, 1, '2024-08-05 15:10:23', NULL), (1196, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 30, 1, '2024-08-05 15:10:23', NULL), (1197, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 1, 31, 1, '2024-08-05 15:10:23', NULL), (1198, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 1, 1, '2024-08-05 15:10:23', NULL), (1199, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 2, 1, '2024-08-05 15:10:24', NULL), (1200, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 3, 1, '2024-08-05 15:10:24', NULL), (1201, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 4, 1, '2024-08-05 15:10:24', NULL), (1202, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 5, 1, '2024-08-05 15:10:24', NULL), (1203, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 6, 1, '2024-08-05 15:10:24', NULL), (1204, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 7, 1, '2024-08-05 15:10:24', NULL), (1205, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 8, 1, '2024-08-05 15:10:24', NULL), (1206, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 9, 1, '2024-08-05 15:10:24', NULL), (1207, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 10, 1, '2024-08-05 15:10:24', NULL), (1208, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 11, 1, '2024-08-05 15:10:24', NULL), (1209, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 12, 1, '2024-08-05 15:10:24', NULL), (1210, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 13, 1, '2024-08-05 15:10:24', NULL), (1211, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 14, 1, '2024-08-05 15:10:24', NULL), (1212, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 15, 1, '2024-08-05 15:10:24', NULL), (1213, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 16, 1, '2024-08-05 15:10:24', NULL), (1214, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 17, 1, '2024-08-05 15:10:24', NULL), (1215, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 18, 1, '2024-08-05 15:10:24', NULL), (1216, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 19, 1, '2024-08-05 15:10:24', NULL), (1217, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 20, 1, '2024-08-05 15:10:24', NULL), (1218, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 21, 1, '2024-08-05 15:10:24', NULL), (1219, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 22, 1, '2024-08-05 15:10:24', NULL), (1220, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 23, 1, '2024-08-05 15:10:24', NULL), (1221, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 24, 1, '2024-08-05 15:10:24', NULL), (1222, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 25, 1, '2024-08-05 15:10:24', NULL), (1223, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 26, 1, '2024-08-05 15:10:24', NULL), (1224, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 27, 1, '2024-08-05 15:10:24', NULL), (1225, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 2, 28, 1, '2024-08-05 15:10:24', NULL), (1226, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 1, 1, '2024-08-05 15:10:24', NULL), (1227, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 2, 1, '2024-08-05 15:10:24', NULL), (1228, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 3, 1, '2024-08-05 15:10:24', NULL), (1229, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 4, 1, '2024-08-05 15:10:24', NULL), (1230, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 5, 1, '2024-08-05 15:10:24', NULL), (1231, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 6, 1, '2024-08-05 15:10:24', NULL), (1232, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 7, 1, '2024-08-05 15:10:24', NULL), (1233, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 8, 1, '2024-08-05 15:10:24', NULL), (1234, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 9, 1, '2024-08-05 15:10:24', NULL), (1235, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 10, 1, '2024-08-05 15:10:24', NULL), (1236, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 11, 1, '2024-08-05 15:10:24', NULL), (1237, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 12, 1, '2024-08-05 15:10:24', NULL), (1238, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 13, 1, '2024-08-05 15:10:25', NULL), (1239, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 14, 1, '2024-08-05 15:10:25', NULL), (1240, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 15, 1, '2024-08-05 15:10:25', NULL), (1241, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 16, 1, '2024-08-05 15:10:25', NULL), (1242, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 17, 1, '2024-08-05 15:10:25', NULL), (1243, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 18, 1, '2024-08-05 15:10:25', NULL), (1244, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 19, 1, '2024-08-05 15:10:25', NULL), (1245, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 20, 1, '2024-08-05 15:10:25', NULL), (1246, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 21, 1, '2024-08-05 15:10:25', NULL), (1247, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 22, 1, '2024-08-05 15:10:25', NULL), (1248, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 23, 1, '2024-08-05 15:10:25', NULL), (1249, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 24, 1, '2024-08-05 15:10:25', NULL), (1250, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 25, 1, '2024-08-05 15:10:25', NULL), (1251, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 26, 1, '2024-08-05 15:10:25', NULL), (1252, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 27, 1, '2024-08-05 15:10:25', NULL), (1253, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 28, 1, '2024-08-05 15:10:25', NULL), (1254, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 29, 1, '2024-08-05 15:10:25', NULL), (1255, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 30, 1, '2024-08-05 15:10:25', NULL), (1256, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 3, 31, 1, '2024-08-05 15:10:25', NULL), (1257, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 1, 1, '2024-08-05 15:10:25', NULL), (1258, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 2, 1, '2024-08-05 15:10:25', NULL), (1259, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 3, 1, '2024-08-05 15:10:26', NULL), (1260, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 4, 1, '2024-08-05 15:10:26', NULL), (1261, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 5, 1, '2024-08-05 15:10:26', NULL), (1262, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 6, 1, '2024-08-05 15:10:26', NULL), (1263, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 7, 1, '2024-08-05 15:10:26', NULL), (1264, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 8, 1, '2024-08-05 15:10:26', NULL), (1265, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 9, 1, '2024-08-05 15:10:26', NULL), (1266, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 10, 1, '2024-08-05 15:10:26', NULL), (1267, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 11, 1, '2024-08-05 15:10:26', NULL), (1268, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 12, 1, '2024-08-05 15:10:26', NULL), (1269, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 13, 1, '2024-08-05 15:10:26', NULL), (1270, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 14, 1, '2024-08-05 15:10:26', NULL), (1271, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 15, 1, '2024-08-05 15:10:26', NULL), (1272, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 16, 1, '2024-08-05 15:10:26', NULL), (1273, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 17, 1, '2024-08-05 15:10:26', NULL), (1274, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 18, 1, '2024-08-05 15:10:26', NULL), (1275, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 19, 1, '2024-08-05 15:10:26', NULL), (1276, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 20, 1, '2024-08-05 15:10:27', NULL), (1277, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 21, 1, '2024-08-05 15:10:27', NULL), (1278, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 22, 1, '2024-08-05 15:10:27', NULL), (1279, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 23, 1, '2024-08-05 15:10:27', NULL), (1280, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 24, 1, '2024-08-05 15:10:27', NULL), (1281, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 25, 1, '2024-08-05 15:10:27', NULL), (1282, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 26, 1, '2024-08-05 15:10:27', NULL), (1283, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 27, 1, '2024-08-05 15:10:27', NULL), (1284, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 28, 1, '2024-08-05 15:10:27', NULL), (1285, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 29, 1, '2024-08-05 15:10:27', NULL), (1286, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 4, 30, 1, '2024-08-05 15:10:27', NULL), (1287, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 1, 1, '2024-08-05 15:10:27', NULL), (1288, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 2, 1, '2024-08-05 15:10:27', NULL), (1289, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 3, 1, '2024-08-05 15:10:27', NULL), (1290, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 4, 1, '2024-08-05 15:10:27', NULL), (1291, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 5, 1, '2024-08-05 15:10:28', NULL), (1292, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 6, 1, '2024-08-05 15:10:28', NULL), (1293, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 7, 1, '2024-08-05 15:10:28', NULL), (1294, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 8, 1, '2024-08-05 15:10:28', NULL), (1295, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 9, 1, '2024-08-05 15:10:28', NULL), (1296, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 10, 1, '2024-08-05 15:10:28', NULL), (1297, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 11, 1, '2024-08-05 15:10:28', NULL), (1298, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 12, 1, '2024-08-05 15:10:28', NULL), (1299, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 13, 1, '2024-08-05 15:10:28', NULL), (1300, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 14, 1, '2024-08-05 15:10:28', NULL), (1301, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 15, 1, '2024-08-05 15:10:28', NULL), (1302, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 16, 1, '2024-08-05 15:10:28', NULL), (1303, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 17, 1, '2024-08-05 15:10:28', NULL), (1304, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 18, 1, '2024-08-05 15:10:28', NULL), (1305, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 19, 1, '2024-08-05 15:10:28', NULL), (1306, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 20, 1, '2024-08-05 15:10:28', NULL), (1307, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 21, 1, '2024-08-05 15:10:29', NULL), (1308, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 22, 1, '2024-08-05 15:10:29', NULL), (1309, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 23, 1, '2024-08-05 15:10:29', NULL), (1310, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 24, 1, '2024-08-05 15:10:29', NULL), (1311, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 25, 1, '2024-08-05 15:10:29', NULL), (1312, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 26, 1, '2024-08-05 15:10:29', NULL), (1313, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 27, 1, '2024-08-05 15:10:29', NULL), (1314, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 28, 1, '2024-08-05 15:10:30', NULL), (1315, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 29, 1, '2024-08-05 15:10:30', NULL), (1316, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 30, 1, '2024-08-05 15:10:30', NULL), (1317, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 5, 31, 1, '2024-08-05 15:10:30', NULL), (1318, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 1, 1, '2024-08-05 15:10:30', NULL), (1319, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 2, 1, '2024-08-05 15:10:30', NULL), (1320, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 3, 1, '2024-08-05 15:10:31', NULL), (1321, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 4, 1, '2024-08-05 15:10:31', NULL), (1322, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 5, 1, '2024-08-05 15:10:31', NULL), (1323, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 6, 1, '2024-08-05 15:10:31', NULL), (1324, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 7, 1, '2024-08-05 15:10:31', NULL), (1325, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 8, 1, '2024-08-05 15:10:31', NULL), (1326, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 9, 1, '2024-08-05 15:10:32', NULL), (1327, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 10, 1, '2024-08-05 15:10:32', NULL), (1328, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 11, 1, '2024-08-05 15:10:32', NULL), (1329, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 12, 1, '2024-08-05 15:10:32', NULL), (1330, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 13, 1, '2024-08-05 15:10:32', NULL), (1331, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 14, 1, '2024-08-05 15:10:32', NULL), (1332, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 15, 1, '2024-08-05 15:10:33', NULL), (1333, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 16, 1, '2024-08-05 15:10:33', NULL), (1334, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 17, 1, '2024-08-05 15:10:33', NULL), (1335, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 18, 1, '2024-08-05 15:10:33', NULL), (1336, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 19, 1, '2024-08-05 15:10:33', NULL), (1337, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 20, 1, '2024-08-05 15:10:33', NULL), (1338, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 21, 1, '2024-08-05 15:10:34', NULL), (1339, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 22, 1, '2024-08-05 15:10:34', NULL), (1340, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 23, 1, '2024-08-05 15:10:34', NULL), (1341, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 24, 1, '2024-08-05 15:10:34', NULL), (1342, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 25, 1, '2024-08-05 15:10:34', NULL), (1343, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 26, 1, '2024-08-05 15:10:34', NULL), (1344, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 27, 1, '2024-08-05 15:10:35', NULL), (1345, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 28, 1, '2024-08-05 15:10:35', NULL), (1346, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 29, 1, '2024-08-05 15:10:35', NULL), (1347, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 6, 30, 1, '2024-08-05 15:10:35', NULL), (1348, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 1, 1, '2024-08-05 15:10:35', NULL), (1349, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 2, 1, '2024-08-05 15:10:36', NULL), (1350, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 3, 1, '2024-08-05 15:10:36', NULL), (1351, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 4, 1, '2024-08-05 15:10:36', NULL), (1352, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 5, 1, '2024-08-05 15:10:36', NULL), (1353, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 6, 1, '2024-08-05 15:10:36', NULL), (1354, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 7, 1, '2024-08-05 15:10:36', NULL), (1355, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 8, 1, '2024-08-05 15:10:37', NULL), (1356, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 9, 1, '2024-08-05 15:10:37', NULL), (1357, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 10, 1, '2024-08-05 15:10:37', NULL), (1358, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 11, 1, '2024-08-05 15:10:37', NULL), (1359, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 12, 1, '2024-08-05 15:10:37', NULL), (1360, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 13, 1, '2024-08-05 15:10:37', NULL), (1361, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 14, 1, '2024-08-05 15:10:38', NULL), (1362, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 15, 1, '2024-08-05 15:10:38', NULL), (1363, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 16, 1, '2024-08-05 15:10:38', NULL), (1364, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 17, 1, '2024-08-05 15:10:38', NULL), (1365, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 18, 1, '2024-08-05 15:10:38', NULL), (1366, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 19, 1, '2024-08-05 15:10:38', NULL), (1367, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 20, 1, '2024-08-05 15:10:39', NULL), (1368, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 21, 1, '2024-08-05 15:10:39', NULL), (1369, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 22, 1, '2024-08-05 15:10:39', NULL), (1370, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 23, 1, '2024-08-05 15:10:39', NULL), (1371, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 24, 1, '2024-08-05 15:10:39', NULL), (1372, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 25, 1, '2024-08-05 15:10:39', NULL), (1373, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 26, 1, '2024-08-05 15:10:40', NULL), (1374, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 27, 1, '2024-08-05 15:10:40', NULL), (1375, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 28, 1, '2024-08-05 15:10:40', NULL), (1376, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 29, 1, '2024-08-05 15:10:40', NULL), (1377, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 30, 1, '2024-08-05 15:10:40', NULL), (1378, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 7, 31, 1, '2024-08-05 15:10:40', NULL), (1379, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 1, 1, '2024-08-05 15:10:41', NULL), (1380, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 2, 1, '2024-08-05 15:10:41', NULL), (1381, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 3, 1, '2024-08-05 15:10:41', NULL), (1382, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 4, 1, '2024-08-05 15:10:41', NULL), (1383, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 5, 1, '2024-08-05 15:10:41', NULL), (1384, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 6, 1, '2024-08-05 15:10:41', NULL), (1385, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 7, 1, '2024-08-05 15:10:42', NULL), (1386, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 8, 1, '2024-08-05 15:10:42', NULL), (1387, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 9, 1, '2024-08-05 15:10:42', NULL), (1388, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 10, 1, '2024-08-05 15:10:42', NULL), (1389, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 11, 1, '2024-08-05 15:10:42', NULL), (1390, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 12, 1, '2024-08-05 15:10:42', NULL), (1391, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 13, 1, '2024-08-05 15:10:42', NULL), (1392, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 14, 1, '2024-08-05 15:10:42', NULL), (1393, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 15, 1, '2024-08-05 15:10:42', NULL), (1394, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 16, 1, '2024-08-05 15:10:42', NULL), (1395, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 17, 1, '2024-08-05 15:10:42', NULL), (1396, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 18, 1, '2024-08-05 15:10:42', NULL), (1397, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 19, 1, '2024-08-05 15:10:42', NULL), (1398, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 20, 1, '2024-08-05 15:10:42', NULL), (1399, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 21, 1, '2024-08-05 15:10:42', NULL), (1400, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 22, 1, '2024-08-05 15:10:42', NULL), (1401, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 23, 1, '2024-08-05 15:10:42', NULL), (1402, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 24, 1, '2024-08-05 15:10:42', NULL), (1403, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 25, 1, '2024-08-05 15:10:42', NULL), (1404, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 26, 1, '2024-08-05 15:10:42', NULL), (1405, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 27, 1, '2024-08-05 15:10:42', NULL), (1406, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 28, 1, '2024-08-05 15:10:42', NULL), (1407, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 29, 1, '2024-08-05 15:10:42', NULL), (1408, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 30, 1, '2024-08-05 15:10:42', NULL), (1409, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 8, 31, 1, '2024-08-05 15:10:42', NULL), (1410, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 1, 1, '2024-08-05 15:10:42', NULL), (1411, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 2, 1, '2024-08-05 15:10:43', NULL), (1412, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 3, 1, '2024-08-05 15:10:43', NULL), (1413, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 4, 1, '2024-08-05 15:10:43', NULL), (1414, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 5, 1, '2024-08-05 15:10:43', NULL), (1415, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 6, 1, '2024-08-05 15:10:43', NULL), (1416, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 7, 1, '2024-08-05 15:10:43', NULL), (1417, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 8, 1, '2024-08-05 15:10:43', NULL), (1418, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 9, 1, '2024-08-05 15:10:43', NULL), (1419, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 10, 1, '2024-08-05 15:10:43', NULL), (1420, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 11, 1, '2024-08-05 15:10:43', NULL), (1421, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 12, 1, '2024-08-05 15:10:43', NULL), (1422, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 13, 1, '2024-08-05 15:10:43', NULL), (1423, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 14, 1, '2024-08-05 15:10:43', NULL), (1424, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 15, 1, '2024-08-05 15:10:43', NULL), (1425, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 16, 1, '2024-08-05 15:10:43', NULL), (1426, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 17, 1, '2024-08-05 15:10:43', NULL), (1427, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 18, 1, '2024-08-05 15:10:43', NULL), (1428, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 19, 1, '2024-08-05 15:10:43', NULL), (1429, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 20, 1, '2024-08-05 15:10:43', NULL), (1430, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 21, 1, '2024-08-05 15:10:43', NULL), (1431, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 22, 1, '2024-08-05 15:10:43', NULL), (1432, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 23, 1, '2024-08-05 15:10:43', NULL), (1433, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 24, 1, '2024-08-05 15:10:43', NULL), (1434, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 25, 1, '2024-08-05 15:10:43', NULL), (1435, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 26, 1, '2024-08-05 15:10:43', NULL), (1436, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 27, 1, '2024-08-05 15:10:43', NULL), (1437, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 28, 1, '2024-08-05 15:10:43', NULL), (1438, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 29, 1, '2024-08-05 15:10:43', NULL), (1439, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 9, 30, 1, '2024-08-05 15:10:43', NULL), (1440, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 1, 1, '2024-08-05 15:10:43', NULL), (1441, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 2, 1, '2024-08-05 15:10:43', NULL), (1442, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 3, 1, '2024-08-05 15:10:43', NULL), (1443, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 4, 1, '2024-08-05 15:10:43', NULL), (1444, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 5, 1, '2024-08-05 15:10:44', NULL), (1445, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 6, 1, '2024-08-05 15:10:44', NULL), (1446, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 7, 1, '2024-08-05 15:10:44', NULL), (1447, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 8, 1, '2024-08-05 15:10:44', NULL), (1448, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 9, 1, '2024-08-05 15:10:44', NULL), (1449, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 10, 1, '2024-08-05 15:10:44', NULL), (1450, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 11, 1, '2024-08-05 15:10:44', NULL), (1451, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 12, 1, '2024-08-05 15:10:44', NULL), (1452, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 13, 1, '2024-08-05 15:10:44', NULL), (1453, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 14, 1, '2024-08-05 15:10:44', NULL), (1454, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 15, 1, '2024-08-05 15:10:44', NULL), (1455, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 16, 1, '2024-08-05 15:10:44', NULL), (1456, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 17, 1, '2024-08-05 15:10:44', NULL), (1457, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 18, 1, '2024-08-05 15:10:44', NULL), (1458, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 19, 1, '2024-08-05 15:10:44', NULL), (1459, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 20, 1, '2024-08-05 15:10:44', NULL), (1460, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 21, 1, '2024-08-05 15:10:44', NULL), (1461, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 22, 1, '2024-08-05 15:10:44', NULL), (1462, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 23, 1, '2024-08-05 15:10:44', NULL), (1463, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 24, 1, '2024-08-05 15:10:44', NULL), (1464, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 25, 1, '2024-08-05 15:10:44', NULL), (1465, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 26, 1, '2024-08-05 15:10:44', NULL), (1466, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 27, 1, '2024-08-05 15:10:44', NULL), (1467, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 28, 1, '2024-08-05 15:10:44', NULL), (1468, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 29, 1, '2024-08-05 15:10:44', NULL), (1469, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 30, 1, '2024-08-05 15:10:44', NULL), (1470, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 10, 31, 1, '2024-08-05 15:10:44', NULL), (1471, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 1, 1, '2024-08-05 15:10:44', NULL), (1472, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 2, 1, '2024-08-05 15:10:44', NULL), (1473, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 3, 1, '2024-08-05 15:10:44', NULL), (1474, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 4, 1, '2024-08-05 15:10:44', NULL), (1475, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 5, 1, '2024-08-05 15:10:44', NULL), (1476, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 6, 1, '2024-08-05 15:10:44', NULL), (1477, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 7, 1, '2024-08-05 15:10:44', NULL), (1478, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 8, 1, '2024-08-05 15:10:44', NULL), (1479, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 9, 1, '2024-08-05 15:10:45', NULL), (1480, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 10, 1, '2024-08-05 15:10:45', NULL), (1481, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 11, 1, '2024-08-05 15:10:45', NULL), (1482, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 12, 1, '2024-08-05 15:10:45', NULL), (1483, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 13, 1, '2024-08-05 15:10:45', NULL), (1484, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 14, 1, '2024-08-05 15:10:45', NULL), (1485, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 15, 1, '2024-08-05 15:10:45', NULL), (1486, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 16, 1, '2024-08-05 15:10:45', NULL), (1487, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 17, 1, '2024-08-05 15:10:45', NULL), (1488, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 18, 1, '2024-08-05 15:10:45', NULL), (1489, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 19, 1, '2024-08-05 15:10:45', NULL), (1490, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 20, 1, '2024-08-05 15:10:45', NULL), (1491, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 21, 1, '2024-08-05 15:10:45', NULL), (1492, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 22, 1, '2024-08-05 15:10:45', NULL), (1493, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 23, 1, '2024-08-05 15:10:45', NULL), (1494, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 24, 1, '2024-08-05 15:10:45', NULL), (1495, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 25, 1, '2024-08-05 15:10:45', NULL), (1496, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 26, 1, '2024-08-05 15:10:45', NULL), (1497, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 27, 1, '2024-08-05 15:10:45', NULL), (1498, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 28, 1, '2024-08-05 15:10:45', NULL), (1499, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 29, 1, '2024-08-05 15:10:45', NULL), (1500, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 11, 30, 1, '2024-08-05 15:10:45', NULL), (1501, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 1, 1, '2024-08-05 15:10:45', NULL), (1502, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 2, 1, '2024-08-05 15:10:45', NULL), (1503, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 3, 1, '2024-08-05 15:10:45', NULL), (1504, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 4, 1, '2024-08-05 15:10:45', NULL), (1505, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 5, 1, '2024-08-05 15:10:45', NULL), (1506, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 6, 1, '2024-08-05 15:10:45', NULL), (1507, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 7, 1, '2024-08-05 15:10:45', NULL), (1508, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 8, 1, '2024-08-05 15:10:45', NULL), (1509, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 9, 1, '2024-08-05 15:10:45', NULL), (1510, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 10, 1, '2024-08-05 15:10:46', NULL), (1511, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 11, 1, '2024-08-05 15:10:46', NULL), (1512, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 12, 1, '2024-08-05 15:10:46', NULL), (1513, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 13, 1, '2024-08-05 15:10:46', NULL), (1514, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 14, 1, '2024-08-05 15:10:46', NULL), (1515, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 15, 1, '2024-08-05 15:10:46', NULL), (1516, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 16, 1, '2024-08-05 15:10:46', NULL), (1517, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 17, 1, '2024-08-05 15:10:46', NULL), (1518, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 18, 1, '2024-08-05 15:10:46', NULL), (1519, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 19, 1, '2024-08-05 15:10:46', NULL), (1520, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 20, 1, '2024-08-05 15:10:46', NULL), (1521, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 21, 1, '2024-08-05 15:10:46', NULL), (1522, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 22, 1, '2024-08-05 15:10:46', NULL), (1523, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 23, 1, '2024-08-05 15:10:46', NULL), (1524, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 24, 1, '2024-08-05 15:10:46', NULL), (1525, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 25, 1, '2024-08-05 15:10:46', NULL), (1526, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 26, 1, '2024-08-05 15:10:46', NULL), (1527, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 27, 1, '2024-08-05 15:10:46', NULL), (1528, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 28, 1, '2024-08-05 15:10:46', NULL), (1529, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 29, 1, '2024-08-05 15:10:46', NULL), (1530, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 30, 1, '2024-08-05 15:10:46', NULL), (1531, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2023, 12, 31, 1, '2024-08-05 15:10:46', NULL), (1532, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 1, 1, '2024-08-05 15:10:46', NULL), (1533, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 2, 1, '2024-08-05 15:10:46', NULL), (1534, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 3, 1, '2024-08-05 15:10:46', NULL), (1535, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 4, 1, '2024-08-05 15:10:46', NULL), (1536, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 5, 1, '2024-08-05 15:10:46', NULL), (1537, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 6, 1, '2024-08-05 15:10:46', NULL), (1538, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 7, 1, '2024-08-05 15:10:46', NULL), (1539, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 8, 1, '2024-08-05 15:10:46', NULL), (1540, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 9, 1, '2024-08-05 15:10:46', NULL), (1541, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 10, 1, '2024-08-05 15:10:46', NULL), (1542, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 11, 1, '2024-08-05 15:10:46', NULL), (1543, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 12, 1, '2024-08-05 15:10:46', NULL), (1544, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 13, 1, '2024-08-05 15:10:46', NULL), (1545, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 14, 1, '2024-08-05 15:10:46', NULL), (1546, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 15, 1, '2024-08-05 15:10:47', NULL), (1547, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 16, 1, '2024-08-05 15:10:47', NULL), (1548, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 17, 1, '2024-08-05 15:10:47', NULL), (1549, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 18, 1, '2024-08-05 15:10:47', NULL), (1550, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 19, 1, '2024-08-05 15:10:47', NULL), (1551, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 20, 1, '2024-08-05 15:10:47', NULL), (1552, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 21, 1, '2024-08-05 15:10:47', NULL), (1553, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 22, 1, '2024-08-05 15:10:47', NULL), (1554, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 23, 1, '2024-08-05 15:10:47', NULL), (1555, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 24, 1, '2024-08-05 15:10:47', NULL), (1556, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 25, 1, '2024-08-05 15:10:47', NULL), (1557, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 26, 1, '2024-08-05 15:10:47', NULL), (1558, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 27, 1, '2024-08-05 15:10:47', NULL), (1559, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 28, 1, '2024-08-05 15:10:47', NULL), (1560, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 29, 1, '2024-08-05 15:10:47', NULL), (1561, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 30, 1, '2024-08-05 15:10:47', NULL), (1562, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 1, 31, 1, '2024-08-05 15:10:47', NULL), (1563, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 1, 1, '2024-08-05 15:10:47', NULL), (1564, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 2, 1, '2024-08-05 15:10:47', NULL), (1565, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 3, 1, '2024-08-05 15:10:47', NULL), (1566, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 4, 1, '2024-08-05 15:10:47', NULL), (1567, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 5, 1, '2024-08-05 15:10:47', NULL), (1568, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 6, 1, '2024-08-05 15:10:47', NULL), (1569, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 7, 1, '2024-08-05 15:10:47', NULL), (1570, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 8, 1, '2024-08-05 15:10:47', NULL), (1571, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 9, 1, '2024-08-05 15:10:47', NULL), (1572, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 10, 1, '2024-08-05 15:10:47', NULL), (1573, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 11, 1, '2024-08-05 15:10:47', NULL), (1574, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 12, 1, '2024-08-05 15:10:47', NULL), (1575, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 13, 1, '2024-08-05 15:10:47', NULL), (1576, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 14, 1, '2024-08-05 15:10:47', NULL), (1577, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 15, 1, '2024-08-05 15:10:47', NULL), (1578, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 16, 1, '2024-08-05 15:10:47', NULL), (1579, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 17, 1, '2024-08-05 15:10:47', NULL), (1580, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 18, 1, '2024-08-05 15:10:47', NULL), (1581, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 19, 1, '2024-08-05 15:10:47', NULL), (1582, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 20, 1, '2024-08-05 15:10:47', NULL), (1583, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 21, 1, '2024-08-05 15:10:47', NULL), (1584, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 22, 1, '2024-08-05 15:10:47', NULL), (1585, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 23, 1, '2024-08-05 15:10:47', NULL), (1586, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 24, 1, '2024-08-05 15:10:47', NULL), (1587, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 25, 1, '2024-08-05 15:10:47', NULL), (1588, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 26, 1, '2024-08-05 15:10:47', NULL), (1589, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 27, 1, '2024-08-05 15:10:47', NULL), (1590, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 28, 1, '2024-08-05 15:10:47', NULL), (1591, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 2, 29, 1, '2024-08-05 15:10:47', NULL), (1592, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 1, 1, '2024-08-05 15:10:47', NULL), (1593, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 2, 1, '2024-08-05 15:10:47', NULL), (1594, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 3, 1, '2024-08-05 15:10:47', NULL), (1595, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 4, 1, '2024-08-05 15:10:47', NULL), (1596, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 5, 1, '2024-08-05 15:10:47', NULL), (1597, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 6, 1, '2024-08-05 15:10:47', NULL), (1598, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 7, 1, '2024-08-05 15:10:47', NULL), (1599, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 8, 1, '2024-08-05 15:10:47', NULL), (1600, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 9, 1, '2024-08-05 15:10:47', NULL), (1601, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 10, 1, '2024-08-05 15:10:48', NULL), (1602, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 11, 1, '2024-08-05 15:10:48', NULL), (1603, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 12, 1, '2024-08-05 15:10:48', NULL), (1604, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 13, 1, '2024-08-05 15:10:48', NULL), (1605, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 14, 1, '2024-08-05 15:10:48', NULL), (1606, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 15, 1, '2024-08-05 15:10:48', NULL), (1607, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 16, 1, '2024-08-05 15:10:48', NULL), (1608, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 17, 1, '2024-08-05 15:10:48', NULL), (1609, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 18, 1, '2024-08-05 15:10:48', NULL), (1610, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 19, 1, '2024-08-05 15:10:48', NULL), (1611, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 20, 1, '2024-08-05 15:10:48', NULL), (1612, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 21, 1, '2024-08-05 15:10:48', NULL), (1613, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 22, 1, '2024-08-05 15:10:48', NULL), (1614, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 23, 1, '2024-08-05 15:10:48', NULL), (1615, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 24, 1, '2024-08-05 15:10:48', NULL), (1616, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 25, 1, '2024-08-05 15:10:48', NULL), (1617, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 26, 1, '2024-08-05 15:10:48', NULL), (1618, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 27, 1, '2024-08-05 15:10:48', NULL), (1619, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 28, 1, '2024-08-05 15:10:48', NULL), (1620, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 29, 1, '2024-08-05 15:10:48', NULL), (1621, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 30, 1, '2024-08-05 15:10:48', NULL), (1622, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 3, 31, 1, '2024-08-05 15:10:48', NULL), (1623, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 1, 1, '2024-08-05 15:10:48', NULL), (1624, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 2, 1, '2024-08-05 15:10:48', NULL), (1625, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 3, 1, '2024-08-05 15:10:48', NULL), (1626, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 4, 1, '2024-08-05 15:10:48', NULL), (1627, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 5, 1, '2024-08-05 15:10:48', NULL), (1628, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 6, 1, '2024-08-05 15:10:48', NULL), (1629, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 7, 1, '2024-08-05 15:10:48', NULL), (1630, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 8, 1, '2024-08-05 15:10:48', NULL), (1631, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 9, 1, '2024-08-05 15:10:49', NULL), (1632, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 10, 1, '2024-08-05 15:10:49', NULL), (1633, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 11, 1, '2024-08-05 15:10:49', NULL), (1634, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 12, 1, '2024-08-05 15:10:49', NULL), (1635, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 13, 1, '2024-08-05 15:10:49', NULL), (1636, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 14, 1, '2024-08-05 15:10:49', NULL), (1637, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 15, 1, '2024-08-05 15:10:49', NULL), (1638, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 16, 1, '2024-08-05 15:10:49', NULL), (1639, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 17, 1, '2024-08-05 15:10:49', NULL), (1640, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 18, 1, '2024-08-05 15:10:49', NULL), (1641, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 19, 1, '2024-08-05 15:10:49', NULL), (1642, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 20, 1, '2024-08-05 15:10:49', NULL), (1643, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 21, 1, '2024-08-05 15:10:49', NULL), (1644, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 22, 1, '2024-08-05 15:10:49', NULL), (1645, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 23, 1, '2024-08-05 15:10:49', NULL), (1646, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 24, 1, '2024-08-05 15:10:49', NULL), (1647, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 25, 1, '2024-08-05 15:10:49', NULL), (1648, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 26, 1, '2024-08-05 15:10:49', NULL), (1649, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 27, 1, '2024-08-05 15:10:49', NULL), (1650, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 28, 1, '2024-08-05 15:10:49', NULL), (1651, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 29, 1, '2024-08-05 15:10:49', NULL), (1652, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 4, 30, 1, '2024-08-05 15:10:49', NULL), (1653, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 1, 1, '2024-08-05 15:10:49', NULL), (1654, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 2, 1, '2024-08-05 15:10:49', NULL), (1655, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 3, 1, '2024-08-05 15:10:49', NULL), (1656, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 4, 1, '2024-08-05 15:10:49', NULL), (1657, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 5, 1, '2024-08-05 15:10:49', NULL), (1658, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 6, 1, '2024-08-05 15:10:49', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (1659, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 7, 1, '2024-08-05 15:10:49', NULL), (1660, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 8, 1, '2024-08-05 15:10:49', NULL), (1661, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 9, 1, '2024-08-05 15:10:50', NULL), (1662, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 10, 1, '2024-08-05 15:10:50', NULL), (1663, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 11, 1, '2024-08-05 15:10:50', NULL), (1664, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 12, 1, '2024-08-05 15:10:50', NULL), (1665, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 13, 1, '2024-08-05 15:10:50', NULL), (1666, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 14, 1, '2024-08-05 15:10:50', NULL), (1667, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 15, 1, '2024-08-05 15:10:50', NULL), (1668, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 16, 1, '2024-08-05 15:10:50', NULL), (1669, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 17, 1, '2024-08-05 15:10:50', NULL), (1670, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 18, 1, '2024-08-05 15:10:50', NULL), (1671, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 19, 1, '2024-08-05 15:10:50', NULL), (1672, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 20, 1, '2024-08-05 15:10:50', NULL), (1673, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 21, 1, '2024-08-05 15:10:50', NULL), (1674, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 22, 1, '2024-08-05 15:10:50', NULL), (1675, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 23, 1, '2024-08-05 15:10:50', NULL), (1676, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 24, 1, '2024-08-05 15:10:50', NULL), (1677, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 25, 1, '2024-08-05 15:10:50', NULL), (1678, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 26, 1, '2024-08-05 15:10:50', NULL), (1679, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 27, 1, '2024-08-05 15:10:50', NULL), (1680, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 28, 1, '2024-08-05 15:10:50', NULL), (1681, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 29, 1, '2024-08-05 15:10:50', NULL), (1682, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 30, 1, '2024-08-05 15:10:50', NULL), (1683, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 5, 31, 1, '2024-08-05 15:10:50', NULL), (1684, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 1, 1, '2024-08-05 15:10:50', NULL), (1685, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 2, 1, '2024-08-05 15:10:50', NULL), (1686, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 3, 1, '2024-08-05 15:10:50', NULL), (1687, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 4, 1, '2024-08-05 15:10:50', NULL), (1688, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 5, 1, '2024-08-05 15:10:50', NULL), (1689, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 6, 1, '2024-08-05 15:10:50', NULL), (1690, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 7, 1, '2024-08-05 15:10:51', NULL), (1691, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 8, 1, '2024-08-05 15:10:51', NULL), (1692, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 9, 1, '2024-08-05 15:10:51', NULL), (1693, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 10, 1, '2024-08-05 15:10:51', NULL), (1694, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 11, 1, '2024-08-05 15:10:51', NULL), (1695, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 12, 1, '2024-08-05 15:10:51', NULL), (1696, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 13, 1, '2024-08-05 15:10:51', NULL), (1697, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 14, 1, '2024-08-05 15:10:51', NULL), (1698, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 15, 1, '2024-08-05 15:10:51', NULL), (1699, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 16, 1, '2024-08-05 15:10:51', NULL), (1700, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 17, 1, '2024-08-05 15:10:51', NULL), (1701, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 18, 1, '2024-08-05 15:10:51', NULL), (1702, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 19, 1, '2024-08-05 15:10:51', NULL), (1703, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 20, 1, '2024-08-05 15:10:51', NULL), (1704, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 21, 1, '2024-08-05 15:10:51', NULL), (1705, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 22, 1, '2024-08-05 15:10:51', NULL), (1706, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 23, 1, '2024-08-05 15:10:51', NULL), (1707, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 24, 1, '2024-08-05 15:10:51', NULL), (1708, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 25, 1, '2024-08-05 15:10:51', NULL), (1709, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 26, 1, '2024-08-05 15:10:51', NULL), (1710, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 27, 1, '2024-08-05 15:10:51', NULL), (1711, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 28, 1, '2024-08-05 15:10:51', NULL), (1712, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 29, 1, '2024-08-05 15:10:51', NULL), (1713, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 6, 30, 1, '2024-08-05 15:10:51', NULL), (1714, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 1, 1, '2024-08-05 15:10:51', NULL), (1715, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 2, 1, '2024-08-05 15:10:51', NULL), (1716, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 3, 1, '2024-08-05 15:10:51', NULL), (1717, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 4, 1, '2024-08-05 15:10:51', NULL), (1718, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 5, 1, '2024-08-05 15:10:51', NULL), (1719, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 6, 1, '2024-08-05 15:10:52', NULL), (1720, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 7, 1, '2024-08-05 15:10:52', NULL), (1721, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 8, 1, '2024-08-05 15:10:52', NULL), (1722, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 9, 1, '2024-08-05 15:10:52', NULL), (1723, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 10, 1, '2024-08-05 15:10:52', NULL), (1724, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 11, 1, '2024-08-05 15:10:52', NULL), (1725, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 12, 1, '2024-08-05 15:10:52', NULL), (1726, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 13, 1, '2024-08-05 15:10:52', NULL), (1727, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 14, 1, '2024-08-05 15:10:52', NULL), (1728, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 15, 1, '2024-08-05 15:10:52', NULL), (1729, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 16, 1, '2024-08-05 15:10:52', NULL), (1730, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 17, 1, '2024-08-05 15:10:52', NULL), (1731, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 18, 1, '2024-08-05 15:10:52', NULL), (1732, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 19, 1, '2024-08-05 15:10:52', NULL), (1733, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 20, 1, '2024-08-05 15:10:52', NULL), (1734, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 21, 1, '2024-08-05 15:10:52', NULL), (1735, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 22, 1, '2024-08-05 15:10:52', NULL), (1736, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 23, 1, '2024-08-05 15:10:52', NULL), (1737, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 24, 1, '2024-08-05 15:10:52', NULL), (1738, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 25, 1, '2024-08-05 15:10:52', NULL), (1739, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 26, 1, '2024-08-05 15:10:52', NULL), (1740, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 27, 1, '2024-08-05 15:10:52', NULL), (1741, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 28, 1, '2024-08-05 15:10:52', NULL), (1742, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 29, 1, '2024-08-05 15:10:52', NULL), (1743, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 30, 1, '2024-08-05 15:10:52', NULL), (1744, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 7, 31, 1, '2024-08-05 15:10:52', NULL), (1745, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 1, 1, '2024-08-05 15:10:52', '2024-08-05 22:12:08'), (1746, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 2, 1, '2024-08-05 15:10:53', '2024-08-06 02:20:03'), (1747, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 3, 1, '2024-08-05 15:10:53', '2024-08-07 01:30:01'), (1748, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 4, 1, '2024-08-05 15:10:53', '2024-08-08 01:30:01'), (1749, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 5, 1, '2024-08-05 15:10:53', '2024-08-09 01:30:01'), (1750, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 1, 1, '2024-08-05 15:23:03', NULL), (1751, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 2, 1, '2024-08-05 15:23:03', NULL), (1752, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 3, 1, '2024-08-05 15:23:03', NULL), (1753, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 4, 1, '2024-08-05 15:23:03', NULL), (1754, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 5, 1, '2024-08-05 15:23:04', NULL), (1755, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 6, 1, '2024-08-05 15:23:04', NULL), (1756, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 7, 1, '2024-08-05 15:23:04', NULL), (1757, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 8, 1, '2024-08-05 15:23:04', NULL), (1758, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 9, 1, '2024-08-05 15:23:04', NULL), (1759, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 10, 1, '2024-08-05 15:23:04', NULL), (1760, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 11, 1, '2024-08-05 15:23:04', NULL), (1761, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 12, 1, '2024-08-05 15:23:04', NULL), (1762, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 13, 1, '2024-08-05 15:23:04', NULL), (1763, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 14, 1, '2024-08-05 15:23:04', NULL), (1764, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 15, 1, '2024-08-05 15:23:04', NULL), (1765, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 16, 1, '2024-08-05 15:23:04', NULL), (1766, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 17, 1, '2024-08-05 15:23:04', NULL), (1767, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 18, 1, '2024-08-05 15:23:04', NULL), (1768, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 19, 1, '2024-08-05 15:23:04', NULL), (1769, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 20, 1, '2024-08-05 15:23:04', NULL), (1770, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 21, 1, '2024-08-05 15:23:04', NULL), (1771, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 22, 1, '2024-08-05 15:23:04', NULL), (1772, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 23, 1, '2024-08-05 15:23:04', NULL), (1773, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 24, 1, '2024-08-05 15:23:04', NULL), (1774, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 25, 1, '2024-08-05 15:23:04', NULL), (1775, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 26, 1, '2024-08-05 15:23:04', NULL), (1776, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 27, 1, '2024-08-05 15:23:04', NULL), (1777, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 28, 1, '2024-08-05 15:23:04', NULL), (1778, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 29, 1, '2024-08-05 15:23:04', NULL), (1779, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 30, 1, '2024-08-05 15:23:04', NULL), (1780, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 1, 31, 1, '2024-08-05 15:23:04', NULL), (1781, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 1, 1, '2024-08-05 15:23:04', NULL), (1782, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 2, 1, '2024-08-05 15:23:04', NULL), (1783, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 3, 1, '2024-08-05 15:23:04', NULL), (1784, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 4, 1, '2024-08-05 15:23:04', NULL), (1785, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 5, 1, '2024-08-05 15:23:04', NULL), (1786, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 6, 1, '2024-08-05 15:23:04', NULL), (1787, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 7, 1, '2024-08-05 15:23:04', NULL), (1788, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 8, 1, '2024-08-05 15:23:04', NULL), (1789, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 9, 1, '2024-08-05 15:23:04', NULL), (1790, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 10, 1, '2024-08-05 15:23:04', NULL), (1791, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 11, 1, '2024-08-05 15:23:04', NULL), (1792, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 12, 1, '2024-08-05 15:23:04', NULL), (1793, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 13, 1, '2024-08-05 15:23:04', NULL), (1794, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 14, 1, '2024-08-05 15:23:04', NULL), (1795, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 15, 1, '2024-08-05 15:23:04', NULL), (1796, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 16, 1, '2024-08-05 15:23:04', NULL), (1797, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 17, 1, '2024-08-05 15:23:04', NULL), (1798, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 18, 1, '2024-08-05 15:23:04', NULL), (1799, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 19, 1, '2024-08-05 15:23:04', NULL), (1800, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 20, 1, '2024-08-05 15:23:05', NULL), (1801, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 21, 1, '2024-08-05 15:23:05', NULL), (1802, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 22, 1, '2024-08-05 15:23:05', NULL), (1803, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 23, 1, '2024-08-05 15:23:05', NULL), (1804, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 24, 1, '2024-08-05 15:23:05', NULL), (1805, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 25, 1, '2024-08-05 15:23:05', NULL), (1806, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 26, 1, '2024-08-05 15:23:05', NULL), (1807, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 27, 1, '2024-08-05 15:23:05', NULL), (1808, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 2, 28, 1, '2024-08-05 15:23:05', NULL), (1809, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 1, 1, '2024-08-05 15:23:05', NULL), (1810, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 2, 1, '2024-08-05 15:23:05', NULL), (1811, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 3, 1, '2024-08-05 15:23:05', NULL), (1812, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 4, 1, '2024-08-05 15:23:05', NULL), (1813, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 5, 1, '2024-08-05 15:23:05', NULL), (1814, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 6, 1, '2024-08-05 15:23:05', NULL), (1815, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 7, 1, '2024-08-05 15:23:05', NULL), (1816, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 8, 1, '2024-08-05 15:23:05', NULL), (1817, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 9, 1, '2024-08-05 15:23:05', NULL), (1818, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 10, 1, '2024-08-05 15:23:05', NULL), (1819, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 11, 1, '2024-08-05 15:23:05', NULL), (1820, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 12, 1, '2024-08-05 15:23:05', NULL), (1821, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 13, 1, '2024-08-05 15:23:05', NULL), (1822, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 14, 1, '2024-08-05 15:23:05', NULL), (1823, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 15, 1, '2024-08-05 15:23:05', NULL), (1824, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 16, 1, '2024-08-05 15:23:05', NULL), (1825, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 17, 1, '2024-08-05 15:23:05', NULL), (1826, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 18, 1, '2024-08-05 15:23:05', NULL), (1827, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 19, 1, '2024-08-05 15:23:05', NULL), (1828, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 20, 1, '2024-08-05 15:23:05', NULL), (1829, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 21, 1, '2024-08-05 15:23:05', NULL), (1830, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 22, 1, '2024-08-05 15:23:05', NULL), (1831, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 23, 1, '2024-08-05 15:23:05', NULL), (1832, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 24, 1, '2024-08-05 15:23:05', NULL), (1833, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 25, 1, '2024-08-05 15:23:05', NULL), (1834, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 26, 1, '2024-08-05 15:23:06', NULL), (1835, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 27, 1, '2024-08-05 15:23:06', NULL), (1836, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 28, 1, '2024-08-05 15:23:06', NULL), (1837, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 29, 1, '2024-08-05 15:23:06', NULL), (1838, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 30, 1, '2024-08-05 15:23:06', NULL), (1839, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 3, 31, 1, '2024-08-05 15:23:06', NULL), (1840, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 1, 1, '2024-08-05 15:23:06', NULL), (1841, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 2, 1, '2024-08-05 15:23:06', NULL), (1842, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 3, 1, '2024-08-05 15:23:06', NULL), (1843, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 4, 1, '2024-08-05 15:23:06', NULL), (1844, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 5, 1, '2024-08-05 15:23:06', NULL), (1845, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 6, 1, '2024-08-05 15:23:06', NULL), (1846, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 7, 1, '2024-08-05 15:23:06', NULL), (1847, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 8, 1, '2024-08-05 15:23:06', NULL), (1848, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 9, 1, '2024-08-05 15:23:06', NULL), (1849, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 10, 1, '2024-08-05 15:23:06', NULL), (1850, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 11, 1, '2024-08-05 15:23:06', NULL), (1851, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 12, 1, '2024-08-05 15:23:06', NULL), (1852, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 13, 1, '2024-08-05 15:23:06', NULL), (1853, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 14, 1, '2024-08-05 15:23:06', NULL), (1854, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 15, 1, '2024-08-05 15:23:06', NULL), (1855, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 16, 1, '2024-08-05 15:23:06', NULL), (1856, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 17, 1, '2024-08-05 15:23:06', NULL), (1857, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 18, 1, '2024-08-05 15:23:06', NULL), (1858, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 19, 1, '2024-08-05 15:23:06', NULL), (1859, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 20, 1, '2024-08-05 15:23:06', NULL), (1860, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 21, 1, '2024-08-05 15:23:06', NULL), (1861, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 22, 1, '2024-08-05 15:23:06', NULL), (1862, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 23, 1, '2024-08-05 15:23:07', NULL), (1863, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 24, 1, '2024-08-05 15:23:07', NULL), (1864, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 25, 1, '2024-08-05 15:23:07', NULL), (1865, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 26, 1, '2024-08-05 15:23:07', NULL), (1866, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 27, 1, '2024-08-05 15:23:07', NULL), (1867, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 28, 1, '2024-08-05 15:23:07', NULL), (1868, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 29, 1, '2024-08-05 15:23:07', NULL), (1869, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 4, 30, 1, '2024-08-05 15:23:07', NULL), (1870, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 1, 1, '2024-08-05 15:23:07', NULL), (1871, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 2, 1, '2024-08-05 15:23:07', NULL), (1872, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 3, 1, '2024-08-05 15:23:07', NULL), (1873, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 4, 1, '2024-08-05 15:23:07', NULL), (1874, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 5, 1, '2024-08-05 15:23:07', NULL), (1875, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 6, 1, '2024-08-05 15:23:07', NULL), (1876, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 7, 1, '2024-08-05 15:23:07', NULL), (1877, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 8, 1, '2024-08-05 15:23:07', NULL), (1878, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 9, 1, '2024-08-05 15:23:07', NULL), (1879, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 10, 1, '2024-08-05 15:23:07', NULL), (1880, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 11, 1, '2024-08-05 15:23:07', NULL), (1881, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 12, 1, '2024-08-05 15:23:07', NULL), (1882, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 13, 1, '2024-08-05 15:23:07', NULL), (1883, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 14, 1, '2024-08-05 15:23:07', NULL), (1884, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 15, 1, '2024-08-05 15:23:07', NULL), (1885, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 16, 1, '2024-08-05 15:23:07', NULL), (1886, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 17, 1, '2024-08-05 15:23:07', NULL), (1887, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 18, 1, '2024-08-05 15:23:07', NULL), (1888, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 19, 1, '2024-08-05 15:23:07', NULL), (1889, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 20, 1, '2024-08-05 15:23:07', NULL), (1890, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 21, 1, '2024-08-05 15:23:08', NULL), (1891, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 22, 1, '2024-08-05 15:23:08', NULL), (1892, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 23, 1, '2024-08-05 15:23:08', NULL), (1893, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 24, 1, '2024-08-05 15:23:08', NULL), (1894, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 25, 1, '2024-08-05 15:23:08', NULL), (1895, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 26, 1, '2024-08-05 15:23:08', NULL), (1896, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 27, 1, '2024-08-05 15:23:08', NULL), (1897, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 28, 1, '2024-08-05 15:23:08', NULL), (1898, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 29, 1, '2024-08-05 15:23:08', NULL), (1899, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 30, 1, '2024-08-05 15:23:08', NULL), (1900, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 5, 31, 1, '2024-08-05 15:23:08', NULL), (1901, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 1, 1, '2024-08-05 15:23:08', NULL), (1902, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 2, 1, '2024-08-05 15:23:08', NULL), (1903, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 3, 1, '2024-08-05 15:23:08', NULL), (1904, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 4, 1, '2024-08-05 15:23:08', NULL), (1905, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 5, 1, '2024-08-05 15:23:08', NULL), (1906, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 6, 1, '2024-08-05 15:23:08', NULL), (1907, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 7, 1, '2024-08-05 15:23:08', NULL), (1908, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 8, 1, '2024-08-05 15:23:08', NULL), (1909, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 9, 1, '2024-08-05 15:23:08', NULL), (1910, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 10, 1, '2024-08-05 15:23:08', NULL), (1911, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 11, 1, '2024-08-05 15:23:08', NULL), (1912, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 12, 1, '2024-08-05 15:23:08', NULL), (1913, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 13, 1, '2024-08-05 15:23:08', NULL), (1914, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 14, 1, '2024-08-05 15:23:08', NULL), (1915, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 15, 1, '2024-08-05 15:23:08', NULL), (1916, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 16, 1, '2024-08-05 15:23:08', NULL), (1917, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 17, 1, '2024-08-05 15:23:08', NULL), (1918, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 18, 1, '2024-08-05 15:23:09', NULL), (1919, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 19, 1, '2024-08-05 15:23:09', NULL), (1920, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 20, 1, '2024-08-05 15:23:09', NULL), (1921, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 21, 1, '2024-08-05 15:23:09', NULL), (1922, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 22, 1, '2024-08-05 15:23:09', NULL), (1923, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 23, 1, '2024-08-05 15:23:09', NULL), (1924, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 24, 1, '2024-08-05 15:23:09', NULL), (1925, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 25, 1, '2024-08-05 15:23:09', NULL), (1926, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 26, 1, '2024-08-05 15:23:09', NULL), (1927, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 27, 1, '2024-08-05 15:23:09', NULL), (1928, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 28, 1, '2024-08-05 15:23:09', NULL), (1929, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 29, 1, '2024-08-05 15:23:09', NULL), (1930, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 6, 30, 1, '2024-08-05 15:23:09', NULL), (1931, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 1, 1, '2024-08-05 15:23:09', NULL), (1932, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 2, 1, '2024-08-05 15:23:09', NULL), (1933, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 3, 1, '2024-08-05 15:23:09', NULL), (1934, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 4, 1, '2024-08-05 15:23:09', NULL), (1935, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 5, 1, '2024-08-05 15:23:09', NULL), (1936, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 6, 1, '2024-08-05 15:23:09', NULL), (1937, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 7, 1, '2024-08-05 15:23:09', NULL), (1938, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 8, 1, '2024-08-05 15:23:09', NULL), (1939, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 9, 1, '2024-08-05 15:23:09', NULL), (1940, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 10, 1, '2024-08-05 15:23:09', NULL), (1941, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 11, 1, '2024-08-05 15:23:09', NULL), (1942, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 12, 1, '2024-08-05 15:23:09', NULL), (1943, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 13, 1, '2024-08-05 15:23:09', NULL), (1944, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 14, 1, '2024-08-05 15:23:09', NULL), (1945, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 15, 1, '2024-08-05 15:23:09', NULL), (1946, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 16, 1, '2024-08-05 15:23:10', NULL), (1947, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 17, 1, '2024-08-05 15:23:10', NULL), (1948, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 18, 1, '2024-08-05 15:23:10', NULL), (1949, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 19, 1, '2024-08-05 15:23:10', NULL), (1950, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 20, 1, '2024-08-05 15:23:10', NULL), (1951, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 21, 1, '2024-08-05 15:23:10', NULL), (1952, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 22, 1, '2024-08-05 15:23:10', NULL), (1953, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 23, 1, '2024-08-05 15:23:10', NULL), (1954, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 24, 1, '2024-08-05 15:23:10', NULL), (1955, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 25, 1, '2024-08-05 15:23:10', NULL), (1956, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 26, 1, '2024-08-05 15:23:10', NULL), (1957, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 27, 1, '2024-08-05 15:23:10', NULL), (1958, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 28, 1, '2024-08-05 15:23:10', NULL), (1959, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 29, 1, '2024-08-05 15:23:10', NULL), (1960, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 30, 1, '2024-08-05 15:23:10', NULL), (1961, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 7, 31, 1, '2024-08-05 15:23:10', NULL), (1962, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 1, 1, '2024-08-05 15:23:10', NULL), (1963, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 2, 1, '2024-08-05 15:23:10', NULL), (1964, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 3, 1, '2024-08-05 15:23:10', NULL), (1965, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 4, 1, '2024-08-05 15:23:10', NULL), (1966, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 5, 1, '2024-08-05 15:23:10', NULL), (1967, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 6, 1, '2024-08-05 15:23:10', NULL), (1968, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 7, 1, '2024-08-05 15:23:10', NULL), (1969, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 8, 1, '2024-08-05 15:23:10', NULL), (1970, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 9, 1, '2024-08-05 15:23:10', NULL), (1971, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 10, 1, '2024-08-05 15:23:10', NULL), (1972, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 11, 1, '2024-08-05 15:23:10', NULL), (1973, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 12, 1, '2024-08-05 15:23:11', NULL), (1974, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 13, 1, '2024-08-05 15:23:11', NULL), (1975, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 14, 1, '2024-08-05 15:23:11', NULL), (1976, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 15, 1, '2024-08-05 15:23:11', NULL), (1977, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 16, 1, '2024-08-05 15:23:11', NULL), (1978, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 17, 1, '2024-08-05 15:23:11', NULL), (1979, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 18, 1, '2024-08-05 15:23:11', NULL), (1980, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 19, 1, '2024-08-05 15:23:11', NULL), (1981, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 20, 1, '2024-08-05 15:23:11', NULL), (1982, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 21, 1, '2024-08-05 15:23:11', NULL), (1983, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 22, 1, '2024-08-05 15:23:11', NULL), (1984, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 23, 1, '2024-08-05 15:23:11', NULL), (1985, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 24, 1, '2024-08-05 15:23:11', NULL), (1986, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 25, 1, '2024-08-05 15:23:11', NULL), (1987, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 26, 1, '2024-08-05 15:23:11', NULL), (1988, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 27, 1, '2024-08-05 15:23:11', NULL), (1989, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 28, 1, '2024-08-05 15:23:11', NULL), (1990, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 29, 1, '2024-08-05 15:23:11', NULL), (1991, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 30, 1, '2024-08-05 15:23:11', NULL), (1992, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 8, 31, 1, '2024-08-05 15:23:11', NULL), (1993, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 1, 1, '2024-08-05 15:23:11', NULL), (1994, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 2, 1, '2024-08-05 15:23:11', NULL), (1995, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 3, 1, '2024-08-05 15:23:11', NULL), (1996, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 4, 1, '2024-08-05 15:23:11', NULL), (1997, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 5, 1, '2024-08-05 15:23:11', NULL), (1998, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 6, 1, '2024-08-05 15:23:11', NULL), (1999, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 7, 1, '2024-08-05 15:23:11', NULL), (2000, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 8, 1, '2024-08-05 15:23:11', NULL), (2001, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 9, 1, '2024-08-05 15:23:11', NULL), (2002, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 10, 1, '2024-08-05 15:23:11', NULL), (2003, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 11, 1, '2024-08-05 15:23:12', NULL), (2004, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 12, 1, '2024-08-05 15:23:12', NULL), (2005, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 13, 1, '2024-08-05 15:23:12', NULL), (2006, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 14, 1, '2024-08-05 15:23:12', NULL), (2007, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 15, 1, '2024-08-05 15:23:12', NULL), (2008, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 16, 1, '2024-08-05 15:23:12', NULL), (2009, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 17, 1, '2024-08-05 15:23:12', NULL), (2010, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 18, 1, '2024-08-05 15:23:12', NULL), (2011, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 19, 1, '2024-08-05 15:23:12', NULL), (2012, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 20, 1, '2024-08-05 15:23:12', NULL), (2013, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 21, 1, '2024-08-05 15:23:12', NULL), (2014, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 22, 1, '2024-08-05 15:23:12', NULL), (2015, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 23, 1, '2024-08-05 15:23:12', NULL), (2016, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 24, 1, '2024-08-05 15:23:12', NULL), (2017, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 25, 1, '2024-08-05 15:23:12', NULL), (2018, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 26, 1, '2024-08-05 15:23:12', NULL), (2019, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 27, 1, '2024-08-05 15:23:12', NULL), (2020, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 28, 1, '2024-08-05 15:23:12', NULL), (2021, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 29, 1, '2024-08-05 15:23:12', NULL), (2022, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 9, 30, 1, '2024-08-05 15:23:12', NULL), (2023, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 1, 1, '2024-08-05 15:23:12', NULL), (2024, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 2, 1, '2024-08-05 15:23:12', NULL), (2025, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 3, 1, '2024-08-05 15:23:12', NULL), (2026, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 4, 1, '2024-08-05 15:23:12', NULL), (2027, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 5, 1, '2024-08-05 15:23:12', NULL), (2028, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 6, 1, '2024-08-05 15:23:12', NULL), (2029, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 7, 1, '2024-08-05 15:23:12', NULL), (2030, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 8, 1, '2024-08-05 15:23:12', NULL), (2031, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 9, 1, '2024-08-05 15:23:12', NULL), (2032, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 10, 1, '2024-08-05 15:23:12', NULL), (2033, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 11, 1, '2024-08-05 15:23:12', NULL), (2034, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 12, 1, '2024-08-05 15:23:12', NULL), (2035, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 13, 1, '2024-08-05 15:23:13', NULL), (2036, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 14, 1, '2024-08-05 15:23:13', NULL), (2037, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 15, 1, '2024-08-05 15:23:13', NULL), (2038, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 16, 1, '2024-08-05 15:23:13', NULL), (2039, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 17, 1, '2024-08-05 15:23:13', NULL), (2040, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 18, 1, '2024-08-05 15:23:13', NULL), (2041, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 19, 1, '2024-08-05 15:23:13', NULL), (2042, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 20, 1, '2024-08-05 15:23:13', NULL), (2043, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 21, 1, '2024-08-05 15:23:13', NULL), (2044, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 22, 1, '2024-08-05 15:23:13', NULL), (2045, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 23, 1, '2024-08-05 15:23:13', NULL), (2046, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 24, 1, '2024-08-05 15:23:13', NULL), (2047, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 25, 1, '2024-08-05 15:23:13', NULL), (2048, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 26, 1, '2024-08-05 15:23:13', NULL), (2049, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 27, 1, '2024-08-05 15:23:13', NULL), (2050, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 28, 1, '2024-08-05 15:23:13', NULL), (2051, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 29, 1, '2024-08-05 15:23:13', NULL), (2052, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 30, 1, '2024-08-05 15:23:13', NULL), (2053, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 10, 31, 1, '2024-08-05 15:23:13', NULL), (2054, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 1, 1, '2024-08-05 15:23:13', NULL), (2055, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 2, 1, '2024-08-05 15:23:13', NULL), (2056, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 3, 1, '2024-08-05 15:23:13', NULL), (2057, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 4, 1, '2024-08-05 15:23:13', NULL), (2058, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 5, 1, '2024-08-05 15:23:13', NULL), (2059, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 6, 1, '2024-08-05 15:23:13', NULL), (2060, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 7, 1, '2024-08-05 15:23:13', NULL), (2061, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 8, 1, '2024-08-05 15:23:13', NULL), (2062, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 9, 1, '2024-08-05 15:23:13', NULL), (2063, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 10, 1, '2024-08-05 15:23:13', NULL), (2064, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 11, 1, '2024-08-05 15:23:13', NULL), (2065, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 12, 1, '2024-08-05 15:23:13', NULL), (2066, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 13, 1, '2024-08-05 15:23:14', NULL), (2067, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 14, 1, '2024-08-05 15:23:14', NULL), (2068, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 15, 1, '2024-08-05 15:23:14', NULL), (2069, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 16, 1, '2024-08-05 15:23:14', NULL), (2070, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 17, 1, '2024-08-05 15:23:14', NULL), (2071, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 18, 1, '2024-08-05 15:23:14', NULL), (2072, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 19, 1, '2024-08-05 15:23:14', NULL), (2073, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 20, 1, '2024-08-05 15:23:14', NULL), (2074, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 21, 1, '2024-08-05 15:23:14', NULL), (2075, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 22, 1, '2024-08-05 15:23:14', NULL), (2076, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 23, 1, '2024-08-05 15:23:14', NULL), (2077, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 24, 1, '2024-08-05 15:23:14', NULL), (2078, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 25, 1, '2024-08-05 15:23:14', NULL), (2079, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 26, 1, '2024-08-05 15:23:14', NULL), (2080, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 27, 1, '2024-08-05 15:23:14', NULL), (2081, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 28, 1, '2024-08-05 15:23:14', NULL), (2082, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 29, 1, '2024-08-05 15:23:14', NULL), (2083, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 11, 30, 1, '2024-08-05 15:23:14', NULL), (2084, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 1, 1, '2024-08-05 15:23:14', NULL), (2085, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 2, 1, '2024-08-05 15:23:14', NULL), (2086, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 3, 1, '2024-08-05 15:23:14', NULL), (2087, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 4, 1, '2024-08-05 15:23:14', NULL), (2088, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 5, 1, '2024-08-05 15:23:14', NULL), (2089, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 6, 1, '2024-08-05 15:23:14', NULL), (2090, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 7, 1, '2024-08-05 15:23:14', NULL), (2091, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 8, 1, '2024-08-05 15:23:14', NULL), (2092, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 9, 1, '2024-08-05 15:23:14', NULL), (2093, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 10, 1, '2024-08-05 15:23:14', NULL), (2094, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 11, 1, '2024-08-05 15:23:15', NULL), (2095, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 12, 1, '2024-08-05 15:23:15', NULL), (2096, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 13, 1, '2024-08-05 15:23:15', NULL), (2097, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 14, 1, '2024-08-05 15:23:15', NULL), (2098, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 15, 1, '2024-08-05 15:23:15', NULL), (2099, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 16, 1, '2024-08-05 15:23:15', NULL), (2100, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 17, 1, '2024-08-05 15:23:15', NULL), (2101, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 18, 1, '2024-08-05 15:23:15', NULL), (2102, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 19, 1, '2024-08-05 15:23:15', NULL), (2103, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 20, 1, '2024-08-05 15:23:15', NULL), (2104, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 21, 1, '2024-08-05 15:23:15', NULL), (2105, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 22, 1, '2024-08-05 15:23:15', NULL), (2106, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 23, 1, '2024-08-05 15:23:15', NULL), (2107, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 24, 1, '2024-08-05 15:23:15', NULL), (2108, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 25, 1, '2024-08-05 15:23:15', NULL), (2109, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 26, 1, '2024-08-05 15:23:15', NULL), (2110, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 27, 1, '2024-08-05 15:23:15', NULL), (2111, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 28, 1, '2024-08-05 15:23:15', NULL), (2112, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 29, 1, '2024-08-05 15:23:15', NULL), (2113, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 30, 1, '2024-08-05 15:23:15', NULL), (2114, 13, '511525000000-0001', '高县政务服务中心', 0, 2023, 12, 31, 1, '2024-08-05 15:23:15', NULL), (2115, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 1, 1, '2024-08-05 15:23:15', NULL), (2116, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 2, 1, '2024-08-05 15:23:15', NULL), (2117, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 3, 1, '2024-08-05 15:23:15', NULL), (2118, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 4, 1, '2024-08-05 15:23:15', NULL), (2119, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 5, 1, '2024-08-05 15:23:15', NULL), (2120, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 6, 1, '2024-08-05 15:23:15', NULL), (2121, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 7, 1, '2024-08-05 15:23:15', NULL), (2122, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 8, 1, '2024-08-05 15:23:15', NULL), (2123, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 9, 1, '2024-08-05 15:23:15', NULL), (2124, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 10, 1, '2024-08-05 15:23:16', NULL), (2125, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 11, 1, '2024-08-05 15:23:16', NULL), (2126, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 12, 1, '2024-08-05 15:23:16', NULL), (2127, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 13, 1, '2024-08-05 15:23:16', NULL), (2128, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 14, 1, '2024-08-05 15:23:16', NULL), (2129, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 15, 1, '2024-08-05 15:23:16', NULL), (2130, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 16, 1, '2024-08-05 15:23:16', NULL), (2131, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 17, 1, '2024-08-05 15:23:16', NULL), (2132, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 18, 1, '2024-08-05 15:23:16', NULL), (2133, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 19, 1, '2024-08-05 15:23:16', NULL), (2134, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 20, 1, '2024-08-05 15:23:16', NULL), (2135, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 21, 1, '2024-08-05 15:23:16', NULL), (2136, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 22, 1, '2024-08-05 15:23:16', NULL), (2137, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 23, 1, '2024-08-05 15:23:16', NULL), (2138, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 24, 1, '2024-08-05 15:23:16', NULL), (2139, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 25, 1, '2024-08-05 15:23:16', NULL), (2140, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 26, 1, '2024-08-05 15:23:16', NULL), (2141, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 27, 1, '2024-08-05 15:23:16', NULL), (2142, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 28, 1, '2024-08-05 15:23:16', NULL), (2143, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 29, 1, '2024-08-05 15:23:16', NULL), (2144, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 30, 1, '2024-08-05 15:23:16', NULL), (2145, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 1, 31, 1, '2024-08-05 15:23:16', NULL), (2146, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 1, 1, '2024-08-05 15:23:16', NULL), (2147, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 2, 1, '2024-08-05 15:23:16', NULL), (2148, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 3, 1, '2024-08-05 15:23:16', NULL), (2149, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 4, 1, '2024-08-05 15:23:16', NULL), (2150, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 5, 1, '2024-08-05 15:23:16', NULL), (2151, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 6, 1, '2024-08-05 15:23:16', NULL), (2152, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 7, 1, '2024-08-05 15:23:16', NULL), (2153, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 8, 1, '2024-08-05 15:23:16', NULL), (2154, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 9, 1, '2024-08-05 15:23:16', NULL), (2155, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 10, 1, '2024-08-05 15:23:16', NULL), (2156, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 11, 1, '2024-08-05 15:23:16', NULL), (2157, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 12, 1, '2024-08-05 15:23:16', NULL), (2158, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 13, 1, '2024-08-05 15:23:16', NULL), (2159, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 14, 1, '2024-08-05 15:23:16', NULL), (2160, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 15, 1, '2024-08-05 15:23:16', NULL), (2161, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 16, 1, '2024-08-05 15:23:16', NULL), (2162, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 17, 1, '2024-08-05 15:23:16', NULL), (2163, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 18, 1, '2024-08-05 15:23:16', NULL), (2164, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 19, 1, '2024-08-05 15:23:16', NULL), (2165, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 20, 1, '2024-08-05 15:23:16', NULL), (2166, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 21, 1, '2024-08-05 15:23:16', NULL), (2167, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 22, 1, '2024-08-05 15:23:16', NULL), (2168, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 23, 1, '2024-08-05 15:23:16', NULL), (2169, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 24, 1, '2024-08-05 15:23:16', NULL), (2170, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 25, 1, '2024-08-05 15:23:16', NULL), (2171, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 26, 1, '2024-08-05 15:23:16', NULL), (2172, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 27, 1, '2024-08-05 15:23:17', NULL), (2173, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 28, 1, '2024-08-05 15:23:17', NULL), (2174, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 2, 29, 1, '2024-08-05 15:23:17', NULL), (2175, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 1, 1, '2024-08-05 15:23:17', NULL), (2176, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 2, 1, '2024-08-05 15:23:17', NULL), (2177, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 3, 1, '2024-08-05 15:23:17', NULL), (2178, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 4, 1, '2024-08-05 15:23:17', NULL), (2179, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 5, 1, '2024-08-05 15:23:17', NULL), (2180, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 6, 1, '2024-08-05 15:23:17', NULL), (2181, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 7, 1, '2024-08-05 15:23:17', NULL), (2182, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 8, 1, '2024-08-05 15:23:17', NULL), (2183, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 9, 1, '2024-08-05 15:23:17', NULL), (2184, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 10, 1, '2024-08-05 15:23:17', NULL), (2185, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 11, 1, '2024-08-05 15:23:17', NULL), (2186, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 12, 1, '2024-08-05 15:23:17', NULL), (2187, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 13, 1, '2024-08-05 15:23:17', NULL), (2188, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 14, 1, '2024-08-05 15:23:17', NULL), (2189, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 15, 1, '2024-08-05 15:23:17', NULL), (2190, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 16, 1, '2024-08-05 15:23:17', NULL), (2191, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 17, 1, '2024-08-05 15:23:17', NULL), (2192, 13, '511525000000-0001', '高县政务服务中心', 2, 2024, 3, 18, 1, '2024-08-05 15:23:17', NULL), (2193, 13, '511525000000-0001', '高县政务服务中心', 17, 2024, 3, 19, 1, '2024-08-05 15:23:17', NULL), (2194, 13, '511525000000-0001', '高县政务服务中心', 15, 2024, 3, 20, 1, '2024-08-05 15:23:17', NULL), (2195, 13, '511525000000-0001', '高县政务服务中心', 22, 2024, 3, 21, 1, '2024-08-05 15:23:17', NULL), (2196, 13, '511525000000-0001', '高县政务服务中心', 19, 2024, 3, 22, 1, '2024-08-05 15:23:17', NULL), (2197, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 23, 1, '2024-08-05 15:23:17', NULL), (2198, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 24, 1, '2024-08-05 15:23:17', NULL), (2199, 13, '511525000000-0001', '高县政务服务中心', 10, 2024, 3, 25, 1, '2024-08-05 15:23:17', NULL), (2200, 13, '511525000000-0001', '高县政务服务中心', 13, 2024, 3, 26, 1, '2024-08-05 15:23:18', NULL), (2201, 13, '511525000000-0001', '高县政务服务中心', 7, 2024, 3, 27, 1, '2024-08-05 15:23:18', NULL), (2202, 13, '511525000000-0001', '高县政务服务中心', 8, 2024, 3, 28, 1, '2024-08-05 15:23:18', NULL), (2203, 13, '511525000000-0001', '高县政务服务中心', 3, 2024, 3, 29, 1, '2024-08-05 15:23:18', NULL), (2204, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 30, 1, '2024-08-05 15:23:18', NULL), (2205, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 3, 31, 1, '2024-08-05 15:23:18', NULL), (2206, 13, '511525000000-0001', '高县政务服务中心', 2, 2024, 4, 1, 1, '2024-08-05 15:23:18', NULL), (2207, 13, '511525000000-0001', '高县政务服务中心', 3, 2024, 4, 2, 1, '2024-08-05 15:23:18', NULL), (2208, 13, '511525000000-0001', '高县政务服务中心', 5, 2024, 4, 3, 1, '2024-08-05 15:23:18', NULL), (2209, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 4, 4, 1, '2024-08-05 15:23:18', NULL), (2210, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 4, 5, 1, '2024-08-05 15:23:18', NULL), (2211, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 4, 6, 1, '2024-08-05 15:23:18', NULL), (2212, 13, '511525000000-0001', '高县政务服务中心', 3, 2024, 4, 7, 1, '2024-08-05 15:23:18', NULL), (2213, 13, '511525000000-0001', '高县政务服务中心', 18, 2024, 4, 8, 1, '2024-08-05 15:23:18', NULL), (2214, 13, '511525000000-0001', '高县政务服务中心', 6, 2024, 4, 9, 1, '2024-08-05 15:23:18', NULL), (2215, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 4, 10, 1, '2024-08-05 15:23:18', NULL), (2216, 13, '511525000000-0001', '高县政务服务中心', 3, 2024, 4, 11, 1, '2024-08-05 15:23:18', NULL), (2217, 13, '511525000000-0001', '高县政务服务中心', 9, 2024, 4, 12, 1, '2024-08-05 15:23:18', NULL), (2218, 13, '511525000000-0001', '高县政务服务中心', 1, 2024, 4, 13, 1, '2024-08-05 15:23:18', NULL), (2219, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 4, 14, 1, '2024-08-05 15:23:18', NULL), (2220, 13, '511525000000-0001', '高县政务服务中心', 1, 2024, 4, 15, 1, '2024-08-05 15:23:18', NULL), (2221, 13, '511525000000-0001', '高县政务服务中心', 14, 2024, 4, 16, 1, '2024-08-05 15:23:18', NULL), (2222, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 4, 17, 1, '2024-08-05 15:23:18', NULL), (2223, 13, '511525000000-0001', '高县政务服务中心', 1, 2024, 4, 18, 1, '2024-08-05 15:23:18', NULL), (2224, 13, '511525000000-0001', '高县政务服务中心', 4, 2024, 4, 19, 1, '2024-08-05 15:23:18', NULL), (2225, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 4, 20, 1, '2024-08-05 15:23:19', NULL), (2226, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 4, 21, 1, '2024-08-05 15:23:19', NULL), (2227, 13, '511525000000-0001', '高县政务服务中心', 4, 2024, 4, 22, 1, '2024-08-05 15:23:19', NULL), (2228, 13, '511525000000-0001', '高县政务服务中心', 3, 2024, 4, 23, 1, '2024-08-05 15:23:19', NULL), (2229, 13, '511525000000-0001', '高县政务服务中心', 4, 2024, 4, 24, 1, '2024-08-05 15:23:19', NULL), (2230, 13, '511525000000-0001', '高县政务服务中心', 1, 2024, 4, 25, 1, '2024-08-05 15:23:19', NULL), (2231, 13, '511525000000-0001', '高县政务服务中心', 2, 2024, 4, 26, 1, '2024-08-05 15:23:19', NULL), (2232, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 4, 27, 1, '2024-08-05 15:23:19', NULL), (2233, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 4, 28, 1, '2024-08-05 15:23:19', NULL), (2234, 13, '511525000000-0001', '高县政务服务中心', 6, 2024, 4, 29, 1, '2024-08-05 15:23:19', NULL), (2235, 13, '511525000000-0001', '高县政务服务中心', 5, 2024, 4, 30, 1, '2024-08-05 15:23:19', NULL), (2236, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 5, 1, 1, '2024-08-05 15:23:19', NULL), (2237, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 5, 2, 1, '2024-08-05 15:23:19', NULL), (2238, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 5, 3, 1, '2024-08-05 15:23:19', NULL), (2239, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 5, 4, 1, '2024-08-05 15:23:19', NULL), (2240, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 5, 5, 1, '2024-08-05 15:23:19', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (2241, 13, '511525000000-0001', '高县政务服务中心', 1, 2024, 5, 6, 1, '2024-08-05 15:23:19', NULL), (2242, 13, '511525000000-0001', '高县政务服务中心', 3, 2024, 5, 7, 1, '2024-08-05 15:23:19', NULL), (2243, 13, '511525000000-0001', '高县政务服务中心', 6, 2024, 5, 8, 1, '2024-08-05 15:23:19', NULL), (2244, 13, '511525000000-0001', '高县政务服务中心', 3, 2024, 5, 9, 1, '2024-08-05 15:23:19', NULL), (2245, 13, '511525000000-0001', '高县政务服务中心', 9, 2024, 5, 10, 1, '2024-08-05 15:23:19', NULL), (2246, 13, '511525000000-0001', '高县政务服务中心', 4, 2024, 5, 11, 1, '2024-08-05 15:23:19', NULL), (2247, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 5, 12, 1, '2024-08-05 15:23:19', NULL), (2248, 13, '511525000000-0001', '高县政务服务中心', 6, 2024, 5, 13, 1, '2024-08-05 15:23:19', NULL), (2249, 13, '511525000000-0001', '高县政务服务中心', 3, 2024, 5, 14, 1, '2024-08-05 15:23:19', NULL), (2250, 13, '511525000000-0001', '高县政务服务中心', 7, 2024, 5, 15, 1, '2024-08-05 15:23:19', NULL), (2251, 13, '511525000000-0001', '高县政务服务中心', 2, 2024, 5, 16, 1, '2024-08-05 15:23:20', NULL), (2252, 13, '511525000000-0001', '高县政务服务中心', 2, 2024, 5, 17, 1, '2024-08-05 15:23:20', NULL), (2253, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 5, 18, 1, '2024-08-05 15:23:20', NULL), (2254, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 5, 19, 1, '2024-08-05 15:23:20', NULL), (2255, 13, '511525000000-0001', '高县政务服务中心', 4, 2024, 5, 20, 1, '2024-08-05 15:23:20', NULL), (2256, 13, '511525000000-0001', '高县政务服务中心', 12, 2024, 5, 21, 1, '2024-08-05 15:23:20', NULL), (2257, 13, '511525000000-0001', '高县政务服务中心', 30, 2024, 5, 22, 1, '2024-08-05 15:23:20', NULL), (2258, 13, '511525000000-0001', '高县政务服务中心', 14, 2024, 5, 23, 1, '2024-08-05 15:23:20', NULL), (2259, 13, '511525000000-0001', '高县政务服务中心', 16, 2024, 5, 24, 1, '2024-08-05 15:23:20', NULL), (2260, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 5, 25, 1, '2024-08-05 15:23:20', NULL), (2261, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 5, 26, 1, '2024-08-05 15:23:20', NULL), (2262, 13, '511525000000-0001', '高县政务服务中心', 120, 2024, 5, 27, 1, '2024-08-05 15:23:20', NULL), (2263, 13, '511525000000-0001', '高县政务服务中心', 34, 2024, 5, 28, 1, '2024-08-05 15:23:20', NULL), (2264, 13, '511525000000-0001', '高县政务服务中心', 29, 2024, 5, 29, 1, '2024-08-05 15:23:20', NULL), (2265, 13, '511525000000-0001', '高县政务服务中心', 41, 2024, 5, 30, 1, '2024-08-05 15:23:20', NULL), (2266, 13, '511525000000-0001', '高县政务服务中心', 26, 2024, 5, 31, 1, '2024-08-05 15:23:20', NULL), (2267, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 6, 1, 1, '2024-08-05 15:23:20', NULL), (2268, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 6, 2, 1, '2024-08-05 15:23:20', NULL), (2269, 13, '511525000000-0001', '高县政务服务中心', 18, 2024, 6, 3, 1, '2024-08-05 15:23:20', NULL), (2270, 13, '511525000000-0001', '高县政务服务中心', 43, 2024, 6, 4, 1, '2024-08-05 15:23:20', NULL), (2271, 13, '511525000000-0001', '高县政务服务中心', 15, 2024, 6, 5, 1, '2024-08-05 15:23:20', NULL), (2272, 13, '511525000000-0001', '高县政务服务中心', 55, 2024, 6, 6, 1, '2024-08-05 15:23:20', NULL), (2273, 13, '511525000000-0001', '高县政务服务中心', 25, 2024, 6, 7, 1, '2024-08-05 15:23:20', NULL), (2274, 13, '511525000000-0001', '高县政务服务中心', 1, 2024, 6, 8, 1, '2024-08-05 15:23:20', NULL), (2275, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 6, 9, 1, '2024-08-05 15:23:21', NULL), (2276, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 6, 10, 1, '2024-08-05 15:23:21', NULL), (2277, 13, '511525000000-0001', '高县政务服务中心', 19, 2024, 6, 11, 1, '2024-08-05 15:23:21', NULL), (2278, 13, '511525000000-0001', '高县政务服务中心', 45, 2024, 6, 12, 1, '2024-08-05 15:23:21', NULL), (2279, 13, '511525000000-0001', '高县政务服务中心', 28, 2024, 6, 13, 1, '2024-08-05 15:23:21', NULL), (2280, 13, '511525000000-0001', '高县政务服务中心', 25, 2024, 6, 14, 1, '2024-08-05 15:23:21', NULL), (2281, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 6, 15, 1, '2024-08-05 15:23:21', NULL), (2282, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 6, 16, 1, '2024-08-05 15:23:21', NULL), (2283, 13, '511525000000-0001', '高县政务服务中心', 19, 2024, 6, 17, 1, '2024-08-05 15:23:21', NULL), (2284, 13, '511525000000-0001', '高县政务服务中心', 24, 2024, 6, 18, 1, '2024-08-05 15:23:21', NULL), (2285, 13, '511525000000-0001', '高县政务服务中心', 19, 2024, 6, 19, 1, '2024-08-05 15:23:21', NULL), (2286, 13, '511525000000-0001', '高县政务服务中心', 26, 2024, 6, 20, 1, '2024-08-05 15:23:21', NULL), (2287, 13, '511525000000-0001', '高县政务服务中心', 24, 2024, 6, 21, 1, '2024-08-05 15:23:21', NULL), (2288, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 6, 22, 1, '2024-08-05 15:23:21', NULL), (2289, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 6, 23, 1, '2024-08-05 15:23:21', NULL), (2290, 13, '511525000000-0001', '高县政务服务中心', 13, 2024, 6, 24, 1, '2024-08-05 15:23:21', NULL), (2291, 13, '511525000000-0001', '高县政务服务中心', 18, 2024, 6, 25, 1, '2024-08-05 15:23:21', NULL), (2292, 13, '511525000000-0001', '高县政务服务中心', 37, 2024, 6, 26, 1, '2024-08-05 15:23:21', NULL), (2293, 13, '511525000000-0001', '高县政务服务中心', 19, 2024, 6, 27, 1, '2024-08-05 15:23:21', NULL), (2294, 13, '511525000000-0001', '高县政务服务中心', 17, 2024, 6, 28, 1, '2024-08-05 15:23:21', NULL), (2295, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 6, 29, 1, '2024-08-05 15:23:21', NULL), (2296, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 6, 30, 1, '2024-08-05 15:23:21', NULL), (2297, 13, '511525000000-0001', '高县政务服务中心', 11, 2024, 7, 1, 1, '2024-08-05 15:23:21', NULL), (2298, 13, '511525000000-0001', '高县政务服务中心', 17, 2024, 7, 2, 1, '2024-08-05 15:23:21', NULL), (2299, 13, '511525000000-0001', '高县政务服务中心', 15, 2024, 7, 3, 1, '2024-08-05 15:23:21', NULL), (2300, 13, '511525000000-0001', '高县政务服务中心', 18, 2024, 7, 4, 1, '2024-08-05 15:23:22', NULL), (2301, 13, '511525000000-0001', '高县政务服务中心', 30, 2024, 7, 5, 1, '2024-08-05 15:23:22', NULL), (2302, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 7, 6, 1, '2024-08-05 15:23:22', NULL), (2303, 13, '511525000000-0001', '高县政务服务中心', 1, 2024, 7, 7, 1, '2024-08-05 15:23:22', NULL), (2304, 13, '511525000000-0001', '高县政务服务中心', 8, 2024, 7, 8, 1, '2024-08-05 15:23:22', NULL), (2305, 13, '511525000000-0001', '高县政务服务中心', 6, 2024, 7, 9, 1, '2024-08-05 15:23:22', NULL), (2306, 13, '511525000000-0001', '高县政务服务中心', 1, 2024, 7, 10, 1, '2024-08-05 15:23:22', NULL), (2307, 13, '511525000000-0001', '高县政务服务中心', 4, 2024, 7, 11, 1, '2024-08-05 15:23:22', NULL), (2308, 13, '511525000000-0001', '高县政务服务中心', 3, 2024, 7, 12, 1, '2024-08-05 15:23:22', NULL), (2309, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 7, 13, 1, '2024-08-05 15:23:22', NULL), (2310, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 7, 14, 1, '2024-08-05 15:23:22', NULL), (2311, 13, '511525000000-0001', '高县政务服务中心', 9, 2024, 7, 15, 1, '2024-08-05 15:23:22', NULL), (2312, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 7, 16, 1, '2024-08-05 15:23:22', NULL), (2313, 13, '511525000000-0001', '高县政务服务中心', 3, 2024, 7, 17, 1, '2024-08-05 15:23:22', NULL), (2314, 13, '511525000000-0001', '高县政务服务中心', 4, 2024, 7, 18, 1, '2024-08-05 15:23:22', NULL), (2315, 13, '511525000000-0001', '高县政务服务中心', 5, 2024, 7, 19, 1, '2024-08-05 15:23:22', NULL), (2316, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 7, 20, 1, '2024-08-05 15:23:22', NULL), (2317, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 7, 21, 1, '2024-08-05 15:23:22', NULL), (2318, 13, '511525000000-0001', '高县政务服务中心', 1, 2024, 7, 22, 1, '2024-08-05 15:23:22', NULL), (2319, 13, '511525000000-0001', '高县政务服务中心', 8, 2024, 7, 23, 1, '2024-08-05 15:23:22', NULL), (2320, 13, '511525000000-0001', '高县政务服务中心', 10, 2024, 7, 24, 1, '2024-08-05 15:23:22', NULL), (2321, 13, '511525000000-0001', '高县政务服务中心', 17, 2024, 7, 25, 1, '2024-08-05 15:23:22', NULL), (2322, 13, '511525000000-0001', '高县政务服务中心', 6, 2024, 7, 26, 1, '2024-08-05 15:23:23', NULL), (2323, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 7, 27, 1, '2024-08-05 15:23:23', NULL), (2324, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 7, 28, 1, '2024-08-05 15:23:23', NULL), (2325, 13, '511525000000-0001', '高县政务服务中心', 12, 2024, 7, 29, 1, '2024-08-05 15:23:23', NULL), (2326, 13, '511525000000-0001', '高县政务服务中心', 18, 2024, 7, 30, 1, '2024-08-05 15:23:23', NULL), (2327, 13, '511525000000-0001', '高县政务服务中心', 21, 2024, 7, 31, 1, '2024-08-05 15:23:23', NULL), (2328, 13, '511525000000-0001', '高县政务服务中心', 11, 2024, 8, 1, 1, '2024-08-05 15:23:23', '2024-08-05 20:13:05'), (2329, 13, '511525000000-0001', '高县政务服务中心', 13, 2024, 8, 2, 1, '2024-08-05 15:23:23', '2024-08-06 02:20:03'), (2330, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 8, 3, 1, '2024-08-05 15:23:23', '2024-08-07 01:30:01'), (2331, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 8, 4, 1, '2024-08-05 15:23:23', '2024-08-08 01:30:01'), (2332, 13, '511525000000-0001', '高县政务服务中心', 9, 2024, 8, 5, 1, '2024-08-05 15:23:23', '2024-08-09 01:30:01'), (2333, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 1, 1, '2024-08-05 15:34:55', NULL), (2334, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 2, 1, '2024-08-05 15:34:55', NULL), (2335, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 3, 1, '2024-08-05 15:34:55', NULL), (2336, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 4, 1, '2024-08-05 15:34:55', NULL), (2337, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 5, 1, '2024-08-05 15:34:55', NULL), (2338, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 6, 1, '2024-08-05 15:34:55', NULL), (2339, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 7, 1, '2024-08-05 15:34:55', NULL), (2340, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 8, 1, '2024-08-05 15:34:55', NULL), (2341, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 9, 1, '2024-08-05 15:34:56', NULL), (2342, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 10, 1, '2024-08-05 15:34:56', NULL), (2343, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 11, 1, '2024-08-05 15:34:56', NULL), (2344, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 12, 1, '2024-08-05 15:34:56', NULL), (2345, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 13, 1, '2024-08-05 15:34:56', NULL), (2346, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 14, 1, '2024-08-05 15:34:56', NULL), (2347, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 15, 1, '2024-08-05 15:34:56', NULL), (2348, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 16, 1, '2024-08-05 15:34:57', NULL), (2349, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 17, 1, '2024-08-05 15:34:57', NULL), (2350, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 18, 1, '2024-08-05 15:34:57', NULL), (2351, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 19, 1, '2024-08-05 15:34:57', NULL), (2352, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 20, 1, '2024-08-05 15:34:57', NULL), (2353, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 21, 1, '2024-08-05 15:34:57', NULL), (2354, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 22, 1, '2024-08-05 15:34:57', NULL), (2355, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 23, 1, '2024-08-05 15:34:58', NULL), (2356, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 24, 1, '2024-08-05 15:34:58', NULL), (2357, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 25, 1, '2024-08-05 15:34:58', NULL), (2358, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 26, 1, '2024-08-05 15:34:58', NULL), (2359, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 27, 1, '2024-08-05 15:34:58', NULL), (2360, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 28, 1, '2024-08-05 15:34:58', NULL), (2361, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 29, 1, '2024-08-05 15:34:58', NULL), (2362, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 30, 1, '2024-08-05 15:34:58', NULL), (2363, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 1, 31, 1, '2024-08-05 15:34:58', NULL), (2364, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 1, 1, '2024-08-05 15:34:59', NULL), (2365, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 2, 1, '2024-08-05 15:34:59', NULL), (2366, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 3, 1, '2024-08-05 15:34:59', NULL), (2367, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 4, 1, '2024-08-05 15:34:59', NULL), (2368, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 5, 1, '2024-08-05 15:34:59', NULL), (2369, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 6, 1, '2024-08-05 15:34:59', NULL), (2370, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 7, 1, '2024-08-05 15:34:59', NULL), (2371, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 8, 1, '2024-08-05 15:34:59', NULL), (2372, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 9, 1, '2024-08-05 15:34:59', NULL), (2373, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 10, 1, '2024-08-05 15:34:59', NULL), (2374, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 11, 1, '2024-08-05 15:34:59', NULL), (2375, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 12, 1, '2024-08-05 15:34:59', NULL), (2376, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 13, 1, '2024-08-05 15:34:59', NULL), (2377, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 14, 1, '2024-08-05 15:34:59', NULL), (2378, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 15, 1, '2024-08-05 15:34:59', NULL), (2379, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 16, 1, '2024-08-05 15:34:59', NULL), (2380, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 17, 1, '2024-08-05 15:34:59', NULL), (2381, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 18, 1, '2024-08-05 15:34:59', NULL), (2382, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 19, 1, '2024-08-05 15:35:00', NULL), (2383, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 20, 1, '2024-08-05 15:35:00', NULL), (2384, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 21, 1, '2024-08-05 15:35:00', NULL), (2385, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 22, 1, '2024-08-05 15:35:00', NULL), (2386, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 23, 1, '2024-08-05 15:35:00', NULL), (2387, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 24, 1, '2024-08-05 15:35:00', NULL), (2388, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 25, 1, '2024-08-05 15:35:00', NULL), (2389, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 26, 1, '2024-08-05 15:35:00', NULL), (2390, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 27, 1, '2024-08-05 15:35:00', NULL), (2391, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 2, 28, 1, '2024-08-05 15:35:00', NULL), (2392, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 1, 1, '2024-08-05 15:35:00', NULL), (2393, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 2, 1, '2024-08-05 15:35:01', NULL), (2394, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 3, 1, '2024-08-05 15:35:01', NULL), (2395, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 4, 1, '2024-08-05 15:35:01', NULL), (2396, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 5, 1, '2024-08-05 15:35:01', NULL), (2397, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 6, 1, '2024-08-05 15:35:01', NULL), (2398, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 7, 1, '2024-08-05 15:35:01', NULL), (2399, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 8, 1, '2024-08-05 15:35:01', NULL), (2400, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 9, 1, '2024-08-05 15:35:01', NULL), (2401, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 10, 1, '2024-08-05 15:35:01', NULL), (2402, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 11, 1, '2024-08-05 15:35:02', NULL), (2403, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 12, 1, '2024-08-05 15:35:02', NULL), (2404, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 13, 1, '2024-08-05 15:35:02', NULL), (2405, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 14, 1, '2024-08-05 15:35:02', NULL), (2406, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 15, 1, '2024-08-05 15:35:02', NULL), (2407, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 16, 1, '2024-08-05 15:35:02', NULL), (2408, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 17, 1, '2024-08-05 15:35:02', NULL), (2409, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 18, 1, '2024-08-05 15:35:02', NULL), (2410, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 19, 1, '2024-08-05 15:35:02', NULL), (2411, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 20, 1, '2024-08-05 15:35:02', NULL), (2412, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 21, 1, '2024-08-05 15:35:02', NULL), (2413, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 22, 1, '2024-08-05 15:35:02', NULL), (2414, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 23, 1, '2024-08-05 15:35:02', NULL), (2415, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 24, 1, '2024-08-05 15:35:02', NULL), (2416, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 25, 1, '2024-08-05 15:35:02', NULL), (2417, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 26, 1, '2024-08-05 15:35:02', NULL), (2418, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 27, 1, '2024-08-05 15:35:02', NULL), (2419, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 28, 1, '2024-08-05 15:35:02', NULL), (2420, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 29, 1, '2024-08-05 15:35:02', NULL), (2421, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 30, 1, '2024-08-05 15:35:02', NULL), (2422, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 3, 31, 1, '2024-08-05 15:35:02', NULL), (2423, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 1, 1, '2024-08-05 15:35:02', NULL), (2424, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 2, 1, '2024-08-05 15:35:02', NULL), (2425, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 3, 1, '2024-08-05 15:35:02', NULL), (2426, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 4, 1, '2024-08-05 15:35:02', NULL), (2427, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 5, 1, '2024-08-05 15:35:02', NULL), (2428, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 6, 1, '2024-08-05 15:35:02', NULL), (2429, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 7, 1, '2024-08-05 15:35:02', NULL), (2430, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 8, 1, '2024-08-05 15:35:02', NULL), (2431, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 9, 1, '2024-08-05 15:35:03', NULL), (2432, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 10, 1, '2024-08-05 15:35:03', NULL), (2433, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 11, 1, '2024-08-05 15:35:03', NULL), (2434, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 12, 1, '2024-08-05 15:35:03', NULL), (2435, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 13, 1, '2024-08-05 15:35:03', NULL), (2436, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 14, 1, '2024-08-05 15:35:03', NULL), (2437, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 15, 1, '2024-08-05 15:35:03', NULL), (2438, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 16, 1, '2024-08-05 15:35:03', NULL), (2439, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 17, 1, '2024-08-05 15:35:03', NULL), (2440, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 18, 1, '2024-08-05 15:35:03', NULL), (2441, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 19, 1, '2024-08-05 15:35:03', NULL), (2442, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 20, 1, '2024-08-05 15:35:03', NULL), (2443, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 21, 1, '2024-08-05 15:35:03', NULL), (2444, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 22, 1, '2024-08-05 15:35:03', NULL), (2445, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 23, 1, '2024-08-05 15:35:03', NULL), (2446, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 24, 1, '2024-08-05 15:35:03', NULL), (2447, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 25, 1, '2024-08-05 15:35:03', NULL), (2448, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 26, 1, '2024-08-05 15:35:03', NULL), (2449, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 27, 1, '2024-08-05 15:35:03', NULL), (2450, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 28, 1, '2024-08-05 15:35:03', NULL), (2451, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 29, 1, '2024-08-05 15:35:03', NULL), (2452, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 4, 30, 1, '2024-08-05 15:35:03', NULL), (2453, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 1, 1, '2024-08-05 15:35:03', NULL), (2454, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 2, 1, '2024-08-05 15:35:03', NULL), (2455, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 3, 1, '2024-08-05 15:35:03', NULL), (2456, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 4, 1, '2024-08-05 15:35:03', NULL), (2457, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 5, 1, '2024-08-05 15:35:03', NULL), (2458, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 6, 1, '2024-08-05 15:35:03', NULL), (2459, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 7, 1, '2024-08-05 15:35:04', NULL), (2460, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 8, 1, '2024-08-05 15:35:04', NULL), (2461, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 9, 1, '2024-08-05 15:35:04', NULL), (2462, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 10, 1, '2024-08-05 15:35:04', NULL), (2463, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 11, 1, '2024-08-05 15:35:04', NULL), (2464, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 12, 1, '2024-08-05 15:35:04', NULL), (2465, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 13, 1, '2024-08-05 15:35:04', NULL), (2466, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 14, 1, '2024-08-05 15:35:04', NULL), (2467, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 15, 1, '2024-08-05 15:35:04', NULL), (2468, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 16, 1, '2024-08-05 15:35:04', NULL), (2469, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 17, 1, '2024-08-05 15:35:04', NULL), (2470, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 18, 1, '2024-08-05 15:35:04', NULL), (2471, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 19, 1, '2024-08-05 15:35:04', NULL), (2472, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 20, 1, '2024-08-05 15:35:04', NULL), (2473, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 21, 1, '2024-08-05 15:35:04', NULL), (2474, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 22, 1, '2024-08-05 15:35:04', NULL), (2475, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 23, 1, '2024-08-05 15:35:04', NULL), (2476, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 24, 1, '2024-08-05 15:35:04', NULL), (2477, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 25, 1, '2024-08-05 15:35:04', NULL), (2478, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 26, 1, '2024-08-05 15:35:04', NULL), (2479, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 27, 1, '2024-08-05 15:35:04', NULL), (2480, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 28, 1, '2024-08-05 15:35:04', NULL), (2481, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 29, 1, '2024-08-05 15:35:04', NULL), (2482, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 30, 1, '2024-08-05 15:35:04', NULL), (2483, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 5, 31, 1, '2024-08-05 15:35:04', NULL), (2484, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 1, 1, '2024-08-05 15:35:04', NULL), (2485, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 2, 1, '2024-08-05 15:35:04', NULL), (2486, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 3, 1, '2024-08-05 15:35:04', NULL), (2487, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 4, 1, '2024-08-05 15:35:05', NULL), (2488, 15, '511527000000-0001', '筠连县政务服务中心', 7, 2023, 6, 5, 1, '2024-08-05 15:35:05', NULL), (2489, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 6, 1, '2024-08-05 15:35:05', NULL), (2490, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 7, 1, '2024-08-05 15:35:05', NULL), (2491, 15, '511527000000-0001', '筠连县政务服务中心', 1, 2023, 6, 8, 1, '2024-08-05 15:35:05', NULL), (2492, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 9, 1, '2024-08-05 15:35:05', NULL), (2493, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 10, 1, '2024-08-05 15:35:05', NULL), (2494, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 11, 1, '2024-08-05 15:35:05', NULL), (2495, 15, '511527000000-0001', '筠连县政务服务中心', 1, 2023, 6, 12, 1, '2024-08-05 15:35:05', NULL), (2496, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 13, 1, '2024-08-05 15:35:05', NULL), (2497, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 14, 1, '2024-08-05 15:35:05', NULL), (2498, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 15, 1, '2024-08-05 15:35:05', NULL), (2499, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 16, 1, '2024-08-05 15:35:05', NULL), (2500, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 17, 1, '2024-08-05 15:35:05', NULL), (2501, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 18, 1, '2024-08-05 15:35:05', NULL), (2502, 15, '511527000000-0001', '筠连县政务服务中心', 2, 2023, 6, 19, 1, '2024-08-05 15:35:05', NULL), (2503, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 20, 1, '2024-08-05 15:35:05', NULL), (2504, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 21, 1, '2024-08-05 15:35:05', NULL), (2505, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 22, 1, '2024-08-05 15:35:05', NULL), (2506, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 23, 1, '2024-08-05 15:35:05', NULL), (2507, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 24, 1, '2024-08-05 15:35:05', NULL), (2508, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 25, 1, '2024-08-05 15:35:05', NULL), (2509, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 26, 1, '2024-08-05 15:35:05', NULL), (2510, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 27, 1, '2024-08-05 15:35:05', NULL), (2511, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 28, 1, '2024-08-05 15:35:05', NULL), (2512, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 29, 1, '2024-08-05 15:35:05', NULL), (2513, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 6, 30, 1, '2024-08-05 15:35:05', NULL), (2514, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 1, 1, '2024-08-05 15:35:05', NULL), (2515, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 2, 1, '2024-08-05 15:35:06', NULL), (2516, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 3, 1, '2024-08-05 15:35:06', NULL), (2517, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 4, 1, '2024-08-05 15:35:06', NULL), (2518, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 5, 1, '2024-08-05 15:35:06', NULL), (2519, 15, '511527000000-0001', '筠连县政务服务中心', 1, 2023, 7, 6, 1, '2024-08-05 15:35:06', NULL), (2520, 15, '511527000000-0001', '筠连县政务服务中心', 1, 2023, 7, 7, 1, '2024-08-05 15:35:06', NULL), (2521, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 8, 1, '2024-08-05 15:35:06', NULL), (2522, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 9, 1, '2024-08-05 15:35:06', NULL), (2523, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 10, 1, '2024-08-05 15:35:06', NULL), (2524, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 11, 1, '2024-08-05 15:35:06', NULL), (2525, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 12, 1, '2024-08-05 15:35:06', NULL), (2526, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 13, 1, '2024-08-05 15:35:06', NULL), (2527, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 14, 1, '2024-08-05 15:35:06', NULL), (2528, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 15, 1, '2024-08-05 15:35:06', NULL), (2529, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 16, 1, '2024-08-05 15:35:06', NULL), (2530, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 17, 1, '2024-08-05 15:35:06', NULL), (2531, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 18, 1, '2024-08-05 15:35:06', NULL), (2532, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 19, 1, '2024-08-05 15:35:06', NULL), (2533, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 20, 1, '2024-08-05 15:35:06', NULL), (2534, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 21, 1, '2024-08-05 15:35:06', NULL), (2535, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 22, 1, '2024-08-05 15:35:06', NULL), (2536, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 23, 1, '2024-08-05 15:35:06', NULL), (2537, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 24, 1, '2024-08-05 15:35:06', NULL), (2538, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 25, 1, '2024-08-05 15:35:06', NULL), (2539, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 26, 1, '2024-08-05 15:35:06', NULL), (2540, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 27, 1, '2024-08-05 15:35:06', NULL), (2541, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 28, 1, '2024-08-05 15:35:06', NULL), (2542, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 29, 1, '2024-08-05 15:35:07', NULL), (2543, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 30, 1, '2024-08-05 15:35:07', NULL), (2544, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 7, 31, 1, '2024-08-05 15:35:07', NULL), (2545, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 1, 1, '2024-08-05 15:35:07', NULL), (2546, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 2, 1, '2024-08-05 15:35:07', NULL), (2547, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 3, 1, '2024-08-05 15:35:07', NULL), (2548, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 4, 1, '2024-08-05 15:35:07', NULL), (2549, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 5, 1, '2024-08-05 15:35:07', NULL), (2550, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 6, 1, '2024-08-05 15:35:07', NULL), (2551, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 7, 1, '2024-08-05 15:35:07', NULL), (2552, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 8, 1, '2024-08-05 15:35:07', NULL), (2553, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 9, 1, '2024-08-05 15:35:07', NULL), (2554, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 10, 1, '2024-08-05 15:35:07', NULL), (2555, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 11, 1, '2024-08-05 15:35:07', NULL), (2556, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 12, 1, '2024-08-05 15:35:07', NULL), (2557, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 13, 1, '2024-08-05 15:35:07', NULL), (2558, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 14, 1, '2024-08-05 15:35:07', NULL), (2559, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 15, 1, '2024-08-05 15:35:07', NULL), (2560, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 16, 1, '2024-08-05 15:35:07', NULL), (2561, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 17, 1, '2024-08-05 15:35:07', NULL), (2562, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 18, 1, '2024-08-05 15:35:07', NULL), (2563, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 19, 1, '2024-08-05 15:35:07', NULL), (2564, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 20, 1, '2024-08-05 15:35:07', NULL), (2565, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 21, 1, '2024-08-05 15:35:07', NULL), (2566, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 22, 1, '2024-08-05 15:35:07', NULL), (2567, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 23, 1, '2024-08-05 15:35:07', NULL), (2568, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 24, 1, '2024-08-05 15:35:07', NULL), (2569, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 25, 1, '2024-08-05 15:35:07', NULL), (2570, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 26, 1, '2024-08-05 15:35:07', NULL), (2571, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 27, 1, '2024-08-05 15:35:08', NULL), (2572, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 28, 1, '2024-08-05 15:35:08', NULL), (2573, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 29, 1, '2024-08-05 15:35:08', NULL), (2574, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 30, 1, '2024-08-05 15:35:08', NULL), (2575, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 8, 31, 1, '2024-08-05 15:35:08', NULL), (2576, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 1, 1, '2024-08-05 15:35:08', NULL), (2577, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 2, 1, '2024-08-05 15:35:08', NULL), (2578, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 3, 1, '2024-08-05 15:35:08', NULL), (2579, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 4, 1, '2024-08-05 15:35:08', NULL), (2580, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 5, 1, '2024-08-05 15:35:08', NULL), (2581, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 6, 1, '2024-08-05 15:35:08', NULL), (2582, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 7, 1, '2024-08-05 15:35:08', NULL), (2583, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 8, 1, '2024-08-05 15:35:08', NULL), (2584, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 9, 1, '2024-08-05 15:35:08', NULL), (2585, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 10, 1, '2024-08-05 15:35:08', NULL), (2586, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 11, 1, '2024-08-05 15:35:08', NULL), (2587, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 12, 1, '2024-08-05 15:35:08', NULL), (2588, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 13, 1, '2024-08-05 15:35:08', NULL), (2589, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 14, 1, '2024-08-05 15:35:08', NULL), (2590, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 15, 1, '2024-08-05 15:35:08', NULL), (2591, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 16, 1, '2024-08-05 15:35:08', NULL), (2592, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 17, 1, '2024-08-05 15:35:08', NULL), (2593, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 18, 1, '2024-08-05 15:35:08', NULL), (2594, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 19, 1, '2024-08-05 15:35:08', NULL), (2595, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 20, 1, '2024-08-05 15:35:08', NULL), (2596, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 21, 1, '2024-08-05 15:35:08', NULL), (2597, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 22, 1, '2024-08-05 15:35:08', NULL), (2598, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 23, 1, '2024-08-05 15:35:08', NULL), (2599, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 24, 1, '2024-08-05 15:35:08', NULL), (2600, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 25, 1, '2024-08-05 15:35:09', NULL), (2601, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 26, 1, '2024-08-05 15:35:09', NULL), (2602, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 27, 1, '2024-08-05 15:35:09', NULL), (2603, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 28, 1, '2024-08-05 15:35:09', NULL), (2604, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 29, 1, '2024-08-05 15:35:09', NULL), (2605, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 9, 30, 1, '2024-08-05 15:35:09', NULL), (2606, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 1, 1, '2024-08-05 15:35:09', NULL), (2607, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 2, 1, '2024-08-05 15:35:09', NULL), (2608, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 3, 1, '2024-08-05 15:35:09', NULL), (2609, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 4, 1, '2024-08-05 15:35:09', NULL), (2610, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 5, 1, '2024-08-05 15:35:09', NULL), (2611, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 6, 1, '2024-08-05 15:35:09', NULL), (2612, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 7, 1, '2024-08-05 15:35:09', NULL), (2613, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 8, 1, '2024-08-05 15:35:09', NULL), (2614, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 9, 1, '2024-08-05 15:35:09', NULL), (2615, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 10, 1, '2024-08-05 15:35:09', NULL), (2616, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 11, 1, '2024-08-05 15:35:09', NULL), (2617, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 12, 1, '2024-08-05 15:35:09', NULL), (2618, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 13, 1, '2024-08-05 15:35:09', NULL), (2619, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 14, 1, '2024-08-05 15:35:09', NULL), (2620, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 15, 1, '2024-08-05 15:35:09', NULL), (2621, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 16, 1, '2024-08-05 15:35:09', NULL), (2622, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 17, 1, '2024-08-05 15:35:09', NULL), (2623, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 18, 1, '2024-08-05 15:35:09', NULL), (2624, 15, '511527000000-0001', '筠连县政务服务中心', 2, 2023, 10, 19, 1, '2024-08-05 15:35:09', NULL), (2625, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 20, 1, '2024-08-05 15:35:09', NULL), (2626, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 21, 1, '2024-08-05 15:35:09', NULL), (2627, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 22, 1, '2024-08-05 15:35:09', NULL), (2628, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 23, 1, '2024-08-05 15:35:09', NULL), (2629, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 24, 1, '2024-08-05 15:35:09', NULL), (2630, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 25, 1, '2024-08-05 15:35:09', NULL), (2631, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 26, 1, '2024-08-05 15:35:09', NULL), (2632, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 27, 1, '2024-08-05 15:35:09', NULL), (2633, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 28, 1, '2024-08-05 15:35:10', NULL), (2634, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 29, 1, '2024-08-05 15:35:10', NULL), (2635, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 30, 1, '2024-08-05 15:35:10', NULL), (2636, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 10, 31, 1, '2024-08-05 15:35:10', NULL), (2637, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 1, 1, '2024-08-05 15:35:10', NULL), (2638, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 2, 1, '2024-08-05 15:35:10', NULL), (2639, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 3, 1, '2024-08-05 15:35:10', NULL), (2640, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 4, 1, '2024-08-05 15:35:10', NULL), (2641, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 5, 1, '2024-08-05 15:35:10', NULL), (2642, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 6, 1, '2024-08-05 15:35:10', NULL), (2643, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 7, 1, '2024-08-05 15:35:10', NULL), (2644, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 8, 1, '2024-08-05 15:35:10', NULL), (2645, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 9, 1, '2024-08-05 15:35:10', NULL), (2646, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 10, 1, '2024-08-05 15:35:10', NULL), (2647, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 11, 1, '2024-08-05 15:35:10', NULL), (2648, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 12, 1, '2024-08-05 15:35:10', NULL), (2649, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 13, 1, '2024-08-05 15:35:10', NULL), (2650, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 14, 1, '2024-08-05 15:35:10', NULL), (2651, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 15, 1, '2024-08-05 15:35:10', NULL), (2652, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 16, 1, '2024-08-05 15:35:10', NULL), (2653, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 17, 1, '2024-08-05 15:35:10', NULL), (2654, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 18, 1, '2024-08-05 15:35:10', NULL), (2655, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 19, 1, '2024-08-05 15:35:10', NULL), (2656, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 20, 1, '2024-08-05 15:35:10', NULL), (2657, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 21, 1, '2024-08-05 15:35:10', NULL), (2658, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 22, 1, '2024-08-05 15:35:10', NULL), (2659, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 23, 1, '2024-08-05 15:35:10', NULL), (2660, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 24, 1, '2024-08-05 15:35:10', NULL), (2661, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 25, 1, '2024-08-05 15:35:10', NULL), (2662, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 26, 1, '2024-08-05 15:35:10', NULL), (2663, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 27, 1, '2024-08-05 15:35:11', NULL), (2664, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 28, 1, '2024-08-05 15:35:11', NULL), (2665, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 29, 1, '2024-08-05 15:35:11', NULL), (2666, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 11, 30, 1, '2024-08-05 15:35:11', NULL), (2667, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 1, 1, '2024-08-05 15:35:11', NULL), (2668, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 2, 1, '2024-08-05 15:35:11', NULL), (2669, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 3, 1, '2024-08-05 15:35:11', NULL), (2670, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 4, 1, '2024-08-05 15:35:11', NULL), (2671, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 5, 1, '2024-08-05 15:35:11', NULL), (2672, 15, '511527000000-0001', '筠连县政务服务中心', 6, 2023, 12, 6, 1, '2024-08-05 15:35:11', NULL), (2673, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 7, 1, '2024-08-05 15:35:11', NULL), (2674, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 8, 1, '2024-08-05 15:35:11', NULL), (2675, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 9, 1, '2024-08-05 15:35:11', NULL), (2676, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 10, 1, '2024-08-05 15:35:11', NULL), (2677, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 11, 1, '2024-08-05 15:35:11', NULL), (2678, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 12, 1, '2024-08-05 15:35:11', NULL), (2679, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 13, 1, '2024-08-05 15:35:11', NULL), (2680, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 14, 1, '2024-08-05 15:35:11', NULL), (2681, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 15, 1, '2024-08-05 15:35:11', NULL), (2682, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 16, 1, '2024-08-05 15:35:11', NULL), (2683, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 17, 1, '2024-08-05 15:35:11', NULL), (2684, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 18, 1, '2024-08-05 15:35:11', NULL), (2685, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 19, 1, '2024-08-05 15:35:11', NULL), (2686, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 20, 1, '2024-08-05 15:35:11', NULL), (2687, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 21, 1, '2024-08-05 15:35:11', NULL), (2688, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 22, 1, '2024-08-05 15:35:11', NULL), (2689, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 23, 1, '2024-08-05 15:35:11', NULL), (2690, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 24, 1, '2024-08-05 15:35:11', NULL), (2691, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 25, 1, '2024-08-05 15:35:11', NULL), (2692, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 26, 1, '2024-08-05 15:35:11', NULL), (2693, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 27, 1, '2024-08-05 15:35:11', NULL), (2694, 15, '511527000000-0001', '筠连县政务服务中心', 3, 2023, 12, 28, 1, '2024-08-05 15:35:12', NULL), (2695, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 29, 1, '2024-08-05 15:35:12', NULL), (2696, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 30, 1, '2024-08-05 15:35:12', NULL), (2697, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2023, 12, 31, 1, '2024-08-05 15:35:12', NULL), (2698, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 1, 1, '2024-08-05 15:35:12', NULL), (2699, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 2, 1, '2024-08-05 15:35:12', NULL), (2700, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 3, 1, '2024-08-05 15:35:12', NULL), (2701, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 4, 1, '2024-08-05 15:35:12', NULL), (2702, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 5, 1, '2024-08-05 15:35:12', NULL), (2703, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 6, 1, '2024-08-05 15:35:12', NULL), (2704, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 7, 1, '2024-08-05 15:35:12', NULL), (2705, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 8, 1, '2024-08-05 15:35:12', NULL), (2706, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 9, 1, '2024-08-05 15:35:12', NULL), (2707, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 10, 1, '2024-08-05 15:35:12', NULL), (2708, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 11, 1, '2024-08-05 15:35:12', NULL), (2709, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 12, 1, '2024-08-05 15:35:12', NULL), (2710, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 13, 1, '2024-08-05 15:35:12', NULL), (2711, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 14, 1, '2024-08-05 15:35:12', NULL), (2712, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 15, 1, '2024-08-05 15:35:12', NULL), (2713, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 16, 1, '2024-08-05 15:35:12', NULL), (2714, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 17, 1, '2024-08-05 15:35:12', NULL), (2715, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 18, 1, '2024-08-05 15:35:12', NULL), (2716, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 19, 1, '2024-08-05 15:35:12', NULL), (2717, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 20, 1, '2024-08-05 15:35:12', NULL), (2718, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 21, 1, '2024-08-05 15:35:12', NULL), (2719, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 22, 1, '2024-08-05 15:35:12', NULL), (2720, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 23, 1, '2024-08-05 15:35:12', NULL), (2721, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 24, 1, '2024-08-05 15:35:12', NULL), (2722, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 25, 1, '2024-08-05 15:35:12', NULL), (2723, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 26, 1, '2024-08-05 15:35:12', NULL), (2724, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 27, 1, '2024-08-05 15:35:12', NULL), (2725, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 28, 1, '2024-08-05 15:35:12', NULL), (2726, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 29, 1, '2024-08-05 15:35:12', NULL), (2727, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 30, 1, '2024-08-05 15:35:12', NULL), (2728, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 1, 31, 1, '2024-08-05 15:35:12', NULL), (2729, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 1, 1, '2024-08-05 15:35:12', NULL), (2730, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 2, 1, '2024-08-05 15:35:12', NULL), (2731, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 3, 1, '2024-08-05 15:35:12', NULL), (2732, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 4, 1, '2024-08-05 15:35:12', NULL), (2733, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 5, 1, '2024-08-05 15:35:12', NULL), (2734, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 6, 1, '2024-08-05 15:35:12', NULL), (2735, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 7, 1, '2024-08-05 15:35:12', NULL), (2736, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 8, 1, '2024-08-05 15:35:12', NULL), (2737, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 9, 1, '2024-08-05 15:35:12', NULL), (2738, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 10, 1, '2024-08-05 15:35:13', NULL), (2739, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 11, 1, '2024-08-05 15:35:13', NULL), (2740, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 12, 1, '2024-08-05 15:35:13', NULL), (2741, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 13, 1, '2024-08-05 15:35:13', NULL), (2742, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 14, 1, '2024-08-05 15:35:13', NULL), (2743, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 15, 1, '2024-08-05 15:35:13', NULL), (2744, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 16, 1, '2024-08-05 15:35:13', NULL), (2745, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 17, 1, '2024-08-05 15:35:13', NULL), (2746, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 18, 1, '2024-08-05 15:35:13', NULL), (2747, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 19, 1, '2024-08-05 15:35:13', NULL), (2748, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 20, 1, '2024-08-05 15:35:13', NULL), (2749, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 21, 1, '2024-08-05 15:35:13', NULL), (2750, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 22, 1, '2024-08-05 15:35:13', NULL), (2751, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 23, 1, '2024-08-05 15:35:13', NULL), (2752, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 24, 1, '2024-08-05 15:35:13', NULL), (2753, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 25, 1, '2024-08-05 15:35:13', NULL), (2754, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 26, 1, '2024-08-05 15:35:13', NULL), (2755, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 27, 1, '2024-08-05 15:35:13', NULL), (2756, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 28, 1, '2024-08-05 15:35:13', NULL), (2757, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 2, 29, 1, '2024-08-05 15:35:13', NULL), (2758, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 1, 1, '2024-08-05 15:35:13', NULL), (2759, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 2, 1, '2024-08-05 15:35:13', NULL), (2760, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 3, 1, '2024-08-05 15:35:13', NULL), (2761, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 4, 1, '2024-08-05 15:35:13', NULL), (2762, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 5, 1, '2024-08-05 15:35:13', NULL), (2763, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 6, 1, '2024-08-05 15:35:13', NULL), (2764, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 7, 1, '2024-08-05 15:35:13', NULL), (2765, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 8, 1, '2024-08-05 15:35:13', NULL), (2766, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 9, 1, '2024-08-05 15:35:13', NULL), (2767, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 10, 1, '2024-08-05 15:35:13', NULL), (2768, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 11, 1, '2024-08-05 15:35:13', NULL), (2769, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 12, 1, '2024-08-05 15:35:13', NULL), (2770, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 13, 1, '2024-08-05 15:35:13', NULL), (2771, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 14, 1, '2024-08-05 15:35:13', NULL), (2772, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 15, 1, '2024-08-05 15:35:13', NULL), (2773, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 16, 1, '2024-08-05 15:35:13', NULL), (2774, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 17, 1, '2024-08-05 15:35:13', NULL), (2775, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 18, 1, '2024-08-05 15:35:13', NULL), (2776, 15, '511527000000-0001', '筠连县政务服务中心', 3, 2024, 3, 19, 1, '2024-08-05 15:35:13', NULL), (2777, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 20, 1, '2024-08-05 15:35:13', NULL), (2778, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 21, 1, '2024-08-05 15:35:14', NULL), (2779, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 22, 1, '2024-08-05 15:35:14', NULL), (2780, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 23, 1, '2024-08-05 15:35:14', NULL), (2781, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 24, 1, '2024-08-05 15:35:14', NULL), (2782, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 25, 1, '2024-08-05 15:35:14', NULL), (2783, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 26, 1, '2024-08-05 15:35:14', NULL), (2784, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 27, 1, '2024-08-05 15:35:14', NULL), (2785, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 28, 1, '2024-08-05 15:35:14', NULL), (2786, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 29, 1, '2024-08-05 15:35:14', NULL), (2787, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 30, 1, '2024-08-05 15:35:14', NULL), (2788, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 3, 31, 1, '2024-08-05 15:35:14', NULL), (2789, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 1, 1, '2024-08-05 15:35:14', NULL), (2790, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 2, 1, '2024-08-05 15:35:14', NULL), (2791, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 3, 1, '2024-08-05 15:35:14', NULL), (2792, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 4, 1, '2024-08-05 15:35:14', NULL), (2793, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 5, 1, '2024-08-05 15:35:14', NULL), (2794, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 6, 1, '2024-08-05 15:35:14', NULL), (2795, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 7, 1, '2024-08-05 15:35:14', NULL), (2796, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 8, 1, '2024-08-05 15:35:14', NULL), (2797, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 9, 1, '2024-08-05 15:35:14', NULL), (2798, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 10, 1, '2024-08-05 15:35:14', NULL), (2799, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 11, 1, '2024-08-05 15:35:14', NULL), (2800, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 12, 1, '2024-08-05 15:35:14', NULL), (2801, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 13, 1, '2024-08-05 15:35:14', NULL), (2802, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 14, 1, '2024-08-05 15:35:14', NULL), (2803, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 15, 1, '2024-08-05 15:35:14', NULL), (2804, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 16, 1, '2024-08-05 15:35:14', NULL), (2805, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 17, 1, '2024-08-05 15:35:14', NULL), (2806, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 18, 1, '2024-08-05 15:35:14', NULL), (2807, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 19, 1, '2024-08-05 15:35:15', NULL), (2808, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 20, 1, '2024-08-05 15:35:15', NULL), (2809, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 21, 1, '2024-08-05 15:35:15', NULL), (2810, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 22, 1, '2024-08-05 15:35:15', NULL), (2811, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 23, 1, '2024-08-05 15:35:15', NULL), (2812, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 24, 1, '2024-08-05 15:35:15', NULL), (2813, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 25, 1, '2024-08-05 15:35:15', NULL), (2814, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 26, 1, '2024-08-05 15:35:15', NULL), (2815, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 27, 1, '2024-08-05 15:35:15', NULL), (2816, 15, '511527000000-0001', '筠连县政务服务中心', 6, 2024, 4, 28, 1, '2024-08-05 15:35:15', NULL), (2817, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 29, 1, '2024-08-05 15:35:15', NULL), (2818, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 4, 30, 1, '2024-08-05 15:35:15', NULL), (2819, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 1, 1, '2024-08-05 15:35:15', NULL), (2820, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 2, 1, '2024-08-05 15:35:15', NULL), (2821, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 3, 1, '2024-08-05 15:35:15', NULL), (2822, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 4, 1, '2024-08-05 15:35:15', NULL), (2823, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 5, 1, '2024-08-05 15:35:15', NULL), (2824, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 6, 1, '2024-08-05 15:35:15', NULL), (2825, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 7, 1, '2024-08-05 15:35:15', NULL), (2826, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 8, 1, '2024-08-05 15:35:15', NULL), (2827, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 9, 1, '2024-08-05 15:35:15', NULL), (2828, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 10, 1, '2024-08-05 15:35:15', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (2829, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 11, 1, '2024-08-05 15:35:15', NULL), (2830, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 12, 1, '2024-08-05 15:35:15', NULL), (2831, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 13, 1, '2024-08-05 15:35:15', NULL), (2832, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 14, 1, '2024-08-05 15:35:15', NULL), (2833, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 15, 1, '2024-08-05 15:35:15', NULL), (2834, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 16, 1, '2024-08-05 15:35:15', NULL), (2835, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 17, 1, '2024-08-05 15:35:16', NULL), (2836, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 18, 1, '2024-08-05 15:35:16', NULL), (2837, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 19, 1, '2024-08-05 15:35:16', NULL), (2838, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 20, 1, '2024-08-05 15:35:16', NULL), (2839, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 21, 1, '2024-08-05 15:35:16', NULL), (2840, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 22, 1, '2024-08-05 15:35:16', NULL), (2841, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 23, 1, '2024-08-05 15:35:16', NULL), (2842, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 24, 1, '2024-08-05 15:35:16', NULL), (2843, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 25, 1, '2024-08-05 15:35:16', NULL), (2844, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 26, 1, '2024-08-05 15:35:16', NULL), (2845, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 27, 1, '2024-08-05 15:35:16', NULL), (2846, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 28, 1, '2024-08-05 15:35:16', NULL), (2847, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 29, 1, '2024-08-05 15:35:16', NULL), (2848, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 30, 1, '2024-08-05 15:35:16', NULL), (2849, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 5, 31, 1, '2024-08-05 15:35:16', NULL), (2850, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 1, 1, '2024-08-05 15:35:16', NULL), (2851, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 2, 1, '2024-08-05 15:35:16', NULL), (2852, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 3, 1, '2024-08-05 15:35:16', NULL), (2853, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 4, 1, '2024-08-05 15:35:16', NULL), (2854, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 5, 1, '2024-08-05 15:35:16', NULL), (2855, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 6, 1, '2024-08-05 15:35:16', NULL), (2856, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 7, 1, '2024-08-05 15:35:16', NULL), (2857, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 8, 1, '2024-08-05 15:35:16', NULL), (2858, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 9, 1, '2024-08-05 15:35:16', NULL), (2859, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 10, 1, '2024-08-05 15:35:16', NULL), (2860, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 11, 1, '2024-08-05 15:35:16', NULL), (2861, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 12, 1, '2024-08-05 15:35:16', NULL), (2862, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 13, 1, '2024-08-05 15:35:17', NULL), (2863, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 14, 1, '2024-08-05 15:35:17', NULL), (2864, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 15, 1, '2024-08-05 15:35:17', NULL), (2865, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 16, 1, '2024-08-05 15:35:17', NULL), (2866, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 17, 1, '2024-08-05 15:35:17', NULL), (2867, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 18, 1, '2024-08-05 15:35:17', NULL), (2868, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 19, 1, '2024-08-05 15:35:17', NULL), (2869, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 20, 1, '2024-08-05 15:35:17', NULL), (2870, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 21, 1, '2024-08-05 15:35:17', NULL), (2871, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 22, 1, '2024-08-05 15:35:17', NULL), (2872, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 23, 1, '2024-08-05 15:35:17', NULL), (2873, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 24, 1, '2024-08-05 15:35:17', NULL), (2874, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 25, 1, '2024-08-05 15:35:17', NULL), (2875, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 26, 1, '2024-08-05 15:35:17', NULL), (2876, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 27, 1, '2024-08-05 15:35:17', NULL), (2877, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 28, 1, '2024-08-05 15:35:17', NULL), (2878, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 29, 1, '2024-08-05 15:35:17', NULL), (2879, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 6, 30, 1, '2024-08-05 15:35:17', NULL), (2880, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 1, 1, '2024-08-05 15:35:17', NULL), (2881, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 2, 1, '2024-08-05 15:35:17', NULL), (2882, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 3, 1, '2024-08-05 15:35:17', NULL), (2883, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 4, 1, '2024-08-05 15:35:17', NULL), (2884, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 5, 1, '2024-08-05 15:35:17', NULL), (2885, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 6, 1, '2024-08-05 15:35:17', NULL), (2886, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 7, 1, '2024-08-05 15:35:17', NULL), (2887, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 8, 1, '2024-08-05 15:35:17', NULL), (2888, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 9, 1, '2024-08-05 15:35:17', NULL), (2889, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 10, 1, '2024-08-05 15:35:18', NULL), (2890, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 11, 1, '2024-08-05 15:35:18', NULL), (2891, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 12, 1, '2024-08-05 15:35:18', NULL), (2892, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 13, 1, '2024-08-05 15:35:18', NULL), (2893, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 14, 1, '2024-08-05 15:35:18', NULL), (2894, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 15, 1, '2024-08-05 15:35:18', NULL), (2895, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 16, 1, '2024-08-05 15:35:18', NULL), (2896, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 17, 1, '2024-08-05 15:35:18', NULL), (2897, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 18, 1, '2024-08-05 15:35:18', NULL), (2898, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 19, 1, '2024-08-05 15:35:18', NULL), (2899, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 20, 1, '2024-08-05 15:35:18', NULL), (2900, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 21, 1, '2024-08-05 15:35:18', NULL), (2901, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 22, 1, '2024-08-05 15:35:18', NULL), (2902, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 23, 1, '2024-08-05 15:35:18', NULL), (2903, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 24, 1, '2024-08-05 15:35:18', NULL), (2904, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 25, 1, '2024-08-05 15:35:18', NULL), (2905, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 26, 1, '2024-08-05 15:35:18', NULL), (2906, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 27, 1, '2024-08-05 15:35:18', NULL), (2907, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 28, 1, '2024-08-05 15:35:18', NULL), (2908, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 29, 1, '2024-08-05 15:35:18', NULL), (2909, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 30, 1, '2024-08-05 15:35:18', NULL), (2910, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 7, 31, 1, '2024-08-05 15:35:18', NULL), (2911, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 1, 1, '2024-08-05 15:35:18', '2024-08-05 22:12:09'), (2912, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 2, 1, '2024-08-05 15:35:18', '2024-08-06 02:20:03'), (2913, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 3, 1, '2024-08-05 15:35:18', '2024-08-07 01:30:01'), (2914, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 4, 1, '2024-08-05 15:35:18', '2024-08-08 01:30:01'), (2915, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 5, 1, '2024-08-05 15:35:18', '2024-08-09 01:30:01'), (2916, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 1, 1, '2024-08-05 15:46:54', NULL), (2917, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 2, 1, '2024-08-05 15:46:54', NULL), (2918, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 3, 1, '2024-08-05 15:46:54', NULL), (2919, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 4, 1, '2024-08-05 15:46:54', NULL), (2920, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 5, 1, '2024-08-05 15:46:54', NULL), (2921, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 6, 1, '2024-08-05 15:46:54', NULL), (2922, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 7, 1, '2024-08-05 15:46:54', NULL), (2923, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 8, 1, '2024-08-05 15:46:54', NULL), (2924, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 9, 1, '2024-08-05 15:46:54', NULL), (2925, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 10, 1, '2024-08-05 15:46:54', NULL), (2926, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 11, 1, '2024-08-05 15:46:54', NULL), (2927, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 12, 1, '2024-08-05 15:46:54', NULL), (2928, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 13, 1, '2024-08-05 15:46:54', NULL), (2929, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 14, 1, '2024-08-05 15:46:54', NULL), (2930, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 15, 1, '2024-08-05 15:46:54', NULL), (2931, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 16, 1, '2024-08-05 15:46:55', NULL), (2932, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 17, 1, '2024-08-05 15:46:55', NULL), (2933, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 18, 1, '2024-08-05 15:46:55', NULL), (2934, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 19, 1, '2024-08-05 15:46:55', NULL), (2935, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 20, 1, '2024-08-05 15:46:55', NULL), (2936, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 21, 1, '2024-08-05 15:46:55', NULL), (2937, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 22, 1, '2024-08-05 15:46:55', NULL), (2938, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 23, 1, '2024-08-05 15:46:55', NULL), (2939, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 24, 1, '2024-08-05 15:46:55', NULL), (2940, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 25, 1, '2024-08-05 15:46:55', NULL), (2941, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 26, 1, '2024-08-05 15:46:55', NULL), (2942, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 27, 1, '2024-08-05 15:46:55', NULL), (2943, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 28, 1, '2024-08-05 15:46:55', NULL), (2944, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 29, 1, '2024-08-05 15:46:55', NULL), (2945, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 30, 1, '2024-08-05 15:46:55', NULL), (2946, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 1, 31, 1, '2024-08-05 15:46:55', NULL), (2947, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 1, 1, '2024-08-05 15:46:55', NULL), (2948, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 2, 1, '2024-08-05 15:46:55', NULL), (2949, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 3, 1, '2024-08-05 15:46:55', NULL), (2950, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 4, 1, '2024-08-05 15:46:55', NULL), (2951, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 5, 1, '2024-08-05 15:46:55', NULL), (2952, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 6, 1, '2024-08-05 15:46:55', NULL), (2953, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 7, 1, '2024-08-05 15:46:55', NULL), (2954, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 8, 1, '2024-08-05 15:46:55', NULL), (2955, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 9, 1, '2024-08-05 15:46:55', NULL), (2956, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 10, 1, '2024-08-05 15:46:55', NULL), (2957, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 11, 1, '2024-08-05 15:46:55', NULL), (2958, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 12, 1, '2024-08-05 15:46:55', NULL), (2959, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 13, 1, '2024-08-05 15:46:55', NULL), (2960, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 14, 1, '2024-08-05 15:46:55', NULL), (2961, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 15, 1, '2024-08-05 15:46:55', NULL), (2962, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 16, 1, '2024-08-05 15:46:55', NULL), (2963, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 17, 1, '2024-08-05 15:46:55', NULL), (2964, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 18, 1, '2024-08-05 15:46:55', NULL), (2965, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 19, 1, '2024-08-05 15:46:55', NULL), (2966, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 20, 1, '2024-08-05 15:46:55', NULL), (2967, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 21, 1, '2024-08-05 15:46:55', NULL), (2968, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 22, 1, '2024-08-05 15:46:55', NULL), (2969, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 23, 1, '2024-08-05 15:46:55', NULL), (2970, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 24, 1, '2024-08-05 15:46:55', NULL), (2971, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 25, 1, '2024-08-05 15:46:55', NULL), (2972, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 26, 1, '2024-08-05 15:46:55', NULL), (2973, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 27, 1, '2024-08-05 15:46:55', NULL), (2974, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 2, 28, 1, '2024-08-05 15:46:55', NULL), (2975, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 1, 1, '2024-08-05 15:46:55', NULL), (2976, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 2, 1, '2024-08-05 15:46:55', NULL), (2977, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 3, 1, '2024-08-05 15:46:55', NULL), (2978, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 4, 1, '2024-08-05 15:46:56', NULL), (2979, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 5, 1, '2024-08-05 15:46:56', NULL), (2980, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 6, 1, '2024-08-05 15:46:56', NULL), (2981, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 7, 1, '2024-08-05 15:46:56', NULL), (2982, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 8, 1, '2024-08-05 15:46:56', NULL), (2983, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 9, 1, '2024-08-05 15:46:56', NULL), (2984, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 10, 1, '2024-08-05 15:46:56', NULL), (2985, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 11, 1, '2024-08-05 15:46:56', NULL), (2986, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 12, 1, '2024-08-05 15:46:56', NULL), (2987, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 13, 1, '2024-08-05 15:46:56', NULL), (2988, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 14, 1, '2024-08-05 15:46:56', NULL), (2989, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 15, 1, '2024-08-05 15:46:56', NULL), (2990, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 16, 1, '2024-08-05 15:46:56', NULL), (2991, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 17, 1, '2024-08-05 15:46:56', NULL), (2992, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 18, 1, '2024-08-05 15:46:56', NULL), (2993, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 19, 1, '2024-08-05 15:46:56', NULL), (2994, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 20, 1, '2024-08-05 15:46:56', NULL), (2995, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 21, 1, '2024-08-05 15:46:56', NULL), (2996, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 22, 1, '2024-08-05 15:46:56', NULL), (2997, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 23, 1, '2024-08-05 15:46:56', NULL), (2998, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 24, 1, '2024-08-05 15:46:56', NULL), (2999, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 25, 1, '2024-08-05 15:46:56', NULL), (3000, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 26, 1, '2024-08-05 15:46:56', NULL), (3001, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 27, 1, '2024-08-05 15:46:56', NULL), (3002, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 28, 1, '2024-08-05 15:46:56', NULL), (3003, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 29, 1, '2024-08-05 15:46:57', NULL), (3004, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 30, 1, '2024-08-05 15:46:57', NULL), (3005, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 3, 31, 1, '2024-08-05 15:46:57', NULL), (3006, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 1, 1, '2024-08-05 15:46:57', NULL), (3007, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 2, 1, '2024-08-05 15:46:57', NULL), (3008, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 3, 1, '2024-08-05 15:46:57', NULL), (3009, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 4, 1, '2024-08-05 15:46:57', NULL), (3010, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 5, 1, '2024-08-05 15:46:57', NULL), (3011, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 6, 1, '2024-08-05 15:46:57', NULL), (3012, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 7, 1, '2024-08-05 15:46:57', NULL), (3013, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 8, 1, '2024-08-05 15:46:57', NULL), (3014, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 9, 1, '2024-08-05 15:46:57', NULL), (3015, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 10, 1, '2024-08-05 15:46:57', NULL), (3016, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 11, 1, '2024-08-05 15:46:57', NULL), (3017, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 12, 1, '2024-08-05 15:46:57', NULL), (3018, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 13, 1, '2024-08-05 15:46:57', NULL), (3019, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 14, 1, '2024-08-05 15:46:57', NULL), (3020, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 15, 1, '2024-08-05 15:46:57', NULL), (3021, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 16, 1, '2024-08-05 15:46:57', NULL), (3022, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 17, 1, '2024-08-05 15:46:57', NULL), (3023, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 18, 1, '2024-08-05 15:46:57', NULL), (3024, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 19, 1, '2024-08-05 15:46:57', NULL), (3025, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 20, 1, '2024-08-05 15:46:57', NULL), (3026, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 21, 1, '2024-08-05 15:46:57', NULL), (3027, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 22, 1, '2024-08-05 15:46:57', NULL), (3028, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 23, 1, '2024-08-05 15:46:58', NULL), (3029, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 24, 1, '2024-08-05 15:46:58', NULL), (3030, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 25, 1, '2024-08-05 15:46:58', NULL), (3031, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 26, 1, '2024-08-05 15:46:58', NULL), (3032, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 27, 1, '2024-08-05 15:46:58', NULL), (3033, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 28, 1, '2024-08-05 15:46:58', NULL), (3034, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 29, 1, '2024-08-05 15:46:58', NULL), (3035, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 4, 30, 1, '2024-08-05 15:46:58', NULL), (3036, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 1, 1, '2024-08-05 15:46:58', NULL), (3037, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 2, 1, '2024-08-05 15:46:58', NULL), (3038, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 3, 1, '2024-08-05 15:46:58', NULL), (3039, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 4, 1, '2024-08-05 15:46:58', NULL), (3040, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 5, 1, '2024-08-05 15:46:58', NULL), (3041, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 6, 1, '2024-08-05 15:46:58', NULL), (3042, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 7, 1, '2024-08-05 15:46:58', NULL), (3043, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 8, 1, '2024-08-05 15:46:58', NULL), (3044, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 9, 1, '2024-08-05 15:46:58', NULL), (3045, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 10, 1, '2024-08-05 15:46:58', NULL), (3046, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 11, 1, '2024-08-05 15:46:58', NULL), (3047, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 12, 1, '2024-08-05 15:46:58', NULL), (3048, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 13, 1, '2024-08-05 15:46:58', NULL), (3049, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 14, 1, '2024-08-05 15:46:58', NULL), (3050, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 15, 1, '2024-08-05 15:46:58', NULL), (3051, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 16, 1, '2024-08-05 15:46:58', NULL), (3052, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 17, 1, '2024-08-05 15:46:58', NULL), (3053, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 18, 1, '2024-08-05 15:46:58', NULL), (3054, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 19, 1, '2024-08-05 15:46:59', NULL), (3055, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 20, 1, '2024-08-05 15:46:59', NULL), (3056, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 21, 1, '2024-08-05 15:46:59', NULL), (3057, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 22, 1, '2024-08-05 15:46:59', NULL), (3058, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 23, 1, '2024-08-05 15:46:59', NULL), (3059, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 24, 1, '2024-08-05 15:46:59', NULL), (3060, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 25, 1, '2024-08-05 15:46:59', NULL), (3061, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 26, 1, '2024-08-05 15:46:59', NULL), (3062, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 27, 1, '2024-08-05 15:46:59', NULL), (3063, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 28, 1, '2024-08-05 15:46:59', NULL), (3064, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 29, 1, '2024-08-05 15:46:59', NULL), (3065, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 30, 1, '2024-08-05 15:46:59', NULL), (3066, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 5, 31, 1, '2024-08-05 15:46:59', NULL), (3067, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 1, 1, '2024-08-05 15:46:59', NULL), (3068, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 2, 1, '2024-08-05 15:46:59', NULL), (3069, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 3, 1, '2024-08-05 15:46:59', NULL), (3070, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 4, 1, '2024-08-05 15:46:59', NULL), (3071, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 5, 1, '2024-08-05 15:46:59', NULL), (3072, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 6, 1, '2024-08-05 15:46:59', NULL), (3073, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 7, 1, '2024-08-05 15:46:59', NULL), (3074, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 8, 1, '2024-08-05 15:46:59', NULL), (3075, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 9, 1, '2024-08-05 15:46:59', NULL), (3076, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 10, 1, '2024-08-05 15:46:59', NULL), (3077, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 11, 1, '2024-08-05 15:46:59', NULL), (3078, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 12, 1, '2024-08-05 15:46:59', NULL), (3079, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 13, 1, '2024-08-05 15:47:00', NULL), (3080, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 14, 1, '2024-08-05 15:47:00', NULL), (3081, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 15, 1, '2024-08-05 15:47:00', NULL), (3082, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 16, 1, '2024-08-05 15:47:00', NULL), (3083, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 17, 1, '2024-08-05 15:47:00', NULL), (3084, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 18, 1, '2024-08-05 15:47:00', NULL), (3085, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 19, 1, '2024-08-05 15:47:00', NULL), (3086, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 20, 1, '2024-08-05 15:47:00', NULL), (3087, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 21, 1, '2024-08-05 15:47:00', NULL), (3088, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 22, 1, '2024-08-05 15:47:00', NULL), (3089, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 23, 1, '2024-08-05 15:47:00', NULL), (3090, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 24, 1, '2024-08-05 15:47:00', NULL), (3091, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 25, 1, '2024-08-05 15:47:00', NULL), (3092, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 26, 1, '2024-08-05 15:47:00', NULL), (3093, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 27, 1, '2024-08-05 15:47:00', NULL), (3094, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 28, 1, '2024-08-05 15:47:00', NULL), (3095, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 29, 1, '2024-08-05 15:47:00', NULL), (3096, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 6, 30, 1, '2024-08-05 15:47:00', NULL), (3097, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 1, 1, '2024-08-05 15:47:00', NULL), (3098, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 2, 1, '2024-08-05 15:47:00', NULL), (3099, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 3, 1, '2024-08-05 15:47:00', NULL), (3100, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 4, 1, '2024-08-05 15:47:00', NULL), (3101, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 5, 1, '2024-08-05 15:47:00', NULL), (3102, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 6, 1, '2024-08-05 15:47:00', NULL), (3103, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 7, 1, '2024-08-05 15:47:00', NULL), (3104, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 8, 1, '2024-08-05 15:47:01', NULL), (3105, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 9, 1, '2024-08-05 15:47:01', NULL), (3106, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 10, 1, '2024-08-05 15:47:01', NULL), (3107, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 11, 1, '2024-08-05 15:47:01', NULL), (3108, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 12, 1, '2024-08-05 15:47:01', NULL), (3109, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 13, 1, '2024-08-05 15:47:01', NULL), (3110, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 14, 1, '2024-08-05 15:47:01', NULL), (3111, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 15, 1, '2024-08-05 15:47:01', NULL), (3112, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 16, 1, '2024-08-05 15:47:01', NULL), (3113, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 17, 1, '2024-08-05 15:47:01', NULL), (3114, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 18, 1, '2024-08-05 15:47:01', NULL), (3115, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 19, 1, '2024-08-05 15:47:01', NULL), (3116, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 20, 1, '2024-08-05 15:47:01', NULL), (3117, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 21, 1, '2024-08-05 15:47:01', NULL), (3118, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 22, 1, '2024-08-05 15:47:01', NULL), (3119, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 23, 1, '2024-08-05 15:47:01', NULL), (3120, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 24, 1, '2024-08-05 15:47:01', NULL), (3121, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 25, 1, '2024-08-05 15:47:01', NULL), (3122, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 26, 1, '2024-08-05 15:47:01', NULL), (3123, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 27, 1, '2024-08-05 15:47:01', NULL), (3124, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 28, 1, '2024-08-05 15:47:01', NULL), (3125, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 29, 1, '2024-08-05 15:47:01', NULL), (3126, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 30, 1, '2024-08-05 15:47:01', NULL), (3127, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 7, 31, 1, '2024-08-05 15:47:01', NULL), (3128, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 1, 1, '2024-08-05 15:47:02', NULL), (3129, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 2, 1, '2024-08-05 15:47:02', NULL), (3130, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 3, 1, '2024-08-05 15:47:02', NULL), (3131, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 4, 1, '2024-08-05 15:47:02', NULL), (3132, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 5, 1, '2024-08-05 15:47:02', NULL), (3133, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 6, 1, '2024-08-05 15:47:02', NULL), (3134, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 7, 1, '2024-08-05 15:47:02', NULL), (3135, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 8, 1, '2024-08-05 15:47:02', NULL), (3136, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 9, 1, '2024-08-05 15:47:02', NULL), (3137, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 10, 1, '2024-08-05 15:47:02', NULL), (3138, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 11, 1, '2024-08-05 15:47:02', NULL), (3139, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 12, 1, '2024-08-05 15:47:02', NULL), (3140, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 13, 1, '2024-08-05 15:47:02', NULL), (3141, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 14, 1, '2024-08-05 15:47:02', NULL), (3142, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 15, 1, '2024-08-05 15:47:02', NULL), (3143, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 16, 1, '2024-08-05 15:47:02', NULL), (3144, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 17, 1, '2024-08-05 15:47:02', NULL), (3145, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 18, 1, '2024-08-05 15:47:02', NULL), (3146, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 19, 1, '2024-08-05 15:47:02', NULL), (3147, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 20, 1, '2024-08-05 15:47:02', NULL), (3148, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 21, 1, '2024-08-05 15:47:02', NULL), (3149, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 22, 1, '2024-08-05 15:47:02', NULL), (3150, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 23, 1, '2024-08-05 15:47:02', NULL), (3151, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 24, 1, '2024-08-05 15:47:02', NULL), (3152, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 25, 1, '2024-08-05 15:47:02', NULL), (3153, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 26, 1, '2024-08-05 15:47:02', NULL), (3154, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 27, 1, '2024-08-05 15:47:02', NULL), (3155, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 28, 1, '2024-08-05 15:47:03', NULL), (3156, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 29, 1, '2024-08-05 15:47:03', NULL), (3157, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 30, 1, '2024-08-05 15:47:03', NULL), (3158, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 8, 31, 1, '2024-08-05 15:47:03', NULL), (3159, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 1, 1, '2024-08-05 15:47:03', NULL), (3160, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 2, 1, '2024-08-05 15:47:03', NULL), (3161, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 3, 1, '2024-08-05 15:47:03', NULL), (3162, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 4, 1, '2024-08-05 15:47:03', NULL), (3163, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 5, 1, '2024-08-05 15:47:03', NULL), (3164, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 6, 1, '2024-08-05 15:47:03', NULL), (3165, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 7, 1, '2024-08-05 15:47:03', NULL), (3166, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 8, 1, '2024-08-05 15:47:03', NULL), (3167, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 9, 1, '2024-08-05 15:47:03', NULL), (3168, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 10, 1, '2024-08-05 15:47:03', NULL), (3169, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 11, 1, '2024-08-05 15:47:03', NULL), (3170, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 12, 1, '2024-08-05 15:47:03', NULL), (3171, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 13, 1, '2024-08-05 15:47:03', NULL), (3172, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 14, 1, '2024-08-05 15:47:03', NULL), (3173, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 15, 1, '2024-08-05 15:47:03', NULL), (3174, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 16, 1, '2024-08-05 15:47:03', NULL), (3175, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 17, 1, '2024-08-05 15:47:03', NULL), (3176, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 18, 1, '2024-08-05 15:47:03', NULL), (3177, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 19, 1, '2024-08-05 15:47:03', NULL), (3178, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 20, 1, '2024-08-05 15:47:03', NULL), (3179, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 21, 1, '2024-08-05 15:47:03', NULL), (3180, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 22, 1, '2024-08-05 15:47:03', NULL), (3181, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 23, 1, '2024-08-05 15:47:03', NULL), (3182, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 24, 1, '2024-08-05 15:47:04', NULL), (3183, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 25, 1, '2024-08-05 15:47:04', NULL), (3184, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 26, 1, '2024-08-05 15:47:04', NULL), (3185, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 27, 1, '2024-08-05 15:47:04', NULL), (3186, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 28, 1, '2024-08-05 15:47:04', NULL), (3187, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 29, 1, '2024-08-05 15:47:04', NULL), (3188, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 9, 30, 1, '2024-08-05 15:47:04', NULL), (3189, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 1, 1, '2024-08-05 15:47:04', NULL), (3190, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 2, 1, '2024-08-05 15:47:04', NULL), (3191, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 3, 1, '2024-08-05 15:47:04', NULL), (3192, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 4, 1, '2024-08-05 15:47:04', NULL), (3193, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 5, 1, '2024-08-05 15:47:04', NULL), (3194, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 6, 1, '2024-08-05 15:47:04', NULL), (3195, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 7, 1, '2024-08-05 15:47:04', NULL), (3196, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 8, 1, '2024-08-05 15:47:04', NULL), (3197, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 9, 1, '2024-08-05 15:47:04', NULL), (3198, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 10, 1, '2024-08-05 15:47:04', NULL), (3199, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 11, 1, '2024-08-05 15:47:04', NULL), (3200, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 12, 1, '2024-08-05 15:47:04', NULL), (3201, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 13, 1, '2024-08-05 15:47:04', NULL), (3202, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 14, 1, '2024-08-05 15:47:04', NULL), (3203, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 15, 1, '2024-08-05 15:47:04', NULL), (3204, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 16, 1, '2024-08-05 15:47:04', NULL), (3205, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 17, 1, '2024-08-05 15:47:04', NULL), (3206, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 18, 1, '2024-08-05 15:47:04', NULL), (3207, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 19, 1, '2024-08-05 15:47:04', NULL), (3208, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 20, 1, '2024-08-05 15:47:04', NULL), (3209, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 21, 1, '2024-08-05 15:47:04', NULL), (3210, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 22, 1, '2024-08-05 15:47:04', NULL), (3211, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 23, 1, '2024-08-05 15:47:04', NULL), (3212, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 24, 1, '2024-08-05 15:47:05', NULL), (3213, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 25, 1, '2024-08-05 15:47:05', NULL), (3214, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 26, 1, '2024-08-05 15:47:05', NULL), (3215, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 27, 1, '2024-08-05 15:47:05', NULL), (3216, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 28, 1, '2024-08-05 15:47:05', NULL), (3217, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 29, 1, '2024-08-05 15:47:05', NULL), (3218, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 30, 1, '2024-08-05 15:47:05', NULL), (3219, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 10, 31, 1, '2024-08-05 15:47:05', NULL), (3220, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 1, 1, '2024-08-05 15:47:05', NULL), (3221, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 2, 1, '2024-08-05 15:47:05', NULL), (3222, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 3, 1, '2024-08-05 15:47:05', NULL), (3223, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 4, 1, '2024-08-05 15:47:05', NULL), (3224, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 5, 1, '2024-08-05 15:47:05', NULL), (3225, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 6, 1, '2024-08-05 15:47:05', NULL), (3226, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 7, 1, '2024-08-05 15:47:05', NULL), (3227, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 8, 1, '2024-08-05 15:47:05', NULL), (3228, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 9, 1, '2024-08-05 15:47:05', NULL), (3229, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 10, 1, '2024-08-05 15:47:05', NULL), (3230, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 11, 1, '2024-08-05 15:47:05', NULL), (3231, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 12, 1, '2024-08-05 15:47:05', NULL), (3232, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 13, 1, '2024-08-05 15:47:05', NULL), (3233, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 14, 1, '2024-08-05 15:47:05', NULL), (3234, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 15, 1, '2024-08-05 15:47:05', NULL), (3235, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 16, 1, '2024-08-05 15:47:05', NULL), (3236, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 17, 1, '2024-08-05 15:47:05', NULL), (3237, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 18, 1, '2024-08-05 15:47:05', NULL), (3238, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 19, 1, '2024-08-05 15:47:05', NULL), (3239, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 20, 1, '2024-08-05 15:47:05', NULL), (3240, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 21, 1, '2024-08-05 15:47:06', NULL), (3241, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 22, 1, '2024-08-05 15:47:06', NULL), (3242, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 23, 1, '2024-08-05 15:47:06', NULL), (3243, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 24, 1, '2024-08-05 15:47:06', NULL), (3244, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 25, 1, '2024-08-05 15:47:06', NULL), (3245, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 26, 1, '2024-08-05 15:47:06', NULL), (3246, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 27, 1, '2024-08-05 15:47:06', NULL), (3247, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 28, 1, '2024-08-05 15:47:06', NULL), (3248, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 29, 1, '2024-08-05 15:47:06', NULL), (3249, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 11, 30, 1, '2024-08-05 15:47:06', NULL), (3250, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 1, 1, '2024-08-05 15:47:06', NULL), (3251, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 2, 1, '2024-08-05 15:47:06', NULL), (3252, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 3, 1, '2024-08-05 15:47:06', NULL), (3253, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 4, 1, '2024-08-05 15:47:06', NULL), (3254, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 5, 1, '2024-08-05 15:47:06', NULL), (3255, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 6, 1, '2024-08-05 15:47:06', NULL), (3256, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 7, 1, '2024-08-05 15:47:06', NULL), (3257, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 8, 1, '2024-08-05 15:47:06', NULL), (3258, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 9, 1, '2024-08-05 15:47:06', NULL), (3259, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 10, 1, '2024-08-05 15:47:06', NULL), (3260, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 11, 1, '2024-08-05 15:47:06', NULL), (3261, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 12, 1, '2024-08-05 15:47:06', NULL), (3262, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 13, 1, '2024-08-05 15:47:06', NULL), (3263, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 14, 1, '2024-08-05 15:47:06', NULL), (3264, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 15, 1, '2024-08-05 15:47:06', NULL), (3265, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 16, 1, '2024-08-05 15:47:06', NULL), (3266, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 17, 1, '2024-08-05 15:47:06', NULL), (3267, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 18, 1, '2024-08-05 15:47:06', NULL), (3268, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 19, 1, '2024-08-05 15:47:07', NULL), (3269, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 20, 1, '2024-08-05 15:47:07', NULL), (3270, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 21, 1, '2024-08-05 15:47:07', NULL), (3271, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 22, 1, '2024-08-05 15:47:07', NULL), (3272, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 23, 1, '2024-08-05 15:47:07', NULL), (3273, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 24, 1, '2024-08-05 15:47:07', NULL), (3274, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 25, 1, '2024-08-05 15:47:07', NULL), (3275, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 26, 1, '2024-08-05 15:47:07', NULL), (3276, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 27, 1, '2024-08-05 15:47:07', NULL), (3277, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 28, 1, '2024-08-05 15:47:07', NULL), (3278, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 29, 1, '2024-08-05 15:47:07', NULL), (3279, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 30, 1, '2024-08-05 15:47:07', NULL), (3280, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2023, 12, 31, 1, '2024-08-05 15:47:07', NULL), (3281, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 1, 1, '2024-08-05 15:47:07', NULL), (3282, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 2, 1, '2024-08-05 15:47:07', NULL), (3283, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 3, 1, '2024-08-05 15:47:07', NULL), (3284, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 4, 1, '2024-08-05 15:47:07', NULL), (3285, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 5, 1, '2024-08-05 15:47:07', NULL), (3286, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 6, 1, '2024-08-05 15:47:07', NULL), (3287, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 7, 1, '2024-08-05 15:47:07', NULL), (3288, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 8, 1, '2024-08-05 15:47:07', NULL), (3289, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 9, 1, '2024-08-05 15:47:07', NULL), (3290, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 10, 1, '2024-08-05 15:47:07', NULL), (3291, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 11, 1, '2024-08-05 15:47:07', NULL), (3292, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 12, 1, '2024-08-05 15:47:07', NULL), (3293, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 13, 1, '2024-08-05 15:47:07', NULL), (3294, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 14, 1, '2024-08-05 15:47:07', NULL), (3295, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 15, 1, '2024-08-05 15:47:07', NULL), (3296, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 16, 1, '2024-08-05 15:47:07', NULL), (3297, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 17, 1, '2024-08-05 15:47:07', NULL), (3298, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 18, 1, '2024-08-05 15:47:07', NULL), (3299, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 19, 1, '2024-08-05 15:47:08', NULL), (3300, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 20, 1, '2024-08-05 15:47:08', NULL), (3301, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 21, 1, '2024-08-05 15:47:08', NULL), (3302, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 22, 1, '2024-08-05 15:47:08', NULL), (3303, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 23, 1, '2024-08-05 15:47:08', NULL), (3304, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 24, 1, '2024-08-05 15:47:08', NULL), (3305, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 25, 1, '2024-08-05 15:47:08', NULL), (3306, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 26, 1, '2024-08-05 15:47:08', NULL), (3307, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 27, 1, '2024-08-05 15:47:08', NULL), (3308, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 28, 1, '2024-08-05 15:47:08', NULL), (3309, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 29, 1, '2024-08-05 15:47:08', NULL), (3310, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 30, 1, '2024-08-05 15:47:08', NULL), (3311, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 1, 31, 1, '2024-08-05 15:47:08', NULL), (3312, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 1, 1, '2024-08-05 15:47:08', NULL), (3313, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 2, 1, '2024-08-05 15:47:08', NULL), (3314, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 3, 1, '2024-08-05 15:47:08', NULL), (3315, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 4, 1, '2024-08-05 15:47:08', NULL), (3316, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 5, 1, '2024-08-05 15:47:08', NULL), (3317, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 6, 1, '2024-08-05 15:47:08', NULL), (3318, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 7, 1, '2024-08-05 15:47:08', NULL), (3319, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 8, 1, '2024-08-05 15:47:08', NULL), (3320, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 9, 1, '2024-08-05 15:47:08', NULL), (3321, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 10, 1, '2024-08-05 15:47:08', NULL), (3322, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 11, 1, '2024-08-05 15:47:08', NULL), (3323, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 12, 1, '2024-08-05 15:47:08', NULL), (3324, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 13, 1, '2024-08-05 15:47:08', NULL), (3325, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 14, 1, '2024-08-05 15:47:08', NULL), (3326, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 15, 1, '2024-08-05 15:47:08', NULL), (3327, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 16, 1, '2024-08-05 15:47:08', NULL), (3328, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 17, 1, '2024-08-05 15:47:08', NULL), (3329, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 18, 1, '2024-08-05 15:47:08', NULL), (3330, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 19, 1, '2024-08-05 15:47:08', NULL), (3331, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 20, 1, '2024-08-05 15:47:08', NULL), (3332, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 21, 1, '2024-08-05 15:47:08', NULL), (3333, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 22, 1, '2024-08-05 15:47:08', NULL), (3334, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 23, 1, '2024-08-05 15:47:08', NULL), (3335, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 24, 1, '2024-08-05 15:47:08', NULL), (3336, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 25, 1, '2024-08-05 15:47:08', NULL), (3337, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 26, 1, '2024-08-05 15:47:08', NULL), (3338, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 27, 1, '2024-08-05 15:47:08', NULL), (3339, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 28, 1, '2024-08-05 15:47:08', NULL), (3340, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 2, 29, 1, '2024-08-05 15:47:08', NULL), (3341, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 1, 1, '2024-08-05 15:47:08', NULL), (3342, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 2, 1, '2024-08-05 15:47:08', NULL), (3343, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 3, 1, '2024-08-05 15:47:08', NULL), (3344, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 4, 1, '2024-08-05 15:47:08', NULL), (3345, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 5, 1, '2024-08-05 15:47:08', NULL), (3346, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 6, 1, '2024-08-05 15:47:08', NULL), (3347, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 7, 1, '2024-08-05 15:47:09', NULL), (3348, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 8, 1, '2024-08-05 15:47:09', NULL), (3349, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 9, 1, '2024-08-05 15:47:09', NULL), (3350, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 10, 1, '2024-08-05 15:47:09', NULL), (3351, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 11, 1, '2024-08-05 15:47:09', NULL), (3352, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 12, 1, '2024-08-05 15:47:09', NULL), (3353, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 13, 1, '2024-08-05 15:47:09', NULL), (3354, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 14, 1, '2024-08-05 15:47:09', NULL), (3355, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 15, 1, '2024-08-05 15:47:09', NULL), (3356, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 16, 1, '2024-08-05 15:47:09', NULL), (3357, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 17, 1, '2024-08-05 15:47:09', NULL), (3358, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 18, 1, '2024-08-05 15:47:09', NULL), (3359, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 19, 1, '2024-08-05 15:47:09', NULL), (3360, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 20, 1, '2024-08-05 15:47:09', NULL), (3361, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 21, 1, '2024-08-05 15:47:09', NULL), (3362, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 22, 1, '2024-08-05 15:47:09', NULL), (3363, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 23, 1, '2024-08-05 15:47:09', NULL), (3364, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 24, 1, '2024-08-05 15:47:09', NULL), (3365, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 25, 1, '2024-08-05 15:47:09', NULL), (3366, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 26, 1, '2024-08-05 15:47:09', NULL), (3367, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 27, 1, '2024-08-05 15:47:09', NULL), (3368, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 28, 1, '2024-08-05 15:47:09', NULL), (3369, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 29, 1, '2024-08-05 15:47:09', NULL), (3370, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 30, 1, '2024-08-05 15:47:09', NULL), (3371, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 3, 31, 1, '2024-08-05 15:47:09', NULL), (3372, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 1, 1, '2024-08-05 15:47:09', NULL), (3373, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 2, 1, '2024-08-05 15:47:10', NULL), (3374, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 3, 1, '2024-08-05 15:47:10', NULL), (3375, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 4, 1, '2024-08-05 15:47:10', NULL), (3376, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 5, 1, '2024-08-05 15:47:10', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (3377, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 6, 1, '2024-08-05 15:47:10', NULL), (3378, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 7, 1, '2024-08-05 15:47:10', NULL), (3379, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 8, 1, '2024-08-05 15:47:10', NULL), (3380, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 9, 1, '2024-08-05 15:47:10', NULL), (3381, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 10, 1, '2024-08-05 15:47:10', NULL), (3382, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 11, 1, '2024-08-05 15:47:10', NULL), (3383, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 12, 1, '2024-08-05 15:47:10', NULL), (3384, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 13, 1, '2024-08-05 15:47:10', NULL), (3385, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 14, 1, '2024-08-05 15:47:10', NULL), (3386, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 15, 1, '2024-08-05 15:47:10', NULL), (3387, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 16, 1, '2024-08-05 15:47:10', NULL), (3388, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 17, 1, '2024-08-05 15:47:10', NULL), (3389, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 18, 1, '2024-08-05 15:47:10', NULL), (3390, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 19, 1, '2024-08-05 15:47:10', NULL), (3391, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 20, 1, '2024-08-05 15:47:10', NULL), (3392, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 21, 1, '2024-08-05 15:47:10', NULL), (3393, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 22, 1, '2024-08-05 15:47:10', NULL), (3394, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 23, 1, '2024-08-05 15:47:10', NULL), (3395, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 24, 1, '2024-08-05 15:47:10', NULL), (3396, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 25, 1, '2024-08-05 15:47:11', NULL), (3397, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 26, 1, '2024-08-05 15:47:11', NULL), (3398, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 27, 1, '2024-08-05 15:47:11', NULL), (3399, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 28, 1, '2024-08-05 15:47:11', NULL), (3400, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 29, 1, '2024-08-05 15:47:11', NULL), (3401, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 4, 30, 1, '2024-08-05 15:47:11', NULL), (3402, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 1, 1, '2024-08-05 15:47:11', NULL), (3403, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 2, 1, '2024-08-05 15:47:11', NULL), (3404, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 3, 1, '2024-08-05 15:47:11', NULL), (3405, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 4, 1, '2024-08-05 15:47:11', NULL), (3406, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 5, 1, '2024-08-05 15:47:11', NULL), (3407, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 6, 1, '2024-08-05 15:47:11', NULL), (3408, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 7, 1, '2024-08-05 15:47:11', NULL), (3409, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 8, 1, '2024-08-05 15:47:11', NULL), (3410, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 9, 1, '2024-08-05 15:47:11', NULL), (3411, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 10, 1, '2024-08-05 15:47:11', NULL), (3412, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 11, 1, '2024-08-05 15:47:11', NULL), (3413, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 12, 1, '2024-08-05 15:47:11', NULL), (3414, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 13, 1, '2024-08-05 15:47:11', NULL), (3415, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 14, 1, '2024-08-05 15:47:11', NULL), (3416, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 15, 1, '2024-08-05 15:47:11', NULL), (3417, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 16, 1, '2024-08-05 15:47:11', NULL), (3418, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 17, 1, '2024-08-05 15:47:11', NULL), (3419, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 18, 1, '2024-08-05 15:47:11', NULL), (3420, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 19, 1, '2024-08-05 15:47:12', NULL), (3421, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 20, 1, '2024-08-05 15:47:12', NULL), (3422, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 21, 1, '2024-08-05 15:47:12', NULL), (3423, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 22, 1, '2024-08-05 15:47:12', NULL), (3424, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 23, 1, '2024-08-05 15:47:12', NULL), (3425, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 24, 1, '2024-08-05 15:47:12', NULL), (3426, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 25, 1, '2024-08-05 15:47:12', NULL), (3427, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 26, 1, '2024-08-05 15:47:12', NULL), (3428, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 27, 1, '2024-08-05 15:47:12', NULL), (3429, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 28, 1, '2024-08-05 15:47:12', NULL), (3430, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 29, 1, '2024-08-05 15:47:12', NULL), (3431, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 30, 1, '2024-08-05 15:47:12', NULL), (3432, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 5, 31, 1, '2024-08-05 15:47:12', NULL), (3433, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 1, 1, '2024-08-05 15:47:12', NULL), (3434, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 2, 1, '2024-08-05 15:47:12', NULL), (3435, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 3, 1, '2024-08-05 15:47:12', NULL), (3436, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 4, 1, '2024-08-05 15:47:12', NULL), (3437, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 5, 1, '2024-08-05 15:47:12', NULL), (3438, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 6, 1, '2024-08-05 15:47:12', NULL), (3439, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 7, 1, '2024-08-05 15:47:12', NULL), (3440, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 8, 1, '2024-08-05 15:47:12', NULL), (3441, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 9, 1, '2024-08-05 15:47:12', NULL), (3442, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 10, 1, '2024-08-05 15:47:13', NULL), (3443, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 11, 1, '2024-08-05 15:47:13', NULL), (3444, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 12, 1, '2024-08-05 15:47:13', NULL), (3445, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 13, 1, '2024-08-05 15:47:13', NULL), (3446, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 14, 1, '2024-08-05 15:47:13', NULL), (3447, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 15, 1, '2024-08-05 15:47:13', NULL), (3448, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 16, 1, '2024-08-05 15:47:13', NULL), (3449, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 17, 1, '2024-08-05 15:47:13', NULL), (3450, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 18, 1, '2024-08-05 15:47:13', NULL), (3451, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 19, 1, '2024-08-05 15:47:13', NULL), (3452, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 20, 1, '2024-08-05 15:47:13', NULL), (3453, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 21, 1, '2024-08-05 15:47:13', NULL), (3454, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 22, 1, '2024-08-05 15:47:13', NULL), (3455, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 23, 1, '2024-08-05 15:47:13', NULL), (3456, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 24, 1, '2024-08-05 15:47:13', NULL), (3457, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 25, 1, '2024-08-05 15:47:13', NULL), (3458, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 26, 1, '2024-08-05 15:47:13', NULL), (3459, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 27, 1, '2024-08-05 15:47:14', NULL), (3460, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 28, 1, '2024-08-05 15:47:14', NULL), (3461, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 29, 1, '2024-08-05 15:47:14', NULL), (3462, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 6, 30, 1, '2024-08-05 15:47:14', NULL), (3463, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 1, 1, '2024-08-05 15:47:14', NULL), (3464, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 2, 1, '2024-08-05 15:47:14', NULL), (3465, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 3, 1, '2024-08-05 15:47:14', NULL), (3466, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 4, 1, '2024-08-05 15:47:14', NULL), (3467, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 5, 1, '2024-08-05 15:47:14', NULL), (3468, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 6, 1, '2024-08-05 15:47:14', NULL), (3469, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 7, 1, '2024-08-05 15:47:14', NULL), (3470, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 8, 1, '2024-08-05 15:47:14', NULL), (3471, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 9, 1, '2024-08-05 15:47:14', NULL), (3472, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 10, 1, '2024-08-05 15:47:14', NULL), (3473, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 11, 1, '2024-08-05 15:47:14', NULL), (3474, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 12, 1, '2024-08-05 15:47:14', NULL), (3475, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 13, 1, '2024-08-05 15:47:14', NULL), (3476, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 14, 1, '2024-08-05 15:47:15', NULL), (3477, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 15, 1, '2024-08-05 15:47:15', NULL), (3478, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 16, 1, '2024-08-05 15:47:15', NULL), (3479, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 17, 1, '2024-08-05 15:47:15', NULL), (3480, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 18, 1, '2024-08-05 15:47:15', NULL), (3481, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 19, 1, '2024-08-05 15:47:15', NULL), (3482, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 20, 1, '2024-08-05 15:47:15', NULL), (3483, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 21, 1, '2024-08-05 15:47:15', NULL), (3484, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 22, 1, '2024-08-05 15:47:15', NULL), (3485, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 23, 1, '2024-08-05 15:47:15', NULL), (3486, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 24, 1, '2024-08-05 15:47:15', NULL), (3487, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 25, 1, '2024-08-05 15:47:15', NULL), (3488, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 26, 1, '2024-08-05 15:47:15', NULL), (3489, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 27, 1, '2024-08-05 15:47:16', NULL), (3490, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 28, 1, '2024-08-05 15:47:16', NULL), (3491, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 29, 1, '2024-08-05 15:47:16', NULL), (3492, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 30, 1, '2024-08-05 15:47:16', NULL), (3493, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 7, 31, 1, '2024-08-05 15:47:16', NULL), (3494, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 1, 1, '2024-08-05 15:47:16', '2024-08-05 22:12:09'), (3495, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 2, 1, '2024-08-05 15:47:16', '2024-08-06 02:20:03'), (3496, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 3, 1, '2024-08-05 15:47:17', '2024-08-07 01:30:01'), (3497, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 4, 1, '2024-08-05 15:47:17', '2024-08-08 01:30:01'), (3498, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 5, 1, '2024-08-05 15:47:17', '2024-08-09 01:30:01'), (3499, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 1, 1, '2024-08-05 16:31:17', NULL), (3500, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 2, 1, '2024-08-05 16:31:17', NULL), (3501, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 3, 1, '2024-08-05 16:31:17', NULL), (3502, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 4, 1, '2024-08-05 16:31:17', NULL), (3503, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 5, 1, '2024-08-05 16:31:17', NULL), (3504, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 6, 1, '2024-08-05 16:31:17', NULL), (3505, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 7, 1, '2024-08-05 16:31:17', NULL), (3506, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 8, 1, '2024-08-05 16:31:18', NULL), (3507, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 9, 1, '2024-08-05 16:31:18', NULL), (3508, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 10, 1, '2024-08-05 16:31:18', NULL), (3509, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 11, 1, '2024-08-05 16:31:18', NULL), (3510, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 12, 1, '2024-08-05 16:31:18', NULL), (3511, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 13, 1, '2024-08-05 16:31:18', NULL), (3512, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 14, 1, '2024-08-05 16:31:18', NULL), (3513, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 15, 1, '2024-08-05 16:31:18', NULL), (3514, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 16, 1, '2024-08-05 16:31:18', NULL), (3515, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 17, 1, '2024-08-05 16:31:18', NULL), (3516, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 18, 1, '2024-08-05 16:31:18', NULL), (3517, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 19, 1, '2024-08-05 16:31:18', NULL), (3518, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 20, 1, '2024-08-05 16:31:18', NULL), (3519, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 21, 1, '2024-08-05 16:31:18', NULL), (3520, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 22, 1, '2024-08-05 16:31:18', NULL), (3521, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 23, 1, '2024-08-05 16:31:18', NULL), (3522, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 24, 1, '2024-08-05 16:31:18', NULL), (3523, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 25, 1, '2024-08-05 16:31:18', NULL), (3524, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 26, 1, '2024-08-05 16:31:18', NULL), (3525, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 27, 1, '2024-08-05 16:31:18', NULL), (3526, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 28, 1, '2024-08-05 16:31:18', NULL), (3527, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 29, 1, '2024-08-05 16:31:18', NULL), (3528, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 30, 1, '2024-08-05 16:31:18', NULL), (3529, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 1, 31, 1, '2024-08-05 16:31:18', NULL), (3530, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 1, 1, '2024-08-05 16:31:18', NULL), (3531, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 2, 1, '2024-08-05 16:31:19', NULL), (3532, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 3, 1, '2024-08-05 16:31:19', NULL), (3533, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 4, 1, '2024-08-05 16:31:19', NULL), (3534, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 5, 1, '2024-08-05 16:31:19', NULL), (3535, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 6, 1, '2024-08-05 16:31:19', NULL), (3536, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 7, 1, '2024-08-05 16:31:19', NULL), (3537, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 8, 1, '2024-08-05 16:31:19', NULL), (3538, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 9, 1, '2024-08-05 16:31:19', NULL), (3539, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 10, 1, '2024-08-05 16:31:19', NULL), (3540, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 11, 1, '2024-08-05 16:31:19', NULL), (3541, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 12, 1, '2024-08-05 16:31:19', NULL), (3542, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 13, 1, '2024-08-05 16:31:19', NULL), (3543, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 14, 1, '2024-08-05 16:31:19', NULL), (3544, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 15, 1, '2024-08-05 16:31:19', NULL), (3545, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 16, 1, '2024-08-05 16:31:19', NULL), (3546, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 17, 1, '2024-08-05 16:31:19', NULL), (3547, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 18, 1, '2024-08-05 16:31:19', NULL), (3548, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 19, 1, '2024-08-05 16:31:19', NULL), (3549, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 20, 1, '2024-08-05 16:31:19', NULL), (3550, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 21, 1, '2024-08-05 16:31:19', NULL), (3551, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 22, 1, '2024-08-05 16:31:19', NULL), (3552, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 23, 1, '2024-08-05 16:31:19', NULL), (3553, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 24, 1, '2024-08-05 16:31:19', NULL), (3554, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 25, 1, '2024-08-05 16:31:19', NULL), (3555, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 26, 1, '2024-08-05 16:31:19', NULL), (3556, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 27, 1, '2024-08-05 16:31:19', NULL), (3557, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 2, 28, 1, '2024-08-05 16:31:20', NULL), (3558, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 1, 1, '2024-08-05 16:31:20', NULL), (3559, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 2, 1, '2024-08-05 16:31:20', NULL), (3560, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 3, 1, '2024-08-05 16:31:20', NULL), (3561, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 4, 1, '2024-08-05 16:31:20', NULL), (3562, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 5, 1, '2024-08-05 16:31:20', NULL), (3563, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 6, 1, '2024-08-05 16:31:20', NULL), (3564, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 7, 1, '2024-08-05 16:31:20', NULL), (3565, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 8, 1, '2024-08-05 16:31:20', NULL), (3566, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 9, 1, '2024-08-05 16:31:20', NULL), (3567, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 10, 1, '2024-08-05 16:31:20', NULL), (3568, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 11, 1, '2024-08-05 16:31:20', NULL), (3569, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 12, 1, '2024-08-05 16:31:20', NULL), (3570, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 13, 1, '2024-08-05 16:31:20', NULL), (3571, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 14, 1, '2024-08-05 16:31:20', NULL), (3572, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 15, 1, '2024-08-05 16:31:20', NULL), (3573, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 16, 1, '2024-08-05 16:31:20', NULL), (3574, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 17, 1, '2024-08-05 16:31:20', NULL), (3575, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 18, 1, '2024-08-05 16:31:20', NULL), (3576, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 19, 1, '2024-08-05 16:31:20', NULL), (3577, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 20, 1, '2024-08-05 16:31:20', NULL), (3578, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 21, 1, '2024-08-05 16:31:20', NULL), (3579, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 22, 1, '2024-08-05 16:31:20', NULL), (3580, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 23, 1, '2024-08-05 16:31:21', NULL), (3581, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 24, 1, '2024-08-05 16:31:21', NULL), (3582, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 25, 1, '2024-08-05 16:31:21', NULL), (3583, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 26, 1, '2024-08-05 16:31:21', NULL), (3584, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 27, 1, '2024-08-05 16:31:21', NULL), (3585, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 28, 1, '2024-08-05 16:31:21', NULL), (3586, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 29, 1, '2024-08-05 16:31:21', NULL), (3587, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 30, 1, '2024-08-05 16:31:21', NULL), (3588, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 3, 31, 1, '2024-08-05 16:31:21', NULL), (3589, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 1, 1, '2024-08-05 16:31:21', NULL), (3590, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 2, 1, '2024-08-05 16:31:21', NULL), (3591, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 3, 1, '2024-08-05 16:31:21', NULL), (3592, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 4, 1, '2024-08-05 16:31:21', NULL), (3593, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 5, 1, '2024-08-05 16:31:21', NULL), (3594, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 6, 1, '2024-08-05 16:31:21', NULL), (3595, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 7, 1, '2024-08-05 16:31:21', NULL), (3596, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 8, 1, '2024-08-05 16:31:21', NULL), (3597, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 9, 1, '2024-08-05 16:31:21', NULL), (3598, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 10, 1, '2024-08-05 16:31:21', NULL), (3599, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 11, 1, '2024-08-05 16:31:21', NULL), (3600, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 12, 1, '2024-08-05 16:31:21', NULL), (3601, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 13, 1, '2024-08-05 16:31:21', NULL), (3602, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 14, 1, '2024-08-05 16:31:22', NULL), (3603, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 15, 1, '2024-08-05 16:31:22', NULL), (3604, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 16, 1, '2024-08-05 16:31:22', NULL), (3605, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 17, 1, '2024-08-05 16:31:22', NULL), (3606, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 18, 1, '2024-08-05 16:31:22', NULL), (3607, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 19, 1, '2024-08-05 16:31:22', NULL), (3608, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 20, 1, '2024-08-05 16:31:22', NULL), (3609, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 21, 1, '2024-08-05 16:31:22', NULL), (3610, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 22, 1, '2024-08-05 16:31:22', NULL), (3611, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 23, 1, '2024-08-05 16:31:22', NULL), (3612, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 24, 1, '2024-08-05 16:31:22', NULL), (3613, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 25, 1, '2024-08-05 16:31:22', NULL), (3614, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 26, 1, '2024-08-05 16:31:22', NULL), (3615, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 27, 1, '2024-08-05 16:31:22', NULL), (3616, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 28, 1, '2024-08-05 16:31:22', NULL), (3617, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 29, 1, '2024-08-05 16:31:22', NULL), (3618, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 4, 30, 1, '2024-08-05 16:31:22', NULL), (3619, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 1, 1, '2024-08-05 16:31:22', NULL), (3620, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 2, 1, '2024-08-05 16:31:22', NULL), (3621, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 3, 1, '2024-08-05 16:31:22', NULL), (3622, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 4, 1, '2024-08-05 16:31:22', NULL), (3623, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 5, 1, '2024-08-05 16:31:22', NULL), (3624, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 6, 1, '2024-08-05 16:31:23', NULL), (3625, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 7, 1, '2024-08-05 16:31:23', NULL), (3626, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 8, 1, '2024-08-05 16:31:23', NULL), (3627, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 9, 1, '2024-08-05 16:31:23', NULL), (3628, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 10, 1, '2024-08-05 16:31:23', NULL), (3629, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 11, 1, '2024-08-05 16:31:23', NULL), (3630, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 12, 1, '2024-08-05 16:31:23', NULL), (3631, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 13, 1, '2024-08-05 16:31:23', NULL), (3632, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 14, 1, '2024-08-05 16:31:23', NULL), (3633, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 15, 1, '2024-08-05 16:31:23', NULL), (3634, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 16, 1, '2024-08-05 16:31:23', NULL), (3635, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 17, 1, '2024-08-05 16:31:23', NULL), (3636, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 18, 1, '2024-08-05 16:31:23', NULL), (3637, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 19, 1, '2024-08-05 16:31:23', NULL), (3638, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 20, 1, '2024-08-05 16:31:23', NULL), (3639, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 21, 1, '2024-08-05 16:31:23', NULL), (3640, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 22, 1, '2024-08-05 16:31:23', NULL), (3641, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 23, 1, '2024-08-05 16:31:23', NULL), (3642, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 24, 1, '2024-08-05 16:31:23', NULL), (3643, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 25, 1, '2024-08-05 16:31:23', NULL), (3644, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 26, 1, '2024-08-05 16:31:23', NULL), (3645, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 27, 1, '2024-08-05 16:31:23', NULL), (3646, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 28, 1, '2024-08-05 16:31:23', NULL), (3647, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 29, 1, '2024-08-05 16:31:24', NULL), (3648, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 30, 1, '2024-08-05 16:31:24', NULL), (3649, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 5, 31, 1, '2024-08-05 16:31:24', NULL), (3650, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 1, 1, '2024-08-05 16:31:24', NULL), (3651, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 2, 1, '2024-08-05 16:31:24', NULL), (3652, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 3, 1, '2024-08-05 16:31:24', NULL), (3653, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 4, 1, '2024-08-05 16:31:24', NULL), (3654, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 5, 1, '2024-08-05 16:31:24', NULL), (3655, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 6, 1, '2024-08-05 16:31:24', NULL), (3656, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 7, 1, '2024-08-05 16:31:24', NULL), (3657, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 8, 1, '2024-08-05 16:31:24', NULL), (3658, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 9, 1, '2024-08-05 16:31:24', NULL), (3659, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 10, 1, '2024-08-05 16:31:24', NULL), (3660, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 11, 1, '2024-08-05 16:31:24', NULL), (3661, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 12, 1, '2024-08-05 16:31:24', NULL), (3662, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 13, 1, '2024-08-05 16:31:24', NULL), (3663, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 14, 1, '2024-08-05 16:31:24', NULL), (3664, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 15, 1, '2024-08-05 16:31:24', NULL), (3665, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 16, 1, '2024-08-05 16:31:24', NULL), (3666, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 17, 1, '2024-08-05 16:31:24', NULL), (3667, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 18, 1, '2024-08-05 16:31:24', NULL), (3668, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 19, 1, '2024-08-05 16:31:25', NULL), (3669, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 20, 1, '2024-08-05 16:31:25', NULL), (3670, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 21, 1, '2024-08-05 16:31:25', NULL), (3671, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 22, 1, '2024-08-05 16:31:25', NULL), (3672, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 23, 1, '2024-08-05 16:31:25', NULL), (3673, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 24, 1, '2024-08-05 16:31:25', NULL), (3674, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 25, 1, '2024-08-05 16:31:25', NULL), (3675, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 26, 1, '2024-08-05 16:31:25', NULL), (3676, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 27, 1, '2024-08-05 16:31:25', NULL), (3677, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 28, 1, '2024-08-05 16:31:25', NULL), (3678, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 29, 1, '2024-08-05 16:31:25', NULL), (3679, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 6, 30, 1, '2024-08-05 16:31:25', NULL), (3680, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 1, 1, '2024-08-05 16:31:25', NULL), (3681, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 2, 1, '2024-08-05 16:31:25', NULL), (3682, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 3, 1, '2024-08-05 16:31:25', NULL), (3683, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 4, 1, '2024-08-05 16:31:25', NULL), (3684, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 5, 1, '2024-08-05 16:31:25', NULL), (3685, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 6, 1, '2024-08-05 16:31:25', NULL), (3686, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 7, 1, '2024-08-05 16:31:25', NULL), (3687, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 8, 1, '2024-08-05 16:31:25', NULL), (3688, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 9, 1, '2024-08-05 16:31:25', NULL), (3689, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 10, 1, '2024-08-05 16:31:25', NULL), (3690, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 11, 1, '2024-08-05 16:31:26', NULL), (3691, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 12, 1, '2024-08-05 16:31:26', NULL), (3692, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 13, 1, '2024-08-05 16:31:26', NULL), (3693, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 14, 1, '2024-08-05 16:31:26', NULL), (3694, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 15, 1, '2024-08-05 16:31:26', NULL), (3695, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 16, 1, '2024-08-05 16:31:26', NULL), (3696, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 17, 1, '2024-08-05 16:31:26', NULL), (3697, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 18, 1, '2024-08-05 16:31:26', NULL), (3698, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 19, 1, '2024-08-05 16:31:26', NULL), (3699, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 20, 1, '2024-08-05 16:31:26', NULL), (3700, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 21, 1, '2024-08-05 16:31:26', NULL), (3701, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 22, 1, '2024-08-05 16:31:26', NULL), (3702, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 23, 1, '2024-08-05 16:31:26', NULL), (3703, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 24, 1, '2024-08-05 16:31:26', NULL), (3704, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 25, 1, '2024-08-05 16:31:26', NULL), (3705, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 26, 1, '2024-08-05 16:31:26', NULL), (3706, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 27, 1, '2024-08-05 16:31:26', NULL), (3707, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 28, 1, '2024-08-05 16:31:26', NULL), (3708, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 29, 1, '2024-08-05 16:31:26', NULL), (3709, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 30, 1, '2024-08-05 16:31:26', NULL), (3710, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 7, 31, 1, '2024-08-05 16:31:26', NULL), (3711, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 1, 1, '2024-08-05 16:31:27', NULL), (3712, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 2, 1, '2024-08-05 16:31:27', NULL), (3713, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 3, 1, '2024-08-05 16:31:27', NULL), (3714, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 4, 1, '2024-08-05 16:31:27', NULL), (3715, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 5, 1, '2024-08-05 16:31:27', NULL), (3716, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 6, 1, '2024-08-05 16:31:27', NULL), (3717, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 7, 1, '2024-08-05 16:31:27', NULL), (3718, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 8, 1, '2024-08-05 16:31:27', NULL), (3719, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 9, 1, '2024-08-05 16:31:27', NULL), (3720, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 10, 1, '2024-08-05 16:31:27', NULL), (3721, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 11, 1, '2024-08-05 16:31:27', NULL), (3722, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 12, 1, '2024-08-05 16:31:27', NULL), (3723, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 13, 1, '2024-08-05 16:31:27', NULL), (3724, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 14, 1, '2024-08-05 16:31:27', NULL), (3725, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 15, 1, '2024-08-05 16:31:27', NULL), (3726, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 16, 1, '2024-08-05 16:31:27', NULL), (3727, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 17, 1, '2024-08-05 16:31:27', NULL), (3728, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 18, 1, '2024-08-05 16:31:27', NULL), (3729, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 19, 1, '2024-08-05 16:31:27', NULL), (3730, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 20, 1, '2024-08-05 16:31:27', NULL), (3731, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 21, 1, '2024-08-05 16:31:27', NULL), (3732, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 22, 1, '2024-08-05 16:31:27', NULL), (3733, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 23, 1, '2024-08-05 16:31:27', NULL), (3734, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 24, 1, '2024-08-05 16:31:28', NULL), (3735, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 25, 1, '2024-08-05 16:31:28', NULL), (3736, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 26, 1, '2024-08-05 16:31:28', NULL), (3737, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 27, 1, '2024-08-05 16:31:28', NULL), (3738, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 28, 1, '2024-08-05 16:31:28', NULL), (3739, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 29, 1, '2024-08-05 16:31:28', NULL), (3740, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 30, 1, '2024-08-05 16:31:28', NULL), (3741, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 8, 31, 1, '2024-08-05 16:31:28', NULL), (3742, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 1, 1, '2024-08-05 16:31:28', NULL), (3743, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 2, 1, '2024-08-05 16:31:28', NULL), (3744, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 3, 1, '2024-08-05 16:31:28', NULL), (3745, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 4, 1, '2024-08-05 16:31:28', NULL), (3746, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 5, 1, '2024-08-05 16:31:28', NULL), (3747, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 6, 1, '2024-08-05 16:31:28', NULL), (3748, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 7, 1, '2024-08-05 16:31:28', NULL), (3749, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 8, 1, '2024-08-05 16:31:28', NULL), (3750, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 9, 1, '2024-08-05 16:31:28', NULL), (3751, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 10, 1, '2024-08-05 16:31:28', NULL), (3752, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 11, 1, '2024-08-05 16:31:28', NULL), (3753, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 12, 1, '2024-08-05 16:31:28', NULL), (3754, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 13, 1, '2024-08-05 16:31:28', NULL), (3755, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 14, 1, '2024-08-05 16:31:28', NULL), (3756, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 15, 1, '2024-08-05 16:31:28', NULL), (3757, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 16, 1, '2024-08-05 16:31:28', NULL), (3758, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 17, 1, '2024-08-05 16:31:28', NULL), (3759, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 18, 1, '2024-08-05 16:31:28', NULL), (3760, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 19, 1, '2024-08-05 16:31:28', NULL), (3761, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 20, 1, '2024-08-05 16:31:29', NULL), (3762, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 21, 1, '2024-08-05 16:31:29', NULL), (3763, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 22, 1, '2024-08-05 16:31:29', NULL), (3764, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 23, 1, '2024-08-05 16:31:29', NULL), (3765, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 24, 1, '2024-08-05 16:31:29', NULL), (3766, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 25, 1, '2024-08-05 16:31:29', NULL), (3767, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 26, 1, '2024-08-05 16:31:29', NULL), (3768, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 27, 1, '2024-08-05 16:31:29', NULL), (3769, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 28, 1, '2024-08-05 16:31:29', NULL), (3770, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 29, 1, '2024-08-05 16:31:29', NULL), (3771, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 9, 30, 1, '2024-08-05 16:31:29', NULL), (3772, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 1, 1, '2024-08-05 16:31:29', NULL), (3773, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 2, 1, '2024-08-05 16:31:29', NULL), (3774, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 3, 1, '2024-08-05 16:31:29', NULL), (3775, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 4, 1, '2024-08-05 16:31:29', NULL), (3776, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 5, 1, '2024-08-05 16:31:29', NULL), (3777, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 6, 1, '2024-08-05 16:31:29', NULL), (3778, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 7, 1, '2024-08-05 16:31:29', NULL), (3779, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 8, 1, '2024-08-05 16:31:29', NULL), (3780, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 9, 1, '2024-08-05 16:31:29', NULL), (3781, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 10, 1, '2024-08-05 16:31:29', NULL), (3782, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 11, 1, '2024-08-05 16:31:29', NULL), (3783, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 12, 1, '2024-08-05 16:31:29', NULL), (3784, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 13, 1, '2024-08-05 16:31:29', NULL), (3785, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 14, 1, '2024-08-05 16:31:29', NULL), (3786, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 15, 1, '2024-08-05 16:31:29', NULL), (3787, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 16, 1, '2024-08-05 16:31:29', NULL), (3788, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 17, 1, '2024-08-05 16:31:29', NULL), (3789, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 18, 1, '2024-08-05 16:31:29', NULL), (3790, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 19, 1, '2024-08-05 16:31:29', NULL), (3791, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 20, 1, '2024-08-05 16:31:29', NULL), (3792, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 21, 1, '2024-08-05 16:31:29', NULL), (3793, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 22, 1, '2024-08-05 16:31:29', NULL), (3794, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 23, 1, '2024-08-05 16:31:29', NULL), (3795, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 24, 1, '2024-08-05 16:31:29', NULL), (3796, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 25, 1, '2024-08-05 16:31:29', NULL), (3797, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 26, 1, '2024-08-05 16:31:29', NULL), (3798, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 27, 1, '2024-08-05 16:31:29', NULL), (3799, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 28, 1, '2024-08-05 16:31:29', NULL), (3800, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 29, 1, '2024-08-05 16:31:29', NULL), (3801, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 30, 1, '2024-08-05 16:31:29', NULL), (3802, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 10, 31, 1, '2024-08-05 16:31:29', NULL), (3803, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 11, 1, 1, '2024-08-05 16:31:29', NULL), (3804, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 11, 2, 1, '2024-08-05 16:31:29', NULL), (3805, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 11, 3, 1, '2024-08-05 16:31:29', NULL), (3806, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 11, 4, 1, '2024-08-05 16:31:29', NULL), (3807, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 11, 5, 1, '2024-08-05 16:31:29', NULL), (3808, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 11, 6, 1, '2024-08-05 16:31:30', NULL), (3809, 22, '511502000000-0001', '翠屏区政务服务中心', 12, 2023, 11, 7, 1, '2024-08-05 16:31:30', NULL), (3810, 22, '511502000000-0001', '翠屏区政务服务中心', 24, 2023, 11, 8, 1, '2024-08-05 16:31:30', NULL), (3811, 22, '511502000000-0001', '翠屏区政务服务中心', 156, 2023, 11, 9, 1, '2024-08-05 16:31:30', NULL), (3812, 22, '511502000000-0001', '翠屏区政务服务中心', 692, 2023, 11, 10, 1, '2024-08-05 16:31:30', NULL), (3813, 22, '511502000000-0001', '翠屏区政务服务中心', 17, 2023, 11, 11, 1, '2024-08-05 16:31:30', NULL), (3814, 22, '511502000000-0001', '翠屏区政务服务中心', 2, 2023, 11, 12, 1, '2024-08-05 16:31:30', NULL), (3815, 22, '511502000000-0001', '翠屏区政务服务中心', 1252, 2023, 11, 13, 1, '2024-08-05 16:31:30', NULL), (3816, 22, '511502000000-0001', '翠屏区政务服务中心', 1176, 2023, 11, 14, 1, '2024-08-05 16:31:30', NULL), (3817, 22, '511502000000-0001', '翠屏区政务服务中心', 956, 2023, 11, 15, 1, '2024-08-05 16:31:30', NULL), (3818, 22, '511502000000-0001', '翠屏区政务服务中心', 1087, 2023, 11, 16, 1, '2024-08-05 16:31:30', NULL), (3819, 22, '511502000000-0001', '翠屏区政务服务中心', 1062, 2023, 11, 17, 1, '2024-08-05 16:31:30', NULL), (3820, 22, '511502000000-0001', '翠屏区政务服务中心', 7, 2023, 11, 18, 1, '2024-08-05 16:31:30', NULL), (3821, 22, '511502000000-0001', '翠屏区政务服务中心', 1, 2023, 11, 19, 1, '2024-08-05 16:31:30', NULL), (3822, 22, '511502000000-0001', '翠屏区政务服务中心', 1057, 2023, 11, 20, 1, '2024-08-05 16:31:30', NULL), (3823, 22, '511502000000-0001', '翠屏区政务服务中心', 1184, 2023, 11, 21, 1, '2024-08-05 16:31:30', NULL), (3824, 22, '511502000000-0001', '翠屏区政务服务中心', 1347, 2023, 11, 22, 1, '2024-08-05 16:31:30', NULL), (3825, 22, '511502000000-0001', '翠屏区政务服务中心', 1085, 2023, 11, 23, 1, '2024-08-05 16:31:30', NULL), (3826, 22, '511502000000-0001', '翠屏区政务服务中心', 1045, 2023, 11, 24, 1, '2024-08-05 16:31:30', NULL), (3827, 22, '511502000000-0001', '翠屏区政务服务中心', 2, 2023, 11, 25, 1, '2024-08-05 16:31:30', NULL), (3828, 22, '511502000000-0001', '翠屏区政务服务中心', 3, 2023, 11, 26, 1, '2024-08-05 16:31:30', NULL), (3829, 22, '511502000000-0001', '翠屏区政务服务中心', 1322, 2023, 11, 27, 1, '2024-08-05 16:31:30', NULL), (3830, 22, '511502000000-0001', '翠屏区政务服务中心', 1148, 2023, 11, 28, 1, '2024-08-05 16:31:30', NULL), (3831, 22, '511502000000-0001', '翠屏区政务服务中心', 1105, 2023, 11, 29, 1, '2024-08-05 16:31:31', NULL), (3832, 22, '511502000000-0001', '翠屏区政务服务中心', 1024, 2023, 11, 30, 1, '2024-08-05 16:31:31', NULL), (3833, 22, '511502000000-0001', '翠屏区政务服务中心', 980, 2023, 12, 1, 1, '2024-08-05 16:31:31', NULL), (3834, 22, '511502000000-0001', '翠屏区政务服务中心', 7, 2023, 12, 2, 1, '2024-08-05 16:31:31', NULL), (3835, 22, '511502000000-0001', '翠屏区政务服务中心', 3, 2023, 12, 3, 1, '2024-08-05 16:31:31', NULL), (3836, 22, '511502000000-0001', '翠屏区政务服务中心', 1303, 2023, 12, 4, 1, '2024-08-05 16:31:31', NULL), (3837, 22, '511502000000-0001', '翠屏区政务服务中心', 1172, 2023, 12, 5, 1, '2024-08-05 16:31:31', NULL), (3838, 22, '511502000000-0001', '翠屏区政务服务中心', 1275, 2023, 12, 6, 1, '2024-08-05 16:31:31', NULL), (3839, 22, '511502000000-0001', '翠屏区政务服务中心', 1057, 2023, 12, 7, 1, '2024-08-05 16:31:31', NULL), (3840, 22, '511502000000-0001', '翠屏区政务服务中心', 995, 2023, 12, 8, 1, '2024-08-05 16:31:31', NULL), (3841, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 12, 9, 1, '2024-08-05 16:31:31', NULL), (3842, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2023, 12, 10, 1, '2024-08-05 16:31:31', NULL), (3843, 22, '511502000000-0001', '翠屏区政务服务中心', 1218, 2023, 12, 11, 1, '2024-08-05 16:31:31', NULL), (3844, 22, '511502000000-0001', '翠屏区政务服务中心', 1137, 2023, 12, 12, 1, '2024-08-05 16:31:31', NULL), (3845, 22, '511502000000-0001', '翠屏区政务服务中心', 977, 2023, 12, 13, 1, '2024-08-05 16:31:31', NULL), (3846, 22, '511502000000-0001', '翠屏区政务服务中心', 1070, 2023, 12, 14, 1, '2024-08-05 16:31:31', NULL), (3847, 22, '511502000000-0001', '翠屏区政务服务中心', 957, 2023, 12, 15, 1, '2024-08-05 16:31:31', NULL), (3848, 22, '511502000000-0001', '翠屏区政务服务中心', 8, 2023, 12, 16, 1, '2024-08-05 16:31:31', NULL), (3849, 22, '511502000000-0001', '翠屏区政务服务中心', 4, 2023, 12, 17, 1, '2024-08-05 16:31:31', NULL), (3850, 22, '511502000000-0001', '翠屏区政务服务中心', 1179, 2023, 12, 18, 1, '2024-08-05 16:31:31', NULL), (3851, 22, '511502000000-0001', '翠屏区政务服务中心', 995, 2023, 12, 19, 1, '2024-08-05 16:31:31', NULL), (3852, 22, '511502000000-0001', '翠屏区政务服务中心', 926, 2023, 12, 20, 1, '2024-08-05 16:31:32', NULL), (3853, 22, '511502000000-0001', '翠屏区政务服务中心', 849, 2023, 12, 21, 1, '2024-08-05 16:31:32', NULL), (3854, 22, '511502000000-0001', '翠屏区政务服务中心', 805, 2023, 12, 22, 1, '2024-08-05 16:31:32', NULL), (3855, 22, '511502000000-0001', '翠屏区政务服务中心', 3, 2023, 12, 23, 1, '2024-08-05 16:31:32', NULL), (3856, 22, '511502000000-0001', '翠屏区政务服务中心', 3, 2023, 12, 24, 1, '2024-08-05 16:31:32', NULL), (3857, 22, '511502000000-0001', '翠屏区政务服务中心', 1071, 2023, 12, 25, 1, '2024-08-05 16:31:32', NULL), (3858, 22, '511502000000-0001', '翠屏区政务服务中心', 1040, 2023, 12, 26, 1, '2024-08-05 16:31:32', NULL), (3859, 22, '511502000000-0001', '翠屏区政务服务中心', 907, 2023, 12, 27, 1, '2024-08-05 16:31:32', NULL), (3860, 22, '511502000000-0001', '翠屏区政务服务中心', 867, 2023, 12, 28, 1, '2024-08-05 16:31:32', NULL), (3861, 22, '511502000000-0001', '翠屏区政务服务中心', 560, 2023, 12, 29, 1, '2024-08-05 16:31:32', NULL), (3862, 22, '511502000000-0001', '翠屏区政务服务中心', 3, 2023, 12, 30, 1, '2024-08-05 16:31:32', NULL), (3863, 22, '511502000000-0001', '翠屏区政务服务中心', 1, 2023, 12, 31, 1, '2024-08-05 16:31:32', NULL), (3864, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2024, 1, 1, 1, '2024-08-05 16:31:32', NULL), (3865, 22, '511502000000-0001', '翠屏区政务服务中心', 851, 2024, 1, 2, 1, '2024-08-05 16:31:32', NULL), (3866, 22, '511502000000-0001', '翠屏区政务服务中心', 895, 2024, 1, 3, 1, '2024-08-05 16:31:32', NULL), (3867, 22, '511502000000-0001', '翠屏区政务服务中心', 914, 2024, 1, 4, 1, '2024-08-05 16:31:32', NULL), (3868, 22, '511502000000-0001', '翠屏区政务服务中心', 835, 2024, 1, 5, 1, '2024-08-05 16:31:32', NULL), (3869, 22, '511502000000-0001', '翠屏区政务服务中心', 8, 2024, 1, 6, 1, '2024-08-05 16:31:32', NULL), (3870, 22, '511502000000-0001', '翠屏区政务服务中心', 3, 2024, 1, 7, 1, '2024-08-05 16:31:32', NULL), (3871, 22, '511502000000-0001', '翠屏区政务服务中心', 1050, 2024, 1, 8, 1, '2024-08-05 16:31:32', NULL), (3872, 22, '511502000000-0001', '翠屏区政务服务中心', 1020, 2024, 1, 9, 1, '2024-08-05 16:31:32', NULL), (3873, 22, '511502000000-0001', '翠屏区政务服务中心', 885, 2024, 1, 10, 1, '2024-08-05 16:31:33', NULL), (3874, 22, '511502000000-0001', '翠屏区政务服务中心', 983, 2024, 1, 11, 1, '2024-08-05 16:31:33', NULL), (3875, 22, '511502000000-0001', '翠屏区政务服务中心', 905, 2024, 1, 12, 1, '2024-08-05 16:31:33', NULL), (3876, 22, '511502000000-0001', '翠屏区政务服务中心', 9, 2024, 1, 13, 1, '2024-08-05 16:31:33', NULL), (3877, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2024, 1, 14, 1, '2024-08-05 16:31:33', NULL), (3878, 22, '511502000000-0001', '翠屏区政务服务中心', 1217, 2024, 1, 15, 1, '2024-08-05 16:31:33', NULL), (3879, 22, '511502000000-0001', '翠屏区政务服务中心', 988, 2024, 1, 16, 1, '2024-08-05 16:31:33', NULL), (3880, 22, '511502000000-0001', '翠屏区政务服务中心', 1045, 2024, 1, 17, 1, '2024-08-05 16:31:33', NULL), (3881, 22, '511502000000-0001', '翠屏区政务服务中心', 971, 2024, 1, 18, 1, '2024-08-05 16:31:33', NULL), (3882, 22, '511502000000-0001', '翠屏区政务服务中心', 865, 2024, 1, 19, 1, '2024-08-05 16:31:33', NULL), (3883, 22, '511502000000-0001', '翠屏区政务服务中心', 3, 2024, 1, 20, 1, '2024-08-05 16:31:33', NULL), (3884, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2024, 1, 21, 1, '2024-08-05 16:31:33', NULL), (3885, 22, '511502000000-0001', '翠屏区政务服务中心', 1097, 2024, 1, 22, 1, '2024-08-05 16:31:33', NULL), (3886, 22, '511502000000-0001', '翠屏区政务服务中心', 831, 2024, 1, 23, 1, '2024-08-05 16:31:33', NULL), (3887, 22, '511502000000-0001', '翠屏区政务服务中心', 890, 2024, 1, 24, 1, '2024-08-05 16:31:33', NULL), (3888, 22, '511502000000-0001', '翠屏区政务服务中心', 1058, 2024, 1, 25, 1, '2024-08-05 16:31:33', NULL), (3889, 22, '511502000000-0001', '翠屏区政务服务中心', 836, 2024, 1, 26, 1, '2024-08-05 16:31:33', NULL), (3890, 22, '511502000000-0001', '翠屏区政务服务中心', 1, 2024, 1, 27, 1, '2024-08-05 16:31:33', NULL), (3891, 22, '511502000000-0001', '翠屏区政务服务中心', 1, 2024, 1, 28, 1, '2024-08-05 16:31:33', NULL), (3892, 22, '511502000000-0001', '翠屏区政务服务中心', 975, 2024, 1, 29, 1, '2024-08-05 16:31:33', NULL), (3893, 22, '511502000000-0001', '翠屏区政务服务中心', 1008, 2024, 1, 30, 1, '2024-08-05 16:31:33', NULL), (3894, 22, '511502000000-0001', '翠屏区政务服务中心', 796, 2024, 1, 31, 1, '2024-08-05 16:31:34', NULL), (3895, 22, '511502000000-0001', '翠屏区政务服务中心', 935, 2024, 2, 1, 1, '2024-08-05 16:31:34', NULL), (3896, 22, '511502000000-0001', '翠屏区政务服务中心', 958, 2024, 2, 2, 1, '2024-08-05 16:31:34', NULL), (3897, 22, '511502000000-0001', '翠屏区政务服务中心', 17, 2024, 2, 3, 1, '2024-08-05 16:31:34', NULL), (3898, 22, '511502000000-0001', '翠屏区政务服务中心', 469, 2024, 2, 4, 1, '2024-08-05 16:31:34', NULL), (3899, 22, '511502000000-0001', '翠屏区政务服务中心', 1156, 2024, 2, 5, 1, '2024-08-05 16:31:34', NULL), (3900, 22, '511502000000-0001', '翠屏区政务服务中心', 914, 2024, 2, 6, 1, '2024-08-05 16:31:34', NULL), (3901, 22, '511502000000-0001', '翠屏区政务服务中心', 705, 2024, 2, 7, 1, '2024-08-05 16:31:34', NULL), (3902, 22, '511502000000-0001', '翠屏区政务服务中心', 425, 2024, 2, 8, 1, '2024-08-05 16:31:34', NULL), (3903, 22, '511502000000-0001', '翠屏区政务服务中心', 80, 2024, 2, 9, 1, '2024-08-05 16:31:34', NULL), (3904, 22, '511502000000-0001', '翠屏区政务服务中心', 6, 2024, 2, 10, 1, '2024-08-05 16:31:34', NULL), (3905, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2024, 2, 11, 1, '2024-08-05 16:31:34', NULL), (3906, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2024, 2, 12, 1, '2024-08-05 16:31:34', NULL), (3907, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2024, 2, 13, 1, '2024-08-05 16:31:34', NULL), (3908, 22, '511502000000-0001', '翠屏区政务服务中心', 2, 2024, 2, 14, 1, '2024-08-05 16:31:34', NULL), (3909, 22, '511502000000-0001', '翠屏区政务服务中心', 13, 2024, 2, 15, 1, '2024-08-05 16:31:34', NULL), (3910, 22, '511502000000-0001', '翠屏区政务服务中心', 15, 2024, 2, 16, 1, '2024-08-05 16:31:34', NULL), (3911, 22, '511502000000-0001', '翠屏区政务服务中心', 8, 2024, 2, 17, 1, '2024-08-05 16:31:34', NULL), (3912, 22, '511502000000-0001', '翠屏区政务服务中心', 940, 2024, 2, 18, 1, '2024-08-05 16:31:34', NULL), (3913, 22, '511502000000-0001', '翠屏区政务服务中心', 1329, 2024, 2, 19, 1, '2024-08-05 16:31:35', NULL), (3914, 22, '511502000000-0001', '翠屏区政务服务中心', 1166, 2024, 2, 20, 1, '2024-08-05 16:31:35', NULL), (3915, 22, '511502000000-0001', '翠屏区政务服务中心', 1015, 2024, 2, 21, 1, '2024-08-05 16:31:35', NULL), (3916, 22, '511502000000-0001', '翠屏区政务服务中心', 936, 2024, 2, 22, 1, '2024-08-05 16:31:35', NULL), (3917, 22, '511502000000-0001', '翠屏区政务服务中心', 1029, 2024, 2, 23, 1, '2024-08-05 16:31:35', NULL), (3918, 22, '511502000000-0001', '翠屏区政务服务中心', 12, 2024, 2, 24, 1, '2024-08-05 16:31:35', NULL), (3919, 22, '511502000000-0001', '翠屏区政务服务中心', 13, 2024, 2, 25, 1, '2024-08-05 16:31:35', NULL), (3920, 22, '511502000000-0001', '翠屏区政务服务中心', 1462, 2024, 2, 26, 1, '2024-08-05 16:31:35', NULL), (3921, 22, '511502000000-0001', '翠屏区政务服务中心', 1121, 2024, 2, 27, 1, '2024-08-05 16:31:35', NULL), (3922, 22, '511502000000-0001', '翠屏区政务服务中心', 1070, 2024, 2, 28, 1, '2024-08-05 16:31:35', NULL), (3923, 22, '511502000000-0001', '翠屏区政务服务中心', 1036, 2024, 2, 29, 1, '2024-08-05 16:31:35', NULL), (3924, 22, '511502000000-0001', '翠屏区政务服务中心', 1254, 2024, 3, 1, 1, '2024-08-05 16:31:35', NULL), (3925, 22, '511502000000-0001', '翠屏区政务服务中心', 29, 2024, 3, 2, 1, '2024-08-05 16:31:35', NULL), (3926, 22, '511502000000-0001', '翠屏区政务服务中心', 7, 2024, 3, 3, 1, '2024-08-05 16:31:35', NULL), (3927, 22, '511502000000-0001', '翠屏区政务服务中心', 1505, 2024, 3, 4, 1, '2024-08-05 16:31:35', NULL), (3928, 22, '511502000000-0001', '翠屏区政务服务中心', 1178, 2024, 3, 5, 1, '2024-08-05 16:31:36', NULL), (3929, 22, '511502000000-0001', '翠屏区政务服务中心', 1211, 2024, 3, 6, 1, '2024-08-05 16:31:36', NULL), (3930, 22, '511502000000-0001', '翠屏区政务服务中心', 983, 2024, 3, 7, 1, '2024-08-05 16:31:36', NULL), (3931, 22, '511502000000-0001', '翠屏区政务服务中心', 628, 2024, 3, 8, 1, '2024-08-05 16:31:36', NULL), (3932, 22, '511502000000-0001', '翠屏区政务服务中心', 3, 2024, 3, 9, 1, '2024-08-05 16:31:36', NULL), (3933, 22, '511502000000-0001', '翠屏区政务服务中心', 1, 2024, 3, 10, 1, '2024-08-05 16:31:36', NULL), (3934, 22, '511502000000-0001', '翠屏区政务服务中心', 1162, 2024, 3, 11, 1, '2024-08-05 16:31:36', NULL), (3935, 22, '511502000000-0001', '翠屏区政务服务中心', 1257, 2024, 3, 12, 1, '2024-08-05 16:31:36', NULL), (3936, 22, '511502000000-0001', '翠屏区政务服务中心', 1105, 2024, 3, 13, 1, '2024-08-05 16:31:36', NULL), (3937, 22, '511502000000-0001', '翠屏区政务服务中心', 949, 2024, 3, 14, 1, '2024-08-05 16:31:36', NULL), (3938, 22, '511502000000-0001', '翠屏区政务服务中心', 916, 2024, 3, 15, 1, '2024-08-05 16:31:36', NULL), (3939, 22, '511502000000-0001', '翠屏区政务服务中心', 41, 2024, 3, 16, 1, '2024-08-05 16:31:36', NULL), (3940, 22, '511502000000-0001', '翠屏区政务服务中心', 8, 2024, 3, 17, 1, '2024-08-05 16:31:36', NULL), (3941, 22, '511502000000-0001', '翠屏区政务服务中心', 1141, 2024, 3, 18, 1, '2024-08-05 16:31:37', NULL), (3942, 22, '511502000000-0001', '翠屏区政务服务中心', 1100, 2024, 3, 19, 1, '2024-08-05 16:31:37', NULL), (3943, 22, '511502000000-0001', '翠屏区政务服务中心', 964, 2024, 3, 20, 1, '2024-08-05 16:31:37', NULL), (3944, 22, '511502000000-0001', '翠屏区政务服务中心', 965, 2024, 3, 21, 1, '2024-08-05 16:31:37', NULL), (3945, 22, '511502000000-0001', '翠屏区政务服务中心', 993, 2024, 3, 22, 1, '2024-08-05 16:31:37', NULL), (3946, 22, '511502000000-0001', '翠屏区政务服务中心', 56, 2024, 3, 23, 1, '2024-08-05 16:31:37', NULL), (3947, 22, '511502000000-0001', '翠屏区政务服务中心', 20, 2024, 3, 24, 1, '2024-08-05 16:31:37', NULL), (3948, 22, '511502000000-0001', '翠屏区政务服务中心', 1163, 2024, 3, 25, 1, '2024-08-05 16:31:37', NULL), (3949, 22, '511502000000-0001', '翠屏区政务服务中心', 1084, 2024, 3, 26, 1, '2024-08-05 16:31:37', NULL), (3950, 22, '511502000000-0001', '翠屏区政务服务中心', 801, 2024, 3, 27, 1, '2024-08-05 16:31:38', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (3951, 22, '511502000000-0001', '翠屏区政务服务中心', 930, 2024, 3, 28, 1, '2024-08-05 16:31:38', NULL), (3952, 22, '511502000000-0001', '翠屏区政务服务中心', 831, 2024, 3, 29, 1, '2024-08-05 16:31:38', NULL), (3953, 22, '511502000000-0001', '翠屏区政务服务中心', 67, 2024, 3, 30, 1, '2024-08-05 16:31:38', NULL), (3954, 22, '511502000000-0001', '翠屏区政务服务中心', 23, 2024, 3, 31, 1, '2024-08-05 16:31:38', NULL), (3955, 22, '511502000000-0001', '翠屏区政务服务中心', 1265, 2024, 4, 1, 1, '2024-08-05 16:31:39', NULL), (3956, 22, '511502000000-0001', '翠屏区政务服务中心', 1099, 2024, 4, 2, 1, '2024-08-05 16:31:39', NULL), (3957, 22, '511502000000-0001', '翠屏区政务服务中心', 954, 2024, 4, 3, 1, '2024-08-05 16:31:39', NULL), (3958, 22, '511502000000-0001', '翠屏区政务服务中心', 29, 2024, 4, 4, 1, '2024-08-05 16:31:39', NULL), (3959, 22, '511502000000-0001', '翠屏区政务服务中心', 15, 2024, 4, 5, 1, '2024-08-05 16:31:39', NULL), (3960, 22, '511502000000-0001', '翠屏区政务服务中心', 5, 2024, 4, 6, 1, '2024-08-05 16:31:40', NULL), (3961, 22, '511502000000-0001', '翠屏区政务服务中心', 856, 2024, 4, 7, 1, '2024-08-05 16:31:40', NULL), (3962, 22, '511502000000-0001', '翠屏区政务服务中心', 1112, 2024, 4, 8, 1, '2024-08-05 16:31:40', NULL), (3963, 22, '511502000000-0001', '翠屏区政务服务中心', 885, 2024, 4, 9, 1, '2024-08-05 16:31:40', NULL), (3964, 22, '511502000000-0001', '翠屏区政务服务中心', 919, 2024, 4, 10, 1, '2024-08-05 16:31:41', NULL), (3965, 22, '511502000000-0001', '翠屏区政务服务中心', 955, 2024, 4, 11, 1, '2024-08-05 16:31:41', NULL), (3966, 22, '511502000000-0001', '翠屏区政务服务中心', 940, 2024, 4, 12, 1, '2024-08-05 16:31:41', NULL), (3967, 22, '511502000000-0001', '翠屏区政务服务中心', 49, 2024, 4, 13, 1, '2024-08-05 16:31:41', NULL), (3968, 22, '511502000000-0001', '翠屏区政务服务中心', 18, 2024, 4, 14, 1, '2024-08-05 16:31:41', NULL), (3969, 22, '511502000000-0001', '翠屏区政务服务中心', 1084, 2024, 4, 15, 1, '2024-08-05 16:31:42', NULL), (3970, 22, '511502000000-0001', '翠屏区政务服务中心', 1013, 2024, 4, 16, 1, '2024-08-05 16:31:42', NULL), (3971, 22, '511502000000-0001', '翠屏区政务服务中心', 967, 2024, 4, 17, 1, '2024-08-05 16:31:42', NULL), (3972, 22, '511502000000-0001', '翠屏区政务服务中心', 991, 2024, 4, 18, 1, '2024-08-05 16:31:42', NULL), (3973, 22, '511502000000-0001', '翠屏区政务服务中心', 871, 2024, 4, 19, 1, '2024-08-05 16:31:42', NULL), (3974, 22, '511502000000-0001', '翠屏区政务服务中心', 39, 2024, 4, 20, 1, '2024-08-05 16:31:43', NULL), (3975, 22, '511502000000-0001', '翠屏区政务服务中心', 19, 2024, 4, 21, 1, '2024-08-05 16:31:43', NULL), (3976, 22, '511502000000-0001', '翠屏区政务服务中心', 1070, 2024, 4, 22, 1, '2024-08-05 16:31:43', NULL), (3977, 22, '511502000000-0001', '翠屏区政务服务中心', 1052, 2024, 4, 23, 1, '2024-08-05 16:31:43', NULL), (3978, 22, '511502000000-0001', '翠屏区政务服务中心', 880, 2024, 4, 24, 1, '2024-08-05 16:31:44', NULL), (3979, 22, '511502000000-0001', '翠屏区政务服务中心', 1003, 2024, 4, 25, 1, '2024-08-05 16:31:44', NULL), (3980, 22, '511502000000-0001', '翠屏区政务服务中心', 926, 2024, 4, 26, 1, '2024-08-05 16:31:44', NULL), (3981, 22, '511502000000-0001', '翠屏区政务服务中心', 80, 2024, 4, 27, 1, '2024-08-05 16:31:44', NULL), (3982, 22, '511502000000-0001', '翠屏区政务服务中心', 722, 2024, 4, 28, 1, '2024-08-05 16:31:44', NULL), (3983, 22, '511502000000-0001', '翠屏区政务服务中心', 994, 2024, 4, 29, 1, '2024-08-05 16:31:45', NULL), (3984, 22, '511502000000-0001', '翠屏区政务服务中心', 865, 2024, 4, 30, 1, '2024-08-05 16:31:45', NULL), (3985, 22, '511502000000-0001', '翠屏区政务服务中心', 9, 2024, 5, 1, 1, '2024-08-05 16:31:45', NULL), (3986, 22, '511502000000-0001', '翠屏区政务服务中心', 26, 2024, 5, 2, 1, '2024-08-05 16:31:45', NULL), (3987, 22, '511502000000-0001', '翠屏区政务服务中心', 2, 2024, 5, 3, 1, '2024-08-05 16:31:45', NULL), (3988, 22, '511502000000-0001', '翠屏区政务服务中心', 6, 2024, 5, 4, 1, '2024-08-05 16:31:46', NULL), (3989, 22, '511502000000-0001', '翠屏区政务服务中心', 8, 2024, 5, 5, 1, '2024-08-05 16:31:46', NULL), (3990, 22, '511502000000-0001', '翠屏区政务服务中心', 1004, 2024, 5, 6, 1, '2024-08-05 16:31:46', NULL), (3991, 22, '511502000000-0001', '翠屏区政务服务中心', 1095, 2024, 5, 7, 1, '2024-08-05 16:31:46', NULL), (3992, 22, '511502000000-0001', '翠屏区政务服务中心', 834, 2024, 5, 8, 1, '2024-08-05 16:31:47', NULL), (3993, 22, '511502000000-0001', '翠屏区政务服务中心', 943, 2024, 5, 9, 1, '2024-08-05 16:31:47', NULL), (3994, 22, '511502000000-0001', '翠屏区政务服务中心', 872, 2024, 5, 10, 1, '2024-08-05 16:31:47', NULL), (3995, 22, '511502000000-0001', '翠屏区政务服务中心', 480, 2024, 5, 11, 1, '2024-08-05 16:31:47', NULL), (3996, 22, '511502000000-0001', '翠屏区政务服务中心', 12, 2024, 5, 12, 1, '2024-08-05 16:31:47', NULL), (3997, 22, '511502000000-0001', '翠屏区政务服务中心', 1040, 2024, 5, 13, 1, '2024-08-05 16:31:48', NULL), (3998, 22, '511502000000-0001', '翠屏区政务服务中心', 964, 2024, 5, 14, 1, '2024-08-05 16:31:48', NULL), (3999, 22, '511502000000-0001', '翠屏区政务服务中心', 949, 2024, 5, 15, 1, '2024-08-05 16:31:48', NULL), (4000, 22, '511502000000-0001', '翠屏区政务服务中心', 814, 2024, 5, 16, 1, '2024-08-05 16:31:48', NULL), (4001, 22, '511502000000-0001', '翠屏区政务服务中心', 915, 2024, 5, 17, 1, '2024-08-05 16:31:49', NULL), (4002, 22, '511502000000-0001', '翠屏区政务服务中心', 53, 2024, 5, 18, 1, '2024-08-05 16:31:49', NULL), (4003, 22, '511502000000-0001', '翠屏区政务服务中心', 46, 2024, 5, 19, 1, '2024-08-05 16:31:49', NULL), (4004, 22, '511502000000-0001', '翠屏区政务服务中心', 897, 2024, 5, 20, 1, '2024-08-05 16:31:49', NULL), (4005, 22, '511502000000-0001', '翠屏区政务服务中心', 916, 2024, 5, 21, 1, '2024-08-05 16:31:49', NULL), (4006, 22, '511502000000-0001', '翠屏区政务服务中心', 881, 2024, 5, 22, 1, '2024-08-05 16:31:50', NULL), (4007, 22, '511502000000-0001', '翠屏区政务服务中心', 874, 2024, 5, 23, 1, '2024-08-05 16:31:50', NULL), (4008, 22, '511502000000-0001', '翠屏区政务服务中心', 850, 2024, 5, 24, 1, '2024-08-05 16:31:50', NULL), (4009, 22, '511502000000-0001', '翠屏区政务服务中心', 49, 2024, 5, 25, 1, '2024-08-05 16:31:50', NULL), (4010, 22, '511502000000-0001', '翠屏区政务服务中心', 26, 2024, 5, 26, 1, '2024-08-05 16:31:50', NULL), (4011, 22, '511502000000-0001', '翠屏区政务服务中心', 871, 2024, 5, 27, 1, '2024-08-05 16:31:50', NULL), (4012, 22, '511502000000-0001', '翠屏区政务服务中心', 721, 2024, 5, 28, 1, '2024-08-05 16:31:50', NULL), (4013, 22, '511502000000-0001', '翠屏区政务服务中心', 801, 2024, 5, 29, 1, '2024-08-05 16:31:50', NULL), (4014, 22, '511502000000-0001', '翠屏区政务服务中心', 936, 2024, 5, 30, 1, '2024-08-05 16:31:50', NULL), (4015, 22, '511502000000-0001', '翠屏区政务服务中心', 694, 2024, 5, 31, 1, '2024-08-05 16:31:50', NULL), (4016, 22, '511502000000-0001', '翠屏区政务服务中心', 25, 2024, 6, 1, 1, '2024-08-05 16:31:50', NULL), (4017, 22, '511502000000-0001', '翠屏区政务服务中心', 8, 2024, 6, 2, 1, '2024-08-05 16:31:50', NULL), (4018, 22, '511502000000-0001', '翠屏区政务服务中心', 1059, 2024, 6, 3, 1, '2024-08-05 16:31:50', NULL), (4019, 22, '511502000000-0001', '翠屏区政务服务中心', 837, 2024, 6, 4, 1, '2024-08-05 16:31:51', NULL), (4020, 22, '511502000000-0001', '翠屏区政务服务中心', 982, 2024, 6, 5, 1, '2024-08-05 16:31:51', NULL), (4021, 22, '511502000000-0001', '翠屏区政务服务中心', 807, 2024, 6, 6, 1, '2024-08-05 16:31:51', NULL), (4022, 22, '511502000000-0001', '翠屏区政务服务中心', 804, 2024, 6, 7, 1, '2024-08-05 16:31:51', NULL), (4023, 22, '511502000000-0001', '翠屏区政务服务中心', 33, 2024, 6, 8, 1, '2024-08-05 16:31:51', NULL), (4024, 22, '511502000000-0001', '翠屏区政务服务中心', 22, 2024, 6, 9, 1, '2024-08-05 16:31:51', NULL), (4025, 22, '511502000000-0001', '翠屏区政务服务中心', 8, 2024, 6, 10, 1, '2024-08-05 16:31:51', NULL), (4026, 22, '511502000000-0001', '翠屏区政务服务中心', 728, 2024, 6, 11, 1, '2024-08-05 16:31:51', NULL), (4027, 22, '511502000000-0001', '翠屏区政务服务中心', 883, 2024, 6, 12, 1, '2024-08-05 16:31:51', NULL), (4028, 22, '511502000000-0001', '翠屏区政务服务中心', 1115, 2024, 6, 13, 1, '2024-08-05 16:31:51', NULL), (4029, 22, '511502000000-0001', '翠屏区政务服务中心', 1028, 2024, 6, 14, 1, '2024-08-05 16:31:51', NULL), (4030, 22, '511502000000-0001', '翠屏区政务服务中心', 50, 2024, 6, 15, 1, '2024-08-05 16:31:51', NULL), (4031, 22, '511502000000-0001', '翠屏区政务服务中心', 49, 2024, 6, 16, 1, '2024-08-05 16:31:51', NULL), (4032, 22, '511502000000-0001', '翠屏区政务服务中心', 1079, 2024, 6, 17, 1, '2024-08-05 16:31:51', NULL), (4033, 22, '511502000000-0001', '翠屏区政务服务中心', 823, 2024, 6, 18, 1, '2024-08-05 16:31:51', NULL), (4034, 22, '511502000000-0001', '翠屏区政务服务中心', 944, 2024, 6, 19, 1, '2024-08-05 16:31:51', NULL), (4035, 22, '511502000000-0001', '翠屏区政务服务中心', 948, 2024, 6, 20, 1, '2024-08-05 16:31:51', NULL), (4036, 22, '511502000000-0001', '翠屏区政务服务中心', 940, 2024, 6, 21, 1, '2024-08-05 16:31:51', NULL), (4037, 22, '511502000000-0001', '翠屏区政务服务中心', 43, 2024, 6, 22, 1, '2024-08-05 16:31:51', NULL), (4038, 22, '511502000000-0001', '翠屏区政务服务中心', 42, 2024, 6, 23, 1, '2024-08-05 16:31:51', NULL), (4039, 22, '511502000000-0001', '翠屏区政务服务中心', 1337, 2024, 6, 24, 1, '2024-08-05 16:31:52', NULL), (4040, 22, '511502000000-0001', '翠屏区政务服务中心', 1049, 2024, 6, 25, 1, '2024-08-05 16:31:52', NULL), (4041, 22, '511502000000-0001', '翠屏区政务服务中心', 750, 2024, 6, 26, 1, '2024-08-05 16:31:52', NULL), (4042, 22, '511502000000-0001', '翠屏区政务服务中心', 1006, 2024, 6, 27, 1, '2024-08-05 16:31:52', NULL), (4043, 22, '511502000000-0001', '翠屏区政务服务中心', 1058, 2024, 6, 28, 1, '2024-08-05 16:31:52', NULL), (4044, 22, '511502000000-0001', '翠屏区政务服务中心', 76, 2024, 6, 29, 1, '2024-08-05 16:31:52', NULL), (4045, 22, '511502000000-0001', '翠屏区政务服务中心', 151, 2024, 6, 30, 1, '2024-08-05 16:31:52', NULL), (4046, 22, '511502000000-0001', '翠屏区政务服务中心', 1740, 2024, 7, 1, 1, '2024-08-05 16:31:52', NULL), (4047, 22, '511502000000-0001', '翠屏区政务服务中心', 1538, 2024, 7, 2, 1, '2024-08-05 16:31:52', NULL), (4048, 22, '511502000000-0001', '翠屏区政务服务中心', 1748, 2024, 7, 3, 1, '2024-08-05 16:31:52', NULL), (4049, 22, '511502000000-0001', '翠屏区政务服务中心', 1404, 2024, 7, 4, 1, '2024-08-05 16:31:52', NULL), (4050, 22, '511502000000-0001', '翠屏区政务服务中心', 1304, 2024, 7, 5, 1, '2024-08-05 16:31:52', NULL), (4051, 22, '511502000000-0001', '翠屏区政务服务中心', 77, 2024, 7, 6, 1, '2024-08-05 16:31:52', NULL), (4052, 22, '511502000000-0001', '翠屏区政务服务中心', 63, 2024, 7, 7, 1, '2024-08-05 16:31:52', NULL), (4053, 22, '511502000000-0001', '翠屏区政务服务中心', 1629, 2024, 7, 8, 1, '2024-08-05 16:31:52', NULL), (4054, 22, '511502000000-0001', '翠屏区政务服务中心', 1302, 2024, 7, 9, 1, '2024-08-05 16:31:52', NULL), (4055, 22, '511502000000-0001', '翠屏区政务服务中心', 1188, 2024, 7, 10, 1, '2024-08-05 16:31:52', NULL), (4056, 22, '511502000000-0001', '翠屏区政务服务中心', 1167, 2024, 7, 11, 1, '2024-08-05 16:31:52', NULL), (4057, 22, '511502000000-0001', '翠屏区政务服务中心', 1057, 2024, 7, 12, 1, '2024-08-05 16:31:52', NULL), (4058, 22, '511502000000-0001', '翠屏区政务服务中心', 40, 2024, 7, 13, 1, '2024-08-05 16:31:52', NULL), (4059, 22, '511502000000-0001', '翠屏区政务服务中心', 12, 2024, 7, 14, 1, '2024-08-05 16:31:53', NULL), (4060, 22, '511502000000-0001', '翠屏区政务服务中心', 1507, 2024, 7, 15, 1, '2024-08-05 16:31:53', NULL), (4061, 22, '511502000000-0001', '翠屏区政务服务中心', 992, 2024, 7, 16, 1, '2024-08-05 16:31:53', NULL), (4062, 22, '511502000000-0001', '翠屏区政务服务中心', 875, 2024, 7, 17, 1, '2024-08-05 16:31:53', NULL), (4063, 22, '511502000000-0001', '翠屏区政务服务中心', 1017, 2024, 7, 18, 1, '2024-08-05 16:31:53', NULL), (4064, 22, '511502000000-0001', '翠屏区政务服务中心', 982, 2024, 7, 19, 1, '2024-08-05 16:31:53', NULL), (4065, 22, '511502000000-0001', '翠屏区政务服务中心', 49, 2024, 7, 20, 1, '2024-08-05 16:31:53', NULL), (4066, 22, '511502000000-0001', '翠屏区政务服务中心', 14, 2024, 7, 21, 1, '2024-08-05 16:31:53', NULL), (4067, 22, '511502000000-0001', '翠屏区政务服务中心', 1153, 2024, 7, 22, 1, '2024-08-05 16:31:53', NULL), (4068, 22, '511502000000-0001', '翠屏区政务服务中心', 928, 2024, 7, 23, 1, '2024-08-05 16:31:53', NULL), (4069, 22, '511502000000-0001', '翠屏区政务服务中心', 885, 2024, 7, 24, 1, '2024-08-05 16:31:53', NULL), (4070, 22, '511502000000-0001', '翠屏区政务服务中心', 879, 2024, 7, 25, 1, '2024-08-05 16:31:53', NULL), (4071, 22, '511502000000-0001', '翠屏区政务服务中心', 821, 2024, 7, 26, 1, '2024-08-05 16:31:53', NULL), (4072, 22, '511502000000-0001', '翠屏区政务服务中心', 44, 2024, 7, 27, 1, '2024-08-05 16:31:53', NULL), (4073, 22, '511502000000-0001', '翠屏区政务服务中心', 19, 2024, 7, 28, 1, '2024-08-05 16:31:53', NULL), (4074, 22, '511502000000-0001', '翠屏区政务服务中心', 1181, 2024, 7, 29, 1, '2024-08-05 16:31:53', NULL), (4075, 22, '511502000000-0001', '翠屏区政务服务中心', 1028, 2024, 7, 30, 1, '2024-08-05 16:31:53', NULL), (4076, 22, '511502000000-0001', '翠屏区政务服务中心', 954, 2024, 7, 31, 1, '2024-08-05 16:31:53', NULL), (4077, 22, '511502000000-0001', '翠屏区政务服务中心', 883, 2024, 8, 1, 1, '2024-08-05 16:31:53', '2024-08-05 20:13:52'), (4078, 22, '511502000000-0001', '翠屏区政务服务中心', 905, 2024, 8, 2, 1, '2024-08-05 16:31:53', '2024-08-06 02:20:03'), (4079, 22, '511502000000-0001', '翠屏区政务服务中心', 34, 2024, 8, 3, 1, '2024-08-05 16:31:54', '2024-08-07 01:30:01'), (4080, 22, '511502000000-0001', '翠屏区政务服务中心', 18, 2024, 8, 4, 1, '2024-08-05 16:31:54', '2024-08-08 01:30:01'), (4081, 22, '511502000000-0001', '翠屏区政务服务中心', 1356, 2024, 8, 5, 1, '2024-08-05 16:31:54', '2024-08-09 01:30:01'), (4082, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 1, 1, '2024-08-05 16:44:53', NULL), (4083, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 2, 1, '2024-08-05 16:44:53', NULL), (4084, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 3, 1, '2024-08-05 16:44:54', NULL), (4085, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 4, 1, '2024-08-05 16:44:54', NULL), (4086, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 5, 1, '2024-08-05 16:44:54', NULL), (4087, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 6, 1, '2024-08-05 16:44:54', NULL), (4088, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 7, 1, '2024-08-05 16:44:54', NULL), (4089, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 8, 1, '2024-08-05 16:44:54', NULL), (4090, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 9, 1, '2024-08-05 16:44:54', NULL), (4091, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 10, 1, '2024-08-05 16:44:54', NULL), (4092, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 11, 1, '2024-08-05 16:44:54', NULL), (4093, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 12, 1, '2024-08-05 16:44:54', NULL), (4094, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 13, 1, '2024-08-05 16:44:54', NULL), (4095, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 14, 1, '2024-08-05 16:44:54', NULL), (4096, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 15, 1, '2024-08-05 16:44:54', NULL), (4097, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 16, 1, '2024-08-05 16:44:54', NULL), (4098, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 17, 1, '2024-08-05 16:44:54', NULL), (4099, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 18, 1, '2024-08-05 16:44:54', NULL), (4100, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 19, 1, '2024-08-05 16:44:54', NULL), (4101, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 20, 1, '2024-08-05 16:44:54', NULL), (4102, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 21, 1, '2024-08-05 16:44:54', NULL), (4103, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 22, 1, '2024-08-05 16:44:54', NULL), (4104, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 23, 1, '2024-08-05 16:44:54', NULL), (4105, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 24, 1, '2024-08-05 16:44:54', NULL), (4106, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 25, 1, '2024-08-05 16:44:54', NULL), (4107, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 26, 1, '2024-08-05 16:44:54', NULL), (4108, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 27, 1, '2024-08-05 16:44:54', NULL), (4109, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 28, 1, '2024-08-05 16:44:55', NULL), (4110, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 29, 1, '2024-08-05 16:44:55', NULL), (4111, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 30, 1, '2024-08-05 16:44:55', NULL), (4112, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 1, 31, 1, '2024-08-05 16:44:55', NULL), (4113, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 1, 1, '2024-08-05 16:44:55', NULL), (4114, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 2, 1, '2024-08-05 16:44:55', NULL), (4115, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 3, 1, '2024-08-05 16:44:55', NULL), (4116, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 4, 1, '2024-08-05 16:44:55', NULL), (4117, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 5, 1, '2024-08-05 16:44:55', NULL), (4118, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 6, 1, '2024-08-05 16:44:55', NULL), (4119, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 7, 1, '2024-08-05 16:44:55', NULL), (4120, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 8, 1, '2024-08-05 16:44:55', NULL), (4121, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 9, 1, '2024-08-05 16:44:55', NULL), (4122, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 10, 1, '2024-08-05 16:44:55', NULL), (4123, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 11, 1, '2024-08-05 16:44:55', NULL), (4124, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 12, 1, '2024-08-05 16:44:55', NULL), (4125, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 13, 1, '2024-08-05 16:44:55', NULL), (4126, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 14, 1, '2024-08-05 16:44:55', NULL), (4127, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 15, 1, '2024-08-05 16:44:55', NULL), (4128, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 16, 1, '2024-08-05 16:44:55', NULL), (4129, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 17, 1, '2024-08-05 16:44:55', NULL), (4130, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 18, 1, '2024-08-05 16:44:55', NULL), (4131, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 19, 1, '2024-08-05 16:44:55', NULL), (4132, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 20, 1, '2024-08-05 16:44:55', NULL), (4133, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 21, 1, '2024-08-05 16:44:55', NULL), (4134, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 22, 1, '2024-08-05 16:44:55', NULL), (4135, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 23, 1, '2024-08-05 16:44:56', NULL), (4136, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 24, 1, '2024-08-05 16:44:56', NULL), (4137, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 25, 1, '2024-08-05 16:44:56', NULL), (4138, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 26, 1, '2024-08-05 16:44:56', NULL), (4139, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 27, 1, '2024-08-05 16:44:56', NULL), (4140, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 2, 28, 1, '2024-08-05 16:44:56', NULL), (4141, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 1, 1, '2024-08-05 16:44:56', NULL), (4142, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 2, 1, '2024-08-05 16:44:56', NULL), (4143, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 3, 1, '2024-08-05 16:44:56', NULL), (4144, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 4, 1, '2024-08-05 16:44:56', NULL), (4145, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 5, 1, '2024-08-05 16:44:56', NULL), (4146, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 6, 1, '2024-08-05 16:44:56', NULL), (4147, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 7, 1, '2024-08-05 16:44:56', NULL), (4148, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 8, 1, '2024-08-05 16:44:56', NULL), (4149, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 9, 1, '2024-08-05 16:44:56', NULL), (4150, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 10, 1, '2024-08-05 16:44:56', NULL), (4151, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 11, 1, '2024-08-05 16:44:56', NULL), (4152, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 12, 1, '2024-08-05 16:44:56', NULL), (4153, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 13, 1, '2024-08-05 16:44:56', NULL), (4154, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 14, 1, '2024-08-05 16:44:56', NULL), (4155, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 15, 1, '2024-08-05 16:44:56', NULL), (4156, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 16, 1, '2024-08-05 16:44:56', NULL), (4157, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 17, 1, '2024-08-05 16:44:56', NULL), (4158, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 18, 1, '2024-08-05 16:44:57', NULL), (4159, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 19, 1, '2024-08-05 16:44:57', NULL), (4160, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 20, 1, '2024-08-05 16:44:57', NULL), (4161, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 21, 1, '2024-08-05 16:44:57', NULL), (4162, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 22, 1, '2024-08-05 16:44:57', NULL), (4163, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 23, 1, '2024-08-05 16:44:57', NULL), (4164, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 24, 1, '2024-08-05 16:44:57', NULL), (4165, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 25, 1, '2024-08-05 16:44:57', NULL), (4166, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 26, 1, '2024-08-05 16:44:57', NULL), (4167, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 27, 1, '2024-08-05 16:44:57', NULL), (4168, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 28, 1, '2024-08-05 16:44:57', NULL), (4169, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 29, 1, '2024-08-05 16:44:57', NULL), (4170, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 30, 1, '2024-08-05 16:44:57', NULL), (4171, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 3, 31, 1, '2024-08-05 16:44:57', NULL), (4172, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 1, 1, '2024-08-05 16:44:57', NULL), (4173, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 2, 1, '2024-08-05 16:44:57', NULL), (4174, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 3, 1, '2024-08-05 16:44:57', NULL), (4175, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 4, 1, '2024-08-05 16:44:57', NULL), (4176, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 5, 1, '2024-08-05 16:44:57', NULL), (4177, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 6, 1, '2024-08-05 16:44:57', NULL), (4178, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 7, 1, '2024-08-05 16:44:57', NULL), (4179, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 8, 1, '2024-08-05 16:44:57', NULL), (4180, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 9, 1, '2024-08-05 16:44:58', NULL), (4181, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 10, 1, '2024-08-05 16:44:58', NULL), (4182, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 11, 1, '2024-08-05 16:44:58', NULL), (4183, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 12, 1, '2024-08-05 16:44:58', NULL), (4184, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 13, 1, '2024-08-05 16:44:58', NULL), (4185, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 14, 1, '2024-08-05 16:44:58', NULL), (4186, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 15, 1, '2024-08-05 16:44:58', NULL), (4187, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 16, 1, '2024-08-05 16:44:58', NULL), (4188, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 17, 1, '2024-08-05 16:44:58', NULL), (4189, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 18, 1, '2024-08-05 16:44:58', NULL), (4190, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 19, 1, '2024-08-05 16:44:58', NULL), (4191, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 20, 1, '2024-08-05 16:44:58', NULL), (4192, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 21, 1, '2024-08-05 16:44:58', NULL), (4193, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 22, 1, '2024-08-05 16:44:58', NULL), (4194, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 23, 1, '2024-08-05 16:44:58', NULL), (4195, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 24, 1, '2024-08-05 16:44:58', NULL), (4196, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 25, 1, '2024-08-05 16:44:58', NULL), (4197, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 26, 1, '2024-08-05 16:44:58', NULL), (4198, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 27, 1, '2024-08-05 16:44:58', NULL), (4199, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 28, 1, '2024-08-05 16:44:58', NULL), (4200, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 29, 1, '2024-08-05 16:44:58', NULL), (4201, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 4, 30, 1, '2024-08-05 16:44:59', NULL), (4202, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 1, 1, '2024-08-05 16:44:59', NULL), (4203, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 2, 1, '2024-08-05 16:44:59', NULL), (4204, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 3, 1, '2024-08-05 16:44:59', NULL), (4205, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 4, 1, '2024-08-05 16:44:59', NULL), (4206, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 5, 1, '2024-08-05 16:44:59', NULL), (4207, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 6, 1, '2024-08-05 16:44:59', NULL), (4208, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 7, 1, '2024-08-05 16:44:59', NULL), (4209, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 8, 1, '2024-08-05 16:44:59', NULL), (4210, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 9, 1, '2024-08-05 16:44:59', NULL), (4211, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 10, 1, '2024-08-05 16:44:59', NULL), (4212, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 11, 1, '2024-08-05 16:44:59', NULL), (4213, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 12, 1, '2024-08-05 16:44:59', NULL), (4214, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 13, 1, '2024-08-05 16:44:59', NULL), (4215, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 14, 1, '2024-08-05 16:44:59', NULL), (4216, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 15, 1, '2024-08-05 16:44:59', NULL), (4217, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 16, 1, '2024-08-05 16:44:59', NULL), (4218, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 17, 1, '2024-08-05 16:44:59', NULL), (4219, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 18, 1, '2024-08-05 16:44:59', NULL), (4220, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 19, 1, '2024-08-05 16:44:59', NULL), (4221, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 20, 1, '2024-08-05 16:44:59', NULL), (4222, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 21, 1, '2024-08-05 16:44:59', NULL), (4223, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 22, 1, '2024-08-05 16:45:00', NULL), (4224, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 23, 1, '2024-08-05 16:45:00', NULL), (4225, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 24, 1, '2024-08-05 16:45:00', NULL), (4226, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 25, 1, '2024-08-05 16:45:00', NULL), (4227, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 26, 1, '2024-08-05 16:45:00', NULL), (4228, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 27, 1, '2024-08-05 16:45:00', NULL), (4229, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 28, 1, '2024-08-05 16:45:00', NULL), (4230, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 29, 1, '2024-08-05 16:45:00', NULL), (4231, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 30, 1, '2024-08-05 16:45:00', NULL), (4232, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 5, 31, 1, '2024-08-05 16:45:00', NULL), (4233, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 1, 1, '2024-08-05 16:45:00', NULL), (4234, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 2, 1, '2024-08-05 16:45:00', NULL), (4235, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 3, 1, '2024-08-05 16:45:00', NULL), (4236, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 4, 1, '2024-08-05 16:45:00', NULL), (4237, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 5, 1, '2024-08-05 16:45:00', NULL), (4238, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 6, 1, '2024-08-05 16:45:00', NULL), (4239, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 7, 1, '2024-08-05 16:45:00', NULL), (4240, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 8, 1, '2024-08-05 16:45:00', NULL), (4241, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 9, 1, '2024-08-05 16:45:00', NULL), (4242, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 10, 1, '2024-08-05 16:45:00', NULL), (4243, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 11, 1, '2024-08-05 16:45:00', NULL), (4244, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 12, 1, '2024-08-05 16:45:01', NULL), (4245, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 13, 1, '2024-08-05 16:45:01', NULL), (4246, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 14, 1, '2024-08-05 16:45:01', NULL), (4247, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 15, 1, '2024-08-05 16:45:01', NULL), (4248, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 16, 1, '2024-08-05 16:45:01', NULL), (4249, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 17, 1, '2024-08-05 16:45:01', NULL), (4250, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 18, 1, '2024-08-05 16:45:01', NULL), (4251, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 19, 1, '2024-08-05 16:45:01', NULL), (4252, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 20, 1, '2024-08-05 16:45:01', NULL), (4253, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 21, 1, '2024-08-05 16:45:01', NULL), (4254, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 22, 1, '2024-08-05 16:45:01', NULL), (4255, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 23, 1, '2024-08-05 16:45:01', NULL), (4256, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 24, 1, '2024-08-05 16:45:01', NULL), (4257, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 25, 1, '2024-08-05 16:45:01', NULL), (4258, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 26, 1, '2024-08-05 16:45:01', NULL), (4259, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 27, 1, '2024-08-05 16:45:01', NULL), (4260, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 28, 1, '2024-08-05 16:45:01', NULL), (4261, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 29, 1, '2024-08-05 16:45:01', NULL), (4262, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 6, 30, 1, '2024-08-05 16:45:01', NULL), (4263, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 1, 1, '2024-08-05 16:45:01', NULL), (4264, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 2, 1, '2024-08-05 16:45:01', NULL), (4265, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 3, 1, '2024-08-05 16:45:01', NULL), (4266, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 4, 1, '2024-08-05 16:45:02', NULL), (4267, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 5, 1, '2024-08-05 16:45:02', NULL), (4268, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 6, 1, '2024-08-05 16:45:02', NULL), (4269, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 7, 1, '2024-08-05 16:45:02', NULL), (4270, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 8, 1, '2024-08-05 16:45:02', NULL), (4271, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 9, 1, '2024-08-05 16:45:02', NULL), (4272, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 10, 1, '2024-08-05 16:45:02', NULL), (4273, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 11, 1, '2024-08-05 16:45:02', NULL), (4274, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 12, 1, '2024-08-05 16:45:02', NULL), (4275, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 13, 1, '2024-08-05 16:45:02', NULL), (4276, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 14, 1, '2024-08-05 16:45:02', NULL), (4277, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 15, 1, '2024-08-05 16:45:02', NULL), (4278, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 16, 1, '2024-08-05 16:45:02', NULL), (4279, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 17, 1, '2024-08-05 16:45:02', NULL), (4280, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 18, 1, '2024-08-05 16:45:02', NULL), (4281, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 19, 1, '2024-08-05 16:45:02', NULL), (4282, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 20, 1, '2024-08-05 16:45:02', NULL), (4283, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 21, 1, '2024-08-05 16:45:02', NULL), (4284, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 22, 1, '2024-08-05 16:45:02', NULL), (4285, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 23, 1, '2024-08-05 16:45:02', NULL), (4286, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 24, 1, '2024-08-05 16:45:03', NULL), (4287, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 25, 1, '2024-08-05 16:45:03', NULL), (4288, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 26, 1, '2024-08-05 16:45:03', NULL), (4289, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 27, 1, '2024-08-05 16:45:03', NULL), (4290, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 28, 1, '2024-08-05 16:45:03', NULL), (4291, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 29, 1, '2024-08-05 16:45:03', NULL), (4292, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 30, 1, '2024-08-05 16:45:03', NULL), (4293, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 7, 31, 1, '2024-08-05 16:45:03', NULL), (4294, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 1, 1, '2024-08-05 16:45:03', NULL), (4295, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 2, 1, '2024-08-05 16:45:03', NULL), (4296, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 3, 1, '2024-08-05 16:45:03', NULL), (4297, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 4, 1, '2024-08-05 16:45:03', NULL), (4298, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 5, 1, '2024-08-05 16:45:03', NULL), (4299, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 6, 1, '2024-08-05 16:45:03', NULL), (4300, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 7, 1, '2024-08-05 16:45:03', NULL), (4301, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 8, 1, '2024-08-05 16:45:03', NULL), (4302, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 9, 1, '2024-08-05 16:45:03', NULL), (4303, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 10, 1, '2024-08-05 16:45:03', NULL), (4304, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 11, 1, '2024-08-05 16:45:03', NULL), (4305, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 12, 1, '2024-08-05 16:45:03', NULL), (4306, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 13, 1, '2024-08-05 16:45:03', NULL), (4307, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 14, 1, '2024-08-05 16:45:04', NULL), (4308, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 15, 1, '2024-08-05 16:45:04', NULL), (4309, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 16, 1, '2024-08-05 16:45:04', NULL), (4310, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 17, 1, '2024-08-05 16:45:04', NULL), (4311, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 18, 1, '2024-08-05 16:45:04', NULL), (4312, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 19, 1, '2024-08-05 16:45:04', NULL), (4313, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 20, 1, '2024-08-05 16:45:04', NULL), (4314, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 21, 1, '2024-08-05 16:45:04', NULL), (4315, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 22, 1, '2024-08-05 16:45:04', NULL), (4316, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 23, 1, '2024-08-05 16:45:04', NULL), (4317, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 24, 1, '2024-08-05 16:45:04', NULL), (4318, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 25, 1, '2024-08-05 16:45:04', NULL), (4319, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 26, 1, '2024-08-05 16:45:04', NULL), (4320, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 27, 1, '2024-08-05 16:45:04', NULL), (4321, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 28, 1, '2024-08-05 16:45:04', NULL), (4322, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 29, 1, '2024-08-05 16:45:04', NULL), (4323, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 30, 1, '2024-08-05 16:45:04', NULL), (4324, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 8, 31, 1, '2024-08-05 16:45:04', NULL), (4325, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 1, 1, '2024-08-05 16:45:04', NULL), (4326, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 2, 1, '2024-08-05 16:45:04', NULL), (4327, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 3, 1, '2024-08-05 16:45:04', NULL), (4328, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 4, 1, '2024-08-05 16:45:04', NULL), (4329, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 5, 1, '2024-08-05 16:45:04', NULL), (4330, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 6, 1, '2024-08-05 16:45:04', NULL), (4331, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 7, 1, '2024-08-05 16:45:04', NULL), (4332, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 8, 1, '2024-08-05 16:45:05', NULL), (4333, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 9, 1, '2024-08-05 16:45:05', NULL), (4334, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 10, 1, '2024-08-05 16:45:05', NULL), (4335, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 11, 1, '2024-08-05 16:45:05', NULL), (4336, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 12, 1, '2024-08-05 16:45:05', NULL), (4337, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 13, 1, '2024-08-05 16:45:05', NULL), (4338, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 14, 1, '2024-08-05 16:45:05', NULL), (4339, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 15, 1, '2024-08-05 16:45:05', NULL), (4340, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 16, 1, '2024-08-05 16:45:05', NULL), (4341, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 17, 1, '2024-08-05 16:45:05', NULL), (4342, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 18, 1, '2024-08-05 16:45:05', NULL), (4343, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 19, 1, '2024-08-05 16:45:05', NULL), (4344, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 20, 1, '2024-08-05 16:45:05', NULL), (4345, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 21, 1, '2024-08-05 16:45:05', NULL), (4346, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 22, 1, '2024-08-05 16:45:05', NULL), (4347, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 23, 1, '2024-08-05 16:45:05', NULL), (4348, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 24, 1, '2024-08-05 16:45:05', NULL), (4349, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 25, 1, '2024-08-05 16:45:05', NULL), (4350, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 26, 1, '2024-08-05 16:45:05', NULL), (4351, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 27, 1, '2024-08-05 16:45:05', NULL), (4352, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 28, 1, '2024-08-05 16:45:05', NULL), (4353, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 29, 1, '2024-08-05 16:45:05', NULL), (4354, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 9, 30, 1, '2024-08-05 16:45:05', NULL), (4355, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 1, 1, '2024-08-05 16:45:05', NULL), (4356, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 2, 1, '2024-08-05 16:45:05', NULL), (4357, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 3, 1, '2024-08-05 16:45:05', NULL), (4358, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 4, 1, '2024-08-05 16:45:05', NULL), (4359, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 5, 1, '2024-08-05 16:45:05', NULL), (4360, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 6, 1, '2024-08-05 16:45:05', NULL), (4361, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 7, 1, '2024-08-05 16:45:05', NULL), (4362, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 8, 1, '2024-08-05 16:45:05', NULL), (4363, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 9, 1, '2024-08-05 16:45:05', NULL), (4364, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 10, 1, '2024-08-05 16:45:05', NULL), (4365, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 11, 1, '2024-08-05 16:45:06', NULL), (4366, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 12, 1, '2024-08-05 16:45:06', NULL), (4367, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 13, 1, '2024-08-05 16:45:06', NULL), (4368, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 14, 1, '2024-08-05 16:45:06', NULL), (4369, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 15, 1, '2024-08-05 16:45:06', NULL), (4370, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 16, 1, '2024-08-05 16:45:06', NULL), (4371, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 17, 1, '2024-08-05 16:45:06', NULL), (4372, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 18, 1, '2024-08-05 16:45:06', NULL), (4373, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 19, 1, '2024-08-05 16:45:06', NULL), (4374, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 20, 1, '2024-08-05 16:45:06', NULL), (4375, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 21, 1, '2024-08-05 16:45:06', NULL), (4376, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 22, 1, '2024-08-05 16:45:06', NULL), (4377, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 23, 1, '2024-08-05 16:45:06', NULL), (4378, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 24, 1, '2024-08-05 16:45:06', NULL), (4379, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 25, 1, '2024-08-05 16:45:06', NULL), (4380, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 26, 1, '2024-08-05 16:45:06', NULL), (4381, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 27, 1, '2024-08-05 16:45:06', NULL), (4382, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 28, 1, '2024-08-05 16:45:06', NULL), (4383, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 29, 1, '2024-08-05 16:45:06', NULL), (4384, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 30, 1, '2024-08-05 16:45:06', NULL), (4385, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 10, 31, 1, '2024-08-05 16:45:06', NULL), (4386, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 1, 1, '2024-08-05 16:45:06', NULL), (4387, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 2, 1, '2024-08-05 16:45:06', NULL), (4388, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 3, 1, '2024-08-05 16:45:06', NULL), (4389, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 4, 1, '2024-08-05 16:45:06', NULL), (4390, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 5, 1, '2024-08-05 16:45:06', NULL), (4391, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 6, 1, '2024-08-05 16:45:06', NULL), (4392, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 7, 1, '2024-08-05 16:45:06', NULL), (4393, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 8, 1, '2024-08-05 16:45:06', NULL), (4394, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 9, 1, '2024-08-05 16:45:06', NULL), (4395, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 10, 1, '2024-08-05 16:45:06', NULL), (4396, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 11, 1, '2024-08-05 16:45:06', NULL), (4397, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 12, 1, '2024-08-05 16:45:06', NULL), (4398, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 13, 1, '2024-08-05 16:45:06', NULL), (4399, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 14, 1, '2024-08-05 16:45:06', NULL), (4400, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 15, 1, '2024-08-05 16:45:07', NULL), (4401, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 16, 1, '2024-08-05 16:45:07', NULL), (4402, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 17, 1, '2024-08-05 16:45:07', NULL), (4403, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 18, 1, '2024-08-05 16:45:07', NULL), (4404, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 19, 1, '2024-08-05 16:45:07', NULL), (4405, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 20, 1, '2024-08-05 16:45:07', NULL), (4406, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 21, 1, '2024-08-05 16:45:07', NULL), (4407, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 22, 1, '2024-08-05 16:45:07', NULL), (4408, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 23, 1, '2024-08-05 16:45:07', NULL), (4409, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 24, 1, '2024-08-05 16:45:07', NULL), (4410, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 25, 1, '2024-08-05 16:45:07', NULL), (4411, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 26, 1, '2024-08-05 16:45:07', NULL), (4412, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 27, 1, '2024-08-05 16:45:07', NULL), (4413, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 28, 1, '2024-08-05 16:45:07', NULL), (4414, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 29, 1, '2024-08-05 16:45:07', NULL), (4415, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 11, 30, 1, '2024-08-05 16:45:07', NULL), (4416, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 12, 1, 1, '2024-08-05 16:45:07', NULL), (4417, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 12, 2, 1, '2024-08-05 16:45:07', NULL), (4418, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 12, 3, 1, '2024-08-05 16:45:07', NULL), (4419, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 12, 4, 1, '2024-08-05 16:45:07', NULL), (4420, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 12, 5, 1, '2024-08-05 16:45:07', NULL), (4421, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 12, 6, 1, '2024-08-05 16:45:07', NULL), (4422, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 12, 7, 1, '2024-08-05 16:45:07', NULL), (4423, 23, '511503003999-0001', '仙源街道办事处', 11, 2023, 12, 8, 1, '2024-08-05 16:45:08', NULL), (4424, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 12, 9, 1, '2024-08-05 16:45:08', NULL), (4425, 23, '511503003999-0001', '仙源街道办事处', 2, 2023, 12, 10, 1, '2024-08-05 16:45:08', NULL), (4426, 23, '511503003999-0001', '仙源街道办事处', 29, 2023, 12, 11, 1, '2024-08-05 16:45:08', NULL), (4427, 23, '511503003999-0001', '仙源街道办事处', 16, 2023, 12, 12, 1, '2024-08-05 16:45:08', NULL), (4428, 23, '511503003999-0001', '仙源街道办事处', 8, 2023, 12, 13, 1, '2024-08-05 16:45:08', NULL), (4429, 23, '511503003999-0001', '仙源街道办事处', 14, 2023, 12, 14, 1, '2024-08-05 16:45:08', NULL), (4430, 23, '511503003999-0001', '仙源街道办事处', 15, 2023, 12, 15, 1, '2024-08-05 16:45:08', NULL), (4431, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 12, 16, 1, '2024-08-05 16:45:08', NULL), (4432, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 12, 17, 1, '2024-08-05 16:45:08', NULL), (4433, 23, '511503003999-0001', '仙源街道办事处', 10, 2023, 12, 18, 1, '2024-08-05 16:45:08', NULL), (4434, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 12, 19, 1, '2024-08-05 16:45:08', NULL), (4435, 23, '511503003999-0001', '仙源街道办事处', 13, 2023, 12, 20, 1, '2024-08-05 16:45:08', NULL), (4436, 23, '511503003999-0001', '仙源街道办事处', 15, 2023, 12, 21, 1, '2024-08-05 16:45:08', NULL), (4437, 23, '511503003999-0001', '仙源街道办事处', 5, 2023, 12, 22, 1, '2024-08-05 16:45:08', NULL), (4438, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 12, 23, 1, '2024-08-05 16:45:08', NULL), (4439, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 12, 24, 1, '2024-08-05 16:45:08', NULL), (4440, 23, '511503003999-0001', '仙源街道办事处', 2, 2023, 12, 25, 1, '2024-08-05 16:45:08', NULL), (4441, 23, '511503003999-0001', '仙源街道办事处', 5, 2023, 12, 26, 1, '2024-08-05 16:45:08', NULL), (4442, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 12, 27, 1, '2024-08-05 16:45:08', NULL), (4443, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 12, 28, 1, '2024-08-05 16:45:08', NULL), (4444, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 12, 29, 1, '2024-08-05 16:45:08', NULL), (4445, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 12, 30, 1, '2024-08-05 16:45:09', NULL), (4446, 23, '511503003999-0001', '仙源街道办事处', 0, 2023, 12, 31, 1, '2024-08-05 16:45:09', NULL), (4447, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 1, 1, 1, '2024-08-05 16:45:09', NULL), (4448, 23, '511503003999-0001', '仙源街道办事处', 10, 2024, 1, 2, 1, '2024-08-05 16:45:09', NULL), (4449, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 1, 3, 1, '2024-08-05 16:45:09', NULL), (4450, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 1, 4, 1, '2024-08-05 16:45:09', NULL), (4451, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 1, 5, 1, '2024-08-05 16:45:09', NULL), (4452, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 1, 6, 1, '2024-08-05 16:45:09', NULL), (4453, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 1, 7, 1, '2024-08-05 16:45:09', NULL), (4454, 23, '511503003999-0001', '仙源街道办事处', 5, 2024, 1, 8, 1, '2024-08-05 16:45:09', NULL), (4455, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 1, 9, 1, '2024-08-05 16:45:09', NULL), (4456, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 1, 10, 1, '2024-08-05 16:45:09', NULL), (4457, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 1, 11, 1, '2024-08-05 16:45:09', NULL), (4458, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 1, 12, 1, '2024-08-05 16:45:09', NULL), (4459, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 1, 13, 1, '2024-08-05 16:45:09', NULL), (4460, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 1, 14, 1, '2024-08-05 16:45:09', NULL), (4461, 23, '511503003999-0001', '仙源街道办事处', 6, 2024, 1, 15, 1, '2024-08-05 16:45:09', NULL), (4462, 23, '511503003999-0001', '仙源街道办事处', 10, 2024, 1, 16, 1, '2024-08-05 16:45:09', NULL), (4463, 23, '511503003999-0001', '仙源街道办事处', 6, 2024, 1, 17, 1, '2024-08-05 16:45:09', NULL), (4464, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 1, 18, 1, '2024-08-05 16:45:10', NULL), (4465, 23, '511503003999-0001', '仙源街道办事处', 4, 2024, 1, 19, 1, '2024-08-05 16:45:10', NULL), (4466, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 1, 20, 1, '2024-08-05 16:45:10', NULL), (4467, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 1, 21, 1, '2024-08-05 16:45:10', NULL), (4468, 23, '511503003999-0001', '仙源街道办事处', 5, 2024, 1, 22, 1, '2024-08-05 16:45:10', NULL), (4469, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 1, 23, 1, '2024-08-05 16:45:10', NULL), (4470, 23, '511503003999-0001', '仙源街道办事处', 15, 2024, 1, 24, 1, '2024-08-05 16:45:10', NULL), (4471, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 1, 25, 1, '2024-08-05 16:45:10', NULL), (4472, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 1, 26, 1, '2024-08-05 16:45:10', NULL), (4473, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 1, 27, 1, '2024-08-05 16:45:10', NULL), (4474, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 1, 28, 1, '2024-08-05 16:45:10', NULL), (4475, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 1, 29, 1, '2024-08-05 16:45:10', NULL), (4476, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 1, 30, 1, '2024-08-05 16:45:10', NULL), (4477, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 1, 31, 1, '2024-08-05 16:45:10', NULL), (4478, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 1, 1, '2024-08-05 16:45:10', NULL), (4479, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 2, 2, 1, '2024-08-05 16:45:10', NULL), (4480, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 3, 1, '2024-08-05 16:45:10', NULL), (4481, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 4, 1, '2024-08-05 16:45:10', NULL), (4482, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 5, 1, '2024-08-05 16:45:11', NULL), (4483, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 2, 6, 1, '2024-08-05 16:45:11', NULL), (4484, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 2, 7, 1, '2024-08-05 16:45:11', NULL), (4485, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 2, 8, 1, '2024-08-05 16:45:11', NULL), (4486, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 9, 1, '2024-08-05 16:45:11', NULL), (4487, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 10, 1, '2024-08-05 16:45:11', NULL), (4488, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 11, 1, '2024-08-05 16:45:11', NULL), (4489, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 12, 1, '2024-08-05 16:45:11', NULL), (4490, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 13, 1, '2024-08-05 16:45:11', NULL), (4491, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 14, 1, '2024-08-05 16:45:11', NULL), (4492, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 15, 1, '2024-08-05 16:45:11', NULL), (4493, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 16, 1, '2024-08-05 16:45:11', NULL), (4494, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 17, 1, '2024-08-05 16:45:11', NULL), (4495, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 2, 18, 1, '2024-08-05 16:45:11', NULL), (4496, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 19, 1, '2024-08-05 16:45:11', NULL), (4497, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 2, 20, 1, '2024-08-05 16:45:11', NULL), (4498, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 2, 21, 1, '2024-08-05 16:45:11', NULL), (4499, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 2, 22, 1, '2024-08-05 16:45:11', NULL), (4500, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 23, 1, '2024-08-05 16:45:12', NULL), (4501, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 24, 1, '2024-08-05 16:45:12', NULL), (4502, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 25, 1, '2024-08-05 16:45:12', NULL), (4503, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 2, 26, 1, '2024-08-05 16:45:12', NULL), (4504, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 27, 1, '2024-08-05 16:45:12', NULL), (4505, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 2, 28, 1, '2024-08-05 16:45:12', NULL), (4506, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 2, 29, 1, '2024-08-05 16:45:12', NULL), (4507, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 1, 1, '2024-08-05 16:45:12', NULL), (4508, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 2, 1, '2024-08-05 16:45:12', NULL), (4509, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 3, 1, '2024-08-05 16:45:12', NULL), (4510, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 3, 4, 1, '2024-08-05 16:45:12', NULL), (4511, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 5, 1, '2024-08-05 16:45:12', NULL), (4512, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 6, 1, '2024-08-05 16:45:12', NULL), (4513, 23, '511503003999-0001', '仙源街道办事处', 4, 2024, 3, 7, 1, '2024-08-05 16:45:12', NULL), (4514, 23, '511503003999-0001', '仙源街道办事处', 9, 2024, 3, 8, 1, '2024-08-05 16:45:12', NULL), (4515, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 9, 1, '2024-08-05 16:45:13', NULL), (4516, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 10, 1, '2024-08-05 16:45:13', NULL), (4517, 23, '511503003999-0001', '仙源街道办事处', 6, 2024, 3, 11, 1, '2024-08-05 16:45:13', NULL), (4518, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 12, 1, '2024-08-05 16:45:13', NULL), (4519, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 13, 1, '2024-08-05 16:45:13', NULL), (4520, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 14, 1, '2024-08-05 16:45:13', NULL), (4521, 23, '511503003999-0001', '仙源街道办事处', 3, 2024, 3, 15, 1, '2024-08-05 16:45:13', NULL), (4522, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 16, 1, '2024-08-05 16:45:13', NULL), (4523, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 17, 1, '2024-08-05 16:45:13', NULL), (4524, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 3, 18, 1, '2024-08-05 16:45:13', NULL), (4525, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 19, 1, '2024-08-05 16:45:13', NULL), (4526, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 3, 20, 1, '2024-08-05 16:45:13', NULL), (4527, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 3, 21, 1, '2024-08-05 16:45:13', NULL), (4528, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 3, 22, 1, '2024-08-05 16:45:13', NULL), (4529, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 23, 1, '2024-08-05 16:45:13', NULL), (4530, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 24, 1, '2024-08-05 16:45:14', NULL), (4531, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 25, 1, '2024-08-05 16:45:14', NULL), (4532, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 26, 1, '2024-08-05 16:45:14', NULL), (4533, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 3, 27, 1, '2024-08-05 16:45:14', NULL), (4534, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 28, 1, '2024-08-05 16:45:14', NULL), (4535, 23, '511503003999-0001', '仙源街道办事处', 5, 2024, 3, 29, 1, '2024-08-05 16:45:14', NULL), (4536, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 30, 1, '2024-08-05 16:45:14', NULL), (4537, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 3, 31, 1, '2024-08-05 16:45:14', NULL), (4538, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 1, 1, '2024-08-05 16:45:14', NULL), (4539, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 4, 2, 1, '2024-08-05 16:45:14', NULL), (4540, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 3, 1, '2024-08-05 16:45:14', NULL), (4541, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 4, 1, '2024-08-05 16:45:14', NULL), (4542, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 5, 1, '2024-08-05 16:45:14', NULL), (4543, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 6, 1, '2024-08-05 16:45:15', NULL), (4544, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 7, 1, '2024-08-05 16:45:15', NULL), (4545, 23, '511503003999-0001', '仙源街道办事处', 5, 2024, 4, 8, 1, '2024-08-05 16:45:15', NULL), (4546, 23, '511503003999-0001', '仙源街道办事处', 4, 2024, 4, 9, 1, '2024-08-05 16:45:15', NULL), (4547, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 4, 10, 1, '2024-08-05 16:45:15', NULL), (4548, 23, '511503003999-0001', '仙源街道办事处', 5, 2024, 4, 11, 1, '2024-08-05 16:45:15', NULL), (4549, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 12, 1, '2024-08-05 16:45:15', NULL), (4550, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 13, 1, '2024-08-05 16:45:15', NULL), (4551, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 14, 1, '2024-08-05 16:45:15', NULL), (4552, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 15, 1, '2024-08-05 16:45:15', NULL), (4553, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 4, 16, 1, '2024-08-05 16:45:15', NULL), (4554, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 4, 17, 1, '2024-08-05 16:45:16', NULL), (4555, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 18, 1, '2024-08-05 16:45:16', NULL), (4556, 23, '511503003999-0001', '仙源街道办事处', 4, 2024, 4, 19, 1, '2024-08-05 16:45:16', NULL), (4557, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 20, 1, '2024-08-05 16:45:16', NULL), (4558, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 21, 1, '2024-08-05 16:45:16', NULL), (4559, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 4, 22, 1, '2024-08-05 16:45:16', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (4560, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 23, 1, '2024-08-05 16:45:16', NULL), (4561, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 24, 1, '2024-08-05 16:45:16', NULL), (4562, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 25, 1, '2024-08-05 16:45:16', NULL), (4563, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 4, 26, 1, '2024-08-05 16:45:16', NULL), (4564, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 27, 1, '2024-08-05 16:45:16', NULL), (4565, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 28, 1, '2024-08-05 16:45:17', NULL), (4566, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 4, 29, 1, '2024-08-05 16:45:17', NULL), (4567, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 4, 30, 1, '2024-08-05 16:45:17', NULL), (4568, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 1, 1, '2024-08-05 16:45:17', NULL), (4569, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 2, 1, '2024-08-05 16:45:17', NULL), (4570, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 3, 1, '2024-08-05 16:45:17', NULL), (4571, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 4, 1, '2024-08-05 16:45:17', NULL), (4572, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 5, 1, '2024-08-05 16:45:17', NULL), (4573, 23, '511503003999-0001', '仙源街道办事处', 8, 2024, 5, 6, 1, '2024-08-05 16:45:17', NULL), (4574, 23, '511503003999-0001', '仙源街道办事处', 4, 2024, 5, 7, 1, '2024-08-05 16:45:17', NULL), (4575, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 5, 8, 1, '2024-08-05 16:45:17', NULL), (4576, 23, '511503003999-0001', '仙源街道办事处', 3, 2024, 5, 9, 1, '2024-08-05 16:45:18', NULL), (4577, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 5, 10, 1, '2024-08-05 16:45:18', NULL), (4578, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 11, 1, '2024-08-05 16:45:18', NULL), (4579, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 12, 1, '2024-08-05 16:45:18', NULL), (4580, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 13, 1, '2024-08-05 16:45:18', NULL), (4581, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 14, 1, '2024-08-05 16:45:18', NULL), (4582, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 15, 1, '2024-08-05 16:45:18', NULL), (4583, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 16, 1, '2024-08-05 16:45:18', NULL), (4584, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 5, 17, 1, '2024-08-05 16:45:18', NULL), (4585, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 18, 1, '2024-08-05 16:45:18', NULL), (4586, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 19, 1, '2024-08-05 16:45:19', NULL), (4587, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 5, 20, 1, '2024-08-05 16:45:19', NULL), (4588, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 21, 1, '2024-08-05 16:45:19', NULL), (4589, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 22, 1, '2024-08-05 16:45:19', NULL), (4590, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 23, 1, '2024-08-05 16:45:19', NULL), (4591, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 24, 1, '2024-08-05 16:45:19', NULL), (4592, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 25, 1, '2024-08-05 16:45:19', NULL), (4593, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 26, 1, '2024-08-05 16:45:19', NULL), (4594, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 27, 1, '2024-08-05 16:45:19', NULL), (4595, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 28, 1, '2024-08-05 16:45:19', NULL), (4596, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 29, 1, '2024-08-05 16:45:19', NULL), (4597, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 5, 30, 1, '2024-08-05 16:45:20', NULL), (4598, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 5, 31, 1, '2024-08-05 16:45:20', NULL), (4599, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 1, 1, '2024-08-05 16:45:20', NULL), (4600, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 2, 1, '2024-08-05 16:45:20', NULL), (4601, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 3, 1, '2024-08-05 16:45:20', NULL), (4602, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 4, 1, '2024-08-05 16:45:20', NULL), (4603, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 5, 1, '2024-08-05 16:45:20', NULL), (4604, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 6, 6, 1, '2024-08-05 16:45:20', NULL), (4605, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 7, 1, '2024-08-05 16:45:20', NULL), (4606, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 8, 1, '2024-08-05 16:45:20', NULL), (4607, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 9, 1, '2024-08-05 16:45:20', NULL), (4608, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 10, 1, '2024-08-05 16:45:21', NULL), (4609, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 6, 11, 1, '2024-08-05 16:45:21', NULL), (4610, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 6, 12, 1, '2024-08-05 16:45:21', NULL), (4611, 23, '511503003999-0001', '仙源街道办事处', 5, 2024, 6, 13, 1, '2024-08-05 16:45:21', NULL), (4612, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 14, 1, '2024-08-05 16:45:21', NULL), (4613, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 15, 1, '2024-08-05 16:45:21', NULL), (4614, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 16, 1, '2024-08-05 16:45:21', NULL), (4615, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 17, 1, '2024-08-05 16:45:21', NULL), (4616, 23, '511503003999-0001', '仙源街道办事处', 8, 2024, 6, 18, 1, '2024-08-05 16:45:21', NULL), (4617, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 19, 1, '2024-08-05 16:45:21', NULL), (4618, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 20, 1, '2024-08-05 16:45:21', NULL), (4619, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 21, 1, '2024-08-05 16:45:22', NULL), (4620, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 22, 1, '2024-08-05 16:45:22', NULL), (4621, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 23, 1, '2024-08-05 16:45:22', NULL), (4622, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 24, 1, '2024-08-05 16:45:22', NULL), (4623, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 25, 1, '2024-08-05 16:45:22', NULL), (4624, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 6, 26, 1, '2024-08-05 16:45:22', NULL), (4625, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 27, 1, '2024-08-05 16:45:22', NULL), (4626, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 28, 1, '2024-08-05 16:45:22', NULL), (4627, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 29, 1, '2024-08-05 16:45:22', NULL), (4628, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 6, 30, 1, '2024-08-05 16:45:22', NULL), (4629, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 1, 1, '2024-08-05 16:45:22', NULL), (4630, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 2, 1, '2024-08-05 16:45:23', NULL), (4631, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 3, 1, '2024-08-05 16:45:23', NULL), (4632, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 4, 1, '2024-08-05 16:45:23', NULL), (4633, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 5, 1, '2024-08-05 16:45:23', NULL), (4634, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 6, 1, '2024-08-05 16:45:23', NULL), (4635, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 7, 1, '2024-08-05 16:45:23', NULL), (4636, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 8, 1, '2024-08-05 16:45:23', NULL), (4637, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 9, 1, '2024-08-05 16:45:23', NULL), (4638, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 10, 1, '2024-08-05 16:45:23', NULL), (4639, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 11, 1, '2024-08-05 16:45:23', NULL), (4640, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 7, 12, 1, '2024-08-05 16:45:23', NULL), (4641, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 13, 1, '2024-08-05 16:45:24', NULL), (4642, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 14, 1, '2024-08-05 16:45:24', NULL), (4643, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 7, 15, 1, '2024-08-05 16:45:24', NULL), (4644, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 16, 1, '2024-08-05 16:45:24', NULL), (4645, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 17, 1, '2024-08-05 16:45:24', NULL), (4646, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 18, 1, '2024-08-05 16:45:24', NULL), (4647, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 19, 1, '2024-08-05 16:45:24', NULL), (4648, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 20, 1, '2024-08-05 16:45:24', NULL), (4649, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 21, 1, '2024-08-05 16:45:24', NULL), (4650, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 7, 22, 1, '2024-08-05 16:45:24', NULL), (4651, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 23, 1, '2024-08-05 16:45:25', NULL), (4652, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 24, 1, '2024-08-05 16:45:25', NULL), (4653, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 25, 1, '2024-08-05 16:45:25', NULL), (4654, 23, '511503003999-0001', '仙源街道办事处', 1, 2024, 7, 26, 1, '2024-08-05 16:45:25', NULL), (4655, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 27, 1, '2024-08-05 16:45:25', NULL), (4656, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 28, 1, '2024-08-05 16:45:25', NULL), (4657, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 7, 29, 1, '2024-08-05 16:45:25', NULL), (4658, 23, '511503003999-0001', '仙源街道办事处', 7, 2024, 7, 30, 1, '2024-08-05 16:45:25', NULL), (4659, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 7, 31, 1, '2024-08-05 16:45:25', NULL), (4660, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 8, 1, 1, '2024-08-05 16:45:25', '2024-08-05 20:14:11'), (4661, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 2, 1, '2024-08-05 16:45:25', '2024-08-06 02:20:03'), (4662, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 3, 1, '2024-08-05 16:45:26', '2024-08-07 01:30:01'), (4663, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 4, 1, '2024-08-05 16:45:26', '2024-08-08 01:30:01'), (4664, 23, '511503003999-0001', '仙源街道办事处', 3, 2024, 8, 5, 1, '2024-08-05 16:45:26', '2024-08-09 01:30:02'), (4665, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 1, 1, '2024-08-05 17:00:28', NULL), (4666, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 2, 1, '2024-08-05 17:00:28', NULL), (4667, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 3, 1, '2024-08-05 17:00:28', NULL), (4668, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 4, 1, '2024-08-05 17:00:29', NULL), (4669, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 5, 1, '2024-08-05 17:00:29', NULL), (4670, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 6, 1, '2024-08-05 17:00:29', NULL), (4671, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 7, 1, '2024-08-05 17:00:29', NULL), (4672, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 8, 1, '2024-08-05 17:00:29', NULL), (4673, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 9, 1, '2024-08-05 17:00:29', NULL), (4674, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 10, 1, '2024-08-05 17:00:29', NULL), (4675, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 11, 1, '2024-08-05 17:00:29', NULL), (4676, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 12, 1, '2024-08-05 17:00:29', NULL), (4677, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 13, 1, '2024-08-05 17:00:29', NULL), (4678, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 14, 1, '2024-08-05 17:00:29', NULL), (4679, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 15, 1, '2024-08-05 17:00:29', NULL), (4680, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 16, 1, '2024-08-05 17:00:29', NULL), (4681, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 17, 1, '2024-08-05 17:00:29', NULL), (4682, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 18, 1, '2024-08-05 17:00:29', NULL), (4683, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 19, 1, '2024-08-05 17:00:29', NULL), (4684, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 20, 1, '2024-08-05 17:00:29', NULL), (4685, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 21, 1, '2024-08-05 17:00:29', NULL), (4686, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 22, 1, '2024-08-05 17:00:29', NULL), (4687, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 23, 1, '2024-08-05 17:00:30', NULL), (4688, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 24, 1, '2024-08-05 17:00:30', NULL), (4689, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 25, 1, '2024-08-05 17:00:30', NULL), (4690, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 26, 1, '2024-08-05 17:00:30', NULL), (4691, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 27, 1, '2024-08-05 17:00:30', NULL), (4692, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 28, 1, '2024-08-05 17:00:30', NULL), (4693, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 29, 1, '2024-08-05 17:00:30', NULL), (4694, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 30, 1, '2024-08-05 17:00:30', NULL), (4695, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 1, 31, 1, '2024-08-05 17:00:30', NULL), (4696, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 1, 1, '2024-08-05 17:00:30', NULL), (4697, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 2, 1, '2024-08-05 17:00:30', NULL), (4698, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 3, 1, '2024-08-05 17:00:30', NULL), (4699, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 4, 1, '2024-08-05 17:00:30', NULL), (4700, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 5, 1, '2024-08-05 17:00:30', NULL), (4701, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 6, 1, '2024-08-05 17:00:30', NULL), (4702, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 7, 1, '2024-08-05 17:00:30', NULL), (4703, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 8, 1, '2024-08-05 17:00:30', NULL), (4704, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 9, 1, '2024-08-05 17:00:30', NULL), (4705, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 10, 1, '2024-08-05 17:00:30', NULL), (4706, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 11, 1, '2024-08-05 17:00:30', NULL), (4707, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 12, 1, '2024-08-05 17:00:31', NULL), (4708, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 13, 1, '2024-08-05 17:00:31', NULL), (4709, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 14, 1, '2024-08-05 17:00:31', NULL), (4710, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 15, 1, '2024-08-05 17:00:31', NULL), (4711, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 16, 1, '2024-08-05 17:00:31', NULL), (4712, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 17, 1, '2024-08-05 17:00:31', NULL), (4713, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 18, 1, '2024-08-05 17:00:31', NULL), (4714, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 19, 1, '2024-08-05 17:00:31', NULL), (4715, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 20, 1, '2024-08-05 17:00:31', NULL), (4716, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 21, 1, '2024-08-05 17:00:31', NULL), (4717, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 22, 1, '2024-08-05 17:00:31', NULL), (4718, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 23, 1, '2024-08-05 17:00:31', NULL), (4719, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 24, 1, '2024-08-05 17:00:31', NULL), (4720, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 25, 1, '2024-08-05 17:00:31', NULL), (4721, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 26, 1, '2024-08-05 17:00:31', NULL), (4722, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 27, 1, '2024-08-05 17:00:31', NULL), (4723, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 2, 28, 1, '2024-08-05 17:00:31', NULL), (4724, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 1, 1, '2024-08-05 17:00:31', NULL), (4725, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 2, 1, '2024-08-05 17:00:31', NULL), (4726, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 3, 1, '2024-08-05 17:00:32', NULL), (4727, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 4, 1, '2024-08-05 17:00:32', NULL), (4728, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 5, 1, '2024-08-05 17:00:32', NULL), (4729, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 6, 1, '2024-08-05 17:00:32', NULL), (4730, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 7, 1, '2024-08-05 17:00:32', NULL), (4731, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 8, 1, '2024-08-05 17:00:32', NULL), (4732, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 9, 1, '2024-08-05 17:00:32', NULL), (4733, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 10, 1, '2024-08-05 17:00:32', NULL), (4734, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 11, 1, '2024-08-05 17:00:32', NULL), (4735, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 12, 1, '2024-08-05 17:00:32', NULL), (4736, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 13, 1, '2024-08-05 17:00:32', NULL), (4737, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 14, 1, '2024-08-05 17:00:32', NULL), (4738, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 15, 1, '2024-08-05 17:00:32', NULL), (4739, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 16, 1, '2024-08-05 17:00:32', NULL), (4740, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 17, 1, '2024-08-05 17:00:32', NULL), (4741, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 18, 1, '2024-08-05 17:00:32', NULL), (4742, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 19, 1, '2024-08-05 17:00:32', NULL), (4743, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 20, 1, '2024-08-05 17:00:33', NULL), (4744, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 21, 1, '2024-08-05 17:00:33', NULL), (4745, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 22, 1, '2024-08-05 17:00:33', NULL), (4746, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 23, 1, '2024-08-05 17:00:33', NULL), (4747, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 24, 1, '2024-08-05 17:00:33', NULL), (4748, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 25, 1, '2024-08-05 17:00:33', NULL), (4749, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 26, 1, '2024-08-05 17:00:33', NULL), (4750, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 27, 1, '2024-08-05 17:00:33', NULL), (4751, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 28, 1, '2024-08-05 17:00:33', NULL), (4752, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 29, 1, '2024-08-05 17:00:33', NULL), (4753, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 30, 1, '2024-08-05 17:00:33', NULL), (4754, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 3, 31, 1, '2024-08-05 17:00:33', NULL), (4755, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 1, 1, '2024-08-05 17:00:33', NULL), (4756, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 2, 1, '2024-08-05 17:00:33', NULL), (4757, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 3, 1, '2024-08-05 17:00:33', NULL), (4758, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 4, 1, '2024-08-05 17:00:33', NULL), (4759, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 5, 1, '2024-08-05 17:00:33', NULL), (4760, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 6, 1, '2024-08-05 17:00:34', NULL), (4761, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 7, 1, '2024-08-05 17:00:34', NULL), (4762, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 8, 1, '2024-08-05 17:00:34', NULL), (4763, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 9, 1, '2024-08-05 17:00:34', NULL), (4764, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 10, 1, '2024-08-05 17:00:34', NULL), (4765, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 11, 1, '2024-08-05 17:00:34', NULL), (4766, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 12, 1, '2024-08-05 17:00:34', NULL), (4767, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 13, 1, '2024-08-05 17:00:34', NULL), (4768, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 14, 1, '2024-08-05 17:00:34', NULL), (4769, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 15, 1, '2024-08-05 17:00:34', NULL), (4770, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 16, 1, '2024-08-05 17:00:34', NULL), (4771, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 17, 1, '2024-08-05 17:00:34', NULL), (4772, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 18, 1, '2024-08-05 17:00:34', NULL), (4773, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 19, 1, '2024-08-05 17:00:34', NULL), (4774, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 20, 1, '2024-08-05 17:00:34', NULL), (4775, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 21, 1, '2024-08-05 17:00:34', NULL), (4776, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 22, 1, '2024-08-05 17:00:34', NULL), (4777, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 23, 1, '2024-08-05 17:00:34', NULL), (4778, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 24, 1, '2024-08-05 17:00:35', NULL), (4779, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 25, 1, '2024-08-05 17:00:35', NULL), (4780, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 26, 1, '2024-08-05 17:00:35', NULL), (4781, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 27, 1, '2024-08-05 17:00:35', NULL), (4782, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 28, 1, '2024-08-05 17:00:35', NULL), (4783, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 29, 1, '2024-08-05 17:00:35', NULL), (4784, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 4, 30, 1, '2024-08-05 17:00:35', NULL), (4785, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 1, 1, '2024-08-05 17:00:35', NULL), (4786, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 2, 1, '2024-08-05 17:00:35', NULL), (4787, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 3, 1, '2024-08-05 17:00:35', NULL), (4788, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 4, 1, '2024-08-05 17:00:35', NULL), (4789, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 5, 1, '2024-08-05 17:00:35', NULL), (4790, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 6, 1, '2024-08-05 17:00:35', NULL), (4791, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 7, 1, '2024-08-05 17:00:35', NULL), (4792, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 8, 1, '2024-08-05 17:00:35', NULL), (4793, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 9, 1, '2024-08-05 17:00:35', NULL), (4794, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 10, 1, '2024-08-05 17:00:35', NULL), (4795, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 11, 1, '2024-08-05 17:00:35', NULL), (4796, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 12, 1, '2024-08-05 17:00:36', NULL), (4797, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 13, 1, '2024-08-05 17:00:36', NULL), (4798, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 14, 1, '2024-08-05 17:00:36', NULL), (4799, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 15, 1, '2024-08-05 17:00:36', NULL), (4800, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 16, 1, '2024-08-05 17:00:36', NULL), (4801, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 17, 1, '2024-08-05 17:00:36', NULL), (4802, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 18, 1, '2024-08-05 17:00:36', NULL), (4803, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 19, 1, '2024-08-05 17:00:36', NULL), (4804, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 20, 1, '2024-08-05 17:00:36', NULL), (4805, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 21, 1, '2024-08-05 17:00:36', NULL), (4806, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 22, 1, '2024-08-05 17:00:36', NULL), (4807, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 23, 1, '2024-08-05 17:00:36', NULL), (4808, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 24, 1, '2024-08-05 17:00:36', NULL), (4809, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 25, 1, '2024-08-05 17:00:36', NULL), (4810, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 26, 1, '2024-08-05 17:00:36', NULL), (4811, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 27, 1, '2024-08-05 17:00:36', NULL), (4812, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 28, 1, '2024-08-05 17:00:36', NULL), (4813, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 29, 1, '2024-08-05 17:00:36', NULL), (4814, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 30, 1, '2024-08-05 17:00:37', NULL), (4815, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 5, 31, 1, '2024-08-05 17:00:37', NULL), (4816, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 1, 1, '2024-08-05 17:00:37', NULL), (4817, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 2, 1, '2024-08-05 17:00:37', NULL), (4818, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 3, 1, '2024-08-05 17:00:37', NULL), (4819, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 4, 1, '2024-08-05 17:00:37', NULL), (4820, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 5, 1, '2024-08-05 17:00:37', NULL), (4821, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 6, 1, '2024-08-05 17:00:37', NULL), (4822, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 7, 1, '2024-08-05 17:00:37', NULL), (4823, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 8, 1, '2024-08-05 17:00:37', NULL), (4824, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 9, 1, '2024-08-05 17:00:37', NULL), (4825, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 10, 1, '2024-08-05 17:00:37', NULL), (4826, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 11, 1, '2024-08-05 17:00:37', NULL), (4827, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 12, 1, '2024-08-05 17:00:37', NULL), (4828, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 13, 1, '2024-08-05 17:00:37', NULL), (4829, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 14, 1, '2024-08-05 17:00:37', NULL), (4830, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 15, 1, '2024-08-05 17:00:37', NULL), (4831, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 16, 1, '2024-08-05 17:00:37', NULL), (4832, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 17, 1, '2024-08-05 17:00:38', NULL), (4833, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 18, 1, '2024-08-05 17:00:38', NULL), (4834, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 19, 1, '2024-08-05 17:00:38', NULL), (4835, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 20, 1, '2024-08-05 17:00:38', NULL), (4836, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 21, 1, '2024-08-05 17:00:38', NULL), (4837, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 22, 1, '2024-08-05 17:00:38', NULL), (4838, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 23, 1, '2024-08-05 17:00:38', NULL), (4839, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 24, 1, '2024-08-05 17:00:38', NULL), (4840, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 25, 1, '2024-08-05 17:00:38', NULL), (4841, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 26, 1, '2024-08-05 17:00:38', NULL), (4842, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 27, 1, '2024-08-05 17:00:38', NULL), (4843, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 28, 1, '2024-08-05 17:00:38', NULL), (4844, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 29, 1, '2024-08-05 17:00:38', NULL), (4845, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 6, 30, 1, '2024-08-05 17:00:38', NULL), (4846, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 1, 1, '2024-08-05 17:00:38', NULL), (4847, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 2, 1, '2024-08-05 17:00:38', NULL), (4848, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 3, 1, '2024-08-05 17:00:38', NULL), (4849, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 4, 1, '2024-08-05 17:00:38', NULL), (4850, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 5, 1, '2024-08-05 17:00:39', NULL), (4851, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 6, 1, '2024-08-05 17:00:39', NULL), (4852, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 7, 1, '2024-08-05 17:00:39', NULL), (4853, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 8, 1, '2024-08-05 17:00:39', NULL), (4854, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 9, 1, '2024-08-05 17:00:39', NULL), (4855, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 10, 1, '2024-08-05 17:00:39', NULL), (4856, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 11, 1, '2024-08-05 17:00:39', NULL), (4857, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 12, 1, '2024-08-05 17:00:39', NULL), (4858, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 13, 1, '2024-08-05 17:00:39', NULL), (4859, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 14, 1, '2024-08-05 17:00:39', NULL), (4860, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 15, 1, '2024-08-05 17:00:39', NULL), (4861, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 16, 1, '2024-08-05 17:00:39', NULL), (4862, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 17, 1, '2024-08-05 17:00:39', NULL), (4863, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 18, 1, '2024-08-05 17:00:39', NULL), (4864, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 19, 1, '2024-08-05 17:00:39', NULL), (4865, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 20, 1, '2024-08-05 17:00:39', NULL), (4866, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 21, 1, '2024-08-05 17:00:39', NULL), (4867, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 22, 1, '2024-08-05 17:00:39', NULL), (4868, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 23, 1, '2024-08-05 17:00:40', NULL), (4869, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 24, 1, '2024-08-05 17:00:40', NULL), (4870, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 25, 1, '2024-08-05 17:00:40', NULL), (4871, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 26, 1, '2024-08-05 17:00:40', NULL), (4872, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 27, 1, '2024-08-05 17:00:40', NULL), (4873, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 28, 1, '2024-08-05 17:00:40', NULL), (4874, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 29, 1, '2024-08-05 17:00:40', NULL), (4875, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 30, 1, '2024-08-05 17:00:40', NULL), (4876, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 7, 31, 1, '2024-08-05 17:00:40', NULL), (4877, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 1, 1, '2024-08-05 17:00:40', NULL), (4878, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 2, 1, '2024-08-05 17:00:40', NULL), (4879, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 3, 1, '2024-08-05 17:00:40', NULL), (4880, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 4, 1, '2024-08-05 17:00:40', NULL), (4881, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 5, 1, '2024-08-05 17:00:40', NULL), (4882, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 6, 1, '2024-08-05 17:00:40', NULL), (4883, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 7, 1, '2024-08-05 17:00:40', NULL), (4884, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 8, 1, '2024-08-05 17:00:40', NULL), (4885, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 9, 1, '2024-08-05 17:00:40', NULL), (4886, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 10, 1, '2024-08-05 17:00:40', NULL), (4887, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 11, 1, '2024-08-05 17:00:40', NULL), (4888, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 12, 1, '2024-08-05 17:00:41', NULL), (4889, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 13, 1, '2024-08-05 17:00:41', NULL), (4890, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 14, 1, '2024-08-05 17:00:41', NULL), (4891, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 15, 1, '2024-08-05 17:00:41', NULL), (4892, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 16, 1, '2024-08-05 17:00:41', NULL), (4893, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 17, 1, '2024-08-05 17:00:41', NULL), (4894, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 18, 1, '2024-08-05 17:00:41', NULL), (4895, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 19, 1, '2024-08-05 17:00:41', NULL), (4896, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 20, 1, '2024-08-05 17:00:41', NULL), (4897, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 21, 1, '2024-08-05 17:00:41', NULL), (4898, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 22, 1, '2024-08-05 17:00:41', NULL), (4899, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 23, 1, '2024-08-05 17:00:41', NULL), (4900, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 24, 1, '2024-08-05 17:00:41', NULL), (4901, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 25, 1, '2024-08-05 17:00:41', NULL), (4902, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 26, 1, '2024-08-05 17:00:41', NULL), (4903, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 27, 1, '2024-08-05 17:00:41', NULL), (4904, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 28, 1, '2024-08-05 17:00:41', NULL), (4905, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 29, 1, '2024-08-05 17:00:41', NULL), (4906, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 30, 1, '2024-08-05 17:00:41', NULL), (4907, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 8, 31, 1, '2024-08-05 17:00:41', NULL), (4908, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 1, 1, '2024-08-05 17:00:42', NULL), (4909, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 2, 1, '2024-08-05 17:00:42', NULL), (4910, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 3, 1, '2024-08-05 17:00:42', NULL), (4911, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 4, 1, '2024-08-05 17:00:42', NULL), (4912, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 5, 1, '2024-08-05 17:00:42', NULL), (4913, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 6, 1, '2024-08-05 17:00:42', NULL), (4914, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 7, 1, '2024-08-05 17:00:42', NULL), (4915, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 8, 1, '2024-08-05 17:00:42', NULL), (4916, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 9, 1, '2024-08-05 17:00:42', NULL), (4917, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 10, 1, '2024-08-05 17:00:42', NULL), (4918, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 11, 1, '2024-08-05 17:00:42', NULL), (4919, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 12, 1, '2024-08-05 17:00:42', NULL), (4920, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 13, 1, '2024-08-05 17:00:42', NULL), (4921, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 14, 1, '2024-08-05 17:00:42', NULL), (4922, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 15, 1, '2024-08-05 17:00:42', NULL), (4923, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 16, 1, '2024-08-05 17:00:42', NULL), (4924, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 17, 1, '2024-08-05 17:00:42', NULL), (4925, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 18, 1, '2024-08-05 17:00:42', NULL), (4926, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 19, 1, '2024-08-05 17:00:42', NULL), (4927, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 20, 1, '2024-08-05 17:00:42', NULL), (4928, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 21, 1, '2024-08-05 17:00:42', NULL), (4929, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 22, 1, '2024-08-05 17:00:43', NULL), (4930, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 23, 1, '2024-08-05 17:00:43', NULL), (4931, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 24, 1, '2024-08-05 17:00:43', NULL), (4932, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 25, 1, '2024-08-05 17:00:43', NULL), (4933, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 26, 1, '2024-08-05 17:00:43', NULL), (4934, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 27, 1, '2024-08-05 17:00:43', NULL), (4935, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 28, 1, '2024-08-05 17:00:43', NULL), (4936, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 29, 1, '2024-08-05 17:00:43', NULL), (4937, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 9, 30, 1, '2024-08-05 17:00:43', NULL), (4938, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 1, 1, '2024-08-05 17:00:43', NULL), (4939, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 2, 1, '2024-08-05 17:00:43', NULL), (4940, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 3, 1, '2024-08-05 17:00:43', NULL), (4941, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 4, 1, '2024-08-05 17:00:43', NULL), (4942, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 5, 1, '2024-08-05 17:00:43', NULL), (4943, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 6, 1, '2024-08-05 17:00:43', NULL), (4944, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 7, 1, '2024-08-05 17:00:43', NULL), (4945, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 8, 1, '2024-08-05 17:00:43', NULL), (4946, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 9, 1, '2024-08-05 17:00:43', NULL), (4947, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 10, 1, '2024-08-05 17:00:43', NULL), (4948, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 11, 1, '2024-08-05 17:00:43', NULL), (4949, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 12, 1, '2024-08-05 17:00:43', NULL), (4950, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 13, 1, '2024-08-05 17:00:43', NULL), (4951, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 14, 1, '2024-08-05 17:00:43', NULL), (4952, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 15, 1, '2024-08-05 17:00:43', NULL), (4953, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 16, 1, '2024-08-05 17:00:43', NULL), (4954, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 17, 1, '2024-08-05 17:00:43', NULL), (4955, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 18, 1, '2024-08-05 17:00:43', NULL), (4956, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 19, 1, '2024-08-05 17:00:43', NULL), (4957, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 20, 1, '2024-08-05 17:00:43', NULL), (4958, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 21, 1, '2024-08-05 17:00:43', NULL), (4959, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 22, 1, '2024-08-05 17:00:43', NULL), (4960, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 23, 1, '2024-08-05 17:00:43', NULL), (4961, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 24, 1, '2024-08-05 17:00:43', NULL), (4962, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 25, 1, '2024-08-05 17:00:43', NULL), (4963, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 26, 1, '2024-08-05 17:00:43', NULL), (4964, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 27, 1, '2024-08-05 17:00:43', NULL), (4965, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 28, 1, '2024-08-05 17:00:44', NULL), (4966, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 29, 1, '2024-08-05 17:00:44', NULL), (4967, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 30, 1, '2024-08-05 17:00:44', NULL), (4968, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 10, 31, 1, '2024-08-05 17:00:44', NULL), (4969, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 1, 1, '2024-08-05 17:00:44', NULL), (4970, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 2, 1, '2024-08-05 17:00:44', NULL), (4971, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 3, 1, '2024-08-05 17:00:44', NULL), (4972, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 4, 1, '2024-08-05 17:00:44', NULL), (4973, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 5, 1, '2024-08-05 17:00:44', NULL), (4974, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 6, 1, '2024-08-05 17:00:44', NULL), (4975, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 7, 1, '2024-08-05 17:00:44', NULL), (4976, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 8, 1, '2024-08-05 17:00:44', NULL), (4977, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 9, 1, '2024-08-05 17:00:44', NULL), (4978, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 10, 1, '2024-08-05 17:00:44', NULL), (4979, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 11, 1, '2024-08-05 17:00:44', NULL), (4980, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 12, 1, '2024-08-05 17:00:44', NULL), (4981, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 13, 1, '2024-08-05 17:00:44', NULL), (4982, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 14, 1, '2024-08-05 17:00:44', NULL), (4983, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 15, 1, '2024-08-05 17:00:44', NULL), (4984, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 16, 1, '2024-08-05 17:00:45', NULL), (4985, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 17, 1, '2024-08-05 17:00:45', NULL), (4986, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 18, 1, '2024-08-05 17:00:45', NULL), (4987, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 19, 1, '2024-08-05 17:00:45', NULL), (4988, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 20, 1, '2024-08-05 17:00:45', NULL), (4989, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 21, 1, '2024-08-05 17:00:45', NULL), (4990, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 22, 1, '2024-08-05 17:00:45', NULL), (4991, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 23, 1, '2024-08-05 17:00:45', NULL), (4992, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 24, 1, '2024-08-05 17:00:45', NULL), (4993, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 25, 1, '2024-08-05 17:00:45', NULL), (4994, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 26, 1, '2024-08-05 17:00:45', NULL), (4995, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 27, 1, '2024-08-05 17:00:45', NULL), (4996, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 28, 1, '2024-08-05 17:00:45', NULL), (4997, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 29, 1, '2024-08-05 17:00:45', NULL), (4998, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 11, 30, 1, '2024-08-05 17:00:46', NULL), (4999, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 1, 1, '2024-08-05 17:00:46', NULL), (5000, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 2, 1, '2024-08-05 17:00:46', NULL), (5001, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 3, 1, '2024-08-05 17:00:46', NULL), (5002, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 4, 1, '2024-08-05 17:00:46', NULL), (5003, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 5, 1, '2024-08-05 17:00:46', NULL), (5004, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 6, 1, '2024-08-05 17:00:46', NULL), (5005, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 7, 1, '2024-08-05 17:00:46', NULL), (5006, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 8, 1, '2024-08-05 17:00:46', NULL), (5007, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 9, 1, '2024-08-05 17:00:46', NULL), (5008, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 10, 1, '2024-08-05 17:00:46', NULL), (5009, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 11, 1, '2024-08-05 17:00:46', NULL), (5010, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 12, 1, '2024-08-05 17:00:46', NULL), (5011, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 13, 1, '2024-08-05 17:00:47', NULL), (5012, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 14, 1, '2024-08-05 17:00:47', NULL), (5013, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 15, 1, '2024-08-05 17:00:47', NULL), (5014, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 16, 1, '2024-08-05 17:00:47', NULL), (5015, 24, '511534000000-0001', '宜宾高新区政企服务中心', 1, 2023, 12, 17, 1, '2024-08-05 17:00:47', NULL), (5016, 24, '511534000000-0001', '宜宾高新区政企服务中心', 23, 2023, 12, 18, 1, '2024-08-05 17:00:47', NULL), (5017, 24, '511534000000-0001', '宜宾高新区政企服务中心', 55, 2023, 12, 19, 1, '2024-08-05 17:00:47', NULL), (5018, 24, '511534000000-0001', '宜宾高新区政企服务中心', 40, 2023, 12, 20, 1, '2024-08-05 17:00:47', NULL), (5019, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 21, 1, '2024-08-05 17:00:47', NULL), (5020, 24, '511534000000-0001', '宜宾高新区政企服务中心', 6, 2023, 12, 22, 1, '2024-08-05 17:00:48', NULL), (5021, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 23, 1, '2024-08-05 17:00:48', NULL), (5022, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 24, 1, '2024-08-05 17:00:48', NULL), (5023, 24, '511534000000-0001', '宜宾高新区政企服务中心', 3, 2023, 12, 25, 1, '2024-08-05 17:00:48', NULL), (5024, 24, '511534000000-0001', '宜宾高新区政企服务中心', 13, 2023, 12, 26, 1, '2024-08-05 17:00:48', NULL), (5025, 24, '511534000000-0001', '宜宾高新区政企服务中心', 16, 2023, 12, 27, 1, '2024-08-05 17:00:49', NULL), (5026, 24, '511534000000-0001', '宜宾高新区政企服务中心', 10, 2023, 12, 28, 1, '2024-08-05 17:00:49', NULL), (5027, 24, '511534000000-0001', '宜宾高新区政企服务中心', 7, 2023, 12, 29, 1, '2024-08-05 17:00:49', NULL), (5028, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 30, 1, '2024-08-05 17:00:49', NULL), (5029, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2023, 12, 31, 1, '2024-08-05 17:00:49', NULL), (5030, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 1, 1, 1, '2024-08-05 17:00:49', NULL), (5031, 24, '511534000000-0001', '宜宾高新区政企服务中心', 11, 2024, 1, 2, 1, '2024-08-05 17:00:50', NULL), (5032, 24, '511534000000-0001', '宜宾高新区政企服务中心', 8, 2024, 1, 3, 1, '2024-08-05 17:00:50', NULL), (5033, 24, '511534000000-0001', '宜宾高新区政企服务中心', 15, 2024, 1, 4, 1, '2024-08-05 17:00:50', NULL), (5034, 24, '511534000000-0001', '宜宾高新区政企服务中心', 7, 2024, 1, 5, 1, '2024-08-05 17:00:50', NULL), (5035, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 1, 6, 1, '2024-08-05 17:00:51', NULL), (5036, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 1, 7, 1, '2024-08-05 17:00:51', NULL), (5037, 24, '511534000000-0001', '宜宾高新区政企服务中心', 10, 2024, 1, 8, 1, '2024-08-05 17:00:51', NULL), (5038, 24, '511534000000-0001', '宜宾高新区政企服务中心', 8, 2024, 1, 9, 1, '2024-08-05 17:00:51', NULL), (5039, 24, '511534000000-0001', '宜宾高新区政企服务中心', 12, 2024, 1, 10, 1, '2024-08-05 17:00:52', NULL), (5040, 24, '511534000000-0001', '宜宾高新区政企服务中心', 11, 2024, 1, 11, 1, '2024-08-05 17:00:52', NULL), (5041, 24, '511534000000-0001', '宜宾高新区政企服务中心', 12, 2024, 1, 12, 1, '2024-08-05 17:00:52', NULL), (5042, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 1, 13, 1, '2024-08-05 17:00:52', NULL), (5043, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 1, 14, 1, '2024-08-05 17:00:53', NULL), (5044, 24, '511534000000-0001', '宜宾高新区政企服务中心', 16, 2024, 1, 15, 1, '2024-08-05 17:00:53', NULL), (5045, 24, '511534000000-0001', '宜宾高新区政企服务中心', 18, 2024, 1, 16, 1, '2024-08-05 17:00:53', NULL), (5046, 24, '511534000000-0001', '宜宾高新区政企服务中心', 18, 2024, 1, 17, 1, '2024-08-05 17:00:53', NULL), (5047, 24, '511534000000-0001', '宜宾高新区政企服务中心', 12, 2024, 1, 18, 1, '2024-08-05 17:00:53', NULL), (5048, 24, '511534000000-0001', '宜宾高新区政企服务中心', 14, 2024, 1, 19, 1, '2024-08-05 17:00:54', NULL), (5049, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 1, 20, 1, '2024-08-05 17:00:54', NULL), (5050, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 1, 21, 1, '2024-08-05 17:00:54', NULL), (5051, 24, '511534000000-0001', '宜宾高新区政企服务中心', 27, 2024, 1, 22, 1, '2024-08-05 17:00:54', NULL), (5052, 24, '511534000000-0001', '宜宾高新区政企服务中心', 18, 2024, 1, 23, 1, '2024-08-05 17:00:55', NULL), (5053, 24, '511534000000-0001', '宜宾高新区政企服务中心', 12, 2024, 1, 24, 1, '2024-08-05 17:00:55', NULL), (5054, 24, '511534000000-0001', '宜宾高新区政企服务中心', 13, 2024, 1, 25, 1, '2024-08-05 17:00:55', NULL), (5055, 24, '511534000000-0001', '宜宾高新区政企服务中心', 21, 2024, 1, 26, 1, '2024-08-05 17:00:55', NULL), (5056, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 1, 27, 1, '2024-08-05 17:00:56', NULL), (5057, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 1, 28, 1, '2024-08-05 17:00:56', NULL), (5058, 24, '511534000000-0001', '宜宾高新区政企服务中心', 10, 2024, 1, 29, 1, '2024-08-05 17:00:56', NULL), (5059, 24, '511534000000-0001', '宜宾高新区政企服务中心', 18, 2024, 1, 30, 1, '2024-08-05 17:00:56', NULL), (5060, 24, '511534000000-0001', '宜宾高新区政企服务中心', 14, 2024, 1, 31, 1, '2024-08-05 17:00:56', NULL), (5061, 24, '511534000000-0001', '宜宾高新区政企服务中心', 17, 2024, 2, 1, 1, '2024-08-05 17:00:57', NULL), (5062, 24, '511534000000-0001', '宜宾高新区政企服务中心', 15, 2024, 2, 2, 1, '2024-08-05 17:00:57', NULL), (5063, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 2, 3, 1, '2024-08-05 17:00:57', NULL), (5064, 24, '511534000000-0001', '宜宾高新区政企服务中心', 12, 2024, 2, 4, 1, '2024-08-05 17:00:57', NULL), (5065, 24, '511534000000-0001', '宜宾高新区政企服务中心', 11, 2024, 2, 5, 1, '2024-08-05 17:00:58', NULL), (5066, 24, '511534000000-0001', '宜宾高新区政企服务中心', 4, 2024, 2, 6, 1, '2024-08-05 17:00:58', NULL), (5067, 24, '511534000000-0001', '宜宾高新区政企服务中心', 5, 2024, 2, 7, 1, '2024-08-05 17:00:58', NULL), (5068, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 2, 8, 1, '2024-08-05 17:00:58', NULL), (5069, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 2, 9, 1, '2024-08-05 17:00:58', NULL), (5070, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 2, 10, 1, '2024-08-05 17:00:59', NULL), (5071, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 2, 11, 1, '2024-08-05 17:00:59', NULL), (5072, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 2, 12, 1, '2024-08-05 17:00:59', NULL), (5073, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 2, 13, 1, '2024-08-05 17:00:59', NULL), (5074, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 2, 14, 1, '2024-08-05 17:01:00', NULL), (5075, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 2, 15, 1, '2024-08-05 17:01:00', NULL), (5076, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 2, 16, 1, '2024-08-05 17:01:00', NULL), (5077, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 2, 17, 1, '2024-08-05 17:01:00', NULL), (5078, 24, '511534000000-0001', '宜宾高新区政企服务中心', 3, 2024, 2, 18, 1, '2024-08-05 17:01:01', NULL), (5079, 24, '511534000000-0001', '宜宾高新区政企服务中心', 5, 2024, 2, 19, 1, '2024-08-05 17:01:01', NULL), (5080, 24, '511534000000-0001', '宜宾高新区政企服务中心', 9, 2024, 2, 20, 1, '2024-08-05 17:01:01', NULL), (5081, 24, '511534000000-0001', '宜宾高新区政企服务中心', 14, 2024, 2, 21, 1, '2024-08-05 17:01:01', NULL), (5082, 24, '511534000000-0001', '宜宾高新区政企服务中心', 21, 2024, 2, 22, 1, '2024-08-05 17:01:01', NULL), (5083, 24, '511534000000-0001', '宜宾高新区政企服务中心', 6, 2024, 2, 23, 1, '2024-08-05 17:01:01', NULL), (5084, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 2, 24, 1, '2024-08-05 17:01:01', NULL), (5085, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 2, 25, 1, '2024-08-05 17:01:01', NULL), (5086, 24, '511534000000-0001', '宜宾高新区政企服务中心', 19, 2024, 2, 26, 1, '2024-08-05 17:01:01', NULL), (5087, 24, '511534000000-0001', '宜宾高新区政企服务中心', 16, 2024, 2, 27, 1, '2024-08-05 17:01:01', NULL), (5088, 24, '511534000000-0001', '宜宾高新区政企服务中心', 14, 2024, 2, 28, 1, '2024-08-05 17:01:01', NULL), (5089, 24, '511534000000-0001', '宜宾高新区政企服务中心', 18, 2024, 2, 29, 1, '2024-08-05 17:01:01', NULL), (5090, 24, '511534000000-0001', '宜宾高新区政企服务中心', 11, 2024, 3, 1, 1, '2024-08-05 17:01:02', NULL), (5091, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 3, 2, 1, '2024-08-05 17:01:02', NULL), (5092, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 3, 3, 1, '2024-08-05 17:01:02', NULL), (5093, 24, '511534000000-0001', '宜宾高新区政企服务中心', 26, 2024, 3, 4, 1, '2024-08-05 17:01:02', NULL), (5094, 24, '511534000000-0001', '宜宾高新区政企服务中心', 20, 2024, 3, 5, 1, '2024-08-05 17:01:02', NULL), (5095, 24, '511534000000-0001', '宜宾高新区政企服务中心', 26, 2024, 3, 6, 1, '2024-08-05 17:01:02', NULL), (5096, 24, '511534000000-0001', '宜宾高新区政企服务中心', 19, 2024, 3, 7, 1, '2024-08-05 17:01:02', NULL), (5097, 24, '511534000000-0001', '宜宾高新区政企服务中心', 23, 2024, 3, 8, 1, '2024-08-05 17:01:02', NULL), (5098, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 3, 9, 1, '2024-08-05 17:01:02', NULL), (5099, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 3, 10, 1, '2024-08-05 17:01:02', NULL), (5100, 24, '511534000000-0001', '宜宾高新区政企服务中心', 24, 2024, 3, 11, 1, '2024-08-05 17:01:02', NULL), (5101, 24, '511534000000-0001', '宜宾高新区政企服务中心', 16, 2024, 3, 12, 1, '2024-08-05 17:01:02', NULL), (5102, 24, '511534000000-0001', '宜宾高新区政企服务中心', 26, 2024, 3, 13, 1, '2024-08-05 17:01:02', NULL), (5103, 24, '511534000000-0001', '宜宾高新区政企服务中心', 14, 2024, 3, 14, 1, '2024-08-05 17:01:02', NULL), (5104, 24, '511534000000-0001', '宜宾高新区政企服务中心', 23, 2024, 3, 15, 1, '2024-08-05 17:01:02', NULL), (5105, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 3, 16, 1, '2024-08-05 17:01:02', NULL), (5106, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 3, 17, 1, '2024-08-05 17:01:02', NULL), (5107, 24, '511534000000-0001', '宜宾高新区政企服务中心', 21, 2024, 3, 18, 1, '2024-08-05 17:01:02', NULL), (5108, 24, '511534000000-0001', '宜宾高新区政企服务中心', 21, 2024, 3, 19, 1, '2024-08-05 17:01:02', NULL), (5109, 24, '511534000000-0001', '宜宾高新区政企服务中心', 12, 2024, 3, 20, 1, '2024-08-05 17:01:03', NULL), (5110, 24, '511534000000-0001', '宜宾高新区政企服务中心', 18, 2024, 3, 21, 1, '2024-08-05 17:01:03', NULL), (5111, 24, '511534000000-0001', '宜宾高新区政企服务中心', 20, 2024, 3, 22, 1, '2024-08-05 17:01:03', NULL), (5112, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 3, 23, 1, '2024-08-05 17:01:03', NULL), (5113, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 3, 24, 1, '2024-08-05 17:01:03', NULL), (5114, 24, '511534000000-0001', '宜宾高新区政企服务中心', 31, 2024, 3, 25, 1, '2024-08-05 17:01:03', NULL), (5115, 24, '511534000000-0001', '宜宾高新区政企服务中心', 31, 2024, 3, 26, 1, '2024-08-05 17:01:03', NULL), (5116, 24, '511534000000-0001', '宜宾高新区政企服务中心', 30, 2024, 3, 27, 1, '2024-08-05 17:01:03', NULL), (5117, 24, '511534000000-0001', '宜宾高新区政企服务中心', 26, 2024, 3, 28, 1, '2024-08-05 17:01:03', NULL), (5118, 24, '511534000000-0001', '宜宾高新区政企服务中心', 10, 2024, 3, 29, 1, '2024-08-05 17:01:03', NULL), (5119, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 3, 30, 1, '2024-08-05 17:01:03', NULL), (5120, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 3, 31, 1, '2024-08-05 17:01:03', NULL), (5121, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 4, 1, 1, '2024-08-05 17:01:03', NULL), (5122, 24, '511534000000-0001', '宜宾高新区政企服务中心', 15, 2024, 4, 2, 1, '2024-08-05 17:01:03', NULL), (5123, 24, '511534000000-0001', '宜宾高新区政企服务中心', 10, 2024, 4, 3, 1, '2024-08-05 17:01:03', NULL), (5124, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 4, 4, 1, '2024-08-05 17:01:03', NULL), (5125, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 4, 5, 1, '2024-08-05 17:01:03', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (5126, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 4, 6, 1, '2024-08-05 17:01:03', NULL), (5127, 24, '511534000000-0001', '宜宾高新区政企服务中心', 12, 2024, 4, 7, 1, '2024-08-05 17:01:04', NULL), (5128, 24, '511534000000-0001', '宜宾高新区政企服务中心', 14, 2024, 4, 8, 1, '2024-08-05 17:01:04', NULL), (5129, 24, '511534000000-0001', '宜宾高新区政企服务中心', 22, 2024, 4, 9, 1, '2024-08-05 17:01:04', NULL), (5130, 24, '511534000000-0001', '宜宾高新区政企服务中心', 18, 2024, 4, 10, 1, '2024-08-05 17:01:04', NULL), (5131, 24, '511534000000-0001', '宜宾高新区政企服务中心', 15, 2024, 4, 11, 1, '2024-08-05 17:01:04', NULL), (5132, 24, '511534000000-0001', '宜宾高新区政企服务中心', 21, 2024, 4, 12, 1, '2024-08-05 17:01:04', NULL), (5133, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 4, 13, 1, '2024-08-05 17:01:04', NULL), (5134, 24, '511534000000-0001', '宜宾高新区政企服务中心', 1, 2024, 4, 14, 1, '2024-08-05 17:01:04', NULL), (5135, 24, '511534000000-0001', '宜宾高新区政企服务中心', 19, 2024, 4, 15, 1, '2024-08-05 17:01:04', NULL), (5136, 24, '511534000000-0001', '宜宾高新区政企服务中心', 22, 2024, 4, 16, 1, '2024-08-05 17:01:04', NULL), (5137, 24, '511534000000-0001', '宜宾高新区政企服务中心', 29, 2024, 4, 17, 1, '2024-08-05 17:01:04', NULL), (5138, 24, '511534000000-0001', '宜宾高新区政企服务中心', 17, 2024, 4, 18, 1, '2024-08-05 17:01:04', NULL), (5139, 24, '511534000000-0001', '宜宾高新区政企服务中心', 23, 2024, 4, 19, 1, '2024-08-05 17:01:04', NULL), (5140, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 4, 20, 1, '2024-08-05 17:01:04', NULL), (5141, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 4, 21, 1, '2024-08-05 17:01:04', NULL), (5142, 24, '511534000000-0001', '宜宾高新区政企服务中心', 15, 2024, 4, 22, 1, '2024-08-05 17:01:04', NULL), (5143, 24, '511534000000-0001', '宜宾高新区政企服务中心', 19, 2024, 4, 23, 1, '2024-08-05 17:01:04', NULL), (5144, 24, '511534000000-0001', '宜宾高新区政企服务中心', 22, 2024, 4, 24, 1, '2024-08-05 17:01:04', NULL), (5145, 24, '511534000000-0001', '宜宾高新区政企服务中心', 7, 2024, 4, 25, 1, '2024-08-05 17:01:05', NULL), (5146, 24, '511534000000-0001', '宜宾高新区政企服务中心', 17, 2024, 4, 26, 1, '2024-08-05 17:01:05', NULL), (5147, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 4, 27, 1, '2024-08-05 17:01:05', NULL), (5148, 24, '511534000000-0001', '宜宾高新区政企服务中心', 17, 2024, 4, 28, 1, '2024-08-05 17:01:05', NULL), (5149, 24, '511534000000-0001', '宜宾高新区政企服务中心', 19, 2024, 4, 29, 1, '2024-08-05 17:01:05', NULL), (5150, 24, '511534000000-0001', '宜宾高新区政企服务中心', 6, 2024, 4, 30, 1, '2024-08-05 17:01:05', NULL), (5151, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 5, 1, 1, '2024-08-05 17:01:05', NULL), (5152, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 5, 2, 1, '2024-08-05 17:01:05', NULL), (5153, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 5, 3, 1, '2024-08-05 17:01:05', NULL), (5154, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 5, 4, 1, '2024-08-05 17:01:05', NULL), (5155, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 5, 5, 1, '2024-08-05 17:01:05', NULL), (5156, 24, '511534000000-0001', '宜宾高新区政企服务中心', 17, 2024, 5, 6, 1, '2024-08-05 17:01:05', NULL), (5157, 24, '511534000000-0001', '宜宾高新区政企服务中心', 7, 2024, 5, 7, 1, '2024-08-05 17:01:05', NULL), (5158, 24, '511534000000-0001', '宜宾高新区政企服务中心', 11, 2024, 5, 8, 1, '2024-08-05 17:01:05', NULL), (5159, 24, '511534000000-0001', '宜宾高新区政企服务中心', 16, 2024, 5, 9, 1, '2024-08-05 17:01:05', NULL), (5160, 24, '511534000000-0001', '宜宾高新区政企服务中心', 16, 2024, 5, 10, 1, '2024-08-05 17:01:05', NULL), (5161, 24, '511534000000-0001', '宜宾高新区政企服务中心', 8, 2024, 5, 11, 1, '2024-08-05 17:01:05', NULL), (5162, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 5, 12, 1, '2024-08-05 17:01:05', NULL), (5163, 24, '511534000000-0001', '宜宾高新区政企服务中心', 20, 2024, 5, 13, 1, '2024-08-05 17:01:05', NULL), (5164, 24, '511534000000-0001', '宜宾高新区政企服务中心', 13, 2024, 5, 14, 1, '2024-08-05 17:01:06', NULL), (5165, 24, '511534000000-0001', '宜宾高新区政企服务中心', 25, 2024, 5, 15, 1, '2024-08-05 17:01:06', NULL), (5166, 24, '511534000000-0001', '宜宾高新区政企服务中心', 18, 2024, 5, 16, 1, '2024-08-05 17:01:06', NULL), (5167, 24, '511534000000-0001', '宜宾高新区政企服务中心', 18, 2024, 5, 17, 1, '2024-08-05 17:01:06', NULL), (5168, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 5, 18, 1, '2024-08-05 17:01:06', NULL), (5169, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 5, 19, 1, '2024-08-05 17:01:06', NULL), (5170, 24, '511534000000-0001', '宜宾高新区政企服务中心', 16, 2024, 5, 20, 1, '2024-08-05 17:01:06', NULL), (5171, 24, '511534000000-0001', '宜宾高新区政企服务中心', 23, 2024, 5, 21, 1, '2024-08-05 17:01:06', NULL), (5172, 24, '511534000000-0001', '宜宾高新区政企服务中心', 23, 2024, 5, 22, 1, '2024-08-05 17:01:06', NULL), (5173, 24, '511534000000-0001', '宜宾高新区政企服务中心', 14, 2024, 5, 23, 1, '2024-08-05 17:01:06', NULL), (5174, 24, '511534000000-0001', '宜宾高新区政企服务中心', 20, 2024, 5, 24, 1, '2024-08-05 17:01:06', NULL), (5175, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 5, 25, 1, '2024-08-05 17:01:06', NULL), (5176, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 5, 26, 1, '2024-08-05 17:01:06', NULL), (5177, 24, '511534000000-0001', '宜宾高新区政企服务中心', 18, 2024, 5, 27, 1, '2024-08-05 17:01:06', NULL), (5178, 24, '511534000000-0001', '宜宾高新区政企服务中心', 15, 2024, 5, 28, 1, '2024-08-05 17:01:06', NULL), (5179, 24, '511534000000-0001', '宜宾高新区政企服务中心', 18, 2024, 5, 29, 1, '2024-08-05 17:01:06', NULL), (5180, 24, '511534000000-0001', '宜宾高新区政企服务中心', 21, 2024, 5, 30, 1, '2024-08-05 17:01:06', NULL), (5181, 24, '511534000000-0001', '宜宾高新区政企服务中心', 16, 2024, 5, 31, 1, '2024-08-05 17:01:07', NULL), (5182, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 6, 1, 1, '2024-08-05 17:01:07', NULL), (5183, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 6, 2, 1, '2024-08-05 17:01:07', NULL), (5184, 24, '511534000000-0001', '宜宾高新区政企服务中心', 19, 2024, 6, 3, 1, '2024-08-05 17:01:07', NULL), (5185, 24, '511534000000-0001', '宜宾高新区政企服务中心', 16, 2024, 6, 4, 1, '2024-08-05 17:01:07', NULL), (5186, 24, '511534000000-0001', '宜宾高新区政企服务中心', 21, 2024, 6, 5, 1, '2024-08-05 17:01:07', NULL), (5187, 24, '511534000000-0001', '宜宾高新区政企服务中心', 13, 2024, 6, 6, 1, '2024-08-05 17:01:07', NULL), (5188, 24, '511534000000-0001', '宜宾高新区政企服务中心', 4, 2024, 6, 7, 1, '2024-08-05 17:01:07', NULL), (5189, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 6, 8, 1, '2024-08-05 17:01:07', NULL), (5190, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 6, 9, 1, '2024-08-05 17:01:07', NULL), (5191, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 6, 10, 1, '2024-08-05 17:01:07', NULL), (5192, 24, '511534000000-0001', '宜宾高新区政企服务中心', 4, 2024, 6, 11, 1, '2024-08-05 17:01:07', NULL), (5193, 24, '511534000000-0001', '宜宾高新区政企服务中心', 15, 2024, 6, 12, 1, '2024-08-05 17:01:07', NULL), (5194, 24, '511534000000-0001', '宜宾高新区政企服务中心', 27, 2024, 6, 13, 1, '2024-08-05 17:01:07', NULL), (5195, 24, '511534000000-0001', '宜宾高新区政企服务中心', 22, 2024, 6, 14, 1, '2024-08-05 17:01:07', NULL), (5196, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 6, 15, 1, '2024-08-05 17:01:07', NULL), (5197, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 6, 16, 1, '2024-08-05 17:01:07', NULL), (5198, 24, '511534000000-0001', '宜宾高新区政企服务中心', 15, 2024, 6, 17, 1, '2024-08-05 17:01:07', NULL), (5199, 24, '511534000000-0001', '宜宾高新区政企服务中心', 13, 2024, 6, 18, 1, '2024-08-05 17:01:08', NULL), (5200, 24, '511534000000-0001', '宜宾高新区政企服务中心', 22, 2024, 6, 19, 1, '2024-08-05 17:01:08', NULL), (5201, 24, '511534000000-0001', '宜宾高新区政企服务中心', 14, 2024, 6, 20, 1, '2024-08-05 17:01:08', NULL), (5202, 24, '511534000000-0001', '宜宾高新区政企服务中心', 16, 2024, 6, 21, 1, '2024-08-05 17:01:08', NULL), (5203, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 6, 22, 1, '2024-08-05 17:01:08', NULL), (5204, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 6, 23, 1, '2024-08-05 17:01:08', NULL), (5205, 24, '511534000000-0001', '宜宾高新区政企服务中心', 14, 2024, 6, 24, 1, '2024-08-05 17:01:08', NULL), (5206, 24, '511534000000-0001', '宜宾高新区政企服务中心', 22, 2024, 6, 25, 1, '2024-08-05 17:01:08', NULL), (5207, 24, '511534000000-0001', '宜宾高新区政企服务中心', 1, 2024, 6, 26, 1, '2024-08-05 17:01:08', NULL), (5208, 24, '511534000000-0001', '宜宾高新区政企服务中心', 12, 2024, 6, 27, 1, '2024-08-05 17:01:08', NULL), (5209, 24, '511534000000-0001', '宜宾高新区政企服务中心', 39, 2024, 6, 28, 1, '2024-08-05 17:01:08', NULL), (5210, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 6, 29, 1, '2024-08-05 17:01:08', NULL), (5211, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 6, 30, 1, '2024-08-05 17:01:08', NULL), (5212, 24, '511534000000-0001', '宜宾高新区政企服务中心', 9, 2024, 7, 1, 1, '2024-08-05 17:01:08', NULL), (5213, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 7, 2, 1, '2024-08-05 17:01:08', NULL), (5214, 24, '511534000000-0001', '宜宾高新区政企服务中心', 16, 2024, 7, 3, 1, '2024-08-05 17:01:08', NULL), (5215, 24, '511534000000-0001', '宜宾高新区政企服务中心', 15, 2024, 7, 4, 1, '2024-08-05 17:01:08', NULL), (5216, 24, '511534000000-0001', '宜宾高新区政企服务中心', 5, 2024, 7, 5, 1, '2024-08-05 17:01:08', NULL), (5217, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 7, 6, 1, '2024-08-05 17:01:09', NULL), (5218, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 7, 7, 1, '2024-08-05 17:01:09', NULL), (5219, 24, '511534000000-0001', '宜宾高新区政企服务中心', 13, 2024, 7, 8, 1, '2024-08-05 17:01:09', NULL), (5220, 24, '511534000000-0001', '宜宾高新区政企服务中心', 7, 2024, 7, 9, 1, '2024-08-05 17:01:09', NULL), (5221, 24, '511534000000-0001', '宜宾高新区政企服务中心', 8, 2024, 7, 10, 1, '2024-08-05 17:01:09', NULL), (5222, 24, '511534000000-0001', '宜宾高新区政企服务中心', 10, 2024, 7, 11, 1, '2024-08-05 17:01:09', NULL), (5223, 24, '511534000000-0001', '宜宾高新区政企服务中心', 9, 2024, 7, 12, 1, '2024-08-05 17:01:09', NULL), (5224, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 7, 13, 1, '2024-08-05 17:01:09', NULL), (5225, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 7, 14, 1, '2024-08-05 17:01:09', NULL), (5226, 24, '511534000000-0001', '宜宾高新区政企服务中心', 12, 2024, 7, 15, 1, '2024-08-05 17:01:09', NULL), (5227, 24, '511534000000-0001', '宜宾高新区政企服务中心', 6, 2024, 7, 16, 1, '2024-08-05 17:01:09', NULL), (5228, 24, '511534000000-0001', '宜宾高新区政企服务中心', 5, 2024, 7, 17, 1, '2024-08-05 17:01:09', NULL), (5229, 24, '511534000000-0001', '宜宾高新区政企服务中心', 9, 2024, 7, 18, 1, '2024-08-05 17:01:09', NULL), (5230, 24, '511534000000-0001', '宜宾高新区政企服务中心', 5, 2024, 7, 19, 1, '2024-08-05 17:01:09', NULL), (5231, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 7, 20, 1, '2024-08-05 17:01:09', NULL), (5232, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 7, 21, 1, '2024-08-05 17:01:09', NULL), (5233, 24, '511534000000-0001', '宜宾高新区政企服务中心', 14, 2024, 7, 22, 1, '2024-08-05 17:01:10', NULL), (5234, 24, '511534000000-0001', '宜宾高新区政企服务中心', 10, 2024, 7, 23, 1, '2024-08-05 17:01:10', NULL), (5235, 24, '511534000000-0001', '宜宾高新区政企服务中心', 15, 2024, 7, 24, 1, '2024-08-05 17:01:10', NULL), (5236, 24, '511534000000-0001', '宜宾高新区政企服务中心', 4, 2024, 7, 25, 1, '2024-08-05 17:01:10', NULL), (5237, 24, '511534000000-0001', '宜宾高新区政企服务中心', 9, 2024, 7, 26, 1, '2024-08-05 17:01:10', NULL), (5238, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 7, 27, 1, '2024-08-05 17:01:10', NULL), (5239, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 7, 28, 1, '2024-08-05 17:01:10', NULL), (5240, 24, '511534000000-0001', '宜宾高新区政企服务中心', 8, 2024, 7, 29, 1, '2024-08-05 17:01:10', NULL), (5241, 24, '511534000000-0001', '宜宾高新区政企服务中心', 5, 2024, 7, 30, 1, '2024-08-05 17:01:10', NULL), (5242, 24, '511534000000-0001', '宜宾高新区政企服务中心', 5, 2024, 7, 31, 1, '2024-08-05 17:01:10', NULL), (5243, 24, '511534000000-0001', '宜宾高新区政企服务中心', 8, 2024, 8, 1, 1, '2024-08-05 17:01:10', '2024-08-05 20:14:27'), (5244, 24, '511534000000-0001', '宜宾高新区政企服务中心', 4, 2024, 8, 2, 1, '2024-08-05 17:01:10', '2024-08-06 02:20:03'), (5245, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 8, 3, 1, '2024-08-05 17:01:10', '2024-08-07 01:30:02'), (5246, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 8, 4, 1, '2024-08-05 17:01:10', '2024-08-08 01:30:01'), (5247, 24, '511534000000-0001', '宜宾高新区政企服务中心', 18, 2024, 8, 5, 1, '2024-08-05 17:01:10', '2024-08-09 01:30:01'), (5248, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 1, 1, '2024-08-05 17:15:00', NULL), (5249, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 2, 1, '2024-08-05 17:15:00', NULL), (5250, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 3, 1, '2024-08-05 17:15:00', NULL), (5251, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 4, 1, '2024-08-05 17:15:00', NULL), (5252, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 5, 1, '2024-08-05 17:15:00', NULL), (5253, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 6, 1, '2024-08-05 17:15:00', NULL), (5254, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 7, 1, '2024-08-05 17:15:00', NULL), (5255, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 8, 1, '2024-08-05 17:15:00', NULL), (5256, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 9, 1, '2024-08-05 17:15:00', NULL), (5257, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 10, 1, '2024-08-05 17:15:00', NULL), (5258, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 11, 1, '2024-08-05 17:15:00', NULL), (5259, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 12, 1, '2024-08-05 17:15:00', NULL), (5260, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 13, 1, '2024-08-05 17:15:00', NULL), (5261, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 14, 1, '2024-08-05 17:15:00', NULL), (5262, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 15, 1, '2024-08-05 17:15:00', NULL), (5263, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 16, 1, '2024-08-05 17:15:00', NULL), (5264, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 17, 1, '2024-08-05 17:15:00', NULL), (5265, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 18, 1, '2024-08-05 17:15:00', NULL), (5266, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 19, 1, '2024-08-05 17:15:00', NULL), (5267, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 20, 1, '2024-08-05 17:15:00', NULL), (5268, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 21, 1, '2024-08-05 17:15:00', NULL), (5269, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 22, 1, '2024-08-05 17:15:00', NULL), (5270, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 23, 1, '2024-08-05 17:15:00', NULL), (5271, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 24, 1, '2024-08-05 17:15:01', NULL), (5272, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 25, 1, '2024-08-05 17:15:01', NULL), (5273, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 26, 1, '2024-08-05 17:15:01', NULL), (5274, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 27, 1, '2024-08-05 17:15:01', NULL), (5275, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 28, 1, '2024-08-05 17:15:01', NULL), (5276, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 29, 1, '2024-08-05 17:15:01', NULL), (5277, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 30, 1, '2024-08-05 17:15:01', NULL), (5278, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 1, 31, 1, '2024-08-05 17:15:01', NULL), (5279, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 1, 1, '2024-08-05 17:15:01', NULL), (5280, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 2, 1, '2024-08-05 17:15:01', NULL), (5281, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 3, 1, '2024-08-05 17:15:01', NULL), (5282, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 4, 1, '2024-08-05 17:15:01', NULL), (5283, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 5, 1, '2024-08-05 17:15:01', NULL), (5284, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 6, 1, '2024-08-05 17:15:01', NULL), (5285, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 7, 1, '2024-08-05 17:15:01', NULL), (5286, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 8, 1, '2024-08-05 17:15:01', NULL), (5287, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 9, 1, '2024-08-05 17:15:01', NULL), (5288, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 10, 1, '2024-08-05 17:15:01', NULL), (5289, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 11, 1, '2024-08-05 17:15:01', NULL), (5290, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 12, 1, '2024-08-05 17:15:01', NULL), (5291, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 13, 1, '2024-08-05 17:15:01', NULL), (5292, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 14, 1, '2024-08-05 17:15:01', NULL), (5293, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 15, 1, '2024-08-05 17:15:01', NULL), (5294, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 16, 1, '2024-08-05 17:15:01', NULL), (5295, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 17, 1, '2024-08-05 17:15:02', NULL), (5296, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 18, 1, '2024-08-05 17:15:02', NULL), (5297, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 19, 1, '2024-08-05 17:15:02', NULL), (5298, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 20, 1, '2024-08-05 17:15:02', NULL), (5299, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 21, 1, '2024-08-05 17:15:02', NULL), (5300, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 22, 1, '2024-08-05 17:15:02', NULL), (5301, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 23, 1, '2024-08-05 17:15:02', NULL), (5302, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 24, 1, '2024-08-05 17:15:02', NULL), (5303, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 25, 1, '2024-08-05 17:15:02', NULL), (5304, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 26, 1, '2024-08-05 17:15:02', NULL), (5305, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 27, 1, '2024-08-05 17:15:02', NULL), (5306, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 2, 28, 1, '2024-08-05 17:15:02', NULL), (5307, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 1, 1, '2024-08-05 17:15:02', NULL), (5308, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 2, 1, '2024-08-05 17:15:02', NULL), (5309, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 3, 1, '2024-08-05 17:15:02', NULL), (5310, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 4, 1, '2024-08-05 17:15:02', NULL), (5311, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 5, 1, '2024-08-05 17:15:02', NULL), (5312, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 6, 1, '2024-08-05 17:15:02', NULL), (5313, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 7, 1, '2024-08-05 17:15:02', NULL), (5314, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 8, 1, '2024-08-05 17:15:02', NULL), (5315, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 9, 1, '2024-08-05 17:15:02', NULL), (5316, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 10, 1, '2024-08-05 17:15:02', NULL), (5317, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 11, 1, '2024-08-05 17:15:03', NULL), (5318, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 12, 1, '2024-08-05 17:15:03', NULL), (5319, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 13, 1, '2024-08-05 17:15:03', NULL), (5320, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 14, 1, '2024-08-05 17:15:03', NULL), (5321, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 15, 1, '2024-08-05 17:15:03', NULL), (5322, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 16, 1, '2024-08-05 17:15:03', NULL), (5323, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 17, 1, '2024-08-05 17:15:03', NULL), (5324, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 18, 1, '2024-08-05 17:15:03', NULL), (5325, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 19, 1, '2024-08-05 17:15:03', NULL), (5326, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 20, 1, '2024-08-05 17:15:03', NULL), (5327, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 21, 1, '2024-08-05 17:15:03', NULL), (5328, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 22, 1, '2024-08-05 17:15:03', NULL), (5329, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 23, 1, '2024-08-05 17:15:03', NULL), (5330, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 24, 1, '2024-08-05 17:15:03', NULL), (5331, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 25, 1, '2024-08-05 17:15:03', NULL), (5332, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 26, 1, '2024-08-05 17:15:03', NULL), (5333, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 27, 1, '2024-08-05 17:15:03', NULL), (5334, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 28, 1, '2024-08-05 17:15:03', NULL), (5335, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 29, 1, '2024-08-05 17:15:03', NULL), (5336, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 30, 1, '2024-08-05 17:15:03', NULL), (5337, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 3, 31, 1, '2024-08-05 17:15:03', NULL), (5338, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 1, 1, '2024-08-05 17:15:03', NULL), (5339, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 2, 1, '2024-08-05 17:15:04', NULL), (5340, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 3, 1, '2024-08-05 17:15:04', NULL), (5341, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 4, 1, '2024-08-05 17:15:04', NULL), (5342, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 5, 1, '2024-08-05 17:15:04', NULL), (5343, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 6, 1, '2024-08-05 17:15:04', NULL), (5344, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 7, 1, '2024-08-05 17:15:04', NULL), (5345, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 8, 1, '2024-08-05 17:15:04', NULL), (5346, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 9, 1, '2024-08-05 17:15:04', NULL), (5347, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 10, 1, '2024-08-05 17:15:04', NULL), (5348, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 11, 1, '2024-08-05 17:15:04', NULL), (5349, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 12, 1, '2024-08-05 17:15:04', NULL), (5350, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 13, 1, '2024-08-05 17:15:04', NULL), (5351, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 14, 1, '2024-08-05 17:15:04', NULL), (5352, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 15, 1, '2024-08-05 17:15:04', NULL), (5353, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 16, 1, '2024-08-05 17:15:04', NULL), (5354, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 17, 1, '2024-08-05 17:15:04', NULL), (5355, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 18, 1, '2024-08-05 17:15:04', NULL), (5356, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 19, 1, '2024-08-05 17:15:04', NULL), (5357, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 20, 1, '2024-08-05 17:15:04', NULL), (5358, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 21, 1, '2024-08-05 17:15:04', NULL), (5359, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 22, 1, '2024-08-05 17:15:05', NULL), (5360, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 23, 1, '2024-08-05 17:15:05', NULL), (5361, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 24, 1, '2024-08-05 17:15:05', NULL), (5362, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 25, 1, '2024-08-05 17:15:05', NULL), (5363, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 26, 1, '2024-08-05 17:15:05', NULL), (5364, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 27, 1, '2024-08-05 17:15:05', NULL), (5365, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 28, 1, '2024-08-05 17:15:05', NULL), (5366, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 29, 1, '2024-08-05 17:15:05', NULL), (5367, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 4, 30, 1, '2024-08-05 17:15:05', NULL), (5368, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 1, 1, '2024-08-05 17:15:05', NULL), (5369, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 2, 1, '2024-08-05 17:15:05', NULL), (5370, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 3, 1, '2024-08-05 17:15:05', NULL), (5371, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 4, 1, '2024-08-05 17:15:05', NULL), (5372, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 5, 1, '2024-08-05 17:15:05', NULL), (5373, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 6, 1, '2024-08-05 17:15:05', NULL), (5374, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 7, 1, '2024-08-05 17:15:05', NULL), (5375, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 8, 1, '2024-08-05 17:15:05', NULL), (5376, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 9, 1, '2024-08-05 17:15:05', NULL), (5377, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 10, 1, '2024-08-05 17:15:05', NULL), (5378, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 11, 1, '2024-08-05 17:15:05', NULL), (5379, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 12, 1, '2024-08-05 17:15:06', NULL), (5380, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 13, 1, '2024-08-05 17:15:06', NULL), (5381, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 14, 1, '2024-08-05 17:15:06', NULL), (5382, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 15, 1, '2024-08-05 17:15:06', NULL), (5383, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 16, 1, '2024-08-05 17:15:06', NULL), (5384, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 17, 1, '2024-08-05 17:15:06', NULL), (5385, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 18, 1, '2024-08-05 17:15:06', NULL), (5386, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 19, 1, '2024-08-05 17:15:06', NULL), (5387, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 20, 1, '2024-08-05 17:15:06', NULL), (5388, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 21, 1, '2024-08-05 17:15:06', NULL), (5389, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 22, 1, '2024-08-05 17:15:06', NULL), (5390, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 23, 1, '2024-08-05 17:15:06', NULL), (5391, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 24, 1, '2024-08-05 17:15:06', NULL), (5392, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 25, 1, '2024-08-05 17:15:06', NULL), (5393, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 26, 1, '2024-08-05 17:15:06', NULL), (5394, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 27, 1, '2024-08-05 17:15:06', NULL), (5395, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 28, 1, '2024-08-05 17:15:06', NULL), (5396, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 29, 1, '2024-08-05 17:15:06', NULL), (5397, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 30, 1, '2024-08-05 17:15:06', NULL), (5398, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 5, 31, 1, '2024-08-05 17:15:06', NULL), (5399, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 1, 1, '2024-08-05 17:15:06', NULL), (5400, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 2, 1, '2024-08-05 17:15:07', NULL), (5401, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 3, 1, '2024-08-05 17:15:07', NULL), (5402, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 4, 1, '2024-08-05 17:15:07', NULL), (5403, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 5, 1, '2024-08-05 17:15:07', NULL), (5404, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 6, 1, '2024-08-05 17:15:07', NULL), (5405, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 7, 1, '2024-08-05 17:15:07', NULL), (5406, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 8, 1, '2024-08-05 17:15:07', NULL), (5407, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 9, 1, '2024-08-05 17:15:07', NULL), (5408, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 10, 1, '2024-08-05 17:15:07', NULL), (5409, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 11, 1, '2024-08-05 17:15:07', NULL), (5410, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 12, 1, '2024-08-05 17:15:07', NULL), (5411, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 13, 1, '2024-08-05 17:15:07', NULL), (5412, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 14, 1, '2024-08-05 17:15:07', NULL), (5413, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 15, 1, '2024-08-05 17:15:07', NULL), (5414, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 16, 1, '2024-08-05 17:15:07', NULL), (5415, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 17, 1, '2024-08-05 17:15:07', NULL), (5416, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 18, 1, '2024-08-05 17:15:07', NULL), (5417, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 19, 1, '2024-08-05 17:15:07', NULL), (5418, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 20, 1, '2024-08-05 17:15:07', NULL), (5419, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 21, 1, '2024-08-05 17:15:07', NULL), (5420, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 22, 1, '2024-08-05 17:15:08', NULL), (5421, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 23, 1, '2024-08-05 17:15:08', NULL), (5422, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 24, 1, '2024-08-05 17:15:08', NULL), (5423, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 25, 1, '2024-08-05 17:15:08', NULL), (5424, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 26, 1, '2024-08-05 17:15:08', NULL), (5425, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 27, 1, '2024-08-05 17:15:08', NULL), (5426, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 28, 1, '2024-08-05 17:15:08', NULL), (5427, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 29, 1, '2024-08-05 17:15:08', NULL), (5428, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 6, 30, 1, '2024-08-05 17:15:08', NULL), (5429, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 1, 1, '2024-08-05 17:15:08', NULL), (5430, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 2, 1, '2024-08-05 17:15:08', NULL), (5431, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 3, 1, '2024-08-05 17:15:08', NULL), (5432, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 4, 1, '2024-08-05 17:15:08', NULL), (5433, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 5, 1, '2024-08-05 17:15:08', NULL), (5434, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 6, 1, '2024-08-05 17:15:08', NULL), (5435, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 7, 1, '2024-08-05 17:15:08', NULL), (5436, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 8, 1, '2024-08-05 17:15:08', NULL), (5437, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 9, 1, '2024-08-05 17:15:08', NULL), (5438, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 10, 1, '2024-08-05 17:15:08', NULL), (5439, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 11, 1, '2024-08-05 17:15:08', NULL), (5440, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 12, 1, '2024-08-05 17:15:09', NULL), (5441, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 13, 1, '2024-08-05 17:15:09', NULL), (5442, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 14, 1, '2024-08-05 17:15:09', NULL), (5443, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 15, 1, '2024-08-05 17:15:09', NULL), (5444, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 16, 1, '2024-08-05 17:15:09', NULL), (5445, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 17, 1, '2024-08-05 17:15:09', NULL), (5446, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 18, 1, '2024-08-05 17:15:09', NULL), (5447, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 19, 1, '2024-08-05 17:15:09', NULL), (5448, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 20, 1, '2024-08-05 17:15:09', NULL), (5449, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 21, 1, '2024-08-05 17:15:09', NULL), (5450, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 22, 1, '2024-08-05 17:15:09', NULL), (5451, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 23, 1, '2024-08-05 17:15:09', NULL), (5452, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 24, 1, '2024-08-05 17:15:09', NULL), (5453, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 25, 1, '2024-08-05 17:15:09', NULL), (5454, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 26, 1, '2024-08-05 17:15:09', NULL), (5455, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 27, 1, '2024-08-05 17:15:09', NULL), (5456, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 28, 1, '2024-08-05 17:15:09', NULL), (5457, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 29, 1, '2024-08-05 17:15:09', NULL), (5458, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 30, 1, '2024-08-05 17:15:09', NULL), (5459, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 7, 31, 1, '2024-08-05 17:15:10', NULL), (5460, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 1, 1, '2024-08-05 17:15:10', NULL), (5461, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 2, 1, '2024-08-05 17:15:10', NULL), (5462, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 3, 1, '2024-08-05 17:15:10', NULL), (5463, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 4, 1, '2024-08-05 17:15:10', NULL), (5464, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 5, 1, '2024-08-05 17:15:10', NULL), (5465, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 6, 1, '2024-08-05 17:15:10', NULL), (5466, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 7, 1, '2024-08-05 17:15:10', NULL), (5467, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 8, 1, '2024-08-05 17:15:10', NULL), (5468, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 9, 1, '2024-08-05 17:15:10', NULL), (5469, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 10, 1, '2024-08-05 17:15:10', NULL), (5470, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 11, 1, '2024-08-05 17:15:10', NULL), (5471, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 12, 1, '2024-08-05 17:15:10', NULL), (5472, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 13, 1, '2024-08-05 17:15:10', NULL), (5473, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 14, 1, '2024-08-05 17:15:10', NULL), (5474, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 15, 1, '2024-08-05 17:15:10', NULL), (5475, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 16, 1, '2024-08-05 17:15:10', NULL), (5476, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 17, 1, '2024-08-05 17:15:10', NULL), (5477, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 18, 1, '2024-08-05 17:15:10', NULL), (5478, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 19, 1, '2024-08-05 17:15:10', NULL), (5479, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 20, 1, '2024-08-05 17:15:10', NULL), (5480, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 21, 1, '2024-08-05 17:15:10', NULL), (5481, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 22, 1, '2024-08-05 17:15:10', NULL), (5482, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 23, 1, '2024-08-05 17:15:11', NULL), (5483, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 24, 1, '2024-08-05 17:15:11', NULL), (5484, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 25, 1, '2024-08-05 17:15:11', NULL), (5485, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 26, 1, '2024-08-05 17:15:11', NULL), (5486, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 27, 1, '2024-08-05 17:15:11', NULL), (5487, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 28, 1, '2024-08-05 17:15:11', NULL), (5488, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 29, 1, '2024-08-05 17:15:11', NULL), (5489, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 30, 1, '2024-08-05 17:15:11', NULL), (5490, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 8, 31, 1, '2024-08-05 17:15:11', NULL), (5491, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 1, 1, '2024-08-05 17:15:11', NULL), (5492, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 2, 1, '2024-08-05 17:15:11', NULL), (5493, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 3, 1, '2024-08-05 17:15:11', NULL), (5494, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 4, 1, '2024-08-05 17:15:11', NULL), (5495, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 5, 1, '2024-08-05 17:15:11', NULL), (5496, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 6, 1, '2024-08-05 17:15:11', NULL), (5497, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 7, 1, '2024-08-05 17:15:11', NULL), (5498, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 8, 1, '2024-08-05 17:15:11', NULL), (5499, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 9, 1, '2024-08-05 17:15:11', NULL), (5500, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 10, 1, '2024-08-05 17:15:11', NULL), (5501, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 11, 1, '2024-08-05 17:15:11', NULL), (5502, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 12, 1, '2024-08-05 17:15:11', NULL), (5503, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 13, 1, '2024-08-05 17:15:11', NULL), (5504, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 14, 1, '2024-08-05 17:15:11', NULL), (5505, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 15, 1, '2024-08-05 17:15:11', NULL), (5506, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 16, 1, '2024-08-05 17:15:11', NULL), (5507, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 17, 1, '2024-08-05 17:15:12', NULL), (5508, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 18, 1, '2024-08-05 17:15:12', NULL), (5509, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 19, 1, '2024-08-05 17:15:12', NULL), (5510, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 20, 1, '2024-08-05 17:15:12', NULL), (5511, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 21, 1, '2024-08-05 17:15:12', NULL), (5512, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 22, 1, '2024-08-05 17:15:12', NULL), (5513, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 23, 1, '2024-08-05 17:15:12', NULL), (5514, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 24, 1, '2024-08-05 17:15:12', NULL), (5515, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 25, 1, '2024-08-05 17:15:12', NULL), (5516, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 26, 1, '2024-08-05 17:15:12', NULL), (5517, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 27, 1, '2024-08-05 17:15:12', NULL), (5518, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 28, 1, '2024-08-05 17:15:12', NULL), (5519, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 29, 1, '2024-08-05 17:15:12', NULL), (5520, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 9, 30, 1, '2024-08-05 17:15:12', NULL), (5521, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 1, 1, '2024-08-05 17:15:12', NULL), (5522, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 2, 1, '2024-08-05 17:15:12', NULL), (5523, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 3, 1, '2024-08-05 17:15:12', NULL), (5524, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 4, 1, '2024-08-05 17:15:12', NULL), (5525, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 5, 1, '2024-08-05 17:15:12', NULL), (5526, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 6, 1, '2024-08-05 17:15:12', NULL), (5527, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 7, 1, '2024-08-05 17:15:12', NULL), (5528, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 8, 1, '2024-08-05 17:15:12', NULL), (5529, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 9, 1, '2024-08-05 17:15:12', NULL), (5530, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 10, 1, '2024-08-05 17:15:12', NULL), (5531, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 11, 1, '2024-08-05 17:15:12', NULL), (5532, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 12, 1, '2024-08-05 17:15:12', NULL), (5533, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 13, 1, '2024-08-05 17:15:12', NULL), (5534, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 14, 1, '2024-08-05 17:15:13', NULL), (5535, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 15, 1, '2024-08-05 17:15:13', NULL), (5536, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 16, 1, '2024-08-05 17:15:13', NULL), (5537, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 17, 1, '2024-08-05 17:15:13', NULL), (5538, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 18, 1, '2024-08-05 17:15:13', NULL), (5539, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 19, 1, '2024-08-05 17:15:13', NULL), (5540, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 20, 1, '2024-08-05 17:15:13', NULL), (5541, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 21, 1, '2024-08-05 17:15:13', NULL), (5542, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 22, 1, '2024-08-05 17:15:13', NULL), (5543, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 23, 1, '2024-08-05 17:15:13', NULL), (5544, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 24, 1, '2024-08-05 17:15:13', NULL), (5545, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 25, 1, '2024-08-05 17:15:13', NULL), (5546, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 26, 1, '2024-08-05 17:15:13', NULL), (5547, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 27, 1, '2024-08-05 17:15:13', NULL), (5548, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 28, 1, '2024-08-05 17:15:13', NULL), (5549, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 29, 1, '2024-08-05 17:15:13', NULL), (5550, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 30, 1, '2024-08-05 17:15:13', NULL), (5551, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 10, 31, 1, '2024-08-05 17:15:13', NULL), (5552, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 1, 1, '2024-08-05 17:15:13', NULL), (5553, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 2, 1, '2024-08-05 17:15:13', NULL), (5554, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 3, 1, '2024-08-05 17:15:13', NULL), (5555, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 4, 1, '2024-08-05 17:15:13', NULL), (5556, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 5, 1, '2024-08-05 17:15:13', NULL), (5557, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 6, 1, '2024-08-05 17:15:13', NULL), (5558, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 7, 1, '2024-08-05 17:15:13', NULL), (5559, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 8, 1, '2024-08-05 17:15:13', NULL), (5560, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 9, 1, '2024-08-05 17:15:14', NULL), (5561, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 10, 1, '2024-08-05 17:15:14', NULL), (5562, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 11, 1, '2024-08-05 17:15:14', NULL), (5563, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 12, 1, '2024-08-05 17:15:14', NULL), (5564, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 13, 1, '2024-08-05 17:15:14', NULL), (5565, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 14, 1, '2024-08-05 17:15:14', NULL), (5566, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 15, 1, '2024-08-05 17:15:14', NULL), (5567, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 16, 1, '2024-08-05 17:15:14', NULL), (5568, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 17, 1, '2024-08-05 17:15:14', NULL), (5569, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 18, 1, '2024-08-05 17:15:14', NULL), (5570, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 19, 1, '2024-08-05 17:15:14', NULL), (5571, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 20, 1, '2024-08-05 17:15:14', NULL), (5572, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 21, 1, '2024-08-05 17:15:14', NULL), (5573, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 22, 1, '2024-08-05 17:15:14', NULL), (5574, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 23, 1, '2024-08-05 17:15:14', NULL), (5575, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 24, 1, '2024-08-05 17:15:14', NULL), (5576, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 25, 1, '2024-08-05 17:15:14', NULL), (5577, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 26, 1, '2024-08-05 17:15:14', NULL), (5578, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 27, 1, '2024-08-05 17:15:14', NULL), (5579, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 28, 1, '2024-08-05 17:15:14', NULL), (5580, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 29, 1, '2024-08-05 17:15:14', NULL), (5581, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 11, 30, 1, '2024-08-05 17:15:15', NULL), (5582, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 1, 1, '2024-08-05 17:15:15', NULL), (5583, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 2, 1, '2024-08-05 17:15:15', NULL), (5584, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 3, 1, '2024-08-05 17:15:15', NULL), (5585, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 4, 1, '2024-08-05 17:15:15', NULL), (5586, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 5, 1, '2024-08-05 17:15:15', NULL), (5587, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 6, 1, '2024-08-05 17:15:15', NULL), (5588, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 7, 1, '2024-08-05 17:15:15', NULL), (5589, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 8, 1, '2024-08-05 17:15:15', NULL), (5590, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 9, 1, '2024-08-05 17:15:15', NULL), (5591, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 10, 1, '2024-08-05 17:15:15', NULL), (5592, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 11, 1, '2024-08-05 17:15:15', NULL), (5593, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 12, 1, '2024-08-05 17:15:15', NULL), (5594, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 13, 1, '2024-08-05 17:15:15', NULL), (5595, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 14, 1, '2024-08-05 17:15:15', NULL), (5596, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 15, 1, '2024-08-05 17:15:15', NULL), (5597, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 16, 1, '2024-08-05 17:15:15', NULL), (5598, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 17, 1, '2024-08-05 17:15:15', NULL), (5599, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 18, 1, '2024-08-05 17:15:15', NULL), (5600, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 19, 1, '2024-08-05 17:15:15', NULL), (5601, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 20, 1, '2024-08-05 17:15:15', NULL), (5602, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 21, 1, '2024-08-05 17:15:15', NULL), (5603, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 22, 1, '2024-08-05 17:15:16', NULL), (5604, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 23, 1, '2024-08-05 17:15:16', NULL), (5605, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 24, 1, '2024-08-05 17:15:16', NULL), (5606, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 25, 1, '2024-08-05 17:15:16', NULL), (5607, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 26, 1, '2024-08-05 17:15:16', NULL), (5608, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 27, 1, '2024-08-05 17:15:16', NULL), (5609, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 28, 1, '2024-08-05 17:15:16', NULL), (5610, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 29, 1, '2024-08-05 17:15:16', NULL), (5611, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 30, 1, '2024-08-05 17:15:16', NULL), (5612, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2023, 12, 31, 1, '2024-08-05 17:15:16', NULL), (5613, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 1, 1, '2024-08-05 17:15:16', NULL), (5614, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 2, 1, '2024-08-05 17:15:16', NULL), (5615, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 3, 1, '2024-08-05 17:15:16', NULL), (5616, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 4, 1, '2024-08-05 17:15:16', NULL), (5617, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 5, 1, '2024-08-05 17:15:16', NULL), (5618, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 6, 1, '2024-08-05 17:15:16', NULL), (5619, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 7, 1, '2024-08-05 17:15:16', NULL), (5620, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 8, 1, '2024-08-05 17:15:16', NULL), (5621, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 9, 1, '2024-08-05 17:15:17', NULL), (5622, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 10, 1, '2024-08-05 17:15:17', NULL), (5623, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 11, 1, '2024-08-05 17:15:17', NULL), (5624, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 12, 1, '2024-08-05 17:15:17', NULL), (5625, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 13, 1, '2024-08-05 17:15:17', NULL), (5626, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 14, 1, '2024-08-05 17:15:17', NULL), (5627, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 15, 1, '2024-08-05 17:15:17', NULL), (5628, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 16, 1, '2024-08-05 17:15:17', NULL), (5629, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 17, 1, '2024-08-05 17:15:17', NULL), (5630, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 18, 1, '2024-08-05 17:15:17', NULL), (5631, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 19, 1, '2024-08-05 17:15:17', NULL), (5632, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 20, 1, '2024-08-05 17:15:17', NULL), (5633, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 21, 1, '2024-08-05 17:15:17', NULL), (5634, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 22, 1, '2024-08-05 17:15:17', NULL), (5635, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 23, 1, '2024-08-05 17:15:17', NULL), (5636, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 24, 1, '2024-08-05 17:15:18', NULL), (5637, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 25, 1, '2024-08-05 17:15:18', NULL), (5638, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 26, 1, '2024-08-05 17:15:18', NULL), (5639, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 27, 1, '2024-08-05 17:15:18', NULL), (5640, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 28, 1, '2024-08-05 17:15:18', NULL), (5641, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 29, 1, '2024-08-05 17:15:18', NULL), (5642, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 30, 1, '2024-08-05 17:15:18', NULL), (5643, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 1, 31, 1, '2024-08-05 17:15:18', NULL), (5644, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 1, 1, '2024-08-05 17:15:18', NULL), (5645, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 2, 1, '2024-08-05 17:15:18', NULL), (5646, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 3, 1, '2024-08-05 17:15:18', NULL), (5647, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 4, 1, '2024-08-05 17:15:18', NULL), (5648, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 5, 1, '2024-08-05 17:15:18', NULL), (5649, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 6, 1, '2024-08-05 17:15:18', NULL), (5650, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 7, 1, '2024-08-05 17:15:18', NULL), (5651, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 8, 1, '2024-08-05 17:15:18', NULL), (5652, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 9, 1, '2024-08-05 17:15:19', NULL), (5653, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 10, 1, '2024-08-05 17:15:19', NULL), (5654, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 11, 1, '2024-08-05 17:15:19', NULL), (5655, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 12, 1, '2024-08-05 17:15:19', NULL), (5656, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 13, 1, '2024-08-05 17:15:19', NULL), (5657, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 14, 1, '2024-08-05 17:15:19', NULL), (5658, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 15, 1, '2024-08-05 17:15:19', NULL), (5659, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 16, 1, '2024-08-05 17:15:19', NULL), (5660, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 17, 1, '2024-08-05 17:15:19', NULL), (5661, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 18, 1, '2024-08-05 17:15:19', NULL), (5662, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 19, 1, '2024-08-05 17:15:19', NULL), (5663, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 20, 1, '2024-08-05 17:15:19', NULL), (5664, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 21, 1, '2024-08-05 17:15:19', NULL), (5665, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 22, 1, '2024-08-05 17:15:19', NULL), (5666, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 23, 1, '2024-08-05 17:15:20', NULL), (5667, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 24, 1, '2024-08-05 17:15:20', NULL), (5668, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 25, 1, '2024-08-05 17:15:20', NULL), (5669, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 26, 1, '2024-08-05 17:15:20', NULL), (5670, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 27, 1, '2024-08-05 17:15:20', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (5671, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 28, 1, '2024-08-05 17:15:20', NULL), (5672, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 2, 29, 1, '2024-08-05 17:15:20', NULL), (5673, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 1, 1, '2024-08-05 17:15:20', NULL), (5674, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 2, 1, '2024-08-05 17:15:20', NULL), (5675, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 3, 1, '2024-08-05 17:15:20', NULL), (5676, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 4, 1, '2024-08-05 17:15:20', NULL), (5677, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 5, 1, '2024-08-05 17:15:21', NULL), (5678, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 6, 1, '2024-08-05 17:15:21', NULL), (5679, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 7, 1, '2024-08-05 17:15:21', NULL), (5680, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 8, 1, '2024-08-05 17:15:21', NULL), (5681, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 9, 1, '2024-08-05 17:15:21', NULL), (5682, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 10, 1, '2024-08-05 17:15:21', NULL), (5683, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 11, 1, '2024-08-05 17:15:21', NULL), (5684, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 12, 1, '2024-08-05 17:15:21', NULL), (5685, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 13, 1, '2024-08-05 17:15:21', NULL), (5686, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 14, 1, '2024-08-05 17:15:21', NULL), (5687, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 15, 1, '2024-08-05 17:15:21', NULL), (5688, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 16, 1, '2024-08-05 17:15:22', NULL), (5689, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 17, 1, '2024-08-05 17:15:22', NULL), (5690, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 18, 1, '2024-08-05 17:15:22', NULL), (5691, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 19, 1, '2024-08-05 17:15:22', NULL), (5692, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 20, 1, '2024-08-05 17:15:22', NULL), (5693, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 21, 1, '2024-08-05 17:15:22', NULL), (5694, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 22, 1, '2024-08-05 17:15:22', NULL), (5695, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 23, 1, '2024-08-05 17:15:22', NULL), (5696, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 24, 1, '2024-08-05 17:15:22', NULL), (5697, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 25, 1, '2024-08-05 17:15:22', NULL), (5698, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 26, 1, '2024-08-05 17:15:23', NULL), (5699, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 27, 1, '2024-08-05 17:15:23', NULL), (5700, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 28, 1, '2024-08-05 17:15:23', NULL), (5701, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 29, 1, '2024-08-05 17:15:23', NULL), (5702, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 30, 1, '2024-08-05 17:15:23', NULL), (5703, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 3, 31, 1, '2024-08-05 17:15:23', NULL), (5704, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 4, 1, 1, '2024-08-05 17:15:23', NULL), (5705, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 4, 2, 1, '2024-08-05 17:15:23', NULL), (5706, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 4, 3, 1, '2024-08-05 17:15:23', NULL), (5707, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 4, 4, 1, '2024-08-05 17:15:23', NULL), (5708, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 4, 5, 1, '2024-08-05 17:15:23', NULL), (5709, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 4, 6, 1, '2024-08-05 17:15:24', NULL), (5710, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 4, 7, 1, '2024-08-05 17:15:24', NULL), (5711, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 4, 8, 1, '2024-08-05 17:15:24', NULL), (5712, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 4, 9, 1, '2024-08-05 17:15:24', NULL), (5713, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 1, 2024, 4, 10, 1, '2024-08-05 17:15:24', NULL), (5714, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 15, 2024, 4, 11, 1, '2024-08-05 17:15:24', NULL), (5715, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 33, 2024, 4, 12, 1, '2024-08-05 17:15:24', NULL), (5716, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 4, 13, 1, '2024-08-05 17:15:24', NULL), (5717, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 4, 14, 1, '2024-08-05 17:15:24', NULL), (5718, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 8, 2024, 4, 15, 1, '2024-08-05 17:15:24', NULL), (5719, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 3, 2024, 4, 16, 1, '2024-08-05 17:15:25', NULL), (5720, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 15, 2024, 4, 17, 1, '2024-08-05 17:15:25', NULL), (5721, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 3, 2024, 4, 18, 1, '2024-08-05 17:15:25', NULL), (5722, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 4, 19, 1, '2024-08-05 17:15:25', NULL), (5723, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 4, 20, 1, '2024-08-05 17:15:25', NULL), (5724, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 4, 21, 1, '2024-08-05 17:15:25', NULL), (5725, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 1, 2024, 4, 22, 1, '2024-08-05 17:15:25', NULL), (5726, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 5, 2024, 4, 23, 1, '2024-08-05 17:15:25', NULL), (5727, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 9, 2024, 4, 24, 1, '2024-08-05 17:15:25', NULL), (5728, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 13, 2024, 4, 25, 1, '2024-08-05 17:15:25', NULL), (5729, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 35, 2024, 4, 26, 1, '2024-08-05 17:15:26', NULL), (5730, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 4, 27, 1, '2024-08-05 17:15:26', NULL), (5731, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 6, 2024, 4, 28, 1, '2024-08-05 17:15:26', NULL), (5732, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 19, 2024, 4, 29, 1, '2024-08-05 17:15:26', NULL), (5733, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 10, 2024, 4, 30, 1, '2024-08-05 17:15:26', NULL), (5734, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 5, 1, 1, '2024-08-05 17:15:26', NULL), (5735, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 5, 2, 1, '2024-08-05 17:15:26', NULL), (5736, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 5, 3, 1, '2024-08-05 17:15:26', NULL), (5737, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 5, 4, 1, '2024-08-05 17:15:26', NULL), (5738, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 5, 5, 1, '2024-08-05 17:15:26', NULL), (5739, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 2, 2024, 5, 6, 1, '2024-08-05 17:15:26', NULL), (5740, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 8, 2024, 5, 7, 1, '2024-08-05 17:15:27', NULL), (5741, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 6, 2024, 5, 8, 1, '2024-08-05 17:15:27', NULL), (5742, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 7, 2024, 5, 9, 1, '2024-08-05 17:15:27', NULL), (5743, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 26, 2024, 5, 10, 1, '2024-08-05 17:15:27', NULL), (5744, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 12, 2024, 5, 11, 1, '2024-08-05 17:15:27', NULL), (5745, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 5, 12, 1, '2024-08-05 17:15:27', NULL), (5746, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 26, 2024, 5, 13, 1, '2024-08-05 17:15:27', NULL), (5747, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 24, 2024, 5, 14, 1, '2024-08-05 17:15:27', NULL), (5748, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 18, 2024, 5, 15, 1, '2024-08-05 17:15:27', NULL), (5749, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 20, 2024, 5, 16, 1, '2024-08-05 17:15:27', NULL), (5750, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 15, 2024, 5, 17, 1, '2024-08-05 17:15:28', NULL), (5751, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 5, 18, 1, '2024-08-05 17:15:28', NULL), (5752, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 5, 19, 1, '2024-08-05 17:15:28', NULL), (5753, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 18, 2024, 5, 20, 1, '2024-08-05 17:15:28', NULL), (5754, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 17, 2024, 5, 21, 1, '2024-08-05 17:15:28', NULL), (5755, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 11, 2024, 5, 22, 1, '2024-08-05 17:15:28', NULL), (5756, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 23, 2024, 5, 23, 1, '2024-08-05 17:15:28', NULL), (5757, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 16, 2024, 5, 24, 1, '2024-08-05 17:15:28', NULL), (5758, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 5, 25, 1, '2024-08-05 17:15:28', NULL), (5759, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 5, 26, 1, '2024-08-05 17:15:28', NULL), (5760, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 8, 2024, 5, 27, 1, '2024-08-05 17:15:28', NULL), (5761, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 10, 2024, 5, 28, 1, '2024-08-05 17:15:29', NULL), (5762, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 12, 2024, 5, 29, 1, '2024-08-05 17:15:29', NULL), (5763, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 9, 2024, 5, 30, 1, '2024-08-05 17:15:29', NULL), (5764, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 13, 2024, 5, 31, 1, '2024-08-05 17:15:29', NULL), (5765, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 1, 2024, 6, 1, 1, '2024-08-05 17:15:29', NULL), (5766, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 6, 2, 1, '2024-08-05 17:15:29', NULL), (5767, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 9, 2024, 6, 3, 1, '2024-08-05 17:15:29', NULL), (5768, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 16, 2024, 6, 4, 1, '2024-08-05 17:15:29', NULL), (5769, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 17, 2024, 6, 5, 1, '2024-08-05 17:15:29', NULL), (5770, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 15, 2024, 6, 6, 1, '2024-08-05 17:15:29', NULL), (5771, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 5, 2024, 6, 7, 1, '2024-08-05 17:15:30', NULL), (5772, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 6, 8, 1, '2024-08-05 17:15:30', NULL), (5773, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 6, 9, 1, '2024-08-05 17:15:30', NULL), (5774, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 6, 10, 1, '2024-08-05 17:15:30', NULL), (5775, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 24, 2024, 6, 11, 1, '2024-08-05 17:15:30', NULL), (5776, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 25, 2024, 6, 12, 1, '2024-08-05 17:15:30', NULL), (5777, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 16, 2024, 6, 13, 1, '2024-08-05 17:15:30', NULL), (5778, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 21, 2024, 6, 14, 1, '2024-08-05 17:15:30', NULL), (5779, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 6, 15, 1, '2024-08-05 17:15:30', NULL), (5780, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 6, 16, 1, '2024-08-05 17:15:30', NULL), (5781, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 9, 2024, 6, 17, 1, '2024-08-05 17:15:31', NULL), (5782, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 19, 2024, 6, 18, 1, '2024-08-05 17:15:31', NULL), (5783, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 28, 2024, 6, 19, 1, '2024-08-05 17:15:31', NULL), (5784, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 26, 2024, 6, 20, 1, '2024-08-05 17:15:31', NULL), (5785, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 15, 2024, 6, 21, 1, '2024-08-05 17:15:31', NULL), (5786, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 6, 22, 1, '2024-08-05 17:15:31', NULL), (5787, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 6, 23, 1, '2024-08-05 17:15:31', NULL), (5788, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 24, 2024, 6, 24, 1, '2024-08-05 17:15:31', NULL), (5789, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 27, 2024, 6, 25, 1, '2024-08-05 17:15:31', NULL), (5790, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 4, 2024, 6, 26, 1, '2024-08-05 17:15:31', NULL), (5791, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 9, 2024, 6, 27, 1, '2024-08-05 17:15:31', NULL), (5792, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 19, 2024, 6, 28, 1, '2024-08-05 17:15:32', NULL), (5793, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 6, 29, 1, '2024-08-05 17:15:32', NULL), (5794, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 6, 30, 1, '2024-08-05 17:15:32', NULL), (5795, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 14, 2024, 7, 1, 1, '2024-08-05 17:15:32', NULL), (5796, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 7, 2024, 7, 2, 1, '2024-08-05 17:15:32', NULL), (5797, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 15, 2024, 7, 3, 1, '2024-08-05 17:15:32', NULL), (5798, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 19, 2024, 7, 4, 1, '2024-08-05 17:15:32', NULL), (5799, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 15, 2024, 7, 5, 1, '2024-08-05 17:15:32', NULL), (5800, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 7, 6, 1, '2024-08-05 17:15:32', NULL), (5801, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 7, 7, 1, '2024-08-05 17:15:32', NULL), (5802, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 14, 2024, 7, 8, 1, '2024-08-05 17:15:33', NULL), (5803, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 14, 2024, 7, 9, 1, '2024-08-05 17:15:33', NULL), (5804, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 15, 2024, 7, 10, 1, '2024-08-05 17:15:33', NULL), (5805, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 20, 2024, 7, 11, 1, '2024-08-05 17:15:33', NULL), (5806, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 11, 2024, 7, 12, 1, '2024-08-05 17:15:33', NULL), (5807, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 7, 13, 1, '2024-08-05 17:15:33', NULL), (5808, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 7, 14, 1, '2024-08-05 17:15:33', NULL), (5809, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 13, 2024, 7, 15, 1, '2024-08-05 17:15:33', NULL), (5810, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 14, 2024, 7, 16, 1, '2024-08-05 17:15:33', NULL), (5811, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 13, 2024, 7, 17, 1, '2024-08-05 17:15:33', NULL), (5812, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 7, 2024, 7, 18, 1, '2024-08-05 17:15:34', NULL), (5813, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 10, 2024, 7, 19, 1, '2024-08-05 17:15:34', NULL), (5814, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 7, 20, 1, '2024-08-05 17:15:34', NULL), (5815, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 7, 21, 1, '2024-08-05 17:15:34', NULL), (5816, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 2, 2024, 7, 22, 1, '2024-08-05 17:15:34', NULL), (5817, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 3, 2024, 7, 23, 1, '2024-08-05 17:15:34', NULL), (5818, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 14, 2024, 7, 24, 1, '2024-08-05 17:15:34', NULL), (5819, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 5, 2024, 7, 25, 1, '2024-08-05 17:15:34', NULL), (5820, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 26, 2024, 7, 26, 1, '2024-08-05 17:15:34', NULL), (5821, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 7, 27, 1, '2024-08-05 17:15:34', NULL), (5822, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 7, 28, 1, '2024-08-05 17:15:35', NULL), (5823, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 10, 2024, 7, 29, 1, '2024-08-05 17:15:35', NULL), (5824, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 15, 2024, 7, 30, 1, '2024-08-05 17:15:35', NULL), (5825, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 4, 2024, 7, 31, 1, '2024-08-05 17:15:35', NULL), (5826, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 2, 2024, 8, 1, 1, '2024-08-05 17:15:35', '2024-08-05 20:14:33'), (5827, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 23, 2024, 8, 2, 1, '2024-08-05 17:15:35', '2024-08-06 02:20:03'), (5828, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 8, 3, 1, '2024-08-05 17:15:35', '2024-08-07 01:30:02'), (5829, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 8, 4, 1, '2024-08-05 17:15:35', '2024-08-08 01:30:01'), (5830, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 7, 2024, 8, 5, 1, '2024-08-05 17:15:35', '2024-08-09 01:30:02'), (5831, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 1, 1, '2024-08-05 17:27:16', NULL), (5832, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 2, 1, '2024-08-05 17:27:16', NULL), (5833, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 3, 1, '2024-08-05 17:27:16', NULL), (5834, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 4, 1, '2024-08-05 17:27:16', NULL), (5835, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 5, 1, '2024-08-05 17:27:16', NULL), (5836, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 6, 1, '2024-08-05 17:27:16', NULL), (5837, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 7, 1, '2024-08-05 17:27:16', NULL), (5838, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 8, 1, '2024-08-05 17:27:16', NULL), (5839, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 9, 1, '2024-08-05 17:27:16', NULL), (5840, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 10, 1, '2024-08-05 17:27:16', NULL), (5841, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 11, 1, '2024-08-05 17:27:16', NULL), (5842, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 12, 1, '2024-08-05 17:27:16', NULL), (5843, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 13, 1, '2024-08-05 17:27:16', NULL), (5844, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 14, 1, '2024-08-05 17:27:17', NULL), (5845, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 15, 1, '2024-08-05 17:27:17', NULL), (5846, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 16, 1, '2024-08-05 17:27:17', NULL), (5847, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 17, 1, '2024-08-05 17:27:17', NULL), (5848, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 18, 1, '2024-08-05 17:27:17', NULL), (5849, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 19, 1, '2024-08-05 17:27:17', NULL), (5850, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 20, 1, '2024-08-05 17:27:17', NULL), (5851, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 21, 1, '2024-08-05 17:27:17', NULL), (5852, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 22, 1, '2024-08-05 17:27:17', NULL), (5853, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 23, 1, '2024-08-05 17:27:17', NULL), (5854, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 24, 1, '2024-08-05 17:27:17', NULL), (5855, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 25, 1, '2024-08-05 17:27:17', NULL), (5856, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 26, 1, '2024-08-05 17:27:17', NULL), (5857, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 27, 1, '2024-08-05 17:27:17', NULL), (5858, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 28, 1, '2024-08-05 17:27:17', NULL), (5859, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 29, 1, '2024-08-05 17:27:17', NULL), (5860, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 30, 1, '2024-08-05 17:27:17', NULL), (5861, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 1, 31, 1, '2024-08-05 17:27:17', NULL), (5862, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 1, 1, '2024-08-05 17:27:17', NULL), (5863, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 2, 1, '2024-08-05 17:27:17', NULL), (5864, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 3, 1, '2024-08-05 17:27:17', NULL), (5865, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 4, 1, '2024-08-05 17:27:18', NULL), (5866, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 5, 1, '2024-08-05 17:27:18', NULL), (5867, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 6, 1, '2024-08-05 17:27:18', NULL), (5868, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 7, 1, '2024-08-05 17:27:18', NULL), (5869, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 8, 1, '2024-08-05 17:27:18', NULL), (5870, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 9, 1, '2024-08-05 17:27:18', NULL), (5871, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 10, 1, '2024-08-05 17:27:18', NULL), (5872, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 11, 1, '2024-08-05 17:27:18', NULL), (5873, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 12, 1, '2024-08-05 17:27:18', NULL), (5874, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 13, 1, '2024-08-05 17:27:18', NULL), (5875, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 14, 1, '2024-08-05 17:27:18', NULL), (5876, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 15, 1, '2024-08-05 17:27:18', NULL), (5877, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 16, 1, '2024-08-05 17:27:18', NULL), (5878, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 17, 1, '2024-08-05 17:27:18', NULL), (5879, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 18, 1, '2024-08-05 17:27:18', NULL), (5880, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 19, 1, '2024-08-05 17:27:18', NULL), (5881, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 20, 1, '2024-08-05 17:27:18', NULL), (5882, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 21, 1, '2024-08-05 17:27:18', NULL), (5883, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 22, 1, '2024-08-05 17:27:18', NULL), (5884, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 23, 1, '2024-08-05 17:27:18', NULL), (5885, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 24, 1, '2024-08-05 17:27:18', NULL), (5886, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 25, 1, '2024-08-05 17:27:18', NULL), (5887, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 26, 1, '2024-08-05 17:27:18', NULL), (5888, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 27, 1, '2024-08-05 17:27:19', NULL), (5889, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 2, 28, 1, '2024-08-05 17:27:19', NULL), (5890, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 1, 1, '2024-08-05 17:27:19', NULL), (5891, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 2, 1, '2024-08-05 17:27:19', NULL), (5892, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 3, 1, '2024-08-05 17:27:19', NULL), (5893, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 4, 1, '2024-08-05 17:27:19', NULL), (5894, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 5, 1, '2024-08-05 17:27:19', NULL), (5895, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 6, 1, '2024-08-05 17:27:19', NULL), (5896, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 7, 1, '2024-08-05 17:27:19', NULL), (5897, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 8, 1, '2024-08-05 17:27:19', NULL), (5898, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 9, 1, '2024-08-05 17:27:19', NULL), (5899, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 10, 1, '2024-08-05 17:27:19', NULL), (5900, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 11, 1, '2024-08-05 17:27:19', NULL), (5901, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 12, 1, '2024-08-05 17:27:19', NULL), (5902, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 13, 1, '2024-08-05 17:27:19', NULL), (5903, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 14, 1, '2024-08-05 17:27:19', NULL), (5904, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 15, 1, '2024-08-05 17:27:19', NULL), (5905, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 16, 1, '2024-08-05 17:27:19', NULL), (5906, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 17, 1, '2024-08-05 17:27:19', NULL), (5907, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 18, 1, '2024-08-05 17:27:19', NULL), (5908, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 19, 1, '2024-08-05 17:27:20', NULL), (5909, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 20, 1, '2024-08-05 17:27:20', NULL), (5910, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 21, 1, '2024-08-05 17:27:20', NULL), (5911, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 22, 1, '2024-08-05 17:27:20', NULL), (5912, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 23, 1, '2024-08-05 17:27:20', NULL), (5913, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 24, 1, '2024-08-05 17:27:20', NULL), (5914, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 25, 1, '2024-08-05 17:27:20', NULL), (5915, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 26, 1, '2024-08-05 17:27:20', NULL), (5916, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 27, 1, '2024-08-05 17:27:20', NULL), (5917, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 28, 1, '2024-08-05 17:27:20', NULL), (5918, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 29, 1, '2024-08-05 17:27:20', NULL), (5919, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 30, 1, '2024-08-05 17:27:20', NULL), (5920, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 3, 31, 1, '2024-08-05 17:27:20', NULL), (5921, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 1, 1, '2024-08-05 17:27:20', NULL), (5922, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 2, 1, '2024-08-05 17:27:20', NULL), (5923, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 3, 1, '2024-08-05 17:27:20', NULL), (5924, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 4, 1, '2024-08-05 17:27:20', NULL), (5925, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 5, 1, '2024-08-05 17:27:20', NULL), (5926, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 6, 1, '2024-08-05 17:27:20', NULL), (5927, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 7, 1, '2024-08-05 17:27:21', NULL), (5928, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 8, 1, '2024-08-05 17:27:21', NULL), (5929, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 9, 1, '2024-08-05 17:27:21', NULL), (5930, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 10, 1, '2024-08-05 17:27:21', NULL), (5931, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 11, 1, '2024-08-05 17:27:21', NULL), (5932, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 12, 1, '2024-08-05 17:27:21', NULL), (5933, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 13, 1, '2024-08-05 17:27:21', NULL), (5934, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 14, 1, '2024-08-05 17:27:21', NULL), (5935, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 15, 1, '2024-08-05 17:27:21', NULL), (5936, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 16, 1, '2024-08-05 17:27:21', NULL), (5937, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 17, 1, '2024-08-05 17:27:21', NULL), (5938, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 18, 1, '2024-08-05 17:27:21', NULL), (5939, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 19, 1, '2024-08-05 17:27:21', NULL), (5940, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 20, 1, '2024-08-05 17:27:21', NULL), (5941, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 21, 1, '2024-08-05 17:27:21', NULL), (5942, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 22, 1, '2024-08-05 17:27:21', NULL), (5943, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 23, 1, '2024-08-05 17:27:21', NULL), (5944, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 24, 1, '2024-08-05 17:27:21', NULL), (5945, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 25, 1, '2024-08-05 17:27:21', NULL), (5946, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 26, 1, '2024-08-05 17:27:21', NULL), (5947, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 27, 1, '2024-08-05 17:27:22', NULL), (5948, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 28, 1, '2024-08-05 17:27:22', NULL), (5949, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 29, 1, '2024-08-05 17:27:22', NULL), (5950, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 4, 30, 1, '2024-08-05 17:27:22', NULL), (5951, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 1, 1, '2024-08-05 17:27:22', NULL), (5952, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 2, 1, '2024-08-05 17:27:22', NULL), (5953, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 3, 1, '2024-08-05 17:27:22', NULL), (5954, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 4, 1, '2024-08-05 17:27:22', NULL), (5955, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 5, 1, '2024-08-05 17:27:22', NULL), (5956, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 6, 1, '2024-08-05 17:27:22', NULL), (5957, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 7, 1, '2024-08-05 17:27:22', NULL), (5958, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 8, 1, '2024-08-05 17:27:22', NULL), (5959, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 9, 1, '2024-08-05 17:27:22', NULL), (5960, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 10, 1, '2024-08-05 17:27:22', NULL), (5961, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 11, 1, '2024-08-05 17:27:22', NULL), (5962, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 12, 1, '2024-08-05 17:27:22', NULL), (5963, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 13, 1, '2024-08-05 17:27:22', NULL), (5964, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 14, 1, '2024-08-05 17:27:22', NULL), (5965, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 15, 1, '2024-08-05 17:27:22', NULL), (5966, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 16, 1, '2024-08-05 17:27:23', NULL), (5967, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 17, 1, '2024-08-05 17:27:23', NULL), (5968, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 18, 1, '2024-08-05 17:27:23', NULL), (5969, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 19, 1, '2024-08-05 17:27:23', NULL), (5970, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 20, 1, '2024-08-05 17:27:23', NULL), (5971, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 21, 1, '2024-08-05 17:27:23', NULL), (5972, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 22, 1, '2024-08-05 17:27:23', NULL), (5973, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 23, 1, '2024-08-05 17:27:23', NULL), (5974, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 24, 1, '2024-08-05 17:27:23', NULL), (5975, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 25, 1, '2024-08-05 17:27:23', NULL), (5976, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 26, 1, '2024-08-05 17:27:23', NULL), (5977, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 27, 1, '2024-08-05 17:27:23', NULL), (5978, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 28, 1, '2024-08-05 17:27:23', NULL), (5979, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 29, 1, '2024-08-05 17:27:23', NULL), (5980, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 30, 1, '2024-08-05 17:27:23', NULL), (5981, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 5, 31, 1, '2024-08-05 17:27:23', NULL), (5982, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 1, 1, '2024-08-05 17:27:23', NULL), (5983, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 2, 1, '2024-08-05 17:27:23', NULL), (5984, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 3, 1, '2024-08-05 17:27:24', NULL), (5985, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 4, 1, '2024-08-05 17:27:24', NULL), (5986, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 5, 1, '2024-08-05 17:27:24', NULL), (5987, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 6, 1, '2024-08-05 17:27:24', NULL), (5988, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 7, 1, '2024-08-05 17:27:24', NULL), (5989, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 8, 1, '2024-08-05 17:27:24', NULL), (5990, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 9, 1, '2024-08-05 17:27:24', NULL), (5991, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 10, 1, '2024-08-05 17:27:24', NULL), (5992, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 11, 1, '2024-08-05 17:27:24', NULL), (5993, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 12, 1, '2024-08-05 17:27:24', NULL), (5994, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 13, 1, '2024-08-05 17:27:24', NULL), (5995, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 14, 1, '2024-08-05 17:27:24', NULL), (5996, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 15, 1, '2024-08-05 17:27:24', NULL), (5997, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 16, 1, '2024-08-05 17:27:24', NULL), (5998, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 17, 1, '2024-08-05 17:27:24', NULL), (5999, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 18, 1, '2024-08-05 17:27:24', NULL), (6000, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 19, 1, '2024-08-05 17:27:25', NULL), (6001, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 20, 1, '2024-08-05 17:27:25', NULL), (6002, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 21, 1, '2024-08-05 17:27:25', NULL), (6003, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 22, 1, '2024-08-05 17:27:25', NULL), (6004, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 23, 1, '2024-08-05 17:27:25', NULL), (6005, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 24, 1, '2024-08-05 17:27:25', NULL), (6006, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 25, 1, '2024-08-05 17:27:25', NULL), (6007, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 26, 1, '2024-08-05 17:27:25', NULL), (6008, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 27, 1, '2024-08-05 17:27:25', NULL), (6009, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 28, 1, '2024-08-05 17:27:25', NULL), (6010, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 29, 1, '2024-08-05 17:27:25', NULL), (6011, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 6, 30, 1, '2024-08-05 17:27:25', NULL), (6012, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 1, 1, '2024-08-05 17:27:25', NULL), (6013, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 2, 1, '2024-08-05 17:27:25', NULL), (6014, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 3, 1, '2024-08-05 17:27:25', NULL), (6015, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 4, 1, '2024-08-05 17:27:25', NULL), (6016, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 5, 1, '2024-08-05 17:27:25', NULL), (6017, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 6, 1, '2024-08-05 17:27:26', NULL), (6018, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 7, 1, '2024-08-05 17:27:26', NULL), (6019, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 8, 1, '2024-08-05 17:27:26', NULL), (6020, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 9, 1, '2024-08-05 17:27:26', NULL), (6021, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 10, 1, '2024-08-05 17:27:26', NULL), (6022, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 11, 1, '2024-08-05 17:27:26', NULL), (6023, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 12, 1, '2024-08-05 17:27:26', NULL), (6024, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 13, 1, '2024-08-05 17:27:26', NULL), (6025, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 14, 1, '2024-08-05 17:27:26', NULL), (6026, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 15, 1, '2024-08-05 17:27:26', NULL), (6027, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 16, 1, '2024-08-05 17:27:26', NULL), (6028, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 17, 1, '2024-08-05 17:27:26', NULL), (6029, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 18, 1, '2024-08-05 17:27:26', NULL), (6030, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 19, 1, '2024-08-05 17:27:27', NULL), (6031, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 20, 1, '2024-08-05 17:27:27', NULL), (6032, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 21, 1, '2024-08-05 17:27:27', NULL), (6033, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 22, 1, '2024-08-05 17:27:27', NULL), (6034, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 23, 1, '2024-08-05 17:27:27', NULL), (6035, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 24, 1, '2024-08-05 17:27:27', NULL), (6036, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 25, 1, '2024-08-05 17:27:27', NULL), (6037, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 26, 1, '2024-08-05 17:27:27', NULL), (6038, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 27, 1, '2024-08-05 17:27:27', NULL), (6039, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 28, 1, '2024-08-05 17:27:27', NULL), (6040, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 29, 1, '2024-08-05 17:27:27', NULL), (6041, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 30, 1, '2024-08-05 17:27:27', NULL), (6042, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 7, 31, 1, '2024-08-05 17:27:28', NULL), (6043, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 1, 1, '2024-08-05 17:27:28', NULL), (6044, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 2, 1, '2024-08-05 17:27:28', NULL), (6045, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 3, 1, '2024-08-05 17:27:28', NULL), (6046, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 4, 1, '2024-08-05 17:27:28', NULL), (6047, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 5, 1, '2024-08-05 17:27:28', NULL), (6048, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 6, 1, '2024-08-05 17:27:28', NULL), (6049, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 7, 1, '2024-08-05 17:27:28', NULL), (6050, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 8, 1, '2024-08-05 17:27:28', NULL), (6051, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 9, 1, '2024-08-05 17:27:28', NULL), (6052, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 10, 1, '2024-08-05 17:27:28', NULL), (6053, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 11, 1, '2024-08-05 17:27:28', NULL), (6054, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 12, 1, '2024-08-05 17:27:28', NULL), (6055, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 13, 1, '2024-08-05 17:27:28', NULL), (6056, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 14, 1, '2024-08-05 17:27:29', NULL), (6057, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 15, 1, '2024-08-05 17:27:29', NULL), (6058, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 16, 1, '2024-08-05 17:27:29', NULL), (6059, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 17, 1, '2024-08-05 17:27:29', NULL), (6060, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 18, 1, '2024-08-05 17:27:29', NULL), (6061, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 19, 1, '2024-08-05 17:27:29', NULL), (6062, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 20, 1, '2024-08-05 17:27:29', NULL), (6063, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 21, 1, '2024-08-05 17:27:29', NULL), (6064, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 22, 1, '2024-08-05 17:27:29', NULL), (6065, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 23, 1, '2024-08-05 17:27:29', NULL), (6066, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 24, 1, '2024-08-05 17:27:29', NULL), (6067, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 25, 1, '2024-08-05 17:27:29', NULL), (6068, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 26, 1, '2024-08-05 17:27:29', NULL), (6069, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 27, 1, '2024-08-05 17:27:29', NULL), (6070, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 28, 1, '2024-08-05 17:27:30', NULL), (6071, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 29, 1, '2024-08-05 17:27:30', NULL), (6072, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 30, 1, '2024-08-05 17:27:30', NULL), (6073, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 8, 31, 1, '2024-08-05 17:27:30', NULL), (6074, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 1, 1, '2024-08-05 17:27:30', NULL), (6075, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 2, 1, '2024-08-05 17:27:30', NULL), (6076, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 3, 1, '2024-08-05 17:27:30', NULL), (6077, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 4, 1, '2024-08-05 17:27:30', NULL), (6078, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 5, 1, '2024-08-05 17:27:30', NULL), (6079, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 6, 1, '2024-08-05 17:27:30', NULL), (6080, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 7, 1, '2024-08-05 17:27:30', NULL), (6081, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 8, 1, '2024-08-05 17:27:30', NULL), (6082, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 9, 1, '2024-08-05 17:27:30', NULL), (6083, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 10, 1, '2024-08-05 17:27:30', NULL), (6084, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 11, 1, '2024-08-05 17:27:30', NULL), (6085, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 12, 1, '2024-08-05 17:27:30', NULL), (6086, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 13, 1, '2024-08-05 17:27:31', NULL), (6087, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 14, 1, '2024-08-05 17:27:31', NULL), (6088, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 15, 1, '2024-08-05 17:27:31', NULL), (6089, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 16, 1, '2024-08-05 17:27:31', NULL), (6090, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 17, 1, '2024-08-05 17:27:31', NULL), (6091, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 18, 1, '2024-08-05 17:27:31', NULL), (6092, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 19, 1, '2024-08-05 17:27:31', NULL), (6093, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 20, 1, '2024-08-05 17:27:31', NULL), (6094, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 21, 1, '2024-08-05 17:27:31', NULL), (6095, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 22, 1, '2024-08-05 17:27:31', NULL), (6096, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 23, 1, '2024-08-05 17:27:31', NULL), (6097, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 24, 1, '2024-08-05 17:27:31', NULL), (6098, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 25, 1, '2024-08-05 17:27:31', NULL), (6099, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 26, 1, '2024-08-05 17:27:31', NULL), (6100, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 27, 1, '2024-08-05 17:27:31', NULL), (6101, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 28, 1, '2024-08-05 17:27:32', NULL), (6102, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 29, 1, '2024-08-05 17:27:32', NULL), (6103, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 9, 30, 1, '2024-08-05 17:27:32', NULL), (6104, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 1, 1, '2024-08-05 17:27:32', NULL), (6105, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 2, 1, '2024-08-05 17:27:32', NULL), (6106, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 3, 1, '2024-08-05 17:27:32', NULL), (6107, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 4, 1, '2024-08-05 17:27:32', NULL), (6108, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 5, 1, '2024-08-05 17:27:32', NULL), (6109, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 6, 1, '2024-08-05 17:27:32', NULL), (6110, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 7, 1, '2024-08-05 17:27:32', NULL), (6111, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 8, 1, '2024-08-05 17:27:32', NULL), (6112, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 9, 1, '2024-08-05 17:27:32', NULL), (6113, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 10, 1, '2024-08-05 17:27:32', NULL), (6114, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 11, 1, '2024-08-05 17:27:32', NULL), (6115, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 12, 1, '2024-08-05 17:27:32', NULL), (6116, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 13, 1, '2024-08-05 17:27:32', NULL), (6117, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 14, 1, '2024-08-05 17:27:32', NULL), (6118, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 15, 1, '2024-08-05 17:27:33', NULL), (6119, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 16, 1, '2024-08-05 17:27:33', NULL), (6120, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 17, 1, '2024-08-05 17:27:33', NULL), (6121, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 18, 1, '2024-08-05 17:27:33', NULL), (6122, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 19, 1, '2024-08-05 17:27:33', NULL), (6123, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 20, 1, '2024-08-05 17:27:33', NULL), (6124, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 21, 1, '2024-08-05 17:27:33', NULL), (6125, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 22, 1, '2024-08-05 17:27:33', NULL), (6126, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 23, 1, '2024-08-05 17:27:33', NULL), (6127, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 24, 1, '2024-08-05 17:27:33', NULL), (6128, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 25, 1, '2024-08-05 17:27:33', NULL), (6129, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 26, 1, '2024-08-05 17:27:33', NULL), (6130, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 27, 1, '2024-08-05 17:27:33', NULL), (6131, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 28, 1, '2024-08-05 17:27:33', NULL), (6132, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 29, 1, '2024-08-05 17:27:33', NULL), (6133, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 30, 1, '2024-08-05 17:27:33', NULL), (6134, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 10, 31, 1, '2024-08-05 17:27:33', NULL), (6135, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 1, 1, '2024-08-05 17:27:33', NULL), (6136, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 2, 1, '2024-08-05 17:27:34', NULL), (6137, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 3, 1, '2024-08-05 17:27:34', NULL), (6138, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 4, 1, '2024-08-05 17:27:34', NULL), (6139, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 5, 1, '2024-08-05 17:27:34', NULL), (6140, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 6, 1, '2024-08-05 17:27:34', NULL), (6141, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 7, 1, '2024-08-05 17:27:34', NULL), (6142, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 8, 1, '2024-08-05 17:27:34', NULL), (6143, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 9, 1, '2024-08-05 17:27:34', NULL), (6144, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 10, 1, '2024-08-05 17:27:34', NULL), (6145, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 11, 1, '2024-08-05 17:27:34', NULL), (6146, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 12, 1, '2024-08-05 17:27:34', NULL), (6147, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 13, 1, '2024-08-05 17:27:34', NULL), (6148, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 14, 1, '2024-08-05 17:27:34', NULL), (6149, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 15, 1, '2024-08-05 17:27:34', NULL), (6150, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 16, 1, '2024-08-05 17:27:35', NULL), (6151, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 17, 1, '2024-08-05 17:27:35', NULL), (6152, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 18, 1, '2024-08-05 17:27:35', NULL), (6153, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 19, 1, '2024-08-05 17:27:35', NULL), (6154, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 20, 1, '2024-08-05 17:27:35', NULL), (6155, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 21, 1, '2024-08-05 17:27:35', NULL), (6156, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 22, 1, '2024-08-05 17:27:35', NULL), (6157, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 23, 1, '2024-08-05 17:27:35', NULL), (6158, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 24, 1, '2024-08-05 17:27:35', NULL), (6159, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 25, 1, '2024-08-05 17:27:35', NULL), (6160, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 26, 1, '2024-08-05 17:27:35', NULL), (6161, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 27, 1, '2024-08-05 17:27:35', NULL), (6162, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 28, 1, '2024-08-05 17:27:35', NULL), (6163, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 29, 1, '2024-08-05 17:27:35', NULL), (6164, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 11, 30, 1, '2024-08-05 17:27:36', NULL), (6165, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 1, 1, '2024-08-05 17:27:36', NULL), (6166, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 2, 1, '2024-08-05 17:27:36', NULL), (6167, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 3, 1, '2024-08-05 17:27:36', NULL), (6168, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 4, 1, '2024-08-05 17:27:36', NULL), (6169, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 5, 1, '2024-08-05 17:27:36', NULL), (6170, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 6, 1, '2024-08-05 17:27:36', NULL), (6171, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 7, 1, '2024-08-05 17:27:36', NULL), (6172, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 8, 1, '2024-08-05 17:27:36', NULL), (6173, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 9, 1, '2024-08-05 17:27:36', NULL), (6174, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 10, 1, '2024-08-05 17:27:36', NULL), (6175, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 11, 1, '2024-08-05 17:27:36', NULL), (6176, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 12, 1, '2024-08-05 17:27:36', NULL), (6177, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 13, 1, '2024-08-05 17:27:36', NULL), (6178, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 14, 1, '2024-08-05 17:27:37', NULL), (6179, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 15, 1, '2024-08-05 17:27:37', NULL), (6180, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 16, 1, '2024-08-05 17:27:37', NULL), (6181, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 17, 1, '2024-08-05 17:27:37', NULL), (6182, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 18, 1, '2024-08-05 17:27:37', NULL), (6183, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 19, 1, '2024-08-05 17:27:37', NULL), (6184, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 20, 1, '2024-08-05 17:27:37', NULL), (6185, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 21, 1, '2024-08-05 17:27:37', NULL), (6186, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 22, 1, '2024-08-05 17:27:37', NULL), (6187, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 23, 1, '2024-08-05 17:27:37', NULL), (6188, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 24, 1, '2024-08-05 17:27:37', NULL), (6189, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 25, 1, '2024-08-05 17:27:37', NULL), (6190, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 26, 1, '2024-08-05 17:27:37', NULL), (6191, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 27, 1, '2024-08-05 17:27:38', NULL), (6192, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 28, 1, '2024-08-05 17:27:38', NULL), (6193, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 29, 1, '2024-08-05 17:27:38', NULL), (6194, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 30, 1, '2024-08-05 17:27:38', NULL), (6195, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2023, 12, 31, 1, '2024-08-05 17:27:38', NULL), (6196, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 1, 1, '2024-08-05 17:27:38', NULL), (6197, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 2, 1, '2024-08-05 17:27:38', NULL), (6198, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 3, 1, '2024-08-05 17:27:38', NULL), (6199, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 4, 1, '2024-08-05 17:27:38', NULL), (6200, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 5, 1, '2024-08-05 17:27:38', NULL), (6201, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 6, 1, '2024-08-05 17:27:38', NULL), (6202, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 7, 1, '2024-08-05 17:27:38', NULL), (6203, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 8, 1, '2024-08-05 17:27:39', NULL), (6204, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 9, 1, '2024-08-05 17:27:39', NULL), (6205, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 10, 1, '2024-08-05 17:27:39', NULL), (6206, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 11, 1, '2024-08-05 17:27:39', NULL), (6207, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 12, 1, '2024-08-05 17:27:39', NULL), (6208, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 13, 1, '2024-08-05 17:27:39', NULL), (6209, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 14, 1, '2024-08-05 17:27:39', NULL), (6210, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 15, 1, '2024-08-05 17:27:39', NULL), (6211, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 16, 1, '2024-08-05 17:27:39', NULL), (6212, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 17, 1, '2024-08-05 17:27:39', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (6213, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 18, 1, '2024-08-05 17:27:39', NULL), (6214, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 19, 1, '2024-08-05 17:27:40', NULL), (6215, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 20, 1, '2024-08-05 17:27:40', NULL), (6216, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 21, 1, '2024-08-05 17:27:40', NULL), (6217, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 22, 1, '2024-08-05 17:27:40', NULL), (6218, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 23, 1, '2024-08-05 17:27:40', NULL), (6219, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 24, 1, '2024-08-05 17:27:40', NULL), (6220, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 25, 1, '2024-08-05 17:27:40', NULL), (6221, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 26, 1, '2024-08-05 17:27:40', NULL), (6222, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 27, 1, '2024-08-05 17:27:40', NULL), (6223, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 28, 1, '2024-08-05 17:27:40', NULL), (6224, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 29, 1, '2024-08-05 17:27:40', NULL), (6225, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 30, 1, '2024-08-05 17:27:41', NULL), (6226, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 1, 31, 1, '2024-08-05 17:27:41', NULL), (6227, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 1, 1, '2024-08-05 17:27:41', NULL), (6228, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 2, 1, '2024-08-05 17:27:41', NULL), (6229, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 3, 1, '2024-08-05 17:27:41', NULL), (6230, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 4, 1, '2024-08-05 17:27:41', NULL), (6231, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 5, 1, '2024-08-05 17:27:41', NULL), (6232, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 6, 1, '2024-08-05 17:27:41', NULL), (6233, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 7, 1, '2024-08-05 17:27:41', NULL), (6234, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 8, 1, '2024-08-05 17:27:41', NULL), (6235, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 9, 1, '2024-08-05 17:27:41', NULL), (6236, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 10, 1, '2024-08-05 17:27:41', NULL), (6237, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 11, 1, '2024-08-05 17:27:42', NULL), (6238, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 12, 1, '2024-08-05 17:27:42', NULL), (6239, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 13, 1, '2024-08-05 17:27:42', NULL), (6240, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 14, 1, '2024-08-05 17:27:42', NULL), (6241, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 15, 1, '2024-08-05 17:27:42', NULL), (6242, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 16, 1, '2024-08-05 17:27:42', NULL), (6243, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 17, 1, '2024-08-05 17:27:42', NULL), (6244, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 18, 1, '2024-08-05 17:27:42', NULL), (6245, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 19, 1, '2024-08-05 17:27:42', NULL), (6246, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 20, 1, '2024-08-05 17:27:42', NULL), (6247, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 21, 1, '2024-08-05 17:27:42', NULL), (6248, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 22, 1, '2024-08-05 17:27:43', NULL), (6249, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 23, 1, '2024-08-05 17:27:43', NULL), (6250, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 24, 1, '2024-08-05 17:27:43', NULL), (6251, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 25, 1, '2024-08-05 17:27:43', NULL), (6252, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 26, 1, '2024-08-05 17:27:43', NULL), (6253, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 27, 1, '2024-08-05 17:27:43', NULL), (6254, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 28, 1, '2024-08-05 17:27:43', NULL), (6255, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 2, 29, 1, '2024-08-05 17:27:43', NULL), (6256, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 1, 1, '2024-08-05 17:27:43', NULL), (6257, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 2, 1, '2024-08-05 17:27:43', NULL), (6258, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 3, 1, '2024-08-05 17:27:43', NULL), (6259, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 4, 1, '2024-08-05 17:27:44', NULL), (6260, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 5, 1, '2024-08-05 17:27:44', NULL), (6261, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 6, 1, '2024-08-05 17:27:44', NULL), (6262, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 7, 1, '2024-08-05 17:27:44', NULL), (6263, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 8, 1, '2024-08-05 17:27:44', NULL), (6264, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 9, 1, '2024-08-05 17:27:44', NULL), (6265, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 10, 1, '2024-08-05 17:27:44', NULL), (6266, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 11, 1, '2024-08-05 17:27:44', NULL), (6267, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 12, 1, '2024-08-05 17:27:44', NULL), (6268, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 13, 1, '2024-08-05 17:27:44', NULL), (6269, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 14, 1, '2024-08-05 17:27:45', NULL), (6270, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 15, 1, '2024-08-05 17:27:45', NULL), (6271, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 16, 1, '2024-08-05 17:27:45', NULL), (6272, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 17, 1, '2024-08-05 17:27:45', NULL), (6273, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 18, 1, '2024-08-05 17:27:45', NULL), (6274, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 19, 1, '2024-08-05 17:27:45', NULL), (6275, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 20, 1, '2024-08-05 17:27:45', NULL), (6276, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 21, 1, '2024-08-05 17:27:45', NULL), (6277, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 22, 1, '2024-08-05 17:27:45', NULL), (6278, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 23, 1, '2024-08-05 17:27:45', NULL), (6279, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 24, 1, '2024-08-05 17:27:45', NULL), (6280, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 25, 1, '2024-08-05 17:27:46', NULL), (6281, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 26, 1, '2024-08-05 17:27:46', NULL), (6282, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 27, 1, '2024-08-05 17:27:46', NULL), (6283, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 28, 1, '2024-08-05 17:27:46', NULL), (6284, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 29, 1, '2024-08-05 17:27:46', NULL), (6285, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 30, 1, '2024-08-05 17:27:46', NULL), (6286, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 3, 31, 1, '2024-08-05 17:27:46', NULL), (6287, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 1, 1, '2024-08-05 17:27:46', NULL), (6288, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 2, 1, '2024-08-05 17:27:46', NULL), (6289, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 3, 1, '2024-08-05 17:27:46', NULL), (6290, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 4, 1, '2024-08-05 17:27:47', NULL), (6291, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 5, 1, '2024-08-05 17:27:47', NULL), (6292, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 6, 1, '2024-08-05 17:27:47', NULL), (6293, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 7, 1, '2024-08-05 17:27:47', NULL), (6294, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 8, 1, '2024-08-05 17:27:47', NULL), (6295, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 9, 1, '2024-08-05 17:27:47', NULL), (6296, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 10, 1, '2024-08-05 17:27:47', NULL), (6297, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 11, 1, '2024-08-05 17:27:47', NULL), (6298, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 12, 1, '2024-08-05 17:27:47', NULL), (6299, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 13, 1, '2024-08-05 17:27:47', NULL), (6300, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 14, 1, '2024-08-05 17:27:48', NULL), (6301, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 15, 1, '2024-08-05 17:27:48', NULL), (6302, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 16, 1, '2024-08-05 17:27:48', NULL), (6303, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 17, 1, '2024-08-05 17:27:48', NULL), (6304, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 18, 1, '2024-08-05 17:27:48', NULL), (6305, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 19, 1, '2024-08-05 17:27:48', NULL), (6306, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 20, 1, '2024-08-05 17:27:48', NULL), (6307, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 21, 1, '2024-08-05 17:27:48', NULL), (6308, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 22, 1, '2024-08-05 17:27:48', NULL), (6309, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 23, 1, '2024-08-05 17:27:48', NULL), (6310, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 24, 1, '2024-08-05 17:27:48', NULL), (6311, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 25, 1, '2024-08-05 17:27:49', NULL), (6312, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 26, 1, '2024-08-05 17:27:49', NULL), (6313, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 27, 1, '2024-08-05 17:27:49', NULL), (6314, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 28, 1, '2024-08-05 17:27:49', NULL), (6315, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 29, 1, '2024-08-05 17:27:49', NULL), (6316, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 4, 30, 1, '2024-08-05 17:27:49', NULL), (6317, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 1, 1, '2024-08-05 17:27:49', NULL), (6318, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 2, 1, '2024-08-05 17:27:49', NULL), (6319, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 3, 1, '2024-08-05 17:27:49', NULL), (6320, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 4, 1, '2024-08-05 17:27:49', NULL), (6321, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 5, 1, '2024-08-05 17:27:50', NULL), (6322, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 6, 1, '2024-08-05 17:27:50', NULL), (6323, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 7, 1, '2024-08-05 17:27:50', NULL), (6324, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 8, 1, '2024-08-05 17:27:50', NULL), (6325, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 9, 1, '2024-08-05 17:27:50', NULL), (6326, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 10, 1, '2024-08-05 17:27:50', NULL), (6327, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 11, 1, '2024-08-05 17:27:50', NULL), (6328, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 12, 1, '2024-08-05 17:27:50', NULL), (6329, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 13, 1, '2024-08-05 17:27:50', NULL), (6330, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 14, 1, '2024-08-05 17:27:50', NULL), (6331, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 15, 1, '2024-08-05 17:27:51', NULL), (6332, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 16, 1, '2024-08-05 17:27:51', NULL), (6333, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 17, 1, '2024-08-05 17:27:51', NULL), (6334, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 18, 1, '2024-08-05 17:27:51', NULL), (6335, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 19, 1, '2024-08-05 17:27:51', NULL), (6336, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 20, 1, '2024-08-05 17:27:51', NULL), (6337, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 21, 1, '2024-08-05 17:27:51', NULL), (6338, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 22, 1, '2024-08-05 17:27:51', NULL), (6339, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 23, 1, '2024-08-05 17:27:51', NULL), (6340, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 24, 1, '2024-08-05 17:27:51', NULL), (6341, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 25, 1, '2024-08-05 17:27:52', NULL), (6342, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 26, 1, '2024-08-05 17:27:52', NULL), (6343, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 27, 1, '2024-08-05 17:27:52', NULL), (6344, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 28, 1, '2024-08-05 17:27:52', NULL), (6345, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 29, 1, '2024-08-05 17:27:52', NULL), (6346, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 30, 1, '2024-08-05 17:27:52', NULL), (6347, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 5, 31, 1, '2024-08-05 17:27:52', NULL), (6348, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 1, 1, '2024-08-05 17:27:52', NULL), (6349, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 2, 1, '2024-08-05 17:27:52', NULL), (6350, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 3, 1, '2024-08-05 17:27:52', NULL), (6351, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 4, 1, '2024-08-05 17:27:52', NULL), (6352, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 5, 1, '2024-08-05 17:27:53', NULL), (6353, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 6, 1, '2024-08-05 17:27:53', NULL), (6354, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 7, 1, '2024-08-05 17:27:53', NULL), (6355, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 8, 1, '2024-08-05 17:27:53', NULL), (6356, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 9, 1, '2024-08-05 17:27:53', NULL), (6357, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 10, 1, '2024-08-05 17:27:53', NULL), (6358, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 11, 1, '2024-08-05 17:27:53', NULL), (6359, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 12, 1, '2024-08-05 17:27:53', NULL), (6360, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 13, 1, '2024-08-05 17:27:53', NULL), (6361, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 14, 1, '2024-08-05 17:27:53', NULL), (6362, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 15, 1, '2024-08-05 17:27:54', NULL), (6363, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 16, 1, '2024-08-05 17:27:54', NULL), (6364, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 17, 1, '2024-08-05 17:27:54', NULL), (6365, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 18, 1, '2024-08-05 17:27:54', NULL), (6366, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 19, 1, '2024-08-05 17:27:54', NULL), (6367, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 20, 1, '2024-08-05 17:27:54', NULL), (6368, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 21, 1, '2024-08-05 17:27:54', NULL), (6369, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 22, 1, '2024-08-05 17:27:54', NULL), (6370, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 23, 1, '2024-08-05 17:27:54', NULL), (6371, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 24, 1, '2024-08-05 17:27:54', NULL), (6372, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 25, 1, '2024-08-05 17:27:55', NULL), (6373, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 26, 1, '2024-08-05 17:27:55', NULL), (6374, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 27, 1, '2024-08-05 17:27:55', NULL), (6375, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 28, 1, '2024-08-05 17:27:55', NULL), (6376, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 29, 1, '2024-08-05 17:27:55', NULL), (6377, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 6, 30, 1, '2024-08-05 17:27:55', NULL), (6378, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 1, 1, '2024-08-05 17:27:55', NULL), (6379, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 2, 1, '2024-08-05 17:27:55', NULL), (6380, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 3, 1, '2024-08-05 17:27:55', NULL), (6381, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 4, 1, '2024-08-05 17:27:55', NULL), (6382, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 5, 1, '2024-08-05 17:27:56', NULL), (6383, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 6, 1, '2024-08-05 17:27:56', NULL), (6384, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 7, 1, '2024-08-05 17:27:56', NULL), (6385, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 8, 1, '2024-08-05 17:27:56', NULL), (6386, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 9, 1, '2024-08-05 17:27:56', NULL), (6387, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 10, 1, '2024-08-05 17:27:56', NULL), (6388, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 11, 1, '2024-08-05 17:27:56', NULL), (6389, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 12, 1, '2024-08-05 17:27:56', NULL), (6390, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 13, 1, '2024-08-05 17:27:56', NULL), (6391, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 14, 1, '2024-08-05 17:27:56', NULL), (6392, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 15, 1, '2024-08-05 17:27:56', NULL), (6393, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 16, 1, '2024-08-05 17:27:57', NULL), (6394, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 17, 1, '2024-08-05 17:27:57', NULL), (6395, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 18, 1, '2024-08-05 17:27:57', NULL), (6396, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 19, 1, '2024-08-05 17:27:57', NULL), (6397, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 20, 1, '2024-08-05 17:27:57', NULL), (6398, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 21, 1, '2024-08-05 17:27:57', NULL), (6399, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 22, 1, '2024-08-05 17:27:57', NULL), (6400, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 23, 1, '2024-08-05 17:27:57', NULL), (6401, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 24, 1, '2024-08-05 17:27:57', NULL), (6402, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 25, 1, '2024-08-05 17:27:57', NULL), (6403, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 26, 1, '2024-08-05 17:27:57', NULL), (6404, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 27, 1, '2024-08-05 17:27:57', NULL), (6405, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 28, 1, '2024-08-05 17:27:57', NULL), (6406, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 29, 1, '2024-08-05 17:27:57', NULL), (6407, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 30, 1, '2024-08-05 17:27:57', NULL), (6408, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 7, 31, 1, '2024-08-05 17:27:58', NULL), (6409, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 1, 1, '2024-08-05 17:27:58', '2024-08-05 22:12:16'), (6410, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 2, 1, '2024-08-05 17:27:58', '2024-08-06 02:20:03'), (6411, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 3, 1, '2024-08-05 17:27:58', '2024-08-07 01:30:02'), (6412, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 4, 1, '2024-08-05 17:27:58', '2024-08-08 01:30:01'), (6413, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 5, 1, '2024-08-05 17:27:58', '2024-08-09 01:30:02'), (6414, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 1, 1, '2024-08-05 17:40:40', NULL), (6415, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 2, 1, '2024-08-05 17:40:40', NULL), (6416, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 3, 1, '2024-08-05 17:40:40', NULL), (6417, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 4, 1, '2024-08-05 17:40:41', NULL), (6418, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 5, 1, '2024-08-05 17:40:41', NULL), (6419, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 6, 1, '2024-08-05 17:40:41', NULL), (6420, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 7, 1, '2024-08-05 17:40:41', NULL), (6421, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 8, 1, '2024-08-05 17:40:41', NULL), (6422, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 9, 1, '2024-08-05 17:40:41', NULL), (6423, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 10, 1, '2024-08-05 17:40:41', NULL), (6424, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 11, 1, '2024-08-05 17:40:41', NULL), (6425, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 12, 1, '2024-08-05 17:40:41', NULL), (6426, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 13, 1, '2024-08-05 17:40:41', NULL), (6427, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 14, 1, '2024-08-05 17:40:41', NULL), (6428, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 15, 1, '2024-08-05 17:40:41', NULL), (6429, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 16, 1, '2024-08-05 17:40:41', NULL), (6430, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 17, 1, '2024-08-05 17:40:41', NULL), (6431, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 18, 1, '2024-08-05 17:40:42', NULL), (6432, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 19, 1, '2024-08-05 17:40:42', NULL), (6433, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 20, 1, '2024-08-05 17:40:42', NULL), (6434, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 21, 1, '2024-08-05 17:40:42', NULL), (6435, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 22, 1, '2024-08-05 17:40:42', NULL), (6436, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 23, 1, '2024-08-05 17:40:42', NULL), (6437, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 24, 1, '2024-08-05 17:40:42', NULL), (6438, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 25, 1, '2024-08-05 17:40:42', NULL), (6439, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 26, 1, '2024-08-05 17:40:42', NULL), (6440, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 27, 1, '2024-08-05 17:40:42', NULL), (6441, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 28, 1, '2024-08-05 17:40:42', NULL), (6442, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 29, 1, '2024-08-05 17:40:42', NULL), (6443, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 30, 1, '2024-08-05 17:40:42', NULL), (6444, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 1, 31, 1, '2024-08-05 17:40:43', NULL), (6445, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 1, 1, '2024-08-05 17:40:43', NULL), (6446, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 2, 1, '2024-08-05 17:40:43', NULL), (6447, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 3, 1, '2024-08-05 17:40:43', NULL), (6448, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 4, 1, '2024-08-05 17:40:43', NULL), (6449, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 5, 1, '2024-08-05 17:40:43', NULL), (6450, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 6, 1, '2024-08-05 17:40:43', NULL), (6451, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 7, 1, '2024-08-05 17:40:43', NULL), (6452, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 8, 1, '2024-08-05 17:40:43', NULL), (6453, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 9, 1, '2024-08-05 17:40:43', NULL), (6454, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 10, 1, '2024-08-05 17:40:43', NULL), (6455, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 11, 1, '2024-08-05 17:40:43', NULL), (6456, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 12, 1, '2024-08-05 17:40:43', NULL), (6457, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 13, 1, '2024-08-05 17:40:43', NULL), (6458, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 14, 1, '2024-08-05 17:40:44', NULL), (6459, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 15, 1, '2024-08-05 17:40:44', NULL), (6460, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 16, 1, '2024-08-05 17:40:44', NULL), (6461, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 17, 1, '2024-08-05 17:40:44', NULL), (6462, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 18, 1, '2024-08-05 17:40:44', NULL), (6463, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 19, 1, '2024-08-05 17:40:44', NULL), (6464, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 20, 1, '2024-08-05 17:40:44', NULL), (6465, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 21, 1, '2024-08-05 17:40:45', NULL), (6466, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 22, 1, '2024-08-05 17:40:45', NULL), (6467, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 23, 1, '2024-08-05 17:40:45', NULL), (6468, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 24, 1, '2024-08-05 17:40:45', NULL), (6469, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 25, 1, '2024-08-05 17:40:45', NULL), (6470, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 26, 1, '2024-08-05 17:40:46', NULL), (6471, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 27, 1, '2024-08-05 17:40:46', NULL), (6472, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 2, 28, 1, '2024-08-05 17:40:46', NULL), (6473, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 1, 1, '2024-08-05 17:40:46', NULL), (6474, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 2, 1, '2024-08-05 17:40:46', NULL), (6475, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 3, 1, '2024-08-05 17:40:47', NULL), (6476, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 4, 1, '2024-08-05 17:40:47', NULL), (6477, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 5, 1, '2024-08-05 17:40:47', NULL), (6478, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 6, 1, '2024-08-05 17:40:47', NULL), (6479, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 7, 1, '2024-08-05 17:40:47', NULL), (6480, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 8, 1, '2024-08-05 17:40:48', NULL), (6481, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 9, 1, '2024-08-05 17:40:48', NULL), (6482, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 10, 1, '2024-08-05 17:40:48', NULL), (6483, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 11, 1, '2024-08-05 17:40:48', NULL), (6484, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 12, 1, '2024-08-05 17:40:49', NULL), (6485, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 13, 1, '2024-08-05 17:40:49', NULL), (6486, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 14, 1, '2024-08-05 17:40:49', NULL), (6487, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 15, 1, '2024-08-05 17:40:49', NULL), (6488, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 16, 1, '2024-08-05 17:40:49', NULL), (6489, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 17, 1, '2024-08-05 17:40:50', NULL), (6490, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 18, 1, '2024-08-05 17:40:50', NULL), (6491, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 19, 1, '2024-08-05 17:40:50', NULL), (6492, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 20, 1, '2024-08-05 17:40:50', NULL), (6493, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 21, 1, '2024-08-05 17:40:51', NULL), (6494, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 22, 1, '2024-08-05 17:40:51', NULL), (6495, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 23, 1, '2024-08-05 17:40:51', NULL), (6496, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 24, 1, '2024-08-05 17:40:51', NULL), (6497, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 25, 1, '2024-08-05 17:40:51', NULL), (6498, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 26, 1, '2024-08-05 17:40:52', NULL), (6499, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 27, 1, '2024-08-05 17:40:52', NULL), (6500, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 28, 1, '2024-08-05 17:40:52', NULL), (6501, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 29, 1, '2024-08-05 17:40:52', NULL), (6502, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 30, 1, '2024-08-05 17:40:52', NULL), (6503, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 3, 31, 1, '2024-08-05 17:40:53', NULL), (6504, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 1, 1, '2024-08-05 17:40:53', NULL), (6505, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 2, 1, '2024-08-05 17:40:53', NULL), (6506, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 3, 1, '2024-08-05 17:40:53', NULL), (6507, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 4, 1, '2024-08-05 17:40:54', NULL), (6508, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 5, 1, '2024-08-05 17:40:54', NULL), (6509, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 6, 1, '2024-08-05 17:40:54', NULL), (6510, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 7, 1, '2024-08-05 17:40:54', NULL), (6511, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 8, 1, '2024-08-05 17:40:54', NULL), (6512, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 9, 1, '2024-08-05 17:40:55', NULL), (6513, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 10, 1, '2024-08-05 17:40:55', NULL), (6514, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 11, 1, '2024-08-05 17:40:55', NULL), (6515, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 12, 1, '2024-08-05 17:40:55', NULL), (6516, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 13, 1, '2024-08-05 17:40:56', NULL), (6517, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 14, 1, '2024-08-05 17:40:56', NULL), (6518, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 15, 1, '2024-08-05 17:40:56', NULL), (6519, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 16, 1, '2024-08-05 17:40:56', NULL), (6520, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 17, 1, '2024-08-05 17:40:56', NULL), (6521, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 18, 1, '2024-08-05 17:40:57', NULL), (6522, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 19, 1, '2024-08-05 17:40:57', NULL), (6523, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 20, 1, '2024-08-05 17:40:57', NULL), (6524, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 21, 1, '2024-08-05 17:40:57', NULL), (6525, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 22, 1, '2024-08-05 17:40:58', NULL), (6526, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 23, 1, '2024-08-05 17:40:58', NULL), (6527, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 24, 1, '2024-08-05 17:40:58', NULL), (6528, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 25, 1, '2024-08-05 17:40:58', NULL), (6529, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 26, 1, '2024-08-05 17:40:58', NULL), (6530, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 27, 1, '2024-08-05 17:40:59', NULL), (6531, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 28, 1, '2024-08-05 17:40:59', NULL), (6532, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 29, 1, '2024-08-05 17:40:59', NULL), (6533, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 4, 30, 1, '2024-08-05 17:40:59', NULL), (6534, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 1, 1, '2024-08-05 17:41:00', NULL), (6535, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 2, 1, '2024-08-05 17:41:00', NULL), (6536, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 3, 1, '2024-08-05 17:41:00', NULL), (6537, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 4, 1, '2024-08-05 17:41:00', NULL), (6538, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 5, 1, '2024-08-05 17:41:00', NULL), (6539, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 6, 1, '2024-08-05 17:41:01', NULL), (6540, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 7, 1, '2024-08-05 17:41:01', NULL), (6541, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 8, 1, '2024-08-05 17:41:01', NULL), (6542, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 9, 1, '2024-08-05 17:41:01', NULL), (6543, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 10, 1, '2024-08-05 17:41:02', NULL), (6544, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 11, 1, '2024-08-05 17:41:02', NULL), (6545, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 12, 1, '2024-08-05 17:41:02', NULL), (6546, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 13, 1, '2024-08-05 17:41:02', NULL), (6547, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 14, 1, '2024-08-05 17:41:02', NULL), (6548, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 15, 1, '2024-08-05 17:41:03', NULL), (6549, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 16, 1, '2024-08-05 17:41:03', NULL), (6550, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 17, 1, '2024-08-05 17:41:03', NULL), (6551, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 18, 1, '2024-08-05 17:41:03', NULL), (6552, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 19, 1, '2024-08-05 17:41:04', NULL), (6553, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 20, 1, '2024-08-05 17:41:04', NULL), (6554, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 21, 1, '2024-08-05 17:41:04', NULL), (6555, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 22, 1, '2024-08-05 17:41:04', NULL), (6556, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 23, 1, '2024-08-05 17:41:04', NULL), (6557, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 24, 1, '2024-08-05 17:41:04', NULL), (6558, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 25, 1, '2024-08-05 17:41:04', NULL), (6559, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 26, 1, '2024-08-05 17:41:04', NULL), (6560, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 27, 1, '2024-08-05 17:41:04', NULL), (6561, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 28, 1, '2024-08-05 17:41:04', NULL), (6562, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 29, 1, '2024-08-05 17:41:04', NULL), (6563, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 30, 1, '2024-08-05 17:41:04', NULL), (6564, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 5, 31, 1, '2024-08-05 17:41:04', NULL), (6565, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 1, 1, '2024-08-05 17:41:04', NULL), (6566, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 2, 1, '2024-08-05 17:41:04', NULL), (6567, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 3, 1, '2024-08-05 17:41:04', NULL), (6568, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 4, 1, '2024-08-05 17:41:04', NULL), (6569, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 5, 1, '2024-08-05 17:41:05', NULL), (6570, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 6, 1, '2024-08-05 17:41:05', NULL), (6571, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 7, 1, '2024-08-05 17:41:05', NULL), (6572, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 8, 1, '2024-08-05 17:41:05', NULL), (6573, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 9, 1, '2024-08-05 17:41:05', NULL), (6574, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 10, 1, '2024-08-05 17:41:05', NULL), (6575, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 11, 1, '2024-08-05 17:41:05', NULL), (6576, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 12, 1, '2024-08-05 17:41:05', NULL), (6577, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 13, 1, '2024-08-05 17:41:05', NULL), (6578, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 14, 1, '2024-08-05 17:41:05', NULL), (6579, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 15, 1, '2024-08-05 17:41:05', NULL), (6580, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 16, 1, '2024-08-05 17:41:05', NULL), (6581, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 17, 1, '2024-08-05 17:41:05', NULL), (6582, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 18, 1, '2024-08-05 17:41:05', NULL), (6583, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 19, 1, '2024-08-05 17:41:05', NULL), (6584, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 20, 1, '2024-08-05 17:41:05', NULL), (6585, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 21, 1, '2024-08-05 17:41:05', NULL), (6586, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 22, 1, '2024-08-05 17:41:05', NULL), (6587, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 23, 1, '2024-08-05 17:41:05', NULL), (6588, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 24, 1, '2024-08-05 17:41:05', NULL), (6589, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 25, 1, '2024-08-05 17:41:05', NULL), (6590, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 26, 1, '2024-08-05 17:41:05', NULL), (6591, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 27, 1, '2024-08-05 17:41:06', NULL), (6592, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 28, 1, '2024-08-05 17:41:06', NULL), (6593, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 29, 1, '2024-08-05 17:41:06', NULL), (6594, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 6, 30, 1, '2024-08-05 17:41:06', NULL), (6595, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 1, 1, '2024-08-05 17:41:06', NULL), (6596, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 2, 1, '2024-08-05 17:41:06', NULL), (6597, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 3, 1, '2024-08-05 17:41:06', NULL), (6598, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 4, 1, '2024-08-05 17:41:06', NULL), (6599, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 5, 1, '2024-08-05 17:41:06', NULL), (6600, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 6, 1, '2024-08-05 17:41:06', NULL), (6601, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 7, 1, '2024-08-05 17:41:06', NULL), (6602, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 8, 1, '2024-08-05 17:41:06', NULL), (6603, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 9, 1, '2024-08-05 17:41:06', NULL), (6604, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 10, 1, '2024-08-05 17:41:06', NULL), (6605, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 11, 1, '2024-08-05 17:41:06', NULL), (6606, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 12, 1, '2024-08-05 17:41:06', NULL), (6607, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 13, 1, '2024-08-05 17:41:06', NULL), (6608, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 14, 1, '2024-08-05 17:41:06', NULL), (6609, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 15, 1, '2024-08-05 17:41:06', NULL), (6610, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 16, 1, '2024-08-05 17:41:06', NULL), (6611, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 17, 1, '2024-08-05 17:41:06', NULL), (6612, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 18, 1, '2024-08-05 17:41:07', NULL), (6613, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 19, 1, '2024-08-05 17:41:07', NULL), (6614, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 20, 1, '2024-08-05 17:41:07', NULL), (6615, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 21, 1, '2024-08-05 17:41:07', NULL), (6616, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 22, 1, '2024-08-05 17:41:07', NULL), (6617, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 23, 1, '2024-08-05 17:41:07', NULL), (6618, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 24, 1, '2024-08-05 17:41:07', NULL), (6619, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 25, 1, '2024-08-05 17:41:07', NULL), (6620, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 26, 1, '2024-08-05 17:41:07', NULL), (6621, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 27, 1, '2024-08-05 17:41:07', NULL), (6622, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 28, 1, '2024-08-05 17:41:07', NULL), (6623, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 29, 1, '2024-08-05 17:41:07', NULL), (6624, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 30, 1, '2024-08-05 17:41:07', NULL), (6625, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 7, 31, 1, '2024-08-05 17:41:07', NULL), (6626, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 1, 1, '2024-08-05 17:41:07', NULL), (6627, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 2, 1, '2024-08-05 17:41:07', NULL), (6628, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 3, 1, '2024-08-05 17:41:07', NULL), (6629, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 4, 1, '2024-08-05 17:41:07', NULL), (6630, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 5, 1, '2024-08-05 17:41:07', NULL), (6631, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 6, 1, '2024-08-05 17:41:07', NULL), (6632, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 7, 1, '2024-08-05 17:41:07', NULL), (6633, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 8, 1, '2024-08-05 17:41:07', NULL), (6634, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 9, 1, '2024-08-05 17:41:07', NULL), (6635, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 10, 1, '2024-08-05 17:41:08', NULL), (6636, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 11, 1, '2024-08-05 17:41:08', NULL), (6637, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 12, 1, '2024-08-05 17:41:08', NULL), (6638, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 13, 1, '2024-08-05 17:41:08', NULL), (6639, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 14, 1, '2024-08-05 17:41:08', NULL), (6640, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 15, 1, '2024-08-05 17:41:08', NULL), (6641, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 16, 1, '2024-08-05 17:41:08', NULL), (6642, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 17, 1, '2024-08-05 17:41:08', NULL), (6643, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 18, 1, '2024-08-05 17:41:08', NULL), (6644, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 19, 1, '2024-08-05 17:41:08', NULL), (6645, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 20, 1, '2024-08-05 17:41:08', NULL), (6646, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 21, 1, '2024-08-05 17:41:08', NULL), (6647, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 22, 1, '2024-08-05 17:41:08', NULL), (6648, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 23, 1, '2024-08-05 17:41:08', NULL), (6649, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 24, 1, '2024-08-05 17:41:08', NULL), (6650, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 25, 1, '2024-08-05 17:41:08', NULL), (6651, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 26, 1, '2024-08-05 17:41:08', NULL), (6652, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 27, 1, '2024-08-05 17:41:08', NULL), (6653, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 28, 1, '2024-08-05 17:41:08', NULL), (6654, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 29, 1, '2024-08-05 17:41:08', NULL), (6655, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 30, 1, '2024-08-05 17:41:08', NULL), (6656, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 8, 31, 1, '2024-08-05 17:41:08', NULL), (6657, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 1, 1, '2024-08-05 17:41:08', NULL), (6658, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 2, 1, '2024-08-05 17:41:08', NULL), (6659, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 3, 1, '2024-08-05 17:41:08', NULL), (6660, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 4, 1, '2024-08-05 17:41:09', NULL), (6661, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 5, 1, '2024-08-05 17:41:09', NULL), (6662, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 6, 1, '2024-08-05 17:41:09', NULL), (6663, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 7, 1, '2024-08-05 17:41:09', NULL), (6664, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 8, 1, '2024-08-05 17:41:09', NULL), (6665, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 9, 1, '2024-08-05 17:41:09', NULL), (6666, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 10, 1, '2024-08-05 17:41:09', NULL), (6667, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 11, 1, '2024-08-05 17:41:09', NULL), (6668, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 12, 1, '2024-08-05 17:41:09', NULL), (6669, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 13, 1, '2024-08-05 17:41:09', NULL), (6670, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 14, 1, '2024-08-05 17:41:09', NULL), (6671, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 15, 1, '2024-08-05 17:41:09', NULL), (6672, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 16, 1, '2024-08-05 17:41:09', NULL), (6673, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 17, 1, '2024-08-05 17:41:09', NULL), (6674, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 18, 1, '2024-08-05 17:41:09', NULL), (6675, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 19, 1, '2024-08-05 17:41:09', NULL), (6676, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 20, 1, '2024-08-05 17:41:09', NULL), (6677, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 21, 1, '2024-08-05 17:41:09', NULL), (6678, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 22, 1, '2024-08-05 17:41:09', NULL), (6679, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 23, 1, '2024-08-05 17:41:09', NULL), (6680, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 24, 1, '2024-08-05 17:41:09', NULL), (6681, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 25, 1, '2024-08-05 17:41:09', NULL), (6682, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 26, 1, '2024-08-05 17:41:09', NULL), (6683, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 27, 1, '2024-08-05 17:41:09', NULL), (6684, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 28, 1, '2024-08-05 17:41:09', NULL), (6685, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 29, 1, '2024-08-05 17:41:09', NULL), (6686, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 9, 30, 1, '2024-08-05 17:41:09', NULL), (6687, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 1, 1, '2024-08-05 17:41:09', NULL), (6688, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 2, 1, '2024-08-05 17:41:10', NULL), (6689, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 3, 1, '2024-08-05 17:41:10', NULL), (6690, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 4, 1, '2024-08-05 17:41:10', NULL), (6691, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 5, 1, '2024-08-05 17:41:10', NULL), (6692, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 6, 1, '2024-08-05 17:41:10', NULL), (6693, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 7, 1, '2024-08-05 17:41:10', NULL), (6694, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 8, 1, '2024-08-05 17:41:10', NULL), (6695, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 9, 1, '2024-08-05 17:41:10', NULL), (6696, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 10, 1, '2024-08-05 17:41:10', NULL), (6697, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 11, 1, '2024-08-05 17:41:10', NULL), (6698, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 12, 1, '2024-08-05 17:41:10', NULL), (6699, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 13, 1, '2024-08-05 17:41:10', NULL), (6700, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 14, 1, '2024-08-05 17:41:10', NULL), (6701, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 15, 1, '2024-08-05 17:41:10', NULL), (6702, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 16, 1, '2024-08-05 17:41:10', NULL), (6703, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 17, 1, '2024-08-05 17:41:10', NULL), (6704, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 18, 1, '2024-08-05 17:41:10', NULL), (6705, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 19, 1, '2024-08-05 17:41:10', NULL), (6706, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 20, 1, '2024-08-05 17:41:10', NULL), (6707, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 21, 1, '2024-08-05 17:41:10', NULL), (6708, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 22, 1, '2024-08-05 17:41:10', NULL), (6709, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 23, 1, '2024-08-05 17:41:10', NULL), (6710, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 24, 1, '2024-08-05 17:41:10', NULL), (6711, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 25, 1, '2024-08-05 17:41:10', NULL), (6712, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 26, 1, '2024-08-05 17:41:10', NULL), (6713, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 27, 1, '2024-08-05 17:41:10', NULL), (6714, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 28, 1, '2024-08-05 17:41:10', NULL), (6715, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 29, 1, '2024-08-05 17:41:10', NULL), (6716, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 30, 1, '2024-08-05 17:41:10', NULL), (6717, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 10, 31, 1, '2024-08-05 17:41:10', NULL), (6718, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 1, 1, '2024-08-05 17:41:11', NULL), (6719, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 2, 1, '2024-08-05 17:41:11', NULL), (6720, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 3, 1, '2024-08-05 17:41:11', NULL), (6721, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 4, 1, '2024-08-05 17:41:11', NULL), (6722, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 5, 1, '2024-08-05 17:41:11', NULL), (6723, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 6, 1, '2024-08-05 17:41:11', NULL), (6724, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 7, 1, '2024-08-05 17:41:11', NULL), (6725, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 8, 1, '2024-08-05 17:41:11', NULL), (6726, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 9, 1, '2024-08-05 17:41:11', NULL), (6727, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 10, 1, '2024-08-05 17:41:11', NULL), (6728, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 11, 1, '2024-08-05 17:41:11', NULL), (6729, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 12, 1, '2024-08-05 17:41:11', NULL), (6730, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 13, 1, '2024-08-05 17:41:11', NULL), (6731, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 14, 1, '2024-08-05 17:41:11', NULL), (6732, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 15, 1, '2024-08-05 17:41:11', NULL), (6733, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 16, 1, '2024-08-05 17:41:11', NULL), (6734, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 17, 1, '2024-08-05 17:41:11', NULL), (6735, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 18, 1, '2024-08-05 17:41:11', NULL), (6736, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 19, 1, '2024-08-05 17:41:11', NULL), (6737, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 20, 1, '2024-08-05 17:41:11', NULL), (6738, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 21, 1, '2024-08-05 17:41:11', NULL), (6739, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 22, 1, '2024-08-05 17:41:11', NULL), (6740, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 23, 1, '2024-08-05 17:41:11', NULL), (6741, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 24, 1, '2024-08-05 17:41:12', NULL), (6742, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 25, 1, '2024-08-05 17:41:12', NULL), (6743, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 26, 1, '2024-08-05 17:41:12', NULL), (6744, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 27, 1, '2024-08-05 17:41:12', NULL), (6745, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 28, 1, '2024-08-05 17:41:12', NULL), (6746, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 29, 1, '2024-08-05 17:41:12', NULL), (6747, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 11, 30, 1, '2024-08-05 17:41:12', NULL), (6748, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 1, 1, '2024-08-05 17:41:12', NULL), (6749, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 2, 1, '2024-08-05 17:41:12', NULL), (6750, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 3, 1, '2024-08-05 17:41:12', NULL), (6751, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 4, 1, '2024-08-05 17:41:12', NULL), (6752, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 5, 1, '2024-08-05 17:41:12', NULL), (6753, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 6, 1, '2024-08-05 17:41:12', NULL), (6754, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 7, 1, '2024-08-05 17:41:12', NULL), (6755, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 8, 1, '2024-08-05 17:41:12', NULL), (6756, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 9, 1, '2024-08-05 17:41:12', NULL), (6757, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 10, 1, '2024-08-05 17:41:12', NULL), (6758, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 11, 1, '2024-08-05 17:41:12', NULL), (6759, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 12, 1, '2024-08-05 17:41:12', NULL), (6760, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 13, 1, '2024-08-05 17:41:12', NULL), (6761, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 14, 1, '2024-08-05 17:41:12', NULL), (6762, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 15, 1, '2024-08-05 17:41:12', NULL), (6763, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 16, 1, '2024-08-05 17:41:12', NULL), (6764, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 17, 1, '2024-08-05 17:41:13', NULL), (6765, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 18, 1, '2024-08-05 17:41:13', NULL), (6766, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 19, 1, '2024-08-05 17:41:13', NULL), (6767, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 20, 1, '2024-08-05 17:41:13', NULL), (6768, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 21, 1, '2024-08-05 17:41:13', NULL), (6769, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 22, 1, '2024-08-05 17:41:13', NULL), (6770, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 23, 1, '2024-08-05 17:41:13', NULL), (6771, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 24, 1, '2024-08-05 17:41:13', NULL), (6772, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 25, 1, '2024-08-05 17:41:13', NULL), (6773, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 26, 1, '2024-08-05 17:41:13', NULL), (6774, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 27, 1, '2024-08-05 17:41:13', NULL), (6775, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 28, 1, '2024-08-05 17:41:13', NULL), (6776, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 29, 1, '2024-08-05 17:41:13', NULL), (6777, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 30, 1, '2024-08-05 17:41:13', NULL), (6778, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2023, 12, 31, 1, '2024-08-05 17:41:13', NULL), (6779, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 1, 1, '2024-08-05 17:41:13', NULL), (6780, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 2, 1, '2024-08-05 17:41:13', NULL), (6781, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 3, 1, '2024-08-05 17:41:13', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (6782, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 4, 1, '2024-08-05 17:41:13', NULL), (6783, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 5, 1, '2024-08-05 17:41:13', NULL), (6784, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 6, 1, '2024-08-05 17:41:13', NULL), (6785, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 7, 1, '2024-08-05 17:41:14', NULL), (6786, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 8, 1, '2024-08-05 17:41:14', NULL), (6787, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 9, 1, '2024-08-05 17:41:14', NULL), (6788, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 10, 1, '2024-08-05 17:41:14', NULL), (6789, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 11, 1, '2024-08-05 17:41:14', NULL), (6790, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 12, 1, '2024-08-05 17:41:14', NULL), (6791, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 13, 1, '2024-08-05 17:41:14', NULL), (6792, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 14, 1, '2024-08-05 17:41:14', NULL), (6793, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 15, 1, '2024-08-05 17:41:14', NULL), (6794, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 16, 1, '2024-08-05 17:41:14', NULL), (6795, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 17, 1, '2024-08-05 17:41:14', NULL), (6796, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 18, 1, '2024-08-05 17:41:14', NULL), (6797, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 19, 1, '2024-08-05 17:41:14', NULL), (6798, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 20, 1, '2024-08-05 17:41:14', NULL), (6799, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 21, 1, '2024-08-05 17:41:14', NULL), (6800, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 22, 1, '2024-08-05 17:41:14', NULL), (6801, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 23, 1, '2024-08-05 17:41:14', NULL), (6802, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 24, 1, '2024-08-05 17:41:14', NULL), (6803, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 25, 1, '2024-08-05 17:41:15', NULL), (6804, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 26, 1, '2024-08-05 17:41:15', NULL), (6805, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 27, 1, '2024-08-05 17:41:15', NULL), (6806, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 28, 1, '2024-08-05 17:41:15', NULL), (6807, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 29, 1, '2024-08-05 17:41:15', NULL), (6808, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 30, 1, '2024-08-05 17:41:15', NULL), (6809, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 1, 31, 1, '2024-08-05 17:41:15', NULL), (6810, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 1, 1, '2024-08-05 17:41:15', NULL), (6811, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 2, 1, '2024-08-05 17:41:15', NULL), (6812, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 3, 1, '2024-08-05 17:41:15', NULL), (6813, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 4, 1, '2024-08-05 17:41:15', NULL), (6814, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 5, 1, '2024-08-05 17:41:15', NULL), (6815, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 6, 1, '2024-08-05 17:41:15', NULL), (6816, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 7, 1, '2024-08-05 17:41:15', NULL), (6817, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 8, 1, '2024-08-05 17:41:15', NULL), (6818, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 9, 1, '2024-08-05 17:41:15', NULL), (6819, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 10, 1, '2024-08-05 17:41:15', NULL), (6820, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 11, 1, '2024-08-05 17:41:15', NULL), (6821, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 12, 1, '2024-08-05 17:41:16', NULL), (6822, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 13, 1, '2024-08-05 17:41:16', NULL), (6823, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 14, 1, '2024-08-05 17:41:16', NULL), (6824, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 15, 1, '2024-08-05 17:41:16', NULL), (6825, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 16, 1, '2024-08-05 17:41:16', NULL), (6826, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 17, 1, '2024-08-05 17:41:16', NULL), (6827, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 18, 1, '2024-08-05 17:41:16', NULL), (6828, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 19, 1, '2024-08-05 17:41:16', NULL), (6829, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 20, 1, '2024-08-05 17:41:16', NULL), (6830, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 21, 1, '2024-08-05 17:41:16', NULL), (6831, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 22, 1, '2024-08-05 17:41:16', NULL), (6832, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 23, 1, '2024-08-05 17:41:16', NULL), (6833, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 24, 1, '2024-08-05 17:41:16', NULL), (6834, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 25, 1, '2024-08-05 17:41:16', NULL), (6835, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 26, 1, '2024-08-05 17:41:16', NULL), (6836, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 27, 1, '2024-08-05 17:41:16', NULL), (6837, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 28, 1, '2024-08-05 17:41:16', NULL), (6838, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 2, 29, 1, '2024-08-05 17:41:16', NULL), (6839, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 1, 1, '2024-08-05 17:41:17', NULL), (6840, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 2, 1, '2024-08-05 17:41:17', NULL), (6841, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 3, 1, '2024-08-05 17:41:17', NULL), (6842, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 4, 1, '2024-08-05 17:41:17', NULL), (6843, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 5, 1, '2024-08-05 17:41:17', NULL), (6844, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 6, 1, '2024-08-05 17:41:17', NULL), (6845, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 7, 1, '2024-08-05 17:41:17', NULL), (6846, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 8, 1, '2024-08-05 17:41:17', NULL), (6847, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 9, 1, '2024-08-05 17:41:17', NULL), (6848, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 10, 1, '2024-08-05 17:41:17', NULL), (6849, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 11, 1, '2024-08-05 17:41:17', NULL), (6850, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 12, 1, '2024-08-05 17:41:17', NULL), (6851, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 13, 1, '2024-08-05 17:41:17', NULL), (6852, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 14, 1, '2024-08-05 17:41:17', NULL), (6853, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 15, 1, '2024-08-05 17:41:17', NULL), (6854, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 16, 1, '2024-08-05 17:41:17', NULL), (6855, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 17, 1, '2024-08-05 17:41:18', NULL), (6856, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 18, 1, '2024-08-05 17:41:18', NULL), (6857, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 19, 1, '2024-08-05 17:41:18', NULL), (6858, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 20, 1, '2024-08-05 17:41:18', NULL), (6859, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 21, 1, '2024-08-05 17:41:18', NULL), (6860, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 22, 1, '2024-08-05 17:41:18', NULL), (6861, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 23, 1, '2024-08-05 17:41:18', NULL), (6862, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 24, 1, '2024-08-05 17:41:18', NULL), (6863, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 25, 1, '2024-08-05 17:41:18', NULL), (6864, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 26, 1, '2024-08-05 17:41:18', NULL), (6865, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 27, 1, '2024-08-05 17:41:18', NULL), (6866, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 28, 1, '2024-08-05 17:41:18', NULL), (6867, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 29, 1, '2024-08-05 17:41:18', NULL), (6868, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 30, 1, '2024-08-05 17:41:18', NULL), (6869, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 3, 31, 1, '2024-08-05 17:41:18', NULL), (6870, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 1, 1, '2024-08-05 17:41:18', NULL), (6871, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 2, 1, '2024-08-05 17:41:19', NULL), (6872, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 3, 1, '2024-08-05 17:41:19', NULL), (6873, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 4, 1, '2024-08-05 17:41:19', NULL), (6874, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 5, 1, '2024-08-05 17:41:19', NULL), (6875, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 6, 1, '2024-08-05 17:41:19', NULL), (6876, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 7, 1, '2024-08-05 17:41:19', NULL), (6877, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 8, 1, '2024-08-05 17:41:19', NULL), (6878, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 9, 1, '2024-08-05 17:41:19', NULL), (6879, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 10, 1, '2024-08-05 17:41:19', NULL), (6880, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 11, 1, '2024-08-05 17:41:19', NULL), (6881, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 12, 1, '2024-08-05 17:41:19', NULL), (6882, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 13, 1, '2024-08-05 17:41:19', NULL), (6883, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 14, 1, '2024-08-05 17:41:19', NULL), (6884, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 15, 1, '2024-08-05 17:41:19', NULL), (6885, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 16, 1, '2024-08-05 17:41:19', NULL), (6886, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 17, 1, '2024-08-05 17:41:19', NULL), (6887, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 18, 1, '2024-08-05 17:41:20', NULL), (6888, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 19, 1, '2024-08-05 17:41:20', NULL), (6889, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 20, 1, '2024-08-05 17:41:20', NULL), (6890, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 21, 1, '2024-08-05 17:41:20', NULL), (6891, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 22, 1, '2024-08-05 17:41:20', NULL), (6892, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 23, 1, '2024-08-05 17:41:20', NULL), (6893, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 24, 1, '2024-08-05 17:41:20', NULL), (6894, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 25, 1, '2024-08-05 17:41:20', NULL), (6895, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 26, 1, '2024-08-05 17:41:20', NULL), (6896, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 27, 1, '2024-08-05 17:41:20', NULL), (6897, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 28, 1, '2024-08-05 17:41:20', NULL), (6898, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 29, 1, '2024-08-05 17:41:20', NULL), (6899, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 4, 30, 1, '2024-08-05 17:41:20', NULL), (6900, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 1, 1, '2024-08-05 17:41:20', NULL), (6901, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 2, 1, '2024-08-05 17:41:20', NULL), (6902, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 3, 1, '2024-08-05 17:41:20', NULL), (6903, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 4, 1, '2024-08-05 17:41:21', NULL), (6904, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 5, 1, '2024-08-05 17:41:21', NULL), (6905, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 6, 1, '2024-08-05 17:41:21', NULL), (6906, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 7, 1, '2024-08-05 17:41:21', NULL), (6907, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 8, 1, '2024-08-05 17:41:21', NULL), (6908, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 9, 1, '2024-08-05 17:41:21', NULL), (6909, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 10, 1, '2024-08-05 17:41:21', NULL), (6910, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 11, 1, '2024-08-05 17:41:21', NULL), (6911, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 12, 1, '2024-08-05 17:41:21', NULL), (6912, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 13, 1, '2024-08-05 17:41:21', NULL), (6913, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 14, 1, '2024-08-05 17:41:21', NULL), (6914, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 15, 1, '2024-08-05 17:41:21', NULL), (6915, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 16, 1, '2024-08-05 17:41:21', NULL), (6916, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 17, 1, '2024-08-05 17:41:21', NULL), (6917, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 18, 1, '2024-08-05 17:41:21', NULL), (6918, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 19, 1, '2024-08-05 17:41:21', NULL), (6919, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 20, 1, '2024-08-05 17:41:22', NULL), (6920, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 21, 1, '2024-08-05 17:41:22', NULL), (6921, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 22, 1, '2024-08-05 17:41:22', NULL), (6922, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 23, 1, '2024-08-05 17:41:22', NULL), (6923, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 24, 1, '2024-08-05 17:41:22', NULL), (6924, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 25, 1, '2024-08-05 17:41:22', NULL), (6925, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 26, 1, '2024-08-05 17:41:22', NULL), (6926, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 27, 1, '2024-08-05 17:41:22', NULL), (6927, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 28, 1, '2024-08-05 17:41:22', NULL), (6928, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 29, 1, '2024-08-05 17:41:22', NULL), (6929, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 30, 1, '2024-08-05 17:41:22', NULL), (6930, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 5, 31, 1, '2024-08-05 17:41:22', NULL), (6931, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 1, 1, '2024-08-05 17:41:22', NULL), (6932, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 2, 1, '2024-08-05 17:41:22', NULL), (6933, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 3, 1, '2024-08-05 17:41:22', NULL), (6934, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 4, 1, '2024-08-05 17:41:23', NULL), (6935, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 5, 1, '2024-08-05 17:41:23', NULL), (6936, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 6, 1, '2024-08-05 17:41:23', NULL), (6937, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 7, 1, '2024-08-05 17:41:23', NULL), (6938, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 8, 1, '2024-08-05 17:41:23', NULL), (6939, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 9, 1, '2024-08-05 17:41:23', NULL), (6940, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 10, 1, '2024-08-05 17:41:23', NULL), (6941, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 11, 1, '2024-08-05 17:41:23', NULL), (6942, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 12, 1, '2024-08-05 17:41:23', NULL), (6943, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 13, 1, '2024-08-05 17:41:23', NULL), (6944, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 14, 1, '2024-08-05 17:41:23', NULL), (6945, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 15, 1, '2024-08-05 17:41:23', NULL), (6946, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 16, 1, '2024-08-05 17:41:23', NULL), (6947, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 17, 1, '2024-08-05 17:41:23', NULL), (6948, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 18, 1, '2024-08-05 17:41:23', NULL), (6949, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 19, 1, '2024-08-05 17:41:23', NULL), (6950, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 20, 1, '2024-08-05 17:41:24', NULL), (6951, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 21, 1, '2024-08-05 17:41:24', NULL), (6952, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 22, 1, '2024-08-05 17:41:24', NULL), (6953, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 23, 1, '2024-08-05 17:41:24', NULL), (6954, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 24, 1, '2024-08-05 17:41:24', NULL), (6955, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 25, 1, '2024-08-05 17:41:24', NULL), (6956, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 26, 1, '2024-08-05 17:41:24', NULL), (6957, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 27, 1, '2024-08-05 17:41:24', NULL), (6958, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 28, 1, '2024-08-05 17:41:24', NULL), (6959, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 29, 1, '2024-08-05 17:41:24', NULL), (6960, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 6, 30, 1, '2024-08-05 17:41:24', NULL), (6961, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 1, 1, '2024-08-05 17:41:24', NULL), (6962, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 2, 1, '2024-08-05 17:41:24', NULL), (6963, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 3, 1, '2024-08-05 17:41:24', NULL), (6964, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 4, 1, '2024-08-05 17:41:25', NULL), (6965, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 5, 1, '2024-08-05 17:41:25', NULL), (6966, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 6, 1, '2024-08-05 17:41:25', NULL), (6967, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 7, 1, '2024-08-05 17:41:25', NULL), (6968, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 8, 1, '2024-08-05 17:41:25', NULL), (6969, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 9, 1, '2024-08-05 17:41:25', NULL), (6970, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 10, 1, '2024-08-05 17:41:25', NULL), (6971, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 11, 1, '2024-08-05 17:41:25', NULL), (6972, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 12, 1, '2024-08-05 17:41:25', NULL), (6973, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 13, 1, '2024-08-05 17:41:25', NULL), (6974, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 14, 1, '2024-08-05 17:41:25', NULL), (6975, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 15, 1, '2024-08-05 17:41:25', NULL), (6976, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 16, 1, '2024-08-05 17:41:25', NULL), (6977, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 17, 1, '2024-08-05 17:41:25', NULL), (6978, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 18, 1, '2024-08-05 17:41:26', NULL), (6979, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 19, 1, '2024-08-05 17:41:26', NULL), (6980, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 20, 1, '2024-08-05 17:41:26', NULL), (6981, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 21, 1, '2024-08-05 17:41:26', NULL), (6982, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 22, 1, '2024-08-05 17:41:26', NULL), (6983, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 23, 1, '2024-08-05 17:41:26', NULL), (6984, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 24, 1, '2024-08-05 17:41:26', NULL), (6985, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 25, 1, '2024-08-05 17:41:26', NULL), (6986, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 26, 1, '2024-08-05 17:41:26', NULL), (6987, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 27, 1, '2024-08-05 17:41:26', NULL), (6988, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 28, 1, '2024-08-05 17:41:26', NULL), (6989, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 29, 1, '2024-08-05 17:41:26', NULL), (6990, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 30, 1, '2024-08-05 17:41:26', NULL), (6991, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 7, 31, 1, '2024-08-05 17:41:26', NULL), (6992, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 1, 1, '2024-08-05 17:41:27', '2024-08-05 22:12:16'), (6993, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 2, 1, '2024-08-05 17:41:27', '2024-08-06 02:20:03'), (6994, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 3, 1, '2024-08-05 17:41:27', '2024-08-07 01:30:02'), (6995, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 4, 1, '2024-08-05 17:41:27', '2024-08-08 01:30:01'), (6996, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 5, 1, '2024-08-05 17:41:27', '2024-08-09 01:30:02'), (6997, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 1, 1, '2024-08-05 17:54:11', NULL), (6998, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 2, 1, '2024-08-05 17:54:11', NULL), (6999, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 3, 1, '2024-08-05 17:54:11', NULL), (7000, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 4, 1, '2024-08-05 17:54:11', NULL), (7001, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 5, 1, '2024-08-05 17:54:11', NULL), (7002, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 6, 1, '2024-08-05 17:54:11', NULL), (7003, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 7, 1, '2024-08-05 17:54:11', NULL), (7004, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 8, 1, '2024-08-05 17:54:11', NULL), (7005, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 9, 1, '2024-08-05 17:54:11', NULL), (7006, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 10, 1, '2024-08-05 17:54:11', NULL), (7007, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 11, 1, '2024-08-05 17:54:11', NULL), (7008, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 12, 1, '2024-08-05 17:54:11', NULL), (7009, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 13, 1, '2024-08-05 17:54:11', NULL), (7010, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 14, 1, '2024-08-05 17:54:12', NULL), (7011, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 15, 1, '2024-08-05 17:54:12', NULL), (7012, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 16, 1, '2024-08-05 17:54:12', NULL), (7013, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 17, 1, '2024-08-05 17:54:12', NULL), (7014, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 18, 1, '2024-08-05 17:54:12', NULL), (7015, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 19, 1, '2024-08-05 17:54:12', NULL), (7016, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 20, 1, '2024-08-05 17:54:12', NULL), (7017, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 21, 1, '2024-08-05 17:54:12', NULL), (7018, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 22, 1, '2024-08-05 17:54:12', NULL), (7019, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 23, 1, '2024-08-05 17:54:12', NULL), (7020, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 24, 1, '2024-08-05 17:54:12', NULL), (7021, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 25, 1, '2024-08-05 17:54:12', NULL), (7022, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 26, 1, '2024-08-05 17:54:12', NULL), (7023, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 27, 1, '2024-08-05 17:54:12', NULL), (7024, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 28, 1, '2024-08-05 17:54:12', NULL), (7025, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 29, 1, '2024-08-05 17:54:12', NULL), (7026, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 30, 1, '2024-08-05 17:54:12', NULL), (7027, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 1, 31, 1, '2024-08-05 17:54:13', NULL), (7028, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 1, 1, '2024-08-05 17:54:13', NULL), (7029, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 2, 1, '2024-08-05 17:54:13', NULL), (7030, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 3, 1, '2024-08-05 17:54:13', NULL), (7031, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 4, 1, '2024-08-05 17:54:13', NULL), (7032, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 5, 1, '2024-08-05 17:54:13', NULL), (7033, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 6, 1, '2024-08-05 17:54:13', NULL), (7034, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 7, 1, '2024-08-05 17:54:13', NULL), (7035, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 8, 1, '2024-08-05 17:54:13', NULL), (7036, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 9, 1, '2024-08-05 17:54:13', NULL), (7037, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 10, 1, '2024-08-05 17:54:13', NULL), (7038, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 11, 1, '2024-08-05 17:54:13', NULL), (7039, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 12, 1, '2024-08-05 17:54:13', NULL), (7040, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 13, 1, '2024-08-05 17:54:13', NULL), (7041, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 14, 1, '2024-08-05 17:54:13', NULL), (7042, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 15, 1, '2024-08-05 17:54:13', NULL), (7043, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 16, 1, '2024-08-05 17:54:13', NULL), (7044, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 17, 1, '2024-08-05 17:54:13', NULL), (7045, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 18, 1, '2024-08-05 17:54:14', NULL), (7046, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 19, 1, '2024-08-05 17:54:14', NULL), (7047, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 20, 1, '2024-08-05 17:54:14', NULL), (7048, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 21, 1, '2024-08-05 17:54:14', NULL), (7049, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 22, 1, '2024-08-05 17:54:14', NULL), (7050, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 23, 1, '2024-08-05 17:54:14', NULL), (7051, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 24, 1, '2024-08-05 17:54:14', NULL), (7052, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 25, 1, '2024-08-05 17:54:14', NULL), (7053, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 26, 1, '2024-08-05 17:54:14', NULL), (7054, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 27, 1, '2024-08-05 17:54:14', NULL), (7055, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 2, 28, 1, '2024-08-05 17:54:14', NULL), (7056, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 1, 1, '2024-08-05 17:54:14', NULL), (7057, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 2, 1, '2024-08-05 17:54:14', NULL), (7058, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 3, 1, '2024-08-05 17:54:14', NULL), (7059, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 4, 1, '2024-08-05 17:54:14', NULL), (7060, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 5, 1, '2024-08-05 17:54:14', NULL), (7061, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 6, 1, '2024-08-05 17:54:15', NULL), (7062, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 7, 1, '2024-08-05 17:54:15', NULL), (7063, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 8, 1, '2024-08-05 17:54:15', NULL), (7064, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 9, 1, '2024-08-05 17:54:15', NULL), (7065, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 10, 1, '2024-08-05 17:54:15', NULL), (7066, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 11, 1, '2024-08-05 17:54:15', NULL), (7067, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 12, 1, '2024-08-05 17:54:15', NULL), (7068, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 13, 1, '2024-08-05 17:54:15', NULL), (7069, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 14, 1, '2024-08-05 17:54:15', NULL), (7070, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 15, 1, '2024-08-05 17:54:15', NULL), (7071, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 16, 1, '2024-08-05 17:54:15', NULL), (7072, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 17, 1, '2024-08-05 17:54:15', NULL), (7073, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 18, 1, '2024-08-05 17:54:15', NULL), (7074, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 19, 1, '2024-08-05 17:54:15', NULL), (7075, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 20, 1, '2024-08-05 17:54:15', NULL), (7076, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 21, 1, '2024-08-05 17:54:16', NULL), (7077, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 22, 1, '2024-08-05 17:54:16', NULL), (7078, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 23, 1, '2024-08-05 17:54:16', NULL), (7079, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 24, 1, '2024-08-05 17:54:16', NULL), (7080, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 25, 1, '2024-08-05 17:54:16', NULL), (7081, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 26, 1, '2024-08-05 17:54:16', NULL), (7082, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 27, 1, '2024-08-05 17:54:16', NULL), (7083, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 28, 1, '2024-08-05 17:54:16', NULL), (7084, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 29, 1, '2024-08-05 17:54:16', NULL), (7085, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 30, 1, '2024-08-05 17:54:16', NULL), (7086, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 3, 31, 1, '2024-08-05 17:54:16', NULL), (7087, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 1, 1, '2024-08-05 17:54:16', NULL), (7088, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 2, 1, '2024-08-05 17:54:16', NULL), (7089, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 3, 1, '2024-08-05 17:54:16', NULL), (7090, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 4, 1, '2024-08-05 17:54:16', NULL), (7091, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 5, 1, '2024-08-05 17:54:16', NULL), (7092, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 6, 1, '2024-08-05 17:54:17', NULL), (7093, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 7, 1, '2024-08-05 17:54:17', NULL), (7094, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 8, 1, '2024-08-05 17:54:17', NULL), (7095, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 9, 1, '2024-08-05 17:54:17', NULL), (7096, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 10, 1, '2024-08-05 17:54:17', NULL), (7097, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 11, 1, '2024-08-05 17:54:17', NULL), (7098, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 12, 1, '2024-08-05 17:54:17', NULL), (7099, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 13, 1, '2024-08-05 17:54:17', NULL), (7100, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 14, 1, '2024-08-05 17:54:17', NULL), (7101, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 15, 1, '2024-08-05 17:54:17', NULL), (7102, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 16, 1, '2024-08-05 17:54:17', NULL), (7103, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 17, 1, '2024-08-05 17:54:17', NULL), (7104, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 18, 1, '2024-08-05 17:54:18', NULL), (7105, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 19, 1, '2024-08-05 17:54:18', NULL), (7106, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 20, 1, '2024-08-05 17:54:18', NULL), (7107, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 21, 1, '2024-08-05 17:54:18', NULL), (7108, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 22, 1, '2024-08-05 17:54:18', NULL), (7109, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 23, 1, '2024-08-05 17:54:18', NULL), (7110, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 24, 1, '2024-08-05 17:54:18', NULL), (7111, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 25, 1, '2024-08-05 17:54:18', NULL), (7112, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 26, 1, '2024-08-05 17:54:18', NULL), (7113, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 27, 1, '2024-08-05 17:54:18', NULL), (7114, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 28, 1, '2024-08-05 17:54:18', NULL), (7115, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 29, 1, '2024-08-05 17:54:18', NULL), (7116, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 4, 30, 1, '2024-08-05 17:54:19', NULL), (7117, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 1, 1, '2024-08-05 17:54:19', NULL), (7118, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 2, 1, '2024-08-05 17:54:19', NULL), (7119, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 3, 1, '2024-08-05 17:54:19', NULL), (7120, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 4, 1, '2024-08-05 17:54:19', NULL), (7121, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 5, 1, '2024-08-05 17:54:19', NULL), (7122, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 6, 1, '2024-08-05 17:54:19', NULL), (7123, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 7, 1, '2024-08-05 17:54:19', NULL), (7124, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 8, 1, '2024-08-05 17:54:19', NULL), (7125, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 9, 1, '2024-08-05 17:54:19', NULL), (7126, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 10, 1, '2024-08-05 17:54:19', NULL), (7127, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 11, 1, '2024-08-05 17:54:20', NULL), (7128, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 12, 1, '2024-08-05 17:54:20', NULL), (7129, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 13, 1, '2024-08-05 17:54:20', NULL), (7130, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 14, 1, '2024-08-05 17:54:20', NULL), (7131, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 15, 1, '2024-08-05 17:54:20', NULL), (7132, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 16, 1, '2024-08-05 17:54:20', NULL), (7133, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 17, 1, '2024-08-05 17:54:20', NULL), (7134, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 18, 1, '2024-08-05 17:54:21', NULL), (7135, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 19, 1, '2024-08-05 17:54:21', NULL), (7136, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 20, 1, '2024-08-05 17:54:21', NULL), (7137, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 21, 1, '2024-08-05 17:54:21', NULL), (7138, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 22, 1, '2024-08-05 17:54:22', NULL), (7139, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 23, 1, '2024-08-05 17:54:22', NULL), (7140, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 24, 1, '2024-08-05 17:54:22', NULL), (7141, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 25, 1, '2024-08-05 17:54:22', NULL), (7142, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 26, 1, '2024-08-05 17:54:23', NULL), (7143, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 27, 1, '2024-08-05 17:54:23', NULL), (7144, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 28, 1, '2024-08-05 17:54:23', NULL), (7145, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 29, 1, '2024-08-05 17:54:23', NULL), (7146, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 30, 1, '2024-08-05 17:54:23', NULL), (7147, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 5, 31, 1, '2024-08-05 17:54:24', NULL), (7148, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 1, 1, '2024-08-05 17:54:24', NULL), (7149, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 2, 1, '2024-08-05 17:54:24', NULL), (7150, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 3, 1, '2024-08-05 17:54:24', NULL), (7151, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 4, 1, '2024-08-05 17:54:25', NULL), (7152, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 5, 1, '2024-08-05 17:54:25', NULL), (7153, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 6, 1, '2024-08-05 17:54:25', NULL), (7154, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 7, 1, '2024-08-05 17:54:25', NULL), (7155, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 8, 1, '2024-08-05 17:54:25', NULL), (7156, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 9, 1, '2024-08-05 17:54:26', NULL), (7157, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 10, 1, '2024-08-05 17:54:26', NULL), (7158, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 11, 1, '2024-08-05 17:54:26', NULL), (7159, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 12, 1, '2024-08-05 17:54:26', NULL), (7160, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 13, 1, '2024-08-05 17:54:27', NULL), (7161, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 14, 1, '2024-08-05 17:54:27', NULL), (7162, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 15, 1, '2024-08-05 17:54:27', NULL), (7163, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 16, 1, '2024-08-05 17:54:27', NULL), (7164, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 17, 1, '2024-08-05 17:54:27', NULL), (7165, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 18, 1, '2024-08-05 17:54:28', NULL), (7166, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 19, 1, '2024-08-05 17:54:28', NULL), (7167, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 20, 1, '2024-08-05 17:54:28', NULL), (7168, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 21, 1, '2024-08-05 17:54:28', NULL), (7169, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 22, 1, '2024-08-05 17:54:29', NULL), (7170, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 23, 1, '2024-08-05 17:54:29', NULL), (7171, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 24, 1, '2024-08-05 17:54:29', NULL), (7172, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 25, 1, '2024-08-05 17:54:29', NULL), (7173, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 26, 1, '2024-08-05 17:54:29', NULL), (7174, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 27, 1, '2024-08-05 17:54:30', NULL), (7175, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 28, 1, '2024-08-05 17:54:30', NULL), (7176, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 29, 1, '2024-08-05 17:54:30', NULL), (7177, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 6, 30, 1, '2024-08-05 17:54:30', NULL), (7178, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 1, 1, '2024-08-05 17:54:31', NULL), (7179, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 2, 1, '2024-08-05 17:54:31', NULL), (7180, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 3, 1, '2024-08-05 17:54:31', NULL), (7181, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 4, 1, '2024-08-05 17:54:31', NULL), (7182, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 5, 1, '2024-08-05 17:54:31', NULL), (7183, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 6, 1, '2024-08-05 17:54:32', NULL), (7184, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 7, 1, '2024-08-05 17:54:32', NULL), (7185, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 8, 1, '2024-08-05 17:54:32', NULL), (7186, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 9, 1, '2024-08-05 17:54:32', NULL), (7187, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 10, 1, '2024-08-05 17:54:33', NULL), (7188, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 11, 1, '2024-08-05 17:54:33', NULL), (7189, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 12, 1, '2024-08-05 17:54:33', NULL), (7190, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 13, 1, '2024-08-05 17:54:33', NULL), (7191, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 14, 1, '2024-08-05 17:54:33', NULL), (7192, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 15, 1, '2024-08-05 17:54:34', NULL), (7193, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 16, 1, '2024-08-05 17:54:34', NULL), (7194, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 17, 1, '2024-08-05 17:54:34', NULL), (7195, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 18, 1, '2024-08-05 17:54:34', NULL), (7196, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 19, 1, '2024-08-05 17:54:35', NULL), (7197, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 20, 1, '2024-08-05 17:54:35', NULL), (7198, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 21, 1, '2024-08-05 17:54:35', NULL), (7199, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 22, 1, '2024-08-05 17:54:35', NULL), (7200, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 23, 1, '2024-08-05 17:54:36', NULL), (7201, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 24, 1, '2024-08-05 17:54:36', NULL), (7202, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 25, 1, '2024-08-05 17:54:36', NULL), (7203, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 26, 1, '2024-08-05 17:54:36', NULL), (7204, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 27, 1, '2024-08-05 17:54:36', NULL), (7205, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 28, 1, '2024-08-05 17:54:37', NULL), (7206, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 29, 1, '2024-08-05 17:54:37', NULL), (7207, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 30, 1, '2024-08-05 17:54:37', NULL), (7208, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 7, 31, 1, '2024-08-05 17:54:37', NULL), (7209, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 1, 1, '2024-08-05 17:54:37', NULL), (7210, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 2, 1, '2024-08-05 17:54:38', NULL), (7211, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 3, 1, '2024-08-05 17:54:38', NULL), (7212, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 4, 1, '2024-08-05 17:54:38', NULL), (7213, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 5, 1, '2024-08-05 17:54:38', NULL), (7214, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 6, 1, '2024-08-05 17:54:38', NULL), (7215, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 7, 1, '2024-08-05 17:54:38', NULL), (7216, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 8, 1, '2024-08-05 17:54:38', NULL), (7217, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 9, 1, '2024-08-05 17:54:38', NULL), (7218, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 10, 1, '2024-08-05 17:54:38', NULL), (7219, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 11, 1, '2024-08-05 17:54:38', NULL), (7220, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 12, 1, '2024-08-05 17:54:38', NULL), (7221, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 13, 1, '2024-08-05 17:54:38', NULL), (7222, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 14, 1, '2024-08-05 17:54:38', NULL), (7223, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 15, 1, '2024-08-05 17:54:38', NULL), (7224, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 16, 1, '2024-08-05 17:54:38', NULL), (7225, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 17, 1, '2024-08-05 17:54:38', NULL), (7226, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 18, 1, '2024-08-05 17:54:38', NULL), (7227, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 19, 1, '2024-08-05 17:54:38', NULL), (7228, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 20, 1, '2024-08-05 17:54:38', NULL), (7229, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 21, 1, '2024-08-05 17:54:39', NULL), (7230, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 22, 1, '2024-08-05 17:54:39', NULL), (7231, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 23, 1, '2024-08-05 17:54:39', NULL), (7232, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 24, 1, '2024-08-05 17:54:39', NULL), (7233, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 25, 1, '2024-08-05 17:54:39', NULL), (7234, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 26, 1, '2024-08-05 17:54:39', NULL), (7235, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 27, 1, '2024-08-05 17:54:39', NULL), (7236, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 28, 1, '2024-08-05 17:54:39', NULL), (7237, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 29, 1, '2024-08-05 17:54:39', NULL), (7238, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 30, 1, '2024-08-05 17:54:39', NULL), (7239, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 8, 31, 1, '2024-08-05 17:54:39', NULL), (7240, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 1, 1, '2024-08-05 17:54:39', NULL), (7241, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 2, 1, '2024-08-05 17:54:39', NULL), (7242, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 3, 1, '2024-08-05 17:54:39', NULL), (7243, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 4, 1, '2024-08-05 17:54:39', NULL), (7244, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 5, 1, '2024-08-05 17:54:39', NULL), (7245, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 6, 1, '2024-08-05 17:54:39', NULL), (7246, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 7, 1, '2024-08-05 17:54:39', NULL), (7247, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 8, 1, '2024-08-05 17:54:39', NULL), (7248, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 9, 1, '2024-08-05 17:54:39', NULL), (7249, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 10, 1, '2024-08-05 17:54:39', NULL), (7250, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 11, 1, '2024-08-05 17:54:39', NULL), (7251, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 12, 1, '2024-08-05 17:54:39', NULL), (7252, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 13, 1, '2024-08-05 17:54:39', NULL), (7253, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 14, 1, '2024-08-05 17:54:39', NULL), (7254, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 15, 1, '2024-08-05 17:54:39', NULL), (7255, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 16, 1, '2024-08-05 17:54:39', NULL), (7256, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 17, 1, '2024-08-05 17:54:40', NULL), (7257, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 18, 1, '2024-08-05 17:54:40', NULL), (7258, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 19, 1, '2024-08-05 17:54:40', NULL), (7259, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 20, 1, '2024-08-05 17:54:40', NULL), (7260, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 21, 1, '2024-08-05 17:54:40', NULL), (7261, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 22, 1, '2024-08-05 17:54:40', NULL), (7262, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 23, 1, '2024-08-05 17:54:40', NULL), (7263, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 24, 1, '2024-08-05 17:54:40', NULL), (7264, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 25, 1, '2024-08-05 17:54:40', NULL), (7265, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 26, 1, '2024-08-05 17:54:40', NULL), (7266, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 27, 1, '2024-08-05 17:54:40', NULL), (7267, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 28, 1, '2024-08-05 17:54:40', NULL), (7268, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 29, 1, '2024-08-05 17:54:40', NULL), (7269, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 9, 30, 1, '2024-08-05 17:54:40', NULL), (7270, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 1, 1, '2024-08-05 17:54:40', NULL), (7271, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 2, 1, '2024-08-05 17:54:40', NULL), (7272, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 3, 1, '2024-08-05 17:54:40', NULL), (7273, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 4, 1, '2024-08-05 17:54:40', NULL), (7274, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 5, 1, '2024-08-05 17:54:40', NULL), (7275, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 6, 1, '2024-08-05 17:54:40', NULL), (7276, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 7, 1, '2024-08-05 17:54:40', NULL), (7277, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 8, 1, '2024-08-05 17:54:40', NULL), (7278, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 9, 1, '2024-08-05 17:54:40', NULL), (7279, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 10, 1, '2024-08-05 17:54:40', NULL), (7280, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 11, 1, '2024-08-05 17:54:40', NULL), (7281, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 12, 1, '2024-08-05 17:54:40', NULL), (7282, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 13, 1, '2024-08-05 17:54:40', NULL), (7283, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 14, 1, '2024-08-05 17:54:40', NULL), (7284, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 15, 1, '2024-08-05 17:54:40', NULL), (7285, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 16, 1, '2024-08-05 17:54:41', NULL), (7286, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 17, 1, '2024-08-05 17:54:41', NULL), (7287, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 18, 1, '2024-08-05 17:54:41', NULL), (7288, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 19, 1, '2024-08-05 17:54:41', NULL), (7289, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 20, 1, '2024-08-05 17:54:41', NULL), (7290, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 21, 1, '2024-08-05 17:54:41', NULL), (7291, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 22, 1, '2024-08-05 17:54:41', NULL), (7292, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 23, 1, '2024-08-05 17:54:41', NULL), (7293, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 24, 1, '2024-08-05 17:54:41', NULL), (7294, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 25, 1, '2024-08-05 17:54:41', NULL), (7295, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 26, 1, '2024-08-05 17:54:41', NULL), (7296, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 27, 1, '2024-08-05 17:54:41', NULL), (7297, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 28, 1, '2024-08-05 17:54:41', NULL), (7298, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 29, 1, '2024-08-05 17:54:41', NULL), (7299, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 30, 1, '2024-08-05 17:54:41', NULL), (7300, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 10, 31, 1, '2024-08-05 17:54:41', NULL), (7301, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 1, 1, '2024-08-05 17:54:41', NULL), (7302, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 2, 1, '2024-08-05 17:54:41', NULL), (7303, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 3, 1, '2024-08-05 17:54:41', NULL), (7304, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 4, 1, '2024-08-05 17:54:41', NULL), (7305, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 5, 1, '2024-08-05 17:54:41', NULL), (7306, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 6, 1, '2024-08-05 17:54:41', NULL), (7307, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 7, 1, '2024-08-05 17:54:41', NULL), (7308, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 8, 1, '2024-08-05 17:54:41', NULL), (7309, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 9, 1, '2024-08-05 17:54:41', NULL), (7310, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 10, 1, '2024-08-05 17:54:41', NULL), (7311, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 11, 1, '2024-08-05 17:54:41', NULL), (7312, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 12, 1, '2024-08-05 17:54:41', NULL), (7313, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 13, 1, '2024-08-05 17:54:42', NULL), (7314, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 14, 1, '2024-08-05 17:54:42', NULL), (7315, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 15, 1, '2024-08-05 17:54:42', NULL), (7316, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 16, 1, '2024-08-05 17:54:42', NULL), (7317, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 17, 1, '2024-08-05 17:54:42', NULL), (7318, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 18, 1, '2024-08-05 17:54:42', NULL), (7319, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 19, 1, '2024-08-05 17:54:42', NULL), (7320, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 20, 1, '2024-08-05 17:54:42', NULL), (7321, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 21, 1, '2024-08-05 17:54:42', NULL), (7322, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 22, 1, '2024-08-05 17:54:42', NULL), (7323, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 23, 1, '2024-08-05 17:54:42', NULL), (7324, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 24, 1, '2024-08-05 17:54:42', NULL), (7325, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 25, 1, '2024-08-05 17:54:42', NULL), (7326, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 26, 1, '2024-08-05 17:54:42', NULL), (7327, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 27, 1, '2024-08-05 17:54:42', NULL), (7328, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 28, 1, '2024-08-05 17:54:42', NULL), (7329, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 29, 1, '2024-08-05 17:54:42', NULL), (7330, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 11, 30, 1, '2024-08-05 17:54:42', NULL), (7331, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 1, 1, '2024-08-05 17:54:42', NULL), (7332, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 2, 1, '2024-08-05 17:54:42', NULL), (7333, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 3, 1, '2024-08-05 17:54:42', NULL), (7334, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 4, 1, '2024-08-05 17:54:42', NULL), (7335, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 5, 1, '2024-08-05 17:54:42', NULL), (7336, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 6, 1, '2024-08-05 17:54:43', NULL), (7337, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 7, 1, '2024-08-05 17:54:43', NULL), (7338, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 8, 1, '2024-08-05 17:54:43', NULL), (7339, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 9, 1, '2024-08-05 17:54:43', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (7340, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 10, 1, '2024-08-05 17:54:43', NULL), (7341, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 11, 1, '2024-08-05 17:54:43', NULL), (7342, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 12, 1, '2024-08-05 17:54:43', NULL), (7343, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 13, 1, '2024-08-05 17:54:43', NULL), (7344, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 14, 1, '2024-08-05 17:54:43', NULL), (7345, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 15, 1, '2024-08-05 17:54:43', NULL), (7346, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 16, 1, '2024-08-05 17:54:43', NULL), (7347, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 17, 1, '2024-08-05 17:54:43', NULL), (7348, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 18, 1, '2024-08-05 17:54:43', NULL), (7349, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 19, 1, '2024-08-05 17:54:43', NULL), (7350, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 20, 1, '2024-08-05 17:54:43', NULL), (7351, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 21, 1, '2024-08-05 17:54:43', NULL), (7352, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 22, 1, '2024-08-05 17:54:43', NULL), (7353, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 23, 1, '2024-08-05 17:54:43', NULL), (7354, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 24, 1, '2024-08-05 17:54:43', NULL), (7355, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 25, 1, '2024-08-05 17:54:43', NULL), (7356, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 26, 1, '2024-08-05 17:54:43', NULL), (7357, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 27, 1, '2024-08-05 17:54:43', NULL), (7358, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 28, 1, '2024-08-05 17:54:44', NULL), (7359, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 29, 1, '2024-08-05 17:54:44', NULL), (7360, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 30, 1, '2024-08-05 17:54:44', NULL), (7361, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2023, 12, 31, 1, '2024-08-05 17:54:44', NULL), (7362, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 1, 1, '2024-08-05 17:54:44', NULL), (7363, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 2, 1, '2024-08-05 17:54:44', NULL), (7364, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 3, 1, '2024-08-05 17:54:44', NULL), (7365, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 4, 1, '2024-08-05 17:54:44', NULL), (7366, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 5, 1, '2024-08-05 17:54:44', NULL), (7367, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 6, 1, '2024-08-05 17:54:44', NULL), (7368, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 7, 1, '2024-08-05 17:54:44', NULL), (7369, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 8, 1, '2024-08-05 17:54:44', NULL), (7370, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 9, 1, '2024-08-05 17:54:44', NULL), (7371, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 10, 1, '2024-08-05 17:54:44', NULL), (7372, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 11, 1, '2024-08-05 17:54:44', NULL), (7373, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 12, 1, '2024-08-05 17:54:44', NULL), (7374, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 13, 1, '2024-08-05 17:54:44', NULL), (7375, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 14, 1, '2024-08-05 17:54:44', NULL), (7376, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 15, 1, '2024-08-05 17:54:44', NULL), (7377, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 16, 1, '2024-08-05 17:54:45', NULL), (7378, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 17, 1, '2024-08-05 17:54:45', NULL), (7379, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 18, 1, '2024-08-05 17:54:45', NULL), (7380, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 19, 1, '2024-08-05 17:54:45', NULL), (7381, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 20, 1, '2024-08-05 17:54:45', NULL), (7382, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 21, 1, '2024-08-05 17:54:45', NULL), (7383, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 22, 1, '2024-08-05 17:54:45', NULL), (7384, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 23, 1, '2024-08-05 17:54:45', NULL), (7385, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 24, 1, '2024-08-05 17:54:45', NULL), (7386, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 25, 1, '2024-08-05 17:54:45', NULL), (7387, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 26, 1, '2024-08-05 17:54:45', NULL), (7388, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 27, 1, '2024-08-05 17:54:45', NULL), (7389, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 28, 1, '2024-08-05 17:54:45', NULL), (7390, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 29, 1, '2024-08-05 17:54:45', NULL), (7391, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 30, 1, '2024-08-05 17:54:45', NULL), (7392, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 1, 31, 1, '2024-08-05 17:54:45', NULL), (7393, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 1, 1, '2024-08-05 17:54:45', NULL), (7394, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 2, 1, '2024-08-05 17:54:45', NULL), (7395, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 3, 1, '2024-08-05 17:54:46', NULL), (7396, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 4, 1, '2024-08-05 17:54:46', NULL), (7397, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 5, 1, '2024-08-05 17:54:46', NULL), (7398, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 6, 1, '2024-08-05 17:54:46', NULL), (7399, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 7, 1, '2024-08-05 17:54:46', NULL), (7400, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 8, 1, '2024-08-05 17:54:46', NULL), (7401, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 9, 1, '2024-08-05 17:54:46', NULL), (7402, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 10, 1, '2024-08-05 17:54:46', NULL), (7403, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 11, 1, '2024-08-05 17:54:46', NULL), (7404, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 12, 1, '2024-08-05 17:54:46', NULL), (7405, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 13, 1, '2024-08-05 17:54:46', NULL), (7406, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 14, 1, '2024-08-05 17:54:46', NULL), (7407, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 15, 1, '2024-08-05 17:54:46', NULL), (7408, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 16, 1, '2024-08-05 17:54:46', NULL), (7409, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 17, 1, '2024-08-05 17:54:46', NULL), (7410, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 18, 1, '2024-08-05 17:54:46', NULL), (7411, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 19, 1, '2024-08-05 17:54:46', NULL), (7412, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 20, 1, '2024-08-05 17:54:46', NULL), (7413, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 21, 1, '2024-08-05 17:54:47', NULL), (7414, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 22, 1, '2024-08-05 17:54:47', NULL), (7415, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 23, 1, '2024-08-05 17:54:47', NULL), (7416, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 24, 1, '2024-08-05 17:54:47', NULL), (7417, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 25, 1, '2024-08-05 17:54:47', NULL), (7418, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 26, 1, '2024-08-05 17:54:47', NULL), (7419, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 27, 1, '2024-08-05 17:54:47', NULL), (7420, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 28, 1, '2024-08-05 17:54:47', NULL), (7421, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 2, 29, 1, '2024-08-05 17:54:47', NULL), (7422, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 1, 1, '2024-08-05 17:54:47', NULL), (7423, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 2, 1, '2024-08-05 17:54:47', NULL), (7424, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 3, 1, '2024-08-05 17:54:47', NULL), (7425, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 4, 1, '2024-08-05 17:54:47', NULL), (7426, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 5, 1, '2024-08-05 17:54:47', NULL), (7427, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 6, 1, '2024-08-05 17:54:47', NULL), (7428, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 7, 1, '2024-08-05 17:54:47', NULL), (7429, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 8, 1, '2024-08-05 17:54:47', NULL), (7430, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 9, 1, '2024-08-05 17:54:47', NULL), (7431, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 10, 1, '2024-08-05 17:54:48', NULL), (7432, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 11, 1, '2024-08-05 17:54:48', NULL), (7433, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 12, 1, '2024-08-05 17:54:48', NULL), (7434, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 13, 1, '2024-08-05 17:54:48', NULL), (7435, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 14, 1, '2024-08-05 17:54:48', NULL), (7436, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 15, 1, '2024-08-05 17:54:48', NULL), (7437, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 16, 1, '2024-08-05 17:54:48', NULL), (7438, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 17, 1, '2024-08-05 17:54:48', NULL), (7439, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 18, 1, '2024-08-05 17:54:48', NULL), (7440, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 19, 1, '2024-08-05 17:54:48', NULL), (7441, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 20, 1, '2024-08-05 17:54:48', NULL), (7442, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 21, 1, '2024-08-05 17:54:48', NULL), (7443, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 22, 1, '2024-08-05 17:54:48', NULL), (7444, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 23, 1, '2024-08-05 17:54:48', NULL), (7445, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 24, 1, '2024-08-05 17:54:48', NULL), (7446, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 25, 1, '2024-08-05 17:54:48', NULL), (7447, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 26, 1, '2024-08-05 17:54:49', NULL), (7448, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 27, 1, '2024-08-05 17:54:49', NULL), (7449, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 28, 1, '2024-08-05 17:54:49', NULL), (7450, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 29, 1, '2024-08-05 17:54:49', NULL), (7451, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 30, 1, '2024-08-05 17:54:49', NULL), (7452, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 3, 31, 1, '2024-08-05 17:54:49', NULL), (7453, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 1, 1, '2024-08-05 17:54:49', NULL), (7454, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 2, 1, '2024-08-05 17:54:49', NULL), (7455, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 3, 1, '2024-08-05 17:54:49', NULL), (7456, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 4, 1, '2024-08-05 17:54:49', NULL), (7457, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 5, 1, '2024-08-05 17:54:49', NULL), (7458, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 6, 1, '2024-08-05 17:54:49', NULL), (7459, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 7, 1, '2024-08-05 17:54:49', NULL), (7460, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 8, 1, '2024-08-05 17:54:49', NULL), (7461, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 9, 1, '2024-08-05 17:54:49', NULL), (7462, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 10, 1, '2024-08-05 17:54:49', NULL), (7463, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 11, 1, '2024-08-05 17:54:50', NULL), (7464, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 12, 1, '2024-08-05 17:54:50', NULL), (7465, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 13, 1, '2024-08-05 17:54:50', NULL), (7466, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 14, 1, '2024-08-05 17:54:50', NULL), (7467, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 15, 1, '2024-08-05 17:54:50', NULL), (7468, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 16, 1, '2024-08-05 17:54:50', NULL), (7469, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 17, 1, '2024-08-05 17:54:50', NULL), (7470, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 18, 1, '2024-08-05 17:54:50', NULL), (7471, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 19, 1, '2024-08-05 17:54:50', NULL), (7472, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 20, 1, '2024-08-05 17:54:50', NULL), (7473, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 21, 1, '2024-08-05 17:54:50', NULL), (7474, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 22, 1, '2024-08-05 17:54:50', NULL), (7475, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 23, 1, '2024-08-05 17:54:50', NULL), (7476, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 24, 1, '2024-08-05 17:54:50', NULL), (7477, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 25, 1, '2024-08-05 17:54:50', NULL), (7478, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 26, 1, '2024-08-05 17:54:50', NULL), (7479, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 27, 1, '2024-08-05 17:54:51', NULL), (7480, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 28, 1, '2024-08-05 17:54:51', NULL), (7481, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 29, 1, '2024-08-05 17:54:51', NULL), (7482, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 4, 30, 1, '2024-08-05 17:54:51', NULL), (7483, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 1, 1, '2024-08-05 17:54:51', NULL), (7484, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 2, 1, '2024-08-05 17:54:51', NULL), (7485, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 3, 1, '2024-08-05 17:54:51', NULL), (7486, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 4, 1, '2024-08-05 17:54:51', NULL), (7487, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 5, 1, '2024-08-05 17:54:51', NULL), (7488, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 6, 1, '2024-08-05 17:54:51', NULL), (7489, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 7, 1, '2024-08-05 17:54:51', NULL), (7490, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 8, 1, '2024-08-05 17:54:51', NULL), (7491, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 9, 1, '2024-08-05 17:54:51', NULL), (7492, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 10, 1, '2024-08-05 17:54:51', NULL), (7493, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 11, 1, '2024-08-05 17:54:51', NULL), (7494, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 12, 1, '2024-08-05 17:54:52', NULL), (7495, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 13, 1, '2024-08-05 17:54:52', NULL), (7496, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 14, 1, '2024-08-05 17:54:52', NULL), (7497, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 15, 1, '2024-08-05 17:54:52', NULL), (7498, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 16, 1, '2024-08-05 17:54:52', NULL), (7499, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 17, 1, '2024-08-05 17:54:52', NULL), (7500, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 18, 1, '2024-08-05 17:54:52', NULL), (7501, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 19, 1, '2024-08-05 17:54:52', NULL), (7502, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 20, 1, '2024-08-05 17:54:52', NULL), (7503, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 21, 1, '2024-08-05 17:54:52', NULL), (7504, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 22, 1, '2024-08-05 17:54:52', NULL), (7505, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 23, 1, '2024-08-05 17:54:52', NULL), (7506, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 24, 1, '2024-08-05 17:54:52', NULL), (7507, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 25, 1, '2024-08-05 17:54:52', NULL), (7508, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 26, 1, '2024-08-05 17:54:52', NULL), (7509, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 27, 1, '2024-08-05 17:54:52', NULL), (7510, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 28, 1, '2024-08-05 17:54:53', NULL), (7511, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 29, 1, '2024-08-05 17:54:53', NULL), (7512, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 30, 1, '2024-08-05 17:54:53', NULL), (7513, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 5, 31, 1, '2024-08-05 17:54:53', NULL), (7514, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 1, 1, '2024-08-05 17:54:53', NULL), (7515, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 2, 1, '2024-08-05 17:54:53', NULL), (7516, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 3, 1, '2024-08-05 17:54:53', NULL), (7517, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 4, 1, '2024-08-05 17:54:53', NULL), (7518, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 5, 1, '2024-08-05 17:54:53', NULL), (7519, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 6, 1, '2024-08-05 17:54:53', NULL), (7520, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 7, 1, '2024-08-05 17:54:53', NULL), (7521, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 8, 1, '2024-08-05 17:54:53', NULL), (7522, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 9, 1, '2024-08-05 17:54:53', NULL), (7523, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 10, 1, '2024-08-05 17:54:53', NULL), (7524, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 11, 1, '2024-08-05 17:54:53', NULL), (7525, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 12, 1, '2024-08-05 17:54:54', NULL), (7526, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 13, 1, '2024-08-05 17:54:54', NULL), (7527, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 14, 1, '2024-08-05 17:54:54', NULL), (7528, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 15, 1, '2024-08-05 17:54:54', NULL), (7529, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 16, 1, '2024-08-05 17:54:54', NULL), (7530, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 17, 1, '2024-08-05 17:54:54', NULL), (7531, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 18, 1, '2024-08-05 17:54:54', NULL), (7532, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 19, 1, '2024-08-05 17:54:54', NULL), (7533, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 20, 1, '2024-08-05 17:54:54', NULL), (7534, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 21, 1, '2024-08-05 17:54:54', NULL), (7535, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 22, 1, '2024-08-05 17:54:54', NULL), (7536, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 23, 1, '2024-08-05 17:54:54', NULL), (7537, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 24, 1, '2024-08-05 17:54:54', NULL), (7538, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 25, 1, '2024-08-05 17:54:54', NULL), (7539, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 26, 1, '2024-08-05 17:54:54', NULL), (7540, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 27, 1, '2024-08-05 17:54:55', NULL), (7541, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 28, 1, '2024-08-05 17:54:55', NULL), (7542, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 29, 1, '2024-08-05 17:54:55', NULL), (7543, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 6, 30, 1, '2024-08-05 17:54:55', NULL), (7544, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 1, 1, '2024-08-05 17:54:55', NULL), (7545, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 2, 1, '2024-08-05 17:54:55', NULL), (7546, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 3, 1, '2024-08-05 17:54:55', NULL), (7547, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 4, 1, '2024-08-05 17:54:55', NULL), (7548, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 5, 1, '2024-08-05 17:54:55', NULL), (7549, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 6, 1, '2024-08-05 17:54:55', NULL), (7550, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 7, 1, '2024-08-05 17:54:55', NULL), (7551, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 8, 1, '2024-08-05 17:54:55', NULL), (7552, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 9, 1, '2024-08-05 17:54:55', NULL), (7553, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 10, 1, '2024-08-05 17:54:55', NULL), (7554, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 11, 1, '2024-08-05 17:54:55', NULL), (7555, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 12, 1, '2024-08-05 17:54:56', NULL), (7556, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 13, 1, '2024-08-05 17:54:56', NULL), (7557, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 14, 1, '2024-08-05 17:54:56', NULL), (7558, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 15, 1, '2024-08-05 17:54:56', NULL), (7559, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 16, 1, '2024-08-05 17:54:56', NULL), (7560, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 17, 1, '2024-08-05 17:54:56', NULL), (7561, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 18, 1, '2024-08-05 17:54:56', NULL), (7562, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 19, 1, '2024-08-05 17:54:56', NULL), (7563, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 20, 1, '2024-08-05 17:54:56', NULL), (7564, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 21, 1, '2024-08-05 17:54:56', NULL), (7565, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 22, 1, '2024-08-05 17:54:56', NULL), (7566, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 23, 1, '2024-08-05 17:54:56', NULL), (7567, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 24, 1, '2024-08-05 17:54:56', NULL), (7568, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 25, 1, '2024-08-05 17:54:56', NULL), (7569, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 26, 1, '2024-08-05 17:54:56', NULL), (7570, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 27, 1, '2024-08-05 17:54:57', NULL), (7571, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 28, 1, '2024-08-05 17:54:57', NULL), (7572, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 29, 1, '2024-08-05 17:54:57', NULL), (7573, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 30, 1, '2024-08-05 17:54:57', NULL), (7574, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 7, 31, 1, '2024-08-05 17:54:57', NULL), (7575, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 1, 1, '2024-08-05 17:54:57', '2024-08-05 22:12:17'), (7576, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 2, 1, '2024-08-05 17:54:57', '2024-08-06 02:20:03'), (7577, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 3, 1, '2024-08-05 17:54:57', '2024-08-07 01:30:02'), (7578, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 4, 1, '2024-08-05 17:54:57', '2024-08-08 01:30:01'), (7579, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 5, 1, '2024-08-05 17:54:57', '2024-08-09 01:30:02'), (7580, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 1, 1, '2024-08-05 18:07:51', NULL), (7581, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 2, 1, '2024-08-05 18:07:51', NULL), (7582, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 3, 1, '2024-08-05 18:07:51', NULL), (7583, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 4, 1, '2024-08-05 18:07:51', NULL), (7584, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 5, 1, '2024-08-05 18:07:51', NULL), (7585, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 6, 1, '2024-08-05 18:07:51', NULL), (7586, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 7, 1, '2024-08-05 18:07:52', NULL), (7587, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 8, 1, '2024-08-05 18:07:52', NULL), (7588, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 9, 1, '2024-08-05 18:07:52', NULL), (7589, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 10, 1, '2024-08-05 18:07:52', NULL), (7590, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 11, 1, '2024-08-05 18:07:52', NULL), (7591, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 12, 1, '2024-08-05 18:07:52', NULL), (7592, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 13, 1, '2024-08-05 18:07:52', NULL), (7593, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 14, 1, '2024-08-05 18:07:52', NULL), (7594, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 15, 1, '2024-08-05 18:07:52', NULL), (7595, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 16, 1, '2024-08-05 18:07:52', NULL), (7596, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 17, 1, '2024-08-05 18:07:52', NULL), (7597, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 18, 1, '2024-08-05 18:07:52', NULL), (7598, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 19, 1, '2024-08-05 18:07:52', NULL), (7599, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 20, 1, '2024-08-05 18:07:52', NULL), (7600, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 21, 1, '2024-08-05 18:07:52', NULL), (7601, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 22, 1, '2024-08-05 18:07:52', NULL), (7602, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 23, 1, '2024-08-05 18:07:52', NULL), (7603, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 24, 1, '2024-08-05 18:07:52', NULL), (7604, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 25, 1, '2024-08-05 18:07:52', NULL), (7605, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 26, 1, '2024-08-05 18:07:52', NULL), (7606, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 27, 1, '2024-08-05 18:07:52', NULL), (7607, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 28, 1, '2024-08-05 18:07:53', NULL), (7608, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 29, 1, '2024-08-05 18:07:53', NULL), (7609, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 30, 1, '2024-08-05 18:07:53', NULL), (7610, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 1, 31, 1, '2024-08-05 18:07:53', NULL), (7611, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 1, 1, '2024-08-05 18:07:53', NULL), (7612, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 2, 1, '2024-08-05 18:07:53', NULL), (7613, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 3, 1, '2024-08-05 18:07:53', NULL), (7614, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 4, 1, '2024-08-05 18:07:53', NULL), (7615, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 5, 1, '2024-08-05 18:07:53', NULL), (7616, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 6, 1, '2024-08-05 18:07:53', NULL), (7617, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 7, 1, '2024-08-05 18:07:53', NULL), (7618, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 8, 1, '2024-08-05 18:07:53', NULL), (7619, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 9, 1, '2024-08-05 18:07:53', NULL), (7620, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 10, 1, '2024-08-05 18:07:53', NULL), (7621, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 11, 1, '2024-08-05 18:07:53', NULL), (7622, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 12, 1, '2024-08-05 18:07:53', NULL), (7623, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 13, 1, '2024-08-05 18:07:53', NULL), (7624, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 14, 1, '2024-08-05 18:07:53', NULL), (7625, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 15, 1, '2024-08-05 18:07:53', NULL), (7626, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 16, 1, '2024-08-05 18:07:53', NULL), (7627, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 17, 1, '2024-08-05 18:07:54', NULL), (7628, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 18, 1, '2024-08-05 18:07:54', NULL), (7629, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 19, 1, '2024-08-05 18:07:54', NULL), (7630, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 20, 1, '2024-08-05 18:07:54', NULL), (7631, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 21, 1, '2024-08-05 18:07:54', NULL), (7632, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 22, 1, '2024-08-05 18:07:54', NULL), (7633, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 23, 1, '2024-08-05 18:07:54', NULL), (7634, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 24, 1, '2024-08-05 18:07:54', NULL), (7635, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 25, 1, '2024-08-05 18:07:54', NULL), (7636, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 26, 1, '2024-08-05 18:07:54', NULL), (7637, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 27, 1, '2024-08-05 18:07:54', NULL), (7638, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 2, 28, 1, '2024-08-05 18:07:54', NULL), (7639, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 1, 1, '2024-08-05 18:07:54', NULL), (7640, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 2, 1, '2024-08-05 18:07:54', NULL), (7641, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 3, 1, '2024-08-05 18:07:54', NULL), (7642, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 4, 1, '2024-08-05 18:07:54', NULL), (7643, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 5, 1, '2024-08-05 18:07:54', NULL), (7644, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 6, 1, '2024-08-05 18:07:54', NULL), (7645, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 7, 1, '2024-08-05 18:07:54', NULL), (7646, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 8, 1, '2024-08-05 18:07:54', NULL), (7647, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 9, 1, '2024-08-05 18:07:55', NULL), (7648, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 10, 1, '2024-08-05 18:07:55', NULL), (7649, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 11, 1, '2024-08-05 18:07:55', NULL), (7650, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 12, 1, '2024-08-05 18:07:55', NULL), (7651, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 13, 1, '2024-08-05 18:07:55', NULL), (7652, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 14, 1, '2024-08-05 18:07:55', NULL), (7653, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 15, 1, '2024-08-05 18:07:55', NULL), (7654, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 16, 1, '2024-08-05 18:07:55', NULL), (7655, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 17, 1, '2024-08-05 18:07:55', NULL), (7656, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 18, 1, '2024-08-05 18:07:55', NULL), (7657, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 19, 1, '2024-08-05 18:07:55', NULL), (7658, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 20, 1, '2024-08-05 18:07:55', NULL), (7659, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 21, 1, '2024-08-05 18:07:55', NULL), (7660, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 22, 1, '2024-08-05 18:07:55', NULL), (7661, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 23, 1, '2024-08-05 18:07:55', NULL), (7662, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 24, 1, '2024-08-05 18:07:55', NULL), (7663, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 25, 1, '2024-08-05 18:07:55', NULL), (7664, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 26, 1, '2024-08-05 18:07:55', NULL), (7665, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 27, 1, '2024-08-05 18:07:56', NULL), (7666, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 28, 1, '2024-08-05 18:07:56', NULL), (7667, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 29, 1, '2024-08-05 18:07:56', NULL), (7668, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 30, 1, '2024-08-05 18:07:56', NULL), (7669, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 3, 31, 1, '2024-08-05 18:07:56', NULL), (7670, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 1, 1, '2024-08-05 18:07:56', NULL), (7671, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 2, 1, '2024-08-05 18:07:56', NULL), (7672, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 3, 1, '2024-08-05 18:07:56', NULL), (7673, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 4, 1, '2024-08-05 18:07:56', NULL), (7674, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 5, 1, '2024-08-05 18:07:56', NULL), (7675, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 6, 1, '2024-08-05 18:07:56', NULL), (7676, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 7, 1, '2024-08-05 18:07:56', NULL), (7677, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 8, 1, '2024-08-05 18:07:56', NULL), (7678, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 9, 1, '2024-08-05 18:07:56', NULL), (7679, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 10, 1, '2024-08-05 18:07:56', NULL), (7680, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 11, 1, '2024-08-05 18:07:56', NULL), (7681, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 12, 1, '2024-08-05 18:07:56', NULL), (7682, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 13, 1, '2024-08-05 18:07:56', NULL), (7683, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 14, 1, '2024-08-05 18:07:56', NULL), (7684, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 15, 1, '2024-08-05 18:07:57', NULL), (7685, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 16, 1, '2024-08-05 18:07:57', NULL), (7686, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 17, 1, '2024-08-05 18:07:57', NULL), (7687, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 18, 1, '2024-08-05 18:07:57', NULL), (7688, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 19, 1, '2024-08-05 18:07:57', NULL), (7689, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 20, 1, '2024-08-05 18:07:57', NULL), (7690, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 21, 1, '2024-08-05 18:07:57', NULL), (7691, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 22, 1, '2024-08-05 18:07:57', NULL), (7692, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 23, 1, '2024-08-05 18:07:57', NULL), (7693, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 24, 1, '2024-08-05 18:07:57', NULL), (7694, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 25, 1, '2024-08-05 18:07:57', NULL), (7695, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 26, 1, '2024-08-05 18:07:57', NULL), (7696, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 27, 1, '2024-08-05 18:07:57', NULL), (7697, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 28, 1, '2024-08-05 18:07:57', NULL), (7698, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 29, 1, '2024-08-05 18:07:57', NULL), (7699, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 4, 30, 1, '2024-08-05 18:07:57', NULL), (7700, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 1, 1, '2024-08-05 18:07:57', NULL), (7701, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 2, 1, '2024-08-05 18:07:57', NULL), (7702, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 3, 1, '2024-08-05 18:07:58', NULL), (7703, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 4, 1, '2024-08-05 18:07:58', NULL), (7704, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 5, 1, '2024-08-05 18:07:58', NULL), (7705, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 6, 1, '2024-08-05 18:07:58', NULL), (7706, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 7, 1, '2024-08-05 18:07:58', NULL), (7707, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 8, 1, '2024-08-05 18:07:58', NULL), (7708, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 9, 1, '2024-08-05 18:07:58', NULL), (7709, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 10, 1, '2024-08-05 18:07:58', NULL), (7710, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 11, 1, '2024-08-05 18:07:58', NULL), (7711, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 12, 1, '2024-08-05 18:07:58', NULL), (7712, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 13, 1, '2024-08-05 18:07:58', NULL), (7713, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 14, 1, '2024-08-05 18:07:58', NULL), (7714, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 15, 1, '2024-08-05 18:07:58', NULL), (7715, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 16, 1, '2024-08-05 18:07:58', NULL), (7716, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 17, 1, '2024-08-05 18:07:58', NULL), (7717, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 18, 1, '2024-08-05 18:07:58', NULL), (7718, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 19, 1, '2024-08-05 18:07:58', NULL), (7719, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 20, 1, '2024-08-05 18:07:59', NULL), (7720, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 21, 1, '2024-08-05 18:07:59', NULL), (7721, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 22, 1, '2024-08-05 18:07:59', NULL), (7722, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 23, 1, '2024-08-05 18:07:59', NULL), (7723, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 24, 1, '2024-08-05 18:07:59', NULL), (7724, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 25, 1, '2024-08-05 18:07:59', NULL), (7725, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 26, 1, '2024-08-05 18:07:59', NULL), (7726, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 27, 1, '2024-08-05 18:07:59', NULL), (7727, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 28, 1, '2024-08-05 18:07:59', NULL), (7728, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 29, 1, '2024-08-05 18:07:59', NULL), (7729, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 30, 1, '2024-08-05 18:07:59', NULL), (7730, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 5, 31, 1, '2024-08-05 18:07:59', NULL), (7731, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 1, 1, '2024-08-05 18:07:59', NULL), (7732, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 2, 1, '2024-08-05 18:07:59', NULL), (7733, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 3, 1, '2024-08-05 18:07:59', NULL), (7734, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 4, 1, '2024-08-05 18:07:59', NULL), (7735, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 5, 1, '2024-08-05 18:08:00', NULL), (7736, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 6, 1, '2024-08-05 18:08:00', NULL), (7737, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 7, 1, '2024-08-05 18:08:00', NULL), (7738, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 8, 1, '2024-08-05 18:08:00', NULL), (7739, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 9, 1, '2024-08-05 18:08:00', NULL), (7740, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 10, 1, '2024-08-05 18:08:00', NULL), (7741, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 11, 1, '2024-08-05 18:08:00', NULL), (7742, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 12, 1, '2024-08-05 18:08:00', NULL), (7743, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 13, 1, '2024-08-05 18:08:00', NULL), (7744, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 14, 1, '2024-08-05 18:08:00', NULL), (7745, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 15, 1, '2024-08-05 18:08:00', NULL), (7746, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 16, 1, '2024-08-05 18:08:00', NULL), (7747, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 17, 1, '2024-08-05 18:08:00', NULL), (7748, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 18, 1, '2024-08-05 18:08:00', NULL), (7749, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 19, 1, '2024-08-05 18:08:00', NULL), (7750, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 20, 1, '2024-08-05 18:08:00', NULL), (7751, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 21, 1, '2024-08-05 18:08:01', NULL), (7752, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 22, 1, '2024-08-05 18:08:01', NULL), (7753, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 23, 1, '2024-08-05 18:08:01', NULL), (7754, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 24, 1, '2024-08-05 18:08:01', NULL), (7755, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 25, 1, '2024-08-05 18:08:01', NULL), (7756, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 26, 1, '2024-08-05 18:08:01', NULL), (7757, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 27, 1, '2024-08-05 18:08:01', NULL), (7758, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 28, 1, '2024-08-05 18:08:01', NULL), (7759, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 29, 1, '2024-08-05 18:08:01', NULL), (7760, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 6, 30, 1, '2024-08-05 18:08:01', NULL), (7761, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 1, 1, '2024-08-05 18:08:01', NULL), (7762, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 2, 1, '2024-08-05 18:08:01', NULL), (7763, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 3, 1, '2024-08-05 18:08:01', NULL), (7764, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 4, 1, '2024-08-05 18:08:02', NULL), (7765, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 5, 1, '2024-08-05 18:08:02', NULL), (7766, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 6, 1, '2024-08-05 18:08:02', NULL), (7767, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 7, 1, '2024-08-05 18:08:02', NULL), (7768, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 8, 1, '2024-08-05 18:08:02', NULL), (7769, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 9, 1, '2024-08-05 18:08:02', NULL), (7770, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 10, 1, '2024-08-05 18:08:02', NULL), (7771, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 11, 1, '2024-08-05 18:08:02', NULL), (7772, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 12, 1, '2024-08-05 18:08:02', NULL), (7773, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 13, 1, '2024-08-05 18:08:02', NULL), (7774, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 14, 1, '2024-08-05 18:08:02', NULL), (7775, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 15, 1, '2024-08-05 18:08:02', NULL), (7776, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 16, 1, '2024-08-05 18:08:03', NULL), (7777, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 17, 1, '2024-08-05 18:08:03', NULL), (7778, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 18, 1, '2024-08-05 18:08:03', NULL), (7779, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 19, 1, '2024-08-05 18:08:03', NULL), (7780, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 20, 1, '2024-08-05 18:08:03', NULL), (7781, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 21, 1, '2024-08-05 18:08:03', NULL), (7782, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 22, 1, '2024-08-05 18:08:03', NULL), (7783, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 23, 1, '2024-08-05 18:08:03', NULL), (7784, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 24, 1, '2024-08-05 18:08:03', NULL), (7785, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 25, 1, '2024-08-05 18:08:03', NULL), (7786, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 26, 1, '2024-08-05 18:08:03', NULL), (7787, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 27, 1, '2024-08-05 18:08:04', NULL), (7788, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 28, 1, '2024-08-05 18:08:04', NULL), (7789, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 29, 1, '2024-08-05 18:08:04', NULL), (7790, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 30, 1, '2024-08-05 18:08:04', NULL), (7791, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 7, 31, 1, '2024-08-05 18:08:04', NULL), (7792, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 1, 1, '2024-08-05 18:08:04', NULL), (7793, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 2, 1, '2024-08-05 18:08:04', NULL), (7794, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 3, 1, '2024-08-05 18:08:04', NULL), (7795, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 4, 1, '2024-08-05 18:08:05', NULL), (7796, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 5, 1, '2024-08-05 18:08:05', NULL), (7797, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 6, 1, '2024-08-05 18:08:05', NULL), (7798, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 7, 1, '2024-08-05 18:08:05', NULL), (7799, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 8, 1, '2024-08-05 18:08:05', NULL), (7800, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 9, 1, '2024-08-05 18:08:06', NULL), (7801, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 10, 1, '2024-08-05 18:08:06', NULL), (7802, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 11, 1, '2024-08-05 18:08:06', NULL), (7803, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 12, 1, '2024-08-05 18:08:06', NULL), (7804, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 13, 1, '2024-08-05 18:08:06', NULL), (7805, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 14, 1, '2024-08-05 18:08:07', NULL), (7806, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 15, 1, '2024-08-05 18:08:07', NULL), (7807, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 16, 1, '2024-08-05 18:08:07', NULL), (7808, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 17, 1, '2024-08-05 18:08:07', NULL), (7809, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 18, 1, '2024-08-05 18:08:07', NULL), (7810, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 19, 1, '2024-08-05 18:08:08', NULL), (7811, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 20, 1, '2024-08-05 18:08:08', NULL), (7812, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 21, 1, '2024-08-05 18:08:08', NULL), (7813, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 22, 1, '2024-08-05 18:08:08', NULL), (7814, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 23, 1, '2024-08-05 18:08:08', NULL), (7815, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 24, 1, '2024-08-05 18:08:08', NULL), (7816, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 25, 1, '2024-08-05 18:08:09', NULL), (7817, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 26, 1, '2024-08-05 18:08:09', NULL), (7818, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 27, 1, '2024-08-05 18:08:09', NULL), (7819, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 28, 1, '2024-08-05 18:08:09', NULL), (7820, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 29, 1, '2024-08-05 18:08:09', NULL), (7821, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 30, 1, '2024-08-05 18:08:10', NULL), (7822, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 8, 31, 1, '2024-08-05 18:08:10', NULL), (7823, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 1, 1, '2024-08-05 18:08:10', NULL), (7824, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 2, 1, '2024-08-05 18:08:10', NULL), (7825, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 3, 1, '2024-08-05 18:08:10', NULL), (7826, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 4, 1, '2024-08-05 18:08:10', NULL), (7827, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 5, 1, '2024-08-05 18:08:11', NULL), (7828, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 6, 1, '2024-08-05 18:08:11', NULL), (7829, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 7, 1, '2024-08-05 18:08:11', NULL), (7830, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 8, 1, '2024-08-05 18:08:11', NULL), (7831, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 9, 1, '2024-08-05 18:08:11', NULL), (7832, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 10, 1, '2024-08-05 18:08:11', NULL), (7833, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 11, 1, '2024-08-05 18:08:12', NULL), (7834, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 12, 1, '2024-08-05 18:08:12', NULL), (7835, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 13, 1, '2024-08-05 18:08:12', NULL), (7836, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 14, 1, '2024-08-05 18:08:12', NULL), (7837, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 15, 1, '2024-08-05 18:08:12', NULL), (7838, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 16, 1, '2024-08-05 18:08:12', NULL), (7839, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 17, 1, '2024-08-05 18:08:13', NULL), (7840, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 18, 1, '2024-08-05 18:08:13', NULL), (7841, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 19, 1, '2024-08-05 18:08:13', NULL), (7842, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 20, 1, '2024-08-05 18:08:13', NULL), (7843, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 21, 1, '2024-08-05 18:08:13', NULL), (7844, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 22, 1, '2024-08-05 18:08:13', NULL), (7845, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 23, 1, '2024-08-05 18:08:14', NULL), (7846, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 24, 1, '2024-08-05 18:08:14', NULL), (7847, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 25, 1, '2024-08-05 18:08:14', NULL), (7848, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 26, 1, '2024-08-05 18:08:14', NULL), (7849, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 27, 1, '2024-08-05 18:08:14', NULL), (7850, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 28, 1, '2024-08-05 18:08:14', NULL), (7851, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 29, 1, '2024-08-05 18:08:15', NULL), (7852, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 9, 30, 1, '2024-08-05 18:08:15', NULL), (7853, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 1, 1, '2024-08-05 18:08:15', NULL), (7854, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 2, 1, '2024-08-05 18:08:15', NULL), (7855, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 3, 1, '2024-08-05 18:08:15', NULL), (7856, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 4, 1, '2024-08-05 18:08:15', NULL), (7857, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 5, 1, '2024-08-05 18:08:16', NULL), (7858, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 6, 1, '2024-08-05 18:08:16', NULL), (7859, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 7, 1, '2024-08-05 18:08:16', NULL), (7860, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 8, 1, '2024-08-05 18:08:16', NULL), (7861, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 9, 1, '2024-08-05 18:08:16', NULL), (7862, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 10, 1, '2024-08-05 18:08:16', NULL), (7863, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 11, 1, '2024-08-05 18:08:16', NULL), (7864, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 12, 1, '2024-08-05 18:08:16', NULL), (7865, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 13, 1, '2024-08-05 18:08:16', NULL), (7866, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 14, 1, '2024-08-05 18:08:16', NULL), (7867, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 15, 1, '2024-08-05 18:08:16', NULL), (7868, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 16, 1, '2024-08-05 18:08:16', NULL), (7869, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 17, 1, '2024-08-05 18:08:16', NULL), (7870, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 18, 1, '2024-08-05 18:08:16', NULL), (7871, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 19, 1, '2024-08-05 18:08:16', NULL), (7872, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 20, 1, '2024-08-05 18:08:16', NULL), (7873, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 21, 1, '2024-08-05 18:08:16', NULL), (7874, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 22, 1, '2024-08-05 18:08:16', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (7875, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 23, 1, '2024-08-05 18:08:16', NULL), (7876, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 24, 1, '2024-08-05 18:08:16', NULL), (7877, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 25, 1, '2024-08-05 18:08:16', NULL), (7878, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 26, 1, '2024-08-05 18:08:16', NULL), (7879, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 27, 1, '2024-08-05 18:08:16', NULL), (7880, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 28, 1, '2024-08-05 18:08:17', NULL), (7881, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 29, 1, '2024-08-05 18:08:17', NULL), (7882, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 30, 1, '2024-08-05 18:08:17', NULL), (7883, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 10, 31, 1, '2024-08-05 18:08:17', NULL), (7884, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 1, 1, '2024-08-05 18:08:17', NULL), (7885, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 2, 1, '2024-08-05 18:08:17', NULL), (7886, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 3, 1, '2024-08-05 18:08:17', NULL), (7887, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 4, 1, '2024-08-05 18:08:17', NULL), (7888, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 5, 1, '2024-08-05 18:08:17', NULL), (7889, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 6, 1, '2024-08-05 18:08:17', NULL), (7890, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 7, 1, '2024-08-05 18:08:17', NULL), (7891, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 8, 1, '2024-08-05 18:08:17', NULL), (7892, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 9, 1, '2024-08-05 18:08:17', NULL), (7893, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 10, 1, '2024-08-05 18:08:17', NULL), (7894, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 11, 1, '2024-08-05 18:08:17', NULL), (7895, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 12, 1, '2024-08-05 18:08:17', NULL), (7896, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 13, 1, '2024-08-05 18:08:17', NULL), (7897, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 14, 1, '2024-08-05 18:08:17', NULL), (7898, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 15, 1, '2024-08-05 18:08:17', NULL), (7899, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 16, 1, '2024-08-05 18:08:17', NULL), (7900, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 17, 1, '2024-08-05 18:08:17', NULL), (7901, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 18, 1, '2024-08-05 18:08:17', NULL), (7902, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 19, 1, '2024-08-05 18:08:17', NULL), (7903, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 20, 1, '2024-08-05 18:08:17', NULL), (7904, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 21, 1, '2024-08-05 18:08:17', NULL), (7905, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 22, 1, '2024-08-05 18:08:18', NULL), (7906, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 23, 1, '2024-08-05 18:08:18', NULL), (7907, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 24, 1, '2024-08-05 18:08:18', NULL), (7908, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 25, 1, '2024-08-05 18:08:18', NULL), (7909, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 26, 1, '2024-08-05 18:08:18', NULL), (7910, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 27, 1, '2024-08-05 18:08:18', NULL), (7911, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 28, 1, '2024-08-05 18:08:18', NULL), (7912, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 29, 1, '2024-08-05 18:08:18', NULL), (7913, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 11, 30, 1, '2024-08-05 18:08:18', NULL), (7914, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 1, 1, '2024-08-05 18:08:18', NULL), (7915, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 2, 1, '2024-08-05 18:08:18', NULL), (7916, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 3, 1, '2024-08-05 18:08:18', NULL), (7917, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 4, 1, '2024-08-05 18:08:18', NULL), (7918, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 5, 1, '2024-08-05 18:08:18', NULL), (7919, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 6, 1, '2024-08-05 18:08:18', NULL), (7920, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 7, 1, '2024-08-05 18:08:18', NULL), (7921, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 8, 1, '2024-08-05 18:08:18', NULL), (7922, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 9, 1, '2024-08-05 18:08:18', NULL), (7923, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 10, 1, '2024-08-05 18:08:18', NULL), (7924, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 11, 1, '2024-08-05 18:08:18', NULL), (7925, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 12, 1, '2024-08-05 18:08:18', NULL), (7926, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 13, 1, '2024-08-05 18:08:18', NULL), (7927, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 14, 1, '2024-08-05 18:08:18', NULL), (7928, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 15, 1, '2024-08-05 18:08:18', NULL), (7929, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 16, 1, '2024-08-05 18:08:18', NULL), (7930, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 17, 1, '2024-08-05 18:08:19', NULL), (7931, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 18, 1, '2024-08-05 18:08:19', NULL), (7932, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 19, 1, '2024-08-05 18:08:19', NULL), (7933, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 20, 1, '2024-08-05 18:08:19', NULL), (7934, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 21, 1, '2024-08-05 18:08:19', NULL), (7935, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 22, 1, '2024-08-05 18:08:19', NULL), (7936, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 23, 1, '2024-08-05 18:08:19', NULL), (7937, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 24, 1, '2024-08-05 18:08:19', NULL), (7938, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 25, 1, '2024-08-05 18:08:19', NULL), (7939, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 26, 1, '2024-08-05 18:08:19', NULL), (7940, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 27, 1, '2024-08-05 18:08:19', NULL), (7941, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 28, 1, '2024-08-05 18:08:19', NULL), (7942, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 29, 1, '2024-08-05 18:08:19', NULL), (7943, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 30, 1, '2024-08-05 18:08:19', NULL), (7944, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2023, 12, 31, 1, '2024-08-05 18:08:19', NULL), (7945, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 1, 1, '2024-08-05 18:08:19', NULL), (7946, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 2, 1, '2024-08-05 18:08:19', NULL), (7947, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 3, 1, '2024-08-05 18:08:19', NULL), (7948, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 4, 1, '2024-08-05 18:08:19', NULL), (7949, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 5, 1, '2024-08-05 18:08:19', NULL), (7950, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 6, 1, '2024-08-05 18:08:19', NULL), (7951, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 7, 1, '2024-08-05 18:08:19', NULL), (7952, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 8, 1, '2024-08-05 18:08:20', NULL), (7953, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 9, 1, '2024-08-05 18:08:20', NULL), (7954, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 10, 1, '2024-08-05 18:08:20', NULL), (7955, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 11, 1, '2024-08-05 18:08:20', NULL), (7956, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 12, 1, '2024-08-05 18:08:20', NULL), (7957, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 13, 1, '2024-08-05 18:08:20', NULL), (7958, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 14, 1, '2024-08-05 18:08:20', NULL), (7959, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 15, 1, '2024-08-05 18:08:20', NULL), (7960, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 16, 1, '2024-08-05 18:08:20', NULL), (7961, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 17, 1, '2024-08-05 18:08:20', NULL), (7962, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 18, 1, '2024-08-05 18:08:20', NULL), (7963, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 19, 1, '2024-08-05 18:08:20', NULL), (7964, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 20, 1, '2024-08-05 18:08:20', NULL), (7965, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 21, 1, '2024-08-05 18:08:20', NULL), (7966, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 22, 1, '2024-08-05 18:08:20', NULL), (7967, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 23, 1, '2024-08-05 18:08:20', NULL), (7968, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 24, 1, '2024-08-05 18:08:20', NULL), (7969, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 25, 1, '2024-08-05 18:08:20', NULL), (7970, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 26, 1, '2024-08-05 18:08:21', NULL), (7971, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 27, 1, '2024-08-05 18:08:21', NULL), (7972, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 28, 1, '2024-08-05 18:08:21', NULL), (7973, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 29, 1, '2024-08-05 18:08:21', NULL), (7974, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 30, 1, '2024-08-05 18:08:21', NULL), (7975, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 1, 31, 1, '2024-08-05 18:08:21', NULL), (7976, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 1, 1, '2024-08-05 18:08:21', NULL), (7977, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 2, 1, '2024-08-05 18:08:21', NULL), (7978, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 3, 1, '2024-08-05 18:08:21', NULL), (7979, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 4, 1, '2024-08-05 18:08:21', NULL), (7980, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 5, 1, '2024-08-05 18:08:21', NULL), (7981, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 6, 1, '2024-08-05 18:08:21', NULL), (7982, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 7, 1, '2024-08-05 18:08:21', NULL), (7983, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 8, 1, '2024-08-05 18:08:21', NULL), (7984, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 9, 1, '2024-08-05 18:08:21', NULL), (7985, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 10, 1, '2024-08-05 18:08:21', NULL), (7986, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 11, 1, '2024-08-05 18:08:21', NULL), (7987, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 12, 1, '2024-08-05 18:08:21', NULL), (7988, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 13, 1, '2024-08-05 18:08:21', NULL), (7989, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 14, 1, '2024-08-05 18:08:21', NULL), (7990, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 15, 1, '2024-08-05 18:08:22', NULL), (7991, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 16, 1, '2024-08-05 18:08:22', NULL), (7992, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 17, 1, '2024-08-05 18:08:22', NULL), (7993, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 18, 1, '2024-08-05 18:08:22', NULL), (7994, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 19, 1, '2024-08-05 18:08:22', NULL), (7995, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 20, 1, '2024-08-05 18:08:22', NULL), (7996, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 21, 1, '2024-08-05 18:08:22', NULL), (7997, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 22, 1, '2024-08-05 18:08:22', NULL), (7998, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 23, 1, '2024-08-05 18:08:22', NULL), (7999, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 24, 1, '2024-08-05 18:08:22', NULL), (8000, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 25, 1, '2024-08-05 18:08:22', NULL), (8001, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 26, 1, '2024-08-05 18:08:22', NULL), (8002, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 27, 1, '2024-08-05 18:08:22', NULL), (8003, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 28, 1, '2024-08-05 18:08:22', NULL), (8004, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 2, 29, 1, '2024-08-05 18:08:22', NULL), (8005, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 1, 1, '2024-08-05 18:08:22', NULL), (8006, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 2, 1, '2024-08-05 18:08:22', NULL), (8007, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 3, 1, '2024-08-05 18:08:22', NULL), (8008, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 4, 1, '2024-08-05 18:08:22', NULL), (8009, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 5, 1, '2024-08-05 18:08:23', NULL), (8010, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 6, 1, '2024-08-05 18:08:23', NULL), (8011, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 7, 1, '2024-08-05 18:08:23', NULL), (8012, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 8, 1, '2024-08-05 18:08:23', NULL), (8013, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 9, 1, '2024-08-05 18:08:23', NULL), (8014, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 10, 1, '2024-08-05 18:08:23', NULL), (8015, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 11, 1, '2024-08-05 18:08:23', NULL), (8016, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 12, 1, '2024-08-05 18:08:23', NULL), (8017, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 13, 1, '2024-08-05 18:08:23', NULL), (8018, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 14, 1, '2024-08-05 18:08:23', NULL), (8019, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 15, 1, '2024-08-05 18:08:23', NULL), (8020, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 16, 1, '2024-08-05 18:08:23', NULL), (8021, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 17, 1, '2024-08-05 18:08:23', NULL), (8022, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 18, 1, '2024-08-05 18:08:23', NULL), (8023, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 19, 1, '2024-08-05 18:08:23', NULL), (8024, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 20, 1, '2024-08-05 18:08:23', NULL), (8025, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 21, 1, '2024-08-05 18:08:23', NULL), (8026, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 22, 1, '2024-08-05 18:08:24', NULL), (8027, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 23, 1, '2024-08-05 18:08:24', NULL), (8028, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 24, 1, '2024-08-05 18:08:24', NULL), (8029, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 25, 1, '2024-08-05 18:08:24', NULL), (8030, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 26, 1, '2024-08-05 18:08:24', NULL), (8031, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 27, 1, '2024-08-05 18:08:24', NULL), (8032, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 28, 1, '2024-08-05 18:08:24', NULL), (8033, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 29, 1, '2024-08-05 18:08:24', NULL), (8034, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 30, 1, '2024-08-05 18:08:24', NULL), (8035, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 3, 31, 1, '2024-08-05 18:08:24', NULL), (8036, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 1, 1, '2024-08-05 18:08:24', NULL), (8037, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 2, 1, '2024-08-05 18:08:24', NULL), (8038, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 3, 1, '2024-08-05 18:08:24', NULL), (8039, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 4, 1, '2024-08-05 18:08:24', NULL), (8040, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 5, 1, '2024-08-05 18:08:24', NULL), (8041, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 6, 1, '2024-08-05 18:08:24', NULL), (8042, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 7, 1, '2024-08-05 18:08:24', NULL), (8043, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 8, 1, '2024-08-05 18:08:25', NULL), (8044, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 9, 1, '2024-08-05 18:08:25', NULL), (8045, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 10, 1, '2024-08-05 18:08:25', NULL), (8046, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 11, 1, '2024-08-05 18:08:25', NULL), (8047, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 12, 1, '2024-08-05 18:08:25', NULL), (8048, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 13, 1, '2024-08-05 18:08:25', NULL), (8049, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 14, 1, '2024-08-05 18:08:25', NULL), (8050, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 15, 1, '2024-08-05 18:08:25', NULL), (8051, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 16, 1, '2024-08-05 18:08:25', NULL), (8052, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 17, 1, '2024-08-05 18:08:25', NULL), (8053, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 18, 1, '2024-08-05 18:08:25', NULL), (8054, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 19, 1, '2024-08-05 18:08:25', NULL), (8055, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 20, 1, '2024-08-05 18:08:25', NULL), (8056, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 21, 1, '2024-08-05 18:08:25', NULL), (8057, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 22, 1, '2024-08-05 18:08:25', NULL), (8058, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 23, 1, '2024-08-05 18:08:25', NULL), (8059, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 24, 1, '2024-08-05 18:08:25', NULL), (8060, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 25, 1, '2024-08-05 18:08:26', NULL), (8061, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 26, 1, '2024-08-05 18:08:26', NULL), (8062, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 27, 1, '2024-08-05 18:08:26', NULL), (8063, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 28, 1, '2024-08-05 18:08:26', NULL), (8064, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 29, 1, '2024-08-05 18:08:26', NULL), (8065, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 4, 30, 1, '2024-08-05 18:08:26', NULL), (8066, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 1, 1, '2024-08-05 18:08:26', NULL), (8067, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 2, 1, '2024-08-05 18:08:26', NULL), (8068, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 3, 1, '2024-08-05 18:08:26', NULL), (8069, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 4, 1, '2024-08-05 18:08:26', NULL), (8070, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 5, 1, '2024-08-05 18:08:26', NULL), (8071, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 6, 1, '2024-08-05 18:08:26', NULL), (8072, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 7, 1, '2024-08-05 18:08:26', NULL), (8073, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 8, 1, '2024-08-05 18:08:26', NULL), (8074, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 9, 1, '2024-08-05 18:08:26', NULL), (8075, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 10, 1, '2024-08-05 18:08:26', NULL), (8076, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 11, 1, '2024-08-05 18:08:26', NULL), (8077, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 12, 1, '2024-08-05 18:08:27', NULL), (8078, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 13, 1, '2024-08-05 18:08:27', NULL), (8079, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 14, 1, '2024-08-05 18:08:27', NULL), (8080, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 15, 1, '2024-08-05 18:08:27', NULL), (8081, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 16, 1, '2024-08-05 18:08:27', NULL), (8082, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 17, 1, '2024-08-05 18:08:27', NULL), (8083, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 18, 1, '2024-08-05 18:08:27', NULL), (8084, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 19, 1, '2024-08-05 18:08:27', NULL), (8085, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 20, 1, '2024-08-05 18:08:27', NULL), (8086, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 21, 1, '2024-08-05 18:08:27', NULL), (8087, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 22, 1, '2024-08-05 18:08:27', NULL), (8088, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 23, 1, '2024-08-05 18:08:27', NULL), (8089, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 24, 1, '2024-08-05 18:08:27', NULL), (8090, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 25, 1, '2024-08-05 18:08:27', NULL), (8091, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 26, 1, '2024-08-05 18:08:27', NULL), (8092, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 27, 1, '2024-08-05 18:08:27', NULL), (8093, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 28, 1, '2024-08-05 18:08:28', NULL), (8094, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 29, 1, '2024-08-05 18:08:28', NULL), (8095, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 30, 1, '2024-08-05 18:08:28', NULL), (8096, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 5, 31, 1, '2024-08-05 18:08:28', NULL), (8097, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 1, 1, '2024-08-05 18:08:28', NULL), (8098, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 2, 1, '2024-08-05 18:08:28', NULL), (8099, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 3, 1, '2024-08-05 18:08:28', NULL), (8100, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 4, 1, '2024-08-05 18:08:28', NULL), (8101, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 5, 1, '2024-08-05 18:08:28', NULL), (8102, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 6, 1, '2024-08-05 18:08:28', NULL), (8103, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 7, 1, '2024-08-05 18:08:28', NULL), (8104, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 8, 1, '2024-08-05 18:08:28', NULL), (8105, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 9, 1, '2024-08-05 18:08:28', NULL), (8106, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 10, 1, '2024-08-05 18:08:28', NULL), (8107, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 11, 1, '2024-08-05 18:08:28', NULL), (8108, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 12, 1, '2024-08-05 18:08:28', NULL), (8109, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 13, 1, '2024-08-05 18:08:29', NULL), (8110, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 14, 1, '2024-08-05 18:08:29', NULL), (8111, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 15, 1, '2024-08-05 18:08:29', NULL), (8112, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 16, 1, '2024-08-05 18:08:29', NULL), (8113, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 17, 1, '2024-08-05 18:08:29', NULL), (8114, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 18, 1, '2024-08-05 18:08:29', NULL), (8115, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 19, 1, '2024-08-05 18:08:29', NULL), (8116, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 20, 1, '2024-08-05 18:08:29', NULL), (8117, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 21, 1, '2024-08-05 18:08:29', NULL), (8118, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 22, 1, '2024-08-05 18:08:29', NULL), (8119, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 23, 1, '2024-08-05 18:08:29', NULL), (8120, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 24, 1, '2024-08-05 18:08:29', NULL), (8121, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 25, 1, '2024-08-05 18:08:29', NULL), (8122, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 26, 1, '2024-08-05 18:08:29', NULL), (8123, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 27, 1, '2024-08-05 18:08:29', NULL), (8124, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 28, 1, '2024-08-05 18:08:29', NULL), (8125, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 29, 1, '2024-08-05 18:08:30', NULL), (8126, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 6, 30, 1, '2024-08-05 18:08:30', NULL), (8127, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 1, 1, '2024-08-05 18:08:30', NULL), (8128, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 2, 1, '2024-08-05 18:08:30', NULL), (8129, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 3, 1, '2024-08-05 18:08:30', NULL), (8130, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 4, 1, '2024-08-05 18:08:30', NULL), (8131, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 5, 1, '2024-08-05 18:08:30', NULL), (8132, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 6, 1, '2024-08-05 18:08:30', NULL), (8133, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 7, 1, '2024-08-05 18:08:30', NULL), (8134, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 8, 1, '2024-08-05 18:08:30', NULL), (8135, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 9, 1, '2024-08-05 18:08:30', NULL), (8136, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 10, 1, '2024-08-05 18:08:30', NULL), (8137, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 11, 1, '2024-08-05 18:08:30', NULL), (8138, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 12, 1, '2024-08-05 18:08:30', NULL), (8139, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 13, 1, '2024-08-05 18:08:30', NULL), (8140, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 14, 1, '2024-08-05 18:08:31', NULL), (8141, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 15, 1, '2024-08-05 18:08:31', NULL), (8142, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 16, 1, '2024-08-05 18:08:31', NULL), (8143, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 17, 1, '2024-08-05 18:08:31', NULL), (8144, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 18, 1, '2024-08-05 18:08:31', NULL), (8145, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 19, 1, '2024-08-05 18:08:31', NULL), (8146, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 20, 1, '2024-08-05 18:08:31', NULL), (8147, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 21, 1, '2024-08-05 18:08:31', NULL), (8148, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 22, 1, '2024-08-05 18:08:31', NULL), (8149, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 23, 1, '2024-08-05 18:08:31', NULL), (8150, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 24, 1, '2024-08-05 18:08:31', NULL), (8151, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 25, 1, '2024-08-05 18:08:31', NULL), (8152, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 26, 1, '2024-08-05 18:08:31', NULL), (8153, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 27, 1, '2024-08-05 18:08:31', NULL), (8154, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 28, 1, '2024-08-05 18:08:31', NULL), (8155, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 29, 1, '2024-08-05 18:08:32', NULL), (8156, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 30, 1, '2024-08-05 18:08:32', NULL), (8157, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 7, 31, 1, '2024-08-05 18:08:32', NULL), (8158, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 1, 1, '2024-08-05 18:08:32', '2024-08-05 22:12:19'), (8159, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 2, 1, '2024-08-05 18:08:32', '2024-08-06 02:20:03'), (8160, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 3, 1, '2024-08-05 18:08:32', '2024-08-07 01:30:02'), (8161, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 4, 1, '2024-08-05 18:08:32', '2024-08-08 01:30:01'), (8162, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 5, 1, '2024-08-05 18:08:32', '2024-08-09 01:30:02'), (8163, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 1, 1, '2024-08-05 18:20:56', NULL), (8164, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 2, 1, '2024-08-05 18:20:56', NULL), (8165, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 3, 1, '2024-08-05 18:20:56', NULL), (8166, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 4, 1, '2024-08-05 18:20:56', NULL), (8167, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 5, 1, '2024-08-05 18:20:56', NULL), (8168, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 6, 1, '2024-08-05 18:20:56', NULL), (8169, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 7, 1, '2024-08-05 18:20:56', NULL), (8170, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 8, 1, '2024-08-05 18:20:56', NULL), (8171, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 9, 1, '2024-08-05 18:20:56', NULL), (8172, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 10, 1, '2024-08-05 18:20:56', NULL), (8173, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 11, 1, '2024-08-05 18:20:56', NULL), (8174, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 12, 1, '2024-08-05 18:20:56', NULL), (8175, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 13, 1, '2024-08-05 18:20:57', NULL), (8176, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 14, 1, '2024-08-05 18:20:57', NULL), (8177, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 15, 1, '2024-08-05 18:20:57', NULL), (8178, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 16, 1, '2024-08-05 18:20:57', NULL), (8179, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 17, 1, '2024-08-05 18:20:57', NULL), (8180, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 18, 1, '2024-08-05 18:20:57', NULL), (8181, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 19, 1, '2024-08-05 18:20:57', NULL), (8182, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 20, 1, '2024-08-05 18:20:57', NULL), (8183, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 21, 1, '2024-08-05 18:20:57', NULL), (8184, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 22, 1, '2024-08-05 18:20:57', NULL), (8185, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 23, 1, '2024-08-05 18:20:57', NULL), (8186, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 24, 1, '2024-08-05 18:20:57', NULL), (8187, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 25, 1, '2024-08-05 18:20:57', NULL), (8188, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 26, 1, '2024-08-05 18:20:58', NULL), (8189, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 27, 1, '2024-08-05 18:20:58', NULL), (8190, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 28, 1, '2024-08-05 18:20:58', NULL), (8191, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 29, 1, '2024-08-05 18:20:58', NULL), (8192, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 1, 30, 1, '2024-08-05 18:20:58', NULL), (8193, 30, '511527102000-0001', '巡司镇便民服务中心', 1, 2023, 1, 31, 1, '2024-08-05 18:20:58', NULL), (8194, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 1, 1, '2024-08-05 18:20:58', NULL), (8195, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 2, 1, '2024-08-05 18:20:58', NULL), (8196, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 3, 1, '2024-08-05 18:20:58', NULL), (8197, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 4, 1, '2024-08-05 18:20:58', NULL), (8198, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 5, 1, '2024-08-05 18:20:58', NULL), (8199, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 6, 1, '2024-08-05 18:20:58', NULL), (8200, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 7, 1, '2024-08-05 18:20:59', NULL), (8201, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 8, 1, '2024-08-05 18:20:59', NULL), (8202, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 9, 1, '2024-08-05 18:20:59', NULL), (8203, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 10, 1, '2024-08-05 18:20:59', NULL), (8204, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 11, 1, '2024-08-05 18:20:59', NULL), (8205, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 12, 1, '2024-08-05 18:20:59', NULL), (8206, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 13, 1, '2024-08-05 18:20:59', NULL), (8207, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 14, 1, '2024-08-05 18:20:59', NULL), (8208, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 15, 1, '2024-08-05 18:20:59', NULL), (8209, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 16, 1, '2024-08-05 18:20:59', NULL), (8210, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 17, 1, '2024-08-05 18:20:59', NULL), (8211, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 18, 1, '2024-08-05 18:20:59', NULL), (8212, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 19, 1, '2024-08-05 18:20:59', NULL), (8213, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 20, 1, '2024-08-05 18:21:00', NULL), (8214, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 21, 1, '2024-08-05 18:21:00', NULL), (8215, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 22, 1, '2024-08-05 18:21:00', NULL), (8216, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 23, 1, '2024-08-05 18:21:00', NULL), (8217, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 24, 1, '2024-08-05 18:21:00', NULL), (8218, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 25, 1, '2024-08-05 18:21:00', NULL), (8219, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 26, 1, '2024-08-05 18:21:00', NULL), (8220, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 27, 1, '2024-08-05 18:21:00', NULL), (8221, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 2, 28, 1, '2024-08-05 18:21:00', NULL), (8222, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 1, 1, '2024-08-05 18:21:00', NULL), (8223, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 2, 1, '2024-08-05 18:21:00', NULL), (8224, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 3, 1, '2024-08-05 18:21:00', NULL), (8225, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 4, 1, '2024-08-05 18:21:00', NULL), (8226, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 5, 1, '2024-08-05 18:21:01', NULL), (8227, 30, '511527102000-0001', '巡司镇便民服务中心', 4, 2023, 3, 6, 1, '2024-08-05 18:21:01', NULL), (8228, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 7, 1, '2024-08-05 18:21:01', NULL), (8229, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 8, 1, '2024-08-05 18:21:01', NULL), (8230, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 9, 1, '2024-08-05 18:21:01', NULL), (8231, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 10, 1, '2024-08-05 18:21:01', NULL), (8232, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 11, 1, '2024-08-05 18:21:01', NULL), (8233, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 12, 1, '2024-08-05 18:21:01', NULL), (8234, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 13, 1, '2024-08-05 18:21:01', NULL), (8235, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 14, 1, '2024-08-05 18:21:01', NULL), (8236, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 15, 1, '2024-08-05 18:21:01', NULL), (8237, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 16, 1, '2024-08-05 18:21:01', NULL), (8238, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 17, 1, '2024-08-05 18:21:02', NULL), (8239, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 18, 1, '2024-08-05 18:21:02', NULL), (8240, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 19, 1, '2024-08-05 18:21:02', NULL), (8241, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 20, 1, '2024-08-05 18:21:02', NULL), (8242, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 21, 1, '2024-08-05 18:21:02', NULL), (8243, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 22, 1, '2024-08-05 18:21:02', NULL), (8244, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 23, 1, '2024-08-05 18:21:02', NULL), (8245, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 24, 1, '2024-08-05 18:21:02', NULL), (8246, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 25, 1, '2024-08-05 18:21:02', NULL), (8247, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 26, 1, '2024-08-05 18:21:02', NULL), (8248, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 27, 1, '2024-08-05 18:21:02', NULL), (8249, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 28, 1, '2024-08-05 18:21:02', NULL), (8250, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 29, 1, '2024-08-05 18:21:03', NULL), (8251, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 30, 1, '2024-08-05 18:21:03', NULL), (8252, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 3, 31, 1, '2024-08-05 18:21:03', NULL), (8253, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 1, 1, '2024-08-05 18:21:03', NULL), (8254, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 2, 1, '2024-08-05 18:21:03', NULL), (8255, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 3, 1, '2024-08-05 18:21:03', NULL), (8256, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 4, 1, '2024-08-05 18:21:03', NULL), (8257, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 5, 1, '2024-08-05 18:21:03', NULL), (8258, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 6, 1, '2024-08-05 18:21:03', NULL), (8259, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 7, 1, '2024-08-05 18:21:03', NULL), (8260, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 8, 1, '2024-08-05 18:21:03', NULL), (8261, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 9, 1, '2024-08-05 18:21:03', NULL), (8262, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 10, 1, '2024-08-05 18:21:04', NULL), (8263, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 11, 1, '2024-08-05 18:21:04', NULL), (8264, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 12, 1, '2024-08-05 18:21:04', NULL), (8265, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 13, 1, '2024-08-05 18:21:04', NULL), (8266, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 14, 1, '2024-08-05 18:21:04', NULL), (8267, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 15, 1, '2024-08-05 18:21:04', NULL), (8268, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 16, 1, '2024-08-05 18:21:04', NULL), (8269, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 17, 1, '2024-08-05 18:21:04', NULL), (8270, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 18, 1, '2024-08-05 18:21:04', NULL), (8271, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 19, 1, '2024-08-05 18:21:04', NULL), (8272, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 20, 1, '2024-08-05 18:21:04', NULL), (8273, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 21, 1, '2024-08-05 18:21:05', NULL), (8274, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 22, 1, '2024-08-05 18:21:05', NULL), (8275, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 23, 1, '2024-08-05 18:21:05', NULL), (8276, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 24, 1, '2024-08-05 18:21:05', NULL), (8277, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 25, 1, '2024-08-05 18:21:05', NULL), (8278, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 26, 1, '2024-08-05 18:21:05', NULL), (8279, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 27, 1, '2024-08-05 18:21:05', NULL), (8280, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 28, 1, '2024-08-05 18:21:05', NULL), (8281, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 29, 1, '2024-08-05 18:21:05', NULL), (8282, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 4, 30, 1, '2024-08-05 18:21:05', NULL), (8283, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 1, 1, '2024-08-05 18:21:05', NULL), (8284, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 2, 1, '2024-08-05 18:21:05', NULL), (8285, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 3, 1, '2024-08-05 18:21:06', NULL), (8286, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 4, 1, '2024-08-05 18:21:06', NULL), (8287, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 5, 1, '2024-08-05 18:21:06', NULL), (8288, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 6, 1, '2024-08-05 18:21:06', NULL), (8289, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 7, 1, '2024-08-05 18:21:06', NULL), (8290, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 8, 1, '2024-08-05 18:21:06', NULL), (8291, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 9, 1, '2024-08-05 18:21:06', NULL), (8292, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 10, 1, '2024-08-05 18:21:06', NULL), (8293, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 11, 1, '2024-08-05 18:21:06', NULL), (8294, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 12, 1, '2024-08-05 18:21:06', NULL), (8295, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 13, 1, '2024-08-05 18:21:06', NULL), (8296, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 14, 1, '2024-08-05 18:21:06', NULL), (8297, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 15, 1, '2024-08-05 18:21:07', NULL), (8298, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 16, 1, '2024-08-05 18:21:07', NULL), (8299, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 17, 1, '2024-08-05 18:21:07', NULL), (8300, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 18, 1, '2024-08-05 18:21:07', NULL), (8301, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 19, 1, '2024-08-05 18:21:07', NULL), (8302, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 20, 1, '2024-08-05 18:21:07', NULL), (8303, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 21, 1, '2024-08-05 18:21:07', NULL), (8304, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 22, 1, '2024-08-05 18:21:07', NULL), (8305, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 23, 1, '2024-08-05 18:21:07', NULL), (8306, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 24, 1, '2024-08-05 18:21:07', NULL), (8307, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 25, 1, '2024-08-05 18:21:07', NULL), (8308, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 26, 1, '2024-08-05 18:21:07', NULL), (8309, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 27, 1, '2024-08-05 18:21:08', NULL), (8310, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 28, 1, '2024-08-05 18:21:08', NULL), (8311, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 29, 1, '2024-08-05 18:21:08', NULL), (8312, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 30, 1, '2024-08-05 18:21:08', NULL), (8313, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 5, 31, 1, '2024-08-05 18:21:08', NULL), (8314, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 1, 1, '2024-08-05 18:21:08', NULL), (8315, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 2, 1, '2024-08-05 18:21:08', NULL), (8316, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 3, 1, '2024-08-05 18:21:08', NULL), (8317, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 4, 1, '2024-08-05 18:21:08', NULL), (8318, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 5, 1, '2024-08-05 18:21:08', NULL), (8319, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 6, 1, '2024-08-05 18:21:08', NULL), (8320, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 7, 1, '2024-08-05 18:21:08', NULL), (8321, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 8, 1, '2024-08-05 18:21:09', NULL), (8322, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 9, 1, '2024-08-05 18:21:09', NULL), (8323, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 10, 1, '2024-08-05 18:21:09', NULL), (8324, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 11, 1, '2024-08-05 18:21:09', NULL), (8325, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 12, 1, '2024-08-05 18:21:09', NULL), (8326, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 13, 1, '2024-08-05 18:21:09', NULL), (8327, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 14, 1, '2024-08-05 18:21:09', NULL), (8328, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 15, 1, '2024-08-05 18:21:09', NULL), (8329, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 16, 1, '2024-08-05 18:21:09', NULL), (8330, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 17, 1, '2024-08-05 18:21:09', NULL), (8331, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 18, 1, '2024-08-05 18:21:09', NULL), (8332, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 19, 1, '2024-08-05 18:21:10', NULL), (8333, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 20, 1, '2024-08-05 18:21:10', NULL), (8334, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 21, 1, '2024-08-05 18:21:10', NULL), (8335, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 22, 1, '2024-08-05 18:21:10', NULL), (8336, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 23, 1, '2024-08-05 18:21:10', NULL), (8337, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 24, 1, '2024-08-05 18:21:10', NULL), (8338, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 25, 1, '2024-08-05 18:21:10', NULL), (8339, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 26, 1, '2024-08-05 18:21:10', NULL), (8340, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 27, 1, '2024-08-05 18:21:10', NULL), (8341, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 28, 1, '2024-08-05 18:21:10', NULL), (8342, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 29, 1, '2024-08-05 18:21:10', NULL), (8343, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 6, 30, 1, '2024-08-05 18:21:10', NULL), (8344, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 1, 1, '2024-08-05 18:21:11', NULL), (8345, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 2, 1, '2024-08-05 18:21:11', NULL), (8346, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 3, 1, '2024-08-05 18:21:11', NULL), (8347, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 4, 1, '2024-08-05 18:21:11', NULL), (8348, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 5, 1, '2024-08-05 18:21:11', NULL), (8349, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 6, 1, '2024-08-05 18:21:11', NULL), (8350, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 7, 1, '2024-08-05 18:21:11', NULL), (8351, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 8, 1, '2024-08-05 18:21:11', NULL), (8352, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 9, 1, '2024-08-05 18:21:11', NULL), (8353, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 10, 1, '2024-08-05 18:21:11', NULL), (8354, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 11, 1, '2024-08-05 18:21:11', NULL), (8355, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 12, 1, '2024-08-05 18:21:11', NULL), (8356, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 13, 1, '2024-08-05 18:21:12', NULL), (8357, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 14, 1, '2024-08-05 18:21:12', NULL), (8358, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 15, 1, '2024-08-05 18:21:12', NULL), (8359, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 16, 1, '2024-08-05 18:21:12', NULL), (8360, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 17, 1, '2024-08-05 18:21:12', NULL), (8361, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 18, 1, '2024-08-05 18:21:12', NULL), (8362, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 19, 1, '2024-08-05 18:21:12', NULL), (8363, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 20, 1, '2024-08-05 18:21:12', NULL), (8364, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 21, 1, '2024-08-05 18:21:12', NULL), (8365, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 22, 1, '2024-08-05 18:21:12', NULL), (8366, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 23, 1, '2024-08-05 18:21:12', NULL), (8367, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 24, 1, '2024-08-05 18:21:13', NULL), (8368, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 25, 1, '2024-08-05 18:21:13', NULL), (8369, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 26, 1, '2024-08-05 18:21:13', NULL), (8370, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 27, 1, '2024-08-05 18:21:13', NULL), (8371, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 28, 1, '2024-08-05 18:21:13', NULL), (8372, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 29, 1, '2024-08-05 18:21:13', NULL), (8373, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 30, 1, '2024-08-05 18:21:13', NULL), (8374, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 7, 31, 1, '2024-08-05 18:21:13', NULL), (8375, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 1, 1, '2024-08-05 18:21:13', NULL), (8376, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 2, 1, '2024-08-05 18:21:13', NULL), (8377, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 3, 1, '2024-08-05 18:21:13', NULL), (8378, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 4, 1, '2024-08-05 18:21:13', NULL), (8379, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 5, 1, '2024-08-05 18:21:13', NULL), (8380, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 6, 1, '2024-08-05 18:21:14', NULL), (8381, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 7, 1, '2024-08-05 18:21:14', NULL), (8382, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 8, 1, '2024-08-05 18:21:14', NULL), (8383, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 9, 1, '2024-08-05 18:21:14', NULL), (8384, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 10, 1, '2024-08-05 18:21:14', NULL), (8385, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 11, 1, '2024-08-05 18:21:14', NULL), (8386, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 12, 1, '2024-08-05 18:21:14', NULL), (8387, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 13, 1, '2024-08-05 18:21:14', NULL), (8388, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 14, 1, '2024-08-05 18:21:14', NULL), (8389, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 15, 1, '2024-08-05 18:21:14', NULL), (8390, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 16, 1, '2024-08-05 18:21:14', NULL), (8391, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 17, 1, '2024-08-05 18:21:14', NULL), (8392, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 18, 1, '2024-08-05 18:21:14', NULL), (8393, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 19, 1, '2024-08-05 18:21:14', NULL), (8394, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 20, 1, '2024-08-05 18:21:14', NULL), (8395, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 21, 1, '2024-08-05 18:21:14', NULL), (8396, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 22, 1, '2024-08-05 18:21:14', NULL), (8397, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 23, 1, '2024-08-05 18:21:14', NULL), (8398, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 24, 1, '2024-08-05 18:21:14', NULL), (8399, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 25, 1, '2024-08-05 18:21:14', NULL), (8400, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 26, 1, '2024-08-05 18:21:14', NULL), (8401, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 27, 1, '2024-08-05 18:21:14', NULL), (8402, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 28, 1, '2024-08-05 18:21:14', NULL), (8403, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 29, 1, '2024-08-05 18:21:15', NULL), (8404, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 8, 30, 1, '2024-08-05 18:21:15', NULL), (8405, 30, '511527102000-0001', '巡司镇便民服务中心', 2, 2023, 8, 31, 1, '2024-08-05 18:21:15', NULL), (8406, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 1, 1, '2024-08-05 18:21:15', NULL), (8407, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 2, 1, '2024-08-05 18:21:15', NULL), (8408, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 3, 1, '2024-08-05 18:21:15', NULL), (8409, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 4, 1, '2024-08-05 18:21:15', NULL), (8410, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 5, 1, '2024-08-05 18:21:15', NULL), (8411, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 6, 1, '2024-08-05 18:21:15', NULL), (8412, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 7, 1, '2024-08-05 18:21:15', NULL), (8413, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 8, 1, '2024-08-05 18:21:15', NULL), (8414, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 9, 1, '2024-08-05 18:21:15', NULL), (8415, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 10, 1, '2024-08-05 18:21:15', NULL), (8416, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 11, 1, '2024-08-05 18:21:15', NULL), (8417, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 12, 1, '2024-08-05 18:21:15', NULL), (8418, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 13, 1, '2024-08-05 18:21:15', NULL), (8419, 30, '511527102000-0001', '巡司镇便民服务中心', 1, 2023, 9, 14, 1, '2024-08-05 18:21:15', NULL), (8420, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 15, 1, '2024-08-05 18:21:15', NULL), (8421, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 16, 1, '2024-08-05 18:21:15', NULL), (8422, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 17, 1, '2024-08-05 18:21:15', NULL), (8423, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 18, 1, '2024-08-05 18:21:15', NULL), (8424, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 19, 1, '2024-08-05 18:21:15', NULL), (8425, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 20, 1, '2024-08-05 18:21:15', NULL), (8426, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 21, 1, '2024-08-05 18:21:15', NULL), (8427, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 22, 1, '2024-08-05 18:21:15', NULL), (8428, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 23, 1, '2024-08-05 18:21:15', NULL), (8429, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 24, 1, '2024-08-05 18:21:15', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (8430, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 25, 1, '2024-08-05 18:21:16', NULL), (8431, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 26, 1, '2024-08-05 18:21:16', NULL), (8432, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 27, 1, '2024-08-05 18:21:16', NULL), (8433, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 28, 1, '2024-08-05 18:21:16', NULL), (8434, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 29, 1, '2024-08-05 18:21:16', NULL), (8435, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 9, 30, 1, '2024-08-05 18:21:16', NULL), (8436, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 1, 1, '2024-08-05 18:21:16', NULL), (8437, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 2, 1, '2024-08-05 18:21:16', NULL), (8438, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 3, 1, '2024-08-05 18:21:16', NULL), (8439, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 4, 1, '2024-08-05 18:21:16', NULL), (8440, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 5, 1, '2024-08-05 18:21:16', NULL), (8441, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 6, 1, '2024-08-05 18:21:16', NULL), (8442, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 7, 1, '2024-08-05 18:21:16', NULL), (8443, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 8, 1, '2024-08-05 18:21:16', NULL), (8444, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 9, 1, '2024-08-05 18:21:16', NULL), (8445, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 10, 1, '2024-08-05 18:21:16', NULL), (8446, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 11, 1, '2024-08-05 18:21:16', NULL), (8447, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 12, 1, '2024-08-05 18:21:16', NULL), (8448, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 13, 1, '2024-08-05 18:21:16', NULL), (8449, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 14, 1, '2024-08-05 18:21:16', NULL), (8450, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 15, 1, '2024-08-05 18:21:16', NULL), (8451, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 16, 1, '2024-08-05 18:21:16', NULL), (8452, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 17, 1, '2024-08-05 18:21:16', NULL), (8453, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 18, 1, '2024-08-05 18:21:16', NULL), (8454, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 19, 1, '2024-08-05 18:21:16', NULL), (8455, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 20, 1, '2024-08-05 18:21:16', NULL), (8456, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 21, 1, '2024-08-05 18:21:16', NULL), (8457, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 22, 1, '2024-08-05 18:21:16', NULL), (8458, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 23, 1, '2024-08-05 18:21:16', NULL), (8459, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 24, 1, '2024-08-05 18:21:16', NULL), (8460, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 25, 1, '2024-08-05 18:21:17', NULL), (8461, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 26, 1, '2024-08-05 18:21:17', NULL), (8462, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 27, 1, '2024-08-05 18:21:17', NULL), (8463, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 28, 1, '2024-08-05 18:21:17', NULL), (8464, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 29, 1, '2024-08-05 18:21:17', NULL), (8465, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 30, 1, '2024-08-05 18:21:17', NULL), (8466, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 10, 31, 1, '2024-08-05 18:21:17', NULL), (8467, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 1, 1, '2024-08-05 18:21:17', NULL), (8468, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 2, 1, '2024-08-05 18:21:17', NULL), (8469, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 3, 1, '2024-08-05 18:21:17', NULL), (8470, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 4, 1, '2024-08-05 18:21:17', NULL), (8471, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 5, 1, '2024-08-05 18:21:17', NULL), (8472, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 6, 1, '2024-08-05 18:21:17', NULL), (8473, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 7, 1, '2024-08-05 18:21:17', NULL), (8474, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 8, 1, '2024-08-05 18:21:17', NULL), (8475, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 9, 1, '2024-08-05 18:21:17', NULL), (8476, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 10, 1, '2024-08-05 18:21:17', NULL), (8477, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 11, 1, '2024-08-05 18:21:17', NULL), (8478, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 12, 1, '2024-08-05 18:21:17', NULL), (8479, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 13, 1, '2024-08-05 18:21:17', NULL), (8480, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 14, 1, '2024-08-05 18:21:17', NULL), (8481, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 15, 1, '2024-08-05 18:21:17', NULL), (8482, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 16, 1, '2024-08-05 18:21:17', NULL), (8483, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 17, 1, '2024-08-05 18:21:17', NULL), (8484, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 18, 1, '2024-08-05 18:21:17', NULL), (8485, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 19, 1, '2024-08-05 18:21:17', NULL), (8486, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 20, 1, '2024-08-05 18:21:17', NULL), (8487, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 21, 1, '2024-08-05 18:21:18', NULL), (8488, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 22, 1, '2024-08-05 18:21:18', NULL), (8489, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 23, 1, '2024-08-05 18:21:18', NULL), (8490, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 24, 1, '2024-08-05 18:21:18', NULL), (8491, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 25, 1, '2024-08-05 18:21:18', NULL), (8492, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 26, 1, '2024-08-05 18:21:18', NULL), (8493, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 27, 1, '2024-08-05 18:21:18', NULL), (8494, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 28, 1, '2024-08-05 18:21:18', NULL), (8495, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 29, 1, '2024-08-05 18:21:18', NULL), (8496, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 11, 30, 1, '2024-08-05 18:21:18', NULL), (8497, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 1, 1, '2024-08-05 18:21:18', NULL), (8498, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 2, 1, '2024-08-05 18:21:18', NULL), (8499, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 3, 1, '2024-08-05 18:21:18', NULL), (8500, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 4, 1, '2024-08-05 18:21:18', NULL), (8501, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 5, 1, '2024-08-05 18:21:18', NULL), (8502, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 6, 1, '2024-08-05 18:21:18', NULL), (8503, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 7, 1, '2024-08-05 18:21:18', NULL), (8504, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 8, 1, '2024-08-05 18:21:18', NULL), (8505, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 9, 1, '2024-08-05 18:21:18', NULL), (8506, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 10, 1, '2024-08-05 18:21:18', NULL), (8507, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 11, 1, '2024-08-05 18:21:18', NULL), (8508, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 12, 1, '2024-08-05 18:21:18', NULL), (8509, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 13, 1, '2024-08-05 18:21:18', NULL), (8510, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 14, 1, '2024-08-05 18:21:18', NULL), (8511, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 15, 1, '2024-08-05 18:21:19', NULL), (8512, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 16, 1, '2024-08-05 18:21:19', NULL), (8513, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 17, 1, '2024-08-05 18:21:19', NULL), (8514, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 18, 1, '2024-08-05 18:21:19', NULL), (8515, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 19, 1, '2024-08-05 18:21:19', NULL), (8516, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 20, 1, '2024-08-05 18:21:19', NULL), (8517, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 21, 1, '2024-08-05 18:21:19', NULL), (8518, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 22, 1, '2024-08-05 18:21:19', NULL), (8519, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 23, 1, '2024-08-05 18:21:19', NULL), (8520, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 24, 1, '2024-08-05 18:21:19', NULL), (8521, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 25, 1, '2024-08-05 18:21:19', NULL), (8522, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 26, 1, '2024-08-05 18:21:19', NULL), (8523, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 27, 1, '2024-08-05 18:21:19', NULL), (8524, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 28, 1, '2024-08-05 18:21:19', NULL), (8525, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 29, 1, '2024-08-05 18:21:19', NULL), (8526, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 30, 1, '2024-08-05 18:21:19', NULL), (8527, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2023, 12, 31, 1, '2024-08-05 18:21:19', NULL), (8528, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 1, 1, '2024-08-05 18:21:19', NULL), (8529, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 2, 1, '2024-08-05 18:21:19', NULL), (8530, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 3, 1, '2024-08-05 18:21:19', NULL), (8531, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 4, 1, '2024-08-05 18:21:19', NULL), (8532, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 5, 1, '2024-08-05 18:21:19', NULL), (8533, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 6, 1, '2024-08-05 18:21:19', NULL), (8534, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 7, 1, '2024-08-05 18:21:20', NULL), (8535, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 8, 1, '2024-08-05 18:21:20', NULL), (8536, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 9, 1, '2024-08-05 18:21:20', NULL), (8537, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 10, 1, '2024-08-05 18:21:20', NULL), (8538, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 11, 1, '2024-08-05 18:21:20', NULL), (8539, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 12, 1, '2024-08-05 18:21:20', NULL), (8540, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 13, 1, '2024-08-05 18:21:20', NULL), (8541, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 14, 1, '2024-08-05 18:21:20', NULL), (8542, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 15, 1, '2024-08-05 18:21:20', NULL), (8543, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 16, 1, '2024-08-05 18:21:20', NULL), (8544, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 17, 1, '2024-08-05 18:21:20', NULL), (8545, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 18, 1, '2024-08-05 18:21:20', NULL), (8546, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 19, 1, '2024-08-05 18:21:20', NULL), (8547, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 20, 1, '2024-08-05 18:21:20', NULL), (8548, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 21, 1, '2024-08-05 18:21:20', NULL), (8549, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 22, 1, '2024-08-05 18:21:20', NULL), (8550, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 23, 1, '2024-08-05 18:21:20', NULL), (8551, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 24, 1, '2024-08-05 18:21:20', NULL), (8552, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 25, 1, '2024-08-05 18:21:20', NULL), (8553, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 26, 1, '2024-08-05 18:21:20', NULL), (8554, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 27, 1, '2024-08-05 18:21:21', NULL), (8555, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 28, 1, '2024-08-05 18:21:21', NULL), (8556, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 29, 1, '2024-08-05 18:21:21', NULL), (8557, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 30, 1, '2024-08-05 18:21:21', NULL), (8558, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 1, 31, 1, '2024-08-05 18:21:21', NULL), (8559, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 1, 1, '2024-08-05 18:21:21', NULL), (8560, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 2, 1, '2024-08-05 18:21:21', NULL), (8561, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 3, 1, '2024-08-05 18:21:21', NULL), (8562, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 4, 1, '2024-08-05 18:21:21', NULL), (8563, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 5, 1, '2024-08-05 18:21:21', NULL), (8564, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 6, 1, '2024-08-05 18:21:21', NULL), (8565, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 7, 1, '2024-08-05 18:21:21', NULL), (8566, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 8, 1, '2024-08-05 18:21:21', NULL), (8567, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 9, 1, '2024-08-05 18:21:21', NULL), (8568, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 10, 1, '2024-08-05 18:21:21', NULL), (8569, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 11, 1, '2024-08-05 18:21:21', NULL), (8570, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 12, 1, '2024-08-05 18:21:21', NULL), (8571, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 13, 1, '2024-08-05 18:21:21', NULL), (8572, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 14, 1, '2024-08-05 18:21:21', NULL), (8573, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 15, 1, '2024-08-05 18:21:22', NULL), (8574, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 16, 1, '2024-08-05 18:21:22', NULL), (8575, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 17, 1, '2024-08-05 18:21:22', NULL), (8576, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 18, 1, '2024-08-05 18:21:22', NULL), (8577, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 19, 1, '2024-08-05 18:21:22', NULL), (8578, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 20, 1, '2024-08-05 18:21:22', NULL), (8579, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 21, 1, '2024-08-05 18:21:22', NULL), (8580, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 22, 1, '2024-08-05 18:21:22', NULL), (8581, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 23, 1, '2024-08-05 18:21:22', NULL), (8582, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 24, 1, '2024-08-05 18:21:22', NULL), (8583, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 25, 1, '2024-08-05 18:21:22', NULL), (8584, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 26, 1, '2024-08-05 18:21:22', NULL), (8585, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 27, 1, '2024-08-05 18:21:22', NULL), (8586, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 28, 1, '2024-08-05 18:21:22', NULL), (8587, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 2, 29, 1, '2024-08-05 18:21:22', NULL), (8588, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 1, 1, '2024-08-05 18:21:22', NULL), (8589, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 2, 1, '2024-08-05 18:21:22', NULL), (8590, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 3, 1, '2024-08-05 18:21:22', NULL), (8591, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 4, 1, '2024-08-05 18:21:22', NULL), (8592, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 5, 1, '2024-08-05 18:21:23', NULL), (8593, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 6, 1, '2024-08-05 18:21:23', NULL), (8594, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 7, 1, '2024-08-05 18:21:23', NULL), (8595, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 8, 1, '2024-08-05 18:21:23', NULL), (8596, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 9, 1, '2024-08-05 18:21:23', NULL), (8597, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 10, 1, '2024-08-05 18:21:23', NULL), (8598, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 11, 1, '2024-08-05 18:21:23', NULL), (8599, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 12, 1, '2024-08-05 18:21:23', NULL), (8600, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 13, 1, '2024-08-05 18:21:23', NULL), (8601, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 14, 1, '2024-08-05 18:21:23', NULL), (8602, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 15, 1, '2024-08-05 18:21:23', NULL), (8603, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 16, 1, '2024-08-05 18:21:23', NULL), (8604, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 17, 1, '2024-08-05 18:21:23', NULL), (8605, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 18, 1, '2024-08-05 18:21:23', NULL), (8606, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 19, 1, '2024-08-05 18:21:23', NULL), (8607, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 20, 1, '2024-08-05 18:21:23', NULL), (8608, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 21, 1, '2024-08-05 18:21:23', NULL), (8609, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 22, 1, '2024-08-05 18:21:24', NULL), (8610, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 23, 1, '2024-08-05 18:21:24', NULL), (8611, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 24, 1, '2024-08-05 18:21:24', NULL), (8612, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 25, 1, '2024-08-05 18:21:24', NULL), (8613, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 26, 1, '2024-08-05 18:21:24', NULL), (8614, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 27, 1, '2024-08-05 18:21:24', NULL), (8615, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 28, 1, '2024-08-05 18:21:24', NULL), (8616, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 29, 1, '2024-08-05 18:21:24', NULL), (8617, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 30, 1, '2024-08-05 18:21:24', NULL), (8618, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 3, 31, 1, '2024-08-05 18:21:24', NULL), (8619, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 1, 1, '2024-08-05 18:21:24', NULL), (8620, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 2, 1, '2024-08-05 18:21:24', NULL), (8621, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 3, 1, '2024-08-05 18:21:24', NULL), (8622, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 4, 1, '2024-08-05 18:21:24', NULL), (8623, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 5, 1, '2024-08-05 18:21:24', NULL), (8624, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 6, 1, '2024-08-05 18:21:24', NULL), (8625, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 7, 1, '2024-08-05 18:21:24', NULL), (8626, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 8, 1, '2024-08-05 18:21:25', NULL), (8627, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 9, 1, '2024-08-05 18:21:25', NULL), (8628, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 10, 1, '2024-08-05 18:21:25', NULL), (8629, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 11, 1, '2024-08-05 18:21:25', NULL), (8630, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 12, 1, '2024-08-05 18:21:25', NULL), (8631, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 13, 1, '2024-08-05 18:21:25', NULL), (8632, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 14, 1, '2024-08-05 18:21:25', NULL), (8633, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 15, 1, '2024-08-05 18:21:25', NULL), (8634, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 16, 1, '2024-08-05 18:21:25', NULL), (8635, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 17, 1, '2024-08-05 18:21:25', NULL), (8636, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 18, 1, '2024-08-05 18:21:25', NULL), (8637, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 19, 1, '2024-08-05 18:21:25', NULL), (8638, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 20, 1, '2024-08-05 18:21:25', NULL), (8639, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 21, 1, '2024-08-05 18:21:25', NULL), (8640, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 22, 1, '2024-08-05 18:21:25', NULL), (8641, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 23, 1, '2024-08-05 18:21:25', NULL), (8642, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 24, 1, '2024-08-05 18:21:26', NULL), (8643, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 25, 1, '2024-08-05 18:21:26', NULL), (8644, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 26, 1, '2024-08-05 18:21:26', NULL), (8645, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 27, 1, '2024-08-05 18:21:26', NULL), (8646, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 28, 1, '2024-08-05 18:21:26', NULL), (8647, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 29, 1, '2024-08-05 18:21:26', NULL), (8648, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 4, 30, 1, '2024-08-05 18:21:26', NULL), (8649, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 1, 1, '2024-08-05 18:21:26', NULL), (8650, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 2, 1, '2024-08-05 18:21:26', NULL), (8651, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 3, 1, '2024-08-05 18:21:26', NULL), (8652, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 4, 1, '2024-08-05 18:21:26', NULL), (8653, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 5, 1, '2024-08-05 18:21:26', NULL), (8654, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 6, 1, '2024-08-05 18:21:26', NULL), (8655, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 7, 1, '2024-08-05 18:21:26', NULL), (8656, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 8, 1, '2024-08-05 18:21:26', NULL), (8657, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 9, 1, '2024-08-05 18:21:26', NULL), (8658, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 10, 1, '2024-08-05 18:21:27', NULL), (8659, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 11, 1, '2024-08-05 18:21:27', NULL), (8660, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 12, 1, '2024-08-05 18:21:27', NULL), (8661, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 13, 1, '2024-08-05 18:21:27', NULL), (8662, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 14, 1, '2024-08-05 18:21:27', NULL), (8663, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 15, 1, '2024-08-05 18:21:27', NULL), (8664, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 16, 1, '2024-08-05 18:21:27', NULL), (8665, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 17, 1, '2024-08-05 18:21:27', NULL), (8666, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 18, 1, '2024-08-05 18:21:27', NULL), (8667, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 19, 1, '2024-08-05 18:21:27', NULL), (8668, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 20, 1, '2024-08-05 18:21:27', NULL), (8669, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 21, 1, '2024-08-05 18:21:27', NULL), (8670, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 22, 1, '2024-08-05 18:21:27', NULL), (8671, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 23, 1, '2024-08-05 18:21:27', NULL), (8672, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 24, 1, '2024-08-05 18:21:27', NULL), (8673, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 25, 1, '2024-08-05 18:21:28', NULL), (8674, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 26, 1, '2024-08-05 18:21:28', NULL), (8675, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 27, 1, '2024-08-05 18:21:28', NULL), (8676, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 28, 1, '2024-08-05 18:21:28', NULL), (8677, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 29, 1, '2024-08-05 18:21:28', NULL), (8678, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 30, 1, '2024-08-05 18:21:28', NULL), (8679, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 5, 31, 1, '2024-08-05 18:21:28', NULL), (8680, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 1, 1, '2024-08-05 18:21:28', NULL), (8681, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 2, 1, '2024-08-05 18:21:28', NULL), (8682, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 3, 1, '2024-08-05 18:21:28', NULL), (8683, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 4, 1, '2024-08-05 18:21:28', NULL), (8684, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 5, 1, '2024-08-05 18:21:28', NULL), (8685, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 6, 1, '2024-08-05 18:21:28', NULL), (8686, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 7, 1, '2024-08-05 18:21:28', NULL), (8687, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 8, 1, '2024-08-05 18:21:28', NULL), (8688, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 9, 1, '2024-08-05 18:21:28', NULL), (8689, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 10, 1, '2024-08-05 18:21:29', NULL), (8690, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 11, 1, '2024-08-05 18:21:29', NULL), (8691, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 12, 1, '2024-08-05 18:21:29', NULL), (8692, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 13, 1, '2024-08-05 18:21:29', NULL), (8693, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 14, 1, '2024-08-05 18:21:29', NULL), (8694, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 15, 1, '2024-08-05 18:21:29', NULL), (8695, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 16, 1, '2024-08-05 18:21:29', NULL), (8696, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 17, 1, '2024-08-05 18:21:29', NULL), (8697, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 18, 1, '2024-08-05 18:21:29', NULL), (8698, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 19, 1, '2024-08-05 18:21:29', NULL), (8699, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 20, 1, '2024-08-05 18:21:29', NULL), (8700, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 21, 1, '2024-08-05 18:21:29', NULL), (8701, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 22, 1, '2024-08-05 18:21:29', NULL), (8702, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 23, 1, '2024-08-05 18:21:29', NULL), (8703, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 24, 1, '2024-08-05 18:21:29', NULL), (8704, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 25, 1, '2024-08-05 18:21:29', NULL), (8705, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 26, 1, '2024-08-05 18:21:30', NULL), (8706, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 27, 1, '2024-08-05 18:21:30', NULL), (8707, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 28, 1, '2024-08-05 18:21:30', NULL), (8708, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 29, 1, '2024-08-05 18:21:30', NULL), (8709, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 6, 30, 1, '2024-08-05 18:21:30', NULL), (8710, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 1, 1, '2024-08-05 18:21:30', NULL), (8711, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 2, 1, '2024-08-05 18:21:30', NULL), (8712, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 3, 1, '2024-08-05 18:21:30', NULL), (8713, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 4, 1, '2024-08-05 18:21:30', NULL), (8714, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 5, 1, '2024-08-05 18:21:30', NULL), (8715, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 6, 1, '2024-08-05 18:21:30', NULL), (8716, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 7, 1, '2024-08-05 18:21:30', NULL), (8717, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 8, 1, '2024-08-05 18:21:30', NULL), (8718, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 9, 1, '2024-08-05 18:21:30', NULL), (8719, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 10, 1, '2024-08-05 18:21:30', NULL), (8720, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 11, 1, '2024-08-05 18:21:31', NULL), (8721, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 12, 1, '2024-08-05 18:21:31', NULL), (8722, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 13, 1, '2024-08-05 18:21:31', NULL), (8723, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 14, 1, '2024-08-05 18:21:31', NULL), (8724, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 15, 1, '2024-08-05 18:21:31', NULL), (8725, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 16, 1, '2024-08-05 18:21:31', NULL), (8726, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 17, 1, '2024-08-05 18:21:31', NULL), (8727, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 18, 1, '2024-08-05 18:21:31', NULL), (8728, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 19, 1, '2024-08-05 18:21:31', NULL), (8729, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 20, 1, '2024-08-05 18:21:31', NULL), (8730, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 21, 1, '2024-08-05 18:21:31', NULL), (8731, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 22, 1, '2024-08-05 18:21:31', NULL), (8732, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 23, 1, '2024-08-05 18:21:31', NULL), (8733, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 24, 1, '2024-08-05 18:21:31', NULL), (8734, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 25, 1, '2024-08-05 18:21:31', NULL), (8735, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 26, 1, '2024-08-05 18:21:32', NULL), (8736, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 27, 1, '2024-08-05 18:21:32', NULL), (8737, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 28, 1, '2024-08-05 18:21:32', NULL), (8738, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 29, 1, '2024-08-05 18:21:32', NULL), (8739, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 30, 1, '2024-08-05 18:21:32', NULL), (8740, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 7, 31, 1, '2024-08-05 18:21:32', NULL), (8741, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 1, 1, '2024-08-05 18:21:32', '2024-08-05 22:12:25'), (8742, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 2, 1, '2024-08-05 18:21:32', '2024-08-06 02:20:03'), (8743, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 3, 1, '2024-08-05 18:21:32', '2024-08-07 01:30:02'), (8744, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 4, 1, '2024-08-05 18:21:32', '2024-08-08 01:30:01'), (8745, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 5, 1, '2024-08-05 18:21:32', '2024-08-09 01:30:02'), (8746, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 1, 1, '2024-08-05 18:33:23', NULL), (8747, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 2, 1, '2024-08-05 18:33:23', NULL), (8748, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 3, 1, '2024-08-05 18:33:23', NULL), (8749, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 4, 1, '2024-08-05 18:33:24', NULL), (8750, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 5, 1, '2024-08-05 18:33:24', NULL), (8751, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 6, 1, '2024-08-05 18:33:24', NULL), (8752, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 7, 1, '2024-08-05 18:33:24', NULL), (8753, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 8, 1, '2024-08-05 18:33:24', NULL), (8754, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 9, 1, '2024-08-05 18:33:24', NULL), (8755, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 10, 1, '2024-08-05 18:33:24', NULL), (8756, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 11, 1, '2024-08-05 18:33:24', NULL), (8757, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 12, 1, '2024-08-05 18:33:24', NULL), (8758, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 13, 1, '2024-08-05 18:33:24', NULL), (8759, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 14, 1, '2024-08-05 18:33:24', NULL), (8760, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 15, 1, '2024-08-05 18:33:24', NULL), (8761, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 16, 1, '2024-08-05 18:33:24', NULL), (8762, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 17, 1, '2024-08-05 18:33:25', NULL), (8763, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 18, 1, '2024-08-05 18:33:25', NULL), (8764, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 19, 1, '2024-08-05 18:33:25', NULL), (8765, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 20, 1, '2024-08-05 18:33:25', NULL), (8766, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 21, 1, '2024-08-05 18:33:25', NULL), (8767, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 22, 1, '2024-08-05 18:33:25', NULL), (8768, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 23, 1, '2024-08-05 18:33:25', NULL), (8769, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 24, 1, '2024-08-05 18:33:25', NULL), (8770, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 25, 1, '2024-08-05 18:33:25', NULL), (8771, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 26, 1, '2024-08-05 18:33:25', NULL), (8772, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 27, 1, '2024-08-05 18:33:25', NULL), (8773, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 28, 1, '2024-08-05 18:33:25', NULL), (8774, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 29, 1, '2024-08-05 18:33:25', NULL), (8775, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 30, 1, '2024-08-05 18:33:26', NULL), (8776, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 1, 31, 1, '2024-08-05 18:33:26', NULL), (8777, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 1, 1, '2024-08-05 18:33:26', NULL), (8778, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 2, 1, '2024-08-05 18:33:26', NULL), (8779, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 3, 1, '2024-08-05 18:33:26', NULL), (8780, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 4, 1, '2024-08-05 18:33:26', NULL), (8781, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 5, 1, '2024-08-05 18:33:26', NULL), (8782, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 6, 1, '2024-08-05 18:33:26', NULL), (8783, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 7, 1, '2024-08-05 18:33:26', NULL), (8784, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 8, 1, '2024-08-05 18:33:26', NULL), (8785, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 9, 1, '2024-08-05 18:33:26', NULL), (8786, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 10, 1, '2024-08-05 18:33:26', NULL), (8787, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 11, 1, '2024-08-05 18:33:26', NULL), (8788, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 12, 1, '2024-08-05 18:33:27', NULL), (8789, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 13, 1, '2024-08-05 18:33:27', NULL), (8790, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 14, 1, '2024-08-05 18:33:27', NULL), (8791, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 15, 1, '2024-08-05 18:33:27', NULL), (8792, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 16, 1, '2024-08-05 18:33:27', NULL), (8793, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 17, 1, '2024-08-05 18:33:27', NULL), (8794, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 18, 1, '2024-08-05 18:33:27', NULL), (8795, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 19, 1, '2024-08-05 18:33:27', NULL), (8796, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 20, 1, '2024-08-05 18:33:27', NULL), (8797, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 21, 1, '2024-08-05 18:33:27', NULL), (8798, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 22, 1, '2024-08-05 18:33:27', NULL), (8799, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 23, 1, '2024-08-05 18:33:27', NULL), (8800, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 24, 1, '2024-08-05 18:33:27', NULL), (8801, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 25, 1, '2024-08-05 18:33:28', NULL), (8802, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 26, 1, '2024-08-05 18:33:28', NULL), (8803, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 27, 1, '2024-08-05 18:33:28', NULL), (8804, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 2, 28, 1, '2024-08-05 18:33:28', NULL), (8805, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 1, 1, '2024-08-05 18:33:28', NULL), (8806, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 2, 1, '2024-08-05 18:33:28', NULL), (8807, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 3, 1, '2024-08-05 18:33:28', NULL), (8808, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 4, 1, '2024-08-05 18:33:28', NULL), (8809, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 5, 1, '2024-08-05 18:33:28', NULL), (8810, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 6, 1, '2024-08-05 18:33:28', NULL), (8811, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 7, 1, '2024-08-05 18:33:28', NULL), (8812, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 8, 1, '2024-08-05 18:33:28', NULL), (8813, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 9, 1, '2024-08-05 18:33:29', NULL), (8814, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 10, 1, '2024-08-05 18:33:29', NULL), (8815, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 11, 1, '2024-08-05 18:33:29', NULL), (8816, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 12, 1, '2024-08-05 18:33:29', NULL), (8817, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 13, 1, '2024-08-05 18:33:29', NULL), (8818, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 14, 1, '2024-08-05 18:33:29', NULL), (8819, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 15, 1, '2024-08-05 18:33:29', NULL), (8820, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 16, 1, '2024-08-05 18:33:29', NULL), (8821, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 17, 1, '2024-08-05 18:33:29', NULL), (8822, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 18, 1, '2024-08-05 18:33:29', NULL), (8823, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 19, 1, '2024-08-05 18:33:29', NULL), (8824, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 20, 1, '2024-08-05 18:33:29', NULL), (8825, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 21, 1, '2024-08-05 18:33:30', NULL), (8826, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 22, 1, '2024-08-05 18:33:30', NULL), (8827, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 23, 1, '2024-08-05 18:33:30', NULL), (8828, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 24, 1, '2024-08-05 18:33:30', NULL), (8829, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 25, 1, '2024-08-05 18:33:30', NULL), (8830, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 26, 1, '2024-08-05 18:33:30', NULL), (8831, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 27, 1, '2024-08-05 18:33:30', NULL), (8832, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 28, 1, '2024-08-05 18:33:30', NULL), (8833, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 29, 1, '2024-08-05 18:33:30', NULL), (8834, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 30, 1, '2024-08-05 18:33:30', NULL), (8835, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 3, 31, 1, '2024-08-05 18:33:30', NULL), (8836, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 1, 1, '2024-08-05 18:33:30', NULL), (8837, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 2, 1, '2024-08-05 18:33:31', NULL), (8838, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 3, 1, '2024-08-05 18:33:31', NULL), (8839, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 4, 1, '2024-08-05 18:33:31', NULL), (8840, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 5, 1, '2024-08-05 18:33:31', NULL), (8841, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 6, 1, '2024-08-05 18:33:31', NULL), (8842, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 7, 1, '2024-08-05 18:33:31', NULL), (8843, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 8, 1, '2024-08-05 18:33:31', NULL), (8844, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 9, 1, '2024-08-05 18:33:31', NULL), (8845, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 10, 1, '2024-08-05 18:33:31', NULL), (8846, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 11, 1, '2024-08-05 18:33:31', NULL), (8847, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 12, 1, '2024-08-05 18:33:31', NULL), (8848, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 13, 1, '2024-08-05 18:33:31', NULL), (8849, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 14, 1, '2024-08-05 18:33:32', NULL), (8850, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 15, 1, '2024-08-05 18:33:32', NULL), (8851, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 16, 1, '2024-08-05 18:33:32', NULL), (8852, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 17, 1, '2024-08-05 18:33:32', NULL), (8853, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 18, 1, '2024-08-05 18:33:32', NULL), (8854, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 19, 1, '2024-08-05 18:33:32', NULL), (8855, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 20, 1, '2024-08-05 18:33:32', NULL), (8856, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 21, 1, '2024-08-05 18:33:32', NULL), (8857, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 22, 1, '2024-08-05 18:33:32', NULL), (8858, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 23, 1, '2024-08-05 18:33:32', NULL), (8859, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 24, 1, '2024-08-05 18:33:32', NULL), (8860, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 25, 1, '2024-08-05 18:33:33', NULL), (8861, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 26, 1, '2024-08-05 18:33:33', NULL), (8862, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 27, 1, '2024-08-05 18:33:33', NULL), (8863, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 28, 1, '2024-08-05 18:33:33', NULL), (8864, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 29, 1, '2024-08-05 18:33:33', NULL), (8865, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 4, 30, 1, '2024-08-05 18:33:33', NULL), (8866, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 1, 1, '2024-08-05 18:33:33', NULL), (8867, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 2, 1, '2024-08-05 18:33:33', NULL), (8868, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 3, 1, '2024-08-05 18:33:33', NULL), (8869, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 4, 1, '2024-08-05 18:33:33', NULL), (8870, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 5, 1, '2024-08-05 18:33:33', NULL), (8871, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 6, 1, '2024-08-05 18:33:34', NULL), (8872, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 7, 1, '2024-08-05 18:33:34', NULL), (8873, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 8, 1, '2024-08-05 18:33:34', NULL), (8874, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 9, 1, '2024-08-05 18:33:34', NULL), (8875, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 10, 1, '2024-08-05 18:33:34', NULL), (8876, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 11, 1, '2024-08-05 18:33:34', NULL), (8877, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 12, 1, '2024-08-05 18:33:34', NULL), (8878, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 13, 1, '2024-08-05 18:33:34', NULL), (8879, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 14, 1, '2024-08-05 18:33:34', NULL), (8880, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 15, 1, '2024-08-05 18:33:34', NULL), (8881, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 16, 1, '2024-08-05 18:33:34', NULL), (8882, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 17, 1, '2024-08-05 18:33:35', NULL), (8883, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 18, 1, '2024-08-05 18:33:35', NULL), (8884, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 19, 1, '2024-08-05 18:33:35', NULL), (8885, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 20, 1, '2024-08-05 18:33:35', NULL), (8886, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 21, 1, '2024-08-05 18:33:35', NULL), (8887, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 22, 1, '2024-08-05 18:33:35', NULL), (8888, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 23, 1, '2024-08-05 18:33:35', NULL), (8889, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 24, 1, '2024-08-05 18:33:35', NULL), (8890, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 25, 1, '2024-08-05 18:33:35', NULL), (8891, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 26, 1, '2024-08-05 18:33:35', NULL), (8892, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 27, 1, '2024-08-05 18:33:35', NULL), (8893, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 28, 1, '2024-08-05 18:33:35', NULL), (8894, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 29, 1, '2024-08-05 18:33:36', NULL), (8895, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 30, 1, '2024-08-05 18:33:36', NULL), (8896, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 5, 31, 1, '2024-08-05 18:33:36', NULL), (8897, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 1, 1, '2024-08-05 18:33:36', NULL), (8898, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 2, 1, '2024-08-05 18:33:36', NULL), (8899, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 3, 1, '2024-08-05 18:33:36', NULL), (8900, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 4, 1, '2024-08-05 18:33:36', NULL), (8901, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 5, 1, '2024-08-05 18:33:36', NULL), (8902, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 6, 1, '2024-08-05 18:33:36', NULL), (8903, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 7, 1, '2024-08-05 18:33:36', NULL), (8904, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 8, 1, '2024-08-05 18:33:36', NULL), (8905, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 9, 1, '2024-08-05 18:33:37', NULL), (8906, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 10, 1, '2024-08-05 18:33:37', NULL), (8907, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 11, 1, '2024-08-05 18:33:37', NULL), (8908, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 12, 1, '2024-08-05 18:33:37', NULL), (8909, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 13, 1, '2024-08-05 18:33:37', NULL), (8910, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 14, 1, '2024-08-05 18:33:37', NULL), (8911, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 15, 1, '2024-08-05 18:33:37', NULL), (8912, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 16, 1, '2024-08-05 18:33:37', NULL), (8913, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 17, 1, '2024-08-05 18:33:37', NULL), (8914, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 18, 1, '2024-08-05 18:33:37', NULL), (8915, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 19, 1, '2024-08-05 18:33:37', NULL), (8916, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 20, 1, '2024-08-05 18:33:38', NULL), (8917, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 21, 1, '2024-08-05 18:33:38', NULL), (8918, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 22, 1, '2024-08-05 18:33:38', NULL), (8919, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 23, 1, '2024-08-05 18:33:38', NULL), (8920, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 24, 1, '2024-08-05 18:33:38', NULL), (8921, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 25, 1, '2024-08-05 18:33:38', NULL), (8922, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 26, 1, '2024-08-05 18:33:38', NULL), (8923, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 27, 1, '2024-08-05 18:33:38', NULL), (8924, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 28, 1, '2024-08-05 18:33:38', NULL), (8925, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 29, 1, '2024-08-05 18:33:38', NULL), (8926, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 6, 30, 1, '2024-08-05 18:33:38', NULL), (8927, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 1, 1, '2024-08-05 18:33:38', NULL), (8928, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 2, 1, '2024-08-05 18:33:39', NULL), (8929, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 3, 1, '2024-08-05 18:33:39', NULL), (8930, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 4, 1, '2024-08-05 18:33:39', NULL), (8931, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 5, 1, '2024-08-05 18:33:39', NULL), (8932, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 6, 1, '2024-08-05 18:33:39', NULL), (8933, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 7, 1, '2024-08-05 18:33:39', NULL), (8934, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 8, 1, '2024-08-05 18:33:39', NULL), (8935, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 9, 1, '2024-08-05 18:33:39', NULL), (8936, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 10, 1, '2024-08-05 18:33:39', NULL), (8937, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 11, 1, '2024-08-05 18:33:39', NULL), (8938, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 12, 1, '2024-08-05 18:33:39', NULL), (8939, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 13, 1, '2024-08-05 18:33:40', NULL), (8940, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 14, 1, '2024-08-05 18:33:40', NULL), (8941, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 15, 1, '2024-08-05 18:33:40', NULL), (8942, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 16, 1, '2024-08-05 18:33:40', NULL), (8943, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 17, 1, '2024-08-05 18:33:40', NULL), (8944, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 18, 1, '2024-08-05 18:33:40', NULL), (8945, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 19, 1, '2024-08-05 18:33:40', NULL), (8946, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 20, 1, '2024-08-05 18:33:40', NULL), (8947, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 21, 1, '2024-08-05 18:33:40', NULL), (8948, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 22, 1, '2024-08-05 18:33:40', NULL), (8949, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 23, 1, '2024-08-05 18:33:40', NULL), (8950, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 24, 1, '2024-08-05 18:33:41', NULL), (8951, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 25, 1, '2024-08-05 18:33:41', NULL), (8952, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 26, 1, '2024-08-05 18:33:41', NULL), (8953, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 27, 1, '2024-08-05 18:33:41', NULL), (8954, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 28, 1, '2024-08-05 18:33:41', NULL), (8955, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 29, 1, '2024-08-05 18:33:41', NULL), (8956, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 30, 1, '2024-08-05 18:33:41', NULL), (8957, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 7, 31, 1, '2024-08-05 18:33:41', NULL), (8958, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 1, 1, '2024-08-05 18:33:41', NULL), (8959, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 2, 1, '2024-08-05 18:33:41', NULL), (8960, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 3, 1, '2024-08-05 18:33:41', NULL), (8961, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 4, 1, '2024-08-05 18:33:41', NULL), (8962, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 5, 1, '2024-08-05 18:33:42', NULL), (8963, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 6, 1, '2024-08-05 18:33:42', NULL), (8964, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 7, 1, '2024-08-05 18:33:42', NULL), (8965, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 8, 1, '2024-08-05 18:33:42', NULL), (8966, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 9, 1, '2024-08-05 18:33:42', NULL), (8967, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 10, 1, '2024-08-05 18:33:42', NULL), (8968, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 11, 1, '2024-08-05 18:33:42', NULL), (8969, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 12, 1, '2024-08-05 18:33:42', NULL), (8970, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 13, 1, '2024-08-05 18:33:42', NULL), (8971, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 14, 1, '2024-08-05 18:33:42', NULL), (8972, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 15, 1, '2024-08-05 18:33:42', NULL), (8973, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 16, 1, '2024-08-05 18:33:42', NULL), (8974, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 17, 1, '2024-08-05 18:33:42', NULL), (8975, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 18, 1, '2024-08-05 18:33:43', NULL), (8976, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 19, 1, '2024-08-05 18:33:43', NULL), (8977, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 20, 1, '2024-08-05 18:33:43', NULL), (8978, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 21, 1, '2024-08-05 18:33:43', NULL), (8979, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 22, 1, '2024-08-05 18:33:43', NULL), (8980, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 23, 1, '2024-08-05 18:33:43', NULL), (8981, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 24, 1, '2024-08-05 18:33:43', NULL), (8982, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 25, 1, '2024-08-05 18:33:43', NULL), (8983, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 26, 1, '2024-08-05 18:33:43', NULL), (8984, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 27, 1, '2024-08-05 18:33:43', NULL), (8985, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 28, 1, '2024-08-05 18:33:43', NULL), (8986, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 29, 1, '2024-08-05 18:33:43', NULL), (8987, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 30, 1, '2024-08-05 18:33:43', NULL), (8988, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 8, 31, 1, '2024-08-05 18:33:44', NULL), (8989, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 1, 1, '2024-08-05 18:33:44', NULL), (8990, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 2, 1, '2024-08-05 18:33:44', NULL), (8991, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 3, 1, '2024-08-05 18:33:44', NULL), (8992, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 4, 1, '2024-08-05 18:33:44', NULL), (8993, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 5, 1, '2024-08-05 18:33:44', NULL), (8994, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 6, 1, '2024-08-05 18:33:44', NULL), (8995, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 7, 1, '2024-08-05 18:33:44', NULL), (8996, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 8, 1, '2024-08-05 18:33:44', NULL), (8997, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 9, 1, '2024-08-05 18:33:44', NULL), (8998, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 10, 1, '2024-08-05 18:33:44', NULL), (8999, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 11, 1, '2024-08-05 18:33:44', NULL), (9000, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 12, 1, '2024-08-05 18:33:44', NULL), (9001, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 13, 1, '2024-08-05 18:33:44', NULL), (9002, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 14, 1, '2024-08-05 18:33:44', NULL), (9003, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 15, 1, '2024-08-05 18:33:44', NULL), (9004, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 16, 1, '2024-08-05 18:33:45', NULL), (9005, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 17, 1, '2024-08-05 18:33:45', NULL), (9006, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 18, 1, '2024-08-05 18:33:45', NULL), (9007, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 19, 1, '2024-08-05 18:33:45', NULL), (9008, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 20, 1, '2024-08-05 18:33:45', NULL), (9009, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 21, 1, '2024-08-05 18:33:45', NULL), (9010, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 22, 1, '2024-08-05 18:33:45', NULL), (9011, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 23, 1, '2024-08-05 18:33:45', NULL), (9012, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 24, 1, '2024-08-05 18:33:45', NULL), (9013, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 25, 1, '2024-08-05 18:33:45', NULL), (9014, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 26, 1, '2024-08-05 18:33:45', NULL), (9015, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 27, 1, '2024-08-05 18:33:45', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (9016, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 28, 1, '2024-08-05 18:33:45', NULL), (9017, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 29, 1, '2024-08-05 18:33:45', NULL), (9018, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 9, 30, 1, '2024-08-05 18:33:45', NULL), (9019, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 1, 1, '2024-08-05 18:33:46', NULL), (9020, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 2, 1, '2024-08-05 18:33:46', NULL), (9021, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 3, 1, '2024-08-05 18:33:46', NULL), (9022, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 4, 1, '2024-08-05 18:33:46', NULL), (9023, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 5, 1, '2024-08-05 18:33:46', NULL), (9024, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 6, 1, '2024-08-05 18:33:46', NULL), (9025, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 7, 1, '2024-08-05 18:33:46', NULL), (9026, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 8, 1, '2024-08-05 18:33:46', NULL), (9027, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 9, 1, '2024-08-05 18:33:46', NULL), (9028, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 10, 1, '2024-08-05 18:33:46', NULL), (9029, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 11, 1, '2024-08-05 18:33:46', NULL), (9030, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 12, 1, '2024-08-05 18:33:46', NULL), (9031, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 13, 1, '2024-08-05 18:33:46', NULL), (9032, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 14, 1, '2024-08-05 18:33:46', NULL), (9033, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 15, 1, '2024-08-05 18:33:46', NULL), (9034, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 16, 1, '2024-08-05 18:33:46', NULL), (9035, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 17, 1, '2024-08-05 18:33:47', NULL), (9036, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 18, 1, '2024-08-05 18:33:47', NULL), (9037, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 19, 1, '2024-08-05 18:33:47', NULL), (9038, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 20, 1, '2024-08-05 18:33:47', NULL), (9039, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 21, 1, '2024-08-05 18:33:47', NULL), (9040, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 22, 1, '2024-08-05 18:33:47', NULL), (9041, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 23, 1, '2024-08-05 18:33:47', NULL), (9042, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 24, 1, '2024-08-05 18:33:47', NULL), (9043, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 25, 1, '2024-08-05 18:33:47', NULL), (9044, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 26, 1, '2024-08-05 18:33:47', NULL), (9045, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 27, 1, '2024-08-05 18:33:47', NULL), (9046, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 28, 1, '2024-08-05 18:33:47', NULL), (9047, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 29, 1, '2024-08-05 18:33:47', NULL), (9048, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 30, 1, '2024-08-05 18:33:47', NULL), (9049, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 10, 31, 1, '2024-08-05 18:33:47', NULL), (9050, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 1, 1, '2024-08-05 18:33:47', NULL), (9051, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 2, 1, '2024-08-05 18:33:48', NULL), (9052, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 3, 1, '2024-08-05 18:33:48', NULL), (9053, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 4, 1, '2024-08-05 18:33:48', NULL), (9054, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 5, 1, '2024-08-05 18:33:48', NULL), (9055, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 6, 1, '2024-08-05 18:33:48', NULL), (9056, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 7, 1, '2024-08-05 18:33:48', NULL), (9057, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 8, 1, '2024-08-05 18:33:48', NULL), (9058, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 9, 1, '2024-08-05 18:33:48', NULL), (9059, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 10, 1, '2024-08-05 18:33:48', NULL), (9060, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 11, 1, '2024-08-05 18:33:48', NULL), (9061, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 12, 1, '2024-08-05 18:33:48', NULL), (9062, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 13, 1, '2024-08-05 18:33:48', NULL), (9063, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 14, 1, '2024-08-05 18:33:48', NULL), (9064, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 15, 1, '2024-08-05 18:33:49', NULL), (9065, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 16, 1, '2024-08-05 18:33:49', NULL), (9066, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 17, 1, '2024-08-05 18:33:49', NULL), (9067, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 18, 1, '2024-08-05 18:33:49', NULL), (9068, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 19, 1, '2024-08-05 18:33:49', NULL), (9069, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 20, 1, '2024-08-05 18:33:49', NULL), (9070, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 21, 1, '2024-08-05 18:33:49', NULL), (9071, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 22, 1, '2024-08-05 18:33:49', NULL), (9072, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 23, 1, '2024-08-05 18:33:49', NULL), (9073, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 24, 1, '2024-08-05 18:33:49', NULL), (9074, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 25, 1, '2024-08-05 18:33:49', NULL), (9075, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 26, 1, '2024-08-05 18:33:49', NULL), (9076, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 27, 1, '2024-08-05 18:33:49', NULL), (9077, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 28, 1, '2024-08-05 18:33:50', NULL), (9078, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 29, 1, '2024-08-05 18:33:50', NULL), (9079, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 11, 30, 1, '2024-08-05 18:33:50', NULL), (9080, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 1, 1, '2024-08-05 18:33:50', NULL), (9081, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 2, 1, '2024-08-05 18:33:50', NULL), (9082, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 3, 1, '2024-08-05 18:33:50', NULL), (9083, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 4, 1, '2024-08-05 18:33:50', NULL), (9084, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 5, 1, '2024-08-05 18:33:50', NULL), (9085, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 6, 1, '2024-08-05 18:33:50', NULL), (9086, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 7, 1, '2024-08-05 18:33:50', NULL), (9087, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 8, 1, '2024-08-05 18:33:50', NULL), (9088, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 9, 1, '2024-08-05 18:33:50', NULL), (9089, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 10, 1, '2024-08-05 18:33:50', NULL), (9090, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 11, 1, '2024-08-05 18:33:51', NULL), (9091, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 12, 1, '2024-08-05 18:33:51', NULL), (9092, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 13, 1, '2024-08-05 18:33:51', NULL), (9093, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 14, 1, '2024-08-05 18:33:51', NULL), (9094, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 15, 1, '2024-08-05 18:33:51', NULL), (9095, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 16, 1, '2024-08-05 18:33:51', NULL), (9096, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 17, 1, '2024-08-05 18:33:51', NULL), (9097, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 18, 1, '2024-08-05 18:33:51', NULL), (9098, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 19, 1, '2024-08-05 18:33:51', NULL), (9099, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 20, 1, '2024-08-05 18:33:51', NULL), (9100, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 21, 1, '2024-08-05 18:33:51', NULL), (9101, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 22, 1, '2024-08-05 18:33:51', NULL), (9102, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 23, 1, '2024-08-05 18:33:51', NULL), (9103, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 24, 1, '2024-08-05 18:33:52', NULL), (9104, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 25, 1, '2024-08-05 18:33:52', NULL), (9105, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 26, 1, '2024-08-05 18:33:52', NULL), (9106, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 27, 1, '2024-08-05 18:33:52', NULL), (9107, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 28, 1, '2024-08-05 18:33:52', NULL), (9108, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 29, 1, '2024-08-05 18:33:52', NULL), (9109, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 30, 1, '2024-08-05 18:33:52', NULL), (9110, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2023, 12, 31, 1, '2024-08-05 18:33:52', NULL), (9111, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 1, 1, '2024-08-05 18:33:52', NULL), (9112, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 2, 1, '2024-08-05 18:33:52', NULL), (9113, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 3, 1, '2024-08-05 18:33:52', NULL), (9114, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 4, 1, '2024-08-05 18:33:52', NULL), (9115, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 5, 1, '2024-08-05 18:33:53', NULL), (9116, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 6, 1, '2024-08-05 18:33:53', NULL), (9117, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 7, 1, '2024-08-05 18:33:53', NULL), (9118, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 8, 1, '2024-08-05 18:33:53', NULL), (9119, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 9, 1, '2024-08-05 18:33:53', NULL), (9120, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 10, 1, '2024-08-05 18:33:53', NULL), (9121, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 11, 1, '2024-08-05 18:33:53', NULL), (9122, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 12, 1, '2024-08-05 18:33:53', NULL), (9123, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 13, 1, '2024-08-05 18:33:53', NULL), (9124, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 14, 1, '2024-08-05 18:33:53', NULL), (9125, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 15, 1, '2024-08-05 18:33:54', NULL), (9126, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 16, 1, '2024-08-05 18:33:54', NULL), (9127, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 17, 1, '2024-08-05 18:33:54', NULL), (9128, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 18, 1, '2024-08-05 18:33:54', NULL), (9129, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 19, 1, '2024-08-05 18:33:54', NULL), (9130, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 20, 1, '2024-08-05 18:33:54', NULL), (9131, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 21, 1, '2024-08-05 18:33:54', NULL), (9132, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 22, 1, '2024-08-05 18:33:54', NULL), (9133, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 23, 1, '2024-08-05 18:33:54', NULL), (9134, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 24, 1, '2024-08-05 18:33:54', NULL), (9135, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 25, 1, '2024-08-05 18:33:54', NULL), (9136, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 26, 1, '2024-08-05 18:33:55', NULL), (9137, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 27, 1, '2024-08-05 18:33:55', NULL), (9138, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 28, 1, '2024-08-05 18:33:55', NULL), (9139, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 29, 1, '2024-08-05 18:33:55', NULL), (9140, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 30, 1, '2024-08-05 18:33:55', NULL), (9141, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 1, 31, 1, '2024-08-05 18:33:55', NULL), (9142, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 1, 1, '2024-08-05 18:33:55', NULL), (9143, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 2, 1, '2024-08-05 18:33:55', NULL), (9144, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 3, 1, '2024-08-05 18:33:55', NULL), (9145, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 4, 1, '2024-08-05 18:33:55', NULL), (9146, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 5, 1, '2024-08-05 18:33:55', NULL), (9147, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 6, 1, '2024-08-05 18:33:56', NULL), (9148, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 7, 1, '2024-08-05 18:33:56', NULL), (9149, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 8, 1, '2024-08-05 18:33:56', NULL), (9150, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 9, 1, '2024-08-05 18:33:56', NULL), (9151, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 10, 1, '2024-08-05 18:33:56', NULL), (9152, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 11, 1, '2024-08-05 18:33:56', NULL), (9153, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 12, 1, '2024-08-05 18:33:56', NULL), (9154, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 13, 1, '2024-08-05 18:33:56', NULL), (9155, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 14, 1, '2024-08-05 18:33:56', NULL), (9156, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 15, 1, '2024-08-05 18:33:56', NULL), (9157, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 16, 1, '2024-08-05 18:33:56', NULL), (9158, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 17, 1, '2024-08-05 18:33:57', NULL), (9159, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 18, 1, '2024-08-05 18:33:57', NULL), (9160, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 19, 1, '2024-08-05 18:33:57', NULL), (9161, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 20, 1, '2024-08-05 18:33:57', NULL), (9162, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 21, 1, '2024-08-05 18:33:57', NULL), (9163, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 22, 1, '2024-08-05 18:33:57', NULL), (9164, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 23, 1, '2024-08-05 18:33:57', NULL), (9165, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 24, 1, '2024-08-05 18:33:57', NULL), (9166, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 25, 1, '2024-08-05 18:33:57', NULL), (9167, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 26, 1, '2024-08-05 18:33:57', NULL), (9168, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 27, 1, '2024-08-05 18:33:58', NULL), (9169, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 28, 1, '2024-08-05 18:33:58', NULL), (9170, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 2, 29, 1, '2024-08-05 18:33:58', NULL), (9171, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 1, 1, '2024-08-05 18:33:58', NULL), (9172, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 2, 1, '2024-08-05 18:33:58', NULL), (9173, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 3, 1, '2024-08-05 18:33:58', NULL), (9174, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 4, 1, '2024-08-05 18:33:58', NULL), (9175, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 5, 1, '2024-08-05 18:33:58', NULL), (9176, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 6, 1, '2024-08-05 18:33:58', NULL), (9177, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 7, 1, '2024-08-05 18:33:58', NULL), (9178, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 8, 1, '2024-08-05 18:33:59', NULL), (9179, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 9, 1, '2024-08-05 18:33:59', NULL), (9180, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 10, 1, '2024-08-05 18:33:59', NULL), (9181, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 11, 1, '2024-08-05 18:33:59', NULL), (9182, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 12, 1, '2024-08-05 18:33:59', NULL), (9183, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 13, 1, '2024-08-05 18:33:59', NULL), (9184, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 14, 1, '2024-08-05 18:33:59', NULL), (9185, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 15, 1, '2024-08-05 18:33:59', NULL), (9186, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 16, 1, '2024-08-05 18:33:59', NULL), (9187, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 17, 1, '2024-08-05 18:33:59', NULL), (9188, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 18, 1, '2024-08-05 18:33:59', NULL), (9189, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 19, 1, '2024-08-05 18:34:00', NULL), (9190, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 20, 1, '2024-08-05 18:34:00', NULL), (9191, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 21, 1, '2024-08-05 18:34:00', NULL), (9192, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 22, 1, '2024-08-05 18:34:00', NULL), (9193, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 23, 1, '2024-08-05 18:34:00', NULL), (9194, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 24, 1, '2024-08-05 18:34:00', NULL), (9195, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 25, 1, '2024-08-05 18:34:00', NULL), (9196, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 26, 1, '2024-08-05 18:34:00', NULL), (9197, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 27, 1, '2024-08-05 18:34:00', NULL), (9198, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 28, 1, '2024-08-05 18:34:00', NULL), (9199, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 29, 1, '2024-08-05 18:34:01', NULL), (9200, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 30, 1, '2024-08-05 18:34:01', NULL), (9201, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 3, 31, 1, '2024-08-05 18:34:01', NULL), (9202, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 1, 1, '2024-08-05 18:34:01', NULL), (9203, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 2, 1, '2024-08-05 18:34:01', NULL), (9204, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 3, 1, '2024-08-05 18:34:01', NULL), (9205, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 4, 1, '2024-08-05 18:34:01', NULL), (9206, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 5, 1, '2024-08-05 18:34:01', NULL), (9207, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 6, 1, '2024-08-05 18:34:01', NULL), (9208, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 7, 1, '2024-08-05 18:34:01', NULL), (9209, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 8, 1, '2024-08-05 18:34:02', NULL), (9210, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 9, 1, '2024-08-05 18:34:02', NULL), (9211, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 10, 1, '2024-08-05 18:34:02', NULL), (9212, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 11, 1, '2024-08-05 18:34:02', NULL), (9213, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 12, 1, '2024-08-05 18:34:02', NULL), (9214, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 13, 1, '2024-08-05 18:34:02', NULL), (9215, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 14, 1, '2024-08-05 18:34:02', NULL), (9216, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 15, 1, '2024-08-05 18:34:02', NULL), (9217, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 16, 1, '2024-08-05 18:34:02', NULL), (9218, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 17, 1, '2024-08-05 18:34:02', NULL), (9219, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 18, 1, '2024-08-05 18:34:03', NULL), (9220, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 19, 1, '2024-08-05 18:34:03', NULL), (9221, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 20, 1, '2024-08-05 18:34:03', NULL), (9222, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 21, 1, '2024-08-05 18:34:03', NULL), (9223, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 22, 1, '2024-08-05 18:34:03', NULL), (9224, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 23, 1, '2024-08-05 18:34:03', NULL), (9225, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 24, 1, '2024-08-05 18:34:03', NULL), (9226, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 25, 1, '2024-08-05 18:34:03', NULL), (9227, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 26, 1, '2024-08-05 18:34:03', NULL), (9228, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 27, 1, '2024-08-05 18:34:03', NULL), (9229, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 28, 1, '2024-08-05 18:34:04', NULL), (9230, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 29, 1, '2024-08-05 18:34:04', NULL), (9231, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 4, 30, 1, '2024-08-05 18:34:04', NULL), (9232, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 1, 1, '2024-08-05 18:34:04', NULL), (9233, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 2, 1, '2024-08-05 18:34:04', NULL), (9234, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 3, 1, '2024-08-05 18:34:04', NULL), (9235, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 4, 1, '2024-08-05 18:34:04', NULL), (9236, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 5, 1, '2024-08-05 18:34:04', NULL), (9237, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 6, 1, '2024-08-05 18:34:04', NULL), (9238, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 7, 1, '2024-08-05 18:34:04', NULL), (9239, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 8, 1, '2024-08-05 18:34:05', NULL), (9240, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 9, 1, '2024-08-05 18:34:05', NULL), (9241, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 10, 1, '2024-08-05 18:34:05', NULL), (9242, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 11, 1, '2024-08-05 18:34:05', NULL), (9243, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 12, 1, '2024-08-05 18:34:05', NULL), (9244, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 13, 1, '2024-08-05 18:34:05', NULL), (9245, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 14, 1, '2024-08-05 18:34:05', NULL), (9246, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 15, 1, '2024-08-05 18:34:05', NULL), (9247, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 16, 1, '2024-08-05 18:34:05', NULL), (9248, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 17, 1, '2024-08-05 18:34:05', NULL), (9249, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 18, 1, '2024-08-05 18:34:05', NULL), (9250, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 19, 1, '2024-08-05 18:34:05', NULL), (9251, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 20, 1, '2024-08-05 18:34:05', NULL), (9252, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 21, 1, '2024-08-05 18:34:05', NULL), (9253, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 22, 1, '2024-08-05 18:34:05', NULL), (9254, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 23, 1, '2024-08-05 18:34:05', NULL), (9255, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 24, 1, '2024-08-05 18:34:05', NULL), (9256, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 25, 1, '2024-08-05 18:34:05', NULL), (9257, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 26, 1, '2024-08-05 18:34:06', NULL), (9258, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 27, 1, '2024-08-05 18:34:06', NULL), (9259, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 28, 1, '2024-08-05 18:34:06', NULL), (9260, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 29, 1, '2024-08-05 18:34:06', NULL), (9261, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 30, 1, '2024-08-05 18:34:06', NULL), (9262, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 5, 31, 1, '2024-08-05 18:34:06', NULL), (9263, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 1, 1, '2024-08-05 18:34:06', NULL), (9264, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 2, 1, '2024-08-05 18:34:06', NULL), (9265, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 3, 1, '2024-08-05 18:34:06', NULL), (9266, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 4, 1, '2024-08-05 18:34:06', NULL), (9267, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 5, 1, '2024-08-05 18:34:06', NULL), (9268, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 6, 1, '2024-08-05 18:34:06', NULL), (9269, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 7, 1, '2024-08-05 18:34:06', NULL), (9270, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 8, 1, '2024-08-05 18:34:06', NULL), (9271, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 9, 1, '2024-08-05 18:34:06', NULL), (9272, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 10, 1, '2024-08-05 18:34:06', NULL), (9273, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 11, 1, '2024-08-05 18:34:06', NULL), (9274, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 12, 1, '2024-08-05 18:34:06', NULL), (9275, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 13, 1, '2024-08-05 18:34:06', NULL), (9276, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 14, 1, '2024-08-05 18:34:07', NULL), (9277, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 15, 1, '2024-08-05 18:34:07', NULL), (9278, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 16, 1, '2024-08-05 18:34:07', NULL), (9279, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 17, 1, '2024-08-05 18:34:07', NULL), (9280, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 18, 1, '2024-08-05 18:34:07', NULL), (9281, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 19, 1, '2024-08-05 18:34:07', NULL), (9282, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 20, 1, '2024-08-05 18:34:07', NULL), (9283, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 21, 1, '2024-08-05 18:34:07', NULL), (9284, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 22, 1, '2024-08-05 18:34:07', NULL), (9285, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 23, 1, '2024-08-05 18:34:07', NULL), (9286, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 24, 1, '2024-08-05 18:34:07', NULL), (9287, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 25, 1, '2024-08-05 18:34:07', NULL), (9288, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 26, 1, '2024-08-05 18:34:07', NULL), (9289, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 27, 1, '2024-08-05 18:34:07', NULL), (9290, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 28, 1, '2024-08-05 18:34:07', NULL), (9291, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 29, 1, '2024-08-05 18:34:07', NULL), (9292, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 6, 30, 1, '2024-08-05 18:34:07', NULL), (9293, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 1, 1, '2024-08-05 18:34:07', NULL), (9294, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 2, 1, '2024-08-05 18:34:08', NULL), (9295, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 3, 1, '2024-08-05 18:34:08', NULL), (9296, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 4, 1, '2024-08-05 18:34:08', NULL), (9297, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 5, 1, '2024-08-05 18:34:08', NULL), (9298, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 6, 1, '2024-08-05 18:34:08', NULL), (9299, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 7, 1, '2024-08-05 18:34:08', NULL), (9300, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 8, 1, '2024-08-05 18:34:08', NULL), (9301, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 9, 1, '2024-08-05 18:34:08', NULL), (9302, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 10, 1, '2024-08-05 18:34:08', NULL), (9303, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 11, 1, '2024-08-05 18:34:08', NULL), (9304, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 12, 1, '2024-08-05 18:34:08', NULL), (9305, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 13, 1, '2024-08-05 18:34:08', NULL), (9306, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 14, 1, '2024-08-05 18:34:08', NULL), (9307, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 15, 1, '2024-08-05 18:34:08', NULL), (9308, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 16, 1, '2024-08-05 18:34:08', NULL), (9309, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 17, 1, '2024-08-05 18:34:08', NULL), (9310, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 18, 1, '2024-08-05 18:34:08', NULL), (9311, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 19, 1, '2024-08-05 18:34:08', NULL), (9312, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 20, 1, '2024-08-05 18:34:09', NULL), (9313, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 21, 1, '2024-08-05 18:34:09', NULL), (9314, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 22, 1, '2024-08-05 18:34:09', NULL), (9315, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 23, 1, '2024-08-05 18:34:09', NULL), (9316, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 24, 1, '2024-08-05 18:34:09', NULL), (9317, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 25, 1, '2024-08-05 18:34:09', NULL), (9318, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 26, 1, '2024-08-05 18:34:09', NULL), (9319, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 27, 1, '2024-08-05 18:34:09', NULL), (9320, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 28, 1, '2024-08-05 18:34:09', NULL), (9321, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 29, 1, '2024-08-05 18:34:09', NULL), (9322, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 30, 1, '2024-08-05 18:34:09', NULL), (9323, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 7, 31, 1, '2024-08-05 18:34:09', NULL), (9324, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 1, 1, '2024-08-05 18:34:09', '2024-08-05 22:12:25'), (9325, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 2, 1, '2024-08-05 18:34:09', '2024-08-06 02:20:04'), (9326, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 3, 1, '2024-08-05 18:34:09', '2024-08-07 01:30:02'), (9327, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 4, 1, '2024-08-05 18:34:09', '2024-08-08 01:30:01'), (9328, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 5, 1, '2024-08-05 18:34:09', '2024-08-09 01:30:02'), (9329, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 1, 1, '2024-08-05 18:45:17', NULL), (9330, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 2, 1, '2024-08-05 18:45:17', NULL), (9331, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 3, 1, '2024-08-05 18:45:17', NULL), (9332, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 4, 1, '2024-08-05 18:45:17', NULL), (9333, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 5, 1, '2024-08-05 18:45:17', NULL), (9334, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 6, 1, '2024-08-05 18:45:17', NULL), (9335, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 7, 1, '2024-08-05 18:45:18', NULL), (9336, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 8, 1, '2024-08-05 18:45:18', NULL), (9337, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 9, 1, '2024-08-05 18:45:18', NULL), (9338, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 10, 1, '2024-08-05 18:45:18', NULL), (9339, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 11, 1, '2024-08-05 18:45:18', NULL), (9340, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 12, 1, '2024-08-05 18:45:18', NULL), (9341, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 13, 1, '2024-08-05 18:45:18', NULL), (9342, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 14, 1, '2024-08-05 18:45:18', NULL), (9343, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 15, 1, '2024-08-05 18:45:18', NULL), (9344, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 16, 1, '2024-08-05 18:45:18', NULL), (9345, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 17, 1, '2024-08-05 18:45:18', NULL), (9346, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 18, 1, '2024-08-05 18:45:18', NULL), (9347, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 19, 1, '2024-08-05 18:45:18', NULL), (9348, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 20, 1, '2024-08-05 18:45:18', NULL), (9349, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 21, 1, '2024-08-05 18:45:18', NULL), (9350, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 22, 1, '2024-08-05 18:45:18', NULL), (9351, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 23, 1, '2024-08-05 18:45:18', NULL), (9352, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 24, 1, '2024-08-05 18:45:18', NULL), (9353, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 25, 1, '2024-08-05 18:45:18', NULL), (9354, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 26, 1, '2024-08-05 18:45:18', NULL), (9355, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 27, 1, '2024-08-05 18:45:18', NULL), (9356, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 28, 1, '2024-08-05 18:45:18', NULL), (9357, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 29, 1, '2024-08-05 18:45:19', NULL), (9358, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 30, 1, '2024-08-05 18:45:19', NULL), (9359, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 1, 31, 1, '2024-08-05 18:45:19', NULL), (9360, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 1, 1, '2024-08-05 18:45:19', NULL), (9361, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 2, 1, '2024-08-05 18:45:19', NULL), (9362, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 3, 1, '2024-08-05 18:45:19', NULL), (9363, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 4, 1, '2024-08-05 18:45:19', NULL), (9364, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 5, 1, '2024-08-05 18:45:19', NULL), (9365, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 6, 1, '2024-08-05 18:45:19', NULL), (9366, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 7, 1, '2024-08-05 18:45:19', NULL), (9367, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 8, 1, '2024-08-05 18:45:19', NULL), (9368, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 9, 1, '2024-08-05 18:45:19', NULL), (9369, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 10, 1, '2024-08-05 18:45:19', NULL), (9370, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 11, 1, '2024-08-05 18:45:19', NULL), (9371, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 12, 1, '2024-08-05 18:45:19', NULL), (9372, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 13, 1, '2024-08-05 18:45:19', NULL), (9373, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 14, 1, '2024-08-05 18:45:19', NULL), (9374, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 15, 1, '2024-08-05 18:45:19', NULL), (9375, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 16, 1, '2024-08-05 18:45:19', NULL), (9376, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 17, 1, '2024-08-05 18:45:19', NULL), (9377, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 18, 1, '2024-08-05 18:45:19', NULL), (9378, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 19, 1, '2024-08-05 18:45:19', NULL), (9379, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 20, 1, '2024-08-05 18:45:19', NULL), (9380, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 21, 1, '2024-08-05 18:45:20', NULL), (9381, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 22, 1, '2024-08-05 18:45:20', NULL), (9382, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 23, 1, '2024-08-05 18:45:20', NULL), (9383, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 24, 1, '2024-08-05 18:45:20', NULL), (9384, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 25, 1, '2024-08-05 18:45:20', NULL), (9385, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 26, 1, '2024-08-05 18:45:20', NULL), (9386, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 27, 1, '2024-08-05 18:45:20', NULL), (9387, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 2, 28, 1, '2024-08-05 18:45:20', NULL), (9388, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 1, 1, '2024-08-05 18:45:20', NULL), (9389, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 2, 1, '2024-08-05 18:45:20', NULL), (9390, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 3, 1, '2024-08-05 18:45:20', NULL), (9391, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 4, 1, '2024-08-05 18:45:20', NULL), (9392, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 5, 1, '2024-08-05 18:45:20', NULL), (9393, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 6, 1, '2024-08-05 18:45:20', NULL), (9394, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 7, 1, '2024-08-05 18:45:20', NULL), (9395, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 8, 1, '2024-08-05 18:45:20', NULL), (9396, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 9, 1, '2024-08-05 18:45:20', NULL), (9397, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 10, 1, '2024-08-05 18:45:20', NULL), (9398, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 11, 1, '2024-08-05 18:45:20', NULL), (9399, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 12, 1, '2024-08-05 18:45:20', NULL), (9400, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 13, 1, '2024-08-05 18:45:20', NULL), (9401, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 14, 1, '2024-08-05 18:45:21', NULL), (9402, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 15, 1, '2024-08-05 18:45:21', NULL), (9403, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 16, 1, '2024-08-05 18:45:21', NULL), (9404, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 17, 1, '2024-08-05 18:45:21', NULL), (9405, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 18, 1, '2024-08-05 18:45:21', NULL), (9406, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 19, 1, '2024-08-05 18:45:21', NULL), (9407, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 20, 1, '2024-08-05 18:45:21', NULL), (9408, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 21, 1, '2024-08-05 18:45:21', NULL), (9409, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 22, 1, '2024-08-05 18:45:21', NULL), (9410, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 23, 1, '2024-08-05 18:45:21', NULL), (9411, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 24, 1, '2024-08-05 18:45:21', NULL), (9412, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 25, 1, '2024-08-05 18:45:21', NULL), (9413, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 26, 1, '2024-08-05 18:45:21', NULL), (9414, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 27, 1, '2024-08-05 18:45:21', NULL), (9415, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 28, 1, '2024-08-05 18:45:21', NULL), (9416, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 29, 1, '2024-08-05 18:45:21', NULL), (9417, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 30, 1, '2024-08-05 18:45:21', NULL), (9418, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 3, 31, 1, '2024-08-05 18:45:21', NULL), (9419, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 1, 1, '2024-08-05 18:45:21', NULL), (9420, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 2, 1, '2024-08-05 18:45:22', NULL), (9421, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 3, 1, '2024-08-05 18:45:22', NULL), (9422, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 4, 1, '2024-08-05 18:45:22', NULL), (9423, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 5, 1, '2024-08-05 18:45:22', NULL), (9424, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 6, 1, '2024-08-05 18:45:22', NULL), (9425, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 7, 1, '2024-08-05 18:45:22', NULL), (9426, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 8, 1, '2024-08-05 18:45:22', NULL), (9427, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 9, 1, '2024-08-05 18:45:22', NULL), (9428, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 10, 1, '2024-08-05 18:45:22', NULL), (9429, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 11, 1, '2024-08-05 18:45:22', NULL), (9430, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 12, 1, '2024-08-05 18:45:22', NULL), (9431, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 13, 1, '2024-08-05 18:45:22', NULL), (9432, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 14, 1, '2024-08-05 18:45:22', NULL), (9433, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 15, 1, '2024-08-05 18:45:22', NULL), (9434, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 16, 1, '2024-08-05 18:45:22', NULL), (9435, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 17, 1, '2024-08-05 18:45:22', NULL), (9436, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 18, 1, '2024-08-05 18:45:22', NULL), (9437, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 19, 1, '2024-08-05 18:45:22', NULL), (9438, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 20, 1, '2024-08-05 18:45:22', NULL), (9439, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 21, 1, '2024-08-05 18:45:22', NULL), (9440, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 22, 1, '2024-08-05 18:45:22', NULL), (9441, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 23, 1, '2024-08-05 18:45:23', NULL), (9442, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 24, 1, '2024-08-05 18:45:23', NULL), (9443, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 25, 1, '2024-08-05 18:45:23', NULL), (9444, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 26, 1, '2024-08-05 18:45:23', NULL), (9445, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 27, 1, '2024-08-05 18:45:23', NULL), (9446, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 28, 1, '2024-08-05 18:45:23', NULL), (9447, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 29, 1, '2024-08-05 18:45:23', NULL), (9448, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 4, 30, 1, '2024-08-05 18:45:23', NULL), (9449, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 1, 1, '2024-08-05 18:45:23', NULL), (9450, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 2, 1, '2024-08-05 18:45:23', NULL), (9451, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 3, 1, '2024-08-05 18:45:23', NULL), (9452, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 4, 1, '2024-08-05 18:45:23', NULL), (9453, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 5, 1, '2024-08-05 18:45:23', NULL), (9454, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 6, 1, '2024-08-05 18:45:23', NULL), (9455, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 7, 1, '2024-08-05 18:45:23', NULL), (9456, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 8, 1, '2024-08-05 18:45:23', NULL), (9457, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 9, 1, '2024-08-05 18:45:23', NULL), (9458, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 10, 1, '2024-08-05 18:45:23', NULL), (9459, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 11, 1, '2024-08-05 18:45:23', NULL), (9460, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 12, 1, '2024-08-05 18:45:24', NULL), (9461, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 13, 1, '2024-08-05 18:45:24', NULL), (9462, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 14, 1, '2024-08-05 18:45:24', NULL), (9463, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 15, 1, '2024-08-05 18:45:24', NULL), (9464, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 16, 1, '2024-08-05 18:45:24', NULL), (9465, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 17, 1, '2024-08-05 18:45:24', NULL), (9466, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 18, 1, '2024-08-05 18:45:24', NULL), (9467, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 19, 1, '2024-08-05 18:45:24', NULL), (9468, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 20, 1, '2024-08-05 18:45:24', NULL), (9469, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 21, 1, '2024-08-05 18:45:24', NULL), (9470, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 22, 1, '2024-08-05 18:45:24', NULL), (9471, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 23, 1, '2024-08-05 18:45:24', NULL), (9472, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 24, 1, '2024-08-05 18:45:24', NULL), (9473, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 25, 1, '2024-08-05 18:45:24', NULL), (9474, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 26, 1, '2024-08-05 18:45:24', NULL), (9475, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 27, 1, '2024-08-05 18:45:24', NULL), (9476, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 28, 1, '2024-08-05 18:45:24', NULL), (9477, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 29, 1, '2024-08-05 18:45:24', NULL), (9478, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 30, 1, '2024-08-05 18:45:24', NULL), (9479, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 5, 31, 1, '2024-08-05 18:45:25', NULL), (9480, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 1, 1, '2024-08-05 18:45:25', NULL), (9481, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 2, 1, '2024-08-05 18:45:25', NULL), (9482, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 3, 1, '2024-08-05 18:45:25', NULL), (9483, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 4, 1, '2024-08-05 18:45:25', NULL), (9484, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 5, 1, '2024-08-05 18:45:25', NULL), (9485, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 6, 1, '2024-08-05 18:45:25', NULL), (9486, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 7, 1, '2024-08-05 18:45:25', NULL), (9487, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 8, 1, '2024-08-05 18:45:25', NULL), (9488, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 9, 1, '2024-08-05 18:45:25', NULL), (9489, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 10, 1, '2024-08-05 18:45:25', NULL), (9490, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 11, 1, '2024-08-05 18:45:25', NULL), (9491, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 12, 1, '2024-08-05 18:45:25', NULL), (9492, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 13, 1, '2024-08-05 18:45:25', NULL), (9493, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 14, 1, '2024-08-05 18:45:25', NULL), (9494, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 15, 1, '2024-08-05 18:45:25', NULL), (9495, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 16, 1, '2024-08-05 18:45:25', NULL), (9496, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 17, 1, '2024-08-05 18:45:25', NULL), (9497, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 18, 1, '2024-08-05 18:45:25', NULL), (9498, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 19, 1, '2024-08-05 18:45:25', NULL), (9499, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 20, 1, '2024-08-05 18:45:26', NULL), (9500, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 21, 1, '2024-08-05 18:45:26', NULL), (9501, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 22, 1, '2024-08-05 18:45:26', NULL), (9502, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 23, 1, '2024-08-05 18:45:26', NULL), (9503, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 24, 1, '2024-08-05 18:45:26', NULL), (9504, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 25, 1, '2024-08-05 18:45:26', NULL), (9505, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 26, 1, '2024-08-05 18:45:26', NULL), (9506, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 27, 1, '2024-08-05 18:45:26', NULL), (9507, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 28, 1, '2024-08-05 18:45:26', NULL), (9508, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 29, 1, '2024-08-05 18:45:26', NULL), (9509, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 6, 30, 1, '2024-08-05 18:45:26', NULL), (9510, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 1, 1, '2024-08-05 18:45:26', NULL), (9511, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 2, 1, '2024-08-05 18:45:26', NULL), (9512, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 3, 1, '2024-08-05 18:45:26', NULL), (9513, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 4, 1, '2024-08-05 18:45:26', NULL), (9514, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 5, 1, '2024-08-05 18:45:26', NULL), (9515, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 6, 1, '2024-08-05 18:45:26', NULL), (9516, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 7, 1, '2024-08-05 18:45:26', NULL), (9517, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 8, 1, '2024-08-05 18:45:26', NULL), (9518, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 9, 1, '2024-08-05 18:45:27', NULL), (9519, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 10, 1, '2024-08-05 18:45:27', NULL), (9520, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 11, 1, '2024-08-05 18:45:27', NULL), (9521, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 12, 1, '2024-08-05 18:45:27', NULL), (9522, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 13, 1, '2024-08-05 18:45:27', NULL), (9523, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 14, 1, '2024-08-05 18:45:27', NULL), (9524, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 15, 1, '2024-08-05 18:45:27', NULL), (9525, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 16, 1, '2024-08-05 18:45:27', NULL), (9526, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 17, 1, '2024-08-05 18:45:27', NULL), (9527, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 18, 1, '2024-08-05 18:45:27', NULL), (9528, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 19, 1, '2024-08-05 18:45:27', NULL), (9529, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 20, 1, '2024-08-05 18:45:27', NULL), (9530, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 21, 1, '2024-08-05 18:45:27', NULL), (9531, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 22, 1, '2024-08-05 18:45:27', NULL), (9532, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 23, 1, '2024-08-05 18:45:27', NULL), (9533, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 24, 1, '2024-08-05 18:45:27', NULL), (9534, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 25, 1, '2024-08-05 18:45:27', NULL), (9535, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 26, 1, '2024-08-05 18:45:27', NULL), (9536, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 27, 1, '2024-08-05 18:45:28', NULL), (9537, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 28, 1, '2024-08-05 18:45:28', NULL), (9538, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 29, 1, '2024-08-05 18:45:28', NULL), (9539, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 30, 1, '2024-08-05 18:45:28', NULL), (9540, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 7, 31, 1, '2024-08-05 18:45:28', NULL), (9541, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 1, 1, '2024-08-05 18:45:28', NULL), (9542, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 2, 1, '2024-08-05 18:45:28', NULL), (9543, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 3, 1, '2024-08-05 18:45:28', NULL), (9544, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 4, 1, '2024-08-05 18:45:28', NULL), (9545, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 5, 1, '2024-08-05 18:45:28', NULL), (9546, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 6, 1, '2024-08-05 18:45:28', NULL), (9547, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 7, 1, '2024-08-05 18:45:28', NULL), (9548, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 8, 1, '2024-08-05 18:45:28', NULL), (9549, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 9, 1, '2024-08-05 18:45:28', NULL), (9550, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 10, 1, '2024-08-05 18:45:28', NULL), (9551, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 11, 1, '2024-08-05 18:45:28', NULL), (9552, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 12, 1, '2024-08-05 18:45:28', NULL), (9553, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 13, 1, '2024-08-05 18:45:28', NULL), (9554, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 14, 1, '2024-08-05 18:45:28', NULL), (9555, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 15, 1, '2024-08-05 18:45:28', NULL), (9556, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 16, 1, '2024-08-05 18:45:28', NULL), (9557, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 17, 1, '2024-08-05 18:45:29', NULL), (9558, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 18, 1, '2024-08-05 18:45:29', NULL), (9559, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 19, 1, '2024-08-05 18:45:29', NULL), (9560, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 20, 1, '2024-08-05 18:45:29', NULL), (9561, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 21, 1, '2024-08-05 18:45:29', NULL), (9562, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 22, 1, '2024-08-05 18:45:29', NULL), (9563, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 23, 1, '2024-08-05 18:45:29', NULL), (9564, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 24, 1, '2024-08-05 18:45:29', NULL), (9565, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 25, 1, '2024-08-05 18:45:29', NULL), (9566, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 26, 1, '2024-08-05 18:45:29', NULL), (9567, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 27, 1, '2024-08-05 18:45:29', NULL), (9568, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 28, 1, '2024-08-05 18:45:29', NULL), (9569, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 29, 1, '2024-08-05 18:45:29', NULL), (9570, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 30, 1, '2024-08-05 18:45:29', NULL), (9571, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 8, 31, 1, '2024-08-05 18:45:29', NULL), (9572, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 1, 1, '2024-08-05 18:45:29', NULL), (9573, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 2, 1, '2024-08-05 18:45:29', NULL), (9574, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 3, 1, '2024-08-05 18:45:29', NULL), (9575, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 4, 1, '2024-08-05 18:45:29', NULL), (9576, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 5, 1, '2024-08-05 18:45:29', NULL), (9577, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 6, 1, '2024-08-05 18:45:29', NULL), (9578, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 7, 1, '2024-08-05 18:45:29', NULL), (9579, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 8, 1, '2024-08-05 18:45:29', NULL), (9580, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 9, 1, '2024-08-05 18:45:29', NULL), (9581, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 10, 1, '2024-08-05 18:45:30', NULL), (9582, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 11, 1, '2024-08-05 18:45:30', NULL), (9583, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 12, 1, '2024-08-05 18:45:30', NULL), (9584, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 13, 1, '2024-08-05 18:45:30', NULL), (9585, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 14, 1, '2024-08-05 18:45:30', NULL), (9586, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 15, 1, '2024-08-05 18:45:30', NULL), (9587, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 16, 1, '2024-08-05 18:45:30', NULL), (9588, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 17, 1, '2024-08-05 18:45:30', NULL), (9589, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 18, 1, '2024-08-05 18:45:30', NULL), (9590, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 19, 1, '2024-08-05 18:45:30', NULL), (9591, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 20, 1, '2024-08-05 18:45:30', NULL), (9592, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 21, 1, '2024-08-05 18:45:30', NULL), (9593, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 22, 1, '2024-08-05 18:45:30', NULL), (9594, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 23, 1, '2024-08-05 18:45:30', NULL), (9595, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 24, 1, '2024-08-05 18:45:30', NULL), (9596, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 25, 1, '2024-08-05 18:45:30', NULL), (9597, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 26, 1, '2024-08-05 18:45:30', NULL), (9598, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 27, 1, '2024-08-05 18:45:30', NULL), (9599, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 28, 1, '2024-08-05 18:45:30', NULL), (9600, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 29, 1, '2024-08-05 18:45:30', NULL), (9601, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 9, 30, 1, '2024-08-05 18:45:30', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (9602, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 1, 1, '2024-08-05 18:45:30', NULL), (9603, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 2, 1, '2024-08-05 18:45:30', NULL), (9604, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 3, 1, '2024-08-05 18:45:30', NULL), (9605, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 4, 1, '2024-08-05 18:45:31', NULL), (9606, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 5, 1, '2024-08-05 18:45:31', NULL), (9607, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 6, 1, '2024-08-05 18:45:31', NULL), (9608, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 7, 1, '2024-08-05 18:45:31', NULL), (9609, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 8, 1, '2024-08-05 18:45:31', NULL), (9610, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 9, 1, '2024-08-05 18:45:31', NULL), (9611, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 10, 1, '2024-08-05 18:45:31', NULL), (9612, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 11, 1, '2024-08-05 18:45:31', NULL), (9613, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 12, 1, '2024-08-05 18:45:31', NULL), (9614, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 13, 1, '2024-08-05 18:45:31', NULL), (9615, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 14, 1, '2024-08-05 18:45:31', NULL), (9616, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 15, 1, '2024-08-05 18:45:31', NULL), (9617, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 16, 1, '2024-08-05 18:45:31', NULL), (9618, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 17, 1, '2024-08-05 18:45:31', NULL), (9619, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 18, 1, '2024-08-05 18:45:31', NULL), (9620, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 19, 1, '2024-08-05 18:45:31', NULL), (9621, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 20, 1, '2024-08-05 18:45:31', NULL), (9622, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 21, 1, '2024-08-05 18:45:31', NULL), (9623, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 22, 1, '2024-08-05 18:45:31', NULL), (9624, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 23, 1, '2024-08-05 18:45:31', NULL), (9625, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 24, 1, '2024-08-05 18:45:31', NULL), (9626, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 25, 1, '2024-08-05 18:45:31', NULL), (9627, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 26, 1, '2024-08-05 18:45:31', NULL), (9628, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 27, 1, '2024-08-05 18:45:32', NULL), (9629, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 28, 1, '2024-08-05 18:45:32', NULL), (9630, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 29, 1, '2024-08-05 18:45:32', NULL), (9631, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 30, 1, '2024-08-05 18:45:32', NULL), (9632, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 10, 31, 1, '2024-08-05 18:45:32', NULL), (9633, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 1, 1, '2024-08-05 18:45:32', NULL), (9634, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 2, 1, '2024-08-05 18:45:32', NULL), (9635, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 3, 1, '2024-08-05 18:45:32', NULL), (9636, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 4, 1, '2024-08-05 18:45:32', NULL), (9637, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 5, 1, '2024-08-05 18:45:32', NULL), (9638, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 6, 1, '2024-08-05 18:45:32', NULL), (9639, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 7, 1, '2024-08-05 18:45:32', NULL), (9640, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 8, 1, '2024-08-05 18:45:32', NULL), (9641, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 9, 1, '2024-08-05 18:45:32', NULL), (9642, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 10, 1, '2024-08-05 18:45:32', NULL), (9643, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 11, 1, '2024-08-05 18:45:32', NULL), (9644, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 12, 1, '2024-08-05 18:45:32', NULL), (9645, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 13, 1, '2024-08-05 18:45:32', NULL), (9646, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 14, 1, '2024-08-05 18:45:32', NULL), (9647, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 15, 1, '2024-08-05 18:45:32', NULL), (9648, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 16, 1, '2024-08-05 18:45:33', NULL), (9649, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 17, 1, '2024-08-05 18:45:33', NULL), (9650, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 18, 1, '2024-08-05 18:45:33', NULL), (9651, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 19, 1, '2024-08-05 18:45:33', NULL), (9652, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 20, 1, '2024-08-05 18:45:33', NULL), (9653, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 21, 1, '2024-08-05 18:45:33', NULL), (9654, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 22, 1, '2024-08-05 18:45:33', NULL), (9655, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 23, 1, '2024-08-05 18:45:33', NULL), (9656, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 24, 1, '2024-08-05 18:45:33', NULL), (9657, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 25, 1, '2024-08-05 18:45:33', NULL), (9658, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 26, 1, '2024-08-05 18:45:33', NULL), (9659, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 27, 1, '2024-08-05 18:45:33', NULL), (9660, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 28, 1, '2024-08-05 18:45:33', NULL), (9661, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 29, 1, '2024-08-05 18:45:33', NULL), (9662, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 11, 30, 1, '2024-08-05 18:45:33', NULL), (9663, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 1, 1, '2024-08-05 18:45:33', NULL), (9664, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 2, 1, '2024-08-05 18:45:33', NULL), (9665, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 3, 1, '2024-08-05 18:45:33', NULL), (9666, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 4, 1, '2024-08-05 18:45:34', NULL), (9667, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 5, 1, '2024-08-05 18:45:34', NULL), (9668, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 6, 1, '2024-08-05 18:45:34', NULL), (9669, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 7, 1, '2024-08-05 18:45:34', NULL), (9670, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 8, 1, '2024-08-05 18:45:34', NULL), (9671, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 9, 1, '2024-08-05 18:45:34', NULL), (9672, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 10, 1, '2024-08-05 18:45:34', NULL), (9673, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 11, 1, '2024-08-05 18:45:34', NULL), (9674, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 12, 1, '2024-08-05 18:45:34', NULL), (9675, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 13, 1, '2024-08-05 18:45:34', NULL), (9676, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 14, 1, '2024-08-05 18:45:34', NULL), (9677, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 15, 1, '2024-08-05 18:45:34', NULL), (9678, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 16, 1, '2024-08-05 18:45:34', NULL), (9679, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 17, 1, '2024-08-05 18:45:35', NULL), (9680, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 18, 1, '2024-08-05 18:45:35', NULL), (9681, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 19, 1, '2024-08-05 18:45:35', NULL), (9682, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 20, 1, '2024-08-05 18:45:35', NULL), (9683, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 21, 1, '2024-08-05 18:45:35', NULL), (9684, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 22, 1, '2024-08-05 18:45:35', NULL), (9685, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 23, 1, '2024-08-05 18:45:35', NULL), (9686, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 24, 1, '2024-08-05 18:45:35', NULL), (9687, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 25, 1, '2024-08-05 18:45:35', NULL), (9688, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 26, 1, '2024-08-05 18:45:35', NULL), (9689, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 27, 1, '2024-08-05 18:45:35', NULL), (9690, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 28, 1, '2024-08-05 18:45:35', NULL), (9691, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 29, 1, '2024-08-05 18:45:35', NULL), (9692, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 30, 1, '2024-08-05 18:45:36', NULL), (9693, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2023, 12, 31, 1, '2024-08-05 18:45:36', NULL), (9694, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 1, 1, '2024-08-05 18:45:36', NULL), (9695, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 2, 1, '2024-08-05 18:45:36', NULL), (9696, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 3, 1, '2024-08-05 18:45:36', NULL), (9697, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 4, 1, '2024-08-05 18:45:36', NULL), (9698, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 5, 1, '2024-08-05 18:45:36', NULL), (9699, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 6, 1, '2024-08-05 18:45:36', NULL), (9700, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 7, 1, '2024-08-05 18:45:36', NULL), (9701, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 8, 1, '2024-08-05 18:45:36', NULL), (9702, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 9, 1, '2024-08-05 18:45:36', NULL), (9703, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 10, 1, '2024-08-05 18:45:37', NULL), (9704, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 11, 1, '2024-08-05 18:45:37', NULL), (9705, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 12, 1, '2024-08-05 18:45:37', NULL), (9706, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 13, 1, '2024-08-05 18:45:37', NULL), (9707, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 14, 1, '2024-08-05 18:45:37', NULL), (9708, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 15, 1, '2024-08-05 18:45:37', NULL), (9709, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 16, 1, '2024-08-05 18:45:37', NULL), (9710, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 17, 1, '2024-08-05 18:45:37', NULL), (9711, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 18, 1, '2024-08-05 18:45:37', NULL), (9712, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 19, 1, '2024-08-05 18:45:37', NULL), (9713, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 20, 1, '2024-08-05 18:45:37', NULL), (9714, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 21, 1, '2024-08-05 18:45:38', NULL), (9715, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 22, 1, '2024-08-05 18:45:38', NULL), (9716, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 23, 1, '2024-08-05 18:45:38', NULL), (9717, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 24, 1, '2024-08-05 18:45:38', NULL), (9718, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 25, 1, '2024-08-05 18:45:38', NULL), (9719, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 26, 1, '2024-08-05 18:45:38', NULL), (9720, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 27, 1, '2024-08-05 18:45:38', NULL), (9721, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 28, 1, '2024-08-05 18:45:38', NULL), (9722, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 29, 1, '2024-08-05 18:45:38', NULL), (9723, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 30, 1, '2024-08-05 18:45:38', NULL), (9724, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 1, 31, 1, '2024-08-05 18:45:38', NULL), (9725, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 1, 1, '2024-08-05 18:45:39', NULL), (9726, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 2, 1, '2024-08-05 18:45:39', NULL), (9727, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 3, 1, '2024-08-05 18:45:39', NULL), (9728, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 4, 1, '2024-08-05 18:45:39', NULL), (9729, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 5, 1, '2024-08-05 18:45:39', NULL), (9730, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 6, 1, '2024-08-05 18:45:39', NULL), (9731, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 7, 1, '2024-08-05 18:45:39', NULL), (9732, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 8, 1, '2024-08-05 18:45:39', NULL), (9733, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 9, 1, '2024-08-05 18:45:39', NULL), (9734, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 10, 1, '2024-08-05 18:45:39', NULL), (9735, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 11, 1, '2024-08-05 18:45:39', NULL), (9736, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 12, 1, '2024-08-05 18:45:40', NULL), (9737, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 13, 1, '2024-08-05 18:45:40', NULL), (9738, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 14, 1, '2024-08-05 18:45:40', NULL), (9739, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 15, 1, '2024-08-05 18:45:40', NULL), (9740, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 16, 1, '2024-08-05 18:45:40', NULL), (9741, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 17, 1, '2024-08-05 18:45:40', NULL), (9742, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 18, 1, '2024-08-05 18:45:40', NULL), (9743, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 19, 1, '2024-08-05 18:45:40', NULL), (9744, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 20, 1, '2024-08-05 18:45:40', NULL), (9745, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 21, 1, '2024-08-05 18:45:40', NULL), (9746, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 22, 1, '2024-08-05 18:45:40', NULL), (9747, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 23, 1, '2024-08-05 18:45:41', NULL), (9748, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 24, 1, '2024-08-05 18:45:41', NULL), (9749, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 25, 1, '2024-08-05 18:45:41', NULL), (9750, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 26, 1, '2024-08-05 18:45:41', NULL), (9751, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 27, 1, '2024-08-05 18:45:41', NULL), (9752, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 28, 1, '2024-08-05 18:45:41', NULL), (9753, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 2, 29, 1, '2024-08-05 18:45:41', NULL), (9754, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 1, 1, '2024-08-05 18:45:41', NULL), (9755, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 2, 1, '2024-08-05 18:45:41', NULL), (9756, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 3, 1, '2024-08-05 18:45:41', NULL), (9757, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 4, 1, '2024-08-05 18:45:42', NULL), (9758, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 5, 1, '2024-08-05 18:45:42', NULL), (9759, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 6, 1, '2024-08-05 18:45:42', NULL), (9760, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 7, 1, '2024-08-05 18:45:42', NULL), (9761, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 8, 1, '2024-08-05 18:45:42', NULL), (9762, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 9, 1, '2024-08-05 18:45:42', NULL), (9763, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 10, 1, '2024-08-05 18:45:42', NULL), (9764, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 11, 1, '2024-08-05 18:45:42', NULL), (9765, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 12, 1, '2024-08-05 18:45:42', NULL), (9766, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 13, 1, '2024-08-05 18:45:42', NULL), (9767, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 14, 1, '2024-08-05 18:45:43', NULL), (9768, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 15, 1, '2024-08-05 18:45:43', NULL), (9769, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 16, 1, '2024-08-05 18:45:43', NULL), (9770, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 17, 1, '2024-08-05 18:45:43', NULL), (9771, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 18, 1, '2024-08-05 18:45:43', NULL), (9772, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 19, 1, '2024-08-05 18:45:43', NULL), (9773, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 20, 1, '2024-08-05 18:45:43', NULL), (9774, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 21, 1, '2024-08-05 18:45:43', NULL), (9775, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 22, 1, '2024-08-05 18:45:43', NULL), (9776, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 23, 1, '2024-08-05 18:45:43', NULL), (9777, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 24, 1, '2024-08-05 18:45:43', NULL), (9778, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 25, 1, '2024-08-05 18:45:44', NULL), (9779, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 26, 1, '2024-08-05 18:45:44', NULL), (9780, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 27, 1, '2024-08-05 18:45:44', NULL), (9781, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 28, 1, '2024-08-05 18:45:44', NULL), (9782, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 29, 1, '2024-08-05 18:45:44', NULL), (9783, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 30, 1, '2024-08-05 18:45:44', NULL), (9784, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 3, 31, 1, '2024-08-05 18:45:44', NULL), (9785, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 1, 1, '2024-08-05 18:45:44', NULL), (9786, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 2, 1, '2024-08-05 18:45:44', NULL), (9787, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 3, 1, '2024-08-05 18:45:44', NULL), (9788, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 4, 1, '2024-08-05 18:45:45', NULL), (9789, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 5, 1, '2024-08-05 18:45:45', NULL), (9790, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 6, 1, '2024-08-05 18:45:45', NULL), (9791, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 7, 1, '2024-08-05 18:45:45', NULL), (9792, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 8, 1, '2024-08-05 18:45:45', NULL), (9793, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 9, 1, '2024-08-05 18:45:45', NULL), (9794, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 10, 1, '2024-08-05 18:45:45', NULL), (9795, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 11, 1, '2024-08-05 18:45:45', NULL), (9796, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 12, 1, '2024-08-05 18:45:45', NULL), (9797, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 13, 1, '2024-08-05 18:45:45', NULL), (9798, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 14, 1, '2024-08-05 18:45:46', NULL), (9799, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 15, 1, '2024-08-05 18:45:46', NULL), (9800, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 16, 1, '2024-08-05 18:45:46', NULL), (9801, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 17, 1, '2024-08-05 18:45:46', NULL), (9802, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 18, 1, '2024-08-05 18:45:46', NULL), (9803, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 19, 1, '2024-08-05 18:45:46', NULL), (9804, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 20, 1, '2024-08-05 18:45:46', NULL), (9805, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 21, 1, '2024-08-05 18:45:46', NULL), (9806, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 22, 1, '2024-08-05 18:45:46', NULL), (9807, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 23, 1, '2024-08-05 18:45:46', NULL), (9808, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 24, 1, '2024-08-05 18:45:47', NULL), (9809, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 25, 1, '2024-08-05 18:45:47', NULL), (9810, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 26, 1, '2024-08-05 18:45:47', NULL), (9811, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 27, 1, '2024-08-05 18:45:47', NULL), (9812, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 28, 1, '2024-08-05 18:45:47', NULL), (9813, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 29, 1, '2024-08-05 18:45:47', NULL), (9814, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 4, 30, 1, '2024-08-05 18:45:47', NULL), (9815, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 1, 1, '2024-08-05 18:45:47', NULL), (9816, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 2, 1, '2024-08-05 18:45:47', NULL), (9817, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 3, 1, '2024-08-05 18:45:47', NULL), (9818, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 4, 1, '2024-08-05 18:45:48', NULL), (9819, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 5, 1, '2024-08-05 18:45:48', NULL), (9820, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 6, 1, '2024-08-05 18:45:48', NULL), (9821, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 7, 1, '2024-08-05 18:45:48', NULL), (9822, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 8, 1, '2024-08-05 18:45:48', NULL), (9823, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 9, 1, '2024-08-05 18:45:48', NULL), (9824, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 10, 1, '2024-08-05 18:45:48', NULL), (9825, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 11, 1, '2024-08-05 18:45:48', NULL), (9826, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 12, 1, '2024-08-05 18:45:48', NULL), (9827, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 13, 1, '2024-08-05 18:45:48', NULL), (9828, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 14, 1, '2024-08-05 18:45:49', NULL), (9829, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 15, 1, '2024-08-05 18:45:49', NULL), (9830, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 16, 1, '2024-08-05 18:45:49', NULL), (9831, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 17, 1, '2024-08-05 18:45:49', NULL), (9832, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 18, 1, '2024-08-05 18:45:49', NULL), (9833, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 19, 1, '2024-08-05 18:45:49', NULL), (9834, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 20, 1, '2024-08-05 18:45:49', NULL), (9835, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 21, 1, '2024-08-05 18:45:49', NULL), (9836, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 22, 1, '2024-08-05 18:45:49', NULL), (9837, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 23, 1, '2024-08-05 18:45:49', NULL), (9838, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 24, 1, '2024-08-05 18:45:50', NULL), (9839, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 25, 1, '2024-08-05 18:45:50', NULL), (9840, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 26, 1, '2024-08-05 18:45:50', NULL), (9841, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 27, 1, '2024-08-05 18:45:50', NULL), (9842, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 28, 1, '2024-08-05 18:45:50', NULL), (9843, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 29, 1, '2024-08-05 18:45:50', NULL), (9844, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 30, 1, '2024-08-05 18:45:50', NULL), (9845, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 5, 31, 1, '2024-08-05 18:45:50', NULL), (9846, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 1, 1, '2024-08-05 18:45:50', NULL), (9847, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 2, 1, '2024-08-05 18:45:51', NULL), (9848, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 3, 1, '2024-08-05 18:45:51', NULL), (9849, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 4, 1, '2024-08-05 18:45:51', NULL), (9850, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 5, 1, '2024-08-05 18:45:51', NULL), (9851, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 6, 1, '2024-08-05 18:45:51', NULL), (9852, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 7, 1, '2024-08-05 18:45:51', NULL), (9853, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 8, 1, '2024-08-05 18:45:51', NULL), (9854, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 9, 1, '2024-08-05 18:45:51', NULL), (9855, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 10, 1, '2024-08-05 18:45:51', NULL), (9856, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 11, 1, '2024-08-05 18:45:51', NULL), (9857, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 12, 1, '2024-08-05 18:45:52', NULL), (9858, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 13, 1, '2024-08-05 18:45:52', NULL), (9859, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 14, 1, '2024-08-05 18:45:52', NULL), (9860, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 15, 1, '2024-08-05 18:45:52', NULL), (9861, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 16, 1, '2024-08-05 18:45:52', NULL), (9862, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 17, 1, '2024-08-05 18:45:52', NULL), (9863, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 18, 1, '2024-08-05 18:45:52', NULL), (9864, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 19, 1, '2024-08-05 18:45:52', NULL), (9865, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 20, 1, '2024-08-05 18:45:52', NULL), (9866, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 21, 1, '2024-08-05 18:45:52', NULL), (9867, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 22, 1, '2024-08-05 18:45:53', NULL), (9868, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 23, 1, '2024-08-05 18:45:53', NULL), (9869, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 24, 1, '2024-08-05 18:45:53', NULL), (9870, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 25, 1, '2024-08-05 18:45:53', NULL), (9871, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 26, 1, '2024-08-05 18:45:53', NULL), (9872, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 27, 1, '2024-08-05 18:45:53', NULL), (9873, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 28, 1, '2024-08-05 18:45:53', NULL), (9874, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 29, 1, '2024-08-05 18:45:53', NULL), (9875, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 6, 30, 1, '2024-08-05 18:45:53', NULL), (9876, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 1, 1, '2024-08-05 18:45:53', NULL), (9877, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 2, 1, '2024-08-05 18:45:54', NULL), (9878, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 3, 1, '2024-08-05 18:45:54', NULL), (9879, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 4, 1, '2024-08-05 18:45:54', NULL), (9880, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 5, 1, '2024-08-05 18:45:54', NULL), (9881, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 6, 1, '2024-08-05 18:45:54', NULL), (9882, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 7, 1, '2024-08-05 18:45:54', NULL), (9883, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 8, 1, '2024-08-05 18:45:54', NULL), (9884, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 9, 1, '2024-08-05 18:45:54', NULL), (9885, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 10, 1, '2024-08-05 18:45:54', NULL), (9886, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 11, 1, '2024-08-05 18:45:54', NULL), (9887, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 12, 1, '2024-08-05 18:45:55', NULL), (9888, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 13, 1, '2024-08-05 18:45:55', NULL), (9889, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 14, 1, '2024-08-05 18:45:55', NULL), (9890, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 15, 1, '2024-08-05 18:45:55', NULL), (9891, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 16, 1, '2024-08-05 18:45:55', NULL), (9892, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 17, 1, '2024-08-05 18:45:55', NULL), (9893, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 18, 1, '2024-08-05 18:45:55', NULL), (9894, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 19, 1, '2024-08-05 18:45:55', NULL), (9895, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 20, 1, '2024-08-05 18:45:55', NULL), (9896, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 21, 1, '2024-08-05 18:45:55', NULL), (9897, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 22, 1, '2024-08-05 18:45:56', NULL), (9898, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 23, 1, '2024-08-05 18:45:56', NULL), (9899, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 24, 1, '2024-08-05 18:45:56', NULL), (9900, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 25, 1, '2024-08-05 18:45:56', NULL), (9901, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 26, 1, '2024-08-05 18:45:56', NULL), (9902, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 27, 1, '2024-08-05 18:45:56', NULL), (9903, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 28, 1, '2024-08-05 18:45:56', NULL), (9904, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 29, 1, '2024-08-05 18:45:56', NULL), (9905, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 30, 1, '2024-08-05 18:45:56', NULL), (9906, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 7, 31, 1, '2024-08-05 18:45:56', NULL), (9907, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 1, 1, '2024-08-05 18:45:57', '2024-08-05 22:12:26'), (9908, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 2, 1, '2024-08-05 18:45:57', '2024-08-06 02:20:03'), (9909, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 3, 1, '2024-08-05 18:45:57', '2024-08-07 01:30:02'), (9910, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 4, 1, '2024-08-05 18:45:57', '2024-08-08 01:30:02'), (9911, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 5, 1, '2024-08-05 18:45:57', '2024-08-09 01:30:02'), (9912, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 1, 1, '2024-08-05 18:57:04', NULL), (9913, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 2, 1, '2024-08-05 18:57:04', NULL), (9914, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 3, 1, '2024-08-05 18:57:05', NULL), (9915, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 4, 1, '2024-08-05 18:57:05', NULL), (9916, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 5, 1, '2024-08-05 18:57:05', NULL), (9917, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 6, 1, '2024-08-05 18:57:05', NULL), (9918, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 7, 1, '2024-08-05 18:57:05', NULL), (9919, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 8, 1, '2024-08-05 18:57:05', NULL), (9920, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 9, 1, '2024-08-05 18:57:05', NULL), (9921, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 10, 1, '2024-08-05 18:57:05', NULL), (9922, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 11, 1, '2024-08-05 18:57:05', NULL), (9923, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 12, 1, '2024-08-05 18:57:05', NULL), (9924, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 13, 1, '2024-08-05 18:57:05', NULL), (9925, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 14, 1, '2024-08-05 18:57:05', NULL), (9926, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 15, 1, '2024-08-05 18:57:05', NULL), (9927, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 16, 1, '2024-08-05 18:57:06', NULL), (9928, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 17, 1, '2024-08-05 18:57:06', NULL), (9929, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 18, 1, '2024-08-05 18:57:06', NULL), (9930, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 19, 1, '2024-08-05 18:57:06', NULL), (9931, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 20, 1, '2024-08-05 18:57:06', NULL), (9932, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 21, 1, '2024-08-05 18:57:06', NULL), (9933, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 22, 1, '2024-08-05 18:57:06', NULL), (9934, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 23, 1, '2024-08-05 18:57:06', NULL), (9935, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 24, 1, '2024-08-05 18:57:06', NULL), (9936, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 25, 1, '2024-08-05 18:57:06', NULL), (9937, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 26, 1, '2024-08-05 18:57:06', NULL), (9938, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 27, 1, '2024-08-05 18:57:06', NULL), (9939, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 28, 1, '2024-08-05 18:57:06', NULL), (9940, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 29, 1, '2024-08-05 18:57:07', NULL), (9941, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 30, 1, '2024-08-05 18:57:07', NULL), (9942, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 1, 31, 1, '2024-08-05 18:57:07', NULL), (9943, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 1, 1, '2024-08-05 18:57:07', NULL), (9944, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 2, 1, '2024-08-05 18:57:07', NULL), (9945, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 3, 1, '2024-08-05 18:57:07', NULL), (9946, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 4, 1, '2024-08-05 18:57:07', NULL), (9947, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 5, 1, '2024-08-05 18:57:07', NULL), (9948, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 6, 1, '2024-08-05 18:57:07', NULL), (9949, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 7, 1, '2024-08-05 18:57:07', NULL), (9950, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 8, 1, '2024-08-05 18:57:07', NULL), (9951, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 9, 1, '2024-08-05 18:57:07', NULL), (9952, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 10, 1, '2024-08-05 18:57:07', NULL), (9953, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 11, 1, '2024-08-05 18:57:08', NULL), (9954, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 12, 1, '2024-08-05 18:57:08', NULL), (9955, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 13, 1, '2024-08-05 18:57:08', NULL), (9956, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 14, 1, '2024-08-05 18:57:08', NULL), (9957, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 15, 1, '2024-08-05 18:57:08', NULL), (9958, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 16, 1, '2024-08-05 18:57:08', NULL), (9959, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 17, 1, '2024-08-05 18:57:08', NULL), (9960, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 18, 1, '2024-08-05 18:57:08', NULL), (9961, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 19, 1, '2024-08-05 18:57:08', NULL), (9962, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 20, 1, '2024-08-05 18:57:08', NULL), (9963, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 21, 1, '2024-08-05 18:57:08', NULL), (9964, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 22, 1, '2024-08-05 18:57:08', NULL), (9965, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 23, 1, '2024-08-05 18:57:08', NULL), (9966, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 24, 1, '2024-08-05 18:57:09', NULL), (9967, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 25, 1, '2024-08-05 18:57:09', NULL), (9968, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 26, 1, '2024-08-05 18:57:09', NULL), (9969, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 27, 1, '2024-08-05 18:57:09', NULL), (9970, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 2, 28, 1, '2024-08-05 18:57:09', NULL), (9971, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 1, 1, '2024-08-05 18:57:09', NULL), (9972, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 2, 1, '2024-08-05 18:57:09', NULL), (9973, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 3, 1, '2024-08-05 18:57:09', NULL), (9974, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 4, 1, '2024-08-05 18:57:09', NULL), (9975, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 5, 1, '2024-08-05 18:57:09', NULL), (9976, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 6, 1, '2024-08-05 18:57:09', NULL), (9977, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 7, 1, '2024-08-05 18:57:09', NULL), (9978, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 8, 1, '2024-08-05 18:57:10', NULL), (9979, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 9, 1, '2024-08-05 18:57:10', NULL), (9980, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 10, 1, '2024-08-05 18:57:10', NULL), (9981, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 11, 1, '2024-08-05 18:57:10', NULL), (9982, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 12, 1, '2024-08-05 18:57:10', NULL), (9983, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 13, 1, '2024-08-05 18:57:10', NULL), (9984, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 14, 1, '2024-08-05 18:57:10', NULL), (9985, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 15, 1, '2024-08-05 18:57:10', NULL), (9986, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 16, 1, '2024-08-05 18:57:10', NULL), (9987, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 17, 1, '2024-08-05 18:57:10', NULL), (9988, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 18, 1, '2024-08-05 18:57:10', NULL), (9989, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 19, 1, '2024-08-05 18:57:10', NULL), (9990, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 20, 1, '2024-08-05 18:57:10', NULL), (9991, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 21, 1, '2024-08-05 18:57:10', NULL), (9992, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 22, 1, '2024-08-05 18:57:10', NULL), (9993, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 23, 1, '2024-08-05 18:57:11', NULL), (9994, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 24, 1, '2024-08-05 18:57:11', NULL), (9995, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 25, 1, '2024-08-05 18:57:11', NULL), (9996, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 26, 1, '2024-08-05 18:57:11', NULL), (9997, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 27, 1, '2024-08-05 18:57:11', NULL), (9998, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 28, 1, '2024-08-05 18:57:11', NULL), (9999, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 29, 1, '2024-08-05 18:57:11', NULL), (10000, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 30, 1, '2024-08-05 18:57:11', NULL), (10001, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 3, 31, 1, '2024-08-05 18:57:11', NULL), (10002, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 1, 1, '2024-08-05 18:57:11', NULL), (10003, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 2, 1, '2024-08-05 18:57:11', NULL), (10004, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 3, 1, '2024-08-05 18:57:11', NULL), (10005, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 4, 1, '2024-08-05 18:57:11', NULL), (10006, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 5, 1, '2024-08-05 18:57:11', NULL), (10007, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 6, 1, '2024-08-05 18:57:11', NULL), (10008, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 7, 1, '2024-08-05 18:57:11', NULL), (10009, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 8, 1, '2024-08-05 18:57:11', NULL), (10010, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 9, 1, '2024-08-05 18:57:11', NULL), (10011, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 10, 1, '2024-08-05 18:57:11', NULL), (10012, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 11, 1, '2024-08-05 18:57:11', NULL), (10013, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 12, 1, '2024-08-05 18:57:11', NULL), (10014, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 13, 1, '2024-08-05 18:57:11', NULL), (10015, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 14, 1, '2024-08-05 18:57:12', NULL), (10016, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 15, 1, '2024-08-05 18:57:12', NULL), (10017, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 16, 1, '2024-08-05 18:57:12', NULL), (10018, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 17, 1, '2024-08-05 18:57:12', NULL), (10019, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 18, 1, '2024-08-05 18:57:12', NULL), (10020, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 19, 1, '2024-08-05 18:57:12', NULL), (10021, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 20, 1, '2024-08-05 18:57:12', NULL), (10022, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 21, 1, '2024-08-05 18:57:12', NULL), (10023, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 22, 1, '2024-08-05 18:57:12', NULL), (10024, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 23, 1, '2024-08-05 18:57:12', NULL), (10025, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 24, 1, '2024-08-05 18:57:12', NULL), (10026, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 25, 1, '2024-08-05 18:57:12', NULL), (10027, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 26, 1, '2024-08-05 18:57:12', NULL), (10028, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 27, 1, '2024-08-05 18:57:12', NULL), (10029, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 28, 1, '2024-08-05 18:57:12', NULL), (10030, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 29, 1, '2024-08-05 18:57:12', NULL), (10031, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 4, 30, 1, '2024-08-05 18:57:12', NULL), (10032, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 1, 1, '2024-08-05 18:57:12', NULL), (10033, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 2, 1, '2024-08-05 18:57:12', NULL), (10034, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 3, 1, '2024-08-05 18:57:12', NULL), (10035, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 4, 1, '2024-08-05 18:57:12', NULL), (10036, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 5, 1, '2024-08-05 18:57:13', NULL), (10037, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 6, 1, '2024-08-05 18:57:13', NULL), (10038, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 7, 1, '2024-08-05 18:57:13', NULL), (10039, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 8, 1, '2024-08-05 18:57:13', NULL), (10040, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 9, 1, '2024-08-05 18:57:13', NULL), (10041, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 10, 1, '2024-08-05 18:57:13', NULL), (10042, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 11, 1, '2024-08-05 18:57:13', NULL), (10043, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 12, 1, '2024-08-05 18:57:13', NULL), (10044, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 13, 1, '2024-08-05 18:57:13', NULL), (10045, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 14, 1, '2024-08-05 18:57:13', NULL), (10046, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 15, 1, '2024-08-05 18:57:13', NULL), (10047, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 16, 1, '2024-08-05 18:57:13', NULL), (10048, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 17, 1, '2024-08-05 18:57:13', NULL), (10049, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 18, 1, '2024-08-05 18:57:13', NULL), (10050, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 19, 1, '2024-08-05 18:57:13', NULL), (10051, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 20, 1, '2024-08-05 18:57:13', NULL), (10052, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 21, 1, '2024-08-05 18:57:13', NULL), (10053, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 22, 1, '2024-08-05 18:57:13', NULL), (10054, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 23, 1, '2024-08-05 18:57:13', NULL), (10055, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 24, 1, '2024-08-05 18:57:13', NULL), (10056, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 25, 1, '2024-08-05 18:57:13', NULL), (10057, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 26, 1, '2024-08-05 18:57:14', NULL), (10058, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 27, 1, '2024-08-05 18:57:14', NULL), (10059, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 28, 1, '2024-08-05 18:57:14', NULL), (10060, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 29, 1, '2024-08-05 18:57:14', NULL), (10061, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 30, 1, '2024-08-05 18:57:14', NULL), (10062, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 5, 31, 1, '2024-08-05 18:57:14', NULL), (10063, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 1, 1, '2024-08-05 18:57:14', NULL), (10064, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 2, 1, '2024-08-05 18:57:14', NULL), (10065, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 3, 1, '2024-08-05 18:57:14', NULL), (10066, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 4, 1, '2024-08-05 18:57:14', NULL), (10067, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 5, 1, '2024-08-05 18:57:14', NULL), (10068, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 6, 1, '2024-08-05 18:57:14', NULL), (10069, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 7, 1, '2024-08-05 18:57:14', NULL), (10070, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 8, 1, '2024-08-05 18:57:14', NULL), (10071, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 9, 1, '2024-08-05 18:57:14', NULL), (10072, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 10, 1, '2024-08-05 18:57:14', NULL), (10073, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 11, 1, '2024-08-05 18:57:14', NULL), (10074, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 12, 1, '2024-08-05 18:57:14', NULL), (10075, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 13, 1, '2024-08-05 18:57:14', NULL), (10076, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 14, 1, '2024-08-05 18:57:14', NULL), (10077, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 15, 1, '2024-08-05 18:57:14', NULL), (10078, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 16, 1, '2024-08-05 18:57:14', NULL), (10079, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 17, 1, '2024-08-05 18:57:15', NULL), (10080, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 18, 1, '2024-08-05 18:57:15', NULL), (10081, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 19, 1, '2024-08-05 18:57:15', NULL), (10082, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 20, 1, '2024-08-05 18:57:15', NULL), (10083, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 21, 1, '2024-08-05 18:57:15', NULL), (10084, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 22, 1, '2024-08-05 18:57:15', NULL), (10085, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 23, 1, '2024-08-05 18:57:15', NULL), (10086, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 24, 1, '2024-08-05 18:57:15', NULL), (10087, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 25, 1, '2024-08-05 18:57:15', NULL), (10088, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 26, 1, '2024-08-05 18:57:15', NULL), (10089, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 27, 1, '2024-08-05 18:57:15', NULL), (10090, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 28, 1, '2024-08-05 18:57:15', NULL), (10091, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 29, 1, '2024-08-05 18:57:15', NULL), (10092, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 6, 30, 1, '2024-08-05 18:57:15', NULL), (10093, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 1, 1, '2024-08-05 18:57:15', NULL), (10094, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 2, 1, '2024-08-05 18:57:15', NULL), (10095, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 3, 1, '2024-08-05 18:57:15', NULL), (10096, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 4, 1, '2024-08-05 18:57:15', NULL), (10097, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 5, 1, '2024-08-05 18:57:15', NULL), (10098, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 6, 1, '2024-08-05 18:57:15', NULL), (10099, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 7, 1, '2024-08-05 18:57:16', NULL), (10100, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 8, 1, '2024-08-05 18:57:16', NULL), (10101, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 9, 1, '2024-08-05 18:57:16', NULL), (10102, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 10, 1, '2024-08-05 18:57:16', NULL), (10103, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 11, 1, '2024-08-05 18:57:16', NULL), (10104, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 12, 1, '2024-08-05 18:57:16', NULL), (10105, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 13, 1, '2024-08-05 18:57:16', NULL), (10106, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 14, 1, '2024-08-05 18:57:16', NULL), (10107, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 15, 1, '2024-08-05 18:57:16', NULL), (10108, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 16, 1, '2024-08-05 18:57:16', NULL), (10109, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 17, 1, '2024-08-05 18:57:16', NULL), (10110, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 18, 1, '2024-08-05 18:57:16', NULL), (10111, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 19, 1, '2024-08-05 18:57:16', NULL), (10112, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 20, 1, '2024-08-05 18:57:16', NULL), (10113, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 21, 1, '2024-08-05 18:57:16', NULL), (10114, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 22, 1, '2024-08-05 18:57:16', NULL), (10115, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 23, 1, '2024-08-05 18:57:16', NULL), (10116, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 24, 1, '2024-08-05 18:57:16', NULL), (10117, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 25, 1, '2024-08-05 18:57:16', NULL), (10118, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 26, 1, '2024-08-05 18:57:16', NULL), (10119, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 27, 1, '2024-08-05 18:57:16', NULL), (10120, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 28, 1, '2024-08-05 18:57:17', NULL), (10121, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 29, 1, '2024-08-05 18:57:17', NULL), (10122, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 30, 1, '2024-08-05 18:57:17', NULL), (10123, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 7, 31, 1, '2024-08-05 18:57:17', NULL), (10124, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 1, 1, '2024-08-05 18:57:17', NULL), (10125, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 2, 1, '2024-08-05 18:57:17', NULL), (10126, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 3, 1, '2024-08-05 18:57:17', NULL), (10127, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 4, 1, '2024-08-05 18:57:17', NULL), (10128, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 5, 1, '2024-08-05 18:57:17', NULL), (10129, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 6, 1, '2024-08-05 18:57:17', NULL), (10130, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 7, 1, '2024-08-05 18:57:17', NULL), (10131, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 8, 1, '2024-08-05 18:57:17', NULL), (10132, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 9, 1, '2024-08-05 18:57:17', NULL), (10133, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 10, 1, '2024-08-05 18:57:17', NULL), (10134, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 11, 1, '2024-08-05 18:57:17', NULL), (10135, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 12, 1, '2024-08-05 18:57:17', NULL), (10136, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 13, 1, '2024-08-05 18:57:17', NULL), (10137, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 14, 1, '2024-08-05 18:57:17', NULL), (10138, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 15, 1, '2024-08-05 18:57:17', NULL), (10139, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 16, 1, '2024-08-05 18:57:17', NULL), (10140, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 17, 1, '2024-08-05 18:57:17', NULL), (10141, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 18, 1, '2024-08-05 18:57:17', NULL), (10142, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 19, 1, '2024-08-05 18:57:17', NULL), (10143, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 20, 1, '2024-08-05 18:57:18', NULL), (10144, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 21, 1, '2024-08-05 18:57:18', NULL), (10145, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 22, 1, '2024-08-05 18:57:18', NULL), (10146, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 23, 1, '2024-08-05 18:57:18', NULL), (10147, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 24, 1, '2024-08-05 18:57:18', NULL), (10148, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 25, 1, '2024-08-05 18:57:18', NULL), (10149, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 26, 1, '2024-08-05 18:57:18', NULL), (10150, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 27, 1, '2024-08-05 18:57:18', NULL), (10151, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 28, 1, '2024-08-05 18:57:18', NULL), (10152, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 29, 1, '2024-08-05 18:57:18', NULL), (10153, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 30, 1, '2024-08-05 18:57:18', NULL), (10154, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 8, 31, 1, '2024-08-05 18:57:18', NULL), (10155, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 1, 1, '2024-08-05 18:57:18', NULL), (10156, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 2, 1, '2024-08-05 18:57:18', NULL), (10157, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 3, 1, '2024-08-05 18:57:18', NULL), (10158, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 4, 1, '2024-08-05 18:57:18', NULL), (10159, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 5, 1, '2024-08-05 18:57:18', NULL), (10160, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 6, 1, '2024-08-05 18:57:18', NULL), (10161, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 7, 1, '2024-08-05 18:57:18', NULL), (10162, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 8, 1, '2024-08-05 18:57:18', NULL), (10163, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 9, 1, '2024-08-05 18:57:18', NULL), (10164, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 10, 1, '2024-08-05 18:57:18', NULL), (10165, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 11, 1, '2024-08-05 18:57:18', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (10166, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 12, 1, '2024-08-05 18:57:18', NULL), (10167, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 13, 1, '2024-08-05 18:57:18', NULL), (10168, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 14, 1, '2024-08-05 18:57:18', NULL), (10169, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 15, 1, '2024-08-05 18:57:19', NULL), (10170, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 16, 1, '2024-08-05 18:57:19', NULL), (10171, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 17, 1, '2024-08-05 18:57:19', NULL), (10172, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 18, 1, '2024-08-05 18:57:19', NULL), (10173, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 19, 1, '2024-08-05 18:57:19', NULL), (10174, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 20, 1, '2024-08-05 18:57:19', NULL), (10175, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 21, 1, '2024-08-05 18:57:19', NULL), (10176, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 22, 1, '2024-08-05 18:57:19', NULL), (10177, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 23, 1, '2024-08-05 18:57:19', NULL), (10178, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 24, 1, '2024-08-05 18:57:19', NULL), (10179, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 25, 1, '2024-08-05 18:57:19', NULL), (10180, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 26, 1, '2024-08-05 18:57:19', NULL), (10181, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 27, 1, '2024-08-05 18:57:19', NULL), (10182, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 28, 1, '2024-08-05 18:57:19', NULL), (10183, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 29, 1, '2024-08-05 18:57:19', NULL), (10184, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 9, 30, 1, '2024-08-05 18:57:19', NULL), (10185, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 1, 1, '2024-08-05 18:57:19', NULL), (10186, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 2, 1, '2024-08-05 18:57:19', NULL), (10187, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 3, 1, '2024-08-05 18:57:19', NULL), (10188, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 4, 1, '2024-08-05 18:57:19', NULL), (10189, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 5, 1, '2024-08-05 18:57:19', NULL), (10190, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 6, 1, '2024-08-05 18:57:19', NULL), (10191, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 7, 1, '2024-08-05 18:57:19', NULL), (10192, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 8, 1, '2024-08-05 18:57:19', NULL), (10193, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 9, 1, '2024-08-05 18:57:19', NULL), (10194, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 10, 1, '2024-08-05 18:57:19', NULL), (10195, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 11, 1, '2024-08-05 18:57:19', NULL), (10196, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 12, 1, '2024-08-05 18:57:19', NULL), (10197, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 13, 1, '2024-08-05 18:57:20', NULL), (10198, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 14, 1, '2024-08-05 18:57:20', NULL), (10199, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 15, 1, '2024-08-05 18:57:20', NULL), (10200, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 16, 1, '2024-08-05 18:57:20', NULL), (10201, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 17, 1, '2024-08-05 18:57:20', NULL), (10202, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 18, 1, '2024-08-05 18:57:20', NULL), (10203, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 19, 1, '2024-08-05 18:57:20', NULL), (10204, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 20, 1, '2024-08-05 18:57:20', NULL), (10205, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 21, 1, '2024-08-05 18:57:20', NULL), (10206, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 22, 1, '2024-08-05 18:57:20', NULL), (10207, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 23, 1, '2024-08-05 18:57:20', NULL), (10208, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 24, 1, '2024-08-05 18:57:20', NULL), (10209, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 25, 1, '2024-08-05 18:57:20', NULL), (10210, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 26, 1, '2024-08-05 18:57:20', NULL), (10211, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 27, 1, '2024-08-05 18:57:20', NULL), (10212, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 28, 1, '2024-08-05 18:57:20', NULL), (10213, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 29, 1, '2024-08-05 18:57:20', NULL), (10214, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 30, 1, '2024-08-05 18:57:20', NULL), (10215, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 10, 31, 1, '2024-08-05 18:57:20', NULL), (10216, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 1, 1, '2024-08-05 18:57:20', NULL), (10217, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 2, 1, '2024-08-05 18:57:20', NULL), (10218, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 3, 1, '2024-08-05 18:57:20', NULL), (10219, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 4, 1, '2024-08-05 18:57:20', NULL), (10220, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 5, 1, '2024-08-05 18:57:20', NULL), (10221, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 6, 1, '2024-08-05 18:57:20', NULL), (10222, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 7, 1, '2024-08-05 18:57:20', NULL), (10223, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 8, 1, '2024-08-05 18:57:20', NULL), (10224, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 9, 1, '2024-08-05 18:57:21', NULL), (10225, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 10, 1, '2024-08-05 18:57:21', NULL), (10226, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 11, 1, '2024-08-05 18:57:21', NULL), (10227, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 12, 1, '2024-08-05 18:57:21', NULL), (10228, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 13, 1, '2024-08-05 18:57:21', NULL), (10229, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 14, 1, '2024-08-05 18:57:21', NULL), (10230, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 15, 1, '2024-08-05 18:57:21', NULL), (10231, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 16, 1, '2024-08-05 18:57:21', NULL), (10232, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 17, 1, '2024-08-05 18:57:21', NULL), (10233, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 18, 1, '2024-08-05 18:57:21', NULL), (10234, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 19, 1, '2024-08-05 18:57:21', NULL), (10235, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 20, 1, '2024-08-05 18:57:21', NULL), (10236, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 21, 1, '2024-08-05 18:57:21', NULL), (10237, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 22, 1, '2024-08-05 18:57:21', NULL), (10238, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 23, 1, '2024-08-05 18:57:21', NULL), (10239, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 24, 1, '2024-08-05 18:57:21', NULL), (10240, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 25, 1, '2024-08-05 18:57:21', NULL), (10241, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 26, 1, '2024-08-05 18:57:21', NULL), (10242, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 27, 1, '2024-08-05 18:57:21', NULL), (10243, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 28, 1, '2024-08-05 18:57:21', NULL), (10244, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 29, 1, '2024-08-05 18:57:21', NULL), (10245, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 11, 30, 1, '2024-08-05 18:57:21', NULL), (10246, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 1, 1, '2024-08-05 18:57:21', NULL), (10247, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 2, 1, '2024-08-05 18:57:22', NULL), (10248, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 3, 1, '2024-08-05 18:57:22', NULL), (10249, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 4, 1, '2024-08-05 18:57:22', NULL), (10250, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 5, 1, '2024-08-05 18:57:22', NULL), (10251, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 6, 1, '2024-08-05 18:57:22', NULL), (10252, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 7, 1, '2024-08-05 18:57:22', NULL), (10253, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 8, 1, '2024-08-05 18:57:22', NULL), (10254, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 9, 1, '2024-08-05 18:57:22', NULL), (10255, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 10, 1, '2024-08-05 18:57:22', NULL), (10256, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 11, 1, '2024-08-05 18:57:22', NULL), (10257, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 12, 1, '2024-08-05 18:57:22', NULL), (10258, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 13, 1, '2024-08-05 18:57:22', NULL), (10259, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 14, 1, '2024-08-05 18:57:22', NULL), (10260, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 15, 1, '2024-08-05 18:57:22', NULL), (10261, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 16, 1, '2024-08-05 18:57:22', NULL), (10262, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 17, 1, '2024-08-05 18:57:22', NULL), (10263, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 18, 1, '2024-08-05 18:57:22', NULL), (10264, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 19, 1, '2024-08-05 18:57:22', NULL), (10265, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 20, 1, '2024-08-05 18:57:22', NULL), (10266, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 21, 1, '2024-08-05 18:57:22', NULL), (10267, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 22, 1, '2024-08-05 18:57:22', NULL), (10268, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 23, 1, '2024-08-05 18:57:23', NULL), (10269, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 24, 1, '2024-08-05 18:57:23', NULL), (10270, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 25, 1, '2024-08-05 18:57:23', NULL), (10271, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 26, 1, '2024-08-05 18:57:23', NULL), (10272, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 27, 1, '2024-08-05 18:57:23', NULL), (10273, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 28, 1, '2024-08-05 18:57:23', NULL), (10274, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 29, 1, '2024-08-05 18:57:23', NULL), (10275, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 30, 1, '2024-08-05 18:57:23', NULL), (10276, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2023, 12, 31, 1, '2024-08-05 18:57:23', NULL), (10277, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 1, 1, '2024-08-05 18:57:23', NULL), (10278, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 2, 1, '2024-08-05 18:57:23', NULL), (10279, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 3, 1, '2024-08-05 18:57:23', NULL), (10280, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 4, 1, '2024-08-05 18:57:23', NULL), (10281, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 5, 1, '2024-08-05 18:57:23', NULL), (10282, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 6, 1, '2024-08-05 18:57:23', NULL), (10283, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 7, 1, '2024-08-05 18:57:23', NULL), (10284, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 8, 1, '2024-08-05 18:57:23', NULL), (10285, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 9, 1, '2024-08-05 18:57:23', NULL), (10286, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 10, 1, '2024-08-05 18:57:23', NULL), (10287, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 11, 1, '2024-08-05 18:57:23', NULL), (10288, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 12, 1, '2024-08-05 18:57:24', NULL), (10289, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 13, 1, '2024-08-05 18:57:24', NULL), (10290, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 14, 1, '2024-08-05 18:57:24', NULL), (10291, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 15, 1, '2024-08-05 18:57:24', NULL), (10292, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 16, 1, '2024-08-05 18:57:24', NULL), (10293, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 17, 1, '2024-08-05 18:57:24', NULL), (10294, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 18, 1, '2024-08-05 18:57:24', NULL), (10295, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 19, 1, '2024-08-05 18:57:24', NULL), (10296, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 20, 1, '2024-08-05 18:57:24', NULL), (10297, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 21, 1, '2024-08-05 18:57:24', NULL), (10298, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 22, 1, '2024-08-05 18:57:24', NULL), (10299, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 23, 1, '2024-08-05 18:57:24', NULL), (10300, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 24, 1, '2024-08-05 18:57:24', NULL), (10301, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 25, 1, '2024-08-05 18:57:24', NULL), (10302, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 26, 1, '2024-08-05 18:57:24', NULL), (10303, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 27, 1, '2024-08-05 18:57:24', NULL), (10304, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 28, 1, '2024-08-05 18:57:24', NULL), (10305, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 29, 1, '2024-08-05 18:57:25', NULL), (10306, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 30, 1, '2024-08-05 18:57:25', NULL), (10307, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 1, 31, 1, '2024-08-05 18:57:25', NULL), (10308, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 1, 1, '2024-08-05 18:57:25', NULL), (10309, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 2, 1, '2024-08-05 18:57:25', NULL), (10310, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 3, 1, '2024-08-05 18:57:25', NULL), (10311, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 4, 1, '2024-08-05 18:57:25', NULL), (10312, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 5, 1, '2024-08-05 18:57:25', NULL), (10313, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 6, 1, '2024-08-05 18:57:25', NULL), (10314, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 7, 1, '2024-08-05 18:57:25', NULL), (10315, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 8, 1, '2024-08-05 18:57:25', NULL), (10316, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 9, 1, '2024-08-05 18:57:25', NULL), (10317, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 10, 1, '2024-08-05 18:57:25', NULL), (10318, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 11, 1, '2024-08-05 18:57:25', NULL), (10319, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 12, 1, '2024-08-05 18:57:25', NULL), (10320, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 13, 1, '2024-08-05 18:57:25', NULL), (10321, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 14, 1, '2024-08-05 18:57:25', NULL), (10322, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 15, 1, '2024-08-05 18:57:25', NULL), (10323, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 16, 1, '2024-08-05 18:57:26', NULL), (10324, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 17, 1, '2024-08-05 18:57:26', NULL), (10325, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 18, 1, '2024-08-05 18:57:26', NULL), (10326, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 19, 1, '2024-08-05 18:57:26', NULL), (10327, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 20, 1, '2024-08-05 18:57:26', NULL), (10328, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 21, 1, '2024-08-05 18:57:26', NULL), (10329, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 22, 1, '2024-08-05 18:57:26', NULL), (10330, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 23, 1, '2024-08-05 18:57:26', NULL), (10331, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 24, 1, '2024-08-05 18:57:26', NULL), (10332, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 25, 1, '2024-08-05 18:57:26', NULL), (10333, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 26, 1, '2024-08-05 18:57:26', NULL), (10334, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 27, 1, '2024-08-05 18:57:26', NULL), (10335, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 28, 1, '2024-08-05 18:57:26', NULL), (10336, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 2, 29, 1, '2024-08-05 18:57:26', NULL), (10337, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 1, 1, '2024-08-05 18:57:26', NULL), (10338, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 2, 1, '2024-08-05 18:57:26', NULL), (10339, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 3, 1, '2024-08-05 18:57:26', NULL), (10340, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 4, 1, '2024-08-05 18:57:26', NULL), (10341, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 5, 1, '2024-08-05 18:57:27', NULL), (10342, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 6, 1, '2024-08-05 18:57:27', NULL), (10343, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 7, 1, '2024-08-05 18:57:27', NULL), (10344, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 8, 1, '2024-08-05 18:57:27', NULL), (10345, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 9, 1, '2024-08-05 18:57:27', NULL), (10346, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 10, 1, '2024-08-05 18:57:27', NULL), (10347, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 11, 1, '2024-08-05 18:57:27', NULL), (10348, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 12, 1, '2024-08-05 18:57:27', NULL), (10349, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 13, 1, '2024-08-05 18:57:27', NULL), (10350, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 14, 1, '2024-08-05 18:57:27', NULL), (10351, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 15, 1, '2024-08-05 18:57:27', NULL), (10352, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 16, 1, '2024-08-05 18:57:27', NULL), (10353, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 17, 1, '2024-08-05 18:57:27', NULL), (10354, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 18, 1, '2024-08-05 18:57:27', NULL), (10355, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 19, 1, '2024-08-05 18:57:27', NULL), (10356, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 20, 1, '2024-08-05 18:57:27', NULL), (10357, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 21, 1, '2024-08-05 18:57:28', NULL), (10358, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 22, 1, '2024-08-05 18:57:28', NULL), (10359, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 23, 1, '2024-08-05 18:57:28', NULL), (10360, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 24, 1, '2024-08-05 18:57:28', NULL), (10361, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 25, 1, '2024-08-05 18:57:28', NULL), (10362, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 26, 1, '2024-08-05 18:57:28', NULL), (10363, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 27, 1, '2024-08-05 18:57:28', NULL), (10364, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 28, 1, '2024-08-05 18:57:28', NULL), (10365, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 29, 1, '2024-08-05 18:57:28', NULL), (10366, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 30, 1, '2024-08-05 18:57:28', NULL), (10367, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 3, 31, 1, '2024-08-05 18:57:28', NULL), (10368, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 1, 1, '2024-08-05 18:57:28', NULL), (10369, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 2, 1, '2024-08-05 18:57:28', NULL), (10370, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 3, 1, '2024-08-05 18:57:28', NULL), (10371, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 4, 1, '2024-08-05 18:57:28', NULL), (10372, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 5, 1, '2024-08-05 18:57:28', NULL), (10373, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 6, 1, '2024-08-05 18:57:29', NULL), (10374, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 7, 1, '2024-08-05 18:57:29', NULL), (10375, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 8, 1, '2024-08-05 18:57:29', NULL), (10376, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 9, 1, '2024-08-05 18:57:29', NULL), (10377, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 10, 1, '2024-08-05 18:57:29', NULL), (10378, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 11, 1, '2024-08-05 18:57:29', NULL), (10379, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 12, 1, '2024-08-05 18:57:29', NULL), (10380, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 13, 1, '2024-08-05 18:57:29', NULL), (10381, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 14, 1, '2024-08-05 18:57:29', NULL), (10382, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 15, 1, '2024-08-05 18:57:29', NULL), (10383, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 16, 1, '2024-08-05 18:57:29', NULL), (10384, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 17, 1, '2024-08-05 18:57:29', NULL), (10385, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 18, 1, '2024-08-05 18:57:29', NULL), (10386, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 19, 1, '2024-08-05 18:57:29', NULL), (10387, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 20, 1, '2024-08-05 18:57:29', NULL), (10388, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 21, 1, '2024-08-05 18:57:29', NULL), (10389, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 22, 1, '2024-08-05 18:57:30', NULL), (10390, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 23, 1, '2024-08-05 18:57:30', NULL), (10391, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 24, 1, '2024-08-05 18:57:30', NULL), (10392, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 25, 1, '2024-08-05 18:57:30', NULL), (10393, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 26, 1, '2024-08-05 18:57:30', NULL), (10394, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 27, 1, '2024-08-05 18:57:30', NULL), (10395, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 28, 1, '2024-08-05 18:57:30', NULL), (10396, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 29, 1, '2024-08-05 18:57:30', NULL), (10397, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 4, 30, 1, '2024-08-05 18:57:30', NULL), (10398, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 1, 1, '2024-08-05 18:57:30', NULL), (10399, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 2, 1, '2024-08-05 18:57:30', NULL), (10400, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 3, 1, '2024-08-05 18:57:30', NULL), (10401, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 4, 1, '2024-08-05 18:57:30', NULL), (10402, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 5, 1, '2024-08-05 18:57:30', NULL), (10403, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 6, 1, '2024-08-05 18:57:30', NULL), (10404, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 7, 1, '2024-08-05 18:57:30', NULL), (10405, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 8, 1, '2024-08-05 18:57:31', NULL), (10406, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 9, 1, '2024-08-05 18:57:31', NULL), (10407, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 10, 1, '2024-08-05 18:57:31', NULL), (10408, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 11, 1, '2024-08-05 18:57:31', NULL), (10409, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 12, 1, '2024-08-05 18:57:31', NULL), (10410, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 13, 1, '2024-08-05 18:57:31', NULL), (10411, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 14, 1, '2024-08-05 18:57:31', NULL), (10412, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 15, 1, '2024-08-05 18:57:31', NULL), (10413, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 16, 1, '2024-08-05 18:57:31', NULL), (10414, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 17, 1, '2024-08-05 18:57:31', NULL), (10415, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 18, 1, '2024-08-05 18:57:31', NULL), (10416, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 19, 1, '2024-08-05 18:57:31', NULL), (10417, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 20, 1, '2024-08-05 18:57:31', NULL), (10418, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 21, 1, '2024-08-05 18:57:32', NULL), (10419, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 22, 1, '2024-08-05 18:57:32', NULL), (10420, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 23, 1, '2024-08-05 18:57:32', NULL), (10421, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 24, 1, '2024-08-05 18:57:32', NULL), (10422, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 25, 1, '2024-08-05 18:57:32', NULL), (10423, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 26, 1, '2024-08-05 18:57:32', NULL), (10424, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 27, 1, '2024-08-05 18:57:32', NULL), (10425, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 28, 1, '2024-08-05 18:57:32', NULL), (10426, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 29, 1, '2024-08-05 18:57:32', NULL), (10427, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 30, 1, '2024-08-05 18:57:32', NULL), (10428, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 5, 31, 1, '2024-08-05 18:57:32', NULL), (10429, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 1, 1, '2024-08-05 18:57:32', NULL), (10430, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 2, 1, '2024-08-05 18:57:32', NULL), (10431, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 3, 1, '2024-08-05 18:57:32', NULL), (10432, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 4, 1, '2024-08-05 18:57:33', NULL), (10433, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 5, 1, '2024-08-05 18:57:33', NULL), (10434, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 6, 1, '2024-08-05 18:57:33', NULL), (10435, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 7, 1, '2024-08-05 18:57:33', NULL), (10436, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 8, 1, '2024-08-05 18:57:33', NULL), (10437, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 9, 1, '2024-08-05 18:57:33', NULL), (10438, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 10, 1, '2024-08-05 18:57:33', NULL), (10439, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 11, 1, '2024-08-05 18:57:33', NULL), (10440, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 12, 1, '2024-08-05 18:57:33', NULL), (10441, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 13, 1, '2024-08-05 18:57:33', NULL), (10442, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 14, 1, '2024-08-05 18:57:33', NULL), (10443, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 15, 1, '2024-08-05 18:57:33', NULL), (10444, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 16, 1, '2024-08-05 18:57:34', NULL), (10445, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 17, 1, '2024-08-05 18:57:34', NULL), (10446, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 18, 1, '2024-08-05 18:57:34', NULL), (10447, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 19, 1, '2024-08-05 18:57:34', NULL), (10448, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 20, 1, '2024-08-05 18:57:34', NULL), (10449, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 21, 1, '2024-08-05 18:57:34', NULL), (10450, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 22, 1, '2024-08-05 18:57:34', NULL), (10451, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 23, 1, '2024-08-05 18:57:34', NULL), (10452, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 24, 1, '2024-08-05 18:57:34', NULL), (10453, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 25, 1, '2024-08-05 18:57:34', NULL), (10454, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 26, 1, '2024-08-05 18:57:35', NULL), (10455, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 27, 1, '2024-08-05 18:57:35', NULL), (10456, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 28, 1, '2024-08-05 18:57:35', NULL), (10457, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 29, 1, '2024-08-05 18:57:35', NULL), (10458, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 6, 30, 1, '2024-08-05 18:57:35', NULL), (10459, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 1, 1, '2024-08-05 18:57:35', NULL), (10460, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 2, 1, '2024-08-05 18:57:35', NULL), (10461, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 3, 1, '2024-08-05 18:57:35', NULL), (10462, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 4, 1, '2024-08-05 18:57:35', NULL), (10463, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 5, 1, '2024-08-05 18:57:35', NULL), (10464, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 6, 1, '2024-08-05 18:57:36', NULL), (10465, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 7, 1, '2024-08-05 18:57:36', NULL), (10466, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 8, 1, '2024-08-05 18:57:36', NULL), (10467, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 9, 1, '2024-08-05 18:57:36', NULL), (10468, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 10, 1, '2024-08-05 18:57:36', NULL), (10469, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 11, 1, '2024-08-05 18:57:36', NULL), (10470, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 12, 1, '2024-08-05 18:57:36', NULL), (10471, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 13, 1, '2024-08-05 18:57:36', NULL), (10472, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 14, 1, '2024-08-05 18:57:36', NULL), (10473, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 15, 1, '2024-08-05 18:57:36', NULL), (10474, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 16, 1, '2024-08-05 18:57:37', NULL), (10475, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 17, 1, '2024-08-05 18:57:37', NULL), (10476, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 18, 1, '2024-08-05 18:57:37', NULL), (10477, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 19, 1, '2024-08-05 18:57:37', NULL), (10478, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 20, 1, '2024-08-05 18:57:37', NULL), (10479, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 21, 1, '2024-08-05 18:57:37', NULL), (10480, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 22, 1, '2024-08-05 18:57:37', NULL), (10481, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 23, 1, '2024-08-05 18:57:37', NULL), (10482, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 24, 1, '2024-08-05 18:57:37', NULL), (10483, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 25, 1, '2024-08-05 18:57:37', NULL), (10484, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 26, 1, '2024-08-05 18:57:38', NULL), (10485, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 27, 1, '2024-08-05 18:57:38', NULL), (10486, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 28, 1, '2024-08-05 18:57:38', NULL), (10487, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 29, 1, '2024-08-05 18:57:38', NULL), (10488, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 30, 1, '2024-08-05 18:57:38', NULL), (10489, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 7, 31, 1, '2024-08-05 18:57:38', NULL), (10490, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 1, 1, '2024-08-05 18:57:38', '2024-08-05 22:12:25'), (10491, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 2, 1, '2024-08-05 18:57:38', '2024-08-06 02:20:04'), (10492, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 3, 1, '2024-08-05 18:57:38', '2024-08-07 01:30:02'), (10493, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 4, 1, '2024-08-05 18:57:38', '2024-08-08 01:30:02'), (10494, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 5, 1, '2024-08-05 18:57:39', '2024-08-09 01:30:03'), (10495, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 1, 1, '2024-08-05 19:09:15', NULL), (10496, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 2, 1, '2024-08-05 19:09:15', NULL), (10497, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 3, 1, '2024-08-05 19:09:15', NULL), (10498, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 4, 1, '2024-08-05 19:09:15', NULL), (10499, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 5, 1, '2024-08-05 19:09:15', NULL), (10500, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 6, 1, '2024-08-05 19:09:16', NULL), (10501, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 7, 1, '2024-08-05 19:09:16', NULL), (10502, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 8, 1, '2024-08-05 19:09:16', NULL), (10503, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 9, 1, '2024-08-05 19:09:16', NULL), (10504, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 10, 1, '2024-08-05 19:09:16', NULL), (10505, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 11, 1, '2024-08-05 19:09:16', NULL), (10506, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 12, 1, '2024-08-05 19:09:16', NULL), (10507, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 13, 1, '2024-08-05 19:09:16', NULL), (10508, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 14, 1, '2024-08-05 19:09:16', NULL), (10509, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 15, 1, '2024-08-05 19:09:16', NULL), (10510, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 16, 1, '2024-08-05 19:09:16', NULL), (10511, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 17, 1, '2024-08-05 19:09:16', NULL), (10512, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 18, 1, '2024-08-05 19:09:16', NULL), (10513, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 19, 1, '2024-08-05 19:09:16', NULL), (10514, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 20, 1, '2024-08-05 19:09:16', NULL), (10515, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 21, 1, '2024-08-05 19:09:16', NULL), (10516, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 22, 1, '2024-08-05 19:09:16', NULL), (10517, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 23, 1, '2024-08-05 19:09:16', NULL), (10518, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 24, 1, '2024-08-05 19:09:17', NULL), (10519, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 25, 1, '2024-08-05 19:09:17', NULL), (10520, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 26, 1, '2024-08-05 19:09:17', NULL), (10521, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 27, 1, '2024-08-05 19:09:17', NULL), (10522, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 28, 1, '2024-08-05 19:09:17', NULL), (10523, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 29, 1, '2024-08-05 19:09:17', NULL), (10524, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 30, 1, '2024-08-05 19:09:17', NULL), (10525, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 1, 31, 1, '2024-08-05 19:09:17', NULL), (10526, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 1, 1, '2024-08-05 19:09:17', NULL), (10527, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 2, 1, '2024-08-05 19:09:17', NULL), (10528, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 3, 1, '2024-08-05 19:09:17', NULL), (10529, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 4, 1, '2024-08-05 19:09:17', NULL), (10530, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 5, 1, '2024-08-05 19:09:17', NULL), (10531, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 6, 1, '2024-08-05 19:09:17', NULL), (10532, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 7, 1, '2024-08-05 19:09:17', NULL), (10533, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 8, 1, '2024-08-05 19:09:17', NULL), (10534, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 9, 1, '2024-08-05 19:09:17', NULL), (10535, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 10, 1, '2024-08-05 19:09:17', NULL), (10536, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 11, 1, '2024-08-05 19:09:18', NULL), (10537, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 12, 1, '2024-08-05 19:09:18', NULL), (10538, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 13, 1, '2024-08-05 19:09:18', NULL), (10539, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 14, 1, '2024-08-05 19:09:18', NULL), (10540, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 15, 1, '2024-08-05 19:09:18', NULL), (10541, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 16, 1, '2024-08-05 19:09:18', NULL), (10542, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 17, 1, '2024-08-05 19:09:18', NULL), (10543, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 18, 1, '2024-08-05 19:09:18', NULL), (10544, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 19, 1, '2024-08-05 19:09:18', NULL), (10545, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 20, 1, '2024-08-05 19:09:18', NULL), (10546, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 21, 1, '2024-08-05 19:09:18', NULL), (10547, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 22, 1, '2024-08-05 19:09:18', NULL), (10548, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 23, 1, '2024-08-05 19:09:18', NULL), (10549, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 24, 1, '2024-08-05 19:09:18', NULL), (10550, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 25, 1, '2024-08-05 19:09:18', NULL), (10551, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 26, 1, '2024-08-05 19:09:18', NULL), (10552, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 27, 1, '2024-08-05 19:09:18', NULL), (10553, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 2, 28, 1, '2024-08-05 19:09:19', NULL), (10554, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 1, 1, '2024-08-05 19:09:19', NULL), (10555, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 2, 1, '2024-08-05 19:09:19', NULL), (10556, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 3, 1, '2024-08-05 19:09:19', NULL), (10557, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 4, 1, '2024-08-05 19:09:19', NULL), (10558, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 5, 1, '2024-08-05 19:09:19', NULL), (10559, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 6, 1, '2024-08-05 19:09:19', NULL), (10560, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 7, 1, '2024-08-05 19:09:19', NULL), (10561, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 8, 1, '2024-08-05 19:09:19', NULL), (10562, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 9, 1, '2024-08-05 19:09:19', NULL), (10563, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 10, 1, '2024-08-05 19:09:19', NULL), (10564, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 11, 1, '2024-08-05 19:09:19', NULL), (10565, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 12, 1, '2024-08-05 19:09:19', NULL), (10566, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 13, 1, '2024-08-05 19:09:19', NULL), (10567, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 14, 1, '2024-08-05 19:09:19', NULL), (10568, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 15, 1, '2024-08-05 19:09:19', NULL), (10569, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 16, 1, '2024-08-05 19:09:20', NULL), (10570, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 17, 1, '2024-08-05 19:09:20', NULL), (10571, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 18, 1, '2024-08-05 19:09:20', NULL), (10572, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 19, 1, '2024-08-05 19:09:20', NULL), (10573, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 20, 1, '2024-08-05 19:09:20', NULL), (10574, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 21, 1, '2024-08-05 19:09:20', NULL), (10575, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 22, 1, '2024-08-05 19:09:20', NULL), (10576, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 23, 1, '2024-08-05 19:09:20', NULL), (10577, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 24, 1, '2024-08-05 19:09:20', NULL), (10578, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 25, 1, '2024-08-05 19:09:20', NULL), (10579, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 26, 1, '2024-08-05 19:09:20', NULL), (10580, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 27, 1, '2024-08-05 19:09:20', NULL), (10581, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 28, 1, '2024-08-05 19:09:20', NULL), (10582, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 29, 1, '2024-08-05 19:09:20', NULL), (10583, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 30, 1, '2024-08-05 19:09:20', NULL), (10584, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 3, 31, 1, '2024-08-05 19:09:20', NULL), (10585, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 1, 1, '2024-08-05 19:09:21', NULL), (10586, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 2, 1, '2024-08-05 19:09:21', NULL), (10587, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 3, 1, '2024-08-05 19:09:21', NULL), (10588, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 4, 1, '2024-08-05 19:09:21', NULL), (10589, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 5, 1, '2024-08-05 19:09:21', NULL), (10590, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 6, 1, '2024-08-05 19:09:21', NULL), (10591, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 7, 1, '2024-08-05 19:09:21', NULL), (10592, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 8, 1, '2024-08-05 19:09:21', NULL), (10593, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 9, 1, '2024-08-05 19:09:21', NULL), (10594, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 10, 1, '2024-08-05 19:09:21', NULL), (10595, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 11, 1, '2024-08-05 19:09:21', NULL), (10596, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 12, 1, '2024-08-05 19:09:21', NULL), (10597, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 13, 1, '2024-08-05 19:09:21', NULL), (10598, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 14, 1, '2024-08-05 19:09:21', NULL), (10599, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 15, 1, '2024-08-05 19:09:21', NULL), (10600, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 16, 1, '2024-08-05 19:09:21', NULL), (10601, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 17, 1, '2024-08-05 19:09:22', NULL), (10602, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 18, 1, '2024-08-05 19:09:22', NULL), (10603, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 19, 1, '2024-08-05 19:09:22', NULL), (10604, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 20, 1, '2024-08-05 19:09:22', NULL), (10605, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 21, 1, '2024-08-05 19:09:22', NULL), (10606, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 22, 1, '2024-08-05 19:09:22', NULL), (10607, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 23, 1, '2024-08-05 19:09:22', NULL), (10608, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 24, 1, '2024-08-05 19:09:22', NULL), (10609, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 25, 1, '2024-08-05 19:09:22', NULL), (10610, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 26, 1, '2024-08-05 19:09:22', NULL), (10611, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 27, 1, '2024-08-05 19:09:22', NULL), (10612, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 28, 1, '2024-08-05 19:09:22', NULL), (10613, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 29, 1, '2024-08-05 19:09:22', NULL), (10614, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 4, 30, 1, '2024-08-05 19:09:22', NULL), (10615, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 1, 1, '2024-08-05 19:09:22', NULL), (10616, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 2, 1, '2024-08-05 19:09:23', NULL), (10617, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 3, 1, '2024-08-05 19:09:23', NULL), (10618, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 4, 1, '2024-08-05 19:09:23', NULL), (10619, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 5, 1, '2024-08-05 19:09:23', NULL), (10620, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 6, 1, '2024-08-05 19:09:23', NULL), (10621, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 7, 1, '2024-08-05 19:09:23', NULL), (10622, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 8, 1, '2024-08-05 19:09:23', NULL), (10623, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 9, 1, '2024-08-05 19:09:23', NULL), (10624, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 10, 1, '2024-08-05 19:09:23', NULL), (10625, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 11, 1, '2024-08-05 19:09:23', NULL), (10626, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 12, 1, '2024-08-05 19:09:23', NULL), (10627, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 13, 1, '2024-08-05 19:09:23', NULL), (10628, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 14, 1, '2024-08-05 19:09:23', NULL), (10629, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 15, 1, '2024-08-05 19:09:23', NULL), (10630, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 16, 1, '2024-08-05 19:09:23', NULL), (10631, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 17, 1, '2024-08-05 19:09:23', NULL), (10632, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 18, 1, '2024-08-05 19:09:24', NULL), (10633, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 19, 1, '2024-08-05 19:09:24', NULL), (10634, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 20, 1, '2024-08-05 19:09:24', NULL), (10635, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 21, 1, '2024-08-05 19:09:24', NULL), (10636, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 22, 1, '2024-08-05 19:09:24', NULL), (10637, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 23, 1, '2024-08-05 19:09:24', NULL), (10638, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 24, 1, '2024-08-05 19:09:24', NULL), (10639, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 25, 1, '2024-08-05 19:09:24', NULL), (10640, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 26, 1, '2024-08-05 19:09:24', NULL), (10641, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 27, 1, '2024-08-05 19:09:24', NULL), (10642, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 28, 1, '2024-08-05 19:09:24', NULL), (10643, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 29, 1, '2024-08-05 19:09:24', NULL), (10644, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 30, 1, '2024-08-05 19:09:24', NULL), (10645, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 5, 31, 1, '2024-08-05 19:09:24', NULL), (10646, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 1, 1, '2024-08-05 19:09:25', NULL), (10647, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 2, 1, '2024-08-05 19:09:25', NULL), (10648, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 3, 1, '2024-08-05 19:09:25', NULL), (10649, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 4, 1, '2024-08-05 19:09:25', NULL), (10650, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 5, 1, '2024-08-05 19:09:25', NULL), (10651, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 6, 1, '2024-08-05 19:09:25', NULL), (10652, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 7, 1, '2024-08-05 19:09:25', NULL), (10653, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 8, 1, '2024-08-05 19:09:25', NULL), (10654, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 9, 1, '2024-08-05 19:09:25', NULL), (10655, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 10, 1, '2024-08-05 19:09:25', NULL), (10656, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 11, 1, '2024-08-05 19:09:25', NULL), (10657, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 12, 1, '2024-08-05 19:09:26', NULL), (10658, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 13, 1, '2024-08-05 19:09:26', NULL), (10659, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 14, 1, '2024-08-05 19:09:26', NULL), (10660, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 15, 1, '2024-08-05 19:09:26', NULL), (10661, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 16, 1, '2024-08-05 19:09:26', NULL), (10662, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 17, 1, '2024-08-05 19:09:26', NULL), (10663, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 18, 1, '2024-08-05 19:09:26', NULL), (10664, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 19, 1, '2024-08-05 19:09:26', NULL), (10665, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 20, 1, '2024-08-05 19:09:26', NULL), (10666, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 21, 1, '2024-08-05 19:09:26', NULL), (10667, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 22, 1, '2024-08-05 19:09:26', NULL), (10668, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 23, 1, '2024-08-05 19:09:27', NULL), (10669, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 24, 1, '2024-08-05 19:09:27', NULL), (10670, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 25, 1, '2024-08-05 19:09:27', NULL), (10671, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 26, 1, '2024-08-05 19:09:27', NULL), (10672, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 27, 1, '2024-08-05 19:09:27', NULL), (10673, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 28, 1, '2024-08-05 19:09:27', NULL), (10674, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 29, 1, '2024-08-05 19:09:27', NULL), (10675, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 6, 30, 1, '2024-08-05 19:09:27', NULL), (10676, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 1, 1, '2024-08-05 19:09:28', NULL), (10677, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 2, 1, '2024-08-05 19:09:28', NULL), (10678, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 3, 1, '2024-08-05 19:09:28', NULL), (10679, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 4, 1, '2024-08-05 19:09:28', NULL), (10680, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 5, 1, '2024-08-05 19:09:29', NULL), (10681, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 6, 1, '2024-08-05 19:09:29', NULL), (10682, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 7, 1, '2024-08-05 19:09:29', NULL), (10683, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 8, 1, '2024-08-05 19:09:29', NULL), (10684, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 9, 1, '2024-08-05 19:09:29', NULL), (10685, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 10, 1, '2024-08-05 19:09:30', NULL), (10686, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 11, 1, '2024-08-05 19:09:30', NULL), (10687, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 12, 1, '2024-08-05 19:09:30', NULL), (10688, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 13, 1, '2024-08-05 19:09:30', NULL), (10689, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 14, 1, '2024-08-05 19:09:31', NULL), (10690, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 15, 1, '2024-08-05 19:09:31', NULL), (10691, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 16, 1, '2024-08-05 19:09:31', NULL), (10692, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 17, 1, '2024-08-05 19:09:31', NULL), (10693, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 18, 1, '2024-08-05 19:09:32', NULL), (10694, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 19, 1, '2024-08-05 19:09:32', NULL), (10695, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 20, 1, '2024-08-05 19:09:32', NULL), (10696, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 21, 1, '2024-08-05 19:09:32', NULL), (10697, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 22, 1, '2024-08-05 19:09:32', NULL), (10698, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 23, 1, '2024-08-05 19:09:33', NULL), (10699, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 24, 1, '2024-08-05 19:09:33', NULL), (10700, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 25, 1, '2024-08-05 19:09:33', NULL), (10701, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 26, 1, '2024-08-05 19:09:33', NULL), (10702, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 27, 1, '2024-08-05 19:09:34', NULL), (10703, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 28, 1, '2024-08-05 19:09:34', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (10704, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 29, 1, '2024-08-05 19:09:34', NULL), (10705, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 30, 1, '2024-08-05 19:09:34', NULL), (10706, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 7, 31, 1, '2024-08-05 19:09:35', NULL), (10707, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 1, 1, '2024-08-05 19:09:35', NULL), (10708, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 2, 1, '2024-08-05 19:09:35', NULL), (10709, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 3, 1, '2024-08-05 19:09:35', NULL), (10710, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 4, 1, '2024-08-05 19:09:35', NULL), (10711, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 5, 1, '2024-08-05 19:09:36', NULL), (10712, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 6, 1, '2024-08-05 19:09:36', NULL), (10713, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 7, 1, '2024-08-05 19:09:36', NULL), (10714, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 8, 1, '2024-08-05 19:09:36', NULL), (10715, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 9, 1, '2024-08-05 19:09:36', NULL), (10716, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 10, 1, '2024-08-05 19:09:37', NULL), (10717, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 11, 1, '2024-08-05 19:09:37', NULL), (10718, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 12, 1, '2024-08-05 19:09:37', NULL), (10719, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 13, 1, '2024-08-05 19:09:37', NULL), (10720, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 14, 1, '2024-08-05 19:09:37', NULL), (10721, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 15, 1, '2024-08-05 19:09:38', NULL), (10722, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 16, 1, '2024-08-05 19:09:38', NULL), (10723, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 17, 1, '2024-08-05 19:09:38', NULL), (10724, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 18, 1, '2024-08-05 19:09:38', NULL), (10725, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 19, 1, '2024-08-05 19:09:38', NULL), (10726, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 20, 1, '2024-08-05 19:09:39', NULL), (10727, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 21, 1, '2024-08-05 19:09:39', NULL), (10728, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 22, 1, '2024-08-05 19:09:39', NULL), (10729, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 23, 1, '2024-08-05 19:09:39', NULL), (10730, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 24, 1, '2024-08-05 19:09:39', NULL), (10731, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 25, 1, '2024-08-05 19:09:40', NULL), (10732, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 26, 1, '2024-08-05 19:09:40', NULL), (10733, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 27, 1, '2024-08-05 19:09:40', NULL), (10734, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 28, 1, '2024-08-05 19:09:40', NULL), (10735, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 29, 1, '2024-08-05 19:09:40', NULL), (10736, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 30, 1, '2024-08-05 19:09:41', NULL), (10737, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 8, 31, 1, '2024-08-05 19:09:41', NULL), (10738, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 1, 1, '2024-08-05 19:09:41', NULL), (10739, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 2, 1, '2024-08-05 19:09:41', NULL), (10740, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 3, 1, '2024-08-05 19:09:41', NULL), (10741, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 4, 1, '2024-08-05 19:09:41', NULL), (10742, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 5, 1, '2024-08-05 19:09:42', NULL), (10743, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 6, 1, '2024-08-05 19:09:42', NULL), (10744, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 7, 1, '2024-08-05 19:09:42', NULL), (10745, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 8, 1, '2024-08-05 19:09:42', NULL), (10746, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 9, 1, '2024-08-05 19:09:42', NULL), (10747, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 10, 1, '2024-08-05 19:09:42', NULL), (10748, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 11, 1, '2024-08-05 19:09:43', NULL), (10749, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 12, 1, '2024-08-05 19:09:43', NULL), (10750, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 13, 1, '2024-08-05 19:09:43', NULL), (10751, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 14, 1, '2024-08-05 19:09:43', NULL), (10752, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 15, 1, '2024-08-05 19:09:43', NULL), (10753, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 16, 1, '2024-08-05 19:09:43', NULL), (10754, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 17, 1, '2024-08-05 19:09:44', NULL), (10755, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 18, 1, '2024-08-05 19:09:44', NULL), (10756, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 19, 1, '2024-08-05 19:09:44', NULL), (10757, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 20, 1, '2024-08-05 19:09:44', NULL), (10758, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 21, 1, '2024-08-05 19:09:44', NULL), (10759, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 22, 1, '2024-08-05 19:09:45', NULL), (10760, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 23, 1, '2024-08-05 19:09:45', NULL), (10761, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 24, 1, '2024-08-05 19:09:45', NULL), (10762, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 25, 1, '2024-08-05 19:09:45', NULL), (10763, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 26, 1, '2024-08-05 19:09:45', NULL), (10764, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 27, 1, '2024-08-05 19:09:45', NULL), (10765, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 28, 1, '2024-08-05 19:09:45', NULL), (10766, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 29, 1, '2024-08-05 19:09:45', NULL), (10767, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 9, 30, 1, '2024-08-05 19:09:45', NULL), (10768, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 1, 1, '2024-08-05 19:09:45', NULL), (10769, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 2, 1, '2024-08-05 19:09:45', NULL), (10770, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 3, 1, '2024-08-05 19:09:45', NULL), (10771, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 4, 1, '2024-08-05 19:09:45', NULL), (10772, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 5, 1, '2024-08-05 19:09:45', NULL), (10773, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 6, 1, '2024-08-05 19:09:45', NULL), (10774, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 7, 1, '2024-08-05 19:09:45', NULL), (10775, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 8, 1, '2024-08-05 19:09:45', NULL), (10776, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 9, 1, '2024-08-05 19:09:46', NULL), (10777, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 10, 1, '2024-08-05 19:09:46', NULL), (10778, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 11, 1, '2024-08-05 19:09:46', NULL), (10779, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 12, 1, '2024-08-05 19:09:46', NULL), (10780, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 13, 1, '2024-08-05 19:09:46', NULL), (10781, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 14, 1, '2024-08-05 19:09:46', NULL), (10782, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 15, 1, '2024-08-05 19:09:46', NULL), (10783, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 16, 1, '2024-08-05 19:09:46', NULL), (10784, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 17, 1, '2024-08-05 19:09:46', NULL), (10785, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 18, 1, '2024-08-05 19:09:46', NULL), (10786, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 19, 1, '2024-08-05 19:09:46', NULL), (10787, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 20, 1, '2024-08-05 19:09:46', NULL), (10788, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 21, 1, '2024-08-05 19:09:46', NULL), (10789, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 22, 1, '2024-08-05 19:09:46', NULL), (10790, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 23, 1, '2024-08-05 19:09:46', NULL), (10791, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 24, 1, '2024-08-05 19:09:46', NULL), (10792, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 25, 1, '2024-08-05 19:09:46', NULL), (10793, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 26, 1, '2024-08-05 19:09:46', NULL), (10794, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 27, 1, '2024-08-05 19:09:46', NULL), (10795, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 28, 1, '2024-08-05 19:09:46', NULL), (10796, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 29, 1, '2024-08-05 19:09:46', NULL), (10797, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 30, 1, '2024-08-05 19:09:46', NULL), (10798, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 10, 31, 1, '2024-08-05 19:09:46', NULL), (10799, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 1, 1, '2024-08-05 19:09:46', NULL), (10800, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 2, 1, '2024-08-05 19:09:46', NULL), (10801, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 3, 1, '2024-08-05 19:09:46', NULL), (10802, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 4, 1, '2024-08-05 19:09:46', NULL), (10803, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 5, 1, '2024-08-05 19:09:46', NULL), (10804, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 6, 1, '2024-08-05 19:09:47', NULL), (10805, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 7, 1, '2024-08-05 19:09:47', NULL), (10806, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 8, 1, '2024-08-05 19:09:47', NULL), (10807, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 9, 1, '2024-08-05 19:09:47', NULL), (10808, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 10, 1, '2024-08-05 19:09:47', NULL), (10809, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 11, 1, '2024-08-05 19:09:47', NULL), (10810, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 12, 1, '2024-08-05 19:09:47', NULL), (10811, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 13, 1, '2024-08-05 19:09:47', NULL), (10812, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 14, 1, '2024-08-05 19:09:47', NULL), (10813, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 15, 1, '2024-08-05 19:09:47', NULL), (10814, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 16, 1, '2024-08-05 19:09:47', NULL), (10815, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 17, 1, '2024-08-05 19:09:47', NULL), (10816, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 18, 1, '2024-08-05 19:09:47', NULL), (10817, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 19, 1, '2024-08-05 19:09:47', NULL), (10818, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 20, 1, '2024-08-05 19:09:47', NULL), (10819, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 21, 1, '2024-08-05 19:09:47', NULL), (10820, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 22, 1, '2024-08-05 19:09:47', NULL), (10821, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 23, 1, '2024-08-05 19:09:47', NULL), (10822, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 24, 1, '2024-08-05 19:09:47', NULL), (10823, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 25, 1, '2024-08-05 19:09:47', NULL), (10824, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 26, 1, '2024-08-05 19:09:47', NULL), (10825, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 27, 1, '2024-08-05 19:09:47', NULL), (10826, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 28, 1, '2024-08-05 19:09:47', NULL), (10827, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 29, 1, '2024-08-05 19:09:48', NULL), (10828, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 11, 30, 1, '2024-08-05 19:09:48', NULL), (10829, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 1, 1, '2024-08-05 19:09:48', NULL), (10830, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 2, 1, '2024-08-05 19:09:48', NULL), (10831, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 3, 1, '2024-08-05 19:09:48', NULL), (10832, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 4, 1, '2024-08-05 19:09:48', NULL), (10833, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 5, 1, '2024-08-05 19:09:48', NULL), (10834, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 6, 1, '2024-08-05 19:09:48', NULL), (10835, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 7, 1, '2024-08-05 19:09:48', NULL), (10836, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 8, 1, '2024-08-05 19:09:48', NULL), (10837, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 9, 1, '2024-08-05 19:09:48', NULL), (10838, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 10, 1, '2024-08-05 19:09:48', NULL), (10839, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 11, 1, '2024-08-05 19:09:48', NULL), (10840, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 12, 1, '2024-08-05 19:09:48', NULL), (10841, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 13, 1, '2024-08-05 19:09:48', NULL), (10842, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 14, 1, '2024-08-05 19:09:48', NULL), (10843, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 15, 1, '2024-08-05 19:09:48', NULL), (10844, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 16, 1, '2024-08-05 19:09:48', NULL), (10845, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 17, 1, '2024-08-05 19:09:48', NULL), (10846, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 18, 1, '2024-08-05 19:09:48', NULL), (10847, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 19, 1, '2024-08-05 19:09:48', NULL), (10848, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 20, 1, '2024-08-05 19:09:48', NULL), (10849, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 21, 1, '2024-08-05 19:09:49', NULL), (10850, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 22, 1, '2024-08-05 19:09:49', NULL), (10851, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 23, 1, '2024-08-05 19:09:49', NULL), (10852, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 24, 1, '2024-08-05 19:09:49', NULL), (10853, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 25, 1, '2024-08-05 19:09:49', NULL), (10854, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 26, 1, '2024-08-05 19:09:49', NULL), (10855, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 27, 1, '2024-08-05 19:09:49', NULL), (10856, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 28, 1, '2024-08-05 19:09:49', NULL), (10857, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 29, 1, '2024-08-05 19:09:49', NULL), (10858, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 30, 1, '2024-08-05 19:09:49', NULL), (10859, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2023, 12, 31, 1, '2024-08-05 19:09:49', NULL), (10860, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 1, 1, '2024-08-05 19:09:49', NULL), (10861, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 2, 1, '2024-08-05 19:09:49', NULL), (10862, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 3, 1, '2024-08-05 19:09:49', NULL), (10863, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 4, 1, '2024-08-05 19:09:49', NULL), (10864, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 5, 1, '2024-08-05 19:09:49', NULL), (10865, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 6, 1, '2024-08-05 19:09:49', NULL), (10866, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 7, 1, '2024-08-05 19:09:49', NULL), (10867, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 8, 1, '2024-08-05 19:09:49', NULL), (10868, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 9, 1, '2024-08-05 19:09:50', NULL), (10869, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 10, 1, '2024-08-05 19:09:50', NULL), (10870, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 11, 1, '2024-08-05 19:09:50', NULL), (10871, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 12, 1, '2024-08-05 19:09:50', NULL), (10872, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 13, 1, '2024-08-05 19:09:50', NULL), (10873, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 14, 1, '2024-08-05 19:09:50', NULL), (10874, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 15, 1, '2024-08-05 19:09:50', NULL), (10875, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 16, 1, '2024-08-05 19:09:50', NULL), (10876, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 17, 1, '2024-08-05 19:09:50', NULL), (10877, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 18, 1, '2024-08-05 19:09:50', NULL), (10878, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 19, 1, '2024-08-05 19:09:50', NULL), (10879, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 20, 1, '2024-08-05 19:09:50', NULL), (10880, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 21, 1, '2024-08-05 19:09:50', NULL), (10881, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 22, 1, '2024-08-05 19:09:50', NULL), (10882, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 23, 1, '2024-08-05 19:09:50', NULL), (10883, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 24, 1, '2024-08-05 19:09:50', NULL), (10884, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 25, 1, '2024-08-05 19:09:50', NULL), (10885, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 26, 1, '2024-08-05 19:09:51', NULL), (10886, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 27, 1, '2024-08-05 19:09:51', NULL), (10887, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 28, 1, '2024-08-05 19:09:51', NULL), (10888, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 29, 1, '2024-08-05 19:09:51', NULL), (10889, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 30, 1, '2024-08-05 19:09:51', NULL), (10890, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 1, 31, 1, '2024-08-05 19:09:51', NULL), (10891, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 1, 1, '2024-08-05 19:09:51', NULL), (10892, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 2, 1, '2024-08-05 19:09:51', NULL), (10893, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 3, 1, '2024-08-05 19:09:51', NULL), (10894, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 4, 1, '2024-08-05 19:09:51', NULL), (10895, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 5, 1, '2024-08-05 19:09:51', NULL), (10896, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 6, 1, '2024-08-05 19:09:51', NULL), (10897, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 7, 1, '2024-08-05 19:09:51', NULL), (10898, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 8, 1, '2024-08-05 19:09:51', NULL), (10899, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 9, 1, '2024-08-05 19:09:51', NULL), (10900, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 10, 1, '2024-08-05 19:09:51', NULL), (10901, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 11, 1, '2024-08-05 19:09:51', NULL), (10902, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 12, 1, '2024-08-05 19:09:52', NULL), (10903, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 13, 1, '2024-08-05 19:09:52', NULL), (10904, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 14, 1, '2024-08-05 19:09:52', NULL), (10905, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 15, 1, '2024-08-05 19:09:52', NULL), (10906, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 16, 1, '2024-08-05 19:09:52', NULL), (10907, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 17, 1, '2024-08-05 19:09:52', NULL), (10908, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 18, 1, '2024-08-05 19:09:52', NULL), (10909, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 19, 1, '2024-08-05 19:09:52', NULL), (10910, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 20, 1, '2024-08-05 19:09:52', NULL), (10911, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 21, 1, '2024-08-05 19:09:52', NULL), (10912, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 22, 1, '2024-08-05 19:09:52', NULL), (10913, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 23, 1, '2024-08-05 19:09:52', NULL), (10914, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 24, 1, '2024-08-05 19:09:52', NULL), (10915, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 25, 1, '2024-08-05 19:09:52', NULL), (10916, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 26, 1, '2024-08-05 19:09:52', NULL), (10917, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 27, 1, '2024-08-05 19:09:52', NULL), (10918, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 28, 1, '2024-08-05 19:09:52', NULL), (10919, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 2, 29, 1, '2024-08-05 19:09:53', NULL), (10920, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 1, 1, '2024-08-05 19:09:53', NULL), (10921, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 2, 1, '2024-08-05 19:09:53', NULL), (10922, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 3, 1, '2024-08-05 19:09:53', NULL), (10923, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 4, 1, '2024-08-05 19:09:53', NULL), (10924, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 5, 1, '2024-08-05 19:09:53', NULL), (10925, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 6, 1, '2024-08-05 19:09:53', NULL), (10926, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 7, 1, '2024-08-05 19:09:53', NULL), (10927, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 8, 1, '2024-08-05 19:09:53', NULL), (10928, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 9, 1, '2024-08-05 19:09:53', NULL), (10929, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 10, 1, '2024-08-05 19:09:53', NULL), (10930, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 11, 1, '2024-08-05 19:09:53', NULL), (10931, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 12, 1, '2024-08-05 19:09:53', NULL), (10932, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 13, 1, '2024-08-05 19:09:53', NULL), (10933, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 14, 1, '2024-08-05 19:09:53', NULL), (10934, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 15, 1, '2024-08-05 19:09:54', NULL), (10935, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 16, 1, '2024-08-05 19:09:54', NULL), (10936, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 17, 1, '2024-08-05 19:09:54', NULL), (10937, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 18, 1, '2024-08-05 19:09:54', NULL), (10938, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 19, 1, '2024-08-05 19:09:54', NULL), (10939, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 20, 1, '2024-08-05 19:09:54', NULL), (10940, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 21, 1, '2024-08-05 19:09:54', NULL), (10941, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 22, 1, '2024-08-05 19:09:54', NULL), (10942, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 23, 1, '2024-08-05 19:09:54', NULL), (10943, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 24, 1, '2024-08-05 19:09:54', NULL), (10944, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 25, 1, '2024-08-05 19:09:54', NULL), (10945, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 26, 1, '2024-08-05 19:09:54', NULL), (10946, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 27, 1, '2024-08-05 19:09:54', NULL), (10947, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 28, 1, '2024-08-05 19:09:54', NULL), (10948, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 29, 1, '2024-08-05 19:09:54', NULL), (10949, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 30, 1, '2024-08-05 19:09:54', NULL), (10950, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 3, 31, 1, '2024-08-05 19:09:55', NULL), (10951, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 1, 1, '2024-08-05 19:09:55', NULL), (10952, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 2, 1, '2024-08-05 19:09:55', NULL), (10953, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 3, 1, '2024-08-05 19:09:55', NULL), (10954, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 4, 1, '2024-08-05 19:09:55', NULL), (10955, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 5, 1, '2024-08-05 19:09:55', NULL), (10956, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 6, 1, '2024-08-05 19:09:55', NULL), (10957, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 7, 1, '2024-08-05 19:09:55', NULL), (10958, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 8, 1, '2024-08-05 19:09:55', NULL), (10959, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 9, 1, '2024-08-05 19:09:55', NULL), (10960, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 10, 1, '2024-08-05 19:09:55', NULL), (10961, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 11, 1, '2024-08-05 19:09:55', NULL), (10962, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 12, 1, '2024-08-05 19:09:55', NULL), (10963, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 13, 1, '2024-08-05 19:09:55', NULL), (10964, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 14, 1, '2024-08-05 19:09:56', NULL), (10965, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 15, 1, '2024-08-05 19:09:56', NULL), (10966, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 16, 1, '2024-08-05 19:09:56', NULL), (10967, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 17, 1, '2024-08-05 19:09:56', NULL), (10968, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 18, 1, '2024-08-05 19:09:56', NULL), (10969, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 19, 1, '2024-08-05 19:09:56', NULL), (10970, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 20, 1, '2024-08-05 19:09:56', NULL), (10971, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 21, 1, '2024-08-05 19:09:56', NULL), (10972, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 22, 1, '2024-08-05 19:09:56', NULL), (10973, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 23, 1, '2024-08-05 19:09:56', NULL), (10974, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 24, 1, '2024-08-05 19:09:56', NULL), (10975, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 25, 1, '2024-08-05 19:09:56', NULL), (10976, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 26, 1, '2024-08-05 19:09:56', NULL), (10977, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 27, 1, '2024-08-05 19:09:56', NULL), (10978, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 28, 1, '2024-08-05 19:09:56', NULL), (10979, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 29, 1, '2024-08-05 19:09:57', NULL), (10980, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 4, 30, 1, '2024-08-05 19:09:57', NULL), (10981, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 1, 1, '2024-08-05 19:09:57', NULL), (10982, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 2, 1, '2024-08-05 19:09:57', NULL), (10983, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 3, 1, '2024-08-05 19:09:57', NULL), (10984, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 4, 1, '2024-08-05 19:09:57', NULL), (10985, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 5, 1, '2024-08-05 19:09:57', NULL), (10986, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 6, 1, '2024-08-05 19:09:57', NULL), (10987, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 7, 1, '2024-08-05 19:09:57', NULL), (10988, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 8, 1, '2024-08-05 19:09:57', NULL), (10989, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 9, 1, '2024-08-05 19:09:57', NULL), (10990, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 10, 1, '2024-08-05 19:09:57', NULL), (10991, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 11, 1, '2024-08-05 19:09:57', NULL), (10992, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 12, 1, '2024-08-05 19:09:57', NULL), (10993, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 13, 1, '2024-08-05 19:09:58', NULL), (10994, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 14, 1, '2024-08-05 19:09:58', NULL), (10995, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 15, 1, '2024-08-05 19:09:58', NULL), (10996, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 16, 1, '2024-08-05 19:09:58', NULL), (10997, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 17, 1, '2024-08-05 19:09:58', NULL), (10998, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 18, 1, '2024-08-05 19:09:58', NULL), (10999, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 19, 1, '2024-08-05 19:09:58', NULL), (11000, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 20, 1, '2024-08-05 19:09:58', NULL), (11001, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 21, 1, '2024-08-05 19:09:58', NULL), (11002, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 22, 1, '2024-08-05 19:09:58', NULL), (11003, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 23, 1, '2024-08-05 19:09:58', NULL), (11004, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 24, 1, '2024-08-05 19:09:58', NULL), (11005, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 25, 1, '2024-08-05 19:09:58', NULL), (11006, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 26, 1, '2024-08-05 19:09:58', NULL), (11007, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 27, 1, '2024-08-05 19:09:59', NULL), (11008, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 28, 1, '2024-08-05 19:09:59', NULL), (11009, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 29, 1, '2024-08-05 19:09:59', NULL), (11010, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 30, 1, '2024-08-05 19:09:59', NULL), (11011, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 5, 31, 1, '2024-08-05 19:09:59', NULL), (11012, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 1, 1, '2024-08-05 19:09:59', NULL), (11013, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 2, 1, '2024-08-05 19:09:59', NULL), (11014, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 3, 1, '2024-08-05 19:09:59', NULL), (11015, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 4, 1, '2024-08-05 19:09:59', NULL), (11016, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 5, 1, '2024-08-05 19:09:59', NULL), (11017, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 6, 1, '2024-08-05 19:09:59', NULL), (11018, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 7, 1, '2024-08-05 19:09:59', NULL), (11019, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 8, 1, '2024-08-05 19:09:59', NULL), (11020, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 9, 1, '2024-08-05 19:10:00', NULL), (11021, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 10, 1, '2024-08-05 19:10:00', NULL), (11022, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 11, 1, '2024-08-05 19:10:00', NULL), (11023, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 12, 1, '2024-08-05 19:10:00', NULL), (11024, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 13, 1, '2024-08-05 19:10:00', NULL), (11025, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 14, 1, '2024-08-05 19:10:00', NULL), (11026, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 15, 1, '2024-08-05 19:10:00', NULL), (11027, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 16, 1, '2024-08-05 19:10:00', NULL), (11028, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 17, 1, '2024-08-05 19:10:00', NULL), (11029, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 18, 1, '2024-08-05 19:10:00', NULL), (11030, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 19, 1, '2024-08-05 19:10:00', NULL), (11031, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 20, 1, '2024-08-05 19:10:00', NULL), (11032, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 21, 1, '2024-08-05 19:10:00', NULL), (11033, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 22, 1, '2024-08-05 19:10:01', NULL), (11034, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 23, 1, '2024-08-05 19:10:01', NULL), (11035, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 24, 1, '2024-08-05 19:10:01', NULL), (11036, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 25, 1, '2024-08-05 19:10:01', NULL), (11037, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 26, 1, '2024-08-05 19:10:01', NULL), (11038, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 27, 1, '2024-08-05 19:10:01', NULL), (11039, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 28, 1, '2024-08-05 19:10:01', NULL), (11040, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 29, 1, '2024-08-05 19:10:01', NULL), (11041, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 6, 30, 1, '2024-08-05 19:10:01', NULL), (11042, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 1, 1, '2024-08-05 19:10:01', NULL), (11043, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 2, 1, '2024-08-05 19:10:01', NULL), (11044, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 3, 1, '2024-08-05 19:10:01', NULL), (11045, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 4, 1, '2024-08-05 19:10:01', NULL), (11046, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 5, 1, '2024-08-05 19:10:01', NULL), (11047, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 6, 1, '2024-08-05 19:10:02', NULL), (11048, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 7, 1, '2024-08-05 19:10:02', NULL), (11049, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 8, 1, '2024-08-05 19:10:02', NULL), (11050, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 9, 1, '2024-08-05 19:10:02', NULL), (11051, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 10, 1, '2024-08-05 19:10:02', NULL), (11052, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 11, 1, '2024-08-05 19:10:02', NULL), (11053, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 12, 1, '2024-08-05 19:10:02', NULL), (11054, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 13, 1, '2024-08-05 19:10:02', NULL), (11055, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 14, 1, '2024-08-05 19:10:02', NULL), (11056, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 15, 1, '2024-08-05 19:10:02', NULL), (11057, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 16, 1, '2024-08-05 19:10:02', NULL), (11058, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 17, 1, '2024-08-05 19:10:02', NULL), (11059, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 18, 1, '2024-08-05 19:10:02', NULL), (11060, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 19, 1, '2024-08-05 19:10:03', NULL), (11061, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 20, 1, '2024-08-05 19:10:03', NULL), (11062, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 21, 1, '2024-08-05 19:10:03', NULL), (11063, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 22, 1, '2024-08-05 19:10:03', NULL), (11064, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 23, 1, '2024-08-05 19:10:03', NULL), (11065, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 24, 1, '2024-08-05 19:10:03', NULL), (11066, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 25, 1, '2024-08-05 19:10:03', NULL), (11067, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 26, 1, '2024-08-05 19:10:03', NULL), (11068, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 27, 1, '2024-08-05 19:10:03', NULL), (11069, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 28, 1, '2024-08-05 19:10:03', NULL), (11070, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 29, 1, '2024-08-05 19:10:03', NULL), (11071, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 30, 1, '2024-08-05 19:10:03', NULL), (11072, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 7, 31, 1, '2024-08-05 19:10:03', NULL), (11073, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 1, 1, '2024-08-05 19:10:04', '2024-08-05 22:12:30'), (11074, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 2, 1, '2024-08-05 19:10:04', '2024-08-06 02:20:04'), (11075, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 3, 1, '2024-08-05 19:10:04', '2024-08-07 01:30:02'), (11076, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 4, 1, '2024-08-05 19:10:04', '2024-08-08 01:30:02'), (11077, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 5, 1, '2024-08-05 19:10:04', '2024-08-09 01:30:02'), (11078, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 1, 1, '2024-08-05 19:21:40', NULL), (11079, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 2, 1, '2024-08-05 19:21:40', NULL), (11080, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 3, 1, '2024-08-05 19:21:40', NULL), (11081, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 4, 1, '2024-08-05 19:21:40', NULL), (11082, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 5, 1, '2024-08-05 19:21:40', NULL), (11083, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 6, 1, '2024-08-05 19:21:40', NULL), (11084, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 7, 1, '2024-08-05 19:21:41', NULL), (11085, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 8, 1, '2024-08-05 19:21:41', NULL), (11086, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 9, 1, '2024-08-05 19:21:41', NULL), (11087, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 10, 1, '2024-08-05 19:21:41', NULL), (11088, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 11, 1, '2024-08-05 19:21:41', NULL), (11089, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 12, 1, '2024-08-05 19:21:41', NULL), (11090, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 13, 1, '2024-08-05 19:21:41', NULL), (11091, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 14, 1, '2024-08-05 19:21:41', NULL), (11092, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 15, 1, '2024-08-05 19:21:41', NULL), (11093, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 16, 1, '2024-08-05 19:21:41', NULL), (11094, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 17, 1, '2024-08-05 19:21:41', NULL), (11095, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 18, 1, '2024-08-05 19:21:41', NULL), (11096, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 19, 1, '2024-08-05 19:21:41', NULL), (11097, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 20, 1, '2024-08-05 19:21:41', NULL), (11098, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 21, 1, '2024-08-05 19:21:41', NULL), (11099, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 22, 1, '2024-08-05 19:21:41', NULL), (11100, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 23, 1, '2024-08-05 19:21:41', NULL), (11101, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 24, 1, '2024-08-05 19:21:41', NULL), (11102, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 25, 1, '2024-08-05 19:21:42', NULL), (11103, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 26, 1, '2024-08-05 19:21:42', NULL), (11104, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 27, 1, '2024-08-05 19:21:42', NULL), (11105, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 28, 1, '2024-08-05 19:21:42', NULL), (11106, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 29, 1, '2024-08-05 19:21:42', NULL), (11107, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 30, 1, '2024-08-05 19:21:42', NULL), (11108, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 1, 31, 1, '2024-08-05 19:21:42', NULL), (11109, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 1, 1, '2024-08-05 19:21:42', NULL), (11110, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 2, 1, '2024-08-05 19:21:42', NULL), (11111, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 3, 1, '2024-08-05 19:21:42', NULL), (11112, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 4, 1, '2024-08-05 19:21:42', NULL), (11113, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 5, 1, '2024-08-05 19:21:42', NULL), (11114, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 6, 1, '2024-08-05 19:21:42', NULL), (11115, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 7, 1, '2024-08-05 19:21:42', NULL), (11116, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 8, 1, '2024-08-05 19:21:43', NULL), (11117, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 9, 1, '2024-08-05 19:21:43', NULL), (11118, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 10, 1, '2024-08-05 19:21:43', NULL), (11119, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 11, 1, '2024-08-05 19:21:43', NULL), (11120, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 12, 1, '2024-08-05 19:21:43', NULL), (11121, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 13, 1, '2024-08-05 19:21:43', NULL), (11122, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 14, 1, '2024-08-05 19:21:43', NULL), (11123, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 15, 1, '2024-08-05 19:21:43', NULL), (11124, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 16, 1, '2024-08-05 19:21:43', NULL), (11125, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 17, 1, '2024-08-05 19:21:43', NULL), (11126, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 18, 1, '2024-08-05 19:21:43', NULL), (11127, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 19, 1, '2024-08-05 19:21:43', NULL), (11128, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 20, 1, '2024-08-05 19:21:43', NULL), (11129, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 21, 1, '2024-08-05 19:21:44', NULL), (11130, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 22, 1, '2024-08-05 19:21:44', NULL), (11131, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 23, 1, '2024-08-05 19:21:44', NULL), (11132, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 24, 1, '2024-08-05 19:21:44', NULL), (11133, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 25, 1, '2024-08-05 19:21:44', NULL), (11134, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 26, 1, '2024-08-05 19:21:44', NULL), (11135, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 27, 1, '2024-08-05 19:21:44', NULL), (11136, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 2, 28, 1, '2024-08-05 19:21:44', NULL), (11137, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 1, 1, '2024-08-05 19:21:44', NULL), (11138, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 2, 1, '2024-08-05 19:21:44', NULL), (11139, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 3, 1, '2024-08-05 19:21:44', NULL), (11140, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 4, 1, '2024-08-05 19:21:44', NULL), (11141, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 5, 1, '2024-08-05 19:21:45', NULL), (11142, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 6, 1, '2024-08-05 19:21:45', NULL), (11143, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 7, 1, '2024-08-05 19:21:45', NULL), (11144, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 8, 1, '2024-08-05 19:21:45', NULL), (11145, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 9, 1, '2024-08-05 19:21:45', NULL), (11146, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 10, 1, '2024-08-05 19:21:45', NULL), (11147, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 11, 1, '2024-08-05 19:21:45', NULL), (11148, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 12, 1, '2024-08-05 19:21:46', NULL), (11149, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 13, 1, '2024-08-05 19:21:46', NULL), (11150, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 14, 1, '2024-08-05 19:21:46', NULL), (11151, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 15, 1, '2024-08-05 19:21:46', NULL), (11152, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 16, 1, '2024-08-05 19:21:46', NULL), (11153, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 17, 1, '2024-08-05 19:21:47', NULL), (11154, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 18, 1, '2024-08-05 19:21:47', NULL), (11155, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 19, 1, '2024-08-05 19:21:47', NULL), (11156, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 20, 1, '2024-08-05 19:21:47', NULL), (11157, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 21, 1, '2024-08-05 19:21:48', NULL), (11158, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 22, 1, '2024-08-05 19:21:48', NULL), (11159, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 23, 1, '2024-08-05 19:21:48', NULL), (11160, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 24, 1, '2024-08-05 19:21:48', NULL), (11161, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 25, 1, '2024-08-05 19:21:49', NULL), (11162, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 26, 1, '2024-08-05 19:21:49', NULL), (11163, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 27, 1, '2024-08-05 19:21:49', NULL), (11164, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 28, 1, '2024-08-05 19:21:49', NULL), (11165, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 29, 1, '2024-08-05 19:21:49', NULL), (11166, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 30, 1, '2024-08-05 19:21:50', NULL), (11167, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 3, 31, 1, '2024-08-05 19:21:50', NULL), (11168, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 1, 1, '2024-08-05 19:21:50', NULL), (11169, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 2, 1, '2024-08-05 19:21:50', NULL), (11170, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 3, 1, '2024-08-05 19:21:51', NULL), (11171, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 4, 1, '2024-08-05 19:21:51', NULL), (11172, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 5, 1, '2024-08-05 19:21:51', NULL), (11173, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 6, 1, '2024-08-05 19:21:51', NULL), (11174, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 7, 1, '2024-08-05 19:21:52', NULL), (11175, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 8, 1, '2024-08-05 19:21:52', NULL), (11176, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 9, 1, '2024-08-05 19:21:52', NULL), (11177, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 10, 1, '2024-08-05 19:21:52', NULL), (11178, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 11, 1, '2024-08-05 19:21:52', NULL), (11179, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 12, 1, '2024-08-05 19:21:53', NULL), (11180, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 13, 1, '2024-08-05 19:21:53', NULL), (11181, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 14, 1, '2024-08-05 19:21:53', NULL), (11182, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 15, 1, '2024-08-05 19:21:53', NULL), (11183, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 16, 1, '2024-08-05 19:21:54', NULL), (11184, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 17, 1, '2024-08-05 19:21:54', NULL), (11185, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 18, 1, '2024-08-05 19:21:54', NULL), (11186, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 19, 1, '2024-08-05 19:21:54', NULL), (11187, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 20, 1, '2024-08-05 19:21:54', NULL), (11188, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 21, 1, '2024-08-05 19:21:55', NULL), (11189, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 22, 1, '2024-08-05 19:21:55', NULL), (11190, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 23, 1, '2024-08-05 19:21:55', NULL), (11191, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 24, 1, '2024-08-05 19:21:55', NULL), (11192, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 25, 1, '2024-08-05 19:21:56', NULL), (11193, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 26, 1, '2024-08-05 19:21:56', NULL), (11194, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 27, 1, '2024-08-05 19:21:56', NULL), (11195, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 28, 1, '2024-08-05 19:21:56', NULL), (11196, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 29, 1, '2024-08-05 19:21:57', NULL), (11197, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 4, 30, 1, '2024-08-05 19:21:57', NULL), (11198, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 1, 1, '2024-08-05 19:21:57', NULL), (11199, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 2, 1, '2024-08-05 19:21:57', NULL), (11200, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 3, 1, '2024-08-05 19:21:57', NULL), (11201, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 4, 1, '2024-08-05 19:21:58', NULL), (11202, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 5, 1, '2024-08-05 19:21:58', NULL), (11203, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 6, 1, '2024-08-05 19:21:58', NULL), (11204, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 7, 1, '2024-08-05 19:21:58', NULL), (11205, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 8, 1, '2024-08-05 19:21:58', NULL), (11206, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 9, 1, '2024-08-05 19:21:58', NULL), (11207, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 10, 1, '2024-08-05 19:21:58', NULL), (11208, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 11, 1, '2024-08-05 19:21:58', NULL), (11209, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 12, 1, '2024-08-05 19:21:58', NULL), (11210, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 13, 1, '2024-08-05 19:21:58', NULL), (11211, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 14, 1, '2024-08-05 19:21:58', NULL), (11212, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 15, 1, '2024-08-05 19:21:58', NULL), (11213, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 16, 1, '2024-08-05 19:21:58', NULL), (11214, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 17, 1, '2024-08-05 19:21:58', NULL), (11215, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 18, 1, '2024-08-05 19:21:58', NULL), (11216, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 19, 1, '2024-08-05 19:21:59', NULL), (11217, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 20, 1, '2024-08-05 19:21:59', NULL), (11218, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 21, 1, '2024-08-05 19:21:59', NULL), (11219, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 22, 1, '2024-08-05 19:21:59', NULL), (11220, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 23, 1, '2024-08-05 19:21:59', NULL), (11221, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 24, 1, '2024-08-05 19:21:59', NULL), (11222, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 25, 1, '2024-08-05 19:21:59', NULL), (11223, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 26, 1, '2024-08-05 19:21:59', NULL), (11224, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 27, 1, '2024-08-05 19:21:59', NULL), (11225, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 28, 1, '2024-08-05 19:21:59', NULL), (11226, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 29, 1, '2024-08-05 19:21:59', NULL), (11227, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 30, 1, '2024-08-05 19:21:59', NULL), (11228, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 5, 31, 1, '2024-08-05 19:21:59', NULL), (11229, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 1, 1, '2024-08-05 19:21:59', NULL), (11230, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 2, 1, '2024-08-05 19:21:59', NULL), (11231, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 3, 1, '2024-08-05 19:21:59', NULL), (11232, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 4, 1, '2024-08-05 19:21:59', NULL), (11233, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 5, 1, '2024-08-05 19:21:59', NULL), (11234, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 6, 1, '2024-08-05 19:21:59', NULL), (11235, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 7, 1, '2024-08-05 19:21:59', NULL), (11236, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 8, 1, '2024-08-05 19:21:59', NULL), (11237, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 9, 1, '2024-08-05 19:22:00', NULL), (11238, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 10, 1, '2024-08-05 19:22:00', NULL), (11239, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 11, 1, '2024-08-05 19:22:00', NULL), (11240, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 12, 1, '2024-08-05 19:22:00', NULL), (11241, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 13, 1, '2024-08-05 19:22:00', NULL), (11242, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 14, 1, '2024-08-05 19:22:00', NULL), (11243, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 15, 1, '2024-08-05 19:22:00', NULL), (11244, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 16, 1, '2024-08-05 19:22:00', NULL), (11245, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 17, 1, '2024-08-05 19:22:00', NULL), (11246, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 18, 1, '2024-08-05 19:22:00', NULL), (11247, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 19, 1, '2024-08-05 19:22:00', NULL), (11248, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 20, 1, '2024-08-05 19:22:00', NULL), (11249, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 21, 1, '2024-08-05 19:22:00', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (11250, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 22, 1, '2024-08-05 19:22:00', NULL), (11251, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 23, 1, '2024-08-05 19:22:00', NULL), (11252, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 24, 1, '2024-08-05 19:22:00', NULL), (11253, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 25, 1, '2024-08-05 19:22:00', NULL), (11254, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 26, 1, '2024-08-05 19:22:00', NULL), (11255, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 27, 1, '2024-08-05 19:22:00', NULL), (11256, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 28, 1, '2024-08-05 19:22:00', NULL), (11257, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 29, 1, '2024-08-05 19:22:00', NULL), (11258, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 6, 30, 1, '2024-08-05 19:22:01', NULL), (11259, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 1, 1, '2024-08-05 19:22:01', NULL), (11260, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 2, 1, '2024-08-05 19:22:01', NULL), (11261, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 3, 1, '2024-08-05 19:22:01', NULL), (11262, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 4, 1, '2024-08-05 19:22:01', NULL), (11263, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 5, 1, '2024-08-05 19:22:01', NULL), (11264, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 6, 1, '2024-08-05 19:22:01', NULL), (11265, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 7, 1, '2024-08-05 19:22:01', NULL), (11266, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 8, 1, '2024-08-05 19:22:01', NULL), (11267, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 9, 1, '2024-08-05 19:22:01', NULL), (11268, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 10, 1, '2024-08-05 19:22:01', NULL), (11269, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 11, 1, '2024-08-05 19:22:01', NULL), (11270, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 12, 1, '2024-08-05 19:22:01', NULL), (11271, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 13, 1, '2024-08-05 19:22:01', NULL), (11272, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 14, 1, '2024-08-05 19:22:01', NULL), (11273, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 15, 1, '2024-08-05 19:22:01', NULL), (11274, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 16, 1, '2024-08-05 19:22:01', NULL), (11275, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 17, 1, '2024-08-05 19:22:01', NULL), (11276, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 18, 1, '2024-08-05 19:22:01', NULL), (11277, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 19, 1, '2024-08-05 19:22:01', NULL), (11278, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 20, 1, '2024-08-05 19:22:02', NULL), (11279, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 21, 1, '2024-08-05 19:22:02', NULL), (11280, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 22, 1, '2024-08-05 19:22:02', NULL), (11281, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 23, 1, '2024-08-05 19:22:02', NULL), (11282, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 24, 1, '2024-08-05 19:22:02', NULL), (11283, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 25, 1, '2024-08-05 19:22:02', NULL), (11284, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 26, 1, '2024-08-05 19:22:02', NULL), (11285, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 27, 1, '2024-08-05 19:22:02', NULL), (11286, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 28, 1, '2024-08-05 19:22:02', NULL), (11287, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 29, 1, '2024-08-05 19:22:02', NULL), (11288, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 30, 1, '2024-08-05 19:22:02', NULL), (11289, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 7, 31, 1, '2024-08-05 19:22:02', NULL), (11290, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 1, 1, '2024-08-05 19:22:02', NULL), (11291, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 2, 1, '2024-08-05 19:22:02', NULL), (11292, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 3, 1, '2024-08-05 19:22:02', NULL), (11293, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 4, 1, '2024-08-05 19:22:02', NULL), (11294, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 5, 1, '2024-08-05 19:22:02', NULL), (11295, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 6, 1, '2024-08-05 19:22:02', NULL), (11296, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 7, 1, '2024-08-05 19:22:02', NULL), (11297, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 8, 1, '2024-08-05 19:22:02', NULL), (11298, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 9, 1, '2024-08-05 19:22:02', NULL), (11299, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 10, 1, '2024-08-05 19:22:03', NULL), (11300, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 11, 1, '2024-08-05 19:22:03', NULL), (11301, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 12, 1, '2024-08-05 19:22:03', NULL), (11302, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 13, 1, '2024-08-05 19:22:03', NULL), (11303, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 14, 1, '2024-08-05 19:22:03', NULL), (11304, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 15, 1, '2024-08-05 19:22:03', NULL), (11305, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 16, 1, '2024-08-05 19:22:03', NULL), (11306, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 17, 1, '2024-08-05 19:22:03', NULL), (11307, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 18, 1, '2024-08-05 19:22:03', NULL), (11308, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 19, 1, '2024-08-05 19:22:03', NULL), (11309, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 20, 1, '2024-08-05 19:22:03', NULL), (11310, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 21, 1, '2024-08-05 19:22:03', NULL), (11311, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 22, 1, '2024-08-05 19:22:03', NULL), (11312, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 23, 1, '2024-08-05 19:22:03', NULL), (11313, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 24, 1, '2024-08-05 19:22:03', NULL), (11314, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 25, 1, '2024-08-05 19:22:03', NULL), (11315, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 26, 1, '2024-08-05 19:22:03', NULL), (11316, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 27, 1, '2024-08-05 19:22:03', NULL), (11317, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 28, 1, '2024-08-05 19:22:03', NULL), (11318, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 29, 1, '2024-08-05 19:22:03', NULL), (11319, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 30, 1, '2024-08-05 19:22:03', NULL), (11320, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 8, 31, 1, '2024-08-05 19:22:03', NULL), (11321, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 1, 1, '2024-08-05 19:22:03', NULL), (11322, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 2, 1, '2024-08-05 19:22:03', NULL), (11323, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 3, 1, '2024-08-05 19:22:04', NULL), (11324, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 4, 1, '2024-08-05 19:22:04', NULL), (11325, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 5, 1, '2024-08-05 19:22:04', NULL), (11326, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 6, 1, '2024-08-05 19:22:04', NULL), (11327, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 7, 1, '2024-08-05 19:22:04', NULL), (11328, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 8, 1, '2024-08-05 19:22:04', NULL), (11329, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 9, 1, '2024-08-05 19:22:04', NULL), (11330, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 10, 1, '2024-08-05 19:22:04', NULL), (11331, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 11, 1, '2024-08-05 19:22:04', NULL), (11332, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 12, 1, '2024-08-05 19:22:04', NULL), (11333, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 13, 1, '2024-08-05 19:22:04', NULL), (11334, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 14, 1, '2024-08-05 19:22:04', NULL), (11335, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 15, 1, '2024-08-05 19:22:04', NULL), (11336, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 16, 1, '2024-08-05 19:22:04', NULL), (11337, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 17, 1, '2024-08-05 19:22:04', NULL), (11338, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 18, 1, '2024-08-05 19:22:04', NULL), (11339, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 19, 1, '2024-08-05 19:22:04', NULL), (11340, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 20, 1, '2024-08-05 19:22:04', NULL), (11341, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 21, 1, '2024-08-05 19:22:04', NULL), (11342, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 22, 1, '2024-08-05 19:22:04', NULL), (11343, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 23, 1, '2024-08-05 19:22:04', NULL), (11344, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 24, 1, '2024-08-05 19:22:04', NULL), (11345, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 25, 1, '2024-08-05 19:22:04', NULL), (11346, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 26, 1, '2024-08-05 19:22:04', NULL), (11347, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 27, 1, '2024-08-05 19:22:04', NULL), (11348, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 28, 1, '2024-08-05 19:22:04', NULL), (11349, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 29, 1, '2024-08-05 19:22:05', NULL), (11350, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 9, 30, 1, '2024-08-05 19:22:05', NULL), (11351, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 1, 1, '2024-08-05 19:22:05', NULL), (11352, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 2, 1, '2024-08-05 19:22:05', NULL), (11353, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 3, 1, '2024-08-05 19:22:05', NULL), (11354, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 4, 1, '2024-08-05 19:22:05', NULL), (11355, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 5, 1, '2024-08-05 19:22:05', NULL), (11356, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 6, 1, '2024-08-05 19:22:05', NULL), (11357, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 7, 1, '2024-08-05 19:22:05', NULL), (11358, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 8, 1, '2024-08-05 19:22:05', NULL), (11359, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 9, 1, '2024-08-05 19:22:05', NULL), (11360, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 10, 1, '2024-08-05 19:22:05', NULL), (11361, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 11, 1, '2024-08-05 19:22:05', NULL), (11362, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 12, 1, '2024-08-05 19:22:05', NULL), (11363, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 13, 1, '2024-08-05 19:22:05', NULL), (11364, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 14, 1, '2024-08-05 19:22:05', NULL), (11365, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 15, 1, '2024-08-05 19:22:05', NULL), (11366, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 16, 1, '2024-08-05 19:22:05', NULL), (11367, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 17, 1, '2024-08-05 19:22:05', NULL), (11368, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 18, 1, '2024-08-05 19:22:05', NULL), (11369, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 19, 1, '2024-08-05 19:22:05', NULL), (11370, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 20, 1, '2024-08-05 19:22:05', NULL), (11371, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 21, 1, '2024-08-05 19:22:05', NULL), (11372, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 22, 1, '2024-08-05 19:22:05', NULL), (11373, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 23, 1, '2024-08-05 19:22:05', NULL), (11374, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 24, 1, '2024-08-05 19:22:05', NULL), (11375, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 25, 1, '2024-08-05 19:22:05', NULL), (11376, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 26, 1, '2024-08-05 19:22:05', NULL), (11377, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 27, 1, '2024-08-05 19:22:06', NULL), (11378, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 28, 1, '2024-08-05 19:22:06', NULL), (11379, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 29, 1, '2024-08-05 19:22:06', NULL), (11380, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 30, 1, '2024-08-05 19:22:06', NULL), (11381, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 10, 31, 1, '2024-08-05 19:22:06', NULL), (11382, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 1, 1, '2024-08-05 19:22:06', NULL), (11383, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 2, 1, '2024-08-05 19:22:06', NULL), (11384, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 3, 1, '2024-08-05 19:22:06', NULL), (11385, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 4, 1, '2024-08-05 19:22:06', NULL), (11386, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 5, 1, '2024-08-05 19:22:06', NULL), (11387, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 6, 1, '2024-08-05 19:22:06', NULL), (11388, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 7, 1, '2024-08-05 19:22:06', NULL), (11389, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 8, 1, '2024-08-05 19:22:06', NULL), (11390, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 9, 1, '2024-08-05 19:22:06', NULL), (11391, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 10, 1, '2024-08-05 19:22:06', NULL), (11392, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 11, 1, '2024-08-05 19:22:06', NULL), (11393, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 12, 1, '2024-08-05 19:22:06', NULL), (11394, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 13, 1, '2024-08-05 19:22:06', NULL), (11395, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 14, 1, '2024-08-05 19:22:06', NULL), (11396, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 15, 1, '2024-08-05 19:22:06', NULL), (11397, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 16, 1, '2024-08-05 19:22:06', NULL), (11398, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 17, 1, '2024-08-05 19:22:06', NULL), (11399, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 18, 1, '2024-08-05 19:22:06', NULL), (11400, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 19, 1, '2024-08-05 19:22:07', NULL), (11401, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 20, 1, '2024-08-05 19:22:07', NULL), (11402, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 21, 1, '2024-08-05 19:22:07', NULL), (11403, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 22, 1, '2024-08-05 19:22:07', NULL), (11404, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 23, 1, '2024-08-05 19:22:07', NULL), (11405, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 24, 1, '2024-08-05 19:22:07', NULL), (11406, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 25, 1, '2024-08-05 19:22:07', NULL), (11407, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 26, 1, '2024-08-05 19:22:07', NULL), (11408, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 27, 1, '2024-08-05 19:22:07', NULL), (11409, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 28, 1, '2024-08-05 19:22:07', NULL), (11410, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 29, 1, '2024-08-05 19:22:07', NULL), (11411, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 11, 30, 1, '2024-08-05 19:22:07', NULL), (11412, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 1, 1, '2024-08-05 19:22:07', NULL), (11413, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 2, 1, '2024-08-05 19:22:07', NULL), (11414, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 3, 1, '2024-08-05 19:22:07', NULL), (11415, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 4, 1, '2024-08-05 19:22:07', NULL), (11416, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 5, 1, '2024-08-05 19:22:07', NULL), (11417, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 6, 1, '2024-08-05 19:22:07', NULL), (11418, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 7, 1, '2024-08-05 19:22:07', NULL), (11419, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 8, 1, '2024-08-05 19:22:07', NULL), (11420, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 9, 1, '2024-08-05 19:22:07', NULL), (11421, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 10, 1, '2024-08-05 19:22:07', NULL), (11422, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 11, 1, '2024-08-05 19:22:08', NULL), (11423, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 12, 1, '2024-08-05 19:22:08', NULL), (11424, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 13, 1, '2024-08-05 19:22:08', NULL), (11425, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 14, 1, '2024-08-05 19:22:08', NULL), (11426, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 15, 1, '2024-08-05 19:22:08', NULL), (11427, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 16, 1, '2024-08-05 19:22:08', NULL), (11428, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 17, 1, '2024-08-05 19:22:08', NULL), (11429, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 18, 1, '2024-08-05 19:22:08', NULL), (11430, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 19, 1, '2024-08-05 19:22:08', NULL), (11431, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 20, 1, '2024-08-05 19:22:08', NULL), (11432, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 21, 1, '2024-08-05 19:22:08', NULL), (11433, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 22, 1, '2024-08-05 19:22:08', NULL), (11434, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 23, 1, '2024-08-05 19:22:08', NULL), (11435, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 24, 1, '2024-08-05 19:22:08', NULL), (11436, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 25, 1, '2024-08-05 19:22:08', NULL), (11437, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 26, 1, '2024-08-05 19:22:08', NULL), (11438, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 27, 1, '2024-08-05 19:22:08', NULL), (11439, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 28, 1, '2024-08-05 19:22:08', NULL), (11440, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 29, 1, '2024-08-05 19:22:08', NULL), (11441, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 30, 1, '2024-08-05 19:22:08', NULL), (11442, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2023, 12, 31, 1, '2024-08-05 19:22:08', NULL), (11443, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 1, 1, '2024-08-05 19:22:09', NULL), (11444, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 2, 1, '2024-08-05 19:22:09', NULL), (11445, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 3, 1, '2024-08-05 19:22:09', NULL), (11446, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 4, 1, '2024-08-05 19:22:09', NULL), (11447, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 5, 1, '2024-08-05 19:22:09', NULL), (11448, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 6, 1, '2024-08-05 19:22:09', NULL), (11449, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 7, 1, '2024-08-05 19:22:09', NULL), (11450, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 8, 1, '2024-08-05 19:22:09', NULL), (11451, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 9, 1, '2024-08-05 19:22:09', NULL), (11452, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 10, 1, '2024-08-05 19:22:09', NULL), (11453, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 11, 1, '2024-08-05 19:22:09', NULL), (11454, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 12, 1, '2024-08-05 19:22:09', NULL), (11455, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 13, 1, '2024-08-05 19:22:09', NULL), (11456, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 14, 1, '2024-08-05 19:22:09', NULL), (11457, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 15, 1, '2024-08-05 19:22:09', NULL), (11458, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 16, 1, '2024-08-05 19:22:09', NULL), (11459, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 17, 1, '2024-08-05 19:22:09', NULL), (11460, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 18, 1, '2024-08-05 19:22:09', NULL), (11461, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 19, 1, '2024-08-05 19:22:10', NULL), (11462, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 20, 1, '2024-08-05 19:22:10', NULL), (11463, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 21, 1, '2024-08-05 19:22:10', NULL), (11464, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 22, 1, '2024-08-05 19:22:10', NULL), (11465, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 23, 1, '2024-08-05 19:22:10', NULL), (11466, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 24, 1, '2024-08-05 19:22:10', NULL), (11467, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 25, 1, '2024-08-05 19:22:10', NULL), (11468, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 26, 1, '2024-08-05 19:22:10', NULL), (11469, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 27, 1, '2024-08-05 19:22:10', NULL), (11470, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 28, 1, '2024-08-05 19:22:10', NULL), (11471, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 29, 1, '2024-08-05 19:22:10', NULL), (11472, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 30, 1, '2024-08-05 19:22:10', NULL), (11473, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 1, 31, 1, '2024-08-05 19:22:10', NULL), (11474, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 1, 1, '2024-08-05 19:22:10', NULL), (11475, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 2, 1, '2024-08-05 19:22:10', NULL), (11476, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 3, 1, '2024-08-05 19:22:10', NULL), (11477, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 4, 1, '2024-08-05 19:22:10', NULL), (11478, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 5, 1, '2024-08-05 19:22:11', NULL), (11479, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 6, 1, '2024-08-05 19:22:11', NULL), (11480, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 7, 1, '2024-08-05 19:22:11', NULL), (11481, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 8, 1, '2024-08-05 19:22:11', NULL), (11482, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 9, 1, '2024-08-05 19:22:11', NULL), (11483, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 10, 1, '2024-08-05 19:22:11', NULL), (11484, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 11, 1, '2024-08-05 19:22:11', NULL), (11485, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 12, 1, '2024-08-05 19:22:11', NULL), (11486, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 13, 1, '2024-08-05 19:22:11', NULL), (11487, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 14, 1, '2024-08-05 19:22:11', NULL), (11488, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 15, 1, '2024-08-05 19:22:11', NULL), (11489, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 16, 1, '2024-08-05 19:22:11', NULL), (11490, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 17, 1, '2024-08-05 19:22:11', NULL), (11491, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 18, 1, '2024-08-05 19:22:11', NULL), (11492, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 19, 1, '2024-08-05 19:22:11', NULL), (11493, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 20, 1, '2024-08-05 19:22:11', NULL), (11494, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 21, 1, '2024-08-05 19:22:11', NULL), (11495, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 22, 1, '2024-08-05 19:22:11', NULL), (11496, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 23, 1, '2024-08-05 19:22:12', NULL), (11497, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 24, 1, '2024-08-05 19:22:12', NULL), (11498, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 25, 1, '2024-08-05 19:22:12', NULL), (11499, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 26, 1, '2024-08-05 19:22:12', NULL), (11500, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 27, 1, '2024-08-05 19:22:12', NULL), (11501, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 28, 1, '2024-08-05 19:22:12', NULL), (11502, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 2, 29, 1, '2024-08-05 19:22:12', NULL), (11503, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 1, 1, '2024-08-05 19:22:12', NULL), (11504, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 2, 1, '2024-08-05 19:22:12', NULL), (11505, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 3, 1, '2024-08-05 19:22:12', NULL), (11506, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 4, 1, '2024-08-05 19:22:12', NULL), (11507, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 5, 1, '2024-08-05 19:22:12', NULL), (11508, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 6, 1, '2024-08-05 19:22:12', NULL), (11509, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 7, 1, '2024-08-05 19:22:12', NULL), (11510, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 8, 1, '2024-08-05 19:22:12', NULL), (11511, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 9, 1, '2024-08-05 19:22:12', NULL), (11512, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 10, 1, '2024-08-05 19:22:12', NULL), (11513, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 11, 1, '2024-08-05 19:22:13', NULL), (11514, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 12, 1, '2024-08-05 19:22:13', NULL), (11515, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 13, 1, '2024-08-05 19:22:13', NULL), (11516, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 14, 1, '2024-08-05 19:22:13', NULL), (11517, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 15, 1, '2024-08-05 19:22:13', NULL), (11518, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 16, 1, '2024-08-05 19:22:13', NULL), (11519, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 17, 1, '2024-08-05 19:22:13', NULL), (11520, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 18, 1, '2024-08-05 19:22:13', NULL), (11521, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 19, 1, '2024-08-05 19:22:13', NULL), (11522, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 20, 1, '2024-08-05 19:22:13', NULL), (11523, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 21, 1, '2024-08-05 19:22:13', NULL), (11524, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 22, 1, '2024-08-05 19:22:13', NULL), (11525, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 23, 1, '2024-08-05 19:22:13', NULL), (11526, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 24, 1, '2024-08-05 19:22:13', NULL), (11527, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 25, 1, '2024-08-05 19:22:13', NULL), (11528, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 26, 1, '2024-08-05 19:22:13', NULL), (11529, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 27, 1, '2024-08-05 19:22:14', NULL), (11530, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 28, 1, '2024-08-05 19:22:14', NULL), (11531, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 29, 1, '2024-08-05 19:22:14', NULL), (11532, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 30, 1, '2024-08-05 19:22:14', NULL), (11533, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 3, 31, 1, '2024-08-05 19:22:14', NULL), (11534, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 1, 1, '2024-08-05 19:22:14', NULL), (11535, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 2, 1, '2024-08-05 19:22:14', NULL), (11536, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 3, 1, '2024-08-05 19:22:14', NULL), (11537, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 4, 1, '2024-08-05 19:22:14', NULL), (11538, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 5, 1, '2024-08-05 19:22:14', NULL), (11539, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 6, 1, '2024-08-05 19:22:14', NULL), (11540, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 7, 1, '2024-08-05 19:22:14', NULL), (11541, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 8, 1, '2024-08-05 19:22:14', NULL), (11542, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 9, 1, '2024-08-05 19:22:14', NULL), (11543, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 10, 1, '2024-08-05 19:22:14', NULL), (11544, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 11, 1, '2024-08-05 19:22:15', NULL), (11545, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 12, 1, '2024-08-05 19:22:15', NULL), (11546, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 13, 1, '2024-08-05 19:22:15', NULL), (11547, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 14, 1, '2024-08-05 19:22:15', NULL), (11548, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 15, 1, '2024-08-05 19:22:15', NULL), (11549, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 16, 1, '2024-08-05 19:22:15', NULL), (11550, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 17, 1, '2024-08-05 19:22:15', NULL), (11551, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 18, 1, '2024-08-05 19:22:15', NULL), (11552, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 19, 1, '2024-08-05 19:22:15', NULL), (11553, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 20, 1, '2024-08-05 19:22:15', NULL), (11554, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 21, 1, '2024-08-05 19:22:15', NULL), (11555, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 22, 1, '2024-08-05 19:22:15', NULL), (11556, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 23, 1, '2024-08-05 19:22:15', NULL), (11557, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 24, 1, '2024-08-05 19:22:15', NULL), (11558, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 25, 1, '2024-08-05 19:22:15', NULL), (11559, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 26, 1, '2024-08-05 19:22:15', NULL), (11560, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 27, 1, '2024-08-05 19:22:16', NULL), (11561, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 28, 1, '2024-08-05 19:22:16', NULL), (11562, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 29, 1, '2024-08-05 19:22:16', NULL), (11563, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 4, 30, 1, '2024-08-05 19:22:16', NULL), (11564, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 1, 1, '2024-08-05 19:22:16', NULL), (11565, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 2, 1, '2024-08-05 19:22:16', NULL), (11566, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 3, 1, '2024-08-05 19:22:16', NULL), (11567, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 4, 1, '2024-08-05 19:22:16', NULL), (11568, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 5, 1, '2024-08-05 19:22:16', NULL), (11569, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 6, 1, '2024-08-05 19:22:16', NULL), (11570, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 7, 1, '2024-08-05 19:22:16', NULL), (11571, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 8, 1, '2024-08-05 19:22:16', NULL), (11572, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 9, 1, '2024-08-05 19:22:16', NULL), (11573, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 10, 1, '2024-08-05 19:22:16', NULL), (11574, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 11, 1, '2024-08-05 19:22:16', NULL), (11575, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 12, 1, '2024-08-05 19:22:16', NULL), (11576, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 13, 1, '2024-08-05 19:22:17', NULL), (11577, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 14, 1, '2024-08-05 19:22:17', NULL), (11578, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 15, 1, '2024-08-05 19:22:17', NULL), (11579, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 16, 1, '2024-08-05 19:22:17', NULL), (11580, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 17, 1, '2024-08-05 19:22:17', NULL), (11581, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 18, 1, '2024-08-05 19:22:17', NULL), (11582, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 19, 1, '2024-08-05 19:22:17', NULL), (11583, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 20, 1, '2024-08-05 19:22:17', NULL), (11584, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 21, 1, '2024-08-05 19:22:17', NULL), (11585, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 22, 1, '2024-08-05 19:22:17', NULL), (11586, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 23, 1, '2024-08-05 19:22:17', NULL), (11587, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 24, 1, '2024-08-05 19:22:17', NULL), (11588, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 25, 1, '2024-08-05 19:22:17', NULL), (11589, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 26, 1, '2024-08-05 19:22:17', NULL), (11590, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 27, 1, '2024-08-05 19:22:17', NULL), (11591, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 28, 1, '2024-08-05 19:22:18', NULL), (11592, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 29, 1, '2024-08-05 19:22:18', NULL), (11593, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 30, 1, '2024-08-05 19:22:18', NULL), (11594, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 5, 31, 1, '2024-08-05 19:22:18', NULL), (11595, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 1, 1, '2024-08-05 19:22:18', NULL), (11596, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 2, 1, '2024-08-05 19:22:18', NULL), (11597, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 3, 1, '2024-08-05 19:22:18', NULL), (11598, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 4, 1, '2024-08-05 19:22:18', NULL), (11599, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 5, 1, '2024-08-05 19:22:18', NULL), (11600, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 6, 1, '2024-08-05 19:22:18', NULL), (11601, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 7, 1, '2024-08-05 19:22:18', NULL), (11602, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 8, 1, '2024-08-05 19:22:18', NULL), (11603, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 9, 1, '2024-08-05 19:22:18', NULL), (11604, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 10, 1, '2024-08-05 19:22:18', NULL), (11605, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 11, 1, '2024-08-05 19:22:19', NULL), (11606, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 12, 1, '2024-08-05 19:22:19', NULL), (11607, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 13, 1, '2024-08-05 19:22:19', NULL), (11608, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 14, 1, '2024-08-05 19:22:19', NULL), (11609, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 15, 1, '2024-08-05 19:22:19', NULL), (11610, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 16, 1, '2024-08-05 19:22:19', NULL), (11611, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 17, 1, '2024-08-05 19:22:19', NULL), (11612, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 18, 1, '2024-08-05 19:22:19', NULL), (11613, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 19, 1, '2024-08-05 19:22:19', NULL), (11614, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 20, 1, '2024-08-05 19:22:19', NULL), (11615, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 21, 1, '2024-08-05 19:22:19', NULL), (11616, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 22, 1, '2024-08-05 19:22:19', NULL), (11617, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 23, 1, '2024-08-05 19:22:19', NULL), (11618, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 24, 1, '2024-08-05 19:22:19', NULL), (11619, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 25, 1, '2024-08-05 19:22:20', NULL), (11620, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 26, 1, '2024-08-05 19:22:20', NULL), (11621, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 27, 1, '2024-08-05 19:22:20', NULL), (11622, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 28, 1, '2024-08-05 19:22:20', NULL), (11623, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 29, 1, '2024-08-05 19:22:20', NULL), (11624, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 6, 30, 1, '2024-08-05 19:22:20', NULL), (11625, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 1, 1, '2024-08-05 19:22:20', NULL), (11626, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 2, 1, '2024-08-05 19:22:20', NULL), (11627, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 3, 1, '2024-08-05 19:22:20', NULL), (11628, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 4, 1, '2024-08-05 19:22:20', NULL), (11629, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 5, 1, '2024-08-05 19:22:20', NULL), (11630, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 6, 1, '2024-08-05 19:22:20', NULL), (11631, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 7, 1, '2024-08-05 19:22:20', NULL), (11632, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 8, 1, '2024-08-05 19:22:21', NULL), (11633, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 9, 1, '2024-08-05 19:22:21', NULL), (11634, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 10, 1, '2024-08-05 19:22:21', NULL), (11635, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 11, 1, '2024-08-05 19:22:21', NULL), (11636, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 12, 1, '2024-08-05 19:22:21', NULL), (11637, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 13, 1, '2024-08-05 19:22:21', NULL), (11638, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 14, 1, '2024-08-05 19:22:21', NULL), (11639, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 15, 1, '2024-08-05 19:22:21', NULL), (11640, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 16, 1, '2024-08-05 19:22:21', NULL), (11641, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 17, 1, '2024-08-05 19:22:21', NULL), (11642, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 18, 1, '2024-08-05 19:22:21', NULL), (11643, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 19, 1, '2024-08-05 19:22:22', NULL), (11644, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 20, 1, '2024-08-05 19:22:22', NULL), (11645, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 21, 1, '2024-08-05 19:22:22', NULL), (11646, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 22, 1, '2024-08-05 19:22:22', NULL), (11647, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 23, 1, '2024-08-05 19:22:22', NULL), (11648, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 24, 1, '2024-08-05 19:22:22', NULL), (11649, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 25, 1, '2024-08-05 19:22:22', NULL), (11650, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 26, 1, '2024-08-05 19:22:22', NULL), (11651, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 27, 1, '2024-08-05 19:22:22', NULL), (11652, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 28, 1, '2024-08-05 19:22:22', NULL), (11653, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 29, 1, '2024-08-05 19:22:23', NULL), (11654, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 30, 1, '2024-08-05 19:22:23', NULL), (11655, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 7, 31, 1, '2024-08-05 19:22:23', NULL), (11656, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 1, 1, '2024-08-05 19:22:23', '2024-08-05 22:12:33'), (11657, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 2, 1, '2024-08-05 19:22:23', '2024-08-06 02:20:04'), (11658, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 3, 1, '2024-08-05 19:22:23', '2024-08-07 01:30:03'), (11659, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 4, 1, '2024-08-05 19:22:23', '2024-08-08 01:30:02'), (11660, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 5, 1, '2024-08-05 19:22:23', '2024-08-09 01:30:02'), (11661, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 1, 1, '2024-08-05 19:34:08', NULL), (11662, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 2, 1, '2024-08-05 19:34:08', NULL), (11663, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 3, 1, '2024-08-05 19:34:08', NULL), (11664, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 4, 1, '2024-08-05 19:34:08', NULL), (11665, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 5, 1, '2024-08-05 19:34:08', NULL), (11666, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 6, 1, '2024-08-05 19:34:08', NULL), (11667, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 7, 1, '2024-08-05 19:34:08', NULL), (11668, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 8, 1, '2024-08-05 19:34:08', NULL), (11669, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 9, 1, '2024-08-05 19:34:08', NULL), (11670, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 10, 1, '2024-08-05 19:34:08', NULL), (11671, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 11, 1, '2024-08-05 19:34:08', NULL), (11672, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 12, 1, '2024-08-05 19:34:08', NULL), (11673, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 13, 1, '2024-08-05 19:34:08', NULL), (11674, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 14, 1, '2024-08-05 19:34:08', NULL), (11675, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 15, 1, '2024-08-05 19:34:08', NULL), (11676, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 16, 1, '2024-08-05 19:34:08', NULL), (11677, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 17, 1, '2024-08-05 19:34:08', NULL), (11678, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 18, 1, '2024-08-05 19:34:09', NULL), (11679, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 19, 1, '2024-08-05 19:34:09', NULL), (11680, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 20, 1, '2024-08-05 19:34:09', NULL), (11681, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 21, 1, '2024-08-05 19:34:09', NULL), (11682, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 22, 1, '2024-08-05 19:34:09', NULL), (11683, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 23, 1, '2024-08-05 19:34:09', NULL), (11684, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 24, 1, '2024-08-05 19:34:09', NULL), (11685, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 25, 1, '2024-08-05 19:34:09', NULL), (11686, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 26, 1, '2024-08-05 19:34:09', NULL), (11687, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 27, 1, '2024-08-05 19:34:09', NULL), (11688, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 28, 1, '2024-08-05 19:34:09', NULL), (11689, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 29, 1, '2024-08-05 19:34:09', NULL), (11690, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 30, 1, '2024-08-05 19:34:09', NULL), (11691, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 1, 31, 1, '2024-08-05 19:34:09', NULL), (11692, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 1, 1, '2024-08-05 19:34:09', NULL), (11693, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 2, 1, '2024-08-05 19:34:09', NULL), (11694, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 3, 1, '2024-08-05 19:34:09', NULL), (11695, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 4, 1, '2024-08-05 19:34:09', NULL), (11696, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 5, 1, '2024-08-05 19:34:09', NULL), (11697, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 6, 1, '2024-08-05 19:34:09', NULL), (11698, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 7, 1, '2024-08-05 19:34:09', NULL), (11699, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 8, 1, '2024-08-05 19:34:09', NULL), (11700, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 9, 1, '2024-08-05 19:34:09', NULL), (11701, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 10, 1, '2024-08-05 19:34:10', NULL), (11702, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 11, 1, '2024-08-05 19:34:10', NULL), (11703, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 12, 1, '2024-08-05 19:34:10', NULL), (11704, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 13, 1, '2024-08-05 19:34:10', NULL), (11705, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 14, 1, '2024-08-05 19:34:10', NULL), (11706, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 15, 1, '2024-08-05 19:34:10', NULL), (11707, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 16, 1, '2024-08-05 19:34:10', NULL), (11708, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 17, 1, '2024-08-05 19:34:10', NULL), (11709, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 18, 1, '2024-08-05 19:34:10', NULL), (11710, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 19, 1, '2024-08-05 19:34:10', NULL), (11711, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 20, 1, '2024-08-05 19:34:10', NULL), (11712, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 21, 1, '2024-08-05 19:34:10', NULL), (11713, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 22, 1, '2024-08-05 19:34:10', NULL), (11714, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 23, 1, '2024-08-05 19:34:10', NULL), (11715, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 24, 1, '2024-08-05 19:34:10', NULL), (11716, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 25, 1, '2024-08-05 19:34:10', NULL), (11717, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 26, 1, '2024-08-05 19:34:10', NULL), (11718, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 27, 1, '2024-08-05 19:34:10', NULL), (11719, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 2, 28, 1, '2024-08-05 19:34:10', NULL), (11720, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 1, 1, '2024-08-05 19:34:10', NULL), (11721, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 2, 1, '2024-08-05 19:34:10', NULL), (11722, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 3, 1, '2024-08-05 19:34:10', NULL), (11723, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 4, 1, '2024-08-05 19:34:11', NULL), (11724, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 5, 1, '2024-08-05 19:34:11', NULL), (11725, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 6, 1, '2024-08-05 19:34:11', NULL), (11726, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 7, 1, '2024-08-05 19:34:11', NULL), (11727, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 8, 1, '2024-08-05 19:34:11', NULL), (11728, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 9, 1, '2024-08-05 19:34:11', NULL), (11729, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 10, 1, '2024-08-05 19:34:11', NULL), (11730, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 11, 1, '2024-08-05 19:34:11', NULL), (11731, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 12, 1, '2024-08-05 19:34:11', NULL), (11732, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 13, 1, '2024-08-05 19:34:11', NULL), (11733, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 14, 1, '2024-08-05 19:34:11', NULL), (11734, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 15, 1, '2024-08-05 19:34:11', NULL), (11735, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 16, 1, '2024-08-05 19:34:11', NULL), (11736, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 17, 1, '2024-08-05 19:34:11', NULL), (11737, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 18, 1, '2024-08-05 19:34:11', NULL), (11738, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 19, 1, '2024-08-05 19:34:11', NULL), (11739, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 20, 1, '2024-08-05 19:34:11', NULL), (11740, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 21, 1, '2024-08-05 19:34:11', NULL), (11741, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 22, 1, '2024-08-05 19:34:11', NULL), (11742, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 23, 1, '2024-08-05 19:34:11', NULL), (11743, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 24, 1, '2024-08-05 19:34:11', NULL), (11744, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 25, 1, '2024-08-05 19:34:12', NULL), (11745, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 26, 1, '2024-08-05 19:34:12', NULL), (11746, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 27, 1, '2024-08-05 19:34:12', NULL), (11747, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 28, 1, '2024-08-05 19:34:12', NULL), (11748, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 29, 1, '2024-08-05 19:34:12', NULL), (11749, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 30, 1, '2024-08-05 19:34:12', NULL), (11750, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 3, 31, 1, '2024-08-05 19:34:12', NULL), (11751, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 1, 1, '2024-08-05 19:34:12', NULL), (11752, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 2, 1, '2024-08-05 19:34:12', NULL), (11753, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 3, 1, '2024-08-05 19:34:12', NULL), (11754, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 4, 1, '2024-08-05 19:34:12', NULL), (11755, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 5, 1, '2024-08-05 19:34:12', NULL), (11756, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 6, 1, '2024-08-05 19:34:12', NULL), (11757, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 7, 1, '2024-08-05 19:34:12', NULL), (11758, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 8, 1, '2024-08-05 19:34:12', NULL), (11759, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 9, 1, '2024-08-05 19:34:12', NULL), (11760, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 10, 1, '2024-08-05 19:34:12', NULL), (11761, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 11, 1, '2024-08-05 19:34:12', NULL), (11762, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 12, 1, '2024-08-05 19:34:12', NULL), (11763, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 13, 1, '2024-08-05 19:34:12', NULL), (11764, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 14, 1, '2024-08-05 19:34:13', NULL), (11765, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 15, 1, '2024-08-05 19:34:13', NULL), (11766, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 16, 1, '2024-08-05 19:34:13', NULL), (11767, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 17, 1, '2024-08-05 19:34:13', NULL), (11768, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 18, 1, '2024-08-05 19:34:13', NULL), (11769, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 19, 1, '2024-08-05 19:34:13', NULL), (11770, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 20, 1, '2024-08-05 19:34:13', NULL), (11771, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 21, 1, '2024-08-05 19:34:13', NULL), (11772, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 22, 1, '2024-08-05 19:34:13', NULL), (11773, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 23, 1, '2024-08-05 19:34:13', NULL), (11774, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 24, 1, '2024-08-05 19:34:13', NULL), (11775, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 25, 1, '2024-08-05 19:34:13', NULL), (11776, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 26, 1, '2024-08-05 19:34:13', NULL), (11777, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 27, 1, '2024-08-05 19:34:13', NULL), (11778, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 28, 1, '2024-08-05 19:34:13', NULL), (11779, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 29, 1, '2024-08-05 19:34:13', NULL), (11780, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 4, 30, 1, '2024-08-05 19:34:13', NULL), (11781, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 1, 1, '2024-08-05 19:34:13', NULL), (11782, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 2, 1, '2024-08-05 19:34:13', NULL), (11783, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 3, 1, '2024-08-05 19:34:13', NULL), (11784, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 4, 1, '2024-08-05 19:34:13', NULL), (11785, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 5, 1, '2024-08-05 19:34:14', NULL), (11786, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 6, 1, '2024-08-05 19:34:14', NULL), (11787, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 7, 1, '2024-08-05 19:34:14', NULL), (11788, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 8, 1, '2024-08-05 19:34:14', NULL), (11789, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 9, 1, '2024-08-05 19:34:14', NULL), (11790, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 10, 1, '2024-08-05 19:34:14', NULL), (11791, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 11, 1, '2024-08-05 19:34:14', NULL), (11792, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 12, 1, '2024-08-05 19:34:14', NULL), (11793, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 13, 1, '2024-08-05 19:34:14', NULL), (11794, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 14, 1, '2024-08-05 19:34:14', NULL), (11795, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 15, 1, '2024-08-05 19:34:14', NULL), (11796, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 16, 1, '2024-08-05 19:34:14', NULL), (11797, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 17, 1, '2024-08-05 19:34:14', NULL), (11798, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 18, 1, '2024-08-05 19:34:14', NULL), (11799, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 19, 1, '2024-08-05 19:34:14', NULL), (11800, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 20, 1, '2024-08-05 19:34:14', NULL), (11801, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 21, 1, '2024-08-05 19:34:14', NULL), (11802, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 22, 1, '2024-08-05 19:34:14', NULL), (11803, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 23, 1, '2024-08-05 19:34:14', NULL), (11804, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 24, 1, '2024-08-05 19:34:14', NULL), (11805, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 25, 1, '2024-08-05 19:34:15', NULL), (11806, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 26, 1, '2024-08-05 19:34:15', NULL), (11807, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 27, 1, '2024-08-05 19:34:15', NULL), (11808, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 28, 1, '2024-08-05 19:34:15', NULL), (11809, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 29, 1, '2024-08-05 19:34:15', NULL), (11810, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 30, 1, '2024-08-05 19:34:15', NULL), (11811, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 5, 31, 1, '2024-08-05 19:34:15', NULL), (11812, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 1, 1, '2024-08-05 19:34:15', NULL), (11813, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 2, 1, '2024-08-05 19:34:15', NULL), (11814, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 3, 1, '2024-08-05 19:34:15', NULL), (11815, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 4, 1, '2024-08-05 19:34:15', NULL), (11816, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 5, 1, '2024-08-05 19:34:15', NULL), (11817, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 6, 1, '2024-08-05 19:34:15', NULL), (11818, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 7, 1, '2024-08-05 19:34:15', NULL), (11819, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 8, 1, '2024-08-05 19:34:15', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (11820, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 9, 1, '2024-08-05 19:34:15', NULL), (11821, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 10, 1, '2024-08-05 19:34:15', NULL), (11822, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 11, 1, '2024-08-05 19:34:15', NULL), (11823, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 12, 1, '2024-08-05 19:34:15', NULL), (11824, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 13, 1, '2024-08-05 19:34:15', NULL), (11825, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 14, 1, '2024-08-05 19:34:16', NULL), (11826, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 15, 1, '2024-08-05 19:34:16', NULL), (11827, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 16, 1, '2024-08-05 19:34:16', NULL), (11828, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 17, 1, '2024-08-05 19:34:16', NULL), (11829, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 18, 1, '2024-08-05 19:34:16', NULL), (11830, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 19, 1, '2024-08-05 19:34:16', NULL), (11831, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 20, 1, '2024-08-05 19:34:16', NULL), (11832, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 21, 1, '2024-08-05 19:34:16', NULL), (11833, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 22, 1, '2024-08-05 19:34:16', NULL), (11834, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 23, 1, '2024-08-05 19:34:16', NULL), (11835, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 24, 1, '2024-08-05 19:34:16', NULL), (11836, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 25, 1, '2024-08-05 19:34:16', NULL), (11837, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 26, 1, '2024-08-05 19:34:16', NULL), (11838, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 27, 1, '2024-08-05 19:34:16', NULL), (11839, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 28, 1, '2024-08-05 19:34:16', NULL), (11840, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 29, 1, '2024-08-05 19:34:16', NULL), (11841, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 6, 30, 1, '2024-08-05 19:34:16', NULL), (11842, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 1, 1, '2024-08-05 19:34:16', NULL), (11843, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 2, 1, '2024-08-05 19:34:16', NULL), (11844, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 3, 1, '2024-08-05 19:34:17', NULL), (11845, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 4, 1, '2024-08-05 19:34:17', NULL), (11846, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 5, 1, '2024-08-05 19:34:17', NULL), (11847, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 6, 1, '2024-08-05 19:34:17', NULL), (11848, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 7, 1, '2024-08-05 19:34:17', NULL), (11849, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 8, 1, '2024-08-05 19:34:17', NULL), (11850, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 9, 1, '2024-08-05 19:34:17', NULL), (11851, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 10, 1, '2024-08-05 19:34:17', NULL), (11852, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 11, 1, '2024-08-05 19:34:17', NULL), (11853, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 12, 1, '2024-08-05 19:34:17', NULL), (11854, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 13, 1, '2024-08-05 19:34:17', NULL), (11855, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 14, 1, '2024-08-05 19:34:17', NULL), (11856, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 15, 1, '2024-08-05 19:34:17', NULL), (11857, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 16, 1, '2024-08-05 19:34:17', NULL), (11858, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 17, 1, '2024-08-05 19:34:17', NULL), (11859, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 18, 1, '2024-08-05 19:34:17', NULL), (11860, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 19, 1, '2024-08-05 19:34:17', NULL), (11861, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 20, 1, '2024-08-05 19:34:17', NULL), (11862, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 21, 1, '2024-08-05 19:34:17', NULL), (11863, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 22, 1, '2024-08-05 19:34:17', NULL), (11864, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 23, 1, '2024-08-05 19:34:18', NULL), (11865, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 24, 1, '2024-08-05 19:34:18', NULL), (11866, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 25, 1, '2024-08-05 19:34:18', NULL), (11867, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 26, 1, '2024-08-05 19:34:18', NULL), (11868, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 27, 1, '2024-08-05 19:34:18', NULL), (11869, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 28, 1, '2024-08-05 19:34:18', NULL), (11870, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 29, 1, '2024-08-05 19:34:18', NULL), (11871, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 30, 1, '2024-08-05 19:34:18', NULL), (11872, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 7, 31, 1, '2024-08-05 19:34:18', NULL), (11873, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 1, 1, '2024-08-05 19:34:18', NULL), (11874, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 2, 1, '2024-08-05 19:34:18', NULL), (11875, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 3, 1, '2024-08-05 19:34:18', NULL), (11876, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 4, 1, '2024-08-05 19:34:18', NULL), (11877, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 5, 1, '2024-08-05 19:34:18', NULL), (11878, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 6, 1, '2024-08-05 19:34:18', NULL), (11879, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 7, 1, '2024-08-05 19:34:18', NULL), (11880, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 8, 1, '2024-08-05 19:34:18', NULL), (11881, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 9, 1, '2024-08-05 19:34:18', NULL), (11882, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 10, 1, '2024-08-05 19:34:18', NULL), (11883, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 11, 1, '2024-08-05 19:34:18', NULL), (11884, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 12, 1, '2024-08-05 19:34:19', NULL), (11885, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 13, 1, '2024-08-05 19:34:19', NULL), (11886, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 14, 1, '2024-08-05 19:34:19', NULL), (11887, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 15, 1, '2024-08-05 19:34:19', NULL), (11888, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 16, 1, '2024-08-05 19:34:19', NULL), (11889, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 17, 1, '2024-08-05 19:34:19', NULL), (11890, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 18, 1, '2024-08-05 19:34:19', NULL), (11891, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 19, 1, '2024-08-05 19:34:19', NULL), (11892, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 20, 1, '2024-08-05 19:34:19', NULL), (11893, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 21, 1, '2024-08-05 19:34:19', NULL), (11894, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 22, 1, '2024-08-05 19:34:19', NULL), (11895, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 23, 1, '2024-08-05 19:34:19', NULL), (11896, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 24, 1, '2024-08-05 19:34:19', NULL), (11897, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 25, 1, '2024-08-05 19:34:19', NULL), (11898, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 26, 1, '2024-08-05 19:34:19', NULL), (11899, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 27, 1, '2024-08-05 19:34:19', NULL), (11900, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 28, 1, '2024-08-05 19:34:19', NULL), (11901, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 29, 1, '2024-08-05 19:34:19', NULL), (11902, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 30, 1, '2024-08-05 19:34:19', NULL), (11903, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 8, 31, 1, '2024-08-05 19:34:19', NULL), (11904, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 1, 1, '2024-08-05 19:34:19', NULL), (11905, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 2, 1, '2024-08-05 19:34:19', NULL), (11906, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 3, 1, '2024-08-05 19:34:19', NULL), (11907, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 4, 1, '2024-08-05 19:34:19', NULL), (11908, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 5, 1, '2024-08-05 19:34:20', NULL), (11909, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 6, 1, '2024-08-05 19:34:20', NULL), (11910, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 7, 1, '2024-08-05 19:34:20', NULL), (11911, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 8, 1, '2024-08-05 19:34:20', NULL), (11912, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 9, 1, '2024-08-05 19:34:20', NULL), (11913, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 10, 1, '2024-08-05 19:34:20', NULL), (11914, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 11, 1, '2024-08-05 19:34:20', NULL), (11915, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 12, 1, '2024-08-05 19:34:20', NULL), (11916, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 13, 1, '2024-08-05 19:34:20', NULL), (11917, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 14, 1, '2024-08-05 19:34:20', NULL), (11918, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 15, 1, '2024-08-05 19:34:20', NULL), (11919, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 16, 1, '2024-08-05 19:34:20', NULL), (11920, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 17, 1, '2024-08-05 19:34:20', NULL), (11921, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 18, 1, '2024-08-05 19:34:20', NULL), (11922, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 19, 1, '2024-08-05 19:34:20', NULL), (11923, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 20, 1, '2024-08-05 19:34:20', NULL), (11924, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 21, 1, '2024-08-05 19:34:20', NULL), (11925, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 22, 1, '2024-08-05 19:34:20', NULL), (11926, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 23, 1, '2024-08-05 19:34:20', NULL), (11927, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 24, 1, '2024-08-05 19:34:20', NULL), (11928, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 25, 1, '2024-08-05 19:34:20', NULL), (11929, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 26, 1, '2024-08-05 19:34:20', NULL), (11930, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 27, 1, '2024-08-05 19:34:20', NULL), (11931, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 28, 1, '2024-08-05 19:34:20', NULL), (11932, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 29, 1, '2024-08-05 19:34:20', NULL), (11933, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 9, 30, 1, '2024-08-05 19:34:21', NULL), (11934, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 1, 1, '2024-08-05 19:34:21', NULL), (11935, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 2, 1, '2024-08-05 19:34:21', NULL), (11936, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 3, 1, '2024-08-05 19:34:21', NULL), (11937, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 4, 1, '2024-08-05 19:34:21', NULL), (11938, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 5, 1, '2024-08-05 19:34:21', NULL), (11939, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 6, 1, '2024-08-05 19:34:21', NULL), (11940, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 7, 1, '2024-08-05 19:34:21', NULL), (11941, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 8, 1, '2024-08-05 19:34:21', NULL), (11942, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 9, 1, '2024-08-05 19:34:21', NULL), (11943, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 10, 1, '2024-08-05 19:34:21', NULL), (11944, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 11, 1, '2024-08-05 19:34:21', NULL), (11945, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 12, 1, '2024-08-05 19:34:21', NULL), (11946, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 13, 1, '2024-08-05 19:34:21', NULL), (11947, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 14, 1, '2024-08-05 19:34:21', NULL), (11948, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 15, 1, '2024-08-05 19:34:21', NULL), (11949, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 16, 1, '2024-08-05 19:34:21', NULL), (11950, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 17, 1, '2024-08-05 19:34:21', NULL), (11951, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 18, 1, '2024-08-05 19:34:21', NULL), (11952, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 19, 1, '2024-08-05 19:34:21', NULL), (11953, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 20, 1, '2024-08-05 19:34:21', NULL), (11954, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 21, 1, '2024-08-05 19:34:21', NULL), (11955, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 22, 1, '2024-08-05 19:34:21', NULL), (11956, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 23, 1, '2024-08-05 19:34:21', NULL), (11957, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 24, 1, '2024-08-05 19:34:21', NULL), (11958, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 25, 1, '2024-08-05 19:34:21', NULL), (11959, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 26, 1, '2024-08-05 19:34:21', NULL), (11960, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 27, 1, '2024-08-05 19:34:22', NULL), (11961, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 28, 1, '2024-08-05 19:34:22', NULL), (11962, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 29, 1, '2024-08-05 19:34:22', NULL), (11963, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 30, 1, '2024-08-05 19:34:22', NULL), (11964, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 10, 31, 1, '2024-08-05 19:34:22', NULL), (11965, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 1, 1, '2024-08-05 19:34:22', NULL), (11966, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 2, 1, '2024-08-05 19:34:22', NULL), (11967, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 3, 1, '2024-08-05 19:34:22', NULL), (11968, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 4, 1, '2024-08-05 19:34:22', NULL), (11969, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 5, 1, '2024-08-05 19:34:22', NULL), (11970, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 6, 1, '2024-08-05 19:34:22', NULL), (11971, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 7, 1, '2024-08-05 19:34:22', NULL), (11972, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 8, 1, '2024-08-05 19:34:22', NULL), (11973, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 9, 1, '2024-08-05 19:34:22', NULL), (11974, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 10, 1, '2024-08-05 19:34:22', NULL), (11975, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 11, 1, '2024-08-05 19:34:22', NULL), (11976, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 12, 1, '2024-08-05 19:34:22', NULL), (11977, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 13, 1, '2024-08-05 19:34:22', NULL), (11978, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 14, 1, '2024-08-05 19:34:22', NULL), (11979, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 15, 1, '2024-08-05 19:34:22', NULL), (11980, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 16, 1, '2024-08-05 19:34:22', NULL), (11981, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 17, 1, '2024-08-05 19:34:22', NULL), (11982, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 18, 1, '2024-08-05 19:34:22', NULL), (11983, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 19, 1, '2024-08-05 19:34:23', NULL), (11984, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 20, 1, '2024-08-05 19:34:23', NULL), (11985, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 21, 1, '2024-08-05 19:34:23', NULL), (11986, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 22, 1, '2024-08-05 19:34:23', NULL), (11987, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 23, 1, '2024-08-05 19:34:23', NULL), (11988, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 24, 1, '2024-08-05 19:34:23', NULL), (11989, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 25, 1, '2024-08-05 19:34:23', NULL), (11990, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 26, 1, '2024-08-05 19:34:23', NULL), (11991, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 27, 1, '2024-08-05 19:34:23', NULL), (11992, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 28, 1, '2024-08-05 19:34:23', NULL), (11993, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 29, 1, '2024-08-05 19:34:23', NULL), (11994, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 11, 30, 1, '2024-08-05 19:34:23', NULL), (11995, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 1, 1, '2024-08-05 19:34:23', NULL), (11996, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 2, 1, '2024-08-05 19:34:23', NULL), (11997, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 3, 1, '2024-08-05 19:34:23', NULL), (11998, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 4, 1, '2024-08-05 19:34:23', NULL), (11999, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 5, 1, '2024-08-05 19:34:23', NULL), (12000, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 6, 1, '2024-08-05 19:34:23', NULL), (12001, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 7, 1, '2024-08-05 19:34:23', NULL), (12002, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 8, 1, '2024-08-05 19:34:23', NULL), (12003, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 9, 1, '2024-08-05 19:34:23', NULL), (12004, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 10, 1, '2024-08-05 19:34:24', NULL), (12005, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 11, 1, '2024-08-05 19:34:24', NULL), (12006, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 12, 1, '2024-08-05 19:34:24', NULL), (12007, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 13, 1, '2024-08-05 19:34:24', NULL), (12008, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 14, 1, '2024-08-05 19:34:24', NULL), (12009, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 15, 1, '2024-08-05 19:34:24', NULL), (12010, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 16, 1, '2024-08-05 19:34:24', NULL), (12011, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 17, 1, '2024-08-05 19:34:24', NULL), (12012, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 18, 1, '2024-08-05 19:34:24', NULL), (12013, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 19, 1, '2024-08-05 19:34:24', NULL), (12014, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 20, 1, '2024-08-05 19:34:24', NULL), (12015, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 21, 1, '2024-08-05 19:34:24', NULL), (12016, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 22, 1, '2024-08-05 19:34:24', NULL), (12017, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 23, 1, '2024-08-05 19:34:24', NULL), (12018, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 24, 1, '2024-08-05 19:34:24', NULL), (12019, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 25, 1, '2024-08-05 19:34:24', NULL), (12020, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 26, 1, '2024-08-05 19:34:24', NULL), (12021, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 27, 1, '2024-08-05 19:34:24', NULL), (12022, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 28, 1, '2024-08-05 19:34:24', NULL), (12023, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 29, 1, '2024-08-05 19:34:24', NULL), (12024, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 30, 1, '2024-08-05 19:34:25', NULL), (12025, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2023, 12, 31, 1, '2024-08-05 19:34:25', NULL), (12026, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 1, 1, '2024-08-05 19:34:25', NULL), (12027, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 2, 1, '2024-08-05 19:34:25', NULL), (12028, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 3, 1, '2024-08-05 19:34:25', NULL), (12029, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 4, 1, '2024-08-05 19:34:25', NULL), (12030, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 5, 1, '2024-08-05 19:34:25', NULL), (12031, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 6, 1, '2024-08-05 19:34:25', NULL), (12032, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 7, 1, '2024-08-05 19:34:25', NULL), (12033, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 8, 1, '2024-08-05 19:34:25', NULL), (12034, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 9, 1, '2024-08-05 19:34:25', NULL), (12035, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 10, 1, '2024-08-05 19:34:25', NULL), (12036, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 11, 1, '2024-08-05 19:34:25', NULL), (12037, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 12, 1, '2024-08-05 19:34:25', NULL), (12038, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 13, 1, '2024-08-05 19:34:25', NULL), (12039, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 14, 1, '2024-08-05 19:34:25', NULL), (12040, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 15, 1, '2024-08-05 19:34:25', NULL), (12041, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 16, 1, '2024-08-05 19:34:25', NULL), (12042, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 17, 1, '2024-08-05 19:34:26', NULL), (12043, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 18, 1, '2024-08-05 19:34:26', NULL), (12044, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 19, 1, '2024-08-05 19:34:26', NULL), (12045, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 20, 1, '2024-08-05 19:34:26', NULL), (12046, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 21, 1, '2024-08-05 19:34:26', NULL), (12047, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 22, 1, '2024-08-05 19:34:26', NULL), (12048, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 23, 1, '2024-08-05 19:34:26', NULL), (12049, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 24, 1, '2024-08-05 19:34:26', NULL), (12050, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 25, 1, '2024-08-05 19:34:26', NULL), (12051, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 26, 1, '2024-08-05 19:34:26', NULL), (12052, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 27, 1, '2024-08-05 19:34:26', NULL), (12053, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 28, 1, '2024-08-05 19:34:26', NULL), (12054, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 29, 1, '2024-08-05 19:34:26', NULL), (12055, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 30, 1, '2024-08-05 19:34:26', NULL), (12056, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 1, 31, 1, '2024-08-05 19:34:26', NULL), (12057, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 1, 1, '2024-08-05 19:34:26', NULL), (12058, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 2, 1, '2024-08-05 19:34:26', NULL), (12059, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 3, 1, '2024-08-05 19:34:27', NULL), (12060, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 4, 1, '2024-08-05 19:34:27', NULL), (12061, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 5, 1, '2024-08-05 19:34:27', NULL), (12062, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 6, 1, '2024-08-05 19:34:27', NULL), (12063, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 7, 1, '2024-08-05 19:34:27', NULL), (12064, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 8, 1, '2024-08-05 19:34:27', NULL), (12065, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 9, 1, '2024-08-05 19:34:27', NULL), (12066, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 10, 1, '2024-08-05 19:34:27', NULL), (12067, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 11, 1, '2024-08-05 19:34:27', NULL), (12068, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 12, 1, '2024-08-05 19:34:27', NULL), (12069, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 13, 1, '2024-08-05 19:34:27', NULL), (12070, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 14, 1, '2024-08-05 19:34:27', NULL), (12071, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 15, 1, '2024-08-05 19:34:27', NULL), (12072, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 16, 1, '2024-08-05 19:34:27', NULL), (12073, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 17, 1, '2024-08-05 19:34:27', NULL), (12074, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 18, 1, '2024-08-05 19:34:27', NULL), (12075, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 19, 1, '2024-08-05 19:34:28', NULL), (12076, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 20, 1, '2024-08-05 19:34:28', NULL), (12077, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 21, 1, '2024-08-05 19:34:28', NULL), (12078, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 22, 1, '2024-08-05 19:34:28', NULL), (12079, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 23, 1, '2024-08-05 19:34:28', NULL), (12080, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 24, 1, '2024-08-05 19:34:28', NULL), (12081, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 25, 1, '2024-08-05 19:34:28', NULL), (12082, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 26, 1, '2024-08-05 19:34:28', NULL), (12083, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 27, 1, '2024-08-05 19:34:28', NULL), (12084, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 28, 1, '2024-08-05 19:34:28', NULL), (12085, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 2, 29, 1, '2024-08-05 19:34:28', NULL), (12086, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 1, 1, '2024-08-05 19:34:28', NULL), (12087, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 2, 1, '2024-08-05 19:34:28', NULL), (12088, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 3, 1, '2024-08-05 19:34:28', NULL), (12089, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 4, 1, '2024-08-05 19:34:29', NULL), (12090, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 5, 1, '2024-08-05 19:34:29', NULL), (12091, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 6, 1, '2024-08-05 19:34:29', NULL), (12092, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 7, 1, '2024-08-05 19:34:29', NULL), (12093, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 8, 1, '2024-08-05 19:34:29', NULL), (12094, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 9, 1, '2024-08-05 19:34:29', NULL), (12095, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 10, 1, '2024-08-05 19:34:29', NULL), (12096, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 11, 1, '2024-08-05 19:34:29', NULL), (12097, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 12, 1, '2024-08-05 19:34:29', NULL), (12098, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 13, 1, '2024-08-05 19:34:29', NULL), (12099, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 14, 1, '2024-08-05 19:34:29', NULL), (12100, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 15, 1, '2024-08-05 19:34:29', NULL), (12101, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 16, 1, '2024-08-05 19:34:29', NULL), (12102, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 17, 1, '2024-08-05 19:34:29', NULL), (12103, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 18, 1, '2024-08-05 19:34:30', NULL), (12104, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 19, 1, '2024-08-05 19:34:30', NULL), (12105, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 20, 1, '2024-08-05 19:34:30', NULL), (12106, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 21, 1, '2024-08-05 19:34:30', NULL), (12107, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 22, 1, '2024-08-05 19:34:30', NULL), (12108, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 23, 1, '2024-08-05 19:34:30', NULL), (12109, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 24, 1, '2024-08-05 19:34:30', NULL), (12110, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 25, 1, '2024-08-05 19:34:30', NULL), (12111, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 26, 1, '2024-08-05 19:34:30', NULL), (12112, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 27, 1, '2024-08-05 19:34:30', NULL), (12113, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 28, 1, '2024-08-05 19:34:31', NULL), (12114, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 29, 1, '2024-08-05 19:34:31', NULL), (12115, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 30, 1, '2024-08-05 19:34:31', NULL), (12116, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 3, 31, 1, '2024-08-05 19:34:31', NULL), (12117, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 1, 1, '2024-08-05 19:34:31', NULL), (12118, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 2, 1, '2024-08-05 19:34:31', NULL), (12119, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 3, 1, '2024-08-05 19:34:31', NULL), (12120, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 4, 1, '2024-08-05 19:34:31', NULL), (12121, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 5, 1, '2024-08-05 19:34:31', NULL), (12122, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 6, 1, '2024-08-05 19:34:31', NULL), (12123, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 7, 1, '2024-08-05 19:34:32', NULL), (12124, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 8, 1, '2024-08-05 19:34:32', NULL), (12125, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 9, 1, '2024-08-05 19:34:32', NULL), (12126, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 10, 1, '2024-08-05 19:34:32', NULL), (12127, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 11, 1, '2024-08-05 19:34:32', NULL), (12128, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 12, 1, '2024-08-05 19:34:32', NULL), (12129, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 13, 1, '2024-08-05 19:34:32', NULL), (12130, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 14, 1, '2024-08-05 19:34:32', NULL), (12131, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 15, 1, '2024-08-05 19:34:32', NULL), (12132, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 16, 1, '2024-08-05 19:34:32', NULL), (12133, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 17, 1, '2024-08-05 19:34:33', NULL), (12134, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 18, 1, '2024-08-05 19:34:33', NULL), (12135, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 19, 1, '2024-08-05 19:34:33', NULL), (12136, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 20, 1, '2024-08-05 19:34:33', NULL), (12137, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 21, 1, '2024-08-05 19:34:33', NULL), (12138, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 22, 1, '2024-08-05 19:34:33', NULL), (12139, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 23, 1, '2024-08-05 19:34:33', NULL), (12140, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 24, 1, '2024-08-05 19:34:33', NULL), (12141, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 25, 1, '2024-08-05 19:34:33', NULL), (12142, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 26, 1, '2024-08-05 19:34:33', NULL), (12143, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 27, 1, '2024-08-05 19:34:34', NULL), (12144, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 28, 1, '2024-08-05 19:34:34', NULL), (12145, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 29, 1, '2024-08-05 19:34:34', NULL), (12146, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 4, 30, 1, '2024-08-05 19:34:34', NULL), (12147, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 1, 1, '2024-08-05 19:34:34', NULL), (12148, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 2, 1, '2024-08-05 19:34:34', NULL), (12149, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 3, 1, '2024-08-05 19:34:34', NULL), (12150, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 4, 1, '2024-08-05 19:34:34', NULL), (12151, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 5, 1, '2024-08-05 19:34:34', NULL), (12152, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 6, 1, '2024-08-05 19:34:34', NULL), (12153, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 7, 1, '2024-08-05 19:34:35', NULL), (12154, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 8, 1, '2024-08-05 19:34:35', NULL), (12155, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 9, 1, '2024-08-05 19:34:35', NULL), (12156, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 10, 1, '2024-08-05 19:34:35', NULL), (12157, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 11, 1, '2024-08-05 19:34:35', NULL), (12158, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 12, 1, '2024-08-05 19:34:35', NULL), (12159, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 13, 1, '2024-08-05 19:34:35', NULL), (12160, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 14, 1, '2024-08-05 19:34:35', NULL), (12161, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 15, 1, '2024-08-05 19:34:35', NULL), (12162, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 16, 1, '2024-08-05 19:34:35', NULL), (12163, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 17, 1, '2024-08-05 19:34:36', NULL), (12164, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 18, 1, '2024-08-05 19:34:36', NULL), (12165, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 19, 1, '2024-08-05 19:34:36', NULL), (12166, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 20, 1, '2024-08-05 19:34:36', NULL), (12167, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 21, 1, '2024-08-05 19:34:36', NULL), (12168, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 22, 1, '2024-08-05 19:34:36', NULL), (12169, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 23, 1, '2024-08-05 19:34:36', NULL), (12170, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 24, 1, '2024-08-05 19:34:36', NULL), (12171, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 25, 1, '2024-08-05 19:34:36', NULL), (12172, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 26, 1, '2024-08-05 19:34:36', NULL), (12173, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 27, 1, '2024-08-05 19:34:37', NULL), (12174, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 28, 1, '2024-08-05 19:34:37', NULL), (12175, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 29, 1, '2024-08-05 19:34:37', NULL), (12176, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 30, 1, '2024-08-05 19:34:37', NULL), (12177, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 5, 31, 1, '2024-08-05 19:34:37', NULL), (12178, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 1, 1, '2024-08-05 19:34:37', NULL), (12179, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 2, 1, '2024-08-05 19:34:37', NULL), (12180, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 3, 1, '2024-08-05 19:34:37', NULL), (12181, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 4, 1, '2024-08-05 19:34:37', NULL), (12182, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 5, 1, '2024-08-05 19:34:37', NULL), (12183, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 6, 1, '2024-08-05 19:34:38', NULL), (12184, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 7, 1, '2024-08-05 19:34:38', NULL), (12185, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 8, 1, '2024-08-05 19:34:38', NULL), (12186, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 9, 1, '2024-08-05 19:34:38', NULL), (12187, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 10, 1, '2024-08-05 19:34:38', NULL), (12188, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 11, 1, '2024-08-05 19:34:38', NULL), (12189, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 12, 1, '2024-08-05 19:34:38', NULL), (12190, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 13, 1, '2024-08-05 19:34:38', NULL), (12191, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 14, 1, '2024-08-05 19:34:38', NULL), (12192, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 15, 1, '2024-08-05 19:34:38', NULL), (12193, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 16, 1, '2024-08-05 19:34:39', NULL), (12194, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 17, 1, '2024-08-05 19:34:39', NULL), (12195, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 18, 1, '2024-08-05 19:34:39', NULL), (12196, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 19, 1, '2024-08-05 19:34:39', NULL), (12197, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 20, 1, '2024-08-05 19:34:39', NULL), (12198, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 21, 1, '2024-08-05 19:34:39', NULL), (12199, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 22, 1, '2024-08-05 19:34:39', NULL), (12200, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 23, 1, '2024-08-05 19:34:39', NULL), (12201, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 24, 1, '2024-08-05 19:34:39', NULL), (12202, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 25, 1, '2024-08-05 19:34:40', NULL), (12203, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 26, 1, '2024-08-05 19:34:40', NULL), (12204, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 27, 1, '2024-08-05 19:34:40', NULL), (12205, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 28, 1, '2024-08-05 19:34:40', NULL), (12206, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 29, 1, '2024-08-05 19:34:40', NULL), (12207, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 6, 30, 1, '2024-08-05 19:34:40', NULL), (12208, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 1, 1, '2024-08-05 19:34:40', NULL), (12209, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 2, 1, '2024-08-05 19:34:40', NULL), (12210, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 3, 1, '2024-08-05 19:34:40', NULL), (12211, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 4, 1, '2024-08-05 19:34:40', NULL), (12212, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 5, 1, '2024-08-05 19:34:41', NULL), (12213, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 6, 1, '2024-08-05 19:34:41', NULL), (12214, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 7, 1, '2024-08-05 19:34:41', NULL), (12215, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 8, 1, '2024-08-05 19:34:41', NULL), (12216, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 9, 1, '2024-08-05 19:34:41', NULL), (12217, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 10, 1, '2024-08-05 19:34:41', NULL), (12218, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 11, 1, '2024-08-05 19:34:41', NULL), (12219, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 12, 1, '2024-08-05 19:34:41', NULL), (12220, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 13, 1, '2024-08-05 19:34:41', NULL), (12221, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 14, 1, '2024-08-05 19:34:41', NULL), (12222, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 15, 1, '2024-08-05 19:34:42', NULL), (12223, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 16, 1, '2024-08-05 19:34:42', NULL), (12224, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 17, 1, '2024-08-05 19:34:42', NULL), (12225, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 18, 1, '2024-08-05 19:34:42', NULL), (12226, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 19, 1, '2024-08-05 19:34:42', NULL), (12227, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 20, 1, '2024-08-05 19:34:42', NULL), (12228, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 21, 1, '2024-08-05 19:34:42', NULL), (12229, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 22, 1, '2024-08-05 19:34:42', NULL), (12230, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 23, 1, '2024-08-05 19:34:42', NULL), (12231, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 24, 1, '2024-08-05 19:34:43', NULL), (12232, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 25, 1, '2024-08-05 19:34:43', NULL), (12233, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 26, 1, '2024-08-05 19:34:43', NULL), (12234, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 27, 1, '2024-08-05 19:34:43', NULL), (12235, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 28, 1, '2024-08-05 19:34:43', NULL), (12236, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 29, 1, '2024-08-05 19:34:43', NULL), (12237, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 30, 1, '2024-08-05 19:34:43', NULL), (12238, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 7, 31, 1, '2024-08-05 19:34:43', NULL), (12239, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 1, 1, '2024-08-05 19:34:43', '2024-08-05 22:12:33'), (12240, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 2, 1, '2024-08-05 19:34:43', '2024-08-06 02:20:04'), (12241, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 3, 1, '2024-08-05 19:34:44', '2024-08-07 01:30:03'), (12242, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 4, 1, '2024-08-05 19:34:44', '2024-08-08 01:30:02'), (12243, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 5, 1, '2024-08-05 19:34:44', '2024-08-09 01:30:02'), (12244, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 1, 1, '2024-08-05 19:46:13', NULL), (12245, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 2, 1, '2024-08-05 19:46:14', NULL), (12246, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 3, 1, '2024-08-05 19:46:14', NULL), (12247, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 4, 1, '2024-08-05 19:46:14', NULL), (12248, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 5, 1, '2024-08-05 19:46:14', NULL), (12249, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 6, 1, '2024-08-05 19:46:14', NULL), (12250, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 7, 1, '2024-08-05 19:46:14', NULL), (12251, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 8, 1, '2024-08-05 19:46:14', NULL), (12252, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 9, 1, '2024-08-05 19:46:14', NULL), (12253, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 10, 1, '2024-08-05 19:46:14', NULL), (12254, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 11, 1, '2024-08-05 19:46:14', NULL), (12255, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 12, 1, '2024-08-05 19:46:14', NULL), (12256, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 13, 1, '2024-08-05 19:46:14', NULL), (12257, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 14, 1, '2024-08-05 19:46:14', NULL), (12258, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 15, 1, '2024-08-05 19:46:14', NULL), (12259, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 16, 1, '2024-08-05 19:46:14', NULL), (12260, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 17, 1, '2024-08-05 19:46:14', NULL), (12261, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 18, 1, '2024-08-05 19:46:14', NULL), (12262, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 19, 1, '2024-08-05 19:46:14', NULL), (12263, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 20, 1, '2024-08-05 19:46:14', NULL), (12264, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 21, 1, '2024-08-05 19:46:14', NULL), (12265, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 22, 1, '2024-08-05 19:46:15', NULL), (12266, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 23, 1, '2024-08-05 19:46:15', NULL), (12267, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 24, 1, '2024-08-05 19:46:15', NULL), (12268, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 25, 1, '2024-08-05 19:46:15', NULL), (12269, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 26, 1, '2024-08-05 19:46:15', NULL), (12270, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 27, 1, '2024-08-05 19:46:15', NULL), (12271, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 28, 1, '2024-08-05 19:46:15', NULL), (12272, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 29, 1, '2024-08-05 19:46:15', NULL), (12273, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 30, 1, '2024-08-05 19:46:15', NULL), (12274, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 1, 31, 1, '2024-08-05 19:46:15', NULL), (12275, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 1, 1, '2024-08-05 19:46:15', NULL), (12276, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 2, 1, '2024-08-05 19:46:15', NULL), (12277, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 3, 1, '2024-08-05 19:46:15', NULL), (12278, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 4, 1, '2024-08-05 19:46:15', NULL), (12279, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 5, 1, '2024-08-05 19:46:15', NULL), (12280, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 6, 1, '2024-08-05 19:46:15', NULL), (12281, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 7, 1, '2024-08-05 19:46:15', NULL), (12282, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 8, 1, '2024-08-05 19:46:15', NULL), (12283, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 9, 1, '2024-08-05 19:46:15', NULL), (12284, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 10, 1, '2024-08-05 19:46:15', NULL), (12285, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 11, 1, '2024-08-05 19:46:15', NULL), (12286, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 12, 1, '2024-08-05 19:46:16', NULL), (12287, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 13, 1, '2024-08-05 19:46:16', NULL), (12288, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 14, 1, '2024-08-05 19:46:16', NULL), (12289, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 15, 1, '2024-08-05 19:46:16', NULL), (12290, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 16, 1, '2024-08-05 19:46:16', NULL), (12291, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 17, 1, '2024-08-05 19:46:16', NULL), (12292, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 18, 1, '2024-08-05 19:46:16', NULL), (12293, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 19, 1, '2024-08-05 19:46:16', NULL), (12294, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 20, 1, '2024-08-05 19:46:16', NULL), (12295, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 21, 1, '2024-08-05 19:46:16', NULL), (12296, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 22, 1, '2024-08-05 19:46:16', NULL), (12297, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 23, 1, '2024-08-05 19:46:16', NULL), (12298, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 24, 1, '2024-08-05 19:46:16', NULL), (12299, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 25, 1, '2024-08-05 19:46:16', NULL), (12300, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 26, 1, '2024-08-05 19:46:16', NULL), (12301, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 27, 1, '2024-08-05 19:46:16', NULL), (12302, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 2, 28, 1, '2024-08-05 19:46:16', NULL), (12303, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 1, 1, '2024-08-05 19:46:16', NULL), (12304, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 2, 1, '2024-08-05 19:46:16', NULL), (12305, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 3, 1, '2024-08-05 19:46:16', NULL), (12306, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 4, 1, '2024-08-05 19:46:17', NULL), (12307, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 5, 1, '2024-08-05 19:46:17', NULL), (12308, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 6, 1, '2024-08-05 19:46:17', NULL), (12309, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 7, 1, '2024-08-05 19:46:17', NULL), (12310, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 8, 1, '2024-08-05 19:46:17', NULL), (12311, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 9, 1, '2024-08-05 19:46:17', NULL), (12312, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 10, 1, '2024-08-05 19:46:17', NULL), (12313, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 11, 1, '2024-08-05 19:46:17', NULL), (12314, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 12, 1, '2024-08-05 19:46:17', NULL), (12315, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 13, 1, '2024-08-05 19:46:17', NULL), (12316, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 14, 1, '2024-08-05 19:46:17', NULL), (12317, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 15, 1, '2024-08-05 19:46:17', NULL), (12318, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 16, 1, '2024-08-05 19:46:17', NULL), (12319, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 17, 1, '2024-08-05 19:46:17', NULL), (12320, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 18, 1, '2024-08-05 19:46:17', NULL), (12321, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 19, 1, '2024-08-05 19:46:17', NULL), (12322, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 20, 1, '2024-08-05 19:46:17', NULL), (12323, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 21, 1, '2024-08-05 19:46:17', NULL), (12324, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 22, 1, '2024-08-05 19:46:18', NULL), (12325, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 23, 1, '2024-08-05 19:46:18', NULL), (12326, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 24, 1, '2024-08-05 19:46:18', NULL), (12327, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 25, 1, '2024-08-05 19:46:18', NULL), (12328, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 26, 1, '2024-08-05 19:46:18', NULL), (12329, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 27, 1, '2024-08-05 19:46:18', NULL), (12330, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 28, 1, '2024-08-05 19:46:18', NULL), (12331, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 29, 1, '2024-08-05 19:46:18', NULL), (12332, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 30, 1, '2024-08-05 19:46:18', NULL), (12333, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 3, 31, 1, '2024-08-05 19:46:18', NULL), (12334, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 1, 1, '2024-08-05 19:46:18', NULL), (12335, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 2, 1, '2024-08-05 19:46:18', NULL), (12336, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 3, 1, '2024-08-05 19:46:18', NULL), (12337, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 4, 1, '2024-08-05 19:46:18', NULL), (12338, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 5, 1, '2024-08-05 19:46:18', NULL), (12339, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 6, 1, '2024-08-05 19:46:18', NULL), (12340, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 7, 1, '2024-08-05 19:46:18', NULL), (12341, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 8, 1, '2024-08-05 19:46:18', NULL), (12342, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 9, 1, '2024-08-05 19:46:19', NULL), (12343, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 10, 1, '2024-08-05 19:46:19', NULL), (12344, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 11, 1, '2024-08-05 19:46:19', NULL), (12345, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 12, 1, '2024-08-05 19:46:19', NULL), (12346, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 13, 1, '2024-08-05 19:46:19', NULL), (12347, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 14, 1, '2024-08-05 19:46:19', NULL), (12348, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 15, 1, '2024-08-05 19:46:19', NULL), (12349, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 16, 1, '2024-08-05 19:46:19', NULL), (12350, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 17, 1, '2024-08-05 19:46:19', NULL), (12351, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 18, 1, '2024-08-05 19:46:19', NULL), (12352, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 19, 1, '2024-08-05 19:46:19', NULL), (12353, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 20, 1, '2024-08-05 19:46:19', NULL), (12354, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 21, 1, '2024-08-05 19:46:19', NULL), (12355, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 22, 1, '2024-08-05 19:46:19', NULL), (12356, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 23, 1, '2024-08-05 19:46:19', NULL), (12357, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 24, 1, '2024-08-05 19:46:19', NULL), (12358, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 25, 1, '2024-08-05 19:46:19', NULL), (12359, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 26, 1, '2024-08-05 19:46:19', NULL), (12360, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 27, 1, '2024-08-05 19:46:20', NULL), (12361, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 28, 1, '2024-08-05 19:46:20', NULL), (12362, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 29, 1, '2024-08-05 19:46:20', NULL), (12363, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 4, 30, 1, '2024-08-05 19:46:20', NULL), (12364, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 1, 1, '2024-08-05 19:46:20', NULL), (12365, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 2, 1, '2024-08-05 19:46:20', NULL), (12366, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 3, 1, '2024-08-05 19:46:20', NULL), (12367, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 4, 1, '2024-08-05 19:46:20', NULL), (12368, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 5, 1, '2024-08-05 19:46:20', NULL), (12369, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 6, 1, '2024-08-05 19:46:20', NULL), (12370, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 7, 1, '2024-08-05 19:46:20', NULL), (12371, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 8, 1, '2024-08-05 19:46:20', NULL), (12372, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 9, 1, '2024-08-05 19:46:20', NULL), (12373, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 10, 1, '2024-08-05 19:46:20', NULL), (12374, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 11, 1, '2024-08-05 19:46:20', NULL), (12375, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 12, 1, '2024-08-05 19:46:20', NULL), (12376, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 13, 1, '2024-08-05 19:46:20', NULL), (12377, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 14, 1, '2024-08-05 19:46:20', NULL), (12378, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 15, 1, '2024-08-05 19:46:21', NULL), (12379, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 16, 1, '2024-08-05 19:46:21', NULL), (12380, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 17, 1, '2024-08-05 19:46:21', NULL), (12381, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 18, 1, '2024-08-05 19:46:21', NULL), (12382, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 19, 1, '2024-08-05 19:46:21', NULL), (12383, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 20, 1, '2024-08-05 19:46:21', NULL), (12384, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 21, 1, '2024-08-05 19:46:21', NULL), (12385, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 22, 1, '2024-08-05 19:46:21', NULL), (12386, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 23, 1, '2024-08-05 19:46:21', NULL), (12387, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 24, 1, '2024-08-05 19:46:21', NULL), (12388, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 25, 1, '2024-08-05 19:46:21', NULL), (12389, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 26, 1, '2024-08-05 19:46:21', NULL), (12390, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 27, 1, '2024-08-05 19:46:21', NULL), (12391, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 28, 1, '2024-08-05 19:46:21', NULL), (12392, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 29, 1, '2024-08-05 19:46:21', NULL), (12393, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 30, 1, '2024-08-05 19:46:21', NULL), (12394, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 5, 31, 1, '2024-08-05 19:46:21', NULL), (12395, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 1, 1, '2024-08-05 19:46:22', NULL), (12396, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 2, 1, '2024-08-05 19:46:22', NULL), (12397, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 3, 1, '2024-08-05 19:46:22', NULL), (12398, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 4, 1, '2024-08-05 19:46:22', NULL), (12399, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 5, 1, '2024-08-05 19:46:22', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (12400, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 6, 1, '2024-08-05 19:46:22', NULL), (12401, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 7, 1, '2024-08-05 19:46:22', NULL), (12402, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 8, 1, '2024-08-05 19:46:22', NULL), (12403, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 9, 1, '2024-08-05 19:46:22', NULL), (12404, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 10, 1, '2024-08-05 19:46:22', NULL), (12405, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 11, 1, '2024-08-05 19:46:22', NULL), (12406, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 12, 1, '2024-08-05 19:46:22', NULL), (12407, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 13, 1, '2024-08-05 19:46:22', NULL), (12408, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 14, 1, '2024-08-05 19:46:22', NULL), (12409, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 15, 1, '2024-08-05 19:46:22', NULL), (12410, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 16, 1, '2024-08-05 19:46:22', NULL), (12411, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 17, 1, '2024-08-05 19:46:22', NULL), (12412, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 18, 1, '2024-08-05 19:46:22', NULL), (12413, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 19, 1, '2024-08-05 19:46:23', NULL), (12414, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 20, 1, '2024-08-05 19:46:23', NULL), (12415, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 21, 1, '2024-08-05 19:46:23', NULL), (12416, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 22, 1, '2024-08-05 19:46:23', NULL), (12417, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 23, 1, '2024-08-05 19:46:23', NULL), (12418, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 24, 1, '2024-08-05 19:46:23', NULL), (12419, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 25, 1, '2024-08-05 19:46:23', NULL), (12420, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 26, 1, '2024-08-05 19:46:23', NULL), (12421, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 27, 1, '2024-08-05 19:46:23', NULL), (12422, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 28, 1, '2024-08-05 19:46:23', NULL), (12423, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 29, 1, '2024-08-05 19:46:23', NULL), (12424, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 6, 30, 1, '2024-08-05 19:46:23', NULL), (12425, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 1, 1, '2024-08-05 19:46:23', NULL), (12426, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 2, 1, '2024-08-05 19:46:23', NULL), (12427, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 3, 1, '2024-08-05 19:46:23', NULL), (12428, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 4, 1, '2024-08-05 19:46:23', NULL), (12429, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 5, 1, '2024-08-05 19:46:23', NULL), (12430, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 6, 1, '2024-08-05 19:46:24', NULL), (12431, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 7, 1, '2024-08-05 19:46:24', NULL), (12432, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 8, 1, '2024-08-05 19:46:24', NULL), (12433, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 9, 1, '2024-08-05 19:46:24', NULL), (12434, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 10, 1, '2024-08-05 19:46:24', NULL), (12435, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 11, 1, '2024-08-05 19:46:24', NULL), (12436, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 12, 1, '2024-08-05 19:46:24', NULL), (12437, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 13, 1, '2024-08-05 19:46:24', NULL), (12438, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 14, 1, '2024-08-05 19:46:24', NULL), (12439, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 15, 1, '2024-08-05 19:46:24', NULL), (12440, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 16, 1, '2024-08-05 19:46:24', NULL), (12441, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 17, 1, '2024-08-05 19:46:24', NULL), (12442, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 18, 1, '2024-08-05 19:46:24', NULL), (12443, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 19, 1, '2024-08-05 19:46:24', NULL), (12444, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 20, 1, '2024-08-05 19:46:24', NULL), (12445, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 21, 1, '2024-08-05 19:46:24', NULL), (12446, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 22, 1, '2024-08-05 19:46:24', NULL), (12447, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 23, 1, '2024-08-05 19:46:25', NULL), (12448, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 24, 1, '2024-08-05 19:46:25', NULL), (12449, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 25, 1, '2024-08-05 19:46:25', NULL), (12450, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 26, 1, '2024-08-05 19:46:25', NULL), (12451, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 27, 1, '2024-08-05 19:46:25', NULL), (12452, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 28, 1, '2024-08-05 19:46:25', NULL), (12453, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 29, 1, '2024-08-05 19:46:25', NULL), (12454, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 30, 1, '2024-08-05 19:46:25', NULL), (12455, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 7, 31, 1, '2024-08-05 19:46:25', NULL), (12456, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 1, 1, '2024-08-05 19:46:25', NULL), (12457, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 2, 1, '2024-08-05 19:46:25', NULL), (12458, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 3, 1, '2024-08-05 19:46:25', NULL), (12459, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 4, 1, '2024-08-05 19:46:25', NULL), (12460, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 5, 1, '2024-08-05 19:46:25', NULL), (12461, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 6, 1, '2024-08-05 19:46:25', NULL), (12462, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 7, 1, '2024-08-05 19:46:25', NULL), (12463, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 8, 1, '2024-08-05 19:46:25', NULL), (12464, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 9, 1, '2024-08-05 19:46:26', NULL), (12465, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 10, 1, '2024-08-05 19:46:26', NULL), (12466, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 11, 1, '2024-08-05 19:46:26', NULL), (12467, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 12, 1, '2024-08-05 19:46:26', NULL), (12468, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 13, 1, '2024-08-05 19:46:26', NULL), (12469, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 14, 1, '2024-08-05 19:46:26', NULL), (12470, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 15, 1, '2024-08-05 19:46:26', NULL), (12471, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 16, 1, '2024-08-05 19:46:26', NULL), (12472, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 17, 1, '2024-08-05 19:46:26', NULL), (12473, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 18, 1, '2024-08-05 19:46:26', NULL), (12474, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 19, 1, '2024-08-05 19:46:26', NULL), (12475, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 20, 1, '2024-08-05 19:46:26', NULL), (12476, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 21, 1, '2024-08-05 19:46:26', NULL), (12477, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 22, 1, '2024-08-05 19:46:26', NULL), (12478, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 23, 1, '2024-08-05 19:46:26', NULL), (12479, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 24, 1, '2024-08-05 19:46:26', NULL), (12480, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 25, 1, '2024-08-05 19:46:26', NULL), (12481, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 26, 1, '2024-08-05 19:46:26', NULL), (12482, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 27, 1, '2024-08-05 19:46:26', NULL), (12483, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 28, 1, '2024-08-05 19:46:27', NULL), (12484, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 29, 1, '2024-08-05 19:46:27', NULL), (12485, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 30, 1, '2024-08-05 19:46:27', NULL), (12486, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 8, 31, 1, '2024-08-05 19:46:27', NULL), (12487, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 1, 1, '2024-08-05 19:46:27', NULL), (12488, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 2, 1, '2024-08-05 19:46:27', NULL), (12489, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 3, 1, '2024-08-05 19:46:27', NULL), (12490, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 4, 1, '2024-08-05 19:46:27', NULL), (12491, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 5, 1, '2024-08-05 19:46:27', NULL), (12492, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 6, 1, '2024-08-05 19:46:27', NULL), (12493, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 7, 1, '2024-08-05 19:46:27', NULL), (12494, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 8, 1, '2024-08-05 19:46:27', NULL), (12495, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 9, 1, '2024-08-05 19:46:27', NULL), (12496, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 10, 1, '2024-08-05 19:46:27', NULL), (12497, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 11, 1, '2024-08-05 19:46:27', NULL), (12498, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 12, 1, '2024-08-05 19:46:27', NULL), (12499, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 13, 1, '2024-08-05 19:46:27', NULL), (12500, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 14, 1, '2024-08-05 19:46:27', NULL), (12501, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 15, 1, '2024-08-05 19:46:27', NULL), (12502, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 16, 1, '2024-08-05 19:46:27', NULL), (12503, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 17, 1, '2024-08-05 19:46:28', NULL), (12504, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 18, 1, '2024-08-05 19:46:28', NULL), (12505, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 19, 1, '2024-08-05 19:46:28', NULL), (12506, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 20, 1, '2024-08-05 19:46:28', NULL), (12507, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 21, 1, '2024-08-05 19:46:28', NULL), (12508, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 22, 1, '2024-08-05 19:46:28', NULL), (12509, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 23, 1, '2024-08-05 19:46:28', NULL), (12510, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 24, 1, '2024-08-05 19:46:28', NULL), (12511, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 25, 1, '2024-08-05 19:46:28', NULL), (12512, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 26, 1, '2024-08-05 19:46:28', NULL), (12513, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 27, 1, '2024-08-05 19:46:28', NULL), (12514, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 28, 1, '2024-08-05 19:46:28', NULL), (12515, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 29, 1, '2024-08-05 19:46:28', NULL), (12516, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 9, 30, 1, '2024-08-05 19:46:28', NULL), (12517, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 1, 1, '2024-08-05 19:46:28', NULL), (12518, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 2, 1, '2024-08-05 19:46:28', NULL), (12519, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 3, 1, '2024-08-05 19:46:28', NULL), (12520, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 4, 1, '2024-08-05 19:46:28', NULL), (12521, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 5, 1, '2024-08-05 19:46:28', NULL), (12522, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 6, 1, '2024-08-05 19:46:28', NULL), (12523, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 7, 1, '2024-08-05 19:46:28', NULL), (12524, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 8, 1, '2024-08-05 19:46:29', NULL), (12525, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 9, 1, '2024-08-05 19:46:29', NULL), (12526, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 10, 1, '2024-08-05 19:46:29', NULL), (12527, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 11, 1, '2024-08-05 19:46:29', NULL), (12528, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 12, 1, '2024-08-05 19:46:29', NULL), (12529, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 13, 1, '2024-08-05 19:46:29', NULL), (12530, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 14, 1, '2024-08-05 19:46:29', NULL), (12531, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 15, 1, '2024-08-05 19:46:29', NULL), (12532, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 16, 1, '2024-08-05 19:46:29', NULL), (12533, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 17, 1, '2024-08-05 19:46:29', NULL), (12534, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 18, 1, '2024-08-05 19:46:29', NULL), (12535, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 19, 1, '2024-08-05 19:46:29', NULL), (12536, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 20, 1, '2024-08-05 19:46:29', NULL), (12537, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 21, 1, '2024-08-05 19:46:29', NULL), (12538, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 22, 1, '2024-08-05 19:46:29', NULL), (12539, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 23, 1, '2024-08-05 19:46:29', NULL), (12540, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 24, 1, '2024-08-05 19:46:29', NULL), (12541, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 25, 1, '2024-08-05 19:46:30', NULL), (12542, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 26, 1, '2024-08-05 19:46:30', NULL), (12543, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 27, 1, '2024-08-05 19:46:30', NULL), (12544, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 28, 1, '2024-08-05 19:46:30', NULL), (12545, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 29, 1, '2024-08-05 19:46:30', NULL), (12546, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 30, 1, '2024-08-05 19:46:30', NULL), (12547, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 10, 31, 1, '2024-08-05 19:46:30', NULL), (12548, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 1, 1, '2024-08-05 19:46:30', NULL), (12549, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 2, 1, '2024-08-05 19:46:30', NULL), (12550, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 3, 1, '2024-08-05 19:46:30', NULL), (12551, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 4, 1, '2024-08-05 19:46:30', NULL), (12552, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 5, 1, '2024-08-05 19:46:30', NULL), (12553, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 6, 1, '2024-08-05 19:46:30', NULL), (12554, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 7, 1, '2024-08-05 19:46:30', NULL), (12555, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 8, 1, '2024-08-05 19:46:30', NULL), (12556, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 9, 1, '2024-08-05 19:46:31', NULL), (12557, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 10, 1, '2024-08-05 19:46:31', NULL), (12558, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 11, 1, '2024-08-05 19:46:31', NULL), (12559, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 12, 1, '2024-08-05 19:46:31', NULL), (12560, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 13, 1, '2024-08-05 19:46:31', NULL), (12561, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 14, 1, '2024-08-05 19:46:31', NULL), (12562, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 15, 1, '2024-08-05 19:46:31', NULL), (12563, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 16, 1, '2024-08-05 19:46:31', NULL), (12564, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 17, 1, '2024-08-05 19:46:31', NULL), (12565, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 18, 1, '2024-08-05 19:46:31', NULL), (12566, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 19, 1, '2024-08-05 19:46:31', NULL), (12567, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 20, 1, '2024-08-05 19:46:31', NULL), (12568, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 21, 1, '2024-08-05 19:46:31', NULL), (12569, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 22, 1, '2024-08-05 19:46:32', NULL), (12570, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 23, 1, '2024-08-05 19:46:32', NULL), (12571, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 24, 1, '2024-08-05 19:46:32', NULL), (12572, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 25, 1, '2024-08-05 19:46:32', NULL), (12573, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 26, 1, '2024-08-05 19:46:32', NULL), (12574, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 27, 1, '2024-08-05 19:46:32', NULL), (12575, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 28, 1, '2024-08-05 19:46:32', NULL), (12576, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 29, 1, '2024-08-05 19:46:32', NULL), (12577, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 11, 30, 1, '2024-08-05 19:46:32', NULL), (12578, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 1, 1, '2024-08-05 19:46:32', NULL), (12579, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 2, 1, '2024-08-05 19:46:32', NULL), (12580, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 3, 1, '2024-08-05 19:46:32', NULL), (12581, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 4, 1, '2024-08-05 19:46:32', NULL), (12582, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 5, 1, '2024-08-05 19:46:33', NULL), (12583, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 6, 1, '2024-08-05 19:46:33', NULL), (12584, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 7, 1, '2024-08-05 19:46:33', NULL), (12585, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 8, 1, '2024-08-05 19:46:33', NULL), (12586, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 9, 1, '2024-08-05 19:46:33', NULL), (12587, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 10, 1, '2024-08-05 19:46:33', NULL), (12588, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 11, 1, '2024-08-05 19:46:33', NULL), (12589, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 12, 1, '2024-08-05 19:46:33', NULL), (12590, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 13, 1, '2024-08-05 19:46:33', NULL), (12591, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 14, 1, '2024-08-05 19:46:33', NULL), (12592, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 15, 1, '2024-08-05 19:46:33', NULL), (12593, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 16, 1, '2024-08-05 19:46:33', NULL), (12594, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 17, 1, '2024-08-05 19:46:34', NULL), (12595, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 18, 1, '2024-08-05 19:46:34', NULL), (12596, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 19, 1, '2024-08-05 19:46:34', NULL), (12597, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 20, 1, '2024-08-05 19:46:34', NULL), (12598, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 21, 1, '2024-08-05 19:46:34', NULL), (12599, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 22, 1, '2024-08-05 19:46:34', NULL), (12600, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 23, 1, '2024-08-05 19:46:34', NULL), (12601, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 24, 1, '2024-08-05 19:46:34', NULL), (12602, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 25, 1, '2024-08-05 19:46:34', NULL), (12603, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 26, 1, '2024-08-05 19:46:34', NULL), (12604, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 27, 1, '2024-08-05 19:46:34', NULL), (12605, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 28, 1, '2024-08-05 19:46:34', NULL), (12606, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 29, 1, '2024-08-05 19:46:34', NULL), (12607, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 30, 1, '2024-08-05 19:46:35', NULL), (12608, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2023, 12, 31, 1, '2024-08-05 19:46:35', NULL), (12609, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 1, 1, '2024-08-05 19:46:35', NULL), (12610, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 2, 1, '2024-08-05 19:46:35', NULL), (12611, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 3, 1, '2024-08-05 19:46:35', NULL), (12612, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 4, 1, '2024-08-05 19:46:35', NULL), (12613, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 5, 1, '2024-08-05 19:46:35', NULL), (12614, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 6, 1, '2024-08-05 19:46:35', NULL), (12615, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 7, 1, '2024-08-05 19:46:35', NULL), (12616, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 8, 1, '2024-08-05 19:46:35', NULL), (12617, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 9, 1, '2024-08-05 19:46:35', NULL), (12618, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 10, 1, '2024-08-05 19:46:36', NULL), (12619, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 11, 1, '2024-08-05 19:46:36', NULL), (12620, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 12, 1, '2024-08-05 19:46:36', NULL), (12621, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 13, 1, '2024-08-05 19:46:36', NULL), (12622, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 14, 1, '2024-08-05 19:46:36', NULL), (12623, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 15, 1, '2024-08-05 19:46:36', NULL), (12624, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 16, 1, '2024-08-05 19:46:36', NULL), (12625, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 17, 1, '2024-08-05 19:46:36', NULL), (12626, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 18, 1, '2024-08-05 19:46:36', NULL), (12627, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 19, 1, '2024-08-05 19:46:36', NULL), (12628, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 20, 1, '2024-08-05 19:46:37', NULL), (12629, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 21, 1, '2024-08-05 19:46:37', NULL), (12630, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 22, 1, '2024-08-05 19:46:37', NULL), (12631, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 23, 1, '2024-08-05 19:46:37', NULL), (12632, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 24, 1, '2024-08-05 19:46:37', NULL), (12633, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 25, 1, '2024-08-05 19:46:37', NULL), (12634, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 26, 1, '2024-08-05 19:46:37', NULL), (12635, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 27, 1, '2024-08-05 19:46:37', NULL), (12636, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 28, 1, '2024-08-05 19:46:37', NULL), (12637, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 29, 1, '2024-08-05 19:46:37', NULL), (12638, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 30, 1, '2024-08-05 19:46:37', NULL), (12639, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 1, 31, 1, '2024-08-05 19:46:38', NULL), (12640, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 1, 1, '2024-08-05 19:46:38', NULL), (12641, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 2, 1, '2024-08-05 19:46:38', NULL), (12642, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 3, 1, '2024-08-05 19:46:38', NULL), (12643, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 4, 1, '2024-08-05 19:46:38', NULL), (12644, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 5, 1, '2024-08-05 19:46:38', NULL), (12645, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 6, 1, '2024-08-05 19:46:38', NULL), (12646, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 7, 1, '2024-08-05 19:46:38', NULL), (12647, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 8, 1, '2024-08-05 19:46:38', NULL), (12648, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 9, 1, '2024-08-05 19:46:38', NULL), (12649, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 10, 1, '2024-08-05 19:46:38', NULL), (12650, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 11, 1, '2024-08-05 19:46:39', NULL), (12651, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 12, 1, '2024-08-05 19:46:39', NULL), (12652, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 13, 1, '2024-08-05 19:46:39', NULL), (12653, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 14, 1, '2024-08-05 19:46:39', NULL), (12654, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 15, 1, '2024-08-05 19:46:39', NULL), (12655, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 16, 1, '2024-08-05 19:46:39', NULL), (12656, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 17, 1, '2024-08-05 19:46:39', NULL), (12657, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 18, 1, '2024-08-05 19:46:39', NULL), (12658, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 19, 1, '2024-08-05 19:46:39', NULL), (12659, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 20, 1, '2024-08-05 19:46:39', NULL), (12660, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 21, 1, '2024-08-05 19:46:40', NULL), (12661, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 22, 1, '2024-08-05 19:46:40', NULL), (12662, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 23, 1, '2024-08-05 19:46:40', NULL), (12663, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 24, 1, '2024-08-05 19:46:40', NULL), (12664, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 25, 1, '2024-08-05 19:46:40', NULL), (12665, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 26, 1, '2024-08-05 19:46:40', NULL), (12666, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 27, 1, '2024-08-05 19:46:40', NULL), (12667, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 28, 1, '2024-08-05 19:46:40', NULL), (12668, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 2, 29, 1, '2024-08-05 19:46:40', NULL), (12669, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 1, 1, '2024-08-05 19:46:40', NULL), (12670, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 2, 1, '2024-08-05 19:46:40', NULL), (12671, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 3, 1, '2024-08-05 19:46:41', NULL), (12672, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 4, 1, '2024-08-05 19:46:41', NULL), (12673, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 5, 1, '2024-08-05 19:46:41', NULL), (12674, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 6, 1, '2024-08-05 19:46:41', NULL), (12675, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 7, 1, '2024-08-05 19:46:41', NULL), (12676, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 8, 1, '2024-08-05 19:46:41', NULL), (12677, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 9, 1, '2024-08-05 19:46:41', NULL), (12678, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 10, 1, '2024-08-05 19:46:41', NULL), (12679, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 11, 1, '2024-08-05 19:46:41', NULL), (12680, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 12, 1, '2024-08-05 19:46:41', NULL), (12681, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 13, 1, '2024-08-05 19:46:42', NULL), (12682, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 14, 1, '2024-08-05 19:46:42', NULL), (12683, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 15, 1, '2024-08-05 19:46:42', NULL), (12684, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 16, 1, '2024-08-05 19:46:42', NULL), (12685, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 17, 1, '2024-08-05 19:46:42', NULL), (12686, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 18, 1, '2024-08-05 19:46:42', NULL), (12687, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 19, 1, '2024-08-05 19:46:42', NULL), (12688, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 20, 1, '2024-08-05 19:46:42', NULL), (12689, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 21, 1, '2024-08-05 19:46:42', NULL), (12690, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 22, 1, '2024-08-05 19:46:43', NULL), (12691, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 23, 1, '2024-08-05 19:46:43', NULL), (12692, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 24, 1, '2024-08-05 19:46:43', NULL), (12693, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 25, 1, '2024-08-05 19:46:43', NULL), (12694, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 26, 1, '2024-08-05 19:46:43', NULL), (12695, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 27, 1, '2024-08-05 19:46:43', NULL), (12696, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 28, 1, '2024-08-05 19:46:43', NULL), (12697, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 29, 1, '2024-08-05 19:46:43', NULL), (12698, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 30, 1, '2024-08-05 19:46:43', NULL), (12699, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 3, 31, 1, '2024-08-05 19:46:43', NULL), (12700, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 1, 1, '2024-08-05 19:46:44', NULL), (12701, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 2, 1, '2024-08-05 19:46:44', NULL), (12702, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 3, 1, '2024-08-05 19:46:44', NULL), (12703, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 4, 1, '2024-08-05 19:46:44', NULL), (12704, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 5, 1, '2024-08-05 19:46:44', NULL), (12705, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 6, 1, '2024-08-05 19:46:44', NULL), (12706, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 7, 1, '2024-08-05 19:46:44', NULL), (12707, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 8, 1, '2024-08-05 19:46:44', NULL), (12708, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 9, 1, '2024-08-05 19:46:44', NULL), (12709, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 10, 1, '2024-08-05 19:46:44', NULL), (12710, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 11, 1, '2024-08-05 19:46:45', NULL), (12711, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 12, 1, '2024-08-05 19:46:45', NULL), (12712, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 13, 1, '2024-08-05 19:46:45', NULL), (12713, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 14, 1, '2024-08-05 19:46:45', NULL), (12714, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 15, 1, '2024-08-05 19:46:45', NULL), (12715, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 16, 1, '2024-08-05 19:46:45', NULL), (12716, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 17, 1, '2024-08-05 19:46:45', NULL), (12717, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 18, 1, '2024-08-05 19:46:45', NULL), (12718, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 19, 1, '2024-08-05 19:46:45', NULL), (12719, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 20, 1, '2024-08-05 19:46:45', NULL), (12720, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 21, 1, '2024-08-05 19:46:46', NULL), (12721, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 22, 1, '2024-08-05 19:46:46', NULL), (12722, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 23, 1, '2024-08-05 19:46:46', NULL), (12723, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 24, 1, '2024-08-05 19:46:46', NULL), (12724, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 25, 1, '2024-08-05 19:46:46', NULL), (12725, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 26, 1, '2024-08-05 19:46:46', NULL), (12726, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 27, 1, '2024-08-05 19:46:46', NULL), (12727, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 28, 1, '2024-08-05 19:46:46', NULL), (12728, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 29, 1, '2024-08-05 19:46:46', NULL), (12729, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 4, 30, 1, '2024-08-05 19:46:46', NULL), (12730, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 1, 1, '2024-08-05 19:46:47', NULL), (12731, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 2, 1, '2024-08-05 19:46:47', NULL), (12732, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 3, 1, '2024-08-05 19:46:47', NULL), (12733, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 4, 1, '2024-08-05 19:46:47', NULL), (12734, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 5, 1, '2024-08-05 19:46:47', NULL), (12735, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 6, 1, '2024-08-05 19:46:47', NULL), (12736, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 7, 1, '2024-08-05 19:46:47', NULL), (12737, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 8, 1, '2024-08-05 19:46:47', NULL), (12738, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 9, 1, '2024-08-05 19:46:47', NULL), (12739, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 10, 1, '2024-08-05 19:46:47', NULL), (12740, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 11, 1, '2024-08-05 19:46:48', NULL), (12741, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 12, 1, '2024-08-05 19:46:48', NULL), (12742, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 13, 1, '2024-08-05 19:46:48', NULL), (12743, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 14, 1, '2024-08-05 19:46:48', NULL), (12744, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 15, 1, '2024-08-05 19:46:48', NULL), (12745, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 16, 1, '2024-08-05 19:46:48', NULL), (12746, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 17, 1, '2024-08-05 19:46:48', NULL), (12747, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 18, 1, '2024-08-05 19:46:48', NULL), (12748, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 19, 1, '2024-08-05 19:46:48', NULL), (12749, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 20, 1, '2024-08-05 19:46:49', NULL), (12750, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 21, 1, '2024-08-05 19:46:49', NULL), (12751, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 22, 1, '2024-08-05 19:46:49', NULL), (12752, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 23, 1, '2024-08-05 19:46:49', NULL), (12753, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 24, 1, '2024-08-05 19:46:49', NULL), (12754, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 25, 1, '2024-08-05 19:46:49', NULL), (12755, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 26, 1, '2024-08-05 19:46:49', NULL), (12756, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 27, 1, '2024-08-05 19:46:49', NULL), (12757, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 28, 1, '2024-08-05 19:46:49', NULL), (12758, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 29, 1, '2024-08-05 19:46:49', NULL), (12759, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 30, 1, '2024-08-05 19:46:50', NULL), (12760, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 5, 31, 1, '2024-08-05 19:46:50', NULL), (12761, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 1, 1, '2024-08-05 19:46:50', NULL), (12762, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 2, 1, '2024-08-05 19:46:50', NULL), (12763, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 3, 1, '2024-08-05 19:46:50', NULL), (12764, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 4, 1, '2024-08-05 19:46:50', NULL), (12765, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 5, 1, '2024-08-05 19:46:50', NULL), (12766, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 6, 1, '2024-08-05 19:46:50', NULL), (12767, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 7, 1, '2024-08-05 19:46:50', NULL), (12768, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 8, 1, '2024-08-05 19:46:50', NULL), (12769, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 9, 1, '2024-08-05 19:46:51', NULL), (12770, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 10, 1, '2024-08-05 19:46:51', NULL), (12771, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 11, 1, '2024-08-05 19:46:51', NULL), (12772, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 12, 1, '2024-08-05 19:46:51', NULL), (12773, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 13, 1, '2024-08-05 19:46:51', NULL), (12774, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 14, 1, '2024-08-05 19:46:51', NULL), (12775, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 15, 1, '2024-08-05 19:46:51', NULL), (12776, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 16, 1, '2024-08-05 19:46:51', NULL), (12777, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 17, 1, '2024-08-05 19:46:51', NULL), (12778, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 18, 1, '2024-08-05 19:46:51', NULL), (12779, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 19, 1, '2024-08-05 19:46:52', NULL), (12780, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 20, 1, '2024-08-05 19:46:52', NULL), (12781, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 21, 1, '2024-08-05 19:46:52', NULL), (12782, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 22, 1, '2024-08-05 19:46:52', NULL), (12783, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 23, 1, '2024-08-05 19:46:52', NULL), (12784, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 24, 1, '2024-08-05 19:46:52', NULL), (12785, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 25, 1, '2024-08-05 19:46:52', NULL), (12786, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 26, 1, '2024-08-05 19:46:52', NULL), (12787, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 27, 1, '2024-08-05 19:46:52', NULL), (12788, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 28, 1, '2024-08-05 19:46:53', NULL), (12789, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 29, 1, '2024-08-05 19:46:53', NULL), (12790, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 6, 30, 1, '2024-08-05 19:46:53', NULL), (12791, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 1, 1, '2024-08-05 19:46:53', NULL), (12792, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 2, 1, '2024-08-05 19:46:53', NULL), (12793, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 3, 1, '2024-08-05 19:46:53', NULL), (12794, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 4, 1, '2024-08-05 19:46:53', NULL), (12795, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 5, 1, '2024-08-05 19:46:53', NULL), (12796, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 6, 1, '2024-08-05 19:46:53', NULL), (12797, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 7, 1, '2024-08-05 19:46:53', NULL), (12798, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 8, 1, '2024-08-05 19:46:54', NULL), (12799, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 9, 1, '2024-08-05 19:46:54', NULL), (12800, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 10, 1, '2024-08-05 19:46:54', NULL), (12801, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 11, 1, '2024-08-05 19:46:54', NULL), (12802, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 12, 1, '2024-08-05 19:46:54', NULL), (12803, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 13, 1, '2024-08-05 19:46:54', NULL), (12804, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 14, 1, '2024-08-05 19:46:54', NULL), (12805, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 15, 1, '2024-08-05 19:46:54', NULL), (12806, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 16, 1, '2024-08-05 19:46:54', NULL), (12807, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 17, 1, '2024-08-05 19:46:54', NULL), (12808, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 18, 1, '2024-08-05 19:46:55', NULL), (12809, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 19, 1, '2024-08-05 19:46:55', NULL), (12810, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 20, 1, '2024-08-05 19:46:55', NULL), (12811, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 21, 1, '2024-08-05 19:46:55', NULL), (12812, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 22, 1, '2024-08-05 19:46:55', NULL), (12813, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 23, 1, '2024-08-05 19:46:55', NULL), (12814, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 24, 1, '2024-08-05 19:46:55', NULL), (12815, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 25, 1, '2024-08-05 19:46:55', NULL), (12816, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 26, 1, '2024-08-05 19:46:55', NULL), (12817, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 27, 1, '2024-08-05 19:46:56', NULL), (12818, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 28, 1, '2024-08-05 19:46:56', NULL), (12819, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 29, 1, '2024-08-05 19:46:56', NULL), (12820, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 30, 1, '2024-08-05 19:46:56', NULL), (12821, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 7, 31, 1, '2024-08-05 19:46:56', NULL), (12822, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 1, 1, '2024-08-05 19:46:56', '2024-08-05 22:12:34'), (12823, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 2, 1, '2024-08-05 19:46:56', '2024-08-06 02:20:04'), (12824, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 3, 1, '2024-08-05 19:46:56', '2024-08-07 01:30:03'), (12825, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 4, 1, '2024-08-05 19:46:56', '2024-08-08 01:30:02'), (12826, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 5, 1, '2024-08-05 19:46:56', '2024-08-09 01:30:02'), (12827, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 1, 1, '2024-08-05 19:58:24', NULL), (12828, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 2, 1, '2024-08-05 19:58:25', NULL), (12829, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 3, 1, '2024-08-05 19:58:25', NULL), (12830, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 4, 1, '2024-08-05 19:58:25', NULL), (12831, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 5, 1, '2024-08-05 19:58:25', NULL), (12832, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 6, 1, '2024-08-05 19:58:25', NULL), (12833, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 7, 1, '2024-08-05 19:58:25', NULL), (12834, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 8, 1, '2024-08-05 19:58:25', NULL), (12835, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 9, 1, '2024-08-05 19:58:25', NULL), (12836, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 10, 1, '2024-08-05 19:58:25', NULL), (12837, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 11, 1, '2024-08-05 19:58:25', NULL), (12838, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 12, 1, '2024-08-05 19:58:25', NULL), (12839, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 13, 1, '2024-08-05 19:58:25', NULL), (12840, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 14, 1, '2024-08-05 19:58:25', NULL), (12841, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 15, 1, '2024-08-05 19:58:25', NULL), (12842, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 16, 1, '2024-08-05 19:58:25', NULL), (12843, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 17, 1, '2024-08-05 19:58:25', NULL), (12844, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 18, 1, '2024-08-05 19:58:25', NULL), (12845, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 19, 1, '2024-08-05 19:58:25', NULL), (12846, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 20, 1, '2024-08-05 19:58:25', NULL), (12847, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 21, 1, '2024-08-05 19:58:26', NULL), (12848, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 22, 1, '2024-08-05 19:58:26', NULL), (12849, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 23, 1, '2024-08-05 19:58:26', NULL), (12850, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 24, 1, '2024-08-05 19:58:26', NULL), (12851, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 25, 1, '2024-08-05 19:58:26', NULL), (12852, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 26, 1, '2024-08-05 19:58:26', NULL), (12853, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 27, 1, '2024-08-05 19:58:26', NULL), (12854, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 28, 1, '2024-08-05 19:58:26', NULL), (12855, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 29, 1, '2024-08-05 19:58:26', NULL), (12856, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 30, 1, '2024-08-05 19:58:26', NULL), (12857, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 1, 31, 1, '2024-08-05 19:58:26', NULL), (12858, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 1, 1, '2024-08-05 19:58:26', NULL), (12859, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 2, 1, '2024-08-05 19:58:26', NULL), (12860, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 3, 1, '2024-08-05 19:58:26', NULL), (12861, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 4, 1, '2024-08-05 19:58:26', NULL), (12862, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 5, 1, '2024-08-05 19:58:26', NULL), (12863, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 6, 1, '2024-08-05 19:58:26', NULL), (12864, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 7, 1, '2024-08-05 19:58:26', NULL), (12865, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 8, 1, '2024-08-05 19:58:26', NULL), (12866, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 9, 1, '2024-08-05 19:58:27', NULL), (12867, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 10, 1, '2024-08-05 19:58:27', NULL), (12868, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 11, 1, '2024-08-05 19:58:27', NULL), (12869, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 12, 1, '2024-08-05 19:58:27', NULL), (12870, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 13, 1, '2024-08-05 19:58:27', NULL), (12871, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 14, 1, '2024-08-05 19:58:27', NULL), (12872, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 15, 1, '2024-08-05 19:58:27', NULL), (12873, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 16, 1, '2024-08-05 19:58:27', NULL), (12874, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 17, 1, '2024-08-05 19:58:27', NULL), (12875, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 18, 1, '2024-08-05 19:58:27', NULL), (12876, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 19, 1, '2024-08-05 19:58:27', NULL), (12877, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 20, 1, '2024-08-05 19:58:27', NULL), (12878, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 21, 1, '2024-08-05 19:58:27', NULL), (12879, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 22, 1, '2024-08-05 19:58:27', NULL), (12880, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 23, 1, '2024-08-05 19:58:27', NULL), (12881, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 24, 1, '2024-08-05 19:58:27', NULL), (12882, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 25, 1, '2024-08-05 19:58:27', NULL), (12883, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 26, 1, '2024-08-05 19:58:28', NULL), (12884, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 27, 1, '2024-08-05 19:58:28', NULL), (12885, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 2, 28, 1, '2024-08-05 19:58:28', NULL), (12886, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 1, 1, '2024-08-05 19:58:28', NULL), (12887, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 2, 1, '2024-08-05 19:58:28', NULL), (12888, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 3, 1, '2024-08-05 19:58:28', NULL), (12889, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 4, 1, '2024-08-05 19:58:28', NULL), (12890, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 5, 1, '2024-08-05 19:58:28', NULL), (12891, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 6, 1, '2024-08-05 19:58:28', NULL), (12892, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 7, 1, '2024-08-05 19:58:28', NULL), (12893, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 8, 1, '2024-08-05 19:58:28', NULL), (12894, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 9, 1, '2024-08-05 19:58:28', NULL), (12895, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 10, 1, '2024-08-05 19:58:28', NULL), (12896, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 11, 1, '2024-08-05 19:58:28', NULL), (12897, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 12, 1, '2024-08-05 19:58:28', NULL), (12898, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 13, 1, '2024-08-05 19:58:28', NULL), (12899, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 14, 1, '2024-08-05 19:58:29', NULL), (12900, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 15, 1, '2024-08-05 19:58:29', NULL), (12901, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 16, 1, '2024-08-05 19:58:29', NULL), (12902, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 17, 1, '2024-08-05 19:58:29', NULL), (12903, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 18, 1, '2024-08-05 19:58:29', NULL), (12904, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 19, 1, '2024-08-05 19:58:29', NULL), (12905, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 20, 1, '2024-08-05 19:58:29', NULL), (12906, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 21, 1, '2024-08-05 19:58:29', NULL), (12907, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 22, 1, '2024-08-05 19:58:29', NULL), (12908, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 23, 1, '2024-08-05 19:58:29', NULL), (12909, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 24, 1, '2024-08-05 19:58:29', NULL), (12910, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 25, 1, '2024-08-05 19:58:29', NULL), (12911, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 26, 1, '2024-08-05 19:58:29', NULL), (12912, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 27, 1, '2024-08-05 19:58:29', NULL), (12913, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 28, 1, '2024-08-05 19:58:29', NULL), (12914, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 29, 1, '2024-08-05 19:58:30', NULL), (12915, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 30, 1, '2024-08-05 19:58:30', NULL), (12916, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 3, 31, 1, '2024-08-05 19:58:30', NULL), (12917, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 1, 1, '2024-08-05 19:58:30', NULL), (12918, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 2, 1, '2024-08-05 19:58:30', NULL), (12919, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 3, 1, '2024-08-05 19:58:30', NULL), (12920, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 4, 1, '2024-08-05 19:58:30', NULL), (12921, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 5, 1, '2024-08-05 19:58:30', NULL), (12922, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 6, 1, '2024-08-05 19:58:30', NULL), (12923, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 7, 1, '2024-08-05 19:58:30', NULL), (12924, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 8, 1, '2024-08-05 19:58:30', NULL), (12925, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 9, 1, '2024-08-05 19:58:31', NULL), (12926, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 10, 1, '2024-08-05 19:58:31', NULL), (12927, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 11, 1, '2024-08-05 19:58:31', NULL), (12928, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 12, 1, '2024-08-05 19:58:31', NULL), (12929, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 13, 1, '2024-08-05 19:58:31', NULL), (12930, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 14, 1, '2024-08-05 19:58:31', NULL), (12931, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 15, 1, '2024-08-05 19:58:31', NULL), (12932, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 16, 1, '2024-08-05 19:58:31', NULL), (12933, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 17, 1, '2024-08-05 19:58:31', NULL), (12934, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 18, 1, '2024-08-05 19:58:31', NULL), (12935, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 19, 1, '2024-08-05 19:58:31', NULL), (12936, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 20, 1, '2024-08-05 19:58:32', NULL), (12937, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 21, 1, '2024-08-05 19:58:32', NULL), (12938, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 22, 1, '2024-08-05 19:58:32', NULL), (12939, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 23, 1, '2024-08-05 19:58:32', NULL), (12940, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 24, 1, '2024-08-05 19:58:32', NULL), (12941, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 25, 1, '2024-08-05 19:58:32', NULL), (12942, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 26, 1, '2024-08-05 19:58:32', NULL), (12943, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 27, 1, '2024-08-05 19:58:32', NULL), (12944, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 28, 1, '2024-08-05 19:58:32', NULL), (12945, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 29, 1, '2024-08-05 19:58:32', NULL), (12946, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 4, 30, 1, '2024-08-05 19:58:32', NULL), (12947, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 1, 1, '2024-08-05 19:58:33', NULL), (12948, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 2, 1, '2024-08-05 19:58:33', NULL), (12949, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 3, 1, '2024-08-05 19:58:33', NULL), (12950, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 4, 1, '2024-08-05 19:58:33', NULL), (12951, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 5, 1, '2024-08-05 19:58:34', NULL), (12952, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 6, 1, '2024-08-05 19:58:34', NULL), (12953, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 7, 1, '2024-08-05 19:58:34', NULL), (12954, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 8, 1, '2024-08-05 19:58:34', NULL), (12955, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 9, 1, '2024-08-05 19:58:35', NULL), (12956, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 10, 1, '2024-08-05 19:58:35', NULL), (12957, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 11, 1, '2024-08-05 19:58:35', NULL), (12958, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 12, 1, '2024-08-05 19:58:35', NULL), (12959, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 13, 1, '2024-08-05 19:58:35', NULL), (12960, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 14, 1, '2024-08-05 19:58:36', NULL), (12961, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 15, 1, '2024-08-05 19:58:36', NULL), (12962, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 16, 1, '2024-08-05 19:58:36', NULL), (12963, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 17, 1, '2024-08-05 19:58:36', NULL), (12964, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 18, 1, '2024-08-05 19:58:37', NULL), (12965, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 19, 1, '2024-08-05 19:58:37', NULL), (12966, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 20, 1, '2024-08-05 19:58:37', NULL), (12967, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 21, 1, '2024-08-05 19:58:37', NULL), (12968, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 22, 1, '2024-08-05 19:58:38', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (12969, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 23, 1, '2024-08-05 19:58:38', NULL), (12970, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 24, 1, '2024-08-05 19:58:38', NULL), (12971, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 25, 1, '2024-08-05 19:58:38', NULL), (12972, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 26, 1, '2024-08-05 19:58:39', NULL), (12973, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 27, 1, '2024-08-05 19:58:39', NULL), (12974, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 28, 1, '2024-08-05 19:58:39', NULL), (12975, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 29, 1, '2024-08-05 19:58:39', NULL), (12976, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 30, 1, '2024-08-05 19:58:39', NULL), (12977, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 5, 31, 1, '2024-08-05 19:58:40', NULL), (12978, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 1, 1, '2024-08-05 19:58:40', NULL), (12979, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 2, 1, '2024-08-05 19:58:40', NULL), (12980, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 3, 1, '2024-08-05 19:58:40', NULL), (12981, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 4, 1, '2024-08-05 19:58:41', NULL), (12982, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 5, 1, '2024-08-05 19:58:41', NULL), (12983, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 6, 1, '2024-08-05 19:58:41', NULL), (12984, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 7, 1, '2024-08-05 19:58:41', NULL), (12985, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 8, 1, '2024-08-05 19:58:42', NULL), (12986, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 9, 1, '2024-08-05 19:58:42', NULL), (12987, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 10, 1, '2024-08-05 19:58:42', NULL), (12988, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 11, 1, '2024-08-05 19:58:42', NULL), (12989, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 12, 1, '2024-08-05 19:58:43', NULL), (12990, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 13, 1, '2024-08-05 19:58:43', NULL), (12991, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 14, 1, '2024-08-05 19:58:43', NULL), (12992, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 15, 1, '2024-08-05 19:58:43', NULL), (12993, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 16, 1, '2024-08-05 19:58:43', NULL), (12994, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 17, 1, '2024-08-05 19:58:43', NULL), (12995, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 18, 1, '2024-08-05 19:58:44', NULL), (12996, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 19, 1, '2024-08-05 19:58:44', NULL), (12997, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 20, 1, '2024-08-05 19:58:44', NULL), (12998, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 21, 1, '2024-08-05 19:58:44', NULL), (12999, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 22, 1, '2024-08-05 19:58:44', NULL), (13000, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 23, 1, '2024-08-05 19:58:44', NULL), (13001, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 24, 1, '2024-08-05 19:58:44', NULL), (13002, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 25, 1, '2024-08-05 19:58:44', NULL), (13003, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 26, 1, '2024-08-05 19:58:44', NULL), (13004, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 27, 1, '2024-08-05 19:58:44', NULL), (13005, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 28, 1, '2024-08-05 19:58:44', NULL), (13006, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 29, 1, '2024-08-05 19:58:44', NULL), (13007, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 6, 30, 1, '2024-08-05 19:58:44', NULL), (13008, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 1, 1, '2024-08-05 19:58:44', NULL), (13009, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 2, 1, '2024-08-05 19:58:44', NULL), (13010, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 3, 1, '2024-08-05 19:58:44', NULL), (13011, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 4, 1, '2024-08-05 19:58:44', NULL), (13012, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 5, 1, '2024-08-05 19:58:44', NULL), (13013, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 6, 1, '2024-08-05 19:58:44', NULL), (13014, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 7, 1, '2024-08-05 19:58:44', NULL), (13015, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 8, 1, '2024-08-05 19:58:45', NULL), (13016, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 9, 1, '2024-08-05 19:58:45', NULL), (13017, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 10, 1, '2024-08-05 19:58:45', NULL), (13018, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 11, 1, '2024-08-05 19:58:45', NULL), (13019, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 12, 1, '2024-08-05 19:58:45', NULL), (13020, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 13, 1, '2024-08-05 19:58:45', NULL), (13021, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 14, 1, '2024-08-05 19:58:45', NULL), (13022, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 15, 1, '2024-08-05 19:58:45', NULL), (13023, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 16, 1, '2024-08-05 19:58:45', NULL), (13024, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 17, 1, '2024-08-05 19:58:45', NULL), (13025, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 18, 1, '2024-08-05 19:58:45', NULL), (13026, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 19, 1, '2024-08-05 19:58:45', NULL), (13027, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 20, 1, '2024-08-05 19:58:45', NULL), (13028, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 21, 1, '2024-08-05 19:58:45', NULL), (13029, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 22, 1, '2024-08-05 19:58:45', NULL), (13030, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 23, 1, '2024-08-05 19:58:45', NULL), (13031, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 24, 1, '2024-08-05 19:58:45', NULL), (13032, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 25, 1, '2024-08-05 19:58:45', NULL), (13033, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 26, 1, '2024-08-05 19:58:46', NULL), (13034, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 27, 1, '2024-08-05 19:58:46', NULL), (13035, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 28, 1, '2024-08-05 19:58:46', NULL), (13036, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 29, 1, '2024-08-05 19:58:46', NULL), (13037, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 30, 1, '2024-08-05 19:58:46', NULL), (13038, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 7, 31, 1, '2024-08-05 19:58:46', NULL), (13039, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 1, 1, '2024-08-05 19:58:46', NULL), (13040, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 2, 1, '2024-08-05 19:58:46', NULL), (13041, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 3, 1, '2024-08-05 19:58:46', NULL), (13042, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 4, 1, '2024-08-05 19:58:46', NULL), (13043, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 5, 1, '2024-08-05 19:58:46', NULL), (13044, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 6, 1, '2024-08-05 19:58:46', NULL), (13045, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 7, 1, '2024-08-05 19:58:46', NULL), (13046, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 8, 1, '2024-08-05 19:58:46', NULL), (13047, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 9, 1, '2024-08-05 19:58:46', NULL), (13048, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 10, 1, '2024-08-05 19:58:46', NULL), (13049, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 11, 1, '2024-08-05 19:58:46', NULL), (13050, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 12, 1, '2024-08-05 19:58:46', NULL), (13051, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 13, 1, '2024-08-05 19:58:46', NULL), (13052, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 14, 1, '2024-08-05 19:58:46', NULL), (13053, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 15, 1, '2024-08-05 19:58:46', NULL), (13054, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 16, 1, '2024-08-05 19:58:47', NULL), (13055, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 17, 1, '2024-08-05 19:58:47', NULL), (13056, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 18, 1, '2024-08-05 19:58:47', NULL), (13057, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 19, 1, '2024-08-05 19:58:47', NULL), (13058, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 20, 1, '2024-08-05 19:58:47', NULL), (13059, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 21, 1, '2024-08-05 19:58:47', NULL), (13060, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 22, 1, '2024-08-05 19:58:47', NULL), (13061, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 23, 1, '2024-08-05 19:58:47', NULL), (13062, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 24, 1, '2024-08-05 19:58:47', NULL), (13063, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 25, 1, '2024-08-05 19:58:47', NULL), (13064, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 26, 1, '2024-08-05 19:58:47', NULL), (13065, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 27, 1, '2024-08-05 19:58:47', NULL), (13066, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 28, 1, '2024-08-05 19:58:47', NULL), (13067, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 29, 1, '2024-08-05 19:58:47', NULL), (13068, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 30, 1, '2024-08-05 19:58:47', NULL), (13069, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 8, 31, 1, '2024-08-05 19:58:47', NULL), (13070, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 1, 1, '2024-08-05 19:58:47', NULL), (13071, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 2, 1, '2024-08-05 19:58:47', NULL), (13072, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 3, 1, '2024-08-05 19:58:47', NULL), (13073, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 4, 1, '2024-08-05 19:58:47', NULL), (13074, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 5, 1, '2024-08-05 19:58:47', NULL), (13075, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 6, 1, '2024-08-05 19:58:47', NULL), (13076, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 7, 1, '2024-08-05 19:58:47', NULL), (13077, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 8, 1, '2024-08-05 19:58:48', NULL), (13078, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 9, 1, '2024-08-05 19:58:48', NULL), (13079, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 10, 1, '2024-08-05 19:58:48', NULL), (13080, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 11, 1, '2024-08-05 19:58:48', NULL), (13081, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 12, 1, '2024-08-05 19:58:48', NULL), (13082, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 13, 1, '2024-08-05 19:58:48', NULL), (13083, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 14, 1, '2024-08-05 19:58:48', NULL), (13084, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 15, 1, '2024-08-05 19:58:48', NULL), (13085, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 16, 1, '2024-08-05 19:58:48', NULL), (13086, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 17, 1, '2024-08-05 19:58:48', NULL), (13087, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 18, 1, '2024-08-05 19:58:48', NULL), (13088, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 19, 1, '2024-08-05 19:58:48', NULL), (13089, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 20, 1, '2024-08-05 19:58:48', NULL), (13090, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 21, 1, '2024-08-05 19:58:48', NULL), (13091, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 22, 1, '2024-08-05 19:58:48', NULL), (13092, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 23, 1, '2024-08-05 19:58:48', NULL), (13093, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 24, 1, '2024-08-05 19:58:48', NULL), (13094, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 25, 1, '2024-08-05 19:58:48', NULL), (13095, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 26, 1, '2024-08-05 19:58:48', NULL), (13096, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 27, 1, '2024-08-05 19:58:48', NULL), (13097, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 28, 1, '2024-08-05 19:58:48', NULL), (13098, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 29, 1, '2024-08-05 19:58:48', NULL), (13099, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 9, 30, 1, '2024-08-05 19:58:48', NULL), (13100, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 1, 1, '2024-08-05 19:58:48', NULL), (13101, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 2, 1, '2024-08-05 19:58:48', NULL), (13102, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 3, 1, '2024-08-05 19:58:49', NULL), (13103, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 4, 1, '2024-08-05 19:58:49', NULL), (13104, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 5, 1, '2024-08-05 19:58:49', NULL), (13105, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 6, 1, '2024-08-05 19:58:49', NULL), (13106, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 7, 1, '2024-08-05 19:58:49', NULL), (13107, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 8, 1, '2024-08-05 19:58:49', NULL), (13108, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 9, 1, '2024-08-05 19:58:49', NULL), (13109, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 10, 1, '2024-08-05 19:58:49', NULL), (13110, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 11, 1, '2024-08-05 19:58:49', NULL), (13111, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 12, 1, '2024-08-05 19:58:49', NULL), (13112, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 13, 1, '2024-08-05 19:58:49', NULL), (13113, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 14, 1, '2024-08-05 19:58:49', NULL), (13114, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 15, 1, '2024-08-05 19:58:49', NULL), (13115, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 16, 1, '2024-08-05 19:58:49', NULL), (13116, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 17, 1, '2024-08-05 19:58:49', NULL), (13117, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 18, 1, '2024-08-05 19:58:49', NULL), (13118, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 19, 1, '2024-08-05 19:58:49', NULL), (13119, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 20, 1, '2024-08-05 19:58:49', NULL), (13120, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 21, 1, '2024-08-05 19:58:49', NULL), (13121, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 22, 1, '2024-08-05 19:58:49', NULL), (13122, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 23, 1, '2024-08-05 19:58:49', NULL), (13123, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 24, 1, '2024-08-05 19:58:49', NULL), (13124, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 25, 1, '2024-08-05 19:58:49', NULL), (13125, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 26, 1, '2024-08-05 19:58:49', NULL), (13126, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 27, 1, '2024-08-05 19:58:49', NULL), (13127, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 28, 1, '2024-08-05 19:58:50', NULL), (13128, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 29, 1, '2024-08-05 19:58:50', NULL), (13129, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 30, 1, '2024-08-05 19:58:50', NULL), (13130, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 10, 31, 1, '2024-08-05 19:58:50', NULL), (13131, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 1, 1, '2024-08-05 19:58:50', NULL), (13132, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 2, 1, '2024-08-05 19:58:50', NULL), (13133, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 3, 1, '2024-08-05 19:58:50', NULL), (13134, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 4, 1, '2024-08-05 19:58:50', NULL), (13135, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 5, 1, '2024-08-05 19:58:50', NULL), (13136, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 6, 1, '2024-08-05 19:58:50', NULL), (13137, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 7, 1, '2024-08-05 19:58:50', NULL), (13138, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 8, 1, '2024-08-05 19:58:50', NULL), (13139, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 9, 1, '2024-08-05 19:58:50', NULL), (13140, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 10, 1, '2024-08-05 19:58:50', NULL), (13141, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 11, 1, '2024-08-05 19:58:50', NULL), (13142, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 12, 1, '2024-08-05 19:58:50', NULL), (13143, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 13, 1, '2024-08-05 19:58:50', NULL), (13144, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 14, 1, '2024-08-05 19:58:50', NULL), (13145, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 15, 1, '2024-08-05 19:58:50', NULL), (13146, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 16, 1, '2024-08-05 19:58:50', NULL), (13147, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 17, 1, '2024-08-05 19:58:50', NULL), (13148, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 18, 1, '2024-08-05 19:58:51', NULL), (13149, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 19, 1, '2024-08-05 19:58:51', NULL), (13150, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 20, 1, '2024-08-05 19:58:51', NULL), (13151, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 21, 1, '2024-08-05 19:58:51', NULL), (13152, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 22, 1, '2024-08-05 19:58:51', NULL), (13153, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 23, 1, '2024-08-05 19:58:51', NULL), (13154, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 24, 1, '2024-08-05 19:58:51', NULL), (13155, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 25, 1, '2024-08-05 19:58:51', NULL), (13156, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 26, 1, '2024-08-05 19:58:51', NULL), (13157, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 27, 1, '2024-08-05 19:58:51', NULL), (13158, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 28, 1, '2024-08-05 19:58:51', NULL), (13159, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 29, 1, '2024-08-05 19:58:51', NULL), (13160, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 11, 30, 1, '2024-08-05 19:58:51', NULL), (13161, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 1, 1, '2024-08-05 19:58:51', NULL), (13162, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 2, 1, '2024-08-05 19:58:51', NULL), (13163, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 3, 1, '2024-08-05 19:58:51', NULL), (13164, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 4, 1, '2024-08-05 19:58:51', NULL), (13165, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 5, 1, '2024-08-05 19:58:51', NULL), (13166, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 6, 1, '2024-08-05 19:58:51', NULL), (13167, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 7, 1, '2024-08-05 19:58:52', NULL), (13168, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 8, 1, '2024-08-05 19:58:52', NULL), (13169, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 9, 1, '2024-08-05 19:58:52', NULL), (13170, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 10, 1, '2024-08-05 19:58:52', NULL), (13171, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 11, 1, '2024-08-05 19:58:52', NULL), (13172, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 12, 1, '2024-08-05 19:58:52', NULL), (13173, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 13, 1, '2024-08-05 19:58:52', NULL), (13174, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 14, 1, '2024-08-05 19:58:52', NULL), (13175, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 15, 1, '2024-08-05 19:58:52', NULL), (13176, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 16, 1, '2024-08-05 19:58:52', NULL), (13177, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 17, 1, '2024-08-05 19:58:52', NULL), (13178, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 18, 1, '2024-08-05 19:58:52', NULL), (13179, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 19, 1, '2024-08-05 19:58:52', NULL), (13180, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 20, 1, '2024-08-05 19:58:52', NULL), (13181, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 21, 1, '2024-08-05 19:58:52', NULL), (13182, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 22, 1, '2024-08-05 19:58:52', NULL), (13183, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 23, 1, '2024-08-05 19:58:52', NULL), (13184, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 24, 1, '2024-08-05 19:58:52', NULL), (13185, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 25, 1, '2024-08-05 19:58:52', NULL), (13186, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 26, 1, '2024-08-05 19:58:53', NULL), (13187, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 27, 1, '2024-08-05 19:58:53', NULL), (13188, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 28, 1, '2024-08-05 19:58:53', NULL), (13189, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 29, 1, '2024-08-05 19:58:53', NULL), (13190, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 30, 1, '2024-08-05 19:58:53', NULL), (13191, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2023, 12, 31, 1, '2024-08-05 19:58:53', NULL), (13192, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 1, 1, '2024-08-05 19:58:53', NULL), (13193, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 2, 1, '2024-08-05 19:58:53', NULL), (13194, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 3, 1, '2024-08-05 19:58:53', NULL), (13195, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 4, 1, '2024-08-05 19:58:53', NULL), (13196, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 5, 1, '2024-08-05 19:58:53', NULL), (13197, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 6, 1, '2024-08-05 19:58:53', NULL), (13198, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 7, 1, '2024-08-05 19:58:53', NULL), (13199, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 8, 1, '2024-08-05 19:58:53', NULL), (13200, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 9, 1, '2024-08-05 19:58:53', NULL), (13201, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 10, 1, '2024-08-05 19:58:53', NULL), (13202, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 11, 1, '2024-08-05 19:58:54', NULL), (13203, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 12, 1, '2024-08-05 19:58:54', NULL), (13204, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 13, 1, '2024-08-05 19:58:54', NULL), (13205, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 14, 1, '2024-08-05 19:58:54', NULL), (13206, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 15, 1, '2024-08-05 19:58:54', NULL), (13207, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 16, 1, '2024-08-05 19:58:54', NULL), (13208, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 17, 1, '2024-08-05 19:58:54', NULL), (13209, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 18, 1, '2024-08-05 19:58:54', NULL), (13210, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 19, 1, '2024-08-05 19:58:54', NULL), (13211, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 20, 1, '2024-08-05 19:58:54', NULL), (13212, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 21, 1, '2024-08-05 19:58:54', NULL), (13213, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 22, 1, '2024-08-05 19:58:54', NULL), (13214, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 23, 1, '2024-08-05 19:58:54', NULL), (13215, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 24, 1, '2024-08-05 19:58:54', NULL), (13216, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 25, 1, '2024-08-05 19:58:54', NULL), (13217, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 26, 1, '2024-08-05 19:58:54', NULL), (13218, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 27, 1, '2024-08-05 19:58:55', NULL), (13219, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 28, 1, '2024-08-05 19:58:55', NULL), (13220, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 29, 1, '2024-08-05 19:58:55', NULL), (13221, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 30, 1, '2024-08-05 19:58:55', NULL), (13222, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 1, 31, 1, '2024-08-05 19:58:55', NULL), (13223, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 1, 1, '2024-08-05 19:58:55', NULL), (13224, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 2, 1, '2024-08-05 19:58:55', NULL), (13225, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 3, 1, '2024-08-05 19:58:55', NULL), (13226, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 4, 1, '2024-08-05 19:58:55', NULL), (13227, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 5, 1, '2024-08-05 19:58:55', NULL), (13228, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 6, 1, '2024-08-05 19:58:55', NULL), (13229, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 7, 1, '2024-08-05 19:58:55', NULL), (13230, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 8, 1, '2024-08-05 19:58:55', NULL), (13231, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 9, 1, '2024-08-05 19:58:55', NULL), (13232, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 10, 1, '2024-08-05 19:58:55', NULL), (13233, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 11, 1, '2024-08-05 19:58:56', NULL), (13234, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 12, 1, '2024-08-05 19:58:56', NULL), (13235, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 13, 1, '2024-08-05 19:58:56', NULL), (13236, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 14, 1, '2024-08-05 19:58:56', NULL), (13237, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 15, 1, '2024-08-05 19:58:56', NULL), (13238, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 16, 1, '2024-08-05 19:58:56', NULL), (13239, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 17, 1, '2024-08-05 19:58:56', NULL), (13240, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 18, 1, '2024-08-05 19:58:56', NULL), (13241, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 19, 1, '2024-08-05 19:58:56', NULL), (13242, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 20, 1, '2024-08-05 19:58:56', NULL), (13243, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 21, 1, '2024-08-05 19:58:56', NULL), (13244, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 22, 1, '2024-08-05 19:58:56', NULL), (13245, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 23, 1, '2024-08-05 19:58:56', NULL), (13246, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 24, 1, '2024-08-05 19:58:56', NULL), (13247, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 25, 1, '2024-08-05 19:58:56', NULL), (13248, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 26, 1, '2024-08-05 19:58:57', NULL), (13249, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 27, 1, '2024-08-05 19:58:57', NULL), (13250, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 28, 1, '2024-08-05 19:58:57', NULL), (13251, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 2, 29, 1, '2024-08-05 19:58:57', NULL), (13252, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 1, 1, '2024-08-05 19:58:57', NULL), (13253, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 2, 1, '2024-08-05 19:58:57', NULL), (13254, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 3, 1, '2024-08-05 19:58:57', NULL), (13255, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 4, 1, '2024-08-05 19:58:57', NULL), (13256, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 5, 1, '2024-08-05 19:58:57', NULL), (13257, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 6, 1, '2024-08-05 19:58:57', NULL), (13258, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 7, 1, '2024-08-05 19:58:57', NULL), (13259, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 8, 1, '2024-08-05 19:58:57', NULL), (13260, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 9, 1, '2024-08-05 19:58:57', NULL), (13261, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 10, 1, '2024-08-05 19:58:57', NULL), (13262, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 11, 1, '2024-08-05 19:58:58', NULL), (13263, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 12, 1, '2024-08-05 19:58:58', NULL), (13264, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 13, 1, '2024-08-05 19:58:58', NULL), (13265, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 14, 1, '2024-08-05 19:58:58', NULL), (13266, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 15, 1, '2024-08-05 19:58:58', NULL), (13267, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 16, 1, '2024-08-05 19:58:58', NULL), (13268, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 17, 1, '2024-08-05 19:58:58', NULL), (13269, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 18, 1, '2024-08-05 19:58:58', NULL), (13270, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 19, 1, '2024-08-05 19:58:58', NULL), (13271, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 20, 1, '2024-08-05 19:58:58', NULL), (13272, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 21, 1, '2024-08-05 19:58:58', NULL), (13273, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 22, 1, '2024-08-05 19:58:58', NULL), (13274, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 23, 1, '2024-08-05 19:58:58', NULL), (13275, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 24, 1, '2024-08-05 19:58:58', NULL), (13276, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 25, 1, '2024-08-05 19:58:59', NULL), (13277, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 26, 1, '2024-08-05 19:58:59', NULL), (13278, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 27, 1, '2024-08-05 19:58:59', NULL), (13279, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 28, 1, '2024-08-05 19:58:59', NULL), (13280, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 29, 1, '2024-08-05 19:58:59', NULL), (13281, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 30, 1, '2024-08-05 19:58:59', NULL), (13282, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 3, 31, 1, '2024-08-05 19:58:59', NULL), (13283, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 1, 1, '2024-08-05 19:58:59', NULL), (13284, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 2, 1, '2024-08-05 19:58:59', NULL), (13285, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 3, 1, '2024-08-05 19:58:59', NULL), (13286, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 4, 1, '2024-08-05 19:58:59', NULL), (13287, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 5, 1, '2024-08-05 19:58:59', NULL), (13288, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 6, 1, '2024-08-05 19:58:59', NULL), (13289, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 7, 1, '2024-08-05 19:58:59', NULL), (13290, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 8, 1, '2024-08-05 19:59:00', NULL), (13291, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 9, 1, '2024-08-05 19:59:00', NULL), (13292, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 10, 1, '2024-08-05 19:59:00', NULL), (13293, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 11, 1, '2024-08-05 19:59:00', NULL), (13294, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 12, 1, '2024-08-05 19:59:00', NULL), (13295, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 13, 1, '2024-08-05 19:59:00', NULL), (13296, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 14, 1, '2024-08-05 19:59:00', NULL), (13297, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 15, 1, '2024-08-05 19:59:00', NULL), (13298, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 16, 1, '2024-08-05 19:59:00', NULL), (13299, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 17, 1, '2024-08-05 19:59:00', NULL), (13300, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 18, 1, '2024-08-05 19:59:00', NULL), (13301, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 19, 1, '2024-08-05 19:59:00', NULL), (13302, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 20, 1, '2024-08-05 19:59:00', NULL), (13303, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 21, 1, '2024-08-05 19:59:00', NULL), (13304, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 22, 1, '2024-08-05 19:59:01', NULL), (13305, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 23, 1, '2024-08-05 19:59:01', NULL), (13306, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 24, 1, '2024-08-05 19:59:01', NULL), (13307, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 25, 1, '2024-08-05 19:59:01', NULL), (13308, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 26, 1, '2024-08-05 19:59:01', NULL), (13309, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 27, 1, '2024-08-05 19:59:01', NULL), (13310, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 28, 1, '2024-08-05 19:59:01', NULL), (13311, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 29, 1, '2024-08-05 19:59:01', NULL), (13312, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 4, 30, 1, '2024-08-05 19:59:01', NULL), (13313, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 1, 1, '2024-08-05 19:59:01', NULL), (13314, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 2, 1, '2024-08-05 19:59:01', NULL), (13315, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 3, 1, '2024-08-05 19:59:01', NULL), (13316, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 4, 1, '2024-08-05 19:59:01', NULL), (13317, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 5, 1, '2024-08-05 19:59:01', NULL), (13318, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 6, 1, '2024-08-05 19:59:01', NULL), (13319, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 7, 1, '2024-08-05 19:59:02', NULL), (13320, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 8, 1, '2024-08-05 19:59:02', NULL), (13321, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 9, 1, '2024-08-05 19:59:02', NULL), (13322, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 10, 1, '2024-08-05 19:59:02', NULL), (13323, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 11, 1, '2024-08-05 19:59:02', NULL), (13324, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 12, 1, '2024-08-05 19:59:02', NULL), (13325, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 13, 1, '2024-08-05 19:59:02', NULL), (13326, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 14, 1, '2024-08-05 19:59:02', NULL), (13327, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 15, 1, '2024-08-05 19:59:02', NULL), (13328, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 16, 1, '2024-08-05 19:59:02', NULL), (13329, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 17, 1, '2024-08-05 19:59:02', NULL), (13330, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 18, 1, '2024-08-05 19:59:02', NULL), (13331, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 19, 1, '2024-08-05 19:59:02', NULL), (13332, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 20, 1, '2024-08-05 19:59:02', NULL), (13333, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 21, 1, '2024-08-05 19:59:03', NULL), (13334, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 22, 1, '2024-08-05 19:59:03', NULL), (13335, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 23, 1, '2024-08-05 19:59:03', NULL), (13336, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 24, 1, '2024-08-05 19:59:03', NULL), (13337, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 25, 1, '2024-08-05 19:59:03', NULL), (13338, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 26, 1, '2024-08-05 19:59:03', NULL), (13339, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 27, 1, '2024-08-05 19:59:03', NULL), (13340, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 28, 1, '2024-08-05 19:59:03', NULL), (13341, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 29, 1, '2024-08-05 19:59:03', NULL), (13342, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 30, 1, '2024-08-05 19:59:03', NULL), (13343, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 5, 31, 1, '2024-08-05 19:59:03', NULL), (13344, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 1, 1, '2024-08-05 19:59:03', NULL), (13345, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 2, 1, '2024-08-05 19:59:03', NULL), (13346, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 3, 1, '2024-08-05 19:59:03', NULL), (13347, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 4, 1, '2024-08-05 19:59:03', NULL), (13348, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 5, 1, '2024-08-05 19:59:04', NULL), (13349, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 6, 1, '2024-08-05 19:59:04', NULL), (13350, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 7, 1, '2024-08-05 19:59:04', NULL), (13351, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 8, 1, '2024-08-05 19:59:04', NULL), (13352, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 9, 1, '2024-08-05 19:59:04', NULL), (13353, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 10, 1, '2024-08-05 19:59:04', NULL), (13354, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 11, 1, '2024-08-05 19:59:04', NULL), (13355, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 12, 1, '2024-08-05 19:59:04', NULL), (13356, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 13, 1, '2024-08-05 19:59:04', NULL), (13357, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 14, 1, '2024-08-05 19:59:04', NULL), (13358, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 15, 1, '2024-08-05 19:59:04', NULL), (13359, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 16, 1, '2024-08-05 19:59:04', NULL), (13360, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 17, 1, '2024-08-05 19:59:04', NULL), (13361, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 18, 1, '2024-08-05 19:59:05', NULL), (13362, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 19, 1, '2024-08-05 19:59:05', NULL), (13363, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 20, 1, '2024-08-05 19:59:05', NULL), (13364, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 21, 1, '2024-08-05 19:59:05', NULL), (13365, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 22, 1, '2024-08-05 19:59:05', NULL), (13366, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 23, 1, '2024-08-05 19:59:05', NULL), (13367, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 24, 1, '2024-08-05 19:59:05', NULL), (13368, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 25, 1, '2024-08-05 19:59:05', NULL), (13369, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 26, 1, '2024-08-05 19:59:05', NULL), (13370, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 27, 1, '2024-08-05 19:59:05', NULL), (13371, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 28, 1, '2024-08-05 19:59:05', NULL), (13372, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 29, 1, '2024-08-05 19:59:05', NULL), (13373, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 6, 30, 1, '2024-08-05 19:59:05', NULL), (13374, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 1, 1, '2024-08-05 19:59:05', NULL), (13375, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 2, 1, '2024-08-05 19:59:06', NULL), (13376, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 3, 1, '2024-08-05 19:59:06', NULL), (13377, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 4, 1, '2024-08-05 19:59:06', NULL), (13378, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 5, 1, '2024-08-05 19:59:06', NULL), (13379, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 6, 1, '2024-08-05 19:59:06', NULL), (13380, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 7, 1, '2024-08-05 19:59:06', NULL), (13381, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 8, 1, '2024-08-05 19:59:06', NULL), (13382, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 9, 1, '2024-08-05 19:59:06', NULL), (13383, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 10, 1, '2024-08-05 19:59:06', NULL), (13384, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 11, 1, '2024-08-05 19:59:06', NULL), (13385, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 12, 1, '2024-08-05 19:59:06', NULL), (13386, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 13, 1, '2024-08-05 19:59:06', NULL), (13387, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 14, 1, '2024-08-05 19:59:06', NULL), (13388, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 15, 1, '2024-08-05 19:59:07', NULL), (13389, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 16, 1, '2024-08-05 19:59:07', NULL), (13390, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 17, 1, '2024-08-05 19:59:07', NULL), (13391, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 18, 1, '2024-08-05 19:59:07', NULL), (13392, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 19, 1, '2024-08-05 19:59:07', NULL), (13393, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 20, 1, '2024-08-05 19:59:07', NULL), (13394, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 21, 1, '2024-08-05 19:59:07', NULL), (13395, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 22, 1, '2024-08-05 19:59:07', NULL), (13396, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 23, 1, '2024-08-05 19:59:07', NULL), (13397, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 24, 1, '2024-08-05 19:59:08', NULL), (13398, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 25, 1, '2024-08-05 19:59:08', NULL), (13399, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 26, 1, '2024-08-05 19:59:08', NULL), (13400, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 27, 1, '2024-08-05 19:59:08', NULL), (13401, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 28, 1, '2024-08-05 19:59:08', NULL), (13402, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 29, 1, '2024-08-05 19:59:08', NULL), (13403, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 30, 1, '2024-08-05 19:59:08', NULL), (13404, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 7, 31, 1, '2024-08-05 19:59:08', NULL), (13405, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 1, 1, '2024-08-05 19:59:08', '2024-08-05 22:12:34'), (13406, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 2, 1, '2024-08-05 19:59:08', '2024-08-06 02:20:04'), (13407, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 3, 1, '2024-08-05 19:59:09', '2024-08-07 01:30:03'), (13408, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 4, 1, '2024-08-05 19:59:09', '2024-08-08 01:30:02'), (13409, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 5, 1, '2024-08-05 19:59:09', '2024-08-09 01:30:02'), (13410, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 1, 1, '2024-08-05 20:11:43', NULL), (13411, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 2, 1, '2024-08-05 20:11:43', NULL), (13412, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 3, 1, '2024-08-05 20:11:43', NULL), (13413, 40, '511527107000-0001', '镇舟镇便民服务中心', 1, 2023, 1, 4, 1, '2024-08-05 20:11:43', NULL), (13414, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 5, 1, '2024-08-05 20:11:43', NULL), (13415, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 6, 1, '2024-08-05 20:11:43', NULL), (13416, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 7, 1, '2024-08-05 20:11:43', NULL), (13417, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 8, 1, '2024-08-05 20:11:43', NULL), (13418, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 9, 1, '2024-08-05 20:11:43', NULL), (13419, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 10, 1, '2024-08-05 20:11:43', NULL), (13420, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 11, 1, '2024-08-05 20:11:43', NULL), (13421, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 12, 1, '2024-08-05 20:11:43', NULL), (13422, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 13, 1, '2024-08-05 20:11:43', NULL), (13423, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 14, 1, '2024-08-05 20:11:43', NULL), (13424, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 15, 1, '2024-08-05 20:11:43', NULL), (13425, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 16, 1, '2024-08-05 20:11:43', NULL), (13426, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 17, 1, '2024-08-05 20:11:43', NULL), (13427, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 18, 1, '2024-08-05 20:11:44', NULL), (13428, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 19, 1, '2024-08-05 20:11:44', NULL), (13429, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 20, 1, '2024-08-05 20:11:44', NULL), (13430, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 21, 1, '2024-08-05 20:11:44', NULL), (13431, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 22, 1, '2024-08-05 20:11:44', NULL), (13432, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 23, 1, '2024-08-05 20:11:44', NULL), (13433, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 24, 1, '2024-08-05 20:11:44', NULL), (13434, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 25, 1, '2024-08-05 20:11:44', NULL), (13435, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 26, 1, '2024-08-05 20:11:44', NULL), (13436, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 27, 1, '2024-08-05 20:11:44', NULL), (13437, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 28, 1, '2024-08-05 20:11:44', NULL), (13438, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 29, 1, '2024-08-05 20:11:44', NULL), (13439, 40, '511527107000-0001', '镇舟镇便民服务中心', 3, 2023, 1, 30, 1, '2024-08-05 20:11:44', NULL), (13440, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 1, 31, 1, '2024-08-05 20:11:44', NULL), (13441, 40, '511527107000-0001', '镇舟镇便民服务中心', 1, 2023, 2, 1, 1, '2024-08-05 20:11:44', NULL), (13442, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 2, 1, '2024-08-05 20:11:44', NULL), (13443, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 3, 1, '2024-08-05 20:11:44', NULL), (13444, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 4, 1, '2024-08-05 20:11:44', NULL), (13445, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 5, 1, '2024-08-05 20:11:44', NULL), (13446, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 6, 1, '2024-08-05 20:11:44', NULL), (13447, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 7, 1, '2024-08-05 20:11:44', NULL), (13448, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 8, 1, '2024-08-05 20:11:44', NULL), (13449, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 9, 1, '2024-08-05 20:11:45', NULL), (13450, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 10, 1, '2024-08-05 20:11:45', NULL), (13451, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 11, 1, '2024-08-05 20:11:45', NULL), (13452, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 12, 1, '2024-08-05 20:11:45', NULL), (13453, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 13, 1, '2024-08-05 20:11:45', NULL), (13454, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 14, 1, '2024-08-05 20:11:45', NULL), (13455, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 15, 1, '2024-08-05 20:11:45', NULL), (13456, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 16, 1, '2024-08-05 20:11:45', NULL), (13457, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 17, 1, '2024-08-05 20:11:45', NULL), (13458, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 18, 1, '2024-08-05 20:11:45', NULL), (13459, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 19, 1, '2024-08-05 20:11:45', NULL), (13460, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 20, 1, '2024-08-05 20:11:45', NULL), (13461, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 21, 1, '2024-08-05 20:11:45', NULL), (13462, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 22, 1, '2024-08-05 20:11:45', NULL), (13463, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 23, 1, '2024-08-05 20:11:45', NULL), (13464, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 24, 1, '2024-08-05 20:11:45', NULL), (13465, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 25, 1, '2024-08-05 20:11:45', NULL), (13466, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 26, 1, '2024-08-05 20:11:45', NULL), (13467, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 27, 1, '2024-08-05 20:11:45', NULL), (13468, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 2, 28, 1, '2024-08-05 20:11:45', NULL), (13469, 40, '511527107000-0001', '镇舟镇便民服务中心', 6, 2023, 3, 1, 1, '2024-08-05 20:11:45', NULL), (13470, 40, '511527107000-0001', '镇舟镇便民服务中心', 1, 2023, 3, 2, 1, '2024-08-05 20:11:45', NULL), (13471, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 3, 1, '2024-08-05 20:11:46', NULL), (13472, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 4, 1, '2024-08-05 20:11:46', NULL), (13473, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 5, 1, '2024-08-05 20:11:46', NULL), (13474, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 6, 1, '2024-08-05 20:11:46', NULL), (13475, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 7, 1, '2024-08-05 20:11:46', NULL), (13476, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 8, 1, '2024-08-05 20:11:46', NULL), (13477, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 9, 1, '2024-08-05 20:11:46', NULL), (13478, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 10, 1, '2024-08-05 20:11:46', NULL), (13479, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 11, 1, '2024-08-05 20:11:46', NULL), (13480, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 12, 1, '2024-08-05 20:11:46', NULL), (13481, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 13, 1, '2024-08-05 20:11:46', NULL), (13482, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 14, 1, '2024-08-05 20:11:46', NULL), (13483, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 15, 1, '2024-08-05 20:11:46', NULL), (13484, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 16, 1, '2024-08-05 20:11:46', NULL), (13485, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 17, 1, '2024-08-05 20:11:46', NULL), (13486, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 18, 1, '2024-08-05 20:11:46', NULL), (13487, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 19, 1, '2024-08-05 20:11:46', NULL), (13488, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 20, 1, '2024-08-05 20:11:46', NULL), (13489, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 21, 1, '2024-08-05 20:11:46', NULL), (13490, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 22, 1, '2024-08-05 20:11:46', NULL), (13491, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 23, 1, '2024-08-05 20:11:47', NULL), (13492, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 24, 1, '2024-08-05 20:11:47', NULL), (13493, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 25, 1, '2024-08-05 20:11:47', NULL), (13494, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 26, 1, '2024-08-05 20:11:47', NULL), (13495, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 27, 1, '2024-08-05 20:11:47', NULL), (13496, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 28, 1, '2024-08-05 20:11:47', NULL), (13497, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 29, 1, '2024-08-05 20:11:47', NULL), (13498, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 30, 1, '2024-08-05 20:11:47', NULL), (13499, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 3, 31, 1, '2024-08-05 20:11:47', NULL), (13500, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 1, 1, '2024-08-05 20:11:47', NULL), (13501, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 2, 1, '2024-08-05 20:11:47', NULL), (13502, 40, '511527107000-0001', '镇舟镇便民服务中心', 2, 2023, 4, 3, 1, '2024-08-05 20:11:47', NULL), (13503, 40, '511527107000-0001', '镇舟镇便民服务中心', 5, 2023, 4, 4, 1, '2024-08-05 20:11:47', NULL), (13504, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 5, 1, '2024-08-05 20:11:47', NULL), (13505, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 6, 1, '2024-08-05 20:11:47', NULL), (13506, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 7, 1, '2024-08-05 20:11:47', NULL), (13507, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 8, 1, '2024-08-05 20:11:47', NULL), (13508, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 9, 1, '2024-08-05 20:11:47', NULL), (13509, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 10, 1, '2024-08-05 20:11:47', NULL), (13510, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 11, 1, '2024-08-05 20:11:47', NULL), (13511, 40, '511527107000-0001', '镇舟镇便民服务中心', 5, 2023, 4, 12, 1, '2024-08-05 20:11:48', NULL), (13512, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 13, 1, '2024-08-05 20:11:48', NULL), (13513, 40, '511527107000-0001', '镇舟镇便民服务中心', 1, 2023, 4, 14, 1, '2024-08-05 20:11:48', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (13514, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 15, 1, '2024-08-05 20:11:48', NULL), (13515, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 16, 1, '2024-08-05 20:11:48', NULL), (13516, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 17, 1, '2024-08-05 20:11:48', NULL), (13517, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 18, 1, '2024-08-05 20:11:48', NULL), (13518, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 19, 1, '2024-08-05 20:11:48', NULL), (13519, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 20, 1, '2024-08-05 20:11:48', NULL), (13520, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 21, 1, '2024-08-05 20:11:48', NULL), (13521, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 22, 1, '2024-08-05 20:11:48', NULL), (13522, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 23, 1, '2024-08-05 20:11:48', NULL), (13523, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 24, 1, '2024-08-05 20:11:48', NULL), (13524, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 25, 1, '2024-08-05 20:11:48', NULL), (13525, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 26, 1, '2024-08-05 20:11:48', NULL), (13526, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 27, 1, '2024-08-05 20:11:48', NULL), (13527, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 28, 1, '2024-08-05 20:11:48', NULL), (13528, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 29, 1, '2024-08-05 20:11:48', NULL), (13529, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 4, 30, 1, '2024-08-05 20:11:48', NULL), (13530, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 1, 1, '2024-08-05 20:11:49', NULL), (13531, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 2, 1, '2024-08-05 20:11:49', NULL), (13532, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 3, 1, '2024-08-05 20:11:49', NULL), (13533, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 4, 1, '2024-08-05 20:11:49', NULL), (13534, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 5, 1, '2024-08-05 20:11:49', NULL), (13535, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 6, 1, '2024-08-05 20:11:49', NULL), (13536, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 7, 1, '2024-08-05 20:11:49', NULL), (13537, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 8, 1, '2024-08-05 20:11:49', NULL), (13538, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 9, 1, '2024-08-05 20:11:49', NULL), (13539, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 10, 1, '2024-08-05 20:11:49', NULL), (13540, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 11, 1, '2024-08-05 20:11:49', NULL), (13541, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 12, 1, '2024-08-05 20:11:49', NULL), (13542, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 13, 1, '2024-08-05 20:11:49', NULL), (13543, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 14, 1, '2024-08-05 20:11:49', NULL), (13544, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 15, 1, '2024-08-05 20:11:49', NULL), (13545, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 16, 1, '2024-08-05 20:11:49', NULL), (13546, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 17, 1, '2024-08-05 20:11:49', NULL), (13547, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 18, 1, '2024-08-05 20:11:49', NULL), (13548, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 19, 1, '2024-08-05 20:11:49', NULL), (13549, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 20, 1, '2024-08-05 20:11:50', NULL), (13550, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 21, 1, '2024-08-05 20:11:50', NULL), (13551, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 22, 1, '2024-08-05 20:11:50', NULL), (13552, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 23, 1, '2024-08-05 20:11:50', NULL), (13553, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 24, 1, '2024-08-05 20:11:50', NULL), (13554, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 25, 1, '2024-08-05 20:11:50', NULL), (13555, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 26, 1, '2024-08-05 20:11:50', NULL), (13556, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 27, 1, '2024-08-05 20:11:50', NULL), (13557, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 28, 1, '2024-08-05 20:11:50', NULL), (13558, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 29, 1, '2024-08-05 20:11:50', NULL), (13559, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 5, 30, 1, '2024-08-05 20:11:50', NULL), (13560, 40, '511527107000-0001', '镇舟镇便民服务中心', 2, 2023, 5, 31, 1, '2024-08-05 20:11:50', NULL), (13561, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 1, 1, '2024-08-05 20:11:50', NULL), (13562, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 2, 1, '2024-08-05 20:11:50', NULL), (13563, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 3, 1, '2024-08-05 20:11:50', NULL), (13564, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 4, 1, '2024-08-05 20:11:50', NULL), (13565, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 5, 1, '2024-08-05 20:11:50', NULL), (13566, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 6, 1, '2024-08-05 20:11:50', NULL), (13567, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 7, 1, '2024-08-05 20:11:50', NULL), (13568, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 8, 1, '2024-08-05 20:11:51', NULL), (13569, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 9, 1, '2024-08-05 20:11:51', NULL), (13570, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 10, 1, '2024-08-05 20:11:51', NULL), (13571, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 11, 1, '2024-08-05 20:11:51', NULL), (13572, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 12, 1, '2024-08-05 20:11:51', NULL), (13573, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 13, 1, '2024-08-05 20:11:51', NULL), (13574, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 14, 1, '2024-08-05 20:11:51', NULL), (13575, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 15, 1, '2024-08-05 20:11:51', NULL), (13576, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 16, 1, '2024-08-05 20:11:51', NULL), (13577, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 17, 1, '2024-08-05 20:11:51', NULL), (13578, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 18, 1, '2024-08-05 20:11:51', NULL), (13579, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 19, 1, '2024-08-05 20:11:51', NULL), (13580, 40, '511527107000-0001', '镇舟镇便民服务中心', 2, 2023, 6, 20, 1, '2024-08-05 20:11:51', NULL), (13581, 40, '511527107000-0001', '镇舟镇便民服务中心', 1, 2023, 6, 21, 1, '2024-08-05 20:11:51', NULL), (13582, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 22, 1, '2024-08-05 20:11:51', NULL), (13583, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 23, 1, '2024-08-05 20:11:51', NULL), (13584, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 24, 1, '2024-08-05 20:11:51', NULL), (13585, 40, '511527107000-0001', '镇舟镇便民服务中心', 2, 2023, 6, 25, 1, '2024-08-05 20:11:51', NULL), (13586, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 26, 1, '2024-08-05 20:11:51', NULL), (13587, 40, '511527107000-0001', '镇舟镇便民服务中心', 6, 2023, 6, 27, 1, '2024-08-05 20:11:52', NULL), (13588, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 28, 1, '2024-08-05 20:11:52', NULL), (13589, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 29, 1, '2024-08-05 20:11:52', NULL), (13590, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 6, 30, 1, '2024-08-05 20:11:52', NULL), (13591, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 1, 1, '2024-08-05 20:11:52', NULL), (13592, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 2, 1, '2024-08-05 20:11:52', NULL), (13593, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 3, 1, '2024-08-05 20:11:52', NULL), (13594, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 4, 1, '2024-08-05 20:11:52', NULL), (13595, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 5, 1, '2024-08-05 20:11:52', NULL), (13596, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 6, 1, '2024-08-05 20:11:52', NULL), (13597, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 7, 1, '2024-08-05 20:11:52', NULL), (13598, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 8, 1, '2024-08-05 20:11:52', NULL), (13599, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 9, 1, '2024-08-05 20:11:52', NULL), (13600, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 10, 1, '2024-08-05 20:11:52', NULL), (13601, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 11, 1, '2024-08-05 20:11:52', NULL), (13602, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 12, 1, '2024-08-05 20:11:52', NULL), (13603, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 13, 1, '2024-08-05 20:11:52', NULL), (13604, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 14, 1, '2024-08-05 20:11:52', NULL), (13605, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 15, 1, '2024-08-05 20:11:53', NULL), (13606, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 16, 1, '2024-08-05 20:11:53', NULL), (13607, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 17, 1, '2024-08-05 20:11:53', NULL), (13608, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 18, 1, '2024-08-05 20:11:53', NULL), (13609, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 19, 1, '2024-08-05 20:11:53', NULL), (13610, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 20, 1, '2024-08-05 20:11:53', NULL), (13611, 40, '511527107000-0001', '镇舟镇便民服务中心', 1, 2023, 7, 21, 1, '2024-08-05 20:11:53', NULL), (13612, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 22, 1, '2024-08-05 20:11:53', NULL), (13613, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 23, 1, '2024-08-05 20:11:53', NULL), (13614, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 24, 1, '2024-08-05 20:11:53', NULL), (13615, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 25, 1, '2024-08-05 20:11:53', NULL), (13616, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 26, 1, '2024-08-05 20:11:53', NULL), (13617, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 27, 1, '2024-08-05 20:11:53', NULL), (13618, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 28, 1, '2024-08-05 20:11:53', NULL), (13619, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 29, 1, '2024-08-05 20:11:53', NULL), (13620, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 30, 1, '2024-08-05 20:11:53', NULL), (13621, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 7, 31, 1, '2024-08-05 20:11:53', NULL), (13622, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 1, 1, '2024-08-05 20:11:53', NULL), (13623, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 2, 1, '2024-08-05 20:11:54', NULL), (13624, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 3, 1, '2024-08-05 20:11:54', NULL), (13625, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 4, 1, '2024-08-05 20:11:54', NULL), (13626, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 5, 1, '2024-08-05 20:11:54', NULL), (13627, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 6, 1, '2024-08-05 20:11:54', NULL), (13628, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 7, 1, '2024-08-05 20:11:54', NULL), (13629, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 8, 1, '2024-08-05 20:11:54', NULL), (13630, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 9, 1, '2024-08-05 20:11:54', NULL), (13631, 40, '511527107000-0001', '镇舟镇便民服务中心', 3, 2023, 8, 10, 1, '2024-08-05 20:11:54', NULL), (13632, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 11, 1, '2024-08-05 20:11:54', NULL), (13633, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 12, 1, '2024-08-05 20:11:54', NULL), (13634, 40, '511527107000-0001', '镇舟镇便民服务中心', 1, 2023, 8, 13, 1, '2024-08-05 20:11:54', NULL), (13635, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 14, 1, '2024-08-05 20:11:54', NULL), (13636, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 15, 1, '2024-08-05 20:11:54', NULL), (13637, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 16, 1, '2024-08-05 20:11:54', NULL), (13638, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 17, 1, '2024-08-05 20:11:54', NULL), (13639, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 18, 1, '2024-08-05 20:11:54', NULL), (13640, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 19, 1, '2024-08-05 20:11:54', NULL), (13641, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 20, 1, '2024-08-05 20:11:54', NULL), (13642, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 21, 1, '2024-08-05 20:11:54', NULL), (13643, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 22, 1, '2024-08-05 20:11:54', NULL), (13644, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 23, 1, '2024-08-05 20:11:55', NULL), (13645, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 24, 1, '2024-08-05 20:11:55', NULL), (13646, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 25, 1, '2024-08-05 20:11:55', NULL), (13647, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 26, 1, '2024-08-05 20:11:55', NULL), (13648, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 27, 1, '2024-08-05 20:11:55', NULL), (13649, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 28, 1, '2024-08-05 20:11:55', NULL), (13650, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 29, 1, '2024-08-05 20:11:55', NULL), (13651, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 30, 1, '2024-08-05 20:11:55', NULL), (13652, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 8, 31, 1, '2024-08-05 20:11:55', NULL), (13653, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 1, 1, '2024-08-05 20:11:55', NULL), (13654, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 2, 1, '2024-08-05 20:11:55', NULL), (13655, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 3, 1, '2024-08-05 20:11:55', NULL), (13656, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 4, 1, '2024-08-05 20:11:55', NULL), (13657, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 5, 1, '2024-08-05 20:11:55', NULL), (13658, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 6, 1, '2024-08-05 20:11:55', NULL), (13659, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 7, 1, '2024-08-05 20:11:55', NULL), (13660, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 8, 1, '2024-08-05 20:11:55', NULL), (13661, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 9, 1, '2024-08-05 20:11:55', NULL), (13662, 40, '511527107000-0001', '镇舟镇便民服务中心', 1, 2023, 9, 10, 1, '2024-08-05 20:11:55', NULL), (13663, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 11, 1, '2024-08-05 20:11:55', NULL), (13664, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 12, 1, '2024-08-05 20:11:55', NULL), (13665, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 13, 1, '2024-08-05 20:11:55', NULL), (13666, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 14, 1, '2024-08-05 20:11:55', NULL), (13667, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 15, 1, '2024-08-05 20:11:56', NULL), (13668, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 16, 1, '2024-08-05 20:11:56', NULL), (13669, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 17, 1, '2024-08-05 20:11:56', NULL), (13670, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 18, 1, '2024-08-05 20:11:56', NULL), (13671, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 19, 1, '2024-08-05 20:11:56', NULL), (13672, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 20, 1, '2024-08-05 20:11:56', NULL), (13673, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 21, 1, '2024-08-05 20:11:56', NULL), (13674, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 22, 1, '2024-08-05 20:11:56', NULL), (13675, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 23, 1, '2024-08-05 20:11:56', NULL), (13676, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 24, 1, '2024-08-05 20:11:56', NULL), (13677, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 25, 1, '2024-08-05 20:11:56', NULL), (13678, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 26, 1, '2024-08-05 20:11:56', NULL), (13679, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 27, 1, '2024-08-05 20:11:56', NULL), (13680, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 28, 1, '2024-08-05 20:11:56', NULL), (13681, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 29, 1, '2024-08-05 20:11:56', NULL), (13682, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 9, 30, 1, '2024-08-05 20:11:56', NULL), (13683, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 1, 1, '2024-08-05 20:11:56', NULL), (13684, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 2, 1, '2024-08-05 20:11:56', NULL), (13685, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 3, 1, '2024-08-05 20:11:56', NULL), (13686, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 4, 1, '2024-08-05 20:11:56', NULL), (13687, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 5, 1, '2024-08-05 20:11:56', NULL), (13688, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 6, 1, '2024-08-05 20:11:56', NULL), (13689, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 7, 1, '2024-08-05 20:11:56', NULL), (13690, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 8, 1, '2024-08-05 20:11:56', NULL), (13691, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 9, 1, '2024-08-05 20:11:56', NULL), (13692, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 10, 1, '2024-08-05 20:11:57', NULL), (13693, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 11, 1, '2024-08-05 20:11:57', NULL), (13694, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 12, 1, '2024-08-05 20:11:57', NULL), (13695, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 13, 1, '2024-08-05 20:11:57', NULL), (13696, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 14, 1, '2024-08-05 20:11:57', NULL), (13697, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 15, 1, '2024-08-05 20:11:57', NULL), (13698, 40, '511527107000-0001', '镇舟镇便民服务中心', 1, 2023, 10, 16, 1, '2024-08-05 20:11:57', NULL), (13699, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 17, 1, '2024-08-05 20:11:57', NULL), (13700, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 18, 1, '2024-08-05 20:11:57', NULL), (13701, 40, '511527107000-0001', '镇舟镇便民服务中心', 1, 2023, 10, 19, 1, '2024-08-05 20:11:57', NULL), (13702, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 20, 1, '2024-08-05 20:11:57', NULL), (13703, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 21, 1, '2024-08-05 20:11:57', NULL), (13704, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 22, 1, '2024-08-05 20:11:57', NULL), (13705, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 23, 1, '2024-08-05 20:11:57', NULL), (13706, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 24, 1, '2024-08-05 20:11:57', NULL), (13707, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 25, 1, '2024-08-05 20:11:57', NULL), (13708, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 26, 1, '2024-08-05 20:11:57', NULL), (13709, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 27, 1, '2024-08-05 20:11:57', NULL), (13710, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 28, 1, '2024-08-05 20:11:57', NULL), (13711, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 29, 1, '2024-08-05 20:11:57', NULL), (13712, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 30, 1, '2024-08-05 20:11:57', NULL), (13713, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 10, 31, 1, '2024-08-05 20:11:57', NULL), (13714, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 1, 1, '2024-08-05 20:11:57', NULL), (13715, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 2, 1, '2024-08-05 20:11:57', NULL), (13716, 40, '511527107000-0001', '镇舟镇便民服务中心', 7, 2023, 11, 3, 1, '2024-08-05 20:11:57', NULL), (13717, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 4, 1, '2024-08-05 20:11:57', NULL), (13718, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 5, 1, '2024-08-05 20:11:58', NULL), (13719, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 6, 1, '2024-08-05 20:11:58', NULL), (13720, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 7, 1, '2024-08-05 20:11:58', NULL), (13721, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 8, 1, '2024-08-05 20:11:58', NULL), (13722, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 9, 1, '2024-08-05 20:11:58', NULL), (13723, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 10, 1, '2024-08-05 20:11:58', NULL), (13724, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 11, 1, '2024-08-05 20:11:58', NULL), (13725, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 12, 1, '2024-08-05 20:11:58', NULL), (13726, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 13, 1, '2024-08-05 20:11:58', NULL), (13727, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 14, 1, '2024-08-05 20:11:58', NULL), (13728, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 15, 1, '2024-08-05 20:11:58', NULL), (13729, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 16, 1, '2024-08-05 20:11:58', NULL), (13730, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 17, 1, '2024-08-05 20:11:58', NULL), (13731, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 18, 1, '2024-08-05 20:11:58', NULL), (13732, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 19, 1, '2024-08-05 20:11:58', NULL), (13733, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 20, 1, '2024-08-05 20:11:58', NULL), (13734, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 21, 1, '2024-08-05 20:11:58', NULL), (13735, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 22, 1, '2024-08-05 20:11:58', NULL), (13736, 40, '511527107000-0001', '镇舟镇便民服务中心', 3, 2023, 11, 23, 1, '2024-08-05 20:11:58', NULL), (13737, 40, '511527107000-0001', '镇舟镇便民服务中心', 1, 2023, 11, 24, 1, '2024-08-05 20:11:58', NULL), (13738, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 25, 1, '2024-08-05 20:11:59', NULL), (13739, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 26, 1, '2024-08-05 20:11:59', NULL), (13740, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 27, 1, '2024-08-05 20:11:59', NULL), (13741, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 28, 1, '2024-08-05 20:11:59', NULL), (13742, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 29, 1, '2024-08-05 20:11:59', NULL), (13743, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 11, 30, 1, '2024-08-05 20:11:59', NULL), (13744, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 1, 1, '2024-08-05 20:11:59', NULL), (13745, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 2, 1, '2024-08-05 20:11:59', NULL), (13746, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 3, 1, '2024-08-05 20:11:59', NULL), (13747, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 4, 1, '2024-08-05 20:11:59', NULL), (13748, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 5, 1, '2024-08-05 20:11:59', NULL), (13749, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 6, 1, '2024-08-05 20:11:59', NULL), (13750, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 7, 1, '2024-08-05 20:11:59', NULL), (13751, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 8, 1, '2024-08-05 20:11:59', NULL), (13752, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 9, 1, '2024-08-05 20:11:59', NULL), (13753, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 10, 1, '2024-08-05 20:11:59', NULL), (13754, 40, '511527107000-0001', '镇舟镇便民服务中心', 3, 2023, 12, 11, 1, '2024-08-05 20:11:59', NULL), (13755, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 12, 1, '2024-08-05 20:11:59', NULL), (13756, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 13, 1, '2024-08-05 20:11:59', NULL), (13757, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 14, 1, '2024-08-05 20:11:59', NULL), (13758, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 15, 1, '2024-08-05 20:12:00', NULL), (13759, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 16, 1, '2024-08-05 20:12:00', NULL), (13760, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 17, 1, '2024-08-05 20:12:00', NULL), (13761, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 18, 1, '2024-08-05 20:12:00', NULL), (13762, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 19, 1, '2024-08-05 20:12:00', NULL), (13763, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 20, 1, '2024-08-05 20:12:00', NULL), (13764, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 21, 1, '2024-08-05 20:12:00', NULL), (13765, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 22, 1, '2024-08-05 20:12:00', NULL), (13766, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 23, 1, '2024-08-05 20:12:00', NULL), (13767, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 24, 1, '2024-08-05 20:12:00', NULL), (13768, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 25, 1, '2024-08-05 20:12:00', NULL), (13769, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 26, 1, '2024-08-05 20:12:00', NULL), (13770, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 27, 1, '2024-08-05 20:12:00', NULL), (13771, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 28, 1, '2024-08-05 20:12:00', NULL), (13772, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 29, 1, '2024-08-05 20:12:00', NULL), (13773, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 30, 1, '2024-08-05 20:12:00', NULL), (13774, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2023, 12, 31, 1, '2024-08-05 20:12:00', NULL), (13775, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 1, 1, '2024-08-05 20:12:00', NULL), (13776, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 2, 1, '2024-08-05 20:12:00', NULL), (13777, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 3, 1, '2024-08-05 20:12:01', NULL), (13778, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 4, 1, '2024-08-05 20:12:01', NULL), (13779, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 5, 1, '2024-08-05 20:12:01', NULL), (13780, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 6, 1, '2024-08-05 20:12:01', NULL), (13781, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 7, 1, '2024-08-05 20:12:01', NULL), (13782, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 8, 1, '2024-08-05 20:12:01', NULL), (13783, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 9, 1, '2024-08-05 20:12:01', NULL), (13784, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 10, 1, '2024-08-05 20:12:01', NULL), (13785, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 11, 1, '2024-08-05 20:12:01', NULL), (13786, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 12, 1, '2024-08-05 20:12:01', NULL), (13787, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 13, 1, '2024-08-05 20:12:01', NULL), (13788, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 14, 1, '2024-08-05 20:12:01', NULL), (13789, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 15, 1, '2024-08-05 20:12:01', NULL), (13790, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 16, 1, '2024-08-05 20:12:01', NULL), (13791, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 17, 1, '2024-08-05 20:12:02', NULL), (13792, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 18, 1, '2024-08-05 20:12:02', NULL), (13793, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 19, 1, '2024-08-05 20:12:02', NULL), (13794, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 20, 1, '2024-08-05 20:12:02', NULL), (13795, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 21, 1, '2024-08-05 20:12:02', NULL), (13796, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 22, 1, '2024-08-05 20:12:02', NULL), (13797, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 23, 1, '2024-08-05 20:12:02', NULL), (13798, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 24, 1, '2024-08-05 20:12:02', NULL), (13799, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 25, 1, '2024-08-05 20:12:02', NULL), (13800, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 26, 1, '2024-08-05 20:12:02', NULL), (13801, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 27, 1, '2024-08-05 20:12:02', NULL), (13802, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 28, 1, '2024-08-05 20:12:02', NULL), (13803, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 29, 1, '2024-08-05 20:12:02', NULL), (13804, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 30, 1, '2024-08-05 20:12:03', NULL), (13805, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 1, 31, 1, '2024-08-05 20:12:03', NULL), (13806, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 1, 1, '2024-08-05 20:12:03', NULL), (13807, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 2, 1, '2024-08-05 20:12:03', NULL), (13808, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 3, 1, '2024-08-05 20:12:03', NULL), (13809, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 4, 1, '2024-08-05 20:12:03', NULL), (13810, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 5, 1, '2024-08-05 20:12:03', NULL), (13811, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 6, 1, '2024-08-05 20:12:03', NULL), (13812, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 7, 1, '2024-08-05 20:12:03', NULL), (13813, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 8, 1, '2024-08-05 20:12:03', NULL), (13814, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 9, 1, '2024-08-05 20:12:04', NULL), (13815, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 10, 1, '2024-08-05 20:12:04', NULL), (13816, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 11, 1, '2024-08-05 20:12:04', NULL), (13817, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 12, 1, '2024-08-05 20:12:04', NULL), (13818, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 13, 1, '2024-08-05 20:12:04', NULL), (13819, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 14, 1, '2024-08-05 20:12:04', NULL), (13820, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 15, 1, '2024-08-05 20:12:04', NULL), (13821, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 16, 1, '2024-08-05 20:12:04', NULL), (13822, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 17, 1, '2024-08-05 20:12:04', NULL), (13823, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 18, 1, '2024-08-05 20:12:05', NULL), (13824, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 19, 1, '2024-08-05 20:12:05', NULL), (13825, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 20, 1, '2024-08-05 20:12:05', NULL), (13826, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 21, 1, '2024-08-05 20:12:05', NULL), (13827, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 22, 1, '2024-08-05 20:12:05', NULL), (13828, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 23, 1, '2024-08-05 20:12:05', NULL), (13829, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 24, 1, '2024-08-05 20:12:05', NULL), (13830, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 25, 1, '2024-08-05 20:12:05', NULL), (13831, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 26, 1, '2024-08-05 20:12:05', NULL), (13832, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 27, 1, '2024-08-05 20:12:05', NULL), (13833, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 28, 1, '2024-08-05 20:12:06', NULL), (13834, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 2, 29, 1, '2024-08-05 20:12:06', NULL), (13835, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 1, 1, '2024-08-05 20:12:06', NULL), (13836, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 2, 1, '2024-08-05 20:12:06', NULL), (13837, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 3, 1, '2024-08-05 20:12:06', NULL), (13838, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 4, 1, '2024-08-05 20:12:06', NULL), (13839, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 5, 1, '2024-08-05 20:12:06', NULL), (13840, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 6, 1, '2024-08-05 20:12:06', NULL), (13841, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 7, 1, '2024-08-05 20:12:07', NULL), (13842, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 8, 1, '2024-08-05 20:12:07', NULL), (13843, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 9, 1, '2024-08-05 20:12:07', NULL), (13844, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 10, 1, '2024-08-05 20:12:07', NULL), (13845, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 11, 1, '2024-08-05 20:12:07', NULL), (13846, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 12, 1, '2024-08-05 20:12:07', NULL), (13847, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 13, 1, '2024-08-05 20:12:07', NULL), (13848, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 14, 1, '2024-08-05 20:12:08', NULL), (13849, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 15, 1, '2024-08-05 20:12:08', NULL), (13850, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 16, 1, '2024-08-05 20:12:08', NULL), (13851, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 17, 1, '2024-08-05 20:12:08', NULL), (13852, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 18, 1, '2024-08-05 20:12:08', NULL), (13853, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 19, 1, '2024-08-05 20:12:08', NULL), (13854, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 20, 1, '2024-08-05 20:12:08', NULL), (13855, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 21, 1, '2024-08-05 20:12:09', NULL), (13856, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 22, 1, '2024-08-05 20:12:10', NULL), (13857, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 23, 1, '2024-08-05 20:12:10', NULL), (13858, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 24, 1, '2024-08-05 20:12:10', NULL), (13859, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 25, 1, '2024-08-05 20:12:11', NULL), (13860, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 26, 1, '2024-08-05 20:12:11', NULL), (13861, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 27, 1, '2024-08-05 20:12:11', NULL), (13862, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 28, 1, '2024-08-05 20:12:12', NULL), (13863, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 29, 1, '2024-08-05 20:12:12', NULL), (13864, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 30, 1, '2024-08-05 20:12:13', NULL), (13865, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 3, 31, 1, '2024-08-05 20:12:13', NULL), (13866, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 1, 1, '2024-08-05 20:12:14', NULL), (13867, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 2, 1, '2024-08-05 20:12:14', NULL), (13868, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 3, 1, '2024-08-05 20:12:14', NULL), (13869, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 4, 1, '2024-08-05 20:12:14', NULL), (13870, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 5, 1, '2024-08-05 20:12:15', NULL), (13871, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 6, 1, '2024-08-05 20:12:15', NULL), (13872, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 7, 1, '2024-08-05 20:12:15', NULL), (13873, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 8, 1, '2024-08-05 20:12:16', NULL), (13874, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 9, 1, '2024-08-05 20:12:16', NULL), (13875, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 10, 1, '2024-08-05 20:12:16', NULL), (13876, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 11, 1, '2024-08-05 20:12:16', NULL), (13877, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 12, 1, '2024-08-05 20:12:17', NULL), (13878, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 13, 1, '2024-08-05 20:12:17', NULL), (13879, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 14, 1, '2024-08-05 20:12:17', NULL), (13880, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 15, 1, '2024-08-05 20:12:18', NULL), (13881, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 16, 1, '2024-08-05 20:12:18', NULL), (13882, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 17, 1, '2024-08-05 20:12:18', NULL), (13883, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 18, 1, '2024-08-05 20:12:19', NULL), (13884, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 19, 1, '2024-08-05 20:12:19', NULL), (13885, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 20, 1, '2024-08-05 20:12:19', NULL), (13886, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 21, 1, '2024-08-05 20:12:20', NULL), (13887, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 22, 1, '2024-08-05 20:12:20', NULL), (13888, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 23, 1, '2024-08-05 20:12:20', NULL), (13889, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 24, 1, '2024-08-05 20:12:21', NULL), (13890, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 25, 1, '2024-08-05 20:12:21', NULL), (13891, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 26, 1, '2024-08-05 20:12:21', NULL), (13892, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 27, 1, '2024-08-05 20:12:22', NULL), (13893, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 28, 1, '2024-08-05 20:12:22', NULL), (13894, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 29, 1, '2024-08-05 20:12:22', NULL), (13895, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 4, 30, 1, '2024-08-05 20:12:23', NULL), (13896, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 1, 1, '2024-08-05 20:12:23', NULL), (13897, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 2, 1, '2024-08-05 20:12:23', NULL), (13898, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 3, 1, '2024-08-05 20:12:24', NULL), (13899, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 4, 1, '2024-08-05 20:12:24', NULL), (13900, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 5, 1, '2024-08-05 20:12:25', NULL), (13901, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 6, 1, '2024-08-05 20:12:25', NULL), (13902, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 7, 1, '2024-08-05 20:12:25', NULL), (13903, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 8, 1, '2024-08-05 20:12:26', NULL), (13904, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 9, 1, '2024-08-05 20:12:26', NULL), (13905, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 10, 1, '2024-08-05 20:12:26', NULL), (13906, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 11, 1, '2024-08-05 20:12:26', NULL), (13907, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 12, 1, '2024-08-05 20:12:27', NULL), (13908, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 13, 1, '2024-08-05 20:12:27', NULL), (13909, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 14, 1, '2024-08-05 20:12:28', NULL), (13910, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 15, 1, '2024-08-05 20:12:28', NULL), (13911, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 16, 1, '2024-08-05 20:12:29', NULL), (13912, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 17, 1, '2024-08-05 20:12:29', NULL), (13913, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 18, 1, '2024-08-05 20:12:29', NULL), (13914, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 19, 1, '2024-08-05 20:12:30', NULL), (13915, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 20, 1, '2024-08-05 20:12:30', NULL), (13916, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 21, 1, '2024-08-05 20:12:30', NULL), (13917, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 22, 1, '2024-08-05 20:12:31', NULL), (13918, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 23, 1, '2024-08-05 20:12:31', NULL), (13919, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 24, 1, '2024-08-05 20:12:32', NULL), (13920, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 25, 1, '2024-08-05 20:12:32', NULL), (13921, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 26, 1, '2024-08-05 20:12:32', NULL), (13922, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 27, 1, '2024-08-05 20:12:32', NULL), (13923, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 28, 1, '2024-08-05 20:12:33', NULL), (13924, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 29, 1, '2024-08-05 20:12:33', NULL), (13925, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 30, 1, '2024-08-05 20:12:33', NULL), (13926, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 5, 31, 1, '2024-08-05 20:12:34', NULL), (13927, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 1, 1, '2024-08-05 20:12:34', NULL), (13928, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 2, 1, '2024-08-05 20:12:34', NULL), (13929, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 3, 1, '2024-08-05 20:12:35', NULL), (13930, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 4, 1, '2024-08-05 20:12:35', NULL), (13931, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 5, 1, '2024-08-05 20:12:35', NULL), (13932, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 6, 1, '2024-08-05 20:12:35', NULL), (13933, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 7, 1, '2024-08-05 20:12:36', NULL), (13934, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 8, 1, '2024-08-05 20:12:36', NULL), (13935, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 9, 1, '2024-08-05 20:12:36', NULL), (13936, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 10, 1, '2024-08-05 20:12:37', NULL), (13937, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 11, 1, '2024-08-05 20:12:37', NULL), (13938, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 12, 1, '2024-08-05 20:12:37', NULL), (13939, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 13, 1, '2024-08-05 20:12:37', NULL), (13940, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 14, 1, '2024-08-05 20:12:38', NULL), (13941, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 15, 1, '2024-08-05 20:12:38', NULL), (13942, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 16, 1, '2024-08-05 20:12:38', NULL), (13943, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 17, 1, '2024-08-05 20:12:38', NULL), (13944, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 18, 1, '2024-08-05 20:12:38', NULL), (13945, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 19, 1, '2024-08-05 20:12:38', NULL), (13946, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 20, 1, '2024-08-05 20:12:38', NULL), (13947, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 21, 1, '2024-08-05 20:12:38', NULL), (13948, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 22, 1, '2024-08-05 20:12:38', NULL), (13949, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 23, 1, '2024-08-05 20:12:38', NULL), (13950, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 24, 1, '2024-08-05 20:12:38', NULL), (13951, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 25, 1, '2024-08-05 20:12:38', NULL), (13952, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 26, 1, '2024-08-05 20:12:38', NULL), (13953, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 27, 1, '2024-08-05 20:12:38', NULL), (13954, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 28, 1, '2024-08-05 20:12:38', NULL), (13955, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 29, 1, '2024-08-05 20:12:39', NULL), (13956, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 6, 30, 1, '2024-08-05 20:12:39', NULL), (13957, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 1, 1, '2024-08-05 20:12:39', NULL), (13958, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 2, 1, '2024-08-05 20:12:39', NULL), (13959, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 3, 1, '2024-08-05 20:12:39', NULL), (13960, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 4, 1, '2024-08-05 20:12:39', NULL), (13961, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 5, 1, '2024-08-05 20:12:39', NULL), (13962, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 6, 1, '2024-08-05 20:12:39', NULL), (13963, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 7, 1, '2024-08-05 20:12:39', NULL), (13964, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 8, 1, '2024-08-05 20:12:39', NULL), (13965, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 9, 1, '2024-08-05 20:12:39', NULL), (13966, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 10, 1, '2024-08-05 20:12:39', NULL), (13967, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 11, 1, '2024-08-05 20:12:39', NULL), (13968, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 12, 1, '2024-08-05 20:12:39', NULL), (13969, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 13, 1, '2024-08-05 20:12:39', NULL), (13970, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 14, 1, '2024-08-05 20:12:40', NULL), (13971, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 15, 1, '2024-08-05 20:12:40', NULL), (13972, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 16, 1, '2024-08-05 20:12:40', NULL), (13973, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 17, 1, '2024-08-05 20:12:40', NULL), (13974, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 18, 1, '2024-08-05 20:12:40', NULL), (13975, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 19, 1, '2024-08-05 20:12:40', NULL), (13976, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 20, 1, '2024-08-05 20:12:40', NULL), (13977, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 21, 1, '2024-08-05 20:12:40', NULL), (13978, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 22, 1, '2024-08-05 20:12:40', NULL), (13979, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 23, 1, '2024-08-05 20:12:40', NULL), (13980, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 24, 1, '2024-08-05 20:12:40', NULL), (13981, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 25, 1, '2024-08-05 20:12:40', NULL), (13982, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 26, 1, '2024-08-05 20:12:40', NULL), (13983, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 27, 1, '2024-08-05 20:12:41', NULL), (13984, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 28, 1, '2024-08-05 20:12:41', NULL), (13985, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 29, 1, '2024-08-05 20:12:41', NULL), (13986, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 30, 1, '2024-08-05 20:12:41', NULL), (13987, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 7, 31, 1, '2024-08-05 20:12:41', NULL), (13988, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 1, 1, '2024-08-05 20:12:41', '2024-08-05 22:12:39'), (13989, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 2, 1, '2024-08-05 20:12:41', '2024-08-06 02:20:05'), (13990, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 3, 1, '2024-08-05 20:12:41', '2024-08-07 01:30:03'), (13991, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 4, 1, '2024-08-05 20:12:41', '2024-08-08 01:30:02'), (13992, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 5, 1, '2024-08-05 20:12:41', '2024-08-09 01:30:02'), (13993, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 1, 1, '2024-08-05 20:25:12', NULL), (13994, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 2, 1, '2024-08-05 20:25:12', NULL), (13995, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 3, 1, '2024-08-05 20:25:12', NULL), (13996, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 4, 1, '2024-08-05 20:25:12', NULL), (13997, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 5, 1, '2024-08-05 20:25:12', NULL), (13998, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 6, 1, '2024-08-05 20:25:12', NULL), (13999, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 7, 1, '2024-08-05 20:25:12', NULL), (14000, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 8, 1, '2024-08-05 20:25:12', NULL), (14001, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 9, 1, '2024-08-05 20:25:12', NULL), (14002, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 10, 1, '2024-08-05 20:25:12', NULL), (14003, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 11, 1, '2024-08-05 20:25:13', NULL), (14004, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 12, 1, '2024-08-05 20:25:13', NULL), (14005, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 13, 1, '2024-08-05 20:25:13', NULL), (14006, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 14, 1, '2024-08-05 20:25:13', NULL), (14007, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 15, 1, '2024-08-05 20:25:13', NULL), (14008, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 16, 1, '2024-08-05 20:25:13', NULL), (14009, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 17, 1, '2024-08-05 20:25:13', NULL), (14010, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 18, 1, '2024-08-05 20:25:13', NULL), (14011, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 19, 1, '2024-08-05 20:25:13', NULL), (14012, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 20, 1, '2024-08-05 20:25:13', NULL), (14013, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 21, 1, '2024-08-05 20:25:13', NULL), (14014, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 22, 1, '2024-08-05 20:25:14', NULL), (14015, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 23, 1, '2024-08-05 20:25:14', NULL), (14016, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 24, 1, '2024-08-05 20:25:14', NULL), (14017, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 25, 1, '2024-08-05 20:25:14', NULL), (14018, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 26, 1, '2024-08-05 20:25:14', NULL), (14019, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 27, 1, '2024-08-05 20:25:14', NULL), (14020, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 28, 1, '2024-08-05 20:25:14', NULL), (14021, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 1, 29, 1, '2024-08-05 20:25:14', NULL), (14022, 41, '511526101000-0001', '巡场镇便民服务中心', 4, 2023, 1, 30, 1, '2024-08-05 20:25:14', NULL), (14023, 41, '511526101000-0001', '巡场镇便民服务中心', 2, 2023, 1, 31, 1, '2024-08-05 20:25:14', NULL), (14024, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 1, 1, '2024-08-05 20:25:14', NULL), (14025, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 2, 1, '2024-08-05 20:25:14', NULL), (14026, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 3, 1, '2024-08-05 20:25:14', NULL), (14027, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 4, 1, '2024-08-05 20:25:15', NULL), (14028, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 5, 1, '2024-08-05 20:25:15', NULL), (14029, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 6, 1, '2024-08-05 20:25:15', NULL), (14030, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 7, 1, '2024-08-05 20:25:15', NULL), (14031, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 8, 1, '2024-08-05 20:25:15', NULL), (14032, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 9, 1, '2024-08-05 20:25:15', NULL), (14033, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 10, 1, '2024-08-05 20:25:15', NULL), (14034, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 11, 1, '2024-08-05 20:25:15', NULL), (14035, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 12, 1, '2024-08-05 20:25:15', NULL), (14036, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 13, 1, '2024-08-05 20:25:15', NULL), (14037, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 14, 1, '2024-08-05 20:25:15', NULL), (14038, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 15, 1, '2024-08-05 20:25:15', NULL), (14039, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 16, 1, '2024-08-05 20:25:16', NULL), (14040, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 17, 1, '2024-08-05 20:25:16', NULL), (14041, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 18, 1, '2024-08-05 20:25:16', NULL), (14042, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 19, 1, '2024-08-05 20:25:16', NULL), (14043, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 20, 1, '2024-08-05 20:25:16', NULL), (14044, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 21, 1, '2024-08-05 20:25:16', NULL), (14045, 41, '511526101000-0001', '巡场镇便民服务中心', 6, 2023, 2, 22, 1, '2024-08-05 20:25:16', NULL), (14046, 41, '511526101000-0001', '巡场镇便民服务中心', 3, 2023, 2, 23, 1, '2024-08-05 20:25:16', NULL), (14047, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 24, 1, '2024-08-05 20:25:16', NULL), (14048, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 25, 1, '2024-08-05 20:25:16', NULL), (14049, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 26, 1, '2024-08-05 20:25:16', NULL), (14050, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 27, 1, '2024-08-05 20:25:16', NULL), (14051, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 2, 28, 1, '2024-08-05 20:25:17', NULL), (14052, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 1, 1, '2024-08-05 20:25:17', NULL), (14053, 41, '511526101000-0001', '巡场镇便民服务中心', 1, 2023, 3, 2, 1, '2024-08-05 20:25:17', NULL), (14054, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 3, 1, '2024-08-05 20:25:17', NULL), (14055, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 4, 1, '2024-08-05 20:25:17', NULL), (14056, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 5, 1, '2024-08-05 20:25:17', NULL), (14057, 41, '511526101000-0001', '巡场镇便民服务中心', 3, 2023, 3, 6, 1, '2024-08-05 20:25:17', NULL), (14058, 41, '511526101000-0001', '巡场镇便民服务中心', 7, 2023, 3, 7, 1, '2024-08-05 20:25:17', NULL), (14059, 41, '511526101000-0001', '巡场镇便民服务中心', 1, 2023, 3, 8, 1, '2024-08-05 20:25:17', NULL), (14060, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 9, 1, '2024-08-05 20:25:17', NULL), (14061, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 10, 1, '2024-08-05 20:25:17', NULL), (14062, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 11, 1, '2024-08-05 20:25:18', NULL), (14063, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 12, 1, '2024-08-05 20:25:18', NULL), (14064, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 13, 1, '2024-08-05 20:25:18', NULL), (14065, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 14, 1, '2024-08-05 20:25:18', NULL), (14066, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 15, 1, '2024-08-05 20:25:18', NULL), (14067, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 16, 1, '2024-08-05 20:25:18', NULL), (14068, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 17, 1, '2024-08-05 20:25:18', NULL), (14069, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 18, 1, '2024-08-05 20:25:18', NULL), (14070, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 19, 1, '2024-08-05 20:25:18', NULL), (14071, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 20, 1, '2024-08-05 20:25:18', NULL), (14072, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 21, 1, '2024-08-05 20:25:18', NULL), (14073, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 22, 1, '2024-08-05 20:25:18', NULL), (14074, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 23, 1, '2024-08-05 20:25:19', NULL), (14075, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 24, 1, '2024-08-05 20:25:19', NULL), (14076, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 25, 1, '2024-08-05 20:25:19', NULL), (14077, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 26, 1, '2024-08-05 20:25:19', NULL), (14078, 41, '511526101000-0001', '巡场镇便民服务中心', 2, 2023, 3, 27, 1, '2024-08-05 20:25:19', NULL), (14079, 41, '511526101000-0001', '巡场镇便民服务中心', 3, 2023, 3, 28, 1, '2024-08-05 20:25:19', NULL), (14080, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 29, 1, '2024-08-05 20:25:19', NULL), (14081, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 30, 1, '2024-08-05 20:25:19', NULL), (14082, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 3, 31, 1, '2024-08-05 20:25:19', NULL), (14083, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 1, 1, '2024-08-05 20:25:19', NULL), (14084, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 2, 1, '2024-08-05 20:25:19', NULL), (14085, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 3, 1, '2024-08-05 20:25:20', NULL), (14086, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 4, 1, '2024-08-05 20:25:20', NULL), (14087, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 5, 1, '2024-08-05 20:25:20', NULL), (14088, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 6, 1, '2024-08-05 20:25:20', NULL), (14089, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 7, 1, '2024-08-05 20:25:20', NULL), (14090, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 8, 1, '2024-08-05 20:25:20', NULL), (14091, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 9, 1, '2024-08-05 20:25:20', NULL), (14092, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 10, 1, '2024-08-05 20:25:20', NULL), (14093, 41, '511526101000-0001', '巡场镇便民服务中心', 2, 2023, 4, 11, 1, '2024-08-05 20:25:20', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (14094, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 12, 1, '2024-08-05 20:25:20', NULL), (14095, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 13, 1, '2024-08-05 20:25:20', NULL), (14096, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 14, 1, '2024-08-05 20:25:20', NULL), (14097, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 15, 1, '2024-08-05 20:25:20', NULL), (14098, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 16, 1, '2024-08-05 20:25:20', NULL), (14099, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 17, 1, '2024-08-05 20:25:20', NULL), (14100, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 18, 1, '2024-08-05 20:25:20', NULL), (14101, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 19, 1, '2024-08-05 20:25:20', NULL), (14102, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 20, 1, '2024-08-05 20:25:20', NULL), (14103, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 21, 1, '2024-08-05 20:25:20', NULL), (14104, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 22, 1, '2024-08-05 20:25:20', NULL), (14105, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 23, 1, '2024-08-05 20:25:20', NULL), (14106, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 24, 1, '2024-08-05 20:25:21', NULL), (14107, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 25, 1, '2024-08-05 20:25:21', NULL), (14108, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 26, 1, '2024-08-05 20:25:21', NULL), (14109, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 27, 1, '2024-08-05 20:25:21', NULL), (14110, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 28, 1, '2024-08-05 20:25:21', NULL), (14111, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 29, 1, '2024-08-05 20:25:21', NULL), (14112, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 4, 30, 1, '2024-08-05 20:25:21', NULL), (14113, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 1, 1, '2024-08-05 20:25:21', NULL), (14114, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 2, 1, '2024-08-05 20:25:21', NULL), (14115, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 3, 1, '2024-08-05 20:25:21', NULL), (14116, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 4, 1, '2024-08-05 20:25:21', NULL), (14117, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 5, 1, '2024-08-05 20:25:21', NULL), (14118, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 6, 1, '2024-08-05 20:25:21', NULL), (14119, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 7, 1, '2024-08-05 20:25:21', NULL), (14120, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 8, 1, '2024-08-05 20:25:21', NULL), (14121, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 9, 1, '2024-08-05 20:25:21', NULL), (14122, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 10, 1, '2024-08-05 20:25:21', NULL), (14123, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 11, 1, '2024-08-05 20:25:21', NULL), (14124, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 12, 1, '2024-08-05 20:25:21', NULL), (14125, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 13, 1, '2024-08-05 20:25:21', NULL), (14126, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 14, 1, '2024-08-05 20:25:22', NULL), (14127, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 15, 1, '2024-08-05 20:25:22', NULL), (14128, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 16, 1, '2024-08-05 20:25:22', NULL), (14129, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 17, 1, '2024-08-05 20:25:22', NULL), (14130, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 18, 1, '2024-08-05 20:25:22', NULL), (14131, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 19, 1, '2024-08-05 20:25:22', NULL), (14132, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 20, 1, '2024-08-05 20:25:22', NULL), (14133, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 21, 1, '2024-08-05 20:25:22', NULL), (14134, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 22, 1, '2024-08-05 20:25:22', NULL), (14135, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 23, 1, '2024-08-05 20:25:22', NULL), (14136, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 24, 1, '2024-08-05 20:25:22', NULL), (14137, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 25, 1, '2024-08-05 20:25:22', NULL), (14138, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 26, 1, '2024-08-05 20:25:22', NULL), (14139, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 27, 1, '2024-08-05 20:25:22', NULL), (14140, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 28, 1, '2024-08-05 20:25:22', NULL), (14141, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 29, 1, '2024-08-05 20:25:22', NULL), (14142, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 30, 1, '2024-08-05 20:25:22', NULL), (14143, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 5, 31, 1, '2024-08-05 20:25:22', NULL), (14144, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 1, 1, '2024-08-05 20:25:22', NULL), (14145, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 2, 1, '2024-08-05 20:25:22', NULL), (14146, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 3, 1, '2024-08-05 20:25:22', NULL), (14147, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 4, 1, '2024-08-05 20:25:23', NULL), (14148, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 5, 1, '2024-08-05 20:25:23', NULL), (14149, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 6, 1, '2024-08-05 20:25:23', NULL), (14150, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 7, 1, '2024-08-05 20:25:23', NULL), (14151, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 8, 1, '2024-08-05 20:25:23', NULL), (14152, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 9, 1, '2024-08-05 20:25:23', NULL), (14153, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 10, 1, '2024-08-05 20:25:23', NULL), (14154, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 11, 1, '2024-08-05 20:25:23', NULL), (14155, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 12, 1, '2024-08-05 20:25:23', NULL), (14156, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 13, 1, '2024-08-05 20:25:23', NULL), (14157, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 14, 1, '2024-08-05 20:25:23', NULL), (14158, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 15, 1, '2024-08-05 20:25:23', NULL), (14159, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 16, 1, '2024-08-05 20:25:23', NULL), (14160, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 17, 1, '2024-08-05 20:25:23', NULL), (14161, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 18, 1, '2024-08-05 20:25:23', NULL), (14162, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 19, 1, '2024-08-05 20:25:23', NULL), (14163, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 20, 1, '2024-08-05 20:25:23', NULL), (14164, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 21, 1, '2024-08-05 20:25:23', NULL), (14165, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 22, 1, '2024-08-05 20:25:23', NULL), (14166, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 23, 1, '2024-08-05 20:25:23', NULL), (14167, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 24, 1, '2024-08-05 20:25:24', NULL), (14168, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 25, 1, '2024-08-05 20:25:24', NULL), (14169, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 26, 1, '2024-08-05 20:25:24', NULL), (14170, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 27, 1, '2024-08-05 20:25:24', NULL), (14171, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 28, 1, '2024-08-05 20:25:24', NULL), (14172, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 29, 1, '2024-08-05 20:25:24', NULL), (14173, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 6, 30, 1, '2024-08-05 20:25:24', NULL), (14174, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 1, 1, '2024-08-05 20:25:24', NULL), (14175, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 2, 1, '2024-08-05 20:25:24', NULL), (14176, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 3, 1, '2024-08-05 20:25:24', NULL), (14177, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 4, 1, '2024-08-05 20:25:24', NULL), (14178, 41, '511526101000-0001', '巡场镇便民服务中心', 1, 2023, 7, 5, 1, '2024-08-05 20:25:24', NULL), (14179, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 6, 1, '2024-08-05 20:25:24', NULL), (14180, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 7, 1, '2024-08-05 20:25:24', NULL), (14181, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 8, 1, '2024-08-05 20:25:24', NULL), (14182, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 9, 1, '2024-08-05 20:25:24', NULL), (14183, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 10, 1, '2024-08-05 20:25:24', NULL), (14184, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 11, 1, '2024-08-05 20:25:24', NULL), (14185, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 12, 1, '2024-08-05 20:25:24', NULL), (14186, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 13, 1, '2024-08-05 20:25:24', NULL), (14187, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 14, 1, '2024-08-05 20:25:25', NULL), (14188, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 15, 1, '2024-08-05 20:25:25', NULL), (14189, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 16, 1, '2024-08-05 20:25:25', NULL), (14190, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 17, 1, '2024-08-05 20:25:25', NULL), (14191, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 18, 1, '2024-08-05 20:25:25', NULL), (14192, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 19, 1, '2024-08-05 20:25:25', NULL), (14193, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 20, 1, '2024-08-05 20:25:25', NULL), (14194, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 21, 1, '2024-08-05 20:25:25', NULL), (14195, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 22, 1, '2024-08-05 20:25:25', NULL), (14196, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 23, 1, '2024-08-05 20:25:25', NULL), (14197, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 24, 1, '2024-08-05 20:25:25', NULL), (14198, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 25, 1, '2024-08-05 20:25:25', NULL), (14199, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 26, 1, '2024-08-05 20:25:25', NULL), (14200, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 27, 1, '2024-08-05 20:25:25', NULL), (14201, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 28, 1, '2024-08-05 20:25:25', NULL), (14202, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 29, 1, '2024-08-05 20:25:25', NULL), (14203, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 30, 1, '2024-08-05 20:25:25', NULL), (14204, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 7, 31, 1, '2024-08-05 20:25:25', NULL), (14205, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 1, 1, '2024-08-05 20:25:25', NULL), (14206, 41, '511526101000-0001', '巡场镇便民服务中心', 1, 2023, 8, 2, 1, '2024-08-05 20:25:25', NULL), (14207, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 3, 1, '2024-08-05 20:25:26', NULL), (14208, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 4, 1, '2024-08-05 20:25:26', NULL), (14209, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 5, 1, '2024-08-05 20:25:26', NULL), (14210, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 6, 1, '2024-08-05 20:25:26', NULL), (14211, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 7, 1, '2024-08-05 20:25:26', NULL), (14212, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 8, 1, '2024-08-05 20:25:26', NULL), (14213, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 9, 1, '2024-08-05 20:25:26', NULL), (14214, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 10, 1, '2024-08-05 20:25:26', NULL), (14215, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 11, 1, '2024-08-05 20:25:26', NULL), (14216, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 12, 1, '2024-08-05 20:25:26', NULL), (14217, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 13, 1, '2024-08-05 20:25:26', NULL), (14218, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 14, 1, '2024-08-05 20:25:26', NULL), (14219, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 15, 1, '2024-08-05 20:25:26', NULL), (14220, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 16, 1, '2024-08-05 20:25:26', NULL), (14221, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 17, 1, '2024-08-05 20:25:26', NULL), (14222, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 18, 1, '2024-08-05 20:25:26', NULL), (14223, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 19, 1, '2024-08-05 20:25:26', NULL), (14224, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 20, 1, '2024-08-05 20:25:26', NULL), (14225, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 21, 1, '2024-08-05 20:25:26', NULL), (14226, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 22, 1, '2024-08-05 20:25:26', NULL), (14227, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 23, 1, '2024-08-05 20:25:26', NULL), (14228, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 24, 1, '2024-08-05 20:25:26', NULL), (14229, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 25, 1, '2024-08-05 20:25:27', NULL), (14230, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 26, 1, '2024-08-05 20:25:27', NULL), (14231, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 27, 1, '2024-08-05 20:25:27', NULL), (14232, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 28, 1, '2024-08-05 20:25:27', NULL), (14233, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 29, 1, '2024-08-05 20:25:27', NULL), (14234, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 30, 1, '2024-08-05 20:25:27', NULL), (14235, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 8, 31, 1, '2024-08-05 20:25:27', NULL), (14236, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 1, 1, '2024-08-05 20:25:27', NULL), (14237, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 2, 1, '2024-08-05 20:25:27', NULL), (14238, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 3, 1, '2024-08-05 20:25:27', NULL), (14239, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 4, 1, '2024-08-05 20:25:27', NULL), (14240, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 5, 1, '2024-08-05 20:25:27', NULL), (14241, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 6, 1, '2024-08-05 20:25:27', NULL), (14242, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 7, 1, '2024-08-05 20:25:27', NULL), (14243, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 8, 1, '2024-08-05 20:25:27', NULL), (14244, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 9, 1, '2024-08-05 20:25:27', NULL), (14245, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 10, 1, '2024-08-05 20:25:27', NULL), (14246, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 11, 1, '2024-08-05 20:25:27', NULL), (14247, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 12, 1, '2024-08-05 20:25:27', NULL), (14248, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 13, 1, '2024-08-05 20:25:27', NULL), (14249, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 14, 1, '2024-08-05 20:25:27', NULL), (14250, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 15, 1, '2024-08-05 20:25:27', NULL), (14251, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 16, 1, '2024-08-05 20:25:27', NULL), (14252, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 17, 1, '2024-08-05 20:25:27', NULL), (14253, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 18, 1, '2024-08-05 20:25:27', NULL), (14254, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 19, 1, '2024-08-05 20:25:28', NULL), (14255, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 20, 1, '2024-08-05 20:25:28', NULL), (14256, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 21, 1, '2024-08-05 20:25:28', NULL), (14257, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 22, 1, '2024-08-05 20:25:28', NULL), (14258, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 23, 1, '2024-08-05 20:25:28', NULL), (14259, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 24, 1, '2024-08-05 20:25:28', NULL), (14260, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 25, 1, '2024-08-05 20:25:28', NULL), (14261, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 26, 1, '2024-08-05 20:25:28', NULL), (14262, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 27, 1, '2024-08-05 20:25:28', NULL), (14263, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 28, 1, '2024-08-05 20:25:28', NULL), (14264, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 29, 1, '2024-08-05 20:25:28', NULL), (14265, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 9, 30, 1, '2024-08-05 20:25:28', NULL), (14266, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 1, 1, '2024-08-05 20:25:28', NULL), (14267, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 2, 1, '2024-08-05 20:25:28', NULL), (14268, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 3, 1, '2024-08-05 20:25:28', NULL), (14269, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 4, 1, '2024-08-05 20:25:28', NULL), (14270, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 5, 1, '2024-08-05 20:25:28', NULL), (14271, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 6, 1, '2024-08-05 20:25:28', NULL), (14272, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 7, 1, '2024-08-05 20:25:28', NULL), (14273, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 8, 1, '2024-08-05 20:25:28', NULL), (14274, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 9, 1, '2024-08-05 20:25:28', NULL), (14275, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 10, 1, '2024-08-05 20:25:28', NULL), (14276, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 11, 1, '2024-08-05 20:25:28', NULL), (14277, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 12, 1, '2024-08-05 20:25:28', NULL), (14278, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 13, 1, '2024-08-05 20:25:28', NULL), (14279, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 14, 1, '2024-08-05 20:25:28', NULL), (14280, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 15, 1, '2024-08-05 20:25:29', NULL), (14281, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 16, 1, '2024-08-05 20:25:29', NULL), (14282, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 17, 1, '2024-08-05 20:25:29', NULL), (14283, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 18, 1, '2024-08-05 20:25:29', NULL), (14284, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 19, 1, '2024-08-05 20:25:29', NULL), (14285, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 20, 1, '2024-08-05 20:25:29', NULL), (14286, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 21, 1, '2024-08-05 20:25:29', NULL), (14287, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 22, 1, '2024-08-05 20:25:29', NULL), (14288, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 23, 1, '2024-08-05 20:25:29', NULL), (14289, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 24, 1, '2024-08-05 20:25:29', NULL), (14290, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 25, 1, '2024-08-05 20:25:29', NULL), (14291, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 26, 1, '2024-08-05 20:25:29', NULL), (14292, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 27, 1, '2024-08-05 20:25:29', NULL), (14293, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 28, 1, '2024-08-05 20:25:29', NULL), (14294, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 29, 1, '2024-08-05 20:25:29', NULL), (14295, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 30, 1, '2024-08-05 20:25:29', NULL), (14296, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 10, 31, 1, '2024-08-05 20:25:29', NULL), (14297, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 1, 1, '2024-08-05 20:25:29', NULL), (14298, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 2, 1, '2024-08-05 20:25:29', NULL), (14299, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 3, 1, '2024-08-05 20:25:29', NULL), (14300, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 4, 1, '2024-08-05 20:25:29', NULL), (14301, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 5, 1, '2024-08-05 20:25:29', NULL), (14302, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 6, 1, '2024-08-05 20:25:29', NULL), (14303, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 7, 1, '2024-08-05 20:25:29', NULL), (14304, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 8, 1, '2024-08-05 20:25:29', NULL), (14305, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 9, 1, '2024-08-05 20:25:30', NULL), (14306, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 10, 1, '2024-08-05 20:25:30', NULL), (14307, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 11, 1, '2024-08-05 20:25:30', NULL), (14308, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 12, 1, '2024-08-05 20:25:30', NULL), (14309, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 13, 1, '2024-08-05 20:25:30', NULL), (14310, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 14, 1, '2024-08-05 20:25:30', NULL), (14311, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 15, 1, '2024-08-05 20:25:30', NULL), (14312, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 16, 1, '2024-08-05 20:25:30', NULL), (14313, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 17, 1, '2024-08-05 20:25:30', NULL), (14314, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 18, 1, '2024-08-05 20:25:30', NULL), (14315, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 19, 1, '2024-08-05 20:25:30', NULL), (14316, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 20, 1, '2024-08-05 20:25:30', NULL), (14317, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 21, 1, '2024-08-05 20:25:30', NULL), (14318, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 22, 1, '2024-08-05 20:25:30', NULL), (14319, 41, '511526101000-0001', '巡场镇便民服务中心', 4, 2023, 11, 23, 1, '2024-08-05 20:25:30', NULL), (14320, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 24, 1, '2024-08-05 20:25:30', NULL), (14321, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 25, 1, '2024-08-05 20:25:30', NULL), (14322, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 26, 1, '2024-08-05 20:25:30', NULL), (14323, 41, '511526101000-0001', '巡场镇便民服务中心', 16, 2023, 11, 27, 1, '2024-08-05 20:25:30', NULL), (14324, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 28, 1, '2024-08-05 20:25:30', NULL), (14325, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 29, 1, '2024-08-05 20:25:31', NULL), (14326, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 11, 30, 1, '2024-08-05 20:25:31', NULL), (14327, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 1, 1, '2024-08-05 20:25:31', NULL), (14328, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 2, 1, '2024-08-05 20:25:31', NULL), (14329, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 3, 1, '2024-08-05 20:25:31', NULL), (14330, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 4, 1, '2024-08-05 20:25:31', NULL), (14331, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 5, 1, '2024-08-05 20:25:31', NULL), (14332, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 6, 1, '2024-08-05 20:25:31', NULL), (14333, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 7, 1, '2024-08-05 20:25:31', NULL), (14334, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 8, 1, '2024-08-05 20:25:31', NULL), (14335, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 9, 1, '2024-08-05 20:25:31', NULL), (14336, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 10, 1, '2024-08-05 20:25:31', NULL), (14337, 41, '511526101000-0001', '巡场镇便民服务中心', 12, 2023, 12, 11, 1, '2024-08-05 20:25:31', NULL), (14338, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 12, 1, '2024-08-05 20:25:31', NULL), (14339, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 13, 1, '2024-08-05 20:25:31', NULL), (14340, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 14, 1, '2024-08-05 20:25:31', NULL), (14341, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 15, 1, '2024-08-05 20:25:31', NULL), (14342, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 16, 1, '2024-08-05 20:25:31', NULL), (14343, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 17, 1, '2024-08-05 20:25:31', NULL), (14344, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 18, 1, '2024-08-05 20:25:31', NULL), (14345, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 19, 1, '2024-08-05 20:25:31', NULL), (14346, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 20, 1, '2024-08-05 20:25:32', NULL), (14347, 41, '511526101000-0001', '巡场镇便民服务中心', 3, 2023, 12, 21, 1, '2024-08-05 20:25:32', NULL), (14348, 41, '511526101000-0001', '巡场镇便民服务中心', 42, 2023, 12, 22, 1, '2024-08-05 20:25:32', NULL), (14349, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 23, 1, '2024-08-05 20:25:32', NULL), (14350, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 24, 1, '2024-08-05 20:25:32', NULL), (14351, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 25, 1, '2024-08-05 20:25:32', NULL), (14352, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 26, 1, '2024-08-05 20:25:32', NULL), (14353, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 27, 1, '2024-08-05 20:25:32', NULL), (14354, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 28, 1, '2024-08-05 20:25:32', NULL), (14355, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 29, 1, '2024-08-05 20:25:32', NULL), (14356, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 30, 1, '2024-08-05 20:25:32', NULL), (14357, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2023, 12, 31, 1, '2024-08-05 20:25:32', NULL), (14358, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 1, 1, '2024-08-05 20:25:32', NULL), (14359, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 2, 1, '2024-08-05 20:25:32', NULL), (14360, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 3, 1, '2024-08-05 20:25:32', NULL), (14361, 41, '511526101000-0001', '巡场镇便民服务中心', 3, 2024, 1, 4, 1, '2024-08-05 20:25:32', NULL), (14362, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 5, 1, '2024-08-05 20:25:32', NULL), (14363, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 6, 1, '2024-08-05 20:25:32', NULL), (14364, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 7, 1, '2024-08-05 20:25:32', NULL), (14365, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 8, 1, '2024-08-05 20:25:33', NULL), (14366, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 9, 1, '2024-08-05 20:25:33', NULL), (14367, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 10, 1, '2024-08-05 20:25:33', NULL), (14368, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 11, 1, '2024-08-05 20:25:33', NULL), (14369, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 12, 1, '2024-08-05 20:25:33', NULL), (14370, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 13, 1, '2024-08-05 20:25:33', NULL), (14371, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 14, 1, '2024-08-05 20:25:33', NULL), (14372, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 15, 1, '2024-08-05 20:25:33', NULL), (14373, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 16, 1, '2024-08-05 20:25:33', NULL), (14374, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 17, 1, '2024-08-05 20:25:33', NULL), (14375, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 18, 1, '2024-08-05 20:25:33', NULL), (14376, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 19, 1, '2024-08-05 20:25:33', NULL), (14377, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 20, 1, '2024-08-05 20:25:33', NULL), (14378, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 21, 1, '2024-08-05 20:25:33', NULL), (14379, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 22, 1, '2024-08-05 20:25:33', NULL), (14380, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 23, 1, '2024-08-05 20:25:33', NULL), (14381, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 24, 1, '2024-08-05 20:25:33', NULL), (14382, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 25, 1, '2024-08-05 20:25:34', NULL), (14383, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 26, 1, '2024-08-05 20:25:34', NULL), (14384, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 27, 1, '2024-08-05 20:25:34', NULL), (14385, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 28, 1, '2024-08-05 20:25:34', NULL), (14386, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 29, 1, '2024-08-05 20:25:34', NULL), (14387, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 30, 1, '2024-08-05 20:25:34', NULL), (14388, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 1, 31, 1, '2024-08-05 20:25:34', NULL), (14389, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 1, 1, '2024-08-05 20:25:34', NULL), (14390, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 2, 1, '2024-08-05 20:25:34', NULL), (14391, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 3, 1, '2024-08-05 20:25:34', NULL), (14392, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 4, 1, '2024-08-05 20:25:34', NULL), (14393, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 5, 1, '2024-08-05 20:25:34', NULL), (14394, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 6, 1, '2024-08-05 20:25:34', NULL), (14395, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 7, 1, '2024-08-05 20:25:34', NULL), (14396, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 8, 1, '2024-08-05 20:25:34', NULL), (14397, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 9, 1, '2024-08-05 20:25:34', NULL), (14398, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 10, 1, '2024-08-05 20:25:34', NULL), (14399, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 11, 1, '2024-08-05 20:25:35', NULL), (14400, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 12, 1, '2024-08-05 20:25:35', NULL), (14401, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 13, 1, '2024-08-05 20:25:35', NULL), (14402, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 14, 1, '2024-08-05 20:25:35', NULL), (14403, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 15, 1, '2024-08-05 20:25:35', NULL), (14404, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 16, 1, '2024-08-05 20:25:35', NULL), (14405, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 17, 1, '2024-08-05 20:25:35', NULL), (14406, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 18, 1, '2024-08-05 20:25:35', NULL), (14407, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 19, 1, '2024-08-05 20:25:35', NULL), (14408, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 20, 1, '2024-08-05 20:25:35', NULL), (14409, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 21, 1, '2024-08-05 20:25:35', NULL), (14410, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 22, 1, '2024-08-05 20:25:35', NULL), (14411, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 23, 1, '2024-08-05 20:25:35', NULL), (14412, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 24, 1, '2024-08-05 20:25:35', NULL), (14413, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 25, 1, '2024-08-05 20:25:35', NULL), (14414, 41, '511526101000-0001', '巡场镇便民服务中心', 3, 2024, 2, 26, 1, '2024-08-05 20:25:35', NULL), (14415, 41, '511526101000-0001', '巡场镇便民服务中心', 3, 2024, 2, 27, 1, '2024-08-05 20:25:35', NULL), (14416, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 28, 1, '2024-08-05 20:25:35', NULL), (14417, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 2, 29, 1, '2024-08-05 20:25:36', NULL), (14418, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 1, 1, '2024-08-05 20:25:36', NULL), (14419, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 2, 1, '2024-08-05 20:25:36', NULL), (14420, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 3, 1, '2024-08-05 20:25:36', NULL), (14421, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 4, 1, '2024-08-05 20:25:36', NULL), (14422, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 5, 1, '2024-08-05 20:25:36', NULL), (14423, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 6, 1, '2024-08-05 20:25:36', NULL), (14424, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 7, 1, '2024-08-05 20:25:36', NULL), (14425, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 8, 1, '2024-08-05 20:25:36', NULL), (14426, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 9, 1, '2024-08-05 20:25:36', NULL), (14427, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 10, 1, '2024-08-05 20:25:36', NULL), (14428, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 11, 1, '2024-08-05 20:25:36', NULL), (14429, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 12, 1, '2024-08-05 20:25:36', NULL), (14430, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 13, 1, '2024-08-05 20:25:36', NULL), (14431, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 14, 1, '2024-08-05 20:25:36', NULL), (14432, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 15, 1, '2024-08-05 20:25:36', NULL), (14433, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 16, 1, '2024-08-05 20:25:37', NULL), (14434, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 17, 1, '2024-08-05 20:25:37', NULL), (14435, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 18, 1, '2024-08-05 20:25:37', NULL), (14436, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 19, 1, '2024-08-05 20:25:37', NULL), (14437, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 20, 1, '2024-08-05 20:25:37', NULL), (14438, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 21, 1, '2024-08-05 20:25:37', NULL), (14439, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 22, 1, '2024-08-05 20:25:37', NULL), (14440, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 23, 1, '2024-08-05 20:25:37', NULL), (14441, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 24, 1, '2024-08-05 20:25:37', NULL), (14442, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 25, 1, '2024-08-05 20:25:37', NULL), (14443, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 26, 1, '2024-08-05 20:25:37', NULL), (14444, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 27, 1, '2024-08-05 20:25:37', NULL), (14445, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 28, 1, '2024-08-05 20:25:37', NULL), (14446, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 29, 1, '2024-08-05 20:25:37', NULL), (14447, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 30, 1, '2024-08-05 20:25:37', NULL), (14448, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 3, 31, 1, '2024-08-05 20:25:37', NULL), (14449, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 1, 1, '2024-08-05 20:25:38', NULL), (14450, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 2, 1, '2024-08-05 20:25:38', NULL), (14451, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 3, 1, '2024-08-05 20:25:38', NULL), (14452, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 4, 1, '2024-08-05 20:25:38', NULL), (14453, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 5, 1, '2024-08-05 20:25:38', NULL), (14454, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 6, 1, '2024-08-05 20:25:38', NULL), (14455, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 7, 1, '2024-08-05 20:25:38', NULL), (14456, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 8, 1, '2024-08-05 20:25:38', NULL), (14457, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 9, 1, '2024-08-05 20:25:38', NULL), (14458, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 10, 1, '2024-08-05 20:25:38', NULL), (14459, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 11, 1, '2024-08-05 20:25:38', NULL), (14460, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 12, 1, '2024-08-05 20:25:38', NULL), (14461, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 13, 1, '2024-08-05 20:25:38', NULL), (14462, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 14, 1, '2024-08-05 20:25:38', NULL), (14463, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 15, 1, '2024-08-05 20:25:38', NULL), (14464, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 16, 1, '2024-08-05 20:25:39', NULL), (14465, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 17, 1, '2024-08-05 20:25:39', NULL), (14466, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 18, 1, '2024-08-05 20:25:39', NULL), (14467, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 19, 1, '2024-08-05 20:25:39', NULL), (14468, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 20, 1, '2024-08-05 20:25:39', NULL), (14469, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 21, 1, '2024-08-05 20:25:39', NULL), (14470, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 22, 1, '2024-08-05 20:25:39', NULL), (14471, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 23, 1, '2024-08-05 20:25:39', NULL), (14472, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 24, 1, '2024-08-05 20:25:39', NULL), (14473, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 25, 1, '2024-08-05 20:25:39', NULL), (14474, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 26, 1, '2024-08-05 20:25:39', NULL), (14475, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 27, 1, '2024-08-05 20:25:39', NULL), (14476, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 28, 1, '2024-08-05 20:25:39', NULL), (14477, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 29, 1, '2024-08-05 20:25:39', NULL), (14478, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 4, 30, 1, '2024-08-05 20:25:39', NULL), (14479, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 1, 1, '2024-08-05 20:25:39', NULL), (14480, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 2, 1, '2024-08-05 20:25:40', NULL), (14481, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 3, 1, '2024-08-05 20:25:40', NULL), (14482, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 4, 1, '2024-08-05 20:25:40', NULL), (14483, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 5, 1, '2024-08-05 20:25:40', NULL), (14484, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 6, 1, '2024-08-05 20:25:40', NULL), (14485, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 7, 1, '2024-08-05 20:25:40', NULL), (14486, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 8, 1, '2024-08-05 20:25:40', NULL), (14487, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 9, 1, '2024-08-05 20:25:40', NULL), (14488, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 10, 1, '2024-08-05 20:25:40', NULL), (14489, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 11, 1, '2024-08-05 20:25:40', NULL), (14490, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 12, 1, '2024-08-05 20:25:40', NULL), (14491, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 13, 1, '2024-08-05 20:25:40', NULL), (14492, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 14, 1, '2024-08-05 20:25:40', NULL), (14493, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 15, 1, '2024-08-05 20:25:41', NULL), (14494, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 16, 1, '2024-08-05 20:25:41', NULL), (14495, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 17, 1, '2024-08-05 20:25:41', NULL), (14496, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 18, 1, '2024-08-05 20:25:41', NULL), (14497, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 19, 1, '2024-08-05 20:25:41', NULL), (14498, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 20, 1, '2024-08-05 20:25:41', NULL), (14499, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 21, 1, '2024-08-05 20:25:41', NULL), (14500, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 22, 1, '2024-08-05 20:25:41', NULL), (14501, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 23, 1, '2024-08-05 20:25:41', NULL), (14502, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 24, 1, '2024-08-05 20:25:41', NULL), (14503, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 25, 1, '2024-08-05 20:25:41', NULL), (14504, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 26, 1, '2024-08-05 20:25:41', NULL), (14505, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 27, 1, '2024-08-05 20:25:41', NULL), (14506, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 28, 1, '2024-08-05 20:25:41', NULL), (14507, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 29, 1, '2024-08-05 20:25:42', NULL), (14508, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 30, 1, '2024-08-05 20:25:42', NULL), (14509, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 5, 31, 1, '2024-08-05 20:25:42', NULL), (14510, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 1, 1, '2024-08-05 20:25:42', NULL), (14511, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 2, 1, '2024-08-05 20:25:42', NULL), (14512, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 3, 1, '2024-08-05 20:25:42', NULL), (14513, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 4, 1, '2024-08-05 20:25:42', NULL), (14514, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 5, 1, '2024-08-05 20:25:42', NULL), (14515, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 6, 1, '2024-08-05 20:25:42', NULL), (14516, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 7, 1, '2024-08-05 20:25:42', NULL), (14517, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 8, 1, '2024-08-05 20:25:42', NULL), (14518, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 9, 1, '2024-08-05 20:25:42', NULL), (14519, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 10, 1, '2024-08-05 20:25:42', NULL), (14520, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 11, 1, '2024-08-05 20:25:43', NULL), (14521, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 12, 1, '2024-08-05 20:25:43', NULL), (14522, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 13, 1, '2024-08-05 20:25:43', NULL), (14523, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 14, 1, '2024-08-05 20:25:43', NULL), (14524, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 15, 1, '2024-08-05 20:25:43', NULL), (14525, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 16, 1, '2024-08-05 20:25:43', NULL), (14526, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 17, 1, '2024-08-05 20:25:43', NULL), (14527, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 18, 1, '2024-08-05 20:25:43', NULL), (14528, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 19, 1, '2024-08-05 20:25:43', NULL), (14529, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 20, 1, '2024-08-05 20:25:43', NULL), (14530, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 21, 1, '2024-08-05 20:25:44', NULL), (14531, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 22, 1, '2024-08-05 20:25:44', NULL), (14532, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 23, 1, '2024-08-05 20:25:44', NULL), (14533, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 24, 1, '2024-08-05 20:25:44', NULL), (14534, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 25, 1, '2024-08-05 20:25:44', NULL), (14535, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 26, 1, '2024-08-05 20:25:44', NULL), (14536, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 27, 1, '2024-08-05 20:25:44', NULL), (14537, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 28, 1, '2024-08-05 20:25:44', NULL), (14538, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 29, 1, '2024-08-05 20:25:44', NULL), (14539, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 6, 30, 1, '2024-08-05 20:25:44', NULL), (14540, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 1, 1, '2024-08-05 20:25:45', NULL), (14541, 41, '511526101000-0001', '巡场镇便民服务中心', 15, 2024, 7, 2, 1, '2024-08-05 20:25:45', NULL), (14542, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 3, 1, '2024-08-05 20:25:45', NULL), (14543, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 4, 1, '2024-08-05 20:25:45', NULL), (14544, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 5, 1, '2024-08-05 20:25:45', NULL), (14545, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 6, 1, '2024-08-05 20:25:45', NULL), (14546, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 7, 1, '2024-08-05 20:25:45', NULL), (14547, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 8, 1, '2024-08-05 20:25:45', NULL), (14548, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 9, 1, '2024-08-05 20:25:45', NULL), (14549, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 10, 1, '2024-08-05 20:25:46', NULL), (14550, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 11, 1, '2024-08-05 20:25:46', NULL), (14551, 41, '511526101000-0001', '巡场镇便民服务中心', 15, 2024, 7, 12, 1, '2024-08-05 20:25:46', NULL), (14552, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 13, 1, '2024-08-05 20:25:46', NULL), (14553, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 14, 1, '2024-08-05 20:25:46', NULL), (14554, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 15, 1, '2024-08-05 20:25:46', NULL), (14555, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 16, 1, '2024-08-05 20:25:46', NULL), (14556, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 17, 1, '2024-08-05 20:25:46', NULL), (14557, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 18, 1, '2024-08-05 20:25:46', NULL), (14558, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 19, 1, '2024-08-05 20:25:46', NULL), (14559, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 20, 1, '2024-08-05 20:25:47', NULL), (14560, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 21, 1, '2024-08-05 20:25:47', NULL), (14561, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 22, 1, '2024-08-05 20:25:47', NULL), (14562, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 23, 1, '2024-08-05 20:25:47', NULL), (14563, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 24, 1, '2024-08-05 20:25:47', NULL), (14564, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 25, 1, '2024-08-05 20:25:47', NULL), (14565, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 26, 1, '2024-08-05 20:25:47', NULL), (14566, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 27, 1, '2024-08-05 20:25:47', NULL), (14567, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 28, 1, '2024-08-05 20:25:47', NULL), (14568, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 29, 1, '2024-08-05 20:25:47', NULL), (14569, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 30, 1, '2024-08-05 20:25:48', NULL), (14570, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 7, 31, 1, '2024-08-05 20:25:48', NULL), (14571, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 1, 1, '2024-08-05 20:25:48', '2024-08-05 22:12:42'), (14572, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 2, 1, '2024-08-05 20:25:48', '2024-08-06 02:20:04'), (14573, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 3, 1, '2024-08-05 20:25:48', '2024-08-07 01:30:03'), (14574, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 4, 1, '2024-08-05 20:25:48', '2024-08-08 01:30:02'), (14575, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 5, 1, '2024-08-05 20:25:48', '2024-08-09 01:30:03'), (14576, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 1, 1, '2024-08-05 20:39:15', NULL), (14577, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 2, 1, '2024-08-05 20:39:15', NULL), (14578, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 3, 1, '2024-08-05 20:39:16', NULL), (14579, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 4, 1, '2024-08-05 20:39:16', NULL), (14580, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 5, 1, '2024-08-05 20:39:16', NULL), (14581, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 6, 1, '2024-08-05 20:39:16', NULL), (14582, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 7, 1, '2024-08-05 20:39:16', NULL), (14583, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 8, 1, '2024-08-05 20:39:17', NULL), (14584, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 9, 1, '2024-08-05 20:39:17', NULL), (14585, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 10, 1, '2024-08-05 20:39:17', NULL), (14586, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 11, 1, '2024-08-05 20:39:17', NULL), (14587, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 12, 1, '2024-08-05 20:39:18', NULL), (14588, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 13, 1, '2024-08-05 20:39:18', NULL), (14589, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 14, 1, '2024-08-05 20:39:18', NULL), (14590, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 15, 1, '2024-08-05 20:39:18', NULL), (14591, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 16, 1, '2024-08-05 20:39:18', NULL), (14592, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 17, 1, '2024-08-05 20:39:19', NULL), (14593, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 18, 1, '2024-08-05 20:39:19', NULL), (14594, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 19, 1, '2024-08-05 20:39:19', NULL), (14595, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 20, 1, '2024-08-05 20:39:19', NULL), (14596, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 21, 1, '2024-08-05 20:39:20', NULL), (14597, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 22, 1, '2024-08-05 20:39:20', NULL), (14598, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 23, 1, '2024-08-05 20:39:20', NULL), (14599, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 24, 1, '2024-08-05 20:39:20', NULL), (14600, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 25, 1, '2024-08-05 20:39:20', NULL), (14601, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 26, 1, '2024-08-05 20:39:21', NULL), (14602, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 27, 1, '2024-08-05 20:39:21', NULL), (14603, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 28, 1, '2024-08-05 20:39:21', NULL), (14604, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 29, 1, '2024-08-05 20:39:21', NULL), (14605, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 30, 1, '2024-08-05 20:39:21', NULL), (14606, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 1, 31, 1, '2024-08-05 20:39:22', NULL), (14607, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 1, 1, '2024-08-05 20:39:22', NULL), (14608, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 2, 1, '2024-08-05 20:39:22', NULL), (14609, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 3, 1, '2024-08-05 20:39:22', NULL), (14610, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 4, 1, '2024-08-05 20:39:22', NULL), (14611, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 5, 1, '2024-08-05 20:39:23', NULL), (14612, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 6, 1, '2024-08-05 20:39:23', NULL), (14613, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 7, 1, '2024-08-05 20:39:23', NULL), (14614, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 8, 1, '2024-08-05 20:39:23', NULL), (14615, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 9, 1, '2024-08-05 20:39:24', NULL), (14616, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 10, 1, '2024-08-05 20:39:24', NULL), (14617, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 11, 1, '2024-08-05 20:39:24', NULL), (14618, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 12, 1, '2024-08-05 20:39:24', NULL), (14619, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 13, 1, '2024-08-05 20:39:24', NULL), (14620, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 14, 1, '2024-08-05 20:39:25', NULL), (14621, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 15, 1, '2024-08-05 20:39:25', NULL), (14622, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 16, 1, '2024-08-05 20:39:25', NULL), (14623, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 17, 1, '2024-08-05 20:39:25', NULL), (14624, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 18, 1, '2024-08-05 20:39:25', NULL), (14625, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 19, 1, '2024-08-05 20:39:25', NULL), (14626, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 20, 1, '2024-08-05 20:39:25', NULL), (14627, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 21, 1, '2024-08-05 20:39:25', NULL), (14628, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 22, 1, '2024-08-05 20:39:25', NULL), (14629, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 23, 1, '2024-08-05 20:39:25', NULL), (14630, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 24, 1, '2024-08-05 20:39:25', NULL), (14631, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 25, 1, '2024-08-05 20:39:25', NULL), (14632, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 26, 1, '2024-08-05 20:39:25', NULL), (14633, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 27, 1, '2024-08-05 20:39:25', NULL), (14634, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 2, 28, 1, '2024-08-05 20:39:25', NULL), (14635, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 1, 1, '2024-08-05 20:39:25', NULL), (14636, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 2, 1, '2024-08-05 20:39:25', NULL), (14637, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 3, 1, '2024-08-05 20:39:25', NULL), (14638, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 4, 1, '2024-08-05 20:39:25', NULL), (14639, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 5, 1, '2024-08-05 20:39:25', NULL), (14640, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 6, 1, '2024-08-05 20:39:25', NULL), (14641, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 7, 1, '2024-08-05 20:39:26', NULL), (14642, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 8, 1, '2024-08-05 20:39:26', NULL), (14643, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 9, 1, '2024-08-05 20:39:26', NULL), (14644, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 10, 1, '2024-08-05 20:39:26', NULL), (14645, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 11, 1, '2024-08-05 20:39:26', NULL), (14646, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 12, 1, '2024-08-05 20:39:26', NULL), (14647, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 13, 1, '2024-08-05 20:39:26', NULL), (14648, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 14, 1, '2024-08-05 20:39:26', NULL), (14649, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 15, 1, '2024-08-05 20:39:26', NULL), (14650, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 16, 1, '2024-08-05 20:39:26', NULL), (14651, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 17, 1, '2024-08-05 20:39:26', NULL), (14652, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 18, 1, '2024-08-05 20:39:26', NULL), (14653, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 19, 1, '2024-08-05 20:39:26', NULL), (14654, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 20, 1, '2024-08-05 20:39:26', NULL), (14655, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 21, 1, '2024-08-05 20:39:26', NULL), (14656, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 22, 1, '2024-08-05 20:39:26', NULL), (14657, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 23, 1, '2024-08-05 20:39:26', NULL), (14658, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 24, 1, '2024-08-05 20:39:26', NULL), (14659, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 25, 1, '2024-08-05 20:39:26', NULL), (14660, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 26, 1, '2024-08-05 20:39:26', NULL), (14661, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 27, 1, '2024-08-05 20:39:27', NULL), (14662, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 28, 1, '2024-08-05 20:39:27', NULL), (14663, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 29, 1, '2024-08-05 20:39:27', NULL), (14664, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 30, 1, '2024-08-05 20:39:27', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (14665, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 3, 31, 1, '2024-08-05 20:39:27', NULL), (14666, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 1, 1, '2024-08-05 20:39:27', NULL), (14667, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 2, 1, '2024-08-05 20:39:27', NULL), (14668, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 3, 1, '2024-08-05 20:39:27', NULL), (14669, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 4, 1, '2024-08-05 20:39:27', NULL), (14670, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 5, 1, '2024-08-05 20:39:27', NULL), (14671, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 6, 1, '2024-08-05 20:39:27', NULL), (14672, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 7, 1, '2024-08-05 20:39:27', NULL), (14673, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 8, 1, '2024-08-05 20:39:27', NULL), (14674, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 9, 1, '2024-08-05 20:39:27', NULL), (14675, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 10, 1, '2024-08-05 20:39:27', NULL), (14676, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 11, 1, '2024-08-05 20:39:27', NULL), (14677, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 12, 1, '2024-08-05 20:39:27', NULL), (14678, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 13, 1, '2024-08-05 20:39:27', NULL), (14679, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 14, 1, '2024-08-05 20:39:27', NULL), (14680, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 15, 1, '2024-08-05 20:39:27', NULL), (14681, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 16, 1, '2024-08-05 20:39:28', NULL), (14682, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 17, 1, '2024-08-05 20:39:28', NULL), (14683, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 18, 1, '2024-08-05 20:39:28', NULL), (14684, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 19, 1, '2024-08-05 20:39:28', NULL), (14685, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 20, 1, '2024-08-05 20:39:28', NULL), (14686, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 21, 1, '2024-08-05 20:39:28', NULL), (14687, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 22, 1, '2024-08-05 20:39:28', NULL), (14688, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 23, 1, '2024-08-05 20:39:28', NULL), (14689, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 24, 1, '2024-08-05 20:39:28', NULL), (14690, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 25, 1, '2024-08-05 20:39:28', NULL), (14691, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 26, 1, '2024-08-05 20:39:28', NULL), (14692, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 27, 1, '2024-08-05 20:39:28', NULL), (14693, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 28, 1, '2024-08-05 20:39:28', NULL), (14694, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 29, 1, '2024-08-05 20:39:28', NULL), (14695, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 4, 30, 1, '2024-08-05 20:39:28', NULL), (14696, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 1, 1, '2024-08-05 20:39:28', NULL), (14697, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 2, 1, '2024-08-05 20:39:28', NULL), (14698, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 3, 1, '2024-08-05 20:39:28', NULL), (14699, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 4, 1, '2024-08-05 20:39:28', NULL), (14700, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 5, 1, '2024-08-05 20:39:29', NULL), (14701, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 6, 1, '2024-08-05 20:39:29', NULL), (14702, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 7, 1, '2024-08-05 20:39:29', NULL), (14703, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 8, 1, '2024-08-05 20:39:29', NULL), (14704, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 9, 1, '2024-08-05 20:39:29', NULL), (14705, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 10, 1, '2024-08-05 20:39:29', NULL), (14706, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 11, 1, '2024-08-05 20:39:29', NULL), (14707, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 12, 1, '2024-08-05 20:39:29', NULL), (14708, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 13, 1, '2024-08-05 20:39:29', NULL), (14709, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 14, 1, '2024-08-05 20:39:29', NULL), (14710, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 15, 1, '2024-08-05 20:39:29', NULL), (14711, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 16, 1, '2024-08-05 20:39:29', NULL), (14712, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 17, 1, '2024-08-05 20:39:29', NULL), (14713, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 18, 1, '2024-08-05 20:39:29', NULL), (14714, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 19, 1, '2024-08-05 20:39:29', NULL), (14715, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 20, 1, '2024-08-05 20:39:29', NULL), (14716, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 21, 1, '2024-08-05 20:39:29', NULL), (14717, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 22, 1, '2024-08-05 20:39:29', NULL), (14718, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 23, 1, '2024-08-05 20:39:29', NULL), (14719, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 24, 1, '2024-08-05 20:39:30', NULL), (14720, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 25, 1, '2024-08-05 20:39:30', NULL), (14721, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 26, 1, '2024-08-05 20:39:30', NULL), (14722, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 27, 1, '2024-08-05 20:39:30', NULL), (14723, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 28, 1, '2024-08-05 20:39:30', NULL), (14724, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 29, 1, '2024-08-05 20:39:30', NULL), (14725, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 30, 1, '2024-08-05 20:39:30', NULL), (14726, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 5, 31, 1, '2024-08-05 20:39:30', NULL), (14727, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 1, 1, '2024-08-05 20:39:30', NULL), (14728, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 2, 1, '2024-08-05 20:39:30', NULL), (14729, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 3, 1, '2024-08-05 20:39:30', NULL), (14730, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 4, 1, '2024-08-05 20:39:30', NULL), (14731, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 5, 1, '2024-08-05 20:39:30', NULL), (14732, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 6, 1, '2024-08-05 20:39:30', NULL), (14733, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 7, 1, '2024-08-05 20:39:30', NULL), (14734, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 8, 1, '2024-08-05 20:39:30', NULL), (14735, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 9, 1, '2024-08-05 20:39:30', NULL), (14736, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 10, 1, '2024-08-05 20:39:30', NULL), (14737, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 11, 1, '2024-08-05 20:39:30', NULL), (14738, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 12, 1, '2024-08-05 20:39:30', NULL), (14739, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 13, 1, '2024-08-05 20:39:31', NULL), (14740, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 14, 1, '2024-08-05 20:39:31', NULL), (14741, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 15, 1, '2024-08-05 20:39:31', NULL), (14742, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 16, 1, '2024-08-05 20:39:31', NULL), (14743, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 17, 1, '2024-08-05 20:39:31', NULL), (14744, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 18, 1, '2024-08-05 20:39:31', NULL), (14745, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 19, 1, '2024-08-05 20:39:31', NULL), (14746, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 20, 1, '2024-08-05 20:39:31', NULL), (14747, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 21, 1, '2024-08-05 20:39:31', NULL), (14748, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 22, 1, '2024-08-05 20:39:31', NULL), (14749, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 23, 1, '2024-08-05 20:39:31', NULL), (14750, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 24, 1, '2024-08-05 20:39:31', NULL), (14751, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 25, 1, '2024-08-05 20:39:31', NULL), (14752, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 26, 1, '2024-08-05 20:39:31', NULL), (14753, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 27, 1, '2024-08-05 20:39:31', NULL), (14754, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 28, 1, '2024-08-05 20:39:31', NULL), (14755, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 29, 1, '2024-08-05 20:39:31', NULL), (14756, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 6, 30, 1, '2024-08-05 20:39:31', NULL), (14757, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 1, 1, '2024-08-05 20:39:32', NULL), (14758, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 2, 1, '2024-08-05 20:39:32', NULL), (14759, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 3, 1, '2024-08-05 20:39:32', NULL), (14760, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 4, 1, '2024-08-05 20:39:32', NULL), (14761, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 5, 1, '2024-08-05 20:39:32', NULL), (14762, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 6, 1, '2024-08-05 20:39:32', NULL), (14763, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 7, 1, '2024-08-05 20:39:32', NULL), (14764, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 8, 1, '2024-08-05 20:39:32', NULL), (14765, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 9, 1, '2024-08-05 20:39:32', NULL), (14766, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 10, 1, '2024-08-05 20:39:32', NULL), (14767, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 11, 1, '2024-08-05 20:39:32', NULL), (14768, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 12, 1, '2024-08-05 20:39:32', NULL), (14769, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 13, 1, '2024-08-05 20:39:32', NULL), (14770, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 14, 1, '2024-08-05 20:39:32', NULL), (14771, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 15, 1, '2024-08-05 20:39:32', NULL), (14772, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 16, 1, '2024-08-05 20:39:32', NULL), (14773, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 17, 1, '2024-08-05 20:39:32', NULL), (14774, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 18, 1, '2024-08-05 20:39:32', NULL), (14775, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 19, 1, '2024-08-05 20:39:32', NULL), (14776, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 20, 1, '2024-08-05 20:39:33', NULL), (14777, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 21, 1, '2024-08-05 20:39:33', NULL), (14778, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 22, 1, '2024-08-05 20:39:33', NULL), (14779, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 23, 1, '2024-08-05 20:39:33', NULL), (14780, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 24, 1, '2024-08-05 20:39:33', NULL), (14781, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 25, 1, '2024-08-05 20:39:33', NULL), (14782, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 26, 1, '2024-08-05 20:39:33', NULL), (14783, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 27, 1, '2024-08-05 20:39:33', NULL), (14784, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 28, 1, '2024-08-05 20:39:33', NULL), (14785, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 29, 1, '2024-08-05 20:39:33', NULL), (14786, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 30, 1, '2024-08-05 20:39:33', NULL), (14787, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 7, 31, 1, '2024-08-05 20:39:33', NULL), (14788, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 1, 1, '2024-08-05 20:39:33', NULL), (14789, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 2, 1, '2024-08-05 20:39:33', NULL), (14790, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 3, 1, '2024-08-05 20:39:33', NULL), (14791, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 4, 1, '2024-08-05 20:39:33', NULL), (14792, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 5, 1, '2024-08-05 20:39:33', NULL), (14793, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 6, 1, '2024-08-05 20:39:33', NULL), (14794, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 7, 1, '2024-08-05 20:39:33', NULL), (14795, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 8, 1, '2024-08-05 20:39:34', NULL), (14796, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 9, 1, '2024-08-05 20:39:34', NULL), (14797, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 10, 1, '2024-08-05 20:39:34', NULL), (14798, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 11, 1, '2024-08-05 20:39:34', NULL), (14799, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 12, 1, '2024-08-05 20:39:34', NULL), (14800, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 13, 1, '2024-08-05 20:39:34', NULL), (14801, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 14, 1, '2024-08-05 20:39:34', NULL), (14802, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 15, 1, '2024-08-05 20:39:34', NULL), (14803, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 16, 1, '2024-08-05 20:39:34', NULL), (14804, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 17, 1, '2024-08-05 20:39:34', NULL), (14805, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 18, 1, '2024-08-05 20:39:34', NULL), (14806, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 19, 1, '2024-08-05 20:39:34', NULL), (14807, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 20, 1, '2024-08-05 20:39:34', NULL), (14808, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 21, 1, '2024-08-05 20:39:34', NULL), (14809, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 22, 1, '2024-08-05 20:39:34', NULL), (14810, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 23, 1, '2024-08-05 20:39:34', NULL), (14811, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 24, 1, '2024-08-05 20:39:34', NULL), (14812, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 25, 1, '2024-08-05 20:39:34', NULL), (14813, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 26, 1, '2024-08-05 20:39:34', NULL), (14814, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 27, 1, '2024-08-05 20:39:34', NULL), (14815, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 28, 1, '2024-08-05 20:39:35', NULL), (14816, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 29, 1, '2024-08-05 20:39:35', NULL), (14817, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 30, 1, '2024-08-05 20:39:35', NULL), (14818, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 8, 31, 1, '2024-08-05 20:39:35', NULL), (14819, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 1, 1, '2024-08-05 20:39:35', NULL), (14820, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 2, 1, '2024-08-05 20:39:35', NULL), (14821, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 3, 1, '2024-08-05 20:39:35', NULL), (14822, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 4, 1, '2024-08-05 20:39:35', NULL), (14823, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 5, 1, '2024-08-05 20:39:35', NULL), (14824, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 6, 1, '2024-08-05 20:39:35', NULL), (14825, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 7, 1, '2024-08-05 20:39:35', NULL), (14826, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 8, 1, '2024-08-05 20:39:35', NULL), (14827, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 9, 1, '2024-08-05 20:39:35', NULL), (14828, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 10, 1, '2024-08-05 20:39:35', NULL), (14829, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 11, 1, '2024-08-05 20:39:35', NULL), (14830, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 12, 1, '2024-08-05 20:39:35', NULL), (14831, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 13, 1, '2024-08-05 20:39:35', NULL), (14832, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 14, 1, '2024-08-05 20:39:35', NULL), (14833, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 15, 1, '2024-08-05 20:39:35', NULL), (14834, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 16, 1, '2024-08-05 20:39:35', NULL), (14835, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 17, 1, '2024-08-05 20:39:35', NULL), (14836, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 18, 1, '2024-08-05 20:39:35', NULL), (14837, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 19, 1, '2024-08-05 20:39:35', NULL), (14838, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 20, 1, '2024-08-05 20:39:35', NULL), (14839, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 21, 1, '2024-08-05 20:39:36', NULL), (14840, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 22, 1, '2024-08-05 20:39:36', NULL), (14841, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 23, 1, '2024-08-05 20:39:36', NULL), (14842, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 24, 1, '2024-08-05 20:39:36', NULL), (14843, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 25, 1, '2024-08-05 20:39:36', NULL), (14844, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 26, 1, '2024-08-05 20:39:36', NULL), (14845, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 27, 1, '2024-08-05 20:39:36', NULL), (14846, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 28, 1, '2024-08-05 20:39:36', NULL), (14847, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 29, 1, '2024-08-05 20:39:36', NULL), (14848, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 9, 30, 1, '2024-08-05 20:39:36', NULL), (14849, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 1, 1, '2024-08-05 20:39:36', NULL), (14850, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 2, 1, '2024-08-05 20:39:36', NULL), (14851, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 3, 1, '2024-08-05 20:39:36', NULL), (14852, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 4, 1, '2024-08-05 20:39:36', NULL), (14853, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 5, 1, '2024-08-05 20:39:36', NULL), (14854, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 6, 1, '2024-08-05 20:39:36', NULL), (14855, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 7, 1, '2024-08-05 20:39:36', NULL), (14856, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 8, 1, '2024-08-05 20:39:36', NULL), (14857, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 9, 1, '2024-08-05 20:39:36', NULL), (14858, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 10, 1, '2024-08-05 20:39:36', NULL), (14859, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 11, 1, '2024-08-05 20:39:36', NULL), (14860, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 12, 1, '2024-08-05 20:39:36', NULL), (14861, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 13, 1, '2024-08-05 20:39:36', NULL), (14862, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 14, 1, '2024-08-05 20:39:37', NULL), (14863, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 15, 1, '2024-08-05 20:39:37', NULL), (14864, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 16, 1, '2024-08-05 20:39:37', NULL), (14865, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 17, 1, '2024-08-05 20:39:37', NULL), (14866, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 18, 1, '2024-08-05 20:39:37', NULL), (14867, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 19, 1, '2024-08-05 20:39:37', NULL), (14868, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 20, 1, '2024-08-05 20:39:37', NULL), (14869, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 21, 1, '2024-08-05 20:39:37', NULL), (14870, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 22, 1, '2024-08-05 20:39:37', NULL), (14871, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 23, 1, '2024-08-05 20:39:37', NULL), (14872, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 24, 1, '2024-08-05 20:39:37', NULL), (14873, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 25, 1, '2024-08-05 20:39:37', NULL), (14874, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 26, 1, '2024-08-05 20:39:37', NULL), (14875, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 27, 1, '2024-08-05 20:39:37', NULL), (14876, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 28, 1, '2024-08-05 20:39:37', NULL), (14877, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 29, 1, '2024-08-05 20:39:37', NULL), (14878, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 30, 1, '2024-08-05 20:39:37', NULL), (14879, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 10, 31, 1, '2024-08-05 20:39:37', NULL), (14880, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 1, 1, '2024-08-05 20:39:37', NULL), (14881, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 2, 1, '2024-08-05 20:39:37', NULL), (14882, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 3, 1, '2024-08-05 20:39:37', NULL), (14883, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 4, 1, '2024-08-05 20:39:37', NULL), (14884, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 5, 1, '2024-08-05 20:39:37', NULL), (14885, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 6, 1, '2024-08-05 20:39:37', NULL), (14886, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 7, 1, '2024-08-05 20:39:38', NULL), (14887, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 8, 1, '2024-08-05 20:39:38', NULL), (14888, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 9, 1, '2024-08-05 20:39:38', NULL), (14889, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 10, 1, '2024-08-05 20:39:38', NULL), (14890, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 11, 1, '2024-08-05 20:39:38', NULL), (14891, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 12, 1, '2024-08-05 20:39:38', NULL), (14892, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 13, 1, '2024-08-05 20:39:38', NULL), (14893, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 14, 1, '2024-08-05 20:39:38', NULL), (14894, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 15, 1, '2024-08-05 20:39:38', NULL), (14895, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 16, 1, '2024-08-05 20:39:38', NULL), (14896, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 17, 1, '2024-08-05 20:39:38', NULL), (14897, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 18, 1, '2024-08-05 20:39:38', NULL), (14898, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 19, 1, '2024-08-05 20:39:38', NULL), (14899, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 20, 1, '2024-08-05 20:39:38', NULL), (14900, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 21, 1, '2024-08-05 20:39:38', NULL), (14901, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 22, 1, '2024-08-05 20:39:38', NULL), (14902, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 23, 1, '2024-08-05 20:39:38', NULL), (14903, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 24, 1, '2024-08-05 20:39:38', NULL), (14904, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 25, 1, '2024-08-05 20:39:38', NULL), (14905, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 26, 1, '2024-08-05 20:39:39', NULL), (14906, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 27, 1, '2024-08-05 20:39:39', NULL), (14907, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 28, 1, '2024-08-05 20:39:39', NULL), (14908, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 29, 1, '2024-08-05 20:39:39', NULL), (14909, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 11, 30, 1, '2024-08-05 20:39:39', NULL), (14910, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 1, 1, '2024-08-05 20:39:39', NULL), (14911, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 2, 1, '2024-08-05 20:39:39', NULL), (14912, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 3, 1, '2024-08-05 20:39:39', NULL), (14913, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 4, 1, '2024-08-05 20:39:39', NULL), (14914, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 5, 1, '2024-08-05 20:39:39', NULL), (14915, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 6, 1, '2024-08-05 20:39:39', NULL), (14916, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 7, 1, '2024-08-05 20:39:39', NULL), (14917, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 8, 1, '2024-08-05 20:39:39', NULL), (14918, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 9, 1, '2024-08-05 20:39:39', NULL), (14919, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 10, 1, '2024-08-05 20:39:39', NULL), (14920, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 11, 1, '2024-08-05 20:39:39', NULL), (14921, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 12, 1, '2024-08-05 20:39:39', NULL), (14922, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 13, 1, '2024-08-05 20:39:39', NULL), (14923, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 14, 1, '2024-08-05 20:39:39', NULL), (14924, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 15, 1, '2024-08-05 20:39:40', NULL), (14925, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 16, 1, '2024-08-05 20:39:40', NULL), (14926, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 17, 1, '2024-08-05 20:39:40', NULL), (14927, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 18, 1, '2024-08-05 20:39:40', NULL), (14928, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 19, 1, '2024-08-05 20:39:40', NULL), (14929, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 20, 1, '2024-08-05 20:39:40', NULL), (14930, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 21, 1, '2024-08-05 20:39:40', NULL), (14931, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 22, 1, '2024-08-05 20:39:40', NULL), (14932, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 23, 1, '2024-08-05 20:39:40', NULL), (14933, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 24, 1, '2024-08-05 20:39:40', NULL), (14934, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 25, 1, '2024-08-05 20:39:40', NULL), (14935, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 26, 1, '2024-08-05 20:39:40', NULL), (14936, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 27, 1, '2024-08-05 20:39:40', NULL), (14937, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 28, 1, '2024-08-05 20:39:40', NULL), (14938, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 29, 1, '2024-08-05 20:39:40', NULL), (14939, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 30, 1, '2024-08-05 20:39:40', NULL), (14940, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2023, 12, 31, 1, '2024-08-05 20:39:40', NULL), (14941, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 1, 1, '2024-08-05 20:39:40', NULL), (14942, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 2, 1, '2024-08-05 20:39:40', NULL), (14943, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 3, 1, '2024-08-05 20:39:41', NULL), (14944, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 4, 1, '2024-08-05 20:39:41', NULL), (14945, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 5, 1, '2024-08-05 20:39:41', NULL), (14946, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 6, 1, '2024-08-05 20:39:41', NULL), (14947, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 7, 1, '2024-08-05 20:39:41', NULL), (14948, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 8, 1, '2024-08-05 20:39:41', NULL), (14949, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 9, 1, '2024-08-05 20:39:41', NULL), (14950, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 10, 1, '2024-08-05 20:39:41', NULL), (14951, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 11, 1, '2024-08-05 20:39:41', NULL), (14952, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 12, 1, '2024-08-05 20:39:41', NULL), (14953, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 13, 1, '2024-08-05 20:39:41', NULL), (14954, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 14, 1, '2024-08-05 20:39:41', NULL), (14955, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 15, 1, '2024-08-05 20:39:41', NULL), (14956, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 16, 1, '2024-08-05 20:39:41', NULL), (14957, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 17, 1, '2024-08-05 20:39:41', NULL), (14958, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 18, 1, '2024-08-05 20:39:41', NULL), (14959, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 19, 1, '2024-08-05 20:39:42', NULL), (14960, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 20, 1, '2024-08-05 20:39:42', NULL), (14961, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 21, 1, '2024-08-05 20:39:42', NULL), (14962, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 22, 1, '2024-08-05 20:39:42', NULL), (14963, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 23, 1, '2024-08-05 20:39:42', NULL), (14964, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 24, 1, '2024-08-05 20:39:42', NULL), (14965, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 25, 1, '2024-08-05 20:39:42', NULL), (14966, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 26, 1, '2024-08-05 20:39:42', NULL), (14967, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 27, 1, '2024-08-05 20:39:42', NULL), (14968, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 28, 1, '2024-08-05 20:39:42', NULL), (14969, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 29, 1, '2024-08-05 20:39:42', NULL), (14970, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 30, 1, '2024-08-05 20:39:42', NULL), (14971, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 1, 31, 1, '2024-08-05 20:39:42', NULL), (14972, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 1, 1, '2024-08-05 20:39:42', NULL), (14973, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 2, 1, '2024-08-05 20:39:42', NULL), (14974, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 3, 1, '2024-08-05 20:39:42', NULL), (14975, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 4, 1, '2024-08-05 20:39:42', NULL), (14976, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 5, 1, '2024-08-05 20:39:43', NULL), (14977, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 6, 1, '2024-08-05 20:39:43', NULL), (14978, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 7, 1, '2024-08-05 20:39:43', NULL), (14979, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 8, 1, '2024-08-05 20:39:43', NULL), (14980, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 9, 1, '2024-08-05 20:39:43', NULL), (14981, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 10, 1, '2024-08-05 20:39:43', NULL), (14982, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 11, 1, '2024-08-05 20:39:43', NULL), (14983, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 12, 1, '2024-08-05 20:39:43', NULL), (14984, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 13, 1, '2024-08-05 20:39:43', NULL), (14985, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 14, 1, '2024-08-05 20:39:43', NULL), (14986, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 15, 1, '2024-08-05 20:39:43', NULL), (14987, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 16, 1, '2024-08-05 20:39:43', NULL), (14988, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 17, 1, '2024-08-05 20:39:43', NULL), (14989, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 18, 1, '2024-08-05 20:39:43', NULL), (14990, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 19, 1, '2024-08-05 20:39:43', NULL), (14991, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 20, 1, '2024-08-05 20:39:43', NULL), (14992, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 21, 1, '2024-08-05 20:39:44', NULL), (14993, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 22, 1, '2024-08-05 20:39:44', NULL), (14994, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 23, 1, '2024-08-05 20:39:44', NULL), (14995, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 24, 1, '2024-08-05 20:39:44', NULL), (14996, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 25, 1, '2024-08-05 20:39:44', NULL), (14997, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 26, 1, '2024-08-05 20:39:44', NULL), (14998, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 27, 1, '2024-08-05 20:39:44', NULL), (14999, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 28, 1, '2024-08-05 20:39:44', NULL), (15000, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 2, 29, 1, '2024-08-05 20:39:44', NULL), (15001, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 1, 1, '2024-08-05 20:39:44', NULL), (15002, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 2, 1, '2024-08-05 20:39:44', NULL), (15003, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 3, 1, '2024-08-05 20:39:44', NULL), (15004, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 4, 1, '2024-08-05 20:39:44', NULL), (15005, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 5, 1, '2024-08-05 20:39:44', NULL), (15006, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 6, 1, '2024-08-05 20:39:44', NULL), (15007, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 7, 1, '2024-08-05 20:39:44', NULL), (15008, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 8, 1, '2024-08-05 20:39:45', NULL), (15009, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 9, 1, '2024-08-05 20:39:45', NULL), (15010, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 10, 1, '2024-08-05 20:39:45', NULL), (15011, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 11, 1, '2024-08-05 20:39:45', NULL), (15012, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 12, 1, '2024-08-05 20:39:45', NULL), (15013, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 13, 1, '2024-08-05 20:39:45', NULL), (15014, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 14, 1, '2024-08-05 20:39:45', NULL), (15015, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 15, 1, '2024-08-05 20:39:45', NULL), (15016, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 16, 1, '2024-08-05 20:39:45', NULL), (15017, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 17, 1, '2024-08-05 20:39:45', NULL), (15018, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 18, 1, '2024-08-05 20:39:45', NULL), (15019, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 19, 1, '2024-08-05 20:39:45', NULL), (15020, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 20, 1, '2024-08-05 20:39:45', NULL), (15021, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 21, 1, '2024-08-05 20:39:46', NULL), (15022, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 22, 1, '2024-08-05 20:39:46', NULL), (15023, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 23, 1, '2024-08-05 20:39:46', NULL), (15024, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 24, 1, '2024-08-05 20:39:46', NULL), (15025, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 25, 1, '2024-08-05 20:39:46', NULL), (15026, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 26, 1, '2024-08-05 20:39:46', NULL), (15027, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 27, 1, '2024-08-05 20:39:46', NULL), (15028, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 28, 1, '2024-08-05 20:39:46', NULL), (15029, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 29, 1, '2024-08-05 20:39:46', NULL), (15030, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 30, 1, '2024-08-05 20:39:46', NULL), (15031, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 3, 31, 1, '2024-08-05 20:39:46', NULL), (15032, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 1, 1, '2024-08-05 20:39:46', NULL), (15033, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 2, 1, '2024-08-05 20:39:46', NULL), (15034, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 3, 1, '2024-08-05 20:39:46', NULL), (15035, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 4, 1, '2024-08-05 20:39:47', NULL), (15036, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 5, 1, '2024-08-05 20:39:47', NULL), (15037, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 6, 1, '2024-08-05 20:39:47', NULL), (15038, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 7, 1, '2024-08-05 20:39:47', NULL), (15039, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 8, 1, '2024-08-05 20:39:47', NULL), (15040, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 9, 1, '2024-08-05 20:39:47', NULL), (15041, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 10, 1, '2024-08-05 20:39:47', NULL), (15042, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 11, 1, '2024-08-05 20:39:47', NULL), (15043, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 12, 1, '2024-08-05 20:39:47', NULL), (15044, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 13, 1, '2024-08-05 20:39:47', NULL), (15045, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 14, 1, '2024-08-05 20:39:47', NULL), (15046, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 15, 1, '2024-08-05 20:39:47', NULL), (15047, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 16, 1, '2024-08-05 20:39:47', NULL), (15048, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 17, 1, '2024-08-05 20:39:48', NULL), (15049, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 18, 1, '2024-08-05 20:39:48', NULL), (15050, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 19, 1, '2024-08-05 20:39:48', NULL), (15051, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 20, 1, '2024-08-05 20:39:48', NULL), (15052, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 21, 1, '2024-08-05 20:39:48', NULL), (15053, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 22, 1, '2024-08-05 20:39:48', NULL), (15054, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 23, 1, '2024-08-05 20:39:48', NULL), (15055, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 24, 1, '2024-08-05 20:39:48', NULL), (15056, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 25, 1, '2024-08-05 20:39:48', NULL), (15057, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 26, 1, '2024-08-05 20:39:48', NULL), (15058, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 27, 1, '2024-08-05 20:39:49', NULL), (15059, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 28, 1, '2024-08-05 20:39:49', NULL), (15060, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 29, 1, '2024-08-05 20:39:49', NULL), (15061, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 4, 30, 1, '2024-08-05 20:39:49', NULL), (15062, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 1, 1, '2024-08-05 20:39:49', NULL), (15063, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 2, 1, '2024-08-05 20:39:49', NULL), (15064, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 3, 1, '2024-08-05 20:39:49', NULL), (15065, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 4, 1, '2024-08-05 20:39:49', NULL), (15066, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 5, 1, '2024-08-05 20:39:49', NULL), (15067, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 6, 1, '2024-08-05 20:39:49', NULL), (15068, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 7, 1, '2024-08-05 20:39:50', NULL), (15069, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 8, 1, '2024-08-05 20:39:50', NULL), (15070, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 9, 1, '2024-08-05 20:39:50', NULL), (15071, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 10, 1, '2024-08-05 20:39:50', NULL), (15072, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 11, 1, '2024-08-05 20:39:50', NULL), (15073, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 12, 1, '2024-08-05 20:39:50', NULL), (15074, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 13, 1, '2024-08-05 20:39:50', NULL), (15075, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 14, 1, '2024-08-05 20:39:50', NULL), (15076, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 15, 1, '2024-08-05 20:39:50', NULL), (15077, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 16, 1, '2024-08-05 20:39:50', NULL), (15078, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 17, 1, '2024-08-05 20:39:51', NULL), (15079, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 18, 1, '2024-08-05 20:39:51', NULL), (15080, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 19, 1, '2024-08-05 20:39:51', NULL), (15081, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 20, 1, '2024-08-05 20:39:51', NULL), (15082, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 21, 1, '2024-08-05 20:39:52', NULL), (15083, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 22, 1, '2024-08-05 20:39:52', NULL), (15084, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 23, 1, '2024-08-05 20:39:52', NULL), (15085, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 24, 1, '2024-08-05 20:39:53', NULL), (15086, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 25, 1, '2024-08-05 20:39:53', NULL), (15087, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 26, 1, '2024-08-05 20:39:53', NULL), (15088, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 27, 1, '2024-08-05 20:39:53', NULL), (15089, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 28, 1, '2024-08-05 20:39:54', NULL), (15090, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 29, 1, '2024-08-05 20:39:54', NULL), (15091, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 30, 1, '2024-08-05 20:39:54', NULL), (15092, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 5, 31, 1, '2024-08-05 20:39:54', NULL), (15093, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 1, 1, '2024-08-05 20:39:55', NULL), (15094, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 2, 1, '2024-08-05 20:39:55', NULL), (15095, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 3, 1, '2024-08-05 20:39:55', NULL), (15096, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 4, 1, '2024-08-05 20:39:55', NULL), (15097, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 5, 1, '2024-08-05 20:39:56', NULL), (15098, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 6, 1, '2024-08-05 20:39:56', NULL), (15099, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 7, 1, '2024-08-05 20:39:56', NULL), (15100, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 8, 1, '2024-08-05 20:39:57', NULL), (15101, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 9, 1, '2024-08-05 20:39:57', NULL), (15102, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 10, 1, '2024-08-05 20:39:57', NULL), (15103, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 11, 1, '2024-08-05 20:39:57', NULL), (15104, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 12, 1, '2024-08-05 20:39:58', NULL), (15105, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 13, 1, '2024-08-05 20:39:58', NULL), (15106, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 14, 1, '2024-08-05 20:39:58', NULL), (15107, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 15, 1, '2024-08-05 20:39:58', NULL), (15108, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 16, 1, '2024-08-05 20:39:59', NULL), (15109, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 17, 1, '2024-08-05 20:39:59', NULL), (15110, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 18, 1, '2024-08-05 20:39:59', NULL), (15111, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 19, 1, '2024-08-05 20:39:59', NULL), (15112, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 20, 1, '2024-08-05 20:40:00', NULL), (15113, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 21, 1, '2024-08-05 20:40:00', NULL), (15114, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 22, 1, '2024-08-05 20:40:00', NULL), (15115, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 23, 1, '2024-08-05 20:40:01', NULL), (15116, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 24, 1, '2024-08-05 20:40:01', NULL), (15117, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 25, 1, '2024-08-05 20:40:01', NULL), (15118, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 26, 1, '2024-08-05 20:40:01', NULL), (15119, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 27, 1, '2024-08-05 20:40:02', NULL), (15120, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 28, 1, '2024-08-05 20:40:02', NULL), (15121, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 29, 1, '2024-08-05 20:40:02', NULL), (15122, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 6, 30, 1, '2024-08-05 20:40:02', NULL), (15123, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 1, 1, '2024-08-05 20:40:03', NULL), (15124, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 2, 1, '2024-08-05 20:40:03', NULL), (15125, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 3, 1, '2024-08-05 20:40:03', NULL), (15126, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 4, 1, '2024-08-05 20:40:04', NULL), (15127, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 5, 1, '2024-08-05 20:40:04', NULL), (15128, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 6, 1, '2024-08-05 20:40:04', NULL), (15129, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 7, 1, '2024-08-05 20:40:04', NULL), (15130, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 8, 1, '2024-08-05 20:40:05', NULL), (15131, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 9, 1, '2024-08-05 20:40:05', NULL), (15132, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 10, 1, '2024-08-05 20:40:05', NULL), (15133, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 11, 1, '2024-08-05 20:40:05', NULL), (15134, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 12, 1, '2024-08-05 20:40:05', NULL), (15135, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 13, 1, '2024-08-05 20:40:05', NULL), (15136, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 14, 1, '2024-08-05 20:40:05', NULL), (15137, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 15, 1, '2024-08-05 20:40:05', NULL), (15138, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 16, 1, '2024-08-05 20:40:05', NULL), (15139, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 17, 1, '2024-08-05 20:40:05', NULL), (15140, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 18, 1, '2024-08-05 20:40:05', NULL), (15141, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 19, 1, '2024-08-05 20:40:05', NULL), (15142, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 20, 1, '2024-08-05 20:40:05', NULL), (15143, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 21, 1, '2024-08-05 20:40:05', NULL), (15144, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 22, 1, '2024-08-05 20:40:05', NULL), (15145, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 23, 1, '2024-08-05 20:40:05', NULL), (15146, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 24, 1, '2024-08-05 20:40:06', NULL), (15147, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 25, 1, '2024-08-05 20:40:06', NULL), (15148, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 26, 1, '2024-08-05 20:40:06', NULL), (15149, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 27, 1, '2024-08-05 20:40:06', NULL), (15150, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 28, 1, '2024-08-05 20:40:06', NULL), (15151, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 29, 1, '2024-08-05 20:40:06', NULL), (15152, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 30, 1, '2024-08-05 20:40:06', NULL), (15153, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 7, 31, 1, '2024-08-05 20:40:06', NULL), (15154, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 1, 1, '2024-08-05 20:40:06', '2024-08-05 22:12:42'), (15155, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 2, 1, '2024-08-05 20:40:06', '2024-08-06 02:20:05'), (15156, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 3, 1, '2024-08-05 20:40:06', '2024-08-07 01:30:03'), (15157, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 4, 1, '2024-08-05 20:40:06', '2024-08-08 01:30:02'), (15158, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 5, 1, '2024-08-05 20:40:06', '2024-08-09 01:30:03'), (15159, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 1, 1, '2024-08-05 20:51:34', NULL), (15160, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 2, 1, '2024-08-05 20:51:35', NULL), (15161, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 3, 1, '2024-08-05 20:51:35', NULL), (15162, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 4, 1, '2024-08-05 20:51:35', NULL), (15163, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 5, 1, '2024-08-05 20:51:35', NULL), (15164, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 6, 1, '2024-08-05 20:51:35', NULL), (15165, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 7, 1, '2024-08-05 20:51:35', NULL), (15166, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 8, 1, '2024-08-05 20:51:35', NULL), (15167, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 9, 1, '2024-08-05 20:51:35', NULL), (15168, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 10, 1, '2024-08-05 20:51:35', NULL), (15169, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 11, 1, '2024-08-05 20:51:35', NULL), (15170, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 12, 1, '2024-08-05 20:51:35', NULL), (15171, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 13, 1, '2024-08-05 20:51:35', NULL), (15172, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 14, 1, '2024-08-05 20:51:35', NULL), (15173, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 15, 1, '2024-08-05 20:51:35', NULL), (15174, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 16, 1, '2024-08-05 20:51:35', NULL), (15175, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 17, 1, '2024-08-05 20:51:35', NULL), (15176, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 18, 1, '2024-08-05 20:51:35', NULL), (15177, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 19, 1, '2024-08-05 20:51:35', NULL), (15178, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 20, 1, '2024-08-05 20:51:36', NULL), (15179, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 21, 1, '2024-08-05 20:51:36', NULL), (15180, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 22, 1, '2024-08-05 20:51:36', NULL), (15181, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 23, 1, '2024-08-05 20:51:36', NULL), (15182, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 24, 1, '2024-08-05 20:51:36', NULL), (15183, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 25, 1, '2024-08-05 20:51:36', NULL), (15184, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 26, 1, '2024-08-05 20:51:36', NULL), (15185, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 27, 1, '2024-08-05 20:51:36', NULL), (15186, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 28, 1, '2024-08-05 20:51:36', NULL), (15187, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 29, 1, '2024-08-05 20:51:36', NULL), (15188, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 30, 1, '2024-08-05 20:51:36', NULL), (15189, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 1, 31, 1, '2024-08-05 20:51:36', NULL), (15190, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 1, 1, '2024-08-05 20:51:36', NULL), (15191, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 2, 1, '2024-08-05 20:51:36', NULL), (15192, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 3, 1, '2024-08-05 20:51:36', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (15193, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 4, 1, '2024-08-05 20:51:36', NULL), (15194, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 5, 1, '2024-08-05 20:51:36', NULL), (15195, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 6, 1, '2024-08-05 20:51:36', NULL), (15196, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 7, 1, '2024-08-05 20:51:36', NULL), (15197, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 8, 1, '2024-08-05 20:51:37', NULL), (15198, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 9, 1, '2024-08-05 20:51:37', NULL), (15199, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 10, 1, '2024-08-05 20:51:37', NULL), (15200, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 11, 1, '2024-08-05 20:51:37', NULL), (15201, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 12, 1, '2024-08-05 20:51:37', NULL), (15202, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 13, 1, '2024-08-05 20:51:37', NULL), (15203, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 14, 1, '2024-08-05 20:51:37', NULL), (15204, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 15, 1, '2024-08-05 20:51:37', NULL), (15205, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 16, 1, '2024-08-05 20:51:37', NULL), (15206, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 17, 1, '2024-08-05 20:51:37', NULL), (15207, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 18, 1, '2024-08-05 20:51:37', NULL), (15208, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 19, 1, '2024-08-05 20:51:37', NULL), (15209, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 20, 1, '2024-08-05 20:51:37', NULL), (15210, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 21, 1, '2024-08-05 20:51:37', NULL), (15211, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 22, 1, '2024-08-05 20:51:37', NULL), (15212, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 23, 1, '2024-08-05 20:51:37', NULL), (15213, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 24, 1, '2024-08-05 20:51:37', NULL), (15214, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 25, 1, '2024-08-05 20:51:38', NULL), (15215, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 26, 1, '2024-08-05 20:51:38', NULL), (15216, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 27, 1, '2024-08-05 20:51:38', NULL), (15217, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 2, 28, 1, '2024-08-05 20:51:38', NULL), (15218, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 1, 1, '2024-08-05 20:51:38', NULL), (15219, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 2, 1, '2024-08-05 20:51:38', NULL), (15220, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 3, 1, '2024-08-05 20:51:38', NULL), (15221, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 4, 1, '2024-08-05 20:51:38', NULL), (15222, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 5, 1, '2024-08-05 20:51:38', NULL), (15223, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 6, 1, '2024-08-05 20:51:38', NULL), (15224, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 7, 1, '2024-08-05 20:51:38', NULL), (15225, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 8, 1, '2024-08-05 20:51:38', NULL), (15226, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 9, 1, '2024-08-05 20:51:38', NULL), (15227, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 10, 1, '2024-08-05 20:51:38', NULL), (15228, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 11, 1, '2024-08-05 20:51:38', NULL), (15229, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 12, 1, '2024-08-05 20:51:39', NULL), (15230, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 13, 1, '2024-08-05 20:51:39', NULL), (15231, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 14, 1, '2024-08-05 20:51:39', NULL), (15232, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 15, 1, '2024-08-05 20:51:39', NULL), (15233, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 16, 1, '2024-08-05 20:51:39', NULL), (15234, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 17, 1, '2024-08-05 20:51:39', NULL), (15235, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 18, 1, '2024-08-05 20:51:39', NULL), (15236, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 19, 1, '2024-08-05 20:51:39', NULL), (15237, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 20, 1, '2024-08-05 20:51:39', NULL), (15238, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 21, 1, '2024-08-05 20:51:39', NULL), (15239, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 22, 1, '2024-08-05 20:51:39', NULL), (15240, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 23, 1, '2024-08-05 20:51:39', NULL), (15241, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 24, 1, '2024-08-05 20:51:39', NULL), (15242, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 25, 1, '2024-08-05 20:51:39', NULL), (15243, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 26, 1, '2024-08-05 20:51:39', NULL), (15244, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 27, 1, '2024-08-05 20:51:40', NULL), (15245, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 28, 1, '2024-08-05 20:51:40', NULL), (15246, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 29, 1, '2024-08-05 20:51:40', NULL), (15247, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 30, 1, '2024-08-05 20:51:40', NULL), (15248, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 3, 31, 1, '2024-08-05 20:51:40', NULL), (15249, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 1, 1, '2024-08-05 20:51:40', NULL), (15250, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 2, 1, '2024-08-05 20:51:40', NULL), (15251, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 3, 1, '2024-08-05 20:51:40', NULL), (15252, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 4, 1, '2024-08-05 20:51:40', NULL), (15253, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 5, 1, '2024-08-05 20:51:40', NULL), (15254, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 6, 1, '2024-08-05 20:51:40', NULL), (15255, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 7, 1, '2024-08-05 20:51:41', NULL), (15256, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 8, 1, '2024-08-05 20:51:41', NULL), (15257, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 9, 1, '2024-08-05 20:51:41', NULL), (15258, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 10, 1, '2024-08-05 20:51:41', NULL), (15259, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 11, 1, '2024-08-05 20:51:41', NULL), (15260, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 12, 1, '2024-08-05 20:51:41', NULL), (15261, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 13, 1, '2024-08-05 20:51:41', NULL), (15262, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 14, 1, '2024-08-05 20:51:41', NULL), (15263, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 15, 1, '2024-08-05 20:51:41', NULL), (15264, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 16, 1, '2024-08-05 20:51:41', NULL), (15265, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 17, 1, '2024-08-05 20:51:41', NULL), (15266, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 18, 1, '2024-08-05 20:51:42', NULL), (15267, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 19, 1, '2024-08-05 20:51:42', NULL), (15268, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 20, 1, '2024-08-05 20:51:42', NULL), (15269, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 21, 1, '2024-08-05 20:51:42', NULL), (15270, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 22, 1, '2024-08-05 20:51:42', NULL), (15271, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 23, 1, '2024-08-05 20:51:42', NULL), (15272, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 24, 1, '2024-08-05 20:51:42', NULL), (15273, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 25, 1, '2024-08-05 20:51:42', NULL), (15274, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 26, 1, '2024-08-05 20:51:42', NULL), (15275, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 27, 1, '2024-08-05 20:51:42', NULL), (15276, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 28, 1, '2024-08-05 20:51:43', NULL), (15277, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 29, 1, '2024-08-05 20:51:43', NULL), (15278, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 4, 30, 1, '2024-08-05 20:51:43', NULL), (15279, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 1, 1, '2024-08-05 20:51:43', NULL), (15280, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 2, 1, '2024-08-05 20:51:43', NULL), (15281, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 3, 1, '2024-08-05 20:51:44', NULL), (15282, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 4, 1, '2024-08-05 20:51:44', NULL), (15283, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 5, 1, '2024-08-05 20:51:44', NULL), (15284, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 6, 1, '2024-08-05 20:51:44', NULL), (15285, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 7, 1, '2024-08-05 20:51:45', NULL), (15286, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 8, 1, '2024-08-05 20:51:45', NULL), (15287, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 9, 1, '2024-08-05 20:51:45', NULL), (15288, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 10, 1, '2024-08-05 20:51:45', NULL), (15289, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 11, 1, '2024-08-05 20:51:46', NULL), (15290, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 12, 1, '2024-08-05 20:51:46', NULL), (15291, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 13, 1, '2024-08-05 20:51:46', NULL), (15292, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 14, 1, '2024-08-05 20:51:46', NULL), (15293, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 15, 1, '2024-08-05 20:51:47', NULL), (15294, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 16, 1, '2024-08-05 20:51:47', NULL), (15295, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 17, 1, '2024-08-05 20:51:47', NULL), (15296, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 18, 1, '2024-08-05 20:51:47', NULL), (15297, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 19, 1, '2024-08-05 20:51:48', NULL), (15298, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 20, 1, '2024-08-05 20:51:48', NULL), (15299, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 21, 1, '2024-08-05 20:51:48', NULL), (15300, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 22, 1, '2024-08-05 20:51:48', NULL), (15301, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 23, 1, '2024-08-05 20:51:49', NULL), (15302, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 24, 1, '2024-08-05 20:51:49', NULL), (15303, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 25, 1, '2024-08-05 20:51:49', NULL), (15304, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 26, 1, '2024-08-05 20:51:49', NULL), (15305, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 27, 1, '2024-08-05 20:51:49', NULL), (15306, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 28, 1, '2024-08-05 20:51:50', NULL), (15307, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 29, 1, '2024-08-05 20:51:50', NULL), (15308, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 30, 1, '2024-08-05 20:51:50', NULL), (15309, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 5, 31, 1, '2024-08-05 20:51:50', NULL), (15310, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 1, 1, '2024-08-05 20:51:51', NULL), (15311, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 2, 1, '2024-08-05 20:51:51', NULL), (15312, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 3, 1, '2024-08-05 20:51:51', NULL), (15313, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 4, 1, '2024-08-05 20:51:51', NULL), (15314, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 5, 1, '2024-08-05 20:51:52', NULL), (15315, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 6, 1, '2024-08-05 20:51:52', NULL), (15316, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 7, 1, '2024-08-05 20:51:52', NULL), (15317, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 8, 1, '2024-08-05 20:51:52', NULL), (15318, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 9, 1, '2024-08-05 20:51:53', NULL), (15319, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 10, 1, '2024-08-05 20:51:53', NULL), (15320, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 11, 1, '2024-08-05 20:51:53', NULL), (15321, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 12, 1, '2024-08-05 20:51:53', NULL), (15322, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 13, 1, '2024-08-05 20:51:54', NULL), (15323, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 14, 1, '2024-08-05 20:51:54', NULL), (15324, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 15, 1, '2024-08-05 20:51:54', NULL), (15325, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 16, 1, '2024-08-05 20:51:54', NULL), (15326, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 17, 1, '2024-08-05 20:51:54', NULL), (15327, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 18, 1, '2024-08-05 20:51:55', NULL), (15328, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 19, 1, '2024-08-05 20:51:55', NULL), (15329, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 20, 1, '2024-08-05 20:51:55', NULL), (15330, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 21, 1, '2024-08-05 20:51:55', NULL), (15331, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 22, 1, '2024-08-05 20:51:55', NULL), (15332, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 23, 1, '2024-08-05 20:51:55', NULL), (15333, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 24, 1, '2024-08-05 20:51:55', NULL), (15334, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 25, 1, '2024-08-05 20:51:55', NULL), (15335, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 26, 1, '2024-08-05 20:51:55', NULL), (15336, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 27, 1, '2024-08-05 20:51:55', NULL), (15337, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 28, 1, '2024-08-05 20:51:55', NULL), (15338, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 29, 1, '2024-08-05 20:51:55', NULL), (15339, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 6, 30, 1, '2024-08-05 20:51:55', NULL), (15340, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 1, 1, '2024-08-05 20:51:55', NULL), (15341, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 2, 1, '2024-08-05 20:51:55', NULL), (15342, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 3, 1, '2024-08-05 20:51:55', NULL), (15343, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 4, 1, '2024-08-05 20:51:55', NULL), (15344, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 5, 1, '2024-08-05 20:51:55', NULL), (15345, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 6, 1, '2024-08-05 20:51:55', NULL), (15346, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 7, 1, '2024-08-05 20:51:55', NULL), (15347, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 8, 1, '2024-08-05 20:51:56', NULL), (15348, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 9, 1, '2024-08-05 20:51:56', NULL), (15349, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 10, 1, '2024-08-05 20:51:56', NULL), (15350, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 11, 1, '2024-08-05 20:51:56', NULL), (15351, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 12, 1, '2024-08-05 20:51:56', NULL), (15352, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 13, 1, '2024-08-05 20:51:56', NULL), (15353, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 14, 1, '2024-08-05 20:51:56', NULL), (15354, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 15, 1, '2024-08-05 20:51:56', NULL), (15355, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 16, 1, '2024-08-05 20:51:56', NULL), (15356, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 17, 1, '2024-08-05 20:51:56', NULL), (15357, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 18, 1, '2024-08-05 20:51:56', NULL), (15358, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 19, 1, '2024-08-05 20:51:56', NULL), (15359, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 20, 1, '2024-08-05 20:51:56', NULL), (15360, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 21, 1, '2024-08-05 20:51:56', NULL), (15361, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 22, 1, '2024-08-05 20:51:56', NULL), (15362, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 23, 1, '2024-08-05 20:51:56', NULL), (15363, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 24, 1, '2024-08-05 20:51:56', NULL), (15364, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 25, 1, '2024-08-05 20:51:56', NULL), (15365, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 26, 1, '2024-08-05 20:51:56', NULL), (15366, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 27, 1, '2024-08-05 20:51:56', NULL), (15367, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 28, 1, '2024-08-05 20:51:57', NULL), (15368, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 29, 1, '2024-08-05 20:51:57', NULL), (15369, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 30, 1, '2024-08-05 20:51:57', NULL), (15370, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 7, 31, 1, '2024-08-05 20:51:57', NULL), (15371, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 1, 1, '2024-08-05 20:51:57', NULL), (15372, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 2, 1, '2024-08-05 20:51:57', NULL), (15373, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 3, 1, '2024-08-05 20:51:57', NULL), (15374, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 4, 1, '2024-08-05 20:51:57', NULL), (15375, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 5, 1, '2024-08-05 20:51:57', NULL), (15376, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 6, 1, '2024-08-05 20:51:57', NULL), (15377, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 7, 1, '2024-08-05 20:51:57', NULL), (15378, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 8, 1, '2024-08-05 20:51:57', NULL), (15379, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 9, 1, '2024-08-05 20:51:57', NULL), (15380, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 10, 1, '2024-08-05 20:51:57', NULL), (15381, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 11, 1, '2024-08-05 20:51:57', NULL), (15382, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 12, 1, '2024-08-05 20:51:57', NULL), (15383, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 13, 1, '2024-08-05 20:51:57', NULL), (15384, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 14, 1, '2024-08-05 20:51:57', NULL), (15385, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 15, 1, '2024-08-05 20:51:57', NULL), (15386, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 16, 1, '2024-08-05 20:51:57', NULL), (15387, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 17, 1, '2024-08-05 20:51:57', NULL), (15388, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 18, 1, '2024-08-05 20:51:57', NULL), (15389, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 19, 1, '2024-08-05 20:51:58', NULL), (15390, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 20, 1, '2024-08-05 20:51:58', NULL), (15391, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 21, 1, '2024-08-05 20:51:58', NULL), (15392, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 22, 1, '2024-08-05 20:51:58', NULL), (15393, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 23, 1, '2024-08-05 20:51:58', NULL), (15394, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 24, 1, '2024-08-05 20:51:58', NULL), (15395, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 25, 1, '2024-08-05 20:51:58', NULL), (15396, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 26, 1, '2024-08-05 20:51:58', NULL), (15397, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 27, 1, '2024-08-05 20:51:58', NULL), (15398, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 28, 1, '2024-08-05 20:51:58', NULL), (15399, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 29, 1, '2024-08-05 20:51:58', NULL), (15400, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 30, 1, '2024-08-05 20:51:58', NULL), (15401, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 8, 31, 1, '2024-08-05 20:51:58', NULL), (15402, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 1, 1, '2024-08-05 20:51:58', NULL), (15403, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 2, 1, '2024-08-05 20:51:58', NULL), (15404, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 3, 1, '2024-08-05 20:51:58', NULL), (15405, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 4, 1, '2024-08-05 20:51:58', NULL), (15406, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 5, 1, '2024-08-05 20:51:58', NULL), (15407, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 6, 1, '2024-08-05 20:51:58', NULL), (15408, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 7, 1, '2024-08-05 20:51:58', NULL), (15409, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 8, 1, '2024-08-05 20:51:58', NULL), (15410, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 9, 1, '2024-08-05 20:51:58', NULL), (15411, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 10, 1, '2024-08-05 20:51:58', NULL), (15412, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 11, 1, '2024-08-05 20:51:59', NULL), (15413, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 12, 1, '2024-08-05 20:51:59', NULL), (15414, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 13, 1, '2024-08-05 20:51:59', NULL), (15415, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 14, 1, '2024-08-05 20:51:59', NULL), (15416, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 15, 1, '2024-08-05 20:51:59', NULL), (15417, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 16, 1, '2024-08-05 20:51:59', NULL), (15418, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 17, 1, '2024-08-05 20:51:59', NULL), (15419, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 18, 1, '2024-08-05 20:51:59', NULL), (15420, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 19, 1, '2024-08-05 20:51:59', NULL), (15421, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 20, 1, '2024-08-05 20:51:59', NULL), (15422, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 21, 1, '2024-08-05 20:51:59', NULL), (15423, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 22, 1, '2024-08-05 20:51:59', NULL), (15424, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 23, 1, '2024-08-05 20:51:59', NULL), (15425, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 24, 1, '2024-08-05 20:51:59', NULL), (15426, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 25, 1, '2024-08-05 20:51:59', NULL), (15427, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 26, 1, '2024-08-05 20:51:59', NULL), (15428, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 27, 1, '2024-08-05 20:51:59', NULL), (15429, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 28, 1, '2024-08-05 20:51:59', NULL), (15430, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 29, 1, '2024-08-05 20:51:59', NULL), (15431, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 9, 30, 1, '2024-08-05 20:51:59', NULL), (15432, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 1, 1, '2024-08-05 20:51:59', NULL), (15433, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 2, 1, '2024-08-05 20:51:59', NULL), (15434, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 3, 1, '2024-08-05 20:51:59', NULL), (15435, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 4, 1, '2024-08-05 20:51:59', NULL), (15436, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 5, 1, '2024-08-05 20:51:59', NULL), (15437, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 6, 1, '2024-08-05 20:51:59', NULL), (15438, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 7, 1, '2024-08-05 20:52:00', NULL), (15439, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 8, 1, '2024-08-05 20:52:00', NULL), (15440, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 9, 1, '2024-08-05 20:52:00', NULL), (15441, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 10, 1, '2024-08-05 20:52:00', NULL), (15442, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 11, 1, '2024-08-05 20:52:00', NULL), (15443, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 12, 1, '2024-08-05 20:52:00', NULL), (15444, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 13, 1, '2024-08-05 20:52:00', NULL), (15445, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 14, 1, '2024-08-05 20:52:00', NULL), (15446, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 15, 1, '2024-08-05 20:52:00', NULL), (15447, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 16, 1, '2024-08-05 20:52:00', NULL), (15448, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 17, 1, '2024-08-05 20:52:00', NULL), (15449, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 18, 1, '2024-08-05 20:52:00', NULL), (15450, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 19, 1, '2024-08-05 20:52:00', NULL), (15451, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 20, 1, '2024-08-05 20:52:00', NULL), (15452, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 21, 1, '2024-08-05 20:52:00', NULL), (15453, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 22, 1, '2024-08-05 20:52:00', NULL), (15454, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 23, 1, '2024-08-05 20:52:00', NULL), (15455, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 24, 1, '2024-08-05 20:52:00', NULL), (15456, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 25, 1, '2024-08-05 20:52:00', NULL), (15457, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 26, 1, '2024-08-05 20:52:00', NULL), (15458, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 27, 1, '2024-08-05 20:52:00', NULL), (15459, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 28, 1, '2024-08-05 20:52:00', NULL), (15460, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 29, 1, '2024-08-05 20:52:00', NULL), (15461, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 30, 1, '2024-08-05 20:52:00', NULL), (15462, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 10, 31, 1, '2024-08-05 20:52:00', NULL), (15463, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 1, 1, '2024-08-05 20:52:00', NULL), (15464, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 2, 1, '2024-08-05 20:52:01', NULL), (15465, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 3, 1, '2024-08-05 20:52:01', NULL), (15466, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 4, 1, '2024-08-05 20:52:01', NULL), (15467, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 5, 1, '2024-08-05 20:52:01', NULL), (15468, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 6, 1, '2024-08-05 20:52:01', NULL), (15469, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 7, 1, '2024-08-05 20:52:01', NULL), (15470, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 8, 1, '2024-08-05 20:52:01', NULL), (15471, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 9, 1, '2024-08-05 20:52:01', NULL), (15472, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 10, 1, '2024-08-05 20:52:01', NULL), (15473, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 11, 1, '2024-08-05 20:52:01', NULL), (15474, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 12, 1, '2024-08-05 20:52:01', NULL), (15475, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 13, 1, '2024-08-05 20:52:01', NULL), (15476, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 14, 1, '2024-08-05 20:52:01', NULL), (15477, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 15, 1, '2024-08-05 20:52:01', NULL), (15478, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 16, 1, '2024-08-05 20:52:01', NULL), (15479, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 17, 1, '2024-08-05 20:52:01', NULL), (15480, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 18, 1, '2024-08-05 20:52:01', NULL), (15481, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 19, 1, '2024-08-05 20:52:01', NULL), (15482, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 20, 1, '2024-08-05 20:52:01', NULL), (15483, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 21, 1, '2024-08-05 20:52:01', NULL), (15484, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 22, 1, '2024-08-05 20:52:01', NULL), (15485, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 23, 1, '2024-08-05 20:52:02', NULL), (15486, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 24, 1, '2024-08-05 20:52:02', NULL), (15487, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 25, 1, '2024-08-05 20:52:02', NULL), (15488, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 26, 1, '2024-08-05 20:52:02', NULL), (15489, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 27, 1, '2024-08-05 20:52:02', NULL), (15490, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 28, 1, '2024-08-05 20:52:02', NULL), (15491, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 29, 1, '2024-08-05 20:52:02', NULL), (15492, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 11, 30, 1, '2024-08-05 20:52:02', NULL), (15493, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 1, 1, '2024-08-05 20:52:02', NULL), (15494, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 2, 1, '2024-08-05 20:52:02', NULL), (15495, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 3, 1, '2024-08-05 20:52:02', NULL), (15496, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 4, 1, '2024-08-05 20:52:02', NULL), (15497, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 5, 1, '2024-08-05 20:52:02', NULL), (15498, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 6, 1, '2024-08-05 20:52:02', NULL), (15499, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 7, 1, '2024-08-05 20:52:02', NULL), (15500, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 8, 1, '2024-08-05 20:52:02', NULL), (15501, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 9, 1, '2024-08-05 20:52:02', NULL), (15502, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 10, 1, '2024-08-05 20:52:02', NULL), (15503, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 11, 1, '2024-08-05 20:52:02', NULL), (15504, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 12, 1, '2024-08-05 20:52:02', NULL), (15505, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 13, 1, '2024-08-05 20:52:03', NULL), (15506, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 14, 1, '2024-08-05 20:52:03', NULL), (15507, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 15, 1, '2024-08-05 20:52:03', NULL), (15508, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 16, 1, '2024-08-05 20:52:03', NULL), (15509, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 17, 1, '2024-08-05 20:52:03', NULL), (15510, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 18, 1, '2024-08-05 20:52:03', NULL), (15511, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 19, 1, '2024-08-05 20:52:03', NULL), (15512, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 20, 1, '2024-08-05 20:52:03', NULL), (15513, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 21, 1, '2024-08-05 20:52:03', NULL), (15514, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 22, 1, '2024-08-05 20:52:03', NULL), (15515, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 23, 1, '2024-08-05 20:52:03', NULL), (15516, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 24, 1, '2024-08-05 20:52:03', NULL), (15517, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 25, 1, '2024-08-05 20:52:03', NULL), (15518, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 26, 1, '2024-08-05 20:52:03', NULL), (15519, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 27, 1, '2024-08-05 20:52:03', NULL), (15520, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 28, 1, '2024-08-05 20:52:03', NULL), (15521, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 29, 1, '2024-08-05 20:52:03', NULL), (15522, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 30, 1, '2024-08-05 20:52:03', NULL), (15523, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2023, 12, 31, 1, '2024-08-05 20:52:03', NULL), (15524, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 1, 1, '2024-08-05 20:52:03', NULL), (15525, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 2, 1, '2024-08-05 20:52:04', NULL), (15526, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 3, 1, '2024-08-05 20:52:04', NULL), (15527, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 4, 1, '2024-08-05 20:52:04', NULL), (15528, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 5, 1, '2024-08-05 20:52:04', NULL), (15529, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 6, 1, '2024-08-05 20:52:04', NULL), (15530, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 7, 1, '2024-08-05 20:52:04', NULL), (15531, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 8, 1, '2024-08-05 20:52:04', NULL), (15532, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 9, 1, '2024-08-05 20:52:04', NULL), (15533, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 10, 1, '2024-08-05 20:52:04', NULL), (15534, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 11, 1, '2024-08-05 20:52:04', NULL), (15535, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 12, 1, '2024-08-05 20:52:04', NULL), (15536, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 13, 1, '2024-08-05 20:52:04', NULL), (15537, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 14, 1, '2024-08-05 20:52:04', NULL), (15538, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 15, 1, '2024-08-05 20:52:04', NULL), (15539, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 16, 1, '2024-08-05 20:52:04', NULL), (15540, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 17, 1, '2024-08-05 20:52:04', NULL), (15541, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 18, 1, '2024-08-05 20:52:04', NULL), (15542, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 19, 1, '2024-08-05 20:52:05', NULL), (15543, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 20, 1, '2024-08-05 20:52:05', NULL), (15544, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 21, 1, '2024-08-05 20:52:05', NULL), (15545, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 22, 1, '2024-08-05 20:52:05', NULL), (15546, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 23, 1, '2024-08-05 20:52:05', NULL), (15547, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 24, 1, '2024-08-05 20:52:05', NULL), (15548, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 25, 1, '2024-08-05 20:52:05', NULL), (15549, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 26, 1, '2024-08-05 20:52:05', NULL), (15550, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 27, 1, '2024-08-05 20:52:05', NULL), (15551, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 28, 1, '2024-08-05 20:52:05', NULL), (15552, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 29, 1, '2024-08-05 20:52:05', NULL), (15553, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 30, 1, '2024-08-05 20:52:05', NULL), (15554, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 1, 31, 1, '2024-08-05 20:52:05', NULL), (15555, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 1, 1, '2024-08-05 20:52:05', NULL), (15556, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 2, 1, '2024-08-05 20:52:05', NULL), (15557, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 3, 1, '2024-08-05 20:52:05', NULL), (15558, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 4, 1, '2024-08-05 20:52:05', NULL), (15559, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 5, 1, '2024-08-05 20:52:06', NULL), (15560, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 6, 1, '2024-08-05 20:52:06', NULL), (15561, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 7, 1, '2024-08-05 20:52:06', NULL), (15562, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 8, 1, '2024-08-05 20:52:06', NULL), (15563, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 9, 1, '2024-08-05 20:52:06', NULL), (15564, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 10, 1, '2024-08-05 20:52:06', NULL), (15565, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 11, 1, '2024-08-05 20:52:06', NULL), (15566, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 12, 1, '2024-08-05 20:52:06', NULL), (15567, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 13, 1, '2024-08-05 20:52:06', NULL), (15568, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 14, 1, '2024-08-05 20:52:06', NULL), (15569, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 15, 1, '2024-08-05 20:52:06', NULL), (15570, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 16, 1, '2024-08-05 20:52:06', NULL), (15571, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 17, 1, '2024-08-05 20:52:06', NULL), (15572, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 18, 1, '2024-08-05 20:52:06', NULL), (15573, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 19, 1, '2024-08-05 20:52:06', NULL), (15574, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 20, 1, '2024-08-05 20:52:06', NULL), (15575, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 21, 1, '2024-08-05 20:52:06', NULL), (15576, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 22, 1, '2024-08-05 20:52:07', NULL), (15577, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 23, 1, '2024-08-05 20:52:07', NULL), (15578, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 24, 1, '2024-08-05 20:52:07', NULL), (15579, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 25, 1, '2024-08-05 20:52:07', NULL), (15580, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 26, 1, '2024-08-05 20:52:07', NULL), (15581, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 27, 1, '2024-08-05 20:52:07', NULL), (15582, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 28, 1, '2024-08-05 20:52:07', NULL), (15583, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 2, 29, 1, '2024-08-05 20:52:07', NULL), (15584, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 1, 1, '2024-08-05 20:52:07', NULL), (15585, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 2, 1, '2024-08-05 20:52:07', NULL), (15586, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 3, 1, '2024-08-05 20:52:07', NULL), (15587, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 4, 1, '2024-08-05 20:52:07', NULL), (15588, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 5, 1, '2024-08-05 20:52:07', NULL), (15589, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 6, 1, '2024-08-05 20:52:07', NULL), (15590, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 7, 1, '2024-08-05 20:52:07', NULL), (15591, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 8, 1, '2024-08-05 20:52:07', NULL), (15592, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 9, 1, '2024-08-05 20:52:08', NULL), (15593, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 10, 1, '2024-08-05 20:52:08', NULL), (15594, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 11, 1, '2024-08-05 20:52:08', NULL), (15595, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 12, 1, '2024-08-05 20:52:08', NULL), (15596, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 13, 1, '2024-08-05 20:52:08', NULL), (15597, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 14, 1, '2024-08-05 20:52:08', NULL), (15598, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 15, 1, '2024-08-05 20:52:08', NULL), (15599, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 16, 1, '2024-08-05 20:52:08', NULL), (15600, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 17, 1, '2024-08-05 20:52:08', NULL), (15601, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 18, 1, '2024-08-05 20:52:08', NULL), (15602, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 19, 1, '2024-08-05 20:52:08', NULL), (15603, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 20, 1, '2024-08-05 20:52:08', NULL), (15604, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 21, 1, '2024-08-05 20:52:08', NULL), (15605, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 22, 1, '2024-08-05 20:52:08', NULL), (15606, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 23, 1, '2024-08-05 20:52:08', NULL), (15607, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 24, 1, '2024-08-05 20:52:08', NULL), (15608, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 25, 1, '2024-08-05 20:52:09', NULL), (15609, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 26, 1, '2024-08-05 20:52:09', NULL), (15610, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 27, 1, '2024-08-05 20:52:09', NULL), (15611, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 28, 1, '2024-08-05 20:52:09', NULL), (15612, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 29, 1, '2024-08-05 20:52:09', NULL), (15613, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 30, 1, '2024-08-05 20:52:09', NULL), (15614, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 3, 31, 1, '2024-08-05 20:52:09', NULL), (15615, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 1, 1, '2024-08-05 20:52:09', NULL), (15616, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 2, 1, '2024-08-05 20:52:09', NULL), (15617, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 3, 1, '2024-08-05 20:52:09', NULL), (15618, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 4, 1, '2024-08-05 20:52:09', NULL), (15619, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 5, 1, '2024-08-05 20:52:09', NULL), (15620, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 6, 1, '2024-08-05 20:52:09', NULL), (15621, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 7, 1, '2024-08-05 20:52:09', NULL), (15622, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 8, 1, '2024-08-05 20:52:09', NULL), (15623, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 9, 1, '2024-08-05 20:52:10', NULL), (15624, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 10, 1, '2024-08-05 20:52:10', NULL), (15625, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 11, 1, '2024-08-05 20:52:10', NULL), (15626, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 12, 1, '2024-08-05 20:52:10', NULL), (15627, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 13, 1, '2024-08-05 20:52:10', NULL), (15628, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 14, 1, '2024-08-05 20:52:10', NULL), (15629, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 15, 1, '2024-08-05 20:52:10', NULL), (15630, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 16, 1, '2024-08-05 20:52:10', NULL), (15631, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 17, 1, '2024-08-05 20:52:10', NULL), (15632, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 18, 1, '2024-08-05 20:52:10', NULL), (15633, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 19, 1, '2024-08-05 20:52:10', NULL), (15634, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 20, 1, '2024-08-05 20:52:10', NULL), (15635, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 21, 1, '2024-08-05 20:52:10', NULL), (15636, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 22, 1, '2024-08-05 20:52:10', NULL), (15637, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 23, 1, '2024-08-05 20:52:10', NULL), (15638, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 24, 1, '2024-08-05 20:52:10', NULL), (15639, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 25, 1, '2024-08-05 20:52:11', NULL), (15640, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 26, 1, '2024-08-05 20:52:11', NULL), (15641, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 27, 1, '2024-08-05 20:52:11', NULL), (15642, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 28, 1, '2024-08-05 20:52:11', NULL), (15643, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 29, 1, '2024-08-05 20:52:11', NULL), (15644, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 4, 30, 1, '2024-08-05 20:52:11', NULL), (15645, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 1, 1, '2024-08-05 20:52:11', NULL), (15646, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 2, 1, '2024-08-05 20:52:11', NULL), (15647, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 3, 1, '2024-08-05 20:52:11', NULL), (15648, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 4, 1, '2024-08-05 20:52:11', NULL), (15649, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 5, 1, '2024-08-05 20:52:11', NULL), (15650, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 6, 1, '2024-08-05 20:52:11', NULL), (15651, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 7, 1, '2024-08-05 20:52:11', NULL), (15652, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 8, 1, '2024-08-05 20:52:11', NULL), (15653, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 9, 1, '2024-08-05 20:52:11', NULL), (15654, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 10, 1, '2024-08-05 20:52:12', NULL), (15655, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 11, 1, '2024-08-05 20:52:12', NULL), (15656, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 12, 1, '2024-08-05 20:52:12', NULL), (15657, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 13, 1, '2024-08-05 20:52:12', NULL), (15658, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 14, 1, '2024-08-05 20:52:12', NULL), (15659, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 15, 1, '2024-08-05 20:52:12', NULL), (15660, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 16, 1, '2024-08-05 20:52:12', NULL), (15661, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 17, 1, '2024-08-05 20:52:12', NULL), (15662, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 18, 1, '2024-08-05 20:52:12', NULL), (15663, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 19, 1, '2024-08-05 20:52:12', NULL), (15664, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 20, 1, '2024-08-05 20:52:12', NULL), (15665, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 21, 1, '2024-08-05 20:52:12', NULL), (15666, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 22, 1, '2024-08-05 20:52:12', NULL), (15667, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 23, 1, '2024-08-05 20:52:12', NULL), (15668, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 24, 1, '2024-08-05 20:52:12', NULL), (15669, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 25, 1, '2024-08-05 20:52:12', NULL), (15670, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 26, 1, '2024-08-05 20:52:13', NULL), (15671, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 27, 1, '2024-08-05 20:52:13', NULL), (15672, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 28, 1, '2024-08-05 20:52:13', NULL), (15673, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 29, 1, '2024-08-05 20:52:13', NULL), (15674, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 30, 1, '2024-08-05 20:52:13', NULL), (15675, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 5, 31, 1, '2024-08-05 20:52:13', NULL), (15676, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 1, 1, '2024-08-05 20:52:13', NULL), (15677, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 2, 1, '2024-08-05 20:52:13', NULL), (15678, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 3, 1, '2024-08-05 20:52:13', NULL), (15679, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 4, 1, '2024-08-05 20:52:13', NULL), (15680, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 5, 1, '2024-08-05 20:52:13', NULL), (15681, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 6, 1, '2024-08-05 20:52:13', NULL), (15682, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 7, 1, '2024-08-05 20:52:13', NULL), (15683, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 8, 1, '2024-08-05 20:52:13', NULL), (15684, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 9, 1, '2024-08-05 20:52:13', NULL), (15685, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 10, 1, '2024-08-05 20:52:14', NULL), (15686, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 11, 1, '2024-08-05 20:52:14', NULL), (15687, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 12, 1, '2024-08-05 20:52:14', NULL), (15688, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 13, 1, '2024-08-05 20:52:14', NULL), (15689, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 14, 1, '2024-08-05 20:52:14', NULL), (15690, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 15, 1, '2024-08-05 20:52:14', NULL), (15691, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 16, 1, '2024-08-05 20:52:14', NULL), (15692, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 17, 1, '2024-08-05 20:52:14', NULL), (15693, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 18, 1, '2024-08-05 20:52:14', NULL), (15694, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 19, 1, '2024-08-05 20:52:14', NULL), (15695, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 20, 1, '2024-08-05 20:52:14', NULL), (15696, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 21, 1, '2024-08-05 20:52:14', NULL), (15697, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 22, 1, '2024-08-05 20:52:14', NULL), (15698, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 23, 1, '2024-08-05 20:52:14', NULL), (15699, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 24, 1, '2024-08-05 20:52:14', NULL), (15700, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 25, 1, '2024-08-05 20:52:15', NULL), (15701, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 26, 1, '2024-08-05 20:52:15', NULL), (15702, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 27, 1, '2024-08-05 20:52:15', NULL), (15703, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 28, 1, '2024-08-05 20:52:15', NULL), (15704, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 29, 1, '2024-08-05 20:52:15', NULL), (15705, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 6, 30, 1, '2024-08-05 20:52:15', NULL), (15706, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 1, 1, '2024-08-05 20:52:15', NULL), (15707, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 2, 1, '2024-08-05 20:52:15', NULL), (15708, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 3, 1, '2024-08-05 20:52:15', NULL), (15709, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 4, 1, '2024-08-05 20:52:15', NULL), (15710, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 5, 1, '2024-08-05 20:52:15', NULL), (15711, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 6, 1, '2024-08-05 20:52:15', NULL), (15712, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 7, 1, '2024-08-05 20:52:15', NULL), (15713, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 8, 1, '2024-08-05 20:52:15', NULL), (15714, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 9, 1, '2024-08-05 20:52:16', NULL), (15715, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 10, 1, '2024-08-05 20:52:16', NULL), (15716, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 11, 1, '2024-08-05 20:52:16', NULL), (15717, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 12, 1, '2024-08-05 20:52:16', NULL), (15718, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 13, 1, '2024-08-05 20:52:16', NULL), (15719, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 14, 1, '2024-08-05 20:52:16', NULL), (15720, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 15, 1, '2024-08-05 20:52:16', NULL), (15721, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 16, 1, '2024-08-05 20:52:16', NULL), (15722, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 17, 1, '2024-08-05 20:52:16', NULL), (15723, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 18, 1, '2024-08-05 20:52:16', NULL), (15724, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 19, 1, '2024-08-05 20:52:16', NULL), (15725, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 20, 1, '2024-08-05 20:52:16', NULL), (15726, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 21, 1, '2024-08-05 20:52:16', NULL), (15727, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 22, 1, '2024-08-05 20:52:17', NULL), (15728, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 23, 1, '2024-08-05 20:52:17', NULL), (15729, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 24, 1, '2024-08-05 20:52:17', NULL), (15730, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 25, 1, '2024-08-05 20:52:17', NULL), (15731, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 26, 1, '2024-08-05 20:52:17', NULL), (15732, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 27, 1, '2024-08-05 20:52:17', NULL), (15733, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 28, 1, '2024-08-05 20:52:17', NULL), (15734, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 29, 1, '2024-08-05 20:52:17', NULL), (15735, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 30, 1, '2024-08-05 20:52:17', NULL), (15736, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 7, 31, 1, '2024-08-05 20:52:17', NULL), (15737, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 1, 1, '2024-08-05 20:52:17', '2024-08-05 22:12:42'), (15738, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 2, 1, '2024-08-05 20:52:17', '2024-08-06 02:20:05'), (15739, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 3, 1, '2024-08-05 20:52:17', '2024-08-07 01:30:03'), (15740, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 4, 1, '2024-08-05 20:52:17', '2024-08-08 01:30:02'), (15741, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 5, 1, '2024-08-05 20:52:18', '2024-08-09 01:30:03'), (15742, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 1, 1, '2024-08-05 21:04:11', NULL), (15743, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 2, 1, '2024-08-05 21:04:11', NULL), (15744, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 3, 1, '2024-08-05 21:04:11', NULL), (15745, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 4, 1, '2024-08-05 21:04:11', NULL), (15746, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 5, 1, '2024-08-05 21:04:11', NULL), (15747, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 6, 1, '2024-08-05 21:04:11', NULL), (15748, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 7, 1, '2024-08-05 21:04:11', NULL), (15749, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 8, 1, '2024-08-05 21:04:11', NULL), (15750, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 9, 1, '2024-08-05 21:04:12', NULL), (15751, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 10, 1, '2024-08-05 21:04:12', NULL), (15752, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 11, 1, '2024-08-05 21:04:12', NULL), (15753, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 12, 1, '2024-08-05 21:04:12', NULL), (15754, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 13, 1, '2024-08-05 21:04:12', NULL), (15755, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 14, 1, '2024-08-05 21:04:12', NULL), (15756, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 15, 1, '2024-08-05 21:04:12', NULL), (15757, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 16, 1, '2024-08-05 21:04:12', NULL), (15758, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 17, 1, '2024-08-05 21:04:12', NULL), (15759, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 18, 1, '2024-08-05 21:04:12', NULL), (15760, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 19, 1, '2024-08-05 21:04:12', NULL), (15761, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 20, 1, '2024-08-05 21:04:13', NULL), (15762, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 21, 1, '2024-08-05 21:04:13', NULL), (15763, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 22, 1, '2024-08-05 21:04:13', NULL), (15764, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 23, 1, '2024-08-05 21:04:13', NULL), (15765, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 24, 1, '2024-08-05 21:04:13', NULL), (15766, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 25, 1, '2024-08-05 21:04:13', NULL), (15767, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 26, 1, '2024-08-05 21:04:13', NULL), (15768, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 27, 1, '2024-08-05 21:04:13', NULL), (15769, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 28, 1, '2024-08-05 21:04:13', NULL), (15770, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 29, 1, '2024-08-05 21:04:13', NULL), (15771, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 30, 1, '2024-08-05 21:04:13', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (15772, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 1, 31, 1, '2024-08-05 21:04:13', NULL), (15773, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 1, 1, '2024-08-05 21:04:14', NULL), (15774, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 2, 1, '2024-08-05 21:04:14', NULL), (15775, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 3, 1, '2024-08-05 21:04:14', NULL), (15776, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 4, 1, '2024-08-05 21:04:14', NULL), (15777, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 5, 1, '2024-08-05 21:04:14', NULL), (15778, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 6, 1, '2024-08-05 21:04:14', NULL), (15779, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 7, 1, '2024-08-05 21:04:14', NULL), (15780, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 8, 1, '2024-08-05 21:04:14', NULL), (15781, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 9, 1, '2024-08-05 21:04:14', NULL), (15782, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 10, 1, '2024-08-05 21:04:14', NULL), (15783, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 11, 1, '2024-08-05 21:04:14', NULL), (15784, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 12, 1, '2024-08-05 21:04:14', NULL), (15785, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 13, 1, '2024-08-05 21:04:15', NULL), (15786, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 14, 1, '2024-08-05 21:04:15', NULL), (15787, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 15, 1, '2024-08-05 21:04:15', NULL), (15788, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 16, 1, '2024-08-05 21:04:15', NULL), (15789, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 17, 1, '2024-08-05 21:04:15', NULL), (15790, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 18, 1, '2024-08-05 21:04:15', NULL), (15791, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 19, 1, '2024-08-05 21:04:15', NULL), (15792, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 20, 1, '2024-08-05 21:04:15', NULL), (15793, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 21, 1, '2024-08-05 21:04:15', NULL), (15794, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 22, 1, '2024-08-05 21:04:15', NULL), (15795, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 23, 1, '2024-08-05 21:04:15', NULL), (15796, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 24, 1, '2024-08-05 21:04:15', NULL), (15797, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 25, 1, '2024-08-05 21:04:16', NULL), (15798, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 26, 1, '2024-08-05 21:04:16', NULL), (15799, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 27, 1, '2024-08-05 21:04:16', NULL), (15800, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 2, 28, 1, '2024-08-05 21:04:16', NULL), (15801, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 1, 1, '2024-08-05 21:04:16', NULL), (15802, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 2, 1, '2024-08-05 21:04:16', NULL), (15803, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 3, 1, '2024-08-05 21:04:16', NULL), (15804, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 4, 1, '2024-08-05 21:04:16', NULL), (15805, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 5, 1, '2024-08-05 21:04:16', NULL), (15806, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 6, 1, '2024-08-05 21:04:16', NULL), (15807, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 7, 1, '2024-08-05 21:04:16', NULL), (15808, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 8, 1, '2024-08-05 21:04:16', NULL), (15809, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 9, 1, '2024-08-05 21:04:16', NULL), (15810, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 10, 1, '2024-08-05 21:04:17', NULL), (15811, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 11, 1, '2024-08-05 21:04:17', NULL), (15812, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 12, 1, '2024-08-05 21:04:17', NULL), (15813, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 13, 1, '2024-08-05 21:04:17', NULL), (15814, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 14, 1, '2024-08-05 21:04:17', NULL), (15815, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 15, 1, '2024-08-05 21:04:17', NULL), (15816, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 16, 1, '2024-08-05 21:04:17', NULL), (15817, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 17, 1, '2024-08-05 21:04:17', NULL), (15818, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 18, 1, '2024-08-05 21:04:17', NULL), (15819, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 19, 1, '2024-08-05 21:04:17', NULL), (15820, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 20, 1, '2024-08-05 21:04:17', NULL), (15821, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 21, 1, '2024-08-05 21:04:17', NULL), (15822, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 22, 1, '2024-08-05 21:04:17', NULL), (15823, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 23, 1, '2024-08-05 21:04:17', NULL), (15824, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 24, 1, '2024-08-05 21:04:17', NULL), (15825, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 25, 1, '2024-08-05 21:04:17', NULL), (15826, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 26, 1, '2024-08-05 21:04:17', NULL), (15827, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 27, 1, '2024-08-05 21:04:17', NULL), (15828, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 28, 1, '2024-08-05 21:04:17', NULL), (15829, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 29, 1, '2024-08-05 21:04:18', NULL), (15830, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 30, 1, '2024-08-05 21:04:18', NULL), (15831, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 3, 31, 1, '2024-08-05 21:04:18', NULL), (15832, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 1, 1, '2024-08-05 21:04:18', NULL), (15833, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 2, 1, '2024-08-05 21:04:18', NULL), (15834, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 3, 1, '2024-08-05 21:04:18', NULL), (15835, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 4, 1, '2024-08-05 21:04:18', NULL), (15836, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 5, 1, '2024-08-05 21:04:18', NULL), (15837, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 6, 1, '2024-08-05 21:04:18', NULL), (15838, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 7, 1, '2024-08-05 21:04:18', NULL), (15839, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 8, 1, '2024-08-05 21:04:18', NULL), (15840, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 9, 1, '2024-08-05 21:04:18', NULL), (15841, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 10, 1, '2024-08-05 21:04:18', NULL), (15842, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 11, 1, '2024-08-05 21:04:18', NULL), (15843, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 12, 1, '2024-08-05 21:04:18', NULL), (15844, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 13, 1, '2024-08-05 21:04:18', NULL), (15845, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 14, 1, '2024-08-05 21:04:18', NULL), (15846, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 15, 1, '2024-08-05 21:04:18', NULL), (15847, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 16, 1, '2024-08-05 21:04:18', NULL), (15848, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 17, 1, '2024-08-05 21:04:18', NULL), (15849, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 18, 1, '2024-08-05 21:04:19', NULL), (15850, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 19, 1, '2024-08-05 21:04:19', NULL), (15851, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 20, 1, '2024-08-05 21:04:19', NULL), (15852, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 21, 1, '2024-08-05 21:04:19', NULL), (15853, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 22, 1, '2024-08-05 21:04:19', NULL), (15854, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 23, 1, '2024-08-05 21:04:19', NULL), (15855, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 24, 1, '2024-08-05 21:04:19', NULL), (15856, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 25, 1, '2024-08-05 21:04:19', NULL), (15857, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 26, 1, '2024-08-05 21:04:19', NULL), (15858, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 27, 1, '2024-08-05 21:04:19', NULL), (15859, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 28, 1, '2024-08-05 21:04:19', NULL), (15860, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 29, 1, '2024-08-05 21:04:19', NULL), (15861, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 4, 30, 1, '2024-08-05 21:04:19', NULL), (15862, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 1, 1, '2024-08-05 21:04:19', NULL), (15863, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 2, 1, '2024-08-05 21:04:19', NULL), (15864, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 3, 1, '2024-08-05 21:04:19', NULL), (15865, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 4, 1, '2024-08-05 21:04:19', NULL), (15866, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 5, 1, '2024-08-05 21:04:19', NULL), (15867, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 6, 1, '2024-08-05 21:04:19', NULL), (15868, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 7, 1, '2024-08-05 21:04:19', NULL), (15869, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 8, 1, '2024-08-05 21:04:20', NULL), (15870, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 9, 1, '2024-08-05 21:04:20', NULL), (15871, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 10, 1, '2024-08-05 21:04:20', NULL), (15872, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 11, 1, '2024-08-05 21:04:20', NULL), (15873, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 12, 1, '2024-08-05 21:04:20', NULL), (15874, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 13, 1, '2024-08-05 21:04:20', NULL), (15875, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 14, 1, '2024-08-05 21:04:20', NULL), (15876, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 15, 1, '2024-08-05 21:04:20', NULL), (15877, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 16, 1, '2024-08-05 21:04:20', NULL), (15878, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 17, 1, '2024-08-05 21:04:20', NULL), (15879, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 18, 1, '2024-08-05 21:04:20', NULL), (15880, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 19, 1, '2024-08-05 21:04:20', NULL), (15881, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 20, 1, '2024-08-05 21:04:20', NULL), (15882, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 21, 1, '2024-08-05 21:04:20', NULL), (15883, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 22, 1, '2024-08-05 21:04:20', NULL), (15884, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 23, 1, '2024-08-05 21:04:20', NULL), (15885, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 24, 1, '2024-08-05 21:04:20', NULL), (15886, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 25, 1, '2024-08-05 21:04:20', NULL), (15887, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 26, 1, '2024-08-05 21:04:20', NULL), (15888, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 27, 1, '2024-08-05 21:04:21', NULL), (15889, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 28, 1, '2024-08-05 21:04:21', NULL), (15890, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 29, 1, '2024-08-05 21:04:21', NULL), (15891, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 30, 1, '2024-08-05 21:04:21', NULL), (15892, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 5, 31, 1, '2024-08-05 21:04:21', NULL), (15893, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 1, 1, '2024-08-05 21:04:21', NULL), (15894, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 2, 1, '2024-08-05 21:04:21', NULL), (15895, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 3, 1, '2024-08-05 21:04:21', NULL), (15896, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 4, 1, '2024-08-05 21:04:21', NULL), (15897, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 5, 1, '2024-08-05 21:04:21', NULL), (15898, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 6, 1, '2024-08-05 21:04:21', NULL), (15899, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 7, 1, '2024-08-05 21:04:21', NULL), (15900, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 8, 1, '2024-08-05 21:04:21', NULL), (15901, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 9, 1, '2024-08-05 21:04:21', NULL), (15902, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 10, 1, '2024-08-05 21:04:21', NULL), (15903, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 11, 1, '2024-08-05 21:04:21', NULL), (15904, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 12, 1, '2024-08-05 21:04:21', NULL), (15905, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 13, 1, '2024-08-05 21:04:21', NULL), (15906, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 14, 1, '2024-08-05 21:04:21', NULL), (15907, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 15, 1, '2024-08-05 21:04:22', NULL), (15908, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 16, 1, '2024-08-05 21:04:22', NULL), (15909, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 17, 1, '2024-08-05 21:04:22', NULL), (15910, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 18, 1, '2024-08-05 21:04:22', NULL), (15911, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 19, 1, '2024-08-05 21:04:22', NULL), (15912, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 20, 1, '2024-08-05 21:04:22', NULL), (15913, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 21, 1, '2024-08-05 21:04:22', NULL), (15914, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 22, 1, '2024-08-05 21:04:22', NULL), (15915, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 23, 1, '2024-08-05 21:04:22', NULL), (15916, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 24, 1, '2024-08-05 21:04:22', NULL), (15917, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 25, 1, '2024-08-05 21:04:22', NULL), (15918, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 26, 1, '2024-08-05 21:04:22', NULL), (15919, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 27, 1, '2024-08-05 21:04:22', NULL), (15920, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 28, 1, '2024-08-05 21:04:22', NULL), (15921, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 29, 1, '2024-08-05 21:04:22', NULL), (15922, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 6, 30, 1, '2024-08-05 21:04:22', NULL), (15923, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 1, 1, '2024-08-05 21:04:22', NULL), (15924, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 2, 1, '2024-08-05 21:04:22', NULL), (15925, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 3, 1, '2024-08-05 21:04:22', NULL), (15926, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 4, 1, '2024-08-05 21:04:23', NULL), (15927, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 5, 1, '2024-08-05 21:04:23', NULL), (15928, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 6, 1, '2024-08-05 21:04:23', NULL), (15929, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 7, 1, '2024-08-05 21:04:23', NULL), (15930, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 8, 1, '2024-08-05 21:04:23', NULL), (15931, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 9, 1, '2024-08-05 21:04:23', NULL), (15932, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 10, 1, '2024-08-05 21:04:23', NULL), (15933, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 11, 1, '2024-08-05 21:04:23', NULL), (15934, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 12, 1, '2024-08-05 21:04:23', NULL), (15935, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 13, 1, '2024-08-05 21:04:23', NULL), (15936, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 14, 1, '2024-08-05 21:04:23', NULL), (15937, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 15, 1, '2024-08-05 21:04:23', NULL), (15938, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 16, 1, '2024-08-05 21:04:23', NULL), (15939, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 17, 1, '2024-08-05 21:04:23', NULL), (15940, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 18, 1, '2024-08-05 21:04:23', NULL), (15941, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 19, 1, '2024-08-05 21:04:23', NULL), (15942, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 20, 1, '2024-08-05 21:04:23', NULL), (15943, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 21, 1, '2024-08-05 21:04:23', NULL), (15944, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 22, 1, '2024-08-05 21:04:24', NULL), (15945, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 23, 1, '2024-08-05 21:04:24', NULL), (15946, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 24, 1, '2024-08-05 21:04:24', NULL), (15947, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 25, 1, '2024-08-05 21:04:24', NULL), (15948, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 26, 1, '2024-08-05 21:04:24', NULL), (15949, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 27, 1, '2024-08-05 21:04:24', NULL), (15950, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 28, 1, '2024-08-05 21:04:24', NULL), (15951, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 29, 1, '2024-08-05 21:04:24', NULL), (15952, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 30, 1, '2024-08-05 21:04:24', NULL), (15953, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 7, 31, 1, '2024-08-05 21:04:24', NULL), (15954, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 1, 1, '2024-08-05 21:04:24', NULL), (15955, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 2, 1, '2024-08-05 21:04:24', NULL), (15956, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 3, 1, '2024-08-05 21:04:24', NULL), (15957, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 4, 1, '2024-08-05 21:04:24', NULL), (15958, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 5, 1, '2024-08-05 21:04:24', NULL), (15959, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 6, 1, '2024-08-05 21:04:24', NULL), (15960, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 7, 1, '2024-08-05 21:04:24', NULL), (15961, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 8, 1, '2024-08-05 21:04:24', NULL), (15962, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 9, 1, '2024-08-05 21:04:24', NULL), (15963, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 10, 1, '2024-08-05 21:04:24', NULL), (15964, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 11, 1, '2024-08-05 21:04:25', NULL), (15965, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 12, 1, '2024-08-05 21:04:25', NULL), (15966, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 13, 1, '2024-08-05 21:04:25', NULL), (15967, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 14, 1, '2024-08-05 21:04:25', NULL), (15968, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 15, 1, '2024-08-05 21:04:25', NULL), (15969, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 16, 1, '2024-08-05 21:04:25', NULL), (15970, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 17, 1, '2024-08-05 21:04:25', NULL), (15971, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 18, 1, '2024-08-05 21:04:25', NULL), (15972, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 19, 1, '2024-08-05 21:04:25', NULL), (15973, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 20, 1, '2024-08-05 21:04:25', NULL), (15974, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 21, 1, '2024-08-05 21:04:25', NULL), (15975, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 22, 1, '2024-08-05 21:04:25', NULL), (15976, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 23, 1, '2024-08-05 21:04:25', NULL), (15977, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 24, 1, '2024-08-05 21:04:25', NULL), (15978, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 25, 1, '2024-08-05 21:04:25', NULL), (15979, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 26, 1, '2024-08-05 21:04:25', NULL), (15980, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 27, 1, '2024-08-05 21:04:25', NULL), (15981, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 28, 1, '2024-08-05 21:04:25', NULL), (15982, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 29, 1, '2024-08-05 21:04:25', NULL), (15983, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 30, 1, '2024-08-05 21:04:25', NULL), (15984, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 8, 31, 1, '2024-08-05 21:04:25', NULL), (15985, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 1, 1, '2024-08-05 21:04:25', NULL), (15986, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 2, 1, '2024-08-05 21:04:26', NULL), (15987, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 3, 1, '2024-08-05 21:04:26', NULL), (15988, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 4, 1, '2024-08-05 21:04:26', NULL), (15989, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 5, 1, '2024-08-05 21:04:26', NULL), (15990, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 6, 1, '2024-08-05 21:04:26', NULL), (15991, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 7, 1, '2024-08-05 21:04:26', NULL), (15992, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 8, 1, '2024-08-05 21:04:26', NULL), (15993, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 9, 1, '2024-08-05 21:04:26', NULL), (15994, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 10, 1, '2024-08-05 21:04:26', NULL), (15995, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 11, 1, '2024-08-05 21:04:26', NULL), (15996, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 12, 1, '2024-08-05 21:04:26', NULL), (15997, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 13, 1, '2024-08-05 21:04:26', NULL), (15998, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 14, 1, '2024-08-05 21:04:26', NULL), (15999, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 15, 1, '2024-08-05 21:04:26', NULL), (16000, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 16, 1, '2024-08-05 21:04:26', NULL), (16001, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 17, 1, '2024-08-05 21:04:26', NULL), (16002, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 18, 1, '2024-08-05 21:04:26', NULL), (16003, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 19, 1, '2024-08-05 21:04:26', NULL), (16004, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 20, 1, '2024-08-05 21:04:26', NULL), (16005, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 21, 1, '2024-08-05 21:04:26', NULL), (16006, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 22, 1, '2024-08-05 21:04:26', NULL), (16007, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 23, 1, '2024-08-05 21:04:26', NULL), (16008, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 24, 1, '2024-08-05 21:04:26', NULL), (16009, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 25, 1, '2024-08-05 21:04:26', NULL), (16010, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 26, 1, '2024-08-05 21:04:26', NULL), (16011, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 27, 1, '2024-08-05 21:04:27', NULL), (16012, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 28, 1, '2024-08-05 21:04:27', NULL), (16013, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 29, 1, '2024-08-05 21:04:27', NULL), (16014, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 9, 30, 1, '2024-08-05 21:04:27', NULL), (16015, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 1, 1, '2024-08-05 21:04:27', NULL), (16016, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 2, 1, '2024-08-05 21:04:27', NULL), (16017, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 3, 1, '2024-08-05 21:04:27', NULL), (16018, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 4, 1, '2024-08-05 21:04:27', NULL), (16019, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 5, 1, '2024-08-05 21:04:27', NULL), (16020, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 6, 1, '2024-08-05 21:04:27', NULL), (16021, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 7, 1, '2024-08-05 21:04:27', NULL), (16022, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 8, 1, '2024-08-05 21:04:27', NULL), (16023, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 9, 1, '2024-08-05 21:04:27', NULL), (16024, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 10, 1, '2024-08-05 21:04:27', NULL), (16025, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 11, 1, '2024-08-05 21:04:27', NULL), (16026, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 12, 1, '2024-08-05 21:04:27', NULL), (16027, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 13, 1, '2024-08-05 21:04:27', NULL), (16028, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 14, 1, '2024-08-05 21:04:27', NULL), (16029, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 15, 1, '2024-08-05 21:04:27', NULL), (16030, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 16, 1, '2024-08-05 21:04:27', NULL), (16031, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 17, 1, '2024-08-05 21:04:27', NULL), (16032, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 18, 1, '2024-08-05 21:04:27', NULL), (16033, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 19, 1, '2024-08-05 21:04:27', NULL), (16034, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 20, 1, '2024-08-05 21:04:27', NULL), (16035, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 21, 1, '2024-08-05 21:04:27', NULL), (16036, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 22, 1, '2024-08-05 21:04:28', NULL), (16037, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 23, 1, '2024-08-05 21:04:28', NULL), (16038, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 24, 1, '2024-08-05 21:04:28', NULL), (16039, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 25, 1, '2024-08-05 21:04:28', NULL), (16040, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 26, 1, '2024-08-05 21:04:28', NULL), (16041, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 27, 1, '2024-08-05 21:04:28', NULL), (16042, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 28, 1, '2024-08-05 21:04:28', NULL), (16043, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 29, 1, '2024-08-05 21:04:28', NULL), (16044, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 30, 1, '2024-08-05 21:04:28', NULL), (16045, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 10, 31, 1, '2024-08-05 21:04:28', NULL), (16046, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 1, 1, '2024-08-05 21:04:28', NULL), (16047, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 2, 1, '2024-08-05 21:04:28', NULL), (16048, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 3, 1, '2024-08-05 21:04:28', NULL), (16049, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 4, 1, '2024-08-05 21:04:28', NULL), (16050, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 5, 1, '2024-08-05 21:04:28', NULL), (16051, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 6, 1, '2024-08-05 21:04:28', NULL), (16052, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 7, 1, '2024-08-05 21:04:28', NULL), (16053, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 8, 1, '2024-08-05 21:04:28', NULL), (16054, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 9, 1, '2024-08-05 21:04:28', NULL), (16055, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 10, 1, '2024-08-05 21:04:28', NULL), (16056, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 11, 1, '2024-08-05 21:04:28', NULL), (16057, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 12, 1, '2024-08-05 21:04:28', NULL), (16058, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 13, 1, '2024-08-05 21:04:28', NULL), (16059, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 14, 1, '2024-08-05 21:04:29', NULL), (16060, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 15, 1, '2024-08-05 21:04:29', NULL), (16061, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 16, 1, '2024-08-05 21:04:29', NULL), (16062, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 17, 1, '2024-08-05 21:04:29', NULL), (16063, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 18, 1, '2024-08-05 21:04:29', NULL), (16064, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 19, 1, '2024-08-05 21:04:29', NULL), (16065, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 20, 1, '2024-08-05 21:04:29', NULL), (16066, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 21, 1, '2024-08-05 21:04:29', NULL), (16067, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 22, 1, '2024-08-05 21:04:29', NULL), (16068, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 23, 1, '2024-08-05 21:04:29', NULL), (16069, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 24, 1, '2024-08-05 21:04:29', NULL), (16070, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 25, 1, '2024-08-05 21:04:29', NULL), (16071, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 26, 1, '2024-08-05 21:04:29', NULL), (16072, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 27, 1, '2024-08-05 21:04:29', NULL), (16073, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 28, 1, '2024-08-05 21:04:29', NULL), (16074, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 29, 1, '2024-08-05 21:04:29', NULL), (16075, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 11, 30, 1, '2024-08-05 21:04:29', NULL), (16076, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 1, 1, '2024-08-05 21:04:29', NULL), (16077, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 2, 1, '2024-08-05 21:04:29', NULL), (16078, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 3, 1, '2024-08-05 21:04:29', NULL), (16079, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 4, 1, '2024-08-05 21:04:30', NULL), (16080, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 5, 1, '2024-08-05 21:04:30', NULL), (16081, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 6, 1, '2024-08-05 21:04:30', NULL), (16082, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 7, 1, '2024-08-05 21:04:30', NULL), (16083, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 8, 1, '2024-08-05 21:04:30', NULL), (16084, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 9, 1, '2024-08-05 21:04:30', NULL), (16085, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 10, 1, '2024-08-05 21:04:30', NULL), (16086, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 11, 1, '2024-08-05 21:04:30', NULL), (16087, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 12, 1, '2024-08-05 21:04:30', NULL), (16088, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 13, 1, '2024-08-05 21:04:30', NULL), (16089, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 14, 1, '2024-08-05 21:04:30', NULL), (16090, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 15, 1, '2024-08-05 21:04:30', NULL), (16091, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 16, 1, '2024-08-05 21:04:30', NULL), (16092, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 17, 1, '2024-08-05 21:04:30', NULL), (16093, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 18, 1, '2024-08-05 21:04:30', NULL), (16094, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 19, 1, '2024-08-05 21:04:30', NULL), (16095, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 20, 1, '2024-08-05 21:04:30', NULL), (16096, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 21, 1, '2024-08-05 21:04:30', NULL), (16097, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 22, 1, '2024-08-05 21:04:30', NULL), (16098, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 23, 1, '2024-08-05 21:04:31', NULL), (16099, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 24, 1, '2024-08-05 21:04:31', NULL), (16100, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 25, 1, '2024-08-05 21:04:31', NULL), (16101, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 26, 1, '2024-08-05 21:04:31', NULL), (16102, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 27, 1, '2024-08-05 21:04:31', NULL), (16103, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 28, 1, '2024-08-05 21:04:31', NULL), (16104, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 29, 1, '2024-08-05 21:04:31', NULL), (16105, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 30, 1, '2024-08-05 21:04:31', NULL), (16106, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2023, 12, 31, 1, '2024-08-05 21:04:31', NULL), (16107, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 1, 1, '2024-08-05 21:04:31', NULL), (16108, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 2, 1, '2024-08-05 21:04:31', NULL), (16109, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 3, 1, '2024-08-05 21:04:31', NULL), (16110, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 4, 1, '2024-08-05 21:04:31', NULL), (16111, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 5, 1, '2024-08-05 21:04:31', NULL), (16112, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 6, 1, '2024-08-05 21:04:31', NULL), (16113, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 7, 1, '2024-08-05 21:04:31', NULL), (16114, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 8, 1, '2024-08-05 21:04:31', NULL), (16115, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 9, 1, '2024-08-05 21:04:31', NULL), (16116, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 10, 1, '2024-08-05 21:04:32', NULL), (16117, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 11, 1, '2024-08-05 21:04:32', NULL), (16118, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 12, 1, '2024-08-05 21:04:32', NULL), (16119, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 13, 1, '2024-08-05 21:04:32', NULL), (16120, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 14, 1, '2024-08-05 21:04:32', NULL), (16121, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 15, 1, '2024-08-05 21:04:32', NULL), (16122, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 16, 1, '2024-08-05 21:04:32', NULL), (16123, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 17, 1, '2024-08-05 21:04:32', NULL), (16124, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 18, 1, '2024-08-05 21:04:32', NULL), (16125, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 19, 1, '2024-08-05 21:04:32', NULL), (16126, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 20, 1, '2024-08-05 21:04:32', NULL), (16127, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 21, 1, '2024-08-05 21:04:32', NULL), (16128, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 22, 1, '2024-08-05 21:04:32', NULL), (16129, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 23, 1, '2024-08-05 21:04:32', NULL), (16130, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 24, 1, '2024-08-05 21:04:32', NULL), (16131, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 25, 1, '2024-08-05 21:04:32', NULL), (16132, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 26, 1, '2024-08-05 21:04:33', NULL), (16133, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 27, 1, '2024-08-05 21:04:33', NULL), (16134, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 28, 1, '2024-08-05 21:04:33', NULL), (16135, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 29, 1, '2024-08-05 21:04:33', NULL), (16136, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 30, 1, '2024-08-05 21:04:33', NULL), (16137, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 1, 31, 1, '2024-08-05 21:04:33', NULL), (16138, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 1, 1, '2024-08-05 21:04:33', NULL), (16139, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 2, 1, '2024-08-05 21:04:33', NULL), (16140, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 3, 1, '2024-08-05 21:04:33', NULL), (16141, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 4, 1, '2024-08-05 21:04:33', NULL), (16142, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 5, 1, '2024-08-05 21:04:33', NULL), (16143, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 6, 1, '2024-08-05 21:04:33', NULL), (16144, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 7, 1, '2024-08-05 21:04:33', NULL), (16145, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 8, 1, '2024-08-05 21:04:33', NULL), (16146, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 9, 1, '2024-08-05 21:04:33', NULL), (16147, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 10, 1, '2024-08-05 21:04:33', NULL), (16148, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 11, 1, '2024-08-05 21:04:33', NULL), (16149, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 12, 1, '2024-08-05 21:04:34', NULL), (16150, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 13, 1, '2024-08-05 21:04:34', NULL), (16151, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 14, 1, '2024-08-05 21:04:34', NULL), (16152, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 15, 1, '2024-08-05 21:04:34', NULL), (16153, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 16, 1, '2024-08-05 21:04:34', NULL), (16154, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 17, 1, '2024-08-05 21:04:34', NULL), (16155, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 18, 1, '2024-08-05 21:04:34', NULL), (16156, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 19, 1, '2024-08-05 21:04:34', NULL), (16157, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 20, 1, '2024-08-05 21:04:34', NULL), (16158, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 21, 1, '2024-08-05 21:04:34', NULL), (16159, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 22, 1, '2024-08-05 21:04:34', NULL), (16160, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 23, 1, '2024-08-05 21:04:34', NULL), (16161, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 24, 1, '2024-08-05 21:04:34', NULL), (16162, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 25, 1, '2024-08-05 21:04:34', NULL), (16163, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 26, 1, '2024-08-05 21:04:34', NULL), (16164, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 27, 1, '2024-08-05 21:04:34', NULL), (16165, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 28, 1, '2024-08-05 21:04:34', NULL), (16166, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 2, 29, 1, '2024-08-05 21:04:35', NULL), (16167, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 1, 1, '2024-08-05 21:04:35', NULL), (16168, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 2, 1, '2024-08-05 21:04:35', NULL), (16169, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 3, 1, '2024-08-05 21:04:35', NULL), (16170, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 4, 1, '2024-08-05 21:04:35', NULL), (16171, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 5, 1, '2024-08-05 21:04:35', NULL), (16172, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 6, 1, '2024-08-05 21:04:35', NULL), (16173, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 7, 1, '2024-08-05 21:04:35', NULL), (16174, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 8, 1, '2024-08-05 21:04:35', NULL), (16175, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 9, 1, '2024-08-05 21:04:35', NULL), (16176, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 10, 1, '2024-08-05 21:04:35', NULL), (16177, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 11, 1, '2024-08-05 21:04:35', NULL), (16178, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 12, 1, '2024-08-05 21:04:35', NULL), (16179, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 13, 1, '2024-08-05 21:04:35', NULL), (16180, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 14, 1, '2024-08-05 21:04:35', NULL), (16181, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 15, 1, '2024-08-05 21:04:35', NULL), (16182, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 16, 1, '2024-08-05 21:04:36', NULL), (16183, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 17, 1, '2024-08-05 21:04:36', NULL), (16184, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 18, 1, '2024-08-05 21:04:36', NULL), (16185, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 19, 1, '2024-08-05 21:04:36', NULL), (16186, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 20, 1, '2024-08-05 21:04:36', NULL), (16187, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 21, 1, '2024-08-05 21:04:36', NULL), (16188, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 22, 1, '2024-08-05 21:04:36', NULL), (16189, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 23, 1, '2024-08-05 21:04:36', NULL), (16190, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 24, 1, '2024-08-05 21:04:36', NULL), (16191, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 25, 1, '2024-08-05 21:04:36', NULL), (16192, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 26, 1, '2024-08-05 21:04:36', NULL), (16193, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 27, 1, '2024-08-05 21:04:36', NULL), (16194, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 28, 1, '2024-08-05 21:04:36', NULL), (16195, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 29, 1, '2024-08-05 21:04:36', NULL), (16196, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 30, 1, '2024-08-05 21:04:36', NULL), (16197, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 3, 31, 1, '2024-08-05 21:04:37', NULL), (16198, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 1, 1, '2024-08-05 21:04:37', NULL), (16199, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 2, 1, '2024-08-05 21:04:37', NULL), (16200, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 3, 1, '2024-08-05 21:04:37', NULL), (16201, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 4, 1, '2024-08-05 21:04:37', NULL), (16202, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 5, 1, '2024-08-05 21:04:37', NULL), (16203, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 6, 1, '2024-08-05 21:04:37', NULL), (16204, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 7, 1, '2024-08-05 21:04:37', NULL), (16205, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 8, 1, '2024-08-05 21:04:37', NULL), (16206, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 9, 1, '2024-08-05 21:04:37', NULL), (16207, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 10, 1, '2024-08-05 21:04:37', NULL), (16208, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 11, 1, '2024-08-05 21:04:37', NULL), (16209, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 12, 1, '2024-08-05 21:04:37', NULL), (16210, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 13, 1, '2024-08-05 21:04:38', NULL), (16211, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 14, 1, '2024-08-05 21:04:38', NULL), (16212, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 15, 1, '2024-08-05 21:04:38', NULL), (16213, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 16, 1, '2024-08-05 21:04:38', NULL), (16214, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 17, 1, '2024-08-05 21:04:38', NULL), (16215, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 18, 1, '2024-08-05 21:04:38', NULL), (16216, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 19, 1, '2024-08-05 21:04:38', NULL), (16217, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 20, 1, '2024-08-05 21:04:38', NULL), (16218, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 21, 1, '2024-08-05 21:04:38', NULL), (16219, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 22, 1, '2024-08-05 21:04:38', NULL), (16220, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 23, 1, '2024-08-05 21:04:38', NULL), (16221, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 24, 1, '2024-08-05 21:04:38', NULL), (16222, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 25, 1, '2024-08-05 21:04:38', NULL), (16223, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 26, 1, '2024-08-05 21:04:39', NULL), (16224, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 27, 1, '2024-08-05 21:04:39', NULL), (16225, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 28, 1, '2024-08-05 21:04:39', NULL), (16226, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 29, 1, '2024-08-05 21:04:39', NULL), (16227, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 4, 30, 1, '2024-08-05 21:04:39', NULL), (16228, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 1, 1, '2024-08-05 21:04:39', NULL), (16229, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 2, 1, '2024-08-05 21:04:39', NULL), (16230, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 3, 1, '2024-08-05 21:04:39', NULL), (16231, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 4, 1, '2024-08-05 21:04:39', NULL), (16232, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 5, 1, '2024-08-05 21:04:39', NULL), (16233, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 6, 1, '2024-08-05 21:04:39', NULL), (16234, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 7, 1, '2024-08-05 21:04:39', NULL), (16235, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 8, 1, '2024-08-05 21:04:40', NULL), (16236, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 9, 1, '2024-08-05 21:04:40', NULL), (16237, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 10, 1, '2024-08-05 21:04:40', NULL), (16238, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 11, 1, '2024-08-05 21:04:40', NULL), (16239, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 12, 1, '2024-08-05 21:04:40', NULL), (16240, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 13, 1, '2024-08-05 21:04:40', NULL), (16241, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 14, 1, '2024-08-05 21:04:40', NULL), (16242, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 15, 1, '2024-08-05 21:04:40', NULL), (16243, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 16, 1, '2024-08-05 21:04:40', NULL), (16244, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 17, 1, '2024-08-05 21:04:40', NULL), (16245, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 18, 1, '2024-08-05 21:04:41', NULL), (16246, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 19, 1, '2024-08-05 21:04:41', NULL), (16247, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 20, 1, '2024-08-05 21:04:41', NULL), (16248, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 21, 1, '2024-08-05 21:04:41', NULL), (16249, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 22, 1, '2024-08-05 21:04:41', NULL), (16250, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 23, 1, '2024-08-05 21:04:41', NULL), (16251, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 24, 1, '2024-08-05 21:04:41', NULL), (16252, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 25, 1, '2024-08-05 21:04:41', NULL), (16253, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 26, 1, '2024-08-05 21:04:41', NULL), (16254, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 27, 1, '2024-08-05 21:04:42', NULL), (16255, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 28, 1, '2024-08-05 21:04:42', NULL), (16256, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 29, 1, '2024-08-05 21:04:42', NULL), (16257, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 30, 1, '2024-08-05 21:04:42', NULL), (16258, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 5, 31, 1, '2024-08-05 21:04:42', NULL), (16259, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 1, 1, '2024-08-05 21:04:42', NULL), (16260, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 2, 1, '2024-08-05 21:04:42', NULL), (16261, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 3, 1, '2024-08-05 21:04:42', NULL), (16262, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 4, 1, '2024-08-05 21:04:42', NULL), (16263, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 5, 1, '2024-08-05 21:04:42', NULL), (16264, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 6, 1, '2024-08-05 21:04:43', NULL), (16265, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 7, 1, '2024-08-05 21:04:43', NULL), (16266, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 8, 1, '2024-08-05 21:04:43', NULL), (16267, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 9, 1, '2024-08-05 21:04:43', NULL), (16268, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 10, 1, '2024-08-05 21:04:43', NULL), (16269, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 11, 1, '2024-08-05 21:04:43', NULL), (16270, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 12, 1, '2024-08-05 21:04:43', NULL), (16271, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 13, 1, '2024-08-05 21:04:43', NULL), (16272, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 14, 1, '2024-08-05 21:04:43', NULL), (16273, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 15, 1, '2024-08-05 21:04:44', NULL), (16274, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 16, 1, '2024-08-05 21:04:44', NULL), (16275, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 17, 1, '2024-08-05 21:04:44', NULL), (16276, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 18, 1, '2024-08-05 21:04:44', NULL), (16277, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 19, 1, '2024-08-05 21:04:44', NULL), (16278, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 20, 1, '2024-08-05 21:04:44', NULL), (16279, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 21, 1, '2024-08-05 21:04:44', NULL), (16280, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 22, 1, '2024-08-05 21:04:44', NULL), (16281, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 23, 1, '2024-08-05 21:04:44', NULL), (16282, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 24, 1, '2024-08-05 21:04:44', NULL), (16283, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 25, 1, '2024-08-05 21:04:45', NULL), (16284, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 26, 1, '2024-08-05 21:04:45', NULL), (16285, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 27, 1, '2024-08-05 21:04:45', NULL), (16286, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 28, 1, '2024-08-05 21:04:45', NULL), (16287, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 29, 1, '2024-08-05 21:04:45', NULL), (16288, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 6, 30, 1, '2024-08-05 21:04:45', NULL), (16289, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 1, 1, '2024-08-05 21:04:45', NULL), (16290, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 2, 1, '2024-08-05 21:04:45', NULL), (16291, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 3, 1, '2024-08-05 21:04:45', NULL), (16292, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 4, 1, '2024-08-05 21:04:46', NULL), (16293, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 5, 1, '2024-08-05 21:04:46', NULL), (16294, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 6, 1, '2024-08-05 21:04:46', NULL), (16295, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 7, 1, '2024-08-05 21:04:46', NULL), (16296, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 8, 1, '2024-08-05 21:04:46', NULL), (16297, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 9, 1, '2024-08-05 21:04:46', NULL), (16298, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 10, 1, '2024-08-05 21:04:46', NULL), (16299, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 11, 1, '2024-08-05 21:04:46', NULL), (16300, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 12, 1, '2024-08-05 21:04:46', NULL), (16301, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 13, 1, '2024-08-05 21:04:46', NULL), (16302, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 14, 1, '2024-08-05 21:04:47', NULL), (16303, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 15, 1, '2024-08-05 21:04:47', NULL), (16304, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 16, 1, '2024-08-05 21:04:47', NULL), (16305, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 17, 1, '2024-08-05 21:04:47', NULL), (16306, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 18, 1, '2024-08-05 21:04:47', NULL), (16307, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 19, 1, '2024-08-05 21:04:47', NULL), (16308, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 20, 1, '2024-08-05 21:04:47', NULL), (16309, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 21, 1, '2024-08-05 21:04:47', NULL), (16310, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 22, 1, '2024-08-05 21:04:47', NULL), (16311, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 23, 1, '2024-08-05 21:04:48', NULL), (16312, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 24, 1, '2024-08-05 21:04:48', NULL), (16313, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 25, 1, '2024-08-05 21:04:48', NULL), (16314, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 26, 1, '2024-08-05 21:04:48', NULL), (16315, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 27, 1, '2024-08-05 21:04:48', NULL), (16316, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 28, 1, '2024-08-05 21:04:48', NULL), (16317, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 29, 1, '2024-08-05 21:04:48', NULL), (16318, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 30, 1, '2024-08-05 21:04:48', NULL), (16319, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 7, 31, 1, '2024-08-05 21:04:48', NULL), (16320, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 1, 1, '2024-08-05 21:04:48', '2024-08-05 22:12:43'), (16321, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 2, 1, '2024-08-05 21:04:49', '2024-08-06 02:20:05'), (16322, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 3, 1, '2024-08-05 21:04:49', '2024-08-07 01:30:03');
INSERT INTO `mortals_xhx_stat` VALUES (16323, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 4, 1, '2024-08-05 21:04:49', '2024-08-08 01:30:02'), (16324, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 5, 1, '2024-08-05 21:04:49', '2024-08-09 01:30:03'), (16325, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 1, 1, '2024-08-05 21:16:57', NULL), (16326, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 2, 1, '2024-08-05 21:16:57', NULL), (16327, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 3, 1, '2024-08-05 21:16:57', NULL), (16328, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 4, 1, '2024-08-05 21:16:57', NULL), (16329, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 5, 1, '2024-08-05 21:16:57', NULL), (16330, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 6, 1, '2024-08-05 21:16:57', NULL), (16331, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 7, 1, '2024-08-05 21:16:57', NULL), (16332, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 8, 1, '2024-08-05 21:16:57', NULL), (16333, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 9, 1, '2024-08-05 21:16:57', NULL), (16334, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 10, 1, '2024-08-05 21:16:58', NULL), (16335, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 11, 1, '2024-08-05 21:16:58', NULL), (16336, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 12, 1, '2024-08-05 21:16:58', NULL), (16337, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 13, 1, '2024-08-05 21:16:58', NULL), (16338, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 14, 1, '2024-08-05 21:16:58', NULL), (16339, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 15, 1, '2024-08-05 21:16:58', NULL), (16340, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 16, 1, '2024-08-05 21:16:58', NULL), (16341, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 17, 1, '2024-08-05 21:16:58', NULL), (16342, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 18, 1, '2024-08-05 21:16:58', NULL), (16343, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 19, 1, '2024-08-05 21:16:58', NULL), (16344, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 20, 1, '2024-08-05 21:16:58', NULL), (16345, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 21, 1, '2024-08-05 21:16:58', NULL), (16346, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 22, 1, '2024-08-05 21:16:58', NULL), (16347, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 23, 1, '2024-08-05 21:16:58', NULL), (16348, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 24, 1, '2024-08-05 21:16:58', NULL), (16349, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 25, 1, '2024-08-05 21:16:58', NULL), (16350, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 26, 1, '2024-08-05 21:16:58', NULL), (16351, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 27, 1, '2024-08-05 21:16:58', NULL), (16352, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 28, 1, '2024-08-05 21:16:58', NULL), (16353, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 29, 1, '2024-08-05 21:16:59', NULL), (16354, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 30, 1, '2024-08-05 21:16:59', NULL), (16355, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 1, 31, 1, '2024-08-05 21:16:59', NULL), (16356, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 1, 1, '2024-08-05 21:16:59', NULL), (16357, 45, '511527208000-0001', '团林苗族乡便民服务中心', 1, 2023, 2, 2, 1, '2024-08-05 21:16:59', NULL), (16358, 45, '511527208000-0001', '团林苗族乡便民服务中心', 2, 2023, 2, 3, 1, '2024-08-05 21:16:59', NULL), (16359, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 4, 1, '2024-08-05 21:16:59', NULL), (16360, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 5, 1, '2024-08-05 21:16:59', NULL), (16361, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 6, 1, '2024-08-05 21:16:59', NULL), (16362, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 7, 1, '2024-08-05 21:16:59', NULL), (16363, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 8, 1, '2024-08-05 21:16:59', NULL), (16364, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 9, 1, '2024-08-05 21:16:59', NULL), (16365, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 10, 1, '2024-08-05 21:16:59', NULL), (16366, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 11, 1, '2024-08-05 21:16:59', NULL), (16367, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 12, 1, '2024-08-05 21:16:59', NULL), (16368, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 13, 1, '2024-08-05 21:16:59', NULL), (16369, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 14, 1, '2024-08-05 21:16:59', NULL), (16370, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 15, 1, '2024-08-05 21:16:59', NULL), (16371, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 16, 1, '2024-08-05 21:17:00', NULL), (16372, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 17, 1, '2024-08-05 21:17:00', NULL), (16373, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 18, 1, '2024-08-05 21:17:00', NULL), (16374, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 19, 1, '2024-08-05 21:17:00', NULL), (16375, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 20, 1, '2024-08-05 21:17:00', NULL), (16376, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 21, 1, '2024-08-05 21:17:00', NULL), (16377, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 22, 1, '2024-08-05 21:17:00', NULL), (16378, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 23, 1, '2024-08-05 21:17:00', NULL), (16379, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 24, 1, '2024-08-05 21:17:00', NULL), (16380, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 25, 1, '2024-08-05 21:17:00', NULL), (16381, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 26, 1, '2024-08-05 21:17:00', NULL), (16382, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 27, 1, '2024-08-05 21:17:00', NULL), (16383, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 2, 28, 1, '2024-08-05 21:17:00', NULL), (16384, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 1, 1, '2024-08-05 21:17:00', NULL), (16385, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 2, 1, '2024-08-05 21:17:00', NULL), (16386, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 3, 1, '2024-08-05 21:17:00', NULL), (16387, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 4, 1, '2024-08-05 21:17:00', NULL), (16388, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 5, 1, '2024-08-05 21:17:01', NULL), (16389, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 6, 1, '2024-08-05 21:17:01', NULL), (16390, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 7, 1, '2024-08-05 21:17:01', NULL), (16391, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 8, 1, '2024-08-05 21:17:01', NULL), (16392, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 9, 1, '2024-08-05 21:17:01', NULL), (16393, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 10, 1, '2024-08-05 21:17:01', NULL), (16394, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 11, 1, '2024-08-05 21:17:01', NULL), (16395, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 12, 1, '2024-08-05 21:17:01', NULL), (16396, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 13, 1, '2024-08-05 21:17:01', NULL), (16397, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 14, 1, '2024-08-05 21:17:01', NULL), (16398, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 15, 1, '2024-08-05 21:17:01', NULL), (16399, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 16, 1, '2024-08-05 21:17:01', NULL), (16400, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 17, 1, '2024-08-05 21:17:01', NULL), (16401, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 18, 1, '2024-08-05 21:17:01', NULL), (16402, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 19, 1, '2024-08-05 21:17:01', NULL), (16403, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 20, 1, '2024-08-05 21:17:02', NULL), (16404, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 21, 1, '2024-08-05 21:17:02', NULL), (16405, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 22, 1, '2024-08-05 21:17:02', NULL), (16406, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 23, 1, '2024-08-05 21:17:02', NULL), (16407, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 24, 1, '2024-08-05 21:17:02', NULL), (16408, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 25, 1, '2024-08-05 21:17:02', NULL), (16409, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 26, 1, '2024-08-05 21:17:02', NULL), (16410, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 27, 1, '2024-08-05 21:17:02', NULL), (16411, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 28, 1, '2024-08-05 21:17:02', NULL), (16412, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 29, 1, '2024-08-05 21:17:02', NULL), (16413, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 30, 1, '2024-08-05 21:17:02', NULL), (16414, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 3, 31, 1, '2024-08-05 21:17:02', NULL), (16415, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 1, 1, '2024-08-05 21:17:02', NULL), (16416, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 2, 1, '2024-08-05 21:17:02', NULL), (16417, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 3, 1, '2024-08-05 21:17:02', NULL), (16418, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 4, 1, '2024-08-05 21:17:03', NULL), (16419, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 5, 1, '2024-08-05 21:17:03', NULL), (16420, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 6, 1, '2024-08-05 21:17:03', NULL), (16421, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 7, 1, '2024-08-05 21:17:03', NULL), (16422, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 8, 1, '2024-08-05 21:17:03', NULL), (16423, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 9, 1, '2024-08-05 21:17:03', NULL), (16424, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 10, 1, '2024-08-05 21:17:03', NULL), (16425, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 11, 1, '2024-08-05 21:17:03', NULL), (16426, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 12, 1, '2024-08-05 21:17:03', NULL), (16427, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 13, 1, '2024-08-05 21:17:03', NULL), (16428, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 14, 1, '2024-08-05 21:17:03', NULL), (16429, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 15, 1, '2024-08-05 21:17:03', NULL), (16430, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 16, 1, '2024-08-05 21:17:03', NULL), (16431, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 17, 1, '2024-08-05 21:17:03', NULL), (16432, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 18, 1, '2024-08-05 21:17:04', NULL), (16433, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 19, 1, '2024-08-05 21:17:04', NULL), (16434, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 20, 1, '2024-08-05 21:17:04', NULL), (16435, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 21, 1, '2024-08-05 21:17:04', NULL), (16436, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 22, 1, '2024-08-05 21:17:04', NULL), (16437, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 23, 1, '2024-08-05 21:17:04', NULL), (16438, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 24, 1, '2024-08-05 21:17:04', NULL), (16439, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 25, 1, '2024-08-05 21:17:04', NULL), (16440, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 26, 1, '2024-08-05 21:17:04', NULL), (16441, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 27, 1, '2024-08-05 21:17:04', NULL), (16442, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 28, 1, '2024-08-05 21:17:04', NULL), (16443, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 29, 1, '2024-08-05 21:17:05', NULL), (16444, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 4, 30, 1, '2024-08-05 21:17:05', NULL), (16445, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 1, 1, '2024-08-05 21:17:05', NULL), (16446, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 2, 1, '2024-08-05 21:17:05', NULL), (16447, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 3, 1, '2024-08-05 21:17:05', NULL), (16448, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 4, 1, '2024-08-05 21:17:05', NULL), (16449, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 5, 1, '2024-08-05 21:17:05', NULL), (16450, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 6, 1, '2024-08-05 21:17:05', NULL), (16451, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 7, 1, '2024-08-05 21:17:05', NULL), (16452, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 8, 1, '2024-08-05 21:17:05', NULL), (16453, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 9, 1, '2024-08-05 21:17:06', NULL), (16454, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 10, 1, '2024-08-05 21:17:06', NULL), (16455, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 11, 1, '2024-08-05 21:17:06', NULL), (16456, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 12, 1, '2024-08-05 21:17:06', NULL), (16457, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 13, 1, '2024-08-05 21:17:06', NULL), (16458, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 14, 1, '2024-08-05 21:17:06', NULL), (16459, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 15, 1, '2024-08-05 21:17:06', NULL), (16460, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 16, 1, '2024-08-05 21:17:06', NULL), (16461, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 17, 1, '2024-08-05 21:17:06', NULL), (16462, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 18, 1, '2024-08-05 21:17:06', NULL), (16463, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 19, 1, '2024-08-05 21:17:06', NULL), (16464, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 20, 1, '2024-08-05 21:17:07', NULL), (16465, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 21, 1, '2024-08-05 21:17:07', NULL), (16466, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 22, 1, '2024-08-05 21:17:07', NULL), (16467, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 23, 1, '2024-08-05 21:17:07', NULL), (16468, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 24, 1, '2024-08-05 21:17:07', NULL), (16469, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 25, 1, '2024-08-05 21:17:07', NULL), (16470, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 26, 1, '2024-08-05 21:17:07', NULL), (16471, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 27, 1, '2024-08-05 21:17:07', NULL), (16472, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 28, 1, '2024-08-05 21:17:07', NULL), (16473, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 29, 1, '2024-08-05 21:17:08', NULL), (16474, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 30, 1, '2024-08-05 21:17:08', NULL), (16475, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 5, 31, 1, '2024-08-05 21:17:08', NULL), (16476, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 1, 1, '2024-08-05 21:17:08', NULL), (16477, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 2, 1, '2024-08-05 21:17:09', NULL), (16478, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 3, 1, '2024-08-05 21:17:09', NULL), (16479, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 4, 1, '2024-08-05 21:17:09', NULL), (16480, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 5, 1, '2024-08-05 21:17:09', NULL), (16481, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 6, 1, '2024-08-05 21:17:10', NULL), (16482, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 7, 1, '2024-08-05 21:17:10', NULL), (16483, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 8, 1, '2024-08-05 21:17:10', NULL), (16484, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 9, 1, '2024-08-05 21:17:10', NULL), (16485, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 10, 1, '2024-08-05 21:17:10', NULL), (16486, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 11, 1, '2024-08-05 21:17:11', NULL), (16487, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 12, 1, '2024-08-05 21:17:11', NULL), (16488, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 13, 1, '2024-08-05 21:17:11', NULL), (16489, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 14, 1, '2024-08-05 21:17:11', NULL), (16490, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 15, 1, '2024-08-05 21:17:12', NULL), (16491, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 16, 1, '2024-08-05 21:17:12', NULL), (16492, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 17, 1, '2024-08-05 21:17:12', NULL), (16493, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 18, 1, '2024-08-05 21:17:12', NULL), (16494, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 19, 1, '2024-08-05 21:17:13', NULL), (16495, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 20, 1, '2024-08-05 21:17:13', NULL), (16496, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 21, 1, '2024-08-05 21:17:13', NULL), (16497, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 22, 1, '2024-08-05 21:17:13', NULL), (16498, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 23, 1, '2024-08-05 21:17:14', NULL), (16499, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 24, 1, '2024-08-05 21:17:14', NULL), (16500, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 25, 1, '2024-08-05 21:17:14', NULL), (16501, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 26, 1, '2024-08-05 21:17:14', NULL), (16502, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 27, 1, '2024-08-05 21:17:15', NULL), (16503, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 28, 1, '2024-08-05 21:17:15', NULL), (16504, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 29, 1, '2024-08-05 21:17:15', NULL), (16505, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 6, 30, 1, '2024-08-05 21:17:15', NULL), (16506, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 1, 1, '2024-08-05 21:17:16', NULL), (16507, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 2, 1, '2024-08-05 21:17:16', NULL), (16508, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 3, 1, '2024-08-05 21:17:16', NULL), (16509, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 4, 1, '2024-08-05 21:17:16', NULL), (16510, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 5, 1, '2024-08-05 21:17:17', NULL), (16511, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 6, 1, '2024-08-05 21:17:17', NULL), (16512, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 7, 1, '2024-08-05 21:17:17', NULL), (16513, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 8, 1, '2024-08-05 21:17:17', NULL), (16514, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 9, 1, '2024-08-05 21:17:18', NULL), (16515, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 10, 1, '2024-08-05 21:17:18', NULL), (16516, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 11, 1, '2024-08-05 21:17:18', NULL), (16517, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 12, 1, '2024-08-05 21:17:18', NULL), (16518, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 13, 1, '2024-08-05 21:17:19', NULL), (16519, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 14, 1, '2024-08-05 21:17:19', NULL), (16520, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 15, 1, '2024-08-05 21:17:19', NULL), (16521, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 16, 1, '2024-08-05 21:17:19', NULL), (16522, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 17, 1, '2024-08-05 21:17:19', NULL), (16523, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 18, 1, '2024-08-05 21:17:20', NULL), (16524, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 19, 1, '2024-08-05 21:17:20', NULL), (16525, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 20, 1, '2024-08-05 21:17:20', NULL), (16526, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 21, 1, '2024-08-05 21:17:20', NULL), (16527, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 22, 1, '2024-08-05 21:17:20', NULL), (16528, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 23, 1, '2024-08-05 21:17:20', NULL), (16529, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 24, 1, '2024-08-05 21:17:20', NULL), (16530, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 25, 1, '2024-08-05 21:17:20', NULL), (16531, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 26, 1, '2024-08-05 21:17:21', NULL), (16532, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 27, 1, '2024-08-05 21:17:21', NULL), (16533, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 28, 1, '2024-08-05 21:17:21', NULL), (16534, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 29, 1, '2024-08-05 21:17:21', NULL), (16535, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 30, 1, '2024-08-05 21:17:21', NULL), (16536, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 7, 31, 1, '2024-08-05 21:17:21', NULL), (16537, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 1, 1, '2024-08-05 21:17:21', NULL), (16538, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 2, 1, '2024-08-05 21:17:21', NULL), (16539, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 3, 1, '2024-08-05 21:17:21', NULL), (16540, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 4, 1, '2024-08-05 21:17:21', NULL), (16541, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 5, 1, '2024-08-05 21:17:21', NULL), (16542, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 6, 1, '2024-08-05 21:17:21', NULL), (16543, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 7, 1, '2024-08-05 21:17:21', NULL), (16544, 45, '511527208000-0001', '团林苗族乡便民服务中心', 2, 2023, 8, 8, 1, '2024-08-05 21:17:21', NULL), (16545, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 9, 1, '2024-08-05 21:17:21', NULL), (16546, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 10, 1, '2024-08-05 21:17:21', NULL), (16547, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 11, 1, '2024-08-05 21:17:21', NULL), (16548, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 12, 1, '2024-08-05 21:17:21', NULL), (16549, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 13, 1, '2024-08-05 21:17:21', NULL), (16550, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 14, 1, '2024-08-05 21:17:21', NULL), (16551, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 15, 1, '2024-08-05 21:17:21', NULL), (16552, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 16, 1, '2024-08-05 21:17:22', NULL), (16553, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 17, 1, '2024-08-05 21:17:22', NULL), (16554, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 18, 1, '2024-08-05 21:17:22', NULL), (16555, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 19, 1, '2024-08-05 21:17:22', NULL), (16556, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 20, 1, '2024-08-05 21:17:22', NULL), (16557, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 21, 1, '2024-08-05 21:17:22', NULL), (16558, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 22, 1, '2024-08-05 21:17:22', NULL), (16559, 45, '511527208000-0001', '团林苗族乡便民服务中心', 1, 2023, 8, 23, 1, '2024-08-05 21:17:22', NULL), (16560, 45, '511527208000-0001', '团林苗族乡便民服务中心', 1, 2023, 8, 24, 1, '2024-08-05 21:17:22', NULL), (16561, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 25, 1, '2024-08-05 21:17:22', NULL), (16562, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 26, 1, '2024-08-05 21:17:22', NULL), (16563, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 27, 1, '2024-08-05 21:17:22', NULL), (16564, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 28, 1, '2024-08-05 21:17:22', NULL), (16565, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 29, 1, '2024-08-05 21:17:22', NULL), (16566, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 30, 1, '2024-08-05 21:17:22', NULL), (16567, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 8, 31, 1, '2024-08-05 21:17:22', NULL), (16568, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 1, 1, '2024-08-05 21:17:22', NULL), (16569, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 2, 1, '2024-08-05 21:17:22', NULL), (16570, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 3, 1, '2024-08-05 21:17:22', NULL), (16571, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 4, 1, '2024-08-05 21:17:22', NULL), (16572, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 5, 1, '2024-08-05 21:17:22', NULL), (16573, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 6, 1, '2024-08-05 21:17:22', NULL), (16574, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 7, 1, '2024-08-05 21:17:22', NULL), (16575, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 8, 1, '2024-08-05 21:17:22', NULL), (16576, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 9, 1, '2024-08-05 21:17:23', NULL), (16577, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 10, 1, '2024-08-05 21:17:23', NULL), (16578, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 11, 1, '2024-08-05 21:17:23', NULL), (16579, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 12, 1, '2024-08-05 21:17:23', NULL), (16580, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 13, 1, '2024-08-05 21:17:23', NULL), (16581, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 14, 1, '2024-08-05 21:17:23', NULL), (16582, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 15, 1, '2024-08-05 21:17:23', NULL), (16583, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 16, 1, '2024-08-05 21:17:23', NULL), (16584, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 17, 1, '2024-08-05 21:17:23', NULL), (16585, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 18, 1, '2024-08-05 21:17:23', NULL), (16586, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 19, 1, '2024-08-05 21:17:23', NULL), (16587, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 20, 1, '2024-08-05 21:17:23', NULL), (16588, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 21, 1, '2024-08-05 21:17:23', NULL), (16589, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 22, 1, '2024-08-05 21:17:23', NULL), (16590, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 23, 1, '2024-08-05 21:17:23', NULL), (16591, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 24, 1, '2024-08-05 21:17:23', NULL), (16592, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 25, 1, '2024-08-05 21:17:23', NULL), (16593, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 26, 1, '2024-08-05 21:17:23', NULL), (16594, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 27, 1, '2024-08-05 21:17:23', NULL), (16595, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 28, 1, '2024-08-05 21:17:23', NULL), (16596, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 29, 1, '2024-08-05 21:17:23', NULL), (16597, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 9, 30, 1, '2024-08-05 21:17:23', NULL), (16598, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 1, 1, '2024-08-05 21:17:23', NULL), (16599, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 2, 1, '2024-08-05 21:17:23', NULL), (16600, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 3, 1, '2024-08-05 21:17:23', NULL), (16601, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 4, 1, '2024-08-05 21:17:23', NULL), (16602, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 5, 1, '2024-08-05 21:17:24', NULL), (16603, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 6, 1, '2024-08-05 21:17:24', NULL), (16604, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 7, 1, '2024-08-05 21:17:24', NULL), (16605, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 8, 1, '2024-08-05 21:17:24', NULL), (16606, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 9, 1, '2024-08-05 21:17:24', NULL), (16607, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 10, 1, '2024-08-05 21:17:24', NULL), (16608, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 11, 1, '2024-08-05 21:17:24', NULL), (16609, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 12, 1, '2024-08-05 21:17:24', NULL), (16610, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 13, 1, '2024-08-05 21:17:24', NULL), (16611, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 14, 1, '2024-08-05 21:17:24', NULL), (16612, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 15, 1, '2024-08-05 21:17:24', NULL), (16613, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 16, 1, '2024-08-05 21:17:24', NULL), (16614, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 17, 1, '2024-08-05 21:17:24', NULL), (16615, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 18, 1, '2024-08-05 21:17:24', NULL), (16616, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 19, 1, '2024-08-05 21:17:24', NULL), (16617, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 20, 1, '2024-08-05 21:17:24', NULL), (16618, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 21, 1, '2024-08-05 21:17:24', NULL), (16619, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 22, 1, '2024-08-05 21:17:24', NULL), (16620, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 23, 1, '2024-08-05 21:17:24', NULL), (16621, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 24, 1, '2024-08-05 21:17:24', NULL), (16622, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 25, 1, '2024-08-05 21:17:24', NULL), (16623, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 26, 1, '2024-08-05 21:17:24', NULL), (16624, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 27, 1, '2024-08-05 21:17:24', NULL), (16625, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 28, 1, '2024-08-05 21:17:24', NULL), (16626, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 29, 1, '2024-08-05 21:17:24', NULL), (16627, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 30, 1, '2024-08-05 21:17:24', NULL), (16628, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 10, 31, 1, '2024-08-05 21:17:24', NULL), (16629, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 1, 1, '2024-08-05 21:17:25', NULL), (16630, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 2, 1, '2024-08-05 21:17:25', NULL), (16631, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 3, 1, '2024-08-05 21:17:25', NULL), (16632, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 4, 1, '2024-08-05 21:17:25', NULL), (16633, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 5, 1, '2024-08-05 21:17:25', NULL), (16634, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 6, 1, '2024-08-05 21:17:25', NULL), (16635, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 7, 1, '2024-08-05 21:17:25', NULL), (16636, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 8, 1, '2024-08-05 21:17:25', NULL), (16637, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 9, 1, '2024-08-05 21:17:25', NULL), (16638, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 10, 1, '2024-08-05 21:17:25', NULL), (16639, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 11, 1, '2024-08-05 21:17:25', NULL), (16640, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 12, 1, '2024-08-05 21:17:25', NULL), (16641, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 13, 1, '2024-08-05 21:17:25', NULL), (16642, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 14, 1, '2024-08-05 21:17:25', NULL), (16643, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 15, 1, '2024-08-05 21:17:25', NULL), (16644, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 16, 1, '2024-08-05 21:17:25', NULL), (16645, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 17, 1, '2024-08-05 21:17:25', NULL), (16646, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 18, 1, '2024-08-05 21:17:25', NULL), (16647, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 19, 1, '2024-08-05 21:17:25', NULL), (16648, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 20, 1, '2024-08-05 21:17:25', NULL), (16649, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 21, 1, '2024-08-05 21:17:25', NULL), (16650, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 22, 1, '2024-08-05 21:17:26', NULL), (16651, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 23, 1, '2024-08-05 21:17:26', NULL), (16652, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 24, 1, '2024-08-05 21:17:26', NULL), (16653, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 25, 1, '2024-08-05 21:17:26', NULL), (16654, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 26, 1, '2024-08-05 21:17:26', NULL), (16655, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 27, 1, '2024-08-05 21:17:26', NULL), (16656, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 28, 1, '2024-08-05 21:17:26', NULL), (16657, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 29, 1, '2024-08-05 21:17:26', NULL), (16658, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 11, 30, 1, '2024-08-05 21:17:26', NULL), (16659, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 1, 1, '2024-08-05 21:17:26', NULL), (16660, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 2, 1, '2024-08-05 21:17:26', NULL), (16661, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 3, 1, '2024-08-05 21:17:26', NULL), (16662, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 4, 1, '2024-08-05 21:17:26', NULL), (16663, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 5, 1, '2024-08-05 21:17:26', NULL), (16664, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 6, 1, '2024-08-05 21:17:26', NULL), (16665, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 7, 1, '2024-08-05 21:17:26', NULL), (16666, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 8, 1, '2024-08-05 21:17:26', NULL), (16667, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 9, 1, '2024-08-05 21:17:26', NULL), (16668, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 10, 1, '2024-08-05 21:17:26', NULL), (16669, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 11, 1, '2024-08-05 21:17:26', NULL), (16670, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 12, 1, '2024-08-05 21:17:26', NULL), (16671, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 13, 1, '2024-08-05 21:17:27', NULL), (16672, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 14, 1, '2024-08-05 21:17:27', NULL), (16673, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 15, 1, '2024-08-05 21:17:27', NULL), (16674, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 16, 1, '2024-08-05 21:17:27', NULL), (16675, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 17, 1, '2024-08-05 21:17:27', NULL), (16676, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 18, 1, '2024-08-05 21:17:27', NULL), (16677, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 19, 1, '2024-08-05 21:17:27', NULL), (16678, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 20, 1, '2024-08-05 21:17:27', NULL), (16679, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 21, 1, '2024-08-05 21:17:27', NULL), (16680, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 22, 1, '2024-08-05 21:17:27', NULL), (16681, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 23, 1, '2024-08-05 21:17:27', NULL), (16682, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 24, 1, '2024-08-05 21:17:27', NULL), (16683, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 25, 1, '2024-08-05 21:17:27', NULL), (16684, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 26, 1, '2024-08-05 21:17:27', NULL), (16685, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 27, 1, '2024-08-05 21:17:27', NULL), (16686, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 28, 1, '2024-08-05 21:17:27', NULL), (16687, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 29, 1, '2024-08-05 21:17:27', NULL), (16688, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 30, 1, '2024-08-05 21:17:27', NULL), (16689, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2023, 12, 31, 1, '2024-08-05 21:17:27', NULL), (16690, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 1, 1, '2024-08-05 21:17:27', NULL), (16691, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 2, 1, '2024-08-05 21:17:28', NULL), (16692, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 3, 1, '2024-08-05 21:17:28', NULL), (16693, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 4, 1, '2024-08-05 21:17:28', NULL), (16694, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 5, 1, '2024-08-05 21:17:28', NULL), (16695, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 6, 1, '2024-08-05 21:17:28', NULL), (16696, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 7, 1, '2024-08-05 21:17:28', NULL), (16697, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 8, 1, '2024-08-05 21:17:28', NULL), (16698, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 9, 1, '2024-08-05 21:17:28', NULL), (16699, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 10, 1, '2024-08-05 21:17:28', NULL), (16700, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 11, 1, '2024-08-05 21:17:28', NULL), (16701, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 12, 1, '2024-08-05 21:17:28', NULL), (16702, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 13, 1, '2024-08-05 21:17:28', NULL), (16703, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 14, 1, '2024-08-05 21:17:28', NULL), (16704, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 15, 1, '2024-08-05 21:17:28', NULL), (16705, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 16, 1, '2024-08-05 21:17:28', NULL), (16706, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 17, 1, '2024-08-05 21:17:28', NULL), (16707, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 18, 1, '2024-08-05 21:17:28', NULL), (16708, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 19, 1, '2024-08-05 21:17:28', NULL), (16709, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 20, 1, '2024-08-05 21:17:29', NULL), (16710, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 21, 1, '2024-08-05 21:17:29', NULL), (16711, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 22, 1, '2024-08-05 21:17:29', NULL), (16712, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 23, 1, '2024-08-05 21:17:29', NULL), (16713, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 24, 1, '2024-08-05 21:17:29', NULL), (16714, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 25, 1, '2024-08-05 21:17:29', NULL), (16715, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 26, 1, '2024-08-05 21:17:29', NULL), (16716, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 27, 1, '2024-08-05 21:17:29', NULL), (16717, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 28, 1, '2024-08-05 21:17:29', NULL), (16718, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 29, 1, '2024-08-05 21:17:29', NULL), (16719, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 30, 1, '2024-08-05 21:17:29', NULL), (16720, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 1, 31, 1, '2024-08-05 21:17:29', NULL), (16721, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 1, 1, '2024-08-05 21:17:29', NULL), (16722, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 2, 1, '2024-08-05 21:17:29', NULL), (16723, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 3, 1, '2024-08-05 21:17:29', NULL), (16724, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 4, 1, '2024-08-05 21:17:29', NULL), (16725, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 5, 1, '2024-08-05 21:17:29', NULL), (16726, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 6, 1, '2024-08-05 21:17:30', NULL), (16727, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 7, 1, '2024-08-05 21:17:30', NULL), (16728, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 8, 1, '2024-08-05 21:17:30', NULL), (16729, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 9, 1, '2024-08-05 21:17:30', NULL), (16730, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 10, 1, '2024-08-05 21:17:30', NULL), (16731, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 11, 1, '2024-08-05 21:17:30', NULL), (16732, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 12, 1, '2024-08-05 21:17:30', NULL), (16733, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 13, 1, '2024-08-05 21:17:30', NULL), (16734, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 14, 1, '2024-08-05 21:17:30', NULL), (16735, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 15, 1, '2024-08-05 21:17:30', NULL), (16736, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 16, 1, '2024-08-05 21:17:30', NULL), (16737, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 17, 1, '2024-08-05 21:17:30', NULL), (16738, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 18, 1, '2024-08-05 21:17:30', NULL), (16739, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 19, 1, '2024-08-05 21:17:30', NULL), (16740, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 20, 1, '2024-08-05 21:17:30', NULL), (16741, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 21, 1, '2024-08-05 21:17:30', NULL), (16742, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 22, 1, '2024-08-05 21:17:30', NULL), (16743, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 23, 1, '2024-08-05 21:17:31', NULL), (16744, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 24, 1, '2024-08-05 21:17:31', NULL), (16745, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 25, 1, '2024-08-05 21:17:31', NULL), (16746, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 26, 1, '2024-08-05 21:17:31', NULL), (16747, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 27, 1, '2024-08-05 21:17:31', NULL), (16748, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 28, 1, '2024-08-05 21:17:31', NULL), (16749, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 2, 29, 1, '2024-08-05 21:17:31', NULL), (16750, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 1, 1, '2024-08-05 21:17:31', NULL), (16751, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 2, 1, '2024-08-05 21:17:31', NULL), (16752, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 3, 1, '2024-08-05 21:17:31', NULL), (16753, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 4, 1, '2024-08-05 21:17:31', NULL), (16754, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 5, 1, '2024-08-05 21:17:31', NULL), (16755, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 6, 1, '2024-08-05 21:17:31', NULL), (16756, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 7, 1, '2024-08-05 21:17:31', NULL), (16757, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 8, 1, '2024-08-05 21:17:31', NULL), (16758, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 9, 1, '2024-08-05 21:17:31', NULL), (16759, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 10, 1, '2024-08-05 21:17:31', NULL), (16760, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 11, 1, '2024-08-05 21:17:32', NULL), (16761, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 12, 1, '2024-08-05 21:17:32', NULL), (16762, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 13, 1, '2024-08-05 21:17:32', NULL), (16763, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 14, 1, '2024-08-05 21:17:32', NULL), (16764, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 15, 1, '2024-08-05 21:17:32', NULL), (16765, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 16, 1, '2024-08-05 21:17:32', NULL), (16766, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 17, 1, '2024-08-05 21:17:32', NULL), (16767, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 18, 1, '2024-08-05 21:17:32', NULL), (16768, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 19, 1, '2024-08-05 21:17:32', NULL), (16769, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 20, 1, '2024-08-05 21:17:32', NULL), (16770, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 21, 1, '2024-08-05 21:17:32', NULL), (16771, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 22, 1, '2024-08-05 21:17:32', NULL), (16772, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 23, 1, '2024-08-05 21:17:32', NULL), (16773, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 24, 1, '2024-08-05 21:17:32', NULL), (16774, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 25, 1, '2024-08-05 21:17:32', NULL), (16775, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 26, 1, '2024-08-05 21:17:32', NULL), (16776, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 27, 1, '2024-08-05 21:17:33', NULL), (16777, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 28, 1, '2024-08-05 21:17:33', NULL), (16778, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 29, 1, '2024-08-05 21:17:33', NULL), (16779, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 30, 1, '2024-08-05 21:17:33', NULL), (16780, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 3, 31, 1, '2024-08-05 21:17:33', NULL), (16781, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 1, 1, '2024-08-05 21:17:33', NULL), (16782, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 2, 1, '2024-08-05 21:17:33', NULL), (16783, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 3, 1, '2024-08-05 21:17:33', NULL), (16784, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 4, 1, '2024-08-05 21:17:33', NULL), (16785, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 5, 1, '2024-08-05 21:17:33', NULL), (16786, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 6, 1, '2024-08-05 21:17:33', NULL), (16787, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 7, 1, '2024-08-05 21:17:33', NULL), (16788, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 8, 1, '2024-08-05 21:17:33', NULL), (16789, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 9, 1, '2024-08-05 21:17:33', NULL), (16790, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 10, 1, '2024-08-05 21:17:33', NULL), (16791, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 11, 1, '2024-08-05 21:17:34', NULL), (16792, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 12, 1, '2024-08-05 21:17:34', NULL), (16793, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 13, 1, '2024-08-05 21:17:34', NULL), (16794, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 14, 1, '2024-08-05 21:17:34', NULL), (16795, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 15, 1, '2024-08-05 21:17:34', NULL), (16796, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 16, 1, '2024-08-05 21:17:34', NULL), (16797, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 17, 1, '2024-08-05 21:17:34', NULL), (16798, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 18, 1, '2024-08-05 21:17:34', NULL), (16799, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 19, 1, '2024-08-05 21:17:34', NULL), (16800, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 20, 1, '2024-08-05 21:17:34', NULL), (16801, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 21, 1, '2024-08-05 21:17:34', NULL), (16802, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 22, 1, '2024-08-05 21:17:34', NULL), (16803, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 23, 1, '2024-08-05 21:17:34', NULL), (16804, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 24, 1, '2024-08-05 21:17:34', NULL), (16805, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 25, 1, '2024-08-05 21:17:34', NULL), (16806, 45, '511527208000-0001', '团林苗族乡便民服务中心', 6, 2024, 4, 26, 1, '2024-08-05 21:17:35', NULL), (16807, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 27, 1, '2024-08-05 21:17:35', NULL), (16808, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 28, 1, '2024-08-05 21:17:35', NULL), (16809, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 29, 1, '2024-08-05 21:17:35', NULL), (16810, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 4, 30, 1, '2024-08-05 21:17:35', NULL), (16811, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 1, 1, '2024-08-05 21:17:35', NULL), (16812, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 2, 1, '2024-08-05 21:17:35', NULL), (16813, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 3, 1, '2024-08-05 21:17:35', NULL), (16814, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 4, 1, '2024-08-05 21:17:35', NULL), (16815, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 5, 1, '2024-08-05 21:17:35', NULL), (16816, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 6, 1, '2024-08-05 21:17:35', NULL), (16817, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 7, 1, '2024-08-05 21:17:35', NULL), (16818, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 8, 1, '2024-08-05 21:17:35', NULL), (16819, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 9, 1, '2024-08-05 21:17:35', NULL), (16820, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 10, 1, '2024-08-05 21:17:35', NULL), (16821, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 11, 1, '2024-08-05 21:17:35', NULL), (16822, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 12, 1, '2024-08-05 21:17:36', NULL), (16823, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 13, 1, '2024-08-05 21:17:36', NULL), (16824, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 14, 1, '2024-08-05 21:17:36', NULL), (16825, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 15, 1, '2024-08-05 21:17:36', NULL), (16826, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 16, 1, '2024-08-05 21:17:36', NULL), (16827, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 17, 1, '2024-08-05 21:17:36', NULL), (16828, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 18, 1, '2024-08-05 21:17:36', NULL), (16829, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 19, 1, '2024-08-05 21:17:36', NULL), (16830, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 20, 1, '2024-08-05 21:17:36', NULL), (16831, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 21, 1, '2024-08-05 21:17:36', NULL), (16832, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 22, 1, '2024-08-05 21:17:36', NULL), (16833, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 23, 1, '2024-08-05 21:17:36', NULL), (16834, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 24, 1, '2024-08-05 21:17:36', NULL), (16835, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 25, 1, '2024-08-05 21:17:36', NULL), (16836, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 26, 1, '2024-08-05 21:17:36', NULL), (16837, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 27, 1, '2024-08-05 21:17:37', NULL), (16838, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 28, 1, '2024-08-05 21:17:37', NULL), (16839, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 29, 1, '2024-08-05 21:17:37', NULL), (16840, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 30, 1, '2024-08-05 21:17:37', NULL), (16841, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 5, 31, 1, '2024-08-05 21:17:37', NULL), (16842, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 1, 1, '2024-08-05 21:17:37', NULL), (16843, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 2, 1, '2024-08-05 21:17:37', NULL), (16844, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 3, 1, '2024-08-05 21:17:37', NULL), (16845, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 4, 1, '2024-08-05 21:17:37', NULL), (16846, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 5, 1, '2024-08-05 21:17:37', NULL), (16847, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 6, 1, '2024-08-05 21:17:37', NULL), (16848, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 7, 1, '2024-08-05 21:17:37', NULL), (16849, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 8, 1, '2024-08-05 21:17:37', NULL), (16850, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 9, 1, '2024-08-05 21:17:37', NULL), (16851, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 10, 1, '2024-08-05 21:17:37', NULL), (16852, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 11, 1, '2024-08-05 21:17:38', NULL), (16853, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 12, 1, '2024-08-05 21:17:38', NULL), (16854, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 13, 1, '2024-08-05 21:17:38', NULL), (16855, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 14, 1, '2024-08-05 21:17:38', NULL), (16856, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 15, 1, '2024-08-05 21:17:38', NULL), (16857, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 16, 1, '2024-08-05 21:17:38', NULL), (16858, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 17, 1, '2024-08-05 21:17:38', NULL), (16859, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 18, 1, '2024-08-05 21:17:38', NULL), (16860, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 19, 1, '2024-08-05 21:17:38', NULL), (16861, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 20, 1, '2024-08-05 21:17:38', NULL), (16862, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 21, 1, '2024-08-05 21:17:38', NULL), (16863, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 22, 1, '2024-08-05 21:17:38', NULL), (16864, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 23, 1, '2024-08-05 21:17:38', NULL), (16865, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 24, 1, '2024-08-05 21:17:38', NULL), (16866, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 25, 1, '2024-08-05 21:17:38', NULL), (16867, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 26, 1, '2024-08-05 21:17:39', NULL), (16868, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 27, 1, '2024-08-05 21:17:39', NULL), (16869, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 28, 1, '2024-08-05 21:17:39', NULL), (16870, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 29, 1, '2024-08-05 21:17:39', NULL), (16871, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 6, 30, 1, '2024-08-05 21:17:39', NULL), (16872, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 1, 1, '2024-08-05 21:17:39', NULL), (16873, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 2, 1, '2024-08-05 21:17:39', NULL), (16874, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 3, 1, '2024-08-05 21:17:39', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (16875, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 4, 1, '2024-08-05 21:17:39', NULL), (16876, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 5, 1, '2024-08-05 21:17:39', NULL), (16877, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 6, 1, '2024-08-05 21:17:39', NULL), (16878, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 7, 1, '2024-08-05 21:17:39', NULL), (16879, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 8, 1, '2024-08-05 21:17:39', NULL), (16880, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 9, 1, '2024-08-05 21:17:39', NULL), (16881, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 10, 1, '2024-08-05 21:17:40', NULL), (16882, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 11, 1, '2024-08-05 21:17:40', NULL), (16883, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 12, 1, '2024-08-05 21:17:40', NULL), (16884, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 13, 1, '2024-08-05 21:17:40', NULL), (16885, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 14, 1, '2024-08-05 21:17:40', NULL), (16886, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 15, 1, '2024-08-05 21:17:40', NULL), (16887, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 16, 1, '2024-08-05 21:17:40', NULL), (16888, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 17, 1, '2024-08-05 21:17:40', NULL), (16889, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 18, 1, '2024-08-05 21:17:40', NULL), (16890, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 19, 1, '2024-08-05 21:17:40', NULL), (16891, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 20, 1, '2024-08-05 21:17:40', NULL), (16892, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 21, 1, '2024-08-05 21:17:40', NULL), (16893, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 22, 1, '2024-08-05 21:17:40', NULL), (16894, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 23, 1, '2024-08-05 21:17:40', NULL), (16895, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 24, 1, '2024-08-05 21:17:40', NULL), (16896, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 25, 1, '2024-08-05 21:17:41', NULL), (16897, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 26, 1, '2024-08-05 21:17:41', NULL), (16898, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 27, 1, '2024-08-05 21:17:41', NULL), (16899, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 28, 1, '2024-08-05 21:17:41', NULL), (16900, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 29, 1, '2024-08-05 21:17:41', NULL), (16901, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 30, 1, '2024-08-05 21:17:41', NULL), (16902, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 7, 31, 1, '2024-08-05 21:17:41', NULL), (16903, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 1, 1, '2024-08-05 21:17:41', '2024-08-05 22:12:48'), (16904, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 2, 1, '2024-08-05 21:17:41', '2024-08-06 02:20:05'), (16905, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 3, 1, '2024-08-05 21:17:41', '2024-08-07 01:30:03'), (16906, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 4, 1, '2024-08-05 21:17:41', '2024-08-08 01:30:02'), (16907, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 5, 1, '2024-08-05 21:17:41', '2024-08-09 01:30:03'), (16908, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 1, 1, '2024-08-05 21:29:35', NULL), (16909, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 2, 1, '2024-08-05 21:29:35', NULL), (16910, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 3, 1, '2024-08-05 21:29:35', NULL), (16911, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 4, 1, '2024-08-05 21:29:35', NULL), (16912, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 5, 1, '2024-08-05 21:29:35', NULL), (16913, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 6, 1, '2024-08-05 21:29:35', NULL), (16914, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 7, 1, '2024-08-05 21:29:35', NULL), (16915, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 8, 1, '2024-08-05 21:29:36', NULL), (16916, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 9, 1, '2024-08-05 21:29:36', NULL), (16917, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 10, 1, '2024-08-05 21:29:36', NULL), (16918, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 11, 1, '2024-08-05 21:29:36', NULL), (16919, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 12, 1, '2024-08-05 21:29:36', NULL), (16920, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 13, 1, '2024-08-05 21:29:36', NULL), (16921, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 14, 1, '2024-08-05 21:29:36', NULL), (16922, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 15, 1, '2024-08-05 21:29:36', NULL), (16923, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 16, 1, '2024-08-05 21:29:36', NULL), (16924, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 17, 1, '2024-08-05 21:29:36', NULL), (16925, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 18, 1, '2024-08-05 21:29:36', NULL), (16926, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 19, 1, '2024-08-05 21:29:37', NULL), (16927, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 20, 1, '2024-08-05 21:29:37', NULL), (16928, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 21, 1, '2024-08-05 21:29:37', NULL), (16929, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 22, 1, '2024-08-05 21:29:37', NULL), (16930, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 23, 1, '2024-08-05 21:29:37', NULL), (16931, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 24, 1, '2024-08-05 21:29:37', NULL), (16932, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 25, 1, '2024-08-05 21:29:37', NULL), (16933, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 26, 1, '2024-08-05 21:29:37', NULL), (16934, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 27, 1, '2024-08-05 21:29:37', NULL), (16935, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 28, 1, '2024-08-05 21:29:37', NULL), (16936, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 29, 1, '2024-08-05 21:29:37', NULL), (16937, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 30, 1, '2024-08-05 21:29:37', NULL), (16938, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 1, 31, 1, '2024-08-05 21:29:38', NULL), (16939, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 1, 1, '2024-08-05 21:29:38', NULL), (16940, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 2, 1, '2024-08-05 21:29:38', NULL), (16941, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 3, 1, '2024-08-05 21:29:38', NULL), (16942, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 4, 1, '2024-08-05 21:29:38', NULL), (16943, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 5, 1, '2024-08-05 21:29:38', NULL), (16944, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 6, 1, '2024-08-05 21:29:38', NULL), (16945, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 7, 1, '2024-08-05 21:29:38', NULL), (16946, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 8, 1, '2024-08-05 21:29:38', NULL), (16947, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 9, 1, '2024-08-05 21:29:38', NULL), (16948, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 10, 1, '2024-08-05 21:29:38', NULL), (16949, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 11, 1, '2024-08-05 21:29:38', NULL), (16950, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 12, 1, '2024-08-05 21:29:39', NULL), (16951, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 13, 1, '2024-08-05 21:29:39', NULL), (16952, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 14, 1, '2024-08-05 21:29:39', NULL), (16953, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 15, 1, '2024-08-05 21:29:39', NULL), (16954, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 16, 1, '2024-08-05 21:29:39', NULL), (16955, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 17, 1, '2024-08-05 21:29:39', NULL), (16956, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 18, 1, '2024-08-05 21:29:39', NULL), (16957, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 19, 1, '2024-08-05 21:29:39', NULL), (16958, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 20, 1, '2024-08-05 21:29:39', NULL), (16959, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 21, 1, '2024-08-05 21:29:39', NULL), (16960, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 22, 1, '2024-08-05 21:29:39', NULL), (16961, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 23, 1, '2024-08-05 21:29:40', NULL), (16962, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 24, 1, '2024-08-05 21:29:40', NULL), (16963, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 25, 1, '2024-08-05 21:29:40', NULL), (16964, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 26, 1, '2024-08-05 21:29:40', NULL), (16965, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 27, 1, '2024-08-05 21:29:40', NULL), (16966, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 2, 28, 1, '2024-08-05 21:29:40', NULL), (16967, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 1, 1, '2024-08-05 21:29:40', NULL), (16968, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 2, 1, '2024-08-05 21:29:40', NULL), (16969, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 3, 1, '2024-08-05 21:29:40', NULL), (16970, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 4, 1, '2024-08-05 21:29:40', NULL), (16971, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 5, 1, '2024-08-05 21:29:40', NULL), (16972, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 6, 1, '2024-08-05 21:29:41', NULL), (16973, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 7, 1, '2024-08-05 21:29:41', NULL), (16974, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 8, 1, '2024-08-05 21:29:41', NULL), (16975, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 9, 1, '2024-08-05 21:29:41', NULL), (16976, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 10, 1, '2024-08-05 21:29:41', NULL), (16977, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 11, 1, '2024-08-05 21:29:41', NULL), (16978, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 12, 1, '2024-08-05 21:29:41', NULL), (16979, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 13, 1, '2024-08-05 21:29:41', NULL), (16980, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 14, 1, '2024-08-05 21:29:41', NULL), (16981, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 15, 1, '2024-08-05 21:29:41', NULL), (16982, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 16, 1, '2024-08-05 21:29:41', NULL), (16983, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 17, 1, '2024-08-05 21:29:42', NULL), (16984, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 18, 1, '2024-08-05 21:29:42', NULL), (16985, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 19, 1, '2024-08-05 21:29:42', NULL), (16986, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 20, 1, '2024-08-05 21:29:42', NULL), (16987, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 21, 1, '2024-08-05 21:29:42', NULL), (16988, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 22, 1, '2024-08-05 21:29:42', NULL), (16989, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 23, 1, '2024-08-05 21:29:42', NULL), (16990, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 24, 1, '2024-08-05 21:29:42', NULL), (16991, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 25, 1, '2024-08-05 21:29:42', NULL), (16992, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 26, 1, '2024-08-05 21:29:42', NULL), (16993, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 27, 1, '2024-08-05 21:29:42', NULL), (16994, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 28, 1, '2024-08-05 21:29:43', NULL), (16995, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 29, 1, '2024-08-05 21:29:43', NULL), (16996, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 30, 1, '2024-08-05 21:29:43', NULL), (16997, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 3, 31, 1, '2024-08-05 21:29:43', NULL), (16998, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 1, 1, '2024-08-05 21:29:43', NULL), (16999, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 2, 1, '2024-08-05 21:29:43', NULL), (17000, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 3, 1, '2024-08-05 21:29:43', NULL), (17001, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 4, 1, '2024-08-05 21:29:43', NULL), (17002, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 5, 1, '2024-08-05 21:29:43', NULL), (17003, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 6, 1, '2024-08-05 21:29:43', NULL), (17004, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 7, 1, '2024-08-05 21:29:44', NULL), (17005, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 8, 1, '2024-08-05 21:29:44', NULL), (17006, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 9, 1, '2024-08-05 21:29:44', NULL), (17007, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 10, 1, '2024-08-05 21:29:44', NULL), (17008, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 11, 1, '2024-08-05 21:29:44', NULL), (17009, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 12, 1, '2024-08-05 21:29:44', NULL), (17010, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 13, 1, '2024-08-05 21:29:44', NULL), (17011, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 14, 1, '2024-08-05 21:29:44', NULL), (17012, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 15, 1, '2024-08-05 21:29:44', NULL), (17013, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 16, 1, '2024-08-05 21:29:44', NULL), (17014, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 17, 1, '2024-08-05 21:29:44', NULL), (17015, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 18, 1, '2024-08-05 21:29:45', NULL), (17016, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 19, 1, '2024-08-05 21:29:45', NULL), (17017, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 20, 1, '2024-08-05 21:29:45', NULL), (17018, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 21, 1, '2024-08-05 21:29:45', NULL), (17019, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 22, 1, '2024-08-05 21:29:45', NULL), (17020, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 23, 1, '2024-08-05 21:29:45', NULL), (17021, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 24, 1, '2024-08-05 21:29:45', NULL), (17022, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 25, 1, '2024-08-05 21:29:45', NULL), (17023, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 26, 1, '2024-08-05 21:29:45', NULL), (17024, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 27, 1, '2024-08-05 21:29:45', NULL), (17025, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 28, 1, '2024-08-05 21:29:46', NULL), (17026, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 29, 1, '2024-08-05 21:29:46', NULL), (17027, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 4, 30, 1, '2024-08-05 21:29:46', NULL), (17028, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 1, 1, '2024-08-05 21:29:46', NULL), (17029, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 2, 1, '2024-08-05 21:29:46', NULL), (17030, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 3, 1, '2024-08-05 21:29:46', NULL), (17031, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 4, 1, '2024-08-05 21:29:46', NULL), (17032, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 5, 1, '2024-08-05 21:29:46', NULL), (17033, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 6, 1, '2024-08-05 21:29:46', NULL), (17034, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 7, 1, '2024-08-05 21:29:46', NULL), (17035, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 8, 1, '2024-08-05 21:29:46', NULL), (17036, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 9, 1, '2024-08-05 21:29:47', NULL), (17037, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 10, 1, '2024-08-05 21:29:47', NULL), (17038, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 11, 1, '2024-08-05 21:29:47', NULL), (17039, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 12, 1, '2024-08-05 21:29:47', NULL), (17040, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 13, 1, '2024-08-05 21:29:47', NULL), (17041, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 14, 1, '2024-08-05 21:29:47', NULL), (17042, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 15, 1, '2024-08-05 21:29:47', NULL), (17043, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 16, 1, '2024-08-05 21:29:47', NULL), (17044, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 17, 1, '2024-08-05 21:29:47', NULL), (17045, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 18, 1, '2024-08-05 21:29:47', NULL), (17046, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 19, 1, '2024-08-05 21:29:47', NULL), (17047, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 20, 1, '2024-08-05 21:29:48', NULL), (17048, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 21, 1, '2024-08-05 21:29:48', NULL), (17049, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 22, 1, '2024-08-05 21:29:48', NULL), (17050, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 23, 1, '2024-08-05 21:29:48', NULL), (17051, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 24, 1, '2024-08-05 21:29:48', NULL), (17052, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 25, 1, '2024-08-05 21:29:48', NULL), (17053, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 26, 1, '2024-08-05 21:29:48', NULL), (17054, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 27, 1, '2024-08-05 21:29:48', NULL), (17055, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 28, 1, '2024-08-05 21:29:48', NULL), (17056, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 29, 1, '2024-08-05 21:29:48', NULL), (17057, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 30, 1, '2024-08-05 21:29:49', NULL), (17058, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 5, 31, 1, '2024-08-05 21:29:49', NULL), (17059, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 1, 1, '2024-08-05 21:29:49', NULL), (17060, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 2, 1, '2024-08-05 21:29:49', NULL), (17061, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 3, 1, '2024-08-05 21:29:49', NULL), (17062, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 4, 1, '2024-08-05 21:29:49', NULL), (17063, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 5, 1, '2024-08-05 21:29:49', NULL), (17064, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 6, 1, '2024-08-05 21:29:49', NULL), (17065, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 7, 1, '2024-08-05 21:29:49', NULL), (17066, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 8, 1, '2024-08-05 21:29:49', NULL), (17067, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 9, 1, '2024-08-05 21:29:49', NULL), (17068, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 10, 1, '2024-08-05 21:29:50', NULL), (17069, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 11, 1, '2024-08-05 21:29:50', NULL), (17070, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 12, 1, '2024-08-05 21:29:50', NULL), (17071, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 13, 1, '2024-08-05 21:29:50', NULL), (17072, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 14, 1, '2024-08-05 21:29:50', NULL), (17073, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 15, 1, '2024-08-05 21:29:50', NULL), (17074, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 16, 1, '2024-08-05 21:29:50', NULL), (17075, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 17, 1, '2024-08-05 21:29:50', NULL), (17076, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 18, 1, '2024-08-05 21:29:50', NULL), (17077, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 19, 1, '2024-08-05 21:29:50', NULL), (17078, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 20, 1, '2024-08-05 21:29:51', NULL), (17079, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 21, 1, '2024-08-05 21:29:51', NULL), (17080, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 22, 1, '2024-08-05 21:29:51', NULL), (17081, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 23, 1, '2024-08-05 21:29:51', NULL), (17082, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 24, 1, '2024-08-05 21:29:51', NULL), (17083, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 25, 1, '2024-08-05 21:29:51', NULL), (17084, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 26, 1, '2024-08-05 21:29:51', NULL), (17085, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 27, 1, '2024-08-05 21:29:51', NULL), (17086, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 28, 1, '2024-08-05 21:29:51', NULL), (17087, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 29, 1, '2024-08-05 21:29:51', NULL), (17088, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 6, 30, 1, '2024-08-05 21:29:51', NULL), (17089, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 1, 1, '2024-08-05 21:29:52', NULL), (17090, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 2, 1, '2024-08-05 21:29:52', NULL), (17091, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 3, 1, '2024-08-05 21:29:52', NULL), (17092, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 4, 1, '2024-08-05 21:29:52', NULL), (17093, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 5, 1, '2024-08-05 21:29:52', NULL), (17094, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 6, 1, '2024-08-05 21:29:52', NULL), (17095, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 7, 1, '2024-08-05 21:29:52', NULL), (17096, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 8, 1, '2024-08-05 21:29:52', NULL), (17097, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 9, 1, '2024-08-05 21:29:52', NULL), (17098, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 10, 1, '2024-08-05 21:29:52', NULL), (17099, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 11, 1, '2024-08-05 21:29:53', NULL), (17100, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 12, 1, '2024-08-05 21:29:53', NULL), (17101, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 13, 1, '2024-08-05 21:29:53', NULL), (17102, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 14, 1, '2024-08-05 21:29:53', NULL), (17103, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 15, 1, '2024-08-05 21:29:53', NULL), (17104, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 16, 1, '2024-08-05 21:29:53', NULL), (17105, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 17, 1, '2024-08-05 21:29:53', NULL), (17106, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 18, 1, '2024-08-05 21:29:53', NULL), (17107, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 19, 1, '2024-08-05 21:29:53', NULL), (17108, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 20, 1, '2024-08-05 21:29:53', NULL), (17109, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 21, 1, '2024-08-05 21:29:53', NULL), (17110, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 22, 1, '2024-08-05 21:29:54', NULL), (17111, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 23, 1, '2024-08-05 21:29:54', NULL), (17112, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 24, 1, '2024-08-05 21:29:54', NULL), (17113, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 25, 1, '2024-08-05 21:29:54', NULL), (17114, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 26, 1, '2024-08-05 21:29:54', NULL), (17115, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 27, 1, '2024-08-05 21:29:54', NULL), (17116, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 28, 1, '2024-08-05 21:29:54', NULL), (17117, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 29, 1, '2024-08-05 21:29:54', NULL), (17118, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 30, 1, '2024-08-05 21:29:54', NULL), (17119, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 7, 31, 1, '2024-08-05 21:29:54', NULL), (17120, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 1, 1, '2024-08-05 21:29:55', NULL), (17121, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 2, 1, '2024-08-05 21:29:55', NULL), (17122, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 3, 1, '2024-08-05 21:29:55', NULL), (17123, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 4, 1, '2024-08-05 21:29:55', NULL), (17124, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 5, 1, '2024-08-05 21:29:55', NULL), (17125, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 6, 1, '2024-08-05 21:29:55', NULL), (17126, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 7, 1, '2024-08-05 21:29:55', NULL), (17127, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 8, 1, '2024-08-05 21:29:55', NULL), (17128, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 9, 1, '2024-08-05 21:29:55', NULL), (17129, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 10, 1, '2024-08-05 21:29:55', NULL), (17130, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 11, 1, '2024-08-05 21:29:55', NULL), (17131, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 12, 1, '2024-08-05 21:29:55', NULL), (17132, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 13, 1, '2024-08-05 21:29:56', NULL), (17133, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 14, 1, '2024-08-05 21:29:56', NULL), (17134, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 15, 1, '2024-08-05 21:29:56', NULL), (17135, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 16, 1, '2024-08-05 21:29:56', NULL), (17136, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 17, 1, '2024-08-05 21:29:56', NULL), (17137, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 18, 1, '2024-08-05 21:29:56', NULL), (17138, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 19, 1, '2024-08-05 21:29:56', NULL), (17139, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 20, 1, '2024-08-05 21:29:56', NULL), (17140, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 21, 1, '2024-08-05 21:29:56', NULL), (17141, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 22, 1, '2024-08-05 21:29:56', NULL), (17142, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 23, 1, '2024-08-05 21:29:56', NULL), (17143, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 24, 1, '2024-08-05 21:29:56', NULL), (17144, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 25, 1, '2024-08-05 21:29:57', NULL), (17145, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 26, 1, '2024-08-05 21:29:57', NULL), (17146, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 27, 1, '2024-08-05 21:29:57', NULL), (17147, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 28, 1, '2024-08-05 21:29:57', NULL), (17148, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 29, 1, '2024-08-05 21:29:57', NULL), (17149, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 30, 1, '2024-08-05 21:29:57', NULL), (17150, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 8, 31, 1, '2024-08-05 21:29:57', NULL), (17151, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 1, 1, '2024-08-05 21:29:57', NULL), (17152, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 2, 1, '2024-08-05 21:29:57', NULL), (17153, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 3, 1, '2024-08-05 21:29:57', NULL), (17154, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 4, 1, '2024-08-05 21:29:57', NULL), (17155, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 5, 1, '2024-08-05 21:29:57', NULL), (17156, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 6, 1, '2024-08-05 21:29:57', NULL), (17157, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 7, 1, '2024-08-05 21:29:58', NULL), (17158, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 8, 1, '2024-08-05 21:29:58', NULL), (17159, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 9, 1, '2024-08-05 21:29:58', NULL), (17160, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 10, 1, '2024-08-05 21:29:58', NULL), (17161, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 11, 1, '2024-08-05 21:29:58', NULL), (17162, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 12, 1, '2024-08-05 21:29:58', NULL), (17163, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 13, 1, '2024-08-05 21:29:58', NULL), (17164, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 14, 1, '2024-08-05 21:29:58', NULL), (17165, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 15, 1, '2024-08-05 21:29:58', NULL), (17166, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 16, 1, '2024-08-05 21:29:58', NULL), (17167, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 17, 1, '2024-08-05 21:29:58', NULL), (17168, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 18, 1, '2024-08-05 21:29:58', NULL), (17169, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 19, 1, '2024-08-05 21:29:58', NULL), (17170, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 20, 1, '2024-08-05 21:29:58', NULL), (17171, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 21, 1, '2024-08-05 21:29:58', NULL), (17172, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 22, 1, '2024-08-05 21:29:59', NULL), (17173, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 23, 1, '2024-08-05 21:29:59', NULL), (17174, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 24, 1, '2024-08-05 21:29:59', NULL), (17175, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 25, 1, '2024-08-05 21:29:59', NULL), (17176, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 26, 1, '2024-08-05 21:29:59', NULL), (17177, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 27, 1, '2024-08-05 21:29:59', NULL), (17178, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 28, 1, '2024-08-05 21:29:59', NULL), (17179, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 29, 1, '2024-08-05 21:29:59', NULL), (17180, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 9, 30, 1, '2024-08-05 21:29:59', NULL), (17181, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 1, 1, '2024-08-05 21:29:59', NULL), (17182, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 2, 1, '2024-08-05 21:29:59', NULL), (17183, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 3, 1, '2024-08-05 21:29:59', NULL), (17184, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 4, 1, '2024-08-05 21:29:59', NULL), (17185, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 5, 1, '2024-08-05 21:29:59', NULL), (17186, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 6, 1, '2024-08-05 21:30:00', NULL), (17187, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 7, 1, '2024-08-05 21:30:00', NULL), (17188, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 8, 1, '2024-08-05 21:30:00', NULL), (17189, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 9, 1, '2024-08-05 21:30:00', NULL), (17190, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 10, 1, '2024-08-05 21:30:00', NULL), (17191, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 11, 1, '2024-08-05 21:30:00', NULL), (17192, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 12, 1, '2024-08-05 21:30:00', NULL), (17193, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 13, 1, '2024-08-05 21:30:00', NULL), (17194, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 14, 1, '2024-08-05 21:30:00', NULL), (17195, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 15, 1, '2024-08-05 21:30:00', NULL), (17196, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 16, 1, '2024-08-05 21:30:00', NULL), (17197, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 17, 1, '2024-08-05 21:30:00', NULL), (17198, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 18, 1, '2024-08-05 21:30:00', NULL), (17199, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 19, 1, '2024-08-05 21:30:00', NULL), (17200, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 20, 1, '2024-08-05 21:30:01', NULL), (17201, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 21, 1, '2024-08-05 21:30:01', NULL), (17202, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 22, 1, '2024-08-05 21:30:01', NULL), (17203, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 23, 1, '2024-08-05 21:30:01', NULL), (17204, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 24, 1, '2024-08-05 21:30:01', NULL), (17205, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 25, 1, '2024-08-05 21:30:01', NULL), (17206, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 26, 1, '2024-08-05 21:30:01', NULL), (17207, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 27, 1, '2024-08-05 21:30:01', NULL), (17208, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 28, 1, '2024-08-05 21:30:01', NULL), (17209, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 29, 1, '2024-08-05 21:30:01', NULL), (17210, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 30, 1, '2024-08-05 21:30:01', NULL), (17211, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 10, 31, 1, '2024-08-05 21:30:01', NULL), (17212, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 1, 1, '2024-08-05 21:30:01', NULL), (17213, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 2, 1, '2024-08-05 21:30:01', NULL), (17214, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 3, 1, '2024-08-05 21:30:01', NULL), (17215, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 4, 1, '2024-08-05 21:30:02', NULL), (17216, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 5, 1, '2024-08-05 21:30:02', NULL), (17217, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 6, 1, '2024-08-05 21:30:02', NULL), (17218, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 7, 1, '2024-08-05 21:30:02', NULL), (17219, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 8, 1, '2024-08-05 21:30:02', NULL), (17220, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 9, 1, '2024-08-05 21:30:02', NULL), (17221, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 10, 1, '2024-08-05 21:30:02', NULL), (17222, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 11, 1, '2024-08-05 21:30:02', NULL), (17223, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 12, 1, '2024-08-05 21:30:02', NULL), (17224, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 13, 1, '2024-08-05 21:30:02', NULL), (17225, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 14, 1, '2024-08-05 21:30:02', NULL), (17226, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 15, 1, '2024-08-05 21:30:02', NULL), (17227, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 16, 1, '2024-08-05 21:30:03', NULL), (17228, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 17, 1, '2024-08-05 21:30:03', NULL), (17229, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 18, 1, '2024-08-05 21:30:03', NULL), (17230, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 19, 1, '2024-08-05 21:30:03', NULL), (17231, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 20, 1, '2024-08-05 21:30:03', NULL), (17232, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 21, 1, '2024-08-05 21:30:03', NULL), (17233, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 22, 1, '2024-08-05 21:30:03', NULL), (17234, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 23, 1, '2024-08-05 21:30:03', NULL), (17235, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 24, 1, '2024-08-05 21:30:03', NULL), (17236, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 25, 1, '2024-08-05 21:30:03', NULL), (17237, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 26, 1, '2024-08-05 21:30:03', NULL), (17238, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 27, 1, '2024-08-05 21:30:03', NULL), (17239, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 28, 1, '2024-08-05 21:30:04', NULL), (17240, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 29, 1, '2024-08-05 21:30:04', NULL), (17241, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 11, 30, 1, '2024-08-05 21:30:04', NULL), (17242, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 1, 1, '2024-08-05 21:30:04', NULL), (17243, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 2, 1, '2024-08-05 21:30:04', NULL), (17244, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 3, 1, '2024-08-05 21:30:04', NULL), (17245, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 4, 1, '2024-08-05 21:30:04', NULL), (17246, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 5, 1, '2024-08-05 21:30:04', NULL), (17247, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 6, 1, '2024-08-05 21:30:04', NULL), (17248, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 7, 1, '2024-08-05 21:30:04', NULL), (17249, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 8, 1, '2024-08-05 21:30:04', NULL), (17250, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 9, 1, '2024-08-05 21:30:04', NULL), (17251, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 10, 1, '2024-08-05 21:30:05', NULL), (17252, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 11, 1, '2024-08-05 21:30:05', NULL), (17253, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 12, 1, '2024-08-05 21:30:05', NULL), (17254, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 13, 1, '2024-08-05 21:30:05', NULL), (17255, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 14, 1, '2024-08-05 21:30:05', NULL), (17256, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 15, 1, '2024-08-05 21:30:05', NULL), (17257, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 16, 1, '2024-08-05 21:30:05', NULL), (17258, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 17, 1, '2024-08-05 21:30:05', NULL), (17259, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 18, 1, '2024-08-05 21:30:05', NULL), (17260, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 19, 1, '2024-08-05 21:30:05', NULL), (17261, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 20, 1, '2024-08-05 21:30:05', NULL), (17262, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 21, 1, '2024-08-05 21:30:05', NULL), (17263, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 22, 1, '2024-08-05 21:30:06', NULL), (17264, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 23, 1, '2024-08-05 21:30:06', NULL), (17265, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 24, 1, '2024-08-05 21:30:06', NULL), (17266, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 25, 1, '2024-08-05 21:30:06', NULL), (17267, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 26, 1, '2024-08-05 21:30:06', NULL), (17268, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 27, 1, '2024-08-05 21:30:06', NULL), (17269, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 28, 1, '2024-08-05 21:30:06', NULL), (17270, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 29, 1, '2024-08-05 21:30:06', NULL), (17271, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 30, 1, '2024-08-05 21:30:06', NULL), (17272, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2023, 12, 31, 1, '2024-08-05 21:30:06', NULL), (17273, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 1, 1, '2024-08-05 21:30:06', NULL), (17274, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 2, 1, '2024-08-05 21:30:07', NULL), (17275, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 3, 1, '2024-08-05 21:30:07', NULL), (17276, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 4, 1, '2024-08-05 21:30:07', NULL), (17277, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 5, 1, '2024-08-05 21:30:07', NULL), (17278, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 6, 1, '2024-08-05 21:30:07', NULL), (17279, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 7, 1, '2024-08-05 21:30:07', NULL), (17280, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 8, 1, '2024-08-05 21:30:07', NULL), (17281, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 9, 1, '2024-08-05 21:30:07', NULL), (17282, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 10, 1, '2024-08-05 21:30:07', NULL), (17283, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 11, 1, '2024-08-05 21:30:07', NULL), (17284, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 12, 1, '2024-08-05 21:30:08', NULL), (17285, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 13, 1, '2024-08-05 21:30:08', NULL), (17286, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 14, 1, '2024-08-05 21:30:08', NULL), (17287, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 15, 1, '2024-08-05 21:30:08', NULL), (17288, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 16, 1, '2024-08-05 21:30:08', NULL), (17289, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 17, 1, '2024-08-05 21:30:08', NULL), (17290, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 18, 1, '2024-08-05 21:30:08', NULL), (17291, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 19, 1, '2024-08-05 21:30:08', NULL), (17292, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 20, 1, '2024-08-05 21:30:08', NULL), (17293, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 21, 1, '2024-08-05 21:30:08', NULL), (17294, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 22, 1, '2024-08-05 21:30:09', NULL), (17295, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 23, 1, '2024-08-05 21:30:09', NULL), (17296, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 24, 1, '2024-08-05 21:30:09', NULL), (17297, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 25, 1, '2024-08-05 21:30:09', NULL), (17298, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 26, 1, '2024-08-05 21:30:09', NULL), (17299, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 27, 1, '2024-08-05 21:30:09', NULL), (17300, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 28, 1, '2024-08-05 21:30:09', NULL), (17301, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 29, 1, '2024-08-05 21:30:09', NULL), (17302, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 30, 1, '2024-08-05 21:30:09', NULL), (17303, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 1, 31, 1, '2024-08-05 21:30:09', NULL), (17304, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 1, 1, '2024-08-05 21:30:10', NULL), (17305, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 2, 1, '2024-08-05 21:30:10', NULL), (17306, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 3, 1, '2024-08-05 21:30:10', NULL), (17307, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 4, 1, '2024-08-05 21:30:10', NULL), (17308, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 5, 1, '2024-08-05 21:30:10', NULL), (17309, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 6, 1, '2024-08-05 21:30:10', NULL), (17310, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 7, 1, '2024-08-05 21:30:10', NULL), (17311, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 8, 1, '2024-08-05 21:30:10', NULL), (17312, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 9, 1, '2024-08-05 21:30:10', NULL), (17313, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 10, 1, '2024-08-05 21:30:10', NULL), (17314, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 11, 1, '2024-08-05 21:30:10', NULL), (17315, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 12, 1, '2024-08-05 21:30:11', NULL), (17316, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 13, 1, '2024-08-05 21:30:11', NULL), (17317, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 14, 1, '2024-08-05 21:30:11', NULL), (17318, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 15, 1, '2024-08-05 21:30:11', NULL), (17319, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 16, 1, '2024-08-05 21:30:11', NULL), (17320, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 17, 1, '2024-08-05 21:30:11', NULL), (17321, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 18, 1, '2024-08-05 21:30:11', NULL), (17322, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 19, 1, '2024-08-05 21:30:11', NULL), (17323, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 20, 1, '2024-08-05 21:30:11', NULL), (17324, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 21, 1, '2024-08-05 21:30:11', NULL), (17325, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 22, 1, '2024-08-05 21:30:12', NULL), (17326, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 23, 1, '2024-08-05 21:30:12', NULL), (17327, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 24, 1, '2024-08-05 21:30:12', NULL), (17328, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 25, 1, '2024-08-05 21:30:12', NULL), (17329, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 26, 1, '2024-08-05 21:30:12', NULL), (17330, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 27, 1, '2024-08-05 21:30:12', NULL), (17331, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 28, 1, '2024-08-05 21:30:12', NULL), (17332, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 2, 29, 1, '2024-08-05 21:30:12', NULL), (17333, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 1, 1, '2024-08-05 21:30:12', NULL), (17334, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 2, 1, '2024-08-05 21:30:12', NULL), (17335, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 3, 1, '2024-08-05 21:30:13', NULL), (17336, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 4, 1, '2024-08-05 21:30:13', NULL), (17337, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 5, 1, '2024-08-05 21:30:13', NULL), (17338, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 6, 1, '2024-08-05 21:30:13', NULL), (17339, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 7, 1, '2024-08-05 21:30:13', NULL), (17340, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 8, 1, '2024-08-05 21:30:13', NULL), (17341, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 9, 1, '2024-08-05 21:30:13', NULL), (17342, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 10, 1, '2024-08-05 21:30:13', NULL), (17343, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 11, 1, '2024-08-05 21:30:13', NULL), (17344, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 12, 1, '2024-08-05 21:30:14', NULL), (17345, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 13, 1, '2024-08-05 21:30:14', NULL), (17346, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 14, 1, '2024-08-05 21:30:14', NULL), (17347, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 15, 1, '2024-08-05 21:30:14', NULL), (17348, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 16, 1, '2024-08-05 21:30:14', NULL), (17349, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 17, 1, '2024-08-05 21:30:14', NULL), (17350, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 18, 1, '2024-08-05 21:30:14', NULL), (17351, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 19, 1, '2024-08-05 21:30:14', NULL), (17352, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 20, 1, '2024-08-05 21:30:14', NULL), (17353, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 21, 1, '2024-08-05 21:30:14', NULL), (17354, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 22, 1, '2024-08-05 21:30:15', NULL), (17355, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 23, 1, '2024-08-05 21:30:15', NULL), (17356, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 24, 1, '2024-08-05 21:30:15', NULL), (17357, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 25, 1, '2024-08-05 21:30:15', NULL), (17358, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 26, 1, '2024-08-05 21:30:15', NULL), (17359, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 27, 1, '2024-08-05 21:30:15', NULL), (17360, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 28, 1, '2024-08-05 21:30:15', NULL), (17361, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 29, 1, '2024-08-05 21:30:15', NULL), (17362, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 30, 1, '2024-08-05 21:30:15', NULL), (17363, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 3, 31, 1, '2024-08-05 21:30:16', NULL), (17364, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 1, 1, '2024-08-05 21:30:16', NULL), (17365, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 2, 1, '2024-08-05 21:30:16', NULL), (17366, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 3, 1, '2024-08-05 21:30:16', NULL), (17367, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 4, 1, '2024-08-05 21:30:16', NULL), (17368, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 5, 1, '2024-08-05 21:30:16', NULL), (17369, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 6, 1, '2024-08-05 21:30:16', NULL), (17370, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 7, 1, '2024-08-05 21:30:16', NULL), (17371, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 8, 1, '2024-08-05 21:30:16', NULL), (17372, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 9, 1, '2024-08-05 21:30:16', NULL), (17373, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 10, 1, '2024-08-05 21:30:17', NULL), (17374, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 11, 1, '2024-08-05 21:30:17', NULL), (17375, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 12, 1, '2024-08-05 21:30:17', NULL), (17376, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 13, 1, '2024-08-05 21:30:17', NULL), (17377, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 14, 1, '2024-08-05 21:30:17', NULL), (17378, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 15, 1, '2024-08-05 21:30:17', NULL), (17379, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 16, 1, '2024-08-05 21:30:17', NULL), (17380, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 17, 1, '2024-08-05 21:30:17', NULL), (17381, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 18, 1, '2024-08-05 21:30:17', NULL), (17382, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 19, 1, '2024-08-05 21:30:18', NULL), (17383, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 20, 1, '2024-08-05 21:30:18', NULL), (17384, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 21, 1, '2024-08-05 21:30:18', NULL), (17385, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 22, 1, '2024-08-05 21:30:18', NULL), (17386, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 23, 1, '2024-08-05 21:30:18', NULL), (17387, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 24, 1, '2024-08-05 21:30:18', NULL), (17388, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 25, 1, '2024-08-05 21:30:18', NULL), (17389, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 26, 1, '2024-08-05 21:30:18', NULL), (17390, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 27, 1, '2024-08-05 21:30:18', NULL), (17391, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 28, 1, '2024-08-05 21:30:18', NULL), (17392, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 29, 1, '2024-08-05 21:30:19', NULL), (17393, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 4, 30, 1, '2024-08-05 21:30:19', NULL), (17394, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 1, 1, '2024-08-05 21:30:19', NULL), (17395, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 2, 1, '2024-08-05 21:30:19', NULL), (17396, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 3, 1, '2024-08-05 21:30:19', NULL), (17397, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 4, 1, '2024-08-05 21:30:19', NULL), (17398, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 5, 1, '2024-08-05 21:30:19', NULL), (17399, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 6, 1, '2024-08-05 21:30:19', NULL), (17400, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 7, 1, '2024-08-05 21:30:19', NULL), (17401, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 8, 1, '2024-08-05 21:30:20', NULL), (17402, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 9, 1, '2024-08-05 21:30:20', NULL), (17403, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 10, 1, '2024-08-05 21:30:20', NULL), (17404, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 11, 1, '2024-08-05 21:30:20', NULL), (17405, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 12, 1, '2024-08-05 21:30:20', NULL), (17406, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 13, 1, '2024-08-05 21:30:20', NULL), (17407, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 14, 1, '2024-08-05 21:30:20', NULL), (17408, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 15, 1, '2024-08-05 21:30:20', NULL), (17409, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 16, 1, '2024-08-05 21:30:20', NULL), (17410, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 17, 1, '2024-08-05 21:30:20', NULL), (17411, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 18, 1, '2024-08-05 21:30:21', NULL), (17412, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 19, 1, '2024-08-05 21:30:21', NULL), (17413, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 20, 1, '2024-08-05 21:30:21', NULL), (17414, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 21, 1, '2024-08-05 21:30:21', NULL), (17415, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 22, 1, '2024-08-05 21:30:21', NULL), (17416, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 23, 1, '2024-08-05 21:30:21', NULL), (17417, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 24, 1, '2024-08-05 21:30:21', NULL), (17418, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 25, 1, '2024-08-05 21:30:21', NULL), (17419, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 26, 1, '2024-08-05 21:30:21', NULL), (17420, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 27, 1, '2024-08-05 21:30:22', NULL), (17421, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 28, 1, '2024-08-05 21:30:22', NULL), (17422, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 29, 1, '2024-08-05 21:30:22', NULL), (17423, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 30, 1, '2024-08-05 21:30:22', NULL), (17424, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 5, 31, 1, '2024-08-05 21:30:22', NULL), (17425, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 1, 1, '2024-08-05 21:30:22', NULL);
INSERT INTO `mortals_xhx_stat` VALUES (17426, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 2, 1, '2024-08-05 21:30:22', NULL), (17427, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 3, 1, '2024-08-05 21:30:22', NULL), (17428, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 4, 1, '2024-08-05 21:30:22', NULL), (17429, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 5, 1, '2024-08-05 21:30:23', NULL), (17430, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 6, 1, '2024-08-05 21:30:23', NULL), (17431, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 7, 1, '2024-08-05 21:30:23', NULL), (17432, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 8, 1, '2024-08-05 21:30:23', NULL), (17433, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 9, 1, '2024-08-05 21:30:23', NULL), (17434, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 10, 1, '2024-08-05 21:30:23', NULL), (17435, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 11, 1, '2024-08-05 21:30:23', NULL), (17436, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 12, 1, '2024-08-05 21:30:23', NULL), (17437, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 13, 1, '2024-08-05 21:30:23', NULL), (17438, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 14, 1, '2024-08-05 21:30:23', NULL), (17439, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 15, 1, '2024-08-05 21:30:24', NULL), (17440, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 16, 1, '2024-08-05 21:30:24', NULL), (17441, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 17, 1, '2024-08-05 21:30:24', NULL), (17442, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 18, 1, '2024-08-05 21:30:24', NULL), (17443, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 19, 1, '2024-08-05 21:30:24', NULL), (17444, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 20, 1, '2024-08-05 21:30:24', NULL), (17445, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 21, 1, '2024-08-05 21:30:24', NULL), (17446, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 22, 1, '2024-08-05 21:30:24', NULL), (17447, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 23, 1, '2024-08-05 21:30:24', NULL), (17448, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 24, 1, '2024-08-05 21:30:25', NULL), (17449, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 25, 1, '2024-08-05 21:30:25', NULL), (17450, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 26, 1, '2024-08-05 21:30:25', NULL), (17451, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 27, 1, '2024-08-05 21:30:25', NULL), (17452, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 28, 1, '2024-08-05 21:30:25', NULL), (17453, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 29, 1, '2024-08-05 21:30:25', NULL), (17454, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 6, 30, 1, '2024-08-05 21:30:25', NULL), (17455, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 1, 1, '2024-08-05 21:30:25', NULL), (17456, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 2, 1, '2024-08-05 21:30:25', NULL), (17457, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 3, 1, '2024-08-05 21:30:25', NULL), (17458, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 4, 1, '2024-08-05 21:30:26', NULL), (17459, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 5, 1, '2024-08-05 21:30:26', NULL), (17460, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 6, 1, '2024-08-05 21:30:26', NULL), (17461, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 7, 1, '2024-08-05 21:30:26', NULL), (17462, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 8, 1, '2024-08-05 21:30:26', NULL), (17463, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 9, 1, '2024-08-05 21:30:26', NULL), (17464, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 10, 1, '2024-08-05 21:30:26', NULL), (17465, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 11, 1, '2024-08-05 21:30:26', NULL), (17466, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 12, 1, '2024-08-05 21:30:26', NULL), (17467, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 13, 1, '2024-08-05 21:30:27', NULL), (17468, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 14, 1, '2024-08-05 21:30:27', NULL), (17469, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 15, 1, '2024-08-05 21:30:27', NULL), (17470, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 16, 1, '2024-08-05 21:30:27', NULL), (17471, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 17, 1, '2024-08-05 21:30:27', NULL), (17472, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 18, 1, '2024-08-05 21:30:27', NULL), (17473, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 19, 1, '2024-08-05 21:30:27', NULL), (17474, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 20, 1, '2024-08-05 21:30:27', NULL), (17475, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 21, 1, '2024-08-05 21:30:27', NULL), (17476, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 22, 1, '2024-08-05 21:30:28', NULL), (17477, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 23, 1, '2024-08-05 21:30:28', NULL), (17478, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 24, 1, '2024-08-05 21:30:28', NULL), (17479, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 25, 1, '2024-08-05 21:30:28', NULL), (17480, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 26, 1, '2024-08-05 21:30:28', NULL), (17481, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 27, 1, '2024-08-05 21:30:28', NULL), (17482, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 28, 1, '2024-08-05 21:30:28', NULL), (17483, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 29, 1, '2024-08-05 21:30:28', NULL), (17484, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 30, 1, '2024-08-05 21:30:28', NULL), (17485, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 7, 31, 1, '2024-08-05 21:30:28', NULL), (17486, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 1, 1, '2024-08-05 21:30:29', '2024-08-05 22:12:50'), (17487, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 2, 1, '2024-08-05 21:30:29', '2024-08-06 02:20:05'), (17488, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 3, 1, '2024-08-05 21:30:29', '2024-08-07 01:30:03'), (17489, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 4, 1, '2024-08-05 21:30:29', '2024-08-08 01:30:02'), (17490, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 5, 1, '2024-08-05 21:30:29', '2024-08-09 01:30:03'), (17491, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 6, 1, '2024-08-06 01:20:04', '2024-08-10 01:30:01'), (17492, 1, '511500000000-0001', '宜宾市民中心', 1248, 2024, 8, 6, 1, '2024-08-06 01:20:04', '2024-08-10 01:30:01'), (17493, 13, '511525000000-0001', '高县政务服务中心', 14, 2024, 8, 6, 1, '2024-08-06 01:20:04', '2024-08-10 01:30:01'), (17494, 22, '511502000000-0001', '翠屏区政务服务中心', 1020, 2024, 8, 6, 1, '2024-08-06 01:20:04', '2024-08-10 01:30:01'), (17495, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:04', '2024-08-10 01:30:01'), (17496, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:04', '2024-08-10 01:30:01'), (17497, 24, '511534000000-0001', '宜宾高新区政企服务中心', 18, 2024, 8, 6, 1, '2024-08-06 01:20:04', '2024-08-10 01:30:01'), (17498, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 6, 1, '2024-08-06 01:20:04', '2024-08-10 01:30:01'), (17499, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:04', '2024-08-10 01:30:01'), (17500, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:04', '2024-08-10 01:30:01'), (17501, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:04', '2024-08-10 01:30:01'), (17502, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:04', '2024-08-10 01:30:01'), (17503, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:04', '2024-08-10 01:30:01'), (17504, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:04', '2024-08-10 01:30:01'), (17505, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:04', '2024-08-10 01:30:01'), (17506, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:04', '2024-08-10 01:30:02'), (17507, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:05', '2024-08-10 01:30:02'), (17508, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:05', '2024-08-10 01:30:02'), (17509, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:05', '2024-08-10 01:30:02'), (17510, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:05', '2024-08-10 01:30:02'), (17511, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:05', '2024-08-10 01:30:02'), (17512, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:05', '2024-08-10 01:30:02'), (17513, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:05', '2024-08-10 01:30:02'), (17514, 41, '511526101000-0001', '巡场镇便民服务中心', 2, 2024, 8, 6, 1, '2024-08-06 01:20:05', '2024-08-10 01:30:02'), (17515, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:05', '2024-08-10 01:30:02'), (17516, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:05', '2024-08-10 01:30:02'), (17517, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:05', '2024-08-10 01:30:02'), (17518, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:05', '2024-08-10 01:30:02'), (17519, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 11, 2024, 8, 6, 1, '2024-08-06 01:20:05', '2024-08-10 01:30:01'), (17520, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 6, 1, '2024-08-06 01:20:05', '2024-08-10 01:30:02'), (17521, 22, '511502000000-0001', '翠屏区政务服务中心', 895, 2024, 8, 7, 1, '2024-08-07 01:30:02', '2024-08-11 01:30:01'), (17522, 13, '511525000000-0001', '高县政务服务中心', 5, 2024, 8, 7, 1, '2024-08-07 01:30:02', '2024-08-11 01:30:01'), (17523, 1, '511500000000-0001', '宜宾市民中心', 1072, 2024, 8, 7, 1, '2024-08-07 01:30:02', '2024-08-11 01:30:01'), (17524, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:02', '2024-08-11 01:30:01'), (17525, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 7, 1, '2024-08-07 01:30:02', '2024-08-11 01:30:01'), (17526, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:02', '2024-08-11 01:30:01'), (17527, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:02', '2024-08-11 01:30:01'), (17528, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 7, 1, '2024-08-07 01:30:02', '2024-08-11 01:30:01'), (17529, 24, '511534000000-0001', '宜宾高新区政企服务中心', 7, 2024, 8, 7, 1, '2024-08-07 01:30:02', '2024-08-11 01:30:02'), (17530, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:02', '2024-08-11 01:30:02'), (17531, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:02', '2024-08-11 01:30:02'), (17532, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 14, 2024, 8, 7, 1, '2024-08-07 01:30:02', '2024-08-11 01:30:02'), (17533, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:02', '2024-08-11 01:30:02'), (17534, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:02', '2024-08-11 01:30:02'), (17535, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:02', '2024-08-11 01:30:02'), (17536, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:03', '2024-08-11 01:30:02'), (17537, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:03', '2024-08-11 01:30:02'), (17538, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:03', '2024-08-11 01:30:02'), (17539, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:03', '2024-08-11 01:30:03'), (17540, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:03', '2024-08-11 01:30:02'), (17541, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:03', '2024-08-11 01:30:03'), (17542, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:03', '2024-08-11 01:30:02'), (17543, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:03', '2024-08-11 01:30:02'), (17544, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:03', '2024-08-11 01:30:03'), (17545, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:03', '2024-08-11 01:30:03'), (17546, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:03', '2024-08-11 01:30:02'), (17547, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:03', '2024-08-11 01:30:03'), (17548, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:03', '2024-08-11 01:30:03'), (17549, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:04', '2024-08-11 01:30:03'), (17550, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 7, 1, '2024-08-07 01:30:04', '2024-08-11 01:30:03'), (17551, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:01', '2024-08-12 01:30:01'), (17552, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:01', '2024-08-12 01:30:01'), (17553, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 8, 1, '2024-08-08 01:30:01', '2024-08-12 01:30:01'), (17554, 22, '511502000000-0001', '翠屏区政务服务中心', 824, 2024, 8, 8, 1, '2024-08-08 01:30:01', '2024-08-12 01:30:01'), (17555, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:01', '2024-08-12 01:30:01'), (17556, 13, '511525000000-0001', '高县政务服务中心', 3, 2024, 8, 8, 1, '2024-08-08 01:30:01', '2024-08-12 01:30:01'), (17557, 24, '511534000000-0001', '宜宾高新区政企服务中心', 1, 2024, 8, 8, 1, '2024-08-08 01:30:01', '2024-08-12 01:30:02'), (17558, 1, '511500000000-0001', '宜宾市民中心', 1168, 2024, 8, 8, 1, '2024-08-08 01:30:01', '2024-08-12 01:30:01'), (17559, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 4, 2024, 8, 8, 1, '2024-08-08 01:30:02', '2024-08-12 01:30:02'), (17560, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:02', '2024-08-12 01:30:02'), (17561, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:02', '2024-08-12 01:30:02'), (17562, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:02', '2024-08-12 01:30:02'), (17563, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 8, 1, '2024-08-08 01:30:02', '2024-08-12 01:30:01'), (17564, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:02', '2024-08-12 01:30:02'), (17565, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:02', '2024-08-12 01:30:02'), (17566, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:02', '2024-08-12 01:30:02'), (17567, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:02', '2024-08-12 01:30:02'), (17568, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:02', '2024-08-12 01:30:02'), (17569, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:02', '2024-08-12 01:30:02'), (17570, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:02', '2024-08-12 01:30:03'), (17571, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:02', '2024-08-12 01:30:02'), (17572, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:02', '2024-08-12 01:30:02'), (17573, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:02', '2024-08-12 01:30:02'), (17574, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:02', '2024-08-12 01:30:02'), (17575, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:03', '2024-08-12 01:30:03'), (17576, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:03', '2024-08-12 01:30:02'), (17577, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:03', '2024-08-12 01:30:03'), (17578, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:03', '2024-08-12 01:30:03'), (17579, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:03', '2024-08-12 01:30:03'), (17580, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 8, 1, '2024-08-08 01:30:03', '2024-08-12 01:30:03'), (17581, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:02', '2024-08-13 01:30:01'), (17582, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:02', '2024-08-13 01:30:01'), (17583, 22, '511502000000-0001', '翠屏区政务服务中心', 770, 2024, 8, 9, 1, '2024-08-09 01:30:02', '2024-08-13 01:30:01'), (17584, 1, '511500000000-0001', '宜宾市民中心', 1046, 2024, 8, 9, 1, '2024-08-09 01:30:02', '2024-08-13 01:30:01'), (17585, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:02', '2024-08-13 01:30:01'), (17586, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 9, 1, '2024-08-09 01:30:02', '2024-08-13 01:30:01'), (17587, 24, '511534000000-0001', '宜宾高新区政企服务中心', 14, 2024, 8, 9, 1, '2024-08-09 01:30:02', '2024-08-13 01:30:02'), (17588, 13, '511525000000-0001', '高县政务服务中心', 9, 2024, 8, 9, 1, '2024-08-09 01:30:02', '2024-08-13 01:30:01'), (17589, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 9, 1, '2024-08-09 01:30:02', '2024-08-13 01:30:01'), (17590, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:02', '2024-08-13 01:30:02'), (17591, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:02', '2024-08-13 01:30:02'), (17592, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:02', '2024-08-13 01:30:02'), (17593, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:02', '2024-08-13 01:30:02'), (17594, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:02', '2024-08-13 01:30:02'), (17595, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:02', '2024-08-13 01:30:02'), (17596, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:02', '2024-08-13 01:30:02'), (17597, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 11, 2024, 8, 9, 1, '2024-08-09 01:30:03', '2024-08-13 01:30:02'), (17598, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:03', '2024-08-13 01:30:02'), (17599, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:03', '2024-08-13 01:30:02'), (17600, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:03', '2024-08-13 01:30:03'), (17601, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:03', '2024-08-13 01:30:02'), (17602, 41, '511526101000-0001', '巡场镇便民服务中心', 3, 2024, 8, 9, 1, '2024-08-09 01:30:03', '2024-08-13 01:30:03'), (17603, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:03', '2024-08-13 01:30:03'), (17604, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:03', '2024-08-13 01:30:02'), (17605, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:03', '2024-08-13 01:30:03'), (17606, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:03', '2024-08-13 01:30:03'), (17607, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:03', '2024-08-13 01:30:02'), (17608, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:04', '2024-08-13 01:30:03'), (17609, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:04', '2024-08-13 01:30:03'), (17610, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 9, 1, '2024-08-09 01:30:04', '2024-08-13 01:30:03'), (17611, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:01', '2024-08-14 01:30:01'), (17612, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:01', '2024-08-14 01:30:01'), (17613, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:01', '2024-08-14 01:30:01'), (17614, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:01', '2024-08-14 01:30:01'), (17615, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 10, 1, '2024-08-10 01:30:01', '2024-08-14 01:30:01'), (17616, 1, '511500000000-0001', '宜宾市民中心', 118, 2024, 8, 10, 1, '2024-08-10 01:30:01', '2024-08-14 01:30:01'), (17617, 22, '511502000000-0001', '翠屏区政务服务中心', 45, 2024, 8, 10, 1, '2024-08-10 01:30:01', '2024-08-14 01:30:01'), (17618, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 10, 1, '2024-08-10 01:30:01', '2024-08-14 01:30:01'), (17619, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:02', '2024-08-14 01:30:01'), (17620, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:02', '2024-08-14 01:30:01'), (17621, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:02', '2024-08-14 01:30:01'), (17622, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:02', '2024-08-14 01:30:01'), (17623, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:02', '2024-08-14 01:30:01'), (17624, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:02', '2024-08-14 01:30:01'), (17625, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:02', '2024-08-14 01:30:02'), (17626, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:02', '2024-08-14 01:30:01'), (17627, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:02', '2024-08-14 01:30:02'), (17628, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:02', '2024-08-14 01:30:02'), (17629, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:02', '2024-08-14 01:30:02'), (17630, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:02', '2024-08-14 01:30:02'), (17631, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:02', '2024-08-14 01:30:02'), (17632, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:02', '2024-08-14 01:30:02'), (17633, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:02', '2024-08-14 01:30:02'), (17634, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:02', '2024-08-14 01:30:01'), (17635, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:03', '2024-08-14 01:30:03'), (17636, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:03', '2024-08-14 01:30:02'), (17637, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:03', '2024-08-14 01:30:03'), (17638, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:03', '2024-08-14 01:30:03'), (17639, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:03', '2024-08-14 01:30:03'), (17640, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 10, 1, '2024-08-10 01:30:03', '2024-08-14 01:30:03'), (17641, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 11, 1, '2024-08-11 01:30:02', '2024-08-15 01:30:02'), (17642, 22, '511502000000-0001', '翠屏区政务服务中心', 26, 2024, 8, 11, 1, '2024-08-11 01:30:02', '2024-08-15 01:30:01'), (17643, 1, '511500000000-0001', '宜宾市民中心', 86, 2024, 8, 11, 1, '2024-08-11 01:30:02', '2024-08-15 01:30:01'), (17644, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:02', '2024-08-15 01:30:01'), (17645, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:02', '2024-08-15 01:30:01'), (17646, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 11, 1, '2024-08-11 01:30:02', '2024-08-15 01:30:01'), (17647, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:02', '2024-08-15 01:30:01'), (17648, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:02', '2024-08-15 01:30:01'), (17649, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:02', '2024-08-15 01:30:02'), (17650, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:02', '2024-08-15 01:30:02'), (17651, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:02', '2024-08-15 01:30:02'), (17652, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:02', '2024-08-15 01:30:02'), (17653, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:02', '2024-08-15 01:30:02'), (17654, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:02', '2024-08-15 01:30:02'), (17655, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:02', '2024-08-15 01:30:02'), (17656, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:02', '2024-08-15 01:30:01'), (17657, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:03', '2024-08-15 01:30:02'), (17658, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:03', '2024-08-15 01:30:02'), (17659, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:03', '2024-08-15 01:30:02'), (17660, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:03', '2024-08-15 01:30:02'), (17661, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:03', '2024-08-15 01:30:02'), (17662, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:03', '2024-08-15 01:30:02'), (17663, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:03', '2024-08-15 01:30:03'), (17664, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:03', '2024-08-15 01:30:02'), (17665, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:03', '2024-08-15 01:30:02'), (17666, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:03', '2024-08-15 01:30:03'), (17667, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:03', '2024-08-15 01:30:03'), (17668, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:03', '2024-08-15 01:30:03'), (17669, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:04', '2024-08-15 01:30:03'), (17670, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 11, 1, '2024-08-11 01:30:04', '2024-08-15 01:30:03'), (17671, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 12, 1, '2024-08-12 01:30:01', '2024-08-16 01:30:00'), (17672, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:01', '2024-08-16 01:30:00'), (17673, 22, '511502000000-0001', '翠屏区政务服务中心', 1077, 2024, 8, 12, 1, '2024-08-12 01:30:01', '2024-08-16 01:30:00'), (17674, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:02', '2024-08-16 01:30:00'), (17675, 1, '511500000000-0001', '宜宾市民中心', 1559, 2024, 8, 12, 1, '2024-08-12 01:30:02', '2024-08-16 01:30:00'), (17676, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:02', '2024-08-16 01:30:00'), (17677, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:02', '2024-08-16 01:30:00'), (17678, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 12, 1, '2024-08-12 01:30:02', '2024-08-16 01:30:00'), (17679, 24, '511534000000-0001', '宜宾高新区政企服务中心', 13, 2024, 8, 12, 1, '2024-08-12 01:30:02', '2024-08-16 01:30:01'), (17680, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 15, 2024, 8, 12, 1, '2024-08-12 01:30:02', '2024-08-16 01:30:01'), (17681, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:02', '2024-08-16 01:30:01'), (17682, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:02', '2024-08-16 01:30:01'), (17683, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:02', '2024-08-16 01:30:02'), (17684, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:02', '2024-08-16 01:30:01'), (17685, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:02', '2024-08-16 01:30:01'), (17686, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:02', '2024-08-16 01:30:01'), (17687, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:03', '2024-08-16 01:30:02'), (17688, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:03', '2024-08-16 01:30:01'), (17689, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:03', '2024-08-16 01:30:02'), (17690, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:03', '2024-08-16 01:30:02'), (17691, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:03', '2024-08-16 01:30:02'), (17692, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:03', '2024-08-16 01:30:02'), (17693, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:03', '2024-08-16 01:30:02'), (17694, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:03', '2024-08-16 01:30:02'), (17695, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:03', '2024-08-16 01:30:02'), (17696, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:03', '2024-08-16 01:30:02'), (17697, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:03', '2024-08-16 01:30:02'), (17698, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:03', '2024-08-16 01:30:02'), (17699, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:03', '2024-08-16 01:30:02'), (17700, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 12, 1, '2024-08-12 01:30:03', '2024-08-16 01:30:02'), (17701, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:02', '2024-08-17 01:30:01'), (17702, 22, '511502000000-0001', '翠屏区政务服务中心', 874, 2024, 8, 13, 1, '2024-08-13 01:30:02', '2024-08-17 01:30:01'), (17703, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 13, 1, '2024-08-13 01:30:02', '2024-08-17 01:30:01'), (17704, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 13, 1, '2024-08-13 01:30:02', '2024-08-17 01:30:01'), (17705, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:02', '2024-08-17 01:30:01'), (17706, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:02', '2024-08-17 01:30:01'), (17707, 1, '511500000000-0001', '宜宾市民中心', 1153, 2024, 8, 13, 1, '2024-08-13 01:30:02', '2024-08-17 01:30:01'), (17708, 13, '511525000000-0001', '高县政务服务中心', 11, 2024, 8, 13, 1, '2024-08-13 01:30:02', '2024-08-17 01:30:01'), (17709, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 2, 2024, 8, 13, 1, '2024-08-13 01:30:02', '2024-08-17 01:30:02'), (17710, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:02', '2024-08-17 01:30:02'), (17711, 24, '511534000000-0001', '宜宾高新区政企服务中心', 4, 2024, 8, 13, 1, '2024-08-13 01:30:02', '2024-08-17 01:30:02'), (17712, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:02', '2024-08-17 01:30:02'), (17713, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:02', '2024-08-17 01:30:02'), (17714, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:02', '2024-08-17 01:30:02'), (17715, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:02', '2024-08-17 01:30:02'), (17716, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:02', '2024-08-17 01:30:02'), (17717, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:03', '2024-08-17 01:30:02'), (17718, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:03', '2024-08-17 01:30:02'), (17719, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:03', '2024-08-17 01:30:02'), (17720, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:03', '2024-08-17 01:30:02'), (17721, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:03', '2024-08-17 01:30:02'), (17722, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:03', '2024-08-17 01:30:02'), (17723, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:03', '2024-08-17 01:30:03'), (17724, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:03', '2024-08-17 01:30:02'), (17725, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:03', '2024-08-17 01:30:02'), (17726, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:03', '2024-08-17 01:30:03'), (17727, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:04', '2024-08-17 01:30:03'), (17728, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:04', '2024-08-17 01:30:03'), (17729, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:04', '2024-08-17 01:30:03'), (17730, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 13, 1, '2024-08-13 01:30:04', '2024-08-17 01:30:03'), (17731, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:01', '2024-08-18 01:30:01'), (17732, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:01', '2024-08-18 01:30:01'), (17733, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 14, 1, '2024-08-14 01:30:01', '2024-08-18 01:30:02'), (17734, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:01', '2024-08-18 01:30:01'), (17735, 22, '511502000000-0001', '翠屏区政务服务中心', 824, 2024, 8, 14, 1, '2024-08-14 01:30:01', '2024-08-18 01:30:01'), (17736, 13, '511525000000-0001', '高县政务服务中心', 10, 2024, 8, 14, 1, '2024-08-14 01:30:01', '2024-08-18 01:30:01'), (17737, 1, '511500000000-0001', '宜宾市民中心', 1170, 2024, 8, 14, 1, '2024-08-14 01:30:01', '2024-08-18 01:30:01'), (17738, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 14, 1, '2024-08-14 01:30:01', '2024-08-18 01:30:01'), (17739, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:02', '2024-08-18 01:30:02'), (17740, 24, '511534000000-0001', '宜宾高新区政企服务中心', 4, 2024, 8, 14, 1, '2024-08-14 01:30:02', '2024-08-18 01:30:02'), (17741, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:02', '2024-08-18 01:30:02'), (17742, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 5, 2024, 8, 14, 1, '2024-08-14 01:30:02', '2024-08-18 01:30:01'), (17743, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:02', '2024-08-18 01:30:02'), (17744, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:02', '2024-08-18 01:30:02'), (17745, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:02', '2024-08-18 01:30:02'), (17746, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:02', '2024-08-18 01:30:02'), (17747, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:02', '2024-08-18 01:30:02'), (17748, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:02', '2024-08-18 01:30:02'), (17749, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:02', '2024-08-18 01:30:03'), (17750, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:02', '2024-08-18 01:30:03'), (17751, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:02', '2024-08-18 01:30:03'), (17752, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:03', '2024-08-18 01:30:03'), (17753, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:03', '2024-08-18 01:30:03'), (17754, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:03', '2024-08-18 01:30:03'), (17755, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:03', '2024-08-18 01:30:03'), (17756, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:03', '2024-08-18 01:30:03'), (17757, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:03', '2024-08-18 01:30:03'), (17758, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:03', '2024-08-18 01:30:03'), (17759, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:03', '2024-08-18 01:30:03'), (17760, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 14, 1, '2024-08-14 01:30:03', '2024-08-18 01:30:03'), (17761, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 15, 1, '2024-08-15 01:30:02', '2024-08-19 01:30:01'), (17762, 22, '511502000000-0001', '翠屏区政务服务中心', 811, 2024, 8, 15, 1, '2024-08-15 01:30:02', '2024-08-19 01:30:01'), (17763, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:02', '2024-08-19 01:30:01'), (17764, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:02', '2024-08-19 01:30:01'), (17765, 13, '511525000000-0001', '高县政务服务中心', 9, 2024, 8, 15, 1, '2024-08-15 01:30:02', '2024-08-19 01:30:01'), (17766, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:02', '2024-08-19 01:30:01'), (17767, 24, '511534000000-0001', '宜宾高新区政企服务中心', 5, 2024, 8, 15, 1, '2024-08-15 01:30:02', '2024-08-19 01:30:01'), (17768, 1, '511500000000-0001', '宜宾市民中心', 1161, 2024, 8, 15, 1, '2024-08-15 01:30:02', '2024-08-19 01:30:01'), (17769, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:02', '2024-08-19 01:30:01'), (17770, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:02', '2024-08-19 01:30:01'), (17771, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 15, 1, '2024-08-15 01:30:02', '2024-08-19 01:30:01'), (17772, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:02', '2024-08-19 01:30:01'), (17773, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 3, 2024, 8, 15, 1, '2024-08-15 01:30:02', '2024-08-19 01:30:01'), (17774, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:02', '2024-08-19 01:30:01'), (17775, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:02', '2024-08-19 01:30:01'), (17776, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:02', '2024-08-19 01:30:02'), (17777, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:03', '2024-08-19 01:30:02'), (17778, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:03', '2024-08-19 01:30:02'), (17779, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:03', '2024-08-19 01:30:02'), (17780, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:03', '2024-08-19 01:30:01'), (17781, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:03', '2024-08-19 01:30:02'), (17782, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:03', '2024-08-19 01:30:03'), (17783, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:03', '2024-08-19 01:30:02'), (17784, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:03', '2024-08-19 01:30:02'), (17785, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:03', '2024-08-19 01:30:03'), (17786, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:03', '2024-08-19 01:30:02'), (17787, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:03', '2024-08-19 01:30:03'), (17788, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:03', '2024-08-19 01:30:03'), (17789, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:03', '2024-08-19 01:30:03'), (17790, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 15, 1, '2024-08-15 01:30:04', '2024-08-19 01:30:03'), (17791, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 16, 1, '2024-08-16 01:30:01', '2024-08-20 01:30:01'), (17792, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:01', '2024-08-20 01:30:01'), (17793, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:01', '2024-08-20 01:30:01'), (17794, 13, '511525000000-0001', '高县政务服务中心', 15, 2024, 8, 16, 1, '2024-08-16 01:30:01', '2024-08-20 01:30:01'), (17795, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:01', '2024-08-20 01:30:01'), (17796, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 16, 1, '2024-08-16 01:30:01', '2024-08-20 01:30:01'), (17797, 1, '511500000000-0001', '宜宾市民中心', 1200, 2024, 8, 16, 1, '2024-08-16 01:30:01', '2024-08-20 01:30:01'), (17798, 22, '511502000000-0001', '翠屏区政务服务中心', 1003, 2024, 8, 16, 1, '2024-08-16 01:30:01', '2024-08-20 01:30:01'), (17799, 24, '511534000000-0001', '宜宾高新区政企服务中心', 9, 2024, 8, 16, 1, '2024-08-16 01:30:02', '2024-08-20 01:30:01'), (17800, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:02', '2024-08-20 01:30:01'), (17801, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 10, 2024, 8, 16, 1, '2024-08-16 01:30:02', '2024-08-20 01:30:01'), (17802, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:02', '2024-08-20 01:30:01'), (17803, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:02', '2024-08-20 01:30:01'), (17804, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:02', '2024-08-20 01:30:01'), (17805, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:02', '2024-08-20 01:30:01'), (17806, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:02', '2024-08-20 01:30:02'), (17807, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:02', '2024-08-20 01:30:02'), (17808, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:02', '2024-08-20 01:30:02'), (17809, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:02', '2024-08-20 01:30:02'), (17810, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:02', '2024-08-20 01:30:02'), (17811, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:02', '2024-08-20 01:30:02'), (17812, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:02', '2024-08-20 01:30:01'), (17813, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:02', '2024-08-20 01:30:02'), (17814, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:02', '2024-08-20 01:30:02'), (17815, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:03', '2024-08-20 01:30:03'), (17816, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:03', '2024-08-20 01:30:03'), (17817, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:03', '2024-08-20 01:30:03'), (17818, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:03', '2024-08-20 01:30:03'), (17819, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:03', '2024-08-20 01:30:03'), (17820, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 16, 1, '2024-08-16 01:30:03', '2024-08-20 01:30:03'), (17821, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:02', '2024-08-21 01:30:00'), (17822, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 17, 1, '2024-08-17 01:30:02', '2024-08-21 01:30:00'), (17823, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:02', '2024-08-21 01:30:00'), (17824, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 17, 1, '2024-08-17 01:30:02', '2024-08-21 01:30:00'), (17825, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:02', '2024-08-21 01:30:00'), (17826, 22, '511502000000-0001', '翠屏区政务服务中心', 38, 2024, 8, 17, 1, '2024-08-17 01:30:02', '2024-08-21 01:30:00'), (17827, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:02', '2024-08-21 01:30:00'), (17828, 1, '511500000000-0001', '宜宾市民中心', 141, 2024, 8, 17, 1, '2024-08-17 01:30:02', '2024-08-21 01:30:00'), (17829, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:02', '2024-08-21 01:30:01'), (17830, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:02', '2024-08-21 01:30:01'), (17831, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:02', '2024-08-21 01:30:01'), (17832, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:02', '2024-08-21 01:30:01'), (17833, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:02', '2024-08-21 01:30:01'), (17834, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:02', '2024-08-21 01:30:01'), (17835, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:02', '2024-08-21 01:30:01'), (17836, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:02', '2024-08-21 01:30:01'), (17837, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:03', '2024-08-21 01:30:02'), (17838, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:03', '2024-08-21 01:30:02'), (17839, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:03', '2024-08-21 01:30:02'), (17840, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:03', '2024-08-21 01:30:02'), (17841, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:03', '2024-08-21 01:30:02'), (17842, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:03', '2024-08-21 01:30:02'), (17843, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:03', '2024-08-21 01:30:02'), (17844, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:03', '2024-08-21 01:30:02'), (17845, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:03', '2024-08-21 01:30:02'), (17846, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:03', '2024-08-21 01:30:02'), (17847, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:03', '2024-08-21 01:30:02'), (17848, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:03', '2024-08-21 01:30:02'), (17849, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:03', '2024-08-21 01:30:02'), (17850, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 17, 1, '2024-08-17 01:30:03', '2024-08-21 01:30:02'), (17851, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:02', '2024-08-22 01:30:01'), (17852, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 18, 1, '2024-08-18 01:30:02', '2024-08-22 01:30:01'), (17853, 22, '511502000000-0001', '翠屏区政务服务中心', 15, 2024, 8, 18, 1, '2024-08-18 01:30:02', '2024-08-22 01:30:01'), (17854, 1, '511500000000-0001', '宜宾市民中心', 76, 2024, 8, 18, 1, '2024-08-18 01:30:02', '2024-08-22 01:30:01'), (17855, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:02', '2024-08-22 01:30:01'), (17856, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:02', '2024-08-22 01:30:01'), (17857, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:02', '2024-08-22 01:30:01'), (17858, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:02', '2024-08-22 01:30:01'), (17859, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:02', '2024-08-22 01:30:02'), (17860, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:02', '2024-08-22 01:30:02'), (17861, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:02', '2024-08-22 01:30:02'), (17862, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:02', '2024-08-22 01:30:03'), (17863, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:02', '2024-08-22 01:30:02'), (17864, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:02', '2024-08-22 01:30:02'), (17865, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:02', '2024-08-22 01:30:02'), (17866, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 18, 1, '2024-08-18 01:30:02', '2024-08-22 01:30:02'), (17867, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:03', '2024-08-22 01:30:03'), (17868, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:03', '2024-08-22 01:30:02'), (17869, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:03', '2024-08-22 01:30:03'), (17870, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:03', '2024-08-22 01:30:03'), (17871, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:03', '2024-08-22 01:30:03'), (17872, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:03', '2024-08-22 01:30:03'), (17873, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:03', '2024-08-22 01:30:03'), (17874, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:03', '2024-08-22 01:30:03'), (17875, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:03', '2024-08-22 01:30:03'), (17876, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:04', '2024-08-22 01:30:03'), (17877, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:04', '2024-08-22 01:30:03'), (17878, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:04', '2024-08-22 01:30:03'), (17879, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:04', '2024-08-22 01:30:03'), (17880, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 18, 1, '2024-08-18 01:30:04', '2024-08-22 01:30:03'), (17881, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:01', '2024-08-22 01:30:01'), (17882, 1, '511500000000-0001', '宜宾市民中心', 1343, 2024, 8, 19, 1, '2024-08-19 01:30:01', '2024-08-22 01:30:01'), (17883, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 19, 1, '2024-08-19 01:30:01', '2024-08-22 01:30:02'), (17884, 13, '511525000000-0001', '高县政务服务中心', 12, 2024, 8, 19, 1, '2024-08-19 01:30:01', '2024-08-22 01:30:01'), (17885, 15, '511527000000-0001', '筠连县政务服务中心', 6, 2024, 8, 19, 1, '2024-08-19 01:30:01', '2024-08-22 01:30:01'), (17886, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 19, 1, '2024-08-19 01:30:01', '2024-08-22 01:30:01'), (17887, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:01', '2024-08-22 01:30:01'), (17888, 22, '511502000000-0001', '翠屏区政务服务中心', 1055, 2024, 8, 19, 1, '2024-08-19 01:30:01', '2024-08-22 01:30:01'), (17889, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:02', '2024-08-22 01:30:02'), (17890, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:02', '2024-08-22 01:30:02'), (17891, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 4, 2024, 8, 19, 1, '2024-08-19 01:30:02', '2024-08-22 01:30:01'), (17892, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:02', '2024-08-22 01:30:02'), (17893, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:02', '2024-08-22 01:30:03'), (17894, 24, '511534000000-0001', '宜宾高新区政企服务中心', 13, 2024, 8, 19, 1, '2024-08-19 01:30:02', '2024-08-22 01:30:02'), (17895, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:02', '2024-08-22 01:30:02'), (17896, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:02', '2024-08-22 01:30:02'), (17897, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:02', '2024-08-22 01:30:02'), (17898, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:02', '2024-08-22 01:30:03'), (17899, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:02', '2024-08-22 01:30:03'), (17900, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:02', '2024-08-22 01:30:03'), (17901, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:02', '2024-08-22 01:30:03'), (17902, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:02', '2024-08-22 01:30:03'), (17903, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:02', '2024-08-22 01:30:03'), (17904, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:02', '2024-08-22 01:30:03'), (17905, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:03', '2024-08-22 01:30:03'), (17906, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:03', '2024-08-22 01:30:03'), (17907, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:03', '2024-08-22 01:30:03'), (17908, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:03', '2024-08-22 01:30:03'), (17909, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:03', '2024-08-22 01:30:03'), (17910, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 19, 1, '2024-08-19 01:30:03', '2024-08-22 01:30:03'), (17911, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 20, 1, '2024-08-20 01:30:01', '2024-08-22 01:30:02'), (17912, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:01', '2024-08-22 01:30:01'), (17913, 22, '511502000000-0001', '翠屏区政务服务中心', 899, 2024, 8, 20, 1, '2024-08-20 01:30:01', '2024-08-22 01:30:01'), (17914, 1, '511500000000-0001', '宜宾市民中心', 1229, 2024, 8, 20, 1, '2024-08-20 01:30:01', '2024-08-22 01:30:02'), (17915, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 20, 1, '2024-08-20 01:30:01', '2024-08-22 01:30:01'), (17916, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:01', '2024-08-22 01:30:01'), (17917, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:01', '2024-08-22 01:30:01'), (17918, 13, '511525000000-0001', '高县政务服务中心', 3, 2024, 8, 20, 1, '2024-08-20 01:30:01', '2024-08-22 01:30:01'), (17919, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 21, 2024, 8, 20, 1, '2024-08-20 01:30:02', '2024-08-22 01:30:01'), (17920, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:02', '2024-08-22 01:30:02'), (17921, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:02', '2024-08-22 01:30:03');
INSERT INTO `mortals_xhx_stat` VALUES (17922, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:02', '2024-08-22 01:30:02'), (17923, 24, '511534000000-0001', '宜宾高新区政企服务中心', 9, 2024, 8, 20, 1, '2024-08-20 01:30:02', '2024-08-22 01:30:02'), (17924, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:02', '2024-08-22 01:30:02'), (17925, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:02', '2024-08-22 01:30:02'), (17926, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:02', '2024-08-22 01:30:02'), (17927, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:03', '2024-08-22 01:30:03'), (17928, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:03', '2024-08-22 01:30:03'), (17929, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:03', '2024-08-22 01:30:02'), (17930, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:03', '2024-08-22 01:30:03'), (17931, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:03', '2024-08-22 01:30:03'), (17932, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:03', '2024-08-22 01:30:03'), (17933, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:03', '2024-08-22 01:30:03'), (17934, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:03', '2024-08-22 01:30:03'), (17935, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:03', '2024-08-22 01:30:03'), (17936, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:03', '2024-08-22 01:30:03'), (17937, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:03', '2024-08-22 01:30:03'), (17938, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:03', '2024-08-22 01:30:03'), (17939, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:03', '2024-08-22 01:30:03'), (17940, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 20, 1, '2024-08-20 01:30:03', '2024-08-22 01:30:03'), (17941, 23, '511503003999-0001', '仙源街道办事处', 2, 2024, 8, 21, 1, '2024-08-21 01:30:01', '2024-08-22 01:30:02'), (17942, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:01', '2024-08-22 01:30:02'), (17943, 13, '511525000000-0001', '高县政务服务中心', 6, 2024, 8, 21, 1, '2024-08-21 01:30:01', '2024-08-22 01:30:02'), (17944, 22, '511502000000-0001', '翠屏区政务服务中心', 852, 2024, 8, 21, 1, '2024-08-21 01:30:01', '2024-08-22 01:30:02'), (17945, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:01', '2024-08-22 01:30:02'), (17946, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 21, 1, '2024-08-21 01:30:01', '2024-08-22 01:30:02'), (17947, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:01', '2024-08-22 01:30:02'), (17948, 1, '511500000000-0001', '宜宾市民中心', 1132, 2024, 8, 21, 1, '2024-08-21 01:30:01', '2024-08-22 01:30:02'), (17949, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 5, 2024, 8, 21, 1, '2024-08-21 01:30:02', '2024-08-22 01:30:02'), (17950, 24, '511534000000-0001', '宜宾高新区政企服务中心', 10, 2024, 8, 21, 1, '2024-08-21 01:30:02', '2024-08-22 01:30:02'), (17951, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:02', '2024-08-22 01:30:02'), (17952, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:02', '2024-08-22 01:30:02'), (17953, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:02', '2024-08-22 01:30:03'), (17954, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:02', '2024-08-22 01:30:02'), (17955, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:02', '2024-08-22 01:30:02'), (17956, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:02', '2024-08-22 01:30:02'), (17957, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:02', '2024-08-22 01:30:02'), (17958, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:02', '2024-08-22 01:30:03'), (17959, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:02', '2024-08-22 01:30:03'), (17960, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:02', '2024-08-22 01:30:03'), (17961, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:02', '2024-08-22 01:30:03'), (17962, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:02', '2024-08-22 01:30:03'), (17963, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:02', '2024-08-22 01:30:03'), (17964, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:02', '2024-08-22 01:30:03'), (17965, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:03', '2024-08-22 01:30:04'), (17966, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:03', '2024-08-22 01:30:03'), (17967, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:03', '2024-08-22 01:30:04'), (17968, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:03', '2024-08-22 01:30:04'), (17969, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:03', '2024-08-22 01:30:04'), (17970, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 21, 1, '2024-08-21 01:30:03', '2024-08-22 01:30:04'), (17971, 9, '511502015000-0001', '宜宾市临港区出入境接待大厅', 0, 2024, 8, 22, 1, '2024-08-22 01:30:02', NULL), (17972, 16, '511526000000-0001', '珙县人民政府政务服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:02', NULL), (17973, 13, '511525000000-0001', '高县政务服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:02', NULL), (17974, 25, '511502010000-0001', '象鼻街道综合便民服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:02', NULL), (17975, 15, '511527000000-0001', '筠连县政务服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:02', NULL), (17976, 10, '511503000000-0001', '宜宾市南溪区人民政府政务服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:02', NULL), (17977, 22, '511502000000-0001', '翠屏区政务服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:02', NULL), (17978, 1, '511500000000-0001', '宜宾市民中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:02', NULL), (17979, 23, '511503003999-0001', '仙源街道办事处', 0, 2024, 8, 22, 1, '2024-08-22 01:30:02', NULL), (17980, 33, '511527104000-0001', '沐爱镇便民服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:02', NULL), (17981, 26, '511502007000-0001', '安阜街道综合便民服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:02', NULL), (17982, 24, '511534000000-0001', '宜宾高新区政企服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:02', NULL), (17983, 32, '511527101000-0001', '腾达镇便民服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:02', NULL), (17984, 30, '511527102000-0001', '巡司镇便民服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:02', NULL), (17985, 29, '511527100490-0001', '筠连镇塘坝乡便民服务分中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:02', NULL), (17986, 27, '511527100000-0001', '筠连镇便民服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:02', NULL), (17987, 39, '511527211092-0001', '丰乐乡龙镇便民服务分中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:03', NULL), (17988, 34, '511527104575-0001', '沐爱镇维新便民服务分中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:03', NULL), (17989, 36, '511527109000-0001', '大雪山镇便民服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:03', NULL), (17990, 37, '511527774000-0001', '篙坝镇便民服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:03', NULL), (17991, 35, '511527102534-0001', '巡司镇武德便民服务分中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:03', NULL), (17992, 40, '511527107000-0001', '镇舟镇便民服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:03', NULL), (17993, 28, '511527100830-0001', '筠连镇双腾便民服务分中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:03', NULL), (17994, 41, '511526101000-0001', '巡场镇便民服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:03', NULL), (17995, 43, '511527205000-0001', '乐义乡便民服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:04', NULL), (17996, 38, '511527204000-0001', '丰乐乡便民服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:04', NULL), (17997, 42, '511527107745-0001', '镇舟镇高坎乡便民服务分中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:04', NULL), (17998, 44, '511527844000-0001', '联合苗族乡便民服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:04', NULL), (17999, 46, '511527210000-0001', '高坪苗族乡便民服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:04', NULL), (18000, 45, '511527208000-0001', '团林苗族乡便民服务中心', 0, 2024, 8, 22, 1, '2024-08-22 01:30:04', NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_table_index
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_table_index`;
CREATE TABLE `mortals_xhx_table_index`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `tableName` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表名称',
  `tableMark` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表标识',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '分表索引信息';

-- ----------------------------
-- Records of mortals_xhx_table_index
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_task
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_task`;
CREATE TABLE `mortals_xhx_task`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `taskKey` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务关键字，区分任务执行流程',
  `status` tinyint(2) NULL DEFAULT 0 COMMENT '任务状态，0：未启动，1：执行中，默认0',
  `excuteService` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务执行服务',
  `excuteParam` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '任务执行参数',
  `excuteHost` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔',
  `excuteStrategy` tinyint(2) NULL DEFAULT 1 COMMENT '执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1',
  `excuteDate` int(11) NULL DEFAULT 0 COMMENT '执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0',
  `excuteTime` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '00' COMMENT '执行时间，格式：HH:mm，默认：00:00',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `lastExcuteHost` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '最后执行主机',
  `lastExcuteTime` datetime(0) NULL DEFAULT NULL COMMENT '最后执行时间',
  `interimExcuteStatus` tinyint(2) NULL DEFAULT 0 COMMENT '临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '任务信息';

-- ----------------------------
-- Records of mortals_xhx_task
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_task` VALUES (2, '分表创建任务', 'tableIndexService', 0, 'tableIndexService', NULL, NULL, 1, 0, '00:30', NULL, '192.168.0.221', '2025-03-10 00:30:00', 0, '2021-08-12 11:07:23', 1, '系统管理员'), (3, '用户同步', 'syncUserTask', 0, 'SyncUserTask', NULL, NULL, 1, 0, '20:30', NULL, '192.168.0.221', '2025-03-09 20:30:01', 0, '2022-07-06 10:49:48', 1, '系统管理员'), (4, '同步设备', 'SyncSiteDeviceTask', 0, 'SyncSiteDeviceTask', NULL, NULL, 1, 0, '00:50', NULL, '192.168.0.221', '2025-03-10 00:50:00', 0, '2023-02-25 14:34:12', 1, NULL), (5, '统计站点部门事项数', 'StatSiteDeptMatterTask', 0, 'StatSiteDeptMatterTask', NULL, NULL, 1, 0, '21:03', NULL, '192.168.0.221', '2025-03-09 21:03:01', 0, '2023-05-06 17:55:28', NULL, NULL), (6, '节假日同步', 'SyncHolidayTask', 0, 'SyncHolidayTask', NULL, NULL, 1, 3, '22:06', NULL, '192.168.0.221', '2025-03-09 22:06:00', 0, '2024-01-10 16:03:53', 1, NULL), (7, '同步更新事项', 'SyncMatterTask', 0, 'SyncMatterTask', '', '', 3, 3600, '20:35', '', '192.168.0.221', '2025-02-28 20:35:01', 0, '2024-03-01 10:59:53', 1, '系统管理员');
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_uploadfile
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_uploadfile`;
CREATE TABLE `mortals_xhx_uploadfile`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID，主键，自增长',
  `fileName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件名称',
  `filePath` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件路径',
  `fileType` tinyint(2) NULL DEFAULT NULL COMMENT '文件类型，1 excel ,2 img,3 zip, 4 pdf',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUser` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '上传文件';

-- ----------------------------
-- Records of mortals_xhx_uploadfile
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_user
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_user`;
CREATE TABLE `mortals_xhx_user`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID，主键，自增长',
  `loginName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '登录名',
  `loginPwd` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '登录密码，使用md5双次加密',
  `loginPwd1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '最近一次使用密码，使用md5双次加密',
  `loginPwd2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '最近二次使用密码，使用md5双次加密',
  `loginPwd3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '最近三次使用密码，使用md5双次加密',
  `loginLimitAddress` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录',
  `realName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户名',
  `mobile` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户手机号',
  `phone` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户联系电话',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户邮箱',
  `qq` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'QQ号码',
  `userType` tinyint(2) NULL DEFAULT NULL COMMENT '用户类型，0：系统用户 1:普通用户 2:工作人员，默认2',
  `siteId` bigint(20) NULL DEFAULT 0 COMMENT '站点id',
  `status` tinyint(2) NULL DEFAULT 1 COMMENT '用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1',
  `customerId` bigint(20) NULL DEFAULT NULL COMMENT '客户ID',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  `lastLoginTime` datetime(0) NULL DEFAULT NULL COMMENT '最后一次登录时间',
  `lastLoginAddress` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '最后一次登录地址',
  `lastModPwdTime` datetime(0) NULL DEFAULT NULL COMMENT '最后修改密码时间',
  `lastModPwdAddr` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '最后修改密码地址',
  `siteIds` varchar(255) CHARACTER SET ujis COLLATE ujis_japanese_ci NULL DEFAULT NULL,
  `areaCodes` varchar(255) CHARACTER SET ujis COLLATE ujis_japanese_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `idx_loginName`(`loginName`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = ujis COLLATE = ujis_japanese_ci COMMENT = '用户信息';

-- ----------------------------
-- Records of mortals_xhx_user
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_user` VALUES (1, 'admin', 'de7abfba6f99cb20b794867cdf664445', NULL, NULL, NULL, NULL, '系统管理员', '13808095770', NULL, NULL, NULL, 1, 0, 1, NULL, '2022-06-02 09:12:26', 1, 'admin', NULL, '', NULL, NULL, '1', '510302111700');
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_valid_code
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_valid_code`;
CREATE TABLE `mortals_xhx_valid_code`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `code` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '验证码',
  `url` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '校验地址，email校验使用',
  `mobile` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '校验手机号',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '校验邮箱',
  `type` tinyint(2) NULL DEFAULT 0 COMMENT '校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0',
  `sessionId` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '会话ID',
  `ip` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'IP地址',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `lapseTime` datetime(0) NULL DEFAULT NULL COMMENT '失效时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '验证码信息';

-- ----------------------------
-- Records of mortals_xhx_valid_code
-- ----------------------------
BEGIN;
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
